#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 20361
#define LARGE_STATE_COUNT 10070
#define SYMBOL_COUNT 244
#define ALIAS_COUNT 2
#define TOKEN_COUNT 120
#define EXTERNAL_TOKEN_COUNT 16
#define FIELD_COUNT 6
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 24

enum ts_symbol_identifiers {
  sym__word_identifier = 1,
  anon_sym_COMMA = 2,
  anon_sym_EQ = 3,
  anon_sym_begin = 4,
  anon_sym_module = 5,
  anon_sym_baremodule = 6,
  anon_sym_end = 7,
  anon_sym_abstract = 8,
  anon_sym_type = 9,
  anon_sym_primitive = 10,
  anon_sym_mutable = 11,
  anon_sym_struct = 12,
  anon_sym_function = 13,
  anon_sym_macro = 14,
  anon_sym_quote = 15,
  anon_sym_let = 16,
  anon_sym_if = 17,
  anon_sym_elseif = 18,
  anon_sym_else = 19,
  anon_sym_try = 20,
  anon_sym_catch = 21,
  anon_sym_finally = 22,
  anon_sym_for = 23,
  anon_sym_while = 24,
  sym_break_statement = 25,
  sym_continue_statement = 26,
  anon_sym_return = 27,
  anon_sym_const = 28,
  anon_sym_global = 29,
  anon_sym_local = 30,
  anon_sym_as = 31,
  aux_sym_import_path_token1 = 32,
  anon_sym_LPAREN = 33,
  anon_sym_RPAREN = 34,
  anon_sym_COLON = 35,
  anon_sym_export = 36,
  anon_sym_public = 37,
  anon_sym_import = 38,
  anon_sym_using = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  anon_sym_outer = 42,
  anon_sym_in = 43,
  anon_sym_u2208 = 44,
  anon_sym_SEMI = 45,
  anon_sym_LBRACE = 46,
  anon_sym_RBRACE = 47,
  anon_sym_SQUOTE = 48,
  anon_sym_DOT = 49,
  anon_sym_do = 50,
  anon_sym_DOLLAR = 51,
  anon_sym_COLON2 = 52,
  anon_sym_COLON_COLON = 53,
  anon_sym_COLON_EQ = 54,
  anon_sym_DOT_EQ = 55,
  aux_sym_quote_expression_token1 = 56,
  anon_sym_isa = 57,
  anon_sym_DOT_DOT_DOT = 58,
  anon_sym_QMARK = 59,
  anon_sym_DASH_GT = 60,
  anon_sym_where = 61,
  anon_sym_AT = 62,
  anon_sym_true = 63,
  anon_sym_false = 64,
  aux_sym_integer_literal_token1 = 65,
  aux_sym_integer_literal_token2 = 66,
  aux_sym_integer_literal_token3 = 67,
  aux_sym_integer_literal_token4 = 68,
  aux_sym_float_literal_token1 = 69,
  aux_sym_float_literal_token2 = 70,
  aux_sym_float_literal_token3 = 71,
  aux_sym_float_literal_token4 = 72,
  sym_escape_sequence = 73,
  sym_character_literal = 74,
  anon_sym_DQUOTE = 75,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 76,
  anon_sym_BQUOTE = 77,
  anon_sym_BQUOTE_BQUOTE_BQUOTE = 78,
  anon_sym_DOLLAR_EQ = 79,
  aux_sym__assignment_operator_token1 = 80,
  sym__pair_operator = 81,
  sym__arrow_operator = 82,
  sym__lazy_or_operator = 83,
  sym__lazy_and_operator = 84,
  sym__comparison_operator = 85,
  sym__pipe_right_operator = 86,
  sym__pipe_left_operator = 87,
  sym__ellipsis_operator = 88,
  sym__plus_operator = 89,
  sym__times_operator = 90,
  sym__rational_operator = 91,
  sym__bitshift_operator = 92,
  sym__power_operator = 93,
  sym__tilde_operator = 94,
  sym__type_order_operator = 95,
  sym__unary_operator = 96,
  sym__unary_plus_operator = 97,
  anon_sym_DOT2 = 98,
  aux_sym__terminator_token1 = 99,
  anon_sym_SEMI2 = 100,
  aux_sym_block_comment_token1 = 101,
  aux_sym_line_comment_token1 = 102,
  aux_sym_line_comment_token2 = 103,
  sym__block_comment_rest = 104,
  sym__immediate_paren = 105,
  sym__immediate_bracket = 106,
  sym__immediate_brace = 107,
  sym__immediate_string_start = 108,
  sym__immediate_command_start = 109,
  sym__content_cmd_1 = 110,
  sym__content_cmd_1_raw = 111,
  sym__content_cmd_3 = 112,
  sym__content_cmd_3_raw = 113,
  sym__content_str_1 = 114,
  sym__content_str_1_raw = 115,
  sym__content_str_3 = 116,
  sym__content_str_3_raw = 117,
  sym__end_cmd = 118,
  sym__end_str = 119,
  sym_source_file = 120,
  sym__block = 121,
  sym_open_tuple = 122,
  sym_assignment = 123,
  sym__closed_assignment = 124,
  sym__expression = 125,
  sym_module_definition = 126,
  sym_type_head = 127,
  sym_abstract_definition = 128,
  sym_primitive_definition = 129,
  sym_struct_definition = 130,
  sym_signature = 131,
  sym_function_definition = 132,
  sym_macro_definition = 133,
  sym_compound_statement = 134,
  sym_quote_statement = 135,
  sym_let_statement = 136,
  sym_if_statement = 137,
  sym_elseif_clause = 138,
  sym_else_clause = 139,
  sym_try_statement = 140,
  sym_catch_clause = 141,
  sym_finally_clause = 142,
  sym_for_statement = 143,
  sym_while_statement = 144,
  sym_return_statement = 145,
  sym_const_statement = 146,
  sym_global_statement = 147,
  sym_local_statement = 148,
  sym_import_alias = 149,
  sym_import_path = 150,
  sym__exportable = 151,
  sym__importable = 152,
  sym__import_list = 153,
  sym_selected_import = 154,
  sym_export_statement = 155,
  sym_public_statement = 156,
  sym_import_statement = 157,
  sym_using_statement = 158,
  sym__primary_expression = 159,
  sym__array = 160,
  sym_comprehension_expression = 161,
  sym__comprehension_clause = 162,
  sym_if_clause = 163,
  sym_for_clause = 164,
  sym_for_binding = 165,
  sym_matrix_expression = 166,
  sym_matrix_row = 167,
  sym_vector_expression = 168,
  sym_parenthesized_expression = 169,
  sym_tuple_expression = 170,
  sym_curly_expression = 171,
  sym_adjoint_expression = 172,
  sym_field_expression = 173,
  sym_index_expression = 174,
  sym_parametrized_type_expression = 175,
  sym_call_expression = 176,
  sym_broadcast_call_expression = 177,
  sym__closed_macrocall_expression = 178,
  sym_macrocall_expression = 179,
  sym_macro_argument_list = 180,
  sym_argument_list = 181,
  sym_do_clause = 182,
  sym__do_parameter_list = 183,
  sym_named_field = 184,
  sym_interpolation_expression = 185,
  sym_quote_expression = 186,
  sym_binary_expression = 187,
  sym_unary_expression = 188,
  sym_range_expression = 189,
  sym_splat_expression = 190,
  sym_ternary_expression = 191,
  sym_typed_expression = 192,
  sym_unary_typed_expression = 193,
  sym_arrow_function_expression = 194,
  sym_juxtaposition_expression = 195,
  sym_compound_assignment_expression = 196,
  sym_where_expression = 197,
  sym_macro_identifier = 198,
  sym_scoped_identifier = 199,
  sym_identifier = 200,
  sym_boolean_literal = 201,
  sym_integer_literal = 202,
  sym_float_literal = 203,
  sym__string = 204,
  sym__delimiter_str_1 = 205,
  sym__delimiter_str_3 = 206,
  sym__delimiter_cmd_1 = 207,
  sym__delimiter_cmd_3 = 208,
  sym_string_literal = 209,
  sym_command_literal = 210,
  sym_prefixed_string_literal = 211,
  sym_prefixed_command_literal = 212,
  sym_string_interpolation = 213,
  sym_operator = 214,
  sym__assignment_operator = 215,
  sym__syntactic_operator = 216,
  sym_block_comment = 217,
  sym_line_comment = 218,
  aux_sym__block_repeat1 = 219,
  aux_sym_open_tuple_repeat1 = 220,
  aux_sym_let_statement_repeat1 = 221,
  aux_sym_if_statement_repeat1 = 222,
  aux_sym_for_statement_repeat1 = 223,
  aux_sym__import_list_repeat1 = 224,
  aux_sym_export_statement_repeat1 = 225,
  aux_sym__comprehension_clause_repeat1 = 226,
  aux_sym_matrix_expression_repeat1 = 227,
  aux_sym_matrix_row_repeat1 = 228,
  aux_sym_vector_expression_repeat1 = 229,
  aux_sym_parenthesized_expression_repeat1 = 230,
  aux_sym_tuple_expression_repeat1 = 231,
  aux_sym_macro_argument_list_repeat1 = 232,
  aux_sym_argument_list_repeat1 = 233,
  aux_sym__do_parameter_list_repeat1 = 234,
  aux_sym_string_literal_repeat1 = 235,
  aux_sym_string_literal_repeat2 = 236,
  aux_sym_command_literal_repeat1 = 237,
  aux_sym_command_literal_repeat2 = 238,
  aux_sym_prefixed_string_literal_repeat1 = 239,
  aux_sym_prefixed_string_literal_repeat2 = 240,
  aux_sym_prefixed_command_literal_repeat1 = 241,
  aux_sym_prefixed_command_literal_repeat2 = 242,
  aux_sym__terminator_repeat1 = 243,
  alias_sym_let_binding = 244,
  alias_sym_named_argument = 245,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__word_identifier] = "_word_identifier",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_begin] = "begin",
  [anon_sym_module] = "module",
  [anon_sym_baremodule] = "baremodule",
  [anon_sym_end] = "end",
  [anon_sym_abstract] = "abstract",
  [anon_sym_type] = "type",
  [anon_sym_primitive] = "primitive",
  [anon_sym_mutable] = "mutable",
  [anon_sym_struct] = "struct",
  [anon_sym_function] = "function",
  [anon_sym_macro] = "macro",
  [anon_sym_quote] = "quote",
  [anon_sym_let] = "let",
  [anon_sym_if] = "if",
  [anon_sym_elseif] = "elseif",
  [anon_sym_else] = "else",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_for] = "for",
  [anon_sym_while] = "while",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [anon_sym_return] = "return",
  [anon_sym_const] = "const",
  [anon_sym_global] = "global",
  [anon_sym_local] = "local",
  [anon_sym_as] = "as",
  [aux_sym_import_path_token1] = "import_path_token1",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COLON] = ":",
  [anon_sym_export] = "export",
  [anon_sym_public] = "public",
  [anon_sym_import] = "import",
  [anon_sym_using] = "using",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_outer] = "outer",
  [anon_sym_in] = "operator",
  [anon_sym_u2208] = "operator",
  [anon_sym_SEMI] = ";",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_DOT] = ".",
  [anon_sym_do] = "do",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_COLON2] = ":",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_DOT_EQ] = ".=",
  [aux_sym_quote_expression_token1] = "identifier",
  [anon_sym_isa] = "operator",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_where] = "where",
  [anon_sym_AT] = "@",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [aux_sym_integer_literal_token1] = "integer_literal_token1",
  [aux_sym_integer_literal_token2] = "integer_literal_token2",
  [aux_sym_integer_literal_token3] = "integer_literal_token3",
  [aux_sym_integer_literal_token4] = "integer_literal_token4",
  [aux_sym_float_literal_token1] = "float_literal_token1",
  [aux_sym_float_literal_token2] = "float_literal_token2",
  [aux_sym_float_literal_token3] = "float_literal_token3",
  [aux_sym_float_literal_token4] = "float_literal_token4",
  [sym_escape_sequence] = "escape_sequence",
  [sym_character_literal] = "character_literal",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = "```",
  [anon_sym_DOLLAR_EQ] = "$=",
  [aux_sym__assignment_operator_token1] = "_assignment_operator_token1",
  [sym__pair_operator] = "_pair_operator",
  [sym__arrow_operator] = "_arrow_operator",
  [sym__lazy_or_operator] = "operator",
  [sym__lazy_and_operator] = "operator",
  [sym__comparison_operator] = "_comparison_operator",
  [sym__pipe_right_operator] = "_pipe_right_operator",
  [sym__pipe_left_operator] = "_pipe_left_operator",
  [sym__ellipsis_operator] = "_ellipsis_operator",
  [sym__plus_operator] = "_plus_operator",
  [sym__times_operator] = "_times_operator",
  [sym__rational_operator] = "_rational_operator",
  [sym__bitshift_operator] = "_bitshift_operator",
  [sym__power_operator] = "_power_operator",
  [sym__tilde_operator] = "_tilde_operator",
  [sym__type_order_operator] = "_type_order_operator",
  [sym__unary_operator] = "_unary_operator",
  [sym__unary_plus_operator] = "_unary_plus_operator",
  [anon_sym_DOT2] = ".",
  [aux_sym__terminator_token1] = "_terminator_token1",
  [anon_sym_SEMI2] = ";",
  [aux_sym_block_comment_token1] = "block_comment_token1",
  [aux_sym_line_comment_token1] = "line_comment_token1",
  [aux_sym_line_comment_token2] = "line_comment_token2",
  [sym__block_comment_rest] = "_block_comment_rest",
  [sym__immediate_paren] = "_immediate_paren",
  [sym__immediate_bracket] = "_immediate_bracket",
  [sym__immediate_brace] = "_immediate_brace",
  [sym__immediate_string_start] = "_immediate_string_start",
  [sym__immediate_command_start] = "_immediate_command_start",
  [sym__content_cmd_1] = "content",
  [sym__content_cmd_1_raw] = "content",
  [sym__content_cmd_3] = "content",
  [sym__content_cmd_3_raw] = "content",
  [sym__content_str_1] = "content",
  [sym__content_str_1_raw] = "content",
  [sym__content_str_3] = "content",
  [sym__content_str_3_raw] = "content",
  [sym__end_cmd] = "_end_cmd",
  [sym__end_str] = "_end_str",
  [sym_source_file] = "source_file",
  [sym__block] = "_block",
  [sym_open_tuple] = "open_tuple",
  [sym_assignment] = "assignment",
  [sym__closed_assignment] = "assignment",
  [sym__expression] = "_expression",
  [sym_module_definition] = "module_definition",
  [sym_type_head] = "type_head",
  [sym_abstract_definition] = "abstract_definition",
  [sym_primitive_definition] = "primitive_definition",
  [sym_struct_definition] = "struct_definition",
  [sym_signature] = "signature",
  [sym_function_definition] = "function_definition",
  [sym_macro_definition] = "macro_definition",
  [sym_compound_statement] = "compound_statement",
  [sym_quote_statement] = "quote_statement",
  [sym_let_statement] = "let_statement",
  [sym_if_statement] = "if_statement",
  [sym_elseif_clause] = "elseif_clause",
  [sym_else_clause] = "else_clause",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_return_statement] = "return_statement",
  [sym_const_statement] = "const_statement",
  [sym_global_statement] = "global_statement",
  [sym_local_statement] = "local_statement",
  [sym_import_alias] = "import_alias",
  [sym_import_path] = "import_path",
  [sym__exportable] = "_exportable",
  [sym__importable] = "_importable",
  [sym__import_list] = "_import_list",
  [sym_selected_import] = "selected_import",
  [sym_export_statement] = "export_statement",
  [sym_public_statement] = "public_statement",
  [sym_import_statement] = "import_statement",
  [sym_using_statement] = "using_statement",
  [sym__primary_expression] = "_primary_expression",
  [sym__array] = "_array",
  [sym_comprehension_expression] = "comprehension_expression",
  [sym__comprehension_clause] = "_comprehension_clause",
  [sym_if_clause] = "if_clause",
  [sym_for_clause] = "for_clause",
  [sym_for_binding] = "for_binding",
  [sym_matrix_expression] = "matrix_expression",
  [sym_matrix_row] = "matrix_row",
  [sym_vector_expression] = "vector_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_tuple_expression] = "tuple_expression",
  [sym_curly_expression] = "curly_expression",
  [sym_adjoint_expression] = "adjoint_expression",
  [sym_field_expression] = "field_expression",
  [sym_index_expression] = "index_expression",
  [sym_parametrized_type_expression] = "parametrized_type_expression",
  [sym_call_expression] = "call_expression",
  [sym_broadcast_call_expression] = "broadcast_call_expression",
  [sym__closed_macrocall_expression] = "macrocall_expression",
  [sym_macrocall_expression] = "macrocall_expression",
  [sym_macro_argument_list] = "macro_argument_list",
  [sym_argument_list] = "argument_list",
  [sym_do_clause] = "do_clause",
  [sym__do_parameter_list] = "argument_list",
  [sym_named_field] = "named_field",
  [sym_interpolation_expression] = "interpolation_expression",
  [sym_quote_expression] = "quote_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_range_expression] = "range_expression",
  [sym_splat_expression] = "splat_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_typed_expression] = "typed_expression",
  [sym_unary_typed_expression] = "unary_typed_expression",
  [sym_arrow_function_expression] = "arrow_function_expression",
  [sym_juxtaposition_expression] = "juxtaposition_expression",
  [sym_compound_assignment_expression] = "compound_assignment_expression",
  [sym_where_expression] = "where_expression",
  [sym_macro_identifier] = "macro_identifier",
  [sym_scoped_identifier] = "scoped_identifier",
  [sym_identifier] = "identifier",
  [sym_boolean_literal] = "boolean_literal",
  [sym_integer_literal] = "integer_literal",
  [sym_float_literal] = "float_literal",
  [sym__string] = "_string",
  [sym__delimiter_str_1] = "_delimiter_str_1",
  [sym__delimiter_str_3] = "_delimiter_str_3",
  [sym__delimiter_cmd_1] = "_delimiter_cmd_1",
  [sym__delimiter_cmd_3] = "_delimiter_cmd_3",
  [sym_string_literal] = "string_literal",
  [sym_command_literal] = "command_literal",
  [sym_prefixed_string_literal] = "prefixed_string_literal",
  [sym_prefixed_command_literal] = "prefixed_command_literal",
  [sym_string_interpolation] = "string_interpolation",
  [sym_operator] = "operator",
  [sym__assignment_operator] = "operator",
  [sym__syntactic_operator] = "operator",
  [sym_block_comment] = "block_comment",
  [sym_line_comment] = "line_comment",
  [aux_sym__block_repeat1] = "_block_repeat1",
  [aux_sym_open_tuple_repeat1] = "open_tuple_repeat1",
  [aux_sym_let_statement_repeat1] = "let_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym__comprehension_clause_repeat1] = "_comprehension_clause_repeat1",
  [aux_sym_matrix_expression_repeat1] = "matrix_expression_repeat1",
  [aux_sym_matrix_row_repeat1] = "matrix_row_repeat1",
  [aux_sym_vector_expression_repeat1] = "vector_expression_repeat1",
  [aux_sym_parenthesized_expression_repeat1] = "parenthesized_expression_repeat1",
  [aux_sym_tuple_expression_repeat1] = "tuple_expression_repeat1",
  [aux_sym_macro_argument_list_repeat1] = "macro_argument_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym__do_parameter_list_repeat1] = "_do_parameter_list_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym_string_literal_repeat2] = "string_literal_repeat2",
  [aux_sym_command_literal_repeat1] = "command_literal_repeat1",
  [aux_sym_command_literal_repeat2] = "command_literal_repeat2",
  [aux_sym_prefixed_string_literal_repeat1] = "prefixed_string_literal_repeat1",
  [aux_sym_prefixed_string_literal_repeat2] = "prefixed_string_literal_repeat2",
  [aux_sym_prefixed_command_literal_repeat1] = "prefixed_command_literal_repeat1",
  [aux_sym_prefixed_command_literal_repeat2] = "prefixed_command_literal_repeat2",
  [aux_sym__terminator_repeat1] = "_terminator_repeat1",
  [alias_sym_let_binding] = "let_binding",
  [alias_sym_named_argument] = "named_argument",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__word_identifier] = sym__word_identifier,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_begin] = anon_sym_begin,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_baremodule] = anon_sym_baremodule,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_primitive] = anon_sym_primitive,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_macro] = anon_sym_macro,
  [anon_sym_quote] = anon_sym_quote,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_elseif] = anon_sym_elseif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_while] = anon_sym_while,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_as] = anon_sym_as,
  [aux_sym_import_path_token1] = aux_sym_import_path_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_outer] = anon_sym_outer,
  [anon_sym_in] = sym_operator,
  [anon_sym_u2208] = sym_operator,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_DOT_EQ] = anon_sym_DOT_EQ,
  [aux_sym_quote_expression_token1] = sym_identifier,
  [anon_sym_isa] = sym_operator,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_where] = anon_sym_where,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [aux_sym_integer_literal_token1] = aux_sym_integer_literal_token1,
  [aux_sym_integer_literal_token2] = aux_sym_integer_literal_token2,
  [aux_sym_integer_literal_token3] = aux_sym_integer_literal_token3,
  [aux_sym_integer_literal_token4] = aux_sym_integer_literal_token4,
  [aux_sym_float_literal_token1] = aux_sym_float_literal_token1,
  [aux_sym_float_literal_token2] = aux_sym_float_literal_token2,
  [aux_sym_float_literal_token3] = aux_sym_float_literal_token3,
  [aux_sym_float_literal_token4] = aux_sym_float_literal_token4,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_character_literal] = sym_character_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = anon_sym_BQUOTE_BQUOTE_BQUOTE,
  [anon_sym_DOLLAR_EQ] = anon_sym_DOLLAR_EQ,
  [aux_sym__assignment_operator_token1] = aux_sym__assignment_operator_token1,
  [sym__pair_operator] = sym__pair_operator,
  [sym__arrow_operator] = sym__arrow_operator,
  [sym__lazy_or_operator] = sym_operator,
  [sym__lazy_and_operator] = sym_operator,
  [sym__comparison_operator] = sym__comparison_operator,
  [sym__pipe_right_operator] = sym__pipe_right_operator,
  [sym__pipe_left_operator] = sym__pipe_left_operator,
  [sym__ellipsis_operator] = sym__ellipsis_operator,
  [sym__plus_operator] = sym__plus_operator,
  [sym__times_operator] = sym__times_operator,
  [sym__rational_operator] = sym__rational_operator,
  [sym__bitshift_operator] = sym__bitshift_operator,
  [sym__power_operator] = sym__power_operator,
  [sym__tilde_operator] = sym__tilde_operator,
  [sym__type_order_operator] = sym__type_order_operator,
  [sym__unary_operator] = sym__unary_operator,
  [sym__unary_plus_operator] = sym__unary_plus_operator,
  [anon_sym_DOT2] = anon_sym_DOT,
  [aux_sym__terminator_token1] = aux_sym__terminator_token1,
  [anon_sym_SEMI2] = anon_sym_SEMI,
  [aux_sym_block_comment_token1] = aux_sym_block_comment_token1,
  [aux_sym_line_comment_token1] = aux_sym_line_comment_token1,
  [aux_sym_line_comment_token2] = aux_sym_line_comment_token2,
  [sym__block_comment_rest] = sym__block_comment_rest,
  [sym__immediate_paren] = sym__immediate_paren,
  [sym__immediate_bracket] = sym__immediate_bracket,
  [sym__immediate_brace] = sym__immediate_brace,
  [sym__immediate_string_start] = sym__immediate_string_start,
  [sym__immediate_command_start] = sym__immediate_command_start,
  [sym__content_cmd_1] = sym__content_cmd_1,
  [sym__content_cmd_1_raw] = sym__content_cmd_1,
  [sym__content_cmd_3] = sym__content_cmd_1,
  [sym__content_cmd_3_raw] = sym__content_cmd_1,
  [sym__content_str_1] = sym__content_cmd_1,
  [sym__content_str_1_raw] = sym__content_cmd_1,
  [sym__content_str_3] = sym__content_cmd_1,
  [sym__content_str_3_raw] = sym__content_cmd_1,
  [sym__end_cmd] = sym__end_cmd,
  [sym__end_str] = sym__end_str,
  [sym_source_file] = sym_source_file,
  [sym__block] = sym__block,
  [sym_open_tuple] = sym_open_tuple,
  [sym_assignment] = sym_assignment,
  [sym__closed_assignment] = sym_assignment,
  [sym__expression] = sym__expression,
  [sym_module_definition] = sym_module_definition,
  [sym_type_head] = sym_type_head,
  [sym_abstract_definition] = sym_abstract_definition,
  [sym_primitive_definition] = sym_primitive_definition,
  [sym_struct_definition] = sym_struct_definition,
  [sym_signature] = sym_signature,
  [sym_function_definition] = sym_function_definition,
  [sym_macro_definition] = sym_macro_definition,
  [sym_compound_statement] = sym_compound_statement,
  [sym_quote_statement] = sym_quote_statement,
  [sym_let_statement] = sym_let_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elseif_clause] = sym_elseif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_const_statement] = sym_const_statement,
  [sym_global_statement] = sym_global_statement,
  [sym_local_statement] = sym_local_statement,
  [sym_import_alias] = sym_import_alias,
  [sym_import_path] = sym_import_path,
  [sym__exportable] = sym__exportable,
  [sym__importable] = sym__importable,
  [sym__import_list] = sym__import_list,
  [sym_selected_import] = sym_selected_import,
  [sym_export_statement] = sym_export_statement,
  [sym_public_statement] = sym_public_statement,
  [sym_import_statement] = sym_import_statement,
  [sym_using_statement] = sym_using_statement,
  [sym__primary_expression] = sym__primary_expression,
  [sym__array] = sym__array,
  [sym_comprehension_expression] = sym_comprehension_expression,
  [sym__comprehension_clause] = sym__comprehension_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_for_clause] = sym_for_clause,
  [sym_for_binding] = sym_for_binding,
  [sym_matrix_expression] = sym_matrix_expression,
  [sym_matrix_row] = sym_matrix_row,
  [sym_vector_expression] = sym_vector_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_tuple_expression] = sym_tuple_expression,
  [sym_curly_expression] = sym_curly_expression,
  [sym_adjoint_expression] = sym_adjoint_expression,
  [sym_field_expression] = sym_field_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_parametrized_type_expression] = sym_parametrized_type_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_broadcast_call_expression] = sym_broadcast_call_expression,
  [sym__closed_macrocall_expression] = sym_macrocall_expression,
  [sym_macrocall_expression] = sym_macrocall_expression,
  [sym_macro_argument_list] = sym_macro_argument_list,
  [sym_argument_list] = sym_argument_list,
  [sym_do_clause] = sym_do_clause,
  [sym__do_parameter_list] = sym_argument_list,
  [sym_named_field] = sym_named_field,
  [sym_interpolation_expression] = sym_interpolation_expression,
  [sym_quote_expression] = sym_quote_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_range_expression] = sym_range_expression,
  [sym_splat_expression] = sym_splat_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_typed_expression] = sym_typed_expression,
  [sym_unary_typed_expression] = sym_unary_typed_expression,
  [sym_arrow_function_expression] = sym_arrow_function_expression,
  [sym_juxtaposition_expression] = sym_juxtaposition_expression,
  [sym_compound_assignment_expression] = sym_compound_assignment_expression,
  [sym_where_expression] = sym_where_expression,
  [sym_macro_identifier] = sym_macro_identifier,
  [sym_scoped_identifier] = sym_scoped_identifier,
  [sym_identifier] = sym_identifier,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym_integer_literal] = sym_integer_literal,
  [sym_float_literal] = sym_float_literal,
  [sym__string] = sym__string,
  [sym__delimiter_str_1] = sym__delimiter_str_1,
  [sym__delimiter_str_3] = sym__delimiter_str_3,
  [sym__delimiter_cmd_1] = sym__delimiter_cmd_1,
  [sym__delimiter_cmd_3] = sym__delimiter_cmd_3,
  [sym_string_literal] = sym_string_literal,
  [sym_command_literal] = sym_command_literal,
  [sym_prefixed_string_literal] = sym_prefixed_string_literal,
  [sym_prefixed_command_literal] = sym_prefixed_command_literal,
  [sym_string_interpolation] = sym_string_interpolation,
  [sym_operator] = sym_operator,
  [sym__assignment_operator] = sym_operator,
  [sym__syntactic_operator] = sym_operator,
  [sym_block_comment] = sym_block_comment,
  [sym_line_comment] = sym_line_comment,
  [aux_sym__block_repeat1] = aux_sym__block_repeat1,
  [aux_sym_open_tuple_repeat1] = aux_sym_open_tuple_repeat1,
  [aux_sym_let_statement_repeat1] = aux_sym_let_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym__comprehension_clause_repeat1] = aux_sym__comprehension_clause_repeat1,
  [aux_sym_matrix_expression_repeat1] = aux_sym_matrix_expression_repeat1,
  [aux_sym_matrix_row_repeat1] = aux_sym_matrix_row_repeat1,
  [aux_sym_vector_expression_repeat1] = aux_sym_vector_expression_repeat1,
  [aux_sym_parenthesized_expression_repeat1] = aux_sym_parenthesized_expression_repeat1,
  [aux_sym_tuple_expression_repeat1] = aux_sym_tuple_expression_repeat1,
  [aux_sym_macro_argument_list_repeat1] = aux_sym_macro_argument_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym__do_parameter_list_repeat1] = aux_sym__do_parameter_list_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym_string_literal_repeat2] = aux_sym_string_literal_repeat2,
  [aux_sym_command_literal_repeat1] = aux_sym_command_literal_repeat1,
  [aux_sym_command_literal_repeat2] = aux_sym_command_literal_repeat2,
  [aux_sym_prefixed_string_literal_repeat1] = aux_sym_prefixed_string_literal_repeat1,
  [aux_sym_prefixed_string_literal_repeat2] = aux_sym_prefixed_string_literal_repeat2,
  [aux_sym_prefixed_command_literal_repeat1] = aux_sym_prefixed_command_literal_repeat1,
  [aux_sym_prefixed_command_literal_repeat2] = aux_sym_prefixed_command_literal_repeat2,
  [aux_sym__terminator_repeat1] = aux_sym__terminator_repeat1,
  [alias_sym_let_binding] = alias_sym_let_binding,
  [alias_sym_named_argument] = alias_sym_named_argument,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__word_identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_begin] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_baremodule] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_primitive] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_macro] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_quote] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elseif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_import_path_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_outer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_u2208] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quote_expression_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_isa] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_where] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_integer_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_integer_literal_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_integer_literal_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_integer_literal_token4] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_float_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_float_literal_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_float_literal_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_float_literal_token4] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__assignment_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__pair_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__arrow_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__lazy_or_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__lazy_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__comparison_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__pipe_right_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__pipe_left_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__ellipsis_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__plus_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__times_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__rational_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__bitshift_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__power_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__tilde_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__type_order_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_plus_operator] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DOT2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__terminator_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_block_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_line_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_line_comment_token2] = {
    .visible = false,
    .named = false,
  },
  [sym__block_comment_rest] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_paren] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_bracket] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_brace] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_string_start] = {
    .visible = false,
    .named = true,
  },
  [sym__immediate_command_start] = {
    .visible = false,
    .named = true,
  },
  [sym__content_cmd_1] = {
    .visible = true,
    .named = true,
  },
  [sym__content_cmd_1_raw] = {
    .visible = true,
    .named = true,
  },
  [sym__content_cmd_3] = {
    .visible = true,
    .named = true,
  },
  [sym__content_cmd_3_raw] = {
    .visible = true,
    .named = true,
  },
  [sym__content_str_1] = {
    .visible = true,
    .named = true,
  },
  [sym__content_str_1_raw] = {
    .visible = true,
    .named = true,
  },
  [sym__content_str_3] = {
    .visible = true,
    .named = true,
  },
  [sym__content_str_3_raw] = {
    .visible = true,
    .named = true,
  },
  [sym__end_cmd] = {
    .visible = false,
    .named = true,
  },
  [sym__end_str] = {
    .visible = false,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__block] = {
    .visible = false,
    .named = true,
  },
  [sym_open_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__closed_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_module_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_head] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_macro_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_quote_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_let_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elseif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_const_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_local_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_import_path] = {
    .visible = true,
    .named = true,
  },
  [sym__exportable] = {
    .visible = false,
    .named = true,
  },
  [sym__importable] = {
    .visible = false,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_selected_import] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_public_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_using_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__array] = {
    .visible = false,
    .named = true,
  },
  [sym_comprehension_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_matrix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_matrix_row] = {
    .visible = true,
    .named = true,
  },
  [sym_vector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_curly_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_adjoint_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parametrized_type_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_broadcast_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__closed_macrocall_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_macrocall_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_macro_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_do_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__do_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_named_field] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_quote_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_typed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_juxtaposition_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_where_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_macro_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym__delimiter_str_1] = {
    .visible = false,
    .named = true,
  },
  [sym__delimiter_str_3] = {
    .visible = false,
    .named = true,
  },
  [sym__delimiter_cmd_1] = {
    .visible = false,
    .named = true,
  },
  [sym__delimiter_cmd_3] = {
    .visible = false,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_command_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_prefixed_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_prefixed_command_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__syntactic_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_line_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_open_tuple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_let_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_matrix_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_matrix_row_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_vector_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parenthesized_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_macro_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__do_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_literal_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_prefixed_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_prefixed_string_literal_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_prefixed_command_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_prefixed_command_literal_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__terminator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_let_binding] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_named_argument] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_condition = 2,
  field_name = 3,
  field_prefix = 4,
  field_suffix = 5,
  field_value = 6,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_condition] = "condition",
  [field_name] = "name",
  [field_prefix] = "prefix",
  [field_suffix] = "suffix",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [7] = {.index = 2, .length = 1},
  [9] = {.index = 3, .length = 2},
  [11] = {.index = 5, .length = 1},
  [12] = {.index = 6, .length = 2},
  [13] = {.index = 8, .length = 3},
  [16] = {.index = 11, .length = 2},
  [17] = {.index = 13, .length = 2},
  [18] = {.index = 15, .length = 3},
  [19] = {.index = 18, .length = 2},
  [21] = {.index = 20, .length = 3},
  [22] = {.index = 23, .length = 2},
  [23] = {.index = 25, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1},
  [1] =
    {field_condition, 1},
  [2] =
    {field_value, 0},
  [3] =
    {field_alternative, 2},
    {field_condition, 1},
  [5] =
    {field_prefix, 0},
  [6] =
    {field_alternative, 3},
    {field_condition, 1},
  [8] =
    {field_alternative, 2},
    {field_alternative, 3},
    {field_condition, 1},
  [11] =
    {field_prefix, 0},
    {field_suffix, 4},
  [13] =
    {field_alternative, 4},
    {field_condition, 1},
  [15] =
    {field_alternative, 3},
    {field_alternative, 4},
    {field_condition, 1},
  [18] =
    {field_prefix, 0},
    {field_suffix, 5},
  [20] =
    {field_alternative, 4},
    {field_alternative, 5},
    {field_condition, 1},
  [23] =
    {field_alternative, 5},
    {field_condition, 1},
  [25] =
    {field_alternative, 5},
    {field_alternative, 6},
    {field_condition, 1},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [2] = {
    [0] = sym_operator,
  },
  [5] = {
    [1] = alias_sym_named_argument,
  },
  [6] = {
    [1] = sym_operator,
  },
  [8] = {
    [1] = alias_sym_let_binding,
  },
  [10] = {
    [2] = alias_sym_named_argument,
  },
  [14] = {
    [2] = sym_operator,
  },
  [15] = {
    [3] = sym_operator,
  },
  [20] = {
    [3] = sym_assignment,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__closed_assignment, 3,
    sym_assignment,
    alias_sym_let_binding,
    alias_sym_named_argument,
  sym_named_field, 2,
    sym_named_field,
    sym_assignment,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 5,
  [6] = 4,
  [7] = 5,
  [8] = 5,
  [9] = 4,
  [10] = 5,
  [11] = 4,
  [12] = 5,
  [13] = 5,
  [14] = 5,
  [15] = 4,
  [16] = 4,
  [17] = 4,
  [18] = 5,
  [19] = 4,
  [20] = 5,
  [21] = 5,
  [22] = 4,
  [23] = 5,
  [24] = 4,
  [25] = 5,
  [26] = 4,
  [27] = 4,
  [28] = 5,
  [29] = 5,
  [30] = 4,
  [31] = 4,
  [32] = 4,
  [33] = 5,
  [34] = 4,
  [35] = 5,
  [36] = 4,
  [37] = 5,
  [38] = 4,
  [39] = 5,
  [40] = 4,
  [41] = 5,
  [42] = 4,
  [43] = 5,
  [44] = 4,
  [45] = 5,
  [46] = 4,
  [47] = 5,
  [48] = 5,
  [49] = 4,
  [50] = 5,
  [51] = 4,
  [52] = 5,
  [53] = 4,
  [54] = 5,
  [55] = 4,
  [56] = 5,
  [57] = 5,
  [58] = 4,
  [59] = 4,
  [60] = 5,
  [61] = 4,
  [62] = 5,
  [63] = 4,
  [64] = 5,
  [65] = 4,
  [66] = 66,
  [67] = 67,
  [68] = 67,
  [69] = 67,
  [70] = 5,
  [71] = 5,
  [72] = 4,
  [73] = 66,
  [74] = 67,
  [75] = 5,
  [76] = 4,
  [77] = 67,
  [78] = 67,
  [79] = 67,
  [80] = 67,
  [81] = 67,
  [82] = 5,
  [83] = 4,
  [84] = 67,
  [85] = 67,
  [86] = 67,
  [87] = 4,
  [88] = 5,
  [89] = 89,
  [90] = 90,
  [91] = 4,
  [92] = 5,
  [93] = 4,
  [94] = 66,
  [95] = 66,
  [96] = 66,
  [97] = 89,
  [98] = 66,
  [99] = 90,
  [100] = 66,
  [101] = 66,
  [102] = 5,
  [103] = 4,
  [104] = 66,
  [105] = 89,
  [106] = 89,
  [107] = 107,
  [108] = 89,
  [109] = 90,
  [110] = 107,
  [111] = 89,
  [112] = 90,
  [113] = 113,
  [114] = 89,
  [115] = 90,
  [116] = 90,
  [117] = 89,
  [118] = 107,
  [119] = 90,
  [120] = 113,
  [121] = 5,
  [122] = 89,
  [123] = 4,
  [124] = 113,
  [125] = 89,
  [126] = 113,
  [127] = 89,
  [128] = 89,
  [129] = 89,
  [130] = 89,
  [131] = 107,
  [132] = 107,
  [133] = 89,
  [134] = 90,
  [135] = 66,
  [136] = 107,
  [137] = 90,
  [138] = 107,
  [139] = 66,
  [140] = 107,
  [141] = 66,
  [142] = 107,
  [143] = 107,
  [144] = 5,
  [145] = 107,
  [146] = 5,
  [147] = 4,
  [148] = 4,
  [149] = 107,
  [150] = 107,
  [151] = 66,
  [152] = 107,
  [153] = 5,
  [154] = 4,
  [155] = 89,
  [156] = 107,
  [157] = 107,
  [158] = 107,
  [159] = 66,
  [160] = 107,
  [161] = 107,
  [162] = 107,
  [163] = 107,
  [164] = 107,
  [165] = 107,
  [166] = 107,
  [167] = 107,
  [168] = 107,
  [169] = 107,
  [170] = 107,
  [171] = 107,
  [172] = 107,
  [173] = 107,
  [174] = 107,
  [175] = 107,
  [176] = 107,
  [177] = 107,
  [178] = 107,
  [179] = 107,
  [180] = 107,
  [181] = 107,
  [182] = 107,
  [183] = 107,
  [184] = 107,
  [185] = 107,
  [186] = 107,
  [187] = 107,
  [188] = 107,
  [189] = 107,
  [190] = 107,
  [191] = 107,
  [192] = 107,
  [193] = 107,
  [194] = 107,
  [195] = 107,
  [196] = 107,
  [197] = 107,
  [198] = 107,
  [199] = 107,
  [200] = 107,
  [201] = 107,
  [202] = 89,
  [203] = 107,
  [204] = 90,
  [205] = 113,
  [206] = 113,
  [207] = 207,
  [208] = 113,
  [209] = 89,
  [210] = 89,
  [211] = 66,
  [212] = 89,
  [213] = 213,
  [214] = 113,
  [215] = 90,
  [216] = 216,
  [217] = 113,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 89,
  [223] = 223,
  [224] = 90,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 89,
  [230] = 90,
  [231] = 89,
  [232] = 90,
  [233] = 66,
  [234] = 5,
  [235] = 4,
  [236] = 113,
  [237] = 89,
  [238] = 89,
  [239] = 89,
  [240] = 90,
  [241] = 5,
  [242] = 4,
  [243] = 113,
  [244] = 244,
  [245] = 244,
  [246] = 244,
  [247] = 244,
  [248] = 113,
  [249] = 89,
  [250] = 113,
  [251] = 113,
  [252] = 113,
  [253] = 253,
  [254] = 89,
  [255] = 89,
  [256] = 256,
  [257] = 113,
  [258] = 113,
  [259] = 89,
  [260] = 89,
  [261] = 113,
  [262] = 89,
  [263] = 113,
  [264] = 5,
  [265] = 113,
  [266] = 244,
  [267] = 244,
  [268] = 244,
  [269] = 113,
  [270] = 244,
  [271] = 4,
  [272] = 113,
  [273] = 113,
  [274] = 89,
  [275] = 113,
  [276] = 244,
  [277] = 113,
  [278] = 244,
  [279] = 113,
  [280] = 244,
  [281] = 113,
  [282] = 89,
  [283] = 89,
  [284] = 244,
  [285] = 113,
  [286] = 244,
  [287] = 244,
  [288] = 244,
  [289] = 90,
  [290] = 113,
  [291] = 244,
  [292] = 244,
  [293] = 244,
  [294] = 113,
  [295] = 256,
  [296] = 296,
  [297] = 89,
  [298] = 113,
  [299] = 296,
  [300] = 296,
  [301] = 244,
  [302] = 244,
  [303] = 296,
  [304] = 244,
  [305] = 244,
  [306] = 296,
  [307] = 296,
  [308] = 89,
  [309] = 296,
  [310] = 296,
  [311] = 253,
  [312] = 296,
  [313] = 296,
  [314] = 207,
  [315] = 216,
  [316] = 218,
  [317] = 219,
  [318] = 244,
  [319] = 220,
  [320] = 221,
  [321] = 113,
  [322] = 244,
  [323] = 223,
  [324] = 225,
  [325] = 226,
  [326] = 113,
  [327] = 227,
  [328] = 244,
  [329] = 228,
  [330] = 89,
  [331] = 244,
  [332] = 296,
  [333] = 244,
  [334] = 90,
  [335] = 296,
  [336] = 113,
  [337] = 244,
  [338] = 244,
  [339] = 244,
  [340] = 244,
  [341] = 244,
  [342] = 113,
  [343] = 244,
  [344] = 90,
  [345] = 244,
  [346] = 113,
  [347] = 89,
  [348] = 244,
  [349] = 89,
  [350] = 113,
  [351] = 244,
  [352] = 89,
  [353] = 113,
  [354] = 89,
  [355] = 244,
  [356] = 244,
  [357] = 244,
  [358] = 244,
  [359] = 244,
  [360] = 113,
  [361] = 244,
  [362] = 113,
  [363] = 89,
  [364] = 244,
  [365] = 113,
  [366] = 89,
  [367] = 244,
  [368] = 244,
  [369] = 244,
  [370] = 113,
  [371] = 244,
  [372] = 372,
  [373] = 373,
  [374] = 373,
  [375] = 372,
  [376] = 373,
  [377] = 372,
  [378] = 373,
  [379] = 372,
  [380] = 372,
  [381] = 373,
  [382] = 372,
  [383] = 372,
  [384] = 372,
  [385] = 113,
  [386] = 373,
  [387] = 372,
  [388] = 372,
  [389] = 244,
  [390] = 372,
  [391] = 244,
  [392] = 373,
  [393] = 373,
  [394] = 244,
  [395] = 113,
  [396] = 373,
  [397] = 244,
  [398] = 244,
  [399] = 373,
  [400] = 244,
  [401] = 244,
  [402] = 373,
  [403] = 373,
  [404] = 372,
  [405] = 244,
  [406] = 244,
  [407] = 244,
  [408] = 244,
  [409] = 244,
  [410] = 410,
  [411] = 411,
  [412] = 411,
  [413] = 411,
  [414] = 411,
  [415] = 411,
  [416] = 411,
  [417] = 410,
  [418] = 418,
  [419] = 419,
  [420] = 244,
  [421] = 411,
  [422] = 411,
  [423] = 419,
  [424] = 410,
  [425] = 418,
  [426] = 419,
  [427] = 410,
  [428] = 418,
  [429] = 419,
  [430] = 410,
  [431] = 418,
  [432] = 419,
  [433] = 410,
  [434] = 418,
  [435] = 419,
  [436] = 410,
  [437] = 418,
  [438] = 419,
  [439] = 410,
  [440] = 418,
  [441] = 419,
  [442] = 411,
  [443] = 418,
  [444] = 419,
  [445] = 410,
  [446] = 418,
  [447] = 419,
  [448] = 410,
  [449] = 418,
  [450] = 419,
  [451] = 410,
  [452] = 418,
  [453] = 419,
  [454] = 411,
  [455] = 411,
  [456] = 411,
  [457] = 410,
  [458] = 418,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 460,
  [463] = 459,
  [464] = 464,
  [465] = 459,
  [466] = 466,
  [467] = 467,
  [468] = 460,
  [469] = 460,
  [470] = 460,
  [471] = 460,
  [472] = 459,
  [473] = 473,
  [474] = 460,
  [475] = 459,
  [476] = 476,
  [477] = 459,
  [478] = 460,
  [479] = 459,
  [480] = 460,
  [481] = 460,
  [482] = 459,
  [483] = 460,
  [484] = 459,
  [485] = 459,
  [486] = 459,
  [487] = 459,
  [488] = 460,
  [489] = 489,
  [490] = 490,
  [491] = 490,
  [492] = 490,
  [493] = 493,
  [494] = 490,
  [495] = 495,
  [496] = 496,
  [497] = 490,
  [498] = 490,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 500,
  [503] = 490,
  [504] = 490,
  [505] = 499,
  [506] = 490,
  [507] = 490,
  [508] = 490,
  [509] = 509,
  [510] = 501,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 490,
  [515] = 495,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 516,
  [530] = 530,
  [531] = 531,
  [532] = 523,
  [533] = 533,
  [534] = 533,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 473,
  [539] = 496,
  [540] = 511,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 541,
  [550] = 542,
  [551] = 543,
  [552] = 545,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 535,
  [561] = 536,
  [562] = 537,
  [563] = 563,
  [564] = 546,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 517,
  [571] = 518,
  [572] = 519,
  [573] = 520,
  [574] = 521,
  [575] = 522,
  [576] = 547,
  [577] = 524,
  [578] = 525,
  [579] = 526,
  [580] = 527,
  [581] = 528,
  [582] = 516,
  [583] = 530,
  [584] = 531,
  [585] = 523,
  [586] = 533,
  [587] = 467,
  [588] = 493,
  [589] = 544,
  [590] = 590,
  [591] = 546,
  [592] = 547,
  [593] = 548,
  [594] = 544,
  [595] = 546,
  [596] = 547,
  [597] = 548,
  [598] = 541,
  [599] = 542,
  [600] = 543,
  [601] = 545,
  [602] = 541,
  [603] = 542,
  [604] = 543,
  [605] = 553,
  [606] = 554,
  [607] = 544,
  [608] = 555,
  [609] = 556,
  [610] = 557,
  [611] = 558,
  [612] = 559,
  [613] = 535,
  [614] = 536,
  [615] = 537,
  [616] = 545,
  [617] = 563,
  [618] = 565,
  [619] = 566,
  [620] = 567,
  [621] = 568,
  [622] = 569,
  [623] = 517,
  [624] = 518,
  [625] = 519,
  [626] = 520,
  [627] = 521,
  [628] = 522,
  [629] = 524,
  [630] = 525,
  [631] = 526,
  [632] = 527,
  [633] = 528,
  [634] = 516,
  [635] = 530,
  [636] = 531,
  [637] = 523,
  [638] = 533,
  [639] = 476,
  [640] = 544,
  [641] = 546,
  [642] = 547,
  [643] = 548,
  [644] = 541,
  [645] = 542,
  [646] = 543,
  [647] = 545,
  [648] = 553,
  [649] = 554,
  [650] = 553,
  [651] = 554,
  [652] = 555,
  [653] = 556,
  [654] = 557,
  [655] = 558,
  [656] = 559,
  [657] = 535,
  [658] = 536,
  [659] = 537,
  [660] = 555,
  [661] = 556,
  [662] = 563,
  [663] = 565,
  [664] = 566,
  [665] = 567,
  [666] = 568,
  [667] = 569,
  [668] = 517,
  [669] = 518,
  [670] = 519,
  [671] = 520,
  [672] = 521,
  [673] = 522,
  [674] = 557,
  [675] = 524,
  [676] = 525,
  [677] = 526,
  [678] = 527,
  [679] = 528,
  [680] = 516,
  [681] = 530,
  [682] = 531,
  [683] = 523,
  [684] = 533,
  [685] = 558,
  [686] = 559,
  [687] = 544,
  [688] = 546,
  [689] = 547,
  [690] = 548,
  [691] = 541,
  [692] = 542,
  [693] = 543,
  [694] = 545,
  [695] = 535,
  [696] = 536,
  [697] = 553,
  [698] = 554,
  [699] = 555,
  [700] = 556,
  [701] = 557,
  [702] = 558,
  [703] = 559,
  [704] = 535,
  [705] = 536,
  [706] = 537,
  [707] = 537,
  [708] = 563,
  [709] = 489,
  [710] = 565,
  [711] = 566,
  [712] = 567,
  [713] = 568,
  [714] = 569,
  [715] = 517,
  [716] = 518,
  [717] = 519,
  [718] = 520,
  [719] = 521,
  [720] = 522,
  [721] = 524,
  [722] = 525,
  [723] = 526,
  [724] = 527,
  [725] = 528,
  [726] = 516,
  [727] = 530,
  [728] = 531,
  [729] = 523,
  [730] = 533,
  [731] = 563,
  [732] = 509,
  [733] = 565,
  [734] = 544,
  [735] = 546,
  [736] = 547,
  [737] = 548,
  [738] = 541,
  [739] = 542,
  [740] = 543,
  [741] = 545,
  [742] = 566,
  [743] = 553,
  [744] = 554,
  [745] = 555,
  [746] = 556,
  [747] = 557,
  [748] = 558,
  [749] = 559,
  [750] = 535,
  [751] = 536,
  [752] = 537,
  [753] = 563,
  [754] = 565,
  [755] = 566,
  [756] = 567,
  [757] = 568,
  [758] = 569,
  [759] = 517,
  [760] = 518,
  [761] = 519,
  [762] = 520,
  [763] = 521,
  [764] = 522,
  [765] = 524,
  [766] = 525,
  [767] = 526,
  [768] = 527,
  [769] = 528,
  [770] = 516,
  [771] = 530,
  [772] = 531,
  [773] = 523,
  [774] = 533,
  [775] = 567,
  [776] = 568,
  [777] = 569,
  [778] = 544,
  [779] = 546,
  [780] = 547,
  [781] = 548,
  [782] = 541,
  [783] = 542,
  [784] = 543,
  [785] = 545,
  [786] = 517,
  [787] = 518,
  [788] = 519,
  [789] = 553,
  [790] = 554,
  [791] = 555,
  [792] = 556,
  [793] = 557,
  [794] = 558,
  [795] = 559,
  [796] = 535,
  [797] = 536,
  [798] = 537,
  [799] = 520,
  [800] = 563,
  [801] = 521,
  [802] = 565,
  [803] = 566,
  [804] = 567,
  [805] = 568,
  [806] = 569,
  [807] = 517,
  [808] = 518,
  [809] = 519,
  [810] = 520,
  [811] = 521,
  [812] = 522,
  [813] = 522,
  [814] = 524,
  [815] = 525,
  [816] = 526,
  [817] = 527,
  [818] = 528,
  [819] = 516,
  [820] = 530,
  [821] = 531,
  [822] = 523,
  [823] = 533,
  [824] = 524,
  [825] = 544,
  [826] = 546,
  [827] = 547,
  [828] = 548,
  [829] = 541,
  [830] = 542,
  [831] = 543,
  [832] = 545,
  [833] = 525,
  [834] = 526,
  [835] = 553,
  [836] = 554,
  [837] = 555,
  [838] = 556,
  [839] = 557,
  [840] = 558,
  [841] = 559,
  [842] = 535,
  [843] = 536,
  [844] = 537,
  [845] = 527,
  [846] = 563,
  [847] = 528,
  [848] = 565,
  [849] = 566,
  [850] = 567,
  [851] = 568,
  [852] = 569,
  [853] = 517,
  [854] = 518,
  [855] = 519,
  [856] = 520,
  [857] = 521,
  [858] = 522,
  [859] = 524,
  [860] = 525,
  [861] = 526,
  [862] = 527,
  [863] = 528,
  [864] = 530,
  [865] = 531,
  [866] = 523,
  [867] = 533,
  [868] = 516,
  [869] = 530,
  [870] = 531,
  [871] = 544,
  [872] = 546,
  [873] = 547,
  [874] = 548,
  [875] = 541,
  [876] = 542,
  [877] = 543,
  [878] = 545,
  [879] = 523,
  [880] = 533,
  [881] = 553,
  [882] = 554,
  [883] = 555,
  [884] = 556,
  [885] = 557,
  [886] = 558,
  [887] = 559,
  [888] = 535,
  [889] = 536,
  [890] = 537,
  [891] = 464,
  [892] = 563,
  [893] = 548,
  [894] = 565,
  [895] = 566,
  [896] = 567,
  [897] = 568,
  [898] = 569,
  [899] = 517,
  [900] = 518,
  [901] = 519,
  [902] = 520,
  [903] = 521,
  [904] = 522,
  [905] = 563,
  [906] = 524,
  [907] = 525,
  [908] = 526,
  [909] = 527,
  [910] = 528,
  [911] = 516,
  [912] = 530,
  [913] = 531,
  [914] = 523,
  [915] = 533,
  [916] = 553,
  [917] = 495,
  [918] = 544,
  [919] = 546,
  [920] = 547,
  [921] = 548,
  [922] = 541,
  [923] = 542,
  [924] = 543,
  [925] = 545,
  [926] = 565,
  [927] = 553,
  [928] = 554,
  [929] = 555,
  [930] = 556,
  [931] = 557,
  [932] = 569,
  [933] = 559,
  [934] = 535,
  [935] = 536,
  [936] = 537,
  [937] = 499,
  [938] = 500,
  [939] = 563,
  [940] = 565,
  [941] = 566,
  [942] = 567,
  [943] = 568,
  [944] = 569,
  [945] = 517,
  [946] = 518,
  [947] = 519,
  [948] = 520,
  [949] = 521,
  [950] = 522,
  [951] = 524,
  [952] = 525,
  [953] = 526,
  [954] = 527,
  [955] = 528,
  [956] = 516,
  [957] = 530,
  [958] = 531,
  [959] = 523,
  [960] = 533,
  [961] = 566,
  [962] = 501,
  [963] = 566,
  [964] = 527,
  [965] = 528,
  [966] = 533,
  [967] = 566,
  [968] = 527,
  [969] = 528,
  [970] = 533,
  [971] = 566,
  [972] = 527,
  [973] = 528,
  [974] = 533,
  [975] = 566,
  [976] = 527,
  [977] = 528,
  [978] = 533,
  [979] = 554,
  [980] = 566,
  [981] = 527,
  [982] = 528,
  [983] = 533,
  [984] = 566,
  [985] = 527,
  [986] = 528,
  [987] = 533,
  [988] = 566,
  [989] = 527,
  [990] = 528,
  [991] = 533,
  [992] = 566,
  [993] = 527,
  [994] = 528,
  [995] = 533,
  [996] = 566,
  [997] = 527,
  [998] = 528,
  [999] = 533,
  [1000] = 566,
  [1001] = 527,
  [1002] = 528,
  [1003] = 533,
  [1004] = 566,
  [1005] = 527,
  [1006] = 528,
  [1007] = 533,
  [1008] = 566,
  [1009] = 527,
  [1010] = 528,
  [1011] = 533,
  [1012] = 555,
  [1013] = 566,
  [1014] = 527,
  [1015] = 528,
  [1016] = 533,
  [1017] = 567,
  [1018] = 566,
  [1019] = 527,
  [1020] = 528,
  [1021] = 533,
  [1022] = 568,
  [1023] = 566,
  [1024] = 527,
  [1025] = 528,
  [1026] = 533,
  [1027] = 566,
  [1028] = 527,
  [1029] = 528,
  [1030] = 533,
  [1031] = 566,
  [1032] = 527,
  [1033] = 528,
  [1034] = 533,
  [1035] = 566,
  [1036] = 527,
  [1037] = 528,
  [1038] = 533,
  [1039] = 569,
  [1040] = 566,
  [1041] = 527,
  [1042] = 528,
  [1043] = 533,
  [1044] = 517,
  [1045] = 566,
  [1046] = 527,
  [1047] = 528,
  [1048] = 533,
  [1049] = 518,
  [1050] = 566,
  [1051] = 527,
  [1052] = 528,
  [1053] = 533,
  [1054] = 519,
  [1055] = 566,
  [1056] = 527,
  [1057] = 528,
  [1058] = 533,
  [1059] = 566,
  [1060] = 527,
  [1061] = 528,
  [1062] = 533,
  [1063] = 520,
  [1064] = 566,
  [1065] = 527,
  [1066] = 528,
  [1067] = 533,
  [1068] = 566,
  [1069] = 527,
  [1070] = 528,
  [1071] = 533,
  [1072] = 521,
  [1073] = 566,
  [1074] = 527,
  [1075] = 528,
  [1076] = 533,
  [1077] = 566,
  [1078] = 527,
  [1079] = 528,
  [1080] = 533,
  [1081] = 522,
  [1082] = 566,
  [1083] = 527,
  [1084] = 528,
  [1085] = 533,
  [1086] = 566,
  [1087] = 527,
  [1088] = 528,
  [1089] = 533,
  [1090] = 556,
  [1091] = 566,
  [1092] = 527,
  [1093] = 528,
  [1094] = 533,
  [1095] = 566,
  [1096] = 527,
  [1097] = 528,
  [1098] = 533,
  [1099] = 566,
  [1100] = 527,
  [1101] = 528,
  [1102] = 533,
  [1103] = 512,
  [1104] = 566,
  [1105] = 527,
  [1106] = 528,
  [1107] = 533,
  [1108] = 566,
  [1109] = 527,
  [1110] = 528,
  [1111] = 533,
  [1112] = 566,
  [1113] = 527,
  [1114] = 528,
  [1115] = 533,
  [1116] = 557,
  [1117] = 566,
  [1118] = 527,
  [1119] = 528,
  [1120] = 533,
  [1121] = 566,
  [1122] = 527,
  [1123] = 528,
  [1124] = 533,
  [1125] = 495,
  [1126] = 566,
  [1127] = 527,
  [1128] = 528,
  [1129] = 533,
  [1130] = 566,
  [1131] = 527,
  [1132] = 528,
  [1133] = 533,
  [1134] = 1134,
  [1135] = 566,
  [1136] = 527,
  [1137] = 528,
  [1138] = 533,
  [1139] = 499,
  [1140] = 566,
  [1141] = 527,
  [1142] = 528,
  [1143] = 533,
  [1144] = 500,
  [1145] = 566,
  [1146] = 527,
  [1147] = 528,
  [1148] = 533,
  [1149] = 566,
  [1150] = 527,
  [1151] = 528,
  [1152] = 533,
  [1153] = 558,
  [1154] = 566,
  [1155] = 527,
  [1156] = 528,
  [1157] = 533,
  [1158] = 524,
  [1159] = 566,
  [1160] = 527,
  [1161] = 528,
  [1162] = 533,
  [1163] = 501,
  [1164] = 566,
  [1165] = 527,
  [1166] = 528,
  [1167] = 533,
  [1168] = 566,
  [1169] = 527,
  [1170] = 528,
  [1171] = 533,
  [1172] = 566,
  [1173] = 527,
  [1174] = 528,
  [1175] = 533,
  [1176] = 566,
  [1177] = 527,
  [1178] = 528,
  [1179] = 533,
  [1180] = 566,
  [1181] = 527,
  [1182] = 528,
  [1183] = 533,
  [1184] = 525,
  [1185] = 526,
  [1186] = 495,
  [1187] = 527,
  [1188] = 499,
  [1189] = 500,
  [1190] = 528,
  [1191] = 501,
  [1192] = 544,
  [1193] = 546,
  [1194] = 547,
  [1195] = 548,
  [1196] = 541,
  [1197] = 542,
  [1198] = 543,
  [1199] = 545,
  [1200] = 516,
  [1201] = 530,
  [1202] = 531,
  [1203] = 553,
  [1204] = 554,
  [1205] = 555,
  [1206] = 556,
  [1207] = 557,
  [1208] = 558,
  [1209] = 559,
  [1210] = 535,
  [1211] = 536,
  [1212] = 537,
  [1213] = 1213,
  [1214] = 563,
  [1215] = 513,
  [1216] = 565,
  [1217] = 566,
  [1218] = 559,
  [1219] = 567,
  [1220] = 568,
  [1221] = 558,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1223,
  [1225] = 1225,
  [1226] = 1223,
  [1227] = 1223,
  [1228] = 1223,
  [1229] = 499,
  [1230] = 1223,
  [1231] = 1231,
  [1232] = 1223,
  [1233] = 1223,
  [1234] = 1223,
  [1235] = 1235,
  [1236] = 1223,
  [1237] = 1231,
  [1238] = 1223,
  [1239] = 500,
  [1240] = 1223,
  [1241] = 1223,
  [1242] = 1223,
  [1243] = 1223,
  [1244] = 1223,
  [1245] = 1231,
  [1246] = 1223,
  [1247] = 1223,
  [1248] = 1223,
  [1249] = 1231,
  [1250] = 1223,
  [1251] = 1251,
  [1252] = 1223,
  [1253] = 1223,
  [1254] = 1223,
  [1255] = 1223,
  [1256] = 1256,
  [1257] = 1223,
  [1258] = 1231,
  [1259] = 1223,
  [1260] = 1223,
  [1261] = 1231,
  [1262] = 1223,
  [1263] = 1223,
  [1264] = 1223,
  [1265] = 1223,
  [1266] = 1223,
  [1267] = 1223,
  [1268] = 495,
  [1269] = 1223,
  [1270] = 1231,
  [1271] = 1223,
  [1272] = 499,
  [1273] = 1223,
  [1274] = 1231,
  [1275] = 1223,
  [1276] = 1223,
  [1277] = 1277,
  [1278] = 1223,
  [1279] = 1223,
  [1280] = 1231,
  [1281] = 1281,
  [1282] = 1223,
  [1283] = 501,
  [1284] = 501,
  [1285] = 1231,
  [1286] = 1223,
  [1287] = 1223,
  [1288] = 1223,
  [1289] = 1225,
  [1290] = 1223,
  [1291] = 1251,
  [1292] = 1223,
  [1293] = 1223,
  [1294] = 1223,
  [1295] = 1231,
  [1296] = 1223,
  [1297] = 1231,
  [1298] = 1223,
  [1299] = 1299,
  [1300] = 1223,
  [1301] = 1223,
  [1302] = 1223,
  [1303] = 1223,
  [1304] = 1231,
  [1305] = 1223,
  [1306] = 1223,
  [1307] = 1223,
  [1308] = 500,
  [1309] = 1223,
  [1310] = 1223,
  [1311] = 1231,
  [1312] = 1223,
  [1313] = 1223,
  [1314] = 495,
  [1315] = 1223,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1317,
  [1324] = 1321,
  [1325] = 1317,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1319,
  [1329] = 1329,
  [1330] = 1320,
  [1331] = 1322,
  [1332] = 1332,
  [1333] = 1322,
  [1334] = 1334,
  [1335] = 1321,
  [1336] = 1317,
  [1337] = 1316,
  [1338] = 1319,
  [1339] = 1339,
  [1340] = 1320,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1322,
  [1344] = 1334,
  [1345] = 1321,
  [1346] = 1321,
  [1347] = 1347,
  [1348] = 1319,
  [1349] = 1319,
  [1350] = 1320,
  [1351] = 1332,
  [1352] = 1352,
  [1353] = 1322,
  [1354] = 1321,
  [1355] = 1317,
  [1356] = 1319,
  [1357] = 1319,
  [1358] = 1320,
  [1359] = 1322,
  [1360] = 1326,
  [1361] = 1321,
  [1362] = 1317,
  [1363] = 1363,
  [1364] = 1319,
  [1365] = 1318,
  [1366] = 1320,
  [1367] = 1320,
  [1368] = 1322,
  [1369] = 1334,
  [1370] = 1321,
  [1371] = 1317,
  [1372] = 1363,
  [1373] = 1373,
  [1374] = 1319,
  [1375] = 1341,
  [1376] = 1320,
  [1377] = 1317,
  [1378] = 1320,
  [1379] = 1322,
  [1380] = 1321,
  [1381] = 1317,
  [1382] = 1318,
  [1383] = 1319,
  [1384] = 1373,
  [1385] = 1320,
  [1386] = 1316,
  [1387] = 1322,
  [1388] = 1321,
  [1389] = 1317,
  [1390] = 1321,
  [1391] = 1317,
  [1392] = 1319,
  [1393] = 1327,
  [1394] = 1320,
  [1395] = 1395,
  [1396] = 1322,
  [1397] = 1322,
  [1398] = 1398,
  [1399] = 1321,
  [1400] = 1317,
  [1401] = 1329,
  [1402] = 1332,
  [1403] = 1319,
  [1404] = 1395,
  [1405] = 1320,
  [1406] = 1327,
  [1407] = 1322,
  [1408] = 1322,
  [1409] = 1321,
  [1410] = 1321,
  [1411] = 1317,
  [1412] = 1317,
  [1413] = 1316,
  [1414] = 1319,
  [1415] = 1373,
  [1416] = 1320,
  [1417] = 1342,
  [1418] = 1322,
  [1419] = 1339,
  [1420] = 1321,
  [1421] = 1317,
  [1422] = 1347,
  [1423] = 1319,
  [1424] = 1352,
  [1425] = 1320,
  [1426] = 1373,
  [1427] = 1334,
  [1428] = 1322,
  [1429] = 1134,
  [1430] = 1321,
  [1431] = 1317,
  [1432] = 1326,
  [1433] = 1433,
  [1434] = 1319,
  [1435] = 1363,
  [1436] = 1320,
  [1437] = 1437,
  [1438] = 1322,
  [1439] = 1373,
  [1440] = 1321,
  [1441] = 1317,
  [1442] = 1332,
  [1443] = 1341,
  [1444] = 1319,
  [1445] = 1398,
  [1446] = 1320,
  [1447] = 1433,
  [1448] = 1322,
  [1449] = 1318,
  [1450] = 1321,
  [1451] = 1317,
  [1452] = 1329,
  [1453] = 1319,
  [1454] = 1321,
  [1455] = 1320,
  [1456] = 1329,
  [1457] = 1317,
  [1458] = 1322,
  [1459] = 1398,
  [1460] = 1321,
  [1461] = 1317,
  [1462] = 1319,
  [1463] = 1329,
  [1464] = 1319,
  [1465] = 1320,
  [1466] = 1395,
  [1467] = 1320,
  [1468] = 1322,
  [1469] = 1398,
  [1470] = 1321,
  [1471] = 1317,
  [1472] = 1339,
  [1473] = 1319,
  [1474] = 1395,
  [1475] = 1320,
  [1476] = 1320,
  [1477] = 1334,
  [1478] = 1322,
  [1479] = 1319,
  [1480] = 1321,
  [1481] = 1317,
  [1482] = 1316,
  [1483] = 1341,
  [1484] = 1319,
  [1485] = 1332,
  [1486] = 1320,
  [1487] = 1327,
  [1488] = 1322,
  [1489] = 1322,
  [1490] = 1321,
  [1491] = 1317,
  [1492] = 1327,
  [1493] = 1319,
  [1494] = 1319,
  [1495] = 1320,
  [1496] = 1398,
  [1497] = 1322,
  [1498] = 1316,
  [1499] = 1321,
  [1500] = 1317,
  [1501] = 1322,
  [1502] = 1319,
  [1503] = 1320,
  [1504] = 1320,
  [1505] = 1373,
  [1506] = 1339,
  [1507] = 1322,
  [1508] = 1342,
  [1509] = 1321,
  [1510] = 1317,
  [1511] = 1347,
  [1512] = 1319,
  [1513] = 1327,
  [1514] = 1320,
  [1515] = 1395,
  [1516] = 1322,
  [1517] = 1373,
  [1518] = 1321,
  [1519] = 1317,
  [1520] = 1352,
  [1521] = 1398,
  [1522] = 1319,
  [1523] = 1318,
  [1524] = 1320,
  [1525] = 1339,
  [1526] = 1322,
  [1527] = 1322,
  [1528] = 1321,
  [1529] = 1317,
  [1530] = 1395,
  [1531] = 1327,
  [1532] = 1319,
  [1533] = 1398,
  [1534] = 1320,
  [1535] = 1322,
  [1536] = 1395,
  [1537] = 1322,
  [1538] = 1320,
  [1539] = 1321,
  [1540] = 1327,
  [1541] = 1322,
  [1542] = 1319,
  [1543] = 1334,
  [1544] = 1316,
  [1545] = 1316,
  [1546] = 1322,
  [1547] = 1326,
  [1548] = 1321,
  [1549] = 1316,
  [1550] = 1342,
  [1551] = 1319,
  [1552] = 1342,
  [1553] = 1347,
  [1554] = 1363,
  [1555] = 1322,
  [1556] = 1352,
  [1557] = 1321,
  [1558] = 1347,
  [1559] = 1339,
  [1560] = 1319,
  [1561] = 1352,
  [1562] = 1334,
  [1563] = 1326,
  [1564] = 1322,
  [1565] = 1332,
  [1566] = 1321,
  [1567] = 1363,
  [1568] = 1342,
  [1569] = 1319,
  [1570] = 1433,
  [1571] = 1341,
  [1572] = 1341,
  [1573] = 1322,
  [1574] = 1326,
  [1575] = 1321,
  [1576] = 1342,
  [1577] = 1318,
  [1578] = 1319,
  [1579] = 1437,
  [1580] = 1363,
  [1581] = 1322,
  [1582] = 1321,
  [1583] = 1321,
  [1584] = 1317,
  [1585] = 1321,
  [1586] = 1319,
  [1587] = 1317,
  [1588] = 1433,
  [1589] = 1329,
  [1590] = 1322,
  [1591] = 1332,
  [1592] = 1321,
  [1593] = 1341,
  [1594] = 1318,
  [1595] = 1319,
  [1596] = 1318,
  [1597] = 1339,
  [1598] = 1322,
  [1599] = 1321,
  [1600] = 1347,
  [1601] = 1334,
  [1602] = 1319,
  [1603] = 1321,
  [1604] = 1222,
  [1605] = 1317,
  [1606] = 1322,
  [1607] = 1321,
  [1608] = 1321,
  [1609] = 1332,
  [1610] = 1317,
  [1611] = 1319,
  [1612] = 1342,
  [1613] = 1329,
  [1614] = 1322,
  [1615] = 1342,
  [1616] = 1321,
  [1617] = 1319,
  [1618] = 1319,
  [1619] = 1352,
  [1620] = 1329,
  [1621] = 1322,
  [1622] = 1326,
  [1623] = 1321,
  [1624] = 1339,
  [1625] = 1320,
  [1626] = 1319,
  [1627] = 1341,
  [1628] = 1347,
  [1629] = 1347,
  [1630] = 1322,
  [1631] = 1326,
  [1632] = 1321,
  [1633] = 1334,
  [1634] = 1437,
  [1635] = 1319,
  [1636] = 1319,
  [1637] = 1339,
  [1638] = 1322,
  [1639] = 1373,
  [1640] = 1321,
  [1641] = 1332,
  [1642] = 1363,
  [1643] = 1319,
  [1644] = 1251,
  [1645] = 1395,
  [1646] = 1322,
  [1647] = 1334,
  [1648] = 1321,
  [1649] = 1395,
  [1650] = 1319,
  [1651] = 1319,
  [1652] = 1398,
  [1653] = 1251,
  [1654] = 1322,
  [1655] = 1318,
  [1656] = 1321,
  [1657] = 1327,
  [1658] = 1322,
  [1659] = 1319,
  [1660] = 1316,
  [1661] = 1322,
  [1662] = 1341,
  [1663] = 1321,
  [1664] = 1332,
  [1665] = 1342,
  [1666] = 1319,
  [1667] = 1398,
  [1668] = 1347,
  [1669] = 1320,
  [1670] = 1322,
  [1671] = 1352,
  [1672] = 1321,
  [1673] = 1352,
  [1674] = 1319,
  [1675] = 1329,
  [1676] = 1225,
  [1677] = 1326,
  [1678] = 1322,
  [1679] = 1318,
  [1680] = 1321,
  [1681] = 1363,
  [1682] = 1319,
  [1683] = 1319,
  [1684] = 1341,
  [1685] = 1322,
  [1686] = 1225,
  [1687] = 1321,
  [1688] = 1318,
  [1689] = 1319,
  [1690] = 1319,
  [1691] = 1321,
  [1692] = 1322,
  [1693] = 1317,
  [1694] = 1321,
  [1695] = 1373,
  [1696] = 1321,
  [1697] = 1319,
  [1698] = 1329,
  [1699] = 1317,
  [1700] = 1363,
  [1701] = 1322,
  [1702] = 1320,
  [1703] = 1321,
  [1704] = 1347,
  [1705] = 1395,
  [1706] = 1319,
  [1707] = 1339,
  [1708] = 1437,
  [1709] = 1373,
  [1710] = 1322,
  [1711] = 1398,
  [1712] = 1321,
  [1713] = 1334,
  [1714] = 1319,
  [1715] = 1352,
  [1716] = 1329,
  [1717] = 1322,
  [1718] = 1332,
  [1719] = 1321,
  [1720] = 1320,
  [1721] = 1319,
  [1722] = 1327,
  [1723] = 1322,
  [1724] = 1322,
  [1725] = 1319,
  [1726] = 1321,
  [1727] = 1327,
  [1728] = 1319,
  [1729] = 1326,
  [1730] = 1316,
  [1731] = 1322,
  [1732] = 1321,
  [1733] = 590,
  [1734] = 1320,
  [1735] = 1319,
  [1736] = 1342,
  [1737] = 1433,
  [1738] = 1373,
  [1739] = 1332,
  [1740] = 1437,
  [1741] = 1347,
  [1742] = 1251,
  [1743] = 1320,
  [1744] = 1327,
  [1745] = 1225,
  [1746] = 1322,
  [1747] = 1319,
  [1748] = 1437,
  [1749] = 1433,
  [1750] = 1352,
  [1751] = 1437,
  [1752] = 1321,
  [1753] = 1317,
  [1754] = 1339,
  [1755] = 1373,
  [1756] = 1363,
  [1757] = 1319,
  [1758] = 1281,
  [1759] = 1320,
  [1760] = 1395,
  [1761] = 1433,
  [1762] = 1398,
  [1763] = 1326,
  [1764] = 1334,
  [1765] = 1327,
  [1766] = 1322,
  [1767] = 1327,
  [1768] = 1322,
  [1769] = 1316,
  [1770] = 1363,
  [1771] = 1342,
  [1772] = 1321,
  [1773] = 1347,
  [1774] = 1317,
  [1775] = 1352,
  [1776] = 1395,
  [1777] = 1339,
  [1778] = 1326,
  [1779] = 1319,
  [1780] = 1363,
  [1781] = 1352,
  [1782] = 1322,
  [1783] = 1341,
  [1784] = 1320,
  [1785] = 1321,
  [1786] = 1318,
  [1787] = 1341,
  [1788] = 1321,
  [1789] = 1317,
  [1790] = 1322,
  [1791] = 1398,
  [1792] = 1329,
  [1793] = 1317,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1795,
  [1797] = 1797,
  [1798] = 1797,
  [1799] = 1799,
  [1800] = 1251,
  [1801] = 1797,
  [1802] = 1795,
  [1803] = 1795,
  [1804] = 1797,
  [1805] = 1797,
  [1806] = 1797,
  [1807] = 1795,
  [1808] = 1797,
  [1809] = 1225,
  [1810] = 1810,
  [1811] = 1795,
  [1812] = 1795,
  [1813] = 1795,
  [1814] = 1795,
  [1815] = 1810,
  [1816] = 1795,
  [1817] = 1797,
  [1818] = 1795,
  [1819] = 1797,
  [1820] = 1797,
  [1821] = 1795,
  [1822] = 1795,
  [1823] = 1251,
  [1824] = 1810,
  [1825] = 1795,
  [1826] = 1797,
  [1827] = 1799,
  [1828] = 1795,
  [1829] = 1810,
  [1830] = 1795,
  [1831] = 1795,
  [1832] = 1795,
  [1833] = 1833,
  [1834] = 1797,
  [1835] = 1795,
  [1836] = 1810,
  [1837] = 1797,
  [1838] = 1795,
  [1839] = 1839,
  [1840] = 1795,
  [1841] = 1810,
  [1842] = 1795,
  [1843] = 1797,
  [1844] = 1797,
  [1845] = 1797,
  [1846] = 1795,
  [1847] = 1797,
  [1848] = 1795,
  [1849] = 1795,
  [1850] = 1797,
  [1851] = 1795,
  [1852] = 1795,
  [1853] = 1795,
  [1854] = 1797,
  [1855] = 1795,
  [1856] = 1797,
  [1857] = 1833,
  [1858] = 1795,
  [1859] = 1799,
  [1860] = 1810,
  [1861] = 1795,
  [1862] = 1794,
  [1863] = 1810,
  [1864] = 1797,
  [1865] = 1795,
  [1866] = 1799,
  [1867] = 1795,
  [1868] = 1797,
  [1869] = 1797,
  [1870] = 1795,
  [1871] = 1795,
  [1872] = 1833,
  [1873] = 1799,
  [1874] = 1795,
  [1875] = 1795,
  [1876] = 1795,
  [1877] = 1794,
  [1878] = 1833,
  [1879] = 1797,
  [1880] = 1797,
  [1881] = 1795,
  [1882] = 1795,
  [1883] = 1794,
  [1884] = 1833,
  [1885] = 1810,
  [1886] = 1795,
  [1887] = 1794,
  [1888] = 1795,
  [1889] = 1795,
  [1890] = 1795,
  [1891] = 1799,
  [1892] = 1797,
  [1893] = 1810,
  [1894] = 1797,
  [1895] = 1794,
  [1896] = 1833,
  [1897] = 1799,
  [1898] = 1797,
  [1899] = 1795,
  [1900] = 1225,
  [1901] = 1794,
  [1902] = 1833,
  [1903] = 1795,
  [1904] = 1810,
  [1905] = 1795,
  [1906] = 1795,
  [1907] = 1794,
  [1908] = 1833,
  [1909] = 1797,
  [1910] = 1795,
  [1911] = 1795,
  [1912] = 1795,
  [1913] = 1794,
  [1914] = 1833,
  [1915] = 1797,
  [1916] = 1799,
  [1917] = 1795,
  [1918] = 1797,
  [1919] = 1794,
  [1920] = 1833,
  [1921] = 1795,
  [1922] = 1797,
  [1923] = 1795,
  [1924] = 1795,
  [1925] = 1794,
  [1926] = 1833,
  [1927] = 1810,
  [1928] = 1810,
  [1929] = 1797,
  [1930] = 1810,
  [1931] = 1794,
  [1932] = 1794,
  [1933] = 1794,
  [1934] = 1794,
  [1935] = 1794,
  [1936] = 1794,
  [1937] = 1794,
  [1938] = 1794,
  [1939] = 1794,
  [1940] = 1794,
  [1941] = 1794,
  [1942] = 1794,
  [1943] = 1794,
  [1944] = 1794,
  [1945] = 1794,
  [1946] = 1794,
  [1947] = 1794,
  [1948] = 1794,
  [1949] = 1794,
  [1950] = 1794,
  [1951] = 1794,
  [1952] = 1794,
  [1953] = 1794,
  [1954] = 1794,
  [1955] = 1794,
  [1956] = 1794,
  [1957] = 1795,
  [1958] = 1797,
  [1959] = 1797,
  [1960] = 1797,
  [1961] = 1795,
  [1962] = 1795,
  [1963] = 1799,
  [1964] = 1795,
  [1965] = 1799,
  [1966] = 1799,
  [1967] = 1795,
  [1968] = 1799,
  [1969] = 1797,
  [1970] = 1795,
  [1971] = 1799,
  [1972] = 1799,
  [1973] = 1795,
  [1974] = 1833,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 1978,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 1984,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 1979,
  [1990] = 1986,
  [1991] = 1987,
  [1992] = 1983,
  [1993] = 1993,
  [1994] = 1993,
  [1995] = 1995,
  [1996] = 1995,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 2000,
  [2001] = 2001,
  [2002] = 2002,
  [2003] = 2003,
  [2004] = 2004,
  [2005] = 2003,
  [2006] = 1976,
  [2007] = 1977,
  [2008] = 1978,
  [2009] = 1980,
  [2010] = 1979,
  [2011] = 1982,
  [2012] = 1981,
  [2013] = 1984,
  [2014] = 1985,
  [2015] = 2015,
  [2016] = 1986,
  [2017] = 1987,
  [2018] = 1979,
  [2019] = 1986,
  [2020] = 1987,
  [2021] = 1988,
  [2022] = 1993,
  [2023] = 1995,
  [2024] = 1993,
  [2025] = 1997,
  [2026] = 1998,
  [2027] = 1999,
  [2028] = 2000,
  [2029] = 2001,
  [2030] = 2002,
  [2031] = 1995,
  [2032] = 1983,
  [2033] = 2004,
  [2034] = 2015,
  [2035] = 1976,
  [2036] = 1977,
  [2037] = 1978,
  [2038] = 2003,
  [2039] = 1980,
  [2040] = 1982,
  [2041] = 1984,
  [2042] = 1985,
  [2043] = 1988,
  [2044] = 1983,
  [2045] = 2015,
  [2046] = 1979,
  [2047] = 1986,
  [2048] = 1987,
  [2049] = 1988,
  [2050] = 1988,
  [2051] = 1993,
  [2052] = 1995,
  [2053] = 1997,
  [2054] = 1997,
  [2055] = 1998,
  [2056] = 1999,
  [2057] = 2000,
  [2058] = 2001,
  [2059] = 2002,
  [2060] = 1983,
  [2061] = 1998,
  [2062] = 1999,
  [2063] = 2004,
  [2064] = 2000,
  [2065] = 1976,
  [2066] = 1977,
  [2067] = 1978,
  [2068] = 1980,
  [2069] = 2069,
  [2070] = 1982,
  [2071] = 1997,
  [2072] = 1984,
  [2073] = 1985,
  [2074] = 2002,
  [2075] = 1998,
  [2076] = 1999,
  [2077] = 1979,
  [2078] = 1986,
  [2079] = 1987,
  [2080] = 2000,
  [2081] = 2001,
  [2082] = 1993,
  [2083] = 1995,
  [2084] = 2069,
  [2085] = 1997,
  [2086] = 1998,
  [2087] = 1999,
  [2088] = 2000,
  [2089] = 2001,
  [2090] = 2002,
  [2091] = 2002,
  [2092] = 2003,
  [2093] = 2003,
  [2094] = 2004,
  [2095] = 1976,
  [2096] = 1977,
  [2097] = 1978,
  [2098] = 2004,
  [2099] = 1980,
  [2100] = 2004,
  [2101] = 1982,
  [2102] = 1984,
  [2103] = 1985,
  [2104] = 1980,
  [2105] = 2015,
  [2106] = 1979,
  [2107] = 1986,
  [2108] = 1987,
  [2109] = 1976,
  [2110] = 1977,
  [2111] = 1993,
  [2112] = 1995,
  [2113] = 1978,
  [2114] = 1997,
  [2115] = 1998,
  [2116] = 1999,
  [2117] = 2000,
  [2118] = 2001,
  [2119] = 2002,
  [2120] = 2015,
  [2121] = 1980,
  [2122] = 1976,
  [2123] = 2004,
  [2124] = 1982,
  [2125] = 1976,
  [2126] = 1977,
  [2127] = 1978,
  [2128] = 1980,
  [2129] = 1977,
  [2130] = 1982,
  [2131] = 1984,
  [2132] = 1984,
  [2133] = 1985,
  [2134] = 1978,
  [2135] = 1988,
  [2136] = 1983,
  [2137] = 1979,
  [2138] = 1986,
  [2139] = 1987,
  [2140] = 1988,
  [2141] = 1980,
  [2142] = 1993,
  [2143] = 1995,
  [2144] = 2015,
  [2145] = 1997,
  [2146] = 1998,
  [2147] = 1999,
  [2148] = 2000,
  [2149] = 2001,
  [2150] = 2002,
  [2151] = 1983,
  [2152] = 1985,
  [2153] = 1982,
  [2154] = 2004,
  [2155] = 2003,
  [2156] = 1976,
  [2157] = 1977,
  [2158] = 1978,
  [2159] = 1988,
  [2160] = 1980,
  [2161] = 2003,
  [2162] = 1982,
  [2163] = 1984,
  [2164] = 1984,
  [2165] = 1985,
  [2166] = 1988,
  [2167] = 1983,
  [2168] = 1979,
  [2169] = 1986,
  [2170] = 1987,
  [2171] = 1983,
  [2172] = 1993,
  [2173] = 1995,
  [2174] = 1997,
  [2175] = 1997,
  [2176] = 1998,
  [2177] = 1999,
  [2178] = 2000,
  [2179] = 2001,
  [2180] = 2002,
  [2181] = 2015,
  [2182] = 2003,
  [2183] = 2003,
  [2184] = 2004,
  [2185] = 2015,
  [2186] = 1976,
  [2187] = 1977,
  [2188] = 1978,
  [2189] = 2015,
  [2190] = 1980,
  [2191] = 1982,
  [2192] = 1988,
  [2193] = 1984,
  [2194] = 1985,
  [2195] = 1983,
  [2196] = 2003,
  [2197] = 1984,
  [2198] = 1979,
  [2199] = 1986,
  [2200] = 1987,
  [2201] = 2015,
  [2202] = 2015,
  [2203] = 1993,
  [2204] = 1995,
  [2205] = 2003,
  [2206] = 1997,
  [2207] = 1998,
  [2208] = 1999,
  [2209] = 2000,
  [2210] = 2001,
  [2211] = 2002,
  [2212] = 2015,
  [2213] = 1982,
  [2214] = 2004,
  [2215] = 2015,
  [2216] = 1976,
  [2217] = 1977,
  [2218] = 1978,
  [2219] = 1988,
  [2220] = 1980,
  [2221] = 1983,
  [2222] = 1982,
  [2223] = 2015,
  [2224] = 1984,
  [2225] = 1985,
  [2226] = 2015,
  [2227] = 2015,
  [2228] = 1979,
  [2229] = 1986,
  [2230] = 1987,
  [2231] = 1985,
  [2232] = 1988,
  [2233] = 1993,
  [2234] = 1995,
  [2235] = 1983,
  [2236] = 1997,
  [2237] = 1998,
  [2238] = 1999,
  [2239] = 2000,
  [2240] = 2001,
  [2241] = 2002,
  [2242] = 2003,
  [2243] = 2003,
  [2244] = 2004,
  [2245] = 1976,
  [2246] = 1977,
  [2247] = 1978,
  [2248] = 1979,
  [2249] = 1980,
  [2250] = 1981,
  [2251] = 1982,
  [2252] = 2015,
  [2253] = 1984,
  [2254] = 1985,
  [2255] = 1986,
  [2256] = 1987,
  [2257] = 2257,
  [2258] = 1979,
  [2259] = 1986,
  [2260] = 1987,
  [2261] = 1988,
  [2262] = 1993,
  [2263] = 1993,
  [2264] = 1995,
  [2265] = 1995,
  [2266] = 1997,
  [2267] = 1998,
  [2268] = 1999,
  [2269] = 2000,
  [2270] = 2001,
  [2271] = 2002,
  [2272] = 1983,
  [2273] = 2015,
  [2274] = 2003,
  [2275] = 2004,
  [2276] = 1976,
  [2277] = 1977,
  [2278] = 1978,
  [2279] = 2015,
  [2280] = 1980,
  [2281] = 2015,
  [2282] = 1982,
  [2283] = 1988,
  [2284] = 1984,
  [2285] = 1985,
  [2286] = 1988,
  [2287] = 1983,
  [2288] = 1983,
  [2289] = 1979,
  [2290] = 1986,
  [2291] = 1987,
  [2292] = 2003,
  [2293] = 1993,
  [2294] = 1995,
  [2295] = 2257,
  [2296] = 1997,
  [2297] = 1998,
  [2298] = 1999,
  [2299] = 2000,
  [2300] = 2001,
  [2301] = 2002,
  [2302] = 2015,
  [2303] = 2003,
  [2304] = 1988,
  [2305] = 2004,
  [2306] = 1983,
  [2307] = 1976,
  [2308] = 1977,
  [2309] = 1978,
  [2310] = 1980,
  [2311] = 1997,
  [2312] = 1982,
  [2313] = 2003,
  [2314] = 1984,
  [2315] = 1985,
  [2316] = 1998,
  [2317] = 1999,
  [2318] = 2000,
  [2319] = 1979,
  [2320] = 1986,
  [2321] = 1987,
  [2322] = 2001,
  [2323] = 2069,
  [2324] = 1993,
  [2325] = 1995,
  [2326] = 2002,
  [2327] = 1997,
  [2328] = 1998,
  [2329] = 1999,
  [2330] = 2000,
  [2331] = 2001,
  [2332] = 2002,
  [2333] = 2015,
  [2334] = 2015,
  [2335] = 2004,
  [2336] = 2004,
  [2337] = 1976,
  [2338] = 1977,
  [2339] = 1978,
  [2340] = 2015,
  [2341] = 1980,
  [2342] = 1988,
  [2343] = 1982,
  [2344] = 1983,
  [2345] = 1984,
  [2346] = 1985,
  [2347] = 1979,
  [2348] = 2003,
  [2349] = 1976,
  [2350] = 1979,
  [2351] = 1986,
  [2352] = 1987,
  [2353] = 1977,
  [2354] = 1978,
  [2355] = 1993,
  [2356] = 1995,
  [2357] = 1997,
  [2358] = 1998,
  [2359] = 1999,
  [2360] = 2000,
  [2361] = 2001,
  [2362] = 2002,
  [2363] = 1980,
  [2364] = 1982,
  [2365] = 2004,
  [2366] = 1976,
  [2367] = 1977,
  [2368] = 1978,
  [2369] = 2015,
  [2370] = 1980,
  [2371] = 1984,
  [2372] = 1982,
  [2373] = 1998,
  [2374] = 1984,
  [2375] = 1985,
  [2376] = 1988,
  [2377] = 2015,
  [2378] = 1979,
  [2379] = 1979,
  [2380] = 1986,
  [2381] = 1987,
  [2382] = 1985,
  [2383] = 1981,
  [2384] = 1993,
  [2385] = 1995,
  [2386] = 1983,
  [2387] = 1997,
  [2388] = 1998,
  [2389] = 1999,
  [2390] = 2000,
  [2391] = 2001,
  [2392] = 2002,
  [2393] = 1986,
  [2394] = 1987,
  [2395] = 2015,
  [2396] = 2004,
  [2397] = 2003,
  [2398] = 1976,
  [2399] = 1977,
  [2400] = 1978,
  [2401] = 1993,
  [2402] = 1980,
  [2403] = 1995,
  [2404] = 1982,
  [2405] = 1984,
  [2406] = 1985,
  [2407] = 1988,
  [2408] = 2015,
  [2409] = 1979,
  [2410] = 1986,
  [2411] = 1987,
  [2412] = 1988,
  [2413] = 1983,
  [2414] = 1993,
  [2415] = 1995,
  [2416] = 1983,
  [2417] = 1997,
  [2418] = 1998,
  [2419] = 1999,
  [2420] = 2000,
  [2421] = 2001,
  [2422] = 2002,
  [2423] = 2003,
  [2424] = 2015,
  [2425] = 2004,
  [2426] = 2015,
  [2427] = 1976,
  [2428] = 1977,
  [2429] = 1978,
  [2430] = 1988,
  [2431] = 1980,
  [2432] = 1988,
  [2433] = 1982,
  [2434] = 1983,
  [2435] = 1984,
  [2436] = 1985,
  [2437] = 1983,
  [2438] = 2003,
  [2439] = 1979,
  [2440] = 1986,
  [2441] = 1987,
  [2442] = 2003,
  [2443] = 1997,
  [2444] = 1993,
  [2445] = 1995,
  [2446] = 2015,
  [2447] = 1997,
  [2448] = 1998,
  [2449] = 1999,
  [2450] = 2000,
  [2451] = 2001,
  [2452] = 2002,
  [2453] = 1998,
  [2454] = 1999,
  [2455] = 2000,
  [2456] = 2004,
  [2457] = 2001,
  [2458] = 1976,
  [2459] = 1977,
  [2460] = 1978,
  [2461] = 2069,
  [2462] = 1980,
  [2463] = 2002,
  [2464] = 1982,
  [2465] = 1999,
  [2466] = 1984,
  [2467] = 1985,
  [2468] = 1988,
  [2469] = 1983,
  [2470] = 2004,
  [2471] = 1979,
  [2472] = 1986,
  [2473] = 1987,
  [2474] = 1988,
  [2475] = 2003,
  [2476] = 1993,
  [2477] = 1995,
  [2478] = 1997,
  [2479] = 1998,
  [2480] = 1999,
  [2481] = 2000,
  [2482] = 2001,
  [2483] = 2002,
  [2484] = 1979,
  [2485] = 1981,
  [2486] = 1985,
  [2487] = 2004,
  [2488] = 1986,
  [2489] = 1976,
  [2490] = 1977,
  [2491] = 1978,
  [2492] = 1987,
  [2493] = 1980,
  [2494] = 2015,
  [2495] = 1982,
  [2496] = 1976,
  [2497] = 1984,
  [2498] = 1985,
  [2499] = 1993,
  [2500] = 1995,
  [2501] = 1977,
  [2502] = 1979,
  [2503] = 1986,
  [2504] = 1987,
  [2505] = 1978,
  [2506] = 1993,
  [2507] = 1995,
  [2508] = 1980,
  [2509] = 1997,
  [2510] = 1998,
  [2511] = 1999,
  [2512] = 2000,
  [2513] = 2001,
  [2514] = 2002,
  [2515] = 1988,
  [2516] = 1982,
  [2517] = 2004,
  [2518] = 2015,
  [2519] = 1976,
  [2520] = 1977,
  [2521] = 1978,
  [2522] = 1984,
  [2523] = 1980,
  [2524] = 1983,
  [2525] = 1982,
  [2526] = 1988,
  [2527] = 1984,
  [2528] = 1985,
  [2529] = 1983,
  [2530] = 1979,
  [2531] = 1986,
  [2532] = 1987,
  [2533] = 2015,
  [2534] = 1993,
  [2535] = 1995,
  [2536] = 2003,
  [2537] = 1997,
  [2538] = 1998,
  [2539] = 1999,
  [2540] = 2000,
  [2541] = 2001,
  [2542] = 2002,
  [2543] = 2003,
  [2544] = 1997,
  [2545] = 2015,
  [2546] = 2004,
  [2547] = 1998,
  [2548] = 1976,
  [2549] = 1977,
  [2550] = 1978,
  [2551] = 1999,
  [2552] = 1980,
  [2553] = 2000,
  [2554] = 1982,
  [2555] = 2001,
  [2556] = 1984,
  [2557] = 2069,
  [2558] = 2002,
  [2559] = 1983,
  [2560] = 1979,
  [2561] = 1986,
  [2562] = 1987,
  [2563] = 1985,
  [2564] = 1993,
  [2565] = 1995,
  [2566] = 2004,
  [2567] = 1997,
  [2568] = 1998,
  [2569] = 1999,
  [2570] = 2000,
  [2571] = 2001,
  [2572] = 2002,
  [2573] = 2000,
  [2574] = 2001,
  [2575] = 1985,
  [2576] = 2004,
  [2577] = 2003,
  [2578] = 1976,
  [2579] = 1977,
  [2580] = 1978,
  [2581] = 2069,
  [2582] = 1980,
  [2583] = 1976,
  [2584] = 1982,
  [2585] = 1977,
  [2586] = 1984,
  [2587] = 1978,
  [2588] = 2003,
  [2589] = 1980,
  [2590] = 1979,
  [2591] = 1986,
  [2592] = 1987,
  [2593] = 1982,
  [2594] = 1993,
  [2595] = 1995,
  [2596] = 1997,
  [2597] = 1998,
  [2598] = 1999,
  [2599] = 2000,
  [2600] = 2001,
  [2601] = 2002,
  [2602] = 2002,
  [2603] = 1984,
  [2604] = 2257,
  [2605] = 2004,
  [2606] = 1976,
  [2607] = 1977,
  [2608] = 1978,
  [2609] = 2015,
  [2610] = 1982,
  [2611] = 1984,
  [2612] = 1985,
  [2613] = 2613,
  [2614] = 1979,
  [2615] = 1986,
  [2616] = 1987,
  [2617] = 1988,
  [2618] = 1983,
  [2619] = 1993,
  [2620] = 1995,
  [2621] = 1997,
  [2622] = 1998,
  [2623] = 1999,
  [2624] = 2000,
  [2625] = 2001,
  [2626] = 2002,
  [2627] = 1981,
  [2628] = 2003,
  [2629] = 2004,
  [2630] = 1976,
  [2631] = 1977,
  [2632] = 1978,
  [2633] = 2003,
  [2634] = 1982,
  [2635] = 1984,
  [2636] = 1983,
  [2637] = 2004,
  [2638] = 2003,
  [2639] = 1986,
  [2640] = 1987,
  [2641] = 1984,
  [2642] = 1993,
  [2643] = 1995,
  [2644] = 1998,
  [2645] = 1999,
  [2646] = 2002,
  [2647] = 1984,
  [2648] = 1986,
  [2649] = 2004,
  [2650] = 1978,
  [2651] = 2257,
  [2652] = 2015,
  [2653] = 1984,
  [2654] = 1987,
  [2655] = 2257,
  [2656] = 2015,
  [2657] = 1986,
  [2658] = 1987,
  [2659] = 2257,
  [2660] = 2015,
  [2661] = 1993,
  [2662] = 1995,
  [2663] = 1998,
  [2664] = 1999,
  [2665] = 2002,
  [2666] = 1988,
  [2667] = 1983,
  [2668] = 2004,
  [2669] = 1978,
  [2670] = 2670,
  [2671] = 1988,
  [2672] = 1984,
  [2673] = 1979,
  [2674] = 1981,
  [2675] = 1983,
  [2676] = 1986,
  [2677] = 1987,
  [2678] = 1986,
  [2679] = 1987,
  [2680] = 1993,
  [2681] = 1995,
  [2682] = 1998,
  [2683] = 1999,
  [2684] = 2002,
  [2685] = 2685,
  [2686] = 1975,
  [2687] = 1993,
  [2688] = 2004,
  [2689] = 1978,
  [2690] = 1995,
  [2691] = 2003,
  [2692] = 1984,
  [2693] = 2003,
  [2694] = 1979,
  [2695] = 1986,
  [2696] = 1987,
  [2697] = 1981,
  [2698] = 1979,
  [2699] = 1993,
  [2700] = 1995,
  [2701] = 1998,
  [2702] = 1999,
  [2703] = 2002,
  [2704] = 1986,
  [2705] = 1987,
  [2706] = 1981,
  [2707] = 2004,
  [2708] = 1978,
  [2709] = 1993,
  [2710] = 1984,
  [2711] = 1995,
  [2712] = 1986,
  [2713] = 1987,
  [2714] = 1986,
  [2715] = 1987,
  [2716] = 1979,
  [2717] = 1981,
  [2718] = 1993,
  [2719] = 1995,
  [2720] = 1998,
  [2721] = 1999,
  [2722] = 2002,
  [2723] = 1993,
  [2724] = 1995,
  [2725] = 2004,
  [2726] = 1978,
  [2727] = 1986,
  [2728] = 1987,
  [2729] = 1984,
  [2730] = 1993,
  [2731] = 1986,
  [2732] = 1987,
  [2733] = 1997,
  [2734] = 1995,
  [2735] = 1993,
  [2736] = 1995,
  [2737] = 1998,
  [2738] = 1999,
  [2739] = 2002,
  [2740] = 1998,
  [2741] = 1999,
  [2742] = 2000,
  [2743] = 2004,
  [2744] = 1978,
  [2745] = 2001,
  [2746] = 1997,
  [2747] = 1984,
  [2748] = 2069,
  [2749] = 1998,
  [2750] = 1999,
  [2751] = 1986,
  [2752] = 1987,
  [2753] = 2000,
  [2754] = 2001,
  [2755] = 1993,
  [2756] = 1995,
  [2757] = 1998,
  [2758] = 1999,
  [2759] = 2002,
  [2760] = 2069,
  [2761] = 2002,
  [2762] = 2002,
  [2763] = 2004,
  [2764] = 1978,
  [2765] = 2015,
  [2766] = 1993,
  [2767] = 1984,
  [2768] = 2004,
  [2769] = 2004,
  [2770] = 1986,
  [2771] = 1987,
  [2772] = 1988,
  [2773] = 1983,
  [2774] = 1993,
  [2775] = 1995,
  [2776] = 1998,
  [2777] = 1999,
  [2778] = 2002,
  [2779] = 1995,
  [2780] = 1976,
  [2781] = 1977,
  [2782] = 2004,
  [2783] = 1978,
  [2784] = 1978,
  [2785] = 1984,
  [2786] = 1980,
  [2787] = 2003,
  [2788] = 1982,
  [2789] = 1986,
  [2790] = 1987,
  [2791] = 1976,
  [2792] = 1984,
  [2793] = 1993,
  [2794] = 1995,
  [2795] = 1998,
  [2796] = 1999,
  [2797] = 2002,
  [2798] = 1977,
  [2799] = 1978,
  [2800] = 2004,
  [2801] = 1978,
  [2802] = 1985,
  [2803] = 1980,
  [2804] = 1984,
  [2805] = 1985,
  [2806] = 1982,
  [2807] = 1986,
  [2808] = 1987,
  [2809] = 1984,
  [2810] = 1993,
  [2811] = 1995,
  [2812] = 1998,
  [2813] = 1999,
  [2814] = 2002,
  [2815] = 1988,
  [2816] = 1983,
  [2817] = 1997,
  [2818] = 2004,
  [2819] = 1978,
  [2820] = 1984,
  [2821] = 2015,
  [2822] = 2003,
  [2823] = 2003,
  [2824] = 1986,
  [2825] = 1987,
  [2826] = 1998,
  [2827] = 1985,
  [2828] = 1993,
  [2829] = 1995,
  [2830] = 1998,
  [2831] = 1999,
  [2832] = 2002,
  [2833] = 1999,
  [2834] = 2000,
  [2835] = 2001,
  [2836] = 2004,
  [2837] = 1978,
  [2838] = 2069,
  [2839] = 2002,
  [2840] = 1984,
  [2841] = 2015,
  [2842] = 2685,
  [2843] = 1976,
  [2844] = 1986,
  [2845] = 1987,
  [2846] = 2004,
  [2847] = 1988,
  [2848] = 1993,
  [2849] = 1995,
  [2850] = 1998,
  [2851] = 1999,
  [2852] = 2002,
  [2853] = 1983,
  [2854] = 2257,
  [2855] = 2003,
  [2856] = 2004,
  [2857] = 1978,
  [2858] = 1997,
  [2859] = 1976,
  [2860] = 1984,
  [2861] = 1977,
  [2862] = 1978,
  [2863] = 1986,
  [2864] = 1987,
  [2865] = 1980,
  [2866] = 1998,
  [2867] = 1993,
  [2868] = 1995,
  [2869] = 1998,
  [2870] = 1999,
  [2871] = 2002,
  [2872] = 1982,
  [2873] = 1999,
  [2874] = 2003,
  [2875] = 2004,
  [2876] = 1978,
  [2877] = 2000,
  [2878] = 2001,
  [2879] = 1984,
  [2880] = 1979,
  [2881] = 1981,
  [2882] = 1984,
  [2883] = 1986,
  [2884] = 1987,
  [2885] = 1986,
  [2886] = 1987,
  [2887] = 1993,
  [2888] = 1995,
  [2889] = 1998,
  [2890] = 1999,
  [2891] = 2002,
  [2892] = 2069,
  [2893] = 1988,
  [2894] = 1993,
  [2895] = 2004,
  [2896] = 1978,
  [2897] = 1995,
  [2898] = 1983,
  [2899] = 1984,
  [2900] = 2002,
  [2901] = 2015,
  [2902] = 2003,
  [2903] = 1986,
  [2904] = 1987,
  [2905] = 1993,
  [2906] = 1995,
  [2907] = 1998,
  [2908] = 1999,
  [2909] = 2002,
  [2910] = 2015,
  [2911] = 2015,
  [2912] = 2004,
  [2913] = 1978,
  [2914] = 2003,
  [2915] = 2004,
  [2916] = 1984,
  [2917] = 2015,
  [2918] = 2015,
  [2919] = 1979,
  [2920] = 1986,
  [2921] = 1987,
  [2922] = 1981,
  [2923] = 1977,
  [2924] = 1993,
  [2925] = 1995,
  [2926] = 1998,
  [2927] = 1999,
  [2928] = 2002,
  [2929] = 1986,
  [2930] = 1987,
  [2931] = 1997,
  [2932] = 2004,
  [2933] = 1978,
  [2934] = 1988,
  [2935] = 1998,
  [2936] = 1984,
  [2937] = 1999,
  [2938] = 2000,
  [2939] = 2001,
  [2940] = 1986,
  [2941] = 1987,
  [2942] = 2069,
  [2943] = 2002,
  [2944] = 1993,
  [2945] = 1995,
  [2946] = 1998,
  [2947] = 1999,
  [2948] = 2002,
  [2949] = 2003,
  [2950] = 1993,
  [2951] = 1995,
  [2952] = 2004,
  [2953] = 1978,
  [2954] = 2004,
  [2955] = 1983,
  [2956] = 1984,
  [2957] = 2015,
  [2958] = 1978,
  [2959] = 2003,
  [2960] = 1986,
  [2961] = 1987,
  [2962] = 2015,
  [2963] = 1976,
  [2964] = 1993,
  [2965] = 1995,
  [2966] = 1998,
  [2967] = 1999,
  [2968] = 2002,
  [2969] = 1977,
  [2970] = 1978,
  [2971] = 1976,
  [2972] = 2004,
  [2973] = 1978,
  [2974] = 1980,
  [2975] = 2003,
  [2976] = 1984,
  [2977] = 1982,
  [2978] = 1977,
  [2979] = 1984,
  [2980] = 1986,
  [2981] = 1987,
  [2982] = 2015,
  [2983] = 1978,
  [2984] = 1993,
  [2985] = 1995,
  [2986] = 1998,
  [2987] = 1999,
  [2988] = 2002,
  [2989] = 1985,
  [2990] = 2003,
  [2991] = 2004,
  [2992] = 1978,
  [2993] = 2003,
  [2994] = 2003,
  [2995] = 1984,
  [2996] = 2015,
  [2997] = 1979,
  [2998] = 2015,
  [2999] = 1986,
  [3000] = 1987,
  [3001] = 1986,
  [3002] = 1987,
  [3003] = 1993,
  [3004] = 1995,
  [3005] = 1998,
  [3006] = 1999,
  [3007] = 2002,
  [3008] = 1980,
  [3009] = 1993,
  [3010] = 2004,
  [3011] = 1978,
  [3012] = 1995,
  [3013] = 1984,
  [3014] = 1997,
  [3015] = 1997,
  [3016] = 1985,
  [3017] = 1986,
  [3018] = 1987,
  [3019] = 1998,
  [3020] = 1999,
  [3021] = 1993,
  [3022] = 1995,
  [3023] = 1998,
  [3024] = 1999,
  [3025] = 2002,
  [3026] = 2000,
  [3027] = 2001,
  [3028] = 2002,
  [3029] = 2004,
  [3030] = 1978,
  [3031] = 1998,
  [3032] = 1984,
  [3033] = 1999,
  [3034] = 2000,
  [3035] = 2004,
  [3036] = 1986,
  [3037] = 1987,
  [3038] = 2001,
  [3039] = 1976,
  [3040] = 1993,
  [3041] = 1995,
  [3042] = 1998,
  [3043] = 1999,
  [3044] = 2002,
  [3045] = 1977,
  [3046] = 1978,
  [3047] = 2069,
  [3048] = 2004,
  [3049] = 1978,
  [3050] = 1980,
  [3051] = 2002,
  [3052] = 1982,
  [3053] = 1986,
  [3054] = 1987,
  [3055] = 1984,
  [3056] = 1985,
  [3057] = 1993,
  [3058] = 1995,
  [3059] = 1998,
  [3060] = 1999,
  [3061] = 2002,
  [3062] = 1982,
  [3063] = 2004,
  [3064] = 2004,
  [3065] = 1978,
  [3066] = 1988,
  [3067] = 1998,
  [3068] = 1998,
  [3069] = 1998,
  [3070] = 1998,
  [3071] = 1998,
  [3072] = 1998,
  [3073] = 1998,
  [3074] = 1998,
  [3075] = 1998,
  [3076] = 1998,
  [3077] = 1998,
  [3078] = 1998,
  [3079] = 1998,
  [3080] = 1998,
  [3081] = 1998,
  [3082] = 1998,
  [3083] = 1998,
  [3084] = 1998,
  [3085] = 1998,
  [3086] = 1998,
  [3087] = 1998,
  [3088] = 1998,
  [3089] = 1998,
  [3090] = 1998,
  [3091] = 1998,
  [3092] = 1998,
  [3093] = 1998,
  [3094] = 1998,
  [3095] = 1998,
  [3096] = 1998,
  [3097] = 1998,
  [3098] = 1998,
  [3099] = 1998,
  [3100] = 1998,
  [3101] = 1998,
  [3102] = 1998,
  [3103] = 1998,
  [3104] = 1998,
  [3105] = 1998,
  [3106] = 1998,
  [3107] = 1998,
  [3108] = 1998,
  [3109] = 1998,
  [3110] = 1998,
  [3111] = 1998,
  [3112] = 1998,
  [3113] = 1998,
  [3114] = 1998,
  [3115] = 1998,
  [3116] = 1998,
  [3117] = 1998,
  [3118] = 1998,
  [3119] = 1998,
  [3120] = 1998,
  [3121] = 1998,
  [3122] = 1998,
  [3123] = 1998,
  [3124] = 1998,
  [3125] = 1998,
  [3126] = 1998,
  [3127] = 1998,
  [3128] = 1998,
  [3129] = 1983,
  [3130] = 1979,
  [3131] = 2670,
  [3132] = 2015,
  [3133] = 1986,
  [3134] = 1975,
  [3135] = 1987,
  [3136] = 1988,
  [3137] = 2003,
  [3138] = 1988,
  [3139] = 1983,
  [3140] = 1993,
  [3141] = 1995,
  [3142] = 1976,
  [3143] = 1997,
  [3144] = 1977,
  [3145] = 1985,
  [3146] = 1998,
  [3147] = 1985,
  [3148] = 1999,
  [3149] = 1988,
  [3150] = 1983,
  [3151] = 2000,
  [3152] = 2015,
  [3153] = 2003,
  [3154] = 1985,
  [3155] = 2001,
  [3156] = 2002,
  [3157] = 2670,
  [3158] = 1978,
  [3159] = 1975,
  [3160] = 1980,
  [3161] = 2004,
  [3162] = 1985,
  [3163] = 1988,
  [3164] = 1976,
  [3165] = 2670,
  [3166] = 1977,
  [3167] = 1978,
  [3168] = 1975,
  [3169] = 1982,
  [3170] = 1980,
  [3171] = 1985,
  [3172] = 1982,
  [3173] = 2670,
  [3174] = 1984,
  [3175] = 1985,
  [3176] = 1984,
  [3177] = 1985,
  [3178] = 1983,
  [3179] = 1988,
  [3180] = 2670,
  [3181] = 1979,
  [3182] = 1986,
  [3183] = 1975,
  [3184] = 1987,
  [3185] = 1983,
  [3186] = 1985,
  [3187] = 1983,
  [3188] = 1993,
  [3189] = 2670,
  [3190] = 1995,
  [3191] = 2003,
  [3192] = 1975,
  [3193] = 1997,
  [3194] = 1998,
  [3195] = 1999,
  [3196] = 2000,
  [3197] = 2670,
  [3198] = 2001,
  [3199] = 2002,
  [3200] = 1975,
  [3201] = 2015,
  [3202] = 1984,
  [3203] = 1985,
  [3204] = 2004,
  [3205] = 2670,
  [3206] = 2015,
  [3207] = 1976,
  [3208] = 1975,
  [3209] = 1977,
  [3210] = 1978,
  [3211] = 1980,
  [3212] = 2670,
  [3213] = 1988,
  [3214] = 1982,
  [3215] = 1975,
  [3216] = 1983,
  [3217] = 1984,
  [3218] = 1985,
  [3219] = 2670,
  [3220] = 2003,
  [3221] = 1975,
  [3222] = 1979,
  [3223] = 1986,
  [3224] = 1987,
  [3225] = 2670,
  [3226] = 2015,
  [3227] = 1993,
  [3228] = 1975,
  [3229] = 1995,
  [3230] = 1975,
  [3231] = 1997,
  [3232] = 1975,
  [3233] = 1998,
  [3234] = 1975,
  [3235] = 1999,
  [3236] = 1975,
  [3237] = 2000,
  [3238] = 1975,
  [3239] = 2001,
  [3240] = 1975,
  [3241] = 2002,
  [3242] = 1975,
  [3243] = 1975,
  [3244] = 1988,
  [3245] = 1975,
  [3246] = 2015,
  [3247] = 1975,
  [3248] = 2004,
  [3249] = 1975,
  [3250] = 1983,
  [3251] = 1975,
  [3252] = 1976,
  [3253] = 1975,
  [3254] = 1977,
  [3255] = 1975,
  [3256] = 1978,
  [3257] = 1975,
  [3258] = 1988,
  [3259] = 1975,
  [3260] = 1980,
  [3261] = 1975,
  [3262] = 1983,
  [3263] = 1975,
  [3264] = 1982,
  [3265] = 1975,
  [3266] = 2003,
  [3267] = 1975,
  [3268] = 1984,
  [3269] = 1975,
  [3270] = 1985,
  [3271] = 1975,
  [3272] = 2003,
  [3273] = 1975,
  [3274] = 2003,
  [3275] = 1975,
  [3276] = 1975,
  [3277] = 1979,
  [3278] = 1975,
  [3279] = 1975,
  [3280] = 1975,
  [3281] = 1975,
  [3282] = 1975,
  [3283] = 1975,
  [3284] = 1975,
  [3285] = 1975,
  [3286] = 1975,
  [3287] = 1975,
  [3288] = 1975,
  [3289] = 1975,
  [3290] = 1975,
  [3291] = 1975,
  [3292] = 1975,
  [3293] = 1975,
  [3294] = 1975,
  [3295] = 1975,
  [3296] = 1975,
  [3297] = 1975,
  [3298] = 1975,
  [3299] = 1975,
  [3300] = 1985,
  [3301] = 1975,
  [3302] = 1986,
  [3303] = 1987,
  [3304] = 1993,
  [3305] = 1995,
  [3306] = 1997,
  [3307] = 1998,
  [3308] = 1999,
  [3309] = 2000,
  [3310] = 2001,
  [3311] = 2002,
  [3312] = 2015,
  [3313] = 2015,
  [3314] = 2004,
  [3315] = 1988,
  [3316] = 2001,
  [3317] = 3317,
  [3318] = 3318,
  [3319] = 3317,
  [3320] = 3320,
  [3321] = 3317,
  [3322] = 3317,
  [3323] = 3323,
  [3324] = 3324,
  [3325] = 3325,
  [3326] = 3326,
  [3327] = 3317,
  [3328] = 3326,
  [3329] = 3323,
  [3330] = 3330,
  [3331] = 3318,
  [3332] = 3323,
  [3333] = 3317,
  [3334] = 3323,
  [3335] = 3317,
  [3336] = 3317,
  [3337] = 3324,
  [3338] = 3325,
  [3339] = 3326,
  [3340] = 3317,
  [3341] = 3341,
  [3342] = 3342,
  [3343] = 3330,
  [3344] = 3318,
  [3345] = 3323,
  [3346] = 3317,
  [3347] = 3317,
  [3348] = 3317,
  [3349] = 3317,
  [3350] = 3324,
  [3351] = 3325,
  [3352] = 3326,
  [3353] = 3317,
  [3354] = 3317,
  [3355] = 3323,
  [3356] = 3330,
  [3357] = 3318,
  [3358] = 3317,
  [3359] = 3324,
  [3360] = 3325,
  [3361] = 3326,
  [3362] = 3323,
  [3363] = 3317,
  [3364] = 3317,
  [3365] = 3317,
  [3366] = 3330,
  [3367] = 3318,
  [3368] = 3317,
  [3369] = 3317,
  [3370] = 3323,
  [3371] = 3323,
  [3372] = 3317,
  [3373] = 3320,
  [3374] = 3323,
  [3375] = 3324,
  [3376] = 3376,
  [3377] = 3325,
  [3378] = 3326,
  [3379] = 3323,
  [3380] = 3317,
  [3381] = 3320,
  [3382] = 3330,
  [3383] = 3318,
  [3384] = 3317,
  [3385] = 3323,
  [3386] = 3317,
  [3387] = 3323,
  [3388] = 3317,
  [3389] = 3320,
  [3390] = 3317,
  [3391] = 3324,
  [3392] = 3325,
  [3393] = 3326,
  [3394] = 3323,
  [3395] = 3395,
  [3396] = 3323,
  [3397] = 3330,
  [3398] = 3318,
  [3399] = 3323,
  [3400] = 3317,
  [3401] = 3324,
  [3402] = 3317,
  [3403] = 3317,
  [3404] = 3317,
  [3405] = 3324,
  [3406] = 3325,
  [3407] = 3326,
  [3408] = 3317,
  [3409] = 3330,
  [3410] = 3317,
  [3411] = 3341,
  [3412] = 3330,
  [3413] = 3318,
  [3414] = 3414,
  [3415] = 3317,
  [3416] = 3317,
  [3417] = 3323,
  [3418] = 3323,
  [3419] = 3330,
  [3420] = 3324,
  [3421] = 3325,
  [3422] = 3326,
  [3423] = 3325,
  [3424] = 3317,
  [3425] = 3317,
  [3426] = 3330,
  [3427] = 3318,
  [3428] = 3323,
  [3429] = 3323,
  [3430] = 3323,
  [3431] = 3317,
  [3432] = 3324,
  [3433] = 3324,
  [3434] = 3325,
  [3435] = 3326,
  [3436] = 3436,
  [3437] = 3325,
  [3438] = 3323,
  [3439] = 3323,
  [3440] = 3323,
  [3441] = 3436,
  [3442] = 3436,
  [3443] = 3436,
  [3444] = 3436,
  [3445] = 3436,
  [3446] = 3436,
  [3447] = 3436,
  [3448] = 3436,
  [3449] = 3326,
  [3450] = 3436,
  [3451] = 3436,
  [3452] = 3323,
  [3453] = 3317,
  [3454] = 3323,
  [3455] = 3317,
  [3456] = 3323,
  [3457] = 3317,
  [3458] = 3317,
  [3459] = 3323,
  [3460] = 3317,
  [3461] = 3317,
  [3462] = 3317,
  [3463] = 3323,
  [3464] = 3317,
  [3465] = 3317,
  [3466] = 3317,
  [3467] = 3317,
  [3468] = 3317,
  [3469] = 3317,
  [3470] = 3317,
  [3471] = 3317,
  [3472] = 3317,
  [3473] = 3323,
  [3474] = 3317,
  [3475] = 3436,
  [3476] = 3330,
  [3477] = 3317,
  [3478] = 3318,
  [3479] = 3323,
  [3480] = 3317,
  [3481] = 3323,
  [3482] = 3330,
  [3483] = 3318,
  [3484] = 3317,
  [3485] = 3324,
  [3486] = 3325,
  [3487] = 3326,
  [3488] = 3323,
  [3489] = 3317,
  [3490] = 3318,
  [3491] = 3317,
  [3492] = 3492,
  [3493] = 3493,
  [3494] = 3494,
  [3495] = 3493,
  [3496] = 3496,
  [3497] = 3497,
  [3498] = 3498,
  [3499] = 3499,
  [3500] = 3500,
  [3501] = 3501,
  [3502] = 3502,
  [3503] = 3503,
  [3504] = 3496,
  [3505] = 3497,
  [3506] = 3498,
  [3507] = 3501,
  [3508] = 3502,
  [3509] = 3509,
  [3510] = 3510,
  [3511] = 3511,
  [3512] = 3512,
  [3513] = 3513,
  [3514] = 3514,
  [3515] = 3515,
  [3516] = 3492,
  [3517] = 3517,
  [3518] = 3518,
  [3519] = 3497,
  [3520] = 3498,
  [3521] = 3501,
  [3522] = 3502,
  [3523] = 3509,
  [3524] = 3510,
  [3525] = 3511,
  [3526] = 3512,
  [3527] = 3513,
  [3528] = 3514,
  [3529] = 3515,
  [3530] = 3492,
  [3531] = 3517,
  [3532] = 3518,
  [3533] = 3533,
  [3534] = 3534,
  [3535] = 3533,
  [3536] = 3534,
  [3537] = 3509,
  [3538] = 3497,
  [3539] = 3501,
  [3540] = 3534,
  [3541] = 3496,
  [3542] = 3497,
  [3543] = 3498,
  [3544] = 3502,
  [3545] = 3509,
  [3546] = 3510,
  [3547] = 3511,
  [3548] = 3512,
  [3549] = 3513,
  [3550] = 3514,
  [3551] = 3515,
  [3552] = 3492,
  [3553] = 3517,
  [3554] = 3518,
  [3555] = 3533,
  [3556] = 3534,
  [3557] = 3496,
  [3558] = 3496,
  [3559] = 3497,
  [3560] = 3497,
  [3561] = 3498,
  [3562] = 3501,
  [3563] = 3502,
  [3564] = 3509,
  [3565] = 3510,
  [3566] = 3511,
  [3567] = 3512,
  [3568] = 3513,
  [3569] = 3514,
  [3570] = 3515,
  [3571] = 3492,
  [3572] = 3517,
  [3573] = 3518,
  [3574] = 3533,
  [3575] = 3534,
  [3576] = 3498,
  [3577] = 3501,
  [3578] = 3502,
  [3579] = 3497,
  [3580] = 3498,
  [3581] = 3501,
  [3582] = 3502,
  [3583] = 3509,
  [3584] = 3510,
  [3585] = 3511,
  [3586] = 3512,
  [3587] = 3513,
  [3588] = 3514,
  [3589] = 3515,
  [3590] = 3492,
  [3591] = 3517,
  [3592] = 3518,
  [3593] = 3533,
  [3594] = 3534,
  [3595] = 3496,
  [3596] = 3497,
  [3597] = 3498,
  [3598] = 3501,
  [3599] = 3502,
  [3600] = 3509,
  [3601] = 3510,
  [3602] = 3511,
  [3603] = 3512,
  [3604] = 3513,
  [3605] = 3502,
  [3606] = 3509,
  [3607] = 3512,
  [3608] = 3513,
  [3609] = 3514,
  [3610] = 3515,
  [3611] = 3492,
  [3612] = 3517,
  [3613] = 3518,
  [3614] = 3533,
  [3615] = 3514,
  [3616] = 3515,
  [3617] = 3492,
  [3618] = 3517,
  [3619] = 3518,
  [3620] = 3533,
  [3621] = 3534,
  [3622] = 3509,
  [3623] = 3510,
  [3624] = 3511,
  [3625] = 3497,
  [3626] = 3498,
  [3627] = 3501,
  [3628] = 3510,
  [3629] = 3511,
  [3630] = 3534,
  [3631] = 3512,
  [3632] = 3513,
  [3633] = 3514,
  [3634] = 3497,
  [3635] = 3498,
  [3636] = 3501,
  [3637] = 3502,
  [3638] = 3509,
  [3639] = 3510,
  [3640] = 3511,
  [3641] = 3512,
  [3642] = 3513,
  [3643] = 3514,
  [3644] = 3515,
  [3645] = 3492,
  [3646] = 3517,
  [3647] = 3518,
  [3648] = 3533,
  [3649] = 3534,
  [3650] = 3515,
  [3651] = 3492,
  [3652] = 3497,
  [3653] = 3498,
  [3654] = 3501,
  [3655] = 3502,
  [3656] = 3509,
  [3657] = 3510,
  [3658] = 3511,
  [3659] = 3512,
  [3660] = 3513,
  [3661] = 3514,
  [3662] = 3515,
  [3663] = 3492,
  [3664] = 3517,
  [3665] = 3518,
  [3666] = 3533,
  [3667] = 3534,
  [3668] = 3517,
  [3669] = 3518,
  [3670] = 3533,
  [3671] = 3534,
  [3672] = 3497,
  [3673] = 3498,
  [3674] = 3501,
  [3675] = 3502,
  [3676] = 3509,
  [3677] = 3510,
  [3678] = 3511,
  [3679] = 3512,
  [3680] = 3513,
  [3681] = 3514,
  [3682] = 3515,
  [3683] = 3492,
  [3684] = 3517,
  [3685] = 3518,
  [3686] = 3533,
  [3687] = 3534,
  [3688] = 3497,
  [3689] = 3496,
  [3690] = 3497,
  [3691] = 3498,
  [3692] = 3501,
  [3693] = 3502,
  [3694] = 3509,
  [3695] = 3510,
  [3696] = 3497,
  [3697] = 3498,
  [3698] = 3501,
  [3699] = 3502,
  [3700] = 3509,
  [3701] = 3510,
  [3702] = 3511,
  [3703] = 3512,
  [3704] = 3513,
  [3705] = 3514,
  [3706] = 3515,
  [3707] = 3492,
  [3708] = 3517,
  [3709] = 3518,
  [3710] = 3533,
  [3711] = 3534,
  [3712] = 3511,
  [3713] = 3512,
  [3714] = 3513,
  [3715] = 3514,
  [3716] = 3515,
  [3717] = 3492,
  [3718] = 3517,
  [3719] = 3518,
  [3720] = 3497,
  [3721] = 3498,
  [3722] = 3501,
  [3723] = 3502,
  [3724] = 3509,
  [3725] = 3510,
  [3726] = 3511,
  [3727] = 3512,
  [3728] = 3513,
  [3729] = 3514,
  [3730] = 3515,
  [3731] = 3492,
  [3732] = 3517,
  [3733] = 3518,
  [3734] = 3533,
  [3735] = 3534,
  [3736] = 3533,
  [3737] = 3534,
  [3738] = 3498,
  [3739] = 3497,
  [3740] = 3498,
  [3741] = 3501,
  [3742] = 3502,
  [3743] = 3509,
  [3744] = 3510,
  [3745] = 3511,
  [3746] = 3512,
  [3747] = 3513,
  [3748] = 3514,
  [3749] = 3515,
  [3750] = 3492,
  [3751] = 3517,
  [3752] = 3518,
  [3753] = 3533,
  [3754] = 3534,
  [3755] = 3501,
  [3756] = 3497,
  [3757] = 3498,
  [3758] = 3501,
  [3759] = 3502,
  [3760] = 3509,
  [3761] = 3510,
  [3762] = 3511,
  [3763] = 3512,
  [3764] = 3513,
  [3765] = 3514,
  [3766] = 3515,
  [3767] = 3492,
  [3768] = 3517,
  [3769] = 3518,
  [3770] = 3533,
  [3771] = 3534,
  [3772] = 3502,
  [3773] = 3509,
  [3774] = 3510,
  [3775] = 3497,
  [3776] = 3498,
  [3777] = 3501,
  [3778] = 3502,
  [3779] = 3509,
  [3780] = 3510,
  [3781] = 3511,
  [3782] = 3512,
  [3783] = 3513,
  [3784] = 3514,
  [3785] = 3515,
  [3786] = 3492,
  [3787] = 3517,
  [3788] = 3518,
  [3789] = 3533,
  [3790] = 3534,
  [3791] = 3496,
  [3792] = 3497,
  [3793] = 3498,
  [3794] = 3501,
  [3795] = 3502,
  [3796] = 3509,
  [3797] = 3497,
  [3798] = 3498,
  [3799] = 3501,
  [3800] = 3502,
  [3801] = 3509,
  [3802] = 3510,
  [3803] = 3511,
  [3804] = 3512,
  [3805] = 3513,
  [3806] = 3514,
  [3807] = 3515,
  [3808] = 3492,
  [3809] = 3517,
  [3810] = 3518,
  [3811] = 3533,
  [3812] = 3534,
  [3813] = 3510,
  [3814] = 3511,
  [3815] = 3512,
  [3816] = 3513,
  [3817] = 3514,
  [3818] = 3515,
  [3819] = 3492,
  [3820] = 3517,
  [3821] = 3497,
  [3822] = 3498,
  [3823] = 3501,
  [3824] = 3502,
  [3825] = 3509,
  [3826] = 3510,
  [3827] = 3511,
  [3828] = 3512,
  [3829] = 3513,
  [3830] = 3514,
  [3831] = 3515,
  [3832] = 3492,
  [3833] = 3517,
  [3834] = 3518,
  [3835] = 3533,
  [3836] = 3534,
  [3837] = 3518,
  [3838] = 3533,
  [3839] = 3534,
  [3840] = 3502,
  [3841] = 3509,
  [3842] = 3512,
  [3843] = 3513,
  [3844] = 3514,
  [3845] = 3515,
  [3846] = 3492,
  [3847] = 3517,
  [3848] = 3518,
  [3849] = 3533,
  [3850] = 3497,
  [3851] = 3498,
  [3852] = 3501,
  [3853] = 3510,
  [3854] = 3511,
  [3855] = 3534,
  [3856] = 3511,
  [3857] = 3512,
  [3858] = 3496,
  [3859] = 3497,
  [3860] = 3498,
  [3861] = 3501,
  [3862] = 3502,
  [3863] = 3509,
  [3864] = 3510,
  [3865] = 3511,
  [3866] = 3512,
  [3867] = 3513,
  [3868] = 3514,
  [3869] = 3515,
  [3870] = 3492,
  [3871] = 3517,
  [3872] = 3518,
  [3873] = 3533,
  [3874] = 3534,
  [3875] = 3513,
  [3876] = 3514,
  [3877] = 3496,
  [3878] = 3497,
  [3879] = 3498,
  [3880] = 3501,
  [3881] = 3502,
  [3882] = 3509,
  [3883] = 3510,
  [3884] = 3511,
  [3885] = 3512,
  [3886] = 3513,
  [3887] = 3514,
  [3888] = 3515,
  [3889] = 3492,
  [3890] = 3517,
  [3891] = 3518,
  [3892] = 3533,
  [3893] = 3534,
  [3894] = 3515,
  [3895] = 3496,
  [3896] = 3497,
  [3897] = 3498,
  [3898] = 3501,
  [3899] = 3502,
  [3900] = 3509,
  [3901] = 3497,
  [3902] = 3501,
  [3903] = 3534,
  [3904] = 3510,
  [3905] = 3511,
  [3906] = 3512,
  [3907] = 3513,
  [3908] = 3514,
  [3909] = 3515,
  [3910] = 3498,
  [3911] = 3502,
  [3912] = 3509,
  [3913] = 3510,
  [3914] = 3511,
  [3915] = 3512,
  [3916] = 3513,
  [3917] = 3514,
  [3918] = 3515,
  [3919] = 3492,
  [3920] = 3517,
  [3921] = 3518,
  [3922] = 3533,
  [3923] = 3492,
  [3924] = 3517,
  [3925] = 3518,
  [3926] = 3533,
  [3927] = 3534,
  [3928] = 3492,
  [3929] = 3496,
  [3930] = 3497,
  [3931] = 3498,
  [3932] = 3501,
  [3933] = 3502,
  [3934] = 3509,
  [3935] = 3510,
  [3936] = 3511,
  [3937] = 3512,
  [3938] = 3513,
  [3939] = 3514,
  [3940] = 3515,
  [3941] = 3492,
  [3942] = 3517,
  [3943] = 3518,
  [3944] = 3533,
  [3945] = 3534,
  [3946] = 3496,
  [3947] = 3497,
  [3948] = 3498,
  [3949] = 3501,
  [3950] = 3502,
  [3951] = 3509,
  [3952] = 3510,
  [3953] = 3511,
  [3954] = 3512,
  [3955] = 3513,
  [3956] = 3514,
  [3957] = 3515,
  [3958] = 3492,
  [3959] = 3517,
  [3960] = 3518,
  [3961] = 3533,
  [3962] = 3534,
  [3963] = 3517,
  [3964] = 3518,
  [3965] = 3533,
  [3966] = 3534,
  [3967] = 3496,
  [3968] = 3497,
  [3969] = 3498,
  [3970] = 3501,
  [3971] = 3502,
  [3972] = 3509,
  [3973] = 3510,
  [3974] = 3511,
  [3975] = 3512,
  [3976] = 3513,
  [3977] = 3514,
  [3978] = 3515,
  [3979] = 3492,
  [3980] = 3517,
  [3981] = 3518,
  [3982] = 3533,
  [3983] = 3534,
  [3984] = 3510,
  [3985] = 3496,
  [3986] = 3497,
  [3987] = 3498,
  [3988] = 3501,
  [3989] = 3502,
  [3990] = 3509,
  [3991] = 3510,
  [3992] = 3511,
  [3993] = 3512,
  [3994] = 3513,
  [3995] = 3514,
  [3996] = 3515,
  [3997] = 3492,
  [3998] = 3517,
  [3999] = 3518,
  [4000] = 3533,
  [4001] = 3497,
  [4002] = 3501,
  [4003] = 3534,
  [4004] = 3534,
  [4005] = 3511,
  [4006] = 3512,
  [4007] = 3496,
  [4008] = 3498,
  [4009] = 3502,
  [4010] = 3509,
  [4011] = 3510,
  [4012] = 3511,
  [4013] = 3512,
  [4014] = 3513,
  [4015] = 3514,
  [4016] = 3515,
  [4017] = 3492,
  [4018] = 3517,
  [4019] = 3518,
  [4020] = 3533,
  [4021] = 3497,
  [4022] = 3498,
  [4023] = 3501,
  [4024] = 3502,
  [4025] = 3496,
  [4026] = 3497,
  [4027] = 3498,
  [4028] = 3501,
  [4029] = 3502,
  [4030] = 3509,
  [4031] = 3510,
  [4032] = 3511,
  [4033] = 3512,
  [4034] = 3513,
  [4035] = 3514,
  [4036] = 3515,
  [4037] = 3492,
  [4038] = 3517,
  [4039] = 3518,
  [4040] = 3533,
  [4041] = 3534,
  [4042] = 3509,
  [4043] = 3510,
  [4044] = 3511,
  [4045] = 3494,
  [4046] = 4046,
  [4047] = 3512,
  [4048] = 3496,
  [4049] = 3497,
  [4050] = 3498,
  [4051] = 3501,
  [4052] = 3502,
  [4053] = 3509,
  [4054] = 3498,
  [4055] = 3502,
  [4056] = 3509,
  [4057] = 3510,
  [4058] = 3511,
  [4059] = 3512,
  [4060] = 3513,
  [4061] = 3514,
  [4062] = 3515,
  [4063] = 3492,
  [4064] = 3517,
  [4065] = 3518,
  [4066] = 4066,
  [4067] = 3510,
  [4068] = 3496,
  [4069] = 3501,
  [4070] = 3502,
  [4071] = 3509,
  [4072] = 3512,
  [4073] = 3513,
  [4074] = 3514,
  [4075] = 3515,
  [4076] = 3492,
  [4077] = 3517,
  [4078] = 3518,
  [4079] = 3533,
  [4080] = 3511,
  [4081] = 3497,
  [4082] = 3498,
  [4083] = 3501,
  [4084] = 3510,
  [4085] = 3511,
  [4086] = 3534,
  [4087] = 3502,
  [4088] = 3509,
  [4089] = 3512,
  [4090] = 3513,
  [4091] = 3514,
  [4092] = 3515,
  [4093] = 3492,
  [4094] = 3517,
  [4095] = 3518,
  [4096] = 3533,
  [4097] = 3512,
  [4098] = 3497,
  [4099] = 3498,
  [4100] = 3501,
  [4101] = 3510,
  [4102] = 3511,
  [4103] = 3534,
  [4104] = 3513,
  [4105] = 3514,
  [4106] = 3497,
  [4107] = 3501,
  [4108] = 3534,
  [4109] = 3515,
  [4110] = 3498,
  [4111] = 3502,
  [4112] = 3509,
  [4113] = 3510,
  [4114] = 3511,
  [4115] = 3512,
  [4116] = 3513,
  [4117] = 3514,
  [4118] = 3515,
  [4119] = 3492,
  [4120] = 3517,
  [4121] = 3518,
  [4122] = 3533,
  [4123] = 3502,
  [4124] = 3509,
  [4125] = 3512,
  [4126] = 3513,
  [4127] = 3514,
  [4128] = 3515,
  [4129] = 3492,
  [4130] = 3517,
  [4131] = 3518,
  [4132] = 3533,
  [4133] = 3492,
  [4134] = 3517,
  [4135] = 3518,
  [4136] = 3533,
  [4137] = 3534,
  [4138] = 3497,
  [4139] = 3501,
  [4140] = 3534,
  [4141] = 3513,
  [4142] = 3514,
  [4143] = 3515,
  [4144] = 3494,
  [4145] = 4046,
  [4146] = 3492,
  [4147] = 3496,
  [4148] = 3497,
  [4149] = 3498,
  [4150] = 3501,
  [4151] = 3510,
  [4152] = 3511,
  [4153] = 3534,
  [4154] = 3517,
  [4155] = 3518,
  [4156] = 3494,
  [4157] = 4046,
  [4158] = 3533,
  [4159] = 3494,
  [4160] = 4046,
  [4161] = 3494,
  [4162] = 3498,
  [4163] = 3502,
  [4164] = 4046,
  [4165] = 3509,
  [4166] = 3510,
  [4167] = 3511,
  [4168] = 3512,
  [4169] = 3513,
  [4170] = 3514,
  [4171] = 3515,
  [4172] = 3492,
  [4173] = 3517,
  [4174] = 3518,
  [4175] = 3533,
  [4176] = 3494,
  [4177] = 4046,
  [4178] = 3534,
  [4179] = 3494,
  [4180] = 4046,
  [4181] = 3494,
  [4182] = 4046,
  [4183] = 3494,
  [4184] = 4046,
  [4185] = 3494,
  [4186] = 4046,
  [4187] = 3494,
  [4188] = 4046,
  [4189] = 4189,
  [4190] = 3513,
  [4191] = 3514,
  [4192] = 3515,
  [4193] = 3496,
  [4194] = 3497,
  [4195] = 3498,
  [4196] = 3501,
  [4197] = 3502,
  [4198] = 3497,
  [4199] = 3498,
  [4200] = 3501,
  [4201] = 3502,
  [4202] = 3509,
  [4203] = 3510,
  [4204] = 3511,
  [4205] = 3512,
  [4206] = 3513,
  [4207] = 3514,
  [4208] = 3515,
  [4209] = 3492,
  [4210] = 3500,
  [4211] = 3517,
  [4212] = 3518,
  [4213] = 3502,
  [4214] = 3502,
  [4215] = 3533,
  [4216] = 3534,
  [4217] = 3502,
  [4218] = 3502,
  [4219] = 3509,
  [4220] = 3510,
  [4221] = 3511,
  [4222] = 3512,
  [4223] = 3513,
  [4224] = 3514,
  [4225] = 3515,
  [4226] = 4189,
  [4227] = 3503,
  [4228] = 3502,
  [4229] = 3534,
  [4230] = 3492,
  [4231] = 3517,
  [4232] = 3498,
  [4233] = 3502,
  [4234] = 3509,
  [4235] = 3510,
  [4236] = 3511,
  [4237] = 3512,
  [4238] = 3513,
  [4239] = 3514,
  [4240] = 3515,
  [4241] = 3492,
  [4242] = 3517,
  [4243] = 3518,
  [4244] = 3533,
  [4245] = 3534,
  [4246] = 3518,
  [4247] = 3496,
  [4248] = 3502,
  [4249] = 3534,
  [4250] = 3497,
  [4251] = 3502,
  [4252] = 3534,
  [4253] = 3498,
  [4254] = 3501,
  [4255] = 3502,
  [4256] = 3534,
  [4257] = 3502,
  [4258] = 3502,
  [4259] = 3534,
  [4260] = 3509,
  [4261] = 3534,
  [4262] = 3510,
  [4263] = 3511,
  [4264] = 3534,
  [4265] = 3512,
  [4266] = 3498,
  [4267] = 3502,
  [4268] = 3509,
  [4269] = 3510,
  [4270] = 3511,
  [4271] = 3512,
  [4272] = 3513,
  [4273] = 3514,
  [4274] = 3515,
  [4275] = 3513,
  [4276] = 3517,
  [4277] = 3518,
  [4278] = 3533,
  [4279] = 3534,
  [4280] = 3499,
  [4281] = 3534,
  [4282] = 3514,
  [4283] = 3502,
  [4284] = 3515,
  [4285] = 3534,
  [4286] = 3492,
  [4287] = 3534,
  [4288] = 3517,
  [4289] = 3518,
  [4290] = 3502,
  [4291] = 3534,
  [4292] = 3533,
  [4293] = 4189,
  [4294] = 3534,
  [4295] = 3498,
  [4296] = 3502,
  [4297] = 3509,
  [4298] = 3510,
  [4299] = 3511,
  [4300] = 3512,
  [4301] = 3513,
  [4302] = 3514,
  [4303] = 3515,
  [4304] = 3492,
  [4305] = 3517,
  [4306] = 3518,
  [4307] = 3533,
  [4308] = 3501,
  [4309] = 3502,
  [4310] = 3509,
  [4311] = 3512,
  [4312] = 3513,
  [4313] = 3514,
  [4314] = 3515,
  [4315] = 3492,
  [4316] = 3517,
  [4317] = 3518,
  [4318] = 3533,
  [4319] = 3533,
  [4320] = 3497,
  [4321] = 3498,
  [4322] = 3501,
  [4323] = 3510,
  [4324] = 3511,
  [4325] = 3534,
  [4326] = 3509,
  [4327] = 3512,
  [4328] = 3513,
  [4329] = 3514,
  [4330] = 3515,
  [4331] = 3492,
  [4332] = 3517,
  [4333] = 3518,
  [4334] = 3533,
  [4335] = 3534,
  [4336] = 3497,
  [4337] = 3498,
  [4338] = 3501,
  [4339] = 3510,
  [4340] = 3511,
  [4341] = 3534,
  [4342] = 3534,
  [4343] = 3492,
  [4344] = 3498,
  [4345] = 3502,
  [4346] = 3509,
  [4347] = 3510,
  [4348] = 3511,
  [4349] = 3512,
  [4350] = 3513,
  [4351] = 3514,
  [4352] = 3515,
  [4353] = 3492,
  [4354] = 3517,
  [4355] = 3518,
  [4356] = 3533,
  [4357] = 3509,
  [4358] = 3512,
  [4359] = 3513,
  [4360] = 3514,
  [4361] = 3515,
  [4362] = 3492,
  [4363] = 3517,
  [4364] = 3518,
  [4365] = 3533,
  [4366] = 3497,
  [4367] = 3498,
  [4368] = 3501,
  [4369] = 3509,
  [4370] = 3510,
  [4371] = 3511,
  [4372] = 3512,
  [4373] = 3513,
  [4374] = 3514,
  [4375] = 3515,
  [4376] = 3492,
  [4377] = 3517,
  [4378] = 3518,
  [4379] = 3533,
  [4380] = 3497,
  [4381] = 3501,
  [4382] = 3498,
  [4383] = 3501,
  [4384] = 3510,
  [4385] = 3511,
  [4386] = 3497,
  [4387] = 3509,
  [4388] = 3512,
  [4389] = 3513,
  [4390] = 3514,
  [4391] = 3515,
  [4392] = 3492,
  [4393] = 3517,
  [4394] = 3518,
  [4395] = 3533,
  [4396] = 3517,
  [4397] = 3497,
  [4398] = 3498,
  [4399] = 3501,
  [4400] = 3509,
  [4401] = 3510,
  [4402] = 3511,
  [4403] = 3512,
  [4404] = 3513,
  [4405] = 3514,
  [4406] = 3515,
  [4407] = 3492,
  [4408] = 3517,
  [4409] = 3518,
  [4410] = 3533,
  [4411] = 3518,
  [4412] = 3497,
  [4413] = 3498,
  [4414] = 3501,
  [4415] = 3509,
  [4416] = 3510,
  [4417] = 3511,
  [4418] = 3512,
  [4419] = 3513,
  [4420] = 3514,
  [4421] = 3515,
  [4422] = 3492,
  [4423] = 3517,
  [4424] = 3518,
  [4425] = 3533,
  [4426] = 3498,
  [4427] = 3510,
  [4428] = 3511,
  [4429] = 3509,
  [4430] = 3512,
  [4431] = 3513,
  [4432] = 3514,
  [4433] = 3515,
  [4434] = 3492,
  [4435] = 3517,
  [4436] = 3518,
  [4437] = 3533,
  [4438] = 3533,
  [4439] = 3497,
  [4440] = 3501,
  [4441] = 3534,
  [4442] = 3497,
  [4443] = 3498,
  [4444] = 3501,
  [4445] = 3510,
  [4446] = 3511,
  [4447] = 4447,
  [4448] = 3497,
  [4449] = 3501,
  [4450] = 3497,
  [4451] = 3498,
  [4452] = 3501,
  [4453] = 3510,
  [4454] = 3511,
  [4455] = 3497,
  [4456] = 3509,
  [4457] = 3512,
  [4458] = 3513,
  [4459] = 3514,
  [4460] = 3515,
  [4461] = 3492,
  [4462] = 3517,
  [4463] = 3518,
  [4464] = 3533,
  [4465] = 3509,
  [4466] = 3512,
  [4467] = 3513,
  [4468] = 3514,
  [4469] = 3515,
  [4470] = 3492,
  [4471] = 3517,
  [4472] = 3518,
  [4473] = 3533,
  [4474] = 3497,
  [4475] = 3498,
  [4476] = 3501,
  [4477] = 3510,
  [4478] = 3511,
  [4479] = 3498,
  [4480] = 3510,
  [4481] = 3511,
  [4482] = 3509,
  [4483] = 3512,
  [4484] = 3513,
  [4485] = 3514,
  [4486] = 3515,
  [4487] = 3492,
  [4488] = 3517,
  [4489] = 3518,
  [4490] = 3533,
  [4491] = 3497,
  [4492] = 3501,
  [4493] = 3498,
  [4494] = 3509,
  [4495] = 3510,
  [4496] = 3511,
  [4497] = 3512,
  [4498] = 3513,
  [4499] = 3514,
  [4500] = 3515,
  [4501] = 3492,
  [4502] = 3517,
  [4503] = 3518,
  [4504] = 3533,
  [4505] = 3497,
  [4506] = 3501,
  [4507] = 4046,
  [4508] = 3497,
  [4509] = 3501,
  [4510] = 3533,
  [4511] = 4511,
  [4512] = 4511,
  [4513] = 4511,
  [4514] = 4511,
  [4515] = 4511,
  [4516] = 4511,
  [4517] = 4511,
  [4518] = 4511,
  [4519] = 4511,
  [4520] = 4511,
  [4521] = 4521,
  [4522] = 4521,
  [4523] = 4521,
  [4524] = 4521,
  [4525] = 4521,
  [4526] = 4521,
  [4527] = 4521,
  [4528] = 4521,
  [4529] = 4521,
  [4530] = 4530,
  [4531] = 4530,
  [4532] = 4530,
  [4533] = 4530,
  [4534] = 4530,
  [4535] = 4530,
  [4536] = 4530,
  [4537] = 4530,
  [4538] = 4530,
  [4539] = 4539,
  [4540] = 4539,
  [4541] = 4541,
  [4542] = 4541,
  [4543] = 4541,
  [4544] = 4541,
  [4545] = 4539,
  [4546] = 4546,
  [4547] = 4547,
  [4548] = 4541,
  [4549] = 4549,
  [4550] = 4550,
  [4551] = 4541,
  [4552] = 4541,
  [4553] = 4541,
  [4554] = 4541,
  [4555] = 4555,
  [4556] = 4546,
  [4557] = 4541,
  [4558] = 4547,
  [4559] = 4549,
  [4560] = 4550,
  [4561] = 4541,
  [4562] = 4541,
  [4563] = 4539,
  [4564] = 4564,
  [4565] = 4564,
  [4566] = 4541,
  [4567] = 4539,
  [4568] = 4568,
  [4569] = 4541,
  [4570] = 4539,
  [4571] = 4539,
  [4572] = 4541,
  [4573] = 4539,
  [4574] = 4541,
  [4575] = 4568,
  [4576] = 4555,
  [4577] = 4539,
  [4578] = 4578,
  [4579] = 4579,
  [4580] = 4580,
  [4581] = 4581,
  [4582] = 4582,
  [4583] = 4555,
  [4584] = 4584,
  [4585] = 4555,
  [4586] = 4539,
  [4587] = 4587,
  [4588] = 4564,
  [4589] = 4589,
  [4590] = 4590,
  [4591] = 4591,
  [4592] = 4539,
  [4593] = 4568,
  [4594] = 4594,
  [4595] = 4550,
  [4596] = 4541,
  [4597] = 4564,
  [4598] = 4598,
  [4599] = 4539,
  [4600] = 4564,
  [4601] = 4539,
  [4602] = 4598,
  [4603] = 4594,
  [4604] = 4604,
  [4605] = 4587,
  [4606] = 4606,
  [4607] = 4607,
  [4608] = 4608,
  [4609] = 4568,
  [4610] = 4582,
  [4611] = 4568,
  [4612] = 4546,
  [4613] = 4541,
  [4614] = 4549,
  [4615] = 4547,
  [4616] = 4616,
  [4617] = 4617,
  [4618] = 4607,
  [4619] = 4608,
  [4620] = 4546,
  [4621] = 4511,
  [4622] = 4622,
  [4623] = 4623,
  [4624] = 4550,
  [4625] = 4625,
  [4626] = 4626,
  [4627] = 4627,
  [4628] = 4549,
  [4629] = 4555,
  [4630] = 4630,
  [4631] = 4604,
  [4632] = 4632,
  [4633] = 4568,
  [4634] = 4581,
  [4635] = 4549,
  [4636] = 4547,
  [4637] = 4617,
  [4638] = 4555,
  [4639] = 4594,
  [4640] = 4546,
  [4641] = 4549,
  [4642] = 4547,
  [4643] = 4568,
  [4644] = 4550,
  [4645] = 4564,
  [4646] = 4594,
  [4647] = 4539,
  [4648] = 4550,
  [4649] = 4606,
  [4650] = 4632,
  [4651] = 4578,
  [4652] = 4652,
  [4653] = 4653,
  [4654] = 4590,
  [4655] = 4584,
  [4656] = 4589,
  [4657] = 4591,
  [4658] = 4622,
  [4659] = 4580,
  [4660] = 4546,
  [4661] = 4549,
  [4662] = 4623,
  [4663] = 4625,
  [4664] = 4587,
  [4665] = 4627,
  [4666] = 4652,
  [4667] = 4547,
  [4668] = 4616,
  [4669] = 4564,
  [4670] = 4630,
  [4671] = 4579,
  [4672] = 4555,
  [4673] = 4539,
  [4674] = 4653,
  [4675] = 4546,
  [4676] = 4626,
  [4677] = 4550,
  [4678] = 4587,
  [4679] = 4547,
  [4680] = 4680,
  [4681] = 4541,
  [4682] = 4626,
  [4683] = 4630,
  [4684] = 4579,
  [4685] = 4590,
  [4686] = 4686,
  [4687] = 4687,
  [4688] = 4584,
  [4689] = 4589,
  [4690] = 4546,
  [4691] = 4594,
  [4692] = 4625,
  [4693] = 4626,
  [4694] = 4591,
  [4695] = 4627,
  [4696] = 4604,
  [4697] = 4622,
  [4698] = 4630,
  [4699] = 4550,
  [4700] = 4580,
  [4701] = 4632,
  [4702] = 4702,
  [4703] = 4587,
  [4704] = 4704,
  [4705] = 4705,
  [4706] = 4706,
  [4707] = 4707,
  [4708] = 4580,
  [4709] = 4709,
  [4710] = 4606,
  [4711] = 4555,
  [4712] = 4712,
  [4713] = 4709,
  [4714] = 4714,
  [4715] = 4715,
  [4716] = 4594,
  [4717] = 4717,
  [4718] = 4623,
  [4719] = 4719,
  [4720] = 4578,
  [4721] = 4721,
  [4722] = 4541,
  [4723] = 4723,
  [4724] = 4652,
  [4725] = 4725,
  [4726] = 4616,
  [4727] = 4582,
  [4728] = 4594,
  [4729] = 4587,
  [4730] = 4730,
  [4731] = 4582,
  [4732] = 4732,
  [4733] = 4733,
  [4734] = 4653,
  [4735] = 4581,
  [4736] = 4587,
  [4737] = 4712,
  [4738] = 4590,
  [4739] = 4627,
  [4740] = 4584,
  [4741] = 4589,
  [4742] = 4623,
  [4743] = 4591,
  [4744] = 4541,
  [4745] = 4622,
  [4746] = 4580,
  [4747] = 4581,
  [4748] = 4714,
  [4749] = 4749,
  [4750] = 4587,
  [4751] = 4751,
  [4752] = 4594,
  [4753] = 4582,
  [4754] = 4754,
  [4755] = 4579,
  [4756] = 4632,
  [4757] = 4606,
  [4758] = 4590,
  [4759] = 4627,
  [4760] = 4598,
  [4761] = 4598,
  [4762] = 4584,
  [4763] = 4589,
  [4764] = 4549,
  [4765] = 4591,
  [4766] = 4622,
  [4767] = 4580,
  [4768] = 4547,
  [4769] = 4607,
  [4770] = 4608,
  [4771] = 4771,
  [4772] = 4772,
  [4773] = 4773,
  [4774] = 4774,
  [4775] = 4775,
  [4776] = 4776,
  [4777] = 4606,
  [4778] = 4587,
  [4779] = 4587,
  [4780] = 4733,
  [4781] = 4604,
  [4782] = 4771,
  [4783] = 4594,
  [4784] = 4784,
  [4785] = 4568,
  [4786] = 4786,
  [4787] = 4732,
  [4788] = 4788,
  [4789] = 4623,
  [4790] = 4790,
  [4791] = 4791,
  [4792] = 4604,
  [4793] = 4582,
  [4794] = 4594,
  [4795] = 4795,
  [4796] = 4796,
  [4797] = 4797,
  [4798] = 4715,
  [4799] = 4578,
  [4800] = 4604,
  [4801] = 4717,
  [4802] = 4582,
  [4803] = 4616,
  [4804] = 4617,
  [4805] = 4805,
  [4806] = 4806,
  [4807] = 4807,
  [4808] = 4594,
  [4809] = 4809,
  [4810] = 4582,
  [4811] = 4811,
  [4812] = 4719,
  [4813] = 4652,
  [4814] = 4616,
  [4815] = 4653,
  [4816] = 4617,
  [4817] = 4784,
  [4818] = 4818,
  [4819] = 4607,
  [4820] = 4616,
  [4821] = 4587,
  [4822] = 4541,
  [4823] = 4823,
  [4824] = 4627,
  [4825] = 4825,
  [4826] = 4702,
  [4827] = 4608,
  [4828] = 4788,
  [4829] = 4587,
  [4830] = 4606,
  [4831] = 4831,
  [4832] = 4832,
  [4833] = 4833,
  [4834] = 4772,
  [4835] = 4832,
  [4836] = 4730,
  [4837] = 4625,
  [4838] = 4626,
  [4839] = 4630,
  [4840] = 4579,
  [4841] = 4790,
  [4842] = 4809,
  [4843] = 4721,
  [4844] = 4539,
  [4845] = 4723,
  [4846] = 4598,
  [4847] = 4847,
  [4848] = 4805,
  [4849] = 4594,
  [4850] = 4598,
  [4851] = 4807,
  [4852] = 4811,
  [4853] = 4604,
  [4854] = 4854,
  [4855] = 4625,
  [4856] = 4704,
  [4857] = 4582,
  [4858] = 4587,
  [4859] = 4705,
  [4860] = 4706,
  [4861] = 4632,
  [4862] = 4623,
  [4863] = 4863,
  [4864] = 4773,
  [4865] = 4582,
  [4866] = 4607,
  [4867] = 4608,
  [4868] = 4868,
  [4869] = 4869,
  [4870] = 4870,
  [4871] = 4607,
  [4872] = 4626,
  [4873] = 4630,
  [4874] = 4608,
  [4875] = 4625,
  [4876] = 4626,
  [4877] = 4606,
  [4878] = 4607,
  [4879] = 4579,
  [4880] = 4630,
  [4881] = 4579,
  [4882] = 4608,
  [4883] = 4616,
  [4884] = 4617,
  [4885] = 4885,
  [4886] = 4581,
  [4887] = 4594,
  [4888] = 4627,
  [4889] = 4587,
  [4890] = 4890,
  [4891] = 4891,
  [4892] = 4892,
  [4893] = 4854,
  [4894] = 4806,
  [4895] = 4632,
  [4896] = 4578,
  [4897] = 4652,
  [4898] = 4653,
  [4899] = 4786,
  [4900] = 4590,
  [4901] = 4584,
  [4902] = 4589,
  [4903] = 4591,
  [4904] = 4632,
  [4905] = 4578,
  [4906] = 4707,
  [4907] = 4725,
  [4908] = 4652,
  [4909] = 4581,
  [4910] = 4564,
  [4911] = 4653,
  [4912] = 4623,
  [4913] = 4617,
  [4914] = 4622,
  [4915] = 4578,
  [4916] = 4587,
  [4917] = 4652,
  [4918] = 4686,
  [4919] = 4581,
  [4920] = 4622,
  [4921] = 4680,
  [4922] = 4580,
  [4923] = 4653,
  [4924] = 4598,
  [4925] = 4587,
  [4926] = 4594,
  [4927] = 4687,
  [4928] = 4774,
  [4929] = 4847,
  [4930] = 4831,
  [4931] = 4863,
  [4932] = 4775,
  [4933] = 4776,
  [4934] = 4818,
  [4935] = 4823,
  [4936] = 4590,
  [4937] = 4617,
  [4938] = 4825,
  [4939] = 4791,
  [4940] = 4625,
  [4941] = 4868,
  [4942] = 4869,
  [4943] = 4870,
  [4944] = 4885,
  [4945] = 4890,
  [4946] = 4891,
  [4947] = 4892,
  [4948] = 4749,
  [4949] = 4751,
  [4950] = 4754,
  [4951] = 4795,
  [4952] = 4584,
  [4953] = 4796,
  [4954] = 4797,
  [4955] = 4589,
  [4956] = 4833,
  [4957] = 4591,
  [4958] = 4790,
  [4959] = 4733,
  [4960] = 4811,
  [4961] = 4773,
  [4962] = 4806,
  [4963] = 4771,
  [4964] = 4784,
  [4965] = 4788,
  [4966] = 4831,
  [4967] = 4786,
  [4968] = 4568,
  [4969] = 4687,
  [4970] = 4774,
  [4971] = 4831,
  [4972] = 4863,
  [4973] = 4775,
  [4974] = 4776,
  [4975] = 4807,
  [4976] = 4823,
  [4977] = 4825,
  [4978] = 4791,
  [4979] = 4868,
  [4980] = 4869,
  [4981] = 4870,
  [4982] = 4885,
  [4983] = 4890,
  [4984] = 4891,
  [4985] = 4892,
  [4986] = 4749,
  [4987] = 4751,
  [4988] = 4754,
  [4989] = 4795,
  [4990] = 4796,
  [4991] = 4797,
  [4992] = 4833,
  [4993] = 4772,
  [4994] = 4832,
  [4995] = 4730,
  [4996] = 4790,
  [4997] = 4809,
  [4998] = 4854,
  [4999] = 4707,
  [5000] = 4863,
  [5001] = 4847,
  [5002] = 4805,
  [5003] = 4807,
  [5004] = 4733,
  [5005] = 4773,
  [5006] = 4811,
  [5007] = 4786,
  [5008] = 4771,
  [5009] = 4784,
  [5010] = 4788,
  [5011] = 4555,
  [5012] = 4539,
  [5013] = 4805,
  [5014] = 4807,
  [5015] = 4811,
  [5016] = 4786,
  [5017] = 4539,
  [5018] = 4539,
  [5019] = 4606,
  [5020] = 4607,
  [5021] = 4608,
  [5022] = 4775,
  [5023] = 4776,
  [5024] = 4818,
  [5025] = 4823,
  [5026] = 4825,
  [5027] = 4702,
  [5028] = 4704,
  [5029] = 4705,
  [5030] = 4706,
  [5031] = 4709,
  [5032] = 4791,
  [5033] = 4868,
  [5034] = 4870,
  [5035] = 4885,
  [5036] = 4890,
  [5037] = 4891,
  [5038] = 4892,
  [5039] = 4712,
  [5040] = 4714,
  [5041] = 4751,
  [5042] = 4754,
  [5043] = 4795,
  [5044] = 4796,
  [5045] = 4797,
  [5046] = 4715,
  [5047] = 4717,
  [5048] = 4719,
  [5049] = 4833,
  [5050] = 4772,
  [5051] = 4730,
  [5052] = 4809,
  [5053] = 4721,
  [5054] = 4723,
  [5055] = 4854,
  [5056] = 4707,
  [5057] = 4725,
  [5058] = 4732,
  [5059] = 4616,
  [5060] = 4617,
  [5061] = 4869,
  [5062] = 4598,
  [5063] = 4749,
  [5064] = 4832,
  [5065] = 4627,
  [5066] = 4604,
  [5067] = 4686,
  [5068] = 4680,
  [5069] = 4733,
  [5070] = 4847,
  [5071] = 4806,
  [5072] = 4702,
  [5073] = 4704,
  [5074] = 4705,
  [5075] = 4706,
  [5076] = 4709,
  [5077] = 4712,
  [5078] = 4714,
  [5079] = 4715,
  [5080] = 4717,
  [5081] = 4719,
  [5082] = 4721,
  [5083] = 4723,
  [5084] = 4725,
  [5085] = 4687,
  [5086] = 4774,
  [5087] = 4831,
  [5088] = 4863,
  [5089] = 4732,
  [5090] = 5090,
  [5091] = 4775,
  [5092] = 4776,
  [5093] = 4818,
  [5094] = 4823,
  [5095] = 4825,
  [5096] = 4791,
  [5097] = 4868,
  [5098] = 4870,
  [5099] = 4885,
  [5100] = 4890,
  [5101] = 4891,
  [5102] = 4892,
  [5103] = 4751,
  [5104] = 4754,
  [5105] = 4795,
  [5106] = 4796,
  [5107] = 4797,
  [5108] = 4833,
  [5109] = 4772,
  [5110] = 4730,
  [5111] = 4790,
  [5112] = 4809,
  [5113] = 4854,
  [5114] = 4707,
  [5115] = 4686,
  [5116] = 4680,
  [5117] = 4847,
  [5118] = 5118,
  [5119] = 4702,
  [5120] = 4704,
  [5121] = 4705,
  [5122] = 4706,
  [5123] = 4709,
  [5124] = 4869,
  [5125] = 4712,
  [5126] = 4714,
  [5127] = 4749,
  [5128] = 4715,
  [5129] = 4717,
  [5130] = 4719,
  [5131] = 4832,
  [5132] = 4721,
  [5133] = 4723,
  [5134] = 4725,
  [5135] = 4581,
  [5136] = 4687,
  [5137] = 4774,
  [5138] = 4831,
  [5139] = 4863,
  [5140] = 4773,
  [5141] = 4732,
  [5142] = 4775,
  [5143] = 4776,
  [5144] = 4818,
  [5145] = 4823,
  [5146] = 4825,
  [5147] = 4791,
  [5148] = 4868,
  [5149] = 4870,
  [5150] = 4885,
  [5151] = 4890,
  [5152] = 4891,
  [5153] = 4892,
  [5154] = 4751,
  [5155] = 4754,
  [5156] = 4795,
  [5157] = 4796,
  [5158] = 4797,
  [5159] = 4833,
  [5160] = 4772,
  [5161] = 4730,
  [5162] = 4790,
  [5163] = 4809,
  [5164] = 4854,
  [5165] = 4707,
  [5166] = 4733,
  [5167] = 4625,
  [5168] = 4626,
  [5169] = 4806,
  [5170] = 4771,
  [5171] = 4869,
  [5172] = 4784,
  [5173] = 4788,
  [5174] = 4749,
  [5175] = 4832,
  [5176] = 4541,
  [5177] = 4630,
  [5178] = 4579,
  [5179] = 4773,
  [5180] = 4733,
  [5181] = 4541,
  [5182] = 4582,
  [5183] = 4587,
  [5184] = 4594,
  [5185] = 4568,
  [5186] = 4806,
  [5187] = 4771,
  [5188] = 4546,
  [5189] = 4549,
  [5190] = 4547,
  [5191] = 4784,
  [5192] = 4788,
  [5193] = 4550,
  [5194] = 4564,
  [5195] = 4632,
  [5196] = 5118,
  [5197] = 4623,
  [5198] = 4686,
  [5199] = 4578,
  [5200] = 4652,
  [5201] = 4680,
  [5202] = 4587,
  [5203] = 4653,
  [5204] = 4847,
  [5205] = 4702,
  [5206] = 4704,
  [5207] = 4705,
  [5208] = 4706,
  [5209] = 4709,
  [5210] = 4712,
  [5211] = 4714,
  [5212] = 4715,
  [5213] = 4717,
  [5214] = 4719,
  [5215] = 4721,
  [5216] = 4723,
  [5217] = 4725,
  [5218] = 4773,
  [5219] = 4732,
  [5220] = 4590,
  [5221] = 4584,
  [5222] = 4589,
  [5223] = 4805,
  [5224] = 4807,
  [5225] = 4811,
  [5226] = 4582,
  [5227] = 4771,
  [5228] = 4784,
  [5229] = 4788,
  [5230] = 4582,
  [5231] = 4582,
  [5232] = 4582,
  [5233] = 4541,
  [5234] = 4582,
  [5235] = 4582,
  [5236] = 4591,
  [5237] = 4622,
  [5238] = 4580,
  [5239] = 4686,
  [5240] = 4805,
  [5241] = 4807,
  [5242] = 4687,
  [5243] = 4786,
  [5244] = 4774,
  [5245] = 4831,
  [5246] = 4863,
  [5247] = 4811,
  [5248] = 4775,
  [5249] = 4776,
  [5250] = 4818,
  [5251] = 4823,
  [5252] = 4825,
  [5253] = 4791,
  [5254] = 4868,
  [5255] = 4869,
  [5256] = 4870,
  [5257] = 4885,
  [5258] = 4890,
  [5259] = 4891,
  [5260] = 4892,
  [5261] = 4749,
  [5262] = 4751,
  [5263] = 4754,
  [5264] = 4795,
  [5265] = 4796,
  [5266] = 4797,
  [5267] = 4833,
  [5268] = 4772,
  [5269] = 4832,
  [5270] = 4730,
  [5271] = 4790,
  [5272] = 4809,
  [5273] = 4854,
  [5274] = 4707,
  [5275] = 4687,
  [5276] = 4686,
  [5277] = 4680,
  [5278] = 4806,
  [5279] = 4594,
  [5280] = 4704,
  [5281] = 4705,
  [5282] = 4706,
  [5283] = 4680,
  [5284] = 4774,
  [5285] = 4709,
  [5286] = 4712,
  [5287] = 4714,
  [5288] = 4717,
  [5289] = 4719,
  [5290] = 4721,
  [5291] = 4723,
  [5292] = 4725,
  [5293] = 4587,
  [5294] = 4555,
  [5295] = 4847,
  [5296] = 4702,
  [5297] = 4546,
  [5298] = 4549,
  [5299] = 4547,
  [5300] = 4550,
  [5301] = 4715,
  [5302] = 4564,
  [5303] = 4786,
  [5304] = 4732,
  [5305] = 4805,
  [5306] = 4818,
  [5307] = 4584,
  [5308] = 4831,
  [5309] = 4863,
  [5310] = 4847,
  [5311] = 4564,
  [5312] = 4550,
  [5313] = 4564,
  [5314] = 4539,
  [5315] = 4539,
  [5316] = 4869,
  [5317] = 4870,
  [5318] = 5118,
  [5319] = 4784,
  [5320] = 4788,
  [5321] = 4632,
  [5322] = 4539,
  [5323] = 4885,
  [5324] = 4890,
  [5325] = 4891,
  [5326] = 4892,
  [5327] = 4578,
  [5328] = 4652,
  [5329] = 4653,
  [5330] = 4568,
  [5331] = 4578,
  [5332] = 4590,
  [5333] = 4584,
  [5334] = 4589,
  [5335] = 4712,
  [5336] = 4714,
  [5337] = 4555,
  [5338] = 4591,
  [5339] = 4622,
  [5340] = 4818,
  [5341] = 4587,
  [5342] = 4580,
  [5343] = 4823,
  [5344] = 4511,
  [5345] = 4749,
  [5346] = 4751,
  [5347] = 4754,
  [5348] = 4795,
  [5349] = 4796,
  [5350] = 4797,
  [5351] = 4715,
  [5352] = 4825,
  [5353] = 5118,
  [5354] = 4546,
  [5355] = 4549,
  [5356] = 4547,
  [5357] = 4550,
  [5358] = 4564,
  [5359] = 4539,
  [5360] = 4568,
  [5361] = 4805,
  [5362] = 4717,
  [5363] = 4546,
  [5364] = 4549,
  [5365] = 4547,
  [5366] = 4807,
  [5367] = 4719,
  [5368] = 4550,
  [5369] = 4786,
  [5370] = 4833,
  [5371] = 4564,
  [5372] = 4511,
  [5373] = 4772,
  [5374] = 4832,
  [5375] = 4730,
  [5376] = 4790,
  [5377] = 4811,
  [5378] = 4546,
  [5379] = 4549,
  [5380] = 4547,
  [5381] = 4775,
  [5382] = 4776,
  [5383] = 4550,
  [5384] = 4809,
  [5385] = 4564,
  [5386] = 4721,
  [5387] = 4723,
  [5388] = 4854,
  [5389] = 4707,
  [5390] = 4725,
  [5391] = 4652,
  [5392] = 4555,
  [5393] = 4702,
  [5394] = 4568,
  [5395] = 4653,
  [5396] = 4581,
  [5397] = 4590,
  [5398] = 4771,
  [5399] = 4579,
  [5400] = 4555,
  [5401] = 4625,
  [5402] = 4704,
  [5403] = 4626,
  [5404] = 4705,
  [5405] = 4555,
  [5406] = 4591,
  [5407] = 4555,
  [5408] = 4706,
  [5409] = 4622,
  [5410] = 4511,
  [5411] = 4733,
  [5412] = 4732,
  [5413] = 4580,
  [5414] = 4632,
  [5415] = 5118,
  [5416] = 4546,
  [5417] = 4709,
  [5418] = 4568,
  [5419] = 4568,
  [5420] = 4555,
  [5421] = 4791,
  [5422] = 5118,
  [5423] = 4868,
  [5424] = 4806,
  [5425] = 5118,
  [5426] = 4555,
  [5427] = 4568,
  [5428] = 5118,
  [5429] = 4773,
  [5430] = 4549,
  [5431] = 4686,
  [5432] = 4687,
  [5433] = 4680,
  [5434] = 4774,
  [5435] = 4630,
  [5436] = 4546,
  [5437] = 4549,
  [5438] = 4547,
  [5439] = 4547,
  [5440] = 5118,
  [5441] = 4587,
  [5442] = 4568,
  [5443] = 4546,
  [5444] = 4549,
  [5445] = 4547,
  [5446] = 4550,
  [5447] = 4564,
  [5448] = 4579,
  [5449] = 4546,
  [5450] = 4549,
  [5451] = 4547,
  [5452] = 4582,
  [5453] = 4550,
  [5454] = 4564,
  [5455] = 4555,
  [5456] = 4539,
  [5457] = 4587,
  [5458] = 4582,
  [5459] = 4539,
  [5460] = 4581,
  [5461] = 4539,
  [5462] = 4550,
  [5463] = 4598,
  [5464] = 4598,
  [5465] = 4582,
  [5466] = 4539,
  [5467] = 4604,
  [5468] = 4604,
  [5469] = 4625,
  [5470] = 4626,
  [5471] = 4568,
  [5472] = 4587,
  [5473] = 4587,
  [5474] = 4546,
  [5475] = 4549,
  [5476] = 4547,
  [5477] = 4550,
  [5478] = 4564,
  [5479] = 4630,
  [5480] = 4589,
  [5481] = 4632,
  [5482] = 4786,
  [5483] = 4805,
  [5484] = 4807,
  [5485] = 4811,
  [5486] = 4555,
  [5487] = 4771,
  [5488] = 4784,
  [5489] = 4788,
  [5490] = 5118,
  [5491] = 4546,
  [5492] = 4687,
  [5493] = 4774,
  [5494] = 4831,
  [5495] = 4863,
  [5496] = 4775,
  [5497] = 4776,
  [5498] = 4818,
  [5499] = 4823,
  [5500] = 4825,
  [5501] = 4791,
  [5502] = 4868,
  [5503] = 4869,
  [5504] = 4870,
  [5505] = 4885,
  [5506] = 4890,
  [5507] = 4891,
  [5508] = 4892,
  [5509] = 4749,
  [5510] = 4751,
  [5511] = 4754,
  [5512] = 4795,
  [5513] = 4796,
  [5514] = 4797,
  [5515] = 4833,
  [5516] = 4772,
  [5517] = 4832,
  [5518] = 4730,
  [5519] = 4790,
  [5520] = 4809,
  [5521] = 4854,
  [5522] = 4707,
  [5523] = 4632,
  [5524] = 4539,
  [5525] = 4733,
  [5526] = 4773,
  [5527] = 4539,
  [5528] = 4581,
  [5529] = 4555,
  [5530] = 4581,
  [5531] = 4581,
  [5532] = 4625,
  [5533] = 4626,
  [5534] = 4630,
  [5535] = 4579,
  [5536] = 4539,
  [5537] = 4805,
  [5538] = 4807,
  [5539] = 4811,
  [5540] = 4625,
  [5541] = 4626,
  [5542] = 4630,
  [5543] = 4579,
  [5544] = 4581,
  [5545] = 4786,
  [5546] = 4581,
  [5547] = 4625,
  [5548] = 4626,
  [5549] = 4630,
  [5550] = 4579,
  [5551] = 4578,
  [5552] = 4581,
  [5553] = 4652,
  [5554] = 4539,
  [5555] = 4625,
  [5556] = 4626,
  [5557] = 4630,
  [5558] = 4579,
  [5559] = 4625,
  [5560] = 4626,
  [5561] = 4630,
  [5562] = 4579,
  [5563] = 4581,
  [5564] = 4653,
  [5565] = 4625,
  [5566] = 4626,
  [5567] = 4630,
  [5568] = 4579,
  [5569] = 4539,
  [5570] = 4625,
  [5571] = 4626,
  [5572] = 4630,
  [5573] = 4579,
  [5574] = 4590,
  [5575] = 4584,
  [5576] = 4589,
  [5577] = 4591,
  [5578] = 4622,
  [5579] = 4580,
  [5580] = 4594,
  [5581] = 4587,
  [5582] = 4511,
  [5583] = 4598,
  [5584] = 4549,
  [5585] = 4604,
  [5586] = 4547,
  [5587] = 5587,
  [5588] = 4555,
  [5589] = 5118,
  [5590] = 4582,
  [5591] = 4623,
  [5592] = 5118,
  [5593] = 5587,
  [5594] = 4598,
  [5595] = 4604,
  [5596] = 4606,
  [5597] = 4607,
  [5598] = 4608,
  [5599] = 4632,
  [5600] = 5118,
  [5601] = 4616,
  [5602] = 4578,
  [5603] = 4632,
  [5604] = 4617,
  [5605] = 4652,
  [5606] = 4653,
  [5607] = 4578,
  [5608] = 4652,
  [5609] = 4653,
  [5610] = 4590,
  [5611] = 4584,
  [5612] = 4589,
  [5613] = 4590,
  [5614] = 4584,
  [5615] = 4589,
  [5616] = 4591,
  [5617] = 4622,
  [5618] = 4580,
  [5619] = 4568,
  [5620] = 4591,
  [5621] = 4607,
  [5622] = 4608,
  [5623] = 4622,
  [5624] = 4546,
  [5625] = 4549,
  [5626] = 4547,
  [5627] = 4617,
  [5628] = 4550,
  [5629] = 4627,
  [5630] = 4564,
  [5631] = 4511,
  [5632] = 4623,
  [5633] = 4580,
  [5634] = 4539,
  [5635] = 4606,
  [5636] = 4616,
  [5637] = 4627,
  [5638] = 4582,
  [5639] = 4568,
  [5640] = 4587,
  [5641] = 4546,
  [5642] = 4549,
  [5643] = 4547,
  [5644] = 4550,
  [5645] = 4625,
  [5646] = 4626,
  [5647] = 4564,
  [5648] = 4630,
  [5649] = 4579,
  [5650] = 4568,
  [5651] = 5118,
  [5652] = 4546,
  [5653] = 4549,
  [5654] = 4547,
  [5655] = 4550,
  [5656] = 4564,
  [5657] = 4686,
  [5658] = 4680,
  [5659] = 4847,
  [5660] = 4702,
  [5661] = 4704,
  [5662] = 4705,
  [5663] = 4706,
  [5664] = 4709,
  [5665] = 4580,
  [5666] = 4714,
  [5667] = 4715,
  [5668] = 4717,
  [5669] = 4719,
  [5670] = 4721,
  [5671] = 4723,
  [5672] = 4725,
  [5673] = 4511,
  [5674] = 4732,
  [5675] = 5675,
  [5676] = 4847,
  [5677] = 4568,
  [5678] = 5118,
  [5679] = 4546,
  [5680] = 4549,
  [5681] = 4547,
  [5682] = 4806,
  [5683] = 4550,
  [5684] = 4564,
  [5685] = 5685,
  [5686] = 4555,
  [5687] = 4771,
  [5688] = 4702,
  [5689] = 4784,
  [5690] = 4788,
  [5691] = 4598,
  [5692] = 4604,
  [5693] = 4687,
  [5694] = 4774,
  [5695] = 4831,
  [5696] = 4863,
  [5697] = 4775,
  [5698] = 4776,
  [5699] = 4818,
  [5700] = 4823,
  [5701] = 4825,
  [5702] = 4791,
  [5703] = 4868,
  [5704] = 4869,
  [5705] = 4870,
  [5706] = 4885,
  [5707] = 4890,
  [5708] = 4891,
  [5709] = 4892,
  [5710] = 4598,
  [5711] = 4749,
  [5712] = 4751,
  [5713] = 4754,
  [5714] = 4795,
  [5715] = 4796,
  [5716] = 4797,
  [5717] = 4604,
  [5718] = 4833,
  [5719] = 4772,
  [5720] = 4832,
  [5721] = 4730,
  [5722] = 4790,
  [5723] = 4809,
  [5724] = 4854,
  [5725] = 4707,
  [5726] = 4715,
  [5727] = 4806,
  [5728] = 4632,
  [5729] = 4578,
  [5730] = 4652,
  [5731] = 4653,
  [5732] = 4598,
  [5733] = 4590,
  [5734] = 4584,
  [5735] = 4589,
  [5736] = 4604,
  [5737] = 4594,
  [5738] = 4591,
  [5739] = 4622,
  [5740] = 4580,
  [5741] = 4732,
  [5742] = 4550,
  [5743] = 4546,
  [5744] = 4549,
  [5745] = 4547,
  [5746] = 4578,
  [5747] = 4652,
  [5748] = 4653,
  [5749] = 4550,
  [5750] = 4590,
  [5751] = 4584,
  [5752] = 4564,
  [5753] = 4589,
  [5754] = 4564,
  [5755] = 4591,
  [5756] = 4622,
  [5757] = 4580,
  [5758] = 4632,
  [5759] = 4578,
  [5760] = 4652,
  [5761] = 4653,
  [5762] = 4590,
  [5763] = 4584,
  [5764] = 4589,
  [5765] = 4568,
  [5766] = 4591,
  [5767] = 4622,
  [5768] = 4580,
  [5769] = 4581,
  [5770] = 4555,
  [5771] = 4598,
  [5772] = 4604,
  [5773] = 4555,
  [5774] = 4568,
  [5775] = 4598,
  [5776] = 4582,
  [5777] = 4604,
  [5778] = 4686,
  [5779] = 4680,
  [5780] = 4733,
  [5781] = 4632,
  [5782] = 4704,
  [5783] = 4705,
  [5784] = 4706,
  [5785] = 4709,
  [5786] = 4578,
  [5787] = 4652,
  [5788] = 4653,
  [5789] = 4712,
  [5790] = 4714,
  [5791] = 4590,
  [5792] = 4584,
  [5793] = 4589,
  [5794] = 4717,
  [5795] = 4719,
  [5796] = 4591,
  [5797] = 4622,
  [5798] = 4721,
  [5799] = 4723,
  [5800] = 4580,
  [5801] = 4725,
  [5802] = 4773,
  [5803] = 4632,
  [5804] = 4578,
  [5805] = 4652,
  [5806] = 4653,
  [5807] = 4598,
  [5808] = 4590,
  [5809] = 4584,
  [5810] = 4589,
  [5811] = 4604,
  [5812] = 4591,
  [5813] = 4622,
  [5814] = 4712,
  [5815] = 4581,
  [5816] = 4653,
  [5817] = 4784,
  [5818] = 5587,
  [5819] = 4788,
  [5820] = 4790,
  [5821] = 4712,
  [5822] = 4809,
  [5823] = 4714,
  [5824] = 4590,
  [5825] = 4511,
  [5826] = 4584,
  [5827] = 4589,
  [5828] = 4854,
  [5829] = 4717,
  [5830] = 4707,
  [5831] = 4719,
  [5832] = 4591,
  [5833] = 4622,
  [5834] = 4721,
  [5835] = 4723,
  [5836] = 4580,
  [5837] = 4725,
  [5838] = 4687,
  [5839] = 4581,
  [5840] = 5840,
  [5841] = 4847,
  [5842] = 4773,
  [5843] = 5843,
  [5844] = 4774,
  [5845] = 4687,
  [5846] = 5846,
  [5847] = 4771,
  [5848] = 5587,
  [5849] = 4774,
  [5850] = 4784,
  [5851] = 4788,
  [5852] = 4702,
  [5853] = 4686,
  [5854] = 4680,
  [5855] = 5843,
  [5856] = 4847,
  [5857] = 4831,
  [5858] = 4702,
  [5859] = 4863,
  [5860] = 4625,
  [5861] = 4704,
  [5862] = 4705,
  [5863] = 4706,
  [5864] = 5846,
  [5865] = 4626,
  [5866] = 4709,
  [5867] = 4771,
  [5868] = 4712,
  [5869] = 4714,
  [5870] = 4715,
  [5871] = 4715,
  [5872] = 4784,
  [5873] = 4717,
  [5874] = 4719,
  [5875] = 4630,
  [5876] = 4579,
  [5877] = 4721,
  [5878] = 4723,
  [5879] = 4725,
  [5880] = 4687,
  [5881] = 4774,
  [5882] = 4831,
  [5883] = 4863,
  [5884] = 4732,
  [5885] = 4788,
  [5886] = 4776,
  [5887] = 4733,
  [5888] = 4775,
  [5889] = 4776,
  [5890] = 4818,
  [5891] = 4823,
  [5892] = 4825,
  [5893] = 5587,
  [5894] = 4791,
  [5895] = 4868,
  [5896] = 4870,
  [5897] = 4885,
  [5898] = 4890,
  [5899] = 4891,
  [5900] = 4892,
  [5901] = 4751,
  [5902] = 4754,
  [5903] = 4795,
  [5904] = 4796,
  [5905] = 4797,
  [5906] = 4687,
  [5907] = 4774,
  [5908] = 4831,
  [5909] = 4833,
  [5910] = 4772,
  [5911] = 4863,
  [5912] = 4730,
  [5913] = 4790,
  [5914] = 4809,
  [5915] = 4732,
  [5916] = 4854,
  [5917] = 4707,
  [5918] = 4806,
  [5919] = 4775,
  [5920] = 4776,
  [5921] = 4831,
  [5922] = 4818,
  [5923] = 4823,
  [5924] = 4825,
  [5925] = 4771,
  [5926] = 4568,
  [5927] = 4773,
  [5928] = 4791,
  [5929] = 4818,
  [5930] = 4868,
  [5931] = 4823,
  [5932] = 4825,
  [5933] = 4775,
  [5934] = 4581,
  [5935] = 4869,
  [5936] = 4687,
  [5937] = 5587,
  [5938] = 4546,
  [5939] = 4549,
  [5940] = 4547,
  [5941] = 4870,
  [5942] = 4885,
  [5943] = 4774,
  [5944] = 4831,
  [5945] = 4869,
  [5946] = 4863,
  [5947] = 4890,
  [5948] = 4891,
  [5949] = 4892,
  [5950] = 4784,
  [5951] = 4788,
  [5952] = 4550,
  [5953] = 4776,
  [5954] = 4818,
  [5955] = 4749,
  [5956] = 4625,
  [5957] = 4847,
  [5958] = 4626,
  [5959] = 4775,
  [5960] = 4776,
  [5961] = 4749,
  [5962] = 4564,
  [5963] = 4751,
  [5964] = 4818,
  [5965] = 4823,
  [5966] = 4825,
  [5967] = 4832,
  [5968] = 4754,
  [5969] = 4795,
  [5970] = 4796,
  [5971] = 4797,
  [5972] = 4702,
  [5973] = 4833,
  [5974] = 4630,
  [5975] = 4791,
  [5976] = 4772,
  [5977] = 4579,
  [5978] = 4868,
  [5979] = 4869,
  [5980] = 4870,
  [5981] = 4885,
  [5982] = 4890,
  [5983] = 4891,
  [5984] = 4892,
  [5985] = 4832,
  [5986] = 4625,
  [5987] = 4730,
  [5988] = 4790,
  [5989] = 4598,
  [5990] = 4626,
  [5991] = 4749,
  [5992] = 4809,
  [5993] = 4604,
  [5994] = 4751,
  [5995] = 4854,
  [5996] = 4754,
  [5997] = 4707,
  [5998] = 4795,
  [5999] = 4796,
  [6000] = 4797,
  [6001] = 4786,
  [6002] = 4806,
  [6003] = 4715,
  [6004] = 4833,
  [6005] = 4630,
  [6006] = 4687,
  [6007] = 4632,
  [6008] = 4578,
  [6009] = 4652,
  [6010] = 4653,
  [6011] = 4590,
  [6012] = 4584,
  [6013] = 4589,
  [6014] = 4591,
  [6015] = 4622,
  [6016] = 4580,
  [6017] = 4772,
  [6018] = 4733,
  [6019] = 4774,
  [6020] = 4579,
  [6021] = 4832,
  [6022] = 4730,
  [6023] = 4790,
  [6024] = 4809,
  [6025] = 4511,
  [6026] = 4598,
  [6027] = 4854,
  [6028] = 4707,
  [6029] = 4823,
  [6030] = 4604,
  [6031] = 4805,
  [6032] = 4807,
  [6033] = 4733,
  [6034] = 4831,
  [6035] = 4863,
  [6036] = 4773,
  [6037] = 4732,
  [6038] = 5118,
  [6039] = 4733,
  [6040] = 4511,
  [6041] = 4811,
  [6042] = 4771,
  [6043] = 4784,
  [6044] = 4598,
  [6045] = 4788,
  [6046] = 4604,
  [6047] = 4805,
  [6048] = 4806,
  [6049] = 4825,
  [6050] = 4775,
  [6051] = 4776,
  [6052] = 4807,
  [6053] = 4786,
  [6054] = 4818,
  [6055] = 4823,
  [6056] = 4632,
  [6057] = 4825,
  [6058] = 4811,
  [6059] = 4791,
  [6060] = 4539,
  [6061] = 4805,
  [6062] = 4791,
  [6063] = 4807,
  [6064] = 4578,
  [6065] = 4652,
  [6066] = 4653,
  [6067] = 4868,
  [6068] = 4811,
  [6069] = 4869,
  [6070] = 4868,
  [6071] = 4590,
  [6072] = 4584,
  [6073] = 4589,
  [6074] = 4687,
  [6075] = 4786,
  [6076] = 4870,
  [6077] = 4774,
  [6078] = 4591,
  [6079] = 4622,
  [6080] = 4831,
  [6081] = 4863,
  [6082] = 4580,
  [6083] = 4775,
  [6084] = 4885,
  [6085] = 4786,
  [6086] = 4776,
  [6087] = 4773,
  [6088] = 4818,
  [6089] = 4890,
  [6090] = 4891,
  [6091] = 4892,
  [6092] = 4632,
  [6093] = 4578,
  [6094] = 4652,
  [6095] = 4653,
  [6096] = 4590,
  [6097] = 4584,
  [6098] = 4589,
  [6099] = 4591,
  [6100] = 4622,
  [6101] = 4580,
  [6102] = 4749,
  [6103] = 4751,
  [6104] = 4555,
  [6105] = 4754,
  [6106] = 4795,
  [6107] = 4796,
  [6108] = 4797,
  [6109] = 4833,
  [6110] = 4772,
  [6111] = 4832,
  [6112] = 4730,
  [6113] = 4790,
  [6114] = 4809,
  [6115] = 4854,
  [6116] = 4707,
  [6117] = 4806,
  [6118] = 4823,
  [6119] = 4733,
  [6120] = 4773,
  [6121] = 4825,
  [6122] = 4771,
  [6123] = 4791,
  [6124] = 4868,
  [6125] = 4869,
  [6126] = 4870,
  [6127] = 4885,
  [6128] = 4598,
  [6129] = 4890,
  [6130] = 4604,
  [6131] = 4891,
  [6132] = 4892,
  [6133] = 4686,
  [6134] = 4680,
  [6135] = 4784,
  [6136] = 4632,
  [6137] = 4788,
  [6138] = 4749,
  [6139] = 4704,
  [6140] = 4705,
  [6141] = 4706,
  [6142] = 4709,
  [6143] = 4578,
  [6144] = 4652,
  [6145] = 4653,
  [6146] = 4751,
  [6147] = 4581,
  [6148] = 4795,
  [6149] = 4712,
  [6150] = 4714,
  [6151] = 4590,
  [6152] = 4584,
  [6153] = 4589,
  [6154] = 4796,
  [6155] = 4717,
  [6156] = 4719,
  [6157] = 4591,
  [6158] = 4622,
  [6159] = 4721,
  [6160] = 4723,
  [6161] = 4580,
  [6162] = 4725,
  [6163] = 4686,
  [6164] = 4797,
  [6165] = 4680,
  [6166] = 4833,
  [6167] = 4772,
  [6168] = 4832,
  [6169] = 4847,
  [6170] = 4730,
  [6171] = 4790,
  [6172] = 4809,
  [6173] = 4854,
  [6174] = 4707,
  [6175] = 4702,
  [6176] = 4704,
  [6177] = 4705,
  [6178] = 4706,
  [6179] = 4709,
  [6180] = 4773,
  [6181] = 4805,
  [6182] = 4807,
  [6183] = 4733,
  [6184] = 4811,
  [6185] = 4869,
  [6186] = 4786,
  [6187] = 4870,
  [6188] = 4885,
  [6189] = 4712,
  [6190] = 4714,
  [6191] = 4890,
  [6192] = 4891,
  [6193] = 4892,
  [6194] = 4805,
  [6195] = 4807,
  [6196] = 4811,
  [6197] = 4715,
  [6198] = 4749,
  [6199] = 4717,
  [6200] = 4719,
  [6201] = 4581,
  [6202] = 4751,
  [6203] = 4754,
  [6204] = 4805,
  [6205] = 4807,
  [6206] = 4811,
  [6207] = 4721,
  [6208] = 4723,
  [6209] = 4795,
  [6210] = 4796,
  [6211] = 4725,
  [6212] = 4797,
  [6213] = 4582,
  [6214] = 4539,
  [6215] = 4686,
  [6216] = 4680,
  [6217] = 4732,
  [6218] = 4833,
  [6219] = 4772,
  [6220] = 4704,
  [6221] = 4705,
  [6222] = 4706,
  [6223] = 4709,
  [6224] = 4786,
  [6225] = 4832,
  [6226] = 4786,
  [6227] = 4791,
  [6228] = 4712,
  [6229] = 4714,
  [6230] = 4805,
  [6231] = 4730,
  [6232] = 4786,
  [6233] = 4807,
  [6234] = 4717,
  [6235] = 4811,
  [6236] = 4719,
  [6237] = 4790,
  [6238] = 4809,
  [6239] = 4721,
  [6240] = 4723,
  [6241] = 4854,
  [6242] = 4725,
  [6243] = 4598,
  [6244] = 4707,
  [6245] = 4847,
  [6246] = 4847,
  [6247] = 4868,
  [6248] = 4806,
  [6249] = 4702,
  [6250] = 4831,
  [6251] = 4863,
  [6252] = 4625,
  [6253] = 4702,
  [6254] = 4732,
  [6255] = 4626,
  [6256] = 4630,
  [6257] = 4579,
  [6258] = 4604,
  [6259] = 4598,
  [6260] = 4863,
  [6261] = 4581,
  [6262] = 4806,
  [6263] = 4775,
  [6264] = 4776,
  [6265] = 4715,
  [6266] = 4604,
  [6267] = 4818,
  [6268] = 4823,
  [6269] = 4806,
  [6270] = 4715,
  [6271] = 4825,
  [6272] = 4732,
  [6273] = 4791,
  [6274] = 4687,
  [6275] = 4773,
  [6276] = 4868,
  [6277] = 4869,
  [6278] = 4869,
  [6279] = 4732,
  [6280] = 4625,
  [6281] = 4626,
  [6282] = 4733,
  [6283] = 4870,
  [6284] = 4885,
  [6285] = 4890,
  [6286] = 4630,
  [6287] = 4579,
  [6288] = 4891,
  [6289] = 4775,
  [6290] = 4773,
  [6291] = 4686,
  [6292] = 4805,
  [6293] = 4870,
  [6294] = 4807,
  [6295] = 4680,
  [6296] = 4885,
  [6297] = 4847,
  [6298] = 4811,
  [6299] = 4632,
  [6300] = 4702,
  [6301] = 4704,
  [6302] = 4705,
  [6303] = 4706,
  [6304] = 4709,
  [6305] = 4578,
  [6306] = 4652,
  [6307] = 4653,
  [6308] = 4625,
  [6309] = 4712,
  [6310] = 4714,
  [6311] = 4590,
  [6312] = 4584,
  [6313] = 4589,
  [6314] = 4715,
  [6315] = 4626,
  [6316] = 4717,
  [6317] = 4719,
  [6318] = 4591,
  [6319] = 4622,
  [6320] = 4721,
  [6321] = 4723,
  [6322] = 4580,
  [6323] = 4725,
  [6324] = 4686,
  [6325] = 4680,
  [6326] = 4630,
  [6327] = 4732,
  [6328] = 4579,
  [6329] = 4704,
  [6330] = 4705,
  [6331] = 4706,
  [6332] = 4709,
  [6333] = 4733,
  [6334] = 4892,
  [6335] = 4712,
  [6336] = 4714,
  [6337] = 4890,
  [6338] = 4891,
  [6339] = 4717,
  [6340] = 4719,
  [6341] = 4721,
  [6342] = 4723,
  [6343] = 4725,
  [6344] = 4892,
  [6345] = 4774,
  [6346] = 4749,
  [6347] = 4751,
  [6348] = 4754,
  [6349] = 4749,
  [6350] = 4751,
  [6351] = 4795,
  [6352] = 4754,
  [6353] = 4795,
  [6354] = 4796,
  [6355] = 4797,
  [6356] = 5587,
  [6357] = 4833,
  [6358] = 4772,
  [6359] = 4796,
  [6360] = 4771,
  [6361] = 4797,
  [6362] = 4832,
  [6363] = 4730,
  [6364] = 4790,
  [6365] = 4809,
  [6366] = 4854,
  [6367] = 4707,
  [6368] = 4833,
  [6369] = 4686,
  [6370] = 4680,
  [6371] = 4686,
  [6372] = 4847,
  [6373] = 4806,
  [6374] = 4772,
  [6375] = 4771,
  [6376] = 4702,
  [6377] = 4704,
  [6378] = 4705,
  [6379] = 4706,
  [6380] = 4784,
  [6381] = 4788,
  [6382] = 4709,
  [6383] = 4680,
  [6384] = 4832,
  [6385] = 4632,
  [6386] = 4784,
  [6387] = 4788,
  [6388] = 4771,
  [6389] = 4712,
  [6390] = 4714,
  [6391] = 4704,
  [6392] = 4730,
  [6393] = 4705,
  [6394] = 4715,
  [6395] = 4706,
  [6396] = 4717,
  [6397] = 4719,
  [6398] = 4709,
  [6399] = 4578,
  [6400] = 4721,
  [6401] = 4723,
  [6402] = 4652,
  [6403] = 4725,
  [6404] = 4539,
  [6405] = 4754,
  [6406] = 4807,
  [6407] = 4707,
  [6408] = 4546,
  [6409] = 4549,
  [6410] = 4547,
  [6411] = 4568,
  [6412] = 4773,
  [6413] = 5843,
  [6414] = 5846,
  [6415] = 4550,
  [6416] = 4539,
  [6417] = 4564,
  [6418] = 5843,
  [6419] = 5846,
  [6420] = 5587,
  [6421] = 4805,
  [6422] = 4807,
  [6423] = 4733,
  [6424] = 4539,
  [6425] = 4811,
  [6426] = 6426,
  [6427] = 4598,
  [6428] = 4604,
  [6429] = 4539,
  [6430] = 4686,
  [6431] = 4786,
  [6432] = 4680,
  [6433] = 4847,
  [6434] = 4702,
  [6435] = 4704,
  [6436] = 4705,
  [6437] = 4706,
  [6438] = 4709,
  [6439] = 4811,
  [6440] = 4712,
  [6441] = 4714,
  [6442] = 4715,
  [6443] = 4717,
  [6444] = 4719,
  [6445] = 4721,
  [6446] = 4723,
  [6447] = 4725,
  [6448] = 4733,
  [6449] = 4732,
  [6450] = 4805,
  [6451] = 4632,
  [6452] = 4771,
  [6453] = 4578,
  [6454] = 4652,
  [6455] = 4653,
  [6456] = 4784,
  [6457] = 4788,
  [6458] = 4590,
  [6459] = 4805,
  [6460] = 4584,
  [6461] = 4589,
  [6462] = 4591,
  [6463] = 4622,
  [6464] = 4580,
  [6465] = 4555,
  [6466] = 4807,
  [6467] = 4811,
  [6468] = 6468,
  [6469] = 4686,
  [6470] = 4687,
  [6471] = 4680,
  [6472] = 4774,
  [6473] = 4831,
  [6474] = 4863,
  [6475] = 4847,
  [6476] = 4775,
  [6477] = 4776,
  [6478] = 4818,
  [6479] = 4823,
  [6480] = 4825,
  [6481] = 4702,
  [6482] = 4704,
  [6483] = 4705,
  [6484] = 4706,
  [6485] = 4709,
  [6486] = 4791,
  [6487] = 4868,
  [6488] = 4869,
  [6489] = 4870,
  [6490] = 4885,
  [6491] = 4890,
  [6492] = 4891,
  [6493] = 4892,
  [6494] = 4712,
  [6495] = 4714,
  [6496] = 4749,
  [6497] = 4751,
  [6498] = 4754,
  [6499] = 4795,
  [6500] = 4796,
  [6501] = 4797,
  [6502] = 4715,
  [6503] = 4717,
  [6504] = 4719,
  [6505] = 4833,
  [6506] = 4772,
  [6507] = 4832,
  [6508] = 4730,
  [6509] = 4790,
  [6510] = 4809,
  [6511] = 4721,
  [6512] = 4723,
  [6513] = 4854,
  [6514] = 4707,
  [6515] = 4725,
  [6516] = 4686,
  [6517] = 4680,
  [6518] = 4732,
  [6519] = 4847,
  [6520] = 4568,
  [6521] = 6426,
  [6522] = 4702,
  [6523] = 4555,
  [6524] = 4704,
  [6525] = 4705,
  [6526] = 4706,
  [6527] = 4709,
  [6528] = 4712,
  [6529] = 4714,
  [6530] = 4715,
  [6531] = 4717,
  [6532] = 4719,
  [6533] = 4721,
  [6534] = 4723,
  [6535] = 4725,
  [6536] = 4539,
  [6537] = 4732,
  [6538] = 4805,
  [6539] = 4771,
  [6540] = 4773,
  [6541] = 4784,
  [6542] = 4788,
  [6543] = 4687,
  [6544] = 4786,
  [6545] = 4774,
  [6546] = 4831,
  [6547] = 4863,
  [6548] = 4773,
  [6549] = 4811,
  [6550] = 4805,
  [6551] = 4806,
  [6552] = 4775,
  [6553] = 4776,
  [6554] = 4818,
  [6555] = 4823,
  [6556] = 4825,
  [6557] = 4771,
  [6558] = 4807,
  [6559] = 4791,
  [6560] = 4868,
  [6561] = 4811,
  [6562] = 4869,
  [6563] = 4870,
  [6564] = 4885,
  [6565] = 4890,
  [6566] = 4891,
  [6567] = 4892,
  [6568] = 4784,
  [6569] = 4788,
  [6570] = 4749,
  [6571] = 4751,
  [6572] = 4754,
  [6573] = 4795,
  [6574] = 4796,
  [6575] = 4797,
  [6576] = 4687,
  [6577] = 4833,
  [6578] = 4772,
  [6579] = 4774,
  [6580] = 4831,
  [6581] = 4832,
  [6582] = 4854,
  [6583] = 4790,
  [6584] = 4809,
  [6585] = 4863,
  [6586] = 4854,
  [6587] = 4707,
  [6588] = 4686,
  [6589] = 4687,
  [6590] = 4680,
  [6591] = 4774,
  [6592] = 4831,
  [6593] = 4863,
  [6594] = 4847,
  [6595] = 4775,
  [6596] = 4776,
  [6597] = 4818,
  [6598] = 4823,
  [6599] = 4825,
  [6600] = 4702,
  [6601] = 4704,
  [6602] = 4705,
  [6603] = 4706,
  [6604] = 4709,
  [6605] = 4791,
  [6606] = 4868,
  [6607] = 4869,
  [6608] = 4870,
  [6609] = 4885,
  [6610] = 4890,
  [6611] = 4891,
  [6612] = 4892,
  [6613] = 4712,
  [6614] = 4714,
  [6615] = 4775,
  [6616] = 4749,
  [6617] = 4751,
  [6618] = 4776,
  [6619] = 4754,
  [6620] = 4795,
  [6621] = 4796,
  [6622] = 4797,
  [6623] = 4715,
  [6624] = 4717,
  [6625] = 4719,
  [6626] = 4833,
  [6627] = 4772,
  [6628] = 4832,
  [6629] = 4730,
  [6630] = 4790,
  [6631] = 4809,
  [6632] = 4721,
  [6633] = 4723,
  [6634] = 4854,
  [6635] = 4707,
  [6636] = 4725,
  [6637] = 4818,
  [6638] = 4823,
  [6639] = 4732,
  [6640] = 4825,
  [6641] = 4733,
  [6642] = 4771,
  [6643] = 4806,
  [6644] = 4791,
  [6645] = 4868,
  [6646] = 4869,
  [6647] = 4625,
  [6648] = 4626,
  [6649] = 4870,
  [6650] = 4630,
  [6651] = 4579,
  [6652] = 4885,
  [6653] = 4539,
  [6654] = 4890,
  [6655] = 5118,
  [6656] = 4806,
  [6657] = 4891,
  [6658] = 4892,
  [6659] = 4784,
  [6660] = 4788,
  [6661] = 4773,
  [6662] = 4749,
  [6663] = 5843,
  [6664] = 4786,
  [6665] = 4751,
  [6666] = 4754,
  [6667] = 4795,
  [6668] = 4796,
  [6669] = 4797,
  [6670] = 4539,
  [6671] = 4833,
  [6672] = 4772,
  [6673] = 4771,
  [6674] = 4832,
  [6675] = 4730,
  [6676] = 4790,
  [6677] = 4809,
  [6678] = 4854,
  [6679] = 4784,
  [6680] = 4788,
  [6681] = 4707,
  [6682] = 4771,
  [6683] = 4686,
  [6684] = 4712,
  [6685] = 4680,
  [6686] = 4539,
  [6687] = 4714,
  [6688] = 4704,
  [6689] = 4705,
  [6690] = 4706,
  [6691] = 5846,
  [6692] = 4709,
  [6693] = 4717,
  [6694] = 4712,
  [6695] = 4807,
  [6696] = 4714,
  [6697] = 4784,
  [6698] = 4719,
  [6699] = 4717,
  [6700] = 4719,
  [6701] = 4788,
  [6702] = 4721,
  [6703] = 4721,
  [6704] = 4723,
  [6705] = 4723,
  [6706] = 4725,
  [6707] = 4539,
  [6708] = 4687,
  [6709] = 4725,
  [6710] = 4774,
  [6711] = 4831,
  [6712] = 4863,
  [6713] = 4568,
  [6714] = 4775,
  [6715] = 4776,
  [6716] = 4818,
  [6717] = 4823,
  [6718] = 4825,
  [6719] = 4555,
  [6720] = 4791,
  [6721] = 4868,
  [6722] = 4869,
  [6723] = 4870,
  [6724] = 4885,
  [6725] = 4890,
  [6726] = 4891,
  [6727] = 4892,
  [6728] = 4847,
  [6729] = 4749,
  [6730] = 4751,
  [6731] = 4754,
  [6732] = 4795,
  [6733] = 4796,
  [6734] = 4797,
  [6735] = 4833,
  [6736] = 4581,
  [6737] = 4772,
  [6738] = 4786,
  [6739] = 4832,
  [6740] = 4730,
  [6741] = 4790,
  [6742] = 4809,
  [6743] = 4806,
  [6744] = 4854,
  [6745] = 4707,
  [6746] = 4702,
  [6747] = 4773,
  [6748] = 4733,
  [6749] = 4806,
  [6750] = 4704,
  [6751] = 4715,
  [6752] = 5675,
  [6753] = 4805,
  [6754] = 5843,
  [6755] = 4807,
  [6756] = 4705,
  [6757] = 4706,
  [6758] = 5846,
  [6759] = 4687,
  [6760] = 4786,
  [6761] = 4774,
  [6762] = 4831,
  [6763] = 4863,
  [6764] = 4733,
  [6765] = 4847,
  [6766] = 4806,
  [6767] = 4702,
  [6768] = 4775,
  [6769] = 4776,
  [6770] = 5843,
  [6771] = 4818,
  [6772] = 4715,
  [6773] = 4823,
  [6774] = 4825,
  [6775] = 4791,
  [6776] = 4868,
  [6777] = 4869,
  [6778] = 4870,
  [6779] = 4885,
  [6780] = 4890,
  [6781] = 4891,
  [6782] = 4732,
  [6783] = 4773,
  [6784] = 4732,
  [6785] = 4892,
  [6786] = 4811,
  [6787] = 5846,
  [6788] = 4749,
  [6789] = 6468,
  [6790] = 4733,
  [6791] = 4751,
  [6792] = 4754,
  [6793] = 4795,
  [6794] = 4786,
  [6795] = 4709,
  [6796] = 4796,
  [6797] = 4797,
  [6798] = 4833,
  [6799] = 4772,
  [6800] = 4832,
  [6801] = 4730,
  [6802] = 4790,
  [6803] = 4809,
  [6804] = 4686,
  [6805] = 4680,
  [6806] = 4730,
  [6807] = 4653,
  [6808] = 4555,
  [6809] = 4784,
  [6810] = 4788,
  [6811] = 4786,
  [6812] = 4549,
  [6813] = 4686,
  [6814] = 4568,
  [6815] = 4680,
  [6816] = 4539,
  [6817] = 4847,
  [6818] = 6426,
  [6819] = 4568,
  [6820] = 6468,
  [6821] = 4702,
  [6822] = 4704,
  [6823] = 4705,
  [6824] = 4706,
  [6825] = 4547,
  [6826] = 4709,
  [6827] = 4712,
  [6828] = 4714,
  [6829] = 4715,
  [6830] = 4717,
  [6831] = 4719,
  [6832] = 4555,
  [6833] = 5118,
  [6834] = 4721,
  [6835] = 4723,
  [6836] = 4725,
  [6837] = 4539,
  [6838] = 4732,
  [6839] = 4539,
  [6840] = 4581,
  [6841] = 5843,
  [6842] = 6426,
  [6843] = 4625,
  [6844] = 4625,
  [6845] = 4626,
  [6846] = 4630,
  [6847] = 6468,
  [6848] = 4579,
  [6849] = 4598,
  [6850] = 4626,
  [6851] = 6851,
  [6852] = 4581,
  [6853] = 4568,
  [6854] = 4539,
  [6855] = 4630,
  [6856] = 4555,
  [6857] = 4539,
  [6858] = 4579,
  [6859] = 4539,
  [6860] = 6426,
  [6861] = 4539,
  [6862] = 4625,
  [6863] = 4626,
  [6864] = 4630,
  [6865] = 4579,
  [6866] = 4555,
  [6867] = 4539,
  [6868] = 4550,
  [6869] = 5846,
  [6870] = 4564,
  [6871] = 4632,
  [6872] = 4555,
  [6873] = 4578,
  [6874] = 4652,
  [6875] = 4568,
  [6876] = 6468,
  [6877] = 4568,
  [6878] = 6468,
  [6879] = 6426,
  [6880] = 4806,
  [6881] = 4774,
  [6882] = 4604,
  [6883] = 4805,
  [6884] = 4831,
  [6885] = 4863,
  [6886] = 4807,
  [6887] = 4555,
  [6888] = 4590,
  [6889] = 4584,
  [6890] = 4568,
  [6891] = 4555,
  [6892] = 4511,
  [6893] = 4775,
  [6894] = 4811,
  [6895] = 4733,
  [6896] = 4776,
  [6897] = 4589,
  [6898] = 4818,
  [6899] = 4823,
  [6900] = 4825,
  [6901] = 4555,
  [6902] = 4791,
  [6903] = 6468,
  [6904] = 4868,
  [6905] = 4568,
  [6906] = 4869,
  [6907] = 4546,
  [6908] = 6426,
  [6909] = 4591,
  [6910] = 4870,
  [6911] = 4622,
  [6912] = 4885,
  [6913] = 4890,
  [6914] = 4891,
  [6915] = 4892,
  [6916] = 4539,
  [6917] = 4749,
  [6918] = 4751,
  [6919] = 4580,
  [6920] = 4754,
  [6921] = 4568,
  [6922] = 4795,
  [6923] = 4796,
  [6924] = 4797,
  [6925] = 4833,
  [6926] = 4772,
  [6927] = 6851,
  [6928] = 4832,
  [6929] = 4730,
  [6930] = 4790,
  [6931] = 4809,
  [6932] = 4854,
  [6933] = 4707,
  [6934] = 4773,
  [6935] = 4581,
  [6936] = 4771,
  [6937] = 4687,
  [6938] = 4788,
  [6939] = 6939,
  [6940] = 4809,
  [6941] = 4811,
  [6942] = 6851,
  [6943] = 4568,
  [6944] = 4774,
  [6945] = 4831,
  [6946] = 5587,
  [6947] = 4805,
  [6948] = 4863,
  [6949] = 4786,
  [6950] = 4625,
  [6951] = 4733,
  [6952] = 4626,
  [6953] = 4653,
  [6954] = 4630,
  [6955] = 4579,
  [6956] = 4581,
  [6957] = 4581,
  [6958] = 4811,
  [6959] = 4712,
  [6960] = 4706,
  [6961] = 4714,
  [6962] = 4511,
  [6963] = 4704,
  [6964] = 4539,
  [6965] = 4625,
  [6966] = 4539,
  [6967] = 4797,
  [6968] = 4775,
  [6969] = 4625,
  [6970] = 4626,
  [6971] = 4776,
  [6972] = 4715,
  [6973] = 4630,
  [6974] = 4579,
  [6975] = 4818,
  [6976] = 4806,
  [6977] = 4823,
  [6978] = 4784,
  [6979] = 4833,
  [6980] = 4625,
  [6981] = 4626,
  [6982] = 4630,
  [6983] = 4579,
  [6984] = 4626,
  [6985] = 6851,
  [6986] = 4825,
  [6987] = 4854,
  [6988] = 4788,
  [6989] = 4581,
  [6990] = 4707,
  [6991] = 4772,
  [6992] = 4771,
  [6993] = 4771,
  [6994] = 6468,
  [6995] = 4832,
  [6996] = 4539,
  [6997] = 4784,
  [6998] = 4555,
  [6999] = 4598,
  [7000] = 4786,
  [7001] = 6426,
  [7002] = 4590,
  [7003] = 4788,
  [7004] = 4730,
  [7005] = 4791,
  [7006] = 4584,
  [7007] = 4868,
  [7008] = 4869,
  [7009] = 4870,
  [7010] = 4555,
  [7011] = 4885,
  [7012] = 4687,
  [7013] = 4773,
  [7014] = 4687,
  [7015] = 4589,
  [7016] = 4890,
  [7017] = 4604,
  [7018] = 4774,
  [7019] = 4831,
  [7020] = 4891,
  [7021] = 4892,
  [7022] = 4774,
  [7023] = 4831,
  [7024] = 4784,
  [7025] = 4555,
  [7026] = 4568,
  [7027] = 4749,
  [7028] = 4863,
  [7029] = 4751,
  [7030] = 4754,
  [7031] = 4805,
  [7032] = 4581,
  [7033] = 4807,
  [7034] = 4795,
  [7035] = 4796,
  [7036] = 4797,
  [7037] = 4833,
  [7038] = 4702,
  [7039] = 4863,
  [7040] = 4847,
  [7041] = 4630,
  [7042] = 4811,
  [7043] = 4773,
  [7044] = 4772,
  [7045] = 4579,
  [7046] = 4771,
  [7047] = 4832,
  [7048] = 4730,
  [7049] = 4702,
  [7050] = 4733,
  [7051] = 4790,
  [7052] = 4775,
  [7053] = 4809,
  [7054] = 4854,
  [7055] = 4776,
  [7056] = 4818,
  [7057] = 4707,
  [7058] = 4715,
  [7059] = 4823,
  [7060] = 4555,
  [7061] = 4625,
  [7062] = 6851,
  [7063] = 4775,
  [7064] = 4776,
  [7065] = 4626,
  [7066] = 4630,
  [7067] = 4818,
  [7068] = 4825,
  [7069] = 4579,
  [7070] = 4725,
  [7071] = 4555,
  [7072] = 4715,
  [7073] = 4805,
  [7074] = 4625,
  [7075] = 4791,
  [7076] = 4868,
  [7077] = 4869,
  [7078] = 4732,
  [7079] = 4823,
  [7080] = 4539,
  [7081] = 4626,
  [7082] = 4870,
  [7083] = 4717,
  [7084] = 4885,
  [7085] = 4890,
  [7086] = 7086,
  [7087] = 4825,
  [7088] = 4891,
  [7089] = 4892,
  [7090] = 4568,
  [7091] = 4581,
  [7092] = 7092,
  [7093] = 6468,
  [7094] = 4732,
  [7095] = 6851,
  [7096] = 4791,
  [7097] = 4868,
  [7098] = 4749,
  [7099] = 4751,
  [7100] = 4869,
  [7101] = 4870,
  [7102] = 4719,
  [7103] = 6426,
  [7104] = 4885,
  [7105] = 4754,
  [7106] = 4890,
  [7107] = 4795,
  [7108] = 4796,
  [7109] = 4797,
  [7110] = 4891,
  [7111] = 4625,
  [7112] = 4796,
  [7113] = 4892,
  [7114] = 4626,
  [7115] = 4732,
  [7116] = 4833,
  [7117] = 7117,
  [7118] = 4630,
  [7119] = 4749,
  [7120] = 4772,
  [7121] = 6468,
  [7122] = 4751,
  [7123] = 4579,
  [7124] = 4702,
  [7125] = 4754,
  [7126] = 4630,
  [7127] = 4568,
  [7128] = 4790,
  [7129] = 4579,
  [7130] = 4795,
  [7131] = 4832,
  [7132] = 6851,
  [7133] = 4730,
  [7134] = 4790,
  [7135] = 4539,
  [7136] = 4809,
  [7137] = 4854,
  [7138] = 4591,
  [7139] = 4622,
  [7140] = 4721,
  [7141] = 4709,
  [7142] = 4723,
  [7143] = 4581,
  [7144] = 4707,
  [7145] = 4581,
  [7146] = 4705,
  [7147] = 4581,
  [7148] = 6426,
  [7149] = 4539,
  [7150] = 4786,
  [7151] = 4847,
  [7152] = 4686,
  [7153] = 4568,
  [7154] = 4687,
  [7155] = 4807,
  [7156] = 4680,
  [7157] = 4847,
  [7158] = 4652,
  [7159] = 7159,
  [7160] = 4625,
  [7161] = 4581,
  [7162] = 4626,
  [7163] = 7086,
  [7164] = 6939,
  [7165] = 7117,
  [7166] = 4630,
  [7167] = 4579,
  [7168] = 4773,
  [7169] = 4578,
  [7170] = 4733,
  [7171] = 7159,
  [7172] = 4555,
  [7173] = 4581,
  [7174] = 4632,
  [7175] = 4807,
  [7176] = 7092,
  [7177] = 4568,
  [7178] = 4539,
  [7179] = 4580,
  [7180] = 4539,
  [7181] = 6468,
  [7182] = 4788,
  [7183] = 4885,
  [7184] = 4732,
  [7185] = 4771,
  [7186] = 7186,
  [7187] = 4890,
  [7188] = 4539,
  [7189] = 4891,
  [7190] = 6468,
  [7191] = 4892,
  [7192] = 4687,
  [7193] = 4568,
  [7194] = 4581,
  [7195] = 4885,
  [7196] = 4890,
  [7197] = 4891,
  [7198] = 4892,
  [7199] = 7199,
  [7200] = 4749,
  [7201] = 4733,
  [7202] = 4796,
  [7203] = 7159,
  [7204] = 4891,
  [7205] = 4892,
  [7206] = 4784,
  [7207] = 4751,
  [7208] = 4754,
  [7209] = 4795,
  [7210] = 6468,
  [7211] = 4790,
  [7212] = 4539,
  [7213] = 7213,
  [7214] = 4809,
  [7215] = 4625,
  [7216] = 4626,
  [7217] = 4854,
  [7218] = 4869,
  [7219] = 4630,
  [7220] = 4784,
  [7221] = 4854,
  [7222] = 4788,
  [7223] = 4707,
  [7224] = 4579,
  [7225] = 4555,
  [7226] = 4788,
  [7227] = 4687,
  [7228] = 4707,
  [7229] = 6426,
  [7230] = 4749,
  [7231] = 6426,
  [7232] = 4774,
  [7233] = 6939,
  [7234] = 4625,
  [7235] = 4811,
  [7236] = 4626,
  [7237] = 4825,
  [7238] = 4796,
  [7239] = 4581,
  [7240] = 7117,
  [7241] = 4749,
  [7242] = 4797,
  [7243] = 4715,
  [7244] = 4702,
  [7245] = 4833,
  [7246] = 4772,
  [7247] = 4831,
  [7248] = 4863,
  [7249] = 7092,
  [7250] = 4581,
  [7251] = 4832,
  [7252] = 7252,
  [7253] = 6468,
  [7254] = 4751,
  [7255] = 6851,
  [7256] = 4733,
  [7257] = 4730,
  [7258] = 4790,
  [7259] = 4754,
  [7260] = 4809,
  [7261] = 4795,
  [7262] = 4796,
  [7263] = 4773,
  [7264] = 4751,
  [7265] = 4775,
  [7266] = 7092,
  [7267] = 6851,
  [7268] = 4581,
  [7269] = 4776,
  [7270] = 4754,
  [7271] = 4854,
  [7272] = 4791,
  [7273] = 4797,
  [7274] = 4581,
  [7275] = 4715,
  [7276] = 4581,
  [7277] = 4625,
  [7278] = 4707,
  [7279] = 4797,
  [7280] = 4626,
  [7281] = 4630,
  [7282] = 4579,
  [7283] = 4831,
  [7284] = 4687,
  [7285] = 7285,
  [7286] = 4539,
  [7287] = 4581,
  [7288] = 4625,
  [7289] = 7289,
  [7290] = 4626,
  [7291] = 4630,
  [7292] = 4579,
  [7293] = 4771,
  [7294] = 4833,
  [7295] = 4868,
  [7296] = 4774,
  [7297] = 4630,
  [7298] = 4772,
  [7299] = 4579,
  [7300] = 4832,
  [7301] = 4863,
  [7302] = 4749,
  [7303] = 4751,
  [7304] = 4754,
  [7305] = 4771,
  [7306] = 4581,
  [7307] = 4869,
  [7308] = 4818,
  [7309] = 4730,
  [7310] = 4790,
  [7311] = 4581,
  [7312] = 4795,
  [7313] = 4809,
  [7314] = 6468,
  [7315] = 4732,
  [7316] = 4796,
  [7317] = 4702,
  [7318] = 4786,
  [7319] = 4797,
  [7320] = 7320,
  [7321] = 4539,
  [7322] = 4773,
  [7323] = 4831,
  [7324] = 6426,
  [7325] = 4863,
  [7326] = 4854,
  [7327] = 4784,
  [7328] = 4707,
  [7329] = 4869,
  [7330] = 4539,
  [7331] = 4870,
  [7332] = 4885,
  [7333] = 4704,
  [7334] = 4847,
  [7335] = 4795,
  [7336] = 4773,
  [7337] = 4625,
  [7338] = 4796,
  [7339] = 4626,
  [7340] = 4786,
  [7341] = 4774,
  [7342] = 4847,
  [7343] = 4630,
  [7344] = 4579,
  [7345] = 4805,
  [7346] = 4833,
  [7347] = 4831,
  [7348] = 4797,
  [7349] = 4863,
  [7350] = 4891,
  [7351] = 4733,
  [7352] = 4891,
  [7353] = 4772,
  [7354] = 4807,
  [7355] = 4732,
  [7356] = 4788,
  [7357] = 7357,
  [7358] = 4892,
  [7359] = 4811,
  [7360] = 6426,
  [7361] = 4892,
  [7362] = 7362,
  [7363] = 7086,
  [7364] = 6851,
  [7365] = 4733,
  [7366] = 4791,
  [7367] = 4773,
  [7368] = 4773,
  [7369] = 7369,
  [7370] = 4581,
  [7371] = 4833,
  [7372] = 4687,
  [7373] = 4715,
  [7374] = 4702,
  [7375] = 7159,
  [7376] = 4712,
  [7377] = 4774,
  [7378] = 4775,
  [7379] = 4774,
  [7380] = 4776,
  [7381] = 4749,
  [7382] = 4751,
  [7383] = 5843,
  [7384] = 4714,
  [7385] = 4831,
  [7386] = 7289,
  [7387] = 4775,
  [7388] = 4832,
  [7389] = 7389,
  [7390] = 4833,
  [7391] = 4730,
  [7392] = 4790,
  [7393] = 4809,
  [7394] = 4854,
  [7395] = 4754,
  [7396] = 4707,
  [7397] = 4795,
  [7398] = 4796,
  [7399] = 4797,
  [7400] = 7159,
  [7401] = 4847,
  [7402] = 4863,
  [7403] = 4805,
  [7404] = 4581,
  [7405] = 4807,
  [7406] = 7406,
  [7407] = 4715,
  [7408] = 4823,
  [7409] = 4847,
  [7410] = 5846,
  [7411] = 4833,
  [7412] = 4772,
  [7413] = 4818,
  [7414] = 4823,
  [7415] = 4717,
  [7416] = 7362,
  [7417] = 7086,
  [7418] = 4719,
  [7419] = 4705,
  [7420] = 4832,
  [7421] = 4730,
  [7422] = 4706,
  [7423] = 4786,
  [7424] = 4790,
  [7425] = 4776,
  [7426] = 4809,
  [7427] = 4733,
  [7428] = 4805,
  [7429] = 4772,
  [7430] = 4775,
  [7431] = 4854,
  [7432] = 4776,
  [7433] = 4818,
  [7434] = 4707,
  [7435] = 4786,
  [7436] = 4825,
  [7437] = 4823,
  [7438] = 4825,
  [7439] = 4818,
  [7440] = 4823,
  [7441] = 4772,
  [7442] = 4870,
  [7443] = 4771,
  [7444] = 7289,
  [7445] = 4733,
  [7446] = 7446,
  [7447] = 4847,
  [7448] = 4702,
  [7449] = 4625,
  [7450] = 4786,
  [7451] = 4686,
  [7452] = 4626,
  [7453] = 6939,
  [7454] = 4630,
  [7455] = 4825,
  [7456] = 4579,
  [7457] = 7389,
  [7458] = 4885,
  [7459] = 7092,
  [7460] = 4786,
  [7461] = 4805,
  [7462] = 4807,
  [7463] = 4807,
  [7464] = 4539,
  [7465] = 7117,
  [7466] = 7466,
  [7467] = 4791,
  [7468] = 4847,
  [7469] = 4868,
  [7470] = 4732,
  [7471] = 4721,
  [7472] = 7369,
  [7473] = 6468,
  [7474] = 4775,
  [7475] = 4869,
  [7476] = 4539,
  [7477] = 4786,
  [7478] = 4723,
  [7479] = 4890,
  [7480] = 4715,
  [7481] = 4870,
  [7482] = 4811,
  [7483] = 4725,
  [7484] = 4885,
  [7485] = 4890,
  [7486] = 7406,
  [7487] = 4539,
  [7488] = 7488,
  [7489] = 4891,
  [7490] = 4892,
  [7491] = 4784,
  [7492] = 4771,
  [7493] = 4811,
  [7494] = 4788,
  [7495] = 7446,
  [7496] = 4749,
  [7497] = 4751,
  [7498] = 4754,
  [7499] = 7499,
  [7500] = 4776,
  [7501] = 4702,
  [7502] = 4832,
  [7503] = 4805,
  [7504] = 4795,
  [7505] = 4771,
  [7506] = 4730,
  [7507] = 4807,
  [7508] = 4796,
  [7509] = 4709,
  [7510] = 4702,
  [7511] = 4733,
  [7512] = 4786,
  [7513] = 7513,
  [7514] = 4732,
  [7515] = 7515,
  [7516] = 7516,
  [7517] = 7517,
  [7518] = 7518,
  [7519] = 7519,
  [7520] = 7518,
  [7521] = 7515,
  [7522] = 7516,
  [7523] = 7517,
  [7524] = 7524,
  [7525] = 4784,
  [7526] = 7519,
  [7527] = 7524,
  [7528] = 7519,
  [7529] = 4788,
  [7530] = 4784,
  [7531] = 4797,
  [7532] = 4791,
  [7533] = 4715,
  [7534] = 4788,
  [7535] = 6426,
  [7536] = 4833,
  [7537] = 4772,
  [7538] = 4832,
  [7539] = 4730,
  [7540] = 4790,
  [7541] = 4809,
  [7542] = 4818,
  [7543] = 4790,
  [7544] = 4581,
  [7545] = 7086,
  [7546] = 6939,
  [7547] = 7117,
  [7548] = 4823,
  [7549] = 4854,
  [7550] = 4809,
  [7551] = 4707,
  [7552] = 4825,
  [7553] = 4805,
  [7554] = 4832,
  [7555] = 4807,
  [7556] = 7086,
  [7557] = 7320,
  [7558] = 6939,
  [7559] = 4730,
  [7560] = 4687,
  [7561] = 7117,
  [7562] = 4771,
  [7563] = 7159,
  [7564] = 4702,
  [7565] = 4715,
  [7566] = 4732,
  [7567] = 4791,
  [7568] = 7092,
  [7569] = 4715,
  [7570] = 4805,
  [7571] = 4581,
  [7572] = 4807,
  [7573] = 4870,
  [7574] = 7369,
  [7575] = 4773,
  [7576] = 4868,
  [7577] = 4773,
  [7578] = 4885,
  [7579] = 4687,
  [7580] = 4774,
  [7581] = 4811,
  [7582] = 7285,
  [7583] = 7320,
  [7584] = 4774,
  [7585] = 4831,
  [7586] = 4863,
  [7587] = 4733,
  [7588] = 4831,
  [7589] = 4863,
  [7590] = 4511,
  [7591] = 7086,
  [7592] = 6468,
  [7593] = 6939,
  [7594] = 7117,
  [7595] = 4680,
  [7596] = 4868,
  [7597] = 4732,
  [7598] = 7252,
  [7599] = 4775,
  [7600] = 4776,
  [7601] = 4773,
  [7602] = 4818,
  [7603] = 4823,
  [7604] = 4825,
  [7605] = 4811,
  [7606] = 4791,
  [7607] = 4786,
  [7608] = 4868,
  [7609] = 7320,
  [7610] = 4869,
  [7611] = 4870,
  [7612] = 4811,
  [7613] = 4885,
  [7614] = 4847,
  [7615] = 6426,
  [7616] = 4890,
  [7617] = 4891,
  [7618] = 4892,
  [7619] = 4771,
  [7620] = 4806,
  [7621] = 4775,
  [7622] = 4539,
  [7623] = 4869,
  [7624] = 4868,
  [7625] = 4776,
  [7626] = 4818,
  [7627] = 7159,
  [7628] = 4749,
  [7629] = 4805,
  [7630] = 4807,
  [7631] = 7289,
  [7632] = 4784,
  [7633] = 4788,
  [7634] = 4823,
  [7635] = 4687,
  [7636] = 4825,
  [7637] = 7092,
  [7638] = 4751,
  [7639] = 4754,
  [7640] = 4774,
  [7641] = 4831,
  [7642] = 4702,
  [7643] = 4791,
  [7644] = 4863,
  [7645] = 4868,
  [7646] = 4795,
  [7647] = 4796,
  [7648] = 4797,
  [7649] = 4833,
  [7650] = 4772,
  [7651] = 4832,
  [7652] = 7369,
  [7653] = 7285,
  [7654] = 4869,
  [7655] = 7213,
  [7656] = 7656,
  [7657] = 4870,
  [7658] = 7466,
  [7659] = 4885,
  [7660] = 4890,
  [7661] = 4891,
  [7662] = 7357,
  [7663] = 7199,
  [7664] = 4730,
  [7665] = 4790,
  [7666] = 4892,
  [7667] = 4809,
  [7668] = 4811,
  [7669] = 4854,
  [7670] = 4791,
  [7671] = 4707,
  [7672] = 4868,
  [7673] = 4786,
  [7674] = 4521,
  [7675] = 4732,
  [7676] = 4775,
  [7677] = 4869,
  [7678] = 7678,
  [7679] = 7679,
  [7680] = 4749,
  [7681] = 4847,
  [7682] = 7186,
  [7683] = 7285,
  [7684] = 4776,
  [7685] = 4870,
  [7686] = 7678,
  [7687] = 4818,
  [7688] = 4751,
  [7689] = 4823,
  [7690] = 4825,
  [7691] = 7679,
  [7692] = 7656,
  [7693] = 7488,
  [7694] = 7499,
  [7695] = 7513,
  [7696] = 4870,
  [7697] = 4890,
  [7698] = 4754,
  [7699] = 4795,
  [7700] = 4687,
  [7701] = 6426,
  [7702] = 4784,
  [7703] = 4890,
  [7704] = 7285,
  [7705] = 7389,
  [7706] = 7706,
  [7707] = 7707,
  [7708] = 6851,
  [7709] = 4811,
  [7710] = 7710,
  [7711] = 7711,
  [7712] = 7369,
  [7713] = 7285,
  [7714] = 7714,
  [7715] = 7715,
  [7716] = 4773,
  [7717] = 7717,
  [7718] = 7718,
  [7719] = 7719,
  [7720] = 7720,
  [7721] = 7721,
  [7722] = 7722,
  [7723] = 7723,
  [7724] = 7724,
  [7725] = 7725,
  [7726] = 7726,
  [7727] = 7515,
  [7728] = 7728,
  [7729] = 7729,
  [7730] = 7730,
  [7731] = 7731,
  [7732] = 7732,
  [7733] = 7733,
  [7734] = 7734,
  [7735] = 7735,
  [7736] = 7524,
  [7737] = 7737,
  [7738] = 7738,
  [7739] = 7516,
  [7740] = 4786,
  [7741] = 7741,
  [7742] = 7742,
  [7743] = 7743,
  [7744] = 7517,
  [7745] = 7745,
  [7746] = 7746,
  [7747] = 7747,
  [7748] = 7748,
  [7749] = 7749,
  [7750] = 7750,
  [7751] = 7751,
  [7752] = 7752,
  [7753] = 7753,
  [7754] = 7754,
  [7755] = 7755,
  [7756] = 7756,
  [7757] = 7757,
  [7758] = 7758,
  [7759] = 7759,
  [7760] = 7389,
  [7761] = 7362,
  [7762] = 7762,
  [7763] = 7763,
  [7764] = 7764,
  [7765] = 7765,
  [7766] = 4823,
  [7767] = 7767,
  [7768] = 4784,
  [7769] = 7706,
  [7770] = 7770,
  [7771] = 7771,
  [7772] = 7772,
  [7773] = 7773,
  [7774] = 7774,
  [7775] = 7775,
  [7776] = 7776,
  [7777] = 7777,
  [7778] = 7778,
  [7779] = 7779,
  [7780] = 7780,
  [7781] = 7781,
  [7782] = 7782,
  [7783] = 7783,
  [7784] = 7784,
  [7785] = 4788,
  [7786] = 7786,
  [7787] = 7707,
  [7788] = 7788,
  [7789] = 7789,
  [7790] = 7790,
  [7791] = 7791,
  [7792] = 7792,
  [7793] = 7793,
  [7794] = 7794,
  [7795] = 7795,
  [7796] = 7796,
  [7797] = 7797,
  [7798] = 7798,
  [7799] = 7799,
  [7800] = 7369,
  [7801] = 7801,
  [7802] = 7802,
  [7803] = 7803,
  [7804] = 7804,
  [7805] = 7805,
  [7806] = 7806,
  [7807] = 7807,
  [7808] = 7808,
  [7809] = 7809,
  [7810] = 7756,
  [7811] = 7213,
  [7812] = 7656,
  [7813] = 7466,
  [7814] = 7357,
  [7815] = 7199,
  [7816] = 4773,
  [7817] = 4825,
  [7818] = 7711,
  [7819] = 7678,
  [7820] = 7679,
  [7821] = 7186,
  [7822] = 4811,
  [7823] = 4771,
  [7824] = 4702,
  [7825] = 7756,
  [7826] = 4791,
  [7827] = 7199,
  [7828] = 4868,
  [7829] = 7488,
  [7830] = 7499,
  [7831] = 7513,
  [7832] = 4784,
  [7833] = 6468,
  [7834] = 4805,
  [7835] = 4869,
  [7836] = 4687,
  [7837] = 7718,
  [7838] = 4774,
  [7839] = 4831,
  [7840] = 4863,
  [7841] = 4581,
  [7842] = 4870,
  [7843] = 7756,
  [7844] = 4847,
  [7845] = 4775,
  [7846] = 4776,
  [7847] = 4818,
  [7848] = 4823,
  [7849] = 7720,
  [7850] = 4825,
  [7851] = 4885,
  [7852] = 7721,
  [7853] = 4702,
  [7854] = 4890,
  [7855] = 7722,
  [7856] = 7369,
  [7857] = 7723,
  [7858] = 7369,
  [7859] = 7213,
  [7860] = 7724,
  [7861] = 7320,
  [7862] = 7289,
  [7863] = 7725,
  [7864] = 7656,
  [7865] = 7389,
  [7866] = 7466,
  [7867] = 7357,
  [7868] = 7199,
  [7869] = 4791,
  [7870] = 4868,
  [7871] = 7726,
  [7872] = 7728,
  [7873] = 7729,
  [7874] = 7730,
  [7875] = 7731,
  [7876] = 7406,
  [7877] = 7756,
  [7878] = 7678,
  [7879] = 7679,
  [7880] = 7186,
  [7881] = 4869,
  [7882] = 7882,
  [7883] = 7735,
  [7884] = 7446,
  [7885] = 7885,
  [7886] = 7362,
  [7887] = 7488,
  [7888] = 7499,
  [7889] = 7513,
  [7890] = 4870,
  [7891] = 4885,
  [7892] = 7756,
  [7893] = 4786,
  [7894] = 4890,
  [7895] = 4891,
  [7896] = 4892,
  [7897] = 4891,
  [7898] = 4892,
  [7899] = 4847,
  [7900] = 7743,
  [7901] = 4715,
  [7902] = 4749,
  [7903] = 4751,
  [7904] = 4754,
  [7905] = 4702,
  [7906] = 4795,
  [7907] = 4796,
  [7908] = 4797,
  [7909] = 4833,
  [7910] = 4772,
  [7911] = 7252,
  [7912] = 7745,
  [7913] = 7289,
  [7914] = 7756,
  [7915] = 4832,
  [7916] = 7746,
  [7917] = 7747,
  [7918] = 7748,
  [7919] = 7749,
  [7920] = 7750,
  [7921] = 7751,
  [7922] = 7752,
  [7923] = 7753,
  [7924] = 7754,
  [7925] = 7755,
  [7926] = 7757,
  [7927] = 7758,
  [7928] = 7759,
  [7929] = 4715,
  [7930] = 4730,
  [7931] = 4790,
  [7932] = 4809,
  [7933] = 4732,
  [7934] = 4854,
  [7935] = 7362,
  [7936] = 7762,
  [7937] = 4707,
  [7938] = 4733,
  [7939] = 4807,
  [7940] = 4773,
  [7941] = 7756,
  [7942] = 4732,
  [7943] = 4771,
  [7944] = 7763,
  [7945] = 4625,
  [7946] = 4626,
  [7947] = 4539,
  [7948] = 4630,
  [7949] = 4579,
  [7950] = 4539,
  [7951] = 4581,
  [7952] = 4784,
  [7953] = 7756,
  [7954] = 4788,
  [7955] = 4788,
  [7956] = 4749,
  [7957] = 4751,
  [7958] = 7656,
  [7959] = 7764,
  [7960] = 7765,
  [7961] = 4754,
  [7962] = 4795,
  [7963] = 7756,
  [7964] = 4805,
  [7965] = 4581,
  [7966] = 4807,
  [7967] = 7389,
  [7968] = 4796,
  [7969] = 4797,
  [7970] = 4539,
  [7971] = 4805,
  [7972] = 4811,
  [7973] = 7756,
  [7974] = 7767,
  [7975] = 7756,
  [7976] = 4807,
  [7977] = 7770,
  [7978] = 7771,
  [7979] = 7772,
  [7980] = 7773,
  [7981] = 4687,
  [7982] = 7774,
  [7983] = 7775,
  [7984] = 7776,
  [7985] = 7777,
  [7986] = 7778,
  [7987] = 7779,
  [7988] = 4786,
  [7989] = 7737,
  [7990] = 7990,
  [7991] = 4847,
  [7992] = 7756,
  [7993] = 4811,
  [7994] = 7780,
  [7995] = 7781,
  [7996] = 7782,
  [7997] = 7783,
  [7998] = 7362,
  [7999] = 4847,
  [8000] = 7784,
  [8001] = 7466,
  [8002] = 4702,
  [8003] = 7320,
  [8004] = 4833,
  [8005] = 7519,
  [8006] = 4772,
  [8007] = 7756,
  [8008] = 4687,
  [8009] = 4774,
  [8010] = 4774,
  [8011] = 4831,
  [8012] = 4786,
  [8013] = 4863,
  [8014] = 7252,
  [8015] = 7786,
  [8016] = 7289,
  [8017] = 7756,
  [8018] = 7389,
  [8019] = 4847,
  [8020] = 4832,
  [8021] = 7788,
  [8022] = 7789,
  [8023] = 7790,
  [8024] = 7791,
  [8025] = 7792,
  [8026] = 7793,
  [8027] = 7794,
  [8028] = 7795,
  [8029] = 7796,
  [8030] = 7797,
  [8031] = 7798,
  [8032] = 7756,
  [8033] = 7799,
  [8034] = 4775,
  [8035] = 4776,
  [8036] = 4818,
  [8037] = 4823,
  [8038] = 4825,
  [8039] = 4771,
  [8040] = 4702,
  [8041] = 4791,
  [8042] = 7756,
  [8043] = 4539,
  [8044] = 4868,
  [8045] = 7362,
  [8046] = 4869,
  [8047] = 4870,
  [8048] = 4885,
  [8049] = 4890,
  [8050] = 4891,
  [8051] = 4892,
  [8052] = 4784,
  [8053] = 4788,
  [8054] = 4749,
  [8055] = 4751,
  [8056] = 4754,
  [8057] = 4795,
  [8058] = 4796,
  [8059] = 4797,
  [8060] = 4715,
  [8061] = 4833,
  [8062] = 7756,
  [8063] = 4772,
  [8064] = 4832,
  [8065] = 7756,
  [8066] = 7285,
  [8067] = 7252,
  [8068] = 7801,
  [8069] = 8069,
  [8070] = 4730,
  [8071] = 6426,
  [8072] = 7802,
  [8073] = 7803,
  [8074] = 7804,
  [8075] = 7805,
  [8076] = 7806,
  [8077] = 7807,
  [8078] = 7808,
  [8079] = 7809,
  [8080] = 7756,
  [8081] = 4790,
  [8082] = 7524,
  [8083] = 8083,
  [8084] = 7756,
  [8085] = 4809,
  [8086] = 4854,
  [8087] = 4707,
  [8088] = 4715,
  [8089] = 7756,
  [8090] = 4539,
  [8091] = 7369,
  [8092] = 7756,
  [8093] = 8069,
  [8094] = 4733,
  [8095] = 4730,
  [8096] = 4790,
  [8097] = 4809,
  [8098] = 6851,
  [8099] = 7086,
  [8100] = 7756,
  [8101] = 6939,
  [8102] = 7117,
  [8103] = 4732,
  [8104] = 8104,
  [8105] = 8105,
  [8106] = 8106,
  [8107] = 8107,
  [8108] = 8108,
  [8109] = 8109,
  [8110] = 8110,
  [8111] = 8111,
  [8112] = 8112,
  [8113] = 8113,
  [8114] = 8114,
  [8115] = 8115,
  [8116] = 7756,
  [8117] = 7756,
  [8118] = 7756,
  [8119] = 7678,
  [8120] = 7679,
  [8121] = 7186,
  [8122] = 4581,
  [8123] = 4687,
  [8124] = 7756,
  [8125] = 7320,
  [8126] = 7289,
  [8127] = 7389,
  [8128] = 4774,
  [8129] = 6426,
  [8130] = 4831,
  [8131] = 7756,
  [8132] = 4863,
  [8133] = 4732,
  [8134] = 7406,
  [8135] = 4775,
  [8136] = 7756,
  [8137] = 7446,
  [8138] = 7362,
  [8139] = 7756,
  [8140] = 7756,
  [8141] = 4776,
  [8142] = 4818,
  [8143] = 7488,
  [8144] = 7517,
  [8145] = 7513,
  [8146] = 7285,
  [8147] = 7289,
  [8148] = 7756,
  [8149] = 4823,
  [8150] = 4825,
  [8151] = 4791,
  [8152] = 6851,
  [8153] = 8153,
  [8154] = 8154,
  [8155] = 7518,
  [8156] = 4868,
  [8157] = 7756,
  [8158] = 4869,
  [8159] = 4870,
  [8160] = 4885,
  [8161] = 4890,
  [8162] = 7756,
  [8163] = 4891,
  [8164] = 7756,
  [8165] = 4805,
  [8166] = 4581,
  [8167] = 4807,
  [8168] = 4892,
  [8169] = 7159,
  [8170] = 8170,
  [8171] = 7756,
  [8172] = 4854,
  [8173] = 8069,
  [8174] = 7320,
  [8175] = 4707,
  [8176] = 7389,
  [8177] = 4733,
  [8178] = 4749,
  [8179] = 6426,
  [8180] = 4811,
  [8181] = 4751,
  [8182] = 7756,
  [8183] = 7738,
  [8184] = 4754,
  [8185] = 4795,
  [8186] = 4796,
  [8187] = 7756,
  [8188] = 7756,
  [8189] = 7362,
  [8190] = 7756,
  [8191] = 7519,
  [8192] = 7756,
  [8193] = 7756,
  [8194] = 4797,
  [8195] = 4833,
  [8196] = 7369,
  [8197] = 7285,
  [8198] = 7289,
  [8199] = 7756,
  [8200] = 7092,
  [8201] = 7756,
  [8202] = 8202,
  [8203] = 7756,
  [8204] = 4786,
  [8205] = 6468,
  [8206] = 4772,
  [8207] = 7756,
  [8208] = 7213,
  [8209] = 7756,
  [8210] = 8104,
  [8211] = 8083,
  [8212] = 8105,
  [8213] = 8106,
  [8214] = 8107,
  [8215] = 8108,
  [8216] = 8109,
  [8217] = 8110,
  [8218] = 7656,
  [8219] = 7466,
  [8220] = 7357,
  [8221] = 7756,
  [8222] = 4786,
  [8223] = 7199,
  [8224] = 4568,
  [8225] = 7285,
  [8226] = 7320,
  [8227] = 7289,
  [8228] = 4832,
  [8229] = 4733,
  [8230] = 7756,
  [8231] = 4730,
  [8232] = 4790,
  [8233] = 6851,
  [8234] = 7756,
  [8235] = 7882,
  [8236] = 7756,
  [8237] = 4809,
  [8238] = 4854,
  [8239] = 4707,
  [8240] = 6468,
  [8241] = 7406,
  [8242] = 7756,
  [8243] = 8153,
  [8244] = 8154,
  [8245] = 8245,
  [8246] = 8246,
  [8247] = 7518,
  [8248] = 7756,
  [8249] = 7756,
  [8250] = 4831,
  [8251] = 7519,
  [8252] = 8170,
  [8253] = 7369,
  [8254] = 7756,
  [8255] = 6426,
  [8256] = 7678,
  [8257] = 7679,
  [8258] = 7186,
  [8259] = 7756,
  [8260] = 4863,
  [8261] = 7446,
  [8262] = 7756,
  [8263] = 7756,
  [8264] = 4786,
  [8265] = 8170,
  [8266] = 7289,
  [8267] = 4773,
  [8268] = 7756,
  [8269] = 6851,
  [8270] = 7406,
  [8271] = 7885,
  [8272] = 7882,
  [8273] = 7446,
  [8274] = 7488,
  [8275] = 7499,
  [8276] = 7513,
  [8277] = 4733,
  [8278] = 4786,
  [8279] = 7369,
  [8280] = 7285,
  [8281] = 4773,
  [8282] = 7320,
  [8283] = 7289,
  [8284] = 6426,
  [8285] = 7717,
  [8286] = 7733,
  [8287] = 7741,
  [8288] = 7710,
  [8289] = 8153,
  [8290] = 7990,
  [8291] = 8111,
  [8292] = 8112,
  [8293] = 8113,
  [8294] = 8114,
  [8295] = 8115,
  [8296] = 8153,
  [8297] = 7717,
  [8298] = 7733,
  [8299] = 7741,
  [8300] = 7252,
  [8301] = 8202,
  [8302] = 7285,
  [8303] = 6468,
  [8304] = 4715,
  [8305] = 7369,
  [8306] = 7285,
  [8307] = 7252,
  [8308] = 7213,
  [8309] = 4733,
  [8310] = 6851,
  [8311] = 7406,
  [8312] = 7446,
  [8313] = 7656,
  [8314] = 7466,
  [8315] = 7357,
  [8316] = 7199,
  [8317] = 4732,
  [8318] = 4786,
  [8319] = 6468,
  [8320] = 4775,
  [8321] = 7357,
  [8322] = 4786,
  [8323] = 4555,
  [8324] = 4847,
  [8325] = 7320,
  [8326] = 4776,
  [8327] = 4702,
  [8328] = 7285,
  [8329] = 7320,
  [8330] = 6426,
  [8331] = 7678,
  [8332] = 7882,
  [8333] = 7679,
  [8334] = 4715,
  [8335] = 7186,
  [8336] = 4539,
  [8337] = 7518,
  [8338] = 7518,
  [8339] = 7524,
  [8340] = 7515,
  [8341] = 7516,
  [8342] = 7517,
  [8343] = 7518,
  [8344] = 7515,
  [8345] = 7516,
  [8346] = 7517,
  [8347] = 7756,
  [8348] = 7515,
  [8349] = 7516,
  [8350] = 7517,
  [8351] = 7518,
  [8352] = 7524,
  [8353] = 7518,
  [8354] = 7515,
  [8355] = 7516,
  [8356] = 7517,
  [8357] = 7519,
  [8358] = 7515,
  [8359] = 7516,
  [8360] = 7517,
  [8361] = 7519,
  [8362] = 7524,
  [8363] = 8363,
  [8364] = 8364,
  [8365] = 7524,
  [8366] = 7519,
  [8367] = 7524,
  [8368] = 7519,
  [8369] = 7519,
  [8370] = 7320,
  [8371] = 4773,
  [8372] = 8364,
  [8373] = 8363,
  [8374] = 6851,
  [8375] = 4771,
  [8376] = 4771,
  [8377] = 6468,
  [8378] = 4784,
  [8379] = 4788,
  [8380] = 7488,
  [8381] = 7499,
  [8382] = 7513,
  [8383] = 4818,
  [8384] = 4786,
  [8385] = 6426,
  [8386] = 7213,
  [8387] = 4771,
  [8388] = 7252,
  [8389] = 4784,
  [8390] = 4788,
  [8391] = 7320,
  [8392] = 7289,
  [8393] = 4805,
  [8394] = 4581,
  [8395] = 4807,
  [8396] = 4687,
  [8397] = 4774,
  [8398] = 4831,
  [8399] = 4863,
  [8400] = 4811,
  [8401] = 4775,
  [8402] = 4776,
  [8403] = 7252,
  [8404] = 4818,
  [8405] = 4823,
  [8406] = 4825,
  [8407] = 4791,
  [8408] = 4868,
  [8409] = 4869,
  [8410] = 4870,
  [8411] = 4885,
  [8412] = 8069,
  [8413] = 4890,
  [8414] = 4891,
  [8415] = 4892,
  [8416] = 4749,
  [8417] = 4751,
  [8418] = 4754,
  [8419] = 4795,
  [8420] = 4796,
  [8421] = 4797,
  [8422] = 4833,
  [8423] = 4772,
  [8424] = 4832,
  [8425] = 4730,
  [8426] = 4790,
  [8427] = 4809,
  [8428] = 4854,
  [8429] = 4707,
  [8430] = 8430,
  [8431] = 4539,
  [8432] = 4687,
  [8433] = 4732,
  [8434] = 4774,
  [8435] = 7369,
  [8436] = 7320,
  [8437] = 4831,
  [8438] = 4863,
  [8439] = 8430,
  [8440] = 4805,
  [8441] = 4775,
  [8442] = 4776,
  [8443] = 4581,
  [8444] = 4818,
  [8445] = 4823,
  [8446] = 7320,
  [8447] = 4825,
  [8448] = 4807,
  [8449] = 4791,
  [8450] = 4868,
  [8451] = 4869,
  [8452] = 8170,
  [8453] = 4870,
  [8454] = 6468,
  [8455] = 4885,
  [8456] = 4890,
  [8457] = 4891,
  [8458] = 4892,
  [8459] = 7714,
  [8460] = 4749,
  [8461] = 4751,
  [8462] = 7252,
  [8463] = 4754,
  [8464] = 4795,
  [8465] = 4796,
  [8466] = 4797,
  [8467] = 7756,
  [8468] = 7715,
  [8469] = 4833,
  [8470] = 4772,
  [8471] = 4832,
  [8472] = 4730,
  [8473] = 4790,
  [8474] = 4809,
  [8475] = 7289,
  [8476] = 4854,
  [8477] = 4707,
  [8478] = 7717,
  [8479] = 7719,
  [8480] = 7515,
  [8481] = 7732,
  [8482] = 7733,
  [8483] = 7734,
  [8484] = 7516,
  [8485] = 7741,
  [8486] = 7742,
  [8487] = 7499,
  [8488] = 7516,
  [8489] = 7389,
  [8490] = 7722,
  [8491] = 7723,
  [8492] = 7724,
  [8493] = 7725,
  [8494] = 7726,
  [8495] = 7656,
  [8496] = 7466,
  [8497] = 7357,
  [8498] = 7199,
  [8499] = 7728,
  [8500] = 7729,
  [8501] = 7730,
  [8502] = 7731,
  [8503] = 8153,
  [8504] = 8154,
  [8505] = 7518,
  [8506] = 7718,
  [8507] = 7882,
  [8508] = 7524,
  [8509] = 8083,
  [8510] = 7737,
  [8511] = 8104,
  [8512] = 8105,
  [8513] = 8106,
  [8514] = 8107,
  [8515] = 8108,
  [8516] = 8109,
  [8517] = 4847,
  [8518] = 8110,
  [8519] = 7720,
  [8520] = 7721,
  [8521] = 7722,
  [8522] = 7723,
  [8523] = 7724,
  [8524] = 7725,
  [8525] = 7362,
  [8526] = 7726,
  [8527] = 8111,
  [8528] = 7728,
  [8529] = 7729,
  [8530] = 7730,
  [8531] = 7731,
  [8532] = 8112,
  [8533] = 8113,
  [8534] = 8114,
  [8535] = 8115,
  [8536] = 7738,
  [8537] = 7882,
  [8538] = 7737,
  [8539] = 7743,
  [8540] = 8069,
  [8541] = 7745,
  [8542] = 7746,
  [8543] = 7747,
  [8544] = 7738,
  [8545] = 7748,
  [8546] = 7749,
  [8547] = 6851,
  [8548] = 7750,
  [8549] = 7751,
  [8550] = 7752,
  [8551] = 7743,
  [8552] = 7753,
  [8553] = 7754,
  [8554] = 8104,
  [8555] = 8105,
  [8556] = 7755,
  [8557] = 8106,
  [8558] = 8107,
  [8559] = 8108,
  [8560] = 8109,
  [8561] = 8110,
  [8562] = 8111,
  [8563] = 8112,
  [8564] = 8113,
  [8565] = 8114,
  [8566] = 8115,
  [8567] = 7757,
  [8568] = 7745,
  [8569] = 7746,
  [8570] = 7747,
  [8571] = 7748,
  [8572] = 7749,
  [8573] = 7750,
  [8574] = 7758,
  [8575] = 7751,
  [8576] = 7759,
  [8577] = 7752,
  [8578] = 7753,
  [8579] = 7754,
  [8580] = 7755,
  [8581] = 7519,
  [8582] = 7757,
  [8583] = 7758,
  [8584] = 7759,
  [8585] = 7714,
  [8586] = 7252,
  [8587] = 7762,
  [8588] = 7762,
  [8589] = 7763,
  [8590] = 7763,
  [8591] = 7715,
  [8592] = 7717,
  [8593] = 8170,
  [8594] = 7369,
  [8595] = 7764,
  [8596] = 8069,
  [8597] = 7719,
  [8598] = 7389,
  [8599] = 7765,
  [8600] = 4733,
  [8601] = 7764,
  [8602] = 7515,
  [8603] = 7765,
  [8604] = 7732,
  [8605] = 4702,
  [8606] = 7733,
  [8607] = 7767,
  [8608] = 7734,
  [8609] = 7770,
  [8610] = 7771,
  [8611] = 7320,
  [8612] = 7289,
  [8613] = 7772,
  [8614] = 7773,
  [8615] = 7524,
  [8616] = 7774,
  [8617] = 7775,
  [8618] = 7767,
  [8619] = 7776,
  [8620] = 7777,
  [8621] = 7362,
  [8622] = 6468,
  [8623] = 7778,
  [8624] = 7779,
  [8625] = 7770,
  [8626] = 7771,
  [8627] = 7772,
  [8628] = 7773,
  [8629] = 7774,
  [8630] = 7775,
  [8631] = 7776,
  [8632] = 7777,
  [8633] = 7778,
  [8634] = 7779,
  [8635] = 7780,
  [8636] = 7781,
  [8637] = 7782,
  [8638] = 7780,
  [8639] = 7783,
  [8640] = 7784,
  [8641] = 7678,
  [8642] = 7781,
  [8643] = 7782,
  [8644] = 7783,
  [8645] = 7784,
  [8646] = 7679,
  [8647] = 7516,
  [8648] = 7741,
  [8649] = 7742,
  [8650] = 7186,
  [8651] = 7517,
  [8652] = 7786,
  [8653] = 7788,
  [8654] = 7789,
  [8655] = 7786,
  [8656] = 7790,
  [8657] = 7524,
  [8658] = 7791,
  [8659] = 7792,
  [8660] = 7793,
  [8661] = 7794,
  [8662] = 7795,
  [8663] = 7796,
  [8664] = 7797,
  [8665] = 8104,
  [8666] = 8083,
  [8667] = 8105,
  [8668] = 8106,
  [8669] = 8107,
  [8670] = 8108,
  [8671] = 8109,
  [8672] = 8110,
  [8673] = 8111,
  [8674] = 8112,
  [8675] = 8113,
  [8676] = 8114,
  [8677] = 8115,
  [8678] = 7788,
  [8679] = 7798,
  [8680] = 7789,
  [8681] = 7790,
  [8682] = 7799,
  [8683] = 7791,
  [8684] = 7792,
  [8685] = 7793,
  [8686] = 7794,
  [8687] = 7795,
  [8688] = 7389,
  [8689] = 7796,
  [8690] = 7797,
  [8691] = 7798,
  [8692] = 7799,
  [8693] = 8170,
  [8694] = 7801,
  [8695] = 7802,
  [8696] = 8069,
  [8697] = 7320,
  [8698] = 7803,
  [8699] = 4555,
  [8700] = 7801,
  [8701] = 7802,
  [8702] = 7804,
  [8703] = 7803,
  [8704] = 7804,
  [8705] = 7805,
  [8706] = 6851,
  [8707] = 7806,
  [8708] = 7488,
  [8709] = 7499,
  [8710] = 7513,
  [8711] = 7805,
  [8712] = 7807,
  [8713] = 7806,
  [8714] = 7808,
  [8715] = 7809,
  [8716] = 8430,
  [8717] = 7807,
  [8718] = 7706,
  [8719] = 4805,
  [8720] = 4581,
  [8721] = 4807,
  [8722] = 7808,
  [8723] = 7717,
  [8724] = 7733,
  [8725] = 7741,
  [8726] = 7809,
  [8727] = 7707,
  [8728] = 7714,
  [8729] = 8153,
  [8730] = 7715,
  [8731] = 7717,
  [8732] = 7719,
  [8733] = 7515,
  [8734] = 7732,
  [8735] = 7519,
  [8736] = 7733,
  [8737] = 7882,
  [8738] = 8069,
  [8739] = 7734,
  [8740] = 8115,
  [8741] = 7741,
  [8742] = 7742,
  [8743] = 7517,
  [8744] = 7389,
  [8745] = 7389,
  [8746] = 7706,
  [8747] = 8170,
  [8748] = 8069,
  [8749] = 7710,
  [8750] = 7707,
  [8751] = 7710,
  [8752] = 4811,
  [8753] = 7710,
  [8754] = 7711,
  [8755] = 7711,
  [8756] = 7885,
  [8757] = 7718,
  [8758] = 7720,
  [8759] = 7721,
  [8760] = 7722,
  [8761] = 7723,
  [8762] = 7724,
  [8763] = 7718,
  [8764] = 7720,
  [8765] = 7721,
  [8766] = 7722,
  [8767] = 7723,
  [8768] = 7725,
  [8769] = 7724,
  [8770] = 7725,
  [8771] = 7726,
  [8772] = 8153,
  [8773] = 8154,
  [8774] = 7726,
  [8775] = 7728,
  [8776] = 4786,
  [8777] = 8202,
  [8778] = 7729,
  [8779] = 7730,
  [8780] = 7728,
  [8781] = 7518,
  [8782] = 7729,
  [8783] = 7730,
  [8784] = 7731,
  [8785] = 4773,
  [8786] = 6851,
  [8787] = 7731,
  [8788] = 7735,
  [8789] = 7735,
  [8790] = 7990,
  [8791] = 7738,
  [8792] = 8202,
  [8793] = 7743,
  [8794] = 8154,
  [8795] = 7707,
  [8796] = 7745,
  [8797] = 7746,
  [8798] = 8069,
  [8799] = 7990,
  [8800] = 7747,
  [8801] = 7748,
  [8802] = 7749,
  [8803] = 7750,
  [8804] = 7885,
  [8805] = 7751,
  [8806] = 7752,
  [8807] = 7753,
  [8808] = 7754,
  [8809] = 7755,
  [8810] = 7362,
  [8811] = 7882,
  [8812] = 7757,
  [8813] = 7758,
  [8814] = 7759,
  [8815] = 7362,
  [8816] = 7762,
  [8817] = 7763,
  [8818] = 7764,
  [8819] = 7765,
  [8820] = 7519,
  [8821] = 7882,
  [8822] = 7767,
  [8823] = 7770,
  [8824] = 7771,
  [8825] = 7772,
  [8826] = 7773,
  [8827] = 7774,
  [8828] = 7775,
  [8829] = 7776,
  [8830] = 7777,
  [8831] = 7778,
  [8832] = 7779,
  [8833] = 7780,
  [8834] = 7781,
  [8835] = 7782,
  [8836] = 7735,
  [8837] = 7783,
  [8838] = 7784,
  [8839] = 8170,
  [8840] = 7711,
  [8841] = 8104,
  [8842] = 8153,
  [8843] = 8083,
  [8844] = 4715,
  [8845] = 8069,
  [8846] = 7738,
  [8847] = 7519,
  [8848] = 7252,
  [8849] = 7743,
  [8850] = 7786,
  [8851] = 8202,
  [8852] = 8153,
  [8853] = 7788,
  [8854] = 7789,
  [8855] = 7790,
  [8856] = 7706,
  [8857] = 7791,
  [8858] = 8153,
  [8859] = 7745,
  [8860] = 7746,
  [8861] = 7747,
  [8862] = 7792,
  [8863] = 7717,
  [8864] = 7733,
  [8865] = 7741,
  [8866] = 7793,
  [8867] = 7794,
  [8868] = 7795,
  [8869] = 7796,
  [8870] = 7797,
  [8871] = 7798,
  [8872] = 7799,
  [8873] = 7748,
  [8874] = 7252,
  [8875] = 7717,
  [8876] = 7733,
  [8877] = 7741,
  [8878] = 7801,
  [8879] = 8153,
  [8880] = 7252,
  [8881] = 7802,
  [8882] = 7749,
  [8883] = 7750,
  [8884] = 7710,
  [8885] = 8083,
  [8886] = 8153,
  [8887] = 7717,
  [8888] = 7733,
  [8889] = 7741,
  [8890] = 7882,
  [8891] = 7717,
  [8892] = 7733,
  [8893] = 7741,
  [8894] = 7252,
  [8895] = 7751,
  [8896] = 7752,
  [8897] = 7990,
  [8898] = 7803,
  [8899] = 7252,
  [8900] = 7804,
  [8901] = 7252,
  [8902] = 7805,
  [8903] = 7806,
  [8904] = 7807,
  [8905] = 7808,
  [8906] = 8170,
  [8907] = 7753,
  [8908] = 7809,
  [8909] = 8430,
  [8910] = 6851,
  [8911] = 7882,
  [8912] = 8104,
  [8913] = 8105,
  [8914] = 8106,
  [8915] = 8108,
  [8916] = 8109,
  [8917] = 8110,
  [8918] = 8111,
  [8919] = 8112,
  [8920] = 8113,
  [8921] = 8114,
  [8922] = 8115,
  [8923] = 8202,
  [8924] = 8170,
  [8925] = 7289,
  [8926] = 8430,
  [8927] = 7885,
  [8928] = 7714,
  [8929] = 7754,
  [8930] = 7755,
  [8931] = 7715,
  [8932] = 7717,
  [8933] = 7719,
  [8934] = 7515,
  [8935] = 7732,
  [8936] = 7733,
  [8937] = 7734,
  [8938] = 7757,
  [8939] = 7516,
  [8940] = 7741,
  [8941] = 7742,
  [8942] = 7758,
  [8943] = 7882,
  [8944] = 7759,
  [8945] = 7517,
  [8946] = 8153,
  [8947] = 7389,
  [8948] = 8083,
  [8949] = 8154,
  [8950] = 7362,
  [8951] = 7762,
  [8952] = 7706,
  [8953] = 8105,
  [8954] = 7763,
  [8955] = 7707,
  [8956] = 7710,
  [8957] = 7711,
  [8958] = 8106,
  [8959] = 8107,
  [8960] = 7764,
  [8961] = 8108,
  [8962] = 7765,
  [8963] = 8109,
  [8964] = 8110,
  [8965] = 8111,
  [8966] = 8153,
  [8967] = 8170,
  [8968] = 7518,
  [8969] = 7735,
  [8970] = 8202,
  [8971] = 8154,
  [8972] = 7524,
  [8973] = 6851,
  [8974] = 7518,
  [8975] = 7718,
  [8976] = 7720,
  [8977] = 7721,
  [8978] = 7722,
  [8979] = 4771,
  [8980] = 7723,
  [8981] = 7724,
  [8982] = 7725,
  [8983] = 7726,
  [8984] = 7728,
  [8985] = 7729,
  [8986] = 7730,
  [8987] = 7731,
  [8988] = 8112,
  [8989] = 7767,
  [8990] = 4784,
  [8991] = 4788,
  [8992] = 7770,
  [8993] = 7771,
  [8994] = 7772,
  [8995] = 7882,
  [8996] = 7369,
  [8997] = 7882,
  [8998] = 7524,
  [8999] = 7737,
  [9000] = 7990,
  [9001] = 7885,
  [9002] = 7738,
  [9003] = 8363,
  [9004] = 7518,
  [9005] = 7773,
  [9006] = 7515,
  [9007] = 7516,
  [9008] = 7517,
  [9009] = 7774,
  [9010] = 8202,
  [9011] = 8364,
  [9012] = 7775,
  [9013] = 7776,
  [9014] = 7777,
  [9015] = 7778,
  [9016] = 7524,
  [9017] = 8105,
  [9018] = 8363,
  [9019] = 7779,
  [9020] = 7780,
  [9021] = 7781,
  [9022] = 7782,
  [9023] = 7519,
  [9024] = 7783,
  [9025] = 7784,
  [9026] = 8113,
  [9027] = 8114,
  [9028] = 7743,
  [9029] = 8115,
  [9030] = 8364,
  [9031] = 8363,
  [9032] = 7518,
  [9033] = 7786,
  [9034] = 7519,
  [9035] = 8364,
  [9036] = 7446,
  [9037] = 7788,
  [9038] = 7789,
  [9039] = 7790,
  [9040] = 7519,
  [9041] = 8363,
  [9042] = 8069,
  [9043] = 7791,
  [9044] = 7792,
  [9045] = 8364,
  [9046] = 8363,
  [9047] = 7793,
  [9048] = 8363,
  [9049] = 8364,
  [9050] = 7794,
  [9051] = 4581,
  [9052] = 7519,
  [9053] = 8364,
  [9054] = 6426,
  [9055] = 6851,
  [9056] = 8202,
  [9057] = 8105,
  [9058] = 7285,
  [9059] = 7795,
  [9060] = 7745,
  [9061] = 7746,
  [9062] = 7747,
  [9063] = 7796,
  [9064] = 7748,
  [9065] = 8363,
  [9066] = 7797,
  [9067] = 7798,
  [9068] = 7749,
  [9069] = 8364,
  [9070] = 8363,
  [9071] = 7750,
  [9072] = 7751,
  [9073] = 7799,
  [9074] = 7752,
  [9075] = 7753,
  [9076] = 7754,
  [9077] = 7755,
  [9078] = 7757,
  [9079] = 7758,
  [9080] = 7759,
  [9081] = 4732,
  [9082] = 7362,
  [9083] = 7762,
  [9084] = 7763,
  [9085] = 7801,
  [9086] = 7802,
  [9087] = 7764,
  [9088] = 7765,
  [9089] = 7803,
  [9090] = 7320,
  [9091] = 4687,
  [9092] = 7804,
  [9093] = 7714,
  [9094] = 4774,
  [9095] = 4831,
  [9096] = 4863,
  [9097] = 7767,
  [9098] = 7770,
  [9099] = 7771,
  [9100] = 7805,
  [9101] = 7772,
  [9102] = 7773,
  [9103] = 4775,
  [9104] = 4776,
  [9105] = 7806,
  [9106] = 4818,
  [9107] = 4823,
  [9108] = 4825,
  [9109] = 7807,
  [9110] = 7774,
  [9111] = 7775,
  [9112] = 7776,
  [9113] = 7777,
  [9114] = 7778,
  [9115] = 7779,
  [9116] = 7780,
  [9117] = 4791,
  [9118] = 7781,
  [9119] = 4868,
  [9120] = 7715,
  [9121] = 4869,
  [9122] = 4870,
  [9123] = 7782,
  [9124] = 4885,
  [9125] = 4890,
  [9126] = 4891,
  [9127] = 4892,
  [9128] = 7737,
  [9129] = 7783,
  [9130] = 7784,
  [9131] = 8069,
  [9132] = 7990,
  [9133] = 4749,
  [9134] = 4751,
  [9135] = 8083,
  [9136] = 4754,
  [9137] = 4795,
  [9138] = 4796,
  [9139] = 4797,
  [9140] = 4833,
  [9141] = 4772,
  [9142] = 7717,
  [9143] = 7719,
  [9144] = 4832,
  [9145] = 4730,
  [9146] = 4790,
  [9147] = 4809,
  [9148] = 4854,
  [9149] = 4707,
  [9150] = 7515,
  [9151] = 4539,
  [9152] = 7808,
  [9153] = 7786,
  [9154] = 7809,
  [9155] = 7732,
  [9156] = 8430,
  [9157] = 7733,
  [9158] = 7788,
  [9159] = 7789,
  [9160] = 8170,
  [9161] = 8170,
  [9162] = 7790,
  [9163] = 7791,
  [9164] = 7792,
  [9165] = 7793,
  [9166] = 7794,
  [9167] = 7795,
  [9168] = 7796,
  [9169] = 7797,
  [9170] = 7798,
  [9171] = 7799,
  [9172] = 7714,
  [9173] = 7715,
  [9174] = 8069,
  [9175] = 8104,
  [9176] = 8083,
  [9177] = 8106,
  [9178] = 8107,
  [9179] = 8108,
  [9180] = 8109,
  [9181] = 8110,
  [9182] = 7289,
  [9183] = 7801,
  [9184] = 7213,
  [9185] = 7802,
  [9186] = 7717,
  [9187] = 7719,
  [9188] = 7803,
  [9189] = 7515,
  [9190] = 7804,
  [9191] = 7805,
  [9192] = 7806,
  [9193] = 7807,
  [9194] = 7732,
  [9195] = 7808,
  [9196] = 8170,
  [9197] = 7733,
  [9198] = 7809,
  [9199] = 7734,
  [9200] = 7516,
  [9201] = 7741,
  [9202] = 7742,
  [9203] = 7734,
  [9204] = 7517,
  [9205] = 4625,
  [9206] = 7516,
  [9207] = 4626,
  [9208] = 6851,
  [9209] = 7741,
  [9210] = 7742,
  [9211] = 7406,
  [9212] = 7885,
  [9213] = 7706,
  [9214] = 7707,
  [9215] = 4568,
  [9216] = 8104,
  [9217] = 8083,
  [9218] = 8106,
  [9219] = 8107,
  [9220] = 8108,
  [9221] = 8109,
  [9222] = 8110,
  [9223] = 4630,
  [9224] = 4579,
  [9225] = 7710,
  [9226] = 7737,
  [9227] = 7990,
  [9228] = 8104,
  [9229] = 8105,
  [9230] = 8106,
  [9231] = 8107,
  [9232] = 8108,
  [9233] = 8109,
  [9234] = 8110,
  [9235] = 8111,
  [9236] = 8112,
  [9237] = 8113,
  [9238] = 8114,
  [9239] = 8115,
  [9240] = 8202,
  [9241] = 8364,
  [9242] = 8430,
  [9243] = 7711,
  [9244] = 8069,
  [9245] = 4786,
  [9246] = 4539,
  [9247] = 7718,
  [9248] = 7517,
  [9249] = 7735,
  [9250] = 7285,
  [9251] = 7710,
  [9252] = 7990,
  [9253] = 8111,
  [9254] = 8112,
  [9255] = 8113,
  [9256] = 8114,
  [9257] = 8115,
  [9258] = 7720,
  [9259] = 7721,
  [9260] = 7710,
  [9261] = 7990,
  [9262] = 8111,
  [9263] = 8112,
  [9264] = 8113,
  [9265] = 8114,
  [9266] = 8107,
  [9267] = 7707,
  [9268] = 8108,
  [9269] = 8109,
  [9270] = 8110,
  [9271] = 7789,
  [9272] = 7732,
  [9273] = 4790,
  [9274] = 8111,
  [9275] = 8112,
  [9276] = 8113,
  [9277] = 8114,
  [9278] = 8115,
  [9279] = 7790,
  [9280] = 7791,
  [9281] = 7706,
  [9282] = 7792,
  [9283] = 7793,
  [9284] = 7733,
  [9285] = 7734,
  [9286] = 7516,
  [9287] = 4809,
  [9288] = 7762,
  [9289] = 7763,
  [9290] = 4890,
  [9291] = 8105,
  [9292] = 7764,
  [9293] = 7524,
  [9294] = 7765,
  [9295] = 7741,
  [9296] = 8363,
  [9297] = 4854,
  [9298] = 8170,
  [9299] = 8104,
  [9300] = 7794,
  [9301] = 4707,
  [9302] = 4773,
  [9303] = 7519,
  [9304] = 4892,
  [9305] = 7882,
  [9306] = 7735,
  [9307] = 8104,
  [9308] = 8105,
  [9309] = 8106,
  [9310] = 4786,
  [9311] = 8107,
  [9312] = 8108,
  [9313] = 8109,
  [9314] = 8110,
  [9315] = 8111,
  [9316] = 8112,
  [9317] = 8113,
  [9318] = 8114,
  [9319] = 8115,
  [9320] = 8083,
  [9321] = 8069,
  [9322] = 8105,
  [9323] = 8106,
  [9324] = 8107,
  [9325] = 7718,
  [9326] = 7092,
  [9327] = 7990,
  [9328] = 8108,
  [9329] = 7742,
  [9330] = 7389,
  [9331] = 7720,
  [9332] = 4788,
  [9333] = 7721,
  [9334] = 4847,
  [9335] = 7767,
  [9336] = 8202,
  [9337] = 7743,
  [9338] = 8364,
  [9339] = 7289,
  [9340] = 7722,
  [9341] = 7723,
  [9342] = 7724,
  [9343] = 7725,
  [9344] = 7726,
  [9345] = 8109,
  [9346] = 7795,
  [9347] = 7728,
  [9348] = 4749,
  [9349] = 4521,
  [9350] = 4751,
  [9351] = 4754,
  [9352] = 7729,
  [9353] = 4795,
  [9354] = 4796,
  [9355] = 4687,
  [9356] = 8153,
  [9357] = 8110,
  [9358] = 7730,
  [9359] = 4774,
  [9360] = 4831,
  [9361] = 8202,
  [9362] = 7320,
  [9363] = 7289,
  [9364] = 8111,
  [9365] = 8112,
  [9366] = 7519,
  [9367] = 8083,
  [9368] = 8202,
  [9369] = 8364,
  [9370] = 8364,
  [9371] = 8363,
  [9372] = 8104,
  [9373] = 8105,
  [9374] = 8106,
  [9375] = 8107,
  [9376] = 8108,
  [9377] = 8109,
  [9378] = 8110,
  [9379] = 8111,
  [9380] = 7885,
  [9381] = 8112,
  [9382] = 8113,
  [9383] = 8114,
  [9384] = 8115,
  [9385] = 7517,
  [9386] = 7717,
  [9387] = 7733,
  [9388] = 7741,
  [9389] = 7710,
  [9390] = 8364,
  [9391] = 8083,
  [9392] = 7086,
  [9393] = 7710,
  [9394] = 7770,
  [9395] = 4863,
  [9396] = 6939,
  [9397] = 7117,
  [9398] = 4791,
  [9399] = 7745,
  [9400] = 4521,
  [9401] = 4805,
  [9402] = 7771,
  [9403] = 7710,
  [9404] = 8202,
  [9405] = 8363,
  [9406] = 4797,
  [9407] = 4807,
  [9408] = 8364,
  [9409] = 4811,
  [9410] = 4833,
  [9411] = 7990,
  [9412] = 4715,
  [9413] = 7746,
  [9414] = 7710,
  [9415] = 7772,
  [9416] = 7710,
  [9417] = 7252,
  [9418] = 7773,
  [9419] = 7774,
  [9420] = 7775,
  [9421] = 7776,
  [9422] = 7777,
  [9423] = 8113,
  [9424] = 4581,
  [9425] = 7778,
  [9426] = 8104,
  [9427] = 7779,
  [9428] = 4581,
  [9429] = 8105,
  [9430] = 8106,
  [9431] = 8107,
  [9432] = 8108,
  [9433] = 8109,
  [9434] = 8110,
  [9435] = 8107,
  [9436] = 8112,
  [9437] = 7780,
  [9438] = 7990,
  [9439] = 8113,
  [9440] = 8114,
  [9441] = 8245,
  [9442] = 7781,
  [9443] = 7710,
  [9444] = 8115,
  [9445] = 8114,
  [9446] = 8246,
  [9447] = 8202,
  [9448] = 4772,
  [9449] = 7710,
  [9450] = 8115,
  [9451] = 7990,
  [9452] = 8202,
  [9453] = 8364,
  [9454] = 8363,
  [9455] = 6426,
  [9456] = 7731,
  [9457] = 7782,
  [9458] = 7783,
  [9459] = 8202,
  [9460] = 7784,
  [9461] = 8364,
  [9462] = 7990,
  [9463] = 8363,
  [9464] = 7320,
  [9465] = 7289,
  [9466] = 7990,
  [9467] = 7252,
  [9468] = 7747,
  [9469] = 4702,
  [9470] = 7796,
  [9471] = 4832,
  [9472] = 7797,
  [9473] = 4730,
  [9474] = 7882,
  [9475] = 7798,
  [9476] = 7990,
  [9477] = 7799,
  [9478] = 4521,
  [9479] = 6468,
  [9480] = 7748,
  [9481] = 7749,
  [9482] = 8153,
  [9483] = 8154,
  [9484] = 7518,
  [9485] = 7750,
  [9486] = 8083,
  [9487] = 7751,
  [9488] = 8069,
  [9489] = 7801,
  [9490] = 4775,
  [9491] = 7802,
  [9492] = 7803,
  [9493] = 7804,
  [9494] = 7252,
  [9495] = 4868,
  [9496] = 7717,
  [9497] = 7752,
  [9498] = 4869,
  [9499] = 7753,
  [9500] = 4539,
  [9501] = 7754,
  [9502] = 7755,
  [9503] = 4625,
  [9504] = 4626,
  [9505] = 7805,
  [9506] = 7806,
  [9507] = 7807,
  [9508] = 8104,
  [9509] = 7808,
  [9510] = 8069,
  [9511] = 4630,
  [9512] = 4579,
  [9513] = 4870,
  [9514] = 8083,
  [9515] = 7809,
  [9516] = 8105,
  [9517] = 8106,
  [9518] = 8107,
  [9519] = 8108,
  [9520] = 8109,
  [9521] = 8110,
  [9522] = 7320,
  [9523] = 7320,
  [9524] = 7320,
  [9525] = 8363,
  [9526] = 8111,
  [9527] = 4776,
  [9528] = 8430,
  [9529] = 8112,
  [9530] = 8113,
  [9531] = 8114,
  [9532] = 7757,
  [9533] = 8115,
  [9534] = 7758,
  [9535] = 7519,
  [9536] = 7786,
  [9537] = 8104,
  [9538] = 7759,
  [9539] = 8105,
  [9540] = 6851,
  [9541] = 8106,
  [9542] = 8107,
  [9543] = 8108,
  [9544] = 8109,
  [9545] = 8110,
  [9546] = 8111,
  [9547] = 8112,
  [9548] = 7362,
  [9549] = 8113,
  [9550] = 8114,
  [9551] = 8115,
  [9552] = 4818,
  [9553] = 8363,
  [9554] = 4784,
  [9555] = 4885,
  [9556] = 4823,
  [9557] = 4825,
  [9558] = 7738,
  [9559] = 4771,
  [9560] = 7711,
  [9561] = 7714,
  [9562] = 7715,
  [9563] = 8170,
  [9564] = 7159,
  [9565] = 7719,
  [9566] = 4891,
  [9567] = 8106,
  [9568] = 4733,
  [9569] = 7737,
  [9570] = 4732,
  [9571] = 7515,
  [9572] = 7788,
  [9573] = 8083,
  [9574] = 8104,
  [9575] = 8083,
  [9576] = 8111,
  [9577] = 4733,
  [9578] = 9578,
  [9579] = 4521,
  [9580] = 8104,
  [9581] = 8106,
  [9582] = 4797,
  [9583] = 8107,
  [9584] = 8108,
  [9585] = 8109,
  [9586] = 8110,
  [9587] = 4786,
  [9588] = 4521,
  [9589] = 8111,
  [9590] = 8112,
  [9591] = 8113,
  [9592] = 8114,
  [9593] = 7990,
  [9594] = 8115,
  [9595] = 7710,
  [9596] = 4823,
  [9597] = 4732,
  [9598] = 4539,
  [9599] = 8083,
  [9600] = 4581,
  [9601] = 7466,
  [9602] = 7357,
  [9603] = 7515,
  [9604] = 4687,
  [9605] = 7199,
  [9606] = 8069,
  [9607] = 7516,
  [9608] = 4774,
  [9609] = 7990,
  [9610] = 7990,
  [9611] = 4715,
  [9612] = 4831,
  [9613] = 7252,
  [9614] = 4863,
  [9615] = 7517,
  [9616] = 8105,
  [9617] = 4833,
  [9618] = 8104,
  [9619] = 8083,
  [9620] = 8106,
  [9621] = 8107,
  [9622] = 8108,
  [9623] = 8109,
  [9624] = 8110,
  [9625] = 8111,
  [9626] = 8112,
  [9627] = 8113,
  [9628] = 8114,
  [9629] = 8115,
  [9630] = 7499,
  [9631] = 8363,
  [9632] = 8105,
  [9633] = 7513,
  [9634] = 8105,
  [9635] = 4885,
  [9636] = 4773,
  [9637] = 6468,
  [9638] = 7488,
  [9639] = 7213,
  [9640] = 6426,
  [9641] = 7369,
  [9642] = 4847,
  [9643] = 8363,
  [9644] = 4707,
  [9645] = 7289,
  [9646] = 4890,
  [9647] = 4749,
  [9648] = 4751,
  [9649] = 7320,
  [9650] = 7389,
  [9651] = 8364,
  [9652] = 4790,
  [9653] = 8363,
  [9654] = 9654,
  [9655] = 9655,
  [9656] = 8364,
  [9657] = 7252,
  [9658] = 6851,
  [9659] = 4784,
  [9660] = 8202,
  [9661] = 4868,
  [9662] = 8364,
  [9663] = 4832,
  [9664] = 4730,
  [9665] = 4754,
  [9666] = 7518,
  [9667] = 8069,
  [9668] = 4854,
  [9669] = 7524,
  [9670] = 4795,
  [9671] = 7362,
  [9672] = 4825,
  [9673] = 4775,
  [9674] = 4776,
  [9675] = 7406,
  [9676] = 7656,
  [9677] = 4892,
  [9678] = 8069,
  [9679] = 7446,
  [9680] = 4891,
  [9681] = 7519,
  [9682] = 4811,
  [9683] = 4818,
  [9684] = 7369,
  [9685] = 7285,
  [9686] = 7678,
  [9687] = 4809,
  [9688] = 8202,
  [9689] = 4869,
  [9690] = 4788,
  [9691] = 8202,
  [9692] = 7289,
  [9693] = 4772,
  [9694] = 8104,
  [9695] = 4796,
  [9696] = 8106,
  [9697] = 8107,
  [9698] = 8108,
  [9699] = 8109,
  [9700] = 8110,
  [9701] = 7679,
  [9702] = 8111,
  [9703] = 8112,
  [9704] = 7252,
  [9705] = 7186,
  [9706] = 8113,
  [9707] = 4805,
  [9708] = 8114,
  [9709] = 7320,
  [9710] = 8115,
  [9711] = 7710,
  [9712] = 4771,
  [9713] = 4521,
  [9714] = 4702,
  [9715] = 4807,
  [9716] = 7710,
  [9717] = 8083,
  [9718] = 4791,
  [9719] = 4870,
  [9720] = 4786,
  [9721] = 7285,
  [9722] = 8108,
  [9723] = 7797,
  [9724] = 7801,
  [9725] = 7802,
  [9726] = 7803,
  [9727] = 7804,
  [9728] = 7805,
  [9729] = 7806,
  [9730] = 7807,
  [9731] = 7808,
  [9732] = 7809,
  [9733] = 7885,
  [9734] = 7389,
  [9735] = 7524,
  [9736] = 8111,
  [9737] = 8112,
  [9738] = 8113,
  [9739] = 8114,
  [9740] = 8115,
  [9741] = 7362,
  [9742] = 8104,
  [9743] = 9743,
  [9744] = 8104,
  [9745] = 8083,
  [9746] = 8105,
  [9747] = 8106,
  [9748] = 8107,
  [9749] = 8109,
  [9750] = 8110,
  [9751] = 9751,
  [9752] = 8105,
  [9753] = 8106,
  [9754] = 8107,
  [9755] = 8069,
  [9756] = 7990,
  [9757] = 8202,
  [9758] = 8364,
  [9759] = 8108,
  [9760] = 8109,
  [9761] = 8110,
  [9762] = 8111,
  [9763] = 8112,
  [9764] = 8113,
  [9765] = 8114,
  [9766] = 8069,
  [9767] = 8115,
  [9768] = 8153,
  [9769] = 7717,
  [9770] = 7733,
  [9771] = 7741,
  [9772] = 7252,
  [9773] = 7882,
  [9774] = 4521,
  [9775] = 8170,
  [9776] = 8430,
  [9777] = 7714,
  [9778] = 7990,
  [9779] = 7715,
  [9780] = 7717,
  [9781] = 7719,
  [9782] = 7515,
  [9783] = 7732,
  [9784] = 7733,
  [9785] = 7734,
  [9786] = 7516,
  [9787] = 7741,
  [9788] = 7742,
  [9789] = 7517,
  [9790] = 7706,
  [9791] = 7707,
  [9792] = 8202,
  [9793] = 8363,
  [9794] = 7735,
  [9795] = 8153,
  [9796] = 7710,
  [9797] = 8154,
  [9798] = 8202,
  [9799] = 7711,
  [9800] = 7518,
  [9801] = 8363,
  [9802] = 8364,
  [9803] = 8170,
  [9804] = 8105,
  [9805] = 7710,
  [9806] = 7718,
  [9807] = 8364,
  [9808] = 4521,
  [9809] = 7720,
  [9810] = 7737,
  [9811] = 7721,
  [9812] = 7722,
  [9813] = 7882,
  [9814] = 8363,
  [9815] = 7723,
  [9816] = 7724,
  [9817] = 7725,
  [9818] = 7726,
  [9819] = 7728,
  [9820] = 7729,
  [9821] = 7730,
  [9822] = 7731,
  [9823] = 7519,
  [9824] = 6851,
  [9825] = 7738,
  [9826] = 7743,
  [9827] = 7745,
  [9828] = 7746,
  [9829] = 7747,
  [9830] = 7748,
  [9831] = 7749,
  [9832] = 7750,
  [9833] = 7751,
  [9834] = 7752,
  [9835] = 7753,
  [9836] = 7754,
  [9837] = 7755,
  [9838] = 7757,
  [9839] = 7758,
  [9840] = 7759,
  [9841] = 4521,
  [9842] = 7762,
  [9843] = 7763,
  [9844] = 7764,
  [9845] = 7765,
  [9846] = 7798,
  [9847] = 7767,
  [9848] = 7770,
  [9849] = 7771,
  [9850] = 7772,
  [9851] = 7773,
  [9852] = 7774,
  [9853] = 7775,
  [9854] = 7776,
  [9855] = 7777,
  [9856] = 7778,
  [9857] = 7779,
  [9858] = 7780,
  [9859] = 7781,
  [9860] = 7782,
  [9861] = 7783,
  [9862] = 7784,
  [9863] = 7786,
  [9864] = 9864,
  [9865] = 7990,
  [9866] = 8104,
  [9867] = 8083,
  [9868] = 8106,
  [9869] = 8107,
  [9870] = 8108,
  [9871] = 8109,
  [9872] = 8110,
  [9873] = 8111,
  [9874] = 8112,
  [9875] = 8113,
  [9876] = 8114,
  [9877] = 8115,
  [9878] = 7788,
  [9879] = 8083,
  [9880] = 7789,
  [9881] = 7790,
  [9882] = 7791,
  [9883] = 7710,
  [9884] = 7792,
  [9885] = 7793,
  [9886] = 7794,
  [9887] = 7795,
  [9888] = 7796,
  [9889] = 7799,
  [9890] = 8114,
  [9891] = 8115,
  [9892] = 8109,
  [9893] = 8104,
  [9894] = 8083,
  [9895] = 8105,
  [9896] = 8106,
  [9897] = 8107,
  [9898] = 8108,
  [9899] = 8110,
  [9900] = 8111,
  [9901] = 8113,
  [9902] = 8364,
  [9903] = 8202,
  [9904] = 7710,
  [9905] = 7990,
  [9906] = 8363,
  [9907] = 8112,
  [9908] = 4530,
  [9909] = 4521,
  [9910] = 4530,
  [9911] = 4530,
  [9912] = 4530,
  [9913] = 4530,
  [9914] = 4521,
  [9915] = 4530,
  [9916] = 4530,
  [9917] = 9917,
  [9918] = 9917,
  [9919] = 9917,
  [9920] = 9917,
  [9921] = 9917,
  [9922] = 9917,
  [9923] = 9917,
  [9924] = 9917,
  [9925] = 9917,
  [9926] = 9917,
  [9927] = 9917,
  [9928] = 9917,
  [9929] = 4530,
  [9930] = 9917,
  [9931] = 9917,
  [9932] = 9917,
  [9933] = 9917,
  [9934] = 9917,
  [9935] = 9917,
  [9936] = 9917,
  [9937] = 9917,
  [9938] = 9917,
  [9939] = 9917,
  [9940] = 9917,
  [9941] = 9917,
  [9942] = 9917,
  [9943] = 9917,
  [9944] = 9917,
  [9945] = 9917,
  [9946] = 9917,
  [9947] = 9917,
  [9948] = 9917,
  [9949] = 9917,
  [9950] = 9917,
  [9951] = 9917,
  [9952] = 9917,
  [9953] = 9917,
  [9954] = 9917,
  [9955] = 9917,
  [9956] = 9917,
  [9957] = 9917,
  [9958] = 9917,
  [9959] = 9917,
  [9960] = 9917,
  [9961] = 4530,
  [9962] = 9917,
  [9963] = 9917,
  [9964] = 9917,
  [9965] = 9917,
  [9966] = 9917,
  [9967] = 9917,
  [9968] = 9917,
  [9969] = 9917,
  [9970] = 9917,
  [9971] = 9917,
  [9972] = 9917,
  [9973] = 9917,
  [9974] = 9917,
  [9975] = 9917,
  [9976] = 9917,
  [9977] = 9917,
  [9978] = 9917,
  [9979] = 9917,
  [9980] = 4530,
  [9981] = 9917,
  [9982] = 4530,
  [9983] = 4555,
  [9984] = 9984,
  [9985] = 4539,
  [9986] = 9986,
  [9987] = 9984,
  [9988] = 9988,
  [9989] = 4591,
  [9990] = 4632,
  [9991] = 9984,
  [9992] = 4622,
  [9993] = 4580,
  [9994] = 4590,
  [9995] = 4578,
  [9996] = 4652,
  [9997] = 9997,
  [9998] = 4630,
  [9999] = 9997,
  [10000] = 4579,
  [10001] = 4653,
  [10002] = 10002,
  [10003] = 4625,
  [10004] = 4626,
  [10005] = 9984,
  [10006] = 4584,
  [10007] = 4589,
  [10008] = 9984,
  [10009] = 4581,
  [10010] = 9984,
  [10011] = 7885,
  [10012] = 10012,
  [10013] = 4774,
  [10014] = 4754,
  [10015] = 9997,
  [10016] = 4795,
  [10017] = 4805,
  [10018] = 4796,
  [10019] = 4797,
  [10020] = 4771,
  [10021] = 4788,
  [10022] = 4539,
  [10023] = 4831,
  [10024] = 4784,
  [10025] = 4863,
  [10026] = 9997,
  [10027] = 4825,
  [10028] = 4791,
  [10029] = 4833,
  [10030] = 4772,
  [10031] = 10031,
  [10032] = 4749,
  [10033] = 9997,
  [10034] = 4870,
  [10035] = 4832,
  [10036] = 4869,
  [10037] = 4885,
  [10038] = 10038,
  [10039] = 4890,
  [10040] = 4891,
  [10041] = 4892,
  [10042] = 9997,
  [10043] = 4807,
  [10044] = 4818,
  [10045] = 4811,
  [10046] = 4730,
  [10047] = 10047,
  [10048] = 10048,
  [10049] = 4790,
  [10050] = 4809,
  [10051] = 4733,
  [10052] = 4854,
  [10053] = 10053,
  [10054] = 4707,
  [10055] = 4775,
  [10056] = 10056,
  [10057] = 4687,
  [10058] = 4776,
  [10059] = 4823,
  [10060] = 9984,
  [10061] = 4751,
  [10062] = 4868,
  [10063] = 9997,
  [10064] = 4530,
  [10065] = 4530,
  [10066] = 10066,
  [10067] = 10067,
  [10068] = 10068,
  [10069] = 4732,
  [10070] = 10070,
  [10071] = 10070,
  [10072] = 10070,
  [10073] = 10070,
  [10074] = 10070,
  [10075] = 10070,
  [10076] = 10070,
  [10077] = 10070,
  [10078] = 10070,
  [10079] = 10070,
  [10080] = 10070,
  [10081] = 10070,
  [10082] = 10070,
  [10083] = 10070,
  [10084] = 10070,
  [10085] = 10070,
  [10086] = 10070,
  [10087] = 10070,
  [10088] = 10070,
  [10089] = 10070,
  [10090] = 10070,
  [10091] = 10070,
  [10092] = 10070,
  [10093] = 10070,
  [10094] = 10070,
  [10095] = 10070,
  [10096] = 10070,
  [10097] = 10070,
  [10098] = 10070,
  [10099] = 10070,
  [10100] = 10070,
  [10101] = 10070,
  [10102] = 10070,
  [10103] = 10070,
  [10104] = 10070,
  [10105] = 10070,
  [10106] = 10070,
  [10107] = 10070,
  [10108] = 10070,
  [10109] = 10070,
  [10110] = 10070,
  [10111] = 10070,
  [10112] = 10070,
  [10113] = 10070,
  [10114] = 10070,
  [10115] = 10070,
  [10116] = 10070,
  [10117] = 10070,
  [10118] = 10070,
  [10119] = 10070,
  [10120] = 10070,
  [10121] = 10070,
  [10122] = 10070,
  [10123] = 10070,
  [10124] = 10070,
  [10125] = 10070,
  [10126] = 10070,
  [10127] = 10070,
  [10128] = 10070,
  [10129] = 10070,
  [10130] = 10130,
  [10131] = 10131,
  [10132] = 10132,
  [10133] = 10131,
  [10134] = 10130,
  [10135] = 4530,
  [10136] = 10130,
  [10137] = 4530,
  [10138] = 10130,
  [10139] = 10130,
  [10140] = 10132,
  [10141] = 10130,
  [10142] = 10132,
  [10143] = 10132,
  [10144] = 10131,
  [10145] = 4530,
  [10146] = 10130,
  [10147] = 10130,
  [10148] = 10130,
  [10149] = 4530,
  [10150] = 10130,
  [10151] = 10130,
  [10152] = 4530,
  [10153] = 10131,
  [10154] = 4530,
  [10155] = 10130,
  [10156] = 4530,
  [10157] = 10132,
  [10158] = 10130,
  [10159] = 10130,
  [10160] = 10130,
  [10161] = 10130,
  [10162] = 4530,
  [10163] = 10130,
  [10164] = 10132,
  [10165] = 10130,
  [10166] = 10130,
  [10167] = 10132,
  [10168] = 10131,
  [10169] = 4530,
  [10170] = 4530,
  [10171] = 4530,
  [10172] = 10130,
  [10173] = 10130,
  [10174] = 4530,
  [10175] = 10175,
  [10176] = 10130,
  [10177] = 10130,
  [10178] = 10130,
  [10179] = 10130,
  [10180] = 4530,
  [10181] = 4530,
  [10182] = 10132,
  [10183] = 10131,
  [10184] = 10130,
  [10185] = 10130,
  [10186] = 10130,
  [10187] = 10130,
  [10188] = 10130,
  [10189] = 10130,
  [10190] = 4530,
  [10191] = 4530,
  [10192] = 10130,
  [10193] = 10130,
  [10194] = 10130,
  [10195] = 4530,
  [10196] = 4530,
  [10197] = 10132,
  [10198] = 10131,
  [10199] = 10130,
  [10200] = 10130,
  [10201] = 10130,
  [10202] = 4530,
  [10203] = 4530,
  [10204] = 10130,
  [10205] = 10130,
  [10206] = 10130,
  [10207] = 4530,
  [10208] = 4530,
  [10209] = 10132,
  [10210] = 10131,
  [10211] = 10130,
  [10212] = 10130,
  [10213] = 4530,
  [10214] = 10130,
  [10215] = 4530,
  [10216] = 10130,
  [10217] = 10130,
  [10218] = 4530,
  [10219] = 10130,
  [10220] = 4530,
  [10221] = 10130,
  [10222] = 10130,
  [10223] = 10132,
  [10224] = 10131,
  [10225] = 10130,
  [10226] = 10130,
  [10227] = 10130,
  [10228] = 10130,
  [10229] = 10130,
  [10230] = 4530,
  [10231] = 10130,
  [10232] = 10131,
  [10233] = 10130,
  [10234] = 10130,
  [10235] = 4530,
  [10236] = 10130,
  [10237] = 10130,
  [10238] = 10132,
  [10239] = 10130,
  [10240] = 10130,
  [10241] = 10131,
  [10242] = 10130,
  [10243] = 10130,
  [10244] = 10130,
  [10245] = 10130,
  [10246] = 4530,
  [10247] = 10132,
  [10248] = 10131,
  [10249] = 4530,
  [10250] = 4530,
  [10251] = 10130,
  [10252] = 10130,
  [10253] = 10130,
  [10254] = 10132,
  [10255] = 10131,
  [10256] = 10130,
  [10257] = 10130,
  [10258] = 10132,
  [10259] = 10131,
  [10260] = 10130,
  [10261] = 10130,
  [10262] = 10132,
  [10263] = 10131,
  [10264] = 10130,
  [10265] = 10130,
  [10266] = 10131,
  [10267] = 10130,
  [10268] = 10130,
  [10269] = 10130,
  [10270] = 10130,
  [10271] = 10130,
  [10272] = 10130,
  [10273] = 10130,
  [10274] = 10130,
  [10275] = 10130,
  [10276] = 10130,
  [10277] = 10131,
  [10278] = 10130,
  [10279] = 10130,
  [10280] = 10130,
  [10281] = 10130,
  [10282] = 4530,
  [10283] = 10175,
  [10284] = 10130,
  [10285] = 10130,
  [10286] = 10131,
  [10287] = 10130,
  [10288] = 10130,
  [10289] = 10130,
  [10290] = 4530,
  [10291] = 4530,
  [10292] = 10132,
  [10293] = 10130,
  [10294] = 10130,
  [10295] = 10130,
  [10296] = 4530,
  [10297] = 4530,
  [10298] = 10130,
  [10299] = 10130,
  [10300] = 10132,
  [10301] = 10130,
  [10302] = 10130,
  [10303] = 4530,
  [10304] = 4530,
  [10305] = 10132,
  [10306] = 10130,
  [10307] = 10131,
  [10308] = 10130,
  [10309] = 10132,
  [10310] = 10131,
  [10311] = 4530,
  [10312] = 10130,
  [10313] = 10131,
  [10314] = 4530,
  [10315] = 10130,
  [10316] = 4530,
  [10317] = 4806,
  [10318] = 4806,
  [10319] = 4806,
  [10320] = 4806,
  [10321] = 4806,
  [10322] = 4806,
  [10323] = 4806,
  [10324] = 4806,
  [10325] = 4806,
  [10326] = 4806,
  [10327] = 4581,
  [10328] = 4539,
  [10329] = 4539,
  [10330] = 4564,
  [10331] = 4547,
  [10332] = 4811,
  [10333] = 4805,
  [10334] = 4546,
  [10335] = 4807,
  [10336] = 4550,
  [10337] = 4617,
  [10338] = 4623,
  [10339] = 4627,
  [10340] = 4632,
  [10341] = 4598,
  [10342] = 4591,
  [10343] = 4578,
  [10344] = 4580,
  [10345] = 4581,
  [10346] = 4590,
  [10347] = 4652,
  [10348] = 4584,
  [10349] = 4589,
  [10350] = 4608,
  [10351] = 4622,
  [10352] = 4607,
  [10353] = 4606,
  [10354] = 4653,
  [10355] = 4604,
  [10356] = 4616,
  [10357] = 4854,
  [10358] = 4749,
  [10359] = 4704,
  [10360] = 4772,
  [10361] = 4776,
  [10362] = 4774,
  [10363] = 4581,
  [10364] = 4732,
  [10365] = 4818,
  [10366] = 4885,
  [10367] = 4847,
  [10368] = 4863,
  [10369] = 4725,
  [10370] = 4805,
  [10371] = 4831,
  [10372] = 4823,
  [10373] = 4825,
  [10374] = 4733,
  [10375] = 4706,
  [10376] = 4705,
  [10377] = 4680,
  [10378] = 4539,
  [10379] = 4773,
  [10380] = 4868,
  [10381] = 4890,
  [10382] = 4751,
  [10383] = 4771,
  [10384] = 4709,
  [10385] = 4717,
  [10386] = 4715,
  [10387] = 4869,
  [10388] = 4791,
  [10389] = 4784,
  [10390] = 4788,
  [10391] = 4686,
  [10392] = 4712,
  [10393] = 4775,
  [10394] = 4719,
  [10395] = 4832,
  [10396] = 4730,
  [10397] = 4790,
  [10398] = 4687,
  [10399] = 4809,
  [10400] = 4714,
  [10401] = 4581,
  [10402] = 4721,
  [10403] = 4754,
  [10404] = 4795,
  [10405] = 4723,
  [10406] = 4786,
  [10407] = 4796,
  [10408] = 4891,
  [10409] = 4707,
  [10410] = 4797,
  [10411] = 4892,
  [10412] = 4833,
  [10413] = 4870,
  [10414] = 4807,
  [10415] = 4811,
  [10416] = 4702,
  [10417] = 4625,
  [10418] = 4811,
  [10419] = 4581,
  [10420] = 4805,
  [10421] = 4807,
  [10422] = 4626,
  [10423] = 4581,
  [10424] = 4549,
  [10425] = 4555,
  [10426] = 4630,
  [10427] = 4805,
  [10428] = 4539,
  [10429] = 4811,
  [10430] = 4568,
  [10431] = 4807,
  [10432] = 4581,
  [10433] = 4579,
  [10434] = 4807,
  [10435] = 4805,
  [10436] = 4547,
  [10437] = 4811,
  [10438] = 4807,
  [10439] = 4581,
  [10440] = 4539,
  [10441] = 4564,
  [10442] = 4546,
  [10443] = 4581,
  [10444] = 4539,
  [10445] = 4811,
  [10446] = 4550,
  [10447] = 4805,
  [10448] = 4550,
  [10449] = 4807,
  [10450] = 4547,
  [10451] = 4811,
  [10452] = 4564,
  [10453] = 4546,
  [10454] = 4581,
  [10455] = 4805,
  [10456] = 4807,
  [10457] = 4546,
  [10458] = 4539,
  [10459] = 4578,
  [10460] = 4598,
  [10461] = 4589,
  [10462] = 4811,
  [10463] = 4627,
  [10464] = 4805,
  [10465] = 4547,
  [10466] = 4811,
  [10467] = 4604,
  [10468] = 4580,
  [10469] = 4608,
  [10470] = 4807,
  [10471] = 4604,
  [10472] = 4653,
  [10473] = 4622,
  [10474] = 4578,
  [10475] = 4606,
  [10476] = 4589,
  [10477] = 4591,
  [10478] = 4590,
  [10479] = 4581,
  [10480] = 4622,
  [10481] = 4591,
  [10482] = 4652,
  [10483] = 4652,
  [10484] = 4811,
  [10485] = 4598,
  [10486] = 4580,
  [10487] = 4632,
  [10488] = 4590,
  [10489] = 4616,
  [10490] = 4653,
  [10491] = 4807,
  [10492] = 4805,
  [10493] = 4617,
  [10494] = 4584,
  [10495] = 4805,
  [10496] = 4584,
  [10497] = 4623,
  [10498] = 4581,
  [10499] = 4607,
  [10500] = 4564,
  [10501] = 4550,
  [10502] = 4632,
  [10503] = 4776,
  [10504] = 4784,
  [10505] = 4788,
  [10506] = 4541,
  [10507] = 4870,
  [10508] = 4723,
  [10509] = 4854,
  [10510] = 4590,
  [10511] = 4751,
  [10512] = 4581,
  [10513] = 4717,
  [10514] = 4704,
  [10515] = 4687,
  [10516] = 4719,
  [10517] = 4796,
  [10518] = 4725,
  [10519] = 4791,
  [10520] = 4847,
  [10521] = 4733,
  [10522] = 4811,
  [10523] = 4797,
  [10524] = 4721,
  [10525] = 4869,
  [10526] = 4868,
  [10527] = 4771,
  [10528] = 4797,
  [10529] = 4805,
  [10530] = 4715,
  [10531] = 4723,
  [10532] = 4806,
  [10533] = 4581,
  [10534] = 4702,
  [10535] = 4604,
  [10536] = 4539,
  [10537] = 4709,
  [10538] = 4725,
  [10539] = 4870,
  [10540] = 4774,
  [10541] = 4539,
  [10542] = 4707,
  [10543] = 4680,
  [10544] = 4578,
  [10545] = 4773,
  [10546] = 4541,
  [10547] = 4705,
  [10548] = 4589,
  [10549] = 4786,
  [10550] = 4868,
  [10551] = 4775,
  [10552] = 4749,
  [10553] = 4706,
  [10554] = 4773,
  [10555] = 4539,
  [10556] = 4541,
  [10557] = 4869,
  [10558] = 4807,
  [10559] = 4805,
  [10560] = 4580,
  [10561] = 4709,
  [10562] = 4833,
  [10563] = 4541,
  [10564] = 4823,
  [10565] = 4732,
  [10566] = 4714,
  [10567] = 4809,
  [10568] = 4754,
  [10569] = 4751,
  [10570] = 4704,
  [10571] = 4702,
  [10572] = 4885,
  [10573] = 4807,
  [10574] = 4754,
  [10575] = 4833,
  [10576] = 4591,
  [10577] = 4795,
  [10578] = 4890,
  [10579] = 4772,
  [10580] = 4791,
  [10581] = 4705,
  [10582] = 4771,
  [10583] = 4622,
  [10584] = 4786,
  [10585] = 4772,
  [10586] = 4584,
  [10587] = 4892,
  [10588] = 4652,
  [10589] = 4541,
  [10590] = 4795,
  [10591] = 4776,
  [10592] = 4825,
  [10593] = 4653,
  [10594] = 4832,
  [10595] = 4730,
  [10596] = 4721,
  [10597] = 4790,
  [10598] = 4733,
  [10599] = 4732,
  [10600] = 4687,
  [10601] = 4774,
  [10602] = 4809,
  [10603] = 4885,
  [10604] = 4832,
  [10605] = 4890,
  [10606] = 4831,
  [10607] = 4863,
  [10608] = 4891,
  [10609] = 4712,
  [10610] = 4686,
  [10611] = 4891,
  [10612] = 4749,
  [10613] = 4863,
  [10614] = 4714,
  [10615] = 4854,
  [10616] = 4686,
  [10617] = 4632,
  [10618] = 4717,
  [10619] = 4707,
  [10620] = 4818,
  [10621] = 4784,
  [10622] = 4706,
  [10623] = 4788,
  [10624] = 4796,
  [10625] = 4680,
  [10626] = 4598,
  [10627] = 4712,
  [10628] = 4719,
  [10629] = 4541,
  [10630] = 4811,
  [10631] = 4892,
  [10632] = 4775,
  [10633] = 4847,
  [10634] = 4730,
  [10635] = 4818,
  [10636] = 4831,
  [10637] = 4823,
  [10638] = 4825,
  [10639] = 4715,
  [10640] = 4790,
  [10641] = 4892,
  [10642] = 4630,
  [10643] = 4625,
  [10644] = 4626,
  [10645] = 4579,
  [10646] = 4772,
  [10647] = 4541,
  [10648] = 4885,
  [10649] = 4833,
  [10650] = 4868,
  [10651] = 4811,
  [10652] = 4825,
  [10653] = 4709,
  [10654] = 4680,
  [10655] = 4549,
  [10656] = 4541,
  [10657] = 4630,
  [10658] = 4579,
  [10659] = 4630,
  [10660] = 4832,
  [10661] = 4541,
  [10662] = 4541,
  [10663] = 4715,
  [10664] = 4579,
  [10665] = 4541,
  [10666] = 4707,
  [10667] = 4869,
  [10668] = 4541,
  [10669] = 4625,
  [10670] = 4549,
  [10671] = 4686,
  [10672] = 4541,
  [10673] = 4702,
  [10674] = 4823,
  [10675] = 4625,
  [10676] = 4541,
  [10677] = 4630,
  [10678] = 4555,
  [10679] = 4626,
  [10680] = 4687,
  [10681] = 4546,
  [10682] = 4733,
  [10683] = 4625,
  [10684] = 4550,
  [10685] = 4541,
  [10686] = 4549,
  [10687] = 4704,
  [10688] = 4786,
  [10689] = 4774,
  [10690] = 4805,
  [10691] = 4891,
  [10692] = 4847,
  [10693] = 4539,
  [10694] = 4539,
  [10695] = 5118,
  [10696] = 4564,
  [10697] = 4725,
  [10698] = 4790,
  [10699] = 4555,
  [10700] = 4568,
  [10701] = 4706,
  [10702] = 4809,
  [10703] = 4751,
  [10704] = 4831,
  [10705] = 4771,
  [10706] = 4717,
  [10707] = 4568,
  [10708] = 4805,
  [10709] = 4549,
  [10710] = 4541,
  [10711] = 4854,
  [10712] = 4555,
  [10713] = 4784,
  [10714] = 4788,
  [10715] = 4626,
  [10716] = 4811,
  [10717] = 4730,
  [10718] = 4568,
  [10719] = 4791,
  [10720] = 4807,
  [10721] = 4775,
  [10722] = 4719,
  [10723] = 4749,
  [10724] = 4776,
  [10725] = 4732,
  [10726] = 4579,
  [10727] = 4541,
  [10728] = 4712,
  [10729] = 4626,
  [10730] = 4721,
  [10731] = 4723,
  [10732] = 4541,
  [10733] = 4754,
  [10734] = 4818,
  [10735] = 4541,
  [10736] = 4890,
  [10737] = 4807,
  [10738] = 4568,
  [10739] = 4806,
  [10740] = 4870,
  [10741] = 4795,
  [10742] = 4796,
  [10743] = 4714,
  [10744] = 4555,
  [10745] = 4797,
  [10746] = 4863,
  [10747] = 4547,
  [10748] = 4773,
  [10749] = 4705,
  [10750] = 4541,
  [10751] = 4630,
  [10752] = 4579,
  [10753] = 4625,
  [10754] = 4623,
  [10755] = 4594,
  [10756] = 4549,
  [10757] = 4539,
  [10758] = 4626,
  [10759] = 4632,
  [10760] = 4587,
  [10761] = 4541,
  [10762] = 4589,
  [10763] = 4606,
  [10764] = 4541,
  [10765] = 4582,
  [10766] = 4582,
  [10767] = 4580,
  [10768] = 4539,
  [10769] = 4591,
  [10770] = 4555,
  [10771] = 4568,
  [10772] = 4622,
  [10773] = 10773,
  [10774] = 10774,
  [10775] = 4607,
  [10776] = 4608,
  [10777] = 4594,
  [10778] = 4549,
  [10779] = 4616,
  [10780] = 4549,
  [10781] = 4555,
  [10782] = 4568,
  [10783] = 4579,
  [10784] = 4627,
  [10785] = 4555,
  [10786] = 4568,
  [10787] = 4546,
  [10788] = 4625,
  [10789] = 4626,
  [10790] = 4582,
  [10791] = 4547,
  [10792] = 10773,
  [10793] = 4587,
  [10794] = 4549,
  [10795] = 4587,
  [10796] = 4581,
  [10797] = 10773,
  [10798] = 4594,
  [10799] = 4617,
  [10800] = 10773,
  [10801] = 4541,
  [10802] = 4550,
  [10803] = 4625,
  [10804] = 10773,
  [10805] = 4626,
  [10806] = 4594,
  [10807] = 4594,
  [10808] = 4578,
  [10809] = 10773,
  [10810] = 10773,
  [10811] = 4590,
  [10812] = 4568,
  [10813] = 10773,
  [10814] = 4564,
  [10815] = 4594,
  [10816] = 4652,
  [10817] = 10773,
  [10818] = 4630,
  [10819] = 4579,
  [10820] = 4625,
  [10821] = 4626,
  [10822] = 10773,
  [10823] = 4594,
  [10824] = 4630,
  [10825] = 10773,
  [10826] = 4587,
  [10827] = 5118,
  [10828] = 4630,
  [10829] = 4541,
  [10830] = 4579,
  [10831] = 4541,
  [10832] = 4587,
  [10833] = 4587,
  [10834] = 4584,
  [10835] = 4598,
  [10836] = 10773,
  [10837] = 4541,
  [10838] = 10774,
  [10839] = 4541,
  [10840] = 4653,
  [10841] = 4594,
  [10842] = 4555,
  [10843] = 4604,
  [10844] = 4582,
  [10845] = 4568,
  [10846] = 10846,
  [10847] = 4582,
  [10848] = 4539,
  [10849] = 4587,
  [10850] = 4709,
  [10851] = 4885,
  [10852] = 4579,
  [10853] = 4568,
  [10854] = 4587,
  [10855] = 4591,
  [10856] = 4622,
  [10857] = 4587,
  [10858] = 4772,
  [10859] = 4680,
  [10860] = 4805,
  [10861] = 4630,
  [10862] = 4582,
  [10863] = 4594,
  [10864] = 4749,
  [10865] = 4704,
  [10866] = 4795,
  [10867] = 4717,
  [10868] = 4776,
  [10869] = 4555,
  [10870] = 4555,
  [10871] = 4594,
  [10872] = 4594,
  [10873] = 4598,
  [10874] = 4587,
  [10875] = 4771,
  [10876] = 4773,
  [10877] = 4630,
  [10878] = 4791,
  [10879] = 4796,
  [10880] = 4579,
  [10881] = 4582,
  [10882] = 4582,
  [10883] = 4587,
  [10884] = 4587,
  [10885] = 4797,
  [10886] = 4832,
  [10887] = 4730,
  [10888] = 4582,
  [10889] = 4715,
  [10890] = 4790,
  [10891] = 4809,
  [10892] = 4582,
  [10893] = 4625,
  [10894] = 4626,
  [10895] = 4594,
  [10896] = 4632,
  [10897] = 4833,
  [10898] = 4854,
  [10899] = 4581,
  [10900] = 4807,
  [10901] = 4811,
  [10902] = 4594,
  [10903] = 4687,
  [10904] = 4582,
  [10905] = 4721,
  [10906] = 4774,
  [10907] = 4594,
  [10908] = 4604,
  [10909] = 4831,
  [10910] = 4702,
  [10911] = 4594,
  [10912] = 4539,
  [10913] = 4707,
  [10914] = 4870,
  [10915] = 4786,
  [10916] = 4549,
  [10917] = 5587,
  [10918] = 4686,
  [10919] = 4869,
  [10920] = 4564,
  [10921] = 4630,
  [10922] = 4550,
  [10923] = 4579,
  [10924] = 4581,
  [10925] = 4788,
  [10926] = 4594,
  [10927] = 4818,
  [10928] = 4706,
  [10929] = 4868,
  [10930] = 4890,
  [10931] = 4594,
  [10932] = 4594,
  [10933] = 4546,
  [10934] = 4863,
  [10935] = 4587,
  [10936] = 4578,
  [10937] = 4754,
  [10938] = 4723,
  [10939] = 4652,
  [10940] = 4733,
  [10941] = 10941,
  [10942] = 4587,
  [10943] = 4653,
  [10944] = 4891,
  [10945] = 4714,
  [10946] = 4547,
  [10947] = 4594,
  [10948] = 4541,
  [10949] = 4582,
  [10950] = 4587,
  [10951] = 4580,
  [10952] = 4847,
  [10953] = 4587,
  [10954] = 4587,
  [10955] = 4549,
  [10956] = 4823,
  [10957] = 4712,
  [10958] = 4625,
  [10959] = 4775,
  [10960] = 4625,
  [10961] = 4626,
  [10962] = 4549,
  [10963] = 4626,
  [10964] = 4732,
  [10965] = 4590,
  [10966] = 4584,
  [10967] = 10774,
  [10968] = 4587,
  [10969] = 4594,
  [10970] = 4719,
  [10971] = 4589,
  [10972] = 4825,
  [10973] = 4725,
  [10974] = 4541,
  [10975] = 4892,
  [10976] = 4751,
  [10977] = 4784,
  [10978] = 4594,
  [10979] = 4555,
  [10980] = 4568,
  [10981] = 4705,
  [10982] = 4680,
  [10983] = 4709,
  [10984] = 4773,
  [10985] = 4847,
  [10986] = 4786,
  [10987] = 5846,
  [10988] = 4805,
  [10989] = 4582,
  [10990] = 4825,
  [10991] = 4811,
  [10992] = 4541,
  [10993] = 4771,
  [10994] = 4687,
  [10995] = 4715,
  [10996] = 4771,
  [10997] = 5843,
  [10998] = 4732,
  [10999] = 4786,
  [11000] = 4582,
  [11001] = 4580,
  [11002] = 4749,
  [11003] = 4751,
  [11004] = 11004,
  [11005] = 4754,
  [11006] = 4775,
  [11007] = 4776,
  [11008] = 4717,
  [11009] = 4818,
  [11010] = 4823,
  [11011] = 4795,
  [11012] = 4825,
  [11013] = 4796,
  [11014] = 4797,
  [11015] = 4582,
  [11016] = 4587,
  [11017] = 4587,
  [11018] = 4833,
  [11019] = 4791,
  [11020] = 4868,
  [11021] = 4733,
  [11022] = 4869,
  [11023] = 4719,
  [11024] = 4870,
  [11025] = 4885,
  [11026] = 4890,
  [11027] = 4772,
  [11028] = 4891,
  [11029] = 4892,
  [11030] = 4539,
  [11031] = 4715,
  [11032] = 4702,
  [11033] = 4832,
  [11034] = 4598,
  [11035] = 4730,
  [11036] = 4653,
  [11037] = 4790,
  [11038] = 4809,
  [11039] = 4749,
  [11040] = 4751,
  [11041] = 4754,
  [11042] = 4582,
  [11043] = 4795,
  [11044] = 4831,
  [11045] = 4796,
  [11046] = 4854,
  [11047] = 4707,
  [11048] = 4797,
  [11049] = 10774,
  [11050] = 4863,
  [11051] = 4582,
  [11052] = 4833,
  [11053] = 4772,
  [11054] = 4721,
  [11055] = 4723,
  [11056] = 4594,
  [11057] = 4832,
  [11058] = 6468,
  [11059] = 4541,
  [11060] = 4730,
  [11061] = 4790,
  [11062] = 4809,
  [11063] = 4587,
  [11064] = 4687,
  [11065] = 4589,
  [11066] = 4604,
  [11067] = 4541,
  [11068] = 4594,
  [11069] = 4725,
  [11070] = 4805,
  [11071] = 4707,
  [11072] = 4587,
  [11073] = 4581,
  [11074] = 4807,
  [11075] = 4704,
  [11076] = 4774,
  [11077] = 4705,
  [11078] = 4594,
  [11079] = 4591,
  [11080] = 4587,
  [11081] = 4847,
  [11082] = 4686,
  [11083] = 4706,
  [11084] = 4578,
  [11085] = 4539,
  [11086] = 4594,
  [11087] = 4702,
  [11088] = 4622,
  [11089] = 4791,
  [11090] = 4594,
  [11091] = 4831,
  [11092] = 4712,
  [11093] = 4863,
  [11094] = 4868,
  [11095] = 4774,
  [11096] = 4714,
  [11097] = 4784,
  [11098] = 4594,
  [11099] = 4582,
  [11100] = 4652,
  [11101] = 4788,
  [11102] = 4587,
  [11103] = 4784,
  [11104] = 4788,
  [11105] = 4587,
  [11106] = 4775,
  [11107] = 4773,
  [11108] = 4732,
  [11109] = 4587,
  [11110] = 4733,
  [11111] = 4869,
  [11112] = 4594,
  [11113] = 4807,
  [11114] = 4870,
  [11115] = 4776,
  [11116] = 4582,
  [11117] = 4587,
  [11118] = 4582,
  [11119] = 4587,
  [11120] = 4582,
  [11121] = 4811,
  [11122] = 4581,
  [11123] = 4582,
  [11124] = 4541,
  [11125] = 4590,
  [11126] = 4584,
  [11127] = 4885,
  [11128] = 4594,
  [11129] = 4806,
  [11130] = 4818,
  [11131] = 4823,
  [11132] = 4890,
  [11133] = 4891,
  [11134] = 4632,
  [11135] = 4892,
  [11136] = 4854,
  [11137] = 7213,
  [11138] = 4847,
  [11139] = 4784,
  [11140] = 4788,
  [11141] = 4550,
  [11142] = 4809,
  [11143] = 4721,
  [11144] = 4723,
  [11145] = 4854,
  [11146] = 4707,
  [11147] = 11147,
  [11148] = 5118,
  [11149] = 4719,
  [11150] = 4833,
  [11151] = 4587,
  [11152] = 4555,
  [11153] = 4704,
  [11154] = 4725,
  [11155] = 4582,
  [11156] = 4582,
  [11157] = 4705,
  [11158] = 4625,
  [11159] = 4706,
  [11160] = 4870,
  [11161] = 4869,
  [11162] = 4587,
  [11163] = 4786,
  [11164] = 4630,
  [11165] = 4568,
  [11166] = 4579,
  [11167] = 4732,
  [11168] = 4555,
  [11169] = 4582,
  [11170] = 4546,
  [11171] = 7285,
  [11172] = 6851,
  [11173] = 4709,
  [11174] = 4549,
  [11175] = 4568,
  [11176] = 4541,
  [11177] = 4549,
  [11178] = 4831,
  [11179] = 4832,
  [11180] = 4547,
  [11181] = 4885,
  [11182] = 4555,
  [11183] = 4890,
  [11184] = 7289,
  [11185] = 4891,
  [11186] = 10774,
  [11187] = 4892,
  [11188] = 7362,
  [11189] = 4863,
  [11190] = 4791,
  [11191] = 4630,
  [11192] = 4805,
  [11193] = 4717,
  [11194] = 4579,
  [11195] = 4539,
  [11196] = 4712,
  [11197] = 4625,
  [11198] = 4714,
  [11199] = 4818,
  [11200] = 4823,
  [11201] = 5685,
  [11202] = 4825,
  [11203] = 4807,
  [11204] = 4868,
  [11205] = 4625,
  [11206] = 4626,
  [11207] = 4626,
  [11208] = 4786,
  [11209] = 4630,
  [11210] = 4733,
  [11211] = 4579,
  [11212] = 4687,
  [11213] = 11213,
  [11214] = 4541,
  [11215] = 4539,
  [11216] = 4626,
  [11217] = 4686,
  [11218] = 4626,
  [11219] = 4630,
  [11220] = 4587,
  [11221] = 4772,
  [11222] = 5118,
  [11223] = 4625,
  [11224] = 4626,
  [11225] = 4582,
  [11226] = 4806,
  [11227] = 5118,
  [11228] = 4625,
  [11229] = 4702,
  [11230] = 4630,
  [11231] = 4568,
  [11232] = 4771,
  [11233] = 4568,
  [11234] = 4549,
  [11235] = 4568,
  [11236] = 4579,
  [11237] = 4549,
  [11238] = 11147,
  [11239] = 11213,
  [11240] = 4680,
  [11241] = 4775,
  [11242] = 4751,
  [11243] = 4754,
  [11244] = 4564,
  [11245] = 4749,
  [11246] = 4773,
  [11247] = 4776,
  [11248] = 4555,
  [11249] = 7389,
  [11250] = 4539,
  [11251] = 4795,
  [11252] = 4555,
  [11253] = 7199,
  [11254] = 4796,
  [11255] = 4797,
  [11256] = 4730,
  [11257] = 4715,
  [11258] = 4774,
  [11259] = 4811,
  [11260] = 4582,
  [11261] = 4541,
  [11262] = 4790,
  [11263] = 4579,
  [11264] = 4625,
  [11265] = 4579,
  [11266] = 4625,
  [11267] = 7767,
  [11268] = 7752,
  [11269] = 4546,
  [11270] = 4594,
  [11271] = 8430,
  [11272] = 7775,
  [11273] = 4630,
  [11274] = 4568,
  [11275] = 4549,
  [11276] = 4632,
  [11277] = 4555,
  [11278] = 4581,
  [11279] = 7799,
  [11280] = 7808,
  [11281] = 4626,
  [11282] = 4579,
  [11283] = 4594,
  [11284] = 4580,
  [11285] = 8170,
  [11286] = 4555,
  [11287] = 7809,
  [11288] = 4568,
  [11289] = 7714,
  [11290] = 7776,
  [11291] = 4652,
  [11292] = 4626,
  [11293] = 4549,
  [11294] = 7798,
  [11295] = 4630,
  [11296] = 5118,
  [11297] = 7784,
  [11298] = 4604,
  [11299] = 4539,
  [11300] = 7777,
  [11301] = 7774,
  [11302] = 7725,
  [11303] = 7763,
  [11304] = 4579,
  [11305] = 4579,
  [11306] = 7807,
  [11307] = 5118,
  [11308] = 7778,
  [11309] = 7729,
  [11310] = 4587,
  [11311] = 5118,
  [11312] = 4555,
  [11313] = 5118,
  [11314] = 4541,
  [11315] = 4579,
  [11316] = 4579,
  [11317] = 4622,
  [11318] = 7755,
  [11319] = 4625,
  [11320] = 4630,
  [11321] = 7751,
  [11322] = 4568,
  [11323] = 4630,
  [11324] = 4589,
  [11325] = 4549,
  [11326] = 7745,
  [11327] = 4555,
  [11328] = 7788,
  [11329] = 4653,
  [11330] = 4568,
  [11331] = 4547,
  [11332] = 4590,
  [11333] = 7764,
  [11334] = 7730,
  [11335] = 4568,
  [11336] = 4587,
  [11337] = 7720,
  [11338] = 7750,
  [11339] = 4630,
  [11340] = 7772,
  [11341] = 4549,
  [11342] = 7773,
  [11343] = 4579,
  [11344] = 7757,
  [11345] = 4594,
  [11346] = 11346,
  [11347] = 4555,
  [11348] = 4582,
  [11349] = 4582,
  [11350] = 4594,
  [11351] = 4587,
  [11352] = 4555,
  [11353] = 4549,
  [11354] = 4582,
  [11355] = 5118,
  [11356] = 7789,
  [11357] = 11357,
  [11358] = 4550,
  [11359] = 4584,
  [11360] = 4579,
  [11361] = 4578,
  [11362] = 4626,
  [11363] = 7743,
  [11364] = 7790,
  [11365] = 7791,
  [11366] = 7802,
  [11367] = 7792,
  [11368] = 7793,
  [11369] = 7803,
  [11370] = 7731,
  [11371] = 4625,
  [11372] = 4587,
  [11373] = 4539,
  [11374] = 4626,
  [11375] = 4539,
  [11376] = 7719,
  [11377] = 7732,
  [11378] = 7715,
  [11379] = 4598,
  [11380] = 4626,
  [11381] = 7726,
  [11382] = 7781,
  [11383] = 4625,
  [11384] = 7758,
  [11385] = 7721,
  [11386] = 4568,
  [11387] = 4568,
  [11388] = 7765,
  [11389] = 8069,
  [11390] = 7801,
  [11391] = 7770,
  [11392] = 4555,
  [11393] = 7804,
  [11394] = 4549,
  [11395] = 5118,
  [11396] = 7722,
  [11397] = 7734,
  [11398] = 7746,
  [11399] = 7742,
  [11400] = 7805,
  [11401] = 7723,
  [11402] = 7754,
  [11403] = 4555,
  [11404] = 4630,
  [11405] = 7711,
  [11406] = 7724,
  [11407] = 4630,
  [11408] = 7762,
  [11409] = 7779,
  [11410] = 7794,
  [11411] = 7786,
  [11412] = 7706,
  [11413] = 4625,
  [11414] = 7707,
  [11415] = 7735,
  [11416] = 7747,
  [11417] = 7753,
  [11418] = 7759,
  [11419] = 4626,
  [11420] = 4630,
  [11421] = 7780,
  [11422] = 7771,
  [11423] = 7795,
  [11424] = 7796,
  [11425] = 7797,
  [11426] = 4591,
  [11427] = 7748,
  [11428] = 4626,
  [11429] = 7728,
  [11430] = 7783,
  [11431] = 7718,
  [11432] = 4594,
  [11433] = 7885,
  [11434] = 7782,
  [11435] = 4625,
  [11436] = 4626,
  [11437] = 4625,
  [11438] = 4564,
  [11439] = 7806,
  [11440] = 7749,
  [11441] = 11441,
  [11442] = 4591,
  [11443] = 4622,
  [11444] = 4580,
  [11445] = 4616,
  [11446] = 4539,
  [11447] = 11441,
  [11448] = 7092,
  [11449] = 4594,
  [11450] = 11441,
  [11451] = 4594,
  [11452] = 4627,
  [11453] = 11441,
  [11454] = 4594,
  [11455] = 11441,
  [11456] = 4594,
  [11457] = 11441,
  [11458] = 4594,
  [11459] = 11441,
  [11460] = 4625,
  [11461] = 4626,
  [11462] = 4630,
  [11463] = 4579,
  [11464] = 4625,
  [11465] = 4626,
  [11466] = 4594,
  [11467] = 11441,
  [11468] = 4630,
  [11469] = 4579,
  [11470] = 4594,
  [11471] = 11441,
  [11472] = 4594,
  [11473] = 4594,
  [11474] = 11441,
  [11475] = 4806,
  [11476] = 4594,
  [11477] = 11441,
  [11478] = 4594,
  [11479] = 11441,
  [11480] = 4594,
  [11481] = 11441,
  [11482] = 11441,
  [11483] = 4594,
  [11484] = 4594,
  [11485] = 11441,
  [11486] = 4581,
  [11487] = 4594,
  [11488] = 11441,
  [11489] = 4594,
  [11490] = 11441,
  [11491] = 4594,
  [11492] = 4594,
  [11493] = 11441,
  [11494] = 4594,
  [11495] = 4625,
  [11496] = 4626,
  [11497] = 11441,
  [11498] = 4630,
  [11499] = 4579,
  [11500] = 4594,
  [11501] = 4594,
  [11502] = 11441,
  [11503] = 4625,
  [11504] = 4626,
  [11505] = 4568,
  [11506] = 4630,
  [11507] = 4579,
  [11508] = 4594,
  [11509] = 11441,
  [11510] = 4581,
  [11511] = 4594,
  [11512] = 11441,
  [11513] = 11441,
  [11514] = 5587,
  [11515] = 4549,
  [11516] = 11441,
  [11517] = 11441,
  [11518] = 11441,
  [11519] = 11441,
  [11520] = 11520,
  [11521] = 11441,
  [11522] = 11441,
  [11523] = 11441,
  [11524] = 11441,
  [11525] = 4594,
  [11526] = 11441,
  [11527] = 11441,
  [11528] = 11441,
  [11529] = 11441,
  [11530] = 4625,
  [11531] = 4626,
  [11532] = 11441,
  [11533] = 4630,
  [11534] = 4579,
  [11535] = 11441,
  [11536] = 4594,
  [11537] = 11441,
  [11538] = 4594,
  [11539] = 11441,
  [11540] = 11441,
  [11541] = 11441,
  [11542] = 11441,
  [11543] = 11441,
  [11544] = 11441,
  [11545] = 11441,
  [11546] = 11441,
  [11547] = 7086,
  [11548] = 6939,
  [11549] = 7117,
  [11550] = 11441,
  [11551] = 11441,
  [11552] = 11441,
  [11553] = 11441,
  [11554] = 11441,
  [11555] = 11441,
  [11556] = 11441,
  [11557] = 11441,
  [11558] = 11441,
  [11559] = 11441,
  [11560] = 11441,
  [11561] = 4594,
  [11562] = 11441,
  [11563] = 11441,
  [11564] = 11441,
  [11565] = 11441,
  [11566] = 11441,
  [11567] = 4594,
  [11568] = 11441,
  [11569] = 11441,
  [11570] = 11441,
  [11571] = 11441,
  [11572] = 11441,
  [11573] = 11441,
  [11574] = 11441,
  [11575] = 11441,
  [11576] = 11441,
  [11577] = 11441,
  [11578] = 11441,
  [11579] = 11441,
  [11580] = 11441,
  [11581] = 11441,
  [11582] = 4555,
  [11583] = 11441,
  [11584] = 11441,
  [11585] = 11441,
  [11586] = 11441,
  [11587] = 11441,
  [11588] = 4847,
  [11589] = 4702,
  [11590] = 4594,
  [11591] = 4623,
  [11592] = 4594,
  [11593] = 4715,
  [11594] = 4594,
  [11595] = 7159,
  [11596] = 4773,
  [11597] = 4732,
  [11598] = 4594,
  [11599] = 4594,
  [11600] = 4582,
  [11601] = 4594,
  [11602] = 4594,
  [11603] = 11441,
  [11604] = 4594,
  [11605] = 4594,
  [11606] = 4587,
  [11607] = 4582,
  [11608] = 4594,
  [11609] = 5118,
  [11610] = 4687,
  [11611] = 4774,
  [11612] = 4831,
  [11613] = 4863,
  [11614] = 4733,
  [11615] = 4775,
  [11616] = 4776,
  [11617] = 4818,
  [11618] = 4823,
  [11619] = 4825,
  [11620] = 4771,
  [11621] = 4791,
  [11622] = 4868,
  [11623] = 4869,
  [11624] = 4870,
  [11625] = 4589,
  [11626] = 4890,
  [11627] = 4891,
  [11628] = 4892,
  [11629] = 4784,
  [11630] = 4788,
  [11631] = 4749,
  [11632] = 4751,
  [11633] = 4754,
  [11634] = 4795,
  [11635] = 4796,
  [11636] = 4797,
  [11637] = 4833,
  [11638] = 4772,
  [11639] = 4832,
  [11640] = 4730,
  [11641] = 4790,
  [11642] = 4809,
  [11643] = 4854,
  [11644] = 4707,
  [11645] = 4594,
  [11646] = 5118,
  [11647] = 5118,
  [11648] = 4598,
  [11649] = 4594,
  [11650] = 4594,
  [11651] = 4568,
  [11652] = 4549,
  [11653] = 4568,
  [11654] = 4549,
  [11655] = 11441,
  [11656] = 4555,
  [11657] = 4555,
  [11658] = 4587,
  [11659] = 11441,
  [11660] = 11441,
  [11661] = 11441,
  [11662] = 11441,
  [11663] = 11441,
  [11664] = 11441,
  [11665] = 11441,
  [11666] = 11441,
  [11667] = 11441,
  [11668] = 11441,
  [11669] = 11441,
  [11670] = 4604,
  [11671] = 5118,
  [11672] = 4568,
  [11673] = 4549,
  [11674] = 4555,
  [11675] = 11441,
  [11676] = 11441,
  [11677] = 11441,
  [11678] = 11441,
  [11679] = 11441,
  [11680] = 11441,
  [11681] = 11441,
  [11682] = 11441,
  [11683] = 11441,
  [11684] = 11441,
  [11685] = 11441,
  [11686] = 11441,
  [11687] = 11441,
  [11688] = 11441,
  [11689] = 5118,
  [11690] = 4568,
  [11691] = 4549,
  [11692] = 4555,
  [11693] = 11441,
  [11694] = 11441,
  [11695] = 11441,
  [11696] = 11441,
  [11697] = 5118,
  [11698] = 4568,
  [11699] = 4549,
  [11700] = 4555,
  [11701] = 11441,
  [11702] = 11441,
  [11703] = 11441,
  [11704] = 11441,
  [11705] = 11441,
  [11706] = 11441,
  [11707] = 11441,
  [11708] = 11441,
  [11709] = 11441,
  [11710] = 4686,
  [11711] = 4805,
  [11712] = 4807,
  [11713] = 4786,
  [11714] = 4811,
  [11715] = 4680,
  [11716] = 4625,
  [11717] = 4626,
  [11718] = 4630,
  [11719] = 4579,
  [11720] = 4582,
  [11721] = 4587,
  [11722] = 4582,
  [11723] = 11441,
  [11724] = 11441,
  [11725] = 4606,
  [11726] = 4704,
  [11727] = 4705,
  [11728] = 4706,
  [11729] = 4709,
  [11730] = 4594,
  [11731] = 11441,
  [11732] = 4712,
  [11733] = 4714,
  [11734] = 11441,
  [11735] = 11441,
  [11736] = 11441,
  [11737] = 11441,
  [11738] = 11441,
  [11739] = 11441,
  [11740] = 5587,
  [11741] = 5587,
  [11742] = 4717,
  [11743] = 11441,
  [11744] = 11441,
  [11745] = 11441,
  [11746] = 11441,
  [11747] = 11441,
  [11748] = 11441,
  [11749] = 11441,
  [11750] = 11441,
  [11751] = 11441,
  [11752] = 11441,
  [11753] = 11441,
  [11754] = 11441,
  [11755] = 11441,
  [11756] = 11441,
  [11757] = 11441,
  [11758] = 4719,
  [11759] = 4721,
  [11760] = 4723,
  [11761] = 4725,
  [11762] = 6426,
  [11763] = 4581,
  [11764] = 4587,
  [11765] = 4632,
  [11766] = 4578,
  [11767] = 4652,
  [11768] = 4653,
  [11769] = 4594,
  [11770] = 11441,
  [11771] = 4590,
  [11772] = 4584,
  [11773] = 4885,
  [11774] = 4582,
  [11775] = 4811,
  [11776] = 5118,
  [11777] = 4539,
  [11778] = 4582,
  [11779] = 4773,
  [11780] = 4687,
  [11781] = 4774,
  [11782] = 4831,
  [11783] = 4863,
  [11784] = 4869,
  [11785] = 5685,
  [11786] = 4539,
  [11787] = 4775,
  [11788] = 4776,
  [11789] = 4818,
  [11790] = 4823,
  [11791] = 4687,
  [11792] = 4825,
  [11793] = 4774,
  [11794] = 7656,
  [11795] = 7466,
  [11796] = 7357,
  [11797] = 4749,
  [11798] = 4791,
  [11799] = 4868,
  [11800] = 4869,
  [11801] = 4870,
  [11802] = 4847,
  [11803] = 4885,
  [11804] = 4890,
  [11805] = 4891,
  [11806] = 4892,
  [11807] = 4702,
  [11808] = 4749,
  [11809] = 4751,
  [11810] = 4754,
  [11811] = 4795,
  [11812] = 4796,
  [11813] = 4797,
  [11814] = 4833,
  [11815] = 4772,
  [11816] = 4587,
  [11817] = 4832,
  [11818] = 4730,
  [11819] = 4790,
  [11820] = 4809,
  [11821] = 4854,
  [11822] = 4707,
  [11823] = 4832,
  [11824] = 4715,
  [11825] = 4625,
  [11826] = 4626,
  [11827] = 7488,
  [11828] = 4847,
  [11829] = 6426,
  [11830] = 4702,
  [11831] = 4715,
  [11832] = 7499,
  [11833] = 7513,
  [11834] = 4732,
  [11835] = 4630,
  [11836] = 4579,
  [11837] = 4773,
  [11838] = 4732,
  [11839] = 11839,
  [11840] = 11840,
  [11841] = 4686,
  [11842] = 7678,
  [11843] = 4680,
  [11844] = 7679,
  [11845] = 4806,
  [11846] = 4687,
  [11847] = 7186,
  [11848] = 4774,
  [11849] = 4831,
  [11850] = 4863,
  [11851] = 4625,
  [11852] = 4775,
  [11853] = 4776,
  [11854] = 4818,
  [11855] = 4823,
  [11856] = 4825,
  [11857] = 4771,
  [11858] = 4791,
  [11859] = 4868,
  [11860] = 4869,
  [11861] = 4870,
  [11862] = 4885,
  [11863] = 4890,
  [11864] = 4891,
  [11865] = 4892,
  [11866] = 4784,
  [11867] = 4788,
  [11868] = 4626,
  [11869] = 4749,
  [11870] = 4751,
  [11871] = 4754,
  [11872] = 4795,
  [11873] = 4796,
  [11874] = 4797,
  [11875] = 4833,
  [11876] = 4772,
  [11877] = 4832,
  [11878] = 4730,
  [11879] = 4790,
  [11880] = 4809,
  [11881] = 4854,
  [11882] = 4707,
  [11883] = 4733,
  [11884] = 4733,
  [11885] = 4831,
  [11886] = 4863,
  [11887] = 4771,
  [11888] = 4704,
  [11889] = 4705,
  [11890] = 5843,
  [11891] = 4706,
  [11892] = 4630,
  [11893] = 5846,
  [11894] = 4775,
  [11895] = 4776,
  [11896] = 5843,
  [11897] = 4818,
  [11898] = 4709,
  [11899] = 4579,
  [11900] = 5118,
  [11901] = 5118,
  [11902] = 4823,
  [11903] = 4568,
  [11904] = 4825,
  [11905] = 4549,
  [11906] = 4568,
  [11907] = 4549,
  [11908] = 4555,
  [11909] = 4712,
  [11910] = 4555,
  [11911] = 4714,
  [11912] = 4786,
  [11913] = 4733,
  [11914] = 4791,
  [11915] = 4868,
  [11916] = 4784,
  [11917] = 4717,
  [11918] = 4719,
  [11919] = 4870,
  [11920] = 4885,
  [11921] = 4890,
  [11922] = 4891,
  [11923] = 4892,
  [11924] = 4788,
  [11925] = 4721,
  [11926] = 4805,
  [11927] = 4723,
  [11928] = 4805,
  [11929] = 4807,
  [11930] = 4751,
  [11931] = 4807,
  [11932] = 4754,
  [11933] = 4795,
  [11934] = 4786,
  [11935] = 4796,
  [11936] = 4797,
  [11937] = 4811,
  [11938] = 4833,
  [11939] = 4784,
  [11940] = 4725,
  [11941] = 4811,
  [11942] = 4772,
  [11943] = 4788,
  [11944] = 11839,
  [11945] = 4730,
  [11946] = 4790,
  [11947] = 4809,
  [11948] = 4854,
  [11949] = 4707,
  [11950] = 6468,
  [11951] = 4625,
  [11952] = 4626,
  [11953] = 11840,
  [11954] = 5587,
  [11955] = 5843,
  [11956] = 5846,
  [11957] = 5587,
  [11958] = 4539,
  [11959] = 5587,
  [11960] = 4630,
  [11961] = 4579,
  [11962] = 4555,
  [11963] = 4549,
  [11964] = 4771,
  [11965] = 4805,
  [11966] = 4581,
  [11967] = 4807,
  [11968] = 5846,
  [11969] = 4568,
  [11970] = 4579,
  [11971] = 4549,
  [11972] = 4555,
  [11973] = 5587,
  [11974] = 5587,
  [11975] = 5846,
  [11976] = 4582,
  [11977] = 6851,
  [11978] = 7199,
  [11979] = 7738,
  [11980] = 7389,
  [11981] = 7213,
  [11982] = 4625,
  [11983] = 7362,
  [11984] = 4626,
  [11985] = 4630,
  [11986] = 4625,
  [11987] = 4555,
  [11988] = 7285,
  [11989] = 4555,
  [11990] = 4568,
  [11991] = 4626,
  [11992] = 4630,
  [11993] = 4579,
  [11994] = 4568,
  [11995] = 4539,
  [11996] = 4568,
  [11997] = 4625,
  [11998] = 4626,
  [11999] = 4630,
  [12000] = 4579,
  [12001] = 7289,
  [12002] = 4625,
  [12003] = 4626,
  [12004] = 5587,
  [12005] = 4630,
  [12006] = 4579,
  [12007] = 4555,
  [12008] = 5843,
  [12009] = 5846,
  [12010] = 5843,
  [12011] = 5118,
  [12012] = 5843,
  [12013] = 5846,
  [12014] = 4568,
  [12015] = 7780,
  [12016] = 5846,
  [12017] = 12017,
  [12018] = 12018,
  [12019] = 7749,
  [12020] = 7885,
  [12021] = 7750,
  [12022] = 7799,
  [12023] = 7794,
  [12024] = 7751,
  [12025] = 7752,
  [12026] = 7753,
  [12027] = 7718,
  [12028] = 4539,
  [12029] = 4568,
  [12030] = 12018,
  [12031] = 4555,
  [12032] = 7732,
  [12033] = 5843,
  [12034] = 4546,
  [12035] = 4549,
  [12036] = 4547,
  [12037] = 7711,
  [12038] = 7715,
  [12039] = 7770,
  [12040] = 7795,
  [12041] = 4550,
  [12042] = 8430,
  [12043] = 12017,
  [12044] = 12018,
  [12045] = 7771,
  [12046] = 7767,
  [12047] = 7707,
  [12048] = 7801,
  [12049] = 7772,
  [12050] = 5118,
  [12051] = 8069,
  [12052] = 7773,
  [12053] = 7706,
  [12054] = 12017,
  [12055] = 12017,
  [12056] = 7714,
  [12057] = 12018,
  [12058] = 7779,
  [12059] = 12018,
  [12060] = 12017,
  [12061] = 7724,
  [12062] = 4625,
  [12063] = 4626,
  [12064] = 7781,
  [12065] = 4630,
  [12066] = 4579,
  [12067] = 7774,
  [12068] = 4564,
  [12069] = 7735,
  [12070] = 12018,
  [12071] = 7754,
  [12072] = 7802,
  [12073] = 4625,
  [12074] = 4626,
  [12075] = 7782,
  [12076] = 4630,
  [12077] = 4579,
  [12078] = 7734,
  [12079] = 12017,
  [12080] = 12018,
  [12081] = 7783,
  [12082] = 4568,
  [12083] = 4625,
  [12084] = 4626,
  [12085] = 4630,
  [12086] = 4579,
  [12087] = 7796,
  [12088] = 7784,
  [12089] = 5118,
  [12090] = 4568,
  [12091] = 7803,
  [12092] = 4549,
  [12093] = 4555,
  [12094] = 4568,
  [12095] = 7804,
  [12096] = 7805,
  [12097] = 7775,
  [12098] = 12017,
  [12099] = 4625,
  [12100] = 4626,
  [12101] = 7728,
  [12102] = 7762,
  [12103] = 4630,
  [12104] = 4579,
  [12105] = 7763,
  [12106] = 7806,
  [12107] = 7807,
  [12108] = 4555,
  [12109] = 7776,
  [12110] = 12018,
  [12111] = 7764,
  [12112] = 4555,
  [12113] = 4568,
  [12114] = 4555,
  [12115] = 4568,
  [12116] = 7777,
  [12117] = 4568,
  [12118] = 4555,
  [12119] = 4568,
  [12120] = 4555,
  [12121] = 12017,
  [12122] = 12018,
  [12123] = 7778,
  [12124] = 5843,
  [12125] = 5846,
  [12126] = 7723,
  [12127] = 7755,
  [12128] = 7808,
  [12129] = 7797,
  [12130] = 7809,
  [12131] = 12017,
  [12132] = 12018,
  [12133] = 7729,
  [12134] = 7720,
  [12135] = 7798,
  [12136] = 7765,
  [12137] = 7757,
  [12138] = 7758,
  [12139] = 4625,
  [12140] = 4626,
  [12141] = 4630,
  [12142] = 4579,
  [12143] = 7721,
  [12144] = 12017,
  [12145] = 12018,
  [12146] = 7743,
  [12147] = 7786,
  [12148] = 7759,
  [12149] = 7725,
  [12150] = 12017,
  [12151] = 12018,
  [12152] = 7726,
  [12153] = 12017,
  [12154] = 12018,
  [12155] = 7730,
  [12156] = 12017,
  [12157] = 12018,
  [12158] = 12017,
  [12159] = 8170,
  [12160] = 7742,
  [12161] = 12017,
  [12162] = 12018,
  [12163] = 7731,
  [12164] = 12017,
  [12165] = 12017,
  [12166] = 12018,
  [12167] = 12018,
  [12168] = 12017,
  [12169] = 12018,
  [12170] = 4625,
  [12171] = 4626,
  [12172] = 7788,
  [12173] = 7789,
  [12174] = 4786,
  [12175] = 4630,
  [12176] = 5843,
  [12177] = 5846,
  [12178] = 4555,
  [12179] = 7719,
  [12180] = 7722,
  [12181] = 4579,
  [12182] = 7790,
  [12183] = 4625,
  [12184] = 4626,
  [12185] = 4630,
  [12186] = 4579,
  [12187] = 7791,
  [12188] = 7792,
  [12189] = 7793,
  [12190] = 7745,
  [12191] = 4625,
  [12192] = 4626,
  [12193] = 4630,
  [12194] = 4579,
  [12195] = 12017,
  [12196] = 12018,
  [12197] = 7746,
  [12198] = 12017,
  [12199] = 12018,
  [12200] = 7747,
  [12201] = 7748,
  [12202] = 4581,
  [12203] = 4771,
  [12204] = 4730,
  [12205] = 4555,
  [12206] = 4579,
  [12207] = 4790,
  [12208] = 6468,
  [12209] = 4809,
  [12210] = 4854,
  [12211] = 12211,
  [12212] = 4707,
  [12213] = 6939,
  [12214] = 7117,
  [12215] = 12215,
  [12216] = 4847,
  [12217] = 12211,
  [12218] = 4578,
  [12219] = 4568,
  [12220] = 4702,
  [12221] = 4652,
  [12222] = 4555,
  [12223] = 4632,
  [12224] = 4653,
  [12225] = 4568,
  [12226] = 4555,
  [12227] = 12211,
  [12228] = 4590,
  [12229] = 4568,
  [12230] = 4539,
  [12231] = 4630,
  [12232] = 12215,
  [12233] = 12211,
  [12234] = 4715,
  [12235] = 4584,
  [12236] = 12211,
  [12237] = 12215,
  [12238] = 4625,
  [12239] = 4598,
  [12240] = 4625,
  [12241] = 4626,
  [12242] = 6426,
  [12243] = 4579,
  [12244] = 7159,
  [12245] = 12211,
  [12246] = 12215,
  [12247] = 4589,
  [12248] = 4630,
  [12249] = 4579,
  [12250] = 4687,
  [12251] = 4604,
  [12252] = 4591,
  [12253] = 4622,
  [12254] = 4630,
  [12255] = 12215,
  [12256] = 12211,
  [12257] = 4774,
  [12258] = 12211,
  [12259] = 12215,
  [12260] = 4555,
  [12261] = 4831,
  [12262] = 4580,
  [12263] = 12215,
  [12264] = 4863,
  [12265] = 12215,
  [12266] = 4732,
  [12267] = 12211,
  [12268] = 12211,
  [12269] = 5587,
  [12270] = 4626,
  [12271] = 4775,
  [12272] = 12211,
  [12273] = 4776,
  [12274] = 4581,
  [12275] = 7086,
  [12276] = 4818,
  [12277] = 4823,
  [12278] = 12211,
  [12279] = 4825,
  [12280] = 7092,
  [12281] = 12215,
  [12282] = 4625,
  [12283] = 4630,
  [12284] = 4568,
  [12285] = 12211,
  [12286] = 4791,
  [12287] = 4868,
  [12288] = 4869,
  [12289] = 4579,
  [12290] = 4870,
  [12291] = 12211,
  [12292] = 12215,
  [12293] = 4885,
  [12294] = 4890,
  [12295] = 12211,
  [12296] = 4773,
  [12297] = 4891,
  [12298] = 12215,
  [12299] = 12211,
  [12300] = 4892,
  [12301] = 4784,
  [12302] = 12211,
  [12303] = 4788,
  [12304] = 4733,
  [12305] = 4626,
  [12306] = 7092,
  [12307] = 4749,
  [12308] = 12215,
  [12309] = 4751,
  [12310] = 4805,
  [12311] = 4625,
  [12312] = 4626,
  [12313] = 4630,
  [12314] = 4579,
  [12315] = 6426,
  [12316] = 4786,
  [12317] = 4555,
  [12318] = 4625,
  [12319] = 4626,
  [12320] = 12211,
  [12321] = 4630,
  [12322] = 4581,
  [12323] = 12215,
  [12324] = 12211,
  [12325] = 12215,
  [12326] = 4579,
  [12327] = 4555,
  [12328] = 4754,
  [12329] = 4568,
  [12330] = 4807,
  [12331] = 4811,
  [12332] = 4795,
  [12333] = 4796,
  [12334] = 4797,
  [12335] = 4833,
  [12336] = 4625,
  [12337] = 4626,
  [12338] = 12211,
  [12339] = 4772,
  [12340] = 7086,
  [12341] = 4832,
  [12342] = 7086,
  [12343] = 6939,
  [12344] = 7117,
  [12345] = 7159,
  [12346] = 7092,
  [12347] = 6426,
  [12348] = 6939,
  [12349] = 7117,
  [12350] = 7159,
  [12351] = 4568,
  [12352] = 7369,
  [12353] = 12353,
  [12354] = 12353,
  [12355] = 4795,
  [12356] = 12353,
  [12357] = 12353,
  [12358] = 7252,
  [12359] = 12353,
  [12360] = 7446,
  [12361] = 7369,
  [12362] = 4712,
  [12363] = 7285,
  [12364] = 4796,
  [12365] = 12365,
  [12366] = 12353,
  [12367] = 4568,
  [12368] = 4626,
  [12369] = 4714,
  [12370] = 12353,
  [12371] = 12371,
  [12372] = 12353,
  [12373] = 7213,
  [12374] = 12353,
  [12375] = 4833,
  [12376] = 12353,
  [12377] = 4797,
  [12378] = 7289,
  [12379] = 12379,
  [12380] = 12353,
  [12381] = 4730,
  [12382] = 7466,
  [12383] = 4630,
  [12384] = 12365,
  [12385] = 4891,
  [12386] = 7678,
  [12387] = 7679,
  [12388] = 4790,
  [12389] = 12353,
  [12390] = 4579,
  [12391] = 4809,
  [12392] = 7186,
  [12393] = 4772,
  [12394] = 12379,
  [12395] = 4892,
  [12396] = 4625,
  [12397] = 12353,
  [12398] = 7285,
  [12399] = 12353,
  [12400] = 4626,
  [12401] = 12371,
  [12402] = 12353,
  [12403] = 12379,
  [12404] = 12353,
  [12405] = 12353,
  [12406] = 12379,
  [12407] = 4788,
  [12408] = 7369,
  [12409] = 4717,
  [12410] = 12365,
  [12411] = 6851,
  [12412] = 12353,
  [12413] = 12379,
  [12414] = 12353,
  [12415] = 12353,
  [12416] = 4719,
  [12417] = 12365,
  [12418] = 12353,
  [12419] = 4805,
  [12420] = 4807,
  [12421] = 12353,
  [12422] = 12353,
  [12423] = 12353,
  [12424] = 12353,
  [12425] = 7406,
  [12426] = 4847,
  [12427] = 12353,
  [12428] = 12353,
  [12429] = 4885,
  [12430] = 12353,
  [12431] = 7406,
  [12432] = 4721,
  [12433] = 7320,
  [12434] = 12379,
  [12435] = 4723,
  [12436] = 7357,
  [12437] = 12353,
  [12438] = 12353,
  [12439] = 7320,
  [12440] = 7320,
  [12441] = 4811,
  [12442] = 12353,
  [12443] = 12353,
  [12444] = 6426,
  [12445] = 4784,
  [12446] = 7369,
  [12447] = 12379,
  [12448] = 7446,
  [12449] = 12353,
  [12450] = 12353,
  [12451] = 12353,
  [12452] = 12353,
  [12453] = 7515,
  [12454] = 7516,
  [12455] = 7517,
  [12456] = 12353,
  [12457] = 4630,
  [12458] = 4579,
  [12459] = 4625,
  [12460] = 4626,
  [12461] = 7369,
  [12462] = 7285,
  [12463] = 4680,
  [12464] = 7519,
  [12465] = 12353,
  [12466] = 7446,
  [12467] = 4725,
  [12468] = 4702,
  [12469] = 7519,
  [12470] = 4854,
  [12471] = 12379,
  [12472] = 4687,
  [12473] = 7320,
  [12474] = 7092,
  [12475] = 5843,
  [12476] = 5846,
  [12477] = 4707,
  [12478] = 12365,
  [12479] = 4775,
  [12480] = 12379,
  [12481] = 12353,
  [12482] = 7524,
  [12483] = 12365,
  [12484] = 4832,
  [12485] = 12353,
  [12486] = 7519,
  [12487] = 12365,
  [12488] = 7678,
  [12489] = 7679,
  [12490] = 12379,
  [12491] = 7186,
  [12492] = 12353,
  [12493] = 7519,
  [12494] = 7488,
  [12495] = 7499,
  [12496] = 7513,
  [12497] = 4776,
  [12498] = 12365,
  [12499] = 12353,
  [12500] = 7199,
  [12501] = 4818,
  [12502] = 4539,
  [12503] = 7252,
  [12504] = 12379,
  [12505] = 7524,
  [12506] = 7524,
  [12507] = 7320,
  [12508] = 12353,
  [12509] = 7515,
  [12510] = 7516,
  [12511] = 7517,
  [12512] = 12379,
  [12513] = 7515,
  [12514] = 4686,
  [12515] = 7092,
  [12516] = 4630,
  [12517] = 7516,
  [12518] = 12353,
  [12519] = 7517,
  [12520] = 7285,
  [12521] = 12379,
  [12522] = 12379,
  [12523] = 12353,
  [12524] = 12365,
  [12525] = 7092,
  [12526] = 4705,
  [12527] = 4823,
  [12528] = 4774,
  [12529] = 4733,
  [12530] = 4706,
  [12531] = 4806,
  [12532] = 4555,
  [12533] = 12353,
  [12534] = 7389,
  [12535] = 12353,
  [12536] = 12379,
  [12537] = 4579,
  [12538] = 7289,
  [12539] = 12353,
  [12540] = 7656,
  [12541] = 4709,
  [12542] = 7369,
  [12543] = 4786,
  [12544] = 7488,
  [12545] = 4555,
  [12546] = 12353,
  [12547] = 4749,
  [12548] = 7252,
  [12549] = 7499,
  [12550] = 12365,
  [12551] = 4555,
  [12552] = 12353,
  [12553] = 12379,
  [12554] = 7289,
  [12555] = 12353,
  [12556] = 12379,
  [12557] = 7369,
  [12558] = 5587,
  [12559] = 7289,
  [12560] = 4825,
  [12561] = 7320,
  [12562] = 12365,
  [12563] = 12353,
  [12564] = 4791,
  [12565] = 12353,
  [12566] = 7513,
  [12567] = 12353,
  [12568] = 12365,
  [12569] = 4786,
  [12570] = 12353,
  [12571] = 7362,
  [12572] = 4890,
  [12573] = 12353,
  [12574] = 12379,
  [12575] = 4625,
  [12576] = 12353,
  [12577] = 12353,
  [12578] = 4715,
  [12579] = 12353,
  [12580] = 4868,
  [12581] = 7289,
  [12582] = 7285,
  [12583] = 12365,
  [12584] = 12379,
  [12585] = 4771,
  [12586] = 4831,
  [12587] = 7086,
  [12588] = 12353,
  [12589] = 4751,
  [12590] = 7656,
  [12591] = 7466,
  [12592] = 7357,
  [12593] = 12365,
  [12594] = 7369,
  [12595] = 4732,
  [12596] = 7656,
  [12597] = 7466,
  [12598] = 7357,
  [12599] = 12353,
  [12600] = 6426,
  [12601] = 12353,
  [12602] = 7678,
  [12603] = 7679,
  [12604] = 4863,
  [12605] = 7186,
  [12606] = 7488,
  [12607] = 7499,
  [12608] = 7513,
  [12609] = 12379,
  [12610] = 7086,
  [12611] = 4869,
  [12612] = 7285,
  [12613] = 7086,
  [12614] = 4870,
  [12615] = 6426,
  [12616] = 4568,
  [12617] = 6939,
  [12618] = 7117,
  [12619] = 7159,
  [12620] = 6426,
  [12621] = 4773,
  [12622] = 4568,
  [12623] = 4754,
  [12624] = 6426,
  [12625] = 6939,
  [12626] = 7117,
  [12627] = 7159,
  [12628] = 7406,
  [12629] = 6939,
  [12630] = 7117,
  [12631] = 7159,
  [12632] = 6426,
  [12633] = 4704,
  [12634] = 8107,
  [12635] = 6426,
  [12636] = 7117,
  [12637] = 12637,
  [12638] = 8069,
  [12639] = 7524,
  [12640] = 7710,
  [12641] = 7524,
  [12642] = 8170,
  [12643] = 7737,
  [12644] = 7990,
  [12645] = 7990,
  [12646] = 12646,
  [12647] = 7320,
  [12648] = 12648,
  [12649] = 7711,
  [12650] = 8083,
  [12651] = 7369,
  [12652] = 7717,
  [12653] = 7515,
  [12654] = 7733,
  [12655] = 7516,
  [12656] = 7741,
  [12657] = 7517,
  [12658] = 7446,
  [12659] = 7882,
  [12660] = 7710,
  [12661] = 12646,
  [12662] = 7369,
  [12663] = 12648,
  [12664] = 7369,
  [12665] = 7718,
  [12666] = 6426,
  [12667] = 7721,
  [12668] = 7722,
  [12669] = 7723,
  [12670] = 7724,
  [12671] = 7725,
  [12672] = 7726,
  [12673] = 7728,
  [12674] = 7729,
  [12675] = 7730,
  [12676] = 7731,
  [12677] = 12646,
  [12678] = 7519,
  [12679] = 12646,
  [12680] = 12648,
  [12681] = 12648,
  [12682] = 12646,
  [12683] = 7515,
  [12684] = 7516,
  [12685] = 7517,
  [12686] = 12646,
  [12687] = 12648,
  [12688] = 7289,
  [12689] = 8104,
  [12690] = 8105,
  [12691] = 8106,
  [12692] = 7252,
  [12693] = 7320,
  [12694] = 7882,
  [12695] = 8107,
  [12696] = 8108,
  [12697] = 8109,
  [12698] = 8110,
  [12699] = 8111,
  [12700] = 8112,
  [12701] = 12371,
  [12702] = 12646,
  [12703] = 8113,
  [12704] = 8170,
  [12705] = 8114,
  [12706] = 8115,
  [12707] = 7738,
  [12708] = 12648,
  [12709] = 7252,
  [12710] = 7406,
  [12711] = 7369,
  [12712] = 7743,
  [12713] = 8170,
  [12714] = 7369,
  [12715] = 7285,
  [12716] = 8430,
  [12717] = 12646,
  [12718] = 7524,
  [12719] = 7252,
  [12720] = 7406,
  [12721] = 7320,
  [12722] = 7745,
  [12723] = 12646,
  [12724] = 7746,
  [12725] = 7747,
  [12726] = 7748,
  [12727] = 12648,
  [12728] = 7749,
  [12729] = 7750,
  [12730] = 7751,
  [12731] = 7752,
  [12732] = 7737,
  [12733] = 7369,
  [12734] = 7753,
  [12735] = 7754,
  [12736] = 7755,
  [12737] = 7757,
  [12738] = 7758,
  [12739] = 7759,
  [12740] = 7524,
  [12741] = 7762,
  [12742] = 7369,
  [12743] = 7763,
  [12744] = 12648,
  [12745] = 7764,
  [12746] = 12646,
  [12747] = 7765,
  [12748] = 7252,
  [12749] = 12646,
  [12750] = 7406,
  [12751] = 7446,
  [12752] = 7252,
  [12753] = 12648,
  [12754] = 8202,
  [12755] = 7285,
  [12756] = 7717,
  [12757] = 7733,
  [12758] = 7741,
  [12759] = 12648,
  [12760] = 7882,
  [12761] = 7882,
  [12762] = 8104,
  [12763] = 8083,
  [12764] = 8105,
  [12765] = 8106,
  [12766] = 8107,
  [12767] = 8108,
  [12768] = 8109,
  [12769] = 8110,
  [12770] = 8202,
  [12771] = 7717,
  [12772] = 7733,
  [12773] = 7741,
  [12774] = 7767,
  [12775] = 7289,
  [12776] = 7770,
  [12777] = 7771,
  [12778] = 7772,
  [12779] = 7773,
  [12780] = 8111,
  [12781] = 8112,
  [12782] = 8113,
  [12783] = 8114,
  [12784] = 8115,
  [12785] = 7774,
  [12786] = 7775,
  [12787] = 7776,
  [12788] = 7446,
  [12789] = 7710,
  [12790] = 7990,
  [12791] = 12646,
  [12792] = 12648,
  [12793] = 8170,
  [12794] = 7289,
  [12795] = 12371,
  [12796] = 7369,
  [12797] = 7285,
  [12798] = 8202,
  [12799] = 7777,
  [12800] = 7778,
  [12801] = 7779,
  [12802] = 7252,
  [12803] = 7780,
  [12804] = 7519,
  [12805] = 7781,
  [12806] = 7285,
  [12807] = 7782,
  [12808] = 7783,
  [12809] = 7784,
  [12810] = 7086,
  [12811] = 12646,
  [12812] = 7786,
  [12813] = 12648,
  [12814] = 12646,
  [12815] = 12648,
  [12816] = 7788,
  [12817] = 7789,
  [12818] = 7790,
  [12819] = 7791,
  [12820] = 7792,
  [12821] = 7793,
  [12822] = 7794,
  [12823] = 7795,
  [12824] = 12646,
  [12825] = 7796,
  [12826] = 7797,
  [12827] = 7798,
  [12828] = 7799,
  [12829] = 12648,
  [12830] = 12646,
  [12831] = 7515,
  [12832] = 7516,
  [12833] = 7517,
  [12834] = 7519,
  [12835] = 7524,
  [12836] = 12648,
  [12837] = 7519,
  [12838] = 8363,
  [12839] = 8364,
  [12840] = 8363,
  [12841] = 7320,
  [12842] = 8364,
  [12843] = 7801,
  [12844] = 7802,
  [12845] = 7803,
  [12846] = 7804,
  [12847] = 7882,
  [12848] = 7805,
  [12849] = 12646,
  [12850] = 7519,
  [12851] = 12648,
  [12852] = 7369,
  [12853] = 7369,
  [12854] = 7519,
  [12855] = 7806,
  [12856] = 7807,
  [12857] = 7285,
  [12858] = 7524,
  [12859] = 7808,
  [12860] = 7524,
  [12861] = 7524,
  [12862] = 7515,
  [12863] = 7516,
  [12864] = 7517,
  [12865] = 7809,
  [12866] = 7515,
  [12867] = 7516,
  [12868] = 7517,
  [12869] = 7515,
  [12870] = 7516,
  [12871] = 7517,
  [12872] = 12648,
  [12873] = 7524,
  [12874] = 8069,
  [12875] = 12646,
  [12876] = 7717,
  [12877] = 7733,
  [12878] = 7741,
  [12879] = 8069,
  [12880] = 12648,
  [12881] = 8364,
  [12882] = 7320,
  [12883] = 8363,
  [12884] = 7515,
  [12885] = 7516,
  [12886] = 7517,
  [12887] = 7519,
  [12888] = 12646,
  [12889] = 7714,
  [12890] = 12646,
  [12891] = 12648,
  [12892] = 12648,
  [12893] = 7519,
  [12894] = 7715,
  [12895] = 7737,
  [12896] = 12646,
  [12897] = 4568,
  [12898] = 12648,
  [12899] = 4555,
  [12900] = 12646,
  [12901] = 12648,
  [12902] = 7092,
  [12903] = 7519,
  [12904] = 7735,
  [12905] = 7717,
  [12906] = 7092,
  [12907] = 7406,
  [12908] = 6426,
  [12909] = 12646,
  [12910] = 12648,
  [12911] = 7719,
  [12912] = 7515,
  [12913] = 7446,
  [12914] = 12646,
  [12915] = 7252,
  [12916] = 7524,
  [12917] = 7252,
  [12918] = 7320,
  [12919] = 7885,
  [12920] = 7252,
  [12921] = 7289,
  [12922] = 12648,
  [12923] = 7732,
  [12924] = 7717,
  [12925] = 7733,
  [12926] = 7741,
  [12927] = 12646,
  [12928] = 12646,
  [12929] = 12648,
  [12930] = 8170,
  [12931] = 7882,
  [12932] = 8170,
  [12933] = 12648,
  [12934] = 12934,
  [12935] = 7320,
  [12936] = 7289,
  [12937] = 7733,
  [12938] = 7734,
  [12939] = 7516,
  [12940] = 7678,
  [12941] = 7679,
  [12942] = 7186,
  [12943] = 7741,
  [12944] = 12637,
  [12945] = 7488,
  [12946] = 7499,
  [12947] = 7513,
  [12948] = 12371,
  [12949] = 7369,
  [12950] = 7742,
  [12951] = 12646,
  [12952] = 12648,
  [12953] = 7285,
  [12954] = 7519,
  [12955] = 12646,
  [12956] = 7517,
  [12957] = 12646,
  [12958] = 6939,
  [12959] = 12648,
  [12960] = 7738,
  [12961] = 8069,
  [12962] = 7320,
  [12963] = 7738,
  [12964] = 12646,
  [12965] = 12648,
  [12966] = 7678,
  [12967] = 7679,
  [12968] = 7186,
  [12969] = 7488,
  [12970] = 7499,
  [12971] = 7513,
  [12972] = 7678,
  [12973] = 7679,
  [12974] = 7186,
  [12975] = 12646,
  [12976] = 7488,
  [12977] = 7499,
  [12978] = 7513,
  [12979] = 12648,
  [12980] = 7086,
  [12981] = 7159,
  [12982] = 7086,
  [12983] = 6939,
  [12984] = 7117,
  [12985] = 7159,
  [12986] = 7092,
  [12987] = 12646,
  [12988] = 12648,
  [12989] = 12648,
  [12990] = 12934,
  [12991] = 8069,
  [12992] = 7320,
  [12993] = 7320,
  [12994] = 4625,
  [12995] = 4626,
  [12996] = 4630,
  [12997] = 4579,
  [12998] = 8104,
  [12999] = 12646,
  [13000] = 12646,
  [13001] = 7320,
  [13002] = 12648,
  [13003] = 8083,
  [13004] = 8105,
  [13005] = 8106,
  [13006] = 12648,
  [13007] = 8108,
  [13008] = 8109,
  [13009] = 8110,
  [13010] = 8111,
  [13011] = 8112,
  [13012] = 8113,
  [13013] = 8114,
  [13014] = 7320,
  [13015] = 8115,
  [13016] = 7706,
  [13017] = 12646,
  [13018] = 7369,
  [13019] = 7285,
  [13020] = 12648,
  [13021] = 12646,
  [13022] = 7656,
  [13023] = 7466,
  [13024] = 7357,
  [13025] = 6426,
  [13026] = 12648,
  [13027] = 7369,
  [13028] = 7707,
  [13029] = 7406,
  [13030] = 12646,
  [13031] = 7285,
  [13032] = 12648,
  [13033] = 6426,
  [13034] = 7656,
  [13035] = 7466,
  [13036] = 7357,
  [13037] = 7656,
  [13038] = 7466,
  [13039] = 7357,
  [13040] = 6939,
  [13041] = 7117,
  [13042] = 7159,
  [13043] = 6426,
  [13044] = 7446,
  [13045] = 7720,
  [13046] = 8115,
  [13047] = 7519,
  [13048] = 8363,
  [13049] = 7369,
  [13050] = 7320,
  [13051] = 7320,
  [13052] = 8105,
  [13053] = 8202,
  [13054] = 7369,
  [13055] = 7252,
  [13056] = 7516,
  [13057] = 7741,
  [13058] = 7517,
  [13059] = 7515,
  [13060] = 7516,
  [13061] = 7517,
  [13062] = 7990,
  [13063] = 8115,
  [13064] = 7519,
  [13065] = 8104,
  [13066] = 8364,
  [13067] = 7519,
  [13068] = 7488,
  [13069] = 7710,
  [13070] = 7446,
  [13071] = 7369,
  [13072] = 7882,
  [13073] = 12371,
  [13074] = 7499,
  [13075] = 7524,
  [13076] = 8104,
  [13077] = 7252,
  [13078] = 8364,
  [13079] = 8105,
  [13080] = 8083,
  [13081] = 7289,
  [13082] = 8105,
  [13083] = 8106,
  [13084] = 7513,
  [13085] = 8107,
  [13086] = 7285,
  [13087] = 8108,
  [13088] = 7369,
  [13089] = 7524,
  [13090] = 8364,
  [13091] = 8109,
  [13092] = 8363,
  [13093] = 8363,
  [13094] = 7524,
  [13095] = 8202,
  [13096] = 8110,
  [13097] = 7519,
  [13098] = 8111,
  [13099] = 8112,
  [13100] = 7285,
  [13101] = 4555,
  [13102] = 8364,
  [13103] = 8202,
  [13104] = 4568,
  [13105] = 8363,
  [13106] = 7882,
  [13107] = 8069,
  [13108] = 7446,
  [13109] = 7524,
  [13110] = 7656,
  [13111] = 8170,
  [13112] = 7515,
  [13113] = 7516,
  [13114] = 7517,
  [13115] = 7678,
  [13116] = 7679,
  [13117] = 7186,
  [13118] = 8104,
  [13119] = 8364,
  [13120] = 7488,
  [13121] = 7499,
  [13122] = 7513,
  [13123] = 8106,
  [13124] = 8105,
  [13125] = 8106,
  [13126] = 8107,
  [13127] = 8108,
  [13128] = 8109,
  [13129] = 8113,
  [13130] = 8110,
  [13131] = 8114,
  [13132] = 8111,
  [13133] = 8112,
  [13134] = 7406,
  [13135] = 8115,
  [13136] = 8113,
  [13137] = 8114,
  [13138] = 8115,
  [13139] = 8363,
  [13140] = 7717,
  [13141] = 7320,
  [13142] = 7320,
  [13143] = 7289,
  [13144] = 7733,
  [13145] = 7882,
  [13146] = 7741,
  [13147] = 8104,
  [13148] = 8106,
  [13149] = 8107,
  [13150] = 8108,
  [13151] = 8109,
  [13152] = 8110,
  [13153] = 8111,
  [13154] = 8112,
  [13155] = 8113,
  [13156] = 8114,
  [13157] = 8115,
  [13158] = 8107,
  [13159] = 7252,
  [13160] = 8108,
  [13161] = 7320,
  [13162] = 8083,
  [13163] = 12637,
  [13164] = 7320,
  [13165] = 8069,
  [13166] = 7524,
  [13167] = 7717,
  [13168] = 7710,
  [13169] = 7515,
  [13170] = 7717,
  [13171] = 12934,
  [13172] = 7733,
  [13173] = 7990,
  [13174] = 7741,
  [13175] = 7710,
  [13176] = 7990,
  [13177] = 7737,
  [13178] = 7252,
  [13179] = 8170,
  [13180] = 7289,
  [13181] = 7733,
  [13182] = 7524,
  [13183] = 7516,
  [13184] = 13184,
  [13185] = 7741,
  [13186] = 7517,
  [13187] = 7369,
  [13188] = 8104,
  [13189] = 8083,
  [13190] = 8106,
  [13191] = 8107,
  [13192] = 8108,
  [13193] = 8109,
  [13194] = 8110,
  [13195] = 8109,
  [13196] = 8104,
  [13197] = 8083,
  [13198] = 8105,
  [13199] = 8106,
  [13200] = 7466,
  [13201] = 8107,
  [13202] = 8108,
  [13203] = 7717,
  [13204] = 7733,
  [13205] = 7741,
  [13206] = 8111,
  [13207] = 8112,
  [13208] = 8113,
  [13209] = 8114,
  [13210] = 8115,
  [13211] = 7710,
  [13212] = 7990,
  [13213] = 8109,
  [13214] = 8069,
  [13215] = 8170,
  [13216] = 7252,
  [13217] = 7252,
  [13218] = 7320,
  [13219] = 9654,
  [13220] = 8110,
  [13221] = 7717,
  [13222] = 7733,
  [13223] = 8110,
  [13224] = 7737,
  [13225] = 7406,
  [13226] = 8104,
  [13227] = 7737,
  [13228] = 6426,
  [13229] = 7738,
  [13230] = 8105,
  [13231] = 8106,
  [13232] = 8107,
  [13233] = 7990,
  [13234] = 8108,
  [13235] = 8170,
  [13236] = 8111,
  [13237] = 7741,
  [13238] = 8109,
  [13239] = 8110,
  [13240] = 8111,
  [13241] = 8112,
  [13242] = 7369,
  [13243] = 8113,
  [13244] = 8114,
  [13245] = 12371,
  [13246] = 7733,
  [13247] = 8202,
  [13248] = 8202,
  [13249] = 7990,
  [13250] = 12934,
  [13251] = 7285,
  [13252] = 8069,
  [13253] = 7717,
  [13254] = 7717,
  [13255] = 7515,
  [13256] = 7733,
  [13257] = 7516,
  [13258] = 7741,
  [13259] = 7517,
  [13260] = 7990,
  [13261] = 7515,
  [13262] = 7733,
  [13263] = 7516,
  [13264] = 7741,
  [13265] = 7738,
  [13266] = 7517,
  [13267] = 7710,
  [13268] = 7882,
  [13269] = 7710,
  [13270] = 7446,
  [13271] = 8202,
  [13272] = 7519,
  [13273] = 7357,
  [13274] = 7710,
  [13275] = 7738,
  [13276] = 13276,
  [13277] = 7882,
  [13278] = 7519,
  [13279] = 7710,
  [13280] = 7252,
  [13281] = 7656,
  [13282] = 7466,
  [13283] = 7357,
  [13284] = 7990,
  [13285] = 7678,
  [13286] = 7679,
  [13287] = 8112,
  [13288] = 8170,
  [13289] = 7656,
  [13290] = 7466,
  [13291] = 7357,
  [13292] = 7519,
  [13293] = 7737,
  [13294] = 8364,
  [13295] = 7678,
  [13296] = 7679,
  [13297] = 12934,
  [13298] = 7186,
  [13299] = 7488,
  [13300] = 7499,
  [13301] = 7513,
  [13302] = 7369,
  [13303] = 8113,
  [13304] = 8114,
  [13305] = 8115,
  [13306] = 7186,
  [13307] = 8363,
  [13308] = 7252,
  [13309] = 7285,
  [13310] = 7519,
  [13311] = 9578,
  [13312] = 7320,
  [13313] = 7737,
  [13314] = 12637,
  [13315] = 7369,
  [13316] = 7524,
  [13317] = 8083,
  [13318] = 7406,
  [13319] = 4625,
  [13320] = 4626,
  [13321] = 4630,
  [13322] = 4579,
  [13323] = 7882,
  [13324] = 7882,
  [13325] = 7882,
  [13326] = 8083,
  [13327] = 8202,
  [13328] = 7717,
  [13329] = 8364,
  [13330] = 8104,
  [13331] = 8083,
  [13332] = 8106,
  [13333] = 8107,
  [13334] = 8108,
  [13335] = 8109,
  [13336] = 8110,
  [13337] = 7515,
  [13338] = 7320,
  [13339] = 7524,
  [13340] = 8083,
  [13341] = 7717,
  [13342] = 8111,
  [13343] = 8112,
  [13344] = 8113,
  [13345] = 7717,
  [13346] = 7524,
  [13347] = 7252,
  [13348] = 7519,
  [13349] = 8111,
  [13350] = 8112,
  [13351] = 8113,
  [13352] = 8114,
  [13353] = 8115,
  [13354] = 8364,
  [13355] = 8104,
  [13356] = 8083,
  [13357] = 8105,
  [13358] = 8105,
  [13359] = 8170,
  [13360] = 8202,
  [13361] = 8364,
  [13362] = 8106,
  [13363] = 8107,
  [13364] = 8108,
  [13365] = 7519,
  [13366] = 7289,
  [13367] = 8170,
  [13368] = 8109,
  [13369] = 7710,
  [13370] = 7990,
  [13371] = 8110,
  [13372] = 7515,
  [13373] = 7516,
  [13374] = 7733,
  [13375] = 6426,
  [13376] = 7517,
  [13377] = 7524,
  [13378] = 7515,
  [13379] = 6426,
  [13380] = 7516,
  [13381] = 7517,
  [13382] = 8170,
  [13383] = 7524,
  [13384] = 8111,
  [13385] = 8202,
  [13386] = 8105,
  [13387] = 7882,
  [13388] = 12637,
  [13389] = 8112,
  [13390] = 8363,
  [13391] = 8113,
  [13392] = 8114,
  [13393] = 8115,
  [13394] = 7882,
  [13395] = 7733,
  [13396] = 8114,
  [13397] = 8363,
  [13398] = 8069,
  [13399] = 8363,
  [13400] = 7741,
  [13401] = 7320,
  [13402] = 7289,
  [13403] = 13184,
  [13404] = 13404,
  [13405] = 7285,
  [13406] = 7252,
  [13407] = 7741,
  [13408] = 12637,
  [13409] = 7990,
  [13410] = 7710,
  [13411] = 7710,
  [13412] = 7990,
  [13413] = 8104,
  [13414] = 8105,
  [13415] = 8364,
  [13416] = 8363,
  [13417] = 13417,
  [13418] = 8069,
  [13419] = 8106,
  [13420] = 8364,
  [13421] = 8202,
  [13422] = 8364,
  [13423] = 8107,
  [13424] = 8108,
  [13425] = 8105,
  [13426] = 8363,
  [13427] = 7524,
  [13428] = 8109,
  [13429] = 8110,
  [13430] = 7524,
  [13431] = 8111,
  [13432] = 8112,
  [13433] = 8113,
  [13434] = 8114,
  [13435] = 8364,
  [13436] = 12934,
  [13437] = 8115,
  [13438] = 7524,
  [13439] = 7741,
  [13440] = 7517,
  [13441] = 8202,
  [13442] = 8364,
  [13443] = 8104,
  [13444] = 8083,
  [13445] = 8105,
  [13446] = 8106,
  [13447] = 8364,
  [13448] = 7737,
  [13449] = 8107,
  [13450] = 8108,
  [13451] = 8109,
  [13452] = 8110,
  [13453] = 7524,
  [13454] = 8104,
  [13455] = 8083,
  [13456] = 7990,
  [13457] = 8170,
  [13458] = 8104,
  [13459] = 12934,
  [13460] = 8105,
  [13461] = 8105,
  [13462] = 8202,
  [13463] = 7717,
  [13464] = 8202,
  [13465] = 7733,
  [13466] = 7741,
  [13467] = 8106,
  [13468] = 8083,
  [13469] = 8105,
  [13470] = 8364,
  [13471] = 7519,
  [13472] = 8107,
  [13473] = 8106,
  [13474] = 8069,
  [13475] = 8363,
  [13476] = 8202,
  [13477] = 8105,
  [13478] = 8108,
  [13479] = 8107,
  [13480] = 8202,
  [13481] = 8363,
  [13482] = 8109,
  [13483] = 8110,
  [13484] = 13484,
  [13485] = 8108,
  [13486] = 8363,
  [13487] = 8111,
  [13488] = 8112,
  [13489] = 8109,
  [13490] = 8113,
  [13491] = 7320,
  [13492] = 7289,
  [13493] = 8110,
  [13494] = 8111,
  [13495] = 8112,
  [13496] = 8114,
  [13497] = 8113,
  [13498] = 8170,
  [13499] = 7882,
  [13500] = 8115,
  [13501] = 8114,
  [13502] = 8104,
  [13503] = 7882,
  [13504] = 8083,
  [13505] = 8083,
  [13506] = 8105,
  [13507] = 8115,
  [13508] = 8106,
  [13509] = 8107,
  [13510] = 8108,
  [13511] = 7990,
  [13512] = 7737,
  [13513] = 8109,
  [13514] = 8364,
  [13515] = 8110,
  [13516] = 8111,
  [13517] = 8112,
  [13518] = 7882,
  [13519] = 8104,
  [13520] = 8105,
  [13521] = 8363,
  [13522] = 8106,
  [13523] = 8107,
  [13524] = 7519,
  [13525] = 8108,
  [13526] = 8202,
  [13527] = 8109,
  [13528] = 8110,
  [13529] = 8364,
  [13530] = 8111,
  [13531] = 8112,
  [13532] = 8113,
  [13533] = 8114,
  [13534] = 8363,
  [13535] = 8115,
  [13536] = 8113,
  [13537] = 8114,
  [13538] = 8115,
  [13539] = 7524,
  [13540] = 7738,
  [13541] = 8202,
  [13542] = 7738,
  [13543] = 7990,
  [13544] = 8104,
  [13545] = 8106,
  [13546] = 8107,
  [13547] = 8108,
  [13548] = 8109,
  [13549] = 8110,
  [13550] = 8111,
  [13551] = 8112,
  [13552] = 8113,
  [13553] = 8114,
  [13554] = 8115,
  [13555] = 8104,
  [13556] = 8069,
  [13557] = 7252,
  [13558] = 8170,
  [13559] = 8083,
  [13560] = 7515,
  [13561] = 8105,
  [13562] = 8106,
  [13563] = 7882,
  [13564] = 7717,
  [13565] = 8107,
  [13566] = 8108,
  [13567] = 7717,
  [13568] = 7733,
  [13569] = 7741,
  [13570] = 8109,
  [13571] = 8110,
  [13572] = 7710,
  [13573] = 8104,
  [13574] = 8106,
  [13575] = 8107,
  [13576] = 8108,
  [13577] = 8109,
  [13578] = 8110,
  [13579] = 8111,
  [13580] = 8112,
  [13581] = 8113,
  [13582] = 8114,
  [13583] = 8115,
  [13584] = 7519,
  [13585] = 8111,
  [13586] = 8112,
  [13587] = 7733,
  [13588] = 8113,
  [13589] = 8111,
  [13590] = 8112,
  [13591] = 8113,
  [13592] = 8114,
  [13593] = 8115,
  [13594] = 7710,
  [13595] = 7990,
  [13596] = 12637,
  [13597] = 7516,
  [13598] = 13417,
  [13599] = 8114,
  [13600] = 8115,
  [13601] = 7738,
  [13602] = 7320,
  [13603] = 8363,
  [13604] = 7516,
  [13605] = 7252,
  [13606] = 7741,
  [13607] = 7710,
  [13608] = 7710,
  [13609] = 7990,
  [13610] = 8202,
  [13611] = 8364,
  [13612] = 8069,
  [13613] = 8363,
  [13614] = 7710,
  [13615] = 7252,
  [13616] = 7717,
  [13617] = 7990,
  [13618] = 8083,
  [13619] = 7882,
  [13620] = 7515,
  [13621] = 7519,
  [13622] = 8170,
  [13623] = 7737,
  [13624] = 7990,
  [13625] = 7515,
  [13626] = 7710,
  [13627] = 8363,
  [13628] = 7320,
  [13629] = 8069,
  [13630] = 7733,
  [13631] = 7252,
  [13632] = 7516,
  [13633] = 7741,
  [13634] = 7882,
  [13635] = 7517,
  [13636] = 7252,
  [13637] = 8104,
  [13638] = 8106,
  [13639] = 8107,
  [13640] = 8108,
  [13641] = 8109,
  [13642] = 8110,
  [13643] = 8111,
  [13644] = 8112,
  [13645] = 8113,
  [13646] = 8114,
  [13647] = 8115,
  [13648] = 7517,
  [13649] = 8083,
  [13650] = 8083,
  [13651] = 7710,
  [13652] = 7990,
  [13653] = 7086,
  [13654] = 6939,
  [13655] = 7117,
  [13656] = 7159,
  [13657] = 7092,
  [13658] = 7710,
  [13659] = 7733,
  [13660] = 8083,
  [13661] = 8202,
  [13662] = 6426,
  [13663] = 8170,
  [13664] = 7717,
  [13665] = 7733,
  [13666] = 7741,
  [13667] = 9751,
  [13668] = 7717,
  [13669] = 8202,
  [13670] = 8113,
  [13671] = 8363,
  [13672] = 7446,
  [13673] = 8105,
  [13674] = 8364,
  [13675] = 7515,
  [13676] = 13676,
  [13677] = 13676,
  [13678] = 8115,
  [13679] = 7516,
  [13680] = 7517,
  [13681] = 7710,
  [13682] = 7990,
  [13683] = 8083,
  [13684] = 13676,
  [13685] = 7406,
  [13686] = 8106,
  [13687] = 7285,
  [13688] = 13676,
  [13689] = 7524,
  [13690] = 8363,
  [13691] = 8108,
  [13692] = 8109,
  [13693] = 8110,
  [13694] = 7320,
  [13695] = 8105,
  [13696] = 8364,
  [13697] = 13676,
  [13698] = 8112,
  [13699] = 8115,
  [13700] = 13676,
  [13701] = 7990,
  [13702] = 13676,
  [13703] = 8363,
  [13704] = 7710,
  [13705] = 13676,
  [13706] = 8111,
  [13707] = 8114,
  [13708] = 13676,
  [13709] = 7406,
  [13710] = 8111,
  [13711] = 13676,
  [13712] = 13676,
  [13713] = 8112,
  [13714] = 8113,
  [13715] = 8114,
  [13716] = 8115,
  [13717] = 7515,
  [13718] = 7516,
  [13719] = 13676,
  [13720] = 7517,
  [13721] = 7524,
  [13722] = 13676,
  [13723] = 8202,
  [13724] = 7519,
  [13725] = 7252,
  [13726] = 13676,
  [13727] = 8105,
  [13728] = 13676,
  [13729] = 13729,
  [13730] = 7289,
  [13731] = 8106,
  [13732] = 7990,
  [13733] = 8107,
  [13734] = 8107,
  [13735] = 8111,
  [13736] = 13676,
  [13737] = 8108,
  [13738] = 13676,
  [13739] = 13676,
  [13740] = 13676,
  [13741] = 8104,
  [13742] = 8083,
  [13743] = 8105,
  [13744] = 7710,
  [13745] = 7446,
  [13746] = 7990,
  [13747] = 7519,
  [13748] = 8202,
  [13749] = 7285,
  [13750] = 8104,
  [13751] = 8083,
  [13752] = 8106,
  [13753] = 8107,
  [13754] = 8108,
  [13755] = 8109,
  [13756] = 8110,
  [13757] = 8111,
  [13758] = 8112,
  [13759] = 8113,
  [13760] = 8114,
  [13761] = 8115,
  [13762] = 8106,
  [13763] = 8107,
  [13764] = 8108,
  [13765] = 8083,
  [13766] = 8109,
  [13767] = 8110,
  [13768] = 13676,
  [13769] = 8110,
  [13770] = 8112,
  [13771] = 8202,
  [13772] = 8113,
  [13773] = 8104,
  [13774] = 7252,
  [13775] = 13676,
  [13776] = 8114,
  [13777] = 7710,
  [13778] = 7990,
  [13779] = 8115,
  [13780] = 8112,
  [13781] = 8364,
  [13782] = 8364,
  [13783] = 13676,
  [13784] = 7320,
  [13785] = 7369,
  [13786] = 7285,
  [13787] = 7519,
  [13788] = 13676,
  [13789] = 13789,
  [13790] = 8106,
  [13791] = 13676,
  [13792] = 8083,
  [13793] = 8108,
  [13794] = 8107,
  [13795] = 13676,
  [13796] = 7519,
  [13797] = 13676,
  [13798] = 8113,
  [13799] = 8105,
  [13800] = 8069,
  [13801] = 7289,
  [13802] = 13676,
  [13803] = 13676,
  [13804] = 7369,
  [13805] = 13676,
  [13806] = 13676,
  [13807] = 7710,
  [13808] = 13676,
  [13809] = 7656,
  [13810] = 7466,
  [13811] = 7357,
  [13812] = 8104,
  [13813] = 8114,
  [13814] = 8202,
  [13815] = 7678,
  [13816] = 7679,
  [13817] = 8364,
  [13818] = 7186,
  [13819] = 7488,
  [13820] = 7499,
  [13821] = 7513,
  [13822] = 7320,
  [13823] = 13676,
  [13824] = 13676,
  [13825] = 13676,
  [13826] = 7252,
  [13827] = 8109,
  [13828] = 13676,
  [13829] = 7369,
  [13830] = 13676,
  [13831] = 13676,
  [13832] = 8110,
  [13833] = 8363,
  [13834] = 6426,
  [13835] = 13676,
  [13836] = 8104,
  [13837] = 13676,
  [13838] = 13676,
  [13839] = 13676,
  [13840] = 13676,
  [13841] = 7320,
  [13842] = 13676,
  [13843] = 8363,
  [13844] = 13676,
  [13845] = 13676,
  [13846] = 7369,
  [13847] = 13676,
  [13848] = 13676,
  [13849] = 7369,
  [13850] = 13676,
  [13851] = 8109,
  [13852] = 13676,
  [13853] = 13676,
  [13854] = 13676,
  [13855] = 8111,
  [13856] = 13856,
  [13857] = 13857,
  [13858] = 13858,
  [13859] = 7369,
  [13860] = 7285,
  [13861] = 13861,
  [13862] = 13856,
  [13863] = 13856,
  [13864] = 7285,
  [13865] = 13865,
  [13866] = 13857,
  [13867] = 8364,
  [13868] = 13861,
  [13869] = 7369,
  [13870] = 13865,
  [13871] = 13856,
  [13872] = 7285,
  [13873] = 13873,
  [13874] = 13874,
  [13875] = 8105,
  [13876] = 13856,
  [13877] = 13857,
  [13878] = 13878,
  [13879] = 13861,
  [13880] = 13857,
  [13881] = 13865,
  [13882] = 8104,
  [13883] = 13883,
  [13884] = 13857,
  [13885] = 7285,
  [13886] = 8109,
  [13887] = 8110,
  [13888] = 8111,
  [13889] = 8112,
  [13890] = 8113,
  [13891] = 8114,
  [13892] = 7285,
  [13893] = 13861,
  [13894] = 13857,
  [13895] = 13856,
  [13896] = 7519,
  [13897] = 7369,
  [13898] = 8363,
  [13899] = 7369,
  [13900] = 13857,
  [13901] = 8069,
  [13902] = 7320,
  [13903] = 7289,
  [13904] = 13857,
  [13905] = 7252,
  [13906] = 7369,
  [13907] = 7369,
  [13908] = 7369,
  [13909] = 7252,
  [13910] = 7285,
  [13911] = 13883,
  [13912] = 13861,
  [13913] = 7369,
  [13914] = 13856,
  [13915] = 13856,
  [13916] = 13883,
  [13917] = 13861,
  [13918] = 13861,
  [13919] = 7515,
  [13920] = 7285,
  [13921] = 7369,
  [13922] = 7369,
  [13923] = 7285,
  [13924] = 7524,
  [13925] = 13861,
  [13926] = 7516,
  [13927] = 13927,
  [13928] = 13856,
  [13929] = 13856,
  [13930] = 13856,
  [13931] = 13861,
  [13932] = 7524,
  [13933] = 7285,
  [13934] = 13856,
  [13935] = 13856,
  [13936] = 7369,
  [13937] = 7285,
  [13938] = 7882,
  [13939] = 7517,
  [13940] = 7369,
  [13941] = 8104,
  [13942] = 8083,
  [13943] = 8106,
  [13944] = 8107,
  [13945] = 8108,
  [13946] = 8109,
  [13947] = 8110,
  [13948] = 8111,
  [13949] = 8112,
  [13950] = 8113,
  [13951] = 8114,
  [13952] = 8115,
  [13953] = 13873,
  [13954] = 13874,
  [13955] = 13861,
  [13956] = 13956,
  [13957] = 13857,
  [13958] = 13878,
  [13959] = 13873,
  [13960] = 13878,
  [13961] = 13857,
  [13962] = 13874,
  [13963] = 7285,
  [13964] = 13861,
  [13965] = 13865,
  [13966] = 13861,
  [13967] = 13873,
  [13968] = 13856,
  [13969] = 13861,
  [13970] = 7710,
  [13971] = 13857,
  [13972] = 7990,
  [13973] = 13874,
  [13974] = 7369,
  [13975] = 13873,
  [13976] = 13878,
  [13977] = 8364,
  [13978] = 7369,
  [13979] = 13878,
  [13980] = 13861,
  [13981] = 13857,
  [13982] = 13856,
  [13983] = 13856,
  [13984] = 7285,
  [13985] = 7737,
  [13986] = 13857,
  [13987] = 8364,
  [13988] = 13865,
  [13989] = 13861,
  [13990] = 13857,
  [13991] = 13883,
  [13992] = 7285,
  [13993] = 13857,
  [13994] = 8363,
  [13995] = 13856,
  [13996] = 13861,
  [13997] = 13861,
  [13998] = 13878,
  [13999] = 13857,
  [14000] = 7285,
  [14001] = 8363,
  [14002] = 13857,
  [14003] = 7369,
  [14004] = 13861,
  [14005] = 13865,
  [14006] = 13856,
  [14007] = 13874,
  [14008] = 13861,
  [14009] = 13856,
  [14010] = 13873,
  [14011] = 13874,
  [14012] = 13861,
  [14013] = 13861,
  [14014] = 13857,
  [14015] = 13878,
  [14016] = 13865,
  [14017] = 13861,
  [14018] = 13878,
  [14019] = 13861,
  [14020] = 13861,
  [14021] = 13883,
  [14022] = 13857,
  [14023] = 13861,
  [14024] = 13861,
  [14025] = 13873,
  [14026] = 13861,
  [14027] = 13856,
  [14028] = 13878,
  [14029] = 8083,
  [14030] = 7882,
  [14031] = 7738,
  [14032] = 13857,
  [14033] = 13873,
  [14034] = 13874,
  [14035] = 7710,
  [14036] = 13856,
  [14037] = 13865,
  [14038] = 13861,
  [14039] = 13883,
  [14040] = 13856,
  [14041] = 7717,
  [14042] = 13873,
  [14043] = 13874,
  [14044] = 13856,
  [14045] = 13857,
  [14046] = 7369,
  [14047] = 13857,
  [14048] = 13865,
  [14049] = 7990,
  [14050] = 8202,
  [14051] = 13883,
  [14052] = 13857,
  [14053] = 7289,
  [14054] = 7733,
  [14055] = 13861,
  [14056] = 13856,
  [14057] = 7285,
  [14058] = 13873,
  [14059] = 13874,
  [14060] = 13861,
  [14061] = 13865,
  [14062] = 13883,
  [14063] = 13873,
  [14064] = 13874,
  [14065] = 13865,
  [14066] = 14066,
  [14067] = 7741,
  [14068] = 13883,
  [14069] = 7369,
  [14070] = 13856,
  [14071] = 7524,
  [14072] = 13856,
  [14073] = 7369,
  [14074] = 13857,
  [14075] = 7285,
  [14076] = 7285,
  [14077] = 13857,
  [14078] = 13873,
  [14079] = 13874,
  [14080] = 7285,
  [14081] = 13861,
  [14082] = 13865,
  [14083] = 13878,
  [14084] = 13856,
  [14085] = 13861,
  [14086] = 7285,
  [14087] = 13883,
  [14088] = 7285,
  [14089] = 7717,
  [14090] = 7733,
  [14091] = 7741,
  [14092] = 7710,
  [14093] = 7990,
  [14094] = 13856,
  [14095] = 13856,
  [14096] = 7737,
  [14097] = 13857,
  [14098] = 7882,
  [14099] = 7369,
  [14100] = 7285,
  [14101] = 7882,
  [14102] = 13865,
  [14103] = 7285,
  [14104] = 7369,
  [14105] = 13874,
  [14106] = 13856,
  [14107] = 7369,
  [14108] = 13883,
  [14109] = 13857,
  [14110] = 13856,
  [14111] = 13856,
  [14112] = 13873,
  [14113] = 13857,
  [14114] = 13874,
  [14115] = 7369,
  [14116] = 7369,
  [14117] = 13857,
  [14118] = 13856,
  [14119] = 13878,
  [14120] = 7369,
  [14121] = 13856,
  [14122] = 7717,
  [14123] = 13856,
  [14124] = 13861,
  [14125] = 7733,
  [14126] = 13883,
  [14127] = 8170,
  [14128] = 13857,
  [14129] = 7741,
  [14130] = 13865,
  [14131] = 13856,
  [14132] = 7369,
  [14133] = 13857,
  [14134] = 13865,
  [14135] = 13857,
  [14136] = 13883,
  [14137] = 13865,
  [14138] = 13861,
  [14139] = 7369,
  [14140] = 8170,
  [14141] = 7369,
  [14142] = 13861,
  [14143] = 7285,
  [14144] = 13883,
  [14145] = 13857,
  [14146] = 7369,
  [14147] = 13861,
  [14148] = 13883,
  [14149] = 7369,
  [14150] = 13873,
  [14151] = 13861,
  [14152] = 13857,
  [14153] = 13874,
  [14154] = 7285,
  [14155] = 7285,
  [14156] = 7285,
  [14157] = 13857,
  [14158] = 7369,
  [14159] = 13856,
  [14160] = 13861,
  [14161] = 13856,
  [14162] = 13857,
  [14163] = 7285,
  [14164] = 7252,
  [14165] = 13857,
  [14166] = 13873,
  [14167] = 13856,
  [14168] = 13857,
  [14169] = 13878,
  [14170] = 13856,
  [14171] = 13861,
  [14172] = 13861,
  [14173] = 13857,
  [14174] = 13856,
  [14175] = 13861,
  [14176] = 13874,
  [14177] = 7369,
  [14178] = 7369,
  [14179] = 7285,
  [14180] = 8105,
  [14181] = 7320,
  [14182] = 13861,
  [14183] = 8106,
  [14184] = 13857,
  [14185] = 13878,
  [14186] = 13857,
  [14187] = 13857,
  [14188] = 13865,
  [14189] = 7369,
  [14190] = 13857,
  [14191] = 13861,
  [14192] = 7320,
  [14193] = 13856,
  [14194] = 7519,
  [14195] = 7285,
  [14196] = 13856,
  [14197] = 13878,
  [14198] = 13857,
  [14199] = 13883,
  [14200] = 13857,
  [14201] = 8104,
  [14202] = 13856,
  [14203] = 8105,
  [14204] = 8106,
  [14205] = 8107,
  [14206] = 8108,
  [14207] = 8109,
  [14208] = 13856,
  [14209] = 13857,
  [14210] = 7369,
  [14211] = 7285,
  [14212] = 7285,
  [14213] = 13857,
  [14214] = 7369,
  [14215] = 8083,
  [14216] = 8110,
  [14217] = 13873,
  [14218] = 13874,
  [14219] = 13861,
  [14220] = 7369,
  [14221] = 13873,
  [14222] = 13874,
  [14223] = 8111,
  [14224] = 8112,
  [14225] = 13883,
  [14226] = 8113,
  [14227] = 8114,
  [14228] = 7519,
  [14229] = 13861,
  [14230] = 13857,
  [14231] = 7320,
  [14232] = 13857,
  [14233] = 8107,
  [14234] = 7252,
  [14235] = 8170,
  [14236] = 13861,
  [14237] = 8108,
  [14238] = 13861,
  [14239] = 8202,
  [14240] = 13857,
  [14241] = 13878,
  [14242] = 13857,
  [14243] = 8115,
  [14244] = 13856,
  [14245] = 7369,
  [14246] = 13856,
  [14247] = 13861,
  [14248] = 7285,
  [14249] = 8202,
  [14250] = 14250,
  [14251] = 13856,
  [14252] = 7717,
  [14253] = 13856,
  [14254] = 13865,
  [14255] = 7733,
  [14256] = 13857,
  [14257] = 7369,
  [14258] = 13856,
  [14259] = 13861,
  [14260] = 7741,
  [14261] = 13927,
  [14262] = 13857,
  [14263] = 13873,
  [14264] = 13874,
  [14265] = 13857,
  [14266] = 13878,
  [14267] = 13858,
  [14268] = 13878,
  [14269] = 13856,
  [14270] = 13857,
  [14271] = 7285,
  [14272] = 7369,
  [14273] = 14273,
  [14274] = 13861,
  [14275] = 7369,
  [14276] = 13861,
  [14277] = 13856,
  [14278] = 13878,
  [14279] = 13857,
  [14280] = 7285,
  [14281] = 13856,
  [14282] = 13856,
  [14283] = 13861,
  [14284] = 13865,
  [14285] = 13873,
  [14286] = 13873,
  [14287] = 13857,
  [14288] = 13865,
  [14289] = 7285,
  [14290] = 14290,
  [14291] = 13878,
  [14292] = 13861,
  [14293] = 13856,
  [14294] = 13856,
  [14295] = 13874,
  [14296] = 13883,
  [14297] = 13861,
  [14298] = 13856,
  [14299] = 13878,
  [14300] = 13857,
  [14301] = 7369,
  [14302] = 7369,
  [14303] = 8069,
  [14304] = 13861,
  [14305] = 13861,
  [14306] = 13856,
  [14307] = 13856,
  [14308] = 7369,
  [14309] = 7519,
  [14310] = 7285,
  [14311] = 7285,
  [14312] = 13883,
  [14313] = 13861,
  [14314] = 13883,
  [14315] = 7515,
  [14316] = 7285,
  [14317] = 7516,
  [14318] = 13861,
  [14319] = 13857,
  [14320] = 13856,
  [14321] = 7517,
  [14322] = 13857,
  [14323] = 13878,
  [14324] = 13861,
  [14325] = 13861,
  [14326] = 13857,
  [14327] = 13857,
  [14328] = 13856,
  [14329] = 13856,
  [14330] = 13874,
  [14331] = 8115,
  [14332] = 8112,
  [14333] = 8107,
  [14334] = 8170,
  [14335] = 8363,
  [14336] = 8108,
  [14337] = 8104,
  [14338] = 8106,
  [14339] = 8202,
  [14340] = 8107,
  [14341] = 8108,
  [14342] = 8109,
  [14343] = 7252,
  [14344] = 8110,
  [14345] = 8111,
  [14346] = 8112,
  [14347] = 8113,
  [14348] = 8114,
  [14349] = 8115,
  [14350] = 8202,
  [14351] = 8109,
  [14352] = 8170,
  [14353] = 8363,
  [14354] = 8110,
  [14355] = 8111,
  [14356] = 8112,
  [14357] = 8170,
  [14358] = 8083,
  [14359] = 7710,
  [14360] = 8083,
  [14361] = 8170,
  [14362] = 8170,
  [14363] = 8170,
  [14364] = 8113,
  [14365] = 8364,
  [14366] = 8114,
  [14367] = 8115,
  [14368] = 14368,
  [14369] = 8170,
  [14370] = 8170,
  [14371] = 8104,
  [14372] = 7710,
  [14373] = 7990,
  [14374] = 8170,
  [14375] = 8170,
  [14376] = 8109,
  [14377] = 8202,
  [14378] = 8363,
  [14379] = 8170,
  [14380] = 8105,
  [14381] = 8364,
  [14382] = 8170,
  [14383] = 8202,
  [14384] = 8170,
  [14385] = 8170,
  [14386] = 8110,
  [14387] = 8170,
  [14388] = 8111,
  [14389] = 8112,
  [14390] = 8111,
  [14391] = 8170,
  [14392] = 8170,
  [14393] = 8107,
  [14394] = 8170,
  [14395] = 8170,
  [14396] = 8114,
  [14397] = 8170,
  [14398] = 8113,
  [14399] = 8115,
  [14400] = 8114,
  [14401] = 8364,
  [14402] = 8115,
  [14403] = 7990,
  [14404] = 8170,
  [14405] = 8363,
  [14406] = 8108,
  [14407] = 8083,
  [14408] = 7710,
  [14409] = 8104,
  [14410] = 7990,
  [14411] = 8170,
  [14412] = 8170,
  [14413] = 8170,
  [14414] = 8105,
  [14415] = 8106,
  [14416] = 8107,
  [14417] = 8108,
  [14418] = 8106,
  [14419] = 8170,
  [14420] = 8069,
  [14421] = 8170,
  [14422] = 8170,
  [14423] = 8104,
  [14424] = 8364,
  [14425] = 8170,
  [14426] = 8170,
  [14427] = 8170,
  [14428] = 8105,
  [14429] = 7252,
  [14430] = 8083,
  [14431] = 7710,
  [14432] = 7990,
  [14433] = 8170,
  [14434] = 8170,
  [14435] = 8170,
  [14436] = 8170,
  [14437] = 8109,
  [14438] = 8170,
  [14439] = 8110,
  [14440] = 8106,
  [14441] = 14290,
  [14442] = 8069,
  [14443] = 7289,
  [14444] = 8170,
  [14445] = 7320,
  [14446] = 8170,
  [14447] = 14273,
  [14448] = 8170,
  [14449] = 8105,
  [14450] = 8113,
  [14451] = 8111,
  [14452] = 14452,
  [14453] = 8202,
  [14454] = 8364,
  [14455] = 7990,
  [14456] = 8083,
  [14457] = 14452,
  [14458] = 14452,
  [14459] = 8202,
  [14460] = 8364,
  [14461] = 14452,
  [14462] = 7213,
  [14463] = 14452,
  [14464] = 14464,
  [14465] = 14464,
  [14466] = 14452,
  [14467] = 8114,
  [14468] = 14464,
  [14469] = 14469,
  [14470] = 14452,
  [14471] = 7710,
  [14472] = 8363,
  [14473] = 14452,
  [14474] = 7990,
  [14475] = 14452,
  [14476] = 8112,
  [14477] = 14464,
  [14478] = 14452,
  [14479] = 14464,
  [14480] = 8115,
  [14481] = 14464,
  [14482] = 14452,
  [14483] = 14464,
  [14484] = 14464,
  [14485] = 7710,
  [14486] = 14469,
  [14487] = 8069,
  [14488] = 14452,
  [14489] = 14464,
  [14490] = 14452,
  [14491] = 14452,
  [14492] = 8104,
  [14493] = 8105,
  [14494] = 8106,
  [14495] = 8107,
  [14496] = 8108,
  [14497] = 8109,
  [14498] = 8110,
  [14499] = 8111,
  [14500] = 14452,
  [14501] = 8112,
  [14502] = 8113,
  [14503] = 8114,
  [14504] = 8115,
  [14505] = 14464,
  [14506] = 14452,
  [14507] = 14452,
  [14508] = 14452,
  [14509] = 14464,
  [14510] = 14452,
  [14511] = 14452,
  [14512] = 14452,
  [14513] = 14452,
  [14514] = 14464,
  [14515] = 14452,
  [14516] = 14452,
  [14517] = 14464,
  [14518] = 14452,
  [14519] = 14452,
  [14520] = 14452,
  [14521] = 14452,
  [14522] = 14452,
  [14523] = 8113,
  [14524] = 14452,
  [14525] = 14452,
  [14526] = 14452,
  [14527] = 14452,
  [14528] = 14464,
  [14529] = 14452,
  [14530] = 14452,
  [14531] = 14464,
  [14532] = 14273,
  [14533] = 14464,
  [14534] = 14452,
  [14535] = 14464,
  [14536] = 14464,
  [14537] = 8363,
  [14538] = 14464,
  [14539] = 14464,
  [14540] = 14464,
  [14541] = 14452,
  [14542] = 14464,
  [14543] = 14464,
  [14544] = 14464,
  [14545] = 14452,
  [14546] = 14464,
  [14547] = 14464,
  [14548] = 14464,
  [14549] = 14464,
  [14550] = 14464,
  [14551] = 14464,
  [14552] = 14464,
  [14553] = 14464,
  [14554] = 14452,
  [14555] = 14464,
  [14556] = 14452,
  [14557] = 14452,
  [14558] = 14452,
  [14559] = 14464,
  [14560] = 14464,
  [14561] = 14464,
  [14562] = 14464,
  [14563] = 8083,
  [14564] = 14464,
  [14565] = 14452,
  [14566] = 14452,
  [14567] = 14464,
  [14568] = 14469,
  [14569] = 8104,
  [14570] = 14452,
  [14571] = 14469,
  [14572] = 8105,
  [14573] = 14452,
  [14574] = 8106,
  [14575] = 14464,
  [14576] = 8107,
  [14577] = 8108,
  [14578] = 8109,
  [14579] = 8110,
  [14580] = 14464,
  [14581] = 14581,
  [14582] = 14581,
  [14583] = 14581,
  [14584] = 14581,
  [14585] = 14581,
  [14586] = 14581,
  [14587] = 14581,
  [14588] = 14588,
  [14589] = 14589,
  [14590] = 14590,
  [14591] = 14589,
  [14592] = 7446,
  [14593] = 14593,
  [14594] = 14593,
  [14595] = 14593,
  [14596] = 14593,
  [14597] = 14593,
  [14598] = 14593,
  [14599] = 14599,
  [14600] = 14593,
  [14601] = 7406,
  [14602] = 14602,
  [14603] = 14593,
  [14604] = 14593,
  [14605] = 14593,
  [14606] = 14593,
  [14607] = 14602,
  [14608] = 7406,
  [14609] = 14593,
  [14610] = 7446,
  [14611] = 14593,
  [14612] = 14590,
  [14613] = 7446,
  [14614] = 7446,
  [14615] = 7406,
  [14616] = 7446,
  [14617] = 9986,
  [14618] = 7406,
  [14619] = 14619,
  [14620] = 14620,
  [14621] = 14619,
  [14622] = 14622,
  [14623] = 7406,
  [14624] = 14624,
  [14625] = 14625,
  [14626] = 14626,
  [14627] = 14627,
  [14628] = 14628,
  [14629] = 14629,
  [14630] = 14630,
  [14631] = 14631,
  [14632] = 14632,
  [14633] = 14633,
  [14634] = 14634,
  [14635] = 14635,
  [14636] = 14626,
  [14637] = 14625,
  [14638] = 14638,
  [14639] = 14638,
  [14640] = 14626,
  [14641] = 14627,
  [14642] = 14638,
  [14643] = 14627,
  [14644] = 14627,
  [14645] = 14628,
  [14646] = 14629,
  [14647] = 14630,
  [14648] = 14631,
  [14649] = 14632,
  [14650] = 14633,
  [14651] = 14634,
  [14652] = 14635,
  [14653] = 14626,
  [14654] = 14638,
  [14655] = 14631,
  [14656] = 14632,
  [14657] = 14657,
  [14658] = 14658,
  [14659] = 14633,
  [14660] = 14634,
  [14661] = 14628,
  [14662] = 14662,
  [14663] = 14627,
  [14664] = 14628,
  [14665] = 14629,
  [14666] = 14630,
  [14667] = 14638,
  [14668] = 14631,
  [14669] = 14632,
  [14670] = 14633,
  [14671] = 14634,
  [14672] = 14635,
  [14673] = 14626,
  [14674] = 14638,
  [14675] = 4568,
  [14676] = 14627,
  [14677] = 14628,
  [14678] = 14629,
  [14679] = 14630,
  [14680] = 14631,
  [14681] = 14632,
  [14682] = 14633,
  [14683] = 14634,
  [14684] = 14635,
  [14685] = 14626,
  [14686] = 14624,
  [14687] = 14687,
  [14688] = 14638,
  [14689] = 14629,
  [14690] = 14630,
  [14691] = 14627,
  [14692] = 14628,
  [14693] = 14629,
  [14694] = 14630,
  [14695] = 14631,
  [14696] = 14632,
  [14697] = 14633,
  [14698] = 14634,
  [14699] = 14635,
  [14700] = 14626,
  [14701] = 14701,
  [14702] = 14638,
  [14703] = 14628,
  [14704] = 14629,
  [14705] = 14627,
  [14706] = 14628,
  [14707] = 14629,
  [14708] = 14630,
  [14709] = 14627,
  [14710] = 14631,
  [14711] = 14632,
  [14712] = 14633,
  [14713] = 14634,
  [14714] = 14635,
  [14715] = 14626,
  [14716] = 14628,
  [14717] = 14629,
  [14718] = 14630,
  [14719] = 14638,
  [14720] = 14720,
  [14721] = 14627,
  [14722] = 14722,
  [14723] = 14628,
  [14724] = 14629,
  [14725] = 14725,
  [14726] = 14627,
  [14727] = 14628,
  [14728] = 14629,
  [14729] = 14630,
  [14730] = 14638,
  [14731] = 14631,
  [14732] = 14632,
  [14733] = 14633,
  [14734] = 14634,
  [14735] = 14635,
  [14736] = 14626,
  [14737] = 14631,
  [14738] = 14632,
  [14739] = 14633,
  [14740] = 14638,
  [14741] = 14634,
  [14742] = 14635,
  [14743] = 14626,
  [14744] = 14630,
  [14745] = 14625,
  [14746] = 14627,
  [14747] = 14628,
  [14748] = 14629,
  [14749] = 14630,
  [14750] = 14631,
  [14751] = 14632,
  [14752] = 14633,
  [14753] = 14634,
  [14754] = 14635,
  [14755] = 14626,
  [14756] = 14638,
  [14757] = 14638,
  [14758] = 14627,
  [14759] = 14628,
  [14760] = 14629,
  [14761] = 14630,
  [14762] = 14631,
  [14763] = 14631,
  [14764] = 14632,
  [14765] = 14633,
  [14766] = 14634,
  [14767] = 14635,
  [14768] = 14626,
  [14769] = 14638,
  [14770] = 14635,
  [14771] = 14626,
  [14772] = 14627,
  [14773] = 14628,
  [14774] = 14629,
  [14775] = 14630,
  [14776] = 14631,
  [14777] = 14632,
  [14778] = 14633,
  [14779] = 14634,
  [14780] = 14635,
  [14781] = 14626,
  [14782] = 14638,
  [14783] = 14631,
  [14784] = 14632,
  [14785] = 14662,
  [14786] = 14627,
  [14787] = 14628,
  [14788] = 14629,
  [14789] = 14630,
  [14790] = 14633,
  [14791] = 14631,
  [14792] = 14632,
  [14793] = 14633,
  [14794] = 14634,
  [14795] = 14635,
  [14796] = 14626,
  [14797] = 14627,
  [14798] = 14628,
  [14799] = 14629,
  [14800] = 14630,
  [14801] = 14638,
  [14802] = 14634,
  [14803] = 14625,
  [14804] = 14627,
  [14805] = 14628,
  [14806] = 14629,
  [14807] = 14630,
  [14808] = 14632,
  [14809] = 14631,
  [14810] = 14632,
  [14811] = 14633,
  [14812] = 14634,
  [14813] = 14635,
  [14814] = 14626,
  [14815] = 14633,
  [14816] = 14634,
  [14817] = 14638,
  [14818] = 14638,
  [14819] = 14635,
  [14820] = 14626,
  [14821] = 14627,
  [14822] = 14628,
  [14823] = 14627,
  [14824] = 14628,
  [14825] = 14629,
  [14826] = 14630,
  [14827] = 14629,
  [14828] = 14630,
  [14829] = 14631,
  [14830] = 14632,
  [14831] = 14633,
  [14832] = 14634,
  [14833] = 14635,
  [14834] = 14626,
  [14835] = 14638,
  [14836] = 14836,
  [14837] = 14625,
  [14838] = 14631,
  [14839] = 14632,
  [14840] = 14633,
  [14841] = 14627,
  [14842] = 14628,
  [14843] = 14629,
  [14844] = 14630,
  [14845] = 14634,
  [14846] = 14631,
  [14847] = 14632,
  [14848] = 14633,
  [14849] = 14634,
  [14850] = 14635,
  [14851] = 14626,
  [14852] = 14638,
  [14853] = 14631,
  [14854] = 14632,
  [14855] = 14633,
  [14856] = 14634,
  [14857] = 14627,
  [14858] = 14628,
  [14859] = 14629,
  [14860] = 14630,
  [14861] = 14638,
  [14862] = 14631,
  [14863] = 14632,
  [14864] = 14633,
  [14865] = 14634,
  [14866] = 14635,
  [14867] = 14626,
  [14868] = 14720,
  [14869] = 14725,
  [14870] = 14638,
  [14871] = 14635,
  [14872] = 14626,
  [14873] = 14625,
  [14874] = 14627,
  [14875] = 14628,
  [14876] = 14629,
  [14877] = 14630,
  [14878] = 14635,
  [14879] = 14631,
  [14880] = 14632,
  [14881] = 14633,
  [14882] = 14634,
  [14883] = 14635,
  [14884] = 14626,
  [14885] = 14626,
  [14886] = 14638,
  [14887] = 14638,
  [14888] = 14625,
  [14889] = 14630,
  [14890] = 14627,
  [14891] = 14628,
  [14892] = 14629,
  [14893] = 14630,
  [14894] = 14638,
  [14895] = 14631,
  [14896] = 14632,
  [14897] = 14633,
  [14898] = 14634,
  [14899] = 14635,
  [14900] = 14626,
  [14901] = 14901,
  [14902] = 14638,
  [14903] = 14627,
  [14904] = 14628,
  [14905] = 14629,
  [14906] = 14630,
  [14907] = 14631,
  [14908] = 14632,
  [14909] = 14633,
  [14910] = 14634,
  [14911] = 14635,
  [14912] = 14626,
  [14913] = 14638,
  [14914] = 14657,
  [14915] = 14658,
  [14916] = 14627,
  [14917] = 14628,
  [14918] = 14629,
  [14919] = 14630,
  [14920] = 14631,
  [14921] = 14632,
  [14922] = 14633,
  [14923] = 14634,
  [14924] = 14635,
  [14925] = 14626,
  [14926] = 14638,
  [14927] = 14657,
  [14928] = 14658,
  [14929] = 14627,
  [14930] = 14628,
  [14931] = 14629,
  [14932] = 14630,
  [14933] = 14631,
  [14934] = 14632,
  [14935] = 14633,
  [14936] = 14634,
  [14937] = 14635,
  [14938] = 14626,
  [14939] = 14638,
  [14940] = 14836,
  [14941] = 14627,
  [14942] = 14628,
  [14943] = 14629,
  [14944] = 14630,
  [14945] = 14624,
  [14946] = 14631,
  [14947] = 14632,
  [14948] = 14633,
  [14949] = 14634,
  [14950] = 14635,
  [14951] = 14626,
  [14952] = 14687,
  [14953] = 14638,
  [14954] = 14627,
  [14955] = 7446,
  [14956] = 14628,
  [14957] = 14629,
  [14958] = 14630,
  [14959] = 14627,
  [14960] = 14628,
  [14961] = 14629,
  [14962] = 14630,
  [14963] = 14631,
  [14964] = 14632,
  [14965] = 14633,
  [14966] = 14634,
  [14967] = 14635,
  [14968] = 14626,
  [14969] = 14701,
  [14970] = 14638,
  [14971] = 14624,
  [14972] = 14627,
  [14973] = 14628,
  [14974] = 14629,
  [14975] = 14630,
  [14976] = 14631,
  [14977] = 14631,
  [14978] = 14632,
  [14979] = 14633,
  [14980] = 14634,
  [14981] = 14635,
  [14982] = 14626,
  [14983] = 14632,
  [14984] = 14633,
  [14985] = 14634,
  [14986] = 14638,
  [14987] = 14635,
  [14988] = 14626,
  [14989] = 14625,
  [14990] = 14627,
  [14991] = 14628,
  [14992] = 14629,
  [14993] = 14630,
  [14994] = 7406,
  [14995] = 7406,
  [14996] = 14631,
  [14997] = 14632,
  [14998] = 14633,
  [14999] = 14634,
  [15000] = 14635,
  [15001] = 14626,
  [15002] = 14638,
  [15003] = 14638,
  [15004] = 14722,
  [15005] = 14635,
  [15006] = 14657,
  [15007] = 14627,
  [15008] = 14628,
  [15009] = 14629,
  [15010] = 14630,
  [15011] = 14631,
  [15012] = 14632,
  [15013] = 14633,
  [15014] = 14634,
  [15015] = 14635,
  [15016] = 14626,
  [15017] = 14720,
  [15018] = 14638,
  [15019] = 14725,
  [15020] = 14687,
  [15021] = 15021,
  [15022] = 14627,
  [15023] = 14628,
  [15024] = 14629,
  [15025] = 14630,
  [15026] = 15026,
  [15027] = 14631,
  [15028] = 14632,
  [15029] = 14633,
  [15030] = 14634,
  [15031] = 14635,
  [15032] = 14626,
  [15033] = 14638,
  [15034] = 15034,
  [15035] = 15035,
  [15036] = 14627,
  [15037] = 14658,
  [15038] = 14627,
  [15039] = 14628,
  [15040] = 14629,
  [15041] = 14630,
  [15042] = 14631,
  [15043] = 14632,
  [15044] = 14633,
  [15045] = 14634,
  [15046] = 14635,
  [15047] = 14626,
  [15048] = 14619,
  [15049] = 14638,
  [15050] = 14627,
  [15051] = 14628,
  [15052] = 14629,
  [15053] = 14630,
  [15054] = 14628,
  [15055] = 14629,
  [15056] = 14630,
  [15057] = 15057,
  [15058] = 14627,
  [15059] = 14628,
  [15060] = 14629,
  [15061] = 14630,
  [15062] = 14631,
  [15063] = 14632,
  [15064] = 14633,
  [15065] = 14634,
  [15066] = 14631,
  [15067] = 14632,
  [15068] = 14635,
  [15069] = 14626,
  [15070] = 14633,
  [15071] = 14631,
  [15072] = 14632,
  [15073] = 14633,
  [15074] = 14634,
  [15075] = 14634,
  [15076] = 14625,
  [15077] = 14624,
  [15078] = 14635,
  [15079] = 14626,
  [15080] = 14625,
  [15081] = 14638,
  [15082] = 14638,
  [15083] = 14687,
  [15084] = 14619,
  [15085] = 14631,
  [15086] = 14701,
  [15087] = 14720,
  [15088] = 14725,
  [15089] = 14635,
  [15090] = 14626,
  [15091] = 14625,
  [15092] = 14638,
  [15093] = 14627,
  [15094] = 14628,
  [15095] = 14629,
  [15096] = 14701,
  [15097] = 14627,
  [15098] = 14624,
  [15099] = 14657,
  [15100] = 14658,
  [15101] = 14630,
  [15102] = 14627,
  [15103] = 14628,
  [15104] = 14629,
  [15105] = 14630,
  [15106] = 14631,
  [15107] = 14632,
  [15108] = 14633,
  [15109] = 14634,
  [15110] = 14635,
  [15111] = 14626,
  [15112] = 14625,
  [15113] = 14631,
  [15114] = 14638,
  [15115] = 14635,
  [15116] = 14632,
  [15117] = 14635,
  [15118] = 14687,
  [15119] = 15119,
  [15120] = 14687,
  [15121] = 14626,
  [15122] = 14627,
  [15123] = 14701,
  [15124] = 14628,
  [15125] = 14627,
  [15126] = 14628,
  [15127] = 14629,
  [15128] = 14630,
  [15129] = 14629,
  [15130] = 14630,
  [15131] = 14625,
  [15132] = 14627,
  [15133] = 14628,
  [15134] = 14629,
  [15135] = 14630,
  [15136] = 7882,
  [15137] = 14631,
  [15138] = 14632,
  [15139] = 14633,
  [15140] = 14634,
  [15141] = 14635,
  [15142] = 14626,
  [15143] = 14625,
  [15144] = 14638,
  [15145] = 14627,
  [15146] = 14628,
  [15147] = 14629,
  [15148] = 14630,
  [15149] = 14657,
  [15150] = 14628,
  [15151] = 14638,
  [15152] = 14633,
  [15153] = 14619,
  [15154] = 14627,
  [15155] = 14628,
  [15156] = 14629,
  [15157] = 14630,
  [15158] = 14631,
  [15159] = 14631,
  [15160] = 14632,
  [15161] = 14633,
  [15162] = 14720,
  [15163] = 14632,
  [15164] = 14634,
  [15165] = 14627,
  [15166] = 14628,
  [15167] = 14629,
  [15168] = 14630,
  [15169] = 14633,
  [15170] = 14634,
  [15171] = 14631,
  [15172] = 14632,
  [15173] = 14633,
  [15174] = 14634,
  [15175] = 14633,
  [15176] = 14635,
  [15177] = 14626,
  [15178] = 14635,
  [15179] = 14625,
  [15180] = 14626,
  [15181] = 14631,
  [15182] = 14632,
  [15183] = 14633,
  [15184] = 14634,
  [15185] = 14634,
  [15186] = 14638,
  [15187] = 14625,
  [15188] = 14634,
  [15189] = 14631,
  [15190] = 14720,
  [15191] = 14725,
  [15192] = 14638,
  [15193] = 14635,
  [15194] = 14626,
  [15195] = 14625,
  [15196] = 14720,
  [15197] = 14725,
  [15198] = 14638,
  [15199] = 14635,
  [15200] = 14626,
  [15201] = 14657,
  [15202] = 14658,
  [15203] = 14635,
  [15204] = 14627,
  [15205] = 14628,
  [15206] = 14629,
  [15207] = 14630,
  [15208] = 4555,
  [15209] = 14631,
  [15210] = 14624,
  [15211] = 14632,
  [15212] = 14633,
  [15213] = 14687,
  [15214] = 14634,
  [15215] = 14635,
  [15216] = 14626,
  [15217] = 14625,
  [15218] = 14626,
  [15219] = 14701,
  [15220] = 14638,
  [15221] = 14627,
  [15222] = 14624,
  [15223] = 14725,
  [15224] = 14625,
  [15225] = 14628,
  [15226] = 14657,
  [15227] = 14629,
  [15228] = 14901,
  [15229] = 14638,
  [15230] = 14630,
  [15231] = 14687,
  [15232] = 14627,
  [15233] = 14628,
  [15234] = 14629,
  [15235] = 14627,
  [15236] = 14628,
  [15237] = 14629,
  [15238] = 14630,
  [15239] = 14630,
  [15240] = 14625,
  [15241] = 14631,
  [15242] = 14632,
  [15243] = 14658,
  [15244] = 14633,
  [15245] = 14634,
  [15246] = 14635,
  [15247] = 14626,
  [15248] = 14625,
  [15249] = 14627,
  [15250] = 14638,
  [15251] = 14628,
  [15252] = 14629,
  [15253] = 14630,
  [15254] = 14625,
  [15255] = 14657,
  [15256] = 14658,
  [15257] = 14657,
  [15258] = 14658,
  [15259] = 14627,
  [15260] = 14628,
  [15261] = 14629,
  [15262] = 14630,
  [15263] = 14631,
  [15264] = 14631,
  [15265] = 14631,
  [15266] = 14632,
  [15267] = 14633,
  [15268] = 14634,
  [15269] = 14632,
  [15270] = 14633,
  [15271] = 14634,
  [15272] = 14635,
  [15273] = 14626,
  [15274] = 14632,
  [15275] = 14625,
  [15276] = 14638,
  [15277] = 14633,
  [15278] = 14720,
  [15279] = 14725,
  [15280] = 14634,
  [15281] = 14635,
  [15282] = 14626,
  [15283] = 14635,
  [15284] = 14626,
  [15285] = 14625,
  [15286] = 14638,
  [15287] = 14624,
  [15288] = 14687,
  [15289] = 14627,
  [15290] = 14628,
  [15291] = 14629,
  [15292] = 14630,
  [15293] = 14631,
  [15294] = 14632,
  [15295] = 14638,
  [15296] = 14633,
  [15297] = 14634,
  [15298] = 14635,
  [15299] = 14625,
  [15300] = 14638,
  [15301] = 14626,
  [15302] = 14631,
  [15303] = 14625,
  [15304] = 14632,
  [15305] = 14633,
  [15306] = 7446,
  [15307] = 14632,
  [15308] = 14638,
  [15309] = 14634,
  [15310] = 14657,
  [15311] = 14658,
  [15312] = 14701,
  [15313] = 14633,
  [15314] = 14634,
  [15315] = 14720,
  [15316] = 14725,
  [15317] = 14626,
  [15318] = 14625,
  [15319] = 14701,
  [15320] = 14624,
  [15321] = 14627,
  [15322] = 14628,
  [15323] = 14629,
  [15324] = 14687,
  [15325] = 14630,
  [15326] = 14701,
  [15327] = 14631,
  [15328] = 14632,
  [15329] = 14633,
  [15330] = 14629,
  [15331] = 14634,
  [15332] = 14627,
  [15333] = 14635,
  [15334] = 14626,
  [15335] = 14628,
  [15336] = 14625,
  [15337] = 14629,
  [15338] = 14630,
  [15339] = 14630,
  [15340] = 14638,
  [15341] = 14627,
  [15342] = 14628,
  [15343] = 14629,
  [15344] = 14630,
  [15345] = 14701,
  [15346] = 14627,
  [15347] = 14628,
  [15348] = 14629,
  [15349] = 14630,
  [15350] = 14627,
  [15351] = 14631,
  [15352] = 14631,
  [15353] = 14632,
  [15354] = 14633,
  [15355] = 14634,
  [15356] = 14632,
  [15357] = 14635,
  [15358] = 14625,
  [15359] = 14626,
  [15360] = 14633,
  [15361] = 14625,
  [15362] = 14634,
  [15363] = 14638,
  [15364] = 14628,
  [15365] = 14624,
  [15366] = 14625,
  [15367] = 14687,
  [15368] = 14629,
  [15369] = 14625,
  [15370] = 14630,
  [15371] = 14631,
  [15372] = 14720,
  [15373] = 14632,
  [15374] = 14725,
  [15375] = 14625,
  [15376] = 14633,
  [15377] = 14625,
  [15378] = 14627,
  [15379] = 14628,
  [15380] = 14625,
  [15381] = 14629,
  [15382] = 14631,
  [15383] = 14630,
  [15384] = 14632,
  [15385] = 14633,
  [15386] = 14634,
  [15387] = 14625,
  [15388] = 14631,
  [15389] = 14632,
  [15390] = 14633,
  [15391] = 14634,
  [15392] = 14635,
  [15393] = 14626,
  [15394] = 14625,
  [15395] = 9988,
  [15396] = 14720,
  [15397] = 14725,
  [15398] = 14638,
  [15399] = 14635,
  [15400] = 14626,
  [15401] = 14625,
  [15402] = 15057,
  [15403] = 14631,
  [15404] = 14638,
  [15405] = 14632,
  [15406] = 14633,
  [15407] = 14634,
  [15408] = 7882,
  [15409] = 14635,
  [15410] = 4625,
  [15411] = 4626,
  [15412] = 14657,
  [15413] = 14658,
  [15414] = 4630,
  [15415] = 4579,
  [15416] = 14635,
  [15417] = 14626,
  [15418] = 14626,
  [15419] = 14627,
  [15420] = 14628,
  [15421] = 14629,
  [15422] = 14630,
  [15423] = 14625,
  [15424] = 14634,
  [15425] = 14720,
  [15426] = 14624,
  [15427] = 14687,
  [15428] = 14631,
  [15429] = 14632,
  [15430] = 14633,
  [15431] = 14634,
  [15432] = 14701,
  [15433] = 14635,
  [15434] = 14626,
  [15435] = 14625,
  [15436] = 4539,
  [15437] = 14638,
  [15438] = 14638,
  [15439] = 14638,
  [15440] = 14725,
  [15441] = 14635,
  [15442] = 14627,
  [15443] = 14628,
  [15444] = 14629,
  [15445] = 14630,
  [15446] = 14625,
  [15447] = 14701,
  [15448] = 14627,
  [15449] = 14628,
  [15450] = 14629,
  [15451] = 14630,
  [15452] = 14625,
  [15453] = 14631,
  [15454] = 14632,
  [15455] = 14633,
  [15456] = 14634,
  [15457] = 14625,
  [15458] = 14635,
  [15459] = 14626,
  [15460] = 14625,
  [15461] = 14625,
  [15462] = 14625,
  [15463] = 14658,
  [15464] = 14625,
  [15465] = 14625,
  [15466] = 14625,
  [15467] = 14625,
  [15468] = 14626,
  [15469] = 14625,
  [15470] = 14638,
  [15471] = 14635,
  [15472] = 14632,
  [15473] = 15473,
  [15474] = 15473,
  [15475] = 15475,
  [15476] = 15476,
  [15477] = 15473,
  [15478] = 15475,
  [15479] = 15473,
  [15480] = 15475,
  [15481] = 15473,
  [15482] = 15475,
  [15483] = 15473,
  [15484] = 15475,
  [15485] = 14901,
  [15486] = 15486,
  [15487] = 15487,
  [15488] = 15488,
  [15489] = 15487,
  [15490] = 15476,
  [15491] = 15491,
  [15492] = 15486,
  [15493] = 15488,
  [15494] = 15488,
  [15495] = 14722,
  [15496] = 15496,
  [15497] = 15476,
  [15498] = 15486,
  [15499] = 15476,
  [15500] = 15496,
  [15501] = 15501,
  [15502] = 14619,
  [15503] = 14599,
  [15504] = 15504,
  [15505] = 15486,
  [15506] = 15476,
  [15507] = 15476,
  [15508] = 15486,
  [15509] = 4581,
  [15510] = 15488,
  [15511] = 14722,
  [15512] = 15491,
  [15513] = 15496,
  [15514] = 15476,
  [15515] = 15491,
  [15516] = 15476,
  [15517] = 15057,
  [15518] = 15491,
  [15519] = 15476,
  [15520] = 15491,
  [15521] = 15488,
  [15522] = 15486,
  [15523] = 15491,
  [15524] = 15491,
  [15525] = 15057,
  [15526] = 15496,
  [15527] = 15488,
  [15528] = 7882,
  [15529] = 15491,
  [15530] = 15476,
  [15531] = 15496,
  [15532] = 15486,
  [15533] = 15488,
  [15534] = 7882,
  [15535] = 15476,
  [15536] = 15476,
  [15537] = 15491,
  [15538] = 15491,
  [15539] = 15476,
  [15540] = 15486,
  [15541] = 15488,
  [15542] = 15476,
  [15543] = 15491,
  [15544] = 15491,
  [15545] = 15486,
  [15546] = 15476,
  [15547] = 15487,
  [15548] = 15473,
  [15549] = 15496,
  [15550] = 14619,
  [15551] = 15476,
  [15552] = 15501,
  [15553] = 15487,
  [15554] = 15491,
  [15555] = 15486,
  [15556] = 14662,
  [15557] = 15476,
  [15558] = 15501,
  [15559] = 15476,
  [15560] = 15486,
  [15561] = 15488,
  [15562] = 15057,
  [15563] = 15476,
  [15564] = 15486,
  [15565] = 15476,
  [15566] = 15488,
  [15567] = 15486,
  [15568] = 15476,
  [15569] = 15488,
  [15570] = 15486,
  [15571] = 15476,
  [15572] = 15488,
  [15573] = 15487,
  [15574] = 15476,
  [15575] = 15488,
  [15576] = 15486,
  [15577] = 15487,
  [15578] = 15476,
  [15579] = 15496,
  [15580] = 15501,
  [15581] = 15476,
  [15582] = 15582,
  [15583] = 15476,
  [15584] = 15473,
  [15585] = 15491,
  [15586] = 15475,
  [15587] = 15476,
  [15588] = 15476,
  [15589] = 15491,
  [15590] = 15504,
  [15591] = 15476,
  [15592] = 15486,
  [15593] = 15476,
  [15594] = 14836,
  [15595] = 15491,
  [15596] = 15582,
  [15597] = 15486,
  [15598] = 15491,
  [15599] = 15488,
  [15600] = 15473,
  [15601] = 15475,
  [15602] = 15476,
  [15603] = 15491,
  [15604] = 15496,
  [15605] = 15476,
  [15606] = 15476,
  [15607] = 14662,
  [15608] = 15486,
  [15609] = 15476,
  [15610] = 15476,
  [15611] = 15486,
  [15612] = 15488,
  [15613] = 15486,
  [15614] = 15488,
  [15615] = 15487,
  [15616] = 15476,
  [15617] = 15486,
  [15618] = 15488,
  [15619] = 15488,
  [15620] = 15582,
  [15621] = 15486,
  [15622] = 15488,
  [15623] = 15473,
  [15624] = 15475,
  [15625] = 15488,
  [15626] = 15504,
  [15627] = 15476,
  [15628] = 15488,
  [15629] = 15491,
  [15630] = 15504,
  [15631] = 15501,
  [15632] = 15476,
  [15633] = 14836,
  [15634] = 15501,
  [15635] = 15488,
  [15636] = 14588,
  [15637] = 15476,
  [15638] = 15638,
  [15639] = 15491,
  [15640] = 15486,
  [15641] = 15504,
  [15642] = 15487,
  [15643] = 15582,
  [15644] = 15491,
  [15645] = 15476,
  [15646] = 15473,
  [15647] = 15501,
  [15648] = 15475,
  [15649] = 15486,
  [15650] = 15488,
  [15651] = 15488,
  [15652] = 15501,
  [15653] = 15476,
  [15654] = 14901,
  [15655] = 15496,
  [15656] = 15476,
  [15657] = 15504,
  [15658] = 15476,
  [15659] = 15486,
  [15660] = 15488,
  [15661] = 15476,
  [15662] = 15491,
  [15663] = 15476,
  [15664] = 15491,
  [15665] = 15582,
  [15666] = 15473,
  [15667] = 15475,
  [15668] = 15501,
  [15669] = 15476,
  [15670] = 15476,
  [15671] = 14836,
  [15672] = 15486,
  [15673] = 15488,
  [15674] = 15488,
  [15675] = 15476,
  [15676] = 15486,
  [15677] = 15582,
  [15678] = 15491,
  [15679] = 15491,
  [15680] = 15473,
  [15681] = 15475,
  [15682] = 15487,
  [15683] = 15491,
  [15684] = 15487,
  [15685] = 15488,
  [15686] = 15476,
  [15687] = 15488,
  [15688] = 15486,
  [15689] = 15476,
  [15690] = 15488,
  [15691] = 15491,
  [15692] = 14662,
  [15693] = 15488,
  [15694] = 15582,
  [15695] = 15582,
  [15696] = 15476,
  [15697] = 15486,
  [15698] = 15488,
  [15699] = 15473,
  [15700] = 15475,
  [15701] = 7882,
  [15702] = 15473,
  [15703] = 15486,
  [15704] = 15475,
  [15705] = 15582,
  [15706] = 15504,
  [15707] = 15473,
  [15708] = 15475,
  [15709] = 15491,
  [15710] = 15582,
  [15711] = 15473,
  [15712] = 15475,
  [15713] = 15476,
  [15714] = 15496,
  [15715] = 15476,
  [15716] = 15491,
  [15717] = 15491,
  [15718] = 15582,
  [15719] = 15496,
  [15720] = 15487,
  [15721] = 15473,
  [15722] = 15476,
  [15723] = 15475,
  [15724] = 15504,
  [15725] = 15473,
  [15726] = 15475,
  [15727] = 15486,
  [15728] = 15473,
  [15729] = 15504,
  [15730] = 15475,
  [15731] = 15486,
  [15732] = 15473,
  [15733] = 15475,
  [15734] = 15488,
  [15735] = 15491,
  [15736] = 15501,
  [15737] = 15473,
  [15738] = 15475,
  [15739] = 15476,
  [15740] = 15473,
  [15741] = 15475,
  [15742] = 15476,
  [15743] = 14901,
  [15744] = 15476,
  [15745] = 15486,
  [15746] = 15488,
  [15747] = 15473,
  [15748] = 15475,
  [15749] = 15504,
  [15750] = 15473,
  [15751] = 15486,
  [15752] = 15475,
  [15753] = 15582,
  [15754] = 15473,
  [15755] = 15475,
  [15756] = 15473,
  [15757] = 15488,
  [15758] = 15475,
  [15759] = 15473,
  [15760] = 15504,
  [15761] = 15475,
  [15762] = 15473,
  [15763] = 15475,
  [15764] = 15473,
  [15765] = 15475,
  [15766] = 15473,
  [15767] = 15475,
  [15768] = 15473,
  [15769] = 15475,
  [15770] = 15473,
  [15771] = 15475,
  [15772] = 15491,
  [15773] = 15473,
  [15774] = 15475,
  [15775] = 15473,
  [15776] = 15475,
  [15777] = 15473,
  [15778] = 15501,
  [15779] = 15475,
  [15780] = 15491,
  [15781] = 15473,
  [15782] = 15475,
  [15783] = 15473,
  [15784] = 15475,
  [15785] = 15491,
  [15786] = 15473,
  [15787] = 15475,
  [15788] = 14722,
  [15789] = 15491,
  [15790] = 15473,
  [15791] = 15475,
  [15792] = 15476,
  [15793] = 15501,
  [15794] = 15473,
  [15795] = 15496,
  [15796] = 15486,
  [15797] = 15488,
  [15798] = 15475,
  [15799] = 15473,
  [15800] = 15475,
  [15801] = 15473,
  [15802] = 15475,
  [15803] = 15473,
  [15804] = 15475,
  [15805] = 15473,
  [15806] = 15475,
  [15807] = 15473,
  [15808] = 15475,
  [15809] = 15473,
  [15810] = 15475,
  [15811] = 15486,
  [15812] = 15504,
  [15813] = 15473,
  [15814] = 15475,
  [15815] = 15473,
  [15816] = 15475,
  [15817] = 15473,
  [15818] = 15491,
  [15819] = 15476,
  [15820] = 15475,
  [15821] = 15473,
  [15822] = 15475,
  [15823] = 15473,
  [15824] = 15475,
  [15825] = 15473,
  [15826] = 15475,
  [15827] = 15476,
  [15828] = 15486,
  [15829] = 15488,
  [15830] = 15473,
  [15831] = 15475,
  [15832] = 15473,
  [15833] = 15475,
  [15834] = 15473,
  [15835] = 15475,
  [15836] = 15473,
  [15837] = 15475,
  [15838] = 15473,
  [15839] = 15475,
  [15840] = 15475,
  [15841] = 15473,
  [15842] = 15475,
  [15843] = 15473,
  [15844] = 15475,
  [15845] = 15473,
  [15846] = 15491,
  [15847] = 15487,
  [15848] = 15475,
  [15849] = 15473,
  [15850] = 15475,
  [15851] = 15475,
  [15852] = 15852,
  [15853] = 15853,
  [15854] = 15854,
  [15855] = 15855,
  [15856] = 15856,
  [15857] = 4809,
  [15858] = 15858,
  [15859] = 15859,
  [15860] = 15860,
  [15861] = 15861,
  [15862] = 15862,
  [15863] = 15853,
  [15864] = 15854,
  [15865] = 15855,
  [15866] = 15856,
  [15867] = 15858,
  [15868] = 15859,
  [15869] = 15860,
  [15870] = 15861,
  [15871] = 15853,
  [15872] = 15854,
  [15873] = 15855,
  [15874] = 15856,
  [15875] = 15858,
  [15876] = 15859,
  [15877] = 15860,
  [15878] = 15861,
  [15879] = 7882,
  [15880] = 15853,
  [15881] = 15854,
  [15882] = 15855,
  [15883] = 15856,
  [15884] = 15884,
  [15885] = 15858,
  [15886] = 15859,
  [15887] = 15860,
  [15888] = 15861,
  [15889] = 15889,
  [15890] = 15853,
  [15891] = 15854,
  [15892] = 15855,
  [15893] = 15856,
  [15894] = 15858,
  [15895] = 15859,
  [15896] = 15860,
  [15897] = 15861,
  [15898] = 15853,
  [15899] = 15854,
  [15900] = 15855,
  [15901] = 15856,
  [15902] = 15858,
  [15903] = 15859,
  [15904] = 15860,
  [15905] = 15861,
  [15906] = 15853,
  [15907] = 15854,
  [15908] = 15855,
  [15909] = 15856,
  [15910] = 15910,
  [15911] = 15858,
  [15912] = 15859,
  [15913] = 15860,
  [15914] = 15861,
  [15915] = 15853,
  [15916] = 15854,
  [15917] = 15855,
  [15918] = 15856,
  [15919] = 15889,
  [15920] = 15858,
  [15921] = 15859,
  [15922] = 15860,
  [15923] = 15861,
  [15924] = 15853,
  [15925] = 15854,
  [15926] = 15855,
  [15927] = 15856,
  [15928] = 15858,
  [15929] = 15859,
  [15930] = 15860,
  [15931] = 15861,
  [15932] = 15858,
  [15933] = 15853,
  [15934] = 15854,
  [15935] = 15855,
  [15936] = 15856,
  [15937] = 15858,
  [15938] = 15859,
  [15939] = 15860,
  [15940] = 15861,
  [15941] = 15853,
  [15942] = 15854,
  [15943] = 15855,
  [15944] = 15856,
  [15945] = 15859,
  [15946] = 15858,
  [15947] = 15859,
  [15948] = 15860,
  [15949] = 15861,
  [15950] = 15860,
  [15951] = 15853,
  [15952] = 15854,
  [15953] = 15855,
  [15954] = 15856,
  [15955] = 15858,
  [15956] = 15859,
  [15957] = 15860,
  [15958] = 15861,
  [15959] = 15853,
  [15960] = 15854,
  [15961] = 15855,
  [15962] = 15856,
  [15963] = 15861,
  [15964] = 15858,
  [15965] = 15859,
  [15966] = 15860,
  [15967] = 15861,
  [15968] = 4854,
  [15969] = 15853,
  [15970] = 15854,
  [15971] = 15855,
  [15972] = 15856,
  [15973] = 15858,
  [15974] = 15859,
  [15975] = 15860,
  [15976] = 15861,
  [15977] = 15853,
  [15978] = 15853,
  [15979] = 15854,
  [15980] = 15855,
  [15981] = 15856,
  [15982] = 15858,
  [15983] = 15859,
  [15984] = 15860,
  [15985] = 15861,
  [15986] = 15854,
  [15987] = 15853,
  [15988] = 15854,
  [15989] = 15855,
  [15990] = 15856,
  [15991] = 15858,
  [15992] = 15859,
  [15993] = 15860,
  [15994] = 15861,
  [15995] = 15853,
  [15996] = 15854,
  [15997] = 15855,
  [15998] = 15856,
  [15999] = 15858,
  [16000] = 15859,
  [16001] = 15860,
  [16002] = 15861,
  [16003] = 15853,
  [16004] = 15854,
  [16005] = 15855,
  [16006] = 15856,
  [16007] = 15858,
  [16008] = 15859,
  [16009] = 15860,
  [16010] = 15861,
  [16011] = 16011,
  [16012] = 15853,
  [16013] = 15854,
  [16014] = 15855,
  [16015] = 15856,
  [16016] = 15858,
  [16017] = 15859,
  [16018] = 15860,
  [16019] = 15861,
  [16020] = 15853,
  [16021] = 15854,
  [16022] = 15855,
  [16023] = 15856,
  [16024] = 15858,
  [16025] = 15859,
  [16026] = 15860,
  [16027] = 15861,
  [16028] = 15855,
  [16029] = 15853,
  [16030] = 15854,
  [16031] = 15855,
  [16032] = 15856,
  [16033] = 15858,
  [16034] = 15859,
  [16035] = 15860,
  [16036] = 15861,
  [16037] = 15853,
  [16038] = 15854,
  [16039] = 15855,
  [16040] = 15856,
  [16041] = 15858,
  [16042] = 15859,
  [16043] = 15860,
  [16044] = 15861,
  [16045] = 15853,
  [16046] = 15854,
  [16047] = 15855,
  [16048] = 15856,
  [16049] = 15858,
  [16050] = 15859,
  [16051] = 15860,
  [16052] = 15861,
  [16053] = 15853,
  [16054] = 15854,
  [16055] = 15855,
  [16056] = 15856,
  [16057] = 15858,
  [16058] = 15859,
  [16059] = 15860,
  [16060] = 15861,
  [16061] = 15856,
  [16062] = 15853,
  [16063] = 15854,
  [16064] = 15855,
  [16065] = 15856,
  [16066] = 15858,
  [16067] = 15859,
  [16068] = 15860,
  [16069] = 15861,
  [16070] = 16070,
  [16071] = 15853,
  [16072] = 15854,
  [16073] = 15855,
  [16074] = 15856,
  [16075] = 15858,
  [16076] = 15859,
  [16077] = 15860,
  [16078] = 15861,
  [16079] = 15853,
  [16080] = 15854,
  [16081] = 15855,
  [16082] = 15856,
  [16083] = 15858,
  [16084] = 15859,
  [16085] = 15860,
  [16086] = 15861,
  [16087] = 15853,
  [16088] = 15854,
  [16089] = 15855,
  [16090] = 15856,
  [16091] = 15858,
  [16092] = 15859,
  [16093] = 15860,
  [16094] = 15861,
  [16095] = 4786,
  [16096] = 15853,
  [16097] = 15854,
  [16098] = 15855,
  [16099] = 15856,
  [16100] = 15858,
  [16101] = 15859,
  [16102] = 15860,
  [16103] = 15861,
  [16104] = 16070,
  [16105] = 15853,
  [16106] = 15854,
  [16107] = 15855,
  [16108] = 15856,
  [16109] = 15858,
  [16110] = 15859,
  [16111] = 15860,
  [16112] = 15861,
  [16113] = 15889,
  [16114] = 15853,
  [16115] = 15854,
  [16116] = 15855,
  [16117] = 15856,
  [16118] = 15858,
  [16119] = 15859,
  [16120] = 15860,
  [16121] = 15861,
  [16122] = 15853,
  [16123] = 15854,
  [16124] = 15855,
  [16125] = 15856,
  [16126] = 15858,
  [16127] = 15859,
  [16128] = 15860,
  [16129] = 15861,
  [16130] = 15853,
  [16131] = 15854,
  [16132] = 15855,
  [16133] = 15856,
  [16134] = 15858,
  [16135] = 15859,
  [16136] = 15860,
  [16137] = 15861,
  [16138] = 16138,
  [16139] = 15853,
  [16140] = 15854,
  [16141] = 15855,
  [16142] = 15856,
  [16143] = 15858,
  [16144] = 15859,
  [16145] = 15860,
  [16146] = 15861,
  [16147] = 15910,
  [16148] = 15853,
  [16149] = 15854,
  [16150] = 15855,
  [16151] = 15856,
  [16152] = 15858,
  [16153] = 15859,
  [16154] = 15860,
  [16155] = 15861,
  [16156] = 15853,
  [16157] = 15854,
  [16158] = 15855,
  [16159] = 15856,
  [16160] = 4707,
  [16161] = 16161,
  [16162] = 16011,
  [16163] = 15884,
  [16164] = 15884,
  [16165] = 15889,
  [16166] = 16070,
  [16167] = 16011,
  [16168] = 15910,
  [16169] = 16011,
  [16170] = 15852,
  [16171] = 16171,
  [16172] = 15884,
  [16173] = 15889,
  [16174] = 15884,
  [16175] = 15910,
  [16176] = 15884,
  [16177] = 16070,
  [16178] = 16178,
  [16179] = 15858,
  [16180] = 15859,
  [16181] = 16181,
  [16182] = 16182,
  [16183] = 15860,
  [16184] = 15861,
  [16185] = 15858,
  [16186] = 15859,
  [16187] = 15860,
  [16188] = 15861,
  [16189] = 16189,
  [16190] = 16190,
  [16191] = 16191,
  [16192] = 15910,
  [16193] = 16193,
  [16194] = 16194,
  [16195] = 16195,
  [16196] = 16161,
  [16197] = 16171,
  [16198] = 15853,
  [16199] = 15854,
  [16200] = 15862,
  [16201] = 15855,
  [16202] = 16202,
  [16203] = 15856,
  [16204] = 15858,
  [16205] = 15859,
  [16206] = 15853,
  [16207] = 15854,
  [16208] = 15855,
  [16209] = 16209,
  [16210] = 16011,
  [16211] = 16182,
  [16212] = 15856,
  [16213] = 16070,
  [16214] = 15860,
  [16215] = 16138,
  [16216] = 15861,
  [16217] = 15910,
  [16218] = 16189,
  [16219] = 15856,
  [16220] = 16161,
  [16221] = 16171,
  [16222] = 15853,
  [16223] = 15854,
  [16224] = 15855,
  [16225] = 15856,
  [16226] = 15884,
  [16227] = 15889,
  [16228] = 15862,
  [16229] = 15884,
  [16230] = 16209,
  [16231] = 16231,
  [16232] = 15858,
  [16233] = 15859,
  [16234] = 15862,
  [16235] = 15860,
  [16236] = 16231,
  [16237] = 15861,
  [16238] = 16070,
  [16239] = 15884,
  [16240] = 16240,
  [16241] = 16241,
  [16242] = 16189,
  [16243] = 16011,
  [16244] = 15853,
  [16245] = 15854,
  [16246] = 15855,
  [16247] = 15884,
  [16248] = 16209,
  [16249] = 15856,
  [16250] = 15858,
  [16251] = 15859,
  [16252] = 16161,
  [16253] = 16171,
  [16254] = 16011,
  [16255] = 15889,
  [16256] = 15860,
  [16257] = 15861,
  [16258] = 15862,
  [16259] = 15858,
  [16260] = 15853,
  [16261] = 15854,
  [16262] = 15855,
  [16263] = 15856,
  [16264] = 16011,
  [16265] = 16265,
  [16266] = 16209,
  [16267] = 16070,
  [16268] = 15858,
  [16269] = 15910,
  [16270] = 16189,
  [16271] = 15859,
  [16272] = 15859,
  [16273] = 15853,
  [16274] = 15854,
  [16275] = 4539,
  [16276] = 15884,
  [16277] = 15860,
  [16278] = 16231,
  [16279] = 15855,
  [16280] = 16231,
  [16281] = 15856,
  [16282] = 15889,
  [16283] = 16070,
  [16284] = 15861,
  [16285] = 15860,
  [16286] = 15861,
  [16287] = 15858,
  [16288] = 15859,
  [16289] = 15860,
  [16290] = 15861,
  [16291] = 16138,
  [16292] = 16161,
  [16293] = 16171,
  [16294] = 16209,
  [16295] = 15862,
  [16296] = 16161,
  [16297] = 16161,
  [16298] = 16171,
  [16299] = 16231,
  [16300] = 15858,
  [16301] = 15859,
  [16302] = 15910,
  [16303] = 15862,
  [16304] = 16070,
  [16305] = 16189,
  [16306] = 15858,
  [16307] = 15889,
  [16308] = 15884,
  [16309] = 15853,
  [16310] = 15854,
  [16311] = 15855,
  [16312] = 15856,
  [16313] = 16209,
  [16314] = 16171,
  [16315] = 15910,
  [16316] = 16231,
  [16317] = 15859,
  [16318] = 15884,
  [16319] = 15858,
  [16320] = 15859,
  [16321] = 15860,
  [16322] = 4539,
  [16323] = 15861,
  [16324] = 16193,
  [16325] = 15884,
  [16326] = 15860,
  [16327] = 15853,
  [16328] = 15854,
  [16329] = 15855,
  [16330] = 15889,
  [16331] = 15856,
  [16332] = 15861,
  [16333] = 15860,
  [16334] = 16161,
  [16335] = 16190,
  [16336] = 16011,
  [16337] = 15858,
  [16338] = 16070,
  [16339] = 15859,
  [16340] = 16011,
  [16341] = 15884,
  [16342] = 15910,
  [16343] = 16070,
  [16344] = 15889,
  [16345] = 15852,
  [16346] = 15910,
  [16347] = 15889,
  [16348] = 15884,
  [16349] = 15860,
  [16350] = 15884,
  [16351] = 16181,
  [16352] = 15862,
  [16353] = 16191,
  [16354] = 16182,
  [16355] = 15861,
  [16356] = 16190,
  [16357] = 16191,
  [16358] = 15858,
  [16359] = 16193,
  [16360] = 16194,
  [16361] = 16195,
  [16362] = 15859,
  [16363] = 15860,
  [16364] = 16202,
  [16365] = 15861,
  [16366] = 15858,
  [16367] = 15859,
  [16368] = 15860,
  [16369] = 15884,
  [16370] = 15861,
  [16371] = 16161,
  [16372] = 16171,
  [16373] = 15862,
  [16374] = 16161,
  [16375] = 16171,
  [16376] = 16376,
  [16377] = 15858,
  [16378] = 15859,
  [16379] = 15889,
  [16380] = 16181,
  [16381] = 16182,
  [16382] = 15860,
  [16383] = 16189,
  [16384] = 16190,
  [16385] = 16191,
  [16386] = 15861,
  [16387] = 16193,
  [16388] = 16194,
  [16389] = 16195,
  [16390] = 15858,
  [16391] = 15862,
  [16392] = 16202,
  [16393] = 15889,
  [16394] = 16171,
  [16395] = 16161,
  [16396] = 15853,
  [16397] = 15854,
  [16398] = 15853,
  [16399] = 15855,
  [16400] = 15856,
  [16401] = 15854,
  [16402] = 16209,
  [16403] = 15855,
  [16404] = 15852,
  [16405] = 16231,
  [16406] = 15856,
  [16407] = 16171,
  [16408] = 15862,
  [16409] = 15862,
  [16410] = 16189,
  [16411] = 16411,
  [16412] = 16181,
  [16413] = 15861,
  [16414] = 16182,
  [16415] = 15853,
  [16416] = 16190,
  [16417] = 16191,
  [16418] = 15854,
  [16419] = 16193,
  [16420] = 16194,
  [16421] = 16195,
  [16422] = 15855,
  [16423] = 15889,
  [16424] = 16202,
  [16425] = 15859,
  [16426] = 15860,
  [16427] = 15856,
  [16428] = 16209,
  [16429] = 15853,
  [16430] = 16161,
  [16431] = 16231,
  [16432] = 14901,
  [16433] = 4568,
  [16434] = 15852,
  [16435] = 16161,
  [16436] = 15057,
  [16437] = 15884,
  [16438] = 16171,
  [16439] = 15889,
  [16440] = 16181,
  [16441] = 16189,
  [16442] = 16182,
  [16443] = 16190,
  [16444] = 16191,
  [16445] = 16189,
  [16446] = 16193,
  [16447] = 16194,
  [16448] = 16195,
  [16449] = 15858,
  [16450] = 15859,
  [16451] = 16202,
  [16452] = 15860,
  [16453] = 15861,
  [16454] = 15853,
  [16455] = 15853,
  [16456] = 15854,
  [16457] = 15855,
  [16458] = 15856,
  [16459] = 15852,
  [16460] = 15854,
  [16461] = 16011,
  [16462] = 16189,
  [16463] = 15862,
  [16464] = 15889,
  [16465] = 16181,
  [16466] = 16070,
  [16467] = 15889,
  [16468] = 16182,
  [16469] = 15855,
  [16470] = 16190,
  [16471] = 16191,
  [16472] = 15856,
  [16473] = 16193,
  [16474] = 16194,
  [16475] = 16195,
  [16476] = 15910,
  [16477] = 16209,
  [16478] = 16202,
  [16479] = 16171,
  [16480] = 15862,
  [16481] = 16231,
  [16482] = 15852,
  [16483] = 16011,
  [16484] = 15889,
  [16485] = 16011,
  [16486] = 16486,
  [16487] = 16181,
  [16488] = 16070,
  [16489] = 16182,
  [16490] = 15889,
  [16491] = 16190,
  [16492] = 16191,
  [16493] = 15910,
  [16494] = 16193,
  [16495] = 16194,
  [16496] = 16195,
  [16497] = 16189,
  [16498] = 15884,
  [16499] = 16202,
  [16500] = 15889,
  [16501] = 15858,
  [16502] = 15859,
  [16503] = 15852,
  [16504] = 15884,
  [16505] = 15860,
  [16506] = 15884,
  [16507] = 16181,
  [16508] = 15861,
  [16509] = 16182,
  [16510] = 16190,
  [16511] = 16191,
  [16512] = 15861,
  [16513] = 16193,
  [16514] = 16194,
  [16515] = 16195,
  [16516] = 15858,
  [16517] = 15859,
  [16518] = 16202,
  [16519] = 15860,
  [16520] = 15861,
  [16521] = 15852,
  [16522] = 15853,
  [16523] = 4847,
  [16524] = 15858,
  [16525] = 15859,
  [16526] = 15860,
  [16527] = 16181,
  [16528] = 15861,
  [16529] = 16070,
  [16530] = 16182,
  [16531] = 4732,
  [16532] = 16190,
  [16533] = 16191,
  [16534] = 16161,
  [16535] = 16193,
  [16536] = 16194,
  [16537] = 16195,
  [16538] = 15910,
  [16539] = 15853,
  [16540] = 16202,
  [16541] = 15854,
  [16542] = 15855,
  [16543] = 15852,
  [16544] = 16161,
  [16545] = 16171,
  [16546] = 15862,
  [16547] = 15854,
  [16548] = 16181,
  [16549] = 16011,
  [16550] = 16182,
  [16551] = 16190,
  [16552] = 16191,
  [16553] = 15856,
  [16554] = 16193,
  [16555] = 16194,
  [16556] = 16195,
  [16557] = 15855,
  [16558] = 16011,
  [16559] = 16202,
  [16560] = 14901,
  [16561] = 15852,
  [16562] = 16171,
  [16563] = 16070,
  [16564] = 15856,
  [16565] = 16138,
  [16566] = 15862,
  [16567] = 15910,
  [16568] = 16181,
  [16569] = 16569,
  [16570] = 15889,
  [16571] = 16182,
  [16572] = 16190,
  [16573] = 16191,
  [16574] = 15853,
  [16575] = 16193,
  [16576] = 16194,
  [16577] = 16195,
  [16578] = 15853,
  [16579] = 16202,
  [16580] = 15889,
  [16581] = 15884,
  [16582] = 16190,
  [16583] = 16191,
  [16584] = 14836,
  [16585] = 16189,
  [16586] = 15884,
  [16587] = 16190,
  [16588] = 16191,
  [16589] = 15854,
  [16590] = 15853,
  [16591] = 16189,
  [16592] = 15854,
  [16593] = 16190,
  [16594] = 16191,
  [16595] = 15855,
  [16596] = 15856,
  [16597] = 16070,
  [16598] = 16138,
  [16599] = 16190,
  [16600] = 16191,
  [16601] = 15854,
  [16602] = 15884,
  [16603] = 15853,
  [16604] = 15910,
  [16605] = 16190,
  [16606] = 16191,
  [16607] = 4539,
  [16608] = 16209,
  [16609] = 15884,
  [16610] = 15854,
  [16611] = 16190,
  [16612] = 16191,
  [16613] = 15858,
  [16614] = 15859,
  [16615] = 15855,
  [16616] = 15856,
  [16617] = 15860,
  [16618] = 16190,
  [16619] = 16191,
  [16620] = 15861,
  [16621] = 15853,
  [16622] = 15858,
  [16623] = 16190,
  [16624] = 16191,
  [16625] = 15854,
  [16626] = 15855,
  [16627] = 15859,
  [16628] = 16209,
  [16629] = 15860,
  [16630] = 16190,
  [16631] = 16191,
  [16632] = 15853,
  [16633] = 15854,
  [16634] = 15861,
  [16635] = 16190,
  [16636] = 16191,
  [16637] = 15855,
  [16638] = 15856,
  [16639] = 16190,
  [16640] = 16191,
  [16641] = 15855,
  [16642] = 15884,
  [16643] = 16190,
  [16644] = 16191,
  [16645] = 15856,
  [16646] = 15856,
  [16647] = 16190,
  [16648] = 16191,
  [16649] = 15855,
  [16650] = 15856,
  [16651] = 16190,
  [16652] = 16191,
  [16653] = 15858,
  [16654] = 15910,
  [16655] = 16190,
  [16656] = 16191,
  [16657] = 15889,
  [16658] = 15859,
  [16659] = 15860,
  [16660] = 16190,
  [16661] = 16191,
  [16662] = 15889,
  [16663] = 15889,
  [16664] = 16190,
  [16665] = 16191,
  [16666] = 16209,
  [16667] = 16667,
  [16668] = 16231,
  [16669] = 16190,
  [16670] = 16191,
  [16671] = 16070,
  [16672] = 16231,
  [16673] = 16190,
  [16674] = 16191,
  [16675] = 15854,
  [16676] = 16011,
  [16677] = 16190,
  [16678] = 16191,
  [16679] = 16679,
  [16680] = 15861,
  [16681] = 15884,
  [16682] = 16190,
  [16683] = 16191,
  [16684] = 16138,
  [16685] = 16161,
  [16686] = 16171,
  [16687] = 15858,
  [16688] = 16190,
  [16689] = 16191,
  [16690] = 15858,
  [16691] = 15859,
  [16692] = 15860,
  [16693] = 16190,
  [16694] = 16191,
  [16695] = 15861,
  [16696] = 15858,
  [16697] = 16190,
  [16698] = 16191,
  [16699] = 15859,
  [16700] = 15860,
  [16701] = 16190,
  [16702] = 16191,
  [16703] = 15861,
  [16704] = 15853,
  [16705] = 16190,
  [16706] = 16191,
  [16707] = 15854,
  [16708] = 15855,
  [16709] = 16011,
  [16710] = 16190,
  [16711] = 16191,
  [16712] = 15856,
  [16713] = 15862,
  [16714] = 16190,
  [16715] = 16191,
  [16716] = 16070,
  [16717] = 15855,
  [16718] = 16190,
  [16719] = 16191,
  [16720] = 15910,
  [16721] = 16209,
  [16722] = 16190,
  [16723] = 16191,
  [16724] = 15889,
  [16725] = 16011,
  [16726] = 16161,
  [16727] = 16190,
  [16728] = 16191,
  [16729] = 15884,
  [16730] = 16730,
  [16731] = 15859,
  [16732] = 16190,
  [16733] = 16191,
  [16734] = 16070,
  [16735] = 15856,
  [16736] = 16171,
  [16737] = 16190,
  [16738] = 16191,
  [16739] = 15858,
  [16740] = 15859,
  [16741] = 16190,
  [16742] = 16191,
  [16743] = 15884,
  [16744] = 15860,
  [16745] = 15862,
  [16746] = 16190,
  [16747] = 16191,
  [16748] = 15858,
  [16749] = 15859,
  [16750] = 16190,
  [16751] = 16191,
  [16752] = 15860,
  [16753] = 15861,
  [16754] = 16190,
  [16755] = 16191,
  [16756] = 15861,
  [16757] = 16161,
  [16758] = 15860,
  [16759] = 16190,
  [16760] = 16191,
  [16761] = 15853,
  [16762] = 15854,
  [16763] = 16190,
  [16764] = 16191,
  [16765] = 15855,
  [16766] = 15856,
  [16767] = 16190,
  [16768] = 16191,
  [16769] = 16171,
  [16770] = 16189,
  [16771] = 15862,
  [16772] = 16190,
  [16773] = 16191,
  [16774] = 15910,
  [16775] = 16775,
  [16776] = 16190,
  [16777] = 16191,
  [16778] = 4702,
  [16779] = 16209,
  [16780] = 16190,
  [16781] = 16191,
  [16782] = 15889,
  [16783] = 15856,
  [16784] = 16190,
  [16785] = 16191,
  [16786] = 15853,
  [16787] = 15854,
  [16788] = 16190,
  [16789] = 16191,
  [16790] = 15855,
  [16791] = 15856,
  [16792] = 7882,
  [16793] = 16190,
  [16794] = 16191,
  [16795] = 16209,
  [16796] = 15884,
  [16797] = 15853,
  [16798] = 16190,
  [16799] = 16191,
  [16800] = 15854,
  [16801] = 16161,
  [16802] = 16190,
  [16803] = 16191,
  [16804] = 15855,
  [16805] = 15884,
  [16806] = 16190,
  [16807] = 16191,
  [16808] = 16171,
  [16809] = 15889,
  [16810] = 16190,
  [16811] = 16191,
  [16812] = 15856,
  [16813] = 15858,
  [16814] = 16190,
  [16815] = 16191,
  [16816] = 16190,
  [16817] = 16191,
  [16818] = 16190,
  [16819] = 16191,
  [16820] = 16190,
  [16821] = 16191,
  [16822] = 16190,
  [16823] = 16191,
  [16824] = 16190,
  [16825] = 16191,
  [16826] = 16190,
  [16827] = 16191,
  [16828] = 16190,
  [16829] = 16191,
  [16830] = 16190,
  [16831] = 16191,
  [16832] = 16190,
  [16833] = 16191,
  [16834] = 16190,
  [16835] = 16191,
  [16836] = 4797,
  [16837] = 16191,
  [16838] = 16190,
  [16839] = 16191,
  [16840] = 16190,
  [16841] = 16191,
  [16842] = 16190,
  [16843] = 16191,
  [16844] = 16190,
  [16845] = 16191,
  [16846] = 16190,
  [16847] = 16191,
  [16848] = 16190,
  [16849] = 16191,
  [16850] = 16190,
  [16851] = 16191,
  [16852] = 16190,
  [16853] = 16191,
  [16854] = 16190,
  [16855] = 16191,
  [16856] = 16190,
  [16857] = 16191,
  [16858] = 16190,
  [16859] = 16191,
  [16860] = 16190,
  [16861] = 16191,
  [16862] = 16190,
  [16863] = 16191,
  [16864] = 16190,
  [16865] = 16191,
  [16866] = 16190,
  [16867] = 16191,
  [16868] = 16190,
  [16869] = 16191,
  [16870] = 16190,
  [16871] = 16191,
  [16872] = 16190,
  [16873] = 16191,
  [16874] = 16190,
  [16875] = 16191,
  [16876] = 16190,
  [16877] = 16191,
  [16878] = 16190,
  [16879] = 16191,
  [16880] = 16190,
  [16881] = 16191,
  [16882] = 16190,
  [16883] = 16191,
  [16884] = 16190,
  [16885] = 16191,
  [16886] = 16190,
  [16887] = 16191,
  [16888] = 16190,
  [16889] = 16191,
  [16890] = 16190,
  [16891] = 16191,
  [16892] = 16190,
  [16893] = 16191,
  [16894] = 16190,
  [16895] = 16191,
  [16896] = 16190,
  [16897] = 16191,
  [16898] = 16190,
  [16899] = 16191,
  [16900] = 16190,
  [16901] = 16191,
  [16902] = 15859,
  [16903] = 15860,
  [16904] = 15861,
  [16905] = 16189,
  [16906] = 4733,
  [16907] = 15862,
  [16908] = 16209,
  [16909] = 15889,
  [16910] = 16070,
  [16911] = 4773,
  [16912] = 16231,
  [16913] = 16231,
  [16914] = 15853,
  [16915] = 15854,
  [16916] = 15855,
  [16917] = 15856,
  [16918] = 15853,
  [16919] = 15854,
  [16920] = 15855,
  [16921] = 15856,
  [16922] = 16189,
  [16923] = 16231,
  [16924] = 4833,
  [16925] = 15858,
  [16926] = 15859,
  [16927] = 16011,
  [16928] = 15861,
  [16929] = 16209,
  [16930] = 15860,
  [16931] = 16070,
  [16932] = 15889,
  [16933] = 15057,
  [16934] = 15910,
  [16935] = 16138,
  [16936] = 16231,
  [16937] = 15889,
  [16938] = 15861,
  [16939] = 16161,
  [16940] = 15910,
  [16941] = 15884,
  [16942] = 16171,
  [16943] = 15862,
  [16944] = 15889,
  [16945] = 15858,
  [16946] = 15859,
  [16947] = 15860,
  [16948] = 6468,
  [16949] = 15861,
  [16950] = 16161,
  [16951] = 16171,
  [16952] = 15862,
  [16953] = 16209,
  [16954] = 16189,
  [16955] = 15884,
  [16956] = 16189,
  [16957] = 6426,
  [16958] = 15884,
  [16959] = 16189,
  [16960] = 14722,
  [16961] = 15884,
  [16962] = 15858,
  [16963] = 15853,
  [16964] = 15854,
  [16965] = 15855,
  [16966] = 15856,
  [16967] = 15859,
  [16968] = 16209,
  [16969] = 15860,
  [16970] = 15861,
  [16971] = 15853,
  [16972] = 16231,
  [16973] = 15854,
  [16974] = 15858,
  [16975] = 15859,
  [16976] = 15860,
  [16977] = 15861,
  [16978] = 16209,
  [16979] = 15855,
  [16980] = 15856,
  [16981] = 15853,
  [16982] = 15853,
  [16983] = 15854,
  [16984] = 15855,
  [16985] = 15856,
  [16986] = 15858,
  [16987] = 15889,
  [16988] = 16194,
  [16989] = 15889,
  [16990] = 15859,
  [16991] = 15860,
  [16992] = 15861,
  [16993] = 15858,
  [16994] = 15853,
  [16995] = 15854,
  [16996] = 15889,
  [16997] = 16775,
  [16998] = 15855,
  [16999] = 15856,
  [17000] = 15854,
  [17001] = 16011,
  [17002] = 15859,
  [17003] = 16070,
  [17004] = 15860,
  [17005] = 15910,
  [17006] = 15861,
  [17007] = 15884,
  [17008] = 15855,
  [17009] = 16189,
  [17010] = 15884,
  [17011] = 15858,
  [17012] = 15859,
  [17013] = 15860,
  [17014] = 15861,
  [17015] = 15884,
  [17016] = 15856,
  [17017] = 16161,
  [17018] = 16171,
  [17019] = 15862,
  [17020] = 16161,
  [17021] = 15858,
  [17022] = 15859,
  [17023] = 15860,
  [17024] = 16189,
  [17025] = 16189,
  [17026] = 15861,
  [17027] = 16171,
  [17028] = 15853,
  [17029] = 15853,
  [17030] = 15854,
  [17031] = 15855,
  [17032] = 15856,
  [17033] = 16209,
  [17034] = 16209,
  [17035] = 16231,
  [17036] = 15854,
  [17037] = 17037,
  [17038] = 16161,
  [17039] = 15853,
  [17040] = 16171,
  [17041] = 15862,
  [17042] = 15854,
  [17043] = 15889,
  [17044] = 15855,
  [17045] = 15856,
  [17046] = 15889,
  [17047] = 15855,
  [17048] = 16181,
  [17049] = 15889,
  [17050] = 15856,
  [17051] = 16231,
  [17052] = 16209,
  [17053] = 15910,
  [17054] = 16209,
  [17055] = 16209,
  [17056] = 16231,
  [17057] = 15889,
  [17058] = 17058,
  [17059] = 16011,
  [17060] = 16178,
  [17061] = 4772,
  [17062] = 16070,
  [17063] = 15884,
  [17064] = 14662,
  [17065] = 16231,
  [17066] = 15884,
  [17067] = 16011,
  [17068] = 14722,
  [17069] = 15858,
  [17070] = 16070,
  [17071] = 15862,
  [17072] = 15858,
  [17073] = 15910,
  [17074] = 15859,
  [17075] = 15860,
  [17076] = 15884,
  [17077] = 4539,
  [17078] = 15861,
  [17079] = 15889,
  [17080] = 15859,
  [17081] = 16189,
  [17082] = 15853,
  [17083] = 15854,
  [17084] = 15858,
  [17085] = 15859,
  [17086] = 15860,
  [17087] = 15855,
  [17088] = 15861,
  [17089] = 16161,
  [17090] = 16171,
  [17091] = 15856,
  [17092] = 15860,
  [17093] = 15862,
  [17094] = 7406,
  [17095] = 15861,
  [17096] = 16011,
  [17097] = 15853,
  [17098] = 15854,
  [17099] = 15855,
  [17100] = 15856,
  [17101] = 15910,
  [17102] = 16070,
  [17103] = 16189,
  [17104] = 15889,
  [17105] = 15889,
  [17106] = 15853,
  [17107] = 16138,
  [17108] = 15889,
  [17109] = 15854,
  [17110] = 15910,
  [17111] = 15855,
  [17112] = 15856,
  [17113] = 16161,
  [17114] = 16209,
  [17115] = 4832,
  [17116] = 16231,
  [17117] = 16209,
  [17118] = 15853,
  [17119] = 16171,
  [17120] = 15889,
  [17121] = 15854,
  [17122] = 15855,
  [17123] = 15862,
  [17124] = 15856,
  [17125] = 15884,
  [17126] = 16189,
  [17127] = 16231,
  [17128] = 16231,
  [17129] = 17129,
  [17130] = 16209,
  [17131] = 15889,
  [17132] = 15884,
  [17133] = 4539,
  [17134] = 15858,
  [17135] = 15859,
  [17136] = 15860,
  [17137] = 16011,
  [17138] = 15884,
  [17139] = 15861,
  [17140] = 16011,
  [17141] = 15858,
  [17142] = 16011,
  [17143] = 15859,
  [17144] = 15860,
  [17145] = 15861,
  [17146] = 16070,
  [17147] = 15889,
  [17148] = 16070,
  [17149] = 16070,
  [17150] = 15910,
  [17151] = 15910,
  [17152] = 16195,
  [17153] = 14662,
  [17154] = 15853,
  [17155] = 15854,
  [17156] = 15855,
  [17157] = 15858,
  [17158] = 15884,
  [17159] = 15859,
  [17160] = 15860,
  [17161] = 15861,
  [17162] = 15856,
  [17163] = 16161,
  [17164] = 16231,
  [17165] = 16730,
  [17166] = 15858,
  [17167] = 15859,
  [17168] = 15860,
  [17169] = 15861,
  [17170] = 16161,
  [17171] = 17171,
  [17172] = 16171,
  [17173] = 15862,
  [17174] = 15884,
  [17175] = 16178,
  [17176] = 15910,
  [17177] = 4555,
  [17178] = 16189,
  [17179] = 16171,
  [17180] = 16161,
  [17181] = 16011,
  [17182] = 16171,
  [17183] = 15862,
  [17184] = 15884,
  [17185] = 14836,
  [17186] = 15853,
  [17187] = 15889,
  [17188] = 15854,
  [17189] = 17189,
  [17190] = 17190,
  [17191] = 15855,
  [17192] = 15856,
  [17193] = 15862,
  [17194] = 16209,
  [17195] = 16231,
  [17196] = 15853,
  [17197] = 16775,
  [17198] = 16189,
  [17199] = 16231,
  [17200] = 15884,
  [17201] = 15853,
  [17202] = 15854,
  [17203] = 15855,
  [17204] = 15856,
  [17205] = 15858,
  [17206] = 15859,
  [17207] = 15853,
  [17208] = 15860,
  [17209] = 15861,
  [17210] = 15854,
  [17211] = 16730,
  [17212] = 4805,
  [17213] = 16178,
  [17214] = 4807,
  [17215] = 15884,
  [17216] = 15858,
  [17217] = 15859,
  [17218] = 16209,
  [17219] = 16231,
  [17220] = 15889,
  [17221] = 15860,
  [17222] = 16202,
  [17223] = 15858,
  [17224] = 15859,
  [17225] = 15860,
  [17226] = 15861,
  [17227] = 15861,
  [17228] = 15852,
  [17229] = 16011,
  [17230] = 4730,
  [17231] = 15858,
  [17232] = 15853,
  [17233] = 16011,
  [17234] = 15854,
  [17235] = 15855,
  [17236] = 16070,
  [17237] = 15856,
  [17238] = 15910,
  [17239] = 15859,
  [17240] = 15860,
  [17241] = 15861,
  [17242] = 16161,
  [17243] = 16171,
  [17244] = 15884,
  [17245] = 4715,
  [17246] = 15855,
  [17247] = 15853,
  [17248] = 16189,
  [17249] = 15858,
  [17250] = 15859,
  [17251] = 15860,
  [17252] = 15861,
  [17253] = 16161,
  [17254] = 16171,
  [17255] = 15854,
  [17256] = 15855,
  [17257] = 15862,
  [17258] = 15862,
  [17259] = 15889,
  [17260] = 15856,
  [17261] = 15853,
  [17262] = 15854,
  [17263] = 16070,
  [17264] = 15855,
  [17265] = 15856,
  [17266] = 16189,
  [17267] = 16161,
  [17268] = 15853,
  [17269] = 15854,
  [17270] = 15855,
  [17271] = 15856,
  [17272] = 16209,
  [17273] = 16171,
  [17274] = 15910,
  [17275] = 16231,
  [17276] = 15889,
  [17277] = 15862,
  [17278] = 16011,
  [17279] = 15858,
  [17280] = 16138,
  [17281] = 15884,
  [17282] = 16070,
  [17283] = 7446,
  [17284] = 15858,
  [17285] = 15889,
  [17286] = 15859,
  [17287] = 15860,
  [17288] = 15861,
  [17289] = 4811,
  [17290] = 16189,
  [17291] = 16138,
  [17292] = 15889,
  [17293] = 15889,
  [17294] = 15859,
  [17295] = 15860,
  [17296] = 16011,
  [17297] = 15861,
  [17298] = 15853,
  [17299] = 15854,
  [17300] = 16070,
  [17301] = 15855,
  [17302] = 15910,
  [17303] = 15856,
  [17304] = 16775,
  [17305] = 16189,
  [17306] = 15884,
  [17307] = 16730,
  [17308] = 4790,
  [17309] = 15853,
  [17310] = 15858,
  [17311] = 15859,
  [17312] = 15860,
  [17313] = 15861,
  [17314] = 16161,
  [17315] = 16171,
  [17316] = 15862,
  [17317] = 15853,
  [17318] = 15854,
  [17319] = 16231,
  [17320] = 15855,
  [17321] = 15889,
  [17322] = 16189,
  [17323] = 16189,
  [17324] = 15856,
  [17325] = 15853,
  [17326] = 15854,
  [17327] = 15855,
  [17328] = 15856,
  [17329] = 17329,
  [17330] = 16209,
  [17331] = 16011,
  [17332] = 15884,
  [17333] = 16231,
  [17334] = 15884,
  [17335] = 16209,
  [17336] = 15910,
  [17337] = 16231,
  [17338] = 16209,
  [17339] = 15884,
  [17340] = 15853,
  [17341] = 15854,
  [17342] = 15854,
  [17343] = 15858,
  [17344] = 15859,
  [17345] = 15860,
  [17346] = 15861,
  [17347] = 15858,
  [17348] = 15859,
  [17349] = 15855,
  [17350] = 15860,
  [17351] = 15856,
  [17352] = 15853,
  [17353] = 15854,
  [17354] = 15855,
  [17355] = 15856,
  [17356] = 16189,
  [17357] = 15889,
  [17358] = 15861,
  [17359] = 16209,
  [17360] = 15855,
  [17361] = 16011,
  [17362] = 15853,
  [17363] = 15854,
  [17364] = 15855,
  [17365] = 15889,
  [17366] = 15856,
  [17367] = 16011,
  [17368] = 15858,
  [17369] = 15859,
  [17370] = 16070,
  [17371] = 15860,
  [17372] = 15861,
  [17373] = 16161,
  [17374] = 15910,
  [17375] = 4771,
  [17376] = 15856,
  [17377] = 16161,
  [17378] = 17378,
  [17379] = 16231,
  [17380] = 17380,
  [17381] = 15884,
  [17382] = 16070,
  [17383] = 15884,
  [17384] = 16138,
  [17385] = 15853,
  [17386] = 16011,
  [17387] = 15889,
  [17388] = 16070,
  [17389] = 16138,
  [17390] = 15854,
  [17391] = 15910,
  [17392] = 15858,
  [17393] = 15859,
  [17394] = 15860,
  [17395] = 15861,
  [17396] = 15858,
  [17397] = 15859,
  [17398] = 17398,
  [17399] = 15860,
  [17400] = 15884,
  [17401] = 16161,
  [17402] = 16171,
  [17403] = 15861,
  [17404] = 15855,
  [17405] = 15862,
  [17406] = 16171,
  [17407] = 15858,
  [17408] = 15859,
  [17409] = 15860,
  [17410] = 15861,
  [17411] = 17411,
  [17412] = 4784,
  [17413] = 4788,
  [17414] = 15856,
  [17415] = 15910,
  [17416] = 15854,
  [17417] = 16011,
  [17418] = 16189,
  [17419] = 15853,
  [17420] = 15854,
  [17421] = 15855,
  [17422] = 15856,
  [17423] = 15889,
  [17424] = 16171,
  [17425] = 15858,
  [17426] = 15859,
  [17427] = 15860,
  [17428] = 15853,
  [17429] = 15854,
  [17430] = 15855,
  [17431] = 15856,
  [17432] = 16209,
  [17433] = 15861,
  [17434] = 16161,
  [17435] = 16231,
  [17436] = 16171,
  [17437] = 15862,
  [17438] = 16070,
  [17439] = 15862,
  [17440] = 16231,
  [17441] = 16138,
  [17442] = 15853,
  [17443] = 15910,
  [17444] = 15854,
  [17445] = 16189,
  [17446] = 15855,
  [17447] = 15856,
  [17448] = 15858,
  [17449] = 15859,
  [17450] = 16011,
  [17451] = 15860,
  [17452] = 15861,
  [17453] = 15889,
  [17454] = 15853,
  [17455] = 15854,
  [17456] = 15855,
  [17457] = 15853,
  [17458] = 17458,
  [17459] = 15856,
  [17460] = 15854,
  [17461] = 15855,
  [17462] = 15856,
  [17463] = 15858,
  [17464] = 15859,
  [17465] = 15860,
  [17466] = 16209,
  [17467] = 15861,
  [17468] = 16231,
  [17469] = 16209,
  [17470] = 15853,
  [17471] = 15854,
  [17472] = 15855,
  [17473] = 16011,
  [17474] = 15856,
  [17475] = 15855,
  [17476] = 16070,
  [17477] = 15858,
  [17478] = 15910,
  [17479] = 15859,
  [17480] = 4687,
  [17481] = 15860,
  [17482] = 15884,
  [17483] = 4774,
  [17484] = 15861,
  [17485] = 4831,
  [17486] = 15853,
  [17487] = 15884,
  [17488] = 4863,
  [17489] = 15858,
  [17490] = 15859,
  [17491] = 15860,
  [17492] = 15861,
  [17493] = 16161,
  [17494] = 16171,
  [17495] = 15862,
  [17496] = 15854,
  [17497] = 15855,
  [17498] = 15856,
  [17499] = 16070,
  [17500] = 15858,
  [17501] = 4775,
  [17502] = 4776,
  [17503] = 4818,
  [17504] = 15859,
  [17505] = 15860,
  [17506] = 4823,
  [17507] = 16189,
  [17508] = 15861,
  [17509] = 15853,
  [17510] = 15854,
  [17511] = 15855,
  [17512] = 15853,
  [17513] = 15854,
  [17514] = 4625,
  [17515] = 4626,
  [17516] = 15855,
  [17517] = 15856,
  [17518] = 4825,
  [17519] = 16209,
  [17520] = 15858,
  [17521] = 4791,
  [17522] = 15859,
  [17523] = 4868,
  [17524] = 15856,
  [17525] = 16231,
  [17526] = 4869,
  [17527] = 4870,
  [17528] = 4885,
  [17529] = 15860,
  [17530] = 4890,
  [17531] = 15861,
  [17532] = 4891,
  [17533] = 4892,
  [17534] = 15858,
  [17535] = 15859,
  [17536] = 15860,
  [17537] = 15861,
  [17538] = 15889,
  [17539] = 15853,
  [17540] = 15889,
  [17541] = 4749,
  [17542] = 15854,
  [17543] = 15855,
  [17544] = 15856,
  [17545] = 15858,
  [17546] = 15859,
  [17547] = 15860,
  [17548] = 15861,
  [17549] = 16011,
  [17550] = 15853,
  [17551] = 4751,
  [17552] = 15854,
  [17553] = 16070,
  [17554] = 15855,
  [17555] = 15910,
  [17556] = 4754,
  [17557] = 15856,
  [17558] = 15858,
  [17559] = 4795,
  [17560] = 15859,
  [17561] = 15860,
  [17562] = 15861,
  [17563] = 4796,
  [17564] = 16231,
  [17565] = 15853,
  [17566] = 15854,
  [17567] = 15884,
  [17568] = 4630,
  [17569] = 4579,
  [17570] = 15855,
  [17571] = 15856,
  [17572] = 4539,
  [17573] = 15858,
  [17574] = 15859,
  [17575] = 15858,
  [17576] = 15859,
  [17577] = 15860,
  [17578] = 15861,
  [17579] = 16161,
  [17580] = 16171,
  [17581] = 15862,
  [17582] = 15860,
  [17583] = 15861,
  [17584] = 16190,
  [17585] = 17585,
  [17586] = 17586,
  [17587] = 17587,
  [17588] = 17588,
  [17589] = 17589,
  [17590] = 17590,
  [17591] = 17591,
  [17592] = 17587,
  [17593] = 17587,
  [17594] = 17586,
  [17595] = 17595,
  [17596] = 17585,
  [17597] = 16679,
  [17598] = 17598,
  [17599] = 17585,
  [17600] = 17600,
  [17601] = 17585,
  [17602] = 17602,
  [17603] = 17603,
  [17604] = 17604,
  [17605] = 17590,
  [17606] = 17606,
  [17607] = 17587,
  [17608] = 17585,
  [17609] = 17600,
  [17610] = 17610,
  [17611] = 17611,
  [17612] = 17612,
  [17613] = 17591,
  [17614] = 17610,
  [17615] = 17615,
  [17616] = 17611,
  [17617] = 17610,
  [17618] = 17611,
  [17619] = 17619,
  [17620] = 17587,
  [17621] = 17590,
  [17622] = 17619,
  [17623] = 17590,
  [17624] = 17586,
  [17625] = 17586,
  [17626] = 17590,
  [17627] = 17590,
  [17628] = 17585,
  [17629] = 17585,
  [17630] = 17600,
  [17631] = 17602,
  [17632] = 17600,
  [17633] = 17587,
  [17634] = 17589,
  [17635] = 17603,
  [17636] = 17604,
  [17637] = 17587,
  [17638] = 17611,
  [17639] = 17587,
  [17640] = 17587,
  [17641] = 17615,
  [17642] = 17590,
  [17643] = 17643,
  [17644] = 17590,
  [17645] = 17619,
  [17646] = 17585,
  [17647] = 17619,
  [17648] = 17586,
  [17649] = 17586,
  [17650] = 17619,
  [17651] = 17586,
  [17652] = 17590,
  [17653] = 17612,
  [17654] = 17585,
  [17655] = 17585,
  [17656] = 17590,
  [17657] = 17590,
  [17658] = 17600,
  [17659] = 17589,
  [17660] = 17585,
  [17661] = 17591,
  [17662] = 17600,
  [17663] = 17604,
  [17664] = 17588,
  [17665] = 17587,
  [17666] = 17600,
  [17667] = 17595,
  [17668] = 17585,
  [17669] = 17598,
  [17670] = 17600,
  [17671] = 17587,
  [17672] = 17585,
  [17673] = 17612,
  [17674] = 17600,
  [17675] = 17619,
  [17676] = 17600,
  [17677] = 17588,
  [17678] = 17619,
  [17679] = 17595,
  [17680] = 17619,
  [17681] = 17598,
  [17682] = 17586,
  [17683] = 17587,
  [17684] = 17586,
  [17685] = 17590,
  [17686] = 17585,
  [17687] = 17588,
  [17688] = 17600,
  [17689] = 17586,
  [17690] = 17595,
  [17691] = 17587,
  [17692] = 17598,
  [17693] = 17619,
  [17694] = 17619,
  [17695] = 17587,
  [17696] = 17619,
  [17697] = 17586,
  [17698] = 17591,
  [17699] = 17588,
  [17700] = 17586,
  [17701] = 17595,
  [17702] = 17598,
  [17703] = 17590,
  [17704] = 17619,
  [17705] = 17612,
  [17706] = 17586,
  [17707] = 17588,
  [17708] = 17619,
  [17709] = 17590,
  [17710] = 17595,
  [17711] = 17598,
  [17712] = 17712,
  [17713] = 17585,
  [17714] = 17586,
  [17715] = 17600,
  [17716] = 17589,
  [17717] = 17585,
  [17718] = 17588,
  [17719] = 17604,
  [17720] = 17587,
  [17721] = 17721,
  [17722] = 17595,
  [17723] = 17598,
  [17724] = 17724,
  [17725] = 17600,
  [17726] = 17588,
  [17727] = 17619,
  [17728] = 17610,
  [17729] = 17595,
  [17730] = 17611,
  [17731] = 17598,
  [17732] = 17586,
  [17733] = 17590,
  [17734] = 17588,
  [17735] = 17619,
  [17736] = 17586,
  [17737] = 17595,
  [17738] = 17598,
  [17739] = 17602,
  [17740] = 17590,
  [17741] = 17590,
  [17742] = 17603,
  [17743] = 17587,
  [17744] = 17744,
  [17745] = 17590,
  [17746] = 17585,
  [17747] = 17588,
  [17748] = 17748,
  [17749] = 17585,
  [17750] = 17600,
  [17751] = 17587,
  [17752] = 17585,
  [17753] = 17595,
  [17754] = 17619,
  [17755] = 17598,
  [17756] = 7446,
  [17757] = 17587,
  [17758] = 17600,
  [17759] = 17588,
  [17760] = 17600,
  [17761] = 17595,
  [17762] = 17598,
  [17763] = 17585,
  [17764] = 17588,
  [17765] = 17595,
  [17766] = 17598,
  [17767] = 17588,
  [17768] = 17595,
  [17769] = 17619,
  [17770] = 17598,
  [17771] = 17588,
  [17772] = 17600,
  [17773] = 17589,
  [17774] = 17586,
  [17775] = 17595,
  [17776] = 17598,
  [17777] = 17587,
  [17778] = 17588,
  [17779] = 17595,
  [17780] = 17598,
  [17781] = 17619,
  [17782] = 17588,
  [17783] = 17610,
  [17784] = 17586,
  [17785] = 17595,
  [17786] = 17598,
  [17787] = 17588,
  [17788] = 17604,
  [17789] = 17590,
  [17790] = 17595,
  [17791] = 17598,
  [17792] = 17588,
  [17793] = 17611,
  [17794] = 17585,
  [17795] = 17595,
  [17796] = 17598,
  [17797] = 17602,
  [17798] = 17588,
  [17799] = 17600,
  [17800] = 17595,
  [17801] = 17598,
  [17802] = 17588,
  [17803] = 17615,
  [17804] = 17595,
  [17805] = 17598,
  [17806] = 17588,
  [17807] = 17587,
  [17808] = 17595,
  [17809] = 17598,
  [17810] = 17588,
  [17811] = 17603,
  [17812] = 17595,
  [17813] = 17619,
  [17814] = 17598,
  [17815] = 17588,
  [17816] = 17587,
  [17817] = 17595,
  [17818] = 17598,
  [17819] = 17588,
  [17820] = 17595,
  [17821] = 17598,
  [17822] = 17612,
  [17823] = 17595,
  [17824] = 17595,
  [17825] = 17595,
  [17826] = 17724,
  [17827] = 17595,
  [17828] = 17586,
  [17829] = 17595,
  [17830] = 17619,
  [17831] = 17595,
  [17832] = 17586,
  [17833] = 17595,
  [17834] = 17590,
  [17835] = 17595,
  [17836] = 17589,
  [17837] = 17585,
  [17838] = 17595,
  [17839] = 17604,
  [17840] = 17600,
  [17841] = 17595,
  [17842] = 17610,
  [17843] = 17611,
  [17844] = 17619,
  [17845] = 17595,
  [17846] = 17586,
  [17847] = 17595,
  [17848] = 17587,
  [17849] = 17595,
  [17850] = 17595,
  [17851] = 17595,
  [17852] = 17586,
  [17853] = 17595,
  [17854] = 17590,
  [17855] = 17590,
  [17856] = 17595,
  [17857] = 17595,
  [17858] = 17585,
  [17859] = 9984,
  [17860] = 17595,
  [17861] = 17615,
  [17862] = 17600,
  [17863] = 17595,
  [17864] = 17587,
  [17865] = 17619,
  [17866] = 17595,
  [17867] = 17586,
  [17868] = 17595,
  [17869] = 17869,
  [17870] = 17595,
  [17871] = 17590,
  [17872] = 17595,
  [17873] = 17585,
  [17874] = 17595,
  [17875] = 17585,
  [17876] = 17587,
  [17877] = 17600,
  [17878] = 17595,
  [17879] = 17615,
  [17880] = 17587,
  [17881] = 17595,
  [17882] = 17595,
  [17883] = 17587,
  [17884] = 17595,
  [17885] = 17595,
  [17886] = 17595,
  [17887] = 17619,
  [17888] = 17595,
  [17889] = 17595,
  [17890] = 17586,
  [17891] = 17595,
  [17892] = 17595,
  [17893] = 17595,
  [17894] = 17595,
  [17895] = 17619,
  [17896] = 17586,
  [17897] = 17590,
  [17898] = 17590,
  [17899] = 17585,
  [17900] = 17600,
  [17901] = 17590,
  [17902] = 17619,
  [17903] = 17587,
  [17904] = 17586,
  [17905] = 17590,
  [17906] = 17585,
  [17907] = 17585,
  [17908] = 17619,
  [17909] = 17600,
  [17910] = 17586,
  [17911] = 17600,
  [17912] = 17590,
  [17913] = 17585,
  [17914] = 17619,
  [17915] = 17587,
  [17916] = 17600,
  [17917] = 17600,
  [17918] = 17619,
  [17919] = 17585,
  [17920] = 17586,
  [17921] = 17587,
  [17922] = 17586,
  [17923] = 17589,
  [17924] = 17604,
  [17925] = 17590,
  [17926] = 17619,
  [17927] = 17585,
  [17928] = 17587,
  [17929] = 17619,
  [17930] = 17615,
  [17931] = 17600,
  [17932] = 17600,
  [17933] = 17586,
  [17934] = 17934,
  [17935] = 17619,
  [17936] = 17587,
  [17937] = 17586,
  [17938] = 17600,
  [17939] = 17585,
  [17940] = 17598,
  [17941] = 17612,
  [17942] = 17590,
  [17943] = 17600,
  [17944] = 17585,
  [17945] = 17600,
  [17946] = 17619,
  [17947] = 17586,
  [17948] = 17619,
  [17949] = 17587,
  [17950] = 17589,
  [17951] = 17619,
  [17952] = 17952,
  [17953] = 17586,
  [17954] = 17590,
  [17955] = 17586,
  [17956] = 17585,
  [17957] = 17590,
  [17958] = 17585,
  [17959] = 17585,
  [17960] = 17960,
  [17961] = 17602,
  [17962] = 17600,
  [17963] = 17587,
  [17964] = 17600,
  [17965] = 17619,
  [17966] = 17587,
  [17967] = 17600,
  [17968] = 17604,
  [17969] = 17587,
  [17970] = 17590,
  [17971] = 17590,
  [17972] = 17603,
  [17973] = 17585,
  [17974] = 17591,
  [17975] = 17610,
  [17976] = 17611,
  [17977] = 17586,
  [17978] = 17587,
  [17979] = 17600,
  [17980] = 17612,
  [17981] = 17587,
  [17982] = 17610,
  [17983] = 17611,
  [17984] = 17602,
  [17985] = 17587,
  [17986] = 17619,
  [17987] = 17590,
  [17988] = 17603,
  [17989] = 17586,
  [17990] = 17619,
  [17991] = 17586,
  [17992] = 17590,
  [17993] = 17587,
  [17994] = 17585,
  [17995] = 17619,
  [17996] = 17600,
  [17997] = 17602,
  [17998] = 17603,
  [17999] = 17590,
  [18000] = 17602,
  [18001] = 17603,
  [18002] = 17585,
  [18003] = 17587,
  [18004] = 18004,
  [18005] = 17600,
  [18006] = 17619,
  [18007] = 17585,
  [18008] = 17590,
  [18009] = 4555,
  [18010] = 17586,
  [18011] = 17587,
  [18012] = 17590,
  [18013] = 17589,
  [18014] = 17604,
  [18015] = 17585,
  [18016] = 17587,
  [18017] = 17585,
  [18018] = 17600,
  [18019] = 17600,
  [18020] = 17619,
  [18021] = 17600,
  [18022] = 17586,
  [18023] = 17615,
  [18024] = 18024,
  [18025] = 17619,
  [18026] = 17590,
  [18027] = 17587,
  [18028] = 17585,
  [18029] = 17612,
  [18030] = 17600,
  [18031] = 17590,
  [18032] = 18032,
  [18033] = 17587,
  [18034] = 18034,
  [18035] = 17610,
  [18036] = 17611,
  [18037] = 17615,
  [18038] = 17586,
  [18039] = 17590,
  [18040] = 17590,
  [18041] = 17587,
  [18042] = 18042,
  [18043] = 17619,
  [18044] = 17587,
  [18045] = 17586,
  [18046] = 4581,
  [18047] = 17602,
  [18048] = 17590,
  [18049] = 18049,
  [18050] = 17585,
  [18051] = 18051,
  [18052] = 17615,
  [18053] = 17610,
  [18054] = 18054,
  [18055] = 17600,
  [18056] = 17585,
  [18057] = 17589,
  [18058] = 17604,
  [18059] = 17611,
  [18060] = 17619,
  [18061] = 17600,
  [18062] = 17587,
  [18063] = 17615,
  [18064] = 17619,
  [18065] = 17586,
  [18066] = 17590,
  [18067] = 17586,
  [18068] = 17585,
  [18069] = 17600,
  [18070] = 17724,
  [18071] = 17587,
  [18072] = 17619,
  [18073] = 17587,
  [18074] = 17619,
  [18075] = 17591,
  [18076] = 17619,
  [18077] = 17586,
  [18078] = 17591,
  [18079] = 17590,
  [18080] = 17602,
  [18081] = 17612,
  [18082] = 17590,
  [18083] = 17619,
  [18084] = 17603,
  [18085] = 17586,
  [18086] = 17586,
  [18087] = 17603,
  [18088] = 17612,
  [18089] = 17585,
  [18090] = 17619,
  [18091] = 17586,
  [18092] = 17586,
  [18093] = 4625,
  [18094] = 17600,
  [18095] = 17585,
  [18096] = 17590,
  [18097] = 17600,
  [18098] = 17585,
  [18099] = 17590,
  [18100] = 17587,
  [18101] = 17585,
  [18102] = 17619,
  [18103] = 17600,
  [18104] = 4626,
  [18105] = 17586,
  [18106] = 17587,
  [18107] = 17600,
  [18108] = 17585,
  [18109] = 17589,
  [18110] = 17591,
  [18111] = 17604,
  [18112] = 17591,
  [18113] = 17586,
  [18114] = 17600,
  [18115] = 17591,
  [18116] = 17619,
  [18117] = 17619,
  [18118] = 17586,
  [18119] = 17587,
  [18120] = 17586,
  [18121] = 17595,
  [18122] = 17590,
  [18123] = 17600,
  [18124] = 17602,
  [18125] = 17603,
  [18126] = 17329,
  [18127] = 17619,
  [18128] = 17586,
  [18129] = 17585,
  [18130] = 17600,
  [18131] = 17590,
  [18132] = 17610,
  [18133] = 17587,
  [18134] = 17585,
  [18135] = 17602,
  [18136] = 17603,
  [18137] = 17600,
  [18138] = 4630,
  [18139] = 17590,
  [18140] = 4579,
  [18141] = 17590,
  [18142] = 17585,
  [18143] = 17600,
  [18144] = 17587,
  [18145] = 17587,
  [18146] = 17619,
  [18147] = 17586,
  [18148] = 17590,
  [18149] = 17610,
  [18150] = 17611,
  [18151] = 18151,
  [18152] = 17590,
  [18153] = 17590,
  [18154] = 17612,
  [18155] = 17585,
  [18156] = 17585,
  [18157] = 17587,
  [18158] = 17591,
  [18159] = 17600,
  [18160] = 17458,
  [18161] = 18161,
  [18162] = 7406,
  [18163] = 17587,
  [18164] = 17600,
  [18165] = 17612,
  [18166] = 17619,
  [18167] = 17612,
  [18168] = 17586,
  [18169] = 17589,
  [18170] = 17604,
  [18171] = 17585,
  [18172] = 17587,
  [18173] = 17615,
  [18174] = 17590,
  [18175] = 17612,
  [18176] = 17585,
  [18177] = 17585,
  [18178] = 17600,
  [18179] = 17619,
  [18180] = 17586,
  [18181] = 17619,
  [18182] = 17600,
  [18183] = 17586,
  [18184] = 17587,
  [18185] = 17600,
  [18186] = 17590,
  [18187] = 17590,
  [18188] = 17619,
  [18189] = 17619,
  [18190] = 17585,
  [18191] = 17586,
  [18192] = 17600,
  [18193] = 17590,
  [18194] = 17587,
  [18195] = 17587,
  [18196] = 17588,
  [18197] = 17612,
  [18198] = 17586,
  [18199] = 17619,
  [18200] = 17615,
  [18201] = 17586,
  [18202] = 16241,
  [18203] = 17612,
  [18204] = 17585,
  [18205] = 17590,
  [18206] = 17724,
  [18207] = 17619,
  [18208] = 17585,
  [18209] = 17600,
  [18210] = 17600,
  [18211] = 16411,
  [18212] = 17591,
  [18213] = 17600,
  [18214] = 17587,
  [18215] = 17619,
  [18216] = 17612,
  [18217] = 17612,
  [18218] = 17612,
  [18219] = 17612,
  [18220] = 17590,
  [18221] = 18221,
  [18222] = 18222,
  [18223] = 18223,
  [18224] = 18224,
  [18225] = 4732,
  [18226] = 18226,
  [18227] = 18227,
  [18228] = 18221,
  [18229] = 18222,
  [18230] = 18223,
  [18231] = 18224,
  [18232] = 18227,
  [18233] = 18221,
  [18234] = 18224,
  [18235] = 18235,
  [18236] = 18227,
  [18237] = 18226,
  [18238] = 18227,
  [18239] = 18239,
  [18240] = 18223,
  [18241] = 18241,
  [18242] = 18241,
  [18243] = 18227,
  [18244] = 18244,
  [18245] = 18244,
  [18246] = 18241,
  [18247] = 18223,
  [18248] = 18248,
  [18249] = 18241,
  [18250] = 18221,
  [18251] = 18251,
  [18252] = 18251,
  [18253] = 18223,
  [18254] = 18241,
  [18255] = 18248,
  [18256] = 18235,
  [18257] = 18223,
  [18258] = 18223,
  [18259] = 18227,
  [18260] = 18221,
  [18261] = 18222,
  [18262] = 18223,
  [18263] = 18227,
  [18264] = 18226,
  [18265] = 18224,
  [18266] = 18223,
  [18267] = 18221,
  [18268] = 18222,
  [18269] = 18223,
  [18270] = 18241,
  [18271] = 18224,
  [18272] = 18227,
  [18273] = 18222,
  [18274] = 18223,
  [18275] = 18226,
  [18276] = 18223,
  [18277] = 18227,
  [18278] = 18222,
  [18279] = 18222,
  [18280] = 18227,
  [18281] = 18223,
  [18282] = 18227,
  [18283] = 18251,
  [18284] = 18223,
  [18285] = 18224,
  [18286] = 18223,
  [18287] = 18241,
  [18288] = 4847,
  [18289] = 18223,
  [18290] = 18226,
  [18291] = 18224,
  [18292] = 18223,
  [18293] = 18223,
  [18294] = 18226,
  [18295] = 18223,
  [18296] = 18223,
  [18297] = 18241,
  [18298] = 18235,
  [18299] = 18223,
  [18300] = 18241,
  [18301] = 18223,
  [18302] = 18223,
  [18303] = 18222,
  [18304] = 6468,
  [18305] = 18223,
  [18306] = 18221,
  [18307] = 18222,
  [18308] = 18223,
  [18309] = 18221,
  [18310] = 18227,
  [18311] = 18223,
  [18312] = 18223,
  [18313] = 18244,
  [18314] = 18241,
  [18315] = 18223,
  [18316] = 18223,
  [18317] = 18223,
  [18318] = 18221,
  [18319] = 18223,
  [18320] = 18241,
  [18321] = 18223,
  [18322] = 18221,
  [18323] = 18223,
  [18324] = 18224,
  [18325] = 18224,
  [18326] = 18223,
  [18327] = 18227,
  [18328] = 18248,
  [18329] = 18251,
  [18330] = 18223,
  [18331] = 18223,
  [18332] = 18222,
  [18333] = 18223,
  [18334] = 18223,
  [18335] = 18222,
  [18336] = 18223,
  [18337] = 18235,
  [18338] = 18221,
  [18339] = 18224,
  [18340] = 18223,
  [18341] = 18224,
  [18342] = 18223,
  [18343] = 18227,
  [18344] = 18224,
  [18345] = 18223,
  [18346] = 18223,
  [18347] = 18241,
  [18348] = 18223,
  [18349] = 18227,
  [18350] = 18226,
  [18351] = 18223,
  [18352] = 18241,
  [18353] = 18223,
  [18354] = 18241,
  [18355] = 18223,
  [18356] = 18241,
  [18357] = 18223,
  [18358] = 18223,
  [18359] = 4539,
  [18360] = 18223,
  [18361] = 18223,
  [18362] = 18221,
  [18363] = 18244,
  [18364] = 18223,
  [18365] = 18248,
  [18366] = 18223,
  [18367] = 18227,
  [18368] = 18251,
  [18369] = 18223,
  [18370] = 18235,
  [18371] = 18244,
  [18372] = 18221,
  [18373] = 4702,
  [18374] = 18244,
  [18375] = 18227,
  [18376] = 18227,
  [18377] = 18226,
  [18378] = 18248,
  [18379] = 18244,
  [18380] = 18227,
  [18381] = 18241,
  [18382] = 18251,
  [18383] = 18221,
  [18384] = 18235,
  [18385] = 18223,
  [18386] = 18227,
  [18387] = 18241,
  [18388] = 18221,
  [18389] = 18221,
  [18390] = 18227,
  [18391] = 18248,
  [18392] = 18392,
  [18393] = 18241,
  [18394] = 18244,
  [18395] = 18241,
  [18396] = 18241,
  [18397] = 18227,
  [18398] = 18222,
  [18399] = 18221,
  [18400] = 18244,
  [18401] = 18221,
  [18402] = 18224,
  [18403] = 18221,
  [18404] = 18241,
  [18405] = 18248,
  [18406] = 18251,
  [18407] = 18235,
  [18408] = 18226,
  [18409] = 18244,
  [18410] = 18221,
  [18411] = 18241,
  [18412] = 18412,
  [18413] = 18248,
  [18414] = 18244,
  [18415] = 4807,
  [18416] = 18227,
  [18417] = 18248,
  [18418] = 18251,
  [18419] = 4811,
  [18420] = 18251,
  [18421] = 18227,
  [18422] = 18235,
  [18423] = 18235,
  [18424] = 18227,
  [18425] = 18226,
  [18426] = 18221,
  [18427] = 4786,
  [18428] = 4581,
  [18429] = 18241,
  [18430] = 18221,
  [18431] = 18227,
  [18432] = 18222,
  [18433] = 18227,
  [18434] = 18224,
  [18435] = 18241,
  [18436] = 18436,
  [18437] = 18244,
  [18438] = 4733,
  [18439] = 18226,
  [18440] = 18227,
  [18441] = 18248,
  [18442] = 18227,
  [18443] = 18221,
  [18444] = 18241,
  [18445] = 18226,
  [18446] = 18221,
  [18447] = 18244,
  [18448] = 18227,
  [18449] = 18248,
  [18450] = 18251,
  [18451] = 18235,
  [18452] = 18251,
  [18453] = 18222,
  [18454] = 18241,
  [18455] = 18227,
  [18456] = 18248,
  [18457] = 18224,
  [18458] = 4773,
  [18459] = 18235,
  [18460] = 18241,
  [18461] = 18223,
  [18462] = 18226,
  [18463] = 18221,
  [18464] = 18244,
  [18465] = 18241,
  [18466] = 18223,
  [18467] = 18227,
  [18468] = 18241,
  [18469] = 18222,
  [18470] = 18224,
  [18471] = 18222,
  [18472] = 18248,
  [18473] = 18224,
  [18474] = 18226,
  [18475] = 18241,
  [18476] = 18226,
  [18477] = 18241,
  [18478] = 18226,
  [18479] = 18222,
  [18480] = 18241,
  [18481] = 18221,
  [18482] = 18244,
  [18483] = 18248,
  [18484] = 18227,
  [18485] = 18251,
  [18486] = 18221,
  [18487] = 18244,
  [18488] = 18248,
  [18489] = 18251,
  [18490] = 18235,
  [18491] = 18235,
  [18492] = 18241,
  [18493] = 18248,
  [18494] = 18251,
  [18495] = 18251,
  [18496] = 18227,
  [18497] = 18222,
  [18498] = 18222,
  [18499] = 18224,
  [18500] = 18241,
  [18501] = 18241,
  [18502] = 18226,
  [18503] = 18227,
  [18504] = 18224,
  [18505] = 6426,
  [18506] = 18222,
  [18507] = 18241,
  [18508] = 18224,
  [18509] = 18241,
  [18510] = 4805,
  [18511] = 18227,
  [18512] = 18227,
  [18513] = 18221,
  [18514] = 18222,
  [18515] = 18224,
  [18516] = 18241,
  [18517] = 18517,
  [18518] = 18227,
  [18519] = 18235,
  [18520] = 18223,
  [18521] = 18251,
  [18522] = 18226,
  [18523] = 18222,
  [18524] = 18222,
  [18525] = 18221,
  [18526] = 18244,
  [18527] = 18248,
  [18528] = 18251,
  [18529] = 18235,
  [18530] = 18224,
  [18531] = 18227,
  [18532] = 4687,
  [18533] = 18241,
  [18534] = 4774,
  [18535] = 4831,
  [18536] = 18222,
  [18537] = 18222,
  [18538] = 18226,
  [18539] = 18226,
  [18540] = 18224,
  [18541] = 18241,
  [18542] = 18222,
  [18543] = 18226,
  [18544] = 4863,
  [18545] = 18221,
  [18546] = 18227,
  [18547] = 18241,
  [18548] = 18224,
  [18549] = 18221,
  [18550] = 18222,
  [18551] = 18241,
  [18552] = 18224,
  [18553] = 18227,
  [18554] = 18221,
  [18555] = 18555,
  [18556] = 18221,
  [18557] = 18221,
  [18558] = 18227,
  [18559] = 18227,
  [18560] = 18222,
  [18561] = 18244,
  [18562] = 18224,
  [18563] = 18235,
  [18564] = 4775,
  [18565] = 18251,
  [18566] = 18244,
  [18567] = 4776,
  [18568] = 18241,
  [18569] = 4818,
  [18570] = 18224,
  [18571] = 18248,
  [18572] = 4823,
  [18573] = 18221,
  [18574] = 18244,
  [18575] = 18241,
  [18576] = 18248,
  [18577] = 18251,
  [18578] = 18241,
  [18579] = 18235,
  [18580] = 4825,
  [18581] = 4771,
  [18582] = 18227,
  [18583] = 18223,
  [18584] = 18244,
  [18585] = 18227,
  [18586] = 4791,
  [18587] = 18251,
  [18588] = 18221,
  [18589] = 18244,
  [18590] = 4868,
  [18591] = 18226,
  [18592] = 18226,
  [18593] = 4715,
  [18594] = 18248,
  [18595] = 4869,
  [18596] = 18251,
  [18597] = 18226,
  [18598] = 18235,
  [18599] = 18222,
  [18600] = 18241,
  [18601] = 4870,
  [18602] = 18224,
  [18603] = 4885,
  [18604] = 18222,
  [18605] = 4890,
  [18606] = 18224,
  [18607] = 18248,
  [18608] = 18221,
  [18609] = 7882,
  [18610] = 18235,
  [18611] = 18227,
  [18612] = 18221,
  [18613] = 18241,
  [18614] = 18244,
  [18615] = 18227,
  [18616] = 18248,
  [18617] = 4891,
  [18618] = 4892,
  [18619] = 18251,
  [18620] = 4784,
  [18621] = 18235,
  [18622] = 4788,
  [18623] = 18221,
  [18624] = 18221,
  [18625] = 18244,
  [18626] = 18248,
  [18627] = 18251,
  [18628] = 18235,
  [18629] = 18244,
  [18630] = 18227,
  [18631] = 18248,
  [18632] = 18248,
  [18633] = 18241,
  [18634] = 18251,
  [18635] = 18226,
  [18636] = 18222,
  [18637] = 4749,
  [18638] = 4751,
  [18639] = 18224,
  [18640] = 18241,
  [18641] = 18221,
  [18642] = 9997,
  [18643] = 18251,
  [18644] = 18221,
  [18645] = 18222,
  [18646] = 18235,
  [18647] = 18224,
  [18648] = 4754,
  [18649] = 18226,
  [18650] = 18222,
  [18651] = 18244,
  [18652] = 18241,
  [18653] = 18223,
  [18654] = 18235,
  [18655] = 18221,
  [18656] = 18221,
  [18657] = 4795,
  [18658] = 18248,
  [18659] = 4796,
  [18660] = 18251,
  [18661] = 18221,
  [18662] = 18235,
  [18663] = 18241,
  [18664] = 18221,
  [18665] = 18227,
  [18666] = 18241,
  [18667] = 18221,
  [18668] = 18221,
  [18669] = 18244,
  [18670] = 18248,
  [18671] = 18251,
  [18672] = 18221,
  [18673] = 18235,
  [18674] = 18244,
  [18675] = 18221,
  [18676] = 4797,
  [18677] = 18244,
  [18678] = 18241,
  [18679] = 18227,
  [18680] = 18251,
  [18681] = 18248,
  [18682] = 18251,
  [18683] = 18241,
  [18684] = 4833,
  [18685] = 18224,
  [18686] = 18235,
  [18687] = 18221,
  [18688] = 18248,
  [18689] = 18244,
  [18690] = 18227,
  [18691] = 4772,
  [18692] = 18226,
  [18693] = 18251,
  [18694] = 18226,
  [18695] = 18222,
  [18696] = 4832,
  [18697] = 4730,
  [18698] = 4790,
  [18699] = 18224,
  [18700] = 4809,
  [18701] = 4854,
  [18702] = 18235,
  [18703] = 18226,
  [18704] = 18226,
  [18705] = 18227,
  [18706] = 18226,
  [18707] = 18241,
  [18708] = 4707,
  [18709] = 18222,
  [18710] = 18221,
  [18711] = 18227,
  [18712] = 18227,
  [18713] = 18224,
  [18714] = 18227,
  [18715] = 18235,
  [18716] = 18244,
  [18717] = 18227,
  [18718] = 18248,
  [18719] = 18221,
  [18720] = 18241,
  [18721] = 18223,
  [18722] = 18251,
  [18723] = 18235,
  [18724] = 18222,
  [18725] = 18224,
  [18726] = 18241,
  [18727] = 18227,
  [18728] = 18235,
  [18729] = 18221,
  [18730] = 18244,
  [18731] = 18248,
  [18732] = 18251,
  [18733] = 18235,
  [18734] = 18227,
  [18735] = 18226,
  [18736] = 18221,
  [18737] = 18221,
  [18738] = 18244,
  [18739] = 18221,
  [18740] = 18241,
  [18741] = 18248,
  [18742] = 18251,
  [18743] = 18244,
  [18744] = 18227,
  [18745] = 18235,
  [18746] = 18248,
  [18747] = 18222,
  [18748] = 18224,
  [18749] = 18251,
  [18750] = 18221,
  [18751] = 18226,
  [18752] = 18226,
  [18753] = 18241,
  [18754] = 18235,
  [18755] = 18227,
  [18756] = 18226,
  [18757] = 18241,
  [18758] = 18244,
  [18759] = 18223,
  [18760] = 18248,
  [18761] = 18251,
  [18762] = 18221,
  [18763] = 18221,
  [18764] = 18244,
  [18765] = 18248,
  [18766] = 18251,
  [18767] = 18224,
  [18768] = 18235,
  [18769] = 18244,
  [18770] = 18248,
  [18771] = 18251,
  [18772] = 18227,
  [18773] = 18235,
  [18774] = 18235,
  [18775] = 18235,
  [18776] = 18241,
  [18777] = 18248,
  [18778] = 18226,
  [18779] = 18241,
  [18780] = 18227,
  [18781] = 18226,
  [18782] = 18782,
  [18783] = 18783,
  [18784] = 18784,
  [18785] = 18785,
  [18786] = 18786,
  [18787] = 18787,
  [18788] = 18788,
  [18789] = 18789,
  [18790] = 18784,
  [18791] = 18788,
  [18792] = 18792,
  [18793] = 18793,
  [18794] = 18785,
  [18795] = 18789,
  [18796] = 18784,
  [18797] = 18797,
  [18798] = 18798,
  [18799] = 18799,
  [18800] = 18789,
  [18801] = 18785,
  [18802] = 18799,
  [18803] = 18803,
  [18804] = 18804,
  [18805] = 18805,
  [18806] = 18804,
  [18807] = 18804,
  [18808] = 18808,
  [18809] = 18784,
  [18810] = 18810,
  [18811] = 18783,
  [18812] = 18812,
  [18813] = 18813,
  [18814] = 18814,
  [18815] = 18785,
  [18816] = 18787,
  [18817] = 18817,
  [18818] = 18798,
  [18819] = 18814,
  [18820] = 18786,
  [18821] = 18821,
  [18822] = 18822,
  [18823] = 18785,
  [18824] = 18785,
  [18825] = 18825,
  [18826] = 18782,
  [18827] = 18797,
  [18828] = 18789,
  [18829] = 18817,
  [18830] = 18830,
  [18831] = 18793,
  [18832] = 18793,
  [18833] = 18830,
  [18834] = 18797,
  [18835] = 4591,
  [18836] = 18789,
  [18837] = 18825,
  [18838] = 18797,
  [18839] = 18793,
  [18840] = 18793,
  [18841] = 18830,
  [18842] = 18803,
  [18843] = 18812,
  [18844] = 18804,
  [18845] = 18797,
  [18846] = 18793,
  [18847] = 18830,
  [18848] = 18797,
  [18849] = 18830,
  [18850] = 18825,
  [18851] = 18792,
  [18852] = 18799,
  [18853] = 18797,
  [18854] = 18814,
  [18855] = 18813,
  [18856] = 18856,
  [18857] = 18789,
  [18858] = 18803,
  [18859] = 18789,
  [18860] = 18860,
  [18861] = 18808,
  [18862] = 18862,
  [18863] = 18863,
  [18864] = 18797,
  [18865] = 18803,
  [18866] = 18817,
  [18867] = 18867,
  [18868] = 18814,
  [18869] = 18793,
  [18870] = 18830,
  [18871] = 18817,
  [18872] = 18797,
  [18873] = 18804,
  [18874] = 18874,
  [18875] = 18797,
  [18876] = 18876,
  [18877] = 18810,
  [18878] = 18803,
  [18879] = 18787,
  [18880] = 18783,
  [18881] = 18782,
  [18882] = 18825,
  [18883] = 18803,
  [18884] = 18867,
  [18885] = 18862,
  [18886] = 18886,
  [18887] = 18814,
  [18888] = 18782,
  [18889] = 18782,
  [18890] = 18804,
  [18891] = 18789,
  [18892] = 18808,
  [18893] = 18893,
  [18894] = 18894,
  [18895] = 18810,
  [18896] = 18788,
  [18897] = 18785,
  [18898] = 18783,
  [18899] = 18899,
  [18900] = 18900,
  [18901] = 18792,
  [18902] = 18804,
  [18903] = 18903,
  [18904] = 18803,
  [18905] = 18905,
  [18906] = 18799,
  [18907] = 18817,
  [18908] = 18810,
  [18909] = 18909,
  [18910] = 18804,
  [18911] = 18817,
  [18912] = 18798,
  [18913] = 18876,
  [18914] = 18821,
  [18915] = 18915,
  [18916] = 18822,
  [18917] = 18797,
  [18918] = 18918,
  [18919] = 18784,
  [18920] = 18814,
  [18921] = 18808,
  [18922] = 18814,
  [18923] = 18803,
  [18924] = 18867,
  [18925] = 18808,
  [18926] = 4622,
  [18927] = 18825,
  [18928] = 18799,
  [18929] = 18803,
  [18930] = 18782,
  [18931] = 18825,
  [18932] = 18782,
  [18933] = 18803,
  [18934] = 18822,
  [18935] = 18825,
  [18936] = 18783,
  [18937] = 18798,
  [18938] = 18782,
  [18939] = 18810,
  [18940] = 18940,
  [18941] = 18941,
  [18942] = 18789,
  [18943] = 18943,
  [18944] = 18783,
  [18945] = 18797,
  [18946] = 18946,
  [18947] = 18947,
  [18948] = 18785,
  [18949] = 18949,
  [18950] = 18814,
  [18951] = 18951,
  [18952] = 18810,
  [18953] = 18953,
  [18954] = 18798,
  [18955] = 18788,
  [18956] = 18956,
  [18957] = 18957,
  [18958] = 18810,
  [18959] = 18918,
  [18960] = 18810,
  [18961] = 18903,
  [18962] = 18789,
  [18963] = 18799,
  [18964] = 18812,
  [18965] = 4590,
  [18966] = 18966,
  [18967] = 18797,
  [18968] = 18894,
  [18969] = 18784,
  [18970] = 18783,
  [18971] = 18803,
  [18972] = 18821,
  [18973] = 18867,
  [18974] = 18974,
  [18975] = 18804,
  [18976] = 18808,
  [18977] = 18977,
  [18978] = 18905,
  [18979] = 18804,
  [18980] = 18813,
  [18981] = 18814,
  [18982] = 18785,
  [18983] = 18789,
  [18984] = 18810,
  [18985] = 18783,
  [18986] = 18789,
  [18987] = 18803,
  [18988] = 18988,
  [18989] = 18789,
  [18990] = 18784,
  [18991] = 18797,
  [18992] = 18817,
  [18993] = 18993,
  [18994] = 18814,
  [18995] = 18784,
  [18996] = 18799,
  [18997] = 18785,
  [18998] = 18856,
  [18999] = 18966,
  [19000] = 18793,
  [19001] = 18893,
  [19002] = 18797,
  [19003] = 18793,
  [19004] = 19004,
  [19005] = 18977,
  [19006] = 18789,
  [19007] = 18799,
  [19008] = 18804,
  [19009] = 18797,
  [19010] = 19010,
  [19011] = 18825,
  [19012] = 18782,
  [19013] = 18822,
  [19014] = 18788,
  [19015] = 18909,
  [19016] = 18810,
  [19017] = 18787,
  [19018] = 18799,
  [19019] = 18783,
  [19020] = 18788,
  [19021] = 19021,
  [19022] = 18814,
  [19023] = 18785,
  [19024] = 4584,
  [19025] = 18803,
  [19026] = 18814,
  [19027] = 18808,
  [19028] = 18886,
  [19029] = 18918,
  [19030] = 18946,
  [19031] = 18798,
  [19032] = 18988,
  [19033] = 18993,
  [19034] = 18798,
  [19035] = 18993,
  [19036] = 18867,
  [19037] = 19037,
  [19038] = 18785,
  [19039] = 18804,
  [19040] = 18808,
  [19041] = 18810,
  [19042] = 18810,
  [19043] = 18793,
  [19044] = 18783,
  [19045] = 18830,
  [19046] = 18797,
  [19047] = 18940,
  [19048] = 18784,
  [19049] = 18830,
  [19050] = 18803,
  [19051] = 18789,
  [19052] = 18825,
  [19053] = 19021,
  [19054] = 18825,
  [19055] = 18876,
  [19056] = 18799,
  [19057] = 18788,
  [19058] = 18817,
  [19059] = 18966,
  [19060] = 18782,
  [19061] = 18812,
  [19062] = 18915,
  [19063] = 19063,
  [19064] = 18814,
  [19065] = 19065,
  [19066] = 18799,
  [19067] = 18789,
  [19068] = 18808,
  [19069] = 18799,
  [19070] = 18874,
  [19071] = 18825,
  [19072] = 18784,
  [19073] = 18782,
  [19074] = 18821,
  [19075] = 18974,
  [19076] = 18966,
  [19077] = 18789,
  [19078] = 18817,
  [19079] = 18817,
  [19080] = 18817,
  [19081] = 19037,
  [19082] = 18788,
  [19083] = 18876,
  [19084] = 18789,
  [19085] = 19065,
  [19086] = 18797,
  [19087] = 18974,
  [19088] = 18784,
  [19089] = 18893,
  [19090] = 18814,
  [19091] = 19063,
  [19092] = 18784,
  [19093] = 19093,
  [19094] = 18817,
  [19095] = 18799,
  [19096] = 19093,
  [19097] = 19097,
  [19098] = 18894,
  [19099] = 18941,
  [19100] = 18797,
  [19101] = 18817,
  [19102] = 18814,
  [19103] = 18808,
  [19104] = 19104,
  [19105] = 18803,
  [19106] = 18810,
  [19107] = 18814,
  [19108] = 18808,
  [19109] = 18805,
  [19110] = 18783,
  [19111] = 19097,
  [19112] = 18946,
  [19113] = 18804,
  [19114] = 19104,
  [19115] = 18788,
  [19116] = 18799,
  [19117] = 18803,
  [19118] = 18810,
  [19119] = 18783,
  [19120] = 18798,
  [19121] = 18784,
  [19122] = 18977,
  [19123] = 18804,
  [19124] = 18817,
  [19125] = 19125,
  [19126] = 18814,
  [19127] = 18813,
  [19128] = 18804,
  [19129] = 18899,
  [19130] = 18803,
  [19131] = 18799,
  [19132] = 18810,
  [19133] = 18799,
  [19134] = 19134,
  [19135] = 18789,
  [19136] = 18783,
  [19137] = 18783,
  [19138] = 18988,
  [19139] = 19125,
  [19140] = 18793,
  [19141] = 18799,
  [19142] = 18886,
  [19143] = 18862,
  [19144] = 18863,
  [19145] = 18825,
  [19146] = 18782,
  [19147] = 18793,
  [19148] = 18915,
  [19149] = 18822,
  [19150] = 18874,
  [19151] = 18789,
  [19152] = 18900,
  [19153] = 18977,
  [19154] = 18966,
  [19155] = 18788,
  [19156] = 18789,
  [19157] = 18830,
  [19158] = 18867,
  [19159] = 18804,
  [19160] = 18808,
  [19161] = 18813,
  [19162] = 18792,
  [19163] = 19004,
  [19164] = 18797,
  [19165] = 18812,
  [19166] = 18810,
  [19167] = 18783,
  [19168] = 18804,
  [19169] = 18793,
  [19170] = 18810,
  [19171] = 18783,
  [19172] = 19172,
  [19173] = 18886,
  [19174] = 18785,
  [19175] = 18803,
  [19176] = 18817,
  [19177] = 18789,
  [19178] = 18814,
  [19179] = 18804,
  [19180] = 18899,
  [19181] = 18793,
  [19182] = 18830,
  [19183] = 18830,
  [19184] = 18903,
  [19185] = 18856,
  [19186] = 18797,
  [19187] = 18918,
  [19188] = 18810,
  [19189] = 18810,
  [19190] = 18803,
  [19191] = 19191,
  [19192] = 18993,
  [19193] = 18783,
  [19194] = 18783,
  [19195] = 18918,
  [19196] = 18915,
  [19197] = 19197,
  [19198] = 18808,
  [19199] = 18946,
  [19200] = 18799,
  [19201] = 18803,
  [19202] = 18817,
  [19203] = 18825,
  [19204] = 18905,
  [19205] = 18988,
  [19206] = 18943,
  [19207] = 18814,
  [19208] = 18949,
  [19209] = 18893,
  [19210] = 18804,
  [19211] = 18900,
  [19212] = 18947,
  [19213] = 18894,
  [19214] = 18862,
  [19215] = 18863,
  [19216] = 18909,
  [19217] = 18825,
  [19218] = 18782,
  [19219] = 18782,
  [19220] = 19065,
  [19221] = 18874,
  [19222] = 18784,
  [19223] = 18825,
  [19224] = 18825,
  [19225] = 18784,
  [19226] = 18782,
  [19227] = 18783,
  [19228] = 18810,
  [19229] = 19125,
  [19230] = 18808,
  [19231] = 19172,
  [19232] = 19004,
  [19233] = 18810,
  [19234] = 18797,
  [19235] = 18782,
  [19236] = 18787,
  [19237] = 19021,
  [19238] = 18817,
  [19239] = 18812,
  [19240] = 18783,
  [19241] = 18803,
  [19242] = 18789,
  [19243] = 18786,
  [19244] = 18821,
  [19245] = 18966,
  [19246] = 18817,
  [19247] = 18856,
  [19248] = 18804,
  [19249] = 18804,
  [19250] = 18805,
  [19251] = 18814,
  [19252] = 18993,
  [19253] = 18825,
  [19254] = 18798,
  [19255] = 18799,
  [19256] = 18825,
  [19257] = 18867,
  [19258] = 18814,
  [19259] = 18822,
  [19260] = 19063,
  [19261] = 18805,
  [19262] = 18782,
  [19263] = 18810,
  [19264] = 18782,
  [19265] = 19004,
  [19266] = 18876,
  [19267] = 19004,
  [19268] = 18810,
  [19269] = 19197,
  [19270] = 19004,
  [19271] = 18785,
  [19272] = 19037,
  [19273] = 18789,
  [19274] = 18783,
  [19275] = 18797,
  [19276] = 18782,
  [19277] = 18988,
  [19278] = 18789,
  [19279] = 18783,
  [19280] = 18804,
  [19281] = 18797,
  [19282] = 18856,
  [19283] = 18793,
  [19284] = 18862,
  [19285] = 18863,
  [19286] = 18825,
  [19287] = 18810,
  [19288] = 19288,
  [19289] = 18783,
  [19290] = 18784,
  [19291] = 18804,
  [19292] = 18803,
  [19293] = 18803,
  [19294] = 18799,
  [19295] = 18825,
  [19296] = 19197,
  [19297] = 18817,
  [19298] = 19021,
  [19299] = 18803,
  [19300] = 18804,
  [19301] = 18783,
  [19302] = 18899,
  [19303] = 19288,
  [19304] = 18814,
  [19305] = 18784,
  [19306] = 4589,
  [19307] = 18817,
  [19308] = 18788,
  [19309] = 18893,
  [19310] = 18974,
  [19311] = 18804,
  [19312] = 18825,
  [19313] = 18862,
  [19314] = 18863,
  [19315] = 18785,
  [19316] = 18782,
  [19317] = 18810,
  [19318] = 18783,
  [19319] = 18949,
  [19320] = 19197,
  [19321] = 18893,
  [19322] = 18894,
  [19323] = 18803,
  [19324] = 18785,
  [19325] = 18798,
  [19326] = 18900,
  [19327] = 18825,
  [19328] = 18782,
  [19329] = 18899,
  [19330] = 18900,
  [19331] = 18792,
  [19332] = 19104,
  [19333] = 19004,
  [19334] = 18817,
  [19335] = 18903,
  [19336] = 18788,
  [19337] = 18792,
  [19338] = 18814,
  [19339] = 18905,
  [19340] = 18825,
  [19341] = 18862,
  [19342] = 18863,
  [19343] = 18789,
  [19344] = 18909,
  [19345] = 18782,
  [19346] = 18814,
  [19347] = 18876,
  [19348] = 19288,
  [19349] = 18903,
  [19350] = 18822,
  [19351] = 18862,
  [19352] = 18863,
  [19353] = 18856,
  [19354] = 18817,
  [19355] = 18918,
  [19356] = 18894,
  [19357] = 18785,
  [19358] = 18789,
  [19359] = 18789,
  [19360] = 18803,
  [19361] = 18862,
  [19362] = 18863,
  [19363] = 18808,
  [19364] = 18793,
  [19365] = 18830,
  [19366] = 18797,
  [19367] = 19004,
  [19368] = 18862,
  [19369] = 18863,
  [19370] = 18951,
  [19371] = 18817,
  [19372] = 19093,
  [19373] = 18782,
  [19374] = 18862,
  [19375] = 18863,
  [19376] = 18899,
  [19377] = 18803,
  [19378] = 18786,
  [19379] = 18804,
  [19380] = 18862,
  [19381] = 18863,
  [19382] = 19172,
  [19383] = 18825,
  [19384] = 18799,
  [19385] = 18903,
  [19386] = 19134,
  [19387] = 18966,
  [19388] = 18789,
  [19389] = 19288,
  [19390] = 18804,
  [19391] = 19097,
  [19392] = 18799,
  [19393] = 18830,
  [19394] = 19104,
  [19395] = 18900,
  [19396] = 18814,
  [19397] = 18797,
  [19398] = 18817,
  [19399] = 18784,
  [19400] = 18953,
  [19401] = 18825,
  [19402] = 18782,
  [19403] = 18787,
  [19404] = 18792,
  [19405] = 18803,
  [19406] = 18797,
  [19407] = 18804,
  [19408] = 18784,
  [19409] = 18810,
  [19410] = 18810,
  [19411] = 18783,
  [19412] = 18782,
  [19413] = 18799,
  [19414] = 18784,
  [19415] = 18918,
  [19416] = 18789,
  [19417] = 18814,
  [19418] = 18799,
  [19419] = 18799,
  [19420] = 18803,
  [19421] = 18797,
  [19422] = 18817,
  [19423] = 18956,
  [19424] = 19197,
  [19425] = 19063,
  [19426] = 18814,
  [19427] = 18905,
  [19428] = 18822,
  [19429] = 18946,
  [19430] = 18988,
  [19431] = 18825,
  [19432] = 18993,
  [19433] = 18825,
  [19434] = 18977,
  [19435] = 19021,
  [19436] = 19436,
  [19437] = 19037,
  [19438] = 18782,
  [19439] = 18974,
  [19440] = 18808,
  [19441] = 19093,
  [19442] = 18825,
  [19443] = 18799,
  [19444] = 18783,
  [19445] = 18940,
  [19446] = 18803,
  [19447] = 18789,
  [19448] = 18792,
  [19449] = 18863,
  [19450] = 18856,
  [19451] = 18941,
  [19452] = 18798,
  [19453] = 19097,
  [19454] = 19104,
  [19455] = 18966,
  [19456] = 18947,
  [19457] = 18785,
  [19458] = 18782,
  [19459] = 18943,
  [19460] = 18804,
  [19461] = 18947,
  [19462] = 18993,
  [19463] = 18977,
  [19464] = 18788,
  [19465] = 18918,
  [19466] = 18813,
  [19467] = 18788,
  [19468] = 19125,
  [19469] = 18825,
  [19470] = 18886,
  [19471] = 18915,
  [19472] = 18949,
  [19473] = 18784,
  [19474] = 18810,
  [19475] = 18966,
  [19476] = 18813,
  [19477] = 18783,
  [19478] = 18951,
  [19479] = 18814,
  [19480] = 18953,
  [19481] = 18782,
  [19482] = 18788,
  [19483] = 18817,
  [19484] = 18956,
  [19485] = 18814,
  [19486] = 18957,
  [19487] = 18909,
  [19488] = 18909,
  [19489] = 18814,
  [19490] = 18797,
  [19491] = 18797,
  [19492] = 18782,
  [19493] = 18886,
  [19494] = 18903,
  [19495] = 18886,
  [19496] = 18804,
  [19497] = 18788,
  [19498] = 18810,
  [19499] = 18803,
  [19500] = 18808,
  [19501] = 18793,
  [19502] = 18810,
  [19503] = 18783,
  [19504] = 18825,
  [19505] = 19021,
  [19506] = 18814,
  [19507] = 18799,
  [19508] = 18825,
  [19509] = 18817,
  [19510] = 18785,
  [19511] = 18915,
  [19512] = 18810,
  [19513] = 18785,
  [19514] = 18810,
  [19515] = 18789,
  [19516] = 18867,
  [19517] = 18825,
  [19518] = 18782,
  [19519] = 18785,
  [19520] = 18825,
  [19521] = 18782,
  [19522] = 18814,
  [19523] = 18782,
  [19524] = 19197,
  [19525] = 18783,
  [19526] = 18789,
  [19527] = 18903,
  [19528] = 18977,
  [19529] = 18805,
  [19530] = 18793,
  [19531] = 18830,
  [19532] = 18789,
  [19533] = 18785,
  [19534] = 18940,
  [19535] = 18817,
  [19536] = 18788,
  [19537] = 18941,
  [19538] = 18943,
  [19539] = 4653,
  [19540] = 18893,
  [19541] = 18894,
  [19542] = 18783,
  [19543] = 18785,
  [19544] = 18947,
  [19545] = 18899,
  [19546] = 18804,
  [19547] = 18900,
  [19548] = 19197,
  [19549] = 18785,
  [19550] = 18792,
  [19551] = 18803,
  [19552] = 18949,
  [19553] = 18785,
  [19554] = 18797,
  [19555] = 18903,
  [19556] = 18951,
  [19557] = 18785,
  [19558] = 18813,
  [19559] = 18804,
  [19560] = 18793,
  [19561] = 18785,
  [19562] = 18905,
  [19563] = 18830,
  [19564] = 18797,
  [19565] = 18785,
  [19566] = 18785,
  [19567] = 18785,
  [19568] = 18785,
  [19569] = 18785,
  [19570] = 18785,
  [19571] = 18785,
  [19572] = 18785,
  [19573] = 18785,
  [19574] = 18876,
  [19575] = 18785,
  [19576] = 18940,
  [19577] = 18785,
  [19578] = 18804,
  [19579] = 18909,
  [19580] = 18799,
  [19581] = 18789,
  [19582] = 18798,
  [19583] = 18876,
  [19584] = 18788,
  [19585] = 18783,
  [19586] = 18822,
  [19587] = 18793,
  [19588] = 18918,
  [19589] = 18830,
  [19590] = 18799,
  [19591] = 18803,
  [19592] = 18886,
  [19593] = 18825,
  [19594] = 18782,
  [19595] = 18797,
  [19596] = 18953,
  [19597] = 18817,
  [19598] = 18788,
  [19599] = 18797,
  [19600] = 18803,
  [19601] = 18940,
  [19602] = 18941,
  [19603] = 18943,
  [19604] = 18947,
  [19605] = 18949,
  [19606] = 18825,
  [19607] = 18951,
  [19608] = 18810,
  [19609] = 18953,
  [19610] = 18789,
  [19611] = 18788,
  [19612] = 18956,
  [19613] = 18957,
  [19614] = 19063,
  [19615] = 18793,
  [19616] = 18785,
  [19617] = 19097,
  [19618] = 18804,
  [19619] = 18782,
  [19620] = 19065,
  [19621] = 18817,
  [19622] = 18915,
  [19623] = 18876,
  [19624] = 18813,
  [19625] = 18789,
  [19626] = 18941,
  [19627] = 18804,
  [19628] = 18810,
  [19629] = 18830,
  [19630] = 18783,
  [19631] = 18804,
  [19632] = 18817,
  [19633] = 18782,
  [19634] = 18784,
  [19635] = 18797,
  [19636] = 18822,
  [19637] = 18830,
  [19638] = 18799,
  [19639] = 18810,
  [19640] = 18817,
  [19641] = 18814,
  [19642] = 18814,
  [19643] = 18803,
  [19644] = 18782,
  [19645] = 18909,
  [19646] = 18789,
  [19647] = 19288,
  [19648] = 18799,
  [19649] = 18940,
  [19650] = 18788,
  [19651] = 18825,
  [19652] = 18814,
  [19653] = 18808,
  [19654] = 19063,
  [19655] = 18782,
  [19656] = 18783,
  [19657] = 18956,
  [19658] = 18799,
  [19659] = 18956,
  [19660] = 18821,
  [19661] = 18886,
  [19662] = 18804,
  [19663] = 18915,
  [19664] = 18788,
  [19665] = 18943,
  [19666] = 18957,
  [19667] = 18785,
  [19668] = 18803,
  [19669] = 18957,
  [19670] = 18941,
  [19671] = 18943,
  [19672] = 18788,
  [19673] = 19063,
  [19674] = 18783,
  [19675] = 18804,
  [19676] = 19125,
  [19677] = 19288,
  [19678] = 18805,
  [19679] = 18805,
  [19680] = 18797,
  [19681] = 18810,
  [19682] = 18867,
  [19683] = 18783,
  [19684] = 18784,
  [19685] = 19125,
  [19686] = 18947,
  [19687] = 19063,
  [19688] = 18817,
  [19689] = 18799,
  [19690] = 18966,
  [19691] = 19172,
  [19692] = 18799,
  [19693] = 4578,
  [19694] = 18805,
  [19695] = 18817,
  [19696] = 18803,
  [19697] = 18814,
  [19698] = 18814,
  [19699] = 18817,
  [19700] = 18793,
  [19701] = 18957,
  [19702] = 18804,
  [19703] = 18810,
  [19704] = 18786,
  [19705] = 18798,
  [19706] = 18918,
  [19707] = 18905,
  [19708] = 18830,
  [19709] = 18893,
  [19710] = 18784,
  [19711] = 18804,
  [19712] = 18825,
  [19713] = 18813,
  [19714] = 18825,
  [19715] = 18782,
  [19716] = 18793,
  [19717] = 18817,
  [19718] = 18821,
  [19719] = 18797,
  [19720] = 18956,
  [19721] = 18894,
  [19722] = 18817,
  [19723] = 18788,
  [19724] = 18825,
  [19725] = 18803,
  [19726] = 18830,
  [19727] = 18810,
  [19728] = 18799,
  [19729] = 18785,
  [19730] = 18899,
  [19731] = 18804,
  [19732] = 18783,
  [19733] = 18785,
  [19734] = 18803,
  [19735] = 18783,
  [19736] = 18900,
  [19737] = 18953,
  [19738] = 18813,
  [19739] = 18810,
  [19740] = 18966,
  [19741] = 18785,
  [19742] = 19134,
  [19743] = 18893,
  [19744] = 18817,
  [19745] = 18909,
  [19746] = 18789,
  [19747] = 18793,
  [19748] = 18797,
  [19749] = 18830,
  [19750] = 18797,
  [19751] = 18825,
  [19752] = 18783,
  [19753] = 18785,
  [19754] = 18803,
  [19755] = 19065,
  [19756] = 18817,
  [19757] = 18905,
  [19758] = 18814,
  [19759] = 18814,
  [19760] = 19197,
  [19761] = 18782,
  [19762] = 18814,
  [19763] = 18785,
  [19764] = 18814,
  [19765] = 18814,
  [19766] = 18782,
  [19767] = 18804,
  [19768] = 18789,
  [19769] = 18785,
  [19770] = 18810,
  [19771] = 18814,
  [19772] = 18799,
  [19773] = 18784,
  [19774] = 18803,
  [19775] = 18940,
  [19776] = 18946,
  [19777] = 18988,
  [19778] = 18830,
  [19779] = 18789,
  [19780] = 18817,
  [19781] = 18793,
  [19782] = 18805,
  [19783] = 18798,
  [19784] = 19134,
  [19785] = 18783,
  [19786] = 18804,
  [19787] = 19004,
  [19788] = 18789,
  [19789] = 18830,
  [19790] = 18797,
  [19791] = 18798,
  [19792] = 19065,
  [19793] = 18893,
  [19794] = 18792,
  [19795] = 18785,
  [19796] = 18810,
  [19797] = 18817,
  [19798] = 18903,
  [19799] = 18783,
  [19800] = 18799,
  [19801] = 19125,
  [19802] = 19172,
  [19803] = 18825,
  [19804] = 18783,
  [19805] = 19125,
  [19806] = 18782,
  [19807] = 18804,
  [19808] = 19004,
  [19809] = 18947,
  [19810] = 18817,
  [19811] = 18814,
  [19812] = 18803,
  [19813] = 18949,
  [19814] = 18905,
  [19815] = 18804,
  [19816] = 18814,
  [19817] = 18789,
  [19818] = 18787,
  [19819] = 18909,
  [19820] = 18789,
  [19821] = 18810,
  [19822] = 18783,
  [19823] = 18946,
  [19824] = 19134,
  [19825] = 18830,
  [19826] = 18814,
  [19827] = 18812,
  [19828] = 18988,
  [19829] = 18817,
  [19830] = 18894,
  [19831] = 18793,
  [19832] = 18876,
  [19833] = 18814,
  [19834] = 18786,
  [19835] = 18793,
  [19836] = 18821,
  [19837] = 19288,
  [19838] = 18830,
  [19839] = 18825,
  [19840] = 18951,
  [19841] = 18782,
  [19842] = 18799,
  [19843] = 18830,
  [19844] = 18856,
  [19845] = 18797,
  [19846] = 19197,
  [19847] = 18825,
  [19848] = 18785,
  [19849] = 19172,
  [19850] = 18825,
  [19851] = 19134,
  [19852] = 18782,
  [19853] = 18856,
  [19854] = 19172,
  [19855] = 18822,
  [19856] = 18810,
  [19857] = 18949,
  [19858] = 18782,
  [19859] = 18918,
  [19860] = 18788,
  [19861] = 18797,
  [19862] = 18799,
  [19863] = 18803,
  [19864] = 19436,
  [19865] = 18808,
  [19866] = 18797,
  [19867] = 18951,
  [19868] = 18940,
  [19869] = 18867,
  [19870] = 18783,
  [19871] = 18894,
  [19872] = 18803,
  [19873] = 18804,
  [19874] = 18993,
  [19875] = 19021,
  [19876] = 18785,
  [19877] = 19134,
  [19878] = 18953,
  [19879] = 18803,
  [19880] = 18808,
  [19881] = 18993,
  [19882] = 18793,
  [19883] = 19134,
  [19884] = 18825,
  [19885] = 4580,
  [19886] = 18797,
  [19887] = 18804,
  [19888] = 19134,
  [19889] = 18782,
  [19890] = 18899,
  [19891] = 19134,
  [19892] = 18941,
  [19893] = 18793,
  [19894] = 19134,
  [19895] = 18784,
  [19896] = 18830,
  [19897] = 19134,
  [19898] = 19037,
  [19899] = 18797,
  [19900] = 18804,
  [19901] = 19021,
  [19902] = 18799,
  [19903] = 18803,
  [19904] = 19104,
  [19905] = 19004,
  [19906] = 18810,
  [19907] = 18789,
  [19908] = 19065,
  [19909] = 19288,
  [19910] = 19037,
  [19911] = 18941,
  [19912] = 19125,
  [19913] = 19172,
  [19914] = 18808,
  [19915] = 18900,
  [19916] = 18783,
  [19917] = 18812,
  [19918] = 18804,
  [19919] = 18830,
  [19920] = 18799,
  [19921] = 18799,
  [19922] = 19172,
  [19923] = 18784,
  [19924] = 18793,
  [19925] = 18784,
  [19926] = 18946,
  [19927] = 19093,
  [19928] = 18886,
  [19929] = 18804,
  [19930] = 18787,
  [19931] = 18799,
  [19932] = 18787,
  [19933] = 18825,
  [19934] = 4652,
  [19935] = 18812,
  [19936] = 18799,
  [19937] = 18817,
  [19938] = 18786,
  [19939] = 18821,
  [19940] = 18793,
  [19941] = 18856,
  [19942] = 18951,
  [19943] = 18814,
  [19944] = 18789,
  [19945] = 18782,
  [19946] = 18789,
  [19947] = 18915,
  [19948] = 18804,
  [19949] = 19063,
  [19950] = 18953,
  [19951] = 18810,
  [19952] = 18867,
  [19953] = 18783,
  [19954] = 18943,
  [19955] = 18817,
  [19956] = 18825,
  [19957] = 19004,
  [19958] = 4632,
  [19959] = 18947,
  [19960] = 19197,
  [19961] = 18789,
  [19962] = 18798,
  [19963] = 18825,
  [19964] = 19288,
  [19965] = 18784,
  [19966] = 18782,
  [19967] = 18799,
  [19968] = 18949,
  [19969] = 7735,
  [19970] = 19197,
  [19971] = 18788,
  [19972] = 19037,
  [19973] = 18956,
  [19974] = 18784,
  [19975] = 18817,
  [19976] = 18797,
  [19977] = 18814,
  [19978] = 18789,
  [19979] = 18798,
  [19980] = 18793,
  [19981] = 18825,
  [19982] = 18799,
  [19983] = 18951,
  [19984] = 18799,
  [19985] = 18793,
  [19986] = 18789,
  [19987] = 18974,
  [19988] = 18825,
  [19989] = 18782,
  [19990] = 19097,
  [19991] = 18957,
  [19992] = 18974,
  [19993] = 18786,
  [19994] = 18805,
  [19995] = 18784,
  [19996] = 18814,
  [19997] = 18799,
  [19998] = 18799,
  [19999] = 18785,
  [20000] = 18799,
  [20001] = 18899,
  [20002] = 18900,
  [20003] = 18830,
  [20004] = 18804,
  [20005] = 18946,
  [20006] = 18988,
  [20007] = 18804,
  [20008] = 18993,
  [20009] = 18788,
  [20010] = 18804,
  [20011] = 18793,
  [20012] = 18788,
  [20013] = 18797,
  [20014] = 18821,
  [20015] = 18810,
  [20016] = 18783,
  [20017] = 18782,
  [20018] = 19197,
  [20019] = 18810,
  [20020] = 19436,
  [20021] = 19288,
  [20022] = 18817,
  [20023] = 19021,
  [20024] = 18784,
  [20025] = 18784,
  [20026] = 19037,
  [20027] = 18803,
  [20028] = 18974,
  [20029] = 18814,
  [20030] = 19093,
  [20031] = 19097,
  [20032] = 19104,
  [20033] = 19021,
  [20034] = 18783,
  [20035] = 18830,
  [20036] = 18810,
  [20037] = 18789,
  [20038] = 18830,
  [20039] = 18825,
  [20040] = 18977,
  [20041] = 18783,
  [20042] = 18782,
  [20043] = 18813,
  [20044] = 18803,
  [20045] = 18788,
  [20046] = 18797,
  [20047] = 18886,
  [20048] = 18915,
  [20049] = 19037,
  [20050] = 18825,
  [20051] = 18900,
  [20052] = 18966,
  [20053] = 19037,
  [20054] = 18797,
  [20055] = 18785,
  [20056] = 18953,
  [20057] = 18786,
  [20058] = 18810,
  [20059] = 18810,
  [20060] = 18940,
  [20061] = 18825,
  [20062] = 18782,
  [20063] = 18804,
  [20064] = 18956,
  [20065] = 18788,
  [20066] = 18943,
  [20067] = 18789,
  [20068] = 18782,
  [20069] = 18803,
  [20070] = 18946,
  [20071] = 18817,
  [20072] = 18804,
  [20073] = 18788,
  [20074] = 18856,
  [20075] = 18988,
  [20076] = 18788,
  [20077] = 18810,
  [20078] = 18783,
  [20079] = 18810,
  [20080] = 18810,
  [20081] = 18783,
  [20082] = 18993,
  [20083] = 18798,
  [20084] = 18941,
  [20085] = 19288,
  [20086] = 18943,
  [20087] = 18947,
  [20088] = 18817,
  [20089] = 18784,
  [20090] = 18814,
  [20091] = 18793,
  [20092] = 18799,
  [20093] = 18785,
  [20094] = 19065,
  [20095] = 18808,
  [20096] = 18783,
  [20097] = 18805,
  [20098] = 18793,
  [20099] = 18830,
  [20100] = 18797,
  [20101] = 18788,
  [20102] = 18785,
  [20103] = 18949,
  [20104] = 18782,
  [20105] = 18804,
  [20106] = 18803,
  [20107] = 18808,
  [20108] = 18893,
  [20109] = 18894,
  [20110] = 18793,
  [20111] = 18817,
  [20112] = 18956,
  [20113] = 18810,
  [20114] = 18783,
  [20115] = 18793,
  [20116] = 18893,
  [20117] = 18894,
  [20118] = 18825,
  [20119] = 18899,
  [20120] = 18900,
  [20121] = 18792,
  [20122] = 18957,
  [20123] = 18903,
  [20124] = 18974,
  [20125] = 18905,
  [20126] = 18789,
  [20127] = 18909,
  [20128] = 18799,
  [20129] = 20129,
  [20130] = 18876,
  [20131] = 18797,
  [20132] = 18783,
  [20133] = 18822,
  [20134] = 18957,
  [20135] = 18918,
  [20136] = 18957,
  [20137] = 18817,
  [20138] = 18830,
  [20139] = 18803,
  [20140] = 18825,
  [20141] = 18782,
  [20142] = 18798,
  [20143] = 18814,
  [20144] = 18817,
  [20145] = 19093,
  [20146] = 19125,
  [20147] = 18940,
  [20148] = 18941,
  [20149] = 18793,
  [20150] = 18830,
  [20151] = 18803,
  [20152] = 18784,
  [20153] = 18825,
  [20154] = 18943,
  [20155] = 18947,
  [20156] = 18949,
  [20157] = 18782,
  [20158] = 18951,
  [20159] = 19097,
  [20160] = 18953,
  [20161] = 18789,
  [20162] = 18788,
  [20163] = 18956,
  [20164] = 18957,
  [20165] = 18789,
  [20166] = 18786,
  [20167] = 18797,
  [20168] = 19093,
  [20169] = 18785,
  [20170] = 18974,
  [20171] = 18814,
  [20172] = 18797,
  [20173] = 19021,
  [20174] = 18899,
  [20175] = 18789,
  [20176] = 19093,
  [20177] = 19436,
  [20178] = 18940,
  [20179] = 18793,
  [20180] = 18803,
  [20181] = 18798,
  [20182] = 19104,
  [20183] = 18817,
  [20184] = 18797,
  [20185] = 19037,
  [20186] = 18799,
  [20187] = 18941,
  [20188] = 18783,
  [20189] = 18793,
  [20190] = 18792,
  [20191] = 18803,
  [20192] = 19097,
  [20193] = 19288,
  [20194] = 18785,
  [20195] = 18803,
  [20196] = 18814,
  [20197] = 18787,
  [20198] = 18786,
  [20199] = 18943,
  [20200] = 18804,
  [20201] = 18785,
  [20202] = 18817,
  [20203] = 18821,
  [20204] = 19093,
  [20205] = 18810,
  [20206] = 18785,
  [20207] = 18810,
  [20208] = 18783,
  [20209] = 18803,
  [20210] = 18799,
  [20211] = 18789,
  [20212] = 18804,
  [20213] = 18817,
  [20214] = 18817,
  [20215] = 18856,
  [20216] = 18814,
  [20217] = 18825,
  [20218] = 18915,
  [20219] = 19104,
  [20220] = 18793,
  [20221] = 18947,
  [20222] = 18789,
  [20223] = 18785,
  [20224] = 18782,
  [20225] = 19097,
  [20226] = 18817,
  [20227] = 19063,
  [20228] = 18830,
  [20229] = 18951,
  [20230] = 18830,
  [20231] = 18799,
  [20232] = 18814,
  [20233] = 18797,
  [20234] = 18789,
  [20235] = 18797,
  [20236] = 19125,
  [20237] = 18799,
  [20238] = 18825,
  [20239] = 18825,
  [20240] = 18782,
  [20241] = 18784,
  [20242] = 18788,
  [20243] = 19104,
  [20244] = 18886,
  [20245] = 18799,
  [20246] = 18814,
  [20247] = 18804,
  [20248] = 18788,
  [20249] = 19172,
  [20250] = 18812,
  [20251] = 18810,
  [20252] = 18783,
  [20253] = 18946,
  [20254] = 19063,
  [20255] = 18784,
  [20256] = 18988,
  [20257] = 18949,
  [20258] = 18993,
  [20259] = 18988,
  [20260] = 19172,
  [20261] = 18785,
  [20262] = 18830,
  [20263] = 18953,
  [20264] = 18810,
  [20265] = 18817,
  [20266] = 18793,
  [20267] = 18830,
  [20268] = 18797,
  [20269] = 18951,
  [20270] = 18867,
  [20271] = 19021,
  [20272] = 18814,
  [20273] = 18803,
  [20274] = 18808,
  [20275] = 18787,
  [20276] = 18974,
  [20277] = 18876,
  [20278] = 18825,
  [20279] = 18825,
  [20280] = 18797,
  [20281] = 18905,
  [20282] = 18915,
  [20283] = 18808,
  [20284] = 18782,
  [20285] = 18782,
  [20286] = 18905,
  [20287] = 18789,
  [20288] = 18782,
  [20289] = 18793,
  [20290] = 18803,
  [20291] = 18784,
  [20292] = 19093,
  [20293] = 18784,
  [20294] = 18803,
  [20295] = 18825,
  [20296] = 18803,
  [20297] = 18783,
  [20298] = 18782,
  [20299] = 18782,
  [20300] = 19063,
  [20301] = 18803,
  [20302] = 19065,
  [20303] = 18798,
  [20304] = 19097,
  [20305] = 18783,
  [20306] = 18789,
  [20307] = 19104,
  [20308] = 19125,
  [20309] = 19172,
  [20310] = 19037,
  [20311] = 18804,
  [20312] = 18789,
  [20313] = 18817,
  [20314] = 18787,
  [20315] = 18953,
  [20316] = 18793,
  [20317] = 18810,
  [20318] = 18805,
  [20319] = 18785,
  [20320] = 18810,
  [20321] = 18903,
  [20322] = 18814,
  [20323] = 18977,
  [20324] = 18783,
  [20325] = 18974,
  [20326] = 18812,
  [20327] = 18977,
  [20328] = 18799,
  [20329] = 19093,
  [20330] = 19097,
  [20331] = 18946,
  [20332] = 18797,
  [20333] = 18799,
  [20334] = 18909,
  [20335] = 19065,
  [20336] = 19104,
  [20337] = 18797,
  [20338] = 18786,
  [20339] = 18812,
  [20340] = 18821,
  [20341] = 18788,
  [20342] = 18804,
  [20343] = 18956,
  [20344] = 18797,
  [20345] = 18957,
  [20346] = 18799,
  [20347] = 18810,
  [20348] = 18783,
  [20349] = 18810,
  [20350] = 18803,
  [20351] = 18830,
  [20352] = 18977,
  [20353] = 18977,
  [20354] = 19065,
  [20355] = 18783,
  [20356] = 18797,
  [20357] = 18817,
  [20358] = 19065,
  [20359] = 20359,
  [20360] = 20360,
};

static TSCharacterRange sym__word_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xa9, 0xaa}, {0xae, 0xae}, {0xb0, 0xb0}, {0xb5, 0xb5}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a},
  {0x66e, 0x66f}, {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710},
  {0x712, 0x72f}, {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a},
  {0x824, 0x824}, {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939},
  {0x93d, 0x93d}, {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0},
  {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc},
  {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabd, 0xabd}, {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30},
  {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbd0, 0xbd0}, {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc61}, {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd},
  {0xcdd, 0xcde}, {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e},
  {0xd54, 0xd56}, {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xe01, 0xe30}, {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5},
  {0xea7, 0xeb0}, {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47},
  {0xf49, 0xf6c}, {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066},
  {0x106e, 0x1070}, {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248},
  {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5},
  {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711},
  {0x171f, 0x1731}, {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878},
  {0x1880, 0x18a8}, {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9},
  {0x1a00, 0x1a16}, {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5},
  {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3},
  {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x203c, 0x203c}, {0x2049, 0x2049},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d},
  {0x2122, 0x2122}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e},
  {0x2160, 0x2188}, {0x2194, 0x2199}, {0x21a9, 0x21aa}, {0x2200, 0x2207}, {0x220e, 0x2211}, {0x222b, 0x2233}, {0x231a, 0x231b}, {0x2328, 0x2328},
  {0x23cf, 0x23cf}, {0x23e9, 0x23f3}, {0x23f8, 0x23fa}, {0x24c2, 0x24c2}, {0x25aa, 0x25ab}, {0x25b6, 0x25b6}, {0x25c0, 0x25c0}, {0x25fb, 0x25fe},
  {0x2600, 0x2604}, {0x260e, 0x260e}, {0x2611, 0x2611}, {0x2614, 0x2615}, {0x2618, 0x2618}, {0x261d, 0x261d}, {0x2620, 0x2620}, {0x2622, 0x2623},
  {0x2626, 0x2626}, {0x262a, 0x262a}, {0x262e, 0x262f}, {0x2638, 0x263a}, {0x2640, 0x2640}, {0x2642, 0x2642}, {0x2648, 0x2653}, {0x265f, 0x2660},
  {0x2663, 0x2663}, {0x2665, 0x2666}, {0x2668, 0x2668}, {0x267b, 0x267b}, {0x267e, 0x267f}, {0x2692, 0x2697}, {0x2699, 0x2699}, {0x269b, 0x269c},
  {0x26a0, 0x26a1}, {0x26a7, 0x26a7}, {0x26aa, 0x26ab}, {0x26b0, 0x26b1}, {0x26bd, 0x26be}, {0x26c4, 0x26c5}, {0x26c8, 0x26c8}, {0x26ce, 0x26cf},
  {0x26d1, 0x26d1}, {0x26d3, 0x26d4}, {0x26e9, 0x26ea}, {0x26f0, 0x26f5}, {0x26f7, 0x26fa}, {0x26fd, 0x26fd}, {0x2702, 0x2702}, {0x2705, 0x2705},
  {0x2708, 0x270d}, {0x270f, 0x270f}, {0x2712, 0x2712}, {0x2714, 0x2714}, {0x2716, 0x2716}, {0x271d, 0x271d}, {0x2721, 0x2721}, {0x2728, 0x2728},
  {0x2733, 0x2734}, {0x2744, 0x2744}, {0x2747, 0x2747}, {0x274c, 0x274c}, {0x274e, 0x274e}, {0x2753, 0x2755}, {0x2757, 0x2757}, {0x2763, 0x2764},
  {0x2795, 0x2797}, {0x27a1, 0x27a1}, {0x27b0, 0x27b0}, {0x27bf, 0x27bf}, {0x2934, 0x2935}, {0x2b05, 0x2b07}, {0x2b1b, 0x2b1c}, {0x2b50, 0x2b50},
  {0x2b55, 0x2b55}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3030, 0x3035}, {0x3038, 0x303d}, {0x3041, 0x3096}, {0x309d, 0x309f},
  {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3297, 0x3297}, {0x3299, 0x3299},
  {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e}, {0xa67f, 0xa69d},
  {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801},
  {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe},
  {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe},
  {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1}, {0xaab5, 0xaab6},
  {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06}, {0xab09, 0xab0e},
  {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36},
  {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f},
  {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d},
  {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7},
  {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa},
  {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d}, {0x103a0, 0x103c3},
  {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a},
  {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736},
  {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835},
  {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915},
  {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f45},
  {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af}, {0x110d0, 0x110e8},
  {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4}, {0x111da, 0x111da},
  {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d},
  {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339},
  {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af}, {0x114c4, 0x114c5},
  {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8}, {0x11700, 0x1171a},
  {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x1192f},
  {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00}, {0x11a0b, 0x11a32},
  {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40},
  {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d89},
  {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a70, 0x16abe},
  {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f50, 0x16f50},
  {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb},
  {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a},
  {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6},
  {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c},
  {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da},
  {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2},
  {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad},
  {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943},
  {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37},
  {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52},
  {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64},
  {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3},
  {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1f004, 0x1f004}, {0x1f0cf, 0x1f0cf}, {0x1f170, 0x1f171}, {0x1f17e, 0x1f17f}, {0x1f18e, 0x1f18e}, {0x1f191, 0x1f19a},
  {0x1f1e6, 0x1f1ff}, {0x1f201, 0x1f202}, {0x1f21a, 0x1f21a}, {0x1f22f, 0x1f22f}, {0x1f232, 0x1f23a}, {0x1f250, 0x1f251}, {0x1f300, 0x1f321}, {0x1f324, 0x1f393},
  {0x1f396, 0x1f397}, {0x1f399, 0x1f39b}, {0x1f39e, 0x1f3f0}, {0x1f3f3, 0x1f3f5}, {0x1f3f7, 0x1f4fd}, {0x1f4ff, 0x1f53d}, {0x1f549, 0x1f54e}, {0x1f550, 0x1f567},
  {0x1f56f, 0x1f570}, {0x1f573, 0x1f57a}, {0x1f587, 0x1f587}, {0x1f58a, 0x1f58d}, {0x1f590, 0x1f590}, {0x1f595, 0x1f596}, {0x1f5a4, 0x1f5a5}, {0x1f5a8, 0x1f5a8},
  {0x1f5b1, 0x1f5b2}, {0x1f5bc, 0x1f5bc}, {0x1f5c2, 0x1f5c4}, {0x1f5d1, 0x1f5d3}, {0x1f5dc, 0x1f5de}, {0x1f5e1, 0x1f5e1}, {0x1f5e3, 0x1f5e3}, {0x1f5e8, 0x1f5e8},
  {0x1f5ef, 0x1f5ef}, {0x1f5f3, 0x1f5f3}, {0x1f5fa, 0x1f64f}, {0x1f680, 0x1f6c5}, {0x1f6cb, 0x1f6d2}, {0x1f6d5, 0x1f6d7}, {0x1f6dc, 0x1f6e5}, {0x1f6e9, 0x1f6e9},
  {0x1f6eb, 0x1f6ec}, {0x1f6f0, 0x1f6f0}, {0x1f6f3, 0x1f6fc}, {0x1f7e0, 0x1f7eb}, {0x1f7f0, 0x1f7f0}, {0x1f90c, 0x1f93a}, {0x1f93c, 0x1f945}, {0x1f947, 0x1f9ff},
  {0x1fa70, 0x1fa7c}, {0x1fa80, 0x1fa88}, {0x1fa90, 0x1fabd}, {0x1fabf, 0x1fac5}, {0x1face, 0x1fadb}, {0x1fae0, 0x1fae8}, {0x1faf0, 0x1faf8}, {0x20000, 0x2a6df},
  {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym__word_identifier_character_set_2[] = {
  {0, 0x08}, {0x0e, 0x1f}, {'!', '!'}, {'0', '9'}, {'?', '?'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'},
  {0x7f, 0xa5}, {0xa7, 0xab}, {0xad, 0xb0}, {0xb2, 0xb6}, {0xb8, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2025}, {0x2027, 0x205c},
  {0x205e, 0x214a}, {0x214c, 0x218f}, {0x2195, 0x2199}, {0x219f, 0x219f}, {0x21a1, 0x21a1}, {0x21a5, 0x21a5}, {0x21a7, 0x21a8}, {0x21ad, 0x21ad},
  {0x21af, 0x21b5}, {0x21b8, 0x21b9}, {0x21be, 0x21bf}, {0x21c2, 0x21c3}, {0x21c5, 0x21c5}, {0x21c8, 0x21c8}, {0x21ca, 0x21ca}, {0x21d1, 0x21d1},
  {0x21d3, 0x21d3}, {0x21d5, 0x21d9}, {0x21de, 0x21df}, {0x21e1, 0x21e1}, {0x21e3, 0x21f3}, {0x2200, 0x2207}, {0x220e, 0x2211}, {0x2215, 0x2216},
  {0x221e, 0x2223}, {0x222b, 0x2236}, {0x2239, 0x2239}, {0x223c, 0x223c}, {0x223f, 0x223f}, {0x228c, 0x228c}, {0x229d, 0x229d}, {0x22a4, 0x22a8},
  {0x22aa, 0x22ab}, {0x22ad, 0x22ad}, {0x22af, 0x22af}, {0x22b8, 0x22ba}, {0x22be, 0x22c3}, {0x22c8, 0x22c8}, {0x22d4, 0x22d4}, {0x2300, 0x233e},
  {0x2340, 0x25b6}, {0x25b8, 0x27c1}, {0x27c3, 0x27c6}, {0x27ca, 0x27d0}, {0x27d3, 0x27d4}, {0x27d8, 0x27ef}, {0x27f2, 0x27f4}, {0x27f8, 0x27f8},
  {0x2800, 0x28ff}, {0x2919, 0x291c}, {0x2921, 0x2943}, {0x2971, 0x2976}, {0x2978, 0x2979}, {0x297b, 0x29b6}, {0x29b9, 0x29bb}, {0x29bd, 0x29bd},
  {0x29c2, 0x29e0}, {0x29e2, 0x29e2}, {0x29e6, 0x29f3}, {0x29f5, 0x29f5}, {0x29f8, 0x29f9}, {0x29fc, 0x2a06}, {0x2a09, 0x2a1c}, {0x2a1e, 0x2a1e},
  {0x2a20, 0x2a21}, {0x2a2f, 0x2a2f}, {0x2a3e, 0x2a3f}, {0x2a46, 0x2a49}, {0x2a59, 0x2a59}, {0x2a64, 0x2a65}, {0x2a68, 0x2a69}, {0x2ada, 0x2ada},
  {0x2adc, 0x2ae9}, {0x2aec, 0x2af6}, {0x2afb, 0x2b2f}, {0x2b45, 0x2b46}, {0x2b4d, 0xffe8}, {0xffed, 0x10ffff},
};

static TSCharacterRange sym__arrow_operator_character_set_2[] = {
  {'-', '-'}, {'<', '<'}, {0x2190, 0x2190}, {0x2192, 0x2192}, {0x2194, 0x2194}, {0x219a, 0x219e}, {0x21a0, 0x21a0}, {0x21a2, 0x21a4},
  {0x21a6, 0x21a6}, {0x21a9, 0x21ac}, {0x21ae, 0x21ae}, {0x21b6, 0x21b7}, {0x21ba, 0x21bd}, {0x21c0, 0x21c1}, {0x21c4, 0x21c4}, {0x21c6, 0x21c7},
  {0x21c9, 0x21c9}, {0x21cb, 0x21d0}, {0x21d2, 0x21d2}, {0x21d4, 0x21d4}, {0x21da, 0x21dd}, {0x21e0, 0x21e0}, {0x21e2, 0x21e2}, {0x21f4, 0x21f4},
  {0x21f6, 0x21ff}, {0x27f5, 0x27f7}, {0x27f9, 0x27ff}, {0x2900, 0x2907}, {0x290c, 0x2911}, {0x2914, 0x2918}, {0x291d, 0x2920}, {0x2944, 0x2948},
  {0x294a, 0x294b}, {0x294e, 0x294e}, {0x2950, 0x2950}, {0x2952, 0x2953}, {0x2956, 0x2957}, {0x295a, 0x295b}, {0x295e, 0x295f}, {0x2962, 0x2962},
  {0x2964, 0x2964}, {0x2966, 0x296d}, {0x2970, 0x2970}, {0x2977, 0x2977}, {0x297a, 0x297a}, {0x29f4, 0x29f4}, {0x2b30, 0x2b44}, {0x2b47, 0x2b4c},
  {0xffe9, 0xffe9}, {0xffeb, 0xffeb},
};

static TSCharacterRange sym__comparison_operator_character_set_2[] = {
  {'!', '!'}, {'<', '>'}, {0x2208, 0x220d}, {0x221d, 0x221d}, {0x2225, 0x2226}, {0x2237, 0x2237}, {0x223a, 0x223b}, {0x223d, 0x223e},
  {0x2241, 0x224e}, {0x2250, 0x2253}, {0x2256, 0x228b}, {0x228f, 0x2292}, {0x229c, 0x229c}, {0x22a2, 0x22a3}, {0x22a9, 0x22a9}, {0x22ac, 0x22ac},
  {0x22ae, 0x22ae}, {0x22b0, 0x22b7}, {0x22cd, 0x22cd}, {0x22d0, 0x22d1}, {0x22d5, 0x22ed}, {0x22f2, 0x22ff}, {0x27c2, 0x27c2}, {0x27c8, 0x27c9},
  {0x27d2, 0x27d2}, {0x29b7, 0x29b7}, {0x29c0, 0x29c1}, {0x29e1, 0x29e1}, {0x29e3, 0x29e5}, {0x2a66, 0x2a67}, {0x2a6a, 0x2a73}, {0x2a75, 0x2ad9},
  {0x2aea, 0x2aeb}, {0x2af7, 0x2afa},
};

static TSCharacterRange sym__plus_operator_character_set_2[] = {
  {'+', '+'}, {'|', '|'}, {0xa6, 0xa6}, {0xb1, 0xb1}, {0x2212, 0x2214}, {0x2228, 0x2228}, {0x222a, 0x222a}, {0x2238, 0x2238},
  {0x224f, 0x224f}, {0x228e, 0x228e}, {0x2294, 0x2296}, {0x229e, 0x229f}, {0x22bb, 0x22bb}, {0x22bd, 0x22bd}, {0x22ce, 0x22ce}, {0x22d3, 0x22d3},
  {0x27c7, 0x27c7}, {0x29fa, 0x29fb}, {0x2a08, 0x2a08}, {0x2a22, 0x2a2e}, {0x2a39, 0x2a3a}, {0x2a41, 0x2a42}, {0x2a45, 0x2a45}, {0x2a4a, 0x2a4a},
  {0x2a4c, 0x2a4c}, {0x2a4f, 0x2a50}, {0x2a52, 0x2a52}, {0x2a54, 0x2a54}, {0x2a56, 0x2a57}, {0x2a5b, 0x2a5b}, {0x2a5d, 0x2a5d}, {0x2a61, 0x2a63},
};

static TSCharacterRange sym__times_operator_character_set_2[] = {
  {'%', '&'}, {'*', '*'}, {'/', '/'}, {'\\', '\\'}, {0xb7, 0xb7}, {0xd7, 0xd7}, {0xf7, 0xf7}, {0x214b, 0x214b},
  {0x2217, 0x2219}, {0x2224, 0x2224}, {0x2227, 0x2227}, {0x2229, 0x2229}, {0x2240, 0x2240}, {0x228d, 0x228d}, {0x2293, 0x2293}, {0x2297, 0x229b},
  {0x22a0, 0x22a1}, {0x22bc, 0x22bc}, {0x22c4, 0x22c7}, {0x22c9, 0x22cc}, {0x22cf, 0x22cf}, {0x22d2, 0x22d2}, {0x233f, 0x233f}, {0x25b7, 0x25b7},
  {0x27d1, 0x27d1}, {0x27d5, 0x27d7}, {0x29b8, 0x29b8}, {0x29bc, 0x29bc}, {0x29be, 0x29bf}, {0x29f6, 0x29f7}, {0x2a07, 0x2a07}, {0x2a1d, 0x2a1d},
  {0x2a1f, 0x2a1f}, {0x2a30, 0x2a38}, {0x2a3b, 0x2a3d}, {0x2a40, 0x2a40}, {0x2a43, 0x2a44}, {0x2a4b, 0x2a4b}, {0x2a4d, 0x2a4e}, {0x2a51, 0x2a51},
  {0x2a53, 0x2a53}, {0x2a55, 0x2a55}, {0x2a58, 0x2a58}, {0x2a5a, 0x2a5a}, {0x2a5c, 0x2a5c}, {0x2a5e, 0x2a60}, {0x2adb, 0x2adb},
};

static TSCharacterRange sym__power_operator_character_set_2[] = {
  {'^', '^'}, {0x2191, 0x2191}, {0x2193, 0x2193}, {0x21f5, 0x21f5}, {0x27f0, 0x27f1}, {0x2908, 0x290b}, {0x2912, 0x2913}, {0x2949, 0x2949},
  {0x294c, 0x294d}, {0x294f, 0x294f}, {0x2951, 0x2951}, {0x2954, 0x2955}, {0x2958, 0x2959}, {0x295c, 0x295d}, {0x2960, 0x2961}, {0x2963, 0x2963},
  {0x2965, 0x2965}, {0x296e, 0x296f}, {0xffea, 0xffea}, {0xffec, 0xffec},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 981,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'a', 656,
        'b', 650,
        'c', 646,
        'd', 723,
        'e', 706,
        'f', 693,
        'g', 704,
        'i', 677,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '{', 608,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2208, 606,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(570);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '\n', 843,
        '\r', 1,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(1);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 844,
        '\r', 3,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(3);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 844,
        '\r', 3,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(3);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\n', 845,
        '\r', 6,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(6);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '\n', 845,
        '\r', 6,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(6);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '\n', 845,
        '\r', 6,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(6);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '\n', 845,
        '\r', 6,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(6);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '\n', 846,
        '\r', 10,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(10);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '\n', 846,
        '\r', 10,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(10);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '\n', 846,
        '\r', 10,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(10);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '\n', 846,
        '\r', 10,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(10);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '\n', 847,
        '\r', 14,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(14);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '\n', 847,
        '\r', 14,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(14);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '\n', 847,
        '\r', 14,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(14);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '\n', 847,
        '\r', 14,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(14);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '\n', 848,
        '\r', 16,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(16);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '\n', 849,
        '\r', 19,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(19);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '\n', 849,
        '\r', 19,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(19);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '\n', 849,
        '\r', 19,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(19);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '\n', 849,
        '\r', 19,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(19);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '\n', 850,
        '\r', 21,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(21);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '\n', 851,
        '\r', 22,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(22);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '\n', 851,
        '\r', 22,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(22);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '\n', 852,
        '\r', 24,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'f', 693,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(24);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '\n', 853,
        '\r', 25,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(25);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '\n', 854,
        '\r', 26,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(26);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '\n', 855,
        '\r', 27,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(27);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '\n', 856,
        '\r', 28,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 693,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(28);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '\n', 857,
        '\r', 29,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(29);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '\n', 858,
        '\r', 32,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(32);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '\n', 858,
        '\r', 32,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 613,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(32);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '\n', 858,
        '\r', 32,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(32);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '\n', 859,
        '\r', 33,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(33);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '\n', 860,
        '\r', 36,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(36);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '\n', 860,
        '\r', 36,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 613,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(36);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '\n', 860,
        '\r', 36,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(36);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '\n', 861,
        '\r', 38,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 646,
        'e', 711,
        'f', 699,
        'g', 704,
        'i', 677,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(38);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '\n', 861,
        '\r', 38,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(38);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '\n', 862,
        '\r', 40,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 646,
        'e', 712,
        'f', 693,
        'g', 704,
        'i', 677,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(40);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '\n', 862,
        '\r', 40,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(40);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '\n', 863,
        '\r', 41,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(41);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '\n', 864,
        '\r', 43,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(43);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '\n', 864,
        '\r', 43,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(43);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '\n', 865,
        '\r', 45,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'd', 723,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(45);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '\n', 865,
        '\r', 45,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'd', 723,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(45);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '\n', 866,
        '\r', 47,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'd', 723,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(47);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '\n', 866,
        '\r', 47,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'd', 723,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(47);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '\n', 867,
        '\r', 48,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(48);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '\n', 868,
        '\r', 50,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(50);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '\n', 868,
        '\r', 50,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(50);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '\n', 869,
        '\r', 52,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(52);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '\n', 869,
        '\r', 52,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(52);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '\n', 870,
        '\r', 54,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'd', 723,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(54);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '\n', 870,
        '\r', 54,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'd', 723,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(54);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '\n', 871,
        '\r', 55,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'd', 723,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(55);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '\n', 872,
        '\r', 57,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(57);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '\n', 872,
        '\r', 57,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(57);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '\n', 873,
        '\r', 59,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(59);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '\n', 873,
        '\r', 59,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(59);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '\n', 874,
        '\r', 61,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(61);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '\n', 874,
        '\r', 61,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(61);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '\n', 875,
        '\r', 63,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(63);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '\n', 875,
        '\r', 63,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(63);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '\n', 876,
        '\r', 65,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(65);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '\n', 876,
        '\r', 65,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(65);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '\n', 877,
        '\r', 67,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(67);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '\n', 877,
        '\r', 67,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(67);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '\n', 878,
        '\r', 70,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(70);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '\n', 878,
        '\r', 70,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(70);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '\n', 878,
        '\r', 70,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(70);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '\n', 879,
        '\r', 71,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(71);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '\n', 880,
        '\r', 72,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'd', 723,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(72);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '\n', 881,
        '\r', 74,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 615,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 706,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(74);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '\n', 881,
        '\r', 74,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 364,
        '/', 820,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 706,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(74);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '\n', 882,
        '\r', 76,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(76);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '\n', 882,
        '\r', 76,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(76);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '\n', 883,
        '\r', 79,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(79);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '\n', 883,
        '\r', 79,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(79);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '\n', 883,
        '\r', 79,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(79);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '\n', 884,
        '\r', 81,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 615,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 710,
        'f', 695,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(81);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '\n', 884,
        '\r', 81,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 364,
        '/', 820,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 710,
        'f', 695,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(81);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '\n', 885,
        '\r', 83,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'd', 723,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(83);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '\n', 885,
        '\r', 83,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'd', 723,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(83);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '\n', 886,
        '\r', 85,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(85);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '\n', 886,
        '\r', 85,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(85);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '\n', 887,
        '\r', 87,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(87);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '\n', 887,
        '\r', 87,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(87);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '\n', 888,
        '\r', 89,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 615,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'f', 695,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(89);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '\n', 888,
        '\r', 89,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 364,
        '/', 820,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'f', 695,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(89);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '\n', 889,
        '\r', 90,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'd', 723,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(90);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '\n', 890,
        '\r', 92,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 615,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'e', 716,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(92);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '\n', 890,
        '\r', 92,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 364,
        '/', 820,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'e', 716,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(92);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '\n', 891,
        '\r', 94,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(94);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '\n', 891,
        '\r', 94,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(94);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '\n', 892,
        '\r', 96,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 615,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 695,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(96);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '\n', 892,
        '\r', 96,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 364,
        '/', 820,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 695,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(96);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '\n', 893,
        '\r', 98,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'd', 723,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(98);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '\n', 893,
        '\r', 98,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'd', 723,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(98);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '\n', 894,
        '\r', 100,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(100);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '\n', 894,
        '\r', 100,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(100);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '\n', 895,
        '\r', 102,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(102);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '\n', 895,
        '\r', 102,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(102);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '\n', 896,
        '\r', 103,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 364,
        '/', 820,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(103);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '\n', 897,
        '\r', 105,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 615,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(105);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '\n', 897,
        '\r', 105,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 364,
        '/', 820,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(105);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '\n', 898,
        '\r', 107,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(107);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '\n', 898,
        '\r', 107,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(107);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '\n', 898,
        '\r', 107,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(107);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '\n', 898,
        '\r', 107,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(107);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '\n', 899,
        '\r', 111,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(111);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '\n', 899,
        '\r', 111,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(111);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '\n', 899,
        '\r', 111,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(111);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        '\n', 899,
        '\r', 111,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(111);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        '\n', 900,
        '\r', 115,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(115);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '\n', 900,
        '\r', 115,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(115);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '\n', 900,
        '\r', 115,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(115);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        '\n', 900,
        '\r', 115,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(115);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        '\n', 901,
        '\r', 118,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'a', 740,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(118);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '\n', 902,
        '\r', 120,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(120);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '\n', 902,
        '\r', 120,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(120);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '\n', 902,
        '\r', 120,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(120);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '\n', 902,
        '\r', 120,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'c', 647,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(120);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        '\n', 903,
        '\r', 124,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(124);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        '\n', 903,
        '\r', 124,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(124);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        '\n', 903,
        '\r', 124,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(124);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        '\n', 903,
        '\r', 124,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(124);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '\n', 904,
        '\r', 128,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(128);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        '\n', 904,
        '\r', 128,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(128);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '\n', 904,
        '\r', 128,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(128);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '\n', 904,
        '\r', 128,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(128);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 131:
      ADVANCE_MAP(
        '\n', 905,
        '\r', 132,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 710,
        'f', 695,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(132);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '\n', 905,
        '\r', 132,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 366,
        '/', 821,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 710,
        'f', 695,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(132);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '\n', 906,
        '\r', 134,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 706,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(134);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '\n', 906,
        '\r', 134,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 366,
        '/', 821,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 706,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(134);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 135:
      ADVANCE_MAP(
        '\n', 907,
        '\r', 136,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'f', 695,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(136);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 136:
      ADVANCE_MAP(
        '\n', 907,
        '\r', 136,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 366,
        '/', 821,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'f', 695,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(136);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 137:
      ADVANCE_MAP(
        '\n', 908,
        '\r', 138,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'e', 716,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(138);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 138:
      ADVANCE_MAP(
        '\n', 908,
        '\r', 138,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 366,
        '/', 821,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'e', 716,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(138);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 139:
      ADVANCE_MAP(
        '\n', 909,
        '\r', 140,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 695,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(140);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 140:
      ADVANCE_MAP(
        '\n', 909,
        '\r', 140,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 366,
        '/', 821,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 695,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(140);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 141:
      ADVANCE_MAP(
        '\n', 910,
        '\r', 142,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(142);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 142:
      ADVANCE_MAP(
        '\n', 910,
        '\r', 142,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 366,
        '/', 821,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(142);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 143:
      ADVANCE_MAP(
        '\n', 911,
        '\r', 143,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 366,
        '/', 821,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(143);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 144:
      ADVANCE_MAP(
        '\n', 912,
        '\r', 145,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 654,
        'e', 713,
        'f', 694,
        'g', 704,
        'i', 680,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(145);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 145:
      ADVANCE_MAP(
        '\n', 912,
        '\r', 145,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 710,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(145);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 146:
      ADVANCE_MAP(
        '\n', 913,
        '\r', 147,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 654,
        'e', 706,
        'f', 700,
        'g', 704,
        'i', 680,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(147);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 147:
      ADVANCE_MAP(
        '\n', 913,
        '\r', 147,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 706,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(147);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 148:
      ADVANCE_MAP(
        '\n', 914,
        '\r', 149,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 646,
        'e', 712,
        'f', 694,
        'g', 704,
        'i', 680,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(149);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 149:
      ADVANCE_MAP(
        '\n', 914,
        '\r', 149,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(149);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 150:
      ADVANCE_MAP(
        '\n', 915,
        '\r', 151,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 646,
        'e', 711,
        'f', 700,
        'g', 704,
        'i', 680,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(151);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 151:
      ADVANCE_MAP(
        '\n', 915,
        '\r', 151,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'c', 647,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(151);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 152:
      ADVANCE_MAP(
        '\n', 916,
        '\r', 153,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 654,
        'e', 711,
        'f', 694,
        'g', 704,
        'i', 680,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(153);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 153:
      ADVANCE_MAP(
        '\n', 916,
        '\r', 153,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(153);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 154:
      ADVANCE_MAP(
        '\n', 917,
        '\r', 154,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(154);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 155:
      ADVANCE_MAP(
        '\n', 918,
        '\r', 156,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 654,
        'e', 711,
        'f', 700,
        'g', 704,
        'i', 680,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(156);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 156:
      ADVANCE_MAP(
        '\n', 918,
        '\r', 156,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(156);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 157:
      ADVANCE_MAP(
        '\n', 919,
        '\r', 157,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 840,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(157);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 158:
      ADVANCE_MAP(
        '\n', 920,
        '\r', 158,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(158);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        '\n', 920,
        '\r', 158,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 775,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(158);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 160:
      ADVANCE_MAP(
        '\n', 921,
        '\r', 160,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'c', 453,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(160);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '\n', 922,
        '\r', 161,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'c', 453,
        'd', 476,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(161);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '\n', 923,
        '\r', 162,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'c', 453,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(162);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '\n', 924,
        '\r', 164,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 619,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'e', 471,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(164);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '\n', 924,
        '\r', 164,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'e', 471,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(164);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '\n', 925,
        '\r', 166,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 619,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'e', 706,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(166);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '\n', 925,
        '\r', 166,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'e', 706,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(166);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '\n', 926,
        '\r', 168,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 619,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'e', 710,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(168);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '\n', 926,
        '\r', 168,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'e', 710,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(168);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '\n', 927,
        '\r', 170,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 619,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'd', 476,
        'e', 471,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(170);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '\n', 927,
        '\r', 170,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'd', 476,
        'e', 471,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(170);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '\n', 928,
        '\r', 172,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 619,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'c', 647,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(172);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '\n', 928,
        '\r', 172,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'c', 647,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(172);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '\n', 929,
        '\r', 174,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 619,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'c', 647,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(174);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '\n', 929,
        '\r', 174,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'c', 647,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(174);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '\n', 930,
        '\r', 175,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'c', 453,
        'd', 476,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(175);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '\n', 931,
        '\r', 177,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 619,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'e', 716,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(177);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '\n', 931,
        '\r', 177,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'e', 716,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(177);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '\n', 932,
        '\r', 179,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 618,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'e', 471,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(179);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '\n', 932,
        '\r', 179,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'e', 471,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(179);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '\n', 933,
        '\r', 180,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(180);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '\n', 934,
        '\r', 181,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'c', 453,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(181);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '\n', 935,
        '\r', 182,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 480,
        'c', 453,
        'd', 476,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(182);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '\n', 936,
        '\r', 184,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 619,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(184);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '\n', 936,
        '\r', 184,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(184);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '\n', 937,
        '\r', 185,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 480,
        'c', 453,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(185);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '\n', 938,
        '\r', 187,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'd', 476,
        'e', 471,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(187);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '\n', 938,
        '\r', 187,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'd', 476,
        'e', 471,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(187);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '\n', 939,
        '\r', 189,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 706,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(189);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '\n', 939,
        '\r', 189,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 706,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(189);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '\n', 940,
        '\r', 191,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 710,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(191);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '\n', 940,
        '\r', 191,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 710,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(191);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '\n', 941,
        '\r', 193,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 716,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(193);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '\n', 941,
        '\r', 193,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 716,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(193);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '\n', 942,
        '\r', 195,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'c', 647,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(195);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '\n', 942,
        '\r', 195,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'c', 647,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(195);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '\n', 943,
        '\r', 197,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 620,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 471,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(197);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '\n', 943,
        '\r', 197,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 471,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(197);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '\n', 944,
        '\r', 199,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 706,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(199);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '\n', 944,
        '\r', 199,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 706,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(199);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '\n', 945,
        '\r', 201,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 710,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(201);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '\n', 945,
        '\r', 201,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 710,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(201);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '\n', 946,
        '\r', 203,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'c', 647,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(203);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '\n', 946,
        '\r', 203,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'c', 647,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(203);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 204:
      ADVANCE_MAP(
        '\n', 947,
        '\r', 205,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'c', 647,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(205);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 205:
      ADVANCE_MAP(
        '\n', 947,
        '\r', 205,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'c', 647,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(205);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 206:
      ADVANCE_MAP(
        '\n', 948,
        '\r', 206,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(206);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 207:
      ADVANCE_MAP(
        '\n', 949,
        '\r', 208,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(208);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        '\n', 949,
        '\r', 208,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(208);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 209:
      ADVANCE_MAP(
        '\n', 950,
        '\r', 210,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'c', 647,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(210);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 210:
      ADVANCE_MAP(
        '\n', 950,
        '\r', 210,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'c', 647,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(210);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 211:
      ADVANCE_MAP(
        '\n', 951,
        '\r', 212,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 716,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(212);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 212:
      ADVANCE_MAP(
        '\n', 951,
        '\r', 212,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 716,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(212);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 213:
      ADVANCE_MAP(
        '\n', 952,
        '\r', 214,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 620,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 480,
        'e', 471,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(214);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 214:
      ADVANCE_MAP(
        '\n', 952,
        '\r', 214,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 480,
        'e', 471,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(214);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 215:
      ADVANCE_MAP(
        '\n', 952,
        '\r', 214,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 776,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 480,
        'e', 471,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(214);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        '\n', 953,
        '\r', 217,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(217);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 217:
      ADVANCE_MAP(
        '\n', 953,
        '\r', 217,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(217);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 218:
      ADVANCE_MAP(
        '\n', 954,
        '\r', 218,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(218);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        '\n', 955,
        '\r', 220,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'e', 710,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(220);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        '\n', 955,
        '\r', 220,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'e', 710,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(220);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 221:
      ADVANCE_MAP(
        '\n', 956,
        '\r', 222,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'e', 706,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(222);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 222:
      ADVANCE_MAP(
        '\n', 956,
        '\r', 222,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'e', 706,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(222);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 223:
      ADVANCE_MAP(
        '\n', 957,
        '\r', 224,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'c', 647,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(224);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 224:
      ADVANCE_MAP(
        '\n', 957,
        '\r', 224,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'c', 647,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(224);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 225:
      ADVANCE_MAP(
        '\n', 958,
        '\r', 226,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'c', 647,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(226);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        '\n', 958,
        '\r', 226,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'c', 647,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(226);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        '\n', 959,
        '\r', 228,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'e', 716,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(228);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        '\n', 959,
        '\r', 228,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'e', 716,
        'f', 695,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(228);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 229:
      ADVANCE_MAP(
        '\n', 960,
        '\r', 230,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(230);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 230:
      ADVANCE_MAP(
        '\n', 960,
        '\r', 230,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(230);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 231:
      ADVANCE_MAP(
        '\n', 961,
        '\r', 231,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(231);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 232:
      ADVANCE_MAP(
        '\n', 962,
        '\r', 232,
        '#', 984,
        ',', 574,
        ';', 607,
        '=', 575,
        'c', 453,
        'e', 471,
        'f', 466,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(232);
      END_STATE();
    case 233:
      if (lookahead == '\n') ADVANCE(963);
      if (lookahead == '\r') ADVANCE(233);
      if (lookahead == '#') ADVANCE(984);
      if (lookahead == ',') ADVANCE(574);
      if (lookahead == ';') ADVANCE(607);
      if (lookahead == '=') ADVANCE(575);
      if (lookahead == 'e') ADVANCE(468);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(233);
      END_STATE();
    case 234:
      ADVANCE_MAP(
        '\n', 964,
        '\r', 236,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(236);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 235:
      ADVANCE_MAP(
        '\n', 964,
        '\r', 236,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 613,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(236);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 236:
      ADVANCE_MAP(
        '\n', 964,
        '\r', 236,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(236);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        '\n', 965,
        '\r', 239,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(239);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 238:
      ADVANCE_MAP(
        '\n', 965,
        '\r', 239,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(239);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 239:
      ADVANCE_MAP(
        '\n', 965,
        '\r', 239,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(239);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 240:
      ADVANCE_MAP(
        '\n', 965,
        '\r', 239,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(239);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        '\n', 966,
        '\r', 243,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(243);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 242:
      ADVANCE_MAP(
        '\n', 966,
        '\r', 243,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 613,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(243);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 243:
      ADVANCE_MAP(
        '\n', 966,
        '\r', 243,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(243);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 244:
      ADVANCE_MAP(
        '\n', 967,
        '\r', 246,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(246);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 245:
      ADVANCE_MAP(
        '\n', 967,
        '\r', 246,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(246);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 246:
      ADVANCE_MAP(
        '\n', 967,
        '\r', 246,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(246);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 247:
      ADVANCE_MAP(
        '\n', 968,
        '\r', 249,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(249);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 248:
      ADVANCE_MAP(
        '\n', 968,
        '\r', 249,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 613,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(249);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 249:
      ADVANCE_MAP(
        '\n', 968,
        '\r', 249,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(249);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 250:
      ADVANCE_MAP(
        '\n', 969,
        '\r', 252,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(252);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 251:
      ADVANCE_MAP(
        '\n', 969,
        '\r', 252,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(252);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 252:
      ADVANCE_MAP(
        '\n', 969,
        '\r', 252,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(252);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 253:
      ADVANCE_MAP(
        '\n', 970,
        '\r', 255,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(255);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 254:
      ADVANCE_MAP(
        '\n', 970,
        '\r', 255,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 613,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(255);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 255:
      ADVANCE_MAP(
        '\n', 970,
        '\r', 255,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(255);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 256:
      ADVANCE_MAP(
        '\n', 971,
        '\r', 258,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(258);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 257:
      ADVANCE_MAP(
        '\n', 971,
        '\r', 258,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(258);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 258:
      ADVANCE_MAP(
        '\n', 971,
        '\r', 258,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(258);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 259:
      ADVANCE_MAP(
        '\n', 972,
        '\r', 260,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 654,
        'e', 713,
        'f', 693,
        'g', 704,
        'i', 677,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(260);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 260:
      ADVANCE_MAP(
        '\n', 972,
        '\r', 260,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(260);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 261:
      ADVANCE_MAP(
        '\n', 973,
        '\r', 263,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(263);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 262:
      ADVANCE_MAP(
        '\n', 973,
        '\r', 263,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(263);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 263:
      ADVANCE_MAP(
        '\n', 973,
        '\r', 263,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(263);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 264:
      ADVANCE_MAP(
        '\n', 974,
        '\r', 265,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 654,
        'e', 706,
        'f', 699,
        'g', 704,
        'i', 677,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(265);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 265:
      ADVANCE_MAP(
        '\n', 974,
        '\r', 265,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(265);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 266:
      ADVANCE_MAP(
        '\n', 975,
        '\r', 267,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(267);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 267:
      ADVANCE_MAP(
        '\n', 975,
        '\r', 267,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(267);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 268:
      ADVANCE_MAP(
        '\n', 975,
        '\r', 267,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(267);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 269:
      ADVANCE_MAP(
        '\n', 976,
        '\r', 270,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 654,
        'e', 711,
        'f', 693,
        'g', 704,
        'i', 677,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(270);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 270:
      ADVANCE_MAP(
        '\n', 976,
        '\r', 270,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(270);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 271:
      ADVANCE_MAP(
        '\n', 977,
        '\r', 272,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 654,
        'e', 711,
        'f', 699,
        'g', 704,
        'i', 677,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(272);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 272:
      ADVANCE_MAP(
        '\n', 977,
        '\r', 272,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(272);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 273:
      ADVANCE_MAP(
        '\n', 978,
        '\r', 274,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(274);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 274:
      ADVANCE_MAP(
        '\n', 978,
        '\r', 274,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 706,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(274);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 275:
      ADVANCE_MAP(
        '\n', 979,
        '\r', 276,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(276);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 276:
      ADVANCE_MAP(
        '\n', 979,
        '\r', 276,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(276);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 277:
      ADVANCE_MAP(
        '\n', 980,
        '\r', 277,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 480,
        'c', 453,
        'd', 476,
        'e', 471,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(277);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 278:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(291);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 279:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'd', 723,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(292);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 280:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(293);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 281:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 613,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(293);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 282:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 615,
        '/', 820,
        '0', 770,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(294);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 283:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 615,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(295);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 284:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(299);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 285:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 286:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(301);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 287:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 613,
        '/', 820,
        '0', 768,
        ':', 601,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(301);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 288:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 615,
        '/', 820,
        ':', 601,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(302);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 289:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 654,
        'e', 712,
        'f', 699,
        'g', 704,
        'i', 677,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '{', 608,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(290);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 290:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(290);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 291:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(291);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 292:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'd', 723,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(292);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 293:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(293);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 294:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 364,
        '/', 820,
        '0', 770,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(294);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 295:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 364,
        '/', 820,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(295);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 296:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        ')', 599,
        '*', 822,
        '+', 836,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 679,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(296);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 297:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 654,
        'e', 711,
        'f', 699,
        'g', 704,
        'i', 677,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(298);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 298:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(298);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 299:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(299);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 300:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 301:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(301);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 302:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 364,
        '/', 820,
        ':', 629,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(302);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 303:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 654,
        'e', 712,
        'f', 700,
        'g', 704,
        'i', 680,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(305);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 304:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 654,
        'e', 712,
        'f', 699,
        'g', 704,
        'i', 680,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(306);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 305:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'i', 717,
        'w', 688,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(305);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 306:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(306);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 307:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 654,
        'e', 711,
        'f', 700,
        'g', 704,
        'i', 680,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(308);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 308:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(308);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 309:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 630,
        '<', 803,
        '=', 447,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 654,
        'e', 712,
        'f', 700,
        'g', 704,
        'i', 681,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 689,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(310);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 310:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 630,
        '<', 803,
        '=', 447,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(310);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 311:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'd', 723,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(325);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 312:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(326);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 313:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(326);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 314:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'd', 723,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(334);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 315:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(335);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 316:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(335);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 317:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(338);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 318:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(339);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 319:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(339);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 320:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(345);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 321:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(346);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 322:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(346);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 323:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'a', 740,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(324);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 324:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'a', 740,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(324);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 325:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'd', 723,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(325);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 326:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(326);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 327:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'a', 740,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(324);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 328:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'a', 740,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(324);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 329:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(326);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 330:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 770,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(332);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 331:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'f', 727,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(333);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 332:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 366,
        '/', 821,
        '0', 770,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(332);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 333:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 366,
        '/', 821,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'f', 727,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(333);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 334:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'd', 723,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(334);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 335:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(335);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 336:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(337);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 337:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(337);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 338:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(338);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 339:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(339);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 340:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(337);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 341:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'a', 740,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(337);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 342:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(339);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 343:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(344);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 344:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 366,
        '/', 821,
        ':', 628,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(344);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 345:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'd', 723,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(345);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 346:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(346);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 347:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'f', 727,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(347);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 348:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 627,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(348);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 349:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 981,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(355);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 350:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 981,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'f', 693,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(356);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 351:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 981,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 706,
        'f', 727,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(357);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 352:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 981,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 693,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(358);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 353:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 981,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(359);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 354:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 981,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(360);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 355:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'e', 716,
        'f', 727,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(355);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 356:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'c', 647,
        'f', 693,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(356);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 357:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 706,
        'f', 727,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(357);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 358:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 693,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(358);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 359:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(359);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 360:
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 679,
        '{', 608,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(360);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 361:
      ADVANCE_MAP(
        '!', 834,
        '#', 984,
        '$', 625,
        '(', 598,
        '+', 835,
        '-', 837,
        '.', 596,
        '/', 821,
        ':', 627,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(361);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 362:
      ADVANCE_MAP(
        '!', 834,
        '#', 984,
        '$', 625,
        '+', 835,
        '-', 840,
        '.', 842,
        '/', 821,
        ':', 627,
        '<', 804,
        '=', 447,
        '>', 806,
        '?', 639,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(362);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 363:
      ADVANCE_MAP(
        '!', 834,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        '-', 838,
        '.', 811,
        '/', 820,
        '<', 803,
        '=', 633,
        '>', 805,
        '\\', 822,
        '^', 830,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(772);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 364:
      ADVANCE_MAP(
        '!', 834,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        '-', 838,
        '.', 811,
        '/', 820,
        '<', 803,
        '=', 633,
        '>', 805,
        '\\', 822,
        '^', 830,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 365:
      ADVANCE_MAP(
        '!', 834,
        '&', 818,
        '+', 835,
        '-', 837,
        '.', 811,
        '/', 821,
        '<', 804,
        '=', 447,
        '>', 806,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(772);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 366:
      ADVANCE_MAP(
        '!', 834,
        '&', 818,
        '+', 835,
        '-', 837,
        '.', 811,
        '/', 821,
        '<', 804,
        '=', 447,
        '>', 806,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 367:
      ADVANCE_MAP(
        '!', 834,
        '+', 835,
        '-', 837,
        '/', 821,
        '<', 804,
        '=', 447,
        '>', 806,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == '.' ||
          lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(772);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 368:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 619,
        '/', 820,
        '0', 770,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        ']', 603,
        '^', 830,
        'c', 453,
        'e', 468,
        'f', 467,
        'i', 462,
        'w', 464,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(379);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 369:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 619,
        '/', 820,
        '0', 770,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        ']', 603,
        '^', 830,
        'd', 476,
        'e', 471,
        'f', 467,
        'i', 462,
        'w', 464,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(380);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 370:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 619,
        '/', 820,
        '0', 770,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        ']', 603,
        '^', 830,
        'i', 717,
        'w', 688,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(382);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 371:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 619,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        ']', 603,
        '^', 830,
        'f', 727,
        'i', 678,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(383);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 372:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 619,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'f', 727,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(384);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 373:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 618,
        '/', 820,
        '0', 770,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        ']', 603,
        '^', 830,
        'e', 472,
        'f', 475,
        'i', 462,
        'w', 464,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(381);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 374:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 619,
        '/', 820,
        ':', 601,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(385);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 375:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        '-', 839,
        '.', 619,
        '/', 820,
        ':', 601,
        ';', 981,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'f', 475,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2208, 606,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(386);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 376:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        '-', 838,
        '.', 619,
        '/', 820,
        ':', 601,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2208, 606,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(387);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 377:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        '-', 838,
        '.', 619,
        '/', 820,
        ':', 601,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2208, 606,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(388);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 378:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        '-', 838,
        '.', 618,
        '/', 820,
        ':', 601,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2208, 606,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(388);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 379:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 426,
        '/', 820,
        '0', 770,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        ']', 603,
        '^', 830,
        'c', 453,
        'e', 468,
        'f', 467,
        'i', 462,
        'w', 464,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(379);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 380:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        '0', 770,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        ']', 603,
        '^', 830,
        'd', 476,
        'e', 471,
        'f', 467,
        'i', 462,
        'w', 464,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(380);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 381:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        '0', 770,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        ']', 603,
        '^', 830,
        'e', 472,
        'f', 475,
        'i', 462,
        'w', 464,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(381);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 382:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        '0', 770,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        ']', 603,
        '^', 830,
        'i', 717,
        'w', 688,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(382);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 383:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        ']', 603,
        '^', 830,
        'f', 727,
        'i', 678,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(383);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 384:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'f', 727,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(384);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 385:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(385);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 386:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        '-', 839,
        '.', 426,
        '/', 820,
        ':', 445,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'f', 475,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2208, 606,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(386);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 387:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2208, 606,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(387);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 388:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2208, 606,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(388);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 389:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        '0', 770,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'a', 480,
        'd', 476,
        'e', 472,
        'f', 475,
        'i', 462,
        'w', 464,
        '|', 816,
        '}', 609,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(406);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 390:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        '0', 770,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'i', 717,
        'w', 688,
        '|', 816,
        '}', 609,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(409);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 391:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'f', 727,
        'i', 678,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(410);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 392:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'f', 727,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(412);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 393:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 620,
        '/', 821,
        '0', 770,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'a', 480,
        'e', 472,
        'f', 475,
        'i', 462,
        'w', 464,
        '|', 816,
        '}', 609,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(407);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 394:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 621,
        '/', 821,
        '0', 770,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'd', 476,
        'e', 472,
        'f', 475,
        'i', 462,
        'w', 464,
        '|', 816,
        '}', 609,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(414);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 395:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 621,
        '/', 821,
        '0', 770,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'i', 717,
        'w', 688,
        '|', 816,
        '}', 609,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(416);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 396:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'f', 727,
        'i', 678,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(417);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 397:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'f', 727,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(418);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 398:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 620,
        '/', 821,
        '0', 770,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'e', 472,
        'f', 475,
        'i', 462,
        'w', 464,
        '|', 816,
        '}', 609,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(415);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 399:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(421);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 400:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 621,
        '/', 821,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(422);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 401:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        '-', 840,
        '.', 621,
        '/', 821,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'd', 476,
        'i', 473,
        'w', 464,
        '|', 816,
        0x2208, 606,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(423);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 402:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        '-', 840,
        '.', 621,
        '/', 821,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'i', 717,
        'w', 688,
        '|', 816,
        0x2208, 606,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(424);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 403:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        '-', 840,
        '.', 620,
        '/', 821,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'i', 473,
        'w', 464,
        '|', 816,
        0x2208, 606,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(425);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 404:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        '0', 770,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'a', 740,
        'i', 717,
        'w', 688,
        '|', 816,
        '}', 609,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(408);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 405:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'f', 727,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(411);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 406:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        '0', 770,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'a', 480,
        'd', 476,
        'e', 472,
        'f', 475,
        'i', 462,
        'w', 464,
        '|', 816,
        '}', 609,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(406);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 407:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        '0', 770,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'a', 480,
        'e', 472,
        'f', 475,
        'i', 462,
        'w', 464,
        '|', 816,
        '}', 609,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(407);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 408:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        '0', 770,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'a', 740,
        'i', 717,
        'w', 688,
        '|', 816,
        '}', 609,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(408);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 409:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        '0', 770,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'i', 717,
        'w', 688,
        '|', 816,
        '}', 609,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(409);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 410:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'f', 727,
        'i', 678,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(410);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 411:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'f', 727,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(411);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 412:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'f', 727,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(412);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 413:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 776,
        '/', 821,
        '0', 770,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'a', 480,
        'e', 472,
        'f', 475,
        'i', 462,
        'w', 464,
        '|', 816,
        '}', 609,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(407);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 414:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        '0', 770,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'd', 476,
        'e', 472,
        'f', 475,
        'i', 462,
        'w', 464,
        '|', 816,
        '}', 609,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(414);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 415:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        '0', 770,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'e', 472,
        'f', 475,
        'i', 462,
        'w', 464,
        '|', 816,
        '}', 609,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(415);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 416:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        '0', 770,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'i', 717,
        'w', 688,
        '|', 816,
        '}', 609,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(416);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(771);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 417:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        ']', 603,
        'f', 727,
        'i', 678,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(417);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 418:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'f', 727,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(418);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 419:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(420);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 420:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(420);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 421:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(421);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 422:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'e', 716,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(422);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 423:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'd', 476,
        'i', 473,
        'w', 464,
        '|', 816,
        0x2208, 606,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(423);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 424:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'i', 717,
        'w', 688,
        '|', 816,
        0x2208, 606,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(424);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 425:
      ADVANCE_MAP(
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'i', 473,
        'w', 464,
        '|', 816,
        0x2208, 606,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(425);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 426:
      ADVANCE_MAP(
        '!', 446,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        '-', 838,
        '.', 811,
        '/', 820,
        '<', 803,
        '=', 633,
        '>', 805,
        '\\', 822,
        '^', 830,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 427:
      ADVANCE_MAP(
        '!', 446,
        '&', 818,
        '+', 835,
        '-', 837,
        '.', 811,
        '/', 821,
        '<', 804,
        '=', 447,
        '>', 806,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 428:
      if (lookahead == '"') ADVANCE(792);
      END_STATE();
    case 429:
      ADVANCE_MAP(
        '#', 984,
        '$', 625,
        ')', 599,
        ',', 574,
        '.', 612,
        ':', 627,
        '=', 575,
        '\\', 485,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(430);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 430:
      if (lookahead == '#') ADVANCE(984);
      if (lookahead == '$') ADVANCE(625);
      if (lookahead == ')') ADVANCE(599);
      if (lookahead == ',') ADVANCE(574);
      if (lookahead == ':') ADVANCE(627);
      if (lookahead == '=') ADVANCE(575);
      if (lookahead == '\\') ADVANCE(485);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(430);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 431:
      if (lookahead == '#') ADVANCE(984);
      if (lookahead == ')') ADVANCE(599);
      if (lookahead == '.') ADVANCE(622);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(433);
      END_STATE();
    case 432:
      if (lookahead == '#') ADVANCE(984);
      if (lookahead == ')') ADVANCE(599);
      if (lookahead == '.') ADVANCE(778);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(433);
      END_STATE();
    case 433:
      if (lookahead == '#') ADVANCE(984);
      if (lookahead == ')') ADVANCE(599);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(433);
      END_STATE();
    case 434:
      if (lookahead == '\'') ADVANCE(790);
      END_STATE();
    case 435:
      if (lookahead == '\'') ADVANCE(790);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(434);
      END_STATE();
    case 436:
      if (lookahead == '\'') ADVANCE(790);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(435);
      END_STATE();
    case 437:
      if (lookahead == '\'') ADVANCE(790);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(434);
      END_STATE();
    case 438:
      if (lookahead == '\'') ADVANCE(790);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(437);
      END_STATE();
    case 439:
      if (lookahead == '\'') ADVANCE(790);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(438);
      END_STATE();
    case 440:
      if (lookahead == '\'') ADVANCE(790);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(439);
      END_STATE();
    case 441:
      if (lookahead == '\'') ADVANCE(790);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(440);
      END_STATE();
    case 442:
      if (lookahead == '-') ADVANCE(799);
      END_STATE();
    case 443:
      if (lookahead == '.') ADVANCE(504);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(766);
      END_STATE();
    case 444:
      if (lookahead == ':') ADVANCE(631);
      END_STATE();
    case 445:
      if (lookahead == ':') ADVANCE(631);
      if (lookahead == '=') ADVANCE(632);
      END_STATE();
    case 446:
      if (lookahead == '=') ADVANCE(807);
      END_STATE();
    case 447:
      if (lookahead == '=') ADVANCE(807);
      if (lookahead == '>') ADVANCE(797);
      END_STATE();
    case 448:
      if (lookahead == '=') ADVANCE(795);
      END_STATE();
    case 449:
      if (lookahead == '>') ADVANCE(798);
      END_STATE();
    case 450:
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(434);
      END_STATE();
    case 451:
      if (lookahead == '_') ADVANCE(504);
      if (lookahead == 'p') ADVANCE(489);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(451);
      END_STATE();
    case 452:
      if (lookahead == '`') ADVANCE(794);
      END_STATE();
    case 453:
      if (lookahead == 'a') ADVANCE(483);
      END_STATE();
    case 454:
      if (lookahead == 'a') ADVANCE(636);
      END_STATE();
    case 455:
      if (lookahead == 'a') ADVANCE(470);
      END_STATE();
    case 456:
      if (lookahead == 'c') ADVANCE(465);
      END_STATE();
    case 457:
      if (lookahead == 'd') ADVANCE(577);
      END_STATE();
    case 458:
      if (lookahead == 'e') ADVANCE(585);
      END_STATE();
    case 459:
      if (lookahead == 'e') ADVANCE(641);
      END_STATE();
    case 460:
      if (lookahead == 'e') ADVANCE(583);
      END_STATE();
    case 461:
      if (lookahead == 'e') ADVANCE(479);
      END_STATE();
    case 462:
      if (lookahead == 'f') ADVANCE(579);
      if (lookahead == 'n') ADVANCE(604);
      if (lookahead == 's') ADVANCE(454);
      END_STATE();
    case 463:
      if (lookahead == 'f') ADVANCE(581);
      END_STATE();
    case 464:
      if (lookahead == 'h') ADVANCE(461);
      END_STATE();
    case 465:
      if (lookahead == 'h') ADVANCE(588);
      END_STATE();
    case 466:
      if (lookahead == 'i') ADVANCE(474);
      END_STATE();
    case 467:
      if (lookahead == 'i') ADVANCE(474);
      if (lookahead == 'o') ADVANCE(478);
      END_STATE();
    case 468:
      if (lookahead == 'l') ADVANCE(481);
      if (lookahead == 'n') ADVANCE(457);
      END_STATE();
    case 469:
      if (lookahead == 'l') ADVANCE(486);
      END_STATE();
    case 470:
      if (lookahead == 'l') ADVANCE(469);
      END_STATE();
    case 471:
      if (lookahead == 'l') ADVANCE(482);
      if (lookahead == 'n') ADVANCE(457);
      END_STATE();
    case 472:
      if (lookahead == 'n') ADVANCE(457);
      END_STATE();
    case 473:
      if (lookahead == 'n') ADVANCE(604);
      if (lookahead == 's') ADVANCE(454);
      END_STATE();
    case 474:
      if (lookahead == 'n') ADVANCE(455);
      END_STATE();
    case 475:
      if (lookahead == 'o') ADVANCE(478);
      END_STATE();
    case 476:
      if (lookahead == 'o') ADVANCE(623);
      END_STATE();
    case 477:
      if (lookahead == 'p') ADVANCE(489);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(451);
      END_STATE();
    case 478:
      if (lookahead == 'r') ADVANCE(592);
      END_STATE();
    case 479:
      if (lookahead == 'r') ADVANCE(459);
      END_STATE();
    case 480:
      if (lookahead == 's') ADVANCE(594);
      END_STATE();
    case 481:
      if (lookahead == 's') ADVANCE(458);
      END_STATE();
    case 482:
      if (lookahead == 's') ADVANCE(460);
      END_STATE();
    case 483:
      if (lookahead == 't') ADVANCE(456);
      END_STATE();
    case 484:
      if (lookahead == 'x') ADVANCE(508);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(503);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(436);
      if (lookahead != 0) ADVANCE(434);
      END_STATE();
    case 485:
      if (lookahead == 'x') ADVANCE(509);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(507);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(784);
      if (lookahead != 0) ADVANCE(782);
      END_STATE();
    case 486:
      if (lookahead == 'y') ADVANCE(590);
      END_STATE();
    case 487:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(495);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(780);
      END_STATE();
    case 488:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(496);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(773);
      END_STATE();
    case 489:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(497);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(781);
      END_STATE();
    case 490:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(499);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(779);
      END_STATE();
    case 491:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(764);
      END_STATE();
    case 492:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(765);
      END_STATE();
    case 493:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(769);
      END_STATE();
    case 494:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(772);
      END_STATE();
    case 495:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(780);
      END_STATE();
    case 496:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(773);
      END_STATE();
    case 497:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(781);
      END_STATE();
    case 498:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(777);
      END_STATE();
    case 499:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(779);
      END_STATE();
    case 500:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(771);
      END_STATE();
    case 501:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(434);
      END_STATE();
    case 502:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(766);
      END_STATE();
    case 503:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(441);
      END_STATE();
    case 504:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(451);
      END_STATE();
    case 505:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(767);
      END_STATE();
    case 506:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(782);
      END_STATE();
    case 507:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(789);
      END_STATE();
    case 508:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(501);
      END_STATE();
    case 509:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(506);
      END_STATE();
    case 510:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 843,
        '\r', 1,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(511);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 511:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 843,
        '\r', 1,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'e', 710,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(511);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 512:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 848,
        '\r', 16,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(514);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 513:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 848,
        '\r', 16,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(514);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 514:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 848,
        '\r', 16,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(514);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 515:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 848,
        '\r', 16,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(514);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 516:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 850,
        '\r', 21,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(517);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 517:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 850,
        '\r', 21,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'e', 716,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(517);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 518:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 859,
        '\r', 33,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(520);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 519:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 859,
        '\r', 33,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 613,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(520);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 520:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 859,
        '\r', 33,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(520);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 521:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 863,
        '\r', 41,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 654,
        'e', 712,
        'f', 699,
        'g', 704,
        'i', 677,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(522);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 522:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 863,
        '\r', 41,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(522);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 523:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 867,
        '\r', 48,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(524);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 524:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 867,
        '\r', 48,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(524);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 525:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 871,
        '\r', 55,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 614,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'd', 723,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(526);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 526:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 871,
        '\r', 55,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 363,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'd', 723,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(526);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 527:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 879,
        '\r', 71,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(529);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 528:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 879,
        '\r', 71,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(529);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 529:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 879,
        '\r', 71,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(529);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 530:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 880,
        '\r', 72,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'd', 723,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(531);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 531:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 880,
        '\r', 72,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'd', 723,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(531);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 532:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 889,
        '\r', 90,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 611,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'd', 723,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(533);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 533:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 889,
        '\r', 90,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'd', 723,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(533);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 534:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 896,
        '\r', 103,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 611,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 615,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(535);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 535:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 896,
        '\r', 103,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 364,
        '/', 820,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        '^', 830,
        '`', 793,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(535);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 536:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 901,
        '\r', 118,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 617,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'a', 740,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(537);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 537:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 901,
        '\r', 118,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 365,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'a', 740,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(537);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 538:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 901,
        '\r', 118,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 616,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'a', 740,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(537);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 539:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 901,
        '\r', 118,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        '0', 768,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'a', 740,
        'f', 727,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(537);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 540:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 911,
        '\r', 143,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 774,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(541);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 541:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 911,
        '\r', 143,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '&', 818,
        '\'', 450,
        '(', 598,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 366,
        '/', 821,
        ':', 628,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        '@', 643,
        '[', 602,
        '`', 793,
        'i', 717,
        'w', 688,
        '{', 608,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(541);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 542:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 917,
        '\r', 154,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'a', 657,
        'b', 650,
        'c', 654,
        'e', 712,
        'f', 700,
        'g', 704,
        'i', 680,
        'l', 672,
        'm', 725,
        'p', 731,
        'q', 757,
        's', 751,
        't', 732,
        'u', 741,
        'w', 685,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(543);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 543:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 917,
        '\r', 154,
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        '`', 793,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(543);
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 544:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 921,
        '\r', 160,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 619,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'c', 453,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(545);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 545:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 921,
        '\r', 160,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'c', 453,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(545);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 546:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 922,
        '\r', 161,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 619,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'c', 453,
        'd', 476,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(547);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 547:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 922,
        '\r', 161,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'c', 453,
        'd', 476,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(547);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 548:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 923,
        '\r', 162,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 618,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'c', 453,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(549);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 549:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 923,
        '\r', 162,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'c', 453,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(549);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 550:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 930,
        '\r', 175,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'c', 453,
        'd', 476,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(551);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 551:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 930,
        '\r', 175,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'c', 453,
        'd', 476,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(551);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 552:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 933,
        '\r', 180,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '\'', 610,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 619,
        '/', 820,
        ':', 601,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(553);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 553:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 933,
        '\r', 180,
        '!', 446,
        '#', 984,
        '$', 448,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 838,
        '.', 426,
        '/', 820,
        ':', 445,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '\\', 822,
        '^', 830,
        'i', 717,
        'w', 688,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(553);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 554:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 934,
        '\r', 181,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 620,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'c', 453,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(555);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 555:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 934,
        '\r', 181,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'c', 453,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(555);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 556:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 935,
        '\r', 182,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 480,
        'c', 453,
        'd', 476,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(557);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 557:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 935,
        '\r', 182,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 480,
        'c', 453,
        'd', 476,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(557);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 558:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 937,
        '\r', 185,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 620,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 480,
        'c', 453,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(559);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 559:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 937,
        '\r', 185,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 480,
        'c', 453,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(559);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 560:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 937,
        '\r', 185,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 776,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 480,
        'c', 453,
        'e', 468,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(559);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 561:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 948,
        '\r', 206,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(562);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 562:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 948,
        '\r', 206,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 840,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(562);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 563:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 954,
        '\r', 218,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(564);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 564:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 954,
        '\r', 218,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(564);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 565:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 961,
        '\r', 231,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(566);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 566:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 961,
        '\r', 231,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 740,
        'i', 717,
        'w', 688,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(566);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 567:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 962,
        '\r', 232,
        '#', 984,
        ',', 574,
        ';', 607,
        '=', 575,
        'c', 453,
        'e', 471,
        'f', 466,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(567);
      END_STATE();
    case 568:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 980,
        '\r', 277,
        '!', 446,
        '#', 984,
        '&', 818,
        '\'', 610,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 621,
        '/', 821,
        ':', 600,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 480,
        'c', 453,
        'd', 476,
        'e', 471,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(569);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 569:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '\n', 980,
        '\r', 277,
        '!', 446,
        '#', 984,
        '&', 818,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 427,
        '/', 821,
        ':', 444,
        ';', 607,
        '<', 804,
        '=', 576,
        '>', 806,
        '?', 639,
        'a', 480,
        'c', 453,
        'd', 476,
        'e', 471,
        'f', 466,
        'i', 473,
        'w', 464,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(569);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 570:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 626,
        '%', 822,
        '&', 819,
        '\'', 450,
        '(', 598,
        ')', 599,
        '*', 822,
        '+', 836,
        ',', 574,
        '-', 839,
        '.', 841,
        '/', 820,
        '0', 768,
        ':', 629,
        ';', 607,
        '<', 803,
        '=', 576,
        '>', 805,
        '?', 639,
        '@', 643,
        '[', 602,
        '\\', 822,
        ']', 603,
        '^', 830,
        '`', 793,
        'a', 740,
        'c', 647,
        'd', 723,
        'e', 706,
        'f', 693,
        'i', 678,
        'w', 688,
        '{', 608,
        '|', 814,
        '}', 609,
        '~', 831,
        0xf7, 822,
        0x2208, 606,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(570);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 571:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        ';', 981,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 679,
        '{', 608,
        '|', 815,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(572);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 572:
      if (eof) ADVANCE(573);
      ADVANCE_MAP(
        '!', 834,
        '"', 791,
        '#', 984,
        '$', 625,
        '\'', 450,
        '(', 598,
        ')', 599,
        '+', 835,
        ',', 574,
        '-', 837,
        '.', 367,
        '/', 821,
        '0', 768,
        ':', 628,
        '<', 804,
        '=', 447,
        '>', 806,
        '@', 643,
        '[', 602,
        ']', 603,
        '`', 793,
        'f', 727,
        'i', 679,
        '{', 608,
        '|', 815,
        '}', 609,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        0x2194, 763,
        0x21a9, 763,
        0x21aa, 763,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(572);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      if (set_contains(sym__word_identifier_character_set_1, 816, lookahead)) ADVANCE(763);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(807);
      if (lookahead == '>') ADVANCE(797);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_end);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_if);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_elseif);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_elseif);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == 'i') ADVANCE(683);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == 'i') ADVANCE(463);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == 'i') ADVANCE(682);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym_else);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym_catch);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(anon_sym_finally);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(anon_sym_for);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_as);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(aux_sym_import_path_token1);
      ADVANCE_MAP(
        '!', 834,
        '+', 835,
        '-', 837,
        '.', 597,
        '/', 821,
        '<', 804,
        '=', 447,
        '>', 806,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(aux_sym_import_path_token1);
      if (lookahead == '.') ADVANCE(597);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(631);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(631);
      if (lookahead == '=') ADVANCE(632);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym_in);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_u2208);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(434);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 834,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        '-', 838,
        '.', 811,
        '/', 820,
        '<', 803,
        '=', 633,
        '>', 805,
        '\\', 822,
        '^', 830,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        'E', 490,
        'e', 490,
        'f', 490,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(777);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 834,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        '-', 838,
        '.', 811,
        '/', 820,
        '<', 803,
        '=', 633,
        '>', 805,
        '\\', 822,
        '^', 830,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(772);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 834,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        '-', 838,
        '.', 811,
        '/', 820,
        '<', 803,
        '=', 633,
        '>', 805,
        '\\', 822,
        '^', 830,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 834,
        '&', 818,
        '+', 835,
        '-', 837,
        '.', 811,
        '/', 821,
        '<', 804,
        '=', 447,
        '>', 806,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        'E', 490,
        'e', 490,
        'f', 490,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(777);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 834,
        '&', 818,
        '+', 835,
        '-', 837,
        '.', 811,
        '/', 821,
        '<', 804,
        '=', 447,
        '>', 806,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(772);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 446,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        '-', 838,
        '.', 811,
        '/', 820,
        '<', 803,
        '=', 633,
        '>', 805,
        '\\', 822,
        '^', 830,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        'E', 490,
        'e', 490,
        'f', 490,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(777);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 446,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        '-', 838,
        '.', 811,
        '/', 820,
        '<', 803,
        '=', 633,
        '>', 805,
        '\\', 822,
        '^', 830,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 446,
        '&', 818,
        '+', 835,
        '-', 837,
        '.', 811,
        '/', 821,
        '<', 804,
        '=', 447,
        '>', 806,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        'E', 490,
        'e', 490,
        'f', 490,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(777);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(anon_sym_DOT);
      ADVANCE_MAP(
        '!', 446,
        '&', 818,
        '+', 835,
        '-', 837,
        '.', 811,
        '/', 821,
        '<', 804,
        '=', 447,
        '>', 806,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == 'E' ||
          lookahead == 'e' ||
          lookahead == 'f') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(777);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(anon_sym_do);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '=') ADVANCE(795);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(631);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(631);
      if (lookahead == '=') ADVANCE(632);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(632);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(anon_sym_DOT_EQ);
      if (lookahead == '=') ADVANCE(807);
      if (lookahead == '>') ADVANCE(797);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(aux_sym_quote_expression_token1);
      if (lookahead == 'i') ADVANCE(682);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(aux_sym_quote_expression_token1);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(anon_sym_isa);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(anon_sym_isa);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(anon_sym_where);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(anon_sym_where);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(637);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(701);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(749);
      if (lookahead == 'o') ADVANCE(718);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(749);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(655);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(707);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(735);
      if (lookahead == 'r') ADVANCE(673);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(659);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(703);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(709);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'a') ADVANCE(755);
      if (lookahead == 'o') ADVANCE(718);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'b') ADVANCE(708);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'b') ADVANCE(746);
      if (lookahead == 's') ADVANCE(595);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'b') ADVANCE(746);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'b') ADVANCE(652);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'c') ADVANCE(748);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'c') ADVANCE(687);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'c') ADVANCE(686);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'c') ADVANCE(652);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'd') ADVANCE(578);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'd') ADVANCE(635);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'd') ADVANCE(756);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(635);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(584);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(642);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(587);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(634);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(715);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(748);
      if (lookahead == 'o') ADVANCE(662);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(645);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(738);
      if (lookahead == 'i') ADVANCE(708);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(738);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'e') ADVANCE(586);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'f') ADVANCE(580);
      if (lookahead == 'm') ADVANCE(730);
      if (lookahead == 'n') ADVANCE(605);
      if (lookahead == 's') ADVANCE(644);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'f') ADVANCE(580);
      if (lookahead == 'n') ADVANCE(605);
      if (lookahead == 's') ADVANCE(644);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'f') ADVANCE(580);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'f') ADVANCE(635);
      if (lookahead == 'm') ADVANCE(730);
      if (lookahead == 'n') ADVANCE(605);
      if (lookahead == 's') ADVANCE(644);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'f') ADVANCE(635);
      if (lookahead == 'm') ADVANCE(730);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'f') ADVANCE(635);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'f') ADVANCE(582);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'g') ADVANCE(635);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'h') ADVANCE(674);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'h') ADVANCE(635);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'h') ADVANCE(589);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'h') ADVANCE(675);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'h') ADVANCE(692);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(714);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(760);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(708);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(721);
      if (lookahead == 'o') ADVANCE(733);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(721);
      if (lookahead == 'o') ADVANCE(734);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(721);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(719);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(720);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(750);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(722);
      if (lookahead == 'o') ADVANCE(733);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'i') ADVANCE(722);
      if (lookahead == 'o') ADVANCE(734);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'k') ADVANCE(635);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(761);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(635);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(724);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(762);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(743);
      if (lookahead == 'n') ADVANCE(663);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(705);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(666);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(702);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(744);
      if (lookahead == 'n') ADVANCE(663);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(745);
      if (lookahead == 'n') ADVANCE(663);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(745);
      if (lookahead == 'n') ADVANCE(664);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'l') ADVANCE(747);
      if (lookahead == 'n') ADVANCE(663);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'm') ADVANCE(698);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'm') ADVANCE(726);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'n') ADVANCE(663);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'n') ADVANCE(605);
      if (lookahead == 's') ADVANCE(644);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'n') ADVANCE(742);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'n') ADVANCE(684);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'n') ADVANCE(759);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'n') ADVANCE(649);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'n') ADVANCE(653);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'o') ADVANCE(624);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'o') ADVANCE(658);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'o') ADVANCE(665);
      if (lookahead == 'u') ADVANCE(753);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'o') ADVANCE(665);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'o') ADVANCE(733);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'o') ADVANCE(752);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'o') ADVANCE(737);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'p') ADVANCE(729);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(690);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(761);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(593);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(635);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(671);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(758);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(748);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(668);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'r') ADVANCE(651);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 's') ADVANCE(595);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 's') ADVANCE(696);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 's') ADVANCE(748);
      if (lookahead == 't') ADVANCE(697);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 's') ADVANCE(667);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 's') ADVANCE(669);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 's') ADVANCE(670);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 's') ADVANCE(754);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 's') ADVANCE(676);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 't') ADVANCE(635);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 't') ADVANCE(660);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 't') ADVANCE(691);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 't') ADVANCE(736);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 't') ADVANCE(666);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 't') ADVANCE(648);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 't') ADVANCE(739);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 't') ADVANCE(661);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'u') ADVANCE(708);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'u') ADVANCE(728);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'u') ADVANCE(659);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'u') ADVANCE(666);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'v') ADVANCE(666);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'y') ADVANCE(635);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym__word_identifier);
      if (lookahead == 'y') ADVANCE(591);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym__word_identifier);
      if ((!eof && set_contains(sym__word_identifier_character_set_2, 94, lookahead))) ADVANCE(763);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(aux_sym_integer_literal_token1);
      if (lookahead == '_') ADVANCE(491);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(764);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(aux_sym_integer_literal_token2);
      if (lookahead == '_') ADVANCE(492);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(765);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(aux_sym_integer_literal_token3);
      if (lookahead == '.') ADVANCE(477);
      if (lookahead == '_') ADVANCE(502);
      if (lookahead == 'p') ADVANCE(489);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(766);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(aux_sym_integer_literal_token3);
      if (lookahead == '_') ADVANCE(505);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(767);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(aux_sym_integer_literal_token4);
      if (lookahead == '_') ADVANCE(493);
      if (lookahead == 'b') ADVANCE(491);
      if (lookahead == 'o') ADVANCE(492);
      if (lookahead == 'x') ADVANCE(443);
      if (lookahead == 'E' ||
          lookahead == 'e' ||
          lookahead == 'f') ADVANCE(487);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(769);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(aux_sym_integer_literal_token4);
      if (lookahead == '_') ADVANCE(493);
      if (lookahead == 'E' ||
          lookahead == 'e' ||
          lookahead == 'f') ADVANCE(487);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(769);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(aux_sym_integer_literal_token4);
      if (lookahead == '_') ADVANCE(500);
      if (lookahead == 'b') ADVANCE(491);
      if (lookahead == 'o') ADVANCE(492);
      if (lookahead == 'x') ADVANCE(505);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(771);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(aux_sym_integer_literal_token4);
      if (lookahead == '_') ADVANCE(500);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(771);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(aux_sym_float_literal_token1);
      if (lookahead == '_') ADVANCE(494);
      if (lookahead == 'E' ||
          lookahead == 'e' ||
          lookahead == 'f') ADVANCE(488);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(772);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(aux_sym_float_literal_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(773);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(aux_sym_float_literal_token2);
      ADVANCE_MAP(
        '!', 834,
        '&', 818,
        '+', 835,
        '-', 837,
        '.', 811,
        '/', 821,
        '<', 804,
        '=', 447,
        '>', 806,
        '|', 816,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        'E', 490,
        'e', 490,
        'f', 490,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(777);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(aux_sym_float_literal_token2);
      ADVANCE_MAP(
        '!', 834,
        '+', 835,
        '-', 837,
        '/', 821,
        '<', 804,
        '=', 447,
        '>', 806,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
        'E', 490,
        'e', 490,
        'f', 490,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == '.' ||
          lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(777);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(aux_sym_float_literal_token2);
      ADVANCE_MAP(
        '!', 446,
        '&', 818,
        '+', 835,
        '-', 837,
        '.', 811,
        '/', 821,
        '<', 804,
        '=', 447,
        '>', 806,
        '|', 816,
        0xb1, 812,
        0x2213, 812,
        'E', 490,
        'e', 490,
        'f', 490,
      );
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(777);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(aux_sym_float_literal_token2);
      if (lookahead == '_') ADVANCE(498);
      if (lookahead == 'E' ||
          lookahead == 'e' ||
          lookahead == 'f') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(777);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(aux_sym_float_literal_token2);
      if (lookahead == 'E' ||
          lookahead == 'e' ||
          lookahead == 'f') ADVANCE(490);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(777);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(aux_sym_float_literal_token2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(779);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(aux_sym_float_literal_token3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(780);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(aux_sym_float_literal_token4);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(781);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(782);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(783);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(782);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(785);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(786);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(787);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(788);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_character_literal);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(428);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      if (lookahead == '`') ADVANCE(452);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(anon_sym_BQUOTE_BQUOTE_BQUOTE);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(anon_sym_DOLLAR_EQ);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(aux_sym__assignment_operator_token1);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym__pair_operator);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym__arrow_operator);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym__arrow_operator);
      if (lookahead == '>') ADVANCE(798);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym__lazy_or_operator);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym__lazy_and_operator);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym__comparison_operator);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym__comparison_operator);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == ':') ADVANCE(832);
      if (lookahead == '<') ADVANCE(826);
      if (lookahead == '=') ADVANCE(802);
      if (lookahead == '|') ADVANCE(809);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym__comparison_operator);
      if (lookahead == '-') ADVANCE(442);
      if (lookahead == ':') ADVANCE(832);
      if (lookahead == '<') ADVANCE(825);
      if (lookahead == '=') ADVANCE(802);
      if (lookahead == '|') ADVANCE(809);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym__comparison_operator);
      if (lookahead == ':') ADVANCE(832);
      if (lookahead == '=') ADVANCE(802);
      if (lookahead == '>') ADVANCE(827);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym__comparison_operator);
      if (lookahead == ':') ADVANCE(832);
      if (lookahead == '=') ADVANCE(802);
      if (lookahead == '>') ADVANCE(828);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym__comparison_operator);
      if (lookahead == '=') ADVANCE(802);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym__pipe_right_operator);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym__pipe_left_operator);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym__ellipsis_operator);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym__ellipsis_operator);
      if (lookahead == '.') ADVANCE(638);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym__plus_operator);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym__plus_operator);
      if (lookahead == '=') ADVANCE(796);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym__plus_operator);
      if (lookahead == '=') ADVANCE(796);
      if (lookahead == '>') ADVANCE(808);
      if (lookahead == '|') ADVANCE(800);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym__plus_operator);
      if (lookahead == '>') ADVANCE(808);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym__plus_operator);
      if (lookahead == '>') ADVANCE(808);
      if (lookahead == '|') ADVANCE(800);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym__times_operator);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym__times_operator);
      if (lookahead == '&') ADVANCE(801);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym__times_operator);
      if (lookahead == '&') ADVANCE(801);
      if (lookahead == '=') ADVANCE(796);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym__times_operator);
      if (lookahead == '/') ADVANCE(824);
      if (lookahead == '=') ADVANCE(796);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym__times_operator);
      if (lookahead == '/') ADVANCE(823);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym__times_operator);
      if (lookahead == '=') ADVANCE(796);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym__rational_operator);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym__rational_operator);
      if (lookahead == '=') ADVANCE(796);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym__bitshift_operator);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym__bitshift_operator);
      if (lookahead == '=') ADVANCE(796);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym__bitshift_operator);
      if (lookahead == '=') ADVANCE(796);
      if (lookahead == '>') ADVANCE(826);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym__bitshift_operator);
      if (lookahead == '>') ADVANCE(825);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym__power_operator);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym__power_operator);
      if (lookahead == '=') ADVANCE(796);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym__tilde_operator);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym__type_order_operator);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym__unary_operator);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym__unary_operator);
      if (lookahead == '=') ADVANCE(807);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(sym__unary_plus_operator);
      if (lookahead == '+') ADVANCE(812);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(sym__unary_plus_operator);
      if (lookahead == '+') ADVANCE(812);
      if (lookahead == '=') ADVANCE(796);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(sym__unary_plus_operator);
      if (lookahead == '-') ADVANCE(449);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(sym__unary_plus_operator);
      if (lookahead == '-') ADVANCE(449);
      if (lookahead == '=') ADVANCE(796);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(sym__unary_plus_operator);
      if (lookahead == '-') ADVANCE(449);
      if (lookahead == '=') ADVANCE(796);
      if (lookahead == '>') ADVANCE(640);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(sym__unary_plus_operator);
      if (lookahead == '-') ADVANCE(449);
      if (lookahead == '>') ADVANCE(640);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(anon_sym_DOT2);
      ADVANCE_MAP(
        '!', 834,
        '%', 822,
        '&', 819,
        '*', 822,
        '+', 836,
        '-', 838,
        '.', 811,
        '/', 820,
        '<', 803,
        '=', 633,
        '>', 805,
        '\\', 822,
        '^', 830,
        '|', 814,
        '~', 831,
        0xf7, 822,
        0x2212, 813,
        0x22bb, 813,
        0xb1, 812,
        0x2213, 812,
        0x2254, 796,
        0x2255, 796,
        0x2a74, 796,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(772);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(anon_sym_DOT2);
      ADVANCE_MAP(
        '!', 834,
        '+', 835,
        '-', 837,
        '.', 811,
        '/', 821,
        '<', 804,
        '=', 447,
        '>', 806,
        '|', 815,
        '~', 831,
        0xb1, 812,
        0x2213, 812,
      );
      if (lookahead == 0xac ||
          (0x221a <= lookahead && lookahead <= 0x221c)) ADVANCE(833);
      if (lookahead == 0x2026 ||
          lookahead == 0x205d ||
          (0x22ee <= lookahead && lookahead <= 0x22f1)) ADVANCE(810);
      if (set_contains(sym__power_operator_character_set_2, 20, lookahead)) ADVANCE(829);
      if (set_contains(sym__plus_operator_character_set_2, 32, lookahead)) ADVANCE(812);
      if (set_contains(sym__times_operator_character_set_2, 47, lookahead)) ADVANCE(817);
      if (set_contains(sym__arrow_operator_character_set_2, 50, lookahead)) ADVANCE(798);
      if (set_contains(sym__comparison_operator_character_set_2, 34, lookahead)) ADVANCE(802);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(843);
      if (lookahead == '\r') ADVANCE(1);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(844);
      if (lookahead == '\r') ADVANCE(3);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(845);
      if (lookahead == '\r') ADVANCE(6);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(846);
      if (lookahead == '\r') ADVANCE(10);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(847);
      if (lookahead == '\r') ADVANCE(14);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(848);
      if (lookahead == '\r') ADVANCE(16);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(849);
      if (lookahead == '\r') ADVANCE(19);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(850);
      if (lookahead == '\r') ADVANCE(21);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(851);
      if (lookahead == '\r') ADVANCE(22);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(852);
      if (lookahead == '\r') ADVANCE(24);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(853);
      if (lookahead == '\r') ADVANCE(25);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(854);
      if (lookahead == '\r') ADVANCE(26);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(855);
      if (lookahead == '\r') ADVANCE(27);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(856);
      if (lookahead == '\r') ADVANCE(28);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(857);
      if (lookahead == '\r') ADVANCE(29);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(858);
      if (lookahead == '\r') ADVANCE(32);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(859);
      if (lookahead == '\r') ADVANCE(33);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(860);
      if (lookahead == '\r') ADVANCE(36);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(861);
      if (lookahead == '\r') ADVANCE(38);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(862);
      if (lookahead == '\r') ADVANCE(40);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(863);
      if (lookahead == '\r') ADVANCE(41);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(864);
      if (lookahead == '\r') ADVANCE(43);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == '\r') ADVANCE(45);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(866);
      if (lookahead == '\r') ADVANCE(47);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(867);
      if (lookahead == '\r') ADVANCE(48);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(868);
      if (lookahead == '\r') ADVANCE(50);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(869);
      if (lookahead == '\r') ADVANCE(52);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(870);
      if (lookahead == '\r') ADVANCE(54);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(871);
      if (lookahead == '\r') ADVANCE(55);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(872);
      if (lookahead == '\r') ADVANCE(57);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(873);
      if (lookahead == '\r') ADVANCE(59);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(874);
      if (lookahead == '\r') ADVANCE(61);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(875);
      if (lookahead == '\r') ADVANCE(63);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(876);
      if (lookahead == '\r') ADVANCE(65);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(877);
      if (lookahead == '\r') ADVANCE(67);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(878);
      if (lookahead == '\r') ADVANCE(70);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(879);
      if (lookahead == '\r') ADVANCE(71);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(880);
      if (lookahead == '\r') ADVANCE(72);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(881);
      if (lookahead == '\r') ADVANCE(74);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(882);
      if (lookahead == '\r') ADVANCE(76);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(883);
      if (lookahead == '\r') ADVANCE(79);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(884);
      if (lookahead == '\r') ADVANCE(81);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(885);
      if (lookahead == '\r') ADVANCE(83);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(886);
      if (lookahead == '\r') ADVANCE(85);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(887);
      if (lookahead == '\r') ADVANCE(87);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(888);
      if (lookahead == '\r') ADVANCE(89);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(889);
      if (lookahead == '\r') ADVANCE(90);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(890);
      if (lookahead == '\r') ADVANCE(92);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(891);
      if (lookahead == '\r') ADVANCE(94);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(892);
      if (lookahead == '\r') ADVANCE(96);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(893);
      if (lookahead == '\r') ADVANCE(98);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(894);
      if (lookahead == '\r') ADVANCE(100);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(895);
      if (lookahead == '\r') ADVANCE(102);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(896);
      if (lookahead == '\r') ADVANCE(103);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(897);
      if (lookahead == '\r') ADVANCE(105);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(898);
      if (lookahead == '\r') ADVANCE(107);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(899);
      if (lookahead == '\r') ADVANCE(111);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(900);
      if (lookahead == '\r') ADVANCE(115);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(901);
      if (lookahead == '\r') ADVANCE(118);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(902);
      if (lookahead == '\r') ADVANCE(120);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(903);
      if (lookahead == '\r') ADVANCE(124);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(904);
      if (lookahead == '\r') ADVANCE(128);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(905);
      if (lookahead == '\r') ADVANCE(132);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(906);
      if (lookahead == '\r') ADVANCE(134);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(907);
      if (lookahead == '\r') ADVANCE(136);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(908);
      if (lookahead == '\r') ADVANCE(138);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(909);
      if (lookahead == '\r') ADVANCE(140);
      END_STATE();
    case 910:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(910);
      if (lookahead == '\r') ADVANCE(142);
      END_STATE();
    case 911:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(911);
      if (lookahead == '\r') ADVANCE(143);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(912);
      if (lookahead == '\r') ADVANCE(145);
      END_STATE();
    case 913:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(913);
      if (lookahead == '\r') ADVANCE(147);
      END_STATE();
    case 914:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(914);
      if (lookahead == '\r') ADVANCE(149);
      END_STATE();
    case 915:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(915);
      if (lookahead == '\r') ADVANCE(151);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(916);
      if (lookahead == '\r') ADVANCE(153);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(917);
      if (lookahead == '\r') ADVANCE(154);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(918);
      if (lookahead == '\r') ADVANCE(156);
      END_STATE();
    case 919:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(919);
      if (lookahead == '\r') ADVANCE(157);
      END_STATE();
    case 920:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(920);
      if (lookahead == '\r') ADVANCE(158);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(921);
      if (lookahead == '\r') ADVANCE(160);
      END_STATE();
    case 922:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(922);
      if (lookahead == '\r') ADVANCE(161);
      END_STATE();
    case 923:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(923);
      if (lookahead == '\r') ADVANCE(162);
      END_STATE();
    case 924:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(924);
      if (lookahead == '\r') ADVANCE(164);
      END_STATE();
    case 925:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(925);
      if (lookahead == '\r') ADVANCE(166);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(926);
      if (lookahead == '\r') ADVANCE(168);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(927);
      if (lookahead == '\r') ADVANCE(170);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(928);
      if (lookahead == '\r') ADVANCE(172);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(929);
      if (lookahead == '\r') ADVANCE(174);
      END_STATE();
    case 930:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(930);
      if (lookahead == '\r') ADVANCE(175);
      END_STATE();
    case 931:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(931);
      if (lookahead == '\r') ADVANCE(177);
      END_STATE();
    case 932:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(932);
      if (lookahead == '\r') ADVANCE(179);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(933);
      if (lookahead == '\r') ADVANCE(180);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(934);
      if (lookahead == '\r') ADVANCE(181);
      END_STATE();
    case 935:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(935);
      if (lookahead == '\r') ADVANCE(182);
      END_STATE();
    case 936:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(936);
      if (lookahead == '\r') ADVANCE(184);
      END_STATE();
    case 937:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(937);
      if (lookahead == '\r') ADVANCE(185);
      END_STATE();
    case 938:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(938);
      if (lookahead == '\r') ADVANCE(187);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(939);
      if (lookahead == '\r') ADVANCE(189);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(940);
      if (lookahead == '\r') ADVANCE(191);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(941);
      if (lookahead == '\r') ADVANCE(193);
      END_STATE();
    case 942:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(942);
      if (lookahead == '\r') ADVANCE(195);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(943);
      if (lookahead == '\r') ADVANCE(197);
      END_STATE();
    case 944:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(944);
      if (lookahead == '\r') ADVANCE(199);
      END_STATE();
    case 945:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(945);
      if (lookahead == '\r') ADVANCE(201);
      END_STATE();
    case 946:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(946);
      if (lookahead == '\r') ADVANCE(203);
      END_STATE();
    case 947:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(947);
      if (lookahead == '\r') ADVANCE(205);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(948);
      if (lookahead == '\r') ADVANCE(206);
      END_STATE();
    case 949:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(949);
      if (lookahead == '\r') ADVANCE(208);
      END_STATE();
    case 950:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(950);
      if (lookahead == '\r') ADVANCE(210);
      END_STATE();
    case 951:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(951);
      if (lookahead == '\r') ADVANCE(212);
      END_STATE();
    case 952:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(952);
      if (lookahead == '\r') ADVANCE(214);
      END_STATE();
    case 953:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(953);
      if (lookahead == '\r') ADVANCE(217);
      END_STATE();
    case 954:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(954);
      if (lookahead == '\r') ADVANCE(218);
      END_STATE();
    case 955:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(955);
      if (lookahead == '\r') ADVANCE(220);
      END_STATE();
    case 956:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(956);
      if (lookahead == '\r') ADVANCE(222);
      END_STATE();
    case 957:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(957);
      if (lookahead == '\r') ADVANCE(224);
      END_STATE();
    case 958:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(958);
      if (lookahead == '\r') ADVANCE(226);
      END_STATE();
    case 959:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(959);
      if (lookahead == '\r') ADVANCE(228);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(960);
      if (lookahead == '\r') ADVANCE(230);
      END_STATE();
    case 961:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(961);
      if (lookahead == '\r') ADVANCE(231);
      END_STATE();
    case 962:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(962);
      if (lookahead == '\r') ADVANCE(232);
      END_STATE();
    case 963:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(963);
      if (lookahead == '\r') ADVANCE(233);
      END_STATE();
    case 964:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(964);
      if (lookahead == '\r') ADVANCE(236);
      END_STATE();
    case 965:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(965);
      if (lookahead == '\r') ADVANCE(239);
      END_STATE();
    case 966:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(966);
      if (lookahead == '\r') ADVANCE(243);
      END_STATE();
    case 967:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(967);
      if (lookahead == '\r') ADVANCE(246);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(968);
      if (lookahead == '\r') ADVANCE(249);
      END_STATE();
    case 969:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(969);
      if (lookahead == '\r') ADVANCE(252);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(970);
      if (lookahead == '\r') ADVANCE(255);
      END_STATE();
    case 971:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(971);
      if (lookahead == '\r') ADVANCE(258);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(972);
      if (lookahead == '\r') ADVANCE(260);
      END_STATE();
    case 973:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(973);
      if (lookahead == '\r') ADVANCE(263);
      END_STATE();
    case 974:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(974);
      if (lookahead == '\r') ADVANCE(265);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(975);
      if (lookahead == '\r') ADVANCE(267);
      END_STATE();
    case 976:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(976);
      if (lookahead == '\r') ADVANCE(270);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(977);
      if (lookahead == '\r') ADVANCE(272);
      END_STATE();
    case 978:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(978);
      if (lookahead == '\r') ADVANCE(274);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(979);
      if (lookahead == '\r') ADVANCE(276);
      END_STATE();
    case 980:
      ACCEPT_TOKEN(aux_sym__terminator_token1);
      if (lookahead == '\n') ADVANCE(980);
      if (lookahead == '\r') ADVANCE(277);
      END_STATE();
    case 981:
      ACCEPT_TOKEN(anon_sym_SEMI2);
      END_STATE();
    case 982:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      END_STATE();
    case 983:
      ACCEPT_TOKEN(aux_sym_block_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(987);
      END_STATE();
    case 984:
      ACCEPT_TOKEN(aux_sym_line_comment_token1);
      if (lookahead == '=') ADVANCE(982);
      END_STATE();
    case 985:
      ACCEPT_TOKEN(aux_sym_line_comment_token1);
      if (lookahead == '=') ADVANCE(983);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(987);
      END_STATE();
    case 986:
      ACCEPT_TOKEN(aux_sym_line_comment_token2);
      if (lookahead == '#') ADVANCE(985);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(986);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(987);
      END_STATE();
    case 987:
      ACCEPT_TOKEN(aux_sym_line_comment_token2);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(987);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'e', 4,
        'f', 5,
        'g', 6,
        'i', 7,
        'l', 8,
        'm', 9,
        'o', 10,
        'p', 11,
        'q', 12,
        'r', 13,
        's', 14,
        't', 15,
        'u', 16,
        'w', 17,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'b') ADVANCE(18);
      END_STATE();
    case 2:
      if (lookahead == 'a') ADVANCE(19);
      if (lookahead == 'e') ADVANCE(20);
      if (lookahead == 'r') ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(22);
      END_STATE();
    case 4:
      if (lookahead == 'x') ADVANCE(23);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(24);
      if (lookahead == 'u') ADVANCE(25);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(26);
      END_STATE();
    case 7:
      if (lookahead == 'm') ADVANCE(27);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 9:
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead == 'u') ADVANCE(32);
      END_STATE();
    case 10:
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 12:
      if (lookahead == 'u') ADVANCE(36);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 14:
      if (lookahead == 't') ADVANCE(38);
      END_STATE();
    case 15:
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'y') ADVANCE(40);
      END_STATE();
    case 16:
      if (lookahead == 's') ADVANCE(41);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(42);
      END_STATE();
    case 18:
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(44);
      END_STATE();
    case 20:
      if (lookahead == 'g') ADVANCE(45);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(46);
      END_STATE();
    case 22:
      if (lookahead == 'n') ADVANCE(47);
      END_STATE();
    case 23:
      if (lookahead == 'p') ADVANCE(48);
      END_STATE();
    case 24:
      if (lookahead == 'l') ADVANCE(49);
      END_STATE();
    case 25:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 26:
      if (lookahead == 'o') ADVANCE(51);
      END_STATE();
    case 27:
      if (lookahead == 'p') ADVANCE(52);
      END_STATE();
    case 28:
      if (lookahead == 't') ADVANCE(53);
      END_STATE();
    case 29:
      if (lookahead == 'c') ADVANCE(54);
      END_STATE();
    case 30:
      if (lookahead == 'c') ADVANCE(55);
      END_STATE();
    case 31:
      if (lookahead == 'd') ADVANCE(56);
      END_STATE();
    case 32:
      if (lookahead == 't') ADVANCE(57);
      END_STATE();
    case 33:
      if (lookahead == 't') ADVANCE(58);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(59);
      END_STATE();
    case 35:
      if (lookahead == 'b') ADVANCE(60);
      END_STATE();
    case 36:
      if (lookahead == 'o') ADVANCE(61);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(62);
      END_STATE();
    case 38:
      if (lookahead == 'r') ADVANCE(63);
      END_STATE();
    case 39:
      if (lookahead == 'u') ADVANCE(64);
      if (lookahead == 'y') ADVANCE(65);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(66);
      END_STATE();
    case 41:
      if (lookahead == 'i') ADVANCE(67);
      END_STATE();
    case 42:
      if (lookahead == 'i') ADVANCE(68);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 45:
      if (lookahead == 'i') ADVANCE(71);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(72);
      END_STATE();
    case 47:
      if (lookahead == 's') ADVANCE(73);
      if (lookahead == 't') ADVANCE(74);
      END_STATE();
    case 48:
      if (lookahead == 'o') ADVANCE(75);
      END_STATE();
    case 49:
      if (lookahead == 's') ADVANCE(76);
      END_STATE();
    case 50:
      if (lookahead == 'c') ADVANCE(77);
      END_STATE();
    case 51:
      if (lookahead == 'b') ADVANCE(78);
      END_STATE();
    case 52:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(80);
      END_STATE();
    case 55:
      if (lookahead == 'r') ADVANCE(81);
      END_STATE();
    case 56:
      if (lookahead == 'u') ADVANCE(82);
      END_STATE();
    case 57:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 59:
      if (lookahead == 'm') ADVANCE(85);
      END_STATE();
    case 60:
      if (lookahead == 'l') ADVANCE(86);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 62:
      if (lookahead == 'u') ADVANCE(88);
      END_STATE();
    case 63:
      if (lookahead == 'u') ADVANCE(89);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(90);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 67:
      if (lookahead == 'n') ADVANCE(92);
      END_STATE();
    case 68:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 69:
      if (lookahead == 'r') ADVANCE(94);
      END_STATE();
    case 70:
      if (lookahead == 'm') ADVANCE(95);
      END_STATE();
    case 71:
      if (lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 72:
      if (lookahead == 'k') ADVANCE(97);
      END_STATE();
    case 73:
      if (lookahead == 't') ADVANCE(98);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(100);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 78:
      if (lookahead == 'a') ADVANCE(103);
      END_STATE();
    case 79:
      if (lookahead == 'r') ADVANCE(104);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(105);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(106);
      END_STATE();
    case 82:
      if (lookahead == 'l') ADVANCE(107);
      END_STATE();
    case 83:
      if (lookahead == 'b') ADVANCE(108);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(109);
      END_STATE();
    case 85:
      if (lookahead == 'i') ADVANCE(110);
      END_STATE();
    case 86:
      if (lookahead == 'i') ADVANCE(111);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 88:
      if (lookahead == 'r') ADVANCE(113);
      END_STATE();
    case 89:
      if (lookahead == 'c') ADVANCE(114);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 92:
      if (lookahead == 'g') ADVANCE(115);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(116);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(117);
      END_STATE();
    case 95:
      if (lookahead == 'o') ADVANCE(118);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_begin);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_break_statement);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 99:
      if (lookahead == 'n') ADVANCE(119);
      END_STATE();
    case 100:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 102:
      if (lookahead == 'i') ADVANCE(121);
      END_STATE();
    case 103:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_macro);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 108:
      if (lookahead == 'l') ADVANCE(125);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_outer);
      END_STATE();
    case 110:
      if (lookahead == 't') ADVANCE(126);
      END_STATE();
    case 111:
      if (lookahead == 'c') ADVANCE(127);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_quote);
      END_STATE();
    case 113:
      if (lookahead == 'n') ADVANCE(128);
      END_STATE();
    case 114:
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 117:
      if (lookahead == 'c') ADVANCE(130);
      END_STATE();
    case 118:
      if (lookahead == 'd') ADVANCE(131);
      END_STATE();
    case 119:
      if (lookahead == 'u') ADVANCE(132);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 121:
      if (lookahead == 'o') ADVANCE(133);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 126:
      if (lookahead == 'i') ADVANCE(135);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 130:
      if (lookahead == 't') ADVANCE(136);
      END_STATE();
    case 131:
      if (lookahead == 'u') ADVANCE(137);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 133:
      if (lookahead == 'n') ADVANCE(139);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 135:
      if (lookahead == 'v') ADVANCE(140);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 137:
      if (lookahead == 'l') ADVANCE(141);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_continue_statement);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(142);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(143);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_primitive);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_baremodule);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 571},
  [2] = {.lex_state = 510, .external_lex_state = 2},
  [3] = {.lex_state = 2, .external_lex_state = 2},
  [4] = {.lex_state = 4, .external_lex_state = 3},
  [5] = {.lex_state = 4, .external_lex_state = 3},
  [6] = {.lex_state = 8, .external_lex_state = 3},
  [7] = {.lex_state = 8, .external_lex_state = 3},
  [8] = {.lex_state = 8, .external_lex_state = 3},
  [9] = {.lex_state = 8, .external_lex_state = 3},
  [10] = {.lex_state = 4, .external_lex_state = 3},
  [11] = {.lex_state = 4, .external_lex_state = 3},
  [12] = {.lex_state = 237, .external_lex_state = 3},
  [13] = {.lex_state = 8, .external_lex_state = 3},
  [14] = {.lex_state = 12, .external_lex_state = 3},
  [15] = {.lex_state = 12, .external_lex_state = 3},
  [16] = {.lex_state = 312, .external_lex_state = 3},
  [17] = {.lex_state = 237, .external_lex_state = 3},
  [18] = {.lex_state = 4, .external_lex_state = 3},
  [19] = {.lex_state = 4, .external_lex_state = 3},
  [20] = {.lex_state = 8, .external_lex_state = 3},
  [21] = {.lex_state = 4, .external_lex_state = 3},
  [22] = {.lex_state = 4, .external_lex_state = 3},
  [23] = {.lex_state = 512, .external_lex_state = 3},
  [24] = {.lex_state = 512, .external_lex_state = 3},
  [25] = {.lex_state = 312, .external_lex_state = 3},
  [26] = {.lex_state = 312, .external_lex_state = 3},
  [27] = {.lex_state = 8, .external_lex_state = 3},
  [28] = {.lex_state = 17, .external_lex_state = 3},
  [29] = {.lex_state = 17, .external_lex_state = 3},
  [30] = {.lex_state = 17, .external_lex_state = 3},
  [31] = {.lex_state = 17, .external_lex_state = 3},
  [32] = {.lex_state = 8, .external_lex_state = 3},
  [33] = {.lex_state = 12, .external_lex_state = 3},
  [34] = {.lex_state = 12, .external_lex_state = 3},
  [35] = {.lex_state = 237, .external_lex_state = 3},
  [36] = {.lex_state = 237, .external_lex_state = 3},
  [37] = {.lex_state = 312, .external_lex_state = 3},
  [38] = {.lex_state = 17, .external_lex_state = 3},
  [39] = {.lex_state = 17, .external_lex_state = 3},
  [40] = {.lex_state = 17, .external_lex_state = 3},
  [41] = {.lex_state = 512, .external_lex_state = 3},
  [42] = {.lex_state = 512, .external_lex_state = 3},
  [43] = {.lex_state = 516, .external_lex_state = 3},
  [44] = {.lex_state = 516, .external_lex_state = 3},
  [45] = {.lex_state = 312, .external_lex_state = 3},
  [46] = {.lex_state = 312, .external_lex_state = 3},
  [47] = {.lex_state = 12, .external_lex_state = 3},
  [48] = {.lex_state = 17, .external_lex_state = 3},
  [49] = {.lex_state = 12, .external_lex_state = 3},
  [50] = {.lex_state = 237, .external_lex_state = 3},
  [51] = {.lex_state = 237, .external_lex_state = 3},
  [52] = {.lex_state = 12, .external_lex_state = 3},
  [53] = {.lex_state = 12, .external_lex_state = 3},
  [54] = {.lex_state = 237, .external_lex_state = 3},
  [55] = {.lex_state = 237, .external_lex_state = 3},
  [56] = {.lex_state = 512, .external_lex_state = 3},
  [57] = {.lex_state = 516, .external_lex_state = 3},
  [58] = {.lex_state = 516, .external_lex_state = 3},
  [59] = {.lex_state = 512, .external_lex_state = 3},
  [60] = {.lex_state = 312, .external_lex_state = 3},
  [61] = {.lex_state = 312, .external_lex_state = 3},
  [62] = {.lex_state = 312, .external_lex_state = 3},
  [63] = {.lex_state = 312, .external_lex_state = 3},
  [64] = {.lex_state = 312, .external_lex_state = 3},
  [65] = {.lex_state = 516, .external_lex_state = 3},
  [66] = {.lex_state = 516},
  [67] = {.lex_state = 8},
  [68] = {.lex_state = 8},
  [69] = {.lex_state = 8},
  [70] = {.lex_state = 516, .external_lex_state = 3},
  [71] = {.lex_state = 516, .external_lex_state = 3},
  [72] = {.lex_state = 516, .external_lex_state = 3},
  [73] = {.lex_state = 516},
  [74] = {.lex_state = 8},
  [75] = {.lex_state = 312, .external_lex_state = 3},
  [76] = {.lex_state = 312, .external_lex_state = 3},
  [77] = {.lex_state = 8},
  [78] = {.lex_state = 8},
  [79] = {.lex_state = 8},
  [80] = {.lex_state = 8},
  [81] = {.lex_state = 8},
  [82] = {.lex_state = 512, .external_lex_state = 3},
  [83] = {.lex_state = 312, .external_lex_state = 3},
  [84] = {.lex_state = 8},
  [85] = {.lex_state = 8},
  [86] = {.lex_state = 8},
  [87] = {.lex_state = 512, .external_lex_state = 3},
  [88] = {.lex_state = 318, .external_lex_state = 3},
  [89] = {.lex_state = 4},
  [90] = {.lex_state = 4},
  [91] = {.lex_state = 318, .external_lex_state = 3},
  [92] = {.lex_state = 312, .external_lex_state = 3},
  [93] = {.lex_state = 312, .external_lex_state = 3},
  [94] = {.lex_state = 8},
  [95] = {.lex_state = 4},
  [96] = {.lex_state = 23},
  [97] = {.lex_state = 8},
  [98] = {.lex_state = 8},
  [99] = {.lex_state = 8},
  [100] = {.lex_state = 4},
  [101] = {.lex_state = 23},
  [102] = {.lex_state = 318, .external_lex_state = 3},
  [103] = {.lex_state = 318, .external_lex_state = 3},
  [104] = {.lex_state = 516},
  [105] = {.lex_state = 8},
  [106] = {.lex_state = 4},
  [107] = {.lex_state = 296},
  [108] = {.lex_state = 4},
  [109] = {.lex_state = 512},
  [110] = {.lex_state = 296},
  [111] = {.lex_state = 312},
  [112] = {.lex_state = 312},
  [113] = {.lex_state = 8},
  [114] = {.lex_state = 17},
  [115] = {.lex_state = 17},
  [116] = {.lex_state = 12},
  [117] = {.lex_state = 512},
  [118] = {.lex_state = 296},
  [119] = {.lex_state = 237},
  [120] = {.lex_state = 8},
  [121] = {.lex_state = 318, .external_lex_state = 3},
  [122] = {.lex_state = 312},
  [123] = {.lex_state = 318, .external_lex_state = 3},
  [124] = {.lex_state = 4},
  [125] = {.lex_state = 12},
  [126] = {.lex_state = 4},
  [127] = {.lex_state = 17},
  [128] = {.lex_state = 12},
  [129] = {.lex_state = 237},
  [130] = {.lex_state = 237},
  [131] = {.lex_state = 296},
  [132] = {.lex_state = 296},
  [133] = {.lex_state = 8},
  [134] = {.lex_state = 8},
  [135] = {.lex_state = 12},
  [136] = {.lex_state = 296},
  [137] = {.lex_state = 4},
  [138] = {.lex_state = 296},
  [139] = {.lex_state = 12},
  [140] = {.lex_state = 296},
  [141] = {.lex_state = 237},
  [142] = {.lex_state = 296},
  [143] = {.lex_state = 296},
  [144] = {.lex_state = 318, .external_lex_state = 3},
  [145] = {.lex_state = 296},
  [146] = {.lex_state = 312, .external_lex_state = 3},
  [147] = {.lex_state = 312, .external_lex_state = 3},
  [148] = {.lex_state = 318, .external_lex_state = 3},
  [149] = {.lex_state = 296},
  [150] = {.lex_state = 296},
  [151] = {.lex_state = 237},
  [152] = {.lex_state = 296},
  [153] = {.lex_state = 312, .external_lex_state = 3},
  [154] = {.lex_state = 312, .external_lex_state = 3},
  [155] = {.lex_state = 8},
  [156] = {.lex_state = 296},
  [157] = {.lex_state = 296},
  [158] = {.lex_state = 296},
  [159] = {.lex_state = 516},
  [160] = {.lex_state = 296},
  [161] = {.lex_state = 296},
  [162] = {.lex_state = 296},
  [163] = {.lex_state = 296},
  [164] = {.lex_state = 296},
  [165] = {.lex_state = 296},
  [166] = {.lex_state = 296},
  [167] = {.lex_state = 296},
  [168] = {.lex_state = 296},
  [169] = {.lex_state = 296},
  [170] = {.lex_state = 296},
  [171] = {.lex_state = 296},
  [172] = {.lex_state = 296},
  [173] = {.lex_state = 296},
  [174] = {.lex_state = 296},
  [175] = {.lex_state = 296},
  [176] = {.lex_state = 296},
  [177] = {.lex_state = 296},
  [178] = {.lex_state = 296},
  [179] = {.lex_state = 296},
  [180] = {.lex_state = 296},
  [181] = {.lex_state = 296},
  [182] = {.lex_state = 296},
  [183] = {.lex_state = 296},
  [184] = {.lex_state = 296},
  [185] = {.lex_state = 296},
  [186] = {.lex_state = 296},
  [187] = {.lex_state = 296},
  [188] = {.lex_state = 296},
  [189] = {.lex_state = 296},
  [190] = {.lex_state = 296},
  [191] = {.lex_state = 296},
  [192] = {.lex_state = 296},
  [193] = {.lex_state = 296},
  [194] = {.lex_state = 296},
  [195] = {.lex_state = 296},
  [196] = {.lex_state = 296},
  [197] = {.lex_state = 296},
  [198] = {.lex_state = 296},
  [199] = {.lex_state = 296},
  [200] = {.lex_state = 296},
  [201] = {.lex_state = 296},
  [202] = {.lex_state = 4},
  [203] = {.lex_state = 296},
  [204] = {.lex_state = 512},
  [205] = {.lex_state = 12},
  [206] = {.lex_state = 237},
  [207] = {.lex_state = 8, .external_lex_state = 4},
  [208] = {.lex_state = 237},
  [209] = {.lex_state = 12},
  [210] = {.lex_state = 312},
  [211] = {.lex_state = 516},
  [212] = {.lex_state = 312},
  [213] = {.lex_state = 8},
  [214] = {.lex_state = 312},
  [215] = {.lex_state = 312},
  [216] = {.lex_state = 8, .external_lex_state = 4},
  [217] = {.lex_state = 8},
  [218] = {.lex_state = 8, .external_lex_state = 4},
  [219] = {.lex_state = 8, .external_lex_state = 4},
  [220] = {.lex_state = 8, .external_lex_state = 4},
  [221] = {.lex_state = 8, .external_lex_state = 4},
  [222] = {.lex_state = 17},
  [223] = {.lex_state = 8, .external_lex_state = 4},
  [224] = {.lex_state = 17},
  [225] = {.lex_state = 8, .external_lex_state = 4},
  [226] = {.lex_state = 8, .external_lex_state = 4},
  [227] = {.lex_state = 8, .external_lex_state = 4},
  [228] = {.lex_state = 8, .external_lex_state = 4},
  [229] = {.lex_state = 512},
  [230] = {.lex_state = 12},
  [231] = {.lex_state = 512},
  [232] = {.lex_state = 237},
  [233] = {.lex_state = 516},
  [234] = {.lex_state = 312, .external_lex_state = 3},
  [235] = {.lex_state = 312, .external_lex_state = 3},
  [236] = {.lex_state = 8},
  [237] = {.lex_state = 312},
  [238] = {.lex_state = 516},
  [239] = {.lex_state = 17},
  [240] = {.lex_state = 516},
  [241] = {.lex_state = 312, .external_lex_state = 3},
  [242] = {.lex_state = 312, .external_lex_state = 3},
  [243] = {.lex_state = 4},
  [244] = {.lex_state = 8, .external_lex_state = 4},
  [245] = {.lex_state = 4, .external_lex_state = 4},
  [246] = {.lex_state = 4, .external_lex_state = 4},
  [247] = {.lex_state = 8, .external_lex_state = 4},
  [248] = {.lex_state = 17},
  [249] = {.lex_state = 516},
  [250] = {.lex_state = 512},
  [251] = {.lex_state = 4},
  [252] = {.lex_state = 312},
  [253] = {.lex_state = 8, .external_lex_state = 4},
  [254] = {.lex_state = 12},
  [255] = {.lex_state = 237},
  [256] = {.lex_state = 8, .external_lex_state = 4},
  [257] = {.lex_state = 12},
  [258] = {.lex_state = 17},
  [259] = {.lex_state = 237},
  [260] = {.lex_state = 512},
  [261] = {.lex_state = 312},
  [262] = {.lex_state = 516},
  [263] = {.lex_state = 512},
  [264] = {.lex_state = 312, .external_lex_state = 3},
  [265] = {.lex_state = 312},
  [266] = {.lex_state = 512, .external_lex_state = 4},
  [267] = {.lex_state = 17, .external_lex_state = 4},
  [268] = {.lex_state = 4, .external_lex_state = 4},
  [269] = {.lex_state = 516},
  [270] = {.lex_state = 312, .external_lex_state = 4},
  [271] = {.lex_state = 312, .external_lex_state = 3},
  [272] = {.lex_state = 312},
  [273] = {.lex_state = 512},
  [274] = {.lex_state = 516},
  [275] = {.lex_state = 12},
  [276] = {.lex_state = 8, .external_lex_state = 4},
  [277] = {.lex_state = 17},
  [278] = {.lex_state = 17, .external_lex_state = 4},
  [279] = {.lex_state = 237},
  [280] = {.lex_state = 12, .external_lex_state = 4},
  [281] = {.lex_state = 516},
  [282] = {.lex_state = 312},
  [283] = {.lex_state = 312},
  [284] = {.lex_state = 237, .external_lex_state = 4},
  [285] = {.lex_state = 237},
  [286] = {.lex_state = 237, .external_lex_state = 4},
  [287] = {.lex_state = 8, .external_lex_state = 4},
  [288] = {.lex_state = 4, .external_lex_state = 4},
  [289] = {.lex_state = 516},
  [290] = {.lex_state = 17},
  [291] = {.lex_state = 12, .external_lex_state = 4},
  [292] = {.lex_state = 8, .external_lex_state = 4},
  [293] = {.lex_state = 312, .external_lex_state = 4},
  [294] = {.lex_state = 12},
  [295] = {.lex_state = 516, .external_lex_state = 4},
  [296] = {.lex_state = 516},
  [297] = {.lex_state = 312},
  [298] = {.lex_state = 312},
  [299] = {.lex_state = 516},
  [300] = {.lex_state = 516},
  [301] = {.lex_state = 516, .external_lex_state = 4},
  [302] = {.lex_state = 12, .external_lex_state = 4},
  [303] = {.lex_state = 516},
  [304] = {.lex_state = 8, .external_lex_state = 4},
  [305] = {.lex_state = 237, .external_lex_state = 4},
  [306] = {.lex_state = 516},
  [307] = {.lex_state = 516},
  [308] = {.lex_state = 318},
  [309] = {.lex_state = 516},
  [310] = {.lex_state = 516},
  [311] = {.lex_state = 516, .external_lex_state = 4},
  [312] = {.lex_state = 516},
  [313] = {.lex_state = 516},
  [314] = {.lex_state = 516, .external_lex_state = 4},
  [315] = {.lex_state = 516, .external_lex_state = 4},
  [316] = {.lex_state = 516, .external_lex_state = 4},
  [317] = {.lex_state = 516, .external_lex_state = 4},
  [318] = {.lex_state = 17, .external_lex_state = 4},
  [319] = {.lex_state = 516, .external_lex_state = 4},
  [320] = {.lex_state = 516, .external_lex_state = 4},
  [321] = {.lex_state = 516},
  [322] = {.lex_state = 516, .external_lex_state = 4},
  [323] = {.lex_state = 516, .external_lex_state = 4},
  [324] = {.lex_state = 516, .external_lex_state = 4},
  [325] = {.lex_state = 516, .external_lex_state = 4},
  [326] = {.lex_state = 512},
  [327] = {.lex_state = 516, .external_lex_state = 4},
  [328] = {.lex_state = 237, .external_lex_state = 4},
  [329] = {.lex_state = 516, .external_lex_state = 4},
  [330] = {.lex_state = 318},
  [331] = {.lex_state = 512, .external_lex_state = 4},
  [332] = {.lex_state = 516},
  [333] = {.lex_state = 312, .external_lex_state = 4},
  [334] = {.lex_state = 318},
  [335] = {.lex_state = 516},
  [336] = {.lex_state = 516},
  [337] = {.lex_state = 12, .external_lex_state = 4},
  [338] = {.lex_state = 17, .external_lex_state = 4},
  [339] = {.lex_state = 312, .external_lex_state = 4},
  [340] = {.lex_state = 312, .external_lex_state = 4},
  [341] = {.lex_state = 512, .external_lex_state = 4},
  [342] = {.lex_state = 312},
  [343] = {.lex_state = 516, .external_lex_state = 4},
  [344] = {.lex_state = 318},
  [345] = {.lex_state = 516, .external_lex_state = 4},
  [346] = {.lex_state = 312},
  [347] = {.lex_state = 312},
  [348] = {.lex_state = 312, .external_lex_state = 4},
  [349] = {.lex_state = 318},
  [350] = {.lex_state = 318},
  [351] = {.lex_state = 512, .external_lex_state = 4},
  [352] = {.lex_state = 318},
  [353] = {.lex_state = 318},
  [354] = {.lex_state = 312},
  [355] = {.lex_state = 312, .external_lex_state = 4},
  [356] = {.lex_state = 516, .external_lex_state = 4},
  [357] = {.lex_state = 512, .external_lex_state = 4},
  [358] = {.lex_state = 312, .external_lex_state = 4},
  [359] = {.lex_state = 512, .external_lex_state = 4},
  [360] = {.lex_state = 318},
  [361] = {.lex_state = 318, .external_lex_state = 4},
  [362] = {.lex_state = 318},
  [363] = {.lex_state = 312},
  [364] = {.lex_state = 312, .external_lex_state = 4},
  [365] = {.lex_state = 312},
  [366] = {.lex_state = 312},
  [367] = {.lex_state = 318, .external_lex_state = 4},
  [368] = {.lex_state = 516, .external_lex_state = 4},
  [369] = {.lex_state = 312, .external_lex_state = 4},
  [370] = {.lex_state = 312},
  [371] = {.lex_state = 312, .external_lex_state = 4},
  [372] = {.lex_state = 351},
  [373] = {.lex_state = 351},
  [374] = {.lex_state = 351},
  [375] = {.lex_state = 351},
  [376] = {.lex_state = 351},
  [377] = {.lex_state = 351},
  [378] = {.lex_state = 351},
  [379] = {.lex_state = 351},
  [380] = {.lex_state = 351},
  [381] = {.lex_state = 351},
  [382] = {.lex_state = 351},
  [383] = {.lex_state = 351},
  [384] = {.lex_state = 351},
  [385] = {.lex_state = 312},
  [386] = {.lex_state = 351},
  [387] = {.lex_state = 351},
  [388] = {.lex_state = 351},
  [389] = {.lex_state = 312, .external_lex_state = 4},
  [390] = {.lex_state = 351},
  [391] = {.lex_state = 318, .external_lex_state = 4},
  [392] = {.lex_state = 351},
  [393] = {.lex_state = 351},
  [394] = {.lex_state = 312, .external_lex_state = 4},
  [395] = {.lex_state = 312},
  [396] = {.lex_state = 351},
  [397] = {.lex_state = 312, .external_lex_state = 4},
  [398] = {.lex_state = 318, .external_lex_state = 4},
  [399] = {.lex_state = 351},
  [400] = {.lex_state = 318, .external_lex_state = 4},
  [401] = {.lex_state = 312, .external_lex_state = 4},
  [402] = {.lex_state = 351},
  [403] = {.lex_state = 351},
  [404] = {.lex_state = 351},
  [405] = {.lex_state = 312, .external_lex_state = 4},
  [406] = {.lex_state = 318, .external_lex_state = 4},
  [407] = {.lex_state = 312, .external_lex_state = 4},
  [408] = {.lex_state = 312, .external_lex_state = 4},
  [409] = {.lex_state = 312, .external_lex_state = 4},
  [410] = {.lex_state = 24},
  [411] = {.lex_state = 351},
  [412] = {.lex_state = 351},
  [413] = {.lex_state = 351},
  [414] = {.lex_state = 351},
  [415] = {.lex_state = 351},
  [416] = {.lex_state = 351},
  [417] = {.lex_state = 24},
  [418] = {.lex_state = 350},
  [419] = {.lex_state = 350},
  [420] = {.lex_state = 312, .external_lex_state = 4},
  [421] = {.lex_state = 351},
  [422] = {.lex_state = 351},
  [423] = {.lex_state = 350},
  [424] = {.lex_state = 24},
  [425] = {.lex_state = 350},
  [426] = {.lex_state = 350},
  [427] = {.lex_state = 24},
  [428] = {.lex_state = 350},
  [429] = {.lex_state = 350},
  [430] = {.lex_state = 24},
  [431] = {.lex_state = 350},
  [432] = {.lex_state = 350},
  [433] = {.lex_state = 24},
  [434] = {.lex_state = 350},
  [435] = {.lex_state = 350},
  [436] = {.lex_state = 24},
  [437] = {.lex_state = 350},
  [438] = {.lex_state = 350},
  [439] = {.lex_state = 24},
  [440] = {.lex_state = 350},
  [441] = {.lex_state = 350},
  [442] = {.lex_state = 351},
  [443] = {.lex_state = 350},
  [444] = {.lex_state = 350},
  [445] = {.lex_state = 24},
  [446] = {.lex_state = 350},
  [447] = {.lex_state = 350},
  [448] = {.lex_state = 24},
  [449] = {.lex_state = 350},
  [450] = {.lex_state = 350},
  [451] = {.lex_state = 24},
  [452] = {.lex_state = 350},
  [453] = {.lex_state = 350},
  [454] = {.lex_state = 351},
  [455] = {.lex_state = 351},
  [456] = {.lex_state = 351},
  [457] = {.lex_state = 24},
  [458] = {.lex_state = 350},
  [459] = {.lex_state = 25},
  [460] = {.lex_state = 25},
  [461] = {.lex_state = 351},
  [462] = {.lex_state = 25},
  [463] = {.lex_state = 25},
  [464] = {.lex_state = 354},
  [465] = {.lex_state = 25},
  [466] = {.lex_state = 351},
  [467] = {.lex_state = 354},
  [468] = {.lex_state = 25},
  [469] = {.lex_state = 25},
  [470] = {.lex_state = 25},
  [471] = {.lex_state = 25},
  [472] = {.lex_state = 25},
  [473] = {.lex_state = 26},
  [474] = {.lex_state = 25},
  [475] = {.lex_state = 25},
  [476] = {.lex_state = 354},
  [477] = {.lex_state = 25},
  [478] = {.lex_state = 25},
  [479] = {.lex_state = 25},
  [480] = {.lex_state = 25},
  [481] = {.lex_state = 25},
  [482] = {.lex_state = 25},
  [483] = {.lex_state = 25},
  [484] = {.lex_state = 25},
  [485] = {.lex_state = 25},
  [486] = {.lex_state = 25},
  [487] = {.lex_state = 25},
  [488] = {.lex_state = 25},
  [489] = {.lex_state = 354},
  [490] = {.lex_state = 350},
  [491] = {.lex_state = 350},
  [492] = {.lex_state = 350},
  [493] = {.lex_state = 349},
  [494] = {.lex_state = 350},
  [495] = {.lex_state = 351},
  [496] = {.lex_state = 27},
  [497] = {.lex_state = 350},
  [498] = {.lex_state = 350},
  [499] = {.lex_state = 351},
  [500] = {.lex_state = 351},
  [501] = {.lex_state = 351},
  [502] = {.lex_state = 354},
  [503] = {.lex_state = 350},
  [504] = {.lex_state = 350},
  [505] = {.lex_state = 354},
  [506] = {.lex_state = 350},
  [507] = {.lex_state = 350},
  [508] = {.lex_state = 350},
  [509] = {.lex_state = 349},
  [510] = {.lex_state = 354},
  [511] = {.lex_state = 28},
  [512] = {.lex_state = 352},
  [513] = {.lex_state = 352},
  [514] = {.lex_state = 350},
  [515] = {.lex_state = 354},
  [516] = {.lex_state = 353},
  [517] = {.lex_state = 353},
  [518] = {.lex_state = 353},
  [519] = {.lex_state = 353},
  [520] = {.lex_state = 353},
  [521] = {.lex_state = 353},
  [522] = {.lex_state = 353},
  [523] = {.lex_state = 353},
  [524] = {.lex_state = 353},
  [525] = {.lex_state = 353},
  [526] = {.lex_state = 353},
  [527] = {.lex_state = 571},
  [528] = {.lex_state = 571},
  [529] = {.lex_state = 353},
  [530] = {.lex_state = 353},
  [531] = {.lex_state = 353},
  [532] = {.lex_state = 353},
  [533] = {.lex_state = 571},
  [534] = {.lex_state = 571},
  [535] = {.lex_state = 353},
  [536] = {.lex_state = 353},
  [537] = {.lex_state = 353},
  [538] = {.lex_state = 25},
  [539] = {.lex_state = 25},
  [540] = {.lex_state = 25},
  [541] = {.lex_state = 25},
  [542] = {.lex_state = 25},
  [543] = {.lex_state = 353},
  [544] = {.lex_state = 25},
  [545] = {.lex_state = 353},
  [546] = {.lex_state = 353},
  [547] = {.lex_state = 25},
  [548] = {.lex_state = 25},
  [549] = {.lex_state = 25},
  [550] = {.lex_state = 25},
  [551] = {.lex_state = 353},
  [552] = {.lex_state = 353},
  [553] = {.lex_state = 353},
  [554] = {.lex_state = 353},
  [555] = {.lex_state = 25},
  [556] = {.lex_state = 353},
  [557] = {.lex_state = 353},
  [558] = {.lex_state = 353},
  [559] = {.lex_state = 353},
  [560] = {.lex_state = 353},
  [561] = {.lex_state = 353},
  [562] = {.lex_state = 353},
  [563] = {.lex_state = 353},
  [564] = {.lex_state = 353},
  [565] = {.lex_state = 353},
  [566] = {.lex_state = 571},
  [567] = {.lex_state = 353},
  [568] = {.lex_state = 353},
  [569] = {.lex_state = 353},
  [570] = {.lex_state = 353},
  [571] = {.lex_state = 353},
  [572] = {.lex_state = 353},
  [573] = {.lex_state = 353},
  [574] = {.lex_state = 353},
  [575] = {.lex_state = 353},
  [576] = {.lex_state = 25},
  [577] = {.lex_state = 353},
  [578] = {.lex_state = 353},
  [579] = {.lex_state = 353},
  [580] = {.lex_state = 571},
  [581] = {.lex_state = 571},
  [582] = {.lex_state = 353},
  [583] = {.lex_state = 353},
  [584] = {.lex_state = 353},
  [585] = {.lex_state = 353},
  [586] = {.lex_state = 571},
  [587] = {.lex_state = 353},
  [588] = {.lex_state = 353},
  [589] = {.lex_state = 25},
  [590] = {.lex_state = 354},
  [591] = {.lex_state = 353},
  [592] = {.lex_state = 25},
  [593] = {.lex_state = 25},
  [594] = {.lex_state = 25},
  [595] = {.lex_state = 353},
  [596] = {.lex_state = 25},
  [597] = {.lex_state = 25},
  [598] = {.lex_state = 25},
  [599] = {.lex_state = 25},
  [600] = {.lex_state = 353},
  [601] = {.lex_state = 353},
  [602] = {.lex_state = 25},
  [603] = {.lex_state = 25},
  [604] = {.lex_state = 353},
  [605] = {.lex_state = 353},
  [606] = {.lex_state = 353},
  [607] = {.lex_state = 25},
  [608] = {.lex_state = 25},
  [609] = {.lex_state = 353},
  [610] = {.lex_state = 353},
  [611] = {.lex_state = 353},
  [612] = {.lex_state = 353},
  [613] = {.lex_state = 353},
  [614] = {.lex_state = 353},
  [615] = {.lex_state = 353},
  [616] = {.lex_state = 353},
  [617] = {.lex_state = 353},
  [618] = {.lex_state = 353},
  [619] = {.lex_state = 571},
  [620] = {.lex_state = 353},
  [621] = {.lex_state = 353},
  [622] = {.lex_state = 353},
  [623] = {.lex_state = 353},
  [624] = {.lex_state = 353},
  [625] = {.lex_state = 353},
  [626] = {.lex_state = 353},
  [627] = {.lex_state = 353},
  [628] = {.lex_state = 353},
  [629] = {.lex_state = 353},
  [630] = {.lex_state = 353},
  [631] = {.lex_state = 353},
  [632] = {.lex_state = 571},
  [633] = {.lex_state = 571},
  [634] = {.lex_state = 353},
  [635] = {.lex_state = 353},
  [636] = {.lex_state = 353},
  [637] = {.lex_state = 353},
  [638] = {.lex_state = 571},
  [639] = {.lex_state = 353},
  [640] = {.lex_state = 25},
  [641] = {.lex_state = 353},
  [642] = {.lex_state = 25},
  [643] = {.lex_state = 25},
  [644] = {.lex_state = 25},
  [645] = {.lex_state = 25},
  [646] = {.lex_state = 353},
  [647] = {.lex_state = 353},
  [648] = {.lex_state = 353},
  [649] = {.lex_state = 353},
  [650] = {.lex_state = 353},
  [651] = {.lex_state = 353},
  [652] = {.lex_state = 25},
  [653] = {.lex_state = 353},
  [654] = {.lex_state = 353},
  [655] = {.lex_state = 353},
  [656] = {.lex_state = 353},
  [657] = {.lex_state = 353},
  [658] = {.lex_state = 353},
  [659] = {.lex_state = 353},
  [660] = {.lex_state = 25},
  [661] = {.lex_state = 353},
  [662] = {.lex_state = 353},
  [663] = {.lex_state = 353},
  [664] = {.lex_state = 571},
  [665] = {.lex_state = 353},
  [666] = {.lex_state = 353},
  [667] = {.lex_state = 353},
  [668] = {.lex_state = 353},
  [669] = {.lex_state = 353},
  [670] = {.lex_state = 353},
  [671] = {.lex_state = 353},
  [672] = {.lex_state = 353},
  [673] = {.lex_state = 353},
  [674] = {.lex_state = 353},
  [675] = {.lex_state = 353},
  [676] = {.lex_state = 353},
  [677] = {.lex_state = 353},
  [678] = {.lex_state = 571},
  [679] = {.lex_state = 571},
  [680] = {.lex_state = 353},
  [681] = {.lex_state = 353},
  [682] = {.lex_state = 353},
  [683] = {.lex_state = 353},
  [684] = {.lex_state = 571},
  [685] = {.lex_state = 353},
  [686] = {.lex_state = 353},
  [687] = {.lex_state = 25},
  [688] = {.lex_state = 353},
  [689] = {.lex_state = 25},
  [690] = {.lex_state = 25},
  [691] = {.lex_state = 25},
  [692] = {.lex_state = 25},
  [693] = {.lex_state = 353},
  [694] = {.lex_state = 353},
  [695] = {.lex_state = 353},
  [696] = {.lex_state = 353},
  [697] = {.lex_state = 353},
  [698] = {.lex_state = 353},
  [699] = {.lex_state = 25},
  [700] = {.lex_state = 353},
  [701] = {.lex_state = 353},
  [702] = {.lex_state = 353},
  [703] = {.lex_state = 353},
  [704] = {.lex_state = 353},
  [705] = {.lex_state = 353},
  [706] = {.lex_state = 353},
  [707] = {.lex_state = 353},
  [708] = {.lex_state = 353},
  [709] = {.lex_state = 353},
  [710] = {.lex_state = 353},
  [711] = {.lex_state = 571},
  [712] = {.lex_state = 353},
  [713] = {.lex_state = 353},
  [714] = {.lex_state = 353},
  [715] = {.lex_state = 353},
  [716] = {.lex_state = 353},
  [717] = {.lex_state = 353},
  [718] = {.lex_state = 353},
  [719] = {.lex_state = 353},
  [720] = {.lex_state = 353},
  [721] = {.lex_state = 353},
  [722] = {.lex_state = 353},
  [723] = {.lex_state = 353},
  [724] = {.lex_state = 571},
  [725] = {.lex_state = 571},
  [726] = {.lex_state = 353},
  [727] = {.lex_state = 353},
  [728] = {.lex_state = 353},
  [729] = {.lex_state = 353},
  [730] = {.lex_state = 571},
  [731] = {.lex_state = 353},
  [732] = {.lex_state = 353},
  [733] = {.lex_state = 353},
  [734] = {.lex_state = 25},
  [735] = {.lex_state = 353},
  [736] = {.lex_state = 25},
  [737] = {.lex_state = 25},
  [738] = {.lex_state = 25},
  [739] = {.lex_state = 25},
  [740] = {.lex_state = 353},
  [741] = {.lex_state = 353},
  [742] = {.lex_state = 571},
  [743] = {.lex_state = 353},
  [744] = {.lex_state = 353},
  [745] = {.lex_state = 25},
  [746] = {.lex_state = 353},
  [747] = {.lex_state = 353},
  [748] = {.lex_state = 353},
  [749] = {.lex_state = 353},
  [750] = {.lex_state = 353},
  [751] = {.lex_state = 353},
  [752] = {.lex_state = 353},
  [753] = {.lex_state = 353},
  [754] = {.lex_state = 353},
  [755] = {.lex_state = 571},
  [756] = {.lex_state = 353},
  [757] = {.lex_state = 353},
  [758] = {.lex_state = 353},
  [759] = {.lex_state = 353},
  [760] = {.lex_state = 353},
  [761] = {.lex_state = 353},
  [762] = {.lex_state = 353},
  [763] = {.lex_state = 353},
  [764] = {.lex_state = 353},
  [765] = {.lex_state = 353},
  [766] = {.lex_state = 353},
  [767] = {.lex_state = 353},
  [768] = {.lex_state = 571},
  [769] = {.lex_state = 571},
  [770] = {.lex_state = 353},
  [771] = {.lex_state = 353},
  [772] = {.lex_state = 353},
  [773] = {.lex_state = 353},
  [774] = {.lex_state = 571},
  [775] = {.lex_state = 353},
  [776] = {.lex_state = 353},
  [777] = {.lex_state = 353},
  [778] = {.lex_state = 25},
  [779] = {.lex_state = 353},
  [780] = {.lex_state = 25},
  [781] = {.lex_state = 25},
  [782] = {.lex_state = 25},
  [783] = {.lex_state = 25},
  [784] = {.lex_state = 353},
  [785] = {.lex_state = 353},
  [786] = {.lex_state = 353},
  [787] = {.lex_state = 353},
  [788] = {.lex_state = 353},
  [789] = {.lex_state = 353},
  [790] = {.lex_state = 353},
  [791] = {.lex_state = 25},
  [792] = {.lex_state = 353},
  [793] = {.lex_state = 353},
  [794] = {.lex_state = 353},
  [795] = {.lex_state = 353},
  [796] = {.lex_state = 353},
  [797] = {.lex_state = 353},
  [798] = {.lex_state = 353},
  [799] = {.lex_state = 353},
  [800] = {.lex_state = 353},
  [801] = {.lex_state = 353},
  [802] = {.lex_state = 353},
  [803] = {.lex_state = 571},
  [804] = {.lex_state = 353},
  [805] = {.lex_state = 353},
  [806] = {.lex_state = 353},
  [807] = {.lex_state = 353},
  [808] = {.lex_state = 353},
  [809] = {.lex_state = 353},
  [810] = {.lex_state = 353},
  [811] = {.lex_state = 353},
  [812] = {.lex_state = 353},
  [813] = {.lex_state = 353},
  [814] = {.lex_state = 353},
  [815] = {.lex_state = 353},
  [816] = {.lex_state = 353},
  [817] = {.lex_state = 571},
  [818] = {.lex_state = 571},
  [819] = {.lex_state = 353},
  [820] = {.lex_state = 353},
  [821] = {.lex_state = 353},
  [822] = {.lex_state = 353},
  [823] = {.lex_state = 571},
  [824] = {.lex_state = 353},
  [825] = {.lex_state = 25},
  [826] = {.lex_state = 353},
  [827] = {.lex_state = 25},
  [828] = {.lex_state = 25},
  [829] = {.lex_state = 25},
  [830] = {.lex_state = 25},
  [831] = {.lex_state = 353},
  [832] = {.lex_state = 353},
  [833] = {.lex_state = 353},
  [834] = {.lex_state = 353},
  [835] = {.lex_state = 353},
  [836] = {.lex_state = 353},
  [837] = {.lex_state = 25},
  [838] = {.lex_state = 353},
  [839] = {.lex_state = 353},
  [840] = {.lex_state = 353},
  [841] = {.lex_state = 353},
  [842] = {.lex_state = 353},
  [843] = {.lex_state = 353},
  [844] = {.lex_state = 353},
  [845] = {.lex_state = 571},
  [846] = {.lex_state = 353},
  [847] = {.lex_state = 571},
  [848] = {.lex_state = 353},
  [849] = {.lex_state = 571},
  [850] = {.lex_state = 353},
  [851] = {.lex_state = 353},
  [852] = {.lex_state = 353},
  [853] = {.lex_state = 353},
  [854] = {.lex_state = 353},
  [855] = {.lex_state = 353},
  [856] = {.lex_state = 353},
  [857] = {.lex_state = 353},
  [858] = {.lex_state = 353},
  [859] = {.lex_state = 353},
  [860] = {.lex_state = 353},
  [861] = {.lex_state = 353},
  [862] = {.lex_state = 571},
  [863] = {.lex_state = 571},
  [864] = {.lex_state = 353},
  [865] = {.lex_state = 353},
  [866] = {.lex_state = 353},
  [867] = {.lex_state = 571},
  [868] = {.lex_state = 353},
  [869] = {.lex_state = 353},
  [870] = {.lex_state = 353},
  [871] = {.lex_state = 25},
  [872] = {.lex_state = 353},
  [873] = {.lex_state = 25},
  [874] = {.lex_state = 25},
  [875] = {.lex_state = 25},
  [876] = {.lex_state = 25},
  [877] = {.lex_state = 353},
  [878] = {.lex_state = 353},
  [879] = {.lex_state = 353},
  [880] = {.lex_state = 571},
  [881] = {.lex_state = 353},
  [882] = {.lex_state = 353},
  [883] = {.lex_state = 25},
  [884] = {.lex_state = 353},
  [885] = {.lex_state = 353},
  [886] = {.lex_state = 353},
  [887] = {.lex_state = 353},
  [888] = {.lex_state = 353},
  [889] = {.lex_state = 353},
  [890] = {.lex_state = 353},
  [891] = {.lex_state = 353},
  [892] = {.lex_state = 353},
  [893] = {.lex_state = 25},
  [894] = {.lex_state = 353},
  [895] = {.lex_state = 571},
  [896] = {.lex_state = 353},
  [897] = {.lex_state = 353},
  [898] = {.lex_state = 353},
  [899] = {.lex_state = 353},
  [900] = {.lex_state = 353},
  [901] = {.lex_state = 353},
  [902] = {.lex_state = 353},
  [903] = {.lex_state = 353},
  [904] = {.lex_state = 353},
  [905] = {.lex_state = 353},
  [906] = {.lex_state = 353},
  [907] = {.lex_state = 353},
  [908] = {.lex_state = 353},
  [909] = {.lex_state = 571},
  [910] = {.lex_state = 571},
  [911] = {.lex_state = 353},
  [912] = {.lex_state = 353},
  [913] = {.lex_state = 353},
  [914] = {.lex_state = 353},
  [915] = {.lex_state = 571},
  [916] = {.lex_state = 353},
  [917] = {.lex_state = 350},
  [918] = {.lex_state = 25},
  [919] = {.lex_state = 353},
  [920] = {.lex_state = 25},
  [921] = {.lex_state = 25},
  [922] = {.lex_state = 25},
  [923] = {.lex_state = 25},
  [924] = {.lex_state = 353},
  [925] = {.lex_state = 353},
  [926] = {.lex_state = 353},
  [927] = {.lex_state = 353},
  [928] = {.lex_state = 353},
  [929] = {.lex_state = 25},
  [930] = {.lex_state = 353},
  [931] = {.lex_state = 353},
  [932] = {.lex_state = 353},
  [933] = {.lex_state = 353},
  [934] = {.lex_state = 353},
  [935] = {.lex_state = 353},
  [936] = {.lex_state = 353},
  [937] = {.lex_state = 350},
  [938] = {.lex_state = 350},
  [939] = {.lex_state = 353},
  [940] = {.lex_state = 353},
  [941] = {.lex_state = 571},
  [942] = {.lex_state = 353},
  [943] = {.lex_state = 353},
  [944] = {.lex_state = 353},
  [945] = {.lex_state = 353},
  [946] = {.lex_state = 353},
  [947] = {.lex_state = 353},
  [948] = {.lex_state = 353},
  [949] = {.lex_state = 353},
  [950] = {.lex_state = 353},
  [951] = {.lex_state = 353},
  [952] = {.lex_state = 353},
  [953] = {.lex_state = 353},
  [954] = {.lex_state = 571},
  [955] = {.lex_state = 571},
  [956] = {.lex_state = 353},
  [957] = {.lex_state = 353},
  [958] = {.lex_state = 353},
  [959] = {.lex_state = 353},
  [960] = {.lex_state = 571},
  [961] = {.lex_state = 571},
  [962] = {.lex_state = 350},
  [963] = {.lex_state = 571},
  [964] = {.lex_state = 571},
  [965] = {.lex_state = 571},
  [966] = {.lex_state = 571},
  [967] = {.lex_state = 571},
  [968] = {.lex_state = 571},
  [969] = {.lex_state = 571},
  [970] = {.lex_state = 571},
  [971] = {.lex_state = 571},
  [972] = {.lex_state = 571},
  [973] = {.lex_state = 571},
  [974] = {.lex_state = 571},
  [975] = {.lex_state = 571},
  [976] = {.lex_state = 571},
  [977] = {.lex_state = 571},
  [978] = {.lex_state = 571},
  [979] = {.lex_state = 353},
  [980] = {.lex_state = 571},
  [981] = {.lex_state = 571},
  [982] = {.lex_state = 571},
  [983] = {.lex_state = 571},
  [984] = {.lex_state = 571},
  [985] = {.lex_state = 571},
  [986] = {.lex_state = 571},
  [987] = {.lex_state = 571},
  [988] = {.lex_state = 571},
  [989] = {.lex_state = 571},
  [990] = {.lex_state = 571},
  [991] = {.lex_state = 571},
  [992] = {.lex_state = 571},
  [993] = {.lex_state = 571},
  [994] = {.lex_state = 571},
  [995] = {.lex_state = 571},
  [996] = {.lex_state = 571},
  [997] = {.lex_state = 571},
  [998] = {.lex_state = 571},
  [999] = {.lex_state = 571},
  [1000] = {.lex_state = 571},
  [1001] = {.lex_state = 571},
  [1002] = {.lex_state = 571},
  [1003] = {.lex_state = 571},
  [1004] = {.lex_state = 571},
  [1005] = {.lex_state = 571},
  [1006] = {.lex_state = 571},
  [1007] = {.lex_state = 571},
  [1008] = {.lex_state = 571},
  [1009] = {.lex_state = 571},
  [1010] = {.lex_state = 571},
  [1011] = {.lex_state = 571},
  [1012] = {.lex_state = 25},
  [1013] = {.lex_state = 571},
  [1014] = {.lex_state = 571},
  [1015] = {.lex_state = 571},
  [1016] = {.lex_state = 571},
  [1017] = {.lex_state = 353},
  [1018] = {.lex_state = 571},
  [1019] = {.lex_state = 571},
  [1020] = {.lex_state = 571},
  [1021] = {.lex_state = 571},
  [1022] = {.lex_state = 353},
  [1023] = {.lex_state = 571},
  [1024] = {.lex_state = 571},
  [1025] = {.lex_state = 571},
  [1026] = {.lex_state = 571},
  [1027] = {.lex_state = 571},
  [1028] = {.lex_state = 571},
  [1029] = {.lex_state = 571},
  [1030] = {.lex_state = 571},
  [1031] = {.lex_state = 571},
  [1032] = {.lex_state = 571},
  [1033] = {.lex_state = 571},
  [1034] = {.lex_state = 571},
  [1035] = {.lex_state = 571},
  [1036] = {.lex_state = 571},
  [1037] = {.lex_state = 571},
  [1038] = {.lex_state = 571},
  [1039] = {.lex_state = 353},
  [1040] = {.lex_state = 571},
  [1041] = {.lex_state = 571},
  [1042] = {.lex_state = 571},
  [1043] = {.lex_state = 571},
  [1044] = {.lex_state = 353},
  [1045] = {.lex_state = 571},
  [1046] = {.lex_state = 571},
  [1047] = {.lex_state = 571},
  [1048] = {.lex_state = 571},
  [1049] = {.lex_state = 353},
  [1050] = {.lex_state = 571},
  [1051] = {.lex_state = 571},
  [1052] = {.lex_state = 571},
  [1053] = {.lex_state = 571},
  [1054] = {.lex_state = 353},
  [1055] = {.lex_state = 571},
  [1056] = {.lex_state = 571},
  [1057] = {.lex_state = 571},
  [1058] = {.lex_state = 571},
  [1059] = {.lex_state = 571},
  [1060] = {.lex_state = 571},
  [1061] = {.lex_state = 571},
  [1062] = {.lex_state = 571},
  [1063] = {.lex_state = 353},
  [1064] = {.lex_state = 571},
  [1065] = {.lex_state = 571},
  [1066] = {.lex_state = 571},
  [1067] = {.lex_state = 571},
  [1068] = {.lex_state = 571},
  [1069] = {.lex_state = 571},
  [1070] = {.lex_state = 571},
  [1071] = {.lex_state = 571},
  [1072] = {.lex_state = 353},
  [1073] = {.lex_state = 571},
  [1074] = {.lex_state = 571},
  [1075] = {.lex_state = 571},
  [1076] = {.lex_state = 571},
  [1077] = {.lex_state = 571},
  [1078] = {.lex_state = 571},
  [1079] = {.lex_state = 571},
  [1080] = {.lex_state = 571},
  [1081] = {.lex_state = 353},
  [1082] = {.lex_state = 571},
  [1083] = {.lex_state = 571},
  [1084] = {.lex_state = 571},
  [1085] = {.lex_state = 571},
  [1086] = {.lex_state = 571},
  [1087] = {.lex_state = 571},
  [1088] = {.lex_state = 571},
  [1089] = {.lex_state = 571},
  [1090] = {.lex_state = 353},
  [1091] = {.lex_state = 571},
  [1092] = {.lex_state = 571},
  [1093] = {.lex_state = 571},
  [1094] = {.lex_state = 571},
  [1095] = {.lex_state = 571},
  [1096] = {.lex_state = 571},
  [1097] = {.lex_state = 571},
  [1098] = {.lex_state = 571},
  [1099] = {.lex_state = 571},
  [1100] = {.lex_state = 571},
  [1101] = {.lex_state = 571},
  [1102] = {.lex_state = 571},
  [1103] = {.lex_state = 353},
  [1104] = {.lex_state = 571},
  [1105] = {.lex_state = 571},
  [1106] = {.lex_state = 571},
  [1107] = {.lex_state = 571},
  [1108] = {.lex_state = 571},
  [1109] = {.lex_state = 571},
  [1110] = {.lex_state = 571},
  [1111] = {.lex_state = 571},
  [1112] = {.lex_state = 571},
  [1113] = {.lex_state = 571},
  [1114] = {.lex_state = 571},
  [1115] = {.lex_state = 571},
  [1116] = {.lex_state = 353},
  [1117] = {.lex_state = 571},
  [1118] = {.lex_state = 571},
  [1119] = {.lex_state = 571},
  [1120] = {.lex_state = 571},
  [1121] = {.lex_state = 571},
  [1122] = {.lex_state = 571},
  [1123] = {.lex_state = 571},
  [1124] = {.lex_state = 571},
  [1125] = {.lex_state = 349},
  [1126] = {.lex_state = 571},
  [1127] = {.lex_state = 571},
  [1128] = {.lex_state = 571},
  [1129] = {.lex_state = 571},
  [1130] = {.lex_state = 571},
  [1131] = {.lex_state = 571},
  [1132] = {.lex_state = 571},
  [1133] = {.lex_state = 571},
  [1134] = {.lex_state = 354},
  [1135] = {.lex_state = 571},
  [1136] = {.lex_state = 571},
  [1137] = {.lex_state = 571},
  [1138] = {.lex_state = 571},
  [1139] = {.lex_state = 349},
  [1140] = {.lex_state = 571},
  [1141] = {.lex_state = 571},
  [1142] = {.lex_state = 571},
  [1143] = {.lex_state = 571},
  [1144] = {.lex_state = 349},
  [1145] = {.lex_state = 571},
  [1146] = {.lex_state = 571},
  [1147] = {.lex_state = 571},
  [1148] = {.lex_state = 571},
  [1149] = {.lex_state = 571},
  [1150] = {.lex_state = 571},
  [1151] = {.lex_state = 571},
  [1152] = {.lex_state = 571},
  [1153] = {.lex_state = 353},
  [1154] = {.lex_state = 571},
  [1155] = {.lex_state = 571},
  [1156] = {.lex_state = 571},
  [1157] = {.lex_state = 571},
  [1158] = {.lex_state = 353},
  [1159] = {.lex_state = 571},
  [1160] = {.lex_state = 571},
  [1161] = {.lex_state = 571},
  [1162] = {.lex_state = 571},
  [1163] = {.lex_state = 349},
  [1164] = {.lex_state = 571},
  [1165] = {.lex_state = 571},
  [1166] = {.lex_state = 571},
  [1167] = {.lex_state = 571},
  [1168] = {.lex_state = 571},
  [1169] = {.lex_state = 571},
  [1170] = {.lex_state = 571},
  [1171] = {.lex_state = 571},
  [1172] = {.lex_state = 571},
  [1173] = {.lex_state = 571},
  [1174] = {.lex_state = 571},
  [1175] = {.lex_state = 571},
  [1176] = {.lex_state = 571},
  [1177] = {.lex_state = 571},
  [1178] = {.lex_state = 571},
  [1179] = {.lex_state = 571},
  [1180] = {.lex_state = 571},
  [1181] = {.lex_state = 571},
  [1182] = {.lex_state = 571},
  [1183] = {.lex_state = 571},
  [1184] = {.lex_state = 353},
  [1185] = {.lex_state = 353},
  [1186] = {.lex_state = 352},
  [1187] = {.lex_state = 571},
  [1188] = {.lex_state = 352},
  [1189] = {.lex_state = 352},
  [1190] = {.lex_state = 571},
  [1191] = {.lex_state = 352},
  [1192] = {.lex_state = 25},
  [1193] = {.lex_state = 353},
  [1194] = {.lex_state = 25},
  [1195] = {.lex_state = 25},
  [1196] = {.lex_state = 25},
  [1197] = {.lex_state = 25},
  [1198] = {.lex_state = 353},
  [1199] = {.lex_state = 353},
  [1200] = {.lex_state = 353},
  [1201] = {.lex_state = 353},
  [1202] = {.lex_state = 353},
  [1203] = {.lex_state = 353},
  [1204] = {.lex_state = 353},
  [1205] = {.lex_state = 25},
  [1206] = {.lex_state = 353},
  [1207] = {.lex_state = 353},
  [1208] = {.lex_state = 353},
  [1209] = {.lex_state = 353},
  [1210] = {.lex_state = 353},
  [1211] = {.lex_state = 353},
  [1212] = {.lex_state = 353},
  [1213] = {.lex_state = 351},
  [1214] = {.lex_state = 353},
  [1215] = {.lex_state = 353},
  [1216] = {.lex_state = 353},
  [1217] = {.lex_state = 571},
  [1218] = {.lex_state = 353},
  [1219] = {.lex_state = 353},
  [1220] = {.lex_state = 353},
  [1221] = {.lex_state = 353},
  [1222] = {.lex_state = 352},
  [1223] = {.lex_state = 571},
  [1224] = {.lex_state = 571},
  [1225] = {.lex_state = 354},
  [1226] = {.lex_state = 571},
  [1227] = {.lex_state = 571},
  [1228] = {.lex_state = 571},
  [1229] = {.lex_state = 571},
  [1230] = {.lex_state = 571},
  [1231] = {.lex_state = 347},
  [1232] = {.lex_state = 571},
  [1233] = {.lex_state = 571},
  [1234] = {.lex_state = 571},
  [1235] = {.lex_state = 571},
  [1236] = {.lex_state = 571},
  [1237] = {.lex_state = 347},
  [1238] = {.lex_state = 571},
  [1239] = {.lex_state = 571},
  [1240] = {.lex_state = 571},
  [1241] = {.lex_state = 571},
  [1242] = {.lex_state = 571},
  [1243] = {.lex_state = 571},
  [1244] = {.lex_state = 571},
  [1245] = {.lex_state = 347},
  [1246] = {.lex_state = 571},
  [1247] = {.lex_state = 571},
  [1248] = {.lex_state = 571},
  [1249] = {.lex_state = 347},
  [1250] = {.lex_state = 571},
  [1251] = {.lex_state = 351},
  [1252] = {.lex_state = 571},
  [1253] = {.lex_state = 571},
  [1254] = {.lex_state = 571},
  [1255] = {.lex_state = 571},
  [1256] = {.lex_state = 29},
  [1257] = {.lex_state = 571},
  [1258] = {.lex_state = 347},
  [1259] = {.lex_state = 571},
  [1260] = {.lex_state = 571},
  [1261] = {.lex_state = 347},
  [1262] = {.lex_state = 571},
  [1263] = {.lex_state = 571},
  [1264] = {.lex_state = 571},
  [1265] = {.lex_state = 571},
  [1266] = {.lex_state = 571},
  [1267] = {.lex_state = 571},
  [1268] = {.lex_state = 353},
  [1269] = {.lex_state = 571},
  [1270] = {.lex_state = 347},
  [1271] = {.lex_state = 571},
  [1272] = {.lex_state = 353},
  [1273] = {.lex_state = 571},
  [1274] = {.lex_state = 347},
  [1275] = {.lex_state = 571},
  [1276] = {.lex_state = 571},
  [1277] = {.lex_state = 571},
  [1278] = {.lex_state = 571},
  [1279] = {.lex_state = 571},
  [1280] = {.lex_state = 347},
  [1281] = {.lex_state = 349},
  [1282] = {.lex_state = 571},
  [1283] = {.lex_state = 571},
  [1284] = {.lex_state = 353},
  [1285] = {.lex_state = 347},
  [1286] = {.lex_state = 571},
  [1287] = {.lex_state = 571},
  [1288] = {.lex_state = 571},
  [1289] = {.lex_state = 351},
  [1290] = {.lex_state = 571},
  [1291] = {.lex_state = 354},
  [1292] = {.lex_state = 571},
  [1293] = {.lex_state = 571},
  [1294] = {.lex_state = 571},
  [1295] = {.lex_state = 347},
  [1296] = {.lex_state = 571},
  [1297] = {.lex_state = 347},
  [1298] = {.lex_state = 571},
  [1299] = {.lex_state = 29},
  [1300] = {.lex_state = 571},
  [1301] = {.lex_state = 571},
  [1302] = {.lex_state = 571},
  [1303] = {.lex_state = 571},
  [1304] = {.lex_state = 347},
  [1305] = {.lex_state = 571},
  [1306] = {.lex_state = 571},
  [1307] = {.lex_state = 571},
  [1308] = {.lex_state = 353},
  [1309] = {.lex_state = 571},
  [1310] = {.lex_state = 571},
  [1311] = {.lex_state = 347},
  [1312] = {.lex_state = 571},
  [1313] = {.lex_state = 571},
  [1314] = {.lex_state = 571},
  [1315] = {.lex_state = 571},
  [1316] = {.lex_state = 353},
  [1317] = {.lex_state = 347},
  [1318] = {.lex_state = 353},
  [1319] = {.lex_state = 571},
  [1320] = {.lex_state = 353},
  [1321] = {.lex_state = 571},
  [1322] = {.lex_state = 347},
  [1323] = {.lex_state = 347},
  [1324] = {.lex_state = 571},
  [1325] = {.lex_state = 347},
  [1326] = {.lex_state = 353},
  [1327] = {.lex_state = 571},
  [1328] = {.lex_state = 571},
  [1329] = {.lex_state = 353},
  [1330] = {.lex_state = 353},
  [1331] = {.lex_state = 347},
  [1332] = {.lex_state = 353},
  [1333] = {.lex_state = 347},
  [1334] = {.lex_state = 353},
  [1335] = {.lex_state = 571},
  [1336] = {.lex_state = 347},
  [1337] = {.lex_state = 353},
  [1338] = {.lex_state = 571},
  [1339] = {.lex_state = 353},
  [1340] = {.lex_state = 353},
  [1341] = {.lex_state = 353},
  [1342] = {.lex_state = 353},
  [1343] = {.lex_state = 347},
  [1344] = {.lex_state = 353},
  [1345] = {.lex_state = 571},
  [1346] = {.lex_state = 571},
  [1347] = {.lex_state = 353},
  [1348] = {.lex_state = 571},
  [1349] = {.lex_state = 571},
  [1350] = {.lex_state = 353},
  [1351] = {.lex_state = 353},
  [1352] = {.lex_state = 353},
  [1353] = {.lex_state = 347},
  [1354] = {.lex_state = 571},
  [1355] = {.lex_state = 347},
  [1356] = {.lex_state = 571},
  [1357] = {.lex_state = 571},
  [1358] = {.lex_state = 353},
  [1359] = {.lex_state = 347},
  [1360] = {.lex_state = 353},
  [1361] = {.lex_state = 571},
  [1362] = {.lex_state = 347},
  [1363] = {.lex_state = 353},
  [1364] = {.lex_state = 571},
  [1365] = {.lex_state = 353},
  [1366] = {.lex_state = 353},
  [1367] = {.lex_state = 353},
  [1368] = {.lex_state = 347},
  [1369] = {.lex_state = 353},
  [1370] = {.lex_state = 571},
  [1371] = {.lex_state = 347},
  [1372] = {.lex_state = 353},
  [1373] = {.lex_state = 353},
  [1374] = {.lex_state = 571},
  [1375] = {.lex_state = 353},
  [1376] = {.lex_state = 353},
  [1377] = {.lex_state = 347},
  [1378] = {.lex_state = 353},
  [1379] = {.lex_state = 347},
  [1380] = {.lex_state = 571},
  [1381] = {.lex_state = 347},
  [1382] = {.lex_state = 353},
  [1383] = {.lex_state = 571},
  [1384] = {.lex_state = 353},
  [1385] = {.lex_state = 353},
  [1386] = {.lex_state = 353},
  [1387] = {.lex_state = 347},
  [1388] = {.lex_state = 571},
  [1389] = {.lex_state = 347},
  [1390] = {.lex_state = 571},
  [1391] = {.lex_state = 347},
  [1392] = {.lex_state = 571},
  [1393] = {.lex_state = 571},
  [1394] = {.lex_state = 353},
  [1395] = {.lex_state = 353},
  [1396] = {.lex_state = 347},
  [1397] = {.lex_state = 347},
  [1398] = {.lex_state = 353},
  [1399] = {.lex_state = 571},
  [1400] = {.lex_state = 347},
  [1401] = {.lex_state = 353},
  [1402] = {.lex_state = 353},
  [1403] = {.lex_state = 571},
  [1404] = {.lex_state = 353},
  [1405] = {.lex_state = 353},
  [1406] = {.lex_state = 571},
  [1407] = {.lex_state = 347},
  [1408] = {.lex_state = 347},
  [1409] = {.lex_state = 571},
  [1410] = {.lex_state = 571},
  [1411] = {.lex_state = 347},
  [1412] = {.lex_state = 347},
  [1413] = {.lex_state = 353},
  [1414] = {.lex_state = 571},
  [1415] = {.lex_state = 353},
  [1416] = {.lex_state = 353},
  [1417] = {.lex_state = 353},
  [1418] = {.lex_state = 347},
  [1419] = {.lex_state = 353},
  [1420] = {.lex_state = 571},
  [1421] = {.lex_state = 347},
  [1422] = {.lex_state = 353},
  [1423] = {.lex_state = 571},
  [1424] = {.lex_state = 353},
  [1425] = {.lex_state = 353},
  [1426] = {.lex_state = 353},
  [1427] = {.lex_state = 353},
  [1428] = {.lex_state = 347},
  [1429] = {.lex_state = 353},
  [1430] = {.lex_state = 571},
  [1431] = {.lex_state = 347},
  [1432] = {.lex_state = 353},
  [1433] = {.lex_state = 571},
  [1434] = {.lex_state = 571},
  [1435] = {.lex_state = 353},
  [1436] = {.lex_state = 353},
  [1437] = {.lex_state = 571},
  [1438] = {.lex_state = 347},
  [1439] = {.lex_state = 353},
  [1440] = {.lex_state = 571},
  [1441] = {.lex_state = 347},
  [1442] = {.lex_state = 353},
  [1443] = {.lex_state = 353},
  [1444] = {.lex_state = 571},
  [1445] = {.lex_state = 353},
  [1446] = {.lex_state = 353},
  [1447] = {.lex_state = 571},
  [1448] = {.lex_state = 347},
  [1449] = {.lex_state = 353},
  [1450] = {.lex_state = 571},
  [1451] = {.lex_state = 347},
  [1452] = {.lex_state = 353},
  [1453] = {.lex_state = 571},
  [1454] = {.lex_state = 571},
  [1455] = {.lex_state = 353},
  [1456] = {.lex_state = 353},
  [1457] = {.lex_state = 347},
  [1458] = {.lex_state = 347},
  [1459] = {.lex_state = 353},
  [1460] = {.lex_state = 571},
  [1461] = {.lex_state = 347},
  [1462] = {.lex_state = 571},
  [1463] = {.lex_state = 353},
  [1464] = {.lex_state = 571},
  [1465] = {.lex_state = 353},
  [1466] = {.lex_state = 353},
  [1467] = {.lex_state = 353},
  [1468] = {.lex_state = 347},
  [1469] = {.lex_state = 353},
  [1470] = {.lex_state = 571},
  [1471] = {.lex_state = 347},
  [1472] = {.lex_state = 353},
  [1473] = {.lex_state = 571},
  [1474] = {.lex_state = 353},
  [1475] = {.lex_state = 353},
  [1476] = {.lex_state = 353},
  [1477] = {.lex_state = 353},
  [1478] = {.lex_state = 347},
  [1479] = {.lex_state = 571},
  [1480] = {.lex_state = 571},
  [1481] = {.lex_state = 347},
  [1482] = {.lex_state = 353},
  [1483] = {.lex_state = 353},
  [1484] = {.lex_state = 571},
  [1485] = {.lex_state = 353},
  [1486] = {.lex_state = 353},
  [1487] = {.lex_state = 571},
  [1488] = {.lex_state = 347},
  [1489] = {.lex_state = 347},
  [1490] = {.lex_state = 571},
  [1491] = {.lex_state = 347},
  [1492] = {.lex_state = 571},
  [1493] = {.lex_state = 571},
  [1494] = {.lex_state = 571},
  [1495] = {.lex_state = 353},
  [1496] = {.lex_state = 353},
  [1497] = {.lex_state = 347},
  [1498] = {.lex_state = 353},
  [1499] = {.lex_state = 571},
  [1500] = {.lex_state = 347},
  [1501] = {.lex_state = 347},
  [1502] = {.lex_state = 571},
  [1503] = {.lex_state = 353},
  [1504] = {.lex_state = 353},
  [1505] = {.lex_state = 353},
  [1506] = {.lex_state = 353},
  [1507] = {.lex_state = 347},
  [1508] = {.lex_state = 353},
  [1509] = {.lex_state = 571},
  [1510] = {.lex_state = 347},
  [1511] = {.lex_state = 353},
  [1512] = {.lex_state = 571},
  [1513] = {.lex_state = 571},
  [1514] = {.lex_state = 353},
  [1515] = {.lex_state = 353},
  [1516] = {.lex_state = 347},
  [1517] = {.lex_state = 353},
  [1518] = {.lex_state = 571},
  [1519] = {.lex_state = 347},
  [1520] = {.lex_state = 353},
  [1521] = {.lex_state = 353},
  [1522] = {.lex_state = 571},
  [1523] = {.lex_state = 353},
  [1524] = {.lex_state = 353},
  [1525] = {.lex_state = 353},
  [1526] = {.lex_state = 347},
  [1527] = {.lex_state = 347},
  [1528] = {.lex_state = 571},
  [1529] = {.lex_state = 347},
  [1530] = {.lex_state = 353},
  [1531] = {.lex_state = 571},
  [1532] = {.lex_state = 571},
  [1533] = {.lex_state = 353},
  [1534] = {.lex_state = 353},
  [1535] = {.lex_state = 347},
  [1536] = {.lex_state = 353},
  [1537] = {.lex_state = 347},
  [1538] = {.lex_state = 353},
  [1539] = {.lex_state = 571},
  [1540] = {.lex_state = 571},
  [1541] = {.lex_state = 347},
  [1542] = {.lex_state = 571},
  [1543] = {.lex_state = 353},
  [1544] = {.lex_state = 353},
  [1545] = {.lex_state = 353},
  [1546] = {.lex_state = 347},
  [1547] = {.lex_state = 353},
  [1548] = {.lex_state = 571},
  [1549] = {.lex_state = 353},
  [1550] = {.lex_state = 353},
  [1551] = {.lex_state = 571},
  [1552] = {.lex_state = 353},
  [1553] = {.lex_state = 353},
  [1554] = {.lex_state = 353},
  [1555] = {.lex_state = 347},
  [1556] = {.lex_state = 353},
  [1557] = {.lex_state = 571},
  [1558] = {.lex_state = 353},
  [1559] = {.lex_state = 353},
  [1560] = {.lex_state = 571},
  [1561] = {.lex_state = 353},
  [1562] = {.lex_state = 353},
  [1563] = {.lex_state = 353},
  [1564] = {.lex_state = 347},
  [1565] = {.lex_state = 353},
  [1566] = {.lex_state = 571},
  [1567] = {.lex_state = 353},
  [1568] = {.lex_state = 353},
  [1569] = {.lex_state = 571},
  [1570] = {.lex_state = 571},
  [1571] = {.lex_state = 353},
  [1572] = {.lex_state = 353},
  [1573] = {.lex_state = 347},
  [1574] = {.lex_state = 353},
  [1575] = {.lex_state = 571},
  [1576] = {.lex_state = 353},
  [1577] = {.lex_state = 353},
  [1578] = {.lex_state = 571},
  [1579] = {.lex_state = 571},
  [1580] = {.lex_state = 353},
  [1581] = {.lex_state = 347},
  [1582] = {.lex_state = 571},
  [1583] = {.lex_state = 571},
  [1584] = {.lex_state = 347},
  [1585] = {.lex_state = 571},
  [1586] = {.lex_state = 571},
  [1587] = {.lex_state = 347},
  [1588] = {.lex_state = 571},
  [1589] = {.lex_state = 353},
  [1590] = {.lex_state = 347},
  [1591] = {.lex_state = 353},
  [1592] = {.lex_state = 571},
  [1593] = {.lex_state = 353},
  [1594] = {.lex_state = 353},
  [1595] = {.lex_state = 571},
  [1596] = {.lex_state = 353},
  [1597] = {.lex_state = 353},
  [1598] = {.lex_state = 347},
  [1599] = {.lex_state = 571},
  [1600] = {.lex_state = 353},
  [1601] = {.lex_state = 353},
  [1602] = {.lex_state = 571},
  [1603] = {.lex_state = 571},
  [1604] = {.lex_state = 353},
  [1605] = {.lex_state = 347},
  [1606] = {.lex_state = 347},
  [1607] = {.lex_state = 571},
  [1608] = {.lex_state = 571},
  [1609] = {.lex_state = 353},
  [1610] = {.lex_state = 347},
  [1611] = {.lex_state = 571},
  [1612] = {.lex_state = 353},
  [1613] = {.lex_state = 353},
  [1614] = {.lex_state = 347},
  [1615] = {.lex_state = 353},
  [1616] = {.lex_state = 571},
  [1617] = {.lex_state = 571},
  [1618] = {.lex_state = 571},
  [1619] = {.lex_state = 353},
  [1620] = {.lex_state = 353},
  [1621] = {.lex_state = 347},
  [1622] = {.lex_state = 353},
  [1623] = {.lex_state = 571},
  [1624] = {.lex_state = 353},
  [1625] = {.lex_state = 353},
  [1626] = {.lex_state = 571},
  [1627] = {.lex_state = 353},
  [1628] = {.lex_state = 353},
  [1629] = {.lex_state = 353},
  [1630] = {.lex_state = 347},
  [1631] = {.lex_state = 353},
  [1632] = {.lex_state = 571},
  [1633] = {.lex_state = 353},
  [1634] = {.lex_state = 571},
  [1635] = {.lex_state = 571},
  [1636] = {.lex_state = 571},
  [1637] = {.lex_state = 353},
  [1638] = {.lex_state = 347},
  [1639] = {.lex_state = 353},
  [1640] = {.lex_state = 571},
  [1641] = {.lex_state = 353},
  [1642] = {.lex_state = 353},
  [1643] = {.lex_state = 571},
  [1644] = {.lex_state = 349},
  [1645] = {.lex_state = 353},
  [1646] = {.lex_state = 347},
  [1647] = {.lex_state = 353},
  [1648] = {.lex_state = 571},
  [1649] = {.lex_state = 353},
  [1650] = {.lex_state = 571},
  [1651] = {.lex_state = 571},
  [1652] = {.lex_state = 353},
  [1653] = {.lex_state = 350},
  [1654] = {.lex_state = 347},
  [1655] = {.lex_state = 353},
  [1656] = {.lex_state = 571},
  [1657] = {.lex_state = 571},
  [1658] = {.lex_state = 347},
  [1659] = {.lex_state = 571},
  [1660] = {.lex_state = 353},
  [1661] = {.lex_state = 347},
  [1662] = {.lex_state = 353},
  [1663] = {.lex_state = 571},
  [1664] = {.lex_state = 353},
  [1665] = {.lex_state = 353},
  [1666] = {.lex_state = 571},
  [1667] = {.lex_state = 353},
  [1668] = {.lex_state = 353},
  [1669] = {.lex_state = 353},
  [1670] = {.lex_state = 347},
  [1671] = {.lex_state = 353},
  [1672] = {.lex_state = 571},
  [1673] = {.lex_state = 353},
  [1674] = {.lex_state = 571},
  [1675] = {.lex_state = 353},
  [1676] = {.lex_state = 349},
  [1677] = {.lex_state = 353},
  [1678] = {.lex_state = 347},
  [1679] = {.lex_state = 353},
  [1680] = {.lex_state = 571},
  [1681] = {.lex_state = 353},
  [1682] = {.lex_state = 571},
  [1683] = {.lex_state = 571},
  [1684] = {.lex_state = 353},
  [1685] = {.lex_state = 347},
  [1686] = {.lex_state = 350},
  [1687] = {.lex_state = 571},
  [1688] = {.lex_state = 353},
  [1689] = {.lex_state = 571},
  [1690] = {.lex_state = 571},
  [1691] = {.lex_state = 571},
  [1692] = {.lex_state = 347},
  [1693] = {.lex_state = 347},
  [1694] = {.lex_state = 571},
  [1695] = {.lex_state = 353},
  [1696] = {.lex_state = 571},
  [1697] = {.lex_state = 571},
  [1698] = {.lex_state = 353},
  [1699] = {.lex_state = 347},
  [1700] = {.lex_state = 353},
  [1701] = {.lex_state = 347},
  [1702] = {.lex_state = 353},
  [1703] = {.lex_state = 571},
  [1704] = {.lex_state = 353},
  [1705] = {.lex_state = 353},
  [1706] = {.lex_state = 571},
  [1707] = {.lex_state = 353},
  [1708] = {.lex_state = 571},
  [1709] = {.lex_state = 353},
  [1710] = {.lex_state = 347},
  [1711] = {.lex_state = 353},
  [1712] = {.lex_state = 571},
  [1713] = {.lex_state = 353},
  [1714] = {.lex_state = 571},
  [1715] = {.lex_state = 353},
  [1716] = {.lex_state = 353},
  [1717] = {.lex_state = 347},
  [1718] = {.lex_state = 353},
  [1719] = {.lex_state = 571},
  [1720] = {.lex_state = 353},
  [1721] = {.lex_state = 571},
  [1722] = {.lex_state = 571},
  [1723] = {.lex_state = 347},
  [1724] = {.lex_state = 347},
  [1725] = {.lex_state = 571},
  [1726] = {.lex_state = 571},
  [1727] = {.lex_state = 571},
  [1728] = {.lex_state = 571},
  [1729] = {.lex_state = 353},
  [1730] = {.lex_state = 353},
  [1731] = {.lex_state = 347},
  [1732] = {.lex_state = 571},
  [1733] = {.lex_state = 353},
  [1734] = {.lex_state = 353},
  [1735] = {.lex_state = 571},
  [1736] = {.lex_state = 353},
  [1737] = {.lex_state = 571},
  [1738] = {.lex_state = 353},
  [1739] = {.lex_state = 353},
  [1740] = {.lex_state = 571},
  [1741] = {.lex_state = 353},
  [1742] = {.lex_state = 352},
  [1743] = {.lex_state = 353},
  [1744] = {.lex_state = 571},
  [1745] = {.lex_state = 352},
  [1746] = {.lex_state = 347},
  [1747] = {.lex_state = 571},
  [1748] = {.lex_state = 571},
  [1749] = {.lex_state = 571},
  [1750] = {.lex_state = 353},
  [1751] = {.lex_state = 571},
  [1752] = {.lex_state = 571},
  [1753] = {.lex_state = 347},
  [1754] = {.lex_state = 353},
  [1755] = {.lex_state = 353},
  [1756] = {.lex_state = 353},
  [1757] = {.lex_state = 571},
  [1758] = {.lex_state = 353},
  [1759] = {.lex_state = 353},
  [1760] = {.lex_state = 353},
  [1761] = {.lex_state = 571},
  [1762] = {.lex_state = 353},
  [1763] = {.lex_state = 353},
  [1764] = {.lex_state = 353},
  [1765] = {.lex_state = 571},
  [1766] = {.lex_state = 347},
  [1767] = {.lex_state = 571},
  [1768] = {.lex_state = 347},
  [1769] = {.lex_state = 353},
  [1770] = {.lex_state = 353},
  [1771] = {.lex_state = 353},
  [1772] = {.lex_state = 571},
  [1773] = {.lex_state = 353},
  [1774] = {.lex_state = 347},
  [1775] = {.lex_state = 353},
  [1776] = {.lex_state = 353},
  [1777] = {.lex_state = 353},
  [1778] = {.lex_state = 353},
  [1779] = {.lex_state = 571},
  [1780] = {.lex_state = 353},
  [1781] = {.lex_state = 353},
  [1782] = {.lex_state = 347},
  [1783] = {.lex_state = 353},
  [1784] = {.lex_state = 353},
  [1785] = {.lex_state = 571},
  [1786] = {.lex_state = 353},
  [1787] = {.lex_state = 353},
  [1788] = {.lex_state = 571},
  [1789] = {.lex_state = 347},
  [1790] = {.lex_state = 347},
  [1791] = {.lex_state = 353},
  [1792] = {.lex_state = 353},
  [1793] = {.lex_state = 347},
  [1794] = {.lex_state = 29},
  [1795] = {.lex_state = 571},
  [1796] = {.lex_state = 571},
  [1797] = {.lex_state = 571},
  [1798] = {.lex_state = 571},
  [1799] = {.lex_state = 571},
  [1800] = {.lex_state = 353},
  [1801] = {.lex_state = 571},
  [1802] = {.lex_state = 571},
  [1803] = {.lex_state = 571},
  [1804] = {.lex_state = 571},
  [1805] = {.lex_state = 571},
  [1806] = {.lex_state = 571},
  [1807] = {.lex_state = 571},
  [1808] = {.lex_state = 571},
  [1809] = {.lex_state = 353},
  [1810] = {.lex_state = 571},
  [1811] = {.lex_state = 571},
  [1812] = {.lex_state = 571},
  [1813] = {.lex_state = 571},
  [1814] = {.lex_state = 571},
  [1815] = {.lex_state = 571},
  [1816] = {.lex_state = 571},
  [1817] = {.lex_state = 571},
  [1818] = {.lex_state = 571},
  [1819] = {.lex_state = 571},
  [1820] = {.lex_state = 571},
  [1821] = {.lex_state = 571},
  [1822] = {.lex_state = 571},
  [1823] = {.lex_state = 571},
  [1824] = {.lex_state = 571},
  [1825] = {.lex_state = 571},
  [1826] = {.lex_state = 571},
  [1827] = {.lex_state = 571},
  [1828] = {.lex_state = 571},
  [1829] = {.lex_state = 571},
  [1830] = {.lex_state = 571},
  [1831] = {.lex_state = 571},
  [1832] = {.lex_state = 571},
  [1833] = {.lex_state = 29},
  [1834] = {.lex_state = 571},
  [1835] = {.lex_state = 571},
  [1836] = {.lex_state = 571},
  [1837] = {.lex_state = 571},
  [1838] = {.lex_state = 571},
  [1839] = {.lex_state = 571},
  [1840] = {.lex_state = 571},
  [1841] = {.lex_state = 571},
  [1842] = {.lex_state = 571},
  [1843] = {.lex_state = 571},
  [1844] = {.lex_state = 571},
  [1845] = {.lex_state = 571},
  [1846] = {.lex_state = 571},
  [1847] = {.lex_state = 571},
  [1848] = {.lex_state = 571},
  [1849] = {.lex_state = 571},
  [1850] = {.lex_state = 571},
  [1851] = {.lex_state = 571},
  [1852] = {.lex_state = 571},
  [1853] = {.lex_state = 571},
  [1854] = {.lex_state = 571},
  [1855] = {.lex_state = 571},
  [1856] = {.lex_state = 571},
  [1857] = {.lex_state = 29},
  [1858] = {.lex_state = 571},
  [1859] = {.lex_state = 571},
  [1860] = {.lex_state = 571},
  [1861] = {.lex_state = 571},
  [1862] = {.lex_state = 29},
  [1863] = {.lex_state = 571},
  [1864] = {.lex_state = 571},
  [1865] = {.lex_state = 571},
  [1866] = {.lex_state = 571},
  [1867] = {.lex_state = 571},
  [1868] = {.lex_state = 571},
  [1869] = {.lex_state = 571},
  [1870] = {.lex_state = 571},
  [1871] = {.lex_state = 571},
  [1872] = {.lex_state = 29},
  [1873] = {.lex_state = 571},
  [1874] = {.lex_state = 571},
  [1875] = {.lex_state = 571},
  [1876] = {.lex_state = 571},
  [1877] = {.lex_state = 29},
  [1878] = {.lex_state = 29},
  [1879] = {.lex_state = 571},
  [1880] = {.lex_state = 571},
  [1881] = {.lex_state = 571},
  [1882] = {.lex_state = 571},
  [1883] = {.lex_state = 29},
  [1884] = {.lex_state = 29},
  [1885] = {.lex_state = 571},
  [1886] = {.lex_state = 571},
  [1887] = {.lex_state = 29},
  [1888] = {.lex_state = 571},
  [1889] = {.lex_state = 571},
  [1890] = {.lex_state = 571},
  [1891] = {.lex_state = 571},
  [1892] = {.lex_state = 571},
  [1893] = {.lex_state = 571},
  [1894] = {.lex_state = 571},
  [1895] = {.lex_state = 29},
  [1896] = {.lex_state = 29},
  [1897] = {.lex_state = 571},
  [1898] = {.lex_state = 571},
  [1899] = {.lex_state = 571},
  [1900] = {.lex_state = 571},
  [1901] = {.lex_state = 29},
  [1902] = {.lex_state = 29},
  [1903] = {.lex_state = 571},
  [1904] = {.lex_state = 571},
  [1905] = {.lex_state = 571},
  [1906] = {.lex_state = 571},
  [1907] = {.lex_state = 29},
  [1908] = {.lex_state = 29},
  [1909] = {.lex_state = 571},
  [1910] = {.lex_state = 571},
  [1911] = {.lex_state = 571},
  [1912] = {.lex_state = 571},
  [1913] = {.lex_state = 29},
  [1914] = {.lex_state = 29},
  [1915] = {.lex_state = 571},
  [1916] = {.lex_state = 571},
  [1917] = {.lex_state = 571},
  [1918] = {.lex_state = 571},
  [1919] = {.lex_state = 29},
  [1920] = {.lex_state = 29},
  [1921] = {.lex_state = 571},
  [1922] = {.lex_state = 571},
  [1923] = {.lex_state = 571},
  [1924] = {.lex_state = 571},
  [1925] = {.lex_state = 29},
  [1926] = {.lex_state = 29},
  [1927] = {.lex_state = 571},
  [1928] = {.lex_state = 571},
  [1929] = {.lex_state = 571},
  [1930] = {.lex_state = 571},
  [1931] = {.lex_state = 29},
  [1932] = {.lex_state = 29},
  [1933] = {.lex_state = 29},
  [1934] = {.lex_state = 29},
  [1935] = {.lex_state = 29},
  [1936] = {.lex_state = 29},
  [1937] = {.lex_state = 29},
  [1938] = {.lex_state = 29},
  [1939] = {.lex_state = 29},
  [1940] = {.lex_state = 29},
  [1941] = {.lex_state = 29},
  [1942] = {.lex_state = 29},
  [1943] = {.lex_state = 29},
  [1944] = {.lex_state = 29},
  [1945] = {.lex_state = 29},
  [1946] = {.lex_state = 29},
  [1947] = {.lex_state = 29},
  [1948] = {.lex_state = 29},
  [1949] = {.lex_state = 29},
  [1950] = {.lex_state = 29},
  [1951] = {.lex_state = 29},
  [1952] = {.lex_state = 29},
  [1953] = {.lex_state = 29},
  [1954] = {.lex_state = 29},
  [1955] = {.lex_state = 29},
  [1956] = {.lex_state = 29},
  [1957] = {.lex_state = 571},
  [1958] = {.lex_state = 571},
  [1959] = {.lex_state = 571},
  [1960] = {.lex_state = 571},
  [1961] = {.lex_state = 571},
  [1962] = {.lex_state = 571},
  [1963] = {.lex_state = 571},
  [1964] = {.lex_state = 571},
  [1965] = {.lex_state = 571},
  [1966] = {.lex_state = 571},
  [1967] = {.lex_state = 571},
  [1968] = {.lex_state = 571},
  [1969] = {.lex_state = 571},
  [1970] = {.lex_state = 571},
  [1971] = {.lex_state = 571},
  [1972] = {.lex_state = 571},
  [1973] = {.lex_state = 571},
  [1974] = {.lex_state = 29},
  [1975] = {.lex_state = 571},
  [1976] = {.lex_state = 571},
  [1977] = {.lex_state = 571},
  [1978] = {.lex_state = 571},
  [1979] = {.lex_state = 571},
  [1980] = {.lex_state = 571},
  [1981] = {.lex_state = 571},
  [1982] = {.lex_state = 571},
  [1983] = {.lex_state = 571},
  [1984] = {.lex_state = 571},
  [1985] = {.lex_state = 571},
  [1986] = {.lex_state = 571},
  [1987] = {.lex_state = 571},
  [1988] = {.lex_state = 571},
  [1989] = {.lex_state = 571},
  [1990] = {.lex_state = 571},
  [1991] = {.lex_state = 571},
  [1992] = {.lex_state = 571},
  [1993] = {.lex_state = 571},
  [1994] = {.lex_state = 571},
  [1995] = {.lex_state = 571},
  [1996] = {.lex_state = 571},
  [1997] = {.lex_state = 571},
  [1998] = {.lex_state = 571},
  [1999] = {.lex_state = 571},
  [2000] = {.lex_state = 571},
  [2001] = {.lex_state = 571},
  [2002] = {.lex_state = 571},
  [2003] = {.lex_state = 571},
  [2004] = {.lex_state = 571},
  [2005] = {.lex_state = 571},
  [2006] = {.lex_state = 571},
  [2007] = {.lex_state = 571},
  [2008] = {.lex_state = 571},
  [2009] = {.lex_state = 571},
  [2010] = {.lex_state = 571},
  [2011] = {.lex_state = 571},
  [2012] = {.lex_state = 571},
  [2013] = {.lex_state = 571},
  [2014] = {.lex_state = 571},
  [2015] = {.lex_state = 571},
  [2016] = {.lex_state = 571},
  [2017] = {.lex_state = 571},
  [2018] = {.lex_state = 571},
  [2019] = {.lex_state = 571},
  [2020] = {.lex_state = 571},
  [2021] = {.lex_state = 571},
  [2022] = {.lex_state = 571},
  [2023] = {.lex_state = 571},
  [2024] = {.lex_state = 571},
  [2025] = {.lex_state = 571},
  [2026] = {.lex_state = 571},
  [2027] = {.lex_state = 571},
  [2028] = {.lex_state = 571},
  [2029] = {.lex_state = 571},
  [2030] = {.lex_state = 571},
  [2031] = {.lex_state = 571},
  [2032] = {.lex_state = 571},
  [2033] = {.lex_state = 571},
  [2034] = {.lex_state = 571},
  [2035] = {.lex_state = 571},
  [2036] = {.lex_state = 571},
  [2037] = {.lex_state = 571},
  [2038] = {.lex_state = 571},
  [2039] = {.lex_state = 571},
  [2040] = {.lex_state = 571},
  [2041] = {.lex_state = 571},
  [2042] = {.lex_state = 571},
  [2043] = {.lex_state = 571},
  [2044] = {.lex_state = 571},
  [2045] = {.lex_state = 571},
  [2046] = {.lex_state = 571},
  [2047] = {.lex_state = 571},
  [2048] = {.lex_state = 571},
  [2049] = {.lex_state = 571},
  [2050] = {.lex_state = 571},
  [2051] = {.lex_state = 571},
  [2052] = {.lex_state = 571},
  [2053] = {.lex_state = 571},
  [2054] = {.lex_state = 571},
  [2055] = {.lex_state = 571},
  [2056] = {.lex_state = 571},
  [2057] = {.lex_state = 571},
  [2058] = {.lex_state = 571},
  [2059] = {.lex_state = 571},
  [2060] = {.lex_state = 571},
  [2061] = {.lex_state = 571},
  [2062] = {.lex_state = 571},
  [2063] = {.lex_state = 571},
  [2064] = {.lex_state = 571},
  [2065] = {.lex_state = 571},
  [2066] = {.lex_state = 571},
  [2067] = {.lex_state = 571},
  [2068] = {.lex_state = 571},
  [2069] = {.lex_state = 571},
  [2070] = {.lex_state = 571},
  [2071] = {.lex_state = 571},
  [2072] = {.lex_state = 571},
  [2073] = {.lex_state = 571},
  [2074] = {.lex_state = 571},
  [2075] = {.lex_state = 571},
  [2076] = {.lex_state = 571},
  [2077] = {.lex_state = 571},
  [2078] = {.lex_state = 571},
  [2079] = {.lex_state = 571},
  [2080] = {.lex_state = 571},
  [2081] = {.lex_state = 571},
  [2082] = {.lex_state = 571},
  [2083] = {.lex_state = 571},
  [2084] = {.lex_state = 571},
  [2085] = {.lex_state = 571},
  [2086] = {.lex_state = 571},
  [2087] = {.lex_state = 571},
  [2088] = {.lex_state = 571},
  [2089] = {.lex_state = 571},
  [2090] = {.lex_state = 571},
  [2091] = {.lex_state = 571},
  [2092] = {.lex_state = 571},
  [2093] = {.lex_state = 571},
  [2094] = {.lex_state = 571},
  [2095] = {.lex_state = 571},
  [2096] = {.lex_state = 571},
  [2097] = {.lex_state = 571},
  [2098] = {.lex_state = 571},
  [2099] = {.lex_state = 571},
  [2100] = {.lex_state = 571},
  [2101] = {.lex_state = 571},
  [2102] = {.lex_state = 571},
  [2103] = {.lex_state = 571},
  [2104] = {.lex_state = 571},
  [2105] = {.lex_state = 571},
  [2106] = {.lex_state = 571},
  [2107] = {.lex_state = 571},
  [2108] = {.lex_state = 571},
  [2109] = {.lex_state = 571},
  [2110] = {.lex_state = 571},
  [2111] = {.lex_state = 571},
  [2112] = {.lex_state = 571},
  [2113] = {.lex_state = 571},
  [2114] = {.lex_state = 571},
  [2115] = {.lex_state = 571},
  [2116] = {.lex_state = 571},
  [2117] = {.lex_state = 571},
  [2118] = {.lex_state = 571},
  [2119] = {.lex_state = 571},
  [2120] = {.lex_state = 571},
  [2121] = {.lex_state = 571},
  [2122] = {.lex_state = 571},
  [2123] = {.lex_state = 571},
  [2124] = {.lex_state = 571},
  [2125] = {.lex_state = 571},
  [2126] = {.lex_state = 571},
  [2127] = {.lex_state = 571},
  [2128] = {.lex_state = 571},
  [2129] = {.lex_state = 571},
  [2130] = {.lex_state = 571},
  [2131] = {.lex_state = 571},
  [2132] = {.lex_state = 571},
  [2133] = {.lex_state = 571},
  [2134] = {.lex_state = 571},
  [2135] = {.lex_state = 571},
  [2136] = {.lex_state = 571},
  [2137] = {.lex_state = 571},
  [2138] = {.lex_state = 571},
  [2139] = {.lex_state = 571},
  [2140] = {.lex_state = 571},
  [2141] = {.lex_state = 571},
  [2142] = {.lex_state = 571},
  [2143] = {.lex_state = 571},
  [2144] = {.lex_state = 571},
  [2145] = {.lex_state = 571},
  [2146] = {.lex_state = 571},
  [2147] = {.lex_state = 571},
  [2148] = {.lex_state = 571},
  [2149] = {.lex_state = 571},
  [2150] = {.lex_state = 571},
  [2151] = {.lex_state = 571},
  [2152] = {.lex_state = 571},
  [2153] = {.lex_state = 571},
  [2154] = {.lex_state = 571},
  [2155] = {.lex_state = 571},
  [2156] = {.lex_state = 571},
  [2157] = {.lex_state = 571},
  [2158] = {.lex_state = 571},
  [2159] = {.lex_state = 571},
  [2160] = {.lex_state = 571},
  [2161] = {.lex_state = 571},
  [2162] = {.lex_state = 571},
  [2163] = {.lex_state = 571},
  [2164] = {.lex_state = 571},
  [2165] = {.lex_state = 571},
  [2166] = {.lex_state = 571},
  [2167] = {.lex_state = 571},
  [2168] = {.lex_state = 571},
  [2169] = {.lex_state = 571},
  [2170] = {.lex_state = 571},
  [2171] = {.lex_state = 571},
  [2172] = {.lex_state = 571},
  [2173] = {.lex_state = 571},
  [2174] = {.lex_state = 571},
  [2175] = {.lex_state = 571},
  [2176] = {.lex_state = 571},
  [2177] = {.lex_state = 571},
  [2178] = {.lex_state = 571},
  [2179] = {.lex_state = 571},
  [2180] = {.lex_state = 571},
  [2181] = {.lex_state = 571},
  [2182] = {.lex_state = 571},
  [2183] = {.lex_state = 571},
  [2184] = {.lex_state = 571},
  [2185] = {.lex_state = 571},
  [2186] = {.lex_state = 571},
  [2187] = {.lex_state = 571},
  [2188] = {.lex_state = 571},
  [2189] = {.lex_state = 571},
  [2190] = {.lex_state = 571},
  [2191] = {.lex_state = 571},
  [2192] = {.lex_state = 571},
  [2193] = {.lex_state = 571},
  [2194] = {.lex_state = 571},
  [2195] = {.lex_state = 571},
  [2196] = {.lex_state = 571},
  [2197] = {.lex_state = 571},
  [2198] = {.lex_state = 571},
  [2199] = {.lex_state = 571},
  [2200] = {.lex_state = 571},
  [2201] = {.lex_state = 571},
  [2202] = {.lex_state = 571},
  [2203] = {.lex_state = 571},
  [2204] = {.lex_state = 571},
  [2205] = {.lex_state = 571},
  [2206] = {.lex_state = 571},
  [2207] = {.lex_state = 571},
  [2208] = {.lex_state = 571},
  [2209] = {.lex_state = 571},
  [2210] = {.lex_state = 571},
  [2211] = {.lex_state = 571},
  [2212] = {.lex_state = 571},
  [2213] = {.lex_state = 571},
  [2214] = {.lex_state = 571},
  [2215] = {.lex_state = 571},
  [2216] = {.lex_state = 571},
  [2217] = {.lex_state = 571},
  [2218] = {.lex_state = 571},
  [2219] = {.lex_state = 571},
  [2220] = {.lex_state = 571},
  [2221] = {.lex_state = 571},
  [2222] = {.lex_state = 571},
  [2223] = {.lex_state = 571},
  [2224] = {.lex_state = 571},
  [2225] = {.lex_state = 571},
  [2226] = {.lex_state = 571},
  [2227] = {.lex_state = 571},
  [2228] = {.lex_state = 571},
  [2229] = {.lex_state = 571},
  [2230] = {.lex_state = 571},
  [2231] = {.lex_state = 571},
  [2232] = {.lex_state = 571},
  [2233] = {.lex_state = 571},
  [2234] = {.lex_state = 571},
  [2235] = {.lex_state = 571},
  [2236] = {.lex_state = 571},
  [2237] = {.lex_state = 571},
  [2238] = {.lex_state = 571},
  [2239] = {.lex_state = 571},
  [2240] = {.lex_state = 571},
  [2241] = {.lex_state = 571},
  [2242] = {.lex_state = 571},
  [2243] = {.lex_state = 571},
  [2244] = {.lex_state = 571},
  [2245] = {.lex_state = 571},
  [2246] = {.lex_state = 571},
  [2247] = {.lex_state = 571},
  [2248] = {.lex_state = 571},
  [2249] = {.lex_state = 571},
  [2250] = {.lex_state = 571},
  [2251] = {.lex_state = 571},
  [2252] = {.lex_state = 571},
  [2253] = {.lex_state = 571},
  [2254] = {.lex_state = 571},
  [2255] = {.lex_state = 571},
  [2256] = {.lex_state = 571},
  [2257] = {.lex_state = 571},
  [2258] = {.lex_state = 571},
  [2259] = {.lex_state = 571},
  [2260] = {.lex_state = 571},
  [2261] = {.lex_state = 571},
  [2262] = {.lex_state = 571},
  [2263] = {.lex_state = 571},
  [2264] = {.lex_state = 571},
  [2265] = {.lex_state = 571},
  [2266] = {.lex_state = 571},
  [2267] = {.lex_state = 571},
  [2268] = {.lex_state = 571},
  [2269] = {.lex_state = 571},
  [2270] = {.lex_state = 571},
  [2271] = {.lex_state = 571},
  [2272] = {.lex_state = 571},
  [2273] = {.lex_state = 571},
  [2274] = {.lex_state = 571},
  [2275] = {.lex_state = 571},
  [2276] = {.lex_state = 571},
  [2277] = {.lex_state = 571},
  [2278] = {.lex_state = 571},
  [2279] = {.lex_state = 571},
  [2280] = {.lex_state = 571},
  [2281] = {.lex_state = 571},
  [2282] = {.lex_state = 571},
  [2283] = {.lex_state = 571},
  [2284] = {.lex_state = 571},
  [2285] = {.lex_state = 571},
  [2286] = {.lex_state = 571},
  [2287] = {.lex_state = 571},
  [2288] = {.lex_state = 571},
  [2289] = {.lex_state = 571},
  [2290] = {.lex_state = 571},
  [2291] = {.lex_state = 571},
  [2292] = {.lex_state = 571},
  [2293] = {.lex_state = 571},
  [2294] = {.lex_state = 571},
  [2295] = {.lex_state = 571},
  [2296] = {.lex_state = 571},
  [2297] = {.lex_state = 571},
  [2298] = {.lex_state = 571},
  [2299] = {.lex_state = 571},
  [2300] = {.lex_state = 571},
  [2301] = {.lex_state = 571},
  [2302] = {.lex_state = 571},
  [2303] = {.lex_state = 571},
  [2304] = {.lex_state = 571},
  [2305] = {.lex_state = 571},
  [2306] = {.lex_state = 571},
  [2307] = {.lex_state = 571},
  [2308] = {.lex_state = 571},
  [2309] = {.lex_state = 571},
  [2310] = {.lex_state = 571},
  [2311] = {.lex_state = 571},
  [2312] = {.lex_state = 571},
  [2313] = {.lex_state = 571},
  [2314] = {.lex_state = 571},
  [2315] = {.lex_state = 571},
  [2316] = {.lex_state = 571},
  [2317] = {.lex_state = 571},
  [2318] = {.lex_state = 571},
  [2319] = {.lex_state = 571},
  [2320] = {.lex_state = 571},
  [2321] = {.lex_state = 571},
  [2322] = {.lex_state = 571},
  [2323] = {.lex_state = 571},
  [2324] = {.lex_state = 571},
  [2325] = {.lex_state = 571},
  [2326] = {.lex_state = 571},
  [2327] = {.lex_state = 571},
  [2328] = {.lex_state = 571},
  [2329] = {.lex_state = 571},
  [2330] = {.lex_state = 571},
  [2331] = {.lex_state = 571},
  [2332] = {.lex_state = 571},
  [2333] = {.lex_state = 571},
  [2334] = {.lex_state = 571},
  [2335] = {.lex_state = 571},
  [2336] = {.lex_state = 571},
  [2337] = {.lex_state = 571},
  [2338] = {.lex_state = 571},
  [2339] = {.lex_state = 571},
  [2340] = {.lex_state = 571},
  [2341] = {.lex_state = 571},
  [2342] = {.lex_state = 571},
  [2343] = {.lex_state = 571},
  [2344] = {.lex_state = 571},
  [2345] = {.lex_state = 571},
  [2346] = {.lex_state = 571},
  [2347] = {.lex_state = 571},
  [2348] = {.lex_state = 571},
  [2349] = {.lex_state = 571},
  [2350] = {.lex_state = 571},
  [2351] = {.lex_state = 571},
  [2352] = {.lex_state = 571},
  [2353] = {.lex_state = 571},
  [2354] = {.lex_state = 571},
  [2355] = {.lex_state = 571},
  [2356] = {.lex_state = 571},
  [2357] = {.lex_state = 571},
  [2358] = {.lex_state = 571},
  [2359] = {.lex_state = 571},
  [2360] = {.lex_state = 571},
  [2361] = {.lex_state = 571},
  [2362] = {.lex_state = 571},
  [2363] = {.lex_state = 571},
  [2364] = {.lex_state = 571},
  [2365] = {.lex_state = 571},
  [2366] = {.lex_state = 571},
  [2367] = {.lex_state = 571},
  [2368] = {.lex_state = 571},
  [2369] = {.lex_state = 571},
  [2370] = {.lex_state = 571},
  [2371] = {.lex_state = 571},
  [2372] = {.lex_state = 571},
  [2373] = {.lex_state = 571},
  [2374] = {.lex_state = 571},
  [2375] = {.lex_state = 571},
  [2376] = {.lex_state = 571},
  [2377] = {.lex_state = 571},
  [2378] = {.lex_state = 571},
  [2379] = {.lex_state = 571},
  [2380] = {.lex_state = 571},
  [2381] = {.lex_state = 571},
  [2382] = {.lex_state = 571},
  [2383] = {.lex_state = 571},
  [2384] = {.lex_state = 571},
  [2385] = {.lex_state = 571},
  [2386] = {.lex_state = 571},
  [2387] = {.lex_state = 571},
  [2388] = {.lex_state = 571},
  [2389] = {.lex_state = 571},
  [2390] = {.lex_state = 571},
  [2391] = {.lex_state = 571},
  [2392] = {.lex_state = 571},
  [2393] = {.lex_state = 571},
  [2394] = {.lex_state = 571},
  [2395] = {.lex_state = 571},
  [2396] = {.lex_state = 571},
  [2397] = {.lex_state = 571},
  [2398] = {.lex_state = 571},
  [2399] = {.lex_state = 571},
  [2400] = {.lex_state = 571},
  [2401] = {.lex_state = 571},
  [2402] = {.lex_state = 571},
  [2403] = {.lex_state = 571},
  [2404] = {.lex_state = 571},
  [2405] = {.lex_state = 571},
  [2406] = {.lex_state = 571},
  [2407] = {.lex_state = 571},
  [2408] = {.lex_state = 571},
  [2409] = {.lex_state = 571},
  [2410] = {.lex_state = 571},
  [2411] = {.lex_state = 571},
  [2412] = {.lex_state = 571},
  [2413] = {.lex_state = 571},
  [2414] = {.lex_state = 571},
  [2415] = {.lex_state = 571},
  [2416] = {.lex_state = 571},
  [2417] = {.lex_state = 571},
  [2418] = {.lex_state = 571},
  [2419] = {.lex_state = 571},
  [2420] = {.lex_state = 571},
  [2421] = {.lex_state = 571},
  [2422] = {.lex_state = 571},
  [2423] = {.lex_state = 571},
  [2424] = {.lex_state = 571},
  [2425] = {.lex_state = 571},
  [2426] = {.lex_state = 571},
  [2427] = {.lex_state = 571},
  [2428] = {.lex_state = 571},
  [2429] = {.lex_state = 571},
  [2430] = {.lex_state = 571},
  [2431] = {.lex_state = 571},
  [2432] = {.lex_state = 571},
  [2433] = {.lex_state = 571},
  [2434] = {.lex_state = 571},
  [2435] = {.lex_state = 571},
  [2436] = {.lex_state = 571},
  [2437] = {.lex_state = 571},
  [2438] = {.lex_state = 571},
  [2439] = {.lex_state = 571},
  [2440] = {.lex_state = 571},
  [2441] = {.lex_state = 571},
  [2442] = {.lex_state = 571},
  [2443] = {.lex_state = 571},
  [2444] = {.lex_state = 571},
  [2445] = {.lex_state = 571},
  [2446] = {.lex_state = 571},
  [2447] = {.lex_state = 571},
  [2448] = {.lex_state = 571},
  [2449] = {.lex_state = 571},
  [2450] = {.lex_state = 571},
  [2451] = {.lex_state = 571},
  [2452] = {.lex_state = 571},
  [2453] = {.lex_state = 571},
  [2454] = {.lex_state = 571},
  [2455] = {.lex_state = 571},
  [2456] = {.lex_state = 571},
  [2457] = {.lex_state = 571},
  [2458] = {.lex_state = 571},
  [2459] = {.lex_state = 571},
  [2460] = {.lex_state = 571},
  [2461] = {.lex_state = 571},
  [2462] = {.lex_state = 571},
  [2463] = {.lex_state = 571},
  [2464] = {.lex_state = 571},
  [2465] = {.lex_state = 571},
  [2466] = {.lex_state = 571},
  [2467] = {.lex_state = 571},
  [2468] = {.lex_state = 571},
  [2469] = {.lex_state = 571},
  [2470] = {.lex_state = 571},
  [2471] = {.lex_state = 571},
  [2472] = {.lex_state = 571},
  [2473] = {.lex_state = 571},
  [2474] = {.lex_state = 571},
  [2475] = {.lex_state = 571},
  [2476] = {.lex_state = 571},
  [2477] = {.lex_state = 571},
  [2478] = {.lex_state = 571},
  [2479] = {.lex_state = 571},
  [2480] = {.lex_state = 571},
  [2481] = {.lex_state = 571},
  [2482] = {.lex_state = 571},
  [2483] = {.lex_state = 571},
  [2484] = {.lex_state = 571},
  [2485] = {.lex_state = 571},
  [2486] = {.lex_state = 571},
  [2487] = {.lex_state = 571},
  [2488] = {.lex_state = 571},
  [2489] = {.lex_state = 571},
  [2490] = {.lex_state = 571},
  [2491] = {.lex_state = 571},
  [2492] = {.lex_state = 571},
  [2493] = {.lex_state = 571},
  [2494] = {.lex_state = 571},
  [2495] = {.lex_state = 571},
  [2496] = {.lex_state = 571},
  [2497] = {.lex_state = 571},
  [2498] = {.lex_state = 571},
  [2499] = {.lex_state = 571},
  [2500] = {.lex_state = 571},
  [2501] = {.lex_state = 571},
  [2502] = {.lex_state = 571},
  [2503] = {.lex_state = 571},
  [2504] = {.lex_state = 571},
  [2505] = {.lex_state = 571},
  [2506] = {.lex_state = 571},
  [2507] = {.lex_state = 571},
  [2508] = {.lex_state = 571},
  [2509] = {.lex_state = 571},
  [2510] = {.lex_state = 571},
  [2511] = {.lex_state = 571},
  [2512] = {.lex_state = 571},
  [2513] = {.lex_state = 571},
  [2514] = {.lex_state = 571},
  [2515] = {.lex_state = 571},
  [2516] = {.lex_state = 571},
  [2517] = {.lex_state = 571},
  [2518] = {.lex_state = 571},
  [2519] = {.lex_state = 571},
  [2520] = {.lex_state = 571},
  [2521] = {.lex_state = 571},
  [2522] = {.lex_state = 571},
  [2523] = {.lex_state = 571},
  [2524] = {.lex_state = 571},
  [2525] = {.lex_state = 571},
  [2526] = {.lex_state = 571},
  [2527] = {.lex_state = 571},
  [2528] = {.lex_state = 571},
  [2529] = {.lex_state = 571},
  [2530] = {.lex_state = 571},
  [2531] = {.lex_state = 571},
  [2532] = {.lex_state = 571},
  [2533] = {.lex_state = 571},
  [2534] = {.lex_state = 571},
  [2535] = {.lex_state = 571},
  [2536] = {.lex_state = 571},
  [2537] = {.lex_state = 571},
  [2538] = {.lex_state = 571},
  [2539] = {.lex_state = 571},
  [2540] = {.lex_state = 571},
  [2541] = {.lex_state = 571},
  [2542] = {.lex_state = 571},
  [2543] = {.lex_state = 571},
  [2544] = {.lex_state = 571},
  [2545] = {.lex_state = 571},
  [2546] = {.lex_state = 571},
  [2547] = {.lex_state = 571},
  [2548] = {.lex_state = 571},
  [2549] = {.lex_state = 571},
  [2550] = {.lex_state = 571},
  [2551] = {.lex_state = 571},
  [2552] = {.lex_state = 571},
  [2553] = {.lex_state = 571},
  [2554] = {.lex_state = 571},
  [2555] = {.lex_state = 571},
  [2556] = {.lex_state = 571},
  [2557] = {.lex_state = 571},
  [2558] = {.lex_state = 571},
  [2559] = {.lex_state = 571},
  [2560] = {.lex_state = 571},
  [2561] = {.lex_state = 571},
  [2562] = {.lex_state = 571},
  [2563] = {.lex_state = 571},
  [2564] = {.lex_state = 571},
  [2565] = {.lex_state = 571},
  [2566] = {.lex_state = 571},
  [2567] = {.lex_state = 571},
  [2568] = {.lex_state = 571},
  [2569] = {.lex_state = 571},
  [2570] = {.lex_state = 571},
  [2571] = {.lex_state = 571},
  [2572] = {.lex_state = 571},
  [2573] = {.lex_state = 571},
  [2574] = {.lex_state = 571},
  [2575] = {.lex_state = 571},
  [2576] = {.lex_state = 571},
  [2577] = {.lex_state = 571},
  [2578] = {.lex_state = 571},
  [2579] = {.lex_state = 571},
  [2580] = {.lex_state = 571},
  [2581] = {.lex_state = 571},
  [2582] = {.lex_state = 571},
  [2583] = {.lex_state = 571},
  [2584] = {.lex_state = 571},
  [2585] = {.lex_state = 571},
  [2586] = {.lex_state = 571},
  [2587] = {.lex_state = 571},
  [2588] = {.lex_state = 571},
  [2589] = {.lex_state = 571},
  [2590] = {.lex_state = 571},
  [2591] = {.lex_state = 571},
  [2592] = {.lex_state = 571},
  [2593] = {.lex_state = 571},
  [2594] = {.lex_state = 571},
  [2595] = {.lex_state = 571},
  [2596] = {.lex_state = 571},
  [2597] = {.lex_state = 571},
  [2598] = {.lex_state = 571},
  [2599] = {.lex_state = 571},
  [2600] = {.lex_state = 571},
  [2601] = {.lex_state = 571},
  [2602] = {.lex_state = 571},
  [2603] = {.lex_state = 571},
  [2604] = {.lex_state = 571},
  [2605] = {.lex_state = 571},
  [2606] = {.lex_state = 571},
  [2607] = {.lex_state = 571},
  [2608] = {.lex_state = 571},
  [2609] = {.lex_state = 571},
  [2610] = {.lex_state = 571},
  [2611] = {.lex_state = 571},
  [2612] = {.lex_state = 571},
  [2613] = {.lex_state = 571},
  [2614] = {.lex_state = 571},
  [2615] = {.lex_state = 571},
  [2616] = {.lex_state = 571},
  [2617] = {.lex_state = 571},
  [2618] = {.lex_state = 571},
  [2619] = {.lex_state = 571},
  [2620] = {.lex_state = 571},
  [2621] = {.lex_state = 571},
  [2622] = {.lex_state = 571},
  [2623] = {.lex_state = 571},
  [2624] = {.lex_state = 571},
  [2625] = {.lex_state = 571},
  [2626] = {.lex_state = 571},
  [2627] = {.lex_state = 571},
  [2628] = {.lex_state = 571},
  [2629] = {.lex_state = 571},
  [2630] = {.lex_state = 571},
  [2631] = {.lex_state = 571},
  [2632] = {.lex_state = 571},
  [2633] = {.lex_state = 571},
  [2634] = {.lex_state = 571},
  [2635] = {.lex_state = 571},
  [2636] = {.lex_state = 571},
  [2637] = {.lex_state = 571},
  [2638] = {.lex_state = 571},
  [2639] = {.lex_state = 571},
  [2640] = {.lex_state = 571},
  [2641] = {.lex_state = 571},
  [2642] = {.lex_state = 571},
  [2643] = {.lex_state = 571},
  [2644] = {.lex_state = 571},
  [2645] = {.lex_state = 571},
  [2646] = {.lex_state = 571},
  [2647] = {.lex_state = 571},
  [2648] = {.lex_state = 571},
  [2649] = {.lex_state = 571},
  [2650] = {.lex_state = 571},
  [2651] = {.lex_state = 571},
  [2652] = {.lex_state = 571},
  [2653] = {.lex_state = 571},
  [2654] = {.lex_state = 571},
  [2655] = {.lex_state = 571},
  [2656] = {.lex_state = 571},
  [2657] = {.lex_state = 571},
  [2658] = {.lex_state = 571},
  [2659] = {.lex_state = 571},
  [2660] = {.lex_state = 571},
  [2661] = {.lex_state = 571},
  [2662] = {.lex_state = 571},
  [2663] = {.lex_state = 571},
  [2664] = {.lex_state = 571},
  [2665] = {.lex_state = 571},
  [2666] = {.lex_state = 571},
  [2667] = {.lex_state = 571},
  [2668] = {.lex_state = 571},
  [2669] = {.lex_state = 571},
  [2670] = {.lex_state = 571},
  [2671] = {.lex_state = 571},
  [2672] = {.lex_state = 571},
  [2673] = {.lex_state = 571},
  [2674] = {.lex_state = 571},
  [2675] = {.lex_state = 571},
  [2676] = {.lex_state = 571},
  [2677] = {.lex_state = 571},
  [2678] = {.lex_state = 571},
  [2679] = {.lex_state = 571},
  [2680] = {.lex_state = 571},
  [2681] = {.lex_state = 571},
  [2682] = {.lex_state = 571},
  [2683] = {.lex_state = 571},
  [2684] = {.lex_state = 571},
  [2685] = {.lex_state = 571},
  [2686] = {.lex_state = 571},
  [2687] = {.lex_state = 571},
  [2688] = {.lex_state = 571},
  [2689] = {.lex_state = 571},
  [2690] = {.lex_state = 571},
  [2691] = {.lex_state = 571},
  [2692] = {.lex_state = 571},
  [2693] = {.lex_state = 571},
  [2694] = {.lex_state = 571},
  [2695] = {.lex_state = 571},
  [2696] = {.lex_state = 571},
  [2697] = {.lex_state = 571},
  [2698] = {.lex_state = 571},
  [2699] = {.lex_state = 571},
  [2700] = {.lex_state = 571},
  [2701] = {.lex_state = 571},
  [2702] = {.lex_state = 571},
  [2703] = {.lex_state = 571},
  [2704] = {.lex_state = 571},
  [2705] = {.lex_state = 571},
  [2706] = {.lex_state = 571},
  [2707] = {.lex_state = 571},
  [2708] = {.lex_state = 571},
  [2709] = {.lex_state = 571},
  [2710] = {.lex_state = 571},
  [2711] = {.lex_state = 571},
  [2712] = {.lex_state = 571},
  [2713] = {.lex_state = 571},
  [2714] = {.lex_state = 571},
  [2715] = {.lex_state = 571},
  [2716] = {.lex_state = 571},
  [2717] = {.lex_state = 571},
  [2718] = {.lex_state = 571},
  [2719] = {.lex_state = 571},
  [2720] = {.lex_state = 571},
  [2721] = {.lex_state = 571},
  [2722] = {.lex_state = 571},
  [2723] = {.lex_state = 571},
  [2724] = {.lex_state = 571},
  [2725] = {.lex_state = 571},
  [2726] = {.lex_state = 571},
  [2727] = {.lex_state = 571},
  [2728] = {.lex_state = 571},
  [2729] = {.lex_state = 571},
  [2730] = {.lex_state = 571},
  [2731] = {.lex_state = 571},
  [2732] = {.lex_state = 571},
  [2733] = {.lex_state = 571},
  [2734] = {.lex_state = 571},
  [2735] = {.lex_state = 571},
  [2736] = {.lex_state = 571},
  [2737] = {.lex_state = 571},
  [2738] = {.lex_state = 571},
  [2739] = {.lex_state = 571},
  [2740] = {.lex_state = 571},
  [2741] = {.lex_state = 571},
  [2742] = {.lex_state = 571},
  [2743] = {.lex_state = 571},
  [2744] = {.lex_state = 571},
  [2745] = {.lex_state = 571},
  [2746] = {.lex_state = 571},
  [2747] = {.lex_state = 571},
  [2748] = {.lex_state = 571},
  [2749] = {.lex_state = 571},
  [2750] = {.lex_state = 571},
  [2751] = {.lex_state = 571},
  [2752] = {.lex_state = 571},
  [2753] = {.lex_state = 571},
  [2754] = {.lex_state = 571},
  [2755] = {.lex_state = 571},
  [2756] = {.lex_state = 571},
  [2757] = {.lex_state = 571},
  [2758] = {.lex_state = 571},
  [2759] = {.lex_state = 571},
  [2760] = {.lex_state = 571},
  [2761] = {.lex_state = 571},
  [2762] = {.lex_state = 571},
  [2763] = {.lex_state = 571},
  [2764] = {.lex_state = 571},
  [2765] = {.lex_state = 571},
  [2766] = {.lex_state = 571},
  [2767] = {.lex_state = 571},
  [2768] = {.lex_state = 571},
  [2769] = {.lex_state = 571},
  [2770] = {.lex_state = 571},
  [2771] = {.lex_state = 571},
  [2772] = {.lex_state = 571},
  [2773] = {.lex_state = 571},
  [2774] = {.lex_state = 571},
  [2775] = {.lex_state = 571},
  [2776] = {.lex_state = 571},
  [2777] = {.lex_state = 571},
  [2778] = {.lex_state = 571},
  [2779] = {.lex_state = 571},
  [2780] = {.lex_state = 571},
  [2781] = {.lex_state = 571},
  [2782] = {.lex_state = 571},
  [2783] = {.lex_state = 571},
  [2784] = {.lex_state = 571},
  [2785] = {.lex_state = 571},
  [2786] = {.lex_state = 571},
  [2787] = {.lex_state = 571},
  [2788] = {.lex_state = 571},
  [2789] = {.lex_state = 571},
  [2790] = {.lex_state = 571},
  [2791] = {.lex_state = 571},
  [2792] = {.lex_state = 571},
  [2793] = {.lex_state = 571},
  [2794] = {.lex_state = 571},
  [2795] = {.lex_state = 571},
  [2796] = {.lex_state = 571},
  [2797] = {.lex_state = 571},
  [2798] = {.lex_state = 571},
  [2799] = {.lex_state = 571},
  [2800] = {.lex_state = 571},
  [2801] = {.lex_state = 571},
  [2802] = {.lex_state = 571},
  [2803] = {.lex_state = 571},
  [2804] = {.lex_state = 571},
  [2805] = {.lex_state = 571},
  [2806] = {.lex_state = 571},
  [2807] = {.lex_state = 571},
  [2808] = {.lex_state = 571},
  [2809] = {.lex_state = 571},
  [2810] = {.lex_state = 571},
  [2811] = {.lex_state = 571},
  [2812] = {.lex_state = 571},
  [2813] = {.lex_state = 571},
  [2814] = {.lex_state = 571},
  [2815] = {.lex_state = 571},
  [2816] = {.lex_state = 571},
  [2817] = {.lex_state = 571},
  [2818] = {.lex_state = 571},
  [2819] = {.lex_state = 571},
  [2820] = {.lex_state = 571},
  [2821] = {.lex_state = 571},
  [2822] = {.lex_state = 571},
  [2823] = {.lex_state = 571},
  [2824] = {.lex_state = 571},
  [2825] = {.lex_state = 571},
  [2826] = {.lex_state = 571},
  [2827] = {.lex_state = 571},
  [2828] = {.lex_state = 571},
  [2829] = {.lex_state = 571},
  [2830] = {.lex_state = 571},
  [2831] = {.lex_state = 571},
  [2832] = {.lex_state = 571},
  [2833] = {.lex_state = 571},
  [2834] = {.lex_state = 571},
  [2835] = {.lex_state = 571},
  [2836] = {.lex_state = 571},
  [2837] = {.lex_state = 571},
  [2838] = {.lex_state = 571},
  [2839] = {.lex_state = 571},
  [2840] = {.lex_state = 571},
  [2841] = {.lex_state = 571},
  [2842] = {.lex_state = 571},
  [2843] = {.lex_state = 571},
  [2844] = {.lex_state = 571},
  [2845] = {.lex_state = 571},
  [2846] = {.lex_state = 571},
  [2847] = {.lex_state = 571},
  [2848] = {.lex_state = 571},
  [2849] = {.lex_state = 571},
  [2850] = {.lex_state = 571},
  [2851] = {.lex_state = 571},
  [2852] = {.lex_state = 571},
  [2853] = {.lex_state = 571},
  [2854] = {.lex_state = 571},
  [2855] = {.lex_state = 571},
  [2856] = {.lex_state = 571},
  [2857] = {.lex_state = 571},
  [2858] = {.lex_state = 571},
  [2859] = {.lex_state = 571},
  [2860] = {.lex_state = 571},
  [2861] = {.lex_state = 571},
  [2862] = {.lex_state = 571},
  [2863] = {.lex_state = 571},
  [2864] = {.lex_state = 571},
  [2865] = {.lex_state = 571},
  [2866] = {.lex_state = 571},
  [2867] = {.lex_state = 571},
  [2868] = {.lex_state = 571},
  [2869] = {.lex_state = 571},
  [2870] = {.lex_state = 571},
  [2871] = {.lex_state = 571},
  [2872] = {.lex_state = 571},
  [2873] = {.lex_state = 571},
  [2874] = {.lex_state = 571},
  [2875] = {.lex_state = 571},
  [2876] = {.lex_state = 571},
  [2877] = {.lex_state = 571},
  [2878] = {.lex_state = 571},
  [2879] = {.lex_state = 571},
  [2880] = {.lex_state = 571},
  [2881] = {.lex_state = 571},
  [2882] = {.lex_state = 571},
  [2883] = {.lex_state = 571},
  [2884] = {.lex_state = 571},
  [2885] = {.lex_state = 571},
  [2886] = {.lex_state = 571},
  [2887] = {.lex_state = 571},
  [2888] = {.lex_state = 571},
  [2889] = {.lex_state = 571},
  [2890] = {.lex_state = 571},
  [2891] = {.lex_state = 571},
  [2892] = {.lex_state = 571},
  [2893] = {.lex_state = 571},
  [2894] = {.lex_state = 571},
  [2895] = {.lex_state = 571},
  [2896] = {.lex_state = 571},
  [2897] = {.lex_state = 571},
  [2898] = {.lex_state = 571},
  [2899] = {.lex_state = 571},
  [2900] = {.lex_state = 571},
  [2901] = {.lex_state = 571},
  [2902] = {.lex_state = 571},
  [2903] = {.lex_state = 571},
  [2904] = {.lex_state = 571},
  [2905] = {.lex_state = 571},
  [2906] = {.lex_state = 571},
  [2907] = {.lex_state = 571},
  [2908] = {.lex_state = 571},
  [2909] = {.lex_state = 571},
  [2910] = {.lex_state = 571},
  [2911] = {.lex_state = 571},
  [2912] = {.lex_state = 571},
  [2913] = {.lex_state = 571},
  [2914] = {.lex_state = 571},
  [2915] = {.lex_state = 571},
  [2916] = {.lex_state = 571},
  [2917] = {.lex_state = 571},
  [2918] = {.lex_state = 571},
  [2919] = {.lex_state = 571},
  [2920] = {.lex_state = 571},
  [2921] = {.lex_state = 571},
  [2922] = {.lex_state = 571},
  [2923] = {.lex_state = 571},
  [2924] = {.lex_state = 571},
  [2925] = {.lex_state = 571},
  [2926] = {.lex_state = 571},
  [2927] = {.lex_state = 571},
  [2928] = {.lex_state = 571},
  [2929] = {.lex_state = 571},
  [2930] = {.lex_state = 571},
  [2931] = {.lex_state = 571},
  [2932] = {.lex_state = 571},
  [2933] = {.lex_state = 571},
  [2934] = {.lex_state = 571},
  [2935] = {.lex_state = 571},
  [2936] = {.lex_state = 571},
  [2937] = {.lex_state = 571},
  [2938] = {.lex_state = 571},
  [2939] = {.lex_state = 571},
  [2940] = {.lex_state = 571},
  [2941] = {.lex_state = 571},
  [2942] = {.lex_state = 571},
  [2943] = {.lex_state = 571},
  [2944] = {.lex_state = 571},
  [2945] = {.lex_state = 571},
  [2946] = {.lex_state = 571},
  [2947] = {.lex_state = 571},
  [2948] = {.lex_state = 571},
  [2949] = {.lex_state = 571},
  [2950] = {.lex_state = 571},
  [2951] = {.lex_state = 571},
  [2952] = {.lex_state = 571},
  [2953] = {.lex_state = 571},
  [2954] = {.lex_state = 571},
  [2955] = {.lex_state = 571},
  [2956] = {.lex_state = 571},
  [2957] = {.lex_state = 571},
  [2958] = {.lex_state = 571},
  [2959] = {.lex_state = 571},
  [2960] = {.lex_state = 571},
  [2961] = {.lex_state = 571},
  [2962] = {.lex_state = 571},
  [2963] = {.lex_state = 571},
  [2964] = {.lex_state = 571},
  [2965] = {.lex_state = 571},
  [2966] = {.lex_state = 571},
  [2967] = {.lex_state = 571},
  [2968] = {.lex_state = 571},
  [2969] = {.lex_state = 571},
  [2970] = {.lex_state = 571},
  [2971] = {.lex_state = 571},
  [2972] = {.lex_state = 571},
  [2973] = {.lex_state = 571},
  [2974] = {.lex_state = 571},
  [2975] = {.lex_state = 571},
  [2976] = {.lex_state = 571},
  [2977] = {.lex_state = 571},
  [2978] = {.lex_state = 571},
  [2979] = {.lex_state = 571},
  [2980] = {.lex_state = 571},
  [2981] = {.lex_state = 571},
  [2982] = {.lex_state = 571},
  [2983] = {.lex_state = 571},
  [2984] = {.lex_state = 571},
  [2985] = {.lex_state = 571},
  [2986] = {.lex_state = 571},
  [2987] = {.lex_state = 571},
  [2988] = {.lex_state = 571},
  [2989] = {.lex_state = 571},
  [2990] = {.lex_state = 571},
  [2991] = {.lex_state = 571},
  [2992] = {.lex_state = 571},
  [2993] = {.lex_state = 571},
  [2994] = {.lex_state = 571},
  [2995] = {.lex_state = 571},
  [2996] = {.lex_state = 571},
  [2997] = {.lex_state = 571},
  [2998] = {.lex_state = 571},
  [2999] = {.lex_state = 571},
  [3000] = {.lex_state = 571},
  [3001] = {.lex_state = 571},
  [3002] = {.lex_state = 571},
  [3003] = {.lex_state = 571},
  [3004] = {.lex_state = 571},
  [3005] = {.lex_state = 571},
  [3006] = {.lex_state = 571},
  [3007] = {.lex_state = 571},
  [3008] = {.lex_state = 571},
  [3009] = {.lex_state = 571},
  [3010] = {.lex_state = 571},
  [3011] = {.lex_state = 571},
  [3012] = {.lex_state = 571},
  [3013] = {.lex_state = 571},
  [3014] = {.lex_state = 571},
  [3015] = {.lex_state = 571},
  [3016] = {.lex_state = 571},
  [3017] = {.lex_state = 571},
  [3018] = {.lex_state = 571},
  [3019] = {.lex_state = 571},
  [3020] = {.lex_state = 571},
  [3021] = {.lex_state = 571},
  [3022] = {.lex_state = 571},
  [3023] = {.lex_state = 571},
  [3024] = {.lex_state = 571},
  [3025] = {.lex_state = 571},
  [3026] = {.lex_state = 571},
  [3027] = {.lex_state = 571},
  [3028] = {.lex_state = 571},
  [3029] = {.lex_state = 571},
  [3030] = {.lex_state = 571},
  [3031] = {.lex_state = 571},
  [3032] = {.lex_state = 571},
  [3033] = {.lex_state = 571},
  [3034] = {.lex_state = 571},
  [3035] = {.lex_state = 571},
  [3036] = {.lex_state = 571},
  [3037] = {.lex_state = 571},
  [3038] = {.lex_state = 571},
  [3039] = {.lex_state = 571},
  [3040] = {.lex_state = 571},
  [3041] = {.lex_state = 571},
  [3042] = {.lex_state = 571},
  [3043] = {.lex_state = 571},
  [3044] = {.lex_state = 571},
  [3045] = {.lex_state = 571},
  [3046] = {.lex_state = 571},
  [3047] = {.lex_state = 571},
  [3048] = {.lex_state = 571},
  [3049] = {.lex_state = 571},
  [3050] = {.lex_state = 571},
  [3051] = {.lex_state = 571},
  [3052] = {.lex_state = 571},
  [3053] = {.lex_state = 571},
  [3054] = {.lex_state = 571},
  [3055] = {.lex_state = 571},
  [3056] = {.lex_state = 571},
  [3057] = {.lex_state = 571},
  [3058] = {.lex_state = 571},
  [3059] = {.lex_state = 571},
  [3060] = {.lex_state = 571},
  [3061] = {.lex_state = 571},
  [3062] = {.lex_state = 571},
  [3063] = {.lex_state = 571},
  [3064] = {.lex_state = 571},
  [3065] = {.lex_state = 571},
  [3066] = {.lex_state = 571},
  [3067] = {.lex_state = 571},
  [3068] = {.lex_state = 571},
  [3069] = {.lex_state = 571},
  [3070] = {.lex_state = 571},
  [3071] = {.lex_state = 571},
  [3072] = {.lex_state = 571},
  [3073] = {.lex_state = 571},
  [3074] = {.lex_state = 571},
  [3075] = {.lex_state = 571},
  [3076] = {.lex_state = 571},
  [3077] = {.lex_state = 571},
  [3078] = {.lex_state = 571},
  [3079] = {.lex_state = 571},
  [3080] = {.lex_state = 571},
  [3081] = {.lex_state = 571},
  [3082] = {.lex_state = 571},
  [3083] = {.lex_state = 571},
  [3084] = {.lex_state = 571},
  [3085] = {.lex_state = 571},
  [3086] = {.lex_state = 571},
  [3087] = {.lex_state = 571},
  [3088] = {.lex_state = 571},
  [3089] = {.lex_state = 571},
  [3090] = {.lex_state = 571},
  [3091] = {.lex_state = 571},
  [3092] = {.lex_state = 571},
  [3093] = {.lex_state = 571},
  [3094] = {.lex_state = 571},
  [3095] = {.lex_state = 571},
  [3096] = {.lex_state = 571},
  [3097] = {.lex_state = 571},
  [3098] = {.lex_state = 571},
  [3099] = {.lex_state = 571},
  [3100] = {.lex_state = 571},
  [3101] = {.lex_state = 571},
  [3102] = {.lex_state = 571},
  [3103] = {.lex_state = 571},
  [3104] = {.lex_state = 571},
  [3105] = {.lex_state = 571},
  [3106] = {.lex_state = 571},
  [3107] = {.lex_state = 571},
  [3108] = {.lex_state = 571},
  [3109] = {.lex_state = 571},
  [3110] = {.lex_state = 571},
  [3111] = {.lex_state = 571},
  [3112] = {.lex_state = 571},
  [3113] = {.lex_state = 571},
  [3114] = {.lex_state = 571},
  [3115] = {.lex_state = 571},
  [3116] = {.lex_state = 571},
  [3117] = {.lex_state = 571},
  [3118] = {.lex_state = 571},
  [3119] = {.lex_state = 571},
  [3120] = {.lex_state = 571},
  [3121] = {.lex_state = 571},
  [3122] = {.lex_state = 571},
  [3123] = {.lex_state = 571},
  [3124] = {.lex_state = 571},
  [3125] = {.lex_state = 571},
  [3126] = {.lex_state = 571},
  [3127] = {.lex_state = 571},
  [3128] = {.lex_state = 571},
  [3129] = {.lex_state = 571},
  [3130] = {.lex_state = 571},
  [3131] = {.lex_state = 571},
  [3132] = {.lex_state = 571},
  [3133] = {.lex_state = 571},
  [3134] = {.lex_state = 571},
  [3135] = {.lex_state = 571},
  [3136] = {.lex_state = 571},
  [3137] = {.lex_state = 571},
  [3138] = {.lex_state = 571},
  [3139] = {.lex_state = 571},
  [3140] = {.lex_state = 571},
  [3141] = {.lex_state = 571},
  [3142] = {.lex_state = 571},
  [3143] = {.lex_state = 571},
  [3144] = {.lex_state = 571},
  [3145] = {.lex_state = 571},
  [3146] = {.lex_state = 571},
  [3147] = {.lex_state = 571},
  [3148] = {.lex_state = 571},
  [3149] = {.lex_state = 571},
  [3150] = {.lex_state = 571},
  [3151] = {.lex_state = 571},
  [3152] = {.lex_state = 571},
  [3153] = {.lex_state = 571},
  [3154] = {.lex_state = 571},
  [3155] = {.lex_state = 571},
  [3156] = {.lex_state = 571},
  [3157] = {.lex_state = 571},
  [3158] = {.lex_state = 571},
  [3159] = {.lex_state = 571},
  [3160] = {.lex_state = 571},
  [3161] = {.lex_state = 571},
  [3162] = {.lex_state = 571},
  [3163] = {.lex_state = 571},
  [3164] = {.lex_state = 571},
  [3165] = {.lex_state = 571},
  [3166] = {.lex_state = 571},
  [3167] = {.lex_state = 571},
  [3168] = {.lex_state = 571},
  [3169] = {.lex_state = 571},
  [3170] = {.lex_state = 571},
  [3171] = {.lex_state = 571},
  [3172] = {.lex_state = 571},
  [3173] = {.lex_state = 571},
  [3174] = {.lex_state = 571},
  [3175] = {.lex_state = 571},
  [3176] = {.lex_state = 571},
  [3177] = {.lex_state = 571},
  [3178] = {.lex_state = 571},
  [3179] = {.lex_state = 571},
  [3180] = {.lex_state = 571},
  [3181] = {.lex_state = 571},
  [3182] = {.lex_state = 571},
  [3183] = {.lex_state = 571},
  [3184] = {.lex_state = 571},
  [3185] = {.lex_state = 571},
  [3186] = {.lex_state = 571},
  [3187] = {.lex_state = 571},
  [3188] = {.lex_state = 571},
  [3189] = {.lex_state = 571},
  [3190] = {.lex_state = 571},
  [3191] = {.lex_state = 571},
  [3192] = {.lex_state = 571},
  [3193] = {.lex_state = 571},
  [3194] = {.lex_state = 571},
  [3195] = {.lex_state = 571},
  [3196] = {.lex_state = 571},
  [3197] = {.lex_state = 571},
  [3198] = {.lex_state = 571},
  [3199] = {.lex_state = 571},
  [3200] = {.lex_state = 571},
  [3201] = {.lex_state = 571},
  [3202] = {.lex_state = 571},
  [3203] = {.lex_state = 571},
  [3204] = {.lex_state = 571},
  [3205] = {.lex_state = 571},
  [3206] = {.lex_state = 571},
  [3207] = {.lex_state = 571},
  [3208] = {.lex_state = 571},
  [3209] = {.lex_state = 571},
  [3210] = {.lex_state = 571},
  [3211] = {.lex_state = 571},
  [3212] = {.lex_state = 571},
  [3213] = {.lex_state = 571},
  [3214] = {.lex_state = 571},
  [3215] = {.lex_state = 571},
  [3216] = {.lex_state = 571},
  [3217] = {.lex_state = 571},
  [3218] = {.lex_state = 571},
  [3219] = {.lex_state = 571},
  [3220] = {.lex_state = 571},
  [3221] = {.lex_state = 571},
  [3222] = {.lex_state = 571},
  [3223] = {.lex_state = 571},
  [3224] = {.lex_state = 571},
  [3225] = {.lex_state = 571},
  [3226] = {.lex_state = 571},
  [3227] = {.lex_state = 571},
  [3228] = {.lex_state = 571},
  [3229] = {.lex_state = 571},
  [3230] = {.lex_state = 571},
  [3231] = {.lex_state = 571},
  [3232] = {.lex_state = 571},
  [3233] = {.lex_state = 571},
  [3234] = {.lex_state = 571},
  [3235] = {.lex_state = 571},
  [3236] = {.lex_state = 571},
  [3237] = {.lex_state = 571},
  [3238] = {.lex_state = 571},
  [3239] = {.lex_state = 571},
  [3240] = {.lex_state = 571},
  [3241] = {.lex_state = 571},
  [3242] = {.lex_state = 571},
  [3243] = {.lex_state = 571},
  [3244] = {.lex_state = 571},
  [3245] = {.lex_state = 571},
  [3246] = {.lex_state = 571},
  [3247] = {.lex_state = 571},
  [3248] = {.lex_state = 571},
  [3249] = {.lex_state = 571},
  [3250] = {.lex_state = 571},
  [3251] = {.lex_state = 571},
  [3252] = {.lex_state = 571},
  [3253] = {.lex_state = 571},
  [3254] = {.lex_state = 571},
  [3255] = {.lex_state = 571},
  [3256] = {.lex_state = 571},
  [3257] = {.lex_state = 571},
  [3258] = {.lex_state = 571},
  [3259] = {.lex_state = 571},
  [3260] = {.lex_state = 571},
  [3261] = {.lex_state = 571},
  [3262] = {.lex_state = 571},
  [3263] = {.lex_state = 571},
  [3264] = {.lex_state = 571},
  [3265] = {.lex_state = 571},
  [3266] = {.lex_state = 571},
  [3267] = {.lex_state = 571},
  [3268] = {.lex_state = 571},
  [3269] = {.lex_state = 571},
  [3270] = {.lex_state = 571},
  [3271] = {.lex_state = 571},
  [3272] = {.lex_state = 571},
  [3273] = {.lex_state = 571},
  [3274] = {.lex_state = 571},
  [3275] = {.lex_state = 571},
  [3276] = {.lex_state = 571},
  [3277] = {.lex_state = 571},
  [3278] = {.lex_state = 571},
  [3279] = {.lex_state = 571},
  [3280] = {.lex_state = 571},
  [3281] = {.lex_state = 571},
  [3282] = {.lex_state = 571},
  [3283] = {.lex_state = 571},
  [3284] = {.lex_state = 571},
  [3285] = {.lex_state = 571},
  [3286] = {.lex_state = 571},
  [3287] = {.lex_state = 571},
  [3288] = {.lex_state = 571},
  [3289] = {.lex_state = 571},
  [3290] = {.lex_state = 571},
  [3291] = {.lex_state = 571},
  [3292] = {.lex_state = 571},
  [3293] = {.lex_state = 571},
  [3294] = {.lex_state = 571},
  [3295] = {.lex_state = 571},
  [3296] = {.lex_state = 571},
  [3297] = {.lex_state = 571},
  [3298] = {.lex_state = 571},
  [3299] = {.lex_state = 571},
  [3300] = {.lex_state = 571},
  [3301] = {.lex_state = 571},
  [3302] = {.lex_state = 571},
  [3303] = {.lex_state = 571},
  [3304] = {.lex_state = 571},
  [3305] = {.lex_state = 571},
  [3306] = {.lex_state = 571},
  [3307] = {.lex_state = 571},
  [3308] = {.lex_state = 571},
  [3309] = {.lex_state = 571},
  [3310] = {.lex_state = 571},
  [3311] = {.lex_state = 571},
  [3312] = {.lex_state = 571},
  [3313] = {.lex_state = 571},
  [3314] = {.lex_state = 571},
  [3315] = {.lex_state = 571},
  [3316] = {.lex_state = 571},
  [3317] = {.lex_state = 571},
  [3318] = {.lex_state = 571},
  [3319] = {.lex_state = 571},
  [3320] = {.lex_state = 571},
  [3321] = {.lex_state = 571},
  [3322] = {.lex_state = 571},
  [3323] = {.lex_state = 571},
  [3324] = {.lex_state = 571},
  [3325] = {.lex_state = 571},
  [3326] = {.lex_state = 571},
  [3327] = {.lex_state = 571},
  [3328] = {.lex_state = 571},
  [3329] = {.lex_state = 571},
  [3330] = {.lex_state = 571},
  [3331] = {.lex_state = 571},
  [3332] = {.lex_state = 571},
  [3333] = {.lex_state = 571},
  [3334] = {.lex_state = 571},
  [3335] = {.lex_state = 571},
  [3336] = {.lex_state = 571},
  [3337] = {.lex_state = 571},
  [3338] = {.lex_state = 571},
  [3339] = {.lex_state = 571},
  [3340] = {.lex_state = 571},
  [3341] = {.lex_state = 571},
  [3342] = {.lex_state = 571},
  [3343] = {.lex_state = 571},
  [3344] = {.lex_state = 571},
  [3345] = {.lex_state = 571},
  [3346] = {.lex_state = 571},
  [3347] = {.lex_state = 571},
  [3348] = {.lex_state = 571},
  [3349] = {.lex_state = 571},
  [3350] = {.lex_state = 571},
  [3351] = {.lex_state = 571},
  [3352] = {.lex_state = 571},
  [3353] = {.lex_state = 571},
  [3354] = {.lex_state = 571},
  [3355] = {.lex_state = 571},
  [3356] = {.lex_state = 571},
  [3357] = {.lex_state = 571},
  [3358] = {.lex_state = 571},
  [3359] = {.lex_state = 571},
  [3360] = {.lex_state = 571},
  [3361] = {.lex_state = 571},
  [3362] = {.lex_state = 571},
  [3363] = {.lex_state = 571},
  [3364] = {.lex_state = 571},
  [3365] = {.lex_state = 571},
  [3366] = {.lex_state = 571},
  [3367] = {.lex_state = 571},
  [3368] = {.lex_state = 571},
  [3369] = {.lex_state = 571},
  [3370] = {.lex_state = 571},
  [3371] = {.lex_state = 571},
  [3372] = {.lex_state = 571},
  [3373] = {.lex_state = 571},
  [3374] = {.lex_state = 571},
  [3375] = {.lex_state = 571},
  [3376] = {.lex_state = 571},
  [3377] = {.lex_state = 571},
  [3378] = {.lex_state = 571},
  [3379] = {.lex_state = 571},
  [3380] = {.lex_state = 571},
  [3381] = {.lex_state = 571},
  [3382] = {.lex_state = 571},
  [3383] = {.lex_state = 571},
  [3384] = {.lex_state = 571},
  [3385] = {.lex_state = 571},
  [3386] = {.lex_state = 571},
  [3387] = {.lex_state = 571},
  [3388] = {.lex_state = 571},
  [3389] = {.lex_state = 571},
  [3390] = {.lex_state = 571},
  [3391] = {.lex_state = 571},
  [3392] = {.lex_state = 571},
  [3393] = {.lex_state = 571},
  [3394] = {.lex_state = 571},
  [3395] = {.lex_state = 571},
  [3396] = {.lex_state = 571},
  [3397] = {.lex_state = 571},
  [3398] = {.lex_state = 571},
  [3399] = {.lex_state = 571},
  [3400] = {.lex_state = 571},
  [3401] = {.lex_state = 571},
  [3402] = {.lex_state = 571},
  [3403] = {.lex_state = 571},
  [3404] = {.lex_state = 571},
  [3405] = {.lex_state = 571},
  [3406] = {.lex_state = 571},
  [3407] = {.lex_state = 571},
  [3408] = {.lex_state = 571},
  [3409] = {.lex_state = 571},
  [3410] = {.lex_state = 571},
  [3411] = {.lex_state = 571},
  [3412] = {.lex_state = 571},
  [3413] = {.lex_state = 571},
  [3414] = {.lex_state = 571},
  [3415] = {.lex_state = 571},
  [3416] = {.lex_state = 571},
  [3417] = {.lex_state = 571},
  [3418] = {.lex_state = 571},
  [3419] = {.lex_state = 571},
  [3420] = {.lex_state = 571},
  [3421] = {.lex_state = 571},
  [3422] = {.lex_state = 571},
  [3423] = {.lex_state = 571},
  [3424] = {.lex_state = 571},
  [3425] = {.lex_state = 571},
  [3426] = {.lex_state = 571},
  [3427] = {.lex_state = 571},
  [3428] = {.lex_state = 571},
  [3429] = {.lex_state = 571},
  [3430] = {.lex_state = 571},
  [3431] = {.lex_state = 571},
  [3432] = {.lex_state = 571},
  [3433] = {.lex_state = 571},
  [3434] = {.lex_state = 571},
  [3435] = {.lex_state = 571},
  [3436] = {.lex_state = 571},
  [3437] = {.lex_state = 571},
  [3438] = {.lex_state = 571},
  [3439] = {.lex_state = 571},
  [3440] = {.lex_state = 571},
  [3441] = {.lex_state = 571},
  [3442] = {.lex_state = 571},
  [3443] = {.lex_state = 571},
  [3444] = {.lex_state = 571},
  [3445] = {.lex_state = 571},
  [3446] = {.lex_state = 571},
  [3447] = {.lex_state = 571},
  [3448] = {.lex_state = 571},
  [3449] = {.lex_state = 571},
  [3450] = {.lex_state = 571},
  [3451] = {.lex_state = 571},
  [3452] = {.lex_state = 571},
  [3453] = {.lex_state = 571},
  [3454] = {.lex_state = 571},
  [3455] = {.lex_state = 571},
  [3456] = {.lex_state = 571},
  [3457] = {.lex_state = 571},
  [3458] = {.lex_state = 571},
  [3459] = {.lex_state = 571},
  [3460] = {.lex_state = 571},
  [3461] = {.lex_state = 571},
  [3462] = {.lex_state = 571},
  [3463] = {.lex_state = 571},
  [3464] = {.lex_state = 571},
  [3465] = {.lex_state = 571},
  [3466] = {.lex_state = 571},
  [3467] = {.lex_state = 571},
  [3468] = {.lex_state = 571},
  [3469] = {.lex_state = 571},
  [3470] = {.lex_state = 571},
  [3471] = {.lex_state = 571},
  [3472] = {.lex_state = 571},
  [3473] = {.lex_state = 571},
  [3474] = {.lex_state = 571},
  [3475] = {.lex_state = 571},
  [3476] = {.lex_state = 571},
  [3477] = {.lex_state = 571},
  [3478] = {.lex_state = 571},
  [3479] = {.lex_state = 571},
  [3480] = {.lex_state = 571},
  [3481] = {.lex_state = 571},
  [3482] = {.lex_state = 571},
  [3483] = {.lex_state = 571},
  [3484] = {.lex_state = 571},
  [3485] = {.lex_state = 571},
  [3486] = {.lex_state = 571},
  [3487] = {.lex_state = 571},
  [3488] = {.lex_state = 571},
  [3489] = {.lex_state = 571},
  [3490] = {.lex_state = 571},
  [3491] = {.lex_state = 571},
  [3492] = {.lex_state = 571},
  [3493] = {.lex_state = 571},
  [3494] = {.lex_state = 571},
  [3495] = {.lex_state = 571},
  [3496] = {.lex_state = 571},
  [3497] = {.lex_state = 571},
  [3498] = {.lex_state = 571},
  [3499] = {.lex_state = 571},
  [3500] = {.lex_state = 571},
  [3501] = {.lex_state = 571},
  [3502] = {.lex_state = 571},
  [3503] = {.lex_state = 571},
  [3504] = {.lex_state = 571},
  [3505] = {.lex_state = 571},
  [3506] = {.lex_state = 571},
  [3507] = {.lex_state = 571},
  [3508] = {.lex_state = 571},
  [3509] = {.lex_state = 571},
  [3510] = {.lex_state = 571},
  [3511] = {.lex_state = 571},
  [3512] = {.lex_state = 571},
  [3513] = {.lex_state = 571},
  [3514] = {.lex_state = 571},
  [3515] = {.lex_state = 571},
  [3516] = {.lex_state = 571},
  [3517] = {.lex_state = 571},
  [3518] = {.lex_state = 571},
  [3519] = {.lex_state = 571},
  [3520] = {.lex_state = 571},
  [3521] = {.lex_state = 571},
  [3522] = {.lex_state = 571},
  [3523] = {.lex_state = 571},
  [3524] = {.lex_state = 571},
  [3525] = {.lex_state = 571},
  [3526] = {.lex_state = 571},
  [3527] = {.lex_state = 571},
  [3528] = {.lex_state = 571},
  [3529] = {.lex_state = 571},
  [3530] = {.lex_state = 571},
  [3531] = {.lex_state = 571},
  [3532] = {.lex_state = 571},
  [3533] = {.lex_state = 571},
  [3534] = {.lex_state = 571},
  [3535] = {.lex_state = 571},
  [3536] = {.lex_state = 571},
  [3537] = {.lex_state = 571},
  [3538] = {.lex_state = 571},
  [3539] = {.lex_state = 571},
  [3540] = {.lex_state = 571},
  [3541] = {.lex_state = 571},
  [3542] = {.lex_state = 571},
  [3543] = {.lex_state = 571},
  [3544] = {.lex_state = 571},
  [3545] = {.lex_state = 571},
  [3546] = {.lex_state = 571},
  [3547] = {.lex_state = 571},
  [3548] = {.lex_state = 571},
  [3549] = {.lex_state = 571},
  [3550] = {.lex_state = 571},
  [3551] = {.lex_state = 571},
  [3552] = {.lex_state = 571},
  [3553] = {.lex_state = 571},
  [3554] = {.lex_state = 571},
  [3555] = {.lex_state = 571},
  [3556] = {.lex_state = 571},
  [3557] = {.lex_state = 571},
  [3558] = {.lex_state = 571},
  [3559] = {.lex_state = 571},
  [3560] = {.lex_state = 571},
  [3561] = {.lex_state = 571},
  [3562] = {.lex_state = 571},
  [3563] = {.lex_state = 571},
  [3564] = {.lex_state = 571},
  [3565] = {.lex_state = 571},
  [3566] = {.lex_state = 571},
  [3567] = {.lex_state = 571},
  [3568] = {.lex_state = 571},
  [3569] = {.lex_state = 571},
  [3570] = {.lex_state = 571},
  [3571] = {.lex_state = 571},
  [3572] = {.lex_state = 571},
  [3573] = {.lex_state = 571},
  [3574] = {.lex_state = 571},
  [3575] = {.lex_state = 571},
  [3576] = {.lex_state = 571},
  [3577] = {.lex_state = 571},
  [3578] = {.lex_state = 571},
  [3579] = {.lex_state = 571},
  [3580] = {.lex_state = 571},
  [3581] = {.lex_state = 571},
  [3582] = {.lex_state = 571},
  [3583] = {.lex_state = 571},
  [3584] = {.lex_state = 571},
  [3585] = {.lex_state = 571},
  [3586] = {.lex_state = 571},
  [3587] = {.lex_state = 571},
  [3588] = {.lex_state = 571},
  [3589] = {.lex_state = 571},
  [3590] = {.lex_state = 571},
  [3591] = {.lex_state = 571},
  [3592] = {.lex_state = 571},
  [3593] = {.lex_state = 571},
  [3594] = {.lex_state = 571},
  [3595] = {.lex_state = 571},
  [3596] = {.lex_state = 571},
  [3597] = {.lex_state = 571},
  [3598] = {.lex_state = 571},
  [3599] = {.lex_state = 571},
  [3600] = {.lex_state = 571},
  [3601] = {.lex_state = 571},
  [3602] = {.lex_state = 571},
  [3603] = {.lex_state = 571},
  [3604] = {.lex_state = 571},
  [3605] = {.lex_state = 571},
  [3606] = {.lex_state = 571},
  [3607] = {.lex_state = 571},
  [3608] = {.lex_state = 571},
  [3609] = {.lex_state = 571},
  [3610] = {.lex_state = 571},
  [3611] = {.lex_state = 571},
  [3612] = {.lex_state = 571},
  [3613] = {.lex_state = 571},
  [3614] = {.lex_state = 571},
  [3615] = {.lex_state = 571},
  [3616] = {.lex_state = 571},
  [3617] = {.lex_state = 571},
  [3618] = {.lex_state = 571},
  [3619] = {.lex_state = 571},
  [3620] = {.lex_state = 571},
  [3621] = {.lex_state = 571},
  [3622] = {.lex_state = 571},
  [3623] = {.lex_state = 571},
  [3624] = {.lex_state = 571},
  [3625] = {.lex_state = 571},
  [3626] = {.lex_state = 571},
  [3627] = {.lex_state = 571},
  [3628] = {.lex_state = 571},
  [3629] = {.lex_state = 571},
  [3630] = {.lex_state = 571},
  [3631] = {.lex_state = 571},
  [3632] = {.lex_state = 571},
  [3633] = {.lex_state = 571},
  [3634] = {.lex_state = 571},
  [3635] = {.lex_state = 571},
  [3636] = {.lex_state = 571},
  [3637] = {.lex_state = 571},
  [3638] = {.lex_state = 571},
  [3639] = {.lex_state = 571},
  [3640] = {.lex_state = 571},
  [3641] = {.lex_state = 571},
  [3642] = {.lex_state = 571},
  [3643] = {.lex_state = 571},
  [3644] = {.lex_state = 571},
  [3645] = {.lex_state = 571},
  [3646] = {.lex_state = 571},
  [3647] = {.lex_state = 571},
  [3648] = {.lex_state = 571},
  [3649] = {.lex_state = 571},
  [3650] = {.lex_state = 571},
  [3651] = {.lex_state = 571},
  [3652] = {.lex_state = 571},
  [3653] = {.lex_state = 571},
  [3654] = {.lex_state = 571},
  [3655] = {.lex_state = 571},
  [3656] = {.lex_state = 571},
  [3657] = {.lex_state = 571},
  [3658] = {.lex_state = 571},
  [3659] = {.lex_state = 571},
  [3660] = {.lex_state = 571},
  [3661] = {.lex_state = 571},
  [3662] = {.lex_state = 571},
  [3663] = {.lex_state = 571},
  [3664] = {.lex_state = 571},
  [3665] = {.lex_state = 571},
  [3666] = {.lex_state = 571},
  [3667] = {.lex_state = 571},
  [3668] = {.lex_state = 571},
  [3669] = {.lex_state = 571},
  [3670] = {.lex_state = 571},
  [3671] = {.lex_state = 571},
  [3672] = {.lex_state = 571},
  [3673] = {.lex_state = 571},
  [3674] = {.lex_state = 571},
  [3675] = {.lex_state = 571},
  [3676] = {.lex_state = 571},
  [3677] = {.lex_state = 571},
  [3678] = {.lex_state = 571},
  [3679] = {.lex_state = 571},
  [3680] = {.lex_state = 571},
  [3681] = {.lex_state = 571},
  [3682] = {.lex_state = 571},
  [3683] = {.lex_state = 571},
  [3684] = {.lex_state = 571},
  [3685] = {.lex_state = 571},
  [3686] = {.lex_state = 571},
  [3687] = {.lex_state = 571},
  [3688] = {.lex_state = 571},
  [3689] = {.lex_state = 571},
  [3690] = {.lex_state = 571},
  [3691] = {.lex_state = 571},
  [3692] = {.lex_state = 571},
  [3693] = {.lex_state = 571},
  [3694] = {.lex_state = 571},
  [3695] = {.lex_state = 571},
  [3696] = {.lex_state = 571},
  [3697] = {.lex_state = 571},
  [3698] = {.lex_state = 571},
  [3699] = {.lex_state = 571},
  [3700] = {.lex_state = 571},
  [3701] = {.lex_state = 571},
  [3702] = {.lex_state = 571},
  [3703] = {.lex_state = 571},
  [3704] = {.lex_state = 571},
  [3705] = {.lex_state = 571},
  [3706] = {.lex_state = 571},
  [3707] = {.lex_state = 571},
  [3708] = {.lex_state = 571},
  [3709] = {.lex_state = 571},
  [3710] = {.lex_state = 571},
  [3711] = {.lex_state = 571},
  [3712] = {.lex_state = 571},
  [3713] = {.lex_state = 571},
  [3714] = {.lex_state = 571},
  [3715] = {.lex_state = 571},
  [3716] = {.lex_state = 571},
  [3717] = {.lex_state = 571},
  [3718] = {.lex_state = 571},
  [3719] = {.lex_state = 571},
  [3720] = {.lex_state = 571},
  [3721] = {.lex_state = 571},
  [3722] = {.lex_state = 571},
  [3723] = {.lex_state = 571},
  [3724] = {.lex_state = 571},
  [3725] = {.lex_state = 571},
  [3726] = {.lex_state = 571},
  [3727] = {.lex_state = 571},
  [3728] = {.lex_state = 571},
  [3729] = {.lex_state = 571},
  [3730] = {.lex_state = 571},
  [3731] = {.lex_state = 571},
  [3732] = {.lex_state = 571},
  [3733] = {.lex_state = 571},
  [3734] = {.lex_state = 571},
  [3735] = {.lex_state = 571},
  [3736] = {.lex_state = 571},
  [3737] = {.lex_state = 571},
  [3738] = {.lex_state = 571},
  [3739] = {.lex_state = 571},
  [3740] = {.lex_state = 571},
  [3741] = {.lex_state = 571},
  [3742] = {.lex_state = 571},
  [3743] = {.lex_state = 571},
  [3744] = {.lex_state = 571},
  [3745] = {.lex_state = 571},
  [3746] = {.lex_state = 571},
  [3747] = {.lex_state = 571},
  [3748] = {.lex_state = 571},
  [3749] = {.lex_state = 571},
  [3750] = {.lex_state = 571},
  [3751] = {.lex_state = 571},
  [3752] = {.lex_state = 571},
  [3753] = {.lex_state = 571},
  [3754] = {.lex_state = 571},
  [3755] = {.lex_state = 571},
  [3756] = {.lex_state = 571},
  [3757] = {.lex_state = 571},
  [3758] = {.lex_state = 571},
  [3759] = {.lex_state = 571},
  [3760] = {.lex_state = 571},
  [3761] = {.lex_state = 571},
  [3762] = {.lex_state = 571},
  [3763] = {.lex_state = 571},
  [3764] = {.lex_state = 571},
  [3765] = {.lex_state = 571},
  [3766] = {.lex_state = 571},
  [3767] = {.lex_state = 571},
  [3768] = {.lex_state = 571},
  [3769] = {.lex_state = 571},
  [3770] = {.lex_state = 571},
  [3771] = {.lex_state = 571},
  [3772] = {.lex_state = 571},
  [3773] = {.lex_state = 571},
  [3774] = {.lex_state = 571},
  [3775] = {.lex_state = 571},
  [3776] = {.lex_state = 571},
  [3777] = {.lex_state = 571},
  [3778] = {.lex_state = 571},
  [3779] = {.lex_state = 571},
  [3780] = {.lex_state = 571},
  [3781] = {.lex_state = 571},
  [3782] = {.lex_state = 571},
  [3783] = {.lex_state = 571},
  [3784] = {.lex_state = 571},
  [3785] = {.lex_state = 571},
  [3786] = {.lex_state = 571},
  [3787] = {.lex_state = 571},
  [3788] = {.lex_state = 571},
  [3789] = {.lex_state = 571},
  [3790] = {.lex_state = 571},
  [3791] = {.lex_state = 571},
  [3792] = {.lex_state = 571},
  [3793] = {.lex_state = 571},
  [3794] = {.lex_state = 571},
  [3795] = {.lex_state = 571},
  [3796] = {.lex_state = 571},
  [3797] = {.lex_state = 571},
  [3798] = {.lex_state = 571},
  [3799] = {.lex_state = 571},
  [3800] = {.lex_state = 571},
  [3801] = {.lex_state = 571},
  [3802] = {.lex_state = 571},
  [3803] = {.lex_state = 571},
  [3804] = {.lex_state = 571},
  [3805] = {.lex_state = 571},
  [3806] = {.lex_state = 571},
  [3807] = {.lex_state = 571},
  [3808] = {.lex_state = 571},
  [3809] = {.lex_state = 571},
  [3810] = {.lex_state = 571},
  [3811] = {.lex_state = 571},
  [3812] = {.lex_state = 571},
  [3813] = {.lex_state = 571},
  [3814] = {.lex_state = 571},
  [3815] = {.lex_state = 571},
  [3816] = {.lex_state = 571},
  [3817] = {.lex_state = 571},
  [3818] = {.lex_state = 571},
  [3819] = {.lex_state = 571},
  [3820] = {.lex_state = 571},
  [3821] = {.lex_state = 571},
  [3822] = {.lex_state = 571},
  [3823] = {.lex_state = 571},
  [3824] = {.lex_state = 571},
  [3825] = {.lex_state = 571},
  [3826] = {.lex_state = 571},
  [3827] = {.lex_state = 571},
  [3828] = {.lex_state = 571},
  [3829] = {.lex_state = 571},
  [3830] = {.lex_state = 571},
  [3831] = {.lex_state = 571},
  [3832] = {.lex_state = 571},
  [3833] = {.lex_state = 571},
  [3834] = {.lex_state = 571},
  [3835] = {.lex_state = 571},
  [3836] = {.lex_state = 571},
  [3837] = {.lex_state = 571},
  [3838] = {.lex_state = 571},
  [3839] = {.lex_state = 571},
  [3840] = {.lex_state = 571},
  [3841] = {.lex_state = 571},
  [3842] = {.lex_state = 571},
  [3843] = {.lex_state = 571},
  [3844] = {.lex_state = 571},
  [3845] = {.lex_state = 571},
  [3846] = {.lex_state = 571},
  [3847] = {.lex_state = 571},
  [3848] = {.lex_state = 571},
  [3849] = {.lex_state = 571},
  [3850] = {.lex_state = 571},
  [3851] = {.lex_state = 571},
  [3852] = {.lex_state = 571},
  [3853] = {.lex_state = 571},
  [3854] = {.lex_state = 571},
  [3855] = {.lex_state = 571},
  [3856] = {.lex_state = 571},
  [3857] = {.lex_state = 571},
  [3858] = {.lex_state = 571},
  [3859] = {.lex_state = 571},
  [3860] = {.lex_state = 571},
  [3861] = {.lex_state = 571},
  [3862] = {.lex_state = 571},
  [3863] = {.lex_state = 571},
  [3864] = {.lex_state = 571},
  [3865] = {.lex_state = 571},
  [3866] = {.lex_state = 571},
  [3867] = {.lex_state = 571},
  [3868] = {.lex_state = 571},
  [3869] = {.lex_state = 571},
  [3870] = {.lex_state = 571},
  [3871] = {.lex_state = 571},
  [3872] = {.lex_state = 571},
  [3873] = {.lex_state = 571},
  [3874] = {.lex_state = 571},
  [3875] = {.lex_state = 571},
  [3876] = {.lex_state = 571},
  [3877] = {.lex_state = 571},
  [3878] = {.lex_state = 571},
  [3879] = {.lex_state = 571},
  [3880] = {.lex_state = 571},
  [3881] = {.lex_state = 571},
  [3882] = {.lex_state = 571},
  [3883] = {.lex_state = 571},
  [3884] = {.lex_state = 571},
  [3885] = {.lex_state = 571},
  [3886] = {.lex_state = 571},
  [3887] = {.lex_state = 571},
  [3888] = {.lex_state = 571},
  [3889] = {.lex_state = 571},
  [3890] = {.lex_state = 571},
  [3891] = {.lex_state = 571},
  [3892] = {.lex_state = 571},
  [3893] = {.lex_state = 571},
  [3894] = {.lex_state = 571},
  [3895] = {.lex_state = 571},
  [3896] = {.lex_state = 571},
  [3897] = {.lex_state = 571},
  [3898] = {.lex_state = 571},
  [3899] = {.lex_state = 571},
  [3900] = {.lex_state = 571},
  [3901] = {.lex_state = 571},
  [3902] = {.lex_state = 571},
  [3903] = {.lex_state = 571},
  [3904] = {.lex_state = 571},
  [3905] = {.lex_state = 571},
  [3906] = {.lex_state = 571},
  [3907] = {.lex_state = 571},
  [3908] = {.lex_state = 571},
  [3909] = {.lex_state = 571},
  [3910] = {.lex_state = 571},
  [3911] = {.lex_state = 571},
  [3912] = {.lex_state = 571},
  [3913] = {.lex_state = 571},
  [3914] = {.lex_state = 571},
  [3915] = {.lex_state = 571},
  [3916] = {.lex_state = 571},
  [3917] = {.lex_state = 571},
  [3918] = {.lex_state = 571},
  [3919] = {.lex_state = 571},
  [3920] = {.lex_state = 571},
  [3921] = {.lex_state = 571},
  [3922] = {.lex_state = 571},
  [3923] = {.lex_state = 571},
  [3924] = {.lex_state = 571},
  [3925] = {.lex_state = 571},
  [3926] = {.lex_state = 571},
  [3927] = {.lex_state = 571},
  [3928] = {.lex_state = 571},
  [3929] = {.lex_state = 571},
  [3930] = {.lex_state = 571},
  [3931] = {.lex_state = 571},
  [3932] = {.lex_state = 571},
  [3933] = {.lex_state = 571},
  [3934] = {.lex_state = 571},
  [3935] = {.lex_state = 571},
  [3936] = {.lex_state = 571},
  [3937] = {.lex_state = 571},
  [3938] = {.lex_state = 571},
  [3939] = {.lex_state = 571},
  [3940] = {.lex_state = 571},
  [3941] = {.lex_state = 571},
  [3942] = {.lex_state = 571},
  [3943] = {.lex_state = 571},
  [3944] = {.lex_state = 571},
  [3945] = {.lex_state = 571},
  [3946] = {.lex_state = 571},
  [3947] = {.lex_state = 571},
  [3948] = {.lex_state = 571},
  [3949] = {.lex_state = 571},
  [3950] = {.lex_state = 571},
  [3951] = {.lex_state = 571},
  [3952] = {.lex_state = 571},
  [3953] = {.lex_state = 571},
  [3954] = {.lex_state = 571},
  [3955] = {.lex_state = 571},
  [3956] = {.lex_state = 571},
  [3957] = {.lex_state = 571},
  [3958] = {.lex_state = 571},
  [3959] = {.lex_state = 571},
  [3960] = {.lex_state = 571},
  [3961] = {.lex_state = 571},
  [3962] = {.lex_state = 571},
  [3963] = {.lex_state = 571},
  [3964] = {.lex_state = 571},
  [3965] = {.lex_state = 571},
  [3966] = {.lex_state = 571},
  [3967] = {.lex_state = 571},
  [3968] = {.lex_state = 571},
  [3969] = {.lex_state = 571},
  [3970] = {.lex_state = 571},
  [3971] = {.lex_state = 571},
  [3972] = {.lex_state = 571},
  [3973] = {.lex_state = 571},
  [3974] = {.lex_state = 571},
  [3975] = {.lex_state = 571},
  [3976] = {.lex_state = 571},
  [3977] = {.lex_state = 571},
  [3978] = {.lex_state = 571},
  [3979] = {.lex_state = 571},
  [3980] = {.lex_state = 571},
  [3981] = {.lex_state = 571},
  [3982] = {.lex_state = 571},
  [3983] = {.lex_state = 571},
  [3984] = {.lex_state = 571},
  [3985] = {.lex_state = 571},
  [3986] = {.lex_state = 571},
  [3987] = {.lex_state = 571},
  [3988] = {.lex_state = 571},
  [3989] = {.lex_state = 571},
  [3990] = {.lex_state = 571},
  [3991] = {.lex_state = 571},
  [3992] = {.lex_state = 571},
  [3993] = {.lex_state = 571},
  [3994] = {.lex_state = 571},
  [3995] = {.lex_state = 571},
  [3996] = {.lex_state = 571},
  [3997] = {.lex_state = 571},
  [3998] = {.lex_state = 571},
  [3999] = {.lex_state = 571},
  [4000] = {.lex_state = 571},
  [4001] = {.lex_state = 571},
  [4002] = {.lex_state = 571},
  [4003] = {.lex_state = 571},
  [4004] = {.lex_state = 571},
  [4005] = {.lex_state = 571},
  [4006] = {.lex_state = 571},
  [4007] = {.lex_state = 571},
  [4008] = {.lex_state = 571},
  [4009] = {.lex_state = 571},
  [4010] = {.lex_state = 571},
  [4011] = {.lex_state = 571},
  [4012] = {.lex_state = 571},
  [4013] = {.lex_state = 571},
  [4014] = {.lex_state = 571},
  [4015] = {.lex_state = 571},
  [4016] = {.lex_state = 571},
  [4017] = {.lex_state = 571},
  [4018] = {.lex_state = 571},
  [4019] = {.lex_state = 571},
  [4020] = {.lex_state = 571},
  [4021] = {.lex_state = 571},
  [4022] = {.lex_state = 571},
  [4023] = {.lex_state = 571},
  [4024] = {.lex_state = 571},
  [4025] = {.lex_state = 571},
  [4026] = {.lex_state = 571},
  [4027] = {.lex_state = 571},
  [4028] = {.lex_state = 571},
  [4029] = {.lex_state = 571},
  [4030] = {.lex_state = 571},
  [4031] = {.lex_state = 571},
  [4032] = {.lex_state = 571},
  [4033] = {.lex_state = 571},
  [4034] = {.lex_state = 571},
  [4035] = {.lex_state = 571},
  [4036] = {.lex_state = 571},
  [4037] = {.lex_state = 571},
  [4038] = {.lex_state = 571},
  [4039] = {.lex_state = 571},
  [4040] = {.lex_state = 571},
  [4041] = {.lex_state = 571},
  [4042] = {.lex_state = 571},
  [4043] = {.lex_state = 571},
  [4044] = {.lex_state = 571},
  [4045] = {.lex_state = 571},
  [4046] = {.lex_state = 571},
  [4047] = {.lex_state = 571},
  [4048] = {.lex_state = 571},
  [4049] = {.lex_state = 571},
  [4050] = {.lex_state = 571},
  [4051] = {.lex_state = 571},
  [4052] = {.lex_state = 571},
  [4053] = {.lex_state = 571},
  [4054] = {.lex_state = 571},
  [4055] = {.lex_state = 571},
  [4056] = {.lex_state = 571},
  [4057] = {.lex_state = 571},
  [4058] = {.lex_state = 571},
  [4059] = {.lex_state = 571},
  [4060] = {.lex_state = 571},
  [4061] = {.lex_state = 571},
  [4062] = {.lex_state = 571},
  [4063] = {.lex_state = 571},
  [4064] = {.lex_state = 571},
  [4065] = {.lex_state = 571},
  [4066] = {.lex_state = 571},
  [4067] = {.lex_state = 571},
  [4068] = {.lex_state = 571},
  [4069] = {.lex_state = 571},
  [4070] = {.lex_state = 571},
  [4071] = {.lex_state = 571},
  [4072] = {.lex_state = 571},
  [4073] = {.lex_state = 571},
  [4074] = {.lex_state = 571},
  [4075] = {.lex_state = 571},
  [4076] = {.lex_state = 571},
  [4077] = {.lex_state = 571},
  [4078] = {.lex_state = 571},
  [4079] = {.lex_state = 571},
  [4080] = {.lex_state = 571},
  [4081] = {.lex_state = 571},
  [4082] = {.lex_state = 571},
  [4083] = {.lex_state = 571},
  [4084] = {.lex_state = 571},
  [4085] = {.lex_state = 571},
  [4086] = {.lex_state = 571},
  [4087] = {.lex_state = 571},
  [4088] = {.lex_state = 571},
  [4089] = {.lex_state = 571},
  [4090] = {.lex_state = 571},
  [4091] = {.lex_state = 571},
  [4092] = {.lex_state = 571},
  [4093] = {.lex_state = 571},
  [4094] = {.lex_state = 571},
  [4095] = {.lex_state = 571},
  [4096] = {.lex_state = 571},
  [4097] = {.lex_state = 571},
  [4098] = {.lex_state = 571},
  [4099] = {.lex_state = 571},
  [4100] = {.lex_state = 571},
  [4101] = {.lex_state = 571},
  [4102] = {.lex_state = 571},
  [4103] = {.lex_state = 571},
  [4104] = {.lex_state = 571},
  [4105] = {.lex_state = 571},
  [4106] = {.lex_state = 571},
  [4107] = {.lex_state = 571},
  [4108] = {.lex_state = 571},
  [4109] = {.lex_state = 571},
  [4110] = {.lex_state = 571},
  [4111] = {.lex_state = 571},
  [4112] = {.lex_state = 571},
  [4113] = {.lex_state = 571},
  [4114] = {.lex_state = 571},
  [4115] = {.lex_state = 571},
  [4116] = {.lex_state = 571},
  [4117] = {.lex_state = 571},
  [4118] = {.lex_state = 571},
  [4119] = {.lex_state = 571},
  [4120] = {.lex_state = 571},
  [4121] = {.lex_state = 571},
  [4122] = {.lex_state = 571},
  [4123] = {.lex_state = 571},
  [4124] = {.lex_state = 571},
  [4125] = {.lex_state = 571},
  [4126] = {.lex_state = 571},
  [4127] = {.lex_state = 571},
  [4128] = {.lex_state = 571},
  [4129] = {.lex_state = 571},
  [4130] = {.lex_state = 571},
  [4131] = {.lex_state = 571},
  [4132] = {.lex_state = 571},
  [4133] = {.lex_state = 571},
  [4134] = {.lex_state = 571},
  [4135] = {.lex_state = 571},
  [4136] = {.lex_state = 571},
  [4137] = {.lex_state = 571},
  [4138] = {.lex_state = 571},
  [4139] = {.lex_state = 571},
  [4140] = {.lex_state = 571},
  [4141] = {.lex_state = 571},
  [4142] = {.lex_state = 571},
  [4143] = {.lex_state = 571},
  [4144] = {.lex_state = 571},
  [4145] = {.lex_state = 571},
  [4146] = {.lex_state = 571},
  [4147] = {.lex_state = 571},
  [4148] = {.lex_state = 571},
  [4149] = {.lex_state = 571},
  [4150] = {.lex_state = 571},
  [4151] = {.lex_state = 571},
  [4152] = {.lex_state = 571},
  [4153] = {.lex_state = 571},
  [4154] = {.lex_state = 571},
  [4155] = {.lex_state = 571},
  [4156] = {.lex_state = 571},
  [4157] = {.lex_state = 571},
  [4158] = {.lex_state = 571},
  [4159] = {.lex_state = 571},
  [4160] = {.lex_state = 571},
  [4161] = {.lex_state = 571},
  [4162] = {.lex_state = 571},
  [4163] = {.lex_state = 571},
  [4164] = {.lex_state = 571},
  [4165] = {.lex_state = 571},
  [4166] = {.lex_state = 571},
  [4167] = {.lex_state = 571},
  [4168] = {.lex_state = 571},
  [4169] = {.lex_state = 571},
  [4170] = {.lex_state = 571},
  [4171] = {.lex_state = 571},
  [4172] = {.lex_state = 571},
  [4173] = {.lex_state = 571},
  [4174] = {.lex_state = 571},
  [4175] = {.lex_state = 571},
  [4176] = {.lex_state = 571},
  [4177] = {.lex_state = 571},
  [4178] = {.lex_state = 571},
  [4179] = {.lex_state = 571},
  [4180] = {.lex_state = 571},
  [4181] = {.lex_state = 571},
  [4182] = {.lex_state = 571},
  [4183] = {.lex_state = 571},
  [4184] = {.lex_state = 571},
  [4185] = {.lex_state = 571},
  [4186] = {.lex_state = 571},
  [4187] = {.lex_state = 571},
  [4188] = {.lex_state = 571},
  [4189] = {.lex_state = 571},
  [4190] = {.lex_state = 571},
  [4191] = {.lex_state = 571},
  [4192] = {.lex_state = 571},
  [4193] = {.lex_state = 571},
  [4194] = {.lex_state = 571},
  [4195] = {.lex_state = 571},
  [4196] = {.lex_state = 571},
  [4197] = {.lex_state = 571},
  [4198] = {.lex_state = 571},
  [4199] = {.lex_state = 571},
  [4200] = {.lex_state = 571},
  [4201] = {.lex_state = 571},
  [4202] = {.lex_state = 571},
  [4203] = {.lex_state = 571},
  [4204] = {.lex_state = 571},
  [4205] = {.lex_state = 571},
  [4206] = {.lex_state = 571},
  [4207] = {.lex_state = 571},
  [4208] = {.lex_state = 571},
  [4209] = {.lex_state = 571},
  [4210] = {.lex_state = 571},
  [4211] = {.lex_state = 571},
  [4212] = {.lex_state = 571},
  [4213] = {.lex_state = 571},
  [4214] = {.lex_state = 571},
  [4215] = {.lex_state = 571},
  [4216] = {.lex_state = 571},
  [4217] = {.lex_state = 571},
  [4218] = {.lex_state = 571},
  [4219] = {.lex_state = 571},
  [4220] = {.lex_state = 571},
  [4221] = {.lex_state = 571},
  [4222] = {.lex_state = 571},
  [4223] = {.lex_state = 571},
  [4224] = {.lex_state = 571},
  [4225] = {.lex_state = 571},
  [4226] = {.lex_state = 571},
  [4227] = {.lex_state = 571},
  [4228] = {.lex_state = 571},
  [4229] = {.lex_state = 571},
  [4230] = {.lex_state = 571},
  [4231] = {.lex_state = 571},
  [4232] = {.lex_state = 571},
  [4233] = {.lex_state = 571},
  [4234] = {.lex_state = 571},
  [4235] = {.lex_state = 571},
  [4236] = {.lex_state = 571},
  [4237] = {.lex_state = 571},
  [4238] = {.lex_state = 571},
  [4239] = {.lex_state = 571},
  [4240] = {.lex_state = 571},
  [4241] = {.lex_state = 571},
  [4242] = {.lex_state = 571},
  [4243] = {.lex_state = 571},
  [4244] = {.lex_state = 571},
  [4245] = {.lex_state = 571},
  [4246] = {.lex_state = 571},
  [4247] = {.lex_state = 571},
  [4248] = {.lex_state = 571},
  [4249] = {.lex_state = 571},
  [4250] = {.lex_state = 571},
  [4251] = {.lex_state = 571},
  [4252] = {.lex_state = 571},
  [4253] = {.lex_state = 571},
  [4254] = {.lex_state = 571},
  [4255] = {.lex_state = 571},
  [4256] = {.lex_state = 571},
  [4257] = {.lex_state = 571},
  [4258] = {.lex_state = 571},
  [4259] = {.lex_state = 571},
  [4260] = {.lex_state = 571},
  [4261] = {.lex_state = 571},
  [4262] = {.lex_state = 571},
  [4263] = {.lex_state = 571},
  [4264] = {.lex_state = 571},
  [4265] = {.lex_state = 571},
  [4266] = {.lex_state = 571},
  [4267] = {.lex_state = 571},
  [4268] = {.lex_state = 571},
  [4269] = {.lex_state = 571},
  [4270] = {.lex_state = 571},
  [4271] = {.lex_state = 571},
  [4272] = {.lex_state = 571},
  [4273] = {.lex_state = 571},
  [4274] = {.lex_state = 571},
  [4275] = {.lex_state = 571},
  [4276] = {.lex_state = 571},
  [4277] = {.lex_state = 571},
  [4278] = {.lex_state = 571},
  [4279] = {.lex_state = 571},
  [4280] = {.lex_state = 571},
  [4281] = {.lex_state = 571},
  [4282] = {.lex_state = 571},
  [4283] = {.lex_state = 571},
  [4284] = {.lex_state = 571},
  [4285] = {.lex_state = 571},
  [4286] = {.lex_state = 571},
  [4287] = {.lex_state = 571},
  [4288] = {.lex_state = 571},
  [4289] = {.lex_state = 571},
  [4290] = {.lex_state = 571},
  [4291] = {.lex_state = 571},
  [4292] = {.lex_state = 571},
  [4293] = {.lex_state = 571},
  [4294] = {.lex_state = 571},
  [4295] = {.lex_state = 571},
  [4296] = {.lex_state = 571},
  [4297] = {.lex_state = 571},
  [4298] = {.lex_state = 571},
  [4299] = {.lex_state = 571},
  [4300] = {.lex_state = 571},
  [4301] = {.lex_state = 571},
  [4302] = {.lex_state = 571},
  [4303] = {.lex_state = 571},
  [4304] = {.lex_state = 571},
  [4305] = {.lex_state = 571},
  [4306] = {.lex_state = 571},
  [4307] = {.lex_state = 571},
  [4308] = {.lex_state = 571},
  [4309] = {.lex_state = 571},
  [4310] = {.lex_state = 571},
  [4311] = {.lex_state = 571},
  [4312] = {.lex_state = 571},
  [4313] = {.lex_state = 571},
  [4314] = {.lex_state = 571},
  [4315] = {.lex_state = 571},
  [4316] = {.lex_state = 571},
  [4317] = {.lex_state = 571},
  [4318] = {.lex_state = 571},
  [4319] = {.lex_state = 571},
  [4320] = {.lex_state = 571},
  [4321] = {.lex_state = 571},
  [4322] = {.lex_state = 571},
  [4323] = {.lex_state = 571},
  [4324] = {.lex_state = 571},
  [4325] = {.lex_state = 571},
  [4326] = {.lex_state = 571},
  [4327] = {.lex_state = 571},
  [4328] = {.lex_state = 571},
  [4329] = {.lex_state = 571},
  [4330] = {.lex_state = 571},
  [4331] = {.lex_state = 571},
  [4332] = {.lex_state = 571},
  [4333] = {.lex_state = 571},
  [4334] = {.lex_state = 571},
  [4335] = {.lex_state = 571},
  [4336] = {.lex_state = 571},
  [4337] = {.lex_state = 571},
  [4338] = {.lex_state = 571},
  [4339] = {.lex_state = 571},
  [4340] = {.lex_state = 571},
  [4341] = {.lex_state = 571},
  [4342] = {.lex_state = 571},
  [4343] = {.lex_state = 571},
  [4344] = {.lex_state = 571},
  [4345] = {.lex_state = 571},
  [4346] = {.lex_state = 571},
  [4347] = {.lex_state = 571},
  [4348] = {.lex_state = 571},
  [4349] = {.lex_state = 571},
  [4350] = {.lex_state = 571},
  [4351] = {.lex_state = 571},
  [4352] = {.lex_state = 571},
  [4353] = {.lex_state = 571},
  [4354] = {.lex_state = 571},
  [4355] = {.lex_state = 571},
  [4356] = {.lex_state = 571},
  [4357] = {.lex_state = 571},
  [4358] = {.lex_state = 571},
  [4359] = {.lex_state = 571},
  [4360] = {.lex_state = 571},
  [4361] = {.lex_state = 571},
  [4362] = {.lex_state = 571},
  [4363] = {.lex_state = 571},
  [4364] = {.lex_state = 571},
  [4365] = {.lex_state = 571},
  [4366] = {.lex_state = 571},
  [4367] = {.lex_state = 571},
  [4368] = {.lex_state = 571},
  [4369] = {.lex_state = 571},
  [4370] = {.lex_state = 571},
  [4371] = {.lex_state = 571},
  [4372] = {.lex_state = 571},
  [4373] = {.lex_state = 571},
  [4374] = {.lex_state = 571},
  [4375] = {.lex_state = 571},
  [4376] = {.lex_state = 571},
  [4377] = {.lex_state = 571},
  [4378] = {.lex_state = 571},
  [4379] = {.lex_state = 571},
  [4380] = {.lex_state = 571},
  [4381] = {.lex_state = 571},
  [4382] = {.lex_state = 571},
  [4383] = {.lex_state = 571},
  [4384] = {.lex_state = 571},
  [4385] = {.lex_state = 571},
  [4386] = {.lex_state = 571},
  [4387] = {.lex_state = 571},
  [4388] = {.lex_state = 571},
  [4389] = {.lex_state = 571},
  [4390] = {.lex_state = 571},
  [4391] = {.lex_state = 571},
  [4392] = {.lex_state = 571},
  [4393] = {.lex_state = 571},
  [4394] = {.lex_state = 571},
  [4395] = {.lex_state = 571},
  [4396] = {.lex_state = 571},
  [4397] = {.lex_state = 571},
  [4398] = {.lex_state = 571},
  [4399] = {.lex_state = 571},
  [4400] = {.lex_state = 571},
  [4401] = {.lex_state = 571},
  [4402] = {.lex_state = 571},
  [4403] = {.lex_state = 571},
  [4404] = {.lex_state = 571},
  [4405] = {.lex_state = 571},
  [4406] = {.lex_state = 571},
  [4407] = {.lex_state = 571},
  [4408] = {.lex_state = 571},
  [4409] = {.lex_state = 571},
  [4410] = {.lex_state = 571},
  [4411] = {.lex_state = 571},
  [4412] = {.lex_state = 571},
  [4413] = {.lex_state = 571},
  [4414] = {.lex_state = 571},
  [4415] = {.lex_state = 571},
  [4416] = {.lex_state = 571},
  [4417] = {.lex_state = 571},
  [4418] = {.lex_state = 571},
  [4419] = {.lex_state = 571},
  [4420] = {.lex_state = 571},
  [4421] = {.lex_state = 571},
  [4422] = {.lex_state = 571},
  [4423] = {.lex_state = 571},
  [4424] = {.lex_state = 571},
  [4425] = {.lex_state = 571},
  [4426] = {.lex_state = 571},
  [4427] = {.lex_state = 571},
  [4428] = {.lex_state = 571},
  [4429] = {.lex_state = 571},
  [4430] = {.lex_state = 571},
  [4431] = {.lex_state = 571},
  [4432] = {.lex_state = 571},
  [4433] = {.lex_state = 571},
  [4434] = {.lex_state = 571},
  [4435] = {.lex_state = 571},
  [4436] = {.lex_state = 571},
  [4437] = {.lex_state = 571},
  [4438] = {.lex_state = 571},
  [4439] = {.lex_state = 571},
  [4440] = {.lex_state = 571},
  [4441] = {.lex_state = 571},
  [4442] = {.lex_state = 571},
  [4443] = {.lex_state = 571},
  [4444] = {.lex_state = 571},
  [4445] = {.lex_state = 571},
  [4446] = {.lex_state = 571},
  [4447] = {.lex_state = 571},
  [4448] = {.lex_state = 571},
  [4449] = {.lex_state = 571},
  [4450] = {.lex_state = 571},
  [4451] = {.lex_state = 571},
  [4452] = {.lex_state = 571},
  [4453] = {.lex_state = 571},
  [4454] = {.lex_state = 571},
  [4455] = {.lex_state = 571},
  [4456] = {.lex_state = 571},
  [4457] = {.lex_state = 571},
  [4458] = {.lex_state = 571},
  [4459] = {.lex_state = 571},
  [4460] = {.lex_state = 571},
  [4461] = {.lex_state = 571},
  [4462] = {.lex_state = 571},
  [4463] = {.lex_state = 571},
  [4464] = {.lex_state = 571},
  [4465] = {.lex_state = 571},
  [4466] = {.lex_state = 571},
  [4467] = {.lex_state = 571},
  [4468] = {.lex_state = 571},
  [4469] = {.lex_state = 571},
  [4470] = {.lex_state = 571},
  [4471] = {.lex_state = 571},
  [4472] = {.lex_state = 571},
  [4473] = {.lex_state = 571},
  [4474] = {.lex_state = 571},
  [4475] = {.lex_state = 571},
  [4476] = {.lex_state = 571},
  [4477] = {.lex_state = 571},
  [4478] = {.lex_state = 571},
  [4479] = {.lex_state = 571},
  [4480] = {.lex_state = 571},
  [4481] = {.lex_state = 571},
  [4482] = {.lex_state = 571},
  [4483] = {.lex_state = 571},
  [4484] = {.lex_state = 571},
  [4485] = {.lex_state = 571},
  [4486] = {.lex_state = 571},
  [4487] = {.lex_state = 571},
  [4488] = {.lex_state = 571},
  [4489] = {.lex_state = 571},
  [4490] = {.lex_state = 571},
  [4491] = {.lex_state = 571},
  [4492] = {.lex_state = 571},
  [4493] = {.lex_state = 571},
  [4494] = {.lex_state = 571},
  [4495] = {.lex_state = 571},
  [4496] = {.lex_state = 571},
  [4497] = {.lex_state = 571},
  [4498] = {.lex_state = 571},
  [4499] = {.lex_state = 571},
  [4500] = {.lex_state = 571},
  [4501] = {.lex_state = 571},
  [4502] = {.lex_state = 571},
  [4503] = {.lex_state = 571},
  [4504] = {.lex_state = 571},
  [4505] = {.lex_state = 571},
  [4506] = {.lex_state = 571},
  [4507] = {.lex_state = 571},
  [4508] = {.lex_state = 571},
  [4509] = {.lex_state = 571},
  [4510] = {.lex_state = 571},
  [4511] = {.lex_state = 234, .external_lex_state = 3},
  [4512] = {.lex_state = 241, .external_lex_state = 3},
  [4513] = {.lex_state = 247, .external_lex_state = 3},
  [4514] = {.lex_state = 30, .external_lex_state = 3},
  [4515] = {.lex_state = 280, .external_lex_state = 3},
  [4516] = {.lex_state = 518, .external_lex_state = 3},
  [4517] = {.lex_state = 34, .external_lex_state = 3},
  [4518] = {.lex_state = 253, .external_lex_state = 3},
  [4519] = {.lex_state = 253, .external_lex_state = 3},
  [4520] = {.lex_state = 286, .external_lex_state = 3},
  [4521] = {.lex_state = 4},
  [4522] = {.lex_state = 8},
  [4523] = {.lex_state = 237},
  [4524] = {.lex_state = 17},
  [4525] = {.lex_state = 512},
  [4526] = {.lex_state = 312},
  [4527] = {.lex_state = 12},
  [4528] = {.lex_state = 516},
  [4529] = {.lex_state = 318},
  [4530] = {.lex_state = 259, .external_lex_state = 3},
  [4531] = {.lex_state = 264, .external_lex_state = 3},
  [4532] = {.lex_state = 37, .external_lex_state = 3},
  [4533] = {.lex_state = 269, .external_lex_state = 3},
  [4534] = {.lex_state = 39, .external_lex_state = 3},
  [4535] = {.lex_state = 289, .external_lex_state = 3},
  [4536] = {.lex_state = 521, .external_lex_state = 3},
  [4537] = {.lex_state = 271, .external_lex_state = 3},
  [4538] = {.lex_state = 297, .external_lex_state = 3},
  [4539] = {.lex_state = 510, .external_lex_state = 2},
  [4540] = {.lex_state = 273, .external_lex_state = 2},
  [4541] = {.lex_state = 273, .external_lex_state = 2},
  [4542] = {.lex_state = 510, .external_lex_state = 2},
  [4543] = {.lex_state = 510, .external_lex_state = 2},
  [4544] = {.lex_state = 273, .external_lex_state = 2},
  [4545] = {.lex_state = 42, .external_lex_state = 2},
  [4546] = {.lex_state = 44, .external_lex_state = 3},
  [4547] = {.lex_state = 46, .external_lex_state = 3},
  [4548] = {.lex_state = 273, .external_lex_state = 2},
  [4549] = {.lex_state = 234, .external_lex_state = 2},
  [4550] = {.lex_state = 46, .external_lex_state = 3},
  [4551] = {.lex_state = 523, .external_lex_state = 2},
  [4552] = {.lex_state = 523, .external_lex_state = 2},
  [4553] = {.lex_state = 278, .external_lex_state = 2},
  [4554] = {.lex_state = 42, .external_lex_state = 2},
  [4555] = {.lex_state = 241, .external_lex_state = 2},
  [4556] = {.lex_state = 46, .external_lex_state = 3},
  [4557] = {.lex_state = 42, .external_lex_state = 2},
  [4558] = {.lex_state = 44, .external_lex_state = 3},
  [4559] = {.lex_state = 241, .external_lex_state = 2},
  [4560] = {.lex_state = 44, .external_lex_state = 3},
  [4561] = {.lex_state = 49, .external_lex_state = 2},
  [4562] = {.lex_state = 275, .external_lex_state = 2},
  [4563] = {.lex_state = 49, .external_lex_state = 2},
  [4564] = {.lex_state = 44, .external_lex_state = 3},
  [4565] = {.lex_state = 46, .external_lex_state = 3},
  [4566] = {.lex_state = 49, .external_lex_state = 2},
  [4567] = {.lex_state = 523, .external_lex_state = 2},
  [4568] = {.lex_state = 241, .external_lex_state = 2},
  [4569] = {.lex_state = 278, .external_lex_state = 2},
  [4570] = {.lex_state = 234, .external_lex_state = 2},
  [4571] = {.lex_state = 275, .external_lex_state = 2},
  [4572] = {.lex_state = 275, .external_lex_state = 2},
  [4573] = {.lex_state = 278, .external_lex_state = 2},
  [4574] = {.lex_state = 273, .external_lex_state = 2},
  [4575] = {.lex_state = 234, .external_lex_state = 2},
  [4576] = {.lex_state = 234, .external_lex_state = 2},
  [4577] = {.lex_state = 241, .external_lex_state = 2},
  [4578] = {.lex_state = 46, .external_lex_state = 3},
  [4579] = {.lex_state = 234, .external_lex_state = 3},
  [4580] = {.lex_state = 46, .external_lex_state = 3},
  [4581] = {.lex_state = 235, .external_lex_state = 3},
  [4582] = {.lex_state = 234, .external_lex_state = 3},
  [4583] = {.lex_state = 280, .external_lex_state = 2},
  [4584] = {.lex_state = 46, .external_lex_state = 3},
  [4585] = {.lex_state = 247, .external_lex_state = 2},
  [4586] = {.lex_state = 280, .external_lex_state = 2},
  [4587] = {.lex_state = 241, .external_lex_state = 3},
  [4588] = {.lex_state = 51, .external_lex_state = 3},
  [4589] = {.lex_state = 46, .external_lex_state = 3},
  [4590] = {.lex_state = 46, .external_lex_state = 3},
  [4591] = {.lex_state = 46, .external_lex_state = 3},
  [4592] = {.lex_state = 34, .external_lex_state = 2},
  [4593] = {.lex_state = 34, .external_lex_state = 2},
  [4594] = {.lex_state = 241, .external_lex_state = 3},
  [4595] = {.lex_state = 279, .external_lex_state = 3},
  [4596] = {.lex_state = 2, .external_lex_state = 2},
  [4597] = {.lex_state = 279, .external_lex_state = 3},
  [4598] = {.lex_state = 46, .external_lex_state = 3},
  [4599] = {.lex_state = 30, .external_lex_state = 2},
  [4600] = {.lex_state = 53, .external_lex_state = 3},
  [4601] = {.lex_state = 247, .external_lex_state = 2},
  [4602] = {.lex_state = 44, .external_lex_state = 3},
  [4603] = {.lex_state = 234, .external_lex_state = 3},
  [4604] = {.lex_state = 44, .external_lex_state = 3},
  [4605] = {.lex_state = 234, .external_lex_state = 3},
  [4606] = {.lex_state = 273, .external_lex_state = 3},
  [4607] = {.lex_state = 273, .external_lex_state = 3},
  [4608] = {.lex_state = 273, .external_lex_state = 3},
  [4609] = {.lex_state = 30, .external_lex_state = 2},
  [4610] = {.lex_state = 241, .external_lex_state = 3},
  [4611] = {.lex_state = 247, .external_lex_state = 2},
  [4612] = {.lex_state = 525, .external_lex_state = 3},
  [4613] = {.lex_state = 2, .external_lex_state = 2},
  [4614] = {.lex_state = 518, .external_lex_state = 2},
  [4615] = {.lex_state = 525, .external_lex_state = 3},
  [4616] = {.lex_state = 273, .external_lex_state = 3},
  [4617] = {.lex_state = 273, .external_lex_state = 3},
  [4618] = {.lex_state = 510, .external_lex_state = 3},
  [4619] = {.lex_state = 510, .external_lex_state = 3},
  [4620] = {.lex_state = 51, .external_lex_state = 3},
  [4621] = {.lex_state = 282, .external_lex_state = 3},
  [4622] = {.lex_state = 46, .external_lex_state = 3},
  [4623] = {.lex_state = 273, .external_lex_state = 3},
  [4624] = {.lex_state = 525, .external_lex_state = 3},
  [4625] = {.lex_state = 241, .external_lex_state = 3},
  [4626] = {.lex_state = 241, .external_lex_state = 3},
  [4627] = {.lex_state = 273, .external_lex_state = 3},
  [4628] = {.lex_state = 247, .external_lex_state = 2},
  [4629] = {.lex_state = 30, .external_lex_state = 2},
  [4630] = {.lex_state = 234, .external_lex_state = 3},
  [4631] = {.lex_state = 46, .external_lex_state = 3},
  [4632] = {.lex_state = 46, .external_lex_state = 3},
  [4633] = {.lex_state = 518, .external_lex_state = 2},
  [4634] = {.lex_state = 242, .external_lex_state = 3},
  [4635] = {.lex_state = 280, .external_lex_state = 2},
  [4636] = {.lex_state = 279, .external_lex_state = 3},
  [4637] = {.lex_state = 510, .external_lex_state = 3},
  [4638] = {.lex_state = 518, .external_lex_state = 2},
  [4639] = {.lex_state = 241, .external_lex_state = 3},
  [4640] = {.lex_state = 56, .external_lex_state = 3},
  [4641] = {.lex_state = 30, .external_lex_state = 2},
  [4642] = {.lex_state = 56, .external_lex_state = 3},
  [4643] = {.lex_state = 280, .external_lex_state = 2},
  [4644] = {.lex_state = 56, .external_lex_state = 3},
  [4645] = {.lex_state = 56, .external_lex_state = 3},
  [4646] = {.lex_state = 234, .external_lex_state = 3},
  [4647] = {.lex_state = 518, .external_lex_state = 2},
  [4648] = {.lex_state = 51, .external_lex_state = 3},
  [4649] = {.lex_state = 510, .external_lex_state = 3},
  [4650] = {.lex_state = 44, .external_lex_state = 3},
  [4651] = {.lex_state = 44, .external_lex_state = 3},
  [4652] = {.lex_state = 44, .external_lex_state = 3},
  [4653] = {.lex_state = 44, .external_lex_state = 3},
  [4654] = {.lex_state = 44, .external_lex_state = 3},
  [4655] = {.lex_state = 44, .external_lex_state = 3},
  [4656] = {.lex_state = 44, .external_lex_state = 3},
  [4657] = {.lex_state = 44, .external_lex_state = 3},
  [4658] = {.lex_state = 44, .external_lex_state = 3},
  [4659] = {.lex_state = 44, .external_lex_state = 3},
  [4660] = {.lex_state = 53, .external_lex_state = 3},
  [4661] = {.lex_state = 34, .external_lex_state = 2},
  [4662] = {.lex_state = 510, .external_lex_state = 3},
  [4663] = {.lex_state = 234, .external_lex_state = 3},
  [4664] = {.lex_state = 241, .external_lex_state = 3},
  [4665] = {.lex_state = 510, .external_lex_state = 3},
  [4666] = {.lex_state = 46, .external_lex_state = 3},
  [4667] = {.lex_state = 53, .external_lex_state = 3},
  [4668] = {.lex_state = 510, .external_lex_state = 3},
  [4669] = {.lex_state = 525, .external_lex_state = 3},
  [4670] = {.lex_state = 241, .external_lex_state = 3},
  [4671] = {.lex_state = 241, .external_lex_state = 3},
  [4672] = {.lex_state = 34, .external_lex_state = 2},
  [4673] = {.lex_state = 2, .external_lex_state = 2},
  [4674] = {.lex_state = 46, .external_lex_state = 3},
  [4675] = {.lex_state = 279, .external_lex_state = 3},
  [4676] = {.lex_state = 234, .external_lex_state = 3},
  [4677] = {.lex_state = 53, .external_lex_state = 3},
  [4678] = {.lex_state = 234, .external_lex_state = 3},
  [4679] = {.lex_state = 51, .external_lex_state = 3},
  [4680] = {.lex_state = 241, .external_lex_state = 3},
  [4681] = {.lex_state = 2, .external_lex_state = 2},
  [4682] = {.lex_state = 247, .external_lex_state = 3},
  [4683] = {.lex_state = 247, .external_lex_state = 3},
  [4684] = {.lex_state = 247, .external_lex_state = 3},
  [4685] = {.lex_state = 51, .external_lex_state = 3},
  [4686] = {.lex_state = 241, .external_lex_state = 3},
  [4687] = {.lex_state = 241, .external_lex_state = 3},
  [4688] = {.lex_state = 51, .external_lex_state = 3},
  [4689] = {.lex_state = 51, .external_lex_state = 3},
  [4690] = {.lex_state = 58, .external_lex_state = 3},
  [4691] = {.lex_state = 518, .external_lex_state = 3},
  [4692] = {.lex_state = 518, .external_lex_state = 3},
  [4693] = {.lex_state = 518, .external_lex_state = 3},
  [4694] = {.lex_state = 51, .external_lex_state = 3},
  [4695] = {.lex_state = 278, .external_lex_state = 3},
  [4696] = {.lex_state = 279, .external_lex_state = 3},
  [4697] = {.lex_state = 51, .external_lex_state = 3},
  [4698] = {.lex_state = 518, .external_lex_state = 3},
  [4699] = {.lex_state = 58, .external_lex_state = 3},
  [4700] = {.lex_state = 51, .external_lex_state = 3},
  [4701] = {.lex_state = 53, .external_lex_state = 3},
  [4702] = {.lex_state = 234, .external_lex_state = 3},
  [4703] = {.lex_state = 30, .external_lex_state = 3},
  [4704] = {.lex_state = 234, .external_lex_state = 3},
  [4705] = {.lex_state = 234, .external_lex_state = 3},
  [4706] = {.lex_state = 234, .external_lex_state = 3},
  [4707] = {.lex_state = 234, .external_lex_state = 3},
  [4708] = {.lex_state = 279, .external_lex_state = 3},
  [4709] = {.lex_state = 234, .external_lex_state = 3},
  [4710] = {.lex_state = 275, .external_lex_state = 3},
  [4711] = {.lex_state = 253, .external_lex_state = 2},
  [4712] = {.lex_state = 234, .external_lex_state = 3},
  [4713] = {.lex_state = 241, .external_lex_state = 3},
  [4714] = {.lex_state = 234, .external_lex_state = 3},
  [4715] = {.lex_state = 234, .external_lex_state = 3},
  [4716] = {.lex_state = 30, .external_lex_state = 3},
  [4717] = {.lex_state = 234, .external_lex_state = 3},
  [4718] = {.lex_state = 278, .external_lex_state = 3},
  [4719] = {.lex_state = 234, .external_lex_state = 3},
  [4720] = {.lex_state = 53, .external_lex_state = 3},
  [4721] = {.lex_state = 234, .external_lex_state = 3},
  [4722] = {.lex_state = 2, .external_lex_state = 2},
  [4723] = {.lex_state = 234, .external_lex_state = 3},
  [4724] = {.lex_state = 53, .external_lex_state = 3},
  [4725] = {.lex_state = 234, .external_lex_state = 3},
  [4726] = {.lex_state = 275, .external_lex_state = 3},
  [4727] = {.lex_state = 241, .external_lex_state = 3},
  [4728] = {.lex_state = 280, .external_lex_state = 3},
  [4729] = {.lex_state = 30, .external_lex_state = 3},
  [4730] = {.lex_state = 234, .external_lex_state = 3},
  [4731] = {.lex_state = 34, .external_lex_state = 3},
  [4732] = {.lex_state = 234, .external_lex_state = 3},
  [4733] = {.lex_state = 234, .external_lex_state = 3},
  [4734] = {.lex_state = 53, .external_lex_state = 3},
  [4735] = {.lex_state = 281, .external_lex_state = 3},
  [4736] = {.lex_state = 518, .external_lex_state = 3},
  [4737] = {.lex_state = 241, .external_lex_state = 3},
  [4738] = {.lex_state = 53, .external_lex_state = 3},
  [4739] = {.lex_state = 275, .external_lex_state = 3},
  [4740] = {.lex_state = 53, .external_lex_state = 3},
  [4741] = {.lex_state = 53, .external_lex_state = 3},
  [4742] = {.lex_state = 49, .external_lex_state = 3},
  [4743] = {.lex_state = 53, .external_lex_state = 3},
  [4744] = {.lex_state = 523, .external_lex_state = 2},
  [4745] = {.lex_state = 53, .external_lex_state = 3},
  [4746] = {.lex_state = 53, .external_lex_state = 3},
  [4747] = {.lex_state = 35, .external_lex_state = 3},
  [4748] = {.lex_state = 241, .external_lex_state = 3},
  [4749] = {.lex_state = 241, .external_lex_state = 3},
  [4750] = {.lex_state = 241, .external_lex_state = 3},
  [4751] = {.lex_state = 241, .external_lex_state = 3},
  [4752] = {.lex_state = 247, .external_lex_state = 3},
  [4753] = {.lex_state = 30, .external_lex_state = 3},
  [4754] = {.lex_state = 241, .external_lex_state = 3},
  [4755] = {.lex_state = 518, .external_lex_state = 3},
  [4756] = {.lex_state = 525, .external_lex_state = 3},
  [4757] = {.lex_state = 523, .external_lex_state = 3},
  [4758] = {.lex_state = 525, .external_lex_state = 3},
  [4759] = {.lex_state = 523, .external_lex_state = 3},
  [4760] = {.lex_state = 525, .external_lex_state = 3},
  [4761] = {.lex_state = 51, .external_lex_state = 3},
  [4762] = {.lex_state = 525, .external_lex_state = 3},
  [4763] = {.lex_state = 525, .external_lex_state = 3},
  [4764] = {.lex_state = 253, .external_lex_state = 2},
  [4765] = {.lex_state = 525, .external_lex_state = 3},
  [4766] = {.lex_state = 525, .external_lex_state = 3},
  [4767] = {.lex_state = 525, .external_lex_state = 3},
  [4768] = {.lex_state = 58, .external_lex_state = 3},
  [4769] = {.lex_state = 278, .external_lex_state = 3},
  [4770] = {.lex_state = 278, .external_lex_state = 3},
  [4771] = {.lex_state = 241, .external_lex_state = 3},
  [4772] = {.lex_state = 234, .external_lex_state = 3},
  [4773] = {.lex_state = 234, .external_lex_state = 3},
  [4774] = {.lex_state = 241, .external_lex_state = 3},
  [4775] = {.lex_state = 241, .external_lex_state = 3},
  [4776] = {.lex_state = 241, .external_lex_state = 3},
  [4777] = {.lex_state = 42, .external_lex_state = 3},
  [4778] = {.lex_state = 247, .external_lex_state = 3},
  [4779] = {.lex_state = 247, .external_lex_state = 3},
  [4780] = {.lex_state = 241, .external_lex_state = 3},
  [4781] = {.lex_state = 525, .external_lex_state = 3},
  [4782] = {.lex_state = 234, .external_lex_state = 3},
  [4783] = {.lex_state = 280, .external_lex_state = 3},
  [4784] = {.lex_state = 234, .external_lex_state = 3},
  [4785] = {.lex_state = 253, .external_lex_state = 2},
  [4786] = {.lex_state = 241, .external_lex_state = 3},
  [4787] = {.lex_state = 241, .external_lex_state = 3},
  [4788] = {.lex_state = 234, .external_lex_state = 3},
  [4789] = {.lex_state = 42, .external_lex_state = 3},
  [4790] = {.lex_state = 234, .external_lex_state = 3},
  [4791] = {.lex_state = 241, .external_lex_state = 3},
  [4792] = {.lex_state = 51, .external_lex_state = 3},
  [4793] = {.lex_state = 234, .external_lex_state = 3},
  [4794] = {.lex_state = 247, .external_lex_state = 3},
  [4795] = {.lex_state = 241, .external_lex_state = 3},
  [4796] = {.lex_state = 241, .external_lex_state = 3},
  [4797] = {.lex_state = 241, .external_lex_state = 3},
  [4798] = {.lex_state = 241, .external_lex_state = 3},
  [4799] = {.lex_state = 525, .external_lex_state = 3},
  [4800] = {.lex_state = 53, .external_lex_state = 3},
  [4801] = {.lex_state = 241, .external_lex_state = 3},
  [4802] = {.lex_state = 241, .external_lex_state = 3},
  [4803] = {.lex_state = 278, .external_lex_state = 3},
  [4804] = {.lex_state = 42, .external_lex_state = 3},
  [4805] = {.lex_state = 241, .external_lex_state = 3},
  [4806] = {.lex_state = 234, .external_lex_state = 3},
  [4807] = {.lex_state = 241, .external_lex_state = 3},
  [4808] = {.lex_state = 34, .external_lex_state = 3},
  [4809] = {.lex_state = 234, .external_lex_state = 3},
  [4810] = {.lex_state = 247, .external_lex_state = 3},
  [4811] = {.lex_state = 241, .external_lex_state = 3},
  [4812] = {.lex_state = 241, .external_lex_state = 3},
  [4813] = {.lex_state = 525, .external_lex_state = 3},
  [4814] = {.lex_state = 523, .external_lex_state = 3},
  [4815] = {.lex_state = 525, .external_lex_state = 3},
  [4816] = {.lex_state = 278, .external_lex_state = 3},
  [4817] = {.lex_state = 241, .external_lex_state = 3},
  [4818] = {.lex_state = 241, .external_lex_state = 3},
  [4819] = {.lex_state = 523, .external_lex_state = 3},
  [4820] = {.lex_state = 42, .external_lex_state = 3},
  [4821] = {.lex_state = 34, .external_lex_state = 3},
  [4822] = {.lex_state = 523, .external_lex_state = 2},
  [4823] = {.lex_state = 241, .external_lex_state = 3},
  [4824] = {.lex_state = 42, .external_lex_state = 3},
  [4825] = {.lex_state = 241, .external_lex_state = 3},
  [4826] = {.lex_state = 241, .external_lex_state = 3},
  [4827] = {.lex_state = 523, .external_lex_state = 3},
  [4828] = {.lex_state = 241, .external_lex_state = 3},
  [4829] = {.lex_state = 280, .external_lex_state = 3},
  [4830] = {.lex_state = 278, .external_lex_state = 3},
  [4831] = {.lex_state = 241, .external_lex_state = 3},
  [4832] = {.lex_state = 234, .external_lex_state = 3},
  [4833] = {.lex_state = 241, .external_lex_state = 3},
  [4834] = {.lex_state = 241, .external_lex_state = 3},
  [4835] = {.lex_state = 241, .external_lex_state = 3},
  [4836] = {.lex_state = 241, .external_lex_state = 3},
  [4837] = {.lex_state = 280, .external_lex_state = 3},
  [4838] = {.lex_state = 280, .external_lex_state = 3},
  [4839] = {.lex_state = 280, .external_lex_state = 3},
  [4840] = {.lex_state = 280, .external_lex_state = 3},
  [4841] = {.lex_state = 241, .external_lex_state = 3},
  [4842] = {.lex_state = 241, .external_lex_state = 3},
  [4843] = {.lex_state = 241, .external_lex_state = 3},
  [4844] = {.lex_state = 253, .external_lex_state = 2},
  [4845] = {.lex_state = 241, .external_lex_state = 3},
  [4846] = {.lex_state = 279, .external_lex_state = 3},
  [4847] = {.lex_state = 241, .external_lex_state = 3},
  [4848] = {.lex_state = 234, .external_lex_state = 3},
  [4849] = {.lex_state = 518, .external_lex_state = 3},
  [4850] = {.lex_state = 56, .external_lex_state = 3},
  [4851] = {.lex_state = 234, .external_lex_state = 3},
  [4852] = {.lex_state = 234, .external_lex_state = 3},
  [4853] = {.lex_state = 56, .external_lex_state = 3},
  [4854] = {.lex_state = 241, .external_lex_state = 3},
  [4855] = {.lex_state = 30, .external_lex_state = 3},
  [4856] = {.lex_state = 241, .external_lex_state = 3},
  [4857] = {.lex_state = 518, .external_lex_state = 3},
  [4858] = {.lex_state = 280, .external_lex_state = 3},
  [4859] = {.lex_state = 241, .external_lex_state = 3},
  [4860] = {.lex_state = 241, .external_lex_state = 3},
  [4861] = {.lex_state = 279, .external_lex_state = 3},
  [4862] = {.lex_state = 523, .external_lex_state = 3},
  [4863] = {.lex_state = 241, .external_lex_state = 3},
  [4864] = {.lex_state = 241, .external_lex_state = 3},
  [4865] = {.lex_state = 280, .external_lex_state = 3},
  [4866] = {.lex_state = 42, .external_lex_state = 3},
  [4867] = {.lex_state = 42, .external_lex_state = 3},
  [4868] = {.lex_state = 241, .external_lex_state = 3},
  [4869] = {.lex_state = 241, .external_lex_state = 3},
  [4870] = {.lex_state = 241, .external_lex_state = 3},
  [4871] = {.lex_state = 49, .external_lex_state = 3},
  [4872] = {.lex_state = 30, .external_lex_state = 3},
  [4873] = {.lex_state = 30, .external_lex_state = 3},
  [4874] = {.lex_state = 49, .external_lex_state = 3},
  [4875] = {.lex_state = 34, .external_lex_state = 3},
  [4876] = {.lex_state = 34, .external_lex_state = 3},
  [4877] = {.lex_state = 49, .external_lex_state = 3},
  [4878] = {.lex_state = 275, .external_lex_state = 3},
  [4879] = {.lex_state = 30, .external_lex_state = 3},
  [4880] = {.lex_state = 34, .external_lex_state = 3},
  [4881] = {.lex_state = 34, .external_lex_state = 3},
  [4882] = {.lex_state = 275, .external_lex_state = 3},
  [4883] = {.lex_state = 49, .external_lex_state = 3},
  [4884] = {.lex_state = 275, .external_lex_state = 3},
  [4885] = {.lex_state = 241, .external_lex_state = 3},
  [4886] = {.lex_state = 519, .external_lex_state = 3},
  [4887] = {.lex_state = 30, .external_lex_state = 3},
  [4888] = {.lex_state = 49, .external_lex_state = 3},
  [4889] = {.lex_state = 241, .external_lex_state = 3},
  [4890] = {.lex_state = 241, .external_lex_state = 3},
  [4891] = {.lex_state = 241, .external_lex_state = 3},
  [4892] = {.lex_state = 241, .external_lex_state = 3},
  [4893] = {.lex_state = 234, .external_lex_state = 3},
  [4894] = {.lex_state = 241, .external_lex_state = 3},
  [4895] = {.lex_state = 56, .external_lex_state = 3},
  [4896] = {.lex_state = 56, .external_lex_state = 3},
  [4897] = {.lex_state = 56, .external_lex_state = 3},
  [4898] = {.lex_state = 56, .external_lex_state = 3},
  [4899] = {.lex_state = 234, .external_lex_state = 3},
  [4900] = {.lex_state = 56, .external_lex_state = 3},
  [4901] = {.lex_state = 56, .external_lex_state = 3},
  [4902] = {.lex_state = 56, .external_lex_state = 3},
  [4903] = {.lex_state = 56, .external_lex_state = 3},
  [4904] = {.lex_state = 51, .external_lex_state = 3},
  [4905] = {.lex_state = 279, .external_lex_state = 3},
  [4906] = {.lex_state = 241, .external_lex_state = 3},
  [4907] = {.lex_state = 241, .external_lex_state = 3},
  [4908] = {.lex_state = 279, .external_lex_state = 3},
  [4909] = {.lex_state = 31, .external_lex_state = 3},
  [4910] = {.lex_state = 58, .external_lex_state = 3},
  [4911] = {.lex_state = 279, .external_lex_state = 3},
  [4912] = {.lex_state = 275, .external_lex_state = 3},
  [4913] = {.lex_state = 49, .external_lex_state = 3},
  [4914] = {.lex_state = 279, .external_lex_state = 3},
  [4915] = {.lex_state = 51, .external_lex_state = 3},
  [4916] = {.lex_state = 34, .external_lex_state = 3},
  [4917] = {.lex_state = 51, .external_lex_state = 3},
  [4918] = {.lex_state = 234, .external_lex_state = 3},
  [4919] = {.lex_state = 248, .external_lex_state = 3},
  [4920] = {.lex_state = 56, .external_lex_state = 3},
  [4921] = {.lex_state = 234, .external_lex_state = 3},
  [4922] = {.lex_state = 56, .external_lex_state = 3},
  [4923] = {.lex_state = 51, .external_lex_state = 3},
  [4924] = {.lex_state = 53, .external_lex_state = 3},
  [4925] = {.lex_state = 518, .external_lex_state = 3},
  [4926] = {.lex_state = 34, .external_lex_state = 3},
  [4927] = {.lex_state = 234, .external_lex_state = 3},
  [4928] = {.lex_state = 234, .external_lex_state = 3},
  [4929] = {.lex_state = 234, .external_lex_state = 3},
  [4930] = {.lex_state = 234, .external_lex_state = 3},
  [4931] = {.lex_state = 234, .external_lex_state = 3},
  [4932] = {.lex_state = 234, .external_lex_state = 3},
  [4933] = {.lex_state = 234, .external_lex_state = 3},
  [4934] = {.lex_state = 234, .external_lex_state = 3},
  [4935] = {.lex_state = 234, .external_lex_state = 3},
  [4936] = {.lex_state = 279, .external_lex_state = 3},
  [4937] = {.lex_state = 523, .external_lex_state = 3},
  [4938] = {.lex_state = 234, .external_lex_state = 3},
  [4939] = {.lex_state = 234, .external_lex_state = 3},
  [4940] = {.lex_state = 247, .external_lex_state = 3},
  [4941] = {.lex_state = 234, .external_lex_state = 3},
  [4942] = {.lex_state = 234, .external_lex_state = 3},
  [4943] = {.lex_state = 234, .external_lex_state = 3},
  [4944] = {.lex_state = 234, .external_lex_state = 3},
  [4945] = {.lex_state = 234, .external_lex_state = 3},
  [4946] = {.lex_state = 234, .external_lex_state = 3},
  [4947] = {.lex_state = 234, .external_lex_state = 3},
  [4948] = {.lex_state = 234, .external_lex_state = 3},
  [4949] = {.lex_state = 234, .external_lex_state = 3},
  [4950] = {.lex_state = 234, .external_lex_state = 3},
  [4951] = {.lex_state = 234, .external_lex_state = 3},
  [4952] = {.lex_state = 279, .external_lex_state = 3},
  [4953] = {.lex_state = 234, .external_lex_state = 3},
  [4954] = {.lex_state = 234, .external_lex_state = 3},
  [4955] = {.lex_state = 279, .external_lex_state = 3},
  [4956] = {.lex_state = 234, .external_lex_state = 3},
  [4957] = {.lex_state = 279, .external_lex_state = 3},
  [4958] = {.lex_state = 518, .external_lex_state = 3},
  [4959] = {.lex_state = 30, .external_lex_state = 3},
  [4960] = {.lex_state = 34, .external_lex_state = 3},
  [4961] = {.lex_state = 30, .external_lex_state = 3},
  [4962] = {.lex_state = 247, .external_lex_state = 3},
  [4963] = {.lex_state = 30, .external_lex_state = 3},
  [4964] = {.lex_state = 30, .external_lex_state = 3},
  [4965] = {.lex_state = 30, .external_lex_state = 3},
  [4966] = {.lex_state = 518, .external_lex_state = 3},
  [4967] = {.lex_state = 34, .external_lex_state = 3},
  [4968] = {.lex_state = 244, .external_lex_state = 2},
  [4969] = {.lex_state = 247, .external_lex_state = 3},
  [4970] = {.lex_state = 247, .external_lex_state = 3},
  [4971] = {.lex_state = 247, .external_lex_state = 3},
  [4972] = {.lex_state = 247, .external_lex_state = 3},
  [4973] = {.lex_state = 247, .external_lex_state = 3},
  [4974] = {.lex_state = 247, .external_lex_state = 3},
  [4975] = {.lex_state = 34, .external_lex_state = 3},
  [4976] = {.lex_state = 247, .external_lex_state = 3},
  [4977] = {.lex_state = 247, .external_lex_state = 3},
  [4978] = {.lex_state = 247, .external_lex_state = 3},
  [4979] = {.lex_state = 247, .external_lex_state = 3},
  [4980] = {.lex_state = 247, .external_lex_state = 3},
  [4981] = {.lex_state = 247, .external_lex_state = 3},
  [4982] = {.lex_state = 247, .external_lex_state = 3},
  [4983] = {.lex_state = 247, .external_lex_state = 3},
  [4984] = {.lex_state = 247, .external_lex_state = 3},
  [4985] = {.lex_state = 247, .external_lex_state = 3},
  [4986] = {.lex_state = 247, .external_lex_state = 3},
  [4987] = {.lex_state = 247, .external_lex_state = 3},
  [4988] = {.lex_state = 247, .external_lex_state = 3},
  [4989] = {.lex_state = 247, .external_lex_state = 3},
  [4990] = {.lex_state = 247, .external_lex_state = 3},
  [4991] = {.lex_state = 247, .external_lex_state = 3},
  [4992] = {.lex_state = 247, .external_lex_state = 3},
  [4993] = {.lex_state = 247, .external_lex_state = 3},
  [4994] = {.lex_state = 247, .external_lex_state = 3},
  [4995] = {.lex_state = 247, .external_lex_state = 3},
  [4996] = {.lex_state = 247, .external_lex_state = 3},
  [4997] = {.lex_state = 247, .external_lex_state = 3},
  [4998] = {.lex_state = 247, .external_lex_state = 3},
  [4999] = {.lex_state = 247, .external_lex_state = 3},
  [5000] = {.lex_state = 518, .external_lex_state = 3},
  [5001] = {.lex_state = 518, .external_lex_state = 3},
  [5002] = {.lex_state = 30, .external_lex_state = 3},
  [5003] = {.lex_state = 30, .external_lex_state = 3},
  [5004] = {.lex_state = 247, .external_lex_state = 3},
  [5005] = {.lex_state = 247, .external_lex_state = 3},
  [5006] = {.lex_state = 30, .external_lex_state = 3},
  [5007] = {.lex_state = 30, .external_lex_state = 3},
  [5008] = {.lex_state = 247, .external_lex_state = 3},
  [5009] = {.lex_state = 247, .external_lex_state = 3},
  [5010] = {.lex_state = 247, .external_lex_state = 3},
  [5011] = {.lex_state = 244, .external_lex_state = 2},
  [5012] = {.lex_state = 250, .external_lex_state = 2},
  [5013] = {.lex_state = 247, .external_lex_state = 3},
  [5014] = {.lex_state = 247, .external_lex_state = 3},
  [5015] = {.lex_state = 247, .external_lex_state = 3},
  [5016] = {.lex_state = 247, .external_lex_state = 3},
  [5017] = {.lex_state = 284, .external_lex_state = 2},
  [5018] = {.lex_state = 244, .external_lex_state = 2},
  [5019] = {.lex_state = 2, .external_lex_state = 3},
  [5020] = {.lex_state = 2, .external_lex_state = 3},
  [5021] = {.lex_state = 2, .external_lex_state = 3},
  [5022] = {.lex_state = 518, .external_lex_state = 3},
  [5023] = {.lex_state = 518, .external_lex_state = 3},
  [5024] = {.lex_state = 518, .external_lex_state = 3},
  [5025] = {.lex_state = 518, .external_lex_state = 3},
  [5026] = {.lex_state = 518, .external_lex_state = 3},
  [5027] = {.lex_state = 518, .external_lex_state = 3},
  [5028] = {.lex_state = 518, .external_lex_state = 3},
  [5029] = {.lex_state = 518, .external_lex_state = 3},
  [5030] = {.lex_state = 518, .external_lex_state = 3},
  [5031] = {.lex_state = 518, .external_lex_state = 3},
  [5032] = {.lex_state = 518, .external_lex_state = 3},
  [5033] = {.lex_state = 518, .external_lex_state = 3},
  [5034] = {.lex_state = 518, .external_lex_state = 3},
  [5035] = {.lex_state = 518, .external_lex_state = 3},
  [5036] = {.lex_state = 518, .external_lex_state = 3},
  [5037] = {.lex_state = 518, .external_lex_state = 3},
  [5038] = {.lex_state = 518, .external_lex_state = 3},
  [5039] = {.lex_state = 518, .external_lex_state = 3},
  [5040] = {.lex_state = 518, .external_lex_state = 3},
  [5041] = {.lex_state = 518, .external_lex_state = 3},
  [5042] = {.lex_state = 518, .external_lex_state = 3},
  [5043] = {.lex_state = 518, .external_lex_state = 3},
  [5044] = {.lex_state = 518, .external_lex_state = 3},
  [5045] = {.lex_state = 518, .external_lex_state = 3},
  [5046] = {.lex_state = 518, .external_lex_state = 3},
  [5047] = {.lex_state = 518, .external_lex_state = 3},
  [5048] = {.lex_state = 518, .external_lex_state = 3},
  [5049] = {.lex_state = 518, .external_lex_state = 3},
  [5050] = {.lex_state = 518, .external_lex_state = 3},
  [5051] = {.lex_state = 518, .external_lex_state = 3},
  [5052] = {.lex_state = 518, .external_lex_state = 3},
  [5053] = {.lex_state = 518, .external_lex_state = 3},
  [5054] = {.lex_state = 518, .external_lex_state = 3},
  [5055] = {.lex_state = 518, .external_lex_state = 3},
  [5056] = {.lex_state = 518, .external_lex_state = 3},
  [5057] = {.lex_state = 518, .external_lex_state = 3},
  [5058] = {.lex_state = 518, .external_lex_state = 3},
  [5059] = {.lex_state = 2, .external_lex_state = 3},
  [5060] = {.lex_state = 2, .external_lex_state = 3},
  [5061] = {.lex_state = 518, .external_lex_state = 3},
  [5062] = {.lex_state = 58, .external_lex_state = 3},
  [5063] = {.lex_state = 518, .external_lex_state = 3},
  [5064] = {.lex_state = 518, .external_lex_state = 3},
  [5065] = {.lex_state = 2, .external_lex_state = 3},
  [5066] = {.lex_state = 58, .external_lex_state = 3},
  [5067] = {.lex_state = 280, .external_lex_state = 3},
  [5068] = {.lex_state = 280, .external_lex_state = 3},
  [5069] = {.lex_state = 518, .external_lex_state = 3},
  [5070] = {.lex_state = 280, .external_lex_state = 3},
  [5071] = {.lex_state = 518, .external_lex_state = 3},
  [5072] = {.lex_state = 280, .external_lex_state = 3},
  [5073] = {.lex_state = 280, .external_lex_state = 3},
  [5074] = {.lex_state = 280, .external_lex_state = 3},
  [5075] = {.lex_state = 280, .external_lex_state = 3},
  [5076] = {.lex_state = 280, .external_lex_state = 3},
  [5077] = {.lex_state = 280, .external_lex_state = 3},
  [5078] = {.lex_state = 280, .external_lex_state = 3},
  [5079] = {.lex_state = 280, .external_lex_state = 3},
  [5080] = {.lex_state = 280, .external_lex_state = 3},
  [5081] = {.lex_state = 280, .external_lex_state = 3},
  [5082] = {.lex_state = 280, .external_lex_state = 3},
  [5083] = {.lex_state = 280, .external_lex_state = 3},
  [5084] = {.lex_state = 280, .external_lex_state = 3},
  [5085] = {.lex_state = 280, .external_lex_state = 3},
  [5086] = {.lex_state = 280, .external_lex_state = 3},
  [5087] = {.lex_state = 280, .external_lex_state = 3},
  [5088] = {.lex_state = 280, .external_lex_state = 3},
  [5089] = {.lex_state = 280, .external_lex_state = 3},
  [5090] = {.lex_state = 2, .external_lex_state = 2},
  [5091] = {.lex_state = 280, .external_lex_state = 3},
  [5092] = {.lex_state = 280, .external_lex_state = 3},
  [5093] = {.lex_state = 280, .external_lex_state = 3},
  [5094] = {.lex_state = 280, .external_lex_state = 3},
  [5095] = {.lex_state = 280, .external_lex_state = 3},
  [5096] = {.lex_state = 280, .external_lex_state = 3},
  [5097] = {.lex_state = 280, .external_lex_state = 3},
  [5098] = {.lex_state = 280, .external_lex_state = 3},
  [5099] = {.lex_state = 280, .external_lex_state = 3},
  [5100] = {.lex_state = 280, .external_lex_state = 3},
  [5101] = {.lex_state = 280, .external_lex_state = 3},
  [5102] = {.lex_state = 280, .external_lex_state = 3},
  [5103] = {.lex_state = 280, .external_lex_state = 3},
  [5104] = {.lex_state = 280, .external_lex_state = 3},
  [5105] = {.lex_state = 280, .external_lex_state = 3},
  [5106] = {.lex_state = 280, .external_lex_state = 3},
  [5107] = {.lex_state = 280, .external_lex_state = 3},
  [5108] = {.lex_state = 280, .external_lex_state = 3},
  [5109] = {.lex_state = 280, .external_lex_state = 3},
  [5110] = {.lex_state = 280, .external_lex_state = 3},
  [5111] = {.lex_state = 280, .external_lex_state = 3},
  [5112] = {.lex_state = 280, .external_lex_state = 3},
  [5113] = {.lex_state = 280, .external_lex_state = 3},
  [5114] = {.lex_state = 280, .external_lex_state = 3},
  [5115] = {.lex_state = 34, .external_lex_state = 3},
  [5116] = {.lex_state = 34, .external_lex_state = 3},
  [5117] = {.lex_state = 34, .external_lex_state = 3},
  [5118] = {.lex_state = 250, .external_lex_state = 2},
  [5119] = {.lex_state = 34, .external_lex_state = 3},
  [5120] = {.lex_state = 34, .external_lex_state = 3},
  [5121] = {.lex_state = 34, .external_lex_state = 3},
  [5122] = {.lex_state = 34, .external_lex_state = 3},
  [5123] = {.lex_state = 34, .external_lex_state = 3},
  [5124] = {.lex_state = 280, .external_lex_state = 3},
  [5125] = {.lex_state = 34, .external_lex_state = 3},
  [5126] = {.lex_state = 34, .external_lex_state = 3},
  [5127] = {.lex_state = 280, .external_lex_state = 3},
  [5128] = {.lex_state = 34, .external_lex_state = 3},
  [5129] = {.lex_state = 34, .external_lex_state = 3},
  [5130] = {.lex_state = 34, .external_lex_state = 3},
  [5131] = {.lex_state = 280, .external_lex_state = 3},
  [5132] = {.lex_state = 34, .external_lex_state = 3},
  [5133] = {.lex_state = 34, .external_lex_state = 3},
  [5134] = {.lex_state = 34, .external_lex_state = 3},
  [5135] = {.lex_state = 254, .external_lex_state = 3},
  [5136] = {.lex_state = 34, .external_lex_state = 3},
  [5137] = {.lex_state = 34, .external_lex_state = 3},
  [5138] = {.lex_state = 34, .external_lex_state = 3},
  [5139] = {.lex_state = 34, .external_lex_state = 3},
  [5140] = {.lex_state = 518, .external_lex_state = 3},
  [5141] = {.lex_state = 34, .external_lex_state = 3},
  [5142] = {.lex_state = 34, .external_lex_state = 3},
  [5143] = {.lex_state = 34, .external_lex_state = 3},
  [5144] = {.lex_state = 34, .external_lex_state = 3},
  [5145] = {.lex_state = 34, .external_lex_state = 3},
  [5146] = {.lex_state = 34, .external_lex_state = 3},
  [5147] = {.lex_state = 34, .external_lex_state = 3},
  [5148] = {.lex_state = 34, .external_lex_state = 3},
  [5149] = {.lex_state = 34, .external_lex_state = 3},
  [5150] = {.lex_state = 34, .external_lex_state = 3},
  [5151] = {.lex_state = 34, .external_lex_state = 3},
  [5152] = {.lex_state = 34, .external_lex_state = 3},
  [5153] = {.lex_state = 34, .external_lex_state = 3},
  [5154] = {.lex_state = 34, .external_lex_state = 3},
  [5155] = {.lex_state = 34, .external_lex_state = 3},
  [5156] = {.lex_state = 34, .external_lex_state = 3},
  [5157] = {.lex_state = 34, .external_lex_state = 3},
  [5158] = {.lex_state = 34, .external_lex_state = 3},
  [5159] = {.lex_state = 34, .external_lex_state = 3},
  [5160] = {.lex_state = 34, .external_lex_state = 3},
  [5161] = {.lex_state = 34, .external_lex_state = 3},
  [5162] = {.lex_state = 34, .external_lex_state = 3},
  [5163] = {.lex_state = 34, .external_lex_state = 3},
  [5164] = {.lex_state = 34, .external_lex_state = 3},
  [5165] = {.lex_state = 34, .external_lex_state = 3},
  [5166] = {.lex_state = 280, .external_lex_state = 3},
  [5167] = {.lex_state = 253, .external_lex_state = 3},
  [5168] = {.lex_state = 253, .external_lex_state = 3},
  [5169] = {.lex_state = 280, .external_lex_state = 3},
  [5170] = {.lex_state = 518, .external_lex_state = 3},
  [5171] = {.lex_state = 34, .external_lex_state = 3},
  [5172] = {.lex_state = 518, .external_lex_state = 3},
  [5173] = {.lex_state = 518, .external_lex_state = 3},
  [5174] = {.lex_state = 34, .external_lex_state = 3},
  [5175] = {.lex_state = 34, .external_lex_state = 3},
  [5176] = {.lex_state = 284, .external_lex_state = 2},
  [5177] = {.lex_state = 253, .external_lex_state = 3},
  [5178] = {.lex_state = 253, .external_lex_state = 3},
  [5179] = {.lex_state = 280, .external_lex_state = 3},
  [5180] = {.lex_state = 34, .external_lex_state = 3},
  [5181] = {.lex_state = 2, .external_lex_state = 2},
  [5182] = {.lex_state = 241, .external_lex_state = 3},
  [5183] = {.lex_state = 518, .external_lex_state = 3},
  [5184] = {.lex_state = 253, .external_lex_state = 3},
  [5185] = {.lex_state = 250, .external_lex_state = 2},
  [5186] = {.lex_state = 34, .external_lex_state = 3},
  [5187] = {.lex_state = 280, .external_lex_state = 3},
  [5188] = {.lex_state = 60, .external_lex_state = 3},
  [5189] = {.lex_state = 250, .external_lex_state = 2},
  [5190] = {.lex_state = 60, .external_lex_state = 3},
  [5191] = {.lex_state = 280, .external_lex_state = 3},
  [5192] = {.lex_state = 280, .external_lex_state = 3},
  [5193] = {.lex_state = 60, .external_lex_state = 3},
  [5194] = {.lex_state = 60, .external_lex_state = 3},
  [5195] = {.lex_state = 58, .external_lex_state = 3},
  [5196] = {.lex_state = 244, .external_lex_state = 2},
  [5197] = {.lex_state = 2, .external_lex_state = 3},
  [5198] = {.lex_state = 30, .external_lex_state = 3},
  [5199] = {.lex_state = 58, .external_lex_state = 3},
  [5200] = {.lex_state = 58, .external_lex_state = 3},
  [5201] = {.lex_state = 30, .external_lex_state = 3},
  [5202] = {.lex_state = 253, .external_lex_state = 3},
  [5203] = {.lex_state = 58, .external_lex_state = 3},
  [5204] = {.lex_state = 30, .external_lex_state = 3},
  [5205] = {.lex_state = 30, .external_lex_state = 3},
  [5206] = {.lex_state = 30, .external_lex_state = 3},
  [5207] = {.lex_state = 30, .external_lex_state = 3},
  [5208] = {.lex_state = 30, .external_lex_state = 3},
  [5209] = {.lex_state = 30, .external_lex_state = 3},
  [5210] = {.lex_state = 30, .external_lex_state = 3},
  [5211] = {.lex_state = 30, .external_lex_state = 3},
  [5212] = {.lex_state = 30, .external_lex_state = 3},
  [5213] = {.lex_state = 30, .external_lex_state = 3},
  [5214] = {.lex_state = 30, .external_lex_state = 3},
  [5215] = {.lex_state = 30, .external_lex_state = 3},
  [5216] = {.lex_state = 30, .external_lex_state = 3},
  [5217] = {.lex_state = 30, .external_lex_state = 3},
  [5218] = {.lex_state = 34, .external_lex_state = 3},
  [5219] = {.lex_state = 30, .external_lex_state = 3},
  [5220] = {.lex_state = 58, .external_lex_state = 3},
  [5221] = {.lex_state = 58, .external_lex_state = 3},
  [5222] = {.lex_state = 58, .external_lex_state = 3},
  [5223] = {.lex_state = 518, .external_lex_state = 3},
  [5224] = {.lex_state = 518, .external_lex_state = 3},
  [5225] = {.lex_state = 518, .external_lex_state = 3},
  [5226] = {.lex_state = 253, .external_lex_state = 3},
  [5227] = {.lex_state = 34, .external_lex_state = 3},
  [5228] = {.lex_state = 34, .external_lex_state = 3},
  [5229] = {.lex_state = 34, .external_lex_state = 3},
  [5230] = {.lex_state = 518, .external_lex_state = 3},
  [5231] = {.lex_state = 280, .external_lex_state = 3},
  [5232] = {.lex_state = 34, .external_lex_state = 3},
  [5233] = {.lex_state = 284, .external_lex_state = 2},
  [5234] = {.lex_state = 30, .external_lex_state = 3},
  [5235] = {.lex_state = 247, .external_lex_state = 3},
  [5236] = {.lex_state = 58, .external_lex_state = 3},
  [5237] = {.lex_state = 58, .external_lex_state = 3},
  [5238] = {.lex_state = 58, .external_lex_state = 3},
  [5239] = {.lex_state = 518, .external_lex_state = 3},
  [5240] = {.lex_state = 280, .external_lex_state = 3},
  [5241] = {.lex_state = 280, .external_lex_state = 3},
  [5242] = {.lex_state = 30, .external_lex_state = 3},
  [5243] = {.lex_state = 518, .external_lex_state = 3},
  [5244] = {.lex_state = 30, .external_lex_state = 3},
  [5245] = {.lex_state = 30, .external_lex_state = 3},
  [5246] = {.lex_state = 30, .external_lex_state = 3},
  [5247] = {.lex_state = 280, .external_lex_state = 3},
  [5248] = {.lex_state = 30, .external_lex_state = 3},
  [5249] = {.lex_state = 30, .external_lex_state = 3},
  [5250] = {.lex_state = 30, .external_lex_state = 3},
  [5251] = {.lex_state = 30, .external_lex_state = 3},
  [5252] = {.lex_state = 30, .external_lex_state = 3},
  [5253] = {.lex_state = 30, .external_lex_state = 3},
  [5254] = {.lex_state = 30, .external_lex_state = 3},
  [5255] = {.lex_state = 30, .external_lex_state = 3},
  [5256] = {.lex_state = 30, .external_lex_state = 3},
  [5257] = {.lex_state = 30, .external_lex_state = 3},
  [5258] = {.lex_state = 30, .external_lex_state = 3},
  [5259] = {.lex_state = 30, .external_lex_state = 3},
  [5260] = {.lex_state = 30, .external_lex_state = 3},
  [5261] = {.lex_state = 30, .external_lex_state = 3},
  [5262] = {.lex_state = 30, .external_lex_state = 3},
  [5263] = {.lex_state = 30, .external_lex_state = 3},
  [5264] = {.lex_state = 30, .external_lex_state = 3},
  [5265] = {.lex_state = 30, .external_lex_state = 3},
  [5266] = {.lex_state = 30, .external_lex_state = 3},
  [5267] = {.lex_state = 30, .external_lex_state = 3},
  [5268] = {.lex_state = 30, .external_lex_state = 3},
  [5269] = {.lex_state = 30, .external_lex_state = 3},
  [5270] = {.lex_state = 30, .external_lex_state = 3},
  [5271] = {.lex_state = 30, .external_lex_state = 3},
  [5272] = {.lex_state = 30, .external_lex_state = 3},
  [5273] = {.lex_state = 30, .external_lex_state = 3},
  [5274] = {.lex_state = 30, .external_lex_state = 3},
  [5275] = {.lex_state = 518, .external_lex_state = 3},
  [5276] = {.lex_state = 247, .external_lex_state = 3},
  [5277] = {.lex_state = 247, .external_lex_state = 3},
  [5278] = {.lex_state = 30, .external_lex_state = 3},
  [5279] = {.lex_state = 253, .external_lex_state = 3},
  [5280] = {.lex_state = 247, .external_lex_state = 3},
  [5281] = {.lex_state = 247, .external_lex_state = 3},
  [5282] = {.lex_state = 247, .external_lex_state = 3},
  [5283] = {.lex_state = 518, .external_lex_state = 3},
  [5284] = {.lex_state = 518, .external_lex_state = 3},
  [5285] = {.lex_state = 247, .external_lex_state = 3},
  [5286] = {.lex_state = 247, .external_lex_state = 3},
  [5287] = {.lex_state = 247, .external_lex_state = 3},
  [5288] = {.lex_state = 247, .external_lex_state = 3},
  [5289] = {.lex_state = 247, .external_lex_state = 3},
  [5290] = {.lex_state = 247, .external_lex_state = 3},
  [5291] = {.lex_state = 247, .external_lex_state = 3},
  [5292] = {.lex_state = 247, .external_lex_state = 3},
  [5293] = {.lex_state = 253, .external_lex_state = 3},
  [5294] = {.lex_state = 250, .external_lex_state = 2},
  [5295] = {.lex_state = 247, .external_lex_state = 3},
  [5296] = {.lex_state = 247, .external_lex_state = 3},
  [5297] = {.lex_state = 62, .external_lex_state = 3},
  [5298] = {.lex_state = 244, .external_lex_state = 2},
  [5299] = {.lex_state = 62, .external_lex_state = 3},
  [5300] = {.lex_state = 62, .external_lex_state = 3},
  [5301] = {.lex_state = 247, .external_lex_state = 3},
  [5302] = {.lex_state = 62, .external_lex_state = 3},
  [5303] = {.lex_state = 280, .external_lex_state = 3},
  [5304] = {.lex_state = 247, .external_lex_state = 3},
  [5305] = {.lex_state = 34, .external_lex_state = 3},
  [5306] = {.lex_state = 247, .external_lex_state = 3},
  [5307] = {.lex_state = 62, .external_lex_state = 3},
  [5308] = {.lex_state = 253, .external_lex_state = 3},
  [5309] = {.lex_state = 253, .external_lex_state = 3},
  [5310] = {.lex_state = 253, .external_lex_state = 3},
  [5311] = {.lex_state = 64, .external_lex_state = 3},
  [5312] = {.lex_state = 66, .external_lex_state = 3},
  [5313] = {.lex_state = 66, .external_lex_state = 3},
  [5314] = {.lex_state = 68, .external_lex_state = 2},
  [5315] = {.lex_state = 286, .external_lex_state = 2},
  [5316] = {.lex_state = 253, .external_lex_state = 3},
  [5317] = {.lex_state = 253, .external_lex_state = 3},
  [5318] = {.lex_state = 68, .external_lex_state = 2},
  [5319] = {.lex_state = 253, .external_lex_state = 3},
  [5320] = {.lex_state = 253, .external_lex_state = 3},
  [5321] = {.lex_state = 60, .external_lex_state = 3},
  [5322] = {.lex_state = 256, .external_lex_state = 2},
  [5323] = {.lex_state = 253, .external_lex_state = 3},
  [5324] = {.lex_state = 253, .external_lex_state = 3},
  [5325] = {.lex_state = 253, .external_lex_state = 3},
  [5326] = {.lex_state = 253, .external_lex_state = 3},
  [5327] = {.lex_state = 60, .external_lex_state = 3},
  [5328] = {.lex_state = 60, .external_lex_state = 3},
  [5329] = {.lex_state = 60, .external_lex_state = 3},
  [5330] = {.lex_state = 286, .external_lex_state = 2},
  [5331] = {.lex_state = 62, .external_lex_state = 3},
  [5332] = {.lex_state = 60, .external_lex_state = 3},
  [5333] = {.lex_state = 60, .external_lex_state = 3},
  [5334] = {.lex_state = 60, .external_lex_state = 3},
  [5335] = {.lex_state = 253, .external_lex_state = 3},
  [5336] = {.lex_state = 253, .external_lex_state = 3},
  [5337] = {.lex_state = 527, .external_lex_state = 2},
  [5338] = {.lex_state = 60, .external_lex_state = 3},
  [5339] = {.lex_state = 60, .external_lex_state = 3},
  [5340] = {.lex_state = 253, .external_lex_state = 3},
  [5341] = {.lex_state = 253, .external_lex_state = 3},
  [5342] = {.lex_state = 60, .external_lex_state = 3},
  [5343] = {.lex_state = 253, .external_lex_state = 3},
  [5344] = {.lex_state = 280, .external_lex_state = 3},
  [5345] = {.lex_state = 253, .external_lex_state = 3},
  [5346] = {.lex_state = 253, .external_lex_state = 3},
  [5347] = {.lex_state = 253, .external_lex_state = 3},
  [5348] = {.lex_state = 253, .external_lex_state = 3},
  [5349] = {.lex_state = 253, .external_lex_state = 3},
  [5350] = {.lex_state = 253, .external_lex_state = 3},
  [5351] = {.lex_state = 253, .external_lex_state = 3},
  [5352] = {.lex_state = 253, .external_lex_state = 3},
  [5353] = {.lex_state = 256, .external_lex_state = 2},
  [5354] = {.lex_state = 530, .external_lex_state = 3},
  [5355] = {.lex_state = 527, .external_lex_state = 2},
  [5356] = {.lex_state = 530, .external_lex_state = 3},
  [5357] = {.lex_state = 530, .external_lex_state = 3},
  [5358] = {.lex_state = 530, .external_lex_state = 3},
  [5359] = {.lex_state = 8, .external_lex_state = 2},
  [5360] = {.lex_state = 527, .external_lex_state = 2},
  [5361] = {.lex_state = 253, .external_lex_state = 3},
  [5362] = {.lex_state = 253, .external_lex_state = 3},
  [5363] = {.lex_state = 314, .external_lex_state = 3},
  [5364] = {.lex_state = 315, .external_lex_state = 2},
  [5365] = {.lex_state = 314, .external_lex_state = 3},
  [5366] = {.lex_state = 253, .external_lex_state = 3},
  [5367] = {.lex_state = 253, .external_lex_state = 3},
  [5368] = {.lex_state = 314, .external_lex_state = 3},
  [5369] = {.lex_state = 253, .external_lex_state = 3},
  [5370] = {.lex_state = 253, .external_lex_state = 3},
  [5371] = {.lex_state = 314, .external_lex_state = 3},
  [5372] = {.lex_state = 73, .external_lex_state = 3},
  [5373] = {.lex_state = 253, .external_lex_state = 3},
  [5374] = {.lex_state = 253, .external_lex_state = 3},
  [5375] = {.lex_state = 253, .external_lex_state = 3},
  [5376] = {.lex_state = 253, .external_lex_state = 3},
  [5377] = {.lex_state = 253, .external_lex_state = 3},
  [5378] = {.lex_state = 75, .external_lex_state = 3},
  [5379] = {.lex_state = 4, .external_lex_state = 2},
  [5380] = {.lex_state = 75, .external_lex_state = 3},
  [5381] = {.lex_state = 253, .external_lex_state = 3},
  [5382] = {.lex_state = 253, .external_lex_state = 3},
  [5383] = {.lex_state = 75, .external_lex_state = 3},
  [5384] = {.lex_state = 253, .external_lex_state = 3},
  [5385] = {.lex_state = 75, .external_lex_state = 3},
  [5386] = {.lex_state = 253, .external_lex_state = 3},
  [5387] = {.lex_state = 253, .external_lex_state = 3},
  [5388] = {.lex_state = 253, .external_lex_state = 3},
  [5389] = {.lex_state = 253, .external_lex_state = 3},
  [5390] = {.lex_state = 253, .external_lex_state = 3},
  [5391] = {.lex_state = 62, .external_lex_state = 3},
  [5392] = {.lex_state = 4, .external_lex_state = 2},
  [5393] = {.lex_state = 253, .external_lex_state = 3},
  [5394] = {.lex_state = 315, .external_lex_state = 2},
  [5395] = {.lex_state = 62, .external_lex_state = 3},
  [5396] = {.lex_state = 251, .external_lex_state = 3},
  [5397] = {.lex_state = 62, .external_lex_state = 3},
  [5398] = {.lex_state = 253, .external_lex_state = 3},
  [5399] = {.lex_state = 244, .external_lex_state = 3},
  [5400] = {.lex_state = 315, .external_lex_state = 2},
  [5401] = {.lex_state = 250, .external_lex_state = 3},
  [5402] = {.lex_state = 253, .external_lex_state = 3},
  [5403] = {.lex_state = 250, .external_lex_state = 3},
  [5404] = {.lex_state = 253, .external_lex_state = 3},
  [5405] = {.lex_state = 77, .external_lex_state = 2},
  [5406] = {.lex_state = 62, .external_lex_state = 3},
  [5407] = {.lex_state = 286, .external_lex_state = 2},
  [5408] = {.lex_state = 253, .external_lex_state = 3},
  [5409] = {.lex_state = 62, .external_lex_state = 3},
  [5410] = {.lex_state = 80, .external_lex_state = 3},
  [5411] = {.lex_state = 253, .external_lex_state = 3},
  [5412] = {.lex_state = 253, .external_lex_state = 3},
  [5413] = {.lex_state = 62, .external_lex_state = 3},
  [5414] = {.lex_state = 62, .external_lex_state = 3},
  [5415] = {.lex_state = 8, .external_lex_state = 2},
  [5416] = {.lex_state = 66, .external_lex_state = 3},
  [5417] = {.lex_state = 253, .external_lex_state = 3},
  [5418] = {.lex_state = 256, .external_lex_state = 2},
  [5419] = {.lex_state = 8, .external_lex_state = 2},
  [5420] = {.lex_state = 68, .external_lex_state = 2},
  [5421] = {.lex_state = 253, .external_lex_state = 3},
  [5422] = {.lex_state = 527, .external_lex_state = 2},
  [5423] = {.lex_state = 253, .external_lex_state = 3},
  [5424] = {.lex_state = 253, .external_lex_state = 3},
  [5425] = {.lex_state = 315, .external_lex_state = 2},
  [5426] = {.lex_state = 8, .external_lex_state = 2},
  [5427] = {.lex_state = 68, .external_lex_state = 2},
  [5428] = {.lex_state = 4, .external_lex_state = 2},
  [5429] = {.lex_state = 253, .external_lex_state = 3},
  [5430] = {.lex_state = 256, .external_lex_state = 2},
  [5431] = {.lex_state = 253, .external_lex_state = 3},
  [5432] = {.lex_state = 253, .external_lex_state = 3},
  [5433] = {.lex_state = 253, .external_lex_state = 3},
  [5434] = {.lex_state = 253, .external_lex_state = 3},
  [5435] = {.lex_state = 250, .external_lex_state = 3},
  [5436] = {.lex_state = 64, .external_lex_state = 3},
  [5437] = {.lex_state = 8, .external_lex_state = 2},
  [5438] = {.lex_state = 64, .external_lex_state = 3},
  [5439] = {.lex_state = 66, .external_lex_state = 3},
  [5440] = {.lex_state = 77, .external_lex_state = 2},
  [5441] = {.lex_state = 518, .external_lex_state = 3},
  [5442] = {.lex_state = 4, .external_lex_state = 2},
  [5443] = {.lex_state = 82, .external_lex_state = 3},
  [5444] = {.lex_state = 77, .external_lex_state = 2},
  [5445] = {.lex_state = 82, .external_lex_state = 3},
  [5446] = {.lex_state = 82, .external_lex_state = 3},
  [5447] = {.lex_state = 82, .external_lex_state = 3},
  [5448] = {.lex_state = 250, .external_lex_state = 3},
  [5449] = {.lex_state = 285, .external_lex_state = 3},
  [5450] = {.lex_state = 286, .external_lex_state = 2},
  [5451] = {.lex_state = 285, .external_lex_state = 3},
  [5452] = {.lex_state = 253, .external_lex_state = 3},
  [5453] = {.lex_state = 285, .external_lex_state = 3},
  [5454] = {.lex_state = 285, .external_lex_state = 3},
  [5455] = {.lex_state = 256, .external_lex_state = 2},
  [5456] = {.lex_state = 527, .external_lex_state = 2},
  [5457] = {.lex_state = 518, .external_lex_state = 3},
  [5458] = {.lex_state = 253, .external_lex_state = 3},
  [5459] = {.lex_state = 315, .external_lex_state = 2},
  [5460] = {.lex_state = 245, .external_lex_state = 3},
  [5461] = {.lex_state = 4, .external_lex_state = 2},
  [5462] = {.lex_state = 64, .external_lex_state = 3},
  [5463] = {.lex_state = 62, .external_lex_state = 3},
  [5464] = {.lex_state = 60, .external_lex_state = 3},
  [5465] = {.lex_state = 518, .external_lex_state = 3},
  [5466] = {.lex_state = 77, .external_lex_state = 2},
  [5467] = {.lex_state = 62, .external_lex_state = 3},
  [5468] = {.lex_state = 60, .external_lex_state = 3},
  [5469] = {.lex_state = 244, .external_lex_state = 3},
  [5470] = {.lex_state = 244, .external_lex_state = 3},
  [5471] = {.lex_state = 77, .external_lex_state = 2},
  [5472] = {.lex_state = 518, .external_lex_state = 3},
  [5473] = {.lex_state = 253, .external_lex_state = 3},
  [5474] = {.lex_state = 84, .external_lex_state = 3},
  [5475] = {.lex_state = 68, .external_lex_state = 2},
  [5476] = {.lex_state = 84, .external_lex_state = 3},
  [5477] = {.lex_state = 84, .external_lex_state = 3},
  [5478] = {.lex_state = 84, .external_lex_state = 3},
  [5479] = {.lex_state = 244, .external_lex_state = 3},
  [5480] = {.lex_state = 62, .external_lex_state = 3},
  [5481] = {.lex_state = 314, .external_lex_state = 3},
  [5482] = {.lex_state = 250, .external_lex_state = 3},
  [5483] = {.lex_state = 250, .external_lex_state = 3},
  [5484] = {.lex_state = 250, .external_lex_state = 3},
  [5485] = {.lex_state = 250, .external_lex_state = 3},
  [5486] = {.lex_state = 12, .external_lex_state = 2},
  [5487] = {.lex_state = 244, .external_lex_state = 3},
  [5488] = {.lex_state = 244, .external_lex_state = 3},
  [5489] = {.lex_state = 244, .external_lex_state = 3},
  [5490] = {.lex_state = 512, .external_lex_state = 2},
  [5491] = {.lex_state = 86, .external_lex_state = 3},
  [5492] = {.lex_state = 244, .external_lex_state = 3},
  [5493] = {.lex_state = 244, .external_lex_state = 3},
  [5494] = {.lex_state = 244, .external_lex_state = 3},
  [5495] = {.lex_state = 244, .external_lex_state = 3},
  [5496] = {.lex_state = 244, .external_lex_state = 3},
  [5497] = {.lex_state = 244, .external_lex_state = 3},
  [5498] = {.lex_state = 244, .external_lex_state = 3},
  [5499] = {.lex_state = 244, .external_lex_state = 3},
  [5500] = {.lex_state = 244, .external_lex_state = 3},
  [5501] = {.lex_state = 244, .external_lex_state = 3},
  [5502] = {.lex_state = 244, .external_lex_state = 3},
  [5503] = {.lex_state = 244, .external_lex_state = 3},
  [5504] = {.lex_state = 244, .external_lex_state = 3},
  [5505] = {.lex_state = 244, .external_lex_state = 3},
  [5506] = {.lex_state = 244, .external_lex_state = 3},
  [5507] = {.lex_state = 244, .external_lex_state = 3},
  [5508] = {.lex_state = 244, .external_lex_state = 3},
  [5509] = {.lex_state = 244, .external_lex_state = 3},
  [5510] = {.lex_state = 244, .external_lex_state = 3},
  [5511] = {.lex_state = 244, .external_lex_state = 3},
  [5512] = {.lex_state = 244, .external_lex_state = 3},
  [5513] = {.lex_state = 244, .external_lex_state = 3},
  [5514] = {.lex_state = 244, .external_lex_state = 3},
  [5515] = {.lex_state = 244, .external_lex_state = 3},
  [5516] = {.lex_state = 244, .external_lex_state = 3},
  [5517] = {.lex_state = 244, .external_lex_state = 3},
  [5518] = {.lex_state = 244, .external_lex_state = 3},
  [5519] = {.lex_state = 244, .external_lex_state = 3},
  [5520] = {.lex_state = 244, .external_lex_state = 3},
  [5521] = {.lex_state = 244, .external_lex_state = 3},
  [5522] = {.lex_state = 244, .external_lex_state = 3},
  [5523] = {.lex_state = 84, .external_lex_state = 3},
  [5524] = {.lex_state = 312, .external_lex_state = 2},
  [5525] = {.lex_state = 244, .external_lex_state = 3},
  [5526] = {.lex_state = 244, .external_lex_state = 3},
  [5527] = {.lex_state = 261, .external_lex_state = 2},
  [5528] = {.lex_state = 528, .external_lex_state = 3},
  [5529] = {.lex_state = 237, .external_lex_state = 2},
  [5530] = {.lex_state = 316, .external_lex_state = 3},
  [5531] = {.lex_state = 5, .external_lex_state = 3},
  [5532] = {.lex_state = 527, .external_lex_state = 3},
  [5533] = {.lex_state = 527, .external_lex_state = 3},
  [5534] = {.lex_state = 527, .external_lex_state = 3},
  [5535] = {.lex_state = 527, .external_lex_state = 3},
  [5536] = {.lex_state = 17, .external_lex_state = 2},
  [5537] = {.lex_state = 244, .external_lex_state = 3},
  [5538] = {.lex_state = 244, .external_lex_state = 3},
  [5539] = {.lex_state = 244, .external_lex_state = 3},
  [5540] = {.lex_state = 315, .external_lex_state = 3},
  [5541] = {.lex_state = 315, .external_lex_state = 3},
  [5542] = {.lex_state = 315, .external_lex_state = 3},
  [5543] = {.lex_state = 315, .external_lex_state = 3},
  [5544] = {.lex_state = 78, .external_lex_state = 3},
  [5545] = {.lex_state = 244, .external_lex_state = 3},
  [5546] = {.lex_state = 287, .external_lex_state = 3},
  [5547] = {.lex_state = 4, .external_lex_state = 3},
  [5548] = {.lex_state = 4, .external_lex_state = 3},
  [5549] = {.lex_state = 4, .external_lex_state = 3},
  [5550] = {.lex_state = 4, .external_lex_state = 3},
  [5551] = {.lex_state = 84, .external_lex_state = 3},
  [5552] = {.lex_state = 69, .external_lex_state = 3},
  [5553] = {.lex_state = 84, .external_lex_state = 3},
  [5554] = {.lex_state = 12, .external_lex_state = 2},
  [5555] = {.lex_state = 77, .external_lex_state = 3},
  [5556] = {.lex_state = 77, .external_lex_state = 3},
  [5557] = {.lex_state = 77, .external_lex_state = 3},
  [5558] = {.lex_state = 77, .external_lex_state = 3},
  [5559] = {.lex_state = 286, .external_lex_state = 3},
  [5560] = {.lex_state = 286, .external_lex_state = 3},
  [5561] = {.lex_state = 286, .external_lex_state = 3},
  [5562] = {.lex_state = 286, .external_lex_state = 3},
  [5563] = {.lex_state = 257, .external_lex_state = 3},
  [5564] = {.lex_state = 84, .external_lex_state = 3},
  [5565] = {.lex_state = 68, .external_lex_state = 3},
  [5566] = {.lex_state = 68, .external_lex_state = 3},
  [5567] = {.lex_state = 68, .external_lex_state = 3},
  [5568] = {.lex_state = 68, .external_lex_state = 3},
  [5569] = {.lex_state = 237, .external_lex_state = 2},
  [5570] = {.lex_state = 256, .external_lex_state = 3},
  [5571] = {.lex_state = 256, .external_lex_state = 3},
  [5572] = {.lex_state = 256, .external_lex_state = 3},
  [5573] = {.lex_state = 256, .external_lex_state = 3},
  [5574] = {.lex_state = 84, .external_lex_state = 3},
  [5575] = {.lex_state = 84, .external_lex_state = 3},
  [5576] = {.lex_state = 84, .external_lex_state = 3},
  [5577] = {.lex_state = 84, .external_lex_state = 3},
  [5578] = {.lex_state = 84, .external_lex_state = 3},
  [5579] = {.lex_state = 84, .external_lex_state = 3},
  [5580] = {.lex_state = 286, .external_lex_state = 3},
  [5581] = {.lex_state = 286, .external_lex_state = 3},
  [5582] = {.lex_state = 88, .external_lex_state = 3},
  [5583] = {.lex_state = 66, .external_lex_state = 3},
  [5584] = {.lex_state = 237, .external_lex_state = 2},
  [5585] = {.lex_state = 66, .external_lex_state = 3},
  [5586] = {.lex_state = 86, .external_lex_state = 3},
  [5587] = {.lex_state = 250, .external_lex_state = 3},
  [5588] = {.lex_state = 17, .external_lex_state = 2},
  [5589] = {.lex_state = 312, .external_lex_state = 2},
  [5590] = {.lex_state = 253, .external_lex_state = 3},
  [5591] = {.lex_state = 2, .external_lex_state = 3},
  [5592] = {.lex_state = 261, .external_lex_state = 2},
  [5593] = {.lex_state = 244, .external_lex_state = 3},
  [5594] = {.lex_state = 64, .external_lex_state = 3},
  [5595] = {.lex_state = 64, .external_lex_state = 3},
  [5596] = {.lex_state = 2, .external_lex_state = 3},
  [5597] = {.lex_state = 2, .external_lex_state = 3},
  [5598] = {.lex_state = 2, .external_lex_state = 3},
  [5599] = {.lex_state = 66, .external_lex_state = 3},
  [5600] = {.lex_state = 17, .external_lex_state = 2},
  [5601] = {.lex_state = 2, .external_lex_state = 3},
  [5602] = {.lex_state = 66, .external_lex_state = 3},
  [5603] = {.lex_state = 64, .external_lex_state = 3},
  [5604] = {.lex_state = 2, .external_lex_state = 3},
  [5605] = {.lex_state = 66, .external_lex_state = 3},
  [5606] = {.lex_state = 66, .external_lex_state = 3},
  [5607] = {.lex_state = 64, .external_lex_state = 3},
  [5608] = {.lex_state = 64, .external_lex_state = 3},
  [5609] = {.lex_state = 64, .external_lex_state = 3},
  [5610] = {.lex_state = 64, .external_lex_state = 3},
  [5611] = {.lex_state = 64, .external_lex_state = 3},
  [5612] = {.lex_state = 64, .external_lex_state = 3},
  [5613] = {.lex_state = 66, .external_lex_state = 3},
  [5614] = {.lex_state = 66, .external_lex_state = 3},
  [5615] = {.lex_state = 66, .external_lex_state = 3},
  [5616] = {.lex_state = 64, .external_lex_state = 3},
  [5617] = {.lex_state = 64, .external_lex_state = 3},
  [5618] = {.lex_state = 64, .external_lex_state = 3},
  [5619] = {.lex_state = 512, .external_lex_state = 2},
  [5620] = {.lex_state = 66, .external_lex_state = 3},
  [5621] = {.lex_state = 284, .external_lex_state = 3},
  [5622] = {.lex_state = 284, .external_lex_state = 3},
  [5623] = {.lex_state = 66, .external_lex_state = 3},
  [5624] = {.lex_state = 532, .external_lex_state = 3},
  [5625] = {.lex_state = 512, .external_lex_state = 2},
  [5626] = {.lex_state = 532, .external_lex_state = 3},
  [5627] = {.lex_state = 284, .external_lex_state = 3},
  [5628] = {.lex_state = 532, .external_lex_state = 3},
  [5629] = {.lex_state = 2, .external_lex_state = 3},
  [5630] = {.lex_state = 532, .external_lex_state = 3},
  [5631] = {.lex_state = 91, .external_lex_state = 3},
  [5632] = {.lex_state = 284, .external_lex_state = 3},
  [5633] = {.lex_state = 66, .external_lex_state = 3},
  [5634] = {.lex_state = 512, .external_lex_state = 2},
  [5635] = {.lex_state = 284, .external_lex_state = 3},
  [5636] = {.lex_state = 284, .external_lex_state = 3},
  [5637] = {.lex_state = 284, .external_lex_state = 3},
  [5638] = {.lex_state = 286, .external_lex_state = 3},
  [5639] = {.lex_state = 312, .external_lex_state = 2},
  [5640] = {.lex_state = 286, .external_lex_state = 3},
  [5641] = {.lex_state = 311, .external_lex_state = 3},
  [5642] = {.lex_state = 312, .external_lex_state = 2},
  [5643] = {.lex_state = 311, .external_lex_state = 3},
  [5644] = {.lex_state = 311, .external_lex_state = 3},
  [5645] = {.lex_state = 8, .external_lex_state = 3},
  [5646] = {.lex_state = 8, .external_lex_state = 3},
  [5647] = {.lex_state = 311, .external_lex_state = 3},
  [5648] = {.lex_state = 8, .external_lex_state = 3},
  [5649] = {.lex_state = 8, .external_lex_state = 3},
  [5650] = {.lex_state = 261, .external_lex_state = 2},
  [5651] = {.lex_state = 12, .external_lex_state = 2},
  [5652] = {.lex_state = 93, .external_lex_state = 3},
  [5653] = {.lex_state = 261, .external_lex_state = 2},
  [5654] = {.lex_state = 93, .external_lex_state = 3},
  [5655] = {.lex_state = 93, .external_lex_state = 3},
  [5656] = {.lex_state = 93, .external_lex_state = 3},
  [5657] = {.lex_state = 250, .external_lex_state = 3},
  [5658] = {.lex_state = 250, .external_lex_state = 3},
  [5659] = {.lex_state = 250, .external_lex_state = 3},
  [5660] = {.lex_state = 250, .external_lex_state = 3},
  [5661] = {.lex_state = 250, .external_lex_state = 3},
  [5662] = {.lex_state = 250, .external_lex_state = 3},
  [5663] = {.lex_state = 250, .external_lex_state = 3},
  [5664] = {.lex_state = 250, .external_lex_state = 3},
  [5665] = {.lex_state = 285, .external_lex_state = 3},
  [5666] = {.lex_state = 250, .external_lex_state = 3},
  [5667] = {.lex_state = 250, .external_lex_state = 3},
  [5668] = {.lex_state = 250, .external_lex_state = 3},
  [5669] = {.lex_state = 250, .external_lex_state = 3},
  [5670] = {.lex_state = 250, .external_lex_state = 3},
  [5671] = {.lex_state = 250, .external_lex_state = 3},
  [5672] = {.lex_state = 250, .external_lex_state = 3},
  [5673] = {.lex_state = 95, .external_lex_state = 3},
  [5674] = {.lex_state = 250, .external_lex_state = 3},
  [5675] = {.lex_state = 250, .external_lex_state = 3},
  [5676] = {.lex_state = 244, .external_lex_state = 3},
  [5677] = {.lex_state = 17, .external_lex_state = 2},
  [5678] = {.lex_state = 237, .external_lex_state = 2},
  [5679] = {.lex_state = 97, .external_lex_state = 3},
  [5680] = {.lex_state = 17, .external_lex_state = 2},
  [5681] = {.lex_state = 97, .external_lex_state = 3},
  [5682] = {.lex_state = 244, .external_lex_state = 3},
  [5683] = {.lex_state = 97, .external_lex_state = 3},
  [5684] = {.lex_state = 97, .external_lex_state = 3},
  [5685] = {.lex_state = 253, .external_lex_state = 3},
  [5686] = {.lex_state = 512, .external_lex_state = 2},
  [5687] = {.lex_state = 250, .external_lex_state = 3},
  [5688] = {.lex_state = 244, .external_lex_state = 3},
  [5689] = {.lex_state = 250, .external_lex_state = 3},
  [5690] = {.lex_state = 250, .external_lex_state = 3},
  [5691] = {.lex_state = 530, .external_lex_state = 3},
  [5692] = {.lex_state = 530, .external_lex_state = 3},
  [5693] = {.lex_state = 250, .external_lex_state = 3},
  [5694] = {.lex_state = 250, .external_lex_state = 3},
  [5695] = {.lex_state = 250, .external_lex_state = 3},
  [5696] = {.lex_state = 250, .external_lex_state = 3},
  [5697] = {.lex_state = 250, .external_lex_state = 3},
  [5698] = {.lex_state = 250, .external_lex_state = 3},
  [5699] = {.lex_state = 250, .external_lex_state = 3},
  [5700] = {.lex_state = 250, .external_lex_state = 3},
  [5701] = {.lex_state = 250, .external_lex_state = 3},
  [5702] = {.lex_state = 250, .external_lex_state = 3},
  [5703] = {.lex_state = 250, .external_lex_state = 3},
  [5704] = {.lex_state = 250, .external_lex_state = 3},
  [5705] = {.lex_state = 250, .external_lex_state = 3},
  [5706] = {.lex_state = 250, .external_lex_state = 3},
  [5707] = {.lex_state = 250, .external_lex_state = 3},
  [5708] = {.lex_state = 250, .external_lex_state = 3},
  [5709] = {.lex_state = 250, .external_lex_state = 3},
  [5710] = {.lex_state = 314, .external_lex_state = 3},
  [5711] = {.lex_state = 250, .external_lex_state = 3},
  [5712] = {.lex_state = 250, .external_lex_state = 3},
  [5713] = {.lex_state = 250, .external_lex_state = 3},
  [5714] = {.lex_state = 250, .external_lex_state = 3},
  [5715] = {.lex_state = 250, .external_lex_state = 3},
  [5716] = {.lex_state = 250, .external_lex_state = 3},
  [5717] = {.lex_state = 314, .external_lex_state = 3},
  [5718] = {.lex_state = 250, .external_lex_state = 3},
  [5719] = {.lex_state = 250, .external_lex_state = 3},
  [5720] = {.lex_state = 250, .external_lex_state = 3},
  [5721] = {.lex_state = 250, .external_lex_state = 3},
  [5722] = {.lex_state = 250, .external_lex_state = 3},
  [5723] = {.lex_state = 250, .external_lex_state = 3},
  [5724] = {.lex_state = 250, .external_lex_state = 3},
  [5725] = {.lex_state = 250, .external_lex_state = 3},
  [5726] = {.lex_state = 244, .external_lex_state = 3},
  [5727] = {.lex_state = 250, .external_lex_state = 3},
  [5728] = {.lex_state = 530, .external_lex_state = 3},
  [5729] = {.lex_state = 530, .external_lex_state = 3},
  [5730] = {.lex_state = 530, .external_lex_state = 3},
  [5731] = {.lex_state = 530, .external_lex_state = 3},
  [5732] = {.lex_state = 75, .external_lex_state = 3},
  [5733] = {.lex_state = 530, .external_lex_state = 3},
  [5734] = {.lex_state = 530, .external_lex_state = 3},
  [5735] = {.lex_state = 530, .external_lex_state = 3},
  [5736] = {.lex_state = 75, .external_lex_state = 3},
  [5737] = {.lex_state = 286, .external_lex_state = 3},
  [5738] = {.lex_state = 530, .external_lex_state = 3},
  [5739] = {.lex_state = 530, .external_lex_state = 3},
  [5740] = {.lex_state = 530, .external_lex_state = 3},
  [5741] = {.lex_state = 244, .external_lex_state = 3},
  [5742] = {.lex_state = 86, .external_lex_state = 3},
  [5743] = {.lex_state = 99, .external_lex_state = 3},
  [5744] = {.lex_state = 12, .external_lex_state = 2},
  [5745] = {.lex_state = 99, .external_lex_state = 3},
  [5746] = {.lex_state = 314, .external_lex_state = 3},
  [5747] = {.lex_state = 314, .external_lex_state = 3},
  [5748] = {.lex_state = 314, .external_lex_state = 3},
  [5749] = {.lex_state = 99, .external_lex_state = 3},
  [5750] = {.lex_state = 314, .external_lex_state = 3},
  [5751] = {.lex_state = 314, .external_lex_state = 3},
  [5752] = {.lex_state = 86, .external_lex_state = 3},
  [5753] = {.lex_state = 314, .external_lex_state = 3},
  [5754] = {.lex_state = 99, .external_lex_state = 3},
  [5755] = {.lex_state = 314, .external_lex_state = 3},
  [5756] = {.lex_state = 314, .external_lex_state = 3},
  [5757] = {.lex_state = 314, .external_lex_state = 3},
  [5758] = {.lex_state = 75, .external_lex_state = 3},
  [5759] = {.lex_state = 75, .external_lex_state = 3},
  [5760] = {.lex_state = 75, .external_lex_state = 3},
  [5761] = {.lex_state = 75, .external_lex_state = 3},
  [5762] = {.lex_state = 75, .external_lex_state = 3},
  [5763] = {.lex_state = 75, .external_lex_state = 3},
  [5764] = {.lex_state = 75, .external_lex_state = 3},
  [5765] = {.lex_state = 237, .external_lex_state = 2},
  [5766] = {.lex_state = 75, .external_lex_state = 3},
  [5767] = {.lex_state = 75, .external_lex_state = 3},
  [5768] = {.lex_state = 75, .external_lex_state = 3},
  [5769] = {.lex_state = 9, .external_lex_state = 3},
  [5770] = {.lex_state = 312, .external_lex_state = 2},
  [5771] = {.lex_state = 82, .external_lex_state = 3},
  [5772] = {.lex_state = 82, .external_lex_state = 3},
  [5773] = {.lex_state = 261, .external_lex_state = 2},
  [5774] = {.lex_state = 12, .external_lex_state = 2},
  [5775] = {.lex_state = 285, .external_lex_state = 3},
  [5776] = {.lex_state = 518, .external_lex_state = 3},
  [5777] = {.lex_state = 285, .external_lex_state = 3},
  [5778] = {.lex_state = 244, .external_lex_state = 3},
  [5779] = {.lex_state = 244, .external_lex_state = 3},
  [5780] = {.lex_state = 250, .external_lex_state = 3},
  [5781] = {.lex_state = 82, .external_lex_state = 3},
  [5782] = {.lex_state = 244, .external_lex_state = 3},
  [5783] = {.lex_state = 244, .external_lex_state = 3},
  [5784] = {.lex_state = 244, .external_lex_state = 3},
  [5785] = {.lex_state = 244, .external_lex_state = 3},
  [5786] = {.lex_state = 82, .external_lex_state = 3},
  [5787] = {.lex_state = 82, .external_lex_state = 3},
  [5788] = {.lex_state = 82, .external_lex_state = 3},
  [5789] = {.lex_state = 244, .external_lex_state = 3},
  [5790] = {.lex_state = 244, .external_lex_state = 3},
  [5791] = {.lex_state = 82, .external_lex_state = 3},
  [5792] = {.lex_state = 82, .external_lex_state = 3},
  [5793] = {.lex_state = 82, .external_lex_state = 3},
  [5794] = {.lex_state = 244, .external_lex_state = 3},
  [5795] = {.lex_state = 244, .external_lex_state = 3},
  [5796] = {.lex_state = 82, .external_lex_state = 3},
  [5797] = {.lex_state = 82, .external_lex_state = 3},
  [5798] = {.lex_state = 244, .external_lex_state = 3},
  [5799] = {.lex_state = 244, .external_lex_state = 3},
  [5800] = {.lex_state = 82, .external_lex_state = 3},
  [5801] = {.lex_state = 244, .external_lex_state = 3},
  [5802] = {.lex_state = 250, .external_lex_state = 3},
  [5803] = {.lex_state = 285, .external_lex_state = 3},
  [5804] = {.lex_state = 285, .external_lex_state = 3},
  [5805] = {.lex_state = 285, .external_lex_state = 3},
  [5806] = {.lex_state = 285, .external_lex_state = 3},
  [5807] = {.lex_state = 84, .external_lex_state = 3},
  [5808] = {.lex_state = 285, .external_lex_state = 3},
  [5809] = {.lex_state = 285, .external_lex_state = 3},
  [5810] = {.lex_state = 285, .external_lex_state = 3},
  [5811] = {.lex_state = 84, .external_lex_state = 3},
  [5812] = {.lex_state = 285, .external_lex_state = 3},
  [5813] = {.lex_state = 285, .external_lex_state = 3},
  [5814] = {.lex_state = 250, .external_lex_state = 3},
  [5815] = {.lex_state = 513, .external_lex_state = 3},
  [5816] = {.lex_state = 86, .external_lex_state = 3},
  [5817] = {.lex_state = 315, .external_lex_state = 3},
  [5818] = {.lex_state = 315, .external_lex_state = 3},
  [5819] = {.lex_state = 315, .external_lex_state = 3},
  [5820] = {.lex_state = 77, .external_lex_state = 3},
  [5821] = {.lex_state = 256, .external_lex_state = 3},
  [5822] = {.lex_state = 77, .external_lex_state = 3},
  [5823] = {.lex_state = 256, .external_lex_state = 3},
  [5824] = {.lex_state = 86, .external_lex_state = 3},
  [5825] = {.lex_state = 283, .external_lex_state = 3},
  [5826] = {.lex_state = 86, .external_lex_state = 3},
  [5827] = {.lex_state = 86, .external_lex_state = 3},
  [5828] = {.lex_state = 77, .external_lex_state = 3},
  [5829] = {.lex_state = 256, .external_lex_state = 3},
  [5830] = {.lex_state = 77, .external_lex_state = 3},
  [5831] = {.lex_state = 256, .external_lex_state = 3},
  [5832] = {.lex_state = 86, .external_lex_state = 3},
  [5833] = {.lex_state = 86, .external_lex_state = 3},
  [5834] = {.lex_state = 256, .external_lex_state = 3},
  [5835] = {.lex_state = 256, .external_lex_state = 3},
  [5836] = {.lex_state = 86, .external_lex_state = 3},
  [5837] = {.lex_state = 256, .external_lex_state = 3},
  [5838] = {.lex_state = 77, .external_lex_state = 3},
  [5839] = {.lex_state = 262, .external_lex_state = 3},
  [5840] = {.lex_state = 253, .external_lex_state = 3},
  [5841] = {.lex_state = 286, .external_lex_state = 3},
  [5842] = {.lex_state = 8, .external_lex_state = 3},
  [5843] = {.lex_state = 4, .external_lex_state = 3},
  [5844] = {.lex_state = 77, .external_lex_state = 3},
  [5845] = {.lex_state = 286, .external_lex_state = 3},
  [5846] = {.lex_state = 4, .external_lex_state = 3},
  [5847] = {.lex_state = 8, .external_lex_state = 3},
  [5848] = {.lex_state = 77, .external_lex_state = 3},
  [5849] = {.lex_state = 286, .external_lex_state = 3},
  [5850] = {.lex_state = 8, .external_lex_state = 3},
  [5851] = {.lex_state = 8, .external_lex_state = 3},
  [5852] = {.lex_state = 286, .external_lex_state = 3},
  [5853] = {.lex_state = 8, .external_lex_state = 3},
  [5854] = {.lex_state = 8, .external_lex_state = 3},
  [5855] = {.lex_state = 8, .external_lex_state = 3},
  [5856] = {.lex_state = 8, .external_lex_state = 3},
  [5857] = {.lex_state = 286, .external_lex_state = 3},
  [5858] = {.lex_state = 8, .external_lex_state = 3},
  [5859] = {.lex_state = 286, .external_lex_state = 3},
  [5860] = {.lex_state = 312, .external_lex_state = 3},
  [5861] = {.lex_state = 8, .external_lex_state = 3},
  [5862] = {.lex_state = 8, .external_lex_state = 3},
  [5863] = {.lex_state = 8, .external_lex_state = 3},
  [5864] = {.lex_state = 8, .external_lex_state = 3},
  [5865] = {.lex_state = 312, .external_lex_state = 3},
  [5866] = {.lex_state = 8, .external_lex_state = 3},
  [5867] = {.lex_state = 68, .external_lex_state = 3},
  [5868] = {.lex_state = 8, .external_lex_state = 3},
  [5869] = {.lex_state = 8, .external_lex_state = 3},
  [5870] = {.lex_state = 286, .external_lex_state = 3},
  [5871] = {.lex_state = 8, .external_lex_state = 3},
  [5872] = {.lex_state = 68, .external_lex_state = 3},
  [5873] = {.lex_state = 8, .external_lex_state = 3},
  [5874] = {.lex_state = 8, .external_lex_state = 3},
  [5875] = {.lex_state = 312, .external_lex_state = 3},
  [5876] = {.lex_state = 312, .external_lex_state = 3},
  [5877] = {.lex_state = 8, .external_lex_state = 3},
  [5878] = {.lex_state = 8, .external_lex_state = 3},
  [5879] = {.lex_state = 8, .external_lex_state = 3},
  [5880] = {.lex_state = 8, .external_lex_state = 3},
  [5881] = {.lex_state = 8, .external_lex_state = 3},
  [5882] = {.lex_state = 8, .external_lex_state = 3},
  [5883] = {.lex_state = 8, .external_lex_state = 3},
  [5884] = {.lex_state = 8, .external_lex_state = 3},
  [5885] = {.lex_state = 68, .external_lex_state = 3},
  [5886] = {.lex_state = 527, .external_lex_state = 3},
  [5887] = {.lex_state = 286, .external_lex_state = 3},
  [5888] = {.lex_state = 8, .external_lex_state = 3},
  [5889] = {.lex_state = 8, .external_lex_state = 3},
  [5890] = {.lex_state = 8, .external_lex_state = 3},
  [5891] = {.lex_state = 8, .external_lex_state = 3},
  [5892] = {.lex_state = 8, .external_lex_state = 3},
  [5893] = {.lex_state = 68, .external_lex_state = 3},
  [5894] = {.lex_state = 8, .external_lex_state = 3},
  [5895] = {.lex_state = 8, .external_lex_state = 3},
  [5896] = {.lex_state = 8, .external_lex_state = 3},
  [5897] = {.lex_state = 8, .external_lex_state = 3},
  [5898] = {.lex_state = 8, .external_lex_state = 3},
  [5899] = {.lex_state = 8, .external_lex_state = 3},
  [5900] = {.lex_state = 8, .external_lex_state = 3},
  [5901] = {.lex_state = 8, .external_lex_state = 3},
  [5902] = {.lex_state = 8, .external_lex_state = 3},
  [5903] = {.lex_state = 8, .external_lex_state = 3},
  [5904] = {.lex_state = 8, .external_lex_state = 3},
  [5905] = {.lex_state = 8, .external_lex_state = 3},
  [5906] = {.lex_state = 315, .external_lex_state = 3},
  [5907] = {.lex_state = 315, .external_lex_state = 3},
  [5908] = {.lex_state = 315, .external_lex_state = 3},
  [5909] = {.lex_state = 8, .external_lex_state = 3},
  [5910] = {.lex_state = 8, .external_lex_state = 3},
  [5911] = {.lex_state = 315, .external_lex_state = 3},
  [5912] = {.lex_state = 8, .external_lex_state = 3},
  [5913] = {.lex_state = 8, .external_lex_state = 3},
  [5914] = {.lex_state = 8, .external_lex_state = 3},
  [5915] = {.lex_state = 286, .external_lex_state = 3},
  [5916] = {.lex_state = 8, .external_lex_state = 3},
  [5917] = {.lex_state = 8, .external_lex_state = 3},
  [5918] = {.lex_state = 77, .external_lex_state = 3},
  [5919] = {.lex_state = 315, .external_lex_state = 3},
  [5920] = {.lex_state = 315, .external_lex_state = 3},
  [5921] = {.lex_state = 77, .external_lex_state = 3},
  [5922] = {.lex_state = 315, .external_lex_state = 3},
  [5923] = {.lex_state = 315, .external_lex_state = 3},
  [5924] = {.lex_state = 315, .external_lex_state = 3},
  [5925] = {.lex_state = 4, .external_lex_state = 3},
  [5926] = {.lex_state = 516, .external_lex_state = 2},
  [5927] = {.lex_state = 286, .external_lex_state = 3},
  [5928] = {.lex_state = 315, .external_lex_state = 3},
  [5929] = {.lex_state = 527, .external_lex_state = 3},
  [5930] = {.lex_state = 315, .external_lex_state = 3},
  [5931] = {.lex_state = 527, .external_lex_state = 3},
  [5932] = {.lex_state = 527, .external_lex_state = 3},
  [5933] = {.lex_state = 286, .external_lex_state = 3},
  [5934] = {.lex_state = 18, .external_lex_state = 3},
  [5935] = {.lex_state = 315, .external_lex_state = 3},
  [5936] = {.lex_state = 68, .external_lex_state = 3},
  [5937] = {.lex_state = 256, .external_lex_state = 3},
  [5938] = {.lex_state = 101, .external_lex_state = 3},
  [5939] = {.lex_state = 516, .external_lex_state = 2},
  [5940] = {.lex_state = 101, .external_lex_state = 3},
  [5941] = {.lex_state = 315, .external_lex_state = 3},
  [5942] = {.lex_state = 315, .external_lex_state = 3},
  [5943] = {.lex_state = 68, .external_lex_state = 3},
  [5944] = {.lex_state = 68, .external_lex_state = 3},
  [5945] = {.lex_state = 8, .external_lex_state = 3},
  [5946] = {.lex_state = 68, .external_lex_state = 3},
  [5947] = {.lex_state = 315, .external_lex_state = 3},
  [5948] = {.lex_state = 315, .external_lex_state = 3},
  [5949] = {.lex_state = 315, .external_lex_state = 3},
  [5950] = {.lex_state = 4, .external_lex_state = 3},
  [5951] = {.lex_state = 4, .external_lex_state = 3},
  [5952] = {.lex_state = 101, .external_lex_state = 3},
  [5953] = {.lex_state = 286, .external_lex_state = 3},
  [5954] = {.lex_state = 286, .external_lex_state = 3},
  [5955] = {.lex_state = 8, .external_lex_state = 3},
  [5956] = {.lex_state = 261, .external_lex_state = 3},
  [5957] = {.lex_state = 256, .external_lex_state = 3},
  [5958] = {.lex_state = 261, .external_lex_state = 3},
  [5959] = {.lex_state = 68, .external_lex_state = 3},
  [5960] = {.lex_state = 68, .external_lex_state = 3},
  [5961] = {.lex_state = 315, .external_lex_state = 3},
  [5962] = {.lex_state = 101, .external_lex_state = 3},
  [5963] = {.lex_state = 315, .external_lex_state = 3},
  [5964] = {.lex_state = 68, .external_lex_state = 3},
  [5965] = {.lex_state = 68, .external_lex_state = 3},
  [5966] = {.lex_state = 68, .external_lex_state = 3},
  [5967] = {.lex_state = 8, .external_lex_state = 3},
  [5968] = {.lex_state = 315, .external_lex_state = 3},
  [5969] = {.lex_state = 315, .external_lex_state = 3},
  [5970] = {.lex_state = 315, .external_lex_state = 3},
  [5971] = {.lex_state = 315, .external_lex_state = 3},
  [5972] = {.lex_state = 256, .external_lex_state = 3},
  [5973] = {.lex_state = 315, .external_lex_state = 3},
  [5974] = {.lex_state = 261, .external_lex_state = 3},
  [5975] = {.lex_state = 68, .external_lex_state = 3},
  [5976] = {.lex_state = 315, .external_lex_state = 3},
  [5977] = {.lex_state = 261, .external_lex_state = 3},
  [5978] = {.lex_state = 68, .external_lex_state = 3},
  [5979] = {.lex_state = 68, .external_lex_state = 3},
  [5980] = {.lex_state = 68, .external_lex_state = 3},
  [5981] = {.lex_state = 68, .external_lex_state = 3},
  [5982] = {.lex_state = 68, .external_lex_state = 3},
  [5983] = {.lex_state = 68, .external_lex_state = 3},
  [5984] = {.lex_state = 68, .external_lex_state = 3},
  [5985] = {.lex_state = 315, .external_lex_state = 3},
  [5986] = {.lex_state = 17, .external_lex_state = 3},
  [5987] = {.lex_state = 315, .external_lex_state = 3},
  [5988] = {.lex_state = 315, .external_lex_state = 3},
  [5989] = {.lex_state = 532, .external_lex_state = 3},
  [5990] = {.lex_state = 17, .external_lex_state = 3},
  [5991] = {.lex_state = 68, .external_lex_state = 3},
  [5992] = {.lex_state = 315, .external_lex_state = 3},
  [5993] = {.lex_state = 532, .external_lex_state = 3},
  [5994] = {.lex_state = 68, .external_lex_state = 3},
  [5995] = {.lex_state = 315, .external_lex_state = 3},
  [5996] = {.lex_state = 68, .external_lex_state = 3},
  [5997] = {.lex_state = 315, .external_lex_state = 3},
  [5998] = {.lex_state = 68, .external_lex_state = 3},
  [5999] = {.lex_state = 68, .external_lex_state = 3},
  [6000] = {.lex_state = 68, .external_lex_state = 3},
  [6001] = {.lex_state = 4, .external_lex_state = 3},
  [6002] = {.lex_state = 8, .external_lex_state = 3},
  [6003] = {.lex_state = 256, .external_lex_state = 3},
  [6004] = {.lex_state = 68, .external_lex_state = 3},
  [6005] = {.lex_state = 17, .external_lex_state = 3},
  [6006] = {.lex_state = 4, .external_lex_state = 3},
  [6007] = {.lex_state = 532, .external_lex_state = 3},
  [6008] = {.lex_state = 532, .external_lex_state = 3},
  [6009] = {.lex_state = 532, .external_lex_state = 3},
  [6010] = {.lex_state = 532, .external_lex_state = 3},
  [6011] = {.lex_state = 532, .external_lex_state = 3},
  [6012] = {.lex_state = 532, .external_lex_state = 3},
  [6013] = {.lex_state = 532, .external_lex_state = 3},
  [6014] = {.lex_state = 532, .external_lex_state = 3},
  [6015] = {.lex_state = 532, .external_lex_state = 3},
  [6016] = {.lex_state = 532, .external_lex_state = 3},
  [6017] = {.lex_state = 68, .external_lex_state = 3},
  [6018] = {.lex_state = 8, .external_lex_state = 3},
  [6019] = {.lex_state = 4, .external_lex_state = 3},
  [6020] = {.lex_state = 17, .external_lex_state = 3},
  [6021] = {.lex_state = 68, .external_lex_state = 3},
  [6022] = {.lex_state = 68, .external_lex_state = 3},
  [6023] = {.lex_state = 68, .external_lex_state = 3},
  [6024] = {.lex_state = 68, .external_lex_state = 3},
  [6025] = {.lex_state = 534, .external_lex_state = 3},
  [6026] = {.lex_state = 311, .external_lex_state = 3},
  [6027] = {.lex_state = 68, .external_lex_state = 3},
  [6028] = {.lex_state = 68, .external_lex_state = 3},
  [6029] = {.lex_state = 286, .external_lex_state = 3},
  [6030] = {.lex_state = 311, .external_lex_state = 3},
  [6031] = {.lex_state = 527, .external_lex_state = 3},
  [6032] = {.lex_state = 527, .external_lex_state = 3},
  [6033] = {.lex_state = 68, .external_lex_state = 3},
  [6034] = {.lex_state = 4, .external_lex_state = 3},
  [6035] = {.lex_state = 4, .external_lex_state = 3},
  [6036] = {.lex_state = 68, .external_lex_state = 3},
  [6037] = {.lex_state = 256, .external_lex_state = 3},
  [6038] = {.lex_state = 516, .external_lex_state = 2},
  [6039] = {.lex_state = 527, .external_lex_state = 3},
  [6040] = {.lex_state = 104, .external_lex_state = 3},
  [6041] = {.lex_state = 527, .external_lex_state = 3},
  [6042] = {.lex_state = 286, .external_lex_state = 3},
  [6043] = {.lex_state = 286, .external_lex_state = 3},
  [6044] = {.lex_state = 93, .external_lex_state = 3},
  [6045] = {.lex_state = 286, .external_lex_state = 3},
  [6046] = {.lex_state = 93, .external_lex_state = 3},
  [6047] = {.lex_state = 315, .external_lex_state = 3},
  [6048] = {.lex_state = 286, .external_lex_state = 3},
  [6049] = {.lex_state = 286, .external_lex_state = 3},
  [6050] = {.lex_state = 4, .external_lex_state = 3},
  [6051] = {.lex_state = 4, .external_lex_state = 3},
  [6052] = {.lex_state = 315, .external_lex_state = 3},
  [6053] = {.lex_state = 527, .external_lex_state = 3},
  [6054] = {.lex_state = 4, .external_lex_state = 3},
  [6055] = {.lex_state = 4, .external_lex_state = 3},
  [6056] = {.lex_state = 311, .external_lex_state = 3},
  [6057] = {.lex_state = 4, .external_lex_state = 3},
  [6058] = {.lex_state = 315, .external_lex_state = 3},
  [6059] = {.lex_state = 286, .external_lex_state = 3},
  [6060] = {.lex_state = 4, .external_lex_state = 3},
  [6061] = {.lex_state = 4, .external_lex_state = 3},
  [6062] = {.lex_state = 4, .external_lex_state = 3},
  [6063] = {.lex_state = 4, .external_lex_state = 3},
  [6064] = {.lex_state = 311, .external_lex_state = 3},
  [6065] = {.lex_state = 311, .external_lex_state = 3},
  [6066] = {.lex_state = 311, .external_lex_state = 3},
  [6067] = {.lex_state = 4, .external_lex_state = 3},
  [6068] = {.lex_state = 4, .external_lex_state = 3},
  [6069] = {.lex_state = 4, .external_lex_state = 3},
  [6070] = {.lex_state = 286, .external_lex_state = 3},
  [6071] = {.lex_state = 311, .external_lex_state = 3},
  [6072] = {.lex_state = 311, .external_lex_state = 3},
  [6073] = {.lex_state = 311, .external_lex_state = 3},
  [6074] = {.lex_state = 256, .external_lex_state = 3},
  [6075] = {.lex_state = 315, .external_lex_state = 3},
  [6076] = {.lex_state = 4, .external_lex_state = 3},
  [6077] = {.lex_state = 256, .external_lex_state = 3},
  [6078] = {.lex_state = 311, .external_lex_state = 3},
  [6079] = {.lex_state = 311, .external_lex_state = 3},
  [6080] = {.lex_state = 256, .external_lex_state = 3},
  [6081] = {.lex_state = 256, .external_lex_state = 3},
  [6082] = {.lex_state = 311, .external_lex_state = 3},
  [6083] = {.lex_state = 256, .external_lex_state = 3},
  [6084] = {.lex_state = 4, .external_lex_state = 3},
  [6085] = {.lex_state = 8, .external_lex_state = 3},
  [6086] = {.lex_state = 256, .external_lex_state = 3},
  [6087] = {.lex_state = 4, .external_lex_state = 3},
  [6088] = {.lex_state = 256, .external_lex_state = 3},
  [6089] = {.lex_state = 4, .external_lex_state = 3},
  [6090] = {.lex_state = 4, .external_lex_state = 3},
  [6091] = {.lex_state = 4, .external_lex_state = 3},
  [6092] = {.lex_state = 93, .external_lex_state = 3},
  [6093] = {.lex_state = 93, .external_lex_state = 3},
  [6094] = {.lex_state = 93, .external_lex_state = 3},
  [6095] = {.lex_state = 93, .external_lex_state = 3},
  [6096] = {.lex_state = 93, .external_lex_state = 3},
  [6097] = {.lex_state = 93, .external_lex_state = 3},
  [6098] = {.lex_state = 93, .external_lex_state = 3},
  [6099] = {.lex_state = 93, .external_lex_state = 3},
  [6100] = {.lex_state = 93, .external_lex_state = 3},
  [6101] = {.lex_state = 93, .external_lex_state = 3},
  [6102] = {.lex_state = 4, .external_lex_state = 3},
  [6103] = {.lex_state = 4, .external_lex_state = 3},
  [6104] = {.lex_state = 516, .external_lex_state = 2},
  [6105] = {.lex_state = 4, .external_lex_state = 3},
  [6106] = {.lex_state = 4, .external_lex_state = 3},
  [6107] = {.lex_state = 4, .external_lex_state = 3},
  [6108] = {.lex_state = 4, .external_lex_state = 3},
  [6109] = {.lex_state = 4, .external_lex_state = 3},
  [6110] = {.lex_state = 4, .external_lex_state = 3},
  [6111] = {.lex_state = 4, .external_lex_state = 3},
  [6112] = {.lex_state = 4, .external_lex_state = 3},
  [6113] = {.lex_state = 4, .external_lex_state = 3},
  [6114] = {.lex_state = 4, .external_lex_state = 3},
  [6115] = {.lex_state = 4, .external_lex_state = 3},
  [6116] = {.lex_state = 4, .external_lex_state = 3},
  [6117] = {.lex_state = 315, .external_lex_state = 3},
  [6118] = {.lex_state = 256, .external_lex_state = 3},
  [6119] = {.lex_state = 315, .external_lex_state = 3},
  [6120] = {.lex_state = 527, .external_lex_state = 3},
  [6121] = {.lex_state = 256, .external_lex_state = 3},
  [6122] = {.lex_state = 256, .external_lex_state = 3},
  [6123] = {.lex_state = 256, .external_lex_state = 3},
  [6124] = {.lex_state = 256, .external_lex_state = 3},
  [6125] = {.lex_state = 256, .external_lex_state = 3},
  [6126] = {.lex_state = 256, .external_lex_state = 3},
  [6127] = {.lex_state = 256, .external_lex_state = 3},
  [6128] = {.lex_state = 97, .external_lex_state = 3},
  [6129] = {.lex_state = 256, .external_lex_state = 3},
  [6130] = {.lex_state = 97, .external_lex_state = 3},
  [6131] = {.lex_state = 256, .external_lex_state = 3},
  [6132] = {.lex_state = 256, .external_lex_state = 3},
  [6133] = {.lex_state = 527, .external_lex_state = 3},
  [6134] = {.lex_state = 527, .external_lex_state = 3},
  [6135] = {.lex_state = 256, .external_lex_state = 3},
  [6136] = {.lex_state = 97, .external_lex_state = 3},
  [6137] = {.lex_state = 256, .external_lex_state = 3},
  [6138] = {.lex_state = 256, .external_lex_state = 3},
  [6139] = {.lex_state = 527, .external_lex_state = 3},
  [6140] = {.lex_state = 527, .external_lex_state = 3},
  [6141] = {.lex_state = 527, .external_lex_state = 3},
  [6142] = {.lex_state = 527, .external_lex_state = 3},
  [6143] = {.lex_state = 97, .external_lex_state = 3},
  [6144] = {.lex_state = 97, .external_lex_state = 3},
  [6145] = {.lex_state = 97, .external_lex_state = 3},
  [6146] = {.lex_state = 256, .external_lex_state = 3},
  [6147] = {.lex_state = 313, .external_lex_state = 3},
  [6148] = {.lex_state = 256, .external_lex_state = 3},
  [6149] = {.lex_state = 527, .external_lex_state = 3},
  [6150] = {.lex_state = 527, .external_lex_state = 3},
  [6151] = {.lex_state = 97, .external_lex_state = 3},
  [6152] = {.lex_state = 97, .external_lex_state = 3},
  [6153] = {.lex_state = 97, .external_lex_state = 3},
  [6154] = {.lex_state = 256, .external_lex_state = 3},
  [6155] = {.lex_state = 527, .external_lex_state = 3},
  [6156] = {.lex_state = 527, .external_lex_state = 3},
  [6157] = {.lex_state = 97, .external_lex_state = 3},
  [6158] = {.lex_state = 97, .external_lex_state = 3},
  [6159] = {.lex_state = 527, .external_lex_state = 3},
  [6160] = {.lex_state = 527, .external_lex_state = 3},
  [6161] = {.lex_state = 97, .external_lex_state = 3},
  [6162] = {.lex_state = 527, .external_lex_state = 3},
  [6163] = {.lex_state = 315, .external_lex_state = 3},
  [6164] = {.lex_state = 256, .external_lex_state = 3},
  [6165] = {.lex_state = 315, .external_lex_state = 3},
  [6166] = {.lex_state = 256, .external_lex_state = 3},
  [6167] = {.lex_state = 256, .external_lex_state = 3},
  [6168] = {.lex_state = 256, .external_lex_state = 3},
  [6169] = {.lex_state = 527, .external_lex_state = 3},
  [6170] = {.lex_state = 256, .external_lex_state = 3},
  [6171] = {.lex_state = 256, .external_lex_state = 3},
  [6172] = {.lex_state = 256, .external_lex_state = 3},
  [6173] = {.lex_state = 256, .external_lex_state = 3},
  [6174] = {.lex_state = 256, .external_lex_state = 3},
  [6175] = {.lex_state = 527, .external_lex_state = 3},
  [6176] = {.lex_state = 315, .external_lex_state = 3},
  [6177] = {.lex_state = 315, .external_lex_state = 3},
  [6178] = {.lex_state = 315, .external_lex_state = 3},
  [6179] = {.lex_state = 315, .external_lex_state = 3},
  [6180] = {.lex_state = 256, .external_lex_state = 3},
  [6181] = {.lex_state = 77, .external_lex_state = 3},
  [6182] = {.lex_state = 77, .external_lex_state = 3},
  [6183] = {.lex_state = 256, .external_lex_state = 3},
  [6184] = {.lex_state = 77, .external_lex_state = 3},
  [6185] = {.lex_state = 286, .external_lex_state = 3},
  [6186] = {.lex_state = 77, .external_lex_state = 3},
  [6187] = {.lex_state = 286, .external_lex_state = 3},
  [6188] = {.lex_state = 286, .external_lex_state = 3},
  [6189] = {.lex_state = 315, .external_lex_state = 3},
  [6190] = {.lex_state = 315, .external_lex_state = 3},
  [6191] = {.lex_state = 286, .external_lex_state = 3},
  [6192] = {.lex_state = 286, .external_lex_state = 3},
  [6193] = {.lex_state = 286, .external_lex_state = 3},
  [6194] = {.lex_state = 286, .external_lex_state = 3},
  [6195] = {.lex_state = 286, .external_lex_state = 3},
  [6196] = {.lex_state = 286, .external_lex_state = 3},
  [6197] = {.lex_state = 527, .external_lex_state = 3},
  [6198] = {.lex_state = 286, .external_lex_state = 3},
  [6199] = {.lex_state = 315, .external_lex_state = 3},
  [6200] = {.lex_state = 315, .external_lex_state = 3},
  [6201] = {.lex_state = 13, .external_lex_state = 3},
  [6202] = {.lex_state = 286, .external_lex_state = 3},
  [6203] = {.lex_state = 286, .external_lex_state = 3},
  [6204] = {.lex_state = 68, .external_lex_state = 3},
  [6205] = {.lex_state = 68, .external_lex_state = 3},
  [6206] = {.lex_state = 68, .external_lex_state = 3},
  [6207] = {.lex_state = 315, .external_lex_state = 3},
  [6208] = {.lex_state = 315, .external_lex_state = 3},
  [6209] = {.lex_state = 286, .external_lex_state = 3},
  [6210] = {.lex_state = 286, .external_lex_state = 3},
  [6211] = {.lex_state = 315, .external_lex_state = 3},
  [6212] = {.lex_state = 286, .external_lex_state = 3},
  [6213] = {.lex_state = 286, .external_lex_state = 3},
  [6214] = {.lex_state = 8, .external_lex_state = 3},
  [6215] = {.lex_state = 4, .external_lex_state = 3},
  [6216] = {.lex_state = 4, .external_lex_state = 3},
  [6217] = {.lex_state = 527, .external_lex_state = 3},
  [6218] = {.lex_state = 286, .external_lex_state = 3},
  [6219] = {.lex_state = 286, .external_lex_state = 3},
  [6220] = {.lex_state = 4, .external_lex_state = 3},
  [6221] = {.lex_state = 4, .external_lex_state = 3},
  [6222] = {.lex_state = 4, .external_lex_state = 3},
  [6223] = {.lex_state = 4, .external_lex_state = 3},
  [6224] = {.lex_state = 286, .external_lex_state = 3},
  [6225] = {.lex_state = 286, .external_lex_state = 3},
  [6226] = {.lex_state = 68, .external_lex_state = 3},
  [6227] = {.lex_state = 527, .external_lex_state = 3},
  [6228] = {.lex_state = 4, .external_lex_state = 3},
  [6229] = {.lex_state = 4, .external_lex_state = 3},
  [6230] = {.lex_state = 256, .external_lex_state = 3},
  [6231] = {.lex_state = 286, .external_lex_state = 3},
  [6232] = {.lex_state = 256, .external_lex_state = 3},
  [6233] = {.lex_state = 256, .external_lex_state = 3},
  [6234] = {.lex_state = 4, .external_lex_state = 3},
  [6235] = {.lex_state = 256, .external_lex_state = 3},
  [6236] = {.lex_state = 4, .external_lex_state = 3},
  [6237] = {.lex_state = 286, .external_lex_state = 3},
  [6238] = {.lex_state = 286, .external_lex_state = 3},
  [6239] = {.lex_state = 4, .external_lex_state = 3},
  [6240] = {.lex_state = 4, .external_lex_state = 3},
  [6241] = {.lex_state = 286, .external_lex_state = 3},
  [6242] = {.lex_state = 4, .external_lex_state = 3},
  [6243] = {.lex_state = 86, .external_lex_state = 3},
  [6244] = {.lex_state = 286, .external_lex_state = 3},
  [6245] = {.lex_state = 68, .external_lex_state = 3},
  [6246] = {.lex_state = 315, .external_lex_state = 3},
  [6247] = {.lex_state = 527, .external_lex_state = 3},
  [6248] = {.lex_state = 68, .external_lex_state = 3},
  [6249] = {.lex_state = 315, .external_lex_state = 3},
  [6250] = {.lex_state = 527, .external_lex_state = 3},
  [6251] = {.lex_state = 527, .external_lex_state = 3},
  [6252] = {.lex_state = 12, .external_lex_state = 3},
  [6253] = {.lex_state = 68, .external_lex_state = 3},
  [6254] = {.lex_state = 77, .external_lex_state = 3},
  [6255] = {.lex_state = 12, .external_lex_state = 3},
  [6256] = {.lex_state = 12, .external_lex_state = 3},
  [6257] = {.lex_state = 12, .external_lex_state = 3},
  [6258] = {.lex_state = 86, .external_lex_state = 3},
  [6259] = {.lex_state = 99, .external_lex_state = 3},
  [6260] = {.lex_state = 77, .external_lex_state = 3},
  [6261] = {.lex_state = 238, .external_lex_state = 3},
  [6262] = {.lex_state = 256, .external_lex_state = 3},
  [6263] = {.lex_state = 77, .external_lex_state = 3},
  [6264] = {.lex_state = 77, .external_lex_state = 3},
  [6265] = {.lex_state = 315, .external_lex_state = 3},
  [6266] = {.lex_state = 99, .external_lex_state = 3},
  [6267] = {.lex_state = 77, .external_lex_state = 3},
  [6268] = {.lex_state = 77, .external_lex_state = 3},
  [6269] = {.lex_state = 4, .external_lex_state = 3},
  [6270] = {.lex_state = 68, .external_lex_state = 3},
  [6271] = {.lex_state = 77, .external_lex_state = 3},
  [6272] = {.lex_state = 315, .external_lex_state = 3},
  [6273] = {.lex_state = 77, .external_lex_state = 3},
  [6274] = {.lex_state = 527, .external_lex_state = 3},
  [6275] = {.lex_state = 315, .external_lex_state = 3},
  [6276] = {.lex_state = 77, .external_lex_state = 3},
  [6277] = {.lex_state = 527, .external_lex_state = 3},
  [6278] = {.lex_state = 77, .external_lex_state = 3},
  [6279] = {.lex_state = 68, .external_lex_state = 3},
  [6280] = {.lex_state = 512, .external_lex_state = 3},
  [6281] = {.lex_state = 512, .external_lex_state = 3},
  [6282] = {.lex_state = 77, .external_lex_state = 3},
  [6283] = {.lex_state = 527, .external_lex_state = 3},
  [6284] = {.lex_state = 527, .external_lex_state = 3},
  [6285] = {.lex_state = 527, .external_lex_state = 3},
  [6286] = {.lex_state = 512, .external_lex_state = 3},
  [6287] = {.lex_state = 512, .external_lex_state = 3},
  [6288] = {.lex_state = 527, .external_lex_state = 3},
  [6289] = {.lex_state = 527, .external_lex_state = 3},
  [6290] = {.lex_state = 77, .external_lex_state = 3},
  [6291] = {.lex_state = 77, .external_lex_state = 3},
  [6292] = {.lex_state = 8, .external_lex_state = 3},
  [6293] = {.lex_state = 77, .external_lex_state = 3},
  [6294] = {.lex_state = 8, .external_lex_state = 3},
  [6295] = {.lex_state = 77, .external_lex_state = 3},
  [6296] = {.lex_state = 77, .external_lex_state = 3},
  [6297] = {.lex_state = 4, .external_lex_state = 3},
  [6298] = {.lex_state = 8, .external_lex_state = 3},
  [6299] = {.lex_state = 99, .external_lex_state = 3},
  [6300] = {.lex_state = 4, .external_lex_state = 3},
  [6301] = {.lex_state = 77, .external_lex_state = 3},
  [6302] = {.lex_state = 77, .external_lex_state = 3},
  [6303] = {.lex_state = 77, .external_lex_state = 3},
  [6304] = {.lex_state = 77, .external_lex_state = 3},
  [6305] = {.lex_state = 99, .external_lex_state = 3},
  [6306] = {.lex_state = 99, .external_lex_state = 3},
  [6307] = {.lex_state = 99, .external_lex_state = 3},
  [6308] = {.lex_state = 237, .external_lex_state = 3},
  [6309] = {.lex_state = 77, .external_lex_state = 3},
  [6310] = {.lex_state = 77, .external_lex_state = 3},
  [6311] = {.lex_state = 99, .external_lex_state = 3},
  [6312] = {.lex_state = 99, .external_lex_state = 3},
  [6313] = {.lex_state = 99, .external_lex_state = 3},
  [6314] = {.lex_state = 4, .external_lex_state = 3},
  [6315] = {.lex_state = 237, .external_lex_state = 3},
  [6316] = {.lex_state = 77, .external_lex_state = 3},
  [6317] = {.lex_state = 77, .external_lex_state = 3},
  [6318] = {.lex_state = 99, .external_lex_state = 3},
  [6319] = {.lex_state = 99, .external_lex_state = 3},
  [6320] = {.lex_state = 77, .external_lex_state = 3},
  [6321] = {.lex_state = 77, .external_lex_state = 3},
  [6322] = {.lex_state = 99, .external_lex_state = 3},
  [6323] = {.lex_state = 77, .external_lex_state = 3},
  [6324] = {.lex_state = 286, .external_lex_state = 3},
  [6325] = {.lex_state = 286, .external_lex_state = 3},
  [6326] = {.lex_state = 237, .external_lex_state = 3},
  [6327] = {.lex_state = 4, .external_lex_state = 3},
  [6328] = {.lex_state = 237, .external_lex_state = 3},
  [6329] = {.lex_state = 286, .external_lex_state = 3},
  [6330] = {.lex_state = 286, .external_lex_state = 3},
  [6331] = {.lex_state = 286, .external_lex_state = 3},
  [6332] = {.lex_state = 286, .external_lex_state = 3},
  [6333] = {.lex_state = 4, .external_lex_state = 3},
  [6334] = {.lex_state = 527, .external_lex_state = 3},
  [6335] = {.lex_state = 286, .external_lex_state = 3},
  [6336] = {.lex_state = 286, .external_lex_state = 3},
  [6337] = {.lex_state = 77, .external_lex_state = 3},
  [6338] = {.lex_state = 77, .external_lex_state = 3},
  [6339] = {.lex_state = 286, .external_lex_state = 3},
  [6340] = {.lex_state = 286, .external_lex_state = 3},
  [6341] = {.lex_state = 286, .external_lex_state = 3},
  [6342] = {.lex_state = 286, .external_lex_state = 3},
  [6343] = {.lex_state = 286, .external_lex_state = 3},
  [6344] = {.lex_state = 77, .external_lex_state = 3},
  [6345] = {.lex_state = 527, .external_lex_state = 3},
  [6346] = {.lex_state = 77, .external_lex_state = 3},
  [6347] = {.lex_state = 77, .external_lex_state = 3},
  [6348] = {.lex_state = 77, .external_lex_state = 3},
  [6349] = {.lex_state = 527, .external_lex_state = 3},
  [6350] = {.lex_state = 527, .external_lex_state = 3},
  [6351] = {.lex_state = 77, .external_lex_state = 3},
  [6352] = {.lex_state = 527, .external_lex_state = 3},
  [6353] = {.lex_state = 527, .external_lex_state = 3},
  [6354] = {.lex_state = 527, .external_lex_state = 3},
  [6355] = {.lex_state = 527, .external_lex_state = 3},
  [6356] = {.lex_state = 527, .external_lex_state = 3},
  [6357] = {.lex_state = 527, .external_lex_state = 3},
  [6358] = {.lex_state = 527, .external_lex_state = 3},
  [6359] = {.lex_state = 77, .external_lex_state = 3},
  [6360] = {.lex_state = 77, .external_lex_state = 3},
  [6361] = {.lex_state = 77, .external_lex_state = 3},
  [6362] = {.lex_state = 527, .external_lex_state = 3},
  [6363] = {.lex_state = 527, .external_lex_state = 3},
  [6364] = {.lex_state = 527, .external_lex_state = 3},
  [6365] = {.lex_state = 527, .external_lex_state = 3},
  [6366] = {.lex_state = 527, .external_lex_state = 3},
  [6367] = {.lex_state = 527, .external_lex_state = 3},
  [6368] = {.lex_state = 77, .external_lex_state = 3},
  [6369] = {.lex_state = 68, .external_lex_state = 3},
  [6370] = {.lex_state = 68, .external_lex_state = 3},
  [6371] = {.lex_state = 256, .external_lex_state = 3},
  [6372] = {.lex_state = 77, .external_lex_state = 3},
  [6373] = {.lex_state = 527, .external_lex_state = 3},
  [6374] = {.lex_state = 77, .external_lex_state = 3},
  [6375] = {.lex_state = 527, .external_lex_state = 3},
  [6376] = {.lex_state = 77, .external_lex_state = 3},
  [6377] = {.lex_state = 68, .external_lex_state = 3},
  [6378] = {.lex_state = 68, .external_lex_state = 3},
  [6379] = {.lex_state = 68, .external_lex_state = 3},
  [6380] = {.lex_state = 77, .external_lex_state = 3},
  [6381] = {.lex_state = 77, .external_lex_state = 3},
  [6382] = {.lex_state = 68, .external_lex_state = 3},
  [6383] = {.lex_state = 256, .external_lex_state = 3},
  [6384] = {.lex_state = 77, .external_lex_state = 3},
  [6385] = {.lex_state = 86, .external_lex_state = 3},
  [6386] = {.lex_state = 527, .external_lex_state = 3},
  [6387] = {.lex_state = 527, .external_lex_state = 3},
  [6388] = {.lex_state = 315, .external_lex_state = 3},
  [6389] = {.lex_state = 68, .external_lex_state = 3},
  [6390] = {.lex_state = 68, .external_lex_state = 3},
  [6391] = {.lex_state = 256, .external_lex_state = 3},
  [6392] = {.lex_state = 77, .external_lex_state = 3},
  [6393] = {.lex_state = 256, .external_lex_state = 3},
  [6394] = {.lex_state = 77, .external_lex_state = 3},
  [6395] = {.lex_state = 256, .external_lex_state = 3},
  [6396] = {.lex_state = 68, .external_lex_state = 3},
  [6397] = {.lex_state = 68, .external_lex_state = 3},
  [6398] = {.lex_state = 256, .external_lex_state = 3},
  [6399] = {.lex_state = 86, .external_lex_state = 3},
  [6400] = {.lex_state = 68, .external_lex_state = 3},
  [6401] = {.lex_state = 68, .external_lex_state = 3},
  [6402] = {.lex_state = 86, .external_lex_state = 3},
  [6403] = {.lex_state = 68, .external_lex_state = 3},
  [6404] = {.lex_state = 516, .external_lex_state = 2},
  [6405] = {.lex_state = 256, .external_lex_state = 3},
  [6406] = {.lex_state = 17, .external_lex_state = 3},
  [6407] = {.lex_state = 237, .external_lex_state = 3},
  [6408] = {.lex_state = 320, .external_lex_state = 3},
  [6409] = {.lex_state = 321, .external_lex_state = 2},
  [6410] = {.lex_state = 320, .external_lex_state = 3},
  [6411] = {.lex_state = 321, .external_lex_state = 2},
  [6412] = {.lex_state = 17, .external_lex_state = 3},
  [6413] = {.lex_state = 12, .external_lex_state = 3},
  [6414] = {.lex_state = 12, .external_lex_state = 3},
  [6415] = {.lex_state = 320, .external_lex_state = 3},
  [6416] = {.lex_state = 106, .external_lex_state = 5},
  [6417] = {.lex_state = 320, .external_lex_state = 3},
  [6418] = {.lex_state = 237, .external_lex_state = 3},
  [6419] = {.lex_state = 237, .external_lex_state = 3},
  [6420] = {.lex_state = 261, .external_lex_state = 3},
  [6421] = {.lex_state = 512, .external_lex_state = 3},
  [6422] = {.lex_state = 512, .external_lex_state = 3},
  [6423] = {.lex_state = 237, .external_lex_state = 3},
  [6424] = {.lex_state = 512, .external_lex_state = 3},
  [6425] = {.lex_state = 512, .external_lex_state = 3},
  [6426] = {.lex_state = 4, .external_lex_state = 3},
  [6427] = {.lex_state = 101, .external_lex_state = 3},
  [6428] = {.lex_state = 101, .external_lex_state = 3},
  [6429] = {.lex_state = 12, .external_lex_state = 3},
  [6430] = {.lex_state = 512, .external_lex_state = 3},
  [6431] = {.lex_state = 312, .external_lex_state = 3},
  [6432] = {.lex_state = 512, .external_lex_state = 3},
  [6433] = {.lex_state = 512, .external_lex_state = 3},
  [6434] = {.lex_state = 512, .external_lex_state = 3},
  [6435] = {.lex_state = 512, .external_lex_state = 3},
  [6436] = {.lex_state = 512, .external_lex_state = 3},
  [6437] = {.lex_state = 512, .external_lex_state = 3},
  [6438] = {.lex_state = 512, .external_lex_state = 3},
  [6439] = {.lex_state = 261, .external_lex_state = 3},
  [6440] = {.lex_state = 512, .external_lex_state = 3},
  [6441] = {.lex_state = 512, .external_lex_state = 3},
  [6442] = {.lex_state = 512, .external_lex_state = 3},
  [6443] = {.lex_state = 512, .external_lex_state = 3},
  [6444] = {.lex_state = 512, .external_lex_state = 3},
  [6445] = {.lex_state = 512, .external_lex_state = 3},
  [6446] = {.lex_state = 512, .external_lex_state = 3},
  [6447] = {.lex_state = 512, .external_lex_state = 3},
  [6448] = {.lex_state = 12, .external_lex_state = 3},
  [6449] = {.lex_state = 512, .external_lex_state = 3},
  [6450] = {.lex_state = 261, .external_lex_state = 3},
  [6451] = {.lex_state = 101, .external_lex_state = 3},
  [6452] = {.lex_state = 512, .external_lex_state = 3},
  [6453] = {.lex_state = 101, .external_lex_state = 3},
  [6454] = {.lex_state = 101, .external_lex_state = 3},
  [6455] = {.lex_state = 101, .external_lex_state = 3},
  [6456] = {.lex_state = 512, .external_lex_state = 3},
  [6457] = {.lex_state = 512, .external_lex_state = 3},
  [6458] = {.lex_state = 101, .external_lex_state = 3},
  [6459] = {.lex_state = 12, .external_lex_state = 3},
  [6460] = {.lex_state = 101, .external_lex_state = 3},
  [6461] = {.lex_state = 101, .external_lex_state = 3},
  [6462] = {.lex_state = 101, .external_lex_state = 3},
  [6463] = {.lex_state = 101, .external_lex_state = 3},
  [6464] = {.lex_state = 101, .external_lex_state = 3},
  [6465] = {.lex_state = 106, .external_lex_state = 5},
  [6466] = {.lex_state = 12, .external_lex_state = 3},
  [6467] = {.lex_state = 12, .external_lex_state = 3},
  [6468] = {.lex_state = 4, .external_lex_state = 3},
  [6469] = {.lex_state = 312, .external_lex_state = 3},
  [6470] = {.lex_state = 512, .external_lex_state = 3},
  [6471] = {.lex_state = 312, .external_lex_state = 3},
  [6472] = {.lex_state = 512, .external_lex_state = 3},
  [6473] = {.lex_state = 512, .external_lex_state = 3},
  [6474] = {.lex_state = 512, .external_lex_state = 3},
  [6475] = {.lex_state = 312, .external_lex_state = 3},
  [6476] = {.lex_state = 512, .external_lex_state = 3},
  [6477] = {.lex_state = 512, .external_lex_state = 3},
  [6478] = {.lex_state = 512, .external_lex_state = 3},
  [6479] = {.lex_state = 512, .external_lex_state = 3},
  [6480] = {.lex_state = 512, .external_lex_state = 3},
  [6481] = {.lex_state = 312, .external_lex_state = 3},
  [6482] = {.lex_state = 312, .external_lex_state = 3},
  [6483] = {.lex_state = 312, .external_lex_state = 3},
  [6484] = {.lex_state = 312, .external_lex_state = 3},
  [6485] = {.lex_state = 312, .external_lex_state = 3},
  [6486] = {.lex_state = 512, .external_lex_state = 3},
  [6487] = {.lex_state = 512, .external_lex_state = 3},
  [6488] = {.lex_state = 512, .external_lex_state = 3},
  [6489] = {.lex_state = 512, .external_lex_state = 3},
  [6490] = {.lex_state = 512, .external_lex_state = 3},
  [6491] = {.lex_state = 512, .external_lex_state = 3},
  [6492] = {.lex_state = 512, .external_lex_state = 3},
  [6493] = {.lex_state = 512, .external_lex_state = 3},
  [6494] = {.lex_state = 312, .external_lex_state = 3},
  [6495] = {.lex_state = 312, .external_lex_state = 3},
  [6496] = {.lex_state = 512, .external_lex_state = 3},
  [6497] = {.lex_state = 512, .external_lex_state = 3},
  [6498] = {.lex_state = 512, .external_lex_state = 3},
  [6499] = {.lex_state = 512, .external_lex_state = 3},
  [6500] = {.lex_state = 512, .external_lex_state = 3},
  [6501] = {.lex_state = 512, .external_lex_state = 3},
  [6502] = {.lex_state = 312, .external_lex_state = 3},
  [6503] = {.lex_state = 312, .external_lex_state = 3},
  [6504] = {.lex_state = 312, .external_lex_state = 3},
  [6505] = {.lex_state = 512, .external_lex_state = 3},
  [6506] = {.lex_state = 512, .external_lex_state = 3},
  [6507] = {.lex_state = 512, .external_lex_state = 3},
  [6508] = {.lex_state = 512, .external_lex_state = 3},
  [6509] = {.lex_state = 512, .external_lex_state = 3},
  [6510] = {.lex_state = 512, .external_lex_state = 3},
  [6511] = {.lex_state = 312, .external_lex_state = 3},
  [6512] = {.lex_state = 312, .external_lex_state = 3},
  [6513] = {.lex_state = 512, .external_lex_state = 3},
  [6514] = {.lex_state = 512, .external_lex_state = 3},
  [6515] = {.lex_state = 312, .external_lex_state = 3},
  [6516] = {.lex_state = 261, .external_lex_state = 3},
  [6517] = {.lex_state = 261, .external_lex_state = 3},
  [6518] = {.lex_state = 312, .external_lex_state = 3},
  [6519] = {.lex_state = 261, .external_lex_state = 3},
  [6520] = {.lex_state = 110, .external_lex_state = 5},
  [6521] = {.lex_state = 8, .external_lex_state = 3},
  [6522] = {.lex_state = 261, .external_lex_state = 3},
  [6523] = {.lex_state = 321, .external_lex_state = 2},
  [6524] = {.lex_state = 261, .external_lex_state = 3},
  [6525] = {.lex_state = 261, .external_lex_state = 3},
  [6526] = {.lex_state = 261, .external_lex_state = 3},
  [6527] = {.lex_state = 261, .external_lex_state = 3},
  [6528] = {.lex_state = 261, .external_lex_state = 3},
  [6529] = {.lex_state = 261, .external_lex_state = 3},
  [6530] = {.lex_state = 261, .external_lex_state = 3},
  [6531] = {.lex_state = 261, .external_lex_state = 3},
  [6532] = {.lex_state = 261, .external_lex_state = 3},
  [6533] = {.lex_state = 261, .external_lex_state = 3},
  [6534] = {.lex_state = 261, .external_lex_state = 3},
  [6535] = {.lex_state = 261, .external_lex_state = 3},
  [6536] = {.lex_state = 312, .external_lex_state = 3},
  [6537] = {.lex_state = 261, .external_lex_state = 3},
  [6538] = {.lex_state = 17, .external_lex_state = 3},
  [6539] = {.lex_state = 312, .external_lex_state = 3},
  [6540] = {.lex_state = 512, .external_lex_state = 3},
  [6541] = {.lex_state = 312, .external_lex_state = 3},
  [6542] = {.lex_state = 312, .external_lex_state = 3},
  [6543] = {.lex_state = 312, .external_lex_state = 3},
  [6544] = {.lex_state = 17, .external_lex_state = 3},
  [6545] = {.lex_state = 312, .external_lex_state = 3},
  [6546] = {.lex_state = 312, .external_lex_state = 3},
  [6547] = {.lex_state = 312, .external_lex_state = 3},
  [6548] = {.lex_state = 12, .external_lex_state = 3},
  [6549] = {.lex_state = 17, .external_lex_state = 3},
  [6550] = {.lex_state = 237, .external_lex_state = 3},
  [6551] = {.lex_state = 512, .external_lex_state = 3},
  [6552] = {.lex_state = 312, .external_lex_state = 3},
  [6553] = {.lex_state = 312, .external_lex_state = 3},
  [6554] = {.lex_state = 312, .external_lex_state = 3},
  [6555] = {.lex_state = 312, .external_lex_state = 3},
  [6556] = {.lex_state = 312, .external_lex_state = 3},
  [6557] = {.lex_state = 261, .external_lex_state = 3},
  [6558] = {.lex_state = 237, .external_lex_state = 3},
  [6559] = {.lex_state = 312, .external_lex_state = 3},
  [6560] = {.lex_state = 312, .external_lex_state = 3},
  [6561] = {.lex_state = 237, .external_lex_state = 3},
  [6562] = {.lex_state = 312, .external_lex_state = 3},
  [6563] = {.lex_state = 312, .external_lex_state = 3},
  [6564] = {.lex_state = 312, .external_lex_state = 3},
  [6565] = {.lex_state = 312, .external_lex_state = 3},
  [6566] = {.lex_state = 312, .external_lex_state = 3},
  [6567] = {.lex_state = 312, .external_lex_state = 3},
  [6568] = {.lex_state = 261, .external_lex_state = 3},
  [6569] = {.lex_state = 261, .external_lex_state = 3},
  [6570] = {.lex_state = 312, .external_lex_state = 3},
  [6571] = {.lex_state = 312, .external_lex_state = 3},
  [6572] = {.lex_state = 312, .external_lex_state = 3},
  [6573] = {.lex_state = 312, .external_lex_state = 3},
  [6574] = {.lex_state = 312, .external_lex_state = 3},
  [6575] = {.lex_state = 312, .external_lex_state = 3},
  [6576] = {.lex_state = 12, .external_lex_state = 3},
  [6577] = {.lex_state = 312, .external_lex_state = 3},
  [6578] = {.lex_state = 312, .external_lex_state = 3},
  [6579] = {.lex_state = 12, .external_lex_state = 3},
  [6580] = {.lex_state = 12, .external_lex_state = 3},
  [6581] = {.lex_state = 312, .external_lex_state = 3},
  [6582] = {.lex_state = 237, .external_lex_state = 3},
  [6583] = {.lex_state = 312, .external_lex_state = 3},
  [6584] = {.lex_state = 312, .external_lex_state = 3},
  [6585] = {.lex_state = 12, .external_lex_state = 3},
  [6586] = {.lex_state = 312, .external_lex_state = 3},
  [6587] = {.lex_state = 312, .external_lex_state = 3},
  [6588] = {.lex_state = 17, .external_lex_state = 3},
  [6589] = {.lex_state = 261, .external_lex_state = 3},
  [6590] = {.lex_state = 17, .external_lex_state = 3},
  [6591] = {.lex_state = 261, .external_lex_state = 3},
  [6592] = {.lex_state = 261, .external_lex_state = 3},
  [6593] = {.lex_state = 261, .external_lex_state = 3},
  [6594] = {.lex_state = 17, .external_lex_state = 3},
  [6595] = {.lex_state = 261, .external_lex_state = 3},
  [6596] = {.lex_state = 261, .external_lex_state = 3},
  [6597] = {.lex_state = 261, .external_lex_state = 3},
  [6598] = {.lex_state = 261, .external_lex_state = 3},
  [6599] = {.lex_state = 261, .external_lex_state = 3},
  [6600] = {.lex_state = 17, .external_lex_state = 3},
  [6601] = {.lex_state = 17, .external_lex_state = 3},
  [6602] = {.lex_state = 17, .external_lex_state = 3},
  [6603] = {.lex_state = 17, .external_lex_state = 3},
  [6604] = {.lex_state = 17, .external_lex_state = 3},
  [6605] = {.lex_state = 261, .external_lex_state = 3},
  [6606] = {.lex_state = 261, .external_lex_state = 3},
  [6607] = {.lex_state = 261, .external_lex_state = 3},
  [6608] = {.lex_state = 261, .external_lex_state = 3},
  [6609] = {.lex_state = 261, .external_lex_state = 3},
  [6610] = {.lex_state = 261, .external_lex_state = 3},
  [6611] = {.lex_state = 261, .external_lex_state = 3},
  [6612] = {.lex_state = 261, .external_lex_state = 3},
  [6613] = {.lex_state = 17, .external_lex_state = 3},
  [6614] = {.lex_state = 17, .external_lex_state = 3},
  [6615] = {.lex_state = 12, .external_lex_state = 3},
  [6616] = {.lex_state = 261, .external_lex_state = 3},
  [6617] = {.lex_state = 261, .external_lex_state = 3},
  [6618] = {.lex_state = 12, .external_lex_state = 3},
  [6619] = {.lex_state = 261, .external_lex_state = 3},
  [6620] = {.lex_state = 261, .external_lex_state = 3},
  [6621] = {.lex_state = 261, .external_lex_state = 3},
  [6622] = {.lex_state = 261, .external_lex_state = 3},
  [6623] = {.lex_state = 17, .external_lex_state = 3},
  [6624] = {.lex_state = 17, .external_lex_state = 3},
  [6625] = {.lex_state = 17, .external_lex_state = 3},
  [6626] = {.lex_state = 261, .external_lex_state = 3},
  [6627] = {.lex_state = 261, .external_lex_state = 3},
  [6628] = {.lex_state = 261, .external_lex_state = 3},
  [6629] = {.lex_state = 261, .external_lex_state = 3},
  [6630] = {.lex_state = 261, .external_lex_state = 3},
  [6631] = {.lex_state = 261, .external_lex_state = 3},
  [6632] = {.lex_state = 17, .external_lex_state = 3},
  [6633] = {.lex_state = 17, .external_lex_state = 3},
  [6634] = {.lex_state = 261, .external_lex_state = 3},
  [6635] = {.lex_state = 261, .external_lex_state = 3},
  [6636] = {.lex_state = 17, .external_lex_state = 3},
  [6637] = {.lex_state = 12, .external_lex_state = 3},
  [6638] = {.lex_state = 12, .external_lex_state = 3},
  [6639] = {.lex_state = 17, .external_lex_state = 3},
  [6640] = {.lex_state = 12, .external_lex_state = 3},
  [6641] = {.lex_state = 512, .external_lex_state = 3},
  [6642] = {.lex_state = 12, .external_lex_state = 3},
  [6643] = {.lex_state = 312, .external_lex_state = 3},
  [6644] = {.lex_state = 12, .external_lex_state = 3},
  [6645] = {.lex_state = 12, .external_lex_state = 3},
  [6646] = {.lex_state = 12, .external_lex_state = 3},
  [6647] = {.lex_state = 516, .external_lex_state = 3},
  [6648] = {.lex_state = 516, .external_lex_state = 3},
  [6649] = {.lex_state = 12, .external_lex_state = 3},
  [6650] = {.lex_state = 516, .external_lex_state = 3},
  [6651] = {.lex_state = 516, .external_lex_state = 3},
  [6652] = {.lex_state = 12, .external_lex_state = 3},
  [6653] = {.lex_state = 237, .external_lex_state = 3},
  [6654] = {.lex_state = 12, .external_lex_state = 3},
  [6655] = {.lex_state = 321, .external_lex_state = 2},
  [6656] = {.lex_state = 261, .external_lex_state = 3},
  [6657] = {.lex_state = 12, .external_lex_state = 3},
  [6658] = {.lex_state = 12, .external_lex_state = 3},
  [6659] = {.lex_state = 12, .external_lex_state = 3},
  [6660] = {.lex_state = 12, .external_lex_state = 3},
  [6661] = {.lex_state = 312, .external_lex_state = 3},
  [6662] = {.lex_state = 12, .external_lex_state = 3},
  [6663] = {.lex_state = 512, .external_lex_state = 3},
  [6664] = {.lex_state = 237, .external_lex_state = 3},
  [6665] = {.lex_state = 12, .external_lex_state = 3},
  [6666] = {.lex_state = 12, .external_lex_state = 3},
  [6667] = {.lex_state = 12, .external_lex_state = 3},
  [6668] = {.lex_state = 12, .external_lex_state = 3},
  [6669] = {.lex_state = 12, .external_lex_state = 3},
  [6670] = {.lex_state = 110, .external_lex_state = 5},
  [6671] = {.lex_state = 12, .external_lex_state = 3},
  [6672] = {.lex_state = 12, .external_lex_state = 3},
  [6673] = {.lex_state = 17, .external_lex_state = 3},
  [6674] = {.lex_state = 12, .external_lex_state = 3},
  [6675] = {.lex_state = 12, .external_lex_state = 3},
  [6676] = {.lex_state = 12, .external_lex_state = 3},
  [6677] = {.lex_state = 12, .external_lex_state = 3},
  [6678] = {.lex_state = 12, .external_lex_state = 3},
  [6679] = {.lex_state = 17, .external_lex_state = 3},
  [6680] = {.lex_state = 17, .external_lex_state = 3},
  [6681] = {.lex_state = 12, .external_lex_state = 3},
  [6682] = {.lex_state = 237, .external_lex_state = 3},
  [6683] = {.lex_state = 12, .external_lex_state = 3},
  [6684] = {.lex_state = 237, .external_lex_state = 3},
  [6685] = {.lex_state = 12, .external_lex_state = 3},
  [6686] = {.lex_state = 321, .external_lex_state = 2},
  [6687] = {.lex_state = 237, .external_lex_state = 3},
  [6688] = {.lex_state = 12, .external_lex_state = 3},
  [6689] = {.lex_state = 12, .external_lex_state = 3},
  [6690] = {.lex_state = 12, .external_lex_state = 3},
  [6691] = {.lex_state = 512, .external_lex_state = 3},
  [6692] = {.lex_state = 12, .external_lex_state = 3},
  [6693] = {.lex_state = 237, .external_lex_state = 3},
  [6694] = {.lex_state = 12, .external_lex_state = 3},
  [6695] = {.lex_state = 261, .external_lex_state = 3},
  [6696] = {.lex_state = 12, .external_lex_state = 3},
  [6697] = {.lex_state = 237, .external_lex_state = 3},
  [6698] = {.lex_state = 237, .external_lex_state = 3},
  [6699] = {.lex_state = 12, .external_lex_state = 3},
  [6700] = {.lex_state = 12, .external_lex_state = 3},
  [6701] = {.lex_state = 237, .external_lex_state = 3},
  [6702] = {.lex_state = 237, .external_lex_state = 3},
  [6703] = {.lex_state = 12, .external_lex_state = 3},
  [6704] = {.lex_state = 12, .external_lex_state = 3},
  [6705] = {.lex_state = 237, .external_lex_state = 3},
  [6706] = {.lex_state = 12, .external_lex_state = 3},
  [6707] = {.lex_state = 17, .external_lex_state = 3},
  [6708] = {.lex_state = 17, .external_lex_state = 3},
  [6709] = {.lex_state = 237, .external_lex_state = 3},
  [6710] = {.lex_state = 17, .external_lex_state = 3},
  [6711] = {.lex_state = 17, .external_lex_state = 3},
  [6712] = {.lex_state = 17, .external_lex_state = 3},
  [6713] = {.lex_state = 106, .external_lex_state = 5},
  [6714] = {.lex_state = 17, .external_lex_state = 3},
  [6715] = {.lex_state = 17, .external_lex_state = 3},
  [6716] = {.lex_state = 17, .external_lex_state = 3},
  [6717] = {.lex_state = 17, .external_lex_state = 3},
  [6718] = {.lex_state = 17, .external_lex_state = 3},
  [6719] = {.lex_state = 110, .external_lex_state = 5},
  [6720] = {.lex_state = 17, .external_lex_state = 3},
  [6721] = {.lex_state = 17, .external_lex_state = 3},
  [6722] = {.lex_state = 17, .external_lex_state = 3},
  [6723] = {.lex_state = 17, .external_lex_state = 3},
  [6724] = {.lex_state = 17, .external_lex_state = 3},
  [6725] = {.lex_state = 17, .external_lex_state = 3},
  [6726] = {.lex_state = 17, .external_lex_state = 3},
  [6727] = {.lex_state = 17, .external_lex_state = 3},
  [6728] = {.lex_state = 237, .external_lex_state = 3},
  [6729] = {.lex_state = 17, .external_lex_state = 3},
  [6730] = {.lex_state = 17, .external_lex_state = 3},
  [6731] = {.lex_state = 17, .external_lex_state = 3},
  [6732] = {.lex_state = 17, .external_lex_state = 3},
  [6733] = {.lex_state = 17, .external_lex_state = 3},
  [6734] = {.lex_state = 17, .external_lex_state = 3},
  [6735] = {.lex_state = 17, .external_lex_state = 3},
  [6736] = {.lex_state = 266, .external_lex_state = 3},
  [6737] = {.lex_state = 17, .external_lex_state = 3},
  [6738] = {.lex_state = 12, .external_lex_state = 3},
  [6739] = {.lex_state = 17, .external_lex_state = 3},
  [6740] = {.lex_state = 17, .external_lex_state = 3},
  [6741] = {.lex_state = 17, .external_lex_state = 3},
  [6742] = {.lex_state = 17, .external_lex_state = 3},
  [6743] = {.lex_state = 237, .external_lex_state = 3},
  [6744] = {.lex_state = 17, .external_lex_state = 3},
  [6745] = {.lex_state = 17, .external_lex_state = 3},
  [6746] = {.lex_state = 237, .external_lex_state = 3},
  [6747] = {.lex_state = 237, .external_lex_state = 3},
  [6748] = {.lex_state = 312, .external_lex_state = 3},
  [6749] = {.lex_state = 12, .external_lex_state = 3},
  [6750] = {.lex_state = 237, .external_lex_state = 3},
  [6751] = {.lex_state = 237, .external_lex_state = 3},
  [6752] = {.lex_state = 261, .external_lex_state = 3},
  [6753] = {.lex_state = 312, .external_lex_state = 3},
  [6754] = {.lex_state = 312, .external_lex_state = 3},
  [6755] = {.lex_state = 312, .external_lex_state = 3},
  [6756] = {.lex_state = 237, .external_lex_state = 3},
  [6757] = {.lex_state = 237, .external_lex_state = 3},
  [6758] = {.lex_state = 312, .external_lex_state = 3},
  [6759] = {.lex_state = 237, .external_lex_state = 3},
  [6760] = {.lex_state = 261, .external_lex_state = 3},
  [6761] = {.lex_state = 237, .external_lex_state = 3},
  [6762] = {.lex_state = 237, .external_lex_state = 3},
  [6763] = {.lex_state = 237, .external_lex_state = 3},
  [6764] = {.lex_state = 261, .external_lex_state = 3},
  [6765] = {.lex_state = 12, .external_lex_state = 3},
  [6766] = {.lex_state = 17, .external_lex_state = 3},
  [6767] = {.lex_state = 12, .external_lex_state = 3},
  [6768] = {.lex_state = 237, .external_lex_state = 3},
  [6769] = {.lex_state = 237, .external_lex_state = 3},
  [6770] = {.lex_state = 17, .external_lex_state = 3},
  [6771] = {.lex_state = 237, .external_lex_state = 3},
  [6772] = {.lex_state = 12, .external_lex_state = 3},
  [6773] = {.lex_state = 237, .external_lex_state = 3},
  [6774] = {.lex_state = 237, .external_lex_state = 3},
  [6775] = {.lex_state = 237, .external_lex_state = 3},
  [6776] = {.lex_state = 237, .external_lex_state = 3},
  [6777] = {.lex_state = 237, .external_lex_state = 3},
  [6778] = {.lex_state = 237, .external_lex_state = 3},
  [6779] = {.lex_state = 237, .external_lex_state = 3},
  [6780] = {.lex_state = 237, .external_lex_state = 3},
  [6781] = {.lex_state = 237, .external_lex_state = 3},
  [6782] = {.lex_state = 237, .external_lex_state = 3},
  [6783] = {.lex_state = 261, .external_lex_state = 3},
  [6784] = {.lex_state = 12, .external_lex_state = 3},
  [6785] = {.lex_state = 237, .external_lex_state = 3},
  [6786] = {.lex_state = 312, .external_lex_state = 3},
  [6787] = {.lex_state = 17, .external_lex_state = 3},
  [6788] = {.lex_state = 237, .external_lex_state = 3},
  [6789] = {.lex_state = 8, .external_lex_state = 3},
  [6790] = {.lex_state = 17, .external_lex_state = 3},
  [6791] = {.lex_state = 237, .external_lex_state = 3},
  [6792] = {.lex_state = 237, .external_lex_state = 3},
  [6793] = {.lex_state = 237, .external_lex_state = 3},
  [6794] = {.lex_state = 512, .external_lex_state = 3},
  [6795] = {.lex_state = 237, .external_lex_state = 3},
  [6796] = {.lex_state = 237, .external_lex_state = 3},
  [6797] = {.lex_state = 237, .external_lex_state = 3},
  [6798] = {.lex_state = 237, .external_lex_state = 3},
  [6799] = {.lex_state = 237, .external_lex_state = 3},
  [6800] = {.lex_state = 237, .external_lex_state = 3},
  [6801] = {.lex_state = 237, .external_lex_state = 3},
  [6802] = {.lex_state = 237, .external_lex_state = 3},
  [6803] = {.lex_state = 237, .external_lex_state = 3},
  [6804] = {.lex_state = 237, .external_lex_state = 3},
  [6805] = {.lex_state = 237, .external_lex_state = 3},
  [6806] = {.lex_state = 312, .external_lex_state = 3},
  [6807] = {.lex_state = 320, .external_lex_state = 3},
  [6808] = {.lex_state = 318, .external_lex_state = 2},
  [6809] = {.lex_state = 516, .external_lex_state = 3},
  [6810] = {.lex_state = 516, .external_lex_state = 3},
  [6811] = {.lex_state = 516, .external_lex_state = 3},
  [6812] = {.lex_state = 318, .external_lex_state = 2},
  [6813] = {.lex_state = 516, .external_lex_state = 3},
  [6814] = {.lex_state = 323, .external_lex_state = 5},
  [6815] = {.lex_state = 516, .external_lex_state = 3},
  [6816] = {.lex_state = 323, .external_lex_state = 5},
  [6817] = {.lex_state = 516, .external_lex_state = 3},
  [6818] = {.lex_state = 312, .external_lex_state = 3},
  [6819] = {.lex_state = 114, .external_lex_state = 5},
  [6820] = {.lex_state = 12, .external_lex_state = 3},
  [6821] = {.lex_state = 516, .external_lex_state = 3},
  [6822] = {.lex_state = 516, .external_lex_state = 3},
  [6823] = {.lex_state = 516, .external_lex_state = 3},
  [6824] = {.lex_state = 516, .external_lex_state = 3},
  [6825] = {.lex_state = 317, .external_lex_state = 3},
  [6826] = {.lex_state = 516, .external_lex_state = 3},
  [6827] = {.lex_state = 516, .external_lex_state = 3},
  [6828] = {.lex_state = 516, .external_lex_state = 3},
  [6829] = {.lex_state = 516, .external_lex_state = 3},
  [6830] = {.lex_state = 516, .external_lex_state = 3},
  [6831] = {.lex_state = 516, .external_lex_state = 3},
  [6832] = {.lex_state = 536, .external_lex_state = 5},
  [6833] = {.lex_state = 318, .external_lex_state = 2},
  [6834] = {.lex_state = 516, .external_lex_state = 3},
  [6835] = {.lex_state = 516, .external_lex_state = 3},
  [6836] = {.lex_state = 516, .external_lex_state = 3},
  [6837] = {.lex_state = 516, .external_lex_state = 3},
  [6838] = {.lex_state = 516, .external_lex_state = 3},
  [6839] = {.lex_state = 119, .external_lex_state = 5},
  [6840] = {.lex_state = 112},
  [6841] = {.lex_state = 516, .external_lex_state = 3},
  [6842] = {.lex_state = 12, .external_lex_state = 3},
  [6843] = {.lex_state = 106},
  [6844] = {.lex_state = 110},
  [6845] = {.lex_state = 110},
  [6846] = {.lex_state = 110},
  [6847] = {.lex_state = 237, .external_lex_state = 3},
  [6848] = {.lex_state = 110},
  [6849] = {.lex_state = 320, .external_lex_state = 3},
  [6850] = {.lex_state = 106},
  [6851] = {.lex_state = 8, .external_lex_state = 3},
  [6852] = {.lex_state = 322, .external_lex_state = 3},
  [6853] = {.lex_state = 8, .external_lex_state = 5},
  [6854] = {.lex_state = 4, .external_lex_state = 5},
  [6855] = {.lex_state = 106},
  [6856] = {.lex_state = 123, .external_lex_state = 5},
  [6857] = {.lex_state = 123, .external_lex_state = 5},
  [6858] = {.lex_state = 106},
  [6859] = {.lex_state = 8, .external_lex_state = 5},
  [6860] = {.lex_state = 17, .external_lex_state = 3},
  [6861] = {.lex_state = 318, .external_lex_state = 2},
  [6862] = {.lex_state = 321, .external_lex_state = 3},
  [6863] = {.lex_state = 321, .external_lex_state = 3},
  [6864] = {.lex_state = 321, .external_lex_state = 3},
  [6865] = {.lex_state = 321, .external_lex_state = 3},
  [6866] = {.lex_state = 4, .external_lex_state = 5},
  [6867] = {.lex_state = 114, .external_lex_state = 5},
  [6868] = {.lex_state = 317, .external_lex_state = 3},
  [6869] = {.lex_state = 516, .external_lex_state = 3},
  [6870] = {.lex_state = 317, .external_lex_state = 3},
  [6871] = {.lex_state = 320, .external_lex_state = 3},
  [6872] = {.lex_state = 323, .external_lex_state = 5},
  [6873] = {.lex_state = 320, .external_lex_state = 3},
  [6874] = {.lex_state = 320, .external_lex_state = 3},
  [6875] = {.lex_state = 536, .external_lex_state = 5},
  [6876] = {.lex_state = 312, .external_lex_state = 3},
  [6877] = {.lex_state = 318, .external_lex_state = 2},
  [6878] = {.lex_state = 17, .external_lex_state = 3},
  [6879] = {.lex_state = 237, .external_lex_state = 3},
  [6880] = {.lex_state = 516, .external_lex_state = 3},
  [6881] = {.lex_state = 516, .external_lex_state = 3},
  [6882] = {.lex_state = 320, .external_lex_state = 3},
  [6883] = {.lex_state = 516, .external_lex_state = 3},
  [6884] = {.lex_state = 516, .external_lex_state = 3},
  [6885] = {.lex_state = 516, .external_lex_state = 3},
  [6886] = {.lex_state = 516, .external_lex_state = 3},
  [6887] = {.lex_state = 8, .external_lex_state = 5},
  [6888] = {.lex_state = 320, .external_lex_state = 3},
  [6889] = {.lex_state = 320, .external_lex_state = 3},
  [6890] = {.lex_state = 123, .external_lex_state = 5},
  [6891] = {.lex_state = 119, .external_lex_state = 5},
  [6892] = {.lex_state = 288, .external_lex_state = 3},
  [6893] = {.lex_state = 516, .external_lex_state = 3},
  [6894] = {.lex_state = 516, .external_lex_state = 3},
  [6895] = {.lex_state = 516, .external_lex_state = 3},
  [6896] = {.lex_state = 516, .external_lex_state = 3},
  [6897] = {.lex_state = 320, .external_lex_state = 3},
  [6898] = {.lex_state = 516, .external_lex_state = 3},
  [6899] = {.lex_state = 516, .external_lex_state = 3},
  [6900] = {.lex_state = 516, .external_lex_state = 3},
  [6901] = {.lex_state = 114, .external_lex_state = 5},
  [6902] = {.lex_state = 516, .external_lex_state = 3},
  [6903] = {.lex_state = 512, .external_lex_state = 3},
  [6904] = {.lex_state = 516, .external_lex_state = 3},
  [6905] = {.lex_state = 4, .external_lex_state = 5},
  [6906] = {.lex_state = 516, .external_lex_state = 3},
  [6907] = {.lex_state = 317, .external_lex_state = 3},
  [6908] = {.lex_state = 512, .external_lex_state = 3},
  [6909] = {.lex_state = 320, .external_lex_state = 3},
  [6910] = {.lex_state = 516, .external_lex_state = 3},
  [6911] = {.lex_state = 320, .external_lex_state = 3},
  [6912] = {.lex_state = 516, .external_lex_state = 3},
  [6913] = {.lex_state = 516, .external_lex_state = 3},
  [6914] = {.lex_state = 516, .external_lex_state = 3},
  [6915] = {.lex_state = 516, .external_lex_state = 3},
  [6916] = {.lex_state = 536, .external_lex_state = 5},
  [6917] = {.lex_state = 516, .external_lex_state = 3},
  [6918] = {.lex_state = 516, .external_lex_state = 3},
  [6919] = {.lex_state = 320, .external_lex_state = 3},
  [6920] = {.lex_state = 516, .external_lex_state = 3},
  [6921] = {.lex_state = 119, .external_lex_state = 5},
  [6922] = {.lex_state = 516, .external_lex_state = 3},
  [6923] = {.lex_state = 516, .external_lex_state = 3},
  [6924] = {.lex_state = 516, .external_lex_state = 3},
  [6925] = {.lex_state = 516, .external_lex_state = 3},
  [6926] = {.lex_state = 516, .external_lex_state = 3},
  [6927] = {.lex_state = 4, .external_lex_state = 3},
  [6928] = {.lex_state = 516, .external_lex_state = 3},
  [6929] = {.lex_state = 516, .external_lex_state = 3},
  [6930] = {.lex_state = 516, .external_lex_state = 3},
  [6931] = {.lex_state = 516, .external_lex_state = 3},
  [6932] = {.lex_state = 516, .external_lex_state = 3},
  [6933] = {.lex_state = 516, .external_lex_state = 3},
  [6934] = {.lex_state = 516, .external_lex_state = 3},
  [6935] = {.lex_state = 108},
  [6936] = {.lex_state = 516, .external_lex_state = 3},
  [6937] = {.lex_state = 516, .external_lex_state = 3},
  [6938] = {.lex_state = 321, .external_lex_state = 3},
  [6939] = {.lex_state = 106},
  [6940] = {.lex_state = 110},
  [6941] = {.lex_state = 321, .external_lex_state = 3},
  [6942] = {.lex_state = 312, .external_lex_state = 3},
  [6943] = {.lex_state = 12, .external_lex_state = 5},
  [6944] = {.lex_state = 321, .external_lex_state = 3},
  [6945] = {.lex_state = 321, .external_lex_state = 3},
  [6946] = {.lex_state = 321, .external_lex_state = 3},
  [6947] = {.lex_state = 321, .external_lex_state = 3},
  [6948] = {.lex_state = 321, .external_lex_state = 3},
  [6949] = {.lex_state = 321, .external_lex_state = 3},
  [6950] = {.lex_state = 123},
  [6951] = {.lex_state = 321, .external_lex_state = 3},
  [6952] = {.lex_state = 123},
  [6953] = {.lex_state = 317, .external_lex_state = 3},
  [6954] = {.lex_state = 123},
  [6955] = {.lex_state = 123},
  [6956] = {.lex_state = 5},
  [6957] = {.lex_state = 116},
  [6958] = {.lex_state = 110},
  [6959] = {.lex_state = 321, .external_lex_state = 3},
  [6960] = {.lex_state = 321, .external_lex_state = 3},
  [6961] = {.lex_state = 321, .external_lex_state = 3},
  [6962] = {.lex_state = 282, .external_lex_state = 3},
  [6963] = {.lex_state = 321, .external_lex_state = 3},
  [6964] = {.lex_state = 12, .external_lex_state = 5},
  [6965] = {.lex_state = 536},
  [6966] = {.lex_state = 106},
  [6967] = {.lex_state = 110},
  [6968] = {.lex_state = 321, .external_lex_state = 3},
  [6969] = {.lex_state = 318, .external_lex_state = 3},
  [6970] = {.lex_state = 318, .external_lex_state = 3},
  [6971] = {.lex_state = 321, .external_lex_state = 3},
  [6972] = {.lex_state = 321, .external_lex_state = 3},
  [6973] = {.lex_state = 318, .external_lex_state = 3},
  [6974] = {.lex_state = 318, .external_lex_state = 3},
  [6975] = {.lex_state = 321, .external_lex_state = 3},
  [6976] = {.lex_state = 321, .external_lex_state = 3},
  [6977] = {.lex_state = 321, .external_lex_state = 3},
  [6978] = {.lex_state = 110},
  [6979] = {.lex_state = 110},
  [6980] = {.lex_state = 114},
  [6981] = {.lex_state = 114},
  [6982] = {.lex_state = 114},
  [6983] = {.lex_state = 114},
  [6984] = {.lex_state = 536},
  [6985] = {.lex_state = 17, .external_lex_state = 3},
  [6986] = {.lex_state = 321, .external_lex_state = 3},
  [6987] = {.lex_state = 110},
  [6988] = {.lex_state = 110},
  [6989] = {.lex_state = 113},
  [6990] = {.lex_state = 110},
  [6991] = {.lex_state = 110},
  [6992] = {.lex_state = 106},
  [6993] = {.lex_state = 321, .external_lex_state = 3},
  [6994] = {.lex_state = 110},
  [6995] = {.lex_state = 110},
  [6996] = {.lex_state = 237, .external_lex_state = 5},
  [6997] = {.lex_state = 106},
  [6998] = {.lex_state = 312, .external_lex_state = 5},
  [6999] = {.lex_state = 317, .external_lex_state = 3},
  [7000] = {.lex_state = 110},
  [7001] = {.lex_state = 110},
  [7002] = {.lex_state = 317, .external_lex_state = 3},
  [7003] = {.lex_state = 106},
  [7004] = {.lex_state = 110},
  [7005] = {.lex_state = 321, .external_lex_state = 3},
  [7006] = {.lex_state = 317, .external_lex_state = 3},
  [7007] = {.lex_state = 321, .external_lex_state = 3},
  [7008] = {.lex_state = 321, .external_lex_state = 3},
  [7009] = {.lex_state = 321, .external_lex_state = 3},
  [7010] = {.lex_state = 17, .external_lex_state = 5},
  [7011] = {.lex_state = 321, .external_lex_state = 3},
  [7012] = {.lex_state = 106},
  [7013] = {.lex_state = 106},
  [7014] = {.lex_state = 110},
  [7015] = {.lex_state = 317, .external_lex_state = 3},
  [7016] = {.lex_state = 321, .external_lex_state = 3},
  [7017] = {.lex_state = 317, .external_lex_state = 3},
  [7018] = {.lex_state = 106},
  [7019] = {.lex_state = 106},
  [7020] = {.lex_state = 321, .external_lex_state = 3},
  [7021] = {.lex_state = 321, .external_lex_state = 3},
  [7022] = {.lex_state = 110},
  [7023] = {.lex_state = 110},
  [7024] = {.lex_state = 321, .external_lex_state = 3},
  [7025] = {.lex_state = 512, .external_lex_state = 5},
  [7026] = {.lex_state = 127, .external_lex_state = 5},
  [7027] = {.lex_state = 321, .external_lex_state = 3},
  [7028] = {.lex_state = 110},
  [7029] = {.lex_state = 321, .external_lex_state = 3},
  [7030] = {.lex_state = 321, .external_lex_state = 3},
  [7031] = {.lex_state = 106},
  [7032] = {.lex_state = 109},
  [7033] = {.lex_state = 106},
  [7034] = {.lex_state = 321, .external_lex_state = 3},
  [7035] = {.lex_state = 321, .external_lex_state = 3},
  [7036] = {.lex_state = 321, .external_lex_state = 3},
  [7037] = {.lex_state = 321, .external_lex_state = 3},
  [7038] = {.lex_state = 110},
  [7039] = {.lex_state = 106},
  [7040] = {.lex_state = 106},
  [7041] = {.lex_state = 536},
  [7042] = {.lex_state = 106},
  [7043] = {.lex_state = 321, .external_lex_state = 3},
  [7044] = {.lex_state = 321, .external_lex_state = 3},
  [7045] = {.lex_state = 536},
  [7046] = {.lex_state = 110},
  [7047] = {.lex_state = 321, .external_lex_state = 3},
  [7048] = {.lex_state = 321, .external_lex_state = 3},
  [7049] = {.lex_state = 106},
  [7050] = {.lex_state = 110},
  [7051] = {.lex_state = 321, .external_lex_state = 3},
  [7052] = {.lex_state = 106},
  [7053] = {.lex_state = 321, .external_lex_state = 3},
  [7054] = {.lex_state = 321, .external_lex_state = 3},
  [7055] = {.lex_state = 106},
  [7056] = {.lex_state = 106},
  [7057] = {.lex_state = 321, .external_lex_state = 3},
  [7058] = {.lex_state = 110},
  [7059] = {.lex_state = 106},
  [7060] = {.lex_state = 127, .external_lex_state = 5},
  [7061] = {.lex_state = 323},
  [7062] = {.lex_state = 237, .external_lex_state = 3},
  [7063] = {.lex_state = 110},
  [7064] = {.lex_state = 110},
  [7065] = {.lex_state = 323},
  [7066] = {.lex_state = 323},
  [7067] = {.lex_state = 110},
  [7068] = {.lex_state = 106},
  [7069] = {.lex_state = 323},
  [7070] = {.lex_state = 321, .external_lex_state = 3},
  [7071] = {.lex_state = 12, .external_lex_state = 5},
  [7072] = {.lex_state = 106},
  [7073] = {.lex_state = 110},
  [7074] = {.lex_state = 8},
  [7075] = {.lex_state = 106},
  [7076] = {.lex_state = 106},
  [7077] = {.lex_state = 106},
  [7078] = {.lex_state = 110},
  [7079] = {.lex_state = 110},
  [7080] = {.lex_state = 127, .external_lex_state = 5},
  [7081] = {.lex_state = 8},
  [7082] = {.lex_state = 106},
  [7083] = {.lex_state = 321, .external_lex_state = 3},
  [7084] = {.lex_state = 106},
  [7085] = {.lex_state = 106},
  [7086] = {.lex_state = 106},
  [7087] = {.lex_state = 110},
  [7088] = {.lex_state = 106},
  [7089] = {.lex_state = 106},
  [7090] = {.lex_state = 512, .external_lex_state = 5},
  [7091] = {.lex_state = 121},
  [7092] = {.lex_state = 106},
  [7093] = {.lex_state = 516, .external_lex_state = 3},
  [7094] = {.lex_state = 106},
  [7095] = {.lex_state = 12, .external_lex_state = 3},
  [7096] = {.lex_state = 110},
  [7097] = {.lex_state = 110},
  [7098] = {.lex_state = 106},
  [7099] = {.lex_state = 106},
  [7100] = {.lex_state = 110},
  [7101] = {.lex_state = 110},
  [7102] = {.lex_state = 321, .external_lex_state = 3},
  [7103] = {.lex_state = 516, .external_lex_state = 3},
  [7104] = {.lex_state = 110},
  [7105] = {.lex_state = 106},
  [7106] = {.lex_state = 110},
  [7107] = {.lex_state = 106},
  [7108] = {.lex_state = 106},
  [7109] = {.lex_state = 106},
  [7110] = {.lex_state = 110},
  [7111] = {.lex_state = 119},
  [7112] = {.lex_state = 110},
  [7113] = {.lex_state = 110},
  [7114] = {.lex_state = 119},
  [7115] = {.lex_state = 321, .external_lex_state = 3},
  [7116] = {.lex_state = 106},
  [7117] = {.lex_state = 106},
  [7118] = {.lex_state = 8},
  [7119] = {.lex_state = 110},
  [7120] = {.lex_state = 106},
  [7121] = {.lex_state = 106},
  [7122] = {.lex_state = 110},
  [7123] = {.lex_state = 8},
  [7124] = {.lex_state = 321, .external_lex_state = 3},
  [7125] = {.lex_state = 110},
  [7126] = {.lex_state = 119},
  [7127] = {.lex_state = 17, .external_lex_state = 5},
  [7128] = {.lex_state = 110},
  [7129] = {.lex_state = 119},
  [7130] = {.lex_state = 110},
  [7131] = {.lex_state = 106},
  [7132] = {.lex_state = 512, .external_lex_state = 3},
  [7133] = {.lex_state = 106},
  [7134] = {.lex_state = 106},
  [7135] = {.lex_state = 512, .external_lex_state = 5},
  [7136] = {.lex_state = 106},
  [7137] = {.lex_state = 106},
  [7138] = {.lex_state = 317, .external_lex_state = 3},
  [7139] = {.lex_state = 317, .external_lex_state = 3},
  [7140] = {.lex_state = 321, .external_lex_state = 3},
  [7141] = {.lex_state = 321, .external_lex_state = 3},
  [7142] = {.lex_state = 321, .external_lex_state = 3},
  [7143] = {.lex_state = 538},
  [7144] = {.lex_state = 106},
  [7145] = {.lex_state = 327},
  [7146] = {.lex_state = 321, .external_lex_state = 3},
  [7147] = {.lex_state = 319, .external_lex_state = 3},
  [7148] = {.lex_state = 106},
  [7149] = {.lex_state = 17, .external_lex_state = 5},
  [7150] = {.lex_state = 106},
  [7151] = {.lex_state = 110},
  [7152] = {.lex_state = 321, .external_lex_state = 3},
  [7153] = {.lex_state = 312, .external_lex_state = 5},
  [7154] = {.lex_state = 321, .external_lex_state = 3},
  [7155] = {.lex_state = 110},
  [7156] = {.lex_state = 321, .external_lex_state = 3},
  [7157] = {.lex_state = 321, .external_lex_state = 3},
  [7158] = {.lex_state = 317, .external_lex_state = 3},
  [7159] = {.lex_state = 106},
  [7160] = {.lex_state = 4},
  [7161] = {.lex_state = 9},
  [7162] = {.lex_state = 4},
  [7163] = {.lex_state = 110},
  [7164] = {.lex_state = 110},
  [7165] = {.lex_state = 110},
  [7166] = {.lex_state = 4},
  [7167] = {.lex_state = 4},
  [7168] = {.lex_state = 110},
  [7169] = {.lex_state = 317, .external_lex_state = 3},
  [7170] = {.lex_state = 106},
  [7171] = {.lex_state = 110},
  [7172] = {.lex_state = 237, .external_lex_state = 5},
  [7173] = {.lex_state = 125},
  [7174] = {.lex_state = 317, .external_lex_state = 3},
  [7175] = {.lex_state = 321, .external_lex_state = 3},
  [7176] = {.lex_state = 110},
  [7177] = {.lex_state = 237, .external_lex_state = 5},
  [7178] = {.lex_state = 312, .external_lex_state = 5},
  [7179] = {.lex_state = 317, .external_lex_state = 3},
  [7180] = {.lex_state = 110},
  [7181] = {.lex_state = 123},
  [7182] = {.lex_state = 4},
  [7183] = {.lex_state = 123},
  [7184] = {.lex_state = 119},
  [7185] = {.lex_state = 123},
  [7186] = {.lex_state = 8},
  [7187] = {.lex_state = 123},
  [7188] = {.lex_state = 4},
  [7189] = {.lex_state = 123},
  [7190] = {.lex_state = 119},
  [7191] = {.lex_state = 123},
  [7192] = {.lex_state = 318, .external_lex_state = 3},
  [7193] = {.lex_state = 516, .external_lex_state = 5},
  [7194] = {.lex_state = 117},
  [7195] = {.lex_state = 318, .external_lex_state = 3},
  [7196] = {.lex_state = 318, .external_lex_state = 3},
  [7197] = {.lex_state = 4},
  [7198] = {.lex_state = 4},
  [7199] = {.lex_state = 106},
  [7200] = {.lex_state = 123},
  [7201] = {.lex_state = 123},
  [7202] = {.lex_state = 119},
  [7203] = {.lex_state = 114},
  [7204] = {.lex_state = 318, .external_lex_state = 3},
  [7205] = {.lex_state = 318, .external_lex_state = 3},
  [7206] = {.lex_state = 318, .external_lex_state = 3},
  [7207] = {.lex_state = 123},
  [7208] = {.lex_state = 123},
  [7209] = {.lex_state = 123},
  [7210] = {.lex_state = 323},
  [7211] = {.lex_state = 119},
  [7212] = {.lex_state = 123},
  [7213] = {.lex_state = 8, .external_lex_state = 4},
  [7214] = {.lex_state = 119},
  [7215] = {.lex_state = 17},
  [7216] = {.lex_state = 17},
  [7217] = {.lex_state = 119},
  [7218] = {.lex_state = 323},
  [7219] = {.lex_state = 17},
  [7220] = {.lex_state = 123},
  [7221] = {.lex_state = 323},
  [7222] = {.lex_state = 123},
  [7223] = {.lex_state = 119},
  [7224] = {.lex_state = 17},
  [7225] = {.lex_state = 516, .external_lex_state = 5},
  [7226] = {.lex_state = 318, .external_lex_state = 3},
  [7227] = {.lex_state = 4},
  [7228] = {.lex_state = 323},
  [7229] = {.lex_state = 8},
  [7230] = {.lex_state = 323},
  [7231] = {.lex_state = 536},
  [7232] = {.lex_state = 4},
  [7233] = {.lex_state = 536},
  [7234] = {.lex_state = 127},
  [7235] = {.lex_state = 119},
  [7236] = {.lex_state = 127},
  [7237] = {.lex_state = 4},
  [7238] = {.lex_state = 123},
  [7239] = {.lex_state = 513},
  [7240] = {.lex_state = 536},
  [7241] = {.lex_state = 318, .external_lex_state = 3},
  [7242] = {.lex_state = 123},
  [7243] = {.lex_state = 123},
  [7244] = {.lex_state = 8},
  [7245] = {.lex_state = 123},
  [7246] = {.lex_state = 123},
  [7247] = {.lex_state = 4},
  [7248] = {.lex_state = 4},
  [7249] = {.lex_state = 114},
  [7250] = {.lex_state = 313},
  [7251] = {.lex_state = 123},
  [7252] = {.lex_state = 250},
  [7253] = {.lex_state = 536},
  [7254] = {.lex_state = 318, .external_lex_state = 3},
  [7255] = {.lex_state = 110},
  [7256] = {.lex_state = 8},
  [7257] = {.lex_state = 123},
  [7258] = {.lex_state = 123},
  [7259] = {.lex_state = 318, .external_lex_state = 3},
  [7260] = {.lex_state = 123},
  [7261] = {.lex_state = 318, .external_lex_state = 3},
  [7262] = {.lex_state = 318, .external_lex_state = 3},
  [7263] = {.lex_state = 123},
  [7264] = {.lex_state = 323},
  [7265] = {.lex_state = 4},
  [7266] = {.lex_state = 123},
  [7267] = {.lex_state = 106},
  [7268] = {.lex_state = 539},
  [7269] = {.lex_state = 4},
  [7270] = {.lex_state = 323},
  [7271] = {.lex_state = 123},
  [7272] = {.lex_state = 4},
  [7273] = {.lex_state = 318, .external_lex_state = 3},
  [7274] = {.lex_state = 126},
  [7275] = {.lex_state = 4},
  [7276] = {.lex_state = 122},
  [7277] = {.lex_state = 312},
  [7278] = {.lex_state = 123},
  [7279] = {.lex_state = 119},
  [7280] = {.lex_state = 312},
  [7281] = {.lex_state = 312},
  [7282] = {.lex_state = 312},
  [7283] = {.lex_state = 536},
  [7284] = {.lex_state = 123},
  [7285] = {.lex_state = 4, .external_lex_state = 4},
  [7286] = {.lex_state = 318, .external_lex_state = 3},
  [7287] = {.lex_state = 18},
  [7288] = {.lex_state = 12},
  [7289] = {.lex_state = 4, .external_lex_state = 4},
  [7290] = {.lex_state = 12},
  [7291] = {.lex_state = 12},
  [7292] = {.lex_state = 12},
  [7293] = {.lex_state = 4},
  [7294] = {.lex_state = 318, .external_lex_state = 3},
  [7295] = {.lex_state = 4},
  [7296] = {.lex_state = 123},
  [7297] = {.lex_state = 127},
  [7298] = {.lex_state = 318, .external_lex_state = 3},
  [7299] = {.lex_state = 127},
  [7300] = {.lex_state = 318, .external_lex_state = 3},
  [7301] = {.lex_state = 536},
  [7302] = {.lex_state = 4},
  [7303] = {.lex_state = 4},
  [7304] = {.lex_state = 4},
  [7305] = {.lex_state = 323},
  [7306] = {.lex_state = 13},
  [7307] = {.lex_state = 536},
  [7308] = {.lex_state = 4},
  [7309] = {.lex_state = 318, .external_lex_state = 3},
  [7310] = {.lex_state = 318, .external_lex_state = 3},
  [7311] = {.lex_state = 238},
  [7312] = {.lex_state = 4},
  [7313] = {.lex_state = 318, .external_lex_state = 3},
  [7314] = {.lex_state = 8},
  [7315] = {.lex_state = 123},
  [7316] = {.lex_state = 4},
  [7317] = {.lex_state = 536},
  [7318] = {.lex_state = 536},
  [7319] = {.lex_state = 4},
  [7320] = {.lex_state = 244},
  [7321] = {.lex_state = 516, .external_lex_state = 5},
  [7322] = {.lex_state = 536},
  [7323] = {.lex_state = 123},
  [7324] = {.lex_state = 4},
  [7325] = {.lex_state = 123},
  [7326] = {.lex_state = 318, .external_lex_state = 3},
  [7327] = {.lex_state = 323},
  [7328] = {.lex_state = 318, .external_lex_state = 3},
  [7329] = {.lex_state = 4},
  [7330] = {.lex_state = 114},
  [7331] = {.lex_state = 4},
  [7332] = {.lex_state = 4},
  [7333] = {.lex_state = 318, .external_lex_state = 3},
  [7334] = {.lex_state = 123},
  [7335] = {.lex_state = 323},
  [7336] = {.lex_state = 119},
  [7337] = {.lex_state = 237},
  [7338] = {.lex_state = 323},
  [7339] = {.lex_state = 237},
  [7340] = {.lex_state = 318, .external_lex_state = 3},
  [7341] = {.lex_state = 318, .external_lex_state = 3},
  [7342] = {.lex_state = 323},
  [7343] = {.lex_state = 237},
  [7344] = {.lex_state = 237},
  [7345] = {.lex_state = 114},
  [7346] = {.lex_state = 4},
  [7347] = {.lex_state = 318, .external_lex_state = 3},
  [7348] = {.lex_state = 323},
  [7349] = {.lex_state = 318, .external_lex_state = 3},
  [7350] = {.lex_state = 536},
  [7351] = {.lex_state = 114},
  [7352] = {.lex_state = 323},
  [7353] = {.lex_state = 4},
  [7354] = {.lex_state = 114},
  [7355] = {.lex_state = 4},
  [7356] = {.lex_state = 323},
  [7357] = {.lex_state = 8},
  [7358] = {.lex_state = 323},
  [7359] = {.lex_state = 114},
  [7360] = {.lex_state = 323},
  [7361] = {.lex_state = 536},
  [7362] = {.lex_state = 106},
  [7363] = {.lex_state = 536},
  [7364] = {.lex_state = 516, .external_lex_state = 3},
  [7365] = {.lex_state = 4},
  [7366] = {.lex_state = 323},
  [7367] = {.lex_state = 114},
  [7368] = {.lex_state = 318, .external_lex_state = 3},
  [7369] = {.lex_state = 250},
  [7370] = {.lex_state = 129},
  [7371] = {.lex_state = 119},
  [7372] = {.lex_state = 114},
  [7373] = {.lex_state = 8},
  [7374] = {.lex_state = 323},
  [7375] = {.lex_state = 123},
  [7376] = {.lex_state = 318, .external_lex_state = 3},
  [7377] = {.lex_state = 114},
  [7378] = {.lex_state = 536},
  [7379] = {.lex_state = 536},
  [7380] = {.lex_state = 536},
  [7381] = {.lex_state = 536},
  [7382] = {.lex_state = 536},
  [7383] = {.lex_state = 318, .external_lex_state = 3},
  [7384] = {.lex_state = 318, .external_lex_state = 3},
  [7385] = {.lex_state = 114},
  [7386] = {.lex_state = 8, .external_lex_state = 4},
  [7387] = {.lex_state = 123},
  [7388] = {.lex_state = 4},
  [7389] = {.lex_state = 110},
  [7390] = {.lex_state = 323},
  [7391] = {.lex_state = 4},
  [7392] = {.lex_state = 4},
  [7393] = {.lex_state = 4},
  [7394] = {.lex_state = 4},
  [7395] = {.lex_state = 536},
  [7396] = {.lex_state = 4},
  [7397] = {.lex_state = 536},
  [7398] = {.lex_state = 536},
  [7399] = {.lex_state = 536},
  [7400] = {.lex_state = 536},
  [7401] = {.lex_state = 4},
  [7402] = {.lex_state = 114},
  [7403] = {.lex_state = 8},
  [7404] = {.lex_state = 11},
  [7405] = {.lex_state = 8},
  [7406] = {.lex_state = 8},
  [7407] = {.lex_state = 536},
  [7408] = {.lex_state = 4},
  [7409] = {.lex_state = 114},
  [7410] = {.lex_state = 318, .external_lex_state = 3},
  [7411] = {.lex_state = 536},
  [7412] = {.lex_state = 536},
  [7413] = {.lex_state = 536},
  [7414] = {.lex_state = 536},
  [7415] = {.lex_state = 318, .external_lex_state = 3},
  [7416] = {.lex_state = 110},
  [7417] = {.lex_state = 123},
  [7418] = {.lex_state = 318, .external_lex_state = 3},
  [7419] = {.lex_state = 318, .external_lex_state = 3},
  [7420] = {.lex_state = 536},
  [7421] = {.lex_state = 536},
  [7422] = {.lex_state = 318, .external_lex_state = 3},
  [7423] = {.lex_state = 114},
  [7424] = {.lex_state = 536},
  [7425] = {.lex_state = 123},
  [7426] = {.lex_state = 536},
  [7427] = {.lex_state = 318, .external_lex_state = 3},
  [7428] = {.lex_state = 318, .external_lex_state = 3},
  [7429] = {.lex_state = 119},
  [7430] = {.lex_state = 114},
  [7431] = {.lex_state = 536},
  [7432] = {.lex_state = 114},
  [7433] = {.lex_state = 114},
  [7434] = {.lex_state = 536},
  [7435] = {.lex_state = 8},
  [7436] = {.lex_state = 536},
  [7437] = {.lex_state = 114},
  [7438] = {.lex_state = 114},
  [7439] = {.lex_state = 123},
  [7440] = {.lex_state = 123},
  [7441] = {.lex_state = 323},
  [7442] = {.lex_state = 536},
  [7443] = {.lex_state = 114},
  [7444] = {.lex_state = 4, .external_lex_state = 4},
  [7445] = {.lex_state = 323},
  [7446] = {.lex_state = 8},
  [7447] = {.lex_state = 536},
  [7448] = {.lex_state = 114},
  [7449] = {.lex_state = 512},
  [7450] = {.lex_state = 119},
  [7451] = {.lex_state = 318, .external_lex_state = 3},
  [7452] = {.lex_state = 512},
  [7453] = {.lex_state = 123},
  [7454] = {.lex_state = 512},
  [7455] = {.lex_state = 123},
  [7456] = {.lex_state = 512},
  [7457] = {.lex_state = 106},
  [7458] = {.lex_state = 536},
  [7459] = {.lex_state = 536},
  [7460] = {.lex_state = 4, .external_lex_state = 4},
  [7461] = {.lex_state = 323},
  [7462] = {.lex_state = 323},
  [7463] = {.lex_state = 318, .external_lex_state = 3},
  [7464] = {.lex_state = 8},
  [7465] = {.lex_state = 123},
  [7466] = {.lex_state = 8},
  [7467] = {.lex_state = 114},
  [7468] = {.lex_state = 318, .external_lex_state = 3},
  [7469] = {.lex_state = 114},
  [7470] = {.lex_state = 8},
  [7471] = {.lex_state = 318, .external_lex_state = 3},
  [7472] = {.lex_state = 244},
  [7473] = {.lex_state = 4},
  [7474] = {.lex_state = 318, .external_lex_state = 3},
  [7475] = {.lex_state = 114},
  [7476] = {.lex_state = 119},
  [7477] = {.lex_state = 4},
  [7478] = {.lex_state = 318, .external_lex_state = 3},
  [7479] = {.lex_state = 536},
  [7480] = {.lex_state = 119},
  [7481] = {.lex_state = 114},
  [7482] = {.lex_state = 318, .external_lex_state = 3},
  [7483] = {.lex_state = 318, .external_lex_state = 3},
  [7484] = {.lex_state = 114},
  [7485] = {.lex_state = 114},
  [7486] = {.lex_state = 4},
  [7487] = {.lex_state = 323},
  [7488] = {.lex_state = 8},
  [7489] = {.lex_state = 114},
  [7490] = {.lex_state = 114},
  [7491] = {.lex_state = 114},
  [7492] = {.lex_state = 8},
  [7493] = {.lex_state = 323},
  [7494] = {.lex_state = 114},
  [7495] = {.lex_state = 4},
  [7496] = {.lex_state = 114},
  [7497] = {.lex_state = 114},
  [7498] = {.lex_state = 114},
  [7499] = {.lex_state = 106},
  [7500] = {.lex_state = 318, .external_lex_state = 3},
  [7501] = {.lex_state = 123},
  [7502] = {.lex_state = 323},
  [7503] = {.lex_state = 119},
  [7504] = {.lex_state = 114},
  [7505] = {.lex_state = 119},
  [7506] = {.lex_state = 323},
  [7507] = {.lex_state = 119},
  [7508] = {.lex_state = 114},
  [7509] = {.lex_state = 318, .external_lex_state = 3},
  [7510] = {.lex_state = 318, .external_lex_state = 3},
  [7511] = {.lex_state = 119},
  [7512] = {.lex_state = 123},
  [7513] = {.lex_state = 8},
  [7514] = {.lex_state = 536},
  [7515] = {.lex_state = 8},
  [7516] = {.lex_state = 8},
  [7517] = {.lex_state = 8},
  [7518] = {.lex_state = 8},
  [7519] = {.lex_state = 8},
  [7520] = {.lex_state = 4},
  [7521] = {.lex_state = 4},
  [7522] = {.lex_state = 4},
  [7523] = {.lex_state = 4},
  [7524] = {.lex_state = 8},
  [7525] = {.lex_state = 8},
  [7526] = {.lex_state = 8},
  [7527] = {.lex_state = 4},
  [7528] = {.lex_state = 4},
  [7529] = {.lex_state = 8},
  [7530] = {.lex_state = 119},
  [7531] = {.lex_state = 114},
  [7532] = {.lex_state = 123},
  [7533] = {.lex_state = 114},
  [7534] = {.lex_state = 119},
  [7535] = {.lex_state = 123},
  [7536] = {.lex_state = 114},
  [7537] = {.lex_state = 114},
  [7538] = {.lex_state = 114},
  [7539] = {.lex_state = 114},
  [7540] = {.lex_state = 114},
  [7541] = {.lex_state = 114},
  [7542] = {.lex_state = 318, .external_lex_state = 3},
  [7543] = {.lex_state = 323},
  [7544] = {.lex_state = 328},
  [7545] = {.lex_state = 323},
  [7546] = {.lex_state = 323},
  [7547] = {.lex_state = 323},
  [7548] = {.lex_state = 318, .external_lex_state = 3},
  [7549] = {.lex_state = 114},
  [7550] = {.lex_state = 323},
  [7551] = {.lex_state = 114},
  [7552] = {.lex_state = 318, .external_lex_state = 3},
  [7553] = {.lex_state = 123},
  [7554] = {.lex_state = 119},
  [7555] = {.lex_state = 123},
  [7556] = {.lex_state = 114},
  [7557] = {.lex_state = 250},
  [7558] = {.lex_state = 114},
  [7559] = {.lex_state = 119},
  [7560] = {.lex_state = 119},
  [7561] = {.lex_state = 114},
  [7562] = {.lex_state = 318, .external_lex_state = 3},
  [7563] = {.lex_state = 323},
  [7564] = {.lex_state = 4},
  [7565] = {.lex_state = 323},
  [7566] = {.lex_state = 318, .external_lex_state = 3},
  [7567] = {.lex_state = 318, .external_lex_state = 3},
  [7568] = {.lex_state = 323},
  [7569] = {.lex_state = 318, .external_lex_state = 3},
  [7570] = {.lex_state = 4},
  [7571] = {.lex_state = 7},
  [7572] = {.lex_state = 4},
  [7573] = {.lex_state = 323},
  [7574] = {.lex_state = 244},
  [7575] = {.lex_state = 8},
  [7576] = {.lex_state = 323},
  [7577] = {.lex_state = 323},
  [7578] = {.lex_state = 323},
  [7579] = {.lex_state = 8},
  [7580] = {.lex_state = 8},
  [7581] = {.lex_state = 4},
  [7582] = {.lex_state = 8, .external_lex_state = 4},
  [7583] = {.lex_state = 250},
  [7584] = {.lex_state = 119},
  [7585] = {.lex_state = 8},
  [7586] = {.lex_state = 8},
  [7587] = {.lex_state = 536},
  [7588] = {.lex_state = 119},
  [7589] = {.lex_state = 119},
  [7590] = {.lex_state = 288, .external_lex_state = 3},
  [7591] = {.lex_state = 119},
  [7592] = {.lex_state = 114},
  [7593] = {.lex_state = 119},
  [7594] = {.lex_state = 119},
  [7595] = {.lex_state = 318, .external_lex_state = 3},
  [7596] = {.lex_state = 318, .external_lex_state = 3},
  [7597] = {.lex_state = 114},
  [7598] = {.lex_state = 244},
  [7599] = {.lex_state = 8},
  [7600] = {.lex_state = 8},
  [7601] = {.lex_state = 4},
  [7602] = {.lex_state = 8},
  [7603] = {.lex_state = 8},
  [7604] = {.lex_state = 8},
  [7605] = {.lex_state = 123},
  [7606] = {.lex_state = 8},
  [7607] = {.lex_state = 323},
  [7608] = {.lex_state = 8},
  [7609] = {.lex_state = 244},
  [7610] = {.lex_state = 8},
  [7611] = {.lex_state = 8},
  [7612] = {.lex_state = 8},
  [7613] = {.lex_state = 8},
  [7614] = {.lex_state = 119},
  [7615] = {.lex_state = 114},
  [7616] = {.lex_state = 8},
  [7617] = {.lex_state = 8},
  [7618] = {.lex_state = 8},
  [7619] = {.lex_state = 536},
  [7620] = {.lex_state = 318, .external_lex_state = 3},
  [7621] = {.lex_state = 119},
  [7622] = {.lex_state = 536},
  [7623] = {.lex_state = 318, .external_lex_state = 3},
  [7624] = {.lex_state = 536},
  [7625] = {.lex_state = 119},
  [7626] = {.lex_state = 119},
  [7627] = {.lex_state = 119},
  [7628] = {.lex_state = 8},
  [7629] = {.lex_state = 536},
  [7630] = {.lex_state = 536},
  [7631] = {.lex_state = 8, .external_lex_state = 4},
  [7632] = {.lex_state = 536},
  [7633] = {.lex_state = 536},
  [7634] = {.lex_state = 119},
  [7635] = {.lex_state = 323},
  [7636] = {.lex_state = 119},
  [7637] = {.lex_state = 119},
  [7638] = {.lex_state = 8},
  [7639] = {.lex_state = 8},
  [7640] = {.lex_state = 323},
  [7641] = {.lex_state = 323},
  [7642] = {.lex_state = 119},
  [7643] = {.lex_state = 119},
  [7644] = {.lex_state = 323},
  [7645] = {.lex_state = 119},
  [7646] = {.lex_state = 8},
  [7647] = {.lex_state = 8},
  [7648] = {.lex_state = 8},
  [7649] = {.lex_state = 8},
  [7650] = {.lex_state = 8},
  [7651] = {.lex_state = 8},
  [7652] = {.lex_state = 250},
  [7653] = {.lex_state = 8, .external_lex_state = 4},
  [7654] = {.lex_state = 119},
  [7655] = {.lex_state = 4, .external_lex_state = 4},
  [7656] = {.lex_state = 4},
  [7657] = {.lex_state = 119},
  [7658] = {.lex_state = 4},
  [7659] = {.lex_state = 119},
  [7660] = {.lex_state = 119},
  [7661] = {.lex_state = 119},
  [7662] = {.lex_state = 4},
  [7663] = {.lex_state = 110},
  [7664] = {.lex_state = 8},
  [7665] = {.lex_state = 8},
  [7666] = {.lex_state = 119},
  [7667] = {.lex_state = 8},
  [7668] = {.lex_state = 536},
  [7669] = {.lex_state = 8},
  [7670] = {.lex_state = 536},
  [7671] = {.lex_state = 8},
  [7672] = {.lex_state = 123},
  [7673] = {.lex_state = 8, .external_lex_state = 4},
  [7674] = {.lex_state = 330},
  [7675] = {.lex_state = 323},
  [7676] = {.lex_state = 323},
  [7677] = {.lex_state = 123},
  [7678] = {.lex_state = 4},
  [7679] = {.lex_state = 4},
  [7680] = {.lex_state = 119},
  [7681] = {.lex_state = 8},
  [7682] = {.lex_state = 4},
  [7683] = {.lex_state = 4, .external_lex_state = 4},
  [7684] = {.lex_state = 323},
  [7685] = {.lex_state = 318, .external_lex_state = 3},
  [7686] = {.lex_state = 8},
  [7687] = {.lex_state = 323},
  [7688] = {.lex_state = 119},
  [7689] = {.lex_state = 323},
  [7690] = {.lex_state = 323},
  [7691] = {.lex_state = 8},
  [7692] = {.lex_state = 8},
  [7693] = {.lex_state = 4},
  [7694] = {.lex_state = 110},
  [7695] = {.lex_state = 4},
  [7696] = {.lex_state = 123},
  [7697] = {.lex_state = 323},
  [7698] = {.lex_state = 119},
  [7699] = {.lex_state = 119},
  [7700] = {.lex_state = 536},
  [7701] = {.lex_state = 119},
  [7702] = {.lex_state = 4},
  [7703] = {.lex_state = 4},
  [7704] = {.lex_state = 17, .external_lex_state = 4},
  [7705] = {.lex_state = 536},
  [7706] = {.lex_state = 4},
  [7707] = {.lex_state = 4},
  [7708] = {.lex_state = 8},
  [7709] = {.lex_state = 512},
  [7710] = {.lex_state = 4},
  [7711] = {.lex_state = 4},
  [7712] = {.lex_state = 527},
  [7713] = {.lex_state = 512, .external_lex_state = 4},
  [7714] = {.lex_state = 8},
  [7715] = {.lex_state = 8},
  [7716] = {.lex_state = 12},
  [7717] = {.lex_state = 8},
  [7718] = {.lex_state = 4},
  [7719] = {.lex_state = 8},
  [7720] = {.lex_state = 4},
  [7721] = {.lex_state = 4},
  [7722] = {.lex_state = 4},
  [7723] = {.lex_state = 4},
  [7724] = {.lex_state = 4},
  [7725] = {.lex_state = 4},
  [7726] = {.lex_state = 4},
  [7727] = {.lex_state = 8},
  [7728] = {.lex_state = 4},
  [7729] = {.lex_state = 4},
  [7730] = {.lex_state = 4},
  [7731] = {.lex_state = 4},
  [7732] = {.lex_state = 8},
  [7733] = {.lex_state = 8},
  [7734] = {.lex_state = 8},
  [7735] = {.lex_state = 8},
  [7736] = {.lex_state = 8},
  [7737] = {.lex_state = 8},
  [7738] = {.lex_state = 4},
  [7739] = {.lex_state = 8},
  [7740] = {.lex_state = 17},
  [7741] = {.lex_state = 8},
  [7742] = {.lex_state = 8},
  [7743] = {.lex_state = 4},
  [7744] = {.lex_state = 8},
  [7745] = {.lex_state = 4},
  [7746] = {.lex_state = 4},
  [7747] = {.lex_state = 4},
  [7748] = {.lex_state = 4},
  [7749] = {.lex_state = 4},
  [7750] = {.lex_state = 4},
  [7751] = {.lex_state = 4},
  [7752] = {.lex_state = 4},
  [7753] = {.lex_state = 4},
  [7754] = {.lex_state = 4},
  [7755] = {.lex_state = 4},
  [7756] = {.lex_state = 512},
  [7757] = {.lex_state = 4},
  [7758] = {.lex_state = 4},
  [7759] = {.lex_state = 4},
  [7760] = {.lex_state = 8},
  [7761] = {.lex_state = 536},
  [7762] = {.lex_state = 4},
  [7763] = {.lex_state = 4},
  [7764] = {.lex_state = 4},
  [7765] = {.lex_state = 4},
  [7766] = {.lex_state = 312},
  [7767] = {.lex_state = 4},
  [7768] = {.lex_state = 17},
  [7769] = {.lex_state = 8},
  [7770] = {.lex_state = 4},
  [7771] = {.lex_state = 4},
  [7772] = {.lex_state = 4},
  [7773] = {.lex_state = 4},
  [7774] = {.lex_state = 4},
  [7775] = {.lex_state = 4},
  [7776] = {.lex_state = 4},
  [7777] = {.lex_state = 4},
  [7778] = {.lex_state = 4},
  [7779] = {.lex_state = 4},
  [7780] = {.lex_state = 4},
  [7781] = {.lex_state = 4},
  [7782] = {.lex_state = 4},
  [7783] = {.lex_state = 4},
  [7784] = {.lex_state = 4},
  [7785] = {.lex_state = 17},
  [7786] = {.lex_state = 4},
  [7787] = {.lex_state = 8},
  [7788] = {.lex_state = 4},
  [7789] = {.lex_state = 4},
  [7790] = {.lex_state = 4},
  [7791] = {.lex_state = 4},
  [7792] = {.lex_state = 4},
  [7793] = {.lex_state = 4},
  [7794] = {.lex_state = 4},
  [7795] = {.lex_state = 4},
  [7796] = {.lex_state = 4},
  [7797] = {.lex_state = 4},
  [7798] = {.lex_state = 4},
  [7799] = {.lex_state = 4},
  [7800] = {.lex_state = 256},
  [7801] = {.lex_state = 4},
  [7802] = {.lex_state = 4},
  [7803] = {.lex_state = 4},
  [7804] = {.lex_state = 4},
  [7805] = {.lex_state = 4},
  [7806] = {.lex_state = 4},
  [7807] = {.lex_state = 4},
  [7808] = {.lex_state = 4},
  [7809] = {.lex_state = 4},
  [7810] = {.lex_state = 512},
  [7811] = {.lex_state = 12, .external_lex_state = 4},
  [7812] = {.lex_state = 12},
  [7813] = {.lex_state = 12},
  [7814] = {.lex_state = 12},
  [7815] = {.lex_state = 123},
  [7816] = {.lex_state = 17},
  [7817] = {.lex_state = 312},
  [7818] = {.lex_state = 8},
  [7819] = {.lex_state = 12},
  [7820] = {.lex_state = 12},
  [7821] = {.lex_state = 12},
  [7822] = {.lex_state = 127},
  [7823] = {.lex_state = 312},
  [7824] = {.lex_state = 127},
  [7825] = {.lex_state = 512},
  [7826] = {.lex_state = 312},
  [7827] = {.lex_state = 536},
  [7828] = {.lex_state = 312},
  [7829] = {.lex_state = 12},
  [7830] = {.lex_state = 123},
  [7831] = {.lex_state = 12},
  [7832] = {.lex_state = 312},
  [7833] = {.lex_state = 127},
  [7834] = {.lex_state = 127},
  [7835] = {.lex_state = 312},
  [7836] = {.lex_state = 17},
  [7837] = {.lex_state = 8},
  [7838] = {.lex_state = 17},
  [7839] = {.lex_state = 17},
  [7840] = {.lex_state = 17},
  [7841] = {.lex_state = 130},
  [7842] = {.lex_state = 312},
  [7843] = {.lex_state = 512},
  [7844] = {.lex_state = 512},
  [7845] = {.lex_state = 17},
  [7846] = {.lex_state = 17},
  [7847] = {.lex_state = 17},
  [7848] = {.lex_state = 17},
  [7849] = {.lex_state = 8},
  [7850] = {.lex_state = 17},
  [7851] = {.lex_state = 312},
  [7852] = {.lex_state = 8},
  [7853] = {.lex_state = 512},
  [7854] = {.lex_state = 312},
  [7855] = {.lex_state = 8},
  [7856] = {.lex_state = 77},
  [7857] = {.lex_state = 8},
  [7858] = {.lex_state = 256},
  [7859] = {.lex_state = 237, .external_lex_state = 4},
  [7860] = {.lex_state = 8},
  [7861] = {.lex_state = 315},
  [7862] = {.lex_state = 17, .external_lex_state = 4},
  [7863] = {.lex_state = 8},
  [7864] = {.lex_state = 237},
  [7865] = {.lex_state = 323},
  [7866] = {.lex_state = 237},
  [7867] = {.lex_state = 237},
  [7868] = {.lex_state = 114},
  [7869] = {.lex_state = 17},
  [7870] = {.lex_state = 17},
  [7871] = {.lex_state = 8},
  [7872] = {.lex_state = 8},
  [7873] = {.lex_state = 8},
  [7874] = {.lex_state = 8},
  [7875] = {.lex_state = 8},
  [7876] = {.lex_state = 312},
  [7877] = {.lex_state = 512},
  [7878] = {.lex_state = 237},
  [7879] = {.lex_state = 237},
  [7880] = {.lex_state = 237},
  [7881] = {.lex_state = 17},
  [7882] = {.lex_state = 8},
  [7883] = {.lex_state = 4},
  [7884] = {.lex_state = 312},
  [7885] = {.lex_state = 4},
  [7886] = {.lex_state = 323},
  [7887] = {.lex_state = 237},
  [7888] = {.lex_state = 114},
  [7889] = {.lex_state = 237},
  [7890] = {.lex_state = 17},
  [7891] = {.lex_state = 17},
  [7892] = {.lex_state = 512},
  [7893] = {.lex_state = 237, .external_lex_state = 4},
  [7894] = {.lex_state = 17},
  [7895] = {.lex_state = 17},
  [7896] = {.lex_state = 17},
  [7897] = {.lex_state = 312},
  [7898] = {.lex_state = 312},
  [7899] = {.lex_state = 17},
  [7900] = {.lex_state = 8},
  [7901] = {.lex_state = 512},
  [7902] = {.lex_state = 17},
  [7903] = {.lex_state = 17},
  [7904] = {.lex_state = 17},
  [7905] = {.lex_state = 17},
  [7906] = {.lex_state = 17},
  [7907] = {.lex_state = 17},
  [7908] = {.lex_state = 17},
  [7909] = {.lex_state = 17},
  [7910] = {.lex_state = 17},
  [7911] = {.lex_state = 77},
  [7912] = {.lex_state = 8},
  [7913] = {.lex_state = 512, .external_lex_state = 4},
  [7914] = {.lex_state = 512},
  [7915] = {.lex_state = 17},
  [7916] = {.lex_state = 8},
  [7917] = {.lex_state = 8},
  [7918] = {.lex_state = 8},
  [7919] = {.lex_state = 8},
  [7920] = {.lex_state = 8},
  [7921] = {.lex_state = 8},
  [7922] = {.lex_state = 8},
  [7923] = {.lex_state = 8},
  [7924] = {.lex_state = 8},
  [7925] = {.lex_state = 8},
  [7926] = {.lex_state = 8},
  [7927] = {.lex_state = 8},
  [7928] = {.lex_state = 8},
  [7929] = {.lex_state = 17},
  [7930] = {.lex_state = 17},
  [7931] = {.lex_state = 17},
  [7932] = {.lex_state = 17},
  [7933] = {.lex_state = 512},
  [7934] = {.lex_state = 17},
  [7935] = {.lex_state = 8},
  [7936] = {.lex_state = 8},
  [7937] = {.lex_state = 17},
  [7938] = {.lex_state = 237},
  [7939] = {.lex_state = 127},
  [7940] = {.lex_state = 237},
  [7941] = {.lex_state = 512},
  [7942] = {.lex_state = 17},
  [7943] = {.lex_state = 12},
  [7944] = {.lex_state = 8},
  [7945] = {.lex_state = 516},
  [7946] = {.lex_state = 516},
  [7947] = {.lex_state = 512},
  [7948] = {.lex_state = 516},
  [7949] = {.lex_state = 516},
  [7950] = {.lex_state = 12},
  [7951] = {.lex_state = 266},
  [7952] = {.lex_state = 12},
  [7953] = {.lex_state = 512},
  [7954] = {.lex_state = 12},
  [7955] = {.lex_state = 312},
  [7956] = {.lex_state = 312},
  [7957] = {.lex_state = 312},
  [7958] = {.lex_state = 512},
  [7959] = {.lex_state = 8},
  [7960] = {.lex_state = 8},
  [7961] = {.lex_state = 312},
  [7962] = {.lex_state = 312},
  [7963] = {.lex_state = 512},
  [7964] = {.lex_state = 312},
  [7965] = {.lex_state = 329},
  [7966] = {.lex_state = 312},
  [7967] = {.lex_state = 119},
  [7968] = {.lex_state = 312},
  [7969] = {.lex_state = 312},
  [7970] = {.lex_state = 312},
  [7971] = {.lex_state = 237},
  [7972] = {.lex_state = 312},
  [7973] = {.lex_state = 512},
  [7974] = {.lex_state = 8},
  [7975] = {.lex_state = 512},
  [7976] = {.lex_state = 237},
  [7977] = {.lex_state = 8},
  [7978] = {.lex_state = 8},
  [7979] = {.lex_state = 8},
  [7980] = {.lex_state = 8},
  [7981] = {.lex_state = 312},
  [7982] = {.lex_state = 8},
  [7983] = {.lex_state = 8},
  [7984] = {.lex_state = 8},
  [7985] = {.lex_state = 8},
  [7986] = {.lex_state = 8},
  [7987] = {.lex_state = 8},
  [7988] = {.lex_state = 12},
  [7989] = {.lex_state = 4},
  [7990] = {.lex_state = 4},
  [7991] = {.lex_state = 312},
  [7992] = {.lex_state = 512},
  [7993] = {.lex_state = 237},
  [7994] = {.lex_state = 8},
  [7995] = {.lex_state = 8},
  [7996] = {.lex_state = 8},
  [7997] = {.lex_state = 8},
  [7998] = {.lex_state = 119},
  [7999] = {.lex_state = 127},
  [8000] = {.lex_state = 8},
  [8001] = {.lex_state = 512},
  [8002] = {.lex_state = 312},
  [8003] = {.lex_state = 256},
  [8004] = {.lex_state = 312},
  [8005] = {.lex_state = 8},
  [8006] = {.lex_state = 312},
  [8007] = {.lex_state = 512},
  [8008] = {.lex_state = 237},
  [8009] = {.lex_state = 312},
  [8010] = {.lex_state = 237},
  [8011] = {.lex_state = 237},
  [8012] = {.lex_state = 312, .external_lex_state = 4},
  [8013] = {.lex_state = 237},
  [8014] = {.lex_state = 68},
  [8015] = {.lex_state = 8},
  [8016] = {.lex_state = 312, .external_lex_state = 4},
  [8017] = {.lex_state = 512},
  [8018] = {.lex_state = 4},
  [8019] = {.lex_state = 12},
  [8020] = {.lex_state = 312},
  [8021] = {.lex_state = 8},
  [8022] = {.lex_state = 8},
  [8023] = {.lex_state = 8},
  [8024] = {.lex_state = 8},
  [8025] = {.lex_state = 8},
  [8026] = {.lex_state = 8},
  [8027] = {.lex_state = 8},
  [8028] = {.lex_state = 8},
  [8029] = {.lex_state = 8},
  [8030] = {.lex_state = 8},
  [8031] = {.lex_state = 8},
  [8032] = {.lex_state = 512},
  [8033] = {.lex_state = 8},
  [8034] = {.lex_state = 237},
  [8035] = {.lex_state = 237},
  [8036] = {.lex_state = 237},
  [8037] = {.lex_state = 237},
  [8038] = {.lex_state = 237},
  [8039] = {.lex_state = 237},
  [8040] = {.lex_state = 12},
  [8041] = {.lex_state = 237},
  [8042] = {.lex_state = 512},
  [8043] = {.lex_state = 237},
  [8044] = {.lex_state = 237},
  [8045] = {.lex_state = 4},
  [8046] = {.lex_state = 237},
  [8047] = {.lex_state = 237},
  [8048] = {.lex_state = 237},
  [8049] = {.lex_state = 237},
  [8050] = {.lex_state = 237},
  [8051] = {.lex_state = 237},
  [8052] = {.lex_state = 237},
  [8053] = {.lex_state = 237},
  [8054] = {.lex_state = 237},
  [8055] = {.lex_state = 237},
  [8056] = {.lex_state = 237},
  [8057] = {.lex_state = 237},
  [8058] = {.lex_state = 237},
  [8059] = {.lex_state = 237},
  [8060] = {.lex_state = 12},
  [8061] = {.lex_state = 237},
  [8062] = {.lex_state = 512},
  [8063] = {.lex_state = 237},
  [8064] = {.lex_state = 237},
  [8065] = {.lex_state = 512},
  [8066] = {.lex_state = 512, .external_lex_state = 4},
  [8067] = {.lex_state = 256},
  [8068] = {.lex_state = 8},
  [8069] = {.lex_state = 8},
  [8070] = {.lex_state = 237},
  [8071] = {.lex_state = 127},
  [8072] = {.lex_state = 8},
  [8073] = {.lex_state = 8},
  [8074] = {.lex_state = 8},
  [8075] = {.lex_state = 8},
  [8076] = {.lex_state = 8},
  [8077] = {.lex_state = 8},
  [8078] = {.lex_state = 8},
  [8079] = {.lex_state = 8},
  [8080] = {.lex_state = 512},
  [8081] = {.lex_state = 237},
  [8082] = {.lex_state = 4},
  [8083] = {.lex_state = 4},
  [8084] = {.lex_state = 512},
  [8085] = {.lex_state = 237},
  [8086] = {.lex_state = 237},
  [8087] = {.lex_state = 237},
  [8088] = {.lex_state = 312},
  [8089] = {.lex_state = 512},
  [8090] = {.lex_state = 336, .external_lex_state = 5},
  [8091] = {.lex_state = 527},
  [8092] = {.lex_state = 512},
  [8093] = {.lex_state = 4},
  [8094] = {.lex_state = 12},
  [8095] = {.lex_state = 312},
  [8096] = {.lex_state = 312},
  [8097] = {.lex_state = 312},
  [8098] = {.lex_state = 536},
  [8099] = {.lex_state = 127},
  [8100] = {.lex_state = 512},
  [8101] = {.lex_state = 127},
  [8102] = {.lex_state = 127},
  [8103] = {.lex_state = 12},
  [8104] = {.lex_state = 4},
  [8105] = {.lex_state = 4},
  [8106] = {.lex_state = 4},
  [8107] = {.lex_state = 4},
  [8108] = {.lex_state = 4},
  [8109] = {.lex_state = 4},
  [8110] = {.lex_state = 4},
  [8111] = {.lex_state = 4},
  [8112] = {.lex_state = 4},
  [8113] = {.lex_state = 4},
  [8114] = {.lex_state = 4},
  [8115] = {.lex_state = 4},
  [8116] = {.lex_state = 512},
  [8117] = {.lex_state = 512},
  [8118] = {.lex_state = 512},
  [8119] = {.lex_state = 512},
  [8120] = {.lex_state = 512},
  [8121] = {.lex_state = 512},
  [8122] = {.lex_state = 240},
  [8123] = {.lex_state = 12},
  [8124] = {.lex_state = 512},
  [8125] = {.lex_state = 77},
  [8126] = {.lex_state = 12, .external_lex_state = 4},
  [8127] = {.lex_state = 123},
  [8128] = {.lex_state = 12},
  [8129] = {.lex_state = 512},
  [8130] = {.lex_state = 12},
  [8131] = {.lex_state = 512},
  [8132] = {.lex_state = 12},
  [8133] = {.lex_state = 312},
  [8134] = {.lex_state = 17},
  [8135] = {.lex_state = 12},
  [8136] = {.lex_state = 512},
  [8137] = {.lex_state = 17},
  [8138] = {.lex_state = 123},
  [8139] = {.lex_state = 512},
  [8140] = {.lex_state = 512},
  [8141] = {.lex_state = 12},
  [8142] = {.lex_state = 12},
  [8143] = {.lex_state = 512},
  [8144] = {.lex_state = 4},
  [8145] = {.lex_state = 512},
  [8146] = {.lex_state = 312, .external_lex_state = 4},
  [8147] = {.lex_state = 17, .external_lex_state = 4},
  [8148] = {.lex_state = 512},
  [8149] = {.lex_state = 12},
  [8150] = {.lex_state = 12},
  [8151] = {.lex_state = 12},
  [8152] = {.lex_state = 323},
  [8153] = {.lex_state = 8},
  [8154] = {.lex_state = 8},
  [8155] = {.lex_state = 8},
  [8156] = {.lex_state = 12},
  [8157] = {.lex_state = 512},
  [8158] = {.lex_state = 12},
  [8159] = {.lex_state = 12},
  [8160] = {.lex_state = 12},
  [8161] = {.lex_state = 12},
  [8162] = {.lex_state = 512},
  [8163] = {.lex_state = 12},
  [8164] = {.lex_state = 512},
  [8165] = {.lex_state = 17},
  [8166] = {.lex_state = 20},
  [8167] = {.lex_state = 17},
  [8168] = {.lex_state = 12},
  [8169] = {.lex_state = 127},
  [8170] = {.lex_state = 4},
  [8171] = {.lex_state = 512},
  [8172] = {.lex_state = 312},
  [8173] = {.lex_state = 4},
  [8174] = {.lex_state = 527},
  [8175] = {.lex_state = 312},
  [8176] = {.lex_state = 114},
  [8177] = {.lex_state = 127},
  [8178] = {.lex_state = 12},
  [8179] = {.lex_state = 312},
  [8180] = {.lex_state = 17},
  [8181] = {.lex_state = 12},
  [8182] = {.lex_state = 512},
  [8183] = {.lex_state = 8},
  [8184] = {.lex_state = 12},
  [8185] = {.lex_state = 12},
  [8186] = {.lex_state = 12},
  [8187] = {.lex_state = 512},
  [8188] = {.lex_state = 512},
  [8189] = {.lex_state = 114},
  [8190] = {.lex_state = 512},
  [8191] = {.lex_state = 4},
  [8192] = {.lex_state = 512},
  [8193] = {.lex_state = 512},
  [8194] = {.lex_state = 12},
  [8195] = {.lex_state = 12},
  [8196] = {.lex_state = 315},
  [8197] = {.lex_state = 12, .external_lex_state = 4},
  [8198] = {.lex_state = 12, .external_lex_state = 4},
  [8199] = {.lex_state = 512},
  [8200] = {.lex_state = 127},
  [8201] = {.lex_state = 512},
  [8202] = {.lex_state = 8},
  [8203] = {.lex_state = 512},
  [8204] = {.lex_state = 512, .external_lex_state = 4},
  [8205] = {.lex_state = 512},
  [8206] = {.lex_state = 12},
  [8207] = {.lex_state = 512},
  [8208] = {.lex_state = 312, .external_lex_state = 4},
  [8209] = {.lex_state = 512},
  [8210] = {.lex_state = 8},
  [8211] = {.lex_state = 8},
  [8212] = {.lex_state = 8},
  [8213] = {.lex_state = 8},
  [8214] = {.lex_state = 8},
  [8215] = {.lex_state = 8},
  [8216] = {.lex_state = 8},
  [8217] = {.lex_state = 8},
  [8218] = {.lex_state = 312},
  [8219] = {.lex_state = 312},
  [8220] = {.lex_state = 312},
  [8221] = {.lex_state = 512},
  [8222] = {.lex_state = 17, .external_lex_state = 4},
  [8223] = {.lex_state = 323},
  [8224] = {.lex_state = 336, .external_lex_state = 5},
  [8225] = {.lex_state = 17, .external_lex_state = 4},
  [8226] = {.lex_state = 315},
  [8227] = {.lex_state = 237, .external_lex_state = 4},
  [8228] = {.lex_state = 12},
  [8229] = {.lex_state = 512},
  [8230] = {.lex_state = 512},
  [8231] = {.lex_state = 12},
  [8232] = {.lex_state = 12},
  [8233] = {.lex_state = 119},
  [8234] = {.lex_state = 512},
  [8235] = {.lex_state = 4},
  [8236] = {.lex_state = 512},
  [8237] = {.lex_state = 12},
  [8238] = {.lex_state = 12},
  [8239] = {.lex_state = 12},
  [8240] = {.lex_state = 312},
  [8241] = {.lex_state = 512},
  [8242] = {.lex_state = 512},
  [8243] = {.lex_state = 4},
  [8244] = {.lex_state = 4},
  [8245] = {.lex_state = 8},
  [8246] = {.lex_state = 8},
  [8247] = {.lex_state = 4},
  [8248] = {.lex_state = 512},
  [8249] = {.lex_state = 512},
  [8250] = {.lex_state = 312},
  [8251] = {.lex_state = 8},
  [8252] = {.lex_state = 8},
  [8253] = {.lex_state = 68},
  [8254] = {.lex_state = 512},
  [8255] = {.lex_state = 17},
  [8256] = {.lex_state = 312},
  [8257] = {.lex_state = 312},
  [8258] = {.lex_state = 312},
  [8259] = {.lex_state = 512},
  [8260] = {.lex_state = 312},
  [8261] = {.lex_state = 512},
  [8262] = {.lex_state = 512},
  [8263] = {.lex_state = 512},
  [8264] = {.lex_state = 127},
  [8265] = {.lex_state = 4},
  [8266] = {.lex_state = 237, .external_lex_state = 4},
  [8267] = {.lex_state = 127},
  [8268] = {.lex_state = 512},
  [8269] = {.lex_state = 4},
  [8270] = {.lex_state = 12},
  [8271] = {.lex_state = 8},
  [8272] = {.lex_state = 8},
  [8273] = {.lex_state = 12},
  [8274] = {.lex_state = 312},
  [8275] = {.lex_state = 323},
  [8276] = {.lex_state = 312},
  [8277] = {.lex_state = 17},
  [8278] = {.lex_state = 512},
  [8279] = {.lex_state = 77},
  [8280] = {.lex_state = 12, .external_lex_state = 4},
  [8281] = {.lex_state = 512},
  [8282] = {.lex_state = 527},
  [8283] = {.lex_state = 512, .external_lex_state = 4},
  [8284] = {.lex_state = 318, .external_lex_state = 3},
  [8285] = {.lex_state = 8},
  [8286] = {.lex_state = 8},
  [8287] = {.lex_state = 8},
  [8288] = {.lex_state = 8},
  [8289] = {.lex_state = 8},
  [8290] = {.lex_state = 8},
  [8291] = {.lex_state = 8},
  [8292] = {.lex_state = 8},
  [8293] = {.lex_state = 8},
  [8294] = {.lex_state = 8},
  [8295] = {.lex_state = 8},
  [8296] = {.lex_state = 4},
  [8297] = {.lex_state = 4},
  [8298] = {.lex_state = 4},
  [8299] = {.lex_state = 4},
  [8300] = {.lex_state = 244},
  [8301] = {.lex_state = 4},
  [8302] = {.lex_state = 237, .external_lex_state = 4},
  [8303] = {.lex_state = 17},
  [8304] = {.lex_state = 127},
  [8305] = {.lex_state = 315},
  [8306] = {.lex_state = 312, .external_lex_state = 4},
  [8307] = {.lex_state = 527},
  [8308] = {.lex_state = 17, .external_lex_state = 4},
  [8309] = {.lex_state = 312},
  [8310] = {.lex_state = 123},
  [8311] = {.lex_state = 237},
  [8312] = {.lex_state = 237},
  [8313] = {.lex_state = 17},
  [8314] = {.lex_state = 17},
  [8315] = {.lex_state = 17},
  [8316] = {.lex_state = 119},
  [8317] = {.lex_state = 127},
  [8318] = {.lex_state = 12, .external_lex_state = 4},
  [8319] = {.lex_state = 318, .external_lex_state = 3},
  [8320] = {.lex_state = 312},
  [8321] = {.lex_state = 512},
  [8322] = {.lex_state = 237},
  [8323] = {.lex_state = 336, .external_lex_state = 5},
  [8324] = {.lex_state = 237},
  [8325] = {.lex_state = 256},
  [8326] = {.lex_state = 312},
  [8327] = {.lex_state = 237},
  [8328] = {.lex_state = 237, .external_lex_state = 4},
  [8329] = {.lex_state = 68},
  [8330] = {.lex_state = 12},
  [8331] = {.lex_state = 17},
  [8332] = {.lex_state = 4},
  [8333] = {.lex_state = 17},
  [8334] = {.lex_state = 237},
  [8335] = {.lex_state = 17},
  [8336] = {.lex_state = 17},
  [8337] = {.lex_state = 512},
  [8338] = {.lex_state = 312},
  [8339] = {.lex_state = 512},
  [8340] = {.lex_state = 512},
  [8341] = {.lex_state = 512},
  [8342] = {.lex_state = 512},
  [8343] = {.lex_state = 17},
  [8344] = {.lex_state = 312},
  [8345] = {.lex_state = 312},
  [8346] = {.lex_state = 312},
  [8347] = {.lex_state = 512},
  [8348] = {.lex_state = 17},
  [8349] = {.lex_state = 17},
  [8350] = {.lex_state = 17},
  [8351] = {.lex_state = 12},
  [8352] = {.lex_state = 312},
  [8353] = {.lex_state = 237},
  [8354] = {.lex_state = 12},
  [8355] = {.lex_state = 12},
  [8356] = {.lex_state = 12},
  [8357] = {.lex_state = 512},
  [8358] = {.lex_state = 237},
  [8359] = {.lex_state = 237},
  [8360] = {.lex_state = 237},
  [8361] = {.lex_state = 312},
  [8362] = {.lex_state = 17},
  [8363] = {.lex_state = 4},
  [8364] = {.lex_state = 4},
  [8365] = {.lex_state = 12},
  [8366] = {.lex_state = 17},
  [8367] = {.lex_state = 237},
  [8368] = {.lex_state = 12},
  [8369] = {.lex_state = 237},
  [8370] = {.lex_state = 77},
  [8371] = {.lex_state = 312},
  [8372] = {.lex_state = 8},
  [8373] = {.lex_state = 8},
  [8374] = {.lex_state = 114},
  [8375] = {.lex_state = 127},
  [8376] = {.lex_state = 17},
  [8377] = {.lex_state = 12},
  [8378] = {.lex_state = 127},
  [8379] = {.lex_state = 127},
  [8380] = {.lex_state = 17},
  [8381] = {.lex_state = 119},
  [8382] = {.lex_state = 17},
  [8383] = {.lex_state = 312},
  [8384] = {.lex_state = 312},
  [8385] = {.lex_state = 237},
  [8386] = {.lex_state = 512, .external_lex_state = 4},
  [8387] = {.lex_state = 512},
  [8388] = {.lex_state = 250},
  [8389] = {.lex_state = 512},
  [8390] = {.lex_state = 512},
  [8391] = {.lex_state = 250},
  [8392] = {.lex_state = 8, .external_lex_state = 4},
  [8393] = {.lex_state = 12},
  [8394] = {.lex_state = 15},
  [8395] = {.lex_state = 12},
  [8396] = {.lex_state = 127},
  [8397] = {.lex_state = 127},
  [8398] = {.lex_state = 127},
  [8399] = {.lex_state = 127},
  [8400] = {.lex_state = 12},
  [8401] = {.lex_state = 127},
  [8402] = {.lex_state = 127},
  [8403] = {.lex_state = 250},
  [8404] = {.lex_state = 127},
  [8405] = {.lex_state = 127},
  [8406] = {.lex_state = 127},
  [8407] = {.lex_state = 127},
  [8408] = {.lex_state = 127},
  [8409] = {.lex_state = 127},
  [8410] = {.lex_state = 127},
  [8411] = {.lex_state = 127},
  [8412] = {.lex_state = 8},
  [8413] = {.lex_state = 127},
  [8414] = {.lex_state = 127},
  [8415] = {.lex_state = 127},
  [8416] = {.lex_state = 127},
  [8417] = {.lex_state = 127},
  [8418] = {.lex_state = 127},
  [8419] = {.lex_state = 127},
  [8420] = {.lex_state = 127},
  [8421] = {.lex_state = 127},
  [8422] = {.lex_state = 127},
  [8423] = {.lex_state = 127},
  [8424] = {.lex_state = 127},
  [8425] = {.lex_state = 127},
  [8426] = {.lex_state = 127},
  [8427] = {.lex_state = 127},
  [8428] = {.lex_state = 127},
  [8429] = {.lex_state = 127},
  [8430] = {.lex_state = 4},
  [8431] = {.lex_state = 127},
  [8432] = {.lex_state = 512},
  [8433] = {.lex_state = 237},
  [8434] = {.lex_state = 512},
  [8435] = {.lex_state = 68},
  [8436] = {.lex_state = 68},
  [8437] = {.lex_state = 512},
  [8438] = {.lex_state = 512},
  [8439] = {.lex_state = 8},
  [8440] = {.lex_state = 512},
  [8441] = {.lex_state = 512},
  [8442] = {.lex_state = 512},
  [8443] = {.lex_state = 515},
  [8444] = {.lex_state = 512},
  [8445] = {.lex_state = 512},
  [8446] = {.lex_state = 250},
  [8447] = {.lex_state = 512},
  [8448] = {.lex_state = 512},
  [8449] = {.lex_state = 512},
  [8450] = {.lex_state = 512},
  [8451] = {.lex_state = 512},
  [8452] = {.lex_state = 8},
  [8453] = {.lex_state = 512},
  [8454] = {.lex_state = 237},
  [8455] = {.lex_state = 512},
  [8456] = {.lex_state = 512},
  [8457] = {.lex_state = 512},
  [8458] = {.lex_state = 512},
  [8459] = {.lex_state = 4},
  [8460] = {.lex_state = 512},
  [8461] = {.lex_state = 512},
  [8462] = {.lex_state = 315},
  [8463] = {.lex_state = 512},
  [8464] = {.lex_state = 512},
  [8465] = {.lex_state = 512},
  [8466] = {.lex_state = 512},
  [8467] = {.lex_state = 512},
  [8468] = {.lex_state = 4},
  [8469] = {.lex_state = 512},
  [8470] = {.lex_state = 512},
  [8471] = {.lex_state = 512},
  [8472] = {.lex_state = 512},
  [8473] = {.lex_state = 512},
  [8474] = {.lex_state = 512},
  [8475] = {.lex_state = 312, .external_lex_state = 4},
  [8476] = {.lex_state = 512},
  [8477] = {.lex_state = 512},
  [8478] = {.lex_state = 4},
  [8479] = {.lex_state = 4},
  [8480] = {.lex_state = 4},
  [8481] = {.lex_state = 4},
  [8482] = {.lex_state = 4},
  [8483] = {.lex_state = 4},
  [8484] = {.lex_state = 4},
  [8485] = {.lex_state = 4},
  [8486] = {.lex_state = 4},
  [8487] = {.lex_state = 536},
  [8488] = {.lex_state = 312},
  [8489] = {.lex_state = 12},
  [8490] = {.lex_state = 237},
  [8491] = {.lex_state = 237},
  [8492] = {.lex_state = 237},
  [8493] = {.lex_state = 237},
  [8494] = {.lex_state = 237},
  [8495] = {.lex_state = 516},
  [8496] = {.lex_state = 516},
  [8497] = {.lex_state = 516},
  [8498] = {.lex_state = 127},
  [8499] = {.lex_state = 237},
  [8500] = {.lex_state = 237},
  [8501] = {.lex_state = 237},
  [8502] = {.lex_state = 237},
  [8503] = {.lex_state = 17},
  [8504] = {.lex_state = 17},
  [8505] = {.lex_state = 17},
  [8506] = {.lex_state = 512},
  [8507] = {.lex_state = 17},
  [8508] = {.lex_state = 12},
  [8509] = {.lex_state = 12},
  [8510] = {.lex_state = 17},
  [8511] = {.lex_state = 312},
  [8512] = {.lex_state = 312},
  [8513] = {.lex_state = 312},
  [8514] = {.lex_state = 312},
  [8515] = {.lex_state = 312},
  [8516] = {.lex_state = 312},
  [8517] = {.lex_state = 516},
  [8518] = {.lex_state = 312},
  [8519] = {.lex_state = 512},
  [8520] = {.lex_state = 512},
  [8521] = {.lex_state = 512},
  [8522] = {.lex_state = 512},
  [8523] = {.lex_state = 512},
  [8524] = {.lex_state = 512},
  [8525] = {.lex_state = 12},
  [8526] = {.lex_state = 512},
  [8527] = {.lex_state = 312},
  [8528] = {.lex_state = 512},
  [8529] = {.lex_state = 512},
  [8530] = {.lex_state = 512},
  [8531] = {.lex_state = 512},
  [8532] = {.lex_state = 312},
  [8533] = {.lex_state = 312},
  [8534] = {.lex_state = 312},
  [8535] = {.lex_state = 312},
  [8536] = {.lex_state = 237},
  [8537] = {.lex_state = 512},
  [8538] = {.lex_state = 512},
  [8539] = {.lex_state = 237},
  [8540] = {.lex_state = 12},
  [8541] = {.lex_state = 237},
  [8542] = {.lex_state = 237},
  [8543] = {.lex_state = 237},
  [8544] = {.lex_state = 512},
  [8545] = {.lex_state = 237},
  [8546] = {.lex_state = 237},
  [8547] = {.lex_state = 312},
  [8548] = {.lex_state = 237},
  [8549] = {.lex_state = 237},
  [8550] = {.lex_state = 237},
  [8551] = {.lex_state = 512},
  [8552] = {.lex_state = 237},
  [8553] = {.lex_state = 237},
  [8554] = {.lex_state = 12},
  [8555] = {.lex_state = 12},
  [8556] = {.lex_state = 237},
  [8557] = {.lex_state = 12},
  [8558] = {.lex_state = 12},
  [8559] = {.lex_state = 12},
  [8560] = {.lex_state = 12},
  [8561] = {.lex_state = 12},
  [8562] = {.lex_state = 12},
  [8563] = {.lex_state = 12},
  [8564] = {.lex_state = 12},
  [8565] = {.lex_state = 12},
  [8566] = {.lex_state = 12},
  [8567] = {.lex_state = 237},
  [8568] = {.lex_state = 512},
  [8569] = {.lex_state = 512},
  [8570] = {.lex_state = 512},
  [8571] = {.lex_state = 512},
  [8572] = {.lex_state = 512},
  [8573] = {.lex_state = 512},
  [8574] = {.lex_state = 237},
  [8575] = {.lex_state = 512},
  [8576] = {.lex_state = 237},
  [8577] = {.lex_state = 512},
  [8578] = {.lex_state = 512},
  [8579] = {.lex_state = 512},
  [8580] = {.lex_state = 512},
  [8581] = {.lex_state = 17},
  [8582] = {.lex_state = 512},
  [8583] = {.lex_state = 512},
  [8584] = {.lex_state = 512},
  [8585] = {.lex_state = 12},
  [8586] = {.lex_state = 250},
  [8587] = {.lex_state = 237},
  [8588] = {.lex_state = 512},
  [8589] = {.lex_state = 237},
  [8590] = {.lex_state = 512},
  [8591] = {.lex_state = 12},
  [8592] = {.lex_state = 12},
  [8593] = {.lex_state = 312},
  [8594] = {.lex_state = 261},
  [8595] = {.lex_state = 237},
  [8596] = {.lex_state = 17},
  [8597] = {.lex_state = 12},
  [8598] = {.lex_state = 237},
  [8599] = {.lex_state = 237},
  [8600] = {.lex_state = 516},
  [8601] = {.lex_state = 512},
  [8602] = {.lex_state = 12},
  [8603] = {.lex_state = 512},
  [8604] = {.lex_state = 12},
  [8605] = {.lex_state = 516},
  [8606] = {.lex_state = 12},
  [8607] = {.lex_state = 237},
  [8608] = {.lex_state = 12},
  [8609] = {.lex_state = 237},
  [8610] = {.lex_state = 237},
  [8611] = {.lex_state = 527},
  [8612] = {.lex_state = 512, .external_lex_state = 4},
  [8613] = {.lex_state = 237},
  [8614] = {.lex_state = 237},
  [8615] = {.lex_state = 237},
  [8616] = {.lex_state = 237},
  [8617] = {.lex_state = 237},
  [8618] = {.lex_state = 512},
  [8619] = {.lex_state = 237},
  [8620] = {.lex_state = 237},
  [8621] = {.lex_state = 237},
  [8622] = {.lex_state = 516},
  [8623] = {.lex_state = 237},
  [8624] = {.lex_state = 237},
  [8625] = {.lex_state = 512},
  [8626] = {.lex_state = 512},
  [8627] = {.lex_state = 512},
  [8628] = {.lex_state = 512},
  [8629] = {.lex_state = 512},
  [8630] = {.lex_state = 512},
  [8631] = {.lex_state = 512},
  [8632] = {.lex_state = 512},
  [8633] = {.lex_state = 512},
  [8634] = {.lex_state = 512},
  [8635] = {.lex_state = 512},
  [8636] = {.lex_state = 512},
  [8637] = {.lex_state = 512},
  [8638] = {.lex_state = 237},
  [8639] = {.lex_state = 512},
  [8640] = {.lex_state = 512},
  [8641] = {.lex_state = 516},
  [8642] = {.lex_state = 237},
  [8643] = {.lex_state = 237},
  [8644] = {.lex_state = 237},
  [8645] = {.lex_state = 237},
  [8646] = {.lex_state = 516},
  [8647] = {.lex_state = 12},
  [8648] = {.lex_state = 12},
  [8649] = {.lex_state = 12},
  [8650] = {.lex_state = 516},
  [8651] = {.lex_state = 12},
  [8652] = {.lex_state = 237},
  [8653] = {.lex_state = 237},
  [8654] = {.lex_state = 237},
  [8655] = {.lex_state = 512},
  [8656] = {.lex_state = 237},
  [8657] = {.lex_state = 512},
  [8658] = {.lex_state = 237},
  [8659] = {.lex_state = 237},
  [8660] = {.lex_state = 237},
  [8661] = {.lex_state = 237},
  [8662] = {.lex_state = 237},
  [8663] = {.lex_state = 237},
  [8664] = {.lex_state = 237},
  [8665] = {.lex_state = 237},
  [8666] = {.lex_state = 237},
  [8667] = {.lex_state = 237},
  [8668] = {.lex_state = 237},
  [8669] = {.lex_state = 237},
  [8670] = {.lex_state = 237},
  [8671] = {.lex_state = 237},
  [8672] = {.lex_state = 237},
  [8673] = {.lex_state = 237},
  [8674] = {.lex_state = 237},
  [8675] = {.lex_state = 237},
  [8676] = {.lex_state = 237},
  [8677] = {.lex_state = 237},
  [8678] = {.lex_state = 512},
  [8679] = {.lex_state = 237},
  [8680] = {.lex_state = 512},
  [8681] = {.lex_state = 512},
  [8682] = {.lex_state = 237},
  [8683] = {.lex_state = 512},
  [8684] = {.lex_state = 512},
  [8685] = {.lex_state = 512},
  [8686] = {.lex_state = 512},
  [8687] = {.lex_state = 512},
  [8688] = {.lex_state = 312},
  [8689] = {.lex_state = 512},
  [8690] = {.lex_state = 512},
  [8691] = {.lex_state = 512},
  [8692] = {.lex_state = 512},
  [8693] = {.lex_state = 12},
  [8694] = {.lex_state = 237},
  [8695] = {.lex_state = 237},
  [8696] = {.lex_state = 12},
  [8697] = {.lex_state = 261},
  [8698] = {.lex_state = 237},
  [8699] = {.lex_state = 318, .external_lex_state = 5},
  [8700] = {.lex_state = 512},
  [8701] = {.lex_state = 512},
  [8702] = {.lex_state = 237},
  [8703] = {.lex_state = 512},
  [8704] = {.lex_state = 512},
  [8705] = {.lex_state = 512},
  [8706] = {.lex_state = 17},
  [8707] = {.lex_state = 512},
  [8708] = {.lex_state = 516},
  [8709] = {.lex_state = 127},
  [8710] = {.lex_state = 516},
  [8711] = {.lex_state = 237},
  [8712] = {.lex_state = 512},
  [8713] = {.lex_state = 237},
  [8714] = {.lex_state = 512},
  [8715] = {.lex_state = 512},
  [8716] = {.lex_state = 312},
  [8717] = {.lex_state = 237},
  [8718] = {.lex_state = 12},
  [8719] = {.lex_state = 516},
  [8720] = {.lex_state = 268},
  [8721] = {.lex_state = 516},
  [8722] = {.lex_state = 237},
  [8723] = {.lex_state = 512},
  [8724] = {.lex_state = 512},
  [8725] = {.lex_state = 512},
  [8726] = {.lex_state = 237},
  [8727] = {.lex_state = 12},
  [8728] = {.lex_state = 312},
  [8729] = {.lex_state = 237},
  [8730] = {.lex_state = 312},
  [8731] = {.lex_state = 312},
  [8732] = {.lex_state = 312},
  [8733] = {.lex_state = 312},
  [8734] = {.lex_state = 312},
  [8735] = {.lex_state = 12},
  [8736] = {.lex_state = 312},
  [8737] = {.lex_state = 512},
  [8738] = {.lex_state = 512},
  [8739] = {.lex_state = 312},
  [8740] = {.lex_state = 8},
  [8741] = {.lex_state = 312},
  [8742] = {.lex_state = 312},
  [8743] = {.lex_state = 312},
  [8744] = {.lex_state = 17},
  [8745] = {.lex_state = 127},
  [8746] = {.lex_state = 312},
  [8747] = {.lex_state = 17},
  [8748] = {.lex_state = 237},
  [8749] = {.lex_state = 512},
  [8750] = {.lex_state = 312},
  [8751] = {.lex_state = 12},
  [8752] = {.lex_state = 516},
  [8753] = {.lex_state = 312},
  [8754] = {.lex_state = 12},
  [8755] = {.lex_state = 312},
  [8756] = {.lex_state = 312},
  [8757] = {.lex_state = 12},
  [8758] = {.lex_state = 12},
  [8759] = {.lex_state = 12},
  [8760] = {.lex_state = 12},
  [8761] = {.lex_state = 12},
  [8762] = {.lex_state = 12},
  [8763] = {.lex_state = 312},
  [8764] = {.lex_state = 312},
  [8765] = {.lex_state = 312},
  [8766] = {.lex_state = 312},
  [8767] = {.lex_state = 312},
  [8768] = {.lex_state = 12},
  [8769] = {.lex_state = 312},
  [8770] = {.lex_state = 312},
  [8771] = {.lex_state = 312},
  [8772] = {.lex_state = 512},
  [8773] = {.lex_state = 512},
  [8774] = {.lex_state = 12},
  [8775] = {.lex_state = 12},
  [8776] = {.lex_state = 516},
  [8777] = {.lex_state = 512},
  [8778] = {.lex_state = 12},
  [8779] = {.lex_state = 12},
  [8780] = {.lex_state = 312},
  [8781] = {.lex_state = 512},
  [8782] = {.lex_state = 312},
  [8783] = {.lex_state = 312},
  [8784] = {.lex_state = 312},
  [8785] = {.lex_state = 516},
  [8786] = {.lex_state = 318, .external_lex_state = 3},
  [8787] = {.lex_state = 12},
  [8788] = {.lex_state = 512},
  [8789] = {.lex_state = 12},
  [8790] = {.lex_state = 17},
  [8791] = {.lex_state = 312},
  [8792] = {.lex_state = 312},
  [8793] = {.lex_state = 312},
  [8794] = {.lex_state = 237},
  [8795] = {.lex_state = 512},
  [8796] = {.lex_state = 312},
  [8797] = {.lex_state = 312},
  [8798] = {.lex_state = 237},
  [8799] = {.lex_state = 312},
  [8800] = {.lex_state = 312},
  [8801] = {.lex_state = 312},
  [8802] = {.lex_state = 312},
  [8803] = {.lex_state = 312},
  [8804] = {.lex_state = 12},
  [8805] = {.lex_state = 312},
  [8806] = {.lex_state = 312},
  [8807] = {.lex_state = 312},
  [8808] = {.lex_state = 312},
  [8809] = {.lex_state = 312},
  [8810] = {.lex_state = 17},
  [8811] = {.lex_state = 12},
  [8812] = {.lex_state = 312},
  [8813] = {.lex_state = 312},
  [8814] = {.lex_state = 312},
  [8815] = {.lex_state = 127},
  [8816] = {.lex_state = 312},
  [8817] = {.lex_state = 312},
  [8818] = {.lex_state = 312},
  [8819] = {.lex_state = 312},
  [8820] = {.lex_state = 237},
  [8821] = {.lex_state = 312},
  [8822] = {.lex_state = 312},
  [8823] = {.lex_state = 312},
  [8824] = {.lex_state = 312},
  [8825] = {.lex_state = 312},
  [8826] = {.lex_state = 312},
  [8827] = {.lex_state = 312},
  [8828] = {.lex_state = 312},
  [8829] = {.lex_state = 312},
  [8830] = {.lex_state = 312},
  [8831] = {.lex_state = 312},
  [8832] = {.lex_state = 312},
  [8833] = {.lex_state = 312},
  [8834] = {.lex_state = 312},
  [8835] = {.lex_state = 312},
  [8836] = {.lex_state = 17},
  [8837] = {.lex_state = 312},
  [8838] = {.lex_state = 312},
  [8839] = {.lex_state = 12},
  [8840] = {.lex_state = 512},
  [8841] = {.lex_state = 512},
  [8842] = {.lex_state = 512},
  [8843] = {.lex_state = 312},
  [8844] = {.lex_state = 516},
  [8845] = {.lex_state = 512},
  [8846] = {.lex_state = 12},
  [8847] = {.lex_state = 312},
  [8848] = {.lex_state = 261},
  [8849] = {.lex_state = 12},
  [8850] = {.lex_state = 312},
  [8851] = {.lex_state = 17},
  [8852] = {.lex_state = 312},
  [8853] = {.lex_state = 312},
  [8854] = {.lex_state = 312},
  [8855] = {.lex_state = 312},
  [8856] = {.lex_state = 512},
  [8857] = {.lex_state = 312},
  [8858] = {.lex_state = 17},
  [8859] = {.lex_state = 12},
  [8860] = {.lex_state = 12},
  [8861] = {.lex_state = 12},
  [8862] = {.lex_state = 312},
  [8863] = {.lex_state = 312},
  [8864] = {.lex_state = 312},
  [8865] = {.lex_state = 312},
  [8866] = {.lex_state = 312},
  [8867] = {.lex_state = 312},
  [8868] = {.lex_state = 312},
  [8869] = {.lex_state = 312},
  [8870] = {.lex_state = 312},
  [8871] = {.lex_state = 312},
  [8872] = {.lex_state = 312},
  [8873] = {.lex_state = 12},
  [8874] = {.lex_state = 527},
  [8875] = {.lex_state = 17},
  [8876] = {.lex_state = 17},
  [8877] = {.lex_state = 17},
  [8878] = {.lex_state = 312},
  [8879] = {.lex_state = 12},
  [8880] = {.lex_state = 315},
  [8881] = {.lex_state = 312},
  [8882] = {.lex_state = 12},
  [8883] = {.lex_state = 12},
  [8884] = {.lex_state = 4},
  [8885] = {.lex_state = 4},
  [8886] = {.lex_state = 237},
  [8887] = {.lex_state = 12},
  [8888] = {.lex_state = 12},
  [8889] = {.lex_state = 12},
  [8890] = {.lex_state = 312},
  [8891] = {.lex_state = 237},
  [8892] = {.lex_state = 237},
  [8893] = {.lex_state = 237},
  [8894] = {.lex_state = 77},
  [8895] = {.lex_state = 12},
  [8896] = {.lex_state = 12},
  [8897] = {.lex_state = 4},
  [8898] = {.lex_state = 312},
  [8899] = {.lex_state = 68},
  [8900] = {.lex_state = 312},
  [8901] = {.lex_state = 256},
  [8902] = {.lex_state = 312},
  [8903] = {.lex_state = 312},
  [8904] = {.lex_state = 312},
  [8905] = {.lex_state = 312},
  [8906] = {.lex_state = 237},
  [8907] = {.lex_state = 12},
  [8908] = {.lex_state = 312},
  [8909] = {.lex_state = 17},
  [8910] = {.lex_state = 12},
  [8911] = {.lex_state = 17},
  [8912] = {.lex_state = 4},
  [8913] = {.lex_state = 4},
  [8914] = {.lex_state = 4},
  [8915] = {.lex_state = 4},
  [8916] = {.lex_state = 4},
  [8917] = {.lex_state = 4},
  [8918] = {.lex_state = 4},
  [8919] = {.lex_state = 4},
  [8920] = {.lex_state = 4},
  [8921] = {.lex_state = 4},
  [8922] = {.lex_state = 4},
  [8923] = {.lex_state = 12},
  [8924] = {.lex_state = 312},
  [8925] = {.lex_state = 516, .external_lex_state = 4},
  [8926] = {.lex_state = 512},
  [8927] = {.lex_state = 17},
  [8928] = {.lex_state = 17},
  [8929] = {.lex_state = 12},
  [8930] = {.lex_state = 12},
  [8931] = {.lex_state = 17},
  [8932] = {.lex_state = 17},
  [8933] = {.lex_state = 17},
  [8934] = {.lex_state = 17},
  [8935] = {.lex_state = 17},
  [8936] = {.lex_state = 17},
  [8937] = {.lex_state = 17},
  [8938] = {.lex_state = 12},
  [8939] = {.lex_state = 17},
  [8940] = {.lex_state = 17},
  [8941] = {.lex_state = 17},
  [8942] = {.lex_state = 12},
  [8943] = {.lex_state = 237},
  [8944] = {.lex_state = 12},
  [8945] = {.lex_state = 17},
  [8946] = {.lex_state = 312},
  [8947] = {.lex_state = 512},
  [8948] = {.lex_state = 512},
  [8949] = {.lex_state = 312},
  [8950] = {.lex_state = 312},
  [8951] = {.lex_state = 12},
  [8952] = {.lex_state = 17},
  [8953] = {.lex_state = 512},
  [8954] = {.lex_state = 12},
  [8955] = {.lex_state = 17},
  [8956] = {.lex_state = 17},
  [8957] = {.lex_state = 17},
  [8958] = {.lex_state = 512},
  [8959] = {.lex_state = 512},
  [8960] = {.lex_state = 12},
  [8961] = {.lex_state = 512},
  [8962] = {.lex_state = 12},
  [8963] = {.lex_state = 512},
  [8964] = {.lex_state = 512},
  [8965] = {.lex_state = 512},
  [8966] = {.lex_state = 12},
  [8967] = {.lex_state = 237},
  [8968] = {.lex_state = 312},
  [8969] = {.lex_state = 237},
  [8970] = {.lex_state = 237},
  [8971] = {.lex_state = 12},
  [8972] = {.lex_state = 17},
  [8973] = {.lex_state = 237},
  [8974] = {.lex_state = 12},
  [8975] = {.lex_state = 17},
  [8976] = {.lex_state = 17},
  [8977] = {.lex_state = 17},
  [8978] = {.lex_state = 17},
  [8979] = {.lex_state = 516},
  [8980] = {.lex_state = 17},
  [8981] = {.lex_state = 17},
  [8982] = {.lex_state = 17},
  [8983] = {.lex_state = 17},
  [8984] = {.lex_state = 17},
  [8985] = {.lex_state = 17},
  [8986] = {.lex_state = 17},
  [8987] = {.lex_state = 17},
  [8988] = {.lex_state = 512},
  [8989] = {.lex_state = 12},
  [8990] = {.lex_state = 516},
  [8991] = {.lex_state = 516},
  [8992] = {.lex_state = 12},
  [8993] = {.lex_state = 12},
  [8994] = {.lex_state = 12},
  [8995] = {.lex_state = 12},
  [8996] = {.lex_state = 261},
  [8997] = {.lex_state = 237},
  [8998] = {.lex_state = 312},
  [8999] = {.lex_state = 312},
  [9000] = {.lex_state = 512},
  [9001] = {.lex_state = 237},
  [9002] = {.lex_state = 17},
  [9003] = {.lex_state = 4},
  [9004] = {.lex_state = 516},
  [9005] = {.lex_state = 12},
  [9006] = {.lex_state = 516},
  [9007] = {.lex_state = 516},
  [9008] = {.lex_state = 516},
  [9009] = {.lex_state = 12},
  [9010] = {.lex_state = 8},
  [9011] = {.lex_state = 8},
  [9012] = {.lex_state = 12},
  [9013] = {.lex_state = 12},
  [9014] = {.lex_state = 12},
  [9015] = {.lex_state = 12},
  [9016] = {.lex_state = 516},
  [9017] = {.lex_state = 8},
  [9018] = {.lex_state = 8},
  [9019] = {.lex_state = 12},
  [9020] = {.lex_state = 12},
  [9021] = {.lex_state = 12},
  [9022] = {.lex_state = 12},
  [9023] = {.lex_state = 516},
  [9024] = {.lex_state = 12},
  [9025] = {.lex_state = 12},
  [9026] = {.lex_state = 512},
  [9027] = {.lex_state = 512},
  [9028] = {.lex_state = 17},
  [9029] = {.lex_state = 512},
  [9030] = {.lex_state = 512},
  [9031] = {.lex_state = 312},
  [9032] = {.lex_state = 237},
  [9033] = {.lex_state = 12},
  [9034] = {.lex_state = 512},
  [9035] = {.lex_state = 312},
  [9036] = {.lex_state = 516},
  [9037] = {.lex_state = 12},
  [9038] = {.lex_state = 12},
  [9039] = {.lex_state = 12},
  [9040] = {.lex_state = 516},
  [9041] = {.lex_state = 17},
  [9042] = {.lex_state = 312},
  [9043] = {.lex_state = 12},
  [9044] = {.lex_state = 12},
  [9045] = {.lex_state = 17},
  [9046] = {.lex_state = 12},
  [9047] = {.lex_state = 12},
  [9048] = {.lex_state = 237},
  [9049] = {.lex_state = 12},
  [9050] = {.lex_state = 12},
  [9051] = {.lex_state = 340},
  [9052] = {.lex_state = 512},
  [9053] = {.lex_state = 237},
  [9054] = {.lex_state = 516},
  [9055] = {.lex_state = 127},
  [9056] = {.lex_state = 8},
  [9057] = {.lex_state = 8},
  [9058] = {.lex_state = 516, .external_lex_state = 4},
  [9059] = {.lex_state = 12},
  [9060] = {.lex_state = 17},
  [9061] = {.lex_state = 17},
  [9062] = {.lex_state = 17},
  [9063] = {.lex_state = 12},
  [9064] = {.lex_state = 17},
  [9065] = {.lex_state = 512},
  [9066] = {.lex_state = 12},
  [9067] = {.lex_state = 12},
  [9068] = {.lex_state = 17},
  [9069] = {.lex_state = 8},
  [9070] = {.lex_state = 8},
  [9071] = {.lex_state = 17},
  [9072] = {.lex_state = 17},
  [9073] = {.lex_state = 12},
  [9074] = {.lex_state = 17},
  [9075] = {.lex_state = 17},
  [9076] = {.lex_state = 17},
  [9077] = {.lex_state = 17},
  [9078] = {.lex_state = 17},
  [9079] = {.lex_state = 17},
  [9080] = {.lex_state = 17},
  [9081] = {.lex_state = 516},
  [9082] = {.lex_state = 512},
  [9083] = {.lex_state = 17},
  [9084] = {.lex_state = 17},
  [9085] = {.lex_state = 12},
  [9086] = {.lex_state = 12},
  [9087] = {.lex_state = 17},
  [9088] = {.lex_state = 17},
  [9089] = {.lex_state = 12},
  [9090] = {.lex_state = 261},
  [9091] = {.lex_state = 516},
  [9092] = {.lex_state = 12},
  [9093] = {.lex_state = 512},
  [9094] = {.lex_state = 516},
  [9095] = {.lex_state = 516},
  [9096] = {.lex_state = 516},
  [9097] = {.lex_state = 17},
  [9098] = {.lex_state = 17},
  [9099] = {.lex_state = 17},
  [9100] = {.lex_state = 12},
  [9101] = {.lex_state = 17},
  [9102] = {.lex_state = 17},
  [9103] = {.lex_state = 516},
  [9104] = {.lex_state = 516},
  [9105] = {.lex_state = 12},
  [9106] = {.lex_state = 516},
  [9107] = {.lex_state = 516},
  [9108] = {.lex_state = 516},
  [9109] = {.lex_state = 12},
  [9110] = {.lex_state = 17},
  [9111] = {.lex_state = 17},
  [9112] = {.lex_state = 17},
  [9113] = {.lex_state = 17},
  [9114] = {.lex_state = 17},
  [9115] = {.lex_state = 17},
  [9116] = {.lex_state = 17},
  [9117] = {.lex_state = 516},
  [9118] = {.lex_state = 17},
  [9119] = {.lex_state = 516},
  [9120] = {.lex_state = 512},
  [9121] = {.lex_state = 516},
  [9122] = {.lex_state = 516},
  [9123] = {.lex_state = 17},
  [9124] = {.lex_state = 516},
  [9125] = {.lex_state = 516},
  [9126] = {.lex_state = 516},
  [9127] = {.lex_state = 516},
  [9128] = {.lex_state = 12},
  [9129] = {.lex_state = 17},
  [9130] = {.lex_state = 17},
  [9131] = {.lex_state = 8},
  [9132] = {.lex_state = 12},
  [9133] = {.lex_state = 516},
  [9134] = {.lex_state = 516},
  [9135] = {.lex_state = 17},
  [9136] = {.lex_state = 516},
  [9137] = {.lex_state = 516},
  [9138] = {.lex_state = 516},
  [9139] = {.lex_state = 516},
  [9140] = {.lex_state = 516},
  [9141] = {.lex_state = 516},
  [9142] = {.lex_state = 512},
  [9143] = {.lex_state = 512},
  [9144] = {.lex_state = 516},
  [9145] = {.lex_state = 516},
  [9146] = {.lex_state = 516},
  [9147] = {.lex_state = 516},
  [9148] = {.lex_state = 516},
  [9149] = {.lex_state = 516},
  [9150] = {.lex_state = 512},
  [9151] = {.lex_state = 516},
  [9152] = {.lex_state = 12},
  [9153] = {.lex_state = 17},
  [9154] = {.lex_state = 12},
  [9155] = {.lex_state = 512},
  [9156] = {.lex_state = 237},
  [9157] = {.lex_state = 512},
  [9158] = {.lex_state = 17},
  [9159] = {.lex_state = 17},
  [9160] = {.lex_state = 512},
  [9161] = {.lex_state = 17},
  [9162] = {.lex_state = 17},
  [9163] = {.lex_state = 17},
  [9164] = {.lex_state = 17},
  [9165] = {.lex_state = 17},
  [9166] = {.lex_state = 17},
  [9167] = {.lex_state = 17},
  [9168] = {.lex_state = 17},
  [9169] = {.lex_state = 17},
  [9170] = {.lex_state = 17},
  [9171] = {.lex_state = 17},
  [9172] = {.lex_state = 237},
  [9173] = {.lex_state = 237},
  [9174] = {.lex_state = 17},
  [9175] = {.lex_state = 8},
  [9176] = {.lex_state = 8},
  [9177] = {.lex_state = 8},
  [9178] = {.lex_state = 8},
  [9179] = {.lex_state = 8},
  [9180] = {.lex_state = 8},
  [9181] = {.lex_state = 8},
  [9182] = {.lex_state = 516, .external_lex_state = 4},
  [9183] = {.lex_state = 17},
  [9184] = {.lex_state = 516, .external_lex_state = 4},
  [9185] = {.lex_state = 17},
  [9186] = {.lex_state = 237},
  [9187] = {.lex_state = 237},
  [9188] = {.lex_state = 17},
  [9189] = {.lex_state = 237},
  [9190] = {.lex_state = 17},
  [9191] = {.lex_state = 17},
  [9192] = {.lex_state = 17},
  [9193] = {.lex_state = 17},
  [9194] = {.lex_state = 237},
  [9195] = {.lex_state = 17},
  [9196] = {.lex_state = 512},
  [9197] = {.lex_state = 237},
  [9198] = {.lex_state = 17},
  [9199] = {.lex_state = 237},
  [9200] = {.lex_state = 237},
  [9201] = {.lex_state = 237},
  [9202] = {.lex_state = 237},
  [9203] = {.lex_state = 512},
  [9204] = {.lex_state = 237},
  [9205] = {.lex_state = 336},
  [9206] = {.lex_state = 512},
  [9207] = {.lex_state = 336},
  [9208] = {.lex_state = 512},
  [9209] = {.lex_state = 512},
  [9210] = {.lex_state = 512},
  [9211] = {.lex_state = 516},
  [9212] = {.lex_state = 512},
  [9213] = {.lex_state = 237},
  [9214] = {.lex_state = 237},
  [9215] = {.lex_state = 318, .external_lex_state = 5},
  [9216] = {.lex_state = 8},
  [9217] = {.lex_state = 8},
  [9218] = {.lex_state = 8},
  [9219] = {.lex_state = 8},
  [9220] = {.lex_state = 8},
  [9221] = {.lex_state = 8},
  [9222] = {.lex_state = 8},
  [9223] = {.lex_state = 336},
  [9224] = {.lex_state = 336},
  [9225] = {.lex_state = 237},
  [9226] = {.lex_state = 237},
  [9227] = {.lex_state = 237},
  [9228] = {.lex_state = 17},
  [9229] = {.lex_state = 17},
  [9230] = {.lex_state = 17},
  [9231] = {.lex_state = 17},
  [9232] = {.lex_state = 17},
  [9233] = {.lex_state = 17},
  [9234] = {.lex_state = 17},
  [9235] = {.lex_state = 17},
  [9236] = {.lex_state = 17},
  [9237] = {.lex_state = 17},
  [9238] = {.lex_state = 17},
  [9239] = {.lex_state = 17},
  [9240] = {.lex_state = 4},
  [9241] = {.lex_state = 4},
  [9242] = {.lex_state = 12},
  [9243] = {.lex_state = 237},
  [9244] = {.lex_state = 312},
  [9245] = {.lex_state = 516, .external_lex_state = 4},
  [9246] = {.lex_state = 318, .external_lex_state = 5},
  [9247] = {.lex_state = 237},
  [9248] = {.lex_state = 512},
  [9249] = {.lex_state = 312},
  [9250] = {.lex_state = 516, .external_lex_state = 4},
  [9251] = {.lex_state = 8},
  [9252] = {.lex_state = 8},
  [9253] = {.lex_state = 8},
  [9254] = {.lex_state = 8},
  [9255] = {.lex_state = 8},
  [9256] = {.lex_state = 8},
  [9257] = {.lex_state = 8},
  [9258] = {.lex_state = 237},
  [9259] = {.lex_state = 237},
  [9260] = {.lex_state = 8},
  [9261] = {.lex_state = 8},
  [9262] = {.lex_state = 8},
  [9263] = {.lex_state = 8},
  [9264] = {.lex_state = 8},
  [9265] = {.lex_state = 8},
  [9266] = {.lex_state = 4},
  [9267] = {.lex_state = 516},
  [9268] = {.lex_state = 237},
  [9269] = {.lex_state = 237},
  [9270] = {.lex_state = 237},
  [9271] = {.lex_state = 516},
  [9272] = {.lex_state = 516},
  [9273] = {.lex_state = 336},
  [9274] = {.lex_state = 237},
  [9275] = {.lex_state = 237},
  [9276] = {.lex_state = 237},
  [9277] = {.lex_state = 237},
  [9278] = {.lex_state = 237},
  [9279] = {.lex_state = 516},
  [9280] = {.lex_state = 516},
  [9281] = {.lex_state = 516},
  [9282] = {.lex_state = 516},
  [9283] = {.lex_state = 516},
  [9284] = {.lex_state = 516},
  [9285] = {.lex_state = 516},
  [9286] = {.lex_state = 516},
  [9287] = {.lex_state = 336},
  [9288] = {.lex_state = 516},
  [9289] = {.lex_state = 516},
  [9290] = {.lex_state = 336},
  [9291] = {.lex_state = 237},
  [9292] = {.lex_state = 516},
  [9293] = {.lex_state = 516},
  [9294] = {.lex_state = 516},
  [9295] = {.lex_state = 516},
  [9296] = {.lex_state = 17},
  [9297] = {.lex_state = 336},
  [9298] = {.lex_state = 516},
  [9299] = {.lex_state = 8},
  [9300] = {.lex_state = 516},
  [9301] = {.lex_state = 336},
  [9302] = {.lex_state = 336},
  [9303] = {.lex_state = 516},
  [9304] = {.lex_state = 336},
  [9305] = {.lex_state = 516},
  [9306] = {.lex_state = 516},
  [9307] = {.lex_state = 312},
  [9308] = {.lex_state = 312},
  [9309] = {.lex_state = 312},
  [9310] = {.lex_state = 336},
  [9311] = {.lex_state = 312},
  [9312] = {.lex_state = 312},
  [9313] = {.lex_state = 312},
  [9314] = {.lex_state = 312},
  [9315] = {.lex_state = 312},
  [9316] = {.lex_state = 312},
  [9317] = {.lex_state = 312},
  [9318] = {.lex_state = 312},
  [9319] = {.lex_state = 312},
  [9320] = {.lex_state = 8},
  [9321] = {.lex_state = 512},
  [9322] = {.lex_state = 8},
  [9323] = {.lex_state = 8},
  [9324] = {.lex_state = 8},
  [9325] = {.lex_state = 516},
  [9326] = {.lex_state = 336},
  [9327] = {.lex_state = 8},
  [9328] = {.lex_state = 8},
  [9329] = {.lex_state = 516},
  [9330] = {.lex_state = 516},
  [9331] = {.lex_state = 516},
  [9332] = {.lex_state = 336},
  [9333] = {.lex_state = 516},
  [9334] = {.lex_state = 336},
  [9335] = {.lex_state = 516},
  [9336] = {.lex_state = 8},
  [9337] = {.lex_state = 516},
  [9338] = {.lex_state = 8},
  [9339] = {.lex_state = 516, .external_lex_state = 4},
  [9340] = {.lex_state = 516},
  [9341] = {.lex_state = 516},
  [9342] = {.lex_state = 516},
  [9343] = {.lex_state = 516},
  [9344] = {.lex_state = 516},
  [9345] = {.lex_state = 8},
  [9346] = {.lex_state = 516},
  [9347] = {.lex_state = 516},
  [9348] = {.lex_state = 336},
  [9349] = {.lex_state = 131},
  [9350] = {.lex_state = 336},
  [9351] = {.lex_state = 336},
  [9352] = {.lex_state = 516},
  [9353] = {.lex_state = 336},
  [9354] = {.lex_state = 336},
  [9355] = {.lex_state = 336},
  [9356] = {.lex_state = 516},
  [9357] = {.lex_state = 8},
  [9358] = {.lex_state = 516},
  [9359] = {.lex_state = 336},
  [9360] = {.lex_state = 336},
  [9361] = {.lex_state = 312},
  [9362] = {.lex_state = 527},
  [9363] = {.lex_state = 512, .external_lex_state = 4},
  [9364] = {.lex_state = 8},
  [9365] = {.lex_state = 8},
  [9366] = {.lex_state = 516},
  [9367] = {.lex_state = 17},
  [9368] = {.lex_state = 12},
  [9369] = {.lex_state = 12},
  [9370] = {.lex_state = 516},
  [9371] = {.lex_state = 516},
  [9372] = {.lex_state = 516},
  [9373] = {.lex_state = 516},
  [9374] = {.lex_state = 516},
  [9375] = {.lex_state = 516},
  [9376] = {.lex_state = 516},
  [9377] = {.lex_state = 516},
  [9378] = {.lex_state = 516},
  [9379] = {.lex_state = 516},
  [9380] = {.lex_state = 516},
  [9381] = {.lex_state = 516},
  [9382] = {.lex_state = 516},
  [9383] = {.lex_state = 516},
  [9384] = {.lex_state = 516},
  [9385] = {.lex_state = 516},
  [9386] = {.lex_state = 516},
  [9387] = {.lex_state = 516},
  [9388] = {.lex_state = 516},
  [9389] = {.lex_state = 516},
  [9390] = {.lex_state = 312},
  [9391] = {.lex_state = 516},
  [9392] = {.lex_state = 336},
  [9393] = {.lex_state = 512},
  [9394] = {.lex_state = 516},
  [9395] = {.lex_state = 336},
  [9396] = {.lex_state = 336},
  [9397] = {.lex_state = 336},
  [9398] = {.lex_state = 336},
  [9399] = {.lex_state = 516},
  [9400] = {.lex_state = 312},
  [9401] = {.lex_state = 336},
  [9402] = {.lex_state = 516},
  [9403] = {.lex_state = 312},
  [9404] = {.lex_state = 237},
  [9405] = {.lex_state = 8},
  [9406] = {.lex_state = 336},
  [9407] = {.lex_state = 336},
  [9408] = {.lex_state = 237},
  [9409] = {.lex_state = 336},
  [9410] = {.lex_state = 336},
  [9411] = {.lex_state = 516},
  [9412] = {.lex_state = 336},
  [9413] = {.lex_state = 516},
  [9414] = {.lex_state = 8},
  [9415] = {.lex_state = 516},
  [9416] = {.lex_state = 17},
  [9417] = {.lex_state = 261},
  [9418] = {.lex_state = 516},
  [9419] = {.lex_state = 516},
  [9420] = {.lex_state = 516},
  [9421] = {.lex_state = 516},
  [9422] = {.lex_state = 516},
  [9423] = {.lex_state = 8},
  [9424] = {.lex_state = 341},
  [9425] = {.lex_state = 516},
  [9426] = {.lex_state = 17},
  [9427] = {.lex_state = 516},
  [9428] = {.lex_state = 319},
  [9429] = {.lex_state = 17},
  [9430] = {.lex_state = 17},
  [9431] = {.lex_state = 17},
  [9432] = {.lex_state = 17},
  [9433] = {.lex_state = 17},
  [9434] = {.lex_state = 17},
  [9435] = {.lex_state = 237},
  [9436] = {.lex_state = 17},
  [9437] = {.lex_state = 516},
  [9438] = {.lex_state = 312},
  [9439] = {.lex_state = 17},
  [9440] = {.lex_state = 8},
  [9441] = {.lex_state = 516},
  [9442] = {.lex_state = 516},
  [9443] = {.lex_state = 12},
  [9444] = {.lex_state = 8},
  [9445] = {.lex_state = 17},
  [9446] = {.lex_state = 516},
  [9447] = {.lex_state = 516},
  [9448] = {.lex_state = 336},
  [9449] = {.lex_state = 237},
  [9450] = {.lex_state = 17},
  [9451] = {.lex_state = 17},
  [9452] = {.lex_state = 17},
  [9453] = {.lex_state = 17},
  [9454] = {.lex_state = 12},
  [9455] = {.lex_state = 336},
  [9456] = {.lex_state = 516},
  [9457] = {.lex_state = 516},
  [9458] = {.lex_state = 516},
  [9459] = {.lex_state = 512},
  [9460] = {.lex_state = 516},
  [9461] = {.lex_state = 512},
  [9462] = {.lex_state = 12},
  [9463] = {.lex_state = 512},
  [9464] = {.lex_state = 527},
  [9465] = {.lex_state = 512, .external_lex_state = 4},
  [9466] = {.lex_state = 237},
  [9467] = {.lex_state = 261},
  [9468] = {.lex_state = 516},
  [9469] = {.lex_state = 336},
  [9470] = {.lex_state = 516},
  [9471] = {.lex_state = 336},
  [9472] = {.lex_state = 516},
  [9473] = {.lex_state = 336},
  [9474] = {.lex_state = 516},
  [9475] = {.lex_state = 516},
  [9476] = {.lex_state = 512},
  [9477] = {.lex_state = 516},
  [9478] = {.lex_state = 133},
  [9479] = {.lex_state = 336},
  [9480] = {.lex_state = 516},
  [9481] = {.lex_state = 516},
  [9482] = {.lex_state = 516},
  [9483] = {.lex_state = 516},
  [9484] = {.lex_state = 516},
  [9485] = {.lex_state = 516},
  [9486] = {.lex_state = 12},
  [9487] = {.lex_state = 516},
  [9488] = {.lex_state = 516},
  [9489] = {.lex_state = 516},
  [9490] = {.lex_state = 336},
  [9491] = {.lex_state = 516},
  [9492] = {.lex_state = 516},
  [9493] = {.lex_state = 516},
  [9494] = {.lex_state = 527},
  [9495] = {.lex_state = 336},
  [9496] = {.lex_state = 516},
  [9497] = {.lex_state = 516},
  [9498] = {.lex_state = 336},
  [9499] = {.lex_state = 516},
  [9500] = {.lex_state = 336},
  [9501] = {.lex_state = 516},
  [9502] = {.lex_state = 516},
  [9503] = {.lex_state = 318},
  [9504] = {.lex_state = 318},
  [9505] = {.lex_state = 516},
  [9506] = {.lex_state = 516},
  [9507] = {.lex_state = 516},
  [9508] = {.lex_state = 512},
  [9509] = {.lex_state = 516},
  [9510] = {.lex_state = 516},
  [9511] = {.lex_state = 318},
  [9512] = {.lex_state = 318},
  [9513] = {.lex_state = 336},
  [9514] = {.lex_state = 512},
  [9515] = {.lex_state = 516},
  [9516] = {.lex_state = 512},
  [9517] = {.lex_state = 512},
  [9518] = {.lex_state = 512},
  [9519] = {.lex_state = 512},
  [9520] = {.lex_state = 512},
  [9521] = {.lex_state = 512},
  [9522] = {.lex_state = 527},
  [9523] = {.lex_state = 261},
  [9524] = {.lex_state = 261},
  [9525] = {.lex_state = 312},
  [9526] = {.lex_state = 512},
  [9527] = {.lex_state = 336},
  [9528] = {.lex_state = 516},
  [9529] = {.lex_state = 512},
  [9530] = {.lex_state = 512},
  [9531] = {.lex_state = 512},
  [9532] = {.lex_state = 516},
  [9533] = {.lex_state = 512},
  [9534] = {.lex_state = 516},
  [9535] = {.lex_state = 512},
  [9536] = {.lex_state = 516},
  [9537] = {.lex_state = 12},
  [9538] = {.lex_state = 516},
  [9539] = {.lex_state = 12},
  [9540] = {.lex_state = 516},
  [9541] = {.lex_state = 12},
  [9542] = {.lex_state = 12},
  [9543] = {.lex_state = 12},
  [9544] = {.lex_state = 12},
  [9545] = {.lex_state = 12},
  [9546] = {.lex_state = 12},
  [9547] = {.lex_state = 12},
  [9548] = {.lex_state = 516},
  [9549] = {.lex_state = 12},
  [9550] = {.lex_state = 12},
  [9551] = {.lex_state = 12},
  [9552] = {.lex_state = 336},
  [9553] = {.lex_state = 237},
  [9554] = {.lex_state = 336},
  [9555] = {.lex_state = 336},
  [9556] = {.lex_state = 336},
  [9557] = {.lex_state = 336},
  [9558] = {.lex_state = 516},
  [9559] = {.lex_state = 336},
  [9560] = {.lex_state = 516},
  [9561] = {.lex_state = 516},
  [9562] = {.lex_state = 516},
  [9563] = {.lex_state = 516},
  [9564] = {.lex_state = 336},
  [9565] = {.lex_state = 516},
  [9566] = {.lex_state = 336},
  [9567] = {.lex_state = 237},
  [9568] = {.lex_state = 336},
  [9569] = {.lex_state = 516},
  [9570] = {.lex_state = 336},
  [9571] = {.lex_state = 516},
  [9572] = {.lex_state = 516},
  [9573] = {.lex_state = 312},
  [9574] = {.lex_state = 237},
  [9575] = {.lex_state = 237},
  [9576] = {.lex_state = 17},
  [9577] = {.lex_state = 318},
  [9578] = {.lex_state = 516},
  [9579] = {.lex_state = 135},
  [9580] = {.lex_state = 516},
  [9581] = {.lex_state = 516},
  [9582] = {.lex_state = 318},
  [9583] = {.lex_state = 516},
  [9584] = {.lex_state = 516},
  [9585] = {.lex_state = 516},
  [9586] = {.lex_state = 516},
  [9587] = {.lex_state = 318, .external_lex_state = 4},
  [9588] = {.lex_state = 137},
  [9589] = {.lex_state = 516},
  [9590] = {.lex_state = 516},
  [9591] = {.lex_state = 516},
  [9592] = {.lex_state = 516},
  [9593] = {.lex_state = 516},
  [9594] = {.lex_state = 516},
  [9595] = {.lex_state = 516},
  [9596] = {.lex_state = 318},
  [9597] = {.lex_state = 318},
  [9598] = {.lex_state = 318},
  [9599] = {.lex_state = 516},
  [9600] = {.lex_state = 342},
  [9601] = {.lex_state = 318},
  [9602] = {.lex_state = 318},
  [9603] = {.lex_state = 318},
  [9604] = {.lex_state = 318},
  [9605] = {.lex_state = 336},
  [9606] = {.lex_state = 512},
  [9607] = {.lex_state = 318},
  [9608] = {.lex_state = 318},
  [9609] = {.lex_state = 512},
  [9610] = {.lex_state = 516},
  [9611] = {.lex_state = 318},
  [9612] = {.lex_state = 318},
  [9613] = {.lex_state = 527},
  [9614] = {.lex_state = 318},
  [9615] = {.lex_state = 318},
  [9616] = {.lex_state = 516},
  [9617] = {.lex_state = 318},
  [9618] = {.lex_state = 512},
  [9619] = {.lex_state = 512},
  [9620] = {.lex_state = 512},
  [9621] = {.lex_state = 512},
  [9622] = {.lex_state = 512},
  [9623] = {.lex_state = 512},
  [9624] = {.lex_state = 512},
  [9625] = {.lex_state = 512},
  [9626] = {.lex_state = 512},
  [9627] = {.lex_state = 512},
  [9628] = {.lex_state = 512},
  [9629] = {.lex_state = 512},
  [9630] = {.lex_state = 336},
  [9631] = {.lex_state = 516},
  [9632] = {.lex_state = 516},
  [9633] = {.lex_state = 318},
  [9634] = {.lex_state = 512},
  [9635] = {.lex_state = 318},
  [9636] = {.lex_state = 318},
  [9637] = {.lex_state = 318},
  [9638] = {.lex_state = 318},
  [9639] = {.lex_state = 318, .external_lex_state = 4},
  [9640] = {.lex_state = 318},
  [9641] = {.lex_state = 321},
  [9642] = {.lex_state = 318},
  [9643] = {.lex_state = 512},
  [9644] = {.lex_state = 318},
  [9645] = {.lex_state = 318, .external_lex_state = 4},
  [9646] = {.lex_state = 318},
  [9647] = {.lex_state = 318},
  [9648] = {.lex_state = 318},
  [9649] = {.lex_state = 321},
  [9650] = {.lex_state = 336},
  [9651] = {.lex_state = 516},
  [9652] = {.lex_state = 318},
  [9653] = {.lex_state = 516},
  [9654] = {.lex_state = 516},
  [9655] = {.lex_state = 261},
  [9656] = {.lex_state = 512},
  [9657] = {.lex_state = 261},
  [9658] = {.lex_state = 336},
  [9659] = {.lex_state = 318},
  [9660] = {.lex_state = 516},
  [9661] = {.lex_state = 318},
  [9662] = {.lex_state = 516},
  [9663] = {.lex_state = 318},
  [9664] = {.lex_state = 318},
  [9665] = {.lex_state = 318},
  [9666] = {.lex_state = 318},
  [9667] = {.lex_state = 512},
  [9668] = {.lex_state = 318},
  [9669] = {.lex_state = 318},
  [9670] = {.lex_state = 318},
  [9671] = {.lex_state = 336},
  [9672] = {.lex_state = 318},
  [9673] = {.lex_state = 318},
  [9674] = {.lex_state = 318},
  [9675] = {.lex_state = 318},
  [9676] = {.lex_state = 318},
  [9677] = {.lex_state = 318},
  [9678] = {.lex_state = 516},
  [9679] = {.lex_state = 318},
  [9680] = {.lex_state = 318},
  [9681] = {.lex_state = 318},
  [9682] = {.lex_state = 318},
  [9683] = {.lex_state = 318},
  [9684] = {.lex_state = 321},
  [9685] = {.lex_state = 318, .external_lex_state = 4},
  [9686] = {.lex_state = 318},
  [9687] = {.lex_state = 318},
  [9688] = {.lex_state = 516},
  [9689] = {.lex_state = 318},
  [9690] = {.lex_state = 318},
  [9691] = {.lex_state = 512},
  [9692] = {.lex_state = 318, .external_lex_state = 4},
  [9693] = {.lex_state = 318},
  [9694] = {.lex_state = 516},
  [9695] = {.lex_state = 318},
  [9696] = {.lex_state = 516},
  [9697] = {.lex_state = 516},
  [9698] = {.lex_state = 516},
  [9699] = {.lex_state = 516},
  [9700] = {.lex_state = 516},
  [9701] = {.lex_state = 318},
  [9702] = {.lex_state = 516},
  [9703] = {.lex_state = 516},
  [9704] = {.lex_state = 321},
  [9705] = {.lex_state = 318},
  [9706] = {.lex_state = 516},
  [9707] = {.lex_state = 318},
  [9708] = {.lex_state = 516},
  [9709] = {.lex_state = 321},
  [9710] = {.lex_state = 516},
  [9711] = {.lex_state = 516},
  [9712] = {.lex_state = 318},
  [9713] = {.lex_state = 139},
  [9714] = {.lex_state = 318},
  [9715] = {.lex_state = 318},
  [9716] = {.lex_state = 512},
  [9717] = {.lex_state = 516},
  [9718] = {.lex_state = 318},
  [9719] = {.lex_state = 318},
  [9720] = {.lex_state = 318},
  [9721] = {.lex_state = 318, .external_lex_state = 4},
  [9722] = {.lex_state = 318},
  [9723] = {.lex_state = 318},
  [9724] = {.lex_state = 318},
  [9725] = {.lex_state = 318},
  [9726] = {.lex_state = 318},
  [9727] = {.lex_state = 318},
  [9728] = {.lex_state = 318},
  [9729] = {.lex_state = 318},
  [9730] = {.lex_state = 318},
  [9731] = {.lex_state = 318},
  [9732] = {.lex_state = 318},
  [9733] = {.lex_state = 318},
  [9734] = {.lex_state = 318},
  [9735] = {.lex_state = 318},
  [9736] = {.lex_state = 318},
  [9737] = {.lex_state = 318},
  [9738] = {.lex_state = 318},
  [9739] = {.lex_state = 318},
  [9740] = {.lex_state = 318},
  [9741] = {.lex_state = 318},
  [9742] = {.lex_state = 516},
  [9743] = {.lex_state = 512},
  [9744] = {.lex_state = 318},
  [9745] = {.lex_state = 318},
  [9746] = {.lex_state = 318},
  [9747] = {.lex_state = 318},
  [9748] = {.lex_state = 318},
  [9749] = {.lex_state = 318},
  [9750] = {.lex_state = 318},
  [9751] = {.lex_state = 516},
  [9752] = {.lex_state = 516},
  [9753] = {.lex_state = 516},
  [9754] = {.lex_state = 516},
  [9755] = {.lex_state = 318},
  [9756] = {.lex_state = 516},
  [9757] = {.lex_state = 516},
  [9758] = {.lex_state = 516},
  [9759] = {.lex_state = 516},
  [9760] = {.lex_state = 516},
  [9761] = {.lex_state = 516},
  [9762] = {.lex_state = 516},
  [9763] = {.lex_state = 516},
  [9764] = {.lex_state = 516},
  [9765] = {.lex_state = 516},
  [9766] = {.lex_state = 318},
  [9767] = {.lex_state = 516},
  [9768] = {.lex_state = 318},
  [9769] = {.lex_state = 318},
  [9770] = {.lex_state = 318},
  [9771] = {.lex_state = 318},
  [9772] = {.lex_state = 321},
  [9773] = {.lex_state = 318},
  [9774] = {.lex_state = 331},
  [9775] = {.lex_state = 318},
  [9776] = {.lex_state = 318},
  [9777] = {.lex_state = 318},
  [9778] = {.lex_state = 318},
  [9779] = {.lex_state = 318},
  [9780] = {.lex_state = 318},
  [9781] = {.lex_state = 318},
  [9782] = {.lex_state = 318},
  [9783] = {.lex_state = 318},
  [9784] = {.lex_state = 318},
  [9785] = {.lex_state = 318},
  [9786] = {.lex_state = 318},
  [9787] = {.lex_state = 318},
  [9788] = {.lex_state = 318},
  [9789] = {.lex_state = 318},
  [9790] = {.lex_state = 318},
  [9791] = {.lex_state = 318},
  [9792] = {.lex_state = 318},
  [9793] = {.lex_state = 512},
  [9794] = {.lex_state = 318},
  [9795] = {.lex_state = 318},
  [9796] = {.lex_state = 318},
  [9797] = {.lex_state = 318},
  [9798] = {.lex_state = 512},
  [9799] = {.lex_state = 318},
  [9800] = {.lex_state = 318},
  [9801] = {.lex_state = 318},
  [9802] = {.lex_state = 318},
  [9803] = {.lex_state = 318},
  [9804] = {.lex_state = 512},
  [9805] = {.lex_state = 516},
  [9806] = {.lex_state = 318},
  [9807] = {.lex_state = 512},
  [9808] = {.lex_state = 141},
  [9809] = {.lex_state = 318},
  [9810] = {.lex_state = 318},
  [9811] = {.lex_state = 318},
  [9812] = {.lex_state = 318},
  [9813] = {.lex_state = 318},
  [9814] = {.lex_state = 516},
  [9815] = {.lex_state = 318},
  [9816] = {.lex_state = 318},
  [9817] = {.lex_state = 318},
  [9818] = {.lex_state = 318},
  [9819] = {.lex_state = 318},
  [9820] = {.lex_state = 318},
  [9821] = {.lex_state = 318},
  [9822] = {.lex_state = 318},
  [9823] = {.lex_state = 318},
  [9824] = {.lex_state = 318},
  [9825] = {.lex_state = 318},
  [9826] = {.lex_state = 318},
  [9827] = {.lex_state = 318},
  [9828] = {.lex_state = 318},
  [9829] = {.lex_state = 318},
  [9830] = {.lex_state = 318},
  [9831] = {.lex_state = 318},
  [9832] = {.lex_state = 318},
  [9833] = {.lex_state = 318},
  [9834] = {.lex_state = 318},
  [9835] = {.lex_state = 318},
  [9836] = {.lex_state = 318},
  [9837] = {.lex_state = 318},
  [9838] = {.lex_state = 318},
  [9839] = {.lex_state = 318},
  [9840] = {.lex_state = 318},
  [9841] = {.lex_state = 540},
  [9842] = {.lex_state = 318},
  [9843] = {.lex_state = 318},
  [9844] = {.lex_state = 318},
  [9845] = {.lex_state = 318},
  [9846] = {.lex_state = 318},
  [9847] = {.lex_state = 318},
  [9848] = {.lex_state = 318},
  [9849] = {.lex_state = 318},
  [9850] = {.lex_state = 318},
  [9851] = {.lex_state = 318},
  [9852] = {.lex_state = 318},
  [9853] = {.lex_state = 318},
  [9854] = {.lex_state = 318},
  [9855] = {.lex_state = 318},
  [9856] = {.lex_state = 318},
  [9857] = {.lex_state = 318},
  [9858] = {.lex_state = 318},
  [9859] = {.lex_state = 318},
  [9860] = {.lex_state = 318},
  [9861] = {.lex_state = 318},
  [9862] = {.lex_state = 318},
  [9863] = {.lex_state = 318},
  [9864] = {.lex_state = 516},
  [9865] = {.lex_state = 512},
  [9866] = {.lex_state = 512},
  [9867] = {.lex_state = 512},
  [9868] = {.lex_state = 512},
  [9869] = {.lex_state = 512},
  [9870] = {.lex_state = 512},
  [9871] = {.lex_state = 512},
  [9872] = {.lex_state = 512},
  [9873] = {.lex_state = 512},
  [9874] = {.lex_state = 512},
  [9875] = {.lex_state = 512},
  [9876] = {.lex_state = 512},
  [9877] = {.lex_state = 512},
  [9878] = {.lex_state = 318},
  [9879] = {.lex_state = 516},
  [9880] = {.lex_state = 318},
  [9881] = {.lex_state = 318},
  [9882] = {.lex_state = 318},
  [9883] = {.lex_state = 512},
  [9884] = {.lex_state = 318},
  [9885] = {.lex_state = 318},
  [9886] = {.lex_state = 318},
  [9887] = {.lex_state = 318},
  [9888] = {.lex_state = 318},
  [9889] = {.lex_state = 318},
  [9890] = {.lex_state = 318},
  [9891] = {.lex_state = 318},
  [9892] = {.lex_state = 318},
  [9893] = {.lex_state = 318},
  [9894] = {.lex_state = 318},
  [9895] = {.lex_state = 318},
  [9896] = {.lex_state = 318},
  [9897] = {.lex_state = 318},
  [9898] = {.lex_state = 318},
  [9899] = {.lex_state = 318},
  [9900] = {.lex_state = 318},
  [9901] = {.lex_state = 318},
  [9902] = {.lex_state = 318},
  [9903] = {.lex_state = 318},
  [9904] = {.lex_state = 318},
  [9905] = {.lex_state = 318},
  [9906] = {.lex_state = 318},
  [9907] = {.lex_state = 318},
  [9908] = {.lex_state = 289, .external_lex_state = 3},
  [9909] = {.lex_state = 343},
  [9910] = {.lex_state = 144, .external_lex_state = 3},
  [9911] = {.lex_state = 146, .external_lex_state = 3},
  [9912] = {.lex_state = 148, .external_lex_state = 3},
  [9913] = {.lex_state = 150, .external_lex_state = 3},
  [9914] = {.lex_state = 330},
  [9915] = {.lex_state = 303, .external_lex_state = 3},
  [9916] = {.lex_state = 152, .external_lex_state = 3},
  [9917] = {.lex_state = 29},
  [9918] = {.lex_state = 29},
  [9919] = {.lex_state = 29},
  [9920] = {.lex_state = 29},
  [9921] = {.lex_state = 29},
  [9922] = {.lex_state = 29},
  [9923] = {.lex_state = 29},
  [9924] = {.lex_state = 29},
  [9925] = {.lex_state = 29},
  [9926] = {.lex_state = 29},
  [9927] = {.lex_state = 29},
  [9928] = {.lex_state = 29},
  [9929] = {.lex_state = 542, .external_lex_state = 3},
  [9930] = {.lex_state = 29},
  [9931] = {.lex_state = 29},
  [9932] = {.lex_state = 29},
  [9933] = {.lex_state = 29},
  [9934] = {.lex_state = 29},
  [9935] = {.lex_state = 29},
  [9936] = {.lex_state = 29},
  [9937] = {.lex_state = 29},
  [9938] = {.lex_state = 29},
  [9939] = {.lex_state = 29},
  [9940] = {.lex_state = 29},
  [9941] = {.lex_state = 29},
  [9942] = {.lex_state = 29},
  [9943] = {.lex_state = 29},
  [9944] = {.lex_state = 29},
  [9945] = {.lex_state = 29},
  [9946] = {.lex_state = 29},
  [9947] = {.lex_state = 29},
  [9948] = {.lex_state = 29},
  [9949] = {.lex_state = 29},
  [9950] = {.lex_state = 29},
  [9951] = {.lex_state = 29},
  [9952] = {.lex_state = 29},
  [9953] = {.lex_state = 29},
  [9954] = {.lex_state = 29},
  [9955] = {.lex_state = 29},
  [9956] = {.lex_state = 29},
  [9957] = {.lex_state = 29},
  [9958] = {.lex_state = 29},
  [9959] = {.lex_state = 29},
  [9960] = {.lex_state = 29},
  [9961] = {.lex_state = 304, .external_lex_state = 3},
  [9962] = {.lex_state = 29},
  [9963] = {.lex_state = 29},
  [9964] = {.lex_state = 29},
  [9965] = {.lex_state = 29},
  [9966] = {.lex_state = 29},
  [9967] = {.lex_state = 29},
  [9968] = {.lex_state = 29},
  [9969] = {.lex_state = 29},
  [9970] = {.lex_state = 29},
  [9971] = {.lex_state = 29},
  [9972] = {.lex_state = 29},
  [9973] = {.lex_state = 29},
  [9974] = {.lex_state = 29},
  [9975] = {.lex_state = 29},
  [9976] = {.lex_state = 29},
  [9977] = {.lex_state = 29},
  [9978] = {.lex_state = 29},
  [9979] = {.lex_state = 29},
  [9980] = {.lex_state = 155, .external_lex_state = 3},
  [9981] = {.lex_state = 29},
  [9982] = {.lex_state = 307, .external_lex_state = 3},
  [9983] = {.lex_state = 25, .external_lex_state = 5},
  [9984] = {.lex_state = 354},
  [9985] = {.lex_state = 25, .external_lex_state = 5},
  [9986] = {.lex_state = 25},
  [9987] = {.lex_state = 351},
  [9988] = {.lex_state = 25},
  [9989] = {.lex_state = 157},
  [9990] = {.lex_state = 157},
  [9991] = {.lex_state = 352},
  [9992] = {.lex_state = 157},
  [9993] = {.lex_state = 157},
  [9994] = {.lex_state = 157},
  [9995] = {.lex_state = 157},
  [9996] = {.lex_state = 157},
  [9997] = {.lex_state = 354},
  [9998] = {.lex_state = 25},
  [9999] = {.lex_state = 351},
  [10000] = {.lex_state = 25},
  [10001] = {.lex_state = 157},
  [10002] = {.lex_state = 157},
  [10003] = {.lex_state = 25},
  [10004] = {.lex_state = 25},
  [10005] = {.lex_state = 571},
  [10006] = {.lex_state = 157},
  [10007] = {.lex_state = 157},
  [10008] = {.lex_state = 350},
  [10009] = {.lex_state = 159},
  [10010] = {.lex_state = 349},
  [10011] = {.lex_state = 29},
  [10012] = {.lex_state = 353},
  [10013] = {.lex_state = 25},
  [10014] = {.lex_state = 25},
  [10015] = {.lex_state = 350},
  [10016] = {.lex_state = 25},
  [10017] = {.lex_state = 25},
  [10018] = {.lex_state = 25},
  [10019] = {.lex_state = 25},
  [10020] = {.lex_state = 25},
  [10021] = {.lex_state = 25},
  [10022] = {.lex_state = 25},
  [10023] = {.lex_state = 25},
  [10024] = {.lex_state = 25},
  [10025] = {.lex_state = 25},
  [10026] = {.lex_state = 571},
  [10027] = {.lex_state = 25},
  [10028] = {.lex_state = 25},
  [10029] = {.lex_state = 25},
  [10030] = {.lex_state = 25},
  [10031] = {.lex_state = 353},
  [10032] = {.lex_state = 25},
  [10033] = {.lex_state = 349},
  [10034] = {.lex_state = 25},
  [10035] = {.lex_state = 25},
  [10036] = {.lex_state = 25},
  [10037] = {.lex_state = 25},
  [10038] = {.lex_state = 353},
  [10039] = {.lex_state = 25},
  [10040] = {.lex_state = 25},
  [10041] = {.lex_state = 25},
  [10042] = {.lex_state = 352},
  [10043] = {.lex_state = 25},
  [10044] = {.lex_state = 25},
  [10045] = {.lex_state = 25},
  [10046] = {.lex_state = 25},
  [10047] = {.lex_state = 353},
  [10048] = {.lex_state = 353},
  [10049] = {.lex_state = 25},
  [10050] = {.lex_state = 25},
  [10051] = {.lex_state = 25},
  [10052] = {.lex_state = 25},
  [10053] = {.lex_state = 353},
  [10054] = {.lex_state = 25},
  [10055] = {.lex_state = 25},
  [10056] = {.lex_state = 29},
  [10057] = {.lex_state = 25},
  [10058] = {.lex_state = 25},
  [10059] = {.lex_state = 25},
  [10060] = {.lex_state = 353},
  [10061] = {.lex_state = 25},
  [10062] = {.lex_state = 25},
  [10063] = {.lex_state = 353},
  [10064] = {.lex_state = 303, .external_lex_state = 3},
  [10065] = {.lex_state = 303, .external_lex_state = 3},
  [10066] = {.lex_state = 353},
  [10067] = {.lex_state = 353},
  [10068] = {.lex_state = 353},
  [10069] = {.lex_state = 571},
  [10070] = {.lex_state = 348},
  [10071] = {.lex_state = 348},
  [10072] = {.lex_state = 348},
  [10073] = {.lex_state = 348},
  [10074] = {.lex_state = 348},
  [10075] = {.lex_state = 348},
  [10076] = {.lex_state = 348},
  [10077] = {.lex_state = 348},
  [10078] = {.lex_state = 348},
  [10079] = {.lex_state = 348},
  [10080] = {.lex_state = 348},
  [10081] = {.lex_state = 348},
  [10082] = {.lex_state = 348},
  [10083] = {.lex_state = 348},
  [10084] = {.lex_state = 348},
  [10085] = {.lex_state = 348},
  [10086] = {.lex_state = 348},
  [10087] = {.lex_state = 348},
  [10088] = {.lex_state = 348},
  [10089] = {.lex_state = 348},
  [10090] = {.lex_state = 348},
  [10091] = {.lex_state = 348},
  [10092] = {.lex_state = 348},
  [10093] = {.lex_state = 348},
  [10094] = {.lex_state = 348},
  [10095] = {.lex_state = 348},
  [10096] = {.lex_state = 348},
  [10097] = {.lex_state = 348},
  [10098] = {.lex_state = 348},
  [10099] = {.lex_state = 348},
  [10100] = {.lex_state = 348},
  [10101] = {.lex_state = 348},
  [10102] = {.lex_state = 348},
  [10103] = {.lex_state = 348},
  [10104] = {.lex_state = 348},
  [10105] = {.lex_state = 348},
  [10106] = {.lex_state = 348},
  [10107] = {.lex_state = 348},
  [10108] = {.lex_state = 348},
  [10109] = {.lex_state = 348},
  [10110] = {.lex_state = 348},
  [10111] = {.lex_state = 348},
  [10112] = {.lex_state = 348},
  [10113] = {.lex_state = 348},
  [10114] = {.lex_state = 348},
  [10115] = {.lex_state = 348},
  [10116] = {.lex_state = 348},
  [10117] = {.lex_state = 348},
  [10118] = {.lex_state = 348},
  [10119] = {.lex_state = 348},
  [10120] = {.lex_state = 348},
  [10121] = {.lex_state = 348},
  [10122] = {.lex_state = 348},
  [10123] = {.lex_state = 348},
  [10124] = {.lex_state = 348},
  [10125] = {.lex_state = 348},
  [10126] = {.lex_state = 348},
  [10127] = {.lex_state = 348},
  [10128] = {.lex_state = 348},
  [10129] = {.lex_state = 348},
  [10130] = {.lex_state = 309, .external_lex_state = 3},
  [10131] = {.lex_state = 348},
  [10132] = {.lex_state = 348},
  [10133] = {.lex_state = 348},
  [10134] = {.lex_state = 309, .external_lex_state = 3},
  [10135] = {.lex_state = 309, .external_lex_state = 3},
  [10136] = {.lex_state = 309, .external_lex_state = 3},
  [10137] = {.lex_state = 309, .external_lex_state = 3},
  [10138] = {.lex_state = 309, .external_lex_state = 3},
  [10139] = {.lex_state = 309, .external_lex_state = 3},
  [10140] = {.lex_state = 348},
  [10141] = {.lex_state = 309, .external_lex_state = 3},
  [10142] = {.lex_state = 348},
  [10143] = {.lex_state = 348},
  [10144] = {.lex_state = 348},
  [10145] = {.lex_state = 309, .external_lex_state = 3},
  [10146] = {.lex_state = 309, .external_lex_state = 3},
  [10147] = {.lex_state = 309, .external_lex_state = 3},
  [10148] = {.lex_state = 309, .external_lex_state = 3},
  [10149] = {.lex_state = 309, .external_lex_state = 3},
  [10150] = {.lex_state = 309, .external_lex_state = 3},
  [10151] = {.lex_state = 309, .external_lex_state = 3},
  [10152] = {.lex_state = 309, .external_lex_state = 3},
  [10153] = {.lex_state = 348},
  [10154] = {.lex_state = 309, .external_lex_state = 3},
  [10155] = {.lex_state = 309, .external_lex_state = 3},
  [10156] = {.lex_state = 309, .external_lex_state = 3},
  [10157] = {.lex_state = 348},
  [10158] = {.lex_state = 309, .external_lex_state = 3},
  [10159] = {.lex_state = 309, .external_lex_state = 3},
  [10160] = {.lex_state = 309, .external_lex_state = 3},
  [10161] = {.lex_state = 309, .external_lex_state = 3},
  [10162] = {.lex_state = 309, .external_lex_state = 3},
  [10163] = {.lex_state = 309, .external_lex_state = 3},
  [10164] = {.lex_state = 348},
  [10165] = {.lex_state = 309, .external_lex_state = 3},
  [10166] = {.lex_state = 309, .external_lex_state = 3},
  [10167] = {.lex_state = 348},
  [10168] = {.lex_state = 348},
  [10169] = {.lex_state = 309, .external_lex_state = 3},
  [10170] = {.lex_state = 309, .external_lex_state = 3},
  [10171] = {.lex_state = 309, .external_lex_state = 3},
  [10172] = {.lex_state = 309, .external_lex_state = 3},
  [10173] = {.lex_state = 309, .external_lex_state = 3},
  [10174] = {.lex_state = 309, .external_lex_state = 3},
  [10175] = {.lex_state = 348},
  [10176] = {.lex_state = 309, .external_lex_state = 3},
  [10177] = {.lex_state = 309, .external_lex_state = 3},
  [10178] = {.lex_state = 309, .external_lex_state = 3},
  [10179] = {.lex_state = 309, .external_lex_state = 3},
  [10180] = {.lex_state = 309, .external_lex_state = 3},
  [10181] = {.lex_state = 309, .external_lex_state = 3},
  [10182] = {.lex_state = 348},
  [10183] = {.lex_state = 348},
  [10184] = {.lex_state = 309, .external_lex_state = 3},
  [10185] = {.lex_state = 309, .external_lex_state = 3},
  [10186] = {.lex_state = 309, .external_lex_state = 3},
  [10187] = {.lex_state = 309, .external_lex_state = 3},
  [10188] = {.lex_state = 309, .external_lex_state = 3},
  [10189] = {.lex_state = 309, .external_lex_state = 3},
  [10190] = {.lex_state = 309, .external_lex_state = 3},
  [10191] = {.lex_state = 309, .external_lex_state = 3},
  [10192] = {.lex_state = 309, .external_lex_state = 3},
  [10193] = {.lex_state = 309, .external_lex_state = 3},
  [10194] = {.lex_state = 309, .external_lex_state = 3},
  [10195] = {.lex_state = 309, .external_lex_state = 3},
  [10196] = {.lex_state = 309, .external_lex_state = 3},
  [10197] = {.lex_state = 348},
  [10198] = {.lex_state = 348},
  [10199] = {.lex_state = 309, .external_lex_state = 3},
  [10200] = {.lex_state = 309, .external_lex_state = 3},
  [10201] = {.lex_state = 309, .external_lex_state = 3},
  [10202] = {.lex_state = 309, .external_lex_state = 3},
  [10203] = {.lex_state = 309, .external_lex_state = 3},
  [10204] = {.lex_state = 309, .external_lex_state = 3},
  [10205] = {.lex_state = 309, .external_lex_state = 3},
  [10206] = {.lex_state = 309, .external_lex_state = 3},
  [10207] = {.lex_state = 309, .external_lex_state = 3},
  [10208] = {.lex_state = 309, .external_lex_state = 3},
  [10209] = {.lex_state = 348},
  [10210] = {.lex_state = 348},
  [10211] = {.lex_state = 309, .external_lex_state = 3},
  [10212] = {.lex_state = 309, .external_lex_state = 3},
  [10213] = {.lex_state = 309, .external_lex_state = 3},
  [10214] = {.lex_state = 309, .external_lex_state = 3},
  [10215] = {.lex_state = 309, .external_lex_state = 3},
  [10216] = {.lex_state = 309, .external_lex_state = 3},
  [10217] = {.lex_state = 309, .external_lex_state = 3},
  [10218] = {.lex_state = 309, .external_lex_state = 3},
  [10219] = {.lex_state = 309, .external_lex_state = 3},
  [10220] = {.lex_state = 309, .external_lex_state = 3},
  [10221] = {.lex_state = 309, .external_lex_state = 3},
  [10222] = {.lex_state = 309, .external_lex_state = 3},
  [10223] = {.lex_state = 348},
  [10224] = {.lex_state = 348},
  [10225] = {.lex_state = 309, .external_lex_state = 3},
  [10226] = {.lex_state = 309, .external_lex_state = 3},
  [10227] = {.lex_state = 309, .external_lex_state = 3},
  [10228] = {.lex_state = 309, .external_lex_state = 3},
  [10229] = {.lex_state = 309, .external_lex_state = 3},
  [10230] = {.lex_state = 309, .external_lex_state = 3},
  [10231] = {.lex_state = 309, .external_lex_state = 3},
  [10232] = {.lex_state = 348},
  [10233] = {.lex_state = 309, .external_lex_state = 3},
  [10234] = {.lex_state = 309, .external_lex_state = 3},
  [10235] = {.lex_state = 309, .external_lex_state = 3},
  [10236] = {.lex_state = 309, .external_lex_state = 3},
  [10237] = {.lex_state = 309, .external_lex_state = 3},
  [10238] = {.lex_state = 348},
  [10239] = {.lex_state = 309, .external_lex_state = 3},
  [10240] = {.lex_state = 309, .external_lex_state = 3},
  [10241] = {.lex_state = 348},
  [10242] = {.lex_state = 309, .external_lex_state = 3},
  [10243] = {.lex_state = 309, .external_lex_state = 3},
  [10244] = {.lex_state = 309, .external_lex_state = 3},
  [10245] = {.lex_state = 309, .external_lex_state = 3},
  [10246] = {.lex_state = 309, .external_lex_state = 3},
  [10247] = {.lex_state = 348},
  [10248] = {.lex_state = 348},
  [10249] = {.lex_state = 309, .external_lex_state = 3},
  [10250] = {.lex_state = 309, .external_lex_state = 3},
  [10251] = {.lex_state = 309, .external_lex_state = 3},
  [10252] = {.lex_state = 309, .external_lex_state = 3},
  [10253] = {.lex_state = 309, .external_lex_state = 3},
  [10254] = {.lex_state = 348},
  [10255] = {.lex_state = 348},
  [10256] = {.lex_state = 309, .external_lex_state = 3},
  [10257] = {.lex_state = 309, .external_lex_state = 3},
  [10258] = {.lex_state = 348},
  [10259] = {.lex_state = 348},
  [10260] = {.lex_state = 309, .external_lex_state = 3},
  [10261] = {.lex_state = 309, .external_lex_state = 3},
  [10262] = {.lex_state = 348},
  [10263] = {.lex_state = 348},
  [10264] = {.lex_state = 309, .external_lex_state = 3},
  [10265] = {.lex_state = 309, .external_lex_state = 3},
  [10266] = {.lex_state = 348},
  [10267] = {.lex_state = 309, .external_lex_state = 3},
  [10268] = {.lex_state = 309, .external_lex_state = 3},
  [10269] = {.lex_state = 309, .external_lex_state = 3},
  [10270] = {.lex_state = 309, .external_lex_state = 3},
  [10271] = {.lex_state = 309, .external_lex_state = 3},
  [10272] = {.lex_state = 309, .external_lex_state = 3},
  [10273] = {.lex_state = 309, .external_lex_state = 3},
  [10274] = {.lex_state = 309, .external_lex_state = 3},
  [10275] = {.lex_state = 309, .external_lex_state = 3},
  [10276] = {.lex_state = 309, .external_lex_state = 3},
  [10277] = {.lex_state = 348},
  [10278] = {.lex_state = 309, .external_lex_state = 3},
  [10279] = {.lex_state = 309, .external_lex_state = 3},
  [10280] = {.lex_state = 309, .external_lex_state = 3},
  [10281] = {.lex_state = 309, .external_lex_state = 3},
  [10282] = {.lex_state = 309, .external_lex_state = 3},
  [10283] = {.lex_state = 348},
  [10284] = {.lex_state = 309, .external_lex_state = 3},
  [10285] = {.lex_state = 309, .external_lex_state = 3},
  [10286] = {.lex_state = 348},
  [10287] = {.lex_state = 309, .external_lex_state = 3},
  [10288] = {.lex_state = 309, .external_lex_state = 3},
  [10289] = {.lex_state = 309, .external_lex_state = 3},
  [10290] = {.lex_state = 309, .external_lex_state = 3},
  [10291] = {.lex_state = 309, .external_lex_state = 3},
  [10292] = {.lex_state = 348},
  [10293] = {.lex_state = 309, .external_lex_state = 3},
  [10294] = {.lex_state = 309, .external_lex_state = 3},
  [10295] = {.lex_state = 309, .external_lex_state = 3},
  [10296] = {.lex_state = 309, .external_lex_state = 3},
  [10297] = {.lex_state = 309, .external_lex_state = 3},
  [10298] = {.lex_state = 309, .external_lex_state = 3},
  [10299] = {.lex_state = 309, .external_lex_state = 3},
  [10300] = {.lex_state = 348},
  [10301] = {.lex_state = 309, .external_lex_state = 3},
  [10302] = {.lex_state = 309, .external_lex_state = 3},
  [10303] = {.lex_state = 309, .external_lex_state = 3},
  [10304] = {.lex_state = 309, .external_lex_state = 3},
  [10305] = {.lex_state = 348},
  [10306] = {.lex_state = 309, .external_lex_state = 3},
  [10307] = {.lex_state = 348},
  [10308] = {.lex_state = 309, .external_lex_state = 3},
  [10309] = {.lex_state = 348},
  [10310] = {.lex_state = 348},
  [10311] = {.lex_state = 309, .external_lex_state = 3},
  [10312] = {.lex_state = 309, .external_lex_state = 3},
  [10313] = {.lex_state = 348},
  [10314] = {.lex_state = 309, .external_lex_state = 3},
  [10315] = {.lex_state = 309, .external_lex_state = 3},
  [10316] = {.lex_state = 309, .external_lex_state = 3},
  [10317] = {.lex_state = 282, .external_lex_state = 3},
  [10318] = {.lex_state = 73, .external_lex_state = 3},
  [10319] = {.lex_state = 80, .external_lex_state = 3},
  [10320] = {.lex_state = 88, .external_lex_state = 3},
  [10321] = {.lex_state = 91, .external_lex_state = 3},
  [10322] = {.lex_state = 95, .external_lex_state = 3},
  [10323] = {.lex_state = 104, .external_lex_state = 3},
  [10324] = {.lex_state = 283, .external_lex_state = 3},
  [10325] = {.lex_state = 534, .external_lex_state = 3},
  [10326] = {.lex_state = 288, .external_lex_state = 3},
  [10327] = {.lex_state = 330},
  [10328] = {.lex_state = 368, .external_lex_state = 2},
  [10329] = {.lex_state = 369, .external_lex_state = 2},
  [10330] = {.lex_state = 369, .external_lex_state = 3},
  [10331] = {.lex_state = 369, .external_lex_state = 3},
  [10332] = {.lex_state = 330},
  [10333] = {.lex_state = 330},
  [10334] = {.lex_state = 369, .external_lex_state = 3},
  [10335] = {.lex_state = 330},
  [10336] = {.lex_state = 369, .external_lex_state = 3},
  [10337] = {.lex_state = 368, .external_lex_state = 3},
  [10338] = {.lex_state = 368, .external_lex_state = 3},
  [10339] = {.lex_state = 368, .external_lex_state = 3},
  [10340] = {.lex_state = 369, .external_lex_state = 3},
  [10341] = {.lex_state = 369, .external_lex_state = 3},
  [10342] = {.lex_state = 369, .external_lex_state = 3},
  [10343] = {.lex_state = 369, .external_lex_state = 3},
  [10344] = {.lex_state = 369, .external_lex_state = 3},
  [10345] = {.lex_state = 373, .external_lex_state = 3},
  [10346] = {.lex_state = 369, .external_lex_state = 3},
  [10347] = {.lex_state = 369, .external_lex_state = 3},
  [10348] = {.lex_state = 369, .external_lex_state = 3},
  [10349] = {.lex_state = 369, .external_lex_state = 3},
  [10350] = {.lex_state = 368, .external_lex_state = 3},
  [10351] = {.lex_state = 369, .external_lex_state = 3},
  [10352] = {.lex_state = 368, .external_lex_state = 3},
  [10353] = {.lex_state = 368, .external_lex_state = 3},
  [10354] = {.lex_state = 369, .external_lex_state = 3},
  [10355] = {.lex_state = 369, .external_lex_state = 3},
  [10356] = {.lex_state = 368, .external_lex_state = 3},
  [10357] = {.lex_state = 369, .external_lex_state = 3},
  [10358] = {.lex_state = 369, .external_lex_state = 3},
  [10359] = {.lex_state = 369, .external_lex_state = 3},
  [10360] = {.lex_state = 369, .external_lex_state = 3},
  [10361] = {.lex_state = 369, .external_lex_state = 3},
  [10362] = {.lex_state = 369, .external_lex_state = 3},
  [10363] = {.lex_state = 133},
  [10364] = {.lex_state = 369, .external_lex_state = 3},
  [10365] = {.lex_state = 369, .external_lex_state = 3},
  [10366] = {.lex_state = 369, .external_lex_state = 3},
  [10367] = {.lex_state = 369, .external_lex_state = 3},
  [10368] = {.lex_state = 369, .external_lex_state = 3},
  [10369] = {.lex_state = 369, .external_lex_state = 3},
  [10370] = {.lex_state = 369, .external_lex_state = 3},
  [10371] = {.lex_state = 369, .external_lex_state = 3},
  [10372] = {.lex_state = 369, .external_lex_state = 3},
  [10373] = {.lex_state = 369, .external_lex_state = 3},
  [10374] = {.lex_state = 369, .external_lex_state = 3},
  [10375] = {.lex_state = 369, .external_lex_state = 3},
  [10376] = {.lex_state = 369, .external_lex_state = 3},
  [10377] = {.lex_state = 369, .external_lex_state = 3},
  [10378] = {.lex_state = 369, .external_lex_state = 3},
  [10379] = {.lex_state = 369, .external_lex_state = 3},
  [10380] = {.lex_state = 369, .external_lex_state = 3},
  [10381] = {.lex_state = 369, .external_lex_state = 3},
  [10382] = {.lex_state = 369, .external_lex_state = 3},
  [10383] = {.lex_state = 369, .external_lex_state = 3},
  [10384] = {.lex_state = 369, .external_lex_state = 3},
  [10385] = {.lex_state = 369, .external_lex_state = 3},
  [10386] = {.lex_state = 369, .external_lex_state = 3},
  [10387] = {.lex_state = 369, .external_lex_state = 3},
  [10388] = {.lex_state = 369, .external_lex_state = 3},
  [10389] = {.lex_state = 369, .external_lex_state = 3},
  [10390] = {.lex_state = 369, .external_lex_state = 3},
  [10391] = {.lex_state = 369, .external_lex_state = 3},
  [10392] = {.lex_state = 369, .external_lex_state = 3},
  [10393] = {.lex_state = 369, .external_lex_state = 3},
  [10394] = {.lex_state = 369, .external_lex_state = 3},
  [10395] = {.lex_state = 369, .external_lex_state = 3},
  [10396] = {.lex_state = 369, .external_lex_state = 3},
  [10397] = {.lex_state = 369, .external_lex_state = 3},
  [10398] = {.lex_state = 369, .external_lex_state = 3},
  [10399] = {.lex_state = 369, .external_lex_state = 3},
  [10400] = {.lex_state = 369, .external_lex_state = 3},
  [10401] = {.lex_state = 131},
  [10402] = {.lex_state = 369, .external_lex_state = 3},
  [10403] = {.lex_state = 369, .external_lex_state = 3},
  [10404] = {.lex_state = 369, .external_lex_state = 3},
  [10405] = {.lex_state = 369, .external_lex_state = 3},
  [10406] = {.lex_state = 369, .external_lex_state = 3},
  [10407] = {.lex_state = 369, .external_lex_state = 3},
  [10408] = {.lex_state = 369, .external_lex_state = 3},
  [10409] = {.lex_state = 369, .external_lex_state = 3},
  [10410] = {.lex_state = 369, .external_lex_state = 3},
  [10411] = {.lex_state = 369, .external_lex_state = 3},
  [10412] = {.lex_state = 369, .external_lex_state = 3},
  [10413] = {.lex_state = 369, .external_lex_state = 3},
  [10414] = {.lex_state = 369, .external_lex_state = 3},
  [10415] = {.lex_state = 369, .external_lex_state = 3},
  [10416] = {.lex_state = 369, .external_lex_state = 3},
  [10417] = {.lex_state = 370, .external_lex_state = 3},
  [10418] = {.lex_state = 131},
  [10419] = {.lex_state = 137},
  [10420] = {.lex_state = 133},
  [10421] = {.lex_state = 133},
  [10422] = {.lex_state = 370, .external_lex_state = 3},
  [10423] = {.lex_state = 139},
  [10424] = {.lex_state = 369, .external_lex_state = 2},
  [10425] = {.lex_state = 369, .external_lex_state = 2},
  [10426] = {.lex_state = 370, .external_lex_state = 3},
  [10427] = {.lex_state = 131},
  [10428] = {.lex_state = 544, .external_lex_state = 2},
  [10429] = {.lex_state = 133},
  [10430] = {.lex_state = 369, .external_lex_state = 2},
  [10431] = {.lex_state = 131},
  [10432] = {.lex_state = 135},
  [10433] = {.lex_state = 370, .external_lex_state = 3},
  [10434] = {.lex_state = 135},
  [10435] = {.lex_state = 137},
  [10436] = {.lex_state = 546, .external_lex_state = 3},
  [10437] = {.lex_state = 139},
  [10438] = {.lex_state = 137},
  [10439] = {.lex_state = 331},
  [10440] = {.lex_state = 394, .external_lex_state = 2},
  [10441] = {.lex_state = 394, .external_lex_state = 3},
  [10442] = {.lex_state = 394, .external_lex_state = 3},
  [10443] = {.lex_state = 141},
  [10444] = {.lex_state = 546, .external_lex_state = 2},
  [10445] = {.lex_state = 135},
  [10446] = {.lex_state = 394, .external_lex_state = 3},
  [10447] = {.lex_state = 139},
  [10448] = {.lex_state = 546, .external_lex_state = 3},
  [10449] = {.lex_state = 139},
  [10450] = {.lex_state = 394, .external_lex_state = 3},
  [10451] = {.lex_state = 137},
  [10452] = {.lex_state = 546, .external_lex_state = 3},
  [10453] = {.lex_state = 546, .external_lex_state = 3},
  [10454] = {.lex_state = 540},
  [10455] = {.lex_state = 135},
  [10456] = {.lex_state = 331},
  [10457] = {.lex_state = 389, .external_lex_state = 3},
  [10458] = {.lex_state = 389, .external_lex_state = 2},
  [10459] = {.lex_state = 546, .external_lex_state = 3},
  [10460] = {.lex_state = 394, .external_lex_state = 3},
  [10461] = {.lex_state = 546, .external_lex_state = 3},
  [10462] = {.lex_state = 540},
  [10463] = {.lex_state = 544, .external_lex_state = 3},
  [10464] = {.lex_state = 141},
  [10465] = {.lex_state = 389, .external_lex_state = 3},
  [10466] = {.lex_state = 141},
  [10467] = {.lex_state = 394, .external_lex_state = 3},
  [10468] = {.lex_state = 546, .external_lex_state = 3},
  [10469] = {.lex_state = 544, .external_lex_state = 3},
  [10470] = {.lex_state = 141},
  [10471] = {.lex_state = 546, .external_lex_state = 3},
  [10472] = {.lex_state = 546, .external_lex_state = 3},
  [10473] = {.lex_state = 546, .external_lex_state = 3},
  [10474] = {.lex_state = 394, .external_lex_state = 3},
  [10475] = {.lex_state = 544, .external_lex_state = 3},
  [10476] = {.lex_state = 394, .external_lex_state = 3},
  [10477] = {.lex_state = 394, .external_lex_state = 3},
  [10478] = {.lex_state = 394, .external_lex_state = 3},
  [10479] = {.lex_state = 548, .external_lex_state = 3},
  [10480] = {.lex_state = 394, .external_lex_state = 3},
  [10481] = {.lex_state = 546, .external_lex_state = 3},
  [10482] = {.lex_state = 394, .external_lex_state = 3},
  [10483] = {.lex_state = 546, .external_lex_state = 3},
  [10484] = {.lex_state = 331},
  [10485] = {.lex_state = 546, .external_lex_state = 3},
  [10486] = {.lex_state = 394, .external_lex_state = 3},
  [10487] = {.lex_state = 394, .external_lex_state = 3},
  [10488] = {.lex_state = 546, .external_lex_state = 3},
  [10489] = {.lex_state = 544, .external_lex_state = 3},
  [10490] = {.lex_state = 394, .external_lex_state = 3},
  [10491] = {.lex_state = 540},
  [10492] = {.lex_state = 331},
  [10493] = {.lex_state = 544, .external_lex_state = 3},
  [10494] = {.lex_state = 394, .external_lex_state = 3},
  [10495] = {.lex_state = 540},
  [10496] = {.lex_state = 546, .external_lex_state = 3},
  [10497] = {.lex_state = 544, .external_lex_state = 3},
  [10498] = {.lex_state = 398, .external_lex_state = 3},
  [10499] = {.lex_state = 544, .external_lex_state = 3},
  [10500] = {.lex_state = 389, .external_lex_state = 3},
  [10501] = {.lex_state = 389, .external_lex_state = 3},
  [10502] = {.lex_state = 546, .external_lex_state = 3},
  [10503] = {.lex_state = 394, .external_lex_state = 3},
  [10504] = {.lex_state = 394, .external_lex_state = 3},
  [10505] = {.lex_state = 394, .external_lex_state = 3},
  [10506] = {.lex_state = 368, .external_lex_state = 2},
  [10507] = {.lex_state = 546, .external_lex_state = 3},
  [10508] = {.lex_state = 546, .external_lex_state = 3},
  [10509] = {.lex_state = 546, .external_lex_state = 3},
  [10510] = {.lex_state = 389, .external_lex_state = 3},
  [10511] = {.lex_state = 546, .external_lex_state = 3},
  [10512] = {.lex_state = 393, .external_lex_state = 3},
  [10513] = {.lex_state = 394, .external_lex_state = 3},
  [10514] = {.lex_state = 394, .external_lex_state = 3},
  [10515] = {.lex_state = 546, .external_lex_state = 3},
  [10516] = {.lex_state = 394, .external_lex_state = 3},
  [10517] = {.lex_state = 394, .external_lex_state = 3},
  [10518] = {.lex_state = 546, .external_lex_state = 3},
  [10519] = {.lex_state = 546, .external_lex_state = 3},
  [10520] = {.lex_state = 546, .external_lex_state = 3},
  [10521] = {.lex_state = 394, .external_lex_state = 3},
  [10522] = {.lex_state = 394, .external_lex_state = 3},
  [10523] = {.lex_state = 394, .external_lex_state = 3},
  [10524] = {.lex_state = 394, .external_lex_state = 3},
  [10525] = {.lex_state = 394, .external_lex_state = 3},
  [10526] = {.lex_state = 546, .external_lex_state = 3},
  [10527] = {.lex_state = 546, .external_lex_state = 3},
  [10528] = {.lex_state = 546, .external_lex_state = 3},
  [10529] = {.lex_state = 394, .external_lex_state = 3},
  [10530] = {.lex_state = 546, .external_lex_state = 3},
  [10531] = {.lex_state = 394, .external_lex_state = 3},
  [10532] = {.lex_state = 394, .external_lex_state = 3},
  [10533] = {.lex_state = 343},
  [10534] = {.lex_state = 546, .external_lex_state = 3},
  [10535] = {.lex_state = 389, .external_lex_state = 3},
  [10536] = {.lex_state = 394, .external_lex_state = 3},
  [10537] = {.lex_state = 546, .external_lex_state = 3},
  [10538] = {.lex_state = 394, .external_lex_state = 3},
  [10539] = {.lex_state = 394, .external_lex_state = 3},
  [10540] = {.lex_state = 546, .external_lex_state = 3},
  [10541] = {.lex_state = 546, .external_lex_state = 3},
  [10542] = {.lex_state = 546, .external_lex_state = 3},
  [10543] = {.lex_state = 546, .external_lex_state = 3},
  [10544] = {.lex_state = 389, .external_lex_state = 3},
  [10545] = {.lex_state = 546, .external_lex_state = 3},
  [10546] = {.lex_state = 544, .external_lex_state = 2},
  [10547] = {.lex_state = 394, .external_lex_state = 3},
  [10548] = {.lex_state = 389, .external_lex_state = 3},
  [10549] = {.lex_state = 546, .external_lex_state = 3},
  [10550] = {.lex_state = 394, .external_lex_state = 3},
  [10551] = {.lex_state = 546, .external_lex_state = 3},
  [10552] = {.lex_state = 394, .external_lex_state = 3},
  [10553] = {.lex_state = 394, .external_lex_state = 3},
  [10554] = {.lex_state = 394, .external_lex_state = 3},
  [10555] = {.lex_state = 163, .external_lex_state = 2},
  [10556] = {.lex_state = 163, .external_lex_state = 2},
  [10557] = {.lex_state = 546, .external_lex_state = 3},
  [10558] = {.lex_state = 394, .external_lex_state = 3},
  [10559] = {.lex_state = 546, .external_lex_state = 3},
  [10560] = {.lex_state = 389, .external_lex_state = 3},
  [10561] = {.lex_state = 394, .external_lex_state = 3},
  [10562] = {.lex_state = 546, .external_lex_state = 3},
  [10563] = {.lex_state = 544, .external_lex_state = 2},
  [10564] = {.lex_state = 546, .external_lex_state = 3},
  [10565] = {.lex_state = 546, .external_lex_state = 3},
  [10566] = {.lex_state = 546, .external_lex_state = 3},
  [10567] = {.lex_state = 546, .external_lex_state = 3},
  [10568] = {.lex_state = 546, .external_lex_state = 3},
  [10569] = {.lex_state = 394, .external_lex_state = 3},
  [10570] = {.lex_state = 546, .external_lex_state = 3},
  [10571] = {.lex_state = 394, .external_lex_state = 3},
  [10572] = {.lex_state = 394, .external_lex_state = 3},
  [10573] = {.lex_state = 546, .external_lex_state = 3},
  [10574] = {.lex_state = 394, .external_lex_state = 3},
  [10575] = {.lex_state = 394, .external_lex_state = 3},
  [10576] = {.lex_state = 389, .external_lex_state = 3},
  [10577] = {.lex_state = 394, .external_lex_state = 3},
  [10578] = {.lex_state = 394, .external_lex_state = 3},
  [10579] = {.lex_state = 546, .external_lex_state = 3},
  [10580] = {.lex_state = 394, .external_lex_state = 3},
  [10581] = {.lex_state = 546, .external_lex_state = 3},
  [10582] = {.lex_state = 394, .external_lex_state = 3},
  [10583] = {.lex_state = 389, .external_lex_state = 3},
  [10584] = {.lex_state = 394, .external_lex_state = 3},
  [10585] = {.lex_state = 394, .external_lex_state = 3},
  [10586] = {.lex_state = 389, .external_lex_state = 3},
  [10587] = {.lex_state = 546, .external_lex_state = 3},
  [10588] = {.lex_state = 389, .external_lex_state = 3},
  [10589] = {.lex_state = 368, .external_lex_state = 2},
  [10590] = {.lex_state = 546, .external_lex_state = 3},
  [10591] = {.lex_state = 546, .external_lex_state = 3},
  [10592] = {.lex_state = 546, .external_lex_state = 3},
  [10593] = {.lex_state = 389, .external_lex_state = 3},
  [10594] = {.lex_state = 394, .external_lex_state = 3},
  [10595] = {.lex_state = 394, .external_lex_state = 3},
  [10596] = {.lex_state = 546, .external_lex_state = 3},
  [10597] = {.lex_state = 394, .external_lex_state = 3},
  [10598] = {.lex_state = 546, .external_lex_state = 3},
  [10599] = {.lex_state = 394, .external_lex_state = 3},
  [10600] = {.lex_state = 394, .external_lex_state = 3},
  [10601] = {.lex_state = 394, .external_lex_state = 3},
  [10602] = {.lex_state = 394, .external_lex_state = 3},
  [10603] = {.lex_state = 546, .external_lex_state = 3},
  [10604] = {.lex_state = 546, .external_lex_state = 3},
  [10605] = {.lex_state = 546, .external_lex_state = 3},
  [10606] = {.lex_state = 394, .external_lex_state = 3},
  [10607] = {.lex_state = 394, .external_lex_state = 3},
  [10608] = {.lex_state = 546, .external_lex_state = 3},
  [10609] = {.lex_state = 394, .external_lex_state = 3},
  [10610] = {.lex_state = 546, .external_lex_state = 3},
  [10611] = {.lex_state = 394, .external_lex_state = 3},
  [10612] = {.lex_state = 546, .external_lex_state = 3},
  [10613] = {.lex_state = 546, .external_lex_state = 3},
  [10614] = {.lex_state = 394, .external_lex_state = 3},
  [10615] = {.lex_state = 394, .external_lex_state = 3},
  [10616] = {.lex_state = 394, .external_lex_state = 3},
  [10617] = {.lex_state = 389, .external_lex_state = 3},
  [10618] = {.lex_state = 546, .external_lex_state = 3},
  [10619] = {.lex_state = 394, .external_lex_state = 3},
  [10620] = {.lex_state = 546, .external_lex_state = 3},
  [10621] = {.lex_state = 546, .external_lex_state = 3},
  [10622] = {.lex_state = 546, .external_lex_state = 3},
  [10623] = {.lex_state = 546, .external_lex_state = 3},
  [10624] = {.lex_state = 546, .external_lex_state = 3},
  [10625] = {.lex_state = 394, .external_lex_state = 3},
  [10626] = {.lex_state = 389, .external_lex_state = 3},
  [10627] = {.lex_state = 546, .external_lex_state = 3},
  [10628] = {.lex_state = 546, .external_lex_state = 3},
  [10629] = {.lex_state = 163, .external_lex_state = 2},
  [10630] = {.lex_state = 546, .external_lex_state = 3},
  [10631] = {.lex_state = 394, .external_lex_state = 3},
  [10632] = {.lex_state = 394, .external_lex_state = 3},
  [10633] = {.lex_state = 394, .external_lex_state = 3},
  [10634] = {.lex_state = 546, .external_lex_state = 3},
  [10635] = {.lex_state = 394, .external_lex_state = 3},
  [10636] = {.lex_state = 546, .external_lex_state = 3},
  [10637] = {.lex_state = 394, .external_lex_state = 3},
  [10638] = {.lex_state = 394, .external_lex_state = 3},
  [10639] = {.lex_state = 394, .external_lex_state = 3},
  [10640] = {.lex_state = 546, .external_lex_state = 3},
  [10641] = {.lex_state = 389, .external_lex_state = 3},
  [10642] = {.lex_state = 165, .external_lex_state = 3},
  [10643] = {.lex_state = 167, .external_lex_state = 3},
  [10644] = {.lex_state = 167, .external_lex_state = 3},
  [10645] = {.lex_state = 165, .external_lex_state = 3},
  [10646] = {.lex_state = 389, .external_lex_state = 3},
  [10647] = {.lex_state = 544, .external_lex_state = 2},
  [10648] = {.lex_state = 389, .external_lex_state = 3},
  [10649] = {.lex_state = 389, .external_lex_state = 3},
  [10650] = {.lex_state = 389, .external_lex_state = 3},
  [10651] = {.lex_state = 389, .external_lex_state = 3},
  [10652] = {.lex_state = 389, .external_lex_state = 3},
  [10653] = {.lex_state = 389, .external_lex_state = 3},
  [10654] = {.lex_state = 389, .external_lex_state = 3},
  [10655] = {.lex_state = 546, .external_lex_state = 2},
  [10656] = {.lex_state = 544, .external_lex_state = 2},
  [10657] = {.lex_state = 167, .external_lex_state = 3},
  [10658] = {.lex_state = 167, .external_lex_state = 3},
  [10659] = {.lex_state = 371, .external_lex_state = 3},
  [10660] = {.lex_state = 389, .external_lex_state = 3},
  [10661] = {.lex_state = 368, .external_lex_state = 2},
  [10662] = {.lex_state = 368, .external_lex_state = 2},
  [10663] = {.lex_state = 389, .external_lex_state = 3},
  [10664] = {.lex_state = 371, .external_lex_state = 3},
  [10665] = {.lex_state = 368, .external_lex_state = 2},
  [10666] = {.lex_state = 389, .external_lex_state = 3},
  [10667] = {.lex_state = 389, .external_lex_state = 3},
  [10668] = {.lex_state = 544, .external_lex_state = 2},
  [10669] = {.lex_state = 371, .external_lex_state = 3},
  [10670] = {.lex_state = 394, .external_lex_state = 2},
  [10671] = {.lex_state = 389, .external_lex_state = 3},
  [10672] = {.lex_state = 368, .external_lex_state = 2},
  [10673] = {.lex_state = 389, .external_lex_state = 3},
  [10674] = {.lex_state = 389, .external_lex_state = 3},
  [10675] = {.lex_state = 165, .external_lex_state = 3},
  [10676] = {.lex_state = 544, .external_lex_state = 2},
  [10677] = {.lex_state = 395, .external_lex_state = 3},
  [10678] = {.lex_state = 169, .external_lex_state = 2},
  [10679] = {.lex_state = 165, .external_lex_state = 3},
  [10680] = {.lex_state = 389, .external_lex_state = 3},
  [10681] = {.lex_state = 169, .external_lex_state = 3},
  [10682] = {.lex_state = 389, .external_lex_state = 3},
  [10683] = {.lex_state = 395, .external_lex_state = 3},
  [10684] = {.lex_state = 169, .external_lex_state = 3},
  [10685] = {.lex_state = 368, .external_lex_state = 2},
  [10686] = {.lex_state = 169, .external_lex_state = 2},
  [10687] = {.lex_state = 389, .external_lex_state = 3},
  [10688] = {.lex_state = 389, .external_lex_state = 3},
  [10689] = {.lex_state = 389, .external_lex_state = 3},
  [10690] = {.lex_state = 343},
  [10691] = {.lex_state = 389, .external_lex_state = 3},
  [10692] = {.lex_state = 389, .external_lex_state = 3},
  [10693] = {.lex_state = 169, .external_lex_state = 2},
  [10694] = {.lex_state = 389, .external_lex_state = 3},
  [10695] = {.lex_state = 394, .external_lex_state = 2},
  [10696] = {.lex_state = 169, .external_lex_state = 3},
  [10697] = {.lex_state = 389, .external_lex_state = 3},
  [10698] = {.lex_state = 389, .external_lex_state = 3},
  [10699] = {.lex_state = 546, .external_lex_state = 2},
  [10700] = {.lex_state = 546, .external_lex_state = 2},
  [10701] = {.lex_state = 389, .external_lex_state = 3},
  [10702] = {.lex_state = 389, .external_lex_state = 3},
  [10703] = {.lex_state = 389, .external_lex_state = 3},
  [10704] = {.lex_state = 389, .external_lex_state = 3},
  [10705] = {.lex_state = 389, .external_lex_state = 3},
  [10706] = {.lex_state = 389, .external_lex_state = 3},
  [10707] = {.lex_state = 369, .external_lex_state = 2},
  [10708] = {.lex_state = 389, .external_lex_state = 3},
  [10709] = {.lex_state = 369, .external_lex_state = 2},
  [10710] = {.lex_state = 544, .external_lex_state = 2},
  [10711] = {.lex_state = 389, .external_lex_state = 3},
  [10712] = {.lex_state = 369, .external_lex_state = 2},
  [10713] = {.lex_state = 389, .external_lex_state = 3},
  [10714] = {.lex_state = 389, .external_lex_state = 3},
  [10715] = {.lex_state = 395, .external_lex_state = 3},
  [10716] = {.lex_state = 343},
  [10717] = {.lex_state = 389, .external_lex_state = 3},
  [10718] = {.lex_state = 394, .external_lex_state = 2},
  [10719] = {.lex_state = 389, .external_lex_state = 3},
  [10720] = {.lex_state = 343},
  [10721] = {.lex_state = 389, .external_lex_state = 3},
  [10722] = {.lex_state = 389, .external_lex_state = 3},
  [10723] = {.lex_state = 389, .external_lex_state = 3},
  [10724] = {.lex_state = 389, .external_lex_state = 3},
  [10725] = {.lex_state = 389, .external_lex_state = 3},
  [10726] = {.lex_state = 395, .external_lex_state = 3},
  [10727] = {.lex_state = 368, .external_lex_state = 2},
  [10728] = {.lex_state = 389, .external_lex_state = 3},
  [10729] = {.lex_state = 371, .external_lex_state = 3},
  [10730] = {.lex_state = 389, .external_lex_state = 3},
  [10731] = {.lex_state = 389, .external_lex_state = 3},
  [10732] = {.lex_state = 368, .external_lex_state = 2},
  [10733] = {.lex_state = 389, .external_lex_state = 3},
  [10734] = {.lex_state = 389, .external_lex_state = 3},
  [10735] = {.lex_state = 544, .external_lex_state = 2},
  [10736] = {.lex_state = 389, .external_lex_state = 3},
  [10737] = {.lex_state = 389, .external_lex_state = 3},
  [10738] = {.lex_state = 169, .external_lex_state = 2},
  [10739] = {.lex_state = 389, .external_lex_state = 3},
  [10740] = {.lex_state = 389, .external_lex_state = 3},
  [10741] = {.lex_state = 389, .external_lex_state = 3},
  [10742] = {.lex_state = 389, .external_lex_state = 3},
  [10743] = {.lex_state = 389, .external_lex_state = 3},
  [10744] = {.lex_state = 394, .external_lex_state = 2},
  [10745] = {.lex_state = 389, .external_lex_state = 3},
  [10746] = {.lex_state = 389, .external_lex_state = 3},
  [10747] = {.lex_state = 169, .external_lex_state = 3},
  [10748] = {.lex_state = 389, .external_lex_state = 3},
  [10749] = {.lex_state = 389, .external_lex_state = 3},
  [10750] = {.lex_state = 544, .external_lex_state = 2},
  [10751] = {.lex_state = 171, .external_lex_state = 3},
  [10752] = {.lex_state = 171, .external_lex_state = 3},
  [10753] = {.lex_state = 173, .external_lex_state = 3},
  [10754] = {.lex_state = 163, .external_lex_state = 3},
  [10755] = {.lex_state = 369, .external_lex_state = 3},
  [10756] = {.lex_state = 389, .external_lex_state = 2},
  [10757] = {.lex_state = 389, .external_lex_state = 5},
  [10758] = {.lex_state = 173, .external_lex_state = 3},
  [10759] = {.lex_state = 169, .external_lex_state = 3},
  [10760] = {.lex_state = 546, .external_lex_state = 3},
  [10761] = {.lex_state = 544, .external_lex_state = 2},
  [10762] = {.lex_state = 169, .external_lex_state = 3},
  [10763] = {.lex_state = 163, .external_lex_state = 3},
  [10764] = {.lex_state = 368, .external_lex_state = 2},
  [10765] = {.lex_state = 169, .external_lex_state = 3},
  [10766] = {.lex_state = 546, .external_lex_state = 3},
  [10767] = {.lex_state = 169, .external_lex_state = 3},
  [10768] = {.lex_state = 550, .external_lex_state = 2},
  [10769] = {.lex_state = 169, .external_lex_state = 3},
  [10770] = {.lex_state = 546, .external_lex_state = 2},
  [10771] = {.lex_state = 546, .external_lex_state = 2},
  [10772] = {.lex_state = 169, .external_lex_state = 3},
  [10773] = {.lex_state = 544, .external_lex_state = 2},
  [10774] = {.lex_state = 368, .external_lex_state = 2},
  [10775] = {.lex_state = 163, .external_lex_state = 3},
  [10776] = {.lex_state = 163, .external_lex_state = 3},
  [10777] = {.lex_state = 546, .external_lex_state = 3},
  [10778] = {.lex_state = 546, .external_lex_state = 2},
  [10779] = {.lex_state = 163, .external_lex_state = 3},
  [10780] = {.lex_state = 546, .external_lex_state = 2},
  [10781] = {.lex_state = 546, .external_lex_state = 2},
  [10782] = {.lex_state = 546, .external_lex_state = 2},
  [10783] = {.lex_state = 176, .external_lex_state = 3},
  [10784] = {.lex_state = 163, .external_lex_state = 3},
  [10785] = {.lex_state = 546, .external_lex_state = 2},
  [10786] = {.lex_state = 546, .external_lex_state = 2},
  [10787] = {.lex_state = 550, .external_lex_state = 3},
  [10788] = {.lex_state = 176, .external_lex_state = 3},
  [10789] = {.lex_state = 176, .external_lex_state = 3},
  [10790] = {.lex_state = 369, .external_lex_state = 3},
  [10791] = {.lex_state = 550, .external_lex_state = 3},
  [10792] = {.lex_state = 544, .external_lex_state = 2},
  [10793] = {.lex_state = 369, .external_lex_state = 3},
  [10794] = {.lex_state = 546, .external_lex_state = 2},
  [10795] = {.lex_state = 546, .external_lex_state = 3},
  [10796] = {.lex_state = 178, .external_lex_state = 3},
  [10797] = {.lex_state = 544, .external_lex_state = 2},
  [10798] = {.lex_state = 169, .external_lex_state = 3},
  [10799] = {.lex_state = 163, .external_lex_state = 3},
  [10800] = {.lex_state = 544, .external_lex_state = 2},
  [10801] = {.lex_state = 368, .external_lex_state = 2},
  [10802] = {.lex_state = 550, .external_lex_state = 3},
  [10803] = {.lex_state = 390, .external_lex_state = 3},
  [10804] = {.lex_state = 544, .external_lex_state = 2},
  [10805] = {.lex_state = 390, .external_lex_state = 3},
  [10806] = {.lex_state = 369, .external_lex_state = 3},
  [10807] = {.lex_state = 546, .external_lex_state = 3},
  [10808] = {.lex_state = 169, .external_lex_state = 3},
  [10809] = {.lex_state = 544, .external_lex_state = 2},
  [10810] = {.lex_state = 544, .external_lex_state = 2},
  [10811] = {.lex_state = 169, .external_lex_state = 3},
  [10812] = {.lex_state = 389, .external_lex_state = 2},
  [10813] = {.lex_state = 544, .external_lex_state = 2},
  [10814] = {.lex_state = 550, .external_lex_state = 3},
  [10815] = {.lex_state = 169, .external_lex_state = 3},
  [10816] = {.lex_state = 169, .external_lex_state = 3},
  [10817] = {.lex_state = 544, .external_lex_state = 2},
  [10818] = {.lex_state = 390, .external_lex_state = 3},
  [10819] = {.lex_state = 390, .external_lex_state = 3},
  [10820] = {.lex_state = 171, .external_lex_state = 3},
  [10821] = {.lex_state = 171, .external_lex_state = 3},
  [10822] = {.lex_state = 544, .external_lex_state = 2},
  [10823] = {.lex_state = 546, .external_lex_state = 3},
  [10824] = {.lex_state = 173, .external_lex_state = 3},
  [10825] = {.lex_state = 544, .external_lex_state = 2},
  [10826] = {.lex_state = 169, .external_lex_state = 3},
  [10827] = {.lex_state = 389, .external_lex_state = 2},
  [10828] = {.lex_state = 176, .external_lex_state = 3},
  [10829] = {.lex_state = 544, .external_lex_state = 2},
  [10830] = {.lex_state = 173, .external_lex_state = 3},
  [10831] = {.lex_state = 544, .external_lex_state = 2},
  [10832] = {.lex_state = 369, .external_lex_state = 3},
  [10833] = {.lex_state = 169, .external_lex_state = 3},
  [10834] = {.lex_state = 169, .external_lex_state = 3},
  [10835] = {.lex_state = 169, .external_lex_state = 3},
  [10836] = {.lex_state = 544, .external_lex_state = 2},
  [10837] = {.lex_state = 368, .external_lex_state = 2},
  [10838] = {.lex_state = 368, .external_lex_state = 2},
  [10839] = {.lex_state = 368, .external_lex_state = 2},
  [10840] = {.lex_state = 169, .external_lex_state = 3},
  [10841] = {.lex_state = 169, .external_lex_state = 3},
  [10842] = {.lex_state = 389, .external_lex_state = 2},
  [10843] = {.lex_state = 169, .external_lex_state = 3},
  [10844] = {.lex_state = 369, .external_lex_state = 3},
  [10845] = {.lex_state = 546, .external_lex_state = 2},
  [10846] = {.lex_state = 544, .external_lex_state = 2},
  [10847] = {.lex_state = 369, .external_lex_state = 3},
  [10848] = {.lex_state = 169, .external_lex_state = 3},
  [10849] = {.lex_state = 369, .external_lex_state = 3},
  [10850] = {.lex_state = 169, .external_lex_state = 3},
  [10851] = {.lex_state = 169, .external_lex_state = 3},
  [10852] = {.lex_state = 552, .external_lex_state = 3},
  [10853] = {.lex_state = 369, .external_lex_state = 2},
  [10854] = {.lex_state = 546, .external_lex_state = 3},
  [10855] = {.lex_state = 550, .external_lex_state = 3},
  [10856] = {.lex_state = 550, .external_lex_state = 3},
  [10857] = {.lex_state = 369, .external_lex_state = 3},
  [10858] = {.lex_state = 169, .external_lex_state = 3},
  [10859] = {.lex_state = 169, .external_lex_state = 3},
  [10860] = {.lex_state = 169, .external_lex_state = 3},
  [10861] = {.lex_state = 552, .external_lex_state = 3},
  [10862] = {.lex_state = 546, .external_lex_state = 3},
  [10863] = {.lex_state = 546, .external_lex_state = 3},
  [10864] = {.lex_state = 169, .external_lex_state = 3},
  [10865] = {.lex_state = 169, .external_lex_state = 3},
  [10866] = {.lex_state = 169, .external_lex_state = 3},
  [10867] = {.lex_state = 169, .external_lex_state = 3},
  [10868] = {.lex_state = 169, .external_lex_state = 3},
  [10869] = {.lex_state = 369, .external_lex_state = 2},
  [10870] = {.lex_state = 546, .external_lex_state = 2},
  [10871] = {.lex_state = 546, .external_lex_state = 3},
  [10872] = {.lex_state = 546, .external_lex_state = 3},
  [10873] = {.lex_state = 550, .external_lex_state = 3},
  [10874] = {.lex_state = 546, .external_lex_state = 3},
  [10875] = {.lex_state = 169, .external_lex_state = 3},
  [10876] = {.lex_state = 169, .external_lex_state = 3},
  [10877] = {.lex_state = 372, .external_lex_state = 3},
  [10878] = {.lex_state = 169, .external_lex_state = 3},
  [10879] = {.lex_state = 169, .external_lex_state = 3},
  [10880] = {.lex_state = 372, .external_lex_state = 3},
  [10881] = {.lex_state = 546, .external_lex_state = 3},
  [10882] = {.lex_state = 369, .external_lex_state = 3},
  [10883] = {.lex_state = 369, .external_lex_state = 3},
  [10884] = {.lex_state = 369, .external_lex_state = 3},
  [10885] = {.lex_state = 169, .external_lex_state = 3},
  [10886] = {.lex_state = 169, .external_lex_state = 3},
  [10887] = {.lex_state = 169, .external_lex_state = 3},
  [10888] = {.lex_state = 369, .external_lex_state = 3},
  [10889] = {.lex_state = 169, .external_lex_state = 3},
  [10890] = {.lex_state = 169, .external_lex_state = 3},
  [10891] = {.lex_state = 169, .external_lex_state = 3},
  [10892] = {.lex_state = 546, .external_lex_state = 3},
  [10893] = {.lex_state = 552, .external_lex_state = 3},
  [10894] = {.lex_state = 552, .external_lex_state = 3},
  [10895] = {.lex_state = 546, .external_lex_state = 3},
  [10896] = {.lex_state = 550, .external_lex_state = 3},
  [10897] = {.lex_state = 169, .external_lex_state = 3},
  [10898] = {.lex_state = 169, .external_lex_state = 3},
  [10899] = {.lex_state = 554, .external_lex_state = 3},
  [10900] = {.lex_state = 169, .external_lex_state = 3},
  [10901] = {.lex_state = 169, .external_lex_state = 3},
  [10902] = {.lex_state = 369, .external_lex_state = 3},
  [10903] = {.lex_state = 169, .external_lex_state = 3},
  [10904] = {.lex_state = 169, .external_lex_state = 3},
  [10905] = {.lex_state = 169, .external_lex_state = 3},
  [10906] = {.lex_state = 169, .external_lex_state = 3},
  [10907] = {.lex_state = 546, .external_lex_state = 3},
  [10908] = {.lex_state = 550, .external_lex_state = 3},
  [10909] = {.lex_state = 169, .external_lex_state = 3},
  [10910] = {.lex_state = 169, .external_lex_state = 3},
  [10911] = {.lex_state = 369, .external_lex_state = 3},
  [10912] = {.lex_state = 556, .external_lex_state = 2},
  [10913] = {.lex_state = 169, .external_lex_state = 3},
  [10914] = {.lex_state = 169, .external_lex_state = 3},
  [10915] = {.lex_state = 169, .external_lex_state = 3},
  [10916] = {.lex_state = 546, .external_lex_state = 2},
  [10917] = {.lex_state = 394, .external_lex_state = 3},
  [10918] = {.lex_state = 169, .external_lex_state = 3},
  [10919] = {.lex_state = 169, .external_lex_state = 3},
  [10920] = {.lex_state = 556, .external_lex_state = 3},
  [10921] = {.lex_state = 183, .external_lex_state = 3},
  [10922] = {.lex_state = 556, .external_lex_state = 3},
  [10923] = {.lex_state = 183, .external_lex_state = 3},
  [10924] = {.lex_state = 393},
  [10925] = {.lex_state = 169, .external_lex_state = 3},
  [10926] = {.lex_state = 369, .external_lex_state = 3},
  [10927] = {.lex_state = 169, .external_lex_state = 3},
  [10928] = {.lex_state = 169, .external_lex_state = 3},
  [10929] = {.lex_state = 169, .external_lex_state = 3},
  [10930] = {.lex_state = 169, .external_lex_state = 3},
  [10931] = {.lex_state = 546, .external_lex_state = 3},
  [10932] = {.lex_state = 546, .external_lex_state = 3},
  [10933] = {.lex_state = 556, .external_lex_state = 3},
  [10934] = {.lex_state = 169, .external_lex_state = 3},
  [10935] = {.lex_state = 369, .external_lex_state = 3},
  [10936] = {.lex_state = 550, .external_lex_state = 3},
  [10937] = {.lex_state = 169, .external_lex_state = 3},
  [10938] = {.lex_state = 169, .external_lex_state = 3},
  [10939] = {.lex_state = 550, .external_lex_state = 3},
  [10940] = {.lex_state = 169, .external_lex_state = 3},
  [10941] = {.lex_state = 544, .external_lex_state = 2},
  [10942] = {.lex_state = 369, .external_lex_state = 3},
  [10943] = {.lex_state = 550, .external_lex_state = 3},
  [10944] = {.lex_state = 169, .external_lex_state = 3},
  [10945] = {.lex_state = 169, .external_lex_state = 3},
  [10946] = {.lex_state = 556, .external_lex_state = 3},
  [10947] = {.lex_state = 369, .external_lex_state = 3},
  [10948] = {.lex_state = 368, .external_lex_state = 2},
  [10949] = {.lex_state = 546, .external_lex_state = 3},
  [10950] = {.lex_state = 546, .external_lex_state = 3},
  [10951] = {.lex_state = 550, .external_lex_state = 3},
  [10952] = {.lex_state = 169, .external_lex_state = 3},
  [10953] = {.lex_state = 546, .external_lex_state = 3},
  [10954] = {.lex_state = 546, .external_lex_state = 3},
  [10955] = {.lex_state = 369, .external_lex_state = 2},
  [10956] = {.lex_state = 169, .external_lex_state = 3},
  [10957] = {.lex_state = 169, .external_lex_state = 3},
  [10958] = {.lex_state = 183, .external_lex_state = 3},
  [10959] = {.lex_state = 169, .external_lex_state = 3},
  [10960] = {.lex_state = 372, .external_lex_state = 3},
  [10961] = {.lex_state = 183, .external_lex_state = 3},
  [10962] = {.lex_state = 546, .external_lex_state = 2},
  [10963] = {.lex_state = 372, .external_lex_state = 3},
  [10964] = {.lex_state = 169, .external_lex_state = 3},
  [10965] = {.lex_state = 550, .external_lex_state = 3},
  [10966] = {.lex_state = 550, .external_lex_state = 3},
  [10967] = {.lex_state = 368, .external_lex_state = 2},
  [10968] = {.lex_state = 546, .external_lex_state = 3},
  [10969] = {.lex_state = 546, .external_lex_state = 3},
  [10970] = {.lex_state = 169, .external_lex_state = 3},
  [10971] = {.lex_state = 550, .external_lex_state = 3},
  [10972] = {.lex_state = 169, .external_lex_state = 3},
  [10973] = {.lex_state = 169, .external_lex_state = 3},
  [10974] = {.lex_state = 368, .external_lex_state = 2},
  [10975] = {.lex_state = 169, .external_lex_state = 3},
  [10976] = {.lex_state = 169, .external_lex_state = 3},
  [10977] = {.lex_state = 169, .external_lex_state = 3},
  [10978] = {.lex_state = 546, .external_lex_state = 3},
  [10979] = {.lex_state = 546, .external_lex_state = 2},
  [10980] = {.lex_state = 546, .external_lex_state = 2},
  [10981] = {.lex_state = 169, .external_lex_state = 3},
  [10982] = {.lex_state = 550, .external_lex_state = 3},
  [10983] = {.lex_state = 550, .external_lex_state = 3},
  [10984] = {.lex_state = 389},
  [10985] = {.lex_state = 550, .external_lex_state = 3},
  [10986] = {.lex_state = 550, .external_lex_state = 3},
  [10987] = {.lex_state = 389, .external_lex_state = 3},
  [10988] = {.lex_state = 550, .external_lex_state = 3},
  [10989] = {.lex_state = 546, .external_lex_state = 3},
  [10990] = {.lex_state = 550, .external_lex_state = 3},
  [10991] = {.lex_state = 550, .external_lex_state = 3},
  [10992] = {.lex_state = 368, .external_lex_state = 2},
  [10993] = {.lex_state = 389},
  [10994] = {.lex_state = 550, .external_lex_state = 3},
  [10995] = {.lex_state = 550, .external_lex_state = 3},
  [10996] = {.lex_state = 550, .external_lex_state = 3},
  [10997] = {.lex_state = 389, .external_lex_state = 3},
  [10998] = {.lex_state = 550, .external_lex_state = 3},
  [10999] = {.lex_state = 389},
  [11000] = {.lex_state = 369, .external_lex_state = 3},
  [11001] = {.lex_state = 556, .external_lex_state = 3},
  [11002] = {.lex_state = 550, .external_lex_state = 3},
  [11003] = {.lex_state = 550, .external_lex_state = 3},
  [11004] = {.lex_state = 544, .external_lex_state = 2},
  [11005] = {.lex_state = 550, .external_lex_state = 3},
  [11006] = {.lex_state = 389},
  [11007] = {.lex_state = 389},
  [11008] = {.lex_state = 550, .external_lex_state = 3},
  [11009] = {.lex_state = 389},
  [11010] = {.lex_state = 389},
  [11011] = {.lex_state = 550, .external_lex_state = 3},
  [11012] = {.lex_state = 389},
  [11013] = {.lex_state = 550, .external_lex_state = 3},
  [11014] = {.lex_state = 550, .external_lex_state = 3},
  [11015] = {.lex_state = 546, .external_lex_state = 3},
  [11016] = {.lex_state = 546, .external_lex_state = 3},
  [11017] = {.lex_state = 546, .external_lex_state = 3},
  [11018] = {.lex_state = 550, .external_lex_state = 3},
  [11019] = {.lex_state = 389},
  [11020] = {.lex_state = 389},
  [11021] = {.lex_state = 389},
  [11022] = {.lex_state = 389},
  [11023] = {.lex_state = 550, .external_lex_state = 3},
  [11024] = {.lex_state = 389},
  [11025] = {.lex_state = 389},
  [11026] = {.lex_state = 389},
  [11027] = {.lex_state = 550, .external_lex_state = 3},
  [11028] = {.lex_state = 389},
  [11029] = {.lex_state = 389},
  [11030] = {.lex_state = 550, .external_lex_state = 3},
  [11031] = {.lex_state = 389},
  [11032] = {.lex_state = 550, .external_lex_state = 3},
  [11033] = {.lex_state = 550, .external_lex_state = 3},
  [11034] = {.lex_state = 556, .external_lex_state = 3},
  [11035] = {.lex_state = 550, .external_lex_state = 3},
  [11036] = {.lex_state = 556, .external_lex_state = 3},
  [11037] = {.lex_state = 550, .external_lex_state = 3},
  [11038] = {.lex_state = 550, .external_lex_state = 3},
  [11039] = {.lex_state = 389},
  [11040] = {.lex_state = 389},
  [11041] = {.lex_state = 389},
  [11042] = {.lex_state = 546, .external_lex_state = 3},
  [11043] = {.lex_state = 389},
  [11044] = {.lex_state = 550, .external_lex_state = 3},
  [11045] = {.lex_state = 389},
  [11046] = {.lex_state = 550, .external_lex_state = 3},
  [11047] = {.lex_state = 550, .external_lex_state = 3},
  [11048] = {.lex_state = 389},
  [11049] = {.lex_state = 368, .external_lex_state = 2},
  [11050] = {.lex_state = 550, .external_lex_state = 3},
  [11051] = {.lex_state = 369, .external_lex_state = 3},
  [11052] = {.lex_state = 389},
  [11053] = {.lex_state = 389},
  [11054] = {.lex_state = 550, .external_lex_state = 3},
  [11055] = {.lex_state = 550, .external_lex_state = 3},
  [11056] = {.lex_state = 369, .external_lex_state = 3},
  [11057] = {.lex_state = 389},
  [11058] = {.lex_state = 389},
  [11059] = {.lex_state = 368, .external_lex_state = 2},
  [11060] = {.lex_state = 389},
  [11061] = {.lex_state = 389},
  [11062] = {.lex_state = 389},
  [11063] = {.lex_state = 546, .external_lex_state = 3},
  [11064] = {.lex_state = 389},
  [11065] = {.lex_state = 556, .external_lex_state = 3},
  [11066] = {.lex_state = 556, .external_lex_state = 3},
  [11067] = {.lex_state = 368, .external_lex_state = 2},
  [11068] = {.lex_state = 369, .external_lex_state = 3},
  [11069] = {.lex_state = 550, .external_lex_state = 3},
  [11070] = {.lex_state = 389},
  [11071] = {.lex_state = 389},
  [11072] = {.lex_state = 369, .external_lex_state = 3},
  [11073] = {.lex_state = 413},
  [11074] = {.lex_state = 389},
  [11075] = {.lex_state = 550, .external_lex_state = 3},
  [11076] = {.lex_state = 389},
  [11077] = {.lex_state = 550, .external_lex_state = 3},
  [11078] = {.lex_state = 546, .external_lex_state = 3},
  [11079] = {.lex_state = 556, .external_lex_state = 3},
  [11080] = {.lex_state = 369, .external_lex_state = 3},
  [11081] = {.lex_state = 389},
  [11082] = {.lex_state = 550, .external_lex_state = 3},
  [11083] = {.lex_state = 550, .external_lex_state = 3},
  [11084] = {.lex_state = 556, .external_lex_state = 3},
  [11085] = {.lex_state = 389},
  [11086] = {.lex_state = 546, .external_lex_state = 3},
  [11087] = {.lex_state = 389},
  [11088] = {.lex_state = 556, .external_lex_state = 3},
  [11089] = {.lex_state = 550, .external_lex_state = 3},
  [11090] = {.lex_state = 546, .external_lex_state = 3},
  [11091] = {.lex_state = 389},
  [11092] = {.lex_state = 550, .external_lex_state = 3},
  [11093] = {.lex_state = 389},
  [11094] = {.lex_state = 550, .external_lex_state = 3},
  [11095] = {.lex_state = 550, .external_lex_state = 3},
  [11096] = {.lex_state = 550, .external_lex_state = 3},
  [11097] = {.lex_state = 389},
  [11098] = {.lex_state = 546, .external_lex_state = 3},
  [11099] = {.lex_state = 369, .external_lex_state = 3},
  [11100] = {.lex_state = 556, .external_lex_state = 3},
  [11101] = {.lex_state = 389},
  [11102] = {.lex_state = 369, .external_lex_state = 3},
  [11103] = {.lex_state = 550, .external_lex_state = 3},
  [11104] = {.lex_state = 550, .external_lex_state = 3},
  [11105] = {.lex_state = 369, .external_lex_state = 3},
  [11106] = {.lex_state = 550, .external_lex_state = 3},
  [11107] = {.lex_state = 550, .external_lex_state = 3},
  [11108] = {.lex_state = 389},
  [11109] = {.lex_state = 369, .external_lex_state = 3},
  [11110] = {.lex_state = 550, .external_lex_state = 3},
  [11111] = {.lex_state = 550, .external_lex_state = 3},
  [11112] = {.lex_state = 546, .external_lex_state = 3},
  [11113] = {.lex_state = 550, .external_lex_state = 3},
  [11114] = {.lex_state = 550, .external_lex_state = 3},
  [11115] = {.lex_state = 550, .external_lex_state = 3},
  [11116] = {.lex_state = 369, .external_lex_state = 3},
  [11117] = {.lex_state = 546, .external_lex_state = 3},
  [11118] = {.lex_state = 369, .external_lex_state = 3},
  [11119] = {.lex_state = 369, .external_lex_state = 3},
  [11120] = {.lex_state = 546, .external_lex_state = 3},
  [11121] = {.lex_state = 389},
  [11122] = {.lex_state = 558, .external_lex_state = 3},
  [11123] = {.lex_state = 546, .external_lex_state = 3},
  [11124] = {.lex_state = 368, .external_lex_state = 2},
  [11125] = {.lex_state = 556, .external_lex_state = 3},
  [11126] = {.lex_state = 556, .external_lex_state = 3},
  [11127] = {.lex_state = 550, .external_lex_state = 3},
  [11128] = {.lex_state = 546, .external_lex_state = 3},
  [11129] = {.lex_state = 550, .external_lex_state = 3},
  [11130] = {.lex_state = 550, .external_lex_state = 3},
  [11131] = {.lex_state = 550, .external_lex_state = 3},
  [11132] = {.lex_state = 550, .external_lex_state = 3},
  [11133] = {.lex_state = 550, .external_lex_state = 3},
  [11134] = {.lex_state = 556, .external_lex_state = 3},
  [11135] = {.lex_state = 550, .external_lex_state = 3},
  [11136] = {.lex_state = 389},
  [11137] = {.lex_state = 389, .external_lex_state = 4},
  [11138] = {.lex_state = 556, .external_lex_state = 3},
  [11139] = {.lex_state = 556, .external_lex_state = 3},
  [11140] = {.lex_state = 556, .external_lex_state = 3},
  [11141] = {.lex_state = 186, .external_lex_state = 3},
  [11142] = {.lex_state = 556, .external_lex_state = 3},
  [11143] = {.lex_state = 556, .external_lex_state = 3},
  [11144] = {.lex_state = 556, .external_lex_state = 3},
  [11145] = {.lex_state = 556, .external_lex_state = 3},
  [11146] = {.lex_state = 556, .external_lex_state = 3},
  [11147] = {.lex_state = 375, .external_lex_state = 2},
  [11148] = {.lex_state = 186, .external_lex_state = 2},
  [11149] = {.lex_state = 556, .external_lex_state = 3},
  [11150] = {.lex_state = 556, .external_lex_state = 3},
  [11151] = {.lex_state = 369, .external_lex_state = 3},
  [11152] = {.lex_state = 186, .external_lex_state = 2},
  [11153] = {.lex_state = 556, .external_lex_state = 3},
  [11154] = {.lex_state = 556, .external_lex_state = 3},
  [11155] = {.lex_state = 369, .external_lex_state = 3},
  [11156] = {.lex_state = 546, .external_lex_state = 3},
  [11157] = {.lex_state = 556, .external_lex_state = 3},
  [11158] = {.lex_state = 404},
  [11159] = {.lex_state = 556, .external_lex_state = 3},
  [11160] = {.lex_state = 556, .external_lex_state = 3},
  [11161] = {.lex_state = 556, .external_lex_state = 3},
  [11162] = {.lex_state = 546, .external_lex_state = 3},
  [11163] = {.lex_state = 389, .external_lex_state = 4},
  [11164] = {.lex_state = 404},
  [11165] = {.lex_state = 389, .external_lex_state = 5},
  [11166] = {.lex_state = 404},
  [11167] = {.lex_state = 556, .external_lex_state = 3},
  [11168] = {.lex_state = 389, .external_lex_state = 5},
  [11169] = {.lex_state = 546, .external_lex_state = 3},
  [11170] = {.lex_state = 186, .external_lex_state = 3},
  [11171] = {.lex_state = 389, .external_lex_state = 4},
  [11172] = {.lex_state = 389},
  [11173] = {.lex_state = 556, .external_lex_state = 3},
  [11174] = {.lex_state = 186, .external_lex_state = 2},
  [11175] = {.lex_state = 369, .external_lex_state = 2},
  [11176] = {.lex_state = 368, .external_lex_state = 2},
  [11177] = {.lex_state = 369, .external_lex_state = 2},
  [11178] = {.lex_state = 556, .external_lex_state = 3},
  [11179] = {.lex_state = 556, .external_lex_state = 3},
  [11180] = {.lex_state = 186, .external_lex_state = 3},
  [11181] = {.lex_state = 556, .external_lex_state = 3},
  [11182] = {.lex_state = 369, .external_lex_state = 2},
  [11183] = {.lex_state = 556, .external_lex_state = 3},
  [11184] = {.lex_state = 389, .external_lex_state = 4},
  [11185] = {.lex_state = 556, .external_lex_state = 3},
  [11186] = {.lex_state = 368, .external_lex_state = 2},
  [11187] = {.lex_state = 556, .external_lex_state = 3},
  [11188] = {.lex_state = 389},
  [11189] = {.lex_state = 556, .external_lex_state = 3},
  [11190] = {.lex_state = 556, .external_lex_state = 3},
  [11191] = {.lex_state = 374, .external_lex_state = 3},
  [11192] = {.lex_state = 556, .external_lex_state = 3},
  [11193] = {.lex_state = 556, .external_lex_state = 3},
  [11194] = {.lex_state = 374, .external_lex_state = 3},
  [11195] = {.lex_state = 556, .external_lex_state = 3},
  [11196] = {.lex_state = 556, .external_lex_state = 3},
  [11197] = {.lex_state = 374, .external_lex_state = 3},
  [11198] = {.lex_state = 556, .external_lex_state = 3},
  [11199] = {.lex_state = 556, .external_lex_state = 3},
  [11200] = {.lex_state = 556, .external_lex_state = 3},
  [11201] = {.lex_state = 369, .external_lex_state = 3},
  [11202] = {.lex_state = 556, .external_lex_state = 3},
  [11203] = {.lex_state = 556, .external_lex_state = 3},
  [11204] = {.lex_state = 556, .external_lex_state = 3},
  [11205] = {.lex_state = 396, .external_lex_state = 3},
  [11206] = {.lex_state = 404},
  [11207] = {.lex_state = 396, .external_lex_state = 3},
  [11208] = {.lex_state = 556, .external_lex_state = 3},
  [11209] = {.lex_state = 396, .external_lex_state = 3},
  [11210] = {.lex_state = 556, .external_lex_state = 3},
  [11211] = {.lex_state = 396, .external_lex_state = 3},
  [11212] = {.lex_state = 556, .external_lex_state = 3},
  [11213] = {.lex_state = 375, .external_lex_state = 2},
  [11214] = {.lex_state = 368, .external_lex_state = 2},
  [11215] = {.lex_state = 186, .external_lex_state = 2},
  [11216] = {.lex_state = 374, .external_lex_state = 3},
  [11217] = {.lex_state = 556, .external_lex_state = 3},
  [11218] = {.lex_state = 188, .external_lex_state = 3},
  [11219] = {.lex_state = 188, .external_lex_state = 3},
  [11220] = {.lex_state = 369, .external_lex_state = 3},
  [11221] = {.lex_state = 556, .external_lex_state = 3},
  [11222] = {.lex_state = 550, .external_lex_state = 2},
  [11223] = {.lex_state = 190, .external_lex_state = 3},
  [11224] = {.lex_state = 190, .external_lex_state = 3},
  [11225] = {.lex_state = 369, .external_lex_state = 3},
  [11226] = {.lex_state = 556, .external_lex_state = 3},
  [11227] = {.lex_state = 394, .external_lex_state = 2},
  [11228] = {.lex_state = 188, .external_lex_state = 3},
  [11229] = {.lex_state = 556, .external_lex_state = 3},
  [11230] = {.lex_state = 190, .external_lex_state = 3},
  [11231] = {.lex_state = 186, .external_lex_state = 2},
  [11232] = {.lex_state = 556, .external_lex_state = 3},
  [11233] = {.lex_state = 550, .external_lex_state = 2},
  [11234] = {.lex_state = 550, .external_lex_state = 2},
  [11235] = {.lex_state = 394, .external_lex_state = 2},
  [11236] = {.lex_state = 190, .external_lex_state = 3},
  [11237] = {.lex_state = 394, .external_lex_state = 2},
  [11238] = {.lex_state = 375, .external_lex_state = 2},
  [11239] = {.lex_state = 375, .external_lex_state = 2},
  [11240] = {.lex_state = 556, .external_lex_state = 3},
  [11241] = {.lex_state = 556, .external_lex_state = 3},
  [11242] = {.lex_state = 556, .external_lex_state = 3},
  [11243] = {.lex_state = 556, .external_lex_state = 3},
  [11244] = {.lex_state = 186, .external_lex_state = 3},
  [11245] = {.lex_state = 556, .external_lex_state = 3},
  [11246] = {.lex_state = 556, .external_lex_state = 3},
  [11247] = {.lex_state = 556, .external_lex_state = 3},
  [11248] = {.lex_state = 550, .external_lex_state = 2},
  [11249] = {.lex_state = 389},
  [11250] = {.lex_state = 375, .external_lex_state = 2},
  [11251] = {.lex_state = 556, .external_lex_state = 3},
  [11252] = {.lex_state = 394, .external_lex_state = 2},
  [11253] = {.lex_state = 389},
  [11254] = {.lex_state = 556, .external_lex_state = 3},
  [11255] = {.lex_state = 556, .external_lex_state = 3},
  [11256] = {.lex_state = 556, .external_lex_state = 3},
  [11257] = {.lex_state = 556, .external_lex_state = 3},
  [11258] = {.lex_state = 556, .external_lex_state = 3},
  [11259] = {.lex_state = 556, .external_lex_state = 3},
  [11260] = {.lex_state = 369, .external_lex_state = 3},
  [11261] = {.lex_state = 368, .external_lex_state = 2},
  [11262] = {.lex_state = 556, .external_lex_state = 3},
  [11263] = {.lex_state = 188, .external_lex_state = 3},
  [11264] = {.lex_state = 192, .external_lex_state = 3},
  [11265] = {.lex_state = 194, .external_lex_state = 3},
  [11266] = {.lex_state = 376, .external_lex_state = 3},
  [11267] = {.lex_state = 389},
  [11268] = {.lex_state = 389},
  [11269] = {.lex_state = 568, .external_lex_state = 3},
  [11270] = {.lex_state = 369, .external_lex_state = 3},
  [11271] = {.lex_state = 389},
  [11272] = {.lex_state = 389},
  [11273] = {.lex_state = 376, .external_lex_state = 3},
  [11274] = {.lex_state = 550, .external_lex_state = 2},
  [11275] = {.lex_state = 550, .external_lex_state = 2},
  [11276] = {.lex_state = 186, .external_lex_state = 3},
  [11277] = {.lex_state = 550, .external_lex_state = 2},
  [11278] = {.lex_state = 196, .external_lex_state = 3},
  [11279] = {.lex_state = 389},
  [11280] = {.lex_state = 389},
  [11281] = {.lex_state = 376, .external_lex_state = 3},
  [11282] = {.lex_state = 198, .external_lex_state = 3},
  [11283] = {.lex_state = 369, .external_lex_state = 3},
  [11284] = {.lex_state = 186, .external_lex_state = 3},
  [11285] = {.lex_state = 389},
  [11286] = {.lex_state = 550, .external_lex_state = 2},
  [11287] = {.lex_state = 389},
  [11288] = {.lex_state = 389, .external_lex_state = 5},
  [11289] = {.lex_state = 389},
  [11290] = {.lex_state = 389},
  [11291] = {.lex_state = 186, .external_lex_state = 3},
  [11292] = {.lex_state = 192, .external_lex_state = 3},
  [11293] = {.lex_state = 550, .external_lex_state = 2},
  [11294] = {.lex_state = 389},
  [11295] = {.lex_state = 391, .external_lex_state = 3},
  [11296] = {.lex_state = 568, .external_lex_state = 2},
  [11297] = {.lex_state = 389},
  [11298] = {.lex_state = 186, .external_lex_state = 3},
  [11299] = {.lex_state = 568, .external_lex_state = 2},
  [11300] = {.lex_state = 389},
  [11301] = {.lex_state = 389},
  [11302] = {.lex_state = 389},
  [11303] = {.lex_state = 389},
  [11304] = {.lex_state = 376, .external_lex_state = 3},
  [11305] = {.lex_state = 391, .external_lex_state = 3},
  [11306] = {.lex_state = 389},
  [11307] = {.lex_state = 550, .external_lex_state = 2},
  [11308] = {.lex_state = 389},
  [11309] = {.lex_state = 389},
  [11310] = {.lex_state = 369, .external_lex_state = 3},
  [11311] = {.lex_state = 556, .external_lex_state = 2},
  [11312] = {.lex_state = 550, .external_lex_state = 2},
  [11313] = {.lex_state = 389, .external_lex_state = 2},
  [11314] = {.lex_state = 368, .external_lex_state = 2},
  [11315] = {.lex_state = 192, .external_lex_state = 3},
  [11316] = {.lex_state = 200, .external_lex_state = 3},
  [11317] = {.lex_state = 186, .external_lex_state = 3},
  [11318] = {.lex_state = 389},
  [11319] = {.lex_state = 391, .external_lex_state = 3},
  [11320] = {.lex_state = 202, .external_lex_state = 3},
  [11321] = {.lex_state = 389},
  [11322] = {.lex_state = 556, .external_lex_state = 2},
  [11323] = {.lex_state = 200, .external_lex_state = 3},
  [11324] = {.lex_state = 186, .external_lex_state = 3},
  [11325] = {.lex_state = 556, .external_lex_state = 2},
  [11326] = {.lex_state = 389},
  [11327] = {.lex_state = 377, .external_lex_state = 2},
  [11328] = {.lex_state = 389},
  [11329] = {.lex_state = 186, .external_lex_state = 3},
  [11330] = {.lex_state = 568, .external_lex_state = 2},
  [11331] = {.lex_state = 568, .external_lex_state = 3},
  [11332] = {.lex_state = 186, .external_lex_state = 3},
  [11333] = {.lex_state = 389},
  [11334] = {.lex_state = 389},
  [11335] = {.lex_state = 389, .external_lex_state = 2},
  [11336] = {.lex_state = 369, .external_lex_state = 3},
  [11337] = {.lex_state = 389},
  [11338] = {.lex_state = 389},
  [11339] = {.lex_state = 192, .external_lex_state = 3},
  [11340] = {.lex_state = 389},
  [11341] = {.lex_state = 389, .external_lex_state = 2},
  [11342] = {.lex_state = 389},
  [11343] = {.lex_state = 390},
  [11344] = {.lex_state = 389},
  [11345] = {.lex_state = 369, .external_lex_state = 3},
  [11346] = {.lex_state = 546, .external_lex_state = 3},
  [11347] = {.lex_state = 556, .external_lex_state = 2},
  [11348] = {.lex_state = 369, .external_lex_state = 3},
  [11349] = {.lex_state = 369, .external_lex_state = 3},
  [11350] = {.lex_state = 369, .external_lex_state = 3},
  [11351] = {.lex_state = 369, .external_lex_state = 3},
  [11352] = {.lex_state = 389, .external_lex_state = 2},
  [11353] = {.lex_state = 568, .external_lex_state = 2},
  [11354] = {.lex_state = 369, .external_lex_state = 3},
  [11355] = {.lex_state = 550, .external_lex_state = 2},
  [11356] = {.lex_state = 389},
  [11357] = {.lex_state = 348},
  [11358] = {.lex_state = 568, .external_lex_state = 3},
  [11359] = {.lex_state = 186, .external_lex_state = 3},
  [11360] = {.lex_state = 202, .external_lex_state = 3},
  [11361] = {.lex_state = 186, .external_lex_state = 3},
  [11362] = {.lex_state = 391, .external_lex_state = 3},
  [11363] = {.lex_state = 389},
  [11364] = {.lex_state = 389},
  [11365] = {.lex_state = 389},
  [11366] = {.lex_state = 389},
  [11367] = {.lex_state = 389},
  [11368] = {.lex_state = 389},
  [11369] = {.lex_state = 389},
  [11370] = {.lex_state = 389},
  [11371] = {.lex_state = 202, .external_lex_state = 3},
  [11372] = {.lex_state = 369, .external_lex_state = 3},
  [11373] = {.lex_state = 377, .external_lex_state = 2},
  [11374] = {.lex_state = 202, .external_lex_state = 3},
  [11375] = {.lex_state = 556, .external_lex_state = 5},
  [11376] = {.lex_state = 389},
  [11377] = {.lex_state = 389},
  [11378] = {.lex_state = 389},
  [11379] = {.lex_state = 186, .external_lex_state = 3},
  [11380] = {.lex_state = 390},
  [11381] = {.lex_state = 389},
  [11382] = {.lex_state = 389},
  [11383] = {.lex_state = 198, .external_lex_state = 3},
  [11384] = {.lex_state = 389},
  [11385] = {.lex_state = 389},
  [11386] = {.lex_state = 550, .external_lex_state = 2},
  [11387] = {.lex_state = 550, .external_lex_state = 2},
  [11388] = {.lex_state = 389},
  [11389] = {.lex_state = 389},
  [11390] = {.lex_state = 389},
  [11391] = {.lex_state = 389},
  [11392] = {.lex_state = 568, .external_lex_state = 2},
  [11393] = {.lex_state = 389},
  [11394] = {.lex_state = 550, .external_lex_state = 2},
  [11395] = {.lex_state = 550, .external_lex_state = 2},
  [11396] = {.lex_state = 389},
  [11397] = {.lex_state = 389},
  [11398] = {.lex_state = 389},
  [11399] = {.lex_state = 389},
  [11400] = {.lex_state = 389},
  [11401] = {.lex_state = 389},
  [11402] = {.lex_state = 389},
  [11403] = {.lex_state = 389, .external_lex_state = 5},
  [11404] = {.lex_state = 390},
  [11405] = {.lex_state = 389},
  [11406] = {.lex_state = 389},
  [11407] = {.lex_state = 198, .external_lex_state = 3},
  [11408] = {.lex_state = 389},
  [11409] = {.lex_state = 389},
  [11410] = {.lex_state = 389},
  [11411] = {.lex_state = 389},
  [11412] = {.lex_state = 389},
  [11413] = {.lex_state = 194, .external_lex_state = 3},
  [11414] = {.lex_state = 389},
  [11415] = {.lex_state = 389},
  [11416] = {.lex_state = 389},
  [11417] = {.lex_state = 389},
  [11418] = {.lex_state = 389},
  [11419] = {.lex_state = 194, .external_lex_state = 3},
  [11420] = {.lex_state = 194, .external_lex_state = 3},
  [11421] = {.lex_state = 389},
  [11422] = {.lex_state = 389},
  [11423] = {.lex_state = 389},
  [11424] = {.lex_state = 389},
  [11425] = {.lex_state = 389},
  [11426] = {.lex_state = 186, .external_lex_state = 3},
  [11427] = {.lex_state = 389},
  [11428] = {.lex_state = 198, .external_lex_state = 3},
  [11429] = {.lex_state = 389},
  [11430] = {.lex_state = 389},
  [11431] = {.lex_state = 389},
  [11432] = {.lex_state = 369, .external_lex_state = 3},
  [11433] = {.lex_state = 389},
  [11434] = {.lex_state = 389},
  [11435] = {.lex_state = 200, .external_lex_state = 3},
  [11436] = {.lex_state = 200, .external_lex_state = 3},
  [11437] = {.lex_state = 390},
  [11438] = {.lex_state = 568, .external_lex_state = 3},
  [11439] = {.lex_state = 389},
  [11440] = {.lex_state = 389},
  [11441] = {.lex_state = 348},
  [11442] = {.lex_state = 568, .external_lex_state = 3},
  [11443] = {.lex_state = 568, .external_lex_state = 3},
  [11444] = {.lex_state = 568, .external_lex_state = 3},
  [11445] = {.lex_state = 375, .external_lex_state = 3},
  [11446] = {.lex_state = 186, .external_lex_state = 3},
  [11447] = {.lex_state = 348},
  [11448] = {.lex_state = 389},
  [11449] = {.lex_state = 369, .external_lex_state = 3},
  [11450] = {.lex_state = 348},
  [11451] = {.lex_state = 369, .external_lex_state = 3},
  [11452] = {.lex_state = 375, .external_lex_state = 3},
  [11453] = {.lex_state = 348},
  [11454] = {.lex_state = 369, .external_lex_state = 3},
  [11455] = {.lex_state = 348},
  [11456] = {.lex_state = 369, .external_lex_state = 3},
  [11457] = {.lex_state = 348},
  [11458] = {.lex_state = 369, .external_lex_state = 3},
  [11459] = {.lex_state = 348},
  [11460] = {.lex_state = 204, .external_lex_state = 3},
  [11461] = {.lex_state = 204, .external_lex_state = 3},
  [11462] = {.lex_state = 204, .external_lex_state = 3},
  [11463] = {.lex_state = 204, .external_lex_state = 3},
  [11464] = {.lex_state = 561, .external_lex_state = 3},
  [11465] = {.lex_state = 561, .external_lex_state = 3},
  [11466] = {.lex_state = 369, .external_lex_state = 3},
  [11467] = {.lex_state = 348},
  [11468] = {.lex_state = 561, .external_lex_state = 3},
  [11469] = {.lex_state = 561, .external_lex_state = 3},
  [11470] = {.lex_state = 369, .external_lex_state = 3},
  [11471] = {.lex_state = 348},
  [11472] = {.lex_state = 369, .external_lex_state = 3},
  [11473] = {.lex_state = 369, .external_lex_state = 3},
  [11474] = {.lex_state = 348},
  [11475] = {.lex_state = 186, .external_lex_state = 3},
  [11476] = {.lex_state = 369, .external_lex_state = 3},
  [11477] = {.lex_state = 348},
  [11478] = {.lex_state = 369, .external_lex_state = 3},
  [11479] = {.lex_state = 348},
  [11480] = {.lex_state = 369, .external_lex_state = 3},
  [11481] = {.lex_state = 348},
  [11482] = {.lex_state = 348},
  [11483] = {.lex_state = 369, .external_lex_state = 3},
  [11484] = {.lex_state = 369, .external_lex_state = 3},
  [11485] = {.lex_state = 348},
  [11486] = {.lex_state = 378, .external_lex_state = 3},
  [11487] = {.lex_state = 369, .external_lex_state = 3},
  [11488] = {.lex_state = 348},
  [11489] = {.lex_state = 369, .external_lex_state = 3},
  [11490] = {.lex_state = 348},
  [11491] = {.lex_state = 369, .external_lex_state = 3},
  [11492] = {.lex_state = 369, .external_lex_state = 3},
  [11493] = {.lex_state = 348},
  [11494] = {.lex_state = 369, .external_lex_state = 3},
  [11495] = {.lex_state = 207, .external_lex_state = 3},
  [11496] = {.lex_state = 207, .external_lex_state = 3},
  [11497] = {.lex_state = 348},
  [11498] = {.lex_state = 207, .external_lex_state = 3},
  [11499] = {.lex_state = 207, .external_lex_state = 3},
  [11500] = {.lex_state = 369, .external_lex_state = 3},
  [11501] = {.lex_state = 369, .external_lex_state = 3},
  [11502] = {.lex_state = 348},
  [11503] = {.lex_state = 209, .external_lex_state = 3},
  [11504] = {.lex_state = 209, .external_lex_state = 3},
  [11505] = {.lex_state = 550, .external_lex_state = 2},
  [11506] = {.lex_state = 209, .external_lex_state = 3},
  [11507] = {.lex_state = 209, .external_lex_state = 3},
  [11508] = {.lex_state = 369, .external_lex_state = 3},
  [11509] = {.lex_state = 348},
  [11510] = {.lex_state = 558},
  [11511] = {.lex_state = 369, .external_lex_state = 3},
  [11512] = {.lex_state = 348},
  [11513] = {.lex_state = 348},
  [11514] = {.lex_state = 186, .external_lex_state = 3},
  [11515] = {.lex_state = 550, .external_lex_state = 2},
  [11516] = {.lex_state = 348},
  [11517] = {.lex_state = 348},
  [11518] = {.lex_state = 348},
  [11519] = {.lex_state = 348},
  [11520] = {.lex_state = 546, .external_lex_state = 3},
  [11521] = {.lex_state = 348},
  [11522] = {.lex_state = 348},
  [11523] = {.lex_state = 348},
  [11524] = {.lex_state = 348},
  [11525] = {.lex_state = 369, .external_lex_state = 3},
  [11526] = {.lex_state = 348},
  [11527] = {.lex_state = 348},
  [11528] = {.lex_state = 348},
  [11529] = {.lex_state = 348},
  [11530] = {.lex_state = 397, .external_lex_state = 3},
  [11531] = {.lex_state = 397, .external_lex_state = 3},
  [11532] = {.lex_state = 348},
  [11533] = {.lex_state = 397, .external_lex_state = 3},
  [11534] = {.lex_state = 397, .external_lex_state = 3},
  [11535] = {.lex_state = 348},
  [11536] = {.lex_state = 369, .external_lex_state = 3},
  [11537] = {.lex_state = 348},
  [11538] = {.lex_state = 369, .external_lex_state = 3},
  [11539] = {.lex_state = 348},
  [11540] = {.lex_state = 348},
  [11541] = {.lex_state = 348},
  [11542] = {.lex_state = 348},
  [11543] = {.lex_state = 348},
  [11544] = {.lex_state = 348},
  [11545] = {.lex_state = 348},
  [11546] = {.lex_state = 348},
  [11547] = {.lex_state = 389},
  [11548] = {.lex_state = 389},
  [11549] = {.lex_state = 389},
  [11550] = {.lex_state = 348},
  [11551] = {.lex_state = 348},
  [11552] = {.lex_state = 348},
  [11553] = {.lex_state = 348},
  [11554] = {.lex_state = 348},
  [11555] = {.lex_state = 348},
  [11556] = {.lex_state = 348},
  [11557] = {.lex_state = 348},
  [11558] = {.lex_state = 348},
  [11559] = {.lex_state = 348},
  [11560] = {.lex_state = 348},
  [11561] = {.lex_state = 369, .external_lex_state = 3},
  [11562] = {.lex_state = 348},
  [11563] = {.lex_state = 348},
  [11564] = {.lex_state = 348},
  [11565] = {.lex_state = 348},
  [11566] = {.lex_state = 348},
  [11567] = {.lex_state = 369, .external_lex_state = 3},
  [11568] = {.lex_state = 348},
  [11569] = {.lex_state = 348},
  [11570] = {.lex_state = 348},
  [11571] = {.lex_state = 348},
  [11572] = {.lex_state = 348},
  [11573] = {.lex_state = 348},
  [11574] = {.lex_state = 348},
  [11575] = {.lex_state = 348},
  [11576] = {.lex_state = 348},
  [11577] = {.lex_state = 348},
  [11578] = {.lex_state = 348},
  [11579] = {.lex_state = 348},
  [11580] = {.lex_state = 348},
  [11581] = {.lex_state = 348},
  [11582] = {.lex_state = 550, .external_lex_state = 2},
  [11583] = {.lex_state = 348},
  [11584] = {.lex_state = 348},
  [11585] = {.lex_state = 348},
  [11586] = {.lex_state = 348},
  [11587] = {.lex_state = 348},
  [11588] = {.lex_state = 186, .external_lex_state = 3},
  [11589] = {.lex_state = 186, .external_lex_state = 3},
  [11590] = {.lex_state = 369, .external_lex_state = 3},
  [11591] = {.lex_state = 375, .external_lex_state = 3},
  [11592] = {.lex_state = 369, .external_lex_state = 3},
  [11593] = {.lex_state = 186, .external_lex_state = 3},
  [11594] = {.lex_state = 369, .external_lex_state = 3},
  [11595] = {.lex_state = 389},
  [11596] = {.lex_state = 186, .external_lex_state = 3},
  [11597] = {.lex_state = 186, .external_lex_state = 3},
  [11598] = {.lex_state = 369, .external_lex_state = 3},
  [11599] = {.lex_state = 369, .external_lex_state = 3},
  [11600] = {.lex_state = 369, .external_lex_state = 3},
  [11601] = {.lex_state = 369, .external_lex_state = 3},
  [11602] = {.lex_state = 369, .external_lex_state = 3},
  [11603] = {.lex_state = 348},
  [11604] = {.lex_state = 369, .external_lex_state = 3},
  [11605] = {.lex_state = 369, .external_lex_state = 3},
  [11606] = {.lex_state = 369, .external_lex_state = 3},
  [11607] = {.lex_state = 369, .external_lex_state = 3},
  [11608] = {.lex_state = 369, .external_lex_state = 3},
  [11609] = {.lex_state = 550, .external_lex_state = 2},
  [11610] = {.lex_state = 186, .external_lex_state = 3},
  [11611] = {.lex_state = 186, .external_lex_state = 3},
  [11612] = {.lex_state = 186, .external_lex_state = 3},
  [11613] = {.lex_state = 186, .external_lex_state = 3},
  [11614] = {.lex_state = 186, .external_lex_state = 3},
  [11615] = {.lex_state = 186, .external_lex_state = 3},
  [11616] = {.lex_state = 186, .external_lex_state = 3},
  [11617] = {.lex_state = 186, .external_lex_state = 3},
  [11618] = {.lex_state = 186, .external_lex_state = 3},
  [11619] = {.lex_state = 186, .external_lex_state = 3},
  [11620] = {.lex_state = 186, .external_lex_state = 3},
  [11621] = {.lex_state = 186, .external_lex_state = 3},
  [11622] = {.lex_state = 186, .external_lex_state = 3},
  [11623] = {.lex_state = 186, .external_lex_state = 3},
  [11624] = {.lex_state = 186, .external_lex_state = 3},
  [11625] = {.lex_state = 568, .external_lex_state = 3},
  [11626] = {.lex_state = 186, .external_lex_state = 3},
  [11627] = {.lex_state = 186, .external_lex_state = 3},
  [11628] = {.lex_state = 186, .external_lex_state = 3},
  [11629] = {.lex_state = 186, .external_lex_state = 3},
  [11630] = {.lex_state = 186, .external_lex_state = 3},
  [11631] = {.lex_state = 186, .external_lex_state = 3},
  [11632] = {.lex_state = 186, .external_lex_state = 3},
  [11633] = {.lex_state = 186, .external_lex_state = 3},
  [11634] = {.lex_state = 186, .external_lex_state = 3},
  [11635] = {.lex_state = 186, .external_lex_state = 3},
  [11636] = {.lex_state = 186, .external_lex_state = 3},
  [11637] = {.lex_state = 186, .external_lex_state = 3},
  [11638] = {.lex_state = 186, .external_lex_state = 3},
  [11639] = {.lex_state = 186, .external_lex_state = 3},
  [11640] = {.lex_state = 186, .external_lex_state = 3},
  [11641] = {.lex_state = 186, .external_lex_state = 3},
  [11642] = {.lex_state = 186, .external_lex_state = 3},
  [11643] = {.lex_state = 186, .external_lex_state = 3},
  [11644] = {.lex_state = 186, .external_lex_state = 3},
  [11645] = {.lex_state = 369, .external_lex_state = 3},
  [11646] = {.lex_state = 550, .external_lex_state = 2},
  [11647] = {.lex_state = 394, .external_lex_state = 2},
  [11648] = {.lex_state = 568, .external_lex_state = 3},
  [11649] = {.lex_state = 369, .external_lex_state = 3},
  [11650] = {.lex_state = 369, .external_lex_state = 3},
  [11651] = {.lex_state = 550, .external_lex_state = 2},
  [11652] = {.lex_state = 550, .external_lex_state = 2},
  [11653] = {.lex_state = 394, .external_lex_state = 2},
  [11654] = {.lex_state = 394, .external_lex_state = 2},
  [11655] = {.lex_state = 348},
  [11656] = {.lex_state = 550, .external_lex_state = 2},
  [11657] = {.lex_state = 394, .external_lex_state = 2},
  [11658] = {.lex_state = 369, .external_lex_state = 3},
  [11659] = {.lex_state = 348},
  [11660] = {.lex_state = 348},
  [11661] = {.lex_state = 348},
  [11662] = {.lex_state = 348},
  [11663] = {.lex_state = 348},
  [11664] = {.lex_state = 348},
  [11665] = {.lex_state = 348},
  [11666] = {.lex_state = 348},
  [11667] = {.lex_state = 348},
  [11668] = {.lex_state = 348},
  [11669] = {.lex_state = 348},
  [11670] = {.lex_state = 568, .external_lex_state = 3},
  [11671] = {.lex_state = 556, .external_lex_state = 2},
  [11672] = {.lex_state = 556, .external_lex_state = 2},
  [11673] = {.lex_state = 556, .external_lex_state = 2},
  [11674] = {.lex_state = 556, .external_lex_state = 2},
  [11675] = {.lex_state = 348},
  [11676] = {.lex_state = 348},
  [11677] = {.lex_state = 348},
  [11678] = {.lex_state = 348},
  [11679] = {.lex_state = 348},
  [11680] = {.lex_state = 348},
  [11681] = {.lex_state = 348},
  [11682] = {.lex_state = 348},
  [11683] = {.lex_state = 348},
  [11684] = {.lex_state = 348},
  [11685] = {.lex_state = 348},
  [11686] = {.lex_state = 348},
  [11687] = {.lex_state = 348},
  [11688] = {.lex_state = 348},
  [11689] = {.lex_state = 556, .external_lex_state = 2},
  [11690] = {.lex_state = 556, .external_lex_state = 2},
  [11691] = {.lex_state = 556, .external_lex_state = 2},
  [11692] = {.lex_state = 556, .external_lex_state = 2},
  [11693] = {.lex_state = 348},
  [11694] = {.lex_state = 348},
  [11695] = {.lex_state = 348},
  [11696] = {.lex_state = 348},
  [11697] = {.lex_state = 556, .external_lex_state = 2},
  [11698] = {.lex_state = 556, .external_lex_state = 2},
  [11699] = {.lex_state = 556, .external_lex_state = 2},
  [11700] = {.lex_state = 556, .external_lex_state = 2},
  [11701] = {.lex_state = 348},
  [11702] = {.lex_state = 348},
  [11703] = {.lex_state = 348},
  [11704] = {.lex_state = 348},
  [11705] = {.lex_state = 348},
  [11706] = {.lex_state = 348},
  [11707] = {.lex_state = 348},
  [11708] = {.lex_state = 348},
  [11709] = {.lex_state = 348},
  [11710] = {.lex_state = 186, .external_lex_state = 3},
  [11711] = {.lex_state = 186, .external_lex_state = 3},
  [11712] = {.lex_state = 186, .external_lex_state = 3},
  [11713] = {.lex_state = 186, .external_lex_state = 3},
  [11714] = {.lex_state = 186, .external_lex_state = 3},
  [11715] = {.lex_state = 186, .external_lex_state = 3},
  [11716] = {.lex_state = 211, .external_lex_state = 3},
  [11717] = {.lex_state = 211, .external_lex_state = 3},
  [11718] = {.lex_state = 211, .external_lex_state = 3},
  [11719] = {.lex_state = 211, .external_lex_state = 3},
  [11720] = {.lex_state = 369, .external_lex_state = 3},
  [11721] = {.lex_state = 369, .external_lex_state = 3},
  [11722] = {.lex_state = 369, .external_lex_state = 3},
  [11723] = {.lex_state = 348},
  [11724] = {.lex_state = 348},
  [11725] = {.lex_state = 375, .external_lex_state = 3},
  [11726] = {.lex_state = 186, .external_lex_state = 3},
  [11727] = {.lex_state = 186, .external_lex_state = 3},
  [11728] = {.lex_state = 186, .external_lex_state = 3},
  [11729] = {.lex_state = 186, .external_lex_state = 3},
  [11730] = {.lex_state = 369, .external_lex_state = 3},
  [11731] = {.lex_state = 348},
  [11732] = {.lex_state = 186, .external_lex_state = 3},
  [11733] = {.lex_state = 186, .external_lex_state = 3},
  [11734] = {.lex_state = 348},
  [11735] = {.lex_state = 348},
  [11736] = {.lex_state = 348},
  [11737] = {.lex_state = 348},
  [11738] = {.lex_state = 348},
  [11739] = {.lex_state = 348},
  [11740] = {.lex_state = 550, .external_lex_state = 3},
  [11741] = {.lex_state = 394, .external_lex_state = 3},
  [11742] = {.lex_state = 186, .external_lex_state = 3},
  [11743] = {.lex_state = 348},
  [11744] = {.lex_state = 348},
  [11745] = {.lex_state = 348},
  [11746] = {.lex_state = 348},
  [11747] = {.lex_state = 348},
  [11748] = {.lex_state = 348},
  [11749] = {.lex_state = 348},
  [11750] = {.lex_state = 348},
  [11751] = {.lex_state = 348},
  [11752] = {.lex_state = 348},
  [11753] = {.lex_state = 348},
  [11754] = {.lex_state = 348},
  [11755] = {.lex_state = 348},
  [11756] = {.lex_state = 348},
  [11757] = {.lex_state = 348},
  [11758] = {.lex_state = 186, .external_lex_state = 3},
  [11759] = {.lex_state = 186, .external_lex_state = 3},
  [11760] = {.lex_state = 186, .external_lex_state = 3},
  [11761] = {.lex_state = 186, .external_lex_state = 3},
  [11762] = {.lex_state = 389},
  [11763] = {.lex_state = 213, .external_lex_state = 3},
  [11764] = {.lex_state = 369, .external_lex_state = 3},
  [11765] = {.lex_state = 568, .external_lex_state = 3},
  [11766] = {.lex_state = 568, .external_lex_state = 3},
  [11767] = {.lex_state = 568, .external_lex_state = 3},
  [11768] = {.lex_state = 568, .external_lex_state = 3},
  [11769] = {.lex_state = 369, .external_lex_state = 3},
  [11770] = {.lex_state = 348},
  [11771] = {.lex_state = 568, .external_lex_state = 3},
  [11772] = {.lex_state = 568, .external_lex_state = 3},
  [11773] = {.lex_state = 186, .external_lex_state = 3},
  [11774] = {.lex_state = 369, .external_lex_state = 3},
  [11775] = {.lex_state = 556},
  [11776] = {.lex_state = 556, .external_lex_state = 2},
  [11777] = {.lex_state = 377, .external_lex_state = 3},
  [11778] = {.lex_state = 369, .external_lex_state = 3},
  [11779] = {.lex_state = 556},
  [11780] = {.lex_state = 556},
  [11781] = {.lex_state = 556},
  [11782] = {.lex_state = 556},
  [11783] = {.lex_state = 556},
  [11784] = {.lex_state = 377, .external_lex_state = 3},
  [11785] = {.lex_state = 369, .external_lex_state = 3},
  [11786] = {.lex_state = 556},
  [11787] = {.lex_state = 556},
  [11788] = {.lex_state = 556},
  [11789] = {.lex_state = 556},
  [11790] = {.lex_state = 556},
  [11791] = {.lex_state = 377, .external_lex_state = 3},
  [11792] = {.lex_state = 556},
  [11793] = {.lex_state = 377, .external_lex_state = 3},
  [11794] = {.lex_state = 389},
  [11795] = {.lex_state = 389},
  [11796] = {.lex_state = 389},
  [11797] = {.lex_state = 377, .external_lex_state = 3},
  [11798] = {.lex_state = 556},
  [11799] = {.lex_state = 556},
  [11800] = {.lex_state = 556},
  [11801] = {.lex_state = 556},
  [11802] = {.lex_state = 556},
  [11803] = {.lex_state = 556},
  [11804] = {.lex_state = 556},
  [11805] = {.lex_state = 556},
  [11806] = {.lex_state = 556},
  [11807] = {.lex_state = 556},
  [11808] = {.lex_state = 556},
  [11809] = {.lex_state = 556},
  [11810] = {.lex_state = 556},
  [11811] = {.lex_state = 556},
  [11812] = {.lex_state = 556},
  [11813] = {.lex_state = 556},
  [11814] = {.lex_state = 556},
  [11815] = {.lex_state = 556},
  [11816] = {.lex_state = 369, .external_lex_state = 3},
  [11817] = {.lex_state = 556},
  [11818] = {.lex_state = 556},
  [11819] = {.lex_state = 556},
  [11820] = {.lex_state = 556},
  [11821] = {.lex_state = 556},
  [11822] = {.lex_state = 556},
  [11823] = {.lex_state = 377, .external_lex_state = 3},
  [11824] = {.lex_state = 556},
  [11825] = {.lex_state = 216, .external_lex_state = 3},
  [11826] = {.lex_state = 216, .external_lex_state = 3},
  [11827] = {.lex_state = 389},
  [11828] = {.lex_state = 568, .external_lex_state = 3},
  [11829] = {.lex_state = 389},
  [11830] = {.lex_state = 568, .external_lex_state = 3},
  [11831] = {.lex_state = 568, .external_lex_state = 3},
  [11832] = {.lex_state = 389},
  [11833] = {.lex_state = 389},
  [11834] = {.lex_state = 556},
  [11835] = {.lex_state = 216, .external_lex_state = 3},
  [11836] = {.lex_state = 216, .external_lex_state = 3},
  [11837] = {.lex_state = 568, .external_lex_state = 3},
  [11838] = {.lex_state = 568, .external_lex_state = 3},
  [11839] = {.lex_state = 377, .external_lex_state = 3},
  [11840] = {.lex_state = 377, .external_lex_state = 3},
  [11841] = {.lex_state = 568, .external_lex_state = 3},
  [11842] = {.lex_state = 389},
  [11843] = {.lex_state = 568, .external_lex_state = 3},
  [11844] = {.lex_state = 389},
  [11845] = {.lex_state = 568, .external_lex_state = 3},
  [11846] = {.lex_state = 568, .external_lex_state = 3},
  [11847] = {.lex_state = 389},
  [11848] = {.lex_state = 568, .external_lex_state = 3},
  [11849] = {.lex_state = 568, .external_lex_state = 3},
  [11850] = {.lex_state = 568, .external_lex_state = 3},
  [11851] = {.lex_state = 392, .external_lex_state = 3},
  [11852] = {.lex_state = 568, .external_lex_state = 3},
  [11853] = {.lex_state = 568, .external_lex_state = 3},
  [11854] = {.lex_state = 568, .external_lex_state = 3},
  [11855] = {.lex_state = 568, .external_lex_state = 3},
  [11856] = {.lex_state = 568, .external_lex_state = 3},
  [11857] = {.lex_state = 568, .external_lex_state = 3},
  [11858] = {.lex_state = 568, .external_lex_state = 3},
  [11859] = {.lex_state = 568, .external_lex_state = 3},
  [11860] = {.lex_state = 568, .external_lex_state = 3},
  [11861] = {.lex_state = 568, .external_lex_state = 3},
  [11862] = {.lex_state = 568, .external_lex_state = 3},
  [11863] = {.lex_state = 568, .external_lex_state = 3},
  [11864] = {.lex_state = 568, .external_lex_state = 3},
  [11865] = {.lex_state = 568, .external_lex_state = 3},
  [11866] = {.lex_state = 568, .external_lex_state = 3},
  [11867] = {.lex_state = 568, .external_lex_state = 3},
  [11868] = {.lex_state = 392, .external_lex_state = 3},
  [11869] = {.lex_state = 568, .external_lex_state = 3},
  [11870] = {.lex_state = 568, .external_lex_state = 3},
  [11871] = {.lex_state = 568, .external_lex_state = 3},
  [11872] = {.lex_state = 568, .external_lex_state = 3},
  [11873] = {.lex_state = 568, .external_lex_state = 3},
  [11874] = {.lex_state = 568, .external_lex_state = 3},
  [11875] = {.lex_state = 568, .external_lex_state = 3},
  [11876] = {.lex_state = 568, .external_lex_state = 3},
  [11877] = {.lex_state = 568, .external_lex_state = 3},
  [11878] = {.lex_state = 568, .external_lex_state = 3},
  [11879] = {.lex_state = 568, .external_lex_state = 3},
  [11880] = {.lex_state = 568, .external_lex_state = 3},
  [11881] = {.lex_state = 568, .external_lex_state = 3},
  [11882] = {.lex_state = 568, .external_lex_state = 3},
  [11883] = {.lex_state = 377, .external_lex_state = 3},
  [11884] = {.lex_state = 568, .external_lex_state = 3},
  [11885] = {.lex_state = 377, .external_lex_state = 3},
  [11886] = {.lex_state = 377, .external_lex_state = 3},
  [11887] = {.lex_state = 377, .external_lex_state = 3},
  [11888] = {.lex_state = 568, .external_lex_state = 3},
  [11889] = {.lex_state = 568, .external_lex_state = 3},
  [11890] = {.lex_state = 556, .external_lex_state = 3},
  [11891] = {.lex_state = 568, .external_lex_state = 3},
  [11892] = {.lex_state = 392, .external_lex_state = 3},
  [11893] = {.lex_state = 568, .external_lex_state = 3},
  [11894] = {.lex_state = 377, .external_lex_state = 3},
  [11895] = {.lex_state = 377, .external_lex_state = 3},
  [11896] = {.lex_state = 568, .external_lex_state = 3},
  [11897] = {.lex_state = 377, .external_lex_state = 3},
  [11898] = {.lex_state = 568, .external_lex_state = 3},
  [11899] = {.lex_state = 392, .external_lex_state = 3},
  [11900] = {.lex_state = 556, .external_lex_state = 2},
  [11901] = {.lex_state = 389, .external_lex_state = 2},
  [11902] = {.lex_state = 377, .external_lex_state = 3},
  [11903] = {.lex_state = 556, .external_lex_state = 2},
  [11904] = {.lex_state = 377, .external_lex_state = 3},
  [11905] = {.lex_state = 556, .external_lex_state = 2},
  [11906] = {.lex_state = 389, .external_lex_state = 2},
  [11907] = {.lex_state = 389, .external_lex_state = 2},
  [11908] = {.lex_state = 556, .external_lex_state = 2},
  [11909] = {.lex_state = 568, .external_lex_state = 3},
  [11910] = {.lex_state = 389, .external_lex_state = 2},
  [11911] = {.lex_state = 568, .external_lex_state = 3},
  [11912] = {.lex_state = 556},
  [11913] = {.lex_state = 556},
  [11914] = {.lex_state = 377, .external_lex_state = 3},
  [11915] = {.lex_state = 377, .external_lex_state = 3},
  [11916] = {.lex_state = 556},
  [11917] = {.lex_state = 568, .external_lex_state = 3},
  [11918] = {.lex_state = 568, .external_lex_state = 3},
  [11919] = {.lex_state = 377, .external_lex_state = 3},
  [11920] = {.lex_state = 377, .external_lex_state = 3},
  [11921] = {.lex_state = 377, .external_lex_state = 3},
  [11922] = {.lex_state = 377, .external_lex_state = 3},
  [11923] = {.lex_state = 377, .external_lex_state = 3},
  [11924] = {.lex_state = 556},
  [11925] = {.lex_state = 568, .external_lex_state = 3},
  [11926] = {.lex_state = 568, .external_lex_state = 3},
  [11927] = {.lex_state = 568, .external_lex_state = 3},
  [11928] = {.lex_state = 377, .external_lex_state = 3},
  [11929] = {.lex_state = 377, .external_lex_state = 3},
  [11930] = {.lex_state = 377, .external_lex_state = 3},
  [11931] = {.lex_state = 568, .external_lex_state = 3},
  [11932] = {.lex_state = 377, .external_lex_state = 3},
  [11933] = {.lex_state = 377, .external_lex_state = 3},
  [11934] = {.lex_state = 568, .external_lex_state = 3},
  [11935] = {.lex_state = 377, .external_lex_state = 3},
  [11936] = {.lex_state = 377, .external_lex_state = 3},
  [11937] = {.lex_state = 568, .external_lex_state = 3},
  [11938] = {.lex_state = 377, .external_lex_state = 3},
  [11939] = {.lex_state = 377, .external_lex_state = 3},
  [11940] = {.lex_state = 568, .external_lex_state = 3},
  [11941] = {.lex_state = 377, .external_lex_state = 3},
  [11942] = {.lex_state = 377, .external_lex_state = 3},
  [11943] = {.lex_state = 377, .external_lex_state = 3},
  [11944] = {.lex_state = 377, .external_lex_state = 3},
  [11945] = {.lex_state = 377, .external_lex_state = 3},
  [11946] = {.lex_state = 377, .external_lex_state = 3},
  [11947] = {.lex_state = 377, .external_lex_state = 3},
  [11948] = {.lex_state = 377, .external_lex_state = 3},
  [11949] = {.lex_state = 377, .external_lex_state = 3},
  [11950] = {.lex_state = 556},
  [11951] = {.lex_state = 563, .external_lex_state = 3},
  [11952] = {.lex_state = 563, .external_lex_state = 3},
  [11953] = {.lex_state = 377, .external_lex_state = 3},
  [11954] = {.lex_state = 550, .external_lex_state = 3},
  [11955] = {.lex_state = 389, .external_lex_state = 3},
  [11956] = {.lex_state = 389, .external_lex_state = 3},
  [11957] = {.lex_state = 550, .external_lex_state = 3},
  [11958] = {.lex_state = 568, .external_lex_state = 3},
  [11959] = {.lex_state = 550, .external_lex_state = 3},
  [11960] = {.lex_state = 563, .external_lex_state = 3},
  [11961] = {.lex_state = 563, .external_lex_state = 3},
  [11962] = {.lex_state = 556, .external_lex_state = 2},
  [11963] = {.lex_state = 556, .external_lex_state = 2},
  [11964] = {.lex_state = 556},
  [11965] = {.lex_state = 556},
  [11966] = {.lex_state = 560},
  [11967] = {.lex_state = 556},
  [11968] = {.lex_state = 556, .external_lex_state = 3},
  [11969] = {.lex_state = 556, .external_lex_state = 2},
  [11970] = {.lex_state = 219},
  [11971] = {.lex_state = 394, .external_lex_state = 2},
  [11972] = {.lex_state = 394, .external_lex_state = 2},
  [11973] = {.lex_state = 550, .external_lex_state = 3},
  [11974] = {.lex_state = 394, .external_lex_state = 3},
  [11975] = {.lex_state = 556, .external_lex_state = 3},
  [11976] = {.lex_state = 369, .external_lex_state = 3},
  [11977] = {.lex_state = 556},
  [11978] = {.lex_state = 556},
  [11979] = {.lex_state = 389},
  [11980] = {.lex_state = 556},
  [11981] = {.lex_state = 556, .external_lex_state = 4},
  [11982] = {.lex_state = 219},
  [11983] = {.lex_state = 556},
  [11984] = {.lex_state = 219},
  [11985] = {.lex_state = 219},
  [11986] = {.lex_state = 221},
  [11987] = {.lex_state = 568, .external_lex_state = 5},
  [11988] = {.lex_state = 556, .external_lex_state = 4},
  [11989] = {.lex_state = 389, .external_lex_state = 5},
  [11990] = {.lex_state = 394, .external_lex_state = 2},
  [11991] = {.lex_state = 221},
  [11992] = {.lex_state = 221},
  [11993] = {.lex_state = 221},
  [11994] = {.lex_state = 556, .external_lex_state = 5},
  [11995] = {.lex_state = 568, .external_lex_state = 5},
  [11996] = {.lex_state = 389, .external_lex_state = 5},
  [11997] = {.lex_state = 400, .external_lex_state = 3},
  [11998] = {.lex_state = 400, .external_lex_state = 3},
  [11999] = {.lex_state = 400, .external_lex_state = 3},
  [12000] = {.lex_state = 400, .external_lex_state = 3},
  [12001] = {.lex_state = 556, .external_lex_state = 4},
  [12002] = {.lex_state = 323},
  [12003] = {.lex_state = 323},
  [12004] = {.lex_state = 550, .external_lex_state = 3},
  [12005] = {.lex_state = 323},
  [12006] = {.lex_state = 323},
  [12007] = {.lex_state = 556, .external_lex_state = 5},
  [12008] = {.lex_state = 556, .external_lex_state = 3},
  [12009] = {.lex_state = 556, .external_lex_state = 3},
  [12010] = {.lex_state = 556, .external_lex_state = 3},
  [12011] = {.lex_state = 394, .external_lex_state = 2},
  [12012] = {.lex_state = 556, .external_lex_state = 3},
  [12013] = {.lex_state = 556, .external_lex_state = 3},
  [12014] = {.lex_state = 568, .external_lex_state = 5},
  [12015] = {.lex_state = 556},
  [12016] = {.lex_state = 556, .external_lex_state = 3},
  [12017] = {.lex_state = 361},
  [12018] = {.lex_state = 361},
  [12019] = {.lex_state = 556},
  [12020] = {.lex_state = 556},
  [12021] = {.lex_state = 556},
  [12022] = {.lex_state = 556},
  [12023] = {.lex_state = 556},
  [12024] = {.lex_state = 556},
  [12025] = {.lex_state = 556},
  [12026] = {.lex_state = 556},
  [12027] = {.lex_state = 556},
  [12028] = {.lex_state = 401, .external_lex_state = 2},
  [12029] = {.lex_state = 401, .external_lex_state = 2},
  [12030] = {.lex_state = 361},
  [12031] = {.lex_state = 568, .external_lex_state = 5},
  [12032] = {.lex_state = 556},
  [12033] = {.lex_state = 556, .external_lex_state = 3},
  [12034] = {.lex_state = 401, .external_lex_state = 3},
  [12035] = {.lex_state = 401, .external_lex_state = 2},
  [12036] = {.lex_state = 401, .external_lex_state = 3},
  [12037] = {.lex_state = 556},
  [12038] = {.lex_state = 556},
  [12039] = {.lex_state = 556},
  [12040] = {.lex_state = 556},
  [12041] = {.lex_state = 401, .external_lex_state = 3},
  [12042] = {.lex_state = 556},
  [12043] = {.lex_state = 361},
  [12044] = {.lex_state = 361},
  [12045] = {.lex_state = 556},
  [12046] = {.lex_state = 556},
  [12047] = {.lex_state = 556},
  [12048] = {.lex_state = 556},
  [12049] = {.lex_state = 556},
  [12050] = {.lex_state = 401, .external_lex_state = 2},
  [12051] = {.lex_state = 556},
  [12052] = {.lex_state = 556},
  [12053] = {.lex_state = 556},
  [12054] = {.lex_state = 361},
  [12055] = {.lex_state = 361},
  [12056] = {.lex_state = 556},
  [12057] = {.lex_state = 361},
  [12058] = {.lex_state = 556},
  [12059] = {.lex_state = 361},
  [12060] = {.lex_state = 361},
  [12061] = {.lex_state = 556},
  [12062] = {.lex_state = 198},
  [12063] = {.lex_state = 198},
  [12064] = {.lex_state = 556},
  [12065] = {.lex_state = 198},
  [12066] = {.lex_state = 198},
  [12067] = {.lex_state = 556},
  [12068] = {.lex_state = 401, .external_lex_state = 3},
  [12069] = {.lex_state = 556},
  [12070] = {.lex_state = 361},
  [12071] = {.lex_state = 556},
  [12072] = {.lex_state = 556},
  [12073] = {.lex_state = 200},
  [12074] = {.lex_state = 200},
  [12075] = {.lex_state = 556},
  [12076] = {.lex_state = 200},
  [12077] = {.lex_state = 200},
  [12078] = {.lex_state = 556},
  [12079] = {.lex_state = 361},
  [12080] = {.lex_state = 361},
  [12081] = {.lex_state = 556},
  [12082] = {.lex_state = 568, .external_lex_state = 5},
  [12083] = {.lex_state = 223},
  [12084] = {.lex_state = 223},
  [12085] = {.lex_state = 223},
  [12086] = {.lex_state = 223},
  [12087] = {.lex_state = 556},
  [12088] = {.lex_state = 556},
  [12089] = {.lex_state = 389, .external_lex_state = 2},
  [12090] = {.lex_state = 389, .external_lex_state = 2},
  [12091] = {.lex_state = 556},
  [12092] = {.lex_state = 389, .external_lex_state = 2},
  [12093] = {.lex_state = 389, .external_lex_state = 2},
  [12094] = {.lex_state = 556, .external_lex_state = 5},
  [12095] = {.lex_state = 556},
  [12096] = {.lex_state = 556},
  [12097] = {.lex_state = 556},
  [12098] = {.lex_state = 361},
  [12099] = {.lex_state = 225},
  [12100] = {.lex_state = 225},
  [12101] = {.lex_state = 556},
  [12102] = {.lex_state = 556},
  [12103] = {.lex_state = 225},
  [12104] = {.lex_state = 225},
  [12105] = {.lex_state = 556},
  [12106] = {.lex_state = 556},
  [12107] = {.lex_state = 556},
  [12108] = {.lex_state = 556, .external_lex_state = 5},
  [12109] = {.lex_state = 556},
  [12110] = {.lex_state = 361},
  [12111] = {.lex_state = 556},
  [12112] = {.lex_state = 556, .external_lex_state = 5},
  [12113] = {.lex_state = 556, .external_lex_state = 5},
  [12114] = {.lex_state = 389, .external_lex_state = 5},
  [12115] = {.lex_state = 389, .external_lex_state = 5},
  [12116] = {.lex_state = 556},
  [12117] = {.lex_state = 556, .external_lex_state = 5},
  [12118] = {.lex_state = 556, .external_lex_state = 5},
  [12119] = {.lex_state = 556, .external_lex_state = 5},
  [12120] = {.lex_state = 556, .external_lex_state = 5},
  [12121] = {.lex_state = 361},
  [12122] = {.lex_state = 361},
  [12123] = {.lex_state = 556},
  [12124] = {.lex_state = 389, .external_lex_state = 3},
  [12125] = {.lex_state = 389, .external_lex_state = 3},
  [12126] = {.lex_state = 556},
  [12127] = {.lex_state = 556},
  [12128] = {.lex_state = 556},
  [12129] = {.lex_state = 556},
  [12130] = {.lex_state = 556},
  [12131] = {.lex_state = 361},
  [12132] = {.lex_state = 361},
  [12133] = {.lex_state = 556},
  [12134] = {.lex_state = 556},
  [12135] = {.lex_state = 556},
  [12136] = {.lex_state = 556},
  [12137] = {.lex_state = 556},
  [12138] = {.lex_state = 556},
  [12139] = {.lex_state = 399, .external_lex_state = 3},
  [12140] = {.lex_state = 399, .external_lex_state = 3},
  [12141] = {.lex_state = 399, .external_lex_state = 3},
  [12142] = {.lex_state = 399, .external_lex_state = 3},
  [12143] = {.lex_state = 556},
  [12144] = {.lex_state = 361},
  [12145] = {.lex_state = 361},
  [12146] = {.lex_state = 556},
  [12147] = {.lex_state = 556},
  [12148] = {.lex_state = 556},
  [12149] = {.lex_state = 556},
  [12150] = {.lex_state = 361},
  [12151] = {.lex_state = 361},
  [12152] = {.lex_state = 556},
  [12153] = {.lex_state = 361},
  [12154] = {.lex_state = 361},
  [12155] = {.lex_state = 556},
  [12156] = {.lex_state = 361},
  [12157] = {.lex_state = 361},
  [12158] = {.lex_state = 361},
  [12159] = {.lex_state = 556},
  [12160] = {.lex_state = 556},
  [12161] = {.lex_state = 361},
  [12162] = {.lex_state = 361},
  [12163] = {.lex_state = 556},
  [12164] = {.lex_state = 361},
  [12165] = {.lex_state = 361},
  [12166] = {.lex_state = 361},
  [12167] = {.lex_state = 361},
  [12168] = {.lex_state = 361},
  [12169] = {.lex_state = 361},
  [12170] = {.lex_state = 402, .external_lex_state = 3},
  [12171] = {.lex_state = 402, .external_lex_state = 3},
  [12172] = {.lex_state = 556},
  [12173] = {.lex_state = 556},
  [12174] = {.lex_state = 568, .external_lex_state = 4},
  [12175] = {.lex_state = 402, .external_lex_state = 3},
  [12176] = {.lex_state = 556, .external_lex_state = 3},
  [12177] = {.lex_state = 556, .external_lex_state = 3},
  [12178] = {.lex_state = 401, .external_lex_state = 2},
  [12179] = {.lex_state = 556},
  [12180] = {.lex_state = 556},
  [12181] = {.lex_state = 402, .external_lex_state = 3},
  [12182] = {.lex_state = 556},
  [12183] = {.lex_state = 227},
  [12184] = {.lex_state = 227},
  [12185] = {.lex_state = 227},
  [12186] = {.lex_state = 227},
  [12187] = {.lex_state = 556},
  [12188] = {.lex_state = 556},
  [12189] = {.lex_state = 556},
  [12190] = {.lex_state = 556},
  [12191] = {.lex_state = 312},
  [12192] = {.lex_state = 312},
  [12193] = {.lex_state = 312},
  [12194] = {.lex_state = 312},
  [12195] = {.lex_state = 361},
  [12196] = {.lex_state = 361},
  [12197] = {.lex_state = 556},
  [12198] = {.lex_state = 361},
  [12199] = {.lex_state = 361},
  [12200] = {.lex_state = 556},
  [12201] = {.lex_state = 556},
  [12202] = {.lex_state = 213},
  [12203] = {.lex_state = 568},
  [12204] = {.lex_state = 568},
  [12205] = {.lex_state = 556, .external_lex_state = 5},
  [12206] = {.lex_state = 229},
  [12207] = {.lex_state = 568},
  [12208] = {.lex_state = 568},
  [12209] = {.lex_state = 568},
  [12210] = {.lex_state = 568},
  [12211] = {.lex_state = 361},
  [12212] = {.lex_state = 568},
  [12213] = {.lex_state = 568},
  [12214] = {.lex_state = 568},
  [12215] = {.lex_state = 389},
  [12216] = {.lex_state = 568},
  [12217] = {.lex_state = 361},
  [12218] = {.lex_state = 401, .external_lex_state = 3},
  [12219] = {.lex_state = 556, .external_lex_state = 5},
  [12220] = {.lex_state = 568},
  [12221] = {.lex_state = 401, .external_lex_state = 3},
  [12222] = {.lex_state = 556, .external_lex_state = 5},
  [12223] = {.lex_state = 401, .external_lex_state = 3},
  [12224] = {.lex_state = 401, .external_lex_state = 3},
  [12225] = {.lex_state = 556, .external_lex_state = 5},
  [12226] = {.lex_state = 556, .external_lex_state = 5},
  [12227] = {.lex_state = 361},
  [12228] = {.lex_state = 401, .external_lex_state = 3},
  [12229] = {.lex_state = 556, .external_lex_state = 5},
  [12230] = {.lex_state = 568},
  [12231] = {.lex_state = 405},
  [12232] = {.lex_state = 389},
  [12233] = {.lex_state = 361},
  [12234] = {.lex_state = 568},
  [12235] = {.lex_state = 401, .external_lex_state = 3},
  [12236] = {.lex_state = 361},
  [12237] = {.lex_state = 389},
  [12238] = {.lex_state = 405},
  [12239] = {.lex_state = 401, .external_lex_state = 3},
  [12240] = {.lex_state = 209},
  [12241] = {.lex_state = 209},
  [12242] = {.lex_state = 568},
  [12243] = {.lex_state = 405},
  [12244] = {.lex_state = 568},
  [12245] = {.lex_state = 361},
  [12246] = {.lex_state = 389},
  [12247] = {.lex_state = 401, .external_lex_state = 3},
  [12248] = {.lex_state = 209},
  [12249] = {.lex_state = 209},
  [12250] = {.lex_state = 568},
  [12251] = {.lex_state = 401, .external_lex_state = 3},
  [12252] = {.lex_state = 401, .external_lex_state = 3},
  [12253] = {.lex_state = 401, .external_lex_state = 3},
  [12254] = {.lex_state = 565},
  [12255] = {.lex_state = 389},
  [12256] = {.lex_state = 361},
  [12257] = {.lex_state = 568},
  [12258] = {.lex_state = 361},
  [12259] = {.lex_state = 389},
  [12260] = {.lex_state = 556, .external_lex_state = 5},
  [12261] = {.lex_state = 568},
  [12262] = {.lex_state = 401, .external_lex_state = 3},
  [12263] = {.lex_state = 389},
  [12264] = {.lex_state = 568},
  [12265] = {.lex_state = 389},
  [12266] = {.lex_state = 568},
  [12267] = {.lex_state = 361},
  [12268] = {.lex_state = 361},
  [12269] = {.lex_state = 394, .external_lex_state = 3},
  [12270] = {.lex_state = 405},
  [12271] = {.lex_state = 568},
  [12272] = {.lex_state = 361},
  [12273] = {.lex_state = 568},
  [12274] = {.lex_state = 403, .external_lex_state = 3},
  [12275] = {.lex_state = 568},
  [12276] = {.lex_state = 568},
  [12277] = {.lex_state = 568},
  [12278] = {.lex_state = 361},
  [12279] = {.lex_state = 568},
  [12280] = {.lex_state = 556},
  [12281] = {.lex_state = 389},
  [12282] = {.lex_state = 565},
  [12283] = {.lex_state = 229},
  [12284] = {.lex_state = 389, .external_lex_state = 5},
  [12285] = {.lex_state = 361},
  [12286] = {.lex_state = 568},
  [12287] = {.lex_state = 568},
  [12288] = {.lex_state = 568},
  [12289] = {.lex_state = 565},
  [12290] = {.lex_state = 568},
  [12291] = {.lex_state = 361},
  [12292] = {.lex_state = 389},
  [12293] = {.lex_state = 568},
  [12294] = {.lex_state = 568},
  [12295] = {.lex_state = 361},
  [12296] = {.lex_state = 568},
  [12297] = {.lex_state = 568},
  [12298] = {.lex_state = 389},
  [12299] = {.lex_state = 361},
  [12300] = {.lex_state = 568},
  [12301] = {.lex_state = 568},
  [12302] = {.lex_state = 361},
  [12303] = {.lex_state = 568},
  [12304] = {.lex_state = 568},
  [12305] = {.lex_state = 565},
  [12306] = {.lex_state = 568},
  [12307] = {.lex_state = 568},
  [12308] = {.lex_state = 389},
  [12309] = {.lex_state = 568},
  [12310] = {.lex_state = 568},
  [12311] = {.lex_state = 211},
  [12312] = {.lex_state = 211},
  [12313] = {.lex_state = 211},
  [12314] = {.lex_state = 211},
  [12315] = {.lex_state = 556},
  [12316] = {.lex_state = 568},
  [12317] = {.lex_state = 556, .external_lex_state = 5},
  [12318] = {.lex_state = 204},
  [12319] = {.lex_state = 204},
  [12320] = {.lex_state = 361},
  [12321] = {.lex_state = 204},
  [12322] = {.lex_state = 215},
  [12323] = {.lex_state = 389},
  [12324] = {.lex_state = 361},
  [12325] = {.lex_state = 389},
  [12326] = {.lex_state = 204},
  [12327] = {.lex_state = 389, .external_lex_state = 5},
  [12328] = {.lex_state = 568},
  [12329] = {.lex_state = 556, .external_lex_state = 5},
  [12330] = {.lex_state = 568},
  [12331] = {.lex_state = 568},
  [12332] = {.lex_state = 568},
  [12333] = {.lex_state = 568},
  [12334] = {.lex_state = 568},
  [12335] = {.lex_state = 568},
  [12336] = {.lex_state = 229},
  [12337] = {.lex_state = 229},
  [12338] = {.lex_state = 361},
  [12339] = {.lex_state = 568},
  [12340] = {.lex_state = 556},
  [12341] = {.lex_state = 568},
  [12342] = {.lex_state = 389},
  [12343] = {.lex_state = 389},
  [12344] = {.lex_state = 389},
  [12345] = {.lex_state = 389},
  [12346] = {.lex_state = 389},
  [12347] = {.lex_state = 389},
  [12348] = {.lex_state = 556},
  [12349] = {.lex_state = 556},
  [12350] = {.lex_state = 556},
  [12351] = {.lex_state = 556, .external_lex_state = 5},
  [12352] = {.lex_state = 550},
  [12353] = {.lex_state = 389},
  [12354] = {.lex_state = 389},
  [12355] = {.lex_state = 401, .external_lex_state = 3},
  [12356] = {.lex_state = 389},
  [12357] = {.lex_state = 389},
  [12358] = {.lex_state = 550},
  [12359] = {.lex_state = 389},
  [12360] = {.lex_state = 389},
  [12361] = {.lex_state = 394},
  [12362] = {.lex_state = 401, .external_lex_state = 3},
  [12363] = {.lex_state = 389, .external_lex_state = 4},
  [12364] = {.lex_state = 401, .external_lex_state = 3},
  [12365] = {.lex_state = 389},
  [12366] = {.lex_state = 389},
  [12367] = {.lex_state = 556, .external_lex_state = 5},
  [12368] = {.lex_state = 392},
  [12369] = {.lex_state = 401, .external_lex_state = 3},
  [12370] = {.lex_state = 389},
  [12371] = {.lex_state = 556},
  [12372] = {.lex_state = 389},
  [12373] = {.lex_state = 568, .external_lex_state = 4},
  [12374] = {.lex_state = 389},
  [12375] = {.lex_state = 401, .external_lex_state = 3},
  [12376] = {.lex_state = 389},
  [12377] = {.lex_state = 401, .external_lex_state = 3},
  [12378] = {.lex_state = 389, .external_lex_state = 4},
  [12379] = {.lex_state = 361},
  [12380] = {.lex_state = 389},
  [12381] = {.lex_state = 401, .external_lex_state = 3},
  [12382] = {.lex_state = 568},
  [12383] = {.lex_state = 392},
  [12384] = {.lex_state = 389},
  [12385] = {.lex_state = 401, .external_lex_state = 3},
  [12386] = {.lex_state = 568},
  [12387] = {.lex_state = 568},
  [12388] = {.lex_state = 401, .external_lex_state = 3},
  [12389] = {.lex_state = 389},
  [12390] = {.lex_state = 392},
  [12391] = {.lex_state = 401, .external_lex_state = 3},
  [12392] = {.lex_state = 568},
  [12393] = {.lex_state = 401, .external_lex_state = 3},
  [12394] = {.lex_state = 361},
  [12395] = {.lex_state = 401, .external_lex_state = 3},
  [12396] = {.lex_state = 216},
  [12397] = {.lex_state = 389},
  [12398] = {.lex_state = 568, .external_lex_state = 4},
  [12399] = {.lex_state = 389},
  [12400] = {.lex_state = 216},
  [12401] = {.lex_state = 568},
  [12402] = {.lex_state = 389},
  [12403] = {.lex_state = 361},
  [12404] = {.lex_state = 389},
  [12405] = {.lex_state = 389},
  [12406] = {.lex_state = 361},
  [12407] = {.lex_state = 401, .external_lex_state = 3},
  [12408] = {.lex_state = 394},
  [12409] = {.lex_state = 401, .external_lex_state = 3},
  [12410] = {.lex_state = 389},
  [12411] = {.lex_state = 568},
  [12412] = {.lex_state = 389},
  [12413] = {.lex_state = 361},
  [12414] = {.lex_state = 389},
  [12415] = {.lex_state = 389},
  [12416] = {.lex_state = 401, .external_lex_state = 3},
  [12417] = {.lex_state = 389},
  [12418] = {.lex_state = 389},
  [12419] = {.lex_state = 401, .external_lex_state = 3},
  [12420] = {.lex_state = 401, .external_lex_state = 3},
  [12421] = {.lex_state = 389},
  [12422] = {.lex_state = 389},
  [12423] = {.lex_state = 389},
  [12424] = {.lex_state = 389},
  [12425] = {.lex_state = 568},
  [12426] = {.lex_state = 401, .external_lex_state = 3},
  [12427] = {.lex_state = 389},
  [12428] = {.lex_state = 389},
  [12429] = {.lex_state = 401, .external_lex_state = 3},
  [12430] = {.lex_state = 389},
  [12431] = {.lex_state = 556},
  [12432] = {.lex_state = 401, .external_lex_state = 3},
  [12433] = {.lex_state = 394},
  [12434] = {.lex_state = 361},
  [12435] = {.lex_state = 401, .external_lex_state = 3},
  [12436] = {.lex_state = 568},
  [12437] = {.lex_state = 389},
  [12438] = {.lex_state = 389},
  [12439] = {.lex_state = 186},
  [12440] = {.lex_state = 394},
  [12441] = {.lex_state = 401, .external_lex_state = 3},
  [12442] = {.lex_state = 389},
  [12443] = {.lex_state = 389},
  [12444] = {.lex_state = 556},
  [12445] = {.lex_state = 401, .external_lex_state = 3},
  [12446] = {.lex_state = 186},
  [12447] = {.lex_state = 361},
  [12448] = {.lex_state = 568},
  [12449] = {.lex_state = 389},
  [12450] = {.lex_state = 389},
  [12451] = {.lex_state = 389},
  [12452] = {.lex_state = 389},
  [12453] = {.lex_state = 568},
  [12454] = {.lex_state = 568},
  [12455] = {.lex_state = 568},
  [12456] = {.lex_state = 389},
  [12457] = {.lex_state = 216},
  [12458] = {.lex_state = 216},
  [12459] = {.lex_state = 563},
  [12460] = {.lex_state = 563},
  [12461] = {.lex_state = 550},
  [12462] = {.lex_state = 556, .external_lex_state = 4},
  [12463] = {.lex_state = 401, .external_lex_state = 3},
  [12464] = {.lex_state = 556},
  [12465] = {.lex_state = 389},
  [12466] = {.lex_state = 556},
  [12467] = {.lex_state = 401, .external_lex_state = 3},
  [12468] = {.lex_state = 401, .external_lex_state = 3},
  [12469] = {.lex_state = 568},
  [12470] = {.lex_state = 401, .external_lex_state = 3},
  [12471] = {.lex_state = 361},
  [12472] = {.lex_state = 401, .external_lex_state = 3},
  [12473] = {.lex_state = 550},
  [12474] = {.lex_state = 556},
  [12475] = {.lex_state = 389, .external_lex_state = 3},
  [12476] = {.lex_state = 389, .external_lex_state = 3},
  [12477] = {.lex_state = 401, .external_lex_state = 3},
  [12478] = {.lex_state = 389},
  [12479] = {.lex_state = 401, .external_lex_state = 3},
  [12480] = {.lex_state = 361},
  [12481] = {.lex_state = 389},
  [12482] = {.lex_state = 389},
  [12483] = {.lex_state = 389},
  [12484] = {.lex_state = 401, .external_lex_state = 3},
  [12485] = {.lex_state = 389},
  [12486] = {.lex_state = 389},
  [12487] = {.lex_state = 389},
  [12488] = {.lex_state = 556},
  [12489] = {.lex_state = 556},
  [12490] = {.lex_state = 361},
  [12491] = {.lex_state = 556},
  [12492] = {.lex_state = 389},
  [12493] = {.lex_state = 389},
  [12494] = {.lex_state = 556},
  [12495] = {.lex_state = 556},
  [12496] = {.lex_state = 556},
  [12497] = {.lex_state = 401, .external_lex_state = 3},
  [12498] = {.lex_state = 389},
  [12499] = {.lex_state = 389},
  [12500] = {.lex_state = 568},
  [12501] = {.lex_state = 401, .external_lex_state = 3},
  [12502] = {.lex_state = 401, .external_lex_state = 3},
  [12503] = {.lex_state = 394},
  [12504] = {.lex_state = 361},
  [12505] = {.lex_state = 556},
  [12506] = {.lex_state = 568},
  [12507] = {.lex_state = 186},
  [12508] = {.lex_state = 389},
  [12509] = {.lex_state = 556},
  [12510] = {.lex_state = 556},
  [12511] = {.lex_state = 556},
  [12512] = {.lex_state = 361},
  [12513] = {.lex_state = 389},
  [12514] = {.lex_state = 401, .external_lex_state = 3},
  [12515] = {.lex_state = 556},
  [12516] = {.lex_state = 563},
  [12517] = {.lex_state = 389},
  [12518] = {.lex_state = 389},
  [12519] = {.lex_state = 389},
  [12520] = {.lex_state = 568, .external_lex_state = 4},
  [12521] = {.lex_state = 361},
  [12522] = {.lex_state = 361},
  [12523] = {.lex_state = 389},
  [12524] = {.lex_state = 389},
  [12525] = {.lex_state = 556},
  [12526] = {.lex_state = 401, .external_lex_state = 3},
  [12527] = {.lex_state = 401, .external_lex_state = 3},
  [12528] = {.lex_state = 401, .external_lex_state = 3},
  [12529] = {.lex_state = 401, .external_lex_state = 3},
  [12530] = {.lex_state = 401, .external_lex_state = 3},
  [12531] = {.lex_state = 401, .external_lex_state = 3},
  [12532] = {.lex_state = 556, .external_lex_state = 5},
  [12533] = {.lex_state = 389},
  [12534] = {.lex_state = 568},
  [12535] = {.lex_state = 389},
  [12536] = {.lex_state = 361},
  [12537] = {.lex_state = 563},
  [12538] = {.lex_state = 389, .external_lex_state = 4},
  [12539] = {.lex_state = 389},
  [12540] = {.lex_state = 568},
  [12541] = {.lex_state = 401, .external_lex_state = 3},
  [12542] = {.lex_state = 186},
  [12543] = {.lex_state = 556, .external_lex_state = 4},
  [12544] = {.lex_state = 568},
  [12545] = {.lex_state = 556, .external_lex_state = 5},
  [12546] = {.lex_state = 389},
  [12547] = {.lex_state = 401, .external_lex_state = 3},
  [12548] = {.lex_state = 186},
  [12549] = {.lex_state = 568},
  [12550] = {.lex_state = 389},
  [12551] = {.lex_state = 389, .external_lex_state = 5},
  [12552] = {.lex_state = 389},
  [12553] = {.lex_state = 361},
  [12554] = {.lex_state = 568, .external_lex_state = 4},
  [12555] = {.lex_state = 389},
  [12556] = {.lex_state = 361},
  [12557] = {.lex_state = 186},
  [12558] = {.lex_state = 401, .external_lex_state = 3},
  [12559] = {.lex_state = 568, .external_lex_state = 4},
  [12560] = {.lex_state = 401, .external_lex_state = 3},
  [12561] = {.lex_state = 550},
  [12562] = {.lex_state = 389},
  [12563] = {.lex_state = 389},
  [12564] = {.lex_state = 401, .external_lex_state = 3},
  [12565] = {.lex_state = 389},
  [12566] = {.lex_state = 568},
  [12567] = {.lex_state = 389},
  [12568] = {.lex_state = 389},
  [12569] = {.lex_state = 401, .external_lex_state = 3},
  [12570] = {.lex_state = 389},
  [12571] = {.lex_state = 568},
  [12572] = {.lex_state = 401, .external_lex_state = 3},
  [12573] = {.lex_state = 389},
  [12574] = {.lex_state = 361},
  [12575] = {.lex_state = 392},
  [12576] = {.lex_state = 389},
  [12577] = {.lex_state = 389},
  [12578] = {.lex_state = 401, .external_lex_state = 3},
  [12579] = {.lex_state = 389},
  [12580] = {.lex_state = 401, .external_lex_state = 3},
  [12581] = {.lex_state = 556, .external_lex_state = 4},
  [12582] = {.lex_state = 568, .external_lex_state = 4},
  [12583] = {.lex_state = 389},
  [12584] = {.lex_state = 361},
  [12585] = {.lex_state = 401, .external_lex_state = 3},
  [12586] = {.lex_state = 401, .external_lex_state = 3},
  [12587] = {.lex_state = 556},
  [12588] = {.lex_state = 389},
  [12589] = {.lex_state = 401, .external_lex_state = 3},
  [12590] = {.lex_state = 556},
  [12591] = {.lex_state = 556},
  [12592] = {.lex_state = 556},
  [12593] = {.lex_state = 389},
  [12594] = {.lex_state = 550},
  [12595] = {.lex_state = 401, .external_lex_state = 3},
  [12596] = {.lex_state = 389},
  [12597] = {.lex_state = 389},
  [12598] = {.lex_state = 389},
  [12599] = {.lex_state = 389},
  [12600] = {.lex_state = 568},
  [12601] = {.lex_state = 389},
  [12602] = {.lex_state = 389},
  [12603] = {.lex_state = 389},
  [12604] = {.lex_state = 401, .external_lex_state = 3},
  [12605] = {.lex_state = 389},
  [12606] = {.lex_state = 389},
  [12607] = {.lex_state = 389},
  [12608] = {.lex_state = 389},
  [12609] = {.lex_state = 361},
  [12610] = {.lex_state = 556},
  [12611] = {.lex_state = 401, .external_lex_state = 3},
  [12612] = {.lex_state = 556, .external_lex_state = 4},
  [12613] = {.lex_state = 556},
  [12614] = {.lex_state = 401, .external_lex_state = 3},
  [12615] = {.lex_state = 389},
  [12616] = {.lex_state = 556, .external_lex_state = 5},
  [12617] = {.lex_state = 556},
  [12618] = {.lex_state = 556},
  [12619] = {.lex_state = 556},
  [12620] = {.lex_state = 556},
  [12621] = {.lex_state = 401, .external_lex_state = 3},
  [12622] = {.lex_state = 389, .external_lex_state = 5},
  [12623] = {.lex_state = 401, .external_lex_state = 3},
  [12624] = {.lex_state = 556},
  [12625] = {.lex_state = 556},
  [12626] = {.lex_state = 556},
  [12627] = {.lex_state = 556},
  [12628] = {.lex_state = 389},
  [12629] = {.lex_state = 556},
  [12630] = {.lex_state = 556},
  [12631] = {.lex_state = 556},
  [12632] = {.lex_state = 556},
  [12633] = {.lex_state = 401, .external_lex_state = 3},
  [12634] = {.lex_state = 556},
  [12635] = {.lex_state = 556},
  [12636] = {.lex_state = 556},
  [12637] = {.lex_state = 568},
  [12638] = {.lex_state = 556},
  [12639] = {.lex_state = 568},
  [12640] = {.lex_state = 568},
  [12641] = {.lex_state = 556},
  [12642] = {.lex_state = 568},
  [12643] = {.lex_state = 568},
  [12644] = {.lex_state = 556},
  [12645] = {.lex_state = 568},
  [12646] = {.lex_state = 389},
  [12647] = {.lex_state = 550},
  [12648] = {.lex_state = 389},
  [12649] = {.lex_state = 568},
  [12650] = {.lex_state = 556},
  [12651] = {.lex_state = 394},
  [12652] = {.lex_state = 556},
  [12653] = {.lex_state = 556},
  [12654] = {.lex_state = 556},
  [12655] = {.lex_state = 556},
  [12656] = {.lex_state = 556},
  [12657] = {.lex_state = 556},
  [12658] = {.lex_state = 389},
  [12659] = {.lex_state = 389},
  [12660] = {.lex_state = 556},
  [12661] = {.lex_state = 389},
  [12662] = {.lex_state = 550},
  [12663] = {.lex_state = 389},
  [12664] = {.lex_state = 550},
  [12665] = {.lex_state = 568},
  [12666] = {.lex_state = 556},
  [12667] = {.lex_state = 568},
  [12668] = {.lex_state = 568},
  [12669] = {.lex_state = 568},
  [12670] = {.lex_state = 568},
  [12671] = {.lex_state = 568},
  [12672] = {.lex_state = 568},
  [12673] = {.lex_state = 568},
  [12674] = {.lex_state = 568},
  [12675] = {.lex_state = 568},
  [12676] = {.lex_state = 568},
  [12677] = {.lex_state = 389},
  [12678] = {.lex_state = 568},
  [12679] = {.lex_state = 389},
  [12680] = {.lex_state = 389},
  [12681] = {.lex_state = 389},
  [12682] = {.lex_state = 389},
  [12683] = {.lex_state = 389},
  [12684] = {.lex_state = 389},
  [12685] = {.lex_state = 389},
  [12686] = {.lex_state = 389},
  [12687] = {.lex_state = 389},
  [12688] = {.lex_state = 556, .external_lex_state = 4},
  [12689] = {.lex_state = 568},
  [12690] = {.lex_state = 568},
  [12691] = {.lex_state = 568},
  [12692] = {.lex_state = 550},
  [12693] = {.lex_state = 550},
  [12694] = {.lex_state = 556},
  [12695] = {.lex_state = 568},
  [12696] = {.lex_state = 568},
  [12697] = {.lex_state = 568},
  [12698] = {.lex_state = 568},
  [12699] = {.lex_state = 568},
  [12700] = {.lex_state = 568},
  [12701] = {.lex_state = 556},
  [12702] = {.lex_state = 389},
  [12703] = {.lex_state = 568},
  [12704] = {.lex_state = 556},
  [12705] = {.lex_state = 568},
  [12706] = {.lex_state = 568},
  [12707] = {.lex_state = 568},
  [12708] = {.lex_state = 389},
  [12709] = {.lex_state = 550},
  [12710] = {.lex_state = 389},
  [12711] = {.lex_state = 394},
  [12712] = {.lex_state = 568},
  [12713] = {.lex_state = 568},
  [12714] = {.lex_state = 550},
  [12715] = {.lex_state = 389, .external_lex_state = 4},
  [12716] = {.lex_state = 568},
  [12717] = {.lex_state = 389},
  [12718] = {.lex_state = 556},
  [12719] = {.lex_state = 550},
  [12720] = {.lex_state = 556},
  [12721] = {.lex_state = 550},
  [12722] = {.lex_state = 568},
  [12723] = {.lex_state = 389},
  [12724] = {.lex_state = 568},
  [12725] = {.lex_state = 568},
  [12726] = {.lex_state = 568},
  [12727] = {.lex_state = 389},
  [12728] = {.lex_state = 568},
  [12729] = {.lex_state = 568},
  [12730] = {.lex_state = 568},
  [12731] = {.lex_state = 568},
  [12732] = {.lex_state = 389},
  [12733] = {.lex_state = 394},
  [12734] = {.lex_state = 568},
  [12735] = {.lex_state = 568},
  [12736] = {.lex_state = 568},
  [12737] = {.lex_state = 568},
  [12738] = {.lex_state = 568},
  [12739] = {.lex_state = 568},
  [12740] = {.lex_state = 568},
  [12741] = {.lex_state = 568},
  [12742] = {.lex_state = 550},
  [12743] = {.lex_state = 568},
  [12744] = {.lex_state = 389},
  [12745] = {.lex_state = 568},
  [12746] = {.lex_state = 389},
  [12747] = {.lex_state = 568},
  [12748] = {.lex_state = 550},
  [12749] = {.lex_state = 389},
  [12750] = {.lex_state = 389},
  [12751] = {.lex_state = 389},
  [12752] = {.lex_state = 186},
  [12753] = {.lex_state = 389},
  [12754] = {.lex_state = 556},
  [12755] = {.lex_state = 556, .external_lex_state = 4},
  [12756] = {.lex_state = 568},
  [12757] = {.lex_state = 568},
  [12758] = {.lex_state = 568},
  [12759] = {.lex_state = 389},
  [12760] = {.lex_state = 556},
  [12761] = {.lex_state = 568},
  [12762] = {.lex_state = 389},
  [12763] = {.lex_state = 389},
  [12764] = {.lex_state = 389},
  [12765] = {.lex_state = 389},
  [12766] = {.lex_state = 389},
  [12767] = {.lex_state = 389},
  [12768] = {.lex_state = 389},
  [12769] = {.lex_state = 389},
  [12770] = {.lex_state = 389},
  [12771] = {.lex_state = 389},
  [12772] = {.lex_state = 389},
  [12773] = {.lex_state = 389},
  [12774] = {.lex_state = 568},
  [12775] = {.lex_state = 556, .external_lex_state = 4},
  [12776] = {.lex_state = 568},
  [12777] = {.lex_state = 568},
  [12778] = {.lex_state = 568},
  [12779] = {.lex_state = 568},
  [12780] = {.lex_state = 389},
  [12781] = {.lex_state = 389},
  [12782] = {.lex_state = 389},
  [12783] = {.lex_state = 389},
  [12784] = {.lex_state = 389},
  [12785] = {.lex_state = 568},
  [12786] = {.lex_state = 568},
  [12787] = {.lex_state = 568},
  [12788] = {.lex_state = 556},
  [12789] = {.lex_state = 389},
  [12790] = {.lex_state = 389},
  [12791] = {.lex_state = 389},
  [12792] = {.lex_state = 389},
  [12793] = {.lex_state = 389},
  [12794] = {.lex_state = 389, .external_lex_state = 4},
  [12795] = {.lex_state = 556},
  [12796] = {.lex_state = 550},
  [12797] = {.lex_state = 556, .external_lex_state = 4},
  [12798] = {.lex_state = 568},
  [12799] = {.lex_state = 568},
  [12800] = {.lex_state = 568},
  [12801] = {.lex_state = 568},
  [12802] = {.lex_state = 394},
  [12803] = {.lex_state = 568},
  [12804] = {.lex_state = 389},
  [12805] = {.lex_state = 568},
  [12806] = {.lex_state = 389, .external_lex_state = 4},
  [12807] = {.lex_state = 568},
  [12808] = {.lex_state = 568},
  [12809] = {.lex_state = 568},
  [12810] = {.lex_state = 556},
  [12811] = {.lex_state = 389},
  [12812] = {.lex_state = 568},
  [12813] = {.lex_state = 389},
  [12814] = {.lex_state = 389},
  [12815] = {.lex_state = 389},
  [12816] = {.lex_state = 568},
  [12817] = {.lex_state = 568},
  [12818] = {.lex_state = 568},
  [12819] = {.lex_state = 568},
  [12820] = {.lex_state = 568},
  [12821] = {.lex_state = 568},
  [12822] = {.lex_state = 568},
  [12823] = {.lex_state = 568},
  [12824] = {.lex_state = 389},
  [12825] = {.lex_state = 568},
  [12826] = {.lex_state = 568},
  [12827] = {.lex_state = 568},
  [12828] = {.lex_state = 568},
  [12829] = {.lex_state = 389},
  [12830] = {.lex_state = 389},
  [12831] = {.lex_state = 389},
  [12832] = {.lex_state = 389},
  [12833] = {.lex_state = 389},
  [12834] = {.lex_state = 556},
  [12835] = {.lex_state = 389},
  [12836] = {.lex_state = 389},
  [12837] = {.lex_state = 389},
  [12838] = {.lex_state = 556},
  [12839] = {.lex_state = 556},
  [12840] = {.lex_state = 568},
  [12841] = {.lex_state = 394},
  [12842] = {.lex_state = 568},
  [12843] = {.lex_state = 568},
  [12844] = {.lex_state = 568},
  [12845] = {.lex_state = 568},
  [12846] = {.lex_state = 568},
  [12847] = {.lex_state = 568},
  [12848] = {.lex_state = 568},
  [12849] = {.lex_state = 389},
  [12850] = {.lex_state = 556},
  [12851] = {.lex_state = 389},
  [12852] = {.lex_state = 394},
  [12853] = {.lex_state = 550},
  [12854] = {.lex_state = 556},
  [12855] = {.lex_state = 568},
  [12856] = {.lex_state = 568},
  [12857] = {.lex_state = 556, .external_lex_state = 4},
  [12858] = {.lex_state = 556},
  [12859] = {.lex_state = 568},
  [12860] = {.lex_state = 556},
  [12861] = {.lex_state = 556},
  [12862] = {.lex_state = 556},
  [12863] = {.lex_state = 556},
  [12864] = {.lex_state = 556},
  [12865] = {.lex_state = 568},
  [12866] = {.lex_state = 556},
  [12867] = {.lex_state = 556},
  [12868] = {.lex_state = 556},
  [12869] = {.lex_state = 556},
  [12870] = {.lex_state = 556},
  [12871] = {.lex_state = 556},
  [12872] = {.lex_state = 389},
  [12873] = {.lex_state = 389},
  [12874] = {.lex_state = 389},
  [12875] = {.lex_state = 389},
  [12876] = {.lex_state = 556},
  [12877] = {.lex_state = 556},
  [12878] = {.lex_state = 556},
  [12879] = {.lex_state = 568},
  [12880] = {.lex_state = 389},
  [12881] = {.lex_state = 389},
  [12882] = {.lex_state = 550},
  [12883] = {.lex_state = 389},
  [12884] = {.lex_state = 389},
  [12885] = {.lex_state = 389},
  [12886] = {.lex_state = 389},
  [12887] = {.lex_state = 389},
  [12888] = {.lex_state = 389},
  [12889] = {.lex_state = 568},
  [12890] = {.lex_state = 389},
  [12891] = {.lex_state = 389},
  [12892] = {.lex_state = 389},
  [12893] = {.lex_state = 389},
  [12894] = {.lex_state = 568},
  [12895] = {.lex_state = 556},
  [12896] = {.lex_state = 389},
  [12897] = {.lex_state = 389, .external_lex_state = 5},
  [12898] = {.lex_state = 389},
  [12899] = {.lex_state = 389, .external_lex_state = 5},
  [12900] = {.lex_state = 389},
  [12901] = {.lex_state = 389},
  [12902] = {.lex_state = 556},
  [12903] = {.lex_state = 389},
  [12904] = {.lex_state = 568},
  [12905] = {.lex_state = 568},
  [12906] = {.lex_state = 556},
  [12907] = {.lex_state = 556},
  [12908] = {.lex_state = 556},
  [12909] = {.lex_state = 389},
  [12910] = {.lex_state = 389},
  [12911] = {.lex_state = 568},
  [12912] = {.lex_state = 568},
  [12913] = {.lex_state = 556},
  [12914] = {.lex_state = 389},
  [12915] = {.lex_state = 394},
  [12916] = {.lex_state = 389},
  [12917] = {.lex_state = 394},
  [12918] = {.lex_state = 394},
  [12919] = {.lex_state = 568},
  [12920] = {.lex_state = 394},
  [12921] = {.lex_state = 556, .external_lex_state = 4},
  [12922] = {.lex_state = 389},
  [12923] = {.lex_state = 568},
  [12924] = {.lex_state = 389},
  [12925] = {.lex_state = 389},
  [12926] = {.lex_state = 389},
  [12927] = {.lex_state = 389},
  [12928] = {.lex_state = 389},
  [12929] = {.lex_state = 389},
  [12930] = {.lex_state = 568},
  [12931] = {.lex_state = 389},
  [12932] = {.lex_state = 556},
  [12933] = {.lex_state = 389},
  [12934] = {.lex_state = 568},
  [12935] = {.lex_state = 394},
  [12936] = {.lex_state = 389, .external_lex_state = 4},
  [12937] = {.lex_state = 568},
  [12938] = {.lex_state = 568},
  [12939] = {.lex_state = 568},
  [12940] = {.lex_state = 556},
  [12941] = {.lex_state = 556},
  [12942] = {.lex_state = 556},
  [12943] = {.lex_state = 568},
  [12944] = {.lex_state = 556},
  [12945] = {.lex_state = 556},
  [12946] = {.lex_state = 556},
  [12947] = {.lex_state = 556},
  [12948] = {.lex_state = 556},
  [12949] = {.lex_state = 550},
  [12950] = {.lex_state = 568},
  [12951] = {.lex_state = 389},
  [12952] = {.lex_state = 389},
  [12953] = {.lex_state = 556, .external_lex_state = 4},
  [12954] = {.lex_state = 556},
  [12955] = {.lex_state = 389},
  [12956] = {.lex_state = 568},
  [12957] = {.lex_state = 389},
  [12958] = {.lex_state = 556},
  [12959] = {.lex_state = 389},
  [12960] = {.lex_state = 556},
  [12961] = {.lex_state = 389},
  [12962] = {.lex_state = 394},
  [12963] = {.lex_state = 389},
  [12964] = {.lex_state = 389},
  [12965] = {.lex_state = 389},
  [12966] = {.lex_state = 556},
  [12967] = {.lex_state = 556},
  [12968] = {.lex_state = 556},
  [12969] = {.lex_state = 556},
  [12970] = {.lex_state = 556},
  [12971] = {.lex_state = 556},
  [12972] = {.lex_state = 556},
  [12973] = {.lex_state = 556},
  [12974] = {.lex_state = 556},
  [12975] = {.lex_state = 389},
  [12976] = {.lex_state = 556},
  [12977] = {.lex_state = 556},
  [12978] = {.lex_state = 556},
  [12979] = {.lex_state = 389},
  [12980] = {.lex_state = 556},
  [12981] = {.lex_state = 556},
  [12982] = {.lex_state = 389},
  [12983] = {.lex_state = 389},
  [12984] = {.lex_state = 389},
  [12985] = {.lex_state = 389},
  [12986] = {.lex_state = 389},
  [12987] = {.lex_state = 389},
  [12988] = {.lex_state = 389},
  [12989] = {.lex_state = 389},
  [12990] = {.lex_state = 556},
  [12991] = {.lex_state = 568},
  [12992] = {.lex_state = 550},
  [12993] = {.lex_state = 394},
  [12994] = {.lex_state = 419},
  [12995] = {.lex_state = 419},
  [12996] = {.lex_state = 419},
  [12997] = {.lex_state = 419},
  [12998] = {.lex_state = 556},
  [12999] = {.lex_state = 389},
  [13000] = {.lex_state = 389},
  [13001] = {.lex_state = 394},
  [13002] = {.lex_state = 389},
  [13003] = {.lex_state = 568},
  [13004] = {.lex_state = 556},
  [13005] = {.lex_state = 556},
  [13006] = {.lex_state = 389},
  [13007] = {.lex_state = 556},
  [13008] = {.lex_state = 556},
  [13009] = {.lex_state = 556},
  [13010] = {.lex_state = 556},
  [13011] = {.lex_state = 556},
  [13012] = {.lex_state = 556},
  [13013] = {.lex_state = 556},
  [13014] = {.lex_state = 550},
  [13015] = {.lex_state = 556},
  [13016] = {.lex_state = 568},
  [13017] = {.lex_state = 389},
  [13018] = {.lex_state = 550},
  [13019] = {.lex_state = 556, .external_lex_state = 4},
  [13020] = {.lex_state = 389},
  [13021] = {.lex_state = 389},
  [13022] = {.lex_state = 556},
  [13023] = {.lex_state = 556},
  [13024] = {.lex_state = 556},
  [13025] = {.lex_state = 556},
  [13026] = {.lex_state = 389},
  [13027] = {.lex_state = 550},
  [13028] = {.lex_state = 568},
  [13029] = {.lex_state = 556},
  [13030] = {.lex_state = 389},
  [13031] = {.lex_state = 556, .external_lex_state = 4},
  [13032] = {.lex_state = 389},
  [13033] = {.lex_state = 389},
  [13034] = {.lex_state = 556},
  [13035] = {.lex_state = 556},
  [13036] = {.lex_state = 556},
  [13037] = {.lex_state = 556},
  [13038] = {.lex_state = 556},
  [13039] = {.lex_state = 556},
  [13040] = {.lex_state = 556},
  [13041] = {.lex_state = 556},
  [13042] = {.lex_state = 556},
  [13043] = {.lex_state = 556},
  [13044] = {.lex_state = 556},
  [13045] = {.lex_state = 568},
  [13046] = {.lex_state = 568},
  [13047] = {.lex_state = 556},
  [13048] = {.lex_state = 568},
  [13049] = {.lex_state = 394},
  [13050] = {.lex_state = 394},
  [13051] = {.lex_state = 550},
  [13052] = {.lex_state = 389},
  [13053] = {.lex_state = 389},
  [13054] = {.lex_state = 394},
  [13055] = {.lex_state = 550},
  [13056] = {.lex_state = 389},
  [13057] = {.lex_state = 389},
  [13058] = {.lex_state = 389},
  [13059] = {.lex_state = 389},
  [13060] = {.lex_state = 389},
  [13061] = {.lex_state = 389},
  [13062] = {.lex_state = 556},
  [13063] = {.lex_state = 556},
  [13064] = {.lex_state = 389},
  [13065] = {.lex_state = 556},
  [13066] = {.lex_state = 568},
  [13067] = {.lex_state = 389},
  [13068] = {.lex_state = 556},
  [13069] = {.lex_state = 556},
  [13070] = {.lex_state = 389},
  [13071] = {.lex_state = 550},
  [13072] = {.lex_state = 389},
  [13073] = {.lex_state = 556},
  [13074] = {.lex_state = 556},
  [13075] = {.lex_state = 556},
  [13076] = {.lex_state = 556},
  [13077] = {.lex_state = 550},
  [13078] = {.lex_state = 389},
  [13079] = {.lex_state = 556},
  [13080] = {.lex_state = 568},
  [13081] = {.lex_state = 389, .external_lex_state = 4},
  [13082] = {.lex_state = 556},
  [13083] = {.lex_state = 556},
  [13084] = {.lex_state = 556},
  [13085] = {.lex_state = 556},
  [13086] = {.lex_state = 556, .external_lex_state = 4},
  [13087] = {.lex_state = 556},
  [13088] = {.lex_state = 550},
  [13089] = {.lex_state = 556},
  [13090] = {.lex_state = 389},
  [13091] = {.lex_state = 556},
  [13092] = {.lex_state = 389},
  [13093] = {.lex_state = 389},
  [13094] = {.lex_state = 556},
  [13095] = {.lex_state = 556},
  [13096] = {.lex_state = 556},
  [13097] = {.lex_state = 556},
  [13098] = {.lex_state = 556},
  [13099] = {.lex_state = 556},
  [13100] = {.lex_state = 556, .external_lex_state = 4},
  [13101] = {.lex_state = 389, .external_lex_state = 5},
  [13102] = {.lex_state = 389},
  [13103] = {.lex_state = 556},
  [13104] = {.lex_state = 389, .external_lex_state = 5},
  [13105] = {.lex_state = 389},
  [13106] = {.lex_state = 389},
  [13107] = {.lex_state = 389},
  [13108] = {.lex_state = 556},
  [13109] = {.lex_state = 389},
  [13110] = {.lex_state = 556},
  [13111] = {.lex_state = 556},
  [13112] = {.lex_state = 556},
  [13113] = {.lex_state = 556},
  [13114] = {.lex_state = 556},
  [13115] = {.lex_state = 556},
  [13116] = {.lex_state = 556},
  [13117] = {.lex_state = 556},
  [13118] = {.lex_state = 556},
  [13119] = {.lex_state = 556},
  [13120] = {.lex_state = 556},
  [13121] = {.lex_state = 556},
  [13122] = {.lex_state = 556},
  [13123] = {.lex_state = 556},
  [13124] = {.lex_state = 556},
  [13125] = {.lex_state = 556},
  [13126] = {.lex_state = 556},
  [13127] = {.lex_state = 556},
  [13128] = {.lex_state = 556},
  [13129] = {.lex_state = 556},
  [13130] = {.lex_state = 556},
  [13131] = {.lex_state = 556},
  [13132] = {.lex_state = 556},
  [13133] = {.lex_state = 556},
  [13134] = {.lex_state = 556},
  [13135] = {.lex_state = 556},
  [13136] = {.lex_state = 556},
  [13137] = {.lex_state = 556},
  [13138] = {.lex_state = 556},
  [13139] = {.lex_state = 556},
  [13140] = {.lex_state = 389},
  [13141] = {.lex_state = 550},
  [13142] = {.lex_state = 394},
  [13143] = {.lex_state = 389, .external_lex_state = 4},
  [13144] = {.lex_state = 389},
  [13145] = {.lex_state = 556},
  [13146] = {.lex_state = 389},
  [13147] = {.lex_state = 389},
  [13148] = {.lex_state = 389},
  [13149] = {.lex_state = 389},
  [13150] = {.lex_state = 389},
  [13151] = {.lex_state = 389},
  [13152] = {.lex_state = 389},
  [13153] = {.lex_state = 389},
  [13154] = {.lex_state = 389},
  [13155] = {.lex_state = 389},
  [13156] = {.lex_state = 389},
  [13157] = {.lex_state = 389},
  [13158] = {.lex_state = 556},
  [13159] = {.lex_state = 394},
  [13160] = {.lex_state = 556},
  [13161] = {.lex_state = 394},
  [13162] = {.lex_state = 556},
  [13163] = {.lex_state = 556},
  [13164] = {.lex_state = 550},
  [13165] = {.lex_state = 556},
  [13166] = {.lex_state = 556},
  [13167] = {.lex_state = 556},
  [13168] = {.lex_state = 389},
  [13169] = {.lex_state = 556},
  [13170] = {.lex_state = 389},
  [13171] = {.lex_state = 556},
  [13172] = {.lex_state = 389},
  [13173] = {.lex_state = 389},
  [13174] = {.lex_state = 389},
  [13175] = {.lex_state = 389},
  [13176] = {.lex_state = 389},
  [13177] = {.lex_state = 556},
  [13178] = {.lex_state = 394},
  [13179] = {.lex_state = 389},
  [13180] = {.lex_state = 556, .external_lex_state = 4},
  [13181] = {.lex_state = 556},
  [13182] = {.lex_state = 389},
  [13183] = {.lex_state = 556},
  [13184] = {.lex_state = 389},
  [13185] = {.lex_state = 556},
  [13186] = {.lex_state = 556},
  [13187] = {.lex_state = 550},
  [13188] = {.lex_state = 389},
  [13189] = {.lex_state = 389},
  [13190] = {.lex_state = 389},
  [13191] = {.lex_state = 389},
  [13192] = {.lex_state = 389},
  [13193] = {.lex_state = 389},
  [13194] = {.lex_state = 389},
  [13195] = {.lex_state = 556},
  [13196] = {.lex_state = 556},
  [13197] = {.lex_state = 556},
  [13198] = {.lex_state = 556},
  [13199] = {.lex_state = 556},
  [13200] = {.lex_state = 556},
  [13201] = {.lex_state = 556},
  [13202] = {.lex_state = 556},
  [13203] = {.lex_state = 556},
  [13204] = {.lex_state = 556},
  [13205] = {.lex_state = 556},
  [13206] = {.lex_state = 389},
  [13207] = {.lex_state = 389},
  [13208] = {.lex_state = 389},
  [13209] = {.lex_state = 389},
  [13210] = {.lex_state = 389},
  [13211] = {.lex_state = 389},
  [13212] = {.lex_state = 389},
  [13213] = {.lex_state = 556},
  [13214] = {.lex_state = 389},
  [13215] = {.lex_state = 389},
  [13216] = {.lex_state = 394},
  [13217] = {.lex_state = 394},
  [13218] = {.lex_state = 394},
  [13219] = {.lex_state = 389},
  [13220] = {.lex_state = 556},
  [13221] = {.lex_state = 556},
  [13222] = {.lex_state = 556},
  [13223] = {.lex_state = 556},
  [13224] = {.lex_state = 556},
  [13225] = {.lex_state = 389},
  [13226] = {.lex_state = 568},
  [13227] = {.lex_state = 556},
  [13228] = {.lex_state = 556},
  [13229] = {.lex_state = 556},
  [13230] = {.lex_state = 568},
  [13231] = {.lex_state = 568},
  [13232] = {.lex_state = 568},
  [13233] = {.lex_state = 556},
  [13234] = {.lex_state = 568},
  [13235] = {.lex_state = 556},
  [13236] = {.lex_state = 556},
  [13237] = {.lex_state = 556},
  [13238] = {.lex_state = 568},
  [13239] = {.lex_state = 568},
  [13240] = {.lex_state = 568},
  [13241] = {.lex_state = 568},
  [13242] = {.lex_state = 550},
  [13243] = {.lex_state = 568},
  [13244] = {.lex_state = 568},
  [13245] = {.lex_state = 556},
  [13246] = {.lex_state = 389},
  [13247] = {.lex_state = 556},
  [13248] = {.lex_state = 568},
  [13249] = {.lex_state = 556},
  [13250] = {.lex_state = 556},
  [13251] = {.lex_state = 389, .external_lex_state = 4},
  [13252] = {.lex_state = 556},
  [13253] = {.lex_state = 556},
  [13254] = {.lex_state = 556},
  [13255] = {.lex_state = 556},
  [13256] = {.lex_state = 556},
  [13257] = {.lex_state = 556},
  [13258] = {.lex_state = 556},
  [13259] = {.lex_state = 556},
  [13260] = {.lex_state = 568},
  [13261] = {.lex_state = 556},
  [13262] = {.lex_state = 556},
  [13263] = {.lex_state = 556},
  [13264] = {.lex_state = 556},
  [13265] = {.lex_state = 556},
  [13266] = {.lex_state = 556},
  [13267] = {.lex_state = 568},
  [13268] = {.lex_state = 556},
  [13269] = {.lex_state = 556},
  [13270] = {.lex_state = 556},
  [13271] = {.lex_state = 556},
  [13272] = {.lex_state = 556},
  [13273] = {.lex_state = 556},
  [13274] = {.lex_state = 556},
  [13275] = {.lex_state = 556},
  [13276] = {.lex_state = 389},
  [13277] = {.lex_state = 389},
  [13278] = {.lex_state = 556},
  [13279] = {.lex_state = 556},
  [13280] = {.lex_state = 394},
  [13281] = {.lex_state = 556},
  [13282] = {.lex_state = 556},
  [13283] = {.lex_state = 556},
  [13284] = {.lex_state = 556},
  [13285] = {.lex_state = 556},
  [13286] = {.lex_state = 556},
  [13287] = {.lex_state = 556},
  [13288] = {.lex_state = 556},
  [13289] = {.lex_state = 389},
  [13290] = {.lex_state = 389},
  [13291] = {.lex_state = 389},
  [13292] = {.lex_state = 556},
  [13293] = {.lex_state = 389},
  [13294] = {.lex_state = 556},
  [13295] = {.lex_state = 389},
  [13296] = {.lex_state = 389},
  [13297] = {.lex_state = 556},
  [13298] = {.lex_state = 389},
  [13299] = {.lex_state = 389},
  [13300] = {.lex_state = 389},
  [13301] = {.lex_state = 389},
  [13302] = {.lex_state = 550},
  [13303] = {.lex_state = 556},
  [13304] = {.lex_state = 556},
  [13305] = {.lex_state = 556},
  [13306] = {.lex_state = 556},
  [13307] = {.lex_state = 556},
  [13308] = {.lex_state = 550},
  [13309] = {.lex_state = 556, .external_lex_state = 4},
  [13310] = {.lex_state = 389},
  [13311] = {.lex_state = 389},
  [13312] = {.lex_state = 394},
  [13313] = {.lex_state = 389},
  [13314] = {.lex_state = 556},
  [13315] = {.lex_state = 550},
  [13316] = {.lex_state = 556},
  [13317] = {.lex_state = 556},
  [13318] = {.lex_state = 556},
  [13319] = {.lex_state = 399},
  [13320] = {.lex_state = 399},
  [13321] = {.lex_state = 399},
  [13322] = {.lex_state = 399},
  [13323] = {.lex_state = 556},
  [13324] = {.lex_state = 556},
  [13325] = {.lex_state = 556},
  [13326] = {.lex_state = 389},
  [13327] = {.lex_state = 389},
  [13328] = {.lex_state = 389},
  [13329] = {.lex_state = 556},
  [13330] = {.lex_state = 389},
  [13331] = {.lex_state = 389},
  [13332] = {.lex_state = 389},
  [13333] = {.lex_state = 389},
  [13334] = {.lex_state = 389},
  [13335] = {.lex_state = 389},
  [13336] = {.lex_state = 389},
  [13337] = {.lex_state = 389},
  [13338] = {.lex_state = 394},
  [13339] = {.lex_state = 389},
  [13340] = {.lex_state = 389},
  [13341] = {.lex_state = 389},
  [13342] = {.lex_state = 556},
  [13343] = {.lex_state = 556},
  [13344] = {.lex_state = 556},
  [13345] = {.lex_state = 556},
  [13346] = {.lex_state = 556},
  [13347] = {.lex_state = 550},
  [13348] = {.lex_state = 389},
  [13349] = {.lex_state = 389},
  [13350] = {.lex_state = 389},
  [13351] = {.lex_state = 389},
  [13352] = {.lex_state = 389},
  [13353] = {.lex_state = 389},
  [13354] = {.lex_state = 556},
  [13355] = {.lex_state = 389},
  [13356] = {.lex_state = 556},
  [13357] = {.lex_state = 389},
  [13358] = {.lex_state = 389},
  [13359] = {.lex_state = 556},
  [13360] = {.lex_state = 389},
  [13361] = {.lex_state = 389},
  [13362] = {.lex_state = 389},
  [13363] = {.lex_state = 389},
  [13364] = {.lex_state = 389},
  [13365] = {.lex_state = 389},
  [13366] = {.lex_state = 389, .external_lex_state = 4},
  [13367] = {.lex_state = 556},
  [13368] = {.lex_state = 389},
  [13369] = {.lex_state = 389},
  [13370] = {.lex_state = 389},
  [13371] = {.lex_state = 389},
  [13372] = {.lex_state = 556},
  [13373] = {.lex_state = 556},
  [13374] = {.lex_state = 556},
  [13375] = {.lex_state = 556},
  [13376] = {.lex_state = 556},
  [13377] = {.lex_state = 556},
  [13378] = {.lex_state = 389},
  [13379] = {.lex_state = 389},
  [13380] = {.lex_state = 389},
  [13381] = {.lex_state = 389},
  [13382] = {.lex_state = 556},
  [13383] = {.lex_state = 556},
  [13384] = {.lex_state = 389},
  [13385] = {.lex_state = 389},
  [13386] = {.lex_state = 389},
  [13387] = {.lex_state = 389},
  [13388] = {.lex_state = 556},
  [13389] = {.lex_state = 389},
  [13390] = {.lex_state = 556},
  [13391] = {.lex_state = 389},
  [13392] = {.lex_state = 389},
  [13393] = {.lex_state = 389},
  [13394] = {.lex_state = 556},
  [13395] = {.lex_state = 389},
  [13396] = {.lex_state = 556},
  [13397] = {.lex_state = 556},
  [13398] = {.lex_state = 556},
  [13399] = {.lex_state = 389},
  [13400] = {.lex_state = 389},
  [13401] = {.lex_state = 550},
  [13402] = {.lex_state = 556, .external_lex_state = 4},
  [13403] = {.lex_state = 389},
  [13404] = {.lex_state = 389},
  [13405] = {.lex_state = 556, .external_lex_state = 4},
  [13406] = {.lex_state = 550},
  [13407] = {.lex_state = 556},
  [13408] = {.lex_state = 556},
  [13409] = {.lex_state = 556},
  [13410] = {.lex_state = 556},
  [13411] = {.lex_state = 556},
  [13412] = {.lex_state = 556},
  [13413] = {.lex_state = 556},
  [13414] = {.lex_state = 556},
  [13415] = {.lex_state = 556},
  [13416] = {.lex_state = 556},
  [13417] = {.lex_state = 389},
  [13418] = {.lex_state = 556},
  [13419] = {.lex_state = 556},
  [13420] = {.lex_state = 556},
  [13421] = {.lex_state = 389},
  [13422] = {.lex_state = 389},
  [13423] = {.lex_state = 556},
  [13424] = {.lex_state = 556},
  [13425] = {.lex_state = 389},
  [13426] = {.lex_state = 556},
  [13427] = {.lex_state = 556},
  [13428] = {.lex_state = 556},
  [13429] = {.lex_state = 556},
  [13430] = {.lex_state = 556},
  [13431] = {.lex_state = 556},
  [13432] = {.lex_state = 556},
  [13433] = {.lex_state = 556},
  [13434] = {.lex_state = 556},
  [13435] = {.lex_state = 389},
  [13436] = {.lex_state = 556},
  [13437] = {.lex_state = 556},
  [13438] = {.lex_state = 556},
  [13439] = {.lex_state = 556},
  [13440] = {.lex_state = 556},
  [13441] = {.lex_state = 556},
  [13442] = {.lex_state = 556},
  [13443] = {.lex_state = 389},
  [13444] = {.lex_state = 389},
  [13445] = {.lex_state = 389},
  [13446] = {.lex_state = 389},
  [13447] = {.lex_state = 556},
  [13448] = {.lex_state = 556},
  [13449] = {.lex_state = 389},
  [13450] = {.lex_state = 389},
  [13451] = {.lex_state = 389},
  [13452] = {.lex_state = 389},
  [13453] = {.lex_state = 556},
  [13454] = {.lex_state = 556},
  [13455] = {.lex_state = 556},
  [13456] = {.lex_state = 556},
  [13457] = {.lex_state = 556},
  [13458] = {.lex_state = 556},
  [13459] = {.lex_state = 556},
  [13460] = {.lex_state = 556},
  [13461] = {.lex_state = 389},
  [13462] = {.lex_state = 389},
  [13463] = {.lex_state = 556},
  [13464] = {.lex_state = 389},
  [13465] = {.lex_state = 556},
  [13466] = {.lex_state = 556},
  [13467] = {.lex_state = 556},
  [13468] = {.lex_state = 556},
  [13469] = {.lex_state = 556},
  [13470] = {.lex_state = 389},
  [13471] = {.lex_state = 556},
  [13472] = {.lex_state = 556},
  [13473] = {.lex_state = 556},
  [13474] = {.lex_state = 556},
  [13475] = {.lex_state = 556},
  [13476] = {.lex_state = 389},
  [13477] = {.lex_state = 389},
  [13478] = {.lex_state = 556},
  [13479] = {.lex_state = 556},
  [13480] = {.lex_state = 556},
  [13481] = {.lex_state = 389},
  [13482] = {.lex_state = 556},
  [13483] = {.lex_state = 556},
  [13484] = {.lex_state = 550},
  [13485] = {.lex_state = 556},
  [13486] = {.lex_state = 389},
  [13487] = {.lex_state = 556},
  [13488] = {.lex_state = 556},
  [13489] = {.lex_state = 556},
  [13490] = {.lex_state = 556},
  [13491] = {.lex_state = 550},
  [13492] = {.lex_state = 556, .external_lex_state = 4},
  [13493] = {.lex_state = 556},
  [13494] = {.lex_state = 556},
  [13495] = {.lex_state = 556},
  [13496] = {.lex_state = 556},
  [13497] = {.lex_state = 556},
  [13498] = {.lex_state = 556},
  [13499] = {.lex_state = 556},
  [13500] = {.lex_state = 556},
  [13501] = {.lex_state = 556},
  [13502] = {.lex_state = 389},
  [13503] = {.lex_state = 389},
  [13504] = {.lex_state = 556},
  [13505] = {.lex_state = 389},
  [13506] = {.lex_state = 389},
  [13507] = {.lex_state = 556},
  [13508] = {.lex_state = 389},
  [13509] = {.lex_state = 389},
  [13510] = {.lex_state = 389},
  [13511] = {.lex_state = 389},
  [13512] = {.lex_state = 556},
  [13513] = {.lex_state = 389},
  [13514] = {.lex_state = 389},
  [13515] = {.lex_state = 389},
  [13516] = {.lex_state = 389},
  [13517] = {.lex_state = 389},
  [13518] = {.lex_state = 556},
  [13519] = {.lex_state = 556},
  [13520] = {.lex_state = 556},
  [13521] = {.lex_state = 389},
  [13522] = {.lex_state = 556},
  [13523] = {.lex_state = 556},
  [13524] = {.lex_state = 556},
  [13525] = {.lex_state = 556},
  [13526] = {.lex_state = 556},
  [13527] = {.lex_state = 556},
  [13528] = {.lex_state = 556},
  [13529] = {.lex_state = 389},
  [13530] = {.lex_state = 556},
  [13531] = {.lex_state = 556},
  [13532] = {.lex_state = 556},
  [13533] = {.lex_state = 556},
  [13534] = {.lex_state = 389},
  [13535] = {.lex_state = 556},
  [13536] = {.lex_state = 389},
  [13537] = {.lex_state = 389},
  [13538] = {.lex_state = 389},
  [13539] = {.lex_state = 389},
  [13540] = {.lex_state = 556},
  [13541] = {.lex_state = 389},
  [13542] = {.lex_state = 389},
  [13543] = {.lex_state = 556},
  [13544] = {.lex_state = 389},
  [13545] = {.lex_state = 389},
  [13546] = {.lex_state = 389},
  [13547] = {.lex_state = 389},
  [13548] = {.lex_state = 389},
  [13549] = {.lex_state = 389},
  [13550] = {.lex_state = 389},
  [13551] = {.lex_state = 389},
  [13552] = {.lex_state = 389},
  [13553] = {.lex_state = 389},
  [13554] = {.lex_state = 389},
  [13555] = {.lex_state = 556},
  [13556] = {.lex_state = 389},
  [13557] = {.lex_state = 550},
  [13558] = {.lex_state = 389},
  [13559] = {.lex_state = 556},
  [13560] = {.lex_state = 556},
  [13561] = {.lex_state = 556},
  [13562] = {.lex_state = 556},
  [13563] = {.lex_state = 556},
  [13564] = {.lex_state = 556},
  [13565] = {.lex_state = 556},
  [13566] = {.lex_state = 556},
  [13567] = {.lex_state = 556},
  [13568] = {.lex_state = 556},
  [13569] = {.lex_state = 556},
  [13570] = {.lex_state = 556},
  [13571] = {.lex_state = 556},
  [13572] = {.lex_state = 556},
  [13573] = {.lex_state = 389},
  [13574] = {.lex_state = 389},
  [13575] = {.lex_state = 389},
  [13576] = {.lex_state = 389},
  [13577] = {.lex_state = 389},
  [13578] = {.lex_state = 389},
  [13579] = {.lex_state = 389},
  [13580] = {.lex_state = 389},
  [13581] = {.lex_state = 389},
  [13582] = {.lex_state = 389},
  [13583] = {.lex_state = 389},
  [13584] = {.lex_state = 389},
  [13585] = {.lex_state = 556},
  [13586] = {.lex_state = 556},
  [13587] = {.lex_state = 556},
  [13588] = {.lex_state = 556},
  [13589] = {.lex_state = 389},
  [13590] = {.lex_state = 389},
  [13591] = {.lex_state = 389},
  [13592] = {.lex_state = 389},
  [13593] = {.lex_state = 389},
  [13594] = {.lex_state = 389},
  [13595] = {.lex_state = 389},
  [13596] = {.lex_state = 556},
  [13597] = {.lex_state = 556},
  [13598] = {.lex_state = 389},
  [13599] = {.lex_state = 556},
  [13600] = {.lex_state = 556},
  [13601] = {.lex_state = 556},
  [13602] = {.lex_state = 394},
  [13603] = {.lex_state = 556},
  [13604] = {.lex_state = 556},
  [13605] = {.lex_state = 394},
  [13606] = {.lex_state = 556},
  [13607] = {.lex_state = 556},
  [13608] = {.lex_state = 389},
  [13609] = {.lex_state = 556},
  [13610] = {.lex_state = 556},
  [13611] = {.lex_state = 556},
  [13612] = {.lex_state = 389},
  [13613] = {.lex_state = 389},
  [13614] = {.lex_state = 389},
  [13615] = {.lex_state = 394},
  [13616] = {.lex_state = 389},
  [13617] = {.lex_state = 389},
  [13618] = {.lex_state = 389},
  [13619] = {.lex_state = 556},
  [13620] = {.lex_state = 556},
  [13621] = {.lex_state = 389},
  [13622] = {.lex_state = 556},
  [13623] = {.lex_state = 389},
  [13624] = {.lex_state = 389},
  [13625] = {.lex_state = 389},
  [13626] = {.lex_state = 556},
  [13627] = {.lex_state = 556},
  [13628] = {.lex_state = 394},
  [13629] = {.lex_state = 389},
  [13630] = {.lex_state = 389},
  [13631] = {.lex_state = 394},
  [13632] = {.lex_state = 389},
  [13633] = {.lex_state = 389},
  [13634] = {.lex_state = 389},
  [13635] = {.lex_state = 556},
  [13636] = {.lex_state = 550},
  [13637] = {.lex_state = 389},
  [13638] = {.lex_state = 389},
  [13639] = {.lex_state = 389},
  [13640] = {.lex_state = 389},
  [13641] = {.lex_state = 389},
  [13642] = {.lex_state = 389},
  [13643] = {.lex_state = 389},
  [13644] = {.lex_state = 389},
  [13645] = {.lex_state = 389},
  [13646] = {.lex_state = 389},
  [13647] = {.lex_state = 389},
  [13648] = {.lex_state = 389},
  [13649] = {.lex_state = 389},
  [13650] = {.lex_state = 389},
  [13651] = {.lex_state = 389},
  [13652] = {.lex_state = 389},
  [13653] = {.lex_state = 389},
  [13654] = {.lex_state = 389},
  [13655] = {.lex_state = 389},
  [13656] = {.lex_state = 389},
  [13657] = {.lex_state = 389},
  [13658] = {.lex_state = 389},
  [13659] = {.lex_state = 556},
  [13660] = {.lex_state = 556},
  [13661] = {.lex_state = 556},
  [13662] = {.lex_state = 389},
  [13663] = {.lex_state = 556},
  [13664] = {.lex_state = 389},
  [13665] = {.lex_state = 389},
  [13666] = {.lex_state = 389},
  [13667] = {.lex_state = 389},
  [13668] = {.lex_state = 556},
  [13669] = {.lex_state = 389},
  [13670] = {.lex_state = 556},
  [13671] = {.lex_state = 389},
  [13672] = {.lex_state = 389},
  [13673] = {.lex_state = 389},
  [13674] = {.lex_state = 389},
  [13675] = {.lex_state = 389},
  [13676] = {.lex_state = 362},
  [13677] = {.lex_state = 362},
  [13678] = {.lex_state = 389},
  [13679] = {.lex_state = 389},
  [13680] = {.lex_state = 389},
  [13681] = {.lex_state = 389},
  [13682] = {.lex_state = 389},
  [13683] = {.lex_state = 556},
  [13684] = {.lex_state = 362},
  [13685] = {.lex_state = 389},
  [13686] = {.lex_state = 389},
  [13687] = {.lex_state = 389, .external_lex_state = 4},
  [13688] = {.lex_state = 362},
  [13689] = {.lex_state = 389},
  [13690] = {.lex_state = 556},
  [13691] = {.lex_state = 556},
  [13692] = {.lex_state = 556},
  [13693] = {.lex_state = 556},
  [13694] = {.lex_state = 394},
  [13695] = {.lex_state = 389},
  [13696] = {.lex_state = 389},
  [13697] = {.lex_state = 362},
  [13698] = {.lex_state = 556},
  [13699] = {.lex_state = 556},
  [13700] = {.lex_state = 362},
  [13701] = {.lex_state = 556},
  [13702] = {.lex_state = 362},
  [13703] = {.lex_state = 389},
  [13704] = {.lex_state = 556},
  [13705] = {.lex_state = 362},
  [13706] = {.lex_state = 556},
  [13707] = {.lex_state = 556},
  [13708] = {.lex_state = 362},
  [13709] = {.lex_state = 389},
  [13710] = {.lex_state = 556},
  [13711] = {.lex_state = 362},
  [13712] = {.lex_state = 362},
  [13713] = {.lex_state = 556},
  [13714] = {.lex_state = 556},
  [13715] = {.lex_state = 556},
  [13716] = {.lex_state = 556},
  [13717] = {.lex_state = 389},
  [13718] = {.lex_state = 389},
  [13719] = {.lex_state = 362},
  [13720] = {.lex_state = 389},
  [13721] = {.lex_state = 389},
  [13722] = {.lex_state = 362},
  [13723] = {.lex_state = 389},
  [13724] = {.lex_state = 389},
  [13725] = {.lex_state = 394},
  [13726] = {.lex_state = 362},
  [13727] = {.lex_state = 556},
  [13728] = {.lex_state = 362},
  [13729] = {.lex_state = 550},
  [13730] = {.lex_state = 389, .external_lex_state = 4},
  [13731] = {.lex_state = 556},
  [13732] = {.lex_state = 556},
  [13733] = {.lex_state = 556},
  [13734] = {.lex_state = 389},
  [13735] = {.lex_state = 389},
  [13736] = {.lex_state = 362},
  [13737] = {.lex_state = 556},
  [13738] = {.lex_state = 362},
  [13739] = {.lex_state = 362},
  [13740] = {.lex_state = 362},
  [13741] = {.lex_state = 389},
  [13742] = {.lex_state = 389},
  [13743] = {.lex_state = 389},
  [13744] = {.lex_state = 389},
  [13745] = {.lex_state = 389},
  [13746] = {.lex_state = 389},
  [13747] = {.lex_state = 389},
  [13748] = {.lex_state = 389},
  [13749] = {.lex_state = 389, .external_lex_state = 4},
  [13750] = {.lex_state = 389},
  [13751] = {.lex_state = 389},
  [13752] = {.lex_state = 389},
  [13753] = {.lex_state = 389},
  [13754] = {.lex_state = 389},
  [13755] = {.lex_state = 389},
  [13756] = {.lex_state = 389},
  [13757] = {.lex_state = 389},
  [13758] = {.lex_state = 389},
  [13759] = {.lex_state = 389},
  [13760] = {.lex_state = 389},
  [13761] = {.lex_state = 389},
  [13762] = {.lex_state = 389},
  [13763] = {.lex_state = 389},
  [13764] = {.lex_state = 389},
  [13765] = {.lex_state = 389},
  [13766] = {.lex_state = 389},
  [13767] = {.lex_state = 389},
  [13768] = {.lex_state = 362},
  [13769] = {.lex_state = 389},
  [13770] = {.lex_state = 389},
  [13771] = {.lex_state = 556},
  [13772] = {.lex_state = 389},
  [13773] = {.lex_state = 556},
  [13774] = {.lex_state = 394},
  [13775] = {.lex_state = 362},
  [13776] = {.lex_state = 389},
  [13777] = {.lex_state = 389},
  [13778] = {.lex_state = 389},
  [13779] = {.lex_state = 389},
  [13780] = {.lex_state = 389},
  [13781] = {.lex_state = 556},
  [13782] = {.lex_state = 389},
  [13783] = {.lex_state = 362},
  [13784] = {.lex_state = 394},
  [13785] = {.lex_state = 394},
  [13786] = {.lex_state = 389, .external_lex_state = 4},
  [13787] = {.lex_state = 389},
  [13788] = {.lex_state = 362},
  [13789] = {.lex_state = 556},
  [13790] = {.lex_state = 556},
  [13791] = {.lex_state = 362},
  [13792] = {.lex_state = 556},
  [13793] = {.lex_state = 389},
  [13794] = {.lex_state = 556},
  [13795] = {.lex_state = 362},
  [13796] = {.lex_state = 389},
  [13797] = {.lex_state = 362},
  [13798] = {.lex_state = 389},
  [13799] = {.lex_state = 556},
  [13800] = {.lex_state = 556},
  [13801] = {.lex_state = 389, .external_lex_state = 4},
  [13802] = {.lex_state = 362},
  [13803] = {.lex_state = 362},
  [13804] = {.lex_state = 394},
  [13805] = {.lex_state = 362},
  [13806] = {.lex_state = 362},
  [13807] = {.lex_state = 556},
  [13808] = {.lex_state = 362},
  [13809] = {.lex_state = 389},
  [13810] = {.lex_state = 389},
  [13811] = {.lex_state = 389},
  [13812] = {.lex_state = 389},
  [13813] = {.lex_state = 389},
  [13814] = {.lex_state = 556},
  [13815] = {.lex_state = 389},
  [13816] = {.lex_state = 389},
  [13817] = {.lex_state = 556},
  [13818] = {.lex_state = 389},
  [13819] = {.lex_state = 389},
  [13820] = {.lex_state = 389},
  [13821] = {.lex_state = 389},
  [13822] = {.lex_state = 394},
  [13823] = {.lex_state = 362},
  [13824] = {.lex_state = 362},
  [13825] = {.lex_state = 362},
  [13826] = {.lex_state = 394},
  [13827] = {.lex_state = 556},
  [13828] = {.lex_state = 362},
  [13829] = {.lex_state = 394},
  [13830] = {.lex_state = 362},
  [13831] = {.lex_state = 362},
  [13832] = {.lex_state = 556},
  [13833] = {.lex_state = 556},
  [13834] = {.lex_state = 389},
  [13835] = {.lex_state = 362},
  [13836] = {.lex_state = 556},
  [13837] = {.lex_state = 362},
  [13838] = {.lex_state = 362},
  [13839] = {.lex_state = 362},
  [13840] = {.lex_state = 362},
  [13841] = {.lex_state = 394},
  [13842] = {.lex_state = 362},
  [13843] = {.lex_state = 389},
  [13844] = {.lex_state = 362},
  [13845] = {.lex_state = 362},
  [13846] = {.lex_state = 394},
  [13847] = {.lex_state = 362},
  [13848] = {.lex_state = 362},
  [13849] = {.lex_state = 394},
  [13850] = {.lex_state = 362},
  [13851] = {.lex_state = 389},
  [13852] = {.lex_state = 362},
  [13853] = {.lex_state = 362},
  [13854] = {.lex_state = 362},
  [13855] = {.lex_state = 389},
  [13856] = {.lex_state = 389},
  [13857] = {.lex_state = 389},
  [13858] = {.lex_state = 401},
  [13859] = {.lex_state = 394},
  [13860] = {.lex_state = 389, .external_lex_state = 4},
  [13861] = {.lex_state = 389},
  [13862] = {.lex_state = 389},
  [13863] = {.lex_state = 389},
  [13864] = {.lex_state = 389, .external_lex_state = 4},
  [13865] = {.lex_state = 348},
  [13866] = {.lex_state = 389},
  [13867] = {.lex_state = 389},
  [13868] = {.lex_state = 389},
  [13869] = {.lex_state = 394},
  [13870] = {.lex_state = 348},
  [13871] = {.lex_state = 389},
  [13872] = {.lex_state = 389, .external_lex_state = 4},
  [13873] = {.lex_state = 348},
  [13874] = {.lex_state = 348},
  [13875] = {.lex_state = 389},
  [13876] = {.lex_state = 389},
  [13877] = {.lex_state = 389},
  [13878] = {.lex_state = 348},
  [13879] = {.lex_state = 389},
  [13880] = {.lex_state = 389},
  [13881] = {.lex_state = 348},
  [13882] = {.lex_state = 389},
  [13883] = {.lex_state = 348},
  [13884] = {.lex_state = 389},
  [13885] = {.lex_state = 389, .external_lex_state = 4},
  [13886] = {.lex_state = 389},
  [13887] = {.lex_state = 389},
  [13888] = {.lex_state = 389},
  [13889] = {.lex_state = 389},
  [13890] = {.lex_state = 389},
  [13891] = {.lex_state = 389},
  [13892] = {.lex_state = 389, .external_lex_state = 4},
  [13893] = {.lex_state = 389},
  [13894] = {.lex_state = 389},
  [13895] = {.lex_state = 389},
  [13896] = {.lex_state = 389},
  [13897] = {.lex_state = 394},
  [13898] = {.lex_state = 389},
  [13899] = {.lex_state = 394},
  [13900] = {.lex_state = 389},
  [13901] = {.lex_state = 389},
  [13902] = {.lex_state = 394},
  [13903] = {.lex_state = 389, .external_lex_state = 4},
  [13904] = {.lex_state = 389},
  [13905] = {.lex_state = 394},
  [13906] = {.lex_state = 394},
  [13907] = {.lex_state = 394},
  [13908] = {.lex_state = 394},
  [13909] = {.lex_state = 394},
  [13910] = {.lex_state = 389, .external_lex_state = 4},
  [13911] = {.lex_state = 348},
  [13912] = {.lex_state = 389},
  [13913] = {.lex_state = 394},
  [13914] = {.lex_state = 389},
  [13915] = {.lex_state = 389},
  [13916] = {.lex_state = 348},
  [13917] = {.lex_state = 389},
  [13918] = {.lex_state = 389},
  [13919] = {.lex_state = 389},
  [13920] = {.lex_state = 389, .external_lex_state = 4},
  [13921] = {.lex_state = 394},
  [13922] = {.lex_state = 394},
  [13923] = {.lex_state = 389, .external_lex_state = 4},
  [13924] = {.lex_state = 389},
  [13925] = {.lex_state = 389},
  [13926] = {.lex_state = 389},
  [13927] = {.lex_state = 401},
  [13928] = {.lex_state = 389},
  [13929] = {.lex_state = 389},
  [13930] = {.lex_state = 389},
  [13931] = {.lex_state = 389},
  [13932] = {.lex_state = 389},
  [13933] = {.lex_state = 389, .external_lex_state = 4},
  [13934] = {.lex_state = 389},
  [13935] = {.lex_state = 389},
  [13936] = {.lex_state = 394},
  [13937] = {.lex_state = 389, .external_lex_state = 4},
  [13938] = {.lex_state = 389},
  [13939] = {.lex_state = 389},
  [13940] = {.lex_state = 394},
  [13941] = {.lex_state = 389},
  [13942] = {.lex_state = 389},
  [13943] = {.lex_state = 389},
  [13944] = {.lex_state = 389},
  [13945] = {.lex_state = 389},
  [13946] = {.lex_state = 389},
  [13947] = {.lex_state = 389},
  [13948] = {.lex_state = 389},
  [13949] = {.lex_state = 389},
  [13950] = {.lex_state = 389},
  [13951] = {.lex_state = 389},
  [13952] = {.lex_state = 389},
  [13953] = {.lex_state = 348},
  [13954] = {.lex_state = 348},
  [13955] = {.lex_state = 389},
  [13956] = {.lex_state = 389},
  [13957] = {.lex_state = 389},
  [13958] = {.lex_state = 348},
  [13959] = {.lex_state = 348},
  [13960] = {.lex_state = 348},
  [13961] = {.lex_state = 389},
  [13962] = {.lex_state = 348},
  [13963] = {.lex_state = 389, .external_lex_state = 4},
  [13964] = {.lex_state = 389},
  [13965] = {.lex_state = 348},
  [13966] = {.lex_state = 389},
  [13967] = {.lex_state = 348},
  [13968] = {.lex_state = 389},
  [13969] = {.lex_state = 389},
  [13970] = {.lex_state = 389},
  [13971] = {.lex_state = 389},
  [13972] = {.lex_state = 389},
  [13973] = {.lex_state = 348},
  [13974] = {.lex_state = 394},
  [13975] = {.lex_state = 348},
  [13976] = {.lex_state = 348},
  [13977] = {.lex_state = 389},
  [13978] = {.lex_state = 394},
  [13979] = {.lex_state = 348},
  [13980] = {.lex_state = 389},
  [13981] = {.lex_state = 389},
  [13982] = {.lex_state = 389},
  [13983] = {.lex_state = 389},
  [13984] = {.lex_state = 389, .external_lex_state = 4},
  [13985] = {.lex_state = 389},
  [13986] = {.lex_state = 389},
  [13987] = {.lex_state = 389},
  [13988] = {.lex_state = 348},
  [13989] = {.lex_state = 389},
  [13990] = {.lex_state = 389},
  [13991] = {.lex_state = 348},
  [13992] = {.lex_state = 389, .external_lex_state = 4},
  [13993] = {.lex_state = 389},
  [13994] = {.lex_state = 389},
  [13995] = {.lex_state = 389},
  [13996] = {.lex_state = 389},
  [13997] = {.lex_state = 389},
  [13998] = {.lex_state = 348},
  [13999] = {.lex_state = 389},
  [14000] = {.lex_state = 389, .external_lex_state = 4},
  [14001] = {.lex_state = 389},
  [14002] = {.lex_state = 389},
  [14003] = {.lex_state = 394},
  [14004] = {.lex_state = 389},
  [14005] = {.lex_state = 348},
  [14006] = {.lex_state = 389},
  [14007] = {.lex_state = 348},
  [14008] = {.lex_state = 389},
  [14009] = {.lex_state = 389},
  [14010] = {.lex_state = 348},
  [14011] = {.lex_state = 348},
  [14012] = {.lex_state = 389},
  [14013] = {.lex_state = 389},
  [14014] = {.lex_state = 389},
  [14015] = {.lex_state = 348},
  [14016] = {.lex_state = 348},
  [14017] = {.lex_state = 389},
  [14018] = {.lex_state = 348},
  [14019] = {.lex_state = 389},
  [14020] = {.lex_state = 389},
  [14021] = {.lex_state = 348},
  [14022] = {.lex_state = 389},
  [14023] = {.lex_state = 389},
  [14024] = {.lex_state = 389},
  [14025] = {.lex_state = 348},
  [14026] = {.lex_state = 389},
  [14027] = {.lex_state = 389},
  [14028] = {.lex_state = 348},
  [14029] = {.lex_state = 389},
  [14030] = {.lex_state = 389},
  [14031] = {.lex_state = 389},
  [14032] = {.lex_state = 389},
  [14033] = {.lex_state = 348},
  [14034] = {.lex_state = 348},
  [14035] = {.lex_state = 389},
  [14036] = {.lex_state = 389},
  [14037] = {.lex_state = 348},
  [14038] = {.lex_state = 389},
  [14039] = {.lex_state = 348},
  [14040] = {.lex_state = 389},
  [14041] = {.lex_state = 389},
  [14042] = {.lex_state = 348},
  [14043] = {.lex_state = 348},
  [14044] = {.lex_state = 389},
  [14045] = {.lex_state = 389},
  [14046] = {.lex_state = 394},
  [14047] = {.lex_state = 389},
  [14048] = {.lex_state = 348},
  [14049] = {.lex_state = 389},
  [14050] = {.lex_state = 389},
  [14051] = {.lex_state = 348},
  [14052] = {.lex_state = 389},
  [14053] = {.lex_state = 389, .external_lex_state = 4},
  [14054] = {.lex_state = 389},
  [14055] = {.lex_state = 389},
  [14056] = {.lex_state = 389},
  [14057] = {.lex_state = 389, .external_lex_state = 4},
  [14058] = {.lex_state = 348},
  [14059] = {.lex_state = 348},
  [14060] = {.lex_state = 389},
  [14061] = {.lex_state = 348},
  [14062] = {.lex_state = 348},
  [14063] = {.lex_state = 348},
  [14064] = {.lex_state = 348},
  [14065] = {.lex_state = 348},
  [14066] = {.lex_state = 556},
  [14067] = {.lex_state = 389},
  [14068] = {.lex_state = 348},
  [14069] = {.lex_state = 394},
  [14070] = {.lex_state = 389},
  [14071] = {.lex_state = 389},
  [14072] = {.lex_state = 389},
  [14073] = {.lex_state = 394},
  [14074] = {.lex_state = 389},
  [14075] = {.lex_state = 389, .external_lex_state = 4},
  [14076] = {.lex_state = 389, .external_lex_state = 4},
  [14077] = {.lex_state = 389},
  [14078] = {.lex_state = 348},
  [14079] = {.lex_state = 348},
  [14080] = {.lex_state = 389, .external_lex_state = 4},
  [14081] = {.lex_state = 389},
  [14082] = {.lex_state = 348},
  [14083] = {.lex_state = 348},
  [14084] = {.lex_state = 389},
  [14085] = {.lex_state = 389},
  [14086] = {.lex_state = 389, .external_lex_state = 4},
  [14087] = {.lex_state = 348},
  [14088] = {.lex_state = 389, .external_lex_state = 4},
  [14089] = {.lex_state = 389},
  [14090] = {.lex_state = 389},
  [14091] = {.lex_state = 389},
  [14092] = {.lex_state = 389},
  [14093] = {.lex_state = 389},
  [14094] = {.lex_state = 389},
  [14095] = {.lex_state = 389},
  [14096] = {.lex_state = 389},
  [14097] = {.lex_state = 389},
  [14098] = {.lex_state = 389},
  [14099] = {.lex_state = 394},
  [14100] = {.lex_state = 389, .external_lex_state = 4},
  [14101] = {.lex_state = 389},
  [14102] = {.lex_state = 348},
  [14103] = {.lex_state = 389, .external_lex_state = 4},
  [14104] = {.lex_state = 394},
  [14105] = {.lex_state = 348},
  [14106] = {.lex_state = 389},
  [14107] = {.lex_state = 394},
  [14108] = {.lex_state = 348},
  [14109] = {.lex_state = 389},
  [14110] = {.lex_state = 389},
  [14111] = {.lex_state = 389},
  [14112] = {.lex_state = 348},
  [14113] = {.lex_state = 389},
  [14114] = {.lex_state = 348},
  [14115] = {.lex_state = 394},
  [14116] = {.lex_state = 394},
  [14117] = {.lex_state = 389},
  [14118] = {.lex_state = 389},
  [14119] = {.lex_state = 348},
  [14120] = {.lex_state = 394},
  [14121] = {.lex_state = 389},
  [14122] = {.lex_state = 389},
  [14123] = {.lex_state = 389},
  [14124] = {.lex_state = 389},
  [14125] = {.lex_state = 389},
  [14126] = {.lex_state = 348},
  [14127] = {.lex_state = 389},
  [14128] = {.lex_state = 389},
  [14129] = {.lex_state = 389},
  [14130] = {.lex_state = 348},
  [14131] = {.lex_state = 389},
  [14132] = {.lex_state = 394},
  [14133] = {.lex_state = 389},
  [14134] = {.lex_state = 348},
  [14135] = {.lex_state = 389},
  [14136] = {.lex_state = 348},
  [14137] = {.lex_state = 348},
  [14138] = {.lex_state = 389},
  [14139] = {.lex_state = 394},
  [14140] = {.lex_state = 389},
  [14141] = {.lex_state = 394},
  [14142] = {.lex_state = 389},
  [14143] = {.lex_state = 389, .external_lex_state = 4},
  [14144] = {.lex_state = 348},
  [14145] = {.lex_state = 389},
  [14146] = {.lex_state = 394},
  [14147] = {.lex_state = 389},
  [14148] = {.lex_state = 348},
  [14149] = {.lex_state = 394},
  [14150] = {.lex_state = 348},
  [14151] = {.lex_state = 389},
  [14152] = {.lex_state = 389},
  [14153] = {.lex_state = 348},
  [14154] = {.lex_state = 389, .external_lex_state = 4},
  [14155] = {.lex_state = 389, .external_lex_state = 4},
  [14156] = {.lex_state = 389, .external_lex_state = 4},
  [14157] = {.lex_state = 389},
  [14158] = {.lex_state = 394},
  [14159] = {.lex_state = 389},
  [14160] = {.lex_state = 389},
  [14161] = {.lex_state = 389},
  [14162] = {.lex_state = 389},
  [14163] = {.lex_state = 389, .external_lex_state = 4},
  [14164] = {.lex_state = 394},
  [14165] = {.lex_state = 389},
  [14166] = {.lex_state = 348},
  [14167] = {.lex_state = 389},
  [14168] = {.lex_state = 389},
  [14169] = {.lex_state = 348},
  [14170] = {.lex_state = 389},
  [14171] = {.lex_state = 389},
  [14172] = {.lex_state = 389},
  [14173] = {.lex_state = 389},
  [14174] = {.lex_state = 389},
  [14175] = {.lex_state = 389},
  [14176] = {.lex_state = 348},
  [14177] = {.lex_state = 394},
  [14178] = {.lex_state = 394},
  [14179] = {.lex_state = 389, .external_lex_state = 4},
  [14180] = {.lex_state = 389},
  [14181] = {.lex_state = 394},
  [14182] = {.lex_state = 389},
  [14183] = {.lex_state = 389},
  [14184] = {.lex_state = 389},
  [14185] = {.lex_state = 348},
  [14186] = {.lex_state = 389},
  [14187] = {.lex_state = 389},
  [14188] = {.lex_state = 348},
  [14189] = {.lex_state = 394},
  [14190] = {.lex_state = 389},
  [14191] = {.lex_state = 389},
  [14192] = {.lex_state = 394},
  [14193] = {.lex_state = 389},
  [14194] = {.lex_state = 389},
  [14195] = {.lex_state = 389, .external_lex_state = 4},
  [14196] = {.lex_state = 389},
  [14197] = {.lex_state = 348},
  [14198] = {.lex_state = 389},
  [14199] = {.lex_state = 348},
  [14200] = {.lex_state = 389},
  [14201] = {.lex_state = 389},
  [14202] = {.lex_state = 389},
  [14203] = {.lex_state = 389},
  [14204] = {.lex_state = 389},
  [14205] = {.lex_state = 389},
  [14206] = {.lex_state = 389},
  [14207] = {.lex_state = 389},
  [14208] = {.lex_state = 389},
  [14209] = {.lex_state = 389},
  [14210] = {.lex_state = 394},
  [14211] = {.lex_state = 389, .external_lex_state = 4},
  [14212] = {.lex_state = 389, .external_lex_state = 4},
  [14213] = {.lex_state = 389},
  [14214] = {.lex_state = 394},
  [14215] = {.lex_state = 389},
  [14216] = {.lex_state = 389},
  [14217] = {.lex_state = 348},
  [14218] = {.lex_state = 348},
  [14219] = {.lex_state = 389},
  [14220] = {.lex_state = 394},
  [14221] = {.lex_state = 348},
  [14222] = {.lex_state = 348},
  [14223] = {.lex_state = 389},
  [14224] = {.lex_state = 389},
  [14225] = {.lex_state = 348},
  [14226] = {.lex_state = 389},
  [14227] = {.lex_state = 389},
  [14228] = {.lex_state = 389},
  [14229] = {.lex_state = 389},
  [14230] = {.lex_state = 389},
  [14231] = {.lex_state = 394},
  [14232] = {.lex_state = 389},
  [14233] = {.lex_state = 389},
  [14234] = {.lex_state = 394},
  [14235] = {.lex_state = 389},
  [14236] = {.lex_state = 389},
  [14237] = {.lex_state = 389},
  [14238] = {.lex_state = 389},
  [14239] = {.lex_state = 389},
  [14240] = {.lex_state = 389},
  [14241] = {.lex_state = 348},
  [14242] = {.lex_state = 389},
  [14243] = {.lex_state = 389},
  [14244] = {.lex_state = 389},
  [14245] = {.lex_state = 394},
  [14246] = {.lex_state = 389},
  [14247] = {.lex_state = 389},
  [14248] = {.lex_state = 389, .external_lex_state = 4},
  [14249] = {.lex_state = 389},
  [14250] = {.lex_state = 389},
  [14251] = {.lex_state = 389},
  [14252] = {.lex_state = 389},
  [14253] = {.lex_state = 389},
  [14254] = {.lex_state = 348},
  [14255] = {.lex_state = 389},
  [14256] = {.lex_state = 389},
  [14257] = {.lex_state = 394},
  [14258] = {.lex_state = 389},
  [14259] = {.lex_state = 389},
  [14260] = {.lex_state = 389},
  [14261] = {.lex_state = 401},
  [14262] = {.lex_state = 389},
  [14263] = {.lex_state = 348},
  [14264] = {.lex_state = 348},
  [14265] = {.lex_state = 389},
  [14266] = {.lex_state = 348},
  [14267] = {.lex_state = 401},
  [14268] = {.lex_state = 348},
  [14269] = {.lex_state = 389},
  [14270] = {.lex_state = 389},
  [14271] = {.lex_state = 389, .external_lex_state = 4},
  [14272] = {.lex_state = 394},
  [14273] = {.lex_state = 389},
  [14274] = {.lex_state = 389},
  [14275] = {.lex_state = 394},
  [14276] = {.lex_state = 389},
  [14277] = {.lex_state = 389},
  [14278] = {.lex_state = 348},
  [14279] = {.lex_state = 389},
  [14280] = {.lex_state = 389, .external_lex_state = 4},
  [14281] = {.lex_state = 389},
  [14282] = {.lex_state = 389},
  [14283] = {.lex_state = 389},
  [14284] = {.lex_state = 348},
  [14285] = {.lex_state = 348},
  [14286] = {.lex_state = 348},
  [14287] = {.lex_state = 389},
  [14288] = {.lex_state = 348},
  [14289] = {.lex_state = 389, .external_lex_state = 4},
  [14290] = {.lex_state = 389},
  [14291] = {.lex_state = 348},
  [14292] = {.lex_state = 389},
  [14293] = {.lex_state = 389},
  [14294] = {.lex_state = 389},
  [14295] = {.lex_state = 348},
  [14296] = {.lex_state = 348},
  [14297] = {.lex_state = 389},
  [14298] = {.lex_state = 389},
  [14299] = {.lex_state = 348},
  [14300] = {.lex_state = 389},
  [14301] = {.lex_state = 394},
  [14302] = {.lex_state = 394},
  [14303] = {.lex_state = 389},
  [14304] = {.lex_state = 389},
  [14305] = {.lex_state = 389},
  [14306] = {.lex_state = 389},
  [14307] = {.lex_state = 389},
  [14308] = {.lex_state = 394},
  [14309] = {.lex_state = 389},
  [14310] = {.lex_state = 389, .external_lex_state = 4},
  [14311] = {.lex_state = 389, .external_lex_state = 4},
  [14312] = {.lex_state = 348},
  [14313] = {.lex_state = 389},
  [14314] = {.lex_state = 348},
  [14315] = {.lex_state = 389},
  [14316] = {.lex_state = 389, .external_lex_state = 4},
  [14317] = {.lex_state = 389},
  [14318] = {.lex_state = 389},
  [14319] = {.lex_state = 389},
  [14320] = {.lex_state = 389},
  [14321] = {.lex_state = 389},
  [14322] = {.lex_state = 389},
  [14323] = {.lex_state = 348},
  [14324] = {.lex_state = 389},
  [14325] = {.lex_state = 389},
  [14326] = {.lex_state = 389},
  [14327] = {.lex_state = 389},
  [14328] = {.lex_state = 389},
  [14329] = {.lex_state = 389},
  [14330] = {.lex_state = 348},
  [14331] = {.lex_state = 389},
  [14332] = {.lex_state = 389},
  [14333] = {.lex_state = 389},
  [14334] = {.lex_state = 389},
  [14335] = {.lex_state = 389},
  [14336] = {.lex_state = 389},
  [14337] = {.lex_state = 389},
  [14338] = {.lex_state = 389},
  [14339] = {.lex_state = 389},
  [14340] = {.lex_state = 389},
  [14341] = {.lex_state = 389},
  [14342] = {.lex_state = 389},
  [14343] = {.lex_state = 394},
  [14344] = {.lex_state = 389},
  [14345] = {.lex_state = 389},
  [14346] = {.lex_state = 389},
  [14347] = {.lex_state = 389},
  [14348] = {.lex_state = 389},
  [14349] = {.lex_state = 389},
  [14350] = {.lex_state = 389},
  [14351] = {.lex_state = 389},
  [14352] = {.lex_state = 389},
  [14353] = {.lex_state = 389},
  [14354] = {.lex_state = 389},
  [14355] = {.lex_state = 389},
  [14356] = {.lex_state = 389},
  [14357] = {.lex_state = 389},
  [14358] = {.lex_state = 389},
  [14359] = {.lex_state = 389},
  [14360] = {.lex_state = 389},
  [14361] = {.lex_state = 389},
  [14362] = {.lex_state = 389},
  [14363] = {.lex_state = 389},
  [14364] = {.lex_state = 389},
  [14365] = {.lex_state = 389},
  [14366] = {.lex_state = 389},
  [14367] = {.lex_state = 389},
  [14368] = {.lex_state = 389},
  [14369] = {.lex_state = 389},
  [14370] = {.lex_state = 389},
  [14371] = {.lex_state = 389},
  [14372] = {.lex_state = 389},
  [14373] = {.lex_state = 389},
  [14374] = {.lex_state = 389},
  [14375] = {.lex_state = 389},
  [14376] = {.lex_state = 389},
  [14377] = {.lex_state = 389},
  [14378] = {.lex_state = 389},
  [14379] = {.lex_state = 389},
  [14380] = {.lex_state = 389},
  [14381] = {.lex_state = 389},
  [14382] = {.lex_state = 389},
  [14383] = {.lex_state = 389},
  [14384] = {.lex_state = 389},
  [14385] = {.lex_state = 389},
  [14386] = {.lex_state = 389},
  [14387] = {.lex_state = 389},
  [14388] = {.lex_state = 389},
  [14389] = {.lex_state = 389},
  [14390] = {.lex_state = 389},
  [14391] = {.lex_state = 389},
  [14392] = {.lex_state = 389},
  [14393] = {.lex_state = 389},
  [14394] = {.lex_state = 389},
  [14395] = {.lex_state = 389},
  [14396] = {.lex_state = 389},
  [14397] = {.lex_state = 389},
  [14398] = {.lex_state = 389},
  [14399] = {.lex_state = 389},
  [14400] = {.lex_state = 389},
  [14401] = {.lex_state = 389},
  [14402] = {.lex_state = 389},
  [14403] = {.lex_state = 389},
  [14404] = {.lex_state = 389},
  [14405] = {.lex_state = 389},
  [14406] = {.lex_state = 389},
  [14407] = {.lex_state = 389},
  [14408] = {.lex_state = 389},
  [14409] = {.lex_state = 389},
  [14410] = {.lex_state = 389},
  [14411] = {.lex_state = 389},
  [14412] = {.lex_state = 389},
  [14413] = {.lex_state = 389},
  [14414] = {.lex_state = 389},
  [14415] = {.lex_state = 389},
  [14416] = {.lex_state = 389},
  [14417] = {.lex_state = 389},
  [14418] = {.lex_state = 389},
  [14419] = {.lex_state = 389},
  [14420] = {.lex_state = 389},
  [14421] = {.lex_state = 389},
  [14422] = {.lex_state = 389},
  [14423] = {.lex_state = 389},
  [14424] = {.lex_state = 389},
  [14425] = {.lex_state = 389},
  [14426] = {.lex_state = 389},
  [14427] = {.lex_state = 389},
  [14428] = {.lex_state = 389},
  [14429] = {.lex_state = 394},
  [14430] = {.lex_state = 389},
  [14431] = {.lex_state = 389},
  [14432] = {.lex_state = 389},
  [14433] = {.lex_state = 389},
  [14434] = {.lex_state = 389},
  [14435] = {.lex_state = 389},
  [14436] = {.lex_state = 389},
  [14437] = {.lex_state = 389},
  [14438] = {.lex_state = 389},
  [14439] = {.lex_state = 389},
  [14440] = {.lex_state = 389},
  [14441] = {.lex_state = 389},
  [14442] = {.lex_state = 389},
  [14443] = {.lex_state = 389, .external_lex_state = 4},
  [14444] = {.lex_state = 389},
  [14445] = {.lex_state = 394},
  [14446] = {.lex_state = 389},
  [14447] = {.lex_state = 389},
  [14448] = {.lex_state = 389},
  [14449] = {.lex_state = 389},
  [14450] = {.lex_state = 389},
  [14451] = {.lex_state = 389},
  [14452] = {.lex_state = 348, .external_lex_state = 4},
  [14453] = {.lex_state = 389},
  [14454] = {.lex_state = 389},
  [14455] = {.lex_state = 389},
  [14456] = {.lex_state = 389},
  [14457] = {.lex_state = 348, .external_lex_state = 4},
  [14458] = {.lex_state = 348, .external_lex_state = 4},
  [14459] = {.lex_state = 389},
  [14460] = {.lex_state = 389},
  [14461] = {.lex_state = 348, .external_lex_state = 4},
  [14462] = {.lex_state = 389, .external_lex_state = 4},
  [14463] = {.lex_state = 348, .external_lex_state = 4},
  [14464] = {.lex_state = 348, .external_lex_state = 4},
  [14465] = {.lex_state = 348, .external_lex_state = 4},
  [14466] = {.lex_state = 348, .external_lex_state = 4},
  [14467] = {.lex_state = 389},
  [14468] = {.lex_state = 348, .external_lex_state = 4},
  [14469] = {.lex_state = 389},
  [14470] = {.lex_state = 348, .external_lex_state = 4},
  [14471] = {.lex_state = 389},
  [14472] = {.lex_state = 389},
  [14473] = {.lex_state = 348, .external_lex_state = 4},
  [14474] = {.lex_state = 389},
  [14475] = {.lex_state = 348, .external_lex_state = 4},
  [14476] = {.lex_state = 389},
  [14477] = {.lex_state = 348, .external_lex_state = 4},
  [14478] = {.lex_state = 348, .external_lex_state = 4},
  [14479] = {.lex_state = 348, .external_lex_state = 4},
  [14480] = {.lex_state = 389},
  [14481] = {.lex_state = 348, .external_lex_state = 4},
  [14482] = {.lex_state = 348, .external_lex_state = 4},
  [14483] = {.lex_state = 348, .external_lex_state = 4},
  [14484] = {.lex_state = 348, .external_lex_state = 4},
  [14485] = {.lex_state = 389},
  [14486] = {.lex_state = 389},
  [14487] = {.lex_state = 389},
  [14488] = {.lex_state = 348, .external_lex_state = 4},
  [14489] = {.lex_state = 348, .external_lex_state = 4},
  [14490] = {.lex_state = 348, .external_lex_state = 4},
  [14491] = {.lex_state = 348, .external_lex_state = 4},
  [14492] = {.lex_state = 389},
  [14493] = {.lex_state = 389},
  [14494] = {.lex_state = 389},
  [14495] = {.lex_state = 389},
  [14496] = {.lex_state = 389},
  [14497] = {.lex_state = 389},
  [14498] = {.lex_state = 389},
  [14499] = {.lex_state = 389},
  [14500] = {.lex_state = 348, .external_lex_state = 4},
  [14501] = {.lex_state = 389},
  [14502] = {.lex_state = 389},
  [14503] = {.lex_state = 389},
  [14504] = {.lex_state = 389},
  [14505] = {.lex_state = 348, .external_lex_state = 4},
  [14506] = {.lex_state = 348, .external_lex_state = 4},
  [14507] = {.lex_state = 348, .external_lex_state = 4},
  [14508] = {.lex_state = 348, .external_lex_state = 4},
  [14509] = {.lex_state = 348, .external_lex_state = 4},
  [14510] = {.lex_state = 348, .external_lex_state = 4},
  [14511] = {.lex_state = 348, .external_lex_state = 4},
  [14512] = {.lex_state = 348, .external_lex_state = 4},
  [14513] = {.lex_state = 348, .external_lex_state = 4},
  [14514] = {.lex_state = 348, .external_lex_state = 4},
  [14515] = {.lex_state = 348, .external_lex_state = 4},
  [14516] = {.lex_state = 348, .external_lex_state = 4},
  [14517] = {.lex_state = 348, .external_lex_state = 4},
  [14518] = {.lex_state = 348, .external_lex_state = 4},
  [14519] = {.lex_state = 348, .external_lex_state = 4},
  [14520] = {.lex_state = 348, .external_lex_state = 4},
  [14521] = {.lex_state = 348, .external_lex_state = 4},
  [14522] = {.lex_state = 348, .external_lex_state = 4},
  [14523] = {.lex_state = 389},
  [14524] = {.lex_state = 348, .external_lex_state = 4},
  [14525] = {.lex_state = 348, .external_lex_state = 4},
  [14526] = {.lex_state = 348, .external_lex_state = 4},
  [14527] = {.lex_state = 348, .external_lex_state = 4},
  [14528] = {.lex_state = 348, .external_lex_state = 4},
  [14529] = {.lex_state = 348, .external_lex_state = 4},
  [14530] = {.lex_state = 348, .external_lex_state = 4},
  [14531] = {.lex_state = 348, .external_lex_state = 4},
  [14532] = {.lex_state = 389},
  [14533] = {.lex_state = 348, .external_lex_state = 4},
  [14534] = {.lex_state = 348, .external_lex_state = 4},
  [14535] = {.lex_state = 348, .external_lex_state = 4},
  [14536] = {.lex_state = 348, .external_lex_state = 4},
  [14537] = {.lex_state = 389},
  [14538] = {.lex_state = 348, .external_lex_state = 4},
  [14539] = {.lex_state = 348, .external_lex_state = 4},
  [14540] = {.lex_state = 348, .external_lex_state = 4},
  [14541] = {.lex_state = 348, .external_lex_state = 4},
  [14542] = {.lex_state = 348, .external_lex_state = 4},
  [14543] = {.lex_state = 348, .external_lex_state = 4},
  [14544] = {.lex_state = 348, .external_lex_state = 4},
  [14545] = {.lex_state = 348, .external_lex_state = 4},
  [14546] = {.lex_state = 348, .external_lex_state = 4},
  [14547] = {.lex_state = 348, .external_lex_state = 4},
  [14548] = {.lex_state = 348, .external_lex_state = 4},
  [14549] = {.lex_state = 348, .external_lex_state = 4},
  [14550] = {.lex_state = 348, .external_lex_state = 4},
  [14551] = {.lex_state = 348, .external_lex_state = 4},
  [14552] = {.lex_state = 348, .external_lex_state = 4},
  [14553] = {.lex_state = 348, .external_lex_state = 4},
  [14554] = {.lex_state = 348, .external_lex_state = 4},
  [14555] = {.lex_state = 348, .external_lex_state = 4},
  [14556] = {.lex_state = 348, .external_lex_state = 4},
  [14557] = {.lex_state = 348, .external_lex_state = 4},
  [14558] = {.lex_state = 348, .external_lex_state = 4},
  [14559] = {.lex_state = 348, .external_lex_state = 4},
  [14560] = {.lex_state = 348, .external_lex_state = 4},
  [14561] = {.lex_state = 348, .external_lex_state = 4},
  [14562] = {.lex_state = 348, .external_lex_state = 4},
  [14563] = {.lex_state = 389},
  [14564] = {.lex_state = 348, .external_lex_state = 4},
  [14565] = {.lex_state = 348, .external_lex_state = 4},
  [14566] = {.lex_state = 348, .external_lex_state = 4},
  [14567] = {.lex_state = 348, .external_lex_state = 4},
  [14568] = {.lex_state = 389},
  [14569] = {.lex_state = 389},
  [14570] = {.lex_state = 348, .external_lex_state = 4},
  [14571] = {.lex_state = 389},
  [14572] = {.lex_state = 389},
  [14573] = {.lex_state = 348, .external_lex_state = 4},
  [14574] = {.lex_state = 389},
  [14575] = {.lex_state = 348, .external_lex_state = 4},
  [14576] = {.lex_state = 389},
  [14577] = {.lex_state = 389},
  [14578] = {.lex_state = 389},
  [14579] = {.lex_state = 389},
  [14580] = {.lex_state = 348, .external_lex_state = 4},
  [14581] = {.lex_state = 389},
  [14582] = {.lex_state = 389},
  [14583] = {.lex_state = 389},
  [14584] = {.lex_state = 389},
  [14585] = {.lex_state = 389},
  [14586] = {.lex_state = 389},
  [14587] = {.lex_state = 389},
  [14588] = {.lex_state = 544},
  [14589] = {.lex_state = 368},
  [14590] = {.lex_state = 368},
  [14591] = {.lex_state = 368},
  [14592] = {.lex_state = 567},
  [14593] = {.lex_state = 368},
  [14594] = {.lex_state = 368},
  [14595] = {.lex_state = 368},
  [14596] = {.lex_state = 368},
  [14597] = {.lex_state = 368},
  [14598] = {.lex_state = 368},
  [14599] = {.lex_state = 544},
  [14600] = {.lex_state = 368},
  [14601] = {.lex_state = 233},
  [14602] = {.lex_state = 368},
  [14603] = {.lex_state = 368},
  [14604] = {.lex_state = 368},
  [14605] = {.lex_state = 368},
  [14606] = {.lex_state = 368},
  [14607] = {.lex_state = 368},
  [14608] = {.lex_state = 567},
  [14609] = {.lex_state = 368},
  [14610] = {.lex_state = 233},
  [14611] = {.lex_state = 368},
  [14612] = {.lex_state = 368},
  [14613] = {.lex_state = 567},
  [14614] = {.lex_state = 567},
  [14615] = {.lex_state = 567},
  [14616] = {.lex_state = 567},
  [14617] = {.lex_state = 368},
  [14618] = {.lex_state = 567},
  [14619] = {.lex_state = 233},
  [14620] = {.lex_state = 368},
  [14621] = {.lex_state = 567},
  [14622] = {.lex_state = 368},
  [14623] = {.lex_state = 567},
  [14624] = {.lex_state = 368},
  [14625] = {.lex_state = 348},
  [14626] = {.lex_state = 368},
  [14627] = {.lex_state = 429, .external_lex_state = 6},
  [14628] = {.lex_state = 429, .external_lex_state = 7},
  [14629] = {.lex_state = 429, .external_lex_state = 8},
  [14630] = {.lex_state = 429, .external_lex_state = 9},
  [14631] = {.lex_state = 429, .external_lex_state = 6},
  [14632] = {.lex_state = 429, .external_lex_state = 7},
  [14633] = {.lex_state = 429, .external_lex_state = 8},
  [14634] = {.lex_state = 429, .external_lex_state = 9},
  [14635] = {.lex_state = 368},
  [14636] = {.lex_state = 368},
  [14637] = {.lex_state = 348},
  [14638] = {.lex_state = 368},
  [14639] = {.lex_state = 368},
  [14640] = {.lex_state = 368},
  [14641] = {.lex_state = 429, .external_lex_state = 6},
  [14642] = {.lex_state = 368},
  [14643] = {.lex_state = 429, .external_lex_state = 6},
  [14644] = {.lex_state = 429, .external_lex_state = 6},
  [14645] = {.lex_state = 429, .external_lex_state = 7},
  [14646] = {.lex_state = 429, .external_lex_state = 8},
  [14647] = {.lex_state = 429, .external_lex_state = 9},
  [14648] = {.lex_state = 429, .external_lex_state = 6},
  [14649] = {.lex_state = 429, .external_lex_state = 7},
  [14650] = {.lex_state = 429, .external_lex_state = 8},
  [14651] = {.lex_state = 429, .external_lex_state = 9},
  [14652] = {.lex_state = 368},
  [14653] = {.lex_state = 368},
  [14654] = {.lex_state = 368},
  [14655] = {.lex_state = 429, .external_lex_state = 6},
  [14656] = {.lex_state = 429, .external_lex_state = 7},
  [14657] = {.lex_state = 368},
  [14658] = {.lex_state = 368},
  [14659] = {.lex_state = 429, .external_lex_state = 8},
  [14660] = {.lex_state = 429, .external_lex_state = 9},
  [14661] = {.lex_state = 429, .external_lex_state = 7},
  [14662] = {.lex_state = 163},
  [14663] = {.lex_state = 429, .external_lex_state = 6},
  [14664] = {.lex_state = 429, .external_lex_state = 7},
  [14665] = {.lex_state = 429, .external_lex_state = 8},
  [14666] = {.lex_state = 429, .external_lex_state = 9},
  [14667] = {.lex_state = 368},
  [14668] = {.lex_state = 429, .external_lex_state = 6},
  [14669] = {.lex_state = 429, .external_lex_state = 7},
  [14670] = {.lex_state = 429, .external_lex_state = 8},
  [14671] = {.lex_state = 429, .external_lex_state = 9},
  [14672] = {.lex_state = 368},
  [14673] = {.lex_state = 368},
  [14674] = {.lex_state = 368},
  [14675] = {.lex_state = 429, .external_lex_state = 2},
  [14676] = {.lex_state = 429, .external_lex_state = 6},
  [14677] = {.lex_state = 429, .external_lex_state = 7},
  [14678] = {.lex_state = 429, .external_lex_state = 8},
  [14679] = {.lex_state = 429, .external_lex_state = 9},
  [14680] = {.lex_state = 429, .external_lex_state = 6},
  [14681] = {.lex_state = 429, .external_lex_state = 7},
  [14682] = {.lex_state = 429, .external_lex_state = 8},
  [14683] = {.lex_state = 429, .external_lex_state = 9},
  [14684] = {.lex_state = 368},
  [14685] = {.lex_state = 368},
  [14686] = {.lex_state = 368},
  [14687] = {.lex_state = 368},
  [14688] = {.lex_state = 368},
  [14689] = {.lex_state = 429, .external_lex_state = 8},
  [14690] = {.lex_state = 429, .external_lex_state = 9},
  [14691] = {.lex_state = 429, .external_lex_state = 6},
  [14692] = {.lex_state = 429, .external_lex_state = 7},
  [14693] = {.lex_state = 429, .external_lex_state = 8},
  [14694] = {.lex_state = 429, .external_lex_state = 9},
  [14695] = {.lex_state = 429, .external_lex_state = 6},
  [14696] = {.lex_state = 429, .external_lex_state = 7},
  [14697] = {.lex_state = 429, .external_lex_state = 8},
  [14698] = {.lex_state = 429, .external_lex_state = 9},
  [14699] = {.lex_state = 368},
  [14700] = {.lex_state = 368},
  [14701] = {.lex_state = 368},
  [14702] = {.lex_state = 368},
  [14703] = {.lex_state = 429, .external_lex_state = 7},
  [14704] = {.lex_state = 429, .external_lex_state = 8},
  [14705] = {.lex_state = 429, .external_lex_state = 6},
  [14706] = {.lex_state = 429, .external_lex_state = 7},
  [14707] = {.lex_state = 429, .external_lex_state = 8},
  [14708] = {.lex_state = 429, .external_lex_state = 9},
  [14709] = {.lex_state = 429, .external_lex_state = 6},
  [14710] = {.lex_state = 429, .external_lex_state = 6},
  [14711] = {.lex_state = 429, .external_lex_state = 7},
  [14712] = {.lex_state = 429, .external_lex_state = 8},
  [14713] = {.lex_state = 429, .external_lex_state = 9},
  [14714] = {.lex_state = 368},
  [14715] = {.lex_state = 368},
  [14716] = {.lex_state = 429, .external_lex_state = 7},
  [14717] = {.lex_state = 429, .external_lex_state = 8},
  [14718] = {.lex_state = 429, .external_lex_state = 9},
  [14719] = {.lex_state = 368},
  [14720] = {.lex_state = 368},
  [14721] = {.lex_state = 429, .external_lex_state = 6},
  [14722] = {.lex_state = 567},
  [14723] = {.lex_state = 429, .external_lex_state = 7},
  [14724] = {.lex_state = 429, .external_lex_state = 8},
  [14725] = {.lex_state = 368},
  [14726] = {.lex_state = 429, .external_lex_state = 6},
  [14727] = {.lex_state = 429, .external_lex_state = 7},
  [14728] = {.lex_state = 429, .external_lex_state = 8},
  [14729] = {.lex_state = 429, .external_lex_state = 9},
  [14730] = {.lex_state = 368},
  [14731] = {.lex_state = 429, .external_lex_state = 6},
  [14732] = {.lex_state = 429, .external_lex_state = 7},
  [14733] = {.lex_state = 429, .external_lex_state = 8},
  [14734] = {.lex_state = 429, .external_lex_state = 9},
  [14735] = {.lex_state = 368},
  [14736] = {.lex_state = 368},
  [14737] = {.lex_state = 429, .external_lex_state = 6},
  [14738] = {.lex_state = 429, .external_lex_state = 7},
  [14739] = {.lex_state = 429, .external_lex_state = 8},
  [14740] = {.lex_state = 368},
  [14741] = {.lex_state = 429, .external_lex_state = 9},
  [14742] = {.lex_state = 368},
  [14743] = {.lex_state = 368},
  [14744] = {.lex_state = 429, .external_lex_state = 9},
  [14745] = {.lex_state = 348},
  [14746] = {.lex_state = 429, .external_lex_state = 6},
  [14747] = {.lex_state = 429, .external_lex_state = 7},
  [14748] = {.lex_state = 429, .external_lex_state = 8},
  [14749] = {.lex_state = 429, .external_lex_state = 9},
  [14750] = {.lex_state = 429, .external_lex_state = 6},
  [14751] = {.lex_state = 429, .external_lex_state = 7},
  [14752] = {.lex_state = 429, .external_lex_state = 8},
  [14753] = {.lex_state = 429, .external_lex_state = 9},
  [14754] = {.lex_state = 368},
  [14755] = {.lex_state = 368},
  [14756] = {.lex_state = 368},
  [14757] = {.lex_state = 368},
  [14758] = {.lex_state = 429, .external_lex_state = 6},
  [14759] = {.lex_state = 429, .external_lex_state = 7},
  [14760] = {.lex_state = 429, .external_lex_state = 8},
  [14761] = {.lex_state = 429, .external_lex_state = 9},
  [14762] = {.lex_state = 429, .external_lex_state = 6},
  [14763] = {.lex_state = 429, .external_lex_state = 6},
  [14764] = {.lex_state = 429, .external_lex_state = 7},
  [14765] = {.lex_state = 429, .external_lex_state = 8},
  [14766] = {.lex_state = 429, .external_lex_state = 9},
  [14767] = {.lex_state = 368},
  [14768] = {.lex_state = 368},
  [14769] = {.lex_state = 368},
  [14770] = {.lex_state = 368},
  [14771] = {.lex_state = 368},
  [14772] = {.lex_state = 429, .external_lex_state = 6},
  [14773] = {.lex_state = 429, .external_lex_state = 7},
  [14774] = {.lex_state = 429, .external_lex_state = 8},
  [14775] = {.lex_state = 429, .external_lex_state = 9},
  [14776] = {.lex_state = 429, .external_lex_state = 6},
  [14777] = {.lex_state = 429, .external_lex_state = 7},
  [14778] = {.lex_state = 429, .external_lex_state = 8},
  [14779] = {.lex_state = 429, .external_lex_state = 9},
  [14780] = {.lex_state = 368},
  [14781] = {.lex_state = 368},
  [14782] = {.lex_state = 368},
  [14783] = {.lex_state = 429, .external_lex_state = 6},
  [14784] = {.lex_state = 429, .external_lex_state = 7},
  [14785] = {.lex_state = 544},
  [14786] = {.lex_state = 429, .external_lex_state = 6},
  [14787] = {.lex_state = 429, .external_lex_state = 7},
  [14788] = {.lex_state = 429, .external_lex_state = 8},
  [14789] = {.lex_state = 429, .external_lex_state = 9},
  [14790] = {.lex_state = 429, .external_lex_state = 8},
  [14791] = {.lex_state = 429, .external_lex_state = 6},
  [14792] = {.lex_state = 429, .external_lex_state = 7},
  [14793] = {.lex_state = 429, .external_lex_state = 8},
  [14794] = {.lex_state = 429, .external_lex_state = 9},
  [14795] = {.lex_state = 368},
  [14796] = {.lex_state = 368},
  [14797] = {.lex_state = 429, .external_lex_state = 6},
  [14798] = {.lex_state = 429, .external_lex_state = 7},
  [14799] = {.lex_state = 429, .external_lex_state = 8},
  [14800] = {.lex_state = 429, .external_lex_state = 9},
  [14801] = {.lex_state = 368},
  [14802] = {.lex_state = 429, .external_lex_state = 9},
  [14803] = {.lex_state = 348},
  [14804] = {.lex_state = 429, .external_lex_state = 6},
  [14805] = {.lex_state = 429, .external_lex_state = 7},
  [14806] = {.lex_state = 429, .external_lex_state = 8},
  [14807] = {.lex_state = 429, .external_lex_state = 9},
  [14808] = {.lex_state = 429, .external_lex_state = 7},
  [14809] = {.lex_state = 429, .external_lex_state = 6},
  [14810] = {.lex_state = 429, .external_lex_state = 7},
  [14811] = {.lex_state = 429, .external_lex_state = 8},
  [14812] = {.lex_state = 429, .external_lex_state = 9},
  [14813] = {.lex_state = 368},
  [14814] = {.lex_state = 368},
  [14815] = {.lex_state = 429, .external_lex_state = 8},
  [14816] = {.lex_state = 429, .external_lex_state = 9},
  [14817] = {.lex_state = 368},
  [14818] = {.lex_state = 368},
  [14819] = {.lex_state = 368},
  [14820] = {.lex_state = 368},
  [14821] = {.lex_state = 429, .external_lex_state = 6},
  [14822] = {.lex_state = 429, .external_lex_state = 7},
  [14823] = {.lex_state = 429, .external_lex_state = 6},
  [14824] = {.lex_state = 429, .external_lex_state = 7},
  [14825] = {.lex_state = 429, .external_lex_state = 8},
  [14826] = {.lex_state = 429, .external_lex_state = 9},
  [14827] = {.lex_state = 429, .external_lex_state = 8},
  [14828] = {.lex_state = 429, .external_lex_state = 9},
  [14829] = {.lex_state = 429, .external_lex_state = 6},
  [14830] = {.lex_state = 429, .external_lex_state = 7},
  [14831] = {.lex_state = 429, .external_lex_state = 8},
  [14832] = {.lex_state = 429, .external_lex_state = 9},
  [14833] = {.lex_state = 368},
  [14834] = {.lex_state = 368},
  [14835] = {.lex_state = 368},
  [14836] = {.lex_state = 544},
  [14837] = {.lex_state = 348},
  [14838] = {.lex_state = 429, .external_lex_state = 6},
  [14839] = {.lex_state = 429, .external_lex_state = 7},
  [14840] = {.lex_state = 429, .external_lex_state = 8},
  [14841] = {.lex_state = 429, .external_lex_state = 6},
  [14842] = {.lex_state = 429, .external_lex_state = 7},
  [14843] = {.lex_state = 429, .external_lex_state = 8},
  [14844] = {.lex_state = 429, .external_lex_state = 9},
  [14845] = {.lex_state = 429, .external_lex_state = 9},
  [14846] = {.lex_state = 429, .external_lex_state = 6},
  [14847] = {.lex_state = 429, .external_lex_state = 7},
  [14848] = {.lex_state = 429, .external_lex_state = 8},
  [14849] = {.lex_state = 429, .external_lex_state = 9},
  [14850] = {.lex_state = 368},
  [14851] = {.lex_state = 368},
  [14852] = {.lex_state = 368},
  [14853] = {.lex_state = 429, .external_lex_state = 6},
  [14854] = {.lex_state = 429, .external_lex_state = 7},
  [14855] = {.lex_state = 429, .external_lex_state = 8},
  [14856] = {.lex_state = 429, .external_lex_state = 9},
  [14857] = {.lex_state = 429, .external_lex_state = 6},
  [14858] = {.lex_state = 429, .external_lex_state = 7},
  [14859] = {.lex_state = 429, .external_lex_state = 8},
  [14860] = {.lex_state = 429, .external_lex_state = 9},
  [14861] = {.lex_state = 368},
  [14862] = {.lex_state = 429, .external_lex_state = 6},
  [14863] = {.lex_state = 429, .external_lex_state = 7},
  [14864] = {.lex_state = 429, .external_lex_state = 8},
  [14865] = {.lex_state = 429, .external_lex_state = 9},
  [14866] = {.lex_state = 368},
  [14867] = {.lex_state = 368},
  [14868] = {.lex_state = 368},
  [14869] = {.lex_state = 368},
  [14870] = {.lex_state = 368},
  [14871] = {.lex_state = 368},
  [14872] = {.lex_state = 368},
  [14873] = {.lex_state = 348},
  [14874] = {.lex_state = 429, .external_lex_state = 6},
  [14875] = {.lex_state = 429, .external_lex_state = 7},
  [14876] = {.lex_state = 429, .external_lex_state = 8},
  [14877] = {.lex_state = 429, .external_lex_state = 9},
  [14878] = {.lex_state = 368},
  [14879] = {.lex_state = 429, .external_lex_state = 6},
  [14880] = {.lex_state = 429, .external_lex_state = 7},
  [14881] = {.lex_state = 429, .external_lex_state = 8},
  [14882] = {.lex_state = 429, .external_lex_state = 9},
  [14883] = {.lex_state = 368},
  [14884] = {.lex_state = 368},
  [14885] = {.lex_state = 368},
  [14886] = {.lex_state = 368},
  [14887] = {.lex_state = 368},
  [14888] = {.lex_state = 348},
  [14889] = {.lex_state = 429, .external_lex_state = 9},
  [14890] = {.lex_state = 429, .external_lex_state = 6},
  [14891] = {.lex_state = 429, .external_lex_state = 7},
  [14892] = {.lex_state = 429, .external_lex_state = 8},
  [14893] = {.lex_state = 429, .external_lex_state = 9},
  [14894] = {.lex_state = 368},
  [14895] = {.lex_state = 429, .external_lex_state = 6},
  [14896] = {.lex_state = 429, .external_lex_state = 7},
  [14897] = {.lex_state = 429, .external_lex_state = 8},
  [14898] = {.lex_state = 429, .external_lex_state = 9},
  [14899] = {.lex_state = 368},
  [14900] = {.lex_state = 368},
  [14901] = {.lex_state = 544},
  [14902] = {.lex_state = 368},
  [14903] = {.lex_state = 429, .external_lex_state = 6},
  [14904] = {.lex_state = 429, .external_lex_state = 7},
  [14905] = {.lex_state = 429, .external_lex_state = 8},
  [14906] = {.lex_state = 429, .external_lex_state = 9},
  [14907] = {.lex_state = 429, .external_lex_state = 6},
  [14908] = {.lex_state = 429, .external_lex_state = 7},
  [14909] = {.lex_state = 429, .external_lex_state = 8},
  [14910] = {.lex_state = 429, .external_lex_state = 9},
  [14911] = {.lex_state = 368},
  [14912] = {.lex_state = 368},
  [14913] = {.lex_state = 368},
  [14914] = {.lex_state = 368},
  [14915] = {.lex_state = 368},
  [14916] = {.lex_state = 429, .external_lex_state = 6},
  [14917] = {.lex_state = 429, .external_lex_state = 7},
  [14918] = {.lex_state = 429, .external_lex_state = 8},
  [14919] = {.lex_state = 429, .external_lex_state = 9},
  [14920] = {.lex_state = 429, .external_lex_state = 6},
  [14921] = {.lex_state = 429, .external_lex_state = 7},
  [14922] = {.lex_state = 429, .external_lex_state = 8},
  [14923] = {.lex_state = 429, .external_lex_state = 9},
  [14924] = {.lex_state = 368},
  [14925] = {.lex_state = 368},
  [14926] = {.lex_state = 368},
  [14927] = {.lex_state = 368},
  [14928] = {.lex_state = 368},
  [14929] = {.lex_state = 429, .external_lex_state = 6},
  [14930] = {.lex_state = 429, .external_lex_state = 7},
  [14931] = {.lex_state = 429, .external_lex_state = 8},
  [14932] = {.lex_state = 429, .external_lex_state = 9},
  [14933] = {.lex_state = 429, .external_lex_state = 6},
  [14934] = {.lex_state = 429, .external_lex_state = 7},
  [14935] = {.lex_state = 429, .external_lex_state = 8},
  [14936] = {.lex_state = 429, .external_lex_state = 9},
  [14937] = {.lex_state = 368},
  [14938] = {.lex_state = 368},
  [14939] = {.lex_state = 368},
  [14940] = {.lex_state = 163},
  [14941] = {.lex_state = 429, .external_lex_state = 6},
  [14942] = {.lex_state = 429, .external_lex_state = 7},
  [14943] = {.lex_state = 429, .external_lex_state = 8},
  [14944] = {.lex_state = 429, .external_lex_state = 9},
  [14945] = {.lex_state = 368},
  [14946] = {.lex_state = 429, .external_lex_state = 6},
  [14947] = {.lex_state = 429, .external_lex_state = 7},
  [14948] = {.lex_state = 429, .external_lex_state = 8},
  [14949] = {.lex_state = 429, .external_lex_state = 9},
  [14950] = {.lex_state = 368},
  [14951] = {.lex_state = 368},
  [14952] = {.lex_state = 368},
  [14953] = {.lex_state = 368},
  [14954] = {.lex_state = 429, .external_lex_state = 6},
  [14955] = {.lex_state = 567},
  [14956] = {.lex_state = 429, .external_lex_state = 7},
  [14957] = {.lex_state = 429, .external_lex_state = 8},
  [14958] = {.lex_state = 429, .external_lex_state = 9},
  [14959] = {.lex_state = 429, .external_lex_state = 6},
  [14960] = {.lex_state = 429, .external_lex_state = 7},
  [14961] = {.lex_state = 429, .external_lex_state = 8},
  [14962] = {.lex_state = 429, .external_lex_state = 9},
  [14963] = {.lex_state = 429, .external_lex_state = 6},
  [14964] = {.lex_state = 429, .external_lex_state = 7},
  [14965] = {.lex_state = 429, .external_lex_state = 8},
  [14966] = {.lex_state = 429, .external_lex_state = 9},
  [14967] = {.lex_state = 368},
  [14968] = {.lex_state = 368},
  [14969] = {.lex_state = 368},
  [14970] = {.lex_state = 368},
  [14971] = {.lex_state = 368},
  [14972] = {.lex_state = 429, .external_lex_state = 6},
  [14973] = {.lex_state = 429, .external_lex_state = 7},
  [14974] = {.lex_state = 429, .external_lex_state = 8},
  [14975] = {.lex_state = 429, .external_lex_state = 9},
  [14976] = {.lex_state = 429, .external_lex_state = 6},
  [14977] = {.lex_state = 429, .external_lex_state = 6},
  [14978] = {.lex_state = 429, .external_lex_state = 7},
  [14979] = {.lex_state = 429, .external_lex_state = 8},
  [14980] = {.lex_state = 429, .external_lex_state = 9},
  [14981] = {.lex_state = 368},
  [14982] = {.lex_state = 368},
  [14983] = {.lex_state = 429, .external_lex_state = 7},
  [14984] = {.lex_state = 429, .external_lex_state = 8},
  [14985] = {.lex_state = 429, .external_lex_state = 9},
  [14986] = {.lex_state = 368},
  [14987] = {.lex_state = 368},
  [14988] = {.lex_state = 368},
  [14989] = {.lex_state = 348},
  [14990] = {.lex_state = 429, .external_lex_state = 6},
  [14991] = {.lex_state = 429, .external_lex_state = 7},
  [14992] = {.lex_state = 429, .external_lex_state = 8},
  [14993] = {.lex_state = 429, .external_lex_state = 9},
  [14994] = {.lex_state = 567},
  [14995] = {.lex_state = 567},
  [14996] = {.lex_state = 429, .external_lex_state = 6},
  [14997] = {.lex_state = 429, .external_lex_state = 7},
  [14998] = {.lex_state = 429, .external_lex_state = 8},
  [14999] = {.lex_state = 429, .external_lex_state = 9},
  [15000] = {.lex_state = 368},
  [15001] = {.lex_state = 368},
  [15002] = {.lex_state = 368},
  [15003] = {.lex_state = 368},
  [15004] = {.lex_state = 233},
  [15005] = {.lex_state = 368},
  [15006] = {.lex_state = 368},
  [15007] = {.lex_state = 429, .external_lex_state = 6},
  [15008] = {.lex_state = 429, .external_lex_state = 7},
  [15009] = {.lex_state = 429, .external_lex_state = 8},
  [15010] = {.lex_state = 429, .external_lex_state = 9},
  [15011] = {.lex_state = 429, .external_lex_state = 6},
  [15012] = {.lex_state = 429, .external_lex_state = 7},
  [15013] = {.lex_state = 429, .external_lex_state = 8},
  [15014] = {.lex_state = 429, .external_lex_state = 9},
  [15015] = {.lex_state = 368},
  [15016] = {.lex_state = 368},
  [15017] = {.lex_state = 368},
  [15018] = {.lex_state = 368},
  [15019] = {.lex_state = 368},
  [15020] = {.lex_state = 368},
  [15021] = {.lex_state = 429, .external_lex_state = 6},
  [15022] = {.lex_state = 429, .external_lex_state = 6},
  [15023] = {.lex_state = 429, .external_lex_state = 7},
  [15024] = {.lex_state = 429, .external_lex_state = 8},
  [15025] = {.lex_state = 429, .external_lex_state = 9},
  [15026] = {.lex_state = 429, .external_lex_state = 7},
  [15027] = {.lex_state = 429, .external_lex_state = 6},
  [15028] = {.lex_state = 429, .external_lex_state = 7},
  [15029] = {.lex_state = 429, .external_lex_state = 8},
  [15030] = {.lex_state = 429, .external_lex_state = 9},
  [15031] = {.lex_state = 368},
  [15032] = {.lex_state = 368},
  [15033] = {.lex_state = 368},
  [15034] = {.lex_state = 429, .external_lex_state = 8},
  [15035] = {.lex_state = 429, .external_lex_state = 9},
  [15036] = {.lex_state = 429, .external_lex_state = 6},
  [15037] = {.lex_state = 368},
  [15038] = {.lex_state = 429, .external_lex_state = 6},
  [15039] = {.lex_state = 429, .external_lex_state = 7},
  [15040] = {.lex_state = 429, .external_lex_state = 8},
  [15041] = {.lex_state = 429, .external_lex_state = 9},
  [15042] = {.lex_state = 429, .external_lex_state = 6},
  [15043] = {.lex_state = 429, .external_lex_state = 7},
  [15044] = {.lex_state = 429, .external_lex_state = 8},
  [15045] = {.lex_state = 429, .external_lex_state = 9},
  [15046] = {.lex_state = 368},
  [15047] = {.lex_state = 368},
  [15048] = {.lex_state = 567},
  [15049] = {.lex_state = 368},
  [15050] = {.lex_state = 429, .external_lex_state = 6},
  [15051] = {.lex_state = 429, .external_lex_state = 7},
  [15052] = {.lex_state = 429, .external_lex_state = 8},
  [15053] = {.lex_state = 429, .external_lex_state = 9},
  [15054] = {.lex_state = 429, .external_lex_state = 7},
  [15055] = {.lex_state = 429, .external_lex_state = 8},
  [15056] = {.lex_state = 429, .external_lex_state = 9},
  [15057] = {.lex_state = 567},
  [15058] = {.lex_state = 429, .external_lex_state = 6},
  [15059] = {.lex_state = 429, .external_lex_state = 7},
  [15060] = {.lex_state = 429, .external_lex_state = 8},
  [15061] = {.lex_state = 429, .external_lex_state = 9},
  [15062] = {.lex_state = 429, .external_lex_state = 6},
  [15063] = {.lex_state = 429, .external_lex_state = 7},
  [15064] = {.lex_state = 429, .external_lex_state = 8},
  [15065] = {.lex_state = 429, .external_lex_state = 9},
  [15066] = {.lex_state = 429, .external_lex_state = 6},
  [15067] = {.lex_state = 429, .external_lex_state = 7},
  [15068] = {.lex_state = 368},
  [15069] = {.lex_state = 368},
  [15070] = {.lex_state = 429, .external_lex_state = 8},
  [15071] = {.lex_state = 429, .external_lex_state = 6},
  [15072] = {.lex_state = 429, .external_lex_state = 7},
  [15073] = {.lex_state = 429, .external_lex_state = 8},
  [15074] = {.lex_state = 429, .external_lex_state = 9},
  [15075] = {.lex_state = 429, .external_lex_state = 9},
  [15076] = {.lex_state = 348},
  [15077] = {.lex_state = 368},
  [15078] = {.lex_state = 368},
  [15079] = {.lex_state = 368},
  [15080] = {.lex_state = 348},
  [15081] = {.lex_state = 368},
  [15082] = {.lex_state = 368},
  [15083] = {.lex_state = 368},
  [15084] = {.lex_state = 567},
  [15085] = {.lex_state = 429, .external_lex_state = 6},
  [15086] = {.lex_state = 368},
  [15087] = {.lex_state = 368},
  [15088] = {.lex_state = 368},
  [15089] = {.lex_state = 368},
  [15090] = {.lex_state = 368},
  [15091] = {.lex_state = 348},
  [15092] = {.lex_state = 368},
  [15093] = {.lex_state = 429, .external_lex_state = 6},
  [15094] = {.lex_state = 429, .external_lex_state = 7},
  [15095] = {.lex_state = 429, .external_lex_state = 8},
  [15096] = {.lex_state = 368},
  [15097] = {.lex_state = 429, .external_lex_state = 6},
  [15098] = {.lex_state = 368},
  [15099] = {.lex_state = 368},
  [15100] = {.lex_state = 368},
  [15101] = {.lex_state = 429, .external_lex_state = 9},
  [15102] = {.lex_state = 429, .external_lex_state = 6},
  [15103] = {.lex_state = 429, .external_lex_state = 7},
  [15104] = {.lex_state = 429, .external_lex_state = 8},
  [15105] = {.lex_state = 429, .external_lex_state = 9},
  [15106] = {.lex_state = 429, .external_lex_state = 6},
  [15107] = {.lex_state = 429, .external_lex_state = 7},
  [15108] = {.lex_state = 429, .external_lex_state = 8},
  [15109] = {.lex_state = 429, .external_lex_state = 9},
  [15110] = {.lex_state = 368},
  [15111] = {.lex_state = 368},
  [15112] = {.lex_state = 348},
  [15113] = {.lex_state = 429, .external_lex_state = 6},
  [15114] = {.lex_state = 368},
  [15115] = {.lex_state = 368},
  [15116] = {.lex_state = 429, .external_lex_state = 7},
  [15117] = {.lex_state = 368},
  [15118] = {.lex_state = 368},
  [15119] = {.lex_state = 368},
  [15120] = {.lex_state = 368},
  [15121] = {.lex_state = 368},
  [15122] = {.lex_state = 429, .external_lex_state = 6},
  [15123] = {.lex_state = 368},
  [15124] = {.lex_state = 429, .external_lex_state = 7},
  [15125] = {.lex_state = 429, .external_lex_state = 6},
  [15126] = {.lex_state = 429, .external_lex_state = 7},
  [15127] = {.lex_state = 429, .external_lex_state = 8},
  [15128] = {.lex_state = 429, .external_lex_state = 9},
  [15129] = {.lex_state = 429, .external_lex_state = 8},
  [15130] = {.lex_state = 429, .external_lex_state = 9},
  [15131] = {.lex_state = 348},
  [15132] = {.lex_state = 429, .external_lex_state = 6},
  [15133] = {.lex_state = 429, .external_lex_state = 7},
  [15134] = {.lex_state = 429, .external_lex_state = 8},
  [15135] = {.lex_state = 429, .external_lex_state = 9},
  [15136] = {.lex_state = 567},
  [15137] = {.lex_state = 429, .external_lex_state = 6},
  [15138] = {.lex_state = 429, .external_lex_state = 7},
  [15139] = {.lex_state = 429, .external_lex_state = 8},
  [15140] = {.lex_state = 429, .external_lex_state = 9},
  [15141] = {.lex_state = 368},
  [15142] = {.lex_state = 368},
  [15143] = {.lex_state = 348},
  [15144] = {.lex_state = 368},
  [15145] = {.lex_state = 429, .external_lex_state = 6},
  [15146] = {.lex_state = 429, .external_lex_state = 7},
  [15147] = {.lex_state = 429, .external_lex_state = 8},
  [15148] = {.lex_state = 429, .external_lex_state = 9},
  [15149] = {.lex_state = 368},
  [15150] = {.lex_state = 429, .external_lex_state = 7},
  [15151] = {.lex_state = 368},
  [15152] = {.lex_state = 429, .external_lex_state = 8},
  [15153] = {.lex_state = 567},
  [15154] = {.lex_state = 429, .external_lex_state = 6},
  [15155] = {.lex_state = 429, .external_lex_state = 7},
  [15156] = {.lex_state = 429, .external_lex_state = 8},
  [15157] = {.lex_state = 429, .external_lex_state = 9},
  [15158] = {.lex_state = 429, .external_lex_state = 6},
  [15159] = {.lex_state = 429, .external_lex_state = 6},
  [15160] = {.lex_state = 429, .external_lex_state = 7},
  [15161] = {.lex_state = 429, .external_lex_state = 8},
  [15162] = {.lex_state = 368},
  [15163] = {.lex_state = 429, .external_lex_state = 7},
  [15164] = {.lex_state = 429, .external_lex_state = 9},
  [15165] = {.lex_state = 429, .external_lex_state = 6},
  [15166] = {.lex_state = 429, .external_lex_state = 7},
  [15167] = {.lex_state = 429, .external_lex_state = 8},
  [15168] = {.lex_state = 429, .external_lex_state = 9},
  [15169] = {.lex_state = 429, .external_lex_state = 8},
  [15170] = {.lex_state = 429, .external_lex_state = 9},
  [15171] = {.lex_state = 429, .external_lex_state = 6},
  [15172] = {.lex_state = 429, .external_lex_state = 7},
  [15173] = {.lex_state = 429, .external_lex_state = 8},
  [15174] = {.lex_state = 429, .external_lex_state = 9},
  [15175] = {.lex_state = 429, .external_lex_state = 8},
  [15176] = {.lex_state = 368},
  [15177] = {.lex_state = 368},
  [15178] = {.lex_state = 368},
  [15179] = {.lex_state = 348},
  [15180] = {.lex_state = 368},
  [15181] = {.lex_state = 429, .external_lex_state = 6},
  [15182] = {.lex_state = 429, .external_lex_state = 7},
  [15183] = {.lex_state = 429, .external_lex_state = 8},
  [15184] = {.lex_state = 429, .external_lex_state = 9},
  [15185] = {.lex_state = 429, .external_lex_state = 9},
  [15186] = {.lex_state = 368},
  [15187] = {.lex_state = 348},
  [15188] = {.lex_state = 429, .external_lex_state = 9},
  [15189] = {.lex_state = 429, .external_lex_state = 6},
  [15190] = {.lex_state = 368},
  [15191] = {.lex_state = 368},
  [15192] = {.lex_state = 368},
  [15193] = {.lex_state = 368},
  [15194] = {.lex_state = 368},
  [15195] = {.lex_state = 348},
  [15196] = {.lex_state = 368},
  [15197] = {.lex_state = 368},
  [15198] = {.lex_state = 368},
  [15199] = {.lex_state = 368},
  [15200] = {.lex_state = 368},
  [15201] = {.lex_state = 368},
  [15202] = {.lex_state = 368},
  [15203] = {.lex_state = 368},
  [15204] = {.lex_state = 429, .external_lex_state = 6},
  [15205] = {.lex_state = 429, .external_lex_state = 7},
  [15206] = {.lex_state = 429, .external_lex_state = 8},
  [15207] = {.lex_state = 429, .external_lex_state = 9},
  [15208] = {.lex_state = 429, .external_lex_state = 2},
  [15209] = {.lex_state = 429, .external_lex_state = 6},
  [15210] = {.lex_state = 368},
  [15211] = {.lex_state = 429, .external_lex_state = 7},
  [15212] = {.lex_state = 429, .external_lex_state = 8},
  [15213] = {.lex_state = 368},
  [15214] = {.lex_state = 429, .external_lex_state = 9},
  [15215] = {.lex_state = 368},
  [15216] = {.lex_state = 368},
  [15217] = {.lex_state = 348},
  [15218] = {.lex_state = 368},
  [15219] = {.lex_state = 368},
  [15220] = {.lex_state = 368},
  [15221] = {.lex_state = 429, .external_lex_state = 6},
  [15222] = {.lex_state = 368},
  [15223] = {.lex_state = 368},
  [15224] = {.lex_state = 348},
  [15225] = {.lex_state = 429, .external_lex_state = 7},
  [15226] = {.lex_state = 368},
  [15227] = {.lex_state = 429, .external_lex_state = 8},
  [15228] = {.lex_state = 163},
  [15229] = {.lex_state = 368},
  [15230] = {.lex_state = 429, .external_lex_state = 9},
  [15231] = {.lex_state = 368},
  [15232] = {.lex_state = 429, .external_lex_state = 6},
  [15233] = {.lex_state = 429, .external_lex_state = 7},
  [15234] = {.lex_state = 429, .external_lex_state = 8},
  [15235] = {.lex_state = 429, .external_lex_state = 6},
  [15236] = {.lex_state = 429, .external_lex_state = 7},
  [15237] = {.lex_state = 429, .external_lex_state = 8},
  [15238] = {.lex_state = 429, .external_lex_state = 9},
  [15239] = {.lex_state = 429, .external_lex_state = 9},
  [15240] = {.lex_state = 348},
  [15241] = {.lex_state = 429, .external_lex_state = 6},
  [15242] = {.lex_state = 429, .external_lex_state = 7},
  [15243] = {.lex_state = 368},
  [15244] = {.lex_state = 429, .external_lex_state = 8},
  [15245] = {.lex_state = 429, .external_lex_state = 9},
  [15246] = {.lex_state = 368},
  [15247] = {.lex_state = 368},
  [15248] = {.lex_state = 348},
  [15249] = {.lex_state = 429, .external_lex_state = 6},
  [15250] = {.lex_state = 368},
  [15251] = {.lex_state = 429, .external_lex_state = 7},
  [15252] = {.lex_state = 429, .external_lex_state = 8},
  [15253] = {.lex_state = 429, .external_lex_state = 9},
  [15254] = {.lex_state = 348},
  [15255] = {.lex_state = 368},
  [15256] = {.lex_state = 368},
  [15257] = {.lex_state = 368},
  [15258] = {.lex_state = 368},
  [15259] = {.lex_state = 429, .external_lex_state = 6},
  [15260] = {.lex_state = 429, .external_lex_state = 7},
  [15261] = {.lex_state = 429, .external_lex_state = 8},
  [15262] = {.lex_state = 429, .external_lex_state = 9},
  [15263] = {.lex_state = 429, .external_lex_state = 6},
  [15264] = {.lex_state = 429, .external_lex_state = 6},
  [15265] = {.lex_state = 429, .external_lex_state = 6},
  [15266] = {.lex_state = 429, .external_lex_state = 7},
  [15267] = {.lex_state = 429, .external_lex_state = 8},
  [15268] = {.lex_state = 429, .external_lex_state = 9},
  [15269] = {.lex_state = 429, .external_lex_state = 7},
  [15270] = {.lex_state = 429, .external_lex_state = 8},
  [15271] = {.lex_state = 429, .external_lex_state = 9},
  [15272] = {.lex_state = 368},
  [15273] = {.lex_state = 368},
  [15274] = {.lex_state = 429, .external_lex_state = 7},
  [15275] = {.lex_state = 348},
  [15276] = {.lex_state = 368},
  [15277] = {.lex_state = 429, .external_lex_state = 8},
  [15278] = {.lex_state = 368},
  [15279] = {.lex_state = 368},
  [15280] = {.lex_state = 429, .external_lex_state = 9},
  [15281] = {.lex_state = 368},
  [15282] = {.lex_state = 368},
  [15283] = {.lex_state = 368},
  [15284] = {.lex_state = 368},
  [15285] = {.lex_state = 348},
  [15286] = {.lex_state = 368},
  [15287] = {.lex_state = 368},
  [15288] = {.lex_state = 368},
  [15289] = {.lex_state = 429, .external_lex_state = 6},
  [15290] = {.lex_state = 429, .external_lex_state = 7},
  [15291] = {.lex_state = 429, .external_lex_state = 8},
  [15292] = {.lex_state = 429, .external_lex_state = 9},
  [15293] = {.lex_state = 429, .external_lex_state = 6},
  [15294] = {.lex_state = 429, .external_lex_state = 7},
  [15295] = {.lex_state = 368},
  [15296] = {.lex_state = 429, .external_lex_state = 8},
  [15297] = {.lex_state = 429, .external_lex_state = 9},
  [15298] = {.lex_state = 368},
  [15299] = {.lex_state = 348},
  [15300] = {.lex_state = 368},
  [15301] = {.lex_state = 368},
  [15302] = {.lex_state = 429, .external_lex_state = 6},
  [15303] = {.lex_state = 348},
  [15304] = {.lex_state = 429, .external_lex_state = 7},
  [15305] = {.lex_state = 429, .external_lex_state = 8},
  [15306] = {.lex_state = 567},
  [15307] = {.lex_state = 429, .external_lex_state = 7},
  [15308] = {.lex_state = 368},
  [15309] = {.lex_state = 429, .external_lex_state = 9},
  [15310] = {.lex_state = 368},
  [15311] = {.lex_state = 368},
  [15312] = {.lex_state = 368},
  [15313] = {.lex_state = 429, .external_lex_state = 8},
  [15314] = {.lex_state = 429, .external_lex_state = 9},
  [15315] = {.lex_state = 368},
  [15316] = {.lex_state = 368},
  [15317] = {.lex_state = 368},
  [15318] = {.lex_state = 348},
  [15319] = {.lex_state = 368},
  [15320] = {.lex_state = 368},
  [15321] = {.lex_state = 429, .external_lex_state = 6},
  [15322] = {.lex_state = 429, .external_lex_state = 7},
  [15323] = {.lex_state = 429, .external_lex_state = 8},
  [15324] = {.lex_state = 368},
  [15325] = {.lex_state = 429, .external_lex_state = 9},
  [15326] = {.lex_state = 368},
  [15327] = {.lex_state = 429, .external_lex_state = 6},
  [15328] = {.lex_state = 429, .external_lex_state = 7},
  [15329] = {.lex_state = 429, .external_lex_state = 8},
  [15330] = {.lex_state = 429, .external_lex_state = 8},
  [15331] = {.lex_state = 429, .external_lex_state = 9},
  [15332] = {.lex_state = 429, .external_lex_state = 6},
  [15333] = {.lex_state = 368},
  [15334] = {.lex_state = 368},
  [15335] = {.lex_state = 429, .external_lex_state = 7},
  [15336] = {.lex_state = 348},
  [15337] = {.lex_state = 429, .external_lex_state = 8},
  [15338] = {.lex_state = 429, .external_lex_state = 9},
  [15339] = {.lex_state = 429, .external_lex_state = 9},
  [15340] = {.lex_state = 368},
  [15341] = {.lex_state = 429, .external_lex_state = 6},
  [15342] = {.lex_state = 429, .external_lex_state = 7},
  [15343] = {.lex_state = 429, .external_lex_state = 8},
  [15344] = {.lex_state = 429, .external_lex_state = 9},
  [15345] = {.lex_state = 368},
  [15346] = {.lex_state = 429, .external_lex_state = 6},
  [15347] = {.lex_state = 429, .external_lex_state = 7},
  [15348] = {.lex_state = 429, .external_lex_state = 8},
  [15349] = {.lex_state = 429, .external_lex_state = 9},
  [15350] = {.lex_state = 429, .external_lex_state = 6},
  [15351] = {.lex_state = 429, .external_lex_state = 6},
  [15352] = {.lex_state = 429, .external_lex_state = 6},
  [15353] = {.lex_state = 429, .external_lex_state = 7},
  [15354] = {.lex_state = 429, .external_lex_state = 8},
  [15355] = {.lex_state = 429, .external_lex_state = 9},
  [15356] = {.lex_state = 429, .external_lex_state = 7},
  [15357] = {.lex_state = 368},
  [15358] = {.lex_state = 348},
  [15359] = {.lex_state = 368},
  [15360] = {.lex_state = 429, .external_lex_state = 8},
  [15361] = {.lex_state = 348},
  [15362] = {.lex_state = 429, .external_lex_state = 9},
  [15363] = {.lex_state = 368},
  [15364] = {.lex_state = 429, .external_lex_state = 7},
  [15365] = {.lex_state = 368},
  [15366] = {.lex_state = 348},
  [15367] = {.lex_state = 368},
  [15368] = {.lex_state = 429, .external_lex_state = 8},
  [15369] = {.lex_state = 348},
  [15370] = {.lex_state = 429, .external_lex_state = 9},
  [15371] = {.lex_state = 429, .external_lex_state = 6},
  [15372] = {.lex_state = 368},
  [15373] = {.lex_state = 429, .external_lex_state = 7},
  [15374] = {.lex_state = 368},
  [15375] = {.lex_state = 348},
  [15376] = {.lex_state = 429, .external_lex_state = 8},
  [15377] = {.lex_state = 348},
  [15378] = {.lex_state = 429, .external_lex_state = 6},
  [15379] = {.lex_state = 429, .external_lex_state = 7},
  [15380] = {.lex_state = 348},
  [15381] = {.lex_state = 429, .external_lex_state = 8},
  [15382] = {.lex_state = 429, .external_lex_state = 6},
  [15383] = {.lex_state = 429, .external_lex_state = 9},
  [15384] = {.lex_state = 429, .external_lex_state = 7},
  [15385] = {.lex_state = 429, .external_lex_state = 8},
  [15386] = {.lex_state = 429, .external_lex_state = 9},
  [15387] = {.lex_state = 348},
  [15388] = {.lex_state = 429, .external_lex_state = 6},
  [15389] = {.lex_state = 429, .external_lex_state = 7},
  [15390] = {.lex_state = 429, .external_lex_state = 8},
  [15391] = {.lex_state = 429, .external_lex_state = 9},
  [15392] = {.lex_state = 368},
  [15393] = {.lex_state = 368},
  [15394] = {.lex_state = 348},
  [15395] = {.lex_state = 368},
  [15396] = {.lex_state = 368},
  [15397] = {.lex_state = 368},
  [15398] = {.lex_state = 368},
  [15399] = {.lex_state = 368},
  [15400] = {.lex_state = 368},
  [15401] = {.lex_state = 348},
  [15402] = {.lex_state = 233},
  [15403] = {.lex_state = 429, .external_lex_state = 6},
  [15404] = {.lex_state = 368},
  [15405] = {.lex_state = 429, .external_lex_state = 7},
  [15406] = {.lex_state = 429, .external_lex_state = 8},
  [15407] = {.lex_state = 429, .external_lex_state = 9},
  [15408] = {.lex_state = 233},
  [15409] = {.lex_state = 368},
  [15410] = {.lex_state = 429, .external_lex_state = 3},
  [15411] = {.lex_state = 429, .external_lex_state = 3},
  [15412] = {.lex_state = 368},
  [15413] = {.lex_state = 368},
  [15414] = {.lex_state = 429, .external_lex_state = 3},
  [15415] = {.lex_state = 429, .external_lex_state = 3},
  [15416] = {.lex_state = 368},
  [15417] = {.lex_state = 368},
  [15418] = {.lex_state = 368},
  [15419] = {.lex_state = 429, .external_lex_state = 6},
  [15420] = {.lex_state = 429, .external_lex_state = 7},
  [15421] = {.lex_state = 429, .external_lex_state = 8},
  [15422] = {.lex_state = 429, .external_lex_state = 9},
  [15423] = {.lex_state = 348},
  [15424] = {.lex_state = 429, .external_lex_state = 9},
  [15425] = {.lex_state = 368},
  [15426] = {.lex_state = 368},
  [15427] = {.lex_state = 368},
  [15428] = {.lex_state = 429, .external_lex_state = 6},
  [15429] = {.lex_state = 429, .external_lex_state = 7},
  [15430] = {.lex_state = 429, .external_lex_state = 8},
  [15431] = {.lex_state = 429, .external_lex_state = 9},
  [15432] = {.lex_state = 368},
  [15433] = {.lex_state = 368},
  [15434] = {.lex_state = 368},
  [15435] = {.lex_state = 348},
  [15436] = {.lex_state = 429, .external_lex_state = 2},
  [15437] = {.lex_state = 368},
  [15438] = {.lex_state = 368},
  [15439] = {.lex_state = 368},
  [15440] = {.lex_state = 368},
  [15441] = {.lex_state = 368},
  [15442] = {.lex_state = 429, .external_lex_state = 6},
  [15443] = {.lex_state = 429, .external_lex_state = 7},
  [15444] = {.lex_state = 429, .external_lex_state = 8},
  [15445] = {.lex_state = 429, .external_lex_state = 9},
  [15446] = {.lex_state = 348},
  [15447] = {.lex_state = 368},
  [15448] = {.lex_state = 429, .external_lex_state = 6},
  [15449] = {.lex_state = 429, .external_lex_state = 7},
  [15450] = {.lex_state = 429, .external_lex_state = 8},
  [15451] = {.lex_state = 429, .external_lex_state = 9},
  [15452] = {.lex_state = 348},
  [15453] = {.lex_state = 429, .external_lex_state = 6},
  [15454] = {.lex_state = 429, .external_lex_state = 7},
  [15455] = {.lex_state = 429, .external_lex_state = 8},
  [15456] = {.lex_state = 429, .external_lex_state = 9},
  [15457] = {.lex_state = 348},
  [15458] = {.lex_state = 368},
  [15459] = {.lex_state = 368},
  [15460] = {.lex_state = 348},
  [15461] = {.lex_state = 348},
  [15462] = {.lex_state = 348},
  [15463] = {.lex_state = 368},
  [15464] = {.lex_state = 348},
  [15465] = {.lex_state = 348},
  [15466] = {.lex_state = 348},
  [15467] = {.lex_state = 348},
  [15468] = {.lex_state = 368},
  [15469] = {.lex_state = 348},
  [15470] = {.lex_state = 368},
  [15471] = {.lex_state = 368},
  [15472] = {.lex_state = 429, .external_lex_state = 7},
  [15473] = {.lex_state = 375},
  [15474] = {.lex_state = 375},
  [15475] = {.lex_state = 375},
  [15476] = {.lex_state = 0},
  [15477] = {.lex_state = 375},
  [15478] = {.lex_state = 375},
  [15479] = {.lex_state = 375},
  [15480] = {.lex_state = 375},
  [15481] = {.lex_state = 375},
  [15482] = {.lex_state = 375},
  [15483] = {.lex_state = 375},
  [15484] = {.lex_state = 375},
  [15485] = {.lex_state = 544},
  [15486] = {.lex_state = 0},
  [15487] = {.lex_state = 369},
  [15488] = {.lex_state = 0},
  [15489] = {.lex_state = 369},
  [15490] = {.lex_state = 0},
  [15491] = {.lex_state = 0},
  [15492] = {.lex_state = 0},
  [15493] = {.lex_state = 0},
  [15494] = {.lex_state = 0},
  [15495] = {.lex_state = 567},
  [15496] = {.lex_state = 369},
  [15497] = {.lex_state = 0},
  [15498] = {.lex_state = 0},
  [15499] = {.lex_state = 0},
  [15500] = {.lex_state = 369},
  [15501] = {.lex_state = 369},
  [15502] = {.lex_state = 567},
  [15503] = {.lex_state = 163},
  [15504] = {.lex_state = 369},
  [15505] = {.lex_state = 0},
  [15506] = {.lex_state = 0},
  [15507] = {.lex_state = 0},
  [15508] = {.lex_state = 0},
  [15509] = {.lex_state = 431, .external_lex_state = 3},
  [15510] = {.lex_state = 0},
  [15511] = {.lex_state = 567},
  [15512] = {.lex_state = 0},
  [15513] = {.lex_state = 369},
  [15514] = {.lex_state = 0},
  [15515] = {.lex_state = 0},
  [15516] = {.lex_state = 0},
  [15517] = {.lex_state = 567},
  [15518] = {.lex_state = 0},
  [15519] = {.lex_state = 0},
  [15520] = {.lex_state = 0},
  [15521] = {.lex_state = 0},
  [15522] = {.lex_state = 0},
  [15523] = {.lex_state = 0},
  [15524] = {.lex_state = 0},
  [15525] = {.lex_state = 567},
  [15526] = {.lex_state = 369},
  [15527] = {.lex_state = 0},
  [15528] = {.lex_state = 567},
  [15529] = {.lex_state = 0},
  [15530] = {.lex_state = 0},
  [15531] = {.lex_state = 369},
  [15532] = {.lex_state = 0},
  [15533] = {.lex_state = 0},
  [15534] = {.lex_state = 567},
  [15535] = {.lex_state = 0},
  [15536] = {.lex_state = 0},
  [15537] = {.lex_state = 0},
  [15538] = {.lex_state = 0},
  [15539] = {.lex_state = 0},
  [15540] = {.lex_state = 0},
  [15541] = {.lex_state = 0},
  [15542] = {.lex_state = 0},
  [15543] = {.lex_state = 0},
  [15544] = {.lex_state = 0},
  [15545] = {.lex_state = 0},
  [15546] = {.lex_state = 0},
  [15547] = {.lex_state = 369},
  [15548] = {.lex_state = 375},
  [15549] = {.lex_state = 369},
  [15550] = {.lex_state = 567},
  [15551] = {.lex_state = 0},
  [15552] = {.lex_state = 369},
  [15553] = {.lex_state = 369},
  [15554] = {.lex_state = 0},
  [15555] = {.lex_state = 0},
  [15556] = {.lex_state = 544},
  [15557] = {.lex_state = 0},
  [15558] = {.lex_state = 369},
  [15559] = {.lex_state = 0},
  [15560] = {.lex_state = 0},
  [15561] = {.lex_state = 0},
  [15562] = {.lex_state = 567},
  [15563] = {.lex_state = 0},
  [15564] = {.lex_state = 0},
  [15565] = {.lex_state = 0},
  [15566] = {.lex_state = 0},
  [15567] = {.lex_state = 0},
  [15568] = {.lex_state = 0},
  [15569] = {.lex_state = 0},
  [15570] = {.lex_state = 0},
  [15571] = {.lex_state = 0},
  [15572] = {.lex_state = 0},
  [15573] = {.lex_state = 369},
  [15574] = {.lex_state = 0},
  [15575] = {.lex_state = 0},
  [15576] = {.lex_state = 0},
  [15577] = {.lex_state = 369},
  [15578] = {.lex_state = 0},
  [15579] = {.lex_state = 369},
  [15580] = {.lex_state = 369},
  [15581] = {.lex_state = 0},
  [15582] = {.lex_state = 282},
  [15583] = {.lex_state = 0},
  [15584] = {.lex_state = 375},
  [15585] = {.lex_state = 0},
  [15586] = {.lex_state = 375},
  [15587] = {.lex_state = 0},
  [15588] = {.lex_state = 0},
  [15589] = {.lex_state = 0},
  [15590] = {.lex_state = 369},
  [15591] = {.lex_state = 0},
  [15592] = {.lex_state = 0},
  [15593] = {.lex_state = 0},
  [15594] = {.lex_state = 544},
  [15595] = {.lex_state = 0},
  [15596] = {.lex_state = 282},
  [15597] = {.lex_state = 0},
  [15598] = {.lex_state = 0},
  [15599] = {.lex_state = 0},
  [15600] = {.lex_state = 375},
  [15601] = {.lex_state = 375},
  [15602] = {.lex_state = 0},
  [15603] = {.lex_state = 0},
  [15604] = {.lex_state = 369},
  [15605] = {.lex_state = 0},
  [15606] = {.lex_state = 0},
  [15607] = {.lex_state = 544},
  [15608] = {.lex_state = 0},
  [15609] = {.lex_state = 0},
  [15610] = {.lex_state = 0},
  [15611] = {.lex_state = 0},
  [15612] = {.lex_state = 0},
  [15613] = {.lex_state = 0},
  [15614] = {.lex_state = 0},
  [15615] = {.lex_state = 369},
  [15616] = {.lex_state = 0},
  [15617] = {.lex_state = 0},
  [15618] = {.lex_state = 0},
  [15619] = {.lex_state = 0},
  [15620] = {.lex_state = 282},
  [15621] = {.lex_state = 0},
  [15622] = {.lex_state = 0},
  [15623] = {.lex_state = 375},
  [15624] = {.lex_state = 375},
  [15625] = {.lex_state = 0},
  [15626] = {.lex_state = 369},
  [15627] = {.lex_state = 0},
  [15628] = {.lex_state = 0},
  [15629] = {.lex_state = 0},
  [15630] = {.lex_state = 369},
  [15631] = {.lex_state = 369},
  [15632] = {.lex_state = 0},
  [15633] = {.lex_state = 544},
  [15634] = {.lex_state = 369},
  [15635] = {.lex_state = 0},
  [15636] = {.lex_state = 163},
  [15637] = {.lex_state = 0},
  [15638] = {.lex_state = 368},
  [15639] = {.lex_state = 0},
  [15640] = {.lex_state = 0},
  [15641] = {.lex_state = 369},
  [15642] = {.lex_state = 369},
  [15643] = {.lex_state = 282},
  [15644] = {.lex_state = 0},
  [15645] = {.lex_state = 0},
  [15646] = {.lex_state = 375},
  [15647] = {.lex_state = 369},
  [15648] = {.lex_state = 375},
  [15649] = {.lex_state = 0},
  [15650] = {.lex_state = 0},
  [15651] = {.lex_state = 0},
  [15652] = {.lex_state = 369},
  [15653] = {.lex_state = 0},
  [15654] = {.lex_state = 544},
  [15655] = {.lex_state = 369},
  [15656] = {.lex_state = 0},
  [15657] = {.lex_state = 369},
  [15658] = {.lex_state = 0},
  [15659] = {.lex_state = 0},
  [15660] = {.lex_state = 0},
  [15661] = {.lex_state = 0},
  [15662] = {.lex_state = 0},
  [15663] = {.lex_state = 0},
  [15664] = {.lex_state = 0},
  [15665] = {.lex_state = 282},
  [15666] = {.lex_state = 375},
  [15667] = {.lex_state = 375},
  [15668] = {.lex_state = 369},
  [15669] = {.lex_state = 0},
  [15670] = {.lex_state = 0},
  [15671] = {.lex_state = 544},
  [15672] = {.lex_state = 0},
  [15673] = {.lex_state = 0},
  [15674] = {.lex_state = 0},
  [15675] = {.lex_state = 0},
  [15676] = {.lex_state = 0},
  [15677] = {.lex_state = 282},
  [15678] = {.lex_state = 0},
  [15679] = {.lex_state = 0},
  [15680] = {.lex_state = 375},
  [15681] = {.lex_state = 375},
  [15682] = {.lex_state = 369},
  [15683] = {.lex_state = 0},
  [15684] = {.lex_state = 369},
  [15685] = {.lex_state = 0},
  [15686] = {.lex_state = 0},
  [15687] = {.lex_state = 0},
  [15688] = {.lex_state = 0},
  [15689] = {.lex_state = 0},
  [15690] = {.lex_state = 0},
  [15691] = {.lex_state = 0},
  [15692] = {.lex_state = 544},
  [15693] = {.lex_state = 0},
  [15694] = {.lex_state = 282},
  [15695] = {.lex_state = 282},
  [15696] = {.lex_state = 0},
  [15697] = {.lex_state = 0},
  [15698] = {.lex_state = 0},
  [15699] = {.lex_state = 375},
  [15700] = {.lex_state = 375},
  [15701] = {.lex_state = 567},
  [15702] = {.lex_state = 375},
  [15703] = {.lex_state = 0},
  [15704] = {.lex_state = 375},
  [15705] = {.lex_state = 282},
  [15706] = {.lex_state = 369},
  [15707] = {.lex_state = 375},
  [15708] = {.lex_state = 375},
  [15709] = {.lex_state = 0},
  [15710] = {.lex_state = 282},
  [15711] = {.lex_state = 375},
  [15712] = {.lex_state = 375},
  [15713] = {.lex_state = 0},
  [15714] = {.lex_state = 369},
  [15715] = {.lex_state = 0},
  [15716] = {.lex_state = 0},
  [15717] = {.lex_state = 0},
  [15718] = {.lex_state = 282},
  [15719] = {.lex_state = 369},
  [15720] = {.lex_state = 369},
  [15721] = {.lex_state = 375},
  [15722] = {.lex_state = 0},
  [15723] = {.lex_state = 375},
  [15724] = {.lex_state = 369},
  [15725] = {.lex_state = 375},
  [15726] = {.lex_state = 375},
  [15727] = {.lex_state = 0},
  [15728] = {.lex_state = 375},
  [15729] = {.lex_state = 369},
  [15730] = {.lex_state = 375},
  [15731] = {.lex_state = 0},
  [15732] = {.lex_state = 375},
  [15733] = {.lex_state = 375},
  [15734] = {.lex_state = 0},
  [15735] = {.lex_state = 0},
  [15736] = {.lex_state = 369},
  [15737] = {.lex_state = 375},
  [15738] = {.lex_state = 375},
  [15739] = {.lex_state = 0},
  [15740] = {.lex_state = 375},
  [15741] = {.lex_state = 375},
  [15742] = {.lex_state = 0},
  [15743] = {.lex_state = 544},
  [15744] = {.lex_state = 0},
  [15745] = {.lex_state = 0},
  [15746] = {.lex_state = 0},
  [15747] = {.lex_state = 375},
  [15748] = {.lex_state = 375},
  [15749] = {.lex_state = 369},
  [15750] = {.lex_state = 375},
  [15751] = {.lex_state = 0},
  [15752] = {.lex_state = 375},
  [15753] = {.lex_state = 282},
  [15754] = {.lex_state = 375},
  [15755] = {.lex_state = 375},
  [15756] = {.lex_state = 375},
  [15757] = {.lex_state = 0},
  [15758] = {.lex_state = 375},
  [15759] = {.lex_state = 375},
  [15760] = {.lex_state = 369},
  [15761] = {.lex_state = 375},
  [15762] = {.lex_state = 375},
  [15763] = {.lex_state = 375},
  [15764] = {.lex_state = 375},
  [15765] = {.lex_state = 375},
  [15766] = {.lex_state = 375},
  [15767] = {.lex_state = 375},
  [15768] = {.lex_state = 375},
  [15769] = {.lex_state = 375},
  [15770] = {.lex_state = 375},
  [15771] = {.lex_state = 375},
  [15772] = {.lex_state = 0},
  [15773] = {.lex_state = 375},
  [15774] = {.lex_state = 375},
  [15775] = {.lex_state = 375},
  [15776] = {.lex_state = 375},
  [15777] = {.lex_state = 375},
  [15778] = {.lex_state = 369},
  [15779] = {.lex_state = 375},
  [15780] = {.lex_state = 0},
  [15781] = {.lex_state = 375},
  [15782] = {.lex_state = 375},
  [15783] = {.lex_state = 375},
  [15784] = {.lex_state = 375},
  [15785] = {.lex_state = 0},
  [15786] = {.lex_state = 375},
  [15787] = {.lex_state = 375},
  [15788] = {.lex_state = 567},
  [15789] = {.lex_state = 0},
  [15790] = {.lex_state = 375},
  [15791] = {.lex_state = 375},
  [15792] = {.lex_state = 0},
  [15793] = {.lex_state = 369},
  [15794] = {.lex_state = 375},
  [15795] = {.lex_state = 369},
  [15796] = {.lex_state = 0},
  [15797] = {.lex_state = 0},
  [15798] = {.lex_state = 375},
  [15799] = {.lex_state = 375},
  [15800] = {.lex_state = 375},
  [15801] = {.lex_state = 375},
  [15802] = {.lex_state = 375},
  [15803] = {.lex_state = 375},
  [15804] = {.lex_state = 375},
  [15805] = {.lex_state = 375},
  [15806] = {.lex_state = 375},
  [15807] = {.lex_state = 375},
  [15808] = {.lex_state = 375},
  [15809] = {.lex_state = 375},
  [15810] = {.lex_state = 375},
  [15811] = {.lex_state = 0},
  [15812] = {.lex_state = 369},
  [15813] = {.lex_state = 375},
  [15814] = {.lex_state = 375},
  [15815] = {.lex_state = 375},
  [15816] = {.lex_state = 375},
  [15817] = {.lex_state = 375},
  [15818] = {.lex_state = 0},
  [15819] = {.lex_state = 0},
  [15820] = {.lex_state = 375},
  [15821] = {.lex_state = 375},
  [15822] = {.lex_state = 375},
  [15823] = {.lex_state = 375},
  [15824] = {.lex_state = 375},
  [15825] = {.lex_state = 375},
  [15826] = {.lex_state = 375},
  [15827] = {.lex_state = 0},
  [15828] = {.lex_state = 0},
  [15829] = {.lex_state = 0},
  [15830] = {.lex_state = 375},
  [15831] = {.lex_state = 375},
  [15832] = {.lex_state = 375},
  [15833] = {.lex_state = 375},
  [15834] = {.lex_state = 375},
  [15835] = {.lex_state = 375},
  [15836] = {.lex_state = 375},
  [15837] = {.lex_state = 375},
  [15838] = {.lex_state = 375},
  [15839] = {.lex_state = 375},
  [15840] = {.lex_state = 375},
  [15841] = {.lex_state = 375},
  [15842] = {.lex_state = 375},
  [15843] = {.lex_state = 375},
  [15844] = {.lex_state = 375},
  [15845] = {.lex_state = 375},
  [15846] = {.lex_state = 0},
  [15847] = {.lex_state = 369},
  [15848] = {.lex_state = 375},
  [15849] = {.lex_state = 375},
  [15850] = {.lex_state = 375},
  [15851] = {.lex_state = 375},
  [15852] = {.lex_state = 348},
  [15853] = {.lex_state = 429, .external_lex_state = 10},
  [15854] = {.lex_state = 429, .external_lex_state = 11},
  [15855] = {.lex_state = 429, .external_lex_state = 12},
  [15856] = {.lex_state = 429, .external_lex_state = 13},
  [15857] = {.lex_state = 429, .external_lex_state = 3},
  [15858] = {.lex_state = 429, .external_lex_state = 10},
  [15859] = {.lex_state = 429, .external_lex_state = 11},
  [15860] = {.lex_state = 429, .external_lex_state = 12},
  [15861] = {.lex_state = 429, .external_lex_state = 13},
  [15862] = {.lex_state = 312},
  [15863] = {.lex_state = 429, .external_lex_state = 10},
  [15864] = {.lex_state = 429, .external_lex_state = 11},
  [15865] = {.lex_state = 429, .external_lex_state = 12},
  [15866] = {.lex_state = 429, .external_lex_state = 13},
  [15867] = {.lex_state = 429, .external_lex_state = 10},
  [15868] = {.lex_state = 429, .external_lex_state = 11},
  [15869] = {.lex_state = 429, .external_lex_state = 12},
  [15870] = {.lex_state = 429, .external_lex_state = 13},
  [15871] = {.lex_state = 429, .external_lex_state = 10},
  [15872] = {.lex_state = 429, .external_lex_state = 11},
  [15873] = {.lex_state = 429, .external_lex_state = 12},
  [15874] = {.lex_state = 429, .external_lex_state = 13},
  [15875] = {.lex_state = 429, .external_lex_state = 10},
  [15876] = {.lex_state = 429, .external_lex_state = 11},
  [15877] = {.lex_state = 429, .external_lex_state = 12},
  [15878] = {.lex_state = 429, .external_lex_state = 13},
  [15879] = {.lex_state = 567},
  [15880] = {.lex_state = 429, .external_lex_state = 10},
  [15881] = {.lex_state = 429, .external_lex_state = 11},
  [15882] = {.lex_state = 429, .external_lex_state = 12},
  [15883] = {.lex_state = 429, .external_lex_state = 13},
  [15884] = {.lex_state = 510},
  [15885] = {.lex_state = 429, .external_lex_state = 10},
  [15886] = {.lex_state = 429, .external_lex_state = 11},
  [15887] = {.lex_state = 429, .external_lex_state = 12},
  [15888] = {.lex_state = 429, .external_lex_state = 13},
  [15889] = {.lex_state = 510},
  [15890] = {.lex_state = 429, .external_lex_state = 10},
  [15891] = {.lex_state = 429, .external_lex_state = 11},
  [15892] = {.lex_state = 429, .external_lex_state = 12},
  [15893] = {.lex_state = 429, .external_lex_state = 13},
  [15894] = {.lex_state = 429, .external_lex_state = 10},
  [15895] = {.lex_state = 429, .external_lex_state = 11},
  [15896] = {.lex_state = 429, .external_lex_state = 12},
  [15897] = {.lex_state = 429, .external_lex_state = 13},
  [15898] = {.lex_state = 429, .external_lex_state = 10},
  [15899] = {.lex_state = 429, .external_lex_state = 11},
  [15900] = {.lex_state = 429, .external_lex_state = 12},
  [15901] = {.lex_state = 429, .external_lex_state = 13},
  [15902] = {.lex_state = 429, .external_lex_state = 10},
  [15903] = {.lex_state = 429, .external_lex_state = 11},
  [15904] = {.lex_state = 429, .external_lex_state = 12},
  [15905] = {.lex_state = 429, .external_lex_state = 13},
  [15906] = {.lex_state = 429, .external_lex_state = 10},
  [15907] = {.lex_state = 429, .external_lex_state = 11},
  [15908] = {.lex_state = 429, .external_lex_state = 12},
  [15909] = {.lex_state = 429, .external_lex_state = 13},
  [15910] = {.lex_state = 312},
  [15911] = {.lex_state = 429, .external_lex_state = 10},
  [15912] = {.lex_state = 429, .external_lex_state = 11},
  [15913] = {.lex_state = 429, .external_lex_state = 12},
  [15914] = {.lex_state = 429, .external_lex_state = 13},
  [15915] = {.lex_state = 429, .external_lex_state = 10},
  [15916] = {.lex_state = 429, .external_lex_state = 11},
  [15917] = {.lex_state = 429, .external_lex_state = 12},
  [15918] = {.lex_state = 429, .external_lex_state = 13},
  [15919] = {.lex_state = 510},
  [15920] = {.lex_state = 429, .external_lex_state = 10},
  [15921] = {.lex_state = 429, .external_lex_state = 11},
  [15922] = {.lex_state = 429, .external_lex_state = 12},
  [15923] = {.lex_state = 429, .external_lex_state = 13},
  [15924] = {.lex_state = 429, .external_lex_state = 10},
  [15925] = {.lex_state = 429, .external_lex_state = 11},
  [15926] = {.lex_state = 429, .external_lex_state = 12},
  [15927] = {.lex_state = 429, .external_lex_state = 13},
  [15928] = {.lex_state = 429, .external_lex_state = 10},
  [15929] = {.lex_state = 429, .external_lex_state = 11},
  [15930] = {.lex_state = 429, .external_lex_state = 12},
  [15931] = {.lex_state = 429, .external_lex_state = 13},
  [15932] = {.lex_state = 429, .external_lex_state = 10},
  [15933] = {.lex_state = 429, .external_lex_state = 10},
  [15934] = {.lex_state = 429, .external_lex_state = 11},
  [15935] = {.lex_state = 429, .external_lex_state = 12},
  [15936] = {.lex_state = 429, .external_lex_state = 13},
  [15937] = {.lex_state = 429, .external_lex_state = 10},
  [15938] = {.lex_state = 429, .external_lex_state = 11},
  [15939] = {.lex_state = 429, .external_lex_state = 12},
  [15940] = {.lex_state = 429, .external_lex_state = 13},
  [15941] = {.lex_state = 429, .external_lex_state = 10},
  [15942] = {.lex_state = 429, .external_lex_state = 11},
  [15943] = {.lex_state = 429, .external_lex_state = 12},
  [15944] = {.lex_state = 429, .external_lex_state = 13},
  [15945] = {.lex_state = 429, .external_lex_state = 11},
  [15946] = {.lex_state = 429, .external_lex_state = 10},
  [15947] = {.lex_state = 429, .external_lex_state = 11},
  [15948] = {.lex_state = 429, .external_lex_state = 12},
  [15949] = {.lex_state = 429, .external_lex_state = 13},
  [15950] = {.lex_state = 429, .external_lex_state = 12},
  [15951] = {.lex_state = 429, .external_lex_state = 10},
  [15952] = {.lex_state = 429, .external_lex_state = 11},
  [15953] = {.lex_state = 429, .external_lex_state = 12},
  [15954] = {.lex_state = 429, .external_lex_state = 13},
  [15955] = {.lex_state = 429, .external_lex_state = 10},
  [15956] = {.lex_state = 429, .external_lex_state = 11},
  [15957] = {.lex_state = 429, .external_lex_state = 12},
  [15958] = {.lex_state = 429, .external_lex_state = 13},
  [15959] = {.lex_state = 429, .external_lex_state = 10},
  [15960] = {.lex_state = 429, .external_lex_state = 11},
  [15961] = {.lex_state = 429, .external_lex_state = 12},
  [15962] = {.lex_state = 429, .external_lex_state = 13},
  [15963] = {.lex_state = 429, .external_lex_state = 13},
  [15964] = {.lex_state = 429, .external_lex_state = 10},
  [15965] = {.lex_state = 429, .external_lex_state = 11},
  [15966] = {.lex_state = 429, .external_lex_state = 12},
  [15967] = {.lex_state = 429, .external_lex_state = 13},
  [15968] = {.lex_state = 429, .external_lex_state = 3},
  [15969] = {.lex_state = 429, .external_lex_state = 10},
  [15970] = {.lex_state = 429, .external_lex_state = 11},
  [15971] = {.lex_state = 429, .external_lex_state = 12},
  [15972] = {.lex_state = 429, .external_lex_state = 13},
  [15973] = {.lex_state = 429, .external_lex_state = 10},
  [15974] = {.lex_state = 429, .external_lex_state = 11},
  [15975] = {.lex_state = 429, .external_lex_state = 12},
  [15976] = {.lex_state = 429, .external_lex_state = 13},
  [15977] = {.lex_state = 429, .external_lex_state = 10},
  [15978] = {.lex_state = 429, .external_lex_state = 10},
  [15979] = {.lex_state = 429, .external_lex_state = 11},
  [15980] = {.lex_state = 429, .external_lex_state = 12},
  [15981] = {.lex_state = 429, .external_lex_state = 13},
  [15982] = {.lex_state = 429, .external_lex_state = 10},
  [15983] = {.lex_state = 429, .external_lex_state = 11},
  [15984] = {.lex_state = 429, .external_lex_state = 12},
  [15985] = {.lex_state = 429, .external_lex_state = 13},
  [15986] = {.lex_state = 429, .external_lex_state = 11},
  [15987] = {.lex_state = 429, .external_lex_state = 10},
  [15988] = {.lex_state = 429, .external_lex_state = 11},
  [15989] = {.lex_state = 429, .external_lex_state = 12},
  [15990] = {.lex_state = 429, .external_lex_state = 13},
  [15991] = {.lex_state = 429, .external_lex_state = 10},
  [15992] = {.lex_state = 429, .external_lex_state = 11},
  [15993] = {.lex_state = 429, .external_lex_state = 12},
  [15994] = {.lex_state = 429, .external_lex_state = 13},
  [15995] = {.lex_state = 429, .external_lex_state = 10},
  [15996] = {.lex_state = 429, .external_lex_state = 11},
  [15997] = {.lex_state = 429, .external_lex_state = 12},
  [15998] = {.lex_state = 429, .external_lex_state = 13},
  [15999] = {.lex_state = 429, .external_lex_state = 10},
  [16000] = {.lex_state = 429, .external_lex_state = 11},
  [16001] = {.lex_state = 429, .external_lex_state = 12},
  [16002] = {.lex_state = 429, .external_lex_state = 13},
  [16003] = {.lex_state = 429, .external_lex_state = 10},
  [16004] = {.lex_state = 429, .external_lex_state = 11},
  [16005] = {.lex_state = 429, .external_lex_state = 12},
  [16006] = {.lex_state = 429, .external_lex_state = 13},
  [16007] = {.lex_state = 429, .external_lex_state = 10},
  [16008] = {.lex_state = 429, .external_lex_state = 11},
  [16009] = {.lex_state = 429, .external_lex_state = 12},
  [16010] = {.lex_state = 429, .external_lex_state = 13},
  [16011] = {.lex_state = 312},
  [16012] = {.lex_state = 429, .external_lex_state = 10},
  [16013] = {.lex_state = 429, .external_lex_state = 11},
  [16014] = {.lex_state = 429, .external_lex_state = 12},
  [16015] = {.lex_state = 429, .external_lex_state = 13},
  [16016] = {.lex_state = 429, .external_lex_state = 10},
  [16017] = {.lex_state = 429, .external_lex_state = 11},
  [16018] = {.lex_state = 429, .external_lex_state = 12},
  [16019] = {.lex_state = 429, .external_lex_state = 13},
  [16020] = {.lex_state = 429, .external_lex_state = 10},
  [16021] = {.lex_state = 429, .external_lex_state = 11},
  [16022] = {.lex_state = 429, .external_lex_state = 12},
  [16023] = {.lex_state = 429, .external_lex_state = 13},
  [16024] = {.lex_state = 429, .external_lex_state = 10},
  [16025] = {.lex_state = 429, .external_lex_state = 11},
  [16026] = {.lex_state = 429, .external_lex_state = 12},
  [16027] = {.lex_state = 429, .external_lex_state = 13},
  [16028] = {.lex_state = 429, .external_lex_state = 12},
  [16029] = {.lex_state = 429, .external_lex_state = 10},
  [16030] = {.lex_state = 429, .external_lex_state = 11},
  [16031] = {.lex_state = 429, .external_lex_state = 12},
  [16032] = {.lex_state = 429, .external_lex_state = 13},
  [16033] = {.lex_state = 429, .external_lex_state = 10},
  [16034] = {.lex_state = 429, .external_lex_state = 11},
  [16035] = {.lex_state = 429, .external_lex_state = 12},
  [16036] = {.lex_state = 429, .external_lex_state = 13},
  [16037] = {.lex_state = 429, .external_lex_state = 10},
  [16038] = {.lex_state = 429, .external_lex_state = 11},
  [16039] = {.lex_state = 429, .external_lex_state = 12},
  [16040] = {.lex_state = 429, .external_lex_state = 13},
  [16041] = {.lex_state = 429, .external_lex_state = 10},
  [16042] = {.lex_state = 429, .external_lex_state = 11},
  [16043] = {.lex_state = 429, .external_lex_state = 12},
  [16044] = {.lex_state = 429, .external_lex_state = 13},
  [16045] = {.lex_state = 429, .external_lex_state = 10},
  [16046] = {.lex_state = 429, .external_lex_state = 11},
  [16047] = {.lex_state = 429, .external_lex_state = 12},
  [16048] = {.lex_state = 429, .external_lex_state = 13},
  [16049] = {.lex_state = 429, .external_lex_state = 10},
  [16050] = {.lex_state = 429, .external_lex_state = 11},
  [16051] = {.lex_state = 429, .external_lex_state = 12},
  [16052] = {.lex_state = 429, .external_lex_state = 13},
  [16053] = {.lex_state = 429, .external_lex_state = 10},
  [16054] = {.lex_state = 429, .external_lex_state = 11},
  [16055] = {.lex_state = 429, .external_lex_state = 12},
  [16056] = {.lex_state = 429, .external_lex_state = 13},
  [16057] = {.lex_state = 429, .external_lex_state = 10},
  [16058] = {.lex_state = 429, .external_lex_state = 11},
  [16059] = {.lex_state = 429, .external_lex_state = 12},
  [16060] = {.lex_state = 429, .external_lex_state = 13},
  [16061] = {.lex_state = 429, .external_lex_state = 13},
  [16062] = {.lex_state = 429, .external_lex_state = 10},
  [16063] = {.lex_state = 429, .external_lex_state = 11},
  [16064] = {.lex_state = 429, .external_lex_state = 12},
  [16065] = {.lex_state = 429, .external_lex_state = 13},
  [16066] = {.lex_state = 429, .external_lex_state = 10},
  [16067] = {.lex_state = 429, .external_lex_state = 11},
  [16068] = {.lex_state = 429, .external_lex_state = 12},
  [16069] = {.lex_state = 429, .external_lex_state = 13},
  [16070] = {.lex_state = 312},
  [16071] = {.lex_state = 429, .external_lex_state = 10},
  [16072] = {.lex_state = 429, .external_lex_state = 11},
  [16073] = {.lex_state = 429, .external_lex_state = 12},
  [16074] = {.lex_state = 429, .external_lex_state = 13},
  [16075] = {.lex_state = 429, .external_lex_state = 10},
  [16076] = {.lex_state = 429, .external_lex_state = 11},
  [16077] = {.lex_state = 429, .external_lex_state = 12},
  [16078] = {.lex_state = 429, .external_lex_state = 13},
  [16079] = {.lex_state = 429, .external_lex_state = 10},
  [16080] = {.lex_state = 429, .external_lex_state = 11},
  [16081] = {.lex_state = 429, .external_lex_state = 12},
  [16082] = {.lex_state = 429, .external_lex_state = 13},
  [16083] = {.lex_state = 429, .external_lex_state = 10},
  [16084] = {.lex_state = 429, .external_lex_state = 11},
  [16085] = {.lex_state = 429, .external_lex_state = 12},
  [16086] = {.lex_state = 429, .external_lex_state = 13},
  [16087] = {.lex_state = 429, .external_lex_state = 10},
  [16088] = {.lex_state = 429, .external_lex_state = 11},
  [16089] = {.lex_state = 429, .external_lex_state = 12},
  [16090] = {.lex_state = 429, .external_lex_state = 13},
  [16091] = {.lex_state = 429, .external_lex_state = 10},
  [16092] = {.lex_state = 429, .external_lex_state = 11},
  [16093] = {.lex_state = 429, .external_lex_state = 12},
  [16094] = {.lex_state = 429, .external_lex_state = 13},
  [16095] = {.lex_state = 429, .external_lex_state = 3},
  [16096] = {.lex_state = 429, .external_lex_state = 10},
  [16097] = {.lex_state = 429, .external_lex_state = 11},
  [16098] = {.lex_state = 429, .external_lex_state = 12},
  [16099] = {.lex_state = 429, .external_lex_state = 13},
  [16100] = {.lex_state = 429, .external_lex_state = 10},
  [16101] = {.lex_state = 429, .external_lex_state = 11},
  [16102] = {.lex_state = 429, .external_lex_state = 12},
  [16103] = {.lex_state = 429, .external_lex_state = 13},
  [16104] = {.lex_state = 312},
  [16105] = {.lex_state = 429, .external_lex_state = 10},
  [16106] = {.lex_state = 429, .external_lex_state = 11},
  [16107] = {.lex_state = 429, .external_lex_state = 12},
  [16108] = {.lex_state = 429, .external_lex_state = 13},
  [16109] = {.lex_state = 429, .external_lex_state = 10},
  [16110] = {.lex_state = 429, .external_lex_state = 11},
  [16111] = {.lex_state = 429, .external_lex_state = 12},
  [16112] = {.lex_state = 429, .external_lex_state = 13},
  [16113] = {.lex_state = 510},
  [16114] = {.lex_state = 429, .external_lex_state = 10},
  [16115] = {.lex_state = 429, .external_lex_state = 11},
  [16116] = {.lex_state = 429, .external_lex_state = 12},
  [16117] = {.lex_state = 429, .external_lex_state = 13},
  [16118] = {.lex_state = 429, .external_lex_state = 10},
  [16119] = {.lex_state = 429, .external_lex_state = 11},
  [16120] = {.lex_state = 429, .external_lex_state = 12},
  [16121] = {.lex_state = 429, .external_lex_state = 13},
  [16122] = {.lex_state = 429, .external_lex_state = 10},
  [16123] = {.lex_state = 429, .external_lex_state = 11},
  [16124] = {.lex_state = 429, .external_lex_state = 12},
  [16125] = {.lex_state = 429, .external_lex_state = 13},
  [16126] = {.lex_state = 429, .external_lex_state = 10},
  [16127] = {.lex_state = 429, .external_lex_state = 11},
  [16128] = {.lex_state = 429, .external_lex_state = 12},
  [16129] = {.lex_state = 429, .external_lex_state = 13},
  [16130] = {.lex_state = 429, .external_lex_state = 10},
  [16131] = {.lex_state = 429, .external_lex_state = 11},
  [16132] = {.lex_state = 429, .external_lex_state = 12},
  [16133] = {.lex_state = 429, .external_lex_state = 13},
  [16134] = {.lex_state = 429, .external_lex_state = 10},
  [16135] = {.lex_state = 429, .external_lex_state = 11},
  [16136] = {.lex_state = 429, .external_lex_state = 12},
  [16137] = {.lex_state = 429, .external_lex_state = 13},
  [16138] = {.lex_state = 312},
  [16139] = {.lex_state = 429, .external_lex_state = 10},
  [16140] = {.lex_state = 429, .external_lex_state = 11},
  [16141] = {.lex_state = 429, .external_lex_state = 12},
  [16142] = {.lex_state = 429, .external_lex_state = 13},
  [16143] = {.lex_state = 429, .external_lex_state = 10},
  [16144] = {.lex_state = 429, .external_lex_state = 11},
  [16145] = {.lex_state = 429, .external_lex_state = 12},
  [16146] = {.lex_state = 429, .external_lex_state = 13},
  [16147] = {.lex_state = 312},
  [16148] = {.lex_state = 429, .external_lex_state = 10},
  [16149] = {.lex_state = 429, .external_lex_state = 11},
  [16150] = {.lex_state = 429, .external_lex_state = 12},
  [16151] = {.lex_state = 429, .external_lex_state = 13},
  [16152] = {.lex_state = 429, .external_lex_state = 10},
  [16153] = {.lex_state = 429, .external_lex_state = 11},
  [16154] = {.lex_state = 429, .external_lex_state = 12},
  [16155] = {.lex_state = 429, .external_lex_state = 13},
  [16156] = {.lex_state = 429, .external_lex_state = 10},
  [16157] = {.lex_state = 429, .external_lex_state = 11},
  [16158] = {.lex_state = 429, .external_lex_state = 12},
  [16159] = {.lex_state = 429, .external_lex_state = 13},
  [16160] = {.lex_state = 429, .external_lex_state = 3},
  [16161] = {.lex_state = 312},
  [16162] = {.lex_state = 312},
  [16163] = {.lex_state = 510},
  [16164] = {.lex_state = 510},
  [16165] = {.lex_state = 510},
  [16166] = {.lex_state = 312},
  [16167] = {.lex_state = 312},
  [16168] = {.lex_state = 312},
  [16169] = {.lex_state = 312},
  [16170] = {.lex_state = 348},
  [16171] = {.lex_state = 312},
  [16172] = {.lex_state = 510},
  [16173] = {.lex_state = 510},
  [16174] = {.lex_state = 510},
  [16175] = {.lex_state = 312},
  [16176] = {.lex_state = 510},
  [16177] = {.lex_state = 312},
  [16178] = {.lex_state = 429, .external_lex_state = 7},
  [16179] = {.lex_state = 429, .external_lex_state = 10},
  [16180] = {.lex_state = 429, .external_lex_state = 11},
  [16181] = {.lex_state = 510},
  [16182] = {.lex_state = 368},
  [16183] = {.lex_state = 429, .external_lex_state = 12},
  [16184] = {.lex_state = 429, .external_lex_state = 13},
  [16185] = {.lex_state = 429, .external_lex_state = 10},
  [16186] = {.lex_state = 429, .external_lex_state = 11},
  [16187] = {.lex_state = 429, .external_lex_state = 12},
  [16188] = {.lex_state = 429, .external_lex_state = 13},
  [16189] = {.lex_state = 312},
  [16190] = {.lex_state = 0},
  [16191] = {.lex_state = 0},
  [16192] = {.lex_state = 312},
  [16193] = {.lex_state = 510},
  [16194] = {.lex_state = 510},
  [16195] = {.lex_state = 368},
  [16196] = {.lex_state = 312},
  [16197] = {.lex_state = 312},
  [16198] = {.lex_state = 429, .external_lex_state = 10},
  [16199] = {.lex_state = 429, .external_lex_state = 11},
  [16200] = {.lex_state = 312},
  [16201] = {.lex_state = 429, .external_lex_state = 12},
  [16202] = {.lex_state = 368},
  [16203] = {.lex_state = 429, .external_lex_state = 13},
  [16204] = {.lex_state = 429, .external_lex_state = 10},
  [16205] = {.lex_state = 429, .external_lex_state = 11},
  [16206] = {.lex_state = 429, .external_lex_state = 10},
  [16207] = {.lex_state = 429, .external_lex_state = 11},
  [16208] = {.lex_state = 429, .external_lex_state = 12},
  [16209] = {.lex_state = 312},
  [16210] = {.lex_state = 312},
  [16211] = {.lex_state = 368},
  [16212] = {.lex_state = 429, .external_lex_state = 13},
  [16213] = {.lex_state = 312},
  [16214] = {.lex_state = 429, .external_lex_state = 12},
  [16215] = {.lex_state = 312},
  [16216] = {.lex_state = 429, .external_lex_state = 13},
  [16217] = {.lex_state = 312},
  [16218] = {.lex_state = 312},
  [16219] = {.lex_state = 429, .external_lex_state = 13},
  [16220] = {.lex_state = 312},
  [16221] = {.lex_state = 312},
  [16222] = {.lex_state = 429, .external_lex_state = 10},
  [16223] = {.lex_state = 429, .external_lex_state = 11},
  [16224] = {.lex_state = 429, .external_lex_state = 12},
  [16225] = {.lex_state = 429, .external_lex_state = 13},
  [16226] = {.lex_state = 510},
  [16227] = {.lex_state = 510},
  [16228] = {.lex_state = 312},
  [16229] = {.lex_state = 510},
  [16230] = {.lex_state = 312},
  [16231] = {.lex_state = 312},
  [16232] = {.lex_state = 429, .external_lex_state = 10},
  [16233] = {.lex_state = 429, .external_lex_state = 11},
  [16234] = {.lex_state = 312},
  [16235] = {.lex_state = 429, .external_lex_state = 12},
  [16236] = {.lex_state = 312},
  [16237] = {.lex_state = 429, .external_lex_state = 13},
  [16238] = {.lex_state = 312},
  [16239] = {.lex_state = 510},
  [16240] = {.lex_state = 510},
  [16241] = {.lex_state = 429, .external_lex_state = 8},
  [16242] = {.lex_state = 312},
  [16243] = {.lex_state = 312},
  [16244] = {.lex_state = 429, .external_lex_state = 10},
  [16245] = {.lex_state = 429, .external_lex_state = 11},
  [16246] = {.lex_state = 429, .external_lex_state = 12},
  [16247] = {.lex_state = 510},
  [16248] = {.lex_state = 312},
  [16249] = {.lex_state = 429, .external_lex_state = 13},
  [16250] = {.lex_state = 429, .external_lex_state = 10},
  [16251] = {.lex_state = 429, .external_lex_state = 11},
  [16252] = {.lex_state = 312},
  [16253] = {.lex_state = 312},
  [16254] = {.lex_state = 312},
  [16255] = {.lex_state = 510},
  [16256] = {.lex_state = 429, .external_lex_state = 12},
  [16257] = {.lex_state = 429, .external_lex_state = 13},
  [16258] = {.lex_state = 312},
  [16259] = {.lex_state = 429, .external_lex_state = 10},
  [16260] = {.lex_state = 429, .external_lex_state = 10},
  [16261] = {.lex_state = 429, .external_lex_state = 11},
  [16262] = {.lex_state = 429, .external_lex_state = 12},
  [16263] = {.lex_state = 429, .external_lex_state = 13},
  [16264] = {.lex_state = 312},
  [16265] = {.lex_state = 510},
  [16266] = {.lex_state = 312},
  [16267] = {.lex_state = 312},
  [16268] = {.lex_state = 429, .external_lex_state = 10},
  [16269] = {.lex_state = 312},
  [16270] = {.lex_state = 312},
  [16271] = {.lex_state = 429, .external_lex_state = 11},
  [16272] = {.lex_state = 429, .external_lex_state = 11},
  [16273] = {.lex_state = 429, .external_lex_state = 10},
  [16274] = {.lex_state = 429, .external_lex_state = 11},
  [16275] = {.lex_state = 429, .external_lex_state = 5},
  [16276] = {.lex_state = 510},
  [16277] = {.lex_state = 429, .external_lex_state = 12},
  [16278] = {.lex_state = 312},
  [16279] = {.lex_state = 429, .external_lex_state = 12},
  [16280] = {.lex_state = 312},
  [16281] = {.lex_state = 429, .external_lex_state = 13},
  [16282] = {.lex_state = 510},
  [16283] = {.lex_state = 312},
  [16284] = {.lex_state = 429, .external_lex_state = 13},
  [16285] = {.lex_state = 429, .external_lex_state = 12},
  [16286] = {.lex_state = 429, .external_lex_state = 13},
  [16287] = {.lex_state = 429, .external_lex_state = 10},
  [16288] = {.lex_state = 429, .external_lex_state = 11},
  [16289] = {.lex_state = 429, .external_lex_state = 12},
  [16290] = {.lex_state = 429, .external_lex_state = 13},
  [16291] = {.lex_state = 312},
  [16292] = {.lex_state = 312},
  [16293] = {.lex_state = 312},
  [16294] = {.lex_state = 312},
  [16295] = {.lex_state = 312},
  [16296] = {.lex_state = 312},
  [16297] = {.lex_state = 312},
  [16298] = {.lex_state = 312},
  [16299] = {.lex_state = 312},
  [16300] = {.lex_state = 429, .external_lex_state = 10},
  [16301] = {.lex_state = 429, .external_lex_state = 11},
  [16302] = {.lex_state = 312},
  [16303] = {.lex_state = 312},
  [16304] = {.lex_state = 312},
  [16305] = {.lex_state = 312},
  [16306] = {.lex_state = 429, .external_lex_state = 10},
  [16307] = {.lex_state = 510},
  [16308] = {.lex_state = 510},
  [16309] = {.lex_state = 429, .external_lex_state = 10},
  [16310] = {.lex_state = 429, .external_lex_state = 11},
  [16311] = {.lex_state = 429, .external_lex_state = 12},
  [16312] = {.lex_state = 429, .external_lex_state = 13},
  [16313] = {.lex_state = 312},
  [16314] = {.lex_state = 312},
  [16315] = {.lex_state = 312},
  [16316] = {.lex_state = 312},
  [16317] = {.lex_state = 429, .external_lex_state = 11},
  [16318] = {.lex_state = 510},
  [16319] = {.lex_state = 429, .external_lex_state = 10},
  [16320] = {.lex_state = 429, .external_lex_state = 11},
  [16321] = {.lex_state = 429, .external_lex_state = 12},
  [16322] = {.lex_state = 429, .external_lex_state = 6},
  [16323] = {.lex_state = 429, .external_lex_state = 13},
  [16324] = {.lex_state = 510},
  [16325] = {.lex_state = 510},
  [16326] = {.lex_state = 429, .external_lex_state = 12},
  [16327] = {.lex_state = 429, .external_lex_state = 10},
  [16328] = {.lex_state = 429, .external_lex_state = 11},
  [16329] = {.lex_state = 429, .external_lex_state = 12},
  [16330] = {.lex_state = 510},
  [16331] = {.lex_state = 429, .external_lex_state = 13},
  [16332] = {.lex_state = 429, .external_lex_state = 13},
  [16333] = {.lex_state = 429, .external_lex_state = 12},
  [16334] = {.lex_state = 312},
  [16335] = {.lex_state = 0},
  [16336] = {.lex_state = 312},
  [16337] = {.lex_state = 429, .external_lex_state = 10},
  [16338] = {.lex_state = 312},
  [16339] = {.lex_state = 429, .external_lex_state = 11},
  [16340] = {.lex_state = 312},
  [16341] = {.lex_state = 510},
  [16342] = {.lex_state = 312},
  [16343] = {.lex_state = 312},
  [16344] = {.lex_state = 510},
  [16345] = {.lex_state = 348},
  [16346] = {.lex_state = 312},
  [16347] = {.lex_state = 510},
  [16348] = {.lex_state = 510},
  [16349] = {.lex_state = 429, .external_lex_state = 12},
  [16350] = {.lex_state = 510},
  [16351] = {.lex_state = 510},
  [16352] = {.lex_state = 312},
  [16353] = {.lex_state = 0},
  [16354] = {.lex_state = 368},
  [16355] = {.lex_state = 429, .external_lex_state = 13},
  [16356] = {.lex_state = 0},
  [16357] = {.lex_state = 0},
  [16358] = {.lex_state = 429, .external_lex_state = 10},
  [16359] = {.lex_state = 510},
  [16360] = {.lex_state = 510},
  [16361] = {.lex_state = 368},
  [16362] = {.lex_state = 429, .external_lex_state = 11},
  [16363] = {.lex_state = 429, .external_lex_state = 12},
  [16364] = {.lex_state = 368},
  [16365] = {.lex_state = 429, .external_lex_state = 13},
  [16366] = {.lex_state = 429, .external_lex_state = 10},
  [16367] = {.lex_state = 429, .external_lex_state = 11},
  [16368] = {.lex_state = 429, .external_lex_state = 12},
  [16369] = {.lex_state = 510},
  [16370] = {.lex_state = 429, .external_lex_state = 13},
  [16371] = {.lex_state = 312},
  [16372] = {.lex_state = 312},
  [16373] = {.lex_state = 312},
  [16374] = {.lex_state = 312},
  [16375] = {.lex_state = 312},
  [16376] = {.lex_state = 429, .external_lex_state = 6},
  [16377] = {.lex_state = 429, .external_lex_state = 10},
  [16378] = {.lex_state = 429, .external_lex_state = 11},
  [16379] = {.lex_state = 510},
  [16380] = {.lex_state = 510},
  [16381] = {.lex_state = 368},
  [16382] = {.lex_state = 429, .external_lex_state = 12},
  [16383] = {.lex_state = 312},
  [16384] = {.lex_state = 0},
  [16385] = {.lex_state = 0},
  [16386] = {.lex_state = 429, .external_lex_state = 13},
  [16387] = {.lex_state = 510},
  [16388] = {.lex_state = 510},
  [16389] = {.lex_state = 368},
  [16390] = {.lex_state = 429, .external_lex_state = 10},
  [16391] = {.lex_state = 312},
  [16392] = {.lex_state = 368},
  [16393] = {.lex_state = 510},
  [16394] = {.lex_state = 312},
  [16395] = {.lex_state = 312},
  [16396] = {.lex_state = 429, .external_lex_state = 10},
  [16397] = {.lex_state = 429, .external_lex_state = 11},
  [16398] = {.lex_state = 429, .external_lex_state = 10},
  [16399] = {.lex_state = 429, .external_lex_state = 12},
  [16400] = {.lex_state = 429, .external_lex_state = 13},
  [16401] = {.lex_state = 429, .external_lex_state = 11},
  [16402] = {.lex_state = 312},
  [16403] = {.lex_state = 429, .external_lex_state = 12},
  [16404] = {.lex_state = 348},
  [16405] = {.lex_state = 312},
  [16406] = {.lex_state = 429, .external_lex_state = 13},
  [16407] = {.lex_state = 312},
  [16408] = {.lex_state = 312},
  [16409] = {.lex_state = 312},
  [16410] = {.lex_state = 312},
  [16411] = {.lex_state = 429, .external_lex_state = 9},
  [16412] = {.lex_state = 510},
  [16413] = {.lex_state = 429, .external_lex_state = 13},
  [16414] = {.lex_state = 368},
  [16415] = {.lex_state = 429, .external_lex_state = 10},
  [16416] = {.lex_state = 0},
  [16417] = {.lex_state = 0},
  [16418] = {.lex_state = 429, .external_lex_state = 11},
  [16419] = {.lex_state = 510},
  [16420] = {.lex_state = 510},
  [16421] = {.lex_state = 368},
  [16422] = {.lex_state = 429, .external_lex_state = 12},
  [16423] = {.lex_state = 510},
  [16424] = {.lex_state = 368},
  [16425] = {.lex_state = 429, .external_lex_state = 11},
  [16426] = {.lex_state = 429, .external_lex_state = 12},
  [16427] = {.lex_state = 429, .external_lex_state = 13},
  [16428] = {.lex_state = 312},
  [16429] = {.lex_state = 429, .external_lex_state = 10},
  [16430] = {.lex_state = 312},
  [16431] = {.lex_state = 312},
  [16432] = {.lex_state = 544},
  [16433] = {.lex_state = 429, .external_lex_state = 5},
  [16434] = {.lex_state = 348},
  [16435] = {.lex_state = 312},
  [16436] = {.lex_state = 567},
  [16437] = {.lex_state = 510},
  [16438] = {.lex_state = 312},
  [16439] = {.lex_state = 510},
  [16440] = {.lex_state = 510},
  [16441] = {.lex_state = 312},
  [16442] = {.lex_state = 368},
  [16443] = {.lex_state = 0},
  [16444] = {.lex_state = 0},
  [16445] = {.lex_state = 312},
  [16446] = {.lex_state = 510},
  [16447] = {.lex_state = 510},
  [16448] = {.lex_state = 368},
  [16449] = {.lex_state = 429, .external_lex_state = 10},
  [16450] = {.lex_state = 429, .external_lex_state = 11},
  [16451] = {.lex_state = 368},
  [16452] = {.lex_state = 429, .external_lex_state = 12},
  [16453] = {.lex_state = 429, .external_lex_state = 13},
  [16454] = {.lex_state = 429, .external_lex_state = 10},
  [16455] = {.lex_state = 429, .external_lex_state = 10},
  [16456] = {.lex_state = 429, .external_lex_state = 11},
  [16457] = {.lex_state = 429, .external_lex_state = 12},
  [16458] = {.lex_state = 429, .external_lex_state = 13},
  [16459] = {.lex_state = 348},
  [16460] = {.lex_state = 429, .external_lex_state = 11},
  [16461] = {.lex_state = 312},
  [16462] = {.lex_state = 312},
  [16463] = {.lex_state = 312},
  [16464] = {.lex_state = 510},
  [16465] = {.lex_state = 510},
  [16466] = {.lex_state = 312},
  [16467] = {.lex_state = 510},
  [16468] = {.lex_state = 368},
  [16469] = {.lex_state = 429, .external_lex_state = 12},
  [16470] = {.lex_state = 0},
  [16471] = {.lex_state = 0},
  [16472] = {.lex_state = 429, .external_lex_state = 13},
  [16473] = {.lex_state = 510},
  [16474] = {.lex_state = 510},
  [16475] = {.lex_state = 368},
  [16476] = {.lex_state = 312},
  [16477] = {.lex_state = 312},
  [16478] = {.lex_state = 368},
  [16479] = {.lex_state = 312},
  [16480] = {.lex_state = 312},
  [16481] = {.lex_state = 312},
  [16482] = {.lex_state = 348},
  [16483] = {.lex_state = 312},
  [16484] = {.lex_state = 510},
  [16485] = {.lex_state = 312},
  [16486] = {.lex_state = 368},
  [16487] = {.lex_state = 510},
  [16488] = {.lex_state = 312},
  [16489] = {.lex_state = 368},
  [16490] = {.lex_state = 510},
  [16491] = {.lex_state = 0},
  [16492] = {.lex_state = 0},
  [16493] = {.lex_state = 312},
  [16494] = {.lex_state = 510},
  [16495] = {.lex_state = 510},
  [16496] = {.lex_state = 368},
  [16497] = {.lex_state = 312},
  [16498] = {.lex_state = 510},
  [16499] = {.lex_state = 368},
  [16500] = {.lex_state = 510},
  [16501] = {.lex_state = 429, .external_lex_state = 10},
  [16502] = {.lex_state = 429, .external_lex_state = 11},
  [16503] = {.lex_state = 348},
  [16504] = {.lex_state = 510},
  [16505] = {.lex_state = 429, .external_lex_state = 12},
  [16506] = {.lex_state = 510},
  [16507] = {.lex_state = 510},
  [16508] = {.lex_state = 429, .external_lex_state = 13},
  [16509] = {.lex_state = 368},
  [16510] = {.lex_state = 0},
  [16511] = {.lex_state = 0},
  [16512] = {.lex_state = 429, .external_lex_state = 13},
  [16513] = {.lex_state = 510},
  [16514] = {.lex_state = 510},
  [16515] = {.lex_state = 368},
  [16516] = {.lex_state = 429, .external_lex_state = 10},
  [16517] = {.lex_state = 429, .external_lex_state = 11},
  [16518] = {.lex_state = 368},
  [16519] = {.lex_state = 429, .external_lex_state = 12},
  [16520] = {.lex_state = 429, .external_lex_state = 13},
  [16521] = {.lex_state = 348},
  [16522] = {.lex_state = 429, .external_lex_state = 10},
  [16523] = {.lex_state = 429, .external_lex_state = 3},
  [16524] = {.lex_state = 429, .external_lex_state = 10},
  [16525] = {.lex_state = 429, .external_lex_state = 11},
  [16526] = {.lex_state = 429, .external_lex_state = 12},
  [16527] = {.lex_state = 510},
  [16528] = {.lex_state = 429, .external_lex_state = 13},
  [16529] = {.lex_state = 312},
  [16530] = {.lex_state = 368},
  [16531] = {.lex_state = 429, .external_lex_state = 3},
  [16532] = {.lex_state = 0},
  [16533] = {.lex_state = 0},
  [16534] = {.lex_state = 312},
  [16535] = {.lex_state = 510},
  [16536] = {.lex_state = 510},
  [16537] = {.lex_state = 368},
  [16538] = {.lex_state = 312},
  [16539] = {.lex_state = 429, .external_lex_state = 10},
  [16540] = {.lex_state = 368},
  [16541] = {.lex_state = 429, .external_lex_state = 11},
  [16542] = {.lex_state = 429, .external_lex_state = 12},
  [16543] = {.lex_state = 348},
  [16544] = {.lex_state = 312},
  [16545] = {.lex_state = 312},
  [16546] = {.lex_state = 312},
  [16547] = {.lex_state = 429, .external_lex_state = 11},
  [16548] = {.lex_state = 510},
  [16549] = {.lex_state = 312},
  [16550] = {.lex_state = 368},
  [16551] = {.lex_state = 0},
  [16552] = {.lex_state = 0},
  [16553] = {.lex_state = 429, .external_lex_state = 13},
  [16554] = {.lex_state = 510},
  [16555] = {.lex_state = 510},
  [16556] = {.lex_state = 368},
  [16557] = {.lex_state = 429, .external_lex_state = 12},
  [16558] = {.lex_state = 312},
  [16559] = {.lex_state = 368},
  [16560] = {.lex_state = 510},
  [16561] = {.lex_state = 348},
  [16562] = {.lex_state = 312},
  [16563] = {.lex_state = 312},
  [16564] = {.lex_state = 429, .external_lex_state = 13},
  [16565] = {.lex_state = 312},
  [16566] = {.lex_state = 312},
  [16567] = {.lex_state = 312},
  [16568] = {.lex_state = 510},
  [16569] = {.lex_state = 368},
  [16570] = {.lex_state = 510},
  [16571] = {.lex_state = 368},
  [16572] = {.lex_state = 0},
  [16573] = {.lex_state = 0},
  [16574] = {.lex_state = 429, .external_lex_state = 10},
  [16575] = {.lex_state = 510},
  [16576] = {.lex_state = 510},
  [16577] = {.lex_state = 368},
  [16578] = {.lex_state = 429, .external_lex_state = 10},
  [16579] = {.lex_state = 368},
  [16580] = {.lex_state = 510},
  [16581] = {.lex_state = 510},
  [16582] = {.lex_state = 0},
  [16583] = {.lex_state = 0},
  [16584] = {.lex_state = 510},
  [16585] = {.lex_state = 312},
  [16586] = {.lex_state = 510},
  [16587] = {.lex_state = 0},
  [16588] = {.lex_state = 0},
  [16589] = {.lex_state = 429, .external_lex_state = 11},
  [16590] = {.lex_state = 429, .external_lex_state = 10},
  [16591] = {.lex_state = 312},
  [16592] = {.lex_state = 429, .external_lex_state = 11},
  [16593] = {.lex_state = 0},
  [16594] = {.lex_state = 0},
  [16595] = {.lex_state = 429, .external_lex_state = 12},
  [16596] = {.lex_state = 429, .external_lex_state = 13},
  [16597] = {.lex_state = 312},
  [16598] = {.lex_state = 312},
  [16599] = {.lex_state = 0},
  [16600] = {.lex_state = 0},
  [16601] = {.lex_state = 429, .external_lex_state = 11},
  [16602] = {.lex_state = 510},
  [16603] = {.lex_state = 429, .external_lex_state = 10},
  [16604] = {.lex_state = 312},
  [16605] = {.lex_state = 0},
  [16606] = {.lex_state = 0},
  [16607] = {.lex_state = 429, .external_lex_state = 7},
  [16608] = {.lex_state = 312},
  [16609] = {.lex_state = 510},
  [16610] = {.lex_state = 429, .external_lex_state = 11},
  [16611] = {.lex_state = 0},
  [16612] = {.lex_state = 0},
  [16613] = {.lex_state = 429, .external_lex_state = 10},
  [16614] = {.lex_state = 429, .external_lex_state = 11},
  [16615] = {.lex_state = 429, .external_lex_state = 12},
  [16616] = {.lex_state = 429, .external_lex_state = 13},
  [16617] = {.lex_state = 429, .external_lex_state = 12},
  [16618] = {.lex_state = 0},
  [16619] = {.lex_state = 0},
  [16620] = {.lex_state = 429, .external_lex_state = 13},
  [16621] = {.lex_state = 429, .external_lex_state = 10},
  [16622] = {.lex_state = 429, .external_lex_state = 10},
  [16623] = {.lex_state = 0},
  [16624] = {.lex_state = 0},
  [16625] = {.lex_state = 429, .external_lex_state = 11},
  [16626] = {.lex_state = 429, .external_lex_state = 12},
  [16627] = {.lex_state = 429, .external_lex_state = 11},
  [16628] = {.lex_state = 312},
  [16629] = {.lex_state = 429, .external_lex_state = 12},
  [16630] = {.lex_state = 0},
  [16631] = {.lex_state = 0},
  [16632] = {.lex_state = 429, .external_lex_state = 10},
  [16633] = {.lex_state = 429, .external_lex_state = 11},
  [16634] = {.lex_state = 429, .external_lex_state = 13},
  [16635] = {.lex_state = 0},
  [16636] = {.lex_state = 0},
  [16637] = {.lex_state = 429, .external_lex_state = 12},
  [16638] = {.lex_state = 429, .external_lex_state = 13},
  [16639] = {.lex_state = 0},
  [16640] = {.lex_state = 0},
  [16641] = {.lex_state = 429, .external_lex_state = 12},
  [16642] = {.lex_state = 510},
  [16643] = {.lex_state = 0},
  [16644] = {.lex_state = 0},
  [16645] = {.lex_state = 429, .external_lex_state = 13},
  [16646] = {.lex_state = 429, .external_lex_state = 13},
  [16647] = {.lex_state = 0},
  [16648] = {.lex_state = 0},
  [16649] = {.lex_state = 429, .external_lex_state = 12},
  [16650] = {.lex_state = 429, .external_lex_state = 13},
  [16651] = {.lex_state = 0},
  [16652] = {.lex_state = 0},
  [16653] = {.lex_state = 429, .external_lex_state = 10},
  [16654] = {.lex_state = 312},
  [16655] = {.lex_state = 0},
  [16656] = {.lex_state = 0},
  [16657] = {.lex_state = 510},
  [16658] = {.lex_state = 429, .external_lex_state = 11},
  [16659] = {.lex_state = 429, .external_lex_state = 12},
  [16660] = {.lex_state = 0},
  [16661] = {.lex_state = 0},
  [16662] = {.lex_state = 510},
  [16663] = {.lex_state = 510},
  [16664] = {.lex_state = 0},
  [16665] = {.lex_state = 0},
  [16666] = {.lex_state = 312},
  [16667] = {.lex_state = 510},
  [16668] = {.lex_state = 312},
  [16669] = {.lex_state = 0},
  [16670] = {.lex_state = 0},
  [16671] = {.lex_state = 312},
  [16672] = {.lex_state = 312},
  [16673] = {.lex_state = 0},
  [16674] = {.lex_state = 0},
  [16675] = {.lex_state = 429, .external_lex_state = 11},
  [16676] = {.lex_state = 312},
  [16677] = {.lex_state = 0},
  [16678] = {.lex_state = 0},
  [16679] = {.lex_state = 368},
  [16680] = {.lex_state = 429, .external_lex_state = 13},
  [16681] = {.lex_state = 510},
  [16682] = {.lex_state = 0},
  [16683] = {.lex_state = 0},
  [16684] = {.lex_state = 312},
  [16685] = {.lex_state = 312},
  [16686] = {.lex_state = 312},
  [16687] = {.lex_state = 429, .external_lex_state = 10},
  [16688] = {.lex_state = 0},
  [16689] = {.lex_state = 0},
  [16690] = {.lex_state = 429, .external_lex_state = 10},
  [16691] = {.lex_state = 429, .external_lex_state = 11},
  [16692] = {.lex_state = 429, .external_lex_state = 12},
  [16693] = {.lex_state = 0},
  [16694] = {.lex_state = 0},
  [16695] = {.lex_state = 429, .external_lex_state = 13},
  [16696] = {.lex_state = 429, .external_lex_state = 10},
  [16697] = {.lex_state = 0},
  [16698] = {.lex_state = 0},
  [16699] = {.lex_state = 429, .external_lex_state = 11},
  [16700] = {.lex_state = 429, .external_lex_state = 12},
  [16701] = {.lex_state = 0},
  [16702] = {.lex_state = 0},
  [16703] = {.lex_state = 429, .external_lex_state = 13},
  [16704] = {.lex_state = 429, .external_lex_state = 10},
  [16705] = {.lex_state = 0},
  [16706] = {.lex_state = 0},
  [16707] = {.lex_state = 429, .external_lex_state = 11},
  [16708] = {.lex_state = 429, .external_lex_state = 12},
  [16709] = {.lex_state = 312},
  [16710] = {.lex_state = 0},
  [16711] = {.lex_state = 0},
  [16712] = {.lex_state = 429, .external_lex_state = 13},
  [16713] = {.lex_state = 312},
  [16714] = {.lex_state = 0},
  [16715] = {.lex_state = 0},
  [16716] = {.lex_state = 312},
  [16717] = {.lex_state = 429, .external_lex_state = 12},
  [16718] = {.lex_state = 0},
  [16719] = {.lex_state = 0},
  [16720] = {.lex_state = 312},
  [16721] = {.lex_state = 312},
  [16722] = {.lex_state = 0},
  [16723] = {.lex_state = 0},
  [16724] = {.lex_state = 510},
  [16725] = {.lex_state = 312},
  [16726] = {.lex_state = 312},
  [16727] = {.lex_state = 0},
  [16728] = {.lex_state = 0},
  [16729] = {.lex_state = 510},
  [16730] = {.lex_state = 429, .external_lex_state = 6},
  [16731] = {.lex_state = 429, .external_lex_state = 11},
  [16732] = {.lex_state = 0},
  [16733] = {.lex_state = 0},
  [16734] = {.lex_state = 312},
  [16735] = {.lex_state = 429, .external_lex_state = 13},
  [16736] = {.lex_state = 312},
  [16737] = {.lex_state = 0},
  [16738] = {.lex_state = 0},
  [16739] = {.lex_state = 429, .external_lex_state = 10},
  [16740] = {.lex_state = 429, .external_lex_state = 11},
  [16741] = {.lex_state = 0},
  [16742] = {.lex_state = 0},
  [16743] = {.lex_state = 510},
  [16744] = {.lex_state = 429, .external_lex_state = 12},
  [16745] = {.lex_state = 312},
  [16746] = {.lex_state = 0},
  [16747] = {.lex_state = 0},
  [16748] = {.lex_state = 429, .external_lex_state = 10},
  [16749] = {.lex_state = 429, .external_lex_state = 11},
  [16750] = {.lex_state = 0},
  [16751] = {.lex_state = 0},
  [16752] = {.lex_state = 429, .external_lex_state = 12},
  [16753] = {.lex_state = 429, .external_lex_state = 13},
  [16754] = {.lex_state = 0},
  [16755] = {.lex_state = 0},
  [16756] = {.lex_state = 429, .external_lex_state = 13},
  [16757] = {.lex_state = 312},
  [16758] = {.lex_state = 429, .external_lex_state = 12},
  [16759] = {.lex_state = 0},
  [16760] = {.lex_state = 0},
  [16761] = {.lex_state = 429, .external_lex_state = 10},
  [16762] = {.lex_state = 429, .external_lex_state = 11},
  [16763] = {.lex_state = 0},
  [16764] = {.lex_state = 0},
  [16765] = {.lex_state = 429, .external_lex_state = 12},
  [16766] = {.lex_state = 429, .external_lex_state = 13},
  [16767] = {.lex_state = 0},
  [16768] = {.lex_state = 0},
  [16769] = {.lex_state = 312},
  [16770] = {.lex_state = 312},
  [16771] = {.lex_state = 312},
  [16772] = {.lex_state = 0},
  [16773] = {.lex_state = 0},
  [16774] = {.lex_state = 312},
  [16775] = {.lex_state = 429, .external_lex_state = 8},
  [16776] = {.lex_state = 0},
  [16777] = {.lex_state = 0},
  [16778] = {.lex_state = 429, .external_lex_state = 3},
  [16779] = {.lex_state = 312},
  [16780] = {.lex_state = 0},
  [16781] = {.lex_state = 0},
  [16782] = {.lex_state = 510},
  [16783] = {.lex_state = 429, .external_lex_state = 13},
  [16784] = {.lex_state = 0},
  [16785] = {.lex_state = 0},
  [16786] = {.lex_state = 429, .external_lex_state = 10},
  [16787] = {.lex_state = 429, .external_lex_state = 11},
  [16788] = {.lex_state = 0},
  [16789] = {.lex_state = 0},
  [16790] = {.lex_state = 429, .external_lex_state = 12},
  [16791] = {.lex_state = 429, .external_lex_state = 13},
  [16792] = {.lex_state = 567},
  [16793] = {.lex_state = 0},
  [16794] = {.lex_state = 0},
  [16795] = {.lex_state = 312},
  [16796] = {.lex_state = 510},
  [16797] = {.lex_state = 429, .external_lex_state = 10},
  [16798] = {.lex_state = 0},
  [16799] = {.lex_state = 0},
  [16800] = {.lex_state = 429, .external_lex_state = 11},
  [16801] = {.lex_state = 312},
  [16802] = {.lex_state = 0},
  [16803] = {.lex_state = 0},
  [16804] = {.lex_state = 429, .external_lex_state = 12},
  [16805] = {.lex_state = 510},
  [16806] = {.lex_state = 0},
  [16807] = {.lex_state = 0},
  [16808] = {.lex_state = 312},
  [16809] = {.lex_state = 510},
  [16810] = {.lex_state = 0},
  [16811] = {.lex_state = 0},
  [16812] = {.lex_state = 429, .external_lex_state = 13},
  [16813] = {.lex_state = 429, .external_lex_state = 10},
  [16814] = {.lex_state = 0},
  [16815] = {.lex_state = 0},
  [16816] = {.lex_state = 0},
  [16817] = {.lex_state = 0},
  [16818] = {.lex_state = 0},
  [16819] = {.lex_state = 0},
  [16820] = {.lex_state = 0},
  [16821] = {.lex_state = 0},
  [16822] = {.lex_state = 0},
  [16823] = {.lex_state = 0},
  [16824] = {.lex_state = 0},
  [16825] = {.lex_state = 0},
  [16826] = {.lex_state = 0},
  [16827] = {.lex_state = 0},
  [16828] = {.lex_state = 0},
  [16829] = {.lex_state = 0},
  [16830] = {.lex_state = 0},
  [16831] = {.lex_state = 0},
  [16832] = {.lex_state = 0},
  [16833] = {.lex_state = 0},
  [16834] = {.lex_state = 0},
  [16835] = {.lex_state = 0},
  [16836] = {.lex_state = 429, .external_lex_state = 3},
  [16837] = {.lex_state = 0},
  [16838] = {.lex_state = 0},
  [16839] = {.lex_state = 0},
  [16840] = {.lex_state = 0},
  [16841] = {.lex_state = 0},
  [16842] = {.lex_state = 0},
  [16843] = {.lex_state = 0},
  [16844] = {.lex_state = 0},
  [16845] = {.lex_state = 0},
  [16846] = {.lex_state = 0},
  [16847] = {.lex_state = 0},
  [16848] = {.lex_state = 0},
  [16849] = {.lex_state = 0},
  [16850] = {.lex_state = 0},
  [16851] = {.lex_state = 0},
  [16852] = {.lex_state = 0},
  [16853] = {.lex_state = 0},
  [16854] = {.lex_state = 0},
  [16855] = {.lex_state = 0},
  [16856] = {.lex_state = 0},
  [16857] = {.lex_state = 0},
  [16858] = {.lex_state = 0},
  [16859] = {.lex_state = 0},
  [16860] = {.lex_state = 0},
  [16861] = {.lex_state = 0},
  [16862] = {.lex_state = 0},
  [16863] = {.lex_state = 0},
  [16864] = {.lex_state = 0},
  [16865] = {.lex_state = 0},
  [16866] = {.lex_state = 0},
  [16867] = {.lex_state = 0},
  [16868] = {.lex_state = 0},
  [16869] = {.lex_state = 0},
  [16870] = {.lex_state = 0},
  [16871] = {.lex_state = 0},
  [16872] = {.lex_state = 0},
  [16873] = {.lex_state = 0},
  [16874] = {.lex_state = 0},
  [16875] = {.lex_state = 0},
  [16876] = {.lex_state = 0},
  [16877] = {.lex_state = 0},
  [16878] = {.lex_state = 0},
  [16879] = {.lex_state = 0},
  [16880] = {.lex_state = 0},
  [16881] = {.lex_state = 0},
  [16882] = {.lex_state = 0},
  [16883] = {.lex_state = 0},
  [16884] = {.lex_state = 0},
  [16885] = {.lex_state = 0},
  [16886] = {.lex_state = 0},
  [16887] = {.lex_state = 0},
  [16888] = {.lex_state = 0},
  [16889] = {.lex_state = 0},
  [16890] = {.lex_state = 0},
  [16891] = {.lex_state = 0},
  [16892] = {.lex_state = 0},
  [16893] = {.lex_state = 0},
  [16894] = {.lex_state = 0},
  [16895] = {.lex_state = 0},
  [16896] = {.lex_state = 0},
  [16897] = {.lex_state = 0},
  [16898] = {.lex_state = 0},
  [16899] = {.lex_state = 0},
  [16900] = {.lex_state = 0},
  [16901] = {.lex_state = 0},
  [16902] = {.lex_state = 429, .external_lex_state = 11},
  [16903] = {.lex_state = 429, .external_lex_state = 12},
  [16904] = {.lex_state = 429, .external_lex_state = 13},
  [16905] = {.lex_state = 312},
  [16906] = {.lex_state = 429, .external_lex_state = 3},
  [16907] = {.lex_state = 312},
  [16908] = {.lex_state = 312},
  [16909] = {.lex_state = 510},
  [16910] = {.lex_state = 312},
  [16911] = {.lex_state = 429, .external_lex_state = 3},
  [16912] = {.lex_state = 312},
  [16913] = {.lex_state = 312},
  [16914] = {.lex_state = 429, .external_lex_state = 10},
  [16915] = {.lex_state = 429, .external_lex_state = 11},
  [16916] = {.lex_state = 429, .external_lex_state = 12},
  [16917] = {.lex_state = 429, .external_lex_state = 13},
  [16918] = {.lex_state = 429, .external_lex_state = 10},
  [16919] = {.lex_state = 429, .external_lex_state = 11},
  [16920] = {.lex_state = 429, .external_lex_state = 12},
  [16921] = {.lex_state = 429, .external_lex_state = 13},
  [16922] = {.lex_state = 312},
  [16923] = {.lex_state = 312},
  [16924] = {.lex_state = 429, .external_lex_state = 3},
  [16925] = {.lex_state = 429, .external_lex_state = 10},
  [16926] = {.lex_state = 429, .external_lex_state = 11},
  [16927] = {.lex_state = 312},
  [16928] = {.lex_state = 429, .external_lex_state = 13},
  [16929] = {.lex_state = 312},
  [16930] = {.lex_state = 429, .external_lex_state = 12},
  [16931] = {.lex_state = 312},
  [16932] = {.lex_state = 510},
  [16933] = {.lex_state = 567},
  [16934] = {.lex_state = 312},
  [16935] = {.lex_state = 312},
  [16936] = {.lex_state = 312},
  [16937] = {.lex_state = 510},
  [16938] = {.lex_state = 429, .external_lex_state = 13},
  [16939] = {.lex_state = 312},
  [16940] = {.lex_state = 312},
  [16941] = {.lex_state = 510},
  [16942] = {.lex_state = 312},
  [16943] = {.lex_state = 312},
  [16944] = {.lex_state = 510},
  [16945] = {.lex_state = 429, .external_lex_state = 10},
  [16946] = {.lex_state = 429, .external_lex_state = 11},
  [16947] = {.lex_state = 429, .external_lex_state = 12},
  [16948] = {.lex_state = 429, .external_lex_state = 3},
  [16949] = {.lex_state = 429, .external_lex_state = 13},
  [16950] = {.lex_state = 312},
  [16951] = {.lex_state = 312},
  [16952] = {.lex_state = 312},
  [16953] = {.lex_state = 312},
  [16954] = {.lex_state = 312},
  [16955] = {.lex_state = 510},
  [16956] = {.lex_state = 312},
  [16957] = {.lex_state = 429, .external_lex_state = 3},
  [16958] = {.lex_state = 510},
  [16959] = {.lex_state = 312},
  [16960] = {.lex_state = 567},
  [16961] = {.lex_state = 510},
  [16962] = {.lex_state = 429, .external_lex_state = 10},
  [16963] = {.lex_state = 429, .external_lex_state = 10},
  [16964] = {.lex_state = 429, .external_lex_state = 11},
  [16965] = {.lex_state = 429, .external_lex_state = 12},
  [16966] = {.lex_state = 429, .external_lex_state = 13},
  [16967] = {.lex_state = 429, .external_lex_state = 11},
  [16968] = {.lex_state = 312},
  [16969] = {.lex_state = 429, .external_lex_state = 12},
  [16970] = {.lex_state = 429, .external_lex_state = 13},
  [16971] = {.lex_state = 429, .external_lex_state = 10},
  [16972] = {.lex_state = 312},
  [16973] = {.lex_state = 429, .external_lex_state = 11},
  [16974] = {.lex_state = 429, .external_lex_state = 10},
  [16975] = {.lex_state = 429, .external_lex_state = 11},
  [16976] = {.lex_state = 429, .external_lex_state = 12},
  [16977] = {.lex_state = 429, .external_lex_state = 13},
  [16978] = {.lex_state = 312},
  [16979] = {.lex_state = 429, .external_lex_state = 12},
  [16980] = {.lex_state = 429, .external_lex_state = 13},
  [16981] = {.lex_state = 429, .external_lex_state = 10},
  [16982] = {.lex_state = 429, .external_lex_state = 10},
  [16983] = {.lex_state = 429, .external_lex_state = 11},
  [16984] = {.lex_state = 429, .external_lex_state = 12},
  [16985] = {.lex_state = 429, .external_lex_state = 13},
  [16986] = {.lex_state = 429, .external_lex_state = 10},
  [16987] = {.lex_state = 510},
  [16988] = {.lex_state = 510},
  [16989] = {.lex_state = 510},
  [16990] = {.lex_state = 429, .external_lex_state = 11},
  [16991] = {.lex_state = 429, .external_lex_state = 12},
  [16992] = {.lex_state = 429, .external_lex_state = 13},
  [16993] = {.lex_state = 429, .external_lex_state = 10},
  [16994] = {.lex_state = 429, .external_lex_state = 10},
  [16995] = {.lex_state = 429, .external_lex_state = 11},
  [16996] = {.lex_state = 510},
  [16997] = {.lex_state = 429, .external_lex_state = 9},
  [16998] = {.lex_state = 429, .external_lex_state = 12},
  [16999] = {.lex_state = 429, .external_lex_state = 13},
  [17000] = {.lex_state = 429, .external_lex_state = 11},
  [17001] = {.lex_state = 312},
  [17002] = {.lex_state = 429, .external_lex_state = 11},
  [17003] = {.lex_state = 312},
  [17004] = {.lex_state = 429, .external_lex_state = 12},
  [17005] = {.lex_state = 312},
  [17006] = {.lex_state = 429, .external_lex_state = 13},
  [17007] = {.lex_state = 510},
  [17008] = {.lex_state = 429, .external_lex_state = 12},
  [17009] = {.lex_state = 312},
  [17010] = {.lex_state = 510},
  [17011] = {.lex_state = 429, .external_lex_state = 10},
  [17012] = {.lex_state = 429, .external_lex_state = 11},
  [17013] = {.lex_state = 429, .external_lex_state = 12},
  [17014] = {.lex_state = 429, .external_lex_state = 13},
  [17015] = {.lex_state = 510},
  [17016] = {.lex_state = 429, .external_lex_state = 13},
  [17017] = {.lex_state = 312},
  [17018] = {.lex_state = 312},
  [17019] = {.lex_state = 312},
  [17020] = {.lex_state = 312},
  [17021] = {.lex_state = 429, .external_lex_state = 10},
  [17022] = {.lex_state = 429, .external_lex_state = 11},
  [17023] = {.lex_state = 429, .external_lex_state = 12},
  [17024] = {.lex_state = 312},
  [17025] = {.lex_state = 312},
  [17026] = {.lex_state = 429, .external_lex_state = 13},
  [17027] = {.lex_state = 312},
  [17028] = {.lex_state = 429, .external_lex_state = 10},
  [17029] = {.lex_state = 429, .external_lex_state = 10},
  [17030] = {.lex_state = 429, .external_lex_state = 11},
  [17031] = {.lex_state = 429, .external_lex_state = 12},
  [17032] = {.lex_state = 429, .external_lex_state = 13},
  [17033] = {.lex_state = 312},
  [17034] = {.lex_state = 312},
  [17035] = {.lex_state = 312},
  [17036] = {.lex_state = 429, .external_lex_state = 11},
  [17037] = {.lex_state = 312},
  [17038] = {.lex_state = 312},
  [17039] = {.lex_state = 429, .external_lex_state = 10},
  [17040] = {.lex_state = 312},
  [17041] = {.lex_state = 312},
  [17042] = {.lex_state = 429, .external_lex_state = 11},
  [17043] = {.lex_state = 510},
  [17044] = {.lex_state = 429, .external_lex_state = 12},
  [17045] = {.lex_state = 429, .external_lex_state = 13},
  [17046] = {.lex_state = 510},
  [17047] = {.lex_state = 429, .external_lex_state = 12},
  [17048] = {.lex_state = 510},
  [17049] = {.lex_state = 510},
  [17050] = {.lex_state = 429, .external_lex_state = 13},
  [17051] = {.lex_state = 312},
  [17052] = {.lex_state = 312},
  [17053] = {.lex_state = 312},
  [17054] = {.lex_state = 312},
  [17055] = {.lex_state = 312},
  [17056] = {.lex_state = 312},
  [17057] = {.lex_state = 510},
  [17058] = {.lex_state = 510},
  [17059] = {.lex_state = 312},
  [17060] = {.lex_state = 429, .external_lex_state = 6},
  [17061] = {.lex_state = 429, .external_lex_state = 3},
  [17062] = {.lex_state = 312},
  [17063] = {.lex_state = 510},
  [17064] = {.lex_state = 510},
  [17065] = {.lex_state = 312},
  [17066] = {.lex_state = 510},
  [17067] = {.lex_state = 312},
  [17068] = {.lex_state = 567},
  [17069] = {.lex_state = 429, .external_lex_state = 10},
  [17070] = {.lex_state = 312},
  [17071] = {.lex_state = 312},
  [17072] = {.lex_state = 429, .external_lex_state = 10},
  [17073] = {.lex_state = 312},
  [17074] = {.lex_state = 429, .external_lex_state = 11},
  [17075] = {.lex_state = 429, .external_lex_state = 12},
  [17076] = {.lex_state = 510},
  [17077] = {.lex_state = 429, .external_lex_state = 8},
  [17078] = {.lex_state = 429, .external_lex_state = 13},
  [17079] = {.lex_state = 510},
  [17080] = {.lex_state = 429, .external_lex_state = 11},
  [17081] = {.lex_state = 312},
  [17082] = {.lex_state = 429, .external_lex_state = 10},
  [17083] = {.lex_state = 429, .external_lex_state = 11},
  [17084] = {.lex_state = 429, .external_lex_state = 10},
  [17085] = {.lex_state = 429, .external_lex_state = 11},
  [17086] = {.lex_state = 429, .external_lex_state = 12},
  [17087] = {.lex_state = 429, .external_lex_state = 12},
  [17088] = {.lex_state = 429, .external_lex_state = 13},
  [17089] = {.lex_state = 312},
  [17090] = {.lex_state = 312},
  [17091] = {.lex_state = 429, .external_lex_state = 13},
  [17092] = {.lex_state = 429, .external_lex_state = 12},
  [17093] = {.lex_state = 312},
  [17094] = {.lex_state = 429},
  [17095] = {.lex_state = 429, .external_lex_state = 13},
  [17096] = {.lex_state = 312},
  [17097] = {.lex_state = 429, .external_lex_state = 10},
  [17098] = {.lex_state = 429, .external_lex_state = 11},
  [17099] = {.lex_state = 429, .external_lex_state = 12},
  [17100] = {.lex_state = 429, .external_lex_state = 13},
  [17101] = {.lex_state = 312},
  [17102] = {.lex_state = 312},
  [17103] = {.lex_state = 312},
  [17104] = {.lex_state = 510},
  [17105] = {.lex_state = 510},
  [17106] = {.lex_state = 429, .external_lex_state = 10},
  [17107] = {.lex_state = 312},
  [17108] = {.lex_state = 510},
  [17109] = {.lex_state = 429, .external_lex_state = 11},
  [17110] = {.lex_state = 312},
  [17111] = {.lex_state = 429, .external_lex_state = 12},
  [17112] = {.lex_state = 429, .external_lex_state = 13},
  [17113] = {.lex_state = 312},
  [17114] = {.lex_state = 312},
  [17115] = {.lex_state = 429, .external_lex_state = 3},
  [17116] = {.lex_state = 312},
  [17117] = {.lex_state = 312},
  [17118] = {.lex_state = 429, .external_lex_state = 10},
  [17119] = {.lex_state = 312},
  [17120] = {.lex_state = 510},
  [17121] = {.lex_state = 429, .external_lex_state = 11},
  [17122] = {.lex_state = 429, .external_lex_state = 12},
  [17123] = {.lex_state = 312},
  [17124] = {.lex_state = 429, .external_lex_state = 13},
  [17125] = {.lex_state = 510},
  [17126] = {.lex_state = 312},
  [17127] = {.lex_state = 312},
  [17128] = {.lex_state = 312},
  [17129] = {.lex_state = 429, .external_lex_state = 7},
  [17130] = {.lex_state = 312},
  [17131] = {.lex_state = 510},
  [17132] = {.lex_state = 510},
  [17133] = {.lex_state = 429, .external_lex_state = 3},
  [17134] = {.lex_state = 429, .external_lex_state = 10},
  [17135] = {.lex_state = 429, .external_lex_state = 11},
  [17136] = {.lex_state = 429, .external_lex_state = 12},
  [17137] = {.lex_state = 312},
  [17138] = {.lex_state = 510},
  [17139] = {.lex_state = 429, .external_lex_state = 13},
  [17140] = {.lex_state = 312},
  [17141] = {.lex_state = 429, .external_lex_state = 10},
  [17142] = {.lex_state = 312},
  [17143] = {.lex_state = 429, .external_lex_state = 11},
  [17144] = {.lex_state = 429, .external_lex_state = 12},
  [17145] = {.lex_state = 429, .external_lex_state = 13},
  [17146] = {.lex_state = 312},
  [17147] = {.lex_state = 510},
  [17148] = {.lex_state = 312},
  [17149] = {.lex_state = 312},
  [17150] = {.lex_state = 312},
  [17151] = {.lex_state = 312},
  [17152] = {.lex_state = 368},
  [17153] = {.lex_state = 544},
  [17154] = {.lex_state = 429, .external_lex_state = 10},
  [17155] = {.lex_state = 429, .external_lex_state = 11},
  [17156] = {.lex_state = 429, .external_lex_state = 12},
  [17157] = {.lex_state = 429, .external_lex_state = 10},
  [17158] = {.lex_state = 510},
  [17159] = {.lex_state = 429, .external_lex_state = 11},
  [17160] = {.lex_state = 429, .external_lex_state = 12},
  [17161] = {.lex_state = 429, .external_lex_state = 13},
  [17162] = {.lex_state = 429, .external_lex_state = 13},
  [17163] = {.lex_state = 312},
  [17164] = {.lex_state = 312},
  [17165] = {.lex_state = 429, .external_lex_state = 9},
  [17166] = {.lex_state = 429, .external_lex_state = 10},
  [17167] = {.lex_state = 429, .external_lex_state = 11},
  [17168] = {.lex_state = 429, .external_lex_state = 12},
  [17169] = {.lex_state = 429, .external_lex_state = 13},
  [17170] = {.lex_state = 312},
  [17171] = {.lex_state = 429, .external_lex_state = 8},
  [17172] = {.lex_state = 312},
  [17173] = {.lex_state = 312},
  [17174] = {.lex_state = 510},
  [17175] = {.lex_state = 429, .external_lex_state = 9},
  [17176] = {.lex_state = 312},
  [17177] = {.lex_state = 429, .external_lex_state = 5},
  [17178] = {.lex_state = 312},
  [17179] = {.lex_state = 312},
  [17180] = {.lex_state = 312},
  [17181] = {.lex_state = 312},
  [17182] = {.lex_state = 312},
  [17183] = {.lex_state = 312},
  [17184] = {.lex_state = 510},
  [17185] = {.lex_state = 544},
  [17186] = {.lex_state = 429, .external_lex_state = 10},
  [17187] = {.lex_state = 510},
  [17188] = {.lex_state = 429, .external_lex_state = 11},
  [17189] = {.lex_state = 429, .external_lex_state = 9},
  [17190] = {.lex_state = 0},
  [17191] = {.lex_state = 429, .external_lex_state = 12},
  [17192] = {.lex_state = 429, .external_lex_state = 13},
  [17193] = {.lex_state = 312},
  [17194] = {.lex_state = 312},
  [17195] = {.lex_state = 312},
  [17196] = {.lex_state = 429, .external_lex_state = 10},
  [17197] = {.lex_state = 429, .external_lex_state = 7},
  [17198] = {.lex_state = 312},
  [17199] = {.lex_state = 312},
  [17200] = {.lex_state = 510},
  [17201] = {.lex_state = 429, .external_lex_state = 10},
  [17202] = {.lex_state = 429, .external_lex_state = 11},
  [17203] = {.lex_state = 429, .external_lex_state = 12},
  [17204] = {.lex_state = 429, .external_lex_state = 13},
  [17205] = {.lex_state = 429, .external_lex_state = 10},
  [17206] = {.lex_state = 429, .external_lex_state = 11},
  [17207] = {.lex_state = 429, .external_lex_state = 10},
  [17208] = {.lex_state = 429, .external_lex_state = 12},
  [17209] = {.lex_state = 429, .external_lex_state = 13},
  [17210] = {.lex_state = 429, .external_lex_state = 11},
  [17211] = {.lex_state = 429, .external_lex_state = 8},
  [17212] = {.lex_state = 429, .external_lex_state = 3},
  [17213] = {.lex_state = 429, .external_lex_state = 8},
  [17214] = {.lex_state = 429, .external_lex_state = 3},
  [17215] = {.lex_state = 510},
  [17216] = {.lex_state = 429, .external_lex_state = 10},
  [17217] = {.lex_state = 429, .external_lex_state = 11},
  [17218] = {.lex_state = 312},
  [17219] = {.lex_state = 312},
  [17220] = {.lex_state = 510},
  [17221] = {.lex_state = 429, .external_lex_state = 12},
  [17222] = {.lex_state = 368},
  [17223] = {.lex_state = 429, .external_lex_state = 10},
  [17224] = {.lex_state = 429, .external_lex_state = 11},
  [17225] = {.lex_state = 429, .external_lex_state = 12},
  [17226] = {.lex_state = 429, .external_lex_state = 13},
  [17227] = {.lex_state = 429, .external_lex_state = 13},
  [17228] = {.lex_state = 348},
  [17229] = {.lex_state = 312},
  [17230] = {.lex_state = 429, .external_lex_state = 3},
  [17231] = {.lex_state = 429, .external_lex_state = 10},
  [17232] = {.lex_state = 429, .external_lex_state = 10},
  [17233] = {.lex_state = 312},
  [17234] = {.lex_state = 429, .external_lex_state = 11},
  [17235] = {.lex_state = 429, .external_lex_state = 12},
  [17236] = {.lex_state = 312},
  [17237] = {.lex_state = 429, .external_lex_state = 13},
  [17238] = {.lex_state = 312},
  [17239] = {.lex_state = 429, .external_lex_state = 11},
  [17240] = {.lex_state = 429, .external_lex_state = 12},
  [17241] = {.lex_state = 429, .external_lex_state = 13},
  [17242] = {.lex_state = 312},
  [17243] = {.lex_state = 312},
  [17244] = {.lex_state = 510},
  [17245] = {.lex_state = 429, .external_lex_state = 3},
  [17246] = {.lex_state = 429, .external_lex_state = 12},
  [17247] = {.lex_state = 429, .external_lex_state = 10},
  [17248] = {.lex_state = 312},
  [17249] = {.lex_state = 429, .external_lex_state = 10},
  [17250] = {.lex_state = 429, .external_lex_state = 11},
  [17251] = {.lex_state = 429, .external_lex_state = 12},
  [17252] = {.lex_state = 429, .external_lex_state = 13},
  [17253] = {.lex_state = 312},
  [17254] = {.lex_state = 312},
  [17255] = {.lex_state = 429, .external_lex_state = 11},
  [17256] = {.lex_state = 429, .external_lex_state = 12},
  [17257] = {.lex_state = 312},
  [17258] = {.lex_state = 312},
  [17259] = {.lex_state = 510},
  [17260] = {.lex_state = 429, .external_lex_state = 13},
  [17261] = {.lex_state = 429, .external_lex_state = 10},
  [17262] = {.lex_state = 429, .external_lex_state = 11},
  [17263] = {.lex_state = 312},
  [17264] = {.lex_state = 429, .external_lex_state = 12},
  [17265] = {.lex_state = 429, .external_lex_state = 13},
  [17266] = {.lex_state = 312},
  [17267] = {.lex_state = 312},
  [17268] = {.lex_state = 429, .external_lex_state = 10},
  [17269] = {.lex_state = 429, .external_lex_state = 11},
  [17270] = {.lex_state = 429, .external_lex_state = 12},
  [17271] = {.lex_state = 429, .external_lex_state = 13},
  [17272] = {.lex_state = 312},
  [17273] = {.lex_state = 312},
  [17274] = {.lex_state = 312},
  [17275] = {.lex_state = 312},
  [17276] = {.lex_state = 510},
  [17277] = {.lex_state = 312},
  [17278] = {.lex_state = 312},
  [17279] = {.lex_state = 429, .external_lex_state = 10},
  [17280] = {.lex_state = 312},
  [17281] = {.lex_state = 510},
  [17282] = {.lex_state = 312},
  [17283] = {.lex_state = 429},
  [17284] = {.lex_state = 429, .external_lex_state = 10},
  [17285] = {.lex_state = 510},
  [17286] = {.lex_state = 429, .external_lex_state = 11},
  [17287] = {.lex_state = 429, .external_lex_state = 12},
  [17288] = {.lex_state = 429, .external_lex_state = 13},
  [17289] = {.lex_state = 429, .external_lex_state = 3},
  [17290] = {.lex_state = 312},
  [17291] = {.lex_state = 312},
  [17292] = {.lex_state = 510},
  [17293] = {.lex_state = 510},
  [17294] = {.lex_state = 429, .external_lex_state = 11},
  [17295] = {.lex_state = 429, .external_lex_state = 12},
  [17296] = {.lex_state = 312},
  [17297] = {.lex_state = 429, .external_lex_state = 13},
  [17298] = {.lex_state = 429, .external_lex_state = 10},
  [17299] = {.lex_state = 429, .external_lex_state = 11},
  [17300] = {.lex_state = 312},
  [17301] = {.lex_state = 429, .external_lex_state = 12},
  [17302] = {.lex_state = 312},
  [17303] = {.lex_state = 429, .external_lex_state = 13},
  [17304] = {.lex_state = 429, .external_lex_state = 6},
  [17305] = {.lex_state = 312},
  [17306] = {.lex_state = 510},
  [17307] = {.lex_state = 429, .external_lex_state = 7},
  [17308] = {.lex_state = 429, .external_lex_state = 3},
  [17309] = {.lex_state = 429, .external_lex_state = 10},
  [17310] = {.lex_state = 429, .external_lex_state = 10},
  [17311] = {.lex_state = 429, .external_lex_state = 11},
  [17312] = {.lex_state = 429, .external_lex_state = 12},
  [17313] = {.lex_state = 429, .external_lex_state = 13},
  [17314] = {.lex_state = 312},
  [17315] = {.lex_state = 312},
  [17316] = {.lex_state = 312},
  [17317] = {.lex_state = 429, .external_lex_state = 10},
  [17318] = {.lex_state = 429, .external_lex_state = 11},
  [17319] = {.lex_state = 312},
  [17320] = {.lex_state = 429, .external_lex_state = 12},
  [17321] = {.lex_state = 510},
  [17322] = {.lex_state = 312},
  [17323] = {.lex_state = 312},
  [17324] = {.lex_state = 429, .external_lex_state = 13},
  [17325] = {.lex_state = 429, .external_lex_state = 10},
  [17326] = {.lex_state = 429, .external_lex_state = 11},
  [17327] = {.lex_state = 429, .external_lex_state = 12},
  [17328] = {.lex_state = 429, .external_lex_state = 13},
  [17329] = {.lex_state = 429, .external_lex_state = 6},
  [17330] = {.lex_state = 312},
  [17331] = {.lex_state = 312},
  [17332] = {.lex_state = 510},
  [17333] = {.lex_state = 312},
  [17334] = {.lex_state = 510},
  [17335] = {.lex_state = 312},
  [17336] = {.lex_state = 312},
  [17337] = {.lex_state = 312},
  [17338] = {.lex_state = 312},
  [17339] = {.lex_state = 510},
  [17340] = {.lex_state = 429, .external_lex_state = 10},
  [17341] = {.lex_state = 429, .external_lex_state = 11},
  [17342] = {.lex_state = 429, .external_lex_state = 11},
  [17343] = {.lex_state = 429, .external_lex_state = 10},
  [17344] = {.lex_state = 429, .external_lex_state = 11},
  [17345] = {.lex_state = 429, .external_lex_state = 12},
  [17346] = {.lex_state = 429, .external_lex_state = 13},
  [17347] = {.lex_state = 429, .external_lex_state = 10},
  [17348] = {.lex_state = 429, .external_lex_state = 11},
  [17349] = {.lex_state = 429, .external_lex_state = 12},
  [17350] = {.lex_state = 429, .external_lex_state = 12},
  [17351] = {.lex_state = 429, .external_lex_state = 13},
  [17352] = {.lex_state = 429, .external_lex_state = 10},
  [17353] = {.lex_state = 429, .external_lex_state = 11},
  [17354] = {.lex_state = 429, .external_lex_state = 12},
  [17355] = {.lex_state = 429, .external_lex_state = 13},
  [17356] = {.lex_state = 312},
  [17357] = {.lex_state = 510},
  [17358] = {.lex_state = 429, .external_lex_state = 13},
  [17359] = {.lex_state = 312},
  [17360] = {.lex_state = 429, .external_lex_state = 12},
  [17361] = {.lex_state = 312},
  [17362] = {.lex_state = 429, .external_lex_state = 10},
  [17363] = {.lex_state = 429, .external_lex_state = 11},
  [17364] = {.lex_state = 429, .external_lex_state = 12},
  [17365] = {.lex_state = 510},
  [17366] = {.lex_state = 429, .external_lex_state = 13},
  [17367] = {.lex_state = 312},
  [17368] = {.lex_state = 429, .external_lex_state = 10},
  [17369] = {.lex_state = 429, .external_lex_state = 11},
  [17370] = {.lex_state = 312},
  [17371] = {.lex_state = 429, .external_lex_state = 12},
  [17372] = {.lex_state = 429, .external_lex_state = 13},
  [17373] = {.lex_state = 312},
  [17374] = {.lex_state = 312},
  [17375] = {.lex_state = 429, .external_lex_state = 3},
  [17376] = {.lex_state = 429, .external_lex_state = 13},
  [17377] = {.lex_state = 312},
  [17378] = {.lex_state = 429, .external_lex_state = 10},
  [17379] = {.lex_state = 312},
  [17380] = {.lex_state = 429, .external_lex_state = 11},
  [17381] = {.lex_state = 510},
  [17382] = {.lex_state = 312},
  [17383] = {.lex_state = 510},
  [17384] = {.lex_state = 312},
  [17385] = {.lex_state = 429, .external_lex_state = 10},
  [17386] = {.lex_state = 312},
  [17387] = {.lex_state = 510},
  [17388] = {.lex_state = 312},
  [17389] = {.lex_state = 312},
  [17390] = {.lex_state = 429, .external_lex_state = 11},
  [17391] = {.lex_state = 312},
  [17392] = {.lex_state = 429, .external_lex_state = 10},
  [17393] = {.lex_state = 429, .external_lex_state = 11},
  [17394] = {.lex_state = 429, .external_lex_state = 12},
  [17395] = {.lex_state = 429, .external_lex_state = 13},
  [17396] = {.lex_state = 429, .external_lex_state = 10},
  [17397] = {.lex_state = 429, .external_lex_state = 11},
  [17398] = {.lex_state = 429, .external_lex_state = 12},
  [17399] = {.lex_state = 429, .external_lex_state = 12},
  [17400] = {.lex_state = 510},
  [17401] = {.lex_state = 312},
  [17402] = {.lex_state = 312},
  [17403] = {.lex_state = 429, .external_lex_state = 13},
  [17404] = {.lex_state = 429, .external_lex_state = 12},
  [17405] = {.lex_state = 312},
  [17406] = {.lex_state = 312},
  [17407] = {.lex_state = 429, .external_lex_state = 10},
  [17408] = {.lex_state = 429, .external_lex_state = 11},
  [17409] = {.lex_state = 429, .external_lex_state = 12},
  [17410] = {.lex_state = 429, .external_lex_state = 13},
  [17411] = {.lex_state = 429, .external_lex_state = 13},
  [17412] = {.lex_state = 429, .external_lex_state = 3},
  [17413] = {.lex_state = 429, .external_lex_state = 3},
  [17414] = {.lex_state = 429, .external_lex_state = 13},
  [17415] = {.lex_state = 312},
  [17416] = {.lex_state = 429, .external_lex_state = 11},
  [17417] = {.lex_state = 312},
  [17418] = {.lex_state = 312},
  [17419] = {.lex_state = 429, .external_lex_state = 10},
  [17420] = {.lex_state = 429, .external_lex_state = 11},
  [17421] = {.lex_state = 429, .external_lex_state = 12},
  [17422] = {.lex_state = 429, .external_lex_state = 13},
  [17423] = {.lex_state = 510},
  [17424] = {.lex_state = 312},
  [17425] = {.lex_state = 429, .external_lex_state = 10},
  [17426] = {.lex_state = 429, .external_lex_state = 11},
  [17427] = {.lex_state = 429, .external_lex_state = 12},
  [17428] = {.lex_state = 429, .external_lex_state = 10},
  [17429] = {.lex_state = 429, .external_lex_state = 11},
  [17430] = {.lex_state = 429, .external_lex_state = 12},
  [17431] = {.lex_state = 429, .external_lex_state = 13},
  [17432] = {.lex_state = 312},
  [17433] = {.lex_state = 429, .external_lex_state = 13},
  [17434] = {.lex_state = 312},
  [17435] = {.lex_state = 312},
  [17436] = {.lex_state = 312},
  [17437] = {.lex_state = 312},
  [17438] = {.lex_state = 312},
  [17439] = {.lex_state = 312},
  [17440] = {.lex_state = 312},
  [17441] = {.lex_state = 312},
  [17442] = {.lex_state = 429, .external_lex_state = 10},
  [17443] = {.lex_state = 312},
  [17444] = {.lex_state = 429, .external_lex_state = 11},
  [17445] = {.lex_state = 312},
  [17446] = {.lex_state = 429, .external_lex_state = 12},
  [17447] = {.lex_state = 429, .external_lex_state = 13},
  [17448] = {.lex_state = 429, .external_lex_state = 10},
  [17449] = {.lex_state = 429, .external_lex_state = 11},
  [17450] = {.lex_state = 312},
  [17451] = {.lex_state = 429, .external_lex_state = 12},
  [17452] = {.lex_state = 429, .external_lex_state = 13},
  [17453] = {.lex_state = 510},
  [17454] = {.lex_state = 429, .external_lex_state = 10},
  [17455] = {.lex_state = 429, .external_lex_state = 11},
  [17456] = {.lex_state = 429, .external_lex_state = 12},
  [17457] = {.lex_state = 429, .external_lex_state = 10},
  [17458] = {.lex_state = 429, .external_lex_state = 7},
  [17459] = {.lex_state = 429, .external_lex_state = 13},
  [17460] = {.lex_state = 429, .external_lex_state = 11},
  [17461] = {.lex_state = 429, .external_lex_state = 12},
  [17462] = {.lex_state = 429, .external_lex_state = 13},
  [17463] = {.lex_state = 429, .external_lex_state = 10},
  [17464] = {.lex_state = 429, .external_lex_state = 11},
  [17465] = {.lex_state = 429, .external_lex_state = 12},
  [17466] = {.lex_state = 312},
  [17467] = {.lex_state = 429, .external_lex_state = 13},
  [17468] = {.lex_state = 312},
  [17469] = {.lex_state = 312},
  [17470] = {.lex_state = 429, .external_lex_state = 10},
  [17471] = {.lex_state = 429, .external_lex_state = 11},
  [17472] = {.lex_state = 429, .external_lex_state = 12},
  [17473] = {.lex_state = 312},
  [17474] = {.lex_state = 429, .external_lex_state = 13},
  [17475] = {.lex_state = 429, .external_lex_state = 12},
  [17476] = {.lex_state = 312},
  [17477] = {.lex_state = 429, .external_lex_state = 10},
  [17478] = {.lex_state = 312},
  [17479] = {.lex_state = 429, .external_lex_state = 11},
  [17480] = {.lex_state = 429, .external_lex_state = 3},
  [17481] = {.lex_state = 429, .external_lex_state = 12},
  [17482] = {.lex_state = 510},
  [17483] = {.lex_state = 429, .external_lex_state = 3},
  [17484] = {.lex_state = 429, .external_lex_state = 13},
  [17485] = {.lex_state = 429, .external_lex_state = 3},
  [17486] = {.lex_state = 429, .external_lex_state = 10},
  [17487] = {.lex_state = 510},
  [17488] = {.lex_state = 429, .external_lex_state = 3},
  [17489] = {.lex_state = 429, .external_lex_state = 10},
  [17490] = {.lex_state = 429, .external_lex_state = 11},
  [17491] = {.lex_state = 429, .external_lex_state = 12},
  [17492] = {.lex_state = 429, .external_lex_state = 13},
  [17493] = {.lex_state = 312},
  [17494] = {.lex_state = 312},
  [17495] = {.lex_state = 312},
  [17496] = {.lex_state = 429, .external_lex_state = 11},
  [17497] = {.lex_state = 429, .external_lex_state = 12},
  [17498] = {.lex_state = 429, .external_lex_state = 13},
  [17499] = {.lex_state = 312},
  [17500] = {.lex_state = 429, .external_lex_state = 10},
  [17501] = {.lex_state = 429, .external_lex_state = 3},
  [17502] = {.lex_state = 429, .external_lex_state = 3},
  [17503] = {.lex_state = 429, .external_lex_state = 3},
  [17504] = {.lex_state = 429, .external_lex_state = 11},
  [17505] = {.lex_state = 429, .external_lex_state = 12},
  [17506] = {.lex_state = 429, .external_lex_state = 3},
  [17507] = {.lex_state = 312},
  [17508] = {.lex_state = 429, .external_lex_state = 13},
  [17509] = {.lex_state = 429, .external_lex_state = 10},
  [17510] = {.lex_state = 429, .external_lex_state = 11},
  [17511] = {.lex_state = 429, .external_lex_state = 12},
  [17512] = {.lex_state = 429, .external_lex_state = 10},
  [17513] = {.lex_state = 429, .external_lex_state = 11},
  [17514] = {.lex_state = 429},
  [17515] = {.lex_state = 429},
  [17516] = {.lex_state = 429, .external_lex_state = 12},
  [17517] = {.lex_state = 429, .external_lex_state = 13},
  [17518] = {.lex_state = 429, .external_lex_state = 3},
  [17519] = {.lex_state = 312},
  [17520] = {.lex_state = 429, .external_lex_state = 10},
  [17521] = {.lex_state = 429, .external_lex_state = 3},
  [17522] = {.lex_state = 429, .external_lex_state = 11},
  [17523] = {.lex_state = 429, .external_lex_state = 3},
  [17524] = {.lex_state = 429, .external_lex_state = 13},
  [17525] = {.lex_state = 312},
  [17526] = {.lex_state = 429, .external_lex_state = 3},
  [17527] = {.lex_state = 429, .external_lex_state = 3},
  [17528] = {.lex_state = 429, .external_lex_state = 3},
  [17529] = {.lex_state = 429, .external_lex_state = 12},
  [17530] = {.lex_state = 429, .external_lex_state = 3},
  [17531] = {.lex_state = 429, .external_lex_state = 13},
  [17532] = {.lex_state = 429, .external_lex_state = 3},
  [17533] = {.lex_state = 429, .external_lex_state = 3},
  [17534] = {.lex_state = 429, .external_lex_state = 10},
  [17535] = {.lex_state = 429, .external_lex_state = 11},
  [17536] = {.lex_state = 429, .external_lex_state = 12},
  [17537] = {.lex_state = 429, .external_lex_state = 13},
  [17538] = {.lex_state = 510},
  [17539] = {.lex_state = 429, .external_lex_state = 10},
  [17540] = {.lex_state = 510},
  [17541] = {.lex_state = 429, .external_lex_state = 3},
  [17542] = {.lex_state = 429, .external_lex_state = 11},
  [17543] = {.lex_state = 429, .external_lex_state = 12},
  [17544] = {.lex_state = 429, .external_lex_state = 13},
  [17545] = {.lex_state = 429, .external_lex_state = 10},
  [17546] = {.lex_state = 429, .external_lex_state = 11},
  [17547] = {.lex_state = 429, .external_lex_state = 12},
  [17548] = {.lex_state = 429, .external_lex_state = 13},
  [17549] = {.lex_state = 312},
  [17550] = {.lex_state = 429, .external_lex_state = 10},
  [17551] = {.lex_state = 429, .external_lex_state = 3},
  [17552] = {.lex_state = 429, .external_lex_state = 11},
  [17553] = {.lex_state = 312},
  [17554] = {.lex_state = 429, .external_lex_state = 12},
  [17555] = {.lex_state = 312},
  [17556] = {.lex_state = 429, .external_lex_state = 3},
  [17557] = {.lex_state = 429, .external_lex_state = 13},
  [17558] = {.lex_state = 429, .external_lex_state = 10},
  [17559] = {.lex_state = 429, .external_lex_state = 3},
  [17560] = {.lex_state = 429, .external_lex_state = 11},
  [17561] = {.lex_state = 429, .external_lex_state = 12},
  [17562] = {.lex_state = 429, .external_lex_state = 13},
  [17563] = {.lex_state = 429, .external_lex_state = 3},
  [17564] = {.lex_state = 312},
  [17565] = {.lex_state = 429, .external_lex_state = 10},
  [17566] = {.lex_state = 429, .external_lex_state = 11},
  [17567] = {.lex_state = 510},
  [17568] = {.lex_state = 429},
  [17569] = {.lex_state = 429},
  [17570] = {.lex_state = 429, .external_lex_state = 12},
  [17571] = {.lex_state = 429, .external_lex_state = 13},
  [17572] = {.lex_state = 429, .external_lex_state = 9},
  [17573] = {.lex_state = 429, .external_lex_state = 10},
  [17574] = {.lex_state = 429, .external_lex_state = 11},
  [17575] = {.lex_state = 429, .external_lex_state = 10},
  [17576] = {.lex_state = 429, .external_lex_state = 11},
  [17577] = {.lex_state = 429, .external_lex_state = 12},
  [17578] = {.lex_state = 429, .external_lex_state = 13},
  [17579] = {.lex_state = 312},
  [17580] = {.lex_state = 312},
  [17581] = {.lex_state = 312},
  [17582] = {.lex_state = 429, .external_lex_state = 12},
  [17583] = {.lex_state = 429, .external_lex_state = 13},
  [17584] = {.lex_state = 0},
  [17585] = {.lex_state = 0},
  [17586] = {.lex_state = 0},
  [17587] = {.lex_state = 0},
  [17588] = {.lex_state = 0, .external_lex_state = 3},
  [17589] = {.lex_state = 368},
  [17590] = {.lex_state = 0},
  [17591] = {.lex_state = 368},
  [17592] = {.lex_state = 0},
  [17593] = {.lex_state = 0},
  [17594] = {.lex_state = 0},
  [17595] = {.lex_state = 368},
  [17596] = {.lex_state = 0},
  [17597] = {.lex_state = 0},
  [17598] = {.lex_state = 0, .external_lex_state = 3},
  [17599] = {.lex_state = 0},
  [17600] = {.lex_state = 0},
  [17601] = {.lex_state = 0},
  [17602] = {.lex_state = 368},
  [17603] = {.lex_state = 368},
  [17604] = {.lex_state = 368},
  [17605] = {.lex_state = 0},
  [17606] = {.lex_state = 510},
  [17607] = {.lex_state = 0},
  [17608] = {.lex_state = 0},
  [17609] = {.lex_state = 0},
  [17610] = {.lex_state = 368},
  [17611] = {.lex_state = 368},
  [17612] = {.lex_state = 348},
  [17613] = {.lex_state = 368},
  [17614] = {.lex_state = 368},
  [17615] = {.lex_state = 368},
  [17616] = {.lex_state = 368},
  [17617] = {.lex_state = 368},
  [17618] = {.lex_state = 368},
  [17619] = {.lex_state = 0},
  [17620] = {.lex_state = 0},
  [17621] = {.lex_state = 0},
  [17622] = {.lex_state = 0},
  [17623] = {.lex_state = 0},
  [17624] = {.lex_state = 0},
  [17625] = {.lex_state = 0},
  [17626] = {.lex_state = 0},
  [17627] = {.lex_state = 0},
  [17628] = {.lex_state = 0},
  [17629] = {.lex_state = 0},
  [17630] = {.lex_state = 0},
  [17631] = {.lex_state = 368},
  [17632] = {.lex_state = 0},
  [17633] = {.lex_state = 0},
  [17634] = {.lex_state = 368},
  [17635] = {.lex_state = 368},
  [17636] = {.lex_state = 368},
  [17637] = {.lex_state = 0},
  [17638] = {.lex_state = 368},
  [17639] = {.lex_state = 0},
  [17640] = {.lex_state = 0},
  [17641] = {.lex_state = 368},
  [17642] = {.lex_state = 0},
  [17643] = {.lex_state = 369},
  [17644] = {.lex_state = 0},
  [17645] = {.lex_state = 0},
  [17646] = {.lex_state = 0},
  [17647] = {.lex_state = 0},
  [17648] = {.lex_state = 0},
  [17649] = {.lex_state = 0},
  [17650] = {.lex_state = 0},
  [17651] = {.lex_state = 0},
  [17652] = {.lex_state = 0},
  [17653] = {.lex_state = 348},
  [17654] = {.lex_state = 0},
  [17655] = {.lex_state = 0},
  [17656] = {.lex_state = 0},
  [17657] = {.lex_state = 0},
  [17658] = {.lex_state = 0},
  [17659] = {.lex_state = 368},
  [17660] = {.lex_state = 0},
  [17661] = {.lex_state = 368},
  [17662] = {.lex_state = 0},
  [17663] = {.lex_state = 368},
  [17664] = {.lex_state = 0, .external_lex_state = 3},
  [17665] = {.lex_state = 0},
  [17666] = {.lex_state = 0},
  [17667] = {.lex_state = 368},
  [17668] = {.lex_state = 0},
  [17669] = {.lex_state = 0, .external_lex_state = 3},
  [17670] = {.lex_state = 0},
  [17671] = {.lex_state = 0},
  [17672] = {.lex_state = 0},
  [17673] = {.lex_state = 348},
  [17674] = {.lex_state = 0},
  [17675] = {.lex_state = 0},
  [17676] = {.lex_state = 0},
  [17677] = {.lex_state = 0, .external_lex_state = 3},
  [17678] = {.lex_state = 0},
  [17679] = {.lex_state = 368},
  [17680] = {.lex_state = 0},
  [17681] = {.lex_state = 0, .external_lex_state = 3},
  [17682] = {.lex_state = 0},
  [17683] = {.lex_state = 0},
  [17684] = {.lex_state = 0},
  [17685] = {.lex_state = 0},
  [17686] = {.lex_state = 0},
  [17687] = {.lex_state = 0, .external_lex_state = 3},
  [17688] = {.lex_state = 0},
  [17689] = {.lex_state = 0},
  [17690] = {.lex_state = 368},
  [17691] = {.lex_state = 0},
  [17692] = {.lex_state = 0, .external_lex_state = 3},
  [17693] = {.lex_state = 0},
  [17694] = {.lex_state = 0},
  [17695] = {.lex_state = 0},
  [17696] = {.lex_state = 0},
  [17697] = {.lex_state = 0},
  [17698] = {.lex_state = 368},
  [17699] = {.lex_state = 0, .external_lex_state = 3},
  [17700] = {.lex_state = 0},
  [17701] = {.lex_state = 368},
  [17702] = {.lex_state = 0, .external_lex_state = 3},
  [17703] = {.lex_state = 0},
  [17704] = {.lex_state = 0},
  [17705] = {.lex_state = 348},
  [17706] = {.lex_state = 0},
  [17707] = {.lex_state = 0, .external_lex_state = 3},
  [17708] = {.lex_state = 0},
  [17709] = {.lex_state = 0},
  [17710] = {.lex_state = 368},
  [17711] = {.lex_state = 0, .external_lex_state = 3},
  [17712] = {.lex_state = 312},
  [17713] = {.lex_state = 0},
  [17714] = {.lex_state = 0},
  [17715] = {.lex_state = 0},
  [17716] = {.lex_state = 368},
  [17717] = {.lex_state = 0},
  [17718] = {.lex_state = 0, .external_lex_state = 3},
  [17719] = {.lex_state = 368},
  [17720] = {.lex_state = 0},
  [17721] = {.lex_state = 0},
  [17722] = {.lex_state = 368},
  [17723] = {.lex_state = 0, .external_lex_state = 3},
  [17724] = {.lex_state = 348, .external_lex_state = 4},
  [17725] = {.lex_state = 0},
  [17726] = {.lex_state = 0, .external_lex_state = 3},
  [17727] = {.lex_state = 0},
  [17728] = {.lex_state = 368},
  [17729] = {.lex_state = 368},
  [17730] = {.lex_state = 368},
  [17731] = {.lex_state = 0, .external_lex_state = 3},
  [17732] = {.lex_state = 0},
  [17733] = {.lex_state = 0},
  [17734] = {.lex_state = 0, .external_lex_state = 3},
  [17735] = {.lex_state = 0},
  [17736] = {.lex_state = 0},
  [17737] = {.lex_state = 368},
  [17738] = {.lex_state = 0, .external_lex_state = 3},
  [17739] = {.lex_state = 368},
  [17740] = {.lex_state = 0},
  [17741] = {.lex_state = 0},
  [17742] = {.lex_state = 368},
  [17743] = {.lex_state = 0},
  [17744] = {.lex_state = 369},
  [17745] = {.lex_state = 0},
  [17746] = {.lex_state = 0},
  [17747] = {.lex_state = 0, .external_lex_state = 3},
  [17748] = {.lex_state = 368},
  [17749] = {.lex_state = 0},
  [17750] = {.lex_state = 0},
  [17751] = {.lex_state = 0},
  [17752] = {.lex_state = 0},
  [17753] = {.lex_state = 368},
  [17754] = {.lex_state = 0},
  [17755] = {.lex_state = 0, .external_lex_state = 3},
  [17756] = {.lex_state = 429},
  [17757] = {.lex_state = 0},
  [17758] = {.lex_state = 0},
  [17759] = {.lex_state = 0, .external_lex_state = 3},
  [17760] = {.lex_state = 0},
  [17761] = {.lex_state = 368},
  [17762] = {.lex_state = 0, .external_lex_state = 3},
  [17763] = {.lex_state = 0},
  [17764] = {.lex_state = 0, .external_lex_state = 3},
  [17765] = {.lex_state = 368},
  [17766] = {.lex_state = 0, .external_lex_state = 3},
  [17767] = {.lex_state = 0, .external_lex_state = 3},
  [17768] = {.lex_state = 368},
  [17769] = {.lex_state = 0},
  [17770] = {.lex_state = 0, .external_lex_state = 3},
  [17771] = {.lex_state = 0, .external_lex_state = 3},
  [17772] = {.lex_state = 0},
  [17773] = {.lex_state = 368},
  [17774] = {.lex_state = 0},
  [17775] = {.lex_state = 368},
  [17776] = {.lex_state = 0, .external_lex_state = 3},
  [17777] = {.lex_state = 0},
  [17778] = {.lex_state = 0, .external_lex_state = 3},
  [17779] = {.lex_state = 368},
  [17780] = {.lex_state = 0, .external_lex_state = 3},
  [17781] = {.lex_state = 0},
  [17782] = {.lex_state = 0, .external_lex_state = 3},
  [17783] = {.lex_state = 368},
  [17784] = {.lex_state = 0},
  [17785] = {.lex_state = 368},
  [17786] = {.lex_state = 0, .external_lex_state = 3},
  [17787] = {.lex_state = 0, .external_lex_state = 3},
  [17788] = {.lex_state = 368},
  [17789] = {.lex_state = 0},
  [17790] = {.lex_state = 368},
  [17791] = {.lex_state = 0, .external_lex_state = 3},
  [17792] = {.lex_state = 0, .external_lex_state = 3},
  [17793] = {.lex_state = 368},
  [17794] = {.lex_state = 0},
  [17795] = {.lex_state = 368},
  [17796] = {.lex_state = 0, .external_lex_state = 3},
  [17797] = {.lex_state = 368},
  [17798] = {.lex_state = 0, .external_lex_state = 3},
  [17799] = {.lex_state = 0},
  [17800] = {.lex_state = 368},
  [17801] = {.lex_state = 0, .external_lex_state = 3},
  [17802] = {.lex_state = 0, .external_lex_state = 3},
  [17803] = {.lex_state = 368},
  [17804] = {.lex_state = 368},
  [17805] = {.lex_state = 0, .external_lex_state = 3},
  [17806] = {.lex_state = 0, .external_lex_state = 3},
  [17807] = {.lex_state = 0},
  [17808] = {.lex_state = 368},
  [17809] = {.lex_state = 0, .external_lex_state = 3},
  [17810] = {.lex_state = 0, .external_lex_state = 3},
  [17811] = {.lex_state = 368},
  [17812] = {.lex_state = 368},
  [17813] = {.lex_state = 0},
  [17814] = {.lex_state = 0, .external_lex_state = 3},
  [17815] = {.lex_state = 0, .external_lex_state = 3},
  [17816] = {.lex_state = 0},
  [17817] = {.lex_state = 368},
  [17818] = {.lex_state = 0, .external_lex_state = 3},
  [17819] = {.lex_state = 0, .external_lex_state = 3},
  [17820] = {.lex_state = 368},
  [17821] = {.lex_state = 0, .external_lex_state = 3},
  [17822] = {.lex_state = 348},
  [17823] = {.lex_state = 368},
  [17824] = {.lex_state = 368},
  [17825] = {.lex_state = 368},
  [17826] = {.lex_state = 348, .external_lex_state = 4},
  [17827] = {.lex_state = 368},
  [17828] = {.lex_state = 0},
  [17829] = {.lex_state = 368},
  [17830] = {.lex_state = 0},
  [17831] = {.lex_state = 368},
  [17832] = {.lex_state = 0},
  [17833] = {.lex_state = 368},
  [17834] = {.lex_state = 0},
  [17835] = {.lex_state = 368},
  [17836] = {.lex_state = 368},
  [17837] = {.lex_state = 0},
  [17838] = {.lex_state = 368},
  [17839] = {.lex_state = 368},
  [17840] = {.lex_state = 0},
  [17841] = {.lex_state = 368},
  [17842] = {.lex_state = 368},
  [17843] = {.lex_state = 368},
  [17844] = {.lex_state = 0},
  [17845] = {.lex_state = 368},
  [17846] = {.lex_state = 0},
  [17847] = {.lex_state = 368},
  [17848] = {.lex_state = 0},
  [17849] = {.lex_state = 368},
  [17850] = {.lex_state = 368},
  [17851] = {.lex_state = 368},
  [17852] = {.lex_state = 0},
  [17853] = {.lex_state = 368},
  [17854] = {.lex_state = 0},
  [17855] = {.lex_state = 0},
  [17856] = {.lex_state = 368},
  [17857] = {.lex_state = 368},
  [17858] = {.lex_state = 0},
  [17859] = {.lex_state = 375},
  [17860] = {.lex_state = 368},
  [17861] = {.lex_state = 368},
  [17862] = {.lex_state = 0},
  [17863] = {.lex_state = 368},
  [17864] = {.lex_state = 0},
  [17865] = {.lex_state = 0},
  [17866] = {.lex_state = 368},
  [17867] = {.lex_state = 0},
  [17868] = {.lex_state = 368},
  [17869] = {.lex_state = 368},
  [17870] = {.lex_state = 368},
  [17871] = {.lex_state = 0},
  [17872] = {.lex_state = 368},
  [17873] = {.lex_state = 0},
  [17874] = {.lex_state = 368},
  [17875] = {.lex_state = 0},
  [17876] = {.lex_state = 0},
  [17877] = {.lex_state = 0},
  [17878] = {.lex_state = 368},
  [17879] = {.lex_state = 368},
  [17880] = {.lex_state = 0},
  [17881] = {.lex_state = 368},
  [17882] = {.lex_state = 368},
  [17883] = {.lex_state = 0},
  [17884] = {.lex_state = 368},
  [17885] = {.lex_state = 368},
  [17886] = {.lex_state = 368},
  [17887] = {.lex_state = 0},
  [17888] = {.lex_state = 368},
  [17889] = {.lex_state = 368},
  [17890] = {.lex_state = 0},
  [17891] = {.lex_state = 368},
  [17892] = {.lex_state = 368},
  [17893] = {.lex_state = 368},
  [17894] = {.lex_state = 368},
  [17895] = {.lex_state = 0},
  [17896] = {.lex_state = 0},
  [17897] = {.lex_state = 0},
  [17898] = {.lex_state = 0},
  [17899] = {.lex_state = 0},
  [17900] = {.lex_state = 0},
  [17901] = {.lex_state = 0},
  [17902] = {.lex_state = 0},
  [17903] = {.lex_state = 0},
  [17904] = {.lex_state = 0},
  [17905] = {.lex_state = 0},
  [17906] = {.lex_state = 0},
  [17907] = {.lex_state = 0},
  [17908] = {.lex_state = 0},
  [17909] = {.lex_state = 0},
  [17910] = {.lex_state = 0},
  [17911] = {.lex_state = 0},
  [17912] = {.lex_state = 0},
  [17913] = {.lex_state = 0},
  [17914] = {.lex_state = 0},
  [17915] = {.lex_state = 0},
  [17916] = {.lex_state = 0},
  [17917] = {.lex_state = 0},
  [17918] = {.lex_state = 0},
  [17919] = {.lex_state = 0},
  [17920] = {.lex_state = 0},
  [17921] = {.lex_state = 0},
  [17922] = {.lex_state = 0},
  [17923] = {.lex_state = 368},
  [17924] = {.lex_state = 368},
  [17925] = {.lex_state = 0},
  [17926] = {.lex_state = 0},
  [17927] = {.lex_state = 0},
  [17928] = {.lex_state = 0},
  [17929] = {.lex_state = 0},
  [17930] = {.lex_state = 368},
  [17931] = {.lex_state = 0},
  [17932] = {.lex_state = 0},
  [17933] = {.lex_state = 0},
  [17934] = {.lex_state = 368},
  [17935] = {.lex_state = 0},
  [17936] = {.lex_state = 0},
  [17937] = {.lex_state = 0},
  [17938] = {.lex_state = 0},
  [17939] = {.lex_state = 0},
  [17940] = {.lex_state = 0, .external_lex_state = 3},
  [17941] = {.lex_state = 348},
  [17942] = {.lex_state = 0},
  [17943] = {.lex_state = 0},
  [17944] = {.lex_state = 0},
  [17945] = {.lex_state = 0},
  [17946] = {.lex_state = 0},
  [17947] = {.lex_state = 0},
  [17948] = {.lex_state = 0},
  [17949] = {.lex_state = 0},
  [17950] = {.lex_state = 368},
  [17951] = {.lex_state = 0},
  [17952] = {.lex_state = 369},
  [17953] = {.lex_state = 0},
  [17954] = {.lex_state = 0},
  [17955] = {.lex_state = 0},
  [17956] = {.lex_state = 0},
  [17957] = {.lex_state = 0},
  [17958] = {.lex_state = 0},
  [17959] = {.lex_state = 0},
  [17960] = {.lex_state = 312},
  [17961] = {.lex_state = 368},
  [17962] = {.lex_state = 0},
  [17963] = {.lex_state = 0},
  [17964] = {.lex_state = 0},
  [17965] = {.lex_state = 0},
  [17966] = {.lex_state = 0},
  [17967] = {.lex_state = 0},
  [17968] = {.lex_state = 368},
  [17969] = {.lex_state = 0},
  [17970] = {.lex_state = 0},
  [17971] = {.lex_state = 0},
  [17972] = {.lex_state = 368},
  [17973] = {.lex_state = 0},
  [17974] = {.lex_state = 368},
  [17975] = {.lex_state = 368},
  [17976] = {.lex_state = 368},
  [17977] = {.lex_state = 0},
  [17978] = {.lex_state = 0},
  [17979] = {.lex_state = 0},
  [17980] = {.lex_state = 348},
  [17981] = {.lex_state = 0},
  [17982] = {.lex_state = 368},
  [17983] = {.lex_state = 368},
  [17984] = {.lex_state = 368},
  [17985] = {.lex_state = 0},
  [17986] = {.lex_state = 0},
  [17987] = {.lex_state = 0},
  [17988] = {.lex_state = 368},
  [17989] = {.lex_state = 0},
  [17990] = {.lex_state = 0},
  [17991] = {.lex_state = 0},
  [17992] = {.lex_state = 0},
  [17993] = {.lex_state = 0},
  [17994] = {.lex_state = 0},
  [17995] = {.lex_state = 0},
  [17996] = {.lex_state = 0},
  [17997] = {.lex_state = 368},
  [17998] = {.lex_state = 368},
  [17999] = {.lex_state = 0},
  [18000] = {.lex_state = 368},
  [18001] = {.lex_state = 368},
  [18002] = {.lex_state = 0},
  [18003] = {.lex_state = 0},
  [18004] = {.lex_state = 368},
  [18005] = {.lex_state = 0},
  [18006] = {.lex_state = 0},
  [18007] = {.lex_state = 0},
  [18008] = {.lex_state = 0},
  [18009] = {.lex_state = 0, .external_lex_state = 5},
  [18010] = {.lex_state = 0},
  [18011] = {.lex_state = 0},
  [18012] = {.lex_state = 0},
  [18013] = {.lex_state = 368},
  [18014] = {.lex_state = 368},
  [18015] = {.lex_state = 0},
  [18016] = {.lex_state = 0},
  [18017] = {.lex_state = 0},
  [18018] = {.lex_state = 0},
  [18019] = {.lex_state = 0},
  [18020] = {.lex_state = 0},
  [18021] = {.lex_state = 0},
  [18022] = {.lex_state = 0},
  [18023] = {.lex_state = 368},
  [18024] = {.lex_state = 368},
  [18025] = {.lex_state = 0},
  [18026] = {.lex_state = 0},
  [18027] = {.lex_state = 0},
  [18028] = {.lex_state = 0},
  [18029] = {.lex_state = 348},
  [18030] = {.lex_state = 0},
  [18031] = {.lex_state = 0},
  [18032] = {.lex_state = 429, .external_lex_state = 10},
  [18033] = {.lex_state = 0},
  [18034] = {.lex_state = 510},
  [18035] = {.lex_state = 368},
  [18036] = {.lex_state = 368},
  [18037] = {.lex_state = 368},
  [18038] = {.lex_state = 0},
  [18039] = {.lex_state = 0},
  [18040] = {.lex_state = 0},
  [18041] = {.lex_state = 0},
  [18042] = {.lex_state = 369},
  [18043] = {.lex_state = 0},
  [18044] = {.lex_state = 0},
  [18045] = {.lex_state = 0},
  [18046] = {.lex_state = 431},
  [18047] = {.lex_state = 368},
  [18048] = {.lex_state = 0},
  [18049] = {.lex_state = 510},
  [18050] = {.lex_state = 0},
  [18051] = {.lex_state = 429, .external_lex_state = 11},
  [18052] = {.lex_state = 368},
  [18053] = {.lex_state = 368},
  [18054] = {.lex_state = 429, .external_lex_state = 12},
  [18055] = {.lex_state = 0},
  [18056] = {.lex_state = 0},
  [18057] = {.lex_state = 368},
  [18058] = {.lex_state = 368},
  [18059] = {.lex_state = 368},
  [18060] = {.lex_state = 0},
  [18061] = {.lex_state = 0},
  [18062] = {.lex_state = 0},
  [18063] = {.lex_state = 368},
  [18064] = {.lex_state = 0},
  [18065] = {.lex_state = 0},
  [18066] = {.lex_state = 0},
  [18067] = {.lex_state = 0},
  [18068] = {.lex_state = 0},
  [18069] = {.lex_state = 0},
  [18070] = {.lex_state = 348, .external_lex_state = 4},
  [18071] = {.lex_state = 0},
  [18072] = {.lex_state = 0},
  [18073] = {.lex_state = 0},
  [18074] = {.lex_state = 0},
  [18075] = {.lex_state = 368},
  [18076] = {.lex_state = 0},
  [18077] = {.lex_state = 0},
  [18078] = {.lex_state = 368},
  [18079] = {.lex_state = 0},
  [18080] = {.lex_state = 368},
  [18081] = {.lex_state = 348},
  [18082] = {.lex_state = 0},
  [18083] = {.lex_state = 0},
  [18084] = {.lex_state = 368},
  [18085] = {.lex_state = 0},
  [18086] = {.lex_state = 0},
  [18087] = {.lex_state = 368},
  [18088] = {.lex_state = 348},
  [18089] = {.lex_state = 0},
  [18090] = {.lex_state = 0},
  [18091] = {.lex_state = 0},
  [18092] = {.lex_state = 0},
  [18093] = {.lex_state = 348},
  [18094] = {.lex_state = 0},
  [18095] = {.lex_state = 0},
  [18096] = {.lex_state = 0},
  [18097] = {.lex_state = 0},
  [18098] = {.lex_state = 0},
  [18099] = {.lex_state = 0},
  [18100] = {.lex_state = 0},
  [18101] = {.lex_state = 0},
  [18102] = {.lex_state = 0},
  [18103] = {.lex_state = 0},
  [18104] = {.lex_state = 348},
  [18105] = {.lex_state = 0},
  [18106] = {.lex_state = 0},
  [18107] = {.lex_state = 0},
  [18108] = {.lex_state = 0},
  [18109] = {.lex_state = 368},
  [18110] = {.lex_state = 368},
  [18111] = {.lex_state = 368},
  [18112] = {.lex_state = 368},
  [18113] = {.lex_state = 0},
  [18114] = {.lex_state = 0},
  [18115] = {.lex_state = 368},
  [18116] = {.lex_state = 0},
  [18117] = {.lex_state = 0},
  [18118] = {.lex_state = 0},
  [18119] = {.lex_state = 0},
  [18120] = {.lex_state = 0},
  [18121] = {.lex_state = 368},
  [18122] = {.lex_state = 0},
  [18123] = {.lex_state = 0},
  [18124] = {.lex_state = 368},
  [18125] = {.lex_state = 368},
  [18126] = {.lex_state = 429, .external_lex_state = 10},
  [18127] = {.lex_state = 0},
  [18128] = {.lex_state = 0},
  [18129] = {.lex_state = 0},
  [18130] = {.lex_state = 0},
  [18131] = {.lex_state = 0},
  [18132] = {.lex_state = 368},
  [18133] = {.lex_state = 0},
  [18134] = {.lex_state = 0},
  [18135] = {.lex_state = 368},
  [18136] = {.lex_state = 368},
  [18137] = {.lex_state = 0},
  [18138] = {.lex_state = 348},
  [18139] = {.lex_state = 0},
  [18140] = {.lex_state = 348},
  [18141] = {.lex_state = 0},
  [18142] = {.lex_state = 0},
  [18143] = {.lex_state = 0},
  [18144] = {.lex_state = 0},
  [18145] = {.lex_state = 0},
  [18146] = {.lex_state = 0},
  [18147] = {.lex_state = 0},
  [18148] = {.lex_state = 0},
  [18149] = {.lex_state = 368},
  [18150] = {.lex_state = 368},
  [18151] = {.lex_state = 429, .external_lex_state = 13},
  [18152] = {.lex_state = 0},
  [18153] = {.lex_state = 0},
  [18154] = {.lex_state = 348},
  [18155] = {.lex_state = 0},
  [18156] = {.lex_state = 0},
  [18157] = {.lex_state = 0},
  [18158] = {.lex_state = 368},
  [18159] = {.lex_state = 0},
  [18160] = {.lex_state = 429, .external_lex_state = 11},
  [18161] = {.lex_state = 368},
  [18162] = {.lex_state = 429},
  [18163] = {.lex_state = 0},
  [18164] = {.lex_state = 0},
  [18165] = {.lex_state = 348},
  [18166] = {.lex_state = 0},
  [18167] = {.lex_state = 348},
  [18168] = {.lex_state = 0},
  [18169] = {.lex_state = 368},
  [18170] = {.lex_state = 368},
  [18171] = {.lex_state = 0},
  [18172] = {.lex_state = 0},
  [18173] = {.lex_state = 368},
  [18174] = {.lex_state = 0},
  [18175] = {.lex_state = 348},
  [18176] = {.lex_state = 0},
  [18177] = {.lex_state = 0},
  [18178] = {.lex_state = 0},
  [18179] = {.lex_state = 0},
  [18180] = {.lex_state = 0},
  [18181] = {.lex_state = 0},
  [18182] = {.lex_state = 0},
  [18183] = {.lex_state = 0},
  [18184] = {.lex_state = 0},
  [18185] = {.lex_state = 0},
  [18186] = {.lex_state = 0},
  [18187] = {.lex_state = 0},
  [18188] = {.lex_state = 0},
  [18189] = {.lex_state = 0},
  [18190] = {.lex_state = 0},
  [18191] = {.lex_state = 0},
  [18192] = {.lex_state = 0},
  [18193] = {.lex_state = 0},
  [18194] = {.lex_state = 0},
  [18195] = {.lex_state = 0},
  [18196] = {.lex_state = 0, .external_lex_state = 3},
  [18197] = {.lex_state = 348},
  [18198] = {.lex_state = 0},
  [18199] = {.lex_state = 0},
  [18200] = {.lex_state = 368},
  [18201] = {.lex_state = 0},
  [18202] = {.lex_state = 429, .external_lex_state = 12},
  [18203] = {.lex_state = 348},
  [18204] = {.lex_state = 0},
  [18205] = {.lex_state = 0},
  [18206] = {.lex_state = 348, .external_lex_state = 4},
  [18207] = {.lex_state = 0},
  [18208] = {.lex_state = 0},
  [18209] = {.lex_state = 0},
  [18210] = {.lex_state = 0},
  [18211] = {.lex_state = 429, .external_lex_state = 13},
  [18212] = {.lex_state = 368},
  [18213] = {.lex_state = 0},
  [18214] = {.lex_state = 0},
  [18215] = {.lex_state = 0},
  [18216] = {.lex_state = 348},
  [18217] = {.lex_state = 348},
  [18218] = {.lex_state = 348},
  [18219] = {.lex_state = 348},
  [18220] = {.lex_state = 0},
  [18221] = {.lex_state = 0},
  [18222] = {.lex_state = 0},
  [18223] = {.lex_state = 0},
  [18224] = {.lex_state = 0},
  [18225] = {.lex_state = 429},
  [18226] = {.lex_state = 0},
  [18227] = {.lex_state = 312},
  [18228] = {.lex_state = 0},
  [18229] = {.lex_state = 0},
  [18230] = {.lex_state = 0},
  [18231] = {.lex_state = 0},
  [18232] = {.lex_state = 312},
  [18233] = {.lex_state = 0},
  [18234] = {.lex_state = 0},
  [18235] = {.lex_state = 0},
  [18236] = {.lex_state = 312},
  [18237] = {.lex_state = 0},
  [18238] = {.lex_state = 312},
  [18239] = {.lex_state = 368},
  [18240] = {.lex_state = 0},
  [18241] = {.lex_state = 312},
  [18242] = {.lex_state = 312},
  [18243] = {.lex_state = 312},
  [18244] = {.lex_state = 0},
  [18245] = {.lex_state = 0},
  [18246] = {.lex_state = 312},
  [18247] = {.lex_state = 0},
  [18248] = {.lex_state = 0},
  [18249] = {.lex_state = 312},
  [18250] = {.lex_state = 0},
  [18251] = {.lex_state = 0},
  [18252] = {.lex_state = 0},
  [18253] = {.lex_state = 0},
  [18254] = {.lex_state = 312},
  [18255] = {.lex_state = 0},
  [18256] = {.lex_state = 0},
  [18257] = {.lex_state = 0},
  [18258] = {.lex_state = 0},
  [18259] = {.lex_state = 312},
  [18260] = {.lex_state = 0},
  [18261] = {.lex_state = 0},
  [18262] = {.lex_state = 0},
  [18263] = {.lex_state = 312},
  [18264] = {.lex_state = 0},
  [18265] = {.lex_state = 0},
  [18266] = {.lex_state = 0},
  [18267] = {.lex_state = 0},
  [18268] = {.lex_state = 0},
  [18269] = {.lex_state = 0},
  [18270] = {.lex_state = 312},
  [18271] = {.lex_state = 0},
  [18272] = {.lex_state = 312},
  [18273] = {.lex_state = 0},
  [18274] = {.lex_state = 0},
  [18275] = {.lex_state = 0},
  [18276] = {.lex_state = 0},
  [18277] = {.lex_state = 312},
  [18278] = {.lex_state = 0},
  [18279] = {.lex_state = 0},
  [18280] = {.lex_state = 312},
  [18281] = {.lex_state = 0},
  [18282] = {.lex_state = 312},
  [18283] = {.lex_state = 0},
  [18284] = {.lex_state = 0},
  [18285] = {.lex_state = 0},
  [18286] = {.lex_state = 0},
  [18287] = {.lex_state = 312},
  [18288] = {.lex_state = 429},
  [18289] = {.lex_state = 0},
  [18290] = {.lex_state = 0},
  [18291] = {.lex_state = 0},
  [18292] = {.lex_state = 0},
  [18293] = {.lex_state = 0},
  [18294] = {.lex_state = 0},
  [18295] = {.lex_state = 0},
  [18296] = {.lex_state = 0},
  [18297] = {.lex_state = 312},
  [18298] = {.lex_state = 0},
  [18299] = {.lex_state = 0},
  [18300] = {.lex_state = 312},
  [18301] = {.lex_state = 0},
  [18302] = {.lex_state = 0},
  [18303] = {.lex_state = 0},
  [18304] = {.lex_state = 429},
  [18305] = {.lex_state = 0},
  [18306] = {.lex_state = 0},
  [18307] = {.lex_state = 0},
  [18308] = {.lex_state = 0},
  [18309] = {.lex_state = 0},
  [18310] = {.lex_state = 312},
  [18311] = {.lex_state = 0},
  [18312] = {.lex_state = 0},
  [18313] = {.lex_state = 0},
  [18314] = {.lex_state = 312},
  [18315] = {.lex_state = 0},
  [18316] = {.lex_state = 0},
  [18317] = {.lex_state = 0},
  [18318] = {.lex_state = 0},
  [18319] = {.lex_state = 0},
  [18320] = {.lex_state = 312},
  [18321] = {.lex_state = 0},
  [18322] = {.lex_state = 0},
  [18323] = {.lex_state = 0},
  [18324] = {.lex_state = 0},
  [18325] = {.lex_state = 0},
  [18326] = {.lex_state = 0},
  [18327] = {.lex_state = 312},
  [18328] = {.lex_state = 0},
  [18329] = {.lex_state = 0},
  [18330] = {.lex_state = 0},
  [18331] = {.lex_state = 0},
  [18332] = {.lex_state = 0},
  [18333] = {.lex_state = 0},
  [18334] = {.lex_state = 0},
  [18335] = {.lex_state = 0},
  [18336] = {.lex_state = 0},
  [18337] = {.lex_state = 0},
  [18338] = {.lex_state = 0},
  [18339] = {.lex_state = 0},
  [18340] = {.lex_state = 0},
  [18341] = {.lex_state = 0},
  [18342] = {.lex_state = 0},
  [18343] = {.lex_state = 312},
  [18344] = {.lex_state = 0},
  [18345] = {.lex_state = 0},
  [18346] = {.lex_state = 0},
  [18347] = {.lex_state = 312},
  [18348] = {.lex_state = 0},
  [18349] = {.lex_state = 312},
  [18350] = {.lex_state = 0},
  [18351] = {.lex_state = 0},
  [18352] = {.lex_state = 312},
  [18353] = {.lex_state = 0},
  [18354] = {.lex_state = 312},
  [18355] = {.lex_state = 0},
  [18356] = {.lex_state = 312},
  [18357] = {.lex_state = 0},
  [18358] = {.lex_state = 0},
  [18359] = {.lex_state = 429},
  [18360] = {.lex_state = 0},
  [18361] = {.lex_state = 0},
  [18362] = {.lex_state = 0},
  [18363] = {.lex_state = 0},
  [18364] = {.lex_state = 0},
  [18365] = {.lex_state = 0},
  [18366] = {.lex_state = 0},
  [18367] = {.lex_state = 312},
  [18368] = {.lex_state = 0},
  [18369] = {.lex_state = 0},
  [18370] = {.lex_state = 0},
  [18371] = {.lex_state = 0},
  [18372] = {.lex_state = 0},
  [18373] = {.lex_state = 429},
  [18374] = {.lex_state = 0},
  [18375] = {.lex_state = 312},
  [18376] = {.lex_state = 312},
  [18377] = {.lex_state = 0},
  [18378] = {.lex_state = 0},
  [18379] = {.lex_state = 0},
  [18380] = {.lex_state = 312},
  [18381] = {.lex_state = 312},
  [18382] = {.lex_state = 0},
  [18383] = {.lex_state = 0},
  [18384] = {.lex_state = 0},
  [18385] = {.lex_state = 0},
  [18386] = {.lex_state = 312},
  [18387] = {.lex_state = 312},
  [18388] = {.lex_state = 0},
  [18389] = {.lex_state = 0},
  [18390] = {.lex_state = 312},
  [18391] = {.lex_state = 0},
  [18392] = {.lex_state = 368},
  [18393] = {.lex_state = 312},
  [18394] = {.lex_state = 0},
  [18395] = {.lex_state = 312},
  [18396] = {.lex_state = 312},
  [18397] = {.lex_state = 312},
  [18398] = {.lex_state = 0},
  [18399] = {.lex_state = 0},
  [18400] = {.lex_state = 0},
  [18401] = {.lex_state = 0},
  [18402] = {.lex_state = 0},
  [18403] = {.lex_state = 0},
  [18404] = {.lex_state = 312},
  [18405] = {.lex_state = 0},
  [18406] = {.lex_state = 0},
  [18407] = {.lex_state = 0},
  [18408] = {.lex_state = 0},
  [18409] = {.lex_state = 0},
  [18410] = {.lex_state = 0},
  [18411] = {.lex_state = 312},
  [18412] = {.lex_state = 368},
  [18413] = {.lex_state = 0},
  [18414] = {.lex_state = 0},
  [18415] = {.lex_state = 429},
  [18416] = {.lex_state = 312},
  [18417] = {.lex_state = 0},
  [18418] = {.lex_state = 0},
  [18419] = {.lex_state = 429},
  [18420] = {.lex_state = 0},
  [18421] = {.lex_state = 312},
  [18422] = {.lex_state = 0},
  [18423] = {.lex_state = 0},
  [18424] = {.lex_state = 312},
  [18425] = {.lex_state = 0},
  [18426] = {.lex_state = 0},
  [18427] = {.lex_state = 429},
  [18428] = {.lex_state = 432},
  [18429] = {.lex_state = 312},
  [18430] = {.lex_state = 0},
  [18431] = {.lex_state = 312},
  [18432] = {.lex_state = 0},
  [18433] = {.lex_state = 312},
  [18434] = {.lex_state = 0},
  [18435] = {.lex_state = 312},
  [18436] = {.lex_state = 368},
  [18437] = {.lex_state = 0},
  [18438] = {.lex_state = 429},
  [18439] = {.lex_state = 0},
  [18440] = {.lex_state = 312},
  [18441] = {.lex_state = 0},
  [18442] = {.lex_state = 312},
  [18443] = {.lex_state = 0},
  [18444] = {.lex_state = 312},
  [18445] = {.lex_state = 0},
  [18446] = {.lex_state = 0},
  [18447] = {.lex_state = 0},
  [18448] = {.lex_state = 312},
  [18449] = {.lex_state = 0},
  [18450] = {.lex_state = 0},
  [18451] = {.lex_state = 0},
  [18452] = {.lex_state = 0},
  [18453] = {.lex_state = 0},
  [18454] = {.lex_state = 312},
  [18455] = {.lex_state = 312},
  [18456] = {.lex_state = 0},
  [18457] = {.lex_state = 0},
  [18458] = {.lex_state = 429},
  [18459] = {.lex_state = 0},
  [18460] = {.lex_state = 312},
  [18461] = {.lex_state = 0},
  [18462] = {.lex_state = 0},
  [18463] = {.lex_state = 0},
  [18464] = {.lex_state = 0},
  [18465] = {.lex_state = 312},
  [18466] = {.lex_state = 0},
  [18467] = {.lex_state = 312},
  [18468] = {.lex_state = 312},
  [18469] = {.lex_state = 0},
  [18470] = {.lex_state = 0},
  [18471] = {.lex_state = 0},
  [18472] = {.lex_state = 0},
  [18473] = {.lex_state = 0},
  [18474] = {.lex_state = 0},
  [18475] = {.lex_state = 312},
  [18476] = {.lex_state = 0},
  [18477] = {.lex_state = 312},
  [18478] = {.lex_state = 0},
  [18479] = {.lex_state = 0},
  [18480] = {.lex_state = 312},
  [18481] = {.lex_state = 0},
  [18482] = {.lex_state = 0},
  [18483] = {.lex_state = 0},
  [18484] = {.lex_state = 312},
  [18485] = {.lex_state = 0},
  [18486] = {.lex_state = 0},
  [18487] = {.lex_state = 0},
  [18488] = {.lex_state = 0},
  [18489] = {.lex_state = 0},
  [18490] = {.lex_state = 0},
  [18491] = {.lex_state = 0},
  [18492] = {.lex_state = 312},
  [18493] = {.lex_state = 0},
  [18494] = {.lex_state = 0},
  [18495] = {.lex_state = 0},
  [18496] = {.lex_state = 312},
  [18497] = {.lex_state = 0},
  [18498] = {.lex_state = 0},
  [18499] = {.lex_state = 0},
  [18500] = {.lex_state = 312},
  [18501] = {.lex_state = 312},
  [18502] = {.lex_state = 0},
  [18503] = {.lex_state = 312},
  [18504] = {.lex_state = 0},
  [18505] = {.lex_state = 429},
  [18506] = {.lex_state = 0},
  [18507] = {.lex_state = 312},
  [18508] = {.lex_state = 0},
  [18509] = {.lex_state = 312},
  [18510] = {.lex_state = 429},
  [18511] = {.lex_state = 312},
  [18512] = {.lex_state = 312},
  [18513] = {.lex_state = 0},
  [18514] = {.lex_state = 0},
  [18515] = {.lex_state = 0},
  [18516] = {.lex_state = 312},
  [18517] = {.lex_state = 368},
  [18518] = {.lex_state = 312},
  [18519] = {.lex_state = 0},
  [18520] = {.lex_state = 0},
  [18521] = {.lex_state = 0},
  [18522] = {.lex_state = 0},
  [18523] = {.lex_state = 0},
  [18524] = {.lex_state = 0},
  [18525] = {.lex_state = 0},
  [18526] = {.lex_state = 0},
  [18527] = {.lex_state = 0},
  [18528] = {.lex_state = 0},
  [18529] = {.lex_state = 0},
  [18530] = {.lex_state = 0},
  [18531] = {.lex_state = 312},
  [18532] = {.lex_state = 429},
  [18533] = {.lex_state = 312},
  [18534] = {.lex_state = 429},
  [18535] = {.lex_state = 429},
  [18536] = {.lex_state = 0},
  [18537] = {.lex_state = 0},
  [18538] = {.lex_state = 0},
  [18539] = {.lex_state = 0},
  [18540] = {.lex_state = 0},
  [18541] = {.lex_state = 312},
  [18542] = {.lex_state = 0},
  [18543] = {.lex_state = 0},
  [18544] = {.lex_state = 429},
  [18545] = {.lex_state = 0},
  [18546] = {.lex_state = 312},
  [18547] = {.lex_state = 312},
  [18548] = {.lex_state = 0},
  [18549] = {.lex_state = 0},
  [18550] = {.lex_state = 0},
  [18551] = {.lex_state = 312},
  [18552] = {.lex_state = 0},
  [18553] = {.lex_state = 312},
  [18554] = {.lex_state = 0},
  [18555] = {.lex_state = 368},
  [18556] = {.lex_state = 0},
  [18557] = {.lex_state = 0},
  [18558] = {.lex_state = 312},
  [18559] = {.lex_state = 312},
  [18560] = {.lex_state = 0},
  [18561] = {.lex_state = 0},
  [18562] = {.lex_state = 0},
  [18563] = {.lex_state = 0},
  [18564] = {.lex_state = 429},
  [18565] = {.lex_state = 0},
  [18566] = {.lex_state = 0},
  [18567] = {.lex_state = 429},
  [18568] = {.lex_state = 312},
  [18569] = {.lex_state = 429},
  [18570] = {.lex_state = 0},
  [18571] = {.lex_state = 0},
  [18572] = {.lex_state = 429},
  [18573] = {.lex_state = 0},
  [18574] = {.lex_state = 0},
  [18575] = {.lex_state = 312},
  [18576] = {.lex_state = 0},
  [18577] = {.lex_state = 0},
  [18578] = {.lex_state = 312},
  [18579] = {.lex_state = 0},
  [18580] = {.lex_state = 429},
  [18581] = {.lex_state = 429},
  [18582] = {.lex_state = 312},
  [18583] = {.lex_state = 0},
  [18584] = {.lex_state = 0},
  [18585] = {.lex_state = 312},
  [18586] = {.lex_state = 429},
  [18587] = {.lex_state = 0},
  [18588] = {.lex_state = 0},
  [18589] = {.lex_state = 0},
  [18590] = {.lex_state = 429},
  [18591] = {.lex_state = 0},
  [18592] = {.lex_state = 0},
  [18593] = {.lex_state = 429},
  [18594] = {.lex_state = 0},
  [18595] = {.lex_state = 429},
  [18596] = {.lex_state = 0},
  [18597] = {.lex_state = 0},
  [18598] = {.lex_state = 0},
  [18599] = {.lex_state = 0},
  [18600] = {.lex_state = 312},
  [18601] = {.lex_state = 429},
  [18602] = {.lex_state = 0},
  [18603] = {.lex_state = 429},
  [18604] = {.lex_state = 0},
  [18605] = {.lex_state = 429},
  [18606] = {.lex_state = 0},
  [18607] = {.lex_state = 0},
  [18608] = {.lex_state = 0},
  [18609] = {.lex_state = 429},
  [18610] = {.lex_state = 0},
  [18611] = {.lex_state = 312},
  [18612] = {.lex_state = 0},
  [18613] = {.lex_state = 312},
  [18614] = {.lex_state = 0},
  [18615] = {.lex_state = 312},
  [18616] = {.lex_state = 0},
  [18617] = {.lex_state = 429},
  [18618] = {.lex_state = 429},
  [18619] = {.lex_state = 0},
  [18620] = {.lex_state = 429},
  [18621] = {.lex_state = 0},
  [18622] = {.lex_state = 429},
  [18623] = {.lex_state = 0},
  [18624] = {.lex_state = 0},
  [18625] = {.lex_state = 0},
  [18626] = {.lex_state = 0},
  [18627] = {.lex_state = 0},
  [18628] = {.lex_state = 0},
  [18629] = {.lex_state = 0},
  [18630] = {.lex_state = 312},
  [18631] = {.lex_state = 0},
  [18632] = {.lex_state = 0},
  [18633] = {.lex_state = 312},
  [18634] = {.lex_state = 0},
  [18635] = {.lex_state = 0},
  [18636] = {.lex_state = 0},
  [18637] = {.lex_state = 429},
  [18638] = {.lex_state = 429},
  [18639] = {.lex_state = 0},
  [18640] = {.lex_state = 312},
  [18641] = {.lex_state = 0},
  [18642] = {.lex_state = 375},
  [18643] = {.lex_state = 0},
  [18644] = {.lex_state = 0},
  [18645] = {.lex_state = 0},
  [18646] = {.lex_state = 0},
  [18647] = {.lex_state = 0},
  [18648] = {.lex_state = 429},
  [18649] = {.lex_state = 0},
  [18650] = {.lex_state = 0},
  [18651] = {.lex_state = 0},
  [18652] = {.lex_state = 312},
  [18653] = {.lex_state = 0},
  [18654] = {.lex_state = 0},
  [18655] = {.lex_state = 0},
  [18656] = {.lex_state = 0},
  [18657] = {.lex_state = 429},
  [18658] = {.lex_state = 0},
  [18659] = {.lex_state = 429},
  [18660] = {.lex_state = 0},
  [18661] = {.lex_state = 0},
  [18662] = {.lex_state = 0},
  [18663] = {.lex_state = 312},
  [18664] = {.lex_state = 0},
  [18665] = {.lex_state = 312},
  [18666] = {.lex_state = 312},
  [18667] = {.lex_state = 0},
  [18668] = {.lex_state = 0},
  [18669] = {.lex_state = 0},
  [18670] = {.lex_state = 0},
  [18671] = {.lex_state = 0},
  [18672] = {.lex_state = 0},
  [18673] = {.lex_state = 0},
  [18674] = {.lex_state = 0},
  [18675] = {.lex_state = 0},
  [18676] = {.lex_state = 429},
  [18677] = {.lex_state = 0},
  [18678] = {.lex_state = 312},
  [18679] = {.lex_state = 312},
  [18680] = {.lex_state = 0},
  [18681] = {.lex_state = 0},
  [18682] = {.lex_state = 0},
  [18683] = {.lex_state = 312},
  [18684] = {.lex_state = 429},
  [18685] = {.lex_state = 0},
  [18686] = {.lex_state = 0},
  [18687] = {.lex_state = 0},
  [18688] = {.lex_state = 0},
  [18689] = {.lex_state = 0},
  [18690] = {.lex_state = 312},
  [18691] = {.lex_state = 429},
  [18692] = {.lex_state = 0},
  [18693] = {.lex_state = 0},
  [18694] = {.lex_state = 0},
  [18695] = {.lex_state = 0},
  [18696] = {.lex_state = 429},
  [18697] = {.lex_state = 429},
  [18698] = {.lex_state = 429},
  [18699] = {.lex_state = 0},
  [18700] = {.lex_state = 429},
  [18701] = {.lex_state = 429},
  [18702] = {.lex_state = 0},
  [18703] = {.lex_state = 0},
  [18704] = {.lex_state = 0},
  [18705] = {.lex_state = 312},
  [18706] = {.lex_state = 0},
  [18707] = {.lex_state = 312},
  [18708] = {.lex_state = 429},
  [18709] = {.lex_state = 0},
  [18710] = {.lex_state = 0},
  [18711] = {.lex_state = 312},
  [18712] = {.lex_state = 312},
  [18713] = {.lex_state = 0},
  [18714] = {.lex_state = 312},
  [18715] = {.lex_state = 0},
  [18716] = {.lex_state = 0},
  [18717] = {.lex_state = 312},
  [18718] = {.lex_state = 0},
  [18719] = {.lex_state = 0},
  [18720] = {.lex_state = 312},
  [18721] = {.lex_state = 0},
  [18722] = {.lex_state = 0},
  [18723] = {.lex_state = 0},
  [18724] = {.lex_state = 0},
  [18725] = {.lex_state = 0},
  [18726] = {.lex_state = 312},
  [18727] = {.lex_state = 312},
  [18728] = {.lex_state = 0},
  [18729] = {.lex_state = 0},
  [18730] = {.lex_state = 0},
  [18731] = {.lex_state = 0},
  [18732] = {.lex_state = 0},
  [18733] = {.lex_state = 0},
  [18734] = {.lex_state = 312},
  [18735] = {.lex_state = 0},
  [18736] = {.lex_state = 0},
  [18737] = {.lex_state = 0},
  [18738] = {.lex_state = 0},
  [18739] = {.lex_state = 0},
  [18740] = {.lex_state = 312},
  [18741] = {.lex_state = 0},
  [18742] = {.lex_state = 0},
  [18743] = {.lex_state = 0},
  [18744] = {.lex_state = 312},
  [18745] = {.lex_state = 0},
  [18746] = {.lex_state = 0},
  [18747] = {.lex_state = 0},
  [18748] = {.lex_state = 0},
  [18749] = {.lex_state = 0},
  [18750] = {.lex_state = 0},
  [18751] = {.lex_state = 0},
  [18752] = {.lex_state = 0},
  [18753] = {.lex_state = 312},
  [18754] = {.lex_state = 0},
  [18755] = {.lex_state = 312},
  [18756] = {.lex_state = 0},
  [18757] = {.lex_state = 312},
  [18758] = {.lex_state = 0},
  [18759] = {.lex_state = 0},
  [18760] = {.lex_state = 0},
  [18761] = {.lex_state = 0},
  [18762] = {.lex_state = 0},
  [18763] = {.lex_state = 0},
  [18764] = {.lex_state = 0},
  [18765] = {.lex_state = 0},
  [18766] = {.lex_state = 0},
  [18767] = {.lex_state = 0},
  [18768] = {.lex_state = 0},
  [18769] = {.lex_state = 0},
  [18770] = {.lex_state = 0},
  [18771] = {.lex_state = 0},
  [18772] = {.lex_state = 312},
  [18773] = {.lex_state = 0},
  [18774] = {.lex_state = 0},
  [18775] = {.lex_state = 0},
  [18776] = {.lex_state = 312},
  [18777] = {.lex_state = 0},
  [18778] = {.lex_state = 0},
  [18779] = {.lex_state = 312},
  [18780] = {.lex_state = 312},
  [18781] = {.lex_state = 0},
  [18782] = {.lex_state = 0},
  [18783] = {.lex_state = 0},
  [18784] = {.lex_state = 0},
  [18785] = {.lex_state = 0},
  [18786] = {.lex_state = 368},
  [18787] = {.lex_state = 368},
  [18788] = {.lex_state = 368},
  [18789] = {.lex_state = 0},
  [18790] = {.lex_state = 0},
  [18791] = {.lex_state = 368},
  [18792] = {.lex_state = 368},
  [18793] = {.lex_state = 429},
  [18794] = {.lex_state = 0},
  [18795] = {.lex_state = 0},
  [18796] = {.lex_state = 0},
  [18797] = {.lex_state = 0},
  [18798] = {.lex_state = 0},
  [18799] = {.lex_state = 348},
  [18800] = {.lex_state = 0},
  [18801] = {.lex_state = 0},
  [18802] = {.lex_state = 348},
  [18803] = {.lex_state = 0},
  [18804] = {.lex_state = 0},
  [18805] = {.lex_state = 368},
  [18806] = {.lex_state = 0},
  [18807] = {.lex_state = 0},
  [18808] = {.lex_state = 0, .external_lex_state = 4},
  [18809] = {.lex_state = 0},
  [18810] = {.lex_state = 0},
  [18811] = {.lex_state = 0},
  [18812] = {.lex_state = 368},
  [18813] = {.lex_state = 368},
  [18814] = {.lex_state = 0},
  [18815] = {.lex_state = 0},
  [18816] = {.lex_state = 368},
  [18817] = {.lex_state = 0},
  [18818] = {.lex_state = 0},
  [18819] = {.lex_state = 0},
  [18820] = {.lex_state = 368},
  [18821] = {.lex_state = 368},
  [18822] = {.lex_state = 368},
  [18823] = {.lex_state = 0},
  [18824] = {.lex_state = 0},
  [18825] = {.lex_state = 0},
  [18826] = {.lex_state = 0},
  [18827] = {.lex_state = 0},
  [18828] = {.lex_state = 0},
  [18829] = {.lex_state = 0},
  [18830] = {.lex_state = 0},
  [18831] = {.lex_state = 429},
  [18832] = {.lex_state = 429},
  [18833] = {.lex_state = 0},
  [18834] = {.lex_state = 0},
  [18835] = {.lex_state = 0},
  [18836] = {.lex_state = 0},
  [18837] = {.lex_state = 0},
  [18838] = {.lex_state = 0},
  [18839] = {.lex_state = 429},
  [18840] = {.lex_state = 429},
  [18841] = {.lex_state = 0},
  [18842] = {.lex_state = 0},
  [18843] = {.lex_state = 368},
  [18844] = {.lex_state = 0},
  [18845] = {.lex_state = 0},
  [18846] = {.lex_state = 429},
  [18847] = {.lex_state = 0},
  [18848] = {.lex_state = 0},
  [18849] = {.lex_state = 0},
  [18850] = {.lex_state = 0},
  [18851] = {.lex_state = 368},
  [18852] = {.lex_state = 348},
  [18853] = {.lex_state = 0},
  [18854] = {.lex_state = 0},
  [18855] = {.lex_state = 368},
  [18856] = {.lex_state = 368},
  [18857] = {.lex_state = 0},
  [18858] = {.lex_state = 0},
  [18859] = {.lex_state = 0},
  [18860] = {.lex_state = 986},
  [18861] = {.lex_state = 0, .external_lex_state = 4},
  [18862] = {.lex_state = 348},
  [18863] = {.lex_state = 348},
  [18864] = {.lex_state = 0},
  [18865] = {.lex_state = 0},
  [18866] = {.lex_state = 0},
  [18867] = {.lex_state = 368},
  [18868] = {.lex_state = 0},
  [18869] = {.lex_state = 429},
  [18870] = {.lex_state = 0},
  [18871] = {.lex_state = 0},
  [18872] = {.lex_state = 0},
  [18873] = {.lex_state = 0},
  [18874] = {.lex_state = 0},
  [18875] = {.lex_state = 0},
  [18876] = {.lex_state = 368},
  [18877] = {.lex_state = 0},
  [18878] = {.lex_state = 0},
  [18879] = {.lex_state = 368},
  [18880] = {.lex_state = 0},
  [18881] = {.lex_state = 0},
  [18882] = {.lex_state = 0},
  [18883] = {.lex_state = 0},
  [18884] = {.lex_state = 368},
  [18885] = {.lex_state = 348},
  [18886] = {.lex_state = 368},
  [18887] = {.lex_state = 0},
  [18888] = {.lex_state = 0},
  [18889] = {.lex_state = 0},
  [18890] = {.lex_state = 0},
  [18891] = {.lex_state = 0},
  [18892] = {.lex_state = 0, .external_lex_state = 4},
  [18893] = {.lex_state = 368},
  [18894] = {.lex_state = 368},
  [18895] = {.lex_state = 0},
  [18896] = {.lex_state = 368},
  [18897] = {.lex_state = 0},
  [18898] = {.lex_state = 0},
  [18899] = {.lex_state = 368},
  [18900] = {.lex_state = 368},
  [18901] = {.lex_state = 368},
  [18902] = {.lex_state = 0},
  [18903] = {.lex_state = 368},
  [18904] = {.lex_state = 0},
  [18905] = {.lex_state = 368},
  [18906] = {.lex_state = 348},
  [18907] = {.lex_state = 0},
  [18908] = {.lex_state = 0},
  [18909] = {.lex_state = 368},
  [18910] = {.lex_state = 0},
  [18911] = {.lex_state = 0},
  [18912] = {.lex_state = 0},
  [18913] = {.lex_state = 368},
  [18914] = {.lex_state = 368},
  [18915] = {.lex_state = 368},
  [18916] = {.lex_state = 368},
  [18917] = {.lex_state = 0},
  [18918] = {.lex_state = 368},
  [18919] = {.lex_state = 0},
  [18920] = {.lex_state = 0},
  [18921] = {.lex_state = 0, .external_lex_state = 4},
  [18922] = {.lex_state = 0},
  [18923] = {.lex_state = 0},
  [18924] = {.lex_state = 368},
  [18925] = {.lex_state = 0, .external_lex_state = 4},
  [18926] = {.lex_state = 0},
  [18927] = {.lex_state = 0},
  [18928] = {.lex_state = 348},
  [18929] = {.lex_state = 0},
  [18930] = {.lex_state = 0},
  [18931] = {.lex_state = 0},
  [18932] = {.lex_state = 0},
  [18933] = {.lex_state = 0},
  [18934] = {.lex_state = 368},
  [18935] = {.lex_state = 0},
  [18936] = {.lex_state = 0},
  [18937] = {.lex_state = 0},
  [18938] = {.lex_state = 0},
  [18939] = {.lex_state = 0},
  [18940] = {.lex_state = 368},
  [18941] = {.lex_state = 368},
  [18942] = {.lex_state = 0},
  [18943] = {.lex_state = 368},
  [18944] = {.lex_state = 0},
  [18945] = {.lex_state = 0},
  [18946] = {.lex_state = 368},
  [18947] = {.lex_state = 368},
  [18948] = {.lex_state = 0},
  [18949] = {.lex_state = 368},
  [18950] = {.lex_state = 0},
  [18951] = {.lex_state = 368},
  [18952] = {.lex_state = 0},
  [18953] = {.lex_state = 368},
  [18954] = {.lex_state = 0},
  [18955] = {.lex_state = 368},
  [18956] = {.lex_state = 368},
  [18957] = {.lex_state = 368},
  [18958] = {.lex_state = 0},
  [18959] = {.lex_state = 368},
  [18960] = {.lex_state = 0},
  [18961] = {.lex_state = 368},
  [18962] = {.lex_state = 0},
  [18963] = {.lex_state = 348},
  [18964] = {.lex_state = 368},
  [18965] = {.lex_state = 0},
  [18966] = {.lex_state = 368},
  [18967] = {.lex_state = 0},
  [18968] = {.lex_state = 368},
  [18969] = {.lex_state = 0},
  [18970] = {.lex_state = 0},
  [18971] = {.lex_state = 0},
  [18972] = {.lex_state = 368},
  [18973] = {.lex_state = 368},
  [18974] = {.lex_state = 368},
  [18975] = {.lex_state = 0},
  [18976] = {.lex_state = 0, .external_lex_state = 4},
  [18977] = {.lex_state = 368},
  [18978] = {.lex_state = 368},
  [18979] = {.lex_state = 0},
  [18980] = {.lex_state = 368},
  [18981] = {.lex_state = 0},
  [18982] = {.lex_state = 0},
  [18983] = {.lex_state = 0},
  [18984] = {.lex_state = 0},
  [18985] = {.lex_state = 0},
  [18986] = {.lex_state = 0},
  [18987] = {.lex_state = 0},
  [18988] = {.lex_state = 368},
  [18989] = {.lex_state = 0},
  [18990] = {.lex_state = 0},
  [18991] = {.lex_state = 0},
  [18992] = {.lex_state = 0},
  [18993] = {.lex_state = 368},
  [18994] = {.lex_state = 0},
  [18995] = {.lex_state = 0},
  [18996] = {.lex_state = 348},
  [18997] = {.lex_state = 0},
  [18998] = {.lex_state = 368},
  [18999] = {.lex_state = 368},
  [19000] = {.lex_state = 429},
  [19001] = {.lex_state = 368},
  [19002] = {.lex_state = 0},
  [19003] = {.lex_state = 429},
  [19004] = {.lex_state = 368},
  [19005] = {.lex_state = 368},
  [19006] = {.lex_state = 0},
  [19007] = {.lex_state = 348},
  [19008] = {.lex_state = 0},
  [19009] = {.lex_state = 0},
  [19010] = {.lex_state = 0, .external_lex_state = 14},
  [19011] = {.lex_state = 0},
  [19012] = {.lex_state = 0},
  [19013] = {.lex_state = 368},
  [19014] = {.lex_state = 368},
  [19015] = {.lex_state = 368},
  [19016] = {.lex_state = 0},
  [19017] = {.lex_state = 368},
  [19018] = {.lex_state = 348},
  [19019] = {.lex_state = 0},
  [19020] = {.lex_state = 368},
  [19021] = {.lex_state = 368},
  [19022] = {.lex_state = 0},
  [19023] = {.lex_state = 0},
  [19024] = {.lex_state = 0},
  [19025] = {.lex_state = 0},
  [19026] = {.lex_state = 0},
  [19027] = {.lex_state = 0, .external_lex_state = 4},
  [19028] = {.lex_state = 368},
  [19029] = {.lex_state = 368},
  [19030] = {.lex_state = 368},
  [19031] = {.lex_state = 0},
  [19032] = {.lex_state = 368},
  [19033] = {.lex_state = 368},
  [19034] = {.lex_state = 0},
  [19035] = {.lex_state = 368},
  [19036] = {.lex_state = 368},
  [19037] = {.lex_state = 368},
  [19038] = {.lex_state = 0},
  [19039] = {.lex_state = 0},
  [19040] = {.lex_state = 0, .external_lex_state = 4},
  [19041] = {.lex_state = 0},
  [19042] = {.lex_state = 0},
  [19043] = {.lex_state = 429},
  [19044] = {.lex_state = 0},
  [19045] = {.lex_state = 0},
  [19046] = {.lex_state = 0},
  [19047] = {.lex_state = 368},
  [19048] = {.lex_state = 0},
  [19049] = {.lex_state = 0},
  [19050] = {.lex_state = 0},
  [19051] = {.lex_state = 0},
  [19052] = {.lex_state = 0},
  [19053] = {.lex_state = 368},
  [19054] = {.lex_state = 0},
  [19055] = {.lex_state = 368},
  [19056] = {.lex_state = 348},
  [19057] = {.lex_state = 368},
  [19058] = {.lex_state = 0},
  [19059] = {.lex_state = 368},
  [19060] = {.lex_state = 0},
  [19061] = {.lex_state = 368},
  [19062] = {.lex_state = 368},
  [19063] = {.lex_state = 368},
  [19064] = {.lex_state = 0},
  [19065] = {.lex_state = 368},
  [19066] = {.lex_state = 348},
  [19067] = {.lex_state = 0},
  [19068] = {.lex_state = 0, .external_lex_state = 4},
  [19069] = {.lex_state = 348},
  [19070] = {.lex_state = 0},
  [19071] = {.lex_state = 0},
  [19072] = {.lex_state = 0},
  [19073] = {.lex_state = 0},
  [19074] = {.lex_state = 368},
  [19075] = {.lex_state = 368},
  [19076] = {.lex_state = 368},
  [19077] = {.lex_state = 0},
  [19078] = {.lex_state = 0},
  [19079] = {.lex_state = 0},
  [19080] = {.lex_state = 0},
  [19081] = {.lex_state = 368},
  [19082] = {.lex_state = 368},
  [19083] = {.lex_state = 368},
  [19084] = {.lex_state = 0},
  [19085] = {.lex_state = 368},
  [19086] = {.lex_state = 0},
  [19087] = {.lex_state = 368},
  [19088] = {.lex_state = 0},
  [19089] = {.lex_state = 368},
  [19090] = {.lex_state = 0},
  [19091] = {.lex_state = 368},
  [19092] = {.lex_state = 0},
  [19093] = {.lex_state = 368},
  [19094] = {.lex_state = 0},
  [19095] = {.lex_state = 348},
  [19096] = {.lex_state = 368},
  [19097] = {.lex_state = 368},
  [19098] = {.lex_state = 368},
  [19099] = {.lex_state = 368},
  [19100] = {.lex_state = 0},
  [19101] = {.lex_state = 0},
  [19102] = {.lex_state = 0},
  [19103] = {.lex_state = 0, .external_lex_state = 4},
  [19104] = {.lex_state = 368},
  [19105] = {.lex_state = 0},
  [19106] = {.lex_state = 0},
  [19107] = {.lex_state = 0},
  [19108] = {.lex_state = 0, .external_lex_state = 4},
  [19109] = {.lex_state = 368},
  [19110] = {.lex_state = 0},
  [19111] = {.lex_state = 368},
  [19112] = {.lex_state = 368},
  [19113] = {.lex_state = 0},
  [19114] = {.lex_state = 368},
  [19115] = {.lex_state = 368},
  [19116] = {.lex_state = 348},
  [19117] = {.lex_state = 0},
  [19118] = {.lex_state = 0},
  [19119] = {.lex_state = 0},
  [19120] = {.lex_state = 0},
  [19121] = {.lex_state = 0},
  [19122] = {.lex_state = 368},
  [19123] = {.lex_state = 0},
  [19124] = {.lex_state = 0},
  [19125] = {.lex_state = 368},
  [19126] = {.lex_state = 0},
  [19127] = {.lex_state = 368},
  [19128] = {.lex_state = 0},
  [19129] = {.lex_state = 368},
  [19130] = {.lex_state = 0},
  [19131] = {.lex_state = 348},
  [19132] = {.lex_state = 0},
  [19133] = {.lex_state = 348},
  [19134] = {.lex_state = 348},
  [19135] = {.lex_state = 0},
  [19136] = {.lex_state = 0},
  [19137] = {.lex_state = 0},
  [19138] = {.lex_state = 368},
  [19139] = {.lex_state = 368},
  [19140] = {.lex_state = 429},
  [19141] = {.lex_state = 348},
  [19142] = {.lex_state = 368},
  [19143] = {.lex_state = 348},
  [19144] = {.lex_state = 348},
  [19145] = {.lex_state = 0},
  [19146] = {.lex_state = 0},
  [19147] = {.lex_state = 429},
  [19148] = {.lex_state = 368},
  [19149] = {.lex_state = 368},
  [19150] = {.lex_state = 0},
  [19151] = {.lex_state = 0},
  [19152] = {.lex_state = 368},
  [19153] = {.lex_state = 368},
  [19154] = {.lex_state = 368},
  [19155] = {.lex_state = 368},
  [19156] = {.lex_state = 0},
  [19157] = {.lex_state = 0},
  [19158] = {.lex_state = 368},
  [19159] = {.lex_state = 0},
  [19160] = {.lex_state = 0, .external_lex_state = 4},
  [19161] = {.lex_state = 368},
  [19162] = {.lex_state = 368},
  [19163] = {.lex_state = 368},
  [19164] = {.lex_state = 0},
  [19165] = {.lex_state = 368},
  [19166] = {.lex_state = 0},
  [19167] = {.lex_state = 0},
  [19168] = {.lex_state = 0},
  [19169] = {.lex_state = 429},
  [19170] = {.lex_state = 0},
  [19171] = {.lex_state = 0},
  [19172] = {.lex_state = 368},
  [19173] = {.lex_state = 368},
  [19174] = {.lex_state = 0},
  [19175] = {.lex_state = 0},
  [19176] = {.lex_state = 0},
  [19177] = {.lex_state = 0},
  [19178] = {.lex_state = 0},
  [19179] = {.lex_state = 0},
  [19180] = {.lex_state = 368},
  [19181] = {.lex_state = 429},
  [19182] = {.lex_state = 0},
  [19183] = {.lex_state = 0},
  [19184] = {.lex_state = 368},
  [19185] = {.lex_state = 368},
  [19186] = {.lex_state = 0},
  [19187] = {.lex_state = 368},
  [19188] = {.lex_state = 0},
  [19189] = {.lex_state = 0},
  [19190] = {.lex_state = 0},
  [19191] = {.lex_state = 0},
  [19192] = {.lex_state = 368},
  [19193] = {.lex_state = 0},
  [19194] = {.lex_state = 0},
  [19195] = {.lex_state = 368},
  [19196] = {.lex_state = 368},
  [19197] = {.lex_state = 368},
  [19198] = {.lex_state = 0, .external_lex_state = 4},
  [19199] = {.lex_state = 368},
  [19200] = {.lex_state = 348},
  [19201] = {.lex_state = 0},
  [19202] = {.lex_state = 0},
  [19203] = {.lex_state = 0},
  [19204] = {.lex_state = 368},
  [19205] = {.lex_state = 368},
  [19206] = {.lex_state = 368},
  [19207] = {.lex_state = 0},
  [19208] = {.lex_state = 368},
  [19209] = {.lex_state = 368},
  [19210] = {.lex_state = 0},
  [19211] = {.lex_state = 368},
  [19212] = {.lex_state = 368},
  [19213] = {.lex_state = 368},
  [19214] = {.lex_state = 348},
  [19215] = {.lex_state = 348},
  [19216] = {.lex_state = 368},
  [19217] = {.lex_state = 0},
  [19218] = {.lex_state = 0},
  [19219] = {.lex_state = 0},
  [19220] = {.lex_state = 368},
  [19221] = {.lex_state = 0},
  [19222] = {.lex_state = 0},
  [19223] = {.lex_state = 0},
  [19224] = {.lex_state = 0},
  [19225] = {.lex_state = 0},
  [19226] = {.lex_state = 0},
  [19227] = {.lex_state = 0},
  [19228] = {.lex_state = 0},
  [19229] = {.lex_state = 368},
  [19230] = {.lex_state = 0, .external_lex_state = 4},
  [19231] = {.lex_state = 368},
  [19232] = {.lex_state = 368},
  [19233] = {.lex_state = 0},
  [19234] = {.lex_state = 0},
  [19235] = {.lex_state = 0},
  [19236] = {.lex_state = 368},
  [19237] = {.lex_state = 368},
  [19238] = {.lex_state = 0},
  [19239] = {.lex_state = 368},
  [19240] = {.lex_state = 0},
  [19241] = {.lex_state = 0},
  [19242] = {.lex_state = 0},
  [19243] = {.lex_state = 368},
  [19244] = {.lex_state = 368},
  [19245] = {.lex_state = 368},
  [19246] = {.lex_state = 0},
  [19247] = {.lex_state = 368},
  [19248] = {.lex_state = 0},
  [19249] = {.lex_state = 0},
  [19250] = {.lex_state = 368},
  [19251] = {.lex_state = 0},
  [19252] = {.lex_state = 368},
  [19253] = {.lex_state = 0},
  [19254] = {.lex_state = 0},
  [19255] = {.lex_state = 348},
  [19256] = {.lex_state = 0},
  [19257] = {.lex_state = 368},
  [19258] = {.lex_state = 0},
  [19259] = {.lex_state = 368},
  [19260] = {.lex_state = 368},
  [19261] = {.lex_state = 368},
  [19262] = {.lex_state = 0},
  [19263] = {.lex_state = 0},
  [19264] = {.lex_state = 0},
  [19265] = {.lex_state = 368},
  [19266] = {.lex_state = 368},
  [19267] = {.lex_state = 368},
  [19268] = {.lex_state = 0},
  [19269] = {.lex_state = 368},
  [19270] = {.lex_state = 368},
  [19271] = {.lex_state = 0},
  [19272] = {.lex_state = 368},
  [19273] = {.lex_state = 0},
  [19274] = {.lex_state = 0},
  [19275] = {.lex_state = 0},
  [19276] = {.lex_state = 0},
  [19277] = {.lex_state = 368},
  [19278] = {.lex_state = 0},
  [19279] = {.lex_state = 0},
  [19280] = {.lex_state = 0},
  [19281] = {.lex_state = 0},
  [19282] = {.lex_state = 368},
  [19283] = {.lex_state = 429},
  [19284] = {.lex_state = 348},
  [19285] = {.lex_state = 348},
  [19286] = {.lex_state = 0},
  [19287] = {.lex_state = 0},
  [19288] = {.lex_state = 368},
  [19289] = {.lex_state = 0},
  [19290] = {.lex_state = 0},
  [19291] = {.lex_state = 0},
  [19292] = {.lex_state = 0},
  [19293] = {.lex_state = 0},
  [19294] = {.lex_state = 348},
  [19295] = {.lex_state = 0},
  [19296] = {.lex_state = 368},
  [19297] = {.lex_state = 0},
  [19298] = {.lex_state = 368},
  [19299] = {.lex_state = 0},
  [19300] = {.lex_state = 0},
  [19301] = {.lex_state = 0},
  [19302] = {.lex_state = 368},
  [19303] = {.lex_state = 368},
  [19304] = {.lex_state = 0},
  [19305] = {.lex_state = 0},
  [19306] = {.lex_state = 0},
  [19307] = {.lex_state = 0},
  [19308] = {.lex_state = 368},
  [19309] = {.lex_state = 368},
  [19310] = {.lex_state = 368},
  [19311] = {.lex_state = 0},
  [19312] = {.lex_state = 0},
  [19313] = {.lex_state = 348},
  [19314] = {.lex_state = 348},
  [19315] = {.lex_state = 0},
  [19316] = {.lex_state = 0},
  [19317] = {.lex_state = 0},
  [19318] = {.lex_state = 0},
  [19319] = {.lex_state = 368},
  [19320] = {.lex_state = 368},
  [19321] = {.lex_state = 368},
  [19322] = {.lex_state = 368},
  [19323] = {.lex_state = 0},
  [19324] = {.lex_state = 0},
  [19325] = {.lex_state = 0},
  [19326] = {.lex_state = 368},
  [19327] = {.lex_state = 0},
  [19328] = {.lex_state = 0},
  [19329] = {.lex_state = 368},
  [19330] = {.lex_state = 368},
  [19331] = {.lex_state = 368},
  [19332] = {.lex_state = 368},
  [19333] = {.lex_state = 368},
  [19334] = {.lex_state = 0},
  [19335] = {.lex_state = 368},
  [19336] = {.lex_state = 368},
  [19337] = {.lex_state = 368},
  [19338] = {.lex_state = 0},
  [19339] = {.lex_state = 368},
  [19340] = {.lex_state = 0},
  [19341] = {.lex_state = 348},
  [19342] = {.lex_state = 348},
  [19343] = {.lex_state = 0},
  [19344] = {.lex_state = 368},
  [19345] = {.lex_state = 0},
  [19346] = {.lex_state = 0},
  [19347] = {.lex_state = 368},
  [19348] = {.lex_state = 368},
  [19349] = {.lex_state = 368},
  [19350] = {.lex_state = 368},
  [19351] = {.lex_state = 348},
  [19352] = {.lex_state = 348},
  [19353] = {.lex_state = 368},
  [19354] = {.lex_state = 0},
  [19355] = {.lex_state = 368},
  [19356] = {.lex_state = 368},
  [19357] = {.lex_state = 0},
  [19358] = {.lex_state = 0},
  [19359] = {.lex_state = 0},
  [19360] = {.lex_state = 0},
  [19361] = {.lex_state = 348},
  [19362] = {.lex_state = 348},
  [19363] = {.lex_state = 0, .external_lex_state = 4},
  [19364] = {.lex_state = 429},
  [19365] = {.lex_state = 0},
  [19366] = {.lex_state = 0},
  [19367] = {.lex_state = 368},
  [19368] = {.lex_state = 348},
  [19369] = {.lex_state = 348},
  [19370] = {.lex_state = 368},
  [19371] = {.lex_state = 0},
  [19372] = {.lex_state = 368},
  [19373] = {.lex_state = 0},
  [19374] = {.lex_state = 348},
  [19375] = {.lex_state = 348},
  [19376] = {.lex_state = 368},
  [19377] = {.lex_state = 0},
  [19378] = {.lex_state = 368},
  [19379] = {.lex_state = 0},
  [19380] = {.lex_state = 348},
  [19381] = {.lex_state = 348},
  [19382] = {.lex_state = 368},
  [19383] = {.lex_state = 0},
  [19384] = {.lex_state = 348},
  [19385] = {.lex_state = 368},
  [19386] = {.lex_state = 348},
  [19387] = {.lex_state = 368},
  [19388] = {.lex_state = 0},
  [19389] = {.lex_state = 368},
  [19390] = {.lex_state = 0},
  [19391] = {.lex_state = 368},
  [19392] = {.lex_state = 348},
  [19393] = {.lex_state = 0},
  [19394] = {.lex_state = 368},
  [19395] = {.lex_state = 368},
  [19396] = {.lex_state = 0},
  [19397] = {.lex_state = 0},
  [19398] = {.lex_state = 0},
  [19399] = {.lex_state = 0},
  [19400] = {.lex_state = 368},
  [19401] = {.lex_state = 0},
  [19402] = {.lex_state = 0},
  [19403] = {.lex_state = 368},
  [19404] = {.lex_state = 368},
  [19405] = {.lex_state = 0},
  [19406] = {.lex_state = 0},
  [19407] = {.lex_state = 0},
  [19408] = {.lex_state = 0},
  [19409] = {.lex_state = 0},
  [19410] = {.lex_state = 0},
  [19411] = {.lex_state = 0},
  [19412] = {.lex_state = 0},
  [19413] = {.lex_state = 348},
  [19414] = {.lex_state = 0},
  [19415] = {.lex_state = 368},
  [19416] = {.lex_state = 0},
  [19417] = {.lex_state = 0},
  [19418] = {.lex_state = 348},
  [19419] = {.lex_state = 348},
  [19420] = {.lex_state = 0},
  [19421] = {.lex_state = 0},
  [19422] = {.lex_state = 0},
  [19423] = {.lex_state = 368},
  [19424] = {.lex_state = 368},
  [19425] = {.lex_state = 368},
  [19426] = {.lex_state = 0},
  [19427] = {.lex_state = 368},
  [19428] = {.lex_state = 368},
  [19429] = {.lex_state = 368},
  [19430] = {.lex_state = 368},
  [19431] = {.lex_state = 0},
  [19432] = {.lex_state = 368},
  [19433] = {.lex_state = 0},
  [19434] = {.lex_state = 368},
  [19435] = {.lex_state = 368},
  [19436] = {.lex_state = 0},
  [19437] = {.lex_state = 368},
  [19438] = {.lex_state = 0},
  [19439] = {.lex_state = 368},
  [19440] = {.lex_state = 0, .external_lex_state = 4},
  [19441] = {.lex_state = 368},
  [19442] = {.lex_state = 0},
  [19443] = {.lex_state = 348},
  [19444] = {.lex_state = 0},
  [19445] = {.lex_state = 368},
  [19446] = {.lex_state = 0},
  [19447] = {.lex_state = 0},
  [19448] = {.lex_state = 368},
  [19449] = {.lex_state = 348},
  [19450] = {.lex_state = 368},
  [19451] = {.lex_state = 368},
  [19452] = {.lex_state = 0},
  [19453] = {.lex_state = 368},
  [19454] = {.lex_state = 368},
  [19455] = {.lex_state = 368},
  [19456] = {.lex_state = 368},
  [19457] = {.lex_state = 0},
  [19458] = {.lex_state = 0},
  [19459] = {.lex_state = 368},
  [19460] = {.lex_state = 0},
  [19461] = {.lex_state = 368},
  [19462] = {.lex_state = 368},
  [19463] = {.lex_state = 368},
  [19464] = {.lex_state = 368},
  [19465] = {.lex_state = 368},
  [19466] = {.lex_state = 368},
  [19467] = {.lex_state = 368},
  [19468] = {.lex_state = 368},
  [19469] = {.lex_state = 0},
  [19470] = {.lex_state = 368},
  [19471] = {.lex_state = 368},
  [19472] = {.lex_state = 368},
  [19473] = {.lex_state = 0},
  [19474] = {.lex_state = 0},
  [19475] = {.lex_state = 368},
  [19476] = {.lex_state = 368},
  [19477] = {.lex_state = 0},
  [19478] = {.lex_state = 368},
  [19479] = {.lex_state = 0},
  [19480] = {.lex_state = 368},
  [19481] = {.lex_state = 0},
  [19482] = {.lex_state = 368},
  [19483] = {.lex_state = 0},
  [19484] = {.lex_state = 368},
  [19485] = {.lex_state = 0},
  [19486] = {.lex_state = 368},
  [19487] = {.lex_state = 368},
  [19488] = {.lex_state = 368},
  [19489] = {.lex_state = 0},
  [19490] = {.lex_state = 0},
  [19491] = {.lex_state = 0},
  [19492] = {.lex_state = 0},
  [19493] = {.lex_state = 368},
  [19494] = {.lex_state = 368},
  [19495] = {.lex_state = 368},
  [19496] = {.lex_state = 0},
  [19497] = {.lex_state = 368},
  [19498] = {.lex_state = 0},
  [19499] = {.lex_state = 0},
  [19500] = {.lex_state = 0, .external_lex_state = 4},
  [19501] = {.lex_state = 429},
  [19502] = {.lex_state = 0},
  [19503] = {.lex_state = 0},
  [19504] = {.lex_state = 0},
  [19505] = {.lex_state = 368},
  [19506] = {.lex_state = 0},
  [19507] = {.lex_state = 348},
  [19508] = {.lex_state = 0},
  [19509] = {.lex_state = 0},
  [19510] = {.lex_state = 0},
  [19511] = {.lex_state = 368},
  [19512] = {.lex_state = 0},
  [19513] = {.lex_state = 0},
  [19514] = {.lex_state = 0},
  [19515] = {.lex_state = 0},
  [19516] = {.lex_state = 368},
  [19517] = {.lex_state = 0},
  [19518] = {.lex_state = 0},
  [19519] = {.lex_state = 0},
  [19520] = {.lex_state = 0},
  [19521] = {.lex_state = 0},
  [19522] = {.lex_state = 0},
  [19523] = {.lex_state = 0},
  [19524] = {.lex_state = 368},
  [19525] = {.lex_state = 0},
  [19526] = {.lex_state = 0},
  [19527] = {.lex_state = 368},
  [19528] = {.lex_state = 368},
  [19529] = {.lex_state = 368},
  [19530] = {.lex_state = 429},
  [19531] = {.lex_state = 0},
  [19532] = {.lex_state = 0},
  [19533] = {.lex_state = 0},
  [19534] = {.lex_state = 368},
  [19535] = {.lex_state = 0},
  [19536] = {.lex_state = 368},
  [19537] = {.lex_state = 368},
  [19538] = {.lex_state = 368},
  [19539] = {.lex_state = 0},
  [19540] = {.lex_state = 368},
  [19541] = {.lex_state = 368},
  [19542] = {.lex_state = 0},
  [19543] = {.lex_state = 0},
  [19544] = {.lex_state = 368},
  [19545] = {.lex_state = 368},
  [19546] = {.lex_state = 0},
  [19547] = {.lex_state = 368},
  [19548] = {.lex_state = 368},
  [19549] = {.lex_state = 0},
  [19550] = {.lex_state = 368},
  [19551] = {.lex_state = 0},
  [19552] = {.lex_state = 368},
  [19553] = {.lex_state = 0},
  [19554] = {.lex_state = 0},
  [19555] = {.lex_state = 368},
  [19556] = {.lex_state = 368},
  [19557] = {.lex_state = 0},
  [19558] = {.lex_state = 368},
  [19559] = {.lex_state = 0},
  [19560] = {.lex_state = 429},
  [19561] = {.lex_state = 0},
  [19562] = {.lex_state = 368},
  [19563] = {.lex_state = 0},
  [19564] = {.lex_state = 0},
  [19565] = {.lex_state = 0},
  [19566] = {.lex_state = 0},
  [19567] = {.lex_state = 0},
  [19568] = {.lex_state = 0},
  [19569] = {.lex_state = 0},
  [19570] = {.lex_state = 0},
  [19571] = {.lex_state = 0},
  [19572] = {.lex_state = 0},
  [19573] = {.lex_state = 0},
  [19574] = {.lex_state = 368},
  [19575] = {.lex_state = 0},
  [19576] = {.lex_state = 368},
  [19577] = {.lex_state = 0},
  [19578] = {.lex_state = 0},
  [19579] = {.lex_state = 368},
  [19580] = {.lex_state = 348},
  [19581] = {.lex_state = 0},
  [19582] = {.lex_state = 0},
  [19583] = {.lex_state = 368},
  [19584] = {.lex_state = 368},
  [19585] = {.lex_state = 0},
  [19586] = {.lex_state = 368},
  [19587] = {.lex_state = 429},
  [19588] = {.lex_state = 368},
  [19589] = {.lex_state = 0},
  [19590] = {.lex_state = 348},
  [19591] = {.lex_state = 0},
  [19592] = {.lex_state = 368},
  [19593] = {.lex_state = 0},
  [19594] = {.lex_state = 0},
  [19595] = {.lex_state = 0},
  [19596] = {.lex_state = 368},
  [19597] = {.lex_state = 0},
  [19598] = {.lex_state = 368},
  [19599] = {.lex_state = 0},
  [19600] = {.lex_state = 0},
  [19601] = {.lex_state = 368},
  [19602] = {.lex_state = 368},
  [19603] = {.lex_state = 368},
  [19604] = {.lex_state = 368},
  [19605] = {.lex_state = 368},
  [19606] = {.lex_state = 0},
  [19607] = {.lex_state = 368},
  [19608] = {.lex_state = 0},
  [19609] = {.lex_state = 368},
  [19610] = {.lex_state = 0},
  [19611] = {.lex_state = 368},
  [19612] = {.lex_state = 368},
  [19613] = {.lex_state = 368},
  [19614] = {.lex_state = 368},
  [19615] = {.lex_state = 429},
  [19616] = {.lex_state = 0},
  [19617] = {.lex_state = 368},
  [19618] = {.lex_state = 0},
  [19619] = {.lex_state = 0},
  [19620] = {.lex_state = 368},
  [19621] = {.lex_state = 0},
  [19622] = {.lex_state = 368},
  [19623] = {.lex_state = 368},
  [19624] = {.lex_state = 368},
  [19625] = {.lex_state = 0},
  [19626] = {.lex_state = 368},
  [19627] = {.lex_state = 0},
  [19628] = {.lex_state = 0},
  [19629] = {.lex_state = 0},
  [19630] = {.lex_state = 0},
  [19631] = {.lex_state = 0},
  [19632] = {.lex_state = 0},
  [19633] = {.lex_state = 0},
  [19634] = {.lex_state = 0},
  [19635] = {.lex_state = 0},
  [19636] = {.lex_state = 368},
  [19637] = {.lex_state = 0},
  [19638] = {.lex_state = 348},
  [19639] = {.lex_state = 0},
  [19640] = {.lex_state = 0},
  [19641] = {.lex_state = 0},
  [19642] = {.lex_state = 0},
  [19643] = {.lex_state = 0},
  [19644] = {.lex_state = 0},
  [19645] = {.lex_state = 368},
  [19646] = {.lex_state = 0},
  [19647] = {.lex_state = 368},
  [19648] = {.lex_state = 348},
  [19649] = {.lex_state = 368},
  [19650] = {.lex_state = 368},
  [19651] = {.lex_state = 0},
  [19652] = {.lex_state = 0},
  [19653] = {.lex_state = 0, .external_lex_state = 4},
  [19654] = {.lex_state = 368},
  [19655] = {.lex_state = 0},
  [19656] = {.lex_state = 0},
  [19657] = {.lex_state = 368},
  [19658] = {.lex_state = 348},
  [19659] = {.lex_state = 368},
  [19660] = {.lex_state = 368},
  [19661] = {.lex_state = 368},
  [19662] = {.lex_state = 0},
  [19663] = {.lex_state = 368},
  [19664] = {.lex_state = 368},
  [19665] = {.lex_state = 368},
  [19666] = {.lex_state = 368},
  [19667] = {.lex_state = 0},
  [19668] = {.lex_state = 0},
  [19669] = {.lex_state = 368},
  [19670] = {.lex_state = 368},
  [19671] = {.lex_state = 368},
  [19672] = {.lex_state = 368},
  [19673] = {.lex_state = 368},
  [19674] = {.lex_state = 0},
  [19675] = {.lex_state = 0},
  [19676] = {.lex_state = 368},
  [19677] = {.lex_state = 368},
  [19678] = {.lex_state = 368},
  [19679] = {.lex_state = 368},
  [19680] = {.lex_state = 0},
  [19681] = {.lex_state = 0},
  [19682] = {.lex_state = 368},
  [19683] = {.lex_state = 0},
  [19684] = {.lex_state = 0},
  [19685] = {.lex_state = 368},
  [19686] = {.lex_state = 368},
  [19687] = {.lex_state = 368},
  [19688] = {.lex_state = 0},
  [19689] = {.lex_state = 348},
  [19690] = {.lex_state = 368},
  [19691] = {.lex_state = 368},
  [19692] = {.lex_state = 348},
  [19693] = {.lex_state = 0},
  [19694] = {.lex_state = 368},
  [19695] = {.lex_state = 0},
  [19696] = {.lex_state = 0},
  [19697] = {.lex_state = 0},
  [19698] = {.lex_state = 0},
  [19699] = {.lex_state = 0},
  [19700] = {.lex_state = 429},
  [19701] = {.lex_state = 368},
  [19702] = {.lex_state = 0},
  [19703] = {.lex_state = 0},
  [19704] = {.lex_state = 368},
  [19705] = {.lex_state = 0},
  [19706] = {.lex_state = 368},
  [19707] = {.lex_state = 368},
  [19708] = {.lex_state = 0},
  [19709] = {.lex_state = 368},
  [19710] = {.lex_state = 0},
  [19711] = {.lex_state = 0},
  [19712] = {.lex_state = 0},
  [19713] = {.lex_state = 368},
  [19714] = {.lex_state = 0},
  [19715] = {.lex_state = 0},
  [19716] = {.lex_state = 429},
  [19717] = {.lex_state = 0},
  [19718] = {.lex_state = 368},
  [19719] = {.lex_state = 0},
  [19720] = {.lex_state = 368},
  [19721] = {.lex_state = 368},
  [19722] = {.lex_state = 0},
  [19723] = {.lex_state = 368},
  [19724] = {.lex_state = 0},
  [19725] = {.lex_state = 0},
  [19726] = {.lex_state = 0},
  [19727] = {.lex_state = 0},
  [19728] = {.lex_state = 348},
  [19729] = {.lex_state = 0},
  [19730] = {.lex_state = 368},
  [19731] = {.lex_state = 0},
  [19732] = {.lex_state = 0},
  [19733] = {.lex_state = 0},
  [19734] = {.lex_state = 0},
  [19735] = {.lex_state = 0},
  [19736] = {.lex_state = 368},
  [19737] = {.lex_state = 368},
  [19738] = {.lex_state = 368},
  [19739] = {.lex_state = 0},
  [19740] = {.lex_state = 368},
  [19741] = {.lex_state = 0},
  [19742] = {.lex_state = 348},
  [19743] = {.lex_state = 368},
  [19744] = {.lex_state = 0},
  [19745] = {.lex_state = 368},
  [19746] = {.lex_state = 0},
  [19747] = {.lex_state = 429},
  [19748] = {.lex_state = 0},
  [19749] = {.lex_state = 0},
  [19750] = {.lex_state = 0},
  [19751] = {.lex_state = 0},
  [19752] = {.lex_state = 0},
  [19753] = {.lex_state = 0},
  [19754] = {.lex_state = 0},
  [19755] = {.lex_state = 368},
  [19756] = {.lex_state = 0},
  [19757] = {.lex_state = 368},
  [19758] = {.lex_state = 0},
  [19759] = {.lex_state = 0},
  [19760] = {.lex_state = 368},
  [19761] = {.lex_state = 0},
  [19762] = {.lex_state = 0},
  [19763] = {.lex_state = 0},
  [19764] = {.lex_state = 0},
  [19765] = {.lex_state = 0},
  [19766] = {.lex_state = 0},
  [19767] = {.lex_state = 0},
  [19768] = {.lex_state = 0},
  [19769] = {.lex_state = 0},
  [19770] = {.lex_state = 0},
  [19771] = {.lex_state = 0},
  [19772] = {.lex_state = 348},
  [19773] = {.lex_state = 0},
  [19774] = {.lex_state = 0},
  [19775] = {.lex_state = 368},
  [19776] = {.lex_state = 368},
  [19777] = {.lex_state = 368},
  [19778] = {.lex_state = 0},
  [19779] = {.lex_state = 0},
  [19780] = {.lex_state = 0},
  [19781] = {.lex_state = 429},
  [19782] = {.lex_state = 368},
  [19783] = {.lex_state = 0},
  [19784] = {.lex_state = 348},
  [19785] = {.lex_state = 0},
  [19786] = {.lex_state = 0},
  [19787] = {.lex_state = 368},
  [19788] = {.lex_state = 0},
  [19789] = {.lex_state = 0},
  [19790] = {.lex_state = 0},
  [19791] = {.lex_state = 0},
  [19792] = {.lex_state = 368},
  [19793] = {.lex_state = 368},
  [19794] = {.lex_state = 368},
  [19795] = {.lex_state = 0},
  [19796] = {.lex_state = 0},
  [19797] = {.lex_state = 0},
  [19798] = {.lex_state = 368},
  [19799] = {.lex_state = 0},
  [19800] = {.lex_state = 348},
  [19801] = {.lex_state = 368},
  [19802] = {.lex_state = 368},
  [19803] = {.lex_state = 0},
  [19804] = {.lex_state = 0},
  [19805] = {.lex_state = 368},
  [19806] = {.lex_state = 0},
  [19807] = {.lex_state = 0},
  [19808] = {.lex_state = 368},
  [19809] = {.lex_state = 368},
  [19810] = {.lex_state = 0},
  [19811] = {.lex_state = 0},
  [19812] = {.lex_state = 0},
  [19813] = {.lex_state = 368},
  [19814] = {.lex_state = 368},
  [19815] = {.lex_state = 0},
  [19816] = {.lex_state = 0},
  [19817] = {.lex_state = 0},
  [19818] = {.lex_state = 368},
  [19819] = {.lex_state = 368},
  [19820] = {.lex_state = 0},
  [19821] = {.lex_state = 0},
  [19822] = {.lex_state = 0},
  [19823] = {.lex_state = 368},
  [19824] = {.lex_state = 348},
  [19825] = {.lex_state = 0},
  [19826] = {.lex_state = 0},
  [19827] = {.lex_state = 368},
  [19828] = {.lex_state = 368},
  [19829] = {.lex_state = 0},
  [19830] = {.lex_state = 368},
  [19831] = {.lex_state = 429},
  [19832] = {.lex_state = 368},
  [19833] = {.lex_state = 0},
  [19834] = {.lex_state = 368},
  [19835] = {.lex_state = 429},
  [19836] = {.lex_state = 368},
  [19837] = {.lex_state = 368},
  [19838] = {.lex_state = 0},
  [19839] = {.lex_state = 0},
  [19840] = {.lex_state = 368},
  [19841] = {.lex_state = 0},
  [19842] = {.lex_state = 348},
  [19843] = {.lex_state = 0},
  [19844] = {.lex_state = 368},
  [19845] = {.lex_state = 0},
  [19846] = {.lex_state = 368},
  [19847] = {.lex_state = 0},
  [19848] = {.lex_state = 0},
  [19849] = {.lex_state = 368},
  [19850] = {.lex_state = 0},
  [19851] = {.lex_state = 348},
  [19852] = {.lex_state = 0},
  [19853] = {.lex_state = 368},
  [19854] = {.lex_state = 368},
  [19855] = {.lex_state = 368},
  [19856] = {.lex_state = 0},
  [19857] = {.lex_state = 368},
  [19858] = {.lex_state = 0},
  [19859] = {.lex_state = 368},
  [19860] = {.lex_state = 368},
  [19861] = {.lex_state = 0},
  [19862] = {.lex_state = 348},
  [19863] = {.lex_state = 0},
  [19864] = {.lex_state = 0},
  [19865] = {.lex_state = 0, .external_lex_state = 4},
  [19866] = {.lex_state = 0},
  [19867] = {.lex_state = 368},
  [19868] = {.lex_state = 368},
  [19869] = {.lex_state = 368},
  [19870] = {.lex_state = 0},
  [19871] = {.lex_state = 368},
  [19872] = {.lex_state = 0},
  [19873] = {.lex_state = 0},
  [19874] = {.lex_state = 368},
  [19875] = {.lex_state = 368},
  [19876] = {.lex_state = 0},
  [19877] = {.lex_state = 348},
  [19878] = {.lex_state = 368},
  [19879] = {.lex_state = 0},
  [19880] = {.lex_state = 0, .external_lex_state = 4},
  [19881] = {.lex_state = 368},
  [19882] = {.lex_state = 429},
  [19883] = {.lex_state = 348},
  [19884] = {.lex_state = 0},
  [19885] = {.lex_state = 0},
  [19886] = {.lex_state = 0},
  [19887] = {.lex_state = 0},
  [19888] = {.lex_state = 348},
  [19889] = {.lex_state = 0},
  [19890] = {.lex_state = 368},
  [19891] = {.lex_state = 348},
  [19892] = {.lex_state = 368},
  [19893] = {.lex_state = 429},
  [19894] = {.lex_state = 348},
  [19895] = {.lex_state = 0},
  [19896] = {.lex_state = 0},
  [19897] = {.lex_state = 348},
  [19898] = {.lex_state = 368},
  [19899] = {.lex_state = 0},
  [19900] = {.lex_state = 0},
  [19901] = {.lex_state = 368},
  [19902] = {.lex_state = 348},
  [19903] = {.lex_state = 0},
  [19904] = {.lex_state = 368},
  [19905] = {.lex_state = 368},
  [19906] = {.lex_state = 0},
  [19907] = {.lex_state = 0},
  [19908] = {.lex_state = 368},
  [19909] = {.lex_state = 368},
  [19910] = {.lex_state = 368},
  [19911] = {.lex_state = 368},
  [19912] = {.lex_state = 368},
  [19913] = {.lex_state = 368},
  [19914] = {.lex_state = 0, .external_lex_state = 4},
  [19915] = {.lex_state = 368},
  [19916] = {.lex_state = 0},
  [19917] = {.lex_state = 368},
  [19918] = {.lex_state = 0},
  [19919] = {.lex_state = 0},
  [19920] = {.lex_state = 348},
  [19921] = {.lex_state = 348},
  [19922] = {.lex_state = 368},
  [19923] = {.lex_state = 0},
  [19924] = {.lex_state = 429},
  [19925] = {.lex_state = 0},
  [19926] = {.lex_state = 368},
  [19927] = {.lex_state = 368},
  [19928] = {.lex_state = 368},
  [19929] = {.lex_state = 0},
  [19930] = {.lex_state = 368},
  [19931] = {.lex_state = 348},
  [19932] = {.lex_state = 368},
  [19933] = {.lex_state = 0},
  [19934] = {.lex_state = 0},
  [19935] = {.lex_state = 368},
  [19936] = {.lex_state = 348},
  [19937] = {.lex_state = 0},
  [19938] = {.lex_state = 368},
  [19939] = {.lex_state = 368},
  [19940] = {.lex_state = 429},
  [19941] = {.lex_state = 368},
  [19942] = {.lex_state = 368},
  [19943] = {.lex_state = 0},
  [19944] = {.lex_state = 0},
  [19945] = {.lex_state = 0},
  [19946] = {.lex_state = 0},
  [19947] = {.lex_state = 368},
  [19948] = {.lex_state = 0},
  [19949] = {.lex_state = 368},
  [19950] = {.lex_state = 368},
  [19951] = {.lex_state = 0},
  [19952] = {.lex_state = 368},
  [19953] = {.lex_state = 0},
  [19954] = {.lex_state = 368},
  [19955] = {.lex_state = 0},
  [19956] = {.lex_state = 0},
  [19957] = {.lex_state = 368},
  [19958] = {.lex_state = 0},
  [19959] = {.lex_state = 368},
  [19960] = {.lex_state = 368},
  [19961] = {.lex_state = 0},
  [19962] = {.lex_state = 0},
  [19963] = {.lex_state = 0},
  [19964] = {.lex_state = 368},
  [19965] = {.lex_state = 0},
  [19966] = {.lex_state = 0},
  [19967] = {.lex_state = 348},
  [19968] = {.lex_state = 368},
  [19969] = {.lex_state = 348},
  [19970] = {.lex_state = 368},
  [19971] = {.lex_state = 368},
  [19972] = {.lex_state = 368},
  [19973] = {.lex_state = 368},
  [19974] = {.lex_state = 0},
  [19975] = {.lex_state = 0},
  [19976] = {.lex_state = 0},
  [19977] = {.lex_state = 0},
  [19978] = {.lex_state = 0},
  [19979] = {.lex_state = 0},
  [19980] = {.lex_state = 429},
  [19981] = {.lex_state = 0},
  [19982] = {.lex_state = 348},
  [19983] = {.lex_state = 368},
  [19984] = {.lex_state = 348},
  [19985] = {.lex_state = 429},
  [19986] = {.lex_state = 0},
  [19987] = {.lex_state = 368},
  [19988] = {.lex_state = 0},
  [19989] = {.lex_state = 0},
  [19990] = {.lex_state = 368},
  [19991] = {.lex_state = 368},
  [19992] = {.lex_state = 368},
  [19993] = {.lex_state = 368},
  [19994] = {.lex_state = 368},
  [19995] = {.lex_state = 0},
  [19996] = {.lex_state = 0},
  [19997] = {.lex_state = 348},
  [19998] = {.lex_state = 348},
  [19999] = {.lex_state = 0},
  [20000] = {.lex_state = 348},
  [20001] = {.lex_state = 368},
  [20002] = {.lex_state = 368},
  [20003] = {.lex_state = 0},
  [20004] = {.lex_state = 0},
  [20005] = {.lex_state = 368},
  [20006] = {.lex_state = 368},
  [20007] = {.lex_state = 0},
  [20008] = {.lex_state = 368},
  [20009] = {.lex_state = 368},
  [20010] = {.lex_state = 0},
  [20011] = {.lex_state = 429},
  [20012] = {.lex_state = 368},
  [20013] = {.lex_state = 0},
  [20014] = {.lex_state = 368},
  [20015] = {.lex_state = 0},
  [20016] = {.lex_state = 0},
  [20017] = {.lex_state = 0},
  [20018] = {.lex_state = 368},
  [20019] = {.lex_state = 0},
  [20020] = {.lex_state = 0},
  [20021] = {.lex_state = 368},
  [20022] = {.lex_state = 0},
  [20023] = {.lex_state = 368},
  [20024] = {.lex_state = 0},
  [20025] = {.lex_state = 0},
  [20026] = {.lex_state = 368},
  [20027] = {.lex_state = 0},
  [20028] = {.lex_state = 368},
  [20029] = {.lex_state = 0},
  [20030] = {.lex_state = 368},
  [20031] = {.lex_state = 368},
  [20032] = {.lex_state = 368},
  [20033] = {.lex_state = 368},
  [20034] = {.lex_state = 0},
  [20035] = {.lex_state = 0},
  [20036] = {.lex_state = 0},
  [20037] = {.lex_state = 0},
  [20038] = {.lex_state = 0},
  [20039] = {.lex_state = 0},
  [20040] = {.lex_state = 368},
  [20041] = {.lex_state = 0},
  [20042] = {.lex_state = 0},
  [20043] = {.lex_state = 368},
  [20044] = {.lex_state = 0},
  [20045] = {.lex_state = 368},
  [20046] = {.lex_state = 0},
  [20047] = {.lex_state = 368},
  [20048] = {.lex_state = 368},
  [20049] = {.lex_state = 368},
  [20050] = {.lex_state = 0},
  [20051] = {.lex_state = 368},
  [20052] = {.lex_state = 368},
  [20053] = {.lex_state = 368},
  [20054] = {.lex_state = 0},
  [20055] = {.lex_state = 0},
  [20056] = {.lex_state = 368},
  [20057] = {.lex_state = 368},
  [20058] = {.lex_state = 0},
  [20059] = {.lex_state = 0},
  [20060] = {.lex_state = 368},
  [20061] = {.lex_state = 0},
  [20062] = {.lex_state = 0},
  [20063] = {.lex_state = 0},
  [20064] = {.lex_state = 368},
  [20065] = {.lex_state = 368},
  [20066] = {.lex_state = 368},
  [20067] = {.lex_state = 0},
  [20068] = {.lex_state = 0},
  [20069] = {.lex_state = 0},
  [20070] = {.lex_state = 368},
  [20071] = {.lex_state = 0},
  [20072] = {.lex_state = 0},
  [20073] = {.lex_state = 368},
  [20074] = {.lex_state = 368},
  [20075] = {.lex_state = 368},
  [20076] = {.lex_state = 368},
  [20077] = {.lex_state = 0},
  [20078] = {.lex_state = 0},
  [20079] = {.lex_state = 0},
  [20080] = {.lex_state = 0},
  [20081] = {.lex_state = 0},
  [20082] = {.lex_state = 368},
  [20083] = {.lex_state = 0},
  [20084] = {.lex_state = 368},
  [20085] = {.lex_state = 368},
  [20086] = {.lex_state = 368},
  [20087] = {.lex_state = 368},
  [20088] = {.lex_state = 0},
  [20089] = {.lex_state = 0},
  [20090] = {.lex_state = 0},
  [20091] = {.lex_state = 429},
  [20092] = {.lex_state = 348},
  [20093] = {.lex_state = 0},
  [20094] = {.lex_state = 368},
  [20095] = {.lex_state = 0, .external_lex_state = 4},
  [20096] = {.lex_state = 0},
  [20097] = {.lex_state = 368},
  [20098] = {.lex_state = 429},
  [20099] = {.lex_state = 0},
  [20100] = {.lex_state = 0},
  [20101] = {.lex_state = 368},
  [20102] = {.lex_state = 0},
  [20103] = {.lex_state = 368},
  [20104] = {.lex_state = 0},
  [20105] = {.lex_state = 0},
  [20106] = {.lex_state = 0},
  [20107] = {.lex_state = 0, .external_lex_state = 4},
  [20108] = {.lex_state = 368},
  [20109] = {.lex_state = 368},
  [20110] = {.lex_state = 429},
  [20111] = {.lex_state = 0},
  [20112] = {.lex_state = 368},
  [20113] = {.lex_state = 0},
  [20114] = {.lex_state = 0},
  [20115] = {.lex_state = 429},
  [20116] = {.lex_state = 368},
  [20117] = {.lex_state = 368},
  [20118] = {.lex_state = 0},
  [20119] = {.lex_state = 368},
  [20120] = {.lex_state = 368},
  [20121] = {.lex_state = 368},
  [20122] = {.lex_state = 368},
  [20123] = {.lex_state = 368},
  [20124] = {.lex_state = 368},
  [20125] = {.lex_state = 368},
  [20126] = {.lex_state = 0},
  [20127] = {.lex_state = 368},
  [20128] = {.lex_state = 348},
  [20129] = {.lex_state = 0},
  [20130] = {.lex_state = 368},
  [20131] = {.lex_state = 0},
  [20132] = {.lex_state = 0},
  [20133] = {.lex_state = 368},
  [20134] = {.lex_state = 368},
  [20135] = {.lex_state = 368},
  [20136] = {.lex_state = 368},
  [20137] = {.lex_state = 0},
  [20138] = {.lex_state = 0},
  [20139] = {.lex_state = 0},
  [20140] = {.lex_state = 0},
  [20141] = {.lex_state = 0},
  [20142] = {.lex_state = 0},
  [20143] = {.lex_state = 0},
  [20144] = {.lex_state = 0},
  [20145] = {.lex_state = 368},
  [20146] = {.lex_state = 368},
  [20147] = {.lex_state = 368},
  [20148] = {.lex_state = 368},
  [20149] = {.lex_state = 429},
  [20150] = {.lex_state = 0},
  [20151] = {.lex_state = 0},
  [20152] = {.lex_state = 0},
  [20153] = {.lex_state = 0},
  [20154] = {.lex_state = 368},
  [20155] = {.lex_state = 368},
  [20156] = {.lex_state = 368},
  [20157] = {.lex_state = 0},
  [20158] = {.lex_state = 368},
  [20159] = {.lex_state = 368},
  [20160] = {.lex_state = 368},
  [20161] = {.lex_state = 0},
  [20162] = {.lex_state = 368},
  [20163] = {.lex_state = 368},
  [20164] = {.lex_state = 368},
  [20165] = {.lex_state = 0},
  [20166] = {.lex_state = 368},
  [20167] = {.lex_state = 0},
  [20168] = {.lex_state = 368},
  [20169] = {.lex_state = 0},
  [20170] = {.lex_state = 368},
  [20171] = {.lex_state = 0},
  [20172] = {.lex_state = 0},
  [20173] = {.lex_state = 368},
  [20174] = {.lex_state = 368},
  [20175] = {.lex_state = 0},
  [20176] = {.lex_state = 368},
  [20177] = {.lex_state = 0},
  [20178] = {.lex_state = 368},
  [20179] = {.lex_state = 429},
  [20180] = {.lex_state = 0},
  [20181] = {.lex_state = 0},
  [20182] = {.lex_state = 368},
  [20183] = {.lex_state = 0},
  [20184] = {.lex_state = 0},
  [20185] = {.lex_state = 368},
  [20186] = {.lex_state = 348},
  [20187] = {.lex_state = 368},
  [20188] = {.lex_state = 0},
  [20189] = {.lex_state = 429},
  [20190] = {.lex_state = 368},
  [20191] = {.lex_state = 0},
  [20192] = {.lex_state = 368},
  [20193] = {.lex_state = 368},
  [20194] = {.lex_state = 0},
  [20195] = {.lex_state = 0},
  [20196] = {.lex_state = 0},
  [20197] = {.lex_state = 368},
  [20198] = {.lex_state = 368},
  [20199] = {.lex_state = 368},
  [20200] = {.lex_state = 0},
  [20201] = {.lex_state = 0},
  [20202] = {.lex_state = 0},
  [20203] = {.lex_state = 368},
  [20204] = {.lex_state = 368},
  [20205] = {.lex_state = 0},
  [20206] = {.lex_state = 0},
  [20207] = {.lex_state = 0},
  [20208] = {.lex_state = 0},
  [20209] = {.lex_state = 0},
  [20210] = {.lex_state = 348},
  [20211] = {.lex_state = 0},
  [20212] = {.lex_state = 0},
  [20213] = {.lex_state = 0},
  [20214] = {.lex_state = 0},
  [20215] = {.lex_state = 368},
  [20216] = {.lex_state = 0},
  [20217] = {.lex_state = 0},
  [20218] = {.lex_state = 368},
  [20219] = {.lex_state = 368},
  [20220] = {.lex_state = 429},
  [20221] = {.lex_state = 368},
  [20222] = {.lex_state = 0},
  [20223] = {.lex_state = 0},
  [20224] = {.lex_state = 0},
  [20225] = {.lex_state = 368},
  [20226] = {.lex_state = 0},
  [20227] = {.lex_state = 368},
  [20228] = {.lex_state = 0},
  [20229] = {.lex_state = 368},
  [20230] = {.lex_state = 0},
  [20231] = {.lex_state = 348},
  [20232] = {.lex_state = 0},
  [20233] = {.lex_state = 0},
  [20234] = {.lex_state = 0},
  [20235] = {.lex_state = 0},
  [20236] = {.lex_state = 368},
  [20237] = {.lex_state = 348},
  [20238] = {.lex_state = 0},
  [20239] = {.lex_state = 0},
  [20240] = {.lex_state = 0},
  [20241] = {.lex_state = 0},
  [20242] = {.lex_state = 368},
  [20243] = {.lex_state = 368},
  [20244] = {.lex_state = 368},
  [20245] = {.lex_state = 348},
  [20246] = {.lex_state = 0},
  [20247] = {.lex_state = 0},
  [20248] = {.lex_state = 368},
  [20249] = {.lex_state = 368},
  [20250] = {.lex_state = 368},
  [20251] = {.lex_state = 0},
  [20252] = {.lex_state = 0},
  [20253] = {.lex_state = 368},
  [20254] = {.lex_state = 368},
  [20255] = {.lex_state = 0},
  [20256] = {.lex_state = 368},
  [20257] = {.lex_state = 368},
  [20258] = {.lex_state = 368},
  [20259] = {.lex_state = 368},
  [20260] = {.lex_state = 368},
  [20261] = {.lex_state = 0},
  [20262] = {.lex_state = 0},
  [20263] = {.lex_state = 368},
  [20264] = {.lex_state = 0},
  [20265] = {.lex_state = 0},
  [20266] = {.lex_state = 429},
  [20267] = {.lex_state = 0},
  [20268] = {.lex_state = 0},
  [20269] = {.lex_state = 368},
  [20270] = {.lex_state = 368},
  [20271] = {.lex_state = 368},
  [20272] = {.lex_state = 0},
  [20273] = {.lex_state = 0},
  [20274] = {.lex_state = 0, .external_lex_state = 4},
  [20275] = {.lex_state = 368},
  [20276] = {.lex_state = 368},
  [20277] = {.lex_state = 368},
  [20278] = {.lex_state = 0},
  [20279] = {.lex_state = 0},
  [20280] = {.lex_state = 0},
  [20281] = {.lex_state = 368},
  [20282] = {.lex_state = 368},
  [20283] = {.lex_state = 0, .external_lex_state = 4},
  [20284] = {.lex_state = 0},
  [20285] = {.lex_state = 0},
  [20286] = {.lex_state = 368},
  [20287] = {.lex_state = 0},
  [20288] = {.lex_state = 0},
  [20289] = {.lex_state = 429},
  [20290] = {.lex_state = 0},
  [20291] = {.lex_state = 0},
  [20292] = {.lex_state = 368},
  [20293] = {.lex_state = 0},
  [20294] = {.lex_state = 0},
  [20295] = {.lex_state = 0},
  [20296] = {.lex_state = 0},
  [20297] = {.lex_state = 0},
  [20298] = {.lex_state = 0},
  [20299] = {.lex_state = 0},
  [20300] = {.lex_state = 368},
  [20301] = {.lex_state = 0},
  [20302] = {.lex_state = 368},
  [20303] = {.lex_state = 0},
  [20304] = {.lex_state = 368},
  [20305] = {.lex_state = 0},
  [20306] = {.lex_state = 0},
  [20307] = {.lex_state = 368},
  [20308] = {.lex_state = 368},
  [20309] = {.lex_state = 368},
  [20310] = {.lex_state = 368},
  [20311] = {.lex_state = 0},
  [20312] = {.lex_state = 0},
  [20313] = {.lex_state = 0},
  [20314] = {.lex_state = 368},
  [20315] = {.lex_state = 368},
  [20316] = {.lex_state = 429},
  [20317] = {.lex_state = 0},
  [20318] = {.lex_state = 368},
  [20319] = {.lex_state = 0},
  [20320] = {.lex_state = 0},
  [20321] = {.lex_state = 368},
  [20322] = {.lex_state = 0},
  [20323] = {.lex_state = 368},
  [20324] = {.lex_state = 0},
  [20325] = {.lex_state = 368},
  [20326] = {.lex_state = 368},
  [20327] = {.lex_state = 368},
  [20328] = {.lex_state = 348},
  [20329] = {.lex_state = 368},
  [20330] = {.lex_state = 368},
  [20331] = {.lex_state = 368},
  [20332] = {.lex_state = 0},
  [20333] = {.lex_state = 348},
  [20334] = {.lex_state = 368},
  [20335] = {.lex_state = 368},
  [20336] = {.lex_state = 368},
  [20337] = {.lex_state = 0},
  [20338] = {.lex_state = 368},
  [20339] = {.lex_state = 368},
  [20340] = {.lex_state = 368},
  [20341] = {.lex_state = 368},
  [20342] = {.lex_state = 0},
  [20343] = {.lex_state = 368},
  [20344] = {.lex_state = 0},
  [20345] = {.lex_state = 368},
  [20346] = {.lex_state = 348},
  [20347] = {.lex_state = 0},
  [20348] = {.lex_state = 0},
  [20349] = {.lex_state = 0},
  [20350] = {.lex_state = 0},
  [20351] = {.lex_state = 0},
  [20352] = {.lex_state = 368},
  [20353] = {.lex_state = 368},
  [20354] = {.lex_state = 368},
  [20355] = {.lex_state = 0},
  [20356] = {.lex_state = 0},
  [20357] = {.lex_state = 0},
  [20358] = {.lex_state = 368},
  [20359] = {(TSStateId)(-1)},
  [20360] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_block_comment] = STATE(0),
    [sym_line_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__word_identifier] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_begin] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_baremodule] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_primitive] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_macro] = ACTIONS(1),
    [anon_sym_quote] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_elseif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [sym_break_statement] = ACTIONS(1),
    [sym_continue_statement] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_outer] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_u2208] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_DOT_EQ] = ACTIONS(1),
    [aux_sym_quote_expression_token1] = ACTIONS(1),
    [anon_sym_isa] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_where] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [aux_sym_integer_literal_token1] = ACTIONS(1),
    [aux_sym_integer_literal_token2] = ACTIONS(1),
    [aux_sym_integer_literal_token3] = ACTIONS(1),
    [aux_sym_integer_literal_token4] = ACTIONS(1),
    [aux_sym_float_literal_token1] = ACTIONS(1),
    [aux_sym_float_literal_token3] = ACTIONS(1),
    [aux_sym_float_literal_token4] = ACTIONS(1),
    [sym_character_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1),
    [aux_sym__assignment_operator_token1] = ACTIONS(1),
    [sym__pair_operator] = ACTIONS(1),
    [sym__arrow_operator] = ACTIONS(1),
    [sym__lazy_or_operator] = ACTIONS(1),
    [sym__lazy_and_operator] = ACTIONS(1),
    [sym__comparison_operator] = ACTIONS(1),
    [sym__pipe_right_operator] = ACTIONS(1),
    [sym__pipe_left_operator] = ACTIONS(1),
    [sym__ellipsis_operator] = ACTIONS(1),
    [sym__plus_operator] = ACTIONS(1),
    [sym__times_operator] = ACTIONS(1),
    [sym__rational_operator] = ACTIONS(1),
    [sym__bitshift_operator] = ACTIONS(1),
    [sym__power_operator] = ACTIONS(1),
    [sym__tilde_operator] = ACTIONS(1),
    [sym__type_order_operator] = ACTIONS(1),
    [sym__unary_operator] = ACTIONS(1),
    [sym__unary_plus_operator] = ACTIONS(1),
    [anon_sym_DOT2] = ACTIONS(1),
    [anon_sym_SEMI2] = ACTIONS(1),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__block_comment_rest] = ACTIONS(1),
    [sym__immediate_paren] = ACTIONS(1),
    [sym__immediate_bracket] = ACTIONS(1),
    [sym__immediate_brace] = ACTIONS(1),
    [sym__immediate_string_start] = ACTIONS(1),
    [sym__immediate_command_start] = ACTIONS(1),
    [sym__content_cmd_1] = ACTIONS(1),
    [sym__content_cmd_1_raw] = ACTIONS(1),
    [sym__content_cmd_3] = ACTIONS(1),
    [sym__content_cmd_3_raw] = ACTIONS(1),
    [sym__content_str_1] = ACTIONS(1),
    [sym__content_str_1_raw] = ACTIONS(1),
    [sym__content_str_3] = ACTIONS(1),
    [sym__content_str_3_raw] = ACTIONS(1),
    [sym__end_cmd] = ACTIONS(1),
    [sym__end_str] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(19191),
    [sym__block] = STATE(20129),
    [sym_open_tuple] = STATE(15502),
    [sym_assignment] = STATE(17064),
    [sym__expression] = STATE(13245),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11098),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13622),
    [sym_unary_expression] = STATE(13622),
    [sym_range_expression] = STATE(13622),
    [sym_splat_expression] = STATE(13622),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13242),
    [sym_unary_typed_expression] = STATE(13622),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13622),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13405),
    [sym_block_comment] = STATE(1),
    [sym_line_comment] = STATE(1),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2] = {
    [sym__block] = STATE(18042),
    [sym_open_tuple] = STATE(14621),
    [sym_assignment] = STATE(14662),
    [sym__expression] = STATE(12401),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(2),
    [sym_line_comment] = STATE(2),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(107),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(107),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(153),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(155),
    [anon_sym_LBRACE] = ACTIONS(157),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(163),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(165),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(171),
    [aux_sym_integer_literal_token2] = ACTIONS(171),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(175),
    [aux_sym_float_literal_token3] = ACTIONS(175),
    [aux_sym_float_literal_token4] = ACTIONS(175),
    [sym_character_literal] = ACTIONS(177),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(183),
    [sym__type_order_operator] = ACTIONS(183),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym__terminator_token1] = ACTIONS(185),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(191),
    [sym__immediate_command_start] = ACTIONS(193),
  },
  [3] = {
    [sym__block] = STATE(18042),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(3),
    [sym_line_comment] = STATE(3),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(107),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(215),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(225),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(239),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(241),
    [sym__immediate_command_start] = ACTIONS(243),
  },
  [4] = {
    [sym_open_tuple] = STATE(8296),
    [sym_assignment] = STATE(8244),
    [sym__expression] = STATE(7520),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4603),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_macro_argument_list] = STATE(12774),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8265),
    [sym_unary_expression] = STATE(8265),
    [sym_range_expression] = STATE(8265),
    [sym_splat_expression] = STATE(8265),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7574),
    [sym_unary_typed_expression] = STATE(8265),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8265),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7683),
    [sym_block_comment] = STATE(4),
    [sym_line_comment] = STATE(4),
    [aux_sym_macro_argument_list_repeat1] = STATE(106),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_else] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_finally] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_DOLLAR] = ACTIONS(301),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(309),
    [aux_sym_integer_literal_token2] = ACTIONS(309),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(313),
    [aux_sym_float_literal_token3] = ACTIONS(313),
    [aux_sym_float_literal_token4] = ACTIONS(313),
    [sym_character_literal] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(317),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(317),
    [sym__pipe_left_operator] = ACTIONS(317),
    [sym__ellipsis_operator] = ACTIONS(317),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(317),
    [sym__bitshift_operator] = ACTIONS(317),
    [sym__power_operator] = ACTIONS(317),
    [sym__tilde_operator] = ACTIONS(319),
    [sym__type_order_operator] = ACTIONS(319),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(323),
    [sym__immediate_bracket] = ACTIONS(325),
    [sym__immediate_brace] = ACTIONS(327),
  },
  [5] = {
    [sym_open_tuple] = STATE(8296),
    [sym_assignment] = STATE(8244),
    [sym__expression] = STATE(7520),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4603),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_macro_argument_list] = STATE(12665),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8265),
    [sym_unary_expression] = STATE(8265),
    [sym_range_expression] = STATE(8265),
    [sym_splat_expression] = STATE(8265),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7574),
    [sym_unary_typed_expression] = STATE(8265),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8265),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7683),
    [sym_block_comment] = STATE(5),
    [sym_line_comment] = STATE(5),
    [aux_sym_macro_argument_list_repeat1] = STATE(106),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_else] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_finally] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_DOLLAR] = ACTIONS(301),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(309),
    [aux_sym_integer_literal_token2] = ACTIONS(309),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(313),
    [aux_sym_float_literal_token3] = ACTIONS(313),
    [aux_sym_float_literal_token4] = ACTIONS(313),
    [sym_character_literal] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(317),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(317),
    [sym__pipe_left_operator] = ACTIONS(317),
    [sym__ellipsis_operator] = ACTIONS(317),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(317),
    [sym__bitshift_operator] = ACTIONS(317),
    [sym__power_operator] = ACTIONS(317),
    [sym__tilde_operator] = ACTIONS(319),
    [sym__type_order_operator] = ACTIONS(319),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(333),
    [sym__immediate_bracket] = ACTIONS(335),
    [sym__immediate_brace] = ACTIONS(337),
  },
  [6] = {
    [sym_open_tuple] = STATE(8289),
    [sym_assignment] = STATE(8154),
    [sym__expression] = STATE(7518),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4594),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_macro_argument_list] = STATE(7974),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8252),
    [sym_unary_expression] = STATE(8252),
    [sym_range_expression] = STATE(8252),
    [sym_splat_expression] = STATE(8252),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7369),
    [sym_unary_typed_expression] = STATE(8252),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8252),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7582),
    [sym_block_comment] = STATE(6),
    [sym_line_comment] = STATE(6),
    [aux_sym_macro_argument_list_repeat1] = STATE(97),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(247),
    [anon_sym_else] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(413),
    [sym__type_order_operator] = ACTIONS(413),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(415),
    [sym__immediate_bracket] = ACTIONS(417),
    [sym__immediate_brace] = ACTIONS(419),
  },
  [7] = {
    [sym_open_tuple] = STATE(8289),
    [sym_assignment] = STATE(8154),
    [sym__expression] = STATE(7518),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4594),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_macro_argument_list] = STATE(7837),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8252),
    [sym_unary_expression] = STATE(8252),
    [sym_range_expression] = STATE(8252),
    [sym_splat_expression] = STATE(8252),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7369),
    [sym_unary_typed_expression] = STATE(8252),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8252),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7582),
    [sym_block_comment] = STATE(7),
    [sym_line_comment] = STATE(7),
    [aux_sym_macro_argument_list_repeat1] = STATE(97),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(329),
    [anon_sym_else] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(413),
    [sym__type_order_operator] = ACTIONS(413),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(421),
    [sym__immediate_bracket] = ACTIONS(423),
    [sym__immediate_brace] = ACTIONS(425),
  },
  [8] = {
    [sym_open_tuple] = STATE(8289),
    [sym_assignment] = STATE(8154),
    [sym__expression] = STATE(7518),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4594),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_macro_argument_list] = STATE(12027),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8252),
    [sym_unary_expression] = STATE(8252),
    [sym_range_expression] = STATE(8252),
    [sym_splat_expression] = STATE(8252),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7369),
    [sym_unary_typed_expression] = STATE(8252),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8252),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7582),
    [sym_block_comment] = STATE(8),
    [sym_line_comment] = STATE(8),
    [aux_sym_macro_argument_list_repeat1] = STATE(105),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(329),
    [anon_sym_else] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(413),
    [sym__type_order_operator] = ACTIONS(413),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(427),
    [sym__immediate_bracket] = ACTIONS(429),
    [sym__immediate_brace] = ACTIONS(431),
  },
  [9] = {
    [sym_open_tuple] = STATE(8289),
    [sym_assignment] = STATE(8154),
    [sym__expression] = STATE(7518),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4594),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_macro_argument_list] = STATE(12046),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8252),
    [sym_unary_expression] = STATE(8252),
    [sym_range_expression] = STATE(8252),
    [sym_splat_expression] = STATE(8252),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7369),
    [sym_unary_typed_expression] = STATE(8252),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8252),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7582),
    [sym_block_comment] = STATE(9),
    [sym_line_comment] = STATE(9),
    [aux_sym_macro_argument_list_repeat1] = STATE(105),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(247),
    [anon_sym_else] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(413),
    [sym__type_order_operator] = ACTIONS(413),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(433),
    [sym__immediate_bracket] = ACTIONS(435),
    [sym__immediate_brace] = ACTIONS(437),
  },
  [10] = {
    [sym_open_tuple] = STATE(8296),
    [sym_assignment] = STATE(8244),
    [sym__expression] = STATE(7520),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4603),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_macro_argument_list] = STATE(7718),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8265),
    [sym_unary_expression] = STATE(8265),
    [sym_range_expression] = STATE(8265),
    [sym_splat_expression] = STATE(8265),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7574),
    [sym_unary_typed_expression] = STATE(8265),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8265),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7683),
    [sym_block_comment] = STATE(10),
    [sym_line_comment] = STATE(10),
    [aux_sym_macro_argument_list_repeat1] = STATE(89),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_else] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_finally] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_DOLLAR] = ACTIONS(301),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(309),
    [aux_sym_integer_literal_token2] = ACTIONS(309),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(313),
    [aux_sym_float_literal_token3] = ACTIONS(313),
    [aux_sym_float_literal_token4] = ACTIONS(313),
    [sym_character_literal] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(317),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(317),
    [sym__pipe_left_operator] = ACTIONS(317),
    [sym__ellipsis_operator] = ACTIONS(317),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(317),
    [sym__bitshift_operator] = ACTIONS(317),
    [sym__power_operator] = ACTIONS(317),
    [sym__tilde_operator] = ACTIONS(319),
    [sym__type_order_operator] = ACTIONS(319),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(439),
    [sym__immediate_bracket] = ACTIONS(441),
    [sym__immediate_brace] = ACTIONS(443),
  },
  [11] = {
    [sym_open_tuple] = STATE(8296),
    [sym_assignment] = STATE(8244),
    [sym__expression] = STATE(7520),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4603),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_macro_argument_list] = STATE(7767),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8265),
    [sym_unary_expression] = STATE(8265),
    [sym_range_expression] = STATE(8265),
    [sym_splat_expression] = STATE(8265),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7574),
    [sym_unary_typed_expression] = STATE(8265),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8265),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7683),
    [sym_block_comment] = STATE(11),
    [sym_line_comment] = STATE(11),
    [aux_sym_macro_argument_list_repeat1] = STATE(89),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_else] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_finally] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_DOLLAR] = ACTIONS(301),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(309),
    [aux_sym_integer_literal_token2] = ACTIONS(309),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(313),
    [aux_sym_float_literal_token3] = ACTIONS(313),
    [aux_sym_float_literal_token4] = ACTIONS(313),
    [sym_character_literal] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(317),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(317),
    [sym__pipe_left_operator] = ACTIONS(317),
    [sym__ellipsis_operator] = ACTIONS(317),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(317),
    [sym__bitshift_operator] = ACTIONS(317),
    [sym__power_operator] = ACTIONS(317),
    [sym__tilde_operator] = ACTIONS(319),
    [sym__type_order_operator] = ACTIONS(319),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(445),
    [sym__immediate_bracket] = ACTIONS(447),
    [sym__immediate_brace] = ACTIONS(449),
  },
  [12] = {
    [sym_open_tuple] = STATE(8886),
    [sym_assignment] = STATE(8794),
    [sym__expression] = STATE(8353),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4794),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_macro_argument_list] = STATE(12027),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8967),
    [sym_unary_expression] = STATE(8967),
    [sym_range_expression] = STATE(8967),
    [sym_splat_expression] = STATE(8967),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7800),
    [sym_unary_typed_expression] = STATE(8967),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8967),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8328),
    [sym_block_comment] = STATE(12),
    [sym_line_comment] = STATE(12),
    [aux_sym_macro_argument_list_repeat1] = STATE(129),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_finally] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(509),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(515),
    [aux_sym_integer_literal_token2] = ACTIONS(515),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(519),
    [aux_sym_float_literal_token3] = ACTIONS(519),
    [aux_sym_float_literal_token4] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(523),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(523),
    [sym__pipe_left_operator] = ACTIONS(523),
    [sym__ellipsis_operator] = ACTIONS(523),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(523),
    [sym__bitshift_operator] = ACTIONS(523),
    [sym__power_operator] = ACTIONS(523),
    [sym__tilde_operator] = ACTIONS(525),
    [sym__type_order_operator] = ACTIONS(525),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(427),
    [sym__immediate_bracket] = ACTIONS(429),
    [sym__immediate_brace] = ACTIONS(431),
  },
  [13] = {
    [sym_open_tuple] = STATE(8153),
    [sym_assignment] = STATE(8154),
    [sym__expression] = STATE(8155),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4639),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_macro_argument_list] = STATE(7837),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7652),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7653),
    [sym_block_comment] = STATE(13),
    [sym_line_comment] = STATE(13),
    [aux_sym_macro_argument_list_repeat1] = STATE(133),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(329),
    [anon_sym_else] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(413),
    [sym__type_order_operator] = ACTIONS(413),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(421),
    [sym__immediate_bracket] = ACTIONS(423),
    [sym__immediate_brace] = ACTIONS(425),
  },
  [14] = {
    [sym_open_tuple] = STATE(8879),
    [sym_assignment] = STATE(8971),
    [sym__expression] = STATE(8351),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4716),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_macro_argument_list] = STATE(12027),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8839),
    [sym_unary_expression] = STATE(8839),
    [sym_range_expression] = STATE(8839),
    [sym_splat_expression] = STATE(8839),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8435),
    [sym_unary_typed_expression] = STATE(8839),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8839),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8280),
    [sym_block_comment] = STATE(14),
    [sym_line_comment] = STATE(14),
    [aux_sym_macro_argument_list_repeat1] = STATE(125),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_catch] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_DOLLAR] = ACTIONS(589),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(593),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(599),
    [aux_sym_integer_literal_token2] = ACTIONS(599),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(603),
    [aux_sym_float_literal_token3] = ACTIONS(603),
    [aux_sym_float_literal_token4] = ACTIONS(603),
    [sym_character_literal] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(607),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(607),
    [sym__pipe_left_operator] = ACTIONS(607),
    [sym__ellipsis_operator] = ACTIONS(607),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(607),
    [sym__bitshift_operator] = ACTIONS(607),
    [sym__power_operator] = ACTIONS(607),
    [sym__tilde_operator] = ACTIONS(609),
    [sym__type_order_operator] = ACTIONS(609),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(427),
    [sym__immediate_bracket] = ACTIONS(429),
    [sym__immediate_brace] = ACTIONS(431),
  },
  [15] = {
    [sym_open_tuple] = STATE(8879),
    [sym_assignment] = STATE(8971),
    [sym__expression] = STATE(8351),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4716),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_macro_argument_list] = STATE(12046),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8839),
    [sym_unary_expression] = STATE(8839),
    [sym_range_expression] = STATE(8839),
    [sym_splat_expression] = STATE(8839),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8435),
    [sym_unary_typed_expression] = STATE(8839),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8839),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8280),
    [sym_block_comment] = STATE(15),
    [sym_line_comment] = STATE(15),
    [aux_sym_macro_argument_list_repeat1] = STATE(125),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_catch] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_DOLLAR] = ACTIONS(589),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(593),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(599),
    [aux_sym_integer_literal_token2] = ACTIONS(599),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(603),
    [aux_sym_float_literal_token3] = ACTIONS(603),
    [aux_sym_float_literal_token4] = ACTIONS(603),
    [sym_character_literal] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(607),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(607),
    [sym__pipe_left_operator] = ACTIONS(607),
    [sym__ellipsis_operator] = ACTIONS(607),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(607),
    [sym__bitshift_operator] = ACTIONS(607),
    [sym__power_operator] = ACTIONS(607),
    [sym__tilde_operator] = ACTIONS(609),
    [sym__type_order_operator] = ACTIONS(609),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(433),
    [sym__immediate_bracket] = ACTIONS(435),
    [sym__immediate_brace] = ACTIONS(437),
  },
  [16] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(8822),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(16),
    [sym_line_comment] = STATE(16),
    [aux_sym_macro_argument_list_repeat1] = STATE(122),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(321),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(321),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(321),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(693),
    [sym__immediate_bracket] = ACTIONS(695),
    [sym__immediate_brace] = ACTIONS(697),
  },
  [17] = {
    [sym_open_tuple] = STATE(8886),
    [sym_assignment] = STATE(8794),
    [sym__expression] = STATE(8353),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4794),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_macro_argument_list] = STATE(12046),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8967),
    [sym_unary_expression] = STATE(8967),
    [sym_range_expression] = STATE(8967),
    [sym_splat_expression] = STATE(8967),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7800),
    [sym_unary_typed_expression] = STATE(8967),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8967),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8328),
    [sym_block_comment] = STATE(17),
    [sym_line_comment] = STATE(17),
    [aux_sym_macro_argument_list_repeat1] = STATE(129),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_finally] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(509),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(515),
    [aux_sym_integer_literal_token2] = ACTIONS(515),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(519),
    [aux_sym_float_literal_token3] = ACTIONS(519),
    [aux_sym_float_literal_token4] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(523),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(523),
    [sym__pipe_left_operator] = ACTIONS(523),
    [sym__ellipsis_operator] = ACTIONS(523),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(523),
    [sym__bitshift_operator] = ACTIONS(523),
    [sym__power_operator] = ACTIONS(523),
    [sym__tilde_operator] = ACTIONS(525),
    [sym__type_order_operator] = ACTIONS(525),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(433),
    [sym__immediate_bracket] = ACTIONS(435),
    [sym__immediate_brace] = ACTIONS(437),
  },
  [18] = {
    [sym_open_tuple] = STATE(8243),
    [sym_assignment] = STATE(8244),
    [sym__expression] = STATE(8247),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4646),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_macro_argument_list] = STATE(12665),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8170),
    [sym_unary_expression] = STATE(8170),
    [sym_range_expression] = STATE(8170),
    [sym_splat_expression] = STATE(8170),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7472),
    [sym_unary_typed_expression] = STATE(8170),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8170),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7285),
    [sym_block_comment] = STATE(18),
    [sym_line_comment] = STATE(18),
    [aux_sym_macro_argument_list_repeat1] = STATE(202),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_else] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_finally] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_DOLLAR] = ACTIONS(301),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(309),
    [aux_sym_integer_literal_token2] = ACTIONS(309),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(313),
    [aux_sym_float_literal_token3] = ACTIONS(313),
    [aux_sym_float_literal_token4] = ACTIONS(313),
    [sym_character_literal] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(317),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(317),
    [sym__pipe_left_operator] = ACTIONS(317),
    [sym__ellipsis_operator] = ACTIONS(317),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(317),
    [sym__bitshift_operator] = ACTIONS(317),
    [sym__power_operator] = ACTIONS(317),
    [sym__tilde_operator] = ACTIONS(319),
    [sym__type_order_operator] = ACTIONS(319),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(333),
    [sym__immediate_bracket] = ACTIONS(335),
    [sym__immediate_brace] = ACTIONS(337),
  },
  [19] = {
    [sym_open_tuple] = STATE(8243),
    [sym_assignment] = STATE(8244),
    [sym__expression] = STATE(8247),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4646),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_macro_argument_list] = STATE(12774),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8170),
    [sym_unary_expression] = STATE(8170),
    [sym_range_expression] = STATE(8170),
    [sym_splat_expression] = STATE(8170),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7472),
    [sym_unary_typed_expression] = STATE(8170),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8170),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7285),
    [sym_block_comment] = STATE(19),
    [sym_line_comment] = STATE(19),
    [aux_sym_macro_argument_list_repeat1] = STATE(202),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_else] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_finally] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_DOLLAR] = ACTIONS(301),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(309),
    [aux_sym_integer_literal_token2] = ACTIONS(309),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(313),
    [aux_sym_float_literal_token3] = ACTIONS(313),
    [aux_sym_float_literal_token4] = ACTIONS(313),
    [sym_character_literal] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(317),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(317),
    [sym__pipe_left_operator] = ACTIONS(317),
    [sym__ellipsis_operator] = ACTIONS(317),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(317),
    [sym__bitshift_operator] = ACTIONS(317),
    [sym__power_operator] = ACTIONS(317),
    [sym__tilde_operator] = ACTIONS(319),
    [sym__type_order_operator] = ACTIONS(319),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(323),
    [sym__immediate_bracket] = ACTIONS(325),
    [sym__immediate_brace] = ACTIONS(327),
  },
  [20] = {
    [sym_open_tuple] = STATE(8153),
    [sym_assignment] = STATE(8154),
    [sym__expression] = STATE(8155),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4639),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_macro_argument_list] = STATE(12027),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7652),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7653),
    [sym_block_comment] = STATE(20),
    [sym_line_comment] = STATE(20),
    [aux_sym_macro_argument_list_repeat1] = STATE(155),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(329),
    [anon_sym_else] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(413),
    [sym__type_order_operator] = ACTIONS(413),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(427),
    [sym__immediate_bracket] = ACTIONS(429),
    [sym__immediate_brace] = ACTIONS(431),
  },
  [21] = {
    [sym_open_tuple] = STATE(8243),
    [sym_assignment] = STATE(8244),
    [sym__expression] = STATE(8247),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4646),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_macro_argument_list] = STATE(7718),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8170),
    [sym_unary_expression] = STATE(8170),
    [sym_range_expression] = STATE(8170),
    [sym_splat_expression] = STATE(8170),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7472),
    [sym_unary_typed_expression] = STATE(8170),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8170),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7285),
    [sym_block_comment] = STATE(21),
    [sym_line_comment] = STATE(21),
    [aux_sym_macro_argument_list_repeat1] = STATE(108),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_else] = ACTIONS(329),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_finally] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_DOLLAR] = ACTIONS(301),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(309),
    [aux_sym_integer_literal_token2] = ACTIONS(309),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(313),
    [aux_sym_float_literal_token3] = ACTIONS(313),
    [aux_sym_float_literal_token4] = ACTIONS(313),
    [sym_character_literal] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(317),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(317),
    [sym__pipe_left_operator] = ACTIONS(317),
    [sym__ellipsis_operator] = ACTIONS(317),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(317),
    [sym__bitshift_operator] = ACTIONS(317),
    [sym__power_operator] = ACTIONS(317),
    [sym__tilde_operator] = ACTIONS(319),
    [sym__type_order_operator] = ACTIONS(319),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(439),
    [sym__immediate_bracket] = ACTIONS(441),
    [sym__immediate_brace] = ACTIONS(443),
  },
  [22] = {
    [sym_open_tuple] = STATE(8243),
    [sym_assignment] = STATE(8244),
    [sym__expression] = STATE(8247),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4646),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_macro_argument_list] = STATE(7767),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8170),
    [sym_unary_expression] = STATE(8170),
    [sym_range_expression] = STATE(8170),
    [sym_splat_expression] = STATE(8170),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7472),
    [sym_unary_typed_expression] = STATE(8170),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8170),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7285),
    [sym_block_comment] = STATE(22),
    [sym_line_comment] = STATE(22),
    [aux_sym_macro_argument_list_repeat1] = STATE(108),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_else] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_finally] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_DOLLAR] = ACTIONS(301),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(309),
    [aux_sym_integer_literal_token2] = ACTIONS(309),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(313),
    [aux_sym_float_literal_token3] = ACTIONS(313),
    [aux_sym_float_literal_token4] = ACTIONS(313),
    [sym_character_literal] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(317),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(317),
    [sym__pipe_left_operator] = ACTIONS(317),
    [sym__ellipsis_operator] = ACTIONS(317),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(317),
    [sym__bitshift_operator] = ACTIONS(317),
    [sym__power_operator] = ACTIONS(317),
    [sym__tilde_operator] = ACTIONS(319),
    [sym__type_order_operator] = ACTIONS(319),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(445),
    [sym__immediate_bracket] = ACTIONS(447),
    [sym__immediate_brace] = ACTIONS(449),
  },
  [23] = {
    [sym_open_tuple] = STATE(8842),
    [sym_assignment] = STATE(8773),
    [sym__expression] = STATE(8337),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4849),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_macro_argument_list] = STATE(8506),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9196),
    [sym_unary_expression] = STATE(9196),
    [sym_range_expression] = STATE(9196),
    [sym_splat_expression] = STATE(9196),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8091),
    [sym_unary_typed_expression] = STATE(9196),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9196),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8066),
    [sym_block_comment] = STATE(23),
    [sym_line_comment] = STATE(23),
    [aux_sym_macro_argument_list_repeat1] = STATE(117),
    [ts_builtin_sym_end] = ACTIONS(331),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_RBRACK] = ACTIONS(329),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(783),
    [sym__immediate_bracket] = ACTIONS(785),
    [sym__immediate_brace] = ACTIONS(787),
  },
  [24] = {
    [sym_open_tuple] = STATE(8842),
    [sym_assignment] = STATE(8773),
    [sym__expression] = STATE(8337),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4849),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_macro_argument_list] = STATE(8618),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9196),
    [sym_unary_expression] = STATE(9196),
    [sym_range_expression] = STATE(9196),
    [sym_splat_expression] = STATE(9196),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8091),
    [sym_unary_typed_expression] = STATE(9196),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9196),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8066),
    [sym_block_comment] = STATE(24),
    [sym_line_comment] = STATE(24),
    [aux_sym_macro_argument_list_repeat1] = STATE(117),
    [ts_builtin_sym_end] = ACTIONS(321),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_RBRACK] = ACTIONS(247),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(789),
    [sym__immediate_bracket] = ACTIONS(791),
    [sym__immediate_brace] = ACTIONS(793),
  },
  [25] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11431),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(25),
    [sym_line_comment] = STATE(25),
    [aux_sym_macro_argument_list_repeat1] = STATE(111),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(331),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(795),
    [sym__immediate_bracket] = ACTIONS(797),
    [sym__immediate_brace] = ACTIONS(799),
  },
  [26] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11267),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(26),
    [sym_line_comment] = STATE(26),
    [aux_sym_macro_argument_list_repeat1] = STATE(111),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(321),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(321),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(321),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(801),
    [sym__immediate_bracket] = ACTIONS(803),
    [sym__immediate_brace] = ACTIONS(805),
  },
  [27] = {
    [sym_open_tuple] = STATE(8153),
    [sym_assignment] = STATE(8154),
    [sym__expression] = STATE(8155),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4639),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_macro_argument_list] = STATE(12046),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7652),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7653),
    [sym_block_comment] = STATE(27),
    [sym_line_comment] = STATE(27),
    [aux_sym_macro_argument_list_repeat1] = STATE(155),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(247),
    [anon_sym_else] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(413),
    [sym__type_order_operator] = ACTIONS(413),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(433),
    [sym__immediate_bracket] = ACTIONS(435),
    [sym__immediate_brace] = ACTIONS(437),
  },
  [28] = {
    [sym_open_tuple] = STATE(8858),
    [sym_assignment] = STATE(8504),
    [sym__expression] = STATE(8343),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4926),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_macro_argument_list] = STATE(12027),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8747),
    [sym_unary_expression] = STATE(8747),
    [sym_range_expression] = STATE(8747),
    [sym_splat_expression] = STATE(8747),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8279),
    [sym_unary_typed_expression] = STATE(8747),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8747),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8225),
    [sym_block_comment] = STATE(28),
    [sym_line_comment] = STATE(28),
    [aux_sym_macro_argument_list_repeat1] = STATE(114),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_catch] = ACTIONS(329),
    [anon_sym_finally] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_DOLLAR] = ACTIONS(861),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(865),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(871),
    [aux_sym_integer_literal_token2] = ACTIONS(871),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(875),
    [aux_sym_float_literal_token3] = ACTIONS(875),
    [aux_sym_float_literal_token4] = ACTIONS(875),
    [sym_character_literal] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(879),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(879),
    [sym__pipe_left_operator] = ACTIONS(879),
    [sym__ellipsis_operator] = ACTIONS(879),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(879),
    [sym__bitshift_operator] = ACTIONS(879),
    [sym__power_operator] = ACTIONS(879),
    [sym__tilde_operator] = ACTIONS(881),
    [sym__type_order_operator] = ACTIONS(881),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(427),
    [sym__immediate_bracket] = ACTIONS(429),
    [sym__immediate_brace] = ACTIONS(431),
  },
  [29] = {
    [sym_open_tuple] = STATE(8858),
    [sym_assignment] = STATE(8504),
    [sym__expression] = STATE(8343),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4926),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_macro_argument_list] = STATE(8975),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8747),
    [sym_unary_expression] = STATE(8747),
    [sym_range_expression] = STATE(8747),
    [sym_splat_expression] = STATE(8747),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8279),
    [sym_unary_typed_expression] = STATE(8747),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8747),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8225),
    [sym_block_comment] = STATE(29),
    [sym_line_comment] = STATE(29),
    [aux_sym_macro_argument_list_repeat1] = STATE(127),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_catch] = ACTIONS(329),
    [anon_sym_finally] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_DOLLAR] = ACTIONS(861),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(865),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(871),
    [aux_sym_integer_literal_token2] = ACTIONS(871),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(875),
    [aux_sym_float_literal_token3] = ACTIONS(875),
    [aux_sym_float_literal_token4] = ACTIONS(875),
    [sym_character_literal] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(879),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(879),
    [sym__pipe_left_operator] = ACTIONS(879),
    [sym__ellipsis_operator] = ACTIONS(879),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(879),
    [sym__bitshift_operator] = ACTIONS(879),
    [sym__power_operator] = ACTIONS(879),
    [sym__tilde_operator] = ACTIONS(881),
    [sym__type_order_operator] = ACTIONS(881),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(883),
    [sym__immediate_bracket] = ACTIONS(885),
    [sym__immediate_brace] = ACTIONS(887),
  },
  [30] = {
    [sym_open_tuple] = STATE(8858),
    [sym_assignment] = STATE(8504),
    [sym__expression] = STATE(8343),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4926),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_macro_argument_list] = STATE(9097),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8747),
    [sym_unary_expression] = STATE(8747),
    [sym_range_expression] = STATE(8747),
    [sym_splat_expression] = STATE(8747),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8279),
    [sym_unary_typed_expression] = STATE(8747),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8747),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8225),
    [sym_block_comment] = STATE(30),
    [sym_line_comment] = STATE(30),
    [aux_sym_macro_argument_list_repeat1] = STATE(127),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_catch] = ACTIONS(247),
    [anon_sym_finally] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_DOLLAR] = ACTIONS(861),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(865),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(871),
    [aux_sym_integer_literal_token2] = ACTIONS(871),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(875),
    [aux_sym_float_literal_token3] = ACTIONS(875),
    [aux_sym_float_literal_token4] = ACTIONS(875),
    [sym_character_literal] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(879),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(879),
    [sym__pipe_left_operator] = ACTIONS(879),
    [sym__ellipsis_operator] = ACTIONS(879),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(879),
    [sym__bitshift_operator] = ACTIONS(879),
    [sym__power_operator] = ACTIONS(879),
    [sym__tilde_operator] = ACTIONS(881),
    [sym__type_order_operator] = ACTIONS(881),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(889),
    [sym__immediate_bracket] = ACTIONS(891),
    [sym__immediate_brace] = ACTIONS(893),
  },
  [31] = {
    [sym_open_tuple] = STATE(8858),
    [sym_assignment] = STATE(8504),
    [sym__expression] = STATE(8343),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4926),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_macro_argument_list] = STATE(12046),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8747),
    [sym_unary_expression] = STATE(8747),
    [sym_range_expression] = STATE(8747),
    [sym_splat_expression] = STATE(8747),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8279),
    [sym_unary_typed_expression] = STATE(8747),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8747),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8225),
    [sym_block_comment] = STATE(31),
    [sym_line_comment] = STATE(31),
    [aux_sym_macro_argument_list_repeat1] = STATE(114),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_catch] = ACTIONS(247),
    [anon_sym_finally] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_DOLLAR] = ACTIONS(861),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(865),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(871),
    [aux_sym_integer_literal_token2] = ACTIONS(871),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(875),
    [aux_sym_float_literal_token3] = ACTIONS(875),
    [aux_sym_float_literal_token4] = ACTIONS(875),
    [sym_character_literal] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(879),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(879),
    [sym__pipe_left_operator] = ACTIONS(879),
    [sym__ellipsis_operator] = ACTIONS(879),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(879),
    [sym__bitshift_operator] = ACTIONS(879),
    [sym__power_operator] = ACTIONS(879),
    [sym__tilde_operator] = ACTIONS(881),
    [sym__type_order_operator] = ACTIONS(881),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(433),
    [sym__immediate_bracket] = ACTIONS(435),
    [sym__immediate_brace] = ACTIONS(437),
  },
  [32] = {
    [sym_open_tuple] = STATE(8153),
    [sym_assignment] = STATE(8154),
    [sym__expression] = STATE(8155),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4639),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_macro_argument_list] = STATE(7974),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7652),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7653),
    [sym_block_comment] = STATE(32),
    [sym_line_comment] = STATE(32),
    [aux_sym_macro_argument_list_repeat1] = STATE(133),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(247),
    [anon_sym_else] = ACTIONS(247),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(413),
    [sym__type_order_operator] = ACTIONS(413),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(415),
    [sym__immediate_bracket] = ACTIONS(417),
    [sym__immediate_brace] = ACTIONS(419),
  },
  [33] = {
    [sym_open_tuple] = STATE(8879),
    [sym_assignment] = STATE(8971),
    [sym__expression] = STATE(8351),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4716),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_macro_argument_list] = STATE(8757),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8839),
    [sym_unary_expression] = STATE(8839),
    [sym_range_expression] = STATE(8839),
    [sym_splat_expression] = STATE(8839),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8435),
    [sym_unary_typed_expression] = STATE(8839),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8839),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8280),
    [sym_block_comment] = STATE(33),
    [sym_line_comment] = STATE(33),
    [aux_sym_macro_argument_list_repeat1] = STATE(128),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_catch] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_DOLLAR] = ACTIONS(589),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(593),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(599),
    [aux_sym_integer_literal_token2] = ACTIONS(599),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(603),
    [aux_sym_float_literal_token3] = ACTIONS(603),
    [aux_sym_float_literal_token4] = ACTIONS(603),
    [sym_character_literal] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(607),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(607),
    [sym__pipe_left_operator] = ACTIONS(607),
    [sym__ellipsis_operator] = ACTIONS(607),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(607),
    [sym__bitshift_operator] = ACTIONS(607),
    [sym__power_operator] = ACTIONS(607),
    [sym__tilde_operator] = ACTIONS(609),
    [sym__type_order_operator] = ACTIONS(609),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(895),
    [sym__immediate_bracket] = ACTIONS(897),
    [sym__immediate_brace] = ACTIONS(899),
  },
  [34] = {
    [sym_open_tuple] = STATE(8879),
    [sym_assignment] = STATE(8971),
    [sym__expression] = STATE(8351),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4716),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_macro_argument_list] = STATE(8989),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8839),
    [sym_unary_expression] = STATE(8839),
    [sym_range_expression] = STATE(8839),
    [sym_splat_expression] = STATE(8839),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8435),
    [sym_unary_typed_expression] = STATE(8839),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8839),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8280),
    [sym_block_comment] = STATE(34),
    [sym_line_comment] = STATE(34),
    [aux_sym_macro_argument_list_repeat1] = STATE(128),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_catch] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_DOLLAR] = ACTIONS(589),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(593),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(599),
    [aux_sym_integer_literal_token2] = ACTIONS(599),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(603),
    [aux_sym_float_literal_token3] = ACTIONS(603),
    [aux_sym_float_literal_token4] = ACTIONS(603),
    [sym_character_literal] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(607),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(607),
    [sym__pipe_left_operator] = ACTIONS(607),
    [sym__ellipsis_operator] = ACTIONS(607),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(607),
    [sym__bitshift_operator] = ACTIONS(607),
    [sym__power_operator] = ACTIONS(607),
    [sym__tilde_operator] = ACTIONS(609),
    [sym__type_order_operator] = ACTIONS(609),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(901),
    [sym__immediate_bracket] = ACTIONS(903),
    [sym__immediate_brace] = ACTIONS(905),
  },
  [35] = {
    [sym_open_tuple] = STATE(8886),
    [sym_assignment] = STATE(8794),
    [sym__expression] = STATE(8353),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4794),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_macro_argument_list] = STATE(9247),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8967),
    [sym_unary_expression] = STATE(8967),
    [sym_range_expression] = STATE(8967),
    [sym_splat_expression] = STATE(8967),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7800),
    [sym_unary_typed_expression] = STATE(8967),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8967),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8328),
    [sym_block_comment] = STATE(35),
    [sym_line_comment] = STATE(35),
    [aux_sym_macro_argument_list_repeat1] = STATE(130),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_finally] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(509),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(515),
    [aux_sym_integer_literal_token2] = ACTIONS(515),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(519),
    [aux_sym_float_literal_token3] = ACTIONS(519),
    [aux_sym_float_literal_token4] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(523),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(523),
    [sym__pipe_left_operator] = ACTIONS(523),
    [sym__ellipsis_operator] = ACTIONS(523),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(523),
    [sym__bitshift_operator] = ACTIONS(523),
    [sym__power_operator] = ACTIONS(523),
    [sym__tilde_operator] = ACTIONS(525),
    [sym__type_order_operator] = ACTIONS(525),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(907),
    [sym__immediate_bracket] = ACTIONS(909),
    [sym__immediate_brace] = ACTIONS(911),
  },
  [36] = {
    [sym_open_tuple] = STATE(8886),
    [sym_assignment] = STATE(8794),
    [sym__expression] = STATE(8353),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4794),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_macro_argument_list] = STATE(8607),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8967),
    [sym_unary_expression] = STATE(8967),
    [sym_range_expression] = STATE(8967),
    [sym_splat_expression] = STATE(8967),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7800),
    [sym_unary_typed_expression] = STATE(8967),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8967),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8328),
    [sym_block_comment] = STATE(36),
    [sym_line_comment] = STATE(36),
    [aux_sym_macro_argument_list_repeat1] = STATE(130),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_finally] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(509),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(515),
    [aux_sym_integer_literal_token2] = ACTIONS(515),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(519),
    [aux_sym_float_literal_token3] = ACTIONS(519),
    [aux_sym_float_literal_token4] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(523),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(523),
    [sym__pipe_left_operator] = ACTIONS(523),
    [sym__ellipsis_operator] = ACTIONS(523),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(523),
    [sym__bitshift_operator] = ACTIONS(523),
    [sym__power_operator] = ACTIONS(523),
    [sym__tilde_operator] = ACTIONS(525),
    [sym__type_order_operator] = ACTIONS(525),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(913),
    [sym__immediate_bracket] = ACTIONS(915),
    [sym__immediate_brace] = ACTIONS(917),
  },
  [37] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(8763),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(37),
    [sym_line_comment] = STATE(37),
    [aux_sym_macro_argument_list_repeat1] = STATE(122),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(331),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(919),
    [sym__immediate_bracket] = ACTIONS(921),
    [sym__immediate_brace] = ACTIONS(923),
  },
  [38] = {
    [sym_open_tuple] = STATE(8503),
    [sym_assignment] = STATE(8504),
    [sym__expression] = STATE(8505),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4808),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_macro_argument_list] = STATE(9097),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(9161),
    [sym_unary_expression] = STATE(9161),
    [sym_range_expression] = STATE(9161),
    [sym_splat_expression] = STATE(9161),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7856),
    [sym_unary_typed_expression] = STATE(9161),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(9161),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(7704),
    [sym_block_comment] = STATE(38),
    [sym_line_comment] = STATE(38),
    [aux_sym_macro_argument_list_repeat1] = STATE(239),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_catch] = ACTIONS(247),
    [anon_sym_finally] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_DOLLAR] = ACTIONS(861),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(865),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(871),
    [aux_sym_integer_literal_token2] = ACTIONS(871),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(875),
    [aux_sym_float_literal_token3] = ACTIONS(875),
    [aux_sym_float_literal_token4] = ACTIONS(875),
    [sym_character_literal] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(879),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(879),
    [sym__pipe_left_operator] = ACTIONS(879),
    [sym__ellipsis_operator] = ACTIONS(879),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(879),
    [sym__bitshift_operator] = ACTIONS(879),
    [sym__power_operator] = ACTIONS(879),
    [sym__tilde_operator] = ACTIONS(881),
    [sym__type_order_operator] = ACTIONS(881),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(889),
    [sym__immediate_bracket] = ACTIONS(891),
    [sym__immediate_brace] = ACTIONS(893),
  },
  [39] = {
    [sym_open_tuple] = STATE(8503),
    [sym_assignment] = STATE(8504),
    [sym__expression] = STATE(8505),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4808),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_macro_argument_list] = STATE(12027),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(9161),
    [sym_unary_expression] = STATE(9161),
    [sym_range_expression] = STATE(9161),
    [sym_splat_expression] = STATE(9161),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7856),
    [sym_unary_typed_expression] = STATE(9161),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(9161),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(7704),
    [sym_block_comment] = STATE(39),
    [sym_line_comment] = STATE(39),
    [aux_sym_macro_argument_list_repeat1] = STATE(222),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_catch] = ACTIONS(329),
    [anon_sym_finally] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_DOLLAR] = ACTIONS(861),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(865),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(871),
    [aux_sym_integer_literal_token2] = ACTIONS(871),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(875),
    [aux_sym_float_literal_token3] = ACTIONS(875),
    [aux_sym_float_literal_token4] = ACTIONS(875),
    [sym_character_literal] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(879),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(879),
    [sym__pipe_left_operator] = ACTIONS(879),
    [sym__ellipsis_operator] = ACTIONS(879),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(879),
    [sym__bitshift_operator] = ACTIONS(879),
    [sym__power_operator] = ACTIONS(879),
    [sym__tilde_operator] = ACTIONS(881),
    [sym__type_order_operator] = ACTIONS(881),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(427),
    [sym__immediate_bracket] = ACTIONS(429),
    [sym__immediate_brace] = ACTIONS(431),
  },
  [40] = {
    [sym_open_tuple] = STATE(8503),
    [sym_assignment] = STATE(8504),
    [sym__expression] = STATE(8505),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4808),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_macro_argument_list] = STATE(12046),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(9161),
    [sym_unary_expression] = STATE(9161),
    [sym_range_expression] = STATE(9161),
    [sym_splat_expression] = STATE(9161),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7856),
    [sym_unary_typed_expression] = STATE(9161),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(9161),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(7704),
    [sym_block_comment] = STATE(40),
    [sym_line_comment] = STATE(40),
    [aux_sym_macro_argument_list_repeat1] = STATE(222),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_catch] = ACTIONS(247),
    [anon_sym_finally] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_DOLLAR] = ACTIONS(861),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(865),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(871),
    [aux_sym_integer_literal_token2] = ACTIONS(871),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(875),
    [aux_sym_float_literal_token3] = ACTIONS(875),
    [aux_sym_float_literal_token4] = ACTIONS(875),
    [sym_character_literal] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(879),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(879),
    [sym__pipe_left_operator] = ACTIONS(879),
    [sym__ellipsis_operator] = ACTIONS(879),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(879),
    [sym__bitshift_operator] = ACTIONS(879),
    [sym__power_operator] = ACTIONS(879),
    [sym__tilde_operator] = ACTIONS(881),
    [sym__type_order_operator] = ACTIONS(881),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(433),
    [sym__immediate_bracket] = ACTIONS(435),
    [sym__immediate_brace] = ACTIONS(437),
  },
  [41] = {
    [sym_open_tuple] = STATE(8842),
    [sym_assignment] = STATE(8773),
    [sym__expression] = STATE(8337),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4849),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_macro_argument_list] = STATE(12027),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9196),
    [sym_unary_expression] = STATE(9196),
    [sym_range_expression] = STATE(9196),
    [sym_splat_expression] = STATE(9196),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8091),
    [sym_unary_typed_expression] = STATE(9196),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9196),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8066),
    [sym_block_comment] = STATE(41),
    [sym_line_comment] = STATE(41),
    [aux_sym_macro_argument_list_repeat1] = STATE(229),
    [ts_builtin_sym_end] = ACTIONS(331),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(427),
    [sym__immediate_bracket] = ACTIONS(429),
    [sym__immediate_brace] = ACTIONS(431),
  },
  [42] = {
    [sym_open_tuple] = STATE(8842),
    [sym_assignment] = STATE(8773),
    [sym__expression] = STATE(8337),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4849),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_macro_argument_list] = STATE(12046),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9196),
    [sym_unary_expression] = STATE(9196),
    [sym_range_expression] = STATE(9196),
    [sym_splat_expression] = STATE(9196),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8091),
    [sym_unary_typed_expression] = STATE(9196),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9196),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8066),
    [sym_block_comment] = STATE(42),
    [sym_line_comment] = STATE(42),
    [aux_sym_macro_argument_list_repeat1] = STATE(229),
    [ts_builtin_sym_end] = ACTIONS(321),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(433),
    [sym__immediate_bracket] = ACTIONS(435),
    [sym__immediate_brace] = ACTIONS(437),
  },
  [43] = {
    [sym_open_tuple] = STATE(9356),
    [sym_assignment] = STATE(9483),
    [sym__expression] = STATE(9004),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5184),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_macro_argument_list] = STATE(12027),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9563),
    [sym_unary_expression] = STATE(9563),
    [sym_range_expression] = STATE(9563),
    [sym_splat_expression] = STATE(9563),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8594),
    [sym_unary_typed_expression] = STATE(9563),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9563),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9250),
    [sym_block_comment] = STATE(43),
    [sym_line_comment] = STATE(43),
    [aux_sym_macro_argument_list_repeat1] = STATE(238),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(1005),
    [sym__type_order_operator] = ACTIONS(1005),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(427),
    [sym__immediate_bracket] = ACTIONS(429),
    [sym__immediate_brace] = ACTIONS(431),
  },
  [44] = {
    [sym_open_tuple] = STATE(9356),
    [sym_assignment] = STATE(9483),
    [sym__expression] = STATE(9004),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5184),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_macro_argument_list] = STATE(12046),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9563),
    [sym_unary_expression] = STATE(9563),
    [sym_range_expression] = STATE(9563),
    [sym_splat_expression] = STATE(9563),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8594),
    [sym_unary_typed_expression] = STATE(9563),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9563),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9250),
    [sym_block_comment] = STATE(44),
    [sym_line_comment] = STATE(44),
    [aux_sym_macro_argument_list_repeat1] = STATE(238),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(1005),
    [sym__type_order_operator] = ACTIONS(1005),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(433),
    [sym__immediate_bracket] = ACTIONS(435),
    [sym__immediate_brace] = ACTIONS(437),
  },
  [45] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(8763),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(45),
    [sym_line_comment] = STATE(45),
    [aux_sym_macro_argument_list_repeat1] = STATE(237),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(331),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(919),
    [sym__immediate_bracket] = ACTIONS(921),
    [sym__immediate_brace] = ACTIONS(923),
  },
  [46] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(8822),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(46),
    [sym_line_comment] = STATE(46),
    [aux_sym_macro_argument_list_repeat1] = STATE(237),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(321),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(321),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(321),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(693),
    [sym__immediate_bracket] = ACTIONS(695),
    [sym__immediate_brace] = ACTIONS(697),
  },
  [47] = {
    [sym_open_tuple] = STATE(8966),
    [sym_assignment] = STATE(8971),
    [sym__expression] = STATE(8974),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4887),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_macro_argument_list] = STATE(12027),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8693),
    [sym_unary_expression] = STATE(8693),
    [sym_range_expression] = STATE(8693),
    [sym_splat_expression] = STATE(8693),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8253),
    [sym_unary_typed_expression] = STATE(8693),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8693),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8197),
    [sym_block_comment] = STATE(47),
    [sym_line_comment] = STATE(47),
    [aux_sym_macro_argument_list_repeat1] = STATE(209),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_catch] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_DOLLAR] = ACTIONS(589),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(593),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(599),
    [aux_sym_integer_literal_token2] = ACTIONS(599),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(603),
    [aux_sym_float_literal_token3] = ACTIONS(603),
    [aux_sym_float_literal_token4] = ACTIONS(603),
    [sym_character_literal] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(607),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(607),
    [sym__pipe_left_operator] = ACTIONS(607),
    [sym__ellipsis_operator] = ACTIONS(607),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(607),
    [sym__bitshift_operator] = ACTIONS(607),
    [sym__power_operator] = ACTIONS(607),
    [sym__tilde_operator] = ACTIONS(609),
    [sym__type_order_operator] = ACTIONS(609),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(427),
    [sym__immediate_bracket] = ACTIONS(429),
    [sym__immediate_brace] = ACTIONS(431),
  },
  [48] = {
    [sym_open_tuple] = STATE(8503),
    [sym_assignment] = STATE(8504),
    [sym__expression] = STATE(8505),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4808),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_macro_argument_list] = STATE(8975),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(9161),
    [sym_unary_expression] = STATE(9161),
    [sym_range_expression] = STATE(9161),
    [sym_splat_expression] = STATE(9161),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7856),
    [sym_unary_typed_expression] = STATE(9161),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(9161),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(7704),
    [sym_block_comment] = STATE(48),
    [sym_line_comment] = STATE(48),
    [aux_sym_macro_argument_list_repeat1] = STATE(239),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_catch] = ACTIONS(329),
    [anon_sym_finally] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_DOLLAR] = ACTIONS(861),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(865),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(871),
    [aux_sym_integer_literal_token2] = ACTIONS(871),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(875),
    [aux_sym_float_literal_token3] = ACTIONS(875),
    [aux_sym_float_literal_token4] = ACTIONS(875),
    [sym_character_literal] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(879),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(879),
    [sym__pipe_left_operator] = ACTIONS(879),
    [sym__ellipsis_operator] = ACTIONS(879),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(879),
    [sym__bitshift_operator] = ACTIONS(879),
    [sym__power_operator] = ACTIONS(879),
    [sym__tilde_operator] = ACTIONS(881),
    [sym__type_order_operator] = ACTIONS(881),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(883),
    [sym__immediate_bracket] = ACTIONS(885),
    [sym__immediate_brace] = ACTIONS(887),
  },
  [49] = {
    [sym_open_tuple] = STATE(8966),
    [sym_assignment] = STATE(8971),
    [sym__expression] = STATE(8974),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4887),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_macro_argument_list] = STATE(12046),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8693),
    [sym_unary_expression] = STATE(8693),
    [sym_range_expression] = STATE(8693),
    [sym_splat_expression] = STATE(8693),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8253),
    [sym_unary_typed_expression] = STATE(8693),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8693),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8197),
    [sym_block_comment] = STATE(49),
    [sym_line_comment] = STATE(49),
    [aux_sym_macro_argument_list_repeat1] = STATE(209),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_catch] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_DOLLAR] = ACTIONS(589),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(593),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(599),
    [aux_sym_integer_literal_token2] = ACTIONS(599),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(603),
    [aux_sym_float_literal_token3] = ACTIONS(603),
    [aux_sym_float_literal_token4] = ACTIONS(603),
    [sym_character_literal] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(607),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(607),
    [sym__pipe_left_operator] = ACTIONS(607),
    [sym__ellipsis_operator] = ACTIONS(607),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(607),
    [sym__bitshift_operator] = ACTIONS(607),
    [sym__power_operator] = ACTIONS(607),
    [sym__tilde_operator] = ACTIONS(609),
    [sym__type_order_operator] = ACTIONS(609),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(433),
    [sym__immediate_bracket] = ACTIONS(435),
    [sym__immediate_brace] = ACTIONS(437),
  },
  [50] = {
    [sym_open_tuple] = STATE(8729),
    [sym_assignment] = STATE(8794),
    [sym__expression] = STATE(9032),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4752),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_macro_argument_list] = STATE(12027),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8906),
    [sym_unary_expression] = STATE(8906),
    [sym_range_expression] = STATE(8906),
    [sym_splat_expression] = STATE(8906),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7858),
    [sym_unary_typed_expression] = STATE(8906),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8906),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8302),
    [sym_block_comment] = STATE(50),
    [sym_line_comment] = STATE(50),
    [aux_sym_macro_argument_list_repeat1] = STATE(255),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_finally] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(509),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(515),
    [aux_sym_integer_literal_token2] = ACTIONS(515),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(519),
    [aux_sym_float_literal_token3] = ACTIONS(519),
    [aux_sym_float_literal_token4] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(523),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(523),
    [sym__pipe_left_operator] = ACTIONS(523),
    [sym__ellipsis_operator] = ACTIONS(523),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(523),
    [sym__bitshift_operator] = ACTIONS(523),
    [sym__power_operator] = ACTIONS(523),
    [sym__tilde_operator] = ACTIONS(525),
    [sym__type_order_operator] = ACTIONS(525),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(427),
    [sym__immediate_bracket] = ACTIONS(429),
    [sym__immediate_brace] = ACTIONS(431),
  },
  [51] = {
    [sym_open_tuple] = STATE(8729),
    [sym_assignment] = STATE(8794),
    [sym__expression] = STATE(9032),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4752),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_macro_argument_list] = STATE(12046),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8906),
    [sym_unary_expression] = STATE(8906),
    [sym_range_expression] = STATE(8906),
    [sym_splat_expression] = STATE(8906),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7858),
    [sym_unary_typed_expression] = STATE(8906),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8906),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8302),
    [sym_block_comment] = STATE(51),
    [sym_line_comment] = STATE(51),
    [aux_sym_macro_argument_list_repeat1] = STATE(255),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_finally] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(509),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(515),
    [aux_sym_integer_literal_token2] = ACTIONS(515),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(519),
    [aux_sym_float_literal_token3] = ACTIONS(519),
    [aux_sym_float_literal_token4] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(523),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(523),
    [sym__pipe_left_operator] = ACTIONS(523),
    [sym__ellipsis_operator] = ACTIONS(523),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(523),
    [sym__bitshift_operator] = ACTIONS(523),
    [sym__power_operator] = ACTIONS(523),
    [sym__tilde_operator] = ACTIONS(525),
    [sym__type_order_operator] = ACTIONS(525),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(433),
    [sym__immediate_bracket] = ACTIONS(435),
    [sym__immediate_brace] = ACTIONS(437),
  },
  [52] = {
    [sym_open_tuple] = STATE(8966),
    [sym_assignment] = STATE(8971),
    [sym__expression] = STATE(8974),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4887),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_macro_argument_list] = STATE(8757),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8693),
    [sym_unary_expression] = STATE(8693),
    [sym_range_expression] = STATE(8693),
    [sym_splat_expression] = STATE(8693),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8253),
    [sym_unary_typed_expression] = STATE(8693),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8693),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8197),
    [sym_block_comment] = STATE(52),
    [sym_line_comment] = STATE(52),
    [aux_sym_macro_argument_list_repeat1] = STATE(254),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_catch] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_DOLLAR] = ACTIONS(589),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(593),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(599),
    [aux_sym_integer_literal_token2] = ACTIONS(599),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(603),
    [aux_sym_float_literal_token3] = ACTIONS(603),
    [aux_sym_float_literal_token4] = ACTIONS(603),
    [sym_character_literal] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(607),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(607),
    [sym__pipe_left_operator] = ACTIONS(607),
    [sym__ellipsis_operator] = ACTIONS(607),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(607),
    [sym__bitshift_operator] = ACTIONS(607),
    [sym__power_operator] = ACTIONS(607),
    [sym__tilde_operator] = ACTIONS(609),
    [sym__type_order_operator] = ACTIONS(609),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(895),
    [sym__immediate_bracket] = ACTIONS(897),
    [sym__immediate_brace] = ACTIONS(899),
  },
  [53] = {
    [sym_open_tuple] = STATE(8966),
    [sym_assignment] = STATE(8971),
    [sym__expression] = STATE(8974),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4887),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_macro_argument_list] = STATE(8989),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8693),
    [sym_unary_expression] = STATE(8693),
    [sym_range_expression] = STATE(8693),
    [sym_splat_expression] = STATE(8693),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8253),
    [sym_unary_typed_expression] = STATE(8693),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8693),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8197),
    [sym_block_comment] = STATE(53),
    [sym_line_comment] = STATE(53),
    [aux_sym_macro_argument_list_repeat1] = STATE(254),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_catch] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_DOLLAR] = ACTIONS(589),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(593),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(599),
    [aux_sym_integer_literal_token2] = ACTIONS(599),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(603),
    [aux_sym_float_literal_token3] = ACTIONS(603),
    [aux_sym_float_literal_token4] = ACTIONS(603),
    [sym_character_literal] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(607),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(607),
    [sym__pipe_left_operator] = ACTIONS(607),
    [sym__ellipsis_operator] = ACTIONS(607),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(607),
    [sym__bitshift_operator] = ACTIONS(607),
    [sym__power_operator] = ACTIONS(607),
    [sym__tilde_operator] = ACTIONS(609),
    [sym__type_order_operator] = ACTIONS(609),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(901),
    [sym__immediate_bracket] = ACTIONS(903),
    [sym__immediate_brace] = ACTIONS(905),
  },
  [54] = {
    [sym_open_tuple] = STATE(8729),
    [sym_assignment] = STATE(8794),
    [sym__expression] = STATE(9032),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4752),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_macro_argument_list] = STATE(9247),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8906),
    [sym_unary_expression] = STATE(8906),
    [sym_range_expression] = STATE(8906),
    [sym_splat_expression] = STATE(8906),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7858),
    [sym_unary_typed_expression] = STATE(8906),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8906),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8302),
    [sym_block_comment] = STATE(54),
    [sym_line_comment] = STATE(54),
    [aux_sym_macro_argument_list_repeat1] = STATE(259),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_finally] = ACTIONS(329),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(509),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(515),
    [aux_sym_integer_literal_token2] = ACTIONS(515),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(519),
    [aux_sym_float_literal_token3] = ACTIONS(519),
    [aux_sym_float_literal_token4] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(523),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(523),
    [sym__pipe_left_operator] = ACTIONS(523),
    [sym__ellipsis_operator] = ACTIONS(523),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(523),
    [sym__bitshift_operator] = ACTIONS(523),
    [sym__power_operator] = ACTIONS(523),
    [sym__tilde_operator] = ACTIONS(525),
    [sym__type_order_operator] = ACTIONS(525),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(907),
    [sym__immediate_bracket] = ACTIONS(909),
    [sym__immediate_brace] = ACTIONS(911),
  },
  [55] = {
    [sym_open_tuple] = STATE(8729),
    [sym_assignment] = STATE(8794),
    [sym__expression] = STATE(9032),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4752),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_macro_argument_list] = STATE(8607),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8906),
    [sym_unary_expression] = STATE(8906),
    [sym_range_expression] = STATE(8906),
    [sym_splat_expression] = STATE(8906),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7858),
    [sym_unary_typed_expression] = STATE(8906),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8906),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8302),
    [sym_block_comment] = STATE(55),
    [sym_line_comment] = STATE(55),
    [aux_sym_macro_argument_list_repeat1] = STATE(259),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_finally] = ACTIONS(247),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(509),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(515),
    [aux_sym_integer_literal_token2] = ACTIONS(515),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(519),
    [aux_sym_float_literal_token3] = ACTIONS(519),
    [aux_sym_float_literal_token4] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(523),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(523),
    [sym__pipe_left_operator] = ACTIONS(523),
    [sym__ellipsis_operator] = ACTIONS(523),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(523),
    [sym__bitshift_operator] = ACTIONS(523),
    [sym__power_operator] = ACTIONS(523),
    [sym__tilde_operator] = ACTIONS(525),
    [sym__type_order_operator] = ACTIONS(525),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(913),
    [sym__immediate_bracket] = ACTIONS(915),
    [sym__immediate_brace] = ACTIONS(917),
  },
  [56] = {
    [sym_open_tuple] = STATE(8772),
    [sym_assignment] = STATE(8773),
    [sym__expression] = STATE(8781),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4691),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_macro_argument_list] = STATE(8506),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9160),
    [sym_unary_expression] = STATE(9160),
    [sym_range_expression] = STATE(9160),
    [sym_splat_expression] = STATE(9160),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(7712),
    [sym_unary_typed_expression] = STATE(9160),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9160),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(7713),
    [sym_block_comment] = STATE(56),
    [sym_line_comment] = STATE(56),
    [aux_sym_macro_argument_list_repeat1] = STATE(231),
    [ts_builtin_sym_end] = ACTIONS(331),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_RBRACK] = ACTIONS(329),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(783),
    [sym__immediate_bracket] = ACTIONS(785),
    [sym__immediate_brace] = ACTIONS(787),
  },
  [57] = {
    [sym_open_tuple] = STATE(9356),
    [sym_assignment] = STATE(9483),
    [sym__expression] = STATE(9004),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5184),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_macro_argument_list] = STATE(9325),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9563),
    [sym_unary_expression] = STATE(9563),
    [sym_range_expression] = STATE(9563),
    [sym_splat_expression] = STATE(9563),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8594),
    [sym_unary_typed_expression] = STATE(9563),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9563),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9250),
    [sym_block_comment] = STATE(57),
    [sym_line_comment] = STATE(57),
    [aux_sym_macro_argument_list_repeat1] = STATE(249),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(1005),
    [sym__type_order_operator] = ACTIONS(1005),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(1039),
    [sym__immediate_bracket] = ACTIONS(1041),
    [sym__immediate_brace] = ACTIONS(1043),
  },
  [58] = {
    [sym_open_tuple] = STATE(9356),
    [sym_assignment] = STATE(9483),
    [sym__expression] = STATE(9004),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5184),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_macro_argument_list] = STATE(9335),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9563),
    [sym_unary_expression] = STATE(9563),
    [sym_range_expression] = STATE(9563),
    [sym_splat_expression] = STATE(9563),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8594),
    [sym_unary_typed_expression] = STATE(9563),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9563),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9250),
    [sym_block_comment] = STATE(58),
    [sym_line_comment] = STATE(58),
    [aux_sym_macro_argument_list_repeat1] = STATE(249),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(1005),
    [sym__type_order_operator] = ACTIONS(1005),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(1045),
    [sym__immediate_bracket] = ACTIONS(1047),
    [sym__immediate_brace] = ACTIONS(1049),
  },
  [59] = {
    [sym_open_tuple] = STATE(8772),
    [sym_assignment] = STATE(8773),
    [sym__expression] = STATE(8781),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4691),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_macro_argument_list] = STATE(8618),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9160),
    [sym_unary_expression] = STATE(9160),
    [sym_range_expression] = STATE(9160),
    [sym_splat_expression] = STATE(9160),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(7712),
    [sym_unary_typed_expression] = STATE(9160),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9160),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(7713),
    [sym_block_comment] = STATE(59),
    [sym_line_comment] = STATE(59),
    [aux_sym_macro_argument_list_repeat1] = STATE(231),
    [ts_builtin_sym_end] = ACTIONS(321),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_RBRACK] = ACTIONS(247),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(789),
    [sym__immediate_bracket] = ACTIONS(791),
    [sym__immediate_brace] = ACTIONS(793),
  },
  [60] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11431),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(60),
    [sym_line_comment] = STATE(60),
    [aux_sym_macro_argument_list_repeat1] = STATE(210),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(331),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(795),
    [sym__immediate_bracket] = ACTIONS(797),
    [sym__immediate_brace] = ACTIONS(799),
  },
  [61] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11267),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(61),
    [sym_line_comment] = STATE(61),
    [aux_sym_macro_argument_list_repeat1] = STATE(210),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(321),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(321),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(801),
    [sym__immediate_bracket] = ACTIONS(803),
    [sym__immediate_brace] = ACTIONS(805),
  },
  [62] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11431),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(62),
    [sym_line_comment] = STATE(62),
    [aux_sym_macro_argument_list_repeat1] = STATE(212),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(331),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(331),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(795),
    [sym__immediate_bracket] = ACTIONS(797),
    [sym__immediate_brace] = ACTIONS(799),
  },
  [63] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11267),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(63),
    [sym_line_comment] = STATE(63),
    [aux_sym_macro_argument_list_repeat1] = STATE(212),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(321),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(321),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(321),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(801),
    [sym__immediate_bracket] = ACTIONS(803),
    [sym__immediate_brace] = ACTIONS(805),
  },
  [64] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11431),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(64),
    [sym_line_comment] = STATE(64),
    [aux_sym_macro_argument_list_repeat1] = STATE(282),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(331),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(795),
    [sym__immediate_bracket] = ACTIONS(797),
    [sym__immediate_brace] = ACTIONS(799),
  },
  [65] = {
    [sym_open_tuple] = STATE(9482),
    [sym_assignment] = STATE(9483),
    [sym__expression] = STATE(9484),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5279),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_macro_argument_list] = STATE(12046),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9298),
    [sym_unary_expression] = STATE(9298),
    [sym_range_expression] = STATE(9298),
    [sym_splat_expression] = STATE(9298),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8996),
    [sym_unary_typed_expression] = STATE(9298),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9298),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9058),
    [sym_block_comment] = STATE(65),
    [sym_line_comment] = STATE(65),
    [aux_sym_macro_argument_list_repeat1] = STATE(274),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(1005),
    [sym__type_order_operator] = ACTIONS(1005),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(433),
    [sym__immediate_bracket] = ACTIONS(435),
    [sym__immediate_brace] = ACTIONS(437),
  },
  [66] = {
    [sym__block] = STATE(19260),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(66),
    [sym_line_comment] = STATE(66),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1061),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(1059),
    [anon_sym_COLON] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_RBRACK] = ACTIONS(1059),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1063),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_RBRACE] = ACTIONS(1059),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_where] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1059),
    [sym__lazy_and_operator] = ACTIONS(1059),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(1065),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [67] = {
    [sym__block] = STATE(14868),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(18924),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(67),
    [sym_line_comment] = STATE(67),
    [aux_sym_if_statement_repeat1] = STATE(14869),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1069),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1095),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(1101),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1115),
    [sym__arrow_operator] = ACTIONS(1117),
    [sym__lazy_or_operator] = ACTIONS(1119),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1123),
    [sym__pipe_right_operator] = ACTIONS(1125),
    [sym__pipe_left_operator] = ACTIONS(1127),
    [sym__ellipsis_operator] = ACTIONS(1129),
    [sym__plus_operator] = ACTIONS(1131),
    [sym__times_operator] = ACTIONS(1133),
    [sym__rational_operator] = ACTIONS(1135),
    [sym__bitshift_operator] = ACTIONS(1137),
    [sym__power_operator] = ACTIONS(1139),
    [sym__tilde_operator] = ACTIONS(1141),
    [sym__type_order_operator] = ACTIONS(1143),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1145),
    [aux_sym__terminator_token1] = ACTIONS(1147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [68] = {
    [sym__block] = STATE(15425),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19158),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(68),
    [sym_line_comment] = STATE(68),
    [aux_sym_if_statement_repeat1] = STATE(15440),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1149),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(1101),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1115),
    [sym__arrow_operator] = ACTIONS(1117),
    [sym__lazy_or_operator] = ACTIONS(1119),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1123),
    [sym__pipe_right_operator] = ACTIONS(1125),
    [sym__pipe_left_operator] = ACTIONS(1127),
    [sym__ellipsis_operator] = ACTIONS(1129),
    [sym__plus_operator] = ACTIONS(1131),
    [sym__times_operator] = ACTIONS(1133),
    [sym__rational_operator] = ACTIONS(1135),
    [sym__bitshift_operator] = ACTIONS(1137),
    [sym__power_operator] = ACTIONS(1139),
    [sym__tilde_operator] = ACTIONS(1141),
    [sym__type_order_operator] = ACTIONS(1143),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1145),
    [aux_sym__terminator_token1] = ACTIONS(1153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [69] = {
    [sym__block] = STATE(15017),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19036),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(69),
    [sym_line_comment] = STATE(69),
    [aux_sym_if_statement_repeat1] = STATE(15019),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1155),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(1101),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1115),
    [sym__arrow_operator] = ACTIONS(1117),
    [sym__lazy_or_operator] = ACTIONS(1119),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1123),
    [sym__pipe_right_operator] = ACTIONS(1125),
    [sym__pipe_left_operator] = ACTIONS(1127),
    [sym__ellipsis_operator] = ACTIONS(1129),
    [sym__plus_operator] = ACTIONS(1131),
    [sym__times_operator] = ACTIONS(1133),
    [sym__rational_operator] = ACTIONS(1135),
    [sym__bitshift_operator] = ACTIONS(1137),
    [sym__power_operator] = ACTIONS(1139),
    [sym__tilde_operator] = ACTIONS(1141),
    [sym__type_order_operator] = ACTIONS(1143),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1145),
    [aux_sym__terminator_token1] = ACTIONS(1159),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [70] = {
    [sym_open_tuple] = STATE(9482),
    [sym_assignment] = STATE(9483),
    [sym__expression] = STATE(9484),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5279),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_macro_argument_list] = STATE(12027),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9298),
    [sym_unary_expression] = STATE(9298),
    [sym_range_expression] = STATE(9298),
    [sym_splat_expression] = STATE(9298),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8996),
    [sym_unary_typed_expression] = STATE(9298),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9298),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9058),
    [sym_block_comment] = STATE(70),
    [sym_line_comment] = STATE(70),
    [aux_sym_macro_argument_list_repeat1] = STATE(274),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(1005),
    [sym__type_order_operator] = ACTIONS(1005),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(427),
    [sym__immediate_bracket] = ACTIONS(429),
    [sym__immediate_brace] = ACTIONS(431),
  },
  [71] = {
    [sym_open_tuple] = STATE(9482),
    [sym_assignment] = STATE(9483),
    [sym__expression] = STATE(9484),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5279),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_macro_argument_list] = STATE(9325),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9298),
    [sym_unary_expression] = STATE(9298),
    [sym_range_expression] = STATE(9298),
    [sym_splat_expression] = STATE(9298),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8996),
    [sym_unary_typed_expression] = STATE(9298),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9298),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9058),
    [sym_block_comment] = STATE(71),
    [sym_line_comment] = STATE(71),
    [aux_sym_macro_argument_list_repeat1] = STATE(262),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(1005),
    [sym__type_order_operator] = ACTIONS(1005),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(1039),
    [sym__immediate_bracket] = ACTIONS(1041),
    [sym__immediate_brace] = ACTIONS(1043),
  },
  [72] = {
    [sym_open_tuple] = STATE(9482),
    [sym_assignment] = STATE(9483),
    [sym__expression] = STATE(9484),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5279),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_macro_argument_list] = STATE(9335),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9298),
    [sym_unary_expression] = STATE(9298),
    [sym_range_expression] = STATE(9298),
    [sym_splat_expression] = STATE(9298),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8996),
    [sym_unary_typed_expression] = STATE(9298),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9298),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9058),
    [sym_block_comment] = STATE(72),
    [sym_line_comment] = STATE(72),
    [aux_sym_macro_argument_list_repeat1] = STATE(262),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(1005),
    [sym__type_order_operator] = ACTIONS(1005),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(1045),
    [sym__immediate_bracket] = ACTIONS(1047),
    [sym__immediate_brace] = ACTIONS(1049),
  },
  [73] = {
    [sym__block] = STATE(19614),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(73),
    [sym_line_comment] = STATE(73),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1161),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_RPAREN] = ACTIONS(1059),
    [anon_sym_COLON] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_RBRACK] = ACTIONS(1059),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_RBRACE] = ACTIONS(1059),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_where] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1059),
    [sym__lazy_and_operator] = ACTIONS(1059),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(1165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [74] = {
    [sym__block] = STATE(15087),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19682),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(74),
    [sym_line_comment] = STATE(74),
    [aux_sym_if_statement_repeat1] = STATE(15088),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1167),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(1101),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1115),
    [sym__arrow_operator] = ACTIONS(1117),
    [sym__lazy_or_operator] = ACTIONS(1119),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1123),
    [sym__pipe_right_operator] = ACTIONS(1125),
    [sym__pipe_left_operator] = ACTIONS(1127),
    [sym__ellipsis_operator] = ACTIONS(1129),
    [sym__plus_operator] = ACTIONS(1131),
    [sym__times_operator] = ACTIONS(1133),
    [sym__rational_operator] = ACTIONS(1135),
    [sym__bitshift_operator] = ACTIONS(1137),
    [sym__power_operator] = ACTIONS(1139),
    [sym__tilde_operator] = ACTIONS(1141),
    [sym__type_order_operator] = ACTIONS(1143),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1145),
    [aux_sym__terminator_token1] = ACTIONS(1171),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [75] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11431),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(75),
    [sym_line_comment] = STATE(75),
    [aux_sym_macro_argument_list_repeat1] = STATE(283),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(795),
    [sym__immediate_bracket] = ACTIONS(797),
    [sym__immediate_brace] = ACTIONS(799),
  },
  [76] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11267),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(76),
    [sym_line_comment] = STATE(76),
    [aux_sym_macro_argument_list_repeat1] = STATE(283),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(321),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(801),
    [sym__immediate_bracket] = ACTIONS(803),
    [sym__immediate_brace] = ACTIONS(805),
  },
  [77] = {
    [sym__block] = STATE(15190),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(18867),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(77),
    [sym_line_comment] = STATE(77),
    [aux_sym_if_statement_repeat1] = STATE(15191),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1173),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(1101),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1115),
    [sym__arrow_operator] = ACTIONS(1117),
    [sym__lazy_or_operator] = ACTIONS(1119),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1123),
    [sym__pipe_right_operator] = ACTIONS(1125),
    [sym__pipe_left_operator] = ACTIONS(1127),
    [sym__ellipsis_operator] = ACTIONS(1129),
    [sym__plus_operator] = ACTIONS(1131),
    [sym__times_operator] = ACTIONS(1133),
    [sym__rational_operator] = ACTIONS(1135),
    [sym__bitshift_operator] = ACTIONS(1137),
    [sym__power_operator] = ACTIONS(1139),
    [sym__tilde_operator] = ACTIONS(1141),
    [sym__type_order_operator] = ACTIONS(1143),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1145),
    [aux_sym__terminator_token1] = ACTIONS(1177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [78] = {
    [sym__block] = STATE(15278),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19257),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(78),
    [sym_line_comment] = STATE(78),
    [aux_sym_if_statement_repeat1] = STATE(15279),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1179),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(1101),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1115),
    [sym__arrow_operator] = ACTIONS(1117),
    [sym__lazy_or_operator] = ACTIONS(1119),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1123),
    [sym__pipe_right_operator] = ACTIONS(1125),
    [sym__pipe_left_operator] = ACTIONS(1127),
    [sym__ellipsis_operator] = ACTIONS(1129),
    [sym__plus_operator] = ACTIONS(1131),
    [sym__times_operator] = ACTIONS(1133),
    [sym__rational_operator] = ACTIONS(1135),
    [sym__bitshift_operator] = ACTIONS(1137),
    [sym__power_operator] = ACTIONS(1139),
    [sym__tilde_operator] = ACTIONS(1141),
    [sym__type_order_operator] = ACTIONS(1143),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1145),
    [aux_sym__terminator_token1] = ACTIONS(1183),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [79] = {
    [sym__block] = STATE(15396),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19952),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(79),
    [sym_line_comment] = STATE(79),
    [aux_sym_if_statement_repeat1] = STATE(15397),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1185),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(1101),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1115),
    [sym__arrow_operator] = ACTIONS(1117),
    [sym__lazy_or_operator] = ACTIONS(1119),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1123),
    [sym__pipe_right_operator] = ACTIONS(1125),
    [sym__pipe_left_operator] = ACTIONS(1127),
    [sym__ellipsis_operator] = ACTIONS(1129),
    [sym__plus_operator] = ACTIONS(1131),
    [sym__times_operator] = ACTIONS(1133),
    [sym__rational_operator] = ACTIONS(1135),
    [sym__bitshift_operator] = ACTIONS(1137),
    [sym__power_operator] = ACTIONS(1139),
    [sym__tilde_operator] = ACTIONS(1141),
    [sym__type_order_operator] = ACTIONS(1143),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1145),
    [aux_sym__terminator_token1] = ACTIONS(1189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [80] = {
    [sym__block] = STATE(15315),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19516),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(80),
    [sym_line_comment] = STATE(80),
    [aux_sym_if_statement_repeat1] = STATE(15316),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1191),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(1101),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1115),
    [sym__arrow_operator] = ACTIONS(1117),
    [sym__lazy_or_operator] = ACTIONS(1119),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1123),
    [sym__pipe_right_operator] = ACTIONS(1125),
    [sym__pipe_left_operator] = ACTIONS(1127),
    [sym__ellipsis_operator] = ACTIONS(1129),
    [sym__plus_operator] = ACTIONS(1131),
    [sym__times_operator] = ACTIONS(1133),
    [sym__rational_operator] = ACTIONS(1135),
    [sym__bitshift_operator] = ACTIONS(1137),
    [sym__power_operator] = ACTIONS(1139),
    [sym__tilde_operator] = ACTIONS(1141),
    [sym__type_order_operator] = ACTIONS(1143),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1145),
    [aux_sym__terminator_token1] = ACTIONS(1195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [81] = {
    [sym__block] = STATE(14720),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(18884),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(81),
    [sym_line_comment] = STATE(81),
    [aux_sym_if_statement_repeat1] = STATE(14725),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1197),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(1101),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1115),
    [sym__arrow_operator] = ACTIONS(1117),
    [sym__lazy_or_operator] = ACTIONS(1119),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1123),
    [sym__pipe_right_operator] = ACTIONS(1125),
    [sym__pipe_left_operator] = ACTIONS(1127),
    [sym__ellipsis_operator] = ACTIONS(1129),
    [sym__plus_operator] = ACTIONS(1131),
    [sym__times_operator] = ACTIONS(1133),
    [sym__rational_operator] = ACTIONS(1135),
    [sym__bitshift_operator] = ACTIONS(1137),
    [sym__power_operator] = ACTIONS(1139),
    [sym__tilde_operator] = ACTIONS(1141),
    [sym__type_order_operator] = ACTIONS(1143),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1145),
    [aux_sym__terminator_token1] = ACTIONS(1201),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [82] = {
    [sym_open_tuple] = STATE(8772),
    [sym_assignment] = STATE(8773),
    [sym__expression] = STATE(8781),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4691),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_macro_argument_list] = STATE(12027),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9160),
    [sym_unary_expression] = STATE(9160),
    [sym_range_expression] = STATE(9160),
    [sym_splat_expression] = STATE(9160),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(7712),
    [sym_unary_typed_expression] = STATE(9160),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9160),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(7713),
    [sym_block_comment] = STATE(82),
    [sym_line_comment] = STATE(82),
    [aux_sym_macro_argument_list_repeat1] = STATE(260),
    [ts_builtin_sym_end] = ACTIONS(331),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(329),
    [anon_sym_QMARK] = ACTIONS(329),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(329),
    [sym__lazy_and_operator] = ACTIONS(329),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(331),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(427),
    [sym__immediate_bracket] = ACTIONS(429),
    [sym__immediate_brace] = ACTIONS(431),
  },
  [83] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11267),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(83),
    [sym_line_comment] = STATE(83),
    [aux_sym_macro_argument_list_repeat1] = STATE(282),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(321),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(321),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(801),
    [sym__immediate_bracket] = ACTIONS(803),
    [sym__immediate_brace] = ACTIONS(805),
  },
  [84] = {
    [sym__block] = STATE(15196),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(20270),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(84),
    [sym_line_comment] = STATE(84),
    [aux_sym_if_statement_repeat1] = STATE(15197),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1203),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(1101),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1115),
    [sym__arrow_operator] = ACTIONS(1117),
    [sym__lazy_or_operator] = ACTIONS(1119),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1123),
    [sym__pipe_right_operator] = ACTIONS(1125),
    [sym__pipe_left_operator] = ACTIONS(1127),
    [sym__ellipsis_operator] = ACTIONS(1129),
    [sym__plus_operator] = ACTIONS(1131),
    [sym__times_operator] = ACTIONS(1133),
    [sym__rational_operator] = ACTIONS(1135),
    [sym__bitshift_operator] = ACTIONS(1137),
    [sym__power_operator] = ACTIONS(1139),
    [sym__tilde_operator] = ACTIONS(1141),
    [sym__type_order_operator] = ACTIONS(1143),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1145),
    [aux_sym__terminator_token1] = ACTIONS(1207),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [85] = {
    [sym__block] = STATE(15372),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19869),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(85),
    [sym_line_comment] = STATE(85),
    [aux_sym_if_statement_repeat1] = STATE(15374),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1209),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(1101),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1115),
    [sym__arrow_operator] = ACTIONS(1117),
    [sym__lazy_or_operator] = ACTIONS(1119),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1123),
    [sym__pipe_right_operator] = ACTIONS(1125),
    [sym__pipe_left_operator] = ACTIONS(1127),
    [sym__ellipsis_operator] = ACTIONS(1129),
    [sym__plus_operator] = ACTIONS(1131),
    [sym__times_operator] = ACTIONS(1133),
    [sym__rational_operator] = ACTIONS(1135),
    [sym__bitshift_operator] = ACTIONS(1137),
    [sym__power_operator] = ACTIONS(1139),
    [sym__tilde_operator] = ACTIONS(1141),
    [sym__type_order_operator] = ACTIONS(1143),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1145),
    [aux_sym__terminator_token1] = ACTIONS(1213),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [86] = {
    [sym__block] = STATE(15162),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(18973),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(86),
    [sym_line_comment] = STATE(86),
    [aux_sym_if_statement_repeat1] = STATE(15223),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1215),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(1101),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1115),
    [sym__arrow_operator] = ACTIONS(1117),
    [sym__lazy_or_operator] = ACTIONS(1119),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1123),
    [sym__pipe_right_operator] = ACTIONS(1125),
    [sym__pipe_left_operator] = ACTIONS(1127),
    [sym__ellipsis_operator] = ACTIONS(1129),
    [sym__plus_operator] = ACTIONS(1131),
    [sym__times_operator] = ACTIONS(1133),
    [sym__rational_operator] = ACTIONS(1135),
    [sym__bitshift_operator] = ACTIONS(1137),
    [sym__power_operator] = ACTIONS(1139),
    [sym__tilde_operator] = ACTIONS(1141),
    [sym__type_order_operator] = ACTIONS(1143),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1145),
    [aux_sym__terminator_token1] = ACTIONS(1219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [87] = {
    [sym_open_tuple] = STATE(8772),
    [sym_assignment] = STATE(8773),
    [sym__expression] = STATE(8781),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4691),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_macro_argument_list] = STATE(12046),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9160),
    [sym_unary_expression] = STATE(9160),
    [sym_range_expression] = STATE(9160),
    [sym_splat_expression] = STATE(9160),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(7712),
    [sym_unary_typed_expression] = STATE(9160),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9160),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(7713),
    [sym_block_comment] = STATE(87),
    [sym_line_comment] = STATE(87),
    [aux_sym_macro_argument_list_repeat1] = STATE(260),
    [ts_builtin_sym_end] = ACTIONS(321),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(247),
    [anon_sym_QMARK] = ACTIONS(247),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(247),
    [sym__lazy_and_operator] = ACTIONS(247),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(433),
    [sym__immediate_bracket] = ACTIONS(435),
    [sym__immediate_brace] = ACTIONS(437),
  },
  [88] = {
    [sym_open_tuple] = STATE(9768),
    [sym_assignment] = STATE(9797),
    [sym__expression] = STATE(9666),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5737),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_macro_argument_list] = STATE(11431),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9803),
    [sym_unary_expression] = STATE(9803),
    [sym_range_expression] = STATE(9803),
    [sym_splat_expression] = STATE(9803),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9684),
    [sym_unary_typed_expression] = STATE(9803),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9803),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9685),
    [sym_block_comment] = STATE(88),
    [sym_line_comment] = STATE(88),
    [aux_sym_macro_argument_list_repeat1] = STATE(308),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1297),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(795),
    [sym__immediate_bracket] = ACTIONS(797),
    [sym__immediate_brace] = ACTIONS(799),
  },
  [89] = {
    [sym_open_tuple] = STATE(8296),
    [sym_assignment] = STATE(8244),
    [sym__expression] = STATE(7520),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4603),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8265),
    [sym_unary_expression] = STATE(8265),
    [sym_range_expression] = STATE(8265),
    [sym_splat_expression] = STATE(8265),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7574),
    [sym_unary_typed_expression] = STATE(8265),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8265),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7683),
    [sym_block_comment] = STATE(89),
    [sym_line_comment] = STATE(89),
    [aux_sym_macro_argument_list_repeat1] = STATE(90),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_else] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_finally] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_DOLLAR] = ACTIONS(1303),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1303),
    [aux_sym_integer_literal_token2] = ACTIONS(1303),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1303),
    [aux_sym_float_literal_token3] = ACTIONS(1303),
    [aux_sym_float_literal_token4] = ACTIONS(1303),
    [sym_character_literal] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1303),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(1303),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [90] = {
    [sym_open_tuple] = STATE(8296),
    [sym_assignment] = STATE(8244),
    [sym__expression] = STATE(7520),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4603),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8265),
    [sym_unary_expression] = STATE(8265),
    [sym_range_expression] = STATE(8265),
    [sym_splat_expression] = STATE(8265),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7574),
    [sym_unary_typed_expression] = STATE(8265),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8265),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7683),
    [sym_block_comment] = STATE(90),
    [sym_line_comment] = STATE(90),
    [aux_sym_macro_argument_list_repeat1] = STATE(90),
    [sym__word_identifier] = ACTIONS(1307),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1310),
    [anon_sym_begin] = ACTIONS(1312),
    [anon_sym_module] = ACTIONS(1315),
    [anon_sym_baremodule] = ACTIONS(1315),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_abstract] = ACTIONS(1318),
    [anon_sym_primitive] = ACTIONS(1321),
    [anon_sym_mutable] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1333),
    [anon_sym_quote] = ACTIONS(1336),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_finally] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1351),
    [sym_break_statement] = ACTIONS(1354),
    [sym_continue_statement] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1357),
    [anon_sym_const] = ACTIONS(1360),
    [anon_sym_global] = ACTIONS(1363),
    [anon_sym_local] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1369),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1375),
    [anon_sym_import] = ACTIONS(1378),
    [anon_sym_using] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_DOLLAR] = ACTIONS(1390),
    [anon_sym_COLON2] = ACTIONS(1393),
    [anon_sym_COLON_COLON] = ACTIONS(1396),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1310),
    [anon_sym_QMARK] = ACTIONS(1310),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1399),
    [anon_sym_true] = ACTIONS(1402),
    [anon_sym_false] = ACTIONS(1402),
    [aux_sym_integer_literal_token1] = ACTIONS(1405),
    [aux_sym_integer_literal_token2] = ACTIONS(1405),
    [aux_sym_integer_literal_token3] = ACTIONS(1405),
    [aux_sym_integer_literal_token4] = ACTIONS(1408),
    [aux_sym_float_literal_token1] = ACTIONS(1411),
    [aux_sym_float_literal_token3] = ACTIONS(1411),
    [aux_sym_float_literal_token4] = ACTIONS(1411),
    [sym_character_literal] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1426),
    [sym__pair_operator] = ACTIONS(1429),
    [sym__arrow_operator] = ACTIONS(1429),
    [sym__lazy_or_operator] = ACTIONS(1310),
    [sym__lazy_and_operator] = ACTIONS(1310),
    [sym__comparison_operator] = ACTIONS(1429),
    [sym__pipe_right_operator] = ACTIONS(1429),
    [sym__pipe_left_operator] = ACTIONS(1429),
    [sym__ellipsis_operator] = ACTIONS(1429),
    [sym__plus_operator] = ACTIONS(1429),
    [sym__times_operator] = ACTIONS(1429),
    [sym__rational_operator] = ACTIONS(1429),
    [sym__bitshift_operator] = ACTIONS(1429),
    [sym__power_operator] = ACTIONS(1429),
    [sym__tilde_operator] = ACTIONS(1432),
    [sym__type_order_operator] = ACTIONS(1432),
    [sym__unary_operator] = ACTIONS(1432),
    [sym__unary_plus_operator] = ACTIONS(1432),
    [aux_sym__terminator_token1] = ACTIONS(1435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [91] = {
    [sym_open_tuple] = STATE(9768),
    [sym_assignment] = STATE(9797),
    [sym__expression] = STATE(9666),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5737),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_macro_argument_list] = STATE(11267),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9803),
    [sym_unary_expression] = STATE(9803),
    [sym_range_expression] = STATE(9803),
    [sym_splat_expression] = STATE(9803),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9684),
    [sym_unary_typed_expression] = STATE(9803),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9803),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9685),
    [sym_block_comment] = STATE(91),
    [sym_line_comment] = STATE(91),
    [aux_sym_macro_argument_list_repeat1] = STATE(308),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1297),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(801),
    [sym__immediate_bracket] = ACTIONS(803),
    [sym__immediate_brace] = ACTIONS(805),
  },
  [92] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11431),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(92),
    [sym_line_comment] = STATE(92),
    [aux_sym_macro_argument_list_repeat1] = STATE(297),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(331),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_SEMI] = ACTIONS(331),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(795),
    [sym__immediate_bracket] = ACTIONS(797),
    [sym__immediate_brace] = ACTIONS(799),
  },
  [93] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11267),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(93),
    [sym_line_comment] = STATE(93),
    [aux_sym_macro_argument_list_repeat1] = STATE(297),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(321),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_SEMI] = ACTIONS(321),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(801),
    [sym__immediate_bracket] = ACTIONS(803),
    [sym__immediate_brace] = ACTIONS(805),
  },
  [94] = {
    [sym__block] = STATE(19673),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(94),
    [sym_line_comment] = STATE(94),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1437),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1059),
    [anon_sym_else] = ACTIONS(1059),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1439),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_where] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1059),
    [sym__lazy_and_operator] = ACTIONS(1059),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(1441),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [95] = {
    [sym__block] = STATE(19063),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(95),
    [sym_line_comment] = STATE(95),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1443),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_else] = ACTIONS(1059),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(1059),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_where] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1059),
    [sym__lazy_and_operator] = ACTIONS(1059),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(1447),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [96] = {
    [sym__block] = STATE(19091),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(96),
    [sym_line_comment] = STATE(96),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1449),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(1059),
    [anon_sym_finally] = ACTIONS(1059),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_where] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1059),
    [sym__lazy_and_operator] = ACTIONS(1059),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(1453),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [97] = {
    [sym_open_tuple] = STATE(8289),
    [sym_assignment] = STATE(8154),
    [sym__expression] = STATE(7518),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4594),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8252),
    [sym_unary_expression] = STATE(8252),
    [sym_range_expression] = STATE(8252),
    [sym_splat_expression] = STATE(8252),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7369),
    [sym_unary_typed_expression] = STATE(8252),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8252),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7582),
    [sym_block_comment] = STATE(97),
    [sym_line_comment] = STATE(97),
    [aux_sym_macro_argument_list_repeat1] = STATE(99),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_elseif] = ACTIONS(1303),
    [anon_sym_else] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_DOLLAR] = ACTIONS(1303),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1303),
    [aux_sym_integer_literal_token2] = ACTIONS(1303),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1303),
    [aux_sym_float_literal_token3] = ACTIONS(1303),
    [aux_sym_float_literal_token4] = ACTIONS(1303),
    [sym_character_literal] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1303),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(1303),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [98] = {
    [sym__block] = STATE(19091),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(98),
    [sym_line_comment] = STATE(98),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1449),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1059),
    [anon_sym_else] = ACTIONS(1059),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_where] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1059),
    [sym__lazy_and_operator] = ACTIONS(1059),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(1453),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [99] = {
    [sym_open_tuple] = STATE(8289),
    [sym_assignment] = STATE(8154),
    [sym__expression] = STATE(7518),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4594),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8252),
    [sym_unary_expression] = STATE(8252),
    [sym_range_expression] = STATE(8252),
    [sym_splat_expression] = STATE(8252),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7369),
    [sym_unary_typed_expression] = STATE(8252),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8252),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7582),
    [sym_block_comment] = STATE(99),
    [sym_line_comment] = STATE(99),
    [aux_sym_macro_argument_list_repeat1] = STATE(99),
    [sym__word_identifier] = ACTIONS(1455),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1310),
    [anon_sym_begin] = ACTIONS(1458),
    [anon_sym_module] = ACTIONS(1461),
    [anon_sym_baremodule] = ACTIONS(1461),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_abstract] = ACTIONS(1464),
    [anon_sym_primitive] = ACTIONS(1467),
    [anon_sym_mutable] = ACTIONS(1470),
    [anon_sym_struct] = ACTIONS(1473),
    [anon_sym_function] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(1479),
    [anon_sym_quote] = ACTIONS(1482),
    [anon_sym_let] = ACTIONS(1485),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_elseif] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_try] = ACTIONS(1491),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_while] = ACTIONS(1497),
    [sym_break_statement] = ACTIONS(1500),
    [sym_continue_statement] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1503),
    [anon_sym_const] = ACTIONS(1506),
    [anon_sym_global] = ACTIONS(1509),
    [anon_sym_local] = ACTIONS(1512),
    [anon_sym_LPAREN] = ACTIONS(1515),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_import] = ACTIONS(1524),
    [anon_sym_using] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1533),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_COLON2] = ACTIONS(1539),
    [anon_sym_COLON_COLON] = ACTIONS(1542),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1310),
    [anon_sym_QMARK] = ACTIONS(1310),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1545),
    [anon_sym_true] = ACTIONS(1548),
    [anon_sym_false] = ACTIONS(1548),
    [aux_sym_integer_literal_token1] = ACTIONS(1551),
    [aux_sym_integer_literal_token2] = ACTIONS(1551),
    [aux_sym_integer_literal_token3] = ACTIONS(1551),
    [aux_sym_integer_literal_token4] = ACTIONS(1554),
    [aux_sym_float_literal_token1] = ACTIONS(1557),
    [aux_sym_float_literal_token3] = ACTIONS(1557),
    [aux_sym_float_literal_token4] = ACTIONS(1557),
    [sym_character_literal] = ACTIONS(1560),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1426),
    [sym__pair_operator] = ACTIONS(1563),
    [sym__arrow_operator] = ACTIONS(1563),
    [sym__lazy_or_operator] = ACTIONS(1310),
    [sym__lazy_and_operator] = ACTIONS(1310),
    [sym__comparison_operator] = ACTIONS(1563),
    [sym__pipe_right_operator] = ACTIONS(1563),
    [sym__pipe_left_operator] = ACTIONS(1563),
    [sym__ellipsis_operator] = ACTIONS(1563),
    [sym__plus_operator] = ACTIONS(1563),
    [sym__times_operator] = ACTIONS(1563),
    [sym__rational_operator] = ACTIONS(1563),
    [sym__bitshift_operator] = ACTIONS(1563),
    [sym__power_operator] = ACTIONS(1563),
    [sym__tilde_operator] = ACTIONS(1566),
    [sym__type_order_operator] = ACTIONS(1566),
    [sym__unary_operator] = ACTIONS(1566),
    [sym__unary_plus_operator] = ACTIONS(1566),
    [aux_sym__terminator_token1] = ACTIONS(1435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [100] = {
    [sym__block] = STATE(20227),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(100),
    [sym_line_comment] = STATE(100),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1569),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_else] = ACTIONS(1059),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(1059),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_where] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1059),
    [sym__lazy_and_operator] = ACTIONS(1059),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(1573),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [101] = {
    [sym__block] = STATE(19687),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(101),
    [sym_line_comment] = STATE(101),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1575),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(1059),
    [anon_sym_finally] = ACTIONS(1059),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1577),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_where] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1059),
    [sym__lazy_and_operator] = ACTIONS(1059),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(1579),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [102] = {
    [sym_open_tuple] = STATE(9768),
    [sym_assignment] = STATE(9797),
    [sym__expression] = STATE(9666),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5737),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_macro_argument_list] = STATE(9806),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9803),
    [sym_unary_expression] = STATE(9803),
    [sym_range_expression] = STATE(9803),
    [sym_splat_expression] = STATE(9803),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9684),
    [sym_unary_typed_expression] = STATE(9803),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9803),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9685),
    [sym_block_comment] = STATE(102),
    [sym_line_comment] = STATE(102),
    [aux_sym_macro_argument_list_repeat1] = STATE(330),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1297),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(1581),
    [sym__immediate_bracket] = ACTIONS(1583),
    [sym__immediate_brace] = ACTIONS(1585),
  },
  [103] = {
    [sym_open_tuple] = STATE(9768),
    [sym_assignment] = STATE(9797),
    [sym__expression] = STATE(9666),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5737),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_macro_argument_list] = STATE(9847),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9803),
    [sym_unary_expression] = STATE(9803),
    [sym_range_expression] = STATE(9803),
    [sym_splat_expression] = STATE(9803),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9684),
    [sym_unary_typed_expression] = STATE(9803),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9803),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9685),
    [sym_block_comment] = STATE(103),
    [sym_line_comment] = STATE(103),
    [aux_sym_macro_argument_list_repeat1] = STATE(330),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1297),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(1587),
    [sym__immediate_bracket] = ACTIONS(1589),
    [sym__immediate_brace] = ACTIONS(1591),
  },
  [104] = {
    [sym__block] = STATE(19425),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(104),
    [sym_line_comment] = STATE(104),
    [ts_builtin_sym_end] = ACTIONS(1593),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1595),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_RBRACK] = ACTIONS(1059),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_where] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1059),
    [sym__lazy_and_operator] = ACTIONS(1059),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(1599),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [105] = {
    [sym_open_tuple] = STATE(8289),
    [sym_assignment] = STATE(8154),
    [sym__expression] = STATE(7518),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4594),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8252),
    [sym_unary_expression] = STATE(8252),
    [sym_range_expression] = STATE(8252),
    [sym_splat_expression] = STATE(8252),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7369),
    [sym_unary_typed_expression] = STATE(8252),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8252),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7582),
    [sym_block_comment] = STATE(105),
    [sym_line_comment] = STATE(105),
    [aux_sym_macro_argument_list_repeat1] = STATE(99),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(1303),
    [anon_sym_else] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(413),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [106] = {
    [sym_open_tuple] = STATE(8296),
    [sym_assignment] = STATE(8244),
    [sym__expression] = STATE(7520),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4603),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8265),
    [sym_unary_expression] = STATE(8265),
    [sym_range_expression] = STATE(8265),
    [sym_splat_expression] = STATE(8265),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7574),
    [sym_unary_typed_expression] = STATE(8265),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8265),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7683),
    [sym_block_comment] = STATE(106),
    [sym_line_comment] = STATE(106),
    [aux_sym_macro_argument_list_repeat1] = STATE(90),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_else] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_finally] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_DOLLAR] = ACTIONS(301),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(309),
    [aux_sym_integer_literal_token2] = ACTIONS(309),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(313),
    [aux_sym_float_literal_token3] = ACTIONS(313),
    [aux_sym_float_literal_token4] = ACTIONS(313),
    [sym_character_literal] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(319),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [107] = {
    [sym__closed_assignment] = STATE(14886),
    [sym__expression] = STATE(12535),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18326),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19371),
    [sym__syntactic_operator] = STATE(19371),
    [sym_block_comment] = STATE(107),
    [sym_line_comment] = STATE(107),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(1603),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(1645),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1657),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(1665),
    [anon_sym_COLON_EQ] = ACTIONS(1667),
    [anon_sym_DOT_EQ] = ACTIONS(1669),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(1691),
    [sym__lazy_and_operator] = ACTIONS(1691),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [108] = {
    [sym_open_tuple] = STATE(8243),
    [sym_assignment] = STATE(8244),
    [sym__expression] = STATE(8247),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4646),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8170),
    [sym_unary_expression] = STATE(8170),
    [sym_range_expression] = STATE(8170),
    [sym_splat_expression] = STATE(8170),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7472),
    [sym_unary_typed_expression] = STATE(8170),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8170),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7285),
    [sym_block_comment] = STATE(108),
    [sym_line_comment] = STATE(108),
    [aux_sym_macro_argument_list_repeat1] = STATE(137),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_else] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_finally] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_DOLLAR] = ACTIONS(1303),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1303),
    [aux_sym_integer_literal_token2] = ACTIONS(1303),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1303),
    [aux_sym_float_literal_token3] = ACTIONS(1303),
    [aux_sym_float_literal_token4] = ACTIONS(1303),
    [sym_character_literal] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1303),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(1303),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [109] = {
    [sym_open_tuple] = STATE(8842),
    [sym_assignment] = STATE(8773),
    [sym__expression] = STATE(8337),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4849),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9196),
    [sym_unary_expression] = STATE(9196),
    [sym_range_expression] = STATE(9196),
    [sym_splat_expression] = STATE(9196),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8091),
    [sym_unary_typed_expression] = STATE(9196),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9196),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8066),
    [sym_block_comment] = STATE(109),
    [sym_line_comment] = STATE(109),
    [aux_sym_macro_argument_list_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1435),
    [sym__word_identifier] = ACTIONS(1699),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1310),
    [anon_sym_begin] = ACTIONS(1702),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_baremodule] = ACTIONS(1705),
    [anon_sym_abstract] = ACTIONS(1708),
    [anon_sym_primitive] = ACTIONS(1711),
    [anon_sym_mutable] = ACTIONS(1714),
    [anon_sym_struct] = ACTIONS(1717),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_macro] = ACTIONS(1723),
    [anon_sym_quote] = ACTIONS(1726),
    [anon_sym_let] = ACTIONS(1729),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1735),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_while] = ACTIONS(1741),
    [sym_break_statement] = ACTIONS(1744),
    [sym_continue_statement] = ACTIONS(1744),
    [anon_sym_return] = ACTIONS(1747),
    [anon_sym_const] = ACTIONS(1750),
    [anon_sym_global] = ACTIONS(1753),
    [anon_sym_local] = ACTIONS(1756),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(1762),
    [anon_sym_public] = ACTIONS(1765),
    [anon_sym_import] = ACTIONS(1768),
    [anon_sym_using] = ACTIONS(1771),
    [anon_sym_LBRACK] = ACTIONS(1774),
    [anon_sym_RBRACK] = ACTIONS(1310),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1777),
    [anon_sym_DOLLAR] = ACTIONS(1780),
    [anon_sym_COLON2] = ACTIONS(1783),
    [anon_sym_COLON_COLON] = ACTIONS(1786),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1310),
    [anon_sym_QMARK] = ACTIONS(1310),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(1792),
    [anon_sym_false] = ACTIONS(1792),
    [aux_sym_integer_literal_token1] = ACTIONS(1795),
    [aux_sym_integer_literal_token2] = ACTIONS(1795),
    [aux_sym_integer_literal_token3] = ACTIONS(1795),
    [aux_sym_integer_literal_token4] = ACTIONS(1798),
    [aux_sym_float_literal_token1] = ACTIONS(1801),
    [aux_sym_float_literal_token3] = ACTIONS(1801),
    [aux_sym_float_literal_token4] = ACTIONS(1801),
    [sym_character_literal] = ACTIONS(1804),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1426),
    [sym__pair_operator] = ACTIONS(1807),
    [sym__arrow_operator] = ACTIONS(1807),
    [sym__lazy_or_operator] = ACTIONS(1310),
    [sym__lazy_and_operator] = ACTIONS(1310),
    [sym__comparison_operator] = ACTIONS(1807),
    [sym__pipe_right_operator] = ACTIONS(1807),
    [sym__pipe_left_operator] = ACTIONS(1807),
    [sym__ellipsis_operator] = ACTIONS(1807),
    [sym__plus_operator] = ACTIONS(1807),
    [sym__times_operator] = ACTIONS(1807),
    [sym__rational_operator] = ACTIONS(1807),
    [sym__bitshift_operator] = ACTIONS(1807),
    [sym__power_operator] = ACTIONS(1807),
    [sym__tilde_operator] = ACTIONS(1810),
    [sym__type_order_operator] = ACTIONS(1810),
    [sym__unary_operator] = ACTIONS(1810),
    [sym__unary_plus_operator] = ACTIONS(1810),
    [aux_sym__terminator_token1] = ACTIONS(1435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [110] = {
    [sym__closed_assignment] = STATE(15198),
    [sym__expression] = STATE(12359),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18461),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19688),
    [sym__syntactic_operator] = STATE(19688),
    [sym_block_comment] = STATE(110),
    [sym_line_comment] = STATE(110),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(1813),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(1815),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1817),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(1819),
    [anon_sym_COLON_EQ] = ACTIONS(1821),
    [anon_sym_DOT_EQ] = ACTIONS(1823),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(1825),
    [sym__lazy_and_operator] = ACTIONS(1825),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [111] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(111),
    [sym_line_comment] = STATE(111),
    [aux_sym_macro_argument_list_repeat1] = STATE(112),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(1305),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(1305),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(1305),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1305),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1305),
    [sym__lazy_and_operator] = ACTIONS(1305),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1305),
    [sym__pipe_left_operator] = ACTIONS(1305),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1305),
    [sym__bitshift_operator] = ACTIONS(1305),
    [sym__power_operator] = ACTIONS(1305),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(1305),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [112] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(112),
    [sym_line_comment] = STATE(112),
    [aux_sym_macro_argument_list_repeat1] = STATE(112),
    [sym__word_identifier] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1435),
    [anon_sym_EQ] = ACTIONS(1310),
    [anon_sym_begin] = ACTIONS(1830),
    [anon_sym_module] = ACTIONS(1833),
    [anon_sym_baremodule] = ACTIONS(1833),
    [anon_sym_abstract] = ACTIONS(1836),
    [anon_sym_primitive] = ACTIONS(1839),
    [anon_sym_mutable] = ACTIONS(1842),
    [anon_sym_struct] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1848),
    [anon_sym_macro] = ACTIONS(1851),
    [anon_sym_quote] = ACTIONS(1854),
    [anon_sym_let] = ACTIONS(1857),
    [anon_sym_if] = ACTIONS(1860),
    [anon_sym_try] = ACTIONS(1863),
    [anon_sym_for] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1869),
    [sym_break_statement] = ACTIONS(1872),
    [sym_continue_statement] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(1875),
    [anon_sym_const] = ACTIONS(1878),
    [anon_sym_global] = ACTIONS(1881),
    [anon_sym_local] = ACTIONS(1884),
    [anon_sym_LPAREN] = ACTIONS(1887),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(1890),
    [anon_sym_public] = ACTIONS(1893),
    [anon_sym_import] = ACTIONS(1896),
    [anon_sym_using] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1902),
    [anon_sym_RBRACK] = ACTIONS(1435),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_DOLLAR] = ACTIONS(1908),
    [anon_sym_COLON2] = ACTIONS(1911),
    [anon_sym_COLON_COLON] = ACTIONS(1914),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1435),
    [anon_sym_QMARK] = ACTIONS(1435),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1917),
    [anon_sym_true] = ACTIONS(1920),
    [anon_sym_false] = ACTIONS(1920),
    [aux_sym_integer_literal_token1] = ACTIONS(1923),
    [aux_sym_integer_literal_token2] = ACTIONS(1923),
    [aux_sym_integer_literal_token3] = ACTIONS(1926),
    [aux_sym_integer_literal_token4] = ACTIONS(1929),
    [aux_sym_float_literal_token1] = ACTIONS(1932),
    [aux_sym_float_literal_token3] = ACTIONS(1932),
    [aux_sym_float_literal_token4] = ACTIONS(1932),
    [sym_character_literal] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1938),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1941),
    [sym__pair_operator] = ACTIONS(1944),
    [sym__arrow_operator] = ACTIONS(1947),
    [sym__lazy_or_operator] = ACTIONS(1435),
    [sym__lazy_and_operator] = ACTIONS(1435),
    [sym__comparison_operator] = ACTIONS(1947),
    [sym__pipe_right_operator] = ACTIONS(1944),
    [sym__pipe_left_operator] = ACTIONS(1944),
    [sym__ellipsis_operator] = ACTIONS(1947),
    [sym__plus_operator] = ACTIONS(1947),
    [sym__times_operator] = ACTIONS(1947),
    [sym__rational_operator] = ACTIONS(1944),
    [sym__bitshift_operator] = ACTIONS(1944),
    [sym__power_operator] = ACTIONS(1944),
    [sym__tilde_operator] = ACTIONS(1950),
    [sym__type_order_operator] = ACTIONS(1950),
    [sym__unary_operator] = ACTIONS(1953),
    [sym__unary_plus_operator] = ACTIONS(1953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [113] = {
    [sym_open_tuple] = STATE(8285),
    [sym_assignment] = STATE(7719),
    [sym__expression] = STATE(7515),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4594),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8252),
    [sym_unary_expression] = STATE(8252),
    [sym_range_expression] = STATE(8252),
    [sym_splat_expression] = STATE(8252),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7369),
    [sym_unary_typed_expression] = STATE(8252),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8252),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7582),
    [sym_block_comment] = STATE(113),
    [sym_line_comment] = STATE(113),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(1956),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(413),
    [sym__type_order_operator] = ACTIONS(413),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [114] = {
    [sym_open_tuple] = STATE(8858),
    [sym_assignment] = STATE(8504),
    [sym__expression] = STATE(8343),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4926),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8747),
    [sym_unary_expression] = STATE(8747),
    [sym_range_expression] = STATE(8747),
    [sym_splat_expression] = STATE(8747),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8279),
    [sym_unary_typed_expression] = STATE(8747),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8747),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8225),
    [sym_block_comment] = STATE(114),
    [sym_line_comment] = STATE(114),
    [aux_sym_macro_argument_list_repeat1] = STATE(115),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_catch] = ACTIONS(1303),
    [anon_sym_finally] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_DOLLAR] = ACTIONS(861),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(871),
    [aux_sym_integer_literal_token2] = ACTIONS(871),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(875),
    [aux_sym_float_literal_token3] = ACTIONS(875),
    [aux_sym_float_literal_token4] = ACTIONS(875),
    [sym_character_literal] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(881),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [115] = {
    [sym_open_tuple] = STATE(8858),
    [sym_assignment] = STATE(8504),
    [sym__expression] = STATE(8343),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4926),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8747),
    [sym_unary_expression] = STATE(8747),
    [sym_range_expression] = STATE(8747),
    [sym_splat_expression] = STATE(8747),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8279),
    [sym_unary_typed_expression] = STATE(8747),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8747),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8225),
    [sym_block_comment] = STATE(115),
    [sym_line_comment] = STATE(115),
    [aux_sym_macro_argument_list_repeat1] = STATE(115),
    [sym__word_identifier] = ACTIONS(1960),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1310),
    [anon_sym_begin] = ACTIONS(1963),
    [anon_sym_module] = ACTIONS(1966),
    [anon_sym_baremodule] = ACTIONS(1966),
    [anon_sym_abstract] = ACTIONS(1969),
    [anon_sym_primitive] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1975),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_function] = ACTIONS(1981),
    [anon_sym_macro] = ACTIONS(1984),
    [anon_sym_quote] = ACTIONS(1987),
    [anon_sym_let] = ACTIONS(1990),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1996),
    [anon_sym_catch] = ACTIONS(1310),
    [anon_sym_finally] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1999),
    [anon_sym_while] = ACTIONS(2002),
    [sym_break_statement] = ACTIONS(2005),
    [sym_continue_statement] = ACTIONS(2005),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_const] = ACTIONS(2011),
    [anon_sym_global] = ACTIONS(2014),
    [anon_sym_local] = ACTIONS(2017),
    [anon_sym_LPAREN] = ACTIONS(2020),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(2023),
    [anon_sym_public] = ACTIONS(2026),
    [anon_sym_import] = ACTIONS(2029),
    [anon_sym_using] = ACTIONS(2032),
    [anon_sym_LBRACK] = ACTIONS(2035),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2041),
    [anon_sym_COLON2] = ACTIONS(2044),
    [anon_sym_COLON_COLON] = ACTIONS(2047),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1310),
    [anon_sym_QMARK] = ACTIONS(1310),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [aux_sym_integer_literal_token1] = ACTIONS(2056),
    [aux_sym_integer_literal_token2] = ACTIONS(2056),
    [aux_sym_integer_literal_token3] = ACTIONS(2056),
    [aux_sym_integer_literal_token4] = ACTIONS(2059),
    [aux_sym_float_literal_token1] = ACTIONS(2062),
    [aux_sym_float_literal_token3] = ACTIONS(2062),
    [aux_sym_float_literal_token4] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1426),
    [sym__pair_operator] = ACTIONS(2068),
    [sym__arrow_operator] = ACTIONS(2068),
    [sym__lazy_or_operator] = ACTIONS(1310),
    [sym__lazy_and_operator] = ACTIONS(1310),
    [sym__comparison_operator] = ACTIONS(2068),
    [sym__pipe_right_operator] = ACTIONS(2068),
    [sym__pipe_left_operator] = ACTIONS(2068),
    [sym__ellipsis_operator] = ACTIONS(2068),
    [sym__plus_operator] = ACTIONS(2068),
    [sym__times_operator] = ACTIONS(2068),
    [sym__rational_operator] = ACTIONS(2068),
    [sym__bitshift_operator] = ACTIONS(2068),
    [sym__power_operator] = ACTIONS(2068),
    [sym__tilde_operator] = ACTIONS(2071),
    [sym__type_order_operator] = ACTIONS(2071),
    [sym__unary_operator] = ACTIONS(2071),
    [sym__unary_plus_operator] = ACTIONS(2071),
    [aux_sym__terminator_token1] = ACTIONS(1435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [116] = {
    [sym_open_tuple] = STATE(8879),
    [sym_assignment] = STATE(8971),
    [sym__expression] = STATE(8351),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4716),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8839),
    [sym_unary_expression] = STATE(8839),
    [sym_range_expression] = STATE(8839),
    [sym_splat_expression] = STATE(8839),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8435),
    [sym_unary_typed_expression] = STATE(8839),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8839),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8280),
    [sym_block_comment] = STATE(116),
    [sym_line_comment] = STATE(116),
    [aux_sym_macro_argument_list_repeat1] = STATE(116),
    [sym__word_identifier] = ACTIONS(2074),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1310),
    [anon_sym_begin] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2080),
    [anon_sym_baremodule] = ACTIONS(2080),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_abstract] = ACTIONS(2083),
    [anon_sym_primitive] = ACTIONS(2086),
    [anon_sym_mutable] = ACTIONS(2089),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_function] = ACTIONS(2095),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_quote] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2104),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_catch] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(2113),
    [anon_sym_while] = ACTIONS(2116),
    [sym_break_statement] = ACTIONS(2119),
    [sym_continue_statement] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(2122),
    [anon_sym_const] = ACTIONS(2125),
    [anon_sym_global] = ACTIONS(2128),
    [anon_sym_local] = ACTIONS(2131),
    [anon_sym_LPAREN] = ACTIONS(2134),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(2137),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2143),
    [anon_sym_using] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_DOLLAR] = ACTIONS(2155),
    [anon_sym_COLON2] = ACTIONS(2158),
    [anon_sym_COLON_COLON] = ACTIONS(2161),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1310),
    [anon_sym_QMARK] = ACTIONS(1310),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(2164),
    [anon_sym_true] = ACTIONS(2167),
    [anon_sym_false] = ACTIONS(2167),
    [aux_sym_integer_literal_token1] = ACTIONS(2170),
    [aux_sym_integer_literal_token2] = ACTIONS(2170),
    [aux_sym_integer_literal_token3] = ACTIONS(2170),
    [aux_sym_integer_literal_token4] = ACTIONS(2173),
    [aux_sym_float_literal_token1] = ACTIONS(2176),
    [aux_sym_float_literal_token3] = ACTIONS(2176),
    [aux_sym_float_literal_token4] = ACTIONS(2176),
    [sym_character_literal] = ACTIONS(2179),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1426),
    [sym__pair_operator] = ACTIONS(2182),
    [sym__arrow_operator] = ACTIONS(2182),
    [sym__lazy_or_operator] = ACTIONS(1310),
    [sym__lazy_and_operator] = ACTIONS(1310),
    [sym__comparison_operator] = ACTIONS(2182),
    [sym__pipe_right_operator] = ACTIONS(2182),
    [sym__pipe_left_operator] = ACTIONS(2182),
    [sym__ellipsis_operator] = ACTIONS(2182),
    [sym__plus_operator] = ACTIONS(2182),
    [sym__times_operator] = ACTIONS(2182),
    [sym__rational_operator] = ACTIONS(2182),
    [sym__bitshift_operator] = ACTIONS(2182),
    [sym__power_operator] = ACTIONS(2182),
    [sym__tilde_operator] = ACTIONS(2185),
    [sym__type_order_operator] = ACTIONS(2185),
    [sym__unary_operator] = ACTIONS(2185),
    [sym__unary_plus_operator] = ACTIONS(2185),
    [aux_sym__terminator_token1] = ACTIONS(1435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [117] = {
    [sym_open_tuple] = STATE(8842),
    [sym_assignment] = STATE(8773),
    [sym__expression] = STATE(8337),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4849),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9196),
    [sym_unary_expression] = STATE(9196),
    [sym_range_expression] = STATE(9196),
    [sym_splat_expression] = STATE(9196),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8091),
    [sym_unary_typed_expression] = STATE(9196),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9196),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8066),
    [sym_block_comment] = STATE(117),
    [sym_line_comment] = STATE(117),
    [aux_sym_macro_argument_list_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1305),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_RBRACK] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_DOLLAR] = ACTIONS(1303),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1303),
    [aux_sym_integer_literal_token2] = ACTIONS(1303),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1303),
    [aux_sym_float_literal_token3] = ACTIONS(1303),
    [aux_sym_float_literal_token4] = ACTIONS(1303),
    [sym_character_literal] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1303),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(1303),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [118] = {
    [sym__closed_assignment] = STATE(14894),
    [sym__expression] = STATE(12563),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18385),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19597),
    [sym__syntactic_operator] = STATE(19597),
    [sym_block_comment] = STATE(118),
    [sym_line_comment] = STATE(118),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2188),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_COLON_EQ] = ACTIONS(2196),
    [anon_sym_DOT_EQ] = ACTIONS(2198),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2200),
    [sym__lazy_and_operator] = ACTIONS(2200),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [119] = {
    [sym_open_tuple] = STATE(8886),
    [sym_assignment] = STATE(8794),
    [sym__expression] = STATE(8353),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4794),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8967),
    [sym_unary_expression] = STATE(8967),
    [sym_range_expression] = STATE(8967),
    [sym_splat_expression] = STATE(8967),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7800),
    [sym_unary_typed_expression] = STATE(8967),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8967),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8328),
    [sym_block_comment] = STATE(119),
    [sym_line_comment] = STATE(119),
    [aux_sym_macro_argument_list_repeat1] = STATE(119),
    [sym__word_identifier] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1310),
    [anon_sym_begin] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_baremodule] = ACTIONS(2208),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_abstract] = ACTIONS(2211),
    [anon_sym_primitive] = ACTIONS(2214),
    [anon_sym_mutable] = ACTIONS(2217),
    [anon_sym_struct] = ACTIONS(2220),
    [anon_sym_function] = ACTIONS(2223),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_quote] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2232),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_finally] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(2241),
    [anon_sym_while] = ACTIONS(2244),
    [sym_break_statement] = ACTIONS(2247),
    [sym_continue_statement] = ACTIONS(2247),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_global] = ACTIONS(2256),
    [anon_sym_local] = ACTIONS(2259),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(2265),
    [anon_sym_public] = ACTIONS(2268),
    [anon_sym_import] = ACTIONS(2271),
    [anon_sym_using] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2277),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_DOLLAR] = ACTIONS(2283),
    [anon_sym_COLON2] = ACTIONS(2286),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1310),
    [anon_sym_QMARK] = ACTIONS(1310),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(2292),
    [anon_sym_true] = ACTIONS(2295),
    [anon_sym_false] = ACTIONS(2295),
    [aux_sym_integer_literal_token1] = ACTIONS(2298),
    [aux_sym_integer_literal_token2] = ACTIONS(2298),
    [aux_sym_integer_literal_token3] = ACTIONS(2298),
    [aux_sym_integer_literal_token4] = ACTIONS(2301),
    [aux_sym_float_literal_token1] = ACTIONS(2304),
    [aux_sym_float_literal_token3] = ACTIONS(2304),
    [aux_sym_float_literal_token4] = ACTIONS(2304),
    [sym_character_literal] = ACTIONS(2307),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1426),
    [sym__pair_operator] = ACTIONS(2310),
    [sym__arrow_operator] = ACTIONS(2310),
    [sym__lazy_or_operator] = ACTIONS(1310),
    [sym__lazy_and_operator] = ACTIONS(1310),
    [sym__comparison_operator] = ACTIONS(2310),
    [sym__pipe_right_operator] = ACTIONS(2310),
    [sym__pipe_left_operator] = ACTIONS(2310),
    [sym__ellipsis_operator] = ACTIONS(2310),
    [sym__plus_operator] = ACTIONS(2310),
    [sym__times_operator] = ACTIONS(2310),
    [sym__rational_operator] = ACTIONS(2310),
    [sym__bitshift_operator] = ACTIONS(2310),
    [sym__power_operator] = ACTIONS(2310),
    [sym__tilde_operator] = ACTIONS(2313),
    [sym__type_order_operator] = ACTIONS(2313),
    [sym__unary_operator] = ACTIONS(2313),
    [sym__unary_plus_operator] = ACTIONS(2313),
    [aux_sym__terminator_token1] = ACTIONS(1435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [120] = {
    [sym_open_tuple] = STATE(12876),
    [sym_assignment] = STATE(12179),
    [sym__expression] = STATE(12509),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10823),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12352),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(120),
    [sym_line_comment] = STATE(120),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1956),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(2326),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(2326),
    [sym__pipe_left_operator] = ACTIONS(2326),
    [sym__ellipsis_operator] = ACTIONS(2326),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(2326),
    [sym__bitshift_operator] = ACTIONS(2326),
    [sym__power_operator] = ACTIONS(2326),
    [sym__tilde_operator] = ACTIONS(1141),
    [sym__type_order_operator] = ACTIONS(1141),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [121] = {
    [sym_open_tuple] = STATE(9795),
    [sym_assignment] = STATE(9797),
    [sym__expression] = STATE(9800),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5580),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_macro_argument_list] = STATE(9806),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9775),
    [sym_unary_expression] = STATE(9775),
    [sym_range_expression] = STATE(9775),
    [sym_splat_expression] = STATE(9775),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9641),
    [sym_unary_typed_expression] = STATE(9775),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9775),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9721),
    [sym_block_comment] = STATE(121),
    [sym_line_comment] = STATE(121),
    [aux_sym_macro_argument_list_repeat1] = STATE(349),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1297),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(1581),
    [sym__immediate_bracket] = ACTIONS(1583),
    [sym__immediate_brace] = ACTIONS(1585),
  },
  [122] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(122),
    [sym_line_comment] = STATE(122),
    [aux_sym_macro_argument_list_repeat1] = STATE(112),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(1305),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1305),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_RBRACE] = ACTIONS(1305),
    [anon_sym_DOLLAR] = ACTIONS(1305),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1305),
    [aux_sym_integer_literal_token2] = ACTIONS(1305),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1305),
    [aux_sym_float_literal_token3] = ACTIONS(1305),
    [aux_sym_float_literal_token4] = ACTIONS(1305),
    [sym_character_literal] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1305),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1305),
    [sym__pair_operator] = ACTIONS(1305),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1305),
    [sym__lazy_and_operator] = ACTIONS(1305),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1305),
    [sym__pipe_left_operator] = ACTIONS(1305),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1305),
    [sym__bitshift_operator] = ACTIONS(1305),
    [sym__power_operator] = ACTIONS(1305),
    [sym__tilde_operator] = ACTIONS(1305),
    [sym__type_order_operator] = ACTIONS(1305),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [123] = {
    [sym_open_tuple] = STATE(9795),
    [sym_assignment] = STATE(9797),
    [sym__expression] = STATE(9800),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5580),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_macro_argument_list] = STATE(9847),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9775),
    [sym_unary_expression] = STATE(9775),
    [sym_range_expression] = STATE(9775),
    [sym_splat_expression] = STATE(9775),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9641),
    [sym_unary_typed_expression] = STATE(9775),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9775),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9721),
    [sym_block_comment] = STATE(123),
    [sym_line_comment] = STATE(123),
    [aux_sym_macro_argument_list_repeat1] = STATE(349),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1297),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(1587),
    [sym__immediate_bracket] = ACTIONS(1589),
    [sym__immediate_brace] = ACTIONS(1591),
  },
  [124] = {
    [sym_open_tuple] = STATE(12756),
    [sym_assignment] = STATE(12911),
    [sym__expression] = STATE(12453),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10798),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12713),
    [sym_unary_expression] = STATE(12713),
    [sym_range_expression] = STATE(12713),
    [sym_splat_expression] = STATE(12713),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12557),
    [sym_unary_typed_expression] = STATE(12713),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12713),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12520),
    [sym_block_comment] = STATE(124),
    [sym_line_comment] = STATE(124),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(153),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(157),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(171),
    [aux_sym_integer_literal_token2] = ACTIONS(171),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(175),
    [aux_sym_float_literal_token3] = ACTIONS(175),
    [aux_sym_float_literal_token4] = ACTIONS(175),
    [sym_character_literal] = ACTIONS(177),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(183),
    [sym__type_order_operator] = ACTIONS(183),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [125] = {
    [sym_open_tuple] = STATE(8879),
    [sym_assignment] = STATE(8971),
    [sym__expression] = STATE(8351),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4716),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8839),
    [sym_unary_expression] = STATE(8839),
    [sym_range_expression] = STATE(8839),
    [sym_splat_expression] = STATE(8839),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8435),
    [sym_unary_typed_expression] = STATE(8839),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8839),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8280),
    [sym_block_comment] = STATE(125),
    [sym_line_comment] = STATE(125),
    [aux_sym_macro_argument_list_repeat1] = STATE(116),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_catch] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_DOLLAR] = ACTIONS(589),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(599),
    [aux_sym_integer_literal_token2] = ACTIONS(599),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(603),
    [aux_sym_float_literal_token3] = ACTIONS(603),
    [aux_sym_float_literal_token4] = ACTIONS(603),
    [sym_character_literal] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(609),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [126] = {
    [sym_open_tuple] = STATE(8297),
    [sym_assignment] = STATE(8479),
    [sym__expression] = STATE(7521),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4603),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8265),
    [sym_unary_expression] = STATE(8265),
    [sym_range_expression] = STATE(8265),
    [sym_splat_expression] = STATE(8265),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7574),
    [sym_unary_typed_expression] = STATE(8265),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8265),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7683),
    [sym_block_comment] = STATE(126),
    [sym_line_comment] = STATE(126),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_finally] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_DOLLAR] = ACTIONS(301),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(309),
    [aux_sym_integer_literal_token2] = ACTIONS(309),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(313),
    [aux_sym_float_literal_token3] = ACTIONS(313),
    [aux_sym_float_literal_token4] = ACTIONS(313),
    [sym_character_literal] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(317),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(317),
    [sym__pipe_left_operator] = ACTIONS(317),
    [sym__ellipsis_operator] = ACTIONS(317),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(317),
    [sym__bitshift_operator] = ACTIONS(317),
    [sym__power_operator] = ACTIONS(317),
    [sym__tilde_operator] = ACTIONS(319),
    [sym__type_order_operator] = ACTIONS(319),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [127] = {
    [sym_open_tuple] = STATE(8858),
    [sym_assignment] = STATE(8504),
    [sym__expression] = STATE(8343),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4926),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8747),
    [sym_unary_expression] = STATE(8747),
    [sym_range_expression] = STATE(8747),
    [sym_splat_expression] = STATE(8747),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8279),
    [sym_unary_typed_expression] = STATE(8747),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8747),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8225),
    [sym_block_comment] = STATE(127),
    [sym_line_comment] = STATE(127),
    [aux_sym_macro_argument_list_repeat1] = STATE(115),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_catch] = ACTIONS(1303),
    [anon_sym_finally] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_DOLLAR] = ACTIONS(1303),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1303),
    [aux_sym_integer_literal_token2] = ACTIONS(1303),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1303),
    [aux_sym_float_literal_token3] = ACTIONS(1303),
    [aux_sym_float_literal_token4] = ACTIONS(1303),
    [sym_character_literal] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1303),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(1303),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [128] = {
    [sym_open_tuple] = STATE(8879),
    [sym_assignment] = STATE(8971),
    [sym__expression] = STATE(8351),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4716),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8839),
    [sym_unary_expression] = STATE(8839),
    [sym_range_expression] = STATE(8839),
    [sym_splat_expression] = STATE(8839),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8435),
    [sym_unary_typed_expression] = STATE(8839),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8839),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8280),
    [sym_block_comment] = STATE(128),
    [sym_line_comment] = STATE(128),
    [aux_sym_macro_argument_list_repeat1] = STATE(116),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_catch] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_DOLLAR] = ACTIONS(1303),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1303),
    [aux_sym_integer_literal_token2] = ACTIONS(1303),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1303),
    [aux_sym_float_literal_token3] = ACTIONS(1303),
    [aux_sym_float_literal_token4] = ACTIONS(1303),
    [sym_character_literal] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1303),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(1303),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [129] = {
    [sym_open_tuple] = STATE(8886),
    [sym_assignment] = STATE(8794),
    [sym__expression] = STATE(8353),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4794),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8967),
    [sym_unary_expression] = STATE(8967),
    [sym_range_expression] = STATE(8967),
    [sym_splat_expression] = STATE(8967),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7800),
    [sym_unary_typed_expression] = STATE(8967),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8967),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8328),
    [sym_block_comment] = STATE(129),
    [sym_line_comment] = STATE(129),
    [aux_sym_macro_argument_list_repeat1] = STATE(119),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_finally] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(515),
    [aux_sym_integer_literal_token2] = ACTIONS(515),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(519),
    [aux_sym_float_literal_token3] = ACTIONS(519),
    [aux_sym_float_literal_token4] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(525),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [130] = {
    [sym_open_tuple] = STATE(8886),
    [sym_assignment] = STATE(8794),
    [sym__expression] = STATE(8353),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4794),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8967),
    [sym_unary_expression] = STATE(8967),
    [sym_range_expression] = STATE(8967),
    [sym_splat_expression] = STATE(8967),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7800),
    [sym_unary_typed_expression] = STATE(8967),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8967),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8328),
    [sym_block_comment] = STATE(130),
    [sym_line_comment] = STATE(130),
    [aux_sym_macro_argument_list_repeat1] = STATE(119),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_finally] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_DOLLAR] = ACTIONS(1303),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1303),
    [aux_sym_integer_literal_token2] = ACTIONS(1303),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1303),
    [aux_sym_float_literal_token3] = ACTIONS(1303),
    [aux_sym_float_literal_token4] = ACTIONS(1303),
    [sym_character_literal] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1303),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(1303),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [131] = {
    [sym__closed_assignment] = STATE(15295),
    [sym__expression] = STATE(12412),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18520),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(18871),
    [sym__syntactic_operator] = STATE(18871),
    [sym_block_comment] = STATE(131),
    [sym_line_comment] = STATE(131),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2344),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2346),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2350),
    [anon_sym_COLON_EQ] = ACTIONS(2352),
    [anon_sym_DOT_EQ] = ACTIONS(2354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2356),
    [sym__lazy_and_operator] = ACTIONS(2356),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [132] = {
    [sym__closed_assignment] = STATE(15151),
    [sym__expression] = STATE(12567),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18721),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(18866),
    [sym__syntactic_operator] = STATE(18866),
    [sym_block_comment] = STATE(132),
    [sym_line_comment] = STATE(132),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2358),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2360),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2364),
    [anon_sym_COLON_EQ] = ACTIONS(2366),
    [anon_sym_DOT_EQ] = ACTIONS(2368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2370),
    [sym__lazy_and_operator] = ACTIONS(2370),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [133] = {
    [sym_open_tuple] = STATE(8153),
    [sym_assignment] = STATE(8154),
    [sym__expression] = STATE(8155),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4639),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7652),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7653),
    [sym_block_comment] = STATE(133),
    [sym_line_comment] = STATE(133),
    [aux_sym_macro_argument_list_repeat1] = STATE(134),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_elseif] = ACTIONS(1303),
    [anon_sym_else] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_DOLLAR] = ACTIONS(1303),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1303),
    [aux_sym_integer_literal_token2] = ACTIONS(1303),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1303),
    [aux_sym_float_literal_token3] = ACTIONS(1303),
    [aux_sym_float_literal_token4] = ACTIONS(1303),
    [sym_character_literal] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1303),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(1303),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [134] = {
    [sym_open_tuple] = STATE(8153),
    [sym_assignment] = STATE(8154),
    [sym__expression] = STATE(8155),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4639),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7652),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7653),
    [sym_block_comment] = STATE(134),
    [sym_line_comment] = STATE(134),
    [aux_sym_macro_argument_list_repeat1] = STATE(134),
    [sym__word_identifier] = ACTIONS(1455),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_begin] = ACTIONS(1458),
    [anon_sym_module] = ACTIONS(1461),
    [anon_sym_baremodule] = ACTIONS(1461),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_abstract] = ACTIONS(1464),
    [anon_sym_primitive] = ACTIONS(1467),
    [anon_sym_mutable] = ACTIONS(1470),
    [anon_sym_struct] = ACTIONS(1473),
    [anon_sym_function] = ACTIONS(1476),
    [anon_sym_macro] = ACTIONS(1479),
    [anon_sym_quote] = ACTIONS(1482),
    [anon_sym_let] = ACTIONS(1485),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_elseif] = ACTIONS(1310),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_try] = ACTIONS(1491),
    [anon_sym_for] = ACTIONS(1494),
    [anon_sym_while] = ACTIONS(1497),
    [sym_break_statement] = ACTIONS(1500),
    [sym_continue_statement] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(2372),
    [anon_sym_const] = ACTIONS(2375),
    [anon_sym_global] = ACTIONS(2378),
    [anon_sym_local] = ACTIONS(2381),
    [anon_sym_LPAREN] = ACTIONS(1515),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(1518),
    [anon_sym_public] = ACTIONS(1521),
    [anon_sym_import] = ACTIONS(1524),
    [anon_sym_using] = ACTIONS(1527),
    [anon_sym_LBRACK] = ACTIONS(1530),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1533),
    [anon_sym_DOLLAR] = ACTIONS(1536),
    [anon_sym_COLON2] = ACTIONS(1539),
    [anon_sym_COLON_COLON] = ACTIONS(1542),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1310),
    [anon_sym_QMARK] = ACTIONS(1310),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1545),
    [anon_sym_true] = ACTIONS(1548),
    [anon_sym_false] = ACTIONS(1548),
    [aux_sym_integer_literal_token1] = ACTIONS(1551),
    [aux_sym_integer_literal_token2] = ACTIONS(1551),
    [aux_sym_integer_literal_token3] = ACTIONS(1551),
    [aux_sym_integer_literal_token4] = ACTIONS(1554),
    [aux_sym_float_literal_token1] = ACTIONS(1557),
    [aux_sym_float_literal_token3] = ACTIONS(1557),
    [aux_sym_float_literal_token4] = ACTIONS(1557),
    [sym_character_literal] = ACTIONS(1560),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1426),
    [sym__pair_operator] = ACTIONS(1563),
    [sym__arrow_operator] = ACTIONS(1563),
    [sym__lazy_or_operator] = ACTIONS(1310),
    [sym__lazy_and_operator] = ACTIONS(1310),
    [sym__comparison_operator] = ACTIONS(1563),
    [sym__pipe_right_operator] = ACTIONS(1563),
    [sym__pipe_left_operator] = ACTIONS(1563),
    [sym__ellipsis_operator] = ACTIONS(1563),
    [sym__plus_operator] = ACTIONS(1563),
    [sym__times_operator] = ACTIONS(1563),
    [sym__rational_operator] = ACTIONS(1563),
    [sym__bitshift_operator] = ACTIONS(1563),
    [sym__power_operator] = ACTIONS(1563),
    [sym__tilde_operator] = ACTIONS(1566),
    [sym__type_order_operator] = ACTIONS(1566),
    [sym__unary_operator] = ACTIONS(1566),
    [sym__unary_plus_operator] = ACTIONS(1566),
    [aux_sym__terminator_token1] = ACTIONS(1435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [135] = {
    [sym__block] = STATE(19091),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(135),
    [sym_line_comment] = STATE(135),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1449),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(1059),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_where] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1059),
    [sym__lazy_and_operator] = ACTIONS(1059),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(1453),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [136] = {
    [sym__closed_assignment] = STATE(15439),
    [sym__expression] = STATE(12450),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18653),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(18829),
    [sym__syntactic_operator] = STATE(18829),
    [sym_block_comment] = STATE(136),
    [sym_line_comment] = STATE(136),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2384),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2386),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2388),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2390),
    [anon_sym_COLON_EQ] = ACTIONS(2392),
    [anon_sym_DOT_EQ] = ACTIONS(2394),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2396),
    [sym__lazy_and_operator] = ACTIONS(2396),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [137] = {
    [sym_open_tuple] = STATE(8243),
    [sym_assignment] = STATE(8244),
    [sym__expression] = STATE(8247),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4646),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8170),
    [sym_unary_expression] = STATE(8170),
    [sym_range_expression] = STATE(8170),
    [sym_splat_expression] = STATE(8170),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7472),
    [sym_unary_typed_expression] = STATE(8170),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8170),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7285),
    [sym_block_comment] = STATE(137),
    [sym_line_comment] = STATE(137),
    [aux_sym_macro_argument_list_repeat1] = STATE(137),
    [sym__word_identifier] = ACTIONS(1307),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_begin] = ACTIONS(1312),
    [anon_sym_module] = ACTIONS(1315),
    [anon_sym_baremodule] = ACTIONS(1315),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_abstract] = ACTIONS(1318),
    [anon_sym_primitive] = ACTIONS(1321),
    [anon_sym_mutable] = ACTIONS(1324),
    [anon_sym_struct] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(1330),
    [anon_sym_macro] = ACTIONS(1333),
    [anon_sym_quote] = ACTIONS(1336),
    [anon_sym_let] = ACTIONS(1339),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_else] = ACTIONS(1310),
    [anon_sym_try] = ACTIONS(1345),
    [anon_sym_finally] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1348),
    [anon_sym_while] = ACTIONS(1351),
    [sym_break_statement] = ACTIONS(1354),
    [sym_continue_statement] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(2398),
    [anon_sym_const] = ACTIONS(2401),
    [anon_sym_global] = ACTIONS(2404),
    [anon_sym_local] = ACTIONS(2407),
    [anon_sym_LPAREN] = ACTIONS(1369),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(1372),
    [anon_sym_public] = ACTIONS(1375),
    [anon_sym_import] = ACTIONS(1378),
    [anon_sym_using] = ACTIONS(1381),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_DOLLAR] = ACTIONS(1390),
    [anon_sym_COLON2] = ACTIONS(1393),
    [anon_sym_COLON_COLON] = ACTIONS(1396),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1310),
    [anon_sym_QMARK] = ACTIONS(1310),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1399),
    [anon_sym_true] = ACTIONS(1402),
    [anon_sym_false] = ACTIONS(1402),
    [aux_sym_integer_literal_token1] = ACTIONS(1405),
    [aux_sym_integer_literal_token2] = ACTIONS(1405),
    [aux_sym_integer_literal_token3] = ACTIONS(1405),
    [aux_sym_integer_literal_token4] = ACTIONS(1408),
    [aux_sym_float_literal_token1] = ACTIONS(1411),
    [aux_sym_float_literal_token3] = ACTIONS(1411),
    [aux_sym_float_literal_token4] = ACTIONS(1411),
    [sym_character_literal] = ACTIONS(1414),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1426),
    [sym__pair_operator] = ACTIONS(1429),
    [sym__arrow_operator] = ACTIONS(1429),
    [sym__lazy_or_operator] = ACTIONS(1310),
    [sym__lazy_and_operator] = ACTIONS(1310),
    [sym__comparison_operator] = ACTIONS(1429),
    [sym__pipe_right_operator] = ACTIONS(1429),
    [sym__pipe_left_operator] = ACTIONS(1429),
    [sym__ellipsis_operator] = ACTIONS(1429),
    [sym__plus_operator] = ACTIONS(1429),
    [sym__times_operator] = ACTIONS(1429),
    [sym__rational_operator] = ACTIONS(1429),
    [sym__bitshift_operator] = ACTIONS(1429),
    [sym__power_operator] = ACTIONS(1429),
    [sym__tilde_operator] = ACTIONS(1432),
    [sym__type_order_operator] = ACTIONS(1432),
    [sym__unary_operator] = ACTIONS(1432),
    [sym__unary_plus_operator] = ACTIONS(1432),
    [aux_sym__terminator_token1] = ACTIONS(1435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [138] = {
    [sym__closed_assignment] = STATE(14730),
    [sym__expression] = STATE(12579),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18466),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19101),
    [sym__syntactic_operator] = STATE(19101),
    [sym_block_comment] = STATE(138),
    [sym_line_comment] = STATE(138),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2410),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2416),
    [anon_sym_COLON_EQ] = ACTIONS(2418),
    [anon_sym_DOT_EQ] = ACTIONS(2420),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2422),
    [sym__lazy_and_operator] = ACTIONS(2422),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [139] = {
    [sym__block] = STATE(20254),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(139),
    [sym_line_comment] = STATE(139),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2424),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(1059),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_where] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1059),
    [sym__lazy_and_operator] = ACTIONS(1059),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(2428),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [140] = {
    [sym__closed_assignment] = STATE(15092),
    [sym__expression] = STATE(12372),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19509),
    [sym__syntactic_operator] = STATE(19509),
    [sym_block_comment] = STATE(140),
    [sym_line_comment] = STATE(140),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2430),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2432),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2436),
    [anon_sym_COLON_EQ] = ACTIONS(2438),
    [anon_sym_DOT_EQ] = ACTIONS(2440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2442),
    [sym__lazy_and_operator] = ACTIONS(2442),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [141] = {
    [sym__block] = STATE(19091),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(141),
    [sym_line_comment] = STATE(141),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1449),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(1059),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_where] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1059),
    [sym__lazy_and_operator] = ACTIONS(1059),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(1453),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [142] = {
    [sym__closed_assignment] = STATE(15082),
    [sym__expression] = STATE(12353),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18230),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(20088),
    [sym__syntactic_operator] = STATE(20088),
    [sym_block_comment] = STATE(142),
    [sym_line_comment] = STATE(142),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2444),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2446),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_COLON_EQ] = ACTIONS(2452),
    [anon_sym_DOT_EQ] = ACTIONS(2454),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2456),
    [sym__lazy_and_operator] = ACTIONS(2456),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [143] = {
    [sym__closed_assignment] = STATE(15404),
    [sym__expression] = STATE(12555),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18240),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19535),
    [sym__syntactic_operator] = STATE(19535),
    [sym_block_comment] = STATE(143),
    [sym_line_comment] = STATE(143),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2458),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2460),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2464),
    [anon_sym_COLON_EQ] = ACTIONS(2466),
    [anon_sym_DOT_EQ] = ACTIONS(2468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2470),
    [sym__lazy_and_operator] = ACTIONS(2470),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [144] = {
    [sym_open_tuple] = STATE(9795),
    [sym_assignment] = STATE(9797),
    [sym__expression] = STATE(9800),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5580),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_macro_argument_list] = STATE(11431),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9775),
    [sym_unary_expression] = STATE(9775),
    [sym_range_expression] = STATE(9775),
    [sym_splat_expression] = STATE(9775),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9641),
    [sym_unary_typed_expression] = STATE(9775),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9775),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9721),
    [sym_block_comment] = STATE(144),
    [sym_line_comment] = STATE(144),
    [aux_sym_macro_argument_list_repeat1] = STATE(352),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_end] = ACTIONS(329),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1297),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(795),
    [sym__immediate_bracket] = ACTIONS(797),
    [sym__immediate_brace] = ACTIONS(799),
  },
  [145] = {
    [sym__closed_assignment] = STATE(15276),
    [sym__expression] = STATE(12370),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18247),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19078),
    [sym__syntactic_operator] = STATE(19078),
    [sym_block_comment] = STATE(145),
    [sym_line_comment] = STATE(145),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2472),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_COLON_EQ] = ACTIONS(2480),
    [anon_sym_DOT_EQ] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2484),
    [sym__lazy_and_operator] = ACTIONS(2484),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [146] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11431),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(146),
    [sym_line_comment] = STATE(146),
    [aux_sym_macro_argument_list_repeat1] = STATE(347),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(795),
    [sym__immediate_bracket] = ACTIONS(797),
    [sym__immediate_brace] = ACTIONS(799),
  },
  [147] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11267),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(147),
    [sym_line_comment] = STATE(147),
    [aux_sym_macro_argument_list_repeat1] = STATE(347),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(801),
    [sym__immediate_bracket] = ACTIONS(803),
    [sym__immediate_brace] = ACTIONS(805),
  },
  [148] = {
    [sym_open_tuple] = STATE(9795),
    [sym_assignment] = STATE(9797),
    [sym__expression] = STATE(9800),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5580),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_macro_argument_list] = STATE(11267),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9775),
    [sym_unary_expression] = STATE(9775),
    [sym_range_expression] = STATE(9775),
    [sym_splat_expression] = STATE(9775),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9641),
    [sym_unary_typed_expression] = STATE(9775),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9775),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9721),
    [sym_block_comment] = STATE(148),
    [sym_line_comment] = STATE(148),
    [aux_sym_macro_argument_list_repeat1] = STATE(352),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_end] = ACTIONS(247),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1297),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(801),
    [sym__immediate_bracket] = ACTIONS(803),
    [sym__immediate_brace] = ACTIONS(805),
  },
  [149] = {
    [sym__closed_assignment] = STATE(15340),
    [sym__expression] = STATE(12427),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18253),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19246),
    [sym__syntactic_operator] = STATE(19246),
    [sym_block_comment] = STATE(149),
    [sym_line_comment] = STATE(149),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2486),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2488),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2492),
    [anon_sym_COLON_EQ] = ACTIONS(2494),
    [anon_sym_DOT_EQ] = ACTIONS(2496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2498),
    [sym__lazy_and_operator] = ACTIONS(2498),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [150] = {
    [sym__closed_assignment] = STATE(14818),
    [sym__expression] = STATE(12422),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18257),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19398),
    [sym__syntactic_operator] = STATE(19398),
    [sym_block_comment] = STATE(150),
    [sym_line_comment] = STATE(150),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2500),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2502),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_COLON_EQ] = ACTIONS(2508),
    [anon_sym_DOT_EQ] = ACTIONS(2510),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2512),
    [sym__lazy_and_operator] = ACTIONS(2512),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [151] = {
    [sym__block] = STATE(20300),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(151),
    [sym_line_comment] = STATE(151),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(2514),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(1059),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(2516),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_where] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1059),
    [sym__lazy_and_operator] = ACTIONS(1059),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(2518),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [152] = {
    [sym__closed_assignment] = STATE(14639),
    [sym__expression] = STATE(12481),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18262),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(20202),
    [sym__syntactic_operator] = STATE(20202),
    [sym_block_comment] = STATE(152),
    [sym_line_comment] = STATE(152),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2520),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2522),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2526),
    [anon_sym_COLON_EQ] = ACTIONS(2528),
    [anon_sym_DOT_EQ] = ACTIONS(2530),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2532),
    [sym__lazy_and_operator] = ACTIONS(2532),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [153] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11431),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(153),
    [sym_line_comment] = STATE(153),
    [aux_sym_macro_argument_list_repeat1] = STATE(354),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_EQ] = ACTIONS(329),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(795),
    [sym__immediate_bracket] = ACTIONS(797),
    [sym__immediate_brace] = ACTIONS(799),
  },
  [154] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11267),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(154),
    [sym_line_comment] = STATE(154),
    [aux_sym_macro_argument_list_repeat1] = STATE(354),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(801),
    [sym__immediate_bracket] = ACTIONS(803),
    [sym__immediate_brace] = ACTIONS(805),
  },
  [155] = {
    [sym_open_tuple] = STATE(8153),
    [sym_assignment] = STATE(8154),
    [sym__expression] = STATE(8155),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4639),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7652),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7653),
    [sym_block_comment] = STATE(155),
    [sym_line_comment] = STATE(155),
    [aux_sym_macro_argument_list_repeat1] = STATE(134),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(1303),
    [anon_sym_else] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(413),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [156] = {
    [sym__closed_assignment] = STATE(14756),
    [sym__expression] = STATE(12442),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18266),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19699),
    [sym__syntactic_operator] = STATE(19699),
    [sym_block_comment] = STATE(156),
    [sym_line_comment] = STATE(156),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2534),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2536),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2540),
    [anon_sym_COLON_EQ] = ACTIONS(2542),
    [anon_sym_DOT_EQ] = ACTIONS(2544),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2546),
    [sym__lazy_and_operator] = ACTIONS(2546),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [157] = {
    [sym__closed_assignment] = STATE(15003),
    [sym__expression] = STATE(12576),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18274),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(20313),
    [sym__syntactic_operator] = STATE(20313),
    [sym_block_comment] = STATE(157),
    [sym_line_comment] = STATE(157),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2548),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2550),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2554),
    [anon_sym_COLON_EQ] = ACTIONS(2556),
    [anon_sym_DOT_EQ] = ACTIONS(2558),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2560),
    [sym__lazy_and_operator] = ACTIONS(2560),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [158] = {
    [sym__closed_assignment] = STATE(15114),
    [sym__expression] = STATE(12380),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18276),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19079),
    [sym__syntactic_operator] = STATE(19079),
    [sym_block_comment] = STATE(158),
    [sym_line_comment] = STATE(158),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2562),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2564),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2568),
    [anon_sym_COLON_EQ] = ACTIONS(2570),
    [anon_sym_DOT_EQ] = ACTIONS(2572),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2574),
    [sym__lazy_and_operator] = ACTIONS(2574),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [159] = {
    [sym__block] = STATE(19091),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(159),
    [sym_line_comment] = STATE(159),
    [ts_builtin_sym_end] = ACTIONS(1593),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1449),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_where] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1059),
    [sym__lazy_and_operator] = ACTIONS(1059),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(1453),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [160] = {
    [sym__closed_assignment] = STATE(15250),
    [sym__expression] = STATE(12356),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18289),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19797),
    [sym__syntactic_operator] = STATE(19797),
    [sym_block_comment] = STATE(160),
    [sym_line_comment] = STATE(160),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2576),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2578),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2582),
    [anon_sym_COLON_EQ] = ACTIONS(2584),
    [anon_sym_DOT_EQ] = ACTIONS(2586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2588),
    [sym__lazy_and_operator] = ACTIONS(2588),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [161] = {
    [sym__closed_assignment] = STATE(15308),
    [sym__expression] = STATE(12399),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18292),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19307),
    [sym__syntactic_operator] = STATE(19307),
    [sym_block_comment] = STATE(161),
    [sym_line_comment] = STATE(161),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2590),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2596),
    [anon_sym_COLON_EQ] = ACTIONS(2598),
    [anon_sym_DOT_EQ] = ACTIONS(2600),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2602),
    [sym__lazy_and_operator] = ACTIONS(2602),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [162] = {
    [sym__closed_assignment] = STATE(14674),
    [sym__expression] = STATE(12449),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18293),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(20071),
    [sym__syntactic_operator] = STATE(20071),
    [sym_block_comment] = STATE(162),
    [sym_line_comment] = STATE(162),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2604),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2606),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2610),
    [anon_sym_COLON_EQ] = ACTIONS(2612),
    [anon_sym_DOT_EQ] = ACTIONS(2614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2616),
    [sym__lazy_and_operator] = ACTIONS(2616),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [163] = {
    [sym__closed_assignment] = STATE(14702),
    [sym__expression] = STATE(12492),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18295),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(18992),
    [sym__syntactic_operator] = STATE(18992),
    [sym_block_comment] = STATE(163),
    [sym_line_comment] = STATE(163),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2618),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2624),
    [anon_sym_COLON_EQ] = ACTIONS(2626),
    [anon_sym_DOT_EQ] = ACTIONS(2628),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2630),
    [sym__lazy_and_operator] = ACTIONS(2630),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [164] = {
    [sym__closed_assignment] = STATE(15363),
    [sym__expression] = STATE(12465),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18296),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19124),
    [sym__syntactic_operator] = STATE(19124),
    [sym_block_comment] = STATE(164),
    [sym_line_comment] = STATE(164),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2632),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2634),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2638),
    [anon_sym_COLON_EQ] = ACTIONS(2640),
    [anon_sym_DOT_EQ] = ACTIONS(2642),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2644),
    [sym__lazy_and_operator] = ACTIONS(2644),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [165] = {
    [sym__closed_assignment] = STATE(15398),
    [sym__expression] = STATE(12518),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18299),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19297),
    [sym__syntactic_operator] = STATE(19297),
    [sym_block_comment] = STATE(165),
    [sym_line_comment] = STATE(165),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2646),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2652),
    [anon_sym_COLON_EQ] = ACTIONS(2654),
    [anon_sym_DOT_EQ] = ACTIONS(2656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2658),
    [sym__lazy_and_operator] = ACTIONS(2658),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [166] = {
    [sym__closed_assignment] = STATE(15229),
    [sym__expression] = STATE(12404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18258),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19483),
    [sym__syntactic_operator] = STATE(19483),
    [sym_block_comment] = STATE(166),
    [sym_line_comment] = STATE(166),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2660),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2662),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2666),
    [anon_sym_COLON_EQ] = ACTIONS(2668),
    [anon_sym_DOT_EQ] = ACTIONS(2670),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2672),
    [sym__lazy_and_operator] = ACTIONS(2672),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [167] = {
    [sym__closed_assignment] = STATE(15081),
    [sym__expression] = STATE(12451),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18311),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19695),
    [sym__syntactic_operator] = STATE(19695),
    [sym_block_comment] = STATE(167),
    [sym_line_comment] = STATE(167),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2674),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2676),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2680),
    [anon_sym_COLON_EQ] = ACTIONS(2682),
    [anon_sym_DOT_EQ] = ACTIONS(2684),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2686),
    [sym__lazy_and_operator] = ACTIONS(2686),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [168] = {
    [sym__closed_assignment] = STATE(14887),
    [sym__expression] = STATE(12601),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18269),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19829),
    [sym__syntactic_operator] = STATE(19829),
    [sym_block_comment] = STATE(168),
    [sym_line_comment] = STATE(168),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2688),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2690),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2692),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2694),
    [anon_sym_COLON_EQ] = ACTIONS(2696),
    [anon_sym_DOT_EQ] = ACTIONS(2698),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2700),
    [sym__lazy_and_operator] = ACTIONS(2700),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [169] = {
    [sym__closed_assignment] = STATE(15437),
    [sym__expression] = STATE(12437),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18316),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(20022),
    [sym__syntactic_operator] = STATE(20022),
    [sym_block_comment] = STATE(169),
    [sym_line_comment] = STATE(169),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2702),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2704),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2708),
    [anon_sym_COLON_EQ] = ACTIONS(2710),
    [anon_sym_DOT_EQ] = ACTIONS(2712),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2714),
    [sym__lazy_and_operator] = ACTIONS(2714),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [170] = {
    [sym__closed_assignment] = STATE(15220),
    [sym__expression] = STATE(12539),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18286),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(20214),
    [sym__syntactic_operator] = STATE(20214),
    [sym_block_comment] = STATE(170),
    [sym_line_comment] = STATE(170),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2716),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2718),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2720),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2722),
    [anon_sym_COLON_EQ] = ACTIONS(2724),
    [anon_sym_DOT_EQ] = ACTIONS(2726),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2728),
    [sym__lazy_and_operator] = ACTIONS(2728),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [171] = {
    [sym__closed_assignment] = STATE(14654),
    [sym__expression] = STATE(12430),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18319),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19722),
    [sym__syntactic_operator] = STATE(19722),
    [sym_block_comment] = STATE(171),
    [sym_line_comment] = STATE(171),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2730),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2732),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2736),
    [anon_sym_COLON_EQ] = ACTIONS(2738),
    [anon_sym_DOT_EQ] = ACTIONS(2740),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2742),
    [sym__lazy_and_operator] = ACTIONS(2742),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [172] = {
    [sym__closed_assignment] = STATE(14688),
    [sym__expression] = STATE(12452),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18321),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(20183),
    [sym__syntactic_operator] = STATE(20183),
    [sym_block_comment] = STATE(172),
    [sym_line_comment] = STATE(172),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2744),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2746),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2750),
    [anon_sym_COLON_EQ] = ACTIONS(2752),
    [anon_sym_DOT_EQ] = ACTIONS(2754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2756),
    [sym__lazy_and_operator] = ACTIONS(2756),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [173] = {
    [sym__closed_assignment] = STATE(14719),
    [sym__expression] = STATE(12546),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18323),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(20357),
    [sym__syntactic_operator] = STATE(20357),
    [sym_block_comment] = STATE(173),
    [sym_line_comment] = STATE(173),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2758),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2760),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2764),
    [anon_sym_COLON_EQ] = ACTIONS(2766),
    [anon_sym_DOT_EQ] = ACTIONS(2768),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2770),
    [sym__lazy_and_operator] = ACTIONS(2770),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [174] = {
    [sym__closed_assignment] = STATE(14769),
    [sym__expression] = STATE(12577),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18333),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19094),
    [sym__syntactic_operator] = STATE(19094),
    [sym_block_comment] = STATE(174),
    [sym_line_comment] = STATE(174),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2772),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2774),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2778),
    [anon_sym_COLON_EQ] = ACTIONS(2780),
    [anon_sym_DOT_EQ] = ACTIONS(2782),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2784),
    [sym__lazy_and_operator] = ACTIONS(2784),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [175] = {
    [sym__closed_assignment] = STATE(15470),
    [sym__expression] = STATE(12366),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18302),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19744),
    [sym__syntactic_operator] = STATE(19744),
    [sym_block_comment] = STATE(175),
    [sym_line_comment] = STATE(175),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2786),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2788),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2792),
    [anon_sym_COLON_EQ] = ACTIONS(2794),
    [anon_sym_DOT_EQ] = ACTIONS(2796),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2798),
    [sym__lazy_and_operator] = ACTIONS(2798),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [176] = {
    [sym__closed_assignment] = STATE(14861),
    [sym__expression] = STATE(12421),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18308),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19334),
    [sym__syntactic_operator] = STATE(19334),
    [sym_block_comment] = STATE(176),
    [sym_line_comment] = STATE(176),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2800),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2802),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2806),
    [anon_sym_COLON_EQ] = ACTIONS(2808),
    [anon_sym_DOT_EQ] = ACTIONS(2810),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2812),
    [sym__lazy_and_operator] = ACTIONS(2812),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [177] = {
    [sym__closed_assignment] = STATE(14913),
    [sym__expression] = STATE(12357),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18353),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19937),
    [sym__syntactic_operator] = STATE(19937),
    [sym_block_comment] = STATE(177),
    [sym_line_comment] = STATE(177),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2814),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2816),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2820),
    [anon_sym_COLON_EQ] = ACTIONS(2822),
    [anon_sym_DOT_EQ] = ACTIONS(2824),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2826),
    [sym__lazy_and_operator] = ACTIONS(2826),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [178] = {
    [sym__closed_assignment] = STATE(14926),
    [sym__expression] = STATE(12374),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18334),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(20111),
    [sym__syntactic_operator] = STATE(20111),
    [sym_block_comment] = STATE(178),
    [sym_line_comment] = STATE(178),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2828),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2830),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2834),
    [anon_sym_COLON_EQ] = ACTIONS(2836),
    [anon_sym_DOT_EQ] = ACTIONS(2838),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2840),
    [sym__lazy_and_operator] = ACTIONS(2840),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [179] = {
    [sym__closed_assignment] = STATE(15286),
    [sym__expression] = STATE(12418),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18315),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19717),
    [sym__syntactic_operator] = STATE(19717),
    [sym_block_comment] = STATE(179),
    [sym_line_comment] = STATE(179),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2842),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2844),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2848),
    [anon_sym_COLON_EQ] = ACTIONS(2850),
    [anon_sym_DOT_EQ] = ACTIONS(2852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2854),
    [sym__lazy_and_operator] = ACTIONS(2854),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [180] = {
    [sym__closed_assignment] = STATE(15186),
    [sym__expression] = STATE(12523),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18284),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19080),
    [sym__syntactic_operator] = STATE(19080),
    [sym_block_comment] = STATE(180),
    [sym_line_comment] = STATE(180),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2856),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2858),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2862),
    [anon_sym_COLON_EQ] = ACTIONS(2864),
    [anon_sym_DOT_EQ] = ACTIONS(2866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2868),
    [sym__lazy_and_operator] = ACTIONS(2868),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [181] = {
    [sym__closed_assignment] = STATE(14638),
    [sym__expression] = STATE(12508),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18317),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(20213),
    [sym__syntactic_operator] = STATE(20213),
    [sym_block_comment] = STATE(181),
    [sym_line_comment] = STATE(181),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2870),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2872),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2876),
    [anon_sym_COLON_EQ] = ACTIONS(2878),
    [anon_sym_DOT_EQ] = ACTIONS(2880),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2882),
    [sym__lazy_and_operator] = ACTIONS(2882),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [182] = {
    [sym__closed_assignment] = STATE(14817),
    [sym__expression] = STATE(12414),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18342),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(18907),
    [sym__syntactic_operator] = STATE(18907),
    [sym_block_comment] = STATE(182),
    [sym_line_comment] = STATE(182),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2884),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2886),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2890),
    [anon_sym_COLON_EQ] = ACTIONS(2892),
    [anon_sym_DOT_EQ] = ACTIONS(2894),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2896),
    [sym__lazy_and_operator] = ACTIONS(2896),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [183] = {
    [sym__closed_assignment] = STATE(14870),
    [sym__expression] = STATE(12485),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18348),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19202),
    [sym__syntactic_operator] = STATE(19202),
    [sym_block_comment] = STATE(183),
    [sym_line_comment] = STATE(183),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2898),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2904),
    [anon_sym_COLON_EQ] = ACTIONS(2906),
    [anon_sym_DOT_EQ] = ACTIONS(2908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2910),
    [sym__lazy_and_operator] = ACTIONS(2910),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [184] = {
    [sym__closed_assignment] = STATE(14902),
    [sym__expression] = STATE(12573),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18351),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19422),
    [sym__syntactic_operator] = STATE(19422),
    [sym_block_comment] = STATE(184),
    [sym_line_comment] = STATE(184),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2912),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2914),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2918),
    [anon_sym_COLON_EQ] = ACTIONS(2920),
    [anon_sym_DOT_EQ] = ACTIONS(2922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2924),
    [sym__lazy_and_operator] = ACTIONS(2924),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [185] = {
    [sym__closed_assignment] = STATE(14757),
    [sym__expression] = STATE(12423),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18331),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19640),
    [sym__syntactic_operator] = STATE(19640),
    [sym_block_comment] = STATE(185),
    [sym_line_comment] = STATE(185),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2926),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2928),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2932),
    [anon_sym_COLON_EQ] = ACTIONS(2934),
    [anon_sym_DOT_EQ] = ACTIONS(2936),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2938),
    [sym__lazy_and_operator] = ACTIONS(2938),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [186] = {
    [sym__closed_assignment] = STATE(15438),
    [sym__expression] = STATE(12570),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18301),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19810),
    [sym__syntactic_operator] = STATE(19810),
    [sym_block_comment] = STATE(186),
    [sym_line_comment] = STATE(186),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2940),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2942),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2946),
    [anon_sym_COLON_EQ] = ACTIONS(2948),
    [anon_sym_DOT_EQ] = ACTIONS(2950),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2952),
    [sym__lazy_and_operator] = ACTIONS(2952),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [187] = {
    [sym__closed_assignment] = STATE(15002),
    [sym__expression] = STATE(12499),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18361),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19975),
    [sym__syntactic_operator] = STATE(19975),
    [sym_block_comment] = STATE(187),
    [sym_line_comment] = STATE(187),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2954),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2956),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2958),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2960),
    [anon_sym_COLON_EQ] = ACTIONS(2962),
    [anon_sym_DOT_EQ] = ACTIONS(2964),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2966),
    [sym__lazy_and_operator] = ACTIONS(2966),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [188] = {
    [sym__closed_assignment] = STATE(15300),
    [sym__expression] = STATE(12533),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18305),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(20137),
    [sym__syntactic_operator] = STATE(20137),
    [sym_block_comment] = STATE(188),
    [sym_line_comment] = STATE(188),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2968),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2970),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2974),
    [anon_sym_COLON_EQ] = ACTIONS(2976),
    [anon_sym_DOT_EQ] = ACTIONS(2978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2980),
    [sym__lazy_and_operator] = ACTIONS(2980),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [189] = {
    [sym__closed_assignment] = STATE(14939),
    [sym__expression] = STATE(12389),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18355),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(20265),
    [sym__syntactic_operator] = STATE(20265),
    [sym_block_comment] = STATE(189),
    [sym_line_comment] = STATE(189),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2982),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2984),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(2988),
    [anon_sym_COLON_EQ] = ACTIONS(2990),
    [anon_sym_DOT_EQ] = ACTIONS(2992),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(2994),
    [sym__lazy_and_operator] = ACTIONS(2994),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [190] = {
    [sym__closed_assignment] = STATE(15192),
    [sym__expression] = STATE(12376),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18312),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19354),
    [sym__syntactic_operator] = STATE(19354),
    [sym_block_comment] = STATE(190),
    [sym_line_comment] = STATE(190),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(2996),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2998),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3002),
    [anon_sym_COLON_EQ] = ACTIONS(3004),
    [anon_sym_DOT_EQ] = ACTIONS(3006),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3008),
    [sym__lazy_and_operator] = ACTIONS(3008),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [191] = {
    [sym__closed_assignment] = STATE(14801),
    [sym__expression] = STATE(12402),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18340),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19632),
    [sym__syntactic_operator] = STATE(19632),
    [sym_block_comment] = STATE(191),
    [sym_line_comment] = STATE(191),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3010),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3012),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3016),
    [anon_sym_COLON_EQ] = ACTIONS(3018),
    [anon_sym_DOT_EQ] = ACTIONS(3020),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3022),
    [sym__lazy_and_operator] = ACTIONS(3022),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [192] = {
    [sym__closed_assignment] = STATE(14852),
    [sym__expression] = STATE(12428),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18346),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19176),
    [sym__syntactic_operator] = STATE(19176),
    [sym_block_comment] = STATE(192),
    [sym_line_comment] = STATE(192),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3024),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3026),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3030),
    [anon_sym_COLON_EQ] = ACTIONS(3032),
    [anon_sym_DOT_EQ] = ACTIONS(3034),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3036),
    [sym__lazy_and_operator] = ACTIONS(3036),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [193] = {
    [sym__closed_assignment] = STATE(14986),
    [sym__expression] = STATE(12443),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18360),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19780),
    [sym__syntactic_operator] = STATE(19780),
    [sym_block_comment] = STATE(193),
    [sym_line_comment] = STATE(193),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3038),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3040),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3044),
    [anon_sym_COLON_EQ] = ACTIONS(3046),
    [anon_sym_DOT_EQ] = ACTIONS(3048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3050),
    [sym__lazy_and_operator] = ACTIONS(3050),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [194] = {
    [sym__closed_assignment] = STATE(14740),
    [sym__expression] = STATE(12354),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18330),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(20226),
    [sym__syntactic_operator] = STATE(20226),
    [sym_block_comment] = STATE(194),
    [sym_line_comment] = STATE(194),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3052),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3054),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3058),
    [anon_sym_COLON_EQ] = ACTIONS(3060),
    [anon_sym_DOT_EQ] = ACTIONS(3062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3064),
    [sym__lazy_and_operator] = ACTIONS(3064),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [195] = {
    [sym__closed_assignment] = STATE(15049),
    [sym__expression] = STATE(12588),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18369),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19955),
    [sym__syntactic_operator] = STATE(19955),
    [sym_block_comment] = STATE(195),
    [sym_line_comment] = STATE(195),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3066),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3068),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3072),
    [anon_sym_COLON_EQ] = ACTIONS(3074),
    [anon_sym_DOT_EQ] = ACTIONS(3076),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3078),
    [sym__lazy_and_operator] = ACTIONS(3078),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [196] = {
    [sym__closed_assignment] = STATE(14782),
    [sym__expression] = STATE(12599),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18336),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19238),
    [sym__syntactic_operator] = STATE(19238),
    [sym_block_comment] = STATE(196),
    [sym_line_comment] = STATE(196),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3080),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3082),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_COLON_EQ] = ACTIONS(3088),
    [anon_sym_DOT_EQ] = ACTIONS(3090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3092),
    [sym__lazy_and_operator] = ACTIONS(3092),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [197] = {
    [sym__closed_assignment] = STATE(14835),
    [sym__expression] = STATE(12424),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18345),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19756),
    [sym__syntactic_operator] = STATE(19756),
    [sym_block_comment] = STATE(197),
    [sym_line_comment] = STATE(197),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3094),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3096),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3100),
    [anon_sym_COLON_EQ] = ACTIONS(3102),
    [anon_sym_DOT_EQ] = ACTIONS(3104),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3106),
    [sym__lazy_and_operator] = ACTIONS(3106),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [198] = {
    [sym__closed_assignment] = STATE(14970),
    [sym__expression] = STATE(12415),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18358),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(20144),
    [sym__syntactic_operator] = STATE(20144),
    [sym_block_comment] = STATE(198),
    [sym_line_comment] = STATE(198),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3108),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_COLON_EQ] = ACTIONS(3116),
    [anon_sym_DOT_EQ] = ACTIONS(3118),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3120),
    [sym__lazy_and_operator] = ACTIONS(3120),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [199] = {
    [sym__closed_assignment] = STATE(15033),
    [sym__expression] = STATE(12565),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18366),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(18817),
    [sym__syntactic_operator] = STATE(18817),
    [sym_block_comment] = STATE(199),
    [sym_line_comment] = STATE(199),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3122),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3128),
    [anon_sym_COLON_EQ] = ACTIONS(3130),
    [anon_sym_DOT_EQ] = ACTIONS(3132),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3134),
    [sym__lazy_and_operator] = ACTIONS(3134),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [200] = {
    [sym__closed_assignment] = STATE(14953),
    [sym__expression] = STATE(12397),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18357),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(18911),
    [sym__syntactic_operator] = STATE(18911),
    [sym_block_comment] = STATE(200),
    [sym_line_comment] = STATE(200),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3136),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3142),
    [anon_sym_COLON_EQ] = ACTIONS(3144),
    [anon_sym_DOT_EQ] = ACTIONS(3146),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3148),
    [sym__lazy_and_operator] = ACTIONS(3148),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [201] = {
    [sym__closed_assignment] = STATE(15018),
    [sym__expression] = STATE(12552),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18364),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19058),
    [sym__syntactic_operator] = STATE(19058),
    [sym_block_comment] = STATE(201),
    [sym_line_comment] = STATE(201),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3150),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3152),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3156),
    [anon_sym_COLON_EQ] = ACTIONS(3158),
    [anon_sym_DOT_EQ] = ACTIONS(3160),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3162),
    [sym__lazy_and_operator] = ACTIONS(3162),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [202] = {
    [sym_open_tuple] = STATE(8243),
    [sym_assignment] = STATE(8244),
    [sym__expression] = STATE(8247),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4646),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8170),
    [sym_unary_expression] = STATE(8170),
    [sym_range_expression] = STATE(8170),
    [sym_splat_expression] = STATE(8170),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7472),
    [sym_unary_typed_expression] = STATE(8170),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8170),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7285),
    [sym_block_comment] = STATE(202),
    [sym_line_comment] = STATE(202),
    [aux_sym_macro_argument_list_repeat1] = STATE(137),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_else] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_finally] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_DOLLAR] = ACTIONS(301),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(309),
    [aux_sym_integer_literal_token2] = ACTIONS(309),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(313),
    [aux_sym_float_literal_token3] = ACTIONS(313),
    [aux_sym_float_literal_token4] = ACTIONS(313),
    [sym_character_literal] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(319),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [203] = {
    [sym__closed_assignment] = STATE(15144),
    [sym__expression] = STATE(12456),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18281),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym__assignment_operator] = STATE(19621),
    [sym__syntactic_operator] = STATE(19621),
    [sym_block_comment] = STATE(203),
    [sym_line_comment] = STATE(203),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3164),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3166),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(1661),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_COLON_EQ] = ACTIONS(3172),
    [anon_sym_DOT_EQ] = ACTIONS(3174),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1671),
    [anon_sym_QMARK] = ACTIONS(1671),
    [anon_sym_DASH_GT] = ACTIONS(1671),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3176),
    [sym__lazy_and_operator] = ACTIONS(3176),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [anon_sym_DOT2] = ACTIONS(1697),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [204] = {
    [sym_open_tuple] = STATE(8772),
    [sym_assignment] = STATE(8773),
    [sym__expression] = STATE(8781),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4691),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9160),
    [sym_unary_expression] = STATE(9160),
    [sym_range_expression] = STATE(9160),
    [sym_splat_expression] = STATE(9160),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(7712),
    [sym_unary_typed_expression] = STATE(9160),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9160),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(7713),
    [sym_block_comment] = STATE(204),
    [sym_line_comment] = STATE(204),
    [aux_sym_macro_argument_list_repeat1] = STATE(204),
    [ts_builtin_sym_end] = ACTIONS(1435),
    [sym__word_identifier] = ACTIONS(1699),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_begin] = ACTIONS(1702),
    [anon_sym_module] = ACTIONS(1705),
    [anon_sym_baremodule] = ACTIONS(1705),
    [anon_sym_abstract] = ACTIONS(1708),
    [anon_sym_primitive] = ACTIONS(1711),
    [anon_sym_mutable] = ACTIONS(1714),
    [anon_sym_struct] = ACTIONS(1717),
    [anon_sym_function] = ACTIONS(1720),
    [anon_sym_macro] = ACTIONS(1723),
    [anon_sym_quote] = ACTIONS(1726),
    [anon_sym_let] = ACTIONS(1729),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1735),
    [anon_sym_for] = ACTIONS(1738),
    [anon_sym_while] = ACTIONS(1741),
    [sym_break_statement] = ACTIONS(1744),
    [sym_continue_statement] = ACTIONS(1744),
    [anon_sym_return] = ACTIONS(3178),
    [anon_sym_const] = ACTIONS(3181),
    [anon_sym_global] = ACTIONS(3184),
    [anon_sym_local] = ACTIONS(3187),
    [anon_sym_LPAREN] = ACTIONS(1759),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(1762),
    [anon_sym_public] = ACTIONS(1765),
    [anon_sym_import] = ACTIONS(1768),
    [anon_sym_using] = ACTIONS(1771),
    [anon_sym_LBRACK] = ACTIONS(1774),
    [anon_sym_RBRACK] = ACTIONS(1310),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(1777),
    [anon_sym_DOLLAR] = ACTIONS(1780),
    [anon_sym_COLON2] = ACTIONS(1783),
    [anon_sym_COLON_COLON] = ACTIONS(1786),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1310),
    [anon_sym_QMARK] = ACTIONS(1310),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1789),
    [anon_sym_true] = ACTIONS(1792),
    [anon_sym_false] = ACTIONS(1792),
    [aux_sym_integer_literal_token1] = ACTIONS(1795),
    [aux_sym_integer_literal_token2] = ACTIONS(1795),
    [aux_sym_integer_literal_token3] = ACTIONS(1795),
    [aux_sym_integer_literal_token4] = ACTIONS(1798),
    [aux_sym_float_literal_token1] = ACTIONS(1801),
    [aux_sym_float_literal_token3] = ACTIONS(1801),
    [aux_sym_float_literal_token4] = ACTIONS(1801),
    [sym_character_literal] = ACTIONS(1804),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1426),
    [sym__pair_operator] = ACTIONS(1807),
    [sym__arrow_operator] = ACTIONS(1807),
    [sym__lazy_or_operator] = ACTIONS(1310),
    [sym__lazy_and_operator] = ACTIONS(1310),
    [sym__comparison_operator] = ACTIONS(1807),
    [sym__pipe_right_operator] = ACTIONS(1807),
    [sym__pipe_left_operator] = ACTIONS(1807),
    [sym__ellipsis_operator] = ACTIONS(1807),
    [sym__plus_operator] = ACTIONS(1807),
    [sym__times_operator] = ACTIONS(1807),
    [sym__rational_operator] = ACTIONS(1807),
    [sym__bitshift_operator] = ACTIONS(1807),
    [sym__power_operator] = ACTIONS(1807),
    [sym__tilde_operator] = ACTIONS(1810),
    [sym__type_order_operator] = ACTIONS(1810),
    [sym__unary_operator] = ACTIONS(1810),
    [sym__unary_plus_operator] = ACTIONS(1810),
    [aux_sym__terminator_token1] = ACTIONS(1435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [205] = {
    [sym_open_tuple] = STATE(8887),
    [sym_assignment] = STATE(8597),
    [sym__expression] = STATE(8354),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4716),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8839),
    [sym_unary_expression] = STATE(8839),
    [sym_range_expression] = STATE(8839),
    [sym_splat_expression] = STATE(8839),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8435),
    [sym_unary_typed_expression] = STATE(8839),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8839),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8280),
    [sym_block_comment] = STATE(205),
    [sym_line_comment] = STATE(205),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_DOLLAR] = ACTIONS(589),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(593),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(599),
    [aux_sym_integer_literal_token2] = ACTIONS(599),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(603),
    [aux_sym_float_literal_token3] = ACTIONS(603),
    [aux_sym_float_literal_token4] = ACTIONS(603),
    [sym_character_literal] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(607),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(607),
    [sym__pipe_left_operator] = ACTIONS(607),
    [sym__ellipsis_operator] = ACTIONS(607),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(607),
    [sym__bitshift_operator] = ACTIONS(607),
    [sym__power_operator] = ACTIONS(607),
    [sym__tilde_operator] = ACTIONS(609),
    [sym__type_order_operator] = ACTIONS(609),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [206] = {
    [sym_open_tuple] = STATE(13221),
    [sym_assignment] = STATE(12179),
    [sym__expression] = STATE(12869),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10907),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12662),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(206),
    [sym_line_comment] = STATE(206),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3208),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3214),
    [aux_sym_integer_literal_token2] = ACTIONS(3214),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(3218),
    [aux_sym_float_literal_token3] = ACTIONS(3218),
    [aux_sym_float_literal_token4] = ACTIONS(3218),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3220),
    [sym__type_order_operator] = ACTIONS(3220),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [207] = {
    [sym__expression] = STATE(9299),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(207),
    [sym_line_comment] = STATE(207),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(3224),
    [sym__type_order_operator] = ACTIONS(3224),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [208] = {
    [sym_open_tuple] = STATE(8891),
    [sym_assignment] = STATE(9187),
    [sym__expression] = STATE(8358),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4794),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8967),
    [sym_unary_expression] = STATE(8967),
    [sym_range_expression] = STATE(8967),
    [sym_splat_expression] = STATE(8967),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7800),
    [sym_unary_typed_expression] = STATE(8967),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8967),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8328),
    [sym_block_comment] = STATE(208),
    [sym_line_comment] = STATE(208),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_finally] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(509),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(515),
    [aux_sym_integer_literal_token2] = ACTIONS(515),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(519),
    [aux_sym_float_literal_token3] = ACTIONS(519),
    [aux_sym_float_literal_token4] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(523),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(523),
    [sym__pipe_left_operator] = ACTIONS(523),
    [sym__ellipsis_operator] = ACTIONS(523),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(523),
    [sym__bitshift_operator] = ACTIONS(523),
    [sym__power_operator] = ACTIONS(523),
    [sym__tilde_operator] = ACTIONS(525),
    [sym__type_order_operator] = ACTIONS(525),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [209] = {
    [sym_open_tuple] = STATE(8966),
    [sym_assignment] = STATE(8971),
    [sym__expression] = STATE(8974),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4887),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8693),
    [sym_unary_expression] = STATE(8693),
    [sym_range_expression] = STATE(8693),
    [sym_splat_expression] = STATE(8693),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8253),
    [sym_unary_typed_expression] = STATE(8693),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8693),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8197),
    [sym_block_comment] = STATE(209),
    [sym_line_comment] = STATE(209),
    [aux_sym_macro_argument_list_repeat1] = STATE(230),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_catch] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_DOLLAR] = ACTIONS(589),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(599),
    [aux_sym_integer_literal_token2] = ACTIONS(599),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(603),
    [aux_sym_float_literal_token3] = ACTIONS(603),
    [aux_sym_float_literal_token4] = ACTIONS(603),
    [sym_character_literal] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(609),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [210] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(210),
    [sym_line_comment] = STATE(210),
    [aux_sym_macro_argument_list_repeat1] = STATE(112),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(1305),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(1305),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1305),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1305),
    [sym__lazy_and_operator] = ACTIONS(1305),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1305),
    [sym__pipe_left_operator] = ACTIONS(1305),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1305),
    [sym__bitshift_operator] = ACTIONS(1305),
    [sym__power_operator] = ACTIONS(1305),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(1305),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [211] = {
    [sym__block] = STATE(19949),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(211),
    [sym_line_comment] = STATE(211),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3228),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(3230),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_where] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1059),
    [sym__lazy_and_operator] = ACTIONS(1059),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(3232),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [212] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(212),
    [sym_line_comment] = STATE(212),
    [aux_sym_macro_argument_list_repeat1] = STATE(215),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(1305),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(1305),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(1305),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1305),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1305),
    [sym__lazy_and_operator] = ACTIONS(1305),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1305),
    [sym__pipe_left_operator] = ACTIONS(1305),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1305),
    [sym__bitshift_operator] = ACTIONS(1305),
    [sym__power_operator] = ACTIONS(1305),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(1305),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [213] = {
    [sym__block] = STATE(17934),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(213),
    [sym_line_comment] = STATE(213),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3234),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(3234),
    [anon_sym_else] = ACTIONS(3234),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(3236),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(1101),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1115),
    [sym__arrow_operator] = ACTIONS(1117),
    [sym__lazy_or_operator] = ACTIONS(1119),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1123),
    [sym__pipe_right_operator] = ACTIONS(1125),
    [sym__pipe_left_operator] = ACTIONS(1127),
    [sym__ellipsis_operator] = ACTIONS(1129),
    [sym__plus_operator] = ACTIONS(1131),
    [sym__times_operator] = ACTIONS(1133),
    [sym__rational_operator] = ACTIONS(1135),
    [sym__bitshift_operator] = ACTIONS(1137),
    [sym__power_operator] = ACTIONS(1139),
    [sym__tilde_operator] = ACTIONS(1141),
    [sym__type_order_operator] = ACTIONS(1143),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1145),
    [aux_sym__terminator_token1] = ACTIONS(3238),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [214] = {
    [sym_open_tuple] = STATE(13341),
    [sym_assignment] = STATE(11376),
    [sym__expression] = STATE(12831),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10947),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12651),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(214),
    [sym_line_comment] = STATE(214),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1958),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1958),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_QMARK] = ACTIONS(1958),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(1958),
    [sym__lazy_and_operator] = ACTIONS(1958),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [215] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(215),
    [sym_line_comment] = STATE(215),
    [aux_sym_macro_argument_list_repeat1] = STATE(215),
    [sym__word_identifier] = ACTIONS(1827),
    [anon_sym_COMMA] = ACTIONS(1435),
    [anon_sym_begin] = ACTIONS(1830),
    [anon_sym_module] = ACTIONS(1833),
    [anon_sym_baremodule] = ACTIONS(1833),
    [anon_sym_abstract] = ACTIONS(1836),
    [anon_sym_primitive] = ACTIONS(1839),
    [anon_sym_mutable] = ACTIONS(1842),
    [anon_sym_struct] = ACTIONS(1845),
    [anon_sym_function] = ACTIONS(1848),
    [anon_sym_macro] = ACTIONS(1851),
    [anon_sym_quote] = ACTIONS(1854),
    [anon_sym_let] = ACTIONS(1857),
    [anon_sym_if] = ACTIONS(1860),
    [anon_sym_try] = ACTIONS(1863),
    [anon_sym_for] = ACTIONS(1866),
    [anon_sym_while] = ACTIONS(1869),
    [sym_break_statement] = ACTIONS(1872),
    [sym_continue_statement] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(3274),
    [anon_sym_const] = ACTIONS(3277),
    [anon_sym_global] = ACTIONS(3280),
    [anon_sym_local] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(1887),
    [anon_sym_RPAREN] = ACTIONS(1435),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(1890),
    [anon_sym_public] = ACTIONS(1893),
    [anon_sym_import] = ACTIONS(1896),
    [anon_sym_using] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1902),
    [anon_sym_RBRACK] = ACTIONS(1435),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_DOLLAR] = ACTIONS(1908),
    [anon_sym_COLON2] = ACTIONS(1911),
    [anon_sym_COLON_COLON] = ACTIONS(1914),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1435),
    [anon_sym_QMARK] = ACTIONS(1435),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(1917),
    [anon_sym_true] = ACTIONS(1920),
    [anon_sym_false] = ACTIONS(1920),
    [aux_sym_integer_literal_token1] = ACTIONS(1923),
    [aux_sym_integer_literal_token2] = ACTIONS(1923),
    [aux_sym_integer_literal_token3] = ACTIONS(1926),
    [aux_sym_integer_literal_token4] = ACTIONS(1929),
    [aux_sym_float_literal_token1] = ACTIONS(1932),
    [aux_sym_float_literal_token3] = ACTIONS(1932),
    [aux_sym_float_literal_token4] = ACTIONS(1932),
    [sym_character_literal] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1938),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1941),
    [sym__pair_operator] = ACTIONS(1944),
    [sym__arrow_operator] = ACTIONS(1947),
    [sym__lazy_or_operator] = ACTIONS(1435),
    [sym__lazy_and_operator] = ACTIONS(1435),
    [sym__comparison_operator] = ACTIONS(1947),
    [sym__pipe_right_operator] = ACTIONS(1944),
    [sym__pipe_left_operator] = ACTIONS(1944),
    [sym__ellipsis_operator] = ACTIONS(1947),
    [sym__plus_operator] = ACTIONS(1947),
    [sym__times_operator] = ACTIONS(1947),
    [sym__rational_operator] = ACTIONS(1944),
    [sym__bitshift_operator] = ACTIONS(1944),
    [sym__power_operator] = ACTIONS(1944),
    [sym__tilde_operator] = ACTIONS(1950),
    [sym__type_order_operator] = ACTIONS(1950),
    [sym__unary_operator] = ACTIONS(1953),
    [sym__unary_plus_operator] = ACTIONS(1953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [216] = {
    [sym__expression] = STATE(9345),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(216),
    [sym_line_comment] = STATE(216),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(3224),
    [sym__type_order_operator] = ACTIONS(3224),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [217] = {
    [sym_open_tuple] = STATE(7717),
    [sym_assignment] = STATE(7719),
    [sym__expression] = STATE(7727),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4639),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7652),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7653),
    [sym_block_comment] = STATE(217),
    [sym_line_comment] = STATE(217),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(1956),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(413),
    [sym__type_order_operator] = ACTIONS(413),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [218] = {
    [sym__expression] = STATE(9357),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(218),
    [sym_line_comment] = STATE(218),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(3224),
    [sym__type_order_operator] = ACTIONS(3224),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [219] = {
    [sym__expression] = STATE(9364),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(219),
    [sym_line_comment] = STATE(219),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(3224),
    [sym__type_order_operator] = ACTIONS(3224),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [220] = {
    [sym__expression] = STATE(9365),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(220),
    [sym_line_comment] = STATE(220),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(3224),
    [sym__type_order_operator] = ACTIONS(3224),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [221] = {
    [sym__expression] = STATE(9423),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(221),
    [sym_line_comment] = STATE(221),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(3224),
    [sym__type_order_operator] = ACTIONS(3224),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [222] = {
    [sym_open_tuple] = STATE(8503),
    [sym_assignment] = STATE(8504),
    [sym__expression] = STATE(8505),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4808),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(9161),
    [sym_unary_expression] = STATE(9161),
    [sym_range_expression] = STATE(9161),
    [sym_splat_expression] = STATE(9161),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7856),
    [sym_unary_typed_expression] = STATE(9161),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(9161),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(7704),
    [sym_block_comment] = STATE(222),
    [sym_line_comment] = STATE(222),
    [aux_sym_macro_argument_list_repeat1] = STATE(224),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_catch] = ACTIONS(1303),
    [anon_sym_finally] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_DOLLAR] = ACTIONS(861),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(871),
    [aux_sym_integer_literal_token2] = ACTIONS(871),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(875),
    [aux_sym_float_literal_token3] = ACTIONS(875),
    [aux_sym_float_literal_token4] = ACTIONS(875),
    [sym_character_literal] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(881),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [223] = {
    [sym__expression] = STATE(9440),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(223),
    [sym_line_comment] = STATE(223),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(3224),
    [sym__type_order_operator] = ACTIONS(3224),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [224] = {
    [sym_open_tuple] = STATE(8503),
    [sym_assignment] = STATE(8504),
    [sym__expression] = STATE(8505),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4808),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(9161),
    [sym_unary_expression] = STATE(9161),
    [sym_range_expression] = STATE(9161),
    [sym_splat_expression] = STATE(9161),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7856),
    [sym_unary_typed_expression] = STATE(9161),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(9161),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(7704),
    [sym_block_comment] = STATE(224),
    [sym_line_comment] = STATE(224),
    [aux_sym_macro_argument_list_repeat1] = STATE(224),
    [sym__word_identifier] = ACTIONS(1960),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_begin] = ACTIONS(1963),
    [anon_sym_module] = ACTIONS(1966),
    [anon_sym_baremodule] = ACTIONS(1966),
    [anon_sym_abstract] = ACTIONS(1969),
    [anon_sym_primitive] = ACTIONS(1972),
    [anon_sym_mutable] = ACTIONS(1975),
    [anon_sym_struct] = ACTIONS(1978),
    [anon_sym_function] = ACTIONS(1981),
    [anon_sym_macro] = ACTIONS(1984),
    [anon_sym_quote] = ACTIONS(1987),
    [anon_sym_let] = ACTIONS(1990),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1996),
    [anon_sym_catch] = ACTIONS(1310),
    [anon_sym_finally] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(1999),
    [anon_sym_while] = ACTIONS(2002),
    [sym_break_statement] = ACTIONS(2005),
    [sym_continue_statement] = ACTIONS(2005),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3289),
    [anon_sym_global] = ACTIONS(3292),
    [anon_sym_local] = ACTIONS(3295),
    [anon_sym_LPAREN] = ACTIONS(2020),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(2023),
    [anon_sym_public] = ACTIONS(2026),
    [anon_sym_import] = ACTIONS(2029),
    [anon_sym_using] = ACTIONS(2032),
    [anon_sym_LBRACK] = ACTIONS(2035),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_DOLLAR] = ACTIONS(2041),
    [anon_sym_COLON2] = ACTIONS(2044),
    [anon_sym_COLON_COLON] = ACTIONS(2047),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1310),
    [anon_sym_QMARK] = ACTIONS(1310),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(2050),
    [anon_sym_true] = ACTIONS(2053),
    [anon_sym_false] = ACTIONS(2053),
    [aux_sym_integer_literal_token1] = ACTIONS(2056),
    [aux_sym_integer_literal_token2] = ACTIONS(2056),
    [aux_sym_integer_literal_token3] = ACTIONS(2056),
    [aux_sym_integer_literal_token4] = ACTIONS(2059),
    [aux_sym_float_literal_token1] = ACTIONS(2062),
    [aux_sym_float_literal_token3] = ACTIONS(2062),
    [aux_sym_float_literal_token4] = ACTIONS(2062),
    [sym_character_literal] = ACTIONS(2065),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1426),
    [sym__pair_operator] = ACTIONS(2068),
    [sym__arrow_operator] = ACTIONS(2068),
    [sym__lazy_or_operator] = ACTIONS(1310),
    [sym__lazy_and_operator] = ACTIONS(1310),
    [sym__comparison_operator] = ACTIONS(2068),
    [sym__pipe_right_operator] = ACTIONS(2068),
    [sym__pipe_left_operator] = ACTIONS(2068),
    [sym__ellipsis_operator] = ACTIONS(2068),
    [sym__plus_operator] = ACTIONS(2068),
    [sym__times_operator] = ACTIONS(2068),
    [sym__rational_operator] = ACTIONS(2068),
    [sym__bitshift_operator] = ACTIONS(2068),
    [sym__power_operator] = ACTIONS(2068),
    [sym__tilde_operator] = ACTIONS(2071),
    [sym__type_order_operator] = ACTIONS(2071),
    [sym__unary_operator] = ACTIONS(2071),
    [sym__unary_plus_operator] = ACTIONS(2071),
    [aux_sym__terminator_token1] = ACTIONS(1435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [225] = {
    [sym__expression] = STATE(9444),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(225),
    [sym_line_comment] = STATE(225),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(3224),
    [sym__type_order_operator] = ACTIONS(3224),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [226] = {
    [sym__expression] = STATE(8183),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(226),
    [sym_line_comment] = STATE(226),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(3224),
    [sym__type_order_operator] = ACTIONS(3224),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [227] = {
    [sym__expression] = STATE(8245),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(227),
    [sym_line_comment] = STATE(227),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(413),
    [sym__type_order_operator] = ACTIONS(413),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [228] = {
    [sym__expression] = STATE(8246),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(228),
    [sym_line_comment] = STATE(228),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(413),
    [sym__type_order_operator] = ACTIONS(413),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [229] = {
    [sym_open_tuple] = STATE(8842),
    [sym_assignment] = STATE(8773),
    [sym__expression] = STATE(8337),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4849),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9196),
    [sym_unary_expression] = STATE(9196),
    [sym_range_expression] = STATE(9196),
    [sym_splat_expression] = STATE(9196),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8091),
    [sym_unary_typed_expression] = STATE(9196),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9196),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8066),
    [sym_block_comment] = STATE(229),
    [sym_line_comment] = STATE(229),
    [aux_sym_macro_argument_list_repeat1] = STATE(109),
    [ts_builtin_sym_end] = ACTIONS(1305),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [230] = {
    [sym_open_tuple] = STATE(8966),
    [sym_assignment] = STATE(8971),
    [sym__expression] = STATE(8974),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4887),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8693),
    [sym_unary_expression] = STATE(8693),
    [sym_range_expression] = STATE(8693),
    [sym_splat_expression] = STATE(8693),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8253),
    [sym_unary_typed_expression] = STATE(8693),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8693),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8197),
    [sym_block_comment] = STATE(230),
    [sym_line_comment] = STATE(230),
    [aux_sym_macro_argument_list_repeat1] = STATE(230),
    [sym__word_identifier] = ACTIONS(2074),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_begin] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2080),
    [anon_sym_baremodule] = ACTIONS(2080),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_abstract] = ACTIONS(2083),
    [anon_sym_primitive] = ACTIONS(2086),
    [anon_sym_mutable] = ACTIONS(2089),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_function] = ACTIONS(2095),
    [anon_sym_macro] = ACTIONS(2098),
    [anon_sym_quote] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2104),
    [anon_sym_if] = ACTIONS(2107),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_catch] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(2113),
    [anon_sym_while] = ACTIONS(2116),
    [sym_break_statement] = ACTIONS(2119),
    [sym_continue_statement] = ACTIONS(2119),
    [anon_sym_return] = ACTIONS(3298),
    [anon_sym_const] = ACTIONS(3301),
    [anon_sym_global] = ACTIONS(3304),
    [anon_sym_local] = ACTIONS(3307),
    [anon_sym_LPAREN] = ACTIONS(2134),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(2137),
    [anon_sym_public] = ACTIONS(2140),
    [anon_sym_import] = ACTIONS(2143),
    [anon_sym_using] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2149),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_DOLLAR] = ACTIONS(2155),
    [anon_sym_COLON2] = ACTIONS(2158),
    [anon_sym_COLON_COLON] = ACTIONS(2161),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1310),
    [anon_sym_QMARK] = ACTIONS(1310),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(2164),
    [anon_sym_true] = ACTIONS(2167),
    [anon_sym_false] = ACTIONS(2167),
    [aux_sym_integer_literal_token1] = ACTIONS(2170),
    [aux_sym_integer_literal_token2] = ACTIONS(2170),
    [aux_sym_integer_literal_token3] = ACTIONS(2170),
    [aux_sym_integer_literal_token4] = ACTIONS(2173),
    [aux_sym_float_literal_token1] = ACTIONS(2176),
    [aux_sym_float_literal_token3] = ACTIONS(2176),
    [aux_sym_float_literal_token4] = ACTIONS(2176),
    [sym_character_literal] = ACTIONS(2179),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1426),
    [sym__pair_operator] = ACTIONS(2182),
    [sym__arrow_operator] = ACTIONS(2182),
    [sym__lazy_or_operator] = ACTIONS(1310),
    [sym__lazy_and_operator] = ACTIONS(1310),
    [sym__comparison_operator] = ACTIONS(2182),
    [sym__pipe_right_operator] = ACTIONS(2182),
    [sym__pipe_left_operator] = ACTIONS(2182),
    [sym__ellipsis_operator] = ACTIONS(2182),
    [sym__plus_operator] = ACTIONS(2182),
    [sym__times_operator] = ACTIONS(2182),
    [sym__rational_operator] = ACTIONS(2182),
    [sym__bitshift_operator] = ACTIONS(2182),
    [sym__power_operator] = ACTIONS(2182),
    [sym__tilde_operator] = ACTIONS(2185),
    [sym__type_order_operator] = ACTIONS(2185),
    [sym__unary_operator] = ACTIONS(2185),
    [sym__unary_plus_operator] = ACTIONS(2185),
    [aux_sym__terminator_token1] = ACTIONS(1435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [231] = {
    [sym_open_tuple] = STATE(8772),
    [sym_assignment] = STATE(8773),
    [sym__expression] = STATE(8781),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4691),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9160),
    [sym_unary_expression] = STATE(9160),
    [sym_range_expression] = STATE(9160),
    [sym_splat_expression] = STATE(9160),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(7712),
    [sym_unary_typed_expression] = STATE(9160),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9160),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(7713),
    [sym_block_comment] = STATE(231),
    [sym_line_comment] = STATE(231),
    [aux_sym_macro_argument_list_repeat1] = STATE(204),
    [ts_builtin_sym_end] = ACTIONS(1305),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_RBRACK] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_DOLLAR] = ACTIONS(1303),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1303),
    [aux_sym_integer_literal_token2] = ACTIONS(1303),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1303),
    [aux_sym_float_literal_token3] = ACTIONS(1303),
    [aux_sym_float_literal_token4] = ACTIONS(1303),
    [sym_character_literal] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1303),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(1303),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [232] = {
    [sym_open_tuple] = STATE(8729),
    [sym_assignment] = STATE(8794),
    [sym__expression] = STATE(9032),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4752),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8906),
    [sym_unary_expression] = STATE(8906),
    [sym_range_expression] = STATE(8906),
    [sym_splat_expression] = STATE(8906),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7858),
    [sym_unary_typed_expression] = STATE(8906),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8906),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8302),
    [sym_block_comment] = STATE(232),
    [sym_line_comment] = STATE(232),
    [aux_sym_macro_argument_list_repeat1] = STATE(232),
    [sym__word_identifier] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_begin] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2208),
    [anon_sym_baremodule] = ACTIONS(2208),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_abstract] = ACTIONS(2211),
    [anon_sym_primitive] = ACTIONS(2214),
    [anon_sym_mutable] = ACTIONS(2217),
    [anon_sym_struct] = ACTIONS(2220),
    [anon_sym_function] = ACTIONS(2223),
    [anon_sym_macro] = ACTIONS(2226),
    [anon_sym_quote] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2232),
    [anon_sym_if] = ACTIONS(2235),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_finally] = ACTIONS(1310),
    [anon_sym_for] = ACTIONS(2241),
    [anon_sym_while] = ACTIONS(2244),
    [sym_break_statement] = ACTIONS(2247),
    [sym_continue_statement] = ACTIONS(2247),
    [anon_sym_return] = ACTIONS(3310),
    [anon_sym_const] = ACTIONS(3313),
    [anon_sym_global] = ACTIONS(3316),
    [anon_sym_local] = ACTIONS(3319),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(2265),
    [anon_sym_public] = ACTIONS(2268),
    [anon_sym_import] = ACTIONS(2271),
    [anon_sym_using] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2277),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_DOLLAR] = ACTIONS(2283),
    [anon_sym_COLON2] = ACTIONS(2286),
    [anon_sym_COLON_COLON] = ACTIONS(2289),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1310),
    [anon_sym_QMARK] = ACTIONS(1310),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(2292),
    [anon_sym_true] = ACTIONS(2295),
    [anon_sym_false] = ACTIONS(2295),
    [aux_sym_integer_literal_token1] = ACTIONS(2298),
    [aux_sym_integer_literal_token2] = ACTIONS(2298),
    [aux_sym_integer_literal_token3] = ACTIONS(2298),
    [aux_sym_integer_literal_token4] = ACTIONS(2301),
    [aux_sym_float_literal_token1] = ACTIONS(2304),
    [aux_sym_float_literal_token3] = ACTIONS(2304),
    [aux_sym_float_literal_token4] = ACTIONS(2304),
    [sym_character_literal] = ACTIONS(2307),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1426),
    [sym__pair_operator] = ACTIONS(2310),
    [sym__arrow_operator] = ACTIONS(2310),
    [sym__lazy_or_operator] = ACTIONS(1310),
    [sym__lazy_and_operator] = ACTIONS(1310),
    [sym__comparison_operator] = ACTIONS(2310),
    [sym__pipe_right_operator] = ACTIONS(2310),
    [sym__pipe_left_operator] = ACTIONS(2310),
    [sym__ellipsis_operator] = ACTIONS(2310),
    [sym__plus_operator] = ACTIONS(2310),
    [sym__times_operator] = ACTIONS(2310),
    [sym__rational_operator] = ACTIONS(2310),
    [sym__bitshift_operator] = ACTIONS(2310),
    [sym__power_operator] = ACTIONS(2310),
    [sym__tilde_operator] = ACTIONS(2313),
    [sym__type_order_operator] = ACTIONS(2313),
    [sym__unary_operator] = ACTIONS(2313),
    [sym__unary_plus_operator] = ACTIONS(2313),
    [aux_sym__terminator_token1] = ACTIONS(1435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [233] = {
    [sym__block] = STATE(19654),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(233),
    [sym_line_comment] = STATE(233),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1059),
    [anon_sym_EQ] = ACTIONS(1059),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3322),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1059),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1059),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1059),
    [anon_sym_QMARK] = ACTIONS(1059),
    [anon_sym_where] = ACTIONS(1059),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1059),
    [sym__lazy_and_operator] = ACTIONS(1059),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(3326),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [234] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11431),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(234),
    [sym_line_comment] = STATE(234),
    [aux_sym_macro_argument_list_repeat1] = STATE(363),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(795),
    [sym__immediate_bracket] = ACTIONS(797),
    [sym__immediate_brace] = ACTIONS(799),
  },
  [235] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11267),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(235),
    [sym_line_comment] = STATE(235),
    [aux_sym_macro_argument_list_repeat1] = STATE(363),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(801),
    [sym__immediate_bracket] = ACTIONS(803),
    [sym__immediate_brace] = ACTIONS(805),
  },
  [236] = {
    [sym_open_tuple] = STATE(12652),
    [sym_assignment] = STATE(12179),
    [sym__expression] = STATE(12653),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10777),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12932),
    [sym_unary_expression] = STATE(12932),
    [sym_range_expression] = STATE(12932),
    [sym_splat_expression] = STATE(12932),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12461),
    [sym_unary_typed_expression] = STATE(12932),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12932),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12462),
    [sym_block_comment] = STATE(236),
    [sym_line_comment] = STATE(236),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1956),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(2326),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(2326),
    [sym__pipe_left_operator] = ACTIONS(2326),
    [sym__ellipsis_operator] = ACTIONS(2326),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(2326),
    [sym__bitshift_operator] = ACTIONS(2326),
    [sym__power_operator] = ACTIONS(2326),
    [sym__tilde_operator] = ACTIONS(1141),
    [sym__type_order_operator] = ACTIONS(1141),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [237] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(237),
    [sym_line_comment] = STATE(237),
    [aux_sym_macro_argument_list_repeat1] = STATE(215),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_RPAREN] = ACTIONS(1305),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_RBRACK] = ACTIONS(1305),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_RBRACE] = ACTIONS(1305),
    [anon_sym_DOLLAR] = ACTIONS(1305),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1305),
    [aux_sym_integer_literal_token2] = ACTIONS(1305),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1305),
    [aux_sym_float_literal_token3] = ACTIONS(1305),
    [aux_sym_float_literal_token4] = ACTIONS(1305),
    [sym_character_literal] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1305),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1305),
    [sym__pair_operator] = ACTIONS(1305),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1305),
    [sym__lazy_and_operator] = ACTIONS(1305),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1305),
    [sym__pipe_left_operator] = ACTIONS(1305),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1305),
    [sym__bitshift_operator] = ACTIONS(1305),
    [sym__power_operator] = ACTIONS(1305),
    [sym__tilde_operator] = ACTIONS(1305),
    [sym__type_order_operator] = ACTIONS(1305),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [238] = {
    [sym_open_tuple] = STATE(9356),
    [sym_assignment] = STATE(9483),
    [sym__expression] = STATE(9004),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5184),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9563),
    [sym_unary_expression] = STATE(9563),
    [sym_range_expression] = STATE(9563),
    [sym_splat_expression] = STATE(9563),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8594),
    [sym_unary_typed_expression] = STATE(9563),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9563),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9250),
    [sym_block_comment] = STATE(238),
    [sym_line_comment] = STATE(238),
    [aux_sym_macro_argument_list_repeat1] = STATE(240),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(1005),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [239] = {
    [sym_open_tuple] = STATE(8503),
    [sym_assignment] = STATE(8504),
    [sym__expression] = STATE(8505),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4808),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(9161),
    [sym_unary_expression] = STATE(9161),
    [sym_range_expression] = STATE(9161),
    [sym_splat_expression] = STATE(9161),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7856),
    [sym_unary_typed_expression] = STATE(9161),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(9161),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(7704),
    [sym_block_comment] = STATE(239),
    [sym_line_comment] = STATE(239),
    [aux_sym_macro_argument_list_repeat1] = STATE(224),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_catch] = ACTIONS(1303),
    [anon_sym_finally] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_DOLLAR] = ACTIONS(1303),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1303),
    [aux_sym_integer_literal_token2] = ACTIONS(1303),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1303),
    [aux_sym_float_literal_token3] = ACTIONS(1303),
    [aux_sym_float_literal_token4] = ACTIONS(1303),
    [sym_character_literal] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1303),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(1303),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [240] = {
    [sym_open_tuple] = STATE(9356),
    [sym_assignment] = STATE(9483),
    [sym__expression] = STATE(9004),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5184),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9563),
    [sym_unary_expression] = STATE(9563),
    [sym_range_expression] = STATE(9563),
    [sym_splat_expression] = STATE(9563),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8594),
    [sym_unary_typed_expression] = STATE(9563),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9563),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9250),
    [sym_block_comment] = STATE(240),
    [sym_line_comment] = STATE(240),
    [aux_sym_macro_argument_list_repeat1] = STATE(240),
    [sym__word_identifier] = ACTIONS(3328),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_EQ] = ACTIONS(1310),
    [anon_sym_begin] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3334),
    [anon_sym_baremodule] = ACTIONS(3334),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_primitive] = ACTIONS(3340),
    [anon_sym_mutable] = ACTIONS(3343),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_function] = ACTIONS(3349),
    [anon_sym_macro] = ACTIONS(3352),
    [anon_sym_quote] = ACTIONS(3355),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3364),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3370),
    [sym_break_statement] = ACTIONS(3373),
    [sym_continue_statement] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3376),
    [anon_sym_const] = ACTIONS(3379),
    [anon_sym_global] = ACTIONS(3382),
    [anon_sym_local] = ACTIONS(3385),
    [anon_sym_LPAREN] = ACTIONS(3388),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(3391),
    [anon_sym_public] = ACTIONS(3394),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3400),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(3406),
    [anon_sym_DOLLAR] = ACTIONS(3409),
    [anon_sym_COLON2] = ACTIONS(3412),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1310),
    [anon_sym_QMARK] = ACTIONS(1310),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(3418),
    [anon_sym_true] = ACTIONS(3421),
    [anon_sym_false] = ACTIONS(3421),
    [aux_sym_integer_literal_token1] = ACTIONS(3424),
    [aux_sym_integer_literal_token2] = ACTIONS(3424),
    [aux_sym_integer_literal_token3] = ACTIONS(3424),
    [aux_sym_integer_literal_token4] = ACTIONS(3427),
    [aux_sym_float_literal_token1] = ACTIONS(3430),
    [aux_sym_float_literal_token3] = ACTIONS(3430),
    [aux_sym_float_literal_token4] = ACTIONS(3430),
    [sym_character_literal] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1426),
    [sym__pair_operator] = ACTIONS(3436),
    [sym__arrow_operator] = ACTIONS(3436),
    [sym__lazy_or_operator] = ACTIONS(1310),
    [sym__lazy_and_operator] = ACTIONS(1310),
    [sym__comparison_operator] = ACTIONS(3436),
    [sym__pipe_right_operator] = ACTIONS(3436),
    [sym__pipe_left_operator] = ACTIONS(3436),
    [sym__ellipsis_operator] = ACTIONS(3436),
    [sym__plus_operator] = ACTIONS(3436),
    [sym__times_operator] = ACTIONS(3436),
    [sym__rational_operator] = ACTIONS(3436),
    [sym__bitshift_operator] = ACTIONS(3436),
    [sym__power_operator] = ACTIONS(3436),
    [sym__tilde_operator] = ACTIONS(3439),
    [sym__type_order_operator] = ACTIONS(3439),
    [sym__unary_operator] = ACTIONS(3439),
    [sym__unary_plus_operator] = ACTIONS(3439),
    [aux_sym__terminator_token1] = ACTIONS(1435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [241] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11431),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(241),
    [sym_line_comment] = STATE(241),
    [aux_sym_macro_argument_list_repeat1] = STATE(366),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(331),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(795),
    [sym__immediate_bracket] = ACTIONS(797),
    [sym__immediate_brace] = ACTIONS(799),
  },
  [242] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11267),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(242),
    [sym_line_comment] = STATE(242),
    [aux_sym_macro_argument_list_repeat1] = STATE(366),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(801),
    [sym__immediate_bracket] = ACTIONS(803),
    [sym__immediate_brace] = ACTIONS(805),
  },
  [243] = {
    [sym_open_tuple] = STATE(12905),
    [sym_assignment] = STATE(12911),
    [sym__expression] = STATE(12912),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10841),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12930),
    [sym_unary_expression] = STATE(12930),
    [sym_range_expression] = STATE(12930),
    [sym_splat_expression] = STATE(12930),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12542),
    [sym_unary_typed_expression] = STATE(12930),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12930),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12398),
    [sym_block_comment] = STATE(243),
    [sym_line_comment] = STATE(243),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(153),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(157),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(171),
    [aux_sym_integer_literal_token2] = ACTIONS(171),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(175),
    [aux_sym_float_literal_token3] = ACTIONS(175),
    [aux_sym_float_literal_token4] = ACTIONS(175),
    [sym_character_literal] = ACTIONS(177),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(183),
    [sym__type_order_operator] = ACTIONS(183),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [244] = {
    [sym__expression] = STATE(12660),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(244),
    [sym_line_comment] = STATE(244),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(2326),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(2326),
    [sym__pipe_left_operator] = ACTIONS(2326),
    [sym__ellipsis_operator] = ACTIONS(2326),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(2326),
    [sym__bitshift_operator] = ACTIONS(2326),
    [sym__power_operator] = ACTIONS(2326),
    [sym__tilde_operator] = ACTIONS(1141),
    [sym__type_order_operator] = ACTIONS(1141),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [245] = {
    [sym__expression] = STATE(7710),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(245),
    [sym_line_comment] = STATE(245),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_DOLLAR] = ACTIONS(301),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(309),
    [aux_sym_integer_literal_token2] = ACTIONS(309),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(313),
    [aux_sym_float_literal_token3] = ACTIONS(313),
    [aux_sym_float_literal_token4] = ACTIONS(313),
    [sym_character_literal] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(317),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(317),
    [sym__pipe_left_operator] = ACTIONS(317),
    [sym__ellipsis_operator] = ACTIONS(317),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(317),
    [sym__bitshift_operator] = ACTIONS(317),
    [sym__power_operator] = ACTIONS(317),
    [sym__tilde_operator] = ACTIONS(319),
    [sym__type_order_operator] = ACTIONS(319),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [246] = {
    [sym__expression] = STATE(12640),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(246),
    [sym_line_comment] = STATE(246),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(153),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(157),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(171),
    [aux_sym_integer_literal_token2] = ACTIONS(171),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(175),
    [aux_sym_float_literal_token3] = ACTIONS(175),
    [aux_sym_float_literal_token4] = ACTIONS(175),
    [sym_character_literal] = ACTIONS(177),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(183),
    [sym__type_order_operator] = ACTIONS(183),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [247] = {
    [sym__expression] = STATE(8288),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(247),
    [sym_line_comment] = STATE(247),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(413),
    [sym__type_order_operator] = ACTIONS(413),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [248] = {
    [sym_open_tuple] = STATE(13167),
    [sym_assignment] = STATE(12179),
    [sym__expression] = STATE(12862),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10978),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12664),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(248),
    [sym_line_comment] = STATE(248),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_finally] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(3464),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3466),
    [aux_sym_integer_literal_token2] = ACTIONS(3466),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(3470),
    [aux_sym_float_literal_token3] = ACTIONS(3470),
    [aux_sym_float_literal_token4] = ACTIONS(3470),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3472),
    [sym__type_order_operator] = ACTIONS(3472),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [249] = {
    [sym_open_tuple] = STATE(9356),
    [sym_assignment] = STATE(9483),
    [sym__expression] = STATE(9004),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5184),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9563),
    [sym_unary_expression] = STATE(9563),
    [sym_range_expression] = STATE(9563),
    [sym_splat_expression] = STATE(9563),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8594),
    [sym_unary_typed_expression] = STATE(9563),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9563),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9250),
    [sym_block_comment] = STATE(249),
    [sym_line_comment] = STATE(249),
    [aux_sym_macro_argument_list_repeat1] = STATE(240),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_DOLLAR] = ACTIONS(1303),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1303),
    [aux_sym_integer_literal_token2] = ACTIONS(1303),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1303),
    [aux_sym_float_literal_token3] = ACTIONS(1303),
    [aux_sym_float_literal_token4] = ACTIONS(1303),
    [sym_character_literal] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1303),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(1303),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [250] = {
    [sym_open_tuple] = STATE(8723),
    [sym_assignment] = STATE(9143),
    [sym__expression] = STATE(8340),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4849),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9196),
    [sym_unary_expression] = STATE(9196),
    [sym_range_expression] = STATE(9196),
    [sym_splat_expression] = STATE(9196),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8091),
    [sym_unary_typed_expression] = STATE(9196),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9196),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8066),
    [sym_block_comment] = STATE(250),
    [sym_line_comment] = STATE(250),
    [ts_builtin_sym_end] = ACTIONS(1958),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_RBRACK] = ACTIONS(1956),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [251] = {
    [sym_open_tuple] = STATE(8478),
    [sym_assignment] = STATE(8479),
    [sym__expression] = STATE(8480),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4646),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8170),
    [sym_unary_expression] = STATE(8170),
    [sym_range_expression] = STATE(8170),
    [sym_splat_expression] = STATE(8170),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7472),
    [sym_unary_typed_expression] = STATE(8170),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8170),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7285),
    [sym_block_comment] = STATE(251),
    [sym_line_comment] = STATE(251),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_else] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_finally] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_DOLLAR] = ACTIONS(301),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(309),
    [aux_sym_integer_literal_token2] = ACTIONS(309),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(313),
    [aux_sym_float_literal_token3] = ACTIONS(313),
    [aux_sym_float_literal_token4] = ACTIONS(313),
    [sym_character_literal] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(317),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(317),
    [sym__pipe_left_operator] = ACTIONS(317),
    [sym__ellipsis_operator] = ACTIONS(317),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(317),
    [sym__bitshift_operator] = ACTIONS(317),
    [sym__power_operator] = ACTIONS(317),
    [sym__tilde_operator] = ACTIONS(319),
    [sym__type_order_operator] = ACTIONS(319),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [252] = {
    [sym_open_tuple] = STATE(8863),
    [sym_assignment] = STATE(8732),
    [sym__expression] = STATE(8344),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(252),
    [sym_line_comment] = STATE(252),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1958),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(1958),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_QMARK] = ACTIONS(1958),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(1958),
    [sym__lazy_and_operator] = ACTIONS(1958),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [253] = {
    [sym__expression] = STATE(9322),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(253),
    [sym_line_comment] = STATE(253),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(3224),
    [sym__type_order_operator] = ACTIONS(3224),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [254] = {
    [sym_open_tuple] = STATE(8966),
    [sym_assignment] = STATE(8971),
    [sym__expression] = STATE(8974),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4887),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8693),
    [sym_unary_expression] = STATE(8693),
    [sym_range_expression] = STATE(8693),
    [sym_splat_expression] = STATE(8693),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8253),
    [sym_unary_typed_expression] = STATE(8693),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8693),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8197),
    [sym_block_comment] = STATE(254),
    [sym_line_comment] = STATE(254),
    [aux_sym_macro_argument_list_repeat1] = STATE(230),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_catch] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_DOLLAR] = ACTIONS(1303),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1303),
    [aux_sym_integer_literal_token2] = ACTIONS(1303),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1303),
    [aux_sym_float_literal_token3] = ACTIONS(1303),
    [aux_sym_float_literal_token4] = ACTIONS(1303),
    [sym_character_literal] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1303),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(1303),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [255] = {
    [sym_open_tuple] = STATE(8729),
    [sym_assignment] = STATE(8794),
    [sym__expression] = STATE(9032),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4752),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8906),
    [sym_unary_expression] = STATE(8906),
    [sym_range_expression] = STATE(8906),
    [sym_splat_expression] = STATE(8906),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7858),
    [sym_unary_typed_expression] = STATE(8906),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8906),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8302),
    [sym_block_comment] = STATE(255),
    [sym_line_comment] = STATE(255),
    [aux_sym_macro_argument_list_repeat1] = STATE(232),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_finally] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(515),
    [aux_sym_integer_literal_token2] = ACTIONS(515),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(519),
    [aux_sym_float_literal_token3] = ACTIONS(519),
    [aux_sym_float_literal_token4] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(525),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [256] = {
    [sym__expression] = STATE(9323),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(256),
    [sym_line_comment] = STATE(256),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(3224),
    [sym__type_order_operator] = ACTIONS(3224),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [257] = {
    [sym_open_tuple] = STATE(13203),
    [sym_assignment] = STATE(12179),
    [sym__expression] = STATE(12866),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10872),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12714),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(257),
    [sym_line_comment] = STATE(257),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3492),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3498),
    [aux_sym_integer_literal_token2] = ACTIONS(3498),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(3502),
    [aux_sym_float_literal_token3] = ACTIONS(3502),
    [aux_sym_float_literal_token4] = ACTIONS(3502),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3504),
    [sym__type_order_operator] = ACTIONS(3504),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [258] = {
    [sym_open_tuple] = STATE(8875),
    [sym_assignment] = STATE(8933),
    [sym__expression] = STATE(8348),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4926),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8747),
    [sym_unary_expression] = STATE(8747),
    [sym_range_expression] = STATE(8747),
    [sym_splat_expression] = STATE(8747),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8279),
    [sym_unary_typed_expression] = STATE(8747),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8747),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8225),
    [sym_block_comment] = STATE(258),
    [sym_line_comment] = STATE(258),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_finally] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_DOLLAR] = ACTIONS(861),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(865),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(871),
    [aux_sym_integer_literal_token2] = ACTIONS(871),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(875),
    [aux_sym_float_literal_token3] = ACTIONS(875),
    [aux_sym_float_literal_token4] = ACTIONS(875),
    [sym_character_literal] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(879),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(879),
    [sym__pipe_left_operator] = ACTIONS(879),
    [sym__ellipsis_operator] = ACTIONS(879),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(879),
    [sym__bitshift_operator] = ACTIONS(879),
    [sym__power_operator] = ACTIONS(879),
    [sym__tilde_operator] = ACTIONS(881),
    [sym__type_order_operator] = ACTIONS(881),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [259] = {
    [sym_open_tuple] = STATE(8729),
    [sym_assignment] = STATE(8794),
    [sym__expression] = STATE(9032),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4752),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8906),
    [sym_unary_expression] = STATE(8906),
    [sym_range_expression] = STATE(8906),
    [sym_splat_expression] = STATE(8906),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7858),
    [sym_unary_typed_expression] = STATE(8906),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8906),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8302),
    [sym_block_comment] = STATE(259),
    [sym_line_comment] = STATE(259),
    [aux_sym_macro_argument_list_repeat1] = STATE(232),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_finally] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_DOLLAR] = ACTIONS(1303),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1303),
    [aux_sym_integer_literal_token2] = ACTIONS(1303),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1303),
    [aux_sym_float_literal_token3] = ACTIONS(1303),
    [aux_sym_float_literal_token4] = ACTIONS(1303),
    [sym_character_literal] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1303),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(1303),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [260] = {
    [sym_open_tuple] = STATE(8772),
    [sym_assignment] = STATE(8773),
    [sym__expression] = STATE(8781),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4691),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9160),
    [sym_unary_expression] = STATE(9160),
    [sym_range_expression] = STATE(9160),
    [sym_splat_expression] = STATE(9160),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(7712),
    [sym_unary_typed_expression] = STATE(9160),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9160),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(7713),
    [sym_block_comment] = STATE(260),
    [sym_line_comment] = STATE(260),
    [aux_sym_macro_argument_list_repeat1] = STATE(204),
    [ts_builtin_sym_end] = ACTIONS(1305),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [261] = {
    [sym_open_tuple] = STATE(13328),
    [sym_assignment] = STATE(11376),
    [sym__expression] = STATE(13337),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10911),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13215),
    [sym_unary_expression] = STATE(13215),
    [sym_range_expression] = STATE(13215),
    [sym_splat_expression] = STATE(13215),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12711),
    [sym_unary_typed_expression] = STATE(13215),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13215),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12715),
    [sym_block_comment] = STATE(261),
    [sym_line_comment] = STATE(261),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1958),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(1958),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_QMARK] = ACTIONS(1958),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(1958),
    [sym__lazy_and_operator] = ACTIONS(1958),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [262] = {
    [sym_open_tuple] = STATE(9482),
    [sym_assignment] = STATE(9483),
    [sym__expression] = STATE(9484),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5279),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9298),
    [sym_unary_expression] = STATE(9298),
    [sym_range_expression] = STATE(9298),
    [sym_splat_expression] = STATE(9298),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8996),
    [sym_unary_typed_expression] = STATE(9298),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9298),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9058),
    [sym_block_comment] = STATE(262),
    [sym_line_comment] = STATE(262),
    [aux_sym_macro_argument_list_repeat1] = STATE(289),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_DOLLAR] = ACTIONS(1303),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1303),
    [aux_sym_integer_literal_token2] = ACTIONS(1303),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1303),
    [aux_sym_float_literal_token3] = ACTIONS(1303),
    [aux_sym_float_literal_token4] = ACTIONS(1303),
    [sym_character_literal] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1303),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(1303),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [263] = {
    [sym_open_tuple] = STATE(9142),
    [sym_assignment] = STATE(9143),
    [sym__expression] = STATE(9150),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4691),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9160),
    [sym_unary_expression] = STATE(9160),
    [sym_range_expression] = STATE(9160),
    [sym_splat_expression] = STATE(9160),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(7712),
    [sym_unary_typed_expression] = STATE(9160),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9160),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(7713),
    [sym_block_comment] = STATE(263),
    [sym_line_comment] = STATE(263),
    [ts_builtin_sym_end] = ACTIONS(1958),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_RBRACK] = ACTIONS(1956),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [264] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11431),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(264),
    [sym_line_comment] = STATE(264),
    [aux_sym_macro_argument_list_repeat1] = STATE(212),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_COLON] = ACTIONS(329),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(329),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(329),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(331),
    [anon_sym_QMARK] = ACTIONS(331),
    [anon_sym_where] = ACTIONS(329),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(331),
    [sym__lazy_and_operator] = ACTIONS(331),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(1039),
    [sym__immediate_bracket] = ACTIONS(1041),
    [sym__immediate_brace] = ACTIONS(1043),
  },
  [265] = {
    [sym_open_tuple] = STATE(8731),
    [sym_assignment] = STATE(8732),
    [sym__expression] = STATE(8733),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(265),
    [sym_line_comment] = STATE(265),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1958),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(1958),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_QMARK] = ACTIONS(1958),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(1958),
    [sym__lazy_and_operator] = ACTIONS(1958),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [266] = {
    [sym__expression] = STATE(8749),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(266),
    [sym_line_comment] = STATE(266),
    [ts_builtin_sym_end] = ACTIONS(3226),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(781),
    [sym__type_order_operator] = ACTIONS(781),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [267] = {
    [sym__expression] = STATE(8956),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(267),
    [sym_line_comment] = STATE(267),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_DOLLAR] = ACTIONS(861),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(865),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(871),
    [aux_sym_integer_literal_token2] = ACTIONS(871),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(875),
    [aux_sym_float_literal_token3] = ACTIONS(875),
    [aux_sym_float_literal_token4] = ACTIONS(875),
    [sym_character_literal] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(879),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(879),
    [sym__pipe_left_operator] = ACTIONS(879),
    [sym__ellipsis_operator] = ACTIONS(879),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(879),
    [sym__bitshift_operator] = ACTIONS(879),
    [sym__power_operator] = ACTIONS(879),
    [sym__tilde_operator] = ACTIONS(881),
    [sym__type_order_operator] = ACTIONS(881),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [268] = {
    [sym__expression] = STATE(8884),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(268),
    [sym_line_comment] = STATE(268),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(287),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(297),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_DOLLAR] = ACTIONS(301),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(305),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(309),
    [aux_sym_integer_literal_token2] = ACTIONS(309),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(313),
    [aux_sym_float_literal_token3] = ACTIONS(313),
    [aux_sym_float_literal_token4] = ACTIONS(313),
    [sym_character_literal] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(317),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(317),
    [sym__pipe_left_operator] = ACTIONS(317),
    [sym__ellipsis_operator] = ACTIONS(317),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(317),
    [sym__bitshift_operator] = ACTIONS(317),
    [sym__power_operator] = ACTIONS(317),
    [sym__tilde_operator] = ACTIONS(3514),
    [sym__type_order_operator] = ACTIONS(3514),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [269] = {
    [sym_open_tuple] = STATE(13567),
    [sym_assignment] = STATE(12179),
    [sym__expression] = STATE(13372),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11078),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13187),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(269),
    [sym_line_comment] = STATE(269),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [270] = {
    [sym__expression] = STATE(8753),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(270),
    [sym_line_comment] = STATE(270),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [271] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_macro_argument_list] = STATE(11267),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(271),
    [sym_line_comment] = STATE(271),
    [aux_sym_macro_argument_list_repeat1] = STATE(212),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_COLON] = ACTIONS(247),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(247),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(247),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(321),
    [anon_sym_QMARK] = ACTIONS(321),
    [anon_sym_where] = ACTIONS(247),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(321),
    [sym__lazy_and_operator] = ACTIONS(321),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(1045),
    [sym__immediate_bracket] = ACTIONS(1047),
    [sym__immediate_brace] = ACTIONS(1049),
  },
  [272] = {
    [sym_open_tuple] = STATE(12924),
    [sym_assignment] = STATE(11376),
    [sym__expression] = STATE(12513),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10806),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12361),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(272),
    [sym_line_comment] = STATE(272),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1958),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_QMARK] = ACTIONS(1958),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(1958),
    [sym__lazy_and_operator] = ACTIONS(1958),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [273] = {
    [sym_open_tuple] = STATE(13463),
    [sym_assignment] = STATE(12179),
    [sym__expression] = STATE(13112),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11112),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13315),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(273),
    [sym_line_comment] = STATE(273),
    [ts_builtin_sym_end] = ACTIONS(1958),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3558),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(3560),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(75),
    [aux_sym_integer_literal_token2] = ACTIONS(75),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(3562),
    [aux_sym_float_literal_token3] = ACTIONS(3562),
    [aux_sym_float_literal_token4] = ACTIONS(3562),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(97),
    [sym__type_order_operator] = ACTIONS(97),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [274] = {
    [sym_open_tuple] = STATE(9482),
    [sym_assignment] = STATE(9483),
    [sym__expression] = STATE(9484),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5279),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9298),
    [sym_unary_expression] = STATE(9298),
    [sym_range_expression] = STATE(9298),
    [sym_splat_expression] = STATE(9298),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8996),
    [sym_unary_typed_expression] = STATE(9298),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9298),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9058),
    [sym_block_comment] = STATE(274),
    [sym_line_comment] = STATE(274),
    [aux_sym_macro_argument_list_repeat1] = STATE(289),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1303),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1303),
    [sym__lazy_and_operator] = ACTIONS(1303),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1303),
    [sym__pipe_left_operator] = ACTIONS(1303),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1303),
    [sym__bitshift_operator] = ACTIONS(1303),
    [sym__power_operator] = ACTIONS(1303),
    [sym__tilde_operator] = ACTIONS(1005),
    [sym__type_order_operator] = ACTIONS(1303),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym__terminator_token1] = ACTIONS(1305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [275] = {
    [sym_open_tuple] = STATE(8592),
    [sym_assignment] = STATE(8597),
    [sym__expression] = STATE(8602),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4887),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8693),
    [sym_unary_expression] = STATE(8693),
    [sym_range_expression] = STATE(8693),
    [sym_splat_expression] = STATE(8693),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8253),
    [sym_unary_typed_expression] = STATE(8693),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8693),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8197),
    [sym_block_comment] = STATE(275),
    [sym_line_comment] = STATE(275),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_DOLLAR] = ACTIONS(589),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(593),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(599),
    [aux_sym_integer_literal_token2] = ACTIONS(599),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(603),
    [aux_sym_float_literal_token3] = ACTIONS(603),
    [aux_sym_float_literal_token4] = ACTIONS(603),
    [sym_character_literal] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(607),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(607),
    [sym__pipe_left_operator] = ACTIONS(607),
    [sym__ellipsis_operator] = ACTIONS(607),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(607),
    [sym__bitshift_operator] = ACTIONS(607),
    [sym__power_operator] = ACTIONS(607),
    [sym__tilde_operator] = ACTIONS(609),
    [sym__type_order_operator] = ACTIONS(609),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [276] = {
    [sym__expression] = STATE(9251),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(276),
    [sym_line_comment] = STATE(276),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(3564),
    [sym__type_order_operator] = ACTIONS(3564),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [277] = {
    [sym_open_tuple] = STATE(13254),
    [sym_assignment] = STATE(12179),
    [sym__expression] = STATE(13255),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13359),
    [sym_unary_expression] = STATE(13359),
    [sym_range_expression] = STATE(13359),
    [sym_splat_expression] = STATE(13359),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12853),
    [sym_unary_typed_expression] = STATE(13359),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13359),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12857),
    [sym_block_comment] = STATE(277),
    [sym_line_comment] = STATE(277),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_finally] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(3464),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3466),
    [aux_sym_integer_literal_token2] = ACTIONS(3466),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(3470),
    [aux_sym_float_literal_token3] = ACTIONS(3470),
    [aux_sym_float_literal_token4] = ACTIONS(3470),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3472),
    [sym__type_order_operator] = ACTIONS(3472),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [278] = {
    [sym__expression] = STATE(13269),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(278),
    [sym_line_comment] = STATE(278),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(3464),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3466),
    [aux_sym_integer_literal_token2] = ACTIONS(3466),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(3470),
    [aux_sym_float_literal_token3] = ACTIONS(3470),
    [aux_sym_float_literal_token4] = ACTIONS(3470),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3472),
    [sym__type_order_operator] = ACTIONS(3472),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [279] = {
    [sym_open_tuple] = STATE(13345),
    [sym_assignment] = STATE(12179),
    [sym__expression] = STATE(13169),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10895),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13382),
    [sym_unary_expression] = STATE(13382),
    [sym_range_expression] = STATE(13382),
    [sym_splat_expression] = STATE(13382),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13027),
    [sym_unary_typed_expression] = STATE(13382),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13382),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13031),
    [sym_block_comment] = STATE(279),
    [sym_line_comment] = STATE(279),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3208),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3214),
    [aux_sym_integer_literal_token2] = ACTIONS(3214),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(3218),
    [aux_sym_float_literal_token3] = ACTIONS(3218),
    [aux_sym_float_literal_token4] = ACTIONS(3218),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3220),
    [sym__type_order_operator] = ACTIONS(3220),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [280] = {
    [sym__expression] = STATE(8751),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(280),
    [sym_line_comment] = STATE(280),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_DOLLAR] = ACTIONS(589),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(593),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(599),
    [aux_sym_integer_literal_token2] = ACTIONS(599),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(603),
    [aux_sym_float_literal_token3] = ACTIONS(603),
    [aux_sym_float_literal_token4] = ACTIONS(603),
    [sym_character_literal] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(607),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(607),
    [sym__pipe_left_operator] = ACTIONS(607),
    [sym__ellipsis_operator] = ACTIONS(607),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(607),
    [sym__bitshift_operator] = ACTIONS(607),
    [sym__power_operator] = ACTIONS(607),
    [sym__tilde_operator] = ACTIONS(609),
    [sym__type_order_operator] = ACTIONS(609),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [281] = {
    [sym_open_tuple] = STATE(9386),
    [sym_assignment] = STATE(9565),
    [sym__expression] = STATE(9006),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5184),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9563),
    [sym_unary_expression] = STATE(9563),
    [sym_range_expression] = STATE(9563),
    [sym_splat_expression] = STATE(9563),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8594),
    [sym_unary_typed_expression] = STATE(9563),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9563),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9250),
    [sym_block_comment] = STATE(281),
    [sym_line_comment] = STATE(281),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(1005),
    [sym__type_order_operator] = ACTIONS(1005),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [282] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(282),
    [sym_line_comment] = STATE(282),
    [aux_sym_macro_argument_list_repeat1] = STATE(215),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(1305),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(1305),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1305),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1305),
    [sym__lazy_and_operator] = ACTIONS(1305),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1305),
    [sym__pipe_left_operator] = ACTIONS(1305),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1305),
    [sym__bitshift_operator] = ACTIONS(1305),
    [sym__power_operator] = ACTIONS(1305),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(1305),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [283] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(283),
    [sym_line_comment] = STATE(283),
    [aux_sym_macro_argument_list_repeat1] = STATE(112),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(1305),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1305),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1305),
    [sym__lazy_and_operator] = ACTIONS(1305),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1305),
    [sym__pipe_left_operator] = ACTIONS(1305),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1305),
    [sym__bitshift_operator] = ACTIONS(1305),
    [sym__power_operator] = ACTIONS(1305),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(1305),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [284] = {
    [sym__expression] = STATE(13069),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(284),
    [sym_line_comment] = STATE(284),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3208),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3214),
    [aux_sym_integer_literal_token2] = ACTIONS(3214),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(3218),
    [aux_sym_float_literal_token3] = ACTIONS(3218),
    [aux_sym_float_literal_token4] = ACTIONS(3218),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3220),
    [sym__type_order_operator] = ACTIONS(3220),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [285] = {
    [sym_open_tuple] = STATE(9186),
    [sym_assignment] = STATE(9187),
    [sym__expression] = STATE(9189),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4752),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8906),
    [sym_unary_expression] = STATE(8906),
    [sym_range_expression] = STATE(8906),
    [sym_splat_expression] = STATE(8906),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7858),
    [sym_unary_typed_expression] = STATE(8906),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8906),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8302),
    [sym_block_comment] = STATE(285),
    [sym_line_comment] = STATE(285),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_finally] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(509),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(515),
    [aux_sym_integer_literal_token2] = ACTIONS(515),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(519),
    [aux_sym_float_literal_token3] = ACTIONS(519),
    [aux_sym_float_literal_token4] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(523),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(523),
    [sym__pipe_left_operator] = ACTIONS(523),
    [sym__ellipsis_operator] = ACTIONS(523),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(523),
    [sym__bitshift_operator] = ACTIONS(523),
    [sym__power_operator] = ACTIONS(523),
    [sym__tilde_operator] = ACTIONS(525),
    [sym__type_order_operator] = ACTIONS(525),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [286] = {
    [sym__expression] = STATE(9225),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(286),
    [sym_line_comment] = STATE(286),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(509),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(515),
    [aux_sym_integer_literal_token2] = ACTIONS(515),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(519),
    [aux_sym_float_literal_token3] = ACTIONS(519),
    [aux_sym_float_literal_token4] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(523),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(523),
    [sym__pipe_left_operator] = ACTIONS(523),
    [sym__ellipsis_operator] = ACTIONS(523),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(523),
    [sym__bitshift_operator] = ACTIONS(523),
    [sym__power_operator] = ACTIONS(523),
    [sym__tilde_operator] = ACTIONS(525),
    [sym__type_order_operator] = ACTIONS(525),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [287] = {
    [sym__expression] = STATE(13274),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(287),
    [sym_line_comment] = STATE(287),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(1097),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(1109),
    [aux_sym_integer_literal_token2] = ACTIONS(1109),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(1113),
    [aux_sym_float_literal_token3] = ACTIONS(1113),
    [aux_sym_float_literal_token4] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(2326),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(2326),
    [sym__pipe_left_operator] = ACTIONS(2326),
    [sym__ellipsis_operator] = ACTIONS(2326),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(2326),
    [sym__bitshift_operator] = ACTIONS(2326),
    [sym__power_operator] = ACTIONS(2326),
    [sym__tilde_operator] = ACTIONS(3582),
    [sym__type_order_operator] = ACTIONS(3582),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [288] = {
    [sym__expression] = STATE(13267),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(288),
    [sym_line_comment] = STATE(288),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(153),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(157),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(163),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(171),
    [aux_sym_integer_literal_token2] = ACTIONS(171),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(175),
    [aux_sym_float_literal_token3] = ACTIONS(175),
    [aux_sym_float_literal_token4] = ACTIONS(175),
    [sym_character_literal] = ACTIONS(177),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3584),
    [sym__type_order_operator] = ACTIONS(3584),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [289] = {
    [sym_open_tuple] = STATE(9482),
    [sym_assignment] = STATE(9483),
    [sym__expression] = STATE(9484),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5279),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9298),
    [sym_unary_expression] = STATE(9298),
    [sym_range_expression] = STATE(9298),
    [sym_splat_expression] = STATE(9298),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8996),
    [sym_unary_typed_expression] = STATE(9298),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9298),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9058),
    [sym_block_comment] = STATE(289),
    [sym_line_comment] = STATE(289),
    [aux_sym_macro_argument_list_repeat1] = STATE(289),
    [sym__word_identifier] = ACTIONS(3328),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_begin] = ACTIONS(3331),
    [anon_sym_module] = ACTIONS(3334),
    [anon_sym_baremodule] = ACTIONS(3334),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_abstract] = ACTIONS(3337),
    [anon_sym_primitive] = ACTIONS(3340),
    [anon_sym_mutable] = ACTIONS(3343),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_function] = ACTIONS(3349),
    [anon_sym_macro] = ACTIONS(3352),
    [anon_sym_quote] = ACTIONS(3355),
    [anon_sym_let] = ACTIONS(3358),
    [anon_sym_if] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3364),
    [anon_sym_for] = ACTIONS(3367),
    [anon_sym_while] = ACTIONS(3370),
    [sym_break_statement] = ACTIONS(3373),
    [sym_continue_statement] = ACTIONS(3373),
    [anon_sym_return] = ACTIONS(3586),
    [anon_sym_const] = ACTIONS(3589),
    [anon_sym_global] = ACTIONS(3592),
    [anon_sym_local] = ACTIONS(3595),
    [anon_sym_LPAREN] = ACTIONS(3388),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(3391),
    [anon_sym_public] = ACTIONS(3394),
    [anon_sym_import] = ACTIONS(3397),
    [anon_sym_using] = ACTIONS(3400),
    [anon_sym_LBRACK] = ACTIONS(3403),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(3406),
    [anon_sym_DOLLAR] = ACTIONS(3409),
    [anon_sym_COLON2] = ACTIONS(3412),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1310),
    [anon_sym_QMARK] = ACTIONS(1310),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(3418),
    [anon_sym_true] = ACTIONS(3421),
    [anon_sym_false] = ACTIONS(3421),
    [aux_sym_integer_literal_token1] = ACTIONS(3424),
    [aux_sym_integer_literal_token2] = ACTIONS(3424),
    [aux_sym_integer_literal_token3] = ACTIONS(3424),
    [aux_sym_integer_literal_token4] = ACTIONS(3427),
    [aux_sym_float_literal_token1] = ACTIONS(3430),
    [aux_sym_float_literal_token3] = ACTIONS(3430),
    [aux_sym_float_literal_token4] = ACTIONS(3430),
    [sym_character_literal] = ACTIONS(3433),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1420),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1426),
    [sym__pair_operator] = ACTIONS(3436),
    [sym__arrow_operator] = ACTIONS(3436),
    [sym__lazy_or_operator] = ACTIONS(1310),
    [sym__lazy_and_operator] = ACTIONS(1310),
    [sym__comparison_operator] = ACTIONS(3436),
    [sym__pipe_right_operator] = ACTIONS(3436),
    [sym__pipe_left_operator] = ACTIONS(3436),
    [sym__ellipsis_operator] = ACTIONS(3436),
    [sym__plus_operator] = ACTIONS(3436),
    [sym__times_operator] = ACTIONS(3436),
    [sym__rational_operator] = ACTIONS(3436),
    [sym__bitshift_operator] = ACTIONS(3436),
    [sym__power_operator] = ACTIONS(3436),
    [sym__tilde_operator] = ACTIONS(3439),
    [sym__type_order_operator] = ACTIONS(3439),
    [sym__unary_operator] = ACTIONS(3439),
    [sym__unary_plus_operator] = ACTIONS(3439),
    [aux_sym__terminator_token1] = ACTIONS(1435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [290] = {
    [sym_open_tuple] = STATE(8932),
    [sym_assignment] = STATE(8933),
    [sym__expression] = STATE(8934),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4808),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(9161),
    [sym_unary_expression] = STATE(9161),
    [sym_range_expression] = STATE(9161),
    [sym_splat_expression] = STATE(9161),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7856),
    [sym_unary_typed_expression] = STATE(9161),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(9161),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(7704),
    [sym_block_comment] = STATE(290),
    [sym_line_comment] = STATE(290),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_finally] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_DOLLAR] = ACTIONS(861),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(865),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(871),
    [aux_sym_integer_literal_token2] = ACTIONS(871),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(875),
    [aux_sym_float_literal_token3] = ACTIONS(875),
    [aux_sym_float_literal_token4] = ACTIONS(875),
    [sym_character_literal] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(879),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(879),
    [sym__pipe_left_operator] = ACTIONS(879),
    [sym__ellipsis_operator] = ACTIONS(879),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(879),
    [sym__bitshift_operator] = ACTIONS(879),
    [sym__power_operator] = ACTIONS(879),
    [sym__tilde_operator] = ACTIONS(881),
    [sym__type_order_operator] = ACTIONS(881),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [291] = {
    [sym__expression] = STATE(13279),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(291),
    [sym_line_comment] = STATE(291),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3492),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3498),
    [aux_sym_integer_literal_token2] = ACTIONS(3498),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(3502),
    [aux_sym_float_literal_token3] = ACTIONS(3502),
    [aux_sym_float_literal_token4] = ACTIONS(3502),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3504),
    [sym__type_order_operator] = ACTIONS(3504),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [292] = {
    [sym__expression] = STATE(9260),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(292),
    [sym_line_comment] = STATE(292),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(3598),
    [sym__type_order_operator] = ACTIONS(3598),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [293] = {
    [sym__expression] = STATE(13168),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(293),
    [sym_line_comment] = STATE(293),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [294] = {
    [sym_open_tuple] = STATE(13253),
    [sym_assignment] = STATE(12179),
    [sym__expression] = STATE(13261),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10932),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13367),
    [sym_unary_expression] = STATE(13367),
    [sym_range_expression] = STATE(13367),
    [sym_splat_expression] = STATE(13367),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13018),
    [sym_unary_typed_expression] = STATE(13367),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13367),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13019),
    [sym_block_comment] = STATE(294),
    [sym_line_comment] = STATE(294),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3492),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3498),
    [aux_sym_integer_literal_token2] = ACTIONS(3498),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(3502),
    [aux_sym_float_literal_token3] = ACTIONS(3502),
    [aux_sym_float_literal_token4] = ACTIONS(3502),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3504),
    [sym__type_order_operator] = ACTIONS(3504),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [295] = {
    [sym__expression] = STATE(9753),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(295),
    [sym_line_comment] = STATE(295),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(3608),
    [sym__type_order_operator] = ACTIONS(3608),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [296] = {
    [sym__block] = STATE(19288),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(296),
    [sym_line_comment] = STATE(296),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3610),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(3616),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(3622),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(3626),
    [sym__arrow_operator] = ACTIONS(3628),
    [sym__lazy_or_operator] = ACTIONS(3630),
    [sym__lazy_and_operator] = ACTIONS(3632),
    [sym__comparison_operator] = ACTIONS(3634),
    [sym__pipe_right_operator] = ACTIONS(3636),
    [sym__pipe_left_operator] = ACTIONS(3638),
    [sym__ellipsis_operator] = ACTIONS(3640),
    [sym__plus_operator] = ACTIONS(3642),
    [sym__times_operator] = ACTIONS(3644),
    [sym__rational_operator] = ACTIONS(3646),
    [sym__bitshift_operator] = ACTIONS(3648),
    [sym__power_operator] = ACTIONS(3650),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(3652),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(3654),
    [aux_sym__terminator_token1] = ACTIONS(3656),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [297] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(297),
    [sym_line_comment] = STATE(297),
    [aux_sym_macro_argument_list_repeat1] = STATE(215),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(1305),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_SEMI] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1305),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1305),
    [sym__lazy_and_operator] = ACTIONS(1305),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1305),
    [sym__pipe_left_operator] = ACTIONS(1305),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1305),
    [sym__bitshift_operator] = ACTIONS(1305),
    [sym__power_operator] = ACTIONS(1305),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(1305),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [298] = {
    [sym_open_tuple] = STATE(13664),
    [sym_assignment] = STATE(11376),
    [sym__expression] = STATE(13378),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11068),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13049),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(298),
    [sym_line_comment] = STATE(298),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1958),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_QMARK] = ACTIONS(1958),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(1958),
    [sym__lazy_and_operator] = ACTIONS(1958),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [299] = {
    [sym__block] = STATE(19647),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(299),
    [sym_line_comment] = STATE(299),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3670),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(3672),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(3622),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(3626),
    [sym__arrow_operator] = ACTIONS(3628),
    [sym__lazy_or_operator] = ACTIONS(3630),
    [sym__lazy_and_operator] = ACTIONS(3632),
    [sym__comparison_operator] = ACTIONS(3634),
    [sym__pipe_right_operator] = ACTIONS(3636),
    [sym__pipe_left_operator] = ACTIONS(3638),
    [sym__ellipsis_operator] = ACTIONS(3640),
    [sym__plus_operator] = ACTIONS(3642),
    [sym__times_operator] = ACTIONS(3644),
    [sym__rational_operator] = ACTIONS(3646),
    [sym__bitshift_operator] = ACTIONS(3648),
    [sym__power_operator] = ACTIONS(3650),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(3652),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(3654),
    [aux_sym__terminator_token1] = ACTIONS(3674),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [300] = {
    [sym__block] = STATE(19964),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(300),
    [sym_line_comment] = STATE(300),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3676),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(3678),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(3622),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(3626),
    [sym__arrow_operator] = ACTIONS(3628),
    [sym__lazy_or_operator] = ACTIONS(3630),
    [sym__lazy_and_operator] = ACTIONS(3632),
    [sym__comparison_operator] = ACTIONS(3634),
    [sym__pipe_right_operator] = ACTIONS(3636),
    [sym__pipe_left_operator] = ACTIONS(3638),
    [sym__ellipsis_operator] = ACTIONS(3640),
    [sym__plus_operator] = ACTIONS(3642),
    [sym__times_operator] = ACTIONS(3644),
    [sym__rational_operator] = ACTIONS(3646),
    [sym__bitshift_operator] = ACTIONS(3648),
    [sym__power_operator] = ACTIONS(3650),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(3652),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(3654),
    [aux_sym__terminator_token1] = ACTIONS(3680),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [301] = {
    [sym__expression] = STATE(13410),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(301),
    [sym_line_comment] = STATE(301),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [302] = {
    [sym__expression] = STATE(9443),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(302),
    [sym_line_comment] = STATE(302),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(585),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_DOLLAR] = ACTIONS(589),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(593),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(599),
    [aux_sym_integer_literal_token2] = ACTIONS(599),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(603),
    [aux_sym_float_literal_token3] = ACTIONS(603),
    [aux_sym_float_literal_token4] = ACTIONS(603),
    [sym_character_literal] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(607),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(607),
    [sym__pipe_left_operator] = ACTIONS(607),
    [sym__ellipsis_operator] = ACTIONS(607),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(607),
    [sym__bitshift_operator] = ACTIONS(607),
    [sym__power_operator] = ACTIONS(607),
    [sym__tilde_operator] = ACTIONS(3682),
    [sym__type_order_operator] = ACTIONS(3682),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [303] = {
    [sym__block] = STATE(20085),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(303),
    [sym_line_comment] = STATE(303),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3684),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(3686),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(3622),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(3626),
    [sym__arrow_operator] = ACTIONS(3628),
    [sym__lazy_or_operator] = ACTIONS(3630),
    [sym__lazy_and_operator] = ACTIONS(3632),
    [sym__comparison_operator] = ACTIONS(3634),
    [sym__pipe_right_operator] = ACTIONS(3636),
    [sym__pipe_left_operator] = ACTIONS(3638),
    [sym__ellipsis_operator] = ACTIONS(3640),
    [sym__plus_operator] = ACTIONS(3642),
    [sym__times_operator] = ACTIONS(3644),
    [sym__rational_operator] = ACTIONS(3646),
    [sym__bitshift_operator] = ACTIONS(3648),
    [sym__power_operator] = ACTIONS(3650),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(3652),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(3654),
    [aux_sym__terminator_token1] = ACTIONS(3688),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [304] = {
    [sym__expression] = STATE(9414),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(304),
    [sym_line_comment] = STATE(304),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(379),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(389),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(393),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(397),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(399),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(403),
    [aux_sym_integer_literal_token2] = ACTIONS(403),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(407),
    [aux_sym_float_literal_token3] = ACTIONS(407),
    [aux_sym_float_literal_token4] = ACTIONS(407),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(411),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(411),
    [sym__pipe_left_operator] = ACTIONS(411),
    [sym__ellipsis_operator] = ACTIONS(411),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(411),
    [sym__bitshift_operator] = ACTIONS(411),
    [sym__power_operator] = ACTIONS(411),
    [sym__tilde_operator] = ACTIONS(3224),
    [sym__type_order_operator] = ACTIONS(3224),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [305] = {
    [sym__expression] = STATE(9449),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(305),
    [sym_line_comment] = STATE(305),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(501),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(503),
    [anon_sym_DOLLAR] = ACTIONS(505),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(509),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(515),
    [aux_sym_integer_literal_token2] = ACTIONS(515),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(519),
    [aux_sym_float_literal_token3] = ACTIONS(519),
    [aux_sym_float_literal_token4] = ACTIONS(519),
    [sym_character_literal] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(523),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(523),
    [sym__pipe_left_operator] = ACTIONS(523),
    [sym__ellipsis_operator] = ACTIONS(523),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(523),
    [sym__bitshift_operator] = ACTIONS(523),
    [sym__power_operator] = ACTIONS(523),
    [sym__tilde_operator] = ACTIONS(3690),
    [sym__type_order_operator] = ACTIONS(3690),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [306] = {
    [sym__block] = STATE(19389),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(306),
    [sym_line_comment] = STATE(306),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3692),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(3694),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(3622),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(3626),
    [sym__arrow_operator] = ACTIONS(3628),
    [sym__lazy_or_operator] = ACTIONS(3630),
    [sym__lazy_and_operator] = ACTIONS(3632),
    [sym__comparison_operator] = ACTIONS(3634),
    [sym__pipe_right_operator] = ACTIONS(3636),
    [sym__pipe_left_operator] = ACTIONS(3638),
    [sym__ellipsis_operator] = ACTIONS(3640),
    [sym__plus_operator] = ACTIONS(3642),
    [sym__times_operator] = ACTIONS(3644),
    [sym__rational_operator] = ACTIONS(3646),
    [sym__bitshift_operator] = ACTIONS(3648),
    [sym__power_operator] = ACTIONS(3650),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(3652),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(3654),
    [aux_sym__terminator_token1] = ACTIONS(3696),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [307] = {
    [sym__block] = STATE(19348),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(307),
    [sym_line_comment] = STATE(307),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3698),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(3700),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(3622),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(3626),
    [sym__arrow_operator] = ACTIONS(3628),
    [sym__lazy_or_operator] = ACTIONS(3630),
    [sym__lazy_and_operator] = ACTIONS(3632),
    [sym__comparison_operator] = ACTIONS(3634),
    [sym__pipe_right_operator] = ACTIONS(3636),
    [sym__pipe_left_operator] = ACTIONS(3638),
    [sym__ellipsis_operator] = ACTIONS(3640),
    [sym__plus_operator] = ACTIONS(3642),
    [sym__times_operator] = ACTIONS(3644),
    [sym__rational_operator] = ACTIONS(3646),
    [sym__bitshift_operator] = ACTIONS(3648),
    [sym__power_operator] = ACTIONS(3650),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(3652),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(3654),
    [aux_sym__terminator_token1] = ACTIONS(3702),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [308] = {
    [sym_open_tuple] = STATE(9768),
    [sym_assignment] = STATE(9797),
    [sym__expression] = STATE(9666),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5737),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9803),
    [sym_unary_expression] = STATE(9803),
    [sym_range_expression] = STATE(9803),
    [sym_splat_expression] = STATE(9803),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9684),
    [sym_unary_typed_expression] = STATE(9803),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9803),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9685),
    [sym_block_comment] = STATE(308),
    [sym_line_comment] = STATE(308),
    [aux_sym_macro_argument_list_repeat1] = STATE(334),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1305),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1305),
    [sym__lazy_and_operator] = ACTIONS(1305),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1305),
    [sym__pipe_left_operator] = ACTIONS(1305),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1305),
    [sym__bitshift_operator] = ACTIONS(1305),
    [sym__power_operator] = ACTIONS(1305),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1305),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [309] = {
    [sym__block] = STATE(19677),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(309),
    [sym_line_comment] = STATE(309),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3704),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(3706),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(3622),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(3626),
    [sym__arrow_operator] = ACTIONS(3628),
    [sym__lazy_or_operator] = ACTIONS(3630),
    [sym__lazy_and_operator] = ACTIONS(3632),
    [sym__comparison_operator] = ACTIONS(3634),
    [sym__pipe_right_operator] = ACTIONS(3636),
    [sym__pipe_left_operator] = ACTIONS(3638),
    [sym__ellipsis_operator] = ACTIONS(3640),
    [sym__plus_operator] = ACTIONS(3642),
    [sym__times_operator] = ACTIONS(3644),
    [sym__rational_operator] = ACTIONS(3646),
    [sym__bitshift_operator] = ACTIONS(3648),
    [sym__power_operator] = ACTIONS(3650),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(3652),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(3654),
    [aux_sym__terminator_token1] = ACTIONS(3708),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [310] = {
    [sym__block] = STATE(19909),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(310),
    [sym_line_comment] = STATE(310),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3710),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(3712),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(3622),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(3626),
    [sym__arrow_operator] = ACTIONS(3628),
    [sym__lazy_or_operator] = ACTIONS(3630),
    [sym__lazy_and_operator] = ACTIONS(3632),
    [sym__comparison_operator] = ACTIONS(3634),
    [sym__pipe_right_operator] = ACTIONS(3636),
    [sym__pipe_left_operator] = ACTIONS(3638),
    [sym__ellipsis_operator] = ACTIONS(3640),
    [sym__plus_operator] = ACTIONS(3642),
    [sym__times_operator] = ACTIONS(3644),
    [sym__rational_operator] = ACTIONS(3646),
    [sym__bitshift_operator] = ACTIONS(3648),
    [sym__power_operator] = ACTIONS(3650),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(3652),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(3654),
    [aux_sym__terminator_token1] = ACTIONS(3714),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [311] = {
    [sym__expression] = STATE(9752),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(311),
    [sym_line_comment] = STATE(311),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(3608),
    [sym__type_order_operator] = ACTIONS(3608),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [312] = {
    [sym__block] = STATE(20021),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(312),
    [sym_line_comment] = STATE(312),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3716),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(3718),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(3622),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(3626),
    [sym__arrow_operator] = ACTIONS(3628),
    [sym__lazy_or_operator] = ACTIONS(3630),
    [sym__lazy_and_operator] = ACTIONS(3632),
    [sym__comparison_operator] = ACTIONS(3634),
    [sym__pipe_right_operator] = ACTIONS(3636),
    [sym__pipe_left_operator] = ACTIONS(3638),
    [sym__ellipsis_operator] = ACTIONS(3640),
    [sym__plus_operator] = ACTIONS(3642),
    [sym__times_operator] = ACTIONS(3644),
    [sym__rational_operator] = ACTIONS(3646),
    [sym__bitshift_operator] = ACTIONS(3648),
    [sym__power_operator] = ACTIONS(3650),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(3652),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(3654),
    [aux_sym__terminator_token1] = ACTIONS(3720),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [313] = {
    [sym__block] = STATE(20193),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(313),
    [sym_line_comment] = STATE(313),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3722),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(3724),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(3622),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(3626),
    [sym__arrow_operator] = ACTIONS(3628),
    [sym__lazy_or_operator] = ACTIONS(3630),
    [sym__lazy_and_operator] = ACTIONS(3632),
    [sym__comparison_operator] = ACTIONS(3634),
    [sym__pipe_right_operator] = ACTIONS(3636),
    [sym__pipe_left_operator] = ACTIONS(3638),
    [sym__ellipsis_operator] = ACTIONS(3640),
    [sym__plus_operator] = ACTIONS(3642),
    [sym__times_operator] = ACTIONS(3644),
    [sym__rational_operator] = ACTIONS(3646),
    [sym__bitshift_operator] = ACTIONS(3648),
    [sym__power_operator] = ACTIONS(3650),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(3652),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(3654),
    [aux_sym__terminator_token1] = ACTIONS(3726),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [314] = {
    [sym__expression] = STATE(9742),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(314),
    [sym_line_comment] = STATE(314),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(3608),
    [sym__type_order_operator] = ACTIONS(3608),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [315] = {
    [sym__expression] = STATE(9760),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(315),
    [sym_line_comment] = STATE(315),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(3608),
    [sym__type_order_operator] = ACTIONS(3608),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [316] = {
    [sym__expression] = STATE(9761),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(316),
    [sym_line_comment] = STATE(316),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(3608),
    [sym__type_order_operator] = ACTIONS(3608),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [317] = {
    [sym__expression] = STATE(9762),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(317),
    [sym_line_comment] = STATE(317),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(3608),
    [sym__type_order_operator] = ACTIONS(3608),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [318] = {
    [sym__expression] = STATE(13607),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(318),
    [sym_line_comment] = STATE(318),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(3464),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3466),
    [aux_sym_integer_literal_token2] = ACTIONS(3466),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(3470),
    [aux_sym_float_literal_token3] = ACTIONS(3470),
    [aux_sym_float_literal_token4] = ACTIONS(3470),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3728),
    [sym__type_order_operator] = ACTIONS(3728),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [319] = {
    [sym__expression] = STATE(9763),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(319),
    [sym_line_comment] = STATE(319),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(3608),
    [sym__type_order_operator] = ACTIONS(3608),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [320] = {
    [sym__expression] = STATE(9764),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(320),
    [sym_line_comment] = STATE(320),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(3608),
    [sym__type_order_operator] = ACTIONS(3608),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [321] = {
    [sym_open_tuple] = STATE(13668),
    [sym_assignment] = STATE(12179),
    [sym__expression] = STATE(13560),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11086),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13663),
    [sym_unary_expression] = STATE(13663),
    [sym_range_expression] = STATE(13663),
    [sym_splat_expression] = STATE(13663),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13071),
    [sym_unary_typed_expression] = STATE(13663),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13663),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13086),
    [sym_block_comment] = STATE(321),
    [sym_line_comment] = STATE(321),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [322] = {
    [sym__expression] = STATE(9389),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(322),
    [sym_line_comment] = STATE(322),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(1005),
    [sym__type_order_operator] = ACTIONS(1005),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [323] = {
    [sym__expression] = STATE(9765),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(323),
    [sym_line_comment] = STATE(323),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(3608),
    [sym__type_order_operator] = ACTIONS(3608),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [324] = {
    [sym__expression] = STATE(9767),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(324),
    [sym_line_comment] = STATE(324),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(3608),
    [sym__type_order_operator] = ACTIONS(3608),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [325] = {
    [sym__expression] = STATE(9558),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(325),
    [sym_line_comment] = STATE(325),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(3608),
    [sym__type_order_operator] = ACTIONS(3608),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [326] = {
    [sym_open_tuple] = STATE(13564),
    [sym_assignment] = STATE(12179),
    [sym__expression] = STATE(13620),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11090),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13457),
    [sym_unary_expression] = STATE(13457),
    [sym_range_expression] = STATE(13457),
    [sym_splat_expression] = STATE(13457),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13302),
    [sym_unary_typed_expression] = STATE(13457),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13457),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13309),
    [sym_block_comment] = STATE(326),
    [sym_line_comment] = STATE(326),
    [ts_builtin_sym_end] = ACTIONS(1958),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3558),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(3560),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(75),
    [aux_sym_integer_literal_token2] = ACTIONS(75),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(3562),
    [aux_sym_float_literal_token3] = ACTIONS(3562),
    [aux_sym_float_literal_token4] = ACTIONS(3562),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(97),
    [sym__type_order_operator] = ACTIONS(97),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [327] = {
    [sym__expression] = STATE(9441),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(327),
    [sym_line_comment] = STATE(327),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(1005),
    [sym__type_order_operator] = ACTIONS(1005),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [328] = {
    [sym__expression] = STATE(13572),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(328),
    [sym_line_comment] = STATE(328),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3208),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3214),
    [aux_sym_integer_literal_token2] = ACTIONS(3214),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(3218),
    [aux_sym_float_literal_token3] = ACTIONS(3218),
    [aux_sym_float_literal_token4] = ACTIONS(3218),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3730),
    [sym__type_order_operator] = ACTIONS(3730),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [329] = {
    [sym__expression] = STATE(9446),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(329),
    [sym_line_comment] = STATE(329),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(1005),
    [sym__type_order_operator] = ACTIONS(1005),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [330] = {
    [sym_open_tuple] = STATE(9768),
    [sym_assignment] = STATE(9797),
    [sym__expression] = STATE(9666),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5737),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9803),
    [sym_unary_expression] = STATE(9803),
    [sym_range_expression] = STATE(9803),
    [sym_splat_expression] = STATE(9803),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9684),
    [sym_unary_typed_expression] = STATE(9803),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9803),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9685),
    [sym_block_comment] = STATE(330),
    [sym_line_comment] = STATE(330),
    [aux_sym_macro_argument_list_repeat1] = STATE(334),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_DOLLAR] = ACTIONS(1305),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1305),
    [aux_sym_integer_literal_token2] = ACTIONS(1305),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1305),
    [aux_sym_float_literal_token3] = ACTIONS(1305),
    [aux_sym_float_literal_token4] = ACTIONS(1305),
    [sym_character_literal] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1305),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1305),
    [sym__pair_operator] = ACTIONS(1305),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1305),
    [sym__lazy_and_operator] = ACTIONS(1305),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1305),
    [sym__pipe_left_operator] = ACTIONS(1305),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1305),
    [sym__bitshift_operator] = ACTIONS(1305),
    [sym__power_operator] = ACTIONS(1305),
    [sym__tilde_operator] = ACTIONS(1305),
    [sym__type_order_operator] = ACTIONS(1305),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [331] = {
    [sym__expression] = STATE(9393),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(331),
    [sym_line_comment] = STATE(331),
    [ts_builtin_sym_end] = ACTIONS(3226),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(3732),
    [sym__type_order_operator] = ACTIONS(3732),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [332] = {
    [sym__block] = STATE(19837),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(332),
    [sym_line_comment] = STATE(332),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3734),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(3736),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(3622),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(3626),
    [sym__arrow_operator] = ACTIONS(3628),
    [sym__lazy_or_operator] = ACTIONS(3630),
    [sym__lazy_and_operator] = ACTIONS(3632),
    [sym__comparison_operator] = ACTIONS(3634),
    [sym__pipe_right_operator] = ACTIONS(3636),
    [sym__pipe_left_operator] = ACTIONS(3638),
    [sym__ellipsis_operator] = ACTIONS(3640),
    [sym__plus_operator] = ACTIONS(3642),
    [sym__times_operator] = ACTIONS(3644),
    [sym__rational_operator] = ACTIONS(3646),
    [sym__bitshift_operator] = ACTIONS(3648),
    [sym__power_operator] = ACTIONS(3650),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(3652),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(3654),
    [aux_sym__terminator_token1] = ACTIONS(3738),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [333] = {
    [sym__expression] = STATE(9403),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(333),
    [sym_line_comment] = STATE(333),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(687),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [334] = {
    [sym_open_tuple] = STATE(9768),
    [sym_assignment] = STATE(9797),
    [sym__expression] = STATE(9666),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5737),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9803),
    [sym_unary_expression] = STATE(9803),
    [sym_range_expression] = STATE(9803),
    [sym_splat_expression] = STATE(9803),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9684),
    [sym_unary_typed_expression] = STATE(9803),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9803),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9685),
    [sym_block_comment] = STATE(334),
    [sym_line_comment] = STATE(334),
    [aux_sym_macro_argument_list_repeat1] = STATE(334),
    [sym__word_identifier] = ACTIONS(3744),
    [anon_sym_COMMA] = ACTIONS(1435),
    [anon_sym_EQ] = ACTIONS(1310),
    [anon_sym_begin] = ACTIONS(3747),
    [anon_sym_module] = ACTIONS(3750),
    [anon_sym_baremodule] = ACTIONS(3750),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_abstract] = ACTIONS(3753),
    [anon_sym_primitive] = ACTIONS(3756),
    [anon_sym_mutable] = ACTIONS(3759),
    [anon_sym_struct] = ACTIONS(3762),
    [anon_sym_function] = ACTIONS(3765),
    [anon_sym_macro] = ACTIONS(3768),
    [anon_sym_quote] = ACTIONS(3771),
    [anon_sym_let] = ACTIONS(3774),
    [anon_sym_if] = ACTIONS(3777),
    [anon_sym_try] = ACTIONS(3780),
    [anon_sym_for] = ACTIONS(3783),
    [anon_sym_while] = ACTIONS(3786),
    [sym_break_statement] = ACTIONS(3789),
    [sym_continue_statement] = ACTIONS(3789),
    [anon_sym_return] = ACTIONS(3792),
    [anon_sym_const] = ACTIONS(3795),
    [anon_sym_global] = ACTIONS(3798),
    [anon_sym_local] = ACTIONS(3801),
    [anon_sym_LPAREN] = ACTIONS(3804),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(3807),
    [anon_sym_public] = ACTIONS(3810),
    [anon_sym_import] = ACTIONS(3813),
    [anon_sym_using] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3819),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(3822),
    [anon_sym_DOLLAR] = ACTIONS(3825),
    [anon_sym_COLON2] = ACTIONS(3828),
    [anon_sym_COLON_COLON] = ACTIONS(3831),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1435),
    [anon_sym_QMARK] = ACTIONS(1435),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(3834),
    [anon_sym_true] = ACTIONS(3837),
    [anon_sym_false] = ACTIONS(3837),
    [aux_sym_integer_literal_token1] = ACTIONS(3840),
    [aux_sym_integer_literal_token2] = ACTIONS(3840),
    [aux_sym_integer_literal_token3] = ACTIONS(3843),
    [aux_sym_integer_literal_token4] = ACTIONS(3846),
    [aux_sym_float_literal_token1] = ACTIONS(3849),
    [aux_sym_float_literal_token3] = ACTIONS(3849),
    [aux_sym_float_literal_token4] = ACTIONS(3849),
    [sym_character_literal] = ACTIONS(3852),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1938),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1941),
    [sym__pair_operator] = ACTIONS(3855),
    [sym__arrow_operator] = ACTIONS(3858),
    [sym__lazy_or_operator] = ACTIONS(1435),
    [sym__lazy_and_operator] = ACTIONS(1435),
    [sym__comparison_operator] = ACTIONS(3858),
    [sym__pipe_right_operator] = ACTIONS(3855),
    [sym__pipe_left_operator] = ACTIONS(3855),
    [sym__ellipsis_operator] = ACTIONS(3858),
    [sym__plus_operator] = ACTIONS(3858),
    [sym__times_operator] = ACTIONS(3858),
    [sym__rational_operator] = ACTIONS(3855),
    [sym__bitshift_operator] = ACTIONS(3855),
    [sym__power_operator] = ACTIONS(3855),
    [sym__tilde_operator] = ACTIONS(3861),
    [sym__type_order_operator] = ACTIONS(3861),
    [sym__unary_operator] = ACTIONS(3864),
    [sym__unary_plus_operator] = ACTIONS(3864),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [335] = {
    [sym__block] = STATE(19303),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(335),
    [sym_line_comment] = STATE(335),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3867),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(3869),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(3618),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(3622),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(3626),
    [sym__arrow_operator] = ACTIONS(3628),
    [sym__lazy_or_operator] = ACTIONS(3630),
    [sym__lazy_and_operator] = ACTIONS(3632),
    [sym__comparison_operator] = ACTIONS(3634),
    [sym__pipe_right_operator] = ACTIONS(3636),
    [sym__pipe_left_operator] = ACTIONS(3638),
    [sym__ellipsis_operator] = ACTIONS(3640),
    [sym__plus_operator] = ACTIONS(3642),
    [sym__times_operator] = ACTIONS(3644),
    [sym__rational_operator] = ACTIONS(3646),
    [sym__bitshift_operator] = ACTIONS(3648),
    [sym__power_operator] = ACTIONS(3650),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(3652),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(3654),
    [aux_sym__terminator_token1] = ACTIONS(3871),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [336] = {
    [sym_open_tuple] = STATE(9496),
    [sym_assignment] = STATE(9565),
    [sym__expression] = STATE(9571),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5279),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9298),
    [sym_unary_expression] = STATE(9298),
    [sym_range_expression] = STATE(9298),
    [sym_splat_expression] = STATE(9298),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8996),
    [sym_unary_typed_expression] = STATE(9298),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9298),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9058),
    [sym_block_comment] = STATE(336),
    [sym_line_comment] = STATE(336),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1956),
    [anon_sym_QMARK] = ACTIONS(1956),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(1956),
    [sym__lazy_and_operator] = ACTIONS(1956),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(1005),
    [sym__type_order_operator] = ACTIONS(1005),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym__terminator_token1] = ACTIONS(1958),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [337] = {
    [sym__expression] = STATE(13411),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(337),
    [sym_line_comment] = STATE(337),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3492),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3498),
    [aux_sym_integer_literal_token2] = ACTIONS(3498),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(3502),
    [aux_sym_float_literal_token3] = ACTIONS(3502),
    [aux_sym_float_literal_token4] = ACTIONS(3502),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3873),
    [sym__type_order_operator] = ACTIONS(3873),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [338] = {
    [sym__expression] = STATE(9416),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(338),
    [sym_line_comment] = STATE(338),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_DOLLAR] = ACTIONS(861),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(865),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(871),
    [aux_sym_integer_literal_token2] = ACTIONS(871),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(875),
    [aux_sym_float_literal_token3] = ACTIONS(875),
    [aux_sym_float_literal_token4] = ACTIONS(875),
    [sym_character_literal] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(879),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(879),
    [sym__pipe_left_operator] = ACTIONS(879),
    [sym__ellipsis_operator] = ACTIONS(879),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(879),
    [sym__bitshift_operator] = ACTIONS(879),
    [sym__power_operator] = ACTIONS(879),
    [sym__tilde_operator] = ACTIONS(3875),
    [sym__type_order_operator] = ACTIONS(3875),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [339] = {
    [sym__expression] = STATE(12789),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(339),
    [sym_line_comment] = STATE(339),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [340] = {
    [sym__expression] = STATE(13614),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(340),
    [sym_line_comment] = STATE(340),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [341] = {
    [sym__expression] = STATE(13626),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(341),
    [sym_line_comment] = STATE(341),
    [ts_builtin_sym_end] = ACTIONS(3226),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3558),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(3560),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(75),
    [aux_sym_integer_literal_token2] = ACTIONS(75),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(3562),
    [aux_sym_float_literal_token3] = ACTIONS(3562),
    [aux_sym_float_literal_token4] = ACTIONS(3562),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(97),
    [sym__type_order_operator] = ACTIONS(97),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [342] = {
    [sym_open_tuple] = STATE(12771),
    [sym_assignment] = STATE(11376),
    [sym__expression] = STATE(12683),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10755),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12793),
    [sym_unary_expression] = STATE(12793),
    [sym_range_expression] = STATE(12793),
    [sym_splat_expression] = STATE(12793),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12408),
    [sym_unary_typed_expression] = STATE(12793),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12793),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12363),
    [sym_block_comment] = STATE(342),
    [sym_line_comment] = STATE(342),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(1958),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1958),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_QMARK] = ACTIONS(1958),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(1958),
    [sym__lazy_and_operator] = ACTIONS(1958),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [343] = {
    [sym__expression] = STATE(9595),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(343),
    [sym_line_comment] = STATE(343),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(3889),
    [sym__type_order_operator] = ACTIONS(3889),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [344] = {
    [sym_open_tuple] = STATE(9795),
    [sym_assignment] = STATE(9797),
    [sym__expression] = STATE(9800),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5580),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9775),
    [sym_unary_expression] = STATE(9775),
    [sym_range_expression] = STATE(9775),
    [sym_splat_expression] = STATE(9775),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9641),
    [sym_unary_typed_expression] = STATE(9775),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9775),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9721),
    [sym_block_comment] = STATE(344),
    [sym_line_comment] = STATE(344),
    [aux_sym_macro_argument_list_repeat1] = STATE(344),
    [sym__word_identifier] = ACTIONS(3744),
    [anon_sym_COMMA] = ACTIONS(1435),
    [anon_sym_begin] = ACTIONS(3747),
    [anon_sym_module] = ACTIONS(3750),
    [anon_sym_baremodule] = ACTIONS(3750),
    [anon_sym_end] = ACTIONS(1310),
    [anon_sym_abstract] = ACTIONS(3753),
    [anon_sym_primitive] = ACTIONS(3756),
    [anon_sym_mutable] = ACTIONS(3759),
    [anon_sym_struct] = ACTIONS(3762),
    [anon_sym_function] = ACTIONS(3765),
    [anon_sym_macro] = ACTIONS(3768),
    [anon_sym_quote] = ACTIONS(3771),
    [anon_sym_let] = ACTIONS(3774),
    [anon_sym_if] = ACTIONS(3777),
    [anon_sym_try] = ACTIONS(3780),
    [anon_sym_for] = ACTIONS(3783),
    [anon_sym_while] = ACTIONS(3786),
    [sym_break_statement] = ACTIONS(3789),
    [sym_continue_statement] = ACTIONS(3789),
    [anon_sym_return] = ACTIONS(3891),
    [anon_sym_const] = ACTIONS(3894),
    [anon_sym_global] = ACTIONS(3897),
    [anon_sym_local] = ACTIONS(3900),
    [anon_sym_LPAREN] = ACTIONS(3804),
    [anon_sym_COLON] = ACTIONS(1310),
    [anon_sym_export] = ACTIONS(3807),
    [anon_sym_public] = ACTIONS(3810),
    [anon_sym_import] = ACTIONS(3813),
    [anon_sym_using] = ACTIONS(3816),
    [anon_sym_LBRACK] = ACTIONS(3819),
    [anon_sym_in] = ACTIONS(1310),
    [anon_sym_LBRACE] = ACTIONS(3822),
    [anon_sym_DOLLAR] = ACTIONS(3825),
    [anon_sym_COLON2] = ACTIONS(3828),
    [anon_sym_COLON_COLON] = ACTIONS(3831),
    [anon_sym_isa] = ACTIONS(1310),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1435),
    [anon_sym_QMARK] = ACTIONS(1435),
    [anon_sym_where] = ACTIONS(1310),
    [anon_sym_AT] = ACTIONS(3834),
    [anon_sym_true] = ACTIONS(3837),
    [anon_sym_false] = ACTIONS(3837),
    [aux_sym_integer_literal_token1] = ACTIONS(3840),
    [aux_sym_integer_literal_token2] = ACTIONS(3840),
    [aux_sym_integer_literal_token3] = ACTIONS(3843),
    [aux_sym_integer_literal_token4] = ACTIONS(3846),
    [aux_sym_float_literal_token1] = ACTIONS(3849),
    [aux_sym_float_literal_token3] = ACTIONS(3849),
    [aux_sym_float_literal_token4] = ACTIONS(3849),
    [sym_character_literal] = ACTIONS(3852),
    [anon_sym_DQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1938),
    [anon_sym_BQUOTE] = ACTIONS(1423),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1941),
    [sym__pair_operator] = ACTIONS(3855),
    [sym__arrow_operator] = ACTIONS(3858),
    [sym__lazy_or_operator] = ACTIONS(1435),
    [sym__lazy_and_operator] = ACTIONS(1435),
    [sym__comparison_operator] = ACTIONS(3858),
    [sym__pipe_right_operator] = ACTIONS(3855),
    [sym__pipe_left_operator] = ACTIONS(3855),
    [sym__ellipsis_operator] = ACTIONS(3858),
    [sym__plus_operator] = ACTIONS(3858),
    [sym__times_operator] = ACTIONS(3858),
    [sym__rational_operator] = ACTIONS(3855),
    [sym__bitshift_operator] = ACTIONS(3855),
    [sym__power_operator] = ACTIONS(3855),
    [sym__tilde_operator] = ACTIONS(3861),
    [sym__type_order_operator] = ACTIONS(3861),
    [sym__unary_operator] = ACTIONS(3864),
    [sym__unary_plus_operator] = ACTIONS(3864),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [345] = {
    [sym__expression] = STATE(13807),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(345),
    [sym_line_comment] = STATE(345),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3903),
    [sym__type_order_operator] = ACTIONS(3903),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [346] = {
    [sym_open_tuple] = STATE(13616),
    [sym_assignment] = STATE(11376),
    [sym__expression] = STATE(13625),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11056),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13558),
    [sym_unary_expression] = STATE(13558),
    [sym_range_expression] = STATE(13558),
    [sym_splat_expression] = STATE(13558),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13054),
    [sym_unary_typed_expression] = STATE(13558),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13558),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13251),
    [sym_block_comment] = STATE(346),
    [sym_line_comment] = STATE(346),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1958),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_QMARK] = ACTIONS(1958),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(1958),
    [sym__lazy_and_operator] = ACTIONS(1958),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [347] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(347),
    [sym_line_comment] = STATE(347),
    [aux_sym_macro_argument_list_repeat1] = STATE(112),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1305),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1305),
    [sym__lazy_and_operator] = ACTIONS(1305),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1305),
    [sym__pipe_left_operator] = ACTIONS(1305),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1305),
    [sym__bitshift_operator] = ACTIONS(1305),
    [sym__power_operator] = ACTIONS(1305),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(1305),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [348] = {
    [sym__expression] = STATE(13658),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(348),
    [sym_line_comment] = STATE(348),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [349] = {
    [sym_open_tuple] = STATE(9795),
    [sym_assignment] = STATE(9797),
    [sym__expression] = STATE(9800),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5580),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9775),
    [sym_unary_expression] = STATE(9775),
    [sym_range_expression] = STATE(9775),
    [sym_splat_expression] = STATE(9775),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9641),
    [sym_unary_typed_expression] = STATE(9775),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9775),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9721),
    [sym_block_comment] = STATE(349),
    [sym_line_comment] = STATE(349),
    [aux_sym_macro_argument_list_repeat1] = STATE(344),
    [sym__word_identifier] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_begin] = ACTIONS(1303),
    [anon_sym_module] = ACTIONS(1303),
    [anon_sym_baremodule] = ACTIONS(1303),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1303),
    [anon_sym_primitive] = ACTIONS(1303),
    [anon_sym_mutable] = ACTIONS(1303),
    [anon_sym_struct] = ACTIONS(1303),
    [anon_sym_function] = ACTIONS(1303),
    [anon_sym_macro] = ACTIONS(1303),
    [anon_sym_quote] = ACTIONS(1303),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_if] = ACTIONS(1303),
    [anon_sym_try] = ACTIONS(1303),
    [anon_sym_for] = ACTIONS(1303),
    [anon_sym_while] = ACTIONS(1303),
    [sym_break_statement] = ACTIONS(1303),
    [sym_continue_statement] = ACTIONS(1303),
    [anon_sym_return] = ACTIONS(1303),
    [anon_sym_const] = ACTIONS(1303),
    [anon_sym_global] = ACTIONS(1303),
    [anon_sym_local] = ACTIONS(1303),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1303),
    [anon_sym_public] = ACTIONS(1303),
    [anon_sym_import] = ACTIONS(1303),
    [anon_sym_using] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_DOLLAR] = ACTIONS(1305),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1303),
    [anon_sym_false] = ACTIONS(1303),
    [aux_sym_integer_literal_token1] = ACTIONS(1305),
    [aux_sym_integer_literal_token2] = ACTIONS(1305),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(1305),
    [aux_sym_float_literal_token3] = ACTIONS(1305),
    [aux_sym_float_literal_token4] = ACTIONS(1305),
    [sym_character_literal] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1305),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1305),
    [sym__pair_operator] = ACTIONS(1305),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1305),
    [sym__lazy_and_operator] = ACTIONS(1305),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1305),
    [sym__pipe_left_operator] = ACTIONS(1305),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1305),
    [sym__bitshift_operator] = ACTIONS(1305),
    [sym__power_operator] = ACTIONS(1305),
    [sym__tilde_operator] = ACTIONS(1305),
    [sym__type_order_operator] = ACTIONS(1305),
    [sym__unary_operator] = ACTIONS(1303),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [350] = {
    [sym_open_tuple] = STATE(14252),
    [sym_assignment] = STATE(11376),
    [sym__expression] = STATE(13675),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11345),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13804),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(350),
    [sym_line_comment] = STATE(350),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_QMARK] = ACTIONS(1958),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(1958),
    [sym__lazy_and_operator] = ACTIONS(1958),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [351] = {
    [sym__expression] = STATE(13704),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(351),
    [sym_line_comment] = STATE(351),
    [ts_builtin_sym_end] = ACTIONS(3226),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3558),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(3560),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(75),
    [aux_sym_integer_literal_token2] = ACTIONS(75),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(3562),
    [aux_sym_float_literal_token3] = ACTIONS(3562),
    [aux_sym_float_literal_token4] = ACTIONS(3562),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3939),
    [sym__type_order_operator] = ACTIONS(3939),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [352] = {
    [sym_open_tuple] = STATE(9795),
    [sym_assignment] = STATE(9797),
    [sym__expression] = STATE(9800),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5580),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9775),
    [sym_unary_expression] = STATE(9775),
    [sym_range_expression] = STATE(9775),
    [sym_splat_expression] = STATE(9775),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9641),
    [sym_unary_typed_expression] = STATE(9775),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9775),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9721),
    [sym_block_comment] = STATE(352),
    [sym_line_comment] = STATE(352),
    [aux_sym_macro_argument_list_repeat1] = STATE(344),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_end] = ACTIONS(1303),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1305),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1305),
    [sym__lazy_and_operator] = ACTIONS(1305),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1305),
    [sym__pipe_left_operator] = ACTIONS(1305),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1305),
    [sym__bitshift_operator] = ACTIONS(1305),
    [sym__power_operator] = ACTIONS(1305),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1305),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [353] = {
    [sym_open_tuple] = STATE(9769),
    [sym_assignment] = STATE(9781),
    [sym__expression] = STATE(9603),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5737),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9803),
    [sym_unary_expression] = STATE(9803),
    [sym_range_expression] = STATE(9803),
    [sym_splat_expression] = STATE(9803),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9684),
    [sym_unary_typed_expression] = STATE(9803),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9803),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9685),
    [sym_block_comment] = STATE(353),
    [sym_line_comment] = STATE(353),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_QMARK] = ACTIONS(1958),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__lazy_or_operator] = ACTIONS(1958),
    [sym__lazy_and_operator] = ACTIONS(1958),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1297),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [354] = {
    [sym_open_tuple] = STATE(8852),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8338),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(354),
    [sym_line_comment] = STATE(354),
    [aux_sym_macro_argument_list_repeat1] = STATE(112),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_EQ] = ACTIONS(1303),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(1305),
    [aux_sym_integer_literal_token2] = ACTIONS(1305),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1305),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1305),
    [sym__lazy_and_operator] = ACTIONS(1305),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1305),
    [sym__pipe_left_operator] = ACTIONS(1305),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1305),
    [sym__bitshift_operator] = ACTIONS(1305),
    [sym__power_operator] = ACTIONS(1305),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(1305),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [355] = {
    [sym__expression] = STATE(13211),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(355),
    [sym_line_comment] = STATE(355),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [356] = {
    [sym__expression] = STATE(9711),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(356),
    [sym_line_comment] = STATE(356),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(3945),
    [sym__type_order_operator] = ACTIONS(3945),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [357] = {
    [sym__expression] = STATE(9716),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(357),
    [sym_line_comment] = STATE(357),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(3947),
    [sym__type_order_operator] = ACTIONS(3947),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [358] = {
    [sym__expression] = STATE(13369),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(358),
    [sym_line_comment] = STATE(358),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [359] = {
    [sym__expression] = STATE(9883),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(359),
    [sym_line_comment] = STATE(359),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(3953),
    [sym__type_order_operator] = ACTIONS(3953),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [360] = {
    [sym_open_tuple] = STATE(14041),
    [sym_assignment] = STATE(11376),
    [sym__expression] = STATE(14315),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11432),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14235),
    [sym_unary_expression] = STATE(14235),
    [sym_range_expression] = STATE(14235),
    [sym_splat_expression] = STATE(14235),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13846),
    [sym_unary_typed_expression] = STATE(14235),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14235),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13786),
    [sym_block_comment] = STATE(360),
    [sym_line_comment] = STATE(360),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_QMARK] = ACTIONS(1958),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(1958),
    [sym__lazy_and_operator] = ACTIONS(1958),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [361] = {
    [sym__expression] = STATE(14035),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(361),
    [sym_line_comment] = STATE(361),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [362] = {
    [sym_open_tuple] = STATE(9780),
    [sym_assignment] = STATE(9781),
    [sym__expression] = STATE(9782),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5580),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9775),
    [sym_unary_expression] = STATE(9775),
    [sym_range_expression] = STATE(9775),
    [sym_splat_expression] = STATE(9775),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9641),
    [sym_unary_typed_expression] = STATE(9775),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9775),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9721),
    [sym_block_comment] = STATE(362),
    [sym_line_comment] = STATE(362),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_end] = ACTIONS(1956),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_QMARK] = ACTIONS(1958),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__lazy_or_operator] = ACTIONS(1958),
    [sym__lazy_and_operator] = ACTIONS(1958),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1297),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [363] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(363),
    [sym_line_comment] = STATE(363),
    [aux_sym_macro_argument_list_repeat1] = STATE(215),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(1303),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1305),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1305),
    [sym__lazy_and_operator] = ACTIONS(1305),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1305),
    [sym__pipe_left_operator] = ACTIONS(1305),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1305),
    [sym__bitshift_operator] = ACTIONS(1305),
    [sym__power_operator] = ACTIONS(1305),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(1305),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [364] = {
    [sym__expression] = STATE(13681),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(364),
    [sym_line_comment] = STATE(364),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [365] = {
    [sym_open_tuple] = STATE(14122),
    [sym_assignment] = STATE(11376),
    [sym__expression] = STATE(13717),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11283),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13849),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(365),
    [sym_line_comment] = STATE(365),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_QMARK] = ACTIONS(1958),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(1958),
    [sym__lazy_and_operator] = ACTIONS(1958),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [366] = {
    [sym_open_tuple] = STATE(8946),
    [sym_assignment] = STATE(8949),
    [sym__expression] = STATE(8968),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(366),
    [sym_line_comment] = STATE(366),
    [aux_sym_macro_argument_list_repeat1] = STATE(215),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_COMMA] = ACTIONS(1305),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_COLON] = ACTIONS(1303),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_in] = ACTIONS(1303),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_isa] = ACTIONS(1303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_where] = ACTIONS(1303),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(1305),
    [aux_sym_integer_literal_token2] = ACTIONS(1305),
    [aux_sym_integer_literal_token3] = ACTIONS(1303),
    [aux_sym_integer_literal_token4] = ACTIONS(1303),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1305),
    [sym__arrow_operator] = ACTIONS(1303),
    [sym__lazy_or_operator] = ACTIONS(1305),
    [sym__lazy_and_operator] = ACTIONS(1305),
    [sym__comparison_operator] = ACTIONS(1303),
    [sym__pipe_right_operator] = ACTIONS(1305),
    [sym__pipe_left_operator] = ACTIONS(1305),
    [sym__ellipsis_operator] = ACTIONS(1303),
    [sym__plus_operator] = ACTIONS(1303),
    [sym__times_operator] = ACTIONS(1303),
    [sym__rational_operator] = ACTIONS(1305),
    [sym__bitshift_operator] = ACTIONS(1305),
    [sym__power_operator] = ACTIONS(1305),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(1305),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(1303),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [367] = {
    [sym__expression] = STATE(9796),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(367),
    [sym_line_comment] = STATE(367),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1297),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [368] = {
    [sym__expression] = STATE(9805),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(368),
    [sym_line_comment] = STATE(368),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(973),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(983),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(995),
    [aux_sym_integer_literal_token2] = ACTIONS(995),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(999),
    [aux_sym_float_literal_token3] = ACTIONS(999),
    [aux_sym_float_literal_token4] = ACTIONS(999),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1003),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(1003),
    [sym__pipe_left_operator] = ACTIONS(1003),
    [sym__ellipsis_operator] = ACTIONS(1003),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(1003),
    [sym__bitshift_operator] = ACTIONS(1003),
    [sym__power_operator] = ACTIONS(1003),
    [sym__tilde_operator] = ACTIONS(3608),
    [sym__type_order_operator] = ACTIONS(3608),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [369] = {
    [sym__expression] = STATE(13608),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(369),
    [sym_line_comment] = STATE(369),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [370] = {
    [sym_open_tuple] = STATE(13170),
    [sym_assignment] = STATE(11376),
    [sym__expression] = STATE(12884),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10926),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12852),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(370),
    [sym_line_comment] = STATE(370),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_EQ] = ACTIONS(1956),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_QMARK] = ACTIONS(1958),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(1958),
    [sym__lazy_and_operator] = ACTIONS(1958),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [371] = {
    [sym__expression] = STATE(13777),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(371),
    [sym_line_comment] = STATE(371),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [372] = {
    [sym__block] = STATE(14952),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19427),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(372),
    [sym_line_comment] = STATE(372),
    [aux_sym_if_statement_repeat1] = STATE(14945),
    [aux_sym__terminator_repeat1] = STATE(9987),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(3999),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [373] = {
    [sym__block] = STATE(15257),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19153),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(373),
    [sym_line_comment] = STATE(373),
    [aux_sym_if_statement_repeat1] = STATE(15258),
    [aux_sym__terminator_repeat1] = STATE(380),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4017),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [374] = {
    [sym__block] = STATE(15149),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(20352),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(374),
    [sym_line_comment] = STATE(374),
    [aux_sym_if_statement_repeat1] = STATE(15463),
    [aux_sym__terminator_repeat1] = STATE(375),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4019),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [375] = {
    [sym__block] = STATE(15020),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19757),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(375),
    [sym_line_comment] = STATE(375),
    [aux_sym_if_statement_repeat1] = STATE(14971),
    [aux_sym__terminator_repeat1] = STATE(9987),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4021),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [376] = {
    [sym__block] = STATE(15201),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19528),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(376),
    [sym_line_comment] = STATE(376),
    [aux_sym_if_statement_repeat1] = STATE(15202),
    [aux_sym__terminator_repeat1] = STATE(379),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4023),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [377] = {
    [sym__block] = STATE(15120),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(20286),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(377),
    [sym_line_comment] = STATE(377),
    [aux_sym_if_statement_repeat1] = STATE(15098),
    [aux_sym__terminator_repeat1] = STATE(9987),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4025),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [378] = {
    [sym__block] = STATE(15310),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19463),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(378),
    [sym_line_comment] = STATE(378),
    [aux_sym_if_statement_repeat1] = STATE(15311),
    [aux_sym__terminator_repeat1] = STATE(384),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4027),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [379] = {
    [sym__block] = STATE(15213),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(18905),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(379),
    [sym_line_comment] = STATE(379),
    [aux_sym_if_statement_repeat1] = STATE(15210),
    [aux_sym__terminator_repeat1] = STATE(9987),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4029),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [380] = {
    [sym__block] = STATE(15367),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19814),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(380),
    [sym_line_comment] = STATE(380),
    [aux_sym_if_statement_repeat1] = STATE(15365),
    [aux_sym__terminator_repeat1] = STATE(9987),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4031),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [381] = {
    [sym__block] = STATE(14927),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(20327),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(381),
    [sym_line_comment] = STATE(381),
    [aux_sym_if_statement_repeat1] = STATE(14928),
    [aux_sym__terminator_repeat1] = STATE(390),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4033),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [382] = {
    [sym__block] = STATE(14687),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19707),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(382),
    [sym_line_comment] = STATE(382),
    [aux_sym_if_statement_repeat1] = STATE(14686),
    [aux_sym__terminator_repeat1] = STATE(9987),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4035),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [383] = {
    [sym__block] = STATE(15118),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19204),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(383),
    [sym_line_comment] = STATE(383),
    [aux_sym_if_statement_repeat1] = STATE(14624),
    [aux_sym__terminator_repeat1] = STATE(9987),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4037),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [384] = {
    [sym__block] = STATE(15324),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19562),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(384),
    [sym_line_comment] = STATE(384),
    [aux_sym_if_statement_repeat1] = STATE(15320),
    [aux_sym__terminator_repeat1] = STATE(9987),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4039),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [385] = {
    [sym_open_tuple] = STATE(13140),
    [sym_assignment] = STATE(11376),
    [sym__expression] = STATE(13059),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10902),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13179),
    [sym_unary_expression] = STATE(13179),
    [sym_range_expression] = STATE(13179),
    [sym_splat_expression] = STATE(13179),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12733),
    [sym_unary_typed_expression] = STATE(13179),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13179),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12806),
    [sym_block_comment] = STATE(385),
    [sym_line_comment] = STATE(385),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_QMARK] = ACTIONS(1958),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(1958),
    [sym__lazy_and_operator] = ACTIONS(1958),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [386] = {
    [sym__block] = STATE(15255),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19122),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(386),
    [sym_line_comment] = STATE(386),
    [aux_sym_if_statement_repeat1] = STATE(15256),
    [aux_sym__terminator_repeat1] = STATE(387),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4049),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [387] = {
    [sym__block] = STATE(15288),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19339),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(387),
    [sym_line_comment] = STATE(387),
    [aux_sym_if_statement_repeat1] = STATE(15287),
    [aux_sym__terminator_repeat1] = STATE(9987),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4051),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [388] = {
    [sym__block] = STATE(15231),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(18978),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(388),
    [sym_line_comment] = STATE(388),
    [aux_sym_if_statement_repeat1] = STATE(15222),
    [aux_sym__terminator_repeat1] = STATE(9987),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4053),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [389] = {
    [sym__expression] = STATE(13175),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(389),
    [sym_line_comment] = STATE(389),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [390] = {
    [sym__block] = STATE(15083),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(20281),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(390),
    [sym_line_comment] = STATE(390),
    [aux_sym_if_statement_repeat1] = STATE(15077),
    [aux_sym__terminator_repeat1] = STATE(9987),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4055),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [391] = {
    [sym__expression] = STATE(14408),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(391),
    [sym_line_comment] = STATE(391),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [392] = {
    [sym__block] = STATE(15226),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19005),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(392),
    [sym_line_comment] = STATE(392),
    [aux_sym_if_statement_repeat1] = STATE(15243),
    [aux_sym__terminator_repeat1] = STATE(377),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4061),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [393] = {
    [sym__block] = STATE(14657),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19434),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(393),
    [sym_line_comment] = STATE(393),
    [aux_sym_if_statement_repeat1] = STATE(14658),
    [aux_sym__terminator_repeat1] = STATE(382),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4063),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [394] = {
    [sym__expression] = STATE(13970),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(394),
    [sym_line_comment] = STATE(394),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [395] = {
    [sym_open_tuple] = STATE(14089),
    [sym_assignment] = STATE(11376),
    [sym__expression] = STATE(13919),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14140),
    [sym_unary_expression] = STATE(14140),
    [sym_range_expression] = STATE(14140),
    [sym_splat_expression] = STATE(14140),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13785),
    [sym_unary_typed_expression] = STATE(14140),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14140),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13749),
    [sym_block_comment] = STATE(395),
    [sym_line_comment] = STATE(395),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(1958),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(1956),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(1956),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_isa] = ACTIONS(1956),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1958),
    [anon_sym_QMARK] = ACTIONS(1958),
    [anon_sym_where] = ACTIONS(1956),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(1958),
    [sym__lazy_and_operator] = ACTIONS(1958),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [396] = {
    [sym__block] = STATE(15099),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(20323),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(396),
    [sym_line_comment] = STATE(396),
    [aux_sym_if_statement_repeat1] = STATE(15100),
    [aux_sym__terminator_repeat1] = STATE(383),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4077),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [397] = {
    [sym__expression] = STATE(14359),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(397),
    [sym_line_comment] = STATE(397),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [398] = {
    [sym__expression] = STATE(9904),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(398),
    [sym_line_comment] = STATE(398),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1297),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [399] = {
    [sym__block] = STATE(15006),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(18977),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(399),
    [sym_line_comment] = STATE(399),
    [aux_sym_if_statement_repeat1] = STATE(15037),
    [aux_sym__terminator_repeat1] = STATE(388),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4087),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [400] = {
    [sym__expression] = STATE(14431),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(400),
    [sym_line_comment] = STATE(400),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [401] = {
    [sym__expression] = STATE(14092),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(401),
    [sym_line_comment] = STATE(401),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [402] = {
    [sym__block] = STATE(15412),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(20040),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(402),
    [sym_line_comment] = STATE(402),
    [aux_sym_if_statement_repeat1] = STATE(15413),
    [aux_sym__terminator_repeat1] = STATE(404),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4093),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [403] = {
    [sym__block] = STATE(14914),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(20353),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(403),
    [sym_line_comment] = STATE(403),
    [aux_sym_if_statement_repeat1] = STATE(14915),
    [aux_sym__terminator_repeat1] = STATE(372),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4095),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [404] = {
    [sym__block] = STATE(15427),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(20125),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(404),
    [sym_line_comment] = STATE(404),
    [aux_sym_if_statement_repeat1] = STATE(15426),
    [aux_sym__terminator_repeat1] = STATE(9987),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4097),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [405] = {
    [sym__expression] = STATE(13651),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(405),
    [sym_line_comment] = STATE(405),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [406] = {
    [sym__expression] = STATE(14471),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(406),
    [sym_line_comment] = STATE(406),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [407] = {
    [sym__expression] = STATE(14372),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(407),
    [sym_line_comment] = STATE(407),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [408] = {
    [sym__expression] = STATE(13594),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(408),
    [sym_line_comment] = STATE(408),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [409] = {
    [sym__expression] = STATE(14485),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(409),
    [sym_line_comment] = STATE(409),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [410] = {
    [sym__block] = STATE(16509),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15847),
    [sym_finally_clause] = STATE(18212),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(410),
    [sym_line_comment] = STATE(410),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4123),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3466),
    [aux_sym_integer_literal_token2] = ACTIONS(3466),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(3470),
    [aux_sym_float_literal_token3] = ACTIONS(3470),
    [aux_sym_float_literal_token4] = ACTIONS(3470),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3472),
    [sym__type_order_operator] = ACTIONS(3472),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym__terminator_token1] = ACTIONS(4125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [411] = {
    [sym__block] = STATE(15412),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(20040),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(411),
    [sym_line_comment] = STATE(411),
    [aux_sym_if_statement_repeat1] = STATE(15413),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4093),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [412] = {
    [sym__block] = STATE(15226),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19005),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(412),
    [sym_line_comment] = STATE(412),
    [aux_sym_if_statement_repeat1] = STATE(15243),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4061),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [413] = {
    [sym__block] = STATE(15006),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(18977),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(413),
    [sym_line_comment] = STATE(413),
    [aux_sym_if_statement_repeat1] = STATE(15037),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4087),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [414] = {
    [sym__block] = STATE(15099),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(20323),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(414),
    [sym_line_comment] = STATE(414),
    [aux_sym_if_statement_repeat1] = STATE(15100),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4077),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [415] = {
    [sym__block] = STATE(14927),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(20327),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(415),
    [sym_line_comment] = STATE(415),
    [aux_sym_if_statement_repeat1] = STATE(14928),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4033),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [416] = {
    [sym__block] = STATE(15255),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19122),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(416),
    [sym_line_comment] = STATE(416),
    [aux_sym_if_statement_repeat1] = STATE(15256),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4049),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [417] = {
    [sym__block] = STATE(16182),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15720),
    [sym_finally_clause] = STATE(18115),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(417),
    [sym_line_comment] = STATE(417),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4127),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3466),
    [aux_sym_integer_literal_token2] = ACTIONS(3466),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(3470),
    [aux_sym_float_literal_token3] = ACTIONS(3470),
    [aux_sym_float_literal_token4] = ACTIONS(3470),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3472),
    [sym__type_order_operator] = ACTIONS(3472),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym__terminator_token1] = ACTIONS(4129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [418] = {
    [sym__block] = STATE(16195),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15504),
    [sym_finally_clause] = STATE(17961),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(418),
    [sym_line_comment] = STATE(418),
    [aux_sym__terminator_repeat1] = STATE(419),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [419] = {
    [sym__block] = STATE(16202),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15558),
    [sym_finally_clause] = STATE(17982),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(419),
    [sym_line_comment] = STATE(419),
    [aux_sym__terminator_repeat1] = STATE(10008),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [420] = {
    [sym__expression] = STATE(13744),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(420),
    [sym_line_comment] = STATE(420),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [421] = {
    [sym__block] = STATE(15201),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19528),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(421),
    [sym_line_comment] = STATE(421),
    [aux_sym_if_statement_repeat1] = STATE(15202),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4023),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [422] = {
    [sym__block] = STATE(14914),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(20353),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(422),
    [sym_line_comment] = STATE(422),
    [aux_sym_if_statement_repeat1] = STATE(14915),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4095),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [423] = {
    [sym__block] = STATE(17222),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15647),
    [sym_finally_clause] = STATE(18053),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(423),
    [sym_line_comment] = STATE(423),
    [aux_sym__terminator_repeat1] = STATE(10008),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [424] = {
    [sym__block] = STATE(16354),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15489),
    [sym_finally_clause] = STATE(17591),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(424),
    [sym_line_comment] = STATE(424),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4149),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3466),
    [aux_sym_integer_literal_token2] = ACTIONS(3466),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(3470),
    [aux_sym_float_literal_token3] = ACTIONS(3470),
    [aux_sym_float_literal_token4] = ACTIONS(3470),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3472),
    [sym__type_order_operator] = ACTIONS(3472),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym__terminator_token1] = ACTIONS(4151),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [425] = {
    [sym__block] = STATE(16361),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15812),
    [sym_finally_clause] = STATE(17997),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(425),
    [sym_line_comment] = STATE(425),
    [aux_sym__terminator_repeat1] = STATE(426),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [426] = {
    [sym__block] = STATE(16364),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15631),
    [sym_finally_clause] = STATE(17614),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(426),
    [sym_line_comment] = STATE(426),
    [aux_sym__terminator_repeat1] = STATE(10008),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [427] = {
    [sym__block] = STATE(16381),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15573),
    [sym_finally_clause] = STATE(18158),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(427),
    [sym_line_comment] = STATE(427),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4153),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3466),
    [aux_sym_integer_literal_token2] = ACTIONS(3466),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(3470),
    [aux_sym_float_literal_token3] = ACTIONS(3470),
    [aux_sym_float_literal_token4] = ACTIONS(3470),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3472),
    [sym__type_order_operator] = ACTIONS(3472),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym__terminator_token1] = ACTIONS(4155),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [428] = {
    [sym__block] = STATE(16389),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15630),
    [sym_finally_clause] = STATE(17631),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(428),
    [sym_line_comment] = STATE(428),
    [aux_sym__terminator_repeat1] = STATE(429),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [429] = {
    [sym__block] = STATE(16392),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15580),
    [sym_finally_clause] = STATE(17728),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(429),
    [sym_line_comment] = STATE(429),
    [aux_sym__terminator_repeat1] = STATE(10008),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [430] = {
    [sym__block] = STATE(16414),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15615),
    [sym_finally_clause] = STATE(18110),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(430),
    [sym_line_comment] = STATE(430),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4157),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3466),
    [aux_sym_integer_literal_token2] = ACTIONS(3466),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(3470),
    [aux_sym_float_literal_token3] = ACTIONS(3470),
    [aux_sym_float_literal_token4] = ACTIONS(3470),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3472),
    [sym__type_order_operator] = ACTIONS(3472),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym__terminator_token1] = ACTIONS(4159),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [431] = {
    [sym__block] = STATE(16421),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15724),
    [sym_finally_clause] = STATE(17602),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(431),
    [sym_line_comment] = STATE(431),
    [aux_sym__terminator_repeat1] = STATE(432),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [432] = {
    [sym__block] = STATE(16424),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15501),
    [sym_finally_clause] = STATE(17617),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(432),
    [sym_line_comment] = STATE(432),
    [aux_sym__terminator_repeat1] = STATE(10008),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [433] = {
    [sym__block] = STATE(16442),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15642),
    [sym_finally_clause] = STATE(17698),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(433),
    [sym_line_comment] = STATE(433),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4161),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3466),
    [aux_sym_integer_literal_token2] = ACTIONS(3466),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(3470),
    [aux_sym_float_literal_token3] = ACTIONS(3470),
    [aux_sym_float_literal_token4] = ACTIONS(3470),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3472),
    [sym__type_order_operator] = ACTIONS(3472),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym__terminator_token1] = ACTIONS(4163),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [434] = {
    [sym__block] = STATE(17152),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15626),
    [sym_finally_clause] = STATE(18047),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(434),
    [sym_line_comment] = STATE(434),
    [aux_sym__terminator_repeat1] = STATE(423),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [435] = {
    [sym__block] = STATE(16451),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15793),
    [sym_finally_clause] = STATE(17842),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(435),
    [sym_line_comment] = STATE(435),
    [aux_sym__terminator_repeat1] = STATE(10008),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [436] = {
    [sym__block] = STATE(16468),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15553),
    [sym_finally_clause] = STATE(17974),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(436),
    [sym_line_comment] = STATE(436),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4165),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3466),
    [aux_sym_integer_literal_token2] = ACTIONS(3466),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(3470),
    [aux_sym_float_literal_token3] = ACTIONS(3470),
    [aux_sym_float_literal_token4] = ACTIONS(3470),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3472),
    [sym__type_order_operator] = ACTIONS(3472),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym__terminator_token1] = ACTIONS(4167),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [437] = {
    [sym__block] = STATE(16475),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15590),
    [sym_finally_clause] = STATE(18000),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(437),
    [sym_line_comment] = STATE(437),
    [aux_sym__terminator_repeat1] = STATE(438),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [438] = {
    [sym__block] = STATE(16478),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15634),
    [sym_finally_clause] = STATE(18035),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(438),
    [sym_line_comment] = STATE(438),
    [aux_sym__terminator_repeat1] = STATE(10008),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [439] = {
    [sym__block] = STATE(16489),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15684),
    [sym_finally_clause] = STATE(18078),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(439),
    [sym_line_comment] = STATE(439),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4169),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3466),
    [aux_sym_integer_literal_token2] = ACTIONS(3466),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(3470),
    [aux_sym_float_literal_token3] = ACTIONS(3470),
    [aux_sym_float_literal_token4] = ACTIONS(3470),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3472),
    [sym__type_order_operator] = ACTIONS(3472),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym__terminator_token1] = ACTIONS(4171),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [440] = {
    [sym__block] = STATE(16496),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15760),
    [sym_finally_clause] = STATE(18135),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(440),
    [sym_line_comment] = STATE(440),
    [aux_sym__terminator_repeat1] = STATE(441),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [441] = {
    [sym__block] = STATE(16499),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15778),
    [sym_finally_clause] = STATE(18149),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(441),
    [sym_line_comment] = STATE(441),
    [aux_sym__terminator_repeat1] = STATE(10008),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [442] = {
    [sym__block] = STATE(15149),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(20352),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(442),
    [sym_line_comment] = STATE(442),
    [aux_sym_if_statement_repeat1] = STATE(15463),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4019),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [443] = {
    [sym__block] = STATE(16515),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15657),
    [sym_finally_clause] = STATE(18080),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(443),
    [sym_line_comment] = STATE(443),
    [aux_sym__terminator_repeat1] = STATE(444),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [444] = {
    [sym__block] = STATE(16518),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15736),
    [sym_finally_clause] = STATE(17610),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(444),
    [sym_line_comment] = STATE(444),
    [aux_sym__terminator_repeat1] = STATE(10008),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [445] = {
    [sym__block] = STATE(16530),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15547),
    [sym_finally_clause] = STATE(18112),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(445),
    [sym_line_comment] = STATE(445),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4173),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3466),
    [aux_sym_integer_literal_token2] = ACTIONS(3466),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(3470),
    [aux_sym_float_literal_token3] = ACTIONS(3470),
    [aux_sym_float_literal_token4] = ACTIONS(3470),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3472),
    [sym__type_order_operator] = ACTIONS(3472),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym__terminator_token1] = ACTIONS(4175),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [446] = {
    [sym__block] = STATE(16537),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15641),
    [sym_finally_clause] = STATE(17984),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(446),
    [sym_line_comment] = STATE(446),
    [aux_sym__terminator_repeat1] = STATE(447),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [447] = {
    [sym__block] = STATE(16540),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15668),
    [sym_finally_clause] = STATE(17783),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(447),
    [sym_line_comment] = STATE(447),
    [aux_sym__terminator_repeat1] = STATE(10008),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [448] = {
    [sym__block] = STATE(16550),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15577),
    [sym_finally_clause] = STATE(17661),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(448),
    [sym_line_comment] = STATE(448),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4177),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3466),
    [aux_sym_integer_literal_token2] = ACTIONS(3466),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(3470),
    [aux_sym_float_literal_token3] = ACTIONS(3470),
    [aux_sym_float_literal_token4] = ACTIONS(3470),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3472),
    [sym__type_order_operator] = ACTIONS(3472),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym__terminator_token1] = ACTIONS(4179),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [449] = {
    [sym__block] = STATE(16556),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15749),
    [sym_finally_clause] = STATE(17797),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(449),
    [sym_line_comment] = STATE(449),
    [aux_sym__terminator_repeat1] = STATE(450),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [450] = {
    [sym__block] = STATE(16559),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15552),
    [sym_finally_clause] = STATE(17975),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(450),
    [sym_line_comment] = STATE(450),
    [aux_sym__terminator_repeat1] = STATE(10008),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [451] = {
    [sym__block] = STATE(16571),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15682),
    [sym_finally_clause] = STATE(18075),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(451),
    [sym_line_comment] = STATE(451),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4181),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3466),
    [aux_sym_integer_literal_token2] = ACTIONS(3466),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(3470),
    [aux_sym_float_literal_token3] = ACTIONS(3470),
    [aux_sym_float_literal_token4] = ACTIONS(3470),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3472),
    [sym__type_order_operator] = ACTIONS(3472),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym__terminator_token1] = ACTIONS(4183),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [452] = {
    [sym__block] = STATE(16577),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15729),
    [sym_finally_clause] = STATE(18124),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(452),
    [sym_line_comment] = STATE(452),
    [aux_sym__terminator_repeat1] = STATE(453),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [453] = {
    [sym__block] = STATE(16579),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15652),
    [sym_finally_clause] = STATE(18132),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(453),
    [sym_line_comment] = STATE(453),
    [aux_sym__terminator_repeat1] = STATE(10008),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [454] = {
    [sym__block] = STATE(15257),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19153),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(454),
    [sym_line_comment] = STATE(454),
    [aux_sym_if_statement_repeat1] = STATE(15258),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4017),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [455] = {
    [sym__block] = STATE(15310),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19463),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(455),
    [sym_line_comment] = STATE(455),
    [aux_sym_if_statement_repeat1] = STATE(15311),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4027),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [456] = {
    [sym__block] = STATE(14657),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_elseif_clause] = STATE(17869),
    [sym_else_clause] = STATE(19434),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(456),
    [sym_line_comment] = STATE(456),
    [aux_sym_if_statement_repeat1] = STATE(14658),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4063),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(1071),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [457] = {
    [sym__block] = STATE(16211),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15487),
    [sym_finally_clause] = STATE(17613),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(457),
    [sym_line_comment] = STATE(457),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4185),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3460),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(3464),
    [anon_sym_AT] = ACTIONS(867),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3466),
    [aux_sym_integer_literal_token2] = ACTIONS(3466),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(3470),
    [aux_sym_float_literal_token3] = ACTIONS(3470),
    [aux_sym_float_literal_token4] = ACTIONS(3470),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3472),
    [sym__type_order_operator] = ACTIONS(3472),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym__terminator_token1] = ACTIONS(4187),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [458] = {
    [sym__block] = STATE(16448),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15706),
    [sym_finally_clause] = STATE(17739),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(458),
    [sym_line_comment] = STATE(458),
    [aux_sym__terminator_repeat1] = STATE(435),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [459] = {
    [sym__block] = STATE(20282),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(459),
    [sym_line_comment] = STATE(459),
    [aux_sym_for_statement_repeat1] = STATE(9986),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4191),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4193),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [460] = {
    [sym__block] = STATE(19760),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(460),
    [sym_line_comment] = STATE(460),
    [aux_sym_for_statement_repeat1] = STATE(463),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4197),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4199),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4201),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [461] = {
    [sym__block] = STATE(18161),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(461),
    [sym_line_comment] = STATE(461),
    [aux_sym__terminator_repeat1] = STATE(466),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4203),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(4203),
    [anon_sym_else] = ACTIONS(4203),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [462] = {
    [sym__block] = STATE(19296),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(462),
    [sym_line_comment] = STATE(462),
    [aux_sym_for_statement_repeat1] = STATE(465),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4205),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4207),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4209),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [463] = {
    [sym__block] = STATE(18915),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(463),
    [sym_line_comment] = STATE(463),
    [aux_sym_for_statement_repeat1] = STATE(9986),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4211),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4213),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [464] = {
    [sym__block] = STATE(17744),
    [sym_open_tuple] = STATE(14621),
    [sym_assignment] = STATE(14662),
    [sym__expression] = STATE(12401),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(464),
    [sym_line_comment] = STATE(464),
    [aux_sym__terminator_repeat1] = STATE(9984),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(4217),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(4217),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(4217),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [anon_sym_SEMI2] = ACTIONS(4239),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [465] = {
    [sym__block] = STATE(19062),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(465),
    [sym_line_comment] = STATE(465),
    [aux_sym_for_statement_repeat1] = STATE(9986),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4241),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4243),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4245),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [466] = {
    [sym__block] = STATE(18024),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(466),
    [sym_line_comment] = STATE(466),
    [aux_sym__terminator_repeat1] = STATE(9987),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4247),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(4247),
    [anon_sym_else] = ACTIONS(4247),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [467] = {
    [sym__block] = STATE(18042),
    [sym_open_tuple] = STATE(14621),
    [sym_assignment] = STATE(14662),
    [sym__expression] = STATE(12401),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(467),
    [sym_line_comment] = STATE(467),
    [aux_sym__terminator_repeat1] = STATE(476),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(107),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(107),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [anon_sym_SEMI2] = ACTIONS(4239),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [468] = {
    [sym__block] = STATE(19424),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(468),
    [sym_line_comment] = STATE(468),
    [aux_sym_for_statement_repeat1] = STATE(472),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4249),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4251),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4253),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [469] = {
    [sym__block] = STATE(19197),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(469),
    [sym_line_comment] = STATE(469),
    [aux_sym_for_statement_repeat1] = STATE(477),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4255),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4257),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4259),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [470] = {
    [sym__block] = STATE(19524),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(470),
    [sym_line_comment] = STATE(470),
    [aux_sym_for_statement_repeat1] = STATE(485),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4261),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4263),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [471] = {
    [sym__block] = STATE(19846),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(471),
    [sym_line_comment] = STATE(471),
    [aux_sym_for_statement_repeat1] = STATE(482),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4267),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4269),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4271),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [472] = {
    [sym__block] = STATE(19148),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(472),
    [sym_line_comment] = STATE(472),
    [aux_sym_for_statement_repeat1] = STATE(9986),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4273),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4275),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4277),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [473] = {
    [sym__block] = STATE(17952),
    [sym_open_tuple] = STATE(14621),
    [sym_assignment] = STATE(14662),
    [sym__expression] = STATE(12401),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(2),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(473),
    [sym_line_comment] = STATE(473),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(4279),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(4279),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(4279),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(143),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(153),
    [anon_sym_SEMI] = ACTIONS(4281),
    [anon_sym_LBRACE] = ACTIONS(157),
    [anon_sym_DOLLAR] = ACTIONS(159),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(163),
    [anon_sym_AT] = ACTIONS(167),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(171),
    [aux_sym_integer_literal_token2] = ACTIONS(171),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(175),
    [aux_sym_float_literal_token3] = ACTIONS(175),
    [aux_sym_float_literal_token4] = ACTIONS(175),
    [sym_character_literal] = ACTIONS(177),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(183),
    [sym__type_order_operator] = ACTIONS(183),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym__terminator_token1] = ACTIONS(4283),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [474] = {
    [sym__block] = STATE(20018),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(474),
    [sym_line_comment] = STATE(474),
    [aux_sym_for_statement_repeat1] = STATE(486),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4285),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4287),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4289),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [475] = {
    [sym__block] = STATE(20048),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(475),
    [sym_line_comment] = STATE(475),
    [aux_sym_for_statement_repeat1] = STATE(9986),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4291),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4293),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4295),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [476] = {
    [sym__block] = STATE(17643),
    [sym_open_tuple] = STATE(14621),
    [sym_assignment] = STATE(14662),
    [sym__expression] = STATE(12401),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(476),
    [sym_line_comment] = STATE(476),
    [aux_sym__terminator_repeat1] = STATE(9984),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(4297),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(4297),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(4297),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [anon_sym_SEMI2] = ACTIONS(4239),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [477] = {
    [sym__block] = STATE(19663),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(477),
    [sym_line_comment] = STATE(477),
    [aux_sym_for_statement_repeat1] = STATE(9986),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4299),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4301),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4303),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [478] = {
    [sym__block] = STATE(19548),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(478),
    [sym_line_comment] = STATE(478),
    [aux_sym_for_statement_repeat1] = STATE(487),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4305),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4307),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [479] = {
    [sym__block] = STATE(20218),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(479),
    [sym_line_comment] = STATE(479),
    [aux_sym_for_statement_repeat1] = STATE(9986),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4311),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4313),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4315),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [480] = {
    [sym__block] = STATE(19320),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(480),
    [sym_line_comment] = STATE(480),
    [aux_sym_for_statement_repeat1] = STATE(459),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4317),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4319),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [481] = {
    [sym__block] = STATE(19269),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(481),
    [sym_line_comment] = STATE(481),
    [aux_sym_for_statement_repeat1] = STATE(484),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4323),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4325),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4327),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [482] = {
    [sym__block] = STATE(19622),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(482),
    [sym_line_comment] = STATE(482),
    [aux_sym_for_statement_repeat1] = STATE(9986),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4329),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4331),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4333),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [483] = {
    [sym__block] = STATE(19970),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(483),
    [sym_line_comment] = STATE(483),
    [aux_sym_for_statement_repeat1] = STATE(479),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4335),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4337),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4339),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [484] = {
    [sym__block] = STATE(19471),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(484),
    [sym_line_comment] = STATE(484),
    [aux_sym_for_statement_repeat1] = STATE(9986),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4341),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4343),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [485] = {
    [sym__block] = STATE(19947),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(485),
    [sym_line_comment] = STATE(485),
    [aux_sym_for_statement_repeat1] = STATE(9986),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4347),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4349),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4351),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [486] = {
    [sym__block] = STATE(19511),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(486),
    [sym_line_comment] = STATE(486),
    [aux_sym_for_statement_repeat1] = STATE(9986),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4353),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4355),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [487] = {
    [sym__block] = STATE(19196),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(487),
    [sym_line_comment] = STATE(487),
    [aux_sym_for_statement_repeat1] = STATE(9986),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4359),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4361),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4363),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [488] = {
    [sym__block] = STATE(19960),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(488),
    [sym_line_comment] = STATE(488),
    [aux_sym_for_statement_repeat1] = STATE(475),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4365),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4367),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4369),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [489] = {
    [sym__block] = STATE(17643),
    [sym_open_tuple] = STATE(14621),
    [sym_assignment] = STATE(14662),
    [sym__expression] = STATE(12401),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(489),
    [sym_line_comment] = STATE(489),
    [aux_sym__terminator_repeat1] = STATE(464),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(4297),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(4297),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(4297),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [anon_sym_SEMI2] = ACTIONS(4239),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [490] = {
    [sym__block] = STATE(16537),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15641),
    [sym_finally_clause] = STATE(17984),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(490),
    [sym_line_comment] = STATE(490),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [491] = {
    [sym__block] = STATE(16195),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15504),
    [sym_finally_clause] = STATE(17961),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(491),
    [sym_line_comment] = STATE(491),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [492] = {
    [sym__block] = STATE(16361),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15812),
    [sym_finally_clause] = STATE(17997),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(492),
    [sym_line_comment] = STATE(492),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [493] = {
    [sym__block] = STATE(18555),
    [sym_open_tuple] = STATE(15048),
    [sym_assignment] = STATE(15556),
    [sym__expression] = STATE(12701),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10931),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13111),
    [sym_unary_expression] = STATE(13111),
    [sym_range_expression] = STATE(13111),
    [sym_splat_expression] = STATE(13111),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12796),
    [sym_unary_typed_expression] = STATE(13111),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13111),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12797),
    [sym_block_comment] = STATE(493),
    [sym_line_comment] = STATE(493),
    [aux_sym__terminator_repeat1] = STATE(509),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4371),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4371),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [anon_sym_SEMI2] = ACTIONS(4385),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [494] = {
    [sym__block] = STATE(16556),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15749),
    [sym_finally_clause] = STATE(17797),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(494),
    [sym_line_comment] = STATE(494),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [495] = {
    [sym_open_tuple] = STATE(15402),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(12990),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(495),
    [sym_line_comment] = STATE(495),
    [aux_sym__terminator_repeat1] = STATE(499),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4387),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(4387),
    [anon_sym_else] = ACTIONS(4387),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [496] = {
    [sym__block] = STATE(18517),
    [sym_open_tuple] = STATE(15048),
    [sym_assignment] = STATE(15556),
    [sym__expression] = STATE(12701),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10931),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13111),
    [sym_unary_expression] = STATE(13111),
    [sym_range_expression] = STATE(13111),
    [sym_splat_expression] = STATE(13111),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12796),
    [sym_unary_typed_expression] = STATE(13111),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13111),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12797),
    [sym_block_comment] = STATE(496),
    [sym_line_comment] = STATE(496),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4389),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4389),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4391),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3492),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(3496),
    [anon_sym_AT] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3498),
    [aux_sym_integer_literal_token2] = ACTIONS(3498),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(3502),
    [aux_sym_float_literal_token3] = ACTIONS(3502),
    [aux_sym_float_literal_token4] = ACTIONS(3502),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3504),
    [sym__type_order_operator] = ACTIONS(3504),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym__terminator_token1] = ACTIONS(4393),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [497] = {
    [sym__block] = STATE(16475),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15590),
    [sym_finally_clause] = STATE(18000),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(497),
    [sym_line_comment] = STATE(497),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [498] = {
    [sym__block] = STATE(16577),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15729),
    [sym_finally_clause] = STATE(18124),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(498),
    [sym_line_comment] = STATE(498),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [499] = {
    [sym_open_tuple] = STATE(15004),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(12944),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(499),
    [sym_line_comment] = STATE(499),
    [aux_sym__terminator_repeat1] = STATE(9987),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4395),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(4395),
    [anon_sym_else] = ACTIONS(4395),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [500] = {
    [sym_open_tuple] = STATE(15402),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(12990),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(500),
    [sym_line_comment] = STATE(500),
    [aux_sym__terminator_repeat1] = STATE(501),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4395),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(4395),
    [anon_sym_else] = ACTIONS(4395),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [501] = {
    [sym_open_tuple] = STATE(15004),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(12944),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(501),
    [sym_line_comment] = STATE(501),
    [aux_sym__terminator_repeat1] = STATE(9987),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4397),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(4397),
    [anon_sym_else] = ACTIONS(4397),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [502] = {
    [sym_open_tuple] = STATE(15057),
    [sym_assignment] = STATE(15503),
    [sym__expression] = STATE(12934),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(502),
    [sym_line_comment] = STATE(502),
    [aux_sym__terminator_repeat1] = STATE(510),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(4395),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(4395),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(4395),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [anon_sym_SEMI2] = ACTIONS(4239),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [503] = {
    [sym__block] = STATE(16496),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15760),
    [sym_finally_clause] = STATE(18135),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(503),
    [sym_line_comment] = STATE(503),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [504] = {
    [sym__block] = STATE(16421),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15724),
    [sym_finally_clause] = STATE(17602),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(504),
    [sym_line_comment] = STATE(504),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [505] = {
    [sym_open_tuple] = STATE(14722),
    [sym_assignment] = STATE(15636),
    [sym__expression] = STATE(12637),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(505),
    [sym_line_comment] = STATE(505),
    [aux_sym__terminator_repeat1] = STATE(9984),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(4395),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(4395),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(4395),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [anon_sym_SEMI2] = ACTIONS(4239),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [506] = {
    [sym__block] = STATE(17152),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15626),
    [sym_finally_clause] = STATE(18047),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(506),
    [sym_line_comment] = STATE(506),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [507] = {
    [sym__block] = STATE(16389),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15630),
    [sym_finally_clause] = STATE(17631),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(507),
    [sym_line_comment] = STATE(507),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [508] = {
    [sym__block] = STATE(16515),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15657),
    [sym_finally_clause] = STATE(18080),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(508),
    [sym_line_comment] = STATE(508),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [509] = {
    [sym__block] = STATE(18392),
    [sym_open_tuple] = STATE(15048),
    [sym_assignment] = STATE(15556),
    [sym__expression] = STATE(12701),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10931),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13111),
    [sym_unary_expression] = STATE(13111),
    [sym_range_expression] = STATE(13111),
    [sym_splat_expression] = STATE(13111),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12796),
    [sym_unary_typed_expression] = STATE(13111),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13111),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12797),
    [sym_block_comment] = STATE(509),
    [sym_line_comment] = STATE(509),
    [aux_sym__terminator_repeat1] = STATE(10010),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4399),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4399),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [anon_sym_SEMI2] = ACTIONS(4385),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [510] = {
    [sym_open_tuple] = STATE(14722),
    [sym_assignment] = STATE(15636),
    [sym__expression] = STATE(12637),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(510),
    [sym_line_comment] = STATE(510),
    [aux_sym__terminator_repeat1] = STATE(9984),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(4397),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(4397),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(4397),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [anon_sym_SEMI2] = ACTIONS(4239),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [511] = {
    [sym__block] = STATE(18412),
    [sym_open_tuple] = STATE(15153),
    [sym_assignment] = STATE(15607),
    [sym__expression] = STATE(12795),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10871),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13288),
    [sym_unary_expression] = STATE(13288),
    [sym_range_expression] = STATE(13288),
    [sym_splat_expression] = STATE(13288),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12742),
    [sym_unary_typed_expression] = STATE(13288),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13288),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12755),
    [sym_block_comment] = STATE(511),
    [sym_line_comment] = STATE(511),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4401),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(4401),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4403),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(3208),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(3212),
    [anon_sym_AT] = ACTIONS(511),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(3214),
    [aux_sym_integer_literal_token2] = ACTIONS(3214),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(3218),
    [aux_sym_float_literal_token3] = ACTIONS(3218),
    [aux_sym_float_literal_token4] = ACTIONS(3218),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(3220),
    [sym__type_order_operator] = ACTIONS(3220),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym__terminator_token1] = ACTIONS(4405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [512] = {
    [sym__block] = STATE(18436),
    [sym_open_tuple] = STATE(15153),
    [sym_assignment] = STATE(15607),
    [sym__expression] = STATE(12795),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10871),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13288),
    [sym_unary_expression] = STATE(13288),
    [sym_range_expression] = STATE(13288),
    [sym_splat_expression] = STATE(13288),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12742),
    [sym_unary_typed_expression] = STATE(13288),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13288),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12755),
    [sym_block_comment] = STATE(512),
    [sym_line_comment] = STATE(512),
    [aux_sym__terminator_repeat1] = STATE(513),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4407),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(4407),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [anon_sym_SEMI2] = ACTIONS(4421),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [513] = {
    [sym__block] = STATE(18239),
    [sym_open_tuple] = STATE(15153),
    [sym_assignment] = STATE(15607),
    [sym__expression] = STATE(12795),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10871),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13288),
    [sym_unary_expression] = STATE(13288),
    [sym_range_expression] = STATE(13288),
    [sym_splat_expression] = STATE(13288),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12742),
    [sym_unary_typed_expression] = STATE(13288),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13288),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12755),
    [sym_block_comment] = STATE(513),
    [sym_line_comment] = STATE(513),
    [aux_sym__terminator_repeat1] = STATE(9991),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4423),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(4423),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [anon_sym_SEMI2] = ACTIONS(4421),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [514] = {
    [sym__block] = STATE(16448),
    [sym_open_tuple] = STATE(15084),
    [sym_assignment] = STATE(15692),
    [sym__expression] = STATE(12948),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_catch_clause] = STATE(15706),
    [sym_finally_clause] = STATE(17739),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(514),
    [sym_line_comment] = STATE(514),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4119),
    [anon_sym_finally] = ACTIONS(4121),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [515] = {
    [sym_open_tuple] = STATE(15057),
    [sym_assignment] = STATE(15503),
    [sym__expression] = STATE(12934),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(515),
    [sym_line_comment] = STATE(515),
    [aux_sym__terminator_repeat1] = STATE(505),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(4387),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(4387),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(4387),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [anon_sym_SEMI2] = ACTIONS(4239),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [516] = {
    [sym__block] = STATE(19775),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(516),
    [sym_line_comment] = STATE(516),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4425),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [517] = {
    [sym__block] = STATE(19180),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(517),
    [sym_line_comment] = STATE(517),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4441),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [518] = {
    [sym__block] = STATE(19211),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(518),
    [sym_line_comment] = STATE(518),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4443),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [519] = {
    [sym__block] = STATE(18792),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(519),
    [sym_line_comment] = STATE(519),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4445),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [520] = {
    [sym__block] = STATE(18792),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(520),
    [sym_line_comment] = STATE(520),
    [aux_sym__terminator_repeat1] = STATE(530),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4445),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [521] = {
    [sym__block] = STATE(19527),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(521),
    [sym_line_comment] = STATE(521),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4447),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [522] = {
    [sym__block] = STATE(19527),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(522),
    [sym_line_comment] = STATE(522),
    [aux_sym__terminator_repeat1] = STATE(531),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4447),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [523] = {
    [sym__block] = STATE(19737),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(523),
    [sym_line_comment] = STATE(523),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4449),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [524] = {
    [sym__block] = STATE(18934),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(524),
    [sym_line_comment] = STATE(524),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4451),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [525] = {
    [sym__block] = STATE(18934),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(525),
    [sym_line_comment] = STATE(525),
    [aux_sym__terminator_repeat1] = STATE(532),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4451),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [526] = {
    [sym__block] = STATE(19029),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(526),
    [sym_line_comment] = STATE(526),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4453),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [527] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(527),
    [sym_line_comment] = STATE(527),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4459),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [528] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(528),
    [sym_line_comment] = STATE(528),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(533),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4459),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [529] = {
    [sym__block] = STATE(19576),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(529),
    [sym_line_comment] = STATE(529),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4479),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [530] = {
    [sym__block] = STATE(19626),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(530),
    [sym_line_comment] = STATE(530),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4481),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [531] = {
    [sym__block] = STATE(19665),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(531),
    [sym_line_comment] = STATE(531),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4483),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [532] = {
    [sym__block] = STATE(19878),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(532),
    [sym_line_comment] = STATE(532),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4485),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [533] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(533),
    [sym_line_comment] = STATE(533),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4487),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [534] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(534),
    [sym_line_comment] = STATE(534),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4489),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [535] = {
    [sym__block] = STATE(19990),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(535),
    [sym_line_comment] = STATE(535),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4491),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [536] = {
    [sym__block] = STATE(19332),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(536),
    [sym_line_comment] = STATE(536),
    [aux_sym__terminator_repeat1] = STATE(1054),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4493),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [537] = {
    [sym__block] = STATE(19990),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(537),
    [sym_line_comment] = STATE(537),
    [aux_sym__terminator_repeat1] = STATE(1072),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4491),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [538] = {
    [sym__block] = STATE(17952),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(3),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(538),
    [sym_line_comment] = STATE(538),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4279),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4495),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4497),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [539] = {
    [sym__block] = STATE(18517),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(539),
    [sym_line_comment] = STATE(539),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4389),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4499),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4501),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [540] = {
    [sym__block] = STATE(18412),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(540),
    [sym_line_comment] = STATE(540),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4401),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4503),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4505),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [541] = {
    [sym__block] = STATE(18964),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(541),
    [sym_line_comment] = STATE(541),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4507),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4509),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4511),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [542] = {
    [sym__block] = STATE(20057),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(542),
    [sym_line_comment] = STATE(542),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4513),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4515),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4517),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [543] = {
    [sym__block] = STATE(19660),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(543),
    [sym_line_comment] = STATE(543),
    [aux_sym__terminator_repeat1] = STATE(1218),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4519),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [544] = {
    [sym__block] = STATE(19994),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(544),
    [sym_line_comment] = STATE(544),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4521),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4523),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4525),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [545] = {
    [sym__block] = STATE(19282),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(545),
    [sym_line_comment] = STATE(545),
    [aux_sym__terminator_repeat1] = STATE(535),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4527),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [546] = {
    [sym__block] = STATE(20335),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(546),
    [sym_line_comment] = STATE(546),
    [aux_sym__terminator_repeat1] = STATE(553),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4529),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [547] = {
    [sym__block] = STATE(20146),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(547),
    [sym_line_comment] = STATE(547),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4531),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4533),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4535),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [548] = {
    [sym__block] = STATE(19017),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(548),
    [sym_line_comment] = STATE(548),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4537),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4539),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4541),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [549] = {
    [sym__block] = STATE(19165),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(549),
    [sym_line_comment] = STATE(549),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4543),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4545),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4547),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [550] = {
    [sym__block] = STATE(19378),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(550),
    [sym_line_comment] = STATE(550),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4549),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4551),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4553),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [551] = {
    [sym__block] = STATE(19718),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(551),
    [sym_line_comment] = STATE(551),
    [aux_sym__terminator_repeat1] = STATE(559),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4555),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [552] = {
    [sym__block] = STATE(19844),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(552),
    [sym_line_comment] = STATE(552),
    [aux_sym__terminator_repeat1] = STATE(560),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4557),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [553] = {
    [sym__block] = STATE(19776),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(553),
    [sym_line_comment] = STATE(553),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4559),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [554] = {
    [sym__block] = STATE(19777),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(554),
    [sym_line_comment] = STATE(554),
    [aux_sym__terminator_repeat1] = STATE(567),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4561),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [555] = {
    [sym__block] = STATE(19901),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(555),
    [sym_line_comment] = STATE(555),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4563),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4565),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4567),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [556] = {
    [sym__block] = STATE(19901),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(556),
    [sym_line_comment] = STATE(556),
    [aux_sym__terminator_repeat1] = STATE(569),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4563),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [557] = {
    [sym__block] = STATE(19910),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(557),
    [sym_line_comment] = STATE(557),
    [aux_sym__terminator_repeat1] = STATE(570),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4569),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [558] = {
    [sym__block] = STATE(19992),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(558),
    [sym_line_comment] = STATE(558),
    [aux_sym__terminator_repeat1] = STATE(571),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4571),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [559] = {
    [sym__block] = STATE(20145),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(559),
    [sym_line_comment] = STATE(559),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4573),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [560] = {
    [sym__block] = STATE(20159),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(560),
    [sym_line_comment] = STATE(560),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4575),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [561] = {
    [sym__block] = STATE(20182),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(561),
    [sym_line_comment] = STATE(561),
    [aux_sym__terminator_repeat1] = STATE(572),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4577),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [562] = {
    [sym__block] = STATE(20159),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(562),
    [sym_line_comment] = STATE(562),
    [aux_sym__terminator_repeat1] = STATE(574),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4575),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [563] = {
    [sym__block] = STATE(19947),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(563),
    [sym_line_comment] = STATE(563),
    [aux_sym__terminator_repeat1] = STATE(577),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4347),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [564] = {
    [sym__block] = STATE(19620),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(564),
    [sym_line_comment] = STATE(564),
    [aux_sym__terminator_repeat1] = STATE(916),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4579),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [565] = {
    [sym__block] = STATE(18966),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(565),
    [sym_line_comment] = STATE(565),
    [aux_sym__terminator_repeat1] = STATE(579),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4581),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [566] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(566),
    [sym_line_comment] = STATE(566),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(580),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4583),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [567] = {
    [sym__block] = STATE(19209),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(567),
    [sym_line_comment] = STATE(567),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4585),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [568] = {
    [sym__block] = STATE(19213),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(568),
    [sym_line_comment] = STATE(568),
    [aux_sym__terminator_repeat1] = STATE(582),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4587),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [569] = {
    [sym__block] = STATE(19213),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(569),
    [sym_line_comment] = STATE(569),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4587),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [570] = {
    [sym__block] = STATE(19302),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(570),
    [sym_line_comment] = STATE(570),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4589),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [571] = {
    [sym__block] = STATE(19326),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(571),
    [sym_line_comment] = STATE(571),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4591),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [572] = {
    [sym__block] = STATE(19337),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(572),
    [sym_line_comment] = STATE(572),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4593),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [573] = {
    [sym__block] = STATE(19337),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(573),
    [sym_line_comment] = STATE(573),
    [aux_sym__terminator_repeat1] = STATE(583),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4593),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [574] = {
    [sym__block] = STATE(19385),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(574),
    [sym_line_comment] = STATE(574),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4595),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [575] = {
    [sym__block] = STATE(19385),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(575),
    [sym_line_comment] = STATE(575),
    [aux_sym__terminator_repeat1] = STATE(584),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4595),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [576] = {
    [sym__block] = STATE(19685),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(576),
    [sym_line_comment] = STATE(576),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4597),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4599),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4601),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [577] = {
    [sym__block] = STATE(19636),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(577),
    [sym_line_comment] = STATE(577),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4603),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [578] = {
    [sym__block] = STATE(19636),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(578),
    [sym_line_comment] = STATE(578),
    [aux_sym__terminator_repeat1] = STATE(585),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4603),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [579] = {
    [sym__block] = STATE(19706),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(579),
    [sym_line_comment] = STATE(579),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4605),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [580] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(580),
    [sym_line_comment] = STATE(580),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4607),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [581] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(581),
    [sym_line_comment] = STATE(581),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(586),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4607),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [582] = {
    [sym__block] = STATE(19868),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(582),
    [sym_line_comment] = STATE(582),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4609),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [583] = {
    [sym__block] = STATE(19892),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(583),
    [sym_line_comment] = STATE(583),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4611),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [584] = {
    [sym__block] = STATE(19954),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(584),
    [sym_line_comment] = STATE(584),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4613),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [585] = {
    [sym__block] = STATE(20056),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(585),
    [sym_line_comment] = STATE(585),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4615),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [586] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(586),
    [sym_line_comment] = STATE(586),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4617),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [587] = {
    [sym__block] = STATE(18042),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(587),
    [sym_line_comment] = STATE(587),
    [aux_sym__terminator_repeat1] = STATE(639),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(107),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [588] = {
    [sym__block] = STATE(18555),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(588),
    [sym_line_comment] = STATE(588),
    [aux_sym__terminator_repeat1] = STATE(732),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4371),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [589] = {
    [sym__block] = STATE(19261),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(589),
    [sym_line_comment] = STATE(589),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4619),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4621),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4623),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [590] = {
    [sym__block] = STATE(18042),
    [sym_open_tuple] = STATE(14621),
    [sym_assignment] = STATE(14662),
    [sym__expression] = STATE(12401),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(590),
    [sym_line_comment] = STATE(590),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(107),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(107),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(107),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [591] = {
    [sym__block] = STATE(20094),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(591),
    [sym_line_comment] = STATE(591),
    [aux_sym__terminator_repeat1] = STATE(648),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4625),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [592] = {
    [sym__block] = STATE(19139),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(592),
    [sym_line_comment] = STATE(592),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4627),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4629),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [593] = {
    [sym__block] = STATE(20275),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(593),
    [sym_line_comment] = STATE(593),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4633),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4635),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4637),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [594] = {
    [sym__block] = STATE(19678),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(594),
    [sym_line_comment] = STATE(594),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4639),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4641),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4643),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [595] = {
    [sym__block] = STATE(20302),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(595),
    [sym_line_comment] = STATE(595),
    [aux_sym__terminator_repeat1] = STATE(605),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4645),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [596] = {
    [sym__block] = STATE(20308),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(596),
    [sym_line_comment] = STATE(596),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4647),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4649),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4651),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [597] = {
    [sym__block] = STATE(20314),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(597),
    [sym_line_comment] = STATE(597),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4653),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4655),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4657),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [598] = {
    [sym__block] = STATE(20326),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(598),
    [sym_line_comment] = STATE(598),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4659),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4661),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4663),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [599] = {
    [sym__block] = STATE(20338),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(599),
    [sym_line_comment] = STATE(599),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4665),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4667),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4669),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [600] = {
    [sym__block] = STATE(20340),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(600),
    [sym_line_comment] = STATE(600),
    [aux_sym__terminator_repeat1] = STATE(612),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4671),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [601] = {
    [sym__block] = STATE(18998),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(601),
    [sym_line_comment] = STATE(601),
    [aux_sym__terminator_repeat1] = STATE(613),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4673),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [602] = {
    [sym__block] = STATE(20250),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(602),
    [sym_line_comment] = STATE(602),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4675),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4677),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4679),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [603] = {
    [sym__block] = STATE(18786),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(603),
    [sym_line_comment] = STATE(603),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4681),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4683),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4685),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [604] = {
    [sym__block] = STATE(19074),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(604),
    [sym_line_comment] = STATE(604),
    [aux_sym__terminator_repeat1] = STATE(686),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4687),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [605] = {
    [sym__block] = STATE(19823),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(605),
    [sym_line_comment] = STATE(605),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4689),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [606] = {
    [sym__block] = STATE(19828),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(606),
    [sym_line_comment] = STATE(606),
    [aux_sym__terminator_repeat1] = STATE(620),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4691),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [607] = {
    [sym__block] = STATE(19250),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(607),
    [sym_line_comment] = STATE(607),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4693),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4695),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4697),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [608] = {
    [sym__block] = STATE(20033),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(608),
    [sym_line_comment] = STATE(608),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4699),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4701),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4703),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [609] = {
    [sym__block] = STATE(20033),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(609),
    [sym_line_comment] = STATE(609),
    [aux_sym__terminator_repeat1] = STATE(622),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4699),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [610] = {
    [sym__block] = STATE(20049),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(610),
    [sym_line_comment] = STATE(610),
    [aux_sym__terminator_repeat1] = STATE(623),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4705),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [611] = {
    [sym__block] = STATE(20170),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(611),
    [sym_line_comment] = STATE(611),
    [aux_sym__terminator_repeat1] = STATE(624),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4707),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [612] = {
    [sym__block] = STATE(20176),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(612),
    [sym_line_comment] = STATE(612),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4709),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [613] = {
    [sym__block] = STATE(20192),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(613),
    [sym_line_comment] = STATE(613),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4711),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [614] = {
    [sym__block] = STATE(20219),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(614),
    [sym_line_comment] = STATE(614),
    [aux_sym__terminator_repeat1] = STATE(625),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4713),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [615] = {
    [sym__block] = STATE(20192),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(615),
    [sym_line_comment] = STATE(615),
    [aux_sym__terminator_repeat1] = STATE(627),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4711),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [616] = {
    [sym__block] = STATE(19353),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(616),
    [sym_line_comment] = STATE(616),
    [aux_sym__terminator_repeat1] = STATE(695),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4715),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [617] = {
    [sym__block] = STATE(18915),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(617),
    [sym_line_comment] = STATE(617),
    [aux_sym__terminator_repeat1] = STATE(629),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4211),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [618] = {
    [sym__block] = STATE(19076),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(618),
    [sym_line_comment] = STATE(618),
    [aux_sym__terminator_repeat1] = STATE(631),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4717),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [619] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(619),
    [sym_line_comment] = STATE(619),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(632),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4719),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [620] = {
    [sym__block] = STATE(19089),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(620),
    [sym_line_comment] = STATE(620),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4721),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [621] = {
    [sym__block] = STATE(19098),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(621),
    [sym_line_comment] = STATE(621),
    [aux_sym__terminator_repeat1] = STATE(634),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4723),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [622] = {
    [sym__block] = STATE(19098),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(622),
    [sym_line_comment] = STATE(622),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4723),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [623] = {
    [sym__block] = STATE(19129),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(623),
    [sym_line_comment] = STATE(623),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4725),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [624] = {
    [sym__block] = STATE(19152),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(624),
    [sym_line_comment] = STATE(624),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4727),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [625] = {
    [sym__block] = STATE(19162),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(625),
    [sym_line_comment] = STATE(625),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4729),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [626] = {
    [sym__block] = STATE(19162),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(626),
    [sym_line_comment] = STATE(626),
    [aux_sym__terminator_repeat1] = STATE(635),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4729),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [627] = {
    [sym__block] = STATE(19184),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(627),
    [sym_line_comment] = STATE(627),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4731),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [628] = {
    [sym__block] = STATE(19184),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(628),
    [sym_line_comment] = STATE(628),
    [aux_sym__terminator_repeat1] = STATE(636),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4731),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [629] = {
    [sym__block] = STATE(19428),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(629),
    [sym_line_comment] = STATE(629),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4733),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [630] = {
    [sym__block] = STATE(19428),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(630),
    [sym_line_comment] = STATE(630),
    [aux_sym__terminator_repeat1] = STATE(637),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4733),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [631] = {
    [sym__block] = STATE(19465),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(631),
    [sym_line_comment] = STATE(631),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4735),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [632] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(632),
    [sym_line_comment] = STATE(632),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4737),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [633] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(633),
    [sym_line_comment] = STATE(633),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(638),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4737),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [634] = {
    [sym__block] = STATE(19649),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(634),
    [sym_line_comment] = STATE(634),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4739),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [635] = {
    [sym__block] = STATE(19670),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(635),
    [sym_line_comment] = STATE(635),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4741),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [636] = {
    [sym__block] = STATE(19671),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(636),
    [sym_line_comment] = STATE(636),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4743),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [637] = {
    [sym__block] = STATE(19950),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(637),
    [sym_line_comment] = STATE(637),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4745),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [638] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(638),
    [sym_line_comment] = STATE(638),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4747),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [639] = {
    [sym__block] = STATE(17643),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(639),
    [sym_line_comment] = STATE(639),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4297),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [640] = {
    [sym__block] = STATE(19782),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(640),
    [sym_line_comment] = STATE(640),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4749),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4751),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4753),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [641] = {
    [sym__block] = STATE(20354),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(641),
    [sym_line_comment] = STATE(641),
    [aux_sym__terminator_repeat1] = STATE(650),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4755),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [642] = {
    [sym__block] = STATE(19676),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(642),
    [sym_line_comment] = STATE(642),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4757),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4759),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4761),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [643] = {
    [sym__block] = STATE(18816),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(643),
    [sym_line_comment] = STATE(643),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4763),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4765),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4767),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [644] = {
    [sym__block] = STATE(19061),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(644),
    [sym_line_comment] = STATE(644),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4769),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4771),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4773),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [645] = {
    [sym__block] = STATE(19993),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(645),
    [sym_line_comment] = STATE(645),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4775),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4777),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4779),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [646] = {
    [sym__block] = STATE(20014),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(646),
    [sym_line_comment] = STATE(646),
    [aux_sym__terminator_repeat1] = STATE(656),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4781),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [647] = {
    [sym__block] = STATE(20074),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(647),
    [sym_line_comment] = STATE(647),
    [aux_sym__terminator_repeat1] = STATE(657),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4783),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [648] = {
    [sym__block] = STATE(18946),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(648),
    [sym_line_comment] = STATE(648),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4785),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [649] = {
    [sym__block] = STATE(18988),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(649),
    [sym_line_comment] = STATE(649),
    [aux_sym__terminator_repeat1] = STATE(775),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4787),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [650] = {
    [sym__block] = STATE(19112),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(650),
    [sym_line_comment] = STATE(650),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4789),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [651] = {
    [sym__block] = STATE(19138),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(651),
    [sym_line_comment] = STATE(651),
    [aux_sym__terminator_repeat1] = STATE(665),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4791),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [652] = {
    [sym__block] = STATE(19237),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(652),
    [sym_line_comment] = STATE(652),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4793),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4795),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4797),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [653] = {
    [sym__block] = STATE(19237),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(653),
    [sym_line_comment] = STATE(653),
    [aux_sym__terminator_repeat1] = STATE(667),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4793),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [654] = {
    [sym__block] = STATE(19272),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(654),
    [sym_line_comment] = STATE(654),
    [aux_sym__terminator_repeat1] = STATE(668),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4799),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [655] = {
    [sym__block] = STATE(19310),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(655),
    [sym_line_comment] = STATE(655),
    [aux_sym__terminator_repeat1] = STATE(669),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4801),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [656] = {
    [sym__block] = STATE(19372),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(656),
    [sym_line_comment] = STATE(656),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4803),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [657] = {
    [sym__block] = STATE(19391),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(657),
    [sym_line_comment] = STATE(657),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4805),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [658] = {
    [sym__block] = STATE(19394),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(658),
    [sym_line_comment] = STATE(658),
    [aux_sym__terminator_repeat1] = STATE(670),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4807),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [659] = {
    [sym__block] = STATE(19391),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(659),
    [sym_line_comment] = STATE(659),
    [aux_sym__terminator_repeat1] = STATE(672),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4805),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [660] = {
    [sym__block] = STATE(19021),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(660),
    [sym_line_comment] = STATE(660),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4809),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4811),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4813),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [661] = {
    [sym__block] = STATE(19021),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(661),
    [sym_line_comment] = STATE(661),
    [aux_sym__terminator_repeat1] = STATE(777),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4809),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [662] = {
    [sym__block] = STATE(19663),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(662),
    [sym_line_comment] = STATE(662),
    [aux_sym__terminator_repeat1] = STATE(675),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4299),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [663] = {
    [sym__block] = STATE(19740),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(663),
    [sym_line_comment] = STATE(663),
    [aux_sym__terminator_repeat1] = STATE(677),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4815),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [664] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(664),
    [sym_line_comment] = STATE(664),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(678),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4817),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [665] = {
    [sym__block] = STATE(18893),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(665),
    [sym_line_comment] = STATE(665),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4819),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [666] = {
    [sym__block] = STATE(18894),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(666),
    [sym_line_comment] = STATE(666),
    [aux_sym__terminator_repeat1] = STATE(680),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4821),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [667] = {
    [sym__block] = STATE(18894),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(667),
    [sym_line_comment] = STATE(667),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4821),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [668] = {
    [sym__block] = STATE(18899),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(668),
    [sym_line_comment] = STATE(668),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4823),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [669] = {
    [sym__block] = STATE(18900),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(669),
    [sym_line_comment] = STATE(669),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4825),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [670] = {
    [sym__block] = STATE(18901),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(670),
    [sym_line_comment] = STATE(670),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4827),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [671] = {
    [sym__block] = STATE(18901),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(671),
    [sym_line_comment] = STATE(671),
    [aux_sym__terminator_repeat1] = STATE(681),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4827),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [672] = {
    [sym__block] = STATE(18903),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(672),
    [sym_line_comment] = STATE(672),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4829),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [673] = {
    [sym__block] = STATE(18903),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(673),
    [sym_line_comment] = STATE(673),
    [aux_sym__terminator_repeat1] = STATE(682),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4829),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [674] = {
    [sym__block] = STATE(19037),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(674),
    [sym_line_comment] = STATE(674),
    [aux_sym__terminator_repeat1] = STATE(786),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4831),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [675] = {
    [sym__block] = STATE(18916),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(675),
    [sym_line_comment] = STATE(675),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4833),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [676] = {
    [sym__block] = STATE(18916),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(676),
    [sym_line_comment] = STATE(676),
    [aux_sym__terminator_repeat1] = STATE(683),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4833),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [677] = {
    [sym__block] = STATE(18918),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(677),
    [sym_line_comment] = STATE(677),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4835),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [678] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(678),
    [sym_line_comment] = STATE(678),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4837),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [679] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(679),
    [sym_line_comment] = STATE(679),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(684),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4837),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [680] = {
    [sym__block] = STATE(18940),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(680),
    [sym_line_comment] = STATE(680),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4839),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [681] = {
    [sym__block] = STATE(18941),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(681),
    [sym_line_comment] = STATE(681),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4841),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [682] = {
    [sym__block] = STATE(18943),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(682),
    [sym_line_comment] = STATE(682),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4843),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [683] = {
    [sym__block] = STATE(18953),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(683),
    [sym_line_comment] = STATE(683),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4845),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [684] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(684),
    [sym_line_comment] = STATE(684),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4847),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [685] = {
    [sym__block] = STATE(19075),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(685),
    [sym_line_comment] = STATE(685),
    [aux_sym__terminator_repeat1] = STATE(787),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4849),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [686] = {
    [sym__block] = STATE(19093),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(686),
    [sym_line_comment] = STATE(686),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4851),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [687] = {
    [sym__block] = STATE(19109),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(687),
    [sym_line_comment] = STATE(687),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4853),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4855),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4857),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [688] = {
    [sym__block] = STATE(19220),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(688),
    [sym_line_comment] = STATE(688),
    [aux_sym__terminator_repeat1] = STATE(697),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4859),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [689] = {
    [sym__block] = STATE(19229),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(689),
    [sym_line_comment] = STATE(689),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4861),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4863),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4865),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [690] = {
    [sym__block] = STATE(19236),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(690),
    [sym_line_comment] = STATE(690),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4867),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4869),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4871),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [691] = {
    [sym__block] = STATE(19239),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(691),
    [sym_line_comment] = STATE(691),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4873),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4875),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4877),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [692] = {
    [sym__block] = STATE(19243),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(692),
    [sym_line_comment] = STATE(692),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4879),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4881),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4883),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [693] = {
    [sym__block] = STATE(19244),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(693),
    [sym_line_comment] = STATE(693),
    [aux_sym__terminator_repeat1] = STATE(703),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4885),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [694] = {
    [sym__block] = STATE(19247),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(694),
    [sym_line_comment] = STATE(694),
    [aux_sym__terminator_repeat1] = STATE(704),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4887),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [695] = {
    [sym__block] = STATE(19111),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(695),
    [sym_line_comment] = STATE(695),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4889),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [696] = {
    [sym__block] = STATE(19114),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(696),
    [sym_line_comment] = STATE(696),
    [aux_sym__terminator_repeat1] = STATE(788),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4891),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [697] = {
    [sym__block] = STATE(19429),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(697),
    [sym_line_comment] = STATE(697),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4893),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [698] = {
    [sym__block] = STATE(19430),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(698),
    [sym_line_comment] = STATE(698),
    [aux_sym__terminator_repeat1] = STATE(712),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4895),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [699] = {
    [sym__block] = STATE(19435),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(699),
    [sym_line_comment] = STATE(699),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4897),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4899),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4901),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [700] = {
    [sym__block] = STATE(19435),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(700),
    [sym_line_comment] = STATE(700),
    [aux_sym__terminator_repeat1] = STATE(714),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4897),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [701] = {
    [sym__block] = STATE(19437),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(701),
    [sym_line_comment] = STATE(701),
    [aux_sym__terminator_repeat1] = STATE(715),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4903),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [702] = {
    [sym__block] = STATE(19439),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(702),
    [sym_line_comment] = STATE(702),
    [aux_sym__terminator_repeat1] = STATE(716),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4905),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [703] = {
    [sym__block] = STATE(19441),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(703),
    [sym_line_comment] = STATE(703),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4907),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [704] = {
    [sym__block] = STATE(19453),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(704),
    [sym_line_comment] = STATE(704),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4909),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [705] = {
    [sym__block] = STATE(19454),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(705),
    [sym_line_comment] = STATE(705),
    [aux_sym__terminator_repeat1] = STATE(717),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4911),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [706] = {
    [sym__block] = STATE(19453),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(706),
    [sym_line_comment] = STATE(706),
    [aux_sym__terminator_repeat1] = STATE(719),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4909),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [707] = {
    [sym__block] = STATE(19111),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(707),
    [sym_line_comment] = STATE(707),
    [aux_sym__terminator_repeat1] = STATE(801),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4889),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [708] = {
    [sym__block] = STATE(19471),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(708),
    [sym_line_comment] = STATE(708),
    [aux_sym__terminator_repeat1] = STATE(721),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4341),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [709] = {
    [sym__block] = STATE(17643),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(709),
    [sym_line_comment] = STATE(709),
    [aux_sym__terminator_repeat1] = STATE(891),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4297),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [710] = {
    [sym__block] = STATE(19475),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(710),
    [sym_line_comment] = STATE(710),
    [aux_sym__terminator_repeat1] = STATE(723),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4913),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [711] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(711),
    [sym_line_comment] = STATE(711),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(724),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4915),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [712] = {
    [sym__block] = STATE(19540),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(712),
    [sym_line_comment] = STATE(712),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4917),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [713] = {
    [sym__block] = STATE(19541),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(713),
    [sym_line_comment] = STATE(713),
    [aux_sym__terminator_repeat1] = STATE(726),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4919),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [714] = {
    [sym__block] = STATE(19541),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(714),
    [sym_line_comment] = STATE(714),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4919),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [715] = {
    [sym__block] = STATE(19545),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(715),
    [sym_line_comment] = STATE(715),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4921),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [716] = {
    [sym__block] = STATE(19547),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(716),
    [sym_line_comment] = STATE(716),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4923),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [717] = {
    [sym__block] = STATE(19550),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(717),
    [sym_line_comment] = STATE(717),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4925),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [718] = {
    [sym__block] = STATE(19550),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(718),
    [sym_line_comment] = STATE(718),
    [aux_sym__terminator_repeat1] = STATE(727),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4925),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [719] = {
    [sym__block] = STATE(19555),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(719),
    [sym_line_comment] = STATE(719),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4927),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [720] = {
    [sym__block] = STATE(19555),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(720),
    [sym_line_comment] = STATE(720),
    [aux_sym__terminator_repeat1] = STATE(728),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4927),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [721] = {
    [sym__block] = STATE(19586),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(721),
    [sym_line_comment] = STATE(721),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4929),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [722] = {
    [sym__block] = STATE(19586),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(722),
    [sym_line_comment] = STATE(722),
    [aux_sym__terminator_repeat1] = STATE(729),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4929),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [723] = {
    [sym__block] = STATE(19588),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(723),
    [sym_line_comment] = STATE(723),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4931),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [724] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(724),
    [sym_line_comment] = STATE(724),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4933),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [725] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(725),
    [sym_line_comment] = STATE(725),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(730),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4933),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [726] = {
    [sym__block] = STATE(19601),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(726),
    [sym_line_comment] = STATE(726),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4935),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [727] = {
    [sym__block] = STATE(19602),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(727),
    [sym_line_comment] = STATE(727),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4937),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [728] = {
    [sym__block] = STATE(19603),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(728),
    [sym_line_comment] = STATE(728),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4939),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [729] = {
    [sym__block] = STATE(19609),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(729),
    [sym_line_comment] = STATE(729),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4941),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [730] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(730),
    [sym_line_comment] = STATE(730),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4943),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [731] = {
    [sym__block] = STATE(19196),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(731),
    [sym_line_comment] = STATE(731),
    [aux_sym__terminator_repeat1] = STATE(824),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4359),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [732] = {
    [sym__block] = STATE(18392),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(732),
    [sym_line_comment] = STATE(732),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4399),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [733] = {
    [sym__block] = STATE(19245),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(733),
    [sym_line_comment] = STATE(733),
    [aux_sym__terminator_repeat1] = STATE(834),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4945),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [734] = {
    [sym__block] = STATE(19694),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(734),
    [sym_line_comment] = STATE(734),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4947),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4949),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4951),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [735] = {
    [sym__block] = STATE(19908),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(735),
    [sym_line_comment] = STATE(735),
    [aux_sym__terminator_repeat1] = STATE(743),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4953),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [736] = {
    [sym__block] = STATE(19912),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(736),
    [sym_line_comment] = STATE(736),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4955),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4957),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4959),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [737] = {
    [sym__block] = STATE(19932),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(737),
    [sym_line_comment] = STATE(737),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4961),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4963),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4965),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [738] = {
    [sym__block] = STATE(19935),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(738),
    [sym_line_comment] = STATE(738),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4967),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4969),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [739] = {
    [sym__block] = STATE(19938),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(739),
    [sym_line_comment] = STATE(739),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4973),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4975),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4977),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [740] = {
    [sym__block] = STATE(19939),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(740),
    [sym_line_comment] = STATE(740),
    [aux_sym__terminator_repeat1] = STATE(749),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4979),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [741] = {
    [sym__block] = STATE(19941),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(741),
    [sym_line_comment] = STATE(741),
    [aux_sym__terminator_repeat1] = STATE(750),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4981),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [742] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(742),
    [sym_line_comment] = STATE(742),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(845),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4983),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [743] = {
    [sym__block] = STATE(20005),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(743),
    [sym_line_comment] = STATE(743),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4985),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [744] = {
    [sym__block] = STATE(20006),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(744),
    [sym_line_comment] = STATE(744),
    [aux_sym__terminator_repeat1] = STATE(756),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4987),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [745] = {
    [sym__block] = STATE(20023),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(745),
    [sym_line_comment] = STATE(745),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4989),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(4991),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(4993),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [746] = {
    [sym__block] = STATE(20023),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(746),
    [sym_line_comment] = STATE(746),
    [aux_sym__terminator_repeat1] = STATE(758),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4989),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [747] = {
    [sym__block] = STATE(20026),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(747),
    [sym_line_comment] = STATE(747),
    [aux_sym__terminator_repeat1] = STATE(759),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4995),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [748] = {
    [sym__block] = STATE(20028),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(748),
    [sym_line_comment] = STATE(748),
    [aux_sym__terminator_repeat1] = STATE(760),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4997),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [749] = {
    [sym__block] = STATE(20030),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(749),
    [sym_line_comment] = STATE(749),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4999),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [750] = {
    [sym__block] = STATE(20031),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(750),
    [sym_line_comment] = STATE(750),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5001),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [751] = {
    [sym__block] = STATE(20032),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(751),
    [sym_line_comment] = STATE(751),
    [aux_sym__terminator_repeat1] = STATE(761),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5003),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [752] = {
    [sym__block] = STATE(20031),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(752),
    [sym_line_comment] = STATE(752),
    [aux_sym__terminator_repeat1] = STATE(763),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5001),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [753] = {
    [sym__block] = STATE(20048),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(753),
    [sym_line_comment] = STATE(753),
    [aux_sym__terminator_repeat1] = STATE(765),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4291),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [754] = {
    [sym__block] = STATE(20052),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(754),
    [sym_line_comment] = STATE(754),
    [aux_sym__terminator_repeat1] = STATE(767),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5005),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [755] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(755),
    [sym_line_comment] = STATE(755),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(768),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5007),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [756] = {
    [sym__block] = STATE(20116),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(756),
    [sym_line_comment] = STATE(756),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5009),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [757] = {
    [sym__block] = STATE(20117),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(757),
    [sym_line_comment] = STATE(757),
    [aux_sym__terminator_repeat1] = STATE(770),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5011),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [758] = {
    [sym__block] = STATE(20117),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(758),
    [sym_line_comment] = STATE(758),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5011),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [759] = {
    [sym__block] = STATE(20119),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(759),
    [sym_line_comment] = STATE(759),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5013),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [760] = {
    [sym__block] = STATE(20120),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(760),
    [sym_line_comment] = STATE(760),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5015),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [761] = {
    [sym__block] = STATE(20121),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(761),
    [sym_line_comment] = STATE(761),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5017),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [762] = {
    [sym__block] = STATE(20121),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(762),
    [sym_line_comment] = STATE(762),
    [aux_sym__terminator_repeat1] = STATE(771),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5017),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [763] = {
    [sym__block] = STATE(20123),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(763),
    [sym_line_comment] = STATE(763),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5019),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [764] = {
    [sym__block] = STATE(20123),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(764),
    [sym_line_comment] = STATE(764),
    [aux_sym__terminator_repeat1] = STATE(772),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5019),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [765] = {
    [sym__block] = STATE(20133),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(765),
    [sym_line_comment] = STATE(765),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5021),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [766] = {
    [sym__block] = STATE(20133),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(766),
    [sym_line_comment] = STATE(766),
    [aux_sym__terminator_repeat1] = STATE(773),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5021),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [767] = {
    [sym__block] = STATE(20135),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(767),
    [sym_line_comment] = STATE(767),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5023),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [768] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(768),
    [sym_line_comment] = STATE(768),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5025),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [769] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(769),
    [sym_line_comment] = STATE(769),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(774),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5025),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [770] = {
    [sym__block] = STATE(20147),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(770),
    [sym_line_comment] = STATE(770),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5027),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [771] = {
    [sym__block] = STATE(20148),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(771),
    [sym_line_comment] = STATE(771),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5029),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [772] = {
    [sym__block] = STATE(20154),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(772),
    [sym_line_comment] = STATE(772),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5031),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [773] = {
    [sym__block] = STATE(20160),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(773),
    [sym_line_comment] = STATE(773),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5033),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [774] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(774),
    [sym_line_comment] = STATE(774),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5035),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [775] = {
    [sym__block] = STATE(19709),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(775),
    [sym_line_comment] = STATE(775),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5037),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [776] = {
    [sym__block] = STATE(19721),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(776),
    [sym_line_comment] = STATE(776),
    [aux_sym__terminator_repeat1] = STATE(868),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5039),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [777] = {
    [sym__block] = STATE(19721),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(777),
    [sym_line_comment] = STATE(777),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5039),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [778] = {
    [sym__block] = STATE(20318),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(778),
    [sym_line_comment] = STATE(778),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5041),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5043),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5045),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [779] = {
    [sym__block] = STATE(19065),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(779),
    [sym_line_comment] = STATE(779),
    [aux_sym__terminator_repeat1] = STATE(789),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5047),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [780] = {
    [sym__block] = STATE(19468),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(780),
    [sym_line_comment] = STATE(780),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5049),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5051),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [781] = {
    [sym__block] = STATE(19930),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(781),
    [sym_line_comment] = STATE(781),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5055),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5057),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5059),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [782] = {
    [sym__block] = STATE(20339),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(782),
    [sym_line_comment] = STATE(782),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5061),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5063),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5065),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [783] = {
    [sym__block] = STATE(19704),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(783),
    [sym_line_comment] = STATE(783),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5067),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5069),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5071),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [784] = {
    [sym__block] = STATE(18972),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(784),
    [sym_line_comment] = STATE(784),
    [aux_sym__terminator_repeat1] = STATE(795),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5073),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [785] = {
    [sym__block] = STATE(19185),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(785),
    [sym_line_comment] = STATE(785),
    [aux_sym__terminator_repeat1] = STATE(796),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5075),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [786] = {
    [sym__block] = STATE(19730),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(786),
    [sym_line_comment] = STATE(786),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5077),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [787] = {
    [sym__block] = STATE(19736),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(787),
    [sym_line_comment] = STATE(787),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5079),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [788] = {
    [sym__block] = STATE(19794),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(788),
    [sym_line_comment] = STATE(788),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5081),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [789] = {
    [sym__block] = STATE(20331),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(789),
    [sym_line_comment] = STATE(789),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5083),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [790] = {
    [sym__block] = STATE(19277),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(790),
    [sym_line_comment] = STATE(790),
    [aux_sym__terminator_repeat1] = STATE(804),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5085),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [791] = {
    [sym__block] = STATE(19875),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(791),
    [sym_line_comment] = STATE(791),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5087),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5089),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [792] = {
    [sym__block] = STATE(19875),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(792),
    [sym_line_comment] = STATE(792),
    [aux_sym__terminator_repeat1] = STATE(806),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5087),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [793] = {
    [sym__block] = STATE(19972),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(793),
    [sym_line_comment] = STATE(793),
    [aux_sym__terminator_repeat1] = STATE(807),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5093),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [794] = {
    [sym__block] = STATE(20124),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(794),
    [sym_line_comment] = STATE(794),
    [aux_sym__terminator_repeat1] = STATE(808),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5095),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [795] = {
    [sym__block] = STATE(20168),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(795),
    [sym_line_comment] = STATE(795),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5097),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [796] = {
    [sym__block] = STATE(19617),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(796),
    [sym_line_comment] = STATE(796),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5099),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [797] = {
    [sym__block] = STATE(19904),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(797),
    [sym_line_comment] = STATE(797),
    [aux_sym__terminator_repeat1] = STATE(809),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5101),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [798] = {
    [sym__block] = STATE(19617),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(798),
    [sym_line_comment] = STATE(798),
    [aux_sym__terminator_repeat1] = STATE(811),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5099),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [799] = {
    [sym__block] = STATE(19794),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(799),
    [sym_line_comment] = STATE(799),
    [aux_sym__terminator_repeat1] = STATE(869),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5081),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [800] = {
    [sym__block] = STATE(19511),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(800),
    [sym_line_comment] = STATE(800),
    [aux_sym__terminator_repeat1] = STATE(814),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4353),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [801] = {
    [sym__block] = STATE(19798),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(801),
    [sym_line_comment] = STATE(801),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5103),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [802] = {
    [sym__block] = STATE(18999),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(802),
    [sym_line_comment] = STATE(802),
    [aux_sym__terminator_repeat1] = STATE(816),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5105),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [803] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(803),
    [sym_line_comment] = STATE(803),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(817),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5107),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [804] = {
    [sym__block] = STATE(19793),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(804),
    [sym_line_comment] = STATE(804),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5109),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [805] = {
    [sym__block] = STATE(19830),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(805),
    [sym_line_comment] = STATE(805),
    [aux_sym__terminator_repeat1] = STATE(819),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5111),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [806] = {
    [sym__block] = STATE(19830),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(806),
    [sym_line_comment] = STATE(806),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5111),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [807] = {
    [sym__block] = STATE(19890),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(807),
    [sym_line_comment] = STATE(807),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5113),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [808] = {
    [sym__block] = STATE(19915),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(808),
    [sym_line_comment] = STATE(808),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5115),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [809] = {
    [sym__block] = STATE(19448),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(809),
    [sym_line_comment] = STATE(809),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5117),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [810] = {
    [sym__block] = STATE(19448),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(810),
    [sym_line_comment] = STATE(810),
    [aux_sym__terminator_repeat1] = STATE(820),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5117),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [811] = {
    [sym__block] = STATE(18961),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(811),
    [sym_line_comment] = STATE(811),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5119),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [812] = {
    [sym__block] = STATE(18961),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(812),
    [sym_line_comment] = STATE(812),
    [aux_sym__terminator_repeat1] = STATE(821),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5119),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [813] = {
    [sym__block] = STATE(19798),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(813),
    [sym_line_comment] = STATE(813),
    [aux_sym__terminator_repeat1] = STATE(870),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5103),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [814] = {
    [sym__block] = STATE(19149),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(814),
    [sym_line_comment] = STATE(814),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5121),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [815] = {
    [sym__block] = STATE(19149),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(815),
    [sym_line_comment] = STATE(815),
    [aux_sym__terminator_repeat1] = STATE(822),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5121),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [816] = {
    [sym__block] = STATE(19187),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(816),
    [sym_line_comment] = STATE(816),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5123),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [817] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(817),
    [sym_line_comment] = STATE(817),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5125),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [818] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(818),
    [sym_line_comment] = STATE(818),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(823),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5125),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [819] = {
    [sym__block] = STATE(19534),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(819),
    [sym_line_comment] = STATE(819),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5127),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [820] = {
    [sym__block] = STATE(19537),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(820),
    [sym_line_comment] = STATE(820),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5129),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [821] = {
    [sym__block] = STATE(19538),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(821),
    [sym_line_comment] = STATE(821),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5131),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [822] = {
    [sym__block] = STATE(19596),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(822),
    [sym_line_comment] = STATE(822),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5133),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [823] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(823),
    [sym_line_comment] = STATE(823),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5135),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [824] = {
    [sym__block] = STATE(19855),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(824),
    [sym_line_comment] = STATE(824),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5137),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [825] = {
    [sym__block] = STATE(19529),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(825),
    [sym_line_comment] = STATE(825),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5139),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5141),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5143),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [826] = {
    [sym__block] = STATE(19085),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(826),
    [sym_line_comment] = STATE(826),
    [aux_sym__terminator_repeat1] = STATE(835),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5145),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [827] = {
    [sym__block] = STATE(19125),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(827),
    [sym_line_comment] = STATE(827),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5147),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5149),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5151),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [828] = {
    [sym__block] = STATE(19403),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(828),
    [sym_line_comment] = STATE(828),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5153),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5155),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5157),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [829] = {
    [sym__block] = STATE(19917),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(829),
    [sym_line_comment] = STATE(829),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5159),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5161),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5163),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [830] = {
    [sym__block] = STATE(20198),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(830),
    [sym_line_comment] = STATE(830),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5165),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5167),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5169),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [831] = {
    [sym__block] = STATE(20203),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(831),
    [sym_line_comment] = STATE(831),
    [aux_sym__terminator_repeat1] = STATE(841),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5171),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [832] = {
    [sym__block] = STATE(20215),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(832),
    [sym_line_comment] = STATE(832),
    [aux_sym__terminator_repeat1] = STATE(842),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5173),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [833] = {
    [sym__block] = STATE(19855),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(833),
    [sym_line_comment] = STATE(833),
    [aux_sym__terminator_repeat1] = STATE(879),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5137),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [834] = {
    [sym__block] = STATE(19859),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(834),
    [sym_line_comment] = STATE(834),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5175),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [835] = {
    [sym__block] = STATE(19926),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(835),
    [sym_line_comment] = STATE(835),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5177),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [836] = {
    [sym__block] = STATE(20259),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(836),
    [sym_line_comment] = STATE(836),
    [aux_sym__terminator_repeat1] = STATE(850),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5179),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [837] = {
    [sym__block] = STATE(19298),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(837),
    [sym_line_comment] = STATE(837),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5181),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5183),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5185),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [838] = {
    [sym__block] = STATE(19298),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(838),
    [sym_line_comment] = STATE(838),
    [aux_sym__terminator_repeat1] = STATE(852),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5181),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [839] = {
    [sym__block] = STATE(19898),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(839),
    [sym_line_comment] = STATE(839),
    [aux_sym__terminator_repeat1] = STATE(853),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5187),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [840] = {
    [sym__block] = STATE(19987),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(840),
    [sym_line_comment] = STATE(840),
    [aux_sym__terminator_repeat1] = STATE(854),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5189),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [841] = {
    [sym__block] = STATE(20204),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(841),
    [sym_line_comment] = STATE(841),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5191),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [842] = {
    [sym__block] = STATE(20225),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(842),
    [sym_line_comment] = STATE(842),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5193),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [843] = {
    [sym__block] = STATE(20243),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(843),
    [sym_line_comment] = STATE(843),
    [aux_sym__terminator_repeat1] = STATE(855),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5195),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [844] = {
    [sym__block] = STATE(20225),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(844),
    [sym_line_comment] = STATE(844),
    [aux_sym__terminator_repeat1] = STATE(857),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5193),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [845] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(845),
    [sym_line_comment] = STATE(845),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5197),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [846] = {
    [sym__block] = STATE(19062),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(846),
    [sym_line_comment] = STATE(846),
    [aux_sym__terminator_repeat1] = STATE(859),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4241),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [847] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(847),
    [sym_line_comment] = STATE(847),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(880),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5197),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [848] = {
    [sym__block] = STATE(19387),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(848),
    [sym_line_comment] = STATE(848),
    [aux_sym__terminator_repeat1] = STATE(861),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5199),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [849] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(849),
    [sym_line_comment] = STATE(849),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(862),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5201),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [850] = {
    [sym__block] = STATE(19321),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(850),
    [sym_line_comment] = STATE(850),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5203),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [851] = {
    [sym__block] = STATE(19356),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(851),
    [sym_line_comment] = STATE(851),
    [aux_sym__terminator_repeat1] = STATE(516),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5205),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [852] = {
    [sym__block] = STATE(19356),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(852),
    [sym_line_comment] = STATE(852),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5205),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [853] = {
    [sym__block] = STATE(19376),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(853),
    [sym_line_comment] = STATE(853),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5207),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [854] = {
    [sym__block] = STATE(19395),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(854),
    [sym_line_comment] = STATE(854),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5209),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [855] = {
    [sym__block] = STATE(19404),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(855),
    [sym_line_comment] = STATE(855),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5211),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [856] = {
    [sym__block] = STATE(19404),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(856),
    [sym_line_comment] = STATE(856),
    [aux_sym__terminator_repeat1] = STATE(864),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5211),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [857] = {
    [sym__block] = STATE(19494),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(857),
    [sym_line_comment] = STATE(857),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5213),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [858] = {
    [sym__block] = STATE(19494),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(858),
    [sym_line_comment] = STATE(858),
    [aux_sym__terminator_repeat1] = STATE(865),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5213),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [859] = {
    [sym__block] = STATE(19259),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(859),
    [sym_line_comment] = STATE(859),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5215),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [860] = {
    [sym__block] = STATE(19259),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(860),
    [sym_line_comment] = STATE(860),
    [aux_sym__terminator_repeat1] = STATE(866),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5215),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [861] = {
    [sym__block] = STATE(19415),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(861),
    [sym_line_comment] = STATE(861),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5217),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [862] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(862),
    [sym_line_comment] = STATE(862),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5219),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [863] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(863),
    [sym_line_comment] = STATE(863),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(867),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5219),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [864] = {
    [sym__block] = STATE(19911),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(864),
    [sym_line_comment] = STATE(864),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5221),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [865] = {
    [sym__block] = STATE(20066),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(865),
    [sym_line_comment] = STATE(865),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5223),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [866] = {
    [sym__block] = STATE(20263),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(866),
    [sym_line_comment] = STATE(866),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5225),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [867] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(867),
    [sym_line_comment] = STATE(867),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5227),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [868] = {
    [sym__block] = STATE(20178),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(868),
    [sym_line_comment] = STATE(868),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5229),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [869] = {
    [sym__block] = STATE(20187),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(869),
    [sym_line_comment] = STATE(869),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5231),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [870] = {
    [sym__block] = STATE(20199),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(870),
    [sym_line_comment] = STATE(870),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5233),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [871] = {
    [sym__block] = STATE(18805),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(871),
    [sym_line_comment] = STATE(871),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5235),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5237),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5239),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [872] = {
    [sym__block] = STATE(19755),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(872),
    [sym_line_comment] = STATE(872),
    [aux_sym__terminator_repeat1] = STATE(881),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5241),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [873] = {
    [sym__block] = STATE(19805),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(873),
    [sym_line_comment] = STATE(873),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5243),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5245),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [874] = {
    [sym__block] = STATE(20197),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(874),
    [sym_line_comment] = STATE(874),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5249),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5251),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5253),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [875] = {
    [sym__block] = STATE(18843),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(875),
    [sym_line_comment] = STATE(875),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5255),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5257),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5259),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [876] = {
    [sym__block] = STATE(20166),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(876),
    [sym_line_comment] = STATE(876),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5261),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5263),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [877] = {
    [sym__block] = STATE(18914),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(877),
    [sym_line_comment] = STATE(877),
    [aux_sym__terminator_repeat1] = STATE(887),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5267),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [878] = {
    [sym__block] = STATE(19450),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(878),
    [sym_line_comment] = STATE(878),
    [aux_sym__terminator_repeat1] = STATE(888),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5269),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [879] = {
    [sym__block] = STATE(20315),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(879),
    [sym_line_comment] = STATE(879),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5271),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [880] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(880),
    [sym_line_comment] = STATE(880),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5273),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [881] = {
    [sym__block] = STATE(19030),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(881),
    [sym_line_comment] = STATE(881),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5275),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [882] = {
    [sym__block] = STATE(19032),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(882),
    [sym_line_comment] = STATE(882),
    [aux_sym__terminator_repeat1] = STATE(896),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5277),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [883] = {
    [sym__block] = STATE(19053),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(883),
    [sym_line_comment] = STATE(883),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5279),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5281),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5283),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [884] = {
    [sym__block] = STATE(19053),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(884),
    [sym_line_comment] = STATE(884),
    [aux_sym__terminator_repeat1] = STATE(898),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5279),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [885] = {
    [sym__block] = STATE(19081),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(885),
    [sym_line_comment] = STATE(885),
    [aux_sym__terminator_repeat1] = STATE(899),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5285),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [886] = {
    [sym__block] = STATE(19087),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(886),
    [sym_line_comment] = STATE(886),
    [aux_sym__terminator_repeat1] = STATE(900),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5287),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [887] = {
    [sym__block] = STATE(19096),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(887),
    [sym_line_comment] = STATE(887),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5289),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [888] = {
    [sym__block] = STATE(19097),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(888),
    [sym_line_comment] = STATE(888),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5291),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [889] = {
    [sym__block] = STATE(19104),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(889),
    [sym_line_comment] = STATE(889),
    [aux_sym__terminator_repeat1] = STATE(901),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5293),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [890] = {
    [sym__block] = STATE(19097),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(890),
    [sym_line_comment] = STATE(890),
    [aux_sym__terminator_repeat1] = STATE(903),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5291),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [891] = {
    [sym__block] = STATE(17744),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(891),
    [sym_line_comment] = STATE(891),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4217),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [892] = {
    [sym__block] = STATE(19148),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(892),
    [sym_line_comment] = STATE(892),
    [aux_sym__terminator_repeat1] = STATE(906),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4273),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [893] = {
    [sym__block] = STATE(18879),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(893),
    [sym_line_comment] = STATE(893),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5295),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5297),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5299),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [894] = {
    [sym__block] = STATE(19154),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(894),
    [sym_line_comment] = STATE(894),
    [aux_sym__terminator_repeat1] = STATE(908),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5301),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [895] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(895),
    [sym_line_comment] = STATE(895),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(909),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5303),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [896] = {
    [sym__block] = STATE(19309),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(896),
    [sym_line_comment] = STATE(896),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5305),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [897] = {
    [sym__block] = STATE(19322),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(897),
    [sym_line_comment] = STATE(897),
    [aux_sym__terminator_repeat1] = STATE(911),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5307),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [898] = {
    [sym__block] = STATE(19322),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(898),
    [sym_line_comment] = STATE(898),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5307),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [899] = {
    [sym__block] = STATE(19329),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(899),
    [sym_line_comment] = STATE(899),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5309),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [900] = {
    [sym__block] = STATE(19330),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(900),
    [sym_line_comment] = STATE(900),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5311),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [901] = {
    [sym__block] = STATE(19331),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(901),
    [sym_line_comment] = STATE(901),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5313),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [902] = {
    [sym__block] = STATE(19331),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(902),
    [sym_line_comment] = STATE(902),
    [aux_sym__terminator_repeat1] = STATE(912),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5313),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [903] = {
    [sym__block] = STATE(19335),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(903),
    [sym_line_comment] = STATE(903),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5315),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [904] = {
    [sym__block] = STATE(19335),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(904),
    [sym_line_comment] = STATE(904),
    [aux_sym__terminator_repeat1] = STATE(913),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5315),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [905] = {
    [sym__block] = STATE(19622),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(905),
    [sym_line_comment] = STATE(905),
    [aux_sym__terminator_repeat1] = STATE(1158),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4329),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [906] = {
    [sym__block] = STATE(19350),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(906),
    [sym_line_comment] = STATE(906),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5317),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [907] = {
    [sym__block] = STATE(19350),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(907),
    [sym_line_comment] = STATE(907),
    [aux_sym__terminator_repeat1] = STATE(914),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5317),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [908] = {
    [sym__block] = STATE(19355),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(908),
    [sym_line_comment] = STATE(908),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5319),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [909] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(909),
    [sym_line_comment] = STATE(909),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5321),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [910] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(910),
    [sym_line_comment] = STATE(910),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(915),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5321),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [911] = {
    [sym__block] = STATE(19445),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(911),
    [sym_line_comment] = STATE(911),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5323),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [912] = {
    [sym__block] = STATE(19451),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(912),
    [sym_line_comment] = STATE(912),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5325),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [913] = {
    [sym__block] = STATE(19459),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(913),
    [sym_line_comment] = STATE(913),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5327),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [914] = {
    [sym__block] = STATE(19480),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(914),
    [sym_line_comment] = STATE(914),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5329),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [915] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(915),
    [sym_line_comment] = STATE(915),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5331),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [916] = {
    [sym__block] = STATE(19199),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(916),
    [sym_line_comment] = STATE(916),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5333),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [917] = {
    [sym_open_tuple] = STATE(15525),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13171),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(917),
    [sym_line_comment] = STATE(917),
    [aux_sym__terminator_repeat1] = STATE(937),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4387),
    [anon_sym_finally] = ACTIONS(4387),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [918] = {
    [sym__block] = STATE(19679),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(918),
    [sym_line_comment] = STATE(918),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5335),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5337),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5339),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [919] = {
    [sym__block] = STATE(19792),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(919),
    [sym_line_comment] = STATE(919),
    [aux_sym__terminator_repeat1] = STATE(927),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5341),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [920] = {
    [sym__block] = STATE(19801),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(920),
    [sym_line_comment] = STATE(920),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5343),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5345),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5347),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [921] = {
    [sym__block] = STATE(19818),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(921),
    [sym_line_comment] = STATE(921),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5349),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5351),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [922] = {
    [sym__block] = STATE(19827),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(922),
    [sym_line_comment] = STATE(922),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5355),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5357),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5359),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [923] = {
    [sym__block] = STATE(19834),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(923),
    [sym_line_comment] = STATE(923),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5361),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5363),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [924] = {
    [sym__block] = STATE(19836),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(924),
    [sym_line_comment] = STATE(924),
    [aux_sym__terminator_repeat1] = STATE(933),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5367),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [925] = {
    [sym__block] = STATE(19853),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(925),
    [sym_line_comment] = STATE(925),
    [aux_sym__terminator_repeat1] = STATE(934),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5369),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [926] = {
    [sym__block] = STATE(19690),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(926),
    [sym_line_comment] = STATE(926),
    [aux_sym__terminator_repeat1] = STATE(1185),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5371),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [927] = {
    [sym__block] = STATE(20253),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(927),
    [sym_line_comment] = STATE(927),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5373),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [928] = {
    [sym__block] = STATE(20256),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(928),
    [sym_line_comment] = STATE(928),
    [aux_sym__terminator_repeat1] = STATE(942),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5375),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [929] = {
    [sym__block] = STATE(20271),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(929),
    [sym_line_comment] = STATE(929),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5377),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5379),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [930] = {
    [sym__block] = STATE(20271),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(930),
    [sym_line_comment] = STATE(930),
    [aux_sym__terminator_repeat1] = STATE(944),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5377),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [931] = {
    [sym__block] = STATE(20310),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(931),
    [sym_line_comment] = STATE(931),
    [aux_sym__terminator_repeat1] = STATE(945),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5383),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [932] = {
    [sym__block] = STATE(20109),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(932),
    [sym_line_comment] = STATE(932),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5385),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [933] = {
    [sym__block] = STATE(20329),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(933),
    [sym_line_comment] = STATE(933),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5387),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [934] = {
    [sym__block] = STATE(20330),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(934),
    [sym_line_comment] = STATE(934),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5389),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [935] = {
    [sym__block] = STATE(20336),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(935),
    [sym_line_comment] = STATE(935),
    [aux_sym__terminator_repeat1] = STATE(947),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5391),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [936] = {
    [sym__block] = STATE(20330),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(936),
    [sym_line_comment] = STATE(936),
    [aux_sym__terminator_repeat1] = STATE(949),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5389),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [937] = {
    [sym_open_tuple] = STATE(15511),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(13388),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(937),
    [sym_line_comment] = STATE(937),
    [aux_sym__terminator_repeat1] = STATE(10008),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4395),
    [anon_sym_finally] = ACTIONS(4395),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [938] = {
    [sym_open_tuple] = STATE(15525),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13171),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(938),
    [sym_line_comment] = STATE(938),
    [aux_sym__terminator_repeat1] = STATE(962),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4395),
    [anon_sym_finally] = ACTIONS(4395),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [939] = {
    [sym__block] = STATE(20218),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(939),
    [sym_line_comment] = STATE(939),
    [aux_sym__terminator_repeat1] = STATE(951),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4311),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [940] = {
    [sym__block] = STATE(19455),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(940),
    [sym_line_comment] = STATE(940),
    [aux_sym__terminator_repeat1] = STATE(953),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5393),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [941] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(941),
    [sym_line_comment] = STATE(941),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(954),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [942] = {
    [sym__block] = STATE(19743),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(942),
    [sym_line_comment] = STATE(942),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5397),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [943] = {
    [sym__block] = STATE(19871),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(943),
    [sym_line_comment] = STATE(943),
    [aux_sym__terminator_repeat1] = STATE(956),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5399),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [944] = {
    [sym__block] = STATE(19871),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(944),
    [sym_line_comment] = STATE(944),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5399),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [945] = {
    [sym__block] = STATE(20001),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(945),
    [sym_line_comment] = STATE(945),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5401),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [946] = {
    [sym__block] = STATE(20002),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(946),
    [sym_line_comment] = STATE(946),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5403),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [947] = {
    [sym__block] = STATE(20190),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(947),
    [sym_line_comment] = STATE(947),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5405),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [948] = {
    [sym__block] = STATE(20190),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(948),
    [sym_line_comment] = STATE(948),
    [aux_sym__terminator_repeat1] = STATE(957),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5405),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [949] = {
    [sym__block] = STATE(20321),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(949),
    [sym_line_comment] = STATE(949),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5407),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [950] = {
    [sym__block] = STATE(20321),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(950),
    [sym_line_comment] = STATE(950),
    [aux_sym__terminator_repeat1] = STATE(958),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5407),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [951] = {
    [sym__block] = STATE(18822),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(951),
    [sym_line_comment] = STATE(951),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5409),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [952] = {
    [sym__block] = STATE(18822),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(952),
    [sym_line_comment] = STATE(952),
    [aux_sym__terminator_repeat1] = STATE(959),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5409),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [953] = {
    [sym__block] = STATE(19195),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(953),
    [sym_line_comment] = STATE(953),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5411),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [954] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(954),
    [sym_line_comment] = STATE(954),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5413),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [955] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(955),
    [sym_line_comment] = STATE(955),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(960),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5413),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [956] = {
    [sym__block] = STATE(19047),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(956),
    [sym_line_comment] = STATE(956),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5415),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [957] = {
    [sym__block] = STATE(19099),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(957),
    [sym_line_comment] = STATE(957),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5417),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [958] = {
    [sym__block] = STATE(19206),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(958),
    [sym_line_comment] = STATE(958),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5419),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [959] = {
    [sym__block] = STATE(19400),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(959),
    [sym_line_comment] = STATE(959),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5421),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [960] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(960),
    [sym_line_comment] = STATE(960),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5423),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [961] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(961),
    [sym_line_comment] = STATE(961),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1187),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5425),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [962] = {
    [sym_open_tuple] = STATE(15511),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(13388),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(962),
    [sym_line_comment] = STATE(962),
    [aux_sym__terminator_repeat1] = STATE(10008),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4397),
    [anon_sym_finally] = ACTIONS(4397),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [963] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(963),
    [sym_line_comment] = STATE(963),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(964),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5427),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [964] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(964),
    [sym_line_comment] = STATE(964),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5429),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [965] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(965),
    [sym_line_comment] = STATE(965),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(966),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5429),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [966] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(966),
    [sym_line_comment] = STATE(966),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5431),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [967] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(967),
    [sym_line_comment] = STATE(967),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(968),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5433),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [968] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(968),
    [sym_line_comment] = STATE(968),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5435),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [969] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(969),
    [sym_line_comment] = STATE(969),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(970),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5435),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [970] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(970),
    [sym_line_comment] = STATE(970),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5437),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [971] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(971),
    [sym_line_comment] = STATE(971),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(972),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [972] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(972),
    [sym_line_comment] = STATE(972),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5441),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [973] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(973),
    [sym_line_comment] = STATE(973),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(974),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5441),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [974] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(974),
    [sym_line_comment] = STATE(974),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5443),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [975] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(975),
    [sym_line_comment] = STATE(975),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(976),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5445),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [976] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(976),
    [sym_line_comment] = STATE(976),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5447),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [977] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(977),
    [sym_line_comment] = STATE(977),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(978),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5447),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [978] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(978),
    [sym_line_comment] = STATE(978),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5449),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [979] = {
    [sym__block] = STATE(19205),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(979),
    [sym_line_comment] = STATE(979),
    [aux_sym__terminator_repeat1] = STATE(1017),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5451),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [980] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(980),
    [sym_line_comment] = STATE(980),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(981),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5453),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [981] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(981),
    [sym_line_comment] = STATE(981),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5455),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [982] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(982),
    [sym_line_comment] = STATE(982),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(983),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5455),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [983] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(983),
    [sym_line_comment] = STATE(983),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [984] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(984),
    [sym_line_comment] = STATE(984),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(985),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5459),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [985] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(985),
    [sym_line_comment] = STATE(985),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5461),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [986] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(986),
    [sym_line_comment] = STATE(986),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(987),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5461),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [987] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(987),
    [sym_line_comment] = STATE(987),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5463),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [988] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(988),
    [sym_line_comment] = STATE(988),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(989),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5465),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [989] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(989),
    [sym_line_comment] = STATE(989),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5467),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [990] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(990),
    [sym_line_comment] = STATE(990),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(991),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5467),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [991] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(991),
    [sym_line_comment] = STATE(991),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5469),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [992] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(992),
    [sym_line_comment] = STATE(992),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(993),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [993] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(993),
    [sym_line_comment] = STATE(993),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5473),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [994] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(994),
    [sym_line_comment] = STATE(994),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(995),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5473),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [995] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(995),
    [sym_line_comment] = STATE(995),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5475),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [996] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(996),
    [sym_line_comment] = STATE(996),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(997),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5477),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [997] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(997),
    [sym_line_comment] = STATE(997),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5479),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [998] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(998),
    [sym_line_comment] = STATE(998),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(999),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5479),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [999] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(999),
    [sym_line_comment] = STATE(999),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5481),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1000] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1000),
    [sym_line_comment] = STATE(1000),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1001),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5483),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1001] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1001),
    [sym_line_comment] = STATE(1001),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5485),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1002] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1002),
    [sym_line_comment] = STATE(1002),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1003),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5485),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1003] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1003),
    [sym_line_comment] = STATE(1003),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5487),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1004] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1004),
    [sym_line_comment] = STATE(1004),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5489),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1005] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1005),
    [sym_line_comment] = STATE(1005),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5491),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1006] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1006),
    [sym_line_comment] = STATE(1006),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1007),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5491),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1007] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1007),
    [sym_line_comment] = STATE(1007),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5493),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1008] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1008),
    [sym_line_comment] = STATE(1008),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1009),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5495),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1009] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1009),
    [sym_line_comment] = STATE(1009),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5497),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1010] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1010),
    [sym_line_comment] = STATE(1010),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1011),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5497),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1011] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1011),
    [sym_line_comment] = STATE(1011),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5499),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1012] = {
    [sym__block] = STATE(19505),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1012),
    [sym_line_comment] = STATE(1012),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5501),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5503),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5505),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1013] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1013),
    [sym_line_comment] = STATE(1013),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1014),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5507),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1014] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1014),
    [sym_line_comment] = STATE(1014),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5509),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1015] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1015),
    [sym_line_comment] = STATE(1015),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1016),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5509),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1016] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1016),
    [sym_line_comment] = STATE(1016),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5511),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1017] = {
    [sym__block] = STATE(19001),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1017),
    [sym_line_comment] = STATE(1017),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5513),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1018] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1018),
    [sym_line_comment] = STATE(1018),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1019),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5515),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1019] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1019),
    [sym_line_comment] = STATE(1019),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5517),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1020] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1020),
    [sym_line_comment] = STATE(1020),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1021),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5517),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1021] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1021),
    [sym_line_comment] = STATE(1021),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5519),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1022] = {
    [sym__block] = STATE(18968),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1022),
    [sym_line_comment] = STATE(1022),
    [aux_sym__terminator_repeat1] = STATE(1200),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5521),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1023] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1023),
    [sym_line_comment] = STATE(1023),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1024),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5523),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1024] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1024),
    [sym_line_comment] = STATE(1024),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5525),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1025] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1025),
    [sym_line_comment] = STATE(1025),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1026),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5525),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1026] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1026),
    [sym_line_comment] = STATE(1026),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5527),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1027] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1027),
    [sym_line_comment] = STATE(1027),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1028),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5529),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1028] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1028),
    [sym_line_comment] = STATE(1028),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5531),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1029] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1029),
    [sym_line_comment] = STATE(1029),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1030),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5531),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1030] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1030),
    [sym_line_comment] = STATE(1030),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5533),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1031] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1031),
    [sym_line_comment] = STATE(1031),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1032),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5535),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1032] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1032),
    [sym_line_comment] = STATE(1032),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5537),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1033] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1033),
    [sym_line_comment] = STATE(1033),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1034),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5537),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1034] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1034),
    [sym_line_comment] = STATE(1034),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5539),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1035] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1035),
    [sym_line_comment] = STATE(1035),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1036),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5541),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1036] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1036),
    [sym_line_comment] = STATE(1036),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5543),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1037] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1037),
    [sym_line_comment] = STATE(1037),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1038),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5543),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1038] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1038),
    [sym_line_comment] = STATE(1038),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5545),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1039] = {
    [sym__block] = STATE(18968),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1039),
    [sym_line_comment] = STATE(1039),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5521),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1040] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1040),
    [sym_line_comment] = STATE(1040),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1041),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5547),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1041] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1041),
    [sym_line_comment] = STATE(1041),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5549),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1042] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1042),
    [sym_line_comment] = STATE(1042),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1043),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5549),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1043] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1043),
    [sym_line_comment] = STATE(1043),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5551),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1044] = {
    [sym__block] = STATE(20174),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1044),
    [sym_line_comment] = STATE(1044),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5553),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1045] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1045),
    [sym_line_comment] = STATE(1045),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1046),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5555),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1046] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1046),
    [sym_line_comment] = STATE(1046),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1047] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1047),
    [sym_line_comment] = STATE(1047),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1048),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1048] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1048),
    [sym_line_comment] = STATE(1048),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5559),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1049] = {
    [sym__block] = STATE(20051),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1049),
    [sym_line_comment] = STATE(1049),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5561),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1050] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1050),
    [sym_line_comment] = STATE(1050),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1051),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5563),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1051] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1051),
    [sym_line_comment] = STATE(1051),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5565),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1052] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1052),
    [sym_line_comment] = STATE(1052),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1053),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5565),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1053] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1053),
    [sym_line_comment] = STATE(1053),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5567),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1054] = {
    [sym__block] = STATE(18851),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1054),
    [sym_line_comment] = STATE(1054),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5569),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1055] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1055),
    [sym_line_comment] = STATE(1055),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1056),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5571),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1056] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1056),
    [sym_line_comment] = STATE(1056),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5573),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1057] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1057),
    [sym_line_comment] = STATE(1057),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1058),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5573),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1058] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1058),
    [sym_line_comment] = STATE(1058),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5575),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1059] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1059),
    [sym_line_comment] = STATE(1059),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1060),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5577),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1060] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1060),
    [sym_line_comment] = STATE(1060),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5579),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1061] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1061),
    [sym_line_comment] = STATE(1061),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1062),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5579),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1062] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1062),
    [sym_line_comment] = STATE(1062),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5581),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1063] = {
    [sym__block] = STATE(18851),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1063),
    [sym_line_comment] = STATE(1063),
    [aux_sym__terminator_repeat1] = STATE(1201),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5569),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1064] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1064),
    [sym_line_comment] = STATE(1064),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1065),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5583),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1065] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1065),
    [sym_line_comment] = STATE(1065),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5585),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1066] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1066),
    [sym_line_comment] = STATE(1066),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1067),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5585),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1067] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1067),
    [sym_line_comment] = STATE(1067),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5587),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1068] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1068),
    [sym_line_comment] = STATE(1068),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1069),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5589),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1069] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1069),
    [sym_line_comment] = STATE(1069),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5591),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1070] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1070),
    [sym_line_comment] = STATE(1070),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1071),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5591),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1071] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1071),
    [sym_line_comment] = STATE(1071),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5593),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1072] = {
    [sym__block] = STATE(19349),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1072),
    [sym_line_comment] = STATE(1072),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5595),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1073] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1073),
    [sym_line_comment] = STATE(1073),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1074),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5597),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1074] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1074),
    [sym_line_comment] = STATE(1074),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5599),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1075] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1075),
    [sym_line_comment] = STATE(1075),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1076),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5599),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1076] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1076),
    [sym_line_comment] = STATE(1076),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5601),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1077] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1077),
    [sym_line_comment] = STATE(1077),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1078),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5603),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1078] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1078),
    [sym_line_comment] = STATE(1078),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5605),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1079] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1079),
    [sym_line_comment] = STATE(1079),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1080),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5605),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1080] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1080),
    [sym_line_comment] = STATE(1080),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5607),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1081] = {
    [sym__block] = STATE(19349),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1081),
    [sym_line_comment] = STATE(1081),
    [aux_sym__terminator_repeat1] = STATE(1202),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5595),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1082] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1082),
    [sym_line_comment] = STATE(1082),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1083),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5609),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1083] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1083),
    [sym_line_comment] = STATE(1083),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5611),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1084] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1084),
    [sym_line_comment] = STATE(1084),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1085),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5611),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1085] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1085),
    [sym_line_comment] = STATE(1085),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5613),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1086] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1086),
    [sym_line_comment] = STATE(1086),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1087),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5615),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1087] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1087),
    [sym_line_comment] = STATE(1087),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5617),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1088] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1088),
    [sym_line_comment] = STATE(1088),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1089),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5617),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1089] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1089),
    [sym_line_comment] = STATE(1089),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5619),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1090] = {
    [sym__block] = STATE(19505),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1090),
    [sym_line_comment] = STATE(1090),
    [aux_sym__terminator_repeat1] = STATE(1039),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5501),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1091] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1091),
    [sym_line_comment] = STATE(1091),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1092),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5621),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1092] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1092),
    [sym_line_comment] = STATE(1092),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5623),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1093] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1093),
    [sym_line_comment] = STATE(1093),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1094),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5623),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1094] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1094),
    [sym_line_comment] = STATE(1094),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5625),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1095] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1095),
    [sym_line_comment] = STATE(1095),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1096),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5627),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1096] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1096),
    [sym_line_comment] = STATE(1096),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5629),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1097] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1097),
    [sym_line_comment] = STATE(1097),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1098),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5629),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1098] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1098),
    [sym_line_comment] = STATE(1098),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5631),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1099] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1099),
    [sym_line_comment] = STATE(1099),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1100),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5633),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1100] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1100),
    [sym_line_comment] = STATE(1100),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5635),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1101] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1101),
    [sym_line_comment] = STATE(1101),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1102),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5635),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1102] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1102),
    [sym_line_comment] = STATE(1102),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5637),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1103] = {
    [sym__block] = STATE(18436),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1103),
    [sym_line_comment] = STATE(1103),
    [aux_sym__terminator_repeat1] = STATE(1215),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4407),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1104] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1104),
    [sym_line_comment] = STATE(1104),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1105),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5639),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1105] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1105),
    [sym_line_comment] = STATE(1105),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5641),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1106] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1106),
    [sym_line_comment] = STATE(1106),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1107),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5641),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1107] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1107),
    [sym_line_comment] = STATE(1107),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5643),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1108] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1108),
    [sym_line_comment] = STATE(1108),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1109),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5645),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1109] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1109),
    [sym_line_comment] = STATE(1109),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5647),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1110] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1110),
    [sym_line_comment] = STATE(1110),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1111),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5647),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1111] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1111),
    [sym_line_comment] = STATE(1111),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5649),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1112] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1112),
    [sym_line_comment] = STATE(1112),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1113),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5651),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1113] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1113),
    [sym_line_comment] = STATE(1113),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5653),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1114] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1114),
    [sym_line_comment] = STATE(1114),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1115),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5653),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1115] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1115),
    [sym_line_comment] = STATE(1115),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5655),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1116] = {
    [sym__block] = STATE(20053),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1116),
    [sym_line_comment] = STATE(1116),
    [aux_sym__terminator_repeat1] = STATE(1044),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5657),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1117] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1117),
    [sym_line_comment] = STATE(1117),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1118),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5659),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1118] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1118),
    [sym_line_comment] = STATE(1118),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5661),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1119] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1119),
    [sym_line_comment] = STATE(1119),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1120),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5661),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1120] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1120),
    [sym_line_comment] = STATE(1120),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5663),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1121] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1121),
    [sym_line_comment] = STATE(1121),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1122),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5665),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1122] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1122),
    [sym_line_comment] = STATE(1122),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5667),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1123] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1123),
    [sym_line_comment] = STATE(1123),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1124),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5667),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1124] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1124),
    [sym_line_comment] = STATE(1124),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5669),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1125] = {
    [sym_open_tuple] = STATE(15517),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13250),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10931),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13111),
    [sym_unary_expression] = STATE(13111),
    [sym_range_expression] = STATE(13111),
    [sym_splat_expression] = STATE(13111),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12796),
    [sym_unary_typed_expression] = STATE(13111),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13111),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12797),
    [sym_block_comment] = STATE(1125),
    [sym_line_comment] = STATE(1125),
    [aux_sym__terminator_repeat1] = STATE(1139),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4387),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4387),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [anon_sym_SEMI2] = ACTIONS(4385),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1126] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1126),
    [sym_line_comment] = STATE(1126),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1127),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5671),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1127] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1127),
    [sym_line_comment] = STATE(1127),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5673),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1128] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1128),
    [sym_line_comment] = STATE(1128),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1129),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5673),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1129] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1129),
    [sym_line_comment] = STATE(1129),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5675),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1130] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1130),
    [sym_line_comment] = STATE(1130),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1131),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5677),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1131] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1131),
    [sym_line_comment] = STATE(1131),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5679),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1132] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1132),
    [sym_line_comment] = STATE(1132),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1133),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5679),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1133] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1133),
    [sym_line_comment] = STATE(1133),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5681),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1134] = {
    [sym__block] = STATE(17643),
    [sym_open_tuple] = STATE(14621),
    [sym_assignment] = STATE(14662),
    [sym__expression] = STATE(12401),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(1134),
    [sym_line_comment] = STATE(1134),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(4297),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(4297),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(4297),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1135] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1135),
    [sym_line_comment] = STATE(1135),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1136),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5683),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1136] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1136),
    [sym_line_comment] = STATE(1136),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1137] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1137),
    [sym_line_comment] = STATE(1137),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1138),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1138] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1138),
    [sym_line_comment] = STATE(1138),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5687),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1139] = {
    [sym_open_tuple] = STATE(15495),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(13314),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10931),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13111),
    [sym_unary_expression] = STATE(13111),
    [sym_range_expression] = STATE(13111),
    [sym_splat_expression] = STATE(13111),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12796),
    [sym_unary_typed_expression] = STATE(13111),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13111),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12797),
    [sym_block_comment] = STATE(1139),
    [sym_line_comment] = STATE(1139),
    [aux_sym__terminator_repeat1] = STATE(10010),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4395),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4395),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [anon_sym_SEMI2] = ACTIONS(4385),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1140] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1140),
    [sym_line_comment] = STATE(1140),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1141),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5689),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1141] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1141),
    [sym_line_comment] = STATE(1141),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5691),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1142] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1142),
    [sym_line_comment] = STATE(1142),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1143),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5691),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1143] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1143),
    [sym_line_comment] = STATE(1143),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5693),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1144] = {
    [sym_open_tuple] = STATE(15517),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13250),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10931),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13111),
    [sym_unary_expression] = STATE(13111),
    [sym_range_expression] = STATE(13111),
    [sym_splat_expression] = STATE(13111),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12796),
    [sym_unary_typed_expression] = STATE(13111),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13111),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12797),
    [sym_block_comment] = STATE(1144),
    [sym_line_comment] = STATE(1144),
    [aux_sym__terminator_repeat1] = STATE(1163),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4395),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4395),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [anon_sym_SEMI2] = ACTIONS(4385),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1145] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1145),
    [sym_line_comment] = STATE(1145),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1146),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5695),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1146] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1146),
    [sym_line_comment] = STATE(1146),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5697),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1147] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1147),
    [sym_line_comment] = STATE(1147),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1148),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5697),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1148] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1148),
    [sym_line_comment] = STATE(1148),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5699),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1149] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1149),
    [sym_line_comment] = STATE(1149),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1150),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5701),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1150] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1150),
    [sym_line_comment] = STATE(1150),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5703),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1151] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1151),
    [sym_line_comment] = STATE(1151),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1152),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5703),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1152] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1152),
    [sym_line_comment] = STATE(1152),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5705),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1153] = {
    [sym__block] = STATE(18974),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1153),
    [sym_line_comment] = STATE(1153),
    [aux_sym__terminator_repeat1] = STATE(1049),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5707),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1154] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1154),
    [sym_line_comment] = STATE(1154),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1155),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5709),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1155] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1155),
    [sym_line_comment] = STATE(1155),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5711),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1156] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1156),
    [sym_line_comment] = STATE(1156),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1157),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5711),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1157] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1157),
    [sym_line_comment] = STATE(1157),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5713),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1158] = {
    [sym__block] = STATE(19013),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1158),
    [sym_line_comment] = STATE(1158),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5715),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1159] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1159),
    [sym_line_comment] = STATE(1159),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1160),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5717),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1160] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1160),
    [sym_line_comment] = STATE(1160),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5719),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1161] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1161),
    [sym_line_comment] = STATE(1161),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1162),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5719),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1162] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1162),
    [sym_line_comment] = STATE(1162),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5721),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1163] = {
    [sym_open_tuple] = STATE(15495),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(13314),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10931),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13111),
    [sym_unary_expression] = STATE(13111),
    [sym_range_expression] = STATE(13111),
    [sym_splat_expression] = STATE(13111),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12796),
    [sym_unary_typed_expression] = STATE(13111),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13111),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12797),
    [sym_block_comment] = STATE(1163),
    [sym_line_comment] = STATE(1163),
    [aux_sym__terminator_repeat1] = STATE(10010),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4397),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4397),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [anon_sym_SEMI2] = ACTIONS(4385),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1164] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1164),
    [sym_line_comment] = STATE(1164),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1165),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5723),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1165] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1165),
    [sym_line_comment] = STATE(1165),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5725),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1166] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1166),
    [sym_line_comment] = STATE(1166),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1167),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5725),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1167] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1167),
    [sym_line_comment] = STATE(1167),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5727),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1168] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1168),
    [sym_line_comment] = STATE(1168),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1169),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5729),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1169] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1169),
    [sym_line_comment] = STATE(1169),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5731),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1170] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1170),
    [sym_line_comment] = STATE(1170),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1171),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5731),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1171] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1171),
    [sym_line_comment] = STATE(1171),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5733),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1172] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1172),
    [sym_line_comment] = STATE(1172),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1173),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5735),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1173] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1173),
    [sym_line_comment] = STATE(1173),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5737),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1174] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1174),
    [sym_line_comment] = STATE(1174),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1175),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5737),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1175] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1175),
    [sym_line_comment] = STATE(1175),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5739),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1176] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1176),
    [sym_line_comment] = STATE(1176),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1177),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5741),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1177] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1177),
    [sym_line_comment] = STATE(1177),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5743),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1178] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1178),
    [sym_line_comment] = STATE(1178),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1179),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5743),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1179] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1179),
    [sym_line_comment] = STATE(1179),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5745),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1180] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1180),
    [sym_line_comment] = STATE(1180),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1181),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5747),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1181] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1181),
    [sym_line_comment] = STATE(1181),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5749),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1182] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1182),
    [sym_line_comment] = STATE(1182),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1183),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5749),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1183] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1183),
    [sym_line_comment] = STATE(1183),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5751),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1184] = {
    [sym__block] = STATE(19013),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1184),
    [sym_line_comment] = STATE(1184),
    [aux_sym__terminator_repeat1] = STATE(523),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5715),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1185] = {
    [sym__block] = STATE(18959),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1185),
    [sym_line_comment] = STATE(1185),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5753),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1186] = {
    [sym_open_tuple] = STATE(15562),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13297),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10871),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13288),
    [sym_unary_expression] = STATE(13288),
    [sym_range_expression] = STATE(13288),
    [sym_splat_expression] = STATE(13288),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12742),
    [sym_unary_typed_expression] = STATE(13288),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13288),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12755),
    [sym_block_comment] = STATE(1186),
    [sym_line_comment] = STATE(1186),
    [aux_sym__terminator_repeat1] = STATE(1188),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4387),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(4387),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [anon_sym_SEMI2] = ACTIONS(4421),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1187] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1187),
    [sym_line_comment] = STATE(1187),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5755),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1188] = {
    [sym_open_tuple] = STATE(15788),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(13163),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10871),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13288),
    [sym_unary_expression] = STATE(13288),
    [sym_range_expression] = STATE(13288),
    [sym_splat_expression] = STATE(13288),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12742),
    [sym_unary_typed_expression] = STATE(13288),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13288),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12755),
    [sym_block_comment] = STATE(1188),
    [sym_line_comment] = STATE(1188),
    [aux_sym__terminator_repeat1] = STATE(9991),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4395),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(4395),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [anon_sym_SEMI2] = ACTIONS(4421),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1189] = {
    [sym_open_tuple] = STATE(15562),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13297),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10871),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13288),
    [sym_unary_expression] = STATE(13288),
    [sym_range_expression] = STATE(13288),
    [sym_splat_expression] = STATE(13288),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12742),
    [sym_unary_typed_expression] = STATE(13288),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13288),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12755),
    [sym_block_comment] = STATE(1189),
    [sym_line_comment] = STATE(1189),
    [aux_sym__terminator_repeat1] = STATE(1191),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4395),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(4395),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [anon_sym_SEMI2] = ACTIONS(4421),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1190] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1190),
    [sym_line_comment] = STATE(1190),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(534),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5755),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1191] = {
    [sym_open_tuple] = STATE(15788),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(13163),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10871),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13288),
    [sym_unary_expression] = STATE(13288),
    [sym_range_expression] = STATE(13288),
    [sym_splat_expression] = STATE(13288),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12742),
    [sym_unary_typed_expression] = STATE(13288),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13288),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12755),
    [sym_block_comment] = STATE(1191),
    [sym_line_comment] = STATE(1191),
    [aux_sym__terminator_repeat1] = STATE(9991),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4397),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(4397),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [anon_sym_SEMI2] = ACTIONS(4421),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1192] = {
    [sym__block] = STATE(20097),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1192),
    [sym_line_comment] = STATE(1192),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5757),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5759),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5761),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1193] = {
    [sym__block] = STATE(20358),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1193),
    [sym_line_comment] = STATE(1193),
    [aux_sym__terminator_repeat1] = STATE(1203),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5763),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1194] = {
    [sym__block] = STATE(20236),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1194),
    [sym_line_comment] = STATE(1194),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5765),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5767),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5769),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1195] = {
    [sym__block] = STATE(18787),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1195),
    [sym_line_comment] = STATE(1195),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5771),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5773),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5775),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1196] = {
    [sym__block] = STATE(18812),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1196),
    [sym_line_comment] = STATE(1196),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5777),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5779),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5781),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1197] = {
    [sym__block] = STATE(18820),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1197),
    [sym_line_comment] = STATE(1197),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5783),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5785),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5787),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1198] = {
    [sym__block] = STATE(18821),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1198),
    [sym_line_comment] = STATE(1198),
    [aux_sym__terminator_repeat1] = STATE(1209),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5789),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1199] = {
    [sym__block] = STATE(18856),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1199),
    [sym_line_comment] = STATE(1199),
    [aux_sym__terminator_repeat1] = STATE(1210),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5791),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1200] = {
    [sym__block] = STATE(20060),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1200),
    [sym_line_comment] = STATE(1200),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5793),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1201] = {
    [sym__block] = STATE(20084),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1201),
    [sym_line_comment] = STATE(1201),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5795),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1202] = {
    [sym__block] = STATE(20086),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1202),
    [sym_line_comment] = STATE(1202),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5797),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1203] = {
    [sym__block] = STATE(20070),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1203),
    [sym_line_comment] = STATE(1203),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5799),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1204] = {
    [sym__block] = STATE(20075),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1204),
    [sym_line_comment] = STATE(1204),
    [aux_sym__terminator_repeat1] = STATE(1219),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5801),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1205] = {
    [sym__block] = STATE(20173),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1205),
    [sym_line_comment] = STATE(1205),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5803),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(213),
    [anon_sym_SEMI] = ACTIONS(5805),
    [anon_sym_LBRACE] = ACTIONS(217),
    [anon_sym_DOLLAR] = ACTIONS(219),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(223),
    [anon_sym_AT] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(229),
    [aux_sym_integer_literal_token2] = ACTIONS(229),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(233),
    [aux_sym_float_literal_token3] = ACTIONS(233),
    [aux_sym_float_literal_token4] = ACTIONS(233),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(93),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(93),
    [sym__pipe_left_operator] = ACTIONS(93),
    [sym__ellipsis_operator] = ACTIONS(93),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(93),
    [sym__bitshift_operator] = ACTIONS(93),
    [sym__power_operator] = ACTIONS(93),
    [sym__tilde_operator] = ACTIONS(237),
    [sym__type_order_operator] = ACTIONS(237),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym__terminator_token1] = ACTIONS(5807),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1206] = {
    [sym__block] = STATE(20173),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1206),
    [sym_line_comment] = STATE(1206),
    [aux_sym__terminator_repeat1] = STATE(932),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5803),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1207] = {
    [sym__block] = STATE(20185),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1207),
    [sym_line_comment] = STATE(1207),
    [aux_sym__terminator_repeat1] = STATE(517),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5809),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1208] = {
    [sym__block] = STATE(20276),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1208),
    [sym_line_comment] = STATE(1208),
    [aux_sym__terminator_repeat1] = STATE(518),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5811),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1209] = {
    [sym__block] = STATE(20292),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1209),
    [sym_line_comment] = STATE(1209),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5813),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1210] = {
    [sym__block] = STATE(20304),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1210),
    [sym_line_comment] = STATE(1210),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5815),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1211] = {
    [sym__block] = STATE(20307),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1211),
    [sym_line_comment] = STATE(1211),
    [aux_sym__terminator_repeat1] = STATE(519),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5817),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1212] = {
    [sym__block] = STATE(20304),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1212),
    [sym_line_comment] = STATE(1212),
    [aux_sym__terminator_repeat1] = STATE(521),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5815),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1213] = {
    [sym__block] = STATE(18161),
    [sym_open_tuple] = STATE(14619),
    [sym_assignment] = STATE(14785),
    [sym__expression] = STATE(12371),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(1213),
    [sym_line_comment] = STATE(1213),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4203),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(4203),
    [anon_sym_else] = ACTIONS(4203),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1214] = {
    [sym__block] = STATE(20282),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1214),
    [sym_line_comment] = STATE(1214),
    [aux_sym__terminator_repeat1] = STATE(524),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4191),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1215] = {
    [sym__block] = STATE(18239),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1215),
    [sym_line_comment] = STATE(1215),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4423),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1216] = {
    [sym__block] = STATE(19059),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1216),
    [sym_line_comment] = STATE(1216),
    [aux_sym__terminator_repeat1] = STATE(526),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5819),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1217] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1217),
    [sym_line_comment] = STATE(1217),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(527),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5821),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1218] = {
    [sym__block] = STATE(19927),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1218),
    [sym_line_comment] = STATE(1218),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5823),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1219] = {
    [sym__block] = STATE(20108),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1219),
    [sym_line_comment] = STATE(1219),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5825),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1220] = {
    [sym__block] = STATE(20109),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1220),
    [sym_line_comment] = STATE(1220),
    [aux_sym__terminator_repeat1] = STATE(529),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5385),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1221] = {
    [sym__block] = STATE(20325),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1221),
    [sym_line_comment] = STATE(1221),
    [aux_sym__terminator_repeat1] = STATE(946),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5827),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1222] = {
    [sym__block] = STATE(18436),
    [sym_open_tuple] = STATE(15153),
    [sym_assignment] = STATE(15607),
    [sym__expression] = STATE(12795),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10871),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13288),
    [sym_unary_expression] = STATE(13288),
    [sym_range_expression] = STATE(13288),
    [sym_splat_expression] = STATE(13288),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12742),
    [sym_unary_typed_expression] = STATE(13288),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13288),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12755),
    [sym_block_comment] = STATE(1222),
    [sym_line_comment] = STATE(1222),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4407),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(4407),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1223] = {
    [sym__closed_assignment] = STATE(9940),
    [sym__expression] = STATE(7941),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17276),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1223),
    [sym_line_comment] = STATE(1223),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5829),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5831),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1224] = {
    [sym__closed_assignment] = STATE(9959),
    [sym__expression] = STATE(8100),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17357),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1224),
    [sym_line_comment] = STATE(1224),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5835),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5837),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1225] = {
    [sym_open_tuple] = STATE(15057),
    [sym_assignment] = STATE(15503),
    [sym__expression] = STATE(12934),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(1225),
    [sym_line_comment] = STATE(1225),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(4395),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(4395),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(4395),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1226] = {
    [sym__closed_assignment] = STATE(9963),
    [sym__expression] = STATE(8171),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16663),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1226),
    [sym_line_comment] = STATE(1226),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5839),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5841),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1227] = {
    [sym__closed_assignment] = STATE(9969),
    [sym__expression] = STATE(8236),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16782),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1227),
    [sym_line_comment] = STATE(1227),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5843),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5845),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1228] = {
    [sym__closed_assignment] = STATE(9979),
    [sym__expression] = STATE(8117),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17105),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1228),
    [sym_line_comment] = STATE(1228),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5847),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5849),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1229] = {
    [sym_open_tuple] = STATE(16960),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(13596),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11098),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13622),
    [sym_unary_expression] = STATE(13622),
    [sym_range_expression] = STATE(13622),
    [sym_splat_expression] = STATE(13622),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13242),
    [sym_unary_typed_expression] = STATE(13622),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13622),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13405),
    [sym_block_comment] = STATE(1229),
    [sym_line_comment] = STATE(1229),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [ts_builtin_sym_end] = ACTIONS(5851),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1230] = {
    [sym__closed_assignment] = STATE(9935),
    [sym__expression] = STATE(8017),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16255),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1230),
    [sym_line_comment] = STATE(1230),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5853),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5855),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1231] = {
    [sym__closed_assignment] = STATE(14594),
    [sym__expression] = STATE(12281),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18466),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(1231),
    [sym_line_comment] = STATE(1231),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(5859),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(5861),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1232] = {
    [sym__closed_assignment] = STATE(9975),
    [sym__expression] = STATE(8242),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16937),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1232),
    [sym_line_comment] = STATE(1232),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5863),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5865),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1233] = {
    [sym__closed_assignment] = STATE(9972),
    [sym__expression] = STATE(8116),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17453),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1233),
    [sym_line_comment] = STATE(1233),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5867),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5869),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1234] = {
    [sym__closed_assignment] = STATE(9974),
    [sym__expression] = STATE(8182),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16932),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1234),
    [sym_line_comment] = STATE(1234),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5871),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5873),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1235] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1235),
    [sym_line_comment] = STATE(1235),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1236] = {
    [sym__closed_assignment] = STATE(9956),
    [sym__expression] = STATE(7975),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16987),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1236),
    [sym_line_comment] = STATE(1236),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5875),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5877),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1237] = {
    [sym__closed_assignment] = STATE(14593),
    [sym__expression] = STATE(12255),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18461),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(1237),
    [sym_line_comment] = STATE(1237),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(5879),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(5881),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1238] = {
    [sym__closed_assignment] = STATE(9981),
    [sym__expression] = STATE(8248),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16996),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1238),
    [sym_line_comment] = STATE(1238),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5883),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5885),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1239] = {
    [sym_open_tuple] = STATE(16436),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13459),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11098),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13622),
    [sym_unary_expression] = STATE(13622),
    [sym_range_expression] = STATE(13622),
    [sym_splat_expression] = STATE(13622),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13242),
    [sym_unary_typed_expression] = STATE(13622),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13622),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13405),
    [sym_block_comment] = STATE(1239),
    [sym_line_comment] = STATE(1239),
    [aux_sym__terminator_repeat1] = STATE(1283),
    [ts_builtin_sym_end] = ACTIONS(5851),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1240] = {
    [sym__closed_assignment] = STATE(9978),
    [sym__expression] = STATE(8187),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17046),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1240),
    [sym_line_comment] = STATE(1240),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5887),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5889),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1241] = {
    [sym__closed_assignment] = STATE(9962),
    [sym__expression] = STATE(8118),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17540),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1241),
    [sym_line_comment] = STATE(1241),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5891),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5893),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1242] = {
    [sym__closed_assignment] = STATE(9973),
    [sym__expression] = STATE(8032),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16330),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1242),
    [sym_line_comment] = STATE(1242),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5895),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5897),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1243] = {
    [sym__closed_assignment] = STATE(9917),
    [sym__expression] = STATE(8467),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16344),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1243),
    [sym_line_comment] = STATE(1243),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5899),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5901),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1244] = {
    [sym__closed_assignment] = STATE(9971),
    [sym__expression] = STATE(8249),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17057),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1244),
    [sym_line_comment] = STATE(1244),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5903),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5905),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1245] = {
    [sym__closed_assignment] = STATE(14603),
    [sym__expression] = STATE(12246),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18520),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(1245),
    [sym_line_comment] = STATE(1245),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(5907),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(5909),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1246] = {
    [sym__closed_assignment] = STATE(9931),
    [sym__expression] = STATE(7756),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16113),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1246),
    [sym_line_comment] = STATE(1246),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5911),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5913),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1247] = {
    [sym__closed_assignment] = STATE(9924),
    [sym__expression] = STATE(8188),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17147),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1247),
    [sym_line_comment] = STATE(1247),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5915),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5917),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1248] = {
    [sym__closed_assignment] = STATE(9970),
    [sym__expression] = STATE(8124),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16809),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1248),
    [sym_line_comment] = STATE(1248),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5919),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5921),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1249] = {
    [sym__closed_assignment] = STATE(14598),
    [sym__expression] = STATE(12298),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18653),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(1249),
    [sym_line_comment] = STATE(1249),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(5923),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(5925),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1250] = {
    [sym__closed_assignment] = STATE(9918),
    [sym__expression] = STATE(8254),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17120),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1250),
    [sym_line_comment] = STATE(1250),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5927),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5929),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1251] = {
    [sym_open_tuple] = STATE(15402),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(12990),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(1251),
    [sym_line_comment] = STATE(1251),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4387),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(4387),
    [anon_sym_else] = ACTIONS(4387),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1252] = {
    [sym__closed_assignment] = STATE(9928),
    [sym__expression] = STATE(8042),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16439),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1252),
    [sym_line_comment] = STATE(1252),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5931),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5933),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1253] = {
    [sym__closed_assignment] = STATE(9942),
    [sym__expression] = STATE(8190),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17293),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1253),
    [sym_line_comment] = STATE(1253),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5935),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5937),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1254] = {
    [sym__closed_assignment] = STATE(9967),
    [sym__expression] = STATE(7825),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17043),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1254),
    [sym_line_comment] = STATE(1254),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5939),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5941),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1255] = {
    [sym__closed_assignment] = STATE(9919),
    [sym__expression] = STATE(8259),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17187),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1255),
    [sym_line_comment] = STATE(1255),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5943),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5945),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1256] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1256),
    [sym_line_comment] = STATE(1256),
    [aux_sym_matrix_row_repeat1] = STATE(1299),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(757),
    [anon_sym_RBRACK] = ACTIONS(5947),
    [anon_sym_SEMI] = ACTIONS(5947),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_DOLLAR] = ACTIONS(761),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(765),
    [anon_sym_AT] = ACTIONS(767),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(771),
    [aux_sym_integer_literal_token2] = ACTIONS(771),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(775),
    [aux_sym_float_literal_token3] = ACTIONS(775),
    [aux_sym_float_literal_token4] = ACTIONS(775),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(779),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(779),
    [sym__pipe_left_operator] = ACTIONS(779),
    [sym__ellipsis_operator] = ACTIONS(779),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(779),
    [sym__bitshift_operator] = ACTIONS(779),
    [sym__power_operator] = ACTIONS(779),
    [sym__tilde_operator] = ACTIONS(3947),
    [sym__type_order_operator] = ACTIONS(3947),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym__terminator_token1] = ACTIONS(5949),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1257] = {
    [sym__closed_assignment] = STATE(9950),
    [sym__expression] = STATE(8131),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17387),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1257),
    [sym_line_comment] = STATE(1257),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5951),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5953),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1258] = {
    [sym__closed_assignment] = STATE(14597),
    [sym__expression] = STATE(12323),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18293),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(1258),
    [sym_line_comment] = STATE(1258),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(5955),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(5957),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1259] = {
    [sym__closed_assignment] = STATE(9920),
    [sym__expression] = STATE(8192),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17423),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1259),
    [sym_line_comment] = STATE(1259),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5959),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5961),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1260] = {
    [sym__closed_assignment] = STATE(9921),
    [sym__expression] = STATE(8262),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17259),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1260),
    [sym_line_comment] = STATE(1260),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5963),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5965),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1261] = {
    [sym__closed_assignment] = STATE(14595),
    [sym__expression] = STATE(12259),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18326),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(1261),
    [sym_line_comment] = STATE(1261),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(5967),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(5969),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1262] = {
    [sym__closed_assignment] = STATE(9932),
    [sym__expression] = STATE(8062),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16909),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1262),
    [sym_line_comment] = STATE(1262),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5973),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1263] = {
    [sym__closed_assignment] = STATE(9976),
    [sym__expression] = STATE(7953),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16570),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1263),
    [sym_line_comment] = STATE(1263),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5975),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5977),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1264] = {
    [sym__closed_assignment] = STATE(9968),
    [sym__expression] = STATE(7914),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16379),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1264),
    [sym_line_comment] = STATE(1264),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5979),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5981),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1265] = {
    [sym__closed_assignment] = STATE(9925),
    [sym__expression] = STATE(8263),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17321),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1265),
    [sym_line_comment] = STATE(1265),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5983),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5985),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1266] = {
    [sym__closed_assignment] = STATE(9926),
    [sym__expression] = STATE(8136),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16944),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1266),
    [sym_line_comment] = STATE(1266),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5987),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5989),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1267] = {
    [sym__closed_assignment] = STATE(9922),
    [sym__expression] = STATE(8193),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16165),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1267),
    [sym_line_comment] = STATE(1267),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5991),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5993),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1268] = {
    [sym_open_tuple] = STATE(16933),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13436),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1268),
    [sym_line_comment] = STATE(1268),
    [aux_sym__terminator_repeat1] = STATE(1272),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4387),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1269] = {
    [sym__closed_assignment] = STATE(9951),
    [sym__expression] = STATE(8234),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16724),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1269),
    [sym_line_comment] = STATE(1269),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(5995),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5997),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1270] = {
    [sym__closed_assignment] = STATE(14606),
    [sym__expression] = STATE(12292),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18295),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(1270),
    [sym_line_comment] = STATE(1270),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(5999),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6001),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1271] = {
    [sym__closed_assignment] = STATE(9941),
    [sym__expression] = STATE(8065),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16989),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1271),
    [sym_line_comment] = STATE(1271),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6003),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6005),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1272] = {
    [sym_open_tuple] = STATE(17068),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(13408),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1272),
    [sym_line_comment] = STATE(1272),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4395),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1273] = {
    [sym__closed_assignment] = STATE(9957),
    [sym__expression] = STATE(8199),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16227),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1273),
    [sym_line_comment] = STATE(1273),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6007),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6009),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1274] = {
    [sym__closed_assignment] = STATE(14600),
    [sym__expression] = STATE(12325),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18334),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(1274),
    [sym_line_comment] = STATE(1274),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6011),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6013),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1275] = {
    [sym__closed_assignment] = STATE(9937),
    [sym__expression] = STATE(8139),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16173),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1275),
    [sym_line_comment] = STATE(1275),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6017),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1276] = {
    [sym__closed_assignment] = STATE(9977),
    [sym__expression] = STATE(7963),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17108),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1276),
    [sym_line_comment] = STATE(1276),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6019),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6021),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1277] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1277),
    [sym_line_comment] = STATE(1277),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [aux_sym__terminator_repeat1] = STATE(1235),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1278] = {
    [sym__closed_assignment] = STATE(9965),
    [sym__expression] = STATE(8201),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16282),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1278),
    [sym_line_comment] = STATE(1278),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6023),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6025),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1279] = {
    [sym__closed_assignment] = STATE(9944),
    [sym__expression] = STATE(8080),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17049),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1279),
    [sym_line_comment] = STATE(1279),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6027),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6029),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1280] = {
    [sym__closed_assignment] = STATE(14593),
    [sym__expression] = STATE(12308),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18583),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(1280),
    [sym_line_comment] = STATE(1280),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6031),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6033),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1281] = {
    [sym__block] = STATE(18555),
    [sym_open_tuple] = STATE(15048),
    [sym_assignment] = STATE(15556),
    [sym__expression] = STATE(12701),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10931),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13111),
    [sym_unary_expression] = STATE(13111),
    [sym_range_expression] = STATE(13111),
    [sym_splat_expression] = STATE(13111),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12796),
    [sym_unary_typed_expression] = STATE(13111),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13111),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12797),
    [sym_block_comment] = STATE(1281),
    [sym_line_comment] = STATE(1281),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4371),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4371),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1282] = {
    [sym__closed_assignment] = STATE(9939),
    [sym__expression] = STATE(8140),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16662),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1282),
    [sym_line_comment] = STATE(1282),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6035),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6037),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1283] = {
    [sym_open_tuple] = STATE(16960),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(13596),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11098),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13622),
    [sym_unary_expression] = STATE(13622),
    [sym_range_expression] = STATE(13622),
    [sym_splat_expression] = STATE(13622),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13242),
    [sym_unary_typed_expression] = STATE(13622),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13622),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13405),
    [sym_block_comment] = STATE(1283),
    [sym_line_comment] = STATE(1283),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [ts_builtin_sym_end] = ACTIONS(6039),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1284] = {
    [sym_open_tuple] = STATE(17068),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(13408),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1284),
    [sym_line_comment] = STATE(1284),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4397),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1285] = {
    [sym__closed_assignment] = STATE(14611),
    [sym__expression] = STATE(12215),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18461),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(1285),
    [sym_line_comment] = STATE(1285),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6041),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6043),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6045),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1286] = {
    [sym__closed_assignment] = STATE(9945),
    [sym__expression] = STATE(8347),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16490),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1286),
    [sym_line_comment] = STATE(1286),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6047),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6049),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1287] = {
    [sym__closed_assignment] = STATE(9923),
    [sym__expression] = STATE(8203),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16347),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1287),
    [sym_line_comment] = STATE(1287),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6051),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6053),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1288] = {
    [sym__closed_assignment] = STATE(9964),
    [sym__expression] = STATE(7973),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16393),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1288),
    [sym_line_comment] = STATE(1288),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6055),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6057),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1289] = {
    [sym_open_tuple] = STATE(15402),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(12990),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(1289),
    [sym_line_comment] = STATE(1289),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4395),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_elseif] = ACTIONS(4395),
    [anon_sym_else] = ACTIONS(4395),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1290] = {
    [sym__closed_assignment] = STATE(9946),
    [sym__expression] = STATE(8084),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17131),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1290),
    [sym_line_comment] = STATE(1290),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6059),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6061),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1291] = {
    [sym_open_tuple] = STATE(15057),
    [sym_assignment] = STATE(15503),
    [sym__expression] = STATE(12934),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(1291),
    [sym_line_comment] = STATE(1291),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_end] = ACTIONS(4387),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_else] = ACTIONS(4387),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_finally] = ACTIONS(4387),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1292] = {
    [sym__closed_assignment] = STATE(9927),
    [sym__expression] = STATE(8207),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16423),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1292),
    [sym_line_comment] = STATE(1292),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6063),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6065),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1293] = {
    [sym__closed_assignment] = STATE(9943),
    [sym__expression] = STATE(8148),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17104),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1293),
    [sym_line_comment] = STATE(1293),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6067),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6069),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1294] = {
    [sym__closed_assignment] = STATE(9938),
    [sym__expression] = STATE(7810),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16467),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1294),
    [sym_line_comment] = STATE(1294),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6071),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6073),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1295] = {
    [sym__closed_assignment] = STATE(14609),
    [sym__expression] = STATE(12265),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18253),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(1295),
    [sym_line_comment] = STATE(1295),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6075),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6077),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1296] = {
    [sym__closed_assignment] = STATE(9936),
    [sym__expression] = STATE(7892),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16500),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1296),
    [sym_line_comment] = STATE(1296),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6079),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6081),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1297] = {
    [sym__closed_assignment] = STATE(14605),
    [sym__expression] = STATE(12263),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18230),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(1297),
    [sym_line_comment] = STATE(1297),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6083),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6085),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1298] = {
    [sym__closed_assignment] = STATE(9933),
    [sym__expression] = STATE(8209),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16484),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1298),
    [sym_line_comment] = STATE(1298),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6087),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6089),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1299] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1299),
    [sym_line_comment] = STATE(1299),
    [aux_sym_matrix_row_repeat1] = STATE(1299),
    [sym__word_identifier] = ACTIONS(6091),
    [anon_sym_begin] = ACTIONS(6094),
    [anon_sym_module] = ACTIONS(6097),
    [anon_sym_baremodule] = ACTIONS(6097),
    [anon_sym_abstract] = ACTIONS(6100),
    [anon_sym_primitive] = ACTIONS(6103),
    [anon_sym_mutable] = ACTIONS(6106),
    [anon_sym_struct] = ACTIONS(6109),
    [anon_sym_function] = ACTIONS(6112),
    [anon_sym_macro] = ACTIONS(6115),
    [anon_sym_quote] = ACTIONS(6118),
    [anon_sym_let] = ACTIONS(6121),
    [anon_sym_if] = ACTIONS(6124),
    [anon_sym_try] = ACTIONS(6127),
    [anon_sym_for] = ACTIONS(6130),
    [anon_sym_while] = ACTIONS(6133),
    [sym_break_statement] = ACTIONS(6136),
    [sym_continue_statement] = ACTIONS(6136),
    [anon_sym_return] = ACTIONS(6139),
    [anon_sym_const] = ACTIONS(6142),
    [anon_sym_global] = ACTIONS(6145),
    [anon_sym_local] = ACTIONS(6148),
    [anon_sym_LPAREN] = ACTIONS(6151),
    [anon_sym_export] = ACTIONS(6154),
    [anon_sym_public] = ACTIONS(6157),
    [anon_sym_import] = ACTIONS(6160),
    [anon_sym_using] = ACTIONS(6163),
    [anon_sym_LBRACK] = ACTIONS(6166),
    [anon_sym_RBRACK] = ACTIONS(6169),
    [anon_sym_SEMI] = ACTIONS(6169),
    [anon_sym_LBRACE] = ACTIONS(6171),
    [anon_sym_DOLLAR] = ACTIONS(6174),
    [anon_sym_COLON2] = ACTIONS(6177),
    [anon_sym_COLON_COLON] = ACTIONS(6180),
    [anon_sym_AT] = ACTIONS(6183),
    [anon_sym_true] = ACTIONS(6186),
    [anon_sym_false] = ACTIONS(6186),
    [aux_sym_integer_literal_token1] = ACTIONS(6189),
    [aux_sym_integer_literal_token2] = ACTIONS(6189),
    [aux_sym_integer_literal_token3] = ACTIONS(6189),
    [aux_sym_integer_literal_token4] = ACTIONS(6192),
    [aux_sym_float_literal_token1] = ACTIONS(6195),
    [aux_sym_float_literal_token3] = ACTIONS(6195),
    [aux_sym_float_literal_token4] = ACTIONS(6195),
    [sym_character_literal] = ACTIONS(6198),
    [anon_sym_DQUOTE] = ACTIONS(6201),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(6204),
    [anon_sym_BQUOTE] = ACTIONS(6207),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(6210),
    [sym__pair_operator] = ACTIONS(6213),
    [sym__arrow_operator] = ACTIONS(6213),
    [sym__comparison_operator] = ACTIONS(6213),
    [sym__pipe_right_operator] = ACTIONS(6213),
    [sym__pipe_left_operator] = ACTIONS(6213),
    [sym__ellipsis_operator] = ACTIONS(6213),
    [sym__plus_operator] = ACTIONS(6213),
    [sym__times_operator] = ACTIONS(6213),
    [sym__rational_operator] = ACTIONS(6213),
    [sym__bitshift_operator] = ACTIONS(6213),
    [sym__power_operator] = ACTIONS(6213),
    [sym__tilde_operator] = ACTIONS(6216),
    [sym__type_order_operator] = ACTIONS(6216),
    [sym__unary_operator] = ACTIONS(6216),
    [sym__unary_plus_operator] = ACTIONS(6216),
    [aux_sym__terminator_token1] = ACTIONS(6219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1300] = {
    [sym__closed_assignment] = STATE(9952),
    [sym__expression] = STATE(8157),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17538),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1300),
    [sym_line_comment] = STATE(1300),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6221),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6223),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1301] = {
    [sym__closed_assignment] = STATE(9953),
    [sym__expression] = STATE(8089),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17220),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1301),
    [sym_line_comment] = STATE(1301),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6225),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6227),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1302] = {
    [sym__closed_assignment] = STATE(9934),
    [sym__expression] = STATE(7992),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17079),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1302),
    [sym_line_comment] = STATE(1302),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6229),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6231),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1303] = {
    [sym__closed_assignment] = STATE(9947),
    [sym__expression] = STATE(8221),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16580),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1303),
    [sym_line_comment] = STATE(1303),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6233),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6235),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1304] = {
    [sym__closed_assignment] = STATE(14596),
    [sym__expression] = STATE(12237),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18247),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(1304),
    [sym_line_comment] = STATE(1304),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6237),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6239),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1305] = {
    [sym__closed_assignment] = STATE(9966),
    [sym__expression] = STATE(7877),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(15919),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1305),
    [sym_line_comment] = STATE(1305),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6241),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6243),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1306] = {
    [sym__closed_assignment] = STATE(9954),
    [sym__expression] = STATE(8162),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16307),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1306),
    [sym_line_comment] = STATE(1306),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6245),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6247),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1307] = {
    [sym__closed_assignment] = STATE(9958),
    [sym__expression] = STATE(7843),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17292),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1307),
    [sym_line_comment] = STATE(1307),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6249),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6251),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1308] = {
    [sym_open_tuple] = STATE(16933),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13436),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1308),
    [sym_line_comment] = STATE(1308),
    [aux_sym__terminator_repeat1] = STATE(1284),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4395),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1309] = {
    [sym__closed_assignment] = STATE(9948),
    [sym__expression] = STATE(8230),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16657),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1309),
    [sym_line_comment] = STATE(1309),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6253),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6255),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1310] = {
    [sym__closed_assignment] = STATE(9955),
    [sym__expression] = STATE(8092),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17285),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1310),
    [sym_line_comment] = STATE(1310),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6257),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6259),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1311] = {
    [sym__closed_assignment] = STATE(14604),
    [sym__expression] = STATE(12232),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18385),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(1311),
    [sym_line_comment] = STATE(1311),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(5857),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6261),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6263),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1312] = {
    [sym__closed_assignment] = STATE(9949),
    [sym__expression] = STATE(8007),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(15889),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1312),
    [sym_line_comment] = STATE(1312),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6265),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6267),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1313] = {
    [sym__closed_assignment] = STATE(9960),
    [sym__expression] = STATE(8164),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(16464),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1313),
    [sym_line_comment] = STATE(1313),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6269),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6271),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1314] = {
    [sym_open_tuple] = STATE(16436),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13459),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11098),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13622),
    [sym_unary_expression] = STATE(13622),
    [sym_range_expression] = STATE(13622),
    [sym_splat_expression] = STATE(13622),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13242),
    [sym_unary_typed_expression] = STATE(13622),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13622),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13405),
    [sym_block_comment] = STATE(1314),
    [sym_line_comment] = STATE(1314),
    [aux_sym__terminator_repeat1] = STATE(1229),
    [ts_builtin_sym_end] = ACTIONS(6273),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1315] = {
    [sym__closed_assignment] = STATE(9930),
    [sym__expression] = STATE(8268),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(17365),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(1315),
    [sym_line_comment] = STATE(1315),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_COMMA] = ACTIONS(6275),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(6277),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1316] = {
    [sym__block] = STATE(19828),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1316),
    [sym_line_comment] = STATE(1316),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4691),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1317] = {
    [sym__closed_assignment] = STATE(16770),
    [sym__expression] = STATE(13021),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1317),
    [sym_line_comment] = STATE(1317),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6279),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6281),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6283),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1318] = {
    [sym__block] = STATE(18999),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1318),
    [sym_line_comment] = STATE(1318),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5105),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1319] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1319),
    [sym_line_comment] = STATE(1319),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5441),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1320] = {
    [sym__block] = STATE(18896),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1320),
    [sym_line_comment] = STATE(1320),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6285),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1321] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1321),
    [sym_line_comment] = STATE(1321),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5107),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1322] = {
    [sym__closed_assignment] = STATE(15003),
    [sym__expression] = STATE(12576),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18274),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1322),
    [sym_line_comment] = STATE(1322),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2550),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2552),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1323] = {
    [sym__closed_assignment] = STATE(16462),
    [sym__expression] = STATE(12927),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1323),
    [sym_line_comment] = STATE(1323),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6287),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6289),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6291),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1324] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1324),
    [sym_line_comment] = STATE(1324),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5445),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1325] = {
    [sym__closed_assignment] = STATE(17323),
    [sym__expression] = STATE(12646),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1325),
    [sym_line_comment] = STATE(1325),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6293),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6295),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6297),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1326] = {
    [sym__block] = STATE(19114),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1326),
    [sym_line_comment] = STATE(1326),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4891),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1327] = {
    [sym__closed_assignment] = STATE(16169),
    [sym__expression] = STATE(12365),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17745),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1327),
    [sym_line_comment] = STATE(1327),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6299),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6301),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1328] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1328),
    [sym_line_comment] = STATE(1328),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5447),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1329] = {
    [sym__block] = STATE(19830),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1329),
    [sym_line_comment] = STATE(1329),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5111),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1330] = {
    [sym__block] = STATE(19308),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1330),
    [sym_line_comment] = STATE(1330),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6303),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1331] = {
    [sym__closed_assignment] = STATE(15295),
    [sym__expression] = STATE(12412),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18520),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1331),
    [sym_line_comment] = STATE(1331),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2346),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1332] = {
    [sym__block] = STATE(19428),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1332),
    [sym_line_comment] = STATE(1332),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4733),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1333] = {
    [sym__closed_assignment] = STATE(15082),
    [sym__expression] = STATE(12353),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18230),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1333),
    [sym_line_comment] = STATE(1333),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2446),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1334] = {
    [sym__block] = STATE(19527),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1334),
    [sym_line_comment] = STATE(1334),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4447),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1335] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1335),
    [sym_line_comment] = STATE(1335),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5453),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1336] = {
    [sym__closed_assignment] = STATE(16218),
    [sym__expression] = STATE(12661),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1336),
    [sym_line_comment] = STATE(1336),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6305),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6307),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6309),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1337] = {
    [sym__block] = STATE(19430),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1337),
    [sym_line_comment] = STATE(1337),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4895),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1338] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1338),
    [sym_line_comment] = STATE(1338),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5455),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1339] = {
    [sym__block] = STATE(19448),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1339),
    [sym_line_comment] = STATE(1339),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5117),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1340] = {
    [sym__block] = STATE(20045),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1340),
    [sym_line_comment] = STATE(1340),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6311),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1341] = {
    [sym__block] = STATE(19947),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1341),
    [sym_line_comment] = STATE(1341),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4347),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1342] = {
    [sym__block] = STATE(19435),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1342),
    [sym_line_comment] = STATE(1342),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4897),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1343] = {
    [sym__closed_assignment] = STATE(15114),
    [sym__expression] = STATE(12380),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18276),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1343),
    [sym_line_comment] = STATE(1343),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2564),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2566),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1344] = {
    [sym__block] = STATE(18961),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1344),
    [sym_line_comment] = STATE(1344),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5119),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1345] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1345),
    [sym_line_comment] = STATE(1345),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5459),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1346] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1346),
    [sym_line_comment] = STATE(1346),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5439),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1347] = {
    [sym__block] = STATE(19437),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1347),
    [sym_line_comment] = STATE(1347),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4903),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1348] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1348),
    [sym_line_comment] = STATE(1348),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5461),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1349] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1349),
    [sym_line_comment] = STATE(1349),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4737),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1350] = {
    [sym__block] = STATE(20242),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1350),
    [sym_line_comment] = STATE(1350),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6313),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1351] = {
    [sym__block] = STATE(19149),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1351),
    [sym_line_comment] = STATE(1351),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5121),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1352] = {
    [sym__block] = STATE(19439),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1352),
    [sym_line_comment] = STATE(1352),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4905),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1353] = {
    [sym__closed_assignment] = STATE(15144),
    [sym__expression] = STATE(12456),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18281),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1353),
    [sym_line_comment] = STATE(1353),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3166),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1354] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1354),
    [sym_line_comment] = STATE(1354),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5465),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1355] = {
    [sym__closed_assignment] = STATE(16383),
    [sym__expression] = STATE(12702),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1355),
    [sym_line_comment] = STATE(1355),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6315),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6317),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6319),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1356] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1356),
    [sym_line_comment] = STATE(1356),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5467),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1357] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1357),
    [sym_line_comment] = STATE(1357),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5125),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1358] = {
    [sym__block] = STATE(19598),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1358),
    [sym_line_comment] = STATE(1358),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6321),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1359] = {
    [sym__closed_assignment] = STATE(15186),
    [sym__expression] = STATE(12523),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18284),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1359),
    [sym_line_comment] = STATE(1359),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2858),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2860),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1360] = {
    [sym__block] = STATE(19454),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1360),
    [sym_line_comment] = STATE(1360),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4911),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1361] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1361),
    [sym_line_comment] = STATE(1361),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5471),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1362] = {
    [sym__closed_assignment] = STATE(16591),
    [sym__expression] = STATE(12723),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1362),
    [sym_line_comment] = STATE(1362),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6323),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6325),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6327),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1363] = {
    [sym__block] = STATE(19453),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1363),
    [sym_line_comment] = STATE(1363),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4909),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1364] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1364),
    [sym_line_comment] = STATE(1364),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5473),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1365] = {
    [sym__block] = STATE(18966),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1365),
    [sym_line_comment] = STATE(1365),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4581),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1366] = {
    [sym__block] = STATE(19464),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1366),
    [sym_line_comment] = STATE(1366),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6329),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1367] = {
    [sym__block] = STATE(19650),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1367),
    [sym_line_comment] = STATE(1367),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6331),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1368] = {
    [sym__closed_assignment] = STATE(15220),
    [sym__expression] = STATE(12539),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18286),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1368),
    [sym_line_comment] = STATE(1368),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2718),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2720),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1369] = {
    [sym__block] = STATE(19798),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1369),
    [sym_line_comment] = STATE(1369),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5103),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1370] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1370),
    [sym_line_comment] = STATE(1370),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5477),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1371] = {
    [sym__closed_assignment] = STATE(16959),
    [sym__expression] = STATE(12746),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1371),
    [sym_line_comment] = STATE(1371),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6333),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6335),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6337),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1372] = {
    [sym__block] = STATE(19111),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1372),
    [sym_line_comment] = STATE(1372),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4889),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1373] = {
    [sym__block] = STATE(20094),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1373),
    [sym_line_comment] = STATE(1373),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4625),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1374] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1374),
    [sym_line_comment] = STATE(1374),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5479),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1375] = {
    [sym__block] = STATE(19471),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1375),
    [sym_line_comment] = STATE(1375),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4341),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1376] = {
    [sym__block] = STATE(19020),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1376),
    [sym_line_comment] = STATE(1376),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6339),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1377] = {
    [sym__closed_assignment] = STATE(17024),
    [sym__expression] = STATE(12682),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1377),
    [sym_line_comment] = STATE(1377),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6341),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6343),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6345),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1378] = {
    [sym__block] = STATE(19971),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1378),
    [sym_line_comment] = STATE(1378),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6347),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1379] = {
    [sym__closed_assignment] = STATE(15250),
    [sym__expression] = STATE(12356),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18289),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1379),
    [sym_line_comment] = STATE(1379),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2578),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2580),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1380] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1380),
    [sym_line_comment] = STATE(1380),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5483),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1381] = {
    [sym__closed_assignment] = STATE(17025),
    [sym__expression] = STATE(12791),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1381),
    [sym_line_comment] = STATE(1381),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6349),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6351),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6353),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1382] = {
    [sym__block] = STATE(19475),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1382),
    [sym_line_comment] = STATE(1382),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4913),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1383] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1383),
    [sym_line_comment] = STATE(1383),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5485),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1384] = {
    [sym__block] = STATE(19085),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1384),
    [sym_line_comment] = STATE(1384),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5145),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1385] = {
    [sym__block] = STATE(19155),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1385),
    [sym_line_comment] = STATE(1385),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6355),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1386] = {
    [sym__block] = STATE(19205),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1386),
    [sym_line_comment] = STATE(1386),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5451),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1387] = {
    [sym__closed_assignment] = STATE(15276),
    [sym__expression] = STATE(12370),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18247),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1387),
    [sym_line_comment] = STATE(1387),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2474),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2476),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1388] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1388),
    [sym_line_comment] = STATE(1388),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5489),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1389] = {
    [sym__closed_assignment] = STATE(17103),
    [sym__expression] = STATE(12811),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1389),
    [sym_line_comment] = STATE(1389),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6357),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6359),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6361),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1390] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1390),
    [sym_line_comment] = STATE(1390),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4915),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1391] = {
    [sym__closed_assignment] = STATE(17198),
    [sym__expression] = STATE(12914),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1391),
    [sym_line_comment] = STATE(1391),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6363),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6365),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6367),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1392] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1392),
    [sym_line_comment] = STATE(1392),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5491),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1393] = {
    [sym__closed_assignment] = STATE(16169),
    [sym__expression] = STATE(12483),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17623),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1393),
    [sym_line_comment] = STATE(1393),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6299),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6369),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1394] = {
    [sym__block] = STATE(19336),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1394),
    [sym_line_comment] = STATE(1394),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6371),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1395] = {
    [sym__block] = STATE(20203),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1395),
    [sym_line_comment] = STATE(1395),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5171),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1396] = {
    [sym__closed_assignment] = STATE(15151),
    [sym__expression] = STATE(12567),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18721),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1396),
    [sym_line_comment] = STATE(1396),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2360),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2362),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1397] = {
    [sym__closed_assignment] = STATE(15308),
    [sym__expression] = STATE(12399),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18292),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1397),
    [sym_line_comment] = STATE(1397),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2592),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2594),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1398] = {
    [sym__block] = STATE(20215),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1398),
    [sym_line_comment] = STATE(1398),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5173),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1399] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1399),
    [sym_line_comment] = STATE(1399),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5495),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1400] = {
    [sym__closed_assignment] = STATE(17178),
    [sym__expression] = STATE(12824),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1400),
    [sym_line_comment] = STATE(1400),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6373),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6375),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6377),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1401] = {
    [sym__block] = STATE(19541),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1401),
    [sym_line_comment] = STATE(1401),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4919),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1402] = {
    [sym__block] = STATE(19855),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1402),
    [sym_line_comment] = STATE(1402),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5137),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1403] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1403),
    [sym_line_comment] = STATE(1403),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5497),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1404] = {
    [sym__block] = STATE(19718),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1404),
    [sym_line_comment] = STATE(1404),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4555),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1405] = {
    [sym__block] = STATE(19536),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1405),
    [sym_line_comment] = STATE(1405),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6379),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1406] = {
    [sym__closed_assignment] = STATE(16169),
    [sym__expression] = STATE(12384),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17971),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1406),
    [sym_line_comment] = STATE(1406),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6299),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6381),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1407] = {
    [sym__closed_assignment] = STATE(14818),
    [sym__expression] = STATE(12422),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18257),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1407),
    [sym_line_comment] = STATE(1407),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2502),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2504),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1408] = {
    [sym__closed_assignment] = STATE(15340),
    [sym__expression] = STATE(12427),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18253),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1408),
    [sym_line_comment] = STATE(1408),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2488),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1409] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1409),
    [sym_line_comment] = STATE(1409),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4583),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1410] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1410),
    [sym_line_comment] = STATE(1410),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5507),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1411] = {
    [sym__closed_assignment] = STATE(17266),
    [sym__expression] = STATE(12849),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1411),
    [sym_line_comment] = STATE(1411),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6383),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6385),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6387),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1412] = {
    [sym__closed_assignment] = STATE(16954),
    [sym__expression] = STATE(12677),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1412),
    [sym_line_comment] = STATE(1412),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6389),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6391),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6393),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1413] = {
    [sym__block] = STATE(20259),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1413),
    [sym_line_comment] = STATE(1413),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5179),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1414] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1414),
    [sym_line_comment] = STATE(1414),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5509),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1415] = {
    [sym__block] = STATE(19620),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1415),
    [sym_line_comment] = STATE(1415),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4579),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1416] = {
    [sym__block] = STATE(19723),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1416),
    [sym_line_comment] = STATE(1416),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6395),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1417] = {
    [sym__block] = STATE(19298),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1417),
    [sym_line_comment] = STATE(1417),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5181),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1418] = {
    [sym__closed_assignment] = STATE(15363),
    [sym__expression] = STATE(12465),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18296),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1418),
    [sym_line_comment] = STATE(1418),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2634),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2636),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1419] = {
    [sym__block] = STATE(19550),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1419),
    [sym_line_comment] = STATE(1419),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4925),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1420] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1420),
    [sym_line_comment] = STATE(1420),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5515),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1421] = {
    [sym__closed_assignment] = STATE(17322),
    [sym__expression] = STATE(12875),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1421),
    [sym_line_comment] = STATE(1421),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6397),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6399),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6401),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1422] = {
    [sym__block] = STATE(19898),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1422),
    [sym_line_comment] = STATE(1422),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5187),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1423] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1423),
    [sym_line_comment] = STATE(1423),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5517),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1424] = {
    [sym__block] = STATE(19987),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1424),
    [sym_line_comment] = STATE(1424),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5189),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1425] = {
    [sym__block] = STATE(19860),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1425),
    [sym_line_comment] = STATE(1425),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6403),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1426] = {
    [sym__block] = STATE(20354),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1426),
    [sym_line_comment] = STATE(1426),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4755),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1427] = {
    [sym__block] = STATE(19555),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1427),
    [sym_line_comment] = STATE(1427),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4927),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1428] = {
    [sym__closed_assignment] = STATE(15398),
    [sym__expression] = STATE(12518),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18299),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1428),
    [sym_line_comment] = STATE(1428),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2648),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2650),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1429] = {
    [sym__block] = STATE(17643),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1429),
    [sym_line_comment] = STATE(1429),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4297),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1430] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1430),
    [sym_line_comment] = STATE(1430),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5523),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1431] = {
    [sym__closed_assignment] = STATE(17418),
    [sym__expression] = STATE(12888),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1431),
    [sym_line_comment] = STATE(1431),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6405),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6407),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6409),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1432] = {
    [sym__block] = STATE(20243),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1432),
    [sym_line_comment] = STATE(1432),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5195),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1433] = {
    [sym_open_tuple] = STATE(16960),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(13596),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11098),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13622),
    [sym_unary_expression] = STATE(13622),
    [sym_range_expression] = STATE(13622),
    [sym_splat_expression] = STATE(13622),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13242),
    [sym_unary_typed_expression] = STATE(13622),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13622),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13405),
    [sym_block_comment] = STATE(1433),
    [sym_line_comment] = STATE(1433),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1434] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1434),
    [sym_line_comment] = STATE(1434),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5525),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1435] = {
    [sym__block] = STATE(20225),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1435),
    [sym_line_comment] = STATE(1435),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5193),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1436] = {
    [sym__block] = STATE(20076),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1436),
    [sym_line_comment] = STATE(1436),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6411),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1437] = {
    [sym_open_tuple] = STATE(15402),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(12990),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(1437),
    [sym_line_comment] = STATE(1437),
    [aux_sym__terminator_repeat1] = STATE(1447),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1438] = {
    [sym__closed_assignment] = STATE(15438),
    [sym__expression] = STATE(12570),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18301),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1438),
    [sym_line_comment] = STATE(1438),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2942),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2944),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1439] = {
    [sym__block] = STATE(20302),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1439),
    [sym_line_comment] = STATE(1439),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4645),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1440] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1440),
    [sym_line_comment] = STATE(1440),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5529),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1441] = {
    [sym__closed_assignment] = STATE(17507),
    [sym__expression] = STATE(12896),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1441),
    [sym_line_comment] = STATE(1441),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6413),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6415),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6417),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1442] = {
    [sym__block] = STATE(19586),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1442),
    [sym_line_comment] = STATE(1442),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4929),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1443] = {
    [sym__block] = STATE(19062),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1443),
    [sym_line_comment] = STATE(1443),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4241),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1444] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1444),
    [sym_line_comment] = STATE(1444),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5531),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1445] = {
    [sym__block] = STATE(19844),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1445),
    [sym_line_comment] = STATE(1445),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4557),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1446] = {
    [sym__block] = STATE(20248),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1446),
    [sym_line_comment] = STATE(1446),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6419),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1447] = {
    [sym_open_tuple] = STATE(15004),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(12944),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(1447),
    [sym_line_comment] = STATE(1447),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1448] = {
    [sym__closed_assignment] = STATE(15470),
    [sym__expression] = STATE(12366),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18302),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1448),
    [sym_line_comment] = STATE(1448),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2788),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2790),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1449] = {
    [sym__block] = STATE(19387),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1449),
    [sym_line_comment] = STATE(1449),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5199),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1450] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1450),
    [sym_line_comment] = STATE(1450),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5535),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1451] = {
    [sym__closed_assignment] = STATE(16956),
    [sym__expression] = STATE(12900),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1451),
    [sym_line_comment] = STATE(1451),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6421),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6423),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6425),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1452] = {
    [sym__block] = STATE(19213),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1452),
    [sym_line_comment] = STATE(1452),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4587),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1453] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1453),
    [sym_line_comment] = STATE(1453),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5537),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1454] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1454),
    [sym_line_comment] = STATE(1454),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5201),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1455] = {
    [sym__block] = STATE(18788),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1455),
    [sym_line_comment] = STATE(1455),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6427),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1456] = {
    [sym__block] = STATE(18968),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1456),
    [sym_line_comment] = STATE(1456),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5521),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1457] = {
    [sym__closed_assignment] = STATE(17356),
    [sym__expression] = STATE(12957),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1457),
    [sym_line_comment] = STATE(1457),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6429),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6431),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6433),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1458] = {
    [sym__closed_assignment] = STATE(15300),
    [sym__expression] = STATE(12533),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18305),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1458),
    [sym_line_comment] = STATE(1458),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2970),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2972),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1459] = {
    [sym__block] = STATE(19282),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1459),
    [sym_line_comment] = STATE(1459),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4527),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1460] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1460),
    [sym_line_comment] = STATE(1460),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5541),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1461] = {
    [sym__closed_assignment] = STATE(16922),
    [sym__expression] = STATE(12909),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1461),
    [sym_line_comment] = STATE(1461),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6435),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6437),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6439),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1462] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1462),
    [sym_line_comment] = STATE(1462),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4933),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1463] = {
    [sym__block] = STATE(19356),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1463),
    [sym_line_comment] = STATE(1463),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5205),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1464] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1464),
    [sym_line_comment] = STATE(1464),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5543),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1465] = {
    [sym__block] = STATE(19057),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1465),
    [sym_line_comment] = STATE(1465),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6441),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1466] = {
    [sym__block] = STATE(20014),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1466),
    [sym_line_comment] = STATE(1466),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4781),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1467] = {
    [sym__block] = STATE(19497),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1467),
    [sym_line_comment] = STATE(1467),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6443),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1468] = {
    [sym__closed_assignment] = STATE(14861),
    [sym__expression] = STATE(12421),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18308),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1468),
    [sym_line_comment] = STATE(1468),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2802),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2804),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1469] = {
    [sym__block] = STATE(20074),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1469),
    [sym_line_comment] = STATE(1469),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4783),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1470] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1470),
    [sym_line_comment] = STATE(1470),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5547),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1471] = {
    [sym__closed_assignment] = STATE(16445),
    [sym__expression] = STATE(12928),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1471),
    [sym_line_comment] = STATE(1471),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6445),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6447),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6449),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1472] = {
    [sym__block] = STATE(19404),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1472),
    [sym_line_comment] = STATE(1472),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5211),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1473] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1473),
    [sym_line_comment] = STATE(1473),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5549),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1474] = {
    [sym__block] = STATE(20340),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1474),
    [sym_line_comment] = STATE(1474),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4671),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1475] = {
    [sym__block] = STATE(20009),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1475),
    [sym_line_comment] = STATE(1475),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6451),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1476] = {
    [sym__block] = STATE(19611),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1476),
    [sym_line_comment] = STATE(1476),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6453),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1477] = {
    [sym__block] = STATE(19494),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1477),
    [sym_line_comment] = STATE(1477),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5213),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1478] = {
    [sym__closed_assignment] = STATE(15081),
    [sym__expression] = STATE(12451),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18311),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1478),
    [sym_line_comment] = STATE(1478),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2676),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2678),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1479] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1479),
    [sym_line_comment] = STATE(1479),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5197),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1480] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1480),
    [sym_line_comment] = STATE(1480),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5555),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1481] = {
    [sym__closed_assignment] = STATE(17290),
    [sym__expression] = STATE(12951),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1481),
    [sym_line_comment] = STATE(1481),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6455),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6457),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6459),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1482] = {
    [sym__block] = STATE(18988),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1482),
    [sym_line_comment] = STATE(1482),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4787),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1483] = {
    [sym__block] = STATE(19196),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1483),
    [sym_line_comment] = STATE(1483),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4359),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1484] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1484),
    [sym_line_comment] = STATE(1484),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5557),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1485] = {
    [sym__block] = STATE(19259),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1485),
    [sym_line_comment] = STATE(1485),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5215),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1486] = {
    [sym__block] = STATE(19672),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1486),
    [sym_line_comment] = STATE(1486),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6461),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1487] = {
    [sym__closed_assignment] = STATE(16169),
    [sym__expression] = STATE(12593),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17605),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1487),
    [sym_line_comment] = STATE(1487),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6299),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6463),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1488] = {
    [sym__closed_assignment] = STATE(15192),
    [sym__expression] = STATE(12376),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18312),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1488),
    [sym_line_comment] = STATE(1488),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2998),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3000),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1489] = {
    [sym__closed_assignment] = STATE(15198),
    [sym__expression] = STATE(12359),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18461),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1489),
    [sym_line_comment] = STATE(1489),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(1815),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1817),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1490] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1490),
    [sym_line_comment] = STATE(1490),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5563),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1491] = {
    [sym__closed_assignment] = STATE(16441),
    [sym__expression] = STATE(12964),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1491),
    [sym_line_comment] = STATE(1491),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6465),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6467),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6469),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1492] = {
    [sym__closed_assignment] = STATE(16169),
    [sym__expression] = STATE(12524),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18031),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1492),
    [sym_line_comment] = STATE(1492),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6299),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6471),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1493] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1493),
    [sym_line_comment] = STATE(1493),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5219),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1494] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1494),
    [sym_line_comment] = STATE(1494),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5565),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1495] = {
    [sym__block] = STATE(19082),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1495),
    [sym_line_comment] = STATE(1495),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6473),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1496] = {
    [sym__block] = STATE(18998),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1496),
    [sym_line_comment] = STATE(1496),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4673),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1497] = {
    [sym__closed_assignment] = STATE(15286),
    [sym__expression] = STATE(12418),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18315),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1497),
    [sym_line_comment] = STATE(1497),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2844),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2846),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1498] = {
    [sym__block] = STATE(19138),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1498),
    [sym_line_comment] = STATE(1498),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4791),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1499] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1499),
    [sym_line_comment] = STATE(1499),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5571),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1500] = {
    [sym__closed_assignment] = STATE(17009),
    [sym__expression] = STATE(12975),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1500),
    [sym_line_comment] = STATE(1500),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6475),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6477),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6479),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1501] = {
    [sym__closed_assignment] = STATE(14894),
    [sym__expression] = STATE(12563),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18385),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1501),
    [sym_line_comment] = STATE(1501),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2190),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1502] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1502),
    [sym_line_comment] = STATE(1502),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5573),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1503] = {
    [sym__block] = STATE(19014),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1503),
    [sym_line_comment] = STATE(1503),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6481),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1504] = {
    [sym__block] = STATE(18791),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1504),
    [sym_line_comment] = STATE(1504),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6483),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1505] = {
    [sym__block] = STATE(19908),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1505),
    [sym_line_comment] = STATE(1505),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4953),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1506] = {
    [sym__block] = STATE(19337),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1506),
    [sym_line_comment] = STATE(1506),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4593),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1507] = {
    [sym__closed_assignment] = STATE(15437),
    [sym__expression] = STATE(12437),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18316),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1507),
    [sym_line_comment] = STATE(1507),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2704),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2706),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1508] = {
    [sym__block] = STATE(19237),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1508),
    [sym_line_comment] = STATE(1508),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4793),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1509] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1509),
    [sym_line_comment] = STATE(1509),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5577),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1510] = {
    [sym__closed_assignment] = STATE(17305),
    [sym__expression] = STATE(12987),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1510),
    [sym_line_comment] = STATE(1510),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6485),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6487),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6489),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1511] = {
    [sym__block] = STATE(19272),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1511),
    [sym_line_comment] = STATE(1511),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4799),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1512] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1512),
    [sym_line_comment] = STATE(1512),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5579),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1513] = {
    [sym__closed_assignment] = STATE(16169),
    [sym__expression] = STATE(12562),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17642),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1513),
    [sym_line_comment] = STATE(1513),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6299),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6491),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1514] = {
    [sym__block] = STATE(19467),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1514),
    [sym_line_comment] = STATE(1514),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6493),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1515] = {
    [sym__block] = STATE(19939),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1515),
    [sym_line_comment] = STATE(1515),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4979),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1516] = {
    [sym__closed_assignment] = STATE(14638),
    [sym__expression] = STATE(12508),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18317),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1516),
    [sym_line_comment] = STATE(1516),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2872),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2874),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1517] = {
    [sym__block] = STATE(19755),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1517),
    [sym_line_comment] = STATE(1517),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5241),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1518] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1518),
    [sym_line_comment] = STATE(1518),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5583),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1519] = {
    [sym__closed_assignment] = STATE(16242),
    [sym__expression] = STATE(12999),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1519),
    [sym_line_comment] = STATE(1519),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6495),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6497),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6499),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1520] = {
    [sym__block] = STATE(19310),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1520),
    [sym_line_comment] = STATE(1520),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4801),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1521] = {
    [sym__block] = STATE(19941),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1521),
    [sym_line_comment] = STATE(1521),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4981),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1522] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1522),
    [sym_line_comment] = STATE(1522),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5585),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1523] = {
    [sym__block] = STATE(19245),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1523),
    [sym_line_comment] = STATE(1523),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4945),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1524] = {
    [sym__block] = STATE(20073),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1524),
    [sym_line_comment] = STATE(1524),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6501),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1525] = {
    [sym__block] = STATE(18851),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1525),
    [sym_line_comment] = STATE(1525),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5569),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1526] = {
    [sym__closed_assignment] = STATE(14654),
    [sym__expression] = STATE(12430),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18319),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1526),
    [sym_line_comment] = STATE(1526),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2732),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2734),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1527] = {
    [sym__closed_assignment] = STATE(15092),
    [sym__expression] = STATE(12372),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1527),
    [sym_line_comment] = STATE(1527),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2432),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1528] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1528),
    [sym_line_comment] = STATE(1528),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5589),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1529] = {
    [sym__closed_assignment] = STATE(16410),
    [sym__expression] = STATE(13017),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1529),
    [sym_line_comment] = STATE(1529),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6503),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6505),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6507),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1530] = {
    [sym__block] = STATE(18914),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1530),
    [sym_line_comment] = STATE(1530),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5267),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1531] = {
    [sym__closed_assignment] = STATE(16169),
    [sym__expression] = STATE(12550),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18040),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1531),
    [sym_line_comment] = STATE(1531),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6299),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6509),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1532] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1532),
    [sym_line_comment] = STATE(1532),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5591),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1533] = {
    [sym__block] = STATE(19450),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1533),
    [sym_line_comment] = STATE(1533),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5269),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1534] = {
    [sym__block] = STATE(19115),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1534),
    [sym_line_comment] = STATE(1534),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6511),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1535] = {
    [sym__closed_assignment] = STATE(15404),
    [sym__expression] = STATE(12555),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18240),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1535),
    [sym_line_comment] = STATE(1535),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2460),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1536] = {
    [sym__block] = STATE(19660),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1536),
    [sym_line_comment] = STATE(1536),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4519),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1537] = {
    [sym__closed_assignment] = STATE(14674),
    [sym__expression] = STATE(12449),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18293),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1537),
    [sym_line_comment] = STATE(1537),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2606),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2608),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1538] = {
    [sym__block] = STATE(20341),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1538),
    [sym_line_comment] = STATE(1538),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6513),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1539] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1539),
    [sym_line_comment] = STATE(1539),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5597),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1540] = {
    [sym__closed_assignment] = STATE(16169),
    [sym__expression] = STATE(12568),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18096),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1540),
    [sym_line_comment] = STATE(1540),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6299),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6515),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1541] = {
    [sym__closed_assignment] = STATE(15229),
    [sym__expression] = STATE(12404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18258),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1541),
    [sym_line_comment] = STATE(1541),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2662),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2664),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1542] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1542),
    [sym_line_comment] = STATE(1542),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5599),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1543] = {
    [sym__block] = STATE(19385),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1543),
    [sym_line_comment] = STATE(1543),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4595),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1544] = {
    [sym__block] = STATE(20006),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1544),
    [sym_line_comment] = STATE(1544),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4987),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1545] = {
    [sym__block] = STATE(19032),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1545),
    [sym_line_comment] = STATE(1545),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5277),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1546] = {
    [sym__closed_assignment] = STATE(14688),
    [sym__expression] = STATE(12452),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18321),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1546),
    [sym_line_comment] = STATE(1546),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2746),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2748),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1547] = {
    [sym__block] = STATE(19394),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1547),
    [sym_line_comment] = STATE(1547),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4807),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1548] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1548),
    [sym_line_comment] = STATE(1548),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5603),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1549] = {
    [sym__block] = STATE(19777),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1549),
    [sym_line_comment] = STATE(1549),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4561),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1550] = {
    [sym__block] = STATE(19053),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1550),
    [sym_line_comment] = STATE(1550),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5279),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1551] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1551),
    [sym_line_comment] = STATE(1551),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5605),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1552] = {
    [sym__block] = STATE(20023),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1552),
    [sym_line_comment] = STATE(1552),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4989),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1553] = {
    [sym__block] = STATE(19081),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1553),
    [sym_line_comment] = STATE(1553),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5285),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1554] = {
    [sym__block] = STATE(19391),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1554),
    [sym_line_comment] = STATE(1554),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4805),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1555] = {
    [sym__closed_assignment] = STATE(14702),
    [sym__expression] = STATE(12492),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18295),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1555),
    [sym_line_comment] = STATE(1555),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2620),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2622),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1556] = {
    [sym__block] = STATE(19087),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1556),
    [sym_line_comment] = STATE(1556),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5287),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1557] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1557),
    [sym_line_comment] = STATE(1557),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5609),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1558] = {
    [sym__block] = STATE(20026),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1558),
    [sym_line_comment] = STATE(1558),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4995),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1559] = {
    [sym__block] = STATE(18792),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1559),
    [sym_line_comment] = STATE(1559),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4445),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1560] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1560),
    [sym_line_comment] = STATE(1560),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5611),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1561] = {
    [sym__block] = STATE(20028),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1561),
    [sym_line_comment] = STATE(1561),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4997),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1562] = {
    [sym__block] = STATE(19349),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1562),
    [sym_line_comment] = STATE(1562),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5595),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1563] = {
    [sym__block] = STATE(19104),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1563),
    [sym_line_comment] = STATE(1563),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5293),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1564] = {
    [sym__closed_assignment] = STATE(14719),
    [sym__expression] = STATE(12546),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18323),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1564),
    [sym_line_comment] = STATE(1564),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2760),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2762),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1565] = {
    [sym__block] = STATE(18934),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1565),
    [sym_line_comment] = STATE(1565),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4451),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1566] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1566),
    [sym_line_comment] = STATE(1566),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5615),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1567] = {
    [sym__block] = STATE(19097),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1567),
    [sym_line_comment] = STATE(1567),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5291),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1568] = {
    [sym__block] = STATE(20033),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1568),
    [sym_line_comment] = STATE(1568),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4699),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1569] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1569),
    [sym_line_comment] = STATE(1569),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5617),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1570] = {
    [sym_open_tuple] = STATE(17068),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(13408),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1570),
    [sym_line_comment] = STATE(1570),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1571] = {
    [sym__block] = STATE(19663),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1571),
    [sym_line_comment] = STATE(1571),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4299),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1572] = {
    [sym__block] = STATE(19148),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1572),
    [sym_line_comment] = STATE(1572),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4273),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1573] = {
    [sym__closed_assignment] = STATE(14740),
    [sym__expression] = STATE(12354),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18330),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1573),
    [sym_line_comment] = STATE(1573),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3054),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3056),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1574] = {
    [sym__block] = STATE(20032),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1574),
    [sym_line_comment] = STATE(1574),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5003),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1575] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1575),
    [sym_line_comment] = STATE(1575),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5621),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1576] = {
    [sym__block] = STATE(19021),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1576),
    [sym_line_comment] = STATE(1576),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4809),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1577] = {
    [sym__block] = STATE(19154),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1577),
    [sym_line_comment] = STATE(1577),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5301),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1578] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1578),
    [sym_line_comment] = STATE(1578),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5623),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1579] = {
    [sym_open_tuple] = STATE(15057),
    [sym_assignment] = STATE(15503),
    [sym__expression] = STATE(12934),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(1579),
    [sym_line_comment] = STATE(1579),
    [aux_sym__terminator_repeat1] = STATE(1588),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1580] = {
    [sym__block] = STATE(20031),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1580),
    [sym_line_comment] = STATE(1580),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5001),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1581] = {
    [sym__closed_assignment] = STATE(14757),
    [sym__expression] = STATE(12423),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18331),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1581),
    [sym_line_comment] = STATE(1581),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2928),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2930),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1582] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1582),
    [sym_line_comment] = STATE(1582),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5303),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1583] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1583),
    [sym_line_comment] = STATE(1583),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5627),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1584] = {
    [sym__closed_assignment] = STATE(17081),
    [sym__expression] = STATE(12686),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1584),
    [sym_line_comment] = STATE(1584),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6517),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6519),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6521),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1585] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1585),
    [sym_line_comment] = STATE(1585),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4983),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1586] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1586),
    [sym_line_comment] = STATE(1586),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5629),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1587] = {
    [sym__closed_assignment] = STATE(17248),
    [sym__expression] = STATE(12717),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1587),
    [sym_line_comment] = STATE(1587),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6523),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6525),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6527),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1588] = {
    [sym_open_tuple] = STATE(14722),
    [sym_assignment] = STATE(15636),
    [sym__expression] = STATE(12637),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(1588),
    [sym_line_comment] = STATE(1588),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1589] = {
    [sym__block] = STATE(19322),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1589),
    [sym_line_comment] = STATE(1589),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5307),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1590] = {
    [sym__closed_assignment] = STATE(14769),
    [sym__expression] = STATE(12577),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18333),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1590),
    [sym_line_comment] = STATE(1590),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2774),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2776),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1591] = {
    [sym__block] = STATE(19636),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1591),
    [sym_line_comment] = STATE(1591),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4603),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1592] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1592),
    [sym_line_comment] = STATE(1592),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5633),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1593] = {
    [sym__block] = STATE(20048),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1593),
    [sym_line_comment] = STATE(1593),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4291),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1594] = {
    [sym__block] = STATE(19740),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1594),
    [sym_line_comment] = STATE(1594),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4815),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1595] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1595),
    [sym_line_comment] = STATE(1595),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5635),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1596] = {
    [sym__block] = STATE(20052),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1596),
    [sym_line_comment] = STATE(1596),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5005),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1597] = {
    [sym__block] = STATE(19331),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1597),
    [sym_line_comment] = STATE(1597),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5313),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1598] = {
    [sym__closed_assignment] = STATE(14782),
    [sym__expression] = STATE(12599),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18336),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1598),
    [sym_line_comment] = STATE(1598),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3082),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1599] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1599),
    [sym_line_comment] = STATE(1599),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5639),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1600] = {
    [sym__block] = STATE(20049),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1600),
    [sym_line_comment] = STATE(1600),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4705),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1601] = {
    [sym__block] = STATE(19335),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1601),
    [sym_line_comment] = STATE(1601),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5315),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1602] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1602),
    [sym_line_comment] = STATE(1602),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5641),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1603] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1603),
    [sym_line_comment] = STATE(1603),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5007),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1604] = {
    [sym__block] = STATE(18436),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1604),
    [sym_line_comment] = STATE(1604),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4407),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1605] = {
    [sym__closed_assignment] = STATE(17445),
    [sym__expression] = STATE(13000),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1605),
    [sym_line_comment] = STATE(1605),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6529),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6531),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6533),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1606] = {
    [sym__closed_assignment] = STATE(14801),
    [sym__expression] = STATE(12402),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18340),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1606),
    [sym_line_comment] = STATE(1606),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3012),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3014),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1607] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1607),
    [sym_line_comment] = STATE(1607),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4817),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1608] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1608),
    [sym_line_comment] = STATE(1608),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5645),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1609] = {
    [sym__block] = STATE(19350),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1609),
    [sym_line_comment] = STATE(1609),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5317),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1610] = {
    [sym__closed_assignment] = STATE(16905),
    [sym__expression] = STATE(12830),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1610),
    [sym_line_comment] = STATE(1610),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6535),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6537),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6539),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1611] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1611),
    [sym_line_comment] = STATE(1611),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5647),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1612] = {
    [sym__block] = STATE(19505),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1612),
    [sym_line_comment] = STATE(1612),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5501),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1613] = {
    [sym__block] = STATE(20117),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1613),
    [sym_line_comment] = STATE(1613),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5011),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1614] = {
    [sym__closed_assignment] = STATE(14817),
    [sym__expression] = STATE(12414),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18342),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1614),
    [sym_line_comment] = STATE(1614),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2886),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2888),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1615] = {
    [sym__block] = STATE(19901),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1615),
    [sym_line_comment] = STATE(1615),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4563),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1616] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1616),
    [sym_line_comment] = STATE(1616),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5651),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1617] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1617),
    [sym_line_comment] = STATE(1617),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5321),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1618] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1618),
    [sym_line_comment] = STATE(1618),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5653),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1619] = {
    [sym__block] = STATE(20170),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1619),
    [sym_line_comment] = STATE(1619),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4707),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1620] = {
    [sym__block] = STATE(18894),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1620),
    [sym_line_comment] = STATE(1620),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4821),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1621] = {
    [sym__closed_assignment] = STATE(14835),
    [sym__expression] = STATE(12424),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18345),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1621),
    [sym_line_comment] = STATE(1621),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3096),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1622] = {
    [sym__block] = STATE(19332),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1622),
    [sym_line_comment] = STATE(1622),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4493),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1623] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1623),
    [sym_line_comment] = STATE(1623),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5659),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1624] = {
    [sym__block] = STATE(20121),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1624),
    [sym_line_comment] = STATE(1624),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5017),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1625] = {
    [sym__block] = STATE(19482),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1625),
    [sym_line_comment] = STATE(1625),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6541),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1626] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1626),
    [sym_line_comment] = STATE(1626),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5661),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1627] = {
    [sym__block] = STATE(19622),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1627),
    [sym_line_comment] = STATE(1627),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4329),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1628] = {
    [sym__block] = STATE(20053),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1628),
    [sym_line_comment] = STATE(1628),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5657),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1629] = {
    [sym__block] = STATE(19910),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1629),
    [sym_line_comment] = STATE(1629),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4569),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1630] = {
    [sym__closed_assignment] = STATE(14852),
    [sym__expression] = STATE(12428),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18346),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1630),
    [sym_line_comment] = STATE(1630),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3026),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3028),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1631] = {
    [sym__block] = STATE(20219),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1631),
    [sym_line_comment] = STATE(1631),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4713),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1632] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1632),
    [sym_line_comment] = STATE(1632),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5665),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1633] = {
    [sym__block] = STATE(20123),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1633),
    [sym_line_comment] = STATE(1633),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5019),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1634] = {
    [sym_open_tuple] = STATE(16933),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13436),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1634),
    [sym_line_comment] = STATE(1634),
    [aux_sym__terminator_repeat1] = STATE(1570),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1635] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1635),
    [sym_line_comment] = STATE(1635),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5667),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1636] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1636),
    [sym_line_comment] = STATE(1636),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4607),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1637] = {
    [sym__block] = STATE(18901),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1637),
    [sym_line_comment] = STATE(1637),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4827),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1638] = {
    [sym__closed_assignment] = STATE(14870),
    [sym__expression] = STATE(12485),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18348),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1638),
    [sym_line_comment] = STATE(1638),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2900),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2902),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1639] = {
    [sym__block] = STATE(19792),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1639),
    [sym_line_comment] = STATE(1639),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5341),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1640] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1640),
    [sym_line_comment] = STATE(1640),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5671),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1641] = {
    [sym__block] = STATE(20133),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1641),
    [sym_line_comment] = STATE(1641),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5021),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1642] = {
    [sym__block] = STATE(20192),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1642),
    [sym_line_comment] = STATE(1642),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4711),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1643] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1643),
    [sym_line_comment] = STATE(1643),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5673),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1644] = {
    [sym_open_tuple] = STATE(15517),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13250),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10931),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13111),
    [sym_unary_expression] = STATE(13111),
    [sym_range_expression] = STATE(13111),
    [sym_splat_expression] = STATE(13111),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12796),
    [sym_unary_typed_expression] = STATE(13111),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13111),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12797),
    [sym_block_comment] = STATE(1644),
    [sym_line_comment] = STATE(1644),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4387),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4387),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1645] = {
    [sym__block] = STATE(19074),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1645),
    [sym_line_comment] = STATE(1645),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4687),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1646] = {
    [sym__closed_assignment] = STATE(14886),
    [sym__expression] = STATE(12535),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18326),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1646),
    [sym_line_comment] = STATE(1646),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(1645),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1657),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1647] = {
    [sym__block] = STATE(18903),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1647),
    [sym_line_comment] = STATE(1647),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4829),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1648] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1648),
    [sym_line_comment] = STATE(1648),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5677),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1649] = {
    [sym__block] = STATE(19836),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1649),
    [sym_line_comment] = STATE(1649),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5367),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1650] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1650),
    [sym_line_comment] = STATE(1650),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5025),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1651] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1651),
    [sym_line_comment] = STATE(1651),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5679),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1652] = {
    [sym__block] = STATE(19853),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1652),
    [sym_line_comment] = STATE(1652),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5369),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1653] = {
    [sym_open_tuple] = STATE(15525),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13171),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(1653),
    [sym_line_comment] = STATE(1653),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4387),
    [anon_sym_finally] = ACTIONS(4387),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1654] = {
    [sym__closed_assignment] = STATE(14902),
    [sym__expression] = STATE(12573),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18351),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1654),
    [sym_line_comment] = STATE(1654),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2914),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2916),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1655] = {
    [sym__block] = STATE(19690),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1655),
    [sym_line_comment] = STATE(1655),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5371),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1656] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1656),
    [sym_line_comment] = STATE(1656),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5683),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1657] = {
    [sym__closed_assignment] = STATE(16169),
    [sym__expression] = STATE(12417),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18131),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1657),
    [sym_line_comment] = STATE(1657),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6299),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6543),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1658] = {
    [sym__closed_assignment] = STATE(15439),
    [sym__expression] = STATE(12450),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18653),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1658),
    [sym_line_comment] = STATE(1658),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2386),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2388),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1659] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1659),
    [sym_line_comment] = STATE(1659),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5685),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1660] = {
    [sym__block] = STATE(20256),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1660),
    [sym_line_comment] = STATE(1660),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5375),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1661] = {
    [sym__closed_assignment] = STATE(14913),
    [sym__expression] = STATE(12357),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18353),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1661),
    [sym_line_comment] = STATE(1661),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2816),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2818),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1662] = {
    [sym__block] = STATE(18915),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1662),
    [sym_line_comment] = STATE(1662),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4211),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1663] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1663),
    [sym_line_comment] = STATE(1663),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5689),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1664] = {
    [sym__block] = STATE(18916),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1664),
    [sym_line_comment] = STATE(1664),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4833),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1665] = {
    [sym__block] = STATE(20271),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1665),
    [sym_line_comment] = STATE(1665),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5377),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1666] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1666),
    [sym_line_comment] = STATE(1666),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5691),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1667] = {
    [sym__block] = STATE(19353),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1667),
    [sym_line_comment] = STATE(1667),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4715),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1668] = {
    [sym__block] = STATE(20310),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1668),
    [sym_line_comment] = STATE(1668),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5383),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1669] = {
    [sym__block] = STATE(20162),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1669),
    [sym_line_comment] = STATE(1669),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6545),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1670] = {
    [sym__closed_assignment] = STATE(14926),
    [sym__expression] = STATE(12374),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18334),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1670),
    [sym_line_comment] = STATE(1670),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2830),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1671] = {
    [sym__block] = STATE(20325),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1671),
    [sym_line_comment] = STATE(1671),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5827),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1672] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1672),
    [sym_line_comment] = STATE(1672),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5695),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1673] = {
    [sym__block] = STATE(19992),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1673),
    [sym_line_comment] = STATE(1673),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4571),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1674] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1674),
    [sym_line_comment] = STATE(1674),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5697),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1675] = {
    [sym__block] = STATE(19721),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1675),
    [sym_line_comment] = STATE(1675),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5039),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1676] = {
    [sym_open_tuple] = STATE(15517),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13250),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10931),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13111),
    [sym_unary_expression] = STATE(13111),
    [sym_range_expression] = STATE(13111),
    [sym_splat_expression] = STATE(13111),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12796),
    [sym_unary_typed_expression] = STATE(13111),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13111),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12797),
    [sym_block_comment] = STATE(1676),
    [sym_line_comment] = STATE(1676),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4395),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4395),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1677] = {
    [sym__block] = STATE(20336),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1677),
    [sym_line_comment] = STATE(1677),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5391),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1678] = {
    [sym__closed_assignment] = STATE(14939),
    [sym__expression] = STATE(12389),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18355),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1678),
    [sym_line_comment] = STATE(1678),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2984),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2986),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1679] = {
    [sym__block] = STATE(19076),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1679),
    [sym_line_comment] = STATE(1679),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4717),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1680] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1680),
    [sym_line_comment] = STATE(1680),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5701),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1681] = {
    [sym__block] = STATE(20330),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1681),
    [sym_line_comment] = STATE(1681),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5389),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1682] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1682),
    [sym_line_comment] = STATE(1682),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4837),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1683] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1683),
    [sym_line_comment] = STATE(1683),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5703),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1684] = {
    [sym__block] = STATE(20218),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1684),
    [sym_line_comment] = STATE(1684),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4311),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1685] = {
    [sym__closed_assignment] = STATE(14953),
    [sym__expression] = STATE(12397),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18357),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1685),
    [sym_line_comment] = STATE(1685),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3138),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1686] = {
    [sym_open_tuple] = STATE(15525),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13171),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(1686),
    [sym_line_comment] = STATE(1686),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_catch] = ACTIONS(4395),
    [anon_sym_finally] = ACTIONS(4395),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1687] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1687),
    [sym_line_comment] = STATE(1687),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5709),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1688] = {
    [sym__block] = STATE(19455),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1688),
    [sym_line_comment] = STATE(1688),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5393),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1689] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1689),
    [sym_line_comment] = STATE(1689),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5711),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1690] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1690),
    [sym_line_comment] = STATE(1690),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4459),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1691] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1691),
    [sym_line_comment] = STATE(1691),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5395),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1692] = {
    [sym__closed_assignment] = STATE(14970),
    [sym__expression] = STATE(12415),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18358),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1692),
    [sym_line_comment] = STATE(1692),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3110),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1693] = {
    [sym__closed_assignment] = STATE(17126),
    [sym__expression] = STATE(12814),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1693),
    [sym_line_comment] = STATE(1693),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6547),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6549),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6551),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1694] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1694),
    [sym_line_comment] = STATE(1694),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5717),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1695] = {
    [sym__block] = STATE(19065),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1695),
    [sym_line_comment] = STATE(1695),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5047),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1696] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1696),
    [sym_line_comment] = STATE(1696),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(4719),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1697] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1697),
    [sym_line_comment] = STATE(1697),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5719),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1698] = {
    [sym__block] = STATE(19871),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1698),
    [sym_line_comment] = STATE(1698),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5399),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1699] = {
    [sym__closed_assignment] = STATE(16270),
    [sym__expression] = STATE(12749),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1699),
    [sym_line_comment] = STATE(1699),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6553),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6555),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6557),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1700] = {
    [sym__block] = STATE(19990),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1700),
    [sym_line_comment] = STATE(1700),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4491),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1701] = {
    [sym__closed_assignment] = STATE(14986),
    [sym__expression] = STATE(12443),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18360),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1701),
    [sym_line_comment] = STATE(1701),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3040),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3042),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1702] = {
    [sym__block] = STATE(18955),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1702),
    [sym_line_comment] = STATE(1702),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6559),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1703] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1703),
    [sym_line_comment] = STATE(1703),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5723),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1704] = {
    [sym__block] = STATE(19037),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1704),
    [sym_line_comment] = STATE(1704),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4831),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1705] = {
    [sym__block] = STATE(18972),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1705),
    [sym_line_comment] = STATE(1705),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5073),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1706] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1706),
    [sym_line_comment] = STATE(1706),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5725),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1707] = {
    [sym__block] = STATE(20190),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1707),
    [sym_line_comment] = STATE(1707),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5405),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1708] = {
    [sym_open_tuple] = STATE(15517),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13250),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10931),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13111),
    [sym_unary_expression] = STATE(13111),
    [sym_range_expression] = STATE(13111),
    [sym_splat_expression] = STATE(13111),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12796),
    [sym_unary_typed_expression] = STATE(13111),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13111),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12797),
    [sym_block_comment] = STATE(1708),
    [sym_line_comment] = STATE(1708),
    [aux_sym__terminator_repeat1] = STATE(1737),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1709] = {
    [sym__block] = STATE(20335),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1709),
    [sym_line_comment] = STATE(1709),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4529),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1710] = {
    [sym__closed_assignment] = STATE(15002),
    [sym__expression] = STATE(12499),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18361),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1710),
    [sym_line_comment] = STATE(1710),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2956),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2958),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1711] = {
    [sym__block] = STATE(19185),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1711),
    [sym_line_comment] = STATE(1711),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5075),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1712] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1712),
    [sym_line_comment] = STATE(1712),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5729),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1713] = {
    [sym__block] = STATE(20321),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1713),
    [sym_line_comment] = STATE(1713),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5407),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1714] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1714),
    [sym_line_comment] = STATE(1714),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5731),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1715] = {
    [sym__block] = STATE(19075),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1715),
    [sym_line_comment] = STATE(1715),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4849),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1716] = {
    [sym__block] = STATE(19098),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1716),
    [sym_line_comment] = STATE(1716),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4723),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1717] = {
    [sym__closed_assignment] = STATE(15018),
    [sym__expression] = STATE(12552),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18364),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1717),
    [sym_line_comment] = STATE(1717),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3152),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1718] = {
    [sym__block] = STATE(18822),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1718),
    [sym_line_comment] = STATE(1718),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5409),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1719] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1719),
    [sym_line_comment] = STATE(1719),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5735),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1720] = {
    [sym__block] = STATE(20101),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1720),
    [sym_line_comment] = STATE(1720),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6561),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1721] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1721),
    [sym_line_comment] = STATE(1721),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5737),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1722] = {
    [sym__closed_assignment] = STATE(16169),
    [sym__expression] = STATE(12487),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18153),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1722),
    [sym_line_comment] = STATE(1722),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6299),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6563),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1723] = {
    [sym__closed_assignment] = STATE(14667),
    [sym__expression] = STATE(12405),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18583),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1723),
    [sym_line_comment] = STATE(1723),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6565),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6567),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1724] = {
    [sym__closed_assignment] = STATE(15033),
    [sym__expression] = STATE(12565),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18366),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1724),
    [sym_line_comment] = STATE(1724),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3124),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1725] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1725),
    [sym_line_comment] = STATE(1725),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5413),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1726] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1726),
    [sym_line_comment] = STATE(1726),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5741),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1727] = {
    [sym__closed_assignment] = STATE(16169),
    [sym__expression] = STATE(12410),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18099),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1727),
    [sym_line_comment] = STATE(1727),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6299),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6569),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1728] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1728),
    [sym_line_comment] = STATE(1728),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5743),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1729] = {
    [sym__block] = STATE(20182),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1729),
    [sym_line_comment] = STATE(1729),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4577),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1730] = {
    [sym__block] = STATE(19277),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1730),
    [sym_line_comment] = STATE(1730),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5085),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1731] = {
    [sym__closed_assignment] = STATE(15049),
    [sym__expression] = STATE(12588),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18369),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1731),
    [sym_line_comment] = STATE(1731),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(3068),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(3070),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1732] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1732),
    [sym_line_comment] = STATE(1732),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5747),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1733] = {
    [sym__block] = STATE(18042),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1733),
    [sym_line_comment] = STATE(1733),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(107),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1734] = {
    [sym__block] = STATE(19584),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1734),
    [sym_line_comment] = STATE(1734),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6571),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1735] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1735),
    [sym_line_comment] = STATE(1735),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5749),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1736] = {
    [sym__block] = STATE(19875),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1736),
    [sym_line_comment] = STATE(1736),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5087),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1737] = {
    [sym_open_tuple] = STATE(15495),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(13314),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10931),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13111),
    [sym_unary_expression] = STATE(13111),
    [sym_range_expression] = STATE(13111),
    [sym_splat_expression] = STATE(13111),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12796),
    [sym_unary_typed_expression] = STATE(13111),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13111),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12797),
    [sym_block_comment] = STATE(1737),
    [sym_line_comment] = STATE(1737),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1738] = {
    [sym__block] = STATE(19220),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1738),
    [sym_line_comment] = STATE(1738),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4859),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1739] = {
    [sym__block] = STATE(19013),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1739),
    [sym_line_comment] = STATE(1739),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5715),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1740] = {
    [sym_open_tuple] = STATE(15525),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13171),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(1740),
    [sym_line_comment] = STATE(1740),
    [aux_sym__terminator_repeat1] = STATE(1761),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1741] = {
    [sym__block] = STATE(19972),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1741),
    [sym_line_comment] = STATE(1741),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5093),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1742] = {
    [sym_open_tuple] = STATE(15562),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13297),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10871),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13288),
    [sym_unary_expression] = STATE(13288),
    [sym_range_expression] = STATE(13288),
    [sym_splat_expression] = STATE(13288),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12742),
    [sym_unary_typed_expression] = STATE(13288),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13288),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12755),
    [sym_block_comment] = STATE(1742),
    [sym_line_comment] = STATE(1742),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4387),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(4387),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1743] = {
    [sym__block] = STATE(20012),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1743),
    [sym_line_comment] = STATE(1743),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6573),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1744] = {
    [sym__closed_assignment] = STATE(16169),
    [sym__expression] = STATE(12478),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17954),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1744),
    [sym_line_comment] = STATE(1744),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6299),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6575),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1745] = {
    [sym_open_tuple] = STATE(15562),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13297),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10871),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13288),
    [sym_unary_expression] = STATE(13288),
    [sym_range_expression] = STATE(13288),
    [sym_splat_expression] = STATE(13288),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12742),
    [sym_unary_typed_expression] = STATE(13288),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13288),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12755),
    [sym_block_comment] = STATE(1745),
    [sym_line_comment] = STATE(1745),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4395),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_finally] = ACTIONS(4395),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1746] = {
    [sym__closed_assignment] = STATE(14639),
    [sym__expression] = STATE(12481),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18262),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1746),
    [sym_line_comment] = STATE(1746),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2522),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2524),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1747] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1747),
    [sym_line_comment] = STATE(1747),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5755),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1748] = {
    [sym_open_tuple] = STATE(15562),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13297),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10871),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13288),
    [sym_unary_expression] = STATE(13288),
    [sym_range_expression] = STATE(13288),
    [sym_splat_expression] = STATE(13288),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12742),
    [sym_unary_typed_expression] = STATE(13288),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13288),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12755),
    [sym_block_comment] = STATE(1748),
    [sym_line_comment] = STATE(1748),
    [aux_sym__terminator_repeat1] = STATE(1749),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1749] = {
    [sym_open_tuple] = STATE(15788),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(13163),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10871),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13288),
    [sym_unary_expression] = STATE(13288),
    [sym_range_expression] = STATE(13288),
    [sym_splat_expression] = STATE(13288),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12742),
    [sym_unary_typed_expression] = STATE(13288),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13288),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12755),
    [sym_block_comment] = STATE(1749),
    [sym_line_comment] = STATE(1749),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1750] = {
    [sym__block] = STATE(20124),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1750),
    [sym_line_comment] = STATE(1750),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5095),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1751] = {
    [sym_open_tuple] = STATE(16436),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13459),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11098),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13622),
    [sym_unary_expression] = STATE(13622),
    [sym_range_expression] = STATE(13622),
    [sym_splat_expression] = STATE(13622),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13242),
    [sym_unary_typed_expression] = STATE(13622),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13622),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13405),
    [sym_block_comment] = STATE(1751),
    [sym_line_comment] = STATE(1751),
    [aux_sym__terminator_repeat1] = STATE(1433),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1752] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1752),
    [sym_line_comment] = STATE(1752),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5427),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1753] = {
    [sym__closed_assignment] = STATE(16497),
    [sym__expression] = STATE(12890),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1753),
    [sym_line_comment] = STATE(1753),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6577),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6579),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6581),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1754] = {
    [sym__block] = STATE(19162),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1754),
    [sym_line_comment] = STATE(1754),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4729),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1755] = {
    [sym__block] = STATE(20358),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1755),
    [sym_line_comment] = STATE(1755),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5763),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1756] = {
    [sym__block] = STATE(20159),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1756),
    [sym_line_comment] = STATE(1756),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4575),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1757] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1757),
    [sym_line_comment] = STATE(1757),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5429),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1758] = {
    [sym__block] = STATE(18555),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1758),
    [sym_line_comment] = STATE(1758),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4371),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1759] = {
    [sym__block] = STATE(19664),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1759),
    [sym_line_comment] = STATE(1759),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6583),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1760] = {
    [sym__block] = STATE(18821),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1760),
    [sym_line_comment] = STATE(1760),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5789),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1761] = {
    [sym_open_tuple] = STATE(15511),
    [sym_assignment] = STATE(14588),
    [sym__expression] = STATE(13388),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(1761),
    [sym_line_comment] = STATE(1761),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [anon_sym_SEMI2] = ACTIONS(4477),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1762] = {
    [sym__block] = STATE(18856),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1762),
    [sym_line_comment] = STATE(1762),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5791),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1763] = {
    [sym__block] = STATE(19904),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1763),
    [sym_line_comment] = STATE(1763),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5101),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1764] = {
    [sym__block] = STATE(19184),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1764),
    [sym_line_comment] = STATE(1764),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4731),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1765] = {
    [sym__closed_assignment] = STATE(16254),
    [sym__expression] = STATE(12498),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18031),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1765),
    [sym_line_comment] = STATE(1765),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6585),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6587),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1766] = {
    [sym__closed_assignment] = STATE(14642),
    [sym__expression] = STATE(12438),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18759),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1766),
    [sym_line_comment] = STATE(1766),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6589),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6591),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1767] = {
    [sym__closed_assignment] = STATE(16169),
    [sym__expression] = STATE(12583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18122),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1767),
    [sym_line_comment] = STATE(1767),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6299),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6593),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1768] = {
    [sym__closed_assignment] = STATE(14756),
    [sym__expression] = STATE(12442),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18266),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1768),
    [sym_line_comment] = STATE(1768),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2536),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2538),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1769] = {
    [sym__block] = STATE(20075),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1769),
    [sym_line_comment] = STATE(1769),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5801),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1770] = {
    [sym__block] = STATE(19617),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1770),
    [sym_line_comment] = STATE(1770),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5099),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1771] = {
    [sym__block] = STATE(20173),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1771),
    [sym_line_comment] = STATE(1771),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5803),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1772] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1772),
    [sym_line_comment] = STATE(1772),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5433),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1773] = {
    [sym__block] = STATE(20185),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1773),
    [sym_line_comment] = STATE(1773),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5809),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1774] = {
    [sym__closed_assignment] = STATE(16189),
    [sym__expression] = STATE(12955),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1774),
    [sym_line_comment] = STATE(1774),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6595),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6597),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1775] = {
    [sym__block] = STATE(20276),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1775),
    [sym_line_comment] = STATE(1775),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5811),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1776] = {
    [sym__block] = STATE(19244),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1776),
    [sym_line_comment] = STATE(1776),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4885),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1777] = {
    [sym__block] = STATE(19794),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1777),
    [sym_line_comment] = STATE(1777),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5081),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1778] = {
    [sym__block] = STATE(20307),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1778),
    [sym_line_comment] = STATE(1778),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5817),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1779] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1779),
    [sym_line_comment] = STATE(1779),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5435),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1780] = {
    [sym__block] = STATE(20304),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1780),
    [sym_line_comment] = STATE(1780),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5815),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1781] = {
    [sym__block] = STATE(18974),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1781),
    [sym_line_comment] = STATE(1781),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5707),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1782] = {
    [sym__closed_assignment] = STATE(14730),
    [sym__expression] = STATE(12579),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18466),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1782),
    [sym_line_comment] = STATE(1782),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2412),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1783] = {
    [sym__block] = STATE(20282),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1783),
    [sym_line_comment] = STATE(1783),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4191),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1784] = {
    [sym__block] = STATE(20065),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1784),
    [sym_line_comment] = STATE(1784),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(6601),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1785] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1785),
    [sym_line_comment] = STATE(1785),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5425),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1786] = {
    [sym__block] = STATE(19059),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1786),
    [sym_line_comment] = STATE(1786),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5819),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1787] = {
    [sym__block] = STATE(19511),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1787),
    [sym_line_comment] = STATE(1787),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4353),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1788] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1788),
    [sym_line_comment] = STATE(1788),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_RBRACK] = ACTIONS(5821),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1789] = {
    [sym__closed_assignment] = STATE(16585),
    [sym__expression] = STATE(13030),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1789),
    [sym_line_comment] = STATE(1789),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6603),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6605),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6607),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1790] = {
    [sym__closed_assignment] = STATE(14887),
    [sym__expression] = STATE(12601),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11105),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(18269),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13142),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1790),
    [sym_line_comment] = STATE(1790),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(2690),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(2692),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1791] = {
    [sym__block] = STATE(19247),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1791),
    [sym_line_comment] = STATE(1791),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4887),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1792] = {
    [sym__block] = STATE(20109),
    [sym_open_tuple] = STATE(15550),
    [sym_assignment] = STATE(17153),
    [sym__expression] = STATE(13073),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1792),
    [sym_line_comment] = STATE(1792),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(5385),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1793] = {
    [sym__closed_assignment] = STATE(16305),
    [sym__expression] = STATE(12679),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1793),
    [sym_line_comment] = STATE(1793),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6609),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6611),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(6613),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1794] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1378),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1794),
    [sym_line_comment] = STATE(1794),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1795] = {
    [sym__closed_assignment] = STATE(18020),
    [sym__expression] = STATE(13857),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1795),
    [sym_line_comment] = STATE(1795),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6633),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6635),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1796] = {
    [sym__closed_assignment] = STATE(17754),
    [sym__expression] = STATE(14209),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1796),
    [sym_line_comment] = STATE(1796),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6637),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6639),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1797] = {
    [sym__closed_assignment] = STATE(16927),
    [sym__expression] = STATE(12708),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1797),
    [sym_line_comment] = STATE(1797),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6641),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1798] = {
    [sym__closed_assignment] = STATE(16243),
    [sym__expression] = STATE(12929),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1798),
    [sym_line_comment] = STATE(1798),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6645),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6647),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1799] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13403),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10838),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1799),
    [sym_line_comment] = STATE(1799),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6649),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1800] = {
    [sym_open_tuple] = STATE(16933),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13436),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1800),
    [sym_line_comment] = STATE(1800),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4387),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1801] = {
    [sym__closed_assignment] = STATE(17067),
    [sym__expression] = STATE(12753),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1801),
    [sym_line_comment] = STATE(1801),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6651),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6653),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1802] = {
    [sym__closed_assignment] = STATE(17865),
    [sym__expression] = STATE(14032),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1802),
    [sym_line_comment] = STATE(1802),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6655),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6657),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1803] = {
    [sym__closed_assignment] = STATE(18117),
    [sym__expression] = STATE(14022),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1803),
    [sym_line_comment] = STATE(1803),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6659),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6661),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1804] = {
    [sym__closed_assignment] = STATE(16340),
    [sym__expression] = STATE(12663),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1804),
    [sym_line_comment] = STATE(1804),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6663),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6665),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1805] = {
    [sym__closed_assignment] = STATE(16676),
    [sym__expression] = STATE(13020),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1805),
    [sym_line_comment] = STATE(1805),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6667),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6669),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1806] = {
    [sym__closed_assignment] = STATE(17549),
    [sym__expression] = STATE(12891),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1806),
    [sym_line_comment] = STATE(1806),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6671),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6673),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1807] = {
    [sym__closed_assignment] = STATE(17813),
    [sym__expression] = STATE(13971),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1807),
    [sym_line_comment] = STATE(1807),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6675),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6677),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1808] = {
    [sym__closed_assignment] = STATE(16709),
    [sym__expression] = STATE(12933),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1808),
    [sym_line_comment] = STATE(1808),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6679),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6681),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1809] = {
    [sym_open_tuple] = STATE(16933),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13436),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(1809),
    [sym_line_comment] = STATE(1809),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_end] = ACTIONS(4395),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1810] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13184),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1810),
    [sym_line_comment] = STATE(1810),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6683),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1811] = {
    [sym__closed_assignment] = STATE(17647),
    [sym__expression] = STATE(14270),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1811),
    [sym_line_comment] = STATE(1811),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6685),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6687),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1812] = {
    [sym__closed_assignment] = STATE(17895),
    [sym__expression] = STATE(14109),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1812),
    [sym_line_comment] = STATE(1812),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6689),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6691),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1813] = {
    [sym__closed_assignment] = STATE(17696),
    [sym__expression] = STATE(13884),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1813),
    [sym_line_comment] = STATE(1813),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6693),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6695),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1814] = {
    [sym__closed_assignment] = STATE(18146),
    [sym__expression] = STATE(14319),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1814),
    [sym_line_comment] = STATE(1814),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6697),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6699),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1815] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13184),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1815),
    [sym_line_comment] = STATE(1815),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6701),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1816] = {
    [sym__closed_assignment] = STATE(18166),
    [sym__expression] = STATE(14133),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1816),
    [sym_line_comment] = STATE(1816),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6703),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6705),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1817] = {
    [sym__closed_assignment] = STATE(17296),
    [sym__expression] = STATE(12829),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1817),
    [sym_line_comment] = STATE(1817),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6707),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6709),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1818] = {
    [sym__closed_assignment] = STATE(17951),
    [sym__expression] = STATE(13993),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1818),
    [sym_line_comment] = STATE(1818),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6711),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6713),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1819] = {
    [sym__closed_assignment] = STATE(17181),
    [sym__expression] = STATE(12687),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1819),
    [sym_line_comment] = STATE(1819),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6715),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6717),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1820] = {
    [sym__closed_assignment] = STATE(16725),
    [sym__expression] = STATE(12952),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1820),
    [sym_line_comment] = STATE(1820),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6719),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6721),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1821] = {
    [sym__closed_assignment] = STATE(18074),
    [sym__expression] = STATE(14186),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1821),
    [sym_line_comment] = STATE(1821),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6723),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6725),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1822] = {
    [sym__closed_assignment] = STATE(17908),
    [sym__expression] = STATE(14190),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1822),
    [sym_line_comment] = STATE(1822),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6727),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6729),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1823] = {
    [sym_open_tuple] = STATE(16436),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13459),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11098),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13622),
    [sym_unary_expression] = STATE(13622),
    [sym_range_expression] = STATE(13622),
    [sym_splat_expression] = STATE(13622),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13242),
    [sym_unary_typed_expression] = STATE(13622),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13622),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13405),
    [sym_block_comment] = STATE(1823),
    [sym_line_comment] = STATE(1823),
    [ts_builtin_sym_end] = ACTIONS(6273),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1824] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13184),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1824),
    [sym_line_comment] = STATE(1824),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6731),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1825] = {
    [sym__closed_assignment] = STATE(18181),
    [sym__expression] = STATE(14117),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1825),
    [sym_line_comment] = STATE(1825),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6733),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6735),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1826] = {
    [sym__closed_assignment] = STATE(16461),
    [sym__expression] = STATE(12681),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1826),
    [sym_line_comment] = STATE(1826),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6737),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6739),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1827] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13403),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10838),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1827),
    [sym_line_comment] = STATE(1827),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6741),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1828] = {
    [sym__closed_assignment] = STATE(17727),
    [sym__expression] = STATE(14279),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1828),
    [sym_line_comment] = STATE(1828),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6743),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6745),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1829] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13184),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1829),
    [sym_line_comment] = STATE(1829),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6747),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1830] = {
    [sym__closed_assignment] = STATE(18116),
    [sym__expression] = STATE(14052),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1830),
    [sym_line_comment] = STATE(1830),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6749),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6751),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1831] = {
    [sym__closed_assignment] = STATE(17935),
    [sym__expression] = STATE(14240),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1831),
    [sym_line_comment] = STATE(1831),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6753),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6755),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1832] = {
    [sym__closed_assignment] = STATE(18064),
    [sym__expression] = STATE(14168),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1832),
    [sym_line_comment] = STATE(1832),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6757),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6759),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1833] = {
    [sym__closed_assignment] = STATE(17048),
    [sym__expression] = STATE(14582),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11816),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14487),
    [sym_unary_expression] = STATE(14487),
    [sym_range_expression] = STATE(14487),
    [sym_splat_expression] = STATE(14487),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14445),
    [sym_unary_typed_expression] = STATE(14487),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14487),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10773),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14443),
    [sym_block_comment] = STATE(1833),
    [sym_line_comment] = STATE(1833),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(6761),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6763),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4081),
    [sym__type_order_operator] = ACTIONS(4081),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym__terminator_token1] = ACTIONS(6765),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1834] = {
    [sym__closed_assignment] = STATE(17278),
    [sym__expression] = STATE(12898),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1834),
    [sym_line_comment] = STATE(1834),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6767),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6769),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1835] = {
    [sym__closed_assignment] = STATE(17769),
    [sym__expression] = STATE(14113),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1835),
    [sym_line_comment] = STATE(1835),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6771),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6773),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1836] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13184),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1836),
    [sym_line_comment] = STATE(1836),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6775),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1837] = {
    [sym__closed_assignment] = STATE(16264),
    [sym__expression] = STATE(12648),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1837),
    [sym_line_comment] = STATE(1837),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6777),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6779),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1838] = {
    [sym__closed_assignment] = STATE(18215),
    [sym__expression] = STATE(14184),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1838),
    [sym_line_comment] = STATE(1838),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6781),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6783),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1839] = {
    [sym__closed_assignment] = STATE(10056),
    [sym__expression] = STATE(9743),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_matrix_row] = STATE(18034),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(1839),
    [sym_line_comment] = STATE(1839),
    [aux_sym_matrix_row_repeat1] = STATE(1256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1840] = {
    [sym__closed_assignment] = STATE(17965),
    [sym__expression] = STATE(14322),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1840),
    [sym_line_comment] = STATE(1840),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6785),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6787),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1841] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13184),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1841),
    [sym_line_comment] = STATE(1841),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6789),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1842] = {
    [sym__closed_assignment] = STATE(17844),
    [sym__expression] = STATE(14300),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1842),
    [sym_line_comment] = STATE(1842),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6791),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6793),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1843] = {
    [sym__closed_assignment] = STATE(17137),
    [sym__expression] = STATE(12965),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1843),
    [sym_line_comment] = STATE(1843),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6795),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6797),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1844] = {
    [sym__closed_assignment] = STATE(17229),
    [sym__expression] = STATE(12815),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1844),
    [sym_line_comment] = STATE(1844),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6799),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6801),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1845] = {
    [sym__closed_assignment] = STATE(17417),
    [sym__expression] = STATE(12989),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1845),
    [sym_line_comment] = STATE(1845),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6803),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6805),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1846] = {
    [sym__closed_assignment] = STATE(18199),
    [sym__expression] = STATE(14198),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1846),
    [sym_line_comment] = STATE(1846),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6807),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6809),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1847] = {
    [sym__closed_assignment] = STATE(16558),
    [sym__expression] = STATE(12744),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1847),
    [sym_line_comment] = STATE(1847),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6811),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6813),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1848] = {
    [sym__closed_assignment] = STATE(18083),
    [sym__expression] = STATE(14256),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1848),
    [sym_line_comment] = STATE(1848),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6815),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6817),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1849] = {
    [sym__closed_assignment] = STATE(17995),
    [sym__expression] = STATE(14230),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1849),
    [sym_line_comment] = STATE(1849),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6819),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6821),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1850] = {
    [sym__closed_assignment] = STATE(17142),
    [sym__expression] = STATE(12792),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1850),
    [sym_line_comment] = STATE(1850),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6823),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6825),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1851] = {
    [sym__closed_assignment] = STATE(17986),
    [sym__expression] = STATE(13981),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1851),
    [sym_line_comment] = STATE(1851),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6827),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6829),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1852] = {
    [sym__closed_assignment] = STATE(17619),
    [sym__expression] = STATE(13990),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1852),
    [sym_line_comment] = STATE(1852),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6831),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6833),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1853] = {
    [sym__closed_assignment] = STATE(17693),
    [sym__expression] = STATE(14077),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1853),
    [sym_line_comment] = STATE(1853),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6835),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6837),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1854] = {
    [sym__closed_assignment] = STATE(16210),
    [sym__expression] = STATE(13032),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1854),
    [sym_line_comment] = STATE(1854),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6839),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6841),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1855] = {
    [sym__closed_assignment] = STATE(17622),
    [sym__expression] = STATE(13880),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1855),
    [sym_line_comment] = STATE(1855),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6843),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6845),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1856] = {
    [sym__closed_assignment] = STATE(17367),
    [sym__expression] = STATE(12851),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1856),
    [sym_line_comment] = STATE(1856),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6847),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6849),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1857] = {
    [sym__closed_assignment] = STATE(16181),
    [sym__expression] = STATE(14582),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11816),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14487),
    [sym_unary_expression] = STATE(14487),
    [sym_range_expression] = STATE(14487),
    [sym_splat_expression] = STATE(14487),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14445),
    [sym_unary_typed_expression] = STATE(14487),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14487),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10836),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14443),
    [sym_block_comment] = STATE(1857),
    [sym_line_comment] = STATE(1857),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(6761),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6851),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4081),
    [sym__type_order_operator] = ACTIONS(4081),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym__terminator_token1] = ACTIONS(6853),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1858] = {
    [sym__closed_assignment] = STATE(17902),
    [sym__expression] = STATE(14326),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1858),
    [sym_line_comment] = STATE(1858),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6855),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6857),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1859] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13403),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10838),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1859),
    [sym_line_comment] = STATE(1859),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6859),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1860] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13184),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1860),
    [sym_line_comment] = STATE(1860),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6861),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1861] = {
    [sym__closed_assignment] = STATE(18102),
    [sym__expression] = STATE(14047),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1861),
    [sym_line_comment] = STATE(1861),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6863),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6865),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1862] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1538),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1862),
    [sym_line_comment] = STATE(1862),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1863] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13184),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1863),
    [sym_line_comment] = STATE(1863),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6867),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1864] = {
    [sym__closed_assignment] = STATE(17001),
    [sym__expression] = STATE(12727),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1864),
    [sym_line_comment] = STATE(1864),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6869),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6871),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1865] = {
    [sym__closed_assignment] = STATE(17645),
    [sym__expression] = STATE(14173),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1865),
    [sym_line_comment] = STATE(1865),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6873),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6875),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1866] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13403),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10838),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1866),
    [sym_line_comment] = STATE(1866),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6877),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1867] = {
    [sym__closed_assignment] = STATE(17694),
    [sym__expression] = STATE(14265),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1867),
    [sym_line_comment] = STATE(1867),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6879),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6881),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1868] = {
    [sym__closed_assignment] = STATE(16162),
    [sym__expression] = STATE(12979),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1868),
    [sym_line_comment] = STATE(1868),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6883),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6885),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1869] = {
    [sym__closed_assignment] = STATE(16167),
    [sym__expression] = STATE(12901),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1869),
    [sym_line_comment] = STATE(1869),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6887),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6889),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1870] = {
    [sym__closed_assignment] = STATE(17708),
    [sym__expression] = STATE(14242),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1870),
    [sym_line_comment] = STATE(1870),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6891),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6893),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1871] = {
    [sym__closed_assignment] = STATE(17990),
    [sym__expression] = STATE(14187),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1871),
    [sym_line_comment] = STATE(1871),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6895),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6897),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1872] = {
    [sym__closed_assignment] = STATE(16351),
    [sym__expression] = STATE(14582),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11816),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14487),
    [sym_unary_expression] = STATE(14487),
    [sym_range_expression] = STATE(14487),
    [sym_splat_expression] = STATE(14487),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14445),
    [sym_unary_typed_expression] = STATE(14487),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14487),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10792),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14443),
    [sym_block_comment] = STATE(1872),
    [sym_line_comment] = STATE(1872),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(6761),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6899),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4081),
    [sym__type_order_operator] = ACTIONS(4081),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym__terminator_token1] = ACTIONS(6901),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1873] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13403),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10838),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1873),
    [sym_line_comment] = STATE(1873),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6903),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1874] = {
    [sym__closed_assignment] = STATE(18090),
    [sym__expression] = STATE(14232),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1874),
    [sym_line_comment] = STATE(1874),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6905),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6907),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1875] = {
    [sym__closed_assignment] = STATE(17946),
    [sym__expression] = STATE(13877),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1875),
    [sym_line_comment] = STATE(1875),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6909),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6911),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1876] = {
    [sym__closed_assignment] = STATE(17914),
    [sym__expression] = STATE(14097),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1876),
    [sym_line_comment] = STATE(1876),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6913),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6915),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1877] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1743),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1877),
    [sym_line_comment] = STATE(1877),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1878] = {
    [sym__closed_assignment] = STATE(16380),
    [sym__expression] = STATE(14582),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11816),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14487),
    [sym_unary_expression] = STATE(14487),
    [sym_range_expression] = STATE(14487),
    [sym_splat_expression] = STATE(14487),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14445),
    [sym_unary_typed_expression] = STATE(14487),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14487),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10797),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14443),
    [sym_block_comment] = STATE(1878),
    [sym_line_comment] = STATE(1878),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(6761),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6917),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4081),
    [sym__type_order_operator] = ACTIONS(4081),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym__terminator_token1] = ACTIONS(6919),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1879] = {
    [sym__closed_assignment] = STATE(17361),
    [sym__expression] = STATE(13006),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1879),
    [sym_line_comment] = STATE(1879),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6921),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6923),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1880] = {
    [sym__closed_assignment] = STATE(17331),
    [sym__expression] = STATE(12872),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1880),
    [sym_line_comment] = STATE(1880),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6925),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6927),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1881] = {
    [sym__closed_assignment] = STATE(17680),
    [sym__expression] = STATE(13866),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1881),
    [sym_line_comment] = STATE(1881),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6929),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6931),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1882] = {
    [sym__closed_assignment] = STATE(17650),
    [sym__expression] = STATE(14200),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1882),
    [sym_line_comment] = STATE(1882),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6935),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1883] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1720),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1883),
    [sym_line_comment] = STATE(1883),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1884] = {
    [sym__closed_assignment] = STATE(16412),
    [sym__expression] = STATE(14582),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11816),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14487),
    [sym_unary_expression] = STATE(14487),
    [sym_range_expression] = STATE(14487),
    [sym_splat_expression] = STATE(14487),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14445),
    [sym_unary_typed_expression] = STATE(14487),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14487),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10800),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14443),
    [sym_block_comment] = STATE(1884),
    [sym_line_comment] = STATE(1884),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(6761),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6937),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4081),
    [sym__type_order_operator] = ACTIONS(4081),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym__terminator_token1] = ACTIONS(6939),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1885] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13184),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1885),
    [sym_line_comment] = STATE(1885),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6941),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1886] = {
    [sym__closed_assignment] = STATE(17678),
    [sym__expression] = STATE(14074),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1886),
    [sym_line_comment] = STATE(1886),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6943),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6945),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1887] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1467),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1887),
    [sym_line_comment] = STATE(1887),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1888] = {
    [sym__closed_assignment] = STATE(18025),
    [sym__expression] = STATE(14262),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1888),
    [sym_line_comment] = STATE(1888),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6947),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6949),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1889] = {
    [sym__closed_assignment] = STATE(18179),
    [sym__expression] = STATE(14213),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1889),
    [sym_line_comment] = STATE(1889),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6951),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6953),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1890] = {
    [sym__closed_assignment] = STATE(18072),
    [sym__expression] = STATE(14327),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1890),
    [sym_line_comment] = STATE(1890),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6955),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6957),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1891] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13403),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10838),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1891),
    [sym_line_comment] = STATE(1891),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6959),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1892] = {
    [sym__closed_assignment] = STATE(16011),
    [sym__expression] = STATE(13026),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1892),
    [sym_line_comment] = STATE(1892),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6961),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6963),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1893] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13184),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1893),
    [sym_line_comment] = STATE(1893),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6965),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1894] = {
    [sym__closed_assignment] = STATE(16485),
    [sym__expression] = STATE(12892),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1894),
    [sym_line_comment] = STATE(1894),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6967),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6969),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1895] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1702),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1895),
    [sym_line_comment] = STATE(1895),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1896] = {
    [sym__closed_assignment] = STATE(16465),
    [sym__expression] = STATE(14582),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11816),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14487),
    [sym_unary_expression] = STATE(14487),
    [sym_range_expression] = STATE(14487),
    [sym_splat_expression] = STATE(14487),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14445),
    [sym_unary_typed_expression] = STATE(14487),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14487),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10809),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14443),
    [sym_block_comment] = STATE(1896),
    [sym_line_comment] = STATE(1896),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(6761),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6971),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4081),
    [sym__type_order_operator] = ACTIONS(4081),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym__terminator_token1] = ACTIONS(6973),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1897] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13403),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10838),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1897),
    [sym_line_comment] = STATE(1897),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6975),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1898] = {
    [sym__closed_assignment] = STATE(16549),
    [sym__expression] = STATE(12680),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1898),
    [sym_line_comment] = STATE(1898),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6977),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6979),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1899] = {
    [sym__closed_assignment] = STATE(18188),
    [sym__expression] = STATE(14145),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1899),
    [sym_line_comment] = STATE(1899),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6981),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6983),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1900] = {
    [sym_open_tuple] = STATE(16436),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13459),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11098),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13622),
    [sym_unary_expression] = STATE(13622),
    [sym_range_expression] = STATE(13622),
    [sym_splat_expression] = STATE(13622),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13242),
    [sym_unary_typed_expression] = STATE(13622),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13622),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13405),
    [sym_block_comment] = STATE(1900),
    [sym_line_comment] = STATE(1900),
    [ts_builtin_sym_end] = ACTIONS(5851),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1901] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1476),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1901),
    [sym_line_comment] = STATE(1901),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1902] = {
    [sym__closed_assignment] = STATE(16487),
    [sym__expression] = STATE(14582),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11816),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14487),
    [sym_unary_expression] = STATE(14487),
    [sym_range_expression] = STATE(14487),
    [sym_splat_expression] = STATE(14487),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14445),
    [sym_unary_typed_expression] = STATE(14487),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14487),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10810),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14443),
    [sym_block_comment] = STATE(1902),
    [sym_line_comment] = STATE(1902),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(6761),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6985),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4081),
    [sym__type_order_operator] = ACTIONS(4081),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym__terminator_token1] = ACTIONS(6987),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1903] = {
    [sym__closed_assignment] = STATE(17704),
    [sym__expression] = STATE(13900),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1903),
    [sym_line_comment] = STATE(1903),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6989),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6991),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1904] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13184),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1904),
    [sym_line_comment] = STATE(1904),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(6993),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1905] = {
    [sym__closed_assignment] = STATE(18006),
    [sym__expression] = STATE(14162),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1905),
    [sym_line_comment] = STATE(1905),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6995),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(6997),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1906] = {
    [sym__closed_assignment] = STATE(17929),
    [sym__expression] = STATE(14287),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1906),
    [sym_line_comment] = STATE(1906),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(6999),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7001),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1907] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1669),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1907),
    [sym_line_comment] = STATE(1907),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1908] = {
    [sym__closed_assignment] = STATE(16507),
    [sym__expression] = STATE(14582),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11816),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14487),
    [sym_unary_expression] = STATE(14487),
    [sym_range_expression] = STATE(14487),
    [sym_splat_expression] = STATE(14487),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14445),
    [sym_unary_typed_expression] = STATE(14487),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14487),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10813),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14443),
    [sym_block_comment] = STATE(1908),
    [sym_line_comment] = STATE(1908),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(6761),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(7003),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4081),
    [sym__type_order_operator] = ACTIONS(4081),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym__terminator_token1] = ACTIONS(7005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1909] = {
    [sym__closed_assignment] = STATE(16336),
    [sym__expression] = STATE(12988),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1909),
    [sym_line_comment] = STATE(1909),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7007),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7009),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1910] = {
    [sym__closed_assignment] = STATE(18189),
    [sym__expression] = STATE(14152),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1910),
    [sym_line_comment] = STATE(1910),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7011),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7013),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1911] = {
    [sym__closed_assignment] = STATE(17918),
    [sym__expression] = STATE(14165),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1911),
    [sym_line_comment] = STATE(1911),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7015),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7017),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1912] = {
    [sym__closed_assignment] = STATE(17675),
    [sym__expression] = STATE(14002),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1912),
    [sym_line_comment] = STATE(1912),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7019),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7021),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1913] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1367),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1913),
    [sym_line_comment] = STATE(1913),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1914] = {
    [sym__closed_assignment] = STATE(16527),
    [sym__expression] = STATE(14582),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11816),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14487),
    [sym_unary_expression] = STATE(14487),
    [sym_range_expression] = STATE(14487),
    [sym_splat_expression] = STATE(14487),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14445),
    [sym_unary_typed_expression] = STATE(14487),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14487),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10817),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14443),
    [sym_block_comment] = STATE(1914),
    [sym_line_comment] = STATE(1914),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(6761),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(7023),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4081),
    [sym__type_order_operator] = ACTIONS(4081),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym__terminator_token1] = ACTIONS(7025),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1915] = {
    [sym__closed_assignment] = STATE(17473),
    [sym__expression] = STATE(12880),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1915),
    [sym_line_comment] = STATE(1915),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7027),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7029),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1916] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13403),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10838),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1916),
    [sym_line_comment] = STATE(1916),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7031),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1917] = {
    [sym__closed_assignment] = STATE(18060),
    [sym__expression] = STATE(14135),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1917),
    [sym_line_comment] = STATE(1917),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7033),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7035),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1918] = {
    [sym__closed_assignment] = STATE(17059),
    [sym__expression] = STATE(12910),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1918),
    [sym_line_comment] = STATE(1918),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7037),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7039),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1919] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1503),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1919),
    [sym_line_comment] = STATE(1919),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1920] = {
    [sym__closed_assignment] = STATE(16548),
    [sym__expression] = STATE(14582),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11816),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14487),
    [sym_unary_expression] = STATE(14487),
    [sym_range_expression] = STATE(14487),
    [sym_splat_expression] = STATE(14487),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14445),
    [sym_unary_typed_expression] = STATE(14487),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14487),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10822),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14443),
    [sym_block_comment] = STATE(1920),
    [sym_line_comment] = STATE(1920),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(6761),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(7041),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4081),
    [sym__type_order_operator] = ACTIONS(4081),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym__terminator_token1] = ACTIONS(7043),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1921] = {
    [sym__closed_assignment] = STATE(17735),
    [sym__expression] = STATE(13957),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1921),
    [sym_line_comment] = STATE(1921),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7045),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7047),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1922] = {
    [sym__closed_assignment] = STATE(17450),
    [sym__expression] = STATE(12922),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1922),
    [sym_line_comment] = STATE(1922),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7049),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7051),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1923] = {
    [sym__closed_assignment] = STATE(17887),
    [sym__expression] = STATE(13894),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1923),
    [sym_line_comment] = STATE(1923),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7053),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7055),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1924] = {
    [sym__closed_assignment] = STATE(18043),
    [sym__expression] = STATE(13961),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1924),
    [sym_line_comment] = STATE(1924),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7057),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7059),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1925] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1625),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1925),
    [sym_line_comment] = STATE(1925),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1926] = {
    [sym__closed_assignment] = STATE(16568),
    [sym__expression] = STATE(14582),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11816),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14487),
    [sym_unary_expression] = STATE(14487),
    [sym_range_expression] = STATE(14487),
    [sym_splat_expression] = STATE(14487),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14445),
    [sym_unary_typed_expression] = STATE(14487),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14487),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10825),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14443),
    [sym_block_comment] = STATE(1926),
    [sym_line_comment] = STATE(1926),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(6761),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(7061),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4081),
    [sym__type_order_operator] = ACTIONS(4081),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym__terminator_token1] = ACTIONS(7063),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1927] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13184),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1927),
    [sym_line_comment] = STATE(1927),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7065),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1928] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13184),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1928),
    [sym_line_comment] = STATE(1928),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7067),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1929] = {
    [sym__closed_assignment] = STATE(17233),
    [sym__expression] = STATE(12813),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1929),
    [sym_line_comment] = STATE(1929),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7069),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7071),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1930] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13184),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10774),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1930),
    [sym_line_comment] = STATE(1930),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7073),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1931] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1734),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1931),
    [sym_line_comment] = STATE(1931),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1932] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1759),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1932),
    [sym_line_comment] = STATE(1932),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1933] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1784),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1933),
    [sym_line_comment] = STATE(1933),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1934] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1320),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1934),
    [sym_line_comment] = STATE(1934),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1935] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1330),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1935),
    [sym_line_comment] = STATE(1935),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1936] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1340),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1936),
    [sym_line_comment] = STATE(1936),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1937] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1350),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1937),
    [sym_line_comment] = STATE(1937),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1938] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1358),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1938),
    [sym_line_comment] = STATE(1938),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1939] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1366),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1939),
    [sym_line_comment] = STATE(1939),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1940] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1376),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1940),
    [sym_line_comment] = STATE(1940),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1941] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1385),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1941),
    [sym_line_comment] = STATE(1941),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1942] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1394),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1942),
    [sym_line_comment] = STATE(1942),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1943] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1405),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1943),
    [sym_line_comment] = STATE(1943),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1944] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1416),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1944),
    [sym_line_comment] = STATE(1944),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1945] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1425),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1945),
    [sym_line_comment] = STATE(1945),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1946] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1436),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1946),
    [sym_line_comment] = STATE(1946),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1947] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1446),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1947),
    [sym_line_comment] = STATE(1947),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1948] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1455),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1948),
    [sym_line_comment] = STATE(1948),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1949] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1465),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1949),
    [sym_line_comment] = STATE(1949),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1950] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1475),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1950),
    [sym_line_comment] = STATE(1950),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1951] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1486),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1951),
    [sym_line_comment] = STATE(1951),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1952] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1495),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1952),
    [sym_line_comment] = STATE(1952),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1953] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1504),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1953),
    [sym_line_comment] = STATE(1953),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1954] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1514),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1954),
    [sym_line_comment] = STATE(1954),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1955] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1524),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1955),
    [sym_line_comment] = STATE(1955),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1956] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11346),
    [sym_tuple_expression] = STATE(11346),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym__do_parameter_list] = STATE(1534),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(13789),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13484),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10941),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1956),
    [sym_line_comment] = STATE(1956),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(6617),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4117),
    [sym__type_order_operator] = ACTIONS(4117),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym__terminator_token1] = ACTIONS(6631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1957] = {
    [sym__closed_assignment] = STATE(17948),
    [sym__expression] = STATE(13904),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1957),
    [sym_line_comment] = STATE(1957),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7075),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7077),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1958] = {
    [sym__closed_assignment] = STATE(17096),
    [sym__expression] = STATE(12759),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1958),
    [sym_line_comment] = STATE(1958),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7079),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7081),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1959] = {
    [sym__closed_assignment] = STATE(16483),
    [sym__expression] = STATE(13002),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1959),
    [sym_line_comment] = STATE(1959),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7083),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7085),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1960] = {
    [sym__closed_assignment] = STATE(17140),
    [sym__expression] = STATE(12959),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1960),
    [sym_line_comment] = STATE(1960),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7087),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7089),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1961] = {
    [sym__closed_assignment] = STATE(17781),
    [sym__expression] = STATE(13999),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1961),
    [sym_line_comment] = STATE(1961),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7091),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7093),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1962] = {
    [sym__closed_assignment] = STATE(18127),
    [sym__expression] = STATE(13986),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1962),
    [sym_line_comment] = STATE(1962),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7095),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7097),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1963] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13403),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10838),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1963),
    [sym_line_comment] = STATE(1963),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7099),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1964] = {
    [sym__closed_assignment] = STATE(17926),
    [sym__expression] = STATE(14045),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1964),
    [sym_line_comment] = STATE(1964),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7101),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7103),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1965] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13403),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10838),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1965),
    [sym_line_comment] = STATE(1965),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7105),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1966] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13403),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10838),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1966),
    [sym_line_comment] = STATE(1966),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7107),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1967] = {
    [sym__closed_assignment] = STATE(18076),
    [sym__expression] = STATE(14157),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1967),
    [sym_line_comment] = STATE(1967),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7109),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7111),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1968] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13403),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10838),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1968),
    [sym_line_comment] = STATE(1968),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7113),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1969] = {
    [sym__closed_assignment] = STATE(17386),
    [sym__expression] = STATE(12836),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1969),
    [sym_line_comment] = STATE(1969),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7115),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7117),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1970] = {
    [sym__closed_assignment] = STATE(18207),
    [sym__expression] = STATE(14128),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1970),
    [sym_line_comment] = STATE(1970),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7119),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7121),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1971] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13403),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10838),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1971),
    [sym_line_comment] = STATE(1971),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7123),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1972] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13403),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10838),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1972),
    [sym_line_comment] = STATE(1972),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7125),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1973] = {
    [sym__closed_assignment] = STATE(17830),
    [sym__expression] = STATE(14014),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1973),
    [sym_line_comment] = STATE(1973),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_COMMA] = ACTIONS(7127),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7129),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1974] = {
    [sym__closed_assignment] = STATE(16440),
    [sym__expression] = STATE(14582),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11816),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14487),
    [sym_unary_expression] = STATE(14487),
    [sym_range_expression] = STATE(14487),
    [sym_splat_expression] = STATE(14487),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14445),
    [sym_unary_typed_expression] = STATE(14487),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14487),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10804),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14443),
    [sym_block_comment] = STATE(1974),
    [sym_line_comment] = STATE(1974),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(6761),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(6615),
    [anon_sym_SEMI] = ACTIONS(7131),
    [anon_sym_LBRACE] = ACTIONS(6619),
    [anon_sym_DOLLAR] = ACTIONS(6621),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(6623),
    [anon_sym_AT] = ACTIONS(6625),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3264),
    [aux_sym_integer_literal_token2] = ACTIONS(3264),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(6627),
    [aux_sym_float_literal_token3] = ACTIONS(6627),
    [aux_sym_float_literal_token4] = ACTIONS(6627),
    [sym_character_literal] = ACTIONS(6629),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(1689),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1689),
    [sym__pipe_left_operator] = ACTIONS(1689),
    [sym__ellipsis_operator] = ACTIONS(1689),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1689),
    [sym__bitshift_operator] = ACTIONS(1689),
    [sym__power_operator] = ACTIONS(1689),
    [sym__tilde_operator] = ACTIONS(4081),
    [sym__type_order_operator] = ACTIONS(4081),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym__terminator_token1] = ACTIONS(7133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1975] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19507),
    [sym__expression] = STATE(14085),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(1975),
    [sym_line_comment] = STATE(1975),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1976] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1976),
    [sym_line_comment] = STATE(1976),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7135),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1977] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1977),
    [sym_line_comment] = STATE(1977),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7137),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1978] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1978),
    [sym_line_comment] = STATE(1978),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7139),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1979] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1979),
    [sym_line_comment] = STATE(1979),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7141),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1980] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1980),
    [sym_line_comment] = STATE(1980),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7143),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1981] = {
    [sym__closed_assignment] = STATE(16486),
    [sym__expression] = STATE(13276),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(1981),
    [sym_line_comment] = STATE(1981),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7145),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1982] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1982),
    [sym_line_comment] = STATE(1982),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7147),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1983] = {
    [sym_open_tuple] = STATE(13185),
    [sym_assignment] = STATE(12160),
    [sym__expression] = STATE(12864),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10978),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12664),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(1983),
    [sym_line_comment] = STATE(1983),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1984] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1984),
    [sym_line_comment] = STATE(1984),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7149),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1985] = {
    [sym_open_tuple] = STATE(19043),
    [sym_assignment] = STATE(7732),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11454),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14448),
    [sym_unary_expression] = STATE(14448),
    [sym_range_expression] = STATE(14448),
    [sym_splat_expression] = STATE(14448),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14003),
    [sym_unary_typed_expression] = STATE(14448),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14448),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13864),
    [sym_block_comment] = STATE(1985),
    [sym_line_comment] = STATE(1985),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1986] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1986),
    [sym_line_comment] = STATE(1986),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7151),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1987] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1987),
    [sym_line_comment] = STATE(1987),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7153),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1988] = {
    [sym_open_tuple] = STATE(8606),
    [sym_assignment] = STATE(8608),
    [sym__expression] = STATE(8647),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4887),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8693),
    [sym_unary_expression] = STATE(8693),
    [sym_range_expression] = STATE(8693),
    [sym_splat_expression] = STATE(8693),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8253),
    [sym_unary_typed_expression] = STATE(8693),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8693),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8197),
    [sym_block_comment] = STATE(1988),
    [sym_line_comment] = STATE(1988),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1989] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1989),
    [sym_line_comment] = STATE(1989),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7175),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1990] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1990),
    [sym_line_comment] = STATE(1990),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7177),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1991] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1991),
    [sym_line_comment] = STATE(1991),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7179),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1992] = {
    [sym_open_tuple] = STATE(8648),
    [sym_assignment] = STATE(8649),
    [sym__expression] = STATE(8651),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4887),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8693),
    [sym_unary_expression] = STATE(8693),
    [sym_range_expression] = STATE(8693),
    [sym_splat_expression] = STATE(8693),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8253),
    [sym_unary_typed_expression] = STATE(8693),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8693),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8197),
    [sym_block_comment] = STATE(1992),
    [sym_line_comment] = STATE(1992),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1993] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1993),
    [sym_line_comment] = STATE(1993),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7181),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1994] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1994),
    [sym_line_comment] = STATE(1994),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7183),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1995] = {
    [sym__expression] = STATE(14036),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17703),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1995),
    [sym_line_comment] = STATE(1995),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7185),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1996] = {
    [sym__expression] = STATE(14281),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17623),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1996),
    [sym_line_comment] = STATE(1996),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7187),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1997] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(1997),
    [sym_line_comment] = STATE(1997),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7189),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1998] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(1998),
    [sym_line_comment] = STATE(1998),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7191),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [1999] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(1999),
    [sym_line_comment] = STATE(1999),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7193),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2000] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2000),
    [sym_line_comment] = STATE(2000),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7195),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2001] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2001),
    [sym_line_comment] = STATE(2001),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7197),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2002] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2002),
    [sym_line_comment] = STATE(2002),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7199),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2003] = {
    [sym_open_tuple] = STATE(9474),
    [sym_assignment] = STATE(9306),
    [sym__expression] = STATE(9016),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5184),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9563),
    [sym_unary_expression] = STATE(9563),
    [sym_range_expression] = STATE(9563),
    [sym_splat_expression] = STATE(9563),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8594),
    [sym_unary_typed_expression] = STATE(9563),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9563),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9250),
    [sym_block_comment] = STATE(2003),
    [sym_line_comment] = STATE(2003),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2004] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2004),
    [sym_line_comment] = STATE(2004),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7221),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2005] = {
    [sym_open_tuple] = STATE(8811),
    [sym_assignment] = STATE(8789),
    [sym__expression] = STATE(8508),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4887),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8693),
    [sym_unary_expression] = STATE(8693),
    [sym_range_expression] = STATE(8693),
    [sym_splat_expression] = STATE(8693),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8253),
    [sym_unary_typed_expression] = STATE(8693),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8693),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8197),
    [sym_block_comment] = STATE(2005),
    [sym_line_comment] = STATE(2005),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2006] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2006),
    [sym_line_comment] = STATE(2006),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7223),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2007] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2007),
    [sym_line_comment] = STATE(2007),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7225),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2008] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2008),
    [sym_line_comment] = STATE(2008),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7227),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2009] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2009),
    [sym_line_comment] = STATE(2009),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7229),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2010] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2010),
    [sym_line_comment] = STATE(2010),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7231),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2011] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2011),
    [sym_line_comment] = STATE(2011),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7233),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2012] = {
    [sym__closed_assignment] = STATE(16486),
    [sym__expression] = STATE(13276),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(2012),
    [sym_line_comment] = STATE(2012),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7235),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2013] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2013),
    [sym_line_comment] = STATE(2013),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7237),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2014] = {
    [sym_open_tuple] = STATE(19181),
    [sym_assignment] = STATE(12032),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11456),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14404),
    [sym_unary_expression] = STATE(14404),
    [sym_range_expression] = STATE(14404),
    [sym_splat_expression] = STATE(14404),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14301),
    [sym_unary_typed_expression] = STATE(14404),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14404),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14212),
    [sym_block_comment] = STATE(2014),
    [sym_line_comment] = STATE(2014),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2015] = {
    [sym_open_tuple] = STATE(20220),
    [sym_assignment] = STATE(12147),
    [sym__expression] = STATE(12834),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10978),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12664),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2015),
    [sym_line_comment] = STATE(2015),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2016] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2016),
    [sym_line_comment] = STATE(2016),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7239),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2017] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2017),
    [sym_line_comment] = STATE(2017),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7241),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2018] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2018),
    [sym_line_comment] = STATE(2018),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7243),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2019] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2019),
    [sym_line_comment] = STATE(2019),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7245),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2020] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2020),
    [sym_line_comment] = STATE(2020),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7247),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2021] = {
    [sym_open_tuple] = STATE(9387),
    [sym_assignment] = STATE(9285),
    [sym__expression] = STATE(9007),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5184),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9563),
    [sym_unary_expression] = STATE(9563),
    [sym_range_expression] = STATE(9563),
    [sym_splat_expression] = STATE(9563),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8594),
    [sym_unary_typed_expression] = STATE(9563),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9563),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9250),
    [sym_block_comment] = STATE(2021),
    [sym_line_comment] = STATE(2021),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2022] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2022),
    [sym_line_comment] = STATE(2022),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7249),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2023] = {
    [sym__expression] = STATE(14161),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17925),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2023),
    [sym_line_comment] = STATE(2023),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7251),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2024] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2024),
    [sym_line_comment] = STATE(2024),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7253),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2025] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2025),
    [sym_line_comment] = STATE(2025),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7255),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2026] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2026),
    [sym_line_comment] = STATE(2026),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7257),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2027] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2027),
    [sym_line_comment] = STATE(2027),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7259),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2028] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2028),
    [sym_line_comment] = STATE(2028),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7261),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2029] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2029),
    [sym_line_comment] = STATE(2029),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7263),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2030] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2030),
    [sym_line_comment] = STATE(2030),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7265),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2031] = {
    [sym__expression] = STATE(14269),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17855),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2031),
    [sym_line_comment] = STATE(2031),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7267),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2032] = {
    [sym_open_tuple] = STATE(9388),
    [sym_assignment] = STATE(9329),
    [sym__expression] = STATE(9008),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5184),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9563),
    [sym_unary_expression] = STATE(9563),
    [sym_range_expression] = STATE(9563),
    [sym_splat_expression] = STATE(9563),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8594),
    [sym_unary_typed_expression] = STATE(9563),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9563),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9250),
    [sym_block_comment] = STATE(2032),
    [sym_line_comment] = STATE(2032),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2033] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2033),
    [sym_line_comment] = STATE(2033),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7269),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2034] = {
    [sym_open_tuple] = STATE(19587),
    [sym_assignment] = STATE(7786),
    [sym__expression] = STATE(8191),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4646),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8170),
    [sym_unary_expression] = STATE(8170),
    [sym_range_expression] = STATE(8170),
    [sym_splat_expression] = STATE(8170),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7472),
    [sym_unary_typed_expression] = STATE(8170),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8170),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7285),
    [sym_block_comment] = STATE(2034),
    [sym_line_comment] = STATE(2034),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2035] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2035),
    [sym_line_comment] = STATE(2035),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7291),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2036] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2036),
    [sym_line_comment] = STATE(2036),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7293),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2037] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2037),
    [sym_line_comment] = STATE(2037),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7295),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2038] = {
    [sym_open_tuple] = STATE(18609),
    [sym_assignment] = STATE(19969),
    [sym__expression] = STATE(14071),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(2038),
    [sym_line_comment] = STATE(2038),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2039] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2039),
    [sym_line_comment] = STATE(2039),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7297),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2040] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2040),
    [sym_line_comment] = STATE(2040),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7299),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2041] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2041),
    [sym_line_comment] = STATE(2041),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7301),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2042] = {
    [sym_open_tuple] = STATE(19364),
    [sym_assignment] = STATE(12923),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11458),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14435),
    [sym_unary_expression] = STATE(14435),
    [sym_range_expression] = STATE(14435),
    [sym_splat_expression] = STATE(14435),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14146),
    [sym_unary_typed_expression] = STATE(14435),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14435),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14086),
    [sym_block_comment] = STATE(2042),
    [sym_line_comment] = STATE(2042),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2043] = {
    [sym_open_tuple] = STATE(13374),
    [sym_assignment] = STATE(12078),
    [sym__expression] = STATE(13183),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10895),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13382),
    [sym_unary_expression] = STATE(13382),
    [sym_range_expression] = STATE(13382),
    [sym_splat_expression] = STATE(13382),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13027),
    [sym_unary_typed_expression] = STATE(13382),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13382),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13031),
    [sym_block_comment] = STATE(2043),
    [sym_line_comment] = STATE(2043),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2044] = {
    [sym_open_tuple] = STATE(13407),
    [sym_assignment] = STATE(12160),
    [sym__expression] = STATE(13186),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10895),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13382),
    [sym_unary_expression] = STATE(13382),
    [sym_range_expression] = STATE(13382),
    [sym_splat_expression] = STATE(13382),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13027),
    [sym_unary_typed_expression] = STATE(13382),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13382),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13031),
    [sym_block_comment] = STATE(2044),
    [sym_line_comment] = STATE(2044),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2045] = {
    [sym_open_tuple] = STATE(19980),
    [sym_assignment] = STATE(9536),
    [sym__expression] = STATE(9303),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5279),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9298),
    [sym_unary_expression] = STATE(9298),
    [sym_range_expression] = STATE(9298),
    [sym_splat_expression] = STATE(9298),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8996),
    [sym_unary_typed_expression] = STATE(9298),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9298),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9058),
    [sym_block_comment] = STATE(2045),
    [sym_line_comment] = STATE(2045),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2046] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2046),
    [sym_line_comment] = STATE(2046),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7303),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2047] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2047),
    [sym_line_comment] = STATE(2047),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7305),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2048] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2048),
    [sym_line_comment] = STATE(2048),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7307),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2049] = {
    [sym_open_tuple] = STATE(13659),
    [sym_assignment] = STATE(12078),
    [sym__expression] = STATE(13604),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11090),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13457),
    [sym_unary_expression] = STATE(13457),
    [sym_range_expression] = STATE(13457),
    [sym_splat_expression] = STATE(13457),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13302),
    [sym_unary_typed_expression] = STATE(13457),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13457),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13309),
    [sym_block_comment] = STATE(2049),
    [sym_line_comment] = STATE(2049),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2050] = {
    [sym_open_tuple] = STATE(8724),
    [sym_assignment] = STATE(9203),
    [sym__expression] = STATE(8341),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4849),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9196),
    [sym_unary_expression] = STATE(9196),
    [sym_range_expression] = STATE(9196),
    [sym_splat_expression] = STATE(9196),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8091),
    [sym_unary_typed_expression] = STATE(9196),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9196),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8066),
    [sym_block_comment] = STATE(2050),
    [sym_line_comment] = STATE(2050),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2051] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2051),
    [sym_line_comment] = STATE(2051),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7309),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2052] = {
    [sym__expression] = STATE(14111),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17957),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2052),
    [sym_line_comment] = STATE(2052),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7311),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2053] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2053),
    [sym_line_comment] = STATE(2053),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7313),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2054] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2054),
    [sym_line_comment] = STATE(2054),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7315),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2055] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2055),
    [sym_line_comment] = STATE(2055),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7257),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2056] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2056),
    [sym_line_comment] = STATE(2056),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7317),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2057] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2057),
    [sym_line_comment] = STATE(2057),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7319),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2058] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2058),
    [sym_line_comment] = STATE(2058),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7321),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2059] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2059),
    [sym_line_comment] = STATE(2059),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7323),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2060] = {
    [sym_open_tuple] = STATE(8725),
    [sym_assignment] = STATE(9210),
    [sym__expression] = STATE(8342),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4849),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9196),
    [sym_unary_expression] = STATE(9196),
    [sym_range_expression] = STATE(9196),
    [sym_splat_expression] = STATE(9196),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8091),
    [sym_unary_typed_expression] = STATE(9196),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9196),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8066),
    [sym_block_comment] = STATE(2060),
    [sym_line_comment] = STATE(2060),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2061] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2061),
    [sym_line_comment] = STATE(2061),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7325),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2062] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2062),
    [sym_line_comment] = STATE(2062),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7327),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2063] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2063),
    [sym_line_comment] = STATE(2063),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7329),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2064] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2064),
    [sym_line_comment] = STATE(2064),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7331),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2065] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2065),
    [sym_line_comment] = STATE(2065),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7333),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2066] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2066),
    [sym_line_comment] = STATE(2066),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7335),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2067] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2067),
    [sym_line_comment] = STATE(2067),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7337),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2068] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2068),
    [sym_line_comment] = STATE(2068),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7339),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2069] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2069),
    [sym_line_comment] = STATE(2069),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7327),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2070] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2070),
    [sym_line_comment] = STATE(2070),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7341),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2071] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2071),
    [sym_line_comment] = STATE(2071),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7343),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2072] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2072),
    [sym_line_comment] = STATE(2072),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7345),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2073] = {
    [sym_open_tuple] = STATE(19587),
    [sym_assignment] = STATE(8481),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11466),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14413),
    [sym_unary_expression] = STATE(14413),
    [sym_range_expression] = STATE(14413),
    [sym_splat_expression] = STATE(14413),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14069),
    [sym_unary_typed_expression] = STATE(14413),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14413),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14316),
    [sym_block_comment] = STATE(2073),
    [sym_line_comment] = STATE(2073),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2074] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2074),
    [sym_line_comment] = STATE(2074),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7347),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2075] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2075),
    [sym_line_comment] = STATE(2075),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7349),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2076] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2076),
    [sym_line_comment] = STATE(2076),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7351),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2077] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2077),
    [sym_line_comment] = STATE(2077),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7353),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2078] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2078),
    [sym_line_comment] = STATE(2078),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7355),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2079] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2079),
    [sym_line_comment] = STATE(2079),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7357),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2080] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2080),
    [sym_line_comment] = STATE(2080),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7359),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2081] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2081),
    [sym_line_comment] = STATE(2081),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7361),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2082] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2082),
    [sym_line_comment] = STATE(2082),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7363),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2083] = {
    [sym__expression] = STATE(13983),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17992),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2083),
    [sym_line_comment] = STATE(2083),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7365),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2084] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2084),
    [sym_line_comment] = STATE(2084),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7367),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2085] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2085),
    [sym_line_comment] = STATE(2085),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7369),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2086] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2086),
    [sym_line_comment] = STATE(2086),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7371),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2087] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2087),
    [sym_line_comment] = STATE(2087),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7373),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2088] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2088),
    [sym_line_comment] = STATE(2088),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7375),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2089] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2089),
    [sym_line_comment] = STATE(2089),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7377),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2090] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2090),
    [sym_line_comment] = STATE(2090),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7379),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2091] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2091),
    [sym_line_comment] = STATE(2091),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7381),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2092] = {
    [sym_open_tuple] = STATE(15701),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(13346),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10871),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13288),
    [sym_unary_expression] = STATE(13288),
    [sym_range_expression] = STATE(13288),
    [sym_splat_expression] = STATE(13288),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12742),
    [sym_unary_typed_expression] = STATE(13288),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13288),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12755),
    [sym_block_comment] = STATE(2092),
    [sym_line_comment] = STATE(2092),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2093] = {
    [sym_open_tuple] = STATE(8272),
    [sym_assignment] = STATE(7735),
    [sym__expression] = STATE(7524),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4594),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8252),
    [sym_unary_expression] = STATE(8252),
    [sym_range_expression] = STATE(8252),
    [sym_splat_expression] = STATE(8252),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7369),
    [sym_unary_typed_expression] = STATE(8252),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8252),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7582),
    [sym_block_comment] = STATE(2093),
    [sym_line_comment] = STATE(2093),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2094] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2094),
    [sym_line_comment] = STATE(2094),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7403),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2095] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2095),
    [sym_line_comment] = STATE(2095),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7405),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2096] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2096),
    [sym_line_comment] = STATE(2096),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7407),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2097] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2097),
    [sym_line_comment] = STATE(2097),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7409),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2098] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2098),
    [sym_line_comment] = STATE(2098),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7411),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2099] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2099),
    [sym_line_comment] = STATE(2099),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7413),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2100] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2100),
    [sym_line_comment] = STATE(2100),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7415),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2101] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2101),
    [sym_line_comment] = STATE(2101),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7417),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2102] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2102),
    [sym_line_comment] = STATE(2102),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7419),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2103] = {
    [sym_open_tuple] = STATE(19747),
    [sym_assignment] = STATE(12032),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11470),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14427),
    [sym_unary_expression] = STATE(14427),
    [sym_range_expression] = STATE(14427),
    [sym_splat_expression] = STATE(14427),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14302),
    [sym_unary_typed_expression] = STATE(14427),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14427),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14155),
    [sym_block_comment] = STATE(2103),
    [sym_line_comment] = STATE(2103),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2104] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2104),
    [sym_line_comment] = STATE(2104),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7421),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2105] = {
    [sym_open_tuple] = STATE(19615),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(13310),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11068),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13049),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2105),
    [sym_line_comment] = STATE(2105),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2106] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2106),
    [sym_line_comment] = STATE(2106),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7423),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2107] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2107),
    [sym_line_comment] = STATE(2107),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7425),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2108] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2108),
    [sym_line_comment] = STATE(2108),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7427),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2109] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2109),
    [sym_line_comment] = STATE(2109),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7429),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2110] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2110),
    [sym_line_comment] = STATE(2110),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7431),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2111] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2111),
    [sym_line_comment] = STATE(2111),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7433),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2112] = {
    [sym__expression] = STATE(14006),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18026),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2112),
    [sym_line_comment] = STATE(2112),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7435),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2113] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2113),
    [sym_line_comment] = STATE(2113),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7437),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2114] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2114),
    [sym_line_comment] = STATE(2114),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7439),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2115] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2115),
    [sym_line_comment] = STATE(2115),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7371),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2116] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2116),
    [sym_line_comment] = STATE(2116),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7441),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2117] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2117),
    [sym_line_comment] = STATE(2117),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7443),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2118] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2118),
    [sym_line_comment] = STATE(2118),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7445),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2119] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2119),
    [sym_line_comment] = STATE(2119),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7447),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2120] = {
    [sym_open_tuple] = STATE(19893),
    [sym_assignment] = STATE(9033),
    [sym__expression] = STATE(8735),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4887),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8693),
    [sym_unary_expression] = STATE(8693),
    [sym_range_expression] = STATE(8693),
    [sym_splat_expression] = STATE(8693),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8253),
    [sym_unary_typed_expression] = STATE(8693),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8693),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8197),
    [sym_block_comment] = STATE(2120),
    [sym_line_comment] = STATE(2120),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2121] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2121),
    [sym_line_comment] = STATE(2121),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7449),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2122] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2122),
    [sym_line_comment] = STATE(2122),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7451),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2123] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2123),
    [sym_line_comment] = STATE(2123),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7453),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2124] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2124),
    [sym_line_comment] = STATE(2124),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7455),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2125] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2125),
    [sym_line_comment] = STATE(2125),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7457),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2126] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2126),
    [sym_line_comment] = STATE(2126),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7459),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2127] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2127),
    [sym_line_comment] = STATE(2127),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7461),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2128] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2128),
    [sym_line_comment] = STATE(2128),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7463),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2129] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2129),
    [sym_line_comment] = STATE(2129),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7465),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2130] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2130),
    [sym_line_comment] = STATE(2130),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7467),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2131] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2131),
    [sym_line_comment] = STATE(2131),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7469),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2132] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2132),
    [sym_line_comment] = STATE(2132),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7471),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2133] = {
    [sym_open_tuple] = STATE(19893),
    [sym_assignment] = STATE(8604),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11473),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14362),
    [sym_unary_expression] = STATE(14362),
    [sym_range_expression] = STATE(14362),
    [sym_splat_expression] = STATE(14362),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14189),
    [sym_unary_typed_expression] = STATE(14362),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14362),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14076),
    [sym_block_comment] = STATE(2133),
    [sym_line_comment] = STATE(2133),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2134] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2134),
    [sym_line_comment] = STATE(2134),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7473),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2135] = {
    [sym_open_tuple] = STATE(12925),
    [sym_assignment] = STATE(11397),
    [sym__expression] = STATE(12517),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10806),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12361),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2135),
    [sym_line_comment] = STATE(2135),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2136] = {
    [sym_open_tuple] = STATE(12926),
    [sym_assignment] = STATE(11399),
    [sym__expression] = STATE(12519),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10806),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12361),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2136),
    [sym_line_comment] = STATE(2136),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2137] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2137),
    [sym_line_comment] = STATE(2137),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7475),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2138] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2138),
    [sym_line_comment] = STATE(2138),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7477),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2139] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2139),
    [sym_line_comment] = STATE(2139),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7479),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2140] = {
    [sym_open_tuple] = STATE(8864),
    [sym_assignment] = STATE(8739),
    [sym__expression] = STATE(8345),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(2140),
    [sym_line_comment] = STATE(2140),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2141] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2141),
    [sym_line_comment] = STATE(2141),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7481),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2142] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2142),
    [sym_line_comment] = STATE(2142),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7483),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2143] = {
    [sym__expression] = STATE(13914),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18153),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2143),
    [sym_line_comment] = STATE(2143),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7485),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2144] = {
    [sym_open_tuple] = STATE(20189),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(13067),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10902),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13179),
    [sym_unary_expression] = STATE(13179),
    [sym_range_expression] = STATE(13179),
    [sym_splat_expression] = STATE(13179),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12733),
    [sym_unary_typed_expression] = STATE(13179),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13179),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12806),
    [sym_block_comment] = STATE(2144),
    [sym_line_comment] = STATE(2144),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2145] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2145),
    [sym_line_comment] = STATE(2145),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7487),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2146] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2146),
    [sym_line_comment] = STATE(2146),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7489),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2147] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2147),
    [sym_line_comment] = STATE(2147),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7491),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2148] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2148),
    [sym_line_comment] = STATE(2148),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7493),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2149] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2149),
    [sym_line_comment] = STATE(2149),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7495),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2150] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2150),
    [sym_line_comment] = STATE(2150),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7497),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2151] = {
    [sym_open_tuple] = STATE(8865),
    [sym_assignment] = STATE(8742),
    [sym__expression] = STATE(8346),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(2151),
    [sym_line_comment] = STATE(2151),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2152] = {
    [sym_open_tuple] = STATE(20179),
    [sym_assignment] = STATE(8734),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11491),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14395),
    [sym_unary_expression] = STATE(14395),
    [sym_range_expression] = STATE(14395),
    [sym_splat_expression] = STATE(14395),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14104),
    [sym_unary_typed_expression] = STATE(14395),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14395),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14195),
    [sym_block_comment] = STATE(2152),
    [sym_line_comment] = STATE(2152),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2153] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2153),
    [sym_line_comment] = STATE(2153),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7499),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2154] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2154),
    [sym_line_comment] = STATE(2154),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7501),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2155] = {
    [sym_open_tuple] = STATE(15879),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(13453),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11098),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13622),
    [sym_unary_expression] = STATE(13622),
    [sym_range_expression] = STATE(13622),
    [sym_splat_expression] = STATE(13622),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13242),
    [sym_unary_typed_expression] = STATE(13622),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13622),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13405),
    [sym_block_comment] = STATE(2155),
    [sym_line_comment] = STATE(2155),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2156] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2156),
    [sym_line_comment] = STATE(2156),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7503),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2157] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2157),
    [sym_line_comment] = STATE(2157),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7505),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2158] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2158),
    [sym_line_comment] = STATE(2158),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7507),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2159] = {
    [sym_open_tuple] = STATE(14054),
    [sym_assignment] = STATE(11397),
    [sym__expression] = STATE(14317),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11432),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14235),
    [sym_unary_expression] = STATE(14235),
    [sym_range_expression] = STATE(14235),
    [sym_splat_expression] = STATE(14235),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13846),
    [sym_unary_typed_expression] = STATE(14235),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14235),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13786),
    [sym_block_comment] = STATE(2159),
    [sym_line_comment] = STATE(2159),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2160] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2160),
    [sym_line_comment] = STATE(2160),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7509),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2161] = {
    [sym_open_tuple] = STATE(12694),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(12718),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10777),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12932),
    [sym_unary_expression] = STATE(12932),
    [sym_range_expression] = STATE(12932),
    [sym_splat_expression] = STATE(12932),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12461),
    [sym_unary_typed_expression] = STATE(12932),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12932),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12462),
    [sym_block_comment] = STATE(2161),
    [sym_line_comment] = STATE(2161),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2162] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2162),
    [sym_line_comment] = STATE(2162),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7511),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2163] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2163),
    [sym_line_comment] = STATE(2163),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7513),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2164] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2164),
    [sym_line_comment] = STATE(2164),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7235),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2165] = {
    [sym_open_tuple] = STATE(20098),
    [sym_assignment] = STATE(8935),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11476),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14411),
    [sym_unary_expression] = STATE(14411),
    [sym_range_expression] = STATE(14411),
    [sym_splat_expression] = STATE(14411),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14257),
    [sym_unary_typed_expression] = STATE(14411),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14411),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14311),
    [sym_block_comment] = STATE(2165),
    [sym_line_comment] = STATE(2165),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2166] = {
    [sym_open_tuple] = STATE(13665),
    [sym_assignment] = STATE(11397),
    [sym__expression] = STATE(13380),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11068),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13049),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2166),
    [sym_line_comment] = STATE(2166),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2167] = {
    [sym_open_tuple] = STATE(13666),
    [sym_assignment] = STATE(11399),
    [sym__expression] = STATE(13381),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11068),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13049),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2167),
    [sym_line_comment] = STATE(2167),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2168] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2168),
    [sym_line_comment] = STATE(2168),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7515),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2169] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2169),
    [sym_line_comment] = STATE(2169),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7517),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2170] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2170),
    [sym_line_comment] = STATE(2170),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7519),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2171] = {
    [sym_open_tuple] = STATE(14067),
    [sym_assignment] = STATE(11399),
    [sym__expression] = STATE(14321),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11432),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14235),
    [sym_unary_expression] = STATE(14235),
    [sym_range_expression] = STATE(14235),
    [sym_splat_expression] = STATE(14235),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13846),
    [sym_unary_typed_expression] = STATE(14235),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14235),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13786),
    [sym_block_comment] = STATE(2171),
    [sym_line_comment] = STATE(2171),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2172] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2172),
    [sym_line_comment] = STATE(2172),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7521),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2173] = {
    [sym__expression] = STATE(14118),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18066),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2173),
    [sym_line_comment] = STATE(2173),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7523),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2174] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2174),
    [sym_line_comment] = STATE(2174),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7525),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2175] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2175),
    [sym_line_comment] = STATE(2175),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7527),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2176] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2176),
    [sym_line_comment] = STATE(2176),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7489),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2177] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2177),
    [sym_line_comment] = STATE(2177),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7529),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2178] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2178),
    [sym_line_comment] = STATE(2178),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7531),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2179] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2179),
    [sym_line_comment] = STATE(2179),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7533),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2180] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2180),
    [sym_line_comment] = STATE(2180),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7535),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2181] = {
    [sym_open_tuple] = STATE(19169),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(12837),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10947),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12651),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2181),
    [sym_line_comment] = STATE(2181),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2182] = {
    [sym_open_tuple] = STATE(8943),
    [sym_assignment] = STATE(8969),
    [sym__expression] = STATE(8615),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4752),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8906),
    [sym_unary_expression] = STATE(8906),
    [sym_range_expression] = STATE(8906),
    [sym_splat_expression] = STATE(8906),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7858),
    [sym_unary_typed_expression] = STATE(8906),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8906),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8302),
    [sym_block_comment] = STATE(2182),
    [sym_line_comment] = STATE(2182),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2183] = {
    [sym_open_tuple] = STATE(8890),
    [sym_assignment] = STATE(9249),
    [sym__expression] = STATE(8352),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(2183),
    [sym_line_comment] = STATE(2183),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2184] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2184),
    [sym_line_comment] = STATE(2184),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7557),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2185] = {
    [sym_open_tuple] = STATE(19140),
    [sym_assignment] = STATE(8655),
    [sym__expression] = STATE(8357),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4849),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9196),
    [sym_unary_expression] = STATE(9196),
    [sym_range_expression] = STATE(9196),
    [sym_splat_expression] = STATE(9196),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8091),
    [sym_unary_typed_expression] = STATE(9196),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9196),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8066),
    [sym_block_comment] = STATE(2185),
    [sym_line_comment] = STATE(2185),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2186] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2186),
    [sym_line_comment] = STATE(2186),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7559),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2187] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2187),
    [sym_line_comment] = STATE(2187),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7561),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2188] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2188),
    [sym_line_comment] = STATE(2188),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7563),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2189] = {
    [sym_open_tuple] = STATE(19043),
    [sym_assignment] = STATE(8015),
    [sym__expression] = STATE(7519),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4594),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8252),
    [sym_unary_expression] = STATE(8252),
    [sym_range_expression] = STATE(8252),
    [sym_splat_expression] = STATE(8252),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7369),
    [sym_unary_typed_expression] = STATE(8252),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8252),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7582),
    [sym_block_comment] = STATE(2189),
    [sym_line_comment] = STATE(2189),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2190] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2190),
    [sym_line_comment] = STATE(2190),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7565),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2191] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2191),
    [sym_line_comment] = STATE(2191),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7567),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2192] = {
    [sym_open_tuple] = STATE(12877),
    [sym_assignment] = STATE(12078),
    [sym__expression] = STATE(12510),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10823),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12352),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2192),
    [sym_line_comment] = STATE(2192),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2193] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2193),
    [sym_line_comment] = STATE(2193),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7569),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2194] = {
    [sym_open_tuple] = STATE(20266),
    [sym_assignment] = STATE(12032),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11478),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14363),
    [sym_unary_expression] = STATE(14363),
    [sym_range_expression] = STATE(14363),
    [sym_splat_expression] = STATE(14363),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14120),
    [sym_unary_typed_expression] = STATE(14363),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14363),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14271),
    [sym_block_comment] = STATE(2194),
    [sym_line_comment] = STATE(2194),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2195] = {
    [sym_open_tuple] = STATE(12878),
    [sym_assignment] = STATE(12160),
    [sym__expression] = STATE(12511),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10823),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12352),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2195),
    [sym_line_comment] = STATE(2195),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2196] = {
    [sym_open_tuple] = STATE(14030),
    [sym_assignment] = STATE(11415),
    [sym__expression] = STATE(13932),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14140),
    [sym_unary_expression] = STATE(14140),
    [sym_range_expression] = STATE(14140),
    [sym_splat_expression] = STATE(14140),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13785),
    [sym_unary_typed_expression] = STATE(14140),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14140),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13749),
    [sym_block_comment] = STATE(2196),
    [sym_line_comment] = STATE(2196),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2197] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2197),
    [sym_line_comment] = STATE(2197),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7571),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2198] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2198),
    [sym_line_comment] = STATE(2198),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7573),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2199] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2199),
    [sym_line_comment] = STATE(2199),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7575),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2200] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2200),
    [sym_line_comment] = STATE(2200),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7577),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2201] = {
    [sym_open_tuple] = STATE(19781),
    [sym_assignment] = STATE(9536),
    [sym__expression] = STATE(9023),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5184),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9563),
    [sym_unary_expression] = STATE(9563),
    [sym_range_expression] = STATE(9563),
    [sym_splat_expression] = STATE(9563),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8594),
    [sym_unary_typed_expression] = STATE(9563),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9563),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9250),
    [sym_block_comment] = STATE(2201),
    [sym_line_comment] = STATE(2201),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2202] = {
    [sym_open_tuple] = STATE(20266),
    [sym_assignment] = STATE(12147),
    [sym__expression] = STATE(13272),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10895),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13382),
    [sym_unary_expression] = STATE(13382),
    [sym_range_expression] = STATE(13382),
    [sym_splat_expression] = STATE(13382),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13027),
    [sym_unary_typed_expression] = STATE(13382),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13382),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13031),
    [sym_block_comment] = STATE(2202),
    [sym_line_comment] = STATE(2202),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2203] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2203),
    [sym_line_comment] = STATE(2203),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7579),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2204] = {
    [sym__expression] = STATE(14298),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17971),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2204),
    [sym_line_comment] = STATE(2204),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7581),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2205] = {
    [sym_open_tuple] = STATE(12847),
    [sym_assignment] = STATE(12904),
    [sym__expression] = STATE(12740),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10841),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12930),
    [sym_unary_expression] = STATE(12930),
    [sym_range_expression] = STATE(12930),
    [sym_splat_expression] = STATE(12930),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12542),
    [sym_unary_typed_expression] = STATE(12930),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12930),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12398),
    [sym_block_comment] = STATE(2205),
    [sym_line_comment] = STATE(2205),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2206] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2206),
    [sym_line_comment] = STATE(2206),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7583),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2207] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2207),
    [sym_line_comment] = STATE(2207),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7585),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2208] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2208),
    [sym_line_comment] = STATE(2208),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7587),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2209] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2209),
    [sym_line_comment] = STATE(2209),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7589),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2210] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2210),
    [sym_line_comment] = STATE(2210),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7591),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2211] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2211),
    [sym_line_comment] = STATE(2211),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7593),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2212] = {
    [sym_open_tuple] = STATE(19615),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(13365),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11068),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13049),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2212),
    [sym_line_comment] = STATE(2212),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2213] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2213),
    [sym_line_comment] = STATE(2213),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7595),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2214] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2214),
    [sym_line_comment] = STATE(2214),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7597),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2215] = {
    [sym_open_tuple] = STATE(19140),
    [sym_assignment] = STATE(8655),
    [sym__expression] = STATE(9052),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4849),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9196),
    [sym_unary_expression] = STATE(9196),
    [sym_range_expression] = STATE(9196),
    [sym_splat_expression] = STATE(9196),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8091),
    [sym_unary_typed_expression] = STATE(9196),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9196),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8066),
    [sym_block_comment] = STATE(2215),
    [sym_line_comment] = STATE(2215),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2216] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2216),
    [sym_line_comment] = STATE(2216),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7599),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2217] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2217),
    [sym_line_comment] = STATE(2217),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7601),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2218] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2218),
    [sym_line_comment] = STATE(2218),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7603),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2219] = {
    [sym_open_tuple] = STATE(9197),
    [sym_assignment] = STATE(9199),
    [sym__expression] = STATE(9200),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4752),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8906),
    [sym_unary_expression] = STATE(8906),
    [sym_range_expression] = STATE(8906),
    [sym_splat_expression] = STATE(8906),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7858),
    [sym_unary_typed_expression] = STATE(8906),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8906),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8302),
    [sym_block_comment] = STATE(2219),
    [sym_line_comment] = STATE(2219),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2220] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2220),
    [sym_line_comment] = STATE(2220),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7605),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2221] = {
    [sym_open_tuple] = STATE(9201),
    [sym_assignment] = STATE(9202),
    [sym__expression] = STATE(9204),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4752),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8906),
    [sym_unary_expression] = STATE(8906),
    [sym_range_expression] = STATE(8906),
    [sym_splat_expression] = STATE(8906),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7858),
    [sym_unary_typed_expression] = STATE(8906),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8906),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8302),
    [sym_block_comment] = STATE(2221),
    [sym_line_comment] = STATE(2221),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2222] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2222),
    [sym_line_comment] = STATE(2222),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7607),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2223] = {
    [sym_open_tuple] = STATE(19560),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(13747),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11345),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13804),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2223),
    [sym_line_comment] = STATE(2223),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2224] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2224),
    [sym_line_comment] = STATE(2224),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7609),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2225] = {
    [sym_open_tuple] = STATE(18832),
    [sym_assignment] = STATE(11377),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11480),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14235),
    [sym_unary_expression] = STATE(14235),
    [sym_range_expression] = STATE(14235),
    [sym_splat_expression] = STATE(14235),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14149),
    [sym_unary_typed_expression] = STATE(14235),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14235),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13786),
    [sym_block_comment] = STATE(2225),
    [sym_line_comment] = STATE(2225),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2226] = {
    [sym_open_tuple] = STATE(19000),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(12486),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10806),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12361),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2226),
    [sym_line_comment] = STATE(2226),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2227] = {
    [sym_open_tuple] = STATE(18869),
    [sym_assignment] = STATE(8850),
    [sym__expression] = STATE(8361),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4728),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8593),
    [sym_unary_expression] = STATE(8593),
    [sym_range_expression] = STATE(8593),
    [sym_splat_expression] = STATE(8593),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8196),
    [sym_unary_typed_expression] = STATE(8593),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8593),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8146),
    [sym_block_comment] = STATE(2227),
    [sym_line_comment] = STATE(2227),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2228] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2228),
    [sym_line_comment] = STATE(2228),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7611),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2229] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2229),
    [sym_line_comment] = STATE(2229),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7613),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2230] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2230),
    [sym_line_comment] = STATE(2230),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7615),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2231] = {
    [sym_open_tuple] = STATE(19940),
    [sym_assignment] = STATE(12032),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11451),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14394),
    [sym_unary_expression] = STATE(14394),
    [sym_range_expression] = STATE(14394),
    [sym_splat_expression] = STATE(14394),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14220),
    [sym_unary_typed_expression] = STATE(14394),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14394),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13984),
    [sym_block_comment] = STATE(2231),
    [sym_line_comment] = STATE(2231),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2232] = {
    [sym_open_tuple] = STATE(12757),
    [sym_assignment] = STATE(12938),
    [sym__expression] = STATE(12454),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10798),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12713),
    [sym_unary_expression] = STATE(12713),
    [sym_range_expression] = STATE(12713),
    [sym_splat_expression] = STATE(12713),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12557),
    [sym_unary_typed_expression] = STATE(12713),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12713),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12520),
    [sym_block_comment] = STATE(2232),
    [sym_line_comment] = STATE(2232),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2233] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2233),
    [sym_line_comment] = STATE(2233),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7617),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2234] = {
    [sym__expression] = STATE(13871),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18174),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2234),
    [sym_line_comment] = STATE(2234),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7619),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2235] = {
    [sym_open_tuple] = STATE(12758),
    [sym_assignment] = STATE(12950),
    [sym__expression] = STATE(12455),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10798),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12713),
    [sym_unary_expression] = STATE(12713),
    [sym_range_expression] = STATE(12713),
    [sym_splat_expression] = STATE(12713),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12557),
    [sym_unary_typed_expression] = STATE(12713),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12713),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12520),
    [sym_block_comment] = STATE(2235),
    [sym_line_comment] = STATE(2235),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2236] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2236),
    [sym_line_comment] = STATE(2236),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7621),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2237] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2237),
    [sym_line_comment] = STATE(2237),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7585),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2238] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2238),
    [sym_line_comment] = STATE(2238),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7623),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2239] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2239),
    [sym_line_comment] = STATE(2239),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7625),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2240] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2240),
    [sym_line_comment] = STATE(2240),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7627),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2241] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2241),
    [sym_line_comment] = STATE(2241),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7629),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2242] = {
    [sym_open_tuple] = STATE(14098),
    [sym_assignment] = STATE(11415),
    [sym__expression] = STATE(13924),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11432),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14235),
    [sym_unary_expression] = STATE(14235),
    [sym_range_expression] = STATE(14235),
    [sym_splat_expression] = STATE(14235),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13846),
    [sym_unary_typed_expression] = STATE(14235),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14235),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13786),
    [sym_block_comment] = STATE(2242),
    [sym_line_comment] = STATE(2242),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2243] = {
    [sym_open_tuple] = STATE(13394),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(13075),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10932),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13367),
    [sym_unary_expression] = STATE(13367),
    [sym_range_expression] = STATE(13367),
    [sym_splat_expression] = STATE(13367),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13018),
    [sym_unary_typed_expression] = STATE(13367),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13367),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13019),
    [sym_block_comment] = STATE(2243),
    [sym_line_comment] = STATE(2243),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2244] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2244),
    [sym_line_comment] = STATE(2244),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7631),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2245] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2245),
    [sym_line_comment] = STATE(2245),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7633),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2246] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2246),
    [sym_line_comment] = STATE(2246),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7635),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2247] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2247),
    [sym_line_comment] = STATE(2247),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7637),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2248] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2248),
    [sym_line_comment] = STATE(2248),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7639),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2249] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2249),
    [sym_line_comment] = STATE(2249),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7641),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2250] = {
    [sym__closed_assignment] = STATE(16486),
    [sym__expression] = STATE(13276),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(2250),
    [sym_line_comment] = STATE(2250),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2251] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2251),
    [sym_line_comment] = STATE(2251),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7645),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2252] = {
    [sym_open_tuple] = STATE(19181),
    [sym_assignment] = STATE(12147),
    [sym__expression] = STATE(12464),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10823),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12352),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2252),
    [sym_line_comment] = STATE(2252),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2253] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2253),
    [sym_line_comment] = STATE(2253),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7647),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2254] = {
    [sym_open_tuple] = STATE(19835),
    [sym_assignment] = STATE(8481),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11483),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14374),
    [sym_unary_expression] = STATE(14374),
    [sym_range_expression] = STATE(14374),
    [sym_splat_expression] = STATE(14374),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13922),
    [sym_unary_typed_expression] = STATE(14374),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14374),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14154),
    [sym_block_comment] = STATE(2254),
    [sym_line_comment] = STATE(2254),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2255] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2255),
    [sym_line_comment] = STATE(2255),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7649),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2256] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2256),
    [sym_line_comment] = STATE(2256),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7651),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2257] = {
    [sym_open_tuple] = STATE(15057),
    [sym_assignment] = STATE(15503),
    [sym__expression] = STATE(12934),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(2257),
    [sym_line_comment] = STATE(2257),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2258] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2258),
    [sym_line_comment] = STATE(2258),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7653),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2259] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2259),
    [sym_line_comment] = STATE(2259),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7655),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2260] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2260),
    [sym_line_comment] = STATE(2260),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7657),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2261] = {
    [sym_open_tuple] = STATE(13204),
    [sym_assignment] = STATE(12078),
    [sym__expression] = STATE(12867),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10872),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12714),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2261),
    [sym_line_comment] = STATE(2261),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2262] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2262),
    [sym_line_comment] = STATE(2262),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2263] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2263),
    [sym_line_comment] = STATE(2263),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7661),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2264] = {
    [sym__expression] = STATE(14095),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18205),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2264),
    [sym_line_comment] = STATE(2264),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7663),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2265] = {
    [sym__expression] = STATE(13929),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17605),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2265),
    [sym_line_comment] = STATE(2265),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7665),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2266] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2266),
    [sym_line_comment] = STATE(2266),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7667),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2267] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2267),
    [sym_line_comment] = STATE(2267),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7669),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2268] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2268),
    [sym_line_comment] = STATE(2268),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7671),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2269] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2269),
    [sym_line_comment] = STATE(2269),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7673),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2270] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2270),
    [sym_line_comment] = STATE(2270),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7675),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2271] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2271),
    [sym_line_comment] = STATE(2271),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7677),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2272] = {
    [sym_open_tuple] = STATE(13205),
    [sym_assignment] = STATE(12160),
    [sym__expression] = STATE(12868),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10872),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12714),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2272),
    [sym_line_comment] = STATE(2272),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2273] = {
    [sym_open_tuple] = STATE(18832),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(14228),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11432),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14235),
    [sym_unary_expression] = STATE(14235),
    [sym_range_expression] = STATE(14235),
    [sym_splat_expression] = STATE(14235),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13846),
    [sym_unary_typed_expression] = STATE(14235),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14235),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13786),
    [sym_block_comment] = STATE(2273),
    [sym_line_comment] = STATE(2273),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2274] = {
    [sym_open_tuple] = STATE(8911),
    [sym_assignment] = STATE(8836),
    [sym__expression] = STATE(8362),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4926),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8747),
    [sym_unary_expression] = STATE(8747),
    [sym_range_expression] = STATE(8747),
    [sym_splat_expression] = STATE(8747),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8279),
    [sym_unary_typed_expression] = STATE(8747),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8747),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8225),
    [sym_block_comment] = STATE(2274),
    [sym_line_comment] = STATE(2274),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2275] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2275),
    [sym_line_comment] = STATE(2275),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7699),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2276] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2276),
    [sym_line_comment] = STATE(2276),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7701),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2277] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2277),
    [sym_line_comment] = STATE(2277),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7703),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2278] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2278),
    [sym_line_comment] = STATE(2278),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7705),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2279] = {
    [sym_open_tuple] = STATE(19940),
    [sym_assignment] = STATE(12147),
    [sym__expression] = STATE(13047),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13359),
    [sym_unary_expression] = STATE(13359),
    [sym_range_expression] = STATE(13359),
    [sym_splat_expression] = STATE(13359),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12853),
    [sym_unary_typed_expression] = STATE(13359),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13359),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12857),
    [sym_block_comment] = STATE(2279),
    [sym_line_comment] = STATE(2279),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2280] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2280),
    [sym_line_comment] = STATE(2280),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7707),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2281] = {
    [sym_open_tuple] = STATE(19364),
    [sym_assignment] = STATE(12812),
    [sym__expression] = STATE(12469),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10798),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12713),
    [sym_unary_expression] = STATE(12713),
    [sym_range_expression] = STATE(12713),
    [sym_splat_expression] = STATE(12713),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12557),
    [sym_unary_typed_expression] = STATE(12713),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12713),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12520),
    [sym_block_comment] = STATE(2281),
    [sym_line_comment] = STATE(2281),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2282] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2282),
    [sym_line_comment] = STATE(2282),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7709),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2283] = {
    [sym_open_tuple] = STATE(9784),
    [sym_assignment] = STATE(9785),
    [sym__expression] = STATE(9786),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5580),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9775),
    [sym_unary_expression] = STATE(9775),
    [sym_range_expression] = STATE(9775),
    [sym_splat_expression] = STATE(9775),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9641),
    [sym_unary_typed_expression] = STATE(9775),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9775),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9721),
    [sym_block_comment] = STATE(2283),
    [sym_line_comment] = STATE(2283),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2284] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2284),
    [sym_line_comment] = STATE(2284),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7711),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2285] = {
    [sym_open_tuple] = STATE(19501),
    [sym_assignment] = STATE(8604),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11487),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14426),
    [sym_unary_expression] = STATE(14426),
    [sym_range_expression] = STATE(14426),
    [sym_splat_expression] = STATE(14426),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14158),
    [sym_unary_typed_expression] = STATE(14426),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14426),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14156),
    [sym_block_comment] = STATE(2285),
    [sym_line_comment] = STATE(2285),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2286] = {
    [sym_open_tuple] = STATE(8876),
    [sym_assignment] = STATE(8937),
    [sym__expression] = STATE(8349),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4926),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8747),
    [sym_unary_expression] = STATE(8747),
    [sym_range_expression] = STATE(8747),
    [sym_splat_expression] = STATE(8747),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8279),
    [sym_unary_typed_expression] = STATE(8747),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8747),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8225),
    [sym_block_comment] = STATE(2286),
    [sym_line_comment] = STATE(2286),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2287] = {
    [sym_open_tuple] = STATE(8877),
    [sym_assignment] = STATE(8941),
    [sym__expression] = STATE(8350),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4926),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8747),
    [sym_unary_expression] = STATE(8747),
    [sym_range_expression] = STATE(8747),
    [sym_splat_expression] = STATE(8747),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8279),
    [sym_unary_typed_expression] = STATE(8747),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8747),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8225),
    [sym_block_comment] = STATE(2287),
    [sym_line_comment] = STATE(2287),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2288] = {
    [sym_open_tuple] = STATE(9787),
    [sym_assignment] = STATE(9788),
    [sym__expression] = STATE(9789),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5580),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9775),
    [sym_unary_expression] = STATE(9775),
    [sym_range_expression] = STATE(9775),
    [sym_splat_expression] = STATE(9775),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9641),
    [sym_unary_typed_expression] = STATE(9775),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9775),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9721),
    [sym_block_comment] = STATE(2288),
    [sym_line_comment] = STATE(2288),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2289] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2289),
    [sym_line_comment] = STATE(2289),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7713),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2290] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2290),
    [sym_line_comment] = STATE(2290),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7715),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2291] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2291),
    [sym_line_comment] = STATE(2291),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7717),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2292] = {
    [sym_open_tuple] = STATE(13503),
    [sym_assignment] = STATE(11415),
    [sym__expression] = STATE(13339),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11068),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13049),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2292),
    [sym_line_comment] = STATE(2292),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2293] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2293),
    [sym_line_comment] = STATE(2293),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7719),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2294] = {
    [sym__expression] = STATE(13968),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17644),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2294),
    [sym_line_comment] = STATE(2294),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7721),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2295] = {
    [sym_open_tuple] = STATE(16933),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13436),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(2295),
    [sym_line_comment] = STATE(2295),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2296] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2296),
    [sym_line_comment] = STATE(2296),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7723),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2297] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2297),
    [sym_line_comment] = STATE(2297),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7669),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2298] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2298),
    [sym_line_comment] = STATE(2298),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7725),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2299] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2299),
    [sym_line_comment] = STATE(2299),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7727),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2300] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2300),
    [sym_line_comment] = STATE(2300),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7729),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2301] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2301),
    [sym_line_comment] = STATE(2301),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7731),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2302] = {
    [sym_open_tuple] = STATE(19747),
    [sym_assignment] = STATE(12147),
    [sym__expression] = STATE(12850),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10872),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12714),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2302),
    [sym_line_comment] = STATE(2302),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2303] = {
    [sym_open_tuple] = STATE(12659),
    [sym_assignment] = STATE(11415),
    [sym__expression] = STATE(12916),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10755),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12793),
    [sym_unary_expression] = STATE(12793),
    [sym_range_expression] = STATE(12793),
    [sym_splat_expression] = STATE(12793),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12408),
    [sym_unary_typed_expression] = STATE(12793),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12793),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12363),
    [sym_block_comment] = STATE(2303),
    [sym_line_comment] = STATE(2303),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2304] = {
    [sym_open_tuple] = STATE(8298),
    [sym_assignment] = STATE(8483),
    [sym__expression] = STATE(7522),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4603),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8265),
    [sym_unary_expression] = STATE(8265),
    [sym_range_expression] = STATE(8265),
    [sym_splat_expression] = STATE(8265),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7574),
    [sym_unary_typed_expression] = STATE(8265),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8265),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7683),
    [sym_block_comment] = STATE(2304),
    [sym_line_comment] = STATE(2304),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2305] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2305),
    [sym_line_comment] = STATE(2305),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7733),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2306] = {
    [sym_open_tuple] = STATE(8299),
    [sym_assignment] = STATE(8486),
    [sym__expression] = STATE(7523),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4603),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8265),
    [sym_unary_expression] = STATE(8265),
    [sym_range_expression] = STATE(8265),
    [sym_splat_expression] = STATE(8265),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7574),
    [sym_unary_typed_expression] = STATE(8265),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8265),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7683),
    [sym_block_comment] = STATE(2306),
    [sym_line_comment] = STATE(2306),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2307] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2307),
    [sym_line_comment] = STATE(2307),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7735),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2308] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2308),
    [sym_line_comment] = STATE(2308),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7737),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2309] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2309),
    [sym_line_comment] = STATE(2309),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7739),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2310] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2310),
    [sym_line_comment] = STATE(2310),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7741),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2311] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2311),
    [sym_line_comment] = STATE(2311),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7743),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2312] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2312),
    [sym_line_comment] = STATE(2312),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7745),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2313] = {
    [sym_open_tuple] = STATE(8332),
    [sym_assignment] = STATE(7883),
    [sym__expression] = STATE(7527),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4603),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8265),
    [sym_unary_expression] = STATE(8265),
    [sym_range_expression] = STATE(8265),
    [sym_splat_expression] = STATE(8265),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7574),
    [sym_unary_typed_expression] = STATE(8265),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8265),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7683),
    [sym_block_comment] = STATE(2313),
    [sym_line_comment] = STATE(2313),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2314] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2314),
    [sym_line_comment] = STATE(2314),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7747),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2315] = {
    [sym_open_tuple] = STATE(18839),
    [sym_assignment] = STATE(12032),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11489),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14434),
    [sym_unary_expression] = STATE(14434),
    [sym_range_expression] = STATE(14434),
    [sym_splat_expression] = STATE(14434),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14308),
    [sym_unary_typed_expression] = STATE(14434),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14434),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14088),
    [sym_block_comment] = STATE(2315),
    [sym_line_comment] = STATE(2315),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2316] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2316),
    [sym_line_comment] = STATE(2316),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7749),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2317] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2317),
    [sym_line_comment] = STATE(2317),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7751),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2318] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2318),
    [sym_line_comment] = STATE(2318),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7753),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2319] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2319),
    [sym_line_comment] = STATE(2319),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7755),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2320] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2320),
    [sym_line_comment] = STATE(2320),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7757),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2321] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2321),
    [sym_line_comment] = STATE(2321),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7759),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2322] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2322),
    [sym_line_comment] = STATE(2322),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7761),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2323] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2323),
    [sym_line_comment] = STATE(2323),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7623),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2324] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2324),
    [sym_line_comment] = STATE(2324),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7763),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2325] = {
    [sym__expression] = STATE(14106),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18039),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2325),
    [sym_line_comment] = STATE(2325),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7765),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2326] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2326),
    [sym_line_comment] = STATE(2326),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7767),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2327] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2327),
    [sym_line_comment] = STATE(2327),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7769),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2328] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2328),
    [sym_line_comment] = STATE(2328),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7771),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2329] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2329),
    [sym_line_comment] = STATE(2329),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7773),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2330] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2330),
    [sym_line_comment] = STATE(2330),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7775),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2331] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2331),
    [sym_line_comment] = STATE(2331),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7777),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2332] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2332),
    [sym_line_comment] = STATE(2332),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7779),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2333] = {
    [sym_open_tuple] = STATE(20091),
    [sym_assignment] = STATE(12147),
    [sym__expression] = STATE(13524),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11086),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13663),
    [sym_unary_expression] = STATE(13663),
    [sym_range_expression] = STATE(13663),
    [sym_splat_expression] = STATE(13663),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13071),
    [sym_unary_typed_expression] = STATE(13663),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13663),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13086),
    [sym_block_comment] = STATE(2333),
    [sym_line_comment] = STATE(2333),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2334] = {
    [sym_open_tuple] = STATE(20098),
    [sym_assignment] = STATE(9153),
    [sym__expression] = STATE(8366),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4926),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8747),
    [sym_unary_expression] = STATE(8747),
    [sym_range_expression] = STATE(8747),
    [sym_splat_expression] = STATE(8747),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8279),
    [sym_unary_typed_expression] = STATE(8747),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8747),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8225),
    [sym_block_comment] = STATE(2334),
    [sym_line_comment] = STATE(2334),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2335] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2335),
    [sym_line_comment] = STATE(2335),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7781),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2336] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2336),
    [sym_line_comment] = STATE(2336),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7783),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2337] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2337),
    [sym_line_comment] = STATE(2337),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7785),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2338] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2338),
    [sym_line_comment] = STATE(2338),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7787),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2339] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2339),
    [sym_line_comment] = STATE(2339),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7789),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2340] = {
    [sym_open_tuple] = STATE(19530),
    [sym_assignment] = STATE(8652),
    [sym__expression] = STATE(8820),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4752),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8906),
    [sym_unary_expression] = STATE(8906),
    [sym_range_expression] = STATE(8906),
    [sym_splat_expression] = STATE(8906),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7858),
    [sym_unary_typed_expression] = STATE(8906),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8906),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8302),
    [sym_block_comment] = STATE(2340),
    [sym_line_comment] = STATE(2340),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2341] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2341),
    [sym_line_comment] = STATE(2341),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7791),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2342] = {
    [sym_open_tuple] = STATE(8888),
    [sym_assignment] = STATE(8608),
    [sym__expression] = STATE(8355),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4716),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8839),
    [sym_unary_expression] = STATE(8839),
    [sym_range_expression] = STATE(8839),
    [sym_splat_expression] = STATE(8839),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8435),
    [sym_unary_typed_expression] = STATE(8839),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8839),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8280),
    [sym_block_comment] = STATE(2342),
    [sym_line_comment] = STATE(2342),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2343] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2343),
    [sym_line_comment] = STATE(2343),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7793),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2344] = {
    [sym_open_tuple] = STATE(8889),
    [sym_assignment] = STATE(8649),
    [sym__expression] = STATE(8356),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4716),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8839),
    [sym_unary_expression] = STATE(8839),
    [sym_range_expression] = STATE(8839),
    [sym_splat_expression] = STATE(8839),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8435),
    [sym_unary_typed_expression] = STATE(8839),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8839),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8280),
    [sym_block_comment] = STATE(2344),
    [sym_line_comment] = STATE(2344),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2345] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2345),
    [sym_line_comment] = STATE(2345),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7795),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2346] = {
    [sym_open_tuple] = STATE(19530),
    [sym_assignment] = STATE(9194),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11492),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14357),
    [sym_unary_expression] = STATE(14357),
    [sym_range_expression] = STATE(14357),
    [sym_splat_expression] = STATE(14357),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13913),
    [sym_unary_typed_expression] = STATE(14357),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14357),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13923),
    [sym_block_comment] = STATE(2346),
    [sym_line_comment] = STATE(2346),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2347] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2347),
    [sym_line_comment] = STATE(2347),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7797),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2348] = {
    [sym_open_tuple] = STATE(8995),
    [sym_assignment] = STATE(8789),
    [sym__expression] = STATE(8365),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4716),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8839),
    [sym_unary_expression] = STATE(8839),
    [sym_range_expression] = STATE(8839),
    [sym_splat_expression] = STATE(8839),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8435),
    [sym_unary_typed_expression] = STATE(8839),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8839),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8280),
    [sym_block_comment] = STATE(2348),
    [sym_line_comment] = STATE(2348),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2349] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2349),
    [sym_line_comment] = STATE(2349),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7799),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2350] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2350),
    [sym_line_comment] = STATE(2350),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7801),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2351] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2351),
    [sym_line_comment] = STATE(2351),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7803),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2352] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2352),
    [sym_line_comment] = STATE(2352),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7805),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2353] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2353),
    [sym_line_comment] = STATE(2353),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7807),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2354] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2354),
    [sym_line_comment] = STATE(2354),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7809),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2355] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2355),
    [sym_line_comment] = STATE(2355),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7811),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2356] = {
    [sym__expression] = STATE(14170),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17897),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2356),
    [sym_line_comment] = STATE(2356),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7813),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2357] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2357),
    [sym_line_comment] = STATE(2357),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7815),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2358] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2358),
    [sym_line_comment] = STATE(2358),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7771),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2359] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2359),
    [sym_line_comment] = STATE(2359),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7817),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2360] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2360),
    [sym_line_comment] = STATE(2360),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7819),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2361] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2361),
    [sym_line_comment] = STATE(2361),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7821),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2362] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2362),
    [sym_line_comment] = STATE(2362),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7823),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2363] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2363),
    [sym_line_comment] = STATE(2363),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7825),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2364] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2364),
    [sym_line_comment] = STATE(2364),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7827),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2365] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2365),
    [sym_line_comment] = STATE(2365),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7829),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2366] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2366),
    [sym_line_comment] = STATE(2366),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7831),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2367] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2367),
    [sym_line_comment] = STATE(2367),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7833),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2368] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2368),
    [sym_line_comment] = STATE(2368),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7835),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2369] = {
    [sym_open_tuple] = STATE(19835),
    [sym_assignment] = STATE(7786),
    [sym__expression] = STATE(7528),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4603),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8265),
    [sym_unary_expression] = STATE(8265),
    [sym_range_expression] = STATE(8265),
    [sym_splat_expression] = STATE(8265),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7574),
    [sym_unary_typed_expression] = STATE(8265),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8265),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7683),
    [sym_block_comment] = STATE(2369),
    [sym_line_comment] = STATE(2369),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2370] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2370),
    [sym_line_comment] = STATE(2370),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7837),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2371] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2371),
    [sym_line_comment] = STATE(2371),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7839),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2372] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2372),
    [sym_line_comment] = STATE(2372),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7841),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2373] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2373),
    [sym_line_comment] = STATE(2373),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7843),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2374] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2374),
    [sym_line_comment] = STATE(2374),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7845),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2375] = {
    [sym_open_tuple] = STATE(20149),
    [sym_assignment] = STATE(11377),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11494),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12793),
    [sym_unary_expression] = STATE(12793),
    [sym_range_expression] = STATE(12793),
    [sym_splat_expression] = STATE(12793),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14139),
    [sym_unary_typed_expression] = STATE(12793),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12793),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12363),
    [sym_block_comment] = STATE(2375),
    [sym_line_comment] = STATE(2375),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2376] = {
    [sym_open_tuple] = STATE(13222),
    [sym_assignment] = STATE(12078),
    [sym__expression] = STATE(12870),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10907),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12662),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2376),
    [sym_line_comment] = STATE(2376),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2377] = {
    [sym_open_tuple] = STATE(19003),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(12893),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10926),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12852),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2377),
    [sym_line_comment] = STATE(2377),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2378] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2378),
    [sym_line_comment] = STATE(2378),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7847),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2379] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2379),
    [sym_line_comment] = STATE(2379),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7849),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2380] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2380),
    [sym_line_comment] = STATE(2380),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7851),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2381] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2381),
    [sym_line_comment] = STATE(2381),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7853),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2382] = {
    [sym_open_tuple] = STATE(19700),
    [sym_assignment] = STATE(12032),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11599),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14387),
    [sym_unary_expression] = STATE(14387),
    [sym_range_expression] = STATE(14387),
    [sym_splat_expression] = STATE(14387),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14073),
    [sym_unary_typed_expression] = STATE(14387),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14387),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14289),
    [sym_block_comment] = STATE(2382),
    [sym_line_comment] = STATE(2382),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2383] = {
    [sym__closed_assignment] = STATE(16486),
    [sym__expression] = STATE(13276),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(2383),
    [sym_line_comment] = STATE(2383),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7855),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2384] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2384),
    [sym_line_comment] = STATE(2384),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7857),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2385] = {
    [sym__expression] = STATE(14258),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18148),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2385),
    [sym_line_comment] = STATE(2385),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7859),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2386] = {
    [sym_open_tuple] = STATE(13237),
    [sym_assignment] = STATE(12160),
    [sym__expression] = STATE(12871),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10907),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12662),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2386),
    [sym_line_comment] = STATE(2386),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2387] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2387),
    [sym_line_comment] = STATE(2387),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7861),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2388] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2388),
    [sym_line_comment] = STATE(2388),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7863),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2389] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2389),
    [sym_line_comment] = STATE(2389),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7865),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2390] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2390),
    [sym_line_comment] = STATE(2390),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7867),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2391] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2391),
    [sym_line_comment] = STATE(2391),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7869),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2392] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2392),
    [sym_line_comment] = STATE(2392),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7871),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2393] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2393),
    [sym_line_comment] = STATE(2393),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7873),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2394] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2394),
    [sym_line_comment] = STATE(2394),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7875),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2395] = {
    [sym_open_tuple] = STATE(20149),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(12804),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10755),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12793),
    [sym_unary_expression] = STATE(12793),
    [sym_range_expression] = STATE(12793),
    [sym_splat_expression] = STATE(12793),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12408),
    [sym_unary_typed_expression] = STATE(12793),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12793),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12363),
    [sym_block_comment] = STATE(2395),
    [sym_line_comment] = STATE(2395),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2396] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2396),
    [sym_line_comment] = STATE(2396),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7877),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2397] = {
    [sym_open_tuple] = STATE(13145),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(13094),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10895),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13382),
    [sym_unary_expression] = STATE(13382),
    [sym_range_expression] = STATE(13382),
    [sym_splat_expression] = STATE(13382),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13027),
    [sym_unary_typed_expression] = STATE(13382),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13382),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13031),
    [sym_block_comment] = STATE(2397),
    [sym_line_comment] = STATE(2397),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2398] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2398),
    [sym_line_comment] = STATE(2398),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7879),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2399] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2399),
    [sym_line_comment] = STATE(2399),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7881),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2400] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2400),
    [sym_line_comment] = STATE(2400),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7883),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2401] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2401),
    [sym_line_comment] = STATE(2401),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7885),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2402] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2402),
    [sym_line_comment] = STATE(2402),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7887),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2403] = {
    [sym__expression] = STATE(14329),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18186),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2403),
    [sym_line_comment] = STATE(2403),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7889),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2404] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2404),
    [sym_line_comment] = STATE(2404),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7891),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2405] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2405),
    [sym_line_comment] = STATE(2405),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7893),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2406] = {
    [sym_open_tuple] = STATE(19985),
    [sym_assignment] = STATE(9783),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11602),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14422),
    [sym_unary_expression] = STATE(14422),
    [sym_range_expression] = STATE(14422),
    [sym_splat_expression] = STATE(14422),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14107),
    [sym_unary_typed_expression] = STATE(14422),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14422),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14103),
    [sym_block_comment] = STATE(2406),
    [sym_line_comment] = STATE(2406),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2407] = {
    [sym_open_tuple] = STATE(9284),
    [sym_assignment] = STATE(9285),
    [sym__expression] = STATE(9286),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5279),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9298),
    [sym_unary_expression] = STATE(9298),
    [sym_range_expression] = STATE(9298),
    [sym_splat_expression] = STATE(9298),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8996),
    [sym_unary_typed_expression] = STATE(9298),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9298),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9058),
    [sym_block_comment] = STATE(2407),
    [sym_line_comment] = STATE(2407),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2408] = {
    [sym_open_tuple] = STATE(19501),
    [sym_assignment] = STATE(9033),
    [sym__expression] = STATE(8368),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4716),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8839),
    [sym_unary_expression] = STATE(8839),
    [sym_range_expression] = STATE(8839),
    [sym_splat_expression] = STATE(8839),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8435),
    [sym_unary_typed_expression] = STATE(8839),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8839),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8280),
    [sym_block_comment] = STATE(2408),
    [sym_line_comment] = STATE(2408),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2409] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2409),
    [sym_line_comment] = STATE(2409),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7895),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2410] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2410),
    [sym_line_comment] = STATE(2410),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7897),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2411] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2411),
    [sym_line_comment] = STATE(2411),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7899),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2412] = {
    [sym_open_tuple] = STATE(14255),
    [sym_assignment] = STATE(11397),
    [sym__expression] = STATE(13679),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11345),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13804),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2412),
    [sym_line_comment] = STATE(2412),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2413] = {
    [sym_open_tuple] = STATE(14260),
    [sym_assignment] = STATE(11399),
    [sym__expression] = STATE(13680),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11345),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13804),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2413),
    [sym_line_comment] = STATE(2413),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2414] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2414),
    [sym_line_comment] = STATE(2414),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7901),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2415] = {
    [sym__expression] = STATE(13876),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17733),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2415),
    [sym_line_comment] = STATE(2415),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7903),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2416] = {
    [sym_open_tuple] = STATE(9295),
    [sym_assignment] = STATE(9329),
    [sym__expression] = STATE(9385),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5279),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9298),
    [sym_unary_expression] = STATE(9298),
    [sym_range_expression] = STATE(9298),
    [sym_splat_expression] = STATE(9298),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8996),
    [sym_unary_typed_expression] = STATE(9298),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9298),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9058),
    [sym_block_comment] = STATE(2416),
    [sym_line_comment] = STATE(2416),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2417] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2417),
    [sym_line_comment] = STATE(2417),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7905),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2418] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2418),
    [sym_line_comment] = STATE(2418),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7863),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2419] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2419),
    [sym_line_comment] = STATE(2419),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7907),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2420] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2420),
    [sym_line_comment] = STATE(2420),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7909),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2421] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2421),
    [sym_line_comment] = STATE(2421),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7911),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2422] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2422),
    [sym_line_comment] = STATE(2422),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7913),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2423] = {
    [sym_open_tuple] = STATE(8997),
    [sym_assignment] = STATE(8969),
    [sym__expression] = STATE(8367),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4794),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8967),
    [sym_unary_expression] = STATE(8967),
    [sym_range_expression] = STATE(8967),
    [sym_splat_expression] = STATE(8967),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7800),
    [sym_unary_typed_expression] = STATE(8967),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8967),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8328),
    [sym_block_comment] = STATE(2423),
    [sym_line_comment] = STATE(2423),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2424] = {
    [sym_open_tuple] = STATE(19985),
    [sym_assignment] = STATE(9863),
    [sym__expression] = STATE(9823),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5580),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9775),
    [sym_unary_expression] = STATE(9775),
    [sym_range_expression] = STATE(9775),
    [sym_splat_expression] = STATE(9775),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9641),
    [sym_unary_typed_expression] = STATE(9775),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9775),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9721),
    [sym_block_comment] = STATE(2424),
    [sym_line_comment] = STATE(2424),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2425] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2425),
    [sym_line_comment] = STATE(2425),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7915),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2426] = {
    [sym_open_tuple] = STATE(18839),
    [sym_assignment] = STATE(12147),
    [sym__expression] = STATE(12854),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10907),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12662),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2426),
    [sym_line_comment] = STATE(2426),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2427] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2427),
    [sym_line_comment] = STATE(2427),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7917),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2428] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2428),
    [sym_line_comment] = STATE(2428),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7919),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2429] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2429),
    [sym_line_comment] = STATE(2429),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7921),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2430] = {
    [sym_open_tuple] = STATE(13587),
    [sym_assignment] = STATE(12078),
    [sym__expression] = STATE(13597),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11086),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13663),
    [sym_unary_expression] = STATE(13663),
    [sym_range_expression] = STATE(13663),
    [sym_splat_expression] = STATE(13663),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13071),
    [sym_unary_typed_expression] = STATE(13663),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13663),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13086),
    [sym_block_comment] = STATE(2430),
    [sym_line_comment] = STATE(2430),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2431] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2431),
    [sym_line_comment] = STATE(2431),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7923),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2432] = {
    [sym_open_tuple] = STATE(8892),
    [sym_assignment] = STATE(9199),
    [sym__expression] = STATE(8359),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4794),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8967),
    [sym_unary_expression] = STATE(8967),
    [sym_range_expression] = STATE(8967),
    [sym_splat_expression] = STATE(8967),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7800),
    [sym_unary_typed_expression] = STATE(8967),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8967),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8328),
    [sym_block_comment] = STATE(2432),
    [sym_line_comment] = STATE(2432),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2433] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2433),
    [sym_line_comment] = STATE(2433),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7925),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2434] = {
    [sym_open_tuple] = STATE(8893),
    [sym_assignment] = STATE(9202),
    [sym__expression] = STATE(8360),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4794),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8967),
    [sym_unary_expression] = STATE(8967),
    [sym_range_expression] = STATE(8967),
    [sym_splat_expression] = STATE(8967),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7800),
    [sym_unary_typed_expression] = STATE(8967),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8967),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8328),
    [sym_block_comment] = STATE(2434),
    [sym_line_comment] = STATE(2434),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2435] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2435),
    [sym_line_comment] = STATE(2435),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7927),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2436] = {
    [sym_open_tuple] = STATE(20289),
    [sym_assignment] = STATE(9194),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11501),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14421),
    [sym_unary_expression] = STATE(14421),
    [sym_range_expression] = STATE(14421),
    [sym_splat_expression] = STATE(14421),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13974),
    [sym_unary_typed_expression] = STATE(14421),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14421),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14310),
    [sym_block_comment] = STATE(2436),
    [sym_line_comment] = STATE(2436),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2437] = {
    [sym_open_tuple] = STATE(13439),
    [sym_assignment] = STATE(12160),
    [sym__expression] = STATE(13440),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11086),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13663),
    [sym_unary_expression] = STATE(13663),
    [sym_range_expression] = STATE(13663),
    [sym_splat_expression] = STATE(13663),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13071),
    [sym_unary_typed_expression] = STATE(13663),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13663),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13086),
    [sym_block_comment] = STATE(2437),
    [sym_line_comment] = STATE(2437),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2438] = {
    [sym_open_tuple] = STATE(13938),
    [sym_assignment] = STATE(11415),
    [sym__expression] = STATE(13721),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11345),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13804),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2438),
    [sym_line_comment] = STATE(2438),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2439] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2439),
    [sym_line_comment] = STATE(2439),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7929),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2440] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2440),
    [sym_line_comment] = STATE(2440),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7931),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2441] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2441),
    [sym_line_comment] = STATE(2441),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7933),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2442] = {
    [sym_open_tuple] = STATE(13072),
    [sym_assignment] = STATE(11415),
    [sym__expression] = STATE(13182),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10911),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13215),
    [sym_unary_expression] = STATE(13215),
    [sym_range_expression] = STATE(13215),
    [sym_splat_expression] = STATE(13215),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12711),
    [sym_unary_typed_expression] = STATE(13215),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13215),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12715),
    [sym_block_comment] = STATE(2442),
    [sym_line_comment] = STATE(2442),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2443] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2443),
    [sym_line_comment] = STATE(2443),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7935),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2444] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2444),
    [sym_line_comment] = STATE(2444),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7937),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2445] = {
    [sym__expression] = STATE(13935),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17942),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2445),
    [sym_line_comment] = STATE(2445),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7939),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2446] = {
    [sym_open_tuple] = STATE(18832),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(14194),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11432),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14235),
    [sym_unary_expression] = STATE(14235),
    [sym_range_expression] = STATE(14235),
    [sym_splat_expression] = STATE(14235),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13846),
    [sym_unary_typed_expression] = STATE(14235),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14235),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13786),
    [sym_block_comment] = STATE(2446),
    [sym_line_comment] = STATE(2446),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2447] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2447),
    [sym_line_comment] = STATE(2447),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7941),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2448] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2448),
    [sym_line_comment] = STATE(2448),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7943),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2449] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2449),
    [sym_line_comment] = STATE(2449),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7945),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2450] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2450),
    [sym_line_comment] = STATE(2450),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7947),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2451] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2451),
    [sym_line_comment] = STATE(2451),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7949),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2452] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2452),
    [sym_line_comment] = STATE(2452),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7951),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2453] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2453),
    [sym_line_comment] = STATE(2453),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7953),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2454] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2454),
    [sym_line_comment] = STATE(2454),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7955),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2455] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2455),
    [sym_line_comment] = STATE(2455),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7957),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2456] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2456),
    [sym_line_comment] = STATE(2456),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7959),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2457] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2457),
    [sym_line_comment] = STATE(2457),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7961),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2458] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2458),
    [sym_line_comment] = STATE(2458),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7963),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2459] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2459),
    [sym_line_comment] = STATE(2459),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7965),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2460] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2460),
    [sym_line_comment] = STATE(2460),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7967),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2461] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2461),
    [sym_line_comment] = STATE(2461),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7955),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2462] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2462),
    [sym_line_comment] = STATE(2462),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7969),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2463] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2463),
    [sym_line_comment] = STATE(2463),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7971),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2464] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2464),
    [sym_line_comment] = STATE(2464),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7973),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2465] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2465),
    [sym_line_comment] = STATE(2465),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7975),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2466] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2466),
    [sym_line_comment] = STATE(2466),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7977),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2467] = {
    [sym_open_tuple] = STATE(19560),
    [sym_assignment] = STATE(11377),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11508),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14369),
    [sym_unary_expression] = STATE(14369),
    [sym_range_expression] = STATE(14369),
    [sym_splat_expression] = STATE(14369),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14115),
    [sym_unary_typed_expression] = STATE(14369),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14369),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13920),
    [sym_block_comment] = STATE(2467),
    [sym_line_comment] = STATE(2467),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2468] = {
    [sym_open_tuple] = STATE(9770),
    [sym_assignment] = STATE(9785),
    [sym__expression] = STATE(9607),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5737),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9803),
    [sym_unary_expression] = STATE(9803),
    [sym_range_expression] = STATE(9803),
    [sym_splat_expression] = STATE(9803),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9684),
    [sym_unary_typed_expression] = STATE(9803),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9803),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9685),
    [sym_block_comment] = STATE(2468),
    [sym_line_comment] = STATE(2468),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2469] = {
    [sym_open_tuple] = STATE(9771),
    [sym_assignment] = STATE(9788),
    [sym__expression] = STATE(9615),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5737),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9803),
    [sym_unary_expression] = STATE(9803),
    [sym_range_expression] = STATE(9803),
    [sym_splat_expression] = STATE(9803),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9684),
    [sym_unary_typed_expression] = STATE(9803),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9803),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9685),
    [sym_block_comment] = STATE(2469),
    [sym_line_comment] = STATE(2469),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2470] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2470),
    [sym_line_comment] = STATE(2470),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7979),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2471] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2471),
    [sym_line_comment] = STATE(2471),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7981),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2472] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2472),
    [sym_line_comment] = STATE(2472),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7983),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2473] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2473),
    [sym_line_comment] = STATE(2473),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7985),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2474] = {
    [sym_open_tuple] = STATE(13246),
    [sym_assignment] = STATE(11397),
    [sym__expression] = STATE(13056),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10911),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13215),
    [sym_unary_expression] = STATE(13215),
    [sym_range_expression] = STATE(13215),
    [sym_splat_expression] = STATE(13215),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12711),
    [sym_unary_typed_expression] = STATE(13215),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13215),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12715),
    [sym_block_comment] = STATE(2474),
    [sym_line_comment] = STATE(2474),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2475] = {
    [sym_open_tuple] = STATE(12931),
    [sym_assignment] = STATE(11415),
    [sym__expression] = STATE(12482),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10806),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12361),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2475),
    [sym_line_comment] = STATE(2475),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2476] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2476),
    [sym_line_comment] = STATE(2476),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(7987),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2477] = {
    [sym__expression] = STATE(14044),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18079),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2477),
    [sym_line_comment] = STATE(2477),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7989),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2478] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2478),
    [sym_line_comment] = STATE(2478),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7991),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2479] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2479),
    [sym_line_comment] = STATE(2479),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7943),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2480] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2480),
    [sym_line_comment] = STATE(2480),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7993),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2481] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2481),
    [sym_line_comment] = STATE(2481),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7995),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2482] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2482),
    [sym_line_comment] = STATE(2482),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7997),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2483] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2483),
    [sym_line_comment] = STATE(2483),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(7999),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2484] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2484),
    [sym_line_comment] = STATE(2484),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8001),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2485] = {
    [sym__closed_assignment] = STATE(16486),
    [sym__expression] = STATE(13276),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(2485),
    [sym_line_comment] = STATE(2485),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8003),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2486] = {
    [sym_open_tuple] = STATE(20091),
    [sym_assignment] = STATE(12032),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11567),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14425),
    [sym_unary_expression] = STATE(14425),
    [sym_range_expression] = STATE(14425),
    [sym_splat_expression] = STATE(14425),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13899),
    [sym_unary_typed_expression] = STATE(14425),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14425),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14163),
    [sym_block_comment] = STATE(2486),
    [sym_line_comment] = STATE(2486),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2487] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2487),
    [sym_line_comment] = STATE(2487),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8005),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2488] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2488),
    [sym_line_comment] = STATE(2488),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8007),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2489] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2489),
    [sym_line_comment] = STATE(2489),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8009),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2490] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2490),
    [sym_line_comment] = STATE(2490),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8011),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2491] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2491),
    [sym_line_comment] = STATE(2491),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8013),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2492] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2492),
    [sym_line_comment] = STATE(2492),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8015),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2493] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2493),
    [sym_line_comment] = STATE(2493),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8017),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2494] = {
    [sym_open_tuple] = STATE(20289),
    [sym_assignment] = STATE(8652),
    [sym__expression] = STATE(8369),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4794),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8967),
    [sym_unary_expression] = STATE(8967),
    [sym_range_expression] = STATE(8967),
    [sym_splat_expression] = STATE(8967),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(7800),
    [sym_unary_typed_expression] = STATE(8967),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8967),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8328),
    [sym_block_comment] = STATE(2494),
    [sym_line_comment] = STATE(2494),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2495] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2495),
    [sym_line_comment] = STATE(2495),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8019),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2496] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2496),
    [sym_line_comment] = STATE(2496),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8021),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2497] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2497),
    [sym_line_comment] = STATE(2497),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8023),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2498] = {
    [sym_open_tuple] = STATE(18793),
    [sym_assignment] = STATE(9783),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11650),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14444),
    [sym_unary_expression] = STATE(14444),
    [sym_range_expression] = STATE(14444),
    [sym_splat_expression] = STATE(14444),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13907),
    [sym_unary_typed_expression] = STATE(14444),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14444),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13885),
    [sym_block_comment] = STATE(2498),
    [sym_line_comment] = STATE(2498),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2499] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2499),
    [sym_line_comment] = STATE(2499),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8025),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2500] = {
    [sym__expression] = STATE(14202),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17987),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2500),
    [sym_line_comment] = STATE(2500),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8027),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2501] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2501),
    [sym_line_comment] = STATE(2501),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8029),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2502] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2502),
    [sym_line_comment] = STATE(2502),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8031),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2503] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2503),
    [sym_line_comment] = STATE(2503),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8033),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2504] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2504),
    [sym_line_comment] = STATE(2504),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8035),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2505] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2505),
    [sym_line_comment] = STATE(2505),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8037),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2506] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2506),
    [sym_line_comment] = STATE(2506),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8039),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2507] = {
    [sym__expression] = STATE(14070),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18193),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2507),
    [sym_line_comment] = STATE(2507),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8041),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2508] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2508),
    [sym_line_comment] = STATE(2508),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8043),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2509] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2509),
    [sym_line_comment] = STATE(2509),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8045),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2510] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2510),
    [sym_line_comment] = STATE(2510),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8047),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2511] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2511),
    [sym_line_comment] = STATE(2511),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8049),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2512] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2512),
    [sym_line_comment] = STATE(2512),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8051),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2513] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2513),
    [sym_line_comment] = STATE(2513),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8053),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2514] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2514),
    [sym_line_comment] = STATE(2514),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8055),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2515] = {
    [sym_open_tuple] = STATE(13465),
    [sym_assignment] = STATE(12078),
    [sym__expression] = STATE(13113),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11112),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13315),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2515),
    [sym_line_comment] = STATE(2515),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2516] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2516),
    [sym_line_comment] = STATE(2516),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8057),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2517] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2517),
    [sym_line_comment] = STATE(2517),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8059),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2518] = {
    [sym_open_tuple] = STATE(20149),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(12903),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10755),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12793),
    [sym_unary_expression] = STATE(12793),
    [sym_range_expression] = STATE(12793),
    [sym_splat_expression] = STATE(12793),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12408),
    [sym_unary_typed_expression] = STATE(12793),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12793),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12363),
    [sym_block_comment] = STATE(2518),
    [sym_line_comment] = STATE(2518),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2519] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2519),
    [sym_line_comment] = STATE(2519),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8061),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2520] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2520),
    [sym_line_comment] = STATE(2520),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8063),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2521] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2521),
    [sym_line_comment] = STATE(2521),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8065),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2522] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2522),
    [sym_line_comment] = STATE(2522),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7145),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2523] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2523),
    [sym_line_comment] = STATE(2523),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8067),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2524] = {
    [sym_open_tuple] = STATE(13466),
    [sym_assignment] = STATE(12160),
    [sym__expression] = STATE(13114),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11112),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13315),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2524),
    [sym_line_comment] = STATE(2524),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2525] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2525),
    [sym_line_comment] = STATE(2525),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8069),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2526] = {
    [sym_open_tuple] = STATE(14090),
    [sym_assignment] = STATE(11397),
    [sym__expression] = STATE(13926),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14140),
    [sym_unary_expression] = STATE(14140),
    [sym_range_expression] = STATE(14140),
    [sym_splat_expression] = STATE(14140),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13785),
    [sym_unary_typed_expression] = STATE(14140),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14140),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13749),
    [sym_block_comment] = STATE(2526),
    [sym_line_comment] = STATE(2526),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2527] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2527),
    [sym_line_comment] = STATE(2527),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8071),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2528] = {
    [sym_open_tuple] = STATE(19000),
    [sym_assignment] = STATE(11377),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11511),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14397),
    [sym_unary_expression] = STATE(14397),
    [sym_range_expression] = STATE(14397),
    [sym_splat_expression] = STATE(14397),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14177),
    [sym_unary_typed_expression] = STATE(14397),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14397),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14143),
    [sym_block_comment] = STATE(2528),
    [sym_line_comment] = STATE(2528),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2529] = {
    [sym_open_tuple] = STATE(14091),
    [sym_assignment] = STATE(11399),
    [sym__expression] = STATE(13939),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14140),
    [sym_unary_expression] = STATE(14140),
    [sym_range_expression] = STATE(14140),
    [sym_splat_expression] = STATE(14140),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13785),
    [sym_unary_typed_expression] = STATE(14140),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14140),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13749),
    [sym_block_comment] = STATE(2529),
    [sym_line_comment] = STATE(2529),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2530] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2530),
    [sym_line_comment] = STATE(2530),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8073),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2531] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2531),
    [sym_line_comment] = STATE(2531),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8075),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2532] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2532),
    [sym_line_comment] = STATE(2532),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8077),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2533] = {
    [sym_open_tuple] = STATE(18846),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(14309),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11350),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14140),
    [sym_unary_expression] = STATE(14140),
    [sym_range_expression] = STATE(14140),
    [sym_splat_expression] = STATE(14140),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13785),
    [sym_unary_typed_expression] = STATE(14140),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14140),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13749),
    [sym_block_comment] = STATE(2533),
    [sym_line_comment] = STATE(2533),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2534] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2534),
    [sym_line_comment] = STATE(2534),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8079),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2535] = {
    [sym__expression] = STATE(14094),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17657),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2535),
    [sym_line_comment] = STATE(2535),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8081),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2536] = {
    [sym_open_tuple] = STATE(9813),
    [sym_assignment] = STATE(9794),
    [sym__expression] = STATE(9735),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5580),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9775),
    [sym_unary_expression] = STATE(9775),
    [sym_range_expression] = STATE(9775),
    [sym_splat_expression] = STATE(9775),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9641),
    [sym_unary_typed_expression] = STATE(9775),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9775),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9721),
    [sym_block_comment] = STATE(2536),
    [sym_line_comment] = STATE(2536),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2537] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2537),
    [sym_line_comment] = STATE(2537),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8083),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2538] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2538),
    [sym_line_comment] = STATE(2538),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8047),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2539] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2539),
    [sym_line_comment] = STATE(2539),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8085),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2540] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2540),
    [sym_line_comment] = STATE(2540),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8087),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2541] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2541),
    [sym_line_comment] = STATE(2541),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8089),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2542] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2542),
    [sym_line_comment] = STATE(2542),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8091),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2543] = {
    [sym_open_tuple] = STATE(14101),
    [sym_assignment] = STATE(11415),
    [sym__expression] = STATE(13689),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11283),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13849),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2543),
    [sym_line_comment] = STATE(2543),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2544] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2544),
    [sym_line_comment] = STATE(2544),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8093),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2545] = {
    [sym_open_tuple] = STATE(18793),
    [sym_assignment] = STATE(9863),
    [sym__expression] = STATE(9681),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5737),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9803),
    [sym_unary_expression] = STATE(9803),
    [sym_range_expression] = STATE(9803),
    [sym_splat_expression] = STATE(9803),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9684),
    [sym_unary_typed_expression] = STATE(9803),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9803),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9685),
    [sym_block_comment] = STATE(2545),
    [sym_line_comment] = STATE(2545),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2546] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2546),
    [sym_line_comment] = STATE(2546),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8095),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2547] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2547),
    [sym_line_comment] = STATE(2547),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7749),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2548] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2548),
    [sym_line_comment] = STATE(2548),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8097),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2549] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2549),
    [sym_line_comment] = STATE(2549),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8099),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2550] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2550),
    [sym_line_comment] = STATE(2550),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8101),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2551] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2551),
    [sym_line_comment] = STATE(2551),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8103),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2552] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2552),
    [sym_line_comment] = STATE(2552),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8105),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2553] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2553),
    [sym_line_comment] = STATE(2553),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8107),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2554] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2554),
    [sym_line_comment] = STATE(2554),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8109),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2555] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2555),
    [sym_line_comment] = STATE(2555),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8111),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2556] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2556),
    [sym_line_comment] = STATE(2556),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2557] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2557),
    [sym_line_comment] = STATE(2557),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7671),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2558] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2558),
    [sym_line_comment] = STATE(2558),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8113),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2559] = {
    [sym_open_tuple] = STATE(13057),
    [sym_assignment] = STATE(11399),
    [sym__expression] = STATE(13058),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10911),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13215),
    [sym_unary_expression] = STATE(13215),
    [sym_range_expression] = STATE(13215),
    [sym_splat_expression] = STATE(13215),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12711),
    [sym_unary_typed_expression] = STATE(13215),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13215),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12715),
    [sym_block_comment] = STATE(2559),
    [sym_line_comment] = STATE(2559),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2560] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2560),
    [sym_line_comment] = STATE(2560),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8115),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2561] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2561),
    [sym_line_comment] = STATE(2561),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8117),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2562] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2562),
    [sym_line_comment] = STATE(2562),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8119),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2563] = {
    [sym_open_tuple] = STATE(19980),
    [sym_assignment] = STATE(9272),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11645),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14370),
    [sym_unary_expression] = STATE(14370),
    [sym_range_expression] = STATE(14370),
    [sym_splat_expression] = STATE(14370),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14272),
    [sym_unary_typed_expression] = STATE(14370),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14370),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13963),
    [sym_block_comment] = STATE(2563),
    [sym_line_comment] = STATE(2563),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2564] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2564),
    [sym_line_comment] = STATE(2564),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8121),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2565] = {
    [sym__expression] = STATE(14131),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17740),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2565),
    [sym_line_comment] = STATE(2565),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8123),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2566] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2566),
    [sym_line_comment] = STATE(2566),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8125),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2567] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2567),
    [sym_line_comment] = STATE(2567),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8127),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2568] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2568),
    [sym_line_comment] = STATE(2568),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2569] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2569),
    [sym_line_comment] = STATE(2569),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8131),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2570] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2570),
    [sym_line_comment] = STATE(2570),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8133),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2571] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2571),
    [sym_line_comment] = STATE(2571),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8135),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2572] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2572),
    [sym_line_comment] = STATE(2572),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8137),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2573] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2573),
    [sym_line_comment] = STATE(2573),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8139),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2574] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2574),
    [sym_line_comment] = STATE(2574),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8141),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2575] = {
    [sym_open_tuple] = STATE(20316),
    [sym_assignment] = STATE(11377),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10911),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13215),
    [sym_unary_expression] = STATE(13215),
    [sym_range_expression] = STATE(13215),
    [sym_splat_expression] = STATE(13215),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12711),
    [sym_unary_typed_expression] = STATE(13215),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13215),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12715),
    [sym_block_comment] = STATE(2575),
    [sym_line_comment] = STATE(2575),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2576] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2576),
    [sym_line_comment] = STATE(2576),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8143),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2577] = {
    [sym_open_tuple] = STATE(15528),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(13166),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(2577),
    [sym_line_comment] = STATE(2577),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2578] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2578),
    [sym_line_comment] = STATE(2578),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8145),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2579] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2579),
    [sym_line_comment] = STATE(2579),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8147),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2580] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2580),
    [sym_line_comment] = STATE(2580),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8149),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2581] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2581),
    [sym_line_comment] = STATE(2581),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7975),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2582] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2582),
    [sym_line_comment] = STATE(2582),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8151),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2583] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2583),
    [sym_line_comment] = STATE(2583),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8153),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2584] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2584),
    [sym_line_comment] = STATE(2584),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8155),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2585] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2585),
    [sym_line_comment] = STATE(2585),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8157),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2586] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2586),
    [sym_line_comment] = STATE(2586),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8159),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2587] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2587),
    [sym_line_comment] = STATE(2587),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8161),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2588] = {
    [sym_open_tuple] = STATE(16792),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(13427),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11128),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13498),
    [sym_unary_expression] = STATE(13498),
    [sym_range_expression] = STATE(13498),
    [sym_splat_expression] = STATE(13498),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13088),
    [sym_unary_typed_expression] = STATE(13498),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13498),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13100),
    [sym_block_comment] = STATE(2588),
    [sym_line_comment] = STATE(2588),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2589] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2589),
    [sym_line_comment] = STATE(2589),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8163),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2590] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2590),
    [sym_line_comment] = STATE(2590),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8165),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2591] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2591),
    [sym_line_comment] = STATE(2591),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8167),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2592] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2592),
    [sym_line_comment] = STATE(2592),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8169),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2593] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2593),
    [sym_line_comment] = STATE(2593),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8171),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2594] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2594),
    [sym_line_comment] = STATE(2594),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8173),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2595] = {
    [sym__expression] = STATE(14193),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18096),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2595),
    [sym_line_comment] = STATE(2595),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8175),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2596] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2596),
    [sym_line_comment] = STATE(2596),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8177),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2597] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2597),
    [sym_line_comment] = STATE(2597),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8129),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2598] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2598),
    [sym_line_comment] = STATE(2598),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8179),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2599] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2599),
    [sym_line_comment] = STATE(2599),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8181),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2600] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2600),
    [sym_line_comment] = STATE(2600),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8183),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2601] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2601),
    [sym_line_comment] = STATE(2601),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8185),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2602] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2602),
    [sym_line_comment] = STATE(2602),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8187),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2603] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2603),
    [sym_line_comment] = STATE(2603),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7855),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2604] = {
    [sym_open_tuple] = STATE(15517),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13250),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10931),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13111),
    [sym_unary_expression] = STATE(13111),
    [sym_range_expression] = STATE(13111),
    [sym_splat_expression] = STATE(13111),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12796),
    [sym_unary_typed_expression] = STATE(13111),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13111),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12797),
    [sym_block_comment] = STATE(2604),
    [sym_line_comment] = STATE(2604),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2605] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2605),
    [sym_line_comment] = STATE(2605),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8189),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2606] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2606),
    [sym_line_comment] = STATE(2606),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8191),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2607] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2607),
    [sym_line_comment] = STATE(2607),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8193),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2608] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2608),
    [sym_line_comment] = STATE(2608),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8195),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2609] = {
    [sym_open_tuple] = STATE(19980),
    [sym_assignment] = STATE(9536),
    [sym__expression] = STATE(9366),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5279),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9298),
    [sym_unary_expression] = STATE(9298),
    [sym_range_expression] = STATE(9298),
    [sym_splat_expression] = STATE(9298),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8996),
    [sym_unary_typed_expression] = STATE(9298),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9298),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9058),
    [sym_block_comment] = STATE(2609),
    [sym_line_comment] = STATE(2609),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2610] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2610),
    [sym_line_comment] = STATE(2610),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8197),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2611] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2611),
    [sym_line_comment] = STATE(2611),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8003),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2612] = {
    [sym_open_tuple] = STATE(18831),
    [sym_assignment] = STATE(12923),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11649),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14379),
    [sym_unary_expression] = STATE(14379),
    [sym_range_expression] = STATE(14379),
    [sym_splat_expression] = STATE(14379),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13859),
    [sym_unary_typed_expression] = STATE(14379),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14379),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14080),
    [sym_block_comment] = STATE(2612),
    [sym_line_comment] = STATE(2612),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2613] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_for_binding] = STATE(14622),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11839),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11839),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14261),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11238),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2613),
    [sym_line_comment] = STATE(2613),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_outer] = ACTIONS(8203),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2614] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2614),
    [sym_line_comment] = STATE(2614),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8207),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2615] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2615),
    [sym_line_comment] = STATE(2615),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8209),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2616] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2616),
    [sym_line_comment] = STATE(2616),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8211),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2617] = {
    [sym_open_tuple] = STATE(9157),
    [sym_assignment] = STATE(9203),
    [sym__expression] = STATE(9206),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4691),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9160),
    [sym_unary_expression] = STATE(9160),
    [sym_range_expression] = STATE(9160),
    [sym_splat_expression] = STATE(9160),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(7712),
    [sym_unary_typed_expression] = STATE(9160),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9160),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(7713),
    [sym_block_comment] = STATE(2617),
    [sym_line_comment] = STATE(2617),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2618] = {
    [sym_open_tuple] = STATE(9209),
    [sym_assignment] = STATE(9210),
    [sym__expression] = STATE(9248),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4691),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9160),
    [sym_unary_expression] = STATE(9160),
    [sym_range_expression] = STATE(9160),
    [sym_splat_expression] = STATE(9160),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(7712),
    [sym_unary_typed_expression] = STATE(9160),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9160),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(7713),
    [sym_block_comment] = STATE(2618),
    [sym_line_comment] = STATE(2618),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2619] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2619),
    [sym_line_comment] = STATE(2619),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8213),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2620] = {
    [sym__expression] = STATE(14244),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17854),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2620),
    [sym_line_comment] = STATE(2620),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8215),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2621] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2621),
    [sym_line_comment] = STATE(2621),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8217),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2622] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2622),
    [sym_line_comment] = STATE(2622),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8219),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2623] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2623),
    [sym_line_comment] = STATE(2623),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8221),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2624] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2624),
    [sym_line_comment] = STATE(2624),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8223),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2625] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2625),
    [sym_line_comment] = STATE(2625),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8225),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2626] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2626),
    [sym_line_comment] = STATE(2626),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8227),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2627] = {
    [sym__closed_assignment] = STATE(16486),
    [sym__expression] = STATE(13276),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(2627),
    [sym_line_comment] = STATE(2627),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8229),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2628] = {
    [sym_open_tuple] = STATE(7882),
    [sym_assignment] = STATE(7735),
    [sym__expression] = STATE(7736),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4639),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7652),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7653),
    [sym_block_comment] = STATE(2628),
    [sym_line_comment] = STATE(2628),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2629] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2629),
    [sym_line_comment] = STATE(2629),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8231),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2630] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2630),
    [sym_line_comment] = STATE(2630),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8233),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2631] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2631),
    [sym_line_comment] = STATE(2631),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8235),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2632] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2632),
    [sym_line_comment] = STATE(2632),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8237),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2633] = {
    [sym_open_tuple] = STATE(13619),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(13430),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11090),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13457),
    [sym_unary_expression] = STATE(13457),
    [sym_range_expression] = STATE(13457),
    [sym_splat_expression] = STATE(13457),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13302),
    [sym_unary_typed_expression] = STATE(13457),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13457),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13309),
    [sym_block_comment] = STATE(2633),
    [sym_line_comment] = STATE(2633),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2634] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2634),
    [sym_line_comment] = STATE(2634),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8239),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2635] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2635),
    [sym_line_comment] = STATE(2635),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8241),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2636] = {
    [sym_open_tuple] = STATE(13606),
    [sym_assignment] = STATE(12160),
    [sym__expression] = STATE(13635),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11090),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13457),
    [sym_unary_expression] = STATE(13457),
    [sym_range_expression] = STATE(13457),
    [sym_splat_expression] = STATE(13457),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13302),
    [sym_unary_typed_expression] = STATE(13457),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13457),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13309),
    [sym_block_comment] = STATE(2636),
    [sym_line_comment] = STATE(2636),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2637] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2637),
    [sym_line_comment] = STATE(2637),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8243),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2638] = {
    [sym_open_tuple] = STATE(13499),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(13377),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11112),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13315),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2638),
    [sym_line_comment] = STATE(2638),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2639] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2639),
    [sym_line_comment] = STATE(2639),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8245),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2640] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2640),
    [sym_line_comment] = STATE(2640),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8247),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2641] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2641),
    [sym_line_comment] = STATE(2641),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8249),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2642] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2642),
    [sym_line_comment] = STATE(2642),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8251),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2643] = {
    [sym__expression] = STATE(14277),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18131),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2643),
    [sym_line_comment] = STATE(2643),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8253),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2644] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2644),
    [sym_line_comment] = STATE(2644),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8219),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2645] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2645),
    [sym_line_comment] = STATE(2645),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8255),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2646] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2646),
    [sym_line_comment] = STATE(2646),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8257),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2647] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2647),
    [sym_line_comment] = STATE(2647),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8229),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2648] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2648),
    [sym_line_comment] = STATE(2648),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8259),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2649] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2649),
    [sym_line_comment] = STATE(2649),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8261),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2650] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2650),
    [sym_line_comment] = STATE(2650),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8263),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2651] = {
    [sym_open_tuple] = STATE(15525),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13171),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10969),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13235),
    [sym_unary_expression] = STATE(13235),
    [sym_range_expression] = STATE(13235),
    [sym_splat_expression] = STATE(13235),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12949),
    [sym_unary_typed_expression] = STATE(13235),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13235),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12953),
    [sym_block_comment] = STATE(2651),
    [sym_line_comment] = STATE(2651),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2652] = {
    [sym_open_tuple] = STATE(20316),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(13896),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10911),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13215),
    [sym_unary_expression] = STATE(13215),
    [sym_range_expression] = STATE(13215),
    [sym_splat_expression] = STATE(13215),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12711),
    [sym_unary_typed_expression] = STATE(13215),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13215),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12715),
    [sym_block_comment] = STATE(2652),
    [sym_line_comment] = STATE(2652),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2653] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2653),
    [sym_line_comment] = STATE(2653),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8265),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2654] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2654),
    [sym_line_comment] = STATE(2654),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8267),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2655] = {
    [sym_open_tuple] = STATE(16436),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13459),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11098),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13622),
    [sym_unary_expression] = STATE(13622),
    [sym_range_expression] = STATE(13622),
    [sym_splat_expression] = STATE(13622),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13242),
    [sym_unary_typed_expression] = STATE(13622),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13622),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13405),
    [sym_block_comment] = STATE(2655),
    [sym_line_comment] = STATE(2655),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2656] = {
    [sym_open_tuple] = STATE(20110),
    [sym_assignment] = STATE(12147),
    [sym__expression] = STATE(13471),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11090),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13457),
    [sym_unary_expression] = STATE(13457),
    [sym_range_expression] = STATE(13457),
    [sym_splat_expression] = STATE(13457),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13302),
    [sym_unary_typed_expression] = STATE(13457),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13457),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13309),
    [sym_block_comment] = STATE(2656),
    [sym_line_comment] = STATE(2656),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2657] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2657),
    [sym_line_comment] = STATE(2657),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8269),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2658] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2658),
    [sym_line_comment] = STATE(2658),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8271),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2659] = {
    [sym_open_tuple] = STATE(15562),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(13297),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10871),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13288),
    [sym_unary_expression] = STATE(13288),
    [sym_range_expression] = STATE(13288),
    [sym_splat_expression] = STATE(13288),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12742),
    [sym_unary_typed_expression] = STATE(13288),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13288),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12755),
    [sym_block_comment] = STATE(2659),
    [sym_line_comment] = STATE(2659),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2660] = {
    [sym_open_tuple] = STATE(19147),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(13621),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11056),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13558),
    [sym_unary_expression] = STATE(13558),
    [sym_range_expression] = STATE(13558),
    [sym_splat_expression] = STATE(13558),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13054),
    [sym_unary_typed_expression] = STATE(13558),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13558),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13251),
    [sym_block_comment] = STATE(2660),
    [sym_line_comment] = STATE(2660),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2661] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2661),
    [sym_line_comment] = STATE(2661),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8273),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2662] = {
    [sym__expression] = STATE(14293),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17905),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2662),
    [sym_line_comment] = STATE(2662),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8275),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2663] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2663),
    [sym_line_comment] = STATE(2663),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8277),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2664] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2664),
    [sym_line_comment] = STATE(2664),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8279),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2665] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2665),
    [sym_line_comment] = STATE(2665),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8281),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2666] = {
    [sym_open_tuple] = STATE(7733),
    [sym_assignment] = STATE(7734),
    [sym__expression] = STATE(7739),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4639),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7652),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7653),
    [sym_block_comment] = STATE(2666),
    [sym_line_comment] = STATE(2666),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2667] = {
    [sym_open_tuple] = STATE(7741),
    [sym_assignment] = STATE(7742),
    [sym__expression] = STATE(7744),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4639),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7652),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7653),
    [sym_block_comment] = STATE(2667),
    [sym_line_comment] = STATE(2667),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2668] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2668),
    [sym_line_comment] = STATE(2668),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8283),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2669] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2669),
    [sym_line_comment] = STATE(2669),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8285),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2670] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_for_binding] = STATE(471),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11944),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11944),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13927),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11147),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2670),
    [sym_line_comment] = STATE(2670),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_outer] = ACTIONS(8287),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2671] = {
    [sym_open_tuple] = STATE(8736),
    [sym_assignment] = STATE(8739),
    [sym__expression] = STATE(8488),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(2671),
    [sym_line_comment] = STATE(2671),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2672] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2672),
    [sym_line_comment] = STATE(2672),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8289),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2673] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2673),
    [sym_line_comment] = STATE(2673),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8291),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2674] = {
    [sym__closed_assignment] = STATE(16486),
    [sym__expression] = STATE(13276),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(2674),
    [sym_line_comment] = STATE(2674),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8293),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2675] = {
    [sym_open_tuple] = STATE(8741),
    [sym_assignment] = STATE(8742),
    [sym__expression] = STATE(8743),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(2675),
    [sym_line_comment] = STATE(2675),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2676] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2676),
    [sym_line_comment] = STATE(2676),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8295),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2677] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2677),
    [sym_line_comment] = STATE(2677),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8297),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2678] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2678),
    [sym_line_comment] = STATE(2678),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8299),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2679] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2679),
    [sym_line_comment] = STATE(2679),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8301),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2680] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2680),
    [sym_line_comment] = STATE(2680),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8303),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2681] = {
    [sym__expression] = STATE(14320),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18012),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2681),
    [sym_line_comment] = STATE(2681),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8305),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2682] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2682),
    [sym_line_comment] = STATE(2682),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8277),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2683] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2683),
    [sym_line_comment] = STATE(2683),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8307),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2684] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2684),
    [sym_line_comment] = STATE(2684),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8309),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2685] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_for_binding] = STATE(15395),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11839),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11839),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14261),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11238),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2685),
    [sym_line_comment] = STATE(2685),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_outer] = ACTIONS(8203),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2686] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19728),
    [sym__expression] = STATE(13893),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(2686),
    [sym_line_comment] = STATE(2686),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2687] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2687),
    [sym_line_comment] = STATE(2687),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8311),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2688] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2688),
    [sym_line_comment] = STATE(2688),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8313),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2689] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2689),
    [sym_line_comment] = STATE(2689),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8315),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2690] = {
    [sym__expression] = STATE(14110),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18031),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2690),
    [sym_line_comment] = STATE(2690),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8317),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2691] = {
    [sym_open_tuple] = STATE(8537),
    [sym_assignment] = STATE(8788),
    [sym__expression] = STATE(8657),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4691),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9160),
    [sym_unary_expression] = STATE(9160),
    [sym_range_expression] = STATE(9160),
    [sym_splat_expression] = STATE(9160),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(7712),
    [sym_unary_typed_expression] = STATE(9160),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9160),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(7713),
    [sym_block_comment] = STATE(2691),
    [sym_line_comment] = STATE(2691),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2692] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2692),
    [sym_line_comment] = STATE(2692),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8319),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2693] = {
    [sym_open_tuple] = STATE(15408),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(12641),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(2693),
    [sym_line_comment] = STATE(2693),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2694] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2694),
    [sym_line_comment] = STATE(2694),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8321),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2695] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2695),
    [sym_line_comment] = STATE(2695),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8323),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2696] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2696),
    [sym_line_comment] = STATE(2696),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8325),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2697] = {
    [sym__closed_assignment] = STATE(16486),
    [sym__expression] = STATE(13276),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(2697),
    [sym_line_comment] = STATE(2697),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8327),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2698] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2698),
    [sym_line_comment] = STATE(2698),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8329),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2699] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2699),
    [sym_line_comment] = STATE(2699),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8331),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2700] = {
    [sym__expression] = STATE(13863),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18048),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2700),
    [sym_line_comment] = STATE(2700),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8333),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2701] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2701),
    [sym_line_comment] = STATE(2701),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8335),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2702] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2702),
    [sym_line_comment] = STATE(2702),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8337),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2703] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2703),
    [sym_line_comment] = STATE(2703),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8339),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2704] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2704),
    [sym_line_comment] = STATE(2704),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8341),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2705] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2705),
    [sym_line_comment] = STATE(2705),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8343),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2706] = {
    [sym__closed_assignment] = STATE(16486),
    [sym__expression] = STATE(13276),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(2706),
    [sym_line_comment] = STATE(2706),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7513),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2707] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2707),
    [sym_line_comment] = STATE(2707),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8345),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2708] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2708),
    [sym_line_comment] = STATE(2708),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8347),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2709] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2709),
    [sym_line_comment] = STATE(2709),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8349),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2710] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2710),
    [sym_line_comment] = STATE(2710),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8351),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2711] = {
    [sym__expression] = STATE(14251),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17621),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2711),
    [sym_line_comment] = STATE(2711),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8353),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2712] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2712),
    [sym_line_comment] = STATE(2712),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8355),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2713] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2713),
    [sym_line_comment] = STATE(2713),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8357),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2714] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2714),
    [sym_line_comment] = STATE(2714),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8359),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2715] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2715),
    [sym_line_comment] = STATE(2715),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8361),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2716] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2716),
    [sym_line_comment] = STATE(2716),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8363),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2717] = {
    [sym__closed_assignment] = STATE(16486),
    [sym__expression] = STATE(13276),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(2717),
    [sym_line_comment] = STATE(2717),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8249),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2718] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2718),
    [sym_line_comment] = STATE(2718),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8365),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2719] = {
    [sym__expression] = STATE(14307),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18082),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2719),
    [sym_line_comment] = STATE(2719),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8367),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2720] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2720),
    [sym_line_comment] = STATE(2720),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8335),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2721] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2721),
    [sym_line_comment] = STATE(2721),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8369),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2722] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2722),
    [sym_line_comment] = STATE(2722),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8371),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2723] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2723),
    [sym_line_comment] = STATE(2723),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8373),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2724] = {
    [sym__expression] = STATE(13982),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18139),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2724),
    [sym_line_comment] = STATE(2724),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8375),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2725] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2725),
    [sym_line_comment] = STATE(2725),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8377),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2726] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2726),
    [sym_line_comment] = STATE(2726),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8379),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2727] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2727),
    [sym_line_comment] = STATE(2727),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8381),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2728] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2728),
    [sym_line_comment] = STATE(2728),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8383),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2729] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2729),
    [sym_line_comment] = STATE(2729),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8385),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2730] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2730),
    [sym_line_comment] = STATE(2730),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8387),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2731] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2731),
    [sym_line_comment] = STATE(2731),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8389),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2732] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2732),
    [sym_line_comment] = STATE(2732),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8391),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2733] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2733),
    [sym_line_comment] = STATE(2733),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8393),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2734] = {
    [sym__expression] = STATE(13934),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18008),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2734),
    [sym_line_comment] = STATE(2734),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8395),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2735] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2735),
    [sym_line_comment] = STATE(2735),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8397),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2736] = {
    [sym__expression] = STATE(13915),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18152),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2736),
    [sym_line_comment] = STATE(2736),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8399),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2737] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2737),
    [sym_line_comment] = STATE(2737),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8401),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2738] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2738),
    [sym_line_comment] = STATE(2738),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8403),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2739] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2739),
    [sym_line_comment] = STATE(2739),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8405),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2740] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2740),
    [sym_line_comment] = STATE(2740),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7953),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2741] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2741),
    [sym_line_comment] = STATE(2741),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8407),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2742] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2742),
    [sym_line_comment] = STATE(2742),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8409),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2743] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2743),
    [sym_line_comment] = STATE(2743),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8411),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2744] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2744),
    [sym_line_comment] = STATE(2744),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8413),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2745] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2745),
    [sym_line_comment] = STATE(2745),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8415),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2746] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2746),
    [sym_line_comment] = STATE(2746),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8417),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2747] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2747),
    [sym_line_comment] = STATE(2747),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8419),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2748] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2748),
    [sym_line_comment] = STATE(2748),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7751),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2749] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2749),
    [sym_line_comment] = STATE(2749),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8421),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2750] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2750),
    [sym_line_comment] = STATE(2750),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8423),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2751] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2751),
    [sym_line_comment] = STATE(2751),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8425),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2752] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2752),
    [sym_line_comment] = STATE(2752),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8427),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2753] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2753),
    [sym_line_comment] = STATE(2753),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8429),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2754] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2754),
    [sym_line_comment] = STATE(2754),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8431),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2755] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2755),
    [sym_line_comment] = STATE(2755),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8433),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2756] = {
    [sym__expression] = STATE(14084),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18187),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2756),
    [sym_line_comment] = STATE(2756),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8435),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2757] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2757),
    [sym_line_comment] = STATE(2757),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8401),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2758] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2758),
    [sym_line_comment] = STATE(2758),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8437),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2759] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2759),
    [sym_line_comment] = STATE(2759),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8439),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2760] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2760),
    [sym_line_comment] = STATE(2760),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8307),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2761] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2761),
    [sym_line_comment] = STATE(2761),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8441),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2762] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2762),
    [sym_line_comment] = STATE(2762),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8443),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2763] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2763),
    [sym_line_comment] = STATE(2763),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8445),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2764] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2764),
    [sym_line_comment] = STATE(2764),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8447),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2765] = {
    [sym_open_tuple] = STATE(19716),
    [sym_assignment] = STATE(8655),
    [sym__expression] = STATE(9034),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4691),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9160),
    [sym_unary_expression] = STATE(9160),
    [sym_range_expression] = STATE(9160),
    [sym_splat_expression] = STATE(9160),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(7712),
    [sym_unary_typed_expression] = STATE(9160),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9160),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(7713),
    [sym_block_comment] = STATE(2765),
    [sym_line_comment] = STATE(2765),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2766] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2766),
    [sym_line_comment] = STATE(2766),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8449),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2767] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2767),
    [sym_line_comment] = STATE(2767),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8451),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2768] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2768),
    [sym_line_comment] = STATE(2768),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8453),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2769] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2769),
    [sym_line_comment] = STATE(2769),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8455),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2770] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2770),
    [sym_line_comment] = STATE(2770),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8457),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2771] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2771),
    [sym_line_comment] = STATE(2771),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8459),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2772] = {
    [sym_open_tuple] = STATE(12654),
    [sym_assignment] = STATE(12078),
    [sym__expression] = STATE(12655),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10777),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12932),
    [sym_unary_expression] = STATE(12932),
    [sym_range_expression] = STATE(12932),
    [sym_splat_expression] = STATE(12932),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12461),
    [sym_unary_typed_expression] = STATE(12932),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12932),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12462),
    [sym_block_comment] = STATE(2772),
    [sym_line_comment] = STATE(2772),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2773] = {
    [sym_open_tuple] = STATE(12656),
    [sym_assignment] = STATE(12160),
    [sym__expression] = STATE(12657),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10777),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12932),
    [sym_unary_expression] = STATE(12932),
    [sym_range_expression] = STATE(12932),
    [sym_splat_expression] = STATE(12932),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12461),
    [sym_unary_typed_expression] = STATE(12932),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12932),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12462),
    [sym_block_comment] = STATE(2773),
    [sym_line_comment] = STATE(2773),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2774] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2774),
    [sym_line_comment] = STATE(2774),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8461),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2775] = {
    [sym__expression] = STATE(14306),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17590),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2775),
    [sym_line_comment] = STATE(2775),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8463),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2776] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2776),
    [sym_line_comment] = STATE(2776),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8465),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2777] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2777),
    [sym_line_comment] = STATE(2777),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8467),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2778] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2778),
    [sym_line_comment] = STATE(2778),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8469),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2779] = {
    [sym__expression] = STATE(14253),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18099),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2779),
    [sym_line_comment] = STATE(2779),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8471),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2780] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2780),
    [sym_line_comment] = STATE(2780),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8473),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2781] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2781),
    [sym_line_comment] = STATE(2781),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8475),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2782] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2782),
    [sym_line_comment] = STATE(2782),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8477),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2783] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2783),
    [sym_line_comment] = STATE(2783),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8479),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2784] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2784),
    [sym_line_comment] = STATE(2784),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8481),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2785] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2785),
    [sym_line_comment] = STATE(2785),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8483),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2786] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2786),
    [sym_line_comment] = STATE(2786),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8485),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2787] = {
    [sym_open_tuple] = STATE(15136),
    [sym_assignment] = STATE(12904),
    [sym__expression] = STATE(12639),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10815),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12642),
    [sym_unary_expression] = STATE(12642),
    [sym_range_expression] = STATE(12642),
    [sym_splat_expression] = STATE(12642),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12446),
    [sym_unary_typed_expression] = STATE(12642),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12642),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12582),
    [sym_block_comment] = STATE(2787),
    [sym_line_comment] = STATE(2787),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2788] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2788),
    [sym_line_comment] = STATE(2788),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8487),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2789] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2789),
    [sym_line_comment] = STATE(2789),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8489),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2790] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2790),
    [sym_line_comment] = STATE(2790),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8491),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2791] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2791),
    [sym_line_comment] = STATE(2791),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8493),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2792] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2792),
    [sym_line_comment] = STATE(2792),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8495),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2793] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2793),
    [sym_line_comment] = STATE(2793),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8497),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2794] = {
    [sym__expression] = STATE(14246),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17626),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2794),
    [sym_line_comment] = STATE(2794),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8499),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2795] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2795),
    [sym_line_comment] = STATE(2795),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8465),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2796] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2796),
    [sym_line_comment] = STATE(2796),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8501),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2797] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2797),
    [sym_line_comment] = STATE(2797),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8503),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2798] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2798),
    [sym_line_comment] = STATE(2798),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8505),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2799] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2799),
    [sym_line_comment] = STATE(2799),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8507),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2800] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2800),
    [sym_line_comment] = STATE(2800),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8509),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2801] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2801),
    [sym_line_comment] = STATE(2801),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8511),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2802] = {
    [sym_open_tuple] = STATE(18840),
    [sym_assignment] = STATE(12032),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11730),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14391),
    [sym_unary_expression] = STATE(14391),
    [sym_range_expression] = STATE(14391),
    [sym_splat_expression] = STATE(14391),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13936),
    [sym_unary_typed_expression] = STATE(14391),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14391),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13860),
    [sym_block_comment] = STATE(2802),
    [sym_line_comment] = STATE(2802),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2803] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2803),
    [sym_line_comment] = STATE(2803),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8513),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2804] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2804),
    [sym_line_comment] = STATE(2804),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8515),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2805] = {
    [sym_open_tuple] = STATE(20110),
    [sym_assignment] = STATE(12032),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11525),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14384),
    [sym_unary_expression] = STATE(14384),
    [sym_range_expression] = STATE(14384),
    [sym_splat_expression] = STATE(14384),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14275),
    [sym_unary_typed_expression] = STATE(14384),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14384),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14280),
    [sym_block_comment] = STATE(2805),
    [sym_line_comment] = STATE(2805),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2806] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2806),
    [sym_line_comment] = STATE(2806),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8517),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2807] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2807),
    [sym_line_comment] = STATE(2807),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8519),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2808] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2808),
    [sym_line_comment] = STATE(2808),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8521),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2809] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2809),
    [sym_line_comment] = STATE(2809),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8523),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2810] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2810),
    [sym_line_comment] = STATE(2810),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8525),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2811] = {
    [sym__expression] = STATE(14040),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17652),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2811),
    [sym_line_comment] = STATE(2811),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8527),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2812] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2812),
    [sym_line_comment] = STATE(2812),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8529),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2813] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2813),
    [sym_line_comment] = STATE(2813),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8531),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2814] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2814),
    [sym_line_comment] = STATE(2814),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8533),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2815] = {
    [sym_open_tuple] = STATE(14125),
    [sym_assignment] = STATE(11397),
    [sym__expression] = STATE(13718),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11283),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13849),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2815),
    [sym_line_comment] = STATE(2815),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2816] = {
    [sym_open_tuple] = STATE(14129),
    [sym_assignment] = STATE(11399),
    [sym__expression] = STATE(13720),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11283),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13849),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2816),
    [sym_line_comment] = STATE(2816),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2817] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2817),
    [sym_line_comment] = STATE(2817),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8535),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2818] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2818),
    [sym_line_comment] = STATE(2818),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8537),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2819] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2819),
    [sym_line_comment] = STATE(2819),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8539),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2820] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2820),
    [sym_line_comment] = STATE(2820),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8327),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2821] = {
    [sym_open_tuple] = STATE(19924),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(13724),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11283),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13849),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2821),
    [sym_line_comment] = STATE(2821),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2822] = {
    [sym_open_tuple] = STATE(9773),
    [sym_assignment] = STATE(9794),
    [sym__expression] = STATE(9669),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5737),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9803),
    [sym_unary_expression] = STATE(9803),
    [sym_range_expression] = STATE(9803),
    [sym_splat_expression] = STATE(9803),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9684),
    [sym_unary_typed_expression] = STATE(9803),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9803),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9685),
    [sym_block_comment] = STATE(2822),
    [sym_line_comment] = STATE(2822),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2823] = {
    [sym_open_tuple] = STATE(13106),
    [sym_assignment] = STATE(11415),
    [sym__expression] = STATE(13109),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10902),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13179),
    [sym_unary_expression] = STATE(13179),
    [sym_range_expression] = STATE(13179),
    [sym_splat_expression] = STATE(13179),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12733),
    [sym_unary_typed_expression] = STATE(13179),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13179),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12806),
    [sym_block_comment] = STATE(2823),
    [sym_line_comment] = STATE(2823),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2824] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2824),
    [sym_line_comment] = STATE(2824),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8541),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2825] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2825),
    [sym_line_comment] = STATE(2825),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8543),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2826] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2826),
    [sym_line_comment] = STATE(2826),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7325),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2827] = {
    [sym_open_tuple] = STATE(19147),
    [sym_assignment] = STATE(11377),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11536),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13558),
    [sym_unary_expression] = STATE(13558),
    [sym_range_expression] = STATE(13558),
    [sym_splat_expression] = STATE(13558),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13906),
    [sym_unary_typed_expression] = STATE(13558),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13558),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13251),
    [sym_block_comment] = STATE(2827),
    [sym_line_comment] = STATE(2827),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2828] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2828),
    [sym_line_comment] = STATE(2828),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8545),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2829] = {
    [sym__expression] = STATE(14167),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17685),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2829),
    [sym_line_comment] = STATE(2829),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8547),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2830] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2830),
    [sym_line_comment] = STATE(2830),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8529),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2831] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2831),
    [sym_line_comment] = STATE(2831),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8549),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2832] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2832),
    [sym_line_comment] = STATE(2832),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8551),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2833] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2833),
    [sym_line_comment] = STATE(2833),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8553),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2834] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2834),
    [sym_line_comment] = STATE(2834),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8555),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2835] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2835),
    [sym_line_comment] = STATE(2835),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8557),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2836] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2836),
    [sym_line_comment] = STATE(2836),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8559),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2837] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2837),
    [sym_line_comment] = STATE(2837),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8561),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2838] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2838),
    [sym_line_comment] = STATE(2838),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8553),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2839] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2839),
    [sym_line_comment] = STATE(2839),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8563),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2840] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2840),
    [sym_line_comment] = STATE(2840),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8565),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2841] = {
    [sym_open_tuple] = STATE(20179),
    [sym_assignment] = STATE(8850),
    [sym__expression] = STATE(8847),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(2841),
    [sym_line_comment] = STATE(2841),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2842] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_for_binding] = STATE(9988),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11944),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11944),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13927),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11147),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2842),
    [sym_line_comment] = STATE(2842),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_outer] = ACTIONS(8287),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2843] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2843),
    [sym_line_comment] = STATE(2843),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8567),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2844] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2844),
    [sym_line_comment] = STATE(2844),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8569),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2845] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2845),
    [sym_line_comment] = STATE(2845),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8571),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2846] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2846),
    [sym_line_comment] = STATE(2846),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8573),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2847] = {
    [sym_open_tuple] = STATE(12937),
    [sym_assignment] = STATE(12938),
    [sym__expression] = STATE(12939),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10841),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12930),
    [sym_unary_expression] = STATE(12930),
    [sym_range_expression] = STATE(12930),
    [sym_splat_expression] = STATE(12930),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12542),
    [sym_unary_typed_expression] = STATE(12930),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12930),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12398),
    [sym_block_comment] = STATE(2847),
    [sym_line_comment] = STATE(2847),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2848] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2848),
    [sym_line_comment] = STATE(2848),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8575),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2849] = {
    [sym__expression] = STATE(13930),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17954),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2849),
    [sym_line_comment] = STATE(2849),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8577),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2850] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2850),
    [sym_line_comment] = STATE(2850),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8579),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2851] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2851),
    [sym_line_comment] = STATE(2851),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8581),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2852] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2852),
    [sym_line_comment] = STATE(2852),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8583),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2853] = {
    [sym_open_tuple] = STATE(12943),
    [sym_assignment] = STATE(12950),
    [sym__expression] = STATE(12956),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10841),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12930),
    [sym_unary_expression] = STATE(12930),
    [sym_range_expression] = STATE(12930),
    [sym_splat_expression] = STATE(12930),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12542),
    [sym_unary_typed_expression] = STATE(12930),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12930),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12398),
    [sym_block_comment] = STATE(2853),
    [sym_line_comment] = STATE(2853),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2854] = {
    [sym_open_tuple] = STATE(15402),
    [sym_assignment] = STATE(14599),
    [sym__expression] = STATE(12990),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10807),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12704),
    [sym_unary_expression] = STATE(12704),
    [sym_range_expression] = STATE(12704),
    [sym_splat_expression] = STATE(12704),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12594),
    [sym_unary_typed_expression] = STATE(12704),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12704),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12612),
    [sym_block_comment] = STATE(2854),
    [sym_line_comment] = STATE(2854),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2855] = {
    [sym_open_tuple] = STATE(15534),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(13316),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10931),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13111),
    [sym_unary_expression] = STATE(13111),
    [sym_range_expression] = STATE(13111),
    [sym_splat_expression] = STATE(13111),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12796),
    [sym_unary_typed_expression] = STATE(13111),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13111),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12797),
    [sym_block_comment] = STATE(2855),
    [sym_line_comment] = STATE(2855),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2856] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2856),
    [sym_line_comment] = STATE(2856),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8585),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2857] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2857),
    [sym_line_comment] = STATE(2857),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8587),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2858] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2858),
    [sym_line_comment] = STATE(2858),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8589),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2859] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2859),
    [sym_line_comment] = STATE(2859),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8591),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2860] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2860),
    [sym_line_comment] = STATE(2860),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8593),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2861] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2861),
    [sym_line_comment] = STATE(2861),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8595),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2862] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2862),
    [sym_line_comment] = STATE(2862),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8597),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2863] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2863),
    [sym_line_comment] = STATE(2863),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8599),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2864] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2864),
    [sym_line_comment] = STATE(2864),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8601),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2865] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2865),
    [sym_line_comment] = STATE(2865),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8603),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2866] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2866),
    [sym_line_comment] = STATE(2866),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7843),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2867] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2867),
    [sym_line_comment] = STATE(2867),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8605),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2868] = {
    [sym__expression] = STATE(14123),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17709),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2868),
    [sym_line_comment] = STATE(2868),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8607),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2869] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2869),
    [sym_line_comment] = STATE(2869),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8579),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2870] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2870),
    [sym_line_comment] = STATE(2870),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8609),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2871] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2871),
    [sym_line_comment] = STATE(2871),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8611),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2872] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2872),
    [sym_line_comment] = STATE(2872),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8613),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2873] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2873),
    [sym_line_comment] = STATE(2873),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8615),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2874] = {
    [sym_open_tuple] = STATE(13518),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(13383),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11078),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13187),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2874),
    [sym_line_comment] = STATE(2874),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2875] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2875),
    [sym_line_comment] = STATE(2875),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8617),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2876] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2876),
    [sym_line_comment] = STATE(2876),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8619),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2877] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2877),
    [sym_line_comment] = STATE(2877),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8621),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2878] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2878),
    [sym_line_comment] = STATE(2878),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8623),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2879] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2879),
    [sym_line_comment] = STATE(2879),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8625),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2880] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2880),
    [sym_line_comment] = STATE(2880),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8627),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2881] = {
    [sym__closed_assignment] = STATE(16486),
    [sym__expression] = STATE(13276),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(2881),
    [sym_line_comment] = STATE(2881),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8625),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2882] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2882),
    [sym_line_comment] = STATE(2882),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8629),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2883] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2883),
    [sym_line_comment] = STATE(2883),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8631),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2884] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2884),
    [sym_line_comment] = STATE(2884),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8633),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2885] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2885),
    [sym_line_comment] = STATE(2885),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8635),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2886] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2886),
    [sym_line_comment] = STATE(2886),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8637),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2887] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2887),
    [sym_line_comment] = STATE(2887),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8639),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2888] = {
    [sym__expression] = STATE(14328),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17741),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2888),
    [sym_line_comment] = STATE(2888),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8641),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2889] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2889),
    [sym_line_comment] = STATE(2889),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2890] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2890),
    [sym_line_comment] = STATE(2890),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8645),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2891] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2891),
    [sym_line_comment] = STATE(2891),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8647),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2892] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2892),
    [sym_line_comment] = STATE(2892),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8615),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2893] = {
    [sym_open_tuple] = STATE(13395),
    [sym_assignment] = STATE(11397),
    [sym__expression] = STATE(12832),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10947),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12651),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2893),
    [sym_line_comment] = STATE(2893),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2894] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2894),
    [sym_line_comment] = STATE(2894),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8649),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2895] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2895),
    [sym_line_comment] = STATE(2895),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8651),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2896] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2896),
    [sym_line_comment] = STATE(2896),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8653),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2897] = {
    [sym__expression] = STATE(14159),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17745),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2897),
    [sym_line_comment] = STATE(2897),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8655),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2898] = {
    [sym_open_tuple] = STATE(13400),
    [sym_assignment] = STATE(11399),
    [sym__expression] = STATE(12833),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10947),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12651),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2898),
    [sym_line_comment] = STATE(2898),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2899] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2899),
    [sym_line_comment] = STATE(2899),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8657),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2900] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2900),
    [sym_line_comment] = STATE(2900),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8659),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2901] = {
    [sym_open_tuple] = STATE(20115),
    [sym_assignment] = STATE(8015),
    [sym__expression] = STATE(8251),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4639),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7652),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7653),
    [sym_block_comment] = STATE(2901),
    [sym_line_comment] = STATE(2901),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2902] = {
    [sym_open_tuple] = STATE(13268),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(12858),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10978),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12664),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2902),
    [sym_line_comment] = STATE(2902),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2903] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2903),
    [sym_line_comment] = STATE(2903),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8661),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2904] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2904),
    [sym_line_comment] = STATE(2904),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8663),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2905] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2905),
    [sym_line_comment] = STATE(2905),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8665),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2906] = {
    [sym__expression] = STATE(13895),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18122),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2906),
    [sym_line_comment] = STATE(2906),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8667),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2907] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2907),
    [sym_line_comment] = STATE(2907),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2908] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2908),
    [sym_line_comment] = STATE(2908),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8669),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2909] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2909),
    [sym_line_comment] = STATE(2909),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8671),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2910] = {
    [sym_open_tuple] = STATE(19169),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(13796),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10947),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12651),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2910),
    [sym_line_comment] = STATE(2910),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2911] = {
    [sym_open_tuple] = STATE(19700),
    [sym_assignment] = STATE(12147),
    [sym__expression] = STATE(12954),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10777),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12932),
    [sym_unary_expression] = STATE(12932),
    [sym_range_expression] = STATE(12932),
    [sym_splat_expression] = STATE(12932),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12461),
    [sym_unary_typed_expression] = STATE(12932),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12932),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12462),
    [sym_block_comment] = STATE(2911),
    [sym_line_comment] = STATE(2911),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2912] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2912),
    [sym_line_comment] = STATE(2912),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8673),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2913] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2913),
    [sym_line_comment] = STATE(2913),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8675),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2914] = {
    [sym_open_tuple] = STATE(8737),
    [sym_assignment] = STATE(8788),
    [sym__expression] = STATE(8339),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4849),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9196),
    [sym_unary_expression] = STATE(9196),
    [sym_range_expression] = STATE(9196),
    [sym_splat_expression] = STATE(9196),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8091),
    [sym_unary_typed_expression] = STATE(9196),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9196),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8066),
    [sym_block_comment] = STATE(2914),
    [sym_line_comment] = STATE(2914),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2915] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2915),
    [sym_line_comment] = STATE(2915),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8677),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2916] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2916),
    [sym_line_comment] = STATE(2916),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8679),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2917] = {
    [sym_open_tuple] = STATE(19043),
    [sym_assignment] = STATE(8015),
    [sym__expression] = STATE(7526),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4594),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8252),
    [sym_unary_expression] = STATE(8252),
    [sym_range_expression] = STATE(8252),
    [sym_splat_expression] = STATE(8252),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7369),
    [sym_unary_typed_expression] = STATE(8252),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8252),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7582),
    [sym_block_comment] = STATE(2917),
    [sym_line_comment] = STATE(2917),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2918] = {
    [sym_open_tuple] = STATE(19283),
    [sym_assignment] = STATE(12147),
    [sym__expression] = STATE(13278),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11112),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13315),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2918),
    [sym_line_comment] = STATE(2918),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2919] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2919),
    [sym_line_comment] = STATE(2919),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8681),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2920] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2920),
    [sym_line_comment] = STATE(2920),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8683),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2921] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2921),
    [sym_line_comment] = STATE(2921),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8685),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2922] = {
    [sym__closed_assignment] = STATE(16486),
    [sym__expression] = STATE(13276),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(2922),
    [sym_line_comment] = STATE(2922),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7419),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2923] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2923),
    [sym_line_comment] = STATE(2923),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8687),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2924] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2924),
    [sym_line_comment] = STATE(2924),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8689),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2925] = {
    [sym__expression] = STATE(13928),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17789),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2925),
    [sym_line_comment] = STATE(2925),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8691),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2926] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2926),
    [sym_line_comment] = STATE(2926),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8693),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2927] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2927),
    [sym_line_comment] = STATE(2927),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8695),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2928] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2928),
    [sym_line_comment] = STATE(2928),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8697),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2929] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2929),
    [sym_line_comment] = STATE(2929),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8699),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2930] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2930),
    [sym_line_comment] = STATE(2930),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8701),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2931] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2931),
    [sym_line_comment] = STATE(2931),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8703),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2932] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2932),
    [sym_line_comment] = STATE(2932),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8705),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2933] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2933),
    [sym_line_comment] = STATE(2933),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8707),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2934] = {
    [sym_open_tuple] = STATE(13262),
    [sym_assignment] = STATE(12078),
    [sym__expression] = STATE(13263),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10932),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13367),
    [sym_unary_expression] = STATE(13367),
    [sym_range_expression] = STATE(13367),
    [sym_splat_expression] = STATE(13367),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13018),
    [sym_unary_typed_expression] = STATE(13367),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13367),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13019),
    [sym_block_comment] = STATE(2934),
    [sym_line_comment] = STATE(2934),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2935] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2935),
    [sym_line_comment] = STATE(2935),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8421),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2936] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2936),
    [sym_line_comment] = STATE(2936),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8709),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2937] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2937),
    [sym_line_comment] = STATE(2937),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7367),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2938] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2938),
    [sym_line_comment] = STATE(2938),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8711),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2939] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2939),
    [sym_line_comment] = STATE(2939),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8713),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2940] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2940),
    [sym_line_comment] = STATE(2940),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8715),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2941] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2941),
    [sym_line_comment] = STATE(2941),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8717),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2942] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2942),
    [sym_line_comment] = STATE(2942),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8437),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2943] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2943),
    [sym_line_comment] = STATE(2943),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8719),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2944] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2944),
    [sym_line_comment] = STATE(2944),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8721),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2945] = {
    [sym__expression] = STATE(13995),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17834),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2945),
    [sym_line_comment] = STATE(2945),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8723),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2946] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2946),
    [sym_line_comment] = STATE(2946),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8693),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2947] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2947),
    [sym_line_comment] = STATE(2947),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8725),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2948] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2948),
    [sym_line_comment] = STATE(2948),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8727),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2949] = {
    [sym_open_tuple] = STATE(13277),
    [sym_assignment] = STATE(11415),
    [sym__expression] = STATE(12835),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10947),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12651),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2949),
    [sym_line_comment] = STATE(2949),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2950] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2950),
    [sym_line_comment] = STATE(2950),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8729),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2951] = {
    [sym__expression] = STATE(13856),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17642),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2951),
    [sym_line_comment] = STATE(2951),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8731),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2952] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2952),
    [sym_line_comment] = STATE(2952),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8733),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2953] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2953),
    [sym_line_comment] = STATE(2953),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8735),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2954] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2954),
    [sym_line_comment] = STATE(2954),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8737),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2955] = {
    [sym_open_tuple] = STATE(13264),
    [sym_assignment] = STATE(12160),
    [sym__expression] = STATE(13266),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10932),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13367),
    [sym_unary_expression] = STATE(13367),
    [sym_range_expression] = STATE(13367),
    [sym_splat_expression] = STATE(13367),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13018),
    [sym_unary_typed_expression] = STATE(13367),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13367),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13019),
    [sym_block_comment] = STATE(2955),
    [sym_line_comment] = STATE(2955),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2956] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2956),
    [sym_line_comment] = STATE(2956),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8739),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2957] = {
    [sym_open_tuple] = STATE(19781),
    [sym_assignment] = STATE(9536),
    [sym__expression] = STATE(9040),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5184),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9563),
    [sym_unary_expression] = STATE(9563),
    [sym_range_expression] = STATE(9563),
    [sym_splat_expression] = STATE(9563),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8594),
    [sym_unary_typed_expression] = STATE(9563),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9563),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9250),
    [sym_block_comment] = STATE(2957),
    [sym_line_comment] = STATE(2957),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2958] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2958),
    [sym_line_comment] = STATE(2958),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8741),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2959] = {
    [sym_open_tuple] = STATE(8507),
    [sym_assignment] = STATE(8836),
    [sym__expression] = STATE(8972),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4808),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(9161),
    [sym_unary_expression] = STATE(9161),
    [sym_range_expression] = STATE(9161),
    [sym_splat_expression] = STATE(9161),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7856),
    [sym_unary_typed_expression] = STATE(9161),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(9161),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(7704),
    [sym_block_comment] = STATE(2959),
    [sym_line_comment] = STATE(2959),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2960] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2960),
    [sym_line_comment] = STATE(2960),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8743),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2961] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2961),
    [sym_line_comment] = STATE(2961),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8745),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2962] = {
    [sym_open_tuple] = STATE(19147),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(13584),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11056),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13558),
    [sym_unary_expression] = STATE(13558),
    [sym_range_expression] = STATE(13558),
    [sym_splat_expression] = STATE(13558),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13054),
    [sym_unary_typed_expression] = STATE(13558),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13558),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13251),
    [sym_block_comment] = STATE(2962),
    [sym_line_comment] = STATE(2962),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2963] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2963),
    [sym_line_comment] = STATE(2963),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8747),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2964] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2964),
    [sym_line_comment] = STATE(2964),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8749),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2965] = {
    [sym__expression] = STATE(14009),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17871),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2965),
    [sym_line_comment] = STATE(2965),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8751),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2966] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2966),
    [sym_line_comment] = STATE(2966),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8753),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2967] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2967),
    [sym_line_comment] = STATE(2967),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8755),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2968] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2968),
    [sym_line_comment] = STATE(2968),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8757),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2969] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2969),
    [sym_line_comment] = STATE(2969),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8759),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2970] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2970),
    [sym_line_comment] = STATE(2970),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8761),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2971] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2971),
    [sym_line_comment] = STATE(2971),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8763),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2972] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2972),
    [sym_line_comment] = STATE(2972),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8765),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2973] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2973),
    [sym_line_comment] = STATE(2973),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8767),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2974] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2974),
    [sym_line_comment] = STATE(2974),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8769),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2975] = {
    [sym_open_tuple] = STATE(12760),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(12505),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10823),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12352),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2975),
    [sym_line_comment] = STATE(2975),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2976] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2976),
    [sym_line_comment] = STATE(2976),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8771),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2977] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2977),
    [sym_line_comment] = STATE(2977),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8773),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2978] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2978),
    [sym_line_comment] = STATE(2978),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8775),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2979] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2979),
    [sym_line_comment] = STATE(2979),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8777),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2980] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2980),
    [sym_line_comment] = STATE(2980),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8779),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2981] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2981),
    [sym_line_comment] = STATE(2981),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8781),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2982] = {
    [sym_open_tuple] = STATE(19716),
    [sym_assignment] = STATE(8655),
    [sym__expression] = STATE(9535),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4691),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9160),
    [sym_unary_expression] = STATE(9160),
    [sym_range_expression] = STATE(9160),
    [sym_splat_expression] = STATE(9160),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(7712),
    [sym_unary_typed_expression] = STATE(9160),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9160),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(7713),
    [sym_block_comment] = STATE(2982),
    [sym_line_comment] = STATE(2982),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2983] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2983),
    [sym_line_comment] = STATE(2983),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8783),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2984] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2984),
    [sym_line_comment] = STATE(2984),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8785),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2985] = {
    [sym__expression] = STATE(14027),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17898),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2985),
    [sym_line_comment] = STATE(2985),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8787),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2986] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2986),
    [sym_line_comment] = STATE(2986),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8753),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2987] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2987),
    [sym_line_comment] = STATE(2987),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8789),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2988] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2988),
    [sym_line_comment] = STATE(2988),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8791),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2989] = {
    [sym_open_tuple] = STATE(19831),
    [sym_assignment] = STATE(8935),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11769),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14436),
    [sym_unary_expression] = STATE(14436),
    [sym_range_expression] = STATE(14436),
    [sym_splat_expression] = STATE(14436),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14210),
    [sym_unary_typed_expression] = STATE(14436),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14436),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13937),
    [sym_block_comment] = STATE(2989),
    [sym_line_comment] = STATE(2989),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2990] = {
    [sym_open_tuple] = STATE(12761),
    [sym_assignment] = STATE(12904),
    [sym__expression] = STATE(12506),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10798),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12713),
    [sym_unary_expression] = STATE(12713),
    [sym_range_expression] = STATE(12713),
    [sym_splat_expression] = STATE(12713),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12557),
    [sym_unary_typed_expression] = STATE(12713),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12713),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12520),
    [sym_block_comment] = STATE(2990),
    [sym_line_comment] = STATE(2990),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2991] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2991),
    [sym_line_comment] = STATE(2991),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8793),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2992] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2992),
    [sym_line_comment] = STATE(2992),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8795),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2993] = {
    [sym_open_tuple] = STATE(13324),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(12860),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10872),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12714),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2993),
    [sym_line_comment] = STATE(2993),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2994] = {
    [sym_open_tuple] = STATE(13325),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(12861),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10907),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12662),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(2994),
    [sym_line_comment] = STATE(2994),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2995] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(2995),
    [sym_line_comment] = STATE(2995),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8797),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2996] = {
    [sym_open_tuple] = STATE(19560),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(13787),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11345),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13804),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2996),
    [sym_line_comment] = STATE(2996),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2997] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(2997),
    [sym_line_comment] = STATE(2997),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8799),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2998] = {
    [sym_open_tuple] = STATE(19000),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(12493),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10806),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12361),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(2998),
    [sym_line_comment] = STATE(2998),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [2999] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(2999),
    [sym_line_comment] = STATE(2999),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8801),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3000] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3000),
    [sym_line_comment] = STATE(3000),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8803),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3001] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3001),
    [sym_line_comment] = STATE(3001),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8805),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3002] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3002),
    [sym_line_comment] = STATE(3002),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8807),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3003] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3003),
    [sym_line_comment] = STATE(3003),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8809),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3004] = {
    [sym__expression] = STATE(14072),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17912),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3004),
    [sym_line_comment] = STATE(3004),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8811),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3005] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3005),
    [sym_line_comment] = STATE(3005),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8813),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3006] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3006),
    [sym_line_comment] = STATE(3006),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8815),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3007] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3007),
    [sym_line_comment] = STATE(3007),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8817),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3008] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3008),
    [sym_line_comment] = STATE(3008),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8819),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3009] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3009),
    [sym_line_comment] = STATE(3009),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8821),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3010] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3010),
    [sym_line_comment] = STATE(3010),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8823),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3011] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3011),
    [sym_line_comment] = STATE(3011),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8825),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3012] = {
    [sym__expression] = STATE(14196),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17901),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3012),
    [sym_line_comment] = STATE(3012),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8827),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3013] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3013),
    [sym_line_comment] = STATE(3013),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8829),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3014] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3014),
    [sym_line_comment] = STATE(3014),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8831),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3015] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3015),
    [sym_line_comment] = STATE(3015),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8833),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3016] = {
    [sym_open_tuple] = STATE(20115),
    [sym_assignment] = STATE(7732),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11472),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14438),
    [sym_unary_expression] = STATE(14438),
    [sym_range_expression] = STATE(14438),
    [sym_splat_expression] = STATE(14438),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13897),
    [sym_unary_typed_expression] = STATE(14438),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14438),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13933),
    [sym_block_comment] = STATE(3016),
    [sym_line_comment] = STATE(3016),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3017] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3017),
    [sym_line_comment] = STATE(3017),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8835),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3018] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3018),
    [sym_line_comment] = STATE(3018),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8837),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3019] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3019),
    [sym_line_comment] = STATE(3019),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8839),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3020] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3020),
    [sym_line_comment] = STATE(3020),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8841),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3021] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3021),
    [sym_line_comment] = STATE(3021),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8843),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3022] = {
    [sym__expression] = STATE(14174),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18220),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3022),
    [sym_line_comment] = STATE(3022),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8845),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3023] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3023),
    [sym_line_comment] = STATE(3023),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8813),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3024] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3024),
    [sym_line_comment] = STATE(3024),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8847),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3025] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3025),
    [sym_line_comment] = STATE(3025),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8849),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3026] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3026),
    [sym_line_comment] = STATE(3026),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8851),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3027] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3027),
    [sym_line_comment] = STATE(3027),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8853),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3028] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3028),
    [sym_line_comment] = STATE(3028),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8855),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3029] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3029),
    [sym_line_comment] = STATE(3029),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8857),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3030] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3030),
    [sym_line_comment] = STATE(3030),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8859),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3031] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3031),
    [sym_line_comment] = STATE(3031),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7349),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3032] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3032),
    [sym_line_comment] = STATE(3032),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8861),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3033] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3033),
    [sym_line_comment] = STATE(3033),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8863),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3034] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3034),
    [sym_line_comment] = STATE(3034),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8865),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3035] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3035),
    [sym_line_comment] = STATE(3035),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8867),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3036] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3036),
    [sym_line_comment] = STATE(3036),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8869),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3037] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3037),
    [sym_line_comment] = STATE(3037),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8871),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3038] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3038),
    [sym_line_comment] = STATE(3038),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8873),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3039] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3039),
    [sym_line_comment] = STATE(3039),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8875),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3040] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3040),
    [sym_line_comment] = STATE(3040),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8877),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3041] = {
    [sym__expression] = STATE(14208),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17970),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3041),
    [sym_line_comment] = STATE(3041),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8879),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3042] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3042),
    [sym_line_comment] = STATE(3042),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8881),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3043] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3043),
    [sym_line_comment] = STATE(3043),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8883),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3044] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3044),
    [sym_line_comment] = STATE(3044),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8885),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3045] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3045),
    [sym_line_comment] = STATE(3045),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8887),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3046] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3046),
    [sym_line_comment] = STATE(3046),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8889),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3047] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3047),
    [sym_line_comment] = STATE(3047),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8423),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3048] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3048),
    [sym_line_comment] = STATE(3048),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8891),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3049] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3049),
    [sym_line_comment] = STATE(3049),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8893),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3050] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3050),
    [sym_line_comment] = STATE(3050),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8895),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3051] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3051),
    [sym_line_comment] = STATE(3051),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8897),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3052] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3052),
    [sym_line_comment] = STATE(3052),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8899),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3053] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3053),
    [sym_line_comment] = STATE(3053),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8901),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3054] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3054),
    [sym_line_comment] = STATE(3054),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8903),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3055] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3055),
    [sym_line_comment] = STATE(3055),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8905),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3056] = {
    [sym_open_tuple] = STATE(19615),
    [sym_assignment] = STATE(11377),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11449),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14419),
    [sym_unary_expression] = STATE(14419),
    [sym_range_expression] = STATE(14419),
    [sym_splat_expression] = STATE(14419),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13921),
    [sym_unary_typed_expression] = STATE(14419),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14419),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14211),
    [sym_block_comment] = STATE(3056),
    [sym_line_comment] = STATE(3056),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3057] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3057),
    [sym_line_comment] = STATE(3057),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8907),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3058] = {
    [sym__expression] = STATE(14294),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3058),
    [sym_line_comment] = STATE(3058),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8909),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3059] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3059),
    [sym_line_comment] = STATE(3059),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8881),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3060] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3060),
    [sym_line_comment] = STATE(3060),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8911),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3061] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3061),
    [sym_line_comment] = STATE(3061),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8913),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3062] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3062),
    [sym_line_comment] = STATE(3062),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8915),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3063] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3063),
    [sym_line_comment] = STATE(3063),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8917),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3064] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3064),
    [sym_line_comment] = STATE(3064),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8919),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3065] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3065),
    [sym_line_comment] = STATE(3065),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8921),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3066] = {
    [sym_open_tuple] = STATE(13568),
    [sym_assignment] = STATE(12078),
    [sym__expression] = STATE(13373),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11078),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13187),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(3066),
    [sym_line_comment] = STATE(3066),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3067] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3067),
    [sym_line_comment] = STATE(3067),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8923),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3068] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3068),
    [sym_line_comment] = STATE(3068),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8923),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3069] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3069),
    [sym_line_comment] = STATE(3069),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8925),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3070] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3070),
    [sym_line_comment] = STATE(3070),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8925),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3071] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3071),
    [sym_line_comment] = STATE(3071),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8927),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3072] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3072),
    [sym_line_comment] = STATE(3072),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8927),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3073] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3073),
    [sym_line_comment] = STATE(3073),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8929),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3074] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3074),
    [sym_line_comment] = STATE(3074),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8929),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3075] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3075),
    [sym_line_comment] = STATE(3075),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8931),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3076] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3076),
    [sym_line_comment] = STATE(3076),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8931),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3077] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3077),
    [sym_line_comment] = STATE(3077),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8933),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3078] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3078),
    [sym_line_comment] = STATE(3078),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8933),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3079] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3079),
    [sym_line_comment] = STATE(3079),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8935),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3080] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3080),
    [sym_line_comment] = STATE(3080),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8935),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3081] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3081),
    [sym_line_comment] = STATE(3081),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8937),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3082] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3082),
    [sym_line_comment] = STATE(3082),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8937),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3083] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3083),
    [sym_line_comment] = STATE(3083),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8939),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3084] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3084),
    [sym_line_comment] = STATE(3084),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8939),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3085] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3085),
    [sym_line_comment] = STATE(3085),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8941),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3086] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3086),
    [sym_line_comment] = STATE(3086),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8941),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3087] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3087),
    [sym_line_comment] = STATE(3087),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8943),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3088] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3088),
    [sym_line_comment] = STATE(3088),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8943),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3089] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3089),
    [sym_line_comment] = STATE(3089),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8945),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3090] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3090),
    [sym_line_comment] = STATE(3090),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8945),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3091] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3091),
    [sym_line_comment] = STATE(3091),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8947),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3092] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3092),
    [sym_line_comment] = STATE(3092),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8947),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3093] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3093),
    [sym_line_comment] = STATE(3093),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8949),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3094] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3094),
    [sym_line_comment] = STATE(3094),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8949),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3095] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3095),
    [sym_line_comment] = STATE(3095),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8951),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3096] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3096),
    [sym_line_comment] = STATE(3096),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8951),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3097] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3097),
    [sym_line_comment] = STATE(3097),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8953),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3098] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3098),
    [sym_line_comment] = STATE(3098),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8953),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3099] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3099),
    [sym_line_comment] = STATE(3099),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8955),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3100] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3100),
    [sym_line_comment] = STATE(3100),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8955),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3101] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3101),
    [sym_line_comment] = STATE(3101),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8957),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3102] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3102),
    [sym_line_comment] = STATE(3102),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8957),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3103] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3103),
    [sym_line_comment] = STATE(3103),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8959),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3104] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3104),
    [sym_line_comment] = STATE(3104),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8959),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3105] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3105),
    [sym_line_comment] = STATE(3105),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8961),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3106] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3106),
    [sym_line_comment] = STATE(3106),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8961),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3107] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3107),
    [sym_line_comment] = STATE(3107),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8963),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3108] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3108),
    [sym_line_comment] = STATE(3108),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8963),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3109] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3109),
    [sym_line_comment] = STATE(3109),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8965),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3110] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3110),
    [sym_line_comment] = STATE(3110),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8965),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3111] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3111),
    [sym_line_comment] = STATE(3111),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8967),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3112] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3112),
    [sym_line_comment] = STATE(3112),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8967),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3113] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3113),
    [sym_line_comment] = STATE(3113),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8969),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3114] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3114),
    [sym_line_comment] = STATE(3114),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8969),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3115] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3115),
    [sym_line_comment] = STATE(3115),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8971),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3116] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3116),
    [sym_line_comment] = STATE(3116),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8971),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3117] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3117),
    [sym_line_comment] = STATE(3117),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8973),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3118] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3118),
    [sym_line_comment] = STATE(3118),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8973),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3119] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3119),
    [sym_line_comment] = STATE(3119),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8975),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3120] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3120),
    [sym_line_comment] = STATE(3120),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8975),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3121] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3121),
    [sym_line_comment] = STATE(3121),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8977),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3122] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3122),
    [sym_line_comment] = STATE(3122),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8977),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3123] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3123),
    [sym_line_comment] = STATE(3123),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8979),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3124] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3124),
    [sym_line_comment] = STATE(3124),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8979),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3125] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3125),
    [sym_line_comment] = STATE(3125),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8981),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3126] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3126),
    [sym_line_comment] = STATE(3126),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8981),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3127] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3127),
    [sym_line_comment] = STATE(3127),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8983),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3128] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3128),
    [sym_line_comment] = STATE(3128),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8983),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3129] = {
    [sym_open_tuple] = STATE(13569),
    [sym_assignment] = STATE(12160),
    [sym__expression] = STATE(13376),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11078),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13187),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(3129),
    [sym_line_comment] = STATE(3129),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3130] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3130),
    [sym_line_comment] = STATE(3130),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8985),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3131] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_for_binding] = STATE(478),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11944),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11944),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13927),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11147),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3131),
    [sym_line_comment] = STATE(3131),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_outer] = ACTIONS(8287),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3132] = {
    [sym_open_tuple] = STATE(18831),
    [sym_assignment] = STATE(12812),
    [sym__expression] = STATE(12678),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10841),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12930),
    [sym_unary_expression] = STATE(12930),
    [sym_range_expression] = STATE(12930),
    [sym_splat_expression] = STATE(12930),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12542),
    [sym_unary_typed_expression] = STATE(12930),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12930),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12398),
    [sym_block_comment] = STATE(3132),
    [sym_line_comment] = STATE(3132),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3133] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3133),
    [sym_line_comment] = STATE(3133),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8987),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3134] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19862),
    [sym__expression] = STATE(13955),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3134),
    [sym_line_comment] = STATE(3134),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3135] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3135),
    [sym_line_comment] = STATE(3135),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(8989),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3136] = {
    [sym_open_tuple] = STATE(13256),
    [sym_assignment] = STATE(12078),
    [sym__expression] = STATE(13257),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13359),
    [sym_unary_expression] = STATE(13359),
    [sym_range_expression] = STATE(13359),
    [sym_splat_expression] = STATE(13359),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12853),
    [sym_unary_typed_expression] = STATE(13359),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13359),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12857),
    [sym_block_comment] = STATE(3136),
    [sym_line_comment] = STATE(3136),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3137] = {
    [sym_open_tuple] = STATE(13563),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(13438),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11086),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13663),
    [sym_unary_expression] = STATE(13663),
    [sym_range_expression] = STATE(13663),
    [sym_splat_expression] = STATE(13663),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13071),
    [sym_unary_typed_expression] = STATE(13663),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13663),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13086),
    [sym_block_comment] = STATE(3137),
    [sym_line_comment] = STATE(3137),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3138] = {
    [sym_open_tuple] = STATE(13144),
    [sym_assignment] = STATE(11397),
    [sym__expression] = STATE(13060),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10902),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13179),
    [sym_unary_expression] = STATE(13179),
    [sym_range_expression] = STATE(13179),
    [sym_splat_expression] = STATE(13179),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12733),
    [sym_unary_typed_expression] = STATE(13179),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13179),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12806),
    [sym_block_comment] = STATE(3138),
    [sym_line_comment] = STATE(3138),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3139] = {
    [sym_open_tuple] = STATE(13146),
    [sym_assignment] = STATE(11399),
    [sym__expression] = STATE(13061),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10902),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13179),
    [sym_unary_expression] = STATE(13179),
    [sym_range_expression] = STATE(13179),
    [sym_splat_expression] = STATE(13179),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12733),
    [sym_unary_typed_expression] = STATE(13179),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13179),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12806),
    [sym_block_comment] = STATE(3139),
    [sym_line_comment] = STATE(3139),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3140] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3140),
    [sym_line_comment] = STATE(3140),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(8991),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3141] = {
    [sym__expression] = STATE(13862),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18141),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3141),
    [sym_line_comment] = STATE(3141),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8993),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3142] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3142),
    [sym_line_comment] = STATE(3142),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8995),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3143] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3143),
    [sym_line_comment] = STATE(3143),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8997),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3144] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3144),
    [sym_line_comment] = STATE(3144),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8999),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3145] = {
    [sym_open_tuple] = STATE(19882),
    [sym_assignment] = STATE(12032),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11592),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14385),
    [sym_unary_expression] = STATE(14385),
    [sym_range_expression] = STATE(14385),
    [sym_splat_expression] = STATE(14385),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14046),
    [sym_unary_typed_expression] = STATE(14385),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14385),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14075),
    [sym_block_comment] = STATE(3145),
    [sym_line_comment] = STATE(3145),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3146] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3146),
    [sym_line_comment] = STATE(3146),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8839),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3147] = {
    [sym_open_tuple] = STATE(19169),
    [sym_assignment] = STATE(11377),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11594),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14392),
    [sym_unary_expression] = STATE(14392),
    [sym_range_expression] = STATE(14392),
    [sym_splat_expression] = STATE(14392),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14132),
    [sym_unary_typed_expression] = STATE(14392),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14392),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14100),
    [sym_block_comment] = STATE(3147),
    [sym_line_comment] = STATE(3147),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3148] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3148),
    [sym_line_comment] = STATE(3148),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9001),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3149] = {
    [sym_open_tuple] = STATE(13172),
    [sym_assignment] = STATE(11397),
    [sym__expression] = STATE(12885),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10926),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12852),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(3149),
    [sym_line_comment] = STATE(3149),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3150] = {
    [sym_open_tuple] = STATE(13174),
    [sym_assignment] = STATE(11399),
    [sym__expression] = STATE(12886),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10926),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12852),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(3150),
    [sym_line_comment] = STATE(3150),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3151] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3151),
    [sym_line_comment] = STATE(3151),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9003),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3152] = {
    [sym_open_tuple] = STATE(19003),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(12887),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10926),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12852),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(3152),
    [sym_line_comment] = STATE(3152),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3153] = {
    [sym_open_tuple] = STATE(13387),
    [sym_assignment] = STATE(11415),
    [sym__expression] = STATE(12873),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10926),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11285),
    [sym_unary_expression] = STATE(11285),
    [sym_range_expression] = STATE(11285),
    [sym_splat_expression] = STATE(11285),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12852),
    [sym_unary_typed_expression] = STATE(11285),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11285),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11171),
    [sym_block_comment] = STATE(3153),
    [sym_line_comment] = STATE(3153),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3154] = {
    [sym_open_tuple] = STATE(20220),
    [sym_assignment] = STATE(12032),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11598),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14433),
    [sym_unary_expression] = STATE(14433),
    [sym_range_expression] = STATE(14433),
    [sym_splat_expression] = STATE(14433),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13869),
    [sym_unary_typed_expression] = STATE(14433),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14433),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13872),
    [sym_block_comment] = STATE(3154),
    [sym_line_comment] = STATE(3154),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3155] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3155),
    [sym_line_comment] = STATE(3155),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9005),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3156] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3156),
    [sym_line_comment] = STATE(3156),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(9007),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3157] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_for_binding] = STATE(480),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11944),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11944),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13927),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11147),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3157),
    [sym_line_comment] = STATE(3157),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_outer] = ACTIONS(8287),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3158] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3158),
    [sym_line_comment] = STATE(3158),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9009),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3159] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19936),
    [sym__expression] = STATE(14172),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3159),
    [sym_line_comment] = STATE(3159),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3160] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3160),
    [sym_line_comment] = STATE(3160),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9011),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3161] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3161),
    [sym_line_comment] = STATE(3161),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(9013),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3162] = {
    [sym_open_tuple] = STATE(18846),
    [sym_assignment] = STATE(11377),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11601),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14140),
    [sym_unary_expression] = STATE(14140),
    [sym_range_expression] = STATE(14140),
    [sym_splat_expression] = STATE(14140),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14099),
    [sym_unary_typed_expression] = STATE(14140),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14140),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13749),
    [sym_block_comment] = STATE(3162),
    [sym_line_comment] = STATE(3162),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3163] = {
    [sym_open_tuple] = STATE(8936),
    [sym_assignment] = STATE(8937),
    [sym__expression] = STATE(8939),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4808),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(9161),
    [sym_unary_expression] = STATE(9161),
    [sym_range_expression] = STATE(9161),
    [sym_splat_expression] = STATE(9161),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7856),
    [sym_unary_typed_expression] = STATE(9161),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(9161),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(7704),
    [sym_block_comment] = STATE(3163),
    [sym_line_comment] = STATE(3163),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3164] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3164),
    [sym_line_comment] = STATE(3164),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9015),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3165] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_for_binding] = STATE(470),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11944),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11944),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13927),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11147),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3165),
    [sym_line_comment] = STATE(3165),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_outer] = ACTIONS(8287),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3166] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3166),
    [sym_line_comment] = STATE(3166),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9017),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3167] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3167),
    [sym_line_comment] = STATE(3167),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9019),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3168] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19590),
    [sym__expression] = STATE(13868),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3168),
    [sym_line_comment] = STATE(3168),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3169] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3169),
    [sym_line_comment] = STATE(3169),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9021),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3170] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3170),
    [sym_line_comment] = STATE(3170),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9023),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3171] = {
    [sym_open_tuple] = STATE(19924),
    [sym_assignment] = STATE(11377),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11604),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14375),
    [sym_unary_expression] = STATE(14375),
    [sym_range_expression] = STATE(14375),
    [sym_splat_expression] = STATE(14375),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14141),
    [sym_unary_typed_expression] = STATE(14375),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14375),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14179),
    [sym_block_comment] = STATE(3171),
    [sym_line_comment] = STATE(3171),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3172] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3172),
    [sym_line_comment] = STATE(3172),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9025),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3173] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_for_binding] = STATE(460),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11944),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11944),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13927),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11147),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3173),
    [sym_line_comment] = STATE(3173),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_outer] = ACTIONS(8287),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3174] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3174),
    [sym_line_comment] = STATE(3174),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9027),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3175] = {
    [sym_open_tuple] = STATE(19140),
    [sym_assignment] = STATE(9155),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11538),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14382),
    [sym_unary_expression] = STATE(14382),
    [sym_range_expression] = STATE(14382),
    [sym_splat_expression] = STATE(14382),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14116),
    [sym_unary_typed_expression] = STATE(14382),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14382),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14057),
    [sym_block_comment] = STATE(3175),
    [sym_line_comment] = STATE(3175),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3176] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3176),
    [sym_line_comment] = STATE(3176),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9029),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3177] = {
    [sym_open_tuple] = STATE(20189),
    [sym_assignment] = STATE(11377),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11605),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13179),
    [sym_unary_expression] = STATE(13179),
    [sym_range_expression] = STATE(13179),
    [sym_splat_expression] = STATE(13179),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14178),
    [sym_unary_typed_expression] = STATE(13179),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13179),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12806),
    [sym_block_comment] = STATE(3177),
    [sym_line_comment] = STATE(3177),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3178] = {
    [sym_open_tuple] = STATE(8940),
    [sym_assignment] = STATE(8941),
    [sym__expression] = STATE(8945),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4808),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(9161),
    [sym_unary_expression] = STATE(9161),
    [sym_range_expression] = STATE(9161),
    [sym_splat_expression] = STATE(9161),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7856),
    [sym_unary_typed_expression] = STATE(9161),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(9161),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(7704),
    [sym_block_comment] = STATE(3178),
    [sym_line_comment] = STATE(3178),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3179] = {
    [sym_open_tuple] = STATE(12772),
    [sym_assignment] = STATE(11397),
    [sym__expression] = STATE(12684),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10755),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12793),
    [sym_unary_expression] = STATE(12793),
    [sym_range_expression] = STATE(12793),
    [sym_splat_expression] = STATE(12793),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12408),
    [sym_unary_typed_expression] = STATE(12793),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12793),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12363),
    [sym_block_comment] = STATE(3179),
    [sym_line_comment] = STATE(3179),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3180] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_for_binding] = STATE(469),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11944),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11944),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13927),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11147),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3180),
    [sym_line_comment] = STATE(3180),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_outer] = ACTIONS(8287),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3181] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3181),
    [sym_line_comment] = STATE(3181),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9031),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3182] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3182),
    [sym_line_comment] = STATE(3182),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9033),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3183] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(18928),
    [sym__expression] = STATE(13989),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3183),
    [sym_line_comment] = STATE(3183),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3184] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3184),
    [sym_line_comment] = STATE(3184),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(9035),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3185] = {
    [sym_open_tuple] = STATE(12773),
    [sym_assignment] = STATE(11399),
    [sym__expression] = STATE(12685),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10755),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12793),
    [sym_unary_expression] = STATE(12793),
    [sym_range_expression] = STATE(12793),
    [sym_splat_expression] = STATE(12793),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12408),
    [sym_unary_typed_expression] = STATE(12793),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12793),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12363),
    [sym_block_comment] = STATE(3185),
    [sym_line_comment] = STATE(3185),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3186] = {
    [sym_open_tuple] = STATE(19003),
    [sym_assignment] = STATE(11377),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11608),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14352),
    [sym_unary_expression] = STATE(14352),
    [sym_range_expression] = STATE(14352),
    [sym_splat_expression] = STATE(14352),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14214),
    [sym_unary_typed_expression] = STATE(14352),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14352),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14248),
    [sym_block_comment] = STATE(3186),
    [sym_line_comment] = STATE(3186),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3187] = {
    [sym_open_tuple] = STATE(13258),
    [sym_assignment] = STATE(12160),
    [sym__expression] = STATE(13259),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13359),
    [sym_unary_expression] = STATE(13359),
    [sym_range_expression] = STATE(13359),
    [sym_splat_expression] = STATE(13359),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12853),
    [sym_unary_typed_expression] = STATE(13359),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13359),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12857),
    [sym_block_comment] = STATE(3187),
    [sym_line_comment] = STATE(3187),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3188] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3188),
    [sym_line_comment] = STATE(3188),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(9037),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3189] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_for_binding] = STATE(481),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11944),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11944),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13927),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11147),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3189),
    [sym_line_comment] = STATE(3189),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_outer] = ACTIONS(8287),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3190] = {
    [sym__expression] = STATE(14121),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17627),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3190),
    [sym_line_comment] = STATE(3190),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9039),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3191] = {
    [sym_open_tuple] = STATE(13634),
    [sym_assignment] = STATE(11415),
    [sym__expression] = STATE(13539),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11056),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13558),
    [sym_unary_expression] = STATE(13558),
    [sym_range_expression] = STATE(13558),
    [sym_splat_expression] = STATE(13558),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13054),
    [sym_unary_typed_expression] = STATE(13558),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13558),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13251),
    [sym_block_comment] = STATE(3191),
    [sym_line_comment] = STATE(3191),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3192] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19418),
    [sym__expression] = STATE(14318),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3192),
    [sym_line_comment] = STATE(3192),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3193] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3193),
    [sym_line_comment] = STATE(3193),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9041),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3194] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3194),
    [sym_line_comment] = STATE(3194),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9043),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3195] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3195),
    [sym_line_comment] = STATE(3195),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9045),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3196] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3196),
    [sym_line_comment] = STATE(3196),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9047),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3197] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_for_binding] = STATE(488),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11944),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11944),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13927),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11147),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3197),
    [sym_line_comment] = STATE(3197),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_outer] = ACTIONS(8287),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3198] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3198),
    [sym_line_comment] = STATE(3198),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9049),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3199] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3199),
    [sym_line_comment] = STATE(3199),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(9051),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3200] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19997),
    [sym__expression] = STATE(14142),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3200),
    [sym_line_comment] = STATE(3200),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3201] = {
    [sym_open_tuple] = STATE(20189),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(13064),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10902),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13179),
    [sym_unary_expression] = STATE(13179),
    [sym_range_expression] = STATE(13179),
    [sym_splat_expression] = STATE(13179),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12733),
    [sym_unary_typed_expression] = STATE(13179),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13179),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12806),
    [sym_block_comment] = STATE(3201),
    [sym_line_comment] = STATE(3201),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3202] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3202),
    [sym_line_comment] = STATE(3202),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9053),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3203] = {
    [sym_open_tuple] = STATE(19716),
    [sym_assignment] = STATE(9155),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11500),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14361),
    [sym_unary_expression] = STATE(14361),
    [sym_range_expression] = STATE(14361),
    [sym_splat_expression] = STATE(14361),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13940),
    [sym_unary_typed_expression] = STATE(14361),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14361),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14000),
    [sym_block_comment] = STATE(3203),
    [sym_line_comment] = STATE(3203),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3204] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3204),
    [sym_line_comment] = STATE(3204),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(9055),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3205] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_for_binding] = STATE(474),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11944),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11944),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13927),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11147),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3205),
    [sym_line_comment] = STATE(3205),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_outer] = ACTIONS(8287),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3206] = {
    [sym_open_tuple] = STATE(19882),
    [sym_assignment] = STATE(12147),
    [sym__expression] = STATE(13292),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11078),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13187),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(3206),
    [sym_line_comment] = STATE(3206),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3207] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3207),
    [sym_line_comment] = STATE(3207),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9057),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3208] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19419),
    [sym__expression] = STATE(13912),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3208),
    [sym_line_comment] = STATE(3208),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3209] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3209),
    [sym_line_comment] = STATE(3209),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9059),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3210] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3210),
    [sym_line_comment] = STATE(3210),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9061),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3211] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3211),
    [sym_line_comment] = STATE(3211),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9063),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3212] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_for_binding] = STATE(462),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11944),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11944),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13927),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11147),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3212),
    [sym_line_comment] = STATE(3212),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_outer] = ACTIONS(8287),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3213] = {
    [sym_open_tuple] = STATE(13630),
    [sym_assignment] = STATE(11397),
    [sym__expression] = STATE(13632),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11056),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13558),
    [sym_unary_expression] = STATE(13558),
    [sym_range_expression] = STATE(13558),
    [sym_splat_expression] = STATE(13558),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13054),
    [sym_unary_typed_expression] = STATE(13558),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13558),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13251),
    [sym_block_comment] = STATE(3213),
    [sym_line_comment] = STATE(3213),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3214] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3214),
    [sym_line_comment] = STATE(3214),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9065),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3215] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(20128),
    [sym__expression] = STATE(14324),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3215),
    [sym_line_comment] = STATE(3215),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3216] = {
    [sym_open_tuple] = STATE(13633),
    [sym_assignment] = STATE(11399),
    [sym__expression] = STATE(13648),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11056),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13558),
    [sym_unary_expression] = STATE(13558),
    [sym_range_expression] = STATE(13558),
    [sym_splat_expression] = STATE(13558),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13054),
    [sym_unary_typed_expression] = STATE(13558),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13558),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13251),
    [sym_block_comment] = STATE(3216),
    [sym_line_comment] = STATE(3216),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3217] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3217),
    [sym_line_comment] = STATE(3217),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(8293),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3218] = {
    [sym_open_tuple] = STATE(19781),
    [sym_assignment] = STATE(9272),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11484),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14412),
    [sym_unary_expression] = STATE(14412),
    [sym_range_expression] = STATE(14412),
    [sym_splat_expression] = STATE(14412),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13978),
    [sym_unary_typed_expression] = STATE(14412),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14412),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13992),
    [sym_block_comment] = STATE(3218),
    [sym_line_comment] = STATE(3218),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3219] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_for_binding] = STATE(468),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11944),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11944),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13927),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11147),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3219),
    [sym_line_comment] = STATE(3219),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_outer] = ACTIONS(8287),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3220] = {
    [sym_open_tuple] = STATE(13323),
    [sym_assignment] = STATE(12069),
    [sym__expression] = STATE(13089),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10863),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13359),
    [sym_unary_expression] = STATE(13359),
    [sym_range_expression] = STATE(13359),
    [sym_splat_expression] = STATE(13359),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12853),
    [sym_unary_typed_expression] = STATE(13359),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13359),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12857),
    [sym_block_comment] = STATE(3220),
    [sym_line_comment] = STATE(3220),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3221] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19018),
    [sym__expression] = STATE(13997),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3221),
    [sym_line_comment] = STATE(3221),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3222] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3222),
    [sym_line_comment] = STATE(3222),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9067),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3223] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3223),
    [sym_line_comment] = STATE(3223),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9069),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3224] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3224),
    [sym_line_comment] = STATE(3224),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(9071),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3225] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_for_binding] = STATE(483),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11944),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11944),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13927),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11147),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3225),
    [sym_line_comment] = STATE(3225),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_outer] = ACTIONS(8287),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3226] = {
    [sym_open_tuple] = STATE(18840),
    [sym_assignment] = STATE(12147),
    [sym__expression] = STATE(13097),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10932),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13367),
    [sym_unary_expression] = STATE(13367),
    [sym_range_expression] = STATE(13367),
    [sym_splat_expression] = STATE(13367),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13018),
    [sym_unary_typed_expression] = STATE(13367),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13367),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13019),
    [sym_block_comment] = STATE(3226),
    [sym_line_comment] = STATE(3226),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3227] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3227),
    [sym_line_comment] = STATE(3227),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(9073),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3228] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(20210),
    [sym__expression] = STATE(13966),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3228),
    [sym_line_comment] = STATE(3228),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3229] = {
    [sym__expression] = STATE(14056),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17656),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3229),
    [sym_line_comment] = STATE(3229),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9075),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3230] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19921),
    [sym__expression] = STATE(13980),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3230),
    [sym_line_comment] = STATE(3230),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3231] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3231),
    [sym_line_comment] = STATE(3231),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9077),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3232] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19413),
    [sym__expression] = STATE(13931),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3232),
    [sym_line_comment] = STATE(3232),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3233] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3233),
    [sym_line_comment] = STATE(3233),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9043),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3234] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19294),
    [sym__expression] = STATE(14171),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3234),
    [sym_line_comment] = STATE(3234),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3235] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3235),
    [sym_line_comment] = STATE(3235),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9079),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3236] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(18906),
    [sym__expression] = STATE(14247),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3236),
    [sym_line_comment] = STATE(3236),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3237] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3237),
    [sym_line_comment] = STATE(3237),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9081),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3238] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(20346),
    [sym__expression] = STATE(13964),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3238),
    [sym_line_comment] = STATE(3238),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3239] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3239),
    [sym_line_comment] = STATE(3239),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9083),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3240] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19133),
    [sym__expression] = STATE(13925),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3240),
    [sym_line_comment] = STATE(3240),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3241] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3241),
    [sym_line_comment] = STATE(3241),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(9085),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3242] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19141),
    [sym__expression] = STATE(14276),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3242),
    [sym_line_comment] = STATE(3242),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3243] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19902),
    [sym__expression] = STATE(14023),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3243),
    [sym_line_comment] = STATE(3243),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3244] = {
    [sym_open_tuple] = STATE(8482),
    [sym_assignment] = STATE(8483),
    [sym__expression] = STATE(8484),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4646),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8170),
    [sym_unary_expression] = STATE(8170),
    [sym_range_expression] = STATE(8170),
    [sym_splat_expression] = STATE(8170),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7472),
    [sym_unary_typed_expression] = STATE(8170),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8170),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7285),
    [sym_block_comment] = STATE(3244),
    [sym_line_comment] = STATE(3244),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3245] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(18963),
    [sym__expression] = STATE(14259),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3245),
    [sym_line_comment] = STATE(3245),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3246] = {
    [sym_open_tuple] = STATE(20316),
    [sym_assignment] = STATE(11411),
    [sym__expression] = STATE(13348),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10911),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13215),
    [sym_unary_expression] = STATE(13215),
    [sym_range_expression] = STATE(13215),
    [sym_splat_expression] = STATE(13215),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12711),
    [sym_unary_typed_expression] = STATE(13215),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13215),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12715),
    [sym_block_comment] = STATE(3246),
    [sym_line_comment] = STATE(3246),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3247] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19095),
    [sym__expression] = STATE(14017),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3247),
    [sym_line_comment] = STATE(3247),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3248] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3248),
    [sym_line_comment] = STATE(3248),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(9087),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3249] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19255),
    [sym__expression] = STATE(14238),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3249),
    [sym_line_comment] = STATE(3249),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3250] = {
    [sym_open_tuple] = STATE(8485),
    [sym_assignment] = STATE(8486),
    [sym__expression] = STATE(8144),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4646),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8170),
    [sym_unary_expression] = STATE(8170),
    [sym_range_expression] = STATE(8170),
    [sym_splat_expression] = STATE(8170),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7472),
    [sym_unary_typed_expression] = STATE(8170),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8170),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7285),
    [sym_block_comment] = STATE(3250),
    [sym_line_comment] = STATE(3250),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3251] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19443),
    [sym__expression] = STATE(14024),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3251),
    [sym_line_comment] = STATE(3251),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3252] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3252),
    [sym_line_comment] = STATE(3252),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9089),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3253] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19658),
    [sym__expression] = STATE(14313),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3253),
    [sym_line_comment] = STATE(3253),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3254] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3254),
    [sym_line_comment] = STATE(3254),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9091),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3255] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19800),
    [sym__expression] = STATE(14305),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3255),
    [sym_line_comment] = STATE(3255),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3256] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3256),
    [sym_line_comment] = STATE(3256),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9093),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3257] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19967),
    [sym__expression] = STATE(13996),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3257),
    [sym_line_comment] = STATE(3257),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3258] = {
    [sym_open_tuple] = STATE(8286),
    [sym_assignment] = STATE(7734),
    [sym__expression] = STATE(7516),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4594),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8252),
    [sym_unary_expression] = STATE(8252),
    [sym_range_expression] = STATE(8252),
    [sym_splat_expression] = STATE(8252),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7369),
    [sym_unary_typed_expression] = STATE(8252),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8252),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7582),
    [sym_block_comment] = STATE(3258),
    [sym_line_comment] = STATE(3258),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3259] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(20186),
    [sym__expression] = STATE(14147),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3259),
    [sym_line_comment] = STATE(3259),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3260] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3260),
    [sym_line_comment] = STATE(3260),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9095),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3261] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(20328),
    [sym__expression] = STATE(14229),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3261),
    [sym_line_comment] = STATE(3261),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3262] = {
    [sym_open_tuple] = STATE(8287),
    [sym_assignment] = STATE(7742),
    [sym__expression] = STATE(7517),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4594),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8252),
    [sym_unary_expression] = STATE(8252),
    [sym_range_expression] = STATE(8252),
    [sym_splat_expression] = STATE(8252),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7369),
    [sym_unary_typed_expression] = STATE(8252),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8252),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7582),
    [sym_block_comment] = STATE(3262),
    [sym_line_comment] = STATE(3262),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3263] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19200),
    [sym__expression] = STATE(14292),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3263),
    [sym_line_comment] = STATE(3263),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3264] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3264),
    [sym_line_comment] = STATE(3264),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9097),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3265] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19984),
    [sym__expression] = STATE(13918),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3265),
    [sym_line_comment] = STATE(3265),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3266] = {
    [sym_open_tuple] = STATE(9305),
    [sym_assignment] = STATE(9306),
    [sym__expression] = STATE(9293),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5279),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9298),
    [sym_unary_expression] = STATE(9298),
    [sym_range_expression] = STATE(9298),
    [sym_splat_expression] = STATE(9298),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8996),
    [sym_unary_typed_expression] = STATE(9298),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9298),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9058),
    [sym_block_comment] = STATE(3266),
    [sym_line_comment] = STATE(3266),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3267] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(18996),
    [sym__expression] = STATE(14019),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3267),
    [sym_line_comment] = STATE(3267),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3268] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3268),
    [sym_line_comment] = STATE(3268),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9099),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3269] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(20231),
    [sym__expression] = STATE(14055),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3269),
    [sym_line_comment] = STATE(3269),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3270] = {
    [sym_open_tuple] = STATE(18869),
    [sym_assignment] = STATE(8734),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11561),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14446),
    [sym_unary_expression] = STATE(14446),
    [sym_range_expression] = STATE(14446),
    [sym_splat_expression] = STATE(14446),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14245),
    [sym_unary_typed_expression] = STATE(14446),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14446),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13892),
    [sym_block_comment] = STATE(3270),
    [sym_line_comment] = STATE(3270),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3271] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(18802),
    [sym__expression] = STATE(14081),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3271),
    [sym_line_comment] = STATE(3271),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3272] = {
    [sym_open_tuple] = STATE(8235),
    [sym_assignment] = STATE(7883),
    [sym__expression] = STATE(8082),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4646),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8170),
    [sym_unary_expression] = STATE(8170),
    [sym_range_expression] = STATE(8170),
    [sym_splat_expression] = STATE(8170),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7472),
    [sym_unary_typed_expression] = STATE(8170),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8170),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7285),
    [sym_block_comment] = STATE(3272),
    [sym_line_comment] = STATE(3272),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3273] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19131),
    [sym__expression] = STATE(14124),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3273),
    [sym_line_comment] = STATE(3273),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3274] = {
    [sym_open_tuple] = STATE(8821),
    [sym_assignment] = STATE(9249),
    [sym__expression] = STATE(8998),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4783),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8924),
    [sym_unary_expression] = STATE(8924),
    [sym_range_expression] = STATE(8924),
    [sym_splat_expression] = STATE(8924),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8305),
    [sym_unary_typed_expression] = STATE(8924),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8924),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8306),
    [sym_block_comment] = STATE(3274),
    [sym_line_comment] = STATE(3274),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3275] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19842),
    [sym__expression] = STATE(14160),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3275),
    [sym_line_comment] = STATE(3275),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3276] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(20333),
    [sym__expression] = STATE(14219),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3276),
    [sym_line_comment] = STATE(3276),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3277] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3277),
    [sym_line_comment] = STATE(3277),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9101),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3278] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19384),
    [sym__expression] = STATE(14274),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3278),
    [sym_line_comment] = STATE(3278),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3279] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19998),
    [sym__expression] = STATE(14283),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3279),
    [sym_line_comment] = STATE(3279),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3280] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19920),
    [sym__expression] = STATE(14304),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3280),
    [sym_line_comment] = STATE(3280),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3281] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(18852),
    [sym__expression] = STATE(14012),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3281),
    [sym_line_comment] = STATE(3281),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3282] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19116),
    [sym__expression] = STATE(14026),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3282),
    [sym_line_comment] = STATE(3282),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3283] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19392),
    [sym__expression] = STATE(14325),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3283),
    [sym_line_comment] = STATE(3283),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3284] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19580),
    [sym__expression] = STATE(14013),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3284),
    [sym_line_comment] = STATE(3284),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3285] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19772),
    [sym__expression] = STATE(14175),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3285),
    [sym_line_comment] = STATE(3285),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3286] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19931),
    [sym__expression] = STATE(14191),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3286),
    [sym_line_comment] = STATE(3286),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3287] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(20092),
    [sym__expression] = STATE(14182),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3287),
    [sym_line_comment] = STATE(3287),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3288] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(20237),
    [sym__expression] = STATE(14151),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3288),
    [sym_line_comment] = STATE(3288),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3289] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19982),
    [sym__expression] = STATE(14297),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3289),
    [sym_line_comment] = STATE(3289),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3290] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19066),
    [sym__expression] = STATE(14008),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3290),
    [sym_line_comment] = STATE(3290),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3291] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19056),
    [sym__expression] = STATE(14236),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3291),
    [sym_line_comment] = STATE(3291),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3292] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19689),
    [sym__expression] = STATE(13879),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3292),
    [sym_line_comment] = STATE(3292),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3293] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(20245),
    [sym__expression] = STATE(13917),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3293),
    [sym_line_comment] = STATE(3293),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3294] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19638),
    [sym__expression] = STATE(13969),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3294),
    [sym_line_comment] = STATE(3294),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3295] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19069),
    [sym__expression] = STATE(14004),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3295),
    [sym_line_comment] = STATE(3295),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3296] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19648),
    [sym__expression] = STATE(14020),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3296),
    [sym_line_comment] = STATE(3296),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3297] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(20000),
    [sym__expression] = STATE(14038),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3297),
    [sym_line_comment] = STATE(3297),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3298] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19007),
    [sym__expression] = STATE(14060),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3298),
    [sym_line_comment] = STATE(3298),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3299] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(18799),
    [sym__expression] = STATE(14138),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3299),
    [sym_line_comment] = STATE(3299),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3300] = {
    [sym_open_tuple] = STATE(19283),
    [sym_assignment] = STATE(12032),
    [sym__expression] = STATE(14368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11590),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14334),
    [sym_unary_expression] = STATE(14334),
    [sym_range_expression] = STATE(14334),
    [sym_splat_expression] = STATE(14334),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13908),
    [sym_unary_typed_expression] = STATE(14334),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14334),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13910),
    [sym_block_comment] = STATE(3300),
    [sym_line_comment] = STATE(3300),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3301] = {
    [sym_open_tuple] = STATE(20011),
    [sym_assignment] = STATE(19692),
    [sym__expression] = STATE(13861),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11270),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14127),
    [sym_unary_expression] = STATE(14127),
    [sym_range_expression] = STATE(14127),
    [sym_splat_expression] = STATE(14127),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13829),
    [sym_unary_typed_expression] = STATE(14127),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14127),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13687),
    [sym_block_comment] = STATE(3301),
    [sym_line_comment] = STATE(3301),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3302] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3302),
    [sym_line_comment] = STATE(3302),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9103),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3303] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3303),
    [sym_line_comment] = STATE(3303),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(9105),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3304] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3304),
    [sym_line_comment] = STATE(3304),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(9107),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3305] = {
    [sym__expression] = STATE(14282),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(18040),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3305),
    [sym_line_comment] = STATE(3305),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9109),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3306] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3306),
    [sym_line_comment] = STATE(3306),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9111),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3307] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3307),
    [sym_line_comment] = STATE(3307),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(7191),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3308] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3308),
    [sym_line_comment] = STATE(3308),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9113),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3309] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3309),
    [sym_line_comment] = STATE(3309),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9115),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3310] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3310),
    [sym_line_comment] = STATE(3310),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9117),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3311] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3311),
    [sym_line_comment] = STATE(3311),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_RBRACK] = ACTIONS(9119),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3312] = {
    [sym_open_tuple] = STATE(20115),
    [sym_assignment] = STATE(8015),
    [sym__expression] = STATE(8005),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4639),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8452),
    [sym_unary_expression] = STATE(8452),
    [sym_range_expression] = STATE(8452),
    [sym_splat_expression] = STATE(8452),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7652),
    [sym_unary_typed_expression] = STATE(8452),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8452),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7653),
    [sym_block_comment] = STATE(3312),
    [sym_line_comment] = STATE(3312),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3313] = {
    [sym_open_tuple] = STATE(19831),
    [sym_assignment] = STATE(9153),
    [sym__expression] = STATE(8581),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4808),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(9161),
    [sym_unary_expression] = STATE(9161),
    [sym_range_expression] = STATE(9161),
    [sym_splat_expression] = STATE(9161),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7856),
    [sym_unary_typed_expression] = STATE(9161),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(9161),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(7704),
    [sym_block_comment] = STATE(3313),
    [sym_line_comment] = STATE(3313),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3314] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3314),
    [sym_line_comment] = STATE(3314),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_RBRACE] = ACTIONS(9121),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3315] = {
    [sym_open_tuple] = STATE(13181),
    [sym_assignment] = STATE(12078),
    [sym__expression] = STATE(12863),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10978),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12159),
    [sym_unary_expression] = STATE(12159),
    [sym_range_expression] = STATE(12159),
    [sym_splat_expression] = STATE(12159),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12664),
    [sym_unary_typed_expression] = STATE(12159),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12159),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11988),
    [sym_block_comment] = STATE(3315),
    [sym_line_comment] = STATE(3315),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3316] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3316),
    [sym_line_comment] = STATE(3316),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_RPAREN] = ACTIONS(9123),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3317] = {
    [sym__closed_assignment] = STATE(12146),
    [sym__expression] = STATE(13329),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10874),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12051),
    [sym_unary_expression] = STATE(12051),
    [sym_range_expression] = STATE(12051),
    [sym_splat_expression] = STATE(12051),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12992),
    [sym_unary_typed_expression] = STATE(12051),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12051),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12001),
    [sym_block_comment] = STATE(3317),
    [sym_line_comment] = STATE(3317),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3318] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(791),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3318),
    [sym_line_comment] = STATE(3318),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3319] = {
    [sym__closed_assignment] = STATE(9337),
    [sym__expression] = STATE(9758),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5341),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9678),
    [sym_unary_expression] = STATE(9678),
    [sym_range_expression] = STATE(9678),
    [sym_splat_expression] = STATE(9678),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9524),
    [sym_unary_typed_expression] = STATE(9678),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9678),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9339),
    [sym_block_comment] = STATE(3319),
    [sym_line_comment] = STATE(3319),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3320] = {
    [sym__expression] = STATE(14571),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_named_field] = STATE(20177),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11186),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3320),
    [sym_line_comment] = STATE(3320),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3321] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(13470),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10857),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13107),
    [sym_unary_expression] = STATE(13107),
    [sym_range_expression] = STATE(13107),
    [sym_splat_expression] = STATE(13107),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12935),
    [sym_unary_typed_expression] = STATE(13107),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13107),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12794),
    [sym_block_comment] = STATE(3321),
    [sym_line_comment] = STATE(3321),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3322] = {
    [sym__closed_assignment] = STATE(8849),
    [sym__expression] = STATE(9369),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4703),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8540),
    [sym_unary_expression] = STATE(8540),
    [sym_range_expression] = STATE(8540),
    [sym_splat_expression] = STATE(8540),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8329),
    [sym_unary_typed_expression] = STATE(8540),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8540),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8126),
    [sym_block_comment] = STATE(3322),
    [sym_line_comment] = STATE(3322),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3323] = {
    [sym__closed_assignment] = STATE(12020),
    [sym__expression] = STATE(13603),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10954),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13398),
    [sym_unary_expression] = STATE(13398),
    [sym_range_expression] = STATE(13398),
    [sym_splat_expression] = STATE(13398),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12647),
    [sym_unary_typed_expression] = STATE(13398),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13398),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12775),
    [sym_block_comment] = STATE(3323),
    [sym_line_comment] = STATE(3323),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3324] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(828),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3324),
    [sym_line_comment] = STATE(3324),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3325] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(829),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3325),
    [sym_line_comment] = STATE(3325),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3326] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(830),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3326),
    [sym_line_comment] = STATE(3326),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3327] = {
    [sym__closed_assignment] = STATE(12146),
    [sym__expression] = STATE(13442),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10968),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13252),
    [sym_unary_expression] = STATE(13252),
    [sym_range_expression] = STATE(13252),
    [sym_splat_expression] = STATE(13252),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13014),
    [sym_unary_typed_expression] = STATE(13252),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13252),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12688),
    [sym_block_comment] = STATE(3327),
    [sym_line_comment] = STATE(3327),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3328] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(542),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3328),
    [sym_line_comment] = STATE(3328),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3329] = {
    [sym__closed_assignment] = STATE(9380),
    [sym__expression] = STATE(9814),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5341),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9678),
    [sym_unary_expression] = STATE(9678),
    [sym_range_expression] = STATE(9678),
    [sym_splat_expression] = STATE(9678),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9524),
    [sym_unary_typed_expression] = STATE(9678),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9678),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9339),
    [sym_block_comment] = STATE(3329),
    [sym_line_comment] = STATE(3329),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3330] = {
    [sym__expression] = STATE(14584),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(19382),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11785),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(7590),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11314),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3330),
    [sym_line_comment] = STATE(3330),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(9131),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3331] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(837),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3331),
    [sym_line_comment] = STATE(3331),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3332] = {
    [sym__closed_assignment] = STATE(11433),
    [sym__expression] = STATE(13613),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10857),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13107),
    [sym_unary_expression] = STATE(13107),
    [sym_range_expression] = STATE(13107),
    [sym_splat_expression] = STATE(13107),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12935),
    [sym_unary_typed_expression] = STATE(13107),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13107),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12794),
    [sym_block_comment] = STATE(3332),
    [sym_line_comment] = STATE(3332),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3333] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(12881),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10832),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11389),
    [sym_unary_expression] = STATE(11389),
    [sym_range_expression] = STATE(11389),
    [sym_splat_expression] = STATE(11389),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12433),
    [sym_unary_typed_expression] = STATE(11389),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11389),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11184),
    [sym_block_comment] = STATE(3333),
    [sym_line_comment] = STATE(3333),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3334] = {
    [sym__closed_assignment] = STATE(10011),
    [sym__expression] = STATE(9463),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5183),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9321),
    [sym_unary_expression] = STATE(9321),
    [sym_range_expression] = STATE(9321),
    [sym_splat_expression] = STATE(9321),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8611),
    [sym_unary_typed_expression] = STATE(9321),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9321),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8612),
    [sym_block_comment] = STATE(3334),
    [sym_line_comment] = STATE(3334),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3335] = {
    [sym__closed_assignment] = STATE(8551),
    [sym__expression] = STATE(9461),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4736),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8845),
    [sym_unary_expression] = STATE(8845),
    [sym_range_expression] = STATE(8845),
    [sym_splat_expression] = STATE(8845),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8282),
    [sym_unary_typed_expression] = STATE(8845),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8845),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8283),
    [sym_block_comment] = STATE(3335),
    [sym_line_comment] = STATE(3335),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3336] = {
    [sym__closed_assignment] = STATE(12146),
    [sym__expression] = STATE(12839),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10795),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12051),
    [sym_unary_expression] = STATE(12051),
    [sym_range_expression] = STATE(12051),
    [sym_splat_expression] = STATE(12051),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12561),
    [sym_unary_typed_expression] = STATE(12051),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12051),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12001),
    [sym_block_comment] = STATE(3336),
    [sym_line_comment] = STATE(3336),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3337] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(874),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3337),
    [sym_line_comment] = STATE(3337),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3338] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(875),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3338),
    [sym_line_comment] = STATE(3338),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3339] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(876),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3339),
    [sym_line_comment] = STATE(3339),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3340] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(13102),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10884),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11389),
    [sym_unary_expression] = STATE(11389),
    [sym_range_expression] = STATE(11389),
    [sym_splat_expression] = STATE(11389),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12841),
    [sym_unary_typed_expression] = STATE(11389),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11389),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11184),
    [sym_block_comment] = STATE(3340),
    [sym_line_comment] = STATE(3340),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3341] = {
    [sym__expression] = STATE(14290),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10967),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3341),
    [sym_line_comment] = STATE(3341),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3342] = {
    [sym__closed_assignment] = STATE(17712),
    [sym__expression] = STATE(13404),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11102),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13161),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3342),
    [sym_line_comment] = STATE(3342),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3343] = {
    [sym__expression] = STATE(14584),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(19854),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11785),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(7590),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11314),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3343),
    [sym_line_comment] = STATE(3343),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(9131),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3344] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(883),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3344),
    [sym_line_comment] = STATE(3344),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3345] = {
    [sym__closed_assignment] = STATE(7885),
    [sym__expression] = STATE(9003),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4678),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8093),
    [sym_unary_expression] = STATE(8093),
    [sym_range_expression] = STATE(8093),
    [sym_splat_expression] = STATE(8093),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7320),
    [sym_unary_typed_expression] = STATE(8093),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8093),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7444),
    [sym_block_comment] = STATE(3345),
    [sym_line_comment] = STATE(3345),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3346] = {
    [sym__closed_assignment] = STATE(8539),
    [sym__expression] = STATE(9053),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4779),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8798),
    [sym_unary_expression] = STATE(8798),
    [sym_range_expression] = STATE(8798),
    [sym_splat_expression] = STATE(8798),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8325),
    [sym_unary_typed_expression] = STATE(8798),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8798),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8266),
    [sym_block_comment] = STATE(3346),
    [sym_line_comment] = STATE(3346),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3347] = {
    [sym__closed_assignment] = STATE(12146),
    [sym__expression] = STATE(13817),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11016),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13474),
    [sym_unary_expression] = STATE(13474),
    [sym_range_expression] = STATE(13474),
    [sym_splat_expression] = STATE(13474),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13401),
    [sym_unary_typed_expression] = STATE(13474),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13474),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13402),
    [sym_block_comment] = STATE(3347),
    [sym_line_comment] = STATE(3347),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3348] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(14454),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11606),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14420),
    [sym_unary_expression] = STATE(14420),
    [sym_range_expression] = STATE(14420),
    [sym_splat_expression] = STATE(14420),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14192),
    [sym_unary_typed_expression] = STATE(14420),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14420),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14053),
    [sym_block_comment] = STATE(3348),
    [sym_line_comment] = STATE(3348),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3349] = {
    [sym__closed_assignment] = STATE(8793),
    [sym__expression] = STATE(9035),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4858),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(9042),
    [sym_unary_expression] = STATE(9042),
    [sym_range_expression] = STATE(9042),
    [sym_splat_expression] = STATE(9042),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8226),
    [sym_unary_typed_expression] = STATE(9042),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(9042),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8016),
    [sym_block_comment] = STATE(3349),
    [sym_line_comment] = STATE(3349),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3350] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(921),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3350),
    [sym_line_comment] = STATE(3350),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3351] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(922),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3351),
    [sym_line_comment] = STATE(3351),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3352] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(923),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3352),
    [sym_line_comment] = STATE(3352),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3353] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(14365),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11372),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14303),
    [sym_unary_expression] = STATE(14303),
    [sym_range_expression] = STATE(14303),
    [sym_splat_expression] = STATE(14303),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13694),
    [sym_unary_typed_expression] = STATE(14303),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14303),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13801),
    [sym_block_comment] = STATE(3353),
    [sym_line_comment] = STATE(3353),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3354] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(14424),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11658),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11389),
    [sym_unary_expression] = STATE(11389),
    [sym_range_expression] = STATE(11389),
    [sym_splat_expression] = STATE(11389),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14231),
    [sym_unary_typed_expression] = STATE(11389),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11389),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11184),
    [sym_block_comment] = STATE(3354),
    [sym_line_comment] = STATE(3354),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3355] = {
    [sym__closed_assignment] = STATE(8756),
    [sym__expression] = STATE(9525),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4829),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(9244),
    [sym_unary_expression] = STATE(9244),
    [sym_range_expression] = STATE(9244),
    [sym_splat_expression] = STATE(9244),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(7861),
    [sym_unary_typed_expression] = STATE(9244),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(9244),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8475),
    [sym_block_comment] = STATE(3355),
    [sym_line_comment] = STATE(3355),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3356] = {
    [sym__expression] = STATE(14584),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(19802),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11785),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(7590),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11314),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3356),
    [sym_line_comment] = STATE(3356),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(9131),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3357] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(929),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3357),
    [sym_line_comment] = STATE(3357),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3358] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(13435),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11080),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11389),
    [sym_unary_expression] = STATE(11389),
    [sym_range_expression] = STATE(11389),
    [sym_splat_expression] = STATE(11389),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13312),
    [sym_unary_typed_expression] = STATE(11389),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11389),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11184),
    [sym_block_comment] = STATE(3358),
    [sym_line_comment] = STATE(3358),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3359] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(1195),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3359),
    [sym_line_comment] = STATE(3359),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3360] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(1196),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3360),
    [sym_line_comment] = STATE(3360),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3361] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(1197),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3361),
    [sym_line_comment] = STATE(3361),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3362] = {
    [sym__closed_assignment] = STATE(9212),
    [sym__expression] = STATE(9463),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4736),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8845),
    [sym_unary_expression] = STATE(8845),
    [sym_range_expression] = STATE(8845),
    [sym_splat_expression] = STATE(8845),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8282),
    [sym_unary_typed_expression] = STATE(8845),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8845),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8283),
    [sym_block_comment] = STATE(3362),
    [sym_line_comment] = STATE(3362),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3363] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(13867),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11351),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11389),
    [sym_unary_expression] = STATE(11389),
    [sym_range_expression] = STATE(11389),
    [sym_splat_expression] = STATE(11389),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13822),
    [sym_unary_typed_expression] = STATE(11389),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11389),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11184),
    [sym_block_comment] = STATE(3363),
    [sym_line_comment] = STATE(3363),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3364] = {
    [sym__closed_assignment] = STATE(12146),
    [sym__expression] = STATE(13354),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10950),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12051),
    [sym_unary_expression] = STATE(12051),
    [sym_range_expression] = STATE(12051),
    [sym_splat_expression] = STATE(12051),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12882),
    [sym_unary_typed_expression] = STATE(12051),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12051),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12001),
    [sym_block_comment] = STATE(3364),
    [sym_line_comment] = STATE(3364),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3365] = {
    [sym__closed_assignment] = STATE(12146),
    [sym__expression] = STATE(13611),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10953),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13165),
    [sym_unary_expression] = STATE(13165),
    [sym_range_expression] = STATE(13165),
    [sym_splat_expression] = STATE(13165),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12721),
    [sym_unary_typed_expression] = STATE(13165),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13165),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12921),
    [sym_block_comment] = STATE(3365),
    [sym_line_comment] = STATE(3365),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3366] = {
    [sym__expression] = STATE(14584),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(20249),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11785),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(7590),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11314),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3366),
    [sym_line_comment] = STATE(3366),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(9131),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3367] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(1205),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3367),
    [sym_line_comment] = STATE(3367),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3368] = {
    [sym__closed_assignment] = STATE(8793),
    [sym__expression] = STATE(9390),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4829),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(9244),
    [sym_unary_expression] = STATE(9244),
    [sym_range_expression] = STATE(9244),
    [sym_splat_expression] = STATE(9244),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(7861),
    [sym_unary_typed_expression] = STATE(9244),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(9244),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8475),
    [sym_block_comment] = STATE(3368),
    [sym_line_comment] = STATE(3368),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3369] = {
    [sym__closed_assignment] = STATE(12146),
    [sym__expression] = STATE(13420),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11063),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12051),
    [sym_unary_expression] = STATE(12051),
    [sym_range_expression] = STATE(12051),
    [sym_splat_expression] = STATE(12051),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13141),
    [sym_unary_typed_expression] = STATE(12051),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12051),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12001),
    [sym_block_comment] = STATE(3369),
    [sym_line_comment] = STATE(3369),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3370] = {
    [sym__closed_assignment] = STATE(12020),
    [sym__expression] = STATE(13475),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10968),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13252),
    [sym_unary_expression] = STATE(13252),
    [sym_range_expression] = STATE(13252),
    [sym_splat_expression] = STATE(13252),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13014),
    [sym_unary_typed_expression] = STATE(13252),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13252),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12688),
    [sym_block_comment] = STATE(3370),
    [sym_line_comment] = STATE(3370),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3371] = {
    [sym__closed_assignment] = STATE(9001),
    [sym__expression] = STATE(9553),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4778),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8748),
    [sym_unary_expression] = STATE(8748),
    [sym_range_expression] = STATE(8748),
    [sym_splat_expression] = STATE(8748),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8003),
    [sym_unary_typed_expression] = STATE(8748),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8748),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8227),
    [sym_block_comment] = STATE(3371),
    [sym_line_comment] = STATE(3371),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3372] = {
    [sym__closed_assignment] = STATE(12146),
    [sym__expression] = STATE(13294),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10854),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12051),
    [sym_unary_expression] = STATE(12051),
    [sym_range_expression] = STATE(12051),
    [sym_splat_expression] = STATE(12051),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12693),
    [sym_unary_typed_expression] = STATE(12051),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12051),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12001),
    [sym_block_comment] = STATE(3372),
    [sym_line_comment] = STATE(3372),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3373] = {
    [sym__expression] = STATE(14469),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_named_field] = STATE(19436),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11186),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3373),
    [sym_line_comment] = STATE(3373),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3374] = {
    [sym__closed_assignment] = STATE(11433),
    [sym__expression] = STATE(14335),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11372),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14303),
    [sym_unary_expression] = STATE(14303),
    [sym_range_expression] = STATE(14303),
    [sym_splat_expression] = STATE(14303),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13694),
    [sym_unary_typed_expression] = STATE(14303),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14303),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13801),
    [sym_block_comment] = STATE(3374),
    [sym_line_comment] = STATE(3374),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3375] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(548),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3375),
    [sym_line_comment] = STATE(3375),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3376] = {
    [sym__closed_assignment] = STATE(17721),
    [sym__expression] = STATE(13956),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3376),
    [sym_line_comment] = STATE(3376),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3377] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(549),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3377),
    [sym_line_comment] = STATE(3377),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3378] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(550),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3378),
    [sym_line_comment] = STATE(3378),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3379] = {
    [sym__closed_assignment] = STATE(11433),
    [sym__expression] = STATE(13703),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11109),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13612),
    [sym_unary_expression] = STATE(13612),
    [sym_range_expression] = STATE(13612),
    [sym_splat_expression] = STATE(13612),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13050),
    [sym_unary_typed_expression] = STATE(13612),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13612),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13081),
    [sym_block_comment] = STATE(3379),
    [sym_line_comment] = STATE(3379),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3380] = {
    [sym__closed_assignment] = STATE(8539),
    [sym__expression] = STATE(9408),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4778),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(8748),
    [sym_unary_expression] = STATE(8748),
    [sym_range_expression] = STATE(8748),
    [sym_splat_expression] = STATE(8748),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8003),
    [sym_unary_typed_expression] = STATE(8748),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(8748),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(8227),
    [sym_block_comment] = STATE(3380),
    [sym_line_comment] = STATE(3380),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3381] = {
    [sym__expression] = STATE(14568),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_named_field] = STATE(20020),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11186),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3381),
    [sym_line_comment] = STATE(3381),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3382] = {
    [sym__expression] = STATE(14584),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(20260),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11785),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(7590),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11314),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3382),
    [sym_line_comment] = STATE(3382),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(9131),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3383] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(555),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3383),
    [sym_line_comment] = STATE(3383),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3384] = {
    [sym__closed_assignment] = STATE(9337),
    [sym__expression] = STATE(9370),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5202),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9510),
    [sym_unary_expression] = STATE(9510),
    [sym_range_expression] = STATE(9510),
    [sym_splat_expression] = STATE(9510),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8697),
    [sym_unary_typed_expression] = STATE(9510),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9510),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(8925),
    [sym_block_comment] = STATE(3384),
    [sym_line_comment] = STATE(3384),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3385] = {
    [sym__closed_assignment] = STATE(12919),
    [sym__expression] = STATE(13048),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10826),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12879),
    [sym_unary_expression] = STATE(12879),
    [sym_range_expression] = STATE(12879),
    [sym_splat_expression] = STATE(12879),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12507),
    [sym_unary_typed_expression] = STATE(12879),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12879),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12554),
    [sym_block_comment] = STATE(3385),
    [sym_line_comment] = STATE(3385),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3386] = {
    [sym__closed_assignment] = STATE(9028),
    [sym__expression] = STATE(9045),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4821),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8596),
    [sym_unary_expression] = STATE(8596),
    [sym_range_expression] = STATE(8596),
    [sym_splat_expression] = STATE(8596),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8370),
    [sym_unary_typed_expression] = STATE(8596),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8596),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8147),
    [sym_block_comment] = STATE(3386),
    [sym_line_comment] = STATE(3386),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3387] = {
    [sym__closed_assignment] = STATE(12020),
    [sym__expression] = STATE(13690),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11017),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13418),
    [sym_unary_expression] = STATE(13418),
    [sym_range_expression] = STATE(13418),
    [sym_splat_expression] = STATE(13418),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13164),
    [sym_unary_typed_expression] = STATE(13418),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13418),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13180),
    [sym_block_comment] = STATE(3387),
    [sym_line_comment] = STATE(3387),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3388] = {
    [sym__closed_assignment] = STATE(12146),
    [sym__expression] = STATE(13119),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10760),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12638),
    [sym_unary_expression] = STATE(12638),
    [sym_range_expression] = STATE(12638),
    [sym_splat_expression] = STATE(12638),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12473),
    [sym_unary_typed_expression] = STATE(12638),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12638),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12581),
    [sym_block_comment] = STATE(3388),
    [sym_line_comment] = STATE(3388),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3389] = {
    [sym__expression] = STATE(14486),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_named_field] = STATE(19864),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11186),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3389),
    [sym_line_comment] = STATE(3389),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3390] = {
    [sym__closed_assignment] = STATE(8849),
    [sym__expression] = STATE(9049),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4729),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8696),
    [sym_unary_expression] = STATE(8696),
    [sym_range_expression] = STATE(8696),
    [sym_splat_expression] = STATE(8696),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8436),
    [sym_unary_typed_expression] = STATE(8696),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8696),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8198),
    [sym_block_comment] = STATE(3390),
    [sym_line_comment] = STATE(3390),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3391] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(597),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3391),
    [sym_line_comment] = STATE(3391),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3392] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(598),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3392),
    [sym_line_comment] = STATE(3392),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3393] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(599),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3393),
    [sym_line_comment] = STATE(3393),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3394] = {
    [sym__closed_assignment] = STATE(11433),
    [sym__expression] = STATE(14472),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11606),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14420),
    [sym_unary_expression] = STATE(14420),
    [sym_range_expression] = STATE(14420),
    [sym_splat_expression] = STATE(14420),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14192),
    [sym_unary_typed_expression] = STATE(14420),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14420),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14053),
    [sym_block_comment] = STATE(3394),
    [sym_line_comment] = STATE(3394),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3395] = {
    [sym__closed_assignment] = STATE(17606),
    [sym__expression] = STATE(14582),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11816),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14487),
    [sym_unary_expression] = STATE(14487),
    [sym_range_expression] = STATE(14487),
    [sym_splat_expression] = STATE(14487),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14445),
    [sym_unary_typed_expression] = STATE(14487),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14487),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10846),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14443),
    [sym_block_comment] = STATE(3395),
    [sym_line_comment] = STATE(3395),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3396] = {
    [sym__closed_assignment] = STATE(11433),
    [sym__expression] = STATE(13671),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(3396),
    [sym_line_comment] = STATE(3396),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3397] = {
    [sym__expression] = STATE(14584),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(20309),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11785),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(7590),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11314),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3397),
    [sym_line_comment] = STATE(3397),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(9131),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3398] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(608),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3398),
    [sym_line_comment] = STATE(3398),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3399] = {
    [sym__closed_assignment] = STATE(11433),
    [sym__expression] = STATE(13486),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3399),
    [sym_line_comment] = STATE(3399),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3400] = {
    [sym__closed_assignment] = STATE(12146),
    [sym__expression] = STATE(13447),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10954),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13398),
    [sym_unary_expression] = STATE(13398),
    [sym_range_expression] = STATE(13398),
    [sym_splat_expression] = STATE(13398),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12647),
    [sym_unary_typed_expression] = STATE(13398),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13398),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12775),
    [sym_block_comment] = STATE(3400),
    [sym_line_comment] = STATE(3400),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3401] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(893),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3401),
    [sym_line_comment] = STATE(3401),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3402] = {
    [sym__closed_assignment] = STATE(7743),
    [sym__expression] = STATE(8364),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4605),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8173),
    [sym_unary_expression] = STATE(8173),
    [sym_range_expression] = STATE(8173),
    [sym_splat_expression] = STATE(8173),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7609),
    [sym_unary_typed_expression] = STATE(8173),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8173),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7289),
    [sym_block_comment] = STATE(3402),
    [sym_line_comment] = STATE(3402),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3403] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(14460),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11721),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14442),
    [sym_unary_expression] = STATE(14442),
    [sym_range_expression] = STATE(14442),
    [sym_splat_expression] = STATE(14442),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13902),
    [sym_unary_typed_expression] = STATE(14442),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14442),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13903),
    [sym_block_comment] = STATE(3403),
    [sym_line_comment] = STATE(3403),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3404] = {
    [sym__closed_assignment] = STATE(7743),
    [sym__expression] = STATE(9241),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4678),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8093),
    [sym_unary_expression] = STATE(8093),
    [sym_range_expression] = STATE(8093),
    [sym_splat_expression] = STATE(8093),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7320),
    [sym_unary_typed_expression] = STATE(8093),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8093),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7444),
    [sym_block_comment] = STATE(3404),
    [sym_line_comment] = STATE(3404),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3405] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(643),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3405),
    [sym_line_comment] = STATE(3405),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3406] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(644),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3406),
    [sym_line_comment] = STATE(3406),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3407] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(645),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3407),
    [sym_line_comment] = STATE(3407),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3408] = {
    [sym__closed_assignment] = STATE(12712),
    [sym__expression] = STATE(13066),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10826),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12879),
    [sym_unary_expression] = STATE(12879),
    [sym_range_expression] = STATE(12879),
    [sym_splat_expression] = STATE(12879),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12507),
    [sym_unary_typed_expression] = STATE(12879),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12879),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12554),
    [sym_block_comment] = STATE(3408),
    [sym_line_comment] = STATE(3408),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3409] = {
    [sym__expression] = STATE(14584),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(19922),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11785),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(7590),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11314),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3409),
    [sym_line_comment] = STATE(3409),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(9131),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3410] = {
    [sym__closed_assignment] = STATE(7900),
    [sym__expression] = STATE(8372),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4664),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8069),
    [sym_unary_expression] = STATE(8069),
    [sym_range_expression] = STATE(8069),
    [sym_splat_expression] = STATE(8069),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7583),
    [sym_unary_typed_expression] = STATE(8069),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8069),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7386),
    [sym_block_comment] = STATE(3410),
    [sym_line_comment] = STATE(3410),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3411] = {
    [sym__expression] = STATE(14441),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_named_field] = STATE(17748),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11049),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3411),
    [sym_line_comment] = STATE(3411),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3412] = {
    [sym__expression] = STATE(14584),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(19849),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11785),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(7590),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11314),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3412),
    [sym_line_comment] = STATE(3412),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(9131),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3413] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(652),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3413),
    [sym_line_comment] = STATE(3413),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3414] = {
    [sym__closed_assignment] = STATE(18004),
    [sym__expression] = STATE(14250),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3414),
    [sym_line_comment] = STATE(3414),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3415] = {
    [sym__closed_assignment] = STATE(8551),
    [sym__expression] = STATE(9030),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4925),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8738),
    [sym_unary_expression] = STATE(8738),
    [sym_range_expression] = STATE(8738),
    [sym_splat_expression] = STATE(8738),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8174),
    [sym_unary_typed_expression] = STATE(8738),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8738),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(7913),
    [sym_block_comment] = STATE(3415),
    [sym_line_comment] = STATE(3415),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3416] = {
    [sym__closed_assignment] = STATE(12146),
    [sym__expression] = STATE(13415),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11117),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12051),
    [sym_unary_expression] = STATE(12051),
    [sym_range_expression] = STATE(12051),
    [sym_splat_expression] = STATE(12051),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13051),
    [sym_unary_typed_expression] = STATE(12051),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12051),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12001),
    [sym_block_comment] = STATE(3416),
    [sym_line_comment] = STATE(3416),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3417] = {
    [sym__closed_assignment] = STATE(12020),
    [sym__expression] = STATE(13833),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11016),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13474),
    [sym_unary_expression] = STATE(13474),
    [sym_range_expression] = STATE(13474),
    [sym_splat_expression] = STATE(13474),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13401),
    [sym_unary_typed_expression] = STATE(13474),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13474),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13402),
    [sym_block_comment] = STATE(3417),
    [sym_line_comment] = STATE(3417),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3418] = {
    [sym__closed_assignment] = STATE(9733),
    [sym__expression] = STATE(9906),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5581),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9755),
    [sym_unary_expression] = STATE(9755),
    [sym_range_expression] = STATE(9755),
    [sym_splat_expression] = STATE(9755),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9709),
    [sym_unary_typed_expression] = STATE(9755),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9755),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9692),
    [sym_block_comment] = STATE(3418),
    [sym_line_comment] = STATE(3418),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3419] = {
    [sym__expression] = STATE(14584),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(19691),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11785),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(7590),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11314),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3419),
    [sym_line_comment] = STATE(3419),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(9131),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3420] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(690),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3420),
    [sym_line_comment] = STATE(3420),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3421] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(691),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3421),
    [sym_line_comment] = STATE(3421),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3422] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(692),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3422),
    [sym_line_comment] = STATE(3422),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3423] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(541),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3423),
    [sym_line_comment] = STATE(3423),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3424] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(13987),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11336),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11389),
    [sym_unary_expression] = STATE(11389),
    [sym_range_expression] = STATE(11389),
    [sym_splat_expression] = STATE(11389),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13784),
    [sym_unary_typed_expression] = STATE(11389),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11389),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11184),
    [sym_block_comment] = STATE(3424),
    [sym_line_comment] = STATE(3424),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3425] = {
    [sym__closed_assignment] = STATE(9826),
    [sym__expression] = STATE(9802),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5640),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9766),
    [sym_unary_expression] = STATE(9766),
    [sym_range_expression] = STATE(9766),
    [sym_splat_expression] = STATE(9766),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9649),
    [sym_unary_typed_expression] = STATE(9766),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9766),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9645),
    [sym_block_comment] = STATE(3425),
    [sym_line_comment] = STATE(3425),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3426] = {
    [sym__expression] = STATE(14584),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(19231),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11785),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(7590),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11314),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3426),
    [sym_line_comment] = STATE(3426),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(9131),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3427] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(699),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3427),
    [sym_line_comment] = STATE(3427),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3428] = {
    [sym__closed_assignment] = STATE(12020),
    [sym__expression] = STATE(13139),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10760),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12638),
    [sym_unary_expression] = STATE(12638),
    [sym_range_expression] = STATE(12638),
    [sym_splat_expression] = STATE(12638),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12473),
    [sym_unary_typed_expression] = STATE(12638),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12638),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12581),
    [sym_block_comment] = STATE(3428),
    [sym_line_comment] = STATE(3428),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3429] = {
    [sym__closed_assignment] = STATE(12020),
    [sym__expression] = STATE(13627),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10953),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13165),
    [sym_unary_expression] = STATE(13165),
    [sym_range_expression] = STATE(13165),
    [sym_splat_expression] = STATE(13165),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12721),
    [sym_unary_typed_expression] = STATE(13165),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13165),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(12921),
    [sym_block_comment] = STATE(3429),
    [sym_line_comment] = STATE(3429),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3430] = {
    [sym__closed_assignment] = STATE(8927),
    [sym__expression] = STATE(9296),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4916),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(9174),
    [sym_unary_expression] = STATE(9174),
    [sym_range_expression] = STATE(9174),
    [sym_splat_expression] = STATE(9174),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8125),
    [sym_unary_typed_expression] = STATE(9174),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(9174),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(7862),
    [sym_block_comment] = STATE(3430),
    [sym_line_comment] = STATE(3430),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3431] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(13696),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11109),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13612),
    [sym_unary_expression] = STATE(13612),
    [sym_range_expression] = STATE(13612),
    [sym_splat_expression] = STATE(13612),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13050),
    [sym_unary_typed_expression] = STATE(13612),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13612),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13081),
    [sym_block_comment] = STATE(3431),
    [sym_line_comment] = STATE(3431),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3432] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(593),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3432),
    [sym_line_comment] = STATE(3432),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3433] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(737),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3433),
    [sym_line_comment] = STATE(3433),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3434] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(738),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3434),
    [sym_line_comment] = STATE(3434),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3435] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(739),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3435),
    [sym_line_comment] = STATE(3435),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3436] = {
    [sym__expression] = STATE(14581),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(15695),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3436),
    [sym_line_comment] = STATE(3436),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3437] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(602),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3437),
    [sym_line_comment] = STATE(3437),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3438] = {
    [sym__closed_assignment] = STATE(9212),
    [sym__expression] = STATE(9793),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5441),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9606),
    [sym_unary_expression] = STATE(9606),
    [sym_range_expression] = STATE(9606),
    [sym_splat_expression] = STATE(9606),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9362),
    [sym_unary_typed_expression] = STATE(9606),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9606),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9363),
    [sym_block_comment] = STATE(3438),
    [sym_line_comment] = STATE(3438),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3439] = {
    [sym__closed_assignment] = STATE(11433),
    [sym__expression] = STATE(14353),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11310),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13901),
    [sym_unary_expression] = STATE(13901),
    [sym_range_expression] = STATE(13901),
    [sym_splat_expression] = STATE(13901),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13841),
    [sym_unary_typed_expression] = STATE(13901),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13901),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13730),
    [sym_block_comment] = STATE(3439),
    [sym_line_comment] = STATE(3439),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3440] = {
    [sym__closed_assignment] = STATE(11433),
    [sym__expression] = STATE(13399),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10793),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12874),
    [sym_unary_expression] = STATE(12874),
    [sym_range_expression] = STATE(12874),
    [sym_splat_expression] = STATE(12874),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12440),
    [sym_unary_typed_expression] = STATE(12874),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12874),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12538),
    [sym_block_comment] = STATE(3440),
    [sym_line_comment] = STATE(3440),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3441] = {
    [sym__expression] = STATE(14581),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(15582),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3441),
    [sym_line_comment] = STATE(3441),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3442] = {
    [sym__expression] = STATE(14581),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(15596),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3442),
    [sym_line_comment] = STATE(3442),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3443] = {
    [sym__expression] = STATE(14581),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(15620),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3443),
    [sym_line_comment] = STATE(3443),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3444] = {
    [sym__expression] = STATE(14581),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(15643),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3444),
    [sym_line_comment] = STATE(3444),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3445] = {
    [sym__expression] = STATE(14581),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(15665),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3445),
    [sym_line_comment] = STATE(3445),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3446] = {
    [sym__expression] = STATE(14581),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(15677),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3446),
    [sym_line_comment] = STATE(3446),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3447] = {
    [sym__expression] = STATE(14581),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(15694),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3447),
    [sym_line_comment] = STATE(3447),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3448] = {
    [sym__expression] = STATE(14581),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(15705),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3448),
    [sym_line_comment] = STATE(3448),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3449] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(603),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3449),
    [sym_line_comment] = STATE(3449),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3450] = {
    [sym__expression] = STATE(14581),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(15710),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3450),
    [sym_line_comment] = STATE(3450),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3451] = {
    [sym__expression] = STATE(14581),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(15718),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3451),
    [sym_line_comment] = STATE(3451),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3452] = {
    [sym__closed_assignment] = STATE(11433),
    [sym__expression] = STATE(14001),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3452),
    [sym_line_comment] = STATE(3452),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3453] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(13422),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10883),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12961),
    [sym_unary_expression] = STATE(12961),
    [sym_range_expression] = STATE(12961),
    [sym_splat_expression] = STATE(12961),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12962),
    [sym_unary_typed_expression] = STATE(12961),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12961),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12378),
    [sym_block_comment] = STATE(3453),
    [sym_line_comment] = STATE(3453),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3454] = {
    [sym__closed_assignment] = STATE(10011),
    [sym__expression] = STATE(9793),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5457),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9667),
    [sym_unary_expression] = STATE(9667),
    [sym_range_expression] = STATE(9667),
    [sym_splat_expression] = STATE(9667),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9464),
    [sym_unary_typed_expression] = STATE(9667),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9667),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9465),
    [sym_block_comment] = STATE(3454),
    [sym_line_comment] = STATE(3454),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3455] = {
    [sym__closed_assignment] = STATE(7900),
    [sym__expression] = STATE(9011),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4587),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8412),
    [sym_unary_expression] = STATE(8412),
    [sym_range_expression] = STATE(8412),
    [sym_splat_expression] = STATE(8412),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7557),
    [sym_unary_typed_expression] = STATE(8412),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8412),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7631),
    [sym_block_comment] = STATE(3455),
    [sym_line_comment] = STATE(3455),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3456] = {
    [sym__closed_assignment] = STATE(8271),
    [sym__expression] = STATE(9018),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4587),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8412),
    [sym_unary_expression] = STATE(8412),
    [sym_range_expression] = STATE(8412),
    [sym_splat_expression] = STATE(8412),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7557),
    [sym_unary_typed_expression] = STATE(8412),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8412),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7631),
    [sym_block_comment] = STATE(3456),
    [sym_line_comment] = STATE(3456),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3457] = {
    [sym__closed_assignment] = STATE(9337),
    [sym__expression] = STATE(9662),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5293),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9488),
    [sym_unary_expression] = STATE(9488),
    [sym_range_expression] = STATE(9488),
    [sym_splat_expression] = STATE(9488),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9090),
    [sym_unary_typed_expression] = STATE(9488),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9488),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9182),
    [sym_block_comment] = STATE(3457),
    [sym_line_comment] = STATE(3457),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3458] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(13977),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11151),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13556),
    [sym_unary_expression] = STATE(13556),
    [sym_range_expression] = STATE(13556),
    [sym_splat_expression] = STATE(13556),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13602),
    [sym_unary_typed_expression] = STATE(13556),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13556),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13143),
    [sym_block_comment] = STATE(3458),
    [sym_line_comment] = STATE(3458),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3459] = {
    [sym__closed_assignment] = STATE(9380),
    [sym__expression] = STATE(9631),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5293),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9488),
    [sym_unary_expression] = STATE(9488),
    [sym_range_expression] = STATE(9488),
    [sym_splat_expression] = STATE(9488),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9090),
    [sym_unary_typed_expression] = STATE(9488),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9488),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9182),
    [sym_block_comment] = STATE(3459),
    [sym_line_comment] = STATE(3459),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3460] = {
    [sym__closed_assignment] = STATE(8551),
    [sym__expression] = STATE(9807),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5441),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(9606),
    [sym_unary_expression] = STATE(9606),
    [sym_range_expression] = STATE(9606),
    [sym_splat_expression] = STATE(9606),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9362),
    [sym_unary_typed_expression] = STATE(9606),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(9606),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(9363),
    [sym_block_comment] = STATE(3460),
    [sym_line_comment] = STATE(3460),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3461] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(14401),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11310),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13901),
    [sym_unary_expression] = STATE(13901),
    [sym_range_expression] = STATE(13901),
    [sym_splat_expression] = STATE(13901),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13841),
    [sym_unary_typed_expression] = STATE(13901),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13901),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13730),
    [sym_block_comment] = STATE(3461),
    [sym_line_comment] = STATE(3461),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3462] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(13361),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10793),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(12874),
    [sym_unary_expression] = STATE(12874),
    [sym_range_expression] = STATE(12874),
    [sym_splat_expression] = STATE(12874),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12440),
    [sym_unary_typed_expression] = STATE(12874),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(12874),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12538),
    [sym_block_comment] = STATE(3462),
    [sym_line_comment] = STATE(3462),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3463] = {
    [sym__closed_assignment] = STATE(11433),
    [sym__expression] = STATE(14537),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11721),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(14442),
    [sym_unary_expression] = STATE(14442),
    [sym_range_expression] = STATE(14442),
    [sym_splat_expression] = STATE(14442),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13902),
    [sym_unary_typed_expression] = STATE(14442),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(14442),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13903),
    [sym_block_comment] = STATE(3463),
    [sym_line_comment] = STATE(3463),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3464] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(13078),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10935),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11389),
    [sym_unary_expression] = STATE(11389),
    [sym_range_expression] = STATE(11389),
    [sym_splat_expression] = STATE(11389),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12993),
    [sym_unary_typed_expression] = STATE(11389),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11389),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11184),
    [sym_block_comment] = STATE(3464),
    [sym_line_comment] = STATE(3464),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3465] = {
    [sym__closed_assignment] = STATE(12712),
    [sym__expression] = STATE(12842),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10833),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12991),
    [sym_unary_expression] = STATE(12991),
    [sym_range_expression] = STATE(12991),
    [sym_splat_expression] = STATE(12991),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12439),
    [sym_unary_typed_expression] = STATE(12991),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12991),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12559),
    [sym_block_comment] = STATE(3465),
    [sym_line_comment] = STATE(3465),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3466] = {
    [sym__closed_assignment] = STATE(7900),
    [sym__expression] = STATE(9069),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4889),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8069),
    [sym_unary_expression] = STATE(8069),
    [sym_range_expression] = STATE(8069),
    [sym_splat_expression] = STATE(8069),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8446),
    [sym_unary_typed_expression] = STATE(8069),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8069),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7386),
    [sym_block_comment] = STATE(3466),
    [sym_line_comment] = STATE(3466),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3467] = {
    [sym__closed_assignment] = STATE(9337),
    [sym__expression] = STATE(9651),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5473),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9510),
    [sym_unary_expression] = STATE(9510),
    [sym_range_expression] = STATE(9510),
    [sym_splat_expression] = STATE(9510),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9523),
    [sym_unary_typed_expression] = STATE(9510),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9510),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(8925),
    [sym_block_comment] = STATE(3467),
    [sym_line_comment] = STATE(3467),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3468] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(13674),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11220),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11389),
    [sym_unary_expression] = STATE(11389),
    [sym_range_expression] = STATE(11389),
    [sym_splat_expression] = STATE(11389),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13628),
    [sym_unary_typed_expression] = STATE(11389),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11389),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11184),
    [sym_block_comment] = STATE(3468),
    [sym_line_comment] = STATE(3468),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3469] = {
    [sym__closed_assignment] = STATE(8551),
    [sym__expression] = STATE(9656),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5472),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8738),
    [sym_unary_expression] = STATE(8738),
    [sym_range_expression] = STATE(8738),
    [sym_splat_expression] = STATE(8738),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9522),
    [sym_unary_typed_expression] = STATE(8738),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8738),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(7913),
    [sym_block_comment] = STATE(3469),
    [sym_line_comment] = STATE(3469),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3470] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(14381),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11764),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11389),
    [sym_unary_expression] = STATE(11389),
    [sym_range_expression] = STATE(11389),
    [sym_splat_expression] = STATE(11389),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14181),
    [sym_unary_typed_expression] = STATE(11389),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11389),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11184),
    [sym_block_comment] = STATE(3470),
    [sym_line_comment] = STATE(3470),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3471] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(13090),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10942),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11389),
    [sym_unary_expression] = STATE(11389),
    [sym_range_expression] = STATE(11389),
    [sym_splat_expression] = STATE(11389),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13001),
    [sym_unary_typed_expression] = STATE(11389),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11389),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11184),
    [sym_block_comment] = STATE(3471),
    [sym_line_comment] = STATE(3471),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3472] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(13514),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10849),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13214),
    [sym_unary_expression] = STATE(13214),
    [sym_range_expression] = STATE(13214),
    [sym_splat_expression] = STATE(13214),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12918),
    [sym_unary_typed_expression] = STATE(13214),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13214),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12936),
    [sym_block_comment] = STATE(3472),
    [sym_line_comment] = STATE(3472),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3473] = {
    [sym__closed_assignment] = STATE(11433),
    [sym__expression] = STATE(13521),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10849),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13214),
    [sym_unary_expression] = STATE(13214),
    [sym_range_expression] = STATE(13214),
    [sym_splat_expression] = STATE(13214),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12918),
    [sym_unary_typed_expression] = STATE(13214),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13214),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(12936),
    [sym_block_comment] = STATE(3473),
    [sym_line_comment] = STATE(3473),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3474] = {
    [sym__closed_assignment] = STATE(9028),
    [sym__expression] = STATE(9453),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4916),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(9174),
    [sym_unary_expression] = STATE(9174),
    [sym_range_expression] = STATE(9174),
    [sym_splat_expression] = STATE(9174),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8125),
    [sym_unary_typed_expression] = STATE(9174),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(9174),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(7862),
    [sym_block_comment] = STATE(3474),
    [sym_line_comment] = STATE(3474),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3475] = {
    [sym__expression] = STATE(14581),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(15753),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11201),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3475),
    [sym_line_comment] = STATE(3475),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3476] = {
    [sym__expression] = STATE(14584),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(19913),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11785),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(7590),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11314),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3476),
    [sym_line_comment] = STATE(3476),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(9131),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3477] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(13529),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11119),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11389),
    [sym_unary_expression] = STATE(11389),
    [sym_range_expression] = STATE(11389),
    [sym_splat_expression] = STATE(11389),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13218),
    [sym_unary_typed_expression] = STATE(11389),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11389),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11184),
    [sym_block_comment] = STATE(3477),
    [sym_line_comment] = STATE(3477),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3478] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(745),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3478),
    [sym_line_comment] = STATE(3478),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3479] = {
    [sym__closed_assignment] = STATE(8804),
    [sym__expression] = STATE(9454),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4703),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(8540),
    [sym_unary_expression] = STATE(8540),
    [sym_range_expression] = STATE(8540),
    [sym_splat_expression] = STATE(8540),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8329),
    [sym_unary_typed_expression] = STATE(8540),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(8540),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(8126),
    [sym_block_comment] = STATE(3479),
    [sym_line_comment] = STATE(3479),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3480] = {
    [sym__closed_assignment] = STATE(11363),
    [sym__expression] = STATE(13782),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11072),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13629),
    [sym_unary_expression] = STATE(13629),
    [sym_range_expression] = STATE(13629),
    [sym_splat_expression] = STATE(13629),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13338),
    [sym_unary_typed_expression] = STATE(13629),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(13629),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(13366),
    [sym_block_comment] = STATE(3480),
    [sym_line_comment] = STATE(3480),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3481] = {
    [sym__closed_assignment] = STATE(8271),
    [sym__expression] = STATE(9405),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4750),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(9131),
    [sym_unary_expression] = STATE(9131),
    [sym_range_expression] = STATE(9131),
    [sym_splat_expression] = STATE(9131),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8391),
    [sym_unary_typed_expression] = STATE(9131),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(9131),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(8392),
    [sym_block_comment] = STATE(3481),
    [sym_line_comment] = STATE(3481),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3482] = {
    [sym__expression] = STATE(14584),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(19172),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11785),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(7590),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(13667),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11314),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3482),
    [sym_line_comment] = STATE(3482),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(9131),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3483] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(660),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3483),
    [sym_line_comment] = STATE(3483),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3484] = {
    [sym__closed_assignment] = STATE(12146),
    [sym__expression] = STATE(13781),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11017),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13418),
    [sym_unary_expression] = STATE(13418),
    [sym_range_expression] = STATE(13418),
    [sym_splat_expression] = STATE(13418),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13164),
    [sym_unary_typed_expression] = STATE(13418),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13418),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13180),
    [sym_block_comment] = STATE(3484),
    [sym_line_comment] = STATE(3484),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3485] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(781),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3485),
    [sym_line_comment] = STATE(3485),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3486] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(782),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3486),
    [sym_line_comment] = STATE(3486),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3487] = {
    [sym__expression] = STATE(14587),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_signature] = STATE(783),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11976),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(5840),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(10002),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(9655),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(9864),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(5090),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3487),
    [sym_line_comment] = STATE(3487),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(9129),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3488] = {
    [sym__closed_assignment] = STATE(10011),
    [sym__expression] = STATE(13690),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11162),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(13800),
    [sym_unary_expression] = STATE(13800),
    [sym_range_expression] = STATE(13800),
    [sym_splat_expression] = STATE(13800),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13491),
    [sym_unary_typed_expression] = STATE(13800),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(13800),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(13492),
    [sym_block_comment] = STATE(3488),
    [sym_line_comment] = STATE(3488),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3489] = {
    [sym__closed_assignment] = STATE(7900),
    [sym__expression] = STATE(9338),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4750),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(9131),
    [sym_unary_expression] = STATE(9131),
    [sym_range_expression] = STATE(9131),
    [sym_splat_expression] = STATE(9131),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8391),
    [sym_unary_typed_expression] = STATE(9131),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(9131),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(8392),
    [sym_block_comment] = STATE(3489),
    [sym_line_comment] = STATE(3489),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3490] = {
    [sym__expression] = STATE(14585),
    [sym_module_definition] = STATE(11271),
    [sym_type_head] = STATE(1012),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(5685),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4519),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9751),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(264),
    [sym_identifier] = STATE(5181),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(14462),
    [sym_block_comment] = STATE(3490),
    [sym_line_comment] = STATE(3490),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(9125),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3491] = {
    [sym__closed_assignment] = STATE(9826),
    [sym__expression] = STATE(9902),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5581),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9755),
    [sym_unary_expression] = STATE(9755),
    [sym_range_expression] = STATE(9755),
    [sym_splat_expression] = STATE(9755),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9709),
    [sym_unary_typed_expression] = STATE(9755),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9755),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9692),
    [sym_block_comment] = STATE(3491),
    [sym_line_comment] = STATE(3491),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3492] = {
    [sym__expression] = STATE(13155),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3492),
    [sym_line_comment] = STATE(3492),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3493] = {
    [sym__expression] = STATE(9654),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(3493),
    [sym_line_comment] = STATE(3493),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3494] = {
    [sym__expression] = STATE(86),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3494),
    [sym_line_comment] = STATE(3494),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3495] = {
    [sym__expression] = STATE(13219),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3495),
    [sym_line_comment] = STATE(3495),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3496] = {
    [sym__expression] = STATE(13512),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3496),
    [sym_line_comment] = STATE(3496),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3497] = {
    [sym__expression] = STATE(13543),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3497),
    [sym_line_comment] = STATE(3497),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3498] = {
    [sym__expression] = STATE(13555),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3498),
    [sym_line_comment] = STATE(3498),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3499] = {
    [sym__expression] = STATE(9578),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(3499),
    [sym_line_comment] = STATE(3499),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3500] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11953),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11953),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14267),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11213),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3500),
    [sym_line_comment] = STATE(3500),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3501] = {
    [sym__expression] = STATE(13559),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3501),
    [sym_line_comment] = STATE(3501),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3502] = {
    [sym__expression] = STATE(13561),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3502),
    [sym_line_comment] = STATE(3502),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3503] = {
    [sym__expression] = STATE(13598),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3503),
    [sym_line_comment] = STATE(3503),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3504] = {
    [sym__expression] = STATE(8999),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3504),
    [sym_line_comment] = STATE(3504),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3505] = {
    [sym__expression] = STATE(13511),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3505),
    [sym_line_comment] = STATE(3505),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3506] = {
    [sym__expression] = STATE(13502),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3506),
    [sym_line_comment] = STATE(3506),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3507] = {
    [sym__expression] = STATE(13505),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3507),
    [sym_line_comment] = STATE(3507),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3508] = {
    [sym__expression] = STATE(8953),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3508),
    [sym_line_comment] = STATE(3508),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3509] = {
    [sym__expression] = STATE(8958),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3509),
    [sym_line_comment] = STATE(3509),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3510] = {
    [sym__expression] = STATE(13509),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3510),
    [sym_line_comment] = STATE(3510),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3511] = {
    [sym__expression] = STATE(13510),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3511),
    [sym_line_comment] = STATE(3511),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3512] = {
    [sym__expression] = STATE(8963),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3512),
    [sym_line_comment] = STATE(3512),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3513] = {
    [sym__expression] = STATE(8964),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3513),
    [sym_line_comment] = STATE(3513),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3514] = {
    [sym__expression] = STATE(8965),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3514),
    [sym_line_comment] = STATE(3514),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3515] = {
    [sym__expression] = STATE(8988),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3515),
    [sym_line_comment] = STATE(3515),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3516] = {
    [sym__expression] = STATE(9026),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3516),
    [sym_line_comment] = STATE(3516),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3517] = {
    [sym__expression] = STATE(9027),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3517),
    [sym_line_comment] = STATE(3517),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3518] = {
    [sym__expression] = STATE(9029),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3518),
    [sym_line_comment] = STATE(3518),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3519] = {
    [sym__expression] = STATE(13732),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3519),
    [sym_line_comment] = STATE(3519),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9139),
    [sym__type_order_operator] = ACTIONS(9139),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3520] = {
    [sym__expression] = STATE(13773),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3520),
    [sym_line_comment] = STATE(3520),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9139),
    [sym__type_order_operator] = ACTIONS(9139),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3521] = {
    [sym__expression] = STATE(13792),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3521),
    [sym_line_comment] = STATE(3521),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9139),
    [sym__type_order_operator] = ACTIONS(9139),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3522] = {
    [sym__expression] = STATE(13799),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3522),
    [sym_line_comment] = STATE(3522),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9139),
    [sym__type_order_operator] = ACTIONS(9139),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3523] = {
    [sym__expression] = STATE(13790),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3523),
    [sym_line_comment] = STATE(3523),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9139),
    [sym__type_order_operator] = ACTIONS(9139),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3524] = {
    [sym__expression] = STATE(13794),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3524),
    [sym_line_comment] = STATE(3524),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9139),
    [sym__type_order_operator] = ACTIONS(9139),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3525] = {
    [sym__expression] = STATE(13691),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3525),
    [sym_line_comment] = STATE(3525),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9139),
    [sym__type_order_operator] = ACTIONS(9139),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3526] = {
    [sym__expression] = STATE(13692),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3526),
    [sym_line_comment] = STATE(3526),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9139),
    [sym__type_order_operator] = ACTIONS(9139),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3527] = {
    [sym__expression] = STATE(13693),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3527),
    [sym_line_comment] = STATE(3527),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9139),
    [sym__type_order_operator] = ACTIONS(9139),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3528] = {
    [sym__expression] = STATE(13706),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3528),
    [sym_line_comment] = STATE(3528),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9139),
    [sym__type_order_operator] = ACTIONS(9139),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3529] = {
    [sym__expression] = STATE(13713),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3529),
    [sym_line_comment] = STATE(3529),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9139),
    [sym__type_order_operator] = ACTIONS(9139),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3530] = {
    [sym__expression] = STATE(13714),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3530),
    [sym_line_comment] = STATE(3530),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9139),
    [sym__type_order_operator] = ACTIONS(9139),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3531] = {
    [sym__expression] = STATE(13715),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3531),
    [sym_line_comment] = STATE(3531),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9139),
    [sym__type_order_operator] = ACTIONS(9139),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3532] = {
    [sym__expression] = STATE(13716),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3532),
    [sym_line_comment] = STATE(3532),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9139),
    [sym__type_order_operator] = ACTIONS(9139),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3533] = {
    [sym__expression] = STATE(13540),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3533),
    [sym_line_comment] = STATE(3533),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9139),
    [sym__type_order_operator] = ACTIONS(9139),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3534] = {
    [sym__expression] = STATE(13480),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3534),
    [sym_line_comment] = STATE(3534),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3535] = {
    [sym__expression] = STATE(8544),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3535),
    [sym_line_comment] = STATE(3535),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3536] = {
    [sym__expression] = STATE(13748),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3536),
    [sym_line_comment] = STATE(3536),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3537] = {
    [sym__expression] = STATE(13562),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3537),
    [sym_line_comment] = STATE(3537),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3538] = {
    [sym__expression] = STATE(14403),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3538),
    [sym_line_comment] = STATE(3538),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3539] = {
    [sym__expression] = STATE(14358),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3539),
    [sym_line_comment] = STATE(3539),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3540] = {
    [sym__expression] = STATE(14383),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3540),
    [sym_line_comment] = STATE(3540),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3541] = {
    [sym__expression] = STATE(14096),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3541),
    [sym_line_comment] = STATE(3541),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3542] = {
    [sym__expression] = STATE(8290),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3542),
    [sym_line_comment] = STATE(3542),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3543] = {
    [sym__expression] = STATE(14423),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3543),
    [sym_line_comment] = STATE(3543),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3544] = {
    [sym__expression] = STATE(14428),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3544),
    [sym_line_comment] = STATE(3544),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3545] = {
    [sym__expression] = STATE(14440),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3545),
    [sym_line_comment] = STATE(3545),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3546] = {
    [sym__expression] = STATE(14393),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3546),
    [sym_line_comment] = STATE(3546),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3547] = {
    [sym__expression] = STATE(14406),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3547),
    [sym_line_comment] = STATE(3547),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3548] = {
    [sym__expression] = STATE(14437),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3548),
    [sym_line_comment] = STATE(3548),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3549] = {
    [sym__expression] = STATE(14439),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3549),
    [sym_line_comment] = STATE(3549),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3550] = {
    [sym__expression] = STATE(14388),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3550),
    [sym_line_comment] = STATE(3550),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3551] = {
    [sym__expression] = STATE(14389),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3551),
    [sym_line_comment] = STATE(3551),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3552] = {
    [sym__expression] = STATE(14398),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3552),
    [sym_line_comment] = STATE(3552),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3553] = {
    [sym__expression] = STATE(14400),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3553),
    [sym_line_comment] = STATE(3553),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3554] = {
    [sym__expression] = STATE(14402),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3554),
    [sym_line_comment] = STATE(3554),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3555] = {
    [sym__expression] = STATE(11979),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11600),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19999),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14234),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(11214),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3555),
    [sym_line_comment] = STATE(3555),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4079),
    [sym__type_order_operator] = ACTIONS(4079),
    [sym__unary_operator] = ACTIONS(4081),
    [sym__unary_plus_operator] = ACTIONS(4081),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3556] = {
    [sym__expression] = STATE(8202),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3556),
    [sym_line_comment] = STATE(3556),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3557] = {
    [sym__expression] = STATE(13448),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3557),
    [sym_line_comment] = STATE(3557),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3558] = {
    [sym__expression] = STATE(13313),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3558),
    [sym_line_comment] = STATE(3558),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3559] = {
    [sym__expression] = STATE(9327),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3559),
    [sym_line_comment] = STATE(3559),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3560] = {
    [sym__expression] = STATE(13412),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3560),
    [sym_line_comment] = STATE(3560),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9141),
    [sym__type_order_operator] = ACTIONS(9141),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3561] = {
    [sym__expression] = STATE(8210),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3561),
    [sym_line_comment] = STATE(3561),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3562] = {
    [sym__expression] = STATE(8211),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3562),
    [sym_line_comment] = STATE(3562),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3563] = {
    [sym__expression] = STATE(13460),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3563),
    [sym_line_comment] = STATE(3563),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9141),
    [sym__type_order_operator] = ACTIONS(9141),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3564] = {
    [sym__expression] = STATE(13467),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3564),
    [sym_line_comment] = STATE(3564),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9141),
    [sym__type_order_operator] = ACTIONS(9141),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3565] = {
    [sym__expression] = STATE(8214),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3565),
    [sym_line_comment] = STATE(3565),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3566] = {
    [sym__expression] = STATE(8215),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3566),
    [sym_line_comment] = STATE(3566),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3567] = {
    [sym__expression] = STATE(13482),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3567),
    [sym_line_comment] = STATE(3567),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9141),
    [sym__type_order_operator] = ACTIONS(9141),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3568] = {
    [sym__expression] = STATE(13483),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3568),
    [sym_line_comment] = STATE(3568),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9141),
    [sym__type_order_operator] = ACTIONS(9141),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3569] = {
    [sym__expression] = STATE(13487),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3569),
    [sym_line_comment] = STATE(3569),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9141),
    [sym__type_order_operator] = ACTIONS(9141),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3570] = {
    [sym__expression] = STATE(13488),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3570),
    [sym_line_comment] = STATE(3570),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9141),
    [sym__type_order_operator] = ACTIONS(9141),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3571] = {
    [sym__expression] = STATE(13490),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3571),
    [sym_line_comment] = STATE(3571),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9141),
    [sym__type_order_operator] = ACTIONS(9141),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3572] = {
    [sym__expression] = STATE(13496),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3572),
    [sym_line_comment] = STATE(3572),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9141),
    [sym__type_order_operator] = ACTIONS(9141),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3573] = {
    [sym__expression] = STATE(13500),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3573),
    [sym_line_comment] = STATE(3573),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9141),
    [sym__type_order_operator] = ACTIONS(9141),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3574] = {
    [sym__expression] = STATE(13229),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3574),
    [sym_line_comment] = STATE(3574),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9141),
    [sym__type_order_operator] = ACTIONS(9141),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3575] = {
    [sym__expression] = STATE(13271),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3575),
    [sym_line_comment] = STATE(3575),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3576] = {
    [sym__expression] = STATE(14569),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3576),
    [sym_line_comment] = STATE(3576),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3577] = {
    [sym__expression] = STATE(9879),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(3577),
    [sym_line_comment] = STATE(3577),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3578] = {
    [sym__expression] = STATE(14572),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3578),
    [sym_line_comment] = STATE(3578),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3579] = {
    [sym__expression] = STATE(9411),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(3579),
    [sym_line_comment] = STATE(3579),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3580] = {
    [sym__expression] = STATE(13454),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3580),
    [sym_line_comment] = STATE(3580),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9141),
    [sym__type_order_operator] = ACTIONS(9141),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3581] = {
    [sym__expression] = STATE(13455),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3581),
    [sym_line_comment] = STATE(3581),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9141),
    [sym__type_order_operator] = ACTIONS(9141),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3582] = {
    [sym__expression] = STATE(13445),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3582),
    [sym_line_comment] = STATE(3582),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3583] = {
    [sym__expression] = STATE(13446),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3583),
    [sym_line_comment] = STATE(3583),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3584] = {
    [sym__expression] = STATE(13472),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3584),
    [sym_line_comment] = STATE(3584),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9141),
    [sym__type_order_operator] = ACTIONS(9141),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3585] = {
    [sym__expression] = STATE(13478),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3585),
    [sym_line_comment] = STATE(3585),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9141),
    [sym__type_order_operator] = ACTIONS(9141),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3586] = {
    [sym__expression] = STATE(13451),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3586),
    [sym_line_comment] = STATE(3586),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3587] = {
    [sym__expression] = STATE(13452),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3587),
    [sym_line_comment] = STATE(3587),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3588] = {
    [sym__expression] = STATE(13589),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3588),
    [sym_line_comment] = STATE(3588),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3589] = {
    [sym__expression] = STATE(13590),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3589),
    [sym_line_comment] = STATE(3589),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3590] = {
    [sym__expression] = STATE(13591),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3590),
    [sym_line_comment] = STATE(3590),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3591] = {
    [sym__expression] = STATE(13592),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3591),
    [sym_line_comment] = STATE(3591),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3592] = {
    [sym__expression] = STATE(13593),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3592),
    [sym_line_comment] = STATE(3592),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3593] = {
    [sym__expression] = STATE(12963),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3593),
    [sym_line_comment] = STATE(3593),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3594] = {
    [sym__expression] = STATE(9447),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(3594),
    [sym_line_comment] = STATE(3594),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3595] = {
    [sym__expression] = STATE(7737),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3595),
    [sym_line_comment] = STATE(3595),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3596] = {
    [sym__expression] = STATE(9000),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3596),
    [sym_line_comment] = STATE(3596),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3597] = {
    [sym__expression] = STATE(8841),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3597),
    [sym_line_comment] = STATE(3597),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3598] = {
    [sym__expression] = STATE(8948),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3598),
    [sym_line_comment] = STATE(3598),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3599] = {
    [sym__expression] = STATE(14493),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3599),
    [sym_line_comment] = STATE(3599),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3600] = {
    [sym__expression] = STATE(14494),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3600),
    [sym_line_comment] = STATE(3600),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3601] = {
    [sym__expression] = STATE(8959),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3601),
    [sym_line_comment] = STATE(3601),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3602] = {
    [sym__expression] = STATE(8961),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3602),
    [sym_line_comment] = STATE(3602),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3603] = {
    [sym__expression] = STATE(14497),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3603),
    [sym_line_comment] = STATE(3603),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3604] = {
    [sym__expression] = STATE(14498),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3604),
    [sym_line_comment] = STATE(3604),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3605] = {
    [sym__expression] = STATE(9516),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3605),
    [sym_line_comment] = STATE(3605),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9145),
    [sym__type_order_operator] = ACTIONS(9145),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3606] = {
    [sym__expression] = STATE(9517),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3606),
    [sym_line_comment] = STATE(3606),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9145),
    [sym__type_order_operator] = ACTIONS(9145),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3607] = {
    [sym__expression] = STATE(9520),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3607),
    [sym_line_comment] = STATE(3607),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9145),
    [sym__type_order_operator] = ACTIONS(9145),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3608] = {
    [sym__expression] = STATE(9521),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3608),
    [sym_line_comment] = STATE(3608),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9145),
    [sym__type_order_operator] = ACTIONS(9145),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3609] = {
    [sym__expression] = STATE(9526),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3609),
    [sym_line_comment] = STATE(3609),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9145),
    [sym__type_order_operator] = ACTIONS(9145),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3610] = {
    [sym__expression] = STATE(9529),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3610),
    [sym_line_comment] = STATE(3610),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9145),
    [sym__type_order_operator] = ACTIONS(9145),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3611] = {
    [sym__expression] = STATE(9530),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3611),
    [sym_line_comment] = STATE(3611),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9145),
    [sym__type_order_operator] = ACTIONS(9145),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3612] = {
    [sym__expression] = STATE(9531),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3612),
    [sym_line_comment] = STATE(3612),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9145),
    [sym__type_order_operator] = ACTIONS(9145),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3613] = {
    [sym__expression] = STATE(9533),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3613),
    [sym_line_comment] = STATE(3613),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9145),
    [sym__type_order_operator] = ACTIONS(9145),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3614] = {
    [sym__expression] = STATE(8544),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3614),
    [sym_line_comment] = STATE(3614),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9145),
    [sym__type_order_operator] = ACTIONS(9145),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3615] = {
    [sym__expression] = STATE(14499),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3615),
    [sym_line_comment] = STATE(3615),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3616] = {
    [sym__expression] = STATE(14501),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3616),
    [sym_line_comment] = STATE(3616),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3617] = {
    [sym__expression] = STATE(14502),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3617),
    [sym_line_comment] = STATE(3617),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3618] = {
    [sym__expression] = STATE(14503),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3618),
    [sym_line_comment] = STATE(3618),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3619] = {
    [sym__expression] = STATE(14504),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3619),
    [sym_line_comment] = STATE(3619),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3620] = {
    [sym__expression] = STATE(14031),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3620),
    [sym_line_comment] = STATE(3620),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3621] = {
    [sym__expression] = STATE(9459),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3621),
    [sym_line_comment] = STATE(3621),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9145),
    [sym__type_order_operator] = ACTIONS(9145),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3622] = {
    [sym__expression] = STATE(14574),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3622),
    [sym_line_comment] = STATE(3622),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3623] = {
    [sym__expression] = STATE(14576),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3623),
    [sym_line_comment] = STATE(3623),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3624] = {
    [sym__expression] = STATE(14577),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3624),
    [sym_line_comment] = STATE(3624),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3625] = {
    [sym__expression] = STATE(9476),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3625),
    [sym_line_comment] = STATE(3625),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9145),
    [sym__type_order_operator] = ACTIONS(9145),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3626] = {
    [sym__expression] = STATE(9508),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3626),
    [sym_line_comment] = STATE(3626),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9145),
    [sym__type_order_operator] = ACTIONS(9145),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3627] = {
    [sym__expression] = STATE(9514),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3627),
    [sym_line_comment] = STATE(3627),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9145),
    [sym__type_order_operator] = ACTIONS(9145),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3628] = {
    [sym__expression] = STATE(9518),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3628),
    [sym_line_comment] = STATE(3628),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9145),
    [sym__type_order_operator] = ACTIONS(9145),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3629] = {
    [sym__expression] = STATE(9519),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5230),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19667),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8874),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4551),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3629),
    [sym_line_comment] = STATE(3629),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9145),
    [sym__type_order_operator] = ACTIONS(9145),
    [sym__unary_operator] = ACTIONS(3732),
    [sym__unary_plus_operator] = ACTIONS(3732),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3630] = {
    [sym__expression] = STATE(8777),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(3630),
    [sym_line_comment] = STATE(3630),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3631] = {
    [sym__expression] = STATE(14578),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3631),
    [sym_line_comment] = STATE(3631),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3632] = {
    [sym__expression] = STATE(14579),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3632),
    [sym_line_comment] = STATE(3632),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3633] = {
    [sym__expression] = STATE(14451),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3633),
    [sym_line_comment] = STATE(3633),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3634] = {
    [sym__expression] = STATE(9438),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3634),
    [sym_line_comment] = STATE(3634),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3635] = {
    [sym__expression] = STATE(13882),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3635),
    [sym_line_comment] = STATE(3635),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3636] = {
    [sym__expression] = STATE(9573),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3636),
    [sym_line_comment] = STATE(3636),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3637] = {
    [sym__expression] = STATE(9308),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3637),
    [sym_line_comment] = STATE(3637),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3638] = {
    [sym__expression] = STATE(9309),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3638),
    [sym_line_comment] = STATE(3638),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3639] = {
    [sym__expression] = STATE(14233),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3639),
    [sym_line_comment] = STATE(3639),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3640] = {
    [sym__expression] = STATE(14237),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3640),
    [sym_line_comment] = STATE(3640),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3641] = {
    [sym__expression] = STATE(9313),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3641),
    [sym_line_comment] = STATE(3641),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3642] = {
    [sym__expression] = STATE(9314),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3642),
    [sym_line_comment] = STATE(3642),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3643] = {
    [sym__expression] = STATE(9315),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3643),
    [sym_line_comment] = STATE(3643),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3644] = {
    [sym__expression] = STATE(9316),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3644),
    [sym_line_comment] = STATE(3644),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3645] = {
    [sym__expression] = STATE(9317),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3645),
    [sym_line_comment] = STATE(3645),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3646] = {
    [sym__expression] = STATE(9318),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3646),
    [sym_line_comment] = STATE(3646),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3647] = {
    [sym__expression] = STATE(9319),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3647),
    [sym_line_comment] = STATE(3647),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3648] = {
    [sym__expression] = STATE(8791),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3648),
    [sym_line_comment] = STATE(3648),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3649] = {
    [sym__expression] = STATE(8792),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3649),
    [sym_line_comment] = STATE(3649),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3650] = {
    [sym__expression] = STATE(14476),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3650),
    [sym_line_comment] = STATE(3650),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3651] = {
    [sym__expression] = STATE(14523),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3651),
    [sym_line_comment] = STATE(3651),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3652] = {
    [sym__expression] = STATE(13249),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3652),
    [sym_line_comment] = STATE(3652),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(9147),
    [sym__type_order_operator] = ACTIONS(9147),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3653] = {
    [sym__expression] = STATE(9307),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3653),
    [sym_line_comment] = STATE(3653),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3654] = {
    [sym__expression] = STATE(13162),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3654),
    [sym_line_comment] = STATE(3654),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(9147),
    [sym__type_order_operator] = ACTIONS(9147),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3655] = {
    [sym__expression] = STATE(9322),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3655),
    [sym_line_comment] = STATE(3655),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3656] = {
    [sym__expression] = STATE(9323),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3656),
    [sym_line_comment] = STATE(3656),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3657] = {
    [sym__expression] = STATE(9311),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3657),
    [sym_line_comment] = STATE(3657),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3658] = {
    [sym__expression] = STATE(9312),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3658),
    [sym_line_comment] = STATE(3658),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3659] = {
    [sym__expression] = STATE(9345),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3659),
    [sym_line_comment] = STATE(3659),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3660] = {
    [sym__expression] = STATE(9357),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3660),
    [sym_line_comment] = STATE(3660),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3661] = {
    [sym__expression] = STATE(9364),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3661),
    [sym_line_comment] = STATE(3661),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3662] = {
    [sym__expression] = STATE(9365),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3662),
    [sym_line_comment] = STATE(3662),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3663] = {
    [sym__expression] = STATE(9423),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3663),
    [sym_line_comment] = STATE(3663),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3664] = {
    [sym__expression] = STATE(9440),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3664),
    [sym_line_comment] = STATE(3664),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3665] = {
    [sym__expression] = STATE(9444),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3665),
    [sym_line_comment] = STATE(3665),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3666] = {
    [sym__expression] = STATE(8183),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3666),
    [sym_line_comment] = STATE(3666),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3667] = {
    [sym__expression] = STATE(12754),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3667),
    [sym_line_comment] = STATE(3667),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3668] = {
    [sym__expression] = STATE(14467),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3668),
    [sym_line_comment] = STATE(3668),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3669] = {
    [sym__expression] = STATE(14480),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3669),
    [sym_line_comment] = STATE(3669),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3670] = {
    [sym__expression] = STATE(11979),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3670),
    [sym_line_comment] = STATE(3670),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3671] = {
    [sym__expression] = STATE(9336),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3671),
    [sym_line_comment] = STATE(3671),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3672] = {
    [sym__expression] = STATE(13260),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3672),
    [sym_line_comment] = STATE(3672),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9149),
    [sym__type_order_operator] = ACTIONS(9149),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3673] = {
    [sym__expression] = STATE(13076),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3673),
    [sym_line_comment] = STATE(3673),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(9147),
    [sym__type_order_operator] = ACTIONS(9147),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3674] = {
    [sym__expression] = STATE(13080),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3674),
    [sym_line_comment] = STATE(3674),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9149),
    [sym__type_order_operator] = ACTIONS(9149),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3675] = {
    [sym__expression] = STATE(13082),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3675),
    [sym_line_comment] = STATE(3675),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(9147),
    [sym__type_order_operator] = ACTIONS(9147),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3676] = {
    [sym__expression] = STATE(13083),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3676),
    [sym_line_comment] = STATE(3676),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(9147),
    [sym__type_order_operator] = ACTIONS(9147),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3677] = {
    [sym__expression] = STATE(13085),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3677),
    [sym_line_comment] = STATE(3677),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(9147),
    [sym__type_order_operator] = ACTIONS(9147),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3678] = {
    [sym__expression] = STATE(13087),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3678),
    [sym_line_comment] = STATE(3678),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(9147),
    [sym__type_order_operator] = ACTIONS(9147),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3679] = {
    [sym__expression] = STATE(13091),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3679),
    [sym_line_comment] = STATE(3679),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(9147),
    [sym__type_order_operator] = ACTIONS(9147),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3680] = {
    [sym__expression] = STATE(13096),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3680),
    [sym_line_comment] = STATE(3680),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(9147),
    [sym__type_order_operator] = ACTIONS(9147),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3681] = {
    [sym__expression] = STATE(13098),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3681),
    [sym_line_comment] = STATE(3681),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(9147),
    [sym__type_order_operator] = ACTIONS(9147),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3682] = {
    [sym__expression] = STATE(13099),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3682),
    [sym_line_comment] = STATE(3682),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(9147),
    [sym__type_order_operator] = ACTIONS(9147),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3683] = {
    [sym__expression] = STATE(13129),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3683),
    [sym_line_comment] = STATE(3683),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(9147),
    [sym__type_order_operator] = ACTIONS(9147),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3684] = {
    [sym__expression] = STATE(13131),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3684),
    [sym_line_comment] = STATE(3684),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(9147),
    [sym__type_order_operator] = ACTIONS(9147),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3685] = {
    [sym__expression] = STATE(13135),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3685),
    [sym_line_comment] = STATE(3685),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(9147),
    [sym__type_order_operator] = ACTIONS(9147),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3686] = {
    [sym__expression] = STATE(12960),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3686),
    [sym_line_comment] = STATE(3686),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(9147),
    [sym__type_order_operator] = ACTIONS(9147),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3687] = {
    [sym__expression] = STATE(12798),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3687),
    [sym_line_comment] = STATE(3687),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3688] = {
    [sym__expression] = STATE(13456),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3688),
    [sym_line_comment] = STATE(3688),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3689] = {
    [sym__expression] = STATE(12895),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3689),
    [sym_line_comment] = STATE(3689),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3690] = {
    [sym__expression] = STATE(8799),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3690),
    [sym_line_comment] = STATE(3690),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3691] = {
    [sym__expression] = STATE(14492),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3691),
    [sym_line_comment] = STATE(3691),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3692] = {
    [sym__expression] = STATE(8843),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3692),
    [sym_line_comment] = STATE(3692),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3693] = {
    [sym__expression] = STATE(8512),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3693),
    [sym_line_comment] = STATE(3693),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3694] = {
    [sym__expression] = STATE(8513),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3694),
    [sym_line_comment] = STATE(3694),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3695] = {
    [sym__expression] = STATE(14495),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3695),
    [sym_line_comment] = STATE(3695),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3696] = {
    [sym__expression] = STATE(13409),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3696),
    [sym_line_comment] = STATE(3696),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9151),
    [sym__type_order_operator] = ACTIONS(9151),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3697] = {
    [sym__expression] = STATE(13226),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3697),
    [sym_line_comment] = STATE(3697),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9149),
    [sym__type_order_operator] = ACTIONS(9149),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3698] = {
    [sym__expression] = STATE(13660),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3698),
    [sym_line_comment] = STATE(3698),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9151),
    [sym__type_order_operator] = ACTIONS(9151),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3699] = {
    [sym__expression] = STATE(13230),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3699),
    [sym_line_comment] = STATE(3699),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9149),
    [sym__type_order_operator] = ACTIONS(9149),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3700] = {
    [sym__expression] = STATE(13231),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3700),
    [sym_line_comment] = STATE(3700),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9149),
    [sym__type_order_operator] = ACTIONS(9149),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3701] = {
    [sym__expression] = STATE(13232),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3701),
    [sym_line_comment] = STATE(3701),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9149),
    [sym__type_order_operator] = ACTIONS(9149),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3702] = {
    [sym__expression] = STATE(13234),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3702),
    [sym_line_comment] = STATE(3702),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9149),
    [sym__type_order_operator] = ACTIONS(9149),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3703] = {
    [sym__expression] = STATE(13238),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3703),
    [sym_line_comment] = STATE(3703),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9149),
    [sym__type_order_operator] = ACTIONS(9149),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3704] = {
    [sym__expression] = STATE(13239),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3704),
    [sym_line_comment] = STATE(3704),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9149),
    [sym__type_order_operator] = ACTIONS(9149),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3705] = {
    [sym__expression] = STATE(13240),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3705),
    [sym_line_comment] = STATE(3705),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9149),
    [sym__type_order_operator] = ACTIONS(9149),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3706] = {
    [sym__expression] = STATE(13241),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3706),
    [sym_line_comment] = STATE(3706),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9149),
    [sym__type_order_operator] = ACTIONS(9149),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3707] = {
    [sym__expression] = STATE(13243),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3707),
    [sym_line_comment] = STATE(3707),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9149),
    [sym__type_order_operator] = ACTIONS(9149),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3708] = {
    [sym__expression] = STATE(13244),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3708),
    [sym_line_comment] = STATE(3708),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9149),
    [sym__type_order_operator] = ACTIONS(9149),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3709] = {
    [sym__expression] = STATE(13046),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3709),
    [sym_line_comment] = STATE(3709),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9149),
    [sym__type_order_operator] = ACTIONS(9149),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3710] = {
    [sym__expression] = STATE(12707),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3710),
    [sym_line_comment] = STATE(3710),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9149),
    [sym__type_order_operator] = ACTIONS(9149),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3711] = {
    [sym__expression] = STATE(13247),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3711),
    [sym_line_comment] = STATE(3711),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3712] = {
    [sym__expression] = STATE(14496),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3712),
    [sym_line_comment] = STATE(3712),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3713] = {
    [sym__expression] = STATE(8516),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3713),
    [sym_line_comment] = STATE(3713),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3714] = {
    [sym__expression] = STATE(8518),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3714),
    [sym_line_comment] = STATE(3714),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3715] = {
    [sym__expression] = STATE(8527),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3715),
    [sym_line_comment] = STATE(3715),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3716] = {
    [sym__expression] = STATE(8532),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3716),
    [sym_line_comment] = STATE(3716),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3717] = {
    [sym__expression] = STATE(8533),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3717),
    [sym_line_comment] = STATE(3717),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3718] = {
    [sym__expression] = STATE(8534),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3718),
    [sym_line_comment] = STATE(3718),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3719] = {
    [sym__expression] = STATE(8535),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3719),
    [sym_line_comment] = STATE(3719),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3720] = {
    [sym__expression] = STATE(9451),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3720),
    [sym_line_comment] = STATE(3720),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(9153),
    [sym__type_order_operator] = ACTIONS(9153),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3721] = {
    [sym__expression] = STATE(13413),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3721),
    [sym_line_comment] = STATE(3721),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9151),
    [sym__type_order_operator] = ACTIONS(9151),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3722] = {
    [sym__expression] = STATE(9367),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3722),
    [sym_line_comment] = STATE(3722),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(9153),
    [sym__type_order_operator] = ACTIONS(9153),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3723] = {
    [sym__expression] = STATE(13414),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3723),
    [sym_line_comment] = STATE(3723),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9151),
    [sym__type_order_operator] = ACTIONS(9151),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3724] = {
    [sym__expression] = STATE(13419),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3724),
    [sym_line_comment] = STATE(3724),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9151),
    [sym__type_order_operator] = ACTIONS(9151),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3725] = {
    [sym__expression] = STATE(13423),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3725),
    [sym_line_comment] = STATE(3725),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9151),
    [sym__type_order_operator] = ACTIONS(9151),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3726] = {
    [sym__expression] = STATE(13424),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3726),
    [sym_line_comment] = STATE(3726),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9151),
    [sym__type_order_operator] = ACTIONS(9151),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3727] = {
    [sym__expression] = STATE(13428),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3727),
    [sym_line_comment] = STATE(3727),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9151),
    [sym__type_order_operator] = ACTIONS(9151),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3728] = {
    [sym__expression] = STATE(13429),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3728),
    [sym_line_comment] = STATE(3728),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9151),
    [sym__type_order_operator] = ACTIONS(9151),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3729] = {
    [sym__expression] = STATE(13431),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3729),
    [sym_line_comment] = STATE(3729),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9151),
    [sym__type_order_operator] = ACTIONS(9151),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3730] = {
    [sym__expression] = STATE(13432),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3730),
    [sym_line_comment] = STATE(3730),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9151),
    [sym__type_order_operator] = ACTIONS(9151),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3731] = {
    [sym__expression] = STATE(13433),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3731),
    [sym_line_comment] = STATE(3731),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9151),
    [sym__type_order_operator] = ACTIONS(9151),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3732] = {
    [sym__expression] = STATE(13434),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3732),
    [sym_line_comment] = STATE(3732),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9151),
    [sym__type_order_operator] = ACTIONS(9151),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3733] = {
    [sym__expression] = STATE(13437),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3733),
    [sym_line_comment] = STATE(3733),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9151),
    [sym__type_order_operator] = ACTIONS(9151),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3734] = {
    [sym__expression] = STATE(13265),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3734),
    [sym_line_comment] = STATE(3734),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9151),
    [sym__type_order_operator] = ACTIONS(9151),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3735] = {
    [sym__expression] = STATE(8851),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3735),
    [sym_line_comment] = STATE(3735),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3736] = {
    [sym__expression] = STATE(8791),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3736),
    [sym_line_comment] = STATE(3736),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3737] = {
    [sym__expression] = STATE(9361),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(5231),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(18815),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8880),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(45),
    [sym_identifier] = STATE(4569),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3737),
    [sym_line_comment] = STATE(3737),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(1007),
    [anon_sym_const] = ACTIONS(1009),
    [anon_sym_global] = ACTIONS(1011),
    [anon_sym_local] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(3740),
    [sym__type_order_operator] = ACTIONS(3740),
    [sym__unary_operator] = ACTIONS(3742),
    [sym__unary_plus_operator] = ACTIONS(3742),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3738] = {
    [sym__expression] = STATE(13458),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3738),
    [sym_line_comment] = STATE(3738),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3739] = {
    [sym__expression] = STATE(8897),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3739),
    [sym_line_comment] = STATE(3739),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(9155),
    [sym__type_order_operator] = ACTIONS(9155),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3740] = {
    [sym__expression] = STATE(9426),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3740),
    [sym_line_comment] = STATE(3740),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(9153),
    [sym__type_order_operator] = ACTIONS(9153),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3741] = {
    [sym__expression] = STATE(8885),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3741),
    [sym_line_comment] = STATE(3741),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(9155),
    [sym__type_order_operator] = ACTIONS(9155),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3742] = {
    [sym__expression] = STATE(9429),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3742),
    [sym_line_comment] = STATE(3742),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(9153),
    [sym__type_order_operator] = ACTIONS(9153),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3743] = {
    [sym__expression] = STATE(9430),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3743),
    [sym_line_comment] = STATE(3743),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(9153),
    [sym__type_order_operator] = ACTIONS(9153),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3744] = {
    [sym__expression] = STATE(9431),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3744),
    [sym_line_comment] = STATE(3744),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(9153),
    [sym__type_order_operator] = ACTIONS(9153),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3745] = {
    [sym__expression] = STATE(9432),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3745),
    [sym_line_comment] = STATE(3745),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(9153),
    [sym__type_order_operator] = ACTIONS(9153),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3746] = {
    [sym__expression] = STATE(9433),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3746),
    [sym_line_comment] = STATE(3746),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(9153),
    [sym__type_order_operator] = ACTIONS(9153),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3747] = {
    [sym__expression] = STATE(9434),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3747),
    [sym_line_comment] = STATE(3747),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(9153),
    [sym__type_order_operator] = ACTIONS(9153),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3748] = {
    [sym__expression] = STATE(9576),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3748),
    [sym_line_comment] = STATE(3748),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(9153),
    [sym__type_order_operator] = ACTIONS(9153),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3749] = {
    [sym__expression] = STATE(9436),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3749),
    [sym_line_comment] = STATE(3749),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(9153),
    [sym__type_order_operator] = ACTIONS(9153),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3750] = {
    [sym__expression] = STATE(9439),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3750),
    [sym_line_comment] = STATE(3750),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(9153),
    [sym__type_order_operator] = ACTIONS(9153),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3751] = {
    [sym__expression] = STATE(9445),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3751),
    [sym_line_comment] = STATE(3751),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(9153),
    [sym__type_order_operator] = ACTIONS(9153),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3752] = {
    [sym__expression] = STATE(9450),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3752),
    [sym_line_comment] = STATE(3752),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(9153),
    [sym__type_order_operator] = ACTIONS(9153),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3753] = {
    [sym__expression] = STATE(9002),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3753),
    [sym_line_comment] = STATE(3753),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(9153),
    [sym__type_order_operator] = ACTIONS(9153),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3754] = {
    [sym__expression] = STATE(8301),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3754),
    [sym_line_comment] = STATE(3754),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3755] = {
    [sym__expression] = STATE(13468),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3755),
    [sym_line_comment] = STATE(3755),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3756] = {
    [sym__expression] = STATE(9462),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3756),
    [sym_line_comment] = STATE(3756),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(9157),
    [sym__type_order_operator] = ACTIONS(9157),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3757] = {
    [sym__expression] = STATE(8912),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3757),
    [sym_line_comment] = STATE(3757),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(9155),
    [sym__type_order_operator] = ACTIONS(9155),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3758] = {
    [sym__expression] = STATE(9486),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3758),
    [sym_line_comment] = STATE(3758),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(9157),
    [sym__type_order_operator] = ACTIONS(9157),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3759] = {
    [sym__expression] = STATE(8913),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3759),
    [sym_line_comment] = STATE(3759),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(9155),
    [sym__type_order_operator] = ACTIONS(9155),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3760] = {
    [sym__expression] = STATE(8914),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3760),
    [sym_line_comment] = STATE(3760),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(9155),
    [sym__type_order_operator] = ACTIONS(9155),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3761] = {
    [sym__expression] = STATE(9266),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3761),
    [sym_line_comment] = STATE(3761),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(9155),
    [sym__type_order_operator] = ACTIONS(9155),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3762] = {
    [sym__expression] = STATE(8915),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3762),
    [sym_line_comment] = STATE(3762),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(9155),
    [sym__type_order_operator] = ACTIONS(9155),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3763] = {
    [sym__expression] = STATE(8916),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3763),
    [sym_line_comment] = STATE(3763),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(9155),
    [sym__type_order_operator] = ACTIONS(9155),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3764] = {
    [sym__expression] = STATE(8917),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3764),
    [sym_line_comment] = STATE(3764),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(9155),
    [sym__type_order_operator] = ACTIONS(9155),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3765] = {
    [sym__expression] = STATE(8918),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3765),
    [sym_line_comment] = STATE(3765),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(9155),
    [sym__type_order_operator] = ACTIONS(9155),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3766] = {
    [sym__expression] = STATE(8919),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3766),
    [sym_line_comment] = STATE(3766),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(9155),
    [sym__type_order_operator] = ACTIONS(9155),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3767] = {
    [sym__expression] = STATE(8920),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3767),
    [sym_line_comment] = STATE(3767),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(9155),
    [sym__type_order_operator] = ACTIONS(9155),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3768] = {
    [sym__expression] = STATE(8921),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3768),
    [sym_line_comment] = STATE(3768),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(9155),
    [sym__type_order_operator] = ACTIONS(9155),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3769] = {
    [sym__expression] = STATE(8922),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3769),
    [sym_line_comment] = STATE(3769),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(9155),
    [sym__type_order_operator] = ACTIONS(9155),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3770] = {
    [sym__expression] = STATE(7738),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3770),
    [sym_line_comment] = STATE(3770),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(9155),
    [sym__type_order_operator] = ACTIONS(9155),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3771] = {
    [sym__expression] = STATE(8923),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3771),
    [sym_line_comment] = STATE(3771),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3772] = {
    [sym__expression] = STATE(13469),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3772),
    [sym_line_comment] = STATE(3772),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3773] = {
    [sym__expression] = STATE(13473),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3773),
    [sym_line_comment] = STATE(3773),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3774] = {
    [sym__expression] = STATE(13479),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3774),
    [sym_line_comment] = STATE(3774),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3775] = {
    [sym__expression] = STATE(13609),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3775),
    [sym_line_comment] = STATE(3775),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9159),
    [sym__type_order_operator] = ACTIONS(9159),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3776] = {
    [sym__expression] = STATE(9537),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3776),
    [sym_line_comment] = STATE(3776),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(9157),
    [sym__type_order_operator] = ACTIONS(9157),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3777] = {
    [sym__expression] = STATE(13504),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3777),
    [sym_line_comment] = STATE(3777),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9159),
    [sym__type_order_operator] = ACTIONS(9159),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3778] = {
    [sym__expression] = STATE(9539),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3778),
    [sym_line_comment] = STATE(3778),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(9157),
    [sym__type_order_operator] = ACTIONS(9157),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3779] = {
    [sym__expression] = STATE(9541),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3779),
    [sym_line_comment] = STATE(3779),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(9157),
    [sym__type_order_operator] = ACTIONS(9157),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3780] = {
    [sym__expression] = STATE(9542),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3780),
    [sym_line_comment] = STATE(3780),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(9157),
    [sym__type_order_operator] = ACTIONS(9157),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3781] = {
    [sym__expression] = STATE(9543),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3781),
    [sym_line_comment] = STATE(3781),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(9157),
    [sym__type_order_operator] = ACTIONS(9157),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3782] = {
    [sym__expression] = STATE(9544),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3782),
    [sym_line_comment] = STATE(3782),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(9157),
    [sym__type_order_operator] = ACTIONS(9157),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3783] = {
    [sym__expression] = STATE(9545),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3783),
    [sym_line_comment] = STATE(3783),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(9157),
    [sym__type_order_operator] = ACTIONS(9157),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3784] = {
    [sym__expression] = STATE(9546),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3784),
    [sym_line_comment] = STATE(3784),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(9157),
    [sym__type_order_operator] = ACTIONS(9157),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3785] = {
    [sym__expression] = STATE(9547),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3785),
    [sym_line_comment] = STATE(3785),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(9157),
    [sym__type_order_operator] = ACTIONS(9157),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3786] = {
    [sym__expression] = STATE(9549),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3786),
    [sym_line_comment] = STATE(3786),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(9157),
    [sym__type_order_operator] = ACTIONS(9157),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3787] = {
    [sym__expression] = STATE(9550),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3787),
    [sym_line_comment] = STATE(3787),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(9157),
    [sym__type_order_operator] = ACTIONS(9157),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3788] = {
    [sym__expression] = STATE(9551),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3788),
    [sym_line_comment] = STATE(3788),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(9157),
    [sym__type_order_operator] = ACTIONS(9157),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3789] = {
    [sym__expression] = STATE(8846),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3789),
    [sym_line_comment] = STATE(3789),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(9157),
    [sym__type_order_operator] = ACTIONS(9157),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3790] = {
    [sym__expression] = STATE(13095),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3790),
    [sym_line_comment] = STATE(3790),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3791] = {
    [sym__expression] = STATE(12643),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3791),
    [sym_line_comment] = STATE(3791),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3792] = {
    [sym__expression] = STATE(12644),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3792),
    [sym_line_comment] = STATE(3792),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3793] = {
    [sym__expression] = STATE(8511),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3793),
    [sym_line_comment] = STATE(3793),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3794] = {
    [sym__expression] = STATE(12650),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3794),
    [sym_line_comment] = STATE(3794),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3795] = {
    [sym__expression] = STATE(8212),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3795),
    [sym_line_comment] = STATE(3795),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3796] = {
    [sym__expression] = STATE(8213),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3796),
    [sym_line_comment] = STATE(3796),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3797] = {
    [sym__expression] = STATE(14049),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3797),
    [sym_line_comment] = STATE(3797),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3798] = {
    [sym__expression] = STATE(13519),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3798),
    [sym_line_comment] = STATE(3798),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9159),
    [sym__type_order_operator] = ACTIONS(9159),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3799] = {
    [sym__expression] = STATE(14215),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3799),
    [sym_line_comment] = STATE(3799),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3800] = {
    [sym__expression] = STATE(13520),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3800),
    [sym_line_comment] = STATE(3800),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9159),
    [sym__type_order_operator] = ACTIONS(9159),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3801] = {
    [sym__expression] = STATE(13522),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3801),
    [sym_line_comment] = STATE(3801),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9159),
    [sym__type_order_operator] = ACTIONS(9159),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3802] = {
    [sym__expression] = STATE(13523),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3802),
    [sym_line_comment] = STATE(3802),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9159),
    [sym__type_order_operator] = ACTIONS(9159),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3803] = {
    [sym__expression] = STATE(13525),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3803),
    [sym_line_comment] = STATE(3803),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9159),
    [sym__type_order_operator] = ACTIONS(9159),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3804] = {
    [sym__expression] = STATE(13527),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3804),
    [sym_line_comment] = STATE(3804),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9159),
    [sym__type_order_operator] = ACTIONS(9159),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3805] = {
    [sym__expression] = STATE(13528),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3805),
    [sym_line_comment] = STATE(3805),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9159),
    [sym__type_order_operator] = ACTIONS(9159),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3806] = {
    [sym__expression] = STATE(13530),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3806),
    [sym_line_comment] = STATE(3806),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9159),
    [sym__type_order_operator] = ACTIONS(9159),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3807] = {
    [sym__expression] = STATE(13531),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3807),
    [sym_line_comment] = STATE(3807),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9159),
    [sym__type_order_operator] = ACTIONS(9159),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3808] = {
    [sym__expression] = STATE(13532),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3808),
    [sym_line_comment] = STATE(3808),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9159),
    [sym__type_order_operator] = ACTIONS(9159),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3809] = {
    [sym__expression] = STATE(13533),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3809),
    [sym_line_comment] = STATE(3809),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9159),
    [sym__type_order_operator] = ACTIONS(9159),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3810] = {
    [sym__expression] = STATE(13535),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3810),
    [sym_line_comment] = STATE(3810),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9159),
    [sym__type_order_operator] = ACTIONS(9159),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3811] = {
    [sym__expression] = STATE(13275),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3811),
    [sym_line_comment] = STATE(3811),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9159),
    [sym__type_order_operator] = ACTIONS(9159),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3812] = {
    [sym__expression] = STATE(14249),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3812),
    [sym_line_comment] = STATE(3812),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3813] = {
    [sym__expression] = STATE(8514),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3813),
    [sym_line_comment] = STATE(3813),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3814] = {
    [sym__expression] = STATE(8515),
    [sym_module_definition] = STATE(8716),
    [sym_abstract_definition] = STATE(8716),
    [sym_primitive_definition] = STATE(8716),
    [sym_struct_definition] = STATE(8716),
    [sym_function_definition] = STATE(8716),
    [sym_macro_definition] = STATE(8716),
    [sym_compound_statement] = STATE(8716),
    [sym_quote_statement] = STATE(8716),
    [sym_let_statement] = STATE(8716),
    [sym_if_statement] = STATE(8716),
    [sym_try_statement] = STATE(8716),
    [sym_for_statement] = STATE(8716),
    [sym_while_statement] = STATE(8716),
    [sym_return_statement] = STATE(8716),
    [sym_const_statement] = STATE(8716),
    [sym_global_statement] = STATE(8716),
    [sym_local_statement] = STATE(8716),
    [sym_export_statement] = STATE(8716),
    [sym_public_statement] = STATE(8716),
    [sym_import_statement] = STATE(8716),
    [sym_using_statement] = STATE(8716),
    [sym__primary_expression] = STATE(4865),
    [sym__array] = STATE(5068),
    [sym_comprehension_expression] = STATE(5086),
    [sym_matrix_expression] = STATE(5086),
    [sym_vector_expression] = STATE(5086),
    [sym_parenthesized_expression] = STATE(5068),
    [sym_tuple_expression] = STATE(5068),
    [sym_curly_expression] = STATE(5068),
    [sym_adjoint_expression] = STATE(4515),
    [sym_field_expression] = STATE(5068),
    [sym_index_expression] = STATE(5068),
    [sym_parametrized_type_expression] = STATE(5068),
    [sym_call_expression] = STATE(5068),
    [sym_broadcast_call_expression] = STATE(5068),
    [sym__closed_macrocall_expression] = STATE(5068),
    [sym_macrocall_expression] = STATE(8716),
    [sym_argument_list] = STATE(20055),
    [sym_interpolation_expression] = STATE(5068),
    [sym_quote_expression] = STATE(5068),
    [sym_binary_expression] = STATE(8716),
    [sym_unary_expression] = STATE(8716),
    [sym_range_expression] = STATE(8716),
    [sym_splat_expression] = STATE(8716),
    [sym_ternary_expression] = STATE(8716),
    [sym_typed_expression] = STATE(8462),
    [sym_unary_typed_expression] = STATE(8716),
    [sym_arrow_function_expression] = STATE(8716),
    [sym_juxtaposition_expression] = STATE(8716),
    [sym_compound_assignment_expression] = STATE(8716),
    [sym_where_expression] = STATE(8716),
    [sym_macro_identifier] = STATE(37),
    [sym_identifier] = STATE(4553),
    [sym_boolean_literal] = STATE(5068),
    [sym_integer_literal] = STATE(4526),
    [sym_float_literal] = STATE(4526),
    [sym__string] = STATE(5068),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(8208),
    [sym_block_comment] = STATE(3814),
    [sym_line_comment] = STATE(3814),
    [sym__word_identifier] = ACTIONS(611),
    [anon_sym_begin] = ACTIONS(613),
    [anon_sym_module] = ACTIONS(615),
    [anon_sym_baremodule] = ACTIONS(615),
    [anon_sym_abstract] = ACTIONS(617),
    [anon_sym_primitive] = ACTIONS(619),
    [anon_sym_mutable] = ACTIONS(621),
    [anon_sym_struct] = ACTIONS(623),
    [anon_sym_function] = ACTIONS(625),
    [anon_sym_macro] = ACTIONS(627),
    [anon_sym_quote] = ACTIONS(629),
    [anon_sym_let] = ACTIONS(631),
    [anon_sym_if] = ACTIONS(633),
    [anon_sym_try] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(637),
    [anon_sym_while] = ACTIONS(639),
    [sym_break_statement] = ACTIONS(641),
    [sym_continue_statement] = ACTIONS(641),
    [anon_sym_return] = ACTIONS(643),
    [anon_sym_const] = ACTIONS(645),
    [anon_sym_global] = ACTIONS(647),
    [anon_sym_local] = ACTIONS(649),
    [anon_sym_LPAREN] = ACTIONS(651),
    [anon_sym_export] = ACTIONS(653),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(657),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_LBRACK] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_DOLLAR] = ACTIONS(665),
    [anon_sym_COLON2] = ACTIONS(667),
    [anon_sym_COLON_COLON] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(673),
    [anon_sym_false] = ACTIONS(673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(685),
    [sym__arrow_operator] = ACTIONS(687),
    [sym__comparison_operator] = ACTIONS(687),
    [sym__pipe_right_operator] = ACTIONS(685),
    [sym__pipe_left_operator] = ACTIONS(685),
    [sym__ellipsis_operator] = ACTIONS(685),
    [sym__plus_operator] = ACTIONS(687),
    [sym__times_operator] = ACTIONS(687),
    [sym__rational_operator] = ACTIONS(685),
    [sym__bitshift_operator] = ACTIONS(685),
    [sym__power_operator] = ACTIONS(685),
    [sym__tilde_operator] = ACTIONS(689),
    [sym__type_order_operator] = ACTIONS(689),
    [sym__unary_operator] = ACTIONS(691),
    [sym__unary_plus_operator] = ACTIONS(691),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3815] = {
    [sym__expression] = STATE(8216),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3815),
    [sym_line_comment] = STATE(3815),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3816] = {
    [sym__expression] = STATE(8217),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3816),
    [sym_line_comment] = STATE(3816),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3817] = {
    [sym__expression] = STATE(8291),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3817),
    [sym_line_comment] = STATE(3817),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3818] = {
    [sym__expression] = STATE(8292),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3818),
    [sym_line_comment] = STATE(3818),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3819] = {
    [sym__expression] = STATE(8293),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3819),
    [sym_line_comment] = STATE(3819),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3820] = {
    [sym__expression] = STATE(8294),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3820),
    [sym_line_comment] = STATE(3820),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3821] = {
    [sym__expression] = STATE(9466),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3821),
    [sym_line_comment] = STATE(3821),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(9161),
    [sym__type_order_operator] = ACTIONS(9161),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3822] = {
    [sym__expression] = STATE(9574),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3822),
    [sym_line_comment] = STATE(3822),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(9161),
    [sym__type_order_operator] = ACTIONS(9161),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3823] = {
    [sym__expression] = STATE(9575),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3823),
    [sym_line_comment] = STATE(3823),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(9161),
    [sym__type_order_operator] = ACTIONS(9161),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3824] = {
    [sym__expression] = STATE(9291),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3824),
    [sym_line_comment] = STATE(3824),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(9161),
    [sym__type_order_operator] = ACTIONS(9161),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3825] = {
    [sym__expression] = STATE(9567),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3825),
    [sym_line_comment] = STATE(3825),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(9161),
    [sym__type_order_operator] = ACTIONS(9161),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3826] = {
    [sym__expression] = STATE(9435),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3826),
    [sym_line_comment] = STATE(3826),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(9161),
    [sym__type_order_operator] = ACTIONS(9161),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3827] = {
    [sym__expression] = STATE(9268),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3827),
    [sym_line_comment] = STATE(3827),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(9161),
    [sym__type_order_operator] = ACTIONS(9161),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3828] = {
    [sym__expression] = STATE(9269),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3828),
    [sym_line_comment] = STATE(3828),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(9161),
    [sym__type_order_operator] = ACTIONS(9161),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3829] = {
    [sym__expression] = STATE(9270),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3829),
    [sym_line_comment] = STATE(3829),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(9161),
    [sym__type_order_operator] = ACTIONS(9161),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3830] = {
    [sym__expression] = STATE(9274),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3830),
    [sym_line_comment] = STATE(3830),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(9161),
    [sym__type_order_operator] = ACTIONS(9161),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3831] = {
    [sym__expression] = STATE(9275),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3831),
    [sym_line_comment] = STATE(3831),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(9161),
    [sym__type_order_operator] = ACTIONS(9161),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3832] = {
    [sym__expression] = STATE(9276),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3832),
    [sym_line_comment] = STATE(3832),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(9161),
    [sym__type_order_operator] = ACTIONS(9161),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3833] = {
    [sym__expression] = STATE(9277),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3833),
    [sym_line_comment] = STATE(3833),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(9161),
    [sym__type_order_operator] = ACTIONS(9161),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3834] = {
    [sym__expression] = STATE(9278),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3834),
    [sym_line_comment] = STATE(3834),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(9161),
    [sym__type_order_operator] = ACTIONS(9161),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3835] = {
    [sym__expression] = STATE(8536),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3835),
    [sym_line_comment] = STATE(3835),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(9161),
    [sym__type_order_operator] = ACTIONS(9161),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3836] = {
    [sym__expression] = STATE(8970),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3836),
    [sym_line_comment] = STATE(3836),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3837] = {
    [sym__expression] = STATE(8295),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3837),
    [sym_line_comment] = STATE(3837),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3838] = {
    [sym__expression] = STATE(8183),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4610),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19038),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(7252),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4541),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(3838),
    [sym_line_comment] = STATE(3838),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(7401),
    [sym__type_order_operator] = ACTIONS(7401),
    [sym__unary_operator] = ACTIONS(413),
    [sym__unary_plus_operator] = ACTIONS(413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3839] = {
    [sym__expression] = STATE(13103),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10881),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19616),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12748),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(20),
    [sym_identifier] = STATE(10546),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3839),
    [sym_line_comment] = STATE(3839),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(1075),
    [anon_sym_const] = ACTIONS(1077),
    [anon_sym_global] = ACTIONS(1079),
    [anon_sym_local] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(9147),
    [sym__type_order_operator] = ACTIONS(9147),
    [sym__unary_operator] = ACTIONS(3582),
    [sym__unary_plus_operator] = ACTIONS(3582),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3840] = {
    [sym__expression] = STATE(9895),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(3840),
    [sym_line_comment] = STATE(3840),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3841] = {
    [sym__expression] = STATE(9896),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(3841),
    [sym_line_comment] = STATE(3841),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3842] = {
    [sym__expression] = STATE(9892),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(3842),
    [sym_line_comment] = STATE(3842),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3843] = {
    [sym__expression] = STATE(9899),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(3843),
    [sym_line_comment] = STATE(3843),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3844] = {
    [sym__expression] = STATE(9900),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(3844),
    [sym_line_comment] = STATE(3844),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3845] = {
    [sym__expression] = STATE(9907),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(3845),
    [sym_line_comment] = STATE(3845),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3846] = {
    [sym__expression] = STATE(9901),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(3846),
    [sym_line_comment] = STATE(3846),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3847] = {
    [sym__expression] = STATE(9890),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(3847),
    [sym_line_comment] = STATE(3847),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3848] = {
    [sym__expression] = STATE(9891),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(3848),
    [sym_line_comment] = STATE(3848),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3849] = {
    [sym__expression] = STATE(9825),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(3849),
    [sym_line_comment] = STATE(3849),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3850] = {
    [sym__expression] = STATE(9905),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(3850),
    [sym_line_comment] = STATE(3850),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3851] = {
    [sym__expression] = STATE(9893),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(3851),
    [sym_line_comment] = STATE(3851),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3852] = {
    [sym__expression] = STATE(9894),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(3852),
    [sym_line_comment] = STATE(3852),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3853] = {
    [sym__expression] = STATE(9897),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(3853),
    [sym_line_comment] = STATE(3853),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3854] = {
    [sym__expression] = STATE(9898),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(3854),
    [sym_line_comment] = STATE(3854),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3855] = {
    [sym__expression] = STATE(9792),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(3855),
    [sym_line_comment] = STATE(3855),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3856] = {
    [sym__expression] = STATE(13485),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3856),
    [sym_line_comment] = STATE(3856),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3857] = {
    [sym__expression] = STATE(13489),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3857),
    [sym_line_comment] = STATE(3857),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3858] = {
    [sym__expression] = STATE(13224),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3858),
    [sym_line_comment] = STATE(3858),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3859] = {
    [sym__expression] = STATE(12645),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3859),
    [sym_line_comment] = STATE(3859),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3860] = {
    [sym__expression] = STATE(12998),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3860),
    [sym_line_comment] = STATE(3860),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3861] = {
    [sym__expression] = STATE(13003),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3861),
    [sym_line_comment] = STATE(3861),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3862] = {
    [sym__expression] = STATE(13004),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3862),
    [sym_line_comment] = STATE(3862),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3863] = {
    [sym__expression] = STATE(13005),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3863),
    [sym_line_comment] = STATE(3863),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3864] = {
    [sym__expression] = STATE(12634),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3864),
    [sym_line_comment] = STATE(3864),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3865] = {
    [sym__expression] = STATE(13007),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3865),
    [sym_line_comment] = STATE(3865),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3866] = {
    [sym__expression] = STATE(13008),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3866),
    [sym_line_comment] = STATE(3866),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3867] = {
    [sym__expression] = STATE(13009),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3867),
    [sym_line_comment] = STATE(3867),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3868] = {
    [sym__expression] = STATE(13010),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3868),
    [sym_line_comment] = STATE(3868),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3869] = {
    [sym__expression] = STATE(13011),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3869),
    [sym_line_comment] = STATE(3869),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3870] = {
    [sym__expression] = STATE(13012),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3870),
    [sym_line_comment] = STATE(3870),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3871] = {
    [sym__expression] = STATE(13013),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3871),
    [sym_line_comment] = STATE(3871),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3872] = {
    [sym__expression] = STATE(13015),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3872),
    [sym_line_comment] = STATE(3872),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3873] = {
    [sym__expression] = STATE(12960),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10766),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5372),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19174),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12358),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(8),
    [sym_identifier] = STATE(10563),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9478),
    [sym_float_literal] = STATE(9478),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3873),
    [sym_line_comment] = STATE(3873),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1067),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2318),
    [anon_sym_global] = ACTIONS(2320),
    [anon_sym_local] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1087),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_using] = ACTIONS(1091),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4001),
    [anon_sym_COLON2] = ACTIONS(1099),
    [anon_sym_COLON_COLON] = ACTIONS(4003),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4007),
    [aux_sym_integer_literal_token2] = ACTIONS(4007),
    [aux_sym_integer_literal_token3] = ACTIONS(1109),
    [aux_sym_integer_literal_token4] = ACTIONS(1111),
    [aux_sym_float_literal_token1] = ACTIONS(4009),
    [aux_sym_float_literal_token3] = ACTIONS(4009),
    [aux_sym_float_literal_token4] = ACTIONS(4009),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4011),
    [sym__arrow_operator] = ACTIONS(2326),
    [sym__comparison_operator] = ACTIONS(2326),
    [sym__pipe_right_operator] = ACTIONS(4011),
    [sym__pipe_left_operator] = ACTIONS(4011),
    [sym__ellipsis_operator] = ACTIONS(4011),
    [sym__plus_operator] = ACTIONS(2326),
    [sym__times_operator] = ACTIONS(2326),
    [sym__rational_operator] = ACTIONS(4011),
    [sym__bitshift_operator] = ACTIONS(4011),
    [sym__power_operator] = ACTIONS(4011),
    [sym__tilde_operator] = ACTIONS(4013),
    [sym__type_order_operator] = ACTIONS(4013),
    [sym__unary_operator] = ACTIONS(1141),
    [sym__unary_plus_operator] = ACTIONS(1141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3874] = {
    [sym__expression] = STATE(13248),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10904),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19795),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12752),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(18),
    [sym_identifier] = STATE(10629),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3874),
    [sym_line_comment] = STATE(3874),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_const] = ACTIONS(137),
    [anon_sym_global] = ACTIONS(139),
    [anon_sym_local] = ACTIONS(141),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9149),
    [sym__type_order_operator] = ACTIONS(9149),
    [sym__unary_operator] = ACTIONS(3584),
    [sym__unary_plus_operator] = ACTIONS(3584),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3875] = {
    [sym__expression] = STATE(13493),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3875),
    [sym_line_comment] = STATE(3875),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3876] = {
    [sym__expression] = STATE(13494),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3876),
    [sym_line_comment] = STATE(3876),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3877] = {
    [sym__expression] = STATE(8510),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3877),
    [sym_line_comment] = STATE(3877),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3878] = {
    [sym__expression] = STATE(13284),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3878),
    [sym_line_comment] = STATE(3878),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3879] = {
    [sym__expression] = STATE(12689),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3879),
    [sym_line_comment] = STATE(3879),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3880] = {
    [sym__expression] = STATE(13317),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3880),
    [sym_line_comment] = STATE(3880),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3881] = {
    [sym__expression] = STATE(12690),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3881),
    [sym_line_comment] = STATE(3881),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3882] = {
    [sym__expression] = STATE(12691),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3882),
    [sym_line_comment] = STATE(3882),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3883] = {
    [sym__expression] = STATE(12695),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3883),
    [sym_line_comment] = STATE(3883),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3884] = {
    [sym__expression] = STATE(12696),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3884),
    [sym_line_comment] = STATE(3884),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3885] = {
    [sym__expression] = STATE(12697),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3885),
    [sym_line_comment] = STATE(3885),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3886] = {
    [sym__expression] = STATE(12698),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3886),
    [sym_line_comment] = STATE(3886),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3887] = {
    [sym__expression] = STATE(12699),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3887),
    [sym_line_comment] = STATE(3887),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3888] = {
    [sym__expression] = STATE(12700),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3888),
    [sym_line_comment] = STATE(3888),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3889] = {
    [sym__expression] = STATE(12703),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3889),
    [sym_line_comment] = STATE(3889),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3890] = {
    [sym__expression] = STATE(12705),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3890),
    [sym_line_comment] = STATE(3890),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3891] = {
    [sym__expression] = STATE(12706),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3891),
    [sym_line_comment] = STATE(3891),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3892] = {
    [sym__expression] = STATE(12707),
    [sym_module_definition] = STATE(12716),
    [sym_abstract_definition] = STATE(12716),
    [sym_primitive_definition] = STATE(12716),
    [sym_struct_definition] = STATE(12716),
    [sym_function_definition] = STATE(12716),
    [sym_macro_definition] = STATE(12716),
    [sym_compound_statement] = STATE(12716),
    [sym_quote_statement] = STATE(12716),
    [sym_let_statement] = STATE(12716),
    [sym_if_statement] = STATE(12716),
    [sym_try_statement] = STATE(12716),
    [sym_for_statement] = STATE(12716),
    [sym_while_statement] = STATE(12716),
    [sym_return_statement] = STATE(12716),
    [sym_const_statement] = STATE(12716),
    [sym_global_statement] = STATE(12716),
    [sym_local_statement] = STATE(12716),
    [sym_export_statement] = STATE(12716),
    [sym_public_statement] = STATE(12716),
    [sym_import_statement] = STATE(12716),
    [sym_using_statement] = STATE(12716),
    [sym__primary_expression] = STATE(10765),
    [sym__array] = STATE(10859),
    [sym_comprehension_expression] = STATE(10906),
    [sym_matrix_expression] = STATE(10906),
    [sym_vector_expression] = STATE(10906),
    [sym_parenthesized_expression] = STATE(10859),
    [sym_tuple_expression] = STATE(10859),
    [sym_curly_expression] = STATE(10859),
    [sym_adjoint_expression] = STATE(5410),
    [sym_field_expression] = STATE(10859),
    [sym_index_expression] = STATE(10859),
    [sym_parametrized_type_expression] = STATE(10859),
    [sym_call_expression] = STATE(10859),
    [sym_broadcast_call_expression] = STATE(10859),
    [sym__closed_macrocall_expression] = STATE(10859),
    [sym_macrocall_expression] = STATE(12716),
    [sym_argument_list] = STATE(19357),
    [sym_interpolation_expression] = STATE(10859),
    [sym_quote_expression] = STATE(10859),
    [sym_binary_expression] = STATE(12716),
    [sym_unary_expression] = STATE(12716),
    [sym_range_expression] = STATE(12716),
    [sym_splat_expression] = STATE(12716),
    [sym_ternary_expression] = STATE(12716),
    [sym_typed_expression] = STATE(12548),
    [sym_unary_typed_expression] = STATE(12716),
    [sym_arrow_function_expression] = STATE(12716),
    [sym_juxtaposition_expression] = STATE(12716),
    [sym_compound_assignment_expression] = STATE(12716),
    [sym_where_expression] = STATE(12716),
    [sym_macro_identifier] = STATE(5),
    [sym_identifier] = STATE(10556),
    [sym_boolean_literal] = STATE(10859),
    [sym_integer_literal] = STATE(9349),
    [sym_float_literal] = STATE(9349),
    [sym__string] = STATE(10859),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(12373),
    [sym_block_comment] = STATE(3892),
    [sym_line_comment] = STATE(3892),
    [sym__word_identifier] = ACTIONS(99),
    [anon_sym_begin] = ACTIONS(103),
    [anon_sym_module] = ACTIONS(105),
    [anon_sym_baremodule] = ACTIONS(105),
    [anon_sym_abstract] = ACTIONS(109),
    [anon_sym_primitive] = ACTIONS(111),
    [anon_sym_mutable] = ACTIONS(113),
    [anon_sym_struct] = ACTIONS(115),
    [anon_sym_function] = ACTIONS(117),
    [anon_sym_macro] = ACTIONS(119),
    [anon_sym_quote] = ACTIONS(121),
    [anon_sym_let] = ACTIONS(123),
    [anon_sym_if] = ACTIONS(125),
    [anon_sym_try] = ACTIONS(127),
    [anon_sym_for] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(131),
    [sym_break_statement] = ACTIONS(133),
    [sym_continue_statement] = ACTIONS(133),
    [anon_sym_return] = ACTIONS(2336),
    [anon_sym_const] = ACTIONS(2338),
    [anon_sym_global] = ACTIONS(2340),
    [anon_sym_local] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(4219),
    [anon_sym_export] = ACTIONS(145),
    [anon_sym_public] = ACTIONS(147),
    [anon_sym_import] = ACTIONS(149),
    [anon_sym_using] = ACTIONS(151),
    [anon_sym_LBRACK] = ACTIONS(4221),
    [anon_sym_LBRACE] = ACTIONS(4223),
    [anon_sym_DOLLAR] = ACTIONS(4225),
    [anon_sym_COLON2] = ACTIONS(161),
    [anon_sym_COLON_COLON] = ACTIONS(4227),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(169),
    [anon_sym_false] = ACTIONS(169),
    [aux_sym_integer_literal_token1] = ACTIONS(4231),
    [aux_sym_integer_literal_token2] = ACTIONS(4231),
    [aux_sym_integer_literal_token3] = ACTIONS(171),
    [aux_sym_integer_literal_token4] = ACTIONS(173),
    [aux_sym_float_literal_token1] = ACTIONS(4233),
    [aux_sym_float_literal_token3] = ACTIONS(4233),
    [aux_sym_float_literal_token4] = ACTIONS(4233),
    [sym_character_literal] = ACTIONS(4235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4237),
    [sym__type_order_operator] = ACTIONS(4237),
    [sym__unary_operator] = ACTIONS(183),
    [sym__unary_plus_operator] = ACTIONS(183),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3893] = {
    [sym__expression] = STATE(13441),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11042),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18801),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13055),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(47),
    [sym_identifier] = STATE(10735),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3893),
    [sym_line_comment] = STATE(3893),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3600),
    [anon_sym_const] = ACTIONS(3602),
    [anon_sym_global] = ACTIONS(3604),
    [anon_sym_local] = ACTIONS(3606),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9151),
    [sym__type_order_operator] = ACTIONS(9151),
    [sym__unary_operator] = ACTIONS(3873),
    [sym__unary_plus_operator] = ACTIONS(3873),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3894] = {
    [sym__expression] = STATE(13495),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3894),
    [sym_line_comment] = STATE(3894),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3895] = {
    [sym__expression] = STATE(13623),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3895),
    [sym_line_comment] = STATE(3895),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3896] = {
    [sym__expression] = STATE(8790),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3896),
    [sym_line_comment] = STATE(3896),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3897] = {
    [sym__expression] = STATE(13118),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3897),
    [sym_line_comment] = STATE(3897),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3898] = {
    [sym__expression] = STATE(9135),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3898),
    [sym_line_comment] = STATE(3898),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3899] = {
    [sym__expression] = STATE(13124),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3899),
    [sym_line_comment] = STATE(3899),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3900] = {
    [sym__expression] = STATE(13125),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3900),
    [sym_line_comment] = STATE(3900),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3901] = {
    [sym__expression] = STATE(14093),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3901),
    [sym_line_comment] = STATE(3901),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3902] = {
    [sym__expression] = STATE(14029),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3902),
    [sym_line_comment] = STATE(3902),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3903] = {
    [sym__expression] = STATE(14350),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3903),
    [sym_line_comment] = STATE(3903),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3904] = {
    [sym__expression] = STATE(13126),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3904),
    [sym_line_comment] = STATE(3904),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3905] = {
    [sym__expression] = STATE(13127),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3905),
    [sym_line_comment] = STATE(3905),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3906] = {
    [sym__expression] = STATE(13128),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3906),
    [sym_line_comment] = STATE(3906),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3907] = {
    [sym__expression] = STATE(13130),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3907),
    [sym_line_comment] = STATE(3907),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3908] = {
    [sym__expression] = STATE(13132),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3908),
    [sym_line_comment] = STATE(3908),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3909] = {
    [sym__expression] = STATE(13133),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3909),
    [sym_line_comment] = STATE(3909),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3910] = {
    [sym__expression] = STATE(13812),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3910),
    [sym_line_comment] = STATE(3910),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3911] = {
    [sym__expression] = STATE(13673),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3911),
    [sym_line_comment] = STATE(3911),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3912] = {
    [sym__expression] = STATE(13686),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3912),
    [sym_line_comment] = STATE(3912),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3913] = {
    [sym__expression] = STATE(13734),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3913),
    [sym_line_comment] = STATE(3913),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3914] = {
    [sym__expression] = STATE(13793),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3914),
    [sym_line_comment] = STATE(3914),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3915] = {
    [sym__expression] = STATE(13851),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3915),
    [sym_line_comment] = STATE(3915),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3916] = {
    [sym__expression] = STATE(13769),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3916),
    [sym_line_comment] = STATE(3916),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3917] = {
    [sym__expression] = STATE(13735),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3917),
    [sym_line_comment] = STATE(3917),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3918] = {
    [sym__expression] = STATE(13780),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3918),
    [sym_line_comment] = STATE(3918),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3919] = {
    [sym__expression] = STATE(13798),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3919),
    [sym_line_comment] = STATE(3919),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3920] = {
    [sym__expression] = STATE(13813),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3920),
    [sym_line_comment] = STATE(3920),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3921] = {
    [sym__expression] = STATE(13678),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3921),
    [sym_line_comment] = STATE(3921),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3922] = {
    [sym__expression] = STATE(11979),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3922),
    [sym_line_comment] = STATE(3922),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3923] = {
    [sym__expression] = STATE(13136),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3923),
    [sym_line_comment] = STATE(3923),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3924] = {
    [sym__expression] = STATE(13137),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3924),
    [sym_line_comment] = STATE(3924),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3925] = {
    [sym__expression] = STATE(13138),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3925),
    [sym_line_comment] = STATE(3925),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3926] = {
    [sym__expression] = STATE(13265),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10862),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5631),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19741),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12709),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(14),
    [sym_identifier] = STATE(10710),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9588),
    [sym_float_literal] = STATE(9588),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3926),
    [sym_line_comment] = STATE(3926),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3474),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3476),
    [anon_sym_const] = ACTIONS(3478),
    [anon_sym_global] = ACTIONS(3480),
    [anon_sym_local] = ACTIONS(3482),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3484),
    [anon_sym_public] = ACTIONS(3486),
    [anon_sym_import] = ACTIONS(3488),
    [anon_sym_using] = ACTIONS(3490),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4373),
    [anon_sym_COLON2] = ACTIONS(3494),
    [anon_sym_COLON_COLON] = ACTIONS(4375),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4379),
    [aux_sym_integer_literal_token2] = ACTIONS(4379),
    [aux_sym_integer_literal_token3] = ACTIONS(3498),
    [aux_sym_integer_literal_token4] = ACTIONS(3500),
    [aux_sym_float_literal_token1] = ACTIONS(4381),
    [aux_sym_float_literal_token3] = ACTIONS(4381),
    [aux_sym_float_literal_token4] = ACTIONS(4381),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4383),
    [sym__type_order_operator] = ACTIONS(4383),
    [sym__unary_operator] = ACTIONS(3504),
    [sym__unary_plus_operator] = ACTIONS(3504),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3927] = {
    [sym__expression] = STATE(9452),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(5232),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(19733),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(8894),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(48),
    [sym_identifier] = STATE(4557),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3927),
    [sym_line_comment] = STATE(3927),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_global] = ACTIONS(929),
    [anon_sym_local] = ACTIONS(931),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(9153),
    [sym__type_order_operator] = ACTIONS(9153),
    [sym__unary_operator] = ACTIONS(3875),
    [sym__unary_plus_operator] = ACTIONS(3875),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3928] = {
    [sym__expression] = STATE(13497),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3928),
    [sym_line_comment] = STATE(3928),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3929] = {
    [sym__expression] = STATE(7989),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3929),
    [sym_line_comment] = STATE(3929),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3930] = {
    [sym__expression] = STATE(7990),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3930),
    [sym_line_comment] = STATE(3930),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3931] = {
    [sym__expression] = STATE(9228),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3931),
    [sym_line_comment] = STATE(3931),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3932] = {
    [sym__expression] = STATE(8083),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3932),
    [sym_line_comment] = STATE(3932),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3933] = {
    [sym__expression] = STATE(9229),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3933),
    [sym_line_comment] = STATE(3933),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3934] = {
    [sym__expression] = STATE(9230),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3934),
    [sym_line_comment] = STATE(3934),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3935] = {
    [sym__expression] = STATE(9231),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3935),
    [sym_line_comment] = STATE(3935),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3936] = {
    [sym__expression] = STATE(9232),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3936),
    [sym_line_comment] = STATE(3936),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3937] = {
    [sym__expression] = STATE(9233),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3937),
    [sym_line_comment] = STATE(3937),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3938] = {
    [sym__expression] = STATE(9234),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3938),
    [sym_line_comment] = STATE(3938),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3939] = {
    [sym__expression] = STATE(9235),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3939),
    [sym_line_comment] = STATE(3939),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3940] = {
    [sym__expression] = STATE(9236),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3940),
    [sym_line_comment] = STATE(3940),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3941] = {
    [sym__expression] = STATE(9237),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3941),
    [sym_line_comment] = STATE(3941),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3942] = {
    [sym__expression] = STATE(9238),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3942),
    [sym_line_comment] = STATE(3942),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3943] = {
    [sym__expression] = STATE(9239),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3943),
    [sym_line_comment] = STATE(3943),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3944] = {
    [sym__expression] = STATE(9002),
    [sym_module_definition] = STATE(8909),
    [sym_abstract_definition] = STATE(8909),
    [sym_primitive_definition] = STATE(8909),
    [sym_struct_definition] = STATE(8909),
    [sym_function_definition] = STATE(8909),
    [sym_macro_definition] = STATE(8909),
    [sym_compound_statement] = STATE(8909),
    [sym_quote_statement] = STATE(8909),
    [sym_let_statement] = STATE(8909),
    [sym_if_statement] = STATE(8909),
    [sym_try_statement] = STATE(8909),
    [sym_for_statement] = STATE(8909),
    [sym_while_statement] = STATE(8909),
    [sym_return_statement] = STATE(8909),
    [sym_const_statement] = STATE(8909),
    [sym_global_statement] = STATE(8909),
    [sym_local_statement] = STATE(8909),
    [sym_export_statement] = STATE(8909),
    [sym_public_statement] = STATE(8909),
    [sym_import_statement] = STATE(8909),
    [sym_using_statement] = STATE(8909),
    [sym__primary_expression] = STATE(4731),
    [sym__array] = STATE(5116),
    [sym_comprehension_expression] = STATE(5137),
    [sym_matrix_expression] = STATE(5137),
    [sym_vector_expression] = STATE(5137),
    [sym_parenthesized_expression] = STATE(5116),
    [sym_tuple_expression] = STATE(5116),
    [sym_curly_expression] = STATE(5116),
    [sym_adjoint_expression] = STATE(4517),
    [sym_field_expression] = STATE(5116),
    [sym_index_expression] = STATE(5116),
    [sym_parametrized_type_expression] = STATE(5116),
    [sym_call_expression] = STATE(5116),
    [sym_broadcast_call_expression] = STATE(5116),
    [sym__closed_macrocall_expression] = STATE(5116),
    [sym_macrocall_expression] = STATE(8909),
    [sym_argument_list] = STATE(20093),
    [sym_interpolation_expression] = STATE(5116),
    [sym_quote_expression] = STATE(5116),
    [sym_binary_expression] = STATE(8909),
    [sym_unary_expression] = STATE(8909),
    [sym_range_expression] = STATE(8909),
    [sym_splat_expression] = STATE(8909),
    [sym_ternary_expression] = STATE(8909),
    [sym_typed_expression] = STATE(7911),
    [sym_unary_typed_expression] = STATE(8909),
    [sym_arrow_function_expression] = STATE(8909),
    [sym_juxtaposition_expression] = STATE(8909),
    [sym_compound_assignment_expression] = STATE(8909),
    [sym_where_expression] = STATE(8909),
    [sym_macro_identifier] = STATE(29),
    [sym_identifier] = STATE(4554),
    [sym_boolean_literal] = STATE(5116),
    [sym_integer_literal] = STATE(4524),
    [sym_float_literal] = STATE(4524),
    [sym__string] = STATE(5116),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(8308),
    [sym_block_comment] = STATE(3944),
    [sym_line_comment] = STATE(3944),
    [sym__word_identifier] = ACTIONS(807),
    [anon_sym_begin] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(811),
    [anon_sym_baremodule] = ACTIONS(811),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_primitive] = ACTIONS(815),
    [anon_sym_mutable] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(819),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_macro] = ACTIONS(823),
    [anon_sym_quote] = ACTIONS(825),
    [anon_sym_let] = ACTIONS(827),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(831),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(835),
    [sym_break_statement] = ACTIONS(837),
    [sym_continue_statement] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(839),
    [anon_sym_const] = ACTIONS(841),
    [anon_sym_global] = ACTIONS(843),
    [anon_sym_local] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(7679),
    [anon_sym_export] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(851),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_using] = ACTIONS(855),
    [anon_sym_LBRACK] = ACTIONS(7681),
    [anon_sym_LBRACE] = ACTIONS(7683),
    [anon_sym_DOLLAR] = ACTIONS(7685),
    [anon_sym_COLON2] = ACTIONS(863),
    [anon_sym_COLON_COLON] = ACTIONS(7687),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(869),
    [anon_sym_false] = ACTIONS(869),
    [aux_sym_integer_literal_token1] = ACTIONS(7689),
    [aux_sym_integer_literal_token2] = ACTIONS(7689),
    [aux_sym_integer_literal_token3] = ACTIONS(871),
    [aux_sym_integer_literal_token4] = ACTIONS(873),
    [aux_sym_float_literal_token1] = ACTIONS(7691),
    [aux_sym_float_literal_token3] = ACTIONS(7691),
    [aux_sym_float_literal_token4] = ACTIONS(7691),
    [sym_character_literal] = ACTIONS(7693),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7695),
    [sym__arrow_operator] = ACTIONS(879),
    [sym__comparison_operator] = ACTIONS(879),
    [sym__pipe_right_operator] = ACTIONS(7695),
    [sym__pipe_left_operator] = ACTIONS(7695),
    [sym__ellipsis_operator] = ACTIONS(7695),
    [sym__plus_operator] = ACTIONS(879),
    [sym__times_operator] = ACTIONS(879),
    [sym__rational_operator] = ACTIONS(7695),
    [sym__bitshift_operator] = ACTIONS(7695),
    [sym__power_operator] = ACTIONS(7695),
    [sym__tilde_operator] = ACTIONS(7697),
    [sym__type_order_operator] = ACTIONS(7697),
    [sym__unary_operator] = ACTIONS(881),
    [sym__unary_plus_operator] = ACTIONS(881),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3945] = {
    [sym__expression] = STATE(9240),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4793),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19568),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(8300),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(21),
    [sym_identifier] = STATE(4542),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3945),
    [sym_line_comment] = STATE(3945),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(699),
    [anon_sym_const] = ACTIONS(701),
    [anon_sym_global] = ACTIONS(703),
    [anon_sym_local] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(9155),
    [sym__type_order_operator] = ACTIONS(9155),
    [sym__unary_operator] = ACTIONS(3514),
    [sym__unary_plus_operator] = ACTIONS(3514),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3946] = {
    [sym__expression] = STATE(9128),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3946),
    [sym_line_comment] = STATE(3946),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3947] = {
    [sym__expression] = STATE(9132),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3947),
    [sym_line_comment] = STATE(3947),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3948] = {
    [sym__expression] = STATE(8104),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3948),
    [sym_line_comment] = STATE(3948),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3949] = {
    [sym__expression] = STATE(8509),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3949),
    [sym_line_comment] = STATE(3949),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3950] = {
    [sym__expression] = STATE(8105),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3950),
    [sym_line_comment] = STATE(3950),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3951] = {
    [sym__expression] = STATE(8106),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3951),
    [sym_line_comment] = STATE(3951),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3952] = {
    [sym__expression] = STATE(8107),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3952),
    [sym_line_comment] = STATE(3952),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3953] = {
    [sym__expression] = STATE(8108),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3953),
    [sym_line_comment] = STATE(3953),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3954] = {
    [sym__expression] = STATE(8109),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3954),
    [sym_line_comment] = STATE(3954),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3955] = {
    [sym__expression] = STATE(8110),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3955),
    [sym_line_comment] = STATE(3955),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3956] = {
    [sym__expression] = STATE(8111),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3956),
    [sym_line_comment] = STATE(3956),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3957] = {
    [sym__expression] = STATE(8112),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3957),
    [sym_line_comment] = STATE(3957),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3958] = {
    [sym__expression] = STATE(8113),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3958),
    [sym_line_comment] = STATE(3958),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3959] = {
    [sym__expression] = STATE(8114),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3959),
    [sym_line_comment] = STATE(3959),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3960] = {
    [sym__expression] = STATE(8115),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3960),
    [sym_line_comment] = STATE(3960),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3961] = {
    [sym__expression] = STATE(7738),
    [sym_module_definition] = STATE(8430),
    [sym_abstract_definition] = STATE(8430),
    [sym_primitive_definition] = STATE(8430),
    [sym_struct_definition] = STATE(8430),
    [sym_function_definition] = STATE(8430),
    [sym_macro_definition] = STATE(8430),
    [sym_compound_statement] = STATE(8430),
    [sym_quote_statement] = STATE(8430),
    [sym_let_statement] = STATE(8430),
    [sym_if_statement] = STATE(8430),
    [sym_try_statement] = STATE(8430),
    [sym_for_statement] = STATE(8430),
    [sym_while_statement] = STATE(8430),
    [sym_return_statement] = STATE(8430),
    [sym_const_statement] = STATE(8430),
    [sym_global_statement] = STATE(8430),
    [sym_local_statement] = STATE(8430),
    [sym_export_statement] = STATE(8430),
    [sym_public_statement] = STATE(8430),
    [sym_import_statement] = STATE(8430),
    [sym_using_statement] = STATE(8430),
    [sym__primary_expression] = STATE(4582),
    [sym__array] = STATE(4921),
    [sym_comprehension_expression] = STATE(4928),
    [sym_matrix_expression] = STATE(4928),
    [sym_vector_expression] = STATE(4928),
    [sym_parenthesized_expression] = STATE(4921),
    [sym_tuple_expression] = STATE(4921),
    [sym_curly_expression] = STATE(4921),
    [sym_adjoint_expression] = STATE(4511),
    [sym_field_expression] = STATE(4921),
    [sym_index_expression] = STATE(4921),
    [sym_parametrized_type_expression] = STATE(4921),
    [sym_call_expression] = STATE(4921),
    [sym_broadcast_call_expression] = STATE(4921),
    [sym__closed_macrocall_expression] = STATE(4921),
    [sym_macrocall_expression] = STATE(8430),
    [sym_argument_list] = STATE(19769),
    [sym_interpolation_expression] = STATE(4921),
    [sym_quote_expression] = STATE(4921),
    [sym_binary_expression] = STATE(8430),
    [sym_unary_expression] = STATE(8430),
    [sym_range_expression] = STATE(8430),
    [sym_splat_expression] = STATE(8430),
    [sym_ternary_expression] = STATE(8430),
    [sym_typed_expression] = STATE(7598),
    [sym_unary_typed_expression] = STATE(8430),
    [sym_arrow_function_expression] = STATE(8430),
    [sym_juxtaposition_expression] = STATE(8430),
    [sym_compound_assignment_expression] = STATE(8430),
    [sym_where_expression] = STATE(8430),
    [sym_macro_identifier] = STATE(10),
    [sym_identifier] = STATE(4543),
    [sym_boolean_literal] = STATE(4921),
    [sym_integer_literal] = STATE(4521),
    [sym_float_literal] = STATE(4521),
    [sym__string] = STATE(4921),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(7655),
    [sym_block_comment] = STATE(3961),
    [sym_line_comment] = STATE(3961),
    [sym__word_identifier] = ACTIONS(245),
    [anon_sym_begin] = ACTIONS(249),
    [anon_sym_module] = ACTIONS(251),
    [anon_sym_baremodule] = ACTIONS(251),
    [anon_sym_abstract] = ACTIONS(253),
    [anon_sym_primitive] = ACTIONS(255),
    [anon_sym_mutable] = ACTIONS(257),
    [anon_sym_struct] = ACTIONS(259),
    [anon_sym_function] = ACTIONS(261),
    [anon_sym_macro] = ACTIONS(263),
    [anon_sym_quote] = ACTIONS(265),
    [anon_sym_let] = ACTIONS(267),
    [anon_sym_if] = ACTIONS(269),
    [anon_sym_try] = ACTIONS(271),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(275),
    [sym_break_statement] = ACTIONS(277),
    [sym_continue_statement] = ACTIONS(277),
    [anon_sym_return] = ACTIONS(279),
    [anon_sym_const] = ACTIONS(281),
    [anon_sym_global] = ACTIONS(283),
    [anon_sym_local] = ACTIONS(285),
    [anon_sym_LPAREN] = ACTIONS(7271),
    [anon_sym_export] = ACTIONS(289),
    [anon_sym_public] = ACTIONS(291),
    [anon_sym_import] = ACTIONS(293),
    [anon_sym_using] = ACTIONS(295),
    [anon_sym_LBRACK] = ACTIONS(7273),
    [anon_sym_LBRACE] = ACTIONS(7275),
    [anon_sym_DOLLAR] = ACTIONS(7277),
    [anon_sym_COLON2] = ACTIONS(303),
    [anon_sym_COLON_COLON] = ACTIONS(7279),
    [anon_sym_AT] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(307),
    [anon_sym_false] = ACTIONS(307),
    [aux_sym_integer_literal_token1] = ACTIONS(7281),
    [aux_sym_integer_literal_token2] = ACTIONS(7281),
    [aux_sym_integer_literal_token3] = ACTIONS(309),
    [aux_sym_integer_literal_token4] = ACTIONS(311),
    [aux_sym_float_literal_token1] = ACTIONS(7283),
    [aux_sym_float_literal_token3] = ACTIONS(7283),
    [aux_sym_float_literal_token4] = ACTIONS(7283),
    [sym_character_literal] = ACTIONS(7285),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7287),
    [sym__arrow_operator] = ACTIONS(317),
    [sym__comparison_operator] = ACTIONS(317),
    [sym__pipe_right_operator] = ACTIONS(7287),
    [sym__pipe_left_operator] = ACTIONS(7287),
    [sym__ellipsis_operator] = ACTIONS(7287),
    [sym__plus_operator] = ACTIONS(317),
    [sym__times_operator] = ACTIONS(317),
    [sym__rational_operator] = ACTIONS(7287),
    [sym__bitshift_operator] = ACTIONS(7287),
    [sym__power_operator] = ACTIONS(7287),
    [sym__tilde_operator] = ACTIONS(7289),
    [sym__type_order_operator] = ACTIONS(7289),
    [sym__unary_operator] = ACTIONS(319),
    [sym__unary_plus_operator] = ACTIONS(319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3962] = {
    [sym__expression] = STATE(9368),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(5234),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19876),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8899),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(52),
    [sym_identifier] = STATE(4566),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3962),
    [sym_line_comment] = STATE(3962),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(1015),
    [anon_sym_const] = ACTIONS(1017),
    [anon_sym_global] = ACTIONS(1019),
    [anon_sym_local] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(9157),
    [sym__type_order_operator] = ACTIONS(9157),
    [sym__unary_operator] = ACTIONS(3682),
    [sym__unary_plus_operator] = ACTIONS(3682),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3963] = {
    [sym__expression] = STATE(13501),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3963),
    [sym_line_comment] = STATE(3963),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3964] = {
    [sym__expression] = STATE(13507),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3964),
    [sym_line_comment] = STATE(3964),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3965] = {
    [sym__expression] = STATE(13540),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11015),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20201),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13347),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(43),
    [sym_identifier] = STATE(10829),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3965),
    [sym_line_comment] = STATE(3965),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3516),
    [anon_sym_const] = ACTIONS(3518),
    [anon_sym_global] = ACTIONS(3520),
    [anon_sym_local] = ACTIONS(3522),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4437),
    [sym__type_order_operator] = ACTIONS(4437),
    [sym__unary_operator] = ACTIONS(237),
    [sym__unary_plus_operator] = ACTIONS(237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3966] = {
    [sym__expression] = STATE(13814),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11156),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6040),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18897),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13636),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(70),
    [sym_identifier] = STATE(10750),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9808),
    [sym_float_literal] = STATE(9808),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3966),
    [sym_line_comment] = STATE(3966),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(195),
    [anon_sym_const] = ACTIONS(197),
    [anon_sym_global] = ACTIONS(199),
    [anon_sym_local] = ACTIONS(201),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(205),
    [anon_sym_public] = ACTIONS(207),
    [anon_sym_import] = ACTIONS(209),
    [anon_sym_using] = ACTIONS(211),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4427),
    [anon_sym_COLON2] = ACTIONS(221),
    [anon_sym_COLON_COLON] = ACTIONS(4429),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4433),
    [aux_sym_integer_literal_token2] = ACTIONS(4433),
    [aux_sym_integer_literal_token3] = ACTIONS(229),
    [aux_sym_integer_literal_token4] = ACTIONS(231),
    [aux_sym_float_literal_token1] = ACTIONS(4435),
    [aux_sym_float_literal_token3] = ACTIONS(4435),
    [aux_sym_float_literal_token4] = ACTIONS(4435),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9139),
    [sym__type_order_operator] = ACTIONS(9139),
    [sym__unary_operator] = ACTIONS(3903),
    [sym__unary_plus_operator] = ACTIONS(3903),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3967] = {
    [sym__expression] = STATE(13227),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3967),
    [sym_line_comment] = STATE(3967),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3968] = {
    [sym__expression] = STATE(13062),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3968),
    [sym_line_comment] = STATE(3968),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3969] = {
    [sym__expression] = STATE(8554),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3969),
    [sym_line_comment] = STATE(3969),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3970] = {
    [sym__expression] = STATE(13356),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3970),
    [sym_line_comment] = STATE(3970),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3971] = {
    [sym__expression] = STATE(8555),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3971),
    [sym_line_comment] = STATE(3971),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3972] = {
    [sym__expression] = STATE(8557),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3972),
    [sym_line_comment] = STATE(3972),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3973] = {
    [sym__expression] = STATE(8558),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3973),
    [sym_line_comment] = STATE(3973),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3974] = {
    [sym__expression] = STATE(8559),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3974),
    [sym_line_comment] = STATE(3974),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3975] = {
    [sym__expression] = STATE(8560),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3975),
    [sym_line_comment] = STATE(3975),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3976] = {
    [sym__expression] = STATE(8561),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3976),
    [sym_line_comment] = STATE(3976),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3977] = {
    [sym__expression] = STATE(8562),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3977),
    [sym_line_comment] = STATE(3977),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3978] = {
    [sym__expression] = STATE(8563),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3978),
    [sym_line_comment] = STATE(3978),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3979] = {
    [sym__expression] = STATE(8564),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3979),
    [sym_line_comment] = STATE(3979),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3980] = {
    [sym__expression] = STATE(8565),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3980),
    [sym_line_comment] = STATE(3980),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3981] = {
    [sym__expression] = STATE(8566),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3981),
    [sym_line_comment] = STATE(3981),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3982] = {
    [sym__expression] = STATE(8846),
    [sym_module_definition] = STATE(9242),
    [sym_abstract_definition] = STATE(9242),
    [sym_primitive_definition] = STATE(9242),
    [sym_struct_definition] = STATE(9242),
    [sym_function_definition] = STATE(9242),
    [sym_macro_definition] = STATE(9242),
    [sym_compound_statement] = STATE(9242),
    [sym_quote_statement] = STATE(9242),
    [sym_let_statement] = STATE(9242),
    [sym_if_statement] = STATE(9242),
    [sym_try_statement] = STATE(9242),
    [sym_for_statement] = STATE(9242),
    [sym_while_statement] = STATE(9242),
    [sym_return_statement] = STATE(9242),
    [sym_const_statement] = STATE(9242),
    [sym_global_statement] = STATE(9242),
    [sym_local_statement] = STATE(9242),
    [sym_export_statement] = STATE(9242),
    [sym_public_statement] = STATE(9242),
    [sym_import_statement] = STATE(9242),
    [sym_using_statement] = STATE(9242),
    [sym__primary_expression] = STATE(4753),
    [sym__array] = STATE(5201),
    [sym_comprehension_expression] = STATE(5244),
    [sym_matrix_expression] = STATE(5244),
    [sym_vector_expression] = STATE(5244),
    [sym_parenthesized_expression] = STATE(5201),
    [sym_tuple_expression] = STATE(5201),
    [sym_curly_expression] = STATE(5201),
    [sym_adjoint_expression] = STATE(4514),
    [sym_field_expression] = STATE(5201),
    [sym_index_expression] = STATE(5201),
    [sym_parametrized_type_expression] = STATE(5201),
    [sym_call_expression] = STATE(5201),
    [sym_broadcast_call_expression] = STATE(5201),
    [sym__closed_macrocall_expression] = STATE(5201),
    [sym_macrocall_expression] = STATE(9242),
    [sym_argument_list] = STATE(19457),
    [sym_interpolation_expression] = STATE(5201),
    [sym_quote_expression] = STATE(5201),
    [sym_binary_expression] = STATE(9242),
    [sym_unary_expression] = STATE(9242),
    [sym_range_expression] = STATE(9242),
    [sym_splat_expression] = STATE(9242),
    [sym_ternary_expression] = STATE(9242),
    [sym_typed_expression] = STATE(8014),
    [sym_unary_typed_expression] = STATE(9242),
    [sym_arrow_function_expression] = STATE(9242),
    [sym_juxtaposition_expression] = STATE(9242),
    [sym_compound_assignment_expression] = STATE(9242),
    [sym_where_expression] = STATE(9242),
    [sym_macro_identifier] = STATE(33),
    [sym_identifier] = STATE(4561),
    [sym_boolean_literal] = STATE(5201),
    [sym_integer_literal] = STATE(4527),
    [sym_float_literal] = STATE(4527),
    [sym__string] = STATE(5201),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(7811),
    [sym_block_comment] = STATE(3982),
    [sym_line_comment] = STATE(3982),
    [sym__word_identifier] = ACTIONS(535),
    [anon_sym_begin] = ACTIONS(537),
    [anon_sym_module] = ACTIONS(539),
    [anon_sym_baremodule] = ACTIONS(539),
    [anon_sym_abstract] = ACTIONS(541),
    [anon_sym_primitive] = ACTIONS(543),
    [anon_sym_mutable] = ACTIONS(545),
    [anon_sym_struct] = ACTIONS(547),
    [anon_sym_function] = ACTIONS(549),
    [anon_sym_macro] = ACTIONS(551),
    [anon_sym_quote] = ACTIONS(553),
    [anon_sym_let] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [sym_break_statement] = ACTIONS(565),
    [sym_continue_statement] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_const] = ACTIONS(569),
    [anon_sym_global] = ACTIONS(571),
    [anon_sym_local] = ACTIONS(573),
    [anon_sym_LPAREN] = ACTIONS(7155),
    [anon_sym_export] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(579),
    [anon_sym_import] = ACTIONS(581),
    [anon_sym_using] = ACTIONS(583),
    [anon_sym_LBRACK] = ACTIONS(7157),
    [anon_sym_LBRACE] = ACTIONS(7159),
    [anon_sym_DOLLAR] = ACTIONS(7161),
    [anon_sym_COLON2] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(7163),
    [anon_sym_AT] = ACTIONS(4377),
    [anon_sym_true] = ACTIONS(597),
    [anon_sym_false] = ACTIONS(597),
    [aux_sym_integer_literal_token1] = ACTIONS(7165),
    [aux_sym_integer_literal_token2] = ACTIONS(7165),
    [aux_sym_integer_literal_token3] = ACTIONS(599),
    [aux_sym_integer_literal_token4] = ACTIONS(601),
    [aux_sym_float_literal_token1] = ACTIONS(7167),
    [aux_sym_float_literal_token3] = ACTIONS(7167),
    [aux_sym_float_literal_token4] = ACTIONS(7167),
    [sym_character_literal] = ACTIONS(7169),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7171),
    [sym__arrow_operator] = ACTIONS(607),
    [sym__comparison_operator] = ACTIONS(607),
    [sym__pipe_right_operator] = ACTIONS(7171),
    [sym__pipe_left_operator] = ACTIONS(7171),
    [sym__ellipsis_operator] = ACTIONS(7171),
    [sym__plus_operator] = ACTIONS(607),
    [sym__times_operator] = ACTIONS(607),
    [sym__rational_operator] = ACTIONS(7171),
    [sym__bitshift_operator] = ACTIONS(7171),
    [sym__power_operator] = ACTIONS(7171),
    [sym__tilde_operator] = ACTIONS(7173),
    [sym__type_order_operator] = ACTIONS(7173),
    [sym__unary_operator] = ACTIONS(609),
    [sym__unary_plus_operator] = ACTIONS(609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3983] = {
    [sym__expression] = STATE(13661),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11123),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20261),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13077),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(50),
    [sym_identifier] = STATE(10656),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3983),
    [sym_line_comment] = STATE(3983),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3574),
    [anon_sym_const] = ACTIONS(3576),
    [anon_sym_global] = ACTIONS(3578),
    [anon_sym_local] = ACTIONS(3580),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9159),
    [sym__type_order_operator] = ACTIONS(9159),
    [sym__unary_operator] = ACTIONS(3730),
    [sym__unary_plus_operator] = ACTIONS(3730),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3984] = {
    [sym__expression] = STATE(13565),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3984),
    [sym_line_comment] = STATE(3984),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3985] = {
    [sym__expression] = STATE(9226),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(3985),
    [sym_line_comment] = STATE(3985),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3986] = {
    [sym__expression] = STATE(14474),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3986),
    [sym_line_comment] = STATE(3986),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3987] = {
    [sym__expression] = STATE(13065),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3987),
    [sym_line_comment] = STATE(3987),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3988] = {
    [sym__expression] = STATE(14563),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(3988),
    [sym_line_comment] = STATE(3988),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3989] = {
    [sym__expression] = STATE(13079),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3989),
    [sym_line_comment] = STATE(3989),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3990] = {
    [sym__expression] = STATE(13123),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3990),
    [sym_line_comment] = STATE(3990),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3991] = {
    [sym__expression] = STATE(13158),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3991),
    [sym_line_comment] = STATE(3991),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3992] = {
    [sym__expression] = STATE(13160),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3992),
    [sym_line_comment] = STATE(3992),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3993] = {
    [sym__expression] = STATE(13195),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3993),
    [sym_line_comment] = STATE(3993),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3994] = {
    [sym__expression] = STATE(13220),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3994),
    [sym_line_comment] = STATE(3994),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3995] = {
    [sym__expression] = STATE(13342),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3995),
    [sym_line_comment] = STATE(3995),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3996] = {
    [sym__expression] = STATE(13343),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3996),
    [sym_line_comment] = STATE(3996),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3997] = {
    [sym__expression] = STATE(13344),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3997),
    [sym_line_comment] = STATE(3997),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3998] = {
    [sym__expression] = STATE(13396),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3998),
    [sym_line_comment] = STATE(3998),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [3999] = {
    [sym__expression] = STATE(13063),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(3999),
    [sym_line_comment] = STATE(3999),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4000] = {
    [sym__expression] = STATE(13275),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10892),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5673),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18823),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12692),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(12),
    [sym_identifier] = STATE(10668),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9713),
    [sym_float_literal] = STATE(9713),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4000),
    [sym_line_comment] = STATE(4000),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3190),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3192),
    [anon_sym_const] = ACTIONS(3194),
    [anon_sym_global] = ACTIONS(3196),
    [anon_sym_local] = ACTIONS(3198),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3200),
    [anon_sym_public] = ACTIONS(3202),
    [anon_sym_import] = ACTIONS(3204),
    [anon_sym_using] = ACTIONS(3206),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4409),
    [anon_sym_COLON2] = ACTIONS(3210),
    [anon_sym_COLON_COLON] = ACTIONS(4411),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4415),
    [aux_sym_integer_literal_token2] = ACTIONS(4415),
    [aux_sym_integer_literal_token3] = ACTIONS(3214),
    [aux_sym_integer_literal_token4] = ACTIONS(3216),
    [aux_sym_float_literal_token1] = ACTIONS(4417),
    [aux_sym_float_literal_token3] = ACTIONS(4417),
    [aux_sym_float_literal_token4] = ACTIONS(4417),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4419),
    [sym__type_order_operator] = ACTIONS(4419),
    [sym__unary_operator] = ACTIONS(3220),
    [sym__unary_plus_operator] = ACTIONS(3220),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4001] = {
    [sym__expression] = STATE(13746),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4001),
    [sym_line_comment] = STATE(4001),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4002] = {
    [sym__expression] = STATE(13765),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4002),
    [sym_line_comment] = STATE(4002),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4003] = {
    [sym__expression] = STATE(13669),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11260),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19271),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13615),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10764),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4003),
    [sym_line_comment] = STATE(4003),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4145),
    [sym__type_order_operator] = ACTIONS(4145),
    [sym__unary_operator] = ACTIONS(4147),
    [sym__unary_plus_operator] = ACTIONS(4147),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4004] = {
    [sym__expression] = STATE(14453),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11778),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20206),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14343),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11176),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4004),
    [sym_line_comment] = STATE(4004),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4103),
    [sym__type_order_operator] = ACTIONS(4103),
    [sym__unary_operator] = ACTIONS(4105),
    [sym__unary_plus_operator] = ACTIONS(4105),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4005] = {
    [sym__expression] = STATE(13566),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4005),
    [sym_line_comment] = STATE(4005),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4006] = {
    [sym__expression] = STATE(13570),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4006),
    [sym_line_comment] = STATE(4006),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4007] = {
    [sym__expression] = STATE(8538),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(4857),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(18948),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(8307),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4552),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4007),
    [sym_line_comment] = STATE(4007),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(5833),
    [sym__type_order_operator] = ACTIONS(5833),
    [sym__unary_operator] = ACTIONS(781),
    [sym__unary_plus_operator] = ACTIONS(781),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4008] = {
    [sym__expression] = STATE(14201),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4008),
    [sym_line_comment] = STATE(4008),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4009] = {
    [sym__expression] = STATE(14203),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4009),
    [sym_line_comment] = STATE(4009),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4010] = {
    [sym__expression] = STATE(14204),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4010),
    [sym_line_comment] = STATE(4010),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4011] = {
    [sym__expression] = STATE(14205),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4011),
    [sym_line_comment] = STATE(4011),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4012] = {
    [sym__expression] = STATE(14206),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4012),
    [sym_line_comment] = STATE(4012),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4013] = {
    [sym__expression] = STATE(14207),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4013),
    [sym_line_comment] = STATE(4013),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4014] = {
    [sym__expression] = STATE(14216),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4014),
    [sym_line_comment] = STATE(4014),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4015] = {
    [sym__expression] = STATE(14223),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4015),
    [sym_line_comment] = STATE(4015),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4016] = {
    [sym__expression] = STATE(14224),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4016),
    [sym_line_comment] = STATE(4016),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4017] = {
    [sym__expression] = STATE(14226),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4017),
    [sym_line_comment] = STATE(4017),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4018] = {
    [sym__expression] = STATE(14227),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4018),
    [sym_line_comment] = STATE(4018),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4019] = {
    [sym__expression] = STATE(14243),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4019),
    [sym_line_comment] = STATE(4019),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4020] = {
    [sym__expression] = STATE(11979),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4020),
    [sym_line_comment] = STATE(4020),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4021] = {
    [sym__expression] = STATE(13233),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4021),
    [sym_line_comment] = STATE(4021),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4022] = {
    [sym__expression] = STATE(9299),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4022),
    [sym_line_comment] = STATE(4022),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4023] = {
    [sym__expression] = STATE(9320),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4023),
    [sym_line_comment] = STATE(4023),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4024] = {
    [sym__expression] = STATE(13198),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4024),
    [sym_line_comment] = STATE(4024),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4025] = {
    [sym__expression] = STATE(13985),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4025),
    [sym_line_comment] = STATE(4025),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4026] = {
    [sym__expression] = STATE(9227),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(4026),
    [sym_line_comment] = STATE(4026),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4027] = {
    [sym__expression] = STATE(8665),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(4027),
    [sym_line_comment] = STATE(4027),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4028] = {
    [sym__expression] = STATE(8666),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(4028),
    [sym_line_comment] = STATE(4028),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4029] = {
    [sym__expression] = STATE(8667),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(4029),
    [sym_line_comment] = STATE(4029),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4030] = {
    [sym__expression] = STATE(8668),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(4030),
    [sym_line_comment] = STATE(4030),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4031] = {
    [sym__expression] = STATE(8669),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(4031),
    [sym_line_comment] = STATE(4031),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4032] = {
    [sym__expression] = STATE(8670),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(4032),
    [sym_line_comment] = STATE(4032),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4033] = {
    [sym__expression] = STATE(8671),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(4033),
    [sym_line_comment] = STATE(4033),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4034] = {
    [sym__expression] = STATE(8672),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(4034),
    [sym_line_comment] = STATE(4034),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4035] = {
    [sym__expression] = STATE(8673),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(4035),
    [sym_line_comment] = STATE(4035),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4036] = {
    [sym__expression] = STATE(8674),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(4036),
    [sym_line_comment] = STATE(4036),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4037] = {
    [sym__expression] = STATE(8675),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(4037),
    [sym_line_comment] = STATE(4037),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4038] = {
    [sym__expression] = STATE(8676),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(4038),
    [sym_line_comment] = STATE(4038),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4039] = {
    [sym__expression] = STATE(8677),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(4039),
    [sym_line_comment] = STATE(4039),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4040] = {
    [sym__expression] = STATE(8536),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(4810),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(20194),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8067),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(35),
    [sym_identifier] = STATE(4562),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(4040),
    [sym_line_comment] = STATE(4040),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(483),
    [anon_sym_const] = ACTIONS(485),
    [anon_sym_global] = ACTIONS(487),
    [anon_sym_local] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(7555),
    [sym__type_order_operator] = ACTIONS(7555),
    [sym__unary_operator] = ACTIONS(525),
    [sym__unary_plus_operator] = ACTIONS(525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4041] = {
    [sym__expression] = STATE(9404),
    [sym_module_definition] = STATE(9156),
    [sym_abstract_definition] = STATE(9156),
    [sym_primitive_definition] = STATE(9156),
    [sym_struct_definition] = STATE(9156),
    [sym_function_definition] = STATE(9156),
    [sym_macro_definition] = STATE(9156),
    [sym_compound_statement] = STATE(9156),
    [sym_quote_statement] = STATE(9156),
    [sym_let_statement] = STATE(9156),
    [sym_if_statement] = STATE(9156),
    [sym_try_statement] = STATE(9156),
    [sym_for_statement] = STATE(9156),
    [sym_while_statement] = STATE(9156),
    [sym_return_statement] = STATE(9156),
    [sym_const_statement] = STATE(9156),
    [sym_global_statement] = STATE(9156),
    [sym_local_statement] = STATE(9156),
    [sym_export_statement] = STATE(9156),
    [sym_public_statement] = STATE(9156),
    [sym_import_statement] = STATE(9156),
    [sym_using_statement] = STATE(9156),
    [sym__primary_expression] = STATE(5235),
    [sym__array] = STATE(5277),
    [sym_comprehension_expression] = STATE(4970),
    [sym_matrix_expression] = STATE(4970),
    [sym_vector_expression] = STATE(4970),
    [sym_parenthesized_expression] = STATE(5277),
    [sym_tuple_expression] = STATE(5277),
    [sym_curly_expression] = STATE(5277),
    [sym_adjoint_expression] = STATE(4513),
    [sym_field_expression] = STATE(5277),
    [sym_index_expression] = STATE(5277),
    [sym_parametrized_type_expression] = STATE(5277),
    [sym_call_expression] = STATE(5277),
    [sym_broadcast_call_expression] = STATE(5277),
    [sym__closed_macrocall_expression] = STATE(5277),
    [sym_macrocall_expression] = STATE(9156),
    [sym_argument_list] = STATE(19519),
    [sym_interpolation_expression] = STATE(5277),
    [sym_quote_expression] = STATE(5277),
    [sym_binary_expression] = STATE(9156),
    [sym_unary_expression] = STATE(9156),
    [sym_range_expression] = STATE(9156),
    [sym_splat_expression] = STATE(9156),
    [sym_ternary_expression] = STATE(9156),
    [sym_typed_expression] = STATE(8901),
    [sym_unary_typed_expression] = STATE(9156),
    [sym_arrow_function_expression] = STATE(9156),
    [sym_juxtaposition_expression] = STATE(9156),
    [sym_compound_assignment_expression] = STATE(9156),
    [sym_where_expression] = STATE(9156),
    [sym_macro_identifier] = STATE(54),
    [sym_identifier] = STATE(4572),
    [sym_boolean_literal] = STATE(5277),
    [sym_integer_literal] = STATE(4523),
    [sym_float_literal] = STATE(4523),
    [sym__string] = STATE(5277),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(7859),
    [sym_block_comment] = STATE(4041),
    [sym_line_comment] = STATE(4041),
    [sym__word_identifier] = ACTIONS(451),
    [anon_sym_begin] = ACTIONS(453),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_baremodule] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(457),
    [anon_sym_primitive] = ACTIONS(459),
    [anon_sym_mutable] = ACTIONS(461),
    [anon_sym_struct] = ACTIONS(463),
    [anon_sym_function] = ACTIONS(465),
    [anon_sym_macro] = ACTIONS(467),
    [anon_sym_quote] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_if] = ACTIONS(473),
    [anon_sym_try] = ACTIONS(475),
    [anon_sym_for] = ACTIONS(477),
    [anon_sym_while] = ACTIONS(479),
    [sym_break_statement] = ACTIONS(481),
    [sym_continue_statement] = ACTIONS(481),
    [anon_sym_return] = ACTIONS(1023),
    [anon_sym_const] = ACTIONS(1025),
    [anon_sym_global] = ACTIONS(1027),
    [anon_sym_local] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_export] = ACTIONS(493),
    [anon_sym_public] = ACTIONS(495),
    [anon_sym_import] = ACTIONS(497),
    [anon_sym_using] = ACTIONS(499),
    [anon_sym_LBRACK] = ACTIONS(7539),
    [anon_sym_LBRACE] = ACTIONS(7541),
    [anon_sym_DOLLAR] = ACTIONS(7543),
    [anon_sym_COLON2] = ACTIONS(507),
    [anon_sym_COLON_COLON] = ACTIONS(7545),
    [anon_sym_AT] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(513),
    [anon_sym_false] = ACTIONS(513),
    [aux_sym_integer_literal_token1] = ACTIONS(7547),
    [aux_sym_integer_literal_token2] = ACTIONS(7547),
    [aux_sym_integer_literal_token3] = ACTIONS(515),
    [aux_sym_integer_literal_token4] = ACTIONS(517),
    [aux_sym_float_literal_token1] = ACTIONS(7549),
    [aux_sym_float_literal_token3] = ACTIONS(7549),
    [aux_sym_float_literal_token4] = ACTIONS(7549),
    [sym_character_literal] = ACTIONS(7551),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7553),
    [sym__arrow_operator] = ACTIONS(523),
    [sym__comparison_operator] = ACTIONS(523),
    [sym__pipe_right_operator] = ACTIONS(7553),
    [sym__pipe_left_operator] = ACTIONS(7553),
    [sym__ellipsis_operator] = ACTIONS(7553),
    [sym__plus_operator] = ACTIONS(523),
    [sym__times_operator] = ACTIONS(523),
    [sym__rational_operator] = ACTIONS(7553),
    [sym__bitshift_operator] = ACTIONS(7553),
    [sym__power_operator] = ACTIONS(7553),
    [sym__tilde_operator] = ACTIONS(9161),
    [sym__type_order_operator] = ACTIONS(9161),
    [sym__unary_operator] = ACTIONS(3690),
    [sym__unary_plus_operator] = ACTIONS(3690),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4042] = {
    [sym__expression] = STATE(13199),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4042),
    [sym_line_comment] = STATE(4042),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4043] = {
    [sym__expression] = STATE(9324),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4043),
    [sym_line_comment] = STATE(4043),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4044] = {
    [sym__expression] = STATE(9328),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4044),
    [sym_line_comment] = STATE(4044),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4045] = {
    [sym__expression] = STATE(69),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4045),
    [sym_line_comment] = STATE(4045),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4046] = {
    [sym__expression] = STATE(299),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4046),
    [sym_line_comment] = STATE(4046),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4047] = {
    [sym__expression] = STATE(13213),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4047),
    [sym_line_comment] = STATE(4047),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4048] = {
    [sym__expression] = STATE(9810),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4048),
    [sym_line_comment] = STATE(4048),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4049] = {
    [sym__expression] = STATE(13624),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4049),
    [sym_line_comment] = STATE(4049),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4050] = {
    [sym__expression] = STATE(13443),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4050),
    [sym_line_comment] = STATE(4050),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4051] = {
    [sym__expression] = STATE(13444),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4051),
    [sym_line_comment] = STATE(4051),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4052] = {
    [sym__expression] = STATE(9746),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4052),
    [sym_line_comment] = STATE(4052),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4053] = {
    [sym__expression] = STATE(9747),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4053),
    [sym_line_comment] = STATE(4053),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4054] = {
    [sym__expression] = STATE(9372),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4054),
    [sym_line_comment] = STATE(4054),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4055] = {
    [sym__expression] = STATE(9373),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4055),
    [sym_line_comment] = STATE(4055),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4056] = {
    [sym__expression] = STATE(9374),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4056),
    [sym_line_comment] = STATE(4056),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4057] = {
    [sym__expression] = STATE(9375),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4057),
    [sym_line_comment] = STATE(4057),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4058] = {
    [sym__expression] = STATE(9376),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4058),
    [sym_line_comment] = STATE(4058),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4059] = {
    [sym__expression] = STATE(9377),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4059),
    [sym_line_comment] = STATE(4059),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4060] = {
    [sym__expression] = STATE(9378),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4060),
    [sym_line_comment] = STATE(4060),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4061] = {
    [sym__expression] = STATE(9379),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4061),
    [sym_line_comment] = STATE(4061),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4062] = {
    [sym__expression] = STATE(9381),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4062),
    [sym_line_comment] = STATE(4062),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4063] = {
    [sym__expression] = STATE(9382),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4063),
    [sym_line_comment] = STATE(4063),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4064] = {
    [sym__expression] = STATE(9383),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4064),
    [sym_line_comment] = STATE(4064),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4065] = {
    [sym__expression] = STATE(9384),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4065),
    [sym_line_comment] = STATE(4065),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4066] = {
    [sym__expression] = STATE(14586),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(11520),
    [sym_tuple_expression] = STATE(11520),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(14066),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13729),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11004),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4066),
    [sym_line_comment] = STATE(4066),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4067] = {
    [sym__expression] = STATE(13449),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4067),
    [sym_line_comment] = STATE(4067),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4068] = {
    [sym__expression] = STATE(13293),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4068),
    [sym_line_comment] = STATE(4068),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4069] = {
    [sym__expression] = STATE(9391),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4069),
    [sym_line_comment] = STATE(4069),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4070] = {
    [sym__expression] = STATE(13743),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4070),
    [sym_line_comment] = STATE(4070),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4071] = {
    [sym__expression] = STATE(13762),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4071),
    [sym_line_comment] = STATE(4071),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4072] = {
    [sym__expression] = STATE(13766),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4072),
    [sym_line_comment] = STATE(4072),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4073] = {
    [sym__expression] = STATE(13767),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4073),
    [sym_line_comment] = STATE(4073),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4074] = {
    [sym__expression] = STATE(13855),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4074),
    [sym_line_comment] = STATE(4074),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4075] = {
    [sym__expression] = STATE(13770),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4075),
    [sym_line_comment] = STATE(4075),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4076] = {
    [sym__expression] = STATE(13772),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4076),
    [sym_line_comment] = STATE(4076),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4077] = {
    [sym__expression] = STATE(13776),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4077),
    [sym_line_comment] = STATE(4077),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4078] = {
    [sym__expression] = STATE(13779),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4078),
    [sym_line_comment] = STATE(4078),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4079] = {
    [sym__expression] = STATE(13542),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4079),
    [sym_line_comment] = STATE(4079),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4080] = {
    [sym__expression] = STATE(13450),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4080),
    [sym_line_comment] = STATE(4080),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4081] = {
    [sym__expression] = STATE(13682),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4081),
    [sym_line_comment] = STATE(4081),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4082] = {
    [sym__expression] = STATE(13741),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4082),
    [sym_line_comment] = STATE(4082),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4083] = {
    [sym__expression] = STATE(13742),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4083),
    [sym_line_comment] = STATE(4083),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4084] = {
    [sym__expression] = STATE(13763),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4084),
    [sym_line_comment] = STATE(4084),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4085] = {
    [sym__expression] = STATE(13764),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4085),
    [sym_line_comment] = STATE(4085),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4086] = {
    [sym__expression] = STATE(13541),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4086),
    [sym_line_comment] = STATE(4086),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4087] = {
    [sym__expression] = STATE(14180),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4087),
    [sym_line_comment] = STATE(4087),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4088] = {
    [sym__expression] = STATE(14183),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4088),
    [sym_line_comment] = STATE(4088),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4089] = {
    [sym__expression] = STATE(13886),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4089),
    [sym_line_comment] = STATE(4089),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4090] = {
    [sym__expression] = STATE(13887),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4090),
    [sym_line_comment] = STATE(4090),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4091] = {
    [sym__expression] = STATE(13888),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4091),
    [sym_line_comment] = STATE(4091),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4092] = {
    [sym__expression] = STATE(13889),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4092),
    [sym_line_comment] = STATE(4092),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4093] = {
    [sym__expression] = STATE(13890),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4093),
    [sym_line_comment] = STATE(4093),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4094] = {
    [sym__expression] = STATE(13891),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4094),
    [sym_line_comment] = STATE(4094),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4095] = {
    [sym__expression] = STATE(14331),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4095),
    [sym_line_comment] = STATE(4095),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4096] = {
    [sym__expression] = STATE(14031),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11348),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19510),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13774),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11124),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4096),
    [sym_line_comment] = STATE(4096),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3935),
    [sym__type_order_operator] = ACTIONS(3935),
    [sym__unary_operator] = ACTIONS(3937),
    [sym__unary_plus_operator] = ACTIONS(3937),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4097] = {
    [sym__expression] = STATE(9749),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4097),
    [sym_line_comment] = STATE(4097),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4098] = {
    [sym__expression] = STATE(12790),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4098),
    [sym_line_comment] = STATE(4098),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4099] = {
    [sym__expression] = STATE(12762),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4099),
    [sym_line_comment] = STATE(4099),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4100] = {
    [sym__expression] = STATE(12763),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4100),
    [sym_line_comment] = STATE(4100),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4101] = {
    [sym__expression] = STATE(12766),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4101),
    [sym_line_comment] = STATE(4101),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4102] = {
    [sym__expression] = STATE(12767),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4102),
    [sym_line_comment] = STATE(4102),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4103] = {
    [sym__expression] = STATE(12770),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4103),
    [sym_line_comment] = STATE(4103),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4104] = {
    [sym__expression] = STATE(9750),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4104),
    [sym_line_comment] = STATE(4104),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4105] = {
    [sym__expression] = STATE(9736),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4105),
    [sym_line_comment] = STATE(4105),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4106] = {
    [sym__expression] = STATE(13176),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4106),
    [sym_line_comment] = STATE(4106),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4107] = {
    [sym__expression] = STATE(13326),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4107),
    [sym_line_comment] = STATE(4107),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4108] = {
    [sym__expression] = STATE(13327),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4108),
    [sym_line_comment] = STATE(4108),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4109] = {
    [sym__expression] = STATE(9737),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4109),
    [sym_line_comment] = STATE(4109),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4110] = {
    [sym__expression] = STATE(13355),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4110),
    [sym_line_comment] = STATE(4110),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4111] = {
    [sym__expression] = STATE(13357),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4111),
    [sym_line_comment] = STATE(4111),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4112] = {
    [sym__expression] = STATE(13362),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4112),
    [sym_line_comment] = STATE(4112),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4113] = {
    [sym__expression] = STATE(13363),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4113),
    [sym_line_comment] = STATE(4113),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4114] = {
    [sym__expression] = STATE(13364),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4114),
    [sym_line_comment] = STATE(4114),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4115] = {
    [sym__expression] = STATE(13368),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4115),
    [sym_line_comment] = STATE(4115),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4116] = {
    [sym__expression] = STATE(13371),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4116),
    [sym_line_comment] = STATE(4116),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4117] = {
    [sym__expression] = STATE(13384),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4117),
    [sym_line_comment] = STATE(4117),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4118] = {
    [sym__expression] = STATE(13389),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4118),
    [sym_line_comment] = STATE(4118),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4119] = {
    [sym__expression] = STATE(13391),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4119),
    [sym_line_comment] = STATE(4119),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4120] = {
    [sym__expression] = STATE(13392),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4120),
    [sym_line_comment] = STATE(4120),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4121] = {
    [sym__expression] = STATE(13393),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4121),
    [sym_line_comment] = STATE(4121),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4122] = {
    [sym__expression] = STATE(11979),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10888),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18997),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12802),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10672),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4122),
    [sym_line_comment] = STATE(4122),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3991),
    [sym__type_order_operator] = ACTIONS(3991),
    [sym__unary_operator] = ACTIONS(3993),
    [sym__unary_plus_operator] = ACTIONS(3993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4123] = {
    [sym__expression] = STATE(12764),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4123),
    [sym_line_comment] = STATE(4123),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4124] = {
    [sym__expression] = STATE(12765),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4124),
    [sym_line_comment] = STATE(4124),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4125] = {
    [sym__expression] = STATE(12768),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4125),
    [sym_line_comment] = STATE(4125),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4126] = {
    [sym__expression] = STATE(12769),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4126),
    [sym_line_comment] = STATE(4126),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4127] = {
    [sym__expression] = STATE(12780),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4127),
    [sym_line_comment] = STATE(4127),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4128] = {
    [sym__expression] = STATE(12781),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4128),
    [sym_line_comment] = STATE(4128),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4129] = {
    [sym__expression] = STATE(12782),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4129),
    [sym_line_comment] = STATE(4129),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4130] = {
    [sym__expression] = STATE(12783),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4130),
    [sym_line_comment] = STATE(4130),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4131] = {
    [sym__expression] = STATE(12784),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4131),
    [sym_line_comment] = STATE(4131),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4132] = {
    [sym__expression] = STATE(12963),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4132),
    [sym_line_comment] = STATE(4132),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4133] = {
    [sym__expression] = STATE(9738),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4133),
    [sym_line_comment] = STATE(4133),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4134] = {
    [sym__expression] = STATE(9739),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4134),
    [sym_line_comment] = STATE(4134),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4135] = {
    [sym__expression] = STATE(9740),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4135),
    [sym_line_comment] = STATE(4135),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4136] = {
    [sym__expression] = STATE(9825),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4136),
    [sym_line_comment] = STATE(4136),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4137] = {
    [sym__expression] = STATE(13462),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11099),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20102),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13178),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10665),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4137),
    [sym_line_comment] = STATE(4137),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3979),
    [sym__type_order_operator] = ACTIONS(3979),
    [sym__unary_operator] = ACTIONS(3981),
    [sym__unary_plus_operator] = ACTIONS(3981),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4138] = {
    [sym__expression] = STATE(14373),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4138),
    [sym_line_comment] = STATE(4138),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4139] = {
    [sym__expression] = STATE(14407),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4139),
    [sym_line_comment] = STATE(4139),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4140] = {
    [sym__expression] = STATE(14050),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11354),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(20223),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13725),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(146),
    [sym_identifier] = STATE(11059),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4140),
    [sym_line_comment] = STATE(4140),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3967),
    [anon_sym_const] = ACTIONS(3969),
    [anon_sym_global] = ACTIONS(3971),
    [anon_sym_local] = ACTIONS(3973),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3975),
    [sym__type_order_operator] = ACTIONS(3975),
    [sym__unary_operator] = ACTIONS(3977),
    [sym__unary_plus_operator] = ACTIONS(3977),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4141] = {
    [sym__expression] = STATE(13223),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4141),
    [sym_line_comment] = STATE(4141),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4142] = {
    [sym__expression] = STATE(13236),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4142),
    [sym_line_comment] = STATE(4142),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4143] = {
    [sym__expression] = STATE(13287),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4143),
    [sym_line_comment] = STATE(4143),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4144] = {
    [sym__expression] = STATE(68),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4144),
    [sym_line_comment] = STATE(4144),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4145] = {
    [sym__expression] = STATE(307),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4145),
    [sym_line_comment] = STATE(4145),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4146] = {
    [sym__expression] = STATE(13303),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4146),
    [sym_line_comment] = STATE(4146),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4147] = {
    [sym__expression] = STATE(12732),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10790),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18982),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12503),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10589),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4147),
    [sym_line_comment] = STATE(4147),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3546),
    [sym__type_order_operator] = ACTIONS(3546),
    [sym__unary_operator] = ACTIONS(3548),
    [sym__unary_plus_operator] = ACTIONS(3548),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4148] = {
    [sym__expression] = STATE(9778),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4148),
    [sym_line_comment] = STATE(4148),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4149] = {
    [sym__expression] = STATE(9744),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4149),
    [sym_line_comment] = STATE(4149),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4150] = {
    [sym__expression] = STATE(9745),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4150),
    [sym_line_comment] = STATE(4150),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4151] = {
    [sym__expression] = STATE(9748),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4151),
    [sym_line_comment] = STATE(4151),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4152] = {
    [sym__expression] = STATE(9722),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(5638),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(18785),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9704),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(102),
    [sym_identifier] = STATE(5233),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4152),
    [sym_line_comment] = STATE(4152),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_const] = ACTIONS(1255),
    [anon_sym_global] = ACTIONS(1257),
    [anon_sym_local] = ACTIONS(1259),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(1299),
    [sym__type_order_operator] = ACTIONS(1299),
    [sym__unary_operator] = ACTIONS(1301),
    [sym__unary_plus_operator] = ACTIONS(1301),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4153] = {
    [sym__expression] = STATE(9903),
    [sym_module_definition] = STATE(9776),
    [sym_abstract_definition] = STATE(9776),
    [sym_primitive_definition] = STATE(9776),
    [sym_struct_definition] = STATE(9776),
    [sym_function_definition] = STATE(9776),
    [sym_macro_definition] = STATE(9776),
    [sym_compound_statement] = STATE(9776),
    [sym_quote_statement] = STATE(9776),
    [sym_let_statement] = STATE(9776),
    [sym_if_statement] = STATE(9776),
    [sym_try_statement] = STATE(9776),
    [sym_for_statement] = STATE(9776),
    [sym_while_statement] = STATE(9776),
    [sym_return_statement] = STATE(9776),
    [sym_const_statement] = STATE(9776),
    [sym_global_statement] = STATE(9776),
    [sym_local_statement] = STATE(9776),
    [sym_export_statement] = STATE(9776),
    [sym_public_statement] = STATE(9776),
    [sym_import_statement] = STATE(9776),
    [sym_using_statement] = STATE(9776),
    [sym__primary_expression] = STATE(6213),
    [sym__array] = STATE(6325),
    [sym_comprehension_expression] = STATE(5849),
    [sym_matrix_expression] = STATE(5849),
    [sym_vector_expression] = STATE(5849),
    [sym_parenthesized_expression] = STATE(6325),
    [sym_tuple_expression] = STATE(6325),
    [sym_curly_expression] = STATE(6325),
    [sym_adjoint_expression] = STATE(4520),
    [sym_field_expression] = STATE(6325),
    [sym_index_expression] = STATE(6325),
    [sym_parametrized_type_expression] = STATE(6325),
    [sym_call_expression] = STATE(6325),
    [sym_broadcast_call_expression] = STATE(6325),
    [sym__closed_macrocall_expression] = STATE(6325),
    [sym_macrocall_expression] = STATE(9776),
    [sym_argument_list] = STATE(19753),
    [sym_interpolation_expression] = STATE(6325),
    [sym_quote_expression] = STATE(6325),
    [sym_binary_expression] = STATE(9776),
    [sym_unary_expression] = STATE(9776),
    [sym_range_expression] = STATE(9776),
    [sym_splat_expression] = STATE(9776),
    [sym_ternary_expression] = STATE(9776),
    [sym_typed_expression] = STATE(9772),
    [sym_unary_typed_expression] = STATE(9776),
    [sym_arrow_function_expression] = STATE(9776),
    [sym_juxtaposition_expression] = STATE(9776),
    [sym_compound_assignment_expression] = STATE(9776),
    [sym_where_expression] = STATE(9776),
    [sym_macro_identifier] = STATE(121),
    [sym_identifier] = STATE(5176),
    [sym_boolean_literal] = STATE(6325),
    [sym_integer_literal] = STATE(4529),
    [sym_float_literal] = STATE(4529),
    [sym__string] = STATE(6325),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(9639),
    [sym_block_comment] = STATE(4153),
    [sym_line_comment] = STATE(4153),
    [sym__word_identifier] = ACTIONS(1221),
    [anon_sym_begin] = ACTIONS(1223),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_baremodule] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_primitive] = ACTIONS(1229),
    [anon_sym_mutable] = ACTIONS(1231),
    [anon_sym_struct] = ACTIONS(1233),
    [anon_sym_function] = ACTIONS(1235),
    [anon_sym_macro] = ACTIONS(1237),
    [anon_sym_quote] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1243),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1249),
    [sym_break_statement] = ACTIONS(1251),
    [sym_continue_statement] = ACTIONS(1251),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2330),
    [anon_sym_global] = ACTIONS(2332),
    [anon_sym_local] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_export] = ACTIONS(1263),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1267),
    [anon_sym_using] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_DOLLAR] = ACTIONS(1275),
    [anon_sym_COLON2] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1283),
    [anon_sym_false] = ACTIONS(1283),
    [aux_sym_integer_literal_token1] = ACTIONS(1285),
    [aux_sym_integer_literal_token2] = ACTIONS(1285),
    [aux_sym_integer_literal_token3] = ACTIONS(1287),
    [aux_sym_integer_literal_token4] = ACTIONS(1289),
    [aux_sym_float_literal_token1] = ACTIONS(1291),
    [aux_sym_float_literal_token3] = ACTIONS(1291),
    [aux_sym_float_literal_token4] = ACTIONS(1291),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1295),
    [sym__arrow_operator] = ACTIONS(1297),
    [sym__comparison_operator] = ACTIONS(1297),
    [sym__pipe_right_operator] = ACTIONS(1295),
    [sym__pipe_left_operator] = ACTIONS(1295),
    [sym__ellipsis_operator] = ACTIONS(1295),
    [sym__plus_operator] = ACTIONS(1297),
    [sym__times_operator] = ACTIONS(1297),
    [sym__rational_operator] = ACTIONS(1295),
    [sym__bitshift_operator] = ACTIONS(1295),
    [sym__power_operator] = ACTIONS(1295),
    [sym__tilde_operator] = ACTIONS(4083),
    [sym__type_order_operator] = ACTIONS(4083),
    [sym__unary_operator] = ACTIONS(4085),
    [sym__unary_plus_operator] = ACTIONS(4085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4154] = {
    [sym__expression] = STATE(13304),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4154),
    [sym_line_comment] = STATE(4154),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4155] = {
    [sym__expression] = STATE(13305),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4155),
    [sym_line_comment] = STATE(4155),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4156] = {
    [sym__expression] = STATE(67),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4156),
    [sym_line_comment] = STATE(4156),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4157] = {
    [sym__expression] = STATE(332),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4157),
    [sym_line_comment] = STATE(4157),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4158] = {
    [sym__expression] = STATE(13229),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4158),
    [sym_line_comment] = STATE(4158),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4159] = {
    [sym__expression] = STATE(74),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4159),
    [sym_line_comment] = STATE(4159),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4160] = {
    [sym__expression] = STATE(313),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4160),
    [sym_line_comment] = STATE(4160),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4161] = {
    [sym__expression] = STATE(77),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4161),
    [sym_line_comment] = STATE(4161),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4162] = {
    [sym__expression] = STATE(14409),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4162),
    [sym_line_comment] = STATE(4162),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4163] = {
    [sym__expression] = STATE(14414),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4163),
    [sym_line_comment] = STATE(4163),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4164] = {
    [sym__expression] = STATE(335),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4164),
    [sym_line_comment] = STATE(4164),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4165] = {
    [sym__expression] = STATE(14418),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4165),
    [sym_line_comment] = STATE(4165),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4166] = {
    [sym__expression] = STATE(14333),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4166),
    [sym_line_comment] = STATE(4166),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4167] = {
    [sym__expression] = STATE(14336),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4167),
    [sym_line_comment] = STATE(4167),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4168] = {
    [sym__expression] = STATE(14351),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4168),
    [sym_line_comment] = STATE(4168),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4169] = {
    [sym__expression] = STATE(14354),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4169),
    [sym_line_comment] = STATE(4169),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4170] = {
    [sym__expression] = STATE(14355),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4170),
    [sym_line_comment] = STATE(4170),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4171] = {
    [sym__expression] = STATE(14356),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4171),
    [sym_line_comment] = STATE(4171),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4172] = {
    [sym__expression] = STATE(14364),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4172),
    [sym_line_comment] = STATE(4172),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4173] = {
    [sym__expression] = STATE(14366),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4173),
    [sym_line_comment] = STATE(4173),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4174] = {
    [sym__expression] = STATE(14367),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4174),
    [sym_line_comment] = STATE(4174),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4175] = {
    [sym__expression] = STATE(11979),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11607),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6962),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(18824),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14164),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(234),
    [sym_identifier] = STATE(10992),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9914),
    [sym_float_literal] = STATE(9914),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4175),
    [sym_line_comment] = STATE(4175),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4069),
    [anon_sym_const] = ACTIONS(4071),
    [anon_sym_global] = ACTIONS(4073),
    [anon_sym_local] = ACTIONS(4075),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4107),
    [sym__type_order_operator] = ACTIONS(4107),
    [sym__unary_operator] = ACTIONS(4109),
    [sym__unary_plus_operator] = ACTIONS(4109),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4176] = {
    [sym__expression] = STATE(78),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4176),
    [sym_line_comment] = STATE(4176),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4177] = {
    [sym__expression] = STATE(296),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4177),
    [sym_line_comment] = STATE(4177),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4178] = {
    [sym__expression] = STATE(13610),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11120),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(19315),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13406),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(39),
    [sym_identifier] = STATE(10676),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4178),
    [sym_line_comment] = STATE(4178),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3566),
    [anon_sym_const] = ACTIONS(3568),
    [anon_sym_global] = ACTIONS(3570),
    [anon_sym_local] = ACTIONS(3572),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9141),
    [sym__type_order_operator] = ACTIONS(9141),
    [sym__unary_operator] = ACTIONS(3728),
    [sym__unary_plus_operator] = ACTIONS(3728),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4179] = {
    [sym__expression] = STATE(79),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4179),
    [sym_line_comment] = STATE(4179),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4180] = {
    [sym__expression] = STATE(300),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4180),
    [sym_line_comment] = STATE(4180),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4181] = {
    [sym__expression] = STATE(80),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4181),
    [sym_line_comment] = STATE(4181),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4182] = {
    [sym__expression] = STATE(303),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4182),
    [sym_line_comment] = STATE(4182),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4183] = {
    [sym__expression] = STATE(81),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4183),
    [sym_line_comment] = STATE(4183),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4184] = {
    [sym__expression] = STATE(306),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4184),
    [sym_line_comment] = STATE(4184),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4185] = {
    [sym__expression] = STATE(84),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4185),
    [sym_line_comment] = STATE(4185),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4186] = {
    [sym__expression] = STATE(309),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4186),
    [sym_line_comment] = STATE(4186),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4187] = {
    [sym__expression] = STATE(85),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4187),
    [sym_line_comment] = STATE(4187),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4188] = {
    [sym__expression] = STATE(312),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4188),
    [sym_line_comment] = STATE(4188),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4189] = {
    [sym__expression] = STATE(14447),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4189),
    [sym_line_comment] = STATE(4189),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4190] = {
    [sym__expression] = STATE(13571),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4190),
    [sym_line_comment] = STATE(4190),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4191] = {
    [sym__expression] = STATE(13585),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4191),
    [sym_line_comment] = STATE(4191),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4192] = {
    [sym__expression] = STATE(13586),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4192),
    [sym_line_comment] = STATE(4192),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4193] = {
    [sym__expression] = STATE(13177),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4193),
    [sym_line_comment] = STATE(4193),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4194] = {
    [sym__expression] = STATE(14455),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4194),
    [sym_line_comment] = STATE(4194),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4195] = {
    [sym__expression] = STATE(9742),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4195),
    [sym_line_comment] = STATE(4195),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4196] = {
    [sym__expression] = STATE(14456),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4196),
    [sym_line_comment] = STATE(4196),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4197] = {
    [sym__expression] = STATE(9752),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4197),
    [sym_line_comment] = STATE(4197),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4198] = {
    [sym__expression] = STATE(13701),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4198),
    [sym_line_comment] = STATE(4198),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9163),
    [sym__type_order_operator] = ACTIONS(9163),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4199] = {
    [sym__expression] = STATE(13836),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4199),
    [sym_line_comment] = STATE(4199),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9163),
    [sym__type_order_operator] = ACTIONS(9163),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4200] = {
    [sym__expression] = STATE(13683),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4200),
    [sym_line_comment] = STATE(4200),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9163),
    [sym__type_order_operator] = ACTIONS(9163),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4201] = {
    [sym__expression] = STATE(13727),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4201),
    [sym_line_comment] = STATE(4201),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9163),
    [sym__type_order_operator] = ACTIONS(9163),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4202] = {
    [sym__expression] = STATE(13731),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4202),
    [sym_line_comment] = STATE(4202),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9163),
    [sym__type_order_operator] = ACTIONS(9163),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4203] = {
    [sym__expression] = STATE(13733),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4203),
    [sym_line_comment] = STATE(4203),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9163),
    [sym__type_order_operator] = ACTIONS(9163),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4204] = {
    [sym__expression] = STATE(13737),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4204),
    [sym_line_comment] = STATE(4204),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9163),
    [sym__type_order_operator] = ACTIONS(9163),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4205] = {
    [sym__expression] = STATE(13827),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4205),
    [sym_line_comment] = STATE(4205),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9163),
    [sym__type_order_operator] = ACTIONS(9163),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4206] = {
    [sym__expression] = STATE(13832),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4206),
    [sym_line_comment] = STATE(4206),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9163),
    [sym__type_order_operator] = ACTIONS(9163),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4207] = {
    [sym__expression] = STATE(13710),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4207),
    [sym_line_comment] = STATE(4207),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9163),
    [sym__type_order_operator] = ACTIONS(9163),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4208] = {
    [sym__expression] = STATE(13698),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4208),
    [sym_line_comment] = STATE(4208),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9163),
    [sym__type_order_operator] = ACTIONS(9163),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4209] = {
    [sym__expression] = STATE(13670),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4209),
    [sym_line_comment] = STATE(4209),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9163),
    [sym__type_order_operator] = ACTIONS(9163),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4210] = {
    [sym__expression] = STATE(14583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(11840),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(11840),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13858),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(11239),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4210),
    [sym_line_comment] = STATE(4210),
    [sym__word_identifier] = ACTIONS(8199),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(8201),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(8205),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4211] = {
    [sym__expression] = STATE(13707),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4211),
    [sym_line_comment] = STATE(4211),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9163),
    [sym__type_order_operator] = ACTIONS(9163),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4212] = {
    [sym__expression] = STATE(13699),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4212),
    [sym_line_comment] = STATE(4212),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9163),
    [sym__type_order_operator] = ACTIONS(9163),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4213] = {
    [sym__expression] = STATE(13358),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4213),
    [sym_line_comment] = STATE(4213),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4214] = {
    [sym__expression] = STATE(9017),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4214),
    [sym_line_comment] = STATE(4214),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9165),
    [sym__type_order_operator] = ACTIONS(9165),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4215] = {
    [sym__expression] = STATE(13601),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4215),
    [sym_line_comment] = STATE(4215),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9163),
    [sym__type_order_operator] = ACTIONS(9163),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4216] = {
    [sym__expression] = STATE(13526),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4216),
    [sym_line_comment] = STATE(4216),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4217] = {
    [sym__expression] = STATE(14449),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4217),
    [sym_line_comment] = STATE(4217),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4218] = {
    [sym__expression] = STATE(13052),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4218),
    [sym_line_comment] = STATE(4218),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4219] = {
    [sym__expression] = STATE(9753),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4219),
    [sym_line_comment] = STATE(4219),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4220] = {
    [sym__expression] = STATE(9754),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4220),
    [sym_line_comment] = STATE(4220),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4221] = {
    [sym__expression] = STATE(9759),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4221),
    [sym_line_comment] = STATE(4221),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4222] = {
    [sym__expression] = STATE(9760),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4222),
    [sym_line_comment] = STATE(4222),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4223] = {
    [sym__expression] = STATE(9761),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4223),
    [sym_line_comment] = STATE(4223),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4224] = {
    [sym__expression] = STATE(9762),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4224),
    [sym_line_comment] = STATE(4224),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4225] = {
    [sym__expression] = STATE(9763),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4225),
    [sym_line_comment] = STATE(4225),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4226] = {
    [sym__expression] = STATE(14532),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4226),
    [sym_line_comment] = STATE(4226),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4227] = {
    [sym__expression] = STATE(13417),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4227),
    [sym_line_comment] = STATE(4227),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4228] = {
    [sym__expression] = STATE(9632),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4228),
    [sym_line_comment] = STATE(4228),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4229] = {
    [sym__expression] = STATE(13421),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4229),
    [sym_line_comment] = STATE(4229),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4230] = {
    [sym__expression] = STATE(9764),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4230),
    [sym_line_comment] = STATE(4230),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4231] = {
    [sym__expression] = STATE(9765),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4231),
    [sym_line_comment] = STATE(4231),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4232] = {
    [sym__expression] = STATE(13544),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4232),
    [sym_line_comment] = STATE(4232),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4233] = {
    [sym__expression] = STATE(13425),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4233),
    [sym_line_comment] = STATE(4233),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4234] = {
    [sym__expression] = STATE(13545),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4234),
    [sym_line_comment] = STATE(4234),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4235] = {
    [sym__expression] = STATE(13546),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4235),
    [sym_line_comment] = STATE(4235),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4236] = {
    [sym__expression] = STATE(13547),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4236),
    [sym_line_comment] = STATE(4236),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4237] = {
    [sym__expression] = STATE(13548),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4237),
    [sym_line_comment] = STATE(4237),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4238] = {
    [sym__expression] = STATE(13549),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4238),
    [sym_line_comment] = STATE(4238),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4239] = {
    [sym__expression] = STATE(13550),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4239),
    [sym_line_comment] = STATE(4239),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4240] = {
    [sym__expression] = STATE(13551),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4240),
    [sym_line_comment] = STATE(4240),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4241] = {
    [sym__expression] = STATE(13552),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4241),
    [sym_line_comment] = STATE(4241),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4242] = {
    [sym__expression] = STATE(13553),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4242),
    [sym_line_comment] = STATE(4242),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4243] = {
    [sym__expression] = STATE(13554),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4243),
    [sym_line_comment] = STATE(4243),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4244] = {
    [sym__expression] = STATE(11979),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4244),
    [sym_line_comment] = STATE(4244),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4245] = {
    [sym__expression] = STATE(9010),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4245),
    [sym_line_comment] = STATE(4245),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9165),
    [sym__type_order_operator] = ACTIONS(9165),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4246] = {
    [sym__expression] = STATE(9767),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4246),
    [sym_line_comment] = STATE(4246),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4247] = {
    [sym__expression] = STATE(9569),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4247),
    [sym_line_comment] = STATE(4247),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4248] = {
    [sym__expression] = STATE(13695),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4248),
    [sym_line_comment] = STATE(4248),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4249] = {
    [sym__expression] = STATE(9660),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4249),
    [sym_line_comment] = STATE(4249),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4250] = {
    [sym__expression] = STATE(9756),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4250),
    [sym_line_comment] = STATE(4250),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4251] = {
    [sym__expression] = STATE(9634),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4251),
    [sym_line_comment] = STATE(4251),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4252] = {
    [sym__expression] = STATE(14239),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4252),
    [sym_line_comment] = STATE(4252),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4253] = {
    [sym__expression] = STATE(13196),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4253),
    [sym_line_comment] = STATE(4253),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4254] = {
    [sym__expression] = STATE(13197),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4254),
    [sym_line_comment] = STATE(4254),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4255] = {
    [sym__expression] = STATE(14380),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4255),
    [sym_line_comment] = STATE(4255),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4256] = {
    [sym__expression] = STATE(9798),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4256),
    [sym_line_comment] = STATE(4256),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9167),
    [sym__type_order_operator] = ACTIONS(9167),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4257] = {
    [sym__expression] = STATE(13506),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4257),
    [sym_line_comment] = STATE(4257),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4258] = {
    [sym__expression] = STATE(9057),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4258),
    [sym_line_comment] = STATE(4258),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4259] = {
    [sym__expression] = STATE(14377),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4259),
    [sym_line_comment] = STATE(4259),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4260] = {
    [sym__expression] = STATE(13508),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4260),
    [sym_line_comment] = STATE(4260),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4261] = {
    [sym__expression] = STATE(13360),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4261),
    [sym_line_comment] = STATE(4261),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4262] = {
    [sym__expression] = STATE(13201),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4262),
    [sym_line_comment] = STATE(4262),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4263] = {
    [sym__expression] = STATE(13202),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10949),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(5582),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20169),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(12719),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(28),
    [sym_identifier] = STATE(10647),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9579),
    [sym_float_literal] = STATE(9579),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4263),
    [sym_line_comment] = STATE(4263),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(3442),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3444),
    [anon_sym_const] = ACTIONS(3446),
    [anon_sym_global] = ACTIONS(3448),
    [anon_sym_local] = ACTIONS(3450),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(3452),
    [anon_sym_public] = ACTIONS(3454),
    [anon_sym_import] = ACTIONS(3456),
    [anon_sym_using] = ACTIONS(3458),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(4131),
    [anon_sym_COLON2] = ACTIONS(3462),
    [anon_sym_COLON_COLON] = ACTIONS(4133),
    [anon_sym_AT] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(4137),
    [aux_sym_integer_literal_token2] = ACTIONS(4137),
    [aux_sym_integer_literal_token3] = ACTIONS(3466),
    [aux_sym_integer_literal_token4] = ACTIONS(3468),
    [aux_sym_float_literal_token1] = ACTIONS(4139),
    [aux_sym_float_literal_token3] = ACTIONS(4139),
    [aux_sym_float_literal_token4] = ACTIONS(4139),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(4141),
    [sym__type_order_operator] = ACTIONS(4141),
    [sym__unary_operator] = ACTIONS(3472),
    [sym__unary_plus_operator] = ACTIONS(3472),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4264] = {
    [sym__expression] = STATE(13385),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4264),
    [sym_line_comment] = STATE(4264),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4265] = {
    [sym__expression] = STATE(13513),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4265),
    [sym_line_comment] = STATE(4265),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4266] = {
    [sym__expression] = STATE(13147),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4266),
    [sym_line_comment] = STATE(4266),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4267] = {
    [sym__expression] = STATE(13386),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4267),
    [sym_line_comment] = STATE(4267),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4268] = {
    [sym__expression] = STATE(13148),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4268),
    [sym_line_comment] = STATE(4268),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4269] = {
    [sym__expression] = STATE(13149),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4269),
    [sym_line_comment] = STATE(4269),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4270] = {
    [sym__expression] = STATE(13150),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4270),
    [sym_line_comment] = STATE(4270),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4271] = {
    [sym__expression] = STATE(13151),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4271),
    [sym_line_comment] = STATE(4271),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4272] = {
    [sym__expression] = STATE(13152),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4272),
    [sym_line_comment] = STATE(4272),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4273] = {
    [sym__expression] = STATE(13153),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4273),
    [sym_line_comment] = STATE(4273),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4274] = {
    [sym__expression] = STATE(13154),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4274),
    [sym_line_comment] = STATE(4274),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4275] = {
    [sym__expression] = STATE(13515),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4275),
    [sym_line_comment] = STATE(4275),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4276] = {
    [sym__expression] = STATE(13156),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4276),
    [sym_line_comment] = STATE(4276),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4277] = {
    [sym__expression] = STATE(13157),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4277),
    [sym_line_comment] = STATE(4277),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4278] = {
    [sym__expression] = STATE(11979),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4278),
    [sym_line_comment] = STATE(4278),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4279] = {
    [sym__expression] = STATE(9056),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4279),
    [sym_line_comment] = STATE(4279),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4280] = {
    [sym__expression] = STATE(13311),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4280),
    [sym_line_comment] = STATE(4280),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4281] = {
    [sym__expression] = STATE(9688),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4281),
    [sym_line_comment] = STATE(4281),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4282] = {
    [sym__expression] = STATE(13516),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4282),
    [sym_line_comment] = STATE(4282),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4283] = {
    [sym__expression] = STATE(9804),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4283),
    [sym_line_comment] = STATE(4283),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9167),
    [sym__type_order_operator] = ACTIONS(9167),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4284] = {
    [sym__expression] = STATE(13517),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4284),
    [sym_line_comment] = STATE(4284),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4285] = {
    [sym__expression] = STATE(9691),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4285),
    [sym_line_comment] = STATE(4285),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4286] = {
    [sym__expression] = STATE(13536),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4286),
    [sym_line_comment] = STATE(4286),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4287] = {
    [sym__expression] = STATE(14339),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4287),
    [sym_line_comment] = STATE(4287),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4288] = {
    [sym__expression] = STATE(13537),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4288),
    [sym_line_comment] = STATE(4288),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4289] = {
    [sym__expression] = STATE(13538),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4289),
    [sym_line_comment] = STATE(4289),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4290] = {
    [sym__expression] = STATE(13461),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4290),
    [sym_line_comment] = STATE(4290),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4291] = {
    [sym__expression] = STATE(13464),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4291),
    [sym_line_comment] = STATE(4291),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4292] = {
    [sym__expression] = STATE(13542),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11051),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19513),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13159),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10839),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4292),
    [sym_line_comment] = STATE(4292),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(1693),
    [sym__type_order_operator] = ACTIONS(1693),
    [sym__unary_operator] = ACTIONS(1695),
    [sym__unary_plus_operator] = ACTIONS(1695),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4293] = {
    [sym__expression] = STATE(14273),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11155),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19023),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13605),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10837),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4293),
    [sym_line_comment] = STATE(4293),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3963),
    [sym__type_order_operator] = ACTIONS(3963),
    [sym__unary_operator] = ACTIONS(3965),
    [sym__unary_plus_operator] = ACTIONS(3965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4294] = {
    [sym__expression] = STATE(9757),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4294),
    [sym_line_comment] = STATE(4294),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4295] = {
    [sym__expression] = STATE(9580),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4295),
    [sym_line_comment] = STATE(4295),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4296] = {
    [sym__expression] = STATE(9616),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4296),
    [sym_line_comment] = STATE(4296),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4297] = {
    [sym__expression] = STATE(9581),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4297),
    [sym_line_comment] = STATE(4297),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4298] = {
    [sym__expression] = STATE(9583),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4298),
    [sym_line_comment] = STATE(4298),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4299] = {
    [sym__expression] = STATE(9584),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4299),
    [sym_line_comment] = STATE(4299),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4300] = {
    [sym__expression] = STATE(9585),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4300),
    [sym_line_comment] = STATE(4300),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4301] = {
    [sym__expression] = STATE(9586),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4301),
    [sym_line_comment] = STATE(4301),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4302] = {
    [sym__expression] = STATE(9589),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4302),
    [sym_line_comment] = STATE(4302),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4303] = {
    [sym__expression] = STATE(9590),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4303),
    [sym_line_comment] = STATE(4303),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4304] = {
    [sym__expression] = STATE(9591),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4304),
    [sym_line_comment] = STATE(4304),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4305] = {
    [sym__expression] = STATE(9592),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4305),
    [sym_line_comment] = STATE(4305),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4306] = {
    [sym__expression] = STATE(9594),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4306),
    [sym_line_comment] = STATE(4306),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4307] = {
    [sym__expression] = STATE(9558),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4307),
    [sym_line_comment] = STATE(4307),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4308] = {
    [sym__expression] = STATE(9599),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4308),
    [sym_line_comment] = STATE(4308),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4309] = {
    [sym__expression] = STATE(13875),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4309),
    [sym_line_comment] = STATE(4309),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4310] = {
    [sym__expression] = STATE(13943),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4310),
    [sym_line_comment] = STATE(4310),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4311] = {
    [sym__expression] = STATE(13946),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4311),
    [sym_line_comment] = STATE(4311),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4312] = {
    [sym__expression] = STATE(13947),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4312),
    [sym_line_comment] = STATE(4312),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4313] = {
    [sym__expression] = STATE(13948),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4313),
    [sym_line_comment] = STATE(4313),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4314] = {
    [sym__expression] = STATE(13949),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4314),
    [sym_line_comment] = STATE(4314),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4315] = {
    [sym__expression] = STATE(13950),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4315),
    [sym_line_comment] = STATE(4315),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4316] = {
    [sym__expression] = STATE(13951),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4316),
    [sym_line_comment] = STATE(4316),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4317] = {
    [sym__expression] = STATE(13952),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4317),
    [sym_line_comment] = STATE(4317),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4318] = {
    [sym__expression] = STATE(13542),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4318),
    [sym_line_comment] = STATE(4318),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4319] = {
    [sym__expression] = STATE(9558),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4319),
    [sym_line_comment] = STATE(4319),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4320] = {
    [sym__expression] = STATE(13972),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4320),
    [sym_line_comment] = STATE(4320),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4321] = {
    [sym__expression] = STATE(13941),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4321),
    [sym_line_comment] = STATE(4321),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4322] = {
    [sym__expression] = STATE(13942),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4322),
    [sym_line_comment] = STATE(4322),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4323] = {
    [sym__expression] = STATE(13944),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4323),
    [sym_line_comment] = STATE(4323),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4324] = {
    [sym__expression] = STATE(13945),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11349),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19557),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13826),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(92),
    [sym_identifier] = STATE(10948),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4324),
    [sym_line_comment] = STATE(4324),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1637),
    [anon_sym_global] = ACTIONS(1639),
    [anon_sym_local] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4065),
    [sym__type_order_operator] = ACTIONS(4065),
    [sym__unary_operator] = ACTIONS(4067),
    [sym__unary_plus_operator] = ACTIONS(4067),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4325] = {
    [sym__expression] = STATE(13723),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4325),
    [sym_line_comment] = STATE(4325),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4326] = {
    [sym__expression] = STATE(14415),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4326),
    [sym_line_comment] = STATE(4326),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4327] = {
    [sym__expression] = STATE(14376),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4327),
    [sym_line_comment] = STATE(4327),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4328] = {
    [sym__expression] = STATE(14386),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4328),
    [sym_line_comment] = STATE(4328),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4329] = {
    [sym__expression] = STATE(14390),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4329),
    [sym_line_comment] = STATE(4329),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4330] = {
    [sym__expression] = STATE(14332),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4330),
    [sym_line_comment] = STATE(4330),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4331] = {
    [sym__expression] = STATE(14450),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4331),
    [sym_line_comment] = STATE(4331),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4332] = {
    [sym__expression] = STATE(14396),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4332),
    [sym_line_comment] = STATE(4332),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4333] = {
    [sym__expression] = STATE(14399),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4333),
    [sym_line_comment] = STATE(4333),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4334] = {
    [sym__expression] = STATE(14031),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4334),
    [sym_line_comment] = STATE(4334),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4335] = {
    [sym__expression] = STATE(14459),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11774),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19324),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(14429),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10685),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4335),
    [sym_line_comment] = STATE(4335),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4115),
    [sym__type_order_operator] = ACTIONS(4115),
    [sym__unary_operator] = ACTIONS(4117),
    [sym__unary_plus_operator] = ACTIONS(4117),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4336] = {
    [sym__expression] = STATE(13212),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4336),
    [sym_line_comment] = STATE(4336),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4337] = {
    [sym__expression] = STATE(13188),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4337),
    [sym_line_comment] = STATE(4337),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4338] = {
    [sym__expression] = STATE(13189),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4338),
    [sym_line_comment] = STATE(4338),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4339] = {
    [sym__expression] = STATE(13191),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4339),
    [sym_line_comment] = STATE(4339),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4340] = {
    [sym__expression] = STATE(13192),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4340),
    [sym_line_comment] = STATE(4340),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4341] = {
    [sym__expression] = STATE(13053),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4341),
    [sym_line_comment] = STATE(4341),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4342] = {
    [sym__expression] = STATE(13476),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4342),
    [sym_line_comment] = STATE(4342),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4343] = {
    [sym__expression] = STATE(13588),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4343),
    [sym_line_comment] = STATE(4343),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4344] = {
    [sym__expression] = STATE(13573),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4344),
    [sym_line_comment] = STATE(4344),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4345] = {
    [sym__expression] = STATE(13477),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4345),
    [sym_line_comment] = STATE(4345),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4346] = {
    [sym__expression] = STATE(13574),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4346),
    [sym_line_comment] = STATE(4346),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4347] = {
    [sym__expression] = STATE(13575),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4347),
    [sym_line_comment] = STATE(4347),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4348] = {
    [sym__expression] = STATE(13576),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4348),
    [sym_line_comment] = STATE(4348),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4349] = {
    [sym__expression] = STATE(13577),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4349),
    [sym_line_comment] = STATE(4349),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4350] = {
    [sym__expression] = STATE(13578),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4350),
    [sym_line_comment] = STATE(4350),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4351] = {
    [sym__expression] = STATE(13579),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4351),
    [sym_line_comment] = STATE(4351),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4352] = {
    [sym__expression] = STATE(13580),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4352),
    [sym_line_comment] = STATE(4352),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4353] = {
    [sym__expression] = STATE(13581),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4353),
    [sym_line_comment] = STATE(4353),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4354] = {
    [sym__expression] = STATE(13582),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4354),
    [sym_line_comment] = STATE(4354),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4355] = {
    [sym__expression] = STATE(13583),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4355),
    [sym_line_comment] = STATE(4355),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4356] = {
    [sym__expression] = STATE(11979),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4356),
    [sym_line_comment] = STATE(4356),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4357] = {
    [sym__expression] = STATE(13190),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4357),
    [sym_line_comment] = STATE(4357),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4358] = {
    [sym__expression] = STATE(13193),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4358),
    [sym_line_comment] = STATE(4358),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4359] = {
    [sym__expression] = STATE(13194),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4359),
    [sym_line_comment] = STATE(4359),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4360] = {
    [sym__expression] = STATE(13206),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4360),
    [sym_line_comment] = STATE(4360),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4361] = {
    [sym__expression] = STATE(13207),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4361),
    [sym_line_comment] = STATE(4361),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4362] = {
    [sym__expression] = STATE(13208),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4362),
    [sym_line_comment] = STATE(4362),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4363] = {
    [sym__expression] = STATE(13209),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4363),
    [sym_line_comment] = STATE(4363),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4364] = {
    [sym__expression] = STATE(13210),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4364),
    [sym_line_comment] = STATE(4364),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4365] = {
    [sym__expression] = STATE(12963),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10882),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19577),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12917),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(60),
    [sym_identifier] = STATE(10732),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4365),
    [sym_line_comment] = STATE(4365),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3524),
    [anon_sym_const] = ACTIONS(3526),
    [anon_sym_global] = ACTIONS(3528),
    [anon_sym_local] = ACTIONS(3530),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3941),
    [sym__type_order_operator] = ACTIONS(3941),
    [sym__unary_operator] = ACTIONS(3943),
    [sym__unary_plus_operator] = ACTIONS(3943),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4366] = {
    [sym__expression] = STATE(13617),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4366),
    [sym_line_comment] = STATE(4366),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4367] = {
    [sym__expression] = STATE(9694),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4367),
    [sym_line_comment] = STATE(4367),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4368] = {
    [sym__expression] = STATE(13618),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11000),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19533),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13280),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(62),
    [sym_identifier] = STATE(10661),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4368),
    [sym_line_comment] = STATE(4368),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3506),
    [anon_sym_const] = ACTIONS(3508),
    [anon_sym_global] = ACTIONS(3510),
    [anon_sym_local] = ACTIONS(3512),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3877),
    [sym__type_order_operator] = ACTIONS(3877),
    [sym__unary_operator] = ACTIONS(3879),
    [sym__unary_plus_operator] = ACTIONS(3879),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4369] = {
    [sym__expression] = STATE(9696),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4369),
    [sym_line_comment] = STATE(4369),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4370] = {
    [sym__expression] = STATE(9697),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4370),
    [sym_line_comment] = STATE(4370),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4371] = {
    [sym__expression] = STATE(9698),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4371),
    [sym_line_comment] = STATE(4371),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4372] = {
    [sym__expression] = STATE(9699),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4372),
    [sym_line_comment] = STATE(4372),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4373] = {
    [sym__expression] = STATE(9700),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4373),
    [sym_line_comment] = STATE(4373),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4374] = {
    [sym__expression] = STATE(9702),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4374),
    [sym_line_comment] = STATE(4374),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4375] = {
    [sym__expression] = STATE(9703),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4375),
    [sym_line_comment] = STATE(4375),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4376] = {
    [sym__expression] = STATE(9706),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4376),
    [sym_line_comment] = STATE(4376),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4377] = {
    [sym__expression] = STATE(9708),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4377),
    [sym_line_comment] = STATE(4377),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4378] = {
    [sym__expression] = STATE(9710),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4378),
    [sym_line_comment] = STATE(4378),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4379] = {
    [sym__expression] = STATE(9558),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4379),
    [sym_line_comment] = STATE(4379),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4380] = {
    [sym__expression] = STATE(9261),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4380),
    [sym_line_comment] = STATE(4380),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9165),
    [sym__type_order_operator] = ACTIONS(9165),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4381] = {
    [sym__expression] = STATE(9717),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4381),
    [sym_line_comment] = STATE(4381),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4382] = {
    [sym__expression] = STATE(9175),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4382),
    [sym_line_comment] = STATE(4382),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9165),
    [sym__type_order_operator] = ACTIONS(9165),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4383] = {
    [sym__expression] = STATE(9176),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4383),
    [sym_line_comment] = STATE(4383),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9165),
    [sym__type_order_operator] = ACTIONS(9165),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4384] = {
    [sym__expression] = STATE(9178),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4384),
    [sym_line_comment] = STATE(4384),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9165),
    [sym__type_order_operator] = ACTIONS(9165),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4385] = {
    [sym__expression] = STATE(9179),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4385),
    [sym_line_comment] = STATE(4385),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9165),
    [sym__type_order_operator] = ACTIONS(9165),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4386] = {
    [sym__expression] = STATE(9593),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5458),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19553),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9467),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4596),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4386),
    [sym_line_comment] = STATE(4386),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9135),
    [sym__type_order_operator] = ACTIONS(9135),
    [sym__unary_operator] = ACTIONS(3945),
    [sym__unary_plus_operator] = ACTIONS(3945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4387] = {
    [sym__expression] = STATE(13752),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4387),
    [sym_line_comment] = STATE(4387),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4388] = {
    [sym__expression] = STATE(13755),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4388),
    [sym_line_comment] = STATE(4388),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4389] = {
    [sym__expression] = STATE(13756),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4389),
    [sym_line_comment] = STATE(4389),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4390] = {
    [sym__expression] = STATE(13757),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4390),
    [sym_line_comment] = STATE(4390),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4391] = {
    [sym__expression] = STATE(13758),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4391),
    [sym_line_comment] = STATE(4391),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4392] = {
    [sym__expression] = STATE(13759),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4392),
    [sym_line_comment] = STATE(4392),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4393] = {
    [sym__expression] = STATE(13760),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4393),
    [sym_line_comment] = STATE(4393),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4394] = {
    [sym__expression] = STATE(13761),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4394),
    [sym_line_comment] = STATE(4394),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4395] = {
    [sym__expression] = STATE(13542),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4395),
    [sym_line_comment] = STATE(4395),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4396] = {
    [sym__expression] = STATE(13599),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4396),
    [sym_line_comment] = STATE(4396),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4397] = {
    [sym__expression] = STATE(13778),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4397),
    [sym_line_comment] = STATE(4397),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4398] = {
    [sym__expression] = STATE(13750),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4398),
    [sym_line_comment] = STATE(4398),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4399] = {
    [sym__expression] = STATE(13751),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4399),
    [sym_line_comment] = STATE(4399),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4400] = {
    [sym__expression] = STATE(9620),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4400),
    [sym_line_comment] = STATE(4400),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4401] = {
    [sym__expression] = STATE(13753),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4401),
    [sym_line_comment] = STATE(4401),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4402] = {
    [sym__expression] = STATE(13754),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11225),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5825),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19566),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13631),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(75),
    [sym_identifier] = STATE(10974),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9774),
    [sym_float_literal] = STATE(9774),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4402),
    [sym_line_comment] = STATE(4402),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3658),
    [anon_sym_const] = ACTIONS(3660),
    [anon_sym_global] = ACTIONS(3662),
    [anon_sym_local] = ACTIONS(3664),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(1647),
    [anon_sym_public] = ACTIONS(1649),
    [anon_sym_import] = ACTIONS(1651),
    [anon_sym_using] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3666),
    [anon_sym_COLON2] = ACTIONS(1663),
    [anon_sym_COLON_COLON] = ACTIONS(3668),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(1675),
    [aux_sym_integer_literal_token2] = ACTIONS(1675),
    [aux_sym_integer_literal_token3] = ACTIONS(1677),
    [aux_sym_integer_literal_token4] = ACTIONS(1679),
    [aux_sym_float_literal_token1] = ACTIONS(1681),
    [aux_sym_float_literal_token3] = ACTIONS(1681),
    [aux_sym_float_literal_token4] = ACTIONS(1681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3995),
    [sym__type_order_operator] = ACTIONS(3995),
    [sym__unary_operator] = ACTIONS(3997),
    [sym__unary_plus_operator] = ACTIONS(3997),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4403] = {
    [sym__expression] = STATE(9623),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4403),
    [sym_line_comment] = STATE(4403),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4404] = {
    [sym__expression] = STATE(9624),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4404),
    [sym_line_comment] = STATE(4404),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4405] = {
    [sym__expression] = STATE(9625),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4405),
    [sym_line_comment] = STATE(4405),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4406] = {
    [sym__expression] = STATE(9626),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4406),
    [sym_line_comment] = STATE(4406),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4407] = {
    [sym__expression] = STATE(9627),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4407),
    [sym_line_comment] = STATE(4407),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4408] = {
    [sym__expression] = STATE(9628),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4408),
    [sym_line_comment] = STATE(4408),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4409] = {
    [sym__expression] = STATE(9629),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4409),
    [sym_line_comment] = STATE(4409),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4410] = {
    [sym__expression] = STATE(8544),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4410),
    [sym_line_comment] = STATE(4410),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4411] = {
    [sym__expression] = STATE(13600),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4411),
    [sym_line_comment] = STATE(4411),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4412] = {
    [sym__expression] = STATE(9609),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4412),
    [sym_line_comment] = STATE(4412),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4413] = {
    [sym__expression] = STATE(9618),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4413),
    [sym_line_comment] = STATE(4413),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4414] = {
    [sym__expression] = STATE(9619),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4414),
    [sym_line_comment] = STATE(4414),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4415] = {
    [sym__expression] = STATE(14338),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4415),
    [sym_line_comment] = STATE(4415),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4416] = {
    [sym__expression] = STATE(9621),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4416),
    [sym_line_comment] = STATE(4416),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4417] = {
    [sym__expression] = STATE(9622),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5465),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19567),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9494),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(23),
    [sym_identifier] = STATE(4744),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4417),
    [sym_line_comment] = STATE(4417),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(739),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_global] = ACTIONS(743),
    [anon_sym_local] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(4475),
    [sym__type_order_operator] = ACTIONS(4475),
    [sym__unary_operator] = ACTIONS(3947),
    [sym__unary_plus_operator] = ACTIONS(3947),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4418] = {
    [sym__expression] = STATE(14342),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4418),
    [sym_line_comment] = STATE(4418),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4419] = {
    [sym__expression] = STATE(14344),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4419),
    [sym_line_comment] = STATE(4419),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4420] = {
    [sym__expression] = STATE(14345),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4420),
    [sym_line_comment] = STATE(4420),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4421] = {
    [sym__expression] = STATE(14346),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4421),
    [sym_line_comment] = STATE(4421),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4422] = {
    [sym__expression] = STATE(14347),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4422),
    [sym_line_comment] = STATE(4422),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4423] = {
    [sym__expression] = STATE(14348),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4423),
    [sym_line_comment] = STATE(4423),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4424] = {
    [sym__expression] = STATE(14349),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4424),
    [sym_line_comment] = STATE(4424),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4425] = {
    [sym__expression] = STATE(14031),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4425),
    [sym_line_comment] = STATE(4425),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4426] = {
    [sym__expression] = STATE(14337),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4426),
    [sym_line_comment] = STATE(4426),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4427] = {
    [sym__expression] = STATE(14340),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4427),
    [sym_line_comment] = STATE(4427),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4428] = {
    [sym__expression] = STATE(14341),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4428),
    [sym_line_comment] = STATE(4428),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4429] = {
    [sym__expression] = STATE(9218),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4429),
    [sym_line_comment] = STATE(4429),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4430] = {
    [sym__expression] = STATE(9221),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4430),
    [sym_line_comment] = STATE(4430),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4431] = {
    [sym__expression] = STATE(9222),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4431),
    [sym_line_comment] = STATE(4431),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4432] = {
    [sym__expression] = STATE(9253),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4432),
    [sym_line_comment] = STATE(4432),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4433] = {
    [sym__expression] = STATE(9254),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4433),
    [sym_line_comment] = STATE(4433),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4434] = {
    [sym__expression] = STATE(9255),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4434),
    [sym_line_comment] = STATE(4434),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4435] = {
    [sym__expression] = STATE(9256),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4435),
    [sym_line_comment] = STATE(4435),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4436] = {
    [sym__expression] = STATE(9257),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4436),
    [sym_line_comment] = STATE(4436),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4437] = {
    [sym__expression] = STATE(8183),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4437),
    [sym_line_comment] = STATE(4437),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4438] = {
    [sym__expression] = STATE(13601),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(10989),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(20319),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13308),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(41),
    [sym_identifier] = STATE(10831),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4438),
    [sym_line_comment] = STATE(4438),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(3550),
    [anon_sym_const] = ACTIONS(3552),
    [anon_sym_global] = ACTIONS(3554),
    [anon_sym_local] = ACTIONS(3556),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(95),
    [sym__type_order_operator] = ACTIONS(95),
    [sym__unary_operator] = ACTIONS(97),
    [sym__unary_plus_operator] = ACTIONS(97),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4439] = {
    [sym__expression] = STATE(14432),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4439),
    [sym_line_comment] = STATE(4439),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4440] = {
    [sym__expression] = STATE(14360),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11720),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19571),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13905),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(144),
    [sym_identifier] = STATE(11067),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4440),
    [sym_line_comment] = STATE(4440),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3955),
    [anon_sym_const] = ACTIONS(3957),
    [anon_sym_global] = ACTIONS(3959),
    [anon_sym_local] = ACTIONS(3961),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4089),
    [sym__type_order_operator] = ACTIONS(4089),
    [sym__unary_operator] = ACTIONS(4091),
    [sym__unary_plus_operator] = ACTIONS(4091),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4441] = {
    [sym__expression] = STATE(13771),
    [sym_module_definition] = STATE(12042),
    [sym_abstract_definition] = STATE(12042),
    [sym_primitive_definition] = STATE(12042),
    [sym_struct_definition] = STATE(12042),
    [sym_function_definition] = STATE(12042),
    [sym_macro_definition] = STATE(12042),
    [sym_compound_statement] = STATE(12042),
    [sym_quote_statement] = STATE(12042),
    [sym_let_statement] = STATE(12042),
    [sym_if_statement] = STATE(12042),
    [sym_try_statement] = STATE(12042),
    [sym_for_statement] = STATE(12042),
    [sym_while_statement] = STATE(12042),
    [sym_return_statement] = STATE(12042),
    [sym_const_statement] = STATE(12042),
    [sym_global_statement] = STATE(12042),
    [sym_local_statement] = STATE(12042),
    [sym_export_statement] = STATE(12042),
    [sym_public_statement] = STATE(12042),
    [sym_import_statement] = STATE(12042),
    [sym_using_statement] = STATE(12042),
    [sym__primary_expression] = STATE(11169),
    [sym__array] = STATE(10543),
    [sym_comprehension_expression] = STATE(10540),
    [sym_matrix_expression] = STATE(10540),
    [sym_vector_expression] = STATE(10540),
    [sym_parenthesized_expression] = STATE(10543),
    [sym_tuple_expression] = STATE(10543),
    [sym_curly_expression] = STATE(10543),
    [sym_adjoint_expression] = STATE(6025),
    [sym_field_expression] = STATE(10543),
    [sym_index_expression] = STATE(10543),
    [sym_parametrized_type_expression] = STATE(10543),
    [sym_call_expression] = STATE(10543),
    [sym_broadcast_call_expression] = STATE(10543),
    [sym__closed_macrocall_expression] = STATE(10543),
    [sym_macrocall_expression] = STATE(12042),
    [sym_argument_list] = STATE(18794),
    [sym_interpolation_expression] = STATE(10543),
    [sym_quote_expression] = STATE(10543),
    [sym_binary_expression] = STATE(12042),
    [sym_unary_expression] = STATE(12042),
    [sym_range_expression] = STATE(12042),
    [sym_splat_expression] = STATE(12042),
    [sym_ternary_expression] = STATE(12042),
    [sym_typed_expression] = STATE(13557),
    [sym_unary_typed_expression] = STATE(12042),
    [sym_arrow_function_expression] = STATE(12042),
    [sym_juxtaposition_expression] = STATE(12042),
    [sym_compound_assignment_expression] = STATE(12042),
    [sym_where_expression] = STATE(12042),
    [sym_macro_identifier] = STATE(82),
    [sym_identifier] = STATE(10761),
    [sym_boolean_literal] = STATE(10543),
    [sym_integer_literal] = STATE(9841),
    [sym_float_literal] = STATE(9841),
    [sym__string] = STATE(10543),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(11981),
    [sym_block_comment] = STATE(4441),
    [sym_line_comment] = STATE(4441),
    [sym__word_identifier] = ACTIONS(9),
    [anon_sym_begin] = ACTIONS(11),
    [anon_sym_module] = ACTIONS(13),
    [anon_sym_baremodule] = ACTIONS(13),
    [anon_sym_abstract] = ACTIONS(15),
    [anon_sym_primitive] = ACTIONS(17),
    [anon_sym_mutable] = ACTIONS(19),
    [anon_sym_struct] = ACTIONS(21),
    [anon_sym_function] = ACTIONS(23),
    [anon_sym_macro] = ACTIONS(25),
    [anon_sym_quote] = ACTIONS(27),
    [anon_sym_let] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_try] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_while] = ACTIONS(37),
    [sym_break_statement] = ACTIONS(39),
    [sym_continue_statement] = ACTIONS(39),
    [anon_sym_return] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_global] = ACTIONS(45),
    [anon_sym_local] = ACTIONS(47),
    [anon_sym_LPAREN] = ACTIONS(49),
    [anon_sym_export] = ACTIONS(51),
    [anon_sym_public] = ACTIONS(53),
    [anon_sym_import] = ACTIONS(55),
    [anon_sym_using] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR] = ACTIONS(63),
    [anon_sym_COLON2] = ACTIONS(65),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(71),
    [anon_sym_false] = ACTIONS(71),
    [aux_sym_integer_literal_token1] = ACTIONS(73),
    [aux_sym_integer_literal_token2] = ACTIONS(73),
    [aux_sym_integer_literal_token3] = ACTIONS(75),
    [aux_sym_integer_literal_token4] = ACTIONS(77),
    [aux_sym_float_literal_token1] = ACTIONS(79),
    [aux_sym_float_literal_token3] = ACTIONS(79),
    [aux_sym_float_literal_token4] = ACTIONS(79),
    [sym_character_literal] = ACTIONS(81),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(91),
    [sym__arrow_operator] = ACTIONS(93),
    [sym__comparison_operator] = ACTIONS(93),
    [sym__pipe_right_operator] = ACTIONS(91),
    [sym__pipe_left_operator] = ACTIONS(91),
    [sym__ellipsis_operator] = ACTIONS(91),
    [sym__plus_operator] = ACTIONS(93),
    [sym__times_operator] = ACTIONS(93),
    [sym__rational_operator] = ACTIONS(91),
    [sym__bitshift_operator] = ACTIONS(91),
    [sym__power_operator] = ACTIONS(91),
    [sym__tilde_operator] = ACTIONS(9163),
    [sym__type_order_operator] = ACTIONS(9163),
    [sym__unary_operator] = ACTIONS(3939),
    [sym__unary_plus_operator] = ACTIONS(3939),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4442] = {
    [sym__expression] = STATE(13370),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4442),
    [sym_line_comment] = STATE(4442),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4443] = {
    [sym__expression] = STATE(13330),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4443),
    [sym_line_comment] = STATE(4443),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4444] = {
    [sym__expression] = STATE(13331),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4444),
    [sym_line_comment] = STATE(4444),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4445] = {
    [sym__expression] = STATE(13333),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4445),
    [sym_line_comment] = STATE(4445),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4446] = {
    [sym__expression] = STATE(13334),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4446),
    [sym_line_comment] = STATE(4446),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4447] = {
    [sym__expression] = STATE(213),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(5182),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19848),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8586),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4548),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4447),
    [sym_line_comment] = STATE(4447),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9137),
    [sym__type_order_operator] = ACTIONS(9137),
    [sym__unary_operator] = ACTIONS(3224),
    [sym__unary_plus_operator] = ACTIONS(3224),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4448] = {
    [sym__expression] = STATE(13173),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4448),
    [sym_line_comment] = STATE(4448),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4449] = {
    [sym__expression] = STATE(13340),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10844),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19565),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12920),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(25),
    [sym_identifier] = STATE(10727),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4449),
    [sym_line_comment] = STATE(4449),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3240),
    [anon_sym_const] = ACTIONS(3242),
    [anon_sym_global] = ACTIONS(3244),
    [anon_sym_local] = ACTIONS(3246),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3270),
    [sym__type_order_operator] = ACTIONS(3270),
    [sym__unary_operator] = ACTIONS(3272),
    [sym__unary_plus_operator] = ACTIONS(3272),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4450] = {
    [sym__expression] = STATE(9252),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4450),
    [sym_line_comment] = STATE(4450),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4451] = {
    [sym__expression] = STATE(9216),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4451),
    [sym_line_comment] = STATE(4451),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4452] = {
    [sym__expression] = STATE(9217),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4452),
    [sym_line_comment] = STATE(4452),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4453] = {
    [sym__expression] = STATE(9219),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4453),
    [sym_line_comment] = STATE(4453),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4454] = {
    [sym__expression] = STATE(9220),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4727),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19570),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8388),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(7),
    [sym_identifier] = STATE(4574),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4454),
    [sym_line_comment] = STATE(4454),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(371),
    [anon_sym_const] = ACTIONS(373),
    [anon_sym_global] = ACTIONS(375),
    [anon_sym_local] = ACTIONS(377),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9133),
    [sym__type_order_operator] = ACTIONS(9133),
    [sym__unary_operator] = ACTIONS(3564),
    [sym__unary_plus_operator] = ACTIONS(3564),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4455] = {
    [sym__expression] = STATE(9610),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5452),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19569),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9417),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4722),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4455),
    [sym_line_comment] = STATE(4455),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9127),
    [sym__type_order_operator] = ACTIONS(9127),
    [sym__unary_operator] = ACTIONS(3889),
    [sym__unary_plus_operator] = ACTIONS(3889),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4456] = {
    [sym__expression] = STATE(13332),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4456),
    [sym_line_comment] = STATE(4456),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4457] = {
    [sym__expression] = STATE(13335),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4457),
    [sym_line_comment] = STATE(4457),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4458] = {
    [sym__expression] = STATE(13336),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4458),
    [sym_line_comment] = STATE(4458),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4459] = {
    [sym__expression] = STATE(13349),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4459),
    [sym_line_comment] = STATE(4459),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4460] = {
    [sym__expression] = STATE(13350),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4460),
    [sym_line_comment] = STATE(4460),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4461] = {
    [sym__expression] = STATE(13351),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4461),
    [sym_line_comment] = STATE(4461),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4462] = {
    [sym__expression] = STATE(13352),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4462),
    [sym_line_comment] = STATE(4462),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4463] = {
    [sym__expression] = STATE(13353),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4463),
    [sym_line_comment] = STATE(4463),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4464] = {
    [sym__expression] = STATE(12963),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(10847),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(5344),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19573),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(12915),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(64),
    [sym_identifier] = STATE(10506),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9400),
    [sym_float_literal] = STATE(9400),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4464),
    [sym_line_comment] = STATE(4464),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3881),
    [anon_sym_const] = ACTIONS(3883),
    [anon_sym_global] = ACTIONS(3885),
    [anon_sym_local] = ACTIONS(3887),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3532),
    [anon_sym_public] = ACTIONS(3534),
    [anon_sym_import] = ACTIONS(3536),
    [anon_sym_using] = ACTIONS(3538),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3540),
    [anon_sym_COLON2] = ACTIONS(3542),
    [anon_sym_COLON_COLON] = ACTIONS(3544),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(675),
    [aux_sym_integer_literal_token2] = ACTIONS(675),
    [aux_sym_integer_literal_token3] = ACTIONS(677),
    [aux_sym_integer_literal_token4] = ACTIONS(679),
    [aux_sym_float_literal_token1] = ACTIONS(681),
    [aux_sym_float_literal_token3] = ACTIONS(681),
    [aux_sym_float_literal_token4] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(3949),
    [sym__type_order_operator] = ACTIONS(3949),
    [sym__unary_operator] = ACTIONS(3951),
    [sym__unary_plus_operator] = ACTIONS(3951),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4465] = {
    [sym__expression] = STATE(9868),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4465),
    [sym_line_comment] = STATE(4465),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9167),
    [sym__type_order_operator] = ACTIONS(9167),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4466] = {
    [sym__expression] = STATE(9871),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4466),
    [sym_line_comment] = STATE(4466),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9167),
    [sym__type_order_operator] = ACTIONS(9167),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4467] = {
    [sym__expression] = STATE(9872),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4467),
    [sym_line_comment] = STATE(4467),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9167),
    [sym__type_order_operator] = ACTIONS(9167),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4468] = {
    [sym__expression] = STATE(9873),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4468),
    [sym_line_comment] = STATE(4468),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9167),
    [sym__type_order_operator] = ACTIONS(9167),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4469] = {
    [sym__expression] = STATE(9874),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4469),
    [sym_line_comment] = STATE(4469),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9167),
    [sym__type_order_operator] = ACTIONS(9167),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4470] = {
    [sym__expression] = STATE(9875),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4470),
    [sym_line_comment] = STATE(4470),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9167),
    [sym__type_order_operator] = ACTIONS(9167),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4471] = {
    [sym__expression] = STATE(9876),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4471),
    [sym_line_comment] = STATE(4471),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9167),
    [sym__type_order_operator] = ACTIONS(9167),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4472] = {
    [sym__expression] = STATE(9877),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4472),
    [sym_line_comment] = STATE(4472),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9167),
    [sym__type_order_operator] = ACTIONS(9167),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4473] = {
    [sym__expression] = STATE(8544),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4473),
    [sym_line_comment] = STATE(4473),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9167),
    [sym__type_order_operator] = ACTIONS(9167),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4474] = {
    [sym__expression] = STATE(9865),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4474),
    [sym_line_comment] = STATE(4474),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9167),
    [sym__type_order_operator] = ACTIONS(9167),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4475] = {
    [sym__expression] = STATE(9866),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4475),
    [sym_line_comment] = STATE(4475),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9167),
    [sym__type_order_operator] = ACTIONS(9167),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4476] = {
    [sym__expression] = STATE(9867),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4476),
    [sym_line_comment] = STATE(4476),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9167),
    [sym__type_order_operator] = ACTIONS(9167),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4477] = {
    [sym__expression] = STATE(9869),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4477),
    [sym_line_comment] = STATE(4477),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9167),
    [sym__type_order_operator] = ACTIONS(9167),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4478] = {
    [sym__expression] = STATE(9870),
    [sym_module_definition] = STATE(8926),
    [sym_abstract_definition] = STATE(8926),
    [sym_primitive_definition] = STATE(8926),
    [sym_struct_definition] = STATE(8926),
    [sym_function_definition] = STATE(8926),
    [sym_macro_definition] = STATE(8926),
    [sym_compound_statement] = STATE(8926),
    [sym_quote_statement] = STATE(8926),
    [sym_let_statement] = STATE(8926),
    [sym_if_statement] = STATE(8926),
    [sym_try_statement] = STATE(8926),
    [sym_for_statement] = STATE(8926),
    [sym_while_statement] = STATE(8926),
    [sym_return_statement] = STATE(8926),
    [sym_const_statement] = STATE(8926),
    [sym_global_statement] = STATE(8926),
    [sym_local_statement] = STATE(8926),
    [sym_export_statement] = STATE(8926),
    [sym_public_statement] = STATE(8926),
    [sym_import_statement] = STATE(8926),
    [sym_using_statement] = STATE(8926),
    [sym__primary_expression] = STATE(5776),
    [sym__array] = STATE(5283),
    [sym_comprehension_expression] = STATE(5284),
    [sym_matrix_expression] = STATE(5284),
    [sym_vector_expression] = STATE(5284),
    [sym_parenthesized_expression] = STATE(5283),
    [sym_tuple_expression] = STATE(5283),
    [sym_curly_expression] = STATE(5283),
    [sym_adjoint_expression] = STATE(4516),
    [sym_field_expression] = STATE(5283),
    [sym_index_expression] = STATE(5283),
    [sym_parametrized_type_expression] = STATE(5283),
    [sym_call_expression] = STATE(5283),
    [sym_broadcast_call_expression] = STATE(5283),
    [sym__closed_macrocall_expression] = STATE(5283),
    [sym_macrocall_expression] = STATE(8926),
    [sym_argument_list] = STATE(19561),
    [sym_interpolation_expression] = STATE(5283),
    [sym_quote_expression] = STATE(5283),
    [sym_binary_expression] = STATE(8926),
    [sym_unary_expression] = STATE(8926),
    [sym_range_expression] = STATE(8926),
    [sym_splat_expression] = STATE(8926),
    [sym_ternary_expression] = STATE(8926),
    [sym_typed_expression] = STATE(9613),
    [sym_unary_typed_expression] = STATE(8926),
    [sym_arrow_function_expression] = STATE(8926),
    [sym_juxtaposition_expression] = STATE(8926),
    [sym_compound_assignment_expression] = STATE(8926),
    [sym_where_expression] = STATE(8926),
    [sym_macro_identifier] = STATE(56),
    [sym_identifier] = STATE(4822),
    [sym_boolean_literal] = STATE(5283),
    [sym_integer_literal] = STATE(4525),
    [sym_float_literal] = STATE(4525),
    [sym__string] = STATE(5283),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(8386),
    [sym_block_comment] = STATE(4478),
    [sym_line_comment] = STATE(4478),
    [sym__word_identifier] = ACTIONS(707),
    [anon_sym_begin] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(711),
    [anon_sym_baremodule] = ACTIONS(711),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_primitive] = ACTIONS(715),
    [anon_sym_mutable] = ACTIONS(717),
    [anon_sym_struct] = ACTIONS(719),
    [anon_sym_function] = ACTIONS(721),
    [anon_sym_macro] = ACTIONS(723),
    [anon_sym_quote] = ACTIONS(725),
    [anon_sym_let] = ACTIONS(727),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(735),
    [sym_break_statement] = ACTIONS(737),
    [sym_continue_statement] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(1031),
    [anon_sym_const] = ACTIONS(1033),
    [anon_sym_global] = ACTIONS(1035),
    [anon_sym_local] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(4455),
    [anon_sym_export] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_using] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(4461),
    [anon_sym_DOLLAR] = ACTIONS(4463),
    [anon_sym_COLON2] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(4465),
    [anon_sym_AT] = ACTIONS(69),
    [anon_sym_true] = ACTIONS(769),
    [anon_sym_false] = ACTIONS(769),
    [aux_sym_integer_literal_token1] = ACTIONS(4467),
    [aux_sym_integer_literal_token2] = ACTIONS(4467),
    [aux_sym_integer_literal_token3] = ACTIONS(771),
    [aux_sym_integer_literal_token4] = ACTIONS(773),
    [aux_sym_float_literal_token1] = ACTIONS(4469),
    [aux_sym_float_literal_token3] = ACTIONS(4469),
    [aux_sym_float_literal_token4] = ACTIONS(4469),
    [sym_character_literal] = ACTIONS(4471),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(4473),
    [sym__arrow_operator] = ACTIONS(779),
    [sym__comparison_operator] = ACTIONS(779),
    [sym__pipe_right_operator] = ACTIONS(4473),
    [sym__pipe_left_operator] = ACTIONS(4473),
    [sym__ellipsis_operator] = ACTIONS(4473),
    [sym__plus_operator] = ACTIONS(779),
    [sym__times_operator] = ACTIONS(779),
    [sym__rational_operator] = ACTIONS(4473),
    [sym__bitshift_operator] = ACTIONS(4473),
    [sym__power_operator] = ACTIONS(4473),
    [sym__tilde_operator] = ACTIONS(9167),
    [sym__type_order_operator] = ACTIONS(9167),
    [sym__unary_operator] = ACTIONS(3953),
    [sym__unary_plus_operator] = ACTIONS(3953),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4479] = {
    [sym__expression] = STATE(14371),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4479),
    [sym_line_comment] = STATE(4479),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4480] = {
    [sym__expression] = STATE(14416),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4480),
    [sym_line_comment] = STATE(4480),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4481] = {
    [sym__expression] = STATE(14417),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4481),
    [sym_line_comment] = STATE(4481),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4482] = {
    [sym__expression] = STATE(9177),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4482),
    [sym_line_comment] = STATE(4482),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9165),
    [sym__type_order_operator] = ACTIONS(9165),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4483] = {
    [sym__expression] = STATE(9180),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4483),
    [sym_line_comment] = STATE(4483),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9165),
    [sym__type_order_operator] = ACTIONS(9165),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4484] = {
    [sym__expression] = STATE(9181),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4484),
    [sym_line_comment] = STATE(4484),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9165),
    [sym__type_order_operator] = ACTIONS(9165),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4485] = {
    [sym__expression] = STATE(9262),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4485),
    [sym_line_comment] = STATE(4485),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9165),
    [sym__type_order_operator] = ACTIONS(9165),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4486] = {
    [sym__expression] = STATE(9263),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4486),
    [sym_line_comment] = STATE(4486),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9165),
    [sym__type_order_operator] = ACTIONS(9165),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4487] = {
    [sym__expression] = STATE(9264),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4487),
    [sym_line_comment] = STATE(4487),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9165),
    [sym__type_order_operator] = ACTIONS(9165),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4488] = {
    [sym__expression] = STATE(9265),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4488),
    [sym_line_comment] = STATE(4488),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9165),
    [sym__type_order_operator] = ACTIONS(9165),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4489] = {
    [sym__expression] = STATE(8740),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4489),
    [sym_line_comment] = STATE(4489),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9165),
    [sym__type_order_operator] = ACTIONS(9165),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4490] = {
    [sym__expression] = STATE(8183),
    [sym_module_definition] = STATE(8439),
    [sym_abstract_definition] = STATE(8439),
    [sym_primitive_definition] = STATE(8439),
    [sym_struct_definition] = STATE(8439),
    [sym_function_definition] = STATE(8439),
    [sym_macro_definition] = STATE(8439),
    [sym_compound_statement] = STATE(8439),
    [sym_quote_statement] = STATE(8439),
    [sym_let_statement] = STATE(8439),
    [sym_if_statement] = STATE(8439),
    [sym_try_statement] = STATE(8439),
    [sym_for_statement] = STATE(8439),
    [sym_while_statement] = STATE(8439),
    [sym_return_statement] = STATE(8439),
    [sym_const_statement] = STATE(8439),
    [sym_global_statement] = STATE(8439),
    [sym_local_statement] = STATE(8439),
    [sym_export_statement] = STATE(8439),
    [sym_public_statement] = STATE(8439),
    [sym_import_statement] = STATE(8439),
    [sym_using_statement] = STATE(8439),
    [sym__primary_expression] = STATE(4802),
    [sym__array] = STATE(4680),
    [sym_comprehension_expression] = STATE(4774),
    [sym_matrix_expression] = STATE(4774),
    [sym_vector_expression] = STATE(4774),
    [sym_parenthesized_expression] = STATE(4680),
    [sym_tuple_expression] = STATE(4680),
    [sym_curly_expression] = STATE(4680),
    [sym_adjoint_expression] = STATE(4512),
    [sym_field_expression] = STATE(4680),
    [sym_index_expression] = STATE(4680),
    [sym_parametrized_type_expression] = STATE(4680),
    [sym_call_expression] = STATE(4680),
    [sym_broadcast_call_expression] = STATE(4680),
    [sym__closed_macrocall_expression] = STATE(4680),
    [sym_macrocall_expression] = STATE(8439),
    [sym_argument_list] = STATE(19543),
    [sym_interpolation_expression] = STATE(4680),
    [sym_quote_expression] = STATE(4680),
    [sym_binary_expression] = STATE(8439),
    [sym_unary_expression] = STATE(8439),
    [sym_range_expression] = STATE(8439),
    [sym_splat_expression] = STATE(8439),
    [sym_ternary_expression] = STATE(8439),
    [sym_typed_expression] = STATE(8403),
    [sym_unary_typed_expression] = STATE(8439),
    [sym_arrow_function_expression] = STATE(8439),
    [sym_juxtaposition_expression] = STATE(8439),
    [sym_compound_assignment_expression] = STATE(8439),
    [sym_where_expression] = STATE(8439),
    [sym_macro_identifier] = STATE(13),
    [sym_identifier] = STATE(4544),
    [sym_boolean_literal] = STATE(4680),
    [sym_integer_literal] = STATE(4522),
    [sym_float_literal] = STATE(4522),
    [sym__string] = STATE(4680),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(7213),
    [sym_block_comment] = STATE(4490),
    [sym_line_comment] = STATE(4490),
    [sym__word_identifier] = ACTIONS(339),
    [anon_sym_begin] = ACTIONS(341),
    [anon_sym_module] = ACTIONS(343),
    [anon_sym_baremodule] = ACTIONS(343),
    [anon_sym_abstract] = ACTIONS(345),
    [anon_sym_primitive] = ACTIONS(347),
    [anon_sym_mutable] = ACTIONS(349),
    [anon_sym_struct] = ACTIONS(351),
    [anon_sym_function] = ACTIONS(353),
    [anon_sym_macro] = ACTIONS(355),
    [anon_sym_quote] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(361),
    [anon_sym_try] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(367),
    [sym_break_statement] = ACTIONS(369),
    [sym_continue_statement] = ACTIONS(369),
    [anon_sym_return] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(529),
    [anon_sym_global] = ACTIONS(531),
    [anon_sym_local] = ACTIONS(533),
    [anon_sym_LPAREN] = ACTIONS(7383),
    [anon_sym_export] = ACTIONS(381),
    [anon_sym_public] = ACTIONS(383),
    [anon_sym_import] = ACTIONS(385),
    [anon_sym_using] = ACTIONS(387),
    [anon_sym_LBRACK] = ACTIONS(7385),
    [anon_sym_LBRACE] = ACTIONS(7387),
    [anon_sym_DOLLAR] = ACTIONS(7389),
    [anon_sym_COLON2] = ACTIONS(395),
    [anon_sym_COLON_COLON] = ACTIONS(7391),
    [anon_sym_AT] = ACTIONS(4005),
    [anon_sym_true] = ACTIONS(401),
    [anon_sym_false] = ACTIONS(401),
    [aux_sym_integer_literal_token1] = ACTIONS(7393),
    [aux_sym_integer_literal_token2] = ACTIONS(7393),
    [aux_sym_integer_literal_token3] = ACTIONS(403),
    [aux_sym_integer_literal_token4] = ACTIONS(405),
    [aux_sym_float_literal_token1] = ACTIONS(7395),
    [aux_sym_float_literal_token3] = ACTIONS(7395),
    [aux_sym_float_literal_token4] = ACTIONS(7395),
    [sym_character_literal] = ACTIONS(7397),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7399),
    [sym__arrow_operator] = ACTIONS(411),
    [sym__comparison_operator] = ACTIONS(411),
    [sym__pipe_right_operator] = ACTIONS(7399),
    [sym__pipe_left_operator] = ACTIONS(7399),
    [sym__ellipsis_operator] = ACTIONS(7399),
    [sym__plus_operator] = ACTIONS(411),
    [sym__times_operator] = ACTIONS(411),
    [sym__rational_operator] = ACTIONS(7399),
    [sym__bitshift_operator] = ACTIONS(7399),
    [sym__power_operator] = ACTIONS(7399),
    [sym__tilde_operator] = ACTIONS(9165),
    [sym__type_order_operator] = ACTIONS(9165),
    [sym__unary_operator] = ACTIONS(3598),
    [sym__unary_plus_operator] = ACTIONS(3598),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4491] = {
    [sym__expression] = STATE(14410),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4491),
    [sym_line_comment] = STATE(4491),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4492] = {
    [sym__expression] = STATE(14430),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11722),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(6892),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19575),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13909),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(88),
    [sym_identifier] = STATE(11261),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(9909),
    [sym_float_literal] = STATE(9909),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4492),
    [sym_line_comment] = STATE(4492),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3905),
    [anon_sym_const] = ACTIONS(3907),
    [anon_sym_global] = ACTIONS(3909),
    [anon_sym_local] = ACTIONS(3911),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3913),
    [anon_sym_public] = ACTIONS(3915),
    [anon_sym_import] = ACTIONS(3917),
    [anon_sym_using] = ACTIONS(3919),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_COLON2] = ACTIONS(3923),
    [anon_sym_COLON_COLON] = ACTIONS(3925),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3927),
    [aux_sym_integer_literal_token2] = ACTIONS(3927),
    [aux_sym_integer_literal_token3] = ACTIONS(3929),
    [aux_sym_integer_literal_token4] = ACTIONS(3931),
    [aux_sym_float_literal_token1] = ACTIONS(3933),
    [aux_sym_float_literal_token3] = ACTIONS(3933),
    [aux_sym_float_literal_token4] = ACTIONS(3933),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4057),
    [sym__type_order_operator] = ACTIONS(4057),
    [sym__unary_operator] = ACTIONS(4059),
    [sym__unary_plus_operator] = ACTIONS(4059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4493] = {
    [sym__expression] = STATE(13637),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4493),
    [sym_line_comment] = STATE(4493),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4494] = {
    [sym__expression] = STATE(13638),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4494),
    [sym_line_comment] = STATE(4494),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4495] = {
    [sym__expression] = STATE(13639),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4495),
    [sym_line_comment] = STATE(4495),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4496] = {
    [sym__expression] = STATE(13640),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4496),
    [sym_line_comment] = STATE(4496),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4497] = {
    [sym__expression] = STATE(13641),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4497),
    [sym_line_comment] = STATE(4497),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4498] = {
    [sym__expression] = STATE(13642),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4498),
    [sym_line_comment] = STATE(4498),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4499] = {
    [sym__expression] = STATE(13643),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4499),
    [sym_line_comment] = STATE(4499),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4500] = {
    [sym__expression] = STATE(13644),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4500),
    [sym_line_comment] = STATE(4500),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4501] = {
    [sym__expression] = STATE(13645),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4501),
    [sym_line_comment] = STATE(4501),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4502] = {
    [sym__expression] = STATE(13646),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4502),
    [sym_line_comment] = STATE(4502),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4503] = {
    [sym__expression] = STATE(13647),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4503),
    [sym_line_comment] = STATE(4503),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4504] = {
    [sym__expression] = STATE(11979),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4504),
    [sym_line_comment] = STATE(4504),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4505] = {
    [sym__expression] = STATE(13652),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4505),
    [sym_line_comment] = STATE(4505),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4506] = {
    [sym__expression] = STATE(13649),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11116),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19572),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13216),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(241),
    [sym_identifier] = STATE(10662),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4506),
    [sym_line_comment] = STATE(4506),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(4041),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_global] = ACTIONS(4045),
    [anon_sym_local] = ACTIONS(4047),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4099),
    [sym__type_order_operator] = ACTIONS(4099),
    [sym__unary_operator] = ACTIONS(4101),
    [sym__unary_plus_operator] = ACTIONS(4101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4507] = {
    [sym__expression] = STATE(310),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5590),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19549),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(9657),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(71),
    [sym_identifier] = STATE(4681),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4507),
    [sym_line_comment] = STATE(4507),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(1051),
    [anon_sym_const] = ACTIONS(1053),
    [anon_sym_global] = ACTIONS(1055),
    [anon_sym_local] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(9143),
    [sym__type_order_operator] = ACTIONS(9143),
    [sym__unary_operator] = ACTIONS(3608),
    [sym__unary_plus_operator] = ACTIONS(3608),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4508] = {
    [sym__expression] = STATE(13595),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4508),
    [sym_line_comment] = STATE(4508),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4509] = {
    [sym__expression] = STATE(13650),
    [sym_module_definition] = STATE(11271),
    [sym_abstract_definition] = STATE(11271),
    [sym_primitive_definition] = STATE(11271),
    [sym_struct_definition] = STATE(11271),
    [sym_function_definition] = STATE(11271),
    [sym_macro_definition] = STATE(11271),
    [sym_compound_statement] = STATE(11271),
    [sym_quote_statement] = STATE(11271),
    [sym_let_statement] = STATE(11271),
    [sym_if_statement] = STATE(11271),
    [sym_try_statement] = STATE(11271),
    [sym_for_statement] = STATE(11271),
    [sym_while_statement] = STATE(11271),
    [sym_return_statement] = STATE(11271),
    [sym_const_statement] = STATE(11271),
    [sym_global_statement] = STATE(11271),
    [sym_local_statement] = STATE(11271),
    [sym_export_statement] = STATE(11271),
    [sym_public_statement] = STATE(11271),
    [sym_import_statement] = STATE(11271),
    [sym_using_statement] = STATE(11271),
    [sym__primary_expression] = STATE(11118),
    [sym__array] = STATE(10377),
    [sym_comprehension_expression] = STATE(10362),
    [sym_matrix_expression] = STATE(10362),
    [sym_vector_expression] = STATE(10362),
    [sym_parenthesized_expression] = STATE(10377),
    [sym_tuple_expression] = STATE(10377),
    [sym_curly_expression] = STATE(10377),
    [sym_adjoint_expression] = STATE(4621),
    [sym_field_expression] = STATE(10377),
    [sym_index_expression] = STATE(10377),
    [sym_parametrized_type_expression] = STATE(10377),
    [sym_call_expression] = STATE(10377),
    [sym_broadcast_call_expression] = STATE(10377),
    [sym__closed_macrocall_expression] = STATE(10377),
    [sym_macrocall_expression] = STATE(11271),
    [sym_argument_list] = STATE(19729),
    [sym_interpolation_expression] = STATE(10377),
    [sym_quote_expression] = STATE(10377),
    [sym_binary_expression] = STATE(11271),
    [sym_unary_expression] = STATE(11271),
    [sym_range_expression] = STATE(11271),
    [sym_splat_expression] = STATE(11271),
    [sym_ternary_expression] = STATE(11271),
    [sym_typed_expression] = STATE(13217),
    [sym_unary_typed_expression] = STATE(11271),
    [sym_arrow_function_expression] = STATE(11271),
    [sym_juxtaposition_expression] = STATE(11271),
    [sym_compound_assignment_expression] = STATE(11271),
    [sym_where_expression] = STATE(11271),
    [sym_macro_identifier] = STATE(153),
    [sym_identifier] = STATE(10801),
    [sym_boolean_literal] = STATE(10377),
    [sym_integer_literal] = STATE(7674),
    [sym_float_literal] = STATE(7674),
    [sym__string] = STATE(10377),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(11137),
    [sym_block_comment] = STATE(4509),
    [sym_line_comment] = STATE(4509),
    [sym__word_identifier] = ACTIONS(1601),
    [anon_sym_begin] = ACTIONS(1605),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_baremodule] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1609),
    [anon_sym_primitive] = ACTIONS(1611),
    [anon_sym_mutable] = ACTIONS(1613),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_function] = ACTIONS(1617),
    [anon_sym_macro] = ACTIONS(1619),
    [anon_sym_quote] = ACTIONS(1621),
    [anon_sym_let] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1629),
    [anon_sym_while] = ACTIONS(1631),
    [sym_break_statement] = ACTIONS(1633),
    [sym_continue_statement] = ACTIONS(1633),
    [anon_sym_return] = ACTIONS(3983),
    [anon_sym_const] = ACTIONS(3985),
    [anon_sym_global] = ACTIONS(3987),
    [anon_sym_local] = ACTIONS(3989),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_export] = ACTIONS(3248),
    [anon_sym_public] = ACTIONS(3250),
    [anon_sym_import] = ACTIONS(3252),
    [anon_sym_using] = ACTIONS(3254),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1659),
    [anon_sym_DOLLAR] = ACTIONS(3256),
    [anon_sym_COLON2] = ACTIONS(3258),
    [anon_sym_COLON_COLON] = ACTIONS(3260),
    [anon_sym_AT] = ACTIONS(671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [aux_sym_integer_literal_token1] = ACTIONS(3262),
    [aux_sym_integer_literal_token2] = ACTIONS(3262),
    [aux_sym_integer_literal_token3] = ACTIONS(3264),
    [aux_sym_integer_literal_token4] = ACTIONS(3266),
    [aux_sym_float_literal_token1] = ACTIONS(3268),
    [aux_sym_float_literal_token3] = ACTIONS(3268),
    [aux_sym_float_literal_token4] = ACTIONS(3268),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(1687),
    [sym__arrow_operator] = ACTIONS(1689),
    [sym__comparison_operator] = ACTIONS(1689),
    [sym__pipe_right_operator] = ACTIONS(1687),
    [sym__pipe_left_operator] = ACTIONS(1687),
    [sym__ellipsis_operator] = ACTIONS(1687),
    [sym__plus_operator] = ACTIONS(1689),
    [sym__times_operator] = ACTIONS(1689),
    [sym__rational_operator] = ACTIONS(1687),
    [sym__bitshift_operator] = ACTIONS(1687),
    [sym__power_operator] = ACTIONS(1687),
    [sym__tilde_operator] = ACTIONS(4111),
    [sym__type_order_operator] = ACTIONS(4111),
    [sym__unary_operator] = ACTIONS(4113),
    [sym__unary_plus_operator] = ACTIONS(4113),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4510] = {
    [sym__expression] = STATE(9558),
    [sym_module_definition] = STATE(9528),
    [sym_abstract_definition] = STATE(9528),
    [sym_primitive_definition] = STATE(9528),
    [sym_struct_definition] = STATE(9528),
    [sym_function_definition] = STATE(9528),
    [sym_macro_definition] = STATE(9528),
    [sym_compound_statement] = STATE(9528),
    [sym_quote_statement] = STATE(9528),
    [sym_let_statement] = STATE(9528),
    [sym_if_statement] = STATE(9528),
    [sym_try_statement] = STATE(9528),
    [sym_for_statement] = STATE(9528),
    [sym_while_statement] = STATE(9528),
    [sym_return_statement] = STATE(9528),
    [sym_const_statement] = STATE(9528),
    [sym_global_statement] = STATE(9528),
    [sym_local_statement] = STATE(9528),
    [sym_export_statement] = STATE(9528),
    [sym_public_statement] = STATE(9528),
    [sym_import_statement] = STATE(9528),
    [sym_using_statement] = STATE(9528),
    [sym__primary_expression] = STATE(5226),
    [sym__array] = STATE(5433),
    [sym_comprehension_expression] = STATE(5434),
    [sym_matrix_expression] = STATE(5434),
    [sym_vector_expression] = STATE(5434),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_tuple_expression] = STATE(5433),
    [sym_curly_expression] = STATE(5433),
    [sym_adjoint_expression] = STATE(4518),
    [sym_field_expression] = STATE(5433),
    [sym_index_expression] = STATE(5433),
    [sym_parametrized_type_expression] = STATE(5433),
    [sym_call_expression] = STATE(5433),
    [sym_broadcast_call_expression] = STATE(5433),
    [sym__closed_macrocall_expression] = STATE(5433),
    [sym_macrocall_expression] = STATE(9528),
    [sym_argument_list] = STATE(19763),
    [sym_interpolation_expression] = STATE(5433),
    [sym_quote_expression] = STATE(5433),
    [sym_binary_expression] = STATE(9528),
    [sym_unary_expression] = STATE(9528),
    [sym_range_expression] = STATE(9528),
    [sym_splat_expression] = STATE(9528),
    [sym_ternary_expression] = STATE(9528),
    [sym_typed_expression] = STATE(8848),
    [sym_unary_typed_expression] = STATE(9528),
    [sym_arrow_function_expression] = STATE(9528),
    [sym_juxtaposition_expression] = STATE(9528),
    [sym_compound_assignment_expression] = STATE(9528),
    [sym_where_expression] = STATE(9528),
    [sym_macro_identifier] = STATE(57),
    [sym_identifier] = STATE(4613),
    [sym_boolean_literal] = STATE(5433),
    [sym_integer_literal] = STATE(4528),
    [sym_float_literal] = STATE(4528),
    [sym__string] = STATE(5433),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(9184),
    [sym_block_comment] = STATE(4510),
    [sym_line_comment] = STATE(4510),
    [sym__word_identifier] = ACTIONS(933),
    [anon_sym_begin] = ACTIONS(935),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_baremodule] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(939),
    [anon_sym_primitive] = ACTIONS(941),
    [anon_sym_mutable] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(945),
    [anon_sym_function] = ACTIONS(947),
    [anon_sym_macro] = ACTIONS(949),
    [anon_sym_quote] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(955),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(961),
    [sym_break_statement] = ACTIONS(963),
    [sym_continue_statement] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_global] = ACTIONS(969),
    [anon_sym_local] = ACTIONS(971),
    [anon_sym_LPAREN] = ACTIONS(7201),
    [anon_sym_export] = ACTIONS(975),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(979),
    [anon_sym_using] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7205),
    [anon_sym_DOLLAR] = ACTIONS(7207),
    [anon_sym_COLON2] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(7209),
    [anon_sym_AT] = ACTIONS(4431),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [aux_sym_integer_literal_token1] = ACTIONS(7211),
    [aux_sym_integer_literal_token2] = ACTIONS(7211),
    [aux_sym_integer_literal_token3] = ACTIONS(995),
    [aux_sym_integer_literal_token4] = ACTIONS(997),
    [aux_sym_float_literal_token1] = ACTIONS(7213),
    [aux_sym_float_literal_token3] = ACTIONS(7213),
    [aux_sym_float_literal_token4] = ACTIONS(7213),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(7217),
    [sym__arrow_operator] = ACTIONS(1003),
    [sym__comparison_operator] = ACTIONS(1003),
    [sym__pipe_right_operator] = ACTIONS(7217),
    [sym__pipe_left_operator] = ACTIONS(7217),
    [sym__ellipsis_operator] = ACTIONS(7217),
    [sym__plus_operator] = ACTIONS(1003),
    [sym__times_operator] = ACTIONS(1003),
    [sym__rational_operator] = ACTIONS(7217),
    [sym__bitshift_operator] = ACTIONS(7217),
    [sym__power_operator] = ACTIONS(7217),
    [sym__tilde_operator] = ACTIONS(7219),
    [sym__type_order_operator] = ACTIONS(7219),
    [sym__unary_operator] = ACTIONS(1005),
    [sym__unary_plus_operator] = ACTIONS(1005),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4511] = {
    [sym__primary_expression] = STATE(5846),
    [sym__array] = STATE(6216),
    [sym_comprehension_expression] = STATE(6019),
    [sym_matrix_expression] = STATE(6019),
    [sym_vector_expression] = STATE(6019),
    [sym_parenthesized_expression] = STATE(6216),
    [sym_tuple_expression] = STATE(6216),
    [sym_curly_expression] = STATE(6216),
    [sym_adjoint_expression] = STATE(6216),
    [sym_field_expression] = STATE(6216),
    [sym_index_expression] = STATE(6216),
    [sym_parametrized_type_expression] = STATE(6216),
    [sym_call_expression] = STATE(6216),
    [sym_broadcast_call_expression] = STATE(6216),
    [sym__closed_macrocall_expression] = STATE(6216),
    [sym_interpolation_expression] = STATE(6216),
    [sym_quote_expression] = STATE(6216),
    [sym_macro_identifier] = STATE(17782),
    [sym_identifier] = STATE(5428),
    [sym_boolean_literal] = STATE(6216),
    [sym__string] = STATE(6216),
    [sym__delimiter_str_1] = STATE(14691),
    [sym__delimiter_str_3] = STATE(14692),
    [sym__delimiter_cmd_1] = STATE(14693),
    [sym__delimiter_cmd_3] = STATE(14694),
    [sym_string_literal] = STATE(6006),
    [sym_command_literal] = STATE(6006),
    [sym_prefixed_string_literal] = STATE(6006),
    [sym_prefixed_command_literal] = STATE(6006),
    [sym_operator] = STATE(18892),
    [sym_block_comment] = STATE(4511),
    [sym_line_comment] = STATE(4511),
    [sym__word_identifier] = ACTIONS(9169),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(9172),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(9175),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(9178),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(9181),
    [anon_sym_COLON2] = ACTIONS(9184),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(9187),
    [anon_sym_true] = ACTIONS(9190),
    [anon_sym_false] = ACTIONS(9190),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(9193),
    [anon_sym_DQUOTE] = ACTIONS(9196),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9199),
    [anon_sym_BQUOTE] = ACTIONS(9202),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9205),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(9208),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9208),
    [sym__pipe_left_operator] = ACTIONS(9208),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9208),
    [sym__type_order_operator] = ACTIONS(9208),
    [sym__unary_operator] = ACTIONS(9208),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [4512] = {
    [sym__primary_expression] = STATE(5864),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5881),
    [sym_matrix_expression] = STATE(5881),
    [sym_vector_expression] = STATE(5881),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(5854),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_macro_identifier] = STATE(17664),
    [sym_identifier] = STATE(5415),
    [sym_boolean_literal] = STATE(5854),
    [sym__string] = STATE(5854),
    [sym__delimiter_str_1] = STATE(14643),
    [sym__delimiter_str_3] = STATE(14661),
    [sym__delimiter_cmd_1] = STATE(14689),
    [sym__delimiter_cmd_3] = STATE(14690),
    [sym_string_literal] = STATE(5880),
    [sym_command_literal] = STATE(5880),
    [sym_prefixed_string_literal] = STATE(5880),
    [sym_prefixed_command_literal] = STATE(5880),
    [sym_operator] = STATE(19108),
    [sym_block_comment] = STATE(4512),
    [sym_line_comment] = STATE(4512),
    [sym__word_identifier] = ACTIONS(9211),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_elseif] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(9214),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(9217),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(9220),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(9223),
    [anon_sym_COLON2] = ACTIONS(9226),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(9187),
    [anon_sym_true] = ACTIONS(9229),
    [anon_sym_false] = ACTIONS(9229),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(9232),
    [anon_sym_DQUOTE] = ACTIONS(9196),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9199),
    [anon_sym_BQUOTE] = ACTIONS(9202),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9205),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(9208),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9208),
    [sym__pipe_left_operator] = ACTIONS(9208),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9208),
    [sym__type_order_operator] = ACTIONS(9208),
    [sym__unary_operator] = ACTIONS(9208),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [4513] = {
    [sym__primary_expression] = STATE(6419),
    [sym__array] = STATE(6805),
    [sym_comprehension_expression] = STATE(6761),
    [sym_matrix_expression] = STATE(6761),
    [sym_vector_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6805),
    [sym_tuple_expression] = STATE(6805),
    [sym_curly_expression] = STATE(6805),
    [sym_adjoint_expression] = STATE(6805),
    [sym_field_expression] = STATE(6805),
    [sym_index_expression] = STATE(6805),
    [sym_parametrized_type_expression] = STATE(6805),
    [sym_call_expression] = STATE(6805),
    [sym_broadcast_call_expression] = STATE(6805),
    [sym__closed_macrocall_expression] = STATE(6805),
    [sym_interpolation_expression] = STATE(6805),
    [sym_quote_expression] = STATE(6805),
    [sym_macro_identifier] = STATE(17806),
    [sym_identifier] = STATE(5678),
    [sym_boolean_literal] = STATE(6805),
    [sym__string] = STATE(6805),
    [sym__delimiter_str_1] = STATE(14903),
    [sym__delimiter_str_3] = STATE(14904),
    [sym__delimiter_cmd_1] = STATE(14905),
    [sym__delimiter_cmd_3] = STATE(14906),
    [sym_string_literal] = STATE(6759),
    [sym_command_literal] = STATE(6759),
    [sym_prefixed_string_literal] = STATE(6759),
    [sym_prefixed_command_literal] = STATE(6759),
    [sym_operator] = STATE(19103),
    [sym_block_comment] = STATE(4513),
    [sym_line_comment] = STATE(4513),
    [sym__word_identifier] = ACTIONS(9235),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(9238),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(9241),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(9244),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(9247),
    [anon_sym_COLON2] = ACTIONS(9250),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(9187),
    [anon_sym_true] = ACTIONS(9253),
    [anon_sym_false] = ACTIONS(9253),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(9256),
    [anon_sym_DQUOTE] = ACTIONS(9196),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9199),
    [anon_sym_BQUOTE] = ACTIONS(9202),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9205),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(9208),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9208),
    [sym__pipe_left_operator] = ACTIONS(9208),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9208),
    [sym__type_order_operator] = ACTIONS(9208),
    [sym__unary_operator] = ACTIONS(9208),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [4514] = {
    [sym__primary_expression] = STATE(6414),
    [sym__array] = STATE(6685),
    [sym_comprehension_expression] = STATE(6579),
    [sym_matrix_expression] = STATE(6579),
    [sym_vector_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6685),
    [sym_tuple_expression] = STATE(6685),
    [sym_curly_expression] = STATE(6685),
    [sym_adjoint_expression] = STATE(6685),
    [sym_field_expression] = STATE(6685),
    [sym_index_expression] = STATE(6685),
    [sym_parametrized_type_expression] = STATE(6685),
    [sym_call_expression] = STATE(6685),
    [sym_broadcast_call_expression] = STATE(6685),
    [sym__closed_macrocall_expression] = STATE(6685),
    [sym_interpolation_expression] = STATE(6685),
    [sym_quote_expression] = STATE(6685),
    [sym_macro_identifier] = STATE(17787),
    [sym_identifier] = STATE(5651),
    [sym_boolean_literal] = STATE(6685),
    [sym__string] = STATE(6685),
    [sym__delimiter_str_1] = STATE(14705),
    [sym__delimiter_str_3] = STATE(14706),
    [sym__delimiter_cmd_1] = STATE(14707),
    [sym__delimiter_cmd_3] = STATE(14708),
    [sym_string_literal] = STATE(6576),
    [sym_command_literal] = STATE(6576),
    [sym_prefixed_string_literal] = STATE(6576),
    [sym_prefixed_command_literal] = STATE(6576),
    [sym_operator] = STATE(18925),
    [sym_block_comment] = STATE(4514),
    [sym_line_comment] = STATE(4514),
    [sym__word_identifier] = ACTIONS(9259),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(9262),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(9265),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(9268),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(9271),
    [anon_sym_COLON2] = ACTIONS(9274),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(9187),
    [anon_sym_true] = ACTIONS(9277),
    [anon_sym_false] = ACTIONS(9277),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(9280),
    [anon_sym_DQUOTE] = ACTIONS(9196),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9199),
    [anon_sym_BQUOTE] = ACTIONS(9202),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9205),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(9208),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9208),
    [sym__pipe_left_operator] = ACTIONS(9208),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9208),
    [sym__type_order_operator] = ACTIONS(9208),
    [sym__unary_operator] = ACTIONS(9208),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [4515] = {
    [sym__primary_expression] = STATE(6758),
    [sym__array] = STATE(6471),
    [sym_comprehension_expression] = STATE(6545),
    [sym_matrix_expression] = STATE(6545),
    [sym_vector_expression] = STATE(6545),
    [sym_parenthesized_expression] = STATE(6471),
    [sym_tuple_expression] = STATE(6471),
    [sym_curly_expression] = STATE(6471),
    [sym_adjoint_expression] = STATE(6471),
    [sym_field_expression] = STATE(6471),
    [sym_index_expression] = STATE(6471),
    [sym_parametrized_type_expression] = STATE(6471),
    [sym_call_expression] = STATE(6471),
    [sym_broadcast_call_expression] = STATE(6471),
    [sym__closed_macrocall_expression] = STATE(6471),
    [sym_interpolation_expression] = STATE(6471),
    [sym_quote_expression] = STATE(6471),
    [sym_macro_identifier] = STATE(17718),
    [sym_identifier] = STATE(5589),
    [sym_boolean_literal] = STATE(6471),
    [sym__string] = STATE(6471),
    [sym__delimiter_str_1] = STATE(15165),
    [sym__delimiter_str_3] = STATE(15166),
    [sym__delimiter_cmd_1] = STATE(15167),
    [sym__delimiter_cmd_3] = STATE(15168),
    [sym_string_literal] = STATE(6543),
    [sym_command_literal] = STATE(6543),
    [sym_prefixed_string_literal] = STATE(6543),
    [sym_prefixed_command_literal] = STATE(6543),
    [sym_operator] = STATE(20274),
    [sym_block_comment] = STATE(4515),
    [sym_line_comment] = STATE(4515),
    [sym__word_identifier] = ACTIONS(9283),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(9286),
    [anon_sym_RPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(9289),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(189),
    [anon_sym_LBRACE] = ACTIONS(9292),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(9295),
    [anon_sym_COLON2] = ACTIONS(9298),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_COLON_EQ] = ACTIONS(189),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(9301),
    [anon_sym_true] = ACTIONS(9304),
    [anon_sym_false] = ACTIONS(9304),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(189),
    [aux_sym_float_literal_token3] = ACTIONS(189),
    [aux_sym_float_literal_token4] = ACTIONS(189),
    [sym_character_literal] = ACTIONS(9307),
    [anon_sym_DQUOTE] = ACTIONS(9196),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9310),
    [anon_sym_BQUOTE] = ACTIONS(9202),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9313),
    [anon_sym_DOLLAR_EQ] = ACTIONS(189),
    [aux_sym__assignment_operator_token1] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(9316),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9316),
    [sym__pipe_left_operator] = ACTIONS(9316),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(9208),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [4516] = {
    [sym__primary_expression] = STATE(6691),
    [sym__array] = STATE(6432),
    [sym_comprehension_expression] = STATE(6472),
    [sym_matrix_expression] = STATE(6472),
    [sym_vector_expression] = STATE(6472),
    [sym_parenthesized_expression] = STATE(6432),
    [sym_tuple_expression] = STATE(6432),
    [sym_curly_expression] = STATE(6432),
    [sym_adjoint_expression] = STATE(6432),
    [sym_field_expression] = STATE(6432),
    [sym_index_expression] = STATE(6432),
    [sym_parametrized_type_expression] = STATE(6432),
    [sym_call_expression] = STATE(6432),
    [sym_broadcast_call_expression] = STATE(6432),
    [sym__closed_macrocall_expression] = STATE(6432),
    [sym_interpolation_expression] = STATE(6432),
    [sym_quote_expression] = STATE(6432),
    [sym_macro_identifier] = STATE(17687),
    [sym_identifier] = STATE(5490),
    [sym_boolean_literal] = STATE(6432),
    [sym__string] = STATE(6432),
    [sym__delimiter_str_1] = STATE(14954),
    [sym__delimiter_str_3] = STATE(14956),
    [sym__delimiter_cmd_1] = STATE(14957),
    [sym__delimiter_cmd_3] = STATE(14958),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(19653),
    [sym_block_comment] = STATE(4516),
    [sym_line_comment] = STATE(4516),
    [ts_builtin_sym_end] = ACTIONS(189),
    [sym__word_identifier] = ACTIONS(9319),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(9322),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(9325),
    [anon_sym_RBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(9328),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(9331),
    [anon_sym_COLON2] = ACTIONS(9334),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(9187),
    [anon_sym_true] = ACTIONS(9337),
    [anon_sym_false] = ACTIONS(9337),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(9340),
    [anon_sym_DQUOTE] = ACTIONS(9196),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9199),
    [anon_sym_BQUOTE] = ACTIONS(9202),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9205),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(9208),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9208),
    [sym__pipe_left_operator] = ACTIONS(9208),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9208),
    [sym__type_order_operator] = ACTIONS(9208),
    [sym__unary_operator] = ACTIONS(9208),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [4517] = {
    [sym__primary_expression] = STATE(6787),
    [sym__array] = STATE(6590),
    [sym_comprehension_expression] = STATE(6710),
    [sym_matrix_expression] = STATE(6710),
    [sym_vector_expression] = STATE(6710),
    [sym_parenthesized_expression] = STATE(6590),
    [sym_tuple_expression] = STATE(6590),
    [sym_curly_expression] = STATE(6590),
    [sym_adjoint_expression] = STATE(6590),
    [sym_field_expression] = STATE(6590),
    [sym_index_expression] = STATE(6590),
    [sym_parametrized_type_expression] = STATE(6590),
    [sym_call_expression] = STATE(6590),
    [sym_broadcast_call_expression] = STATE(6590),
    [sym__closed_macrocall_expression] = STATE(6590),
    [sym_interpolation_expression] = STATE(6590),
    [sym_quote_expression] = STATE(6590),
    [sym_macro_identifier] = STATE(17759),
    [sym_identifier] = STATE(5600),
    [sym_boolean_literal] = STATE(6590),
    [sym__string] = STATE(6590),
    [sym__delimiter_str_1] = STATE(15419),
    [sym__delimiter_str_3] = STATE(15420),
    [sym__delimiter_cmd_1] = STATE(15421),
    [sym__delimiter_cmd_3] = STATE(15422),
    [sym_string_literal] = STATE(6708),
    [sym_command_literal] = STATE(6708),
    [sym_prefixed_string_literal] = STATE(6708),
    [sym_prefixed_command_literal] = STATE(6708),
    [sym_operator] = STATE(19914),
    [sym_block_comment] = STATE(4517),
    [sym_line_comment] = STATE(4517),
    [sym__word_identifier] = ACTIONS(9343),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(9346),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(9349),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(9352),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(9355),
    [anon_sym_COLON2] = ACTIONS(9358),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(9187),
    [anon_sym_true] = ACTIONS(9361),
    [anon_sym_false] = ACTIONS(9361),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(9364),
    [anon_sym_DQUOTE] = ACTIONS(9196),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9199),
    [anon_sym_BQUOTE] = ACTIONS(9202),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9205),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(9208),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9208),
    [sym__pipe_left_operator] = ACTIONS(9208),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9208),
    [sym__type_order_operator] = ACTIONS(9208),
    [sym__unary_operator] = ACTIONS(9208),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [4518] = {
    [sym__primary_expression] = STATE(6869),
    [sym__array] = STATE(6815),
    [sym_comprehension_expression] = STATE(6881),
    [sym_matrix_expression] = STATE(6881),
    [sym_vector_expression] = STATE(6881),
    [sym_parenthesized_expression] = STATE(6815),
    [sym_tuple_expression] = STATE(6815),
    [sym_curly_expression] = STATE(6815),
    [sym_adjoint_expression] = STATE(6815),
    [sym_field_expression] = STATE(6815),
    [sym_index_expression] = STATE(6815),
    [sym_parametrized_type_expression] = STATE(6815),
    [sym_call_expression] = STATE(6815),
    [sym_broadcast_call_expression] = STATE(6815),
    [sym__closed_macrocall_expression] = STATE(6815),
    [sym_interpolation_expression] = STATE(6815),
    [sym_quote_expression] = STATE(6815),
    [sym_macro_identifier] = STATE(17677),
    [sym_identifier] = STATE(6038),
    [sym_boolean_literal] = STATE(6815),
    [sym__string] = STATE(6815),
    [sym__delimiter_str_1] = STATE(14709),
    [sym__delimiter_str_3] = STATE(14716),
    [sym__delimiter_cmd_1] = STATE(14717),
    [sym__delimiter_cmd_3] = STATE(14718),
    [sym_string_literal] = STATE(6937),
    [sym_command_literal] = STATE(6937),
    [sym_prefixed_string_literal] = STATE(6937),
    [sym_prefixed_command_literal] = STATE(6937),
    [sym_operator] = STATE(19363),
    [sym_block_comment] = STATE(4518),
    [sym_line_comment] = STATE(4518),
    [sym__word_identifier] = ACTIONS(9367),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(9370),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(9373),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(9376),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(9379),
    [anon_sym_COLON2] = ACTIONS(9382),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(9187),
    [anon_sym_true] = ACTIONS(9385),
    [anon_sym_false] = ACTIONS(9385),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(9388),
    [anon_sym_DQUOTE] = ACTIONS(9196),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9199),
    [anon_sym_BQUOTE] = ACTIONS(9202),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9205),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(9208),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9208),
    [sym__pipe_left_operator] = ACTIONS(9208),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9208),
    [sym__type_order_operator] = ACTIONS(9208),
    [sym__unary_operator] = ACTIONS(9208),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [4519] = {
    [sym__primary_expression] = STATE(10987),
    [sym__array] = STATE(10654),
    [sym_comprehension_expression] = STATE(10689),
    [sym_matrix_expression] = STATE(10689),
    [sym_vector_expression] = STATE(10689),
    [sym_parenthesized_expression] = STATE(10654),
    [sym_tuple_expression] = STATE(10654),
    [sym_curly_expression] = STATE(10654),
    [sym_adjoint_expression] = STATE(10654),
    [sym_field_expression] = STATE(10654),
    [sym_index_expression] = STATE(10654),
    [sym_parametrized_type_expression] = STATE(10654),
    [sym_call_expression] = STATE(10654),
    [sym_broadcast_call_expression] = STATE(10654),
    [sym__closed_macrocall_expression] = STATE(10654),
    [sym_interpolation_expression] = STATE(10654),
    [sym_quote_expression] = STATE(10654),
    [sym_macro_identifier] = STATE(17588),
    [sym_identifier] = STATE(10827),
    [sym_boolean_literal] = STATE(10654),
    [sym__string] = STATE(10654),
    [sym__delimiter_str_1] = STATE(15341),
    [sym__delimiter_str_3] = STATE(15342),
    [sym__delimiter_cmd_1] = STATE(15343),
    [sym__delimiter_cmd_3] = STATE(15344),
    [sym_string_literal] = STATE(10680),
    [sym_command_literal] = STATE(10680),
    [sym_prefixed_string_literal] = STATE(10680),
    [sym_prefixed_command_literal] = STATE(10680),
    [sym_operator] = STATE(19440),
    [sym_block_comment] = STATE(4519),
    [sym_line_comment] = STATE(4519),
    [sym__word_identifier] = ACTIONS(9391),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(9394),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(9397),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(9400),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(9403),
    [anon_sym_COLON2] = ACTIONS(9406),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(9187),
    [anon_sym_true] = ACTIONS(9409),
    [anon_sym_false] = ACTIONS(9409),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(9412),
    [anon_sym_DQUOTE] = ACTIONS(9196),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9199),
    [anon_sym_BQUOTE] = ACTIONS(9202),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9205),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(9208),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9208),
    [sym__pipe_left_operator] = ACTIONS(9208),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9208),
    [sym__type_order_operator] = ACTIONS(9208),
    [sym__unary_operator] = ACTIONS(9208),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [4520] = {
    [sym__primary_expression] = STATE(7410),
    [sym__array] = STATE(7595),
    [sym_comprehension_expression] = STATE(7341),
    [sym_matrix_expression] = STATE(7341),
    [sym_vector_expression] = STATE(7341),
    [sym_parenthesized_expression] = STATE(7595),
    [sym_tuple_expression] = STATE(7595),
    [sym_curly_expression] = STATE(7595),
    [sym_adjoint_expression] = STATE(7595),
    [sym_field_expression] = STATE(7595),
    [sym_index_expression] = STATE(7595),
    [sym_parametrized_type_expression] = STATE(7595),
    [sym_call_expression] = STATE(7595),
    [sym_broadcast_call_expression] = STATE(7595),
    [sym__closed_macrocall_expression] = STATE(7595),
    [sym_interpolation_expression] = STATE(7595),
    [sym_quote_expression] = STATE(7595),
    [sym_macro_identifier] = STATE(17810),
    [sym_identifier] = STATE(6833),
    [sym_boolean_literal] = STATE(7595),
    [sym__string] = STATE(7595),
    [sym__delimiter_str_1] = STATE(14929),
    [sym__delimiter_str_3] = STATE(14930),
    [sym__delimiter_cmd_1] = STATE(14931),
    [sym__delimiter_cmd_3] = STATE(14932),
    [sym_string_literal] = STATE(7192),
    [sym_command_literal] = STATE(7192),
    [sym_prefixed_string_literal] = STATE(7192),
    [sym_prefixed_command_literal] = STATE(7192),
    [sym_operator] = STATE(19160),
    [sym_block_comment] = STATE(4520),
    [sym_line_comment] = STATE(4520),
    [sym__word_identifier] = ACTIONS(9415),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(9418),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(9421),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(9424),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(9427),
    [anon_sym_COLON2] = ACTIONS(9430),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_COLON_EQ] = ACTIONS(189),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(9301),
    [anon_sym_true] = ACTIONS(9433),
    [anon_sym_false] = ACTIONS(9433),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(189),
    [aux_sym_float_literal_token3] = ACTIONS(189),
    [aux_sym_float_literal_token4] = ACTIONS(189),
    [sym_character_literal] = ACTIONS(9436),
    [anon_sym_DQUOTE] = ACTIONS(9196),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9310),
    [anon_sym_BQUOTE] = ACTIONS(9202),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9313),
    [anon_sym_DOLLAR_EQ] = ACTIONS(189),
    [aux_sym__assignment_operator_token1] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(9316),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9316),
    [sym__pipe_left_operator] = ACTIONS(9316),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(9208),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [4521] = {
    [sym__primary_expression] = STATE(5846),
    [sym__array] = STATE(6216),
    [sym_comprehension_expression] = STATE(6019),
    [sym_matrix_expression] = STATE(6019),
    [sym_vector_expression] = STATE(6019),
    [sym_parenthesized_expression] = STATE(6216),
    [sym_tuple_expression] = STATE(6216),
    [sym_curly_expression] = STATE(6216),
    [sym_adjoint_expression] = STATE(6216),
    [sym_field_expression] = STATE(6216),
    [sym_index_expression] = STATE(6216),
    [sym_parametrized_type_expression] = STATE(6216),
    [sym_call_expression] = STATE(6216),
    [sym_broadcast_call_expression] = STATE(6216),
    [sym__closed_macrocall_expression] = STATE(6216),
    [sym_interpolation_expression] = STATE(6216),
    [sym_quote_expression] = STATE(6216),
    [sym_macro_identifier] = STATE(17782),
    [sym_identifier] = STATE(5428),
    [sym_boolean_literal] = STATE(6216),
    [sym__string] = STATE(6216),
    [sym__delimiter_str_1] = STATE(14691),
    [sym__delimiter_str_3] = STATE(14692),
    [sym__delimiter_cmd_1] = STATE(14693),
    [sym__delimiter_cmd_3] = STATE(14694),
    [sym_string_literal] = STATE(6006),
    [sym_command_literal] = STATE(6006),
    [sym_prefixed_string_literal] = STATE(6006),
    [sym_prefixed_command_literal] = STATE(6006),
    [sym_operator] = STATE(18892),
    [sym_block_comment] = STATE(4521),
    [sym_line_comment] = STATE(4521),
    [sym__word_identifier] = ACTIONS(9439),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9444),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9447),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9450),
    [anon_sym_DOLLAR] = ACTIONS(9453),
    [anon_sym_COLON2] = ACTIONS(9456),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9459),
    [anon_sym_true] = ACTIONS(9462),
    [anon_sym_false] = ACTIONS(9462),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9465),
    [anon_sym_DQUOTE] = ACTIONS(9468),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9471),
    [anon_sym_BQUOTE] = ACTIONS(9474),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9477),
    [sym__pair_operator] = ACTIONS(9480),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9480),
    [sym__pipe_left_operator] = ACTIONS(9480),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9480),
    [sym__bitshift_operator] = ACTIONS(9480),
    [sym__power_operator] = ACTIONS(9480),
    [sym__tilde_operator] = ACTIONS(9480),
    [sym__type_order_operator] = ACTIONS(9480),
    [sym__unary_operator] = ACTIONS(9480),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4522] = {
    [sym__primary_expression] = STATE(5864),
    [sym__array] = STATE(5854),
    [sym_comprehension_expression] = STATE(5881),
    [sym_matrix_expression] = STATE(5881),
    [sym_vector_expression] = STATE(5881),
    [sym_parenthesized_expression] = STATE(5854),
    [sym_tuple_expression] = STATE(5854),
    [sym_curly_expression] = STATE(5854),
    [sym_adjoint_expression] = STATE(5854),
    [sym_field_expression] = STATE(5854),
    [sym_index_expression] = STATE(5854),
    [sym_parametrized_type_expression] = STATE(5854),
    [sym_call_expression] = STATE(5854),
    [sym_broadcast_call_expression] = STATE(5854),
    [sym__closed_macrocall_expression] = STATE(5854),
    [sym_interpolation_expression] = STATE(5854),
    [sym_quote_expression] = STATE(5854),
    [sym_macro_identifier] = STATE(17664),
    [sym_identifier] = STATE(5415),
    [sym_boolean_literal] = STATE(5854),
    [sym__string] = STATE(5854),
    [sym__delimiter_str_1] = STATE(14643),
    [sym__delimiter_str_3] = STATE(14661),
    [sym__delimiter_cmd_1] = STATE(14689),
    [sym__delimiter_cmd_3] = STATE(14690),
    [sym_string_literal] = STATE(5880),
    [sym_command_literal] = STATE(5880),
    [sym_prefixed_string_literal] = STATE(5880),
    [sym_prefixed_command_literal] = STATE(5880),
    [sym_operator] = STATE(19108),
    [sym_block_comment] = STATE(4522),
    [sym_line_comment] = STATE(4522),
    [sym__word_identifier] = ACTIONS(9485),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9488),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9491),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9494),
    [anon_sym_DOLLAR] = ACTIONS(9497),
    [anon_sym_COLON2] = ACTIONS(9500),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9459),
    [anon_sym_true] = ACTIONS(9503),
    [anon_sym_false] = ACTIONS(9503),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9506),
    [anon_sym_DQUOTE] = ACTIONS(9468),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9471),
    [anon_sym_BQUOTE] = ACTIONS(9474),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9477),
    [sym__pair_operator] = ACTIONS(9480),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9480),
    [sym__pipe_left_operator] = ACTIONS(9480),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9480),
    [sym__bitshift_operator] = ACTIONS(9480),
    [sym__power_operator] = ACTIONS(9480),
    [sym__tilde_operator] = ACTIONS(9480),
    [sym__type_order_operator] = ACTIONS(9480),
    [sym__unary_operator] = ACTIONS(9480),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4523] = {
    [sym__primary_expression] = STATE(6419),
    [sym__array] = STATE(6805),
    [sym_comprehension_expression] = STATE(6761),
    [sym_matrix_expression] = STATE(6761),
    [sym_vector_expression] = STATE(6761),
    [sym_parenthesized_expression] = STATE(6805),
    [sym_tuple_expression] = STATE(6805),
    [sym_curly_expression] = STATE(6805),
    [sym_adjoint_expression] = STATE(6805),
    [sym_field_expression] = STATE(6805),
    [sym_index_expression] = STATE(6805),
    [sym_parametrized_type_expression] = STATE(6805),
    [sym_call_expression] = STATE(6805),
    [sym_broadcast_call_expression] = STATE(6805),
    [sym__closed_macrocall_expression] = STATE(6805),
    [sym_interpolation_expression] = STATE(6805),
    [sym_quote_expression] = STATE(6805),
    [sym_macro_identifier] = STATE(17806),
    [sym_identifier] = STATE(5678),
    [sym_boolean_literal] = STATE(6805),
    [sym__string] = STATE(6805),
    [sym__delimiter_str_1] = STATE(14903),
    [sym__delimiter_str_3] = STATE(14904),
    [sym__delimiter_cmd_1] = STATE(14905),
    [sym__delimiter_cmd_3] = STATE(14906),
    [sym_string_literal] = STATE(6759),
    [sym_command_literal] = STATE(6759),
    [sym_prefixed_string_literal] = STATE(6759),
    [sym_prefixed_command_literal] = STATE(6759),
    [sym_operator] = STATE(19103),
    [sym_block_comment] = STATE(4523),
    [sym_line_comment] = STATE(4523),
    [sym__word_identifier] = ACTIONS(9509),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9512),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9515),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9518),
    [anon_sym_DOLLAR] = ACTIONS(9521),
    [anon_sym_COLON2] = ACTIONS(9524),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9459),
    [anon_sym_true] = ACTIONS(9527),
    [anon_sym_false] = ACTIONS(9527),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9530),
    [anon_sym_DQUOTE] = ACTIONS(9468),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9471),
    [anon_sym_BQUOTE] = ACTIONS(9474),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9477),
    [sym__pair_operator] = ACTIONS(9480),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9480),
    [sym__pipe_left_operator] = ACTIONS(9480),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9480),
    [sym__bitshift_operator] = ACTIONS(9480),
    [sym__power_operator] = ACTIONS(9480),
    [sym__tilde_operator] = ACTIONS(9480),
    [sym__type_order_operator] = ACTIONS(9480),
    [sym__unary_operator] = ACTIONS(9480),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4524] = {
    [sym__primary_expression] = STATE(6787),
    [sym__array] = STATE(6590),
    [sym_comprehension_expression] = STATE(6710),
    [sym_matrix_expression] = STATE(6710),
    [sym_vector_expression] = STATE(6710),
    [sym_parenthesized_expression] = STATE(6590),
    [sym_tuple_expression] = STATE(6590),
    [sym_curly_expression] = STATE(6590),
    [sym_adjoint_expression] = STATE(6590),
    [sym_field_expression] = STATE(6590),
    [sym_index_expression] = STATE(6590),
    [sym_parametrized_type_expression] = STATE(6590),
    [sym_call_expression] = STATE(6590),
    [sym_broadcast_call_expression] = STATE(6590),
    [sym__closed_macrocall_expression] = STATE(6590),
    [sym_interpolation_expression] = STATE(6590),
    [sym_quote_expression] = STATE(6590),
    [sym_macro_identifier] = STATE(17759),
    [sym_identifier] = STATE(5600),
    [sym_boolean_literal] = STATE(6590),
    [sym__string] = STATE(6590),
    [sym__delimiter_str_1] = STATE(15419),
    [sym__delimiter_str_3] = STATE(15420),
    [sym__delimiter_cmd_1] = STATE(15421),
    [sym__delimiter_cmd_3] = STATE(15422),
    [sym_string_literal] = STATE(6708),
    [sym_command_literal] = STATE(6708),
    [sym_prefixed_string_literal] = STATE(6708),
    [sym_prefixed_command_literal] = STATE(6708),
    [sym_operator] = STATE(19914),
    [sym_block_comment] = STATE(4524),
    [sym_line_comment] = STATE(4524),
    [sym__word_identifier] = ACTIONS(9533),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9536),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9539),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9542),
    [anon_sym_DOLLAR] = ACTIONS(9545),
    [anon_sym_COLON2] = ACTIONS(9548),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9459),
    [anon_sym_true] = ACTIONS(9551),
    [anon_sym_false] = ACTIONS(9551),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9554),
    [anon_sym_DQUOTE] = ACTIONS(9468),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9471),
    [anon_sym_BQUOTE] = ACTIONS(9474),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9477),
    [sym__pair_operator] = ACTIONS(9480),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9480),
    [sym__pipe_left_operator] = ACTIONS(9480),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9480),
    [sym__bitshift_operator] = ACTIONS(9480),
    [sym__power_operator] = ACTIONS(9480),
    [sym__tilde_operator] = ACTIONS(9480),
    [sym__type_order_operator] = ACTIONS(9480),
    [sym__unary_operator] = ACTIONS(9480),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4525] = {
    [sym__primary_expression] = STATE(6691),
    [sym__array] = STATE(6432),
    [sym_comprehension_expression] = STATE(6472),
    [sym_matrix_expression] = STATE(6472),
    [sym_vector_expression] = STATE(6472),
    [sym_parenthesized_expression] = STATE(6432),
    [sym_tuple_expression] = STATE(6432),
    [sym_curly_expression] = STATE(6432),
    [sym_adjoint_expression] = STATE(6432),
    [sym_field_expression] = STATE(6432),
    [sym_index_expression] = STATE(6432),
    [sym_parametrized_type_expression] = STATE(6432),
    [sym_call_expression] = STATE(6432),
    [sym_broadcast_call_expression] = STATE(6432),
    [sym__closed_macrocall_expression] = STATE(6432),
    [sym_interpolation_expression] = STATE(6432),
    [sym_quote_expression] = STATE(6432),
    [sym_macro_identifier] = STATE(17687),
    [sym_identifier] = STATE(5490),
    [sym_boolean_literal] = STATE(6432),
    [sym__string] = STATE(6432),
    [sym__delimiter_str_1] = STATE(14954),
    [sym__delimiter_str_3] = STATE(14956),
    [sym__delimiter_cmd_1] = STATE(14957),
    [sym__delimiter_cmd_3] = STATE(14958),
    [sym_string_literal] = STATE(6470),
    [sym_command_literal] = STATE(6470),
    [sym_prefixed_string_literal] = STATE(6470),
    [sym_prefixed_command_literal] = STATE(6470),
    [sym_operator] = STATE(19653),
    [sym_block_comment] = STATE(4525),
    [sym_line_comment] = STATE(4525),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9557),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9560),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9563),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9566),
    [anon_sym_DOLLAR] = ACTIONS(9569),
    [anon_sym_COLON2] = ACTIONS(9572),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9459),
    [anon_sym_true] = ACTIONS(9575),
    [anon_sym_false] = ACTIONS(9575),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9578),
    [anon_sym_DQUOTE] = ACTIONS(9468),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9471),
    [anon_sym_BQUOTE] = ACTIONS(9474),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9477),
    [sym__pair_operator] = ACTIONS(9480),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9480),
    [sym__pipe_left_operator] = ACTIONS(9480),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9480),
    [sym__bitshift_operator] = ACTIONS(9480),
    [sym__power_operator] = ACTIONS(9480),
    [sym__tilde_operator] = ACTIONS(9480),
    [sym__type_order_operator] = ACTIONS(9480),
    [sym__unary_operator] = ACTIONS(9480),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4526] = {
    [sym__primary_expression] = STATE(6758),
    [sym__array] = STATE(6471),
    [sym_comprehension_expression] = STATE(6545),
    [sym_matrix_expression] = STATE(6545),
    [sym_vector_expression] = STATE(6545),
    [sym_parenthesized_expression] = STATE(6471),
    [sym_tuple_expression] = STATE(6471),
    [sym_curly_expression] = STATE(6471),
    [sym_adjoint_expression] = STATE(6471),
    [sym_field_expression] = STATE(6471),
    [sym_index_expression] = STATE(6471),
    [sym_parametrized_type_expression] = STATE(6471),
    [sym_call_expression] = STATE(6471),
    [sym_broadcast_call_expression] = STATE(6471),
    [sym__closed_macrocall_expression] = STATE(6471),
    [sym_interpolation_expression] = STATE(6471),
    [sym_quote_expression] = STATE(6471),
    [sym_macro_identifier] = STATE(17718),
    [sym_identifier] = STATE(5589),
    [sym_boolean_literal] = STATE(6471),
    [sym__string] = STATE(6471),
    [sym__delimiter_str_1] = STATE(15165),
    [sym__delimiter_str_3] = STATE(15166),
    [sym__delimiter_cmd_1] = STATE(15167),
    [sym__delimiter_cmd_3] = STATE(15168),
    [sym_string_literal] = STATE(6543),
    [sym_command_literal] = STATE(6543),
    [sym_prefixed_string_literal] = STATE(6543),
    [sym_prefixed_command_literal] = STATE(6543),
    [sym_operator] = STATE(20274),
    [sym_block_comment] = STATE(4526),
    [sym_line_comment] = STATE(4526),
    [sym__word_identifier] = ACTIONS(9581),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9584),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9587),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9590),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9593),
    [anon_sym_COLON2] = ACTIONS(9596),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9599),
    [anon_sym_true] = ACTIONS(9602),
    [anon_sym_false] = ACTIONS(9602),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9605),
    [anon_sym_DQUOTE] = ACTIONS(9468),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9608),
    [anon_sym_BQUOTE] = ACTIONS(9474),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9611),
    [sym__pair_operator] = ACTIONS(9614),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9614),
    [sym__pipe_left_operator] = ACTIONS(9614),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9614),
    [sym__bitshift_operator] = ACTIONS(9614),
    [sym__power_operator] = ACTIONS(9614),
    [sym__tilde_operator] = ACTIONS(9614),
    [sym__type_order_operator] = ACTIONS(9614),
    [sym__unary_operator] = ACTIONS(9480),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4527] = {
    [sym__primary_expression] = STATE(6414),
    [sym__array] = STATE(6685),
    [sym_comprehension_expression] = STATE(6579),
    [sym_matrix_expression] = STATE(6579),
    [sym_vector_expression] = STATE(6579),
    [sym_parenthesized_expression] = STATE(6685),
    [sym_tuple_expression] = STATE(6685),
    [sym_curly_expression] = STATE(6685),
    [sym_adjoint_expression] = STATE(6685),
    [sym_field_expression] = STATE(6685),
    [sym_index_expression] = STATE(6685),
    [sym_parametrized_type_expression] = STATE(6685),
    [sym_call_expression] = STATE(6685),
    [sym_broadcast_call_expression] = STATE(6685),
    [sym__closed_macrocall_expression] = STATE(6685),
    [sym_interpolation_expression] = STATE(6685),
    [sym_quote_expression] = STATE(6685),
    [sym_macro_identifier] = STATE(17787),
    [sym_identifier] = STATE(5651),
    [sym_boolean_literal] = STATE(6685),
    [sym__string] = STATE(6685),
    [sym__delimiter_str_1] = STATE(14705),
    [sym__delimiter_str_3] = STATE(14706),
    [sym__delimiter_cmd_1] = STATE(14707),
    [sym__delimiter_cmd_3] = STATE(14708),
    [sym_string_literal] = STATE(6576),
    [sym_command_literal] = STATE(6576),
    [sym_prefixed_string_literal] = STATE(6576),
    [sym_prefixed_command_literal] = STATE(6576),
    [sym_operator] = STATE(18925),
    [sym_block_comment] = STATE(4527),
    [sym_line_comment] = STATE(4527),
    [sym__word_identifier] = ACTIONS(9617),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9620),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9623),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9626),
    [anon_sym_DOLLAR] = ACTIONS(9629),
    [anon_sym_COLON2] = ACTIONS(9632),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9459),
    [anon_sym_true] = ACTIONS(9635),
    [anon_sym_false] = ACTIONS(9635),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9638),
    [anon_sym_DQUOTE] = ACTIONS(9468),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9471),
    [anon_sym_BQUOTE] = ACTIONS(9474),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9477),
    [sym__pair_operator] = ACTIONS(9480),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9480),
    [sym__pipe_left_operator] = ACTIONS(9480),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9480),
    [sym__bitshift_operator] = ACTIONS(9480),
    [sym__power_operator] = ACTIONS(9480),
    [sym__tilde_operator] = ACTIONS(9480),
    [sym__type_order_operator] = ACTIONS(9480),
    [sym__unary_operator] = ACTIONS(9480),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4528] = {
    [sym__primary_expression] = STATE(6869),
    [sym__array] = STATE(6815),
    [sym_comprehension_expression] = STATE(6881),
    [sym_matrix_expression] = STATE(6881),
    [sym_vector_expression] = STATE(6881),
    [sym_parenthesized_expression] = STATE(6815),
    [sym_tuple_expression] = STATE(6815),
    [sym_curly_expression] = STATE(6815),
    [sym_adjoint_expression] = STATE(6815),
    [sym_field_expression] = STATE(6815),
    [sym_index_expression] = STATE(6815),
    [sym_parametrized_type_expression] = STATE(6815),
    [sym_call_expression] = STATE(6815),
    [sym_broadcast_call_expression] = STATE(6815),
    [sym__closed_macrocall_expression] = STATE(6815),
    [sym_interpolation_expression] = STATE(6815),
    [sym_quote_expression] = STATE(6815),
    [sym_macro_identifier] = STATE(17677),
    [sym_identifier] = STATE(6038),
    [sym_boolean_literal] = STATE(6815),
    [sym__string] = STATE(6815),
    [sym__delimiter_str_1] = STATE(14709),
    [sym__delimiter_str_3] = STATE(14716),
    [sym__delimiter_cmd_1] = STATE(14717),
    [sym__delimiter_cmd_3] = STATE(14718),
    [sym_string_literal] = STATE(6937),
    [sym_command_literal] = STATE(6937),
    [sym_prefixed_string_literal] = STATE(6937),
    [sym_prefixed_command_literal] = STATE(6937),
    [sym_operator] = STATE(19363),
    [sym_block_comment] = STATE(4528),
    [sym_line_comment] = STATE(4528),
    [sym__word_identifier] = ACTIONS(9641),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9644),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9647),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9650),
    [anon_sym_DOLLAR] = ACTIONS(9653),
    [anon_sym_COLON2] = ACTIONS(9656),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9459),
    [anon_sym_true] = ACTIONS(9659),
    [anon_sym_false] = ACTIONS(9659),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9662),
    [anon_sym_DQUOTE] = ACTIONS(9468),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9471),
    [anon_sym_BQUOTE] = ACTIONS(9474),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9477),
    [sym__pair_operator] = ACTIONS(9480),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9480),
    [sym__pipe_left_operator] = ACTIONS(9480),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9480),
    [sym__bitshift_operator] = ACTIONS(9480),
    [sym__power_operator] = ACTIONS(9480),
    [sym__tilde_operator] = ACTIONS(9480),
    [sym__type_order_operator] = ACTIONS(9480),
    [sym__unary_operator] = ACTIONS(9480),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4529] = {
    [sym__primary_expression] = STATE(7410),
    [sym__array] = STATE(7595),
    [sym_comprehension_expression] = STATE(7341),
    [sym_matrix_expression] = STATE(7341),
    [sym_vector_expression] = STATE(7341),
    [sym_parenthesized_expression] = STATE(7595),
    [sym_tuple_expression] = STATE(7595),
    [sym_curly_expression] = STATE(7595),
    [sym_adjoint_expression] = STATE(7595),
    [sym_field_expression] = STATE(7595),
    [sym_index_expression] = STATE(7595),
    [sym_parametrized_type_expression] = STATE(7595),
    [sym_call_expression] = STATE(7595),
    [sym_broadcast_call_expression] = STATE(7595),
    [sym__closed_macrocall_expression] = STATE(7595),
    [sym_interpolation_expression] = STATE(7595),
    [sym_quote_expression] = STATE(7595),
    [sym_macro_identifier] = STATE(17810),
    [sym_identifier] = STATE(6833),
    [sym_boolean_literal] = STATE(7595),
    [sym__string] = STATE(7595),
    [sym__delimiter_str_1] = STATE(14929),
    [sym__delimiter_str_3] = STATE(14930),
    [sym__delimiter_cmd_1] = STATE(14931),
    [sym__delimiter_cmd_3] = STATE(14932),
    [sym_string_literal] = STATE(7192),
    [sym_command_literal] = STATE(7192),
    [sym_prefixed_string_literal] = STATE(7192),
    [sym_prefixed_command_literal] = STATE(7192),
    [sym_operator] = STATE(19160),
    [sym_block_comment] = STATE(4529),
    [sym_line_comment] = STATE(4529),
    [sym__word_identifier] = ACTIONS(9665),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9668),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9671),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9674),
    [anon_sym_DOLLAR] = ACTIONS(9677),
    [anon_sym_COLON2] = ACTIONS(9680),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9599),
    [anon_sym_true] = ACTIONS(9683),
    [anon_sym_false] = ACTIONS(9683),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9686),
    [anon_sym_DQUOTE] = ACTIONS(9468),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9608),
    [anon_sym_BQUOTE] = ACTIONS(9474),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9611),
    [sym__pair_operator] = ACTIONS(9614),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9614),
    [sym__pipe_left_operator] = ACTIONS(9614),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9614),
    [sym__bitshift_operator] = ACTIONS(9614),
    [sym__power_operator] = ACTIONS(9614),
    [sym__tilde_operator] = ACTIONS(9614),
    [sym__type_order_operator] = ACTIONS(9614),
    [sym__unary_operator] = ACTIONS(9480),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [4530] = {
    [sym_identifier] = STATE(4575),
    [sym_integer_literal] = STATE(4929),
    [sym_float_literal] = STATE(4929),
    [sym__string] = STATE(4929),
    [sym__delimiter_str_1] = STATE(15346),
    [sym__delimiter_str_3] = STATE(15347),
    [sym__delimiter_cmd_1] = STATE(15348),
    [sym__delimiter_cmd_3] = STATE(15349),
    [sym_string_literal] = STATE(4927),
    [sym_command_literal] = STATE(4927),
    [sym_prefixed_string_literal] = STATE(4927),
    [sym_prefixed_command_literal] = STATE(4927),
    [sym_operator] = STATE(4929),
    [sym__assignment_operator] = STATE(4929),
    [sym__syntactic_operator] = STATE(4929),
    [sym_block_comment] = STATE(4530),
    [sym_line_comment] = STATE(4530),
    [sym__word_identifier] = ACTIONS(9689),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(9691),
    [anon_sym_COLON2] = ACTIONS(9693),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(9695),
    [anon_sym_DOT_EQ] = ACTIONS(9695),
    [aux_sym_quote_expression_token1] = ACTIONS(9697),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9691),
    [anon_sym_QMARK] = ACTIONS(9691),
    [anon_sym_DASH_GT] = ACTIONS(9691),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(9699),
    [aux_sym_integer_literal_token2] = ACTIONS(9699),
    [aux_sym_integer_literal_token3] = ACTIONS(9699),
    [aux_sym_integer_literal_token4] = ACTIONS(9701),
    [aux_sym_float_literal_token1] = ACTIONS(9703),
    [aux_sym_float_literal_token3] = ACTIONS(9703),
    [aux_sym_float_literal_token4] = ACTIONS(9703),
    [sym_character_literal] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9695),
    [aux_sym__assignment_operator_token1] = ACTIONS(9695),
    [sym__pair_operator] = ACTIONS(9693),
    [sym__arrow_operator] = ACTIONS(9693),
    [sym__lazy_or_operator] = ACTIONS(9697),
    [sym__lazy_and_operator] = ACTIONS(9697),
    [sym__comparison_operator] = ACTIONS(9693),
    [sym__pipe_right_operator] = ACTIONS(9693),
    [sym__pipe_left_operator] = ACTIONS(9693),
    [sym__ellipsis_operator] = ACTIONS(9693),
    [sym__plus_operator] = ACTIONS(9693),
    [sym__times_operator] = ACTIONS(9693),
    [sym__rational_operator] = ACTIONS(9693),
    [sym__bitshift_operator] = ACTIONS(9693),
    [sym__power_operator] = ACTIONS(9693),
    [sym__tilde_operator] = ACTIONS(9693),
    [sym__type_order_operator] = ACTIONS(9693),
    [sym__unary_operator] = ACTIONS(9693),
    [sym__unary_plus_operator] = ACTIONS(9693),
    [anon_sym_DOT2] = ACTIONS(9691),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9705),
    [sym__immediate_bracket] = ACTIONS(9707),
    [sym__immediate_brace] = ACTIONS(9709),
  },
  [4531] = {
    [sym_identifier] = STATE(4568),
    [sym_integer_literal] = STATE(4847),
    [sym_float_literal] = STATE(4847),
    [sym__string] = STATE(4847),
    [sym__delimiter_str_1] = STATE(14797),
    [sym__delimiter_str_3] = STATE(14798),
    [sym__delimiter_cmd_1] = STATE(14799),
    [sym__delimiter_cmd_3] = STATE(14800),
    [sym_string_literal] = STATE(4687),
    [sym_command_literal] = STATE(4687),
    [sym_prefixed_string_literal] = STATE(4687),
    [sym_prefixed_command_literal] = STATE(4687),
    [sym_operator] = STATE(4847),
    [sym__assignment_operator] = STATE(4847),
    [sym__syntactic_operator] = STATE(4847),
    [sym_block_comment] = STATE(4531),
    [sym_line_comment] = STATE(4531),
    [sym__word_identifier] = ACTIONS(9711),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(9713),
    [anon_sym_COLON2] = ACTIONS(9715),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(9717),
    [anon_sym_DOT_EQ] = ACTIONS(9717),
    [aux_sym_quote_expression_token1] = ACTIONS(9719),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9713),
    [anon_sym_QMARK] = ACTIONS(9713),
    [anon_sym_DASH_GT] = ACTIONS(9713),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(9721),
    [aux_sym_integer_literal_token2] = ACTIONS(9721),
    [aux_sym_integer_literal_token3] = ACTIONS(9721),
    [aux_sym_integer_literal_token4] = ACTIONS(9723),
    [aux_sym_float_literal_token1] = ACTIONS(9725),
    [aux_sym_float_literal_token3] = ACTIONS(9725),
    [aux_sym_float_literal_token4] = ACTIONS(9725),
    [sym_character_literal] = ACTIONS(409),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9717),
    [aux_sym__assignment_operator_token1] = ACTIONS(9717),
    [sym__pair_operator] = ACTIONS(9715),
    [sym__arrow_operator] = ACTIONS(9715),
    [sym__lazy_or_operator] = ACTIONS(9719),
    [sym__lazy_and_operator] = ACTIONS(9719),
    [sym__comparison_operator] = ACTIONS(9715),
    [sym__pipe_right_operator] = ACTIONS(9715),
    [sym__pipe_left_operator] = ACTIONS(9715),
    [sym__ellipsis_operator] = ACTIONS(9715),
    [sym__plus_operator] = ACTIONS(9715),
    [sym__times_operator] = ACTIONS(9715),
    [sym__rational_operator] = ACTIONS(9715),
    [sym__bitshift_operator] = ACTIONS(9715),
    [sym__power_operator] = ACTIONS(9715),
    [sym__tilde_operator] = ACTIONS(9715),
    [sym__type_order_operator] = ACTIONS(9715),
    [sym__unary_operator] = ACTIONS(9715),
    [sym__unary_plus_operator] = ACTIONS(9715),
    [anon_sym_DOT2] = ACTIONS(9713),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9727),
    [sym__immediate_bracket] = ACTIONS(9729),
    [sym__immediate_brace] = ACTIONS(9731),
  },
  [4532] = {
    [sym_identifier] = STATE(4609),
    [sym_integer_literal] = STATE(5204),
    [sym_float_literal] = STATE(5204),
    [sym__string] = STATE(5204),
    [sym__delimiter_str_1] = STATE(15378),
    [sym__delimiter_str_3] = STATE(15379),
    [sym__delimiter_cmd_1] = STATE(15381),
    [sym__delimiter_cmd_3] = STATE(15383),
    [sym_string_literal] = STATE(5242),
    [sym_command_literal] = STATE(5242),
    [sym_prefixed_string_literal] = STATE(5242),
    [sym_prefixed_command_literal] = STATE(5242),
    [sym_operator] = STATE(5204),
    [sym__assignment_operator] = STATE(5204),
    [sym__syntactic_operator] = STATE(5204),
    [sym_block_comment] = STATE(4532),
    [sym_line_comment] = STATE(4532),
    [sym__word_identifier] = ACTIONS(9733),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(9735),
    [anon_sym_COLON2] = ACTIONS(9737),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(9739),
    [anon_sym_DOT_EQ] = ACTIONS(9739),
    [aux_sym_quote_expression_token1] = ACTIONS(9741),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9735),
    [anon_sym_QMARK] = ACTIONS(9735),
    [anon_sym_DASH_GT] = ACTIONS(9735),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(9743),
    [aux_sym_integer_literal_token2] = ACTIONS(9743),
    [aux_sym_integer_literal_token3] = ACTIONS(9743),
    [aux_sym_integer_literal_token4] = ACTIONS(9745),
    [aux_sym_float_literal_token1] = ACTIONS(9747),
    [aux_sym_float_literal_token3] = ACTIONS(9747),
    [aux_sym_float_literal_token4] = ACTIONS(9747),
    [sym_character_literal] = ACTIONS(605),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9739),
    [aux_sym__assignment_operator_token1] = ACTIONS(9739),
    [sym__pair_operator] = ACTIONS(9737),
    [sym__arrow_operator] = ACTIONS(9737),
    [sym__lazy_or_operator] = ACTIONS(9741),
    [sym__lazy_and_operator] = ACTIONS(9741),
    [sym__comparison_operator] = ACTIONS(9737),
    [sym__pipe_right_operator] = ACTIONS(9737),
    [sym__pipe_left_operator] = ACTIONS(9737),
    [sym__ellipsis_operator] = ACTIONS(9737),
    [sym__plus_operator] = ACTIONS(9737),
    [sym__times_operator] = ACTIONS(9737),
    [sym__rational_operator] = ACTIONS(9737),
    [sym__bitshift_operator] = ACTIONS(9737),
    [sym__power_operator] = ACTIONS(9737),
    [sym__tilde_operator] = ACTIONS(9737),
    [sym__type_order_operator] = ACTIONS(9737),
    [sym__unary_operator] = ACTIONS(9737),
    [sym__unary_plus_operator] = ACTIONS(9737),
    [anon_sym_DOT2] = ACTIONS(9735),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9749),
    [sym__immediate_bracket] = ACTIONS(9751),
    [sym__immediate_brace] = ACTIONS(9753),
  },
  [4533] = {
    [sym_identifier] = STATE(4611),
    [sym_integer_literal] = STATE(5295),
    [sym_float_literal] = STATE(5295),
    [sym__string] = STATE(5295),
    [sym__delimiter_str_1] = STATE(14726),
    [sym__delimiter_str_3] = STATE(14727),
    [sym__delimiter_cmd_1] = STATE(14728),
    [sym__delimiter_cmd_3] = STATE(14729),
    [sym_string_literal] = STATE(4969),
    [sym_command_literal] = STATE(4969),
    [sym_prefixed_string_literal] = STATE(4969),
    [sym_prefixed_command_literal] = STATE(4969),
    [sym_operator] = STATE(5295),
    [sym__assignment_operator] = STATE(5295),
    [sym__syntactic_operator] = STATE(5295),
    [sym_block_comment] = STATE(4533),
    [sym_line_comment] = STATE(4533),
    [sym__word_identifier] = ACTIONS(9755),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(9757),
    [anon_sym_COLON2] = ACTIONS(9759),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(9761),
    [anon_sym_DOT_EQ] = ACTIONS(9761),
    [aux_sym_quote_expression_token1] = ACTIONS(9763),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9757),
    [anon_sym_QMARK] = ACTIONS(9757),
    [anon_sym_DASH_GT] = ACTIONS(9757),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(9765),
    [aux_sym_integer_literal_token2] = ACTIONS(9765),
    [aux_sym_integer_literal_token3] = ACTIONS(9765),
    [aux_sym_integer_literal_token4] = ACTIONS(9767),
    [aux_sym_float_literal_token1] = ACTIONS(9769),
    [aux_sym_float_literal_token3] = ACTIONS(9769),
    [aux_sym_float_literal_token4] = ACTIONS(9769),
    [sym_character_literal] = ACTIONS(521),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9761),
    [aux_sym__assignment_operator_token1] = ACTIONS(9761),
    [sym__pair_operator] = ACTIONS(9759),
    [sym__arrow_operator] = ACTIONS(9759),
    [sym__lazy_or_operator] = ACTIONS(9763),
    [sym__lazy_and_operator] = ACTIONS(9763),
    [sym__comparison_operator] = ACTIONS(9759),
    [sym__pipe_right_operator] = ACTIONS(9759),
    [sym__pipe_left_operator] = ACTIONS(9759),
    [sym__ellipsis_operator] = ACTIONS(9759),
    [sym__plus_operator] = ACTIONS(9759),
    [sym__times_operator] = ACTIONS(9759),
    [sym__rational_operator] = ACTIONS(9759),
    [sym__bitshift_operator] = ACTIONS(9759),
    [sym__power_operator] = ACTIONS(9759),
    [sym__tilde_operator] = ACTIONS(9759),
    [sym__type_order_operator] = ACTIONS(9759),
    [sym__unary_operator] = ACTIONS(9759),
    [sym__unary_plus_operator] = ACTIONS(9759),
    [anon_sym_DOT2] = ACTIONS(9757),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9771),
    [sym__immediate_bracket] = ACTIONS(9773),
    [sym__immediate_brace] = ACTIONS(9775),
  },
  [4534] = {
    [sym_identifier] = STATE(4593),
    [sym_integer_literal] = STATE(5117),
    [sym_float_literal] = STATE(5117),
    [sym__string] = STATE(5117),
    [sym__delimiter_str_1] = STATE(15332),
    [sym__delimiter_str_3] = STATE(15335),
    [sym__delimiter_cmd_1] = STATE(15337),
    [sym__delimiter_cmd_3] = STATE(15339),
    [sym_string_literal] = STATE(5136),
    [sym_command_literal] = STATE(5136),
    [sym_prefixed_string_literal] = STATE(5136),
    [sym_prefixed_command_literal] = STATE(5136),
    [sym_operator] = STATE(5117),
    [sym__assignment_operator] = STATE(5117),
    [sym__syntactic_operator] = STATE(5117),
    [sym_block_comment] = STATE(4534),
    [sym_line_comment] = STATE(4534),
    [sym__word_identifier] = ACTIONS(9777),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(9779),
    [anon_sym_COLON2] = ACTIONS(9781),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(9783),
    [anon_sym_DOT_EQ] = ACTIONS(9783),
    [aux_sym_quote_expression_token1] = ACTIONS(9785),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9779),
    [anon_sym_QMARK] = ACTIONS(9779),
    [anon_sym_DASH_GT] = ACTIONS(9779),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(9787),
    [aux_sym_integer_literal_token2] = ACTIONS(9787),
    [aux_sym_integer_literal_token3] = ACTIONS(9787),
    [aux_sym_integer_literal_token4] = ACTIONS(9789),
    [aux_sym_float_literal_token1] = ACTIONS(9791),
    [aux_sym_float_literal_token3] = ACTIONS(9791),
    [aux_sym_float_literal_token4] = ACTIONS(9791),
    [sym_character_literal] = ACTIONS(877),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9783),
    [aux_sym__assignment_operator_token1] = ACTIONS(9783),
    [sym__pair_operator] = ACTIONS(9781),
    [sym__arrow_operator] = ACTIONS(9781),
    [sym__lazy_or_operator] = ACTIONS(9785),
    [sym__lazy_and_operator] = ACTIONS(9785),
    [sym__comparison_operator] = ACTIONS(9781),
    [sym__pipe_right_operator] = ACTIONS(9781),
    [sym__pipe_left_operator] = ACTIONS(9781),
    [sym__ellipsis_operator] = ACTIONS(9781),
    [sym__plus_operator] = ACTIONS(9781),
    [sym__times_operator] = ACTIONS(9781),
    [sym__rational_operator] = ACTIONS(9781),
    [sym__bitshift_operator] = ACTIONS(9781),
    [sym__power_operator] = ACTIONS(9781),
    [sym__tilde_operator] = ACTIONS(9781),
    [sym__type_order_operator] = ACTIONS(9781),
    [sym__unary_operator] = ACTIONS(9781),
    [sym__unary_plus_operator] = ACTIONS(9781),
    [anon_sym_DOT2] = ACTIONS(9779),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9793),
    [sym__immediate_bracket] = ACTIONS(9795),
    [sym__immediate_brace] = ACTIONS(9797),
  },
  [4535] = {
    [sym_identifier] = STATE(4643),
    [sym_integer_literal] = STATE(5070),
    [sym_float_literal] = STATE(5070),
    [sym__string] = STATE(5070),
    [sym__delimiter_str_1] = STATE(15442),
    [sym__delimiter_str_3] = STATE(15443),
    [sym__delimiter_cmd_1] = STATE(15444),
    [sym__delimiter_cmd_3] = STATE(15445),
    [sym_string_literal] = STATE(5085),
    [sym_command_literal] = STATE(5085),
    [sym_prefixed_string_literal] = STATE(5085),
    [sym_prefixed_command_literal] = STATE(5085),
    [sym_operator] = STATE(5070),
    [sym__assignment_operator] = STATE(5070),
    [sym__syntactic_operator] = STATE(5070),
    [sym_block_comment] = STATE(4535),
    [sym_line_comment] = STATE(4535),
    [sym__word_identifier] = ACTIONS(9799),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_DOLLAR] = ACTIONS(9801),
    [anon_sym_COLON2] = ACTIONS(9803),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_COLON_EQ] = ACTIONS(9805),
    [anon_sym_DOT_EQ] = ACTIONS(9807),
    [aux_sym_quote_expression_token1] = ACTIONS(9809),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9811),
    [anon_sym_QMARK] = ACTIONS(9811),
    [anon_sym_DASH_GT] = ACTIONS(9811),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(9813),
    [aux_sym_integer_literal_token2] = ACTIONS(9813),
    [aux_sym_integer_literal_token3] = ACTIONS(9815),
    [aux_sym_integer_literal_token4] = ACTIONS(9817),
    [aux_sym_float_literal_token1] = ACTIONS(9819),
    [aux_sym_float_literal_token3] = ACTIONS(9819),
    [aux_sym_float_literal_token4] = ACTIONS(9819),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9805),
    [aux_sym__assignment_operator_token1] = ACTIONS(9805),
    [sym__pair_operator] = ACTIONS(9821),
    [sym__arrow_operator] = ACTIONS(9803),
    [sym__lazy_or_operator] = ACTIONS(9823),
    [sym__lazy_and_operator] = ACTIONS(9823),
    [sym__comparison_operator] = ACTIONS(9803),
    [sym__pipe_right_operator] = ACTIONS(9821),
    [sym__pipe_left_operator] = ACTIONS(9821),
    [sym__ellipsis_operator] = ACTIONS(9803),
    [sym__plus_operator] = ACTIONS(9803),
    [sym__times_operator] = ACTIONS(9803),
    [sym__rational_operator] = ACTIONS(9803),
    [sym__bitshift_operator] = ACTIONS(9803),
    [sym__power_operator] = ACTIONS(9803),
    [sym__tilde_operator] = ACTIONS(9821),
    [sym__type_order_operator] = ACTIONS(9821),
    [sym__unary_operator] = ACTIONS(9803),
    [sym__unary_plus_operator] = ACTIONS(9803),
    [anon_sym_DOT2] = ACTIONS(9801),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9825),
    [sym__immediate_bracket] = ACTIONS(9827),
    [sym__immediate_brace] = ACTIONS(9829),
  },
  [4536] = {
    [sym_identifier] = STATE(4633),
    [sym_integer_literal] = STATE(5001),
    [sym_float_literal] = STATE(5001),
    [sym__string] = STATE(5001),
    [sym__delimiter_str_1] = STATE(15050),
    [sym__delimiter_str_3] = STATE(15051),
    [sym__delimiter_cmd_1] = STATE(15052),
    [sym__delimiter_cmd_3] = STATE(15053),
    [sym_string_literal] = STATE(5275),
    [sym_command_literal] = STATE(5275),
    [sym_prefixed_string_literal] = STATE(5275),
    [sym_prefixed_command_literal] = STATE(5275),
    [sym_operator] = STATE(5001),
    [sym__assignment_operator] = STATE(5001),
    [sym__syntactic_operator] = STATE(5001),
    [sym_block_comment] = STATE(4536),
    [sym_line_comment] = STATE(4536),
    [ts_builtin_sym_end] = ACTIONS(3226),
    [sym__word_identifier] = ACTIONS(9831),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(9833),
    [anon_sym_COLON2] = ACTIONS(9835),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(9837),
    [anon_sym_DOT_EQ] = ACTIONS(9837),
    [aux_sym_quote_expression_token1] = ACTIONS(9839),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9833),
    [anon_sym_QMARK] = ACTIONS(9833),
    [anon_sym_DASH_GT] = ACTIONS(9833),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(9841),
    [aux_sym_integer_literal_token2] = ACTIONS(9841),
    [aux_sym_integer_literal_token3] = ACTIONS(9841),
    [aux_sym_integer_literal_token4] = ACTIONS(9843),
    [aux_sym_float_literal_token1] = ACTIONS(9845),
    [aux_sym_float_literal_token3] = ACTIONS(9845),
    [aux_sym_float_literal_token4] = ACTIONS(9845),
    [sym_character_literal] = ACTIONS(777),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9837),
    [aux_sym__assignment_operator_token1] = ACTIONS(9837),
    [sym__pair_operator] = ACTIONS(9835),
    [sym__arrow_operator] = ACTIONS(9835),
    [sym__lazy_or_operator] = ACTIONS(9839),
    [sym__lazy_and_operator] = ACTIONS(9839),
    [sym__comparison_operator] = ACTIONS(9835),
    [sym__pipe_right_operator] = ACTIONS(9835),
    [sym__pipe_left_operator] = ACTIONS(9835),
    [sym__ellipsis_operator] = ACTIONS(9835),
    [sym__plus_operator] = ACTIONS(9835),
    [sym__times_operator] = ACTIONS(9835),
    [sym__rational_operator] = ACTIONS(9835),
    [sym__bitshift_operator] = ACTIONS(9835),
    [sym__power_operator] = ACTIONS(9835),
    [sym__tilde_operator] = ACTIONS(9835),
    [sym__type_order_operator] = ACTIONS(9835),
    [sym__unary_operator] = ACTIONS(9835),
    [sym__unary_plus_operator] = ACTIONS(9835),
    [anon_sym_DOT2] = ACTIONS(9833),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9847),
    [sym__immediate_bracket] = ACTIONS(9849),
    [sym__immediate_brace] = ACTIONS(9851),
  },
  [4537] = {
    [sym_identifier] = STATE(4785),
    [sym_integer_literal] = STATE(5310),
    [sym_float_literal] = STATE(5310),
    [sym__string] = STATE(5310),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(5310),
    [sym__assignment_operator] = STATE(5310),
    [sym__syntactic_operator] = STATE(5310),
    [sym_block_comment] = STATE(4537),
    [sym_line_comment] = STATE(4537),
    [sym__word_identifier] = ACTIONS(9853),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(9855),
    [anon_sym_COLON2] = ACTIONS(9857),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(9859),
    [anon_sym_DOT_EQ] = ACTIONS(9859),
    [aux_sym_quote_expression_token1] = ACTIONS(9861),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9855),
    [anon_sym_QMARK] = ACTIONS(9855),
    [anon_sym_DASH_GT] = ACTIONS(9855),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(9863),
    [aux_sym_integer_literal_token2] = ACTIONS(9863),
    [aux_sym_integer_literal_token3] = ACTIONS(9863),
    [aux_sym_integer_literal_token4] = ACTIONS(9865),
    [aux_sym_float_literal_token1] = ACTIONS(9867),
    [aux_sym_float_literal_token3] = ACTIONS(9867),
    [aux_sym_float_literal_token4] = ACTIONS(9867),
    [sym_character_literal] = ACTIONS(1001),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9859),
    [aux_sym__assignment_operator_token1] = ACTIONS(9859),
    [sym__pair_operator] = ACTIONS(9857),
    [sym__arrow_operator] = ACTIONS(9857),
    [sym__lazy_or_operator] = ACTIONS(9861),
    [sym__lazy_and_operator] = ACTIONS(9861),
    [sym__comparison_operator] = ACTIONS(9857),
    [sym__pipe_right_operator] = ACTIONS(9857),
    [sym__pipe_left_operator] = ACTIONS(9857),
    [sym__ellipsis_operator] = ACTIONS(9857),
    [sym__plus_operator] = ACTIONS(9857),
    [sym__times_operator] = ACTIONS(9857),
    [sym__rational_operator] = ACTIONS(9857),
    [sym__bitshift_operator] = ACTIONS(9857),
    [sym__power_operator] = ACTIONS(9857),
    [sym__tilde_operator] = ACTIONS(9857),
    [sym__type_order_operator] = ACTIONS(9857),
    [sym__unary_operator] = ACTIONS(9857),
    [sym__unary_plus_operator] = ACTIONS(9857),
    [anon_sym_DOT2] = ACTIONS(9855),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9869),
    [sym__immediate_bracket] = ACTIONS(9871),
    [sym__immediate_brace] = ACTIONS(9873),
  },
  [4538] = {
    [sym_identifier] = STATE(5330),
    [sym_integer_literal] = STATE(5841),
    [sym_float_literal] = STATE(5841),
    [sym__string] = STATE(5841),
    [sym__delimiter_str_1] = STATE(14786),
    [sym__delimiter_str_3] = STATE(14787),
    [sym__delimiter_cmd_1] = STATE(14788),
    [sym__delimiter_cmd_3] = STATE(14789),
    [sym_string_literal] = STATE(5845),
    [sym_command_literal] = STATE(5845),
    [sym_prefixed_string_literal] = STATE(5845),
    [sym_prefixed_command_literal] = STATE(5845),
    [sym_operator] = STATE(5841),
    [sym__assignment_operator] = STATE(5841),
    [sym__syntactic_operator] = STATE(5841),
    [sym_block_comment] = STATE(4538),
    [sym_line_comment] = STATE(4538),
    [sym__word_identifier] = ACTIONS(9875),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_DOLLAR] = ACTIONS(9877),
    [anon_sym_COLON2] = ACTIONS(9879),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_COLON_EQ] = ACTIONS(9881),
    [anon_sym_DOT_EQ] = ACTIONS(9883),
    [aux_sym_quote_expression_token1] = ACTIONS(9885),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9887),
    [anon_sym_QMARK] = ACTIONS(9887),
    [anon_sym_DASH_GT] = ACTIONS(9887),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(9889),
    [aux_sym_integer_literal_token2] = ACTIONS(9889),
    [aux_sym_integer_literal_token3] = ACTIONS(9891),
    [aux_sym_integer_literal_token4] = ACTIONS(9893),
    [aux_sym_float_literal_token1] = ACTIONS(9895),
    [aux_sym_float_literal_token3] = ACTIONS(9895),
    [aux_sym_float_literal_token4] = ACTIONS(9895),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9881),
    [aux_sym__assignment_operator_token1] = ACTIONS(9881),
    [sym__pair_operator] = ACTIONS(9897),
    [sym__arrow_operator] = ACTIONS(9879),
    [sym__lazy_or_operator] = ACTIONS(9899),
    [sym__lazy_and_operator] = ACTIONS(9899),
    [sym__comparison_operator] = ACTIONS(9879),
    [sym__pipe_right_operator] = ACTIONS(9897),
    [sym__pipe_left_operator] = ACTIONS(9897),
    [sym__ellipsis_operator] = ACTIONS(9879),
    [sym__plus_operator] = ACTIONS(9879),
    [sym__times_operator] = ACTIONS(9879),
    [sym__rational_operator] = ACTIONS(9879),
    [sym__bitshift_operator] = ACTIONS(9879),
    [sym__power_operator] = ACTIONS(9879),
    [sym__tilde_operator] = ACTIONS(9897),
    [sym__type_order_operator] = ACTIONS(9897),
    [sym__unary_operator] = ACTIONS(9879),
    [sym__unary_plus_operator] = ACTIONS(9879),
    [anon_sym_DOT2] = ACTIONS(9877),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9901),
    [sym__immediate_bracket] = ACTIONS(9903),
    [sym__immediate_brace] = ACTIONS(9905),
  },
  [4539] = {
    [sym_block_comment] = STATE(4539),
    [sym_line_comment] = STATE(4539),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_COLON_EQ] = ACTIONS(9907),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_DASH_GT] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9907),
    [aux_sym__assignment_operator_token1] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [4540] = {
    [sym_block_comment] = STATE(4540),
    [sym_line_comment] = STATE(4540),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_elseif] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_COLON_EQ] = ACTIONS(9907),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_DASH_GT] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9907),
    [aux_sym__assignment_operator_token1] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [4541] = {
    [sym_block_comment] = STATE(4541),
    [sym_line_comment] = STATE(4541),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_elseif] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(9911),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9913),
    [sym__immediate_command_start] = ACTIONS(9915),
  },
  [4542] = {
    [sym_block_comment] = STATE(4542),
    [sym_line_comment] = STATE(4542),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(9917),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9919),
    [sym__immediate_command_start] = ACTIONS(9921),
  },
  [4543] = {
    [sym_block_comment] = STATE(4543),
    [sym_line_comment] = STATE(4543),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(9923),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9919),
    [sym__immediate_command_start] = ACTIONS(9921),
  },
  [4544] = {
    [sym_block_comment] = STATE(4544),
    [sym_line_comment] = STATE(4544),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_elseif] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(9925),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9913),
    [sym__immediate_command_start] = ACTIONS(9915),
  },
  [4545] = {
    [sym_block_comment] = STATE(4545),
    [sym_line_comment] = STATE(4545),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_COLON_EQ] = ACTIONS(9907),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_DASH_GT] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9907),
    [aux_sym__assignment_operator_token1] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [4546] = {
    [sym_do_clause] = STATE(4712),
    [sym_block_comment] = STATE(4546),
    [sym_line_comment] = STATE(4546),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_else] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_finally] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(9929),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_COLON_EQ] = ACTIONS(9927),
    [anon_sym_DOT_EQ] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9927),
    [aux_sym__assignment_operator_token1] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [4547] = {
    [sym_do_clause] = STATE(4748),
    [sym_block_comment] = STATE(4547),
    [sym_line_comment] = STATE(4547),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_elseif] = ACTIONS(9933),
    [anon_sym_else] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(9935),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_COLON_EQ] = ACTIONS(9933),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9933),
    [aux_sym__assignment_operator_token1] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [4548] = {
    [sym_block_comment] = STATE(4548),
    [sym_line_comment] = STATE(4548),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_elseif] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(9939),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9913),
    [sym__immediate_command_start] = ACTIONS(9915),
  },
  [4549] = {
    [sym_block_comment] = STATE(4549),
    [sym_line_comment] = STATE(4549),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_else] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_COLON_EQ] = ACTIONS(9941),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9941),
    [aux_sym__assignment_operator_token1] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(9919),
    [sym__immediate_command_start] = ACTIONS(9921),
  },
  [4550] = {
    [sym_do_clause] = STATE(4801),
    [sym_block_comment] = STATE(4550),
    [sym_line_comment] = STATE(4550),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_elseif] = ACTIONS(9945),
    [anon_sym_else] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(9935),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_COLON_EQ] = ACTIONS(9945),
    [anon_sym_DOT_EQ] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9945),
    [aux_sym__assignment_operator_token1] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [4551] = {
    [sym_block_comment] = STATE(4551),
    [sym_line_comment] = STATE(4551),
    [ts_builtin_sym_end] = ACTIONS(189),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_RBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(9949),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9951),
    [sym__immediate_command_start] = ACTIONS(9953),
  },
  [4552] = {
    [sym_block_comment] = STATE(4552),
    [sym_line_comment] = STATE(4552),
    [ts_builtin_sym_end] = ACTIONS(189),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_RBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(9955),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9951),
    [sym__immediate_command_start] = ACTIONS(9953),
  },
  [4553] = {
    [sym_block_comment] = STATE(4553),
    [sym_line_comment] = STATE(4553),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_RPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(189),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_COLON_EQ] = ACTIONS(189),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_DASH_GT] = ACTIONS(9957),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(189),
    [aux_sym_float_literal_token3] = ACTIONS(189),
    [aux_sym_float_literal_token4] = ACTIONS(189),
    [sym_character_literal] = ACTIONS(189),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(189),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR_EQ] = ACTIONS(189),
    [aux_sym__assignment_operator_token1] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(189),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(189),
    [sym__pipe_left_operator] = ACTIONS(189),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(189),
    [sym__type_order_operator] = ACTIONS(189),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9959),
    [sym__immediate_command_start] = ACTIONS(9961),
  },
  [4554] = {
    [sym_block_comment] = STATE(4554),
    [sym_line_comment] = STATE(4554),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(9963),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9965),
    [sym__immediate_command_start] = ACTIONS(9967),
  },
  [4555] = {
    [sym_block_comment] = STATE(4555),
    [sym_line_comment] = STATE(4555),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_elseif] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_COLON_EQ] = ACTIONS(9969),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9969),
    [aux_sym__assignment_operator_token1] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(9913),
    [sym__immediate_command_start] = ACTIONS(9915),
  },
  [4556] = {
    [sym_do_clause] = STATE(4737),
    [sym_block_comment] = STATE(4556),
    [sym_line_comment] = STATE(4556),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_elseif] = ACTIONS(9927),
    [anon_sym_else] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(9935),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_COLON_EQ] = ACTIONS(9927),
    [anon_sym_DOT_EQ] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9927),
    [aux_sym__assignment_operator_token1] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [4557] = {
    [sym_block_comment] = STATE(4557),
    [sym_line_comment] = STATE(4557),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(9973),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9965),
    [sym__immediate_command_start] = ACTIONS(9967),
  },
  [4558] = {
    [sym_do_clause] = STATE(4714),
    [sym_block_comment] = STATE(4558),
    [sym_line_comment] = STATE(4558),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_else] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(9929),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_COLON_EQ] = ACTIONS(9933),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9933),
    [aux_sym__assignment_operator_token1] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [4559] = {
    [sym_block_comment] = STATE(4559),
    [sym_line_comment] = STATE(4559),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_elseif] = ACTIONS(9941),
    [anon_sym_else] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_COLON_EQ] = ACTIONS(9941),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9941),
    [aux_sym__assignment_operator_token1] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(9913),
    [sym__immediate_command_start] = ACTIONS(9915),
  },
  [4560] = {
    [sym_do_clause] = STATE(4717),
    [sym_block_comment] = STATE(4560),
    [sym_line_comment] = STATE(4560),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_else] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_finally] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(9929),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_COLON_EQ] = ACTIONS(9945),
    [anon_sym_DOT_EQ] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9945),
    [aux_sym__assignment_operator_token1] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [4561] = {
    [sym_block_comment] = STATE(4561),
    [sym_line_comment] = STATE(4561),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(9975),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9977),
    [sym__immediate_command_start] = ACTIONS(9979),
  },
  [4562] = {
    [sym_block_comment] = STATE(4562),
    [sym_line_comment] = STATE(4562),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(9981),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9983),
    [sym__immediate_command_start] = ACTIONS(9985),
  },
  [4563] = {
    [sym_block_comment] = STATE(4563),
    [sym_line_comment] = STATE(4563),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_COLON_EQ] = ACTIONS(9907),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_DASH_GT] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9907),
    [aux_sym__assignment_operator_token1] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [4564] = {
    [sym_do_clause] = STATE(4723),
    [sym_block_comment] = STATE(4564),
    [sym_line_comment] = STATE(4564),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_else] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(9929),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_COLON_EQ] = ACTIONS(9987),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9987),
    [aux_sym__assignment_operator_token1] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [4565] = {
    [sym_do_clause] = STATE(4845),
    [sym_block_comment] = STATE(4565),
    [sym_line_comment] = STATE(4565),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_elseif] = ACTIONS(9987),
    [anon_sym_else] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(9935),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_COLON_EQ] = ACTIONS(9987),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9987),
    [aux_sym__assignment_operator_token1] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [4566] = {
    [sym_block_comment] = STATE(4566),
    [sym_line_comment] = STATE(4566),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(9991),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9977),
    [sym__immediate_command_start] = ACTIONS(9979),
  },
  [4567] = {
    [sym_block_comment] = STATE(4567),
    [sym_line_comment] = STATE(4567),
    [ts_builtin_sym_end] = ACTIONS(9909),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_RBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_COLON_EQ] = ACTIONS(9907),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_DASH_GT] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9907),
    [aux_sym__assignment_operator_token1] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [4568] = {
    [sym_block_comment] = STATE(4568),
    [sym_line_comment] = STATE(4568),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_elseif] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_COLON_EQ] = ACTIONS(9993),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9993),
    [aux_sym__assignment_operator_token1] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(9913),
    [sym__immediate_command_start] = ACTIONS(9915),
  },
  [4569] = {
    [sym_block_comment] = STATE(4569),
    [sym_line_comment] = STATE(4569),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_RPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(189),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_COLON_EQ] = ACTIONS(189),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_DASH_GT] = ACTIONS(9997),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(189),
    [aux_sym_float_literal_token3] = ACTIONS(189),
    [aux_sym_float_literal_token4] = ACTIONS(189),
    [sym_character_literal] = ACTIONS(189),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(189),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR_EQ] = ACTIONS(189),
    [aux_sym__assignment_operator_token1] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(189),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(189),
    [sym__pipe_left_operator] = ACTIONS(189),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(189),
    [sym__type_order_operator] = ACTIONS(189),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9959),
    [sym__immediate_command_start] = ACTIONS(9961),
  },
  [4570] = {
    [sym_block_comment] = STATE(4570),
    [sym_line_comment] = STATE(4570),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_COLON_EQ] = ACTIONS(9907),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9907),
    [aux_sym__assignment_operator_token1] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [4571] = {
    [sym_block_comment] = STATE(4571),
    [sym_line_comment] = STATE(4571),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_COLON_EQ] = ACTIONS(9907),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_DASH_GT] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9907),
    [aux_sym__assignment_operator_token1] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [4572] = {
    [sym_block_comment] = STATE(4572),
    [sym_line_comment] = STATE(4572),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(9999),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9983),
    [sym__immediate_command_start] = ACTIONS(9985),
  },
  [4573] = {
    [sym_block_comment] = STATE(4573),
    [sym_line_comment] = STATE(4573),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_RPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_RBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9909),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_RBRACE] = ACTIONS(9909),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_COLON_EQ] = ACTIONS(9909),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_DASH_GT] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9909),
    [aux_sym__assignment_operator_token1] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [4574] = {
    [sym_block_comment] = STATE(4574),
    [sym_line_comment] = STATE(4574),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_elseif] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(10001),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9913),
    [sym__immediate_command_start] = ACTIONS(9915),
  },
  [4575] = {
    [sym_block_comment] = STATE(4575),
    [sym_line_comment] = STATE(4575),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_COLON_EQ] = ACTIONS(9993),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9993),
    [aux_sym__assignment_operator_token1] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(9919),
    [sym__immediate_command_start] = ACTIONS(9921),
  },
  [4576] = {
    [sym_block_comment] = STATE(4576),
    [sym_line_comment] = STATE(4576),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_COLON_EQ] = ACTIONS(9969),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9969),
    [aux_sym__assignment_operator_token1] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(9919),
    [sym__immediate_command_start] = ACTIONS(9921),
  },
  [4577] = {
    [sym_block_comment] = STATE(4577),
    [sym_line_comment] = STATE(4577),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_elseif] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_COLON_EQ] = ACTIONS(9907),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9907),
    [aux_sym__assignment_operator_token1] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [4578] = {
    [sym_block_comment] = STATE(4578),
    [sym_line_comment] = STATE(4578),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_elseif] = ACTIONS(10003),
    [anon_sym_else] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_COLON_EQ] = ACTIONS(10003),
    [anon_sym_DOT_EQ] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10003),
    [aux_sym__assignment_operator_token1] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [4579] = {
    [sym_identifier] = STATE(4707),
    [sym_block_comment] = STATE(4579),
    [sym_line_comment] = STATE(4579),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_else] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_finally] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_COLON_EQ] = ACTIONS(10007),
    [anon_sym_DOT_EQ] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10007),
    [aux_sym__assignment_operator_token1] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [4580] = {
    [sym_block_comment] = STATE(4580),
    [sym_line_comment] = STATE(4580),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_elseif] = ACTIONS(10011),
    [anon_sym_else] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_COLON_EQ] = ACTIONS(10011),
    [anon_sym_DOT_EQ] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10011),
    [aux_sym__assignment_operator_token1] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [4581] = {
    [sym_block_comment] = STATE(4581),
    [sym_line_comment] = STATE(4581),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_COLON_EQ] = ACTIONS(10015),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10017),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10015),
    [aux_sym__assignment_operator_token1] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [4582] = {
    [sym__assignment_operator] = STATE(3754),
    [sym_block_comment] = STATE(4582),
    [sym_line_comment] = STATE(4582),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10021),
    [anon_sym_DOT] = ACTIONS(10023),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10027),
    [sym__immediate_bracket] = ACTIONS(10029),
    [sym__immediate_brace] = ACTIONS(10031),
  },
  [4583] = {
    [sym_block_comment] = STATE(4583),
    [sym_line_comment] = STATE(4583),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_RPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_RBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9971),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_RBRACE] = ACTIONS(9971),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_COLON_EQ] = ACTIONS(9971),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9971),
    [aux_sym__assignment_operator_token1] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(9959),
    [sym__immediate_command_start] = ACTIONS(9961),
  },
  [4584] = {
    [sym_block_comment] = STATE(4584),
    [sym_line_comment] = STATE(4584),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_elseif] = ACTIONS(10033),
    [anon_sym_else] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_COLON_EQ] = ACTIONS(10033),
    [anon_sym_DOT_EQ] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10033),
    [aux_sym__assignment_operator_token1] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [4585] = {
    [sym_block_comment] = STATE(4585),
    [sym_line_comment] = STATE(4585),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_COLON_EQ] = ACTIONS(9969),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9969),
    [aux_sym__assignment_operator_token1] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(9983),
    [sym__immediate_command_start] = ACTIONS(9985),
  },
  [4586] = {
    [sym_block_comment] = STATE(4586),
    [sym_line_comment] = STATE(4586),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_RPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_RBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9909),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_RBRACE] = ACTIONS(9909),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_COLON_EQ] = ACTIONS(9909),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9909),
    [aux_sym__assignment_operator_token1] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [4587] = {
    [sym__assignment_operator] = STATE(4245),
    [sym_block_comment] = STATE(4587),
    [sym_line_comment] = STATE(4587),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10037),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10039),
    [anon_sym_DOT] = ACTIONS(10041),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10043),
    [sym__immediate_bracket] = ACTIONS(10045),
    [sym__immediate_brace] = ACTIONS(10047),
  },
  [4588] = {
    [sym_do_clause] = STATE(5291),
    [sym_block_comment] = STATE(4588),
    [sym_line_comment] = STATE(4588),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10049),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_COLON_EQ] = ACTIONS(9987),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9987),
    [aux_sym__assignment_operator_token1] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [4589] = {
    [sym_block_comment] = STATE(4589),
    [sym_line_comment] = STATE(4589),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_elseif] = ACTIONS(10051),
    [anon_sym_else] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_COLON_EQ] = ACTIONS(10051),
    [anon_sym_DOT_EQ] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10051),
    [aux_sym__assignment_operator_token1] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [4590] = {
    [sym_block_comment] = STATE(4590),
    [sym_line_comment] = STATE(4590),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_elseif] = ACTIONS(10055),
    [anon_sym_else] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_COLON_EQ] = ACTIONS(10055),
    [anon_sym_DOT_EQ] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10055),
    [aux_sym__assignment_operator_token1] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [4591] = {
    [sym_block_comment] = STATE(4591),
    [sym_line_comment] = STATE(4591),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_elseif] = ACTIONS(10059),
    [anon_sym_else] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_COLON_EQ] = ACTIONS(10059),
    [anon_sym_DOT_EQ] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10059),
    [aux_sym__assignment_operator_token1] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [4592] = {
    [sym_block_comment] = STATE(4592),
    [sym_line_comment] = STATE(4592),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_COLON_EQ] = ACTIONS(9907),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9907),
    [aux_sym__assignment_operator_token1] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [4593] = {
    [sym_block_comment] = STATE(4593),
    [sym_line_comment] = STATE(4593),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_COLON_EQ] = ACTIONS(9993),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9993),
    [aux_sym__assignment_operator_token1] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(9965),
    [sym__immediate_command_start] = ACTIONS(9967),
  },
  [4594] = {
    [sym__assignment_operator] = STATE(3556),
    [sym_block_comment] = STATE(4594),
    [sym_line_comment] = STATE(4594),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10039),
    [anon_sym_DOT] = ACTIONS(10063),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10043),
    [sym__immediate_bracket] = ACTIONS(10045),
    [sym__immediate_brace] = ACTIONS(10047),
  },
  [4595] = {
    [sym_do_clause] = STATE(5080),
    [sym_block_comment] = STATE(4595),
    [sym_line_comment] = STATE(4595),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9947),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9947),
    [anon_sym_RPAREN] = ACTIONS(9947),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9947),
    [anon_sym_RBRACK] = ACTIONS(9947),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9947),
    [anon_sym_LBRACE] = ACTIONS(9947),
    [anon_sym_RBRACE] = ACTIONS(9947),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10065),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9947),
    [anon_sym_COLON_EQ] = ACTIONS(9947),
    [anon_sym_DOT_EQ] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9947),
    [anon_sym_QMARK] = ACTIONS(9947),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9947),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9947),
    [aux_sym_integer_literal_token2] = ACTIONS(9947),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9947),
    [aux_sym_float_literal_token3] = ACTIONS(9947),
    [aux_sym_float_literal_token4] = ACTIONS(9947),
    [sym_character_literal] = ACTIONS(9947),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9947),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9947),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9947),
    [aux_sym__assignment_operator_token1] = ACTIONS(9947),
    [sym__pair_operator] = ACTIONS(9947),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9947),
    [sym__lazy_and_operator] = ACTIONS(9947),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9947),
    [sym__pipe_left_operator] = ACTIONS(9947),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9947),
    [sym__type_order_operator] = ACTIONS(9947),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [4596] = {
    [sym_block_comment] = STATE(4596),
    [sym_line_comment] = STATE(4596),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(10067),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10069),
    [sym__immediate_command_start] = ACTIONS(10071),
  },
  [4597] = {
    [sym_do_clause] = STATE(5083),
    [sym_block_comment] = STATE(4597),
    [sym_line_comment] = STATE(4597),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9989),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9989),
    [anon_sym_RPAREN] = ACTIONS(9989),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9989),
    [anon_sym_RBRACK] = ACTIONS(9989),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9989),
    [anon_sym_LBRACE] = ACTIONS(9989),
    [anon_sym_RBRACE] = ACTIONS(9989),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10065),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9989),
    [anon_sym_COLON_EQ] = ACTIONS(9989),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9989),
    [anon_sym_QMARK] = ACTIONS(9989),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9989),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9989),
    [aux_sym_integer_literal_token2] = ACTIONS(9989),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9989),
    [aux_sym_float_literal_token3] = ACTIONS(9989),
    [aux_sym_float_literal_token4] = ACTIONS(9989),
    [sym_character_literal] = ACTIONS(9989),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9989),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9989),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9989),
    [aux_sym__assignment_operator_token1] = ACTIONS(9989),
    [sym__pair_operator] = ACTIONS(9989),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9989),
    [sym__lazy_and_operator] = ACTIONS(9989),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9989),
    [sym__pipe_left_operator] = ACTIONS(9989),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9989),
    [sym__type_order_operator] = ACTIONS(9989),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [4598] = {
    [sym_block_comment] = STATE(4598),
    [sym_line_comment] = STATE(4598),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_elseif] = ACTIONS(10073),
    [anon_sym_else] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_COLON_EQ] = ACTIONS(10073),
    [anon_sym_DOT_EQ] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10073),
    [aux_sym__assignment_operator_token1] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [4599] = {
    [sym_block_comment] = STATE(4599),
    [sym_line_comment] = STATE(4599),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_COLON_EQ] = ACTIONS(9907),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9907),
    [aux_sym__assignment_operator_token1] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [4600] = {
    [sym_do_clause] = STATE(5133),
    [sym_block_comment] = STATE(4600),
    [sym_line_comment] = STATE(4600),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_catch] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10077),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_COLON_EQ] = ACTIONS(9987),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9987),
    [aux_sym__assignment_operator_token1] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [4601] = {
    [sym_block_comment] = STATE(4601),
    [sym_line_comment] = STATE(4601),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_COLON_EQ] = ACTIONS(9907),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9907),
    [aux_sym__assignment_operator_token1] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [4602] = {
    [sym_block_comment] = STATE(4602),
    [sym_line_comment] = STATE(4602),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_else] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_finally] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_COLON_EQ] = ACTIONS(10073),
    [anon_sym_DOT_EQ] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10073),
    [aux_sym__assignment_operator_token1] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [4603] = {
    [sym__assignment_operator] = STATE(3754),
    [sym_block_comment] = STATE(4603),
    [sym_line_comment] = STATE(4603),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10021),
    [anon_sym_DOT] = ACTIONS(10023),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10027),
    [sym__immediate_bracket] = ACTIONS(10029),
    [sym__immediate_brace] = ACTIONS(10031),
  },
  [4604] = {
    [sym_block_comment] = STATE(4604),
    [sym_line_comment] = STATE(4604),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_else] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_finally] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_COLON_EQ] = ACTIONS(10079),
    [anon_sym_DOT_EQ] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10079),
    [aux_sym__assignment_operator_token1] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [4605] = {
    [sym__assignment_operator] = STATE(3754),
    [sym_block_comment] = STATE(4605),
    [sym_line_comment] = STATE(4605),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10021),
    [anon_sym_DOT] = ACTIONS(10023),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10027),
    [sym__immediate_bracket] = ACTIONS(10029),
    [sym__immediate_brace] = ACTIONS(10031),
  },
  [4606] = {
    [sym_block_comment] = STATE(4606),
    [sym_line_comment] = STATE(4606),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_elseif] = ACTIONS(10083),
    [anon_sym_else] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_COLON_EQ] = ACTIONS(10083),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10083),
    [aux_sym__assignment_operator_token1] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [4607] = {
    [sym_block_comment] = STATE(4607),
    [sym_line_comment] = STATE(4607),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_elseif] = ACTIONS(10089),
    [anon_sym_else] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4608] = {
    [sym_block_comment] = STATE(4608),
    [sym_line_comment] = STATE(4608),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_elseif] = ACTIONS(10089),
    [anon_sym_else] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4609] = {
    [sym_block_comment] = STATE(4609),
    [sym_line_comment] = STATE(4609),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_COLON_EQ] = ACTIONS(9993),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9993),
    [aux_sym__assignment_operator_token1] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(9977),
    [sym__immediate_command_start] = ACTIONS(9979),
  },
  [4610] = {
    [sym__assignment_operator] = STATE(3556),
    [sym_block_comment] = STATE(4610),
    [sym_line_comment] = STATE(4610),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10039),
    [anon_sym_DOT] = ACTIONS(10063),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10043),
    [sym__immediate_bracket] = ACTIONS(10045),
    [sym__immediate_brace] = ACTIONS(10047),
  },
  [4611] = {
    [sym_block_comment] = STATE(4611),
    [sym_line_comment] = STATE(4611),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_COLON_EQ] = ACTIONS(9993),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9993),
    [aux_sym__assignment_operator_token1] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(9983),
    [sym__immediate_command_start] = ACTIONS(9985),
  },
  [4612] = {
    [sym_do_clause] = STATE(5039),
    [sym_block_comment] = STATE(4612),
    [sym_line_comment] = STATE(4612),
    [ts_builtin_sym_end] = ACTIONS(9931),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_RBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10093),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_COLON_EQ] = ACTIONS(9927),
    [anon_sym_DOT_EQ] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9927),
    [aux_sym__assignment_operator_token1] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [4613] = {
    [sym_block_comment] = STATE(4613),
    [sym_line_comment] = STATE(4613),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(10095),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10069),
    [sym__immediate_command_start] = ACTIONS(10071),
  },
  [4614] = {
    [sym_block_comment] = STATE(4614),
    [sym_line_comment] = STATE(4614),
    [ts_builtin_sym_end] = ACTIONS(9943),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_RBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_COLON_EQ] = ACTIONS(9941),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9941),
    [aux_sym__assignment_operator_token1] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(9951),
    [sym__immediate_command_start] = ACTIONS(9953),
  },
  [4615] = {
    [sym_do_clause] = STATE(5040),
    [sym_block_comment] = STATE(4615),
    [sym_line_comment] = STATE(4615),
    [ts_builtin_sym_end] = ACTIONS(9937),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_RBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10093),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_COLON_EQ] = ACTIONS(9933),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9933),
    [aux_sym__assignment_operator_token1] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [4616] = {
    [sym_block_comment] = STATE(4616),
    [sym_line_comment] = STATE(4616),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_elseif] = ACTIONS(10097),
    [anon_sym_else] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_COLON_EQ] = ACTIONS(10097),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10097),
    [aux_sym__assignment_operator_token1] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [4617] = {
    [sym_block_comment] = STATE(4617),
    [sym_line_comment] = STATE(4617),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_elseif] = ACTIONS(10101),
    [anon_sym_else] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_COLON_EQ] = ACTIONS(10101),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10101),
    [aux_sym__assignment_operator_token1] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [4618] = {
    [sym_block_comment] = STATE(4618),
    [sym_line_comment] = STATE(4618),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_else] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4619] = {
    [sym_block_comment] = STATE(4619),
    [sym_line_comment] = STATE(4619),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_else] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4620] = {
    [sym_do_clause] = STATE(5286),
    [sym_block_comment] = STATE(4620),
    [sym_line_comment] = STATE(4620),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_finally] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10049),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_COLON_EQ] = ACTIONS(9927),
    [anon_sym_DOT_EQ] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9927),
    [aux_sym__assignment_operator_token1] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [4621] = {
    [sym__primary_expression] = STATE(10987),
    [sym__array] = STATE(10654),
    [sym_comprehension_expression] = STATE(10689),
    [sym_matrix_expression] = STATE(10689),
    [sym_vector_expression] = STATE(10689),
    [sym_parenthesized_expression] = STATE(10654),
    [sym_tuple_expression] = STATE(10654),
    [sym_curly_expression] = STATE(10654),
    [sym_adjoint_expression] = STATE(10654),
    [sym_field_expression] = STATE(10654),
    [sym_index_expression] = STATE(10654),
    [sym_parametrized_type_expression] = STATE(10654),
    [sym_call_expression] = STATE(10654),
    [sym_broadcast_call_expression] = STATE(10654),
    [sym__closed_macrocall_expression] = STATE(10654),
    [sym_interpolation_expression] = STATE(10654),
    [sym_quote_expression] = STATE(10654),
    [sym_macro_identifier] = STATE(17588),
    [sym_identifier] = STATE(10827),
    [sym_boolean_literal] = STATE(10654),
    [sym__string] = STATE(10654),
    [sym__delimiter_str_1] = STATE(15341),
    [sym__delimiter_str_3] = STATE(15342),
    [sym__delimiter_cmd_1] = STATE(15343),
    [sym__delimiter_cmd_3] = STATE(15344),
    [sym_string_literal] = STATE(10680),
    [sym_command_literal] = STATE(10680),
    [sym_prefixed_string_literal] = STATE(10680),
    [sym_prefixed_command_literal] = STATE(10680),
    [sym_operator] = STATE(19440),
    [sym_block_comment] = STATE(4621),
    [sym_line_comment] = STATE(4621),
    [sym__word_identifier] = ACTIONS(10105),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(10107),
    [anon_sym_RPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(10109),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(189),
    [anon_sym_LBRACE] = ACTIONS(10111),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(10113),
    [anon_sym_COLON2] = ACTIONS(10115),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_COLON_EQ] = ACTIONS(189),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(10117),
    [anon_sym_true] = ACTIONS(10119),
    [anon_sym_false] = ACTIONS(10119),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(189),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(10121),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(189),
    [aux_sym__assignment_operator_token1] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(9316),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9316),
    [sym__pipe_left_operator] = ACTIONS(9316),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [4622] = {
    [sym_block_comment] = STATE(4622),
    [sym_line_comment] = STATE(4622),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_elseif] = ACTIONS(10123),
    [anon_sym_else] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_COLON_EQ] = ACTIONS(10123),
    [anon_sym_DOT_EQ] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10123),
    [aux_sym__assignment_operator_token1] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [4623] = {
    [sym_block_comment] = STATE(4623),
    [sym_line_comment] = STATE(4623),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_elseif] = ACTIONS(10127),
    [anon_sym_else] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_COLON_EQ] = ACTIONS(10127),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_DASH_GT] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10127),
    [aux_sym__assignment_operator_token1] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [4624] = {
    [sym_do_clause] = STATE(5047),
    [sym_block_comment] = STATE(4624),
    [sym_line_comment] = STATE(4624),
    [ts_builtin_sym_end] = ACTIONS(9947),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_RBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10093),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_COLON_EQ] = ACTIONS(9945),
    [anon_sym_DOT_EQ] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9945),
    [aux_sym__assignment_operator_token1] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [4625] = {
    [sym_identifier] = STATE(4833),
    [sym_block_comment] = STATE(4625),
    [sym_line_comment] = STATE(4625),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_elseif] = ACTIONS(10131),
    [anon_sym_else] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_COLON_EQ] = ACTIONS(10131),
    [anon_sym_DOT_EQ] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10131),
    [aux_sym__assignment_operator_token1] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [4626] = {
    [sym_identifier] = STATE(4834),
    [sym_block_comment] = STATE(4626),
    [sym_line_comment] = STATE(4626),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_elseif] = ACTIONS(10135),
    [anon_sym_else] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_COLON_EQ] = ACTIONS(10135),
    [anon_sym_DOT_EQ] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10135),
    [aux_sym__assignment_operator_token1] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [4627] = {
    [sym_block_comment] = STATE(4627),
    [sym_line_comment] = STATE(4627),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_elseif] = ACTIONS(10139),
    [anon_sym_else] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_COLON_EQ] = ACTIONS(10139),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_DASH_GT] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10139),
    [aux_sym__assignment_operator_token1] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [4628] = {
    [sym_block_comment] = STATE(4628),
    [sym_line_comment] = STATE(4628),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_COLON_EQ] = ACTIONS(9941),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9941),
    [aux_sym__assignment_operator_token1] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(9983),
    [sym__immediate_command_start] = ACTIONS(9985),
  },
  [4629] = {
    [sym_block_comment] = STATE(4629),
    [sym_line_comment] = STATE(4629),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_COLON_EQ] = ACTIONS(9969),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9969),
    [aux_sym__assignment_operator_token1] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(9977),
    [sym__immediate_command_start] = ACTIONS(9979),
  },
  [4630] = {
    [sym_identifier] = STATE(4893),
    [sym_block_comment] = STATE(4630),
    [sym_line_comment] = STATE(4630),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_else] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_finally] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_COLON_EQ] = ACTIONS(10143),
    [anon_sym_DOT_EQ] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10143),
    [aux_sym__assignment_operator_token1] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [4631] = {
    [sym_block_comment] = STATE(4631),
    [sym_line_comment] = STATE(4631),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_elseif] = ACTIONS(10079),
    [anon_sym_else] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_COLON_EQ] = ACTIONS(10079),
    [anon_sym_DOT_EQ] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10079),
    [aux_sym__assignment_operator_token1] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [4632] = {
    [sym_block_comment] = STATE(4632),
    [sym_line_comment] = STATE(4632),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_elseif] = ACTIONS(10085),
    [anon_sym_else] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_COLON_EQ] = ACTIONS(10085),
    [anon_sym_DOT_EQ] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10085),
    [aux_sym__assignment_operator_token1] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [4633] = {
    [sym_block_comment] = STATE(4633),
    [sym_line_comment] = STATE(4633),
    [ts_builtin_sym_end] = ACTIONS(9995),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_RBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_COLON_EQ] = ACTIONS(9993),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9993),
    [aux_sym__assignment_operator_token1] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(9951),
    [sym__immediate_command_start] = ACTIONS(9953),
  },
  [4634] = {
    [sym_block_comment] = STATE(4634),
    [sym_line_comment] = STATE(4634),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_elseif] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_COLON_EQ] = ACTIONS(10015),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10149),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10015),
    [aux_sym__assignment_operator_token1] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [4635] = {
    [sym_block_comment] = STATE(4635),
    [sym_line_comment] = STATE(4635),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9943),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9943),
    [anon_sym_RPAREN] = ACTIONS(9943),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9943),
    [anon_sym_RBRACK] = ACTIONS(9943),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9943),
    [anon_sym_LBRACE] = ACTIONS(9943),
    [anon_sym_RBRACE] = ACTIONS(9943),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9943),
    [anon_sym_COLON_EQ] = ACTIONS(9943),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9943),
    [anon_sym_QMARK] = ACTIONS(9943),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9943),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9943),
    [aux_sym_integer_literal_token2] = ACTIONS(9943),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9943),
    [aux_sym_float_literal_token3] = ACTIONS(9943),
    [aux_sym_float_literal_token4] = ACTIONS(9943),
    [sym_character_literal] = ACTIONS(9943),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9943),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9943),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9943),
    [aux_sym__assignment_operator_token1] = ACTIONS(9943),
    [sym__pair_operator] = ACTIONS(9943),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9943),
    [sym__lazy_and_operator] = ACTIONS(9943),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9943),
    [sym__pipe_left_operator] = ACTIONS(9943),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9943),
    [sym__type_order_operator] = ACTIONS(9943),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(9959),
    [sym__immediate_command_start] = ACTIONS(9961),
  },
  [4636] = {
    [sym_do_clause] = STATE(5078),
    [sym_block_comment] = STATE(4636),
    [sym_line_comment] = STATE(4636),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9937),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9937),
    [anon_sym_RPAREN] = ACTIONS(9937),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9937),
    [anon_sym_RBRACK] = ACTIONS(9937),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9937),
    [anon_sym_LBRACE] = ACTIONS(9937),
    [anon_sym_RBRACE] = ACTIONS(9937),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10065),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9937),
    [anon_sym_COLON_EQ] = ACTIONS(9937),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9937),
    [anon_sym_QMARK] = ACTIONS(9937),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9937),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9937),
    [aux_sym_integer_literal_token2] = ACTIONS(9937),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9937),
    [aux_sym_float_literal_token3] = ACTIONS(9937),
    [aux_sym_float_literal_token4] = ACTIONS(9937),
    [sym_character_literal] = ACTIONS(9937),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9937),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9937),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9937),
    [aux_sym__assignment_operator_token1] = ACTIONS(9937),
    [sym__pair_operator] = ACTIONS(9937),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9937),
    [sym__lazy_and_operator] = ACTIONS(9937),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9937),
    [sym__pipe_left_operator] = ACTIONS(9937),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9937),
    [sym__type_order_operator] = ACTIONS(9937),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [4637] = {
    [sym_block_comment] = STATE(4637),
    [sym_line_comment] = STATE(4637),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_else] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_COLON_EQ] = ACTIONS(10101),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10101),
    [aux_sym__assignment_operator_token1] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [4638] = {
    [sym_block_comment] = STATE(4638),
    [sym_line_comment] = STATE(4638),
    [ts_builtin_sym_end] = ACTIONS(9971),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_RBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_COLON_EQ] = ACTIONS(9969),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9969),
    [aux_sym__assignment_operator_token1] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(9951),
    [sym__immediate_command_start] = ACTIONS(9953),
  },
  [4639] = {
    [sym__assignment_operator] = STATE(4245),
    [sym_block_comment] = STATE(4639),
    [sym_line_comment] = STATE(4639),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10151),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10039),
    [anon_sym_DOT] = ACTIONS(10041),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10043),
    [sym__immediate_bracket] = ACTIONS(10045),
    [sym__immediate_brace] = ACTIONS(10047),
  },
  [4640] = {
    [sym_do_clause] = STATE(5210),
    [sym_block_comment] = STATE(4640),
    [sym_line_comment] = STATE(4640),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_catch] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10153),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_COLON_EQ] = ACTIONS(9927),
    [anon_sym_DOT_EQ] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9927),
    [aux_sym__assignment_operator_token1] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [4641] = {
    [sym_block_comment] = STATE(4641),
    [sym_line_comment] = STATE(4641),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_catch] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_COLON_EQ] = ACTIONS(9941),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9941),
    [aux_sym__assignment_operator_token1] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(9977),
    [sym__immediate_command_start] = ACTIONS(9979),
  },
  [4642] = {
    [sym_do_clause] = STATE(5211),
    [sym_block_comment] = STATE(4642),
    [sym_line_comment] = STATE(4642),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_catch] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10153),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_COLON_EQ] = ACTIONS(9933),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9933),
    [aux_sym__assignment_operator_token1] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [4643] = {
    [sym_block_comment] = STATE(4643),
    [sym_line_comment] = STATE(4643),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_RPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_RBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9995),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_RBRACE] = ACTIONS(9995),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_COLON_EQ] = ACTIONS(9995),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9995),
    [aux_sym__assignment_operator_token1] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(9959),
    [sym__immediate_command_start] = ACTIONS(9961),
  },
  [4644] = {
    [sym_do_clause] = STATE(5213),
    [sym_block_comment] = STATE(4644),
    [sym_line_comment] = STATE(4644),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_catch] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10153),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_COLON_EQ] = ACTIONS(9945),
    [anon_sym_DOT_EQ] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9945),
    [aux_sym__assignment_operator_token1] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [4645] = {
    [sym_do_clause] = STATE(5216),
    [sym_block_comment] = STATE(4645),
    [sym_line_comment] = STATE(4645),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_catch] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10153),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_COLON_EQ] = ACTIONS(9987),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9987),
    [aux_sym__assignment_operator_token1] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [4646] = {
    [sym__assignment_operator] = STATE(3945),
    [sym_block_comment] = STATE(4646),
    [sym_line_comment] = STATE(4646),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10155),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10021),
    [anon_sym_DOT] = ACTIONS(10157),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10027),
    [sym__immediate_bracket] = ACTIONS(10029),
    [sym__immediate_brace] = ACTIONS(10031),
  },
  [4647] = {
    [sym_block_comment] = STATE(4647),
    [sym_line_comment] = STATE(4647),
    [ts_builtin_sym_end] = ACTIONS(9909),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_RBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_COLON_EQ] = ACTIONS(9907),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9907),
    [aux_sym__assignment_operator_token1] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [4648] = {
    [sym_do_clause] = STATE(5288),
    [sym_block_comment] = STATE(4648),
    [sym_line_comment] = STATE(4648),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_finally] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10049),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_COLON_EQ] = ACTIONS(9945),
    [anon_sym_DOT_EQ] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9945),
    [aux_sym__assignment_operator_token1] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [4649] = {
    [sym_block_comment] = STATE(4649),
    [sym_line_comment] = STATE(4649),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_else] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_COLON_EQ] = ACTIONS(10083),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10083),
    [aux_sym__assignment_operator_token1] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [4650] = {
    [sym_block_comment] = STATE(4650),
    [sym_line_comment] = STATE(4650),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_else] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_finally] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_COLON_EQ] = ACTIONS(10085),
    [anon_sym_DOT_EQ] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10085),
    [aux_sym__assignment_operator_token1] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [4651] = {
    [sym_block_comment] = STATE(4651),
    [sym_line_comment] = STATE(4651),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_else] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_finally] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_COLON_EQ] = ACTIONS(10003),
    [anon_sym_DOT_EQ] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10003),
    [aux_sym__assignment_operator_token1] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [4652] = {
    [sym_block_comment] = STATE(4652),
    [sym_line_comment] = STATE(4652),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_else] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_finally] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_COLON_EQ] = ACTIONS(10159),
    [anon_sym_DOT_EQ] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10159),
    [aux_sym__assignment_operator_token1] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [4653] = {
    [sym_block_comment] = STATE(4653),
    [sym_line_comment] = STATE(4653),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_else] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_finally] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_COLON_EQ] = ACTIONS(10163),
    [anon_sym_DOT_EQ] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10163),
    [aux_sym__assignment_operator_token1] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [4654] = {
    [sym_block_comment] = STATE(4654),
    [sym_line_comment] = STATE(4654),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_else] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_finally] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_COLON_EQ] = ACTIONS(10055),
    [anon_sym_DOT_EQ] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10055),
    [aux_sym__assignment_operator_token1] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [4655] = {
    [sym_block_comment] = STATE(4655),
    [sym_line_comment] = STATE(4655),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_else] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_finally] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_COLON_EQ] = ACTIONS(10033),
    [anon_sym_DOT_EQ] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10033),
    [aux_sym__assignment_operator_token1] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [4656] = {
    [sym_block_comment] = STATE(4656),
    [sym_line_comment] = STATE(4656),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_else] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_finally] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_COLON_EQ] = ACTIONS(10051),
    [anon_sym_DOT_EQ] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10051),
    [aux_sym__assignment_operator_token1] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [4657] = {
    [sym_block_comment] = STATE(4657),
    [sym_line_comment] = STATE(4657),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_else] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_finally] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_COLON_EQ] = ACTIONS(10059),
    [anon_sym_DOT_EQ] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10059),
    [aux_sym__assignment_operator_token1] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [4658] = {
    [sym_block_comment] = STATE(4658),
    [sym_line_comment] = STATE(4658),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_else] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_finally] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_COLON_EQ] = ACTIONS(10123),
    [anon_sym_DOT_EQ] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10123),
    [aux_sym__assignment_operator_token1] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [4659] = {
    [sym_block_comment] = STATE(4659),
    [sym_line_comment] = STATE(4659),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_else] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_finally] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_COLON_EQ] = ACTIONS(10011),
    [anon_sym_DOT_EQ] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10011),
    [aux_sym__assignment_operator_token1] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [4660] = {
    [sym_do_clause] = STATE(5125),
    [sym_block_comment] = STATE(4660),
    [sym_line_comment] = STATE(4660),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_catch] = ACTIONS(9927),
    [anon_sym_finally] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10077),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_COLON_EQ] = ACTIONS(9927),
    [anon_sym_DOT_EQ] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9927),
    [aux_sym__assignment_operator_token1] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [4661] = {
    [sym_block_comment] = STATE(4661),
    [sym_line_comment] = STATE(4661),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_catch] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_COLON_EQ] = ACTIONS(9941),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9941),
    [aux_sym__assignment_operator_token1] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(9965),
    [sym__immediate_command_start] = ACTIONS(9967),
  },
  [4662] = {
    [sym_block_comment] = STATE(4662),
    [sym_line_comment] = STATE(4662),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_else] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_COLON_EQ] = ACTIONS(10127),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_DASH_GT] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10127),
    [aux_sym__assignment_operator_token1] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [4663] = {
    [sym_identifier] = STATE(4956),
    [sym_block_comment] = STATE(4663),
    [sym_line_comment] = STATE(4663),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_else] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_finally] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_COLON_EQ] = ACTIONS(10131),
    [anon_sym_DOT_EQ] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10131),
    [aux_sym__assignment_operator_token1] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [4664] = {
    [sym__assignment_operator] = STATE(3556),
    [sym_block_comment] = STATE(4664),
    [sym_line_comment] = STATE(4664),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10039),
    [anon_sym_DOT] = ACTIONS(10063),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10043),
    [sym__immediate_bracket] = ACTIONS(10045),
    [sym__immediate_brace] = ACTIONS(10047),
  },
  [4665] = {
    [sym_block_comment] = STATE(4665),
    [sym_line_comment] = STATE(4665),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_else] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_COLON_EQ] = ACTIONS(10139),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_DASH_GT] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10139),
    [aux_sym__assignment_operator_token1] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [4666] = {
    [sym_block_comment] = STATE(4666),
    [sym_line_comment] = STATE(4666),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_elseif] = ACTIONS(10159),
    [anon_sym_else] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_COLON_EQ] = ACTIONS(10159),
    [anon_sym_DOT_EQ] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10159),
    [aux_sym__assignment_operator_token1] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [4667] = {
    [sym_do_clause] = STATE(5126),
    [sym_block_comment] = STATE(4667),
    [sym_line_comment] = STATE(4667),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_catch] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10077),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_COLON_EQ] = ACTIONS(9933),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9933),
    [aux_sym__assignment_operator_token1] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [4668] = {
    [sym_block_comment] = STATE(4668),
    [sym_line_comment] = STATE(4668),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_else] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_COLON_EQ] = ACTIONS(10097),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10097),
    [aux_sym__assignment_operator_token1] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [4669] = {
    [sym_do_clause] = STATE(5054),
    [sym_block_comment] = STATE(4669),
    [sym_line_comment] = STATE(4669),
    [ts_builtin_sym_end] = ACTIONS(9989),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_RBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10093),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_COLON_EQ] = ACTIONS(9987),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9987),
    [aux_sym__assignment_operator_token1] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [4670] = {
    [sym_identifier] = STATE(4854),
    [sym_block_comment] = STATE(4670),
    [sym_line_comment] = STATE(4670),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_elseif] = ACTIONS(10143),
    [anon_sym_else] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_COLON_EQ] = ACTIONS(10143),
    [anon_sym_DOT_EQ] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10143),
    [aux_sym__assignment_operator_token1] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [4671] = {
    [sym_identifier] = STATE(4906),
    [sym_block_comment] = STATE(4671),
    [sym_line_comment] = STATE(4671),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_elseif] = ACTIONS(10007),
    [anon_sym_else] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_COLON_EQ] = ACTIONS(10007),
    [anon_sym_DOT_EQ] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10007),
    [aux_sym__assignment_operator_token1] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [4672] = {
    [sym_block_comment] = STATE(4672),
    [sym_line_comment] = STATE(4672),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_COLON_EQ] = ACTIONS(9969),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9969),
    [aux_sym__assignment_operator_token1] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(9965),
    [sym__immediate_command_start] = ACTIONS(9967),
  },
  [4673] = {
    [sym_block_comment] = STATE(4673),
    [sym_line_comment] = STATE(4673),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_COLON_EQ] = ACTIONS(9907),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_DASH_GT] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9907),
    [aux_sym__assignment_operator_token1] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [4674] = {
    [sym_block_comment] = STATE(4674),
    [sym_line_comment] = STATE(4674),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_elseif] = ACTIONS(10163),
    [anon_sym_else] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_COLON_EQ] = ACTIONS(10163),
    [anon_sym_DOT_EQ] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10163),
    [aux_sym__assignment_operator_token1] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [4675] = {
    [sym_do_clause] = STATE(5077),
    [sym_block_comment] = STATE(4675),
    [sym_line_comment] = STATE(4675),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9931),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9931),
    [anon_sym_RPAREN] = ACTIONS(9931),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9931),
    [anon_sym_RBRACK] = ACTIONS(9931),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9931),
    [anon_sym_LBRACE] = ACTIONS(9931),
    [anon_sym_RBRACE] = ACTIONS(9931),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10065),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9931),
    [anon_sym_COLON_EQ] = ACTIONS(9931),
    [anon_sym_DOT_EQ] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9931),
    [anon_sym_QMARK] = ACTIONS(9931),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9931),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9931),
    [aux_sym_integer_literal_token2] = ACTIONS(9931),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9931),
    [aux_sym_float_literal_token3] = ACTIONS(9931),
    [aux_sym_float_literal_token4] = ACTIONS(9931),
    [sym_character_literal] = ACTIONS(9931),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9931),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9931),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9931),
    [aux_sym__assignment_operator_token1] = ACTIONS(9931),
    [sym__pair_operator] = ACTIONS(9931),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9931),
    [sym__lazy_and_operator] = ACTIONS(9931),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9931),
    [sym__pipe_left_operator] = ACTIONS(9931),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9931),
    [sym__type_order_operator] = ACTIONS(9931),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [4676] = {
    [sym_identifier] = STATE(4772),
    [sym_block_comment] = STATE(4676),
    [sym_line_comment] = STATE(4676),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_else] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_finally] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_COLON_EQ] = ACTIONS(10135),
    [anon_sym_DOT_EQ] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10135),
    [aux_sym__assignment_operator_token1] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [4677] = {
    [sym_do_clause] = STATE(5129),
    [sym_block_comment] = STATE(4677),
    [sym_line_comment] = STATE(4677),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_catch] = ACTIONS(9945),
    [anon_sym_finally] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10077),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_COLON_EQ] = ACTIONS(9945),
    [anon_sym_DOT_EQ] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9945),
    [aux_sym__assignment_operator_token1] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [4678] = {
    [sym__assignment_operator] = STATE(3945),
    [sym_block_comment] = STATE(4678),
    [sym_line_comment] = STATE(4678),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10167),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10021),
    [anon_sym_DOT] = ACTIONS(10157),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10027),
    [sym__immediate_bracket] = ACTIONS(10029),
    [sym__immediate_brace] = ACTIONS(10031),
  },
  [4679] = {
    [sym_do_clause] = STATE(5287),
    [sym_block_comment] = STATE(4679),
    [sym_line_comment] = STATE(4679),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10049),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_COLON_EQ] = ACTIONS(9933),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9933),
    [aux_sym__assignment_operator_token1] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [4680] = {
    [sym_block_comment] = STATE(4680),
    [sym_line_comment] = STATE(4680),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_elseif] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [4681] = {
    [sym_block_comment] = STATE(4681),
    [sym_line_comment] = STATE(4681),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(10169),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10069),
    [sym__immediate_command_start] = ACTIONS(10071),
  },
  [4682] = {
    [sym_identifier] = STATE(4993),
    [sym_block_comment] = STATE(4682),
    [sym_line_comment] = STATE(4682),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_finally] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_COLON_EQ] = ACTIONS(10135),
    [anon_sym_DOT_EQ] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10135),
    [aux_sym__assignment_operator_token1] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [4683] = {
    [sym_identifier] = STATE(4998),
    [sym_block_comment] = STATE(4683),
    [sym_line_comment] = STATE(4683),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_finally] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_COLON_EQ] = ACTIONS(10143),
    [anon_sym_DOT_EQ] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10143),
    [aux_sym__assignment_operator_token1] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [4684] = {
    [sym_identifier] = STATE(4999),
    [sym_block_comment] = STATE(4684),
    [sym_line_comment] = STATE(4684),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_finally] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_COLON_EQ] = ACTIONS(10007),
    [anon_sym_DOT_EQ] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10007),
    [aux_sym__assignment_operator_token1] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [4685] = {
    [sym_block_comment] = STATE(4685),
    [sym_line_comment] = STATE(4685),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_finally] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_COLON_EQ] = ACTIONS(10055),
    [anon_sym_DOT_EQ] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10055),
    [aux_sym__assignment_operator_token1] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [4686] = {
    [sym_block_comment] = STATE(4686),
    [sym_line_comment] = STATE(4686),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_elseif] = ACTIONS(10171),
    [anon_sym_else] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_COLON_EQ] = ACTIONS(10171),
    [anon_sym_DOT_EQ] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10171),
    [aux_sym__assignment_operator_token1] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [4687] = {
    [sym_block_comment] = STATE(4687),
    [sym_line_comment] = STATE(4687),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_elseif] = ACTIONS(10175),
    [anon_sym_else] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_COLON_EQ] = ACTIONS(10175),
    [anon_sym_DOT_EQ] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10175),
    [aux_sym__assignment_operator_token1] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [4688] = {
    [sym_block_comment] = STATE(4688),
    [sym_line_comment] = STATE(4688),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_finally] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_COLON_EQ] = ACTIONS(10033),
    [anon_sym_DOT_EQ] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10033),
    [aux_sym__assignment_operator_token1] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [4689] = {
    [sym_block_comment] = STATE(4689),
    [sym_line_comment] = STATE(4689),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_finally] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_COLON_EQ] = ACTIONS(10051),
    [anon_sym_DOT_EQ] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10051),
    [aux_sym__assignment_operator_token1] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [4690] = {
    [sym_do_clause] = STATE(5335),
    [sym_block_comment] = STATE(4690),
    [sym_line_comment] = STATE(4690),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10179),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_COLON_EQ] = ACTIONS(9927),
    [anon_sym_DOT_EQ] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9927),
    [aux_sym__assignment_operator_token1] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [4691] = {
    [sym__assignment_operator] = STATE(3621),
    [sym_block_comment] = STATE(4691),
    [sym_line_comment] = STATE(4691),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10181),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10183),
    [anon_sym_DOT] = ACTIONS(10185),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
    [sym__immediate_bracket] = ACTIONS(10189),
    [sym__immediate_brace] = ACTIONS(10191),
  },
  [4692] = {
    [sym_identifier] = STATE(5049),
    [sym_block_comment] = STATE(4692),
    [sym_line_comment] = STATE(4692),
    [ts_builtin_sym_end] = ACTIONS(10133),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_RBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_COLON_EQ] = ACTIONS(10131),
    [anon_sym_DOT_EQ] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10131),
    [aux_sym__assignment_operator_token1] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [4693] = {
    [sym_identifier] = STATE(5050),
    [sym_block_comment] = STATE(4693),
    [sym_line_comment] = STATE(4693),
    [ts_builtin_sym_end] = ACTIONS(10137),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_RBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_COLON_EQ] = ACTIONS(10135),
    [anon_sym_DOT_EQ] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10135),
    [aux_sym__assignment_operator_token1] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [4694] = {
    [sym_block_comment] = STATE(4694),
    [sym_line_comment] = STATE(4694),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_finally] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_COLON_EQ] = ACTIONS(10059),
    [anon_sym_DOT_EQ] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10059),
    [aux_sym__assignment_operator_token1] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [4695] = {
    [sym_block_comment] = STATE(4695),
    [sym_line_comment] = STATE(4695),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10141),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10141),
    [anon_sym_RPAREN] = ACTIONS(10141),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10141),
    [anon_sym_RBRACK] = ACTIONS(10141),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10141),
    [anon_sym_LBRACE] = ACTIONS(10141),
    [anon_sym_RBRACE] = ACTIONS(10141),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10141),
    [anon_sym_COLON_EQ] = ACTIONS(10141),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10141),
    [anon_sym_QMARK] = ACTIONS(10141),
    [anon_sym_DASH_GT] = ACTIONS(10035),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10141),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10141),
    [aux_sym_integer_literal_token2] = ACTIONS(10141),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10141),
    [aux_sym_float_literal_token3] = ACTIONS(10141),
    [aux_sym_float_literal_token4] = ACTIONS(10141),
    [sym_character_literal] = ACTIONS(10141),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10141),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10141),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10141),
    [aux_sym__assignment_operator_token1] = ACTIONS(10141),
    [sym__pair_operator] = ACTIONS(10141),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10141),
    [sym__lazy_and_operator] = ACTIONS(10141),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10141),
    [sym__pipe_left_operator] = ACTIONS(10141),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10141),
    [sym__type_order_operator] = ACTIONS(10141),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [4696] = {
    [sym_block_comment] = STATE(4696),
    [sym_line_comment] = STATE(4696),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10081),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10081),
    [anon_sym_RPAREN] = ACTIONS(10081),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10081),
    [anon_sym_RBRACK] = ACTIONS(10081),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10081),
    [anon_sym_LBRACE] = ACTIONS(10081),
    [anon_sym_RBRACE] = ACTIONS(10081),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10081),
    [anon_sym_COLON_EQ] = ACTIONS(10081),
    [anon_sym_DOT_EQ] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10081),
    [anon_sym_QMARK] = ACTIONS(10081),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10081),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10081),
    [aux_sym_integer_literal_token2] = ACTIONS(10081),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10081),
    [aux_sym_float_literal_token3] = ACTIONS(10081),
    [aux_sym_float_literal_token4] = ACTIONS(10081),
    [sym_character_literal] = ACTIONS(10081),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10081),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10081),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10081),
    [aux_sym__assignment_operator_token1] = ACTIONS(10081),
    [sym__pair_operator] = ACTIONS(10081),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10081),
    [sym__lazy_and_operator] = ACTIONS(10081),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10081),
    [sym__pipe_left_operator] = ACTIONS(10081),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10081),
    [sym__type_order_operator] = ACTIONS(10081),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [4697] = {
    [sym_block_comment] = STATE(4697),
    [sym_line_comment] = STATE(4697),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_finally] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_COLON_EQ] = ACTIONS(10123),
    [anon_sym_DOT_EQ] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10123),
    [aux_sym__assignment_operator_token1] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [4698] = {
    [sym_identifier] = STATE(5055),
    [sym_block_comment] = STATE(4698),
    [sym_line_comment] = STATE(4698),
    [ts_builtin_sym_end] = ACTIONS(10145),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_RBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_COLON_EQ] = ACTIONS(10143),
    [anon_sym_DOT_EQ] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10143),
    [aux_sym__assignment_operator_token1] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [4699] = {
    [sym_do_clause] = STATE(5362),
    [sym_block_comment] = STATE(4699),
    [sym_line_comment] = STATE(4699),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10179),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_COLON_EQ] = ACTIONS(9945),
    [anon_sym_DOT_EQ] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9945),
    [aux_sym__assignment_operator_token1] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [4700] = {
    [sym_block_comment] = STATE(4700),
    [sym_line_comment] = STATE(4700),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_finally] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_COLON_EQ] = ACTIONS(10011),
    [anon_sym_DOT_EQ] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10011),
    [aux_sym__assignment_operator_token1] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [4701] = {
    [sym_block_comment] = STATE(4701),
    [sym_line_comment] = STATE(4701),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_catch] = ACTIONS(10085),
    [anon_sym_finally] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_COLON_EQ] = ACTIONS(10085),
    [anon_sym_DOT_EQ] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10085),
    [aux_sym__assignment_operator_token1] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [4702] = {
    [sym_block_comment] = STATE(4702),
    [sym_line_comment] = STATE(4702),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_else] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_finally] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_COLON_EQ] = ACTIONS(10193),
    [anon_sym_DOT_EQ] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10193),
    [aux_sym__assignment_operator_token1] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [4703] = {
    [sym__assignment_operator] = STATE(3962),
    [sym_block_comment] = STATE(4703),
    [sym_line_comment] = STATE(4703),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10197),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10199),
    [anon_sym_DOT] = ACTIONS(10201),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10203),
    [sym__immediate_bracket] = ACTIONS(10205),
    [sym__immediate_brace] = ACTIONS(10207),
  },
  [4704] = {
    [sym_block_comment] = STATE(4704),
    [sym_line_comment] = STATE(4704),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_else] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_finally] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_COLON_EQ] = ACTIONS(10209),
    [anon_sym_DOT_EQ] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10209),
    [aux_sym__assignment_operator_token1] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [4705] = {
    [sym_block_comment] = STATE(4705),
    [sym_line_comment] = STATE(4705),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_else] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_finally] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_COLON_EQ] = ACTIONS(10213),
    [anon_sym_DOT_EQ] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10213),
    [aux_sym__assignment_operator_token1] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [4706] = {
    [sym_block_comment] = STATE(4706),
    [sym_line_comment] = STATE(4706),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_else] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_COLON_EQ] = ACTIONS(9941),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9941),
    [aux_sym__assignment_operator_token1] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [4707] = {
    [sym_block_comment] = STATE(4707),
    [sym_line_comment] = STATE(4707),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_else] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_finally] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_COLON_EQ] = ACTIONS(10217),
    [anon_sym_DOT_EQ] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10217),
    [aux_sym__assignment_operator_token1] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [4708] = {
    [sym_block_comment] = STATE(4708),
    [sym_line_comment] = STATE(4708),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10013),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10013),
    [anon_sym_RPAREN] = ACTIONS(10013),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10013),
    [anon_sym_RBRACK] = ACTIONS(10013),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10013),
    [anon_sym_LBRACE] = ACTIONS(10013),
    [anon_sym_RBRACE] = ACTIONS(10013),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10013),
    [anon_sym_COLON_EQ] = ACTIONS(10013),
    [anon_sym_DOT_EQ] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10013),
    [anon_sym_QMARK] = ACTIONS(10013),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10013),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10013),
    [aux_sym_integer_literal_token2] = ACTIONS(10013),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10013),
    [aux_sym_float_literal_token3] = ACTIONS(10013),
    [aux_sym_float_literal_token4] = ACTIONS(10013),
    [sym_character_literal] = ACTIONS(10013),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10013),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10013),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10013),
    [aux_sym__assignment_operator_token1] = ACTIONS(10013),
    [sym__pair_operator] = ACTIONS(10013),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10013),
    [sym__lazy_and_operator] = ACTIONS(10013),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10013),
    [sym__pipe_left_operator] = ACTIONS(10013),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10013),
    [sym__type_order_operator] = ACTIONS(10013),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [4709] = {
    [sym_block_comment] = STATE(4709),
    [sym_line_comment] = STATE(4709),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_else] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_COLON_EQ] = ACTIONS(9933),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9933),
    [aux_sym__assignment_operator_token1] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [4710] = {
    [sym_block_comment] = STATE(4710),
    [sym_line_comment] = STATE(4710),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_COLON_EQ] = ACTIONS(10083),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10083),
    [aux_sym__assignment_operator_token1] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [4711] = {
    [sym_block_comment] = STATE(4711),
    [sym_line_comment] = STATE(4711),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_COLON_EQ] = ACTIONS(9969),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9969),
    [aux_sym__assignment_operator_token1] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10069),
    [sym__immediate_command_start] = ACTIONS(10071),
  },
  [4712] = {
    [sym_block_comment] = STATE(4712),
    [sym_line_comment] = STATE(4712),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_else] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_finally] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_COLON_EQ] = ACTIONS(10221),
    [anon_sym_DOT_EQ] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10221),
    [aux_sym__assignment_operator_token1] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [4713] = {
    [sym_block_comment] = STATE(4713),
    [sym_line_comment] = STATE(4713),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_elseif] = ACTIONS(9933),
    [anon_sym_else] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_COLON_EQ] = ACTIONS(9933),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9933),
    [aux_sym__assignment_operator_token1] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [4714] = {
    [sym_block_comment] = STATE(4714),
    [sym_line_comment] = STATE(4714),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_else] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_finally] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_COLON_EQ] = ACTIONS(10225),
    [anon_sym_DOT_EQ] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10225),
    [aux_sym__assignment_operator_token1] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [4715] = {
    [sym_block_comment] = STATE(4715),
    [sym_line_comment] = STATE(4715),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_else] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_finally] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_COLON_EQ] = ACTIONS(10229),
    [anon_sym_DOT_EQ] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10229),
    [aux_sym__assignment_operator_token1] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [4716] = {
    [sym__assignment_operator] = STATE(3771),
    [sym_block_comment] = STATE(4716),
    [sym_line_comment] = STATE(4716),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10199),
    [anon_sym_DOT] = ACTIONS(10233),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10203),
    [sym__immediate_bracket] = ACTIONS(10205),
    [sym__immediate_brace] = ACTIONS(10207),
  },
  [4717] = {
    [sym_block_comment] = STATE(4717),
    [sym_line_comment] = STATE(4717),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_else] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_finally] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_COLON_EQ] = ACTIONS(10235),
    [anon_sym_DOT_EQ] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10235),
    [aux_sym__assignment_operator_token1] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [4718] = {
    [sym_block_comment] = STATE(4718),
    [sym_line_comment] = STATE(4718),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10129),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10129),
    [anon_sym_RPAREN] = ACTIONS(10129),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10129),
    [anon_sym_RBRACK] = ACTIONS(10129),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10129),
    [anon_sym_LBRACE] = ACTIONS(10129),
    [anon_sym_RBRACE] = ACTIONS(10129),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10129),
    [anon_sym_COLON_EQ] = ACTIONS(10129),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10129),
    [anon_sym_QMARK] = ACTIONS(10129),
    [anon_sym_DASH_GT] = ACTIONS(10075),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10129),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10129),
    [aux_sym_integer_literal_token2] = ACTIONS(10129),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10129),
    [aux_sym_float_literal_token3] = ACTIONS(10129),
    [aux_sym_float_literal_token4] = ACTIONS(10129),
    [sym_character_literal] = ACTIONS(10129),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10129),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10129),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10129),
    [aux_sym__assignment_operator_token1] = ACTIONS(10129),
    [sym__pair_operator] = ACTIONS(10129),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10129),
    [sym__lazy_and_operator] = ACTIONS(10129),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10129),
    [sym__pipe_left_operator] = ACTIONS(10129),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10129),
    [sym__type_order_operator] = ACTIONS(10129),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [4719] = {
    [sym_block_comment] = STATE(4719),
    [sym_line_comment] = STATE(4719),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_else] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_COLON_EQ] = ACTIONS(9987),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9987),
    [aux_sym__assignment_operator_token1] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [4720] = {
    [sym_block_comment] = STATE(4720),
    [sym_line_comment] = STATE(4720),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_catch] = ACTIONS(10003),
    [anon_sym_finally] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_COLON_EQ] = ACTIONS(10003),
    [anon_sym_DOT_EQ] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10003),
    [aux_sym__assignment_operator_token1] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [4721] = {
    [sym_block_comment] = STATE(4721),
    [sym_line_comment] = STATE(4721),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_else] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_finally] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_COLON_EQ] = ACTIONS(10239),
    [anon_sym_DOT_EQ] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10239),
    [aux_sym__assignment_operator_token1] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [4722] = {
    [sym_block_comment] = STATE(4722),
    [sym_line_comment] = STATE(4722),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(10243),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10069),
    [sym__immediate_command_start] = ACTIONS(10071),
  },
  [4723] = {
    [sym_block_comment] = STATE(4723),
    [sym_line_comment] = STATE(4723),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_else] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_finally] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_COLON_EQ] = ACTIONS(10245),
    [anon_sym_DOT_EQ] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10245),
    [aux_sym__assignment_operator_token1] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [4724] = {
    [sym_block_comment] = STATE(4724),
    [sym_line_comment] = STATE(4724),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_catch] = ACTIONS(10159),
    [anon_sym_finally] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_COLON_EQ] = ACTIONS(10159),
    [anon_sym_DOT_EQ] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10159),
    [aux_sym__assignment_operator_token1] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [4725] = {
    [sym_block_comment] = STATE(4725),
    [sym_line_comment] = STATE(4725),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_else] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_finally] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_COLON_EQ] = ACTIONS(10249),
    [anon_sym_DOT_EQ] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10249),
    [aux_sym__assignment_operator_token1] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [4726] = {
    [sym_block_comment] = STATE(4726),
    [sym_line_comment] = STATE(4726),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_COLON_EQ] = ACTIONS(10097),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10097),
    [aux_sym__assignment_operator_token1] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [4727] = {
    [sym__assignment_operator] = STATE(4279),
    [sym_block_comment] = STATE(4727),
    [sym_line_comment] = STATE(4727),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10039),
    [anon_sym_DOT] = ACTIONS(10063),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10043),
    [sym__immediate_bracket] = ACTIONS(10045),
    [sym__immediate_brace] = ACTIONS(10047),
  },
  [4728] = {
    [sym__assignment_operator] = STATE(3649),
    [sym_block_comment] = STATE(4728),
    [sym_line_comment] = STATE(4728),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_SQUOTE] = ACTIONS(10253),
    [anon_sym_DOT] = ACTIONS(10255),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_COLON_EQ] = ACTIONS(1685),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10257),
    [sym__immediate_bracket] = ACTIONS(10259),
    [sym__immediate_brace] = ACTIONS(10261),
  },
  [4729] = {
    [sym__assignment_operator] = STATE(3771),
    [sym_block_comment] = STATE(4729),
    [sym_line_comment] = STATE(4729),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10199),
    [anon_sym_DOT] = ACTIONS(10233),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10203),
    [sym__immediate_bracket] = ACTIONS(10205),
    [sym__immediate_brace] = ACTIONS(10207),
  },
  [4730] = {
    [sym_block_comment] = STATE(4730),
    [sym_line_comment] = STATE(4730),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_else] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_finally] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_COLON_EQ] = ACTIONS(10263),
    [anon_sym_DOT_EQ] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10263),
    [aux_sym__assignment_operator_token1] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [4731] = {
    [sym__assignment_operator] = STATE(3735),
    [sym_block_comment] = STATE(4731),
    [sym_line_comment] = STATE(4731),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10267),
    [anon_sym_DOT] = ACTIONS(10269),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10271),
    [sym__immediate_bracket] = ACTIONS(10273),
    [sym__immediate_brace] = ACTIONS(10275),
  },
  [4732] = {
    [sym_block_comment] = STATE(4732),
    [sym_line_comment] = STATE(4732),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_else] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_finally] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_COLON_EQ] = ACTIONS(10277),
    [anon_sym_DOT_EQ] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10277),
    [aux_sym__assignment_operator_token1] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [4733] = {
    [sym_block_comment] = STATE(4733),
    [sym_line_comment] = STATE(4733),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_COLON_EQ] = ACTIONS(9969),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9969),
    [aux_sym__assignment_operator_token1] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [4734] = {
    [sym_block_comment] = STATE(4734),
    [sym_line_comment] = STATE(4734),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_catch] = ACTIONS(10163),
    [anon_sym_finally] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_COLON_EQ] = ACTIONS(10163),
    [anon_sym_DOT_EQ] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10163),
    [aux_sym__assignment_operator_token1] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [4735] = {
    [sym_block_comment] = STATE(4735),
    [sym_line_comment] = STATE(4735),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_RPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_RBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10019),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_RBRACE] = ACTIONS(10019),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_COLON_EQ] = ACTIONS(10019),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10281),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10019),
    [aux_sym__assignment_operator_token1] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [4736] = {
    [sym__assignment_operator] = STATE(3621),
    [sym_block_comment] = STATE(4736),
    [sym_line_comment] = STATE(4736),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10283),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10183),
    [anon_sym_DOT] = ACTIONS(10185),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
    [sym__immediate_bracket] = ACTIONS(10189),
    [sym__immediate_brace] = ACTIONS(10191),
  },
  [4737] = {
    [sym_block_comment] = STATE(4737),
    [sym_line_comment] = STATE(4737),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_elseif] = ACTIONS(10221),
    [anon_sym_else] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_COLON_EQ] = ACTIONS(10221),
    [anon_sym_DOT_EQ] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10221),
    [aux_sym__assignment_operator_token1] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [4738] = {
    [sym_block_comment] = STATE(4738),
    [sym_line_comment] = STATE(4738),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_catch] = ACTIONS(10055),
    [anon_sym_finally] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_COLON_EQ] = ACTIONS(10055),
    [anon_sym_DOT_EQ] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10055),
    [aux_sym__assignment_operator_token1] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [4739] = {
    [sym_block_comment] = STATE(4739),
    [sym_line_comment] = STATE(4739),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_COLON_EQ] = ACTIONS(10139),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_DASH_GT] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10139),
    [aux_sym__assignment_operator_token1] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [4740] = {
    [sym_block_comment] = STATE(4740),
    [sym_line_comment] = STATE(4740),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_catch] = ACTIONS(10033),
    [anon_sym_finally] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_COLON_EQ] = ACTIONS(10033),
    [anon_sym_DOT_EQ] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10033),
    [aux_sym__assignment_operator_token1] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [4741] = {
    [sym_block_comment] = STATE(4741),
    [sym_line_comment] = STATE(4741),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_catch] = ACTIONS(10051),
    [anon_sym_finally] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_COLON_EQ] = ACTIONS(10051),
    [anon_sym_DOT_EQ] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10051),
    [aux_sym__assignment_operator_token1] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [4742] = {
    [sym_block_comment] = STATE(4742),
    [sym_line_comment] = STATE(4742),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_catch] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_COLON_EQ] = ACTIONS(10127),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_DASH_GT] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10127),
    [aux_sym__assignment_operator_token1] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [4743] = {
    [sym_block_comment] = STATE(4743),
    [sym_line_comment] = STATE(4743),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_catch] = ACTIONS(10059),
    [anon_sym_finally] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_COLON_EQ] = ACTIONS(10059),
    [anon_sym_DOT_EQ] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10059),
    [aux_sym__assignment_operator_token1] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [4744] = {
    [sym_block_comment] = STATE(4744),
    [sym_line_comment] = STATE(4744),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_RBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(10285),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9951),
    [sym__immediate_command_start] = ACTIONS(9953),
  },
  [4745] = {
    [sym_block_comment] = STATE(4745),
    [sym_line_comment] = STATE(4745),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_catch] = ACTIONS(10123),
    [anon_sym_finally] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_COLON_EQ] = ACTIONS(10123),
    [anon_sym_DOT_EQ] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10123),
    [aux_sym__assignment_operator_token1] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [4746] = {
    [sym_block_comment] = STATE(4746),
    [sym_line_comment] = STATE(4746),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_catch] = ACTIONS(10011),
    [anon_sym_finally] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_COLON_EQ] = ACTIONS(10011),
    [anon_sym_DOT_EQ] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10011),
    [aux_sym__assignment_operator_token1] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [4747] = {
    [sym_block_comment] = STATE(4747),
    [sym_line_comment] = STATE(4747),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_COLON_EQ] = ACTIONS(10015),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10287),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10015),
    [aux_sym__assignment_operator_token1] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [4748] = {
    [sym_block_comment] = STATE(4748),
    [sym_line_comment] = STATE(4748),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_elseif] = ACTIONS(10225),
    [anon_sym_else] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_COLON_EQ] = ACTIONS(10225),
    [anon_sym_DOT_EQ] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10225),
    [aux_sym__assignment_operator_token1] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [4749] = {
    [sym_block_comment] = STATE(4749),
    [sym_line_comment] = STATE(4749),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_elseif] = ACTIONS(10139),
    [anon_sym_else] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_COLON_EQ] = ACTIONS(10139),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10139),
    [aux_sym__assignment_operator_token1] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [4750] = {
    [sym__assignment_operator] = STATE(3671),
    [sym_block_comment] = STATE(4750),
    [sym_line_comment] = STATE(4750),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10289),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10039),
    [anon_sym_DOT] = ACTIONS(10041),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10043),
    [sym__immediate_bracket] = ACTIONS(10045),
    [sym__immediate_brace] = ACTIONS(10047),
  },
  [4751] = {
    [sym_block_comment] = STATE(4751),
    [sym_line_comment] = STATE(4751),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_elseif] = ACTIONS(10291),
    [anon_sym_else] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_COLON_EQ] = ACTIONS(10291),
    [anon_sym_DOT_EQ] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10291),
    [aux_sym__assignment_operator_token1] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [4752] = {
    [sym__assignment_operator] = STATE(4041),
    [sym_block_comment] = STATE(4752),
    [sym_line_comment] = STATE(4752),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10295),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10297),
    [anon_sym_DOT] = ACTIONS(10299),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10301),
    [sym__immediate_bracket] = ACTIONS(10303),
    [sym__immediate_brace] = ACTIONS(10305),
  },
  [4753] = {
    [sym__assignment_operator] = STATE(3771),
    [sym_block_comment] = STATE(4753),
    [sym_line_comment] = STATE(4753),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10199),
    [anon_sym_DOT] = ACTIONS(10233),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10203),
    [sym__immediate_bracket] = ACTIONS(10205),
    [sym__immediate_brace] = ACTIONS(10207),
  },
  [4754] = {
    [sym_block_comment] = STATE(4754),
    [sym_line_comment] = STATE(4754),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_elseif] = ACTIONS(10307),
    [anon_sym_else] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_COLON_EQ] = ACTIONS(10307),
    [anon_sym_DOT_EQ] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10307),
    [aux_sym__assignment_operator_token1] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [4755] = {
    [sym_identifier] = STATE(5056),
    [sym_block_comment] = STATE(4755),
    [sym_line_comment] = STATE(4755),
    [ts_builtin_sym_end] = ACTIONS(10009),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_RBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_COLON_EQ] = ACTIONS(10007),
    [anon_sym_DOT_EQ] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10007),
    [aux_sym__assignment_operator_token1] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [4756] = {
    [sym_block_comment] = STATE(4756),
    [sym_line_comment] = STATE(4756),
    [ts_builtin_sym_end] = ACTIONS(10147),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_RBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_COLON_EQ] = ACTIONS(10085),
    [anon_sym_DOT_EQ] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10085),
    [aux_sym__assignment_operator_token1] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [4757] = {
    [sym_block_comment] = STATE(4757),
    [sym_line_comment] = STATE(4757),
    [ts_builtin_sym_end] = ACTIONS(10087),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_RBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_COLON_EQ] = ACTIONS(10083),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10083),
    [aux_sym__assignment_operator_token1] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [4758] = {
    [sym_block_comment] = STATE(4758),
    [sym_line_comment] = STATE(4758),
    [ts_builtin_sym_end] = ACTIONS(10057),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_RBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_COLON_EQ] = ACTIONS(10055),
    [anon_sym_DOT_EQ] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10055),
    [aux_sym__assignment_operator_token1] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [4759] = {
    [sym_block_comment] = STATE(4759),
    [sym_line_comment] = STATE(4759),
    [ts_builtin_sym_end] = ACTIONS(10141),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_RBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_COLON_EQ] = ACTIONS(10139),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_DASH_GT] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10139),
    [aux_sym__assignment_operator_token1] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [4760] = {
    [sym_block_comment] = STATE(4760),
    [sym_line_comment] = STATE(4760),
    [ts_builtin_sym_end] = ACTIONS(10075),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_RBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_COLON_EQ] = ACTIONS(10073),
    [anon_sym_DOT_EQ] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10073),
    [aux_sym__assignment_operator_token1] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [4761] = {
    [sym_block_comment] = STATE(4761),
    [sym_line_comment] = STATE(4761),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_finally] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_COLON_EQ] = ACTIONS(10073),
    [anon_sym_DOT_EQ] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10073),
    [aux_sym__assignment_operator_token1] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [4762] = {
    [sym_block_comment] = STATE(4762),
    [sym_line_comment] = STATE(4762),
    [ts_builtin_sym_end] = ACTIONS(10035),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_RBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_COLON_EQ] = ACTIONS(10033),
    [anon_sym_DOT_EQ] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10033),
    [aux_sym__assignment_operator_token1] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [4763] = {
    [sym_block_comment] = STATE(4763),
    [sym_line_comment] = STATE(4763),
    [ts_builtin_sym_end] = ACTIONS(10053),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_RBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_COLON_EQ] = ACTIONS(10051),
    [anon_sym_DOT_EQ] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10051),
    [aux_sym__assignment_operator_token1] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [4764] = {
    [sym_block_comment] = STATE(4764),
    [sym_line_comment] = STATE(4764),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_COLON_EQ] = ACTIONS(9941),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9941),
    [aux_sym__assignment_operator_token1] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10069),
    [sym__immediate_command_start] = ACTIONS(10071),
  },
  [4765] = {
    [sym_block_comment] = STATE(4765),
    [sym_line_comment] = STATE(4765),
    [ts_builtin_sym_end] = ACTIONS(10061),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_RBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_COLON_EQ] = ACTIONS(10059),
    [anon_sym_DOT_EQ] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10059),
    [aux_sym__assignment_operator_token1] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [4766] = {
    [sym_block_comment] = STATE(4766),
    [sym_line_comment] = STATE(4766),
    [ts_builtin_sym_end] = ACTIONS(10125),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_RBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_COLON_EQ] = ACTIONS(10123),
    [anon_sym_DOT_EQ] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10123),
    [aux_sym__assignment_operator_token1] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [4767] = {
    [sym_block_comment] = STATE(4767),
    [sym_line_comment] = STATE(4767),
    [ts_builtin_sym_end] = ACTIONS(10013),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_RBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_COLON_EQ] = ACTIONS(10011),
    [anon_sym_DOT_EQ] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10011),
    [aux_sym__assignment_operator_token1] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [4768] = {
    [sym_do_clause] = STATE(5336),
    [sym_block_comment] = STATE(4768),
    [sym_line_comment] = STATE(4768),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10179),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_COLON_EQ] = ACTIONS(9933),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9933),
    [aux_sym__assignment_operator_token1] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [4769] = {
    [sym_block_comment] = STATE(4769),
    [sym_line_comment] = STATE(4769),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10091),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10091),
    [anon_sym_RPAREN] = ACTIONS(10091),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10091),
    [anon_sym_RBRACK] = ACTIONS(10091),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10091),
    [anon_sym_LBRACE] = ACTIONS(10091),
    [anon_sym_RBRACE] = ACTIONS(10091),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10091),
    [anon_sym_COLON_EQ] = ACTIONS(10091),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10091),
    [anon_sym_QMARK] = ACTIONS(10091),
    [anon_sym_DASH_GT] = ACTIONS(10081),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10091),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10091),
    [aux_sym_integer_literal_token2] = ACTIONS(10091),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10091),
    [aux_sym_float_literal_token3] = ACTIONS(10091),
    [aux_sym_float_literal_token4] = ACTIONS(10091),
    [sym_character_literal] = ACTIONS(10091),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10091),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10091),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10091),
    [aux_sym__assignment_operator_token1] = ACTIONS(10091),
    [sym__pair_operator] = ACTIONS(10091),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10091),
    [sym__lazy_and_operator] = ACTIONS(10091),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10091),
    [sym__pipe_left_operator] = ACTIONS(10091),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10091),
    [sym__type_order_operator] = ACTIONS(10091),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4770] = {
    [sym_block_comment] = STATE(4770),
    [sym_line_comment] = STATE(4770),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10091),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10091),
    [anon_sym_RPAREN] = ACTIONS(10091),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10091),
    [anon_sym_RBRACK] = ACTIONS(10091),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10091),
    [anon_sym_LBRACE] = ACTIONS(10091),
    [anon_sym_RBRACE] = ACTIONS(10091),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10091),
    [anon_sym_COLON_EQ] = ACTIONS(10091),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10091),
    [anon_sym_QMARK] = ACTIONS(10091),
    [anon_sym_DASH_GT] = ACTIONS(10147),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10091),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10091),
    [aux_sym_integer_literal_token2] = ACTIONS(10091),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10091),
    [aux_sym_float_literal_token3] = ACTIONS(10091),
    [aux_sym_float_literal_token4] = ACTIONS(10091),
    [sym_character_literal] = ACTIONS(10091),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10091),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10091),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10091),
    [aux_sym__assignment_operator_token1] = ACTIONS(10091),
    [sym__pair_operator] = ACTIONS(10091),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10091),
    [sym__lazy_and_operator] = ACTIONS(10091),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10091),
    [sym__pipe_left_operator] = ACTIONS(10091),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10091),
    [sym__type_order_operator] = ACTIONS(10091),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4771] = {
    [sym_block_comment] = STATE(4771),
    [sym_line_comment] = STATE(4771),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_elseif] = ACTIONS(10127),
    [anon_sym_else] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_COLON_EQ] = ACTIONS(10127),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10127),
    [aux_sym__assignment_operator_token1] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [4772] = {
    [sym_block_comment] = STATE(4772),
    [sym_line_comment] = STATE(4772),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_else] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_finally] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_COLON_EQ] = ACTIONS(10311),
    [anon_sym_DOT_EQ] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10311),
    [aux_sym__assignment_operator_token1] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [4773] = {
    [sym_block_comment] = STATE(4773),
    [sym_line_comment] = STATE(4773),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_else] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_finally] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_COLON_EQ] = ACTIONS(10315),
    [anon_sym_DOT_EQ] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10315),
    [aux_sym__assignment_operator_token1] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [4774] = {
    [sym_block_comment] = STATE(4774),
    [sym_line_comment] = STATE(4774),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_elseif] = ACTIONS(10319),
    [anon_sym_else] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_COLON_EQ] = ACTIONS(10319),
    [anon_sym_DOT_EQ] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10319),
    [aux_sym__assignment_operator_token1] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [4775] = {
    [sym_block_comment] = STATE(4775),
    [sym_line_comment] = STATE(4775),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_elseif] = ACTIONS(10323),
    [anon_sym_else] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_COLON_EQ] = ACTIONS(10323),
    [anon_sym_DOT_EQ] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10323),
    [aux_sym__assignment_operator_token1] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [4776] = {
    [sym_block_comment] = STATE(4776),
    [sym_line_comment] = STATE(4776),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_elseif] = ACTIONS(10327),
    [anon_sym_else] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_COLON_EQ] = ACTIONS(10327),
    [anon_sym_DOT_EQ] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10327),
    [aux_sym__assignment_operator_token1] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [4777] = {
    [sym_block_comment] = STATE(4777),
    [sym_line_comment] = STATE(4777),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_catch] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_COLON_EQ] = ACTIONS(10083),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10083),
    [aux_sym__assignment_operator_token1] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [4778] = {
    [sym__assignment_operator] = STATE(4041),
    [sym_block_comment] = STATE(4778),
    [sym_line_comment] = STATE(4778),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10331),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10297),
    [anon_sym_DOT] = ACTIONS(10299),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10301),
    [sym__immediate_bracket] = ACTIONS(10303),
    [sym__immediate_brace] = ACTIONS(10305),
  },
  [4779] = {
    [sym__assignment_operator] = STATE(3836),
    [sym_block_comment] = STATE(4779),
    [sym_line_comment] = STATE(4779),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10297),
    [anon_sym_DOT] = ACTIONS(10333),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10301),
    [sym__immediate_bracket] = ACTIONS(10303),
    [sym__immediate_brace] = ACTIONS(10305),
  },
  [4780] = {
    [sym_block_comment] = STATE(4780),
    [sym_line_comment] = STATE(4780),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_elseif] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_COLON_EQ] = ACTIONS(9969),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9969),
    [aux_sym__assignment_operator_token1] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [4781] = {
    [sym_block_comment] = STATE(4781),
    [sym_line_comment] = STATE(4781),
    [ts_builtin_sym_end] = ACTIONS(10081),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_RBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_COLON_EQ] = ACTIONS(10079),
    [anon_sym_DOT_EQ] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10079),
    [aux_sym__assignment_operator_token1] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [4782] = {
    [sym_block_comment] = STATE(4782),
    [sym_line_comment] = STATE(4782),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_else] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_COLON_EQ] = ACTIONS(10127),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10127),
    [aux_sym__assignment_operator_token1] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [4783] = {
    [sym__assignment_operator] = STATE(3737),
    [sym_block_comment] = STATE(4783),
    [sym_line_comment] = STATE(4783),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(10335),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_SQUOTE] = ACTIONS(10253),
    [anon_sym_DOT] = ACTIONS(10337),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_COLON_EQ] = ACTIONS(1685),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10257),
    [sym__immediate_bracket] = ACTIONS(10259),
    [sym__immediate_brace] = ACTIONS(10261),
  },
  [4784] = {
    [sym_block_comment] = STATE(4784),
    [sym_line_comment] = STATE(4784),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_else] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_COLON_EQ] = ACTIONS(10083),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10083),
    [aux_sym__assignment_operator_token1] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [4785] = {
    [sym_block_comment] = STATE(4785),
    [sym_line_comment] = STATE(4785),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_COLON_EQ] = ACTIONS(9993),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9993),
    [aux_sym__assignment_operator_token1] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10069),
    [sym__immediate_command_start] = ACTIONS(10071),
  },
  [4786] = {
    [sym_block_comment] = STATE(4786),
    [sym_line_comment] = STATE(4786),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [anon_sym_DOLLAR_EQ] = ACTIONS(3222),
    [aux_sym__assignment_operator_token1] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [4787] = {
    [sym_block_comment] = STATE(4787),
    [sym_line_comment] = STATE(4787),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_elseif] = ACTIONS(10277),
    [anon_sym_else] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_COLON_EQ] = ACTIONS(10277),
    [anon_sym_DOT_EQ] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10277),
    [aux_sym__assignment_operator_token1] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [4788] = {
    [sym_block_comment] = STATE(4788),
    [sym_line_comment] = STATE(4788),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_else] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4789] = {
    [sym_block_comment] = STATE(4789),
    [sym_line_comment] = STATE(4789),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_catch] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_COLON_EQ] = ACTIONS(10127),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_DASH_GT] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10127),
    [aux_sym__assignment_operator_token1] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [4790] = {
    [sym_block_comment] = STATE(4790),
    [sym_line_comment] = STATE(4790),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_else] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_finally] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_COLON_EQ] = ACTIONS(10339),
    [anon_sym_DOT_EQ] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10339),
    [aux_sym__assignment_operator_token1] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [4791] = {
    [sym_block_comment] = STATE(4791),
    [sym_line_comment] = STATE(4791),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_elseif] = ACTIONS(10343),
    [anon_sym_else] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_COLON_EQ] = ACTIONS(10343),
    [anon_sym_DOT_EQ] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10343),
    [aux_sym__assignment_operator_token1] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [4792] = {
    [sym_block_comment] = STATE(4792),
    [sym_line_comment] = STATE(4792),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_finally] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_COLON_EQ] = ACTIONS(10079),
    [anon_sym_DOT_EQ] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10079),
    [aux_sym__assignment_operator_token1] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [4793] = {
    [sym__assignment_operator] = STATE(3945),
    [sym_block_comment] = STATE(4793),
    [sym_line_comment] = STATE(4793),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10021),
    [anon_sym_DOT] = ACTIONS(10157),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10027),
    [sym__immediate_bracket] = ACTIONS(10029),
    [sym__immediate_brace] = ACTIONS(10031),
  },
  [4794] = {
    [sym__assignment_operator] = STATE(3836),
    [sym_block_comment] = STATE(4794),
    [sym_line_comment] = STATE(4794),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10297),
    [anon_sym_DOT] = ACTIONS(10333),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10301),
    [sym__immediate_bracket] = ACTIONS(10303),
    [sym__immediate_brace] = ACTIONS(10305),
  },
  [4795] = {
    [sym_block_comment] = STATE(4795),
    [sym_line_comment] = STATE(4795),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_elseif] = ACTIONS(10347),
    [anon_sym_else] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_COLON_EQ] = ACTIONS(10347),
    [anon_sym_DOT_EQ] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10347),
    [aux_sym__assignment_operator_token1] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [4796] = {
    [sym_block_comment] = STATE(4796),
    [sym_line_comment] = STATE(4796),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_elseif] = ACTIONS(10351),
    [anon_sym_else] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_COLON_EQ] = ACTIONS(10351),
    [anon_sym_DOT_EQ] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10351),
    [aux_sym__assignment_operator_token1] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [4797] = {
    [sym_block_comment] = STATE(4797),
    [sym_line_comment] = STATE(4797),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_elseif] = ACTIONS(10355),
    [anon_sym_else] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_COLON_EQ] = ACTIONS(10355),
    [anon_sym_DOT_EQ] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10355),
    [aux_sym__assignment_operator_token1] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [4798] = {
    [sym_block_comment] = STATE(4798),
    [sym_line_comment] = STATE(4798),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_elseif] = ACTIONS(10229),
    [anon_sym_else] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_COLON_EQ] = ACTIONS(10229),
    [anon_sym_DOT_EQ] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10229),
    [aux_sym__assignment_operator_token1] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [4799] = {
    [sym_block_comment] = STATE(4799),
    [sym_line_comment] = STATE(4799),
    [ts_builtin_sym_end] = ACTIONS(10005),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_RBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_COLON_EQ] = ACTIONS(10003),
    [anon_sym_DOT_EQ] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10003),
    [aux_sym__assignment_operator_token1] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [4800] = {
    [sym_block_comment] = STATE(4800),
    [sym_line_comment] = STATE(4800),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_catch] = ACTIONS(10079),
    [anon_sym_finally] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_COLON_EQ] = ACTIONS(10079),
    [anon_sym_DOT_EQ] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10079),
    [aux_sym__assignment_operator_token1] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [4801] = {
    [sym_block_comment] = STATE(4801),
    [sym_line_comment] = STATE(4801),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_elseif] = ACTIONS(10235),
    [anon_sym_else] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_COLON_EQ] = ACTIONS(10235),
    [anon_sym_DOT_EQ] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10235),
    [aux_sym__assignment_operator_token1] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [4802] = {
    [sym__assignment_operator] = STATE(4245),
    [sym_block_comment] = STATE(4802),
    [sym_line_comment] = STATE(4802),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10039),
    [anon_sym_DOT] = ACTIONS(10041),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10043),
    [sym__immediate_bracket] = ACTIONS(10045),
    [sym__immediate_brace] = ACTIONS(10047),
  },
  [4803] = {
    [sym_block_comment] = STATE(4803),
    [sym_line_comment] = STATE(4803),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10099),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10099),
    [anon_sym_RPAREN] = ACTIONS(10099),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10099),
    [anon_sym_RBRACK] = ACTIONS(10099),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10099),
    [anon_sym_LBRACE] = ACTIONS(10099),
    [anon_sym_RBRACE] = ACTIONS(10099),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10099),
    [anon_sym_COLON_EQ] = ACTIONS(10099),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10099),
    [anon_sym_QMARK] = ACTIONS(10099),
    [anon_sym_DASH_GT] = ACTIONS(10005),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10099),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10099),
    [aux_sym_integer_literal_token2] = ACTIONS(10099),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10099),
    [aux_sym_float_literal_token3] = ACTIONS(10099),
    [aux_sym_float_literal_token4] = ACTIONS(10099),
    [sym_character_literal] = ACTIONS(10099),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10099),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10099),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10099),
    [aux_sym__assignment_operator_token1] = ACTIONS(10099),
    [sym__pair_operator] = ACTIONS(10099),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10099),
    [sym__lazy_and_operator] = ACTIONS(10099),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10099),
    [sym__pipe_left_operator] = ACTIONS(10099),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10099),
    [sym__type_order_operator] = ACTIONS(10099),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [4804] = {
    [sym_block_comment] = STATE(4804),
    [sym_line_comment] = STATE(4804),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_catch] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_COLON_EQ] = ACTIONS(10101),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10101),
    [aux_sym__assignment_operator_token1] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [4805] = {
    [sym_block_comment] = STATE(4805),
    [sym_line_comment] = STATE(4805),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_elseif] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_COLON_EQ] = ACTIONS(10015),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10015),
    [aux_sym__assignment_operator_token1] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [4806] = {
    [sym_block_comment] = STATE(4806),
    [sym_line_comment] = STATE(4806),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_else] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_finally] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_COLON_EQ] = ACTIONS(10359),
    [anon_sym_DOT_EQ] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10359),
    [aux_sym__assignment_operator_token1] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [4807] = {
    [sym_block_comment] = STATE(4807),
    [sym_line_comment] = STATE(4807),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_elseif] = ACTIONS(10363),
    [anon_sym_else] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_COLON_EQ] = ACTIONS(10363),
    [anon_sym_DOT_EQ] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10363),
    [aux_sym__assignment_operator_token1] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [4808] = {
    [sym__assignment_operator] = STATE(3927),
    [sym_block_comment] = STATE(4808),
    [sym_line_comment] = STATE(4808),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10367),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10267),
    [anon_sym_DOT] = ACTIONS(10369),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10271),
    [sym__immediate_bracket] = ACTIONS(10273),
    [sym__immediate_brace] = ACTIONS(10275),
  },
  [4809] = {
    [sym_block_comment] = STATE(4809),
    [sym_line_comment] = STATE(4809),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_else] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_finally] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_COLON_EQ] = ACTIONS(10371),
    [anon_sym_DOT_EQ] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10371),
    [aux_sym__assignment_operator_token1] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [4810] = {
    [sym__assignment_operator] = STATE(3836),
    [sym_block_comment] = STATE(4810),
    [sym_line_comment] = STATE(4810),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10297),
    [anon_sym_DOT] = ACTIONS(10333),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10301),
    [sym__immediate_bracket] = ACTIONS(10303),
    [sym__immediate_brace] = ACTIONS(10305),
  },
  [4811] = {
    [sym_block_comment] = STATE(4811),
    [sym_line_comment] = STATE(4811),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_elseif] = ACTIONS(10375),
    [anon_sym_else] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_COLON_EQ] = ACTIONS(10375),
    [anon_sym_DOT_EQ] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10375),
    [aux_sym__assignment_operator_token1] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [4812] = {
    [sym_block_comment] = STATE(4812),
    [sym_line_comment] = STATE(4812),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_elseif] = ACTIONS(9987),
    [anon_sym_else] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_COLON_EQ] = ACTIONS(9987),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9987),
    [aux_sym__assignment_operator_token1] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [4813] = {
    [sym_block_comment] = STATE(4813),
    [sym_line_comment] = STATE(4813),
    [ts_builtin_sym_end] = ACTIONS(10161),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_RBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_COLON_EQ] = ACTIONS(10159),
    [anon_sym_DOT_EQ] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10159),
    [aux_sym__assignment_operator_token1] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [4814] = {
    [sym_block_comment] = STATE(4814),
    [sym_line_comment] = STATE(4814),
    [ts_builtin_sym_end] = ACTIONS(10099),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_RBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_COLON_EQ] = ACTIONS(10097),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10097),
    [aux_sym__assignment_operator_token1] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [4815] = {
    [sym_block_comment] = STATE(4815),
    [sym_line_comment] = STATE(4815),
    [ts_builtin_sym_end] = ACTIONS(10165),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_RBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_COLON_EQ] = ACTIONS(10163),
    [anon_sym_DOT_EQ] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10163),
    [aux_sym__assignment_operator_token1] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [4816] = {
    [sym_block_comment] = STATE(4816),
    [sym_line_comment] = STATE(4816),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10103),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10103),
    [anon_sym_RPAREN] = ACTIONS(10103),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10103),
    [anon_sym_RBRACK] = ACTIONS(10103),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10103),
    [anon_sym_LBRACE] = ACTIONS(10103),
    [anon_sym_RBRACE] = ACTIONS(10103),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10103),
    [anon_sym_COLON_EQ] = ACTIONS(10103),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10103),
    [anon_sym_QMARK] = ACTIONS(10103),
    [anon_sym_DASH_GT] = ACTIONS(10005),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10103),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10103),
    [aux_sym_integer_literal_token2] = ACTIONS(10103),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10103),
    [aux_sym_float_literal_token3] = ACTIONS(10103),
    [aux_sym_float_literal_token4] = ACTIONS(10103),
    [sym_character_literal] = ACTIONS(10103),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10103),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10103),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10103),
    [aux_sym__assignment_operator_token1] = ACTIONS(10103),
    [sym__pair_operator] = ACTIONS(10103),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10103),
    [sym__lazy_and_operator] = ACTIONS(10103),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10103),
    [sym__pipe_left_operator] = ACTIONS(10103),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10103),
    [sym__type_order_operator] = ACTIONS(10103),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [4817] = {
    [sym_block_comment] = STATE(4817),
    [sym_line_comment] = STATE(4817),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_elseif] = ACTIONS(10083),
    [anon_sym_else] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_COLON_EQ] = ACTIONS(10083),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10083),
    [aux_sym__assignment_operator_token1] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [4818] = {
    [sym_block_comment] = STATE(4818),
    [sym_line_comment] = STATE(4818),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_elseif] = ACTIONS(10379),
    [anon_sym_else] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_COLON_EQ] = ACTIONS(10379),
    [anon_sym_DOT_EQ] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10379),
    [aux_sym__assignment_operator_token1] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [4819] = {
    [sym_block_comment] = STATE(4819),
    [sym_line_comment] = STATE(4819),
    [ts_builtin_sym_end] = ACTIONS(10091),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_RBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4820] = {
    [sym_block_comment] = STATE(4820),
    [sym_line_comment] = STATE(4820),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_catch] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_COLON_EQ] = ACTIONS(10097),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10097),
    [aux_sym__assignment_operator_token1] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [4821] = {
    [sym__assignment_operator] = STATE(3735),
    [sym_block_comment] = STATE(4821),
    [sym_line_comment] = STATE(4821),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10267),
    [anon_sym_DOT] = ACTIONS(10269),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10271),
    [sym__immediate_bracket] = ACTIONS(10273),
    [sym__immediate_brace] = ACTIONS(10275),
  },
  [4822] = {
    [sym_block_comment] = STATE(4822),
    [sym_line_comment] = STATE(4822),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_RBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(10383),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(9951),
    [sym__immediate_command_start] = ACTIONS(9953),
  },
  [4823] = {
    [sym_block_comment] = STATE(4823),
    [sym_line_comment] = STATE(4823),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_elseif] = ACTIONS(10385),
    [anon_sym_else] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_COLON_EQ] = ACTIONS(10385),
    [anon_sym_DOT_EQ] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10385),
    [aux_sym__assignment_operator_token1] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [4824] = {
    [sym_block_comment] = STATE(4824),
    [sym_line_comment] = STATE(4824),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_catch] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_COLON_EQ] = ACTIONS(10139),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_DASH_GT] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10139),
    [aux_sym__assignment_operator_token1] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [4825] = {
    [sym_block_comment] = STATE(4825),
    [sym_line_comment] = STATE(4825),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_elseif] = ACTIONS(10389),
    [anon_sym_else] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_COLON_EQ] = ACTIONS(10389),
    [anon_sym_DOT_EQ] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10389),
    [aux_sym__assignment_operator_token1] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [4826] = {
    [sym_block_comment] = STATE(4826),
    [sym_line_comment] = STATE(4826),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_elseif] = ACTIONS(10193),
    [anon_sym_else] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_COLON_EQ] = ACTIONS(10193),
    [anon_sym_DOT_EQ] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10193),
    [aux_sym__assignment_operator_token1] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [4827] = {
    [sym_block_comment] = STATE(4827),
    [sym_line_comment] = STATE(4827),
    [ts_builtin_sym_end] = ACTIONS(10091),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_RBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4828] = {
    [sym_block_comment] = STATE(4828),
    [sym_line_comment] = STATE(4828),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_elseif] = ACTIONS(10089),
    [anon_sym_else] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4829] = {
    [sym__assignment_operator] = STATE(3737),
    [sym_block_comment] = STATE(4829),
    [sym_line_comment] = STATE(4829),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(10393),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_SQUOTE] = ACTIONS(10253),
    [anon_sym_DOT] = ACTIONS(10337),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_COLON_EQ] = ACTIONS(1685),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10257),
    [sym__immediate_bracket] = ACTIONS(10259),
    [sym__immediate_brace] = ACTIONS(10261),
  },
  [4830] = {
    [sym_block_comment] = STATE(4830),
    [sym_line_comment] = STATE(4830),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10087),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10087),
    [anon_sym_RPAREN] = ACTIONS(10087),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10087),
    [anon_sym_RBRACK] = ACTIONS(10087),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10087),
    [anon_sym_LBRACE] = ACTIONS(10087),
    [anon_sym_RBRACE] = ACTIONS(10087),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10087),
    [anon_sym_COLON_EQ] = ACTIONS(10087),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10087),
    [anon_sym_QMARK] = ACTIONS(10087),
    [anon_sym_DASH_GT] = ACTIONS(10147),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10087),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10087),
    [aux_sym_integer_literal_token2] = ACTIONS(10087),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10087),
    [aux_sym_float_literal_token3] = ACTIONS(10087),
    [aux_sym_float_literal_token4] = ACTIONS(10087),
    [sym_character_literal] = ACTIONS(10087),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10087),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10087),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10087),
    [aux_sym__assignment_operator_token1] = ACTIONS(10087),
    [sym__pair_operator] = ACTIONS(10087),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10087),
    [sym__lazy_and_operator] = ACTIONS(10087),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10087),
    [sym__pipe_left_operator] = ACTIONS(10087),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10087),
    [sym__type_order_operator] = ACTIONS(10087),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [4831] = {
    [sym_block_comment] = STATE(4831),
    [sym_line_comment] = STATE(4831),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_elseif] = ACTIONS(10395),
    [anon_sym_else] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_COLON_EQ] = ACTIONS(10395),
    [anon_sym_DOT_EQ] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10395),
    [aux_sym__assignment_operator_token1] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [4832] = {
    [sym_block_comment] = STATE(4832),
    [sym_line_comment] = STATE(4832),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_else] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_finally] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_COLON_EQ] = ACTIONS(10399),
    [anon_sym_DOT_EQ] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10399),
    [aux_sym__assignment_operator_token1] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [4833] = {
    [sym_block_comment] = STATE(4833),
    [sym_line_comment] = STATE(4833),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_elseif] = ACTIONS(10403),
    [anon_sym_else] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_COLON_EQ] = ACTIONS(10403),
    [anon_sym_DOT_EQ] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10403),
    [aux_sym__assignment_operator_token1] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [4834] = {
    [sym_block_comment] = STATE(4834),
    [sym_line_comment] = STATE(4834),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_elseif] = ACTIONS(10311),
    [anon_sym_else] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_COLON_EQ] = ACTIONS(10311),
    [anon_sym_DOT_EQ] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10311),
    [aux_sym__assignment_operator_token1] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [4835] = {
    [sym_block_comment] = STATE(4835),
    [sym_line_comment] = STATE(4835),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_elseif] = ACTIONS(10399),
    [anon_sym_else] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_COLON_EQ] = ACTIONS(10399),
    [anon_sym_DOT_EQ] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10399),
    [aux_sym__assignment_operator_token1] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [4836] = {
    [sym_block_comment] = STATE(4836),
    [sym_line_comment] = STATE(4836),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_elseif] = ACTIONS(10263),
    [anon_sym_else] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_COLON_EQ] = ACTIONS(10263),
    [anon_sym_DOT_EQ] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10263),
    [aux_sym__assignment_operator_token1] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [4837] = {
    [sym_identifier] = STATE(5108),
    [sym_block_comment] = STATE(4837),
    [sym_line_comment] = STATE(4837),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10133),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10133),
    [anon_sym_RPAREN] = ACTIONS(10133),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10133),
    [anon_sym_RBRACK] = ACTIONS(10133),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10133),
    [anon_sym_LBRACE] = ACTIONS(10133),
    [anon_sym_RBRACE] = ACTIONS(10133),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10133),
    [anon_sym_COLON_EQ] = ACTIONS(10133),
    [anon_sym_DOT_EQ] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10133),
    [anon_sym_QMARK] = ACTIONS(10133),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10133),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10133),
    [aux_sym_integer_literal_token2] = ACTIONS(10133),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10133),
    [aux_sym_float_literal_token3] = ACTIONS(10133),
    [aux_sym_float_literal_token4] = ACTIONS(10133),
    [sym_character_literal] = ACTIONS(10133),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10133),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10133),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10133),
    [aux_sym__assignment_operator_token1] = ACTIONS(10133),
    [sym__pair_operator] = ACTIONS(10133),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10133),
    [sym__lazy_and_operator] = ACTIONS(10133),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10133),
    [sym__pipe_left_operator] = ACTIONS(10133),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10133),
    [sym__type_order_operator] = ACTIONS(10133),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [4838] = {
    [sym_identifier] = STATE(5109),
    [sym_block_comment] = STATE(4838),
    [sym_line_comment] = STATE(4838),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10137),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10137),
    [anon_sym_RPAREN] = ACTIONS(10137),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10137),
    [anon_sym_RBRACK] = ACTIONS(10137),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10137),
    [anon_sym_LBRACE] = ACTIONS(10137),
    [anon_sym_RBRACE] = ACTIONS(10137),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10137),
    [anon_sym_COLON_EQ] = ACTIONS(10137),
    [anon_sym_DOT_EQ] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10137),
    [anon_sym_QMARK] = ACTIONS(10137),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10137),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10137),
    [aux_sym_integer_literal_token2] = ACTIONS(10137),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10137),
    [aux_sym_float_literal_token3] = ACTIONS(10137),
    [aux_sym_float_literal_token4] = ACTIONS(10137),
    [sym_character_literal] = ACTIONS(10137),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10137),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10137),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10137),
    [aux_sym__assignment_operator_token1] = ACTIONS(10137),
    [sym__pair_operator] = ACTIONS(10137),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10137),
    [sym__lazy_and_operator] = ACTIONS(10137),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10137),
    [sym__pipe_left_operator] = ACTIONS(10137),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10137),
    [sym__type_order_operator] = ACTIONS(10137),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [4839] = {
    [sym_identifier] = STATE(5113),
    [sym_block_comment] = STATE(4839),
    [sym_line_comment] = STATE(4839),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10145),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10145),
    [anon_sym_RPAREN] = ACTIONS(10145),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10145),
    [anon_sym_RBRACK] = ACTIONS(10145),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10145),
    [anon_sym_LBRACE] = ACTIONS(10145),
    [anon_sym_RBRACE] = ACTIONS(10145),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10145),
    [anon_sym_COLON_EQ] = ACTIONS(10145),
    [anon_sym_DOT_EQ] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10145),
    [anon_sym_QMARK] = ACTIONS(10145),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10145),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10145),
    [aux_sym_integer_literal_token2] = ACTIONS(10145),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10145),
    [aux_sym_float_literal_token3] = ACTIONS(10145),
    [aux_sym_float_literal_token4] = ACTIONS(10145),
    [sym_character_literal] = ACTIONS(10145),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10145),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10145),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10145),
    [aux_sym__assignment_operator_token1] = ACTIONS(10145),
    [sym__pair_operator] = ACTIONS(10145),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10145),
    [sym__lazy_and_operator] = ACTIONS(10145),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10145),
    [sym__pipe_left_operator] = ACTIONS(10145),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10145),
    [sym__type_order_operator] = ACTIONS(10145),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [4840] = {
    [sym_identifier] = STATE(5114),
    [sym_block_comment] = STATE(4840),
    [sym_line_comment] = STATE(4840),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10009),
    [anon_sym_RPAREN] = ACTIONS(10009),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10009),
    [anon_sym_RBRACK] = ACTIONS(10009),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10009),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_RBRACE] = ACTIONS(10009),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10009),
    [anon_sym_COLON_EQ] = ACTIONS(10009),
    [anon_sym_DOT_EQ] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10009),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10009),
    [aux_sym_integer_literal_token2] = ACTIONS(10009),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10009),
    [aux_sym_float_literal_token3] = ACTIONS(10009),
    [aux_sym_float_literal_token4] = ACTIONS(10009),
    [sym_character_literal] = ACTIONS(10009),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10009),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10009),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10009),
    [aux_sym__assignment_operator_token1] = ACTIONS(10009),
    [sym__pair_operator] = ACTIONS(10009),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10009),
    [sym__lazy_and_operator] = ACTIONS(10009),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10009),
    [sym__pipe_left_operator] = ACTIONS(10009),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10009),
    [sym__type_order_operator] = ACTIONS(10009),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [4841] = {
    [sym_block_comment] = STATE(4841),
    [sym_line_comment] = STATE(4841),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_elseif] = ACTIONS(10339),
    [anon_sym_else] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_COLON_EQ] = ACTIONS(10339),
    [anon_sym_DOT_EQ] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10339),
    [aux_sym__assignment_operator_token1] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [4842] = {
    [sym_block_comment] = STATE(4842),
    [sym_line_comment] = STATE(4842),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_elseif] = ACTIONS(10371),
    [anon_sym_else] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_COLON_EQ] = ACTIONS(10371),
    [anon_sym_DOT_EQ] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10371),
    [aux_sym__assignment_operator_token1] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [4843] = {
    [sym_block_comment] = STATE(4843),
    [sym_line_comment] = STATE(4843),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_elseif] = ACTIONS(10239),
    [anon_sym_else] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_COLON_EQ] = ACTIONS(10239),
    [anon_sym_DOT_EQ] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10239),
    [aux_sym__assignment_operator_token1] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [4844] = {
    [sym_block_comment] = STATE(4844),
    [sym_line_comment] = STATE(4844),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_COLON_EQ] = ACTIONS(9907),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9907),
    [aux_sym__assignment_operator_token1] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [4845] = {
    [sym_block_comment] = STATE(4845),
    [sym_line_comment] = STATE(4845),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_elseif] = ACTIONS(10245),
    [anon_sym_else] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_COLON_EQ] = ACTIONS(10245),
    [anon_sym_DOT_EQ] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10245),
    [aux_sym__assignment_operator_token1] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [4846] = {
    [sym_block_comment] = STATE(4846),
    [sym_line_comment] = STATE(4846),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10075),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10075),
    [anon_sym_RPAREN] = ACTIONS(10075),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10075),
    [anon_sym_RBRACK] = ACTIONS(10075),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10075),
    [anon_sym_LBRACE] = ACTIONS(10075),
    [anon_sym_RBRACE] = ACTIONS(10075),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10075),
    [anon_sym_COLON_EQ] = ACTIONS(10075),
    [anon_sym_DOT_EQ] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10075),
    [anon_sym_QMARK] = ACTIONS(10075),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10075),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10075),
    [aux_sym_integer_literal_token2] = ACTIONS(10075),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10075),
    [aux_sym_float_literal_token3] = ACTIONS(10075),
    [aux_sym_float_literal_token4] = ACTIONS(10075),
    [sym_character_literal] = ACTIONS(10075),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10075),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10075),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10075),
    [aux_sym__assignment_operator_token1] = ACTIONS(10075),
    [sym__pair_operator] = ACTIONS(10075),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10075),
    [sym__lazy_and_operator] = ACTIONS(10075),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10075),
    [sym__pipe_left_operator] = ACTIONS(10075),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10075),
    [sym__type_order_operator] = ACTIONS(10075),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [4847] = {
    [sym_block_comment] = STATE(4847),
    [sym_line_comment] = STATE(4847),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_elseif] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_COLON_EQ] = ACTIONS(9993),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9993),
    [aux_sym__assignment_operator_token1] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [4848] = {
    [sym_block_comment] = STATE(4848),
    [sym_line_comment] = STATE(4848),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_COLON_EQ] = ACTIONS(10015),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10015),
    [aux_sym__assignment_operator_token1] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [4849] = {
    [sym__assignment_operator] = STATE(3630),
    [sym_block_comment] = STATE(4849),
    [sym_line_comment] = STATE(4849),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10183),
    [anon_sym_DOT] = ACTIONS(10407),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
    [sym__immediate_bracket] = ACTIONS(10189),
    [sym__immediate_brace] = ACTIONS(10191),
  },
  [4850] = {
    [sym_block_comment] = STATE(4850),
    [sym_line_comment] = STATE(4850),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_catch] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_COLON_EQ] = ACTIONS(10073),
    [anon_sym_DOT_EQ] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10073),
    [aux_sym__assignment_operator_token1] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [4851] = {
    [sym_block_comment] = STATE(4851),
    [sym_line_comment] = STATE(4851),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_else] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_finally] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_COLON_EQ] = ACTIONS(10363),
    [anon_sym_DOT_EQ] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10363),
    [aux_sym__assignment_operator_token1] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [4852] = {
    [sym_block_comment] = STATE(4852),
    [sym_line_comment] = STATE(4852),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_else] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_finally] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_COLON_EQ] = ACTIONS(10375),
    [anon_sym_DOT_EQ] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10375),
    [aux_sym__assignment_operator_token1] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [4853] = {
    [sym_block_comment] = STATE(4853),
    [sym_line_comment] = STATE(4853),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_catch] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_COLON_EQ] = ACTIONS(10079),
    [anon_sym_DOT_EQ] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10079),
    [aux_sym__assignment_operator_token1] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [4854] = {
    [sym_block_comment] = STATE(4854),
    [sym_line_comment] = STATE(4854),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_elseif] = ACTIONS(10409),
    [anon_sym_else] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_COLON_EQ] = ACTIONS(10409),
    [anon_sym_DOT_EQ] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10409),
    [aux_sym__assignment_operator_token1] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [4855] = {
    [sym_identifier] = STATE(5267),
    [sym_block_comment] = STATE(4855),
    [sym_line_comment] = STATE(4855),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_catch] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_COLON_EQ] = ACTIONS(10131),
    [anon_sym_DOT_EQ] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10131),
    [aux_sym__assignment_operator_token1] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [4856] = {
    [sym_block_comment] = STATE(4856),
    [sym_line_comment] = STATE(4856),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_elseif] = ACTIONS(10209),
    [anon_sym_else] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_COLON_EQ] = ACTIONS(10209),
    [anon_sym_DOT_EQ] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10209),
    [aux_sym__assignment_operator_token1] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [4857] = {
    [sym__assignment_operator] = STATE(3630),
    [sym_block_comment] = STATE(4857),
    [sym_line_comment] = STATE(4857),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10183),
    [anon_sym_DOT] = ACTIONS(10407),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
    [sym__immediate_bracket] = ACTIONS(10189),
    [sym__immediate_brace] = ACTIONS(10191),
  },
  [4858] = {
    [sym__assignment_operator] = STATE(3649),
    [sym_block_comment] = STATE(4858),
    [sym_line_comment] = STATE(4858),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_SQUOTE] = ACTIONS(10253),
    [anon_sym_DOT] = ACTIONS(10255),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_COLON_EQ] = ACTIONS(1685),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10257),
    [sym__immediate_bracket] = ACTIONS(10259),
    [sym__immediate_brace] = ACTIONS(10261),
  },
  [4859] = {
    [sym_block_comment] = STATE(4859),
    [sym_line_comment] = STATE(4859),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_elseif] = ACTIONS(10213),
    [anon_sym_else] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_COLON_EQ] = ACTIONS(10213),
    [anon_sym_DOT_EQ] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10213),
    [aux_sym__assignment_operator_token1] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [4860] = {
    [sym_block_comment] = STATE(4860),
    [sym_line_comment] = STATE(4860),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_elseif] = ACTIONS(9941),
    [anon_sym_else] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_COLON_EQ] = ACTIONS(9941),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9941),
    [aux_sym__assignment_operator_token1] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [4861] = {
    [sym_block_comment] = STATE(4861),
    [sym_line_comment] = STATE(4861),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10147),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10147),
    [anon_sym_RPAREN] = ACTIONS(10147),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10147),
    [anon_sym_RBRACK] = ACTIONS(10147),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10147),
    [anon_sym_LBRACE] = ACTIONS(10147),
    [anon_sym_RBRACE] = ACTIONS(10147),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10147),
    [anon_sym_COLON_EQ] = ACTIONS(10147),
    [anon_sym_DOT_EQ] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10147),
    [anon_sym_QMARK] = ACTIONS(10147),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10147),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10147),
    [aux_sym_integer_literal_token2] = ACTIONS(10147),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10147),
    [aux_sym_float_literal_token3] = ACTIONS(10147),
    [aux_sym_float_literal_token4] = ACTIONS(10147),
    [sym_character_literal] = ACTIONS(10147),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10147),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10147),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10147),
    [aux_sym__assignment_operator_token1] = ACTIONS(10147),
    [sym__pair_operator] = ACTIONS(10147),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10147),
    [sym__lazy_and_operator] = ACTIONS(10147),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10147),
    [sym__pipe_left_operator] = ACTIONS(10147),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10147),
    [sym__type_order_operator] = ACTIONS(10147),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [4862] = {
    [sym_block_comment] = STATE(4862),
    [sym_line_comment] = STATE(4862),
    [ts_builtin_sym_end] = ACTIONS(10129),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_RBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_COLON_EQ] = ACTIONS(10127),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_DASH_GT] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10127),
    [aux_sym__assignment_operator_token1] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [4863] = {
    [sym_block_comment] = STATE(4863),
    [sym_line_comment] = STATE(4863),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_elseif] = ACTIONS(10413),
    [anon_sym_else] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_COLON_EQ] = ACTIONS(10413),
    [anon_sym_DOT_EQ] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10413),
    [aux_sym__assignment_operator_token1] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [4864] = {
    [sym_block_comment] = STATE(4864),
    [sym_line_comment] = STATE(4864),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_elseif] = ACTIONS(10315),
    [anon_sym_else] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_COLON_EQ] = ACTIONS(10315),
    [anon_sym_DOT_EQ] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10315),
    [aux_sym__assignment_operator_token1] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [4865] = {
    [sym__assignment_operator] = STATE(3649),
    [sym_block_comment] = STATE(4865),
    [sym_line_comment] = STATE(4865),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_SQUOTE] = ACTIONS(10253),
    [anon_sym_DOT] = ACTIONS(10255),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_COLON_EQ] = ACTIONS(1685),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10257),
    [sym__immediate_bracket] = ACTIONS(10259),
    [sym__immediate_brace] = ACTIONS(10261),
  },
  [4866] = {
    [sym_block_comment] = STATE(4866),
    [sym_line_comment] = STATE(4866),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_catch] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4867] = {
    [sym_block_comment] = STATE(4867),
    [sym_line_comment] = STATE(4867),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_catch] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4868] = {
    [sym_block_comment] = STATE(4868),
    [sym_line_comment] = STATE(4868),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_elseif] = ACTIONS(10417),
    [anon_sym_else] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_COLON_EQ] = ACTIONS(10417),
    [anon_sym_DOT_EQ] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10417),
    [aux_sym__assignment_operator_token1] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [4869] = {
    [sym_block_comment] = STATE(4869),
    [sym_line_comment] = STATE(4869),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_elseif] = ACTIONS(10097),
    [anon_sym_else] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_COLON_EQ] = ACTIONS(10097),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10097),
    [aux_sym__assignment_operator_token1] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [4870] = {
    [sym_block_comment] = STATE(4870),
    [sym_line_comment] = STATE(4870),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_elseif] = ACTIONS(10101),
    [anon_sym_else] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_COLON_EQ] = ACTIONS(10101),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10101),
    [aux_sym__assignment_operator_token1] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [4871] = {
    [sym_block_comment] = STATE(4871),
    [sym_line_comment] = STATE(4871),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_catch] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4872] = {
    [sym_identifier] = STATE(5268),
    [sym_block_comment] = STATE(4872),
    [sym_line_comment] = STATE(4872),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_catch] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_COLON_EQ] = ACTIONS(10135),
    [anon_sym_DOT_EQ] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10135),
    [aux_sym__assignment_operator_token1] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [4873] = {
    [sym_identifier] = STATE(5273),
    [sym_block_comment] = STATE(4873),
    [sym_line_comment] = STATE(4873),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_catch] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_COLON_EQ] = ACTIONS(10143),
    [anon_sym_DOT_EQ] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10143),
    [aux_sym__assignment_operator_token1] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [4874] = {
    [sym_block_comment] = STATE(4874),
    [sym_line_comment] = STATE(4874),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_catch] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4875] = {
    [sym_identifier] = STATE(5159),
    [sym_block_comment] = STATE(4875),
    [sym_line_comment] = STATE(4875),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_catch] = ACTIONS(10131),
    [anon_sym_finally] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_COLON_EQ] = ACTIONS(10131),
    [anon_sym_DOT_EQ] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10131),
    [aux_sym__assignment_operator_token1] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [4876] = {
    [sym_identifier] = STATE(5160),
    [sym_block_comment] = STATE(4876),
    [sym_line_comment] = STATE(4876),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_catch] = ACTIONS(10135),
    [anon_sym_finally] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_COLON_EQ] = ACTIONS(10135),
    [anon_sym_DOT_EQ] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10135),
    [aux_sym__assignment_operator_token1] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [4877] = {
    [sym_block_comment] = STATE(4877),
    [sym_line_comment] = STATE(4877),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_catch] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_COLON_EQ] = ACTIONS(10083),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10083),
    [aux_sym__assignment_operator_token1] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [4878] = {
    [sym_block_comment] = STATE(4878),
    [sym_line_comment] = STATE(4878),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4879] = {
    [sym_identifier] = STATE(5274),
    [sym_block_comment] = STATE(4879),
    [sym_line_comment] = STATE(4879),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_catch] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_COLON_EQ] = ACTIONS(10007),
    [anon_sym_DOT_EQ] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10007),
    [aux_sym__assignment_operator_token1] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [4880] = {
    [sym_identifier] = STATE(5164),
    [sym_block_comment] = STATE(4880),
    [sym_line_comment] = STATE(4880),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_catch] = ACTIONS(10143),
    [anon_sym_finally] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_COLON_EQ] = ACTIONS(10143),
    [anon_sym_DOT_EQ] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10143),
    [aux_sym__assignment_operator_token1] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [4881] = {
    [sym_identifier] = STATE(5165),
    [sym_block_comment] = STATE(4881),
    [sym_line_comment] = STATE(4881),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_catch] = ACTIONS(10007),
    [anon_sym_finally] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_COLON_EQ] = ACTIONS(10007),
    [anon_sym_DOT_EQ] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10007),
    [aux_sym__assignment_operator_token1] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [4882] = {
    [sym_block_comment] = STATE(4882),
    [sym_line_comment] = STATE(4882),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4883] = {
    [sym_block_comment] = STATE(4883),
    [sym_line_comment] = STATE(4883),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_catch] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_COLON_EQ] = ACTIONS(10097),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10097),
    [aux_sym__assignment_operator_token1] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [4884] = {
    [sym_block_comment] = STATE(4884),
    [sym_line_comment] = STATE(4884),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_COLON_EQ] = ACTIONS(10101),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10101),
    [aux_sym__assignment_operator_token1] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [4885] = {
    [sym_block_comment] = STATE(4885),
    [sym_line_comment] = STATE(4885),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_elseif] = ACTIONS(10421),
    [anon_sym_else] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_COLON_EQ] = ACTIONS(10421),
    [anon_sym_DOT_EQ] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10421),
    [aux_sym__assignment_operator_token1] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [4886] = {
    [sym_block_comment] = STATE(4886),
    [sym_line_comment] = STATE(4886),
    [ts_builtin_sym_end] = ACTIONS(10019),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_RBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_COLON_EQ] = ACTIONS(10015),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10425),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10015),
    [aux_sym__assignment_operator_token1] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [4887] = {
    [sym__assignment_operator] = STATE(3962),
    [sym_block_comment] = STATE(4887),
    [sym_line_comment] = STATE(4887),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10427),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10199),
    [anon_sym_DOT] = ACTIONS(10201),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10203),
    [sym__immediate_bracket] = ACTIONS(10205),
    [sym__immediate_brace] = ACTIONS(10207),
  },
  [4888] = {
    [sym_block_comment] = STATE(4888),
    [sym_line_comment] = STATE(4888),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_catch] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_COLON_EQ] = ACTIONS(10139),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_DASH_GT] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10139),
    [aux_sym__assignment_operator_token1] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [4889] = {
    [sym__assignment_operator] = STATE(4279),
    [sym_block_comment] = STATE(4889),
    [sym_line_comment] = STATE(4889),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10039),
    [anon_sym_DOT] = ACTIONS(10063),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10043),
    [sym__immediate_bracket] = ACTIONS(10045),
    [sym__immediate_brace] = ACTIONS(10047),
  },
  [4890] = {
    [sym_block_comment] = STATE(4890),
    [sym_line_comment] = STATE(4890),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_elseif] = ACTIONS(10429),
    [anon_sym_else] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_COLON_EQ] = ACTIONS(10429),
    [anon_sym_DOT_EQ] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10429),
    [aux_sym__assignment_operator_token1] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [4891] = {
    [sym_block_comment] = STATE(4891),
    [sym_line_comment] = STATE(4891),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_elseif] = ACTIONS(10433),
    [anon_sym_else] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_COLON_EQ] = ACTIONS(10433),
    [anon_sym_DOT_EQ] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10433),
    [aux_sym__assignment_operator_token1] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [4892] = {
    [sym_block_comment] = STATE(4892),
    [sym_line_comment] = STATE(4892),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_elseif] = ACTIONS(10437),
    [anon_sym_else] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_COLON_EQ] = ACTIONS(10437),
    [anon_sym_DOT_EQ] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10437),
    [aux_sym__assignment_operator_token1] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [4893] = {
    [sym_block_comment] = STATE(4893),
    [sym_line_comment] = STATE(4893),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_else] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_finally] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_COLON_EQ] = ACTIONS(10409),
    [anon_sym_DOT_EQ] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10409),
    [aux_sym__assignment_operator_token1] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [4894] = {
    [sym_block_comment] = STATE(4894),
    [sym_line_comment] = STATE(4894),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_elseif] = ACTIONS(10359),
    [anon_sym_else] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_COLON_EQ] = ACTIONS(10359),
    [anon_sym_DOT_EQ] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10359),
    [aux_sym__assignment_operator_token1] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [4895] = {
    [sym_block_comment] = STATE(4895),
    [sym_line_comment] = STATE(4895),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_catch] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_COLON_EQ] = ACTIONS(10085),
    [anon_sym_DOT_EQ] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10085),
    [aux_sym__assignment_operator_token1] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [4896] = {
    [sym_block_comment] = STATE(4896),
    [sym_line_comment] = STATE(4896),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_catch] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_COLON_EQ] = ACTIONS(10003),
    [anon_sym_DOT_EQ] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10003),
    [aux_sym__assignment_operator_token1] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [4897] = {
    [sym_block_comment] = STATE(4897),
    [sym_line_comment] = STATE(4897),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_catch] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_COLON_EQ] = ACTIONS(10159),
    [anon_sym_DOT_EQ] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10159),
    [aux_sym__assignment_operator_token1] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [4898] = {
    [sym_block_comment] = STATE(4898),
    [sym_line_comment] = STATE(4898),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_catch] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_COLON_EQ] = ACTIONS(10163),
    [anon_sym_DOT_EQ] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10163),
    [aux_sym__assignment_operator_token1] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [4899] = {
    [sym_block_comment] = STATE(4899),
    [sym_line_comment] = STATE(4899),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [anon_sym_DOLLAR_EQ] = ACTIONS(3222),
    [aux_sym__assignment_operator_token1] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [4900] = {
    [sym_block_comment] = STATE(4900),
    [sym_line_comment] = STATE(4900),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_catch] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_COLON_EQ] = ACTIONS(10055),
    [anon_sym_DOT_EQ] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10055),
    [aux_sym__assignment_operator_token1] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [4901] = {
    [sym_block_comment] = STATE(4901),
    [sym_line_comment] = STATE(4901),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_catch] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_COLON_EQ] = ACTIONS(10033),
    [anon_sym_DOT_EQ] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10033),
    [aux_sym__assignment_operator_token1] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [4902] = {
    [sym_block_comment] = STATE(4902),
    [sym_line_comment] = STATE(4902),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_catch] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_COLON_EQ] = ACTIONS(10051),
    [anon_sym_DOT_EQ] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10051),
    [aux_sym__assignment_operator_token1] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [4903] = {
    [sym_block_comment] = STATE(4903),
    [sym_line_comment] = STATE(4903),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_catch] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_COLON_EQ] = ACTIONS(10059),
    [anon_sym_DOT_EQ] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10059),
    [aux_sym__assignment_operator_token1] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [4904] = {
    [sym_block_comment] = STATE(4904),
    [sym_line_comment] = STATE(4904),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_finally] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_COLON_EQ] = ACTIONS(10085),
    [anon_sym_DOT_EQ] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10085),
    [aux_sym__assignment_operator_token1] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [4905] = {
    [sym_block_comment] = STATE(4905),
    [sym_line_comment] = STATE(4905),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10005),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10005),
    [anon_sym_RPAREN] = ACTIONS(10005),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10005),
    [anon_sym_RBRACK] = ACTIONS(10005),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10005),
    [anon_sym_LBRACE] = ACTIONS(10005),
    [anon_sym_RBRACE] = ACTIONS(10005),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10005),
    [anon_sym_COLON_EQ] = ACTIONS(10005),
    [anon_sym_DOT_EQ] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10005),
    [anon_sym_QMARK] = ACTIONS(10005),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10005),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10005),
    [aux_sym_integer_literal_token2] = ACTIONS(10005),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10005),
    [aux_sym_float_literal_token3] = ACTIONS(10005),
    [aux_sym_float_literal_token4] = ACTIONS(10005),
    [sym_character_literal] = ACTIONS(10005),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10005),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10005),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10005),
    [aux_sym__assignment_operator_token1] = ACTIONS(10005),
    [sym__pair_operator] = ACTIONS(10005),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10005),
    [sym__lazy_and_operator] = ACTIONS(10005),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10005),
    [sym__pipe_left_operator] = ACTIONS(10005),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10005),
    [sym__type_order_operator] = ACTIONS(10005),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [4906] = {
    [sym_block_comment] = STATE(4906),
    [sym_line_comment] = STATE(4906),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_elseif] = ACTIONS(10217),
    [anon_sym_else] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_COLON_EQ] = ACTIONS(10217),
    [anon_sym_DOT_EQ] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10217),
    [aux_sym__assignment_operator_token1] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [4907] = {
    [sym_block_comment] = STATE(4907),
    [sym_line_comment] = STATE(4907),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_elseif] = ACTIONS(10249),
    [anon_sym_else] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_COLON_EQ] = ACTIONS(10249),
    [anon_sym_DOT_EQ] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10249),
    [aux_sym__assignment_operator_token1] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [4908] = {
    [sym_block_comment] = STATE(4908),
    [sym_line_comment] = STATE(4908),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10161),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10161),
    [anon_sym_RPAREN] = ACTIONS(10161),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10161),
    [anon_sym_RBRACK] = ACTIONS(10161),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10161),
    [anon_sym_LBRACE] = ACTIONS(10161),
    [anon_sym_RBRACE] = ACTIONS(10161),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10161),
    [anon_sym_COLON_EQ] = ACTIONS(10161),
    [anon_sym_DOT_EQ] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10161),
    [anon_sym_QMARK] = ACTIONS(10161),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10161),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10161),
    [aux_sym_integer_literal_token2] = ACTIONS(10161),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10161),
    [aux_sym_float_literal_token3] = ACTIONS(10161),
    [aux_sym_float_literal_token4] = ACTIONS(10161),
    [sym_character_literal] = ACTIONS(10161),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10161),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10161),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10161),
    [aux_sym__assignment_operator_token1] = ACTIONS(10161),
    [sym__pair_operator] = ACTIONS(10161),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10161),
    [sym__lazy_and_operator] = ACTIONS(10161),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10161),
    [sym__pipe_left_operator] = ACTIONS(10161),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10161),
    [sym__type_order_operator] = ACTIONS(10161),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [4909] = {
    [sym_block_comment] = STATE(4909),
    [sym_line_comment] = STATE(4909),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_COLON_EQ] = ACTIONS(10015),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10441),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10015),
    [aux_sym__assignment_operator_token1] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [4910] = {
    [sym_do_clause] = STATE(5387),
    [sym_block_comment] = STATE(4910),
    [sym_line_comment] = STATE(4910),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10179),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_COLON_EQ] = ACTIONS(9987),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9987),
    [aux_sym__assignment_operator_token1] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [4911] = {
    [sym_block_comment] = STATE(4911),
    [sym_line_comment] = STATE(4911),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10165),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10165),
    [anon_sym_RPAREN] = ACTIONS(10165),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10165),
    [anon_sym_RBRACK] = ACTIONS(10165),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10165),
    [anon_sym_LBRACE] = ACTIONS(10165),
    [anon_sym_RBRACE] = ACTIONS(10165),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10165),
    [anon_sym_COLON_EQ] = ACTIONS(10165),
    [anon_sym_DOT_EQ] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10165),
    [anon_sym_QMARK] = ACTIONS(10165),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10165),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10165),
    [aux_sym_integer_literal_token2] = ACTIONS(10165),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10165),
    [aux_sym_float_literal_token3] = ACTIONS(10165),
    [aux_sym_float_literal_token4] = ACTIONS(10165),
    [sym_character_literal] = ACTIONS(10165),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10165),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10165),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10165),
    [aux_sym__assignment_operator_token1] = ACTIONS(10165),
    [sym__pair_operator] = ACTIONS(10165),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10165),
    [sym__lazy_and_operator] = ACTIONS(10165),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10165),
    [sym__pipe_left_operator] = ACTIONS(10165),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10165),
    [sym__type_order_operator] = ACTIONS(10165),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [4912] = {
    [sym_block_comment] = STATE(4912),
    [sym_line_comment] = STATE(4912),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_COLON_EQ] = ACTIONS(10127),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_DASH_GT] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10127),
    [aux_sym__assignment_operator_token1] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [4913] = {
    [sym_block_comment] = STATE(4913),
    [sym_line_comment] = STATE(4913),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_catch] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_COLON_EQ] = ACTIONS(10101),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10101),
    [aux_sym__assignment_operator_token1] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [4914] = {
    [sym_block_comment] = STATE(4914),
    [sym_line_comment] = STATE(4914),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10125),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10125),
    [anon_sym_RPAREN] = ACTIONS(10125),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10125),
    [anon_sym_RBRACK] = ACTIONS(10125),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10125),
    [anon_sym_LBRACE] = ACTIONS(10125),
    [anon_sym_RBRACE] = ACTIONS(10125),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10125),
    [anon_sym_COLON_EQ] = ACTIONS(10125),
    [anon_sym_DOT_EQ] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10125),
    [anon_sym_QMARK] = ACTIONS(10125),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10125),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10125),
    [aux_sym_integer_literal_token2] = ACTIONS(10125),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10125),
    [aux_sym_float_literal_token3] = ACTIONS(10125),
    [aux_sym_float_literal_token4] = ACTIONS(10125),
    [sym_character_literal] = ACTIONS(10125),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10125),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10125),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10125),
    [aux_sym__assignment_operator_token1] = ACTIONS(10125),
    [sym__pair_operator] = ACTIONS(10125),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10125),
    [sym__lazy_and_operator] = ACTIONS(10125),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10125),
    [sym__pipe_left_operator] = ACTIONS(10125),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10125),
    [sym__type_order_operator] = ACTIONS(10125),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [4915] = {
    [sym_block_comment] = STATE(4915),
    [sym_line_comment] = STATE(4915),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_finally] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_COLON_EQ] = ACTIONS(10003),
    [anon_sym_DOT_EQ] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10003),
    [aux_sym__assignment_operator_token1] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [4916] = {
    [sym__assignment_operator] = STATE(3927),
    [sym_block_comment] = STATE(4916),
    [sym_line_comment] = STATE(4916),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10443),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10267),
    [anon_sym_DOT] = ACTIONS(10369),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10271),
    [sym__immediate_bracket] = ACTIONS(10273),
    [sym__immediate_brace] = ACTIONS(10275),
  },
  [4917] = {
    [sym_block_comment] = STATE(4917),
    [sym_line_comment] = STATE(4917),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_finally] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_COLON_EQ] = ACTIONS(10159),
    [anon_sym_DOT_EQ] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10159),
    [aux_sym__assignment_operator_token1] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [4918] = {
    [sym_block_comment] = STATE(4918),
    [sym_line_comment] = STATE(4918),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_else] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_finally] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_COLON_EQ] = ACTIONS(10171),
    [anon_sym_DOT_EQ] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10171),
    [aux_sym__assignment_operator_token1] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [4919] = {
    [sym_block_comment] = STATE(4919),
    [sym_line_comment] = STATE(4919),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_COLON_EQ] = ACTIONS(10015),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10445),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10015),
    [aux_sym__assignment_operator_token1] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [4920] = {
    [sym_block_comment] = STATE(4920),
    [sym_line_comment] = STATE(4920),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_catch] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_COLON_EQ] = ACTIONS(10123),
    [anon_sym_DOT_EQ] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10123),
    [aux_sym__assignment_operator_token1] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [4921] = {
    [sym_block_comment] = STATE(4921),
    [sym_line_comment] = STATE(4921),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [4922] = {
    [sym_block_comment] = STATE(4922),
    [sym_line_comment] = STATE(4922),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_catch] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_COLON_EQ] = ACTIONS(10011),
    [anon_sym_DOT_EQ] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10011),
    [aux_sym__assignment_operator_token1] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [4923] = {
    [sym_block_comment] = STATE(4923),
    [sym_line_comment] = STATE(4923),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_finally] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_COLON_EQ] = ACTIONS(10163),
    [anon_sym_DOT_EQ] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10163),
    [aux_sym__assignment_operator_token1] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [4924] = {
    [sym_block_comment] = STATE(4924),
    [sym_line_comment] = STATE(4924),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_catch] = ACTIONS(10073),
    [anon_sym_finally] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_COLON_EQ] = ACTIONS(10073),
    [anon_sym_DOT_EQ] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10073),
    [aux_sym__assignment_operator_token1] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [4925] = {
    [sym__assignment_operator] = STATE(3630),
    [sym_block_comment] = STATE(4925),
    [sym_line_comment] = STATE(4925),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10183),
    [anon_sym_DOT] = ACTIONS(10407),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
    [sym__immediate_bracket] = ACTIONS(10189),
    [sym__immediate_brace] = ACTIONS(10191),
  },
  [4926] = {
    [sym__assignment_operator] = STATE(3735),
    [sym_block_comment] = STATE(4926),
    [sym_line_comment] = STATE(4926),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10267),
    [anon_sym_DOT] = ACTIONS(10269),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10271),
    [sym__immediate_bracket] = ACTIONS(10273),
    [sym__immediate_brace] = ACTIONS(10275),
  },
  [4927] = {
    [sym_block_comment] = STATE(4927),
    [sym_line_comment] = STATE(4927),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_else] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_finally] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_COLON_EQ] = ACTIONS(10175),
    [anon_sym_DOT_EQ] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10175),
    [aux_sym__assignment_operator_token1] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [4928] = {
    [sym_block_comment] = STATE(4928),
    [sym_line_comment] = STATE(4928),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_else] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_finally] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_COLON_EQ] = ACTIONS(10319),
    [anon_sym_DOT_EQ] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10319),
    [aux_sym__assignment_operator_token1] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [4929] = {
    [sym_block_comment] = STATE(4929),
    [sym_line_comment] = STATE(4929),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_COLON_EQ] = ACTIONS(9993),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9993),
    [aux_sym__assignment_operator_token1] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [4930] = {
    [sym_block_comment] = STATE(4930),
    [sym_line_comment] = STATE(4930),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_else] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_finally] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_COLON_EQ] = ACTIONS(10395),
    [anon_sym_DOT_EQ] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10395),
    [aux_sym__assignment_operator_token1] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [4931] = {
    [sym_block_comment] = STATE(4931),
    [sym_line_comment] = STATE(4931),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_else] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_finally] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_COLON_EQ] = ACTIONS(10413),
    [anon_sym_DOT_EQ] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10413),
    [aux_sym__assignment_operator_token1] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [4932] = {
    [sym_block_comment] = STATE(4932),
    [sym_line_comment] = STATE(4932),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_else] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_finally] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_COLON_EQ] = ACTIONS(10323),
    [anon_sym_DOT_EQ] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10323),
    [aux_sym__assignment_operator_token1] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [4933] = {
    [sym_block_comment] = STATE(4933),
    [sym_line_comment] = STATE(4933),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_else] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_finally] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_COLON_EQ] = ACTIONS(10327),
    [anon_sym_DOT_EQ] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10327),
    [aux_sym__assignment_operator_token1] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [4934] = {
    [sym_block_comment] = STATE(4934),
    [sym_line_comment] = STATE(4934),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_else] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_finally] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_COLON_EQ] = ACTIONS(10379),
    [anon_sym_DOT_EQ] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10379),
    [aux_sym__assignment_operator_token1] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [4935] = {
    [sym_block_comment] = STATE(4935),
    [sym_line_comment] = STATE(4935),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_else] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_finally] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_COLON_EQ] = ACTIONS(10385),
    [anon_sym_DOT_EQ] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10385),
    [aux_sym__assignment_operator_token1] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [4936] = {
    [sym_block_comment] = STATE(4936),
    [sym_line_comment] = STATE(4936),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10057),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10057),
    [anon_sym_RPAREN] = ACTIONS(10057),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10057),
    [anon_sym_RBRACK] = ACTIONS(10057),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10057),
    [anon_sym_LBRACE] = ACTIONS(10057),
    [anon_sym_RBRACE] = ACTIONS(10057),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10057),
    [anon_sym_COLON_EQ] = ACTIONS(10057),
    [anon_sym_DOT_EQ] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10057),
    [anon_sym_QMARK] = ACTIONS(10057),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10057),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10057),
    [aux_sym_integer_literal_token2] = ACTIONS(10057),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10057),
    [aux_sym_float_literal_token3] = ACTIONS(10057),
    [aux_sym_float_literal_token4] = ACTIONS(10057),
    [sym_character_literal] = ACTIONS(10057),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10057),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10057),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10057),
    [aux_sym__assignment_operator_token1] = ACTIONS(10057),
    [sym__pair_operator] = ACTIONS(10057),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10057),
    [sym__lazy_and_operator] = ACTIONS(10057),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10057),
    [sym__pipe_left_operator] = ACTIONS(10057),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10057),
    [sym__type_order_operator] = ACTIONS(10057),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [4937] = {
    [sym_block_comment] = STATE(4937),
    [sym_line_comment] = STATE(4937),
    [ts_builtin_sym_end] = ACTIONS(10103),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_RBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_COLON_EQ] = ACTIONS(10101),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10101),
    [aux_sym__assignment_operator_token1] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [4938] = {
    [sym_block_comment] = STATE(4938),
    [sym_line_comment] = STATE(4938),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_else] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_finally] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_COLON_EQ] = ACTIONS(10389),
    [anon_sym_DOT_EQ] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10389),
    [aux_sym__assignment_operator_token1] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [4939] = {
    [sym_block_comment] = STATE(4939),
    [sym_line_comment] = STATE(4939),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_else] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_finally] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_COLON_EQ] = ACTIONS(10343),
    [anon_sym_DOT_EQ] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10343),
    [aux_sym__assignment_operator_token1] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [4940] = {
    [sym_identifier] = STATE(4992),
    [sym_block_comment] = STATE(4940),
    [sym_line_comment] = STATE(4940),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_finally] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_COLON_EQ] = ACTIONS(10131),
    [anon_sym_DOT_EQ] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10131),
    [aux_sym__assignment_operator_token1] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [4941] = {
    [sym_block_comment] = STATE(4941),
    [sym_line_comment] = STATE(4941),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_else] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_finally] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_COLON_EQ] = ACTIONS(10417),
    [anon_sym_DOT_EQ] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10417),
    [aux_sym__assignment_operator_token1] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [4942] = {
    [sym_block_comment] = STATE(4942),
    [sym_line_comment] = STATE(4942),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_else] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_COLON_EQ] = ACTIONS(10097),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10097),
    [aux_sym__assignment_operator_token1] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [4943] = {
    [sym_block_comment] = STATE(4943),
    [sym_line_comment] = STATE(4943),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_else] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_COLON_EQ] = ACTIONS(10101),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10101),
    [aux_sym__assignment_operator_token1] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [4944] = {
    [sym_block_comment] = STATE(4944),
    [sym_line_comment] = STATE(4944),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_else] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_finally] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_COLON_EQ] = ACTIONS(10421),
    [anon_sym_DOT_EQ] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10421),
    [aux_sym__assignment_operator_token1] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [4945] = {
    [sym_block_comment] = STATE(4945),
    [sym_line_comment] = STATE(4945),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_else] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_finally] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_COLON_EQ] = ACTIONS(10429),
    [anon_sym_DOT_EQ] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10429),
    [aux_sym__assignment_operator_token1] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [4946] = {
    [sym_block_comment] = STATE(4946),
    [sym_line_comment] = STATE(4946),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_else] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_finally] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_COLON_EQ] = ACTIONS(10433),
    [anon_sym_DOT_EQ] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10433),
    [aux_sym__assignment_operator_token1] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [4947] = {
    [sym_block_comment] = STATE(4947),
    [sym_line_comment] = STATE(4947),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_else] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_finally] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_COLON_EQ] = ACTIONS(10437),
    [anon_sym_DOT_EQ] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10437),
    [aux_sym__assignment_operator_token1] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [4948] = {
    [sym_block_comment] = STATE(4948),
    [sym_line_comment] = STATE(4948),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_else] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_COLON_EQ] = ACTIONS(10139),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10139),
    [aux_sym__assignment_operator_token1] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [4949] = {
    [sym_block_comment] = STATE(4949),
    [sym_line_comment] = STATE(4949),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_else] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_finally] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_COLON_EQ] = ACTIONS(10291),
    [anon_sym_DOT_EQ] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10291),
    [aux_sym__assignment_operator_token1] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [4950] = {
    [sym_block_comment] = STATE(4950),
    [sym_line_comment] = STATE(4950),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_else] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_finally] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_COLON_EQ] = ACTIONS(10307),
    [anon_sym_DOT_EQ] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10307),
    [aux_sym__assignment_operator_token1] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [4951] = {
    [sym_block_comment] = STATE(4951),
    [sym_line_comment] = STATE(4951),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_else] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_finally] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_COLON_EQ] = ACTIONS(10347),
    [anon_sym_DOT_EQ] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10347),
    [aux_sym__assignment_operator_token1] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [4952] = {
    [sym_block_comment] = STATE(4952),
    [sym_line_comment] = STATE(4952),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10035),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10035),
    [anon_sym_RPAREN] = ACTIONS(10035),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10035),
    [anon_sym_RBRACK] = ACTIONS(10035),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10035),
    [anon_sym_LBRACE] = ACTIONS(10035),
    [anon_sym_RBRACE] = ACTIONS(10035),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10035),
    [anon_sym_COLON_EQ] = ACTIONS(10035),
    [anon_sym_DOT_EQ] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10035),
    [anon_sym_QMARK] = ACTIONS(10035),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10035),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10035),
    [aux_sym_integer_literal_token2] = ACTIONS(10035),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10035),
    [aux_sym_float_literal_token3] = ACTIONS(10035),
    [aux_sym_float_literal_token4] = ACTIONS(10035),
    [sym_character_literal] = ACTIONS(10035),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10035),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10035),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10035),
    [aux_sym__assignment_operator_token1] = ACTIONS(10035),
    [sym__pair_operator] = ACTIONS(10035),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10035),
    [sym__lazy_and_operator] = ACTIONS(10035),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10035),
    [sym__pipe_left_operator] = ACTIONS(10035),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10035),
    [sym__type_order_operator] = ACTIONS(10035),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [4953] = {
    [sym_block_comment] = STATE(4953),
    [sym_line_comment] = STATE(4953),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_else] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_finally] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_COLON_EQ] = ACTIONS(10351),
    [anon_sym_DOT_EQ] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10351),
    [aux_sym__assignment_operator_token1] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [4954] = {
    [sym_block_comment] = STATE(4954),
    [sym_line_comment] = STATE(4954),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_else] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_finally] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_COLON_EQ] = ACTIONS(10355),
    [anon_sym_DOT_EQ] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10355),
    [aux_sym__assignment_operator_token1] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [4955] = {
    [sym_block_comment] = STATE(4955),
    [sym_line_comment] = STATE(4955),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10053),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10053),
    [anon_sym_RPAREN] = ACTIONS(10053),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10053),
    [anon_sym_RBRACK] = ACTIONS(10053),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10053),
    [anon_sym_LBRACE] = ACTIONS(10053),
    [anon_sym_RBRACE] = ACTIONS(10053),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10053),
    [anon_sym_COLON_EQ] = ACTIONS(10053),
    [anon_sym_DOT_EQ] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10053),
    [anon_sym_QMARK] = ACTIONS(10053),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10053),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10053),
    [aux_sym_integer_literal_token2] = ACTIONS(10053),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10053),
    [aux_sym_float_literal_token3] = ACTIONS(10053),
    [aux_sym_float_literal_token4] = ACTIONS(10053),
    [sym_character_literal] = ACTIONS(10053),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10053),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10053),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10053),
    [aux_sym__assignment_operator_token1] = ACTIONS(10053),
    [sym__pair_operator] = ACTIONS(10053),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10053),
    [sym__lazy_and_operator] = ACTIONS(10053),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10053),
    [sym__pipe_left_operator] = ACTIONS(10053),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10053),
    [sym__type_order_operator] = ACTIONS(10053),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [4956] = {
    [sym_block_comment] = STATE(4956),
    [sym_line_comment] = STATE(4956),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_else] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_finally] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_COLON_EQ] = ACTIONS(10403),
    [anon_sym_DOT_EQ] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10403),
    [aux_sym__assignment_operator_token1] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [4957] = {
    [sym_block_comment] = STATE(4957),
    [sym_line_comment] = STATE(4957),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10061),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10061),
    [anon_sym_RPAREN] = ACTIONS(10061),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10061),
    [anon_sym_RBRACK] = ACTIONS(10061),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10061),
    [anon_sym_LBRACE] = ACTIONS(10061),
    [anon_sym_RBRACE] = ACTIONS(10061),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10061),
    [anon_sym_COLON_EQ] = ACTIONS(10061),
    [anon_sym_DOT_EQ] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10061),
    [anon_sym_QMARK] = ACTIONS(10061),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10061),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10061),
    [aux_sym_integer_literal_token2] = ACTIONS(10061),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10061),
    [aux_sym_float_literal_token3] = ACTIONS(10061),
    [aux_sym_float_literal_token4] = ACTIONS(10061),
    [sym_character_literal] = ACTIONS(10061),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10061),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10061),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10061),
    [aux_sym__assignment_operator_token1] = ACTIONS(10061),
    [sym__pair_operator] = ACTIONS(10061),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10061),
    [sym__lazy_and_operator] = ACTIONS(10061),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10061),
    [sym__pipe_left_operator] = ACTIONS(10061),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10061),
    [sym__type_order_operator] = ACTIONS(10061),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [4958] = {
    [sym_block_comment] = STATE(4958),
    [sym_line_comment] = STATE(4958),
    [ts_builtin_sym_end] = ACTIONS(10341),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_RBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_COLON_EQ] = ACTIONS(10339),
    [anon_sym_DOT_EQ] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10339),
    [aux_sym__assignment_operator_token1] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [4959] = {
    [sym_block_comment] = STATE(4959),
    [sym_line_comment] = STATE(4959),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_COLON_EQ] = ACTIONS(9969),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9969),
    [aux_sym__assignment_operator_token1] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [4960] = {
    [sym_block_comment] = STATE(4960),
    [sym_line_comment] = STATE(4960),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_catch] = ACTIONS(10375),
    [anon_sym_finally] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_COLON_EQ] = ACTIONS(10375),
    [anon_sym_DOT_EQ] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10375),
    [aux_sym__assignment_operator_token1] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [4961] = {
    [sym_block_comment] = STATE(4961),
    [sym_line_comment] = STATE(4961),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_catch] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_COLON_EQ] = ACTIONS(10315),
    [anon_sym_DOT_EQ] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10315),
    [aux_sym__assignment_operator_token1] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [4962] = {
    [sym_block_comment] = STATE(4962),
    [sym_line_comment] = STATE(4962),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_finally] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_COLON_EQ] = ACTIONS(10359),
    [anon_sym_DOT_EQ] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10359),
    [aux_sym__assignment_operator_token1] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [4963] = {
    [sym_block_comment] = STATE(4963),
    [sym_line_comment] = STATE(4963),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_catch] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_COLON_EQ] = ACTIONS(10127),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10127),
    [aux_sym__assignment_operator_token1] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [4964] = {
    [sym_block_comment] = STATE(4964),
    [sym_line_comment] = STATE(4964),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_catch] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_COLON_EQ] = ACTIONS(10083),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10083),
    [aux_sym__assignment_operator_token1] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [4965] = {
    [sym_block_comment] = STATE(4965),
    [sym_line_comment] = STATE(4965),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_catch] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [4966] = {
    [sym_block_comment] = STATE(4966),
    [sym_line_comment] = STATE(4966),
    [ts_builtin_sym_end] = ACTIONS(10397),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_RBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_COLON_EQ] = ACTIONS(10395),
    [anon_sym_DOT_EQ] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10395),
    [aux_sym__assignment_operator_token1] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [4967] = {
    [sym_block_comment] = STATE(4967),
    [sym_line_comment] = STATE(4967),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [anon_sym_DOLLAR_EQ] = ACTIONS(3222),
    [aux_sym__assignment_operator_token1] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [4968] = {
    [sym_block_comment] = STATE(4968),
    [sym_line_comment] = STATE(4968),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DASH_GT] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10447),
    [sym__immediate_command_start] = ACTIONS(10449),
  },
  [4969] = {
    [sym_block_comment] = STATE(4969),
    [sym_line_comment] = STATE(4969),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_finally] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_COLON_EQ] = ACTIONS(10175),
    [anon_sym_DOT_EQ] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10175),
    [aux_sym__assignment_operator_token1] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [4970] = {
    [sym_block_comment] = STATE(4970),
    [sym_line_comment] = STATE(4970),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_finally] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_COLON_EQ] = ACTIONS(10319),
    [anon_sym_DOT_EQ] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10319),
    [aux_sym__assignment_operator_token1] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [4971] = {
    [sym_block_comment] = STATE(4971),
    [sym_line_comment] = STATE(4971),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_finally] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_COLON_EQ] = ACTIONS(10395),
    [anon_sym_DOT_EQ] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10395),
    [aux_sym__assignment_operator_token1] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [4972] = {
    [sym_block_comment] = STATE(4972),
    [sym_line_comment] = STATE(4972),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_finally] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_COLON_EQ] = ACTIONS(10413),
    [anon_sym_DOT_EQ] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10413),
    [aux_sym__assignment_operator_token1] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [4973] = {
    [sym_block_comment] = STATE(4973),
    [sym_line_comment] = STATE(4973),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_finally] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_COLON_EQ] = ACTIONS(10323),
    [anon_sym_DOT_EQ] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10323),
    [aux_sym__assignment_operator_token1] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [4974] = {
    [sym_block_comment] = STATE(4974),
    [sym_line_comment] = STATE(4974),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_finally] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_COLON_EQ] = ACTIONS(10327),
    [anon_sym_DOT_EQ] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10327),
    [aux_sym__assignment_operator_token1] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [4975] = {
    [sym_block_comment] = STATE(4975),
    [sym_line_comment] = STATE(4975),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_catch] = ACTIONS(10363),
    [anon_sym_finally] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_COLON_EQ] = ACTIONS(10363),
    [anon_sym_DOT_EQ] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10363),
    [aux_sym__assignment_operator_token1] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [4976] = {
    [sym_block_comment] = STATE(4976),
    [sym_line_comment] = STATE(4976),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_finally] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_COLON_EQ] = ACTIONS(10385),
    [anon_sym_DOT_EQ] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10385),
    [aux_sym__assignment_operator_token1] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [4977] = {
    [sym_block_comment] = STATE(4977),
    [sym_line_comment] = STATE(4977),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_finally] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_COLON_EQ] = ACTIONS(10389),
    [anon_sym_DOT_EQ] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10389),
    [aux_sym__assignment_operator_token1] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [4978] = {
    [sym_block_comment] = STATE(4978),
    [sym_line_comment] = STATE(4978),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_finally] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_COLON_EQ] = ACTIONS(10343),
    [anon_sym_DOT_EQ] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10343),
    [aux_sym__assignment_operator_token1] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [4979] = {
    [sym_block_comment] = STATE(4979),
    [sym_line_comment] = STATE(4979),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_finally] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_COLON_EQ] = ACTIONS(10417),
    [anon_sym_DOT_EQ] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10417),
    [aux_sym__assignment_operator_token1] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [4980] = {
    [sym_block_comment] = STATE(4980),
    [sym_line_comment] = STATE(4980),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_COLON_EQ] = ACTIONS(10097),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10097),
    [aux_sym__assignment_operator_token1] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [4981] = {
    [sym_block_comment] = STATE(4981),
    [sym_line_comment] = STATE(4981),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_COLON_EQ] = ACTIONS(10101),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10101),
    [aux_sym__assignment_operator_token1] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [4982] = {
    [sym_block_comment] = STATE(4982),
    [sym_line_comment] = STATE(4982),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_finally] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_COLON_EQ] = ACTIONS(10421),
    [anon_sym_DOT_EQ] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10421),
    [aux_sym__assignment_operator_token1] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [4983] = {
    [sym_block_comment] = STATE(4983),
    [sym_line_comment] = STATE(4983),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_finally] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_COLON_EQ] = ACTIONS(10429),
    [anon_sym_DOT_EQ] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10429),
    [aux_sym__assignment_operator_token1] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [4984] = {
    [sym_block_comment] = STATE(4984),
    [sym_line_comment] = STATE(4984),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_finally] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_COLON_EQ] = ACTIONS(10433),
    [anon_sym_DOT_EQ] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10433),
    [aux_sym__assignment_operator_token1] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [4985] = {
    [sym_block_comment] = STATE(4985),
    [sym_line_comment] = STATE(4985),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_finally] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_COLON_EQ] = ACTIONS(10437),
    [anon_sym_DOT_EQ] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10437),
    [aux_sym__assignment_operator_token1] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [4986] = {
    [sym_block_comment] = STATE(4986),
    [sym_line_comment] = STATE(4986),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_COLON_EQ] = ACTIONS(10139),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10139),
    [aux_sym__assignment_operator_token1] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [4987] = {
    [sym_block_comment] = STATE(4987),
    [sym_line_comment] = STATE(4987),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_finally] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_COLON_EQ] = ACTIONS(10291),
    [anon_sym_DOT_EQ] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10291),
    [aux_sym__assignment_operator_token1] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [4988] = {
    [sym_block_comment] = STATE(4988),
    [sym_line_comment] = STATE(4988),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_finally] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_COLON_EQ] = ACTIONS(10307),
    [anon_sym_DOT_EQ] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10307),
    [aux_sym__assignment_operator_token1] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [4989] = {
    [sym_block_comment] = STATE(4989),
    [sym_line_comment] = STATE(4989),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_finally] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_COLON_EQ] = ACTIONS(10347),
    [anon_sym_DOT_EQ] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10347),
    [aux_sym__assignment_operator_token1] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [4990] = {
    [sym_block_comment] = STATE(4990),
    [sym_line_comment] = STATE(4990),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_finally] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_COLON_EQ] = ACTIONS(10351),
    [anon_sym_DOT_EQ] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10351),
    [aux_sym__assignment_operator_token1] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [4991] = {
    [sym_block_comment] = STATE(4991),
    [sym_line_comment] = STATE(4991),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_finally] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_COLON_EQ] = ACTIONS(10355),
    [anon_sym_DOT_EQ] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10355),
    [aux_sym__assignment_operator_token1] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [4992] = {
    [sym_block_comment] = STATE(4992),
    [sym_line_comment] = STATE(4992),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_finally] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_COLON_EQ] = ACTIONS(10403),
    [anon_sym_DOT_EQ] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10403),
    [aux_sym__assignment_operator_token1] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [4993] = {
    [sym_block_comment] = STATE(4993),
    [sym_line_comment] = STATE(4993),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_finally] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_COLON_EQ] = ACTIONS(10311),
    [anon_sym_DOT_EQ] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10311),
    [aux_sym__assignment_operator_token1] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [4994] = {
    [sym_block_comment] = STATE(4994),
    [sym_line_comment] = STATE(4994),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_finally] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_COLON_EQ] = ACTIONS(10399),
    [anon_sym_DOT_EQ] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10399),
    [aux_sym__assignment_operator_token1] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [4995] = {
    [sym_block_comment] = STATE(4995),
    [sym_line_comment] = STATE(4995),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_finally] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_COLON_EQ] = ACTIONS(10263),
    [anon_sym_DOT_EQ] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10263),
    [aux_sym__assignment_operator_token1] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [4996] = {
    [sym_block_comment] = STATE(4996),
    [sym_line_comment] = STATE(4996),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_finally] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_COLON_EQ] = ACTIONS(10339),
    [anon_sym_DOT_EQ] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10339),
    [aux_sym__assignment_operator_token1] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [4997] = {
    [sym_block_comment] = STATE(4997),
    [sym_line_comment] = STATE(4997),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_finally] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_COLON_EQ] = ACTIONS(10371),
    [anon_sym_DOT_EQ] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10371),
    [aux_sym__assignment_operator_token1] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [4998] = {
    [sym_block_comment] = STATE(4998),
    [sym_line_comment] = STATE(4998),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_finally] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_COLON_EQ] = ACTIONS(10409),
    [anon_sym_DOT_EQ] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10409),
    [aux_sym__assignment_operator_token1] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [4999] = {
    [sym_block_comment] = STATE(4999),
    [sym_line_comment] = STATE(4999),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_finally] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_COLON_EQ] = ACTIONS(10217),
    [anon_sym_DOT_EQ] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10217),
    [aux_sym__assignment_operator_token1] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [5000] = {
    [sym_block_comment] = STATE(5000),
    [sym_line_comment] = STATE(5000),
    [ts_builtin_sym_end] = ACTIONS(10415),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_RBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_COLON_EQ] = ACTIONS(10413),
    [anon_sym_DOT_EQ] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10413),
    [aux_sym__assignment_operator_token1] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [5001] = {
    [sym_block_comment] = STATE(5001),
    [sym_line_comment] = STATE(5001),
    [ts_builtin_sym_end] = ACTIONS(9995),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_RBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_COLON_EQ] = ACTIONS(9993),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9993),
    [aux_sym__assignment_operator_token1] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [5002] = {
    [sym_block_comment] = STATE(5002),
    [sym_line_comment] = STATE(5002),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_COLON_EQ] = ACTIONS(10015),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10015),
    [aux_sym__assignment_operator_token1] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5003] = {
    [sym_block_comment] = STATE(5003),
    [sym_line_comment] = STATE(5003),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_catch] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_COLON_EQ] = ACTIONS(10363),
    [anon_sym_DOT_EQ] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10363),
    [aux_sym__assignment_operator_token1] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [5004] = {
    [sym_block_comment] = STATE(5004),
    [sym_line_comment] = STATE(5004),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_COLON_EQ] = ACTIONS(9969),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9969),
    [aux_sym__assignment_operator_token1] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [5005] = {
    [sym_block_comment] = STATE(5005),
    [sym_line_comment] = STATE(5005),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_finally] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_COLON_EQ] = ACTIONS(10315),
    [anon_sym_DOT_EQ] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10315),
    [aux_sym__assignment_operator_token1] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [5006] = {
    [sym_block_comment] = STATE(5006),
    [sym_line_comment] = STATE(5006),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_catch] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_COLON_EQ] = ACTIONS(10375),
    [anon_sym_DOT_EQ] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10375),
    [aux_sym__assignment_operator_token1] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [5007] = {
    [sym_block_comment] = STATE(5007),
    [sym_line_comment] = STATE(5007),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [anon_sym_DOLLAR_EQ] = ACTIONS(3222),
    [aux_sym__assignment_operator_token1] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [5008] = {
    [sym_block_comment] = STATE(5008),
    [sym_line_comment] = STATE(5008),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_COLON_EQ] = ACTIONS(10127),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10127),
    [aux_sym__assignment_operator_token1] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [5009] = {
    [sym_block_comment] = STATE(5009),
    [sym_line_comment] = STATE(5009),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_COLON_EQ] = ACTIONS(10083),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10083),
    [aux_sym__assignment_operator_token1] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [5010] = {
    [sym_block_comment] = STATE(5010),
    [sym_line_comment] = STATE(5010),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5011] = {
    [sym_block_comment] = STATE(5011),
    [sym_line_comment] = STATE(5011),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_DASH_GT] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10447),
    [sym__immediate_command_start] = ACTIONS(10449),
  },
  [5012] = {
    [sym_block_comment] = STATE(5012),
    [sym_line_comment] = STATE(5012),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_elseif] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_DASH_GT] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5013] = {
    [sym_block_comment] = STATE(5013),
    [sym_line_comment] = STATE(5013),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_COLON_EQ] = ACTIONS(10015),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10015),
    [aux_sym__assignment_operator_token1] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5014] = {
    [sym_block_comment] = STATE(5014),
    [sym_line_comment] = STATE(5014),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_finally] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_COLON_EQ] = ACTIONS(10363),
    [anon_sym_DOT_EQ] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10363),
    [aux_sym__assignment_operator_token1] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [5015] = {
    [sym_block_comment] = STATE(5015),
    [sym_line_comment] = STATE(5015),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_finally] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_COLON_EQ] = ACTIONS(10375),
    [anon_sym_DOT_EQ] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10375),
    [aux_sym__assignment_operator_token1] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [5016] = {
    [sym_block_comment] = STATE(5016),
    [sym_line_comment] = STATE(5016),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [anon_sym_DOLLAR_EQ] = ACTIONS(3222),
    [aux_sym__assignment_operator_token1] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [5017] = {
    [sym_block_comment] = STATE(5017),
    [sym_line_comment] = STATE(5017),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_COLON_EQ] = ACTIONS(9909),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_DASH_GT] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9909),
    [aux_sym__assignment_operator_token1] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5018] = {
    [sym_block_comment] = STATE(5018),
    [sym_line_comment] = STATE(5018),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_DASH_GT] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5019] = {
    [sym_block_comment] = STATE(5019),
    [sym_line_comment] = STATE(5019),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_COLON_EQ] = ACTIONS(10083),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10083),
    [aux_sym__assignment_operator_token1] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [5020] = {
    [sym_block_comment] = STATE(5020),
    [sym_line_comment] = STATE(5020),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5021] = {
    [sym_block_comment] = STATE(5021),
    [sym_line_comment] = STATE(5021),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5022] = {
    [sym_block_comment] = STATE(5022),
    [sym_line_comment] = STATE(5022),
    [ts_builtin_sym_end] = ACTIONS(10325),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_RBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_COLON_EQ] = ACTIONS(10323),
    [anon_sym_DOT_EQ] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10323),
    [aux_sym__assignment_operator_token1] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [5023] = {
    [sym_block_comment] = STATE(5023),
    [sym_line_comment] = STATE(5023),
    [ts_builtin_sym_end] = ACTIONS(10329),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_RBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_COLON_EQ] = ACTIONS(10327),
    [anon_sym_DOT_EQ] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10327),
    [aux_sym__assignment_operator_token1] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [5024] = {
    [sym_block_comment] = STATE(5024),
    [sym_line_comment] = STATE(5024),
    [ts_builtin_sym_end] = ACTIONS(10381),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_RBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_COLON_EQ] = ACTIONS(10379),
    [anon_sym_DOT_EQ] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10379),
    [aux_sym__assignment_operator_token1] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [5025] = {
    [sym_block_comment] = STATE(5025),
    [sym_line_comment] = STATE(5025),
    [ts_builtin_sym_end] = ACTIONS(10387),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_RBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_COLON_EQ] = ACTIONS(10385),
    [anon_sym_DOT_EQ] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10385),
    [aux_sym__assignment_operator_token1] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [5026] = {
    [sym_block_comment] = STATE(5026),
    [sym_line_comment] = STATE(5026),
    [ts_builtin_sym_end] = ACTIONS(10391),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_RBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_COLON_EQ] = ACTIONS(10389),
    [anon_sym_DOT_EQ] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10389),
    [aux_sym__assignment_operator_token1] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [5027] = {
    [sym_block_comment] = STATE(5027),
    [sym_line_comment] = STATE(5027),
    [ts_builtin_sym_end] = ACTIONS(10195),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_RBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_COLON_EQ] = ACTIONS(10193),
    [anon_sym_DOT_EQ] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10193),
    [aux_sym__assignment_operator_token1] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [5028] = {
    [sym_block_comment] = STATE(5028),
    [sym_line_comment] = STATE(5028),
    [ts_builtin_sym_end] = ACTIONS(10211),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_RBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_COLON_EQ] = ACTIONS(10209),
    [anon_sym_DOT_EQ] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10209),
    [aux_sym__assignment_operator_token1] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [5029] = {
    [sym_block_comment] = STATE(5029),
    [sym_line_comment] = STATE(5029),
    [ts_builtin_sym_end] = ACTIONS(10215),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_RBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_COLON_EQ] = ACTIONS(10213),
    [anon_sym_DOT_EQ] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10213),
    [aux_sym__assignment_operator_token1] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [5030] = {
    [sym_block_comment] = STATE(5030),
    [sym_line_comment] = STATE(5030),
    [ts_builtin_sym_end] = ACTIONS(9943),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_RBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_COLON_EQ] = ACTIONS(9941),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9941),
    [aux_sym__assignment_operator_token1] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [5031] = {
    [sym_block_comment] = STATE(5031),
    [sym_line_comment] = STATE(5031),
    [ts_builtin_sym_end] = ACTIONS(9937),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_RBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_COLON_EQ] = ACTIONS(9933),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9933),
    [aux_sym__assignment_operator_token1] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5032] = {
    [sym_block_comment] = STATE(5032),
    [sym_line_comment] = STATE(5032),
    [ts_builtin_sym_end] = ACTIONS(10345),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_RBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_COLON_EQ] = ACTIONS(10343),
    [anon_sym_DOT_EQ] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10343),
    [aux_sym__assignment_operator_token1] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [5033] = {
    [sym_block_comment] = STATE(5033),
    [sym_line_comment] = STATE(5033),
    [ts_builtin_sym_end] = ACTIONS(10419),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_RBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_COLON_EQ] = ACTIONS(10417),
    [anon_sym_DOT_EQ] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10417),
    [aux_sym__assignment_operator_token1] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [5034] = {
    [sym_block_comment] = STATE(5034),
    [sym_line_comment] = STATE(5034),
    [ts_builtin_sym_end] = ACTIONS(10103),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_RBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_COLON_EQ] = ACTIONS(10101),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10101),
    [aux_sym__assignment_operator_token1] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [5035] = {
    [sym_block_comment] = STATE(5035),
    [sym_line_comment] = STATE(5035),
    [ts_builtin_sym_end] = ACTIONS(10423),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_RBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_COLON_EQ] = ACTIONS(10421),
    [anon_sym_DOT_EQ] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10421),
    [aux_sym__assignment_operator_token1] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [5036] = {
    [sym_block_comment] = STATE(5036),
    [sym_line_comment] = STATE(5036),
    [ts_builtin_sym_end] = ACTIONS(10431),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_RBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_COLON_EQ] = ACTIONS(10429),
    [anon_sym_DOT_EQ] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10429),
    [aux_sym__assignment_operator_token1] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [5037] = {
    [sym_block_comment] = STATE(5037),
    [sym_line_comment] = STATE(5037),
    [ts_builtin_sym_end] = ACTIONS(10435),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_RBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_COLON_EQ] = ACTIONS(10433),
    [anon_sym_DOT_EQ] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10433),
    [aux_sym__assignment_operator_token1] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [5038] = {
    [sym_block_comment] = STATE(5038),
    [sym_line_comment] = STATE(5038),
    [ts_builtin_sym_end] = ACTIONS(10439),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_RBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_COLON_EQ] = ACTIONS(10437),
    [anon_sym_DOT_EQ] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10437),
    [aux_sym__assignment_operator_token1] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [5039] = {
    [sym_block_comment] = STATE(5039),
    [sym_line_comment] = STATE(5039),
    [ts_builtin_sym_end] = ACTIONS(10223),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_RBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_COLON_EQ] = ACTIONS(10221),
    [anon_sym_DOT_EQ] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10221),
    [aux_sym__assignment_operator_token1] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [5040] = {
    [sym_block_comment] = STATE(5040),
    [sym_line_comment] = STATE(5040),
    [ts_builtin_sym_end] = ACTIONS(10227),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_RBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_COLON_EQ] = ACTIONS(10225),
    [anon_sym_DOT_EQ] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10225),
    [aux_sym__assignment_operator_token1] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [5041] = {
    [sym_block_comment] = STATE(5041),
    [sym_line_comment] = STATE(5041),
    [ts_builtin_sym_end] = ACTIONS(10293),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_RBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_COLON_EQ] = ACTIONS(10291),
    [anon_sym_DOT_EQ] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10291),
    [aux_sym__assignment_operator_token1] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [5042] = {
    [sym_block_comment] = STATE(5042),
    [sym_line_comment] = STATE(5042),
    [ts_builtin_sym_end] = ACTIONS(10309),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_RBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_COLON_EQ] = ACTIONS(10307),
    [anon_sym_DOT_EQ] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10307),
    [aux_sym__assignment_operator_token1] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [5043] = {
    [sym_block_comment] = STATE(5043),
    [sym_line_comment] = STATE(5043),
    [ts_builtin_sym_end] = ACTIONS(10349),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_RBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_COLON_EQ] = ACTIONS(10347),
    [anon_sym_DOT_EQ] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10347),
    [aux_sym__assignment_operator_token1] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [5044] = {
    [sym_block_comment] = STATE(5044),
    [sym_line_comment] = STATE(5044),
    [ts_builtin_sym_end] = ACTIONS(10353),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_RBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_COLON_EQ] = ACTIONS(10351),
    [anon_sym_DOT_EQ] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10351),
    [aux_sym__assignment_operator_token1] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [5045] = {
    [sym_block_comment] = STATE(5045),
    [sym_line_comment] = STATE(5045),
    [ts_builtin_sym_end] = ACTIONS(10357),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_RBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_COLON_EQ] = ACTIONS(10355),
    [anon_sym_DOT_EQ] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10355),
    [aux_sym__assignment_operator_token1] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [5046] = {
    [sym_block_comment] = STATE(5046),
    [sym_line_comment] = STATE(5046),
    [ts_builtin_sym_end] = ACTIONS(10231),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_RBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_COLON_EQ] = ACTIONS(10229),
    [anon_sym_DOT_EQ] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10229),
    [aux_sym__assignment_operator_token1] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [5047] = {
    [sym_block_comment] = STATE(5047),
    [sym_line_comment] = STATE(5047),
    [ts_builtin_sym_end] = ACTIONS(10237),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_RBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_COLON_EQ] = ACTIONS(10235),
    [anon_sym_DOT_EQ] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10235),
    [aux_sym__assignment_operator_token1] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [5048] = {
    [sym_block_comment] = STATE(5048),
    [sym_line_comment] = STATE(5048),
    [ts_builtin_sym_end] = ACTIONS(9989),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_RBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_COLON_EQ] = ACTIONS(9987),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9987),
    [aux_sym__assignment_operator_token1] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5049] = {
    [sym_block_comment] = STATE(5049),
    [sym_line_comment] = STATE(5049),
    [ts_builtin_sym_end] = ACTIONS(10405),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_RBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_COLON_EQ] = ACTIONS(10403),
    [anon_sym_DOT_EQ] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10403),
    [aux_sym__assignment_operator_token1] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [5050] = {
    [sym_block_comment] = STATE(5050),
    [sym_line_comment] = STATE(5050),
    [ts_builtin_sym_end] = ACTIONS(10313),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_RBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_COLON_EQ] = ACTIONS(10311),
    [anon_sym_DOT_EQ] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10311),
    [aux_sym__assignment_operator_token1] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [5051] = {
    [sym_block_comment] = STATE(5051),
    [sym_line_comment] = STATE(5051),
    [ts_builtin_sym_end] = ACTIONS(10265),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_RBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_COLON_EQ] = ACTIONS(10263),
    [anon_sym_DOT_EQ] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10263),
    [aux_sym__assignment_operator_token1] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [5052] = {
    [sym_block_comment] = STATE(5052),
    [sym_line_comment] = STATE(5052),
    [ts_builtin_sym_end] = ACTIONS(10373),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_RBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_COLON_EQ] = ACTIONS(10371),
    [anon_sym_DOT_EQ] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10371),
    [aux_sym__assignment_operator_token1] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [5053] = {
    [sym_block_comment] = STATE(5053),
    [sym_line_comment] = STATE(5053),
    [ts_builtin_sym_end] = ACTIONS(10241),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_RBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_COLON_EQ] = ACTIONS(10239),
    [anon_sym_DOT_EQ] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10239),
    [aux_sym__assignment_operator_token1] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [5054] = {
    [sym_block_comment] = STATE(5054),
    [sym_line_comment] = STATE(5054),
    [ts_builtin_sym_end] = ACTIONS(10247),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_RBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_COLON_EQ] = ACTIONS(10245),
    [anon_sym_DOT_EQ] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10245),
    [aux_sym__assignment_operator_token1] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [5055] = {
    [sym_block_comment] = STATE(5055),
    [sym_line_comment] = STATE(5055),
    [ts_builtin_sym_end] = ACTIONS(10411),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_RBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_COLON_EQ] = ACTIONS(10409),
    [anon_sym_DOT_EQ] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10409),
    [aux_sym__assignment_operator_token1] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [5056] = {
    [sym_block_comment] = STATE(5056),
    [sym_line_comment] = STATE(5056),
    [ts_builtin_sym_end] = ACTIONS(10219),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_RBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_COLON_EQ] = ACTIONS(10217),
    [anon_sym_DOT_EQ] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10217),
    [aux_sym__assignment_operator_token1] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [5057] = {
    [sym_block_comment] = STATE(5057),
    [sym_line_comment] = STATE(5057),
    [ts_builtin_sym_end] = ACTIONS(10251),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_RBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_COLON_EQ] = ACTIONS(10249),
    [anon_sym_DOT_EQ] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10249),
    [aux_sym__assignment_operator_token1] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [5058] = {
    [sym_block_comment] = STATE(5058),
    [sym_line_comment] = STATE(5058),
    [ts_builtin_sym_end] = ACTIONS(10279),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_RBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_COLON_EQ] = ACTIONS(10277),
    [anon_sym_DOT_EQ] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10277),
    [aux_sym__assignment_operator_token1] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [5059] = {
    [sym_block_comment] = STATE(5059),
    [sym_line_comment] = STATE(5059),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_COLON_EQ] = ACTIONS(10097),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10097),
    [aux_sym__assignment_operator_token1] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [5060] = {
    [sym_block_comment] = STATE(5060),
    [sym_line_comment] = STATE(5060),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_COLON_EQ] = ACTIONS(10101),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10101),
    [aux_sym__assignment_operator_token1] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [5061] = {
    [sym_block_comment] = STATE(5061),
    [sym_line_comment] = STATE(5061),
    [ts_builtin_sym_end] = ACTIONS(10099),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_RBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_COLON_EQ] = ACTIONS(10097),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10097),
    [aux_sym__assignment_operator_token1] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [5062] = {
    [sym_block_comment] = STATE(5062),
    [sym_line_comment] = STATE(5062),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_COLON_EQ] = ACTIONS(10073),
    [anon_sym_DOT_EQ] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10073),
    [aux_sym__assignment_operator_token1] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [5063] = {
    [sym_block_comment] = STATE(5063),
    [sym_line_comment] = STATE(5063),
    [ts_builtin_sym_end] = ACTIONS(10141),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_RBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_COLON_EQ] = ACTIONS(10139),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10139),
    [aux_sym__assignment_operator_token1] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [5064] = {
    [sym_block_comment] = STATE(5064),
    [sym_line_comment] = STATE(5064),
    [ts_builtin_sym_end] = ACTIONS(10401),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_RBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_COLON_EQ] = ACTIONS(10399),
    [anon_sym_DOT_EQ] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10399),
    [aux_sym__assignment_operator_token1] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [5065] = {
    [sym_block_comment] = STATE(5065),
    [sym_line_comment] = STATE(5065),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_COLON_EQ] = ACTIONS(10139),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_DASH_GT] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10139),
    [aux_sym__assignment_operator_token1] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [5066] = {
    [sym_block_comment] = STATE(5066),
    [sym_line_comment] = STATE(5066),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_COLON_EQ] = ACTIONS(10079),
    [anon_sym_DOT_EQ] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10079),
    [aux_sym__assignment_operator_token1] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [5067] = {
    [sym_block_comment] = STATE(5067),
    [sym_line_comment] = STATE(5067),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10173),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10173),
    [anon_sym_RPAREN] = ACTIONS(10173),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10173),
    [anon_sym_RBRACK] = ACTIONS(10173),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10173),
    [anon_sym_LBRACE] = ACTIONS(10173),
    [anon_sym_RBRACE] = ACTIONS(10173),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10173),
    [anon_sym_COLON_EQ] = ACTIONS(10173),
    [anon_sym_DOT_EQ] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10173),
    [anon_sym_QMARK] = ACTIONS(10173),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10173),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10173),
    [aux_sym_integer_literal_token2] = ACTIONS(10173),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10173),
    [aux_sym_float_literal_token3] = ACTIONS(10173),
    [aux_sym_float_literal_token4] = ACTIONS(10173),
    [sym_character_literal] = ACTIONS(10173),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10173),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10173),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10173),
    [aux_sym__assignment_operator_token1] = ACTIONS(10173),
    [sym__pair_operator] = ACTIONS(10173),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10173),
    [sym__lazy_and_operator] = ACTIONS(10173),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10173),
    [sym__pipe_left_operator] = ACTIONS(10173),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10173),
    [sym__type_order_operator] = ACTIONS(10173),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [5068] = {
    [sym_block_comment] = STATE(5068),
    [sym_line_comment] = STATE(5068),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_RPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(189),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_COLON_EQ] = ACTIONS(189),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(189),
    [aux_sym_float_literal_token3] = ACTIONS(189),
    [aux_sym_float_literal_token4] = ACTIONS(189),
    [sym_character_literal] = ACTIONS(189),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(189),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR_EQ] = ACTIONS(189),
    [aux_sym__assignment_operator_token1] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(189),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(189),
    [sym__pipe_left_operator] = ACTIONS(189),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(189),
    [sym__type_order_operator] = ACTIONS(189),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5069] = {
    [sym_block_comment] = STATE(5069),
    [sym_line_comment] = STATE(5069),
    [ts_builtin_sym_end] = ACTIONS(9971),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_RBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_COLON_EQ] = ACTIONS(9969),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9969),
    [aux_sym__assignment_operator_token1] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [5070] = {
    [sym_block_comment] = STATE(5070),
    [sym_line_comment] = STATE(5070),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_RPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_RBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9995),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_RBRACE] = ACTIONS(9995),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_COLON_EQ] = ACTIONS(9995),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9995),
    [aux_sym__assignment_operator_token1] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [5071] = {
    [sym_block_comment] = STATE(5071),
    [sym_line_comment] = STATE(5071),
    [ts_builtin_sym_end] = ACTIONS(10361),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_RBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_COLON_EQ] = ACTIONS(10359),
    [anon_sym_DOT_EQ] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10359),
    [aux_sym__assignment_operator_token1] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [5072] = {
    [sym_block_comment] = STATE(5072),
    [sym_line_comment] = STATE(5072),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10195),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10195),
    [anon_sym_RPAREN] = ACTIONS(10195),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10195),
    [anon_sym_RBRACK] = ACTIONS(10195),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10195),
    [anon_sym_LBRACE] = ACTIONS(10195),
    [anon_sym_RBRACE] = ACTIONS(10195),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10195),
    [anon_sym_COLON_EQ] = ACTIONS(10195),
    [anon_sym_DOT_EQ] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10195),
    [anon_sym_QMARK] = ACTIONS(10195),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10195),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10195),
    [aux_sym_integer_literal_token2] = ACTIONS(10195),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10195),
    [aux_sym_float_literal_token3] = ACTIONS(10195),
    [aux_sym_float_literal_token4] = ACTIONS(10195),
    [sym_character_literal] = ACTIONS(10195),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10195),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10195),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10195),
    [aux_sym__assignment_operator_token1] = ACTIONS(10195),
    [sym__pair_operator] = ACTIONS(10195),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10195),
    [sym__lazy_and_operator] = ACTIONS(10195),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10195),
    [sym__pipe_left_operator] = ACTIONS(10195),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10195),
    [sym__type_order_operator] = ACTIONS(10195),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [5073] = {
    [sym_block_comment] = STATE(5073),
    [sym_line_comment] = STATE(5073),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10211),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10211),
    [anon_sym_RPAREN] = ACTIONS(10211),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10211),
    [anon_sym_RBRACK] = ACTIONS(10211),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10211),
    [anon_sym_LBRACE] = ACTIONS(10211),
    [anon_sym_RBRACE] = ACTIONS(10211),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10211),
    [anon_sym_COLON_EQ] = ACTIONS(10211),
    [anon_sym_DOT_EQ] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10211),
    [anon_sym_QMARK] = ACTIONS(10211),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10211),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10211),
    [aux_sym_integer_literal_token2] = ACTIONS(10211),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10211),
    [aux_sym_float_literal_token3] = ACTIONS(10211),
    [aux_sym_float_literal_token4] = ACTIONS(10211),
    [sym_character_literal] = ACTIONS(10211),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10211),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10211),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10211),
    [aux_sym__assignment_operator_token1] = ACTIONS(10211),
    [sym__pair_operator] = ACTIONS(10211),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10211),
    [sym__lazy_and_operator] = ACTIONS(10211),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10211),
    [sym__pipe_left_operator] = ACTIONS(10211),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10211),
    [sym__type_order_operator] = ACTIONS(10211),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [5074] = {
    [sym_block_comment] = STATE(5074),
    [sym_line_comment] = STATE(5074),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10215),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10215),
    [anon_sym_RPAREN] = ACTIONS(10215),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10215),
    [anon_sym_RBRACK] = ACTIONS(10215),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10215),
    [anon_sym_LBRACE] = ACTIONS(10215),
    [anon_sym_RBRACE] = ACTIONS(10215),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10215),
    [anon_sym_COLON_EQ] = ACTIONS(10215),
    [anon_sym_DOT_EQ] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10215),
    [anon_sym_QMARK] = ACTIONS(10215),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10215),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10215),
    [aux_sym_integer_literal_token2] = ACTIONS(10215),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10215),
    [aux_sym_float_literal_token3] = ACTIONS(10215),
    [aux_sym_float_literal_token4] = ACTIONS(10215),
    [sym_character_literal] = ACTIONS(10215),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10215),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10215),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10215),
    [aux_sym__assignment_operator_token1] = ACTIONS(10215),
    [sym__pair_operator] = ACTIONS(10215),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10215),
    [sym__lazy_and_operator] = ACTIONS(10215),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10215),
    [sym__pipe_left_operator] = ACTIONS(10215),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10215),
    [sym__type_order_operator] = ACTIONS(10215),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [5075] = {
    [sym_block_comment] = STATE(5075),
    [sym_line_comment] = STATE(5075),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9943),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9943),
    [anon_sym_RPAREN] = ACTIONS(9943),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9943),
    [anon_sym_RBRACK] = ACTIONS(9943),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9943),
    [anon_sym_LBRACE] = ACTIONS(9943),
    [anon_sym_RBRACE] = ACTIONS(9943),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9943),
    [anon_sym_COLON_EQ] = ACTIONS(9943),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9943),
    [anon_sym_QMARK] = ACTIONS(9943),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9943),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9943),
    [aux_sym_integer_literal_token2] = ACTIONS(9943),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9943),
    [aux_sym_float_literal_token3] = ACTIONS(9943),
    [aux_sym_float_literal_token4] = ACTIONS(9943),
    [sym_character_literal] = ACTIONS(9943),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9943),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9943),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9943),
    [aux_sym__assignment_operator_token1] = ACTIONS(9943),
    [sym__pair_operator] = ACTIONS(9943),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9943),
    [sym__lazy_and_operator] = ACTIONS(9943),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9943),
    [sym__pipe_left_operator] = ACTIONS(9943),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9943),
    [sym__type_order_operator] = ACTIONS(9943),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [5076] = {
    [sym_block_comment] = STATE(5076),
    [sym_line_comment] = STATE(5076),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9937),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9937),
    [anon_sym_RPAREN] = ACTIONS(9937),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9937),
    [anon_sym_RBRACK] = ACTIONS(9937),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9937),
    [anon_sym_LBRACE] = ACTIONS(9937),
    [anon_sym_RBRACE] = ACTIONS(9937),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9937),
    [anon_sym_COLON_EQ] = ACTIONS(9937),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9937),
    [anon_sym_QMARK] = ACTIONS(9937),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9937),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9937),
    [aux_sym_integer_literal_token2] = ACTIONS(9937),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9937),
    [aux_sym_float_literal_token3] = ACTIONS(9937),
    [aux_sym_float_literal_token4] = ACTIONS(9937),
    [sym_character_literal] = ACTIONS(9937),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9937),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9937),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9937),
    [aux_sym__assignment_operator_token1] = ACTIONS(9937),
    [sym__pair_operator] = ACTIONS(9937),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9937),
    [sym__lazy_and_operator] = ACTIONS(9937),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9937),
    [sym__pipe_left_operator] = ACTIONS(9937),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9937),
    [sym__type_order_operator] = ACTIONS(9937),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5077] = {
    [sym_block_comment] = STATE(5077),
    [sym_line_comment] = STATE(5077),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10223),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10223),
    [anon_sym_RPAREN] = ACTIONS(10223),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10223),
    [anon_sym_RBRACK] = ACTIONS(10223),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10223),
    [anon_sym_LBRACE] = ACTIONS(10223),
    [anon_sym_RBRACE] = ACTIONS(10223),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10223),
    [anon_sym_COLON_EQ] = ACTIONS(10223),
    [anon_sym_DOT_EQ] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10223),
    [anon_sym_QMARK] = ACTIONS(10223),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10223),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10223),
    [aux_sym_integer_literal_token2] = ACTIONS(10223),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10223),
    [aux_sym_float_literal_token3] = ACTIONS(10223),
    [aux_sym_float_literal_token4] = ACTIONS(10223),
    [sym_character_literal] = ACTIONS(10223),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10223),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10223),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10223),
    [aux_sym__assignment_operator_token1] = ACTIONS(10223),
    [sym__pair_operator] = ACTIONS(10223),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10223),
    [sym__lazy_and_operator] = ACTIONS(10223),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10223),
    [sym__pipe_left_operator] = ACTIONS(10223),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10223),
    [sym__type_order_operator] = ACTIONS(10223),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [5078] = {
    [sym_block_comment] = STATE(5078),
    [sym_line_comment] = STATE(5078),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10227),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10227),
    [anon_sym_RPAREN] = ACTIONS(10227),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10227),
    [anon_sym_RBRACK] = ACTIONS(10227),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10227),
    [anon_sym_LBRACE] = ACTIONS(10227),
    [anon_sym_RBRACE] = ACTIONS(10227),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10227),
    [anon_sym_COLON_EQ] = ACTIONS(10227),
    [anon_sym_DOT_EQ] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10227),
    [anon_sym_QMARK] = ACTIONS(10227),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10227),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10227),
    [aux_sym_integer_literal_token2] = ACTIONS(10227),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10227),
    [aux_sym_float_literal_token3] = ACTIONS(10227),
    [aux_sym_float_literal_token4] = ACTIONS(10227),
    [sym_character_literal] = ACTIONS(10227),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10227),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10227),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10227),
    [aux_sym__assignment_operator_token1] = ACTIONS(10227),
    [sym__pair_operator] = ACTIONS(10227),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10227),
    [sym__lazy_and_operator] = ACTIONS(10227),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10227),
    [sym__pipe_left_operator] = ACTIONS(10227),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10227),
    [sym__type_order_operator] = ACTIONS(10227),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [5079] = {
    [sym_block_comment] = STATE(5079),
    [sym_line_comment] = STATE(5079),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10231),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10231),
    [anon_sym_RPAREN] = ACTIONS(10231),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10231),
    [anon_sym_RBRACK] = ACTIONS(10231),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10231),
    [anon_sym_LBRACE] = ACTIONS(10231),
    [anon_sym_RBRACE] = ACTIONS(10231),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10231),
    [anon_sym_COLON_EQ] = ACTIONS(10231),
    [anon_sym_DOT_EQ] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10231),
    [anon_sym_QMARK] = ACTIONS(10231),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10231),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10231),
    [aux_sym_integer_literal_token2] = ACTIONS(10231),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10231),
    [aux_sym_float_literal_token3] = ACTIONS(10231),
    [aux_sym_float_literal_token4] = ACTIONS(10231),
    [sym_character_literal] = ACTIONS(10231),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10231),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10231),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10231),
    [aux_sym__assignment_operator_token1] = ACTIONS(10231),
    [sym__pair_operator] = ACTIONS(10231),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10231),
    [sym__lazy_and_operator] = ACTIONS(10231),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10231),
    [sym__pipe_left_operator] = ACTIONS(10231),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10231),
    [sym__type_order_operator] = ACTIONS(10231),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [5080] = {
    [sym_block_comment] = STATE(5080),
    [sym_line_comment] = STATE(5080),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10237),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10237),
    [anon_sym_RPAREN] = ACTIONS(10237),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10237),
    [anon_sym_RBRACK] = ACTIONS(10237),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10237),
    [anon_sym_LBRACE] = ACTIONS(10237),
    [anon_sym_RBRACE] = ACTIONS(10237),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10237),
    [anon_sym_COLON_EQ] = ACTIONS(10237),
    [anon_sym_DOT_EQ] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10237),
    [anon_sym_QMARK] = ACTIONS(10237),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10237),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10237),
    [aux_sym_integer_literal_token2] = ACTIONS(10237),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10237),
    [aux_sym_float_literal_token3] = ACTIONS(10237),
    [aux_sym_float_literal_token4] = ACTIONS(10237),
    [sym_character_literal] = ACTIONS(10237),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10237),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10237),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10237),
    [aux_sym__assignment_operator_token1] = ACTIONS(10237),
    [sym__pair_operator] = ACTIONS(10237),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10237),
    [sym__lazy_and_operator] = ACTIONS(10237),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10237),
    [sym__pipe_left_operator] = ACTIONS(10237),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10237),
    [sym__type_order_operator] = ACTIONS(10237),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [5081] = {
    [sym_block_comment] = STATE(5081),
    [sym_line_comment] = STATE(5081),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9989),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9989),
    [anon_sym_RPAREN] = ACTIONS(9989),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9989),
    [anon_sym_RBRACK] = ACTIONS(9989),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9989),
    [anon_sym_LBRACE] = ACTIONS(9989),
    [anon_sym_RBRACE] = ACTIONS(9989),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9989),
    [anon_sym_COLON_EQ] = ACTIONS(9989),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9989),
    [anon_sym_QMARK] = ACTIONS(9989),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9989),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9989),
    [aux_sym_integer_literal_token2] = ACTIONS(9989),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9989),
    [aux_sym_float_literal_token3] = ACTIONS(9989),
    [aux_sym_float_literal_token4] = ACTIONS(9989),
    [sym_character_literal] = ACTIONS(9989),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9989),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9989),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9989),
    [aux_sym__assignment_operator_token1] = ACTIONS(9989),
    [sym__pair_operator] = ACTIONS(9989),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9989),
    [sym__lazy_and_operator] = ACTIONS(9989),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9989),
    [sym__pipe_left_operator] = ACTIONS(9989),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9989),
    [sym__type_order_operator] = ACTIONS(9989),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5082] = {
    [sym_block_comment] = STATE(5082),
    [sym_line_comment] = STATE(5082),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10241),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10241),
    [anon_sym_RPAREN] = ACTIONS(10241),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10241),
    [anon_sym_RBRACK] = ACTIONS(10241),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10241),
    [anon_sym_LBRACE] = ACTIONS(10241),
    [anon_sym_RBRACE] = ACTIONS(10241),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10241),
    [anon_sym_COLON_EQ] = ACTIONS(10241),
    [anon_sym_DOT_EQ] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10241),
    [anon_sym_QMARK] = ACTIONS(10241),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10241),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10241),
    [aux_sym_integer_literal_token2] = ACTIONS(10241),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10241),
    [aux_sym_float_literal_token3] = ACTIONS(10241),
    [aux_sym_float_literal_token4] = ACTIONS(10241),
    [sym_character_literal] = ACTIONS(10241),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10241),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10241),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10241),
    [aux_sym__assignment_operator_token1] = ACTIONS(10241),
    [sym__pair_operator] = ACTIONS(10241),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10241),
    [sym__lazy_and_operator] = ACTIONS(10241),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10241),
    [sym__pipe_left_operator] = ACTIONS(10241),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10241),
    [sym__type_order_operator] = ACTIONS(10241),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [5083] = {
    [sym_block_comment] = STATE(5083),
    [sym_line_comment] = STATE(5083),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10247),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10247),
    [anon_sym_RPAREN] = ACTIONS(10247),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10247),
    [anon_sym_RBRACK] = ACTIONS(10247),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10247),
    [anon_sym_LBRACE] = ACTIONS(10247),
    [anon_sym_RBRACE] = ACTIONS(10247),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10247),
    [anon_sym_COLON_EQ] = ACTIONS(10247),
    [anon_sym_DOT_EQ] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10247),
    [anon_sym_QMARK] = ACTIONS(10247),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10247),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10247),
    [aux_sym_integer_literal_token2] = ACTIONS(10247),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10247),
    [aux_sym_float_literal_token3] = ACTIONS(10247),
    [aux_sym_float_literal_token4] = ACTIONS(10247),
    [sym_character_literal] = ACTIONS(10247),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10247),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10247),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10247),
    [aux_sym__assignment_operator_token1] = ACTIONS(10247),
    [sym__pair_operator] = ACTIONS(10247),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10247),
    [sym__lazy_and_operator] = ACTIONS(10247),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10247),
    [sym__pipe_left_operator] = ACTIONS(10247),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10247),
    [sym__type_order_operator] = ACTIONS(10247),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [5084] = {
    [sym_block_comment] = STATE(5084),
    [sym_line_comment] = STATE(5084),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10251),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10251),
    [anon_sym_RPAREN] = ACTIONS(10251),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10251),
    [anon_sym_RBRACK] = ACTIONS(10251),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10251),
    [anon_sym_LBRACE] = ACTIONS(10251),
    [anon_sym_RBRACE] = ACTIONS(10251),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10251),
    [anon_sym_COLON_EQ] = ACTIONS(10251),
    [anon_sym_DOT_EQ] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10251),
    [anon_sym_QMARK] = ACTIONS(10251),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10251),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10251),
    [aux_sym_integer_literal_token2] = ACTIONS(10251),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10251),
    [aux_sym_float_literal_token3] = ACTIONS(10251),
    [aux_sym_float_literal_token4] = ACTIONS(10251),
    [sym_character_literal] = ACTIONS(10251),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10251),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10251),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10251),
    [aux_sym__assignment_operator_token1] = ACTIONS(10251),
    [sym__pair_operator] = ACTIONS(10251),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10251),
    [sym__lazy_and_operator] = ACTIONS(10251),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10251),
    [sym__pipe_left_operator] = ACTIONS(10251),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10251),
    [sym__type_order_operator] = ACTIONS(10251),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [5085] = {
    [sym_block_comment] = STATE(5085),
    [sym_line_comment] = STATE(5085),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10177),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10177),
    [anon_sym_RPAREN] = ACTIONS(10177),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10177),
    [anon_sym_RBRACK] = ACTIONS(10177),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10177),
    [anon_sym_LBRACE] = ACTIONS(10177),
    [anon_sym_RBRACE] = ACTIONS(10177),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10177),
    [anon_sym_COLON_EQ] = ACTIONS(10177),
    [anon_sym_DOT_EQ] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10177),
    [anon_sym_QMARK] = ACTIONS(10177),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10177),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10177),
    [aux_sym_integer_literal_token2] = ACTIONS(10177),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10177),
    [aux_sym_float_literal_token3] = ACTIONS(10177),
    [aux_sym_float_literal_token4] = ACTIONS(10177),
    [sym_character_literal] = ACTIONS(10177),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10177),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10177),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10177),
    [aux_sym__assignment_operator_token1] = ACTIONS(10177),
    [sym__pair_operator] = ACTIONS(10177),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10177),
    [sym__lazy_and_operator] = ACTIONS(10177),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10177),
    [sym__pipe_left_operator] = ACTIONS(10177),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10177),
    [sym__type_order_operator] = ACTIONS(10177),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [5086] = {
    [sym_block_comment] = STATE(5086),
    [sym_line_comment] = STATE(5086),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10321),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10321),
    [anon_sym_RPAREN] = ACTIONS(10321),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10321),
    [anon_sym_RBRACK] = ACTIONS(10321),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10321),
    [anon_sym_LBRACE] = ACTIONS(10321),
    [anon_sym_RBRACE] = ACTIONS(10321),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10321),
    [anon_sym_COLON_EQ] = ACTIONS(10321),
    [anon_sym_DOT_EQ] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10321),
    [anon_sym_QMARK] = ACTIONS(10321),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10321),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10321),
    [aux_sym_integer_literal_token2] = ACTIONS(10321),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10321),
    [aux_sym_float_literal_token3] = ACTIONS(10321),
    [aux_sym_float_literal_token4] = ACTIONS(10321),
    [sym_character_literal] = ACTIONS(10321),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10321),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10321),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10321),
    [aux_sym__assignment_operator_token1] = ACTIONS(10321),
    [sym__pair_operator] = ACTIONS(10321),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10321),
    [sym__lazy_and_operator] = ACTIONS(10321),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10321),
    [sym__pipe_left_operator] = ACTIONS(10321),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10321),
    [sym__type_order_operator] = ACTIONS(10321),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [5087] = {
    [sym_block_comment] = STATE(5087),
    [sym_line_comment] = STATE(5087),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10397),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10397),
    [anon_sym_RPAREN] = ACTIONS(10397),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10397),
    [anon_sym_RBRACK] = ACTIONS(10397),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10397),
    [anon_sym_LBRACE] = ACTIONS(10397),
    [anon_sym_RBRACE] = ACTIONS(10397),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10397),
    [anon_sym_COLON_EQ] = ACTIONS(10397),
    [anon_sym_DOT_EQ] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10397),
    [anon_sym_QMARK] = ACTIONS(10397),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10397),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10397),
    [aux_sym_integer_literal_token2] = ACTIONS(10397),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10397),
    [aux_sym_float_literal_token3] = ACTIONS(10397),
    [aux_sym_float_literal_token4] = ACTIONS(10397),
    [sym_character_literal] = ACTIONS(10397),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10397),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10397),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10397),
    [aux_sym__assignment_operator_token1] = ACTIONS(10397),
    [sym__pair_operator] = ACTIONS(10397),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10397),
    [sym__lazy_and_operator] = ACTIONS(10397),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10397),
    [sym__pipe_left_operator] = ACTIONS(10397),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10397),
    [sym__type_order_operator] = ACTIONS(10397),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [5088] = {
    [sym_block_comment] = STATE(5088),
    [sym_line_comment] = STATE(5088),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10415),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10415),
    [anon_sym_RPAREN] = ACTIONS(10415),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10415),
    [anon_sym_RBRACK] = ACTIONS(10415),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10415),
    [anon_sym_LBRACE] = ACTIONS(10415),
    [anon_sym_RBRACE] = ACTIONS(10415),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10415),
    [anon_sym_COLON_EQ] = ACTIONS(10415),
    [anon_sym_DOT_EQ] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10415),
    [anon_sym_QMARK] = ACTIONS(10415),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10415),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10415),
    [aux_sym_integer_literal_token2] = ACTIONS(10415),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10415),
    [aux_sym_float_literal_token3] = ACTIONS(10415),
    [aux_sym_float_literal_token4] = ACTIONS(10415),
    [sym_character_literal] = ACTIONS(10415),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10415),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10415),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10415),
    [aux_sym__assignment_operator_token1] = ACTIONS(10415),
    [sym__pair_operator] = ACTIONS(10415),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10415),
    [sym__lazy_and_operator] = ACTIONS(10415),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10415),
    [sym__pipe_left_operator] = ACTIONS(10415),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10415),
    [sym__type_order_operator] = ACTIONS(10415),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [5089] = {
    [sym_block_comment] = STATE(5089),
    [sym_line_comment] = STATE(5089),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10279),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10279),
    [anon_sym_RPAREN] = ACTIONS(10279),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10279),
    [anon_sym_RBRACK] = ACTIONS(10279),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10279),
    [anon_sym_LBRACE] = ACTIONS(10279),
    [anon_sym_RBRACE] = ACTIONS(10279),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10279),
    [anon_sym_COLON_EQ] = ACTIONS(10279),
    [anon_sym_DOT_EQ] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10279),
    [anon_sym_QMARK] = ACTIONS(10279),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10279),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10279),
    [aux_sym_integer_literal_token2] = ACTIONS(10279),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10279),
    [aux_sym_float_literal_token3] = ACTIONS(10279),
    [aux_sym_float_literal_token4] = ACTIONS(10279),
    [sym_character_literal] = ACTIONS(10279),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10279),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10279),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10279),
    [aux_sym__assignment_operator_token1] = ACTIONS(10279),
    [sym__pair_operator] = ACTIONS(10279),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10279),
    [sym__lazy_and_operator] = ACTIONS(10279),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10279),
    [sym__pipe_left_operator] = ACTIONS(10279),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10279),
    [sym__type_order_operator] = ACTIONS(10279),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [5090] = {
    [sym_block_comment] = STATE(5090),
    [sym_line_comment] = STATE(5090),
    [sym__word_identifier] = ACTIONS(10451),
    [anon_sym_begin] = ACTIONS(10451),
    [anon_sym_module] = ACTIONS(10451),
    [anon_sym_baremodule] = ACTIONS(10451),
    [anon_sym_end] = ACTIONS(10451),
    [anon_sym_abstract] = ACTIONS(10451),
    [anon_sym_primitive] = ACTIONS(10451),
    [anon_sym_mutable] = ACTIONS(10451),
    [anon_sym_struct] = ACTIONS(10451),
    [anon_sym_function] = ACTIONS(10451),
    [anon_sym_macro] = ACTIONS(10451),
    [anon_sym_quote] = ACTIONS(10451),
    [anon_sym_let] = ACTIONS(10451),
    [anon_sym_if] = ACTIONS(10451),
    [anon_sym_try] = ACTIONS(10451),
    [anon_sym_for] = ACTIONS(10451),
    [anon_sym_while] = ACTIONS(10451),
    [sym_break_statement] = ACTIONS(10451),
    [sym_continue_statement] = ACTIONS(10451),
    [anon_sym_return] = ACTIONS(10451),
    [anon_sym_const] = ACTIONS(10451),
    [anon_sym_global] = ACTIONS(10451),
    [anon_sym_local] = ACTIONS(10451),
    [anon_sym_LPAREN] = ACTIONS(10451),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(10451),
    [anon_sym_public] = ACTIONS(10451),
    [anon_sym_import] = ACTIONS(10451),
    [anon_sym_using] = ACTIONS(10451),
    [anon_sym_LBRACK] = ACTIONS(10451),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(10451),
    [anon_sym_LBRACE] = ACTIONS(10451),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(10451),
    [anon_sym_COLON2] = ACTIONS(10451),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(10453),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(10451),
    [anon_sym_true] = ACTIONS(10451),
    [anon_sym_false] = ACTIONS(10451),
    [aux_sym_integer_literal_token1] = ACTIONS(10451),
    [aux_sym_integer_literal_token2] = ACTIONS(10451),
    [aux_sym_integer_literal_token3] = ACTIONS(10451),
    [aux_sym_integer_literal_token4] = ACTIONS(10451),
    [aux_sym_float_literal_token1] = ACTIONS(10451),
    [aux_sym_float_literal_token3] = ACTIONS(10451),
    [aux_sym_float_literal_token4] = ACTIONS(10451),
    [sym_character_literal] = ACTIONS(10451),
    [anon_sym_DQUOTE] = ACTIONS(10451),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10451),
    [anon_sym_BQUOTE] = ACTIONS(10451),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10451),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(10451),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(10455),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10457),
    [sym__immediate_command_start] = ACTIONS(10459),
  },
  [5091] = {
    [sym_block_comment] = STATE(5091),
    [sym_line_comment] = STATE(5091),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10325),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10325),
    [anon_sym_RPAREN] = ACTIONS(10325),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10325),
    [anon_sym_RBRACK] = ACTIONS(10325),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10325),
    [anon_sym_LBRACE] = ACTIONS(10325),
    [anon_sym_RBRACE] = ACTIONS(10325),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10325),
    [anon_sym_COLON_EQ] = ACTIONS(10325),
    [anon_sym_DOT_EQ] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10325),
    [anon_sym_QMARK] = ACTIONS(10325),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10325),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10325),
    [aux_sym_integer_literal_token2] = ACTIONS(10325),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10325),
    [aux_sym_float_literal_token3] = ACTIONS(10325),
    [aux_sym_float_literal_token4] = ACTIONS(10325),
    [sym_character_literal] = ACTIONS(10325),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10325),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10325),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10325),
    [aux_sym__assignment_operator_token1] = ACTIONS(10325),
    [sym__pair_operator] = ACTIONS(10325),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10325),
    [sym__lazy_and_operator] = ACTIONS(10325),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10325),
    [sym__pipe_left_operator] = ACTIONS(10325),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10325),
    [sym__type_order_operator] = ACTIONS(10325),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [5092] = {
    [sym_block_comment] = STATE(5092),
    [sym_line_comment] = STATE(5092),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10329),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10329),
    [anon_sym_RPAREN] = ACTIONS(10329),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10329),
    [anon_sym_RBRACK] = ACTIONS(10329),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10329),
    [anon_sym_LBRACE] = ACTIONS(10329),
    [anon_sym_RBRACE] = ACTIONS(10329),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10329),
    [anon_sym_COLON_EQ] = ACTIONS(10329),
    [anon_sym_DOT_EQ] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10329),
    [anon_sym_QMARK] = ACTIONS(10329),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10329),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10329),
    [aux_sym_integer_literal_token2] = ACTIONS(10329),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10329),
    [aux_sym_float_literal_token3] = ACTIONS(10329),
    [aux_sym_float_literal_token4] = ACTIONS(10329),
    [sym_character_literal] = ACTIONS(10329),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10329),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10329),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10329),
    [aux_sym__assignment_operator_token1] = ACTIONS(10329),
    [sym__pair_operator] = ACTIONS(10329),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10329),
    [sym__lazy_and_operator] = ACTIONS(10329),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10329),
    [sym__pipe_left_operator] = ACTIONS(10329),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10329),
    [sym__type_order_operator] = ACTIONS(10329),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [5093] = {
    [sym_block_comment] = STATE(5093),
    [sym_line_comment] = STATE(5093),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10381),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10381),
    [anon_sym_RPAREN] = ACTIONS(10381),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10381),
    [anon_sym_RBRACK] = ACTIONS(10381),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10381),
    [anon_sym_LBRACE] = ACTIONS(10381),
    [anon_sym_RBRACE] = ACTIONS(10381),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10381),
    [anon_sym_COLON_EQ] = ACTIONS(10381),
    [anon_sym_DOT_EQ] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10381),
    [anon_sym_QMARK] = ACTIONS(10381),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10381),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10381),
    [aux_sym_integer_literal_token2] = ACTIONS(10381),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10381),
    [aux_sym_float_literal_token3] = ACTIONS(10381),
    [aux_sym_float_literal_token4] = ACTIONS(10381),
    [sym_character_literal] = ACTIONS(10381),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10381),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10381),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10381),
    [aux_sym__assignment_operator_token1] = ACTIONS(10381),
    [sym__pair_operator] = ACTIONS(10381),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10381),
    [sym__lazy_and_operator] = ACTIONS(10381),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10381),
    [sym__pipe_left_operator] = ACTIONS(10381),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10381),
    [sym__type_order_operator] = ACTIONS(10381),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [5094] = {
    [sym_block_comment] = STATE(5094),
    [sym_line_comment] = STATE(5094),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10387),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10387),
    [anon_sym_RPAREN] = ACTIONS(10387),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10387),
    [anon_sym_RBRACK] = ACTIONS(10387),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10387),
    [anon_sym_LBRACE] = ACTIONS(10387),
    [anon_sym_RBRACE] = ACTIONS(10387),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10387),
    [anon_sym_COLON_EQ] = ACTIONS(10387),
    [anon_sym_DOT_EQ] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10387),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10387),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10387),
    [aux_sym_integer_literal_token2] = ACTIONS(10387),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10387),
    [aux_sym_float_literal_token3] = ACTIONS(10387),
    [aux_sym_float_literal_token4] = ACTIONS(10387),
    [sym_character_literal] = ACTIONS(10387),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10387),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10387),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10387),
    [aux_sym__assignment_operator_token1] = ACTIONS(10387),
    [sym__pair_operator] = ACTIONS(10387),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10387),
    [sym__lazy_and_operator] = ACTIONS(10387),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10387),
    [sym__pipe_left_operator] = ACTIONS(10387),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10387),
    [sym__type_order_operator] = ACTIONS(10387),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [5095] = {
    [sym_block_comment] = STATE(5095),
    [sym_line_comment] = STATE(5095),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10391),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10391),
    [anon_sym_RPAREN] = ACTIONS(10391),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10391),
    [anon_sym_RBRACK] = ACTIONS(10391),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10391),
    [anon_sym_LBRACE] = ACTIONS(10391),
    [anon_sym_RBRACE] = ACTIONS(10391),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10391),
    [anon_sym_COLON_EQ] = ACTIONS(10391),
    [anon_sym_DOT_EQ] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_QMARK] = ACTIONS(10391),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10391),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10391),
    [aux_sym_integer_literal_token2] = ACTIONS(10391),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10391),
    [aux_sym_float_literal_token3] = ACTIONS(10391),
    [aux_sym_float_literal_token4] = ACTIONS(10391),
    [sym_character_literal] = ACTIONS(10391),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10391),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10391),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10391),
    [aux_sym__assignment_operator_token1] = ACTIONS(10391),
    [sym__pair_operator] = ACTIONS(10391),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10391),
    [sym__lazy_and_operator] = ACTIONS(10391),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10391),
    [sym__pipe_left_operator] = ACTIONS(10391),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10391),
    [sym__type_order_operator] = ACTIONS(10391),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [5096] = {
    [sym_block_comment] = STATE(5096),
    [sym_line_comment] = STATE(5096),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10345),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10345),
    [anon_sym_RPAREN] = ACTIONS(10345),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10345),
    [anon_sym_RBRACK] = ACTIONS(10345),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10345),
    [anon_sym_LBRACE] = ACTIONS(10345),
    [anon_sym_RBRACE] = ACTIONS(10345),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10345),
    [anon_sym_COLON_EQ] = ACTIONS(10345),
    [anon_sym_DOT_EQ] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10345),
    [anon_sym_QMARK] = ACTIONS(10345),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10345),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10345),
    [aux_sym_integer_literal_token2] = ACTIONS(10345),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10345),
    [aux_sym_float_literal_token3] = ACTIONS(10345),
    [aux_sym_float_literal_token4] = ACTIONS(10345),
    [sym_character_literal] = ACTIONS(10345),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10345),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10345),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10345),
    [aux_sym__assignment_operator_token1] = ACTIONS(10345),
    [sym__pair_operator] = ACTIONS(10345),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10345),
    [sym__lazy_and_operator] = ACTIONS(10345),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10345),
    [sym__pipe_left_operator] = ACTIONS(10345),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10345),
    [sym__type_order_operator] = ACTIONS(10345),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [5097] = {
    [sym_block_comment] = STATE(5097),
    [sym_line_comment] = STATE(5097),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10419),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10419),
    [anon_sym_RPAREN] = ACTIONS(10419),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10419),
    [anon_sym_RBRACK] = ACTIONS(10419),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10419),
    [anon_sym_LBRACE] = ACTIONS(10419),
    [anon_sym_RBRACE] = ACTIONS(10419),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10419),
    [anon_sym_COLON_EQ] = ACTIONS(10419),
    [anon_sym_DOT_EQ] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10419),
    [anon_sym_QMARK] = ACTIONS(10419),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10419),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10419),
    [aux_sym_integer_literal_token2] = ACTIONS(10419),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10419),
    [aux_sym_float_literal_token3] = ACTIONS(10419),
    [aux_sym_float_literal_token4] = ACTIONS(10419),
    [sym_character_literal] = ACTIONS(10419),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10419),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10419),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10419),
    [aux_sym__assignment_operator_token1] = ACTIONS(10419),
    [sym__pair_operator] = ACTIONS(10419),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10419),
    [sym__lazy_and_operator] = ACTIONS(10419),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10419),
    [sym__pipe_left_operator] = ACTIONS(10419),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10419),
    [sym__type_order_operator] = ACTIONS(10419),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [5098] = {
    [sym_block_comment] = STATE(5098),
    [sym_line_comment] = STATE(5098),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10103),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10103),
    [anon_sym_RPAREN] = ACTIONS(10103),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10103),
    [anon_sym_RBRACK] = ACTIONS(10103),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10103),
    [anon_sym_LBRACE] = ACTIONS(10103),
    [anon_sym_RBRACE] = ACTIONS(10103),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10103),
    [anon_sym_COLON_EQ] = ACTIONS(10103),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10103),
    [anon_sym_QMARK] = ACTIONS(10103),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10103),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10103),
    [aux_sym_integer_literal_token2] = ACTIONS(10103),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10103),
    [aux_sym_float_literal_token3] = ACTIONS(10103),
    [aux_sym_float_literal_token4] = ACTIONS(10103),
    [sym_character_literal] = ACTIONS(10103),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10103),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10103),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10103),
    [aux_sym__assignment_operator_token1] = ACTIONS(10103),
    [sym__pair_operator] = ACTIONS(10103),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10103),
    [sym__lazy_and_operator] = ACTIONS(10103),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10103),
    [sym__pipe_left_operator] = ACTIONS(10103),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10103),
    [sym__type_order_operator] = ACTIONS(10103),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [5099] = {
    [sym_block_comment] = STATE(5099),
    [sym_line_comment] = STATE(5099),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10423),
    [anon_sym_RPAREN] = ACTIONS(10423),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10423),
    [anon_sym_RBRACK] = ACTIONS(10423),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10423),
    [anon_sym_LBRACE] = ACTIONS(10423),
    [anon_sym_RBRACE] = ACTIONS(10423),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10423),
    [anon_sym_COLON_EQ] = ACTIONS(10423),
    [anon_sym_DOT_EQ] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10423),
    [anon_sym_QMARK] = ACTIONS(10423),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10423),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10423),
    [aux_sym_integer_literal_token2] = ACTIONS(10423),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10423),
    [aux_sym_float_literal_token3] = ACTIONS(10423),
    [aux_sym_float_literal_token4] = ACTIONS(10423),
    [sym_character_literal] = ACTIONS(10423),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10423),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10423),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10423),
    [aux_sym__assignment_operator_token1] = ACTIONS(10423),
    [sym__pair_operator] = ACTIONS(10423),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10423),
    [sym__lazy_and_operator] = ACTIONS(10423),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10423),
    [sym__pipe_left_operator] = ACTIONS(10423),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10423),
    [sym__type_order_operator] = ACTIONS(10423),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [5100] = {
    [sym_block_comment] = STATE(5100),
    [sym_line_comment] = STATE(5100),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10431),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10431),
    [anon_sym_RPAREN] = ACTIONS(10431),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10431),
    [anon_sym_RBRACK] = ACTIONS(10431),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10431),
    [anon_sym_LBRACE] = ACTIONS(10431),
    [anon_sym_RBRACE] = ACTIONS(10431),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10431),
    [anon_sym_COLON_EQ] = ACTIONS(10431),
    [anon_sym_DOT_EQ] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_QMARK] = ACTIONS(10431),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10431),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10431),
    [aux_sym_integer_literal_token2] = ACTIONS(10431),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10431),
    [aux_sym_float_literal_token3] = ACTIONS(10431),
    [aux_sym_float_literal_token4] = ACTIONS(10431),
    [sym_character_literal] = ACTIONS(10431),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10431),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10431),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10431),
    [aux_sym__assignment_operator_token1] = ACTIONS(10431),
    [sym__pair_operator] = ACTIONS(10431),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10431),
    [sym__lazy_and_operator] = ACTIONS(10431),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10431),
    [sym__pipe_left_operator] = ACTIONS(10431),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10431),
    [sym__type_order_operator] = ACTIONS(10431),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [5101] = {
    [sym_block_comment] = STATE(5101),
    [sym_line_comment] = STATE(5101),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10435),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10435),
    [anon_sym_RPAREN] = ACTIONS(10435),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10435),
    [anon_sym_RBRACK] = ACTIONS(10435),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10435),
    [anon_sym_LBRACE] = ACTIONS(10435),
    [anon_sym_RBRACE] = ACTIONS(10435),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10435),
    [anon_sym_COLON_EQ] = ACTIONS(10435),
    [anon_sym_DOT_EQ] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10435),
    [anon_sym_QMARK] = ACTIONS(10435),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10435),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10435),
    [aux_sym_integer_literal_token2] = ACTIONS(10435),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10435),
    [aux_sym_float_literal_token3] = ACTIONS(10435),
    [aux_sym_float_literal_token4] = ACTIONS(10435),
    [sym_character_literal] = ACTIONS(10435),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10435),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10435),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10435),
    [aux_sym__assignment_operator_token1] = ACTIONS(10435),
    [sym__pair_operator] = ACTIONS(10435),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10435),
    [sym__lazy_and_operator] = ACTIONS(10435),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10435),
    [sym__pipe_left_operator] = ACTIONS(10435),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10435),
    [sym__type_order_operator] = ACTIONS(10435),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [5102] = {
    [sym_block_comment] = STATE(5102),
    [sym_line_comment] = STATE(5102),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10439),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10439),
    [anon_sym_RPAREN] = ACTIONS(10439),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10439),
    [anon_sym_RBRACK] = ACTIONS(10439),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10439),
    [anon_sym_LBRACE] = ACTIONS(10439),
    [anon_sym_RBRACE] = ACTIONS(10439),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10439),
    [anon_sym_COLON_EQ] = ACTIONS(10439),
    [anon_sym_DOT_EQ] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10439),
    [anon_sym_QMARK] = ACTIONS(10439),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10439),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10439),
    [aux_sym_integer_literal_token2] = ACTIONS(10439),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10439),
    [aux_sym_float_literal_token3] = ACTIONS(10439),
    [aux_sym_float_literal_token4] = ACTIONS(10439),
    [sym_character_literal] = ACTIONS(10439),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10439),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10439),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10439),
    [aux_sym__assignment_operator_token1] = ACTIONS(10439),
    [sym__pair_operator] = ACTIONS(10439),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10439),
    [sym__lazy_and_operator] = ACTIONS(10439),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10439),
    [sym__pipe_left_operator] = ACTIONS(10439),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10439),
    [sym__type_order_operator] = ACTIONS(10439),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [5103] = {
    [sym_block_comment] = STATE(5103),
    [sym_line_comment] = STATE(5103),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10293),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10293),
    [anon_sym_RPAREN] = ACTIONS(10293),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10293),
    [anon_sym_RBRACK] = ACTIONS(10293),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10293),
    [anon_sym_LBRACE] = ACTIONS(10293),
    [anon_sym_RBRACE] = ACTIONS(10293),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10293),
    [anon_sym_COLON_EQ] = ACTIONS(10293),
    [anon_sym_DOT_EQ] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10293),
    [anon_sym_QMARK] = ACTIONS(10293),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10293),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10293),
    [aux_sym_integer_literal_token2] = ACTIONS(10293),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10293),
    [aux_sym_float_literal_token3] = ACTIONS(10293),
    [aux_sym_float_literal_token4] = ACTIONS(10293),
    [sym_character_literal] = ACTIONS(10293),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10293),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10293),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10293),
    [aux_sym__assignment_operator_token1] = ACTIONS(10293),
    [sym__pair_operator] = ACTIONS(10293),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10293),
    [sym__lazy_and_operator] = ACTIONS(10293),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10293),
    [sym__pipe_left_operator] = ACTIONS(10293),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10293),
    [sym__type_order_operator] = ACTIONS(10293),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [5104] = {
    [sym_block_comment] = STATE(5104),
    [sym_line_comment] = STATE(5104),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10309),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10309),
    [anon_sym_RPAREN] = ACTIONS(10309),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10309),
    [anon_sym_RBRACK] = ACTIONS(10309),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10309),
    [anon_sym_LBRACE] = ACTIONS(10309),
    [anon_sym_RBRACE] = ACTIONS(10309),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10309),
    [anon_sym_COLON_EQ] = ACTIONS(10309),
    [anon_sym_DOT_EQ] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10309),
    [anon_sym_QMARK] = ACTIONS(10309),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10309),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10309),
    [aux_sym_integer_literal_token2] = ACTIONS(10309),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10309),
    [aux_sym_float_literal_token3] = ACTIONS(10309),
    [aux_sym_float_literal_token4] = ACTIONS(10309),
    [sym_character_literal] = ACTIONS(10309),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10309),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10309),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10309),
    [aux_sym__assignment_operator_token1] = ACTIONS(10309),
    [sym__pair_operator] = ACTIONS(10309),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10309),
    [sym__lazy_and_operator] = ACTIONS(10309),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10309),
    [sym__pipe_left_operator] = ACTIONS(10309),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10309),
    [sym__type_order_operator] = ACTIONS(10309),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [5105] = {
    [sym_block_comment] = STATE(5105),
    [sym_line_comment] = STATE(5105),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10349),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10349),
    [anon_sym_RPAREN] = ACTIONS(10349),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10349),
    [anon_sym_RBRACK] = ACTIONS(10349),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10349),
    [anon_sym_LBRACE] = ACTIONS(10349),
    [anon_sym_RBRACE] = ACTIONS(10349),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10349),
    [anon_sym_COLON_EQ] = ACTIONS(10349),
    [anon_sym_DOT_EQ] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10349),
    [anon_sym_QMARK] = ACTIONS(10349),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10349),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10349),
    [aux_sym_integer_literal_token2] = ACTIONS(10349),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10349),
    [aux_sym_float_literal_token3] = ACTIONS(10349),
    [aux_sym_float_literal_token4] = ACTIONS(10349),
    [sym_character_literal] = ACTIONS(10349),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10349),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10349),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10349),
    [aux_sym__assignment_operator_token1] = ACTIONS(10349),
    [sym__pair_operator] = ACTIONS(10349),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10349),
    [sym__lazy_and_operator] = ACTIONS(10349),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10349),
    [sym__pipe_left_operator] = ACTIONS(10349),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10349),
    [sym__type_order_operator] = ACTIONS(10349),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [5106] = {
    [sym_block_comment] = STATE(5106),
    [sym_line_comment] = STATE(5106),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10353),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10353),
    [anon_sym_RPAREN] = ACTIONS(10353),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10353),
    [anon_sym_RBRACK] = ACTIONS(10353),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10353),
    [anon_sym_LBRACE] = ACTIONS(10353),
    [anon_sym_RBRACE] = ACTIONS(10353),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10353),
    [anon_sym_COLON_EQ] = ACTIONS(10353),
    [anon_sym_DOT_EQ] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10353),
    [anon_sym_QMARK] = ACTIONS(10353),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10353),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10353),
    [aux_sym_integer_literal_token2] = ACTIONS(10353),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10353),
    [aux_sym_float_literal_token3] = ACTIONS(10353),
    [aux_sym_float_literal_token4] = ACTIONS(10353),
    [sym_character_literal] = ACTIONS(10353),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10353),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10353),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10353),
    [aux_sym__assignment_operator_token1] = ACTIONS(10353),
    [sym__pair_operator] = ACTIONS(10353),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10353),
    [sym__lazy_and_operator] = ACTIONS(10353),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10353),
    [sym__pipe_left_operator] = ACTIONS(10353),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10353),
    [sym__type_order_operator] = ACTIONS(10353),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [5107] = {
    [sym_block_comment] = STATE(5107),
    [sym_line_comment] = STATE(5107),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10357),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10357),
    [anon_sym_RPAREN] = ACTIONS(10357),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10357),
    [anon_sym_RBRACK] = ACTIONS(10357),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10357),
    [anon_sym_LBRACE] = ACTIONS(10357),
    [anon_sym_RBRACE] = ACTIONS(10357),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10357),
    [anon_sym_COLON_EQ] = ACTIONS(10357),
    [anon_sym_DOT_EQ] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10357),
    [anon_sym_QMARK] = ACTIONS(10357),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10357),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10357),
    [aux_sym_integer_literal_token2] = ACTIONS(10357),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10357),
    [aux_sym_float_literal_token3] = ACTIONS(10357),
    [aux_sym_float_literal_token4] = ACTIONS(10357),
    [sym_character_literal] = ACTIONS(10357),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10357),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10357),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10357),
    [aux_sym__assignment_operator_token1] = ACTIONS(10357),
    [sym__pair_operator] = ACTIONS(10357),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10357),
    [sym__lazy_and_operator] = ACTIONS(10357),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10357),
    [sym__pipe_left_operator] = ACTIONS(10357),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10357),
    [sym__type_order_operator] = ACTIONS(10357),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [5108] = {
    [sym_block_comment] = STATE(5108),
    [sym_line_comment] = STATE(5108),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10405),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10405),
    [anon_sym_RPAREN] = ACTIONS(10405),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10405),
    [anon_sym_RBRACK] = ACTIONS(10405),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10405),
    [anon_sym_LBRACE] = ACTIONS(10405),
    [anon_sym_RBRACE] = ACTIONS(10405),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10405),
    [anon_sym_COLON_EQ] = ACTIONS(10405),
    [anon_sym_DOT_EQ] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10405),
    [anon_sym_QMARK] = ACTIONS(10405),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10405),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10405),
    [aux_sym_integer_literal_token2] = ACTIONS(10405),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10405),
    [aux_sym_float_literal_token3] = ACTIONS(10405),
    [aux_sym_float_literal_token4] = ACTIONS(10405),
    [sym_character_literal] = ACTIONS(10405),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10405),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10405),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10405),
    [aux_sym__assignment_operator_token1] = ACTIONS(10405),
    [sym__pair_operator] = ACTIONS(10405),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10405),
    [sym__lazy_and_operator] = ACTIONS(10405),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10405),
    [sym__pipe_left_operator] = ACTIONS(10405),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10405),
    [sym__type_order_operator] = ACTIONS(10405),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [5109] = {
    [sym_block_comment] = STATE(5109),
    [sym_line_comment] = STATE(5109),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10313),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10313),
    [anon_sym_RPAREN] = ACTIONS(10313),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10313),
    [anon_sym_RBRACK] = ACTIONS(10313),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10313),
    [anon_sym_LBRACE] = ACTIONS(10313),
    [anon_sym_RBRACE] = ACTIONS(10313),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10313),
    [anon_sym_COLON_EQ] = ACTIONS(10313),
    [anon_sym_DOT_EQ] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10313),
    [anon_sym_QMARK] = ACTIONS(10313),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10313),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10313),
    [aux_sym_integer_literal_token2] = ACTIONS(10313),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10313),
    [aux_sym_float_literal_token3] = ACTIONS(10313),
    [aux_sym_float_literal_token4] = ACTIONS(10313),
    [sym_character_literal] = ACTIONS(10313),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10313),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10313),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10313),
    [aux_sym__assignment_operator_token1] = ACTIONS(10313),
    [sym__pair_operator] = ACTIONS(10313),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10313),
    [sym__lazy_and_operator] = ACTIONS(10313),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10313),
    [sym__pipe_left_operator] = ACTIONS(10313),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10313),
    [sym__type_order_operator] = ACTIONS(10313),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [5110] = {
    [sym_block_comment] = STATE(5110),
    [sym_line_comment] = STATE(5110),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10265),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10265),
    [anon_sym_RPAREN] = ACTIONS(10265),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10265),
    [anon_sym_RBRACK] = ACTIONS(10265),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10265),
    [anon_sym_LBRACE] = ACTIONS(10265),
    [anon_sym_RBRACE] = ACTIONS(10265),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10265),
    [anon_sym_COLON_EQ] = ACTIONS(10265),
    [anon_sym_DOT_EQ] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10265),
    [anon_sym_QMARK] = ACTIONS(10265),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10265),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10265),
    [aux_sym_integer_literal_token2] = ACTIONS(10265),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10265),
    [aux_sym_float_literal_token3] = ACTIONS(10265),
    [aux_sym_float_literal_token4] = ACTIONS(10265),
    [sym_character_literal] = ACTIONS(10265),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10265),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10265),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10265),
    [aux_sym__assignment_operator_token1] = ACTIONS(10265),
    [sym__pair_operator] = ACTIONS(10265),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10265),
    [sym__lazy_and_operator] = ACTIONS(10265),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10265),
    [sym__pipe_left_operator] = ACTIONS(10265),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10265),
    [sym__type_order_operator] = ACTIONS(10265),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [5111] = {
    [sym_block_comment] = STATE(5111),
    [sym_line_comment] = STATE(5111),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10341),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10341),
    [anon_sym_RPAREN] = ACTIONS(10341),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10341),
    [anon_sym_RBRACK] = ACTIONS(10341),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10341),
    [anon_sym_LBRACE] = ACTIONS(10341),
    [anon_sym_RBRACE] = ACTIONS(10341),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10341),
    [anon_sym_COLON_EQ] = ACTIONS(10341),
    [anon_sym_DOT_EQ] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10341),
    [anon_sym_QMARK] = ACTIONS(10341),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10341),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10341),
    [aux_sym_integer_literal_token2] = ACTIONS(10341),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10341),
    [aux_sym_float_literal_token3] = ACTIONS(10341),
    [aux_sym_float_literal_token4] = ACTIONS(10341),
    [sym_character_literal] = ACTIONS(10341),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10341),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10341),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10341),
    [aux_sym__assignment_operator_token1] = ACTIONS(10341),
    [sym__pair_operator] = ACTIONS(10341),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10341),
    [sym__lazy_and_operator] = ACTIONS(10341),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10341),
    [sym__pipe_left_operator] = ACTIONS(10341),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10341),
    [sym__type_order_operator] = ACTIONS(10341),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [5112] = {
    [sym_block_comment] = STATE(5112),
    [sym_line_comment] = STATE(5112),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10373),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10373),
    [anon_sym_RPAREN] = ACTIONS(10373),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10373),
    [anon_sym_RBRACK] = ACTIONS(10373),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10373),
    [anon_sym_LBRACE] = ACTIONS(10373),
    [anon_sym_RBRACE] = ACTIONS(10373),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10373),
    [anon_sym_COLON_EQ] = ACTIONS(10373),
    [anon_sym_DOT_EQ] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10373),
    [anon_sym_QMARK] = ACTIONS(10373),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10373),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10373),
    [aux_sym_integer_literal_token2] = ACTIONS(10373),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10373),
    [aux_sym_float_literal_token3] = ACTIONS(10373),
    [aux_sym_float_literal_token4] = ACTIONS(10373),
    [sym_character_literal] = ACTIONS(10373),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10373),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10373),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10373),
    [aux_sym__assignment_operator_token1] = ACTIONS(10373),
    [sym__pair_operator] = ACTIONS(10373),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10373),
    [sym__lazy_and_operator] = ACTIONS(10373),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10373),
    [sym__pipe_left_operator] = ACTIONS(10373),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10373),
    [sym__type_order_operator] = ACTIONS(10373),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [5113] = {
    [sym_block_comment] = STATE(5113),
    [sym_line_comment] = STATE(5113),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10411),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10411),
    [anon_sym_RPAREN] = ACTIONS(10411),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10411),
    [anon_sym_RBRACK] = ACTIONS(10411),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10411),
    [anon_sym_LBRACE] = ACTIONS(10411),
    [anon_sym_RBRACE] = ACTIONS(10411),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10411),
    [anon_sym_COLON_EQ] = ACTIONS(10411),
    [anon_sym_DOT_EQ] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10411),
    [anon_sym_QMARK] = ACTIONS(10411),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10411),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10411),
    [aux_sym_integer_literal_token2] = ACTIONS(10411),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10411),
    [aux_sym_float_literal_token3] = ACTIONS(10411),
    [aux_sym_float_literal_token4] = ACTIONS(10411),
    [sym_character_literal] = ACTIONS(10411),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10411),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10411),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10411),
    [aux_sym__assignment_operator_token1] = ACTIONS(10411),
    [sym__pair_operator] = ACTIONS(10411),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10411),
    [sym__lazy_and_operator] = ACTIONS(10411),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10411),
    [sym__pipe_left_operator] = ACTIONS(10411),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10411),
    [sym__type_order_operator] = ACTIONS(10411),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [5114] = {
    [sym_block_comment] = STATE(5114),
    [sym_line_comment] = STATE(5114),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10219),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10219),
    [anon_sym_RPAREN] = ACTIONS(10219),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10219),
    [anon_sym_RBRACK] = ACTIONS(10219),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10219),
    [anon_sym_LBRACE] = ACTIONS(10219),
    [anon_sym_RBRACE] = ACTIONS(10219),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10219),
    [anon_sym_COLON_EQ] = ACTIONS(10219),
    [anon_sym_DOT_EQ] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10219),
    [anon_sym_QMARK] = ACTIONS(10219),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10219),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10219),
    [aux_sym_integer_literal_token2] = ACTIONS(10219),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10219),
    [aux_sym_float_literal_token3] = ACTIONS(10219),
    [aux_sym_float_literal_token4] = ACTIONS(10219),
    [sym_character_literal] = ACTIONS(10219),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10219),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10219),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10219),
    [aux_sym__assignment_operator_token1] = ACTIONS(10219),
    [sym__pair_operator] = ACTIONS(10219),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10219),
    [sym__lazy_and_operator] = ACTIONS(10219),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10219),
    [sym__pipe_left_operator] = ACTIONS(10219),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10219),
    [sym__type_order_operator] = ACTIONS(10219),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [5115] = {
    [sym_block_comment] = STATE(5115),
    [sym_line_comment] = STATE(5115),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_catch] = ACTIONS(10171),
    [anon_sym_finally] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_COLON_EQ] = ACTIONS(10171),
    [anon_sym_DOT_EQ] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10171),
    [aux_sym__assignment_operator_token1] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [5116] = {
    [sym_block_comment] = STATE(5116),
    [sym_line_comment] = STATE(5116),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5117] = {
    [sym_block_comment] = STATE(5117),
    [sym_line_comment] = STATE(5117),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_COLON_EQ] = ACTIONS(9993),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9993),
    [aux_sym__assignment_operator_token1] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [5118] = {
    [sym_block_comment] = STATE(5118),
    [sym_line_comment] = STATE(5118),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_elseif] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10461),
    [sym__immediate_command_start] = ACTIONS(10463),
  },
  [5119] = {
    [sym_block_comment] = STATE(5119),
    [sym_line_comment] = STATE(5119),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_catch] = ACTIONS(10193),
    [anon_sym_finally] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_COLON_EQ] = ACTIONS(10193),
    [anon_sym_DOT_EQ] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10193),
    [aux_sym__assignment_operator_token1] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [5120] = {
    [sym_block_comment] = STATE(5120),
    [sym_line_comment] = STATE(5120),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_catch] = ACTIONS(10209),
    [anon_sym_finally] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_COLON_EQ] = ACTIONS(10209),
    [anon_sym_DOT_EQ] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10209),
    [aux_sym__assignment_operator_token1] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [5121] = {
    [sym_block_comment] = STATE(5121),
    [sym_line_comment] = STATE(5121),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_catch] = ACTIONS(10213),
    [anon_sym_finally] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_COLON_EQ] = ACTIONS(10213),
    [anon_sym_DOT_EQ] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10213),
    [aux_sym__assignment_operator_token1] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [5122] = {
    [sym_block_comment] = STATE(5122),
    [sym_line_comment] = STATE(5122),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_catch] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_COLON_EQ] = ACTIONS(9941),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9941),
    [aux_sym__assignment_operator_token1] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [5123] = {
    [sym_block_comment] = STATE(5123),
    [sym_line_comment] = STATE(5123),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_catch] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_COLON_EQ] = ACTIONS(9933),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9933),
    [aux_sym__assignment_operator_token1] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5124] = {
    [sym_block_comment] = STATE(5124),
    [sym_line_comment] = STATE(5124),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10099),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10099),
    [anon_sym_RPAREN] = ACTIONS(10099),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10099),
    [anon_sym_RBRACK] = ACTIONS(10099),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10099),
    [anon_sym_LBRACE] = ACTIONS(10099),
    [anon_sym_RBRACE] = ACTIONS(10099),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10099),
    [anon_sym_COLON_EQ] = ACTIONS(10099),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10099),
    [anon_sym_QMARK] = ACTIONS(10099),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10099),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10099),
    [aux_sym_integer_literal_token2] = ACTIONS(10099),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10099),
    [aux_sym_float_literal_token3] = ACTIONS(10099),
    [aux_sym_float_literal_token4] = ACTIONS(10099),
    [sym_character_literal] = ACTIONS(10099),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10099),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10099),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10099),
    [aux_sym__assignment_operator_token1] = ACTIONS(10099),
    [sym__pair_operator] = ACTIONS(10099),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10099),
    [sym__lazy_and_operator] = ACTIONS(10099),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10099),
    [sym__pipe_left_operator] = ACTIONS(10099),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10099),
    [sym__type_order_operator] = ACTIONS(10099),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [5125] = {
    [sym_block_comment] = STATE(5125),
    [sym_line_comment] = STATE(5125),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_catch] = ACTIONS(10221),
    [anon_sym_finally] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_COLON_EQ] = ACTIONS(10221),
    [anon_sym_DOT_EQ] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10221),
    [aux_sym__assignment_operator_token1] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [5126] = {
    [sym_block_comment] = STATE(5126),
    [sym_line_comment] = STATE(5126),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_catch] = ACTIONS(10225),
    [anon_sym_finally] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_COLON_EQ] = ACTIONS(10225),
    [anon_sym_DOT_EQ] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10225),
    [aux_sym__assignment_operator_token1] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [5127] = {
    [sym_block_comment] = STATE(5127),
    [sym_line_comment] = STATE(5127),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10141),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10141),
    [anon_sym_RPAREN] = ACTIONS(10141),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10141),
    [anon_sym_RBRACK] = ACTIONS(10141),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10141),
    [anon_sym_LBRACE] = ACTIONS(10141),
    [anon_sym_RBRACE] = ACTIONS(10141),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10141),
    [anon_sym_COLON_EQ] = ACTIONS(10141),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10141),
    [anon_sym_QMARK] = ACTIONS(10141),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10141),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10141),
    [aux_sym_integer_literal_token2] = ACTIONS(10141),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10141),
    [aux_sym_float_literal_token3] = ACTIONS(10141),
    [aux_sym_float_literal_token4] = ACTIONS(10141),
    [sym_character_literal] = ACTIONS(10141),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10141),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10141),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10141),
    [aux_sym__assignment_operator_token1] = ACTIONS(10141),
    [sym__pair_operator] = ACTIONS(10141),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10141),
    [sym__lazy_and_operator] = ACTIONS(10141),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10141),
    [sym__pipe_left_operator] = ACTIONS(10141),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10141),
    [sym__type_order_operator] = ACTIONS(10141),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [5128] = {
    [sym_block_comment] = STATE(5128),
    [sym_line_comment] = STATE(5128),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_catch] = ACTIONS(10229),
    [anon_sym_finally] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_COLON_EQ] = ACTIONS(10229),
    [anon_sym_DOT_EQ] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10229),
    [aux_sym__assignment_operator_token1] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [5129] = {
    [sym_block_comment] = STATE(5129),
    [sym_line_comment] = STATE(5129),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_catch] = ACTIONS(10235),
    [anon_sym_finally] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_COLON_EQ] = ACTIONS(10235),
    [anon_sym_DOT_EQ] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10235),
    [aux_sym__assignment_operator_token1] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [5130] = {
    [sym_block_comment] = STATE(5130),
    [sym_line_comment] = STATE(5130),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_catch] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_COLON_EQ] = ACTIONS(9987),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9987),
    [aux_sym__assignment_operator_token1] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5131] = {
    [sym_block_comment] = STATE(5131),
    [sym_line_comment] = STATE(5131),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10401),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10401),
    [anon_sym_RPAREN] = ACTIONS(10401),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10401),
    [anon_sym_RBRACK] = ACTIONS(10401),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10401),
    [anon_sym_LBRACE] = ACTIONS(10401),
    [anon_sym_RBRACE] = ACTIONS(10401),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10401),
    [anon_sym_COLON_EQ] = ACTIONS(10401),
    [anon_sym_DOT_EQ] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10401),
    [anon_sym_QMARK] = ACTIONS(10401),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10401),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10401),
    [aux_sym_integer_literal_token2] = ACTIONS(10401),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10401),
    [aux_sym_float_literal_token3] = ACTIONS(10401),
    [aux_sym_float_literal_token4] = ACTIONS(10401),
    [sym_character_literal] = ACTIONS(10401),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10401),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10401),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10401),
    [aux_sym__assignment_operator_token1] = ACTIONS(10401),
    [sym__pair_operator] = ACTIONS(10401),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10401),
    [sym__lazy_and_operator] = ACTIONS(10401),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10401),
    [sym__pipe_left_operator] = ACTIONS(10401),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10401),
    [sym__type_order_operator] = ACTIONS(10401),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [5132] = {
    [sym_block_comment] = STATE(5132),
    [sym_line_comment] = STATE(5132),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_catch] = ACTIONS(10239),
    [anon_sym_finally] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_COLON_EQ] = ACTIONS(10239),
    [anon_sym_DOT_EQ] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10239),
    [aux_sym__assignment_operator_token1] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [5133] = {
    [sym_block_comment] = STATE(5133),
    [sym_line_comment] = STATE(5133),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_catch] = ACTIONS(10245),
    [anon_sym_finally] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_COLON_EQ] = ACTIONS(10245),
    [anon_sym_DOT_EQ] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10245),
    [aux_sym__assignment_operator_token1] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [5134] = {
    [sym_block_comment] = STATE(5134),
    [sym_line_comment] = STATE(5134),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_catch] = ACTIONS(10249),
    [anon_sym_finally] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_COLON_EQ] = ACTIONS(10249),
    [anon_sym_DOT_EQ] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10249),
    [aux_sym__assignment_operator_token1] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [5135] = {
    [sym_block_comment] = STATE(5135),
    [sym_line_comment] = STATE(5135),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_COLON_EQ] = ACTIONS(10015),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10465),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10015),
    [aux_sym__assignment_operator_token1] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5136] = {
    [sym_block_comment] = STATE(5136),
    [sym_line_comment] = STATE(5136),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_catch] = ACTIONS(10175),
    [anon_sym_finally] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_COLON_EQ] = ACTIONS(10175),
    [anon_sym_DOT_EQ] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10175),
    [aux_sym__assignment_operator_token1] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [5137] = {
    [sym_block_comment] = STATE(5137),
    [sym_line_comment] = STATE(5137),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_catch] = ACTIONS(10319),
    [anon_sym_finally] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_COLON_EQ] = ACTIONS(10319),
    [anon_sym_DOT_EQ] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10319),
    [aux_sym__assignment_operator_token1] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [5138] = {
    [sym_block_comment] = STATE(5138),
    [sym_line_comment] = STATE(5138),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_catch] = ACTIONS(10395),
    [anon_sym_finally] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_COLON_EQ] = ACTIONS(10395),
    [anon_sym_DOT_EQ] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10395),
    [aux_sym__assignment_operator_token1] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [5139] = {
    [sym_block_comment] = STATE(5139),
    [sym_line_comment] = STATE(5139),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_catch] = ACTIONS(10413),
    [anon_sym_finally] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_COLON_EQ] = ACTIONS(10413),
    [anon_sym_DOT_EQ] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10413),
    [aux_sym__assignment_operator_token1] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [5140] = {
    [sym_block_comment] = STATE(5140),
    [sym_line_comment] = STATE(5140),
    [ts_builtin_sym_end] = ACTIONS(10317),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_RBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_COLON_EQ] = ACTIONS(10315),
    [anon_sym_DOT_EQ] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10315),
    [aux_sym__assignment_operator_token1] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [5141] = {
    [sym_block_comment] = STATE(5141),
    [sym_line_comment] = STATE(5141),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_catch] = ACTIONS(10277),
    [anon_sym_finally] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_COLON_EQ] = ACTIONS(10277),
    [anon_sym_DOT_EQ] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10277),
    [aux_sym__assignment_operator_token1] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [5142] = {
    [sym_block_comment] = STATE(5142),
    [sym_line_comment] = STATE(5142),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_catch] = ACTIONS(10323),
    [anon_sym_finally] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_COLON_EQ] = ACTIONS(10323),
    [anon_sym_DOT_EQ] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10323),
    [aux_sym__assignment_operator_token1] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [5143] = {
    [sym_block_comment] = STATE(5143),
    [sym_line_comment] = STATE(5143),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_catch] = ACTIONS(10327),
    [anon_sym_finally] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_COLON_EQ] = ACTIONS(10327),
    [anon_sym_DOT_EQ] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10327),
    [aux_sym__assignment_operator_token1] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [5144] = {
    [sym_block_comment] = STATE(5144),
    [sym_line_comment] = STATE(5144),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_catch] = ACTIONS(10379),
    [anon_sym_finally] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_COLON_EQ] = ACTIONS(10379),
    [anon_sym_DOT_EQ] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10379),
    [aux_sym__assignment_operator_token1] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [5145] = {
    [sym_block_comment] = STATE(5145),
    [sym_line_comment] = STATE(5145),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_catch] = ACTIONS(10385),
    [anon_sym_finally] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_COLON_EQ] = ACTIONS(10385),
    [anon_sym_DOT_EQ] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10385),
    [aux_sym__assignment_operator_token1] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [5146] = {
    [sym_block_comment] = STATE(5146),
    [sym_line_comment] = STATE(5146),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_catch] = ACTIONS(10389),
    [anon_sym_finally] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_COLON_EQ] = ACTIONS(10389),
    [anon_sym_DOT_EQ] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10389),
    [aux_sym__assignment_operator_token1] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [5147] = {
    [sym_block_comment] = STATE(5147),
    [sym_line_comment] = STATE(5147),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_catch] = ACTIONS(10343),
    [anon_sym_finally] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_COLON_EQ] = ACTIONS(10343),
    [anon_sym_DOT_EQ] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10343),
    [aux_sym__assignment_operator_token1] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [5148] = {
    [sym_block_comment] = STATE(5148),
    [sym_line_comment] = STATE(5148),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_catch] = ACTIONS(10417),
    [anon_sym_finally] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_COLON_EQ] = ACTIONS(10417),
    [anon_sym_DOT_EQ] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10417),
    [aux_sym__assignment_operator_token1] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [5149] = {
    [sym_block_comment] = STATE(5149),
    [sym_line_comment] = STATE(5149),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_catch] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_COLON_EQ] = ACTIONS(10101),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10101),
    [aux_sym__assignment_operator_token1] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [5150] = {
    [sym_block_comment] = STATE(5150),
    [sym_line_comment] = STATE(5150),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_catch] = ACTIONS(10421),
    [anon_sym_finally] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_COLON_EQ] = ACTIONS(10421),
    [anon_sym_DOT_EQ] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10421),
    [aux_sym__assignment_operator_token1] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [5151] = {
    [sym_block_comment] = STATE(5151),
    [sym_line_comment] = STATE(5151),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_catch] = ACTIONS(10429),
    [anon_sym_finally] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_COLON_EQ] = ACTIONS(10429),
    [anon_sym_DOT_EQ] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10429),
    [aux_sym__assignment_operator_token1] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [5152] = {
    [sym_block_comment] = STATE(5152),
    [sym_line_comment] = STATE(5152),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_catch] = ACTIONS(10433),
    [anon_sym_finally] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_COLON_EQ] = ACTIONS(10433),
    [anon_sym_DOT_EQ] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10433),
    [aux_sym__assignment_operator_token1] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [5153] = {
    [sym_block_comment] = STATE(5153),
    [sym_line_comment] = STATE(5153),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_catch] = ACTIONS(10437),
    [anon_sym_finally] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_COLON_EQ] = ACTIONS(10437),
    [anon_sym_DOT_EQ] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10437),
    [aux_sym__assignment_operator_token1] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [5154] = {
    [sym_block_comment] = STATE(5154),
    [sym_line_comment] = STATE(5154),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_catch] = ACTIONS(10291),
    [anon_sym_finally] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_COLON_EQ] = ACTIONS(10291),
    [anon_sym_DOT_EQ] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10291),
    [aux_sym__assignment_operator_token1] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [5155] = {
    [sym_block_comment] = STATE(5155),
    [sym_line_comment] = STATE(5155),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_catch] = ACTIONS(10307),
    [anon_sym_finally] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_COLON_EQ] = ACTIONS(10307),
    [anon_sym_DOT_EQ] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10307),
    [aux_sym__assignment_operator_token1] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [5156] = {
    [sym_block_comment] = STATE(5156),
    [sym_line_comment] = STATE(5156),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_catch] = ACTIONS(10347),
    [anon_sym_finally] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_COLON_EQ] = ACTIONS(10347),
    [anon_sym_DOT_EQ] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10347),
    [aux_sym__assignment_operator_token1] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [5157] = {
    [sym_block_comment] = STATE(5157),
    [sym_line_comment] = STATE(5157),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_catch] = ACTIONS(10351),
    [anon_sym_finally] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_COLON_EQ] = ACTIONS(10351),
    [anon_sym_DOT_EQ] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10351),
    [aux_sym__assignment_operator_token1] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [5158] = {
    [sym_block_comment] = STATE(5158),
    [sym_line_comment] = STATE(5158),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_catch] = ACTIONS(10355),
    [anon_sym_finally] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_COLON_EQ] = ACTIONS(10355),
    [anon_sym_DOT_EQ] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10355),
    [aux_sym__assignment_operator_token1] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [5159] = {
    [sym_block_comment] = STATE(5159),
    [sym_line_comment] = STATE(5159),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_catch] = ACTIONS(10403),
    [anon_sym_finally] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_COLON_EQ] = ACTIONS(10403),
    [anon_sym_DOT_EQ] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10403),
    [aux_sym__assignment_operator_token1] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [5160] = {
    [sym_block_comment] = STATE(5160),
    [sym_line_comment] = STATE(5160),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_catch] = ACTIONS(10311),
    [anon_sym_finally] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_COLON_EQ] = ACTIONS(10311),
    [anon_sym_DOT_EQ] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10311),
    [aux_sym__assignment_operator_token1] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [5161] = {
    [sym_block_comment] = STATE(5161),
    [sym_line_comment] = STATE(5161),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_catch] = ACTIONS(10263),
    [anon_sym_finally] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_COLON_EQ] = ACTIONS(10263),
    [anon_sym_DOT_EQ] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10263),
    [aux_sym__assignment_operator_token1] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [5162] = {
    [sym_block_comment] = STATE(5162),
    [sym_line_comment] = STATE(5162),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_catch] = ACTIONS(10339),
    [anon_sym_finally] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_COLON_EQ] = ACTIONS(10339),
    [anon_sym_DOT_EQ] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10339),
    [aux_sym__assignment_operator_token1] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [5163] = {
    [sym_block_comment] = STATE(5163),
    [sym_line_comment] = STATE(5163),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_catch] = ACTIONS(10371),
    [anon_sym_finally] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_COLON_EQ] = ACTIONS(10371),
    [anon_sym_DOT_EQ] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10371),
    [aux_sym__assignment_operator_token1] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [5164] = {
    [sym_block_comment] = STATE(5164),
    [sym_line_comment] = STATE(5164),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_catch] = ACTIONS(10409),
    [anon_sym_finally] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_COLON_EQ] = ACTIONS(10409),
    [anon_sym_DOT_EQ] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10409),
    [aux_sym__assignment_operator_token1] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [5165] = {
    [sym_block_comment] = STATE(5165),
    [sym_line_comment] = STATE(5165),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_catch] = ACTIONS(10217),
    [anon_sym_finally] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_COLON_EQ] = ACTIONS(10217),
    [anon_sym_DOT_EQ] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10217),
    [aux_sym__assignment_operator_token1] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [5166] = {
    [sym_block_comment] = STATE(5166),
    [sym_line_comment] = STATE(5166),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_RPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_RBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9971),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_RBRACE] = ACTIONS(9971),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_COLON_EQ] = ACTIONS(9971),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9971),
    [aux_sym__assignment_operator_token1] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [5167] = {
    [sym_identifier] = STATE(5370),
    [sym_block_comment] = STATE(5167),
    [sym_line_comment] = STATE(5167),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_COLON_EQ] = ACTIONS(10131),
    [anon_sym_DOT_EQ] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10131),
    [aux_sym__assignment_operator_token1] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [5168] = {
    [sym_identifier] = STATE(5373),
    [sym_block_comment] = STATE(5168),
    [sym_line_comment] = STATE(5168),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_COLON_EQ] = ACTIONS(10135),
    [anon_sym_DOT_EQ] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10135),
    [aux_sym__assignment_operator_token1] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [5169] = {
    [sym_block_comment] = STATE(5169),
    [sym_line_comment] = STATE(5169),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10361),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10361),
    [anon_sym_RPAREN] = ACTIONS(10361),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10361),
    [anon_sym_RBRACK] = ACTIONS(10361),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10361),
    [anon_sym_LBRACE] = ACTIONS(10361),
    [anon_sym_RBRACE] = ACTIONS(10361),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10361),
    [anon_sym_COLON_EQ] = ACTIONS(10361),
    [anon_sym_DOT_EQ] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10361),
    [anon_sym_QMARK] = ACTIONS(10361),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10361),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10361),
    [aux_sym_integer_literal_token2] = ACTIONS(10361),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10361),
    [aux_sym_float_literal_token3] = ACTIONS(10361),
    [aux_sym_float_literal_token4] = ACTIONS(10361),
    [sym_character_literal] = ACTIONS(10361),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10361),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10361),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10361),
    [aux_sym__assignment_operator_token1] = ACTIONS(10361),
    [sym__pair_operator] = ACTIONS(10361),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10361),
    [sym__lazy_and_operator] = ACTIONS(10361),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10361),
    [sym__pipe_left_operator] = ACTIONS(10361),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10361),
    [sym__type_order_operator] = ACTIONS(10361),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [5170] = {
    [sym_block_comment] = STATE(5170),
    [sym_line_comment] = STATE(5170),
    [ts_builtin_sym_end] = ACTIONS(10129),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_RBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_COLON_EQ] = ACTIONS(10127),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10127),
    [aux_sym__assignment_operator_token1] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [5171] = {
    [sym_block_comment] = STATE(5171),
    [sym_line_comment] = STATE(5171),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_catch] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_COLON_EQ] = ACTIONS(10097),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10097),
    [aux_sym__assignment_operator_token1] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [5172] = {
    [sym_block_comment] = STATE(5172),
    [sym_line_comment] = STATE(5172),
    [ts_builtin_sym_end] = ACTIONS(10087),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_RBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_COLON_EQ] = ACTIONS(10083),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10083),
    [aux_sym__assignment_operator_token1] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [5173] = {
    [sym_block_comment] = STATE(5173),
    [sym_line_comment] = STATE(5173),
    [ts_builtin_sym_end] = ACTIONS(10091),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_RBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5174] = {
    [sym_block_comment] = STATE(5174),
    [sym_line_comment] = STATE(5174),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_catch] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_COLON_EQ] = ACTIONS(10139),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10139),
    [aux_sym__assignment_operator_token1] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [5175] = {
    [sym_block_comment] = STATE(5175),
    [sym_line_comment] = STATE(5175),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_catch] = ACTIONS(10399),
    [anon_sym_finally] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_COLON_EQ] = ACTIONS(10399),
    [anon_sym_DOT_EQ] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10399),
    [aux_sym__assignment_operator_token1] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [5176] = {
    [sym_block_comment] = STATE(5176),
    [sym_line_comment] = STATE(5176),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_COLON_EQ] = ACTIONS(189),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_DASH_GT] = ACTIONS(10467),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(189),
    [aux_sym_float_literal_token3] = ACTIONS(189),
    [aux_sym_float_literal_token4] = ACTIONS(189),
    [sym_character_literal] = ACTIONS(189),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(189),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR_EQ] = ACTIONS(189),
    [aux_sym__assignment_operator_token1] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(189),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(189),
    [sym__pipe_left_operator] = ACTIONS(189),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(189),
    [sym__type_order_operator] = ACTIONS(189),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10469),
    [sym__immediate_command_start] = ACTIONS(10471),
  },
  [5177] = {
    [sym_identifier] = STATE(5388),
    [sym_block_comment] = STATE(5177),
    [sym_line_comment] = STATE(5177),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_COLON_EQ] = ACTIONS(10143),
    [anon_sym_DOT_EQ] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10143),
    [aux_sym__assignment_operator_token1] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [5178] = {
    [sym_identifier] = STATE(5389),
    [sym_block_comment] = STATE(5178),
    [sym_line_comment] = STATE(5178),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_COLON_EQ] = ACTIONS(10007),
    [anon_sym_DOT_EQ] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10007),
    [aux_sym__assignment_operator_token1] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [5179] = {
    [sym_block_comment] = STATE(5179),
    [sym_line_comment] = STATE(5179),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10317),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10317),
    [anon_sym_RPAREN] = ACTIONS(10317),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10317),
    [anon_sym_RBRACK] = ACTIONS(10317),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10317),
    [anon_sym_LBRACE] = ACTIONS(10317),
    [anon_sym_RBRACE] = ACTIONS(10317),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10317),
    [anon_sym_COLON_EQ] = ACTIONS(10317),
    [anon_sym_DOT_EQ] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10317),
    [anon_sym_QMARK] = ACTIONS(10317),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10317),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10317),
    [aux_sym_integer_literal_token2] = ACTIONS(10317),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10317),
    [aux_sym_float_literal_token3] = ACTIONS(10317),
    [aux_sym_float_literal_token4] = ACTIONS(10317),
    [sym_character_literal] = ACTIONS(10317),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10317),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10317),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10317),
    [aux_sym__assignment_operator_token1] = ACTIONS(10317),
    [sym__pair_operator] = ACTIONS(10317),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10317),
    [sym__lazy_and_operator] = ACTIONS(10317),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10317),
    [sym__pipe_left_operator] = ACTIONS(10317),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10317),
    [sym__type_order_operator] = ACTIONS(10317),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [5180] = {
    [sym_block_comment] = STATE(5180),
    [sym_line_comment] = STATE(5180),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_COLON_EQ] = ACTIONS(9969),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9969),
    [aux_sym__assignment_operator_token1] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [5181] = {
    [sym_block_comment] = STATE(5181),
    [sym_line_comment] = STATE(5181),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(10453),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10069),
    [sym__immediate_command_start] = ACTIONS(10071),
  },
  [5182] = {
    [sym__assignment_operator] = STATE(3671),
    [sym_block_comment] = STATE(5182),
    [sym_line_comment] = STATE(5182),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10039),
    [anon_sym_DOT] = ACTIONS(10041),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10043),
    [sym__immediate_bracket] = ACTIONS(10045),
    [sym__immediate_brace] = ACTIONS(10047),
  },
  [5183] = {
    [sym__assignment_operator] = STATE(3621),
    [sym_block_comment] = STATE(5183),
    [sym_line_comment] = STATE(5183),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10473),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10183),
    [anon_sym_DOT] = ACTIONS(10185),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
    [sym__immediate_bracket] = ACTIONS(10189),
    [sym__immediate_brace] = ACTIONS(10191),
  },
  [5184] = {
    [sym__assignment_operator] = STATE(3594),
    [sym_block_comment] = STATE(5184),
    [sym_line_comment] = STATE(5184),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10475),
    [anon_sym_DOT] = ACTIONS(10477),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
    [sym__immediate_bracket] = ACTIONS(10481),
    [sym__immediate_brace] = ACTIONS(10483),
  },
  [5185] = {
    [sym_block_comment] = STATE(5185),
    [sym_line_comment] = STATE(5185),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_elseif] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DASH_GT] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10461),
    [sym__immediate_command_start] = ACTIONS(10463),
  },
  [5186] = {
    [sym_block_comment] = STATE(5186),
    [sym_line_comment] = STATE(5186),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_catch] = ACTIONS(10359),
    [anon_sym_finally] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_COLON_EQ] = ACTIONS(10359),
    [anon_sym_DOT_EQ] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10359),
    [aux_sym__assignment_operator_token1] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [5187] = {
    [sym_block_comment] = STATE(5187),
    [sym_line_comment] = STATE(5187),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10129),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10129),
    [anon_sym_RPAREN] = ACTIONS(10129),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10129),
    [anon_sym_RBRACK] = ACTIONS(10129),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10129),
    [anon_sym_LBRACE] = ACTIONS(10129),
    [anon_sym_RBRACE] = ACTIONS(10129),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10129),
    [anon_sym_COLON_EQ] = ACTIONS(10129),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10129),
    [anon_sym_QMARK] = ACTIONS(10129),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10129),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10129),
    [aux_sym_integer_literal_token2] = ACTIONS(10129),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10129),
    [aux_sym_float_literal_token3] = ACTIONS(10129),
    [aux_sym_float_literal_token4] = ACTIONS(10129),
    [sym_character_literal] = ACTIONS(10129),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10129),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10129),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10129),
    [aux_sym__assignment_operator_token1] = ACTIONS(10129),
    [sym__pair_operator] = ACTIONS(10129),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10129),
    [sym__lazy_and_operator] = ACTIONS(10129),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10129),
    [sym__pipe_left_operator] = ACTIONS(10129),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10129),
    [sym__type_order_operator] = ACTIONS(10129),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [5188] = {
    [sym_do_clause] = STATE(5814),
    [sym_block_comment] = STATE(5188),
    [sym_line_comment] = STATE(5188),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_elseif] = ACTIONS(9927),
    [anon_sym_else] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10485),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_DASH_GT] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5189] = {
    [sym_block_comment] = STATE(5189),
    [sym_line_comment] = STATE(5189),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_elseif] = ACTIONS(9941),
    [anon_sym_else] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_DASH_GT] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10461),
    [sym__immediate_command_start] = ACTIONS(10463),
  },
  [5190] = {
    [sym_do_clause] = STATE(5666),
    [sym_block_comment] = STATE(5190),
    [sym_line_comment] = STATE(5190),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_elseif] = ACTIONS(9933),
    [anon_sym_else] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10485),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_DASH_GT] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5191] = {
    [sym_block_comment] = STATE(5191),
    [sym_line_comment] = STATE(5191),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10087),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10087),
    [anon_sym_RPAREN] = ACTIONS(10087),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10087),
    [anon_sym_RBRACK] = ACTIONS(10087),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10087),
    [anon_sym_LBRACE] = ACTIONS(10087),
    [anon_sym_RBRACE] = ACTIONS(10087),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10087),
    [anon_sym_COLON_EQ] = ACTIONS(10087),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10087),
    [anon_sym_QMARK] = ACTIONS(10087),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10087),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10087),
    [aux_sym_integer_literal_token2] = ACTIONS(10087),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10087),
    [aux_sym_float_literal_token3] = ACTIONS(10087),
    [aux_sym_float_literal_token4] = ACTIONS(10087),
    [sym_character_literal] = ACTIONS(10087),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10087),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10087),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10087),
    [aux_sym__assignment_operator_token1] = ACTIONS(10087),
    [sym__pair_operator] = ACTIONS(10087),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10087),
    [sym__lazy_and_operator] = ACTIONS(10087),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10087),
    [sym__pipe_left_operator] = ACTIONS(10087),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10087),
    [sym__type_order_operator] = ACTIONS(10087),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [5192] = {
    [sym_block_comment] = STATE(5192),
    [sym_line_comment] = STATE(5192),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10091),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10091),
    [anon_sym_RPAREN] = ACTIONS(10091),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10091),
    [anon_sym_RBRACK] = ACTIONS(10091),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10091),
    [anon_sym_LBRACE] = ACTIONS(10091),
    [anon_sym_RBRACE] = ACTIONS(10091),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10091),
    [anon_sym_COLON_EQ] = ACTIONS(10091),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10091),
    [anon_sym_QMARK] = ACTIONS(10091),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10091),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10091),
    [aux_sym_integer_literal_token2] = ACTIONS(10091),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10091),
    [aux_sym_float_literal_token3] = ACTIONS(10091),
    [aux_sym_float_literal_token4] = ACTIONS(10091),
    [sym_character_literal] = ACTIONS(10091),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10091),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10091),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10091),
    [aux_sym__assignment_operator_token1] = ACTIONS(10091),
    [sym__pair_operator] = ACTIONS(10091),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10091),
    [sym__lazy_and_operator] = ACTIONS(10091),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10091),
    [sym__pipe_left_operator] = ACTIONS(10091),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10091),
    [sym__type_order_operator] = ACTIONS(10091),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5193] = {
    [sym_do_clause] = STATE(5668),
    [sym_block_comment] = STATE(5193),
    [sym_line_comment] = STATE(5193),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_elseif] = ACTIONS(9945),
    [anon_sym_else] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10485),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_DASH_GT] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5194] = {
    [sym_do_clause] = STATE(5671),
    [sym_block_comment] = STATE(5194),
    [sym_line_comment] = STATE(5194),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_elseif] = ACTIONS(9987),
    [anon_sym_else] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10485),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_DASH_GT] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5195] = {
    [sym_block_comment] = STATE(5195),
    [sym_line_comment] = STATE(5195),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_COLON_EQ] = ACTIONS(10085),
    [anon_sym_DOT_EQ] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10085),
    [aux_sym__assignment_operator_token1] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [5196] = {
    [sym_block_comment] = STATE(5196),
    [sym_line_comment] = STATE(5196),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10447),
    [sym__immediate_command_start] = ACTIONS(10449),
  },
  [5197] = {
    [sym_block_comment] = STATE(5197),
    [sym_line_comment] = STATE(5197),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_COLON_EQ] = ACTIONS(10127),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_DASH_GT] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10127),
    [aux_sym__assignment_operator_token1] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [5198] = {
    [sym_block_comment] = STATE(5198),
    [sym_line_comment] = STATE(5198),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_catch] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_COLON_EQ] = ACTIONS(10171),
    [anon_sym_DOT_EQ] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10171),
    [aux_sym__assignment_operator_token1] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [5199] = {
    [sym_block_comment] = STATE(5199),
    [sym_line_comment] = STATE(5199),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_COLON_EQ] = ACTIONS(10003),
    [anon_sym_DOT_EQ] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10003),
    [aux_sym__assignment_operator_token1] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [5200] = {
    [sym_block_comment] = STATE(5200),
    [sym_line_comment] = STATE(5200),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_COLON_EQ] = ACTIONS(10159),
    [anon_sym_DOT_EQ] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10159),
    [aux_sym__assignment_operator_token1] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [5201] = {
    [sym_block_comment] = STATE(5201),
    [sym_line_comment] = STATE(5201),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5202] = {
    [sym__assignment_operator] = STATE(3594),
    [sym_block_comment] = STATE(5202),
    [sym_line_comment] = STATE(5202),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10475),
    [anon_sym_DOT] = ACTIONS(10477),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
    [sym__immediate_bracket] = ACTIONS(10481),
    [sym__immediate_brace] = ACTIONS(10483),
  },
  [5203] = {
    [sym_block_comment] = STATE(5203),
    [sym_line_comment] = STATE(5203),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_COLON_EQ] = ACTIONS(10163),
    [anon_sym_DOT_EQ] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10163),
    [aux_sym__assignment_operator_token1] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [5204] = {
    [sym_block_comment] = STATE(5204),
    [sym_line_comment] = STATE(5204),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_COLON_EQ] = ACTIONS(9993),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9993),
    [aux_sym__assignment_operator_token1] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [5205] = {
    [sym_block_comment] = STATE(5205),
    [sym_line_comment] = STATE(5205),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_catch] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_COLON_EQ] = ACTIONS(10193),
    [anon_sym_DOT_EQ] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10193),
    [aux_sym__assignment_operator_token1] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [5206] = {
    [sym_block_comment] = STATE(5206),
    [sym_line_comment] = STATE(5206),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_catch] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_COLON_EQ] = ACTIONS(10209),
    [anon_sym_DOT_EQ] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10209),
    [aux_sym__assignment_operator_token1] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [5207] = {
    [sym_block_comment] = STATE(5207),
    [sym_line_comment] = STATE(5207),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_catch] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_COLON_EQ] = ACTIONS(10213),
    [anon_sym_DOT_EQ] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10213),
    [aux_sym__assignment_operator_token1] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [5208] = {
    [sym_block_comment] = STATE(5208),
    [sym_line_comment] = STATE(5208),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_catch] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_COLON_EQ] = ACTIONS(9941),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9941),
    [aux_sym__assignment_operator_token1] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [5209] = {
    [sym_block_comment] = STATE(5209),
    [sym_line_comment] = STATE(5209),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_catch] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_COLON_EQ] = ACTIONS(9933),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9933),
    [aux_sym__assignment_operator_token1] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5210] = {
    [sym_block_comment] = STATE(5210),
    [sym_line_comment] = STATE(5210),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_catch] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_COLON_EQ] = ACTIONS(10221),
    [anon_sym_DOT_EQ] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10221),
    [aux_sym__assignment_operator_token1] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [5211] = {
    [sym_block_comment] = STATE(5211),
    [sym_line_comment] = STATE(5211),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_catch] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_COLON_EQ] = ACTIONS(10225),
    [anon_sym_DOT_EQ] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10225),
    [aux_sym__assignment_operator_token1] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [5212] = {
    [sym_block_comment] = STATE(5212),
    [sym_line_comment] = STATE(5212),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_catch] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_COLON_EQ] = ACTIONS(10229),
    [anon_sym_DOT_EQ] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10229),
    [aux_sym__assignment_operator_token1] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [5213] = {
    [sym_block_comment] = STATE(5213),
    [sym_line_comment] = STATE(5213),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_catch] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_COLON_EQ] = ACTIONS(10235),
    [anon_sym_DOT_EQ] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10235),
    [aux_sym__assignment_operator_token1] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [5214] = {
    [sym_block_comment] = STATE(5214),
    [sym_line_comment] = STATE(5214),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_catch] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_COLON_EQ] = ACTIONS(9987),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9987),
    [aux_sym__assignment_operator_token1] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5215] = {
    [sym_block_comment] = STATE(5215),
    [sym_line_comment] = STATE(5215),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_catch] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_COLON_EQ] = ACTIONS(10239),
    [anon_sym_DOT_EQ] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10239),
    [aux_sym__assignment_operator_token1] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [5216] = {
    [sym_block_comment] = STATE(5216),
    [sym_line_comment] = STATE(5216),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_catch] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_COLON_EQ] = ACTIONS(10245),
    [anon_sym_DOT_EQ] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10245),
    [aux_sym__assignment_operator_token1] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [5217] = {
    [sym_block_comment] = STATE(5217),
    [sym_line_comment] = STATE(5217),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_catch] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_COLON_EQ] = ACTIONS(10249),
    [anon_sym_DOT_EQ] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10249),
    [aux_sym__assignment_operator_token1] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [5218] = {
    [sym_block_comment] = STATE(5218),
    [sym_line_comment] = STATE(5218),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_catch] = ACTIONS(10315),
    [anon_sym_finally] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_COLON_EQ] = ACTIONS(10315),
    [anon_sym_DOT_EQ] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10315),
    [aux_sym__assignment_operator_token1] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [5219] = {
    [sym_block_comment] = STATE(5219),
    [sym_line_comment] = STATE(5219),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_catch] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_COLON_EQ] = ACTIONS(10277),
    [anon_sym_DOT_EQ] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10277),
    [aux_sym__assignment_operator_token1] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [5220] = {
    [sym_block_comment] = STATE(5220),
    [sym_line_comment] = STATE(5220),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_COLON_EQ] = ACTIONS(10055),
    [anon_sym_DOT_EQ] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10055),
    [aux_sym__assignment_operator_token1] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [5221] = {
    [sym_block_comment] = STATE(5221),
    [sym_line_comment] = STATE(5221),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_COLON_EQ] = ACTIONS(10033),
    [anon_sym_DOT_EQ] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10033),
    [aux_sym__assignment_operator_token1] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [5222] = {
    [sym_block_comment] = STATE(5222),
    [sym_line_comment] = STATE(5222),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_COLON_EQ] = ACTIONS(10051),
    [anon_sym_DOT_EQ] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10051),
    [aux_sym__assignment_operator_token1] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [5223] = {
    [sym_block_comment] = STATE(5223),
    [sym_line_comment] = STATE(5223),
    [ts_builtin_sym_end] = ACTIONS(10019),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_RBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_COLON_EQ] = ACTIONS(10015),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10015),
    [aux_sym__assignment_operator_token1] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5224] = {
    [sym_block_comment] = STATE(5224),
    [sym_line_comment] = STATE(5224),
    [ts_builtin_sym_end] = ACTIONS(10365),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_RBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_COLON_EQ] = ACTIONS(10363),
    [anon_sym_DOT_EQ] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10363),
    [aux_sym__assignment_operator_token1] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [5225] = {
    [sym_block_comment] = STATE(5225),
    [sym_line_comment] = STATE(5225),
    [ts_builtin_sym_end] = ACTIONS(10377),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_RBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_COLON_EQ] = ACTIONS(10375),
    [anon_sym_DOT_EQ] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10375),
    [aux_sym__assignment_operator_token1] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [5226] = {
    [sym__assignment_operator] = STATE(3594),
    [sym_block_comment] = STATE(5226),
    [sym_line_comment] = STATE(5226),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10475),
    [anon_sym_DOT] = ACTIONS(10477),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
    [sym__immediate_bracket] = ACTIONS(10481),
    [sym__immediate_brace] = ACTIONS(10483),
  },
  [5227] = {
    [sym_block_comment] = STATE(5227),
    [sym_line_comment] = STATE(5227),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_catch] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_COLON_EQ] = ACTIONS(10127),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10127),
    [aux_sym__assignment_operator_token1] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [5228] = {
    [sym_block_comment] = STATE(5228),
    [sym_line_comment] = STATE(5228),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_catch] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_COLON_EQ] = ACTIONS(10083),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10083),
    [aux_sym__assignment_operator_token1] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [5229] = {
    [sym_block_comment] = STATE(5229),
    [sym_line_comment] = STATE(5229),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_catch] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5230] = {
    [sym__assignment_operator] = STATE(3621),
    [sym_block_comment] = STATE(5230),
    [sym_line_comment] = STATE(5230),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10183),
    [anon_sym_DOT] = ACTIONS(10185),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
    [sym__immediate_bracket] = ACTIONS(10189),
    [sym__immediate_brace] = ACTIONS(10191),
  },
  [5231] = {
    [sym__assignment_operator] = STATE(3737),
    [sym_block_comment] = STATE(5231),
    [sym_line_comment] = STATE(5231),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_SQUOTE] = ACTIONS(10253),
    [anon_sym_DOT] = ACTIONS(10337),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_COLON_EQ] = ACTIONS(1685),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10257),
    [sym__immediate_bracket] = ACTIONS(10259),
    [sym__immediate_brace] = ACTIONS(10261),
  },
  [5232] = {
    [sym__assignment_operator] = STATE(3927),
    [sym_block_comment] = STATE(5232),
    [sym_line_comment] = STATE(5232),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10267),
    [anon_sym_DOT] = ACTIONS(10369),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10271),
    [sym__immediate_bracket] = ACTIONS(10273),
    [sym__immediate_brace] = ACTIONS(10275),
  },
  [5233] = {
    [sym_block_comment] = STATE(5233),
    [sym_line_comment] = STATE(5233),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_COLON_EQ] = ACTIONS(189),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_DASH_GT] = ACTIONS(10487),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(189),
    [aux_sym_float_literal_token3] = ACTIONS(189),
    [aux_sym_float_literal_token4] = ACTIONS(189),
    [sym_character_literal] = ACTIONS(189),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(189),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR_EQ] = ACTIONS(189),
    [aux_sym__assignment_operator_token1] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(189),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(189),
    [sym__pipe_left_operator] = ACTIONS(189),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(189),
    [sym__type_order_operator] = ACTIONS(189),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10469),
    [sym__immediate_command_start] = ACTIONS(10471),
  },
  [5234] = {
    [sym__assignment_operator] = STATE(3962),
    [sym_block_comment] = STATE(5234),
    [sym_line_comment] = STATE(5234),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10199),
    [anon_sym_DOT] = ACTIONS(10201),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10203),
    [sym__immediate_bracket] = ACTIONS(10205),
    [sym__immediate_brace] = ACTIONS(10207),
  },
  [5235] = {
    [sym__assignment_operator] = STATE(4041),
    [sym_block_comment] = STATE(5235),
    [sym_line_comment] = STATE(5235),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10297),
    [anon_sym_DOT] = ACTIONS(10299),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10301),
    [sym__immediate_bracket] = ACTIONS(10303),
    [sym__immediate_brace] = ACTIONS(10305),
  },
  [5236] = {
    [sym_block_comment] = STATE(5236),
    [sym_line_comment] = STATE(5236),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_COLON_EQ] = ACTIONS(10059),
    [anon_sym_DOT_EQ] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10059),
    [aux_sym__assignment_operator_token1] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [5237] = {
    [sym_block_comment] = STATE(5237),
    [sym_line_comment] = STATE(5237),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_COLON_EQ] = ACTIONS(10123),
    [anon_sym_DOT_EQ] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10123),
    [aux_sym__assignment_operator_token1] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [5238] = {
    [sym_block_comment] = STATE(5238),
    [sym_line_comment] = STATE(5238),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_COLON_EQ] = ACTIONS(10011),
    [anon_sym_DOT_EQ] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10011),
    [aux_sym__assignment_operator_token1] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [5239] = {
    [sym_block_comment] = STATE(5239),
    [sym_line_comment] = STATE(5239),
    [ts_builtin_sym_end] = ACTIONS(10173),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_RBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_COLON_EQ] = ACTIONS(10171),
    [anon_sym_DOT_EQ] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10171),
    [aux_sym__assignment_operator_token1] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [5240] = {
    [sym_block_comment] = STATE(5240),
    [sym_line_comment] = STATE(5240),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_RPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_RBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10019),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_RBRACE] = ACTIONS(10019),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_COLON_EQ] = ACTIONS(10019),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10019),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10019),
    [aux_sym__assignment_operator_token1] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5241] = {
    [sym_block_comment] = STATE(5241),
    [sym_line_comment] = STATE(5241),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10365),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10365),
    [anon_sym_RPAREN] = ACTIONS(10365),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10365),
    [anon_sym_RBRACK] = ACTIONS(10365),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10365),
    [anon_sym_LBRACE] = ACTIONS(10365),
    [anon_sym_RBRACE] = ACTIONS(10365),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10365),
    [anon_sym_COLON_EQ] = ACTIONS(10365),
    [anon_sym_DOT_EQ] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10365),
    [anon_sym_QMARK] = ACTIONS(10365),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10365),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10365),
    [aux_sym_integer_literal_token2] = ACTIONS(10365),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10365),
    [aux_sym_float_literal_token3] = ACTIONS(10365),
    [aux_sym_float_literal_token4] = ACTIONS(10365),
    [sym_character_literal] = ACTIONS(10365),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10365),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10365),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10365),
    [aux_sym__assignment_operator_token1] = ACTIONS(10365),
    [sym__pair_operator] = ACTIONS(10365),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10365),
    [sym__lazy_and_operator] = ACTIONS(10365),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10365),
    [sym__pipe_left_operator] = ACTIONS(10365),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10365),
    [sym__type_order_operator] = ACTIONS(10365),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [5242] = {
    [sym_block_comment] = STATE(5242),
    [sym_line_comment] = STATE(5242),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_catch] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_COLON_EQ] = ACTIONS(10175),
    [anon_sym_DOT_EQ] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10175),
    [aux_sym__assignment_operator_token1] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [5243] = {
    [sym_block_comment] = STATE(5243),
    [sym_line_comment] = STATE(5243),
    [ts_builtin_sym_end] = ACTIONS(3226),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [anon_sym_DOLLAR_EQ] = ACTIONS(3222),
    [aux_sym__assignment_operator_token1] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [5244] = {
    [sym_block_comment] = STATE(5244),
    [sym_line_comment] = STATE(5244),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_catch] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_COLON_EQ] = ACTIONS(10319),
    [anon_sym_DOT_EQ] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10319),
    [aux_sym__assignment_operator_token1] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [5245] = {
    [sym_block_comment] = STATE(5245),
    [sym_line_comment] = STATE(5245),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_catch] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_COLON_EQ] = ACTIONS(10395),
    [anon_sym_DOT_EQ] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10395),
    [aux_sym__assignment_operator_token1] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [5246] = {
    [sym_block_comment] = STATE(5246),
    [sym_line_comment] = STATE(5246),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_catch] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_COLON_EQ] = ACTIONS(10413),
    [anon_sym_DOT_EQ] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10413),
    [aux_sym__assignment_operator_token1] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [5247] = {
    [sym_block_comment] = STATE(5247),
    [sym_line_comment] = STATE(5247),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10377),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(10377),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10377),
    [anon_sym_RBRACK] = ACTIONS(10377),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10377),
    [anon_sym_LBRACE] = ACTIONS(10377),
    [anon_sym_RBRACE] = ACTIONS(10377),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10377),
    [anon_sym_COLON_EQ] = ACTIONS(10377),
    [anon_sym_DOT_EQ] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10377),
    [anon_sym_QMARK] = ACTIONS(10377),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10377),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10377),
    [aux_sym_integer_literal_token2] = ACTIONS(10377),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10377),
    [aux_sym_float_literal_token3] = ACTIONS(10377),
    [aux_sym_float_literal_token4] = ACTIONS(10377),
    [sym_character_literal] = ACTIONS(10377),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10377),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10377),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10377),
    [aux_sym__assignment_operator_token1] = ACTIONS(10377),
    [sym__pair_operator] = ACTIONS(10377),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10377),
    [sym__lazy_and_operator] = ACTIONS(10377),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10377),
    [sym__pipe_left_operator] = ACTIONS(10377),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10377),
    [sym__type_order_operator] = ACTIONS(10377),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [5248] = {
    [sym_block_comment] = STATE(5248),
    [sym_line_comment] = STATE(5248),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_catch] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_COLON_EQ] = ACTIONS(10323),
    [anon_sym_DOT_EQ] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10323),
    [aux_sym__assignment_operator_token1] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [5249] = {
    [sym_block_comment] = STATE(5249),
    [sym_line_comment] = STATE(5249),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_catch] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_COLON_EQ] = ACTIONS(10327),
    [anon_sym_DOT_EQ] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10327),
    [aux_sym__assignment_operator_token1] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [5250] = {
    [sym_block_comment] = STATE(5250),
    [sym_line_comment] = STATE(5250),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_catch] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_COLON_EQ] = ACTIONS(10379),
    [anon_sym_DOT_EQ] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10379),
    [aux_sym__assignment_operator_token1] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [5251] = {
    [sym_block_comment] = STATE(5251),
    [sym_line_comment] = STATE(5251),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_catch] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_COLON_EQ] = ACTIONS(10385),
    [anon_sym_DOT_EQ] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10385),
    [aux_sym__assignment_operator_token1] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [5252] = {
    [sym_block_comment] = STATE(5252),
    [sym_line_comment] = STATE(5252),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_catch] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_COLON_EQ] = ACTIONS(10389),
    [anon_sym_DOT_EQ] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10389),
    [aux_sym__assignment_operator_token1] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [5253] = {
    [sym_block_comment] = STATE(5253),
    [sym_line_comment] = STATE(5253),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_catch] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_COLON_EQ] = ACTIONS(10343),
    [anon_sym_DOT_EQ] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10343),
    [aux_sym__assignment_operator_token1] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [5254] = {
    [sym_block_comment] = STATE(5254),
    [sym_line_comment] = STATE(5254),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_catch] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_COLON_EQ] = ACTIONS(10417),
    [anon_sym_DOT_EQ] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10417),
    [aux_sym__assignment_operator_token1] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [5255] = {
    [sym_block_comment] = STATE(5255),
    [sym_line_comment] = STATE(5255),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_catch] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_COLON_EQ] = ACTIONS(10097),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10097),
    [aux_sym__assignment_operator_token1] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [5256] = {
    [sym_block_comment] = STATE(5256),
    [sym_line_comment] = STATE(5256),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_catch] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_COLON_EQ] = ACTIONS(10101),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10101),
    [aux_sym__assignment_operator_token1] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [5257] = {
    [sym_block_comment] = STATE(5257),
    [sym_line_comment] = STATE(5257),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_catch] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_COLON_EQ] = ACTIONS(10421),
    [anon_sym_DOT_EQ] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10421),
    [aux_sym__assignment_operator_token1] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [5258] = {
    [sym_block_comment] = STATE(5258),
    [sym_line_comment] = STATE(5258),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_catch] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_COLON_EQ] = ACTIONS(10429),
    [anon_sym_DOT_EQ] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10429),
    [aux_sym__assignment_operator_token1] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [5259] = {
    [sym_block_comment] = STATE(5259),
    [sym_line_comment] = STATE(5259),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_catch] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_COLON_EQ] = ACTIONS(10433),
    [anon_sym_DOT_EQ] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10433),
    [aux_sym__assignment_operator_token1] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [5260] = {
    [sym_block_comment] = STATE(5260),
    [sym_line_comment] = STATE(5260),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_catch] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_COLON_EQ] = ACTIONS(10437),
    [anon_sym_DOT_EQ] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10437),
    [aux_sym__assignment_operator_token1] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [5261] = {
    [sym_block_comment] = STATE(5261),
    [sym_line_comment] = STATE(5261),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_catch] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_COLON_EQ] = ACTIONS(10139),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10139),
    [aux_sym__assignment_operator_token1] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [5262] = {
    [sym_block_comment] = STATE(5262),
    [sym_line_comment] = STATE(5262),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_catch] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_COLON_EQ] = ACTIONS(10291),
    [anon_sym_DOT_EQ] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10291),
    [aux_sym__assignment_operator_token1] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [5263] = {
    [sym_block_comment] = STATE(5263),
    [sym_line_comment] = STATE(5263),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_catch] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_COLON_EQ] = ACTIONS(10307),
    [anon_sym_DOT_EQ] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10307),
    [aux_sym__assignment_operator_token1] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [5264] = {
    [sym_block_comment] = STATE(5264),
    [sym_line_comment] = STATE(5264),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_catch] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_COLON_EQ] = ACTIONS(10347),
    [anon_sym_DOT_EQ] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10347),
    [aux_sym__assignment_operator_token1] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [5265] = {
    [sym_block_comment] = STATE(5265),
    [sym_line_comment] = STATE(5265),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_catch] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_COLON_EQ] = ACTIONS(10351),
    [anon_sym_DOT_EQ] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10351),
    [aux_sym__assignment_operator_token1] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [5266] = {
    [sym_block_comment] = STATE(5266),
    [sym_line_comment] = STATE(5266),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_catch] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_COLON_EQ] = ACTIONS(10355),
    [anon_sym_DOT_EQ] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10355),
    [aux_sym__assignment_operator_token1] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [5267] = {
    [sym_block_comment] = STATE(5267),
    [sym_line_comment] = STATE(5267),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_catch] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_COLON_EQ] = ACTIONS(10403),
    [anon_sym_DOT_EQ] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10403),
    [aux_sym__assignment_operator_token1] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [5268] = {
    [sym_block_comment] = STATE(5268),
    [sym_line_comment] = STATE(5268),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_catch] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_COLON_EQ] = ACTIONS(10311),
    [anon_sym_DOT_EQ] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10311),
    [aux_sym__assignment_operator_token1] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [5269] = {
    [sym_block_comment] = STATE(5269),
    [sym_line_comment] = STATE(5269),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_catch] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_COLON_EQ] = ACTIONS(10399),
    [anon_sym_DOT_EQ] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10399),
    [aux_sym__assignment_operator_token1] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [5270] = {
    [sym_block_comment] = STATE(5270),
    [sym_line_comment] = STATE(5270),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_catch] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_COLON_EQ] = ACTIONS(10263),
    [anon_sym_DOT_EQ] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10263),
    [aux_sym__assignment_operator_token1] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [5271] = {
    [sym_block_comment] = STATE(5271),
    [sym_line_comment] = STATE(5271),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_catch] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_COLON_EQ] = ACTIONS(10339),
    [anon_sym_DOT_EQ] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10339),
    [aux_sym__assignment_operator_token1] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [5272] = {
    [sym_block_comment] = STATE(5272),
    [sym_line_comment] = STATE(5272),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_catch] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_COLON_EQ] = ACTIONS(10371),
    [anon_sym_DOT_EQ] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10371),
    [aux_sym__assignment_operator_token1] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [5273] = {
    [sym_block_comment] = STATE(5273),
    [sym_line_comment] = STATE(5273),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_catch] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_COLON_EQ] = ACTIONS(10409),
    [anon_sym_DOT_EQ] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10409),
    [aux_sym__assignment_operator_token1] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [5274] = {
    [sym_block_comment] = STATE(5274),
    [sym_line_comment] = STATE(5274),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_catch] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_COLON_EQ] = ACTIONS(10217),
    [anon_sym_DOT_EQ] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10217),
    [aux_sym__assignment_operator_token1] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [5275] = {
    [sym_block_comment] = STATE(5275),
    [sym_line_comment] = STATE(5275),
    [ts_builtin_sym_end] = ACTIONS(10177),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_RBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_COLON_EQ] = ACTIONS(10175),
    [anon_sym_DOT_EQ] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10175),
    [aux_sym__assignment_operator_token1] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [5276] = {
    [sym_block_comment] = STATE(5276),
    [sym_line_comment] = STATE(5276),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_finally] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_COLON_EQ] = ACTIONS(10171),
    [anon_sym_DOT_EQ] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10171),
    [aux_sym__assignment_operator_token1] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [5277] = {
    [sym_block_comment] = STATE(5277),
    [sym_line_comment] = STATE(5277),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5278] = {
    [sym_block_comment] = STATE(5278),
    [sym_line_comment] = STATE(5278),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_catch] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_COLON_EQ] = ACTIONS(10359),
    [anon_sym_DOT_EQ] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10359),
    [aux_sym__assignment_operator_token1] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [5279] = {
    [sym__assignment_operator] = STATE(4249),
    [sym_block_comment] = STATE(5279),
    [sym_line_comment] = STATE(5279),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10489),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10475),
    [anon_sym_DOT] = ACTIONS(10491),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
    [sym__immediate_bracket] = ACTIONS(10481),
    [sym__immediate_brace] = ACTIONS(10483),
  },
  [5280] = {
    [sym_block_comment] = STATE(5280),
    [sym_line_comment] = STATE(5280),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_finally] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_COLON_EQ] = ACTIONS(10209),
    [anon_sym_DOT_EQ] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10209),
    [aux_sym__assignment_operator_token1] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [5281] = {
    [sym_block_comment] = STATE(5281),
    [sym_line_comment] = STATE(5281),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_finally] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_COLON_EQ] = ACTIONS(10213),
    [anon_sym_DOT_EQ] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10213),
    [aux_sym__assignment_operator_token1] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [5282] = {
    [sym_block_comment] = STATE(5282),
    [sym_line_comment] = STATE(5282),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_COLON_EQ] = ACTIONS(9941),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9941),
    [aux_sym__assignment_operator_token1] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [5283] = {
    [sym_block_comment] = STATE(5283),
    [sym_line_comment] = STATE(5283),
    [ts_builtin_sym_end] = ACTIONS(189),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_RBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5284] = {
    [sym_block_comment] = STATE(5284),
    [sym_line_comment] = STATE(5284),
    [ts_builtin_sym_end] = ACTIONS(10321),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_RBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_COLON_EQ] = ACTIONS(10319),
    [anon_sym_DOT_EQ] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10319),
    [aux_sym__assignment_operator_token1] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [5285] = {
    [sym_block_comment] = STATE(5285),
    [sym_line_comment] = STATE(5285),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_COLON_EQ] = ACTIONS(9933),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9933),
    [aux_sym__assignment_operator_token1] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5286] = {
    [sym_block_comment] = STATE(5286),
    [sym_line_comment] = STATE(5286),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_finally] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_COLON_EQ] = ACTIONS(10221),
    [anon_sym_DOT_EQ] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10221),
    [aux_sym__assignment_operator_token1] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [5287] = {
    [sym_block_comment] = STATE(5287),
    [sym_line_comment] = STATE(5287),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_finally] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_COLON_EQ] = ACTIONS(10225),
    [anon_sym_DOT_EQ] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10225),
    [aux_sym__assignment_operator_token1] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [5288] = {
    [sym_block_comment] = STATE(5288),
    [sym_line_comment] = STATE(5288),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_finally] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_COLON_EQ] = ACTIONS(10235),
    [anon_sym_DOT_EQ] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10235),
    [aux_sym__assignment_operator_token1] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [5289] = {
    [sym_block_comment] = STATE(5289),
    [sym_line_comment] = STATE(5289),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_COLON_EQ] = ACTIONS(9987),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9987),
    [aux_sym__assignment_operator_token1] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5290] = {
    [sym_block_comment] = STATE(5290),
    [sym_line_comment] = STATE(5290),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_finally] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_COLON_EQ] = ACTIONS(10239),
    [anon_sym_DOT_EQ] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10239),
    [aux_sym__assignment_operator_token1] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [5291] = {
    [sym_block_comment] = STATE(5291),
    [sym_line_comment] = STATE(5291),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_finally] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_COLON_EQ] = ACTIONS(10245),
    [anon_sym_DOT_EQ] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10245),
    [aux_sym__assignment_operator_token1] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [5292] = {
    [sym_block_comment] = STATE(5292),
    [sym_line_comment] = STATE(5292),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_finally] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_COLON_EQ] = ACTIONS(10249),
    [anon_sym_DOT_EQ] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10249),
    [aux_sym__assignment_operator_token1] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [5293] = {
    [sym__assignment_operator] = STATE(4249),
    [sym_block_comment] = STATE(5293),
    [sym_line_comment] = STATE(5293),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10493),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10475),
    [anon_sym_DOT] = ACTIONS(10491),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
    [sym__immediate_bracket] = ACTIONS(10481),
    [sym__immediate_brace] = ACTIONS(10483),
  },
  [5294] = {
    [sym_block_comment] = STATE(5294),
    [sym_line_comment] = STATE(5294),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_elseif] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_DASH_GT] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10461),
    [sym__immediate_command_start] = ACTIONS(10463),
  },
  [5295] = {
    [sym_block_comment] = STATE(5295),
    [sym_line_comment] = STATE(5295),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_COLON_EQ] = ACTIONS(9993),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9993),
    [aux_sym__assignment_operator_token1] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [5296] = {
    [sym_block_comment] = STATE(5296),
    [sym_line_comment] = STATE(5296),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_finally] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_COLON_EQ] = ACTIONS(10193),
    [anon_sym_DOT_EQ] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10193),
    [aux_sym__assignment_operator_token1] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [5297] = {
    [sym_do_clause] = STATE(5789),
    [sym_block_comment] = STATE(5297),
    [sym_line_comment] = STATE(5297),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_else] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_finally] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10495),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_DASH_GT] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5298] = {
    [sym_block_comment] = STATE(5298),
    [sym_line_comment] = STATE(5298),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_else] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_DASH_GT] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10447),
    [sym__immediate_command_start] = ACTIONS(10449),
  },
  [5299] = {
    [sym_do_clause] = STATE(5790),
    [sym_block_comment] = STATE(5299),
    [sym_line_comment] = STATE(5299),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_else] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10495),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_DASH_GT] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5300] = {
    [sym_do_clause] = STATE(5794),
    [sym_block_comment] = STATE(5300),
    [sym_line_comment] = STATE(5300),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_else] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_finally] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10495),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_DASH_GT] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5301] = {
    [sym_block_comment] = STATE(5301),
    [sym_line_comment] = STATE(5301),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_finally] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_COLON_EQ] = ACTIONS(10229),
    [anon_sym_DOT_EQ] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10229),
    [aux_sym__assignment_operator_token1] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [5302] = {
    [sym_do_clause] = STATE(5799),
    [sym_block_comment] = STATE(5302),
    [sym_line_comment] = STATE(5302),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_else] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10495),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_DASH_GT] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5303] = {
    [sym_block_comment] = STATE(5303),
    [sym_line_comment] = STATE(5303),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_COLON_EQ] = ACTIONS(3226),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3226),
    [aux_sym_integer_literal_token2] = ACTIONS(3226),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3226),
    [aux_sym_float_literal_token3] = ACTIONS(3226),
    [aux_sym_float_literal_token4] = ACTIONS(3226),
    [sym_character_literal] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3226),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3226),
    [anon_sym_DOLLAR_EQ] = ACTIONS(3226),
    [aux_sym__assignment_operator_token1] = ACTIONS(3226),
    [sym__pair_operator] = ACTIONS(3226),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3226),
    [sym__pipe_left_operator] = ACTIONS(3226),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3226),
    [sym__type_order_operator] = ACTIONS(3226),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [5304] = {
    [sym_block_comment] = STATE(5304),
    [sym_line_comment] = STATE(5304),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_finally] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_COLON_EQ] = ACTIONS(10277),
    [anon_sym_DOT_EQ] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10277),
    [aux_sym__assignment_operator_token1] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [5305] = {
    [sym_block_comment] = STATE(5305),
    [sym_line_comment] = STATE(5305),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_COLON_EQ] = ACTIONS(10015),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10015),
    [aux_sym__assignment_operator_token1] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5306] = {
    [sym_block_comment] = STATE(5306),
    [sym_line_comment] = STATE(5306),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_finally] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_COLON_EQ] = ACTIONS(10379),
    [anon_sym_DOT_EQ] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10379),
    [aux_sym__assignment_operator_token1] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [5307] = {
    [sym_block_comment] = STATE(5307),
    [sym_line_comment] = STATE(5307),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_else] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_finally] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_DASH_GT] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [5308] = {
    [sym_block_comment] = STATE(5308),
    [sym_line_comment] = STATE(5308),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_COLON_EQ] = ACTIONS(10395),
    [anon_sym_DOT_EQ] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10395),
    [aux_sym__assignment_operator_token1] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [5309] = {
    [sym_block_comment] = STATE(5309),
    [sym_line_comment] = STATE(5309),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_COLON_EQ] = ACTIONS(10413),
    [anon_sym_DOT_EQ] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10413),
    [aux_sym__assignment_operator_token1] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [5310] = {
    [sym_block_comment] = STATE(5310),
    [sym_line_comment] = STATE(5310),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_COLON_EQ] = ACTIONS(9993),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9993),
    [aux_sym__assignment_operator_token1] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [5311] = {
    [sym_do_clause] = STATE(5878),
    [sym_block_comment] = STATE(5311),
    [sym_line_comment] = STATE(5311),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_elseif] = ACTIONS(9987),
    [anon_sym_else] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10497),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5312] = {
    [sym_do_clause] = STATE(5829),
    [sym_block_comment] = STATE(5312),
    [sym_line_comment] = STATE(5312),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_finally] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10499),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_DASH_GT] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5313] = {
    [sym_do_clause] = STATE(5835),
    [sym_block_comment] = STATE(5313),
    [sym_line_comment] = STATE(5313),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10499),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_DASH_GT] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5314] = {
    [sym_block_comment] = STATE(5314),
    [sym_line_comment] = STATE(5314),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_DASH_GT] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5315] = {
    [sym_block_comment] = STATE(5315),
    [sym_line_comment] = STATE(5315),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_COLON_EQ] = ACTIONS(9909),
    [anon_sym_DOT_EQ] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9909),
    [aux_sym__assignment_operator_token1] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5316] = {
    [sym_block_comment] = STATE(5316),
    [sym_line_comment] = STATE(5316),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_COLON_EQ] = ACTIONS(10097),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10097),
    [aux_sym__assignment_operator_token1] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [5317] = {
    [sym_block_comment] = STATE(5317),
    [sym_line_comment] = STATE(5317),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_COLON_EQ] = ACTIONS(10101),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10101),
    [aux_sym__assignment_operator_token1] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [5318] = {
    [sym_block_comment] = STATE(5318),
    [sym_line_comment] = STATE(5318),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10501),
    [sym__immediate_command_start] = ACTIONS(10503),
  },
  [5319] = {
    [sym_block_comment] = STATE(5319),
    [sym_line_comment] = STATE(5319),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_COLON_EQ] = ACTIONS(10083),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10083),
    [aux_sym__assignment_operator_token1] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [5320] = {
    [sym_block_comment] = STATE(5320),
    [sym_line_comment] = STATE(5320),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5321] = {
    [sym_block_comment] = STATE(5321),
    [sym_line_comment] = STATE(5321),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_elseif] = ACTIONS(10085),
    [anon_sym_else] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [5322] = {
    [sym_block_comment] = STATE(5322),
    [sym_line_comment] = STATE(5322),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_DASH_GT] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5323] = {
    [sym_block_comment] = STATE(5323),
    [sym_line_comment] = STATE(5323),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_COLON_EQ] = ACTIONS(10421),
    [anon_sym_DOT_EQ] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10421),
    [aux_sym__assignment_operator_token1] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [5324] = {
    [sym_block_comment] = STATE(5324),
    [sym_line_comment] = STATE(5324),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_COLON_EQ] = ACTIONS(10429),
    [anon_sym_DOT_EQ] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10429),
    [aux_sym__assignment_operator_token1] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [5325] = {
    [sym_block_comment] = STATE(5325),
    [sym_line_comment] = STATE(5325),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_COLON_EQ] = ACTIONS(10433),
    [anon_sym_DOT_EQ] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10433),
    [aux_sym__assignment_operator_token1] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [5326] = {
    [sym_block_comment] = STATE(5326),
    [sym_line_comment] = STATE(5326),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_COLON_EQ] = ACTIONS(10437),
    [anon_sym_DOT_EQ] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10437),
    [aux_sym__assignment_operator_token1] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [5327] = {
    [sym_block_comment] = STATE(5327),
    [sym_line_comment] = STATE(5327),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_elseif] = ACTIONS(10003),
    [anon_sym_else] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [5328] = {
    [sym_block_comment] = STATE(5328),
    [sym_line_comment] = STATE(5328),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_elseif] = ACTIONS(10159),
    [anon_sym_else] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_DASH_GT] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [5329] = {
    [sym_block_comment] = STATE(5329),
    [sym_line_comment] = STATE(5329),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_elseif] = ACTIONS(10163),
    [anon_sym_else] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_DASH_GT] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [5330] = {
    [sym_block_comment] = STATE(5330),
    [sym_line_comment] = STATE(5330),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_COLON_EQ] = ACTIONS(9995),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9995),
    [aux_sym__assignment_operator_token1] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10469),
    [sym__immediate_command_start] = ACTIONS(10471),
  },
  [5331] = {
    [sym_block_comment] = STATE(5331),
    [sym_line_comment] = STATE(5331),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_else] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_finally] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [5332] = {
    [sym_block_comment] = STATE(5332),
    [sym_line_comment] = STATE(5332),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_elseif] = ACTIONS(10055),
    [anon_sym_else] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_DASH_GT] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [5333] = {
    [sym_block_comment] = STATE(5333),
    [sym_line_comment] = STATE(5333),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_elseif] = ACTIONS(10033),
    [anon_sym_else] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_DASH_GT] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [5334] = {
    [sym_block_comment] = STATE(5334),
    [sym_line_comment] = STATE(5334),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_elseif] = ACTIONS(10051),
    [anon_sym_else] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_DASH_GT] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [5335] = {
    [sym_block_comment] = STATE(5335),
    [sym_line_comment] = STATE(5335),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_COLON_EQ] = ACTIONS(10221),
    [anon_sym_DOT_EQ] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10221),
    [aux_sym__assignment_operator_token1] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [5336] = {
    [sym_block_comment] = STATE(5336),
    [sym_line_comment] = STATE(5336),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_COLON_EQ] = ACTIONS(10225),
    [anon_sym_DOT_EQ] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10225),
    [aux_sym__assignment_operator_token1] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [5337] = {
    [sym_block_comment] = STATE(5337),
    [sym_line_comment] = STATE(5337),
    [ts_builtin_sym_end] = ACTIONS(9971),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_RBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_DASH_GT] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10505),
    [sym__immediate_command_start] = ACTIONS(10507),
  },
  [5338] = {
    [sym_block_comment] = STATE(5338),
    [sym_line_comment] = STATE(5338),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_elseif] = ACTIONS(10059),
    [anon_sym_else] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_DASH_GT] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [5339] = {
    [sym_block_comment] = STATE(5339),
    [sym_line_comment] = STATE(5339),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_elseif] = ACTIONS(10123),
    [anon_sym_else] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_DASH_GT] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [5340] = {
    [sym_block_comment] = STATE(5340),
    [sym_line_comment] = STATE(5340),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_COLON_EQ] = ACTIONS(10379),
    [anon_sym_DOT_EQ] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10379),
    [aux_sym__assignment_operator_token1] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [5341] = {
    [sym__assignment_operator] = STATE(4294),
    [sym_block_comment] = STATE(5341),
    [sym_line_comment] = STATE(5341),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10509),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10475),
    [anon_sym_DOT] = ACTIONS(10491),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
    [sym__immediate_bracket] = ACTIONS(10481),
    [sym__immediate_brace] = ACTIONS(10483),
  },
  [5342] = {
    [sym_block_comment] = STATE(5342),
    [sym_line_comment] = STATE(5342),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_elseif] = ACTIONS(10011),
    [anon_sym_else] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_DASH_GT] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [5343] = {
    [sym_block_comment] = STATE(5343),
    [sym_line_comment] = STATE(5343),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_COLON_EQ] = ACTIONS(10385),
    [anon_sym_DOT_EQ] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10385),
    [aux_sym__assignment_operator_token1] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [5344] = {
    [sym__primary_expression] = STATE(11956),
    [sym__array] = STATE(10654),
    [sym_comprehension_expression] = STATE(10689),
    [sym_matrix_expression] = STATE(10689),
    [sym_vector_expression] = STATE(10689),
    [sym_parenthesized_expression] = STATE(10654),
    [sym_tuple_expression] = STATE(10654),
    [sym_curly_expression] = STATE(10654),
    [sym_adjoint_expression] = STATE(10654),
    [sym_field_expression] = STATE(10654),
    [sym_index_expression] = STATE(10654),
    [sym_parametrized_type_expression] = STATE(10654),
    [sym_call_expression] = STATE(10654),
    [sym_broadcast_call_expression] = STATE(10654),
    [sym__closed_macrocall_expression] = STATE(10654),
    [sym_interpolation_expression] = STATE(10654),
    [sym_quote_expression] = STATE(10654),
    [sym_macro_identifier] = STATE(17588),
    [sym_identifier] = STATE(11313),
    [sym_boolean_literal] = STATE(10654),
    [sym__string] = STATE(10654),
    [sym__delimiter_str_1] = STATE(15341),
    [sym__delimiter_str_3] = STATE(15342),
    [sym__delimiter_cmd_1] = STATE(15343),
    [sym__delimiter_cmd_3] = STATE(15344),
    [sym_string_literal] = STATE(10680),
    [sym_command_literal] = STATE(10680),
    [sym_prefixed_string_literal] = STATE(10680),
    [sym_prefixed_command_literal] = STATE(10680),
    [sym_operator] = STATE(19440),
    [sym_block_comment] = STATE(5344),
    [sym_line_comment] = STATE(5344),
    [sym__word_identifier] = ACTIONS(10105),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(10107),
    [anon_sym_RPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(10109),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(189),
    [anon_sym_LBRACE] = ACTIONS(10111),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(10511),
    [anon_sym_COLON2] = ACTIONS(10513),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_COLON_EQ] = ACTIONS(189),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(10117),
    [anon_sym_true] = ACTIONS(10119),
    [anon_sym_false] = ACTIONS(10119),
    [sym_character_literal] = ACTIONS(10121),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(189),
    [aux_sym__assignment_operator_token1] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(9316),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9316),
    [sym__pipe_left_operator] = ACTIONS(9316),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5345] = {
    [sym_block_comment] = STATE(5345),
    [sym_line_comment] = STATE(5345),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_COLON_EQ] = ACTIONS(10139),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10139),
    [aux_sym__assignment_operator_token1] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [5346] = {
    [sym_block_comment] = STATE(5346),
    [sym_line_comment] = STATE(5346),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_COLON_EQ] = ACTIONS(10291),
    [anon_sym_DOT_EQ] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10291),
    [aux_sym__assignment_operator_token1] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [5347] = {
    [sym_block_comment] = STATE(5347),
    [sym_line_comment] = STATE(5347),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_COLON_EQ] = ACTIONS(10307),
    [anon_sym_DOT_EQ] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10307),
    [aux_sym__assignment_operator_token1] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [5348] = {
    [sym_block_comment] = STATE(5348),
    [sym_line_comment] = STATE(5348),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_COLON_EQ] = ACTIONS(10347),
    [anon_sym_DOT_EQ] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10347),
    [aux_sym__assignment_operator_token1] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [5349] = {
    [sym_block_comment] = STATE(5349),
    [sym_line_comment] = STATE(5349),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_COLON_EQ] = ACTIONS(10351),
    [anon_sym_DOT_EQ] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10351),
    [aux_sym__assignment_operator_token1] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [5350] = {
    [sym_block_comment] = STATE(5350),
    [sym_line_comment] = STATE(5350),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_COLON_EQ] = ACTIONS(10355),
    [anon_sym_DOT_EQ] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10355),
    [aux_sym__assignment_operator_token1] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [5351] = {
    [sym_block_comment] = STATE(5351),
    [sym_line_comment] = STATE(5351),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_COLON_EQ] = ACTIONS(10229),
    [anon_sym_DOT_EQ] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10229),
    [aux_sym__assignment_operator_token1] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [5352] = {
    [sym_block_comment] = STATE(5352),
    [sym_line_comment] = STATE(5352),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_COLON_EQ] = ACTIONS(10389),
    [anon_sym_DOT_EQ] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10389),
    [aux_sym__assignment_operator_token1] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [5353] = {
    [sym_block_comment] = STATE(5353),
    [sym_line_comment] = STATE(5353),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10515),
    [sym__immediate_command_start] = ACTIONS(10517),
  },
  [5354] = {
    [sym_do_clause] = STATE(6149),
    [sym_block_comment] = STATE(5354),
    [sym_line_comment] = STATE(5354),
    [ts_builtin_sym_end] = ACTIONS(9931),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_RBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10519),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_DASH_GT] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5355] = {
    [sym_block_comment] = STATE(5355),
    [sym_line_comment] = STATE(5355),
    [ts_builtin_sym_end] = ACTIONS(9943),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_RBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_DASH_GT] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10505),
    [sym__immediate_command_start] = ACTIONS(10507),
  },
  [5356] = {
    [sym_do_clause] = STATE(6150),
    [sym_block_comment] = STATE(5356),
    [sym_line_comment] = STATE(5356),
    [ts_builtin_sym_end] = ACTIONS(9937),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_RBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10519),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_DASH_GT] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5357] = {
    [sym_do_clause] = STATE(6155),
    [sym_block_comment] = STATE(5357),
    [sym_line_comment] = STATE(5357),
    [ts_builtin_sym_end] = ACTIONS(9947),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_RBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10519),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_DASH_GT] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5358] = {
    [sym_do_clause] = STATE(6160),
    [sym_block_comment] = STATE(5358),
    [sym_line_comment] = STATE(5358),
    [ts_builtin_sym_end] = ACTIONS(9989),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_RBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10519),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_DASH_GT] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5359] = {
    [sym_block_comment] = STATE(5359),
    [sym_line_comment] = STATE(5359),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_elseif] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5360] = {
    [sym_block_comment] = STATE(5360),
    [sym_line_comment] = STATE(5360),
    [ts_builtin_sym_end] = ACTIONS(9995),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_RBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DASH_GT] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10505),
    [sym__immediate_command_start] = ACTIONS(10507),
  },
  [5361] = {
    [sym_block_comment] = STATE(5361),
    [sym_line_comment] = STATE(5361),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_COLON_EQ] = ACTIONS(10015),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10015),
    [aux_sym__assignment_operator_token1] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5362] = {
    [sym_block_comment] = STATE(5362),
    [sym_line_comment] = STATE(5362),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_COLON_EQ] = ACTIONS(10235),
    [anon_sym_DOT_EQ] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10235),
    [aux_sym__assignment_operator_token1] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [5363] = {
    [sym_do_clause] = STATE(6189),
    [sym_block_comment] = STATE(5363),
    [sym_line_comment] = STATE(5363),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9931),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9931),
    [anon_sym_RPAREN] = ACTIONS(9931),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9931),
    [anon_sym_RBRACK] = ACTIONS(9931),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9931),
    [anon_sym_LBRACE] = ACTIONS(9931),
    [anon_sym_RBRACE] = ACTIONS(9931),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10521),
    [anon_sym_DOLLAR] = ACTIONS(9931),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9931),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9931),
    [anon_sym_QMARK] = ACTIONS(9931),
    [anon_sym_DASH_GT] = ACTIONS(9931),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9931),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9931),
    [aux_sym_integer_literal_token2] = ACTIONS(9931),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9931),
    [aux_sym_float_literal_token3] = ACTIONS(9931),
    [aux_sym_float_literal_token4] = ACTIONS(9931),
    [sym_character_literal] = ACTIONS(9931),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9931),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9931),
    [sym__pair_operator] = ACTIONS(9931),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9931),
    [sym__lazy_and_operator] = ACTIONS(9931),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9931),
    [sym__pipe_left_operator] = ACTIONS(9931),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9931),
    [sym__bitshift_operator] = ACTIONS(9931),
    [sym__power_operator] = ACTIONS(9931),
    [sym__tilde_operator] = ACTIONS(9931),
    [sym__type_order_operator] = ACTIONS(9931),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5364] = {
    [sym_block_comment] = STATE(5364),
    [sym_line_comment] = STATE(5364),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9943),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9943),
    [anon_sym_RPAREN] = ACTIONS(9943),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9943),
    [anon_sym_RBRACK] = ACTIONS(9943),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9943),
    [anon_sym_LBRACE] = ACTIONS(9943),
    [anon_sym_RBRACE] = ACTIONS(9943),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9943),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9943),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9943),
    [anon_sym_QMARK] = ACTIONS(9943),
    [anon_sym_DASH_GT] = ACTIONS(9943),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9943),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9943),
    [aux_sym_integer_literal_token2] = ACTIONS(9943),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9943),
    [aux_sym_float_literal_token3] = ACTIONS(9943),
    [aux_sym_float_literal_token4] = ACTIONS(9943),
    [sym_character_literal] = ACTIONS(9943),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9943),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9943),
    [sym__pair_operator] = ACTIONS(9943),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9943),
    [sym__lazy_and_operator] = ACTIONS(9943),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9943),
    [sym__pipe_left_operator] = ACTIONS(9943),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9943),
    [sym__bitshift_operator] = ACTIONS(9943),
    [sym__power_operator] = ACTIONS(9943),
    [sym__tilde_operator] = ACTIONS(9943),
    [sym__type_order_operator] = ACTIONS(9943),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10523),
    [sym__immediate_command_start] = ACTIONS(10525),
  },
  [5365] = {
    [sym_do_clause] = STATE(6190),
    [sym_block_comment] = STATE(5365),
    [sym_line_comment] = STATE(5365),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9937),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9937),
    [anon_sym_RPAREN] = ACTIONS(9937),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9937),
    [anon_sym_RBRACK] = ACTIONS(9937),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9937),
    [anon_sym_LBRACE] = ACTIONS(9937),
    [anon_sym_RBRACE] = ACTIONS(9937),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10521),
    [anon_sym_DOLLAR] = ACTIONS(9937),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9937),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9937),
    [anon_sym_QMARK] = ACTIONS(9937),
    [anon_sym_DASH_GT] = ACTIONS(9937),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9937),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9937),
    [aux_sym_integer_literal_token2] = ACTIONS(9937),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9937),
    [aux_sym_float_literal_token3] = ACTIONS(9937),
    [aux_sym_float_literal_token4] = ACTIONS(9937),
    [sym_character_literal] = ACTIONS(9937),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9937),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9937),
    [sym__pair_operator] = ACTIONS(9937),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9937),
    [sym__lazy_and_operator] = ACTIONS(9937),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9937),
    [sym__pipe_left_operator] = ACTIONS(9937),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9937),
    [sym__bitshift_operator] = ACTIONS(9937),
    [sym__power_operator] = ACTIONS(9937),
    [sym__tilde_operator] = ACTIONS(9937),
    [sym__type_order_operator] = ACTIONS(9937),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5366] = {
    [sym_block_comment] = STATE(5366),
    [sym_line_comment] = STATE(5366),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_COLON_EQ] = ACTIONS(10363),
    [anon_sym_DOT_EQ] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10363),
    [aux_sym__assignment_operator_token1] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [5367] = {
    [sym_block_comment] = STATE(5367),
    [sym_line_comment] = STATE(5367),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_COLON_EQ] = ACTIONS(9987),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9987),
    [aux_sym__assignment_operator_token1] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5368] = {
    [sym_do_clause] = STATE(6199),
    [sym_block_comment] = STATE(5368),
    [sym_line_comment] = STATE(5368),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9947),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9947),
    [anon_sym_RPAREN] = ACTIONS(9947),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9947),
    [anon_sym_RBRACK] = ACTIONS(9947),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9947),
    [anon_sym_LBRACE] = ACTIONS(9947),
    [anon_sym_RBRACE] = ACTIONS(9947),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10521),
    [anon_sym_DOLLAR] = ACTIONS(9947),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9947),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9947),
    [anon_sym_QMARK] = ACTIONS(9947),
    [anon_sym_DASH_GT] = ACTIONS(9947),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9947),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9947),
    [aux_sym_integer_literal_token2] = ACTIONS(9947),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9947),
    [aux_sym_float_literal_token3] = ACTIONS(9947),
    [aux_sym_float_literal_token4] = ACTIONS(9947),
    [sym_character_literal] = ACTIONS(9947),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9947),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9947),
    [sym__pair_operator] = ACTIONS(9947),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9947),
    [sym__lazy_and_operator] = ACTIONS(9947),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9947),
    [sym__pipe_left_operator] = ACTIONS(9947),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9947),
    [sym__bitshift_operator] = ACTIONS(9947),
    [sym__power_operator] = ACTIONS(9947),
    [sym__tilde_operator] = ACTIONS(9947),
    [sym__type_order_operator] = ACTIONS(9947),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5369] = {
    [sym_block_comment] = STATE(5369),
    [sym_line_comment] = STATE(5369),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(3222),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [anon_sym_DOLLAR_EQ] = ACTIONS(3222),
    [aux_sym__assignment_operator_token1] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [5370] = {
    [sym_block_comment] = STATE(5370),
    [sym_line_comment] = STATE(5370),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_COLON_EQ] = ACTIONS(10403),
    [anon_sym_DOT_EQ] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10403),
    [aux_sym__assignment_operator_token1] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [5371] = {
    [sym_do_clause] = STATE(6208),
    [sym_block_comment] = STATE(5371),
    [sym_line_comment] = STATE(5371),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9989),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9989),
    [anon_sym_RPAREN] = ACTIONS(9989),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9989),
    [anon_sym_RBRACK] = ACTIONS(9989),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9989),
    [anon_sym_LBRACE] = ACTIONS(9989),
    [anon_sym_RBRACE] = ACTIONS(9989),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10521),
    [anon_sym_DOLLAR] = ACTIONS(9989),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9989),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9989),
    [anon_sym_QMARK] = ACTIONS(9989),
    [anon_sym_DASH_GT] = ACTIONS(9989),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9989),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9989),
    [aux_sym_integer_literal_token2] = ACTIONS(9989),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9989),
    [aux_sym_float_literal_token3] = ACTIONS(9989),
    [aux_sym_float_literal_token4] = ACTIONS(9989),
    [sym_character_literal] = ACTIONS(9989),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9989),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9989),
    [sym__pair_operator] = ACTIONS(9989),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9989),
    [sym__lazy_and_operator] = ACTIONS(9989),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9989),
    [sym__pipe_left_operator] = ACTIONS(9989),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9989),
    [sym__bitshift_operator] = ACTIONS(9989),
    [sym__power_operator] = ACTIONS(9989),
    [sym__tilde_operator] = ACTIONS(9989),
    [sym__type_order_operator] = ACTIONS(9989),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5372] = {
    [sym__primary_expression] = STATE(11968),
    [sym__array] = STATE(11240),
    [sym_comprehension_expression] = STATE(11258),
    [sym_matrix_expression] = STATE(11258),
    [sym_vector_expression] = STATE(11258),
    [sym_parenthesized_expression] = STATE(11240),
    [sym_tuple_expression] = STATE(11240),
    [sym_curly_expression] = STATE(11240),
    [sym_adjoint_expression] = STATE(11240),
    [sym_field_expression] = STATE(11240),
    [sym_index_expression] = STATE(11240),
    [sym_parametrized_type_expression] = STATE(11240),
    [sym_call_expression] = STATE(11240),
    [sym_broadcast_call_expression] = STATE(11240),
    [sym__closed_macrocall_expression] = STATE(11240),
    [sym_interpolation_expression] = STATE(11240),
    [sym_quote_expression] = STATE(11240),
    [sym_macro_identifier] = STATE(18196),
    [sym_identifier] = STATE(11311),
    [sym_boolean_literal] = STATE(11240),
    [sym__string] = STATE(11240),
    [sym__delimiter_str_1] = STATE(15154),
    [sym__delimiter_str_3] = STATE(15155),
    [sym__delimiter_cmd_1] = STATE(15156),
    [sym__delimiter_cmd_3] = STATE(15157),
    [sym_string_literal] = STATE(11212),
    [sym_command_literal] = STATE(11212),
    [sym_prefixed_string_literal] = STATE(11212),
    [sym_prefixed_command_literal] = STATE(11212),
    [sym_operator] = STATE(19880),
    [sym_block_comment] = STATE(5372),
    [sym_line_comment] = STATE(5372),
    [sym__word_identifier] = ACTIONS(10527),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_elseif] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(10529),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(10531),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(10533),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(10535),
    [anon_sym_COLON2] = ACTIONS(10537),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(10539),
    [anon_sym_true] = ACTIONS(10541),
    [anon_sym_false] = ACTIONS(10541),
    [sym_character_literal] = ACTIONS(10543),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(9208),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9208),
    [sym__pipe_left_operator] = ACTIONS(9208),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9208),
    [sym__type_order_operator] = ACTIONS(9208),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5373] = {
    [sym_block_comment] = STATE(5373),
    [sym_line_comment] = STATE(5373),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_COLON_EQ] = ACTIONS(10311),
    [anon_sym_DOT_EQ] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10311),
    [aux_sym__assignment_operator_token1] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [5374] = {
    [sym_block_comment] = STATE(5374),
    [sym_line_comment] = STATE(5374),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_COLON_EQ] = ACTIONS(10399),
    [anon_sym_DOT_EQ] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10399),
    [aux_sym__assignment_operator_token1] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [5375] = {
    [sym_block_comment] = STATE(5375),
    [sym_line_comment] = STATE(5375),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_COLON_EQ] = ACTIONS(10263),
    [anon_sym_DOT_EQ] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10263),
    [aux_sym__assignment_operator_token1] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [5376] = {
    [sym_block_comment] = STATE(5376),
    [sym_line_comment] = STATE(5376),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_COLON_EQ] = ACTIONS(10339),
    [anon_sym_DOT_EQ] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10339),
    [aux_sym__assignment_operator_token1] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [5377] = {
    [sym_block_comment] = STATE(5377),
    [sym_line_comment] = STATE(5377),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_COLON_EQ] = ACTIONS(10375),
    [anon_sym_DOT_EQ] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10375),
    [aux_sym__assignment_operator_token1] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [5378] = {
    [sym_do_clause] = STATE(6228),
    [sym_block_comment] = STATE(5378),
    [sym_line_comment] = STATE(5378),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_else] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_finally] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10545),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5379] = {
    [sym_block_comment] = STATE(5379),
    [sym_line_comment] = STATE(5379),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_else] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10547),
    [sym__immediate_command_start] = ACTIONS(10549),
  },
  [5380] = {
    [sym_do_clause] = STATE(6229),
    [sym_block_comment] = STATE(5380),
    [sym_line_comment] = STATE(5380),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_else] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10545),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5381] = {
    [sym_block_comment] = STATE(5381),
    [sym_line_comment] = STATE(5381),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_COLON_EQ] = ACTIONS(10323),
    [anon_sym_DOT_EQ] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10323),
    [aux_sym__assignment_operator_token1] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [5382] = {
    [sym_block_comment] = STATE(5382),
    [sym_line_comment] = STATE(5382),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_COLON_EQ] = ACTIONS(10327),
    [anon_sym_DOT_EQ] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10327),
    [aux_sym__assignment_operator_token1] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [5383] = {
    [sym_do_clause] = STATE(6234),
    [sym_block_comment] = STATE(5383),
    [sym_line_comment] = STATE(5383),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_else] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_finally] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10545),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5384] = {
    [sym_block_comment] = STATE(5384),
    [sym_line_comment] = STATE(5384),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_COLON_EQ] = ACTIONS(10371),
    [anon_sym_DOT_EQ] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10371),
    [aux_sym__assignment_operator_token1] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [5385] = {
    [sym_do_clause] = STATE(6240),
    [sym_block_comment] = STATE(5385),
    [sym_line_comment] = STATE(5385),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_else] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10545),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5386] = {
    [sym_block_comment] = STATE(5386),
    [sym_line_comment] = STATE(5386),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_COLON_EQ] = ACTIONS(10239),
    [anon_sym_DOT_EQ] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10239),
    [aux_sym__assignment_operator_token1] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [5387] = {
    [sym_block_comment] = STATE(5387),
    [sym_line_comment] = STATE(5387),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_COLON_EQ] = ACTIONS(10245),
    [anon_sym_DOT_EQ] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10245),
    [aux_sym__assignment_operator_token1] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [5388] = {
    [sym_block_comment] = STATE(5388),
    [sym_line_comment] = STATE(5388),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_COLON_EQ] = ACTIONS(10409),
    [anon_sym_DOT_EQ] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10409),
    [aux_sym__assignment_operator_token1] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [5389] = {
    [sym_block_comment] = STATE(5389),
    [sym_line_comment] = STATE(5389),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_COLON_EQ] = ACTIONS(10217),
    [anon_sym_DOT_EQ] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10217),
    [aux_sym__assignment_operator_token1] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [5390] = {
    [sym_block_comment] = STATE(5390),
    [sym_line_comment] = STATE(5390),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_COLON_EQ] = ACTIONS(10249),
    [anon_sym_DOT_EQ] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10249),
    [aux_sym__assignment_operator_token1] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [5391] = {
    [sym_block_comment] = STATE(5391),
    [sym_line_comment] = STATE(5391),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_else] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_finally] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_DASH_GT] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [5392] = {
    [sym_block_comment] = STATE(5392),
    [sym_line_comment] = STATE(5392),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10547),
    [sym__immediate_command_start] = ACTIONS(10549),
  },
  [5393] = {
    [sym_block_comment] = STATE(5393),
    [sym_line_comment] = STATE(5393),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_COLON_EQ] = ACTIONS(10193),
    [anon_sym_DOT_EQ] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10193),
    [aux_sym__assignment_operator_token1] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [5394] = {
    [sym_block_comment] = STATE(5394),
    [sym_line_comment] = STATE(5394),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_RPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_RBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9995),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_RBRACE] = ACTIONS(9995),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9995),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_DASH_GT] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9995),
    [sym__bitshift_operator] = ACTIONS(9995),
    [sym__power_operator] = ACTIONS(9995),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10523),
    [sym__immediate_command_start] = ACTIONS(10525),
  },
  [5395] = {
    [sym_block_comment] = STATE(5395),
    [sym_line_comment] = STATE(5395),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_else] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_finally] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_DASH_GT] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [5396] = {
    [sym_block_comment] = STATE(5396),
    [sym_line_comment] = STATE(5396),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_elseif] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_DASH_GT] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10551),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5397] = {
    [sym_block_comment] = STATE(5397),
    [sym_line_comment] = STATE(5397),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_else] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_finally] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_DASH_GT] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [5398] = {
    [sym_block_comment] = STATE(5398),
    [sym_line_comment] = STATE(5398),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_COLON_EQ] = ACTIONS(10127),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10127),
    [aux_sym__assignment_operator_token1] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [5399] = {
    [sym_identifier] = STATE(5522),
    [sym_block_comment] = STATE(5399),
    [sym_line_comment] = STATE(5399),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_else] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_finally] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_DASH_GT] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [5400] = {
    [sym_block_comment] = STATE(5400),
    [sym_line_comment] = STATE(5400),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_RPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_RBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9971),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_RBRACE] = ACTIONS(9971),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9971),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_DASH_GT] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9971),
    [sym__bitshift_operator] = ACTIONS(9971),
    [sym__power_operator] = ACTIONS(9971),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10523),
    [sym__immediate_command_start] = ACTIONS(10525),
  },
  [5401] = {
    [sym_identifier] = STATE(5718),
    [sym_block_comment] = STATE(5401),
    [sym_line_comment] = STATE(5401),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_elseif] = ACTIONS(10131),
    [anon_sym_else] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_DASH_GT] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [5402] = {
    [sym_block_comment] = STATE(5402),
    [sym_line_comment] = STATE(5402),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_COLON_EQ] = ACTIONS(10209),
    [anon_sym_DOT_EQ] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10209),
    [aux_sym__assignment_operator_token1] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [5403] = {
    [sym_identifier] = STATE(5719),
    [sym_block_comment] = STATE(5403),
    [sym_line_comment] = STATE(5403),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_elseif] = ACTIONS(10135),
    [anon_sym_else] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_DASH_GT] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [5404] = {
    [sym_block_comment] = STATE(5404),
    [sym_line_comment] = STATE(5404),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_COLON_EQ] = ACTIONS(10213),
    [anon_sym_DOT_EQ] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10213),
    [aux_sym__assignment_operator_token1] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [5405] = {
    [sym_block_comment] = STATE(5405),
    [sym_line_comment] = STATE(5405),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_DASH_GT] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10553),
    [sym__immediate_command_start] = ACTIONS(10555),
  },
  [5406] = {
    [sym_block_comment] = STATE(5406),
    [sym_line_comment] = STATE(5406),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_else] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_finally] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_DASH_GT] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [5407] = {
    [sym_block_comment] = STATE(5407),
    [sym_line_comment] = STATE(5407),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_COLON_EQ] = ACTIONS(9971),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9971),
    [aux_sym__assignment_operator_token1] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10469),
    [sym__immediate_command_start] = ACTIONS(10471),
  },
  [5408] = {
    [sym_block_comment] = STATE(5408),
    [sym_line_comment] = STATE(5408),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_COLON_EQ] = ACTIONS(9941),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9941),
    [aux_sym__assignment_operator_token1] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [5409] = {
    [sym_block_comment] = STATE(5409),
    [sym_line_comment] = STATE(5409),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_else] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_finally] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_DASH_GT] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [5410] = {
    [sym__primary_expression] = STATE(11893),
    [sym__array] = STATE(11843),
    [sym_comprehension_expression] = STATE(11848),
    [sym_matrix_expression] = STATE(11848),
    [sym_vector_expression] = STATE(11848),
    [sym_parenthesized_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(11843),
    [sym_curly_expression] = STATE(11843),
    [sym_adjoint_expression] = STATE(11843),
    [sym_field_expression] = STATE(11843),
    [sym_index_expression] = STATE(11843),
    [sym_parametrized_type_expression] = STATE(11843),
    [sym_call_expression] = STATE(11843),
    [sym_broadcast_call_expression] = STATE(11843),
    [sym__closed_macrocall_expression] = STATE(11843),
    [sym_interpolation_expression] = STATE(11843),
    [sym_quote_expression] = STATE(11843),
    [sym_macro_identifier] = STATE(17747),
    [sym_identifier] = STATE(11296),
    [sym_boolean_literal] = STATE(11843),
    [sym__string] = STATE(11843),
    [sym__delimiter_str_1] = STATE(15321),
    [sym__delimiter_str_3] = STATE(15322),
    [sym__delimiter_cmd_1] = STATE(15323),
    [sym__delimiter_cmd_3] = STATE(15325),
    [sym_string_literal] = STATE(11846),
    [sym_command_literal] = STATE(11846),
    [sym_prefixed_string_literal] = STATE(11846),
    [sym_prefixed_command_literal] = STATE(11846),
    [sym_operator] = STATE(19500),
    [sym_block_comment] = STATE(5410),
    [sym_line_comment] = STATE(5410),
    [sym__word_identifier] = ACTIONS(10557),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(10559),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(10561),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(10563),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(10565),
    [anon_sym_COLON2] = ACTIONS(10567),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(10539),
    [anon_sym_true] = ACTIONS(10569),
    [anon_sym_false] = ACTIONS(10569),
    [sym_character_literal] = ACTIONS(10571),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(9208),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9208),
    [sym__pipe_left_operator] = ACTIONS(9208),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9208),
    [sym__type_order_operator] = ACTIONS(9208),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5411] = {
    [sym_block_comment] = STATE(5411),
    [sym_line_comment] = STATE(5411),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_COLON_EQ] = ACTIONS(9969),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9969),
    [aux_sym__assignment_operator_token1] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [5412] = {
    [sym_block_comment] = STATE(5412),
    [sym_line_comment] = STATE(5412),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_COLON_EQ] = ACTIONS(10277),
    [anon_sym_DOT_EQ] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10277),
    [aux_sym__assignment_operator_token1] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [5413] = {
    [sym_block_comment] = STATE(5413),
    [sym_line_comment] = STATE(5413),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_else] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_finally] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_DASH_GT] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [5414] = {
    [sym_block_comment] = STATE(5414),
    [sym_line_comment] = STATE(5414),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_else] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_finally] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [5415] = {
    [sym_block_comment] = STATE(5415),
    [sym_line_comment] = STATE(5415),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_elseif] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10573),
    [sym__immediate_command_start] = ACTIONS(10575),
  },
  [5416] = {
    [sym_do_clause] = STATE(5821),
    [sym_block_comment] = STATE(5416),
    [sym_line_comment] = STATE(5416),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_finally] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10499),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_DASH_GT] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5417] = {
    [sym_block_comment] = STATE(5417),
    [sym_line_comment] = STATE(5417),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_COLON_EQ] = ACTIONS(9933),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9933),
    [aux_sym__assignment_operator_token1] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5418] = {
    [sym_block_comment] = STATE(5418),
    [sym_line_comment] = STATE(5418),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DASH_GT] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10515),
    [sym__immediate_command_start] = ACTIONS(10517),
  },
  [5419] = {
    [sym_block_comment] = STATE(5419),
    [sym_line_comment] = STATE(5419),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_elseif] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10573),
    [sym__immediate_command_start] = ACTIONS(10575),
  },
  [5420] = {
    [sym_block_comment] = STATE(5420),
    [sym_line_comment] = STATE(5420),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_DASH_GT] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10501),
    [sym__immediate_command_start] = ACTIONS(10503),
  },
  [5421] = {
    [sym_block_comment] = STATE(5421),
    [sym_line_comment] = STATE(5421),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_COLON_EQ] = ACTIONS(10343),
    [anon_sym_DOT_EQ] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10343),
    [aux_sym__assignment_operator_token1] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [5422] = {
    [sym_block_comment] = STATE(5422),
    [sym_line_comment] = STATE(5422),
    [ts_builtin_sym_end] = ACTIONS(189),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_RBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10505),
    [sym__immediate_command_start] = ACTIONS(10507),
  },
  [5423] = {
    [sym_block_comment] = STATE(5423),
    [sym_line_comment] = STATE(5423),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_COLON_EQ] = ACTIONS(10417),
    [anon_sym_DOT_EQ] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10417),
    [aux_sym__assignment_operator_token1] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [5424] = {
    [sym_block_comment] = STATE(5424),
    [sym_line_comment] = STATE(5424),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_COLON_EQ] = ACTIONS(10359),
    [anon_sym_DOT_EQ] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10359),
    [aux_sym__assignment_operator_token1] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [5425] = {
    [sym_block_comment] = STATE(5425),
    [sym_line_comment] = STATE(5425),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_RPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(189),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(189),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_DASH_GT] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(189),
    [aux_sym_float_literal_token3] = ACTIONS(189),
    [aux_sym_float_literal_token4] = ACTIONS(189),
    [sym_character_literal] = ACTIONS(189),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(189),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(189),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(189),
    [sym__pipe_left_operator] = ACTIONS(189),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(189),
    [sym__bitshift_operator] = ACTIONS(189),
    [sym__power_operator] = ACTIONS(189),
    [sym__tilde_operator] = ACTIONS(189),
    [sym__type_order_operator] = ACTIONS(189),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10523),
    [sym__immediate_command_start] = ACTIONS(10525),
  },
  [5426] = {
    [sym_block_comment] = STATE(5426),
    [sym_line_comment] = STATE(5426),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_elseif] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10573),
    [sym__immediate_command_start] = ACTIONS(10575),
  },
  [5427] = {
    [sym_block_comment] = STATE(5427),
    [sym_line_comment] = STATE(5427),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DASH_GT] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10501),
    [sym__immediate_command_start] = ACTIONS(10503),
  },
  [5428] = {
    [sym_block_comment] = STATE(5428),
    [sym_line_comment] = STATE(5428),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10547),
    [sym__immediate_command_start] = ACTIONS(10549),
  },
  [5429] = {
    [sym_block_comment] = STATE(5429),
    [sym_line_comment] = STATE(5429),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_COLON_EQ] = ACTIONS(10315),
    [anon_sym_DOT_EQ] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10315),
    [aux_sym__assignment_operator_token1] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [5430] = {
    [sym_block_comment] = STATE(5430),
    [sym_line_comment] = STATE(5430),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_DASH_GT] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10515),
    [sym__immediate_command_start] = ACTIONS(10517),
  },
  [5431] = {
    [sym_block_comment] = STATE(5431),
    [sym_line_comment] = STATE(5431),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_COLON_EQ] = ACTIONS(10171),
    [anon_sym_DOT_EQ] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10171),
    [aux_sym__assignment_operator_token1] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [5432] = {
    [sym_block_comment] = STATE(5432),
    [sym_line_comment] = STATE(5432),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_COLON_EQ] = ACTIONS(10175),
    [anon_sym_DOT_EQ] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10175),
    [aux_sym__assignment_operator_token1] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [5433] = {
    [sym_block_comment] = STATE(5433),
    [sym_line_comment] = STATE(5433),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5434] = {
    [sym_block_comment] = STATE(5434),
    [sym_line_comment] = STATE(5434),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_COLON_EQ] = ACTIONS(10319),
    [anon_sym_DOT_EQ] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10319),
    [aux_sym__assignment_operator_token1] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [5435] = {
    [sym_identifier] = STATE(5724),
    [sym_block_comment] = STATE(5435),
    [sym_line_comment] = STATE(5435),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_elseif] = ACTIONS(10143),
    [anon_sym_else] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_DASH_GT] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [5436] = {
    [sym_do_clause] = STATE(5868),
    [sym_block_comment] = STATE(5436),
    [sym_line_comment] = STATE(5436),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_elseif] = ACTIONS(9927),
    [anon_sym_else] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10497),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5437] = {
    [sym_block_comment] = STATE(5437),
    [sym_line_comment] = STATE(5437),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_elseif] = ACTIONS(9941),
    [anon_sym_else] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10573),
    [sym__immediate_command_start] = ACTIONS(10575),
  },
  [5438] = {
    [sym_do_clause] = STATE(5869),
    [sym_block_comment] = STATE(5438),
    [sym_line_comment] = STATE(5438),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_elseif] = ACTIONS(9933),
    [anon_sym_else] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10497),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5439] = {
    [sym_do_clause] = STATE(5823),
    [sym_block_comment] = STATE(5439),
    [sym_line_comment] = STATE(5439),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10499),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_DASH_GT] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5440] = {
    [sym_block_comment] = STATE(5440),
    [sym_line_comment] = STATE(5440),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10553),
    [sym__immediate_command_start] = ACTIONS(10555),
  },
  [5441] = {
    [sym__assignment_operator] = STATE(4256),
    [sym_block_comment] = STATE(5441),
    [sym_line_comment] = STATE(5441),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10577),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10183),
    [anon_sym_DOT] = ACTIONS(10185),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
    [sym__immediate_bracket] = ACTIONS(10189),
    [sym__immediate_brace] = ACTIONS(10191),
  },
  [5442] = {
    [sym_block_comment] = STATE(5442),
    [sym_line_comment] = STATE(5442),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10547),
    [sym__immediate_command_start] = ACTIONS(10549),
  },
  [5443] = {
    [sym_do_clause] = STATE(6309),
    [sym_block_comment] = STATE(5443),
    [sym_line_comment] = STATE(5443),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_catch] = ACTIONS(9927),
    [anon_sym_finally] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10579),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_DASH_GT] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5444] = {
    [sym_block_comment] = STATE(5444),
    [sym_line_comment] = STATE(5444),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_catch] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_DASH_GT] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10553),
    [sym__immediate_command_start] = ACTIONS(10555),
  },
  [5445] = {
    [sym_do_clause] = STATE(6310),
    [sym_block_comment] = STATE(5445),
    [sym_line_comment] = STATE(5445),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_catch] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10579),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_DASH_GT] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5446] = {
    [sym_do_clause] = STATE(6316),
    [sym_block_comment] = STATE(5446),
    [sym_line_comment] = STATE(5446),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_catch] = ACTIONS(9945),
    [anon_sym_finally] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10579),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_DASH_GT] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5447] = {
    [sym_do_clause] = STATE(6321),
    [sym_block_comment] = STATE(5447),
    [sym_line_comment] = STATE(5447),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_catch] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10579),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_DASH_GT] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5448] = {
    [sym_identifier] = STATE(5725),
    [sym_block_comment] = STATE(5448),
    [sym_line_comment] = STATE(5448),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_elseif] = ACTIONS(10007),
    [anon_sym_else] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_DASH_GT] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [5449] = {
    [sym_do_clause] = STATE(6335),
    [sym_block_comment] = STATE(5449),
    [sym_line_comment] = STATE(5449),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9931),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9931),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9931),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9931),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10581),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9931),
    [anon_sym_COLON_EQ] = ACTIONS(9931),
    [anon_sym_DOT_EQ] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9931),
    [anon_sym_QMARK] = ACTIONS(9931),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9931),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9931),
    [aux_sym_integer_literal_token2] = ACTIONS(9931),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9931),
    [aux_sym_float_literal_token3] = ACTIONS(9931),
    [aux_sym_float_literal_token4] = ACTIONS(9931),
    [sym_character_literal] = ACTIONS(9931),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9931),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9931),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9931),
    [aux_sym__assignment_operator_token1] = ACTIONS(9931),
    [sym__pair_operator] = ACTIONS(9931),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9931),
    [sym__lazy_and_operator] = ACTIONS(9931),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9931),
    [sym__pipe_left_operator] = ACTIONS(9931),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9931),
    [sym__type_order_operator] = ACTIONS(9931),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5450] = {
    [sym_block_comment] = STATE(5450),
    [sym_line_comment] = STATE(5450),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9943),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9943),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9943),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9943),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9943),
    [anon_sym_COLON_EQ] = ACTIONS(9943),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9943),
    [anon_sym_QMARK] = ACTIONS(9943),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9943),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9943),
    [aux_sym_integer_literal_token2] = ACTIONS(9943),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9943),
    [aux_sym_float_literal_token3] = ACTIONS(9943),
    [aux_sym_float_literal_token4] = ACTIONS(9943),
    [sym_character_literal] = ACTIONS(9943),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9943),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9943),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9943),
    [aux_sym__assignment_operator_token1] = ACTIONS(9943),
    [sym__pair_operator] = ACTIONS(9943),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9943),
    [sym__lazy_and_operator] = ACTIONS(9943),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9943),
    [sym__pipe_left_operator] = ACTIONS(9943),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9943),
    [sym__type_order_operator] = ACTIONS(9943),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10469),
    [sym__immediate_command_start] = ACTIONS(10471),
  },
  [5451] = {
    [sym_do_clause] = STATE(6336),
    [sym_block_comment] = STATE(5451),
    [sym_line_comment] = STATE(5451),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9937),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9937),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9937),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9937),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10581),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9937),
    [anon_sym_COLON_EQ] = ACTIONS(9937),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9937),
    [anon_sym_QMARK] = ACTIONS(9937),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9937),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9937),
    [aux_sym_integer_literal_token2] = ACTIONS(9937),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9937),
    [aux_sym_float_literal_token3] = ACTIONS(9937),
    [aux_sym_float_literal_token4] = ACTIONS(9937),
    [sym_character_literal] = ACTIONS(9937),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9937),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9937),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9937),
    [aux_sym__assignment_operator_token1] = ACTIONS(9937),
    [sym__pair_operator] = ACTIONS(9937),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9937),
    [sym__lazy_and_operator] = ACTIONS(9937),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9937),
    [sym__pipe_left_operator] = ACTIONS(9937),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9937),
    [sym__type_order_operator] = ACTIONS(9937),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5452] = {
    [sym__assignment_operator] = STATE(4281),
    [sym_block_comment] = STATE(5452),
    [sym_line_comment] = STATE(5452),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10475),
    [anon_sym_DOT] = ACTIONS(10477),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
    [sym__immediate_bracket] = ACTIONS(10481),
    [sym__immediate_brace] = ACTIONS(10483),
  },
  [5453] = {
    [sym_do_clause] = STATE(6339),
    [sym_block_comment] = STATE(5453),
    [sym_line_comment] = STATE(5453),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9947),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9947),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9947),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9947),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10581),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9947),
    [anon_sym_COLON_EQ] = ACTIONS(9947),
    [anon_sym_DOT_EQ] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9947),
    [anon_sym_QMARK] = ACTIONS(9947),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9947),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9947),
    [aux_sym_integer_literal_token2] = ACTIONS(9947),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9947),
    [aux_sym_float_literal_token3] = ACTIONS(9947),
    [aux_sym_float_literal_token4] = ACTIONS(9947),
    [sym_character_literal] = ACTIONS(9947),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9947),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9947),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9947),
    [aux_sym__assignment_operator_token1] = ACTIONS(9947),
    [sym__pair_operator] = ACTIONS(9947),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9947),
    [sym__lazy_and_operator] = ACTIONS(9947),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9947),
    [sym__pipe_left_operator] = ACTIONS(9947),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9947),
    [sym__type_order_operator] = ACTIONS(9947),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5454] = {
    [sym_do_clause] = STATE(6342),
    [sym_block_comment] = STATE(5454),
    [sym_line_comment] = STATE(5454),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9989),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9989),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9989),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9989),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10581),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9989),
    [anon_sym_COLON_EQ] = ACTIONS(9989),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9989),
    [anon_sym_QMARK] = ACTIONS(9989),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9989),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9989),
    [aux_sym_integer_literal_token2] = ACTIONS(9989),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9989),
    [aux_sym_float_literal_token3] = ACTIONS(9989),
    [aux_sym_float_literal_token4] = ACTIONS(9989),
    [sym_character_literal] = ACTIONS(9989),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9989),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9989),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9989),
    [aux_sym__assignment_operator_token1] = ACTIONS(9989),
    [sym__pair_operator] = ACTIONS(9989),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9989),
    [sym__lazy_and_operator] = ACTIONS(9989),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9989),
    [sym__pipe_left_operator] = ACTIONS(9989),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9989),
    [sym__type_order_operator] = ACTIONS(9989),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5455] = {
    [sym_block_comment] = STATE(5455),
    [sym_line_comment] = STATE(5455),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_DASH_GT] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10515),
    [sym__immediate_command_start] = ACTIONS(10517),
  },
  [5456] = {
    [sym_block_comment] = STATE(5456),
    [sym_line_comment] = STATE(5456),
    [ts_builtin_sym_end] = ACTIONS(9909),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_RBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_DASH_GT] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5457] = {
    [sym__assignment_operator] = STATE(4256),
    [sym_block_comment] = STATE(5457),
    [sym_line_comment] = STATE(5457),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10583),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10183),
    [anon_sym_DOT] = ACTIONS(10185),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
    [sym__immediate_bracket] = ACTIONS(10189),
    [sym__immediate_brace] = ACTIONS(10191),
  },
  [5458] = {
    [sym__assignment_operator] = STATE(4249),
    [sym_block_comment] = STATE(5458),
    [sym_line_comment] = STATE(5458),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10475),
    [anon_sym_DOT] = ACTIONS(10491),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
    [sym__immediate_bracket] = ACTIONS(10481),
    [sym__immediate_brace] = ACTIONS(10483),
  },
  [5459] = {
    [sym_block_comment] = STATE(5459),
    [sym_line_comment] = STATE(5459),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_RPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_RBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9909),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_RBRACE] = ACTIONS(9909),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9909),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_DASH_GT] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9909),
    [sym__bitshift_operator] = ACTIONS(9909),
    [sym__power_operator] = ACTIONS(9909),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5460] = {
    [sym_block_comment] = STATE(5460),
    [sym_line_comment] = STATE(5460),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_DASH_GT] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10585),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5461] = {
    [sym_block_comment] = STATE(5461),
    [sym_line_comment] = STATE(5461),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5462] = {
    [sym_do_clause] = STATE(5873),
    [sym_block_comment] = STATE(5462),
    [sym_line_comment] = STATE(5462),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_elseif] = ACTIONS(9945),
    [anon_sym_else] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10497),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5463] = {
    [sym_block_comment] = STATE(5463),
    [sym_line_comment] = STATE(5463),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_else] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_finally] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_DASH_GT] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [5464] = {
    [sym_block_comment] = STATE(5464),
    [sym_line_comment] = STATE(5464),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_elseif] = ACTIONS(10073),
    [anon_sym_else] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_DASH_GT] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [5465] = {
    [sym__assignment_operator] = STATE(4285),
    [sym_block_comment] = STATE(5465),
    [sym_line_comment] = STATE(5465),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10183),
    [anon_sym_DOT] = ACTIONS(10407),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
    [sym__immediate_bracket] = ACTIONS(10189),
    [sym__immediate_brace] = ACTIONS(10191),
  },
  [5466] = {
    [sym_block_comment] = STATE(5466),
    [sym_line_comment] = STATE(5466),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_DASH_GT] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5467] = {
    [sym_block_comment] = STATE(5467),
    [sym_line_comment] = STATE(5467),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_else] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_finally] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_DASH_GT] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [5468] = {
    [sym_block_comment] = STATE(5468),
    [sym_line_comment] = STATE(5468),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_elseif] = ACTIONS(10079),
    [anon_sym_else] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_DASH_GT] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [5469] = {
    [sym_identifier] = STATE(5515),
    [sym_block_comment] = STATE(5469),
    [sym_line_comment] = STATE(5469),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_else] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_finally] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_DASH_GT] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [5470] = {
    [sym_identifier] = STATE(5516),
    [sym_block_comment] = STATE(5470),
    [sym_line_comment] = STATE(5470),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_else] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_finally] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_DASH_GT] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [5471] = {
    [sym_block_comment] = STATE(5471),
    [sym_line_comment] = STATE(5471),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DASH_GT] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10553),
    [sym__immediate_command_start] = ACTIONS(10555),
  },
  [5472] = {
    [sym__assignment_operator] = STATE(4285),
    [sym_block_comment] = STATE(5472),
    [sym_line_comment] = STATE(5472),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10183),
    [anon_sym_DOT] = ACTIONS(10407),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
    [sym__immediate_bracket] = ACTIONS(10189),
    [sym__immediate_brace] = ACTIONS(10191),
  },
  [5473] = {
    [sym__assignment_operator] = STATE(4281),
    [sym_block_comment] = STATE(5473),
    [sym_line_comment] = STATE(5473),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10475),
    [anon_sym_DOT] = ACTIONS(10477),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
    [sym__immediate_bracket] = ACTIONS(10481),
    [sym__immediate_brace] = ACTIONS(10483),
  },
  [5474] = {
    [sym_do_clause] = STATE(6389),
    [sym_block_comment] = STATE(5474),
    [sym_line_comment] = STATE(5474),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_catch] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10587),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_DASH_GT] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5475] = {
    [sym_block_comment] = STATE(5475),
    [sym_line_comment] = STATE(5475),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_catch] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_DASH_GT] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10501),
    [sym__immediate_command_start] = ACTIONS(10503),
  },
  [5476] = {
    [sym_do_clause] = STATE(6390),
    [sym_block_comment] = STATE(5476),
    [sym_line_comment] = STATE(5476),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_catch] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10587),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_DASH_GT] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5477] = {
    [sym_do_clause] = STATE(6396),
    [sym_block_comment] = STATE(5477),
    [sym_line_comment] = STATE(5477),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_catch] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10587),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_DASH_GT] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5478] = {
    [sym_do_clause] = STATE(6401),
    [sym_block_comment] = STATE(5478),
    [sym_line_comment] = STATE(5478),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_catch] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10587),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_DASH_GT] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5479] = {
    [sym_identifier] = STATE(5521),
    [sym_block_comment] = STATE(5479),
    [sym_line_comment] = STATE(5479),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_else] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_finally] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_DASH_GT] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [5480] = {
    [sym_block_comment] = STATE(5480),
    [sym_line_comment] = STATE(5480),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_else] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_finally] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_DASH_GT] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [5481] = {
    [sym_block_comment] = STATE(5481),
    [sym_line_comment] = STATE(5481),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10147),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10147),
    [anon_sym_RPAREN] = ACTIONS(10147),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10147),
    [anon_sym_RBRACK] = ACTIONS(10147),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10147),
    [anon_sym_LBRACE] = ACTIONS(10147),
    [anon_sym_RBRACE] = ACTIONS(10147),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10147),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10147),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10147),
    [anon_sym_QMARK] = ACTIONS(10147),
    [anon_sym_DASH_GT] = ACTIONS(10147),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10147),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10147),
    [aux_sym_integer_literal_token2] = ACTIONS(10147),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10147),
    [aux_sym_float_literal_token3] = ACTIONS(10147),
    [aux_sym_float_literal_token4] = ACTIONS(10147),
    [sym_character_literal] = ACTIONS(10147),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10147),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10147),
    [sym__pair_operator] = ACTIONS(10147),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10147),
    [sym__lazy_and_operator] = ACTIONS(10147),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10147),
    [sym__pipe_left_operator] = ACTIONS(10147),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10147),
    [sym__bitshift_operator] = ACTIONS(10147),
    [sym__power_operator] = ACTIONS(10147),
    [sym__tilde_operator] = ACTIONS(10147),
    [sym__type_order_operator] = ACTIONS(10147),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [5482] = {
    [sym_block_comment] = STATE(5482),
    [sym_line_comment] = STATE(5482),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [5483] = {
    [sym_block_comment] = STATE(5483),
    [sym_line_comment] = STATE(5483),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_elseif] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_DASH_GT] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5484] = {
    [sym_block_comment] = STATE(5484),
    [sym_line_comment] = STATE(5484),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_elseif] = ACTIONS(10363),
    [anon_sym_else] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_DASH_GT] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [5485] = {
    [sym_block_comment] = STATE(5485),
    [sym_line_comment] = STATE(5485),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_elseif] = ACTIONS(10375),
    [anon_sym_else] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_DASH_GT] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [5486] = {
    [sym_block_comment] = STATE(5486),
    [sym_line_comment] = STATE(5486),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10589),
    [sym__immediate_command_start] = ACTIONS(10591),
  },
  [5487] = {
    [sym_block_comment] = STATE(5487),
    [sym_line_comment] = STATE(5487),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_else] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_DASH_GT] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [5488] = {
    [sym_block_comment] = STATE(5488),
    [sym_line_comment] = STATE(5488),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_else] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_DASH_GT] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [5489] = {
    [sym_block_comment] = STATE(5489),
    [sym_line_comment] = STATE(5489),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_else] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5490] = {
    [sym_block_comment] = STATE(5490),
    [sym_line_comment] = STATE(5490),
    [ts_builtin_sym_end] = ACTIONS(189),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_RBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10593),
    [sym__immediate_command_start] = ACTIONS(10595),
  },
  [5491] = {
    [sym_do_clause] = STATE(6684),
    [sym_block_comment] = STATE(5491),
    [sym_line_comment] = STATE(5491),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_finally] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10597),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5492] = {
    [sym_block_comment] = STATE(5492),
    [sym_line_comment] = STATE(5492),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_else] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_finally] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_DASH_GT] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [5493] = {
    [sym_block_comment] = STATE(5493),
    [sym_line_comment] = STATE(5493),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_else] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_finally] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_DASH_GT] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [5494] = {
    [sym_block_comment] = STATE(5494),
    [sym_line_comment] = STATE(5494),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_else] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_finally] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_DASH_GT] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [5495] = {
    [sym_block_comment] = STATE(5495),
    [sym_line_comment] = STATE(5495),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_else] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_finally] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_DASH_GT] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [5496] = {
    [sym_block_comment] = STATE(5496),
    [sym_line_comment] = STATE(5496),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_else] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_finally] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_DASH_GT] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [5497] = {
    [sym_block_comment] = STATE(5497),
    [sym_line_comment] = STATE(5497),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_else] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_finally] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_DASH_GT] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [5498] = {
    [sym_block_comment] = STATE(5498),
    [sym_line_comment] = STATE(5498),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_else] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_finally] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_DASH_GT] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [5499] = {
    [sym_block_comment] = STATE(5499),
    [sym_line_comment] = STATE(5499),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_else] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_finally] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_DASH_GT] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [5500] = {
    [sym_block_comment] = STATE(5500),
    [sym_line_comment] = STATE(5500),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_else] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_finally] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_DASH_GT] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [5501] = {
    [sym_block_comment] = STATE(5501),
    [sym_line_comment] = STATE(5501),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_else] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_finally] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_DASH_GT] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [5502] = {
    [sym_block_comment] = STATE(5502),
    [sym_line_comment] = STATE(5502),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_else] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_finally] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_DASH_GT] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [5503] = {
    [sym_block_comment] = STATE(5503),
    [sym_line_comment] = STATE(5503),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_else] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_DASH_GT] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [5504] = {
    [sym_block_comment] = STATE(5504),
    [sym_line_comment] = STATE(5504),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_else] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_DASH_GT] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [5505] = {
    [sym_block_comment] = STATE(5505),
    [sym_line_comment] = STATE(5505),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_else] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_finally] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_DASH_GT] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [5506] = {
    [sym_block_comment] = STATE(5506),
    [sym_line_comment] = STATE(5506),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_else] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_finally] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_DASH_GT] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [5507] = {
    [sym_block_comment] = STATE(5507),
    [sym_line_comment] = STATE(5507),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_else] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_finally] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_DASH_GT] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [5508] = {
    [sym_block_comment] = STATE(5508),
    [sym_line_comment] = STATE(5508),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_else] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_finally] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_DASH_GT] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [5509] = {
    [sym_block_comment] = STATE(5509),
    [sym_line_comment] = STATE(5509),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_else] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_DASH_GT] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [5510] = {
    [sym_block_comment] = STATE(5510),
    [sym_line_comment] = STATE(5510),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_else] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_finally] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_DASH_GT] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [5511] = {
    [sym_block_comment] = STATE(5511),
    [sym_line_comment] = STATE(5511),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_else] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_finally] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_DASH_GT] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [5512] = {
    [sym_block_comment] = STATE(5512),
    [sym_line_comment] = STATE(5512),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_else] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_finally] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_DASH_GT] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [5513] = {
    [sym_block_comment] = STATE(5513),
    [sym_line_comment] = STATE(5513),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_else] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_finally] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_DASH_GT] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [5514] = {
    [sym_block_comment] = STATE(5514),
    [sym_line_comment] = STATE(5514),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_else] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_finally] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_DASH_GT] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [5515] = {
    [sym_block_comment] = STATE(5515),
    [sym_line_comment] = STATE(5515),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_else] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_finally] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_DASH_GT] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [5516] = {
    [sym_block_comment] = STATE(5516),
    [sym_line_comment] = STATE(5516),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_else] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_finally] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_DASH_GT] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [5517] = {
    [sym_block_comment] = STATE(5517),
    [sym_line_comment] = STATE(5517),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_else] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_finally] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_DASH_GT] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [5518] = {
    [sym_block_comment] = STATE(5518),
    [sym_line_comment] = STATE(5518),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_else] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_finally] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_DASH_GT] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [5519] = {
    [sym_block_comment] = STATE(5519),
    [sym_line_comment] = STATE(5519),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_else] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_finally] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_DASH_GT] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [5520] = {
    [sym_block_comment] = STATE(5520),
    [sym_line_comment] = STATE(5520),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_else] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_finally] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_DASH_GT] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [5521] = {
    [sym_block_comment] = STATE(5521),
    [sym_line_comment] = STATE(5521),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_else] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_finally] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_DASH_GT] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [5522] = {
    [sym_block_comment] = STATE(5522),
    [sym_line_comment] = STATE(5522),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_else] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_finally] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_DASH_GT] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [5523] = {
    [sym_block_comment] = STATE(5523),
    [sym_line_comment] = STATE(5523),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_catch] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [5524] = {
    [sym_block_comment] = STATE(5524),
    [sym_line_comment] = STATE(5524),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_RPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_RBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9909),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_RBRACE] = ACTIONS(9909),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9909),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9909),
    [sym__bitshift_operator] = ACTIONS(9909),
    [sym__power_operator] = ACTIONS(9909),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5525] = {
    [sym_block_comment] = STATE(5525),
    [sym_line_comment] = STATE(5525),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_DASH_GT] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [5526] = {
    [sym_block_comment] = STATE(5526),
    [sym_line_comment] = STATE(5526),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_else] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_finally] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_DASH_GT] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [5527] = {
    [sym_block_comment] = STATE(5527),
    [sym_line_comment] = STATE(5527),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_DASH_GT] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5528] = {
    [sym_block_comment] = STATE(5528),
    [sym_line_comment] = STATE(5528),
    [ts_builtin_sym_end] = ACTIONS(10019),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_RBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_DASH_GT] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10599),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5529] = {
    [sym_block_comment] = STATE(5529),
    [sym_line_comment] = STATE(5529),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10601),
    [sym__immediate_command_start] = ACTIONS(10603),
  },
  [5530] = {
    [sym_block_comment] = STATE(5530),
    [sym_line_comment] = STATE(5530),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_RPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_RBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10019),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_RBRACE] = ACTIONS(10019),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_DASH_GT] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10605),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5531] = {
    [sym_block_comment] = STATE(5531),
    [sym_line_comment] = STATE(5531),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10607),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5532] = {
    [sym_identifier] = STATE(6357),
    [sym_block_comment] = STATE(5532),
    [sym_line_comment] = STATE(5532),
    [ts_builtin_sym_end] = ACTIONS(10133),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_RBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_DASH_GT] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [5533] = {
    [sym_identifier] = STATE(6358),
    [sym_block_comment] = STATE(5533),
    [sym_line_comment] = STATE(5533),
    [ts_builtin_sym_end] = ACTIONS(10137),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_RBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_DASH_GT] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [5534] = {
    [sym_identifier] = STATE(6366),
    [sym_block_comment] = STATE(5534),
    [sym_line_comment] = STATE(5534),
    [ts_builtin_sym_end] = ACTIONS(10145),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_RBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_DASH_GT] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [5535] = {
    [sym_identifier] = STATE(6367),
    [sym_block_comment] = STATE(5535),
    [sym_line_comment] = STATE(5535),
    [ts_builtin_sym_end] = ACTIONS(10009),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_RBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_DASH_GT] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [5536] = {
    [sym_block_comment] = STATE(5536),
    [sym_line_comment] = STATE(5536),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5537] = {
    [sym_block_comment] = STATE(5537),
    [sym_line_comment] = STATE(5537),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_DASH_GT] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5538] = {
    [sym_block_comment] = STATE(5538),
    [sym_line_comment] = STATE(5538),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_else] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_finally] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_DASH_GT] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [5539] = {
    [sym_block_comment] = STATE(5539),
    [sym_line_comment] = STATE(5539),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_else] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_finally] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_DASH_GT] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [5540] = {
    [sym_identifier] = STATE(5973),
    [sym_block_comment] = STATE(5540),
    [sym_line_comment] = STATE(5540),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10133),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10133),
    [anon_sym_RPAREN] = ACTIONS(10133),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10133),
    [anon_sym_RBRACK] = ACTIONS(10133),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10133),
    [anon_sym_LBRACE] = ACTIONS(10133),
    [anon_sym_RBRACE] = ACTIONS(10133),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10133),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10133),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10133),
    [anon_sym_QMARK] = ACTIONS(10133),
    [anon_sym_DASH_GT] = ACTIONS(10133),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10133),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10133),
    [aux_sym_integer_literal_token2] = ACTIONS(10133),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10133),
    [aux_sym_float_literal_token3] = ACTIONS(10133),
    [aux_sym_float_literal_token4] = ACTIONS(10133),
    [sym_character_literal] = ACTIONS(10133),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10133),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10133),
    [sym__pair_operator] = ACTIONS(10133),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10133),
    [sym__lazy_and_operator] = ACTIONS(10133),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10133),
    [sym__pipe_left_operator] = ACTIONS(10133),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10133),
    [sym__bitshift_operator] = ACTIONS(10133),
    [sym__power_operator] = ACTIONS(10133),
    [sym__tilde_operator] = ACTIONS(10133),
    [sym__type_order_operator] = ACTIONS(10133),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [5541] = {
    [sym_identifier] = STATE(5976),
    [sym_block_comment] = STATE(5541),
    [sym_line_comment] = STATE(5541),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10137),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10137),
    [anon_sym_RPAREN] = ACTIONS(10137),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10137),
    [anon_sym_RBRACK] = ACTIONS(10137),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10137),
    [anon_sym_LBRACE] = ACTIONS(10137),
    [anon_sym_RBRACE] = ACTIONS(10137),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10137),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10137),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10137),
    [anon_sym_QMARK] = ACTIONS(10137),
    [anon_sym_DASH_GT] = ACTIONS(10137),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10137),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10137),
    [aux_sym_integer_literal_token2] = ACTIONS(10137),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10137),
    [aux_sym_float_literal_token3] = ACTIONS(10137),
    [aux_sym_float_literal_token4] = ACTIONS(10137),
    [sym_character_literal] = ACTIONS(10137),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10137),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10137),
    [sym__pair_operator] = ACTIONS(10137),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10137),
    [sym__lazy_and_operator] = ACTIONS(10137),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10137),
    [sym__pipe_left_operator] = ACTIONS(10137),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10137),
    [sym__bitshift_operator] = ACTIONS(10137),
    [sym__power_operator] = ACTIONS(10137),
    [sym__tilde_operator] = ACTIONS(10137),
    [sym__type_order_operator] = ACTIONS(10137),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [5542] = {
    [sym_identifier] = STATE(5995),
    [sym_block_comment] = STATE(5542),
    [sym_line_comment] = STATE(5542),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10145),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10145),
    [anon_sym_RPAREN] = ACTIONS(10145),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10145),
    [anon_sym_RBRACK] = ACTIONS(10145),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10145),
    [anon_sym_LBRACE] = ACTIONS(10145),
    [anon_sym_RBRACE] = ACTIONS(10145),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10145),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10145),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10145),
    [anon_sym_QMARK] = ACTIONS(10145),
    [anon_sym_DASH_GT] = ACTIONS(10145),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10145),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10145),
    [aux_sym_integer_literal_token2] = ACTIONS(10145),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10145),
    [aux_sym_float_literal_token3] = ACTIONS(10145),
    [aux_sym_float_literal_token4] = ACTIONS(10145),
    [sym_character_literal] = ACTIONS(10145),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10145),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10145),
    [sym__pair_operator] = ACTIONS(10145),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10145),
    [sym__lazy_and_operator] = ACTIONS(10145),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10145),
    [sym__pipe_left_operator] = ACTIONS(10145),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10145),
    [sym__bitshift_operator] = ACTIONS(10145),
    [sym__power_operator] = ACTIONS(10145),
    [sym__tilde_operator] = ACTIONS(10145),
    [sym__type_order_operator] = ACTIONS(10145),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [5543] = {
    [sym_identifier] = STATE(5997),
    [sym_block_comment] = STATE(5543),
    [sym_line_comment] = STATE(5543),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10009),
    [anon_sym_RPAREN] = ACTIONS(10009),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10009),
    [anon_sym_RBRACK] = ACTIONS(10009),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10009),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_RBRACE] = ACTIONS(10009),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10009),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10009),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_DASH_GT] = ACTIONS(10009),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10009),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10009),
    [aux_sym_integer_literal_token2] = ACTIONS(10009),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10009),
    [aux_sym_float_literal_token3] = ACTIONS(10009),
    [aux_sym_float_literal_token4] = ACTIONS(10009),
    [sym_character_literal] = ACTIONS(10009),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10009),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10009),
    [sym__pair_operator] = ACTIONS(10009),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10009),
    [sym__lazy_and_operator] = ACTIONS(10009),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10009),
    [sym__pipe_left_operator] = ACTIONS(10009),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10009),
    [sym__bitshift_operator] = ACTIONS(10009),
    [sym__power_operator] = ACTIONS(10009),
    [sym__tilde_operator] = ACTIONS(10009),
    [sym__type_order_operator] = ACTIONS(10009),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [5544] = {
    [sym_block_comment] = STATE(5544),
    [sym_line_comment] = STATE(5544),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_DASH_GT] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10609),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5545] = {
    [sym_block_comment] = STATE(5545),
    [sym_line_comment] = STATE(5545),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [5546] = {
    [sym_block_comment] = STATE(5546),
    [sym_line_comment] = STATE(5546),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_COLON_EQ] = ACTIONS(10019),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10611),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10019),
    [aux_sym__assignment_operator_token1] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5547] = {
    [sym_identifier] = STATE(6109),
    [sym_block_comment] = STATE(5547),
    [sym_line_comment] = STATE(5547),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_else] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_finally] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [5548] = {
    [sym_identifier] = STATE(6110),
    [sym_block_comment] = STATE(5548),
    [sym_line_comment] = STATE(5548),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_else] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_finally] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [5549] = {
    [sym_identifier] = STATE(6115),
    [sym_block_comment] = STATE(5549),
    [sym_line_comment] = STATE(5549),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_else] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_finally] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [5550] = {
    [sym_identifier] = STATE(6116),
    [sym_block_comment] = STATE(5550),
    [sym_line_comment] = STATE(5550),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_else] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_finally] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [5551] = {
    [sym_block_comment] = STATE(5551),
    [sym_line_comment] = STATE(5551),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_catch] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [5552] = {
    [sym_block_comment] = STATE(5552),
    [sym_line_comment] = STATE(5552),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_DASH_GT] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10613),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5553] = {
    [sym_block_comment] = STATE(5553),
    [sym_line_comment] = STATE(5553),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_catch] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_DASH_GT] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [5554] = {
    [sym_block_comment] = STATE(5554),
    [sym_line_comment] = STATE(5554),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5555] = {
    [sym_identifier] = STATE(6368),
    [sym_block_comment] = STATE(5555),
    [sym_line_comment] = STATE(5555),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_catch] = ACTIONS(10131),
    [anon_sym_finally] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_DASH_GT] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [5556] = {
    [sym_identifier] = STATE(6374),
    [sym_block_comment] = STATE(5556),
    [sym_line_comment] = STATE(5556),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_catch] = ACTIONS(10135),
    [anon_sym_finally] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_DASH_GT] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [5557] = {
    [sym_identifier] = STATE(5828),
    [sym_block_comment] = STATE(5557),
    [sym_line_comment] = STATE(5557),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_catch] = ACTIONS(10143),
    [anon_sym_finally] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_DASH_GT] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [5558] = {
    [sym_identifier] = STATE(5830),
    [sym_block_comment] = STATE(5558),
    [sym_line_comment] = STATE(5558),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_catch] = ACTIONS(10007),
    [anon_sym_finally] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_DASH_GT] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [5559] = {
    [sym_identifier] = STATE(6218),
    [sym_block_comment] = STATE(5559),
    [sym_line_comment] = STATE(5559),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10133),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10133),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10133),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10133),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10133),
    [anon_sym_COLON_EQ] = ACTIONS(10133),
    [anon_sym_DOT_EQ] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10133),
    [anon_sym_QMARK] = ACTIONS(10133),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10133),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10133),
    [aux_sym_integer_literal_token2] = ACTIONS(10133),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10133),
    [aux_sym_float_literal_token3] = ACTIONS(10133),
    [aux_sym_float_literal_token4] = ACTIONS(10133),
    [sym_character_literal] = ACTIONS(10133),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10133),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10133),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10133),
    [aux_sym__assignment_operator_token1] = ACTIONS(10133),
    [sym__pair_operator] = ACTIONS(10133),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10133),
    [sym__lazy_and_operator] = ACTIONS(10133),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10133),
    [sym__pipe_left_operator] = ACTIONS(10133),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10133),
    [sym__type_order_operator] = ACTIONS(10133),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [5560] = {
    [sym_identifier] = STATE(6219),
    [sym_block_comment] = STATE(5560),
    [sym_line_comment] = STATE(5560),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10137),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10137),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10137),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10137),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10137),
    [anon_sym_COLON_EQ] = ACTIONS(10137),
    [anon_sym_DOT_EQ] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10137),
    [anon_sym_QMARK] = ACTIONS(10137),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10137),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10137),
    [aux_sym_integer_literal_token2] = ACTIONS(10137),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10137),
    [aux_sym_float_literal_token3] = ACTIONS(10137),
    [aux_sym_float_literal_token4] = ACTIONS(10137),
    [sym_character_literal] = ACTIONS(10137),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10137),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10137),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10137),
    [aux_sym__assignment_operator_token1] = ACTIONS(10137),
    [sym__pair_operator] = ACTIONS(10137),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10137),
    [sym__lazy_and_operator] = ACTIONS(10137),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10137),
    [sym__pipe_left_operator] = ACTIONS(10137),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10137),
    [sym__type_order_operator] = ACTIONS(10137),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [5561] = {
    [sym_identifier] = STATE(6241),
    [sym_block_comment] = STATE(5561),
    [sym_line_comment] = STATE(5561),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10145),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10145),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10145),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10145),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10145),
    [anon_sym_COLON_EQ] = ACTIONS(10145),
    [anon_sym_DOT_EQ] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10145),
    [anon_sym_QMARK] = ACTIONS(10145),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10145),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10145),
    [aux_sym_integer_literal_token2] = ACTIONS(10145),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10145),
    [aux_sym_float_literal_token3] = ACTIONS(10145),
    [aux_sym_float_literal_token4] = ACTIONS(10145),
    [sym_character_literal] = ACTIONS(10145),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10145),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10145),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10145),
    [aux_sym__assignment_operator_token1] = ACTIONS(10145),
    [sym__pair_operator] = ACTIONS(10145),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10145),
    [sym__lazy_and_operator] = ACTIONS(10145),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10145),
    [sym__pipe_left_operator] = ACTIONS(10145),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10145),
    [sym__type_order_operator] = ACTIONS(10145),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [5562] = {
    [sym_identifier] = STATE(6244),
    [sym_block_comment] = STATE(5562),
    [sym_line_comment] = STATE(5562),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10009),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10009),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10009),
    [anon_sym_COLON_EQ] = ACTIONS(10009),
    [anon_sym_DOT_EQ] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10009),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10009),
    [aux_sym_integer_literal_token2] = ACTIONS(10009),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10009),
    [aux_sym_float_literal_token3] = ACTIONS(10009),
    [aux_sym_float_literal_token4] = ACTIONS(10009),
    [sym_character_literal] = ACTIONS(10009),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10009),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10009),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10009),
    [aux_sym__assignment_operator_token1] = ACTIONS(10009),
    [sym__pair_operator] = ACTIONS(10009),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10009),
    [sym__lazy_and_operator] = ACTIONS(10009),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10009),
    [sym__pipe_left_operator] = ACTIONS(10009),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10009),
    [sym__type_order_operator] = ACTIONS(10009),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [5563] = {
    [sym_block_comment] = STATE(5563),
    [sym_line_comment] = STATE(5563),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_DASH_GT] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10615),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5564] = {
    [sym_block_comment] = STATE(5564),
    [sym_line_comment] = STATE(5564),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_catch] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_DASH_GT] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [5565] = {
    [sym_identifier] = STATE(6004),
    [sym_block_comment] = STATE(5565),
    [sym_line_comment] = STATE(5565),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_catch] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_DASH_GT] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [5566] = {
    [sym_identifier] = STATE(6017),
    [sym_block_comment] = STATE(5566),
    [sym_line_comment] = STATE(5566),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_catch] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_DASH_GT] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [5567] = {
    [sym_identifier] = STATE(6027),
    [sym_block_comment] = STATE(5567),
    [sym_line_comment] = STATE(5567),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_catch] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_DASH_GT] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [5568] = {
    [sym_identifier] = STATE(6028),
    [sym_block_comment] = STATE(5568),
    [sym_line_comment] = STATE(5568),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_catch] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_DASH_GT] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [5569] = {
    [sym_block_comment] = STATE(5569),
    [sym_line_comment] = STATE(5569),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5570] = {
    [sym_identifier] = STATE(6166),
    [sym_block_comment] = STATE(5570),
    [sym_line_comment] = STATE(5570),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_finally] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_DASH_GT] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [5571] = {
    [sym_identifier] = STATE(6167),
    [sym_block_comment] = STATE(5571),
    [sym_line_comment] = STATE(5571),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_finally] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_DASH_GT] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [5572] = {
    [sym_identifier] = STATE(6173),
    [sym_block_comment] = STATE(5572),
    [sym_line_comment] = STATE(5572),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_finally] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_DASH_GT] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [5573] = {
    [sym_identifier] = STATE(6174),
    [sym_block_comment] = STATE(5573),
    [sym_line_comment] = STATE(5573),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_finally] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_DASH_GT] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [5574] = {
    [sym_block_comment] = STATE(5574),
    [sym_line_comment] = STATE(5574),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_catch] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_DASH_GT] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [5575] = {
    [sym_block_comment] = STATE(5575),
    [sym_line_comment] = STATE(5575),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_catch] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_DASH_GT] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [5576] = {
    [sym_block_comment] = STATE(5576),
    [sym_line_comment] = STATE(5576),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_catch] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_DASH_GT] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [5577] = {
    [sym_block_comment] = STATE(5577),
    [sym_line_comment] = STATE(5577),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_catch] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_DASH_GT] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [5578] = {
    [sym_block_comment] = STATE(5578),
    [sym_line_comment] = STATE(5578),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_catch] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_DASH_GT] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [5579] = {
    [sym_block_comment] = STATE(5579),
    [sym_line_comment] = STATE(5579),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_catch] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_DASH_GT] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [5580] = {
    [sym__assignment_operator] = STATE(4153),
    [sym_block_comment] = STATE(5580),
    [sym_line_comment] = STATE(5580),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(10617),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_SQUOTE] = ACTIONS(10619),
    [anon_sym_DOT] = ACTIONS(10621),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_COLON_EQ] = ACTIONS(1685),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10623),
    [sym__immediate_bracket] = ACTIONS(10625),
    [sym__immediate_brace] = ACTIONS(10627),
  },
  [5581] = {
    [sym__assignment_operator] = STATE(4153),
    [sym_block_comment] = STATE(5581),
    [sym_line_comment] = STATE(5581),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(10629),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_SQUOTE] = ACTIONS(10619),
    [anon_sym_DOT] = ACTIONS(10621),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_COLON_EQ] = ACTIONS(1685),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10623),
    [sym__immediate_bracket] = ACTIONS(10625),
    [sym__immediate_brace] = ACTIONS(10627),
  },
  [5582] = {
    [sym__primary_expression] = STATE(12009),
    [sym__array] = STATE(11240),
    [sym_comprehension_expression] = STATE(11258),
    [sym_matrix_expression] = STATE(11258),
    [sym_vector_expression] = STATE(11258),
    [sym_parenthesized_expression] = STATE(11240),
    [sym_tuple_expression] = STATE(11240),
    [sym_curly_expression] = STATE(11240),
    [sym_adjoint_expression] = STATE(11240),
    [sym_field_expression] = STATE(11240),
    [sym_index_expression] = STATE(11240),
    [sym_parametrized_type_expression] = STATE(11240),
    [sym_call_expression] = STATE(11240),
    [sym_broadcast_call_expression] = STATE(11240),
    [sym__closed_macrocall_expression] = STATE(11240),
    [sym_interpolation_expression] = STATE(11240),
    [sym_quote_expression] = STATE(11240),
    [sym_macro_identifier] = STATE(18196),
    [sym_identifier] = STATE(11671),
    [sym_boolean_literal] = STATE(11240),
    [sym__string] = STATE(11240),
    [sym__delimiter_str_1] = STATE(15154),
    [sym__delimiter_str_3] = STATE(15155),
    [sym__delimiter_cmd_1] = STATE(15156),
    [sym__delimiter_cmd_3] = STATE(15157),
    [sym_string_literal] = STATE(11212),
    [sym_command_literal] = STATE(11212),
    [sym_prefixed_string_literal] = STATE(11212),
    [sym_prefixed_command_literal] = STATE(11212),
    [sym_operator] = STATE(19880),
    [sym_block_comment] = STATE(5582),
    [sym_line_comment] = STATE(5582),
    [sym__word_identifier] = ACTIONS(10527),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(10529),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(10531),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(10533),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(10631),
    [anon_sym_COLON2] = ACTIONS(10633),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(10539),
    [anon_sym_true] = ACTIONS(10541),
    [anon_sym_false] = ACTIONS(10541),
    [sym_character_literal] = ACTIONS(10543),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(9208),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9208),
    [sym__pipe_left_operator] = ACTIONS(9208),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9208),
    [sym__type_order_operator] = ACTIONS(9208),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5583] = {
    [sym_block_comment] = STATE(5583),
    [sym_line_comment] = STATE(5583),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_finally] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_DASH_GT] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [5584] = {
    [sym_block_comment] = STATE(5584),
    [sym_line_comment] = STATE(5584),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10601),
    [sym__immediate_command_start] = ACTIONS(10603),
  },
  [5585] = {
    [sym_block_comment] = STATE(5585),
    [sym_line_comment] = STATE(5585),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_finally] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_DASH_GT] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [5586] = {
    [sym_do_clause] = STATE(6687),
    [sym_block_comment] = STATE(5586),
    [sym_line_comment] = STATE(5586),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10597),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5587] = {
    [sym_block_comment] = STATE(5587),
    [sym_line_comment] = STATE(5587),
    [sym__word_identifier] = ACTIONS(10635),
    [anon_sym_COMMA] = ACTIONS(10635),
    [anon_sym_EQ] = ACTIONS(10635),
    [anon_sym_begin] = ACTIONS(10635),
    [anon_sym_module] = ACTIONS(10635),
    [anon_sym_baremodule] = ACTIONS(10635),
    [anon_sym_end] = ACTIONS(10635),
    [anon_sym_abstract] = ACTIONS(10635),
    [anon_sym_primitive] = ACTIONS(10635),
    [anon_sym_mutable] = ACTIONS(10635),
    [anon_sym_struct] = ACTIONS(10635),
    [anon_sym_function] = ACTIONS(10635),
    [anon_sym_macro] = ACTIONS(10635),
    [anon_sym_quote] = ACTIONS(10635),
    [anon_sym_let] = ACTIONS(10635),
    [anon_sym_if] = ACTIONS(10635),
    [anon_sym_elseif] = ACTIONS(10635),
    [anon_sym_else] = ACTIONS(10635),
    [anon_sym_try] = ACTIONS(10635),
    [anon_sym_for] = ACTIONS(10635),
    [anon_sym_while] = ACTIONS(10635),
    [sym_break_statement] = ACTIONS(10635),
    [sym_continue_statement] = ACTIONS(10635),
    [anon_sym_return] = ACTIONS(10635),
    [anon_sym_const] = ACTIONS(10635),
    [anon_sym_global] = ACTIONS(10635),
    [anon_sym_local] = ACTIONS(10635),
    [anon_sym_LPAREN] = ACTIONS(10635),
    [anon_sym_COLON] = ACTIONS(10635),
    [anon_sym_export] = ACTIONS(10635),
    [anon_sym_public] = ACTIONS(10635),
    [anon_sym_import] = ACTIONS(10635),
    [anon_sym_using] = ACTIONS(10635),
    [anon_sym_LBRACK] = ACTIONS(10635),
    [anon_sym_in] = ACTIONS(10635),
    [anon_sym_SEMI] = ACTIONS(10635),
    [anon_sym_LBRACE] = ACTIONS(10635),
    [anon_sym_SQUOTE] = ACTIONS(10637),
    [anon_sym_DOT] = ACTIONS(10639),
    [anon_sym_DOLLAR] = ACTIONS(10635),
    [anon_sym_COLON2] = ACTIONS(10635),
    [anon_sym_COLON_COLON] = ACTIONS(10635),
    [anon_sym_isa] = ACTIONS(10635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10635),
    [anon_sym_QMARK] = ACTIONS(10635),
    [anon_sym_DASH_GT] = ACTIONS(10635),
    [anon_sym_where] = ACTIONS(10635),
    [anon_sym_AT] = ACTIONS(10635),
    [anon_sym_true] = ACTIONS(10635),
    [anon_sym_false] = ACTIONS(10635),
    [aux_sym_integer_literal_token1] = ACTIONS(10635),
    [aux_sym_integer_literal_token2] = ACTIONS(10635),
    [aux_sym_integer_literal_token3] = ACTIONS(10635),
    [aux_sym_integer_literal_token4] = ACTIONS(10635),
    [aux_sym_float_literal_token1] = ACTIONS(10635),
    [aux_sym_float_literal_token3] = ACTIONS(10635),
    [aux_sym_float_literal_token4] = ACTIONS(10635),
    [sym_character_literal] = ACTIONS(10635),
    [anon_sym_DQUOTE] = ACTIONS(10635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10635),
    [sym__pair_operator] = ACTIONS(10635),
    [sym__arrow_operator] = ACTIONS(10635),
    [sym__lazy_or_operator] = ACTIONS(10635),
    [sym__lazy_and_operator] = ACTIONS(10635),
    [sym__comparison_operator] = ACTIONS(10635),
    [sym__pipe_right_operator] = ACTIONS(10635),
    [sym__pipe_left_operator] = ACTIONS(10635),
    [sym__ellipsis_operator] = ACTIONS(10635),
    [sym__plus_operator] = ACTIONS(10635),
    [sym__times_operator] = ACTIONS(10635),
    [sym__rational_operator] = ACTIONS(10635),
    [sym__bitshift_operator] = ACTIONS(10635),
    [sym__power_operator] = ACTIONS(10635),
    [sym__tilde_operator] = ACTIONS(10635),
    [sym__type_order_operator] = ACTIONS(10635),
    [sym__unary_operator] = ACTIONS(10635),
    [sym__unary_plus_operator] = ACTIONS(10635),
    [aux_sym__terminator_token1] = ACTIONS(10641),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10643),
    [sym__immediate_bracket] = ACTIONS(10645),
    [sym__immediate_brace] = ACTIONS(10647),
  },
  [5588] = {
    [sym_block_comment] = STATE(5588),
    [sym_line_comment] = STATE(5588),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10649),
    [sym__immediate_command_start] = ACTIONS(10651),
  },
  [5589] = {
    [sym_block_comment] = STATE(5589),
    [sym_line_comment] = STATE(5589),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_RPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(189),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(189),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(189),
    [aux_sym_float_literal_token3] = ACTIONS(189),
    [aux_sym_float_literal_token4] = ACTIONS(189),
    [sym_character_literal] = ACTIONS(189),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(189),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(189),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(189),
    [sym__pipe_left_operator] = ACTIONS(189),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(189),
    [sym__bitshift_operator] = ACTIONS(189),
    [sym__power_operator] = ACTIONS(189),
    [sym__tilde_operator] = ACTIONS(189),
    [sym__type_order_operator] = ACTIONS(189),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10653),
    [sym__immediate_command_start] = ACTIONS(10655),
  },
  [5590] = {
    [sym__assignment_operator] = STATE(4294),
    [sym_block_comment] = STATE(5590),
    [sym_line_comment] = STATE(5590),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10475),
    [anon_sym_DOT] = ACTIONS(10491),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
    [sym__immediate_bracket] = ACTIONS(10481),
    [sym__immediate_brace] = ACTIONS(10483),
  },
  [5591] = {
    [sym_block_comment] = STATE(5591),
    [sym_line_comment] = STATE(5591),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10657),
    [anon_sym_COLON_EQ] = ACTIONS(10127),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_DASH_GT] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10127),
    [aux_sym__assignment_operator_token1] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10657),
    [sym__arrow_operator] = ACTIONS(10657),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10657),
    [sym__pipe_right_operator] = ACTIONS(10657),
    [sym__pipe_left_operator] = ACTIONS(10657),
    [sym__ellipsis_operator] = ACTIONS(10657),
    [sym__plus_operator] = ACTIONS(10657),
    [sym__times_operator] = ACTIONS(10657),
    [sym__rational_operator] = ACTIONS(10657),
    [sym__bitshift_operator] = ACTIONS(10657),
    [sym__power_operator] = ACTIONS(10657),
    [sym__tilde_operator] = ACTIONS(10657),
    [sym__type_order_operator] = ACTIONS(10657),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10657),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [5592] = {
    [sym_block_comment] = STATE(5592),
    [sym_line_comment] = STATE(5592),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10660),
    [sym__immediate_command_start] = ACTIONS(10662),
  },
  [5593] = {
    [sym_block_comment] = STATE(5593),
    [sym_line_comment] = STATE(5593),
    [sym__word_identifier] = ACTIONS(10635),
    [anon_sym_COMMA] = ACTIONS(10635),
    [anon_sym_EQ] = ACTIONS(10635),
    [anon_sym_begin] = ACTIONS(10635),
    [anon_sym_module] = ACTIONS(10635),
    [anon_sym_baremodule] = ACTIONS(10635),
    [anon_sym_end] = ACTIONS(10635),
    [anon_sym_abstract] = ACTIONS(10635),
    [anon_sym_primitive] = ACTIONS(10635),
    [anon_sym_mutable] = ACTIONS(10635),
    [anon_sym_struct] = ACTIONS(10635),
    [anon_sym_function] = ACTIONS(10635),
    [anon_sym_macro] = ACTIONS(10635),
    [anon_sym_quote] = ACTIONS(10635),
    [anon_sym_let] = ACTIONS(10635),
    [anon_sym_if] = ACTIONS(10635),
    [anon_sym_else] = ACTIONS(10635),
    [anon_sym_try] = ACTIONS(10635),
    [anon_sym_finally] = ACTIONS(10635),
    [anon_sym_for] = ACTIONS(10635),
    [anon_sym_while] = ACTIONS(10635),
    [sym_break_statement] = ACTIONS(10635),
    [sym_continue_statement] = ACTIONS(10635),
    [anon_sym_return] = ACTIONS(10635),
    [anon_sym_const] = ACTIONS(10635),
    [anon_sym_global] = ACTIONS(10635),
    [anon_sym_local] = ACTIONS(10635),
    [anon_sym_LPAREN] = ACTIONS(10635),
    [anon_sym_COLON] = ACTIONS(10635),
    [anon_sym_export] = ACTIONS(10635),
    [anon_sym_public] = ACTIONS(10635),
    [anon_sym_import] = ACTIONS(10635),
    [anon_sym_using] = ACTIONS(10635),
    [anon_sym_LBRACK] = ACTIONS(10635),
    [anon_sym_in] = ACTIONS(10635),
    [anon_sym_SEMI] = ACTIONS(10635),
    [anon_sym_LBRACE] = ACTIONS(10635),
    [anon_sym_SQUOTE] = ACTIONS(10664),
    [anon_sym_DOT] = ACTIONS(10666),
    [anon_sym_DOLLAR] = ACTIONS(10635),
    [anon_sym_COLON2] = ACTIONS(10635),
    [anon_sym_COLON_COLON] = ACTIONS(10635),
    [anon_sym_isa] = ACTIONS(10635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10635),
    [anon_sym_QMARK] = ACTIONS(10635),
    [anon_sym_DASH_GT] = ACTIONS(10635),
    [anon_sym_where] = ACTIONS(10635),
    [anon_sym_AT] = ACTIONS(10635),
    [anon_sym_true] = ACTIONS(10635),
    [anon_sym_false] = ACTIONS(10635),
    [aux_sym_integer_literal_token1] = ACTIONS(10635),
    [aux_sym_integer_literal_token2] = ACTIONS(10635),
    [aux_sym_integer_literal_token3] = ACTIONS(10635),
    [aux_sym_integer_literal_token4] = ACTIONS(10635),
    [aux_sym_float_literal_token1] = ACTIONS(10635),
    [aux_sym_float_literal_token3] = ACTIONS(10635),
    [aux_sym_float_literal_token4] = ACTIONS(10635),
    [sym_character_literal] = ACTIONS(10635),
    [anon_sym_DQUOTE] = ACTIONS(10635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10635),
    [sym__pair_operator] = ACTIONS(10635),
    [sym__arrow_operator] = ACTIONS(10635),
    [sym__lazy_or_operator] = ACTIONS(10635),
    [sym__lazy_and_operator] = ACTIONS(10635),
    [sym__comparison_operator] = ACTIONS(10635),
    [sym__pipe_right_operator] = ACTIONS(10635),
    [sym__pipe_left_operator] = ACTIONS(10635),
    [sym__ellipsis_operator] = ACTIONS(10635),
    [sym__plus_operator] = ACTIONS(10635),
    [sym__times_operator] = ACTIONS(10635),
    [sym__rational_operator] = ACTIONS(10635),
    [sym__bitshift_operator] = ACTIONS(10635),
    [sym__power_operator] = ACTIONS(10635),
    [sym__tilde_operator] = ACTIONS(10635),
    [sym__type_order_operator] = ACTIONS(10635),
    [sym__unary_operator] = ACTIONS(10635),
    [sym__unary_plus_operator] = ACTIONS(10635),
    [aux_sym__terminator_token1] = ACTIONS(10641),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10668),
    [sym__immediate_bracket] = ACTIONS(10670),
    [sym__immediate_brace] = ACTIONS(10672),
  },
  [5594] = {
    [sym_block_comment] = STATE(5594),
    [sym_line_comment] = STATE(5594),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_elseif] = ACTIONS(10073),
    [anon_sym_else] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [5595] = {
    [sym_block_comment] = STATE(5595),
    [sym_line_comment] = STATE(5595),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_elseif] = ACTIONS(10079),
    [anon_sym_else] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [5596] = {
    [sym_block_comment] = STATE(5596),
    [sym_line_comment] = STATE(5596),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10674),
    [anon_sym_COLON_EQ] = ACTIONS(10083),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10083),
    [aux_sym__assignment_operator_token1] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10674),
    [sym__arrow_operator] = ACTIONS(10674),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10674),
    [sym__pipe_right_operator] = ACTIONS(10674),
    [sym__pipe_left_operator] = ACTIONS(10674),
    [sym__ellipsis_operator] = ACTIONS(10674),
    [sym__plus_operator] = ACTIONS(10674),
    [sym__times_operator] = ACTIONS(10674),
    [sym__rational_operator] = ACTIONS(10674),
    [sym__bitshift_operator] = ACTIONS(10674),
    [sym__power_operator] = ACTIONS(10674),
    [sym__tilde_operator] = ACTIONS(10674),
    [sym__type_order_operator] = ACTIONS(10674),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10674),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [5597] = {
    [sym_block_comment] = STATE(5597),
    [sym_line_comment] = STATE(5597),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10677),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10677),
    [sym__arrow_operator] = ACTIONS(10677),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10677),
    [sym__pipe_right_operator] = ACTIONS(10677),
    [sym__pipe_left_operator] = ACTIONS(10677),
    [sym__ellipsis_operator] = ACTIONS(10677),
    [sym__plus_operator] = ACTIONS(10677),
    [sym__times_operator] = ACTIONS(10677),
    [sym__rational_operator] = ACTIONS(10677),
    [sym__bitshift_operator] = ACTIONS(10677),
    [sym__power_operator] = ACTIONS(10677),
    [sym__tilde_operator] = ACTIONS(10677),
    [sym__type_order_operator] = ACTIONS(10677),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10677),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5598] = {
    [sym_block_comment] = STATE(5598),
    [sym_line_comment] = STATE(5598),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10680),
    [anon_sym_COLON_EQ] = ACTIONS(10089),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10089),
    [aux_sym__assignment_operator_token1] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10680),
    [sym__arrow_operator] = ACTIONS(10680),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10680),
    [sym__pipe_right_operator] = ACTIONS(10680),
    [sym__pipe_left_operator] = ACTIONS(10680),
    [sym__ellipsis_operator] = ACTIONS(10680),
    [sym__plus_operator] = ACTIONS(10680),
    [sym__times_operator] = ACTIONS(10680),
    [sym__rational_operator] = ACTIONS(10680),
    [sym__bitshift_operator] = ACTIONS(10680),
    [sym__power_operator] = ACTIONS(10680),
    [sym__tilde_operator] = ACTIONS(10680),
    [sym__type_order_operator] = ACTIONS(10680),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10680),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5599] = {
    [sym_block_comment] = STATE(5599),
    [sym_line_comment] = STATE(5599),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_finally] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [5600] = {
    [sym_block_comment] = STATE(5600),
    [sym_line_comment] = STATE(5600),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10649),
    [sym__immediate_command_start] = ACTIONS(10651),
  },
  [5601] = {
    [sym_block_comment] = STATE(5601),
    [sym_line_comment] = STATE(5601),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10683),
    [anon_sym_COLON_EQ] = ACTIONS(10097),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10097),
    [aux_sym__assignment_operator_token1] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10683),
    [sym__arrow_operator] = ACTIONS(10683),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10683),
    [sym__pipe_right_operator] = ACTIONS(10683),
    [sym__pipe_left_operator] = ACTIONS(10683),
    [sym__ellipsis_operator] = ACTIONS(10683),
    [sym__plus_operator] = ACTIONS(10683),
    [sym__times_operator] = ACTIONS(10683),
    [sym__rational_operator] = ACTIONS(10683),
    [sym__bitshift_operator] = ACTIONS(10683),
    [sym__power_operator] = ACTIONS(10683),
    [sym__tilde_operator] = ACTIONS(10683),
    [sym__type_order_operator] = ACTIONS(10683),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10683),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [5602] = {
    [sym_block_comment] = STATE(5602),
    [sym_line_comment] = STATE(5602),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_finally] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [5603] = {
    [sym_block_comment] = STATE(5603),
    [sym_line_comment] = STATE(5603),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_elseif] = ACTIONS(10085),
    [anon_sym_else] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [5604] = {
    [sym_block_comment] = STATE(5604),
    [sym_line_comment] = STATE(5604),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10686),
    [anon_sym_COLON_EQ] = ACTIONS(10101),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10101),
    [aux_sym__assignment_operator_token1] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10686),
    [sym__arrow_operator] = ACTIONS(10686),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10686),
    [sym__pipe_right_operator] = ACTIONS(10686),
    [sym__pipe_left_operator] = ACTIONS(10686),
    [sym__ellipsis_operator] = ACTIONS(10686),
    [sym__plus_operator] = ACTIONS(10686),
    [sym__times_operator] = ACTIONS(10686),
    [sym__rational_operator] = ACTIONS(10686),
    [sym__bitshift_operator] = ACTIONS(10686),
    [sym__power_operator] = ACTIONS(10686),
    [sym__tilde_operator] = ACTIONS(10686),
    [sym__type_order_operator] = ACTIONS(10686),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10686),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [5605] = {
    [sym_block_comment] = STATE(5605),
    [sym_line_comment] = STATE(5605),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_finally] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_DASH_GT] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [5606] = {
    [sym_block_comment] = STATE(5606),
    [sym_line_comment] = STATE(5606),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_finally] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_DASH_GT] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [5607] = {
    [sym_block_comment] = STATE(5607),
    [sym_line_comment] = STATE(5607),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_elseif] = ACTIONS(10003),
    [anon_sym_else] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [5608] = {
    [sym_block_comment] = STATE(5608),
    [sym_line_comment] = STATE(5608),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_elseif] = ACTIONS(10159),
    [anon_sym_else] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [5609] = {
    [sym_block_comment] = STATE(5609),
    [sym_line_comment] = STATE(5609),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_elseif] = ACTIONS(10163),
    [anon_sym_else] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [5610] = {
    [sym_block_comment] = STATE(5610),
    [sym_line_comment] = STATE(5610),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_elseif] = ACTIONS(10055),
    [anon_sym_else] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [5611] = {
    [sym_block_comment] = STATE(5611),
    [sym_line_comment] = STATE(5611),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_elseif] = ACTIONS(10033),
    [anon_sym_else] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [5612] = {
    [sym_block_comment] = STATE(5612),
    [sym_line_comment] = STATE(5612),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_elseif] = ACTIONS(10051),
    [anon_sym_else] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [5613] = {
    [sym_block_comment] = STATE(5613),
    [sym_line_comment] = STATE(5613),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_finally] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_DASH_GT] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [5614] = {
    [sym_block_comment] = STATE(5614),
    [sym_line_comment] = STATE(5614),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_finally] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_DASH_GT] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [5615] = {
    [sym_block_comment] = STATE(5615),
    [sym_line_comment] = STATE(5615),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_finally] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_DASH_GT] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [5616] = {
    [sym_block_comment] = STATE(5616),
    [sym_line_comment] = STATE(5616),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_elseif] = ACTIONS(10059),
    [anon_sym_else] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [5617] = {
    [sym_block_comment] = STATE(5617),
    [sym_line_comment] = STATE(5617),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_elseif] = ACTIONS(10123),
    [anon_sym_else] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [5618] = {
    [sym_block_comment] = STATE(5618),
    [sym_line_comment] = STATE(5618),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_elseif] = ACTIONS(10011),
    [anon_sym_else] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [5619] = {
    [sym_block_comment] = STATE(5619),
    [sym_line_comment] = STATE(5619),
    [ts_builtin_sym_end] = ACTIONS(9995),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_RBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10593),
    [sym__immediate_command_start] = ACTIONS(10595),
  },
  [5620] = {
    [sym_block_comment] = STATE(5620),
    [sym_line_comment] = STATE(5620),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_finally] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_DASH_GT] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [5621] = {
    [sym_block_comment] = STATE(5621),
    [sym_line_comment] = STATE(5621),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10091),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10091),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10091),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10091),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10091),
    [anon_sym_COLON_EQ] = ACTIONS(10091),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10091),
    [anon_sym_QMARK] = ACTIONS(10091),
    [anon_sym_DASH_GT] = ACTIONS(10081),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10091),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10091),
    [aux_sym_integer_literal_token2] = ACTIONS(10091),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10091),
    [aux_sym_float_literal_token3] = ACTIONS(10091),
    [aux_sym_float_literal_token4] = ACTIONS(10091),
    [sym_character_literal] = ACTIONS(10091),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10091),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10091),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10091),
    [aux_sym__assignment_operator_token1] = ACTIONS(10091),
    [sym__pair_operator] = ACTIONS(10091),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10091),
    [sym__lazy_and_operator] = ACTIONS(10091),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10091),
    [sym__pipe_left_operator] = ACTIONS(10091),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10091),
    [sym__type_order_operator] = ACTIONS(10091),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5622] = {
    [sym_block_comment] = STATE(5622),
    [sym_line_comment] = STATE(5622),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10091),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10091),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10091),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10091),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10091),
    [anon_sym_COLON_EQ] = ACTIONS(10091),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10091),
    [anon_sym_QMARK] = ACTIONS(10091),
    [anon_sym_DASH_GT] = ACTIONS(10147),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10091),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10091),
    [aux_sym_integer_literal_token2] = ACTIONS(10091),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10091),
    [aux_sym_float_literal_token3] = ACTIONS(10091),
    [aux_sym_float_literal_token4] = ACTIONS(10091),
    [sym_character_literal] = ACTIONS(10091),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10091),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10091),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10091),
    [aux_sym__assignment_operator_token1] = ACTIONS(10091),
    [sym__pair_operator] = ACTIONS(10091),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10091),
    [sym__lazy_and_operator] = ACTIONS(10091),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10091),
    [sym__pipe_left_operator] = ACTIONS(10091),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10091),
    [sym__type_order_operator] = ACTIONS(10091),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5623] = {
    [sym_block_comment] = STATE(5623),
    [sym_line_comment] = STATE(5623),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_finally] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_DASH_GT] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [5624] = {
    [sym_do_clause] = STATE(6440),
    [sym_block_comment] = STATE(5624),
    [sym_line_comment] = STATE(5624),
    [ts_builtin_sym_end] = ACTIONS(9931),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_RBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10689),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5625] = {
    [sym_block_comment] = STATE(5625),
    [sym_line_comment] = STATE(5625),
    [ts_builtin_sym_end] = ACTIONS(9943),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_RBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10593),
    [sym__immediate_command_start] = ACTIONS(10595),
  },
  [5626] = {
    [sym_do_clause] = STATE(6441),
    [sym_block_comment] = STATE(5626),
    [sym_line_comment] = STATE(5626),
    [ts_builtin_sym_end] = ACTIONS(9937),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_RBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10689),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5627] = {
    [sym_block_comment] = STATE(5627),
    [sym_line_comment] = STATE(5627),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10103),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10103),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10103),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10103),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10103),
    [anon_sym_COLON_EQ] = ACTIONS(10103),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10103),
    [anon_sym_QMARK] = ACTIONS(10103),
    [anon_sym_DASH_GT] = ACTIONS(10005),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10103),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10103),
    [aux_sym_integer_literal_token2] = ACTIONS(10103),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10103),
    [aux_sym_float_literal_token3] = ACTIONS(10103),
    [aux_sym_float_literal_token4] = ACTIONS(10103),
    [sym_character_literal] = ACTIONS(10103),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10103),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10103),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10103),
    [aux_sym__assignment_operator_token1] = ACTIONS(10103),
    [sym__pair_operator] = ACTIONS(10103),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10103),
    [sym__lazy_and_operator] = ACTIONS(10103),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10103),
    [sym__pipe_left_operator] = ACTIONS(10103),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10103),
    [sym__type_order_operator] = ACTIONS(10103),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [5628] = {
    [sym_do_clause] = STATE(6443),
    [sym_block_comment] = STATE(5628),
    [sym_line_comment] = STATE(5628),
    [ts_builtin_sym_end] = ACTIONS(9947),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_RBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10689),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5629] = {
    [sym_block_comment] = STATE(5629),
    [sym_line_comment] = STATE(5629),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10691),
    [anon_sym_COLON_EQ] = ACTIONS(10139),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_DASH_GT] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10139),
    [aux_sym__assignment_operator_token1] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10691),
    [sym__arrow_operator] = ACTIONS(10691),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10691),
    [sym__pipe_right_operator] = ACTIONS(10691),
    [sym__pipe_left_operator] = ACTIONS(10691),
    [sym__ellipsis_operator] = ACTIONS(10691),
    [sym__plus_operator] = ACTIONS(10691),
    [sym__times_operator] = ACTIONS(10691),
    [sym__rational_operator] = ACTIONS(10691),
    [sym__bitshift_operator] = ACTIONS(10691),
    [sym__power_operator] = ACTIONS(10691),
    [sym__tilde_operator] = ACTIONS(10691),
    [sym__type_order_operator] = ACTIONS(10691),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10691),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [5630] = {
    [sym_do_clause] = STATE(6446),
    [sym_block_comment] = STATE(5630),
    [sym_line_comment] = STATE(5630),
    [ts_builtin_sym_end] = ACTIONS(9989),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_RBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10689),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5631] = {
    [sym__primary_expression] = STATE(12013),
    [sym__array] = STATE(11240),
    [sym_comprehension_expression] = STATE(11258),
    [sym_matrix_expression] = STATE(11258),
    [sym_vector_expression] = STATE(11258),
    [sym_parenthesized_expression] = STATE(11240),
    [sym_tuple_expression] = STATE(11240),
    [sym_curly_expression] = STATE(11240),
    [sym_adjoint_expression] = STATE(11240),
    [sym_field_expression] = STATE(11240),
    [sym_index_expression] = STATE(11240),
    [sym_parametrized_type_expression] = STATE(11240),
    [sym_call_expression] = STATE(11240),
    [sym_broadcast_call_expression] = STATE(11240),
    [sym__closed_macrocall_expression] = STATE(11240),
    [sym_interpolation_expression] = STATE(11240),
    [sym_quote_expression] = STATE(11240),
    [sym_macro_identifier] = STATE(18196),
    [sym_identifier] = STATE(11689),
    [sym_boolean_literal] = STATE(11240),
    [sym__string] = STATE(11240),
    [sym__delimiter_str_1] = STATE(15154),
    [sym__delimiter_str_3] = STATE(15155),
    [sym__delimiter_cmd_1] = STATE(15156),
    [sym__delimiter_cmd_3] = STATE(15157),
    [sym_string_literal] = STATE(11212),
    [sym_command_literal] = STATE(11212),
    [sym_prefixed_string_literal] = STATE(11212),
    [sym_prefixed_command_literal] = STATE(11212),
    [sym_operator] = STATE(19880),
    [sym_block_comment] = STATE(5631),
    [sym_line_comment] = STATE(5631),
    [sym__word_identifier] = ACTIONS(10527),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(10529),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(10531),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(10533),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(10694),
    [anon_sym_COLON2] = ACTIONS(10696),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(10539),
    [anon_sym_true] = ACTIONS(10541),
    [anon_sym_false] = ACTIONS(10541),
    [sym_character_literal] = ACTIONS(10543),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(9208),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9208),
    [sym__pipe_left_operator] = ACTIONS(9208),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9208),
    [sym__type_order_operator] = ACTIONS(9208),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5632] = {
    [sym_block_comment] = STATE(5632),
    [sym_line_comment] = STATE(5632),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10129),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10129),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10129),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10129),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10129),
    [anon_sym_COLON_EQ] = ACTIONS(10129),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10129),
    [anon_sym_QMARK] = ACTIONS(10129),
    [anon_sym_DASH_GT] = ACTIONS(10075),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10129),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10129),
    [aux_sym_integer_literal_token2] = ACTIONS(10129),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10129),
    [aux_sym_float_literal_token3] = ACTIONS(10129),
    [aux_sym_float_literal_token4] = ACTIONS(10129),
    [sym_character_literal] = ACTIONS(10129),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10129),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10129),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10129),
    [aux_sym__assignment_operator_token1] = ACTIONS(10129),
    [sym__pair_operator] = ACTIONS(10129),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10129),
    [sym__lazy_and_operator] = ACTIONS(10129),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10129),
    [sym__pipe_left_operator] = ACTIONS(10129),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10129),
    [sym__type_order_operator] = ACTIONS(10129),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [5633] = {
    [sym_block_comment] = STATE(5633),
    [sym_line_comment] = STATE(5633),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_finally] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_DASH_GT] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [5634] = {
    [sym_block_comment] = STATE(5634),
    [sym_line_comment] = STATE(5634),
    [ts_builtin_sym_end] = ACTIONS(9909),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_RBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [5635] = {
    [sym_block_comment] = STATE(5635),
    [sym_line_comment] = STATE(5635),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10087),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10087),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10087),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10087),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10087),
    [anon_sym_COLON_EQ] = ACTIONS(10087),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10087),
    [anon_sym_QMARK] = ACTIONS(10087),
    [anon_sym_DASH_GT] = ACTIONS(10147),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10087),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10087),
    [aux_sym_integer_literal_token2] = ACTIONS(10087),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10087),
    [aux_sym_float_literal_token3] = ACTIONS(10087),
    [aux_sym_float_literal_token4] = ACTIONS(10087),
    [sym_character_literal] = ACTIONS(10087),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10087),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10087),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10087),
    [aux_sym__assignment_operator_token1] = ACTIONS(10087),
    [sym__pair_operator] = ACTIONS(10087),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10087),
    [sym__lazy_and_operator] = ACTIONS(10087),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10087),
    [sym__pipe_left_operator] = ACTIONS(10087),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10087),
    [sym__type_order_operator] = ACTIONS(10087),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [5636] = {
    [sym_block_comment] = STATE(5636),
    [sym_line_comment] = STATE(5636),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10099),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10099),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10099),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10099),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10099),
    [anon_sym_COLON_EQ] = ACTIONS(10099),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10099),
    [anon_sym_QMARK] = ACTIONS(10099),
    [anon_sym_DASH_GT] = ACTIONS(10005),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10099),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10099),
    [aux_sym_integer_literal_token2] = ACTIONS(10099),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10099),
    [aux_sym_float_literal_token3] = ACTIONS(10099),
    [aux_sym_float_literal_token4] = ACTIONS(10099),
    [sym_character_literal] = ACTIONS(10099),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10099),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10099),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10099),
    [aux_sym__assignment_operator_token1] = ACTIONS(10099),
    [sym__pair_operator] = ACTIONS(10099),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10099),
    [sym__lazy_and_operator] = ACTIONS(10099),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10099),
    [sym__pipe_left_operator] = ACTIONS(10099),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10099),
    [sym__type_order_operator] = ACTIONS(10099),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [5637] = {
    [sym_block_comment] = STATE(5637),
    [sym_line_comment] = STATE(5637),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10141),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10141),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10141),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10141),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10141),
    [anon_sym_COLON_EQ] = ACTIONS(10141),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10141),
    [anon_sym_QMARK] = ACTIONS(10141),
    [anon_sym_DASH_GT] = ACTIONS(10035),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10141),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10141),
    [aux_sym_integer_literal_token2] = ACTIONS(10141),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10141),
    [aux_sym_float_literal_token3] = ACTIONS(10141),
    [aux_sym_float_literal_token4] = ACTIONS(10141),
    [sym_character_literal] = ACTIONS(10141),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10141),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10141),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10141),
    [aux_sym__assignment_operator_token1] = ACTIONS(10141),
    [sym__pair_operator] = ACTIONS(10141),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10141),
    [sym__lazy_and_operator] = ACTIONS(10141),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10141),
    [sym__pipe_left_operator] = ACTIONS(10141),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10141),
    [sym__type_order_operator] = ACTIONS(10141),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [5638] = {
    [sym__assignment_operator] = STATE(3855),
    [sym_block_comment] = STATE(5638),
    [sym_line_comment] = STATE(5638),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_SQUOTE] = ACTIONS(10619),
    [anon_sym_DOT] = ACTIONS(10698),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_COLON_EQ] = ACTIONS(1685),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10623),
    [sym__immediate_bracket] = ACTIONS(10625),
    [sym__immediate_brace] = ACTIONS(10627),
  },
  [5639] = {
    [sym_block_comment] = STATE(5639),
    [sym_line_comment] = STATE(5639),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_RPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_RBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9995),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_RBRACE] = ACTIONS(9995),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9995),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9995),
    [sym__bitshift_operator] = ACTIONS(9995),
    [sym__power_operator] = ACTIONS(9995),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10653),
    [sym__immediate_command_start] = ACTIONS(10655),
  },
  [5640] = {
    [sym__assignment_operator] = STATE(3855),
    [sym_block_comment] = STATE(5640),
    [sym_line_comment] = STATE(5640),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_SQUOTE] = ACTIONS(10619),
    [anon_sym_DOT] = ACTIONS(10698),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_COLON_EQ] = ACTIONS(1685),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10623),
    [sym__immediate_bracket] = ACTIONS(10625),
    [sym__immediate_brace] = ACTIONS(10627),
  },
  [5641] = {
    [sym_do_clause] = STATE(6494),
    [sym_block_comment] = STATE(5641),
    [sym_line_comment] = STATE(5641),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9931),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9931),
    [anon_sym_RPAREN] = ACTIONS(9931),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9931),
    [anon_sym_RBRACK] = ACTIONS(9931),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9931),
    [anon_sym_LBRACE] = ACTIONS(9931),
    [anon_sym_RBRACE] = ACTIONS(9931),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10700),
    [anon_sym_DOLLAR] = ACTIONS(9931),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9931),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9931),
    [anon_sym_QMARK] = ACTIONS(9931),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9931),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9931),
    [aux_sym_integer_literal_token2] = ACTIONS(9931),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9931),
    [aux_sym_float_literal_token3] = ACTIONS(9931),
    [aux_sym_float_literal_token4] = ACTIONS(9931),
    [sym_character_literal] = ACTIONS(9931),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9931),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9931),
    [sym__pair_operator] = ACTIONS(9931),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9931),
    [sym__lazy_and_operator] = ACTIONS(9931),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9931),
    [sym__pipe_left_operator] = ACTIONS(9931),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9931),
    [sym__bitshift_operator] = ACTIONS(9931),
    [sym__power_operator] = ACTIONS(9931),
    [sym__tilde_operator] = ACTIONS(9931),
    [sym__type_order_operator] = ACTIONS(9931),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5642] = {
    [sym_block_comment] = STATE(5642),
    [sym_line_comment] = STATE(5642),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9943),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9943),
    [anon_sym_RPAREN] = ACTIONS(9943),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9943),
    [anon_sym_RBRACK] = ACTIONS(9943),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9943),
    [anon_sym_LBRACE] = ACTIONS(9943),
    [anon_sym_RBRACE] = ACTIONS(9943),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9943),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9943),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9943),
    [anon_sym_QMARK] = ACTIONS(9943),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9943),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9943),
    [aux_sym_integer_literal_token2] = ACTIONS(9943),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9943),
    [aux_sym_float_literal_token3] = ACTIONS(9943),
    [aux_sym_float_literal_token4] = ACTIONS(9943),
    [sym_character_literal] = ACTIONS(9943),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9943),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9943),
    [sym__pair_operator] = ACTIONS(9943),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9943),
    [sym__lazy_and_operator] = ACTIONS(9943),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9943),
    [sym__pipe_left_operator] = ACTIONS(9943),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9943),
    [sym__bitshift_operator] = ACTIONS(9943),
    [sym__power_operator] = ACTIONS(9943),
    [sym__tilde_operator] = ACTIONS(9943),
    [sym__type_order_operator] = ACTIONS(9943),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10653),
    [sym__immediate_command_start] = ACTIONS(10655),
  },
  [5643] = {
    [sym_do_clause] = STATE(6495),
    [sym_block_comment] = STATE(5643),
    [sym_line_comment] = STATE(5643),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9937),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9937),
    [anon_sym_RPAREN] = ACTIONS(9937),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9937),
    [anon_sym_RBRACK] = ACTIONS(9937),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9937),
    [anon_sym_LBRACE] = ACTIONS(9937),
    [anon_sym_RBRACE] = ACTIONS(9937),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10700),
    [anon_sym_DOLLAR] = ACTIONS(9937),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9937),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9937),
    [anon_sym_QMARK] = ACTIONS(9937),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9937),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9937),
    [aux_sym_integer_literal_token2] = ACTIONS(9937),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9937),
    [aux_sym_float_literal_token3] = ACTIONS(9937),
    [aux_sym_float_literal_token4] = ACTIONS(9937),
    [sym_character_literal] = ACTIONS(9937),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9937),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9937),
    [sym__pair_operator] = ACTIONS(9937),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9937),
    [sym__lazy_and_operator] = ACTIONS(9937),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9937),
    [sym__pipe_left_operator] = ACTIONS(9937),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9937),
    [sym__bitshift_operator] = ACTIONS(9937),
    [sym__power_operator] = ACTIONS(9937),
    [sym__tilde_operator] = ACTIONS(9937),
    [sym__type_order_operator] = ACTIONS(9937),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5644] = {
    [sym_do_clause] = STATE(6503),
    [sym_block_comment] = STATE(5644),
    [sym_line_comment] = STATE(5644),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9947),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9947),
    [anon_sym_RPAREN] = ACTIONS(9947),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9947),
    [anon_sym_RBRACK] = ACTIONS(9947),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9947),
    [anon_sym_LBRACE] = ACTIONS(9947),
    [anon_sym_RBRACE] = ACTIONS(9947),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10700),
    [anon_sym_DOLLAR] = ACTIONS(9947),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9947),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9947),
    [anon_sym_QMARK] = ACTIONS(9947),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9947),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9947),
    [aux_sym_integer_literal_token2] = ACTIONS(9947),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9947),
    [aux_sym_float_literal_token3] = ACTIONS(9947),
    [aux_sym_float_literal_token4] = ACTIONS(9947),
    [sym_character_literal] = ACTIONS(9947),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9947),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9947),
    [sym__pair_operator] = ACTIONS(9947),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9947),
    [sym__lazy_and_operator] = ACTIONS(9947),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9947),
    [sym__pipe_left_operator] = ACTIONS(9947),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9947),
    [sym__bitshift_operator] = ACTIONS(9947),
    [sym__power_operator] = ACTIONS(9947),
    [sym__tilde_operator] = ACTIONS(9947),
    [sym__type_order_operator] = ACTIONS(9947),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5645] = {
    [sym_identifier] = STATE(5909),
    [sym_block_comment] = STATE(5645),
    [sym_line_comment] = STATE(5645),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_elseif] = ACTIONS(10131),
    [anon_sym_else] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [5646] = {
    [sym_identifier] = STATE(5910),
    [sym_block_comment] = STATE(5646),
    [sym_line_comment] = STATE(5646),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_elseif] = ACTIONS(10135),
    [anon_sym_else] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [5647] = {
    [sym_do_clause] = STATE(6512),
    [sym_block_comment] = STATE(5647),
    [sym_line_comment] = STATE(5647),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9989),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9989),
    [anon_sym_RPAREN] = ACTIONS(9989),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9989),
    [anon_sym_RBRACK] = ACTIONS(9989),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9989),
    [anon_sym_LBRACE] = ACTIONS(9989),
    [anon_sym_RBRACE] = ACTIONS(9989),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10700),
    [anon_sym_DOLLAR] = ACTIONS(9989),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9989),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9989),
    [anon_sym_QMARK] = ACTIONS(9989),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9989),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9989),
    [aux_sym_integer_literal_token2] = ACTIONS(9989),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9989),
    [aux_sym_float_literal_token3] = ACTIONS(9989),
    [aux_sym_float_literal_token4] = ACTIONS(9989),
    [sym_character_literal] = ACTIONS(9989),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9989),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9989),
    [sym__pair_operator] = ACTIONS(9989),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9989),
    [sym__lazy_and_operator] = ACTIONS(9989),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9989),
    [sym__pipe_left_operator] = ACTIONS(9989),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9989),
    [sym__bitshift_operator] = ACTIONS(9989),
    [sym__power_operator] = ACTIONS(9989),
    [sym__tilde_operator] = ACTIONS(9989),
    [sym__type_order_operator] = ACTIONS(9989),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5648] = {
    [sym_identifier] = STATE(5916),
    [sym_block_comment] = STATE(5648),
    [sym_line_comment] = STATE(5648),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_elseif] = ACTIONS(10143),
    [anon_sym_else] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [5649] = {
    [sym_identifier] = STATE(5917),
    [sym_block_comment] = STATE(5649),
    [sym_line_comment] = STATE(5649),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_elseif] = ACTIONS(10007),
    [anon_sym_else] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [5650] = {
    [sym_block_comment] = STATE(5650),
    [sym_line_comment] = STATE(5650),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DASH_GT] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10660),
    [sym__immediate_command_start] = ACTIONS(10662),
  },
  [5651] = {
    [sym_block_comment] = STATE(5651),
    [sym_line_comment] = STATE(5651),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10589),
    [sym__immediate_command_start] = ACTIONS(10591),
  },
  [5652] = {
    [sym_do_clause] = STATE(6528),
    [sym_block_comment] = STATE(5652),
    [sym_line_comment] = STATE(5652),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10702),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_DASH_GT] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5653] = {
    [sym_block_comment] = STATE(5653),
    [sym_line_comment] = STATE(5653),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_DASH_GT] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10660),
    [sym__immediate_command_start] = ACTIONS(10662),
  },
  [5654] = {
    [sym_do_clause] = STATE(6529),
    [sym_block_comment] = STATE(5654),
    [sym_line_comment] = STATE(5654),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10702),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_DASH_GT] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5655] = {
    [sym_do_clause] = STATE(6531),
    [sym_block_comment] = STATE(5655),
    [sym_line_comment] = STATE(5655),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10702),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_DASH_GT] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5656] = {
    [sym_do_clause] = STATE(6534),
    [sym_block_comment] = STATE(5656),
    [sym_line_comment] = STATE(5656),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10702),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_DASH_GT] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5657] = {
    [sym_block_comment] = STATE(5657),
    [sym_line_comment] = STATE(5657),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_elseif] = ACTIONS(10171),
    [anon_sym_else] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_DASH_GT] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [5658] = {
    [sym_block_comment] = STATE(5658),
    [sym_line_comment] = STATE(5658),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_elseif] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5659] = {
    [sym_block_comment] = STATE(5659),
    [sym_line_comment] = STATE(5659),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_elseif] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DASH_GT] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [5660] = {
    [sym_block_comment] = STATE(5660),
    [sym_line_comment] = STATE(5660),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_elseif] = ACTIONS(10193),
    [anon_sym_else] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_DASH_GT] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [5661] = {
    [sym_block_comment] = STATE(5661),
    [sym_line_comment] = STATE(5661),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_elseif] = ACTIONS(10209),
    [anon_sym_else] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_DASH_GT] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [5662] = {
    [sym_block_comment] = STATE(5662),
    [sym_line_comment] = STATE(5662),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_elseif] = ACTIONS(10213),
    [anon_sym_else] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_DASH_GT] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [5663] = {
    [sym_block_comment] = STATE(5663),
    [sym_line_comment] = STATE(5663),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_elseif] = ACTIONS(9941),
    [anon_sym_else] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_DASH_GT] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [5664] = {
    [sym_block_comment] = STATE(5664),
    [sym_line_comment] = STATE(5664),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_elseif] = ACTIONS(9933),
    [anon_sym_else] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_DASH_GT] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5665] = {
    [sym_block_comment] = STATE(5665),
    [sym_line_comment] = STATE(5665),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10013),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10013),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10013),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10013),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10013),
    [anon_sym_COLON_EQ] = ACTIONS(10013),
    [anon_sym_DOT_EQ] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10013),
    [anon_sym_QMARK] = ACTIONS(10013),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10013),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10013),
    [aux_sym_integer_literal_token2] = ACTIONS(10013),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10013),
    [aux_sym_float_literal_token3] = ACTIONS(10013),
    [aux_sym_float_literal_token4] = ACTIONS(10013),
    [sym_character_literal] = ACTIONS(10013),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10013),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10013),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10013),
    [aux_sym__assignment_operator_token1] = ACTIONS(10013),
    [sym__pair_operator] = ACTIONS(10013),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10013),
    [sym__lazy_and_operator] = ACTIONS(10013),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10013),
    [sym__pipe_left_operator] = ACTIONS(10013),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10013),
    [sym__type_order_operator] = ACTIONS(10013),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [5666] = {
    [sym_block_comment] = STATE(5666),
    [sym_line_comment] = STATE(5666),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_elseif] = ACTIONS(10225),
    [anon_sym_else] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_DASH_GT] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [5667] = {
    [sym_block_comment] = STATE(5667),
    [sym_line_comment] = STATE(5667),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_elseif] = ACTIONS(10229),
    [anon_sym_else] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_DASH_GT] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [5668] = {
    [sym_block_comment] = STATE(5668),
    [sym_line_comment] = STATE(5668),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_elseif] = ACTIONS(10235),
    [anon_sym_else] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_DASH_GT] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [5669] = {
    [sym_block_comment] = STATE(5669),
    [sym_line_comment] = STATE(5669),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_elseif] = ACTIONS(9987),
    [anon_sym_else] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_DASH_GT] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5670] = {
    [sym_block_comment] = STATE(5670),
    [sym_line_comment] = STATE(5670),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_elseif] = ACTIONS(10239),
    [anon_sym_else] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_DASH_GT] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [5671] = {
    [sym_block_comment] = STATE(5671),
    [sym_line_comment] = STATE(5671),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_elseif] = ACTIONS(10245),
    [anon_sym_else] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_DASH_GT] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [5672] = {
    [sym_block_comment] = STATE(5672),
    [sym_line_comment] = STATE(5672),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_elseif] = ACTIONS(10249),
    [anon_sym_else] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_DASH_GT] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [5673] = {
    [sym__primary_expression] = STATE(11975),
    [sym__array] = STATE(11240),
    [sym_comprehension_expression] = STATE(11258),
    [sym_matrix_expression] = STATE(11258),
    [sym_vector_expression] = STATE(11258),
    [sym_parenthesized_expression] = STATE(11240),
    [sym_tuple_expression] = STATE(11240),
    [sym_curly_expression] = STATE(11240),
    [sym_adjoint_expression] = STATE(11240),
    [sym_field_expression] = STATE(11240),
    [sym_index_expression] = STATE(11240),
    [sym_parametrized_type_expression] = STATE(11240),
    [sym_call_expression] = STATE(11240),
    [sym_broadcast_call_expression] = STATE(11240),
    [sym__closed_macrocall_expression] = STATE(11240),
    [sym_interpolation_expression] = STATE(11240),
    [sym_quote_expression] = STATE(11240),
    [sym_macro_identifier] = STATE(18196),
    [sym_identifier] = STATE(11697),
    [sym_boolean_literal] = STATE(11240),
    [sym__string] = STATE(11240),
    [sym__delimiter_str_1] = STATE(15154),
    [sym__delimiter_str_3] = STATE(15155),
    [sym__delimiter_cmd_1] = STATE(15156),
    [sym__delimiter_cmd_3] = STATE(15157),
    [sym_string_literal] = STATE(11212),
    [sym_command_literal] = STATE(11212),
    [sym_prefixed_string_literal] = STATE(11212),
    [sym_prefixed_command_literal] = STATE(11212),
    [sym_operator] = STATE(19880),
    [sym_block_comment] = STATE(5673),
    [sym_line_comment] = STATE(5673),
    [sym__word_identifier] = ACTIONS(10527),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(10529),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(10531),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(10533),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(10704),
    [anon_sym_COLON2] = ACTIONS(10706),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(10539),
    [anon_sym_true] = ACTIONS(10541),
    [anon_sym_false] = ACTIONS(10541),
    [sym_character_literal] = ACTIONS(10543),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(9208),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9208),
    [sym__pipe_left_operator] = ACTIONS(9208),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9208),
    [sym__type_order_operator] = ACTIONS(9208),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5674] = {
    [sym_block_comment] = STATE(5674),
    [sym_line_comment] = STATE(5674),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_elseif] = ACTIONS(10277),
    [anon_sym_else] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_DASH_GT] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [5675] = {
    [sym_block_comment] = STATE(5675),
    [sym_line_comment] = STATE(5675),
    [sym__word_identifier] = ACTIONS(10635),
    [anon_sym_COMMA] = ACTIONS(10708),
    [anon_sym_EQ] = ACTIONS(10708),
    [anon_sym_begin] = ACTIONS(10635),
    [anon_sym_module] = ACTIONS(10635),
    [anon_sym_baremodule] = ACTIONS(10635),
    [anon_sym_end] = ACTIONS(10635),
    [anon_sym_abstract] = ACTIONS(10635),
    [anon_sym_primitive] = ACTIONS(10635),
    [anon_sym_mutable] = ACTIONS(10635),
    [anon_sym_struct] = ACTIONS(10635),
    [anon_sym_function] = ACTIONS(10635),
    [anon_sym_macro] = ACTIONS(10635),
    [anon_sym_quote] = ACTIONS(10635),
    [anon_sym_let] = ACTIONS(10635),
    [anon_sym_if] = ACTIONS(10635),
    [anon_sym_elseif] = ACTIONS(10635),
    [anon_sym_else] = ACTIONS(10635),
    [anon_sym_try] = ACTIONS(10635),
    [anon_sym_for] = ACTIONS(10635),
    [anon_sym_while] = ACTIONS(10635),
    [sym_break_statement] = ACTIONS(10635),
    [sym_continue_statement] = ACTIONS(10635),
    [anon_sym_return] = ACTIONS(10635),
    [anon_sym_const] = ACTIONS(10635),
    [anon_sym_global] = ACTIONS(10635),
    [anon_sym_local] = ACTIONS(10635),
    [anon_sym_LPAREN] = ACTIONS(10635),
    [anon_sym_COLON] = ACTIONS(10635),
    [anon_sym_export] = ACTIONS(10635),
    [anon_sym_public] = ACTIONS(10635),
    [anon_sym_import] = ACTIONS(10635),
    [anon_sym_using] = ACTIONS(10635),
    [anon_sym_LBRACK] = ACTIONS(10635),
    [anon_sym_in] = ACTIONS(10635),
    [anon_sym_SEMI] = ACTIONS(10635),
    [anon_sym_LBRACE] = ACTIONS(10635),
    [anon_sym_SQUOTE] = ACTIONS(10637),
    [anon_sym_DOT] = ACTIONS(10639),
    [anon_sym_DOLLAR] = ACTIONS(10635),
    [anon_sym_COLON2] = ACTIONS(10635),
    [anon_sym_COLON_COLON] = ACTIONS(10635),
    [anon_sym_isa] = ACTIONS(10635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10635),
    [anon_sym_QMARK] = ACTIONS(10635),
    [anon_sym_DASH_GT] = ACTIONS(10635),
    [anon_sym_where] = ACTIONS(10635),
    [anon_sym_AT] = ACTIONS(10635),
    [anon_sym_true] = ACTIONS(10635),
    [anon_sym_false] = ACTIONS(10635),
    [aux_sym_integer_literal_token1] = ACTIONS(10635),
    [aux_sym_integer_literal_token2] = ACTIONS(10635),
    [aux_sym_integer_literal_token3] = ACTIONS(10635),
    [aux_sym_integer_literal_token4] = ACTIONS(10635),
    [aux_sym_float_literal_token1] = ACTIONS(10635),
    [aux_sym_float_literal_token3] = ACTIONS(10635),
    [aux_sym_float_literal_token4] = ACTIONS(10635),
    [sym_character_literal] = ACTIONS(10635),
    [anon_sym_DQUOTE] = ACTIONS(10635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10635),
    [sym__pair_operator] = ACTIONS(10635),
    [sym__arrow_operator] = ACTIONS(10635),
    [sym__lazy_or_operator] = ACTIONS(10635),
    [sym__lazy_and_operator] = ACTIONS(10635),
    [sym__comparison_operator] = ACTIONS(10635),
    [sym__pipe_right_operator] = ACTIONS(10635),
    [sym__pipe_left_operator] = ACTIONS(10635),
    [sym__ellipsis_operator] = ACTIONS(10635),
    [sym__plus_operator] = ACTIONS(10635),
    [sym__times_operator] = ACTIONS(10635),
    [sym__rational_operator] = ACTIONS(10635),
    [sym__bitshift_operator] = ACTIONS(10635),
    [sym__power_operator] = ACTIONS(10635),
    [sym__tilde_operator] = ACTIONS(10635),
    [sym__type_order_operator] = ACTIONS(10635),
    [sym__unary_operator] = ACTIONS(10635),
    [sym__unary_plus_operator] = ACTIONS(10635),
    [aux_sym__terminator_token1] = ACTIONS(10641),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10643),
    [sym__immediate_bracket] = ACTIONS(10645),
    [sym__immediate_brace] = ACTIONS(10647),
  },
  [5676] = {
    [sym_block_comment] = STATE(5676),
    [sym_line_comment] = STATE(5676),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DASH_GT] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [5677] = {
    [sym_block_comment] = STATE(5677),
    [sym_line_comment] = STATE(5677),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10649),
    [sym__immediate_command_start] = ACTIONS(10651),
  },
  [5678] = {
    [sym_block_comment] = STATE(5678),
    [sym_line_comment] = STATE(5678),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10601),
    [sym__immediate_command_start] = ACTIONS(10603),
  },
  [5679] = {
    [sym_do_clause] = STATE(6613),
    [sym_block_comment] = STATE(5679),
    [sym_line_comment] = STATE(5679),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_catch] = ACTIONS(9927),
    [anon_sym_finally] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10710),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5680] = {
    [sym_block_comment] = STATE(5680),
    [sym_line_comment] = STATE(5680),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_catch] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10649),
    [sym__immediate_command_start] = ACTIONS(10651),
  },
  [5681] = {
    [sym_do_clause] = STATE(6614),
    [sym_block_comment] = STATE(5681),
    [sym_line_comment] = STATE(5681),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_catch] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10710),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5682] = {
    [sym_block_comment] = STATE(5682),
    [sym_line_comment] = STATE(5682),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_else] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_finally] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_DASH_GT] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [5683] = {
    [sym_do_clause] = STATE(6624),
    [sym_block_comment] = STATE(5683),
    [sym_line_comment] = STATE(5683),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_catch] = ACTIONS(9945),
    [anon_sym_finally] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10710),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5684] = {
    [sym_do_clause] = STATE(6633),
    [sym_block_comment] = STATE(5684),
    [sym_line_comment] = STATE(5684),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_catch] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10710),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5685] = {
    [sym__assignment_operator] = STATE(4335),
    [sym_block_comment] = STATE(5685),
    [sym_line_comment] = STATE(5685),
    [sym__word_identifier] = ACTIONS(10712),
    [anon_sym_begin] = ACTIONS(10712),
    [anon_sym_module] = ACTIONS(10712),
    [anon_sym_baremodule] = ACTIONS(10712),
    [anon_sym_end] = ACTIONS(10712),
    [anon_sym_abstract] = ACTIONS(10712),
    [anon_sym_primitive] = ACTIONS(10712),
    [anon_sym_mutable] = ACTIONS(10712),
    [anon_sym_struct] = ACTIONS(10712),
    [anon_sym_function] = ACTIONS(10712),
    [anon_sym_macro] = ACTIONS(10712),
    [anon_sym_quote] = ACTIONS(10712),
    [anon_sym_let] = ACTIONS(10712),
    [anon_sym_if] = ACTIONS(10712),
    [anon_sym_try] = ACTIONS(10712),
    [anon_sym_for] = ACTIONS(10712),
    [anon_sym_while] = ACTIONS(10712),
    [sym_break_statement] = ACTIONS(10712),
    [sym_continue_statement] = ACTIONS(10712),
    [anon_sym_return] = ACTIONS(10712),
    [anon_sym_const] = ACTIONS(10712),
    [anon_sym_global] = ACTIONS(10712),
    [anon_sym_local] = ACTIONS(10712),
    [anon_sym_LPAREN] = ACTIONS(10712),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(10712),
    [anon_sym_public] = ACTIONS(10712),
    [anon_sym_import] = ACTIONS(10712),
    [anon_sym_using] = ACTIONS(10712),
    [anon_sym_LBRACK] = ACTIONS(10712),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(10712),
    [anon_sym_LBRACE] = ACTIONS(10712),
    [anon_sym_SQUOTE] = ACTIONS(10475),
    [anon_sym_DOT] = ACTIONS(10714),
    [anon_sym_DOLLAR] = ACTIONS(10712),
    [anon_sym_COLON2] = ACTIONS(10712),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(10712),
    [anon_sym_true] = ACTIONS(10712),
    [anon_sym_false] = ACTIONS(10712),
    [aux_sym_integer_literal_token1] = ACTIONS(10712),
    [aux_sym_integer_literal_token2] = ACTIONS(10712),
    [aux_sym_integer_literal_token3] = ACTIONS(10712),
    [aux_sym_integer_literal_token4] = ACTIONS(10712),
    [aux_sym_float_literal_token1] = ACTIONS(10712),
    [aux_sym_float_literal_token3] = ACTIONS(10712),
    [aux_sym_float_literal_token4] = ACTIONS(10712),
    [sym_character_literal] = ACTIONS(10712),
    [anon_sym_DQUOTE] = ACTIONS(10712),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10712),
    [anon_sym_BQUOTE] = ACTIONS(10712),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10712),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(10716),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(10712),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(10718),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
    [sym__immediate_bracket] = ACTIONS(10481),
    [sym__immediate_brace] = ACTIONS(10483),
  },
  [5686] = {
    [sym_block_comment] = STATE(5686),
    [sym_line_comment] = STATE(5686),
    [ts_builtin_sym_end] = ACTIONS(9971),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_RBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10593),
    [sym__immediate_command_start] = ACTIONS(10595),
  },
  [5687] = {
    [sym_block_comment] = STATE(5687),
    [sym_line_comment] = STATE(5687),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_elseif] = ACTIONS(10127),
    [anon_sym_else] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_DASH_GT] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [5688] = {
    [sym_block_comment] = STATE(5688),
    [sym_line_comment] = STATE(5688),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_else] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_finally] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_DASH_GT] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [5689] = {
    [sym_block_comment] = STATE(5689),
    [sym_line_comment] = STATE(5689),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_elseif] = ACTIONS(10083),
    [anon_sym_else] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_DASH_GT] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [5690] = {
    [sym_block_comment] = STATE(5690),
    [sym_line_comment] = STATE(5690),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_elseif] = ACTIONS(10089),
    [anon_sym_else] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5691] = {
    [sym_block_comment] = STATE(5691),
    [sym_line_comment] = STATE(5691),
    [ts_builtin_sym_end] = ACTIONS(10075),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_RBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_DASH_GT] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [5692] = {
    [sym_block_comment] = STATE(5692),
    [sym_line_comment] = STATE(5692),
    [ts_builtin_sym_end] = ACTIONS(10081),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_RBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_DASH_GT] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [5693] = {
    [sym_block_comment] = STATE(5693),
    [sym_line_comment] = STATE(5693),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_elseif] = ACTIONS(10175),
    [anon_sym_else] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_DASH_GT] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [5694] = {
    [sym_block_comment] = STATE(5694),
    [sym_line_comment] = STATE(5694),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_elseif] = ACTIONS(10319),
    [anon_sym_else] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_DASH_GT] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [5695] = {
    [sym_block_comment] = STATE(5695),
    [sym_line_comment] = STATE(5695),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_elseif] = ACTIONS(10395),
    [anon_sym_else] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_DASH_GT] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [5696] = {
    [sym_block_comment] = STATE(5696),
    [sym_line_comment] = STATE(5696),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_elseif] = ACTIONS(10413),
    [anon_sym_else] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_DASH_GT] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [5697] = {
    [sym_block_comment] = STATE(5697),
    [sym_line_comment] = STATE(5697),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_elseif] = ACTIONS(10323),
    [anon_sym_else] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_DASH_GT] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [5698] = {
    [sym_block_comment] = STATE(5698),
    [sym_line_comment] = STATE(5698),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_elseif] = ACTIONS(10327),
    [anon_sym_else] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_DASH_GT] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [5699] = {
    [sym_block_comment] = STATE(5699),
    [sym_line_comment] = STATE(5699),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_elseif] = ACTIONS(10379),
    [anon_sym_else] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_DASH_GT] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [5700] = {
    [sym_block_comment] = STATE(5700),
    [sym_line_comment] = STATE(5700),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_elseif] = ACTIONS(10385),
    [anon_sym_else] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_DASH_GT] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [5701] = {
    [sym_block_comment] = STATE(5701),
    [sym_line_comment] = STATE(5701),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_elseif] = ACTIONS(10389),
    [anon_sym_else] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_DASH_GT] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [5702] = {
    [sym_block_comment] = STATE(5702),
    [sym_line_comment] = STATE(5702),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_elseif] = ACTIONS(10343),
    [anon_sym_else] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_DASH_GT] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [5703] = {
    [sym_block_comment] = STATE(5703),
    [sym_line_comment] = STATE(5703),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_elseif] = ACTIONS(10417),
    [anon_sym_else] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_DASH_GT] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [5704] = {
    [sym_block_comment] = STATE(5704),
    [sym_line_comment] = STATE(5704),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_elseif] = ACTIONS(10097),
    [anon_sym_else] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_DASH_GT] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [5705] = {
    [sym_block_comment] = STATE(5705),
    [sym_line_comment] = STATE(5705),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_elseif] = ACTIONS(10101),
    [anon_sym_else] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_DASH_GT] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [5706] = {
    [sym_block_comment] = STATE(5706),
    [sym_line_comment] = STATE(5706),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_elseif] = ACTIONS(10421),
    [anon_sym_else] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_DASH_GT] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [5707] = {
    [sym_block_comment] = STATE(5707),
    [sym_line_comment] = STATE(5707),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_elseif] = ACTIONS(10429),
    [anon_sym_else] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_DASH_GT] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [5708] = {
    [sym_block_comment] = STATE(5708),
    [sym_line_comment] = STATE(5708),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_elseif] = ACTIONS(10433),
    [anon_sym_else] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_DASH_GT] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [5709] = {
    [sym_block_comment] = STATE(5709),
    [sym_line_comment] = STATE(5709),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_elseif] = ACTIONS(10437),
    [anon_sym_else] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_DASH_GT] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [5710] = {
    [sym_block_comment] = STATE(5710),
    [sym_line_comment] = STATE(5710),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10075),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10075),
    [anon_sym_RPAREN] = ACTIONS(10075),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10075),
    [anon_sym_RBRACK] = ACTIONS(10075),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10075),
    [anon_sym_LBRACE] = ACTIONS(10075),
    [anon_sym_RBRACE] = ACTIONS(10075),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10075),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10075),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10075),
    [anon_sym_QMARK] = ACTIONS(10075),
    [anon_sym_DASH_GT] = ACTIONS(10075),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10075),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10075),
    [aux_sym_integer_literal_token2] = ACTIONS(10075),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10075),
    [aux_sym_float_literal_token3] = ACTIONS(10075),
    [aux_sym_float_literal_token4] = ACTIONS(10075),
    [sym_character_literal] = ACTIONS(10075),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10075),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10075),
    [sym__pair_operator] = ACTIONS(10075),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10075),
    [sym__lazy_and_operator] = ACTIONS(10075),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10075),
    [sym__pipe_left_operator] = ACTIONS(10075),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10075),
    [sym__bitshift_operator] = ACTIONS(10075),
    [sym__power_operator] = ACTIONS(10075),
    [sym__tilde_operator] = ACTIONS(10075),
    [sym__type_order_operator] = ACTIONS(10075),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [5711] = {
    [sym_block_comment] = STATE(5711),
    [sym_line_comment] = STATE(5711),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_elseif] = ACTIONS(10139),
    [anon_sym_else] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_DASH_GT] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [5712] = {
    [sym_block_comment] = STATE(5712),
    [sym_line_comment] = STATE(5712),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_elseif] = ACTIONS(10291),
    [anon_sym_else] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_DASH_GT] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [5713] = {
    [sym_block_comment] = STATE(5713),
    [sym_line_comment] = STATE(5713),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_elseif] = ACTIONS(10307),
    [anon_sym_else] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_DASH_GT] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [5714] = {
    [sym_block_comment] = STATE(5714),
    [sym_line_comment] = STATE(5714),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_elseif] = ACTIONS(10347),
    [anon_sym_else] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_DASH_GT] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [5715] = {
    [sym_block_comment] = STATE(5715),
    [sym_line_comment] = STATE(5715),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_elseif] = ACTIONS(10351),
    [anon_sym_else] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_DASH_GT] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [5716] = {
    [sym_block_comment] = STATE(5716),
    [sym_line_comment] = STATE(5716),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_elseif] = ACTIONS(10355),
    [anon_sym_else] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_DASH_GT] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [5717] = {
    [sym_block_comment] = STATE(5717),
    [sym_line_comment] = STATE(5717),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10081),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10081),
    [anon_sym_RPAREN] = ACTIONS(10081),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10081),
    [anon_sym_RBRACK] = ACTIONS(10081),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10081),
    [anon_sym_LBRACE] = ACTIONS(10081),
    [anon_sym_RBRACE] = ACTIONS(10081),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10081),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10081),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10081),
    [anon_sym_QMARK] = ACTIONS(10081),
    [anon_sym_DASH_GT] = ACTIONS(10081),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10081),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10081),
    [aux_sym_integer_literal_token2] = ACTIONS(10081),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10081),
    [aux_sym_float_literal_token3] = ACTIONS(10081),
    [aux_sym_float_literal_token4] = ACTIONS(10081),
    [sym_character_literal] = ACTIONS(10081),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10081),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10081),
    [sym__pair_operator] = ACTIONS(10081),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10081),
    [sym__lazy_and_operator] = ACTIONS(10081),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10081),
    [sym__pipe_left_operator] = ACTIONS(10081),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10081),
    [sym__bitshift_operator] = ACTIONS(10081),
    [sym__power_operator] = ACTIONS(10081),
    [sym__tilde_operator] = ACTIONS(10081),
    [sym__type_order_operator] = ACTIONS(10081),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [5718] = {
    [sym_block_comment] = STATE(5718),
    [sym_line_comment] = STATE(5718),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_elseif] = ACTIONS(10403),
    [anon_sym_else] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_DASH_GT] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [5719] = {
    [sym_block_comment] = STATE(5719),
    [sym_line_comment] = STATE(5719),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_elseif] = ACTIONS(10311),
    [anon_sym_else] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_DASH_GT] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [5720] = {
    [sym_block_comment] = STATE(5720),
    [sym_line_comment] = STATE(5720),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_elseif] = ACTIONS(10399),
    [anon_sym_else] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_DASH_GT] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [5721] = {
    [sym_block_comment] = STATE(5721),
    [sym_line_comment] = STATE(5721),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_elseif] = ACTIONS(10263),
    [anon_sym_else] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_DASH_GT] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [5722] = {
    [sym_block_comment] = STATE(5722),
    [sym_line_comment] = STATE(5722),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_elseif] = ACTIONS(10339),
    [anon_sym_else] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_DASH_GT] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [5723] = {
    [sym_block_comment] = STATE(5723),
    [sym_line_comment] = STATE(5723),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_elseif] = ACTIONS(10371),
    [anon_sym_else] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_DASH_GT] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [5724] = {
    [sym_block_comment] = STATE(5724),
    [sym_line_comment] = STATE(5724),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_elseif] = ACTIONS(10409),
    [anon_sym_else] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_DASH_GT] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [5725] = {
    [sym_block_comment] = STATE(5725),
    [sym_line_comment] = STATE(5725),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_elseif] = ACTIONS(10217),
    [anon_sym_else] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_DASH_GT] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [5726] = {
    [sym_block_comment] = STATE(5726),
    [sym_line_comment] = STATE(5726),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_else] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_finally] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_DASH_GT] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [5727] = {
    [sym_block_comment] = STATE(5727),
    [sym_line_comment] = STATE(5727),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_elseif] = ACTIONS(10359),
    [anon_sym_else] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_DASH_GT] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [5728] = {
    [sym_block_comment] = STATE(5728),
    [sym_line_comment] = STATE(5728),
    [ts_builtin_sym_end] = ACTIONS(10147),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_RBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [5729] = {
    [sym_block_comment] = STATE(5729),
    [sym_line_comment] = STATE(5729),
    [ts_builtin_sym_end] = ACTIONS(10005),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_RBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [5730] = {
    [sym_block_comment] = STATE(5730),
    [sym_line_comment] = STATE(5730),
    [ts_builtin_sym_end] = ACTIONS(10161),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_RBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_DASH_GT] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [5731] = {
    [sym_block_comment] = STATE(5731),
    [sym_line_comment] = STATE(5731),
    [ts_builtin_sym_end] = ACTIONS(10165),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_RBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_DASH_GT] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [5732] = {
    [sym_block_comment] = STATE(5732),
    [sym_line_comment] = STATE(5732),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_else] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_finally] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [5733] = {
    [sym_block_comment] = STATE(5733),
    [sym_line_comment] = STATE(5733),
    [ts_builtin_sym_end] = ACTIONS(10057),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_RBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_DASH_GT] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [5734] = {
    [sym_block_comment] = STATE(5734),
    [sym_line_comment] = STATE(5734),
    [ts_builtin_sym_end] = ACTIONS(10035),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_RBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_DASH_GT] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [5735] = {
    [sym_block_comment] = STATE(5735),
    [sym_line_comment] = STATE(5735),
    [ts_builtin_sym_end] = ACTIONS(10053),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_RBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_DASH_GT] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [5736] = {
    [sym_block_comment] = STATE(5736),
    [sym_line_comment] = STATE(5736),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_else] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_finally] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [5737] = {
    [sym__assignment_operator] = STATE(3855),
    [sym_block_comment] = STATE(5737),
    [sym_line_comment] = STATE(5737),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_SQUOTE] = ACTIONS(10619),
    [anon_sym_DOT] = ACTIONS(10698),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_COLON_EQ] = ACTIONS(1685),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10623),
    [sym__immediate_bracket] = ACTIONS(10625),
    [sym__immediate_brace] = ACTIONS(10627),
  },
  [5738] = {
    [sym_block_comment] = STATE(5738),
    [sym_line_comment] = STATE(5738),
    [ts_builtin_sym_end] = ACTIONS(10061),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_RBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_DASH_GT] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [5739] = {
    [sym_block_comment] = STATE(5739),
    [sym_line_comment] = STATE(5739),
    [ts_builtin_sym_end] = ACTIONS(10125),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_RBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_DASH_GT] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [5740] = {
    [sym_block_comment] = STATE(5740),
    [sym_line_comment] = STATE(5740),
    [ts_builtin_sym_end] = ACTIONS(10013),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_RBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_DASH_GT] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [5741] = {
    [sym_block_comment] = STATE(5741),
    [sym_line_comment] = STATE(5741),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_else] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_finally] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_DASH_GT] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [5742] = {
    [sym_do_clause] = STATE(6693),
    [sym_block_comment] = STATE(5742),
    [sym_line_comment] = STATE(5742),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_finally] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10597),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5743] = {
    [sym_do_clause] = STATE(6694),
    [sym_block_comment] = STATE(5743),
    [sym_line_comment] = STATE(5743),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_catch] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10720),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5744] = {
    [sym_block_comment] = STATE(5744),
    [sym_line_comment] = STATE(5744),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_catch] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10589),
    [sym__immediate_command_start] = ACTIONS(10591),
  },
  [5745] = {
    [sym_do_clause] = STATE(6696),
    [sym_block_comment] = STATE(5745),
    [sym_line_comment] = STATE(5745),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_catch] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10720),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5746] = {
    [sym_block_comment] = STATE(5746),
    [sym_line_comment] = STATE(5746),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10005),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10005),
    [anon_sym_RPAREN] = ACTIONS(10005),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10005),
    [anon_sym_RBRACK] = ACTIONS(10005),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10005),
    [anon_sym_LBRACE] = ACTIONS(10005),
    [anon_sym_RBRACE] = ACTIONS(10005),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10005),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10005),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10005),
    [anon_sym_QMARK] = ACTIONS(10005),
    [anon_sym_DASH_GT] = ACTIONS(10005),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10005),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10005),
    [aux_sym_integer_literal_token2] = ACTIONS(10005),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10005),
    [aux_sym_float_literal_token3] = ACTIONS(10005),
    [aux_sym_float_literal_token4] = ACTIONS(10005),
    [sym_character_literal] = ACTIONS(10005),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10005),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10005),
    [sym__pair_operator] = ACTIONS(10005),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10005),
    [sym__lazy_and_operator] = ACTIONS(10005),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10005),
    [sym__pipe_left_operator] = ACTIONS(10005),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10005),
    [sym__bitshift_operator] = ACTIONS(10005),
    [sym__power_operator] = ACTIONS(10005),
    [sym__tilde_operator] = ACTIONS(10005),
    [sym__type_order_operator] = ACTIONS(10005),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [5747] = {
    [sym_block_comment] = STATE(5747),
    [sym_line_comment] = STATE(5747),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10161),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10161),
    [anon_sym_RPAREN] = ACTIONS(10161),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10161),
    [anon_sym_RBRACK] = ACTIONS(10161),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10161),
    [anon_sym_LBRACE] = ACTIONS(10161),
    [anon_sym_RBRACE] = ACTIONS(10161),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10161),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10161),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10161),
    [anon_sym_QMARK] = ACTIONS(10161),
    [anon_sym_DASH_GT] = ACTIONS(10161),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10161),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10161),
    [aux_sym_integer_literal_token2] = ACTIONS(10161),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10161),
    [aux_sym_float_literal_token3] = ACTIONS(10161),
    [aux_sym_float_literal_token4] = ACTIONS(10161),
    [sym_character_literal] = ACTIONS(10161),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10161),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10161),
    [sym__pair_operator] = ACTIONS(10161),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10161),
    [sym__lazy_and_operator] = ACTIONS(10161),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10161),
    [sym__pipe_left_operator] = ACTIONS(10161),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10161),
    [sym__bitshift_operator] = ACTIONS(10161),
    [sym__power_operator] = ACTIONS(10161),
    [sym__tilde_operator] = ACTIONS(10161),
    [sym__type_order_operator] = ACTIONS(10161),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [5748] = {
    [sym_block_comment] = STATE(5748),
    [sym_line_comment] = STATE(5748),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10165),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10165),
    [anon_sym_RPAREN] = ACTIONS(10165),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10165),
    [anon_sym_RBRACK] = ACTIONS(10165),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10165),
    [anon_sym_LBRACE] = ACTIONS(10165),
    [anon_sym_RBRACE] = ACTIONS(10165),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10165),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10165),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10165),
    [anon_sym_QMARK] = ACTIONS(10165),
    [anon_sym_DASH_GT] = ACTIONS(10165),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10165),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10165),
    [aux_sym_integer_literal_token2] = ACTIONS(10165),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10165),
    [aux_sym_float_literal_token3] = ACTIONS(10165),
    [aux_sym_float_literal_token4] = ACTIONS(10165),
    [sym_character_literal] = ACTIONS(10165),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10165),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10165),
    [sym__pair_operator] = ACTIONS(10165),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10165),
    [sym__lazy_and_operator] = ACTIONS(10165),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10165),
    [sym__pipe_left_operator] = ACTIONS(10165),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10165),
    [sym__bitshift_operator] = ACTIONS(10165),
    [sym__power_operator] = ACTIONS(10165),
    [sym__tilde_operator] = ACTIONS(10165),
    [sym__type_order_operator] = ACTIONS(10165),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [5749] = {
    [sym_do_clause] = STATE(6699),
    [sym_block_comment] = STATE(5749),
    [sym_line_comment] = STATE(5749),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_catch] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10720),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5750] = {
    [sym_block_comment] = STATE(5750),
    [sym_line_comment] = STATE(5750),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10057),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10057),
    [anon_sym_RPAREN] = ACTIONS(10057),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10057),
    [anon_sym_RBRACK] = ACTIONS(10057),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10057),
    [anon_sym_LBRACE] = ACTIONS(10057),
    [anon_sym_RBRACE] = ACTIONS(10057),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10057),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10057),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10057),
    [anon_sym_QMARK] = ACTIONS(10057),
    [anon_sym_DASH_GT] = ACTIONS(10057),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10057),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10057),
    [aux_sym_integer_literal_token2] = ACTIONS(10057),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10057),
    [aux_sym_float_literal_token3] = ACTIONS(10057),
    [aux_sym_float_literal_token4] = ACTIONS(10057),
    [sym_character_literal] = ACTIONS(10057),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10057),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10057),
    [sym__pair_operator] = ACTIONS(10057),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10057),
    [sym__lazy_and_operator] = ACTIONS(10057),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10057),
    [sym__pipe_left_operator] = ACTIONS(10057),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10057),
    [sym__bitshift_operator] = ACTIONS(10057),
    [sym__power_operator] = ACTIONS(10057),
    [sym__tilde_operator] = ACTIONS(10057),
    [sym__type_order_operator] = ACTIONS(10057),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [5751] = {
    [sym_block_comment] = STATE(5751),
    [sym_line_comment] = STATE(5751),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10035),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10035),
    [anon_sym_RPAREN] = ACTIONS(10035),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10035),
    [anon_sym_RBRACK] = ACTIONS(10035),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10035),
    [anon_sym_LBRACE] = ACTIONS(10035),
    [anon_sym_RBRACE] = ACTIONS(10035),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10035),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10035),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10035),
    [anon_sym_QMARK] = ACTIONS(10035),
    [anon_sym_DASH_GT] = ACTIONS(10035),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10035),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10035),
    [aux_sym_integer_literal_token2] = ACTIONS(10035),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10035),
    [aux_sym_float_literal_token3] = ACTIONS(10035),
    [aux_sym_float_literal_token4] = ACTIONS(10035),
    [sym_character_literal] = ACTIONS(10035),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10035),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10035),
    [sym__pair_operator] = ACTIONS(10035),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10035),
    [sym__lazy_and_operator] = ACTIONS(10035),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10035),
    [sym__pipe_left_operator] = ACTIONS(10035),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10035),
    [sym__bitshift_operator] = ACTIONS(10035),
    [sym__power_operator] = ACTIONS(10035),
    [sym__tilde_operator] = ACTIONS(10035),
    [sym__type_order_operator] = ACTIONS(10035),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [5752] = {
    [sym_do_clause] = STATE(6705),
    [sym_block_comment] = STATE(5752),
    [sym_line_comment] = STATE(5752),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10597),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5753] = {
    [sym_block_comment] = STATE(5753),
    [sym_line_comment] = STATE(5753),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10053),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10053),
    [anon_sym_RPAREN] = ACTIONS(10053),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10053),
    [anon_sym_RBRACK] = ACTIONS(10053),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10053),
    [anon_sym_LBRACE] = ACTIONS(10053),
    [anon_sym_RBRACE] = ACTIONS(10053),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10053),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10053),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10053),
    [anon_sym_QMARK] = ACTIONS(10053),
    [anon_sym_DASH_GT] = ACTIONS(10053),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10053),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10053),
    [aux_sym_integer_literal_token2] = ACTIONS(10053),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10053),
    [aux_sym_float_literal_token3] = ACTIONS(10053),
    [aux_sym_float_literal_token4] = ACTIONS(10053),
    [sym_character_literal] = ACTIONS(10053),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10053),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10053),
    [sym__pair_operator] = ACTIONS(10053),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10053),
    [sym__lazy_and_operator] = ACTIONS(10053),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10053),
    [sym__pipe_left_operator] = ACTIONS(10053),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10053),
    [sym__bitshift_operator] = ACTIONS(10053),
    [sym__power_operator] = ACTIONS(10053),
    [sym__tilde_operator] = ACTIONS(10053),
    [sym__type_order_operator] = ACTIONS(10053),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [5754] = {
    [sym_do_clause] = STATE(6704),
    [sym_block_comment] = STATE(5754),
    [sym_line_comment] = STATE(5754),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_catch] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10720),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5755] = {
    [sym_block_comment] = STATE(5755),
    [sym_line_comment] = STATE(5755),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10061),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10061),
    [anon_sym_RPAREN] = ACTIONS(10061),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10061),
    [anon_sym_RBRACK] = ACTIONS(10061),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10061),
    [anon_sym_LBRACE] = ACTIONS(10061),
    [anon_sym_RBRACE] = ACTIONS(10061),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10061),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10061),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10061),
    [anon_sym_QMARK] = ACTIONS(10061),
    [anon_sym_DASH_GT] = ACTIONS(10061),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10061),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10061),
    [aux_sym_integer_literal_token2] = ACTIONS(10061),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10061),
    [aux_sym_float_literal_token3] = ACTIONS(10061),
    [aux_sym_float_literal_token4] = ACTIONS(10061),
    [sym_character_literal] = ACTIONS(10061),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10061),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10061),
    [sym__pair_operator] = ACTIONS(10061),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10061),
    [sym__lazy_and_operator] = ACTIONS(10061),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10061),
    [sym__pipe_left_operator] = ACTIONS(10061),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10061),
    [sym__bitshift_operator] = ACTIONS(10061),
    [sym__power_operator] = ACTIONS(10061),
    [sym__tilde_operator] = ACTIONS(10061),
    [sym__type_order_operator] = ACTIONS(10061),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [5756] = {
    [sym_block_comment] = STATE(5756),
    [sym_line_comment] = STATE(5756),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10125),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10125),
    [anon_sym_RPAREN] = ACTIONS(10125),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10125),
    [anon_sym_RBRACK] = ACTIONS(10125),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10125),
    [anon_sym_LBRACE] = ACTIONS(10125),
    [anon_sym_RBRACE] = ACTIONS(10125),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10125),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10125),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10125),
    [anon_sym_QMARK] = ACTIONS(10125),
    [anon_sym_DASH_GT] = ACTIONS(10125),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10125),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10125),
    [aux_sym_integer_literal_token2] = ACTIONS(10125),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10125),
    [aux_sym_float_literal_token3] = ACTIONS(10125),
    [aux_sym_float_literal_token4] = ACTIONS(10125),
    [sym_character_literal] = ACTIONS(10125),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10125),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10125),
    [sym__pair_operator] = ACTIONS(10125),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10125),
    [sym__lazy_and_operator] = ACTIONS(10125),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10125),
    [sym__pipe_left_operator] = ACTIONS(10125),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10125),
    [sym__bitshift_operator] = ACTIONS(10125),
    [sym__power_operator] = ACTIONS(10125),
    [sym__tilde_operator] = ACTIONS(10125),
    [sym__type_order_operator] = ACTIONS(10125),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [5757] = {
    [sym_block_comment] = STATE(5757),
    [sym_line_comment] = STATE(5757),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10013),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10013),
    [anon_sym_RPAREN] = ACTIONS(10013),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10013),
    [anon_sym_RBRACK] = ACTIONS(10013),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10013),
    [anon_sym_LBRACE] = ACTIONS(10013),
    [anon_sym_RBRACE] = ACTIONS(10013),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10013),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10013),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10013),
    [anon_sym_QMARK] = ACTIONS(10013),
    [anon_sym_DASH_GT] = ACTIONS(10013),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10013),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10013),
    [aux_sym_integer_literal_token2] = ACTIONS(10013),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10013),
    [aux_sym_float_literal_token3] = ACTIONS(10013),
    [aux_sym_float_literal_token4] = ACTIONS(10013),
    [sym_character_literal] = ACTIONS(10013),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10013),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10013),
    [sym__pair_operator] = ACTIONS(10013),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10013),
    [sym__lazy_and_operator] = ACTIONS(10013),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10013),
    [sym__pipe_left_operator] = ACTIONS(10013),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10013),
    [sym__bitshift_operator] = ACTIONS(10013),
    [sym__power_operator] = ACTIONS(10013),
    [sym__tilde_operator] = ACTIONS(10013),
    [sym__type_order_operator] = ACTIONS(10013),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [5758] = {
    [sym_block_comment] = STATE(5758),
    [sym_line_comment] = STATE(5758),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_else] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_finally] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [5759] = {
    [sym_block_comment] = STATE(5759),
    [sym_line_comment] = STATE(5759),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_else] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_finally] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [5760] = {
    [sym_block_comment] = STATE(5760),
    [sym_line_comment] = STATE(5760),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_else] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_finally] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [5761] = {
    [sym_block_comment] = STATE(5761),
    [sym_line_comment] = STATE(5761),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_else] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_finally] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [5762] = {
    [sym_block_comment] = STATE(5762),
    [sym_line_comment] = STATE(5762),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_else] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_finally] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [5763] = {
    [sym_block_comment] = STATE(5763),
    [sym_line_comment] = STATE(5763),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_else] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_finally] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [5764] = {
    [sym_block_comment] = STATE(5764),
    [sym_line_comment] = STATE(5764),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_else] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_finally] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [5765] = {
    [sym_block_comment] = STATE(5765),
    [sym_line_comment] = STATE(5765),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10601),
    [sym__immediate_command_start] = ACTIONS(10603),
  },
  [5766] = {
    [sym_block_comment] = STATE(5766),
    [sym_line_comment] = STATE(5766),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_else] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_finally] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [5767] = {
    [sym_block_comment] = STATE(5767),
    [sym_line_comment] = STATE(5767),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_else] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_finally] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [5768] = {
    [sym_block_comment] = STATE(5768),
    [sym_line_comment] = STATE(5768),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_else] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_finally] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [5769] = {
    [sym_block_comment] = STATE(5769),
    [sym_line_comment] = STATE(5769),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_elseif] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10722),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5770] = {
    [sym_block_comment] = STATE(5770),
    [sym_line_comment] = STATE(5770),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_RPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_RBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9971),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_RBRACE] = ACTIONS(9971),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9971),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9971),
    [sym__bitshift_operator] = ACTIONS(9971),
    [sym__power_operator] = ACTIONS(9971),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10653),
    [sym__immediate_command_start] = ACTIONS(10655),
  },
  [5771] = {
    [sym_block_comment] = STATE(5771),
    [sym_line_comment] = STATE(5771),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_catch] = ACTIONS(10073),
    [anon_sym_finally] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_DASH_GT] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [5772] = {
    [sym_block_comment] = STATE(5772),
    [sym_line_comment] = STATE(5772),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_catch] = ACTIONS(10079),
    [anon_sym_finally] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_DASH_GT] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [5773] = {
    [sym_block_comment] = STATE(5773),
    [sym_line_comment] = STATE(5773),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_DASH_GT] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10660),
    [sym__immediate_command_start] = ACTIONS(10662),
  },
  [5774] = {
    [sym_block_comment] = STATE(5774),
    [sym_line_comment] = STATE(5774),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10589),
    [sym__immediate_command_start] = ACTIONS(10591),
  },
  [5775] = {
    [sym_block_comment] = STATE(5775),
    [sym_line_comment] = STATE(5775),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10075),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10075),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10075),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10075),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10075),
    [anon_sym_COLON_EQ] = ACTIONS(10075),
    [anon_sym_DOT_EQ] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10075),
    [anon_sym_QMARK] = ACTIONS(10075),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10075),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10075),
    [aux_sym_integer_literal_token2] = ACTIONS(10075),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10075),
    [aux_sym_float_literal_token3] = ACTIONS(10075),
    [aux_sym_float_literal_token4] = ACTIONS(10075),
    [sym_character_literal] = ACTIONS(10075),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10075),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10075),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10075),
    [aux_sym__assignment_operator_token1] = ACTIONS(10075),
    [sym__pair_operator] = ACTIONS(10075),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10075),
    [sym__lazy_and_operator] = ACTIONS(10075),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10075),
    [sym__pipe_left_operator] = ACTIONS(10075),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10075),
    [sym__type_order_operator] = ACTIONS(10075),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [5776] = {
    [sym__assignment_operator] = STATE(4256),
    [sym_block_comment] = STATE(5776),
    [sym_line_comment] = STATE(5776),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_SQUOTE] = ACTIONS(10183),
    [anon_sym_DOT] = ACTIONS(10185),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_COLON_EQ] = ACTIONS(10025),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10025),
    [aux_sym__assignment_operator_token1] = ACTIONS(10025),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
    [sym__immediate_bracket] = ACTIONS(10189),
    [sym__immediate_brace] = ACTIONS(10191),
  },
  [5777] = {
    [sym_block_comment] = STATE(5777),
    [sym_line_comment] = STATE(5777),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10081),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10081),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10081),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10081),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10081),
    [anon_sym_COLON_EQ] = ACTIONS(10081),
    [anon_sym_DOT_EQ] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10081),
    [anon_sym_QMARK] = ACTIONS(10081),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10081),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10081),
    [aux_sym_integer_literal_token2] = ACTIONS(10081),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10081),
    [aux_sym_float_literal_token3] = ACTIONS(10081),
    [aux_sym_float_literal_token4] = ACTIONS(10081),
    [sym_character_literal] = ACTIONS(10081),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10081),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10081),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10081),
    [aux_sym__assignment_operator_token1] = ACTIONS(10081),
    [sym__pair_operator] = ACTIONS(10081),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10081),
    [sym__lazy_and_operator] = ACTIONS(10081),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10081),
    [sym__pipe_left_operator] = ACTIONS(10081),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10081),
    [sym__type_order_operator] = ACTIONS(10081),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [5778] = {
    [sym_block_comment] = STATE(5778),
    [sym_line_comment] = STATE(5778),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_else] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_finally] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_DASH_GT] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [5779] = {
    [sym_block_comment] = STATE(5779),
    [sym_line_comment] = STATE(5779),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5780] = {
    [sym_block_comment] = STATE(5780),
    [sym_line_comment] = STATE(5780),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_elseif] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_DASH_GT] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [5781] = {
    [sym_block_comment] = STATE(5781),
    [sym_line_comment] = STATE(5781),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_catch] = ACTIONS(10085),
    [anon_sym_finally] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [5782] = {
    [sym_block_comment] = STATE(5782),
    [sym_line_comment] = STATE(5782),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_else] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_finally] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_DASH_GT] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [5783] = {
    [sym_block_comment] = STATE(5783),
    [sym_line_comment] = STATE(5783),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_else] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_finally] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_DASH_GT] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [5784] = {
    [sym_block_comment] = STATE(5784),
    [sym_line_comment] = STATE(5784),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_else] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_DASH_GT] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [5785] = {
    [sym_block_comment] = STATE(5785),
    [sym_line_comment] = STATE(5785),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_else] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_DASH_GT] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5786] = {
    [sym_block_comment] = STATE(5786),
    [sym_line_comment] = STATE(5786),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_catch] = ACTIONS(10003),
    [anon_sym_finally] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [5787] = {
    [sym_block_comment] = STATE(5787),
    [sym_line_comment] = STATE(5787),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_catch] = ACTIONS(10159),
    [anon_sym_finally] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_DASH_GT] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [5788] = {
    [sym_block_comment] = STATE(5788),
    [sym_line_comment] = STATE(5788),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_catch] = ACTIONS(10163),
    [anon_sym_finally] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_DASH_GT] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [5789] = {
    [sym_block_comment] = STATE(5789),
    [sym_line_comment] = STATE(5789),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_else] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_finally] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_DASH_GT] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [5790] = {
    [sym_block_comment] = STATE(5790),
    [sym_line_comment] = STATE(5790),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_else] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_finally] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_DASH_GT] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [5791] = {
    [sym_block_comment] = STATE(5791),
    [sym_line_comment] = STATE(5791),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_catch] = ACTIONS(10055),
    [anon_sym_finally] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_DASH_GT] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [5792] = {
    [sym_block_comment] = STATE(5792),
    [sym_line_comment] = STATE(5792),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_catch] = ACTIONS(10033),
    [anon_sym_finally] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_DASH_GT] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [5793] = {
    [sym_block_comment] = STATE(5793),
    [sym_line_comment] = STATE(5793),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_catch] = ACTIONS(10051),
    [anon_sym_finally] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_DASH_GT] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [5794] = {
    [sym_block_comment] = STATE(5794),
    [sym_line_comment] = STATE(5794),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_else] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_finally] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_DASH_GT] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [5795] = {
    [sym_block_comment] = STATE(5795),
    [sym_line_comment] = STATE(5795),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_else] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_DASH_GT] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5796] = {
    [sym_block_comment] = STATE(5796),
    [sym_line_comment] = STATE(5796),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_catch] = ACTIONS(10059),
    [anon_sym_finally] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_DASH_GT] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [5797] = {
    [sym_block_comment] = STATE(5797),
    [sym_line_comment] = STATE(5797),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_catch] = ACTIONS(10123),
    [anon_sym_finally] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_DASH_GT] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [5798] = {
    [sym_block_comment] = STATE(5798),
    [sym_line_comment] = STATE(5798),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_else] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_finally] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_DASH_GT] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [5799] = {
    [sym_block_comment] = STATE(5799),
    [sym_line_comment] = STATE(5799),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_else] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_finally] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_DASH_GT] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [5800] = {
    [sym_block_comment] = STATE(5800),
    [sym_line_comment] = STATE(5800),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_catch] = ACTIONS(10011),
    [anon_sym_finally] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_DASH_GT] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [5801] = {
    [sym_block_comment] = STATE(5801),
    [sym_line_comment] = STATE(5801),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_else] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_finally] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_DASH_GT] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [5802] = {
    [sym_block_comment] = STATE(5802),
    [sym_line_comment] = STATE(5802),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_elseif] = ACTIONS(10315),
    [anon_sym_else] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_DASH_GT] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [5803] = {
    [sym_block_comment] = STATE(5803),
    [sym_line_comment] = STATE(5803),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10147),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10147),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10147),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10147),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10147),
    [anon_sym_COLON_EQ] = ACTIONS(10147),
    [anon_sym_DOT_EQ] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10147),
    [anon_sym_QMARK] = ACTIONS(10147),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10147),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10147),
    [aux_sym_integer_literal_token2] = ACTIONS(10147),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10147),
    [aux_sym_float_literal_token3] = ACTIONS(10147),
    [aux_sym_float_literal_token4] = ACTIONS(10147),
    [sym_character_literal] = ACTIONS(10147),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10147),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10147),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10147),
    [aux_sym__assignment_operator_token1] = ACTIONS(10147),
    [sym__pair_operator] = ACTIONS(10147),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10147),
    [sym__lazy_and_operator] = ACTIONS(10147),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10147),
    [sym__pipe_left_operator] = ACTIONS(10147),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10147),
    [sym__type_order_operator] = ACTIONS(10147),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [5804] = {
    [sym_block_comment] = STATE(5804),
    [sym_line_comment] = STATE(5804),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10005),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10005),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10005),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10005),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10005),
    [anon_sym_COLON_EQ] = ACTIONS(10005),
    [anon_sym_DOT_EQ] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10005),
    [anon_sym_QMARK] = ACTIONS(10005),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10005),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10005),
    [aux_sym_integer_literal_token2] = ACTIONS(10005),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10005),
    [aux_sym_float_literal_token3] = ACTIONS(10005),
    [aux_sym_float_literal_token4] = ACTIONS(10005),
    [sym_character_literal] = ACTIONS(10005),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10005),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10005),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10005),
    [aux_sym__assignment_operator_token1] = ACTIONS(10005),
    [sym__pair_operator] = ACTIONS(10005),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10005),
    [sym__lazy_and_operator] = ACTIONS(10005),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10005),
    [sym__pipe_left_operator] = ACTIONS(10005),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10005),
    [sym__type_order_operator] = ACTIONS(10005),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [5805] = {
    [sym_block_comment] = STATE(5805),
    [sym_line_comment] = STATE(5805),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10161),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10161),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10161),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10161),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10161),
    [anon_sym_COLON_EQ] = ACTIONS(10161),
    [anon_sym_DOT_EQ] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10161),
    [anon_sym_QMARK] = ACTIONS(10161),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10161),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10161),
    [aux_sym_integer_literal_token2] = ACTIONS(10161),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10161),
    [aux_sym_float_literal_token3] = ACTIONS(10161),
    [aux_sym_float_literal_token4] = ACTIONS(10161),
    [sym_character_literal] = ACTIONS(10161),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10161),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10161),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10161),
    [aux_sym__assignment_operator_token1] = ACTIONS(10161),
    [sym__pair_operator] = ACTIONS(10161),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10161),
    [sym__lazy_and_operator] = ACTIONS(10161),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10161),
    [sym__pipe_left_operator] = ACTIONS(10161),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10161),
    [sym__type_order_operator] = ACTIONS(10161),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [5806] = {
    [sym_block_comment] = STATE(5806),
    [sym_line_comment] = STATE(5806),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10165),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10165),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10165),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10165),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10165),
    [anon_sym_COLON_EQ] = ACTIONS(10165),
    [anon_sym_DOT_EQ] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10165),
    [anon_sym_QMARK] = ACTIONS(10165),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10165),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10165),
    [aux_sym_integer_literal_token2] = ACTIONS(10165),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10165),
    [aux_sym_float_literal_token3] = ACTIONS(10165),
    [aux_sym_float_literal_token4] = ACTIONS(10165),
    [sym_character_literal] = ACTIONS(10165),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10165),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10165),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10165),
    [aux_sym__assignment_operator_token1] = ACTIONS(10165),
    [sym__pair_operator] = ACTIONS(10165),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10165),
    [sym__lazy_and_operator] = ACTIONS(10165),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10165),
    [sym__pipe_left_operator] = ACTIONS(10165),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10165),
    [sym__type_order_operator] = ACTIONS(10165),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [5807] = {
    [sym_block_comment] = STATE(5807),
    [sym_line_comment] = STATE(5807),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_catch] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_DASH_GT] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [5808] = {
    [sym_block_comment] = STATE(5808),
    [sym_line_comment] = STATE(5808),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10057),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10057),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10057),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10057),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10057),
    [anon_sym_COLON_EQ] = ACTIONS(10057),
    [anon_sym_DOT_EQ] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10057),
    [anon_sym_QMARK] = ACTIONS(10057),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10057),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10057),
    [aux_sym_integer_literal_token2] = ACTIONS(10057),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10057),
    [aux_sym_float_literal_token3] = ACTIONS(10057),
    [aux_sym_float_literal_token4] = ACTIONS(10057),
    [sym_character_literal] = ACTIONS(10057),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10057),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10057),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10057),
    [aux_sym__assignment_operator_token1] = ACTIONS(10057),
    [sym__pair_operator] = ACTIONS(10057),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10057),
    [sym__lazy_and_operator] = ACTIONS(10057),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10057),
    [sym__pipe_left_operator] = ACTIONS(10057),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10057),
    [sym__type_order_operator] = ACTIONS(10057),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [5809] = {
    [sym_block_comment] = STATE(5809),
    [sym_line_comment] = STATE(5809),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10035),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10035),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10035),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10035),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10035),
    [anon_sym_COLON_EQ] = ACTIONS(10035),
    [anon_sym_DOT_EQ] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10035),
    [anon_sym_QMARK] = ACTIONS(10035),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10035),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10035),
    [aux_sym_integer_literal_token2] = ACTIONS(10035),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10035),
    [aux_sym_float_literal_token3] = ACTIONS(10035),
    [aux_sym_float_literal_token4] = ACTIONS(10035),
    [sym_character_literal] = ACTIONS(10035),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10035),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10035),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10035),
    [aux_sym__assignment_operator_token1] = ACTIONS(10035),
    [sym__pair_operator] = ACTIONS(10035),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10035),
    [sym__lazy_and_operator] = ACTIONS(10035),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10035),
    [sym__pipe_left_operator] = ACTIONS(10035),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10035),
    [sym__type_order_operator] = ACTIONS(10035),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [5810] = {
    [sym_block_comment] = STATE(5810),
    [sym_line_comment] = STATE(5810),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10053),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10053),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10053),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10053),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10053),
    [anon_sym_COLON_EQ] = ACTIONS(10053),
    [anon_sym_DOT_EQ] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10053),
    [anon_sym_QMARK] = ACTIONS(10053),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10053),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10053),
    [aux_sym_integer_literal_token2] = ACTIONS(10053),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10053),
    [aux_sym_float_literal_token3] = ACTIONS(10053),
    [aux_sym_float_literal_token4] = ACTIONS(10053),
    [sym_character_literal] = ACTIONS(10053),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10053),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10053),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10053),
    [aux_sym__assignment_operator_token1] = ACTIONS(10053),
    [sym__pair_operator] = ACTIONS(10053),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10053),
    [sym__lazy_and_operator] = ACTIONS(10053),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10053),
    [sym__pipe_left_operator] = ACTIONS(10053),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10053),
    [sym__type_order_operator] = ACTIONS(10053),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [5811] = {
    [sym_block_comment] = STATE(5811),
    [sym_line_comment] = STATE(5811),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_catch] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_DASH_GT] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [5812] = {
    [sym_block_comment] = STATE(5812),
    [sym_line_comment] = STATE(5812),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10061),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10061),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10061),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10061),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10061),
    [anon_sym_COLON_EQ] = ACTIONS(10061),
    [anon_sym_DOT_EQ] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10061),
    [anon_sym_QMARK] = ACTIONS(10061),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10061),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10061),
    [aux_sym_integer_literal_token2] = ACTIONS(10061),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10061),
    [aux_sym_float_literal_token3] = ACTIONS(10061),
    [aux_sym_float_literal_token4] = ACTIONS(10061),
    [sym_character_literal] = ACTIONS(10061),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10061),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10061),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10061),
    [aux_sym__assignment_operator_token1] = ACTIONS(10061),
    [sym__pair_operator] = ACTIONS(10061),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10061),
    [sym__lazy_and_operator] = ACTIONS(10061),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10061),
    [sym__pipe_left_operator] = ACTIONS(10061),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10061),
    [sym__type_order_operator] = ACTIONS(10061),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [5813] = {
    [sym_block_comment] = STATE(5813),
    [sym_line_comment] = STATE(5813),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10125),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10125),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10125),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10125),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10125),
    [anon_sym_COLON_EQ] = ACTIONS(10125),
    [anon_sym_DOT_EQ] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10125),
    [anon_sym_QMARK] = ACTIONS(10125),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10125),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10125),
    [aux_sym_integer_literal_token2] = ACTIONS(10125),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10125),
    [aux_sym_float_literal_token3] = ACTIONS(10125),
    [aux_sym_float_literal_token4] = ACTIONS(10125),
    [sym_character_literal] = ACTIONS(10125),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10125),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10125),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10125),
    [aux_sym__assignment_operator_token1] = ACTIONS(10125),
    [sym__pair_operator] = ACTIONS(10125),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10125),
    [sym__lazy_and_operator] = ACTIONS(10125),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10125),
    [sym__pipe_left_operator] = ACTIONS(10125),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10125),
    [sym__type_order_operator] = ACTIONS(10125),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [5814] = {
    [sym_block_comment] = STATE(5814),
    [sym_line_comment] = STATE(5814),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_elseif] = ACTIONS(10221),
    [anon_sym_else] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_DASH_GT] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [5815] = {
    [sym_block_comment] = STATE(5815),
    [sym_line_comment] = STATE(5815),
    [ts_builtin_sym_end] = ACTIONS(10019),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_RBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10724),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5816] = {
    [sym_block_comment] = STATE(5816),
    [sym_line_comment] = STATE(5816),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_finally] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [5817] = {
    [sym_block_comment] = STATE(5817),
    [sym_line_comment] = STATE(5817),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10087),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10087),
    [anon_sym_RPAREN] = ACTIONS(10087),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10087),
    [anon_sym_RBRACK] = ACTIONS(10087),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10087),
    [anon_sym_LBRACE] = ACTIONS(10087),
    [anon_sym_RBRACE] = ACTIONS(10087),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10087),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10087),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10087),
    [anon_sym_QMARK] = ACTIONS(10087),
    [anon_sym_DASH_GT] = ACTIONS(10087),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10087),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10087),
    [aux_sym_integer_literal_token2] = ACTIONS(10087),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10087),
    [aux_sym_float_literal_token3] = ACTIONS(10087),
    [aux_sym_float_literal_token4] = ACTIONS(10087),
    [sym_character_literal] = ACTIONS(10087),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10087),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10087),
    [sym__pair_operator] = ACTIONS(10087),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10087),
    [sym__lazy_and_operator] = ACTIONS(10087),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10087),
    [sym__pipe_left_operator] = ACTIONS(10087),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10087),
    [sym__bitshift_operator] = ACTIONS(10087),
    [sym__power_operator] = ACTIONS(10087),
    [sym__tilde_operator] = ACTIONS(10087),
    [sym__type_order_operator] = ACTIONS(10087),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [5818] = {
    [sym_block_comment] = STATE(5818),
    [sym_line_comment] = STATE(5818),
    [sym__word_identifier] = ACTIONS(10635),
    [anon_sym_COMMA] = ACTIONS(10641),
    [anon_sym_EQ] = ACTIONS(10635),
    [anon_sym_begin] = ACTIONS(10635),
    [anon_sym_module] = ACTIONS(10635),
    [anon_sym_baremodule] = ACTIONS(10635),
    [anon_sym_abstract] = ACTIONS(10635),
    [anon_sym_primitive] = ACTIONS(10635),
    [anon_sym_mutable] = ACTIONS(10635),
    [anon_sym_struct] = ACTIONS(10635),
    [anon_sym_function] = ACTIONS(10635),
    [anon_sym_macro] = ACTIONS(10635),
    [anon_sym_quote] = ACTIONS(10635),
    [anon_sym_let] = ACTIONS(10635),
    [anon_sym_if] = ACTIONS(10635),
    [anon_sym_try] = ACTIONS(10635),
    [anon_sym_for] = ACTIONS(10635),
    [anon_sym_while] = ACTIONS(10635),
    [sym_break_statement] = ACTIONS(10635),
    [sym_continue_statement] = ACTIONS(10635),
    [anon_sym_return] = ACTIONS(10635),
    [anon_sym_const] = ACTIONS(10635),
    [anon_sym_global] = ACTIONS(10635),
    [anon_sym_local] = ACTIONS(10635),
    [anon_sym_LPAREN] = ACTIONS(10641),
    [anon_sym_RPAREN] = ACTIONS(10641),
    [anon_sym_COLON] = ACTIONS(10635),
    [anon_sym_export] = ACTIONS(10635),
    [anon_sym_public] = ACTIONS(10635),
    [anon_sym_import] = ACTIONS(10635),
    [anon_sym_using] = ACTIONS(10635),
    [anon_sym_LBRACK] = ACTIONS(10641),
    [anon_sym_RBRACK] = ACTIONS(10641),
    [anon_sym_in] = ACTIONS(10635),
    [anon_sym_SEMI] = ACTIONS(10641),
    [anon_sym_LBRACE] = ACTIONS(10641),
    [anon_sym_RBRACE] = ACTIONS(10641),
    [anon_sym_SQUOTE] = ACTIONS(10726),
    [anon_sym_DOT] = ACTIONS(10728),
    [anon_sym_DOLLAR] = ACTIONS(10641),
    [anon_sym_COLON2] = ACTIONS(10635),
    [anon_sym_COLON_COLON] = ACTIONS(10641),
    [anon_sym_isa] = ACTIONS(10635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10641),
    [anon_sym_QMARK] = ACTIONS(10641),
    [anon_sym_DASH_GT] = ACTIONS(10641),
    [anon_sym_where] = ACTIONS(10635),
    [anon_sym_AT] = ACTIONS(10641),
    [anon_sym_true] = ACTIONS(10635),
    [anon_sym_false] = ACTIONS(10635),
    [aux_sym_integer_literal_token1] = ACTIONS(10641),
    [aux_sym_integer_literal_token2] = ACTIONS(10641),
    [aux_sym_integer_literal_token3] = ACTIONS(10635),
    [aux_sym_integer_literal_token4] = ACTIONS(10635),
    [aux_sym_float_literal_token1] = ACTIONS(10641),
    [aux_sym_float_literal_token3] = ACTIONS(10641),
    [aux_sym_float_literal_token4] = ACTIONS(10641),
    [sym_character_literal] = ACTIONS(10641),
    [anon_sym_DQUOTE] = ACTIONS(10635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10641),
    [anon_sym_BQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10641),
    [sym__pair_operator] = ACTIONS(10641),
    [sym__arrow_operator] = ACTIONS(10635),
    [sym__lazy_or_operator] = ACTIONS(10641),
    [sym__lazy_and_operator] = ACTIONS(10641),
    [sym__comparison_operator] = ACTIONS(10635),
    [sym__pipe_right_operator] = ACTIONS(10641),
    [sym__pipe_left_operator] = ACTIONS(10641),
    [sym__ellipsis_operator] = ACTIONS(10635),
    [sym__plus_operator] = ACTIONS(10635),
    [sym__times_operator] = ACTIONS(10635),
    [sym__rational_operator] = ACTIONS(10641),
    [sym__bitshift_operator] = ACTIONS(10641),
    [sym__power_operator] = ACTIONS(10641),
    [sym__tilde_operator] = ACTIONS(10641),
    [sym__type_order_operator] = ACTIONS(10641),
    [sym__unary_operator] = ACTIONS(10635),
    [sym__unary_plus_operator] = ACTIONS(10635),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10730),
    [sym__immediate_bracket] = ACTIONS(10732),
    [sym__immediate_brace] = ACTIONS(10734),
  },
  [5819] = {
    [sym_block_comment] = STATE(5819),
    [sym_line_comment] = STATE(5819),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10091),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10091),
    [anon_sym_RPAREN] = ACTIONS(10091),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10091),
    [anon_sym_RBRACK] = ACTIONS(10091),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10091),
    [anon_sym_LBRACE] = ACTIONS(10091),
    [anon_sym_RBRACE] = ACTIONS(10091),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10091),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10091),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10091),
    [anon_sym_QMARK] = ACTIONS(10091),
    [anon_sym_DASH_GT] = ACTIONS(10091),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10091),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10091),
    [aux_sym_integer_literal_token2] = ACTIONS(10091),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10091),
    [aux_sym_float_literal_token3] = ACTIONS(10091),
    [aux_sym_float_literal_token4] = ACTIONS(10091),
    [sym_character_literal] = ACTIONS(10091),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10091),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10091),
    [sym__pair_operator] = ACTIONS(10091),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10091),
    [sym__lazy_and_operator] = ACTIONS(10091),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10091),
    [sym__pipe_left_operator] = ACTIONS(10091),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10091),
    [sym__bitshift_operator] = ACTIONS(10091),
    [sym__power_operator] = ACTIONS(10091),
    [sym__tilde_operator] = ACTIONS(10091),
    [sym__type_order_operator] = ACTIONS(10091),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5820] = {
    [sym_block_comment] = STATE(5820),
    [sym_line_comment] = STATE(5820),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_catch] = ACTIONS(10339),
    [anon_sym_finally] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_DASH_GT] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [5821] = {
    [sym_block_comment] = STATE(5821),
    [sym_line_comment] = STATE(5821),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_finally] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_DASH_GT] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [5822] = {
    [sym_block_comment] = STATE(5822),
    [sym_line_comment] = STATE(5822),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_catch] = ACTIONS(10371),
    [anon_sym_finally] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_DASH_GT] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [5823] = {
    [sym_block_comment] = STATE(5823),
    [sym_line_comment] = STATE(5823),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_finally] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_DASH_GT] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [5824] = {
    [sym_block_comment] = STATE(5824),
    [sym_line_comment] = STATE(5824),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_finally] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [5825] = {
    [sym__primary_expression] = STATE(12125),
    [sym__array] = STATE(10654),
    [sym_comprehension_expression] = STATE(10689),
    [sym_matrix_expression] = STATE(10689),
    [sym_vector_expression] = STATE(10689),
    [sym_parenthesized_expression] = STATE(10654),
    [sym_tuple_expression] = STATE(10654),
    [sym_curly_expression] = STATE(10654),
    [sym_adjoint_expression] = STATE(10654),
    [sym_field_expression] = STATE(10654),
    [sym_index_expression] = STATE(10654),
    [sym_parametrized_type_expression] = STATE(10654),
    [sym_call_expression] = STATE(10654),
    [sym_broadcast_call_expression] = STATE(10654),
    [sym__closed_macrocall_expression] = STATE(10654),
    [sym_interpolation_expression] = STATE(10654),
    [sym_quote_expression] = STATE(10654),
    [sym_macro_identifier] = STATE(17588),
    [sym_identifier] = STATE(11901),
    [sym_boolean_literal] = STATE(10654),
    [sym__string] = STATE(10654),
    [sym__delimiter_str_1] = STATE(15341),
    [sym__delimiter_str_3] = STATE(15342),
    [sym__delimiter_cmd_1] = STATE(15343),
    [sym__delimiter_cmd_3] = STATE(15344),
    [sym_string_literal] = STATE(10680),
    [sym_command_literal] = STATE(10680),
    [sym_prefixed_string_literal] = STATE(10680),
    [sym_prefixed_command_literal] = STATE(10680),
    [sym_operator] = STATE(19440),
    [sym_block_comment] = STATE(5825),
    [sym_line_comment] = STATE(5825),
    [sym__word_identifier] = ACTIONS(10105),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(10107),
    [anon_sym_RPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(10109),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(189),
    [anon_sym_LBRACE] = ACTIONS(10111),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(10736),
    [anon_sym_COLON2] = ACTIONS(10738),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_COLON_EQ] = ACTIONS(189),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(10117),
    [anon_sym_true] = ACTIONS(10119),
    [anon_sym_false] = ACTIONS(10119),
    [sym_character_literal] = ACTIONS(10121),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(189),
    [aux_sym__assignment_operator_token1] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(9316),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9316),
    [sym__pipe_left_operator] = ACTIONS(9316),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5826] = {
    [sym_block_comment] = STATE(5826),
    [sym_line_comment] = STATE(5826),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_finally] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [5827] = {
    [sym_block_comment] = STATE(5827),
    [sym_line_comment] = STATE(5827),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_finally] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [5828] = {
    [sym_block_comment] = STATE(5828),
    [sym_line_comment] = STATE(5828),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_catch] = ACTIONS(10409),
    [anon_sym_finally] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_DASH_GT] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [5829] = {
    [sym_block_comment] = STATE(5829),
    [sym_line_comment] = STATE(5829),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_finally] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_DASH_GT] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [5830] = {
    [sym_block_comment] = STATE(5830),
    [sym_line_comment] = STATE(5830),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_catch] = ACTIONS(10217),
    [anon_sym_finally] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_DASH_GT] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [5831] = {
    [sym_block_comment] = STATE(5831),
    [sym_line_comment] = STATE(5831),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_DASH_GT] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5832] = {
    [sym_block_comment] = STATE(5832),
    [sym_line_comment] = STATE(5832),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_finally] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [5833] = {
    [sym_block_comment] = STATE(5833),
    [sym_line_comment] = STATE(5833),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_finally] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [5834] = {
    [sym_block_comment] = STATE(5834),
    [sym_line_comment] = STATE(5834),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_finally] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_DASH_GT] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [5835] = {
    [sym_block_comment] = STATE(5835),
    [sym_line_comment] = STATE(5835),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_finally] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_DASH_GT] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [5836] = {
    [sym_block_comment] = STATE(5836),
    [sym_line_comment] = STATE(5836),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_finally] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [5837] = {
    [sym_block_comment] = STATE(5837),
    [sym_line_comment] = STATE(5837),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_finally] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_DASH_GT] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [5838] = {
    [sym_block_comment] = STATE(5838),
    [sym_line_comment] = STATE(5838),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_catch] = ACTIONS(10175),
    [anon_sym_finally] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_DASH_GT] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [5839] = {
    [sym_block_comment] = STATE(5839),
    [sym_line_comment] = STATE(5839),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_DASH_GT] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10740),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5840] = {
    [sym_block_comment] = STATE(5840),
    [sym_line_comment] = STATE(5840),
    [sym__word_identifier] = ACTIONS(10451),
    [anon_sym_begin] = ACTIONS(10451),
    [anon_sym_module] = ACTIONS(10451),
    [anon_sym_baremodule] = ACTIONS(10451),
    [anon_sym_end] = ACTIONS(10451),
    [anon_sym_abstract] = ACTIONS(10451),
    [anon_sym_primitive] = ACTIONS(10451),
    [anon_sym_mutable] = ACTIONS(10451),
    [anon_sym_struct] = ACTIONS(10451),
    [anon_sym_function] = ACTIONS(10451),
    [anon_sym_macro] = ACTIONS(10451),
    [anon_sym_quote] = ACTIONS(10451),
    [anon_sym_let] = ACTIONS(10451),
    [anon_sym_if] = ACTIONS(10451),
    [anon_sym_try] = ACTIONS(10451),
    [anon_sym_for] = ACTIONS(10451),
    [anon_sym_while] = ACTIONS(10451),
    [sym_break_statement] = ACTIONS(10451),
    [sym_continue_statement] = ACTIONS(10451),
    [anon_sym_return] = ACTIONS(10451),
    [anon_sym_const] = ACTIONS(10451),
    [anon_sym_global] = ACTIONS(10451),
    [anon_sym_local] = ACTIONS(10451),
    [anon_sym_LPAREN] = ACTIONS(10451),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(10451),
    [anon_sym_public] = ACTIONS(10451),
    [anon_sym_import] = ACTIONS(10451),
    [anon_sym_using] = ACTIONS(10451),
    [anon_sym_LBRACK] = ACTIONS(10451),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(10451),
    [anon_sym_LBRACE] = ACTIONS(10451),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(10451),
    [anon_sym_COLON2] = ACTIONS(10451),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(10451),
    [anon_sym_true] = ACTIONS(10451),
    [anon_sym_false] = ACTIONS(10451),
    [aux_sym_integer_literal_token1] = ACTIONS(10451),
    [aux_sym_integer_literal_token2] = ACTIONS(10451),
    [aux_sym_integer_literal_token3] = ACTIONS(10451),
    [aux_sym_integer_literal_token4] = ACTIONS(10451),
    [aux_sym_float_literal_token1] = ACTIONS(10451),
    [aux_sym_float_literal_token3] = ACTIONS(10451),
    [aux_sym_float_literal_token4] = ACTIONS(10451),
    [sym_character_literal] = ACTIONS(10451),
    [anon_sym_DQUOTE] = ACTIONS(10451),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10451),
    [anon_sym_BQUOTE] = ACTIONS(10451),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10451),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(10451),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(10455),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5841] = {
    [sym_block_comment] = STATE(5841),
    [sym_line_comment] = STATE(5841),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_COLON_EQ] = ACTIONS(9995),
    [anon_sym_DOT_EQ] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9995),
    [aux_sym__assignment_operator_token1] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [5842] = {
    [sym_block_comment] = STATE(5842),
    [sym_line_comment] = STATE(5842),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_elseif] = ACTIONS(10315),
    [anon_sym_else] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [5843] = {
    [sym_block_comment] = STATE(5843),
    [sym_line_comment] = STATE(5843),
    [sym__word_identifier] = ACTIONS(10708),
    [anon_sym_COMMA] = ACTIONS(10708),
    [anon_sym_EQ] = ACTIONS(10708),
    [anon_sym_begin] = ACTIONS(10708),
    [anon_sym_module] = ACTIONS(10708),
    [anon_sym_baremodule] = ACTIONS(10708),
    [anon_sym_end] = ACTIONS(10708),
    [anon_sym_abstract] = ACTIONS(10708),
    [anon_sym_primitive] = ACTIONS(10708),
    [anon_sym_mutable] = ACTIONS(10708),
    [anon_sym_struct] = ACTIONS(10708),
    [anon_sym_function] = ACTIONS(10708),
    [anon_sym_macro] = ACTIONS(10708),
    [anon_sym_quote] = ACTIONS(10708),
    [anon_sym_let] = ACTIONS(10708),
    [anon_sym_if] = ACTIONS(10708),
    [anon_sym_else] = ACTIONS(10708),
    [anon_sym_try] = ACTIONS(10708),
    [anon_sym_finally] = ACTIONS(10708),
    [anon_sym_for] = ACTIONS(10708),
    [anon_sym_while] = ACTIONS(10708),
    [sym_break_statement] = ACTIONS(10708),
    [sym_continue_statement] = ACTIONS(10708),
    [anon_sym_return] = ACTIONS(10708),
    [anon_sym_const] = ACTIONS(10708),
    [anon_sym_global] = ACTIONS(10708),
    [anon_sym_local] = ACTIONS(10708),
    [anon_sym_LPAREN] = ACTIONS(10708),
    [anon_sym_COLON] = ACTIONS(10708),
    [anon_sym_export] = ACTIONS(10708),
    [anon_sym_public] = ACTIONS(10708),
    [anon_sym_import] = ACTIONS(10708),
    [anon_sym_using] = ACTIONS(10708),
    [anon_sym_LBRACK] = ACTIONS(10708),
    [anon_sym_in] = ACTIONS(10708),
    [anon_sym_SEMI] = ACTIONS(10708),
    [anon_sym_LBRACE] = ACTIONS(10708),
    [anon_sym_SQUOTE] = ACTIONS(10742),
    [anon_sym_DOT] = ACTIONS(10744),
    [anon_sym_DOLLAR] = ACTIONS(10708),
    [anon_sym_COLON2] = ACTIONS(10708),
    [anon_sym_COLON_COLON] = ACTIONS(10708),
    [anon_sym_isa] = ACTIONS(10708),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10708),
    [anon_sym_QMARK] = ACTIONS(10708),
    [anon_sym_where] = ACTIONS(10708),
    [anon_sym_AT] = ACTIONS(10708),
    [anon_sym_true] = ACTIONS(10708),
    [anon_sym_false] = ACTIONS(10708),
    [aux_sym_integer_literal_token1] = ACTIONS(10708),
    [aux_sym_integer_literal_token2] = ACTIONS(10708),
    [aux_sym_integer_literal_token3] = ACTIONS(10708),
    [aux_sym_integer_literal_token4] = ACTIONS(10708),
    [aux_sym_float_literal_token1] = ACTIONS(10708),
    [aux_sym_float_literal_token3] = ACTIONS(10708),
    [aux_sym_float_literal_token4] = ACTIONS(10708),
    [sym_character_literal] = ACTIONS(10708),
    [anon_sym_DQUOTE] = ACTIONS(10708),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10708),
    [anon_sym_BQUOTE] = ACTIONS(10708),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10708),
    [sym__pair_operator] = ACTIONS(10708),
    [sym__arrow_operator] = ACTIONS(10708),
    [sym__lazy_or_operator] = ACTIONS(10708),
    [sym__lazy_and_operator] = ACTIONS(10708),
    [sym__comparison_operator] = ACTIONS(10708),
    [sym__pipe_right_operator] = ACTIONS(10708),
    [sym__pipe_left_operator] = ACTIONS(10708),
    [sym__ellipsis_operator] = ACTIONS(10708),
    [sym__plus_operator] = ACTIONS(10708),
    [sym__times_operator] = ACTIONS(10708),
    [sym__rational_operator] = ACTIONS(10708),
    [sym__bitshift_operator] = ACTIONS(10708),
    [sym__power_operator] = ACTIONS(10708),
    [sym__tilde_operator] = ACTIONS(10708),
    [sym__type_order_operator] = ACTIONS(10708),
    [sym__unary_operator] = ACTIONS(10708),
    [sym__unary_plus_operator] = ACTIONS(10708),
    [aux_sym__terminator_token1] = ACTIONS(10746),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10748),
    [sym__immediate_bracket] = ACTIONS(10750),
    [sym__immediate_brace] = ACTIONS(10752),
  },
  [5844] = {
    [sym_block_comment] = STATE(5844),
    [sym_line_comment] = STATE(5844),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_catch] = ACTIONS(10319),
    [anon_sym_finally] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_DASH_GT] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [5845] = {
    [sym_block_comment] = STATE(5845),
    [sym_line_comment] = STATE(5845),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10177),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10177),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10177),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10177),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10177),
    [anon_sym_COLON_EQ] = ACTIONS(10177),
    [anon_sym_DOT_EQ] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10177),
    [anon_sym_QMARK] = ACTIONS(10177),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10177),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10177),
    [aux_sym_integer_literal_token2] = ACTIONS(10177),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10177),
    [aux_sym_float_literal_token3] = ACTIONS(10177),
    [aux_sym_float_literal_token4] = ACTIONS(10177),
    [sym_character_literal] = ACTIONS(10177),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10177),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10177),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10177),
    [aux_sym__assignment_operator_token1] = ACTIONS(10177),
    [sym__pair_operator] = ACTIONS(10177),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10177),
    [sym__lazy_and_operator] = ACTIONS(10177),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10177),
    [sym__pipe_left_operator] = ACTIONS(10177),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10177),
    [sym__type_order_operator] = ACTIONS(10177),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [5846] = {
    [sym_block_comment] = STATE(5846),
    [sym_line_comment] = STATE(5846),
    [sym__word_identifier] = ACTIONS(10754),
    [anon_sym_COMMA] = ACTIONS(10754),
    [anon_sym_EQ] = ACTIONS(10754),
    [anon_sym_begin] = ACTIONS(10754),
    [anon_sym_module] = ACTIONS(10754),
    [anon_sym_baremodule] = ACTIONS(10754),
    [anon_sym_end] = ACTIONS(10754),
    [anon_sym_abstract] = ACTIONS(10754),
    [anon_sym_primitive] = ACTIONS(10754),
    [anon_sym_mutable] = ACTIONS(10754),
    [anon_sym_struct] = ACTIONS(10754),
    [anon_sym_function] = ACTIONS(10754),
    [anon_sym_macro] = ACTIONS(10754),
    [anon_sym_quote] = ACTIONS(10754),
    [anon_sym_let] = ACTIONS(10754),
    [anon_sym_if] = ACTIONS(10754),
    [anon_sym_else] = ACTIONS(10754),
    [anon_sym_try] = ACTIONS(10754),
    [anon_sym_finally] = ACTIONS(10754),
    [anon_sym_for] = ACTIONS(10754),
    [anon_sym_while] = ACTIONS(10754),
    [sym_break_statement] = ACTIONS(10754),
    [sym_continue_statement] = ACTIONS(10754),
    [anon_sym_return] = ACTIONS(10754),
    [anon_sym_const] = ACTIONS(10754),
    [anon_sym_global] = ACTIONS(10754),
    [anon_sym_local] = ACTIONS(10754),
    [anon_sym_LPAREN] = ACTIONS(10754),
    [anon_sym_COLON] = ACTIONS(10754),
    [anon_sym_export] = ACTIONS(10754),
    [anon_sym_public] = ACTIONS(10754),
    [anon_sym_import] = ACTIONS(10754),
    [anon_sym_using] = ACTIONS(10754),
    [anon_sym_LBRACK] = ACTIONS(10754),
    [anon_sym_in] = ACTIONS(10754),
    [anon_sym_SEMI] = ACTIONS(10754),
    [anon_sym_LBRACE] = ACTIONS(10754),
    [anon_sym_SQUOTE] = ACTIONS(10742),
    [anon_sym_DOT] = ACTIONS(10744),
    [anon_sym_DOLLAR] = ACTIONS(10754),
    [anon_sym_COLON2] = ACTIONS(10754),
    [anon_sym_COLON_COLON] = ACTIONS(10754),
    [anon_sym_isa] = ACTIONS(10754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10754),
    [anon_sym_QMARK] = ACTIONS(10754),
    [anon_sym_where] = ACTIONS(10754),
    [anon_sym_AT] = ACTIONS(10754),
    [anon_sym_true] = ACTIONS(10754),
    [anon_sym_false] = ACTIONS(10754),
    [aux_sym_integer_literal_token1] = ACTIONS(10754),
    [aux_sym_integer_literal_token2] = ACTIONS(10754),
    [aux_sym_integer_literal_token3] = ACTIONS(10754),
    [aux_sym_integer_literal_token4] = ACTIONS(10754),
    [aux_sym_float_literal_token1] = ACTIONS(10754),
    [aux_sym_float_literal_token3] = ACTIONS(10754),
    [aux_sym_float_literal_token4] = ACTIONS(10754),
    [sym_character_literal] = ACTIONS(10754),
    [anon_sym_DQUOTE] = ACTIONS(10754),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10754),
    [anon_sym_BQUOTE] = ACTIONS(10754),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10754),
    [sym__pair_operator] = ACTIONS(10754),
    [sym__arrow_operator] = ACTIONS(10754),
    [sym__lazy_or_operator] = ACTIONS(10754),
    [sym__lazy_and_operator] = ACTIONS(10754),
    [sym__comparison_operator] = ACTIONS(10754),
    [sym__pipe_right_operator] = ACTIONS(10754),
    [sym__pipe_left_operator] = ACTIONS(10754),
    [sym__ellipsis_operator] = ACTIONS(10754),
    [sym__plus_operator] = ACTIONS(10754),
    [sym__times_operator] = ACTIONS(10754),
    [sym__rational_operator] = ACTIONS(10754),
    [sym__bitshift_operator] = ACTIONS(10754),
    [sym__power_operator] = ACTIONS(10754),
    [sym__tilde_operator] = ACTIONS(10754),
    [sym__type_order_operator] = ACTIONS(10754),
    [sym__unary_operator] = ACTIONS(10754),
    [sym__unary_plus_operator] = ACTIONS(10754),
    [aux_sym__terminator_token1] = ACTIONS(10756),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10748),
    [sym__immediate_bracket] = ACTIONS(10750),
    [sym__immediate_brace] = ACTIONS(10752),
  },
  [5847] = {
    [sym_block_comment] = STATE(5847),
    [sym_line_comment] = STATE(5847),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_elseif] = ACTIONS(10127),
    [anon_sym_else] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [5848] = {
    [sym_block_comment] = STATE(5848),
    [sym_line_comment] = STATE(5848),
    [sym__word_identifier] = ACTIONS(10635),
    [anon_sym_COMMA] = ACTIONS(10635),
    [anon_sym_EQ] = ACTIONS(10635),
    [anon_sym_begin] = ACTIONS(10635),
    [anon_sym_module] = ACTIONS(10635),
    [anon_sym_baremodule] = ACTIONS(10635),
    [anon_sym_abstract] = ACTIONS(10635),
    [anon_sym_primitive] = ACTIONS(10635),
    [anon_sym_mutable] = ACTIONS(10635),
    [anon_sym_struct] = ACTIONS(10635),
    [anon_sym_function] = ACTIONS(10635),
    [anon_sym_macro] = ACTIONS(10635),
    [anon_sym_quote] = ACTIONS(10635),
    [anon_sym_let] = ACTIONS(10635),
    [anon_sym_if] = ACTIONS(10635),
    [anon_sym_try] = ACTIONS(10635),
    [anon_sym_catch] = ACTIONS(10635),
    [anon_sym_finally] = ACTIONS(10635),
    [anon_sym_for] = ACTIONS(10635),
    [anon_sym_while] = ACTIONS(10635),
    [sym_break_statement] = ACTIONS(10635),
    [sym_continue_statement] = ACTIONS(10635),
    [anon_sym_return] = ACTIONS(10635),
    [anon_sym_const] = ACTIONS(10635),
    [anon_sym_global] = ACTIONS(10635),
    [anon_sym_local] = ACTIONS(10635),
    [anon_sym_LPAREN] = ACTIONS(10635),
    [anon_sym_COLON] = ACTIONS(10635),
    [anon_sym_export] = ACTIONS(10635),
    [anon_sym_public] = ACTIONS(10635),
    [anon_sym_import] = ACTIONS(10635),
    [anon_sym_using] = ACTIONS(10635),
    [anon_sym_LBRACK] = ACTIONS(10635),
    [anon_sym_in] = ACTIONS(10635),
    [anon_sym_SEMI] = ACTIONS(10635),
    [anon_sym_LBRACE] = ACTIONS(10635),
    [anon_sym_SQUOTE] = ACTIONS(10758),
    [anon_sym_DOT] = ACTIONS(10760),
    [anon_sym_DOLLAR] = ACTIONS(10635),
    [anon_sym_COLON2] = ACTIONS(10635),
    [anon_sym_COLON_COLON] = ACTIONS(10635),
    [anon_sym_isa] = ACTIONS(10635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10635),
    [anon_sym_QMARK] = ACTIONS(10635),
    [anon_sym_DASH_GT] = ACTIONS(10635),
    [anon_sym_where] = ACTIONS(10635),
    [anon_sym_AT] = ACTIONS(10635),
    [anon_sym_true] = ACTIONS(10635),
    [anon_sym_false] = ACTIONS(10635),
    [aux_sym_integer_literal_token1] = ACTIONS(10635),
    [aux_sym_integer_literal_token2] = ACTIONS(10635),
    [aux_sym_integer_literal_token3] = ACTIONS(10635),
    [aux_sym_integer_literal_token4] = ACTIONS(10635),
    [aux_sym_float_literal_token1] = ACTIONS(10635),
    [aux_sym_float_literal_token3] = ACTIONS(10635),
    [aux_sym_float_literal_token4] = ACTIONS(10635),
    [sym_character_literal] = ACTIONS(10635),
    [anon_sym_DQUOTE] = ACTIONS(10635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10635),
    [sym__pair_operator] = ACTIONS(10635),
    [sym__arrow_operator] = ACTIONS(10635),
    [sym__lazy_or_operator] = ACTIONS(10635),
    [sym__lazy_and_operator] = ACTIONS(10635),
    [sym__comparison_operator] = ACTIONS(10635),
    [sym__pipe_right_operator] = ACTIONS(10635),
    [sym__pipe_left_operator] = ACTIONS(10635),
    [sym__ellipsis_operator] = ACTIONS(10635),
    [sym__plus_operator] = ACTIONS(10635),
    [sym__times_operator] = ACTIONS(10635),
    [sym__rational_operator] = ACTIONS(10635),
    [sym__bitshift_operator] = ACTIONS(10635),
    [sym__power_operator] = ACTIONS(10635),
    [sym__tilde_operator] = ACTIONS(10635),
    [sym__type_order_operator] = ACTIONS(10635),
    [sym__unary_operator] = ACTIONS(10635),
    [sym__unary_plus_operator] = ACTIONS(10635),
    [aux_sym__terminator_token1] = ACTIONS(10641),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10762),
    [sym__immediate_bracket] = ACTIONS(10764),
    [sym__immediate_brace] = ACTIONS(10766),
  },
  [5849] = {
    [sym_block_comment] = STATE(5849),
    [sym_line_comment] = STATE(5849),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10321),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10321),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10321),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10321),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10321),
    [anon_sym_COLON_EQ] = ACTIONS(10321),
    [anon_sym_DOT_EQ] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10321),
    [anon_sym_QMARK] = ACTIONS(10321),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10321),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10321),
    [aux_sym_integer_literal_token2] = ACTIONS(10321),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10321),
    [aux_sym_float_literal_token3] = ACTIONS(10321),
    [aux_sym_float_literal_token4] = ACTIONS(10321),
    [sym_character_literal] = ACTIONS(10321),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10321),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10321),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10321),
    [aux_sym__assignment_operator_token1] = ACTIONS(10321),
    [sym__pair_operator] = ACTIONS(10321),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10321),
    [sym__lazy_and_operator] = ACTIONS(10321),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10321),
    [sym__pipe_left_operator] = ACTIONS(10321),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10321),
    [sym__type_order_operator] = ACTIONS(10321),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [5850] = {
    [sym_block_comment] = STATE(5850),
    [sym_line_comment] = STATE(5850),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_elseif] = ACTIONS(10083),
    [anon_sym_else] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [5851] = {
    [sym_block_comment] = STATE(5851),
    [sym_line_comment] = STATE(5851),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_elseif] = ACTIONS(10089),
    [anon_sym_else] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5852] = {
    [sym_block_comment] = STATE(5852),
    [sym_line_comment] = STATE(5852),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10195),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10195),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10195),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10195),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10195),
    [anon_sym_COLON_EQ] = ACTIONS(10195),
    [anon_sym_DOT_EQ] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10195),
    [anon_sym_QMARK] = ACTIONS(10195),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10195),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10195),
    [aux_sym_integer_literal_token2] = ACTIONS(10195),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10195),
    [aux_sym_float_literal_token3] = ACTIONS(10195),
    [aux_sym_float_literal_token4] = ACTIONS(10195),
    [sym_character_literal] = ACTIONS(10195),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10195),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10195),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10195),
    [aux_sym__assignment_operator_token1] = ACTIONS(10195),
    [sym__pair_operator] = ACTIONS(10195),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10195),
    [sym__lazy_and_operator] = ACTIONS(10195),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10195),
    [sym__pipe_left_operator] = ACTIONS(10195),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10195),
    [sym__type_order_operator] = ACTIONS(10195),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [5853] = {
    [sym_block_comment] = STATE(5853),
    [sym_line_comment] = STATE(5853),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_elseif] = ACTIONS(10171),
    [anon_sym_else] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [5854] = {
    [sym_block_comment] = STATE(5854),
    [sym_line_comment] = STATE(5854),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_elseif] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [5855] = {
    [sym_block_comment] = STATE(5855),
    [sym_line_comment] = STATE(5855),
    [sym__word_identifier] = ACTIONS(10708),
    [anon_sym_COMMA] = ACTIONS(10708),
    [anon_sym_EQ] = ACTIONS(10708),
    [anon_sym_begin] = ACTIONS(10708),
    [anon_sym_module] = ACTIONS(10708),
    [anon_sym_baremodule] = ACTIONS(10708),
    [anon_sym_end] = ACTIONS(10708),
    [anon_sym_abstract] = ACTIONS(10708),
    [anon_sym_primitive] = ACTIONS(10708),
    [anon_sym_mutable] = ACTIONS(10708),
    [anon_sym_struct] = ACTIONS(10708),
    [anon_sym_function] = ACTIONS(10708),
    [anon_sym_macro] = ACTIONS(10708),
    [anon_sym_quote] = ACTIONS(10708),
    [anon_sym_let] = ACTIONS(10708),
    [anon_sym_if] = ACTIONS(10708),
    [anon_sym_elseif] = ACTIONS(10708),
    [anon_sym_else] = ACTIONS(10708),
    [anon_sym_try] = ACTIONS(10708),
    [anon_sym_for] = ACTIONS(10708),
    [anon_sym_while] = ACTIONS(10708),
    [sym_break_statement] = ACTIONS(10708),
    [sym_continue_statement] = ACTIONS(10708),
    [anon_sym_return] = ACTIONS(10708),
    [anon_sym_const] = ACTIONS(10708),
    [anon_sym_global] = ACTIONS(10708),
    [anon_sym_local] = ACTIONS(10708),
    [anon_sym_LPAREN] = ACTIONS(10708),
    [anon_sym_COLON] = ACTIONS(10708),
    [anon_sym_export] = ACTIONS(10708),
    [anon_sym_public] = ACTIONS(10708),
    [anon_sym_import] = ACTIONS(10708),
    [anon_sym_using] = ACTIONS(10708),
    [anon_sym_LBRACK] = ACTIONS(10708),
    [anon_sym_in] = ACTIONS(10708),
    [anon_sym_SEMI] = ACTIONS(10708),
    [anon_sym_LBRACE] = ACTIONS(10708),
    [anon_sym_SQUOTE] = ACTIONS(10768),
    [anon_sym_DOT] = ACTIONS(10770),
    [anon_sym_DOLLAR] = ACTIONS(10708),
    [anon_sym_COLON2] = ACTIONS(10708),
    [anon_sym_COLON_COLON] = ACTIONS(10708),
    [anon_sym_isa] = ACTIONS(10708),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10708),
    [anon_sym_QMARK] = ACTIONS(10708),
    [anon_sym_where] = ACTIONS(10708),
    [anon_sym_AT] = ACTIONS(10708),
    [anon_sym_true] = ACTIONS(10708),
    [anon_sym_false] = ACTIONS(10708),
    [aux_sym_integer_literal_token1] = ACTIONS(10708),
    [aux_sym_integer_literal_token2] = ACTIONS(10708),
    [aux_sym_integer_literal_token3] = ACTIONS(10708),
    [aux_sym_integer_literal_token4] = ACTIONS(10708),
    [aux_sym_float_literal_token1] = ACTIONS(10708),
    [aux_sym_float_literal_token3] = ACTIONS(10708),
    [aux_sym_float_literal_token4] = ACTIONS(10708),
    [sym_character_literal] = ACTIONS(10708),
    [anon_sym_DQUOTE] = ACTIONS(10708),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10708),
    [anon_sym_BQUOTE] = ACTIONS(10708),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10708),
    [sym__pair_operator] = ACTIONS(10708),
    [sym__arrow_operator] = ACTIONS(10708),
    [sym__lazy_or_operator] = ACTIONS(10708),
    [sym__lazy_and_operator] = ACTIONS(10708),
    [sym__comparison_operator] = ACTIONS(10708),
    [sym__pipe_right_operator] = ACTIONS(10708),
    [sym__pipe_left_operator] = ACTIONS(10708),
    [sym__ellipsis_operator] = ACTIONS(10708),
    [sym__plus_operator] = ACTIONS(10708),
    [sym__times_operator] = ACTIONS(10708),
    [sym__rational_operator] = ACTIONS(10708),
    [sym__bitshift_operator] = ACTIONS(10708),
    [sym__power_operator] = ACTIONS(10708),
    [sym__tilde_operator] = ACTIONS(10708),
    [sym__type_order_operator] = ACTIONS(10708),
    [sym__unary_operator] = ACTIONS(10708),
    [sym__unary_plus_operator] = ACTIONS(10708),
    [aux_sym__terminator_token1] = ACTIONS(10746),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10772),
    [sym__immediate_bracket] = ACTIONS(10774),
    [sym__immediate_brace] = ACTIONS(10776),
  },
  [5856] = {
    [sym_block_comment] = STATE(5856),
    [sym_line_comment] = STATE(5856),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_elseif] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [5857] = {
    [sym_block_comment] = STATE(5857),
    [sym_line_comment] = STATE(5857),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10397),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10397),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10397),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10397),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10397),
    [anon_sym_COLON_EQ] = ACTIONS(10397),
    [anon_sym_DOT_EQ] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10397),
    [anon_sym_QMARK] = ACTIONS(10397),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10397),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10397),
    [aux_sym_integer_literal_token2] = ACTIONS(10397),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10397),
    [aux_sym_float_literal_token3] = ACTIONS(10397),
    [aux_sym_float_literal_token4] = ACTIONS(10397),
    [sym_character_literal] = ACTIONS(10397),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10397),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10397),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10397),
    [aux_sym__assignment_operator_token1] = ACTIONS(10397),
    [sym__pair_operator] = ACTIONS(10397),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10397),
    [sym__lazy_and_operator] = ACTIONS(10397),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10397),
    [sym__pipe_left_operator] = ACTIONS(10397),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10397),
    [sym__type_order_operator] = ACTIONS(10397),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [5858] = {
    [sym_block_comment] = STATE(5858),
    [sym_line_comment] = STATE(5858),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_elseif] = ACTIONS(10193),
    [anon_sym_else] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [5859] = {
    [sym_block_comment] = STATE(5859),
    [sym_line_comment] = STATE(5859),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10415),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10415),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10415),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10415),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10415),
    [anon_sym_COLON_EQ] = ACTIONS(10415),
    [anon_sym_DOT_EQ] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10415),
    [anon_sym_QMARK] = ACTIONS(10415),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10415),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10415),
    [aux_sym_integer_literal_token2] = ACTIONS(10415),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10415),
    [aux_sym_float_literal_token3] = ACTIONS(10415),
    [aux_sym_float_literal_token4] = ACTIONS(10415),
    [sym_character_literal] = ACTIONS(10415),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10415),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10415),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10415),
    [aux_sym__assignment_operator_token1] = ACTIONS(10415),
    [sym__pair_operator] = ACTIONS(10415),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10415),
    [sym__lazy_and_operator] = ACTIONS(10415),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10415),
    [sym__pipe_left_operator] = ACTIONS(10415),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10415),
    [sym__type_order_operator] = ACTIONS(10415),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [5860] = {
    [sym_identifier] = STATE(6577),
    [sym_block_comment] = STATE(5860),
    [sym_line_comment] = STATE(5860),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10133),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10133),
    [anon_sym_RPAREN] = ACTIONS(10133),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10133),
    [anon_sym_RBRACK] = ACTIONS(10133),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10133),
    [anon_sym_LBRACE] = ACTIONS(10133),
    [anon_sym_RBRACE] = ACTIONS(10133),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10133),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10133),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10133),
    [anon_sym_QMARK] = ACTIONS(10133),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10133),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10133),
    [aux_sym_integer_literal_token2] = ACTIONS(10133),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10133),
    [aux_sym_float_literal_token3] = ACTIONS(10133),
    [aux_sym_float_literal_token4] = ACTIONS(10133),
    [sym_character_literal] = ACTIONS(10133),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10133),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10133),
    [sym__pair_operator] = ACTIONS(10133),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10133),
    [sym__lazy_and_operator] = ACTIONS(10133),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10133),
    [sym__pipe_left_operator] = ACTIONS(10133),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10133),
    [sym__bitshift_operator] = ACTIONS(10133),
    [sym__power_operator] = ACTIONS(10133),
    [sym__tilde_operator] = ACTIONS(10133),
    [sym__type_order_operator] = ACTIONS(10133),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [5861] = {
    [sym_block_comment] = STATE(5861),
    [sym_line_comment] = STATE(5861),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_elseif] = ACTIONS(10209),
    [anon_sym_else] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [5862] = {
    [sym_block_comment] = STATE(5862),
    [sym_line_comment] = STATE(5862),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_elseif] = ACTIONS(10213),
    [anon_sym_else] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [5863] = {
    [sym_block_comment] = STATE(5863),
    [sym_line_comment] = STATE(5863),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_elseif] = ACTIONS(9941),
    [anon_sym_else] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [5864] = {
    [sym_block_comment] = STATE(5864),
    [sym_line_comment] = STATE(5864),
    [sym__word_identifier] = ACTIONS(10754),
    [anon_sym_COMMA] = ACTIONS(10754),
    [anon_sym_EQ] = ACTIONS(10754),
    [anon_sym_begin] = ACTIONS(10754),
    [anon_sym_module] = ACTIONS(10754),
    [anon_sym_baremodule] = ACTIONS(10754),
    [anon_sym_end] = ACTIONS(10754),
    [anon_sym_abstract] = ACTIONS(10754),
    [anon_sym_primitive] = ACTIONS(10754),
    [anon_sym_mutable] = ACTIONS(10754),
    [anon_sym_struct] = ACTIONS(10754),
    [anon_sym_function] = ACTIONS(10754),
    [anon_sym_macro] = ACTIONS(10754),
    [anon_sym_quote] = ACTIONS(10754),
    [anon_sym_let] = ACTIONS(10754),
    [anon_sym_if] = ACTIONS(10754),
    [anon_sym_elseif] = ACTIONS(10754),
    [anon_sym_else] = ACTIONS(10754),
    [anon_sym_try] = ACTIONS(10754),
    [anon_sym_for] = ACTIONS(10754),
    [anon_sym_while] = ACTIONS(10754),
    [sym_break_statement] = ACTIONS(10754),
    [sym_continue_statement] = ACTIONS(10754),
    [anon_sym_return] = ACTIONS(10754),
    [anon_sym_const] = ACTIONS(10754),
    [anon_sym_global] = ACTIONS(10754),
    [anon_sym_local] = ACTIONS(10754),
    [anon_sym_LPAREN] = ACTIONS(10754),
    [anon_sym_COLON] = ACTIONS(10754),
    [anon_sym_export] = ACTIONS(10754),
    [anon_sym_public] = ACTIONS(10754),
    [anon_sym_import] = ACTIONS(10754),
    [anon_sym_using] = ACTIONS(10754),
    [anon_sym_LBRACK] = ACTIONS(10754),
    [anon_sym_in] = ACTIONS(10754),
    [anon_sym_SEMI] = ACTIONS(10754),
    [anon_sym_LBRACE] = ACTIONS(10754),
    [anon_sym_SQUOTE] = ACTIONS(10768),
    [anon_sym_DOT] = ACTIONS(10770),
    [anon_sym_DOLLAR] = ACTIONS(10754),
    [anon_sym_COLON2] = ACTIONS(10754),
    [anon_sym_COLON_COLON] = ACTIONS(10754),
    [anon_sym_isa] = ACTIONS(10754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10754),
    [anon_sym_QMARK] = ACTIONS(10754),
    [anon_sym_where] = ACTIONS(10754),
    [anon_sym_AT] = ACTIONS(10754),
    [anon_sym_true] = ACTIONS(10754),
    [anon_sym_false] = ACTIONS(10754),
    [aux_sym_integer_literal_token1] = ACTIONS(10754),
    [aux_sym_integer_literal_token2] = ACTIONS(10754),
    [aux_sym_integer_literal_token3] = ACTIONS(10754),
    [aux_sym_integer_literal_token4] = ACTIONS(10754),
    [aux_sym_float_literal_token1] = ACTIONS(10754),
    [aux_sym_float_literal_token3] = ACTIONS(10754),
    [aux_sym_float_literal_token4] = ACTIONS(10754),
    [sym_character_literal] = ACTIONS(10754),
    [anon_sym_DQUOTE] = ACTIONS(10754),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10754),
    [anon_sym_BQUOTE] = ACTIONS(10754),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10754),
    [sym__pair_operator] = ACTIONS(10754),
    [sym__arrow_operator] = ACTIONS(10754),
    [sym__lazy_or_operator] = ACTIONS(10754),
    [sym__lazy_and_operator] = ACTIONS(10754),
    [sym__comparison_operator] = ACTIONS(10754),
    [sym__pipe_right_operator] = ACTIONS(10754),
    [sym__pipe_left_operator] = ACTIONS(10754),
    [sym__ellipsis_operator] = ACTIONS(10754),
    [sym__plus_operator] = ACTIONS(10754),
    [sym__times_operator] = ACTIONS(10754),
    [sym__rational_operator] = ACTIONS(10754),
    [sym__bitshift_operator] = ACTIONS(10754),
    [sym__power_operator] = ACTIONS(10754),
    [sym__tilde_operator] = ACTIONS(10754),
    [sym__type_order_operator] = ACTIONS(10754),
    [sym__unary_operator] = ACTIONS(10754),
    [sym__unary_plus_operator] = ACTIONS(10754),
    [aux_sym__terminator_token1] = ACTIONS(10756),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10772),
    [sym__immediate_bracket] = ACTIONS(10774),
    [sym__immediate_brace] = ACTIONS(10776),
  },
  [5865] = {
    [sym_identifier] = STATE(6578),
    [sym_block_comment] = STATE(5865),
    [sym_line_comment] = STATE(5865),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10137),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10137),
    [anon_sym_RPAREN] = ACTIONS(10137),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10137),
    [anon_sym_RBRACK] = ACTIONS(10137),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10137),
    [anon_sym_LBRACE] = ACTIONS(10137),
    [anon_sym_RBRACE] = ACTIONS(10137),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10137),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10137),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10137),
    [anon_sym_QMARK] = ACTIONS(10137),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10137),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10137),
    [aux_sym_integer_literal_token2] = ACTIONS(10137),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10137),
    [aux_sym_float_literal_token3] = ACTIONS(10137),
    [aux_sym_float_literal_token4] = ACTIONS(10137),
    [sym_character_literal] = ACTIONS(10137),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10137),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10137),
    [sym__pair_operator] = ACTIONS(10137),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10137),
    [sym__lazy_and_operator] = ACTIONS(10137),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10137),
    [sym__pipe_left_operator] = ACTIONS(10137),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10137),
    [sym__bitshift_operator] = ACTIONS(10137),
    [sym__power_operator] = ACTIONS(10137),
    [sym__tilde_operator] = ACTIONS(10137),
    [sym__type_order_operator] = ACTIONS(10137),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [5866] = {
    [sym_block_comment] = STATE(5866),
    [sym_line_comment] = STATE(5866),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_elseif] = ACTIONS(9933),
    [anon_sym_else] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5867] = {
    [sym_block_comment] = STATE(5867),
    [sym_line_comment] = STATE(5867),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_catch] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_DASH_GT] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [5868] = {
    [sym_block_comment] = STATE(5868),
    [sym_line_comment] = STATE(5868),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_elseif] = ACTIONS(10221),
    [anon_sym_else] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [5869] = {
    [sym_block_comment] = STATE(5869),
    [sym_line_comment] = STATE(5869),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_elseif] = ACTIONS(10225),
    [anon_sym_else] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [5870] = {
    [sym_block_comment] = STATE(5870),
    [sym_line_comment] = STATE(5870),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10231),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10231),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10231),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10231),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10231),
    [anon_sym_COLON_EQ] = ACTIONS(10231),
    [anon_sym_DOT_EQ] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10231),
    [anon_sym_QMARK] = ACTIONS(10231),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10231),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10231),
    [aux_sym_integer_literal_token2] = ACTIONS(10231),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10231),
    [aux_sym_float_literal_token3] = ACTIONS(10231),
    [aux_sym_float_literal_token4] = ACTIONS(10231),
    [sym_character_literal] = ACTIONS(10231),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10231),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10231),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10231),
    [aux_sym__assignment_operator_token1] = ACTIONS(10231),
    [sym__pair_operator] = ACTIONS(10231),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10231),
    [sym__lazy_and_operator] = ACTIONS(10231),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10231),
    [sym__pipe_left_operator] = ACTIONS(10231),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10231),
    [sym__type_order_operator] = ACTIONS(10231),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [5871] = {
    [sym_block_comment] = STATE(5871),
    [sym_line_comment] = STATE(5871),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_elseif] = ACTIONS(10229),
    [anon_sym_else] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [5872] = {
    [sym_block_comment] = STATE(5872),
    [sym_line_comment] = STATE(5872),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_catch] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_DASH_GT] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [5873] = {
    [sym_block_comment] = STATE(5873),
    [sym_line_comment] = STATE(5873),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_elseif] = ACTIONS(10235),
    [anon_sym_else] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [5874] = {
    [sym_block_comment] = STATE(5874),
    [sym_line_comment] = STATE(5874),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_elseif] = ACTIONS(9987),
    [anon_sym_else] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5875] = {
    [sym_identifier] = STATE(6586),
    [sym_block_comment] = STATE(5875),
    [sym_line_comment] = STATE(5875),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10145),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10145),
    [anon_sym_RPAREN] = ACTIONS(10145),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10145),
    [anon_sym_RBRACK] = ACTIONS(10145),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10145),
    [anon_sym_LBRACE] = ACTIONS(10145),
    [anon_sym_RBRACE] = ACTIONS(10145),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10145),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10145),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10145),
    [anon_sym_QMARK] = ACTIONS(10145),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10145),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10145),
    [aux_sym_integer_literal_token2] = ACTIONS(10145),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10145),
    [aux_sym_float_literal_token3] = ACTIONS(10145),
    [aux_sym_float_literal_token4] = ACTIONS(10145),
    [sym_character_literal] = ACTIONS(10145),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10145),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10145),
    [sym__pair_operator] = ACTIONS(10145),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10145),
    [sym__lazy_and_operator] = ACTIONS(10145),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10145),
    [sym__pipe_left_operator] = ACTIONS(10145),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10145),
    [sym__bitshift_operator] = ACTIONS(10145),
    [sym__power_operator] = ACTIONS(10145),
    [sym__tilde_operator] = ACTIONS(10145),
    [sym__type_order_operator] = ACTIONS(10145),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [5876] = {
    [sym_identifier] = STATE(6587),
    [sym_block_comment] = STATE(5876),
    [sym_line_comment] = STATE(5876),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10009),
    [anon_sym_RPAREN] = ACTIONS(10009),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10009),
    [anon_sym_RBRACK] = ACTIONS(10009),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10009),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_RBRACE] = ACTIONS(10009),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10009),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10009),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10009),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10009),
    [aux_sym_integer_literal_token2] = ACTIONS(10009),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10009),
    [aux_sym_float_literal_token3] = ACTIONS(10009),
    [aux_sym_float_literal_token4] = ACTIONS(10009),
    [sym_character_literal] = ACTIONS(10009),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10009),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10009),
    [sym__pair_operator] = ACTIONS(10009),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10009),
    [sym__lazy_and_operator] = ACTIONS(10009),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10009),
    [sym__pipe_left_operator] = ACTIONS(10009),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10009),
    [sym__bitshift_operator] = ACTIONS(10009),
    [sym__power_operator] = ACTIONS(10009),
    [sym__tilde_operator] = ACTIONS(10009),
    [sym__type_order_operator] = ACTIONS(10009),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [5877] = {
    [sym_block_comment] = STATE(5877),
    [sym_line_comment] = STATE(5877),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_elseif] = ACTIONS(10239),
    [anon_sym_else] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [5878] = {
    [sym_block_comment] = STATE(5878),
    [sym_line_comment] = STATE(5878),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_elseif] = ACTIONS(10245),
    [anon_sym_else] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [5879] = {
    [sym_block_comment] = STATE(5879),
    [sym_line_comment] = STATE(5879),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_elseif] = ACTIONS(10249),
    [anon_sym_else] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [5880] = {
    [sym_block_comment] = STATE(5880),
    [sym_line_comment] = STATE(5880),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_elseif] = ACTIONS(10175),
    [anon_sym_else] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [5881] = {
    [sym_block_comment] = STATE(5881),
    [sym_line_comment] = STATE(5881),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_elseif] = ACTIONS(10319),
    [anon_sym_else] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [5882] = {
    [sym_block_comment] = STATE(5882),
    [sym_line_comment] = STATE(5882),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_elseif] = ACTIONS(10395),
    [anon_sym_else] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [5883] = {
    [sym_block_comment] = STATE(5883),
    [sym_line_comment] = STATE(5883),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_elseif] = ACTIONS(10413),
    [anon_sym_else] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [5884] = {
    [sym_block_comment] = STATE(5884),
    [sym_line_comment] = STATE(5884),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_elseif] = ACTIONS(10277),
    [anon_sym_else] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [5885] = {
    [sym_block_comment] = STATE(5885),
    [sym_line_comment] = STATE(5885),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_catch] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5886] = {
    [sym_block_comment] = STATE(5886),
    [sym_line_comment] = STATE(5886),
    [ts_builtin_sym_end] = ACTIONS(10329),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_RBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_DASH_GT] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [5887] = {
    [sym_block_comment] = STATE(5887),
    [sym_line_comment] = STATE(5887),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_COLON_EQ] = ACTIONS(9971),
    [anon_sym_DOT_EQ] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9971),
    [aux_sym__assignment_operator_token1] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [5888] = {
    [sym_block_comment] = STATE(5888),
    [sym_line_comment] = STATE(5888),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_elseif] = ACTIONS(10323),
    [anon_sym_else] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [5889] = {
    [sym_block_comment] = STATE(5889),
    [sym_line_comment] = STATE(5889),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_elseif] = ACTIONS(10327),
    [anon_sym_else] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [5890] = {
    [sym_block_comment] = STATE(5890),
    [sym_line_comment] = STATE(5890),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_elseif] = ACTIONS(10379),
    [anon_sym_else] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [5891] = {
    [sym_block_comment] = STATE(5891),
    [sym_line_comment] = STATE(5891),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_elseif] = ACTIONS(10385),
    [anon_sym_else] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [5892] = {
    [sym_block_comment] = STATE(5892),
    [sym_line_comment] = STATE(5892),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_elseif] = ACTIONS(10389),
    [anon_sym_else] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [5893] = {
    [sym_block_comment] = STATE(5893),
    [sym_line_comment] = STATE(5893),
    [sym__word_identifier] = ACTIONS(10635),
    [anon_sym_COMMA] = ACTIONS(10635),
    [anon_sym_EQ] = ACTIONS(10635),
    [anon_sym_begin] = ACTIONS(10635),
    [anon_sym_module] = ACTIONS(10635),
    [anon_sym_baremodule] = ACTIONS(10635),
    [anon_sym_end] = ACTIONS(10635),
    [anon_sym_abstract] = ACTIONS(10635),
    [anon_sym_primitive] = ACTIONS(10635),
    [anon_sym_mutable] = ACTIONS(10635),
    [anon_sym_struct] = ACTIONS(10635),
    [anon_sym_function] = ACTIONS(10635),
    [anon_sym_macro] = ACTIONS(10635),
    [anon_sym_quote] = ACTIONS(10635),
    [anon_sym_let] = ACTIONS(10635),
    [anon_sym_if] = ACTIONS(10635),
    [anon_sym_try] = ACTIONS(10635),
    [anon_sym_catch] = ACTIONS(10635),
    [anon_sym_for] = ACTIONS(10635),
    [anon_sym_while] = ACTIONS(10635),
    [sym_break_statement] = ACTIONS(10635),
    [sym_continue_statement] = ACTIONS(10635),
    [anon_sym_return] = ACTIONS(10635),
    [anon_sym_const] = ACTIONS(10635),
    [anon_sym_global] = ACTIONS(10635),
    [anon_sym_local] = ACTIONS(10635),
    [anon_sym_LPAREN] = ACTIONS(10635),
    [anon_sym_COLON] = ACTIONS(10635),
    [anon_sym_export] = ACTIONS(10635),
    [anon_sym_public] = ACTIONS(10635),
    [anon_sym_import] = ACTIONS(10635),
    [anon_sym_using] = ACTIONS(10635),
    [anon_sym_LBRACK] = ACTIONS(10635),
    [anon_sym_in] = ACTIONS(10635),
    [anon_sym_SEMI] = ACTIONS(10635),
    [anon_sym_LBRACE] = ACTIONS(10635),
    [anon_sym_SQUOTE] = ACTIONS(10778),
    [anon_sym_DOT] = ACTIONS(10780),
    [anon_sym_DOLLAR] = ACTIONS(10635),
    [anon_sym_COLON2] = ACTIONS(10635),
    [anon_sym_COLON_COLON] = ACTIONS(10635),
    [anon_sym_isa] = ACTIONS(10635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10635),
    [anon_sym_QMARK] = ACTIONS(10635),
    [anon_sym_DASH_GT] = ACTIONS(10635),
    [anon_sym_where] = ACTIONS(10635),
    [anon_sym_AT] = ACTIONS(10635),
    [anon_sym_true] = ACTIONS(10635),
    [anon_sym_false] = ACTIONS(10635),
    [aux_sym_integer_literal_token1] = ACTIONS(10635),
    [aux_sym_integer_literal_token2] = ACTIONS(10635),
    [aux_sym_integer_literal_token3] = ACTIONS(10635),
    [aux_sym_integer_literal_token4] = ACTIONS(10635),
    [aux_sym_float_literal_token1] = ACTIONS(10635),
    [aux_sym_float_literal_token3] = ACTIONS(10635),
    [aux_sym_float_literal_token4] = ACTIONS(10635),
    [sym_character_literal] = ACTIONS(10635),
    [anon_sym_DQUOTE] = ACTIONS(10635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10635),
    [sym__pair_operator] = ACTIONS(10635),
    [sym__arrow_operator] = ACTIONS(10635),
    [sym__lazy_or_operator] = ACTIONS(10635),
    [sym__lazy_and_operator] = ACTIONS(10635),
    [sym__comparison_operator] = ACTIONS(10635),
    [sym__pipe_right_operator] = ACTIONS(10635),
    [sym__pipe_left_operator] = ACTIONS(10635),
    [sym__ellipsis_operator] = ACTIONS(10635),
    [sym__plus_operator] = ACTIONS(10635),
    [sym__times_operator] = ACTIONS(10635),
    [sym__rational_operator] = ACTIONS(10635),
    [sym__bitshift_operator] = ACTIONS(10635),
    [sym__power_operator] = ACTIONS(10635),
    [sym__tilde_operator] = ACTIONS(10635),
    [sym__type_order_operator] = ACTIONS(10635),
    [sym__unary_operator] = ACTIONS(10635),
    [sym__unary_plus_operator] = ACTIONS(10635),
    [aux_sym__terminator_token1] = ACTIONS(10641),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10782),
    [sym__immediate_bracket] = ACTIONS(10784),
    [sym__immediate_brace] = ACTIONS(10786),
  },
  [5894] = {
    [sym_block_comment] = STATE(5894),
    [sym_line_comment] = STATE(5894),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_elseif] = ACTIONS(10343),
    [anon_sym_else] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [5895] = {
    [sym_block_comment] = STATE(5895),
    [sym_line_comment] = STATE(5895),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_elseif] = ACTIONS(10417),
    [anon_sym_else] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [5896] = {
    [sym_block_comment] = STATE(5896),
    [sym_line_comment] = STATE(5896),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_elseif] = ACTIONS(10101),
    [anon_sym_else] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [5897] = {
    [sym_block_comment] = STATE(5897),
    [sym_line_comment] = STATE(5897),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_elseif] = ACTIONS(10421),
    [anon_sym_else] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [5898] = {
    [sym_block_comment] = STATE(5898),
    [sym_line_comment] = STATE(5898),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_elseif] = ACTIONS(10429),
    [anon_sym_else] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [5899] = {
    [sym_block_comment] = STATE(5899),
    [sym_line_comment] = STATE(5899),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_elseif] = ACTIONS(10433),
    [anon_sym_else] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [5900] = {
    [sym_block_comment] = STATE(5900),
    [sym_line_comment] = STATE(5900),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_elseif] = ACTIONS(10437),
    [anon_sym_else] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [5901] = {
    [sym_block_comment] = STATE(5901),
    [sym_line_comment] = STATE(5901),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_elseif] = ACTIONS(10291),
    [anon_sym_else] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [5902] = {
    [sym_block_comment] = STATE(5902),
    [sym_line_comment] = STATE(5902),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_elseif] = ACTIONS(10307),
    [anon_sym_else] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [5903] = {
    [sym_block_comment] = STATE(5903),
    [sym_line_comment] = STATE(5903),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_elseif] = ACTIONS(10347),
    [anon_sym_else] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [5904] = {
    [sym_block_comment] = STATE(5904),
    [sym_line_comment] = STATE(5904),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_elseif] = ACTIONS(10351),
    [anon_sym_else] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [5905] = {
    [sym_block_comment] = STATE(5905),
    [sym_line_comment] = STATE(5905),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_elseif] = ACTIONS(10355),
    [anon_sym_else] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [5906] = {
    [sym_block_comment] = STATE(5906),
    [sym_line_comment] = STATE(5906),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10177),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10177),
    [anon_sym_RPAREN] = ACTIONS(10177),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10177),
    [anon_sym_RBRACK] = ACTIONS(10177),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10177),
    [anon_sym_LBRACE] = ACTIONS(10177),
    [anon_sym_RBRACE] = ACTIONS(10177),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10177),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10177),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10177),
    [anon_sym_QMARK] = ACTIONS(10177),
    [anon_sym_DASH_GT] = ACTIONS(10177),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10177),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10177),
    [aux_sym_integer_literal_token2] = ACTIONS(10177),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10177),
    [aux_sym_float_literal_token3] = ACTIONS(10177),
    [aux_sym_float_literal_token4] = ACTIONS(10177),
    [sym_character_literal] = ACTIONS(10177),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10177),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10177),
    [sym__pair_operator] = ACTIONS(10177),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10177),
    [sym__lazy_and_operator] = ACTIONS(10177),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10177),
    [sym__pipe_left_operator] = ACTIONS(10177),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10177),
    [sym__bitshift_operator] = ACTIONS(10177),
    [sym__power_operator] = ACTIONS(10177),
    [sym__tilde_operator] = ACTIONS(10177),
    [sym__type_order_operator] = ACTIONS(10177),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [5907] = {
    [sym_block_comment] = STATE(5907),
    [sym_line_comment] = STATE(5907),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10321),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10321),
    [anon_sym_RPAREN] = ACTIONS(10321),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10321),
    [anon_sym_RBRACK] = ACTIONS(10321),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10321),
    [anon_sym_LBRACE] = ACTIONS(10321),
    [anon_sym_RBRACE] = ACTIONS(10321),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10321),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10321),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10321),
    [anon_sym_QMARK] = ACTIONS(10321),
    [anon_sym_DASH_GT] = ACTIONS(10321),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10321),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10321),
    [aux_sym_integer_literal_token2] = ACTIONS(10321),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10321),
    [aux_sym_float_literal_token3] = ACTIONS(10321),
    [aux_sym_float_literal_token4] = ACTIONS(10321),
    [sym_character_literal] = ACTIONS(10321),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10321),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10321),
    [sym__pair_operator] = ACTIONS(10321),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10321),
    [sym__lazy_and_operator] = ACTIONS(10321),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10321),
    [sym__pipe_left_operator] = ACTIONS(10321),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10321),
    [sym__bitshift_operator] = ACTIONS(10321),
    [sym__power_operator] = ACTIONS(10321),
    [sym__tilde_operator] = ACTIONS(10321),
    [sym__type_order_operator] = ACTIONS(10321),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [5908] = {
    [sym_block_comment] = STATE(5908),
    [sym_line_comment] = STATE(5908),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10397),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10397),
    [anon_sym_RPAREN] = ACTIONS(10397),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10397),
    [anon_sym_RBRACK] = ACTIONS(10397),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10397),
    [anon_sym_LBRACE] = ACTIONS(10397),
    [anon_sym_RBRACE] = ACTIONS(10397),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10397),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10397),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10397),
    [anon_sym_QMARK] = ACTIONS(10397),
    [anon_sym_DASH_GT] = ACTIONS(10397),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10397),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10397),
    [aux_sym_integer_literal_token2] = ACTIONS(10397),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10397),
    [aux_sym_float_literal_token3] = ACTIONS(10397),
    [aux_sym_float_literal_token4] = ACTIONS(10397),
    [sym_character_literal] = ACTIONS(10397),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10397),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10397),
    [sym__pair_operator] = ACTIONS(10397),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10397),
    [sym__lazy_and_operator] = ACTIONS(10397),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10397),
    [sym__pipe_left_operator] = ACTIONS(10397),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10397),
    [sym__bitshift_operator] = ACTIONS(10397),
    [sym__power_operator] = ACTIONS(10397),
    [sym__tilde_operator] = ACTIONS(10397),
    [sym__type_order_operator] = ACTIONS(10397),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [5909] = {
    [sym_block_comment] = STATE(5909),
    [sym_line_comment] = STATE(5909),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_elseif] = ACTIONS(10403),
    [anon_sym_else] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [5910] = {
    [sym_block_comment] = STATE(5910),
    [sym_line_comment] = STATE(5910),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_elseif] = ACTIONS(10311),
    [anon_sym_else] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [5911] = {
    [sym_block_comment] = STATE(5911),
    [sym_line_comment] = STATE(5911),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10415),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10415),
    [anon_sym_RPAREN] = ACTIONS(10415),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10415),
    [anon_sym_RBRACK] = ACTIONS(10415),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10415),
    [anon_sym_LBRACE] = ACTIONS(10415),
    [anon_sym_RBRACE] = ACTIONS(10415),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10415),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10415),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10415),
    [anon_sym_QMARK] = ACTIONS(10415),
    [anon_sym_DASH_GT] = ACTIONS(10415),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10415),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10415),
    [aux_sym_integer_literal_token2] = ACTIONS(10415),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10415),
    [aux_sym_float_literal_token3] = ACTIONS(10415),
    [aux_sym_float_literal_token4] = ACTIONS(10415),
    [sym_character_literal] = ACTIONS(10415),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10415),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10415),
    [sym__pair_operator] = ACTIONS(10415),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10415),
    [sym__lazy_and_operator] = ACTIONS(10415),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10415),
    [sym__pipe_left_operator] = ACTIONS(10415),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10415),
    [sym__bitshift_operator] = ACTIONS(10415),
    [sym__power_operator] = ACTIONS(10415),
    [sym__tilde_operator] = ACTIONS(10415),
    [sym__type_order_operator] = ACTIONS(10415),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [5912] = {
    [sym_block_comment] = STATE(5912),
    [sym_line_comment] = STATE(5912),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_elseif] = ACTIONS(10263),
    [anon_sym_else] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [5913] = {
    [sym_block_comment] = STATE(5913),
    [sym_line_comment] = STATE(5913),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_elseif] = ACTIONS(10339),
    [anon_sym_else] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [5914] = {
    [sym_block_comment] = STATE(5914),
    [sym_line_comment] = STATE(5914),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_elseif] = ACTIONS(10371),
    [anon_sym_else] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [5915] = {
    [sym_block_comment] = STATE(5915),
    [sym_line_comment] = STATE(5915),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10279),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10279),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10279),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10279),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10279),
    [anon_sym_COLON_EQ] = ACTIONS(10279),
    [anon_sym_DOT_EQ] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10279),
    [anon_sym_QMARK] = ACTIONS(10279),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10279),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10279),
    [aux_sym_integer_literal_token2] = ACTIONS(10279),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10279),
    [aux_sym_float_literal_token3] = ACTIONS(10279),
    [aux_sym_float_literal_token4] = ACTIONS(10279),
    [sym_character_literal] = ACTIONS(10279),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10279),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10279),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10279),
    [aux_sym__assignment_operator_token1] = ACTIONS(10279),
    [sym__pair_operator] = ACTIONS(10279),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10279),
    [sym__lazy_and_operator] = ACTIONS(10279),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10279),
    [sym__pipe_left_operator] = ACTIONS(10279),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10279),
    [sym__type_order_operator] = ACTIONS(10279),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [5916] = {
    [sym_block_comment] = STATE(5916),
    [sym_line_comment] = STATE(5916),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_elseif] = ACTIONS(10409),
    [anon_sym_else] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [5917] = {
    [sym_block_comment] = STATE(5917),
    [sym_line_comment] = STATE(5917),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_elseif] = ACTIONS(10217),
    [anon_sym_else] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [5918] = {
    [sym_block_comment] = STATE(5918),
    [sym_line_comment] = STATE(5918),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_catch] = ACTIONS(10359),
    [anon_sym_finally] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_DASH_GT] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [5919] = {
    [sym_block_comment] = STATE(5919),
    [sym_line_comment] = STATE(5919),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10325),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10325),
    [anon_sym_RPAREN] = ACTIONS(10325),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10325),
    [anon_sym_RBRACK] = ACTIONS(10325),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10325),
    [anon_sym_LBRACE] = ACTIONS(10325),
    [anon_sym_RBRACE] = ACTIONS(10325),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10325),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10325),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10325),
    [anon_sym_QMARK] = ACTIONS(10325),
    [anon_sym_DASH_GT] = ACTIONS(10325),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10325),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10325),
    [aux_sym_integer_literal_token2] = ACTIONS(10325),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10325),
    [aux_sym_float_literal_token3] = ACTIONS(10325),
    [aux_sym_float_literal_token4] = ACTIONS(10325),
    [sym_character_literal] = ACTIONS(10325),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10325),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10325),
    [sym__pair_operator] = ACTIONS(10325),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10325),
    [sym__lazy_and_operator] = ACTIONS(10325),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10325),
    [sym__pipe_left_operator] = ACTIONS(10325),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10325),
    [sym__bitshift_operator] = ACTIONS(10325),
    [sym__power_operator] = ACTIONS(10325),
    [sym__tilde_operator] = ACTIONS(10325),
    [sym__type_order_operator] = ACTIONS(10325),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [5920] = {
    [sym_block_comment] = STATE(5920),
    [sym_line_comment] = STATE(5920),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10329),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10329),
    [anon_sym_RPAREN] = ACTIONS(10329),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10329),
    [anon_sym_RBRACK] = ACTIONS(10329),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10329),
    [anon_sym_LBRACE] = ACTIONS(10329),
    [anon_sym_RBRACE] = ACTIONS(10329),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10329),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10329),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10329),
    [anon_sym_QMARK] = ACTIONS(10329),
    [anon_sym_DASH_GT] = ACTIONS(10329),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10329),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10329),
    [aux_sym_integer_literal_token2] = ACTIONS(10329),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10329),
    [aux_sym_float_literal_token3] = ACTIONS(10329),
    [aux_sym_float_literal_token4] = ACTIONS(10329),
    [sym_character_literal] = ACTIONS(10329),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10329),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10329),
    [sym__pair_operator] = ACTIONS(10329),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10329),
    [sym__lazy_and_operator] = ACTIONS(10329),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10329),
    [sym__pipe_left_operator] = ACTIONS(10329),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10329),
    [sym__bitshift_operator] = ACTIONS(10329),
    [sym__power_operator] = ACTIONS(10329),
    [sym__tilde_operator] = ACTIONS(10329),
    [sym__type_order_operator] = ACTIONS(10329),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [5921] = {
    [sym_block_comment] = STATE(5921),
    [sym_line_comment] = STATE(5921),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_catch] = ACTIONS(10395),
    [anon_sym_finally] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_DASH_GT] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [5922] = {
    [sym_block_comment] = STATE(5922),
    [sym_line_comment] = STATE(5922),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10381),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10381),
    [anon_sym_RPAREN] = ACTIONS(10381),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10381),
    [anon_sym_RBRACK] = ACTIONS(10381),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10381),
    [anon_sym_LBRACE] = ACTIONS(10381),
    [anon_sym_RBRACE] = ACTIONS(10381),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10381),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10381),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10381),
    [anon_sym_QMARK] = ACTIONS(10381),
    [anon_sym_DASH_GT] = ACTIONS(10381),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10381),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10381),
    [aux_sym_integer_literal_token2] = ACTIONS(10381),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10381),
    [aux_sym_float_literal_token3] = ACTIONS(10381),
    [aux_sym_float_literal_token4] = ACTIONS(10381),
    [sym_character_literal] = ACTIONS(10381),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10381),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10381),
    [sym__pair_operator] = ACTIONS(10381),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10381),
    [sym__lazy_and_operator] = ACTIONS(10381),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10381),
    [sym__pipe_left_operator] = ACTIONS(10381),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10381),
    [sym__bitshift_operator] = ACTIONS(10381),
    [sym__power_operator] = ACTIONS(10381),
    [sym__tilde_operator] = ACTIONS(10381),
    [sym__type_order_operator] = ACTIONS(10381),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [5923] = {
    [sym_block_comment] = STATE(5923),
    [sym_line_comment] = STATE(5923),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10387),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10387),
    [anon_sym_RPAREN] = ACTIONS(10387),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10387),
    [anon_sym_RBRACK] = ACTIONS(10387),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10387),
    [anon_sym_LBRACE] = ACTIONS(10387),
    [anon_sym_RBRACE] = ACTIONS(10387),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10387),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10387),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10387),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_DASH_GT] = ACTIONS(10387),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10387),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10387),
    [aux_sym_integer_literal_token2] = ACTIONS(10387),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10387),
    [aux_sym_float_literal_token3] = ACTIONS(10387),
    [aux_sym_float_literal_token4] = ACTIONS(10387),
    [sym_character_literal] = ACTIONS(10387),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10387),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10387),
    [sym__pair_operator] = ACTIONS(10387),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10387),
    [sym__lazy_and_operator] = ACTIONS(10387),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10387),
    [sym__pipe_left_operator] = ACTIONS(10387),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10387),
    [sym__bitshift_operator] = ACTIONS(10387),
    [sym__power_operator] = ACTIONS(10387),
    [sym__tilde_operator] = ACTIONS(10387),
    [sym__type_order_operator] = ACTIONS(10387),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [5924] = {
    [sym_block_comment] = STATE(5924),
    [sym_line_comment] = STATE(5924),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10391),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10391),
    [anon_sym_RPAREN] = ACTIONS(10391),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10391),
    [anon_sym_RBRACK] = ACTIONS(10391),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10391),
    [anon_sym_LBRACE] = ACTIONS(10391),
    [anon_sym_RBRACE] = ACTIONS(10391),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10391),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10391),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_QMARK] = ACTIONS(10391),
    [anon_sym_DASH_GT] = ACTIONS(10391),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10391),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10391),
    [aux_sym_integer_literal_token2] = ACTIONS(10391),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10391),
    [aux_sym_float_literal_token3] = ACTIONS(10391),
    [aux_sym_float_literal_token4] = ACTIONS(10391),
    [sym_character_literal] = ACTIONS(10391),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10391),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10391),
    [sym__pair_operator] = ACTIONS(10391),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10391),
    [sym__lazy_and_operator] = ACTIONS(10391),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10391),
    [sym__pipe_left_operator] = ACTIONS(10391),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10391),
    [sym__bitshift_operator] = ACTIONS(10391),
    [sym__power_operator] = ACTIONS(10391),
    [sym__tilde_operator] = ACTIONS(10391),
    [sym__type_order_operator] = ACTIONS(10391),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [5925] = {
    [sym_block_comment] = STATE(5925),
    [sym_line_comment] = STATE(5925),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_else] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [5926] = {
    [sym_block_comment] = STATE(5926),
    [sym_line_comment] = STATE(5926),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10788),
    [sym__immediate_command_start] = ACTIONS(10790),
  },
  [5927] = {
    [sym_block_comment] = STATE(5927),
    [sym_line_comment] = STATE(5927),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10317),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10317),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10317),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10317),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10317),
    [anon_sym_COLON_EQ] = ACTIONS(10317),
    [anon_sym_DOT_EQ] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10317),
    [anon_sym_QMARK] = ACTIONS(10317),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10317),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10317),
    [aux_sym_integer_literal_token2] = ACTIONS(10317),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10317),
    [aux_sym_float_literal_token3] = ACTIONS(10317),
    [aux_sym_float_literal_token4] = ACTIONS(10317),
    [sym_character_literal] = ACTIONS(10317),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10317),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10317),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10317),
    [aux_sym__assignment_operator_token1] = ACTIONS(10317),
    [sym__pair_operator] = ACTIONS(10317),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10317),
    [sym__lazy_and_operator] = ACTIONS(10317),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10317),
    [sym__pipe_left_operator] = ACTIONS(10317),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10317),
    [sym__type_order_operator] = ACTIONS(10317),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [5928] = {
    [sym_block_comment] = STATE(5928),
    [sym_line_comment] = STATE(5928),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10345),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10345),
    [anon_sym_RPAREN] = ACTIONS(10345),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10345),
    [anon_sym_RBRACK] = ACTIONS(10345),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10345),
    [anon_sym_LBRACE] = ACTIONS(10345),
    [anon_sym_RBRACE] = ACTIONS(10345),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10345),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10345),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10345),
    [anon_sym_QMARK] = ACTIONS(10345),
    [anon_sym_DASH_GT] = ACTIONS(10345),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10345),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10345),
    [aux_sym_integer_literal_token2] = ACTIONS(10345),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10345),
    [aux_sym_float_literal_token3] = ACTIONS(10345),
    [aux_sym_float_literal_token4] = ACTIONS(10345),
    [sym_character_literal] = ACTIONS(10345),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10345),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10345),
    [sym__pair_operator] = ACTIONS(10345),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10345),
    [sym__lazy_and_operator] = ACTIONS(10345),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10345),
    [sym__pipe_left_operator] = ACTIONS(10345),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10345),
    [sym__bitshift_operator] = ACTIONS(10345),
    [sym__power_operator] = ACTIONS(10345),
    [sym__tilde_operator] = ACTIONS(10345),
    [sym__type_order_operator] = ACTIONS(10345),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [5929] = {
    [sym_block_comment] = STATE(5929),
    [sym_line_comment] = STATE(5929),
    [ts_builtin_sym_end] = ACTIONS(10381),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_RBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_DASH_GT] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [5930] = {
    [sym_block_comment] = STATE(5930),
    [sym_line_comment] = STATE(5930),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10419),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10419),
    [anon_sym_RPAREN] = ACTIONS(10419),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10419),
    [anon_sym_RBRACK] = ACTIONS(10419),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10419),
    [anon_sym_LBRACE] = ACTIONS(10419),
    [anon_sym_RBRACE] = ACTIONS(10419),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10419),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10419),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10419),
    [anon_sym_QMARK] = ACTIONS(10419),
    [anon_sym_DASH_GT] = ACTIONS(10419),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10419),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10419),
    [aux_sym_integer_literal_token2] = ACTIONS(10419),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10419),
    [aux_sym_float_literal_token3] = ACTIONS(10419),
    [aux_sym_float_literal_token4] = ACTIONS(10419),
    [sym_character_literal] = ACTIONS(10419),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10419),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10419),
    [sym__pair_operator] = ACTIONS(10419),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10419),
    [sym__lazy_and_operator] = ACTIONS(10419),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10419),
    [sym__pipe_left_operator] = ACTIONS(10419),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10419),
    [sym__bitshift_operator] = ACTIONS(10419),
    [sym__power_operator] = ACTIONS(10419),
    [sym__tilde_operator] = ACTIONS(10419),
    [sym__type_order_operator] = ACTIONS(10419),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [5931] = {
    [sym_block_comment] = STATE(5931),
    [sym_line_comment] = STATE(5931),
    [ts_builtin_sym_end] = ACTIONS(10387),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_RBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_DASH_GT] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [5932] = {
    [sym_block_comment] = STATE(5932),
    [sym_line_comment] = STATE(5932),
    [ts_builtin_sym_end] = ACTIONS(10391),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_RBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_DASH_GT] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [5933] = {
    [sym_block_comment] = STATE(5933),
    [sym_line_comment] = STATE(5933),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10325),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10325),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10325),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10325),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10325),
    [anon_sym_COLON_EQ] = ACTIONS(10325),
    [anon_sym_DOT_EQ] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10325),
    [anon_sym_QMARK] = ACTIONS(10325),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10325),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10325),
    [aux_sym_integer_literal_token2] = ACTIONS(10325),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10325),
    [aux_sym_float_literal_token3] = ACTIONS(10325),
    [aux_sym_float_literal_token4] = ACTIONS(10325),
    [sym_character_literal] = ACTIONS(10325),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10325),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10325),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10325),
    [aux_sym__assignment_operator_token1] = ACTIONS(10325),
    [sym__pair_operator] = ACTIONS(10325),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10325),
    [sym__lazy_and_operator] = ACTIONS(10325),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10325),
    [sym__pipe_left_operator] = ACTIONS(10325),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10325),
    [sym__type_order_operator] = ACTIONS(10325),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [5934] = {
    [sym_block_comment] = STATE(5934),
    [sym_line_comment] = STATE(5934),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10792),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [5935] = {
    [sym_block_comment] = STATE(5935),
    [sym_line_comment] = STATE(5935),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10099),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10099),
    [anon_sym_RPAREN] = ACTIONS(10099),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10099),
    [anon_sym_RBRACK] = ACTIONS(10099),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10099),
    [anon_sym_LBRACE] = ACTIONS(10099),
    [anon_sym_RBRACE] = ACTIONS(10099),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10099),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10099),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10099),
    [anon_sym_QMARK] = ACTIONS(10099),
    [anon_sym_DASH_GT] = ACTIONS(10099),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10099),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10099),
    [aux_sym_integer_literal_token2] = ACTIONS(10099),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10099),
    [aux_sym_float_literal_token3] = ACTIONS(10099),
    [aux_sym_float_literal_token4] = ACTIONS(10099),
    [sym_character_literal] = ACTIONS(10099),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10099),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10099),
    [sym__pair_operator] = ACTIONS(10099),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10099),
    [sym__lazy_and_operator] = ACTIONS(10099),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10099),
    [sym__pipe_left_operator] = ACTIONS(10099),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10099),
    [sym__bitshift_operator] = ACTIONS(10099),
    [sym__power_operator] = ACTIONS(10099),
    [sym__tilde_operator] = ACTIONS(10099),
    [sym__type_order_operator] = ACTIONS(10099),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [5936] = {
    [sym_block_comment] = STATE(5936),
    [sym_line_comment] = STATE(5936),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_catch] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_DASH_GT] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [5937] = {
    [sym_block_comment] = STATE(5937),
    [sym_line_comment] = STATE(5937),
    [sym__word_identifier] = ACTIONS(10635),
    [anon_sym_COMMA] = ACTIONS(10635),
    [anon_sym_EQ] = ACTIONS(10635),
    [anon_sym_begin] = ACTIONS(10635),
    [anon_sym_module] = ACTIONS(10635),
    [anon_sym_baremodule] = ACTIONS(10635),
    [anon_sym_end] = ACTIONS(10635),
    [anon_sym_abstract] = ACTIONS(10635),
    [anon_sym_primitive] = ACTIONS(10635),
    [anon_sym_mutable] = ACTIONS(10635),
    [anon_sym_struct] = ACTIONS(10635),
    [anon_sym_function] = ACTIONS(10635),
    [anon_sym_macro] = ACTIONS(10635),
    [anon_sym_quote] = ACTIONS(10635),
    [anon_sym_let] = ACTIONS(10635),
    [anon_sym_if] = ACTIONS(10635),
    [anon_sym_try] = ACTIONS(10635),
    [anon_sym_finally] = ACTIONS(10635),
    [anon_sym_for] = ACTIONS(10635),
    [anon_sym_while] = ACTIONS(10635),
    [sym_break_statement] = ACTIONS(10635),
    [sym_continue_statement] = ACTIONS(10635),
    [anon_sym_return] = ACTIONS(10635),
    [anon_sym_const] = ACTIONS(10635),
    [anon_sym_global] = ACTIONS(10635),
    [anon_sym_local] = ACTIONS(10635),
    [anon_sym_LPAREN] = ACTIONS(10635),
    [anon_sym_COLON] = ACTIONS(10635),
    [anon_sym_export] = ACTIONS(10635),
    [anon_sym_public] = ACTIONS(10635),
    [anon_sym_import] = ACTIONS(10635),
    [anon_sym_using] = ACTIONS(10635),
    [anon_sym_LBRACK] = ACTIONS(10635),
    [anon_sym_in] = ACTIONS(10635),
    [anon_sym_SEMI] = ACTIONS(10635),
    [anon_sym_LBRACE] = ACTIONS(10635),
    [anon_sym_SQUOTE] = ACTIONS(10794),
    [anon_sym_DOT] = ACTIONS(10796),
    [anon_sym_DOLLAR] = ACTIONS(10635),
    [anon_sym_COLON2] = ACTIONS(10635),
    [anon_sym_COLON_COLON] = ACTIONS(10635),
    [anon_sym_isa] = ACTIONS(10635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10635),
    [anon_sym_QMARK] = ACTIONS(10635),
    [anon_sym_DASH_GT] = ACTIONS(10635),
    [anon_sym_where] = ACTIONS(10635),
    [anon_sym_AT] = ACTIONS(10635),
    [anon_sym_true] = ACTIONS(10635),
    [anon_sym_false] = ACTIONS(10635),
    [aux_sym_integer_literal_token1] = ACTIONS(10635),
    [aux_sym_integer_literal_token2] = ACTIONS(10635),
    [aux_sym_integer_literal_token3] = ACTIONS(10635),
    [aux_sym_integer_literal_token4] = ACTIONS(10635),
    [aux_sym_float_literal_token1] = ACTIONS(10635),
    [aux_sym_float_literal_token3] = ACTIONS(10635),
    [aux_sym_float_literal_token4] = ACTIONS(10635),
    [sym_character_literal] = ACTIONS(10635),
    [anon_sym_DQUOTE] = ACTIONS(10635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10635),
    [sym__pair_operator] = ACTIONS(10635),
    [sym__arrow_operator] = ACTIONS(10635),
    [sym__lazy_or_operator] = ACTIONS(10635),
    [sym__lazy_and_operator] = ACTIONS(10635),
    [sym__comparison_operator] = ACTIONS(10635),
    [sym__pipe_right_operator] = ACTIONS(10635),
    [sym__pipe_left_operator] = ACTIONS(10635),
    [sym__ellipsis_operator] = ACTIONS(10635),
    [sym__plus_operator] = ACTIONS(10635),
    [sym__times_operator] = ACTIONS(10635),
    [sym__rational_operator] = ACTIONS(10635),
    [sym__bitshift_operator] = ACTIONS(10635),
    [sym__power_operator] = ACTIONS(10635),
    [sym__tilde_operator] = ACTIONS(10635),
    [sym__type_order_operator] = ACTIONS(10635),
    [sym__unary_operator] = ACTIONS(10635),
    [sym__unary_plus_operator] = ACTIONS(10635),
    [aux_sym__terminator_token1] = ACTIONS(10641),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10798),
    [sym__immediate_bracket] = ACTIONS(10800),
    [sym__immediate_brace] = ACTIONS(10802),
  },
  [5938] = {
    [sym_do_clause] = STATE(6827),
    [sym_block_comment] = STATE(5938),
    [sym_line_comment] = STATE(5938),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9927),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9927),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9927),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_SEMI] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9927),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10804),
    [anon_sym_DOLLAR] = ACTIONS(9927),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9927),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9927),
    [anon_sym_QMARK] = ACTIONS(9927),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9927),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9927),
    [aux_sym_integer_literal_token2] = ACTIONS(9927),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9927),
    [aux_sym_float_literal_token3] = ACTIONS(9927),
    [aux_sym_float_literal_token4] = ACTIONS(9927),
    [sym_character_literal] = ACTIONS(9927),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9927),
    [sym__pair_operator] = ACTIONS(9927),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9927),
    [sym__lazy_and_operator] = ACTIONS(9927),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9927),
    [sym__pipe_left_operator] = ACTIONS(9927),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9927),
    [sym__bitshift_operator] = ACTIONS(9927),
    [sym__power_operator] = ACTIONS(9927),
    [sym__tilde_operator] = ACTIONS(9927),
    [sym__type_order_operator] = ACTIONS(9927),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym__terminator_token1] = ACTIONS(9931),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [5939] = {
    [sym_block_comment] = STATE(5939),
    [sym_line_comment] = STATE(5939),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10788),
    [sym__immediate_command_start] = ACTIONS(10790),
  },
  [5940] = {
    [sym_do_clause] = STATE(6828),
    [sym_block_comment] = STATE(5940),
    [sym_line_comment] = STATE(5940),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10804),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [5941] = {
    [sym_block_comment] = STATE(5941),
    [sym_line_comment] = STATE(5941),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10103),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10103),
    [anon_sym_RPAREN] = ACTIONS(10103),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10103),
    [anon_sym_RBRACK] = ACTIONS(10103),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10103),
    [anon_sym_LBRACE] = ACTIONS(10103),
    [anon_sym_RBRACE] = ACTIONS(10103),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10103),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10103),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10103),
    [anon_sym_QMARK] = ACTIONS(10103),
    [anon_sym_DASH_GT] = ACTIONS(10103),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10103),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10103),
    [aux_sym_integer_literal_token2] = ACTIONS(10103),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10103),
    [aux_sym_float_literal_token3] = ACTIONS(10103),
    [aux_sym_float_literal_token4] = ACTIONS(10103),
    [sym_character_literal] = ACTIONS(10103),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10103),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10103),
    [sym__pair_operator] = ACTIONS(10103),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10103),
    [sym__lazy_and_operator] = ACTIONS(10103),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10103),
    [sym__pipe_left_operator] = ACTIONS(10103),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10103),
    [sym__bitshift_operator] = ACTIONS(10103),
    [sym__power_operator] = ACTIONS(10103),
    [sym__tilde_operator] = ACTIONS(10103),
    [sym__type_order_operator] = ACTIONS(10103),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [5942] = {
    [sym_block_comment] = STATE(5942),
    [sym_line_comment] = STATE(5942),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10423),
    [anon_sym_RPAREN] = ACTIONS(10423),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10423),
    [anon_sym_RBRACK] = ACTIONS(10423),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10423),
    [anon_sym_LBRACE] = ACTIONS(10423),
    [anon_sym_RBRACE] = ACTIONS(10423),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10423),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10423),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10423),
    [anon_sym_QMARK] = ACTIONS(10423),
    [anon_sym_DASH_GT] = ACTIONS(10423),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10423),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10423),
    [aux_sym_integer_literal_token2] = ACTIONS(10423),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10423),
    [aux_sym_float_literal_token3] = ACTIONS(10423),
    [aux_sym_float_literal_token4] = ACTIONS(10423),
    [sym_character_literal] = ACTIONS(10423),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10423),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10423),
    [sym__pair_operator] = ACTIONS(10423),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10423),
    [sym__lazy_and_operator] = ACTIONS(10423),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10423),
    [sym__pipe_left_operator] = ACTIONS(10423),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10423),
    [sym__bitshift_operator] = ACTIONS(10423),
    [sym__power_operator] = ACTIONS(10423),
    [sym__tilde_operator] = ACTIONS(10423),
    [sym__type_order_operator] = ACTIONS(10423),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [5943] = {
    [sym_block_comment] = STATE(5943),
    [sym_line_comment] = STATE(5943),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_catch] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_DASH_GT] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [5944] = {
    [sym_block_comment] = STATE(5944),
    [sym_line_comment] = STATE(5944),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_catch] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_DASH_GT] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [5945] = {
    [sym_block_comment] = STATE(5945),
    [sym_line_comment] = STATE(5945),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_elseif] = ACTIONS(10097),
    [anon_sym_else] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [5946] = {
    [sym_block_comment] = STATE(5946),
    [sym_line_comment] = STATE(5946),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_catch] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_DASH_GT] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [5947] = {
    [sym_block_comment] = STATE(5947),
    [sym_line_comment] = STATE(5947),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10431),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10431),
    [anon_sym_RPAREN] = ACTIONS(10431),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10431),
    [anon_sym_RBRACK] = ACTIONS(10431),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10431),
    [anon_sym_LBRACE] = ACTIONS(10431),
    [anon_sym_RBRACE] = ACTIONS(10431),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10431),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10431),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_QMARK] = ACTIONS(10431),
    [anon_sym_DASH_GT] = ACTIONS(10431),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10431),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10431),
    [aux_sym_integer_literal_token2] = ACTIONS(10431),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10431),
    [aux_sym_float_literal_token3] = ACTIONS(10431),
    [aux_sym_float_literal_token4] = ACTIONS(10431),
    [sym_character_literal] = ACTIONS(10431),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10431),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10431),
    [sym__pair_operator] = ACTIONS(10431),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10431),
    [sym__lazy_and_operator] = ACTIONS(10431),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10431),
    [sym__pipe_left_operator] = ACTIONS(10431),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10431),
    [sym__bitshift_operator] = ACTIONS(10431),
    [sym__power_operator] = ACTIONS(10431),
    [sym__tilde_operator] = ACTIONS(10431),
    [sym__type_order_operator] = ACTIONS(10431),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [5948] = {
    [sym_block_comment] = STATE(5948),
    [sym_line_comment] = STATE(5948),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10435),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10435),
    [anon_sym_RPAREN] = ACTIONS(10435),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10435),
    [anon_sym_RBRACK] = ACTIONS(10435),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10435),
    [anon_sym_LBRACE] = ACTIONS(10435),
    [anon_sym_RBRACE] = ACTIONS(10435),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10435),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10435),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10435),
    [anon_sym_QMARK] = ACTIONS(10435),
    [anon_sym_DASH_GT] = ACTIONS(10435),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10435),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10435),
    [aux_sym_integer_literal_token2] = ACTIONS(10435),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10435),
    [aux_sym_float_literal_token3] = ACTIONS(10435),
    [aux_sym_float_literal_token4] = ACTIONS(10435),
    [sym_character_literal] = ACTIONS(10435),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10435),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10435),
    [sym__pair_operator] = ACTIONS(10435),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10435),
    [sym__lazy_and_operator] = ACTIONS(10435),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10435),
    [sym__pipe_left_operator] = ACTIONS(10435),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10435),
    [sym__bitshift_operator] = ACTIONS(10435),
    [sym__power_operator] = ACTIONS(10435),
    [sym__tilde_operator] = ACTIONS(10435),
    [sym__type_order_operator] = ACTIONS(10435),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [5949] = {
    [sym_block_comment] = STATE(5949),
    [sym_line_comment] = STATE(5949),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10439),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10439),
    [anon_sym_RPAREN] = ACTIONS(10439),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10439),
    [anon_sym_RBRACK] = ACTIONS(10439),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10439),
    [anon_sym_LBRACE] = ACTIONS(10439),
    [anon_sym_RBRACE] = ACTIONS(10439),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10439),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10439),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10439),
    [anon_sym_QMARK] = ACTIONS(10439),
    [anon_sym_DASH_GT] = ACTIONS(10439),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10439),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10439),
    [aux_sym_integer_literal_token2] = ACTIONS(10439),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10439),
    [aux_sym_float_literal_token3] = ACTIONS(10439),
    [aux_sym_float_literal_token4] = ACTIONS(10439),
    [sym_character_literal] = ACTIONS(10439),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10439),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10439),
    [sym__pair_operator] = ACTIONS(10439),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10439),
    [sym__lazy_and_operator] = ACTIONS(10439),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10439),
    [sym__pipe_left_operator] = ACTIONS(10439),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10439),
    [sym__bitshift_operator] = ACTIONS(10439),
    [sym__power_operator] = ACTIONS(10439),
    [sym__tilde_operator] = ACTIONS(10439),
    [sym__type_order_operator] = ACTIONS(10439),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [5950] = {
    [sym_block_comment] = STATE(5950),
    [sym_line_comment] = STATE(5950),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_else] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [5951] = {
    [sym_block_comment] = STATE(5951),
    [sym_line_comment] = STATE(5951),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_else] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [5952] = {
    [sym_do_clause] = STATE(6830),
    [sym_block_comment] = STATE(5952),
    [sym_line_comment] = STATE(5952),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9945),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9945),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9945),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_SEMI] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9945),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10804),
    [anon_sym_DOLLAR] = ACTIONS(9945),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9945),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9945),
    [anon_sym_QMARK] = ACTIONS(9945),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9945),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9945),
    [aux_sym_integer_literal_token2] = ACTIONS(9945),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9945),
    [aux_sym_float_literal_token3] = ACTIONS(9945),
    [aux_sym_float_literal_token4] = ACTIONS(9945),
    [sym_character_literal] = ACTIONS(9945),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9945),
    [sym__pair_operator] = ACTIONS(9945),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9945),
    [sym__lazy_and_operator] = ACTIONS(9945),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9945),
    [sym__pipe_left_operator] = ACTIONS(9945),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9945),
    [sym__bitshift_operator] = ACTIONS(9945),
    [sym__power_operator] = ACTIONS(9945),
    [sym__tilde_operator] = ACTIONS(9945),
    [sym__type_order_operator] = ACTIONS(9945),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym__terminator_token1] = ACTIONS(9947),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [5953] = {
    [sym_block_comment] = STATE(5953),
    [sym_line_comment] = STATE(5953),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10329),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10329),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10329),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10329),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10329),
    [anon_sym_COLON_EQ] = ACTIONS(10329),
    [anon_sym_DOT_EQ] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10329),
    [anon_sym_QMARK] = ACTIONS(10329),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10329),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10329),
    [aux_sym_integer_literal_token2] = ACTIONS(10329),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10329),
    [aux_sym_float_literal_token3] = ACTIONS(10329),
    [aux_sym_float_literal_token4] = ACTIONS(10329),
    [sym_character_literal] = ACTIONS(10329),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10329),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10329),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10329),
    [aux_sym__assignment_operator_token1] = ACTIONS(10329),
    [sym__pair_operator] = ACTIONS(10329),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10329),
    [sym__lazy_and_operator] = ACTIONS(10329),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10329),
    [sym__pipe_left_operator] = ACTIONS(10329),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10329),
    [sym__type_order_operator] = ACTIONS(10329),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [5954] = {
    [sym_block_comment] = STATE(5954),
    [sym_line_comment] = STATE(5954),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10381),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10381),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10381),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10381),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10381),
    [anon_sym_COLON_EQ] = ACTIONS(10381),
    [anon_sym_DOT_EQ] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10381),
    [anon_sym_QMARK] = ACTIONS(10381),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10381),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10381),
    [aux_sym_integer_literal_token2] = ACTIONS(10381),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10381),
    [aux_sym_float_literal_token3] = ACTIONS(10381),
    [aux_sym_float_literal_token4] = ACTIONS(10381),
    [sym_character_literal] = ACTIONS(10381),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10381),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10381),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10381),
    [aux_sym__assignment_operator_token1] = ACTIONS(10381),
    [sym__pair_operator] = ACTIONS(10381),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10381),
    [sym__lazy_and_operator] = ACTIONS(10381),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10381),
    [sym__pipe_left_operator] = ACTIONS(10381),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10381),
    [sym__type_order_operator] = ACTIONS(10381),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [5955] = {
    [sym_block_comment] = STATE(5955),
    [sym_line_comment] = STATE(5955),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_elseif] = ACTIONS(10139),
    [anon_sym_else] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [5956] = {
    [sym_identifier] = STATE(6626),
    [sym_block_comment] = STATE(5956),
    [sym_line_comment] = STATE(5956),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_DASH_GT] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [5957] = {
    [sym_block_comment] = STATE(5957),
    [sym_line_comment] = STATE(5957),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DASH_GT] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [5958] = {
    [sym_identifier] = STATE(6627),
    [sym_block_comment] = STATE(5958),
    [sym_line_comment] = STATE(5958),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_DASH_GT] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [5959] = {
    [sym_block_comment] = STATE(5959),
    [sym_line_comment] = STATE(5959),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_catch] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_DASH_GT] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [5960] = {
    [sym_block_comment] = STATE(5960),
    [sym_line_comment] = STATE(5960),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_catch] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_DASH_GT] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [5961] = {
    [sym_block_comment] = STATE(5961),
    [sym_line_comment] = STATE(5961),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10141),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10141),
    [anon_sym_RPAREN] = ACTIONS(10141),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10141),
    [anon_sym_RBRACK] = ACTIONS(10141),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10141),
    [anon_sym_LBRACE] = ACTIONS(10141),
    [anon_sym_RBRACE] = ACTIONS(10141),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10141),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10141),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10141),
    [anon_sym_QMARK] = ACTIONS(10141),
    [anon_sym_DASH_GT] = ACTIONS(10141),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10141),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10141),
    [aux_sym_integer_literal_token2] = ACTIONS(10141),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10141),
    [aux_sym_float_literal_token3] = ACTIONS(10141),
    [aux_sym_float_literal_token4] = ACTIONS(10141),
    [sym_character_literal] = ACTIONS(10141),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10141),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10141),
    [sym__pair_operator] = ACTIONS(10141),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10141),
    [sym__lazy_and_operator] = ACTIONS(10141),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10141),
    [sym__pipe_left_operator] = ACTIONS(10141),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10141),
    [sym__bitshift_operator] = ACTIONS(10141),
    [sym__power_operator] = ACTIONS(10141),
    [sym__tilde_operator] = ACTIONS(10141),
    [sym__type_order_operator] = ACTIONS(10141),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [5962] = {
    [sym_do_clause] = STATE(6835),
    [sym_block_comment] = STATE(5962),
    [sym_line_comment] = STATE(5962),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10804),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [5963] = {
    [sym_block_comment] = STATE(5963),
    [sym_line_comment] = STATE(5963),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10293),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10293),
    [anon_sym_RPAREN] = ACTIONS(10293),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10293),
    [anon_sym_RBRACK] = ACTIONS(10293),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10293),
    [anon_sym_LBRACE] = ACTIONS(10293),
    [anon_sym_RBRACE] = ACTIONS(10293),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10293),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10293),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10293),
    [anon_sym_QMARK] = ACTIONS(10293),
    [anon_sym_DASH_GT] = ACTIONS(10293),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10293),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10293),
    [aux_sym_integer_literal_token2] = ACTIONS(10293),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10293),
    [aux_sym_float_literal_token3] = ACTIONS(10293),
    [aux_sym_float_literal_token4] = ACTIONS(10293),
    [sym_character_literal] = ACTIONS(10293),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10293),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10293),
    [sym__pair_operator] = ACTIONS(10293),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10293),
    [sym__lazy_and_operator] = ACTIONS(10293),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10293),
    [sym__pipe_left_operator] = ACTIONS(10293),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10293),
    [sym__bitshift_operator] = ACTIONS(10293),
    [sym__power_operator] = ACTIONS(10293),
    [sym__tilde_operator] = ACTIONS(10293),
    [sym__type_order_operator] = ACTIONS(10293),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [5964] = {
    [sym_block_comment] = STATE(5964),
    [sym_line_comment] = STATE(5964),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_catch] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_DASH_GT] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [5965] = {
    [sym_block_comment] = STATE(5965),
    [sym_line_comment] = STATE(5965),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_catch] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_DASH_GT] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [5966] = {
    [sym_block_comment] = STATE(5966),
    [sym_line_comment] = STATE(5966),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_catch] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_DASH_GT] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [5967] = {
    [sym_block_comment] = STATE(5967),
    [sym_line_comment] = STATE(5967),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_elseif] = ACTIONS(10399),
    [anon_sym_else] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [5968] = {
    [sym_block_comment] = STATE(5968),
    [sym_line_comment] = STATE(5968),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10309),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10309),
    [anon_sym_RPAREN] = ACTIONS(10309),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10309),
    [anon_sym_RBRACK] = ACTIONS(10309),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10309),
    [anon_sym_LBRACE] = ACTIONS(10309),
    [anon_sym_RBRACE] = ACTIONS(10309),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10309),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10309),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10309),
    [anon_sym_QMARK] = ACTIONS(10309),
    [anon_sym_DASH_GT] = ACTIONS(10309),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10309),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10309),
    [aux_sym_integer_literal_token2] = ACTIONS(10309),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10309),
    [aux_sym_float_literal_token3] = ACTIONS(10309),
    [aux_sym_float_literal_token4] = ACTIONS(10309),
    [sym_character_literal] = ACTIONS(10309),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10309),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10309),
    [sym__pair_operator] = ACTIONS(10309),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10309),
    [sym__lazy_and_operator] = ACTIONS(10309),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10309),
    [sym__pipe_left_operator] = ACTIONS(10309),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10309),
    [sym__bitshift_operator] = ACTIONS(10309),
    [sym__power_operator] = ACTIONS(10309),
    [sym__tilde_operator] = ACTIONS(10309),
    [sym__type_order_operator] = ACTIONS(10309),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [5969] = {
    [sym_block_comment] = STATE(5969),
    [sym_line_comment] = STATE(5969),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10349),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10349),
    [anon_sym_RPAREN] = ACTIONS(10349),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10349),
    [anon_sym_RBRACK] = ACTIONS(10349),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10349),
    [anon_sym_LBRACE] = ACTIONS(10349),
    [anon_sym_RBRACE] = ACTIONS(10349),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10349),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10349),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10349),
    [anon_sym_QMARK] = ACTIONS(10349),
    [anon_sym_DASH_GT] = ACTIONS(10349),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10349),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10349),
    [aux_sym_integer_literal_token2] = ACTIONS(10349),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10349),
    [aux_sym_float_literal_token3] = ACTIONS(10349),
    [aux_sym_float_literal_token4] = ACTIONS(10349),
    [sym_character_literal] = ACTIONS(10349),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10349),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10349),
    [sym__pair_operator] = ACTIONS(10349),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10349),
    [sym__lazy_and_operator] = ACTIONS(10349),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10349),
    [sym__pipe_left_operator] = ACTIONS(10349),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10349),
    [sym__bitshift_operator] = ACTIONS(10349),
    [sym__power_operator] = ACTIONS(10349),
    [sym__tilde_operator] = ACTIONS(10349),
    [sym__type_order_operator] = ACTIONS(10349),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [5970] = {
    [sym_block_comment] = STATE(5970),
    [sym_line_comment] = STATE(5970),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10353),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10353),
    [anon_sym_RPAREN] = ACTIONS(10353),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10353),
    [anon_sym_RBRACK] = ACTIONS(10353),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10353),
    [anon_sym_LBRACE] = ACTIONS(10353),
    [anon_sym_RBRACE] = ACTIONS(10353),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10353),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10353),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10353),
    [anon_sym_QMARK] = ACTIONS(10353),
    [anon_sym_DASH_GT] = ACTIONS(10353),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10353),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10353),
    [aux_sym_integer_literal_token2] = ACTIONS(10353),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10353),
    [aux_sym_float_literal_token3] = ACTIONS(10353),
    [aux_sym_float_literal_token4] = ACTIONS(10353),
    [sym_character_literal] = ACTIONS(10353),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10353),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10353),
    [sym__pair_operator] = ACTIONS(10353),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10353),
    [sym__lazy_and_operator] = ACTIONS(10353),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10353),
    [sym__pipe_left_operator] = ACTIONS(10353),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10353),
    [sym__bitshift_operator] = ACTIONS(10353),
    [sym__power_operator] = ACTIONS(10353),
    [sym__tilde_operator] = ACTIONS(10353),
    [sym__type_order_operator] = ACTIONS(10353),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [5971] = {
    [sym_block_comment] = STATE(5971),
    [sym_line_comment] = STATE(5971),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10357),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10357),
    [anon_sym_RPAREN] = ACTIONS(10357),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10357),
    [anon_sym_RBRACK] = ACTIONS(10357),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10357),
    [anon_sym_LBRACE] = ACTIONS(10357),
    [anon_sym_RBRACE] = ACTIONS(10357),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10357),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10357),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10357),
    [anon_sym_QMARK] = ACTIONS(10357),
    [anon_sym_DASH_GT] = ACTIONS(10357),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10357),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10357),
    [aux_sym_integer_literal_token2] = ACTIONS(10357),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10357),
    [aux_sym_float_literal_token3] = ACTIONS(10357),
    [aux_sym_float_literal_token4] = ACTIONS(10357),
    [sym_character_literal] = ACTIONS(10357),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10357),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10357),
    [sym__pair_operator] = ACTIONS(10357),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10357),
    [sym__lazy_and_operator] = ACTIONS(10357),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10357),
    [sym__pipe_left_operator] = ACTIONS(10357),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10357),
    [sym__bitshift_operator] = ACTIONS(10357),
    [sym__power_operator] = ACTIONS(10357),
    [sym__tilde_operator] = ACTIONS(10357),
    [sym__type_order_operator] = ACTIONS(10357),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [5972] = {
    [sym_block_comment] = STATE(5972),
    [sym_line_comment] = STATE(5972),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_finally] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_DASH_GT] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [5973] = {
    [sym_block_comment] = STATE(5973),
    [sym_line_comment] = STATE(5973),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10405),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10405),
    [anon_sym_RPAREN] = ACTIONS(10405),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10405),
    [anon_sym_RBRACK] = ACTIONS(10405),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10405),
    [anon_sym_LBRACE] = ACTIONS(10405),
    [anon_sym_RBRACE] = ACTIONS(10405),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10405),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10405),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10405),
    [anon_sym_QMARK] = ACTIONS(10405),
    [anon_sym_DASH_GT] = ACTIONS(10405),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10405),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10405),
    [aux_sym_integer_literal_token2] = ACTIONS(10405),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10405),
    [aux_sym_float_literal_token3] = ACTIONS(10405),
    [aux_sym_float_literal_token4] = ACTIONS(10405),
    [sym_character_literal] = ACTIONS(10405),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10405),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10405),
    [sym__pair_operator] = ACTIONS(10405),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10405),
    [sym__lazy_and_operator] = ACTIONS(10405),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10405),
    [sym__pipe_left_operator] = ACTIONS(10405),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10405),
    [sym__bitshift_operator] = ACTIONS(10405),
    [sym__power_operator] = ACTIONS(10405),
    [sym__tilde_operator] = ACTIONS(10405),
    [sym__type_order_operator] = ACTIONS(10405),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [5974] = {
    [sym_identifier] = STATE(6634),
    [sym_block_comment] = STATE(5974),
    [sym_line_comment] = STATE(5974),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_DASH_GT] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [5975] = {
    [sym_block_comment] = STATE(5975),
    [sym_line_comment] = STATE(5975),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_catch] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_DASH_GT] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [5976] = {
    [sym_block_comment] = STATE(5976),
    [sym_line_comment] = STATE(5976),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10313),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10313),
    [anon_sym_RPAREN] = ACTIONS(10313),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10313),
    [anon_sym_RBRACK] = ACTIONS(10313),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10313),
    [anon_sym_LBRACE] = ACTIONS(10313),
    [anon_sym_RBRACE] = ACTIONS(10313),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10313),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10313),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10313),
    [anon_sym_QMARK] = ACTIONS(10313),
    [anon_sym_DASH_GT] = ACTIONS(10313),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10313),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10313),
    [aux_sym_integer_literal_token2] = ACTIONS(10313),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10313),
    [aux_sym_float_literal_token3] = ACTIONS(10313),
    [aux_sym_float_literal_token4] = ACTIONS(10313),
    [sym_character_literal] = ACTIONS(10313),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10313),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10313),
    [sym__pair_operator] = ACTIONS(10313),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10313),
    [sym__lazy_and_operator] = ACTIONS(10313),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10313),
    [sym__pipe_left_operator] = ACTIONS(10313),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10313),
    [sym__bitshift_operator] = ACTIONS(10313),
    [sym__power_operator] = ACTIONS(10313),
    [sym__tilde_operator] = ACTIONS(10313),
    [sym__type_order_operator] = ACTIONS(10313),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [5977] = {
    [sym_identifier] = STATE(6635),
    [sym_block_comment] = STATE(5977),
    [sym_line_comment] = STATE(5977),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_DASH_GT] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [5978] = {
    [sym_block_comment] = STATE(5978),
    [sym_line_comment] = STATE(5978),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_catch] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_DASH_GT] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [5979] = {
    [sym_block_comment] = STATE(5979),
    [sym_line_comment] = STATE(5979),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_catch] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_DASH_GT] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [5980] = {
    [sym_block_comment] = STATE(5980),
    [sym_line_comment] = STATE(5980),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_catch] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_DASH_GT] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [5981] = {
    [sym_block_comment] = STATE(5981),
    [sym_line_comment] = STATE(5981),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_catch] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_DASH_GT] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [5982] = {
    [sym_block_comment] = STATE(5982),
    [sym_line_comment] = STATE(5982),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_catch] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_DASH_GT] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [5983] = {
    [sym_block_comment] = STATE(5983),
    [sym_line_comment] = STATE(5983),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_catch] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_DASH_GT] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [5984] = {
    [sym_block_comment] = STATE(5984),
    [sym_line_comment] = STATE(5984),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_catch] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_DASH_GT] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [5985] = {
    [sym_block_comment] = STATE(5985),
    [sym_line_comment] = STATE(5985),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10401),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10401),
    [anon_sym_RPAREN] = ACTIONS(10401),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10401),
    [anon_sym_RBRACK] = ACTIONS(10401),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10401),
    [anon_sym_LBRACE] = ACTIONS(10401),
    [anon_sym_RBRACE] = ACTIONS(10401),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10401),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10401),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10401),
    [anon_sym_QMARK] = ACTIONS(10401),
    [anon_sym_DASH_GT] = ACTIONS(10401),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10401),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10401),
    [aux_sym_integer_literal_token2] = ACTIONS(10401),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10401),
    [aux_sym_float_literal_token3] = ACTIONS(10401),
    [aux_sym_float_literal_token4] = ACTIONS(10401),
    [sym_character_literal] = ACTIONS(10401),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10401),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10401),
    [sym__pair_operator] = ACTIONS(10401),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10401),
    [sym__lazy_and_operator] = ACTIONS(10401),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10401),
    [sym__pipe_left_operator] = ACTIONS(10401),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10401),
    [sym__bitshift_operator] = ACTIONS(10401),
    [sym__power_operator] = ACTIONS(10401),
    [sym__tilde_operator] = ACTIONS(10401),
    [sym__type_order_operator] = ACTIONS(10401),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [5986] = {
    [sym_identifier] = STATE(6735),
    [sym_block_comment] = STATE(5986),
    [sym_line_comment] = STATE(5986),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_catch] = ACTIONS(10131),
    [anon_sym_finally] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [5987] = {
    [sym_block_comment] = STATE(5987),
    [sym_line_comment] = STATE(5987),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10265),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10265),
    [anon_sym_RPAREN] = ACTIONS(10265),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10265),
    [anon_sym_RBRACK] = ACTIONS(10265),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10265),
    [anon_sym_LBRACE] = ACTIONS(10265),
    [anon_sym_RBRACE] = ACTIONS(10265),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10265),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10265),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10265),
    [anon_sym_QMARK] = ACTIONS(10265),
    [anon_sym_DASH_GT] = ACTIONS(10265),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10265),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10265),
    [aux_sym_integer_literal_token2] = ACTIONS(10265),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10265),
    [aux_sym_float_literal_token3] = ACTIONS(10265),
    [aux_sym_float_literal_token4] = ACTIONS(10265),
    [sym_character_literal] = ACTIONS(10265),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10265),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10265),
    [sym__pair_operator] = ACTIONS(10265),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10265),
    [sym__lazy_and_operator] = ACTIONS(10265),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10265),
    [sym__pipe_left_operator] = ACTIONS(10265),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10265),
    [sym__bitshift_operator] = ACTIONS(10265),
    [sym__power_operator] = ACTIONS(10265),
    [sym__tilde_operator] = ACTIONS(10265),
    [sym__type_order_operator] = ACTIONS(10265),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [5988] = {
    [sym_block_comment] = STATE(5988),
    [sym_line_comment] = STATE(5988),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10341),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10341),
    [anon_sym_RPAREN] = ACTIONS(10341),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10341),
    [anon_sym_RBRACK] = ACTIONS(10341),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10341),
    [anon_sym_LBRACE] = ACTIONS(10341),
    [anon_sym_RBRACE] = ACTIONS(10341),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10341),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10341),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10341),
    [anon_sym_QMARK] = ACTIONS(10341),
    [anon_sym_DASH_GT] = ACTIONS(10341),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10341),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10341),
    [aux_sym_integer_literal_token2] = ACTIONS(10341),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10341),
    [aux_sym_float_literal_token3] = ACTIONS(10341),
    [aux_sym_float_literal_token4] = ACTIONS(10341),
    [sym_character_literal] = ACTIONS(10341),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10341),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10341),
    [sym__pair_operator] = ACTIONS(10341),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10341),
    [sym__lazy_and_operator] = ACTIONS(10341),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10341),
    [sym__pipe_left_operator] = ACTIONS(10341),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10341),
    [sym__bitshift_operator] = ACTIONS(10341),
    [sym__power_operator] = ACTIONS(10341),
    [sym__tilde_operator] = ACTIONS(10341),
    [sym__type_order_operator] = ACTIONS(10341),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [5989] = {
    [sym_block_comment] = STATE(5989),
    [sym_line_comment] = STATE(5989),
    [ts_builtin_sym_end] = ACTIONS(10075),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_RBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [5990] = {
    [sym_identifier] = STATE(6737),
    [sym_block_comment] = STATE(5990),
    [sym_line_comment] = STATE(5990),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_catch] = ACTIONS(10135),
    [anon_sym_finally] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [5991] = {
    [sym_block_comment] = STATE(5991),
    [sym_line_comment] = STATE(5991),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_catch] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_DASH_GT] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [5992] = {
    [sym_block_comment] = STATE(5992),
    [sym_line_comment] = STATE(5992),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10373),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10373),
    [anon_sym_RPAREN] = ACTIONS(10373),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10373),
    [anon_sym_RBRACK] = ACTIONS(10373),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10373),
    [anon_sym_LBRACE] = ACTIONS(10373),
    [anon_sym_RBRACE] = ACTIONS(10373),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10373),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10373),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10373),
    [anon_sym_QMARK] = ACTIONS(10373),
    [anon_sym_DASH_GT] = ACTIONS(10373),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10373),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10373),
    [aux_sym_integer_literal_token2] = ACTIONS(10373),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10373),
    [aux_sym_float_literal_token3] = ACTIONS(10373),
    [aux_sym_float_literal_token4] = ACTIONS(10373),
    [sym_character_literal] = ACTIONS(10373),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10373),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10373),
    [sym__pair_operator] = ACTIONS(10373),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10373),
    [sym__lazy_and_operator] = ACTIONS(10373),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10373),
    [sym__pipe_left_operator] = ACTIONS(10373),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10373),
    [sym__bitshift_operator] = ACTIONS(10373),
    [sym__power_operator] = ACTIONS(10373),
    [sym__tilde_operator] = ACTIONS(10373),
    [sym__type_order_operator] = ACTIONS(10373),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [5993] = {
    [sym_block_comment] = STATE(5993),
    [sym_line_comment] = STATE(5993),
    [ts_builtin_sym_end] = ACTIONS(10081),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_RBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [5994] = {
    [sym_block_comment] = STATE(5994),
    [sym_line_comment] = STATE(5994),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_catch] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_DASH_GT] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [5995] = {
    [sym_block_comment] = STATE(5995),
    [sym_line_comment] = STATE(5995),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10411),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10411),
    [anon_sym_RPAREN] = ACTIONS(10411),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10411),
    [anon_sym_RBRACK] = ACTIONS(10411),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10411),
    [anon_sym_LBRACE] = ACTIONS(10411),
    [anon_sym_RBRACE] = ACTIONS(10411),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10411),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10411),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10411),
    [anon_sym_QMARK] = ACTIONS(10411),
    [anon_sym_DASH_GT] = ACTIONS(10411),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10411),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10411),
    [aux_sym_integer_literal_token2] = ACTIONS(10411),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10411),
    [aux_sym_float_literal_token3] = ACTIONS(10411),
    [aux_sym_float_literal_token4] = ACTIONS(10411),
    [sym_character_literal] = ACTIONS(10411),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10411),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10411),
    [sym__pair_operator] = ACTIONS(10411),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10411),
    [sym__lazy_and_operator] = ACTIONS(10411),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10411),
    [sym__pipe_left_operator] = ACTIONS(10411),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10411),
    [sym__bitshift_operator] = ACTIONS(10411),
    [sym__power_operator] = ACTIONS(10411),
    [sym__tilde_operator] = ACTIONS(10411),
    [sym__type_order_operator] = ACTIONS(10411),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [5996] = {
    [sym_block_comment] = STATE(5996),
    [sym_line_comment] = STATE(5996),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_catch] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_DASH_GT] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [5997] = {
    [sym_block_comment] = STATE(5997),
    [sym_line_comment] = STATE(5997),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10219),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10219),
    [anon_sym_RPAREN] = ACTIONS(10219),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10219),
    [anon_sym_RBRACK] = ACTIONS(10219),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10219),
    [anon_sym_LBRACE] = ACTIONS(10219),
    [anon_sym_RBRACE] = ACTIONS(10219),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10219),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10219),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10219),
    [anon_sym_QMARK] = ACTIONS(10219),
    [anon_sym_DASH_GT] = ACTIONS(10219),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10219),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10219),
    [aux_sym_integer_literal_token2] = ACTIONS(10219),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10219),
    [aux_sym_float_literal_token3] = ACTIONS(10219),
    [aux_sym_float_literal_token4] = ACTIONS(10219),
    [sym_character_literal] = ACTIONS(10219),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10219),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10219),
    [sym__pair_operator] = ACTIONS(10219),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10219),
    [sym__lazy_and_operator] = ACTIONS(10219),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10219),
    [sym__pipe_left_operator] = ACTIONS(10219),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10219),
    [sym__bitshift_operator] = ACTIONS(10219),
    [sym__power_operator] = ACTIONS(10219),
    [sym__tilde_operator] = ACTIONS(10219),
    [sym__type_order_operator] = ACTIONS(10219),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [5998] = {
    [sym_block_comment] = STATE(5998),
    [sym_line_comment] = STATE(5998),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_catch] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_DASH_GT] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [5999] = {
    [sym_block_comment] = STATE(5999),
    [sym_line_comment] = STATE(5999),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_catch] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_DASH_GT] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [6000] = {
    [sym_block_comment] = STATE(6000),
    [sym_line_comment] = STATE(6000),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_catch] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_DASH_GT] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [6001] = {
    [sym_block_comment] = STATE(6001),
    [sym_line_comment] = STATE(6001),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [6002] = {
    [sym_block_comment] = STATE(6002),
    [sym_line_comment] = STATE(6002),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_elseif] = ACTIONS(10359),
    [anon_sym_else] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [6003] = {
    [sym_block_comment] = STATE(6003),
    [sym_line_comment] = STATE(6003),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_finally] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_DASH_GT] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [6004] = {
    [sym_block_comment] = STATE(6004),
    [sym_line_comment] = STATE(6004),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_catch] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_DASH_GT] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [6005] = {
    [sym_identifier] = STATE(6744),
    [sym_block_comment] = STATE(6005),
    [sym_line_comment] = STATE(6005),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_catch] = ACTIONS(10143),
    [anon_sym_finally] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [6006] = {
    [sym_block_comment] = STATE(6006),
    [sym_line_comment] = STATE(6006),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_else] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_finally] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [6007] = {
    [sym_block_comment] = STATE(6007),
    [sym_line_comment] = STATE(6007),
    [ts_builtin_sym_end] = ACTIONS(10147),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_RBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [6008] = {
    [sym_block_comment] = STATE(6008),
    [sym_line_comment] = STATE(6008),
    [ts_builtin_sym_end] = ACTIONS(10005),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_RBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [6009] = {
    [sym_block_comment] = STATE(6009),
    [sym_line_comment] = STATE(6009),
    [ts_builtin_sym_end] = ACTIONS(10161),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_RBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [6010] = {
    [sym_block_comment] = STATE(6010),
    [sym_line_comment] = STATE(6010),
    [ts_builtin_sym_end] = ACTIONS(10165),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_RBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [6011] = {
    [sym_block_comment] = STATE(6011),
    [sym_line_comment] = STATE(6011),
    [ts_builtin_sym_end] = ACTIONS(10057),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_RBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [6012] = {
    [sym_block_comment] = STATE(6012),
    [sym_line_comment] = STATE(6012),
    [ts_builtin_sym_end] = ACTIONS(10035),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_RBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [6013] = {
    [sym_block_comment] = STATE(6013),
    [sym_line_comment] = STATE(6013),
    [ts_builtin_sym_end] = ACTIONS(10053),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_RBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [6014] = {
    [sym_block_comment] = STATE(6014),
    [sym_line_comment] = STATE(6014),
    [ts_builtin_sym_end] = ACTIONS(10061),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_RBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [6015] = {
    [sym_block_comment] = STATE(6015),
    [sym_line_comment] = STATE(6015),
    [ts_builtin_sym_end] = ACTIONS(10125),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_RBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [6016] = {
    [sym_block_comment] = STATE(6016),
    [sym_line_comment] = STATE(6016),
    [ts_builtin_sym_end] = ACTIONS(10013),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_RBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [6017] = {
    [sym_block_comment] = STATE(6017),
    [sym_line_comment] = STATE(6017),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_catch] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_DASH_GT] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [6018] = {
    [sym_block_comment] = STATE(6018),
    [sym_line_comment] = STATE(6018),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_elseif] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [6019] = {
    [sym_block_comment] = STATE(6019),
    [sym_line_comment] = STATE(6019),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_else] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_finally] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [6020] = {
    [sym_identifier] = STATE(6745),
    [sym_block_comment] = STATE(6020),
    [sym_line_comment] = STATE(6020),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_catch] = ACTIONS(10007),
    [anon_sym_finally] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [6021] = {
    [sym_block_comment] = STATE(6021),
    [sym_line_comment] = STATE(6021),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_catch] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_DASH_GT] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [6022] = {
    [sym_block_comment] = STATE(6022),
    [sym_line_comment] = STATE(6022),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_catch] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_DASH_GT] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [6023] = {
    [sym_block_comment] = STATE(6023),
    [sym_line_comment] = STATE(6023),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_catch] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_DASH_GT] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [6024] = {
    [sym_block_comment] = STATE(6024),
    [sym_line_comment] = STATE(6024),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_catch] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_DASH_GT] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [6025] = {
    [sym__primary_expression] = STATE(12016),
    [sym__array] = STATE(11240),
    [sym_comprehension_expression] = STATE(11258),
    [sym_matrix_expression] = STATE(11258),
    [sym_vector_expression] = STATE(11258),
    [sym_parenthesized_expression] = STATE(11240),
    [sym_tuple_expression] = STATE(11240),
    [sym_curly_expression] = STATE(11240),
    [sym_adjoint_expression] = STATE(11240),
    [sym_field_expression] = STATE(11240),
    [sym_index_expression] = STATE(11240),
    [sym_parametrized_type_expression] = STATE(11240),
    [sym_call_expression] = STATE(11240),
    [sym_broadcast_call_expression] = STATE(11240),
    [sym__closed_macrocall_expression] = STATE(11240),
    [sym_interpolation_expression] = STATE(11240),
    [sym_quote_expression] = STATE(11240),
    [sym_macro_identifier] = STATE(18196),
    [sym_identifier] = STATE(11776),
    [sym_boolean_literal] = STATE(11240),
    [sym__string] = STATE(11240),
    [sym__delimiter_str_1] = STATE(15154),
    [sym__delimiter_str_3] = STATE(15155),
    [sym__delimiter_cmd_1] = STATE(15156),
    [sym__delimiter_cmd_3] = STATE(15157),
    [sym_string_literal] = STATE(11212),
    [sym_command_literal] = STATE(11212),
    [sym_prefixed_string_literal] = STATE(11212),
    [sym_prefixed_command_literal] = STATE(11212),
    [sym_operator] = STATE(19880),
    [sym_block_comment] = STATE(6025),
    [sym_line_comment] = STATE(6025),
    [ts_builtin_sym_end] = ACTIONS(189),
    [sym__word_identifier] = ACTIONS(10527),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(10529),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(10531),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(10533),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(10806),
    [anon_sym_COLON2] = ACTIONS(10808),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(10539),
    [anon_sym_true] = ACTIONS(10541),
    [anon_sym_false] = ACTIONS(10541),
    [sym_character_literal] = ACTIONS(10543),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(9208),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9208),
    [sym__pipe_left_operator] = ACTIONS(9208),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9208),
    [sym__type_order_operator] = ACTIONS(9208),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6026] = {
    [sym_block_comment] = STATE(6026),
    [sym_line_comment] = STATE(6026),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10075),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10075),
    [anon_sym_RPAREN] = ACTIONS(10075),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10075),
    [anon_sym_RBRACK] = ACTIONS(10075),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10075),
    [anon_sym_LBRACE] = ACTIONS(10075),
    [anon_sym_RBRACE] = ACTIONS(10075),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10075),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10075),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10075),
    [anon_sym_QMARK] = ACTIONS(10075),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10075),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10075),
    [aux_sym_integer_literal_token2] = ACTIONS(10075),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10075),
    [aux_sym_float_literal_token3] = ACTIONS(10075),
    [aux_sym_float_literal_token4] = ACTIONS(10075),
    [sym_character_literal] = ACTIONS(10075),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10075),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10075),
    [sym__pair_operator] = ACTIONS(10075),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10075),
    [sym__lazy_and_operator] = ACTIONS(10075),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10075),
    [sym__pipe_left_operator] = ACTIONS(10075),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10075),
    [sym__bitshift_operator] = ACTIONS(10075),
    [sym__power_operator] = ACTIONS(10075),
    [sym__tilde_operator] = ACTIONS(10075),
    [sym__type_order_operator] = ACTIONS(10075),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [6027] = {
    [sym_block_comment] = STATE(6027),
    [sym_line_comment] = STATE(6027),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_catch] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_DASH_GT] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [6028] = {
    [sym_block_comment] = STATE(6028),
    [sym_line_comment] = STATE(6028),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_catch] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_DASH_GT] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [6029] = {
    [sym_block_comment] = STATE(6029),
    [sym_line_comment] = STATE(6029),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10387),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10387),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10387),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10387),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10387),
    [anon_sym_COLON_EQ] = ACTIONS(10387),
    [anon_sym_DOT_EQ] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10387),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10387),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10387),
    [aux_sym_integer_literal_token2] = ACTIONS(10387),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10387),
    [aux_sym_float_literal_token3] = ACTIONS(10387),
    [aux_sym_float_literal_token4] = ACTIONS(10387),
    [sym_character_literal] = ACTIONS(10387),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10387),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10387),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10387),
    [aux_sym__assignment_operator_token1] = ACTIONS(10387),
    [sym__pair_operator] = ACTIONS(10387),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10387),
    [sym__lazy_and_operator] = ACTIONS(10387),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10387),
    [sym__pipe_left_operator] = ACTIONS(10387),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10387),
    [sym__type_order_operator] = ACTIONS(10387),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [6030] = {
    [sym_block_comment] = STATE(6030),
    [sym_line_comment] = STATE(6030),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10081),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10081),
    [anon_sym_RPAREN] = ACTIONS(10081),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10081),
    [anon_sym_RBRACK] = ACTIONS(10081),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10081),
    [anon_sym_LBRACE] = ACTIONS(10081),
    [anon_sym_RBRACE] = ACTIONS(10081),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10081),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10081),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10081),
    [anon_sym_QMARK] = ACTIONS(10081),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10081),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10081),
    [aux_sym_integer_literal_token2] = ACTIONS(10081),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10081),
    [aux_sym_float_literal_token3] = ACTIONS(10081),
    [aux_sym_float_literal_token4] = ACTIONS(10081),
    [sym_character_literal] = ACTIONS(10081),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10081),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10081),
    [sym__pair_operator] = ACTIONS(10081),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10081),
    [sym__lazy_and_operator] = ACTIONS(10081),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10081),
    [sym__pipe_left_operator] = ACTIONS(10081),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10081),
    [sym__bitshift_operator] = ACTIONS(10081),
    [sym__power_operator] = ACTIONS(10081),
    [sym__tilde_operator] = ACTIONS(10081),
    [sym__type_order_operator] = ACTIONS(10081),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [6031] = {
    [sym_block_comment] = STATE(6031),
    [sym_line_comment] = STATE(6031),
    [ts_builtin_sym_end] = ACTIONS(10019),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_RBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_DASH_GT] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6032] = {
    [sym_block_comment] = STATE(6032),
    [sym_line_comment] = STATE(6032),
    [ts_builtin_sym_end] = ACTIONS(10365),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_RBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_DASH_GT] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [6033] = {
    [sym_block_comment] = STATE(6033),
    [sym_line_comment] = STATE(6033),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_DASH_GT] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [6034] = {
    [sym_block_comment] = STATE(6034),
    [sym_line_comment] = STATE(6034),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_else] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_finally] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [6035] = {
    [sym_block_comment] = STATE(6035),
    [sym_line_comment] = STATE(6035),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_else] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_finally] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [6036] = {
    [sym_block_comment] = STATE(6036),
    [sym_line_comment] = STATE(6036),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_catch] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_DASH_GT] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [6037] = {
    [sym_block_comment] = STATE(6037),
    [sym_line_comment] = STATE(6037),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_finally] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_DASH_GT] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [6038] = {
    [sym_block_comment] = STATE(6038),
    [sym_line_comment] = STATE(6038),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10788),
    [sym__immediate_command_start] = ACTIONS(10790),
  },
  [6039] = {
    [sym_block_comment] = STATE(6039),
    [sym_line_comment] = STATE(6039),
    [ts_builtin_sym_end] = ACTIONS(9971),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_RBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_DASH_GT] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [6040] = {
    [sym__primary_expression] = STATE(12177),
    [sym__array] = STATE(11240),
    [sym_comprehension_expression] = STATE(11258),
    [sym_matrix_expression] = STATE(11258),
    [sym_vector_expression] = STATE(11258),
    [sym_parenthesized_expression] = STATE(11240),
    [sym_tuple_expression] = STATE(11240),
    [sym_curly_expression] = STATE(11240),
    [sym_adjoint_expression] = STATE(11240),
    [sym_field_expression] = STATE(11240),
    [sym_index_expression] = STATE(11240),
    [sym_parametrized_type_expression] = STATE(11240),
    [sym_call_expression] = STATE(11240),
    [sym_broadcast_call_expression] = STATE(11240),
    [sym__closed_macrocall_expression] = STATE(11240),
    [sym_interpolation_expression] = STATE(11240),
    [sym_quote_expression] = STATE(11240),
    [sym_macro_identifier] = STATE(18196),
    [sym_identifier] = STATE(11900),
    [sym_boolean_literal] = STATE(11240),
    [sym__string] = STATE(11240),
    [sym__delimiter_str_1] = STATE(15154),
    [sym__delimiter_str_3] = STATE(15155),
    [sym__delimiter_cmd_1] = STATE(15156),
    [sym__delimiter_cmd_3] = STATE(15157),
    [sym_string_literal] = STATE(11212),
    [sym_command_literal] = STATE(11212),
    [sym_prefixed_string_literal] = STATE(11212),
    [sym_prefixed_command_literal] = STATE(11212),
    [sym_operator] = STATE(19880),
    [sym_block_comment] = STATE(6040),
    [sym_line_comment] = STATE(6040),
    [sym__word_identifier] = ACTIONS(10527),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(10529),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(10531),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(10533),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(10810),
    [anon_sym_COLON2] = ACTIONS(10812),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_COLON_EQ] = ACTIONS(101),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(10539),
    [anon_sym_true] = ACTIONS(10541),
    [anon_sym_false] = ACTIONS(10541),
    [sym_character_literal] = ACTIONS(10543),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(101),
    [aux_sym__assignment_operator_token1] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(9208),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9208),
    [sym__pipe_left_operator] = ACTIONS(9208),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9208),
    [sym__type_order_operator] = ACTIONS(9208),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6041] = {
    [sym_block_comment] = STATE(6041),
    [sym_line_comment] = STATE(6041),
    [ts_builtin_sym_end] = ACTIONS(10377),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_RBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_DASH_GT] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [6042] = {
    [sym_block_comment] = STATE(6042),
    [sym_line_comment] = STATE(6042),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10129),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10129),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10129),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10129),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10129),
    [anon_sym_COLON_EQ] = ACTIONS(10129),
    [anon_sym_DOT_EQ] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10129),
    [anon_sym_QMARK] = ACTIONS(10129),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10129),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10129),
    [aux_sym_integer_literal_token2] = ACTIONS(10129),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10129),
    [aux_sym_float_literal_token3] = ACTIONS(10129),
    [aux_sym_float_literal_token4] = ACTIONS(10129),
    [sym_character_literal] = ACTIONS(10129),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10129),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10129),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10129),
    [aux_sym__assignment_operator_token1] = ACTIONS(10129),
    [sym__pair_operator] = ACTIONS(10129),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10129),
    [sym__lazy_and_operator] = ACTIONS(10129),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10129),
    [sym__pipe_left_operator] = ACTIONS(10129),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10129),
    [sym__type_order_operator] = ACTIONS(10129),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [6043] = {
    [sym_block_comment] = STATE(6043),
    [sym_line_comment] = STATE(6043),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10087),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10087),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10087),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10087),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10087),
    [anon_sym_COLON_EQ] = ACTIONS(10087),
    [anon_sym_DOT_EQ] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10087),
    [anon_sym_QMARK] = ACTIONS(10087),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10087),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10087),
    [aux_sym_integer_literal_token2] = ACTIONS(10087),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10087),
    [aux_sym_float_literal_token3] = ACTIONS(10087),
    [aux_sym_float_literal_token4] = ACTIONS(10087),
    [sym_character_literal] = ACTIONS(10087),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10087),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10087),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10087),
    [aux_sym__assignment_operator_token1] = ACTIONS(10087),
    [sym__pair_operator] = ACTIONS(10087),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10087),
    [sym__lazy_and_operator] = ACTIONS(10087),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10087),
    [sym__pipe_left_operator] = ACTIONS(10087),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10087),
    [sym__type_order_operator] = ACTIONS(10087),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [6044] = {
    [sym_block_comment] = STATE(6044),
    [sym_line_comment] = STATE(6044),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_DASH_GT] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [6045] = {
    [sym_block_comment] = STATE(6045),
    [sym_line_comment] = STATE(6045),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10091),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10091),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10091),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10091),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10091),
    [anon_sym_COLON_EQ] = ACTIONS(10091),
    [anon_sym_DOT_EQ] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10091),
    [anon_sym_QMARK] = ACTIONS(10091),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10091),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10091),
    [aux_sym_integer_literal_token2] = ACTIONS(10091),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10091),
    [aux_sym_float_literal_token3] = ACTIONS(10091),
    [aux_sym_float_literal_token4] = ACTIONS(10091),
    [sym_character_literal] = ACTIONS(10091),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10091),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10091),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10091),
    [aux_sym__assignment_operator_token1] = ACTIONS(10091),
    [sym__pair_operator] = ACTIONS(10091),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10091),
    [sym__lazy_and_operator] = ACTIONS(10091),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10091),
    [sym__pipe_left_operator] = ACTIONS(10091),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10091),
    [sym__type_order_operator] = ACTIONS(10091),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [6046] = {
    [sym_block_comment] = STATE(6046),
    [sym_line_comment] = STATE(6046),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_DASH_GT] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [6047] = {
    [sym_block_comment] = STATE(6047),
    [sym_line_comment] = STATE(6047),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_RPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_RBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10019),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_RBRACE] = ACTIONS(10019),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_DASH_GT] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10019),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6048] = {
    [sym_block_comment] = STATE(6048),
    [sym_line_comment] = STATE(6048),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10361),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10361),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10361),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10361),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10361),
    [anon_sym_COLON_EQ] = ACTIONS(10361),
    [anon_sym_DOT_EQ] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10361),
    [anon_sym_QMARK] = ACTIONS(10361),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10361),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10361),
    [aux_sym_integer_literal_token2] = ACTIONS(10361),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10361),
    [aux_sym_float_literal_token3] = ACTIONS(10361),
    [aux_sym_float_literal_token4] = ACTIONS(10361),
    [sym_character_literal] = ACTIONS(10361),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10361),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10361),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10361),
    [aux_sym__assignment_operator_token1] = ACTIONS(10361),
    [sym__pair_operator] = ACTIONS(10361),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10361),
    [sym__lazy_and_operator] = ACTIONS(10361),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10361),
    [sym__pipe_left_operator] = ACTIONS(10361),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10361),
    [sym__type_order_operator] = ACTIONS(10361),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [6049] = {
    [sym_block_comment] = STATE(6049),
    [sym_line_comment] = STATE(6049),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10391),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10391),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10391),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10391),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10391),
    [anon_sym_COLON_EQ] = ACTIONS(10391),
    [anon_sym_DOT_EQ] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_QMARK] = ACTIONS(10391),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10391),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10391),
    [aux_sym_integer_literal_token2] = ACTIONS(10391),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10391),
    [aux_sym_float_literal_token3] = ACTIONS(10391),
    [aux_sym_float_literal_token4] = ACTIONS(10391),
    [sym_character_literal] = ACTIONS(10391),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10391),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10391),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10391),
    [aux_sym__assignment_operator_token1] = ACTIONS(10391),
    [sym__pair_operator] = ACTIONS(10391),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10391),
    [sym__lazy_and_operator] = ACTIONS(10391),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10391),
    [sym__pipe_left_operator] = ACTIONS(10391),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10391),
    [sym__type_order_operator] = ACTIONS(10391),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [6050] = {
    [sym_block_comment] = STATE(6050),
    [sym_line_comment] = STATE(6050),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_else] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_finally] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [6051] = {
    [sym_block_comment] = STATE(6051),
    [sym_line_comment] = STATE(6051),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_else] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_finally] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [6052] = {
    [sym_block_comment] = STATE(6052),
    [sym_line_comment] = STATE(6052),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10365),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10365),
    [anon_sym_RPAREN] = ACTIONS(10365),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10365),
    [anon_sym_RBRACK] = ACTIONS(10365),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10365),
    [anon_sym_LBRACE] = ACTIONS(10365),
    [anon_sym_RBRACE] = ACTIONS(10365),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10365),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10365),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10365),
    [anon_sym_QMARK] = ACTIONS(10365),
    [anon_sym_DASH_GT] = ACTIONS(10365),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10365),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10365),
    [aux_sym_integer_literal_token2] = ACTIONS(10365),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10365),
    [aux_sym_float_literal_token3] = ACTIONS(10365),
    [aux_sym_float_literal_token4] = ACTIONS(10365),
    [sym_character_literal] = ACTIONS(10365),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10365),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10365),
    [sym__pair_operator] = ACTIONS(10365),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10365),
    [sym__lazy_and_operator] = ACTIONS(10365),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10365),
    [sym__pipe_left_operator] = ACTIONS(10365),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10365),
    [sym__bitshift_operator] = ACTIONS(10365),
    [sym__power_operator] = ACTIONS(10365),
    [sym__tilde_operator] = ACTIONS(10365),
    [sym__type_order_operator] = ACTIONS(10365),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [6053] = {
    [sym_block_comment] = STATE(6053),
    [sym_line_comment] = STATE(6053),
    [ts_builtin_sym_end] = ACTIONS(3226),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [6054] = {
    [sym_block_comment] = STATE(6054),
    [sym_line_comment] = STATE(6054),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_else] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_finally] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [6055] = {
    [sym_block_comment] = STATE(6055),
    [sym_line_comment] = STATE(6055),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_else] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_finally] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [6056] = {
    [sym_block_comment] = STATE(6056),
    [sym_line_comment] = STATE(6056),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10147),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10147),
    [anon_sym_RPAREN] = ACTIONS(10147),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10147),
    [anon_sym_RBRACK] = ACTIONS(10147),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10147),
    [anon_sym_LBRACE] = ACTIONS(10147),
    [anon_sym_RBRACE] = ACTIONS(10147),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10147),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10147),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10147),
    [anon_sym_QMARK] = ACTIONS(10147),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10147),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10147),
    [aux_sym_integer_literal_token2] = ACTIONS(10147),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10147),
    [aux_sym_float_literal_token3] = ACTIONS(10147),
    [aux_sym_float_literal_token4] = ACTIONS(10147),
    [sym_character_literal] = ACTIONS(10147),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10147),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10147),
    [sym__pair_operator] = ACTIONS(10147),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10147),
    [sym__lazy_and_operator] = ACTIONS(10147),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10147),
    [sym__pipe_left_operator] = ACTIONS(10147),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10147),
    [sym__bitshift_operator] = ACTIONS(10147),
    [sym__power_operator] = ACTIONS(10147),
    [sym__tilde_operator] = ACTIONS(10147),
    [sym__type_order_operator] = ACTIONS(10147),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [6057] = {
    [sym_block_comment] = STATE(6057),
    [sym_line_comment] = STATE(6057),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_else] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_finally] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [6058] = {
    [sym_block_comment] = STATE(6058),
    [sym_line_comment] = STATE(6058),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10377),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(10377),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10377),
    [anon_sym_RBRACK] = ACTIONS(10377),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10377),
    [anon_sym_LBRACE] = ACTIONS(10377),
    [anon_sym_RBRACE] = ACTIONS(10377),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10377),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10377),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10377),
    [anon_sym_QMARK] = ACTIONS(10377),
    [anon_sym_DASH_GT] = ACTIONS(10377),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10377),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10377),
    [aux_sym_integer_literal_token2] = ACTIONS(10377),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10377),
    [aux_sym_float_literal_token3] = ACTIONS(10377),
    [aux_sym_float_literal_token4] = ACTIONS(10377),
    [sym_character_literal] = ACTIONS(10377),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10377),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10377),
    [sym__pair_operator] = ACTIONS(10377),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10377),
    [sym__lazy_and_operator] = ACTIONS(10377),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10377),
    [sym__pipe_left_operator] = ACTIONS(10377),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10377),
    [sym__bitshift_operator] = ACTIONS(10377),
    [sym__power_operator] = ACTIONS(10377),
    [sym__tilde_operator] = ACTIONS(10377),
    [sym__type_order_operator] = ACTIONS(10377),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [6059] = {
    [sym_block_comment] = STATE(6059),
    [sym_line_comment] = STATE(6059),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10345),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10345),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10345),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10345),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10345),
    [anon_sym_COLON_EQ] = ACTIONS(10345),
    [anon_sym_DOT_EQ] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10345),
    [anon_sym_QMARK] = ACTIONS(10345),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10345),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10345),
    [aux_sym_integer_literal_token2] = ACTIONS(10345),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10345),
    [aux_sym_float_literal_token3] = ACTIONS(10345),
    [aux_sym_float_literal_token4] = ACTIONS(10345),
    [sym_character_literal] = ACTIONS(10345),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10345),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10345),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10345),
    [aux_sym__assignment_operator_token1] = ACTIONS(10345),
    [sym__pair_operator] = ACTIONS(10345),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10345),
    [sym__lazy_and_operator] = ACTIONS(10345),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10345),
    [sym__pipe_left_operator] = ACTIONS(10345),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10345),
    [sym__type_order_operator] = ACTIONS(10345),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [6060] = {
    [sym_block_comment] = STATE(6060),
    [sym_line_comment] = STATE(6060),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
  },
  [6061] = {
    [sym_block_comment] = STATE(6061),
    [sym_line_comment] = STATE(6061),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6062] = {
    [sym_block_comment] = STATE(6062),
    [sym_line_comment] = STATE(6062),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_else] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_finally] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [6063] = {
    [sym_block_comment] = STATE(6063),
    [sym_line_comment] = STATE(6063),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_else] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_finally] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [6064] = {
    [sym_block_comment] = STATE(6064),
    [sym_line_comment] = STATE(6064),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10005),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10005),
    [anon_sym_RPAREN] = ACTIONS(10005),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10005),
    [anon_sym_RBRACK] = ACTIONS(10005),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10005),
    [anon_sym_LBRACE] = ACTIONS(10005),
    [anon_sym_RBRACE] = ACTIONS(10005),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10005),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10005),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10005),
    [anon_sym_QMARK] = ACTIONS(10005),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10005),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10005),
    [aux_sym_integer_literal_token2] = ACTIONS(10005),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10005),
    [aux_sym_float_literal_token3] = ACTIONS(10005),
    [aux_sym_float_literal_token4] = ACTIONS(10005),
    [sym_character_literal] = ACTIONS(10005),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10005),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10005),
    [sym__pair_operator] = ACTIONS(10005),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10005),
    [sym__lazy_and_operator] = ACTIONS(10005),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10005),
    [sym__pipe_left_operator] = ACTIONS(10005),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10005),
    [sym__bitshift_operator] = ACTIONS(10005),
    [sym__power_operator] = ACTIONS(10005),
    [sym__tilde_operator] = ACTIONS(10005),
    [sym__type_order_operator] = ACTIONS(10005),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [6065] = {
    [sym_block_comment] = STATE(6065),
    [sym_line_comment] = STATE(6065),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10161),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10161),
    [anon_sym_RPAREN] = ACTIONS(10161),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10161),
    [anon_sym_RBRACK] = ACTIONS(10161),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10161),
    [anon_sym_LBRACE] = ACTIONS(10161),
    [anon_sym_RBRACE] = ACTIONS(10161),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10161),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10161),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10161),
    [anon_sym_QMARK] = ACTIONS(10161),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10161),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10161),
    [aux_sym_integer_literal_token2] = ACTIONS(10161),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10161),
    [aux_sym_float_literal_token3] = ACTIONS(10161),
    [aux_sym_float_literal_token4] = ACTIONS(10161),
    [sym_character_literal] = ACTIONS(10161),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10161),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10161),
    [sym__pair_operator] = ACTIONS(10161),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10161),
    [sym__lazy_and_operator] = ACTIONS(10161),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10161),
    [sym__pipe_left_operator] = ACTIONS(10161),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10161),
    [sym__bitshift_operator] = ACTIONS(10161),
    [sym__power_operator] = ACTIONS(10161),
    [sym__tilde_operator] = ACTIONS(10161),
    [sym__type_order_operator] = ACTIONS(10161),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [6066] = {
    [sym_block_comment] = STATE(6066),
    [sym_line_comment] = STATE(6066),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10165),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10165),
    [anon_sym_RPAREN] = ACTIONS(10165),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10165),
    [anon_sym_RBRACK] = ACTIONS(10165),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10165),
    [anon_sym_LBRACE] = ACTIONS(10165),
    [anon_sym_RBRACE] = ACTIONS(10165),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10165),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10165),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10165),
    [anon_sym_QMARK] = ACTIONS(10165),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10165),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10165),
    [aux_sym_integer_literal_token2] = ACTIONS(10165),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10165),
    [aux_sym_float_literal_token3] = ACTIONS(10165),
    [aux_sym_float_literal_token4] = ACTIONS(10165),
    [sym_character_literal] = ACTIONS(10165),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10165),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10165),
    [sym__pair_operator] = ACTIONS(10165),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10165),
    [sym__lazy_and_operator] = ACTIONS(10165),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10165),
    [sym__pipe_left_operator] = ACTIONS(10165),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10165),
    [sym__bitshift_operator] = ACTIONS(10165),
    [sym__power_operator] = ACTIONS(10165),
    [sym__tilde_operator] = ACTIONS(10165),
    [sym__type_order_operator] = ACTIONS(10165),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [6067] = {
    [sym_block_comment] = STATE(6067),
    [sym_line_comment] = STATE(6067),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_else] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_finally] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [6068] = {
    [sym_block_comment] = STATE(6068),
    [sym_line_comment] = STATE(6068),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_else] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_finally] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [6069] = {
    [sym_block_comment] = STATE(6069),
    [sym_line_comment] = STATE(6069),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_else] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [6070] = {
    [sym_block_comment] = STATE(6070),
    [sym_line_comment] = STATE(6070),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10419),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10419),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10419),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10419),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10419),
    [anon_sym_COLON_EQ] = ACTIONS(10419),
    [anon_sym_DOT_EQ] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10419),
    [anon_sym_QMARK] = ACTIONS(10419),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10419),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10419),
    [aux_sym_integer_literal_token2] = ACTIONS(10419),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10419),
    [aux_sym_float_literal_token3] = ACTIONS(10419),
    [aux_sym_float_literal_token4] = ACTIONS(10419),
    [sym_character_literal] = ACTIONS(10419),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10419),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10419),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10419),
    [aux_sym__assignment_operator_token1] = ACTIONS(10419),
    [sym__pair_operator] = ACTIONS(10419),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10419),
    [sym__lazy_and_operator] = ACTIONS(10419),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10419),
    [sym__pipe_left_operator] = ACTIONS(10419),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10419),
    [sym__type_order_operator] = ACTIONS(10419),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [6071] = {
    [sym_block_comment] = STATE(6071),
    [sym_line_comment] = STATE(6071),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10057),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10057),
    [anon_sym_RPAREN] = ACTIONS(10057),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10057),
    [anon_sym_RBRACK] = ACTIONS(10057),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10057),
    [anon_sym_LBRACE] = ACTIONS(10057),
    [anon_sym_RBRACE] = ACTIONS(10057),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10057),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10057),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10057),
    [anon_sym_QMARK] = ACTIONS(10057),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10057),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10057),
    [aux_sym_integer_literal_token2] = ACTIONS(10057),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10057),
    [aux_sym_float_literal_token3] = ACTIONS(10057),
    [aux_sym_float_literal_token4] = ACTIONS(10057),
    [sym_character_literal] = ACTIONS(10057),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10057),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10057),
    [sym__pair_operator] = ACTIONS(10057),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10057),
    [sym__lazy_and_operator] = ACTIONS(10057),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10057),
    [sym__pipe_left_operator] = ACTIONS(10057),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10057),
    [sym__bitshift_operator] = ACTIONS(10057),
    [sym__power_operator] = ACTIONS(10057),
    [sym__tilde_operator] = ACTIONS(10057),
    [sym__type_order_operator] = ACTIONS(10057),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [6072] = {
    [sym_block_comment] = STATE(6072),
    [sym_line_comment] = STATE(6072),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10035),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10035),
    [anon_sym_RPAREN] = ACTIONS(10035),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10035),
    [anon_sym_RBRACK] = ACTIONS(10035),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10035),
    [anon_sym_LBRACE] = ACTIONS(10035),
    [anon_sym_RBRACE] = ACTIONS(10035),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10035),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10035),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10035),
    [anon_sym_QMARK] = ACTIONS(10035),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10035),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10035),
    [aux_sym_integer_literal_token2] = ACTIONS(10035),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10035),
    [aux_sym_float_literal_token3] = ACTIONS(10035),
    [aux_sym_float_literal_token4] = ACTIONS(10035),
    [sym_character_literal] = ACTIONS(10035),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10035),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10035),
    [sym__pair_operator] = ACTIONS(10035),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10035),
    [sym__lazy_and_operator] = ACTIONS(10035),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10035),
    [sym__pipe_left_operator] = ACTIONS(10035),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10035),
    [sym__bitshift_operator] = ACTIONS(10035),
    [sym__power_operator] = ACTIONS(10035),
    [sym__tilde_operator] = ACTIONS(10035),
    [sym__type_order_operator] = ACTIONS(10035),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [6073] = {
    [sym_block_comment] = STATE(6073),
    [sym_line_comment] = STATE(6073),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10053),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10053),
    [anon_sym_RPAREN] = ACTIONS(10053),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10053),
    [anon_sym_RBRACK] = ACTIONS(10053),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10053),
    [anon_sym_LBRACE] = ACTIONS(10053),
    [anon_sym_RBRACE] = ACTIONS(10053),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10053),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10053),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10053),
    [anon_sym_QMARK] = ACTIONS(10053),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10053),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10053),
    [aux_sym_integer_literal_token2] = ACTIONS(10053),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10053),
    [aux_sym_float_literal_token3] = ACTIONS(10053),
    [aux_sym_float_literal_token4] = ACTIONS(10053),
    [sym_character_literal] = ACTIONS(10053),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10053),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10053),
    [sym__pair_operator] = ACTIONS(10053),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10053),
    [sym__lazy_and_operator] = ACTIONS(10053),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10053),
    [sym__pipe_left_operator] = ACTIONS(10053),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10053),
    [sym__bitshift_operator] = ACTIONS(10053),
    [sym__power_operator] = ACTIONS(10053),
    [sym__tilde_operator] = ACTIONS(10053),
    [sym__type_order_operator] = ACTIONS(10053),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [6074] = {
    [sym_block_comment] = STATE(6074),
    [sym_line_comment] = STATE(6074),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_finally] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_DASH_GT] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [6075] = {
    [sym_block_comment] = STATE(6075),
    [sym_line_comment] = STATE(6075),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3226),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_DASH_GT] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3226),
    [aux_sym_integer_literal_token2] = ACTIONS(3226),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3226),
    [aux_sym_float_literal_token3] = ACTIONS(3226),
    [aux_sym_float_literal_token4] = ACTIONS(3226),
    [sym_character_literal] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3226),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3226),
    [sym__pair_operator] = ACTIONS(3226),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3226),
    [sym__pipe_left_operator] = ACTIONS(3226),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3226),
    [sym__bitshift_operator] = ACTIONS(3226),
    [sym__power_operator] = ACTIONS(3226),
    [sym__tilde_operator] = ACTIONS(3226),
    [sym__type_order_operator] = ACTIONS(3226),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [6076] = {
    [sym_block_comment] = STATE(6076),
    [sym_line_comment] = STATE(6076),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_else] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [6077] = {
    [sym_block_comment] = STATE(6077),
    [sym_line_comment] = STATE(6077),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_finally] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_DASH_GT] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [6078] = {
    [sym_block_comment] = STATE(6078),
    [sym_line_comment] = STATE(6078),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10061),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10061),
    [anon_sym_RPAREN] = ACTIONS(10061),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10061),
    [anon_sym_RBRACK] = ACTIONS(10061),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10061),
    [anon_sym_LBRACE] = ACTIONS(10061),
    [anon_sym_RBRACE] = ACTIONS(10061),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10061),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10061),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10061),
    [anon_sym_QMARK] = ACTIONS(10061),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10061),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10061),
    [aux_sym_integer_literal_token2] = ACTIONS(10061),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10061),
    [aux_sym_float_literal_token3] = ACTIONS(10061),
    [aux_sym_float_literal_token4] = ACTIONS(10061),
    [sym_character_literal] = ACTIONS(10061),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10061),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10061),
    [sym__pair_operator] = ACTIONS(10061),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10061),
    [sym__lazy_and_operator] = ACTIONS(10061),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10061),
    [sym__pipe_left_operator] = ACTIONS(10061),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10061),
    [sym__bitshift_operator] = ACTIONS(10061),
    [sym__power_operator] = ACTIONS(10061),
    [sym__tilde_operator] = ACTIONS(10061),
    [sym__type_order_operator] = ACTIONS(10061),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [6079] = {
    [sym_block_comment] = STATE(6079),
    [sym_line_comment] = STATE(6079),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10125),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10125),
    [anon_sym_RPAREN] = ACTIONS(10125),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10125),
    [anon_sym_RBRACK] = ACTIONS(10125),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10125),
    [anon_sym_LBRACE] = ACTIONS(10125),
    [anon_sym_RBRACE] = ACTIONS(10125),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10125),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10125),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10125),
    [anon_sym_QMARK] = ACTIONS(10125),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10125),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10125),
    [aux_sym_integer_literal_token2] = ACTIONS(10125),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10125),
    [aux_sym_float_literal_token3] = ACTIONS(10125),
    [aux_sym_float_literal_token4] = ACTIONS(10125),
    [sym_character_literal] = ACTIONS(10125),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10125),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10125),
    [sym__pair_operator] = ACTIONS(10125),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10125),
    [sym__lazy_and_operator] = ACTIONS(10125),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10125),
    [sym__pipe_left_operator] = ACTIONS(10125),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10125),
    [sym__bitshift_operator] = ACTIONS(10125),
    [sym__power_operator] = ACTIONS(10125),
    [sym__tilde_operator] = ACTIONS(10125),
    [sym__type_order_operator] = ACTIONS(10125),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [6080] = {
    [sym_block_comment] = STATE(6080),
    [sym_line_comment] = STATE(6080),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_finally] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_DASH_GT] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [6081] = {
    [sym_block_comment] = STATE(6081),
    [sym_line_comment] = STATE(6081),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_finally] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_DASH_GT] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [6082] = {
    [sym_block_comment] = STATE(6082),
    [sym_line_comment] = STATE(6082),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10013),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10013),
    [anon_sym_RPAREN] = ACTIONS(10013),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10013),
    [anon_sym_RBRACK] = ACTIONS(10013),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10013),
    [anon_sym_LBRACE] = ACTIONS(10013),
    [anon_sym_RBRACE] = ACTIONS(10013),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10013),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10013),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10013),
    [anon_sym_QMARK] = ACTIONS(10013),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10013),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10013),
    [aux_sym_integer_literal_token2] = ACTIONS(10013),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10013),
    [aux_sym_float_literal_token3] = ACTIONS(10013),
    [aux_sym_float_literal_token4] = ACTIONS(10013),
    [sym_character_literal] = ACTIONS(10013),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10013),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10013),
    [sym__pair_operator] = ACTIONS(10013),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10013),
    [sym__lazy_and_operator] = ACTIONS(10013),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10013),
    [sym__pipe_left_operator] = ACTIONS(10013),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10013),
    [sym__bitshift_operator] = ACTIONS(10013),
    [sym__power_operator] = ACTIONS(10013),
    [sym__tilde_operator] = ACTIONS(10013),
    [sym__type_order_operator] = ACTIONS(10013),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [6083] = {
    [sym_block_comment] = STATE(6083),
    [sym_line_comment] = STATE(6083),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_finally] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_DASH_GT] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [6084] = {
    [sym_block_comment] = STATE(6084),
    [sym_line_comment] = STATE(6084),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_else] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_finally] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [6085] = {
    [sym_block_comment] = STATE(6085),
    [sym_line_comment] = STATE(6085),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [6086] = {
    [sym_block_comment] = STATE(6086),
    [sym_line_comment] = STATE(6086),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_finally] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_DASH_GT] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [6087] = {
    [sym_block_comment] = STATE(6087),
    [sym_line_comment] = STATE(6087),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_else] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_finally] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [6088] = {
    [sym_block_comment] = STATE(6088),
    [sym_line_comment] = STATE(6088),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_finally] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_DASH_GT] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [6089] = {
    [sym_block_comment] = STATE(6089),
    [sym_line_comment] = STATE(6089),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_else] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_finally] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [6090] = {
    [sym_block_comment] = STATE(6090),
    [sym_line_comment] = STATE(6090),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_else] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_finally] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [6091] = {
    [sym_block_comment] = STATE(6091),
    [sym_line_comment] = STATE(6091),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_else] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_finally] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [6092] = {
    [sym_block_comment] = STATE(6092),
    [sym_line_comment] = STATE(6092),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [6093] = {
    [sym_block_comment] = STATE(6093),
    [sym_line_comment] = STATE(6093),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [6094] = {
    [sym_block_comment] = STATE(6094),
    [sym_line_comment] = STATE(6094),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_DASH_GT] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [6095] = {
    [sym_block_comment] = STATE(6095),
    [sym_line_comment] = STATE(6095),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_DASH_GT] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [6096] = {
    [sym_block_comment] = STATE(6096),
    [sym_line_comment] = STATE(6096),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_DASH_GT] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [6097] = {
    [sym_block_comment] = STATE(6097),
    [sym_line_comment] = STATE(6097),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_DASH_GT] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [6098] = {
    [sym_block_comment] = STATE(6098),
    [sym_line_comment] = STATE(6098),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_DASH_GT] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [6099] = {
    [sym_block_comment] = STATE(6099),
    [sym_line_comment] = STATE(6099),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_DASH_GT] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [6100] = {
    [sym_block_comment] = STATE(6100),
    [sym_line_comment] = STATE(6100),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_DASH_GT] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [6101] = {
    [sym_block_comment] = STATE(6101),
    [sym_line_comment] = STATE(6101),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_DASH_GT] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [6102] = {
    [sym_block_comment] = STATE(6102),
    [sym_line_comment] = STATE(6102),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_else] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [6103] = {
    [sym_block_comment] = STATE(6103),
    [sym_line_comment] = STATE(6103),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_else] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_finally] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [6104] = {
    [sym_block_comment] = STATE(6104),
    [sym_line_comment] = STATE(6104),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10788),
    [sym__immediate_command_start] = ACTIONS(10790),
  },
  [6105] = {
    [sym_block_comment] = STATE(6105),
    [sym_line_comment] = STATE(6105),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_else] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_finally] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [6106] = {
    [sym_block_comment] = STATE(6106),
    [sym_line_comment] = STATE(6106),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_else] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_finally] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [6107] = {
    [sym_block_comment] = STATE(6107),
    [sym_line_comment] = STATE(6107),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_else] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_finally] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [6108] = {
    [sym_block_comment] = STATE(6108),
    [sym_line_comment] = STATE(6108),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_else] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_finally] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [6109] = {
    [sym_block_comment] = STATE(6109),
    [sym_line_comment] = STATE(6109),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_else] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_finally] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [6110] = {
    [sym_block_comment] = STATE(6110),
    [sym_line_comment] = STATE(6110),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_else] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_finally] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [6111] = {
    [sym_block_comment] = STATE(6111),
    [sym_line_comment] = STATE(6111),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_else] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_finally] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [6112] = {
    [sym_block_comment] = STATE(6112),
    [sym_line_comment] = STATE(6112),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_else] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_finally] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [6113] = {
    [sym_block_comment] = STATE(6113),
    [sym_line_comment] = STATE(6113),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_else] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_finally] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [6114] = {
    [sym_block_comment] = STATE(6114),
    [sym_line_comment] = STATE(6114),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_else] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_finally] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [6115] = {
    [sym_block_comment] = STATE(6115),
    [sym_line_comment] = STATE(6115),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_else] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_finally] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [6116] = {
    [sym_block_comment] = STATE(6116),
    [sym_line_comment] = STATE(6116),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_else] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_finally] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [6117] = {
    [sym_block_comment] = STATE(6117),
    [sym_line_comment] = STATE(6117),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10361),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10361),
    [anon_sym_RPAREN] = ACTIONS(10361),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10361),
    [anon_sym_RBRACK] = ACTIONS(10361),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10361),
    [anon_sym_LBRACE] = ACTIONS(10361),
    [anon_sym_RBRACE] = ACTIONS(10361),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10361),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10361),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10361),
    [anon_sym_QMARK] = ACTIONS(10361),
    [anon_sym_DASH_GT] = ACTIONS(10361),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10361),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10361),
    [aux_sym_integer_literal_token2] = ACTIONS(10361),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10361),
    [aux_sym_float_literal_token3] = ACTIONS(10361),
    [aux_sym_float_literal_token4] = ACTIONS(10361),
    [sym_character_literal] = ACTIONS(10361),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10361),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10361),
    [sym__pair_operator] = ACTIONS(10361),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10361),
    [sym__lazy_and_operator] = ACTIONS(10361),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10361),
    [sym__pipe_left_operator] = ACTIONS(10361),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10361),
    [sym__bitshift_operator] = ACTIONS(10361),
    [sym__power_operator] = ACTIONS(10361),
    [sym__tilde_operator] = ACTIONS(10361),
    [sym__type_order_operator] = ACTIONS(10361),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [6118] = {
    [sym_block_comment] = STATE(6118),
    [sym_line_comment] = STATE(6118),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_finally] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_DASH_GT] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [6119] = {
    [sym_block_comment] = STATE(6119),
    [sym_line_comment] = STATE(6119),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_RPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_RBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9971),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_RBRACE] = ACTIONS(9971),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9971),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_DASH_GT] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9971),
    [sym__bitshift_operator] = ACTIONS(9971),
    [sym__power_operator] = ACTIONS(9971),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [6120] = {
    [sym_block_comment] = STATE(6120),
    [sym_line_comment] = STATE(6120),
    [ts_builtin_sym_end] = ACTIONS(10317),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_RBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_DASH_GT] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [6121] = {
    [sym_block_comment] = STATE(6121),
    [sym_line_comment] = STATE(6121),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_finally] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_DASH_GT] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [6122] = {
    [sym_block_comment] = STATE(6122),
    [sym_line_comment] = STATE(6122),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_DASH_GT] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [6123] = {
    [sym_block_comment] = STATE(6123),
    [sym_line_comment] = STATE(6123),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_finally] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_DASH_GT] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [6124] = {
    [sym_block_comment] = STATE(6124),
    [sym_line_comment] = STATE(6124),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_finally] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_DASH_GT] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [6125] = {
    [sym_block_comment] = STATE(6125),
    [sym_line_comment] = STATE(6125),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_DASH_GT] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [6126] = {
    [sym_block_comment] = STATE(6126),
    [sym_line_comment] = STATE(6126),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_DASH_GT] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [6127] = {
    [sym_block_comment] = STATE(6127),
    [sym_line_comment] = STATE(6127),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_finally] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_DASH_GT] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [6128] = {
    [sym_block_comment] = STATE(6128),
    [sym_line_comment] = STATE(6128),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_catch] = ACTIONS(10073),
    [anon_sym_finally] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [6129] = {
    [sym_block_comment] = STATE(6129),
    [sym_line_comment] = STATE(6129),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_finally] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_DASH_GT] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [6130] = {
    [sym_block_comment] = STATE(6130),
    [sym_line_comment] = STATE(6130),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_catch] = ACTIONS(10079),
    [anon_sym_finally] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [6131] = {
    [sym_block_comment] = STATE(6131),
    [sym_line_comment] = STATE(6131),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_finally] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_DASH_GT] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [6132] = {
    [sym_block_comment] = STATE(6132),
    [sym_line_comment] = STATE(6132),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_finally] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_DASH_GT] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [6133] = {
    [sym_block_comment] = STATE(6133),
    [sym_line_comment] = STATE(6133),
    [ts_builtin_sym_end] = ACTIONS(10173),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_RBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_DASH_GT] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [6134] = {
    [sym_block_comment] = STATE(6134),
    [sym_line_comment] = STATE(6134),
    [ts_builtin_sym_end] = ACTIONS(189),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_RBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6135] = {
    [sym_block_comment] = STATE(6135),
    [sym_line_comment] = STATE(6135),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_DASH_GT] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [6136] = {
    [sym_block_comment] = STATE(6136),
    [sym_line_comment] = STATE(6136),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_catch] = ACTIONS(10085),
    [anon_sym_finally] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [6137] = {
    [sym_block_comment] = STATE(6137),
    [sym_line_comment] = STATE(6137),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [6138] = {
    [sym_block_comment] = STATE(6138),
    [sym_line_comment] = STATE(6138),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_DASH_GT] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [6139] = {
    [sym_block_comment] = STATE(6139),
    [sym_line_comment] = STATE(6139),
    [ts_builtin_sym_end] = ACTIONS(10211),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_RBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_DASH_GT] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [6140] = {
    [sym_block_comment] = STATE(6140),
    [sym_line_comment] = STATE(6140),
    [ts_builtin_sym_end] = ACTIONS(10215),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_RBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_DASH_GT] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [6141] = {
    [sym_block_comment] = STATE(6141),
    [sym_line_comment] = STATE(6141),
    [ts_builtin_sym_end] = ACTIONS(9943),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_RBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_DASH_GT] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [6142] = {
    [sym_block_comment] = STATE(6142),
    [sym_line_comment] = STATE(6142),
    [ts_builtin_sym_end] = ACTIONS(9937),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_RBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_DASH_GT] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [6143] = {
    [sym_block_comment] = STATE(6143),
    [sym_line_comment] = STATE(6143),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_catch] = ACTIONS(10003),
    [anon_sym_finally] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [6144] = {
    [sym_block_comment] = STATE(6144),
    [sym_line_comment] = STATE(6144),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_catch] = ACTIONS(10159),
    [anon_sym_finally] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [6145] = {
    [sym_block_comment] = STATE(6145),
    [sym_line_comment] = STATE(6145),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_catch] = ACTIONS(10163),
    [anon_sym_finally] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [6146] = {
    [sym_block_comment] = STATE(6146),
    [sym_line_comment] = STATE(6146),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_finally] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_DASH_GT] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [6147] = {
    [sym_block_comment] = STATE(6147),
    [sym_line_comment] = STATE(6147),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_RPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_RBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10019),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_RBRACE] = ACTIONS(10019),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10814),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6148] = {
    [sym_block_comment] = STATE(6148),
    [sym_line_comment] = STATE(6148),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_finally] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_DASH_GT] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [6149] = {
    [sym_block_comment] = STATE(6149),
    [sym_line_comment] = STATE(6149),
    [ts_builtin_sym_end] = ACTIONS(10223),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_RBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_DASH_GT] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [6150] = {
    [sym_block_comment] = STATE(6150),
    [sym_line_comment] = STATE(6150),
    [ts_builtin_sym_end] = ACTIONS(10227),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_RBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_DASH_GT] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [6151] = {
    [sym_block_comment] = STATE(6151),
    [sym_line_comment] = STATE(6151),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_catch] = ACTIONS(10055),
    [anon_sym_finally] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [6152] = {
    [sym_block_comment] = STATE(6152),
    [sym_line_comment] = STATE(6152),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_catch] = ACTIONS(10033),
    [anon_sym_finally] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [6153] = {
    [sym_block_comment] = STATE(6153),
    [sym_line_comment] = STATE(6153),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_catch] = ACTIONS(10051),
    [anon_sym_finally] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [6154] = {
    [sym_block_comment] = STATE(6154),
    [sym_line_comment] = STATE(6154),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_finally] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_DASH_GT] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [6155] = {
    [sym_block_comment] = STATE(6155),
    [sym_line_comment] = STATE(6155),
    [ts_builtin_sym_end] = ACTIONS(10237),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_RBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_DASH_GT] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [6156] = {
    [sym_block_comment] = STATE(6156),
    [sym_line_comment] = STATE(6156),
    [ts_builtin_sym_end] = ACTIONS(9989),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_RBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_DASH_GT] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [6157] = {
    [sym_block_comment] = STATE(6157),
    [sym_line_comment] = STATE(6157),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_catch] = ACTIONS(10059),
    [anon_sym_finally] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [6158] = {
    [sym_block_comment] = STATE(6158),
    [sym_line_comment] = STATE(6158),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_catch] = ACTIONS(10123),
    [anon_sym_finally] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [6159] = {
    [sym_block_comment] = STATE(6159),
    [sym_line_comment] = STATE(6159),
    [ts_builtin_sym_end] = ACTIONS(10241),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_RBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_DASH_GT] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [6160] = {
    [sym_block_comment] = STATE(6160),
    [sym_line_comment] = STATE(6160),
    [ts_builtin_sym_end] = ACTIONS(10247),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_RBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_DASH_GT] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [6161] = {
    [sym_block_comment] = STATE(6161),
    [sym_line_comment] = STATE(6161),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_catch] = ACTIONS(10011),
    [anon_sym_finally] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [6162] = {
    [sym_block_comment] = STATE(6162),
    [sym_line_comment] = STATE(6162),
    [ts_builtin_sym_end] = ACTIONS(10251),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_RBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_DASH_GT] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [6163] = {
    [sym_block_comment] = STATE(6163),
    [sym_line_comment] = STATE(6163),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10173),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10173),
    [anon_sym_RPAREN] = ACTIONS(10173),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10173),
    [anon_sym_RBRACK] = ACTIONS(10173),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10173),
    [anon_sym_LBRACE] = ACTIONS(10173),
    [anon_sym_RBRACE] = ACTIONS(10173),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10173),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10173),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10173),
    [anon_sym_QMARK] = ACTIONS(10173),
    [anon_sym_DASH_GT] = ACTIONS(10173),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10173),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10173),
    [aux_sym_integer_literal_token2] = ACTIONS(10173),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10173),
    [aux_sym_float_literal_token3] = ACTIONS(10173),
    [aux_sym_float_literal_token4] = ACTIONS(10173),
    [sym_character_literal] = ACTIONS(10173),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10173),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10173),
    [sym__pair_operator] = ACTIONS(10173),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10173),
    [sym__lazy_and_operator] = ACTIONS(10173),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10173),
    [sym__pipe_left_operator] = ACTIONS(10173),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10173),
    [sym__bitshift_operator] = ACTIONS(10173),
    [sym__power_operator] = ACTIONS(10173),
    [sym__tilde_operator] = ACTIONS(10173),
    [sym__type_order_operator] = ACTIONS(10173),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [6164] = {
    [sym_block_comment] = STATE(6164),
    [sym_line_comment] = STATE(6164),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_finally] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_DASH_GT] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [6165] = {
    [sym_block_comment] = STATE(6165),
    [sym_line_comment] = STATE(6165),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_RPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(189),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(189),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_DASH_GT] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(189),
    [aux_sym_float_literal_token3] = ACTIONS(189),
    [aux_sym_float_literal_token4] = ACTIONS(189),
    [sym_character_literal] = ACTIONS(189),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(189),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(189),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(189),
    [sym__pipe_left_operator] = ACTIONS(189),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(189),
    [sym__bitshift_operator] = ACTIONS(189),
    [sym__power_operator] = ACTIONS(189),
    [sym__tilde_operator] = ACTIONS(189),
    [sym__type_order_operator] = ACTIONS(189),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6166] = {
    [sym_block_comment] = STATE(6166),
    [sym_line_comment] = STATE(6166),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_finally] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_DASH_GT] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [6167] = {
    [sym_block_comment] = STATE(6167),
    [sym_line_comment] = STATE(6167),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_finally] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_DASH_GT] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [6168] = {
    [sym_block_comment] = STATE(6168),
    [sym_line_comment] = STATE(6168),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_finally] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_DASH_GT] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [6169] = {
    [sym_block_comment] = STATE(6169),
    [sym_line_comment] = STATE(6169),
    [ts_builtin_sym_end] = ACTIONS(9995),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_RBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DASH_GT] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [6170] = {
    [sym_block_comment] = STATE(6170),
    [sym_line_comment] = STATE(6170),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_finally] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_DASH_GT] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [6171] = {
    [sym_block_comment] = STATE(6171),
    [sym_line_comment] = STATE(6171),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_finally] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_DASH_GT] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [6172] = {
    [sym_block_comment] = STATE(6172),
    [sym_line_comment] = STATE(6172),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_finally] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_DASH_GT] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [6173] = {
    [sym_block_comment] = STATE(6173),
    [sym_line_comment] = STATE(6173),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_finally] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_DASH_GT] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [6174] = {
    [sym_block_comment] = STATE(6174),
    [sym_line_comment] = STATE(6174),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_finally] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_DASH_GT] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [6175] = {
    [sym_block_comment] = STATE(6175),
    [sym_line_comment] = STATE(6175),
    [ts_builtin_sym_end] = ACTIONS(10195),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_RBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_DASH_GT] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [6176] = {
    [sym_block_comment] = STATE(6176),
    [sym_line_comment] = STATE(6176),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10211),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10211),
    [anon_sym_RPAREN] = ACTIONS(10211),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10211),
    [anon_sym_RBRACK] = ACTIONS(10211),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10211),
    [anon_sym_LBRACE] = ACTIONS(10211),
    [anon_sym_RBRACE] = ACTIONS(10211),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10211),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10211),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10211),
    [anon_sym_QMARK] = ACTIONS(10211),
    [anon_sym_DASH_GT] = ACTIONS(10211),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10211),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10211),
    [aux_sym_integer_literal_token2] = ACTIONS(10211),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10211),
    [aux_sym_float_literal_token3] = ACTIONS(10211),
    [aux_sym_float_literal_token4] = ACTIONS(10211),
    [sym_character_literal] = ACTIONS(10211),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10211),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10211),
    [sym__pair_operator] = ACTIONS(10211),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10211),
    [sym__lazy_and_operator] = ACTIONS(10211),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10211),
    [sym__pipe_left_operator] = ACTIONS(10211),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10211),
    [sym__bitshift_operator] = ACTIONS(10211),
    [sym__power_operator] = ACTIONS(10211),
    [sym__tilde_operator] = ACTIONS(10211),
    [sym__type_order_operator] = ACTIONS(10211),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [6177] = {
    [sym_block_comment] = STATE(6177),
    [sym_line_comment] = STATE(6177),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10215),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10215),
    [anon_sym_RPAREN] = ACTIONS(10215),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10215),
    [anon_sym_RBRACK] = ACTIONS(10215),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10215),
    [anon_sym_LBRACE] = ACTIONS(10215),
    [anon_sym_RBRACE] = ACTIONS(10215),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10215),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10215),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10215),
    [anon_sym_QMARK] = ACTIONS(10215),
    [anon_sym_DASH_GT] = ACTIONS(10215),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10215),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10215),
    [aux_sym_integer_literal_token2] = ACTIONS(10215),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10215),
    [aux_sym_float_literal_token3] = ACTIONS(10215),
    [aux_sym_float_literal_token4] = ACTIONS(10215),
    [sym_character_literal] = ACTIONS(10215),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10215),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10215),
    [sym__pair_operator] = ACTIONS(10215),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10215),
    [sym__lazy_and_operator] = ACTIONS(10215),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10215),
    [sym__pipe_left_operator] = ACTIONS(10215),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10215),
    [sym__bitshift_operator] = ACTIONS(10215),
    [sym__power_operator] = ACTIONS(10215),
    [sym__tilde_operator] = ACTIONS(10215),
    [sym__type_order_operator] = ACTIONS(10215),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [6178] = {
    [sym_block_comment] = STATE(6178),
    [sym_line_comment] = STATE(6178),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9943),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9943),
    [anon_sym_RPAREN] = ACTIONS(9943),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9943),
    [anon_sym_RBRACK] = ACTIONS(9943),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9943),
    [anon_sym_LBRACE] = ACTIONS(9943),
    [anon_sym_RBRACE] = ACTIONS(9943),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9943),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9943),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9943),
    [anon_sym_QMARK] = ACTIONS(9943),
    [anon_sym_DASH_GT] = ACTIONS(9943),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9943),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9943),
    [aux_sym_integer_literal_token2] = ACTIONS(9943),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9943),
    [aux_sym_float_literal_token3] = ACTIONS(9943),
    [aux_sym_float_literal_token4] = ACTIONS(9943),
    [sym_character_literal] = ACTIONS(9943),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9943),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9943),
    [sym__pair_operator] = ACTIONS(9943),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9943),
    [sym__lazy_and_operator] = ACTIONS(9943),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9943),
    [sym__pipe_left_operator] = ACTIONS(9943),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9943),
    [sym__bitshift_operator] = ACTIONS(9943),
    [sym__power_operator] = ACTIONS(9943),
    [sym__tilde_operator] = ACTIONS(9943),
    [sym__type_order_operator] = ACTIONS(9943),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [6179] = {
    [sym_block_comment] = STATE(6179),
    [sym_line_comment] = STATE(6179),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9937),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9937),
    [anon_sym_RPAREN] = ACTIONS(9937),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9937),
    [anon_sym_RBRACK] = ACTIONS(9937),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9937),
    [anon_sym_LBRACE] = ACTIONS(9937),
    [anon_sym_RBRACE] = ACTIONS(9937),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9937),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9937),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9937),
    [anon_sym_QMARK] = ACTIONS(9937),
    [anon_sym_DASH_GT] = ACTIONS(9937),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9937),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9937),
    [aux_sym_integer_literal_token2] = ACTIONS(9937),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9937),
    [aux_sym_float_literal_token3] = ACTIONS(9937),
    [aux_sym_float_literal_token4] = ACTIONS(9937),
    [sym_character_literal] = ACTIONS(9937),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9937),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9937),
    [sym__pair_operator] = ACTIONS(9937),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9937),
    [sym__lazy_and_operator] = ACTIONS(9937),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9937),
    [sym__pipe_left_operator] = ACTIONS(9937),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9937),
    [sym__bitshift_operator] = ACTIONS(9937),
    [sym__power_operator] = ACTIONS(9937),
    [sym__tilde_operator] = ACTIONS(9937),
    [sym__type_order_operator] = ACTIONS(9937),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [6180] = {
    [sym_block_comment] = STATE(6180),
    [sym_line_comment] = STATE(6180),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_finally] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_DASH_GT] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [6181] = {
    [sym_block_comment] = STATE(6181),
    [sym_line_comment] = STATE(6181),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_DASH_GT] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6182] = {
    [sym_block_comment] = STATE(6182),
    [sym_line_comment] = STATE(6182),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_catch] = ACTIONS(10363),
    [anon_sym_finally] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_DASH_GT] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [6183] = {
    [sym_block_comment] = STATE(6183),
    [sym_line_comment] = STATE(6183),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_DASH_GT] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [6184] = {
    [sym_block_comment] = STATE(6184),
    [sym_line_comment] = STATE(6184),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_catch] = ACTIONS(10375),
    [anon_sym_finally] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_DASH_GT] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [6185] = {
    [sym_block_comment] = STATE(6185),
    [sym_line_comment] = STATE(6185),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10099),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10099),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10099),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10099),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10099),
    [anon_sym_COLON_EQ] = ACTIONS(10099),
    [anon_sym_DOT_EQ] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10099),
    [anon_sym_QMARK] = ACTIONS(10099),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10099),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10099),
    [aux_sym_integer_literal_token2] = ACTIONS(10099),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10099),
    [aux_sym_float_literal_token3] = ACTIONS(10099),
    [aux_sym_float_literal_token4] = ACTIONS(10099),
    [sym_character_literal] = ACTIONS(10099),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10099),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10099),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10099),
    [aux_sym__assignment_operator_token1] = ACTIONS(10099),
    [sym__pair_operator] = ACTIONS(10099),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10099),
    [sym__lazy_and_operator] = ACTIONS(10099),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10099),
    [sym__pipe_left_operator] = ACTIONS(10099),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10099),
    [sym__type_order_operator] = ACTIONS(10099),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [6186] = {
    [sym_block_comment] = STATE(6186),
    [sym_line_comment] = STATE(6186),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [6187] = {
    [sym_block_comment] = STATE(6187),
    [sym_line_comment] = STATE(6187),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10103),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10103),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10103),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10103),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10103),
    [anon_sym_COLON_EQ] = ACTIONS(10103),
    [anon_sym_DOT_EQ] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10103),
    [anon_sym_QMARK] = ACTIONS(10103),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10103),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10103),
    [aux_sym_integer_literal_token2] = ACTIONS(10103),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10103),
    [aux_sym_float_literal_token3] = ACTIONS(10103),
    [aux_sym_float_literal_token4] = ACTIONS(10103),
    [sym_character_literal] = ACTIONS(10103),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10103),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10103),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10103),
    [aux_sym__assignment_operator_token1] = ACTIONS(10103),
    [sym__pair_operator] = ACTIONS(10103),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10103),
    [sym__lazy_and_operator] = ACTIONS(10103),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10103),
    [sym__pipe_left_operator] = ACTIONS(10103),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10103),
    [sym__type_order_operator] = ACTIONS(10103),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [6188] = {
    [sym_block_comment] = STATE(6188),
    [sym_line_comment] = STATE(6188),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10423),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10423),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10423),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10423),
    [anon_sym_COLON_EQ] = ACTIONS(10423),
    [anon_sym_DOT_EQ] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10423),
    [anon_sym_QMARK] = ACTIONS(10423),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10423),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10423),
    [aux_sym_integer_literal_token2] = ACTIONS(10423),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10423),
    [aux_sym_float_literal_token3] = ACTIONS(10423),
    [aux_sym_float_literal_token4] = ACTIONS(10423),
    [sym_character_literal] = ACTIONS(10423),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10423),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10423),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10423),
    [aux_sym__assignment_operator_token1] = ACTIONS(10423),
    [sym__pair_operator] = ACTIONS(10423),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10423),
    [sym__lazy_and_operator] = ACTIONS(10423),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10423),
    [sym__pipe_left_operator] = ACTIONS(10423),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10423),
    [sym__type_order_operator] = ACTIONS(10423),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [6189] = {
    [sym_block_comment] = STATE(6189),
    [sym_line_comment] = STATE(6189),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10223),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10223),
    [anon_sym_RPAREN] = ACTIONS(10223),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10223),
    [anon_sym_RBRACK] = ACTIONS(10223),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10223),
    [anon_sym_LBRACE] = ACTIONS(10223),
    [anon_sym_RBRACE] = ACTIONS(10223),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10223),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10223),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10223),
    [anon_sym_QMARK] = ACTIONS(10223),
    [anon_sym_DASH_GT] = ACTIONS(10223),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10223),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10223),
    [aux_sym_integer_literal_token2] = ACTIONS(10223),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10223),
    [aux_sym_float_literal_token3] = ACTIONS(10223),
    [aux_sym_float_literal_token4] = ACTIONS(10223),
    [sym_character_literal] = ACTIONS(10223),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10223),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10223),
    [sym__pair_operator] = ACTIONS(10223),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10223),
    [sym__lazy_and_operator] = ACTIONS(10223),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10223),
    [sym__pipe_left_operator] = ACTIONS(10223),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10223),
    [sym__bitshift_operator] = ACTIONS(10223),
    [sym__power_operator] = ACTIONS(10223),
    [sym__tilde_operator] = ACTIONS(10223),
    [sym__type_order_operator] = ACTIONS(10223),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [6190] = {
    [sym_block_comment] = STATE(6190),
    [sym_line_comment] = STATE(6190),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10227),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10227),
    [anon_sym_RPAREN] = ACTIONS(10227),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10227),
    [anon_sym_RBRACK] = ACTIONS(10227),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10227),
    [anon_sym_LBRACE] = ACTIONS(10227),
    [anon_sym_RBRACE] = ACTIONS(10227),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10227),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10227),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10227),
    [anon_sym_QMARK] = ACTIONS(10227),
    [anon_sym_DASH_GT] = ACTIONS(10227),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10227),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10227),
    [aux_sym_integer_literal_token2] = ACTIONS(10227),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10227),
    [aux_sym_float_literal_token3] = ACTIONS(10227),
    [aux_sym_float_literal_token4] = ACTIONS(10227),
    [sym_character_literal] = ACTIONS(10227),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10227),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10227),
    [sym__pair_operator] = ACTIONS(10227),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10227),
    [sym__lazy_and_operator] = ACTIONS(10227),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10227),
    [sym__pipe_left_operator] = ACTIONS(10227),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10227),
    [sym__bitshift_operator] = ACTIONS(10227),
    [sym__power_operator] = ACTIONS(10227),
    [sym__tilde_operator] = ACTIONS(10227),
    [sym__type_order_operator] = ACTIONS(10227),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [6191] = {
    [sym_block_comment] = STATE(6191),
    [sym_line_comment] = STATE(6191),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10431),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10431),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10431),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10431),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10431),
    [anon_sym_COLON_EQ] = ACTIONS(10431),
    [anon_sym_DOT_EQ] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_QMARK] = ACTIONS(10431),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10431),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10431),
    [aux_sym_integer_literal_token2] = ACTIONS(10431),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10431),
    [aux_sym_float_literal_token3] = ACTIONS(10431),
    [aux_sym_float_literal_token4] = ACTIONS(10431),
    [sym_character_literal] = ACTIONS(10431),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10431),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10431),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10431),
    [aux_sym__assignment_operator_token1] = ACTIONS(10431),
    [sym__pair_operator] = ACTIONS(10431),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10431),
    [sym__lazy_and_operator] = ACTIONS(10431),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10431),
    [sym__pipe_left_operator] = ACTIONS(10431),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10431),
    [sym__type_order_operator] = ACTIONS(10431),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [6192] = {
    [sym_block_comment] = STATE(6192),
    [sym_line_comment] = STATE(6192),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10435),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10435),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10435),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10435),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10435),
    [anon_sym_COLON_EQ] = ACTIONS(10435),
    [anon_sym_DOT_EQ] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10435),
    [anon_sym_QMARK] = ACTIONS(10435),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10435),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10435),
    [aux_sym_integer_literal_token2] = ACTIONS(10435),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10435),
    [aux_sym_float_literal_token3] = ACTIONS(10435),
    [aux_sym_float_literal_token4] = ACTIONS(10435),
    [sym_character_literal] = ACTIONS(10435),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10435),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10435),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10435),
    [aux_sym__assignment_operator_token1] = ACTIONS(10435),
    [sym__pair_operator] = ACTIONS(10435),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10435),
    [sym__lazy_and_operator] = ACTIONS(10435),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10435),
    [sym__pipe_left_operator] = ACTIONS(10435),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10435),
    [sym__type_order_operator] = ACTIONS(10435),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [6193] = {
    [sym_block_comment] = STATE(6193),
    [sym_line_comment] = STATE(6193),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10439),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10439),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10439),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10439),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10439),
    [anon_sym_COLON_EQ] = ACTIONS(10439),
    [anon_sym_DOT_EQ] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10439),
    [anon_sym_QMARK] = ACTIONS(10439),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10439),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10439),
    [aux_sym_integer_literal_token2] = ACTIONS(10439),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10439),
    [aux_sym_float_literal_token3] = ACTIONS(10439),
    [aux_sym_float_literal_token4] = ACTIONS(10439),
    [sym_character_literal] = ACTIONS(10439),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10439),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10439),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10439),
    [aux_sym__assignment_operator_token1] = ACTIONS(10439),
    [sym__pair_operator] = ACTIONS(10439),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10439),
    [sym__lazy_and_operator] = ACTIONS(10439),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10439),
    [sym__pipe_left_operator] = ACTIONS(10439),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10439),
    [sym__type_order_operator] = ACTIONS(10439),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [6194] = {
    [sym_block_comment] = STATE(6194),
    [sym_line_comment] = STATE(6194),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_COLON_EQ] = ACTIONS(10019),
    [anon_sym_DOT_EQ] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10019),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10019),
    [aux_sym__assignment_operator_token1] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6195] = {
    [sym_block_comment] = STATE(6195),
    [sym_line_comment] = STATE(6195),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10365),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10365),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10365),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10365),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10365),
    [anon_sym_COLON_EQ] = ACTIONS(10365),
    [anon_sym_DOT_EQ] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10365),
    [anon_sym_QMARK] = ACTIONS(10365),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10365),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10365),
    [aux_sym_integer_literal_token2] = ACTIONS(10365),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10365),
    [aux_sym_float_literal_token3] = ACTIONS(10365),
    [aux_sym_float_literal_token4] = ACTIONS(10365),
    [sym_character_literal] = ACTIONS(10365),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10365),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10365),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10365),
    [aux_sym__assignment_operator_token1] = ACTIONS(10365),
    [sym__pair_operator] = ACTIONS(10365),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10365),
    [sym__lazy_and_operator] = ACTIONS(10365),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10365),
    [sym__pipe_left_operator] = ACTIONS(10365),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10365),
    [sym__type_order_operator] = ACTIONS(10365),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [6196] = {
    [sym_block_comment] = STATE(6196),
    [sym_line_comment] = STATE(6196),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10377),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10377),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10377),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10377),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10377),
    [anon_sym_COLON_EQ] = ACTIONS(10377),
    [anon_sym_DOT_EQ] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10377),
    [anon_sym_QMARK] = ACTIONS(10377),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10377),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10377),
    [aux_sym_integer_literal_token2] = ACTIONS(10377),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10377),
    [aux_sym_float_literal_token3] = ACTIONS(10377),
    [aux_sym_float_literal_token4] = ACTIONS(10377),
    [sym_character_literal] = ACTIONS(10377),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10377),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10377),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10377),
    [aux_sym__assignment_operator_token1] = ACTIONS(10377),
    [sym__pair_operator] = ACTIONS(10377),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10377),
    [sym__lazy_and_operator] = ACTIONS(10377),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10377),
    [sym__pipe_left_operator] = ACTIONS(10377),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10377),
    [sym__type_order_operator] = ACTIONS(10377),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [6197] = {
    [sym_block_comment] = STATE(6197),
    [sym_line_comment] = STATE(6197),
    [ts_builtin_sym_end] = ACTIONS(10231),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_RBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_DASH_GT] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [6198] = {
    [sym_block_comment] = STATE(6198),
    [sym_line_comment] = STATE(6198),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10141),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10141),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10141),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10141),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10141),
    [anon_sym_COLON_EQ] = ACTIONS(10141),
    [anon_sym_DOT_EQ] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10141),
    [anon_sym_QMARK] = ACTIONS(10141),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10141),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10141),
    [aux_sym_integer_literal_token2] = ACTIONS(10141),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10141),
    [aux_sym_float_literal_token3] = ACTIONS(10141),
    [aux_sym_float_literal_token4] = ACTIONS(10141),
    [sym_character_literal] = ACTIONS(10141),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10141),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10141),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10141),
    [aux_sym__assignment_operator_token1] = ACTIONS(10141),
    [sym__pair_operator] = ACTIONS(10141),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10141),
    [sym__lazy_and_operator] = ACTIONS(10141),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10141),
    [sym__pipe_left_operator] = ACTIONS(10141),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10141),
    [sym__type_order_operator] = ACTIONS(10141),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [6199] = {
    [sym_block_comment] = STATE(6199),
    [sym_line_comment] = STATE(6199),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10237),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10237),
    [anon_sym_RPAREN] = ACTIONS(10237),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10237),
    [anon_sym_RBRACK] = ACTIONS(10237),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10237),
    [anon_sym_LBRACE] = ACTIONS(10237),
    [anon_sym_RBRACE] = ACTIONS(10237),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10237),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10237),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10237),
    [anon_sym_QMARK] = ACTIONS(10237),
    [anon_sym_DASH_GT] = ACTIONS(10237),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10237),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10237),
    [aux_sym_integer_literal_token2] = ACTIONS(10237),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10237),
    [aux_sym_float_literal_token3] = ACTIONS(10237),
    [aux_sym_float_literal_token4] = ACTIONS(10237),
    [sym_character_literal] = ACTIONS(10237),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10237),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10237),
    [sym__pair_operator] = ACTIONS(10237),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10237),
    [sym__lazy_and_operator] = ACTIONS(10237),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10237),
    [sym__pipe_left_operator] = ACTIONS(10237),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10237),
    [sym__bitshift_operator] = ACTIONS(10237),
    [sym__power_operator] = ACTIONS(10237),
    [sym__tilde_operator] = ACTIONS(10237),
    [sym__type_order_operator] = ACTIONS(10237),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [6200] = {
    [sym_block_comment] = STATE(6200),
    [sym_line_comment] = STATE(6200),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9989),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9989),
    [anon_sym_RPAREN] = ACTIONS(9989),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9989),
    [anon_sym_RBRACK] = ACTIONS(9989),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9989),
    [anon_sym_LBRACE] = ACTIONS(9989),
    [anon_sym_RBRACE] = ACTIONS(9989),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9989),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9989),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9989),
    [anon_sym_QMARK] = ACTIONS(9989),
    [anon_sym_DASH_GT] = ACTIONS(9989),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9989),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9989),
    [aux_sym_integer_literal_token2] = ACTIONS(9989),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9989),
    [aux_sym_float_literal_token3] = ACTIONS(9989),
    [aux_sym_float_literal_token4] = ACTIONS(9989),
    [sym_character_literal] = ACTIONS(9989),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9989),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9989),
    [sym__pair_operator] = ACTIONS(9989),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9989),
    [sym__lazy_and_operator] = ACTIONS(9989),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9989),
    [sym__pipe_left_operator] = ACTIONS(9989),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9989),
    [sym__bitshift_operator] = ACTIONS(9989),
    [sym__power_operator] = ACTIONS(9989),
    [sym__tilde_operator] = ACTIONS(9989),
    [sym__type_order_operator] = ACTIONS(9989),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [6201] = {
    [sym_block_comment] = STATE(6201),
    [sym_line_comment] = STATE(6201),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10816),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6202] = {
    [sym_block_comment] = STATE(6202),
    [sym_line_comment] = STATE(6202),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10293),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10293),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10293),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10293),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10293),
    [anon_sym_COLON_EQ] = ACTIONS(10293),
    [anon_sym_DOT_EQ] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10293),
    [anon_sym_QMARK] = ACTIONS(10293),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10293),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10293),
    [aux_sym_integer_literal_token2] = ACTIONS(10293),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10293),
    [aux_sym_float_literal_token3] = ACTIONS(10293),
    [aux_sym_float_literal_token4] = ACTIONS(10293),
    [sym_character_literal] = ACTIONS(10293),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10293),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10293),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10293),
    [aux_sym__assignment_operator_token1] = ACTIONS(10293),
    [sym__pair_operator] = ACTIONS(10293),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10293),
    [sym__lazy_and_operator] = ACTIONS(10293),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10293),
    [sym__pipe_left_operator] = ACTIONS(10293),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10293),
    [sym__type_order_operator] = ACTIONS(10293),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [6203] = {
    [sym_block_comment] = STATE(6203),
    [sym_line_comment] = STATE(6203),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10309),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10309),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10309),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10309),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10309),
    [anon_sym_COLON_EQ] = ACTIONS(10309),
    [anon_sym_DOT_EQ] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10309),
    [anon_sym_QMARK] = ACTIONS(10309),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10309),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10309),
    [aux_sym_integer_literal_token2] = ACTIONS(10309),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10309),
    [aux_sym_float_literal_token3] = ACTIONS(10309),
    [aux_sym_float_literal_token4] = ACTIONS(10309),
    [sym_character_literal] = ACTIONS(10309),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10309),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10309),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10309),
    [aux_sym__assignment_operator_token1] = ACTIONS(10309),
    [sym__pair_operator] = ACTIONS(10309),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10309),
    [sym__lazy_and_operator] = ACTIONS(10309),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10309),
    [sym__pipe_left_operator] = ACTIONS(10309),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10309),
    [sym__type_order_operator] = ACTIONS(10309),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [6204] = {
    [sym_block_comment] = STATE(6204),
    [sym_line_comment] = STATE(6204),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_DASH_GT] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6205] = {
    [sym_block_comment] = STATE(6205),
    [sym_line_comment] = STATE(6205),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_catch] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_DASH_GT] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [6206] = {
    [sym_block_comment] = STATE(6206),
    [sym_line_comment] = STATE(6206),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_catch] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_DASH_GT] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [6207] = {
    [sym_block_comment] = STATE(6207),
    [sym_line_comment] = STATE(6207),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10241),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10241),
    [anon_sym_RPAREN] = ACTIONS(10241),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10241),
    [anon_sym_RBRACK] = ACTIONS(10241),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10241),
    [anon_sym_LBRACE] = ACTIONS(10241),
    [anon_sym_RBRACE] = ACTIONS(10241),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10241),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10241),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10241),
    [anon_sym_QMARK] = ACTIONS(10241),
    [anon_sym_DASH_GT] = ACTIONS(10241),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10241),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10241),
    [aux_sym_integer_literal_token2] = ACTIONS(10241),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10241),
    [aux_sym_float_literal_token3] = ACTIONS(10241),
    [aux_sym_float_literal_token4] = ACTIONS(10241),
    [sym_character_literal] = ACTIONS(10241),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10241),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10241),
    [sym__pair_operator] = ACTIONS(10241),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10241),
    [sym__lazy_and_operator] = ACTIONS(10241),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10241),
    [sym__pipe_left_operator] = ACTIONS(10241),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10241),
    [sym__bitshift_operator] = ACTIONS(10241),
    [sym__power_operator] = ACTIONS(10241),
    [sym__tilde_operator] = ACTIONS(10241),
    [sym__type_order_operator] = ACTIONS(10241),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [6208] = {
    [sym_block_comment] = STATE(6208),
    [sym_line_comment] = STATE(6208),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10247),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10247),
    [anon_sym_RPAREN] = ACTIONS(10247),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10247),
    [anon_sym_RBRACK] = ACTIONS(10247),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10247),
    [anon_sym_LBRACE] = ACTIONS(10247),
    [anon_sym_RBRACE] = ACTIONS(10247),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10247),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10247),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10247),
    [anon_sym_QMARK] = ACTIONS(10247),
    [anon_sym_DASH_GT] = ACTIONS(10247),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10247),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10247),
    [aux_sym_integer_literal_token2] = ACTIONS(10247),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10247),
    [aux_sym_float_literal_token3] = ACTIONS(10247),
    [aux_sym_float_literal_token4] = ACTIONS(10247),
    [sym_character_literal] = ACTIONS(10247),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10247),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10247),
    [sym__pair_operator] = ACTIONS(10247),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10247),
    [sym__lazy_and_operator] = ACTIONS(10247),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10247),
    [sym__pipe_left_operator] = ACTIONS(10247),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10247),
    [sym__bitshift_operator] = ACTIONS(10247),
    [sym__power_operator] = ACTIONS(10247),
    [sym__tilde_operator] = ACTIONS(10247),
    [sym__type_order_operator] = ACTIONS(10247),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [6209] = {
    [sym_block_comment] = STATE(6209),
    [sym_line_comment] = STATE(6209),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10349),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10349),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10349),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10349),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10349),
    [anon_sym_COLON_EQ] = ACTIONS(10349),
    [anon_sym_DOT_EQ] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10349),
    [anon_sym_QMARK] = ACTIONS(10349),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10349),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10349),
    [aux_sym_integer_literal_token2] = ACTIONS(10349),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10349),
    [aux_sym_float_literal_token3] = ACTIONS(10349),
    [aux_sym_float_literal_token4] = ACTIONS(10349),
    [sym_character_literal] = ACTIONS(10349),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10349),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10349),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10349),
    [aux_sym__assignment_operator_token1] = ACTIONS(10349),
    [sym__pair_operator] = ACTIONS(10349),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10349),
    [sym__lazy_and_operator] = ACTIONS(10349),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10349),
    [sym__pipe_left_operator] = ACTIONS(10349),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10349),
    [sym__type_order_operator] = ACTIONS(10349),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [6210] = {
    [sym_block_comment] = STATE(6210),
    [sym_line_comment] = STATE(6210),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10353),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10353),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10353),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10353),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10353),
    [anon_sym_COLON_EQ] = ACTIONS(10353),
    [anon_sym_DOT_EQ] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10353),
    [anon_sym_QMARK] = ACTIONS(10353),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10353),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10353),
    [aux_sym_integer_literal_token2] = ACTIONS(10353),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10353),
    [aux_sym_float_literal_token3] = ACTIONS(10353),
    [aux_sym_float_literal_token4] = ACTIONS(10353),
    [sym_character_literal] = ACTIONS(10353),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10353),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10353),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10353),
    [aux_sym__assignment_operator_token1] = ACTIONS(10353),
    [sym__pair_operator] = ACTIONS(10353),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10353),
    [sym__lazy_and_operator] = ACTIONS(10353),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10353),
    [sym__pipe_left_operator] = ACTIONS(10353),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10353),
    [sym__type_order_operator] = ACTIONS(10353),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [6211] = {
    [sym_block_comment] = STATE(6211),
    [sym_line_comment] = STATE(6211),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10251),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10251),
    [anon_sym_RPAREN] = ACTIONS(10251),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10251),
    [anon_sym_RBRACK] = ACTIONS(10251),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10251),
    [anon_sym_LBRACE] = ACTIONS(10251),
    [anon_sym_RBRACE] = ACTIONS(10251),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10251),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10251),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10251),
    [anon_sym_QMARK] = ACTIONS(10251),
    [anon_sym_DASH_GT] = ACTIONS(10251),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10251),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10251),
    [aux_sym_integer_literal_token2] = ACTIONS(10251),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10251),
    [aux_sym_float_literal_token3] = ACTIONS(10251),
    [aux_sym_float_literal_token4] = ACTIONS(10251),
    [sym_character_literal] = ACTIONS(10251),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10251),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10251),
    [sym__pair_operator] = ACTIONS(10251),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10251),
    [sym__lazy_and_operator] = ACTIONS(10251),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10251),
    [sym__pipe_left_operator] = ACTIONS(10251),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10251),
    [sym__bitshift_operator] = ACTIONS(10251),
    [sym__power_operator] = ACTIONS(10251),
    [sym__tilde_operator] = ACTIONS(10251),
    [sym__type_order_operator] = ACTIONS(10251),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [6212] = {
    [sym_block_comment] = STATE(6212),
    [sym_line_comment] = STATE(6212),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10357),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10357),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10357),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10357),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10357),
    [anon_sym_COLON_EQ] = ACTIONS(10357),
    [anon_sym_DOT_EQ] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10357),
    [anon_sym_QMARK] = ACTIONS(10357),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10357),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10357),
    [aux_sym_integer_literal_token2] = ACTIONS(10357),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10357),
    [aux_sym_float_literal_token3] = ACTIONS(10357),
    [aux_sym_float_literal_token4] = ACTIONS(10357),
    [sym_character_literal] = ACTIONS(10357),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10357),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10357),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10357),
    [aux_sym__assignment_operator_token1] = ACTIONS(10357),
    [sym__pair_operator] = ACTIONS(10357),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10357),
    [sym__lazy_and_operator] = ACTIONS(10357),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10357),
    [sym__pipe_left_operator] = ACTIONS(10357),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10357),
    [sym__type_order_operator] = ACTIONS(10357),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [6213] = {
    [sym__assignment_operator] = STATE(4153),
    [sym_block_comment] = STATE(6213),
    [sym_line_comment] = STATE(6213),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_SQUOTE] = ACTIONS(10619),
    [anon_sym_DOT] = ACTIONS(10621),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_COLON_EQ] = ACTIONS(1685),
    [anon_sym_DOT_EQ] = ACTIONS(10025),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [anon_sym_DOLLAR_EQ] = ACTIONS(1685),
    [aux_sym__assignment_operator_token1] = ACTIONS(1685),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10623),
    [sym__immediate_bracket] = ACTIONS(10625),
    [sym__immediate_brace] = ACTIONS(10627),
  },
  [6214] = {
    [sym_block_comment] = STATE(6214),
    [sym_line_comment] = STATE(6214),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_elseif] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
  },
  [6215] = {
    [sym_block_comment] = STATE(6215),
    [sym_line_comment] = STATE(6215),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_else] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_finally] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [6216] = {
    [sym_block_comment] = STATE(6216),
    [sym_line_comment] = STATE(6216),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_else] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6217] = {
    [sym_block_comment] = STATE(6217),
    [sym_line_comment] = STATE(6217),
    [ts_builtin_sym_end] = ACTIONS(10279),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_RBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_DASH_GT] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [6218] = {
    [sym_block_comment] = STATE(6218),
    [sym_line_comment] = STATE(6218),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10405),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10405),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10405),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10405),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10405),
    [anon_sym_COLON_EQ] = ACTIONS(10405),
    [anon_sym_DOT_EQ] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10405),
    [anon_sym_QMARK] = ACTIONS(10405),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10405),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10405),
    [aux_sym_integer_literal_token2] = ACTIONS(10405),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10405),
    [aux_sym_float_literal_token3] = ACTIONS(10405),
    [aux_sym_float_literal_token4] = ACTIONS(10405),
    [sym_character_literal] = ACTIONS(10405),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10405),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10405),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10405),
    [aux_sym__assignment_operator_token1] = ACTIONS(10405),
    [sym__pair_operator] = ACTIONS(10405),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10405),
    [sym__lazy_and_operator] = ACTIONS(10405),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10405),
    [sym__pipe_left_operator] = ACTIONS(10405),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10405),
    [sym__type_order_operator] = ACTIONS(10405),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [6219] = {
    [sym_block_comment] = STATE(6219),
    [sym_line_comment] = STATE(6219),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10313),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10313),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10313),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10313),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10313),
    [anon_sym_COLON_EQ] = ACTIONS(10313),
    [anon_sym_DOT_EQ] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10313),
    [anon_sym_QMARK] = ACTIONS(10313),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10313),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10313),
    [aux_sym_integer_literal_token2] = ACTIONS(10313),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10313),
    [aux_sym_float_literal_token3] = ACTIONS(10313),
    [aux_sym_float_literal_token4] = ACTIONS(10313),
    [sym_character_literal] = ACTIONS(10313),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10313),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10313),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10313),
    [aux_sym__assignment_operator_token1] = ACTIONS(10313),
    [sym__pair_operator] = ACTIONS(10313),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10313),
    [sym__lazy_and_operator] = ACTIONS(10313),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10313),
    [sym__pipe_left_operator] = ACTIONS(10313),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10313),
    [sym__type_order_operator] = ACTIONS(10313),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [6220] = {
    [sym_block_comment] = STATE(6220),
    [sym_line_comment] = STATE(6220),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_else] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_finally] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [6221] = {
    [sym_block_comment] = STATE(6221),
    [sym_line_comment] = STATE(6221),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_else] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_finally] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [6222] = {
    [sym_block_comment] = STATE(6222),
    [sym_line_comment] = STATE(6222),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_else] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [6223] = {
    [sym_block_comment] = STATE(6223),
    [sym_line_comment] = STATE(6223),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_else] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [6224] = {
    [sym_block_comment] = STATE(6224),
    [sym_line_comment] = STATE(6224),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_COLON_EQ] = ACTIONS(3226),
    [anon_sym_DOT_EQ] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3226),
    [aux_sym_integer_literal_token2] = ACTIONS(3226),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3226),
    [aux_sym_float_literal_token3] = ACTIONS(3226),
    [aux_sym_float_literal_token4] = ACTIONS(3226),
    [sym_character_literal] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3226),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3226),
    [anon_sym_DOLLAR_EQ] = ACTIONS(3226),
    [aux_sym__assignment_operator_token1] = ACTIONS(3226),
    [sym__pair_operator] = ACTIONS(3226),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3226),
    [sym__pipe_left_operator] = ACTIONS(3226),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3226),
    [sym__type_order_operator] = ACTIONS(3226),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [6225] = {
    [sym_block_comment] = STATE(6225),
    [sym_line_comment] = STATE(6225),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10401),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10401),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10401),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10401),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10401),
    [anon_sym_COLON_EQ] = ACTIONS(10401),
    [anon_sym_DOT_EQ] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10401),
    [anon_sym_QMARK] = ACTIONS(10401),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10401),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10401),
    [aux_sym_integer_literal_token2] = ACTIONS(10401),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10401),
    [aux_sym_float_literal_token3] = ACTIONS(10401),
    [aux_sym_float_literal_token4] = ACTIONS(10401),
    [sym_character_literal] = ACTIONS(10401),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10401),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10401),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10401),
    [aux_sym__assignment_operator_token1] = ACTIONS(10401),
    [sym__pair_operator] = ACTIONS(10401),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10401),
    [sym__lazy_and_operator] = ACTIONS(10401),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10401),
    [sym__pipe_left_operator] = ACTIONS(10401),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10401),
    [sym__type_order_operator] = ACTIONS(10401),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [6226] = {
    [sym_block_comment] = STATE(6226),
    [sym_line_comment] = STATE(6226),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [6227] = {
    [sym_block_comment] = STATE(6227),
    [sym_line_comment] = STATE(6227),
    [ts_builtin_sym_end] = ACTIONS(10345),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_RBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_DASH_GT] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [6228] = {
    [sym_block_comment] = STATE(6228),
    [sym_line_comment] = STATE(6228),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_else] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_finally] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [6229] = {
    [sym_block_comment] = STATE(6229),
    [sym_line_comment] = STATE(6229),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_else] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_finally] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [6230] = {
    [sym_block_comment] = STATE(6230),
    [sym_line_comment] = STATE(6230),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_DASH_GT] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6231] = {
    [sym_block_comment] = STATE(6231),
    [sym_line_comment] = STATE(6231),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10265),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10265),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10265),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10265),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10265),
    [anon_sym_COLON_EQ] = ACTIONS(10265),
    [anon_sym_DOT_EQ] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10265),
    [anon_sym_QMARK] = ACTIONS(10265),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10265),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10265),
    [aux_sym_integer_literal_token2] = ACTIONS(10265),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10265),
    [aux_sym_float_literal_token3] = ACTIONS(10265),
    [aux_sym_float_literal_token4] = ACTIONS(10265),
    [sym_character_literal] = ACTIONS(10265),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10265),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10265),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10265),
    [aux_sym__assignment_operator_token1] = ACTIONS(10265),
    [sym__pair_operator] = ACTIONS(10265),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10265),
    [sym__lazy_and_operator] = ACTIONS(10265),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10265),
    [sym__pipe_left_operator] = ACTIONS(10265),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10265),
    [sym__type_order_operator] = ACTIONS(10265),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [6232] = {
    [sym_block_comment] = STATE(6232),
    [sym_line_comment] = STATE(6232),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [6233] = {
    [sym_block_comment] = STATE(6233),
    [sym_line_comment] = STATE(6233),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_finally] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_DASH_GT] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [6234] = {
    [sym_block_comment] = STATE(6234),
    [sym_line_comment] = STATE(6234),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_else] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_finally] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [6235] = {
    [sym_block_comment] = STATE(6235),
    [sym_line_comment] = STATE(6235),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_finally] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_DASH_GT] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [6236] = {
    [sym_block_comment] = STATE(6236),
    [sym_line_comment] = STATE(6236),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_else] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [6237] = {
    [sym_block_comment] = STATE(6237),
    [sym_line_comment] = STATE(6237),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10341),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10341),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10341),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10341),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10341),
    [anon_sym_COLON_EQ] = ACTIONS(10341),
    [anon_sym_DOT_EQ] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10341),
    [anon_sym_QMARK] = ACTIONS(10341),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10341),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10341),
    [aux_sym_integer_literal_token2] = ACTIONS(10341),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10341),
    [aux_sym_float_literal_token3] = ACTIONS(10341),
    [aux_sym_float_literal_token4] = ACTIONS(10341),
    [sym_character_literal] = ACTIONS(10341),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10341),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10341),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10341),
    [aux_sym__assignment_operator_token1] = ACTIONS(10341),
    [sym__pair_operator] = ACTIONS(10341),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10341),
    [sym__lazy_and_operator] = ACTIONS(10341),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10341),
    [sym__pipe_left_operator] = ACTIONS(10341),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10341),
    [sym__type_order_operator] = ACTIONS(10341),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [6238] = {
    [sym_block_comment] = STATE(6238),
    [sym_line_comment] = STATE(6238),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10373),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10373),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10373),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10373),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10373),
    [anon_sym_COLON_EQ] = ACTIONS(10373),
    [anon_sym_DOT_EQ] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10373),
    [anon_sym_QMARK] = ACTIONS(10373),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10373),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10373),
    [aux_sym_integer_literal_token2] = ACTIONS(10373),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10373),
    [aux_sym_float_literal_token3] = ACTIONS(10373),
    [aux_sym_float_literal_token4] = ACTIONS(10373),
    [sym_character_literal] = ACTIONS(10373),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10373),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10373),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10373),
    [aux_sym__assignment_operator_token1] = ACTIONS(10373),
    [sym__pair_operator] = ACTIONS(10373),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10373),
    [sym__lazy_and_operator] = ACTIONS(10373),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10373),
    [sym__pipe_left_operator] = ACTIONS(10373),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10373),
    [sym__type_order_operator] = ACTIONS(10373),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [6239] = {
    [sym_block_comment] = STATE(6239),
    [sym_line_comment] = STATE(6239),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_else] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_finally] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [6240] = {
    [sym_block_comment] = STATE(6240),
    [sym_line_comment] = STATE(6240),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_else] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_finally] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [6241] = {
    [sym_block_comment] = STATE(6241),
    [sym_line_comment] = STATE(6241),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10411),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10411),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10411),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10411),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10411),
    [anon_sym_COLON_EQ] = ACTIONS(10411),
    [anon_sym_DOT_EQ] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10411),
    [anon_sym_QMARK] = ACTIONS(10411),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10411),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10411),
    [aux_sym_integer_literal_token2] = ACTIONS(10411),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10411),
    [aux_sym_float_literal_token3] = ACTIONS(10411),
    [aux_sym_float_literal_token4] = ACTIONS(10411),
    [sym_character_literal] = ACTIONS(10411),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10411),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10411),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10411),
    [aux_sym__assignment_operator_token1] = ACTIONS(10411),
    [sym__pair_operator] = ACTIONS(10411),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10411),
    [sym__lazy_and_operator] = ACTIONS(10411),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10411),
    [sym__pipe_left_operator] = ACTIONS(10411),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10411),
    [sym__type_order_operator] = ACTIONS(10411),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [6242] = {
    [sym_block_comment] = STATE(6242),
    [sym_line_comment] = STATE(6242),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_else] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_finally] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [6243] = {
    [sym_block_comment] = STATE(6243),
    [sym_line_comment] = STATE(6243),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_finally] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [6244] = {
    [sym_block_comment] = STATE(6244),
    [sym_line_comment] = STATE(6244),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10219),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10219),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10219),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10219),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10219),
    [anon_sym_COLON_EQ] = ACTIONS(10219),
    [anon_sym_DOT_EQ] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10219),
    [anon_sym_QMARK] = ACTIONS(10219),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10219),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10219),
    [aux_sym_integer_literal_token2] = ACTIONS(10219),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10219),
    [aux_sym_float_literal_token3] = ACTIONS(10219),
    [aux_sym_float_literal_token4] = ACTIONS(10219),
    [sym_character_literal] = ACTIONS(10219),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10219),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10219),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10219),
    [aux_sym__assignment_operator_token1] = ACTIONS(10219),
    [sym__pair_operator] = ACTIONS(10219),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10219),
    [sym__lazy_and_operator] = ACTIONS(10219),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10219),
    [sym__pipe_left_operator] = ACTIONS(10219),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10219),
    [sym__type_order_operator] = ACTIONS(10219),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [6245] = {
    [sym_block_comment] = STATE(6245),
    [sym_line_comment] = STATE(6245),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DASH_GT] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [6246] = {
    [sym_block_comment] = STATE(6246),
    [sym_line_comment] = STATE(6246),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_RPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_RBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9995),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_RBRACE] = ACTIONS(9995),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9995),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_DASH_GT] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9995),
    [sym__bitshift_operator] = ACTIONS(9995),
    [sym__power_operator] = ACTIONS(9995),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [6247] = {
    [sym_block_comment] = STATE(6247),
    [sym_line_comment] = STATE(6247),
    [ts_builtin_sym_end] = ACTIONS(10419),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_RBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_DASH_GT] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [6248] = {
    [sym_block_comment] = STATE(6248),
    [sym_line_comment] = STATE(6248),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_catch] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_DASH_GT] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [6249] = {
    [sym_block_comment] = STATE(6249),
    [sym_line_comment] = STATE(6249),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10195),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10195),
    [anon_sym_RPAREN] = ACTIONS(10195),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10195),
    [anon_sym_RBRACK] = ACTIONS(10195),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10195),
    [anon_sym_LBRACE] = ACTIONS(10195),
    [anon_sym_RBRACE] = ACTIONS(10195),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10195),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10195),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10195),
    [anon_sym_QMARK] = ACTIONS(10195),
    [anon_sym_DASH_GT] = ACTIONS(10195),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10195),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10195),
    [aux_sym_integer_literal_token2] = ACTIONS(10195),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10195),
    [aux_sym_float_literal_token3] = ACTIONS(10195),
    [aux_sym_float_literal_token4] = ACTIONS(10195),
    [sym_character_literal] = ACTIONS(10195),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10195),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10195),
    [sym__pair_operator] = ACTIONS(10195),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10195),
    [sym__lazy_and_operator] = ACTIONS(10195),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10195),
    [sym__pipe_left_operator] = ACTIONS(10195),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10195),
    [sym__bitshift_operator] = ACTIONS(10195),
    [sym__power_operator] = ACTIONS(10195),
    [sym__tilde_operator] = ACTIONS(10195),
    [sym__type_order_operator] = ACTIONS(10195),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [6250] = {
    [sym_block_comment] = STATE(6250),
    [sym_line_comment] = STATE(6250),
    [ts_builtin_sym_end] = ACTIONS(10397),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_RBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_DASH_GT] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [6251] = {
    [sym_block_comment] = STATE(6251),
    [sym_line_comment] = STATE(6251),
    [ts_builtin_sym_end] = ACTIONS(10415),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_RBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_DASH_GT] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [6252] = {
    [sym_identifier] = STATE(6671),
    [sym_block_comment] = STATE(6252),
    [sym_line_comment] = STATE(6252),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_catch] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [6253] = {
    [sym_block_comment] = STATE(6253),
    [sym_line_comment] = STATE(6253),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_catch] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_DASH_GT] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [6254] = {
    [sym_block_comment] = STATE(6254),
    [sym_line_comment] = STATE(6254),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_catch] = ACTIONS(10277),
    [anon_sym_finally] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_DASH_GT] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [6255] = {
    [sym_identifier] = STATE(6672),
    [sym_block_comment] = STATE(6255),
    [sym_line_comment] = STATE(6255),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_catch] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [6256] = {
    [sym_identifier] = STATE(6678),
    [sym_block_comment] = STATE(6256),
    [sym_line_comment] = STATE(6256),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_catch] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [6257] = {
    [sym_identifier] = STATE(6681),
    [sym_block_comment] = STATE(6257),
    [sym_line_comment] = STATE(6257),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_catch] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [6258] = {
    [sym_block_comment] = STATE(6258),
    [sym_line_comment] = STATE(6258),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_finally] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [6259] = {
    [sym_block_comment] = STATE(6259),
    [sym_line_comment] = STATE(6259),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_catch] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [6260] = {
    [sym_block_comment] = STATE(6260),
    [sym_line_comment] = STATE(6260),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_catch] = ACTIONS(10413),
    [anon_sym_finally] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_DASH_GT] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [6261] = {
    [sym_block_comment] = STATE(6261),
    [sym_line_comment] = STATE(6261),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10818),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6262] = {
    [sym_block_comment] = STATE(6262),
    [sym_line_comment] = STATE(6262),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_finally] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_DASH_GT] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [6263] = {
    [sym_block_comment] = STATE(6263),
    [sym_line_comment] = STATE(6263),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_catch] = ACTIONS(10323),
    [anon_sym_finally] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_DASH_GT] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [6264] = {
    [sym_block_comment] = STATE(6264),
    [sym_line_comment] = STATE(6264),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_catch] = ACTIONS(10327),
    [anon_sym_finally] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_DASH_GT] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [6265] = {
    [sym_block_comment] = STATE(6265),
    [sym_line_comment] = STATE(6265),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10231),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10231),
    [anon_sym_RPAREN] = ACTIONS(10231),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10231),
    [anon_sym_RBRACK] = ACTIONS(10231),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10231),
    [anon_sym_LBRACE] = ACTIONS(10231),
    [anon_sym_RBRACE] = ACTIONS(10231),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10231),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10231),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10231),
    [anon_sym_QMARK] = ACTIONS(10231),
    [anon_sym_DASH_GT] = ACTIONS(10231),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10231),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10231),
    [aux_sym_integer_literal_token2] = ACTIONS(10231),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10231),
    [aux_sym_float_literal_token3] = ACTIONS(10231),
    [aux_sym_float_literal_token4] = ACTIONS(10231),
    [sym_character_literal] = ACTIONS(10231),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10231),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10231),
    [sym__pair_operator] = ACTIONS(10231),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10231),
    [sym__lazy_and_operator] = ACTIONS(10231),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10231),
    [sym__pipe_left_operator] = ACTIONS(10231),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10231),
    [sym__bitshift_operator] = ACTIONS(10231),
    [sym__power_operator] = ACTIONS(10231),
    [sym__tilde_operator] = ACTIONS(10231),
    [sym__type_order_operator] = ACTIONS(10231),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [6266] = {
    [sym_block_comment] = STATE(6266),
    [sym_line_comment] = STATE(6266),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_catch] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [6267] = {
    [sym_block_comment] = STATE(6267),
    [sym_line_comment] = STATE(6267),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_catch] = ACTIONS(10379),
    [anon_sym_finally] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_DASH_GT] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [6268] = {
    [sym_block_comment] = STATE(6268),
    [sym_line_comment] = STATE(6268),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_catch] = ACTIONS(10385),
    [anon_sym_finally] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_DASH_GT] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [6269] = {
    [sym_block_comment] = STATE(6269),
    [sym_line_comment] = STATE(6269),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_else] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_finally] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [6270] = {
    [sym_block_comment] = STATE(6270),
    [sym_line_comment] = STATE(6270),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_catch] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_DASH_GT] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [6271] = {
    [sym_block_comment] = STATE(6271),
    [sym_line_comment] = STATE(6271),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_catch] = ACTIONS(10389),
    [anon_sym_finally] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_DASH_GT] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [6272] = {
    [sym_block_comment] = STATE(6272),
    [sym_line_comment] = STATE(6272),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10279),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10279),
    [anon_sym_RPAREN] = ACTIONS(10279),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10279),
    [anon_sym_RBRACK] = ACTIONS(10279),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10279),
    [anon_sym_LBRACE] = ACTIONS(10279),
    [anon_sym_RBRACE] = ACTIONS(10279),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10279),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10279),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10279),
    [anon_sym_QMARK] = ACTIONS(10279),
    [anon_sym_DASH_GT] = ACTIONS(10279),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10279),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10279),
    [aux_sym_integer_literal_token2] = ACTIONS(10279),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10279),
    [aux_sym_float_literal_token3] = ACTIONS(10279),
    [aux_sym_float_literal_token4] = ACTIONS(10279),
    [sym_character_literal] = ACTIONS(10279),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10279),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10279),
    [sym__pair_operator] = ACTIONS(10279),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10279),
    [sym__lazy_and_operator] = ACTIONS(10279),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10279),
    [sym__pipe_left_operator] = ACTIONS(10279),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10279),
    [sym__bitshift_operator] = ACTIONS(10279),
    [sym__power_operator] = ACTIONS(10279),
    [sym__tilde_operator] = ACTIONS(10279),
    [sym__type_order_operator] = ACTIONS(10279),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [6273] = {
    [sym_block_comment] = STATE(6273),
    [sym_line_comment] = STATE(6273),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_catch] = ACTIONS(10343),
    [anon_sym_finally] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_DASH_GT] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [6274] = {
    [sym_block_comment] = STATE(6274),
    [sym_line_comment] = STATE(6274),
    [ts_builtin_sym_end] = ACTIONS(10177),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_RBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_DASH_GT] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [6275] = {
    [sym_block_comment] = STATE(6275),
    [sym_line_comment] = STATE(6275),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10317),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10317),
    [anon_sym_RPAREN] = ACTIONS(10317),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10317),
    [anon_sym_RBRACK] = ACTIONS(10317),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10317),
    [anon_sym_LBRACE] = ACTIONS(10317),
    [anon_sym_RBRACE] = ACTIONS(10317),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10317),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10317),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10317),
    [anon_sym_QMARK] = ACTIONS(10317),
    [anon_sym_DASH_GT] = ACTIONS(10317),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10317),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10317),
    [aux_sym_integer_literal_token2] = ACTIONS(10317),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10317),
    [aux_sym_float_literal_token3] = ACTIONS(10317),
    [aux_sym_float_literal_token4] = ACTIONS(10317),
    [sym_character_literal] = ACTIONS(10317),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10317),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10317),
    [sym__pair_operator] = ACTIONS(10317),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10317),
    [sym__lazy_and_operator] = ACTIONS(10317),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10317),
    [sym__pipe_left_operator] = ACTIONS(10317),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10317),
    [sym__bitshift_operator] = ACTIONS(10317),
    [sym__power_operator] = ACTIONS(10317),
    [sym__tilde_operator] = ACTIONS(10317),
    [sym__type_order_operator] = ACTIONS(10317),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [6276] = {
    [sym_block_comment] = STATE(6276),
    [sym_line_comment] = STATE(6276),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_catch] = ACTIONS(10417),
    [anon_sym_finally] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_DASH_GT] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [6277] = {
    [sym_block_comment] = STATE(6277),
    [sym_line_comment] = STATE(6277),
    [ts_builtin_sym_end] = ACTIONS(10099),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_RBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_DASH_GT] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [6278] = {
    [sym_block_comment] = STATE(6278),
    [sym_line_comment] = STATE(6278),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_catch] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_DASH_GT] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [6279] = {
    [sym_block_comment] = STATE(6279),
    [sym_line_comment] = STATE(6279),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_catch] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_DASH_GT] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [6280] = {
    [sym_identifier] = STATE(6505),
    [sym_block_comment] = STATE(6280),
    [sym_line_comment] = STATE(6280),
    [ts_builtin_sym_end] = ACTIONS(10133),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_RBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [6281] = {
    [sym_identifier] = STATE(6506),
    [sym_block_comment] = STATE(6281),
    [sym_line_comment] = STATE(6281),
    [ts_builtin_sym_end] = ACTIONS(10137),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_RBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [6282] = {
    [sym_block_comment] = STATE(6282),
    [sym_line_comment] = STATE(6282),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_DASH_GT] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [6283] = {
    [sym_block_comment] = STATE(6283),
    [sym_line_comment] = STATE(6283),
    [ts_builtin_sym_end] = ACTIONS(10103),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_RBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_DASH_GT] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [6284] = {
    [sym_block_comment] = STATE(6284),
    [sym_line_comment] = STATE(6284),
    [ts_builtin_sym_end] = ACTIONS(10423),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_RBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_DASH_GT] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [6285] = {
    [sym_block_comment] = STATE(6285),
    [sym_line_comment] = STATE(6285),
    [ts_builtin_sym_end] = ACTIONS(10431),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_RBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_DASH_GT] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [6286] = {
    [sym_identifier] = STATE(6513),
    [sym_block_comment] = STATE(6286),
    [sym_line_comment] = STATE(6286),
    [ts_builtin_sym_end] = ACTIONS(10145),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_RBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [6287] = {
    [sym_identifier] = STATE(6514),
    [sym_block_comment] = STATE(6287),
    [sym_line_comment] = STATE(6287),
    [ts_builtin_sym_end] = ACTIONS(10009),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_RBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [6288] = {
    [sym_block_comment] = STATE(6288),
    [sym_line_comment] = STATE(6288),
    [ts_builtin_sym_end] = ACTIONS(10435),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_RBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_DASH_GT] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [6289] = {
    [sym_block_comment] = STATE(6289),
    [sym_line_comment] = STATE(6289),
    [ts_builtin_sym_end] = ACTIONS(10325),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_RBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_DASH_GT] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [6290] = {
    [sym_block_comment] = STATE(6290),
    [sym_line_comment] = STATE(6290),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_catch] = ACTIONS(10315),
    [anon_sym_finally] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_DASH_GT] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [6291] = {
    [sym_block_comment] = STATE(6291),
    [sym_line_comment] = STATE(6291),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_catch] = ACTIONS(10171),
    [anon_sym_finally] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_DASH_GT] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [6292] = {
    [sym_block_comment] = STATE(6292),
    [sym_line_comment] = STATE(6292),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_elseif] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6293] = {
    [sym_block_comment] = STATE(6293),
    [sym_line_comment] = STATE(6293),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_catch] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_DASH_GT] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [6294] = {
    [sym_block_comment] = STATE(6294),
    [sym_line_comment] = STATE(6294),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_elseif] = ACTIONS(10363),
    [anon_sym_else] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [6295] = {
    [sym_block_comment] = STATE(6295),
    [sym_line_comment] = STATE(6295),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6296] = {
    [sym_block_comment] = STATE(6296),
    [sym_line_comment] = STATE(6296),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_catch] = ACTIONS(10421),
    [anon_sym_finally] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_DASH_GT] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [6297] = {
    [sym_block_comment] = STATE(6297),
    [sym_line_comment] = STATE(6297),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [6298] = {
    [sym_block_comment] = STATE(6298),
    [sym_line_comment] = STATE(6298),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_elseif] = ACTIONS(10375),
    [anon_sym_else] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [6299] = {
    [sym_block_comment] = STATE(6299),
    [sym_line_comment] = STATE(6299),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_catch] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [6300] = {
    [sym_block_comment] = STATE(6300),
    [sym_line_comment] = STATE(6300),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_else] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_finally] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [6301] = {
    [sym_block_comment] = STATE(6301),
    [sym_line_comment] = STATE(6301),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_catch] = ACTIONS(10209),
    [anon_sym_finally] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_DASH_GT] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [6302] = {
    [sym_block_comment] = STATE(6302),
    [sym_line_comment] = STATE(6302),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_catch] = ACTIONS(10213),
    [anon_sym_finally] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_DASH_GT] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [6303] = {
    [sym_block_comment] = STATE(6303),
    [sym_line_comment] = STATE(6303),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_catch] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_DASH_GT] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [6304] = {
    [sym_block_comment] = STATE(6304),
    [sym_line_comment] = STATE(6304),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_catch] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_DASH_GT] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [6305] = {
    [sym_block_comment] = STATE(6305),
    [sym_line_comment] = STATE(6305),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_catch] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [6306] = {
    [sym_block_comment] = STATE(6306),
    [sym_line_comment] = STATE(6306),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_catch] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [6307] = {
    [sym_block_comment] = STATE(6307),
    [sym_line_comment] = STATE(6307),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_catch] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [6308] = {
    [sym_identifier] = STATE(6798),
    [sym_block_comment] = STATE(6308),
    [sym_line_comment] = STATE(6308),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_finally] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [6309] = {
    [sym_block_comment] = STATE(6309),
    [sym_line_comment] = STATE(6309),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_catch] = ACTIONS(10221),
    [anon_sym_finally] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_DASH_GT] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [6310] = {
    [sym_block_comment] = STATE(6310),
    [sym_line_comment] = STATE(6310),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_catch] = ACTIONS(10225),
    [anon_sym_finally] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_DASH_GT] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [6311] = {
    [sym_block_comment] = STATE(6311),
    [sym_line_comment] = STATE(6311),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_catch] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [6312] = {
    [sym_block_comment] = STATE(6312),
    [sym_line_comment] = STATE(6312),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_catch] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [6313] = {
    [sym_block_comment] = STATE(6313),
    [sym_line_comment] = STATE(6313),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_catch] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [6314] = {
    [sym_block_comment] = STATE(6314),
    [sym_line_comment] = STATE(6314),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_else] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_finally] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [6315] = {
    [sym_identifier] = STATE(6799),
    [sym_block_comment] = STATE(6315),
    [sym_line_comment] = STATE(6315),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_finally] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [6316] = {
    [sym_block_comment] = STATE(6316),
    [sym_line_comment] = STATE(6316),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_catch] = ACTIONS(10235),
    [anon_sym_finally] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_DASH_GT] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [6317] = {
    [sym_block_comment] = STATE(6317),
    [sym_line_comment] = STATE(6317),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_catch] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_DASH_GT] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [6318] = {
    [sym_block_comment] = STATE(6318),
    [sym_line_comment] = STATE(6318),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_catch] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [6319] = {
    [sym_block_comment] = STATE(6319),
    [sym_line_comment] = STATE(6319),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_catch] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [6320] = {
    [sym_block_comment] = STATE(6320),
    [sym_line_comment] = STATE(6320),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_catch] = ACTIONS(10239),
    [anon_sym_finally] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_DASH_GT] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [6321] = {
    [sym_block_comment] = STATE(6321),
    [sym_line_comment] = STATE(6321),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_catch] = ACTIONS(10245),
    [anon_sym_finally] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_DASH_GT] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [6322] = {
    [sym_block_comment] = STATE(6322),
    [sym_line_comment] = STATE(6322),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_catch] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [6323] = {
    [sym_block_comment] = STATE(6323),
    [sym_line_comment] = STATE(6323),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_catch] = ACTIONS(10249),
    [anon_sym_finally] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_DASH_GT] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [6324] = {
    [sym_block_comment] = STATE(6324),
    [sym_line_comment] = STATE(6324),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10173),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10173),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10173),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10173),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10173),
    [anon_sym_COLON_EQ] = ACTIONS(10173),
    [anon_sym_DOT_EQ] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10173),
    [anon_sym_QMARK] = ACTIONS(10173),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10173),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10173),
    [aux_sym_integer_literal_token2] = ACTIONS(10173),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10173),
    [aux_sym_float_literal_token3] = ACTIONS(10173),
    [aux_sym_float_literal_token4] = ACTIONS(10173),
    [sym_character_literal] = ACTIONS(10173),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10173),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10173),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10173),
    [aux_sym__assignment_operator_token1] = ACTIONS(10173),
    [sym__pair_operator] = ACTIONS(10173),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10173),
    [sym__lazy_and_operator] = ACTIONS(10173),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10173),
    [sym__pipe_left_operator] = ACTIONS(10173),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10173),
    [sym__type_order_operator] = ACTIONS(10173),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [6325] = {
    [sym_block_comment] = STATE(6325),
    [sym_line_comment] = STATE(6325),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_COLON_EQ] = ACTIONS(189),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(189),
    [aux_sym_float_literal_token3] = ACTIONS(189),
    [aux_sym_float_literal_token4] = ACTIONS(189),
    [sym_character_literal] = ACTIONS(189),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(189),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(189),
    [anon_sym_DOLLAR_EQ] = ACTIONS(189),
    [aux_sym__assignment_operator_token1] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(189),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(189),
    [sym__pipe_left_operator] = ACTIONS(189),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(189),
    [sym__type_order_operator] = ACTIONS(189),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6326] = {
    [sym_identifier] = STATE(6582),
    [sym_block_comment] = STATE(6326),
    [sym_line_comment] = STATE(6326),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_finally] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [6327] = {
    [sym_block_comment] = STATE(6327),
    [sym_line_comment] = STATE(6327),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_else] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_finally] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [6328] = {
    [sym_identifier] = STATE(6407),
    [sym_block_comment] = STATE(6328),
    [sym_line_comment] = STATE(6328),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_finally] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [6329] = {
    [sym_block_comment] = STATE(6329),
    [sym_line_comment] = STATE(6329),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10211),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10211),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10211),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10211),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10211),
    [anon_sym_COLON_EQ] = ACTIONS(10211),
    [anon_sym_DOT_EQ] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10211),
    [anon_sym_QMARK] = ACTIONS(10211),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10211),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10211),
    [aux_sym_integer_literal_token2] = ACTIONS(10211),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10211),
    [aux_sym_float_literal_token3] = ACTIONS(10211),
    [aux_sym_float_literal_token4] = ACTIONS(10211),
    [sym_character_literal] = ACTIONS(10211),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10211),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10211),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10211),
    [aux_sym__assignment_operator_token1] = ACTIONS(10211),
    [sym__pair_operator] = ACTIONS(10211),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10211),
    [sym__lazy_and_operator] = ACTIONS(10211),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10211),
    [sym__pipe_left_operator] = ACTIONS(10211),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10211),
    [sym__type_order_operator] = ACTIONS(10211),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [6330] = {
    [sym_block_comment] = STATE(6330),
    [sym_line_comment] = STATE(6330),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10215),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10215),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10215),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10215),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10215),
    [anon_sym_COLON_EQ] = ACTIONS(10215),
    [anon_sym_DOT_EQ] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10215),
    [anon_sym_QMARK] = ACTIONS(10215),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10215),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10215),
    [aux_sym_integer_literal_token2] = ACTIONS(10215),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10215),
    [aux_sym_float_literal_token3] = ACTIONS(10215),
    [aux_sym_float_literal_token4] = ACTIONS(10215),
    [sym_character_literal] = ACTIONS(10215),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10215),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10215),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10215),
    [aux_sym__assignment_operator_token1] = ACTIONS(10215),
    [sym__pair_operator] = ACTIONS(10215),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10215),
    [sym__lazy_and_operator] = ACTIONS(10215),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10215),
    [sym__pipe_left_operator] = ACTIONS(10215),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10215),
    [sym__type_order_operator] = ACTIONS(10215),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [6331] = {
    [sym_block_comment] = STATE(6331),
    [sym_line_comment] = STATE(6331),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9943),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9943),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9943),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9943),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9943),
    [anon_sym_COLON_EQ] = ACTIONS(9943),
    [anon_sym_DOT_EQ] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9943),
    [anon_sym_QMARK] = ACTIONS(9943),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9943),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9943),
    [aux_sym_integer_literal_token2] = ACTIONS(9943),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9943),
    [aux_sym_float_literal_token3] = ACTIONS(9943),
    [aux_sym_float_literal_token4] = ACTIONS(9943),
    [sym_character_literal] = ACTIONS(9943),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9943),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9943),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9943),
    [aux_sym__assignment_operator_token1] = ACTIONS(9943),
    [sym__pair_operator] = ACTIONS(9943),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9943),
    [sym__lazy_and_operator] = ACTIONS(9943),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9943),
    [sym__pipe_left_operator] = ACTIONS(9943),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9943),
    [sym__type_order_operator] = ACTIONS(9943),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [6332] = {
    [sym_block_comment] = STATE(6332),
    [sym_line_comment] = STATE(6332),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9937),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9937),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9937),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9937),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9937),
    [anon_sym_COLON_EQ] = ACTIONS(9937),
    [anon_sym_DOT_EQ] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9937),
    [anon_sym_QMARK] = ACTIONS(9937),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9937),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9937),
    [aux_sym_integer_literal_token2] = ACTIONS(9937),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9937),
    [aux_sym_float_literal_token3] = ACTIONS(9937),
    [aux_sym_float_literal_token4] = ACTIONS(9937),
    [sym_character_literal] = ACTIONS(9937),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9937),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9937),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9937),
    [aux_sym__assignment_operator_token1] = ACTIONS(9937),
    [sym__pair_operator] = ACTIONS(9937),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9937),
    [sym__lazy_and_operator] = ACTIONS(9937),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9937),
    [sym__pipe_left_operator] = ACTIONS(9937),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9937),
    [sym__type_order_operator] = ACTIONS(9937),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [6333] = {
    [sym_block_comment] = STATE(6333),
    [sym_line_comment] = STATE(6333),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [6334] = {
    [sym_block_comment] = STATE(6334),
    [sym_line_comment] = STATE(6334),
    [ts_builtin_sym_end] = ACTIONS(10439),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_RBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_DASH_GT] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [6335] = {
    [sym_block_comment] = STATE(6335),
    [sym_line_comment] = STATE(6335),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10223),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10223),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10223),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10223),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10223),
    [anon_sym_COLON_EQ] = ACTIONS(10223),
    [anon_sym_DOT_EQ] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10223),
    [anon_sym_QMARK] = ACTIONS(10223),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10223),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10223),
    [aux_sym_integer_literal_token2] = ACTIONS(10223),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10223),
    [aux_sym_float_literal_token3] = ACTIONS(10223),
    [aux_sym_float_literal_token4] = ACTIONS(10223),
    [sym_character_literal] = ACTIONS(10223),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10223),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10223),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10223),
    [aux_sym__assignment_operator_token1] = ACTIONS(10223),
    [sym__pair_operator] = ACTIONS(10223),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10223),
    [sym__lazy_and_operator] = ACTIONS(10223),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10223),
    [sym__pipe_left_operator] = ACTIONS(10223),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10223),
    [sym__type_order_operator] = ACTIONS(10223),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [6336] = {
    [sym_block_comment] = STATE(6336),
    [sym_line_comment] = STATE(6336),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10227),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10227),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10227),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10227),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10227),
    [anon_sym_COLON_EQ] = ACTIONS(10227),
    [anon_sym_DOT_EQ] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10227),
    [anon_sym_QMARK] = ACTIONS(10227),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10227),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10227),
    [aux_sym_integer_literal_token2] = ACTIONS(10227),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10227),
    [aux_sym_float_literal_token3] = ACTIONS(10227),
    [aux_sym_float_literal_token4] = ACTIONS(10227),
    [sym_character_literal] = ACTIONS(10227),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10227),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10227),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10227),
    [aux_sym__assignment_operator_token1] = ACTIONS(10227),
    [sym__pair_operator] = ACTIONS(10227),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10227),
    [sym__lazy_and_operator] = ACTIONS(10227),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10227),
    [sym__pipe_left_operator] = ACTIONS(10227),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10227),
    [sym__type_order_operator] = ACTIONS(10227),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [6337] = {
    [sym_block_comment] = STATE(6337),
    [sym_line_comment] = STATE(6337),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_catch] = ACTIONS(10429),
    [anon_sym_finally] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_DASH_GT] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [6338] = {
    [sym_block_comment] = STATE(6338),
    [sym_line_comment] = STATE(6338),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_catch] = ACTIONS(10433),
    [anon_sym_finally] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_DASH_GT] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [6339] = {
    [sym_block_comment] = STATE(6339),
    [sym_line_comment] = STATE(6339),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10237),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10237),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10237),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10237),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10237),
    [anon_sym_COLON_EQ] = ACTIONS(10237),
    [anon_sym_DOT_EQ] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10237),
    [anon_sym_QMARK] = ACTIONS(10237),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10237),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10237),
    [aux_sym_integer_literal_token2] = ACTIONS(10237),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10237),
    [aux_sym_float_literal_token3] = ACTIONS(10237),
    [aux_sym_float_literal_token4] = ACTIONS(10237),
    [sym_character_literal] = ACTIONS(10237),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10237),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10237),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10237),
    [aux_sym__assignment_operator_token1] = ACTIONS(10237),
    [sym__pair_operator] = ACTIONS(10237),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10237),
    [sym__lazy_and_operator] = ACTIONS(10237),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10237),
    [sym__pipe_left_operator] = ACTIONS(10237),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10237),
    [sym__type_order_operator] = ACTIONS(10237),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [6340] = {
    [sym_block_comment] = STATE(6340),
    [sym_line_comment] = STATE(6340),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9989),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9989),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9989),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9989),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9989),
    [anon_sym_COLON_EQ] = ACTIONS(9989),
    [anon_sym_DOT_EQ] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9989),
    [anon_sym_QMARK] = ACTIONS(9989),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9989),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9989),
    [aux_sym_integer_literal_token2] = ACTIONS(9989),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9989),
    [aux_sym_float_literal_token3] = ACTIONS(9989),
    [aux_sym_float_literal_token4] = ACTIONS(9989),
    [sym_character_literal] = ACTIONS(9989),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9989),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9989),
    [anon_sym_DOLLAR_EQ] = ACTIONS(9989),
    [aux_sym__assignment_operator_token1] = ACTIONS(9989),
    [sym__pair_operator] = ACTIONS(9989),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9989),
    [sym__lazy_and_operator] = ACTIONS(9989),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9989),
    [sym__pipe_left_operator] = ACTIONS(9989),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9989),
    [sym__type_order_operator] = ACTIONS(9989),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [6341] = {
    [sym_block_comment] = STATE(6341),
    [sym_line_comment] = STATE(6341),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10241),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10241),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10241),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10241),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10241),
    [anon_sym_COLON_EQ] = ACTIONS(10241),
    [anon_sym_DOT_EQ] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10241),
    [anon_sym_QMARK] = ACTIONS(10241),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10241),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10241),
    [aux_sym_integer_literal_token2] = ACTIONS(10241),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10241),
    [aux_sym_float_literal_token3] = ACTIONS(10241),
    [aux_sym_float_literal_token4] = ACTIONS(10241),
    [sym_character_literal] = ACTIONS(10241),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10241),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10241),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10241),
    [aux_sym__assignment_operator_token1] = ACTIONS(10241),
    [sym__pair_operator] = ACTIONS(10241),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10241),
    [sym__lazy_and_operator] = ACTIONS(10241),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10241),
    [sym__pipe_left_operator] = ACTIONS(10241),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10241),
    [sym__type_order_operator] = ACTIONS(10241),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [6342] = {
    [sym_block_comment] = STATE(6342),
    [sym_line_comment] = STATE(6342),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10247),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10247),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10247),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10247),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10247),
    [anon_sym_COLON_EQ] = ACTIONS(10247),
    [anon_sym_DOT_EQ] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10247),
    [anon_sym_QMARK] = ACTIONS(10247),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10247),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10247),
    [aux_sym_integer_literal_token2] = ACTIONS(10247),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10247),
    [aux_sym_float_literal_token3] = ACTIONS(10247),
    [aux_sym_float_literal_token4] = ACTIONS(10247),
    [sym_character_literal] = ACTIONS(10247),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10247),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10247),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10247),
    [aux_sym__assignment_operator_token1] = ACTIONS(10247),
    [sym__pair_operator] = ACTIONS(10247),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10247),
    [sym__lazy_and_operator] = ACTIONS(10247),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10247),
    [sym__pipe_left_operator] = ACTIONS(10247),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10247),
    [sym__type_order_operator] = ACTIONS(10247),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [6343] = {
    [sym_block_comment] = STATE(6343),
    [sym_line_comment] = STATE(6343),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10251),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10251),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10251),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10251),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10251),
    [anon_sym_COLON_EQ] = ACTIONS(10251),
    [anon_sym_DOT_EQ] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10251),
    [anon_sym_QMARK] = ACTIONS(10251),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10251),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10251),
    [aux_sym_integer_literal_token2] = ACTIONS(10251),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10251),
    [aux_sym_float_literal_token3] = ACTIONS(10251),
    [aux_sym_float_literal_token4] = ACTIONS(10251),
    [sym_character_literal] = ACTIONS(10251),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10251),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10251),
    [anon_sym_DOLLAR_EQ] = ACTIONS(10251),
    [aux_sym__assignment_operator_token1] = ACTIONS(10251),
    [sym__pair_operator] = ACTIONS(10251),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10251),
    [sym__lazy_and_operator] = ACTIONS(10251),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10251),
    [sym__pipe_left_operator] = ACTIONS(10251),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10251),
    [sym__type_order_operator] = ACTIONS(10251),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [6344] = {
    [sym_block_comment] = STATE(6344),
    [sym_line_comment] = STATE(6344),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_catch] = ACTIONS(10437),
    [anon_sym_finally] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_DASH_GT] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [6345] = {
    [sym_block_comment] = STATE(6345),
    [sym_line_comment] = STATE(6345),
    [ts_builtin_sym_end] = ACTIONS(10321),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_RBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_DASH_GT] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [6346] = {
    [sym_block_comment] = STATE(6346),
    [sym_line_comment] = STATE(6346),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_catch] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_DASH_GT] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [6347] = {
    [sym_block_comment] = STATE(6347),
    [sym_line_comment] = STATE(6347),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_catch] = ACTIONS(10291),
    [anon_sym_finally] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_DASH_GT] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [6348] = {
    [sym_block_comment] = STATE(6348),
    [sym_line_comment] = STATE(6348),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_catch] = ACTIONS(10307),
    [anon_sym_finally] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_DASH_GT] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [6349] = {
    [sym_block_comment] = STATE(6349),
    [sym_line_comment] = STATE(6349),
    [ts_builtin_sym_end] = ACTIONS(10141),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_RBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_DASH_GT] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [6350] = {
    [sym_block_comment] = STATE(6350),
    [sym_line_comment] = STATE(6350),
    [ts_builtin_sym_end] = ACTIONS(10293),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_RBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_DASH_GT] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [6351] = {
    [sym_block_comment] = STATE(6351),
    [sym_line_comment] = STATE(6351),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_catch] = ACTIONS(10347),
    [anon_sym_finally] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_DASH_GT] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [6352] = {
    [sym_block_comment] = STATE(6352),
    [sym_line_comment] = STATE(6352),
    [ts_builtin_sym_end] = ACTIONS(10309),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_RBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_DASH_GT] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [6353] = {
    [sym_block_comment] = STATE(6353),
    [sym_line_comment] = STATE(6353),
    [ts_builtin_sym_end] = ACTIONS(10349),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_RBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_DASH_GT] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [6354] = {
    [sym_block_comment] = STATE(6354),
    [sym_line_comment] = STATE(6354),
    [ts_builtin_sym_end] = ACTIONS(10353),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_RBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_DASH_GT] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [6355] = {
    [sym_block_comment] = STATE(6355),
    [sym_line_comment] = STATE(6355),
    [ts_builtin_sym_end] = ACTIONS(10357),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_RBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_DASH_GT] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [6356] = {
    [sym_block_comment] = STATE(6356),
    [sym_line_comment] = STATE(6356),
    [ts_builtin_sym_end] = ACTIONS(10641),
    [sym__word_identifier] = ACTIONS(10635),
    [anon_sym_COMMA] = ACTIONS(10635),
    [anon_sym_EQ] = ACTIONS(10635),
    [anon_sym_begin] = ACTIONS(10635),
    [anon_sym_module] = ACTIONS(10635),
    [anon_sym_baremodule] = ACTIONS(10635),
    [anon_sym_abstract] = ACTIONS(10635),
    [anon_sym_primitive] = ACTIONS(10635),
    [anon_sym_mutable] = ACTIONS(10635),
    [anon_sym_struct] = ACTIONS(10635),
    [anon_sym_function] = ACTIONS(10635),
    [anon_sym_macro] = ACTIONS(10635),
    [anon_sym_quote] = ACTIONS(10635),
    [anon_sym_let] = ACTIONS(10635),
    [anon_sym_if] = ACTIONS(10635),
    [anon_sym_try] = ACTIONS(10635),
    [anon_sym_for] = ACTIONS(10635),
    [anon_sym_while] = ACTIONS(10635),
    [sym_break_statement] = ACTIONS(10635),
    [sym_continue_statement] = ACTIONS(10635),
    [anon_sym_return] = ACTIONS(10635),
    [anon_sym_const] = ACTIONS(10635),
    [anon_sym_global] = ACTIONS(10635),
    [anon_sym_local] = ACTIONS(10635),
    [anon_sym_LPAREN] = ACTIONS(10635),
    [anon_sym_COLON] = ACTIONS(10635),
    [anon_sym_export] = ACTIONS(10635),
    [anon_sym_public] = ACTIONS(10635),
    [anon_sym_import] = ACTIONS(10635),
    [anon_sym_using] = ACTIONS(10635),
    [anon_sym_LBRACK] = ACTIONS(10635),
    [anon_sym_RBRACK] = ACTIONS(10635),
    [anon_sym_in] = ACTIONS(10635),
    [anon_sym_SEMI] = ACTIONS(10635),
    [anon_sym_LBRACE] = ACTIONS(10635),
    [anon_sym_SQUOTE] = ACTIONS(10820),
    [anon_sym_DOT] = ACTIONS(10822),
    [anon_sym_DOLLAR] = ACTIONS(10635),
    [anon_sym_COLON2] = ACTIONS(10635),
    [anon_sym_COLON_COLON] = ACTIONS(10635),
    [anon_sym_isa] = ACTIONS(10635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10635),
    [anon_sym_QMARK] = ACTIONS(10635),
    [anon_sym_DASH_GT] = ACTIONS(10635),
    [anon_sym_where] = ACTIONS(10635),
    [anon_sym_AT] = ACTIONS(10635),
    [anon_sym_true] = ACTIONS(10635),
    [anon_sym_false] = ACTIONS(10635),
    [aux_sym_integer_literal_token1] = ACTIONS(10635),
    [aux_sym_integer_literal_token2] = ACTIONS(10635),
    [aux_sym_integer_literal_token3] = ACTIONS(10635),
    [aux_sym_integer_literal_token4] = ACTIONS(10635),
    [aux_sym_float_literal_token1] = ACTIONS(10635),
    [aux_sym_float_literal_token3] = ACTIONS(10635),
    [aux_sym_float_literal_token4] = ACTIONS(10635),
    [sym_character_literal] = ACTIONS(10635),
    [anon_sym_DQUOTE] = ACTIONS(10635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10635),
    [sym__pair_operator] = ACTIONS(10635),
    [sym__arrow_operator] = ACTIONS(10635),
    [sym__lazy_or_operator] = ACTIONS(10635),
    [sym__lazy_and_operator] = ACTIONS(10635),
    [sym__comparison_operator] = ACTIONS(10635),
    [sym__pipe_right_operator] = ACTIONS(10635),
    [sym__pipe_left_operator] = ACTIONS(10635),
    [sym__ellipsis_operator] = ACTIONS(10635),
    [sym__plus_operator] = ACTIONS(10635),
    [sym__times_operator] = ACTIONS(10635),
    [sym__rational_operator] = ACTIONS(10635),
    [sym__bitshift_operator] = ACTIONS(10635),
    [sym__power_operator] = ACTIONS(10635),
    [sym__tilde_operator] = ACTIONS(10635),
    [sym__type_order_operator] = ACTIONS(10635),
    [sym__unary_operator] = ACTIONS(10635),
    [sym__unary_plus_operator] = ACTIONS(10635),
    [aux_sym__terminator_token1] = ACTIONS(10641),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10824),
    [sym__immediate_bracket] = ACTIONS(10826),
    [sym__immediate_brace] = ACTIONS(10828),
  },
  [6357] = {
    [sym_block_comment] = STATE(6357),
    [sym_line_comment] = STATE(6357),
    [ts_builtin_sym_end] = ACTIONS(10405),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_RBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_DASH_GT] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [6358] = {
    [sym_block_comment] = STATE(6358),
    [sym_line_comment] = STATE(6358),
    [ts_builtin_sym_end] = ACTIONS(10313),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_RBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_DASH_GT] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [6359] = {
    [sym_block_comment] = STATE(6359),
    [sym_line_comment] = STATE(6359),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_catch] = ACTIONS(10351),
    [anon_sym_finally] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_DASH_GT] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [6360] = {
    [sym_block_comment] = STATE(6360),
    [sym_line_comment] = STATE(6360),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_catch] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_DASH_GT] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [6361] = {
    [sym_block_comment] = STATE(6361),
    [sym_line_comment] = STATE(6361),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_catch] = ACTIONS(10355),
    [anon_sym_finally] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_DASH_GT] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [6362] = {
    [sym_block_comment] = STATE(6362),
    [sym_line_comment] = STATE(6362),
    [ts_builtin_sym_end] = ACTIONS(10401),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_RBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_DASH_GT] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [6363] = {
    [sym_block_comment] = STATE(6363),
    [sym_line_comment] = STATE(6363),
    [ts_builtin_sym_end] = ACTIONS(10265),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_RBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_DASH_GT] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [6364] = {
    [sym_block_comment] = STATE(6364),
    [sym_line_comment] = STATE(6364),
    [ts_builtin_sym_end] = ACTIONS(10341),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_RBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_DASH_GT] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [6365] = {
    [sym_block_comment] = STATE(6365),
    [sym_line_comment] = STATE(6365),
    [ts_builtin_sym_end] = ACTIONS(10373),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_RBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_DASH_GT] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [6366] = {
    [sym_block_comment] = STATE(6366),
    [sym_line_comment] = STATE(6366),
    [ts_builtin_sym_end] = ACTIONS(10411),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_RBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_DASH_GT] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [6367] = {
    [sym_block_comment] = STATE(6367),
    [sym_line_comment] = STATE(6367),
    [ts_builtin_sym_end] = ACTIONS(10219),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_RBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_DASH_GT] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [6368] = {
    [sym_block_comment] = STATE(6368),
    [sym_line_comment] = STATE(6368),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_catch] = ACTIONS(10403),
    [anon_sym_finally] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_DASH_GT] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [6369] = {
    [sym_block_comment] = STATE(6369),
    [sym_line_comment] = STATE(6369),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_catch] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_DASH_GT] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [6370] = {
    [sym_block_comment] = STATE(6370),
    [sym_line_comment] = STATE(6370),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6371] = {
    [sym_block_comment] = STATE(6371),
    [sym_line_comment] = STATE(6371),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_finally] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_DASH_GT] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [6372] = {
    [sym_block_comment] = STATE(6372),
    [sym_line_comment] = STATE(6372),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DASH_GT] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [6373] = {
    [sym_block_comment] = STATE(6373),
    [sym_line_comment] = STATE(6373),
    [ts_builtin_sym_end] = ACTIONS(10361),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_RBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_DASH_GT] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [6374] = {
    [sym_block_comment] = STATE(6374),
    [sym_line_comment] = STATE(6374),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_catch] = ACTIONS(10311),
    [anon_sym_finally] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_DASH_GT] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [6375] = {
    [sym_block_comment] = STATE(6375),
    [sym_line_comment] = STATE(6375),
    [ts_builtin_sym_end] = ACTIONS(10129),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_RBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_DASH_GT] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [6376] = {
    [sym_block_comment] = STATE(6376),
    [sym_line_comment] = STATE(6376),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_catch] = ACTIONS(10193),
    [anon_sym_finally] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_DASH_GT] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [6377] = {
    [sym_block_comment] = STATE(6377),
    [sym_line_comment] = STATE(6377),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_catch] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_DASH_GT] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [6378] = {
    [sym_block_comment] = STATE(6378),
    [sym_line_comment] = STATE(6378),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_catch] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_DASH_GT] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [6379] = {
    [sym_block_comment] = STATE(6379),
    [sym_line_comment] = STATE(6379),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_catch] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_DASH_GT] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [6380] = {
    [sym_block_comment] = STATE(6380),
    [sym_line_comment] = STATE(6380),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_catch] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_DASH_GT] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [6381] = {
    [sym_block_comment] = STATE(6381),
    [sym_line_comment] = STATE(6381),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_catch] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [6382] = {
    [sym_block_comment] = STATE(6382),
    [sym_line_comment] = STATE(6382),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_catch] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_DASH_GT] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [6383] = {
    [sym_block_comment] = STATE(6383),
    [sym_line_comment] = STATE(6383),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6384] = {
    [sym_block_comment] = STATE(6384),
    [sym_line_comment] = STATE(6384),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_catch] = ACTIONS(10399),
    [anon_sym_finally] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_DASH_GT] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [6385] = {
    [sym_block_comment] = STATE(6385),
    [sym_line_comment] = STATE(6385),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_finally] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [6386] = {
    [sym_block_comment] = STATE(6386),
    [sym_line_comment] = STATE(6386),
    [ts_builtin_sym_end] = ACTIONS(10087),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_RBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_DASH_GT] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [6387] = {
    [sym_block_comment] = STATE(6387),
    [sym_line_comment] = STATE(6387),
    [ts_builtin_sym_end] = ACTIONS(10091),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_RBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [6388] = {
    [sym_block_comment] = STATE(6388),
    [sym_line_comment] = STATE(6388),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10129),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10129),
    [anon_sym_RPAREN] = ACTIONS(10129),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10129),
    [anon_sym_RBRACK] = ACTIONS(10129),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10129),
    [anon_sym_LBRACE] = ACTIONS(10129),
    [anon_sym_RBRACE] = ACTIONS(10129),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10129),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10129),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10129),
    [anon_sym_QMARK] = ACTIONS(10129),
    [anon_sym_DASH_GT] = ACTIONS(10129),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10129),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10129),
    [aux_sym_integer_literal_token2] = ACTIONS(10129),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10129),
    [aux_sym_float_literal_token3] = ACTIONS(10129),
    [aux_sym_float_literal_token4] = ACTIONS(10129),
    [sym_character_literal] = ACTIONS(10129),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10129),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10129),
    [sym__pair_operator] = ACTIONS(10129),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10129),
    [sym__lazy_and_operator] = ACTIONS(10129),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10129),
    [sym__pipe_left_operator] = ACTIONS(10129),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10129),
    [sym__bitshift_operator] = ACTIONS(10129),
    [sym__power_operator] = ACTIONS(10129),
    [sym__tilde_operator] = ACTIONS(10129),
    [sym__type_order_operator] = ACTIONS(10129),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [6389] = {
    [sym_block_comment] = STATE(6389),
    [sym_line_comment] = STATE(6389),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_catch] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_DASH_GT] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [6390] = {
    [sym_block_comment] = STATE(6390),
    [sym_line_comment] = STATE(6390),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_catch] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_DASH_GT] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [6391] = {
    [sym_block_comment] = STATE(6391),
    [sym_line_comment] = STATE(6391),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_finally] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_DASH_GT] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [6392] = {
    [sym_block_comment] = STATE(6392),
    [sym_line_comment] = STATE(6392),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_catch] = ACTIONS(10263),
    [anon_sym_finally] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_DASH_GT] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [6393] = {
    [sym_block_comment] = STATE(6393),
    [sym_line_comment] = STATE(6393),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_finally] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_DASH_GT] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [6394] = {
    [sym_block_comment] = STATE(6394),
    [sym_line_comment] = STATE(6394),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_catch] = ACTIONS(10229),
    [anon_sym_finally] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_DASH_GT] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [6395] = {
    [sym_block_comment] = STATE(6395),
    [sym_line_comment] = STATE(6395),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_DASH_GT] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [6396] = {
    [sym_block_comment] = STATE(6396),
    [sym_line_comment] = STATE(6396),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_catch] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_DASH_GT] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [6397] = {
    [sym_block_comment] = STATE(6397),
    [sym_line_comment] = STATE(6397),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_catch] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_DASH_GT] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [6398] = {
    [sym_block_comment] = STATE(6398),
    [sym_line_comment] = STATE(6398),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_DASH_GT] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [6399] = {
    [sym_block_comment] = STATE(6399),
    [sym_line_comment] = STATE(6399),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_finally] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [6400] = {
    [sym_block_comment] = STATE(6400),
    [sym_line_comment] = STATE(6400),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_catch] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_DASH_GT] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [6401] = {
    [sym_block_comment] = STATE(6401),
    [sym_line_comment] = STATE(6401),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_catch] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_DASH_GT] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [6402] = {
    [sym_block_comment] = STATE(6402),
    [sym_line_comment] = STATE(6402),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_finally] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [6403] = {
    [sym_block_comment] = STATE(6403),
    [sym_line_comment] = STATE(6403),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_catch] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_DASH_GT] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [6404] = {
    [sym_block_comment] = STATE(6404),
    [sym_line_comment] = STATE(6404),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [6405] = {
    [sym_block_comment] = STATE(6405),
    [sym_line_comment] = STATE(6405),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_finally] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_DASH_GT] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [6406] = {
    [sym_block_comment] = STATE(6406),
    [sym_line_comment] = STATE(6406),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_catch] = ACTIONS(10363),
    [anon_sym_finally] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [6407] = {
    [sym_block_comment] = STATE(6407),
    [sym_line_comment] = STATE(6407),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_finally] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [6408] = {
    [sym_do_clause] = STATE(6959),
    [sym_block_comment] = STATE(6408),
    [sym_line_comment] = STATE(6408),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9931),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9931),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9931),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9931),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10830),
    [anon_sym_DOLLAR] = ACTIONS(9931),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9931),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9931),
    [anon_sym_QMARK] = ACTIONS(9931),
    [anon_sym_DASH_GT] = ACTIONS(9931),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9931),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9931),
    [aux_sym_integer_literal_token2] = ACTIONS(9931),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9931),
    [aux_sym_float_literal_token3] = ACTIONS(9931),
    [aux_sym_float_literal_token4] = ACTIONS(9931),
    [sym_character_literal] = ACTIONS(9931),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9931),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9931),
    [sym__pair_operator] = ACTIONS(9931),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9931),
    [sym__lazy_and_operator] = ACTIONS(9931),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9931),
    [sym__pipe_left_operator] = ACTIONS(9931),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9931),
    [sym__bitshift_operator] = ACTIONS(9931),
    [sym__power_operator] = ACTIONS(9931),
    [sym__tilde_operator] = ACTIONS(9931),
    [sym__type_order_operator] = ACTIONS(9931),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [6409] = {
    [sym_block_comment] = STATE(6409),
    [sym_line_comment] = STATE(6409),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9943),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9943),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9943),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9943),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9943),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9943),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9943),
    [anon_sym_QMARK] = ACTIONS(9943),
    [anon_sym_DASH_GT] = ACTIONS(9943),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9943),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9943),
    [aux_sym_integer_literal_token2] = ACTIONS(9943),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9943),
    [aux_sym_float_literal_token3] = ACTIONS(9943),
    [aux_sym_float_literal_token4] = ACTIONS(9943),
    [sym_character_literal] = ACTIONS(9943),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9943),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9943),
    [sym__pair_operator] = ACTIONS(9943),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9943),
    [sym__lazy_and_operator] = ACTIONS(9943),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9943),
    [sym__pipe_left_operator] = ACTIONS(9943),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9943),
    [sym__bitshift_operator] = ACTIONS(9943),
    [sym__power_operator] = ACTIONS(9943),
    [sym__tilde_operator] = ACTIONS(9943),
    [sym__type_order_operator] = ACTIONS(9943),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10832),
    [sym__immediate_command_start] = ACTIONS(10834),
  },
  [6410] = {
    [sym_do_clause] = STATE(6961),
    [sym_block_comment] = STATE(6410),
    [sym_line_comment] = STATE(6410),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9937),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9937),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9937),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9937),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10830),
    [anon_sym_DOLLAR] = ACTIONS(9937),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9937),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9937),
    [anon_sym_QMARK] = ACTIONS(9937),
    [anon_sym_DASH_GT] = ACTIONS(9937),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9937),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9937),
    [aux_sym_integer_literal_token2] = ACTIONS(9937),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9937),
    [aux_sym_float_literal_token3] = ACTIONS(9937),
    [aux_sym_float_literal_token4] = ACTIONS(9937),
    [sym_character_literal] = ACTIONS(9937),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9937),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9937),
    [sym__pair_operator] = ACTIONS(9937),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9937),
    [sym__lazy_and_operator] = ACTIONS(9937),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9937),
    [sym__pipe_left_operator] = ACTIONS(9937),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9937),
    [sym__bitshift_operator] = ACTIONS(9937),
    [sym__power_operator] = ACTIONS(9937),
    [sym__tilde_operator] = ACTIONS(9937),
    [sym__type_order_operator] = ACTIONS(9937),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [6411] = {
    [sym_block_comment] = STATE(6411),
    [sym_line_comment] = STATE(6411),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9995),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_DASH_GT] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9995),
    [sym__bitshift_operator] = ACTIONS(9995),
    [sym__power_operator] = ACTIONS(9995),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10832),
    [sym__immediate_command_start] = ACTIONS(10834),
  },
  [6412] = {
    [sym_block_comment] = STATE(6412),
    [sym_line_comment] = STATE(6412),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_catch] = ACTIONS(10315),
    [anon_sym_finally] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [6413] = {
    [sym_block_comment] = STATE(6413),
    [sym_line_comment] = STATE(6413),
    [sym__word_identifier] = ACTIONS(10708),
    [anon_sym_COMMA] = ACTIONS(10708),
    [anon_sym_EQ] = ACTIONS(10708),
    [anon_sym_begin] = ACTIONS(10708),
    [anon_sym_module] = ACTIONS(10708),
    [anon_sym_baremodule] = ACTIONS(10708),
    [anon_sym_end] = ACTIONS(10708),
    [anon_sym_abstract] = ACTIONS(10708),
    [anon_sym_primitive] = ACTIONS(10708),
    [anon_sym_mutable] = ACTIONS(10708),
    [anon_sym_struct] = ACTIONS(10708),
    [anon_sym_function] = ACTIONS(10708),
    [anon_sym_macro] = ACTIONS(10708),
    [anon_sym_quote] = ACTIONS(10708),
    [anon_sym_let] = ACTIONS(10708),
    [anon_sym_if] = ACTIONS(10708),
    [anon_sym_try] = ACTIONS(10708),
    [anon_sym_catch] = ACTIONS(10708),
    [anon_sym_for] = ACTIONS(10708),
    [anon_sym_while] = ACTIONS(10708),
    [sym_break_statement] = ACTIONS(10708),
    [sym_continue_statement] = ACTIONS(10708),
    [anon_sym_return] = ACTIONS(10708),
    [anon_sym_const] = ACTIONS(10708),
    [anon_sym_global] = ACTIONS(10708),
    [anon_sym_local] = ACTIONS(10708),
    [anon_sym_LPAREN] = ACTIONS(10708),
    [anon_sym_COLON] = ACTIONS(10708),
    [anon_sym_export] = ACTIONS(10708),
    [anon_sym_public] = ACTIONS(10708),
    [anon_sym_import] = ACTIONS(10708),
    [anon_sym_using] = ACTIONS(10708),
    [anon_sym_LBRACK] = ACTIONS(10708),
    [anon_sym_in] = ACTIONS(10708),
    [anon_sym_SEMI] = ACTIONS(10708),
    [anon_sym_LBRACE] = ACTIONS(10708),
    [anon_sym_SQUOTE] = ACTIONS(10836),
    [anon_sym_DOT] = ACTIONS(10838),
    [anon_sym_DOLLAR] = ACTIONS(10708),
    [anon_sym_COLON2] = ACTIONS(10708),
    [anon_sym_COLON_COLON] = ACTIONS(10708),
    [anon_sym_isa] = ACTIONS(10708),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10708),
    [anon_sym_QMARK] = ACTIONS(10708),
    [anon_sym_where] = ACTIONS(10708),
    [anon_sym_AT] = ACTIONS(10708),
    [anon_sym_true] = ACTIONS(10708),
    [anon_sym_false] = ACTIONS(10708),
    [aux_sym_integer_literal_token1] = ACTIONS(10708),
    [aux_sym_integer_literal_token2] = ACTIONS(10708),
    [aux_sym_integer_literal_token3] = ACTIONS(10708),
    [aux_sym_integer_literal_token4] = ACTIONS(10708),
    [aux_sym_float_literal_token1] = ACTIONS(10708),
    [aux_sym_float_literal_token3] = ACTIONS(10708),
    [aux_sym_float_literal_token4] = ACTIONS(10708),
    [sym_character_literal] = ACTIONS(10708),
    [anon_sym_DQUOTE] = ACTIONS(10708),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10708),
    [anon_sym_BQUOTE] = ACTIONS(10708),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10708),
    [sym__pair_operator] = ACTIONS(10708),
    [sym__arrow_operator] = ACTIONS(10708),
    [sym__lazy_or_operator] = ACTIONS(10708),
    [sym__lazy_and_operator] = ACTIONS(10708),
    [sym__comparison_operator] = ACTIONS(10708),
    [sym__pipe_right_operator] = ACTIONS(10708),
    [sym__pipe_left_operator] = ACTIONS(10708),
    [sym__ellipsis_operator] = ACTIONS(10708),
    [sym__plus_operator] = ACTIONS(10708),
    [sym__times_operator] = ACTIONS(10708),
    [sym__rational_operator] = ACTIONS(10708),
    [sym__bitshift_operator] = ACTIONS(10708),
    [sym__power_operator] = ACTIONS(10708),
    [sym__tilde_operator] = ACTIONS(10708),
    [sym__type_order_operator] = ACTIONS(10708),
    [sym__unary_operator] = ACTIONS(10708),
    [sym__unary_plus_operator] = ACTIONS(10708),
    [aux_sym__terminator_token1] = ACTIONS(10746),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10840),
    [sym__immediate_bracket] = ACTIONS(10842),
    [sym__immediate_brace] = ACTIONS(10844),
  },
  [6414] = {
    [sym_block_comment] = STATE(6414),
    [sym_line_comment] = STATE(6414),
    [sym__word_identifier] = ACTIONS(10754),
    [anon_sym_COMMA] = ACTIONS(10754),
    [anon_sym_EQ] = ACTIONS(10754),
    [anon_sym_begin] = ACTIONS(10754),
    [anon_sym_module] = ACTIONS(10754),
    [anon_sym_baremodule] = ACTIONS(10754),
    [anon_sym_end] = ACTIONS(10754),
    [anon_sym_abstract] = ACTIONS(10754),
    [anon_sym_primitive] = ACTIONS(10754),
    [anon_sym_mutable] = ACTIONS(10754),
    [anon_sym_struct] = ACTIONS(10754),
    [anon_sym_function] = ACTIONS(10754),
    [anon_sym_macro] = ACTIONS(10754),
    [anon_sym_quote] = ACTIONS(10754),
    [anon_sym_let] = ACTIONS(10754),
    [anon_sym_if] = ACTIONS(10754),
    [anon_sym_try] = ACTIONS(10754),
    [anon_sym_catch] = ACTIONS(10754),
    [anon_sym_for] = ACTIONS(10754),
    [anon_sym_while] = ACTIONS(10754),
    [sym_break_statement] = ACTIONS(10754),
    [sym_continue_statement] = ACTIONS(10754),
    [anon_sym_return] = ACTIONS(10754),
    [anon_sym_const] = ACTIONS(10754),
    [anon_sym_global] = ACTIONS(10754),
    [anon_sym_local] = ACTIONS(10754),
    [anon_sym_LPAREN] = ACTIONS(10754),
    [anon_sym_COLON] = ACTIONS(10754),
    [anon_sym_export] = ACTIONS(10754),
    [anon_sym_public] = ACTIONS(10754),
    [anon_sym_import] = ACTIONS(10754),
    [anon_sym_using] = ACTIONS(10754),
    [anon_sym_LBRACK] = ACTIONS(10754),
    [anon_sym_in] = ACTIONS(10754),
    [anon_sym_SEMI] = ACTIONS(10754),
    [anon_sym_LBRACE] = ACTIONS(10754),
    [anon_sym_SQUOTE] = ACTIONS(10836),
    [anon_sym_DOT] = ACTIONS(10838),
    [anon_sym_DOLLAR] = ACTIONS(10754),
    [anon_sym_COLON2] = ACTIONS(10754),
    [anon_sym_COLON_COLON] = ACTIONS(10754),
    [anon_sym_isa] = ACTIONS(10754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10754),
    [anon_sym_QMARK] = ACTIONS(10754),
    [anon_sym_where] = ACTIONS(10754),
    [anon_sym_AT] = ACTIONS(10754),
    [anon_sym_true] = ACTIONS(10754),
    [anon_sym_false] = ACTIONS(10754),
    [aux_sym_integer_literal_token1] = ACTIONS(10754),
    [aux_sym_integer_literal_token2] = ACTIONS(10754),
    [aux_sym_integer_literal_token3] = ACTIONS(10754),
    [aux_sym_integer_literal_token4] = ACTIONS(10754),
    [aux_sym_float_literal_token1] = ACTIONS(10754),
    [aux_sym_float_literal_token3] = ACTIONS(10754),
    [aux_sym_float_literal_token4] = ACTIONS(10754),
    [sym_character_literal] = ACTIONS(10754),
    [anon_sym_DQUOTE] = ACTIONS(10754),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10754),
    [anon_sym_BQUOTE] = ACTIONS(10754),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10754),
    [sym__pair_operator] = ACTIONS(10754),
    [sym__arrow_operator] = ACTIONS(10754),
    [sym__lazy_or_operator] = ACTIONS(10754),
    [sym__lazy_and_operator] = ACTIONS(10754),
    [sym__comparison_operator] = ACTIONS(10754),
    [sym__pipe_right_operator] = ACTIONS(10754),
    [sym__pipe_left_operator] = ACTIONS(10754),
    [sym__ellipsis_operator] = ACTIONS(10754),
    [sym__plus_operator] = ACTIONS(10754),
    [sym__times_operator] = ACTIONS(10754),
    [sym__rational_operator] = ACTIONS(10754),
    [sym__bitshift_operator] = ACTIONS(10754),
    [sym__power_operator] = ACTIONS(10754),
    [sym__tilde_operator] = ACTIONS(10754),
    [sym__type_order_operator] = ACTIONS(10754),
    [sym__unary_operator] = ACTIONS(10754),
    [sym__unary_plus_operator] = ACTIONS(10754),
    [aux_sym__terminator_token1] = ACTIONS(10756),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10840),
    [sym__immediate_bracket] = ACTIONS(10842),
    [sym__immediate_brace] = ACTIONS(10844),
  },
  [6415] = {
    [sym_do_clause] = STATE(7083),
    [sym_block_comment] = STATE(6415),
    [sym_line_comment] = STATE(6415),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9947),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9947),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9947),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9947),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10830),
    [anon_sym_DOLLAR] = ACTIONS(9947),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9947),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9947),
    [anon_sym_QMARK] = ACTIONS(9947),
    [anon_sym_DASH_GT] = ACTIONS(9947),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9947),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9947),
    [aux_sym_integer_literal_token2] = ACTIONS(9947),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9947),
    [aux_sym_float_literal_token3] = ACTIONS(9947),
    [aux_sym_float_literal_token4] = ACTIONS(9947),
    [sym_character_literal] = ACTIONS(9947),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9947),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9947),
    [sym__pair_operator] = ACTIONS(9947),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9947),
    [sym__lazy_and_operator] = ACTIONS(9947),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9947),
    [sym__pipe_left_operator] = ACTIONS(9947),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9947),
    [sym__bitshift_operator] = ACTIONS(9947),
    [sym__power_operator] = ACTIONS(9947),
    [sym__tilde_operator] = ACTIONS(9947),
    [sym__type_order_operator] = ACTIONS(9947),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [6416] = {
    [sym_block_comment] = STATE(6416),
    [sym_line_comment] = STATE(6416),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_elseif] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [6417] = {
    [sym_do_clause] = STATE(7142),
    [sym_block_comment] = STATE(6417),
    [sym_line_comment] = STATE(6417),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9989),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9989),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9989),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9989),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10830),
    [anon_sym_DOLLAR] = ACTIONS(9989),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9989),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9989),
    [anon_sym_QMARK] = ACTIONS(9989),
    [anon_sym_DASH_GT] = ACTIONS(9989),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9989),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9989),
    [aux_sym_integer_literal_token2] = ACTIONS(9989),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9989),
    [aux_sym_float_literal_token3] = ACTIONS(9989),
    [aux_sym_float_literal_token4] = ACTIONS(9989),
    [sym_character_literal] = ACTIONS(9989),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9989),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9989),
    [sym__pair_operator] = ACTIONS(9989),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9989),
    [sym__lazy_and_operator] = ACTIONS(9989),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9989),
    [sym__pipe_left_operator] = ACTIONS(9989),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9989),
    [sym__bitshift_operator] = ACTIONS(9989),
    [sym__power_operator] = ACTIONS(9989),
    [sym__tilde_operator] = ACTIONS(9989),
    [sym__type_order_operator] = ACTIONS(9989),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [6418] = {
    [sym_block_comment] = STATE(6418),
    [sym_line_comment] = STATE(6418),
    [sym__word_identifier] = ACTIONS(10708),
    [anon_sym_COMMA] = ACTIONS(10708),
    [anon_sym_EQ] = ACTIONS(10708),
    [anon_sym_begin] = ACTIONS(10708),
    [anon_sym_module] = ACTIONS(10708),
    [anon_sym_baremodule] = ACTIONS(10708),
    [anon_sym_end] = ACTIONS(10708),
    [anon_sym_abstract] = ACTIONS(10708),
    [anon_sym_primitive] = ACTIONS(10708),
    [anon_sym_mutable] = ACTIONS(10708),
    [anon_sym_struct] = ACTIONS(10708),
    [anon_sym_function] = ACTIONS(10708),
    [anon_sym_macro] = ACTIONS(10708),
    [anon_sym_quote] = ACTIONS(10708),
    [anon_sym_let] = ACTIONS(10708),
    [anon_sym_if] = ACTIONS(10708),
    [anon_sym_try] = ACTIONS(10708),
    [anon_sym_finally] = ACTIONS(10708),
    [anon_sym_for] = ACTIONS(10708),
    [anon_sym_while] = ACTIONS(10708),
    [sym_break_statement] = ACTIONS(10708),
    [sym_continue_statement] = ACTIONS(10708),
    [anon_sym_return] = ACTIONS(10708),
    [anon_sym_const] = ACTIONS(10708),
    [anon_sym_global] = ACTIONS(10708),
    [anon_sym_local] = ACTIONS(10708),
    [anon_sym_LPAREN] = ACTIONS(10708),
    [anon_sym_COLON] = ACTIONS(10708),
    [anon_sym_export] = ACTIONS(10708),
    [anon_sym_public] = ACTIONS(10708),
    [anon_sym_import] = ACTIONS(10708),
    [anon_sym_using] = ACTIONS(10708),
    [anon_sym_LBRACK] = ACTIONS(10708),
    [anon_sym_in] = ACTIONS(10708),
    [anon_sym_SEMI] = ACTIONS(10708),
    [anon_sym_LBRACE] = ACTIONS(10708),
    [anon_sym_SQUOTE] = ACTIONS(10846),
    [anon_sym_DOT] = ACTIONS(10848),
    [anon_sym_DOLLAR] = ACTIONS(10708),
    [anon_sym_COLON2] = ACTIONS(10708),
    [anon_sym_COLON_COLON] = ACTIONS(10708),
    [anon_sym_isa] = ACTIONS(10708),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10708),
    [anon_sym_QMARK] = ACTIONS(10708),
    [anon_sym_where] = ACTIONS(10708),
    [anon_sym_AT] = ACTIONS(10708),
    [anon_sym_true] = ACTIONS(10708),
    [anon_sym_false] = ACTIONS(10708),
    [aux_sym_integer_literal_token1] = ACTIONS(10708),
    [aux_sym_integer_literal_token2] = ACTIONS(10708),
    [aux_sym_integer_literal_token3] = ACTIONS(10708),
    [aux_sym_integer_literal_token4] = ACTIONS(10708),
    [aux_sym_float_literal_token1] = ACTIONS(10708),
    [aux_sym_float_literal_token3] = ACTIONS(10708),
    [aux_sym_float_literal_token4] = ACTIONS(10708),
    [sym_character_literal] = ACTIONS(10708),
    [anon_sym_DQUOTE] = ACTIONS(10708),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10708),
    [anon_sym_BQUOTE] = ACTIONS(10708),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10708),
    [sym__pair_operator] = ACTIONS(10708),
    [sym__arrow_operator] = ACTIONS(10708),
    [sym__lazy_or_operator] = ACTIONS(10708),
    [sym__lazy_and_operator] = ACTIONS(10708),
    [sym__comparison_operator] = ACTIONS(10708),
    [sym__pipe_right_operator] = ACTIONS(10708),
    [sym__pipe_left_operator] = ACTIONS(10708),
    [sym__ellipsis_operator] = ACTIONS(10708),
    [sym__plus_operator] = ACTIONS(10708),
    [sym__times_operator] = ACTIONS(10708),
    [sym__rational_operator] = ACTIONS(10708),
    [sym__bitshift_operator] = ACTIONS(10708),
    [sym__power_operator] = ACTIONS(10708),
    [sym__tilde_operator] = ACTIONS(10708),
    [sym__type_order_operator] = ACTIONS(10708),
    [sym__unary_operator] = ACTIONS(10708),
    [sym__unary_plus_operator] = ACTIONS(10708),
    [aux_sym__terminator_token1] = ACTIONS(10746),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10850),
    [sym__immediate_bracket] = ACTIONS(10852),
    [sym__immediate_brace] = ACTIONS(10854),
  },
  [6419] = {
    [sym_block_comment] = STATE(6419),
    [sym_line_comment] = STATE(6419),
    [sym__word_identifier] = ACTIONS(10754),
    [anon_sym_COMMA] = ACTIONS(10754),
    [anon_sym_EQ] = ACTIONS(10754),
    [anon_sym_begin] = ACTIONS(10754),
    [anon_sym_module] = ACTIONS(10754),
    [anon_sym_baremodule] = ACTIONS(10754),
    [anon_sym_end] = ACTIONS(10754),
    [anon_sym_abstract] = ACTIONS(10754),
    [anon_sym_primitive] = ACTIONS(10754),
    [anon_sym_mutable] = ACTIONS(10754),
    [anon_sym_struct] = ACTIONS(10754),
    [anon_sym_function] = ACTIONS(10754),
    [anon_sym_macro] = ACTIONS(10754),
    [anon_sym_quote] = ACTIONS(10754),
    [anon_sym_let] = ACTIONS(10754),
    [anon_sym_if] = ACTIONS(10754),
    [anon_sym_try] = ACTIONS(10754),
    [anon_sym_finally] = ACTIONS(10754),
    [anon_sym_for] = ACTIONS(10754),
    [anon_sym_while] = ACTIONS(10754),
    [sym_break_statement] = ACTIONS(10754),
    [sym_continue_statement] = ACTIONS(10754),
    [anon_sym_return] = ACTIONS(10754),
    [anon_sym_const] = ACTIONS(10754),
    [anon_sym_global] = ACTIONS(10754),
    [anon_sym_local] = ACTIONS(10754),
    [anon_sym_LPAREN] = ACTIONS(10754),
    [anon_sym_COLON] = ACTIONS(10754),
    [anon_sym_export] = ACTIONS(10754),
    [anon_sym_public] = ACTIONS(10754),
    [anon_sym_import] = ACTIONS(10754),
    [anon_sym_using] = ACTIONS(10754),
    [anon_sym_LBRACK] = ACTIONS(10754),
    [anon_sym_in] = ACTIONS(10754),
    [anon_sym_SEMI] = ACTIONS(10754),
    [anon_sym_LBRACE] = ACTIONS(10754),
    [anon_sym_SQUOTE] = ACTIONS(10846),
    [anon_sym_DOT] = ACTIONS(10848),
    [anon_sym_DOLLAR] = ACTIONS(10754),
    [anon_sym_COLON2] = ACTIONS(10754),
    [anon_sym_COLON_COLON] = ACTIONS(10754),
    [anon_sym_isa] = ACTIONS(10754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10754),
    [anon_sym_QMARK] = ACTIONS(10754),
    [anon_sym_where] = ACTIONS(10754),
    [anon_sym_AT] = ACTIONS(10754),
    [anon_sym_true] = ACTIONS(10754),
    [anon_sym_false] = ACTIONS(10754),
    [aux_sym_integer_literal_token1] = ACTIONS(10754),
    [aux_sym_integer_literal_token2] = ACTIONS(10754),
    [aux_sym_integer_literal_token3] = ACTIONS(10754),
    [aux_sym_integer_literal_token4] = ACTIONS(10754),
    [aux_sym_float_literal_token1] = ACTIONS(10754),
    [aux_sym_float_literal_token3] = ACTIONS(10754),
    [aux_sym_float_literal_token4] = ACTIONS(10754),
    [sym_character_literal] = ACTIONS(10754),
    [anon_sym_DQUOTE] = ACTIONS(10754),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10754),
    [anon_sym_BQUOTE] = ACTIONS(10754),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10754),
    [sym__pair_operator] = ACTIONS(10754),
    [sym__arrow_operator] = ACTIONS(10754),
    [sym__lazy_or_operator] = ACTIONS(10754),
    [sym__lazy_and_operator] = ACTIONS(10754),
    [sym__comparison_operator] = ACTIONS(10754),
    [sym__pipe_right_operator] = ACTIONS(10754),
    [sym__pipe_left_operator] = ACTIONS(10754),
    [sym__ellipsis_operator] = ACTIONS(10754),
    [sym__plus_operator] = ACTIONS(10754),
    [sym__times_operator] = ACTIONS(10754),
    [sym__rational_operator] = ACTIONS(10754),
    [sym__bitshift_operator] = ACTIONS(10754),
    [sym__power_operator] = ACTIONS(10754),
    [sym__tilde_operator] = ACTIONS(10754),
    [sym__type_order_operator] = ACTIONS(10754),
    [sym__unary_operator] = ACTIONS(10754),
    [sym__unary_plus_operator] = ACTIONS(10754),
    [aux_sym__terminator_token1] = ACTIONS(10756),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10850),
    [sym__immediate_bracket] = ACTIONS(10852),
    [sym__immediate_brace] = ACTIONS(10854),
  },
  [6420] = {
    [sym_block_comment] = STATE(6420),
    [sym_line_comment] = STATE(6420),
    [sym__word_identifier] = ACTIONS(10635),
    [anon_sym_COMMA] = ACTIONS(10635),
    [anon_sym_EQ] = ACTIONS(10635),
    [anon_sym_begin] = ACTIONS(10635),
    [anon_sym_module] = ACTIONS(10635),
    [anon_sym_baremodule] = ACTIONS(10635),
    [anon_sym_end] = ACTIONS(10635),
    [anon_sym_abstract] = ACTIONS(10635),
    [anon_sym_primitive] = ACTIONS(10635),
    [anon_sym_mutable] = ACTIONS(10635),
    [anon_sym_struct] = ACTIONS(10635),
    [anon_sym_function] = ACTIONS(10635),
    [anon_sym_macro] = ACTIONS(10635),
    [anon_sym_quote] = ACTIONS(10635),
    [anon_sym_let] = ACTIONS(10635),
    [anon_sym_if] = ACTIONS(10635),
    [anon_sym_try] = ACTIONS(10635),
    [anon_sym_for] = ACTIONS(10635),
    [anon_sym_while] = ACTIONS(10635),
    [sym_break_statement] = ACTIONS(10635),
    [sym_continue_statement] = ACTIONS(10635),
    [anon_sym_return] = ACTIONS(10635),
    [anon_sym_const] = ACTIONS(10635),
    [anon_sym_global] = ACTIONS(10635),
    [anon_sym_local] = ACTIONS(10635),
    [anon_sym_LPAREN] = ACTIONS(10635),
    [anon_sym_COLON] = ACTIONS(10635),
    [anon_sym_export] = ACTIONS(10635),
    [anon_sym_public] = ACTIONS(10635),
    [anon_sym_import] = ACTIONS(10635),
    [anon_sym_using] = ACTIONS(10635),
    [anon_sym_LBRACK] = ACTIONS(10635),
    [anon_sym_in] = ACTIONS(10635),
    [anon_sym_SEMI] = ACTIONS(10635),
    [anon_sym_LBRACE] = ACTIONS(10635),
    [anon_sym_SQUOTE] = ACTIONS(10856),
    [anon_sym_DOT] = ACTIONS(10858),
    [anon_sym_DOLLAR] = ACTIONS(10635),
    [anon_sym_COLON2] = ACTIONS(10635),
    [anon_sym_COLON_COLON] = ACTIONS(10635),
    [anon_sym_isa] = ACTIONS(10635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10635),
    [anon_sym_QMARK] = ACTIONS(10635),
    [anon_sym_DASH_GT] = ACTIONS(10635),
    [anon_sym_where] = ACTIONS(10635),
    [anon_sym_AT] = ACTIONS(10635),
    [anon_sym_true] = ACTIONS(10635),
    [anon_sym_false] = ACTIONS(10635),
    [aux_sym_integer_literal_token1] = ACTIONS(10635),
    [aux_sym_integer_literal_token2] = ACTIONS(10635),
    [aux_sym_integer_literal_token3] = ACTIONS(10635),
    [aux_sym_integer_literal_token4] = ACTIONS(10635),
    [aux_sym_float_literal_token1] = ACTIONS(10635),
    [aux_sym_float_literal_token3] = ACTIONS(10635),
    [aux_sym_float_literal_token4] = ACTIONS(10635),
    [sym_character_literal] = ACTIONS(10635),
    [anon_sym_DQUOTE] = ACTIONS(10635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10635),
    [sym__pair_operator] = ACTIONS(10635),
    [sym__arrow_operator] = ACTIONS(10635),
    [sym__lazy_or_operator] = ACTIONS(10635),
    [sym__lazy_and_operator] = ACTIONS(10635),
    [sym__comparison_operator] = ACTIONS(10635),
    [sym__pipe_right_operator] = ACTIONS(10635),
    [sym__pipe_left_operator] = ACTIONS(10635),
    [sym__ellipsis_operator] = ACTIONS(10635),
    [sym__plus_operator] = ACTIONS(10635),
    [sym__times_operator] = ACTIONS(10635),
    [sym__rational_operator] = ACTIONS(10635),
    [sym__bitshift_operator] = ACTIONS(10635),
    [sym__power_operator] = ACTIONS(10635),
    [sym__tilde_operator] = ACTIONS(10635),
    [sym__type_order_operator] = ACTIONS(10635),
    [sym__unary_operator] = ACTIONS(10635),
    [sym__unary_plus_operator] = ACTIONS(10635),
    [aux_sym__terminator_token1] = ACTIONS(10641),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10860),
    [sym__immediate_bracket] = ACTIONS(10862),
    [sym__immediate_brace] = ACTIONS(10864),
  },
  [6421] = {
    [sym_block_comment] = STATE(6421),
    [sym_line_comment] = STATE(6421),
    [ts_builtin_sym_end] = ACTIONS(10019),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_RBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6422] = {
    [sym_block_comment] = STATE(6422),
    [sym_line_comment] = STATE(6422),
    [ts_builtin_sym_end] = ACTIONS(10365),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_RBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [6423] = {
    [sym_block_comment] = STATE(6423),
    [sym_line_comment] = STATE(6423),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [6424] = {
    [sym_block_comment] = STATE(6424),
    [sym_line_comment] = STATE(6424),
    [ts_builtin_sym_end] = ACTIONS(9909),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_RBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
  },
  [6425] = {
    [sym_block_comment] = STATE(6425),
    [sym_line_comment] = STATE(6425),
    [ts_builtin_sym_end] = ACTIONS(10377),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_RBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [6426] = {
    [sym_block_comment] = STATE(6426),
    [sym_line_comment] = STATE(6426),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_else] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(10868),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [6427] = {
    [sym_block_comment] = STATE(6427),
    [sym_line_comment] = STATE(6427),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10073),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10073),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10073),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_SEMI] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10073),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10073),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10073),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10073),
    [anon_sym_QMARK] = ACTIONS(10073),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10073),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10073),
    [aux_sym_integer_literal_token2] = ACTIONS(10073),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10073),
    [aux_sym_float_literal_token3] = ACTIONS(10073),
    [aux_sym_float_literal_token4] = ACTIONS(10073),
    [sym_character_literal] = ACTIONS(10073),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10073),
    [sym__pair_operator] = ACTIONS(10073),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10073),
    [sym__lazy_and_operator] = ACTIONS(10073),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10073),
    [sym__pipe_left_operator] = ACTIONS(10073),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10073),
    [sym__bitshift_operator] = ACTIONS(10073),
    [sym__power_operator] = ACTIONS(10073),
    [sym__tilde_operator] = ACTIONS(10073),
    [sym__type_order_operator] = ACTIONS(10073),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym__terminator_token1] = ACTIONS(10075),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [6428] = {
    [sym_block_comment] = STATE(6428),
    [sym_line_comment] = STATE(6428),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10079),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10079),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10079),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_SEMI] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10079),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10079),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10079),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10079),
    [anon_sym_QMARK] = ACTIONS(10079),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10079),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10079),
    [aux_sym_integer_literal_token2] = ACTIONS(10079),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10079),
    [aux_sym_float_literal_token3] = ACTIONS(10079),
    [aux_sym_float_literal_token4] = ACTIONS(10079),
    [sym_character_literal] = ACTIONS(10079),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10079),
    [sym__pair_operator] = ACTIONS(10079),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10079),
    [sym__lazy_and_operator] = ACTIONS(10079),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10079),
    [sym__pipe_left_operator] = ACTIONS(10079),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10079),
    [sym__bitshift_operator] = ACTIONS(10079),
    [sym__power_operator] = ACTIONS(10079),
    [sym__tilde_operator] = ACTIONS(10079),
    [sym__type_order_operator] = ACTIONS(10079),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym__terminator_token1] = ACTIONS(10081),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [6429] = {
    [sym_block_comment] = STATE(6429),
    [sym_line_comment] = STATE(6429),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
  },
  [6430] = {
    [sym_block_comment] = STATE(6430),
    [sym_line_comment] = STATE(6430),
    [ts_builtin_sym_end] = ACTIONS(10173),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_RBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [6431] = {
    [sym_block_comment] = STATE(6431),
    [sym_line_comment] = STATE(6431),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3226),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3226),
    [aux_sym_integer_literal_token2] = ACTIONS(3226),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3226),
    [aux_sym_float_literal_token3] = ACTIONS(3226),
    [aux_sym_float_literal_token4] = ACTIONS(3226),
    [sym_character_literal] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3226),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3226),
    [sym__pair_operator] = ACTIONS(3226),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3226),
    [sym__pipe_left_operator] = ACTIONS(3226),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3226),
    [sym__bitshift_operator] = ACTIONS(3226),
    [sym__power_operator] = ACTIONS(3226),
    [sym__tilde_operator] = ACTIONS(3226),
    [sym__type_order_operator] = ACTIONS(3226),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [6432] = {
    [sym_block_comment] = STATE(6432),
    [sym_line_comment] = STATE(6432),
    [ts_builtin_sym_end] = ACTIONS(189),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_RBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6433] = {
    [sym_block_comment] = STATE(6433),
    [sym_line_comment] = STATE(6433),
    [ts_builtin_sym_end] = ACTIONS(9995),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_RBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [6434] = {
    [sym_block_comment] = STATE(6434),
    [sym_line_comment] = STATE(6434),
    [ts_builtin_sym_end] = ACTIONS(10195),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_RBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [6435] = {
    [sym_block_comment] = STATE(6435),
    [sym_line_comment] = STATE(6435),
    [ts_builtin_sym_end] = ACTIONS(10211),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_RBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [6436] = {
    [sym_block_comment] = STATE(6436),
    [sym_line_comment] = STATE(6436),
    [ts_builtin_sym_end] = ACTIONS(10215),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_RBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [6437] = {
    [sym_block_comment] = STATE(6437),
    [sym_line_comment] = STATE(6437),
    [ts_builtin_sym_end] = ACTIONS(9943),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_RBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [6438] = {
    [sym_block_comment] = STATE(6438),
    [sym_line_comment] = STATE(6438),
    [ts_builtin_sym_end] = ACTIONS(9937),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_RBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [6439] = {
    [sym_block_comment] = STATE(6439),
    [sym_line_comment] = STATE(6439),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_DASH_GT] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [6440] = {
    [sym_block_comment] = STATE(6440),
    [sym_line_comment] = STATE(6440),
    [ts_builtin_sym_end] = ACTIONS(10223),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_RBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [6441] = {
    [sym_block_comment] = STATE(6441),
    [sym_line_comment] = STATE(6441),
    [ts_builtin_sym_end] = ACTIONS(10227),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_RBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [6442] = {
    [sym_block_comment] = STATE(6442),
    [sym_line_comment] = STATE(6442),
    [ts_builtin_sym_end] = ACTIONS(10231),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_RBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [6443] = {
    [sym_block_comment] = STATE(6443),
    [sym_line_comment] = STATE(6443),
    [ts_builtin_sym_end] = ACTIONS(10237),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_RBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [6444] = {
    [sym_block_comment] = STATE(6444),
    [sym_line_comment] = STATE(6444),
    [ts_builtin_sym_end] = ACTIONS(9989),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_RBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [6445] = {
    [sym_block_comment] = STATE(6445),
    [sym_line_comment] = STATE(6445),
    [ts_builtin_sym_end] = ACTIONS(10241),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_RBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [6446] = {
    [sym_block_comment] = STATE(6446),
    [sym_line_comment] = STATE(6446),
    [ts_builtin_sym_end] = ACTIONS(10247),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_RBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [6447] = {
    [sym_block_comment] = STATE(6447),
    [sym_line_comment] = STATE(6447),
    [ts_builtin_sym_end] = ACTIONS(10251),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_RBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [6448] = {
    [sym_block_comment] = STATE(6448),
    [sym_line_comment] = STATE(6448),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [6449] = {
    [sym_block_comment] = STATE(6449),
    [sym_line_comment] = STATE(6449),
    [ts_builtin_sym_end] = ACTIONS(10279),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_RBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [6450] = {
    [sym_block_comment] = STATE(6450),
    [sym_line_comment] = STATE(6450),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_DASH_GT] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6451] = {
    [sym_block_comment] = STATE(6451),
    [sym_line_comment] = STATE(6451),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10085),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10085),
    [anon_sym_QMARK] = ACTIONS(10085),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10085),
    [sym__lazy_and_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [6452] = {
    [sym_block_comment] = STATE(6452),
    [sym_line_comment] = STATE(6452),
    [ts_builtin_sym_end] = ACTIONS(10129),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_RBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [6453] = {
    [sym_block_comment] = STATE(6453),
    [sym_line_comment] = STATE(6453),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10003),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10003),
    [anon_sym_QMARK] = ACTIONS(10003),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10003),
    [sym__lazy_and_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [6454] = {
    [sym_block_comment] = STATE(6454),
    [sym_line_comment] = STATE(6454),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10159),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10159),
    [anon_sym_QMARK] = ACTIONS(10159),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10159),
    [sym__lazy_and_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [6455] = {
    [sym_block_comment] = STATE(6455),
    [sym_line_comment] = STATE(6455),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10163),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10163),
    [anon_sym_QMARK] = ACTIONS(10163),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10163),
    [sym__lazy_and_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [6456] = {
    [sym_block_comment] = STATE(6456),
    [sym_line_comment] = STATE(6456),
    [ts_builtin_sym_end] = ACTIONS(10087),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_RBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [6457] = {
    [sym_block_comment] = STATE(6457),
    [sym_line_comment] = STATE(6457),
    [ts_builtin_sym_end] = ACTIONS(10091),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_RBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [6458] = {
    [sym_block_comment] = STATE(6458),
    [sym_line_comment] = STATE(6458),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10055),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10055),
    [anon_sym_QMARK] = ACTIONS(10055),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10055),
    [sym__lazy_and_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [6459] = {
    [sym_block_comment] = STATE(6459),
    [sym_line_comment] = STATE(6459),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6460] = {
    [sym_block_comment] = STATE(6460),
    [sym_line_comment] = STATE(6460),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10033),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10033),
    [anon_sym_QMARK] = ACTIONS(10033),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10033),
    [sym__lazy_and_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [6461] = {
    [sym_block_comment] = STATE(6461),
    [sym_line_comment] = STATE(6461),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10051),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10051),
    [anon_sym_QMARK] = ACTIONS(10051),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10051),
    [sym__lazy_and_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [6462] = {
    [sym_block_comment] = STATE(6462),
    [sym_line_comment] = STATE(6462),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10059),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10059),
    [anon_sym_QMARK] = ACTIONS(10059),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10059),
    [sym__lazy_and_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [6463] = {
    [sym_block_comment] = STATE(6463),
    [sym_line_comment] = STATE(6463),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10123),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10123),
    [anon_sym_QMARK] = ACTIONS(10123),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10123),
    [sym__lazy_and_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [6464] = {
    [sym_block_comment] = STATE(6464),
    [sym_line_comment] = STATE(6464),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10011),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10011),
    [anon_sym_QMARK] = ACTIONS(10011),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10011),
    [sym__lazy_and_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [6465] = {
    [sym_block_comment] = STATE(6465),
    [sym_line_comment] = STATE(6465),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_elseif] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10872),
    [sym__immediate_command_start] = ACTIONS(10874),
  },
  [6466] = {
    [sym_block_comment] = STATE(6466),
    [sym_line_comment] = STATE(6466),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_catch] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [6467] = {
    [sym_block_comment] = STATE(6467),
    [sym_line_comment] = STATE(6467),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_catch] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [6468] = {
    [sym_block_comment] = STATE(6468),
    [sym_line_comment] = STATE(6468),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_else] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_finally] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10878),
    [sym__immediate_bracket] = ACTIONS(10878),
    [sym__immediate_brace] = ACTIONS(10878),
  },
  [6469] = {
    [sym_block_comment] = STATE(6469),
    [sym_line_comment] = STATE(6469),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10173),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10173),
    [anon_sym_RPAREN] = ACTIONS(10173),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10173),
    [anon_sym_RBRACK] = ACTIONS(10173),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10173),
    [anon_sym_LBRACE] = ACTIONS(10173),
    [anon_sym_RBRACE] = ACTIONS(10173),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10173),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10173),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10173),
    [anon_sym_QMARK] = ACTIONS(10173),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10173),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10173),
    [aux_sym_integer_literal_token2] = ACTIONS(10173),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10173),
    [aux_sym_float_literal_token3] = ACTIONS(10173),
    [aux_sym_float_literal_token4] = ACTIONS(10173),
    [sym_character_literal] = ACTIONS(10173),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10173),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10173),
    [sym__pair_operator] = ACTIONS(10173),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10173),
    [sym__lazy_and_operator] = ACTIONS(10173),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10173),
    [sym__pipe_left_operator] = ACTIONS(10173),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10173),
    [sym__bitshift_operator] = ACTIONS(10173),
    [sym__power_operator] = ACTIONS(10173),
    [sym__tilde_operator] = ACTIONS(10173),
    [sym__type_order_operator] = ACTIONS(10173),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [6470] = {
    [sym_block_comment] = STATE(6470),
    [sym_line_comment] = STATE(6470),
    [ts_builtin_sym_end] = ACTIONS(10177),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_RBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [6471] = {
    [sym_block_comment] = STATE(6471),
    [sym_line_comment] = STATE(6471),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_RPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(189),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_RBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(189),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(189),
    [aux_sym_float_literal_token3] = ACTIONS(189),
    [aux_sym_float_literal_token4] = ACTIONS(189),
    [sym_character_literal] = ACTIONS(189),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(189),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(189),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(189),
    [sym__pipe_left_operator] = ACTIONS(189),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(189),
    [sym__bitshift_operator] = ACTIONS(189),
    [sym__power_operator] = ACTIONS(189),
    [sym__tilde_operator] = ACTIONS(189),
    [sym__type_order_operator] = ACTIONS(189),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6472] = {
    [sym_block_comment] = STATE(6472),
    [sym_line_comment] = STATE(6472),
    [ts_builtin_sym_end] = ACTIONS(10321),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_RBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [6473] = {
    [sym_block_comment] = STATE(6473),
    [sym_line_comment] = STATE(6473),
    [ts_builtin_sym_end] = ACTIONS(10397),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_RBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [6474] = {
    [sym_block_comment] = STATE(6474),
    [sym_line_comment] = STATE(6474),
    [ts_builtin_sym_end] = ACTIONS(10415),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_RBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [6475] = {
    [sym_block_comment] = STATE(6475),
    [sym_line_comment] = STATE(6475),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_RPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_RBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9995),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_RBRACE] = ACTIONS(9995),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9995),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9995),
    [sym__bitshift_operator] = ACTIONS(9995),
    [sym__power_operator] = ACTIONS(9995),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [6476] = {
    [sym_block_comment] = STATE(6476),
    [sym_line_comment] = STATE(6476),
    [ts_builtin_sym_end] = ACTIONS(10325),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_RBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [6477] = {
    [sym_block_comment] = STATE(6477),
    [sym_line_comment] = STATE(6477),
    [ts_builtin_sym_end] = ACTIONS(10329),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_RBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [6478] = {
    [sym_block_comment] = STATE(6478),
    [sym_line_comment] = STATE(6478),
    [ts_builtin_sym_end] = ACTIONS(10381),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_RBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [6479] = {
    [sym_block_comment] = STATE(6479),
    [sym_line_comment] = STATE(6479),
    [ts_builtin_sym_end] = ACTIONS(10387),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_RBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [6480] = {
    [sym_block_comment] = STATE(6480),
    [sym_line_comment] = STATE(6480),
    [ts_builtin_sym_end] = ACTIONS(10391),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_RBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [6481] = {
    [sym_block_comment] = STATE(6481),
    [sym_line_comment] = STATE(6481),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10195),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10195),
    [anon_sym_RPAREN] = ACTIONS(10195),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10195),
    [anon_sym_RBRACK] = ACTIONS(10195),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10195),
    [anon_sym_LBRACE] = ACTIONS(10195),
    [anon_sym_RBRACE] = ACTIONS(10195),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10195),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10195),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10195),
    [anon_sym_QMARK] = ACTIONS(10195),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10195),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10195),
    [aux_sym_integer_literal_token2] = ACTIONS(10195),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10195),
    [aux_sym_float_literal_token3] = ACTIONS(10195),
    [aux_sym_float_literal_token4] = ACTIONS(10195),
    [sym_character_literal] = ACTIONS(10195),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10195),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10195),
    [sym__pair_operator] = ACTIONS(10195),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10195),
    [sym__lazy_and_operator] = ACTIONS(10195),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10195),
    [sym__pipe_left_operator] = ACTIONS(10195),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10195),
    [sym__bitshift_operator] = ACTIONS(10195),
    [sym__power_operator] = ACTIONS(10195),
    [sym__tilde_operator] = ACTIONS(10195),
    [sym__type_order_operator] = ACTIONS(10195),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [6482] = {
    [sym_block_comment] = STATE(6482),
    [sym_line_comment] = STATE(6482),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10211),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10211),
    [anon_sym_RPAREN] = ACTIONS(10211),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10211),
    [anon_sym_RBRACK] = ACTIONS(10211),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10211),
    [anon_sym_LBRACE] = ACTIONS(10211),
    [anon_sym_RBRACE] = ACTIONS(10211),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10211),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10211),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10211),
    [anon_sym_QMARK] = ACTIONS(10211),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10211),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10211),
    [aux_sym_integer_literal_token2] = ACTIONS(10211),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10211),
    [aux_sym_float_literal_token3] = ACTIONS(10211),
    [aux_sym_float_literal_token4] = ACTIONS(10211),
    [sym_character_literal] = ACTIONS(10211),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10211),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10211),
    [sym__pair_operator] = ACTIONS(10211),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10211),
    [sym__lazy_and_operator] = ACTIONS(10211),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10211),
    [sym__pipe_left_operator] = ACTIONS(10211),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10211),
    [sym__bitshift_operator] = ACTIONS(10211),
    [sym__power_operator] = ACTIONS(10211),
    [sym__tilde_operator] = ACTIONS(10211),
    [sym__type_order_operator] = ACTIONS(10211),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [6483] = {
    [sym_block_comment] = STATE(6483),
    [sym_line_comment] = STATE(6483),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10215),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10215),
    [anon_sym_RPAREN] = ACTIONS(10215),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10215),
    [anon_sym_RBRACK] = ACTIONS(10215),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10215),
    [anon_sym_LBRACE] = ACTIONS(10215),
    [anon_sym_RBRACE] = ACTIONS(10215),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10215),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10215),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10215),
    [anon_sym_QMARK] = ACTIONS(10215),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10215),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10215),
    [aux_sym_integer_literal_token2] = ACTIONS(10215),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10215),
    [aux_sym_float_literal_token3] = ACTIONS(10215),
    [aux_sym_float_literal_token4] = ACTIONS(10215),
    [sym_character_literal] = ACTIONS(10215),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10215),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10215),
    [sym__pair_operator] = ACTIONS(10215),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10215),
    [sym__lazy_and_operator] = ACTIONS(10215),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10215),
    [sym__pipe_left_operator] = ACTIONS(10215),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10215),
    [sym__bitshift_operator] = ACTIONS(10215),
    [sym__power_operator] = ACTIONS(10215),
    [sym__tilde_operator] = ACTIONS(10215),
    [sym__type_order_operator] = ACTIONS(10215),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [6484] = {
    [sym_block_comment] = STATE(6484),
    [sym_line_comment] = STATE(6484),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9943),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9943),
    [anon_sym_RPAREN] = ACTIONS(9943),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9943),
    [anon_sym_RBRACK] = ACTIONS(9943),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9943),
    [anon_sym_LBRACE] = ACTIONS(9943),
    [anon_sym_RBRACE] = ACTIONS(9943),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9943),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9943),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9943),
    [anon_sym_QMARK] = ACTIONS(9943),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9943),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9943),
    [aux_sym_integer_literal_token2] = ACTIONS(9943),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9943),
    [aux_sym_float_literal_token3] = ACTIONS(9943),
    [aux_sym_float_literal_token4] = ACTIONS(9943),
    [sym_character_literal] = ACTIONS(9943),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9943),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9943),
    [sym__pair_operator] = ACTIONS(9943),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9943),
    [sym__lazy_and_operator] = ACTIONS(9943),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9943),
    [sym__pipe_left_operator] = ACTIONS(9943),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9943),
    [sym__bitshift_operator] = ACTIONS(9943),
    [sym__power_operator] = ACTIONS(9943),
    [sym__tilde_operator] = ACTIONS(9943),
    [sym__type_order_operator] = ACTIONS(9943),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [6485] = {
    [sym_block_comment] = STATE(6485),
    [sym_line_comment] = STATE(6485),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9937),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9937),
    [anon_sym_RPAREN] = ACTIONS(9937),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9937),
    [anon_sym_RBRACK] = ACTIONS(9937),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9937),
    [anon_sym_LBRACE] = ACTIONS(9937),
    [anon_sym_RBRACE] = ACTIONS(9937),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9937),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9937),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9937),
    [anon_sym_QMARK] = ACTIONS(9937),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9937),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9937),
    [aux_sym_integer_literal_token2] = ACTIONS(9937),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9937),
    [aux_sym_float_literal_token3] = ACTIONS(9937),
    [aux_sym_float_literal_token4] = ACTIONS(9937),
    [sym_character_literal] = ACTIONS(9937),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9937),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9937),
    [sym__pair_operator] = ACTIONS(9937),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9937),
    [sym__lazy_and_operator] = ACTIONS(9937),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9937),
    [sym__pipe_left_operator] = ACTIONS(9937),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9937),
    [sym__bitshift_operator] = ACTIONS(9937),
    [sym__power_operator] = ACTIONS(9937),
    [sym__tilde_operator] = ACTIONS(9937),
    [sym__type_order_operator] = ACTIONS(9937),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [6486] = {
    [sym_block_comment] = STATE(6486),
    [sym_line_comment] = STATE(6486),
    [ts_builtin_sym_end] = ACTIONS(10345),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_RBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [6487] = {
    [sym_block_comment] = STATE(6487),
    [sym_line_comment] = STATE(6487),
    [ts_builtin_sym_end] = ACTIONS(10419),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_RBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [6488] = {
    [sym_block_comment] = STATE(6488),
    [sym_line_comment] = STATE(6488),
    [ts_builtin_sym_end] = ACTIONS(10099),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_RBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [6489] = {
    [sym_block_comment] = STATE(6489),
    [sym_line_comment] = STATE(6489),
    [ts_builtin_sym_end] = ACTIONS(10103),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_RBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [6490] = {
    [sym_block_comment] = STATE(6490),
    [sym_line_comment] = STATE(6490),
    [ts_builtin_sym_end] = ACTIONS(10423),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_RBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [6491] = {
    [sym_block_comment] = STATE(6491),
    [sym_line_comment] = STATE(6491),
    [ts_builtin_sym_end] = ACTIONS(10431),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_RBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [6492] = {
    [sym_block_comment] = STATE(6492),
    [sym_line_comment] = STATE(6492),
    [ts_builtin_sym_end] = ACTIONS(10435),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_RBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [6493] = {
    [sym_block_comment] = STATE(6493),
    [sym_line_comment] = STATE(6493),
    [ts_builtin_sym_end] = ACTIONS(10439),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_RBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [6494] = {
    [sym_block_comment] = STATE(6494),
    [sym_line_comment] = STATE(6494),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10223),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10223),
    [anon_sym_RPAREN] = ACTIONS(10223),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10223),
    [anon_sym_RBRACK] = ACTIONS(10223),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10223),
    [anon_sym_LBRACE] = ACTIONS(10223),
    [anon_sym_RBRACE] = ACTIONS(10223),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10223),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10223),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10223),
    [anon_sym_QMARK] = ACTIONS(10223),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10223),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10223),
    [aux_sym_integer_literal_token2] = ACTIONS(10223),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10223),
    [aux_sym_float_literal_token3] = ACTIONS(10223),
    [aux_sym_float_literal_token4] = ACTIONS(10223),
    [sym_character_literal] = ACTIONS(10223),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10223),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10223),
    [sym__pair_operator] = ACTIONS(10223),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10223),
    [sym__lazy_and_operator] = ACTIONS(10223),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10223),
    [sym__pipe_left_operator] = ACTIONS(10223),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10223),
    [sym__bitshift_operator] = ACTIONS(10223),
    [sym__power_operator] = ACTIONS(10223),
    [sym__tilde_operator] = ACTIONS(10223),
    [sym__type_order_operator] = ACTIONS(10223),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [6495] = {
    [sym_block_comment] = STATE(6495),
    [sym_line_comment] = STATE(6495),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10227),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10227),
    [anon_sym_RPAREN] = ACTIONS(10227),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10227),
    [anon_sym_RBRACK] = ACTIONS(10227),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10227),
    [anon_sym_LBRACE] = ACTIONS(10227),
    [anon_sym_RBRACE] = ACTIONS(10227),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10227),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10227),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10227),
    [anon_sym_QMARK] = ACTIONS(10227),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10227),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10227),
    [aux_sym_integer_literal_token2] = ACTIONS(10227),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10227),
    [aux_sym_float_literal_token3] = ACTIONS(10227),
    [aux_sym_float_literal_token4] = ACTIONS(10227),
    [sym_character_literal] = ACTIONS(10227),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10227),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10227),
    [sym__pair_operator] = ACTIONS(10227),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10227),
    [sym__lazy_and_operator] = ACTIONS(10227),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10227),
    [sym__pipe_left_operator] = ACTIONS(10227),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10227),
    [sym__bitshift_operator] = ACTIONS(10227),
    [sym__power_operator] = ACTIONS(10227),
    [sym__tilde_operator] = ACTIONS(10227),
    [sym__type_order_operator] = ACTIONS(10227),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [6496] = {
    [sym_block_comment] = STATE(6496),
    [sym_line_comment] = STATE(6496),
    [ts_builtin_sym_end] = ACTIONS(10141),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_RBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [6497] = {
    [sym_block_comment] = STATE(6497),
    [sym_line_comment] = STATE(6497),
    [ts_builtin_sym_end] = ACTIONS(10293),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_RBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [6498] = {
    [sym_block_comment] = STATE(6498),
    [sym_line_comment] = STATE(6498),
    [ts_builtin_sym_end] = ACTIONS(10309),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_RBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [6499] = {
    [sym_block_comment] = STATE(6499),
    [sym_line_comment] = STATE(6499),
    [ts_builtin_sym_end] = ACTIONS(10349),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_RBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [6500] = {
    [sym_block_comment] = STATE(6500),
    [sym_line_comment] = STATE(6500),
    [ts_builtin_sym_end] = ACTIONS(10353),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_RBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [6501] = {
    [sym_block_comment] = STATE(6501),
    [sym_line_comment] = STATE(6501),
    [ts_builtin_sym_end] = ACTIONS(10357),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_RBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [6502] = {
    [sym_block_comment] = STATE(6502),
    [sym_line_comment] = STATE(6502),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10231),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10231),
    [anon_sym_RPAREN] = ACTIONS(10231),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10231),
    [anon_sym_RBRACK] = ACTIONS(10231),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10231),
    [anon_sym_LBRACE] = ACTIONS(10231),
    [anon_sym_RBRACE] = ACTIONS(10231),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10231),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10231),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10231),
    [anon_sym_QMARK] = ACTIONS(10231),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10231),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10231),
    [aux_sym_integer_literal_token2] = ACTIONS(10231),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10231),
    [aux_sym_float_literal_token3] = ACTIONS(10231),
    [aux_sym_float_literal_token4] = ACTIONS(10231),
    [sym_character_literal] = ACTIONS(10231),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10231),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10231),
    [sym__pair_operator] = ACTIONS(10231),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10231),
    [sym__lazy_and_operator] = ACTIONS(10231),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10231),
    [sym__pipe_left_operator] = ACTIONS(10231),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10231),
    [sym__bitshift_operator] = ACTIONS(10231),
    [sym__power_operator] = ACTIONS(10231),
    [sym__tilde_operator] = ACTIONS(10231),
    [sym__type_order_operator] = ACTIONS(10231),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [6503] = {
    [sym_block_comment] = STATE(6503),
    [sym_line_comment] = STATE(6503),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10237),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10237),
    [anon_sym_RPAREN] = ACTIONS(10237),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10237),
    [anon_sym_RBRACK] = ACTIONS(10237),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10237),
    [anon_sym_LBRACE] = ACTIONS(10237),
    [anon_sym_RBRACE] = ACTIONS(10237),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10237),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10237),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10237),
    [anon_sym_QMARK] = ACTIONS(10237),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10237),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10237),
    [aux_sym_integer_literal_token2] = ACTIONS(10237),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10237),
    [aux_sym_float_literal_token3] = ACTIONS(10237),
    [aux_sym_float_literal_token4] = ACTIONS(10237),
    [sym_character_literal] = ACTIONS(10237),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10237),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10237),
    [sym__pair_operator] = ACTIONS(10237),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10237),
    [sym__lazy_and_operator] = ACTIONS(10237),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10237),
    [sym__pipe_left_operator] = ACTIONS(10237),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10237),
    [sym__bitshift_operator] = ACTIONS(10237),
    [sym__power_operator] = ACTIONS(10237),
    [sym__tilde_operator] = ACTIONS(10237),
    [sym__type_order_operator] = ACTIONS(10237),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [6504] = {
    [sym_block_comment] = STATE(6504),
    [sym_line_comment] = STATE(6504),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9989),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9989),
    [anon_sym_RPAREN] = ACTIONS(9989),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9989),
    [anon_sym_RBRACK] = ACTIONS(9989),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9989),
    [anon_sym_LBRACE] = ACTIONS(9989),
    [anon_sym_RBRACE] = ACTIONS(9989),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9989),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9989),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9989),
    [anon_sym_QMARK] = ACTIONS(9989),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9989),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9989),
    [aux_sym_integer_literal_token2] = ACTIONS(9989),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9989),
    [aux_sym_float_literal_token3] = ACTIONS(9989),
    [aux_sym_float_literal_token4] = ACTIONS(9989),
    [sym_character_literal] = ACTIONS(9989),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9989),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9989),
    [sym__pair_operator] = ACTIONS(9989),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9989),
    [sym__lazy_and_operator] = ACTIONS(9989),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9989),
    [sym__pipe_left_operator] = ACTIONS(9989),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9989),
    [sym__bitshift_operator] = ACTIONS(9989),
    [sym__power_operator] = ACTIONS(9989),
    [sym__tilde_operator] = ACTIONS(9989),
    [sym__type_order_operator] = ACTIONS(9989),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [6505] = {
    [sym_block_comment] = STATE(6505),
    [sym_line_comment] = STATE(6505),
    [ts_builtin_sym_end] = ACTIONS(10405),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_RBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [6506] = {
    [sym_block_comment] = STATE(6506),
    [sym_line_comment] = STATE(6506),
    [ts_builtin_sym_end] = ACTIONS(10313),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_RBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [6507] = {
    [sym_block_comment] = STATE(6507),
    [sym_line_comment] = STATE(6507),
    [ts_builtin_sym_end] = ACTIONS(10401),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_RBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [6508] = {
    [sym_block_comment] = STATE(6508),
    [sym_line_comment] = STATE(6508),
    [ts_builtin_sym_end] = ACTIONS(10265),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_RBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [6509] = {
    [sym_block_comment] = STATE(6509),
    [sym_line_comment] = STATE(6509),
    [ts_builtin_sym_end] = ACTIONS(10341),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_RBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [6510] = {
    [sym_block_comment] = STATE(6510),
    [sym_line_comment] = STATE(6510),
    [ts_builtin_sym_end] = ACTIONS(10373),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_RBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [6511] = {
    [sym_block_comment] = STATE(6511),
    [sym_line_comment] = STATE(6511),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10241),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10241),
    [anon_sym_RPAREN] = ACTIONS(10241),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10241),
    [anon_sym_RBRACK] = ACTIONS(10241),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10241),
    [anon_sym_LBRACE] = ACTIONS(10241),
    [anon_sym_RBRACE] = ACTIONS(10241),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10241),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10241),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10241),
    [anon_sym_QMARK] = ACTIONS(10241),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10241),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10241),
    [aux_sym_integer_literal_token2] = ACTIONS(10241),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10241),
    [aux_sym_float_literal_token3] = ACTIONS(10241),
    [aux_sym_float_literal_token4] = ACTIONS(10241),
    [sym_character_literal] = ACTIONS(10241),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10241),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10241),
    [sym__pair_operator] = ACTIONS(10241),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10241),
    [sym__lazy_and_operator] = ACTIONS(10241),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10241),
    [sym__pipe_left_operator] = ACTIONS(10241),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10241),
    [sym__bitshift_operator] = ACTIONS(10241),
    [sym__power_operator] = ACTIONS(10241),
    [sym__tilde_operator] = ACTIONS(10241),
    [sym__type_order_operator] = ACTIONS(10241),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [6512] = {
    [sym_block_comment] = STATE(6512),
    [sym_line_comment] = STATE(6512),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10247),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10247),
    [anon_sym_RPAREN] = ACTIONS(10247),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10247),
    [anon_sym_RBRACK] = ACTIONS(10247),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10247),
    [anon_sym_LBRACE] = ACTIONS(10247),
    [anon_sym_RBRACE] = ACTIONS(10247),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10247),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10247),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10247),
    [anon_sym_QMARK] = ACTIONS(10247),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10247),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10247),
    [aux_sym_integer_literal_token2] = ACTIONS(10247),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10247),
    [aux_sym_float_literal_token3] = ACTIONS(10247),
    [aux_sym_float_literal_token4] = ACTIONS(10247),
    [sym_character_literal] = ACTIONS(10247),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10247),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10247),
    [sym__pair_operator] = ACTIONS(10247),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10247),
    [sym__lazy_and_operator] = ACTIONS(10247),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10247),
    [sym__pipe_left_operator] = ACTIONS(10247),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10247),
    [sym__bitshift_operator] = ACTIONS(10247),
    [sym__power_operator] = ACTIONS(10247),
    [sym__tilde_operator] = ACTIONS(10247),
    [sym__type_order_operator] = ACTIONS(10247),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [6513] = {
    [sym_block_comment] = STATE(6513),
    [sym_line_comment] = STATE(6513),
    [ts_builtin_sym_end] = ACTIONS(10411),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_RBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [6514] = {
    [sym_block_comment] = STATE(6514),
    [sym_line_comment] = STATE(6514),
    [ts_builtin_sym_end] = ACTIONS(10219),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_RBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [6515] = {
    [sym_block_comment] = STATE(6515),
    [sym_line_comment] = STATE(6515),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10251),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10251),
    [anon_sym_RPAREN] = ACTIONS(10251),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10251),
    [anon_sym_RBRACK] = ACTIONS(10251),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10251),
    [anon_sym_LBRACE] = ACTIONS(10251),
    [anon_sym_RBRACE] = ACTIONS(10251),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10251),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10251),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10251),
    [anon_sym_QMARK] = ACTIONS(10251),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10251),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10251),
    [aux_sym_integer_literal_token2] = ACTIONS(10251),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10251),
    [aux_sym_float_literal_token3] = ACTIONS(10251),
    [aux_sym_float_literal_token4] = ACTIONS(10251),
    [sym_character_literal] = ACTIONS(10251),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10251),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10251),
    [sym__pair_operator] = ACTIONS(10251),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10251),
    [sym__lazy_and_operator] = ACTIONS(10251),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10251),
    [sym__pipe_left_operator] = ACTIONS(10251),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10251),
    [sym__bitshift_operator] = ACTIONS(10251),
    [sym__power_operator] = ACTIONS(10251),
    [sym__tilde_operator] = ACTIONS(10251),
    [sym__type_order_operator] = ACTIONS(10251),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [6516] = {
    [sym_block_comment] = STATE(6516),
    [sym_line_comment] = STATE(6516),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_DASH_GT] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [6517] = {
    [sym_block_comment] = STATE(6517),
    [sym_line_comment] = STATE(6517),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_DASH_GT] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6518] = {
    [sym_block_comment] = STATE(6518),
    [sym_line_comment] = STATE(6518),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10279),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10279),
    [anon_sym_RPAREN] = ACTIONS(10279),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10279),
    [anon_sym_RBRACK] = ACTIONS(10279),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10279),
    [anon_sym_LBRACE] = ACTIONS(10279),
    [anon_sym_RBRACE] = ACTIONS(10279),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10279),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10279),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10279),
    [anon_sym_QMARK] = ACTIONS(10279),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10279),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10279),
    [aux_sym_integer_literal_token2] = ACTIONS(10279),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10279),
    [aux_sym_float_literal_token3] = ACTIONS(10279),
    [aux_sym_float_literal_token4] = ACTIONS(10279),
    [sym_character_literal] = ACTIONS(10279),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10279),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10279),
    [sym__pair_operator] = ACTIONS(10279),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10279),
    [sym__lazy_and_operator] = ACTIONS(10279),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10279),
    [sym__pipe_left_operator] = ACTIONS(10279),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10279),
    [sym__bitshift_operator] = ACTIONS(10279),
    [sym__power_operator] = ACTIONS(10279),
    [sym__tilde_operator] = ACTIONS(10279),
    [sym__type_order_operator] = ACTIONS(10279),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [6519] = {
    [sym_block_comment] = STATE(6519),
    [sym_line_comment] = STATE(6519),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_DASH_GT] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [6520] = {
    [sym_block_comment] = STATE(6520),
    [sym_line_comment] = STATE(6520),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10880),
    [sym__immediate_command_start] = ACTIONS(10882),
  },
  [6521] = {
    [sym_block_comment] = STATE(6521),
    [sym_line_comment] = STATE(6521),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_elseif] = ACTIONS(10866),
    [anon_sym_else] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(10884),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [6522] = {
    [sym_block_comment] = STATE(6522),
    [sym_line_comment] = STATE(6522),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_DASH_GT] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [6523] = {
    [sym_block_comment] = STATE(6523),
    [sym_line_comment] = STATE(6523),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9971),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_DASH_GT] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9971),
    [sym__bitshift_operator] = ACTIONS(9971),
    [sym__power_operator] = ACTIONS(9971),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10832),
    [sym__immediate_command_start] = ACTIONS(10834),
  },
  [6524] = {
    [sym_block_comment] = STATE(6524),
    [sym_line_comment] = STATE(6524),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_DASH_GT] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [6525] = {
    [sym_block_comment] = STATE(6525),
    [sym_line_comment] = STATE(6525),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_DASH_GT] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [6526] = {
    [sym_block_comment] = STATE(6526),
    [sym_line_comment] = STATE(6526),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_DASH_GT] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [6527] = {
    [sym_block_comment] = STATE(6527),
    [sym_line_comment] = STATE(6527),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_DASH_GT] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [6528] = {
    [sym_block_comment] = STATE(6528),
    [sym_line_comment] = STATE(6528),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_DASH_GT] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [6529] = {
    [sym_block_comment] = STATE(6529),
    [sym_line_comment] = STATE(6529),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_DASH_GT] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [6530] = {
    [sym_block_comment] = STATE(6530),
    [sym_line_comment] = STATE(6530),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_DASH_GT] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [6531] = {
    [sym_block_comment] = STATE(6531),
    [sym_line_comment] = STATE(6531),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_DASH_GT] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [6532] = {
    [sym_block_comment] = STATE(6532),
    [sym_line_comment] = STATE(6532),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_DASH_GT] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [6533] = {
    [sym_block_comment] = STATE(6533),
    [sym_line_comment] = STATE(6533),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_DASH_GT] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [6534] = {
    [sym_block_comment] = STATE(6534),
    [sym_line_comment] = STATE(6534),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_DASH_GT] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [6535] = {
    [sym_block_comment] = STATE(6535),
    [sym_line_comment] = STATE(6535),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_DASH_GT] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [6536] = {
    [sym_block_comment] = STATE(6536),
    [sym_line_comment] = STATE(6536),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_RPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_RBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9909),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_RBRACE] = ACTIONS(9909),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9909),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9909),
    [sym__bitshift_operator] = ACTIONS(9909),
    [sym__power_operator] = ACTIONS(9909),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
  },
  [6537] = {
    [sym_block_comment] = STATE(6537),
    [sym_line_comment] = STATE(6537),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_DASH_GT] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [6538] = {
    [sym_block_comment] = STATE(6538),
    [sym_line_comment] = STATE(6538),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6539] = {
    [sym_block_comment] = STATE(6539),
    [sym_line_comment] = STATE(6539),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10129),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10129),
    [anon_sym_RPAREN] = ACTIONS(10129),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10129),
    [anon_sym_RBRACK] = ACTIONS(10129),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10129),
    [anon_sym_LBRACE] = ACTIONS(10129),
    [anon_sym_RBRACE] = ACTIONS(10129),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10129),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10129),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10129),
    [anon_sym_QMARK] = ACTIONS(10129),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10129),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10129),
    [aux_sym_integer_literal_token2] = ACTIONS(10129),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10129),
    [aux_sym_float_literal_token3] = ACTIONS(10129),
    [aux_sym_float_literal_token4] = ACTIONS(10129),
    [sym_character_literal] = ACTIONS(10129),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10129),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10129),
    [sym__pair_operator] = ACTIONS(10129),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10129),
    [sym__lazy_and_operator] = ACTIONS(10129),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10129),
    [sym__pipe_left_operator] = ACTIONS(10129),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10129),
    [sym__bitshift_operator] = ACTIONS(10129),
    [sym__power_operator] = ACTIONS(10129),
    [sym__tilde_operator] = ACTIONS(10129),
    [sym__type_order_operator] = ACTIONS(10129),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [6540] = {
    [sym_block_comment] = STATE(6540),
    [sym_line_comment] = STATE(6540),
    [ts_builtin_sym_end] = ACTIONS(10317),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_RBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [6541] = {
    [sym_block_comment] = STATE(6541),
    [sym_line_comment] = STATE(6541),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10087),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10087),
    [anon_sym_RPAREN] = ACTIONS(10087),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10087),
    [anon_sym_RBRACK] = ACTIONS(10087),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10087),
    [anon_sym_LBRACE] = ACTIONS(10087),
    [anon_sym_RBRACE] = ACTIONS(10087),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10087),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10087),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10087),
    [anon_sym_QMARK] = ACTIONS(10087),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10087),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10087),
    [aux_sym_integer_literal_token2] = ACTIONS(10087),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10087),
    [aux_sym_float_literal_token3] = ACTIONS(10087),
    [aux_sym_float_literal_token4] = ACTIONS(10087),
    [sym_character_literal] = ACTIONS(10087),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10087),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10087),
    [sym__pair_operator] = ACTIONS(10087),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10087),
    [sym__lazy_and_operator] = ACTIONS(10087),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10087),
    [sym__pipe_left_operator] = ACTIONS(10087),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10087),
    [sym__bitshift_operator] = ACTIONS(10087),
    [sym__power_operator] = ACTIONS(10087),
    [sym__tilde_operator] = ACTIONS(10087),
    [sym__type_order_operator] = ACTIONS(10087),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [6542] = {
    [sym_block_comment] = STATE(6542),
    [sym_line_comment] = STATE(6542),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10091),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10091),
    [anon_sym_RPAREN] = ACTIONS(10091),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10091),
    [anon_sym_RBRACK] = ACTIONS(10091),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10091),
    [anon_sym_LBRACE] = ACTIONS(10091),
    [anon_sym_RBRACE] = ACTIONS(10091),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10091),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10091),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10091),
    [anon_sym_QMARK] = ACTIONS(10091),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10091),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10091),
    [aux_sym_integer_literal_token2] = ACTIONS(10091),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10091),
    [aux_sym_float_literal_token3] = ACTIONS(10091),
    [aux_sym_float_literal_token4] = ACTIONS(10091),
    [sym_character_literal] = ACTIONS(10091),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10091),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10091),
    [sym__pair_operator] = ACTIONS(10091),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10091),
    [sym__lazy_and_operator] = ACTIONS(10091),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10091),
    [sym__pipe_left_operator] = ACTIONS(10091),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10091),
    [sym__bitshift_operator] = ACTIONS(10091),
    [sym__power_operator] = ACTIONS(10091),
    [sym__tilde_operator] = ACTIONS(10091),
    [sym__type_order_operator] = ACTIONS(10091),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [6543] = {
    [sym_block_comment] = STATE(6543),
    [sym_line_comment] = STATE(6543),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10177),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10177),
    [anon_sym_RPAREN] = ACTIONS(10177),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10177),
    [anon_sym_RBRACK] = ACTIONS(10177),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10177),
    [anon_sym_LBRACE] = ACTIONS(10177),
    [anon_sym_RBRACE] = ACTIONS(10177),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10177),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10177),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10177),
    [anon_sym_QMARK] = ACTIONS(10177),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10177),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10177),
    [aux_sym_integer_literal_token2] = ACTIONS(10177),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10177),
    [aux_sym_float_literal_token3] = ACTIONS(10177),
    [aux_sym_float_literal_token4] = ACTIONS(10177),
    [sym_character_literal] = ACTIONS(10177),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10177),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10177),
    [sym__pair_operator] = ACTIONS(10177),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10177),
    [sym__lazy_and_operator] = ACTIONS(10177),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10177),
    [sym__pipe_left_operator] = ACTIONS(10177),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10177),
    [sym__bitshift_operator] = ACTIONS(10177),
    [sym__power_operator] = ACTIONS(10177),
    [sym__tilde_operator] = ACTIONS(10177),
    [sym__type_order_operator] = ACTIONS(10177),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [6544] = {
    [sym_block_comment] = STATE(6544),
    [sym_line_comment] = STATE(6544),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [6545] = {
    [sym_block_comment] = STATE(6545),
    [sym_line_comment] = STATE(6545),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10321),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10321),
    [anon_sym_RPAREN] = ACTIONS(10321),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10321),
    [anon_sym_RBRACK] = ACTIONS(10321),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10321),
    [anon_sym_LBRACE] = ACTIONS(10321),
    [anon_sym_RBRACE] = ACTIONS(10321),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10321),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10321),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10321),
    [anon_sym_QMARK] = ACTIONS(10321),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10321),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10321),
    [aux_sym_integer_literal_token2] = ACTIONS(10321),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10321),
    [aux_sym_float_literal_token3] = ACTIONS(10321),
    [aux_sym_float_literal_token4] = ACTIONS(10321),
    [sym_character_literal] = ACTIONS(10321),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10321),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10321),
    [sym__pair_operator] = ACTIONS(10321),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10321),
    [sym__lazy_and_operator] = ACTIONS(10321),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10321),
    [sym__pipe_left_operator] = ACTIONS(10321),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10321),
    [sym__bitshift_operator] = ACTIONS(10321),
    [sym__power_operator] = ACTIONS(10321),
    [sym__tilde_operator] = ACTIONS(10321),
    [sym__type_order_operator] = ACTIONS(10321),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [6546] = {
    [sym_block_comment] = STATE(6546),
    [sym_line_comment] = STATE(6546),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10397),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10397),
    [anon_sym_RPAREN] = ACTIONS(10397),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10397),
    [anon_sym_RBRACK] = ACTIONS(10397),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10397),
    [anon_sym_LBRACE] = ACTIONS(10397),
    [anon_sym_RBRACE] = ACTIONS(10397),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10397),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10397),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10397),
    [anon_sym_QMARK] = ACTIONS(10397),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10397),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10397),
    [aux_sym_integer_literal_token2] = ACTIONS(10397),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10397),
    [aux_sym_float_literal_token3] = ACTIONS(10397),
    [aux_sym_float_literal_token4] = ACTIONS(10397),
    [sym_character_literal] = ACTIONS(10397),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10397),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10397),
    [sym__pair_operator] = ACTIONS(10397),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10397),
    [sym__lazy_and_operator] = ACTIONS(10397),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10397),
    [sym__pipe_left_operator] = ACTIONS(10397),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10397),
    [sym__bitshift_operator] = ACTIONS(10397),
    [sym__power_operator] = ACTIONS(10397),
    [sym__tilde_operator] = ACTIONS(10397),
    [sym__type_order_operator] = ACTIONS(10397),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [6547] = {
    [sym_block_comment] = STATE(6547),
    [sym_line_comment] = STATE(6547),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10415),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10415),
    [anon_sym_RPAREN] = ACTIONS(10415),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10415),
    [anon_sym_RBRACK] = ACTIONS(10415),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10415),
    [anon_sym_LBRACE] = ACTIONS(10415),
    [anon_sym_RBRACE] = ACTIONS(10415),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10415),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10415),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10415),
    [anon_sym_QMARK] = ACTIONS(10415),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10415),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10415),
    [aux_sym_integer_literal_token2] = ACTIONS(10415),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10415),
    [aux_sym_float_literal_token3] = ACTIONS(10415),
    [aux_sym_float_literal_token4] = ACTIONS(10415),
    [sym_character_literal] = ACTIONS(10415),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10415),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10415),
    [sym__pair_operator] = ACTIONS(10415),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10415),
    [sym__lazy_and_operator] = ACTIONS(10415),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10415),
    [sym__pipe_left_operator] = ACTIONS(10415),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10415),
    [sym__bitshift_operator] = ACTIONS(10415),
    [sym__power_operator] = ACTIONS(10415),
    [sym__tilde_operator] = ACTIONS(10415),
    [sym__type_order_operator] = ACTIONS(10415),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [6548] = {
    [sym_block_comment] = STATE(6548),
    [sym_line_comment] = STATE(6548),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_catch] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [6549] = {
    [sym_block_comment] = STATE(6549),
    [sym_line_comment] = STATE(6549),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_catch] = ACTIONS(10375),
    [anon_sym_finally] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [6550] = {
    [sym_block_comment] = STATE(6550),
    [sym_line_comment] = STATE(6550),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6551] = {
    [sym_block_comment] = STATE(6551),
    [sym_line_comment] = STATE(6551),
    [ts_builtin_sym_end] = ACTIONS(10361),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_RBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [6552] = {
    [sym_block_comment] = STATE(6552),
    [sym_line_comment] = STATE(6552),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10325),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10325),
    [anon_sym_RPAREN] = ACTIONS(10325),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10325),
    [anon_sym_RBRACK] = ACTIONS(10325),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10325),
    [anon_sym_LBRACE] = ACTIONS(10325),
    [anon_sym_RBRACE] = ACTIONS(10325),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10325),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10325),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10325),
    [anon_sym_QMARK] = ACTIONS(10325),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10325),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10325),
    [aux_sym_integer_literal_token2] = ACTIONS(10325),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10325),
    [aux_sym_float_literal_token3] = ACTIONS(10325),
    [aux_sym_float_literal_token4] = ACTIONS(10325),
    [sym_character_literal] = ACTIONS(10325),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10325),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10325),
    [sym__pair_operator] = ACTIONS(10325),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10325),
    [sym__lazy_and_operator] = ACTIONS(10325),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10325),
    [sym__pipe_left_operator] = ACTIONS(10325),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10325),
    [sym__bitshift_operator] = ACTIONS(10325),
    [sym__power_operator] = ACTIONS(10325),
    [sym__tilde_operator] = ACTIONS(10325),
    [sym__type_order_operator] = ACTIONS(10325),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [6553] = {
    [sym_block_comment] = STATE(6553),
    [sym_line_comment] = STATE(6553),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10329),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10329),
    [anon_sym_RPAREN] = ACTIONS(10329),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10329),
    [anon_sym_RBRACK] = ACTIONS(10329),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10329),
    [anon_sym_LBRACE] = ACTIONS(10329),
    [anon_sym_RBRACE] = ACTIONS(10329),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10329),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10329),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10329),
    [anon_sym_QMARK] = ACTIONS(10329),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10329),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10329),
    [aux_sym_integer_literal_token2] = ACTIONS(10329),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10329),
    [aux_sym_float_literal_token3] = ACTIONS(10329),
    [aux_sym_float_literal_token4] = ACTIONS(10329),
    [sym_character_literal] = ACTIONS(10329),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10329),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10329),
    [sym__pair_operator] = ACTIONS(10329),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10329),
    [sym__lazy_and_operator] = ACTIONS(10329),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10329),
    [sym__pipe_left_operator] = ACTIONS(10329),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10329),
    [sym__bitshift_operator] = ACTIONS(10329),
    [sym__power_operator] = ACTIONS(10329),
    [sym__tilde_operator] = ACTIONS(10329),
    [sym__type_order_operator] = ACTIONS(10329),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [6554] = {
    [sym_block_comment] = STATE(6554),
    [sym_line_comment] = STATE(6554),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10381),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10381),
    [anon_sym_RPAREN] = ACTIONS(10381),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10381),
    [anon_sym_RBRACK] = ACTIONS(10381),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10381),
    [anon_sym_LBRACE] = ACTIONS(10381),
    [anon_sym_RBRACE] = ACTIONS(10381),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10381),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10381),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10381),
    [anon_sym_QMARK] = ACTIONS(10381),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10381),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10381),
    [aux_sym_integer_literal_token2] = ACTIONS(10381),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10381),
    [aux_sym_float_literal_token3] = ACTIONS(10381),
    [aux_sym_float_literal_token4] = ACTIONS(10381),
    [sym_character_literal] = ACTIONS(10381),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10381),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10381),
    [sym__pair_operator] = ACTIONS(10381),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10381),
    [sym__lazy_and_operator] = ACTIONS(10381),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10381),
    [sym__pipe_left_operator] = ACTIONS(10381),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10381),
    [sym__bitshift_operator] = ACTIONS(10381),
    [sym__power_operator] = ACTIONS(10381),
    [sym__tilde_operator] = ACTIONS(10381),
    [sym__type_order_operator] = ACTIONS(10381),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [6555] = {
    [sym_block_comment] = STATE(6555),
    [sym_line_comment] = STATE(6555),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10387),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10387),
    [anon_sym_RPAREN] = ACTIONS(10387),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10387),
    [anon_sym_RBRACK] = ACTIONS(10387),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10387),
    [anon_sym_LBRACE] = ACTIONS(10387),
    [anon_sym_RBRACE] = ACTIONS(10387),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10387),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10387),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10387),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10387),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10387),
    [aux_sym_integer_literal_token2] = ACTIONS(10387),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10387),
    [aux_sym_float_literal_token3] = ACTIONS(10387),
    [aux_sym_float_literal_token4] = ACTIONS(10387),
    [sym_character_literal] = ACTIONS(10387),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10387),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10387),
    [sym__pair_operator] = ACTIONS(10387),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10387),
    [sym__lazy_and_operator] = ACTIONS(10387),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10387),
    [sym__pipe_left_operator] = ACTIONS(10387),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10387),
    [sym__bitshift_operator] = ACTIONS(10387),
    [sym__power_operator] = ACTIONS(10387),
    [sym__tilde_operator] = ACTIONS(10387),
    [sym__type_order_operator] = ACTIONS(10387),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [6556] = {
    [sym_block_comment] = STATE(6556),
    [sym_line_comment] = STATE(6556),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10391),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10391),
    [anon_sym_RPAREN] = ACTIONS(10391),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10391),
    [anon_sym_RBRACK] = ACTIONS(10391),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10391),
    [anon_sym_LBRACE] = ACTIONS(10391),
    [anon_sym_RBRACE] = ACTIONS(10391),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10391),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10391),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_QMARK] = ACTIONS(10391),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10391),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10391),
    [aux_sym_integer_literal_token2] = ACTIONS(10391),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10391),
    [aux_sym_float_literal_token3] = ACTIONS(10391),
    [aux_sym_float_literal_token4] = ACTIONS(10391),
    [sym_character_literal] = ACTIONS(10391),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10391),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10391),
    [sym__pair_operator] = ACTIONS(10391),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10391),
    [sym__lazy_and_operator] = ACTIONS(10391),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10391),
    [sym__pipe_left_operator] = ACTIONS(10391),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10391),
    [sym__bitshift_operator] = ACTIONS(10391),
    [sym__power_operator] = ACTIONS(10391),
    [sym__tilde_operator] = ACTIONS(10391),
    [sym__type_order_operator] = ACTIONS(10391),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [6557] = {
    [sym_block_comment] = STATE(6557),
    [sym_line_comment] = STATE(6557),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_DASH_GT] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [6558] = {
    [sym_block_comment] = STATE(6558),
    [sym_line_comment] = STATE(6558),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_finally] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [6559] = {
    [sym_block_comment] = STATE(6559),
    [sym_line_comment] = STATE(6559),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10345),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10345),
    [anon_sym_RPAREN] = ACTIONS(10345),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10345),
    [anon_sym_RBRACK] = ACTIONS(10345),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10345),
    [anon_sym_LBRACE] = ACTIONS(10345),
    [anon_sym_RBRACE] = ACTIONS(10345),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10345),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10345),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10345),
    [anon_sym_QMARK] = ACTIONS(10345),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10345),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10345),
    [aux_sym_integer_literal_token2] = ACTIONS(10345),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10345),
    [aux_sym_float_literal_token3] = ACTIONS(10345),
    [aux_sym_float_literal_token4] = ACTIONS(10345),
    [sym_character_literal] = ACTIONS(10345),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10345),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10345),
    [sym__pair_operator] = ACTIONS(10345),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10345),
    [sym__lazy_and_operator] = ACTIONS(10345),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10345),
    [sym__pipe_left_operator] = ACTIONS(10345),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10345),
    [sym__bitshift_operator] = ACTIONS(10345),
    [sym__power_operator] = ACTIONS(10345),
    [sym__tilde_operator] = ACTIONS(10345),
    [sym__type_order_operator] = ACTIONS(10345),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [6560] = {
    [sym_block_comment] = STATE(6560),
    [sym_line_comment] = STATE(6560),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10419),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10419),
    [anon_sym_RPAREN] = ACTIONS(10419),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10419),
    [anon_sym_RBRACK] = ACTIONS(10419),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10419),
    [anon_sym_LBRACE] = ACTIONS(10419),
    [anon_sym_RBRACE] = ACTIONS(10419),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10419),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10419),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10419),
    [anon_sym_QMARK] = ACTIONS(10419),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10419),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10419),
    [aux_sym_integer_literal_token2] = ACTIONS(10419),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10419),
    [aux_sym_float_literal_token3] = ACTIONS(10419),
    [aux_sym_float_literal_token4] = ACTIONS(10419),
    [sym_character_literal] = ACTIONS(10419),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10419),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10419),
    [sym__pair_operator] = ACTIONS(10419),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10419),
    [sym__lazy_and_operator] = ACTIONS(10419),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10419),
    [sym__pipe_left_operator] = ACTIONS(10419),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10419),
    [sym__bitshift_operator] = ACTIONS(10419),
    [sym__power_operator] = ACTIONS(10419),
    [sym__tilde_operator] = ACTIONS(10419),
    [sym__type_order_operator] = ACTIONS(10419),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [6561] = {
    [sym_block_comment] = STATE(6561),
    [sym_line_comment] = STATE(6561),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_finally] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [6562] = {
    [sym_block_comment] = STATE(6562),
    [sym_line_comment] = STATE(6562),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10099),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10099),
    [anon_sym_RPAREN] = ACTIONS(10099),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10099),
    [anon_sym_RBRACK] = ACTIONS(10099),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10099),
    [anon_sym_LBRACE] = ACTIONS(10099),
    [anon_sym_RBRACE] = ACTIONS(10099),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10099),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10099),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10099),
    [anon_sym_QMARK] = ACTIONS(10099),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10099),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10099),
    [aux_sym_integer_literal_token2] = ACTIONS(10099),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10099),
    [aux_sym_float_literal_token3] = ACTIONS(10099),
    [aux_sym_float_literal_token4] = ACTIONS(10099),
    [sym_character_literal] = ACTIONS(10099),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10099),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10099),
    [sym__pair_operator] = ACTIONS(10099),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10099),
    [sym__lazy_and_operator] = ACTIONS(10099),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10099),
    [sym__pipe_left_operator] = ACTIONS(10099),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10099),
    [sym__bitshift_operator] = ACTIONS(10099),
    [sym__power_operator] = ACTIONS(10099),
    [sym__tilde_operator] = ACTIONS(10099),
    [sym__type_order_operator] = ACTIONS(10099),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [6563] = {
    [sym_block_comment] = STATE(6563),
    [sym_line_comment] = STATE(6563),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10103),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10103),
    [anon_sym_RPAREN] = ACTIONS(10103),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10103),
    [anon_sym_RBRACK] = ACTIONS(10103),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10103),
    [anon_sym_LBRACE] = ACTIONS(10103),
    [anon_sym_RBRACE] = ACTIONS(10103),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10103),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10103),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10103),
    [anon_sym_QMARK] = ACTIONS(10103),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10103),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10103),
    [aux_sym_integer_literal_token2] = ACTIONS(10103),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10103),
    [aux_sym_float_literal_token3] = ACTIONS(10103),
    [aux_sym_float_literal_token4] = ACTIONS(10103),
    [sym_character_literal] = ACTIONS(10103),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10103),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10103),
    [sym__pair_operator] = ACTIONS(10103),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10103),
    [sym__lazy_and_operator] = ACTIONS(10103),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10103),
    [sym__pipe_left_operator] = ACTIONS(10103),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10103),
    [sym__bitshift_operator] = ACTIONS(10103),
    [sym__power_operator] = ACTIONS(10103),
    [sym__tilde_operator] = ACTIONS(10103),
    [sym__type_order_operator] = ACTIONS(10103),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [6564] = {
    [sym_block_comment] = STATE(6564),
    [sym_line_comment] = STATE(6564),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10423),
    [anon_sym_RPAREN] = ACTIONS(10423),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10423),
    [anon_sym_RBRACK] = ACTIONS(10423),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10423),
    [anon_sym_LBRACE] = ACTIONS(10423),
    [anon_sym_RBRACE] = ACTIONS(10423),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10423),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10423),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10423),
    [anon_sym_QMARK] = ACTIONS(10423),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10423),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10423),
    [aux_sym_integer_literal_token2] = ACTIONS(10423),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10423),
    [aux_sym_float_literal_token3] = ACTIONS(10423),
    [aux_sym_float_literal_token4] = ACTIONS(10423),
    [sym_character_literal] = ACTIONS(10423),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10423),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10423),
    [sym__pair_operator] = ACTIONS(10423),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10423),
    [sym__lazy_and_operator] = ACTIONS(10423),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10423),
    [sym__pipe_left_operator] = ACTIONS(10423),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10423),
    [sym__bitshift_operator] = ACTIONS(10423),
    [sym__power_operator] = ACTIONS(10423),
    [sym__tilde_operator] = ACTIONS(10423),
    [sym__type_order_operator] = ACTIONS(10423),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [6565] = {
    [sym_block_comment] = STATE(6565),
    [sym_line_comment] = STATE(6565),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10431),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10431),
    [anon_sym_RPAREN] = ACTIONS(10431),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10431),
    [anon_sym_RBRACK] = ACTIONS(10431),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10431),
    [anon_sym_LBRACE] = ACTIONS(10431),
    [anon_sym_RBRACE] = ACTIONS(10431),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10431),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10431),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_QMARK] = ACTIONS(10431),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10431),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10431),
    [aux_sym_integer_literal_token2] = ACTIONS(10431),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10431),
    [aux_sym_float_literal_token3] = ACTIONS(10431),
    [aux_sym_float_literal_token4] = ACTIONS(10431),
    [sym_character_literal] = ACTIONS(10431),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10431),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10431),
    [sym__pair_operator] = ACTIONS(10431),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10431),
    [sym__lazy_and_operator] = ACTIONS(10431),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10431),
    [sym__pipe_left_operator] = ACTIONS(10431),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10431),
    [sym__bitshift_operator] = ACTIONS(10431),
    [sym__power_operator] = ACTIONS(10431),
    [sym__tilde_operator] = ACTIONS(10431),
    [sym__type_order_operator] = ACTIONS(10431),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [6566] = {
    [sym_block_comment] = STATE(6566),
    [sym_line_comment] = STATE(6566),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10435),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10435),
    [anon_sym_RPAREN] = ACTIONS(10435),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10435),
    [anon_sym_RBRACK] = ACTIONS(10435),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10435),
    [anon_sym_LBRACE] = ACTIONS(10435),
    [anon_sym_RBRACE] = ACTIONS(10435),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10435),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10435),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10435),
    [anon_sym_QMARK] = ACTIONS(10435),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10435),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10435),
    [aux_sym_integer_literal_token2] = ACTIONS(10435),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10435),
    [aux_sym_float_literal_token3] = ACTIONS(10435),
    [aux_sym_float_literal_token4] = ACTIONS(10435),
    [sym_character_literal] = ACTIONS(10435),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10435),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10435),
    [sym__pair_operator] = ACTIONS(10435),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10435),
    [sym__lazy_and_operator] = ACTIONS(10435),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10435),
    [sym__pipe_left_operator] = ACTIONS(10435),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10435),
    [sym__bitshift_operator] = ACTIONS(10435),
    [sym__power_operator] = ACTIONS(10435),
    [sym__tilde_operator] = ACTIONS(10435),
    [sym__type_order_operator] = ACTIONS(10435),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [6567] = {
    [sym_block_comment] = STATE(6567),
    [sym_line_comment] = STATE(6567),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10439),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10439),
    [anon_sym_RPAREN] = ACTIONS(10439),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10439),
    [anon_sym_RBRACK] = ACTIONS(10439),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10439),
    [anon_sym_LBRACE] = ACTIONS(10439),
    [anon_sym_RBRACE] = ACTIONS(10439),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10439),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10439),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10439),
    [anon_sym_QMARK] = ACTIONS(10439),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10439),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10439),
    [aux_sym_integer_literal_token2] = ACTIONS(10439),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10439),
    [aux_sym_float_literal_token3] = ACTIONS(10439),
    [aux_sym_float_literal_token4] = ACTIONS(10439),
    [sym_character_literal] = ACTIONS(10439),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10439),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10439),
    [sym__pair_operator] = ACTIONS(10439),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10439),
    [sym__lazy_and_operator] = ACTIONS(10439),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10439),
    [sym__pipe_left_operator] = ACTIONS(10439),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10439),
    [sym__bitshift_operator] = ACTIONS(10439),
    [sym__power_operator] = ACTIONS(10439),
    [sym__tilde_operator] = ACTIONS(10439),
    [sym__type_order_operator] = ACTIONS(10439),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [6568] = {
    [sym_block_comment] = STATE(6568),
    [sym_line_comment] = STATE(6568),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_DASH_GT] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [6569] = {
    [sym_block_comment] = STATE(6569),
    [sym_line_comment] = STATE(6569),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_DASH_GT] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [6570] = {
    [sym_block_comment] = STATE(6570),
    [sym_line_comment] = STATE(6570),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10141),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10141),
    [anon_sym_RPAREN] = ACTIONS(10141),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10141),
    [anon_sym_RBRACK] = ACTIONS(10141),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10141),
    [anon_sym_LBRACE] = ACTIONS(10141),
    [anon_sym_RBRACE] = ACTIONS(10141),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10141),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10141),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10141),
    [anon_sym_QMARK] = ACTIONS(10141),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10141),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10141),
    [aux_sym_integer_literal_token2] = ACTIONS(10141),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10141),
    [aux_sym_float_literal_token3] = ACTIONS(10141),
    [aux_sym_float_literal_token4] = ACTIONS(10141),
    [sym_character_literal] = ACTIONS(10141),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10141),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10141),
    [sym__pair_operator] = ACTIONS(10141),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10141),
    [sym__lazy_and_operator] = ACTIONS(10141),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10141),
    [sym__pipe_left_operator] = ACTIONS(10141),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10141),
    [sym__bitshift_operator] = ACTIONS(10141),
    [sym__power_operator] = ACTIONS(10141),
    [sym__tilde_operator] = ACTIONS(10141),
    [sym__type_order_operator] = ACTIONS(10141),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [6571] = {
    [sym_block_comment] = STATE(6571),
    [sym_line_comment] = STATE(6571),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10293),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10293),
    [anon_sym_RPAREN] = ACTIONS(10293),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10293),
    [anon_sym_RBRACK] = ACTIONS(10293),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10293),
    [anon_sym_LBRACE] = ACTIONS(10293),
    [anon_sym_RBRACE] = ACTIONS(10293),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10293),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10293),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10293),
    [anon_sym_QMARK] = ACTIONS(10293),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10293),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10293),
    [aux_sym_integer_literal_token2] = ACTIONS(10293),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10293),
    [aux_sym_float_literal_token3] = ACTIONS(10293),
    [aux_sym_float_literal_token4] = ACTIONS(10293),
    [sym_character_literal] = ACTIONS(10293),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10293),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10293),
    [sym__pair_operator] = ACTIONS(10293),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10293),
    [sym__lazy_and_operator] = ACTIONS(10293),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10293),
    [sym__pipe_left_operator] = ACTIONS(10293),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10293),
    [sym__bitshift_operator] = ACTIONS(10293),
    [sym__power_operator] = ACTIONS(10293),
    [sym__tilde_operator] = ACTIONS(10293),
    [sym__type_order_operator] = ACTIONS(10293),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [6572] = {
    [sym_block_comment] = STATE(6572),
    [sym_line_comment] = STATE(6572),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10309),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10309),
    [anon_sym_RPAREN] = ACTIONS(10309),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10309),
    [anon_sym_RBRACK] = ACTIONS(10309),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10309),
    [anon_sym_LBRACE] = ACTIONS(10309),
    [anon_sym_RBRACE] = ACTIONS(10309),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10309),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10309),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10309),
    [anon_sym_QMARK] = ACTIONS(10309),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10309),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10309),
    [aux_sym_integer_literal_token2] = ACTIONS(10309),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10309),
    [aux_sym_float_literal_token3] = ACTIONS(10309),
    [aux_sym_float_literal_token4] = ACTIONS(10309),
    [sym_character_literal] = ACTIONS(10309),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10309),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10309),
    [sym__pair_operator] = ACTIONS(10309),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10309),
    [sym__lazy_and_operator] = ACTIONS(10309),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10309),
    [sym__pipe_left_operator] = ACTIONS(10309),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10309),
    [sym__bitshift_operator] = ACTIONS(10309),
    [sym__power_operator] = ACTIONS(10309),
    [sym__tilde_operator] = ACTIONS(10309),
    [sym__type_order_operator] = ACTIONS(10309),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [6573] = {
    [sym_block_comment] = STATE(6573),
    [sym_line_comment] = STATE(6573),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10349),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10349),
    [anon_sym_RPAREN] = ACTIONS(10349),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10349),
    [anon_sym_RBRACK] = ACTIONS(10349),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10349),
    [anon_sym_LBRACE] = ACTIONS(10349),
    [anon_sym_RBRACE] = ACTIONS(10349),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10349),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10349),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10349),
    [anon_sym_QMARK] = ACTIONS(10349),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10349),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10349),
    [aux_sym_integer_literal_token2] = ACTIONS(10349),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10349),
    [aux_sym_float_literal_token3] = ACTIONS(10349),
    [aux_sym_float_literal_token4] = ACTIONS(10349),
    [sym_character_literal] = ACTIONS(10349),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10349),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10349),
    [sym__pair_operator] = ACTIONS(10349),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10349),
    [sym__lazy_and_operator] = ACTIONS(10349),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10349),
    [sym__pipe_left_operator] = ACTIONS(10349),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10349),
    [sym__bitshift_operator] = ACTIONS(10349),
    [sym__power_operator] = ACTIONS(10349),
    [sym__tilde_operator] = ACTIONS(10349),
    [sym__type_order_operator] = ACTIONS(10349),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [6574] = {
    [sym_block_comment] = STATE(6574),
    [sym_line_comment] = STATE(6574),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10353),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10353),
    [anon_sym_RPAREN] = ACTIONS(10353),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10353),
    [anon_sym_RBRACK] = ACTIONS(10353),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10353),
    [anon_sym_LBRACE] = ACTIONS(10353),
    [anon_sym_RBRACE] = ACTIONS(10353),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10353),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10353),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10353),
    [anon_sym_QMARK] = ACTIONS(10353),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10353),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10353),
    [aux_sym_integer_literal_token2] = ACTIONS(10353),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10353),
    [aux_sym_float_literal_token3] = ACTIONS(10353),
    [aux_sym_float_literal_token4] = ACTIONS(10353),
    [sym_character_literal] = ACTIONS(10353),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10353),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10353),
    [sym__pair_operator] = ACTIONS(10353),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10353),
    [sym__lazy_and_operator] = ACTIONS(10353),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10353),
    [sym__pipe_left_operator] = ACTIONS(10353),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10353),
    [sym__bitshift_operator] = ACTIONS(10353),
    [sym__power_operator] = ACTIONS(10353),
    [sym__tilde_operator] = ACTIONS(10353),
    [sym__type_order_operator] = ACTIONS(10353),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [6575] = {
    [sym_block_comment] = STATE(6575),
    [sym_line_comment] = STATE(6575),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10357),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10357),
    [anon_sym_RPAREN] = ACTIONS(10357),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10357),
    [anon_sym_RBRACK] = ACTIONS(10357),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10357),
    [anon_sym_LBRACE] = ACTIONS(10357),
    [anon_sym_RBRACE] = ACTIONS(10357),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10357),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10357),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10357),
    [anon_sym_QMARK] = ACTIONS(10357),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10357),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10357),
    [aux_sym_integer_literal_token2] = ACTIONS(10357),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10357),
    [aux_sym_float_literal_token3] = ACTIONS(10357),
    [aux_sym_float_literal_token4] = ACTIONS(10357),
    [sym_character_literal] = ACTIONS(10357),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10357),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10357),
    [sym__pair_operator] = ACTIONS(10357),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10357),
    [sym__lazy_and_operator] = ACTIONS(10357),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10357),
    [sym__pipe_left_operator] = ACTIONS(10357),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10357),
    [sym__bitshift_operator] = ACTIONS(10357),
    [sym__power_operator] = ACTIONS(10357),
    [sym__tilde_operator] = ACTIONS(10357),
    [sym__type_order_operator] = ACTIONS(10357),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [6576] = {
    [sym_block_comment] = STATE(6576),
    [sym_line_comment] = STATE(6576),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_catch] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [6577] = {
    [sym_block_comment] = STATE(6577),
    [sym_line_comment] = STATE(6577),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10405),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10405),
    [anon_sym_RPAREN] = ACTIONS(10405),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10405),
    [anon_sym_RBRACK] = ACTIONS(10405),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10405),
    [anon_sym_LBRACE] = ACTIONS(10405),
    [anon_sym_RBRACE] = ACTIONS(10405),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10405),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10405),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10405),
    [anon_sym_QMARK] = ACTIONS(10405),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10405),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10405),
    [aux_sym_integer_literal_token2] = ACTIONS(10405),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10405),
    [aux_sym_float_literal_token3] = ACTIONS(10405),
    [aux_sym_float_literal_token4] = ACTIONS(10405),
    [sym_character_literal] = ACTIONS(10405),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10405),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10405),
    [sym__pair_operator] = ACTIONS(10405),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10405),
    [sym__lazy_and_operator] = ACTIONS(10405),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10405),
    [sym__pipe_left_operator] = ACTIONS(10405),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10405),
    [sym__bitshift_operator] = ACTIONS(10405),
    [sym__power_operator] = ACTIONS(10405),
    [sym__tilde_operator] = ACTIONS(10405),
    [sym__type_order_operator] = ACTIONS(10405),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [6578] = {
    [sym_block_comment] = STATE(6578),
    [sym_line_comment] = STATE(6578),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10313),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10313),
    [anon_sym_RPAREN] = ACTIONS(10313),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10313),
    [anon_sym_RBRACK] = ACTIONS(10313),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10313),
    [anon_sym_LBRACE] = ACTIONS(10313),
    [anon_sym_RBRACE] = ACTIONS(10313),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10313),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10313),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10313),
    [anon_sym_QMARK] = ACTIONS(10313),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10313),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10313),
    [aux_sym_integer_literal_token2] = ACTIONS(10313),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10313),
    [aux_sym_float_literal_token3] = ACTIONS(10313),
    [aux_sym_float_literal_token4] = ACTIONS(10313),
    [sym_character_literal] = ACTIONS(10313),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10313),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10313),
    [sym__pair_operator] = ACTIONS(10313),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10313),
    [sym__lazy_and_operator] = ACTIONS(10313),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10313),
    [sym__pipe_left_operator] = ACTIONS(10313),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10313),
    [sym__bitshift_operator] = ACTIONS(10313),
    [sym__power_operator] = ACTIONS(10313),
    [sym__tilde_operator] = ACTIONS(10313),
    [sym__type_order_operator] = ACTIONS(10313),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [6579] = {
    [sym_block_comment] = STATE(6579),
    [sym_line_comment] = STATE(6579),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_catch] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [6580] = {
    [sym_block_comment] = STATE(6580),
    [sym_line_comment] = STATE(6580),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_catch] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [6581] = {
    [sym_block_comment] = STATE(6581),
    [sym_line_comment] = STATE(6581),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10401),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10401),
    [anon_sym_RPAREN] = ACTIONS(10401),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10401),
    [anon_sym_RBRACK] = ACTIONS(10401),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10401),
    [anon_sym_LBRACE] = ACTIONS(10401),
    [anon_sym_RBRACE] = ACTIONS(10401),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10401),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10401),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10401),
    [anon_sym_QMARK] = ACTIONS(10401),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10401),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10401),
    [aux_sym_integer_literal_token2] = ACTIONS(10401),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10401),
    [aux_sym_float_literal_token3] = ACTIONS(10401),
    [aux_sym_float_literal_token4] = ACTIONS(10401),
    [sym_character_literal] = ACTIONS(10401),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10401),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10401),
    [sym__pair_operator] = ACTIONS(10401),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10401),
    [sym__lazy_and_operator] = ACTIONS(10401),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10401),
    [sym__pipe_left_operator] = ACTIONS(10401),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10401),
    [sym__bitshift_operator] = ACTIONS(10401),
    [sym__power_operator] = ACTIONS(10401),
    [sym__tilde_operator] = ACTIONS(10401),
    [sym__type_order_operator] = ACTIONS(10401),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [6582] = {
    [sym_block_comment] = STATE(6582),
    [sym_line_comment] = STATE(6582),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_finally] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [6583] = {
    [sym_block_comment] = STATE(6583),
    [sym_line_comment] = STATE(6583),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10341),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10341),
    [anon_sym_RPAREN] = ACTIONS(10341),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10341),
    [anon_sym_RBRACK] = ACTIONS(10341),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10341),
    [anon_sym_LBRACE] = ACTIONS(10341),
    [anon_sym_RBRACE] = ACTIONS(10341),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10341),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10341),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10341),
    [anon_sym_QMARK] = ACTIONS(10341),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10341),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10341),
    [aux_sym_integer_literal_token2] = ACTIONS(10341),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10341),
    [aux_sym_float_literal_token3] = ACTIONS(10341),
    [aux_sym_float_literal_token4] = ACTIONS(10341),
    [sym_character_literal] = ACTIONS(10341),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10341),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10341),
    [sym__pair_operator] = ACTIONS(10341),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10341),
    [sym__lazy_and_operator] = ACTIONS(10341),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10341),
    [sym__pipe_left_operator] = ACTIONS(10341),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10341),
    [sym__bitshift_operator] = ACTIONS(10341),
    [sym__power_operator] = ACTIONS(10341),
    [sym__tilde_operator] = ACTIONS(10341),
    [sym__type_order_operator] = ACTIONS(10341),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [6584] = {
    [sym_block_comment] = STATE(6584),
    [sym_line_comment] = STATE(6584),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10373),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10373),
    [anon_sym_RPAREN] = ACTIONS(10373),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10373),
    [anon_sym_RBRACK] = ACTIONS(10373),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10373),
    [anon_sym_LBRACE] = ACTIONS(10373),
    [anon_sym_RBRACE] = ACTIONS(10373),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10373),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10373),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10373),
    [anon_sym_QMARK] = ACTIONS(10373),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10373),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10373),
    [aux_sym_integer_literal_token2] = ACTIONS(10373),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10373),
    [aux_sym_float_literal_token3] = ACTIONS(10373),
    [aux_sym_float_literal_token4] = ACTIONS(10373),
    [sym_character_literal] = ACTIONS(10373),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10373),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10373),
    [sym__pair_operator] = ACTIONS(10373),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10373),
    [sym__lazy_and_operator] = ACTIONS(10373),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10373),
    [sym__pipe_left_operator] = ACTIONS(10373),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10373),
    [sym__bitshift_operator] = ACTIONS(10373),
    [sym__power_operator] = ACTIONS(10373),
    [sym__tilde_operator] = ACTIONS(10373),
    [sym__type_order_operator] = ACTIONS(10373),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [6585] = {
    [sym_block_comment] = STATE(6585),
    [sym_line_comment] = STATE(6585),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_catch] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [6586] = {
    [sym_block_comment] = STATE(6586),
    [sym_line_comment] = STATE(6586),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10411),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10411),
    [anon_sym_RPAREN] = ACTIONS(10411),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10411),
    [anon_sym_RBRACK] = ACTIONS(10411),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10411),
    [anon_sym_LBRACE] = ACTIONS(10411),
    [anon_sym_RBRACE] = ACTIONS(10411),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10411),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10411),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10411),
    [anon_sym_QMARK] = ACTIONS(10411),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10411),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10411),
    [aux_sym_integer_literal_token2] = ACTIONS(10411),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10411),
    [aux_sym_float_literal_token3] = ACTIONS(10411),
    [aux_sym_float_literal_token4] = ACTIONS(10411),
    [sym_character_literal] = ACTIONS(10411),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10411),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10411),
    [sym__pair_operator] = ACTIONS(10411),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10411),
    [sym__lazy_and_operator] = ACTIONS(10411),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10411),
    [sym__pipe_left_operator] = ACTIONS(10411),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10411),
    [sym__bitshift_operator] = ACTIONS(10411),
    [sym__power_operator] = ACTIONS(10411),
    [sym__tilde_operator] = ACTIONS(10411),
    [sym__type_order_operator] = ACTIONS(10411),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [6587] = {
    [sym_block_comment] = STATE(6587),
    [sym_line_comment] = STATE(6587),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10219),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10219),
    [anon_sym_RPAREN] = ACTIONS(10219),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10219),
    [anon_sym_RBRACK] = ACTIONS(10219),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10219),
    [anon_sym_LBRACE] = ACTIONS(10219),
    [anon_sym_RBRACE] = ACTIONS(10219),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10219),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10219),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10219),
    [anon_sym_QMARK] = ACTIONS(10219),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10219),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10219),
    [aux_sym_integer_literal_token2] = ACTIONS(10219),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10219),
    [aux_sym_float_literal_token3] = ACTIONS(10219),
    [aux_sym_float_literal_token4] = ACTIONS(10219),
    [sym_character_literal] = ACTIONS(10219),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10219),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10219),
    [sym__pair_operator] = ACTIONS(10219),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10219),
    [sym__lazy_and_operator] = ACTIONS(10219),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10219),
    [sym__pipe_left_operator] = ACTIONS(10219),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10219),
    [sym__bitshift_operator] = ACTIONS(10219),
    [sym__power_operator] = ACTIONS(10219),
    [sym__tilde_operator] = ACTIONS(10219),
    [sym__type_order_operator] = ACTIONS(10219),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [6588] = {
    [sym_block_comment] = STATE(6588),
    [sym_line_comment] = STATE(6588),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_catch] = ACTIONS(10171),
    [anon_sym_finally] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [6589] = {
    [sym_block_comment] = STATE(6589),
    [sym_line_comment] = STATE(6589),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_DASH_GT] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [6590] = {
    [sym_block_comment] = STATE(6590),
    [sym_line_comment] = STATE(6590),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6591] = {
    [sym_block_comment] = STATE(6591),
    [sym_line_comment] = STATE(6591),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_DASH_GT] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [6592] = {
    [sym_block_comment] = STATE(6592),
    [sym_line_comment] = STATE(6592),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_DASH_GT] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [6593] = {
    [sym_block_comment] = STATE(6593),
    [sym_line_comment] = STATE(6593),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_DASH_GT] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [6594] = {
    [sym_block_comment] = STATE(6594),
    [sym_line_comment] = STATE(6594),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [6595] = {
    [sym_block_comment] = STATE(6595),
    [sym_line_comment] = STATE(6595),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_DASH_GT] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [6596] = {
    [sym_block_comment] = STATE(6596),
    [sym_line_comment] = STATE(6596),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_DASH_GT] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [6597] = {
    [sym_block_comment] = STATE(6597),
    [sym_line_comment] = STATE(6597),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_DASH_GT] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [6598] = {
    [sym_block_comment] = STATE(6598),
    [sym_line_comment] = STATE(6598),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_DASH_GT] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [6599] = {
    [sym_block_comment] = STATE(6599),
    [sym_line_comment] = STATE(6599),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_DASH_GT] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [6600] = {
    [sym_block_comment] = STATE(6600),
    [sym_line_comment] = STATE(6600),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_catch] = ACTIONS(10193),
    [anon_sym_finally] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [6601] = {
    [sym_block_comment] = STATE(6601),
    [sym_line_comment] = STATE(6601),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_catch] = ACTIONS(10209),
    [anon_sym_finally] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [6602] = {
    [sym_block_comment] = STATE(6602),
    [sym_line_comment] = STATE(6602),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_catch] = ACTIONS(10213),
    [anon_sym_finally] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [6603] = {
    [sym_block_comment] = STATE(6603),
    [sym_line_comment] = STATE(6603),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_catch] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [6604] = {
    [sym_block_comment] = STATE(6604),
    [sym_line_comment] = STATE(6604),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_catch] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [6605] = {
    [sym_block_comment] = STATE(6605),
    [sym_line_comment] = STATE(6605),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_DASH_GT] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [6606] = {
    [sym_block_comment] = STATE(6606),
    [sym_line_comment] = STATE(6606),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_DASH_GT] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [6607] = {
    [sym_block_comment] = STATE(6607),
    [sym_line_comment] = STATE(6607),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_DASH_GT] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [6608] = {
    [sym_block_comment] = STATE(6608),
    [sym_line_comment] = STATE(6608),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_DASH_GT] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [6609] = {
    [sym_block_comment] = STATE(6609),
    [sym_line_comment] = STATE(6609),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_DASH_GT] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [6610] = {
    [sym_block_comment] = STATE(6610),
    [sym_line_comment] = STATE(6610),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_DASH_GT] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [6611] = {
    [sym_block_comment] = STATE(6611),
    [sym_line_comment] = STATE(6611),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_DASH_GT] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [6612] = {
    [sym_block_comment] = STATE(6612),
    [sym_line_comment] = STATE(6612),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_DASH_GT] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [6613] = {
    [sym_block_comment] = STATE(6613),
    [sym_line_comment] = STATE(6613),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_catch] = ACTIONS(10221),
    [anon_sym_finally] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [6614] = {
    [sym_block_comment] = STATE(6614),
    [sym_line_comment] = STATE(6614),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_catch] = ACTIONS(10225),
    [anon_sym_finally] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [6615] = {
    [sym_block_comment] = STATE(6615),
    [sym_line_comment] = STATE(6615),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_catch] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [6616] = {
    [sym_block_comment] = STATE(6616),
    [sym_line_comment] = STATE(6616),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_DASH_GT] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [6617] = {
    [sym_block_comment] = STATE(6617),
    [sym_line_comment] = STATE(6617),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_DASH_GT] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [6618] = {
    [sym_block_comment] = STATE(6618),
    [sym_line_comment] = STATE(6618),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_catch] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [6619] = {
    [sym_block_comment] = STATE(6619),
    [sym_line_comment] = STATE(6619),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_DASH_GT] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [6620] = {
    [sym_block_comment] = STATE(6620),
    [sym_line_comment] = STATE(6620),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_DASH_GT] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [6621] = {
    [sym_block_comment] = STATE(6621),
    [sym_line_comment] = STATE(6621),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_DASH_GT] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [6622] = {
    [sym_block_comment] = STATE(6622),
    [sym_line_comment] = STATE(6622),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_DASH_GT] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [6623] = {
    [sym_block_comment] = STATE(6623),
    [sym_line_comment] = STATE(6623),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_catch] = ACTIONS(10229),
    [anon_sym_finally] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [6624] = {
    [sym_block_comment] = STATE(6624),
    [sym_line_comment] = STATE(6624),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_catch] = ACTIONS(10235),
    [anon_sym_finally] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [6625] = {
    [sym_block_comment] = STATE(6625),
    [sym_line_comment] = STATE(6625),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_catch] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [6626] = {
    [sym_block_comment] = STATE(6626),
    [sym_line_comment] = STATE(6626),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_DASH_GT] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [6627] = {
    [sym_block_comment] = STATE(6627),
    [sym_line_comment] = STATE(6627),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_DASH_GT] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [6628] = {
    [sym_block_comment] = STATE(6628),
    [sym_line_comment] = STATE(6628),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_DASH_GT] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [6629] = {
    [sym_block_comment] = STATE(6629),
    [sym_line_comment] = STATE(6629),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_DASH_GT] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [6630] = {
    [sym_block_comment] = STATE(6630),
    [sym_line_comment] = STATE(6630),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_DASH_GT] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [6631] = {
    [sym_block_comment] = STATE(6631),
    [sym_line_comment] = STATE(6631),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_DASH_GT] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [6632] = {
    [sym_block_comment] = STATE(6632),
    [sym_line_comment] = STATE(6632),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_catch] = ACTIONS(10239),
    [anon_sym_finally] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [6633] = {
    [sym_block_comment] = STATE(6633),
    [sym_line_comment] = STATE(6633),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_catch] = ACTIONS(10245),
    [anon_sym_finally] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [6634] = {
    [sym_block_comment] = STATE(6634),
    [sym_line_comment] = STATE(6634),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_DASH_GT] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [6635] = {
    [sym_block_comment] = STATE(6635),
    [sym_line_comment] = STATE(6635),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_DASH_GT] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [6636] = {
    [sym_block_comment] = STATE(6636),
    [sym_line_comment] = STATE(6636),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_catch] = ACTIONS(10249),
    [anon_sym_finally] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [6637] = {
    [sym_block_comment] = STATE(6637),
    [sym_line_comment] = STATE(6637),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_catch] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [6638] = {
    [sym_block_comment] = STATE(6638),
    [sym_line_comment] = STATE(6638),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_catch] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [6639] = {
    [sym_block_comment] = STATE(6639),
    [sym_line_comment] = STATE(6639),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_catch] = ACTIONS(10277),
    [anon_sym_finally] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [6640] = {
    [sym_block_comment] = STATE(6640),
    [sym_line_comment] = STATE(6640),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_catch] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [6641] = {
    [sym_block_comment] = STATE(6641),
    [sym_line_comment] = STATE(6641),
    [ts_builtin_sym_end] = ACTIONS(9971),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_RBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [6642] = {
    [sym_block_comment] = STATE(6642),
    [sym_line_comment] = STATE(6642),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_catch] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [6643] = {
    [sym_block_comment] = STATE(6643),
    [sym_line_comment] = STATE(6643),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10361),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10361),
    [anon_sym_RPAREN] = ACTIONS(10361),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10361),
    [anon_sym_RBRACK] = ACTIONS(10361),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10361),
    [anon_sym_LBRACE] = ACTIONS(10361),
    [anon_sym_RBRACE] = ACTIONS(10361),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10361),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10361),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10361),
    [anon_sym_QMARK] = ACTIONS(10361),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10361),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10361),
    [aux_sym_integer_literal_token2] = ACTIONS(10361),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10361),
    [aux_sym_float_literal_token3] = ACTIONS(10361),
    [aux_sym_float_literal_token4] = ACTIONS(10361),
    [sym_character_literal] = ACTIONS(10361),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10361),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10361),
    [sym__pair_operator] = ACTIONS(10361),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10361),
    [sym__lazy_and_operator] = ACTIONS(10361),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10361),
    [sym__pipe_left_operator] = ACTIONS(10361),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10361),
    [sym__bitshift_operator] = ACTIONS(10361),
    [sym__power_operator] = ACTIONS(10361),
    [sym__tilde_operator] = ACTIONS(10361),
    [sym__type_order_operator] = ACTIONS(10361),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [6644] = {
    [sym_block_comment] = STATE(6644),
    [sym_line_comment] = STATE(6644),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_catch] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [6645] = {
    [sym_block_comment] = STATE(6645),
    [sym_line_comment] = STATE(6645),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_catch] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [6646] = {
    [sym_block_comment] = STATE(6646),
    [sym_line_comment] = STATE(6646),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_catch] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [6647] = {
    [sym_identifier] = STATE(6925),
    [sym_block_comment] = STATE(6647),
    [sym_line_comment] = STATE(6647),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [6648] = {
    [sym_identifier] = STATE(6926),
    [sym_block_comment] = STATE(6648),
    [sym_line_comment] = STATE(6648),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [6649] = {
    [sym_block_comment] = STATE(6649),
    [sym_line_comment] = STATE(6649),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_catch] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [6650] = {
    [sym_identifier] = STATE(6932),
    [sym_block_comment] = STATE(6650),
    [sym_line_comment] = STATE(6650),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [6651] = {
    [sym_identifier] = STATE(6933),
    [sym_block_comment] = STATE(6651),
    [sym_line_comment] = STATE(6651),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [6652] = {
    [sym_block_comment] = STATE(6652),
    [sym_line_comment] = STATE(6652),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_catch] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [6653] = {
    [sym_block_comment] = STATE(6653),
    [sym_line_comment] = STATE(6653),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
  },
  [6654] = {
    [sym_block_comment] = STATE(6654),
    [sym_line_comment] = STATE(6654),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_catch] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [6655] = {
    [sym_block_comment] = STATE(6655),
    [sym_line_comment] = STATE(6655),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(189),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_DASH_GT] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(189),
    [aux_sym_float_literal_token3] = ACTIONS(189),
    [aux_sym_float_literal_token4] = ACTIONS(189),
    [sym_character_literal] = ACTIONS(189),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(189),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(189),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(189),
    [sym__pipe_left_operator] = ACTIONS(189),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(189),
    [sym__bitshift_operator] = ACTIONS(189),
    [sym__power_operator] = ACTIONS(189),
    [sym__tilde_operator] = ACTIONS(189),
    [sym__type_order_operator] = ACTIONS(189),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10832),
    [sym__immediate_command_start] = ACTIONS(10834),
  },
  [6656] = {
    [sym_block_comment] = STATE(6656),
    [sym_line_comment] = STATE(6656),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_DASH_GT] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [6657] = {
    [sym_block_comment] = STATE(6657),
    [sym_line_comment] = STATE(6657),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_catch] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [6658] = {
    [sym_block_comment] = STATE(6658),
    [sym_line_comment] = STATE(6658),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_catch] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [6659] = {
    [sym_block_comment] = STATE(6659),
    [sym_line_comment] = STATE(6659),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_catch] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [6660] = {
    [sym_block_comment] = STATE(6660),
    [sym_line_comment] = STATE(6660),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_catch] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [6661] = {
    [sym_block_comment] = STATE(6661),
    [sym_line_comment] = STATE(6661),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10317),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10317),
    [anon_sym_RPAREN] = ACTIONS(10317),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10317),
    [anon_sym_RBRACK] = ACTIONS(10317),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10317),
    [anon_sym_LBRACE] = ACTIONS(10317),
    [anon_sym_RBRACE] = ACTIONS(10317),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10317),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10317),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10317),
    [anon_sym_QMARK] = ACTIONS(10317),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10317),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10317),
    [aux_sym_integer_literal_token2] = ACTIONS(10317),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10317),
    [aux_sym_float_literal_token3] = ACTIONS(10317),
    [aux_sym_float_literal_token4] = ACTIONS(10317),
    [sym_character_literal] = ACTIONS(10317),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10317),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10317),
    [sym__pair_operator] = ACTIONS(10317),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10317),
    [sym__lazy_and_operator] = ACTIONS(10317),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10317),
    [sym__pipe_left_operator] = ACTIONS(10317),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10317),
    [sym__bitshift_operator] = ACTIONS(10317),
    [sym__power_operator] = ACTIONS(10317),
    [sym__tilde_operator] = ACTIONS(10317),
    [sym__type_order_operator] = ACTIONS(10317),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [6662] = {
    [sym_block_comment] = STATE(6662),
    [sym_line_comment] = STATE(6662),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_catch] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [6663] = {
    [sym_block_comment] = STATE(6663),
    [sym_line_comment] = STATE(6663),
    [ts_builtin_sym_end] = ACTIONS(10746),
    [sym__word_identifier] = ACTIONS(10708),
    [anon_sym_COMMA] = ACTIONS(10708),
    [anon_sym_EQ] = ACTIONS(10708),
    [anon_sym_begin] = ACTIONS(10708),
    [anon_sym_module] = ACTIONS(10708),
    [anon_sym_baremodule] = ACTIONS(10708),
    [anon_sym_abstract] = ACTIONS(10708),
    [anon_sym_primitive] = ACTIONS(10708),
    [anon_sym_mutable] = ACTIONS(10708),
    [anon_sym_struct] = ACTIONS(10708),
    [anon_sym_function] = ACTIONS(10708),
    [anon_sym_macro] = ACTIONS(10708),
    [anon_sym_quote] = ACTIONS(10708),
    [anon_sym_let] = ACTIONS(10708),
    [anon_sym_if] = ACTIONS(10708),
    [anon_sym_try] = ACTIONS(10708),
    [anon_sym_for] = ACTIONS(10708),
    [anon_sym_while] = ACTIONS(10708),
    [sym_break_statement] = ACTIONS(10708),
    [sym_continue_statement] = ACTIONS(10708),
    [anon_sym_return] = ACTIONS(10708),
    [anon_sym_const] = ACTIONS(10708),
    [anon_sym_global] = ACTIONS(10708),
    [anon_sym_local] = ACTIONS(10708),
    [anon_sym_LPAREN] = ACTIONS(10708),
    [anon_sym_COLON] = ACTIONS(10708),
    [anon_sym_export] = ACTIONS(10708),
    [anon_sym_public] = ACTIONS(10708),
    [anon_sym_import] = ACTIONS(10708),
    [anon_sym_using] = ACTIONS(10708),
    [anon_sym_LBRACK] = ACTIONS(10708),
    [anon_sym_RBRACK] = ACTIONS(10708),
    [anon_sym_in] = ACTIONS(10708),
    [anon_sym_SEMI] = ACTIONS(10708),
    [anon_sym_LBRACE] = ACTIONS(10708),
    [anon_sym_SQUOTE] = ACTIONS(10886),
    [anon_sym_DOT] = ACTIONS(10888),
    [anon_sym_DOLLAR] = ACTIONS(10708),
    [anon_sym_COLON2] = ACTIONS(10708),
    [anon_sym_COLON_COLON] = ACTIONS(10708),
    [anon_sym_isa] = ACTIONS(10708),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10708),
    [anon_sym_QMARK] = ACTIONS(10708),
    [anon_sym_where] = ACTIONS(10708),
    [anon_sym_AT] = ACTIONS(10708),
    [anon_sym_true] = ACTIONS(10708),
    [anon_sym_false] = ACTIONS(10708),
    [aux_sym_integer_literal_token1] = ACTIONS(10708),
    [aux_sym_integer_literal_token2] = ACTIONS(10708),
    [aux_sym_integer_literal_token3] = ACTIONS(10708),
    [aux_sym_integer_literal_token4] = ACTIONS(10708),
    [aux_sym_float_literal_token1] = ACTIONS(10708),
    [aux_sym_float_literal_token3] = ACTIONS(10708),
    [aux_sym_float_literal_token4] = ACTIONS(10708),
    [sym_character_literal] = ACTIONS(10708),
    [anon_sym_DQUOTE] = ACTIONS(10708),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10708),
    [anon_sym_BQUOTE] = ACTIONS(10708),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10708),
    [sym__pair_operator] = ACTIONS(10708),
    [sym__arrow_operator] = ACTIONS(10708),
    [sym__lazy_or_operator] = ACTIONS(10708),
    [sym__lazy_and_operator] = ACTIONS(10708),
    [sym__comparison_operator] = ACTIONS(10708),
    [sym__pipe_right_operator] = ACTIONS(10708),
    [sym__pipe_left_operator] = ACTIONS(10708),
    [sym__ellipsis_operator] = ACTIONS(10708),
    [sym__plus_operator] = ACTIONS(10708),
    [sym__times_operator] = ACTIONS(10708),
    [sym__rational_operator] = ACTIONS(10708),
    [sym__bitshift_operator] = ACTIONS(10708),
    [sym__power_operator] = ACTIONS(10708),
    [sym__tilde_operator] = ACTIONS(10708),
    [sym__type_order_operator] = ACTIONS(10708),
    [sym__unary_operator] = ACTIONS(10708),
    [sym__unary_plus_operator] = ACTIONS(10708),
    [aux_sym__terminator_token1] = ACTIONS(10746),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10890),
    [sym__immediate_bracket] = ACTIONS(10892),
    [sym__immediate_brace] = ACTIONS(10894),
  },
  [6664] = {
    [sym_block_comment] = STATE(6664),
    [sym_line_comment] = STATE(6664),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [6665] = {
    [sym_block_comment] = STATE(6665),
    [sym_line_comment] = STATE(6665),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_catch] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [6666] = {
    [sym_block_comment] = STATE(6666),
    [sym_line_comment] = STATE(6666),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_catch] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [6667] = {
    [sym_block_comment] = STATE(6667),
    [sym_line_comment] = STATE(6667),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_catch] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [6668] = {
    [sym_block_comment] = STATE(6668),
    [sym_line_comment] = STATE(6668),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_catch] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [6669] = {
    [sym_block_comment] = STATE(6669),
    [sym_line_comment] = STATE(6669),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_catch] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [6670] = {
    [sym_block_comment] = STATE(6670),
    [sym_line_comment] = STATE(6670),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [6671] = {
    [sym_block_comment] = STATE(6671),
    [sym_line_comment] = STATE(6671),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_catch] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [6672] = {
    [sym_block_comment] = STATE(6672),
    [sym_line_comment] = STATE(6672),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_catch] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [6673] = {
    [sym_block_comment] = STATE(6673),
    [sym_line_comment] = STATE(6673),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_catch] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [6674] = {
    [sym_block_comment] = STATE(6674),
    [sym_line_comment] = STATE(6674),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_catch] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [6675] = {
    [sym_block_comment] = STATE(6675),
    [sym_line_comment] = STATE(6675),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_catch] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [6676] = {
    [sym_block_comment] = STATE(6676),
    [sym_line_comment] = STATE(6676),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_catch] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [6677] = {
    [sym_block_comment] = STATE(6677),
    [sym_line_comment] = STATE(6677),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_catch] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [6678] = {
    [sym_block_comment] = STATE(6678),
    [sym_line_comment] = STATE(6678),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_catch] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [6679] = {
    [sym_block_comment] = STATE(6679),
    [sym_line_comment] = STATE(6679),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_catch] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [6680] = {
    [sym_block_comment] = STATE(6680),
    [sym_line_comment] = STATE(6680),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_catch] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [6681] = {
    [sym_block_comment] = STATE(6681),
    [sym_line_comment] = STATE(6681),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_catch] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [6682] = {
    [sym_block_comment] = STATE(6682),
    [sym_line_comment] = STATE(6682),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [6683] = {
    [sym_block_comment] = STATE(6683),
    [sym_line_comment] = STATE(6683),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_catch] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [6684] = {
    [sym_block_comment] = STATE(6684),
    [sym_line_comment] = STATE(6684),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_finally] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [6685] = {
    [sym_block_comment] = STATE(6685),
    [sym_line_comment] = STATE(6685),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_catch] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6686] = {
    [sym_block_comment] = STATE(6686),
    [sym_line_comment] = STATE(6686),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9909),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_DASH_GT] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9909),
    [sym__bitshift_operator] = ACTIONS(9909),
    [sym__power_operator] = ACTIONS(9909),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [6687] = {
    [sym_block_comment] = STATE(6687),
    [sym_line_comment] = STATE(6687),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_finally] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [6688] = {
    [sym_block_comment] = STATE(6688),
    [sym_line_comment] = STATE(6688),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_catch] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [6689] = {
    [sym_block_comment] = STATE(6689),
    [sym_line_comment] = STATE(6689),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_catch] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [6690] = {
    [sym_block_comment] = STATE(6690),
    [sym_line_comment] = STATE(6690),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_catch] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [6691] = {
    [sym_block_comment] = STATE(6691),
    [sym_line_comment] = STATE(6691),
    [ts_builtin_sym_end] = ACTIONS(10756),
    [sym__word_identifier] = ACTIONS(10754),
    [anon_sym_COMMA] = ACTIONS(10754),
    [anon_sym_EQ] = ACTIONS(10754),
    [anon_sym_begin] = ACTIONS(10754),
    [anon_sym_module] = ACTIONS(10754),
    [anon_sym_baremodule] = ACTIONS(10754),
    [anon_sym_abstract] = ACTIONS(10754),
    [anon_sym_primitive] = ACTIONS(10754),
    [anon_sym_mutable] = ACTIONS(10754),
    [anon_sym_struct] = ACTIONS(10754),
    [anon_sym_function] = ACTIONS(10754),
    [anon_sym_macro] = ACTIONS(10754),
    [anon_sym_quote] = ACTIONS(10754),
    [anon_sym_let] = ACTIONS(10754),
    [anon_sym_if] = ACTIONS(10754),
    [anon_sym_try] = ACTIONS(10754),
    [anon_sym_for] = ACTIONS(10754),
    [anon_sym_while] = ACTIONS(10754),
    [sym_break_statement] = ACTIONS(10754),
    [sym_continue_statement] = ACTIONS(10754),
    [anon_sym_return] = ACTIONS(10754),
    [anon_sym_const] = ACTIONS(10754),
    [anon_sym_global] = ACTIONS(10754),
    [anon_sym_local] = ACTIONS(10754),
    [anon_sym_LPAREN] = ACTIONS(10754),
    [anon_sym_COLON] = ACTIONS(10754),
    [anon_sym_export] = ACTIONS(10754),
    [anon_sym_public] = ACTIONS(10754),
    [anon_sym_import] = ACTIONS(10754),
    [anon_sym_using] = ACTIONS(10754),
    [anon_sym_LBRACK] = ACTIONS(10754),
    [anon_sym_RBRACK] = ACTIONS(10754),
    [anon_sym_in] = ACTIONS(10754),
    [anon_sym_SEMI] = ACTIONS(10754),
    [anon_sym_LBRACE] = ACTIONS(10754),
    [anon_sym_SQUOTE] = ACTIONS(10886),
    [anon_sym_DOT] = ACTIONS(10888),
    [anon_sym_DOLLAR] = ACTIONS(10754),
    [anon_sym_COLON2] = ACTIONS(10754),
    [anon_sym_COLON_COLON] = ACTIONS(10754),
    [anon_sym_isa] = ACTIONS(10754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10754),
    [anon_sym_QMARK] = ACTIONS(10754),
    [anon_sym_where] = ACTIONS(10754),
    [anon_sym_AT] = ACTIONS(10754),
    [anon_sym_true] = ACTIONS(10754),
    [anon_sym_false] = ACTIONS(10754),
    [aux_sym_integer_literal_token1] = ACTIONS(10754),
    [aux_sym_integer_literal_token2] = ACTIONS(10754),
    [aux_sym_integer_literal_token3] = ACTIONS(10754),
    [aux_sym_integer_literal_token4] = ACTIONS(10754),
    [aux_sym_float_literal_token1] = ACTIONS(10754),
    [aux_sym_float_literal_token3] = ACTIONS(10754),
    [aux_sym_float_literal_token4] = ACTIONS(10754),
    [sym_character_literal] = ACTIONS(10754),
    [anon_sym_DQUOTE] = ACTIONS(10754),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10754),
    [anon_sym_BQUOTE] = ACTIONS(10754),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10754),
    [sym__pair_operator] = ACTIONS(10754),
    [sym__arrow_operator] = ACTIONS(10754),
    [sym__lazy_or_operator] = ACTIONS(10754),
    [sym__lazy_and_operator] = ACTIONS(10754),
    [sym__comparison_operator] = ACTIONS(10754),
    [sym__pipe_right_operator] = ACTIONS(10754),
    [sym__pipe_left_operator] = ACTIONS(10754),
    [sym__ellipsis_operator] = ACTIONS(10754),
    [sym__plus_operator] = ACTIONS(10754),
    [sym__times_operator] = ACTIONS(10754),
    [sym__rational_operator] = ACTIONS(10754),
    [sym__bitshift_operator] = ACTIONS(10754),
    [sym__power_operator] = ACTIONS(10754),
    [sym__tilde_operator] = ACTIONS(10754),
    [sym__type_order_operator] = ACTIONS(10754),
    [sym__unary_operator] = ACTIONS(10754),
    [sym__unary_plus_operator] = ACTIONS(10754),
    [aux_sym__terminator_token1] = ACTIONS(10756),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10890),
    [sym__immediate_bracket] = ACTIONS(10892),
    [sym__immediate_brace] = ACTIONS(10894),
  },
  [6692] = {
    [sym_block_comment] = STATE(6692),
    [sym_line_comment] = STATE(6692),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_catch] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [6693] = {
    [sym_block_comment] = STATE(6693),
    [sym_line_comment] = STATE(6693),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_finally] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [6694] = {
    [sym_block_comment] = STATE(6694),
    [sym_line_comment] = STATE(6694),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_catch] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [6695] = {
    [sym_block_comment] = STATE(6695),
    [sym_line_comment] = STATE(6695),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_DASH_GT] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [6696] = {
    [sym_block_comment] = STATE(6696),
    [sym_line_comment] = STATE(6696),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_catch] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [6697] = {
    [sym_block_comment] = STATE(6697),
    [sym_line_comment] = STATE(6697),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [6698] = {
    [sym_block_comment] = STATE(6698),
    [sym_line_comment] = STATE(6698),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_finally] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [6699] = {
    [sym_block_comment] = STATE(6699),
    [sym_line_comment] = STATE(6699),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_catch] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [6700] = {
    [sym_block_comment] = STATE(6700),
    [sym_line_comment] = STATE(6700),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_catch] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [6701] = {
    [sym_block_comment] = STATE(6701),
    [sym_line_comment] = STATE(6701),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [6702] = {
    [sym_block_comment] = STATE(6702),
    [sym_line_comment] = STATE(6702),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_finally] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [6703] = {
    [sym_block_comment] = STATE(6703),
    [sym_line_comment] = STATE(6703),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_catch] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [6704] = {
    [sym_block_comment] = STATE(6704),
    [sym_line_comment] = STATE(6704),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_catch] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [6705] = {
    [sym_block_comment] = STATE(6705),
    [sym_line_comment] = STATE(6705),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_finally] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [6706] = {
    [sym_block_comment] = STATE(6706),
    [sym_line_comment] = STATE(6706),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_catch] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [6707] = {
    [sym_block_comment] = STATE(6707),
    [sym_line_comment] = STATE(6707),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
  },
  [6708] = {
    [sym_block_comment] = STATE(6708),
    [sym_line_comment] = STATE(6708),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_catch] = ACTIONS(10175),
    [anon_sym_finally] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [6709] = {
    [sym_block_comment] = STATE(6709),
    [sym_line_comment] = STATE(6709),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_finally] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [6710] = {
    [sym_block_comment] = STATE(6710),
    [sym_line_comment] = STATE(6710),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_catch] = ACTIONS(10319),
    [anon_sym_finally] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [6711] = {
    [sym_block_comment] = STATE(6711),
    [sym_line_comment] = STATE(6711),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_catch] = ACTIONS(10395),
    [anon_sym_finally] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [6712] = {
    [sym_block_comment] = STATE(6712),
    [sym_line_comment] = STATE(6712),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_catch] = ACTIONS(10413),
    [anon_sym_finally] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [6713] = {
    [sym_block_comment] = STATE(6713),
    [sym_line_comment] = STATE(6713),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_elseif] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10872),
    [sym__immediate_command_start] = ACTIONS(10874),
  },
  [6714] = {
    [sym_block_comment] = STATE(6714),
    [sym_line_comment] = STATE(6714),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_catch] = ACTIONS(10323),
    [anon_sym_finally] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [6715] = {
    [sym_block_comment] = STATE(6715),
    [sym_line_comment] = STATE(6715),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_catch] = ACTIONS(10327),
    [anon_sym_finally] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [6716] = {
    [sym_block_comment] = STATE(6716),
    [sym_line_comment] = STATE(6716),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_catch] = ACTIONS(10379),
    [anon_sym_finally] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [6717] = {
    [sym_block_comment] = STATE(6717),
    [sym_line_comment] = STATE(6717),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_catch] = ACTIONS(10385),
    [anon_sym_finally] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [6718] = {
    [sym_block_comment] = STATE(6718),
    [sym_line_comment] = STATE(6718),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_catch] = ACTIONS(10389),
    [anon_sym_finally] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [6719] = {
    [sym_block_comment] = STATE(6719),
    [sym_line_comment] = STATE(6719),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10880),
    [sym__immediate_command_start] = ACTIONS(10882),
  },
  [6720] = {
    [sym_block_comment] = STATE(6720),
    [sym_line_comment] = STATE(6720),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_catch] = ACTIONS(10343),
    [anon_sym_finally] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [6721] = {
    [sym_block_comment] = STATE(6721),
    [sym_line_comment] = STATE(6721),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_catch] = ACTIONS(10417),
    [anon_sym_finally] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [6722] = {
    [sym_block_comment] = STATE(6722),
    [sym_line_comment] = STATE(6722),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_catch] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [6723] = {
    [sym_block_comment] = STATE(6723),
    [sym_line_comment] = STATE(6723),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_catch] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [6724] = {
    [sym_block_comment] = STATE(6724),
    [sym_line_comment] = STATE(6724),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_catch] = ACTIONS(10421),
    [anon_sym_finally] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [6725] = {
    [sym_block_comment] = STATE(6725),
    [sym_line_comment] = STATE(6725),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_catch] = ACTIONS(10429),
    [anon_sym_finally] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [6726] = {
    [sym_block_comment] = STATE(6726),
    [sym_line_comment] = STATE(6726),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_catch] = ACTIONS(10433),
    [anon_sym_finally] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [6727] = {
    [sym_block_comment] = STATE(6727),
    [sym_line_comment] = STATE(6727),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_catch] = ACTIONS(10437),
    [anon_sym_finally] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [6728] = {
    [sym_block_comment] = STATE(6728),
    [sym_line_comment] = STATE(6728),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [6729] = {
    [sym_block_comment] = STATE(6729),
    [sym_line_comment] = STATE(6729),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_catch] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [6730] = {
    [sym_block_comment] = STATE(6730),
    [sym_line_comment] = STATE(6730),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_catch] = ACTIONS(10291),
    [anon_sym_finally] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [6731] = {
    [sym_block_comment] = STATE(6731),
    [sym_line_comment] = STATE(6731),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_catch] = ACTIONS(10307),
    [anon_sym_finally] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [6732] = {
    [sym_block_comment] = STATE(6732),
    [sym_line_comment] = STATE(6732),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_catch] = ACTIONS(10347),
    [anon_sym_finally] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [6733] = {
    [sym_block_comment] = STATE(6733),
    [sym_line_comment] = STATE(6733),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_catch] = ACTIONS(10351),
    [anon_sym_finally] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [6734] = {
    [sym_block_comment] = STATE(6734),
    [sym_line_comment] = STATE(6734),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_catch] = ACTIONS(10355),
    [anon_sym_finally] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [6735] = {
    [sym_block_comment] = STATE(6735),
    [sym_line_comment] = STATE(6735),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_catch] = ACTIONS(10403),
    [anon_sym_finally] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [6736] = {
    [sym_block_comment] = STATE(6736),
    [sym_line_comment] = STATE(6736),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10896),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6737] = {
    [sym_block_comment] = STATE(6737),
    [sym_line_comment] = STATE(6737),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_catch] = ACTIONS(10311),
    [anon_sym_finally] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [6738] = {
    [sym_block_comment] = STATE(6738),
    [sym_line_comment] = STATE(6738),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [6739] = {
    [sym_block_comment] = STATE(6739),
    [sym_line_comment] = STATE(6739),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_catch] = ACTIONS(10399),
    [anon_sym_finally] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [6740] = {
    [sym_block_comment] = STATE(6740),
    [sym_line_comment] = STATE(6740),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_catch] = ACTIONS(10263),
    [anon_sym_finally] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [6741] = {
    [sym_block_comment] = STATE(6741),
    [sym_line_comment] = STATE(6741),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_catch] = ACTIONS(10339),
    [anon_sym_finally] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [6742] = {
    [sym_block_comment] = STATE(6742),
    [sym_line_comment] = STATE(6742),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_catch] = ACTIONS(10371),
    [anon_sym_finally] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [6743] = {
    [sym_block_comment] = STATE(6743),
    [sym_line_comment] = STATE(6743),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_finally] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [6744] = {
    [sym_block_comment] = STATE(6744),
    [sym_line_comment] = STATE(6744),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_catch] = ACTIONS(10409),
    [anon_sym_finally] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [6745] = {
    [sym_block_comment] = STATE(6745),
    [sym_line_comment] = STATE(6745),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_catch] = ACTIONS(10217),
    [anon_sym_finally] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [6746] = {
    [sym_block_comment] = STATE(6746),
    [sym_line_comment] = STATE(6746),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_finally] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [6747] = {
    [sym_block_comment] = STATE(6747),
    [sym_line_comment] = STATE(6747),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_finally] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [6748] = {
    [sym_block_comment] = STATE(6748),
    [sym_line_comment] = STATE(6748),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_RPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_RBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9971),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_RBRACE] = ACTIONS(9971),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9971),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9971),
    [sym__bitshift_operator] = ACTIONS(9971),
    [sym__power_operator] = ACTIONS(9971),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [6749] = {
    [sym_block_comment] = STATE(6749),
    [sym_line_comment] = STATE(6749),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_catch] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [6750] = {
    [sym_block_comment] = STATE(6750),
    [sym_line_comment] = STATE(6750),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_finally] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [6751] = {
    [sym_block_comment] = STATE(6751),
    [sym_line_comment] = STATE(6751),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_finally] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [6752] = {
    [sym_block_comment] = STATE(6752),
    [sym_line_comment] = STATE(6752),
    [sym__word_identifier] = ACTIONS(10635),
    [anon_sym_COMMA] = ACTIONS(10708),
    [anon_sym_EQ] = ACTIONS(10708),
    [anon_sym_begin] = ACTIONS(10635),
    [anon_sym_module] = ACTIONS(10635),
    [anon_sym_baremodule] = ACTIONS(10635),
    [anon_sym_end] = ACTIONS(10635),
    [anon_sym_abstract] = ACTIONS(10635),
    [anon_sym_primitive] = ACTIONS(10635),
    [anon_sym_mutable] = ACTIONS(10635),
    [anon_sym_struct] = ACTIONS(10635),
    [anon_sym_function] = ACTIONS(10635),
    [anon_sym_macro] = ACTIONS(10635),
    [anon_sym_quote] = ACTIONS(10635),
    [anon_sym_let] = ACTIONS(10635),
    [anon_sym_if] = ACTIONS(10635),
    [anon_sym_try] = ACTIONS(10635),
    [anon_sym_for] = ACTIONS(10635),
    [anon_sym_while] = ACTIONS(10635),
    [sym_break_statement] = ACTIONS(10635),
    [sym_continue_statement] = ACTIONS(10635),
    [anon_sym_return] = ACTIONS(10635),
    [anon_sym_const] = ACTIONS(10635),
    [anon_sym_global] = ACTIONS(10635),
    [anon_sym_local] = ACTIONS(10635),
    [anon_sym_LPAREN] = ACTIONS(10635),
    [anon_sym_COLON] = ACTIONS(10635),
    [anon_sym_export] = ACTIONS(10635),
    [anon_sym_public] = ACTIONS(10635),
    [anon_sym_import] = ACTIONS(10635),
    [anon_sym_using] = ACTIONS(10635),
    [anon_sym_LBRACK] = ACTIONS(10635),
    [anon_sym_in] = ACTIONS(10635),
    [anon_sym_SEMI] = ACTIONS(10635),
    [anon_sym_LBRACE] = ACTIONS(10635),
    [anon_sym_SQUOTE] = ACTIONS(10856),
    [anon_sym_DOT] = ACTIONS(10858),
    [anon_sym_DOLLAR] = ACTIONS(10635),
    [anon_sym_COLON2] = ACTIONS(10635),
    [anon_sym_COLON_COLON] = ACTIONS(10635),
    [anon_sym_isa] = ACTIONS(10635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10635),
    [anon_sym_QMARK] = ACTIONS(10635),
    [anon_sym_DASH_GT] = ACTIONS(10635),
    [anon_sym_where] = ACTIONS(10635),
    [anon_sym_AT] = ACTIONS(10635),
    [anon_sym_true] = ACTIONS(10635),
    [anon_sym_false] = ACTIONS(10635),
    [aux_sym_integer_literal_token1] = ACTIONS(10635),
    [aux_sym_integer_literal_token2] = ACTIONS(10635),
    [aux_sym_integer_literal_token3] = ACTIONS(10635),
    [aux_sym_integer_literal_token4] = ACTIONS(10635),
    [aux_sym_float_literal_token1] = ACTIONS(10635),
    [aux_sym_float_literal_token3] = ACTIONS(10635),
    [aux_sym_float_literal_token4] = ACTIONS(10635),
    [sym_character_literal] = ACTIONS(10635),
    [anon_sym_DQUOTE] = ACTIONS(10635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10635),
    [sym__pair_operator] = ACTIONS(10635),
    [sym__arrow_operator] = ACTIONS(10635),
    [sym__lazy_or_operator] = ACTIONS(10635),
    [sym__lazy_and_operator] = ACTIONS(10635),
    [sym__comparison_operator] = ACTIONS(10635),
    [sym__pipe_right_operator] = ACTIONS(10635),
    [sym__pipe_left_operator] = ACTIONS(10635),
    [sym__ellipsis_operator] = ACTIONS(10635),
    [sym__plus_operator] = ACTIONS(10635),
    [sym__times_operator] = ACTIONS(10635),
    [sym__rational_operator] = ACTIONS(10635),
    [sym__bitshift_operator] = ACTIONS(10635),
    [sym__power_operator] = ACTIONS(10635),
    [sym__tilde_operator] = ACTIONS(10635),
    [sym__type_order_operator] = ACTIONS(10635),
    [sym__unary_operator] = ACTIONS(10635),
    [sym__unary_plus_operator] = ACTIONS(10635),
    [aux_sym__terminator_token1] = ACTIONS(10641),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10860),
    [sym__immediate_bracket] = ACTIONS(10862),
    [sym__immediate_brace] = ACTIONS(10864),
  },
  [6753] = {
    [sym_block_comment] = STATE(6753),
    [sym_line_comment] = STATE(6753),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_RPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_RBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10019),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_RBRACE] = ACTIONS(10019),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10019),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6754] = {
    [sym_block_comment] = STATE(6754),
    [sym_line_comment] = STATE(6754),
    [sym__word_identifier] = ACTIONS(10708),
    [anon_sym_COMMA] = ACTIONS(10746),
    [anon_sym_EQ] = ACTIONS(10708),
    [anon_sym_begin] = ACTIONS(10708),
    [anon_sym_module] = ACTIONS(10708),
    [anon_sym_baremodule] = ACTIONS(10708),
    [anon_sym_abstract] = ACTIONS(10708),
    [anon_sym_primitive] = ACTIONS(10708),
    [anon_sym_mutable] = ACTIONS(10708),
    [anon_sym_struct] = ACTIONS(10708),
    [anon_sym_function] = ACTIONS(10708),
    [anon_sym_macro] = ACTIONS(10708),
    [anon_sym_quote] = ACTIONS(10708),
    [anon_sym_let] = ACTIONS(10708),
    [anon_sym_if] = ACTIONS(10708),
    [anon_sym_try] = ACTIONS(10708),
    [anon_sym_for] = ACTIONS(10708),
    [anon_sym_while] = ACTIONS(10708),
    [sym_break_statement] = ACTIONS(10708),
    [sym_continue_statement] = ACTIONS(10708),
    [anon_sym_return] = ACTIONS(10708),
    [anon_sym_const] = ACTIONS(10708),
    [anon_sym_global] = ACTIONS(10708),
    [anon_sym_local] = ACTIONS(10708),
    [anon_sym_LPAREN] = ACTIONS(10746),
    [anon_sym_RPAREN] = ACTIONS(10746),
    [anon_sym_COLON] = ACTIONS(10708),
    [anon_sym_export] = ACTIONS(10708),
    [anon_sym_public] = ACTIONS(10708),
    [anon_sym_import] = ACTIONS(10708),
    [anon_sym_using] = ACTIONS(10708),
    [anon_sym_LBRACK] = ACTIONS(10746),
    [anon_sym_RBRACK] = ACTIONS(10746),
    [anon_sym_in] = ACTIONS(10708),
    [anon_sym_SEMI] = ACTIONS(10746),
    [anon_sym_LBRACE] = ACTIONS(10746),
    [anon_sym_RBRACE] = ACTIONS(10746),
    [anon_sym_SQUOTE] = ACTIONS(10898),
    [anon_sym_DOT] = ACTIONS(10900),
    [anon_sym_DOLLAR] = ACTIONS(10746),
    [anon_sym_COLON2] = ACTIONS(10708),
    [anon_sym_COLON_COLON] = ACTIONS(10746),
    [anon_sym_isa] = ACTIONS(10708),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10746),
    [anon_sym_QMARK] = ACTIONS(10746),
    [anon_sym_where] = ACTIONS(10708),
    [anon_sym_AT] = ACTIONS(10746),
    [anon_sym_true] = ACTIONS(10708),
    [anon_sym_false] = ACTIONS(10708),
    [aux_sym_integer_literal_token1] = ACTIONS(10746),
    [aux_sym_integer_literal_token2] = ACTIONS(10746),
    [aux_sym_integer_literal_token3] = ACTIONS(10708),
    [aux_sym_integer_literal_token4] = ACTIONS(10708),
    [aux_sym_float_literal_token1] = ACTIONS(10746),
    [aux_sym_float_literal_token3] = ACTIONS(10746),
    [aux_sym_float_literal_token4] = ACTIONS(10746),
    [sym_character_literal] = ACTIONS(10746),
    [anon_sym_DQUOTE] = ACTIONS(10708),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10746),
    [anon_sym_BQUOTE] = ACTIONS(10708),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10746),
    [sym__pair_operator] = ACTIONS(10746),
    [sym__arrow_operator] = ACTIONS(10708),
    [sym__lazy_or_operator] = ACTIONS(10746),
    [sym__lazy_and_operator] = ACTIONS(10746),
    [sym__comparison_operator] = ACTIONS(10708),
    [sym__pipe_right_operator] = ACTIONS(10746),
    [sym__pipe_left_operator] = ACTIONS(10746),
    [sym__ellipsis_operator] = ACTIONS(10708),
    [sym__plus_operator] = ACTIONS(10708),
    [sym__times_operator] = ACTIONS(10708),
    [sym__rational_operator] = ACTIONS(10746),
    [sym__bitshift_operator] = ACTIONS(10746),
    [sym__power_operator] = ACTIONS(10746),
    [sym__tilde_operator] = ACTIONS(10746),
    [sym__type_order_operator] = ACTIONS(10746),
    [sym__unary_operator] = ACTIONS(10708),
    [sym__unary_plus_operator] = ACTIONS(10708),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10902),
    [sym__immediate_bracket] = ACTIONS(10904),
    [sym__immediate_brace] = ACTIONS(10906),
  },
  [6755] = {
    [sym_block_comment] = STATE(6755),
    [sym_line_comment] = STATE(6755),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10365),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10365),
    [anon_sym_RPAREN] = ACTIONS(10365),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10365),
    [anon_sym_RBRACK] = ACTIONS(10365),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10365),
    [anon_sym_LBRACE] = ACTIONS(10365),
    [anon_sym_RBRACE] = ACTIONS(10365),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10365),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10365),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10365),
    [anon_sym_QMARK] = ACTIONS(10365),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10365),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10365),
    [aux_sym_integer_literal_token2] = ACTIONS(10365),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10365),
    [aux_sym_float_literal_token3] = ACTIONS(10365),
    [aux_sym_float_literal_token4] = ACTIONS(10365),
    [sym_character_literal] = ACTIONS(10365),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10365),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10365),
    [sym__pair_operator] = ACTIONS(10365),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10365),
    [sym__lazy_and_operator] = ACTIONS(10365),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10365),
    [sym__pipe_left_operator] = ACTIONS(10365),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10365),
    [sym__bitshift_operator] = ACTIONS(10365),
    [sym__power_operator] = ACTIONS(10365),
    [sym__tilde_operator] = ACTIONS(10365),
    [sym__type_order_operator] = ACTIONS(10365),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [6756] = {
    [sym_block_comment] = STATE(6756),
    [sym_line_comment] = STATE(6756),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_finally] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [6757] = {
    [sym_block_comment] = STATE(6757),
    [sym_line_comment] = STATE(6757),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_finally] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [6758] = {
    [sym_block_comment] = STATE(6758),
    [sym_line_comment] = STATE(6758),
    [sym__word_identifier] = ACTIONS(10754),
    [anon_sym_COMMA] = ACTIONS(10756),
    [anon_sym_EQ] = ACTIONS(10754),
    [anon_sym_begin] = ACTIONS(10754),
    [anon_sym_module] = ACTIONS(10754),
    [anon_sym_baremodule] = ACTIONS(10754),
    [anon_sym_abstract] = ACTIONS(10754),
    [anon_sym_primitive] = ACTIONS(10754),
    [anon_sym_mutable] = ACTIONS(10754),
    [anon_sym_struct] = ACTIONS(10754),
    [anon_sym_function] = ACTIONS(10754),
    [anon_sym_macro] = ACTIONS(10754),
    [anon_sym_quote] = ACTIONS(10754),
    [anon_sym_let] = ACTIONS(10754),
    [anon_sym_if] = ACTIONS(10754),
    [anon_sym_try] = ACTIONS(10754),
    [anon_sym_for] = ACTIONS(10754),
    [anon_sym_while] = ACTIONS(10754),
    [sym_break_statement] = ACTIONS(10754),
    [sym_continue_statement] = ACTIONS(10754),
    [anon_sym_return] = ACTIONS(10754),
    [anon_sym_const] = ACTIONS(10754),
    [anon_sym_global] = ACTIONS(10754),
    [anon_sym_local] = ACTIONS(10754),
    [anon_sym_LPAREN] = ACTIONS(10756),
    [anon_sym_RPAREN] = ACTIONS(10756),
    [anon_sym_COLON] = ACTIONS(10754),
    [anon_sym_export] = ACTIONS(10754),
    [anon_sym_public] = ACTIONS(10754),
    [anon_sym_import] = ACTIONS(10754),
    [anon_sym_using] = ACTIONS(10754),
    [anon_sym_LBRACK] = ACTIONS(10756),
    [anon_sym_RBRACK] = ACTIONS(10756),
    [anon_sym_in] = ACTIONS(10754),
    [anon_sym_SEMI] = ACTIONS(10756),
    [anon_sym_LBRACE] = ACTIONS(10756),
    [anon_sym_RBRACE] = ACTIONS(10756),
    [anon_sym_SQUOTE] = ACTIONS(10898),
    [anon_sym_DOT] = ACTIONS(10900),
    [anon_sym_DOLLAR] = ACTIONS(10756),
    [anon_sym_COLON2] = ACTIONS(10754),
    [anon_sym_COLON_COLON] = ACTIONS(10756),
    [anon_sym_isa] = ACTIONS(10754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10756),
    [anon_sym_QMARK] = ACTIONS(10756),
    [anon_sym_where] = ACTIONS(10754),
    [anon_sym_AT] = ACTIONS(10756),
    [anon_sym_true] = ACTIONS(10754),
    [anon_sym_false] = ACTIONS(10754),
    [aux_sym_integer_literal_token1] = ACTIONS(10756),
    [aux_sym_integer_literal_token2] = ACTIONS(10756),
    [aux_sym_integer_literal_token3] = ACTIONS(10754),
    [aux_sym_integer_literal_token4] = ACTIONS(10754),
    [aux_sym_float_literal_token1] = ACTIONS(10756),
    [aux_sym_float_literal_token3] = ACTIONS(10756),
    [aux_sym_float_literal_token4] = ACTIONS(10756),
    [sym_character_literal] = ACTIONS(10756),
    [anon_sym_DQUOTE] = ACTIONS(10754),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10756),
    [anon_sym_BQUOTE] = ACTIONS(10754),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10756),
    [sym__pair_operator] = ACTIONS(10756),
    [sym__arrow_operator] = ACTIONS(10754),
    [sym__lazy_or_operator] = ACTIONS(10756),
    [sym__lazy_and_operator] = ACTIONS(10756),
    [sym__comparison_operator] = ACTIONS(10754),
    [sym__pipe_right_operator] = ACTIONS(10756),
    [sym__pipe_left_operator] = ACTIONS(10756),
    [sym__ellipsis_operator] = ACTIONS(10754),
    [sym__plus_operator] = ACTIONS(10754),
    [sym__times_operator] = ACTIONS(10754),
    [sym__rational_operator] = ACTIONS(10756),
    [sym__bitshift_operator] = ACTIONS(10756),
    [sym__power_operator] = ACTIONS(10756),
    [sym__tilde_operator] = ACTIONS(10756),
    [sym__type_order_operator] = ACTIONS(10756),
    [sym__unary_operator] = ACTIONS(10754),
    [sym__unary_plus_operator] = ACTIONS(10754),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10902),
    [sym__immediate_bracket] = ACTIONS(10904),
    [sym__immediate_brace] = ACTIONS(10906),
  },
  [6759] = {
    [sym_block_comment] = STATE(6759),
    [sym_line_comment] = STATE(6759),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_finally] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [6760] = {
    [sym_block_comment] = STATE(6760),
    [sym_line_comment] = STATE(6760),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_DASH_GT] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [6761] = {
    [sym_block_comment] = STATE(6761),
    [sym_line_comment] = STATE(6761),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_finally] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [6762] = {
    [sym_block_comment] = STATE(6762),
    [sym_line_comment] = STATE(6762),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_finally] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [6763] = {
    [sym_block_comment] = STATE(6763),
    [sym_line_comment] = STATE(6763),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_finally] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [6764] = {
    [sym_block_comment] = STATE(6764),
    [sym_line_comment] = STATE(6764),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_DASH_GT] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [6765] = {
    [sym_block_comment] = STATE(6765),
    [sym_line_comment] = STATE(6765),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [6766] = {
    [sym_block_comment] = STATE(6766),
    [sym_line_comment] = STATE(6766),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_catch] = ACTIONS(10359),
    [anon_sym_finally] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [6767] = {
    [sym_block_comment] = STATE(6767),
    [sym_line_comment] = STATE(6767),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_catch] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [6768] = {
    [sym_block_comment] = STATE(6768),
    [sym_line_comment] = STATE(6768),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_finally] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [6769] = {
    [sym_block_comment] = STATE(6769),
    [sym_line_comment] = STATE(6769),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_finally] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [6770] = {
    [sym_block_comment] = STATE(6770),
    [sym_line_comment] = STATE(6770),
    [sym__word_identifier] = ACTIONS(10708),
    [anon_sym_COMMA] = ACTIONS(10708),
    [anon_sym_EQ] = ACTIONS(10708),
    [anon_sym_begin] = ACTIONS(10708),
    [anon_sym_module] = ACTIONS(10708),
    [anon_sym_baremodule] = ACTIONS(10708),
    [anon_sym_abstract] = ACTIONS(10708),
    [anon_sym_primitive] = ACTIONS(10708),
    [anon_sym_mutable] = ACTIONS(10708),
    [anon_sym_struct] = ACTIONS(10708),
    [anon_sym_function] = ACTIONS(10708),
    [anon_sym_macro] = ACTIONS(10708),
    [anon_sym_quote] = ACTIONS(10708),
    [anon_sym_let] = ACTIONS(10708),
    [anon_sym_if] = ACTIONS(10708),
    [anon_sym_try] = ACTIONS(10708),
    [anon_sym_catch] = ACTIONS(10708),
    [anon_sym_finally] = ACTIONS(10708),
    [anon_sym_for] = ACTIONS(10708),
    [anon_sym_while] = ACTIONS(10708),
    [sym_break_statement] = ACTIONS(10708),
    [sym_continue_statement] = ACTIONS(10708),
    [anon_sym_return] = ACTIONS(10708),
    [anon_sym_const] = ACTIONS(10708),
    [anon_sym_global] = ACTIONS(10708),
    [anon_sym_local] = ACTIONS(10708),
    [anon_sym_LPAREN] = ACTIONS(10708),
    [anon_sym_COLON] = ACTIONS(10708),
    [anon_sym_export] = ACTIONS(10708),
    [anon_sym_public] = ACTIONS(10708),
    [anon_sym_import] = ACTIONS(10708),
    [anon_sym_using] = ACTIONS(10708),
    [anon_sym_LBRACK] = ACTIONS(10708),
    [anon_sym_in] = ACTIONS(10708),
    [anon_sym_SEMI] = ACTIONS(10708),
    [anon_sym_LBRACE] = ACTIONS(10708),
    [anon_sym_SQUOTE] = ACTIONS(10908),
    [anon_sym_DOT] = ACTIONS(10910),
    [anon_sym_DOLLAR] = ACTIONS(10708),
    [anon_sym_COLON2] = ACTIONS(10708),
    [anon_sym_COLON_COLON] = ACTIONS(10708),
    [anon_sym_isa] = ACTIONS(10708),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10708),
    [anon_sym_QMARK] = ACTIONS(10708),
    [anon_sym_where] = ACTIONS(10708),
    [anon_sym_AT] = ACTIONS(10708),
    [anon_sym_true] = ACTIONS(10708),
    [anon_sym_false] = ACTIONS(10708),
    [aux_sym_integer_literal_token1] = ACTIONS(10708),
    [aux_sym_integer_literal_token2] = ACTIONS(10708),
    [aux_sym_integer_literal_token3] = ACTIONS(10708),
    [aux_sym_integer_literal_token4] = ACTIONS(10708),
    [aux_sym_float_literal_token1] = ACTIONS(10708),
    [aux_sym_float_literal_token3] = ACTIONS(10708),
    [aux_sym_float_literal_token4] = ACTIONS(10708),
    [sym_character_literal] = ACTIONS(10708),
    [anon_sym_DQUOTE] = ACTIONS(10708),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10708),
    [anon_sym_BQUOTE] = ACTIONS(10708),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10708),
    [sym__pair_operator] = ACTIONS(10708),
    [sym__arrow_operator] = ACTIONS(10708),
    [sym__lazy_or_operator] = ACTIONS(10708),
    [sym__lazy_and_operator] = ACTIONS(10708),
    [sym__comparison_operator] = ACTIONS(10708),
    [sym__pipe_right_operator] = ACTIONS(10708),
    [sym__pipe_left_operator] = ACTIONS(10708),
    [sym__ellipsis_operator] = ACTIONS(10708),
    [sym__plus_operator] = ACTIONS(10708),
    [sym__times_operator] = ACTIONS(10708),
    [sym__rational_operator] = ACTIONS(10708),
    [sym__bitshift_operator] = ACTIONS(10708),
    [sym__power_operator] = ACTIONS(10708),
    [sym__tilde_operator] = ACTIONS(10708),
    [sym__type_order_operator] = ACTIONS(10708),
    [sym__unary_operator] = ACTIONS(10708),
    [sym__unary_plus_operator] = ACTIONS(10708),
    [aux_sym__terminator_token1] = ACTIONS(10746),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10912),
    [sym__immediate_bracket] = ACTIONS(10914),
    [sym__immediate_brace] = ACTIONS(10916),
  },
  [6771] = {
    [sym_block_comment] = STATE(6771),
    [sym_line_comment] = STATE(6771),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_finally] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [6772] = {
    [sym_block_comment] = STATE(6772),
    [sym_line_comment] = STATE(6772),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_catch] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [6773] = {
    [sym_block_comment] = STATE(6773),
    [sym_line_comment] = STATE(6773),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_finally] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [6774] = {
    [sym_block_comment] = STATE(6774),
    [sym_line_comment] = STATE(6774),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_finally] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [6775] = {
    [sym_block_comment] = STATE(6775),
    [sym_line_comment] = STATE(6775),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_finally] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [6776] = {
    [sym_block_comment] = STATE(6776),
    [sym_line_comment] = STATE(6776),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_finally] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [6777] = {
    [sym_block_comment] = STATE(6777),
    [sym_line_comment] = STATE(6777),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [6778] = {
    [sym_block_comment] = STATE(6778),
    [sym_line_comment] = STATE(6778),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [6779] = {
    [sym_block_comment] = STATE(6779),
    [sym_line_comment] = STATE(6779),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_finally] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [6780] = {
    [sym_block_comment] = STATE(6780),
    [sym_line_comment] = STATE(6780),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_finally] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [6781] = {
    [sym_block_comment] = STATE(6781),
    [sym_line_comment] = STATE(6781),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_finally] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [6782] = {
    [sym_block_comment] = STATE(6782),
    [sym_line_comment] = STATE(6782),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_finally] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [6783] = {
    [sym_block_comment] = STATE(6783),
    [sym_line_comment] = STATE(6783),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_DASH_GT] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [6784] = {
    [sym_block_comment] = STATE(6784),
    [sym_line_comment] = STATE(6784),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_catch] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [6785] = {
    [sym_block_comment] = STATE(6785),
    [sym_line_comment] = STATE(6785),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_finally] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [6786] = {
    [sym_block_comment] = STATE(6786),
    [sym_line_comment] = STATE(6786),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10377),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(10377),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10377),
    [anon_sym_RBRACK] = ACTIONS(10377),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10377),
    [anon_sym_LBRACE] = ACTIONS(10377),
    [anon_sym_RBRACE] = ACTIONS(10377),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10377),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10377),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10377),
    [anon_sym_QMARK] = ACTIONS(10377),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10377),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10377),
    [aux_sym_integer_literal_token2] = ACTIONS(10377),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10377),
    [aux_sym_float_literal_token3] = ACTIONS(10377),
    [aux_sym_float_literal_token4] = ACTIONS(10377),
    [sym_character_literal] = ACTIONS(10377),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10377),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10377),
    [sym__pair_operator] = ACTIONS(10377),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10377),
    [sym__lazy_and_operator] = ACTIONS(10377),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10377),
    [sym__pipe_left_operator] = ACTIONS(10377),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10377),
    [sym__bitshift_operator] = ACTIONS(10377),
    [sym__power_operator] = ACTIONS(10377),
    [sym__tilde_operator] = ACTIONS(10377),
    [sym__type_order_operator] = ACTIONS(10377),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [6787] = {
    [sym_block_comment] = STATE(6787),
    [sym_line_comment] = STATE(6787),
    [sym__word_identifier] = ACTIONS(10754),
    [anon_sym_COMMA] = ACTIONS(10754),
    [anon_sym_EQ] = ACTIONS(10754),
    [anon_sym_begin] = ACTIONS(10754),
    [anon_sym_module] = ACTIONS(10754),
    [anon_sym_baremodule] = ACTIONS(10754),
    [anon_sym_abstract] = ACTIONS(10754),
    [anon_sym_primitive] = ACTIONS(10754),
    [anon_sym_mutable] = ACTIONS(10754),
    [anon_sym_struct] = ACTIONS(10754),
    [anon_sym_function] = ACTIONS(10754),
    [anon_sym_macro] = ACTIONS(10754),
    [anon_sym_quote] = ACTIONS(10754),
    [anon_sym_let] = ACTIONS(10754),
    [anon_sym_if] = ACTIONS(10754),
    [anon_sym_try] = ACTIONS(10754),
    [anon_sym_catch] = ACTIONS(10754),
    [anon_sym_finally] = ACTIONS(10754),
    [anon_sym_for] = ACTIONS(10754),
    [anon_sym_while] = ACTIONS(10754),
    [sym_break_statement] = ACTIONS(10754),
    [sym_continue_statement] = ACTIONS(10754),
    [anon_sym_return] = ACTIONS(10754),
    [anon_sym_const] = ACTIONS(10754),
    [anon_sym_global] = ACTIONS(10754),
    [anon_sym_local] = ACTIONS(10754),
    [anon_sym_LPAREN] = ACTIONS(10754),
    [anon_sym_COLON] = ACTIONS(10754),
    [anon_sym_export] = ACTIONS(10754),
    [anon_sym_public] = ACTIONS(10754),
    [anon_sym_import] = ACTIONS(10754),
    [anon_sym_using] = ACTIONS(10754),
    [anon_sym_LBRACK] = ACTIONS(10754),
    [anon_sym_in] = ACTIONS(10754),
    [anon_sym_SEMI] = ACTIONS(10754),
    [anon_sym_LBRACE] = ACTIONS(10754),
    [anon_sym_SQUOTE] = ACTIONS(10908),
    [anon_sym_DOT] = ACTIONS(10910),
    [anon_sym_DOLLAR] = ACTIONS(10754),
    [anon_sym_COLON2] = ACTIONS(10754),
    [anon_sym_COLON_COLON] = ACTIONS(10754),
    [anon_sym_isa] = ACTIONS(10754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10754),
    [anon_sym_QMARK] = ACTIONS(10754),
    [anon_sym_where] = ACTIONS(10754),
    [anon_sym_AT] = ACTIONS(10754),
    [anon_sym_true] = ACTIONS(10754),
    [anon_sym_false] = ACTIONS(10754),
    [aux_sym_integer_literal_token1] = ACTIONS(10754),
    [aux_sym_integer_literal_token2] = ACTIONS(10754),
    [aux_sym_integer_literal_token3] = ACTIONS(10754),
    [aux_sym_integer_literal_token4] = ACTIONS(10754),
    [aux_sym_float_literal_token1] = ACTIONS(10754),
    [aux_sym_float_literal_token3] = ACTIONS(10754),
    [aux_sym_float_literal_token4] = ACTIONS(10754),
    [sym_character_literal] = ACTIONS(10754),
    [anon_sym_DQUOTE] = ACTIONS(10754),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10754),
    [anon_sym_BQUOTE] = ACTIONS(10754),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10754),
    [sym__pair_operator] = ACTIONS(10754),
    [sym__arrow_operator] = ACTIONS(10754),
    [sym__lazy_or_operator] = ACTIONS(10754),
    [sym__lazy_and_operator] = ACTIONS(10754),
    [sym__comparison_operator] = ACTIONS(10754),
    [sym__pipe_right_operator] = ACTIONS(10754),
    [sym__pipe_left_operator] = ACTIONS(10754),
    [sym__ellipsis_operator] = ACTIONS(10754),
    [sym__plus_operator] = ACTIONS(10754),
    [sym__times_operator] = ACTIONS(10754),
    [sym__rational_operator] = ACTIONS(10754),
    [sym__bitshift_operator] = ACTIONS(10754),
    [sym__power_operator] = ACTIONS(10754),
    [sym__tilde_operator] = ACTIONS(10754),
    [sym__type_order_operator] = ACTIONS(10754),
    [sym__unary_operator] = ACTIONS(10754),
    [sym__unary_plus_operator] = ACTIONS(10754),
    [aux_sym__terminator_token1] = ACTIONS(10756),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10912),
    [sym__immediate_bracket] = ACTIONS(10914),
    [sym__immediate_brace] = ACTIONS(10916),
  },
  [6788] = {
    [sym_block_comment] = STATE(6788),
    [sym_line_comment] = STATE(6788),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [6789] = {
    [sym_block_comment] = STATE(6789),
    [sym_line_comment] = STATE(6789),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_elseif] = ACTIONS(10876),
    [anon_sym_else] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10878),
    [sym__immediate_bracket] = ACTIONS(10878),
    [sym__immediate_brace] = ACTIONS(10878),
  },
  [6790] = {
    [sym_block_comment] = STATE(6790),
    [sym_line_comment] = STATE(6790),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [6791] = {
    [sym_block_comment] = STATE(6791),
    [sym_line_comment] = STATE(6791),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_finally] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [6792] = {
    [sym_block_comment] = STATE(6792),
    [sym_line_comment] = STATE(6792),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_finally] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [6793] = {
    [sym_block_comment] = STATE(6793),
    [sym_line_comment] = STATE(6793),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_finally] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [6794] = {
    [sym_block_comment] = STATE(6794),
    [sym_line_comment] = STATE(6794),
    [ts_builtin_sym_end] = ACTIONS(3226),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [6795] = {
    [sym_block_comment] = STATE(6795),
    [sym_line_comment] = STATE(6795),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_finally] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [6796] = {
    [sym_block_comment] = STATE(6796),
    [sym_line_comment] = STATE(6796),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_finally] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [6797] = {
    [sym_block_comment] = STATE(6797),
    [sym_line_comment] = STATE(6797),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_finally] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [6798] = {
    [sym_block_comment] = STATE(6798),
    [sym_line_comment] = STATE(6798),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_finally] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [6799] = {
    [sym_block_comment] = STATE(6799),
    [sym_line_comment] = STATE(6799),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_finally] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [6800] = {
    [sym_block_comment] = STATE(6800),
    [sym_line_comment] = STATE(6800),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_finally] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [6801] = {
    [sym_block_comment] = STATE(6801),
    [sym_line_comment] = STATE(6801),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_finally] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [6802] = {
    [sym_block_comment] = STATE(6802),
    [sym_line_comment] = STATE(6802),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_finally] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [6803] = {
    [sym_block_comment] = STATE(6803),
    [sym_line_comment] = STATE(6803),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_finally] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [6804] = {
    [sym_block_comment] = STATE(6804),
    [sym_line_comment] = STATE(6804),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_finally] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [6805] = {
    [sym_block_comment] = STATE(6805),
    [sym_line_comment] = STATE(6805),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_finally] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6806] = {
    [sym_block_comment] = STATE(6806),
    [sym_line_comment] = STATE(6806),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10265),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10265),
    [anon_sym_RPAREN] = ACTIONS(10265),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10265),
    [anon_sym_RBRACK] = ACTIONS(10265),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10265),
    [anon_sym_LBRACE] = ACTIONS(10265),
    [anon_sym_RBRACE] = ACTIONS(10265),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10265),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10265),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10265),
    [anon_sym_QMARK] = ACTIONS(10265),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10265),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10265),
    [aux_sym_integer_literal_token2] = ACTIONS(10265),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10265),
    [aux_sym_float_literal_token3] = ACTIONS(10265),
    [aux_sym_float_literal_token4] = ACTIONS(10265),
    [sym_character_literal] = ACTIONS(10265),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10265),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10265),
    [sym__pair_operator] = ACTIONS(10265),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10265),
    [sym__lazy_and_operator] = ACTIONS(10265),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10265),
    [sym__pipe_left_operator] = ACTIONS(10265),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10265),
    [sym__bitshift_operator] = ACTIONS(10265),
    [sym__power_operator] = ACTIONS(10265),
    [sym__tilde_operator] = ACTIONS(10265),
    [sym__type_order_operator] = ACTIONS(10265),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [6807] = {
    [sym_block_comment] = STATE(6807),
    [sym_line_comment] = STATE(6807),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10165),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10165),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10165),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10165),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10165),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10165),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10165),
    [anon_sym_QMARK] = ACTIONS(10165),
    [anon_sym_DASH_GT] = ACTIONS(10165),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10165),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10165),
    [aux_sym_integer_literal_token2] = ACTIONS(10165),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10165),
    [aux_sym_float_literal_token3] = ACTIONS(10165),
    [aux_sym_float_literal_token4] = ACTIONS(10165),
    [sym_character_literal] = ACTIONS(10165),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10165),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10165),
    [sym__pair_operator] = ACTIONS(10165),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10165),
    [sym__lazy_and_operator] = ACTIONS(10165),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10165),
    [sym__pipe_left_operator] = ACTIONS(10165),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10165),
    [sym__bitshift_operator] = ACTIONS(10165),
    [sym__power_operator] = ACTIONS(10165),
    [sym__tilde_operator] = ACTIONS(10165),
    [sym__type_order_operator] = ACTIONS(10165),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [6808] = {
    [sym_block_comment] = STATE(6808),
    [sym_line_comment] = STATE(6808),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9971),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9971),
    [sym__bitshift_operator] = ACTIONS(9971),
    [sym__power_operator] = ACTIONS(9971),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
    [sym__immediate_string_start] = ACTIONS(10918),
    [sym__immediate_command_start] = ACTIONS(10920),
  },
  [6809] = {
    [sym_block_comment] = STATE(6809),
    [sym_line_comment] = STATE(6809),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [6810] = {
    [sym_block_comment] = STATE(6810),
    [sym_line_comment] = STATE(6810),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [6811] = {
    [sym_block_comment] = STATE(6811),
    [sym_line_comment] = STATE(6811),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [6812] = {
    [sym_block_comment] = STATE(6812),
    [sym_line_comment] = STATE(6812),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9943),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9943),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9943),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9943),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9943),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9943),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9943),
    [anon_sym_QMARK] = ACTIONS(9943),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9943),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9943),
    [aux_sym_integer_literal_token2] = ACTIONS(9943),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9943),
    [aux_sym_float_literal_token3] = ACTIONS(9943),
    [aux_sym_float_literal_token4] = ACTIONS(9943),
    [sym_character_literal] = ACTIONS(9943),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9943),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9943),
    [sym__pair_operator] = ACTIONS(9943),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9943),
    [sym__lazy_and_operator] = ACTIONS(9943),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9943),
    [sym__pipe_left_operator] = ACTIONS(9943),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9943),
    [sym__bitshift_operator] = ACTIONS(9943),
    [sym__power_operator] = ACTIONS(9943),
    [sym__tilde_operator] = ACTIONS(9943),
    [sym__type_order_operator] = ACTIONS(9943),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
    [sym__immediate_string_start] = ACTIONS(10918),
    [sym__immediate_command_start] = ACTIONS(10920),
  },
  [6813] = {
    [sym_block_comment] = STATE(6813),
    [sym_line_comment] = STATE(6813),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10171),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10171),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10171),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_SEMI] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10171),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10171),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10171),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10171),
    [anon_sym_QMARK] = ACTIONS(10171),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10171),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10171),
    [aux_sym_integer_literal_token2] = ACTIONS(10171),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10171),
    [aux_sym_float_literal_token3] = ACTIONS(10171),
    [aux_sym_float_literal_token4] = ACTIONS(10171),
    [sym_character_literal] = ACTIONS(10171),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10171),
    [sym__pair_operator] = ACTIONS(10171),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10171),
    [sym__lazy_and_operator] = ACTIONS(10171),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10171),
    [sym__pipe_left_operator] = ACTIONS(10171),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10171),
    [sym__bitshift_operator] = ACTIONS(10171),
    [sym__power_operator] = ACTIONS(10171),
    [sym__tilde_operator] = ACTIONS(10171),
    [sym__type_order_operator] = ACTIONS(10171),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym__terminator_token1] = ACTIONS(10173),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [6814] = {
    [sym_block_comment] = STATE(6814),
    [sym_line_comment] = STATE(6814),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_RPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_RBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9995),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_RBRACE] = ACTIONS(9995),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9995),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9995),
    [sym__bitshift_operator] = ACTIONS(9995),
    [sym__power_operator] = ACTIONS(9995),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10922),
    [sym__immediate_command_start] = ACTIONS(10924),
  },
  [6815] = {
    [sym_block_comment] = STATE(6815),
    [sym_line_comment] = STATE(6815),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(101),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(101),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_SEMI] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(101),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(101),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(101),
    [anon_sym_QMARK] = ACTIONS(101),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(101),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(101),
    [aux_sym_integer_literal_token2] = ACTIONS(101),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(101),
    [aux_sym_float_literal_token3] = ACTIONS(101),
    [aux_sym_float_literal_token4] = ACTIONS(101),
    [sym_character_literal] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(101),
    [sym__pair_operator] = ACTIONS(101),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(101),
    [sym__lazy_and_operator] = ACTIONS(101),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(101),
    [sym__pipe_left_operator] = ACTIONS(101),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(101),
    [sym__bitshift_operator] = ACTIONS(101),
    [sym__power_operator] = ACTIONS(101),
    [sym__tilde_operator] = ACTIONS(101),
    [sym__type_order_operator] = ACTIONS(101),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym__terminator_token1] = ACTIONS(189),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6816] = {
    [sym_block_comment] = STATE(6816),
    [sym_line_comment] = STATE(6816),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_RPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_RBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9909),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_RBRACE] = ACTIONS(9909),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9909),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9909),
    [sym__bitshift_operator] = ACTIONS(9909),
    [sym__power_operator] = ACTIONS(9909),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [6817] = {
    [sym_block_comment] = STATE(6817),
    [sym_line_comment] = STATE(6817),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [6818] = {
    [sym_block_comment] = STATE(6818),
    [sym_line_comment] = STATE(6818),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10870),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10870),
    [anon_sym_RPAREN] = ACTIONS(10870),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10870),
    [anon_sym_RBRACK] = ACTIONS(10870),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10870),
    [anon_sym_LBRACE] = ACTIONS(10870),
    [anon_sym_RBRACE] = ACTIONS(10870),
    [anon_sym_DOT] = ACTIONS(10926),
    [anon_sym_DOLLAR] = ACTIONS(10870),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10870),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10870),
    [anon_sym_QMARK] = ACTIONS(10870),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10870),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10870),
    [aux_sym_integer_literal_token2] = ACTIONS(10870),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10870),
    [aux_sym_float_literal_token3] = ACTIONS(10870),
    [aux_sym_float_literal_token4] = ACTIONS(10870),
    [sym_character_literal] = ACTIONS(10870),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10870),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10870),
    [sym__pair_operator] = ACTIONS(10870),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10870),
    [sym__lazy_and_operator] = ACTIONS(10870),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10870),
    [sym__pipe_left_operator] = ACTIONS(10870),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10870),
    [sym__bitshift_operator] = ACTIONS(10870),
    [sym__power_operator] = ACTIONS(10870),
    [sym__tilde_operator] = ACTIONS(10870),
    [sym__type_order_operator] = ACTIONS(10870),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [6819] = {
    [sym_block_comment] = STATE(6819),
    [sym_line_comment] = STATE(6819),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10928),
    [sym__immediate_command_start] = ACTIONS(10930),
  },
  [6820] = {
    [sym_block_comment] = STATE(6820),
    [sym_line_comment] = STATE(6820),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_catch] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10878),
    [sym__immediate_bracket] = ACTIONS(10878),
    [sym__immediate_brace] = ACTIONS(10878),
  },
  [6821] = {
    [sym_block_comment] = STATE(6821),
    [sym_line_comment] = STATE(6821),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [6822] = {
    [sym_block_comment] = STATE(6822),
    [sym_line_comment] = STATE(6822),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10209),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10209),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10209),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_SEMI] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10209),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10209),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10209),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10209),
    [anon_sym_QMARK] = ACTIONS(10209),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10209),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10209),
    [aux_sym_integer_literal_token2] = ACTIONS(10209),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10209),
    [aux_sym_float_literal_token3] = ACTIONS(10209),
    [aux_sym_float_literal_token4] = ACTIONS(10209),
    [sym_character_literal] = ACTIONS(10209),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10209),
    [sym__pair_operator] = ACTIONS(10209),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10209),
    [sym__lazy_and_operator] = ACTIONS(10209),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10209),
    [sym__pipe_left_operator] = ACTIONS(10209),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10209),
    [sym__bitshift_operator] = ACTIONS(10209),
    [sym__power_operator] = ACTIONS(10209),
    [sym__tilde_operator] = ACTIONS(10209),
    [sym__type_order_operator] = ACTIONS(10209),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym__terminator_token1] = ACTIONS(10211),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [6823] = {
    [sym_block_comment] = STATE(6823),
    [sym_line_comment] = STATE(6823),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10213),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10213),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10213),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_SEMI] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10213),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10213),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10213),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10213),
    [anon_sym_QMARK] = ACTIONS(10213),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10213),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10213),
    [aux_sym_integer_literal_token2] = ACTIONS(10213),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10213),
    [aux_sym_float_literal_token3] = ACTIONS(10213),
    [aux_sym_float_literal_token4] = ACTIONS(10213),
    [sym_character_literal] = ACTIONS(10213),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10213),
    [sym__pair_operator] = ACTIONS(10213),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10213),
    [sym__lazy_and_operator] = ACTIONS(10213),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10213),
    [sym__pipe_left_operator] = ACTIONS(10213),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10213),
    [sym__bitshift_operator] = ACTIONS(10213),
    [sym__power_operator] = ACTIONS(10213),
    [sym__tilde_operator] = ACTIONS(10213),
    [sym__type_order_operator] = ACTIONS(10213),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym__terminator_token1] = ACTIONS(10215),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [6824] = {
    [sym_block_comment] = STATE(6824),
    [sym_line_comment] = STATE(6824),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9941),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9941),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9941),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_SEMI] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9941),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9941),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9941),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9941),
    [anon_sym_QMARK] = ACTIONS(9941),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9941),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9941),
    [aux_sym_integer_literal_token2] = ACTIONS(9941),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9941),
    [aux_sym_float_literal_token3] = ACTIONS(9941),
    [aux_sym_float_literal_token4] = ACTIONS(9941),
    [sym_character_literal] = ACTIONS(9941),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9941),
    [sym__pair_operator] = ACTIONS(9941),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9941),
    [sym__lazy_and_operator] = ACTIONS(9941),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9941),
    [sym__pipe_left_operator] = ACTIONS(9941),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9941),
    [sym__bitshift_operator] = ACTIONS(9941),
    [sym__power_operator] = ACTIONS(9941),
    [sym__tilde_operator] = ACTIONS(9941),
    [sym__type_order_operator] = ACTIONS(9941),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym__terminator_token1] = ACTIONS(9943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [6825] = {
    [sym_do_clause] = STATE(7384),
    [sym_block_comment] = STATE(6825),
    [sym_line_comment] = STATE(6825),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9937),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9937),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9937),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9937),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_do] = ACTIONS(10932),
    [anon_sym_DOLLAR] = ACTIONS(9937),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9937),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9937),
    [anon_sym_QMARK] = ACTIONS(9937),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9937),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9937),
    [aux_sym_integer_literal_token2] = ACTIONS(9937),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9937),
    [aux_sym_float_literal_token3] = ACTIONS(9937),
    [aux_sym_float_literal_token4] = ACTIONS(9937),
    [sym_character_literal] = ACTIONS(9937),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9937),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9937),
    [sym__pair_operator] = ACTIONS(9937),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9937),
    [sym__lazy_and_operator] = ACTIONS(9937),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9937),
    [sym__pipe_left_operator] = ACTIONS(9937),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9937),
    [sym__bitshift_operator] = ACTIONS(9937),
    [sym__power_operator] = ACTIONS(9937),
    [sym__tilde_operator] = ACTIONS(9937),
    [sym__type_order_operator] = ACTIONS(9937),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [6826] = {
    [sym_block_comment] = STATE(6826),
    [sym_line_comment] = STATE(6826),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9933),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9933),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9933),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_SEMI] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9933),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9933),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9933),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9933),
    [anon_sym_QMARK] = ACTIONS(9933),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9933),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9933),
    [aux_sym_integer_literal_token2] = ACTIONS(9933),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9933),
    [aux_sym_float_literal_token3] = ACTIONS(9933),
    [aux_sym_float_literal_token4] = ACTIONS(9933),
    [sym_character_literal] = ACTIONS(9933),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9933),
    [sym__pair_operator] = ACTIONS(9933),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9933),
    [sym__lazy_and_operator] = ACTIONS(9933),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9933),
    [sym__pipe_left_operator] = ACTIONS(9933),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9933),
    [sym__bitshift_operator] = ACTIONS(9933),
    [sym__power_operator] = ACTIONS(9933),
    [sym__tilde_operator] = ACTIONS(9933),
    [sym__type_order_operator] = ACTIONS(9933),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym__terminator_token1] = ACTIONS(9937),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [6827] = {
    [sym_block_comment] = STATE(6827),
    [sym_line_comment] = STATE(6827),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10221),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10221),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10221),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_SEMI] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10221),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10221),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10221),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10221),
    [anon_sym_QMARK] = ACTIONS(10221),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10221),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10221),
    [aux_sym_integer_literal_token2] = ACTIONS(10221),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10221),
    [aux_sym_float_literal_token3] = ACTIONS(10221),
    [aux_sym_float_literal_token4] = ACTIONS(10221),
    [sym_character_literal] = ACTIONS(10221),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10221),
    [sym__pair_operator] = ACTIONS(10221),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10221),
    [sym__lazy_and_operator] = ACTIONS(10221),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10221),
    [sym__pipe_left_operator] = ACTIONS(10221),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10221),
    [sym__bitshift_operator] = ACTIONS(10221),
    [sym__power_operator] = ACTIONS(10221),
    [sym__tilde_operator] = ACTIONS(10221),
    [sym__type_order_operator] = ACTIONS(10221),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym__terminator_token1] = ACTIONS(10223),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [6828] = {
    [sym_block_comment] = STATE(6828),
    [sym_line_comment] = STATE(6828),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10225),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10225),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10225),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_SEMI] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10225),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10225),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10225),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10225),
    [anon_sym_QMARK] = ACTIONS(10225),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10225),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10225),
    [aux_sym_integer_literal_token2] = ACTIONS(10225),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10225),
    [aux_sym_float_literal_token3] = ACTIONS(10225),
    [aux_sym_float_literal_token4] = ACTIONS(10225),
    [sym_character_literal] = ACTIONS(10225),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10225),
    [sym__pair_operator] = ACTIONS(10225),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10225),
    [sym__lazy_and_operator] = ACTIONS(10225),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10225),
    [sym__pipe_left_operator] = ACTIONS(10225),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10225),
    [sym__bitshift_operator] = ACTIONS(10225),
    [sym__power_operator] = ACTIONS(10225),
    [sym__tilde_operator] = ACTIONS(10225),
    [sym__type_order_operator] = ACTIONS(10225),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym__terminator_token1] = ACTIONS(10227),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [6829] = {
    [sym_block_comment] = STATE(6829),
    [sym_line_comment] = STATE(6829),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [6830] = {
    [sym_block_comment] = STATE(6830),
    [sym_line_comment] = STATE(6830),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10235),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10235),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10235),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_SEMI] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10235),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10235),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10235),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10235),
    [anon_sym_QMARK] = ACTIONS(10235),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10235),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10235),
    [aux_sym_integer_literal_token2] = ACTIONS(10235),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10235),
    [aux_sym_float_literal_token3] = ACTIONS(10235),
    [aux_sym_float_literal_token4] = ACTIONS(10235),
    [sym_character_literal] = ACTIONS(10235),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10235),
    [sym__pair_operator] = ACTIONS(10235),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10235),
    [sym__lazy_and_operator] = ACTIONS(10235),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10235),
    [sym__pipe_left_operator] = ACTIONS(10235),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10235),
    [sym__bitshift_operator] = ACTIONS(10235),
    [sym__power_operator] = ACTIONS(10235),
    [sym__tilde_operator] = ACTIONS(10235),
    [sym__type_order_operator] = ACTIONS(10235),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym__terminator_token1] = ACTIONS(10237),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [6831] = {
    [sym_block_comment] = STATE(6831),
    [sym_line_comment] = STATE(6831),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9987),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9987),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9987),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_SEMI] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9987),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9987),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9987),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9987),
    [anon_sym_QMARK] = ACTIONS(9987),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9987),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9987),
    [aux_sym_integer_literal_token2] = ACTIONS(9987),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9987),
    [aux_sym_float_literal_token3] = ACTIONS(9987),
    [aux_sym_float_literal_token4] = ACTIONS(9987),
    [sym_character_literal] = ACTIONS(9987),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9987),
    [sym__pair_operator] = ACTIONS(9987),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9987),
    [sym__lazy_and_operator] = ACTIONS(9987),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9987),
    [sym__pipe_left_operator] = ACTIONS(9987),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9987),
    [sym__bitshift_operator] = ACTIONS(9987),
    [sym__power_operator] = ACTIONS(9987),
    [sym__tilde_operator] = ACTIONS(9987),
    [sym__type_order_operator] = ACTIONS(9987),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym__terminator_token1] = ACTIONS(9989),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [6832] = {
    [sym_block_comment] = STATE(6832),
    [sym_line_comment] = STATE(6832),
    [ts_builtin_sym_end] = ACTIONS(9971),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_RBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10934),
    [sym__immediate_command_start] = ACTIONS(10936),
  },
  [6833] = {
    [sym_block_comment] = STATE(6833),
    [sym_line_comment] = STATE(6833),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(189),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(189),
    [aux_sym_float_literal_token3] = ACTIONS(189),
    [aux_sym_float_literal_token4] = ACTIONS(189),
    [sym_character_literal] = ACTIONS(189),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(189),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(189),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(189),
    [sym__pipe_left_operator] = ACTIONS(189),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(189),
    [sym__bitshift_operator] = ACTIONS(189),
    [sym__power_operator] = ACTIONS(189),
    [sym__tilde_operator] = ACTIONS(189),
    [sym__type_order_operator] = ACTIONS(189),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
    [sym__immediate_string_start] = ACTIONS(10918),
    [sym__immediate_command_start] = ACTIONS(10920),
  },
  [6834] = {
    [sym_block_comment] = STATE(6834),
    [sym_line_comment] = STATE(6834),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10239),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10239),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10239),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_SEMI] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10239),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10239),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10239),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10239),
    [anon_sym_QMARK] = ACTIONS(10239),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10239),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10239),
    [aux_sym_integer_literal_token2] = ACTIONS(10239),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10239),
    [aux_sym_float_literal_token3] = ACTIONS(10239),
    [aux_sym_float_literal_token4] = ACTIONS(10239),
    [sym_character_literal] = ACTIONS(10239),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10239),
    [sym__pair_operator] = ACTIONS(10239),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10239),
    [sym__lazy_and_operator] = ACTIONS(10239),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10239),
    [sym__pipe_left_operator] = ACTIONS(10239),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10239),
    [sym__bitshift_operator] = ACTIONS(10239),
    [sym__power_operator] = ACTIONS(10239),
    [sym__tilde_operator] = ACTIONS(10239),
    [sym__type_order_operator] = ACTIONS(10239),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym__terminator_token1] = ACTIONS(10241),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [6835] = {
    [sym_block_comment] = STATE(6835),
    [sym_line_comment] = STATE(6835),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10245),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10245),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10245),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_SEMI] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10245),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10245),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10245),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10245),
    [anon_sym_QMARK] = ACTIONS(10245),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10245),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10245),
    [aux_sym_integer_literal_token2] = ACTIONS(10245),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10245),
    [aux_sym_float_literal_token3] = ACTIONS(10245),
    [aux_sym_float_literal_token4] = ACTIONS(10245),
    [sym_character_literal] = ACTIONS(10245),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10245),
    [sym__pair_operator] = ACTIONS(10245),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10245),
    [sym__lazy_and_operator] = ACTIONS(10245),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10245),
    [sym__pipe_left_operator] = ACTIONS(10245),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10245),
    [sym__bitshift_operator] = ACTIONS(10245),
    [sym__power_operator] = ACTIONS(10245),
    [sym__tilde_operator] = ACTIONS(10245),
    [sym__type_order_operator] = ACTIONS(10245),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym__terminator_token1] = ACTIONS(10247),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [6836] = {
    [sym_block_comment] = STATE(6836),
    [sym_line_comment] = STATE(6836),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10249),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10249),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10249),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_SEMI] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10249),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10249),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10249),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10249),
    [anon_sym_QMARK] = ACTIONS(10249),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10249),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10249),
    [aux_sym_integer_literal_token2] = ACTIONS(10249),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10249),
    [aux_sym_float_literal_token3] = ACTIONS(10249),
    [aux_sym_float_literal_token4] = ACTIONS(10249),
    [sym_character_literal] = ACTIONS(10249),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10249),
    [sym__pair_operator] = ACTIONS(10249),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10249),
    [sym__lazy_and_operator] = ACTIONS(10249),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10249),
    [sym__pipe_left_operator] = ACTIONS(10249),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10249),
    [sym__bitshift_operator] = ACTIONS(10249),
    [sym__power_operator] = ACTIONS(10249),
    [sym__tilde_operator] = ACTIONS(10249),
    [sym__type_order_operator] = ACTIONS(10249),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym__terminator_token1] = ACTIONS(10251),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [6837] = {
    [sym_block_comment] = STATE(6837),
    [sym_line_comment] = STATE(6837),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
  },
  [6838] = {
    [sym_block_comment] = STATE(6838),
    [sym_line_comment] = STATE(6838),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [6839] = {
    [sym_block_comment] = STATE(6839),
    [sym_line_comment] = STATE(6839),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [6840] = {
    [sym_block_comment] = STATE(6840),
    [sym_line_comment] = STATE(6840),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10938),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6841] = {
    [sym_block_comment] = STATE(6841),
    [sym_line_comment] = STATE(6841),
    [sym__word_identifier] = ACTIONS(10708),
    [anon_sym_COMMA] = ACTIONS(10708),
    [anon_sym_EQ] = ACTIONS(10708),
    [anon_sym_begin] = ACTIONS(10708),
    [anon_sym_module] = ACTIONS(10708),
    [anon_sym_baremodule] = ACTIONS(10708),
    [anon_sym_end] = ACTIONS(10708),
    [anon_sym_abstract] = ACTIONS(10708),
    [anon_sym_primitive] = ACTIONS(10708),
    [anon_sym_mutable] = ACTIONS(10708),
    [anon_sym_struct] = ACTIONS(10708),
    [anon_sym_function] = ACTIONS(10708),
    [anon_sym_macro] = ACTIONS(10708),
    [anon_sym_quote] = ACTIONS(10708),
    [anon_sym_let] = ACTIONS(10708),
    [anon_sym_if] = ACTIONS(10708),
    [anon_sym_try] = ACTIONS(10708),
    [anon_sym_for] = ACTIONS(10708),
    [anon_sym_while] = ACTIONS(10708),
    [sym_break_statement] = ACTIONS(10708),
    [sym_continue_statement] = ACTIONS(10708),
    [anon_sym_return] = ACTIONS(10708),
    [anon_sym_const] = ACTIONS(10708),
    [anon_sym_global] = ACTIONS(10708),
    [anon_sym_local] = ACTIONS(10708),
    [anon_sym_LPAREN] = ACTIONS(10708),
    [anon_sym_COLON] = ACTIONS(10708),
    [anon_sym_export] = ACTIONS(10708),
    [anon_sym_public] = ACTIONS(10708),
    [anon_sym_import] = ACTIONS(10708),
    [anon_sym_using] = ACTIONS(10708),
    [anon_sym_LBRACK] = ACTIONS(10708),
    [anon_sym_in] = ACTIONS(10708),
    [anon_sym_SEMI] = ACTIONS(10708),
    [anon_sym_LBRACE] = ACTIONS(10708),
    [anon_sym_SQUOTE] = ACTIONS(10940),
    [anon_sym_DOT] = ACTIONS(10942),
    [anon_sym_DOLLAR] = ACTIONS(10708),
    [anon_sym_COLON2] = ACTIONS(10708),
    [anon_sym_COLON_COLON] = ACTIONS(10708),
    [anon_sym_isa] = ACTIONS(10708),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10708),
    [anon_sym_QMARK] = ACTIONS(10708),
    [anon_sym_where] = ACTIONS(10708),
    [anon_sym_AT] = ACTIONS(10708),
    [anon_sym_true] = ACTIONS(10708),
    [anon_sym_false] = ACTIONS(10708),
    [aux_sym_integer_literal_token1] = ACTIONS(10708),
    [aux_sym_integer_literal_token2] = ACTIONS(10708),
    [aux_sym_integer_literal_token3] = ACTIONS(10708),
    [aux_sym_integer_literal_token4] = ACTIONS(10708),
    [aux_sym_float_literal_token1] = ACTIONS(10708),
    [aux_sym_float_literal_token3] = ACTIONS(10708),
    [aux_sym_float_literal_token4] = ACTIONS(10708),
    [sym_character_literal] = ACTIONS(10708),
    [anon_sym_DQUOTE] = ACTIONS(10708),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10708),
    [anon_sym_BQUOTE] = ACTIONS(10708),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10708),
    [sym__pair_operator] = ACTIONS(10708),
    [sym__arrow_operator] = ACTIONS(10708),
    [sym__lazy_or_operator] = ACTIONS(10708),
    [sym__lazy_and_operator] = ACTIONS(10708),
    [sym__comparison_operator] = ACTIONS(10708),
    [sym__pipe_right_operator] = ACTIONS(10708),
    [sym__pipe_left_operator] = ACTIONS(10708),
    [sym__ellipsis_operator] = ACTIONS(10708),
    [sym__plus_operator] = ACTIONS(10708),
    [sym__times_operator] = ACTIONS(10708),
    [sym__rational_operator] = ACTIONS(10708),
    [sym__bitshift_operator] = ACTIONS(10708),
    [sym__power_operator] = ACTIONS(10708),
    [sym__tilde_operator] = ACTIONS(10708),
    [sym__type_order_operator] = ACTIONS(10708),
    [sym__unary_operator] = ACTIONS(10708),
    [sym__unary_plus_operator] = ACTIONS(10708),
    [aux_sym__terminator_token1] = ACTIONS(10746),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10944),
    [sym__immediate_bracket] = ACTIONS(10946),
    [sym__immediate_brace] = ACTIONS(10948),
  },
  [6842] = {
    [sym_block_comment] = STATE(6842),
    [sym_line_comment] = STATE(6842),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_catch] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(10950),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [6843] = {
    [sym_identifier] = STATE(7116),
    [sym_block_comment] = STATE(6843),
    [sym_line_comment] = STATE(6843),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_elseif] = ACTIONS(10131),
    [anon_sym_else] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_as] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6844] = {
    [sym_identifier] = STATE(6979),
    [sym_block_comment] = STATE(6844),
    [sym_line_comment] = STATE(6844),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_else] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_finally] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_as] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6845] = {
    [sym_identifier] = STATE(6991),
    [sym_block_comment] = STATE(6845),
    [sym_line_comment] = STATE(6845),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_else] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_finally] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_as] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6846] = {
    [sym_identifier] = STATE(6987),
    [sym_block_comment] = STATE(6846),
    [sym_line_comment] = STATE(6846),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_else] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_finally] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_as] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6847] = {
    [sym_block_comment] = STATE(6847),
    [sym_line_comment] = STATE(6847),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_finally] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10878),
    [sym__immediate_bracket] = ACTIONS(10878),
    [sym__immediate_brace] = ACTIONS(10878),
  },
  [6848] = {
    [sym_identifier] = STATE(6990),
    [sym_block_comment] = STATE(6848),
    [sym_line_comment] = STATE(6848),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_else] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_finally] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_as] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6849] = {
    [sym_block_comment] = STATE(6849),
    [sym_line_comment] = STATE(6849),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10075),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10075),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10075),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10075),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10075),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10075),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10075),
    [anon_sym_QMARK] = ACTIONS(10075),
    [anon_sym_DASH_GT] = ACTIONS(10075),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10075),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10075),
    [aux_sym_integer_literal_token2] = ACTIONS(10075),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10075),
    [aux_sym_float_literal_token3] = ACTIONS(10075),
    [aux_sym_float_literal_token4] = ACTIONS(10075),
    [sym_character_literal] = ACTIONS(10075),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10075),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10075),
    [sym__pair_operator] = ACTIONS(10075),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10075),
    [sym__lazy_and_operator] = ACTIONS(10075),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10075),
    [sym__pipe_left_operator] = ACTIONS(10075),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10075),
    [sym__bitshift_operator] = ACTIONS(10075),
    [sym__power_operator] = ACTIONS(10075),
    [sym__tilde_operator] = ACTIONS(10075),
    [sym__type_order_operator] = ACTIONS(10075),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [6850] = {
    [sym_identifier] = STATE(7120),
    [sym_block_comment] = STATE(6850),
    [sym_line_comment] = STATE(6850),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_elseif] = ACTIONS(10135),
    [anon_sym_else] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_as] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6851] = {
    [sym_block_comment] = STATE(6851),
    [sym_line_comment] = STATE(6851),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_elseif] = ACTIONS(10866),
    [anon_sym_else] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [6852] = {
    [sym_block_comment] = STATE(6852),
    [sym_line_comment] = STATE(6852),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_DASH_GT] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10952),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6853] = {
    [sym_block_comment] = STATE(6853),
    [sym_line_comment] = STATE(6853),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_elseif] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10954),
    [sym__immediate_command_start] = ACTIONS(10956),
  },
  [6854] = {
    [sym_block_comment] = STATE(6854),
    [sym_line_comment] = STATE(6854),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [6855] = {
    [sym_identifier] = STATE(7137),
    [sym_block_comment] = STATE(6855),
    [sym_line_comment] = STATE(6855),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_elseif] = ACTIONS(10143),
    [anon_sym_else] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_as] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6856] = {
    [sym_block_comment] = STATE(6856),
    [sym_line_comment] = STATE(6856),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10958),
    [sym__immediate_command_start] = ACTIONS(10960),
  },
  [6857] = {
    [sym_block_comment] = STATE(6857),
    [sym_line_comment] = STATE(6857),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [6858] = {
    [sym_identifier] = STATE(7144),
    [sym_block_comment] = STATE(6858),
    [sym_line_comment] = STATE(6858),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_elseif] = ACTIONS(10007),
    [anon_sym_else] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_as] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6859] = {
    [sym_block_comment] = STATE(6859),
    [sym_line_comment] = STATE(6859),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_elseif] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [6860] = {
    [sym_block_comment] = STATE(6860),
    [sym_line_comment] = STATE(6860),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_catch] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(10962),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [6861] = {
    [sym_block_comment] = STATE(6861),
    [sym_line_comment] = STATE(6861),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9909),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9909),
    [sym__bitshift_operator] = ACTIONS(9909),
    [sym__power_operator] = ACTIONS(9909),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [6862] = {
    [sym_identifier] = STATE(7037),
    [sym_block_comment] = STATE(6862),
    [sym_line_comment] = STATE(6862),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10133),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10133),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10133),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10133),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10133),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10133),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10133),
    [anon_sym_QMARK] = ACTIONS(10133),
    [anon_sym_DASH_GT] = ACTIONS(10133),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10133),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10133),
    [aux_sym_integer_literal_token2] = ACTIONS(10133),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10133),
    [aux_sym_float_literal_token3] = ACTIONS(10133),
    [aux_sym_float_literal_token4] = ACTIONS(10133),
    [sym_character_literal] = ACTIONS(10133),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10133),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10133),
    [sym__pair_operator] = ACTIONS(10133),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10133),
    [sym__lazy_and_operator] = ACTIONS(10133),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10133),
    [sym__pipe_left_operator] = ACTIONS(10133),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10133),
    [sym__bitshift_operator] = ACTIONS(10133),
    [sym__power_operator] = ACTIONS(10133),
    [sym__tilde_operator] = ACTIONS(10133),
    [sym__type_order_operator] = ACTIONS(10133),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [6863] = {
    [sym_identifier] = STATE(7044),
    [sym_block_comment] = STATE(6863),
    [sym_line_comment] = STATE(6863),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10137),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10137),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10137),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10137),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10137),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10137),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10137),
    [anon_sym_QMARK] = ACTIONS(10137),
    [anon_sym_DASH_GT] = ACTIONS(10137),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10137),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10137),
    [aux_sym_integer_literal_token2] = ACTIONS(10137),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10137),
    [aux_sym_float_literal_token3] = ACTIONS(10137),
    [aux_sym_float_literal_token4] = ACTIONS(10137),
    [sym_character_literal] = ACTIONS(10137),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10137),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10137),
    [sym__pair_operator] = ACTIONS(10137),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10137),
    [sym__lazy_and_operator] = ACTIONS(10137),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10137),
    [sym__pipe_left_operator] = ACTIONS(10137),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10137),
    [sym__bitshift_operator] = ACTIONS(10137),
    [sym__power_operator] = ACTIONS(10137),
    [sym__tilde_operator] = ACTIONS(10137),
    [sym__type_order_operator] = ACTIONS(10137),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [6864] = {
    [sym_identifier] = STATE(7054),
    [sym_block_comment] = STATE(6864),
    [sym_line_comment] = STATE(6864),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10145),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10145),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10145),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10145),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10145),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10145),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10145),
    [anon_sym_QMARK] = ACTIONS(10145),
    [anon_sym_DASH_GT] = ACTIONS(10145),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10145),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10145),
    [aux_sym_integer_literal_token2] = ACTIONS(10145),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10145),
    [aux_sym_float_literal_token3] = ACTIONS(10145),
    [aux_sym_float_literal_token4] = ACTIONS(10145),
    [sym_character_literal] = ACTIONS(10145),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10145),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10145),
    [sym__pair_operator] = ACTIONS(10145),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10145),
    [sym__lazy_and_operator] = ACTIONS(10145),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10145),
    [sym__pipe_left_operator] = ACTIONS(10145),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10145),
    [sym__bitshift_operator] = ACTIONS(10145),
    [sym__power_operator] = ACTIONS(10145),
    [sym__tilde_operator] = ACTIONS(10145),
    [sym__type_order_operator] = ACTIONS(10145),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [6865] = {
    [sym_identifier] = STATE(7057),
    [sym_block_comment] = STATE(6865),
    [sym_line_comment] = STATE(6865),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10009),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10009),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10009),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10009),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_DASH_GT] = ACTIONS(10009),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10009),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10009),
    [aux_sym_integer_literal_token2] = ACTIONS(10009),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10009),
    [aux_sym_float_literal_token3] = ACTIONS(10009),
    [aux_sym_float_literal_token4] = ACTIONS(10009),
    [sym_character_literal] = ACTIONS(10009),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10009),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10009),
    [sym__pair_operator] = ACTIONS(10009),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10009),
    [sym__lazy_and_operator] = ACTIONS(10009),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10009),
    [sym__pipe_left_operator] = ACTIONS(10009),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10009),
    [sym__bitshift_operator] = ACTIONS(10009),
    [sym__power_operator] = ACTIONS(10009),
    [sym__tilde_operator] = ACTIONS(10009),
    [sym__type_order_operator] = ACTIONS(10009),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [6866] = {
    [sym_block_comment] = STATE(6866),
    [sym_line_comment] = STATE(6866),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10964),
    [sym__immediate_command_start] = ACTIONS(10966),
  },
  [6867] = {
    [sym_block_comment] = STATE(6867),
    [sym_line_comment] = STATE(6867),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [6868] = {
    [sym_do_clause] = STATE(7415),
    [sym_block_comment] = STATE(6868),
    [sym_line_comment] = STATE(6868),
    [sym__word_identifier] = ACTIONS(9945),
    [anon_sym_COMMA] = ACTIONS(9947),
    [anon_sym_EQ] = ACTIONS(9945),
    [anon_sym_begin] = ACTIONS(9945),
    [anon_sym_module] = ACTIONS(9945),
    [anon_sym_baremodule] = ACTIONS(9945),
    [anon_sym_end] = ACTIONS(9945),
    [anon_sym_abstract] = ACTIONS(9945),
    [anon_sym_primitive] = ACTIONS(9945),
    [anon_sym_mutable] = ACTIONS(9945),
    [anon_sym_struct] = ACTIONS(9945),
    [anon_sym_function] = ACTIONS(9945),
    [anon_sym_macro] = ACTIONS(9945),
    [anon_sym_quote] = ACTIONS(9945),
    [anon_sym_let] = ACTIONS(9945),
    [anon_sym_if] = ACTIONS(9945),
    [anon_sym_try] = ACTIONS(9945),
    [anon_sym_for] = ACTIONS(9945),
    [anon_sym_while] = ACTIONS(9945),
    [sym_break_statement] = ACTIONS(9945),
    [sym_continue_statement] = ACTIONS(9945),
    [anon_sym_return] = ACTIONS(9945),
    [anon_sym_const] = ACTIONS(9945),
    [anon_sym_global] = ACTIONS(9945),
    [anon_sym_local] = ACTIONS(9945),
    [anon_sym_LPAREN] = ACTIONS(9947),
    [anon_sym_COLON] = ACTIONS(9945),
    [anon_sym_export] = ACTIONS(9945),
    [anon_sym_public] = ACTIONS(9945),
    [anon_sym_import] = ACTIONS(9945),
    [anon_sym_using] = ACTIONS(9945),
    [anon_sym_LBRACK] = ACTIONS(9947),
    [anon_sym_in] = ACTIONS(9945),
    [anon_sym_LBRACE] = ACTIONS(9947),
    [anon_sym_SQUOTE] = ACTIONS(9945),
    [anon_sym_DOT] = ACTIONS(9945),
    [anon_sym_do] = ACTIONS(10932),
    [anon_sym_DOLLAR] = ACTIONS(9947),
    [anon_sym_COLON2] = ACTIONS(9945),
    [anon_sym_COLON_COLON] = ACTIONS(9947),
    [anon_sym_isa] = ACTIONS(9945),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9947),
    [anon_sym_QMARK] = ACTIONS(9947),
    [anon_sym_where] = ACTIONS(9945),
    [anon_sym_AT] = ACTIONS(9947),
    [anon_sym_true] = ACTIONS(9945),
    [anon_sym_false] = ACTIONS(9945),
    [aux_sym_integer_literal_token1] = ACTIONS(9947),
    [aux_sym_integer_literal_token2] = ACTIONS(9947),
    [aux_sym_integer_literal_token3] = ACTIONS(9945),
    [aux_sym_integer_literal_token4] = ACTIONS(9945),
    [aux_sym_float_literal_token1] = ACTIONS(9947),
    [aux_sym_float_literal_token3] = ACTIONS(9947),
    [aux_sym_float_literal_token4] = ACTIONS(9947),
    [sym_character_literal] = ACTIONS(9947),
    [anon_sym_DQUOTE] = ACTIONS(9945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9947),
    [anon_sym_BQUOTE] = ACTIONS(9945),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9947),
    [sym__pair_operator] = ACTIONS(9947),
    [sym__arrow_operator] = ACTIONS(9945),
    [sym__lazy_or_operator] = ACTIONS(9947),
    [sym__lazy_and_operator] = ACTIONS(9947),
    [sym__comparison_operator] = ACTIONS(9945),
    [sym__pipe_right_operator] = ACTIONS(9947),
    [sym__pipe_left_operator] = ACTIONS(9947),
    [sym__ellipsis_operator] = ACTIONS(9945),
    [sym__plus_operator] = ACTIONS(9945),
    [sym__times_operator] = ACTIONS(9945),
    [sym__rational_operator] = ACTIONS(9947),
    [sym__bitshift_operator] = ACTIONS(9947),
    [sym__power_operator] = ACTIONS(9947),
    [sym__tilde_operator] = ACTIONS(9947),
    [sym__type_order_operator] = ACTIONS(9947),
    [sym__unary_operator] = ACTIONS(9945),
    [sym__unary_plus_operator] = ACTIONS(9945),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9947),
    [sym__immediate_bracket] = ACTIONS(9947),
    [sym__immediate_brace] = ACTIONS(9947),
  },
  [6869] = {
    [sym_block_comment] = STATE(6869),
    [sym_line_comment] = STATE(6869),
    [sym__word_identifier] = ACTIONS(10754),
    [anon_sym_COMMA] = ACTIONS(10754),
    [anon_sym_EQ] = ACTIONS(10754),
    [anon_sym_begin] = ACTIONS(10754),
    [anon_sym_module] = ACTIONS(10754),
    [anon_sym_baremodule] = ACTIONS(10754),
    [anon_sym_end] = ACTIONS(10754),
    [anon_sym_abstract] = ACTIONS(10754),
    [anon_sym_primitive] = ACTIONS(10754),
    [anon_sym_mutable] = ACTIONS(10754),
    [anon_sym_struct] = ACTIONS(10754),
    [anon_sym_function] = ACTIONS(10754),
    [anon_sym_macro] = ACTIONS(10754),
    [anon_sym_quote] = ACTIONS(10754),
    [anon_sym_let] = ACTIONS(10754),
    [anon_sym_if] = ACTIONS(10754),
    [anon_sym_try] = ACTIONS(10754),
    [anon_sym_for] = ACTIONS(10754),
    [anon_sym_while] = ACTIONS(10754),
    [sym_break_statement] = ACTIONS(10754),
    [sym_continue_statement] = ACTIONS(10754),
    [anon_sym_return] = ACTIONS(10754),
    [anon_sym_const] = ACTIONS(10754),
    [anon_sym_global] = ACTIONS(10754),
    [anon_sym_local] = ACTIONS(10754),
    [anon_sym_LPAREN] = ACTIONS(10754),
    [anon_sym_COLON] = ACTIONS(10754),
    [anon_sym_export] = ACTIONS(10754),
    [anon_sym_public] = ACTIONS(10754),
    [anon_sym_import] = ACTIONS(10754),
    [anon_sym_using] = ACTIONS(10754),
    [anon_sym_LBRACK] = ACTIONS(10754),
    [anon_sym_in] = ACTIONS(10754),
    [anon_sym_SEMI] = ACTIONS(10754),
    [anon_sym_LBRACE] = ACTIONS(10754),
    [anon_sym_SQUOTE] = ACTIONS(10940),
    [anon_sym_DOT] = ACTIONS(10942),
    [anon_sym_DOLLAR] = ACTIONS(10754),
    [anon_sym_COLON2] = ACTIONS(10754),
    [anon_sym_COLON_COLON] = ACTIONS(10754),
    [anon_sym_isa] = ACTIONS(10754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10754),
    [anon_sym_QMARK] = ACTIONS(10754),
    [anon_sym_where] = ACTIONS(10754),
    [anon_sym_AT] = ACTIONS(10754),
    [anon_sym_true] = ACTIONS(10754),
    [anon_sym_false] = ACTIONS(10754),
    [aux_sym_integer_literal_token1] = ACTIONS(10754),
    [aux_sym_integer_literal_token2] = ACTIONS(10754),
    [aux_sym_integer_literal_token3] = ACTIONS(10754),
    [aux_sym_integer_literal_token4] = ACTIONS(10754),
    [aux_sym_float_literal_token1] = ACTIONS(10754),
    [aux_sym_float_literal_token3] = ACTIONS(10754),
    [aux_sym_float_literal_token4] = ACTIONS(10754),
    [sym_character_literal] = ACTIONS(10754),
    [anon_sym_DQUOTE] = ACTIONS(10754),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10754),
    [anon_sym_BQUOTE] = ACTIONS(10754),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10754),
    [sym__pair_operator] = ACTIONS(10754),
    [sym__arrow_operator] = ACTIONS(10754),
    [sym__lazy_or_operator] = ACTIONS(10754),
    [sym__lazy_and_operator] = ACTIONS(10754),
    [sym__comparison_operator] = ACTIONS(10754),
    [sym__pipe_right_operator] = ACTIONS(10754),
    [sym__pipe_left_operator] = ACTIONS(10754),
    [sym__ellipsis_operator] = ACTIONS(10754),
    [sym__plus_operator] = ACTIONS(10754),
    [sym__times_operator] = ACTIONS(10754),
    [sym__rational_operator] = ACTIONS(10754),
    [sym__bitshift_operator] = ACTIONS(10754),
    [sym__power_operator] = ACTIONS(10754),
    [sym__tilde_operator] = ACTIONS(10754),
    [sym__type_order_operator] = ACTIONS(10754),
    [sym__unary_operator] = ACTIONS(10754),
    [sym__unary_plus_operator] = ACTIONS(10754),
    [aux_sym__terminator_token1] = ACTIONS(10756),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10944),
    [sym__immediate_bracket] = ACTIONS(10946),
    [sym__immediate_brace] = ACTIONS(10948),
  },
  [6870] = {
    [sym_do_clause] = STATE(7478),
    [sym_block_comment] = STATE(6870),
    [sym_line_comment] = STATE(6870),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9989),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9989),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9989),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9989),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_do] = ACTIONS(10932),
    [anon_sym_DOLLAR] = ACTIONS(9989),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9989),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9989),
    [anon_sym_QMARK] = ACTIONS(9989),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9989),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9989),
    [aux_sym_integer_literal_token2] = ACTIONS(9989),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9989),
    [aux_sym_float_literal_token3] = ACTIONS(9989),
    [aux_sym_float_literal_token4] = ACTIONS(9989),
    [sym_character_literal] = ACTIONS(9989),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9989),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9989),
    [sym__pair_operator] = ACTIONS(9989),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9989),
    [sym__lazy_and_operator] = ACTIONS(9989),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9989),
    [sym__pipe_left_operator] = ACTIONS(9989),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9989),
    [sym__bitshift_operator] = ACTIONS(9989),
    [sym__power_operator] = ACTIONS(9989),
    [sym__tilde_operator] = ACTIONS(9989),
    [sym__type_order_operator] = ACTIONS(9989),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [6871] = {
    [sym_block_comment] = STATE(6871),
    [sym_line_comment] = STATE(6871),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10147),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10147),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10147),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10147),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10147),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10147),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10147),
    [anon_sym_QMARK] = ACTIONS(10147),
    [anon_sym_DASH_GT] = ACTIONS(10147),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10147),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10147),
    [aux_sym_integer_literal_token2] = ACTIONS(10147),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10147),
    [aux_sym_float_literal_token3] = ACTIONS(10147),
    [aux_sym_float_literal_token4] = ACTIONS(10147),
    [sym_character_literal] = ACTIONS(10147),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10147),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10147),
    [sym__pair_operator] = ACTIONS(10147),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10147),
    [sym__lazy_and_operator] = ACTIONS(10147),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10147),
    [sym__pipe_left_operator] = ACTIONS(10147),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10147),
    [sym__bitshift_operator] = ACTIONS(10147),
    [sym__power_operator] = ACTIONS(10147),
    [sym__tilde_operator] = ACTIONS(10147),
    [sym__type_order_operator] = ACTIONS(10147),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [6872] = {
    [sym_block_comment] = STATE(6872),
    [sym_line_comment] = STATE(6872),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_RPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_RBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9971),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_RBRACE] = ACTIONS(9971),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9971),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9971),
    [sym__bitshift_operator] = ACTIONS(9971),
    [sym__power_operator] = ACTIONS(9971),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10922),
    [sym__immediate_command_start] = ACTIONS(10924),
  },
  [6873] = {
    [sym_block_comment] = STATE(6873),
    [sym_line_comment] = STATE(6873),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10005),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10005),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10005),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10005),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10005),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10005),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10005),
    [anon_sym_QMARK] = ACTIONS(10005),
    [anon_sym_DASH_GT] = ACTIONS(10005),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10005),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10005),
    [aux_sym_integer_literal_token2] = ACTIONS(10005),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10005),
    [aux_sym_float_literal_token3] = ACTIONS(10005),
    [aux_sym_float_literal_token4] = ACTIONS(10005),
    [sym_character_literal] = ACTIONS(10005),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10005),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10005),
    [sym__pair_operator] = ACTIONS(10005),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10005),
    [sym__lazy_and_operator] = ACTIONS(10005),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10005),
    [sym__pipe_left_operator] = ACTIONS(10005),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10005),
    [sym__bitshift_operator] = ACTIONS(10005),
    [sym__power_operator] = ACTIONS(10005),
    [sym__tilde_operator] = ACTIONS(10005),
    [sym__type_order_operator] = ACTIONS(10005),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [6874] = {
    [sym_block_comment] = STATE(6874),
    [sym_line_comment] = STATE(6874),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10161),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10161),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10161),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10161),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10161),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10161),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10161),
    [anon_sym_QMARK] = ACTIONS(10161),
    [anon_sym_DASH_GT] = ACTIONS(10161),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10161),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10161),
    [aux_sym_integer_literal_token2] = ACTIONS(10161),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10161),
    [aux_sym_float_literal_token3] = ACTIONS(10161),
    [aux_sym_float_literal_token4] = ACTIONS(10161),
    [sym_character_literal] = ACTIONS(10161),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10161),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10161),
    [sym__pair_operator] = ACTIONS(10161),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10161),
    [sym__lazy_and_operator] = ACTIONS(10161),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10161),
    [sym__pipe_left_operator] = ACTIONS(10161),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10161),
    [sym__bitshift_operator] = ACTIONS(10161),
    [sym__power_operator] = ACTIONS(10161),
    [sym__tilde_operator] = ACTIONS(10161),
    [sym__type_order_operator] = ACTIONS(10161),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [6875] = {
    [sym_block_comment] = STATE(6875),
    [sym_line_comment] = STATE(6875),
    [ts_builtin_sym_end] = ACTIONS(9995),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_RBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10934),
    [sym__immediate_command_start] = ACTIONS(10936),
  },
  [6876] = {
    [sym_block_comment] = STATE(6876),
    [sym_line_comment] = STATE(6876),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10878),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10878),
    [anon_sym_RPAREN] = ACTIONS(10878),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10878),
    [anon_sym_RBRACK] = ACTIONS(10878),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10878),
    [anon_sym_LBRACE] = ACTIONS(10878),
    [anon_sym_RBRACE] = ACTIONS(10878),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10878),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10878),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10878),
    [anon_sym_QMARK] = ACTIONS(10878),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10878),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10878),
    [aux_sym_integer_literal_token2] = ACTIONS(10878),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10878),
    [aux_sym_float_literal_token3] = ACTIONS(10878),
    [aux_sym_float_literal_token4] = ACTIONS(10878),
    [sym_character_literal] = ACTIONS(10878),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10878),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10878),
    [sym__pair_operator] = ACTIONS(10878),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10878),
    [sym__lazy_and_operator] = ACTIONS(10878),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10878),
    [sym__pipe_left_operator] = ACTIONS(10878),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10878),
    [sym__bitshift_operator] = ACTIONS(10878),
    [sym__power_operator] = ACTIONS(10878),
    [sym__tilde_operator] = ACTIONS(10878),
    [sym__type_order_operator] = ACTIONS(10878),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10878),
    [sym__immediate_bracket] = ACTIONS(10878),
    [sym__immediate_brace] = ACTIONS(10878),
  },
  [6877] = {
    [sym_block_comment] = STATE(6877),
    [sym_line_comment] = STATE(6877),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9995),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9995),
    [sym__bitshift_operator] = ACTIONS(9995),
    [sym__power_operator] = ACTIONS(9995),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
    [sym__immediate_string_start] = ACTIONS(10918),
    [sym__immediate_command_start] = ACTIONS(10920),
  },
  [6878] = {
    [sym_block_comment] = STATE(6878),
    [sym_line_comment] = STATE(6878),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_catch] = ACTIONS(10876),
    [anon_sym_finally] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10878),
    [sym__immediate_bracket] = ACTIONS(10878),
    [sym__immediate_brace] = ACTIONS(10878),
  },
  [6879] = {
    [sym_block_comment] = STATE(6879),
    [sym_line_comment] = STATE(6879),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(10968),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [6880] = {
    [sym_block_comment] = STATE(6880),
    [sym_line_comment] = STATE(6880),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10359),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10359),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10359),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_SEMI] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10359),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10359),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10359),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10359),
    [anon_sym_QMARK] = ACTIONS(10359),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10359),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10359),
    [aux_sym_integer_literal_token2] = ACTIONS(10359),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10359),
    [aux_sym_float_literal_token3] = ACTIONS(10359),
    [aux_sym_float_literal_token4] = ACTIONS(10359),
    [sym_character_literal] = ACTIONS(10359),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10359),
    [sym__pair_operator] = ACTIONS(10359),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10359),
    [sym__lazy_and_operator] = ACTIONS(10359),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10359),
    [sym__pipe_left_operator] = ACTIONS(10359),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10359),
    [sym__bitshift_operator] = ACTIONS(10359),
    [sym__power_operator] = ACTIONS(10359),
    [sym__tilde_operator] = ACTIONS(10359),
    [sym__type_order_operator] = ACTIONS(10359),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym__terminator_token1] = ACTIONS(10361),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [6881] = {
    [sym_block_comment] = STATE(6881),
    [sym_line_comment] = STATE(6881),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [6882] = {
    [sym_block_comment] = STATE(6882),
    [sym_line_comment] = STATE(6882),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10081),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10081),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10081),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10081),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10081),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10081),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10081),
    [anon_sym_QMARK] = ACTIONS(10081),
    [anon_sym_DASH_GT] = ACTIONS(10081),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10081),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10081),
    [aux_sym_integer_literal_token2] = ACTIONS(10081),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10081),
    [aux_sym_float_literal_token3] = ACTIONS(10081),
    [aux_sym_float_literal_token4] = ACTIONS(10081),
    [sym_character_literal] = ACTIONS(10081),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10081),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10081),
    [sym__pair_operator] = ACTIONS(10081),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10081),
    [sym__lazy_and_operator] = ACTIONS(10081),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10081),
    [sym__pipe_left_operator] = ACTIONS(10081),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10081),
    [sym__bitshift_operator] = ACTIONS(10081),
    [sym__power_operator] = ACTIONS(10081),
    [sym__tilde_operator] = ACTIONS(10081),
    [sym__type_order_operator] = ACTIONS(10081),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [6883] = {
    [sym_block_comment] = STATE(6883),
    [sym_line_comment] = STATE(6883),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6884] = {
    [sym_block_comment] = STATE(6884),
    [sym_line_comment] = STATE(6884),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [6885] = {
    [sym_block_comment] = STATE(6885),
    [sym_line_comment] = STATE(6885),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [6886] = {
    [sym_block_comment] = STATE(6886),
    [sym_line_comment] = STATE(6886),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [6887] = {
    [sym_block_comment] = STATE(6887),
    [sym_line_comment] = STATE(6887),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_elseif] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10954),
    [sym__immediate_command_start] = ACTIONS(10956),
  },
  [6888] = {
    [sym_block_comment] = STATE(6888),
    [sym_line_comment] = STATE(6888),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10057),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10057),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10057),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10057),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10057),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10057),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10057),
    [anon_sym_QMARK] = ACTIONS(10057),
    [anon_sym_DASH_GT] = ACTIONS(10057),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10057),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10057),
    [aux_sym_integer_literal_token2] = ACTIONS(10057),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10057),
    [aux_sym_float_literal_token3] = ACTIONS(10057),
    [aux_sym_float_literal_token4] = ACTIONS(10057),
    [sym_character_literal] = ACTIONS(10057),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10057),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10057),
    [sym__pair_operator] = ACTIONS(10057),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10057),
    [sym__lazy_and_operator] = ACTIONS(10057),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10057),
    [sym__pipe_left_operator] = ACTIONS(10057),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10057),
    [sym__bitshift_operator] = ACTIONS(10057),
    [sym__power_operator] = ACTIONS(10057),
    [sym__tilde_operator] = ACTIONS(10057),
    [sym__type_order_operator] = ACTIONS(10057),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [6889] = {
    [sym_block_comment] = STATE(6889),
    [sym_line_comment] = STATE(6889),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10035),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10035),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10035),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10035),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10035),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10035),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10035),
    [anon_sym_QMARK] = ACTIONS(10035),
    [anon_sym_DASH_GT] = ACTIONS(10035),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10035),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10035),
    [aux_sym_integer_literal_token2] = ACTIONS(10035),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10035),
    [aux_sym_float_literal_token3] = ACTIONS(10035),
    [aux_sym_float_literal_token4] = ACTIONS(10035),
    [sym_character_literal] = ACTIONS(10035),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10035),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10035),
    [sym__pair_operator] = ACTIONS(10035),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10035),
    [sym__lazy_and_operator] = ACTIONS(10035),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10035),
    [sym__pipe_left_operator] = ACTIONS(10035),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10035),
    [sym__bitshift_operator] = ACTIONS(10035),
    [sym__power_operator] = ACTIONS(10035),
    [sym__tilde_operator] = ACTIONS(10035),
    [sym__type_order_operator] = ACTIONS(10035),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [6890] = {
    [sym_block_comment] = STATE(6890),
    [sym_line_comment] = STATE(6890),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10958),
    [sym__immediate_command_start] = ACTIONS(10960),
  },
  [6891] = {
    [sym_block_comment] = STATE(6891),
    [sym_line_comment] = STATE(6891),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10970),
    [sym__immediate_command_start] = ACTIONS(10972),
  },
  [6892] = {
    [sym__primary_expression] = STATE(12476),
    [sym__array] = STATE(10654),
    [sym_comprehension_expression] = STATE(10689),
    [sym_matrix_expression] = STATE(10689),
    [sym_vector_expression] = STATE(10689),
    [sym_parenthesized_expression] = STATE(10654),
    [sym_tuple_expression] = STATE(10654),
    [sym_curly_expression] = STATE(10654),
    [sym_adjoint_expression] = STATE(10654),
    [sym_field_expression] = STATE(10654),
    [sym_index_expression] = STATE(10654),
    [sym_parametrized_type_expression] = STATE(10654),
    [sym_call_expression] = STATE(10654),
    [sym_broadcast_call_expression] = STATE(10654),
    [sym__closed_macrocall_expression] = STATE(10654),
    [sym_interpolation_expression] = STATE(10654),
    [sym_quote_expression] = STATE(10654),
    [sym_macro_identifier] = STATE(17588),
    [sym_identifier] = STATE(12089),
    [sym_boolean_literal] = STATE(10654),
    [sym__string] = STATE(10654),
    [sym__delimiter_str_1] = STATE(15341),
    [sym__delimiter_str_3] = STATE(15342),
    [sym__delimiter_cmd_1] = STATE(15343),
    [sym__delimiter_cmd_3] = STATE(15344),
    [sym_string_literal] = STATE(10680),
    [sym_command_literal] = STATE(10680),
    [sym_prefixed_string_literal] = STATE(10680),
    [sym_prefixed_command_literal] = STATE(10680),
    [sym_operator] = STATE(19440),
    [sym_block_comment] = STATE(6892),
    [sym_line_comment] = STATE(6892),
    [sym__word_identifier] = ACTIONS(10105),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(10107),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(10109),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(10111),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(10974),
    [anon_sym_COLON2] = ACTIONS(10976),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_COLON_EQ] = ACTIONS(189),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(10117),
    [anon_sym_true] = ACTIONS(10119),
    [anon_sym_false] = ACTIONS(10119),
    [sym_character_literal] = ACTIONS(10121),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(189),
    [aux_sym__assignment_operator_token1] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(9316),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9316),
    [sym__pipe_left_operator] = ACTIONS(9316),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6893] = {
    [sym_block_comment] = STATE(6893),
    [sym_line_comment] = STATE(6893),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [6894] = {
    [sym_block_comment] = STATE(6894),
    [sym_line_comment] = STATE(6894),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [6895] = {
    [sym_block_comment] = STATE(6895),
    [sym_line_comment] = STATE(6895),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [6896] = {
    [sym_block_comment] = STATE(6896),
    [sym_line_comment] = STATE(6896),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [6897] = {
    [sym_block_comment] = STATE(6897),
    [sym_line_comment] = STATE(6897),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10053),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10053),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10053),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10053),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10053),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10053),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10053),
    [anon_sym_QMARK] = ACTIONS(10053),
    [anon_sym_DASH_GT] = ACTIONS(10053),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10053),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10053),
    [aux_sym_integer_literal_token2] = ACTIONS(10053),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10053),
    [aux_sym_float_literal_token3] = ACTIONS(10053),
    [aux_sym_float_literal_token4] = ACTIONS(10053),
    [sym_character_literal] = ACTIONS(10053),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10053),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10053),
    [sym__pair_operator] = ACTIONS(10053),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10053),
    [sym__lazy_and_operator] = ACTIONS(10053),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10053),
    [sym__pipe_left_operator] = ACTIONS(10053),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10053),
    [sym__bitshift_operator] = ACTIONS(10053),
    [sym__power_operator] = ACTIONS(10053),
    [sym__tilde_operator] = ACTIONS(10053),
    [sym__type_order_operator] = ACTIONS(10053),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [6898] = {
    [sym_block_comment] = STATE(6898),
    [sym_line_comment] = STATE(6898),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [6899] = {
    [sym_block_comment] = STATE(6899),
    [sym_line_comment] = STATE(6899),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [6900] = {
    [sym_block_comment] = STATE(6900),
    [sym_line_comment] = STATE(6900),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [6901] = {
    [sym_block_comment] = STATE(6901),
    [sym_line_comment] = STATE(6901),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10928),
    [sym__immediate_command_start] = ACTIONS(10930),
  },
  [6902] = {
    [sym_block_comment] = STATE(6902),
    [sym_line_comment] = STATE(6902),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [6903] = {
    [sym_block_comment] = STATE(6903),
    [sym_line_comment] = STATE(6903),
    [ts_builtin_sym_end] = ACTIONS(10878),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_RBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10878),
    [sym__immediate_bracket] = ACTIONS(10878),
    [sym__immediate_brace] = ACTIONS(10878),
  },
  [6904] = {
    [sym_block_comment] = STATE(6904),
    [sym_line_comment] = STATE(6904),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [6905] = {
    [sym_block_comment] = STATE(6905),
    [sym_line_comment] = STATE(6905),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10964),
    [sym__immediate_command_start] = ACTIONS(10966),
  },
  [6906] = {
    [sym_block_comment] = STATE(6906),
    [sym_line_comment] = STATE(6906),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [6907] = {
    [sym_do_clause] = STATE(7376),
    [sym_block_comment] = STATE(6907),
    [sym_line_comment] = STATE(6907),
    [sym__word_identifier] = ACTIONS(9927),
    [anon_sym_COMMA] = ACTIONS(9931),
    [anon_sym_EQ] = ACTIONS(9927),
    [anon_sym_begin] = ACTIONS(9927),
    [anon_sym_module] = ACTIONS(9927),
    [anon_sym_baremodule] = ACTIONS(9927),
    [anon_sym_end] = ACTIONS(9927),
    [anon_sym_abstract] = ACTIONS(9927),
    [anon_sym_primitive] = ACTIONS(9927),
    [anon_sym_mutable] = ACTIONS(9927),
    [anon_sym_struct] = ACTIONS(9927),
    [anon_sym_function] = ACTIONS(9927),
    [anon_sym_macro] = ACTIONS(9927),
    [anon_sym_quote] = ACTIONS(9927),
    [anon_sym_let] = ACTIONS(9927),
    [anon_sym_if] = ACTIONS(9927),
    [anon_sym_try] = ACTIONS(9927),
    [anon_sym_for] = ACTIONS(9927),
    [anon_sym_while] = ACTIONS(9927),
    [sym_break_statement] = ACTIONS(9927),
    [sym_continue_statement] = ACTIONS(9927),
    [anon_sym_return] = ACTIONS(9927),
    [anon_sym_const] = ACTIONS(9927),
    [anon_sym_global] = ACTIONS(9927),
    [anon_sym_local] = ACTIONS(9927),
    [anon_sym_LPAREN] = ACTIONS(9931),
    [anon_sym_COLON] = ACTIONS(9927),
    [anon_sym_export] = ACTIONS(9927),
    [anon_sym_public] = ACTIONS(9927),
    [anon_sym_import] = ACTIONS(9927),
    [anon_sym_using] = ACTIONS(9927),
    [anon_sym_LBRACK] = ACTIONS(9931),
    [anon_sym_in] = ACTIONS(9927),
    [anon_sym_LBRACE] = ACTIONS(9931),
    [anon_sym_SQUOTE] = ACTIONS(9927),
    [anon_sym_DOT] = ACTIONS(9927),
    [anon_sym_do] = ACTIONS(10932),
    [anon_sym_DOLLAR] = ACTIONS(9931),
    [anon_sym_COLON2] = ACTIONS(9927),
    [anon_sym_COLON_COLON] = ACTIONS(9931),
    [anon_sym_isa] = ACTIONS(9927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9931),
    [anon_sym_QMARK] = ACTIONS(9931),
    [anon_sym_where] = ACTIONS(9927),
    [anon_sym_AT] = ACTIONS(9931),
    [anon_sym_true] = ACTIONS(9927),
    [anon_sym_false] = ACTIONS(9927),
    [aux_sym_integer_literal_token1] = ACTIONS(9931),
    [aux_sym_integer_literal_token2] = ACTIONS(9931),
    [aux_sym_integer_literal_token3] = ACTIONS(9927),
    [aux_sym_integer_literal_token4] = ACTIONS(9927),
    [aux_sym_float_literal_token1] = ACTIONS(9931),
    [aux_sym_float_literal_token3] = ACTIONS(9931),
    [aux_sym_float_literal_token4] = ACTIONS(9931),
    [sym_character_literal] = ACTIONS(9931),
    [anon_sym_DQUOTE] = ACTIONS(9927),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9931),
    [anon_sym_BQUOTE] = ACTIONS(9927),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9931),
    [sym__pair_operator] = ACTIONS(9931),
    [sym__arrow_operator] = ACTIONS(9927),
    [sym__lazy_or_operator] = ACTIONS(9931),
    [sym__lazy_and_operator] = ACTIONS(9931),
    [sym__comparison_operator] = ACTIONS(9927),
    [sym__pipe_right_operator] = ACTIONS(9931),
    [sym__pipe_left_operator] = ACTIONS(9931),
    [sym__ellipsis_operator] = ACTIONS(9927),
    [sym__plus_operator] = ACTIONS(9927),
    [sym__times_operator] = ACTIONS(9927),
    [sym__rational_operator] = ACTIONS(9931),
    [sym__bitshift_operator] = ACTIONS(9931),
    [sym__power_operator] = ACTIONS(9931),
    [sym__tilde_operator] = ACTIONS(9931),
    [sym__type_order_operator] = ACTIONS(9931),
    [sym__unary_operator] = ACTIONS(9927),
    [sym__unary_plus_operator] = ACTIONS(9927),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9931),
    [sym__immediate_bracket] = ACTIONS(9931),
    [sym__immediate_brace] = ACTIONS(9931),
  },
  [6908] = {
    [sym_block_comment] = STATE(6908),
    [sym_line_comment] = STATE(6908),
    [ts_builtin_sym_end] = ACTIONS(10870),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_RBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(10978),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [6909] = {
    [sym_block_comment] = STATE(6909),
    [sym_line_comment] = STATE(6909),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10061),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10061),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10061),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10061),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10061),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10061),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10061),
    [anon_sym_QMARK] = ACTIONS(10061),
    [anon_sym_DASH_GT] = ACTIONS(10061),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10061),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10061),
    [aux_sym_integer_literal_token2] = ACTIONS(10061),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10061),
    [aux_sym_float_literal_token3] = ACTIONS(10061),
    [aux_sym_float_literal_token4] = ACTIONS(10061),
    [sym_character_literal] = ACTIONS(10061),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10061),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10061),
    [sym__pair_operator] = ACTIONS(10061),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10061),
    [sym__lazy_and_operator] = ACTIONS(10061),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10061),
    [sym__pipe_left_operator] = ACTIONS(10061),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10061),
    [sym__bitshift_operator] = ACTIONS(10061),
    [sym__power_operator] = ACTIONS(10061),
    [sym__tilde_operator] = ACTIONS(10061),
    [sym__type_order_operator] = ACTIONS(10061),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [6910] = {
    [sym_block_comment] = STATE(6910),
    [sym_line_comment] = STATE(6910),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [6911] = {
    [sym_block_comment] = STATE(6911),
    [sym_line_comment] = STATE(6911),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10125),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10125),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10125),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10125),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10125),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10125),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10125),
    [anon_sym_QMARK] = ACTIONS(10125),
    [anon_sym_DASH_GT] = ACTIONS(10125),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10125),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10125),
    [aux_sym_integer_literal_token2] = ACTIONS(10125),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10125),
    [aux_sym_float_literal_token3] = ACTIONS(10125),
    [aux_sym_float_literal_token4] = ACTIONS(10125),
    [sym_character_literal] = ACTIONS(10125),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10125),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10125),
    [sym__pair_operator] = ACTIONS(10125),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10125),
    [sym__lazy_and_operator] = ACTIONS(10125),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10125),
    [sym__pipe_left_operator] = ACTIONS(10125),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10125),
    [sym__bitshift_operator] = ACTIONS(10125),
    [sym__power_operator] = ACTIONS(10125),
    [sym__tilde_operator] = ACTIONS(10125),
    [sym__type_order_operator] = ACTIONS(10125),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [6912] = {
    [sym_block_comment] = STATE(6912),
    [sym_line_comment] = STATE(6912),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [6913] = {
    [sym_block_comment] = STATE(6913),
    [sym_line_comment] = STATE(6913),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [6914] = {
    [sym_block_comment] = STATE(6914),
    [sym_line_comment] = STATE(6914),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [6915] = {
    [sym_block_comment] = STATE(6915),
    [sym_line_comment] = STATE(6915),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [6916] = {
    [sym_block_comment] = STATE(6916),
    [sym_line_comment] = STATE(6916),
    [ts_builtin_sym_end] = ACTIONS(9909),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_RBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [6917] = {
    [sym_block_comment] = STATE(6917),
    [sym_line_comment] = STATE(6917),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [6918] = {
    [sym_block_comment] = STATE(6918),
    [sym_line_comment] = STATE(6918),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [6919] = {
    [sym_block_comment] = STATE(6919),
    [sym_line_comment] = STATE(6919),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10013),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10013),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10013),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10013),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10013),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10013),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10013),
    [anon_sym_QMARK] = ACTIONS(10013),
    [anon_sym_DASH_GT] = ACTIONS(10013),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10013),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10013),
    [aux_sym_integer_literal_token2] = ACTIONS(10013),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10013),
    [aux_sym_float_literal_token3] = ACTIONS(10013),
    [aux_sym_float_literal_token4] = ACTIONS(10013),
    [sym_character_literal] = ACTIONS(10013),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10013),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10013),
    [sym__pair_operator] = ACTIONS(10013),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10013),
    [sym__lazy_and_operator] = ACTIONS(10013),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10013),
    [sym__pipe_left_operator] = ACTIONS(10013),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10013),
    [sym__bitshift_operator] = ACTIONS(10013),
    [sym__power_operator] = ACTIONS(10013),
    [sym__tilde_operator] = ACTIONS(10013),
    [sym__type_order_operator] = ACTIONS(10013),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [6920] = {
    [sym_block_comment] = STATE(6920),
    [sym_line_comment] = STATE(6920),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [6921] = {
    [sym_block_comment] = STATE(6921),
    [sym_line_comment] = STATE(6921),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10970),
    [sym__immediate_command_start] = ACTIONS(10972),
  },
  [6922] = {
    [sym_block_comment] = STATE(6922),
    [sym_line_comment] = STATE(6922),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [6923] = {
    [sym_block_comment] = STATE(6923),
    [sym_line_comment] = STATE(6923),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [6924] = {
    [sym_block_comment] = STATE(6924),
    [sym_line_comment] = STATE(6924),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [6925] = {
    [sym_block_comment] = STATE(6925),
    [sym_line_comment] = STATE(6925),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [6926] = {
    [sym_block_comment] = STATE(6926),
    [sym_line_comment] = STATE(6926),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [6927] = {
    [sym_block_comment] = STATE(6927),
    [sym_line_comment] = STATE(6927),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_else] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [6928] = {
    [sym_block_comment] = STATE(6928),
    [sym_line_comment] = STATE(6928),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [6929] = {
    [sym_block_comment] = STATE(6929),
    [sym_line_comment] = STATE(6929),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [6930] = {
    [sym_block_comment] = STATE(6930),
    [sym_line_comment] = STATE(6930),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [6931] = {
    [sym_block_comment] = STATE(6931),
    [sym_line_comment] = STATE(6931),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [6932] = {
    [sym_block_comment] = STATE(6932),
    [sym_line_comment] = STATE(6932),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [6933] = {
    [sym_block_comment] = STATE(6933),
    [sym_line_comment] = STATE(6933),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [6934] = {
    [sym_block_comment] = STATE(6934),
    [sym_line_comment] = STATE(6934),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [6935] = {
    [sym_block_comment] = STATE(6935),
    [sym_line_comment] = STATE(6935),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_elseif] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10980),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6936] = {
    [sym_block_comment] = STATE(6936),
    [sym_line_comment] = STATE(6936),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [6937] = {
    [sym_block_comment] = STATE(6937),
    [sym_line_comment] = STATE(6937),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [6938] = {
    [sym_block_comment] = STATE(6938),
    [sym_line_comment] = STATE(6938),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10091),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10091),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10091),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10091),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10091),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10091),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10091),
    [anon_sym_QMARK] = ACTIONS(10091),
    [anon_sym_DASH_GT] = ACTIONS(10091),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10091),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10091),
    [aux_sym_integer_literal_token2] = ACTIONS(10091),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10091),
    [aux_sym_float_literal_token3] = ACTIONS(10091),
    [aux_sym_float_literal_token4] = ACTIONS(10091),
    [sym_character_literal] = ACTIONS(10091),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10091),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10091),
    [sym__pair_operator] = ACTIONS(10091),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10091),
    [sym__lazy_and_operator] = ACTIONS(10091),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10091),
    [sym__pipe_left_operator] = ACTIONS(10091),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10091),
    [sym__bitshift_operator] = ACTIONS(10091),
    [sym__power_operator] = ACTIONS(10091),
    [sym__tilde_operator] = ACTIONS(10091),
    [sym__type_order_operator] = ACTIONS(10091),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [6939] = {
    [sym_block_comment] = STATE(6939),
    [sym_line_comment] = STATE(6939),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10982),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_end] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_elseif] = ACTIONS(10982),
    [anon_sym_else] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10982),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10982),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_SEMI] = ACTIONS(10982),
    [anon_sym_LBRACE] = ACTIONS(10982),
    [anon_sym_DOT] = ACTIONS(10984),
    [anon_sym_DOLLAR] = ACTIONS(10982),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10982),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10982),
    [anon_sym_QMARK] = ACTIONS(10982),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10982),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10982),
    [aux_sym_integer_literal_token2] = ACTIONS(10982),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10982),
    [aux_sym_float_literal_token3] = ACTIONS(10982),
    [aux_sym_float_literal_token4] = ACTIONS(10982),
    [sym_character_literal] = ACTIONS(10982),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10982),
    [sym__pair_operator] = ACTIONS(10982),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10982),
    [sym__lazy_and_operator] = ACTIONS(10982),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10982),
    [sym__pipe_left_operator] = ACTIONS(10982),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10982),
    [sym__bitshift_operator] = ACTIONS(10982),
    [sym__power_operator] = ACTIONS(10982),
    [sym__tilde_operator] = ACTIONS(10982),
    [sym__type_order_operator] = ACTIONS(10982),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym__terminator_token1] = ACTIONS(10986),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6940] = {
    [sym_block_comment] = STATE(6940),
    [sym_line_comment] = STATE(6940),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_else] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_finally] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_as] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6941] = {
    [sym_block_comment] = STATE(6941),
    [sym_line_comment] = STATE(6941),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10377),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10377),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10377),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10377),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10377),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10377),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10377),
    [anon_sym_QMARK] = ACTIONS(10377),
    [anon_sym_DASH_GT] = ACTIONS(10377),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10377),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10377),
    [aux_sym_integer_literal_token2] = ACTIONS(10377),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10377),
    [aux_sym_float_literal_token3] = ACTIONS(10377),
    [aux_sym_float_literal_token4] = ACTIONS(10377),
    [sym_character_literal] = ACTIONS(10377),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10377),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10377),
    [sym__pair_operator] = ACTIONS(10377),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10377),
    [sym__lazy_and_operator] = ACTIONS(10377),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10377),
    [sym__pipe_left_operator] = ACTIONS(10377),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10377),
    [sym__bitshift_operator] = ACTIONS(10377),
    [sym__power_operator] = ACTIONS(10377),
    [sym__tilde_operator] = ACTIONS(10377),
    [sym__type_order_operator] = ACTIONS(10377),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [6942] = {
    [sym_block_comment] = STATE(6942),
    [sym_line_comment] = STATE(6942),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10870),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10870),
    [anon_sym_RPAREN] = ACTIONS(10870),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10870),
    [anon_sym_RBRACK] = ACTIONS(10870),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10870),
    [anon_sym_LBRACE] = ACTIONS(10870),
    [anon_sym_RBRACE] = ACTIONS(10870),
    [anon_sym_DOLLAR] = ACTIONS(10870),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10870),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10870),
    [anon_sym_QMARK] = ACTIONS(10870),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10870),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10870),
    [aux_sym_integer_literal_token2] = ACTIONS(10870),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10870),
    [aux_sym_float_literal_token3] = ACTIONS(10870),
    [aux_sym_float_literal_token4] = ACTIONS(10870),
    [sym_character_literal] = ACTIONS(10870),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10870),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10870),
    [sym__pair_operator] = ACTIONS(10870),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10870),
    [sym__lazy_and_operator] = ACTIONS(10870),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10870),
    [sym__pipe_left_operator] = ACTIONS(10870),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10870),
    [sym__bitshift_operator] = ACTIONS(10870),
    [sym__power_operator] = ACTIONS(10870),
    [sym__tilde_operator] = ACTIONS(10870),
    [sym__type_order_operator] = ACTIONS(10870),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [6943] = {
    [sym_block_comment] = STATE(6943),
    [sym_line_comment] = STATE(6943),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10988),
    [sym__immediate_command_start] = ACTIONS(10990),
  },
  [6944] = {
    [sym_block_comment] = STATE(6944),
    [sym_line_comment] = STATE(6944),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10321),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10321),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10321),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10321),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10321),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10321),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10321),
    [anon_sym_QMARK] = ACTIONS(10321),
    [anon_sym_DASH_GT] = ACTIONS(10321),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10321),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10321),
    [aux_sym_integer_literal_token2] = ACTIONS(10321),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10321),
    [aux_sym_float_literal_token3] = ACTIONS(10321),
    [aux_sym_float_literal_token4] = ACTIONS(10321),
    [sym_character_literal] = ACTIONS(10321),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10321),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10321),
    [sym__pair_operator] = ACTIONS(10321),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10321),
    [sym__lazy_and_operator] = ACTIONS(10321),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10321),
    [sym__pipe_left_operator] = ACTIONS(10321),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10321),
    [sym__bitshift_operator] = ACTIONS(10321),
    [sym__power_operator] = ACTIONS(10321),
    [sym__tilde_operator] = ACTIONS(10321),
    [sym__type_order_operator] = ACTIONS(10321),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [6945] = {
    [sym_block_comment] = STATE(6945),
    [sym_line_comment] = STATE(6945),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10397),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10397),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10397),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10397),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10397),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10397),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10397),
    [anon_sym_QMARK] = ACTIONS(10397),
    [anon_sym_DASH_GT] = ACTIONS(10397),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10397),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10397),
    [aux_sym_integer_literal_token2] = ACTIONS(10397),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10397),
    [aux_sym_float_literal_token3] = ACTIONS(10397),
    [aux_sym_float_literal_token4] = ACTIONS(10397),
    [sym_character_literal] = ACTIONS(10397),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10397),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10397),
    [sym__pair_operator] = ACTIONS(10397),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10397),
    [sym__lazy_and_operator] = ACTIONS(10397),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10397),
    [sym__pipe_left_operator] = ACTIONS(10397),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10397),
    [sym__bitshift_operator] = ACTIONS(10397),
    [sym__power_operator] = ACTIONS(10397),
    [sym__tilde_operator] = ACTIONS(10397),
    [sym__type_order_operator] = ACTIONS(10397),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [6946] = {
    [sym_block_comment] = STATE(6946),
    [sym_line_comment] = STATE(6946),
    [sym__word_identifier] = ACTIONS(10635),
    [anon_sym_COMMA] = ACTIONS(10641),
    [anon_sym_EQ] = ACTIONS(10635),
    [anon_sym_begin] = ACTIONS(10635),
    [anon_sym_module] = ACTIONS(10635),
    [anon_sym_baremodule] = ACTIONS(10635),
    [anon_sym_end] = ACTIONS(10635),
    [anon_sym_abstract] = ACTIONS(10635),
    [anon_sym_primitive] = ACTIONS(10635),
    [anon_sym_mutable] = ACTIONS(10635),
    [anon_sym_struct] = ACTIONS(10635),
    [anon_sym_function] = ACTIONS(10635),
    [anon_sym_macro] = ACTIONS(10635),
    [anon_sym_quote] = ACTIONS(10635),
    [anon_sym_let] = ACTIONS(10635),
    [anon_sym_if] = ACTIONS(10635),
    [anon_sym_try] = ACTIONS(10635),
    [anon_sym_for] = ACTIONS(10635),
    [anon_sym_while] = ACTIONS(10635),
    [sym_break_statement] = ACTIONS(10635),
    [sym_continue_statement] = ACTIONS(10635),
    [anon_sym_return] = ACTIONS(10635),
    [anon_sym_const] = ACTIONS(10635),
    [anon_sym_global] = ACTIONS(10635),
    [anon_sym_local] = ACTIONS(10635),
    [anon_sym_LPAREN] = ACTIONS(10641),
    [anon_sym_COLON] = ACTIONS(10635),
    [anon_sym_export] = ACTIONS(10635),
    [anon_sym_public] = ACTIONS(10635),
    [anon_sym_import] = ACTIONS(10635),
    [anon_sym_using] = ACTIONS(10635),
    [anon_sym_LBRACK] = ACTIONS(10641),
    [anon_sym_in] = ACTIONS(10635),
    [anon_sym_LBRACE] = ACTIONS(10641),
    [anon_sym_SQUOTE] = ACTIONS(10992),
    [anon_sym_DOT] = ACTIONS(10994),
    [anon_sym_DOLLAR] = ACTIONS(10641),
    [anon_sym_COLON2] = ACTIONS(10635),
    [anon_sym_COLON_COLON] = ACTIONS(10641),
    [anon_sym_isa] = ACTIONS(10635),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10641),
    [anon_sym_QMARK] = ACTIONS(10641),
    [anon_sym_DASH_GT] = ACTIONS(10641),
    [anon_sym_where] = ACTIONS(10635),
    [anon_sym_AT] = ACTIONS(10641),
    [anon_sym_true] = ACTIONS(10635),
    [anon_sym_false] = ACTIONS(10635),
    [aux_sym_integer_literal_token1] = ACTIONS(10641),
    [aux_sym_integer_literal_token2] = ACTIONS(10641),
    [aux_sym_integer_literal_token3] = ACTIONS(10635),
    [aux_sym_integer_literal_token4] = ACTIONS(10635),
    [aux_sym_float_literal_token1] = ACTIONS(10641),
    [aux_sym_float_literal_token3] = ACTIONS(10641),
    [aux_sym_float_literal_token4] = ACTIONS(10641),
    [sym_character_literal] = ACTIONS(10641),
    [anon_sym_DQUOTE] = ACTIONS(10635),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10641),
    [anon_sym_BQUOTE] = ACTIONS(10635),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10641),
    [sym__pair_operator] = ACTIONS(10641),
    [sym__arrow_operator] = ACTIONS(10635),
    [sym__lazy_or_operator] = ACTIONS(10641),
    [sym__lazy_and_operator] = ACTIONS(10641),
    [sym__comparison_operator] = ACTIONS(10635),
    [sym__pipe_right_operator] = ACTIONS(10641),
    [sym__pipe_left_operator] = ACTIONS(10641),
    [sym__ellipsis_operator] = ACTIONS(10635),
    [sym__plus_operator] = ACTIONS(10635),
    [sym__times_operator] = ACTIONS(10635),
    [sym__rational_operator] = ACTIONS(10641),
    [sym__bitshift_operator] = ACTIONS(10641),
    [sym__power_operator] = ACTIONS(10641),
    [sym__tilde_operator] = ACTIONS(10641),
    [sym__type_order_operator] = ACTIONS(10641),
    [sym__unary_operator] = ACTIONS(10635),
    [sym__unary_plus_operator] = ACTIONS(10635),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10996),
    [sym__immediate_bracket] = ACTIONS(10998),
    [sym__immediate_brace] = ACTIONS(11000),
  },
  [6947] = {
    [sym_block_comment] = STATE(6947),
    [sym_line_comment] = STATE(6947),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_DASH_GT] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10019),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [6948] = {
    [sym_block_comment] = STATE(6948),
    [sym_line_comment] = STATE(6948),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10415),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10415),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10415),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10415),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10415),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10415),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10415),
    [anon_sym_QMARK] = ACTIONS(10415),
    [anon_sym_DASH_GT] = ACTIONS(10415),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10415),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10415),
    [aux_sym_integer_literal_token2] = ACTIONS(10415),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10415),
    [aux_sym_float_literal_token3] = ACTIONS(10415),
    [aux_sym_float_literal_token4] = ACTIONS(10415),
    [sym_character_literal] = ACTIONS(10415),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10415),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10415),
    [sym__pair_operator] = ACTIONS(10415),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10415),
    [sym__lazy_and_operator] = ACTIONS(10415),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10415),
    [sym__pipe_left_operator] = ACTIONS(10415),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10415),
    [sym__bitshift_operator] = ACTIONS(10415),
    [sym__power_operator] = ACTIONS(10415),
    [sym__tilde_operator] = ACTIONS(10415),
    [sym__type_order_operator] = ACTIONS(10415),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [6949] = {
    [sym_block_comment] = STATE(6949),
    [sym_line_comment] = STATE(6949),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3226),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_DASH_GT] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3226),
    [aux_sym_integer_literal_token2] = ACTIONS(3226),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3226),
    [aux_sym_float_literal_token3] = ACTIONS(3226),
    [aux_sym_float_literal_token4] = ACTIONS(3226),
    [sym_character_literal] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3226),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3226),
    [sym__pair_operator] = ACTIONS(3226),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3226),
    [sym__pipe_left_operator] = ACTIONS(3226),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3226),
    [sym__bitshift_operator] = ACTIONS(3226),
    [sym__power_operator] = ACTIONS(3226),
    [sym__tilde_operator] = ACTIONS(3226),
    [sym__type_order_operator] = ACTIONS(3226),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [6950] = {
    [sym_identifier] = STATE(7245),
    [sym_block_comment] = STATE(6950),
    [sym_line_comment] = STATE(6950),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_catch] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_as] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6951] = {
    [sym_block_comment] = STATE(6951),
    [sym_line_comment] = STATE(6951),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9971),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_DASH_GT] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9971),
    [sym__bitshift_operator] = ACTIONS(9971),
    [sym__power_operator] = ACTIONS(9971),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [6952] = {
    [sym_identifier] = STATE(7246),
    [sym_block_comment] = STATE(6952),
    [sym_line_comment] = STATE(6952),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_catch] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_as] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6953] = {
    [sym_block_comment] = STATE(6953),
    [sym_line_comment] = STATE(6953),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_COMMA] = ACTIONS(10165),
    [anon_sym_EQ] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10165),
    [anon_sym_COLON] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10165),
    [anon_sym_in] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10165),
    [anon_sym_SQUOTE] = ACTIONS(10163),
    [anon_sym_DOT] = ACTIONS(10163),
    [anon_sym_do] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10165),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10165),
    [anon_sym_isa] = ACTIONS(10163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10165),
    [anon_sym_QMARK] = ACTIONS(10165),
    [anon_sym_where] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10165),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10165),
    [aux_sym_integer_literal_token2] = ACTIONS(10165),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10165),
    [aux_sym_float_literal_token3] = ACTIONS(10165),
    [aux_sym_float_literal_token4] = ACTIONS(10165),
    [sym_character_literal] = ACTIONS(10165),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10165),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10165),
    [sym__pair_operator] = ACTIONS(10165),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__lazy_or_operator] = ACTIONS(10165),
    [sym__lazy_and_operator] = ACTIONS(10165),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10165),
    [sym__pipe_left_operator] = ACTIONS(10165),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10165),
    [sym__bitshift_operator] = ACTIONS(10165),
    [sym__power_operator] = ACTIONS(10165),
    [sym__tilde_operator] = ACTIONS(10165),
    [sym__type_order_operator] = ACTIONS(10165),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10165),
    [sym__immediate_bracket] = ACTIONS(10165),
    [sym__immediate_brace] = ACTIONS(10165),
  },
  [6954] = {
    [sym_identifier] = STATE(7271),
    [sym_block_comment] = STATE(6954),
    [sym_line_comment] = STATE(6954),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_catch] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_as] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6955] = {
    [sym_identifier] = STATE(7278),
    [sym_block_comment] = STATE(6955),
    [sym_line_comment] = STATE(6955),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_catch] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_as] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6956] = {
    [sym_block_comment] = STATE(6956),
    [sym_line_comment] = STATE(6956),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11002),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6957] = {
    [sym_block_comment] = STATE(6957),
    [sym_line_comment] = STATE(6957),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11004),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6958] = {
    [sym_block_comment] = STATE(6958),
    [sym_line_comment] = STATE(6958),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_else] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_finally] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_as] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6959] = {
    [sym_block_comment] = STATE(6959),
    [sym_line_comment] = STATE(6959),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10223),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10223),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10223),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10223),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10223),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10223),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10223),
    [anon_sym_QMARK] = ACTIONS(10223),
    [anon_sym_DASH_GT] = ACTIONS(10223),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10223),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10223),
    [aux_sym_integer_literal_token2] = ACTIONS(10223),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10223),
    [aux_sym_float_literal_token3] = ACTIONS(10223),
    [aux_sym_float_literal_token4] = ACTIONS(10223),
    [sym_character_literal] = ACTIONS(10223),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10223),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10223),
    [sym__pair_operator] = ACTIONS(10223),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10223),
    [sym__lazy_and_operator] = ACTIONS(10223),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10223),
    [sym__pipe_left_operator] = ACTIONS(10223),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10223),
    [sym__bitshift_operator] = ACTIONS(10223),
    [sym__power_operator] = ACTIONS(10223),
    [sym__tilde_operator] = ACTIONS(10223),
    [sym__type_order_operator] = ACTIONS(10223),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [6960] = {
    [sym_block_comment] = STATE(6960),
    [sym_line_comment] = STATE(6960),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9943),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9943),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9943),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9943),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9943),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9943),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9943),
    [anon_sym_QMARK] = ACTIONS(9943),
    [anon_sym_DASH_GT] = ACTIONS(9943),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9943),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9943),
    [aux_sym_integer_literal_token2] = ACTIONS(9943),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9943),
    [aux_sym_float_literal_token3] = ACTIONS(9943),
    [aux_sym_float_literal_token4] = ACTIONS(9943),
    [sym_character_literal] = ACTIONS(9943),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9943),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9943),
    [sym__pair_operator] = ACTIONS(9943),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9943),
    [sym__lazy_and_operator] = ACTIONS(9943),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9943),
    [sym__pipe_left_operator] = ACTIONS(9943),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9943),
    [sym__bitshift_operator] = ACTIONS(9943),
    [sym__power_operator] = ACTIONS(9943),
    [sym__tilde_operator] = ACTIONS(9943),
    [sym__type_order_operator] = ACTIONS(9943),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [6961] = {
    [sym_block_comment] = STATE(6961),
    [sym_line_comment] = STATE(6961),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10227),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10227),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10227),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10227),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10227),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10227),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10227),
    [anon_sym_QMARK] = ACTIONS(10227),
    [anon_sym_DASH_GT] = ACTIONS(10227),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10227),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10227),
    [aux_sym_integer_literal_token2] = ACTIONS(10227),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10227),
    [aux_sym_float_literal_token3] = ACTIONS(10227),
    [aux_sym_float_literal_token4] = ACTIONS(10227),
    [sym_character_literal] = ACTIONS(10227),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10227),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10227),
    [sym__pair_operator] = ACTIONS(10227),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10227),
    [sym__lazy_and_operator] = ACTIONS(10227),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10227),
    [sym__pipe_left_operator] = ACTIONS(10227),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10227),
    [sym__bitshift_operator] = ACTIONS(10227),
    [sym__power_operator] = ACTIONS(10227),
    [sym__tilde_operator] = ACTIONS(10227),
    [sym__type_order_operator] = ACTIONS(10227),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [6962] = {
    [sym__primary_expression] = STATE(10987),
    [sym__array] = STATE(10654),
    [sym_comprehension_expression] = STATE(10689),
    [sym_matrix_expression] = STATE(10689),
    [sym_vector_expression] = STATE(10689),
    [sym_parenthesized_expression] = STATE(10654),
    [sym_tuple_expression] = STATE(10654),
    [sym_curly_expression] = STATE(10654),
    [sym_adjoint_expression] = STATE(10654),
    [sym_field_expression] = STATE(10654),
    [sym_index_expression] = STATE(10654),
    [sym_parametrized_type_expression] = STATE(10654),
    [sym_call_expression] = STATE(10654),
    [sym_broadcast_call_expression] = STATE(10654),
    [sym__closed_macrocall_expression] = STATE(10654),
    [sym_interpolation_expression] = STATE(10654),
    [sym_quote_expression] = STATE(10654),
    [sym_macro_identifier] = STATE(17588),
    [sym_identifier] = STATE(10827),
    [sym_boolean_literal] = STATE(10654),
    [sym__string] = STATE(10654),
    [sym__delimiter_str_1] = STATE(15341),
    [sym__delimiter_str_3] = STATE(15342),
    [sym__delimiter_cmd_1] = STATE(15343),
    [sym__delimiter_cmd_3] = STATE(15344),
    [sym_string_literal] = STATE(10680),
    [sym_command_literal] = STATE(10680),
    [sym_prefixed_string_literal] = STATE(10680),
    [sym_prefixed_command_literal] = STATE(10680),
    [sym_operator] = STATE(19440),
    [sym_block_comment] = STATE(6962),
    [sym_line_comment] = STATE(6962),
    [sym__word_identifier] = ACTIONS(10105),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(10107),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(10109),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(10111),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(10113),
    [anon_sym_COLON2] = ACTIONS(9406),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_COLON_EQ] = ACTIONS(189),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(10117),
    [anon_sym_true] = ACTIONS(10119),
    [anon_sym_false] = ACTIONS(10119),
    [sym_character_literal] = ACTIONS(10121),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(189),
    [aux_sym__assignment_operator_token1] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(9316),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9316),
    [sym__pipe_left_operator] = ACTIONS(9316),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [6963] = {
    [sym_block_comment] = STATE(6963),
    [sym_line_comment] = STATE(6963),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10211),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10211),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10211),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10211),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10211),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10211),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10211),
    [anon_sym_QMARK] = ACTIONS(10211),
    [anon_sym_DASH_GT] = ACTIONS(10211),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10211),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10211),
    [aux_sym_integer_literal_token2] = ACTIONS(10211),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10211),
    [aux_sym_float_literal_token3] = ACTIONS(10211),
    [aux_sym_float_literal_token4] = ACTIONS(10211),
    [sym_character_literal] = ACTIONS(10211),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10211),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10211),
    [sym__pair_operator] = ACTIONS(10211),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10211),
    [sym__lazy_and_operator] = ACTIONS(10211),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10211),
    [sym__pipe_left_operator] = ACTIONS(10211),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10211),
    [sym__bitshift_operator] = ACTIONS(10211),
    [sym__power_operator] = ACTIONS(10211),
    [sym__tilde_operator] = ACTIONS(10211),
    [sym__type_order_operator] = ACTIONS(10211),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [6964] = {
    [sym_block_comment] = STATE(6964),
    [sym_line_comment] = STATE(6964),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [6965] = {
    [sym_identifier] = STATE(7411),
    [sym_block_comment] = STATE(6965),
    [sym_line_comment] = STATE(6965),
    [ts_builtin_sym_end] = ACTIONS(10133),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_as] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_RBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6966] = {
    [sym_block_comment] = STATE(6966),
    [sym_line_comment] = STATE(6966),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_elseif] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6967] = {
    [sym_block_comment] = STATE(6967),
    [sym_line_comment] = STATE(6967),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_else] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_finally] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_as] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6968] = {
    [sym_block_comment] = STATE(6968),
    [sym_line_comment] = STATE(6968),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10325),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10325),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10325),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10325),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10325),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10325),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10325),
    [anon_sym_QMARK] = ACTIONS(10325),
    [anon_sym_DASH_GT] = ACTIONS(10325),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10325),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10325),
    [aux_sym_integer_literal_token2] = ACTIONS(10325),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10325),
    [aux_sym_float_literal_token3] = ACTIONS(10325),
    [aux_sym_float_literal_token4] = ACTIONS(10325),
    [sym_character_literal] = ACTIONS(10325),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10325),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10325),
    [sym__pair_operator] = ACTIONS(10325),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10325),
    [sym__lazy_and_operator] = ACTIONS(10325),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10325),
    [sym__pipe_left_operator] = ACTIONS(10325),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10325),
    [sym__bitshift_operator] = ACTIONS(10325),
    [sym__power_operator] = ACTIONS(10325),
    [sym__tilde_operator] = ACTIONS(10325),
    [sym__type_order_operator] = ACTIONS(10325),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [6969] = {
    [sym_identifier] = STATE(7294),
    [sym_block_comment] = STATE(6969),
    [sym_line_comment] = STATE(6969),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10133),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10133),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10133),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10133),
    [anon_sym_SQUOTE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10133),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10133),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10133),
    [anon_sym_QMARK] = ACTIONS(10133),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10133),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10133),
    [aux_sym_integer_literal_token2] = ACTIONS(10133),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10133),
    [aux_sym_float_literal_token3] = ACTIONS(10133),
    [aux_sym_float_literal_token4] = ACTIONS(10133),
    [sym_character_literal] = ACTIONS(10133),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10133),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10133),
    [sym__pair_operator] = ACTIONS(10133),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10133),
    [sym__lazy_and_operator] = ACTIONS(10133),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10133),
    [sym__pipe_left_operator] = ACTIONS(10133),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10133),
    [sym__bitshift_operator] = ACTIONS(10133),
    [sym__power_operator] = ACTIONS(10133),
    [sym__tilde_operator] = ACTIONS(10133),
    [sym__type_order_operator] = ACTIONS(10133),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10133),
    [sym__immediate_bracket] = ACTIONS(10133),
    [sym__immediate_brace] = ACTIONS(10133),
  },
  [6970] = {
    [sym_identifier] = STATE(7298),
    [sym_block_comment] = STATE(6970),
    [sym_line_comment] = STATE(6970),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10137),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10137),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10137),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10137),
    [anon_sym_SQUOTE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10137),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10137),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10137),
    [anon_sym_QMARK] = ACTIONS(10137),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10137),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10137),
    [aux_sym_integer_literal_token2] = ACTIONS(10137),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10137),
    [aux_sym_float_literal_token3] = ACTIONS(10137),
    [aux_sym_float_literal_token4] = ACTIONS(10137),
    [sym_character_literal] = ACTIONS(10137),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10137),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10137),
    [sym__pair_operator] = ACTIONS(10137),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10137),
    [sym__lazy_and_operator] = ACTIONS(10137),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10137),
    [sym__pipe_left_operator] = ACTIONS(10137),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10137),
    [sym__bitshift_operator] = ACTIONS(10137),
    [sym__power_operator] = ACTIONS(10137),
    [sym__tilde_operator] = ACTIONS(10137),
    [sym__type_order_operator] = ACTIONS(10137),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10137),
    [sym__immediate_bracket] = ACTIONS(10137),
    [sym__immediate_brace] = ACTIONS(10137),
  },
  [6971] = {
    [sym_block_comment] = STATE(6971),
    [sym_line_comment] = STATE(6971),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10329),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10329),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10329),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10329),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10329),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10329),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10329),
    [anon_sym_QMARK] = ACTIONS(10329),
    [anon_sym_DASH_GT] = ACTIONS(10329),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10329),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10329),
    [aux_sym_integer_literal_token2] = ACTIONS(10329),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10329),
    [aux_sym_float_literal_token3] = ACTIONS(10329),
    [aux_sym_float_literal_token4] = ACTIONS(10329),
    [sym_character_literal] = ACTIONS(10329),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10329),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10329),
    [sym__pair_operator] = ACTIONS(10329),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10329),
    [sym__lazy_and_operator] = ACTIONS(10329),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10329),
    [sym__pipe_left_operator] = ACTIONS(10329),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10329),
    [sym__bitshift_operator] = ACTIONS(10329),
    [sym__power_operator] = ACTIONS(10329),
    [sym__tilde_operator] = ACTIONS(10329),
    [sym__type_order_operator] = ACTIONS(10329),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [6972] = {
    [sym_block_comment] = STATE(6972),
    [sym_line_comment] = STATE(6972),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10231),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10231),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10231),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10231),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10231),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10231),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10231),
    [anon_sym_QMARK] = ACTIONS(10231),
    [anon_sym_DASH_GT] = ACTIONS(10231),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10231),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10231),
    [aux_sym_integer_literal_token2] = ACTIONS(10231),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10231),
    [aux_sym_float_literal_token3] = ACTIONS(10231),
    [aux_sym_float_literal_token4] = ACTIONS(10231),
    [sym_character_literal] = ACTIONS(10231),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10231),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10231),
    [sym__pair_operator] = ACTIONS(10231),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10231),
    [sym__lazy_and_operator] = ACTIONS(10231),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10231),
    [sym__pipe_left_operator] = ACTIONS(10231),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10231),
    [sym__bitshift_operator] = ACTIONS(10231),
    [sym__power_operator] = ACTIONS(10231),
    [sym__tilde_operator] = ACTIONS(10231),
    [sym__type_order_operator] = ACTIONS(10231),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [6973] = {
    [sym_identifier] = STATE(7326),
    [sym_block_comment] = STATE(6973),
    [sym_line_comment] = STATE(6973),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10145),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10145),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10145),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10145),
    [anon_sym_SQUOTE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10145),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10145),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10145),
    [anon_sym_QMARK] = ACTIONS(10145),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10145),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10145),
    [aux_sym_integer_literal_token2] = ACTIONS(10145),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10145),
    [aux_sym_float_literal_token3] = ACTIONS(10145),
    [aux_sym_float_literal_token4] = ACTIONS(10145),
    [sym_character_literal] = ACTIONS(10145),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10145),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10145),
    [sym__pair_operator] = ACTIONS(10145),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10145),
    [sym__lazy_and_operator] = ACTIONS(10145),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10145),
    [sym__pipe_left_operator] = ACTIONS(10145),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10145),
    [sym__bitshift_operator] = ACTIONS(10145),
    [sym__power_operator] = ACTIONS(10145),
    [sym__tilde_operator] = ACTIONS(10145),
    [sym__type_order_operator] = ACTIONS(10145),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10145),
    [sym__immediate_bracket] = ACTIONS(10145),
    [sym__immediate_brace] = ACTIONS(10145),
  },
  [6974] = {
    [sym_identifier] = STATE(7328),
    [sym_block_comment] = STATE(6974),
    [sym_line_comment] = STATE(6974),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10009),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10009),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_SQUOTE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10009),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10009),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10009),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10009),
    [aux_sym_integer_literal_token2] = ACTIONS(10009),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10009),
    [aux_sym_float_literal_token3] = ACTIONS(10009),
    [aux_sym_float_literal_token4] = ACTIONS(10009),
    [sym_character_literal] = ACTIONS(10009),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10009),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10009),
    [sym__pair_operator] = ACTIONS(10009),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10009),
    [sym__lazy_and_operator] = ACTIONS(10009),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10009),
    [sym__pipe_left_operator] = ACTIONS(10009),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10009),
    [sym__bitshift_operator] = ACTIONS(10009),
    [sym__power_operator] = ACTIONS(10009),
    [sym__tilde_operator] = ACTIONS(10009),
    [sym__type_order_operator] = ACTIONS(10009),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10009),
    [sym__immediate_bracket] = ACTIONS(10009),
    [sym__immediate_brace] = ACTIONS(10009),
  },
  [6975] = {
    [sym_block_comment] = STATE(6975),
    [sym_line_comment] = STATE(6975),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10381),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10381),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10381),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10381),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10381),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10381),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10381),
    [anon_sym_QMARK] = ACTIONS(10381),
    [anon_sym_DASH_GT] = ACTIONS(10381),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10381),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10381),
    [aux_sym_integer_literal_token2] = ACTIONS(10381),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10381),
    [aux_sym_float_literal_token3] = ACTIONS(10381),
    [aux_sym_float_literal_token4] = ACTIONS(10381),
    [sym_character_literal] = ACTIONS(10381),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10381),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10381),
    [sym__pair_operator] = ACTIONS(10381),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10381),
    [sym__lazy_and_operator] = ACTIONS(10381),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10381),
    [sym__pipe_left_operator] = ACTIONS(10381),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10381),
    [sym__bitshift_operator] = ACTIONS(10381),
    [sym__power_operator] = ACTIONS(10381),
    [sym__tilde_operator] = ACTIONS(10381),
    [sym__type_order_operator] = ACTIONS(10381),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [6976] = {
    [sym_block_comment] = STATE(6976),
    [sym_line_comment] = STATE(6976),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10361),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10361),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10361),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10361),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10361),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10361),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10361),
    [anon_sym_QMARK] = ACTIONS(10361),
    [anon_sym_DASH_GT] = ACTIONS(10361),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10361),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10361),
    [aux_sym_integer_literal_token2] = ACTIONS(10361),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10361),
    [aux_sym_float_literal_token3] = ACTIONS(10361),
    [aux_sym_float_literal_token4] = ACTIONS(10361),
    [sym_character_literal] = ACTIONS(10361),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10361),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10361),
    [sym__pair_operator] = ACTIONS(10361),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10361),
    [sym__lazy_and_operator] = ACTIONS(10361),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10361),
    [sym__pipe_left_operator] = ACTIONS(10361),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10361),
    [sym__bitshift_operator] = ACTIONS(10361),
    [sym__power_operator] = ACTIONS(10361),
    [sym__tilde_operator] = ACTIONS(10361),
    [sym__type_order_operator] = ACTIONS(10361),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [6977] = {
    [sym_block_comment] = STATE(6977),
    [sym_line_comment] = STATE(6977),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10387),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10387),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10387),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10387),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10387),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10387),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10387),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_DASH_GT] = ACTIONS(10387),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10387),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10387),
    [aux_sym_integer_literal_token2] = ACTIONS(10387),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10387),
    [aux_sym_float_literal_token3] = ACTIONS(10387),
    [aux_sym_float_literal_token4] = ACTIONS(10387),
    [sym_character_literal] = ACTIONS(10387),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10387),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10387),
    [sym__pair_operator] = ACTIONS(10387),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10387),
    [sym__lazy_and_operator] = ACTIONS(10387),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10387),
    [sym__pipe_left_operator] = ACTIONS(10387),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10387),
    [sym__bitshift_operator] = ACTIONS(10387),
    [sym__power_operator] = ACTIONS(10387),
    [sym__tilde_operator] = ACTIONS(10387),
    [sym__type_order_operator] = ACTIONS(10387),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [6978] = {
    [sym_block_comment] = STATE(6978),
    [sym_line_comment] = STATE(6978),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_else] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_as] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6979] = {
    [sym_block_comment] = STATE(6979),
    [sym_line_comment] = STATE(6979),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_else] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_finally] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_as] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6980] = {
    [sym_identifier] = STATE(7536),
    [sym_block_comment] = STATE(6980),
    [sym_line_comment] = STATE(6980),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_finally] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_as] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6981] = {
    [sym_identifier] = STATE(7537),
    [sym_block_comment] = STATE(6981),
    [sym_line_comment] = STATE(6981),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_finally] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_as] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6982] = {
    [sym_identifier] = STATE(7549),
    [sym_block_comment] = STATE(6982),
    [sym_line_comment] = STATE(6982),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_finally] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_as] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6983] = {
    [sym_identifier] = STATE(7551),
    [sym_block_comment] = STATE(6983),
    [sym_line_comment] = STATE(6983),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_finally] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_as] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6984] = {
    [sym_identifier] = STATE(7412),
    [sym_block_comment] = STATE(6984),
    [sym_line_comment] = STATE(6984),
    [ts_builtin_sym_end] = ACTIONS(10137),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_as] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_RBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6985] = {
    [sym_block_comment] = STATE(6985),
    [sym_line_comment] = STATE(6985),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_catch] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [6986] = {
    [sym_block_comment] = STATE(6986),
    [sym_line_comment] = STATE(6986),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10391),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10391),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10391),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10391),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10391),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10391),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_QMARK] = ACTIONS(10391),
    [anon_sym_DASH_GT] = ACTIONS(10391),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10391),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10391),
    [aux_sym_integer_literal_token2] = ACTIONS(10391),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10391),
    [aux_sym_float_literal_token3] = ACTIONS(10391),
    [aux_sym_float_literal_token4] = ACTIONS(10391),
    [sym_character_literal] = ACTIONS(10391),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10391),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10391),
    [sym__pair_operator] = ACTIONS(10391),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10391),
    [sym__lazy_and_operator] = ACTIONS(10391),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10391),
    [sym__pipe_left_operator] = ACTIONS(10391),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10391),
    [sym__bitshift_operator] = ACTIONS(10391),
    [sym__power_operator] = ACTIONS(10391),
    [sym__tilde_operator] = ACTIONS(10391),
    [sym__type_order_operator] = ACTIONS(10391),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [6987] = {
    [sym_block_comment] = STATE(6987),
    [sym_line_comment] = STATE(6987),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_else] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_finally] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_as] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6988] = {
    [sym_block_comment] = STATE(6988),
    [sym_line_comment] = STATE(6988),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_else] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_as] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6989] = {
    [sym_block_comment] = STATE(6989),
    [sym_line_comment] = STATE(6989),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10938),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6990] = {
    [sym_block_comment] = STATE(6990),
    [sym_line_comment] = STATE(6990),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_else] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_finally] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_as] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6991] = {
    [sym_block_comment] = STATE(6991),
    [sym_line_comment] = STATE(6991),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_else] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_finally] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_as] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6992] = {
    [sym_block_comment] = STATE(6992),
    [sym_line_comment] = STATE(6992),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_elseif] = ACTIONS(10127),
    [anon_sym_else] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_as] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6993] = {
    [sym_block_comment] = STATE(6993),
    [sym_line_comment] = STATE(6993),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10129),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10129),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10129),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10129),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10129),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10129),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10129),
    [anon_sym_QMARK] = ACTIONS(10129),
    [anon_sym_DASH_GT] = ACTIONS(10129),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10129),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10129),
    [aux_sym_integer_literal_token2] = ACTIONS(10129),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10129),
    [aux_sym_float_literal_token3] = ACTIONS(10129),
    [aux_sym_float_literal_token4] = ACTIONS(10129),
    [sym_character_literal] = ACTIONS(10129),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10129),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10129),
    [sym__pair_operator] = ACTIONS(10129),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10129),
    [sym__lazy_and_operator] = ACTIONS(10129),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10129),
    [sym__pipe_left_operator] = ACTIONS(10129),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10129),
    [sym__bitshift_operator] = ACTIONS(10129),
    [sym__power_operator] = ACTIONS(10129),
    [sym__tilde_operator] = ACTIONS(10129),
    [sym__type_order_operator] = ACTIONS(10129),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [6994] = {
    [sym_block_comment] = STATE(6994),
    [sym_line_comment] = STATE(6994),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_else] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_finally] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_as] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6995] = {
    [sym_block_comment] = STATE(6995),
    [sym_line_comment] = STATE(6995),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_else] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_finally] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_as] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6996] = {
    [sym_block_comment] = STATE(6996),
    [sym_line_comment] = STATE(6996),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [6997] = {
    [sym_block_comment] = STATE(6997),
    [sym_line_comment] = STATE(6997),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_elseif] = ACTIONS(10083),
    [anon_sym_else] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_as] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [6998] = {
    [sym_block_comment] = STATE(6998),
    [sym_line_comment] = STATE(6998),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_RPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_RBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9971),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_RBRACE] = ACTIONS(9971),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9971),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9971),
    [sym__bitshift_operator] = ACTIONS(9971),
    [sym__power_operator] = ACTIONS(9971),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(11006),
    [sym__immediate_command_start] = ACTIONS(11008),
  },
  [6999] = {
    [sym_block_comment] = STATE(6999),
    [sym_line_comment] = STATE(6999),
    [sym__word_identifier] = ACTIONS(10073),
    [anon_sym_COMMA] = ACTIONS(10075),
    [anon_sym_EQ] = ACTIONS(10073),
    [anon_sym_begin] = ACTIONS(10073),
    [anon_sym_module] = ACTIONS(10073),
    [anon_sym_baremodule] = ACTIONS(10073),
    [anon_sym_end] = ACTIONS(10073),
    [anon_sym_abstract] = ACTIONS(10073),
    [anon_sym_primitive] = ACTIONS(10073),
    [anon_sym_mutable] = ACTIONS(10073),
    [anon_sym_struct] = ACTIONS(10073),
    [anon_sym_function] = ACTIONS(10073),
    [anon_sym_macro] = ACTIONS(10073),
    [anon_sym_quote] = ACTIONS(10073),
    [anon_sym_let] = ACTIONS(10073),
    [anon_sym_if] = ACTIONS(10073),
    [anon_sym_try] = ACTIONS(10073),
    [anon_sym_for] = ACTIONS(10073),
    [anon_sym_while] = ACTIONS(10073),
    [sym_break_statement] = ACTIONS(10073),
    [sym_continue_statement] = ACTIONS(10073),
    [anon_sym_return] = ACTIONS(10073),
    [anon_sym_const] = ACTIONS(10073),
    [anon_sym_global] = ACTIONS(10073),
    [anon_sym_local] = ACTIONS(10073),
    [anon_sym_LPAREN] = ACTIONS(10075),
    [anon_sym_COLON] = ACTIONS(10073),
    [anon_sym_export] = ACTIONS(10073),
    [anon_sym_public] = ACTIONS(10073),
    [anon_sym_import] = ACTIONS(10073),
    [anon_sym_using] = ACTIONS(10073),
    [anon_sym_LBRACK] = ACTIONS(10075),
    [anon_sym_in] = ACTIONS(10073),
    [anon_sym_LBRACE] = ACTIONS(10075),
    [anon_sym_SQUOTE] = ACTIONS(10073),
    [anon_sym_DOT] = ACTIONS(10073),
    [anon_sym_do] = ACTIONS(10073),
    [anon_sym_DOLLAR] = ACTIONS(10075),
    [anon_sym_COLON2] = ACTIONS(10073),
    [anon_sym_COLON_COLON] = ACTIONS(10075),
    [anon_sym_isa] = ACTIONS(10073),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10075),
    [anon_sym_QMARK] = ACTIONS(10075),
    [anon_sym_where] = ACTIONS(10073),
    [anon_sym_AT] = ACTIONS(10075),
    [anon_sym_true] = ACTIONS(10073),
    [anon_sym_false] = ACTIONS(10073),
    [aux_sym_integer_literal_token1] = ACTIONS(10075),
    [aux_sym_integer_literal_token2] = ACTIONS(10075),
    [aux_sym_integer_literal_token3] = ACTIONS(10073),
    [aux_sym_integer_literal_token4] = ACTIONS(10073),
    [aux_sym_float_literal_token1] = ACTIONS(10075),
    [aux_sym_float_literal_token3] = ACTIONS(10075),
    [aux_sym_float_literal_token4] = ACTIONS(10075),
    [sym_character_literal] = ACTIONS(10075),
    [anon_sym_DQUOTE] = ACTIONS(10073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10075),
    [anon_sym_BQUOTE] = ACTIONS(10073),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10075),
    [sym__pair_operator] = ACTIONS(10075),
    [sym__arrow_operator] = ACTIONS(10073),
    [sym__lazy_or_operator] = ACTIONS(10075),
    [sym__lazy_and_operator] = ACTIONS(10075),
    [sym__comparison_operator] = ACTIONS(10073),
    [sym__pipe_right_operator] = ACTIONS(10075),
    [sym__pipe_left_operator] = ACTIONS(10075),
    [sym__ellipsis_operator] = ACTIONS(10073),
    [sym__plus_operator] = ACTIONS(10073),
    [sym__times_operator] = ACTIONS(10073),
    [sym__rational_operator] = ACTIONS(10075),
    [sym__bitshift_operator] = ACTIONS(10075),
    [sym__power_operator] = ACTIONS(10075),
    [sym__tilde_operator] = ACTIONS(10075),
    [sym__type_order_operator] = ACTIONS(10075),
    [sym__unary_operator] = ACTIONS(10073),
    [sym__unary_plus_operator] = ACTIONS(10073),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10075),
    [sym__immediate_bracket] = ACTIONS(10075),
    [sym__immediate_brace] = ACTIONS(10075),
  },
  [7000] = {
    [sym_block_comment] = STATE(7000),
    [sym_line_comment] = STATE(7000),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_as] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7001] = {
    [sym_block_comment] = STATE(7001),
    [sym_line_comment] = STATE(7001),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_else] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(11010),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7002] = {
    [sym_block_comment] = STATE(7002),
    [sym_line_comment] = STATE(7002),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_COMMA] = ACTIONS(10057),
    [anon_sym_EQ] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10057),
    [anon_sym_COLON] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10057),
    [anon_sym_in] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10057),
    [anon_sym_SQUOTE] = ACTIONS(10055),
    [anon_sym_DOT] = ACTIONS(10055),
    [anon_sym_do] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10057),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10057),
    [anon_sym_isa] = ACTIONS(10055),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10057),
    [anon_sym_QMARK] = ACTIONS(10057),
    [anon_sym_where] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10057),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10057),
    [aux_sym_integer_literal_token2] = ACTIONS(10057),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10057),
    [aux_sym_float_literal_token3] = ACTIONS(10057),
    [aux_sym_float_literal_token4] = ACTIONS(10057),
    [sym_character_literal] = ACTIONS(10057),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10057),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10057),
    [sym__pair_operator] = ACTIONS(10057),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__lazy_or_operator] = ACTIONS(10057),
    [sym__lazy_and_operator] = ACTIONS(10057),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10057),
    [sym__pipe_left_operator] = ACTIONS(10057),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10057),
    [sym__bitshift_operator] = ACTIONS(10057),
    [sym__power_operator] = ACTIONS(10057),
    [sym__tilde_operator] = ACTIONS(10057),
    [sym__type_order_operator] = ACTIONS(10057),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10057),
    [sym__immediate_bracket] = ACTIONS(10057),
    [sym__immediate_brace] = ACTIONS(10057),
  },
  [7003] = {
    [sym_block_comment] = STATE(7003),
    [sym_line_comment] = STATE(7003),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_elseif] = ACTIONS(10089),
    [anon_sym_else] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_as] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7004] = {
    [sym_block_comment] = STATE(7004),
    [sym_line_comment] = STATE(7004),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_else] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_finally] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_as] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7005] = {
    [sym_block_comment] = STATE(7005),
    [sym_line_comment] = STATE(7005),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10345),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10345),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10345),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10345),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10345),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10345),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10345),
    [anon_sym_QMARK] = ACTIONS(10345),
    [anon_sym_DASH_GT] = ACTIONS(10345),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10345),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10345),
    [aux_sym_integer_literal_token2] = ACTIONS(10345),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10345),
    [aux_sym_float_literal_token3] = ACTIONS(10345),
    [aux_sym_float_literal_token4] = ACTIONS(10345),
    [sym_character_literal] = ACTIONS(10345),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10345),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10345),
    [sym__pair_operator] = ACTIONS(10345),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10345),
    [sym__lazy_and_operator] = ACTIONS(10345),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10345),
    [sym__pipe_left_operator] = ACTIONS(10345),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10345),
    [sym__bitshift_operator] = ACTIONS(10345),
    [sym__power_operator] = ACTIONS(10345),
    [sym__tilde_operator] = ACTIONS(10345),
    [sym__type_order_operator] = ACTIONS(10345),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [7006] = {
    [sym_block_comment] = STATE(7006),
    [sym_line_comment] = STATE(7006),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_COMMA] = ACTIONS(10035),
    [anon_sym_EQ] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10035),
    [anon_sym_COLON] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10035),
    [anon_sym_in] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10035),
    [anon_sym_SQUOTE] = ACTIONS(10033),
    [anon_sym_DOT] = ACTIONS(10033),
    [anon_sym_do] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10035),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10035),
    [anon_sym_isa] = ACTIONS(10033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10035),
    [anon_sym_QMARK] = ACTIONS(10035),
    [anon_sym_where] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10035),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10035),
    [aux_sym_integer_literal_token2] = ACTIONS(10035),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10035),
    [aux_sym_float_literal_token3] = ACTIONS(10035),
    [aux_sym_float_literal_token4] = ACTIONS(10035),
    [sym_character_literal] = ACTIONS(10035),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10035),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10035),
    [sym__pair_operator] = ACTIONS(10035),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__lazy_or_operator] = ACTIONS(10035),
    [sym__lazy_and_operator] = ACTIONS(10035),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10035),
    [sym__pipe_left_operator] = ACTIONS(10035),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10035),
    [sym__bitshift_operator] = ACTIONS(10035),
    [sym__power_operator] = ACTIONS(10035),
    [sym__tilde_operator] = ACTIONS(10035),
    [sym__type_order_operator] = ACTIONS(10035),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10035),
    [sym__immediate_bracket] = ACTIONS(10035),
    [sym__immediate_brace] = ACTIONS(10035),
  },
  [7007] = {
    [sym_block_comment] = STATE(7007),
    [sym_line_comment] = STATE(7007),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10419),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10419),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10419),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10419),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10419),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10419),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10419),
    [anon_sym_QMARK] = ACTIONS(10419),
    [anon_sym_DASH_GT] = ACTIONS(10419),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10419),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10419),
    [aux_sym_integer_literal_token2] = ACTIONS(10419),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10419),
    [aux_sym_float_literal_token3] = ACTIONS(10419),
    [aux_sym_float_literal_token4] = ACTIONS(10419),
    [sym_character_literal] = ACTIONS(10419),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10419),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10419),
    [sym__pair_operator] = ACTIONS(10419),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10419),
    [sym__lazy_and_operator] = ACTIONS(10419),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10419),
    [sym__pipe_left_operator] = ACTIONS(10419),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10419),
    [sym__bitshift_operator] = ACTIONS(10419),
    [sym__power_operator] = ACTIONS(10419),
    [sym__tilde_operator] = ACTIONS(10419),
    [sym__type_order_operator] = ACTIONS(10419),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [7008] = {
    [sym_block_comment] = STATE(7008),
    [sym_line_comment] = STATE(7008),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10099),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10099),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10099),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10099),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10099),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10099),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10099),
    [anon_sym_QMARK] = ACTIONS(10099),
    [anon_sym_DASH_GT] = ACTIONS(10099),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10099),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10099),
    [aux_sym_integer_literal_token2] = ACTIONS(10099),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10099),
    [aux_sym_float_literal_token3] = ACTIONS(10099),
    [aux_sym_float_literal_token4] = ACTIONS(10099),
    [sym_character_literal] = ACTIONS(10099),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10099),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10099),
    [sym__pair_operator] = ACTIONS(10099),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10099),
    [sym__lazy_and_operator] = ACTIONS(10099),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10099),
    [sym__pipe_left_operator] = ACTIONS(10099),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10099),
    [sym__bitshift_operator] = ACTIONS(10099),
    [sym__power_operator] = ACTIONS(10099),
    [sym__tilde_operator] = ACTIONS(10099),
    [sym__type_order_operator] = ACTIONS(10099),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [7009] = {
    [sym_block_comment] = STATE(7009),
    [sym_line_comment] = STATE(7009),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10103),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10103),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10103),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10103),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10103),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10103),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10103),
    [anon_sym_QMARK] = ACTIONS(10103),
    [anon_sym_DASH_GT] = ACTIONS(10103),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10103),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10103),
    [aux_sym_integer_literal_token2] = ACTIONS(10103),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10103),
    [aux_sym_float_literal_token3] = ACTIONS(10103),
    [aux_sym_float_literal_token4] = ACTIONS(10103),
    [sym_character_literal] = ACTIONS(10103),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10103),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10103),
    [sym__pair_operator] = ACTIONS(10103),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10103),
    [sym__lazy_and_operator] = ACTIONS(10103),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10103),
    [sym__pipe_left_operator] = ACTIONS(10103),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10103),
    [sym__bitshift_operator] = ACTIONS(10103),
    [sym__power_operator] = ACTIONS(10103),
    [sym__tilde_operator] = ACTIONS(10103),
    [sym__type_order_operator] = ACTIONS(10103),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [7010] = {
    [sym_block_comment] = STATE(7010),
    [sym_line_comment] = STATE(7010),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(11012),
    [sym__immediate_command_start] = ACTIONS(11014),
  },
  [7011] = {
    [sym_block_comment] = STATE(7011),
    [sym_line_comment] = STATE(7011),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10423),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10423),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10423),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10423),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10423),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10423),
    [anon_sym_QMARK] = ACTIONS(10423),
    [anon_sym_DASH_GT] = ACTIONS(10423),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10423),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10423),
    [aux_sym_integer_literal_token2] = ACTIONS(10423),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10423),
    [aux_sym_float_literal_token3] = ACTIONS(10423),
    [aux_sym_float_literal_token4] = ACTIONS(10423),
    [sym_character_literal] = ACTIONS(10423),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10423),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10423),
    [sym__pair_operator] = ACTIONS(10423),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10423),
    [sym__lazy_and_operator] = ACTIONS(10423),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10423),
    [sym__pipe_left_operator] = ACTIONS(10423),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10423),
    [sym__bitshift_operator] = ACTIONS(10423),
    [sym__power_operator] = ACTIONS(10423),
    [sym__tilde_operator] = ACTIONS(10423),
    [sym__type_order_operator] = ACTIONS(10423),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [7012] = {
    [sym_block_comment] = STATE(7012),
    [sym_line_comment] = STATE(7012),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_elseif] = ACTIONS(10175),
    [anon_sym_else] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_as] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7013] = {
    [sym_block_comment] = STATE(7013),
    [sym_line_comment] = STATE(7013),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_elseif] = ACTIONS(10315),
    [anon_sym_else] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_as] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7014] = {
    [sym_block_comment] = STATE(7014),
    [sym_line_comment] = STATE(7014),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_else] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_finally] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_as] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7015] = {
    [sym_block_comment] = STATE(7015),
    [sym_line_comment] = STATE(7015),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_COMMA] = ACTIONS(10053),
    [anon_sym_EQ] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10053),
    [anon_sym_COLON] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10053),
    [anon_sym_in] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10053),
    [anon_sym_SQUOTE] = ACTIONS(10051),
    [anon_sym_DOT] = ACTIONS(10051),
    [anon_sym_do] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10053),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10053),
    [anon_sym_isa] = ACTIONS(10051),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10053),
    [anon_sym_QMARK] = ACTIONS(10053),
    [anon_sym_where] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10053),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10053),
    [aux_sym_integer_literal_token2] = ACTIONS(10053),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10053),
    [aux_sym_float_literal_token3] = ACTIONS(10053),
    [aux_sym_float_literal_token4] = ACTIONS(10053),
    [sym_character_literal] = ACTIONS(10053),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10053),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10053),
    [sym__pair_operator] = ACTIONS(10053),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__lazy_or_operator] = ACTIONS(10053),
    [sym__lazy_and_operator] = ACTIONS(10053),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10053),
    [sym__pipe_left_operator] = ACTIONS(10053),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10053),
    [sym__bitshift_operator] = ACTIONS(10053),
    [sym__power_operator] = ACTIONS(10053),
    [sym__tilde_operator] = ACTIONS(10053),
    [sym__type_order_operator] = ACTIONS(10053),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10053),
    [sym__immediate_bracket] = ACTIONS(10053),
    [sym__immediate_brace] = ACTIONS(10053),
  },
  [7016] = {
    [sym_block_comment] = STATE(7016),
    [sym_line_comment] = STATE(7016),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10431),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10431),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10431),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10431),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10431),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10431),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_QMARK] = ACTIONS(10431),
    [anon_sym_DASH_GT] = ACTIONS(10431),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10431),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10431),
    [aux_sym_integer_literal_token2] = ACTIONS(10431),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10431),
    [aux_sym_float_literal_token3] = ACTIONS(10431),
    [aux_sym_float_literal_token4] = ACTIONS(10431),
    [sym_character_literal] = ACTIONS(10431),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10431),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10431),
    [sym__pair_operator] = ACTIONS(10431),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10431),
    [sym__lazy_and_operator] = ACTIONS(10431),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10431),
    [sym__pipe_left_operator] = ACTIONS(10431),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10431),
    [sym__bitshift_operator] = ACTIONS(10431),
    [sym__power_operator] = ACTIONS(10431),
    [sym__tilde_operator] = ACTIONS(10431),
    [sym__type_order_operator] = ACTIONS(10431),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [7017] = {
    [sym_block_comment] = STATE(7017),
    [sym_line_comment] = STATE(7017),
    [sym__word_identifier] = ACTIONS(10079),
    [anon_sym_COMMA] = ACTIONS(10081),
    [anon_sym_EQ] = ACTIONS(10079),
    [anon_sym_begin] = ACTIONS(10079),
    [anon_sym_module] = ACTIONS(10079),
    [anon_sym_baremodule] = ACTIONS(10079),
    [anon_sym_end] = ACTIONS(10079),
    [anon_sym_abstract] = ACTIONS(10079),
    [anon_sym_primitive] = ACTIONS(10079),
    [anon_sym_mutable] = ACTIONS(10079),
    [anon_sym_struct] = ACTIONS(10079),
    [anon_sym_function] = ACTIONS(10079),
    [anon_sym_macro] = ACTIONS(10079),
    [anon_sym_quote] = ACTIONS(10079),
    [anon_sym_let] = ACTIONS(10079),
    [anon_sym_if] = ACTIONS(10079),
    [anon_sym_try] = ACTIONS(10079),
    [anon_sym_for] = ACTIONS(10079),
    [anon_sym_while] = ACTIONS(10079),
    [sym_break_statement] = ACTIONS(10079),
    [sym_continue_statement] = ACTIONS(10079),
    [anon_sym_return] = ACTIONS(10079),
    [anon_sym_const] = ACTIONS(10079),
    [anon_sym_global] = ACTIONS(10079),
    [anon_sym_local] = ACTIONS(10079),
    [anon_sym_LPAREN] = ACTIONS(10081),
    [anon_sym_COLON] = ACTIONS(10079),
    [anon_sym_export] = ACTIONS(10079),
    [anon_sym_public] = ACTIONS(10079),
    [anon_sym_import] = ACTIONS(10079),
    [anon_sym_using] = ACTIONS(10079),
    [anon_sym_LBRACK] = ACTIONS(10081),
    [anon_sym_in] = ACTIONS(10079),
    [anon_sym_LBRACE] = ACTIONS(10081),
    [anon_sym_SQUOTE] = ACTIONS(10079),
    [anon_sym_DOT] = ACTIONS(10079),
    [anon_sym_do] = ACTIONS(10079),
    [anon_sym_DOLLAR] = ACTIONS(10081),
    [anon_sym_COLON2] = ACTIONS(10079),
    [anon_sym_COLON_COLON] = ACTIONS(10081),
    [anon_sym_isa] = ACTIONS(10079),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10081),
    [anon_sym_QMARK] = ACTIONS(10081),
    [anon_sym_where] = ACTIONS(10079),
    [anon_sym_AT] = ACTIONS(10081),
    [anon_sym_true] = ACTIONS(10079),
    [anon_sym_false] = ACTIONS(10079),
    [aux_sym_integer_literal_token1] = ACTIONS(10081),
    [aux_sym_integer_literal_token2] = ACTIONS(10081),
    [aux_sym_integer_literal_token3] = ACTIONS(10079),
    [aux_sym_integer_literal_token4] = ACTIONS(10079),
    [aux_sym_float_literal_token1] = ACTIONS(10081),
    [aux_sym_float_literal_token3] = ACTIONS(10081),
    [aux_sym_float_literal_token4] = ACTIONS(10081),
    [sym_character_literal] = ACTIONS(10081),
    [anon_sym_DQUOTE] = ACTIONS(10079),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10081),
    [anon_sym_BQUOTE] = ACTIONS(10079),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10081),
    [sym__pair_operator] = ACTIONS(10081),
    [sym__arrow_operator] = ACTIONS(10079),
    [sym__lazy_or_operator] = ACTIONS(10081),
    [sym__lazy_and_operator] = ACTIONS(10081),
    [sym__comparison_operator] = ACTIONS(10079),
    [sym__pipe_right_operator] = ACTIONS(10081),
    [sym__pipe_left_operator] = ACTIONS(10081),
    [sym__ellipsis_operator] = ACTIONS(10079),
    [sym__plus_operator] = ACTIONS(10079),
    [sym__times_operator] = ACTIONS(10079),
    [sym__rational_operator] = ACTIONS(10081),
    [sym__bitshift_operator] = ACTIONS(10081),
    [sym__power_operator] = ACTIONS(10081),
    [sym__tilde_operator] = ACTIONS(10081),
    [sym__type_order_operator] = ACTIONS(10081),
    [sym__unary_operator] = ACTIONS(10079),
    [sym__unary_plus_operator] = ACTIONS(10079),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10081),
    [sym__immediate_bracket] = ACTIONS(10081),
    [sym__immediate_brace] = ACTIONS(10081),
  },
  [7018] = {
    [sym_block_comment] = STATE(7018),
    [sym_line_comment] = STATE(7018),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_elseif] = ACTIONS(10319),
    [anon_sym_else] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_as] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7019] = {
    [sym_block_comment] = STATE(7019),
    [sym_line_comment] = STATE(7019),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_elseif] = ACTIONS(10395),
    [anon_sym_else] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_as] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7020] = {
    [sym_block_comment] = STATE(7020),
    [sym_line_comment] = STATE(7020),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10435),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10435),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10435),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10435),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10435),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10435),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10435),
    [anon_sym_QMARK] = ACTIONS(10435),
    [anon_sym_DASH_GT] = ACTIONS(10435),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10435),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10435),
    [aux_sym_integer_literal_token2] = ACTIONS(10435),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10435),
    [aux_sym_float_literal_token3] = ACTIONS(10435),
    [aux_sym_float_literal_token4] = ACTIONS(10435),
    [sym_character_literal] = ACTIONS(10435),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10435),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10435),
    [sym__pair_operator] = ACTIONS(10435),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10435),
    [sym__lazy_and_operator] = ACTIONS(10435),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10435),
    [sym__pipe_left_operator] = ACTIONS(10435),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10435),
    [sym__bitshift_operator] = ACTIONS(10435),
    [sym__power_operator] = ACTIONS(10435),
    [sym__tilde_operator] = ACTIONS(10435),
    [sym__type_order_operator] = ACTIONS(10435),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [7021] = {
    [sym_block_comment] = STATE(7021),
    [sym_line_comment] = STATE(7021),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10439),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10439),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10439),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10439),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10439),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10439),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10439),
    [anon_sym_QMARK] = ACTIONS(10439),
    [anon_sym_DASH_GT] = ACTIONS(10439),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10439),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10439),
    [aux_sym_integer_literal_token2] = ACTIONS(10439),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10439),
    [aux_sym_float_literal_token3] = ACTIONS(10439),
    [aux_sym_float_literal_token4] = ACTIONS(10439),
    [sym_character_literal] = ACTIONS(10439),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10439),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10439),
    [sym__pair_operator] = ACTIONS(10439),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10439),
    [sym__lazy_and_operator] = ACTIONS(10439),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10439),
    [sym__pipe_left_operator] = ACTIONS(10439),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10439),
    [sym__bitshift_operator] = ACTIONS(10439),
    [sym__power_operator] = ACTIONS(10439),
    [sym__tilde_operator] = ACTIONS(10439),
    [sym__type_order_operator] = ACTIONS(10439),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [7022] = {
    [sym_block_comment] = STATE(7022),
    [sym_line_comment] = STATE(7022),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_else] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_finally] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_as] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7023] = {
    [sym_block_comment] = STATE(7023),
    [sym_line_comment] = STATE(7023),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_else] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_finally] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_as] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7024] = {
    [sym_block_comment] = STATE(7024),
    [sym_line_comment] = STATE(7024),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10087),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10087),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10087),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10087),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10087),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10087),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10087),
    [anon_sym_QMARK] = ACTIONS(10087),
    [anon_sym_DASH_GT] = ACTIONS(10087),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10087),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10087),
    [aux_sym_integer_literal_token2] = ACTIONS(10087),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10087),
    [aux_sym_float_literal_token3] = ACTIONS(10087),
    [aux_sym_float_literal_token4] = ACTIONS(10087),
    [sym_character_literal] = ACTIONS(10087),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10087),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10087),
    [sym__pair_operator] = ACTIONS(10087),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10087),
    [sym__lazy_and_operator] = ACTIONS(10087),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10087),
    [sym__pipe_left_operator] = ACTIONS(10087),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10087),
    [sym__bitshift_operator] = ACTIONS(10087),
    [sym__power_operator] = ACTIONS(10087),
    [sym__tilde_operator] = ACTIONS(10087),
    [sym__type_order_operator] = ACTIONS(10087),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [7025] = {
    [sym_block_comment] = STATE(7025),
    [sym_line_comment] = STATE(7025),
    [ts_builtin_sym_end] = ACTIONS(9971),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_RBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(11016),
    [sym__immediate_command_start] = ACTIONS(11018),
  },
  [7026] = {
    [sym_block_comment] = STATE(7026),
    [sym_line_comment] = STATE(7026),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(11020),
    [sym__immediate_command_start] = ACTIONS(11022),
  },
  [7027] = {
    [sym_block_comment] = STATE(7027),
    [sym_line_comment] = STATE(7027),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10141),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10141),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10141),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10141),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10141),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10141),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10141),
    [anon_sym_QMARK] = ACTIONS(10141),
    [anon_sym_DASH_GT] = ACTIONS(10141),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10141),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10141),
    [aux_sym_integer_literal_token2] = ACTIONS(10141),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10141),
    [aux_sym_float_literal_token3] = ACTIONS(10141),
    [aux_sym_float_literal_token4] = ACTIONS(10141),
    [sym_character_literal] = ACTIONS(10141),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10141),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10141),
    [sym__pair_operator] = ACTIONS(10141),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10141),
    [sym__lazy_and_operator] = ACTIONS(10141),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10141),
    [sym__pipe_left_operator] = ACTIONS(10141),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10141),
    [sym__bitshift_operator] = ACTIONS(10141),
    [sym__power_operator] = ACTIONS(10141),
    [sym__tilde_operator] = ACTIONS(10141),
    [sym__type_order_operator] = ACTIONS(10141),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [7028] = {
    [sym_block_comment] = STATE(7028),
    [sym_line_comment] = STATE(7028),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_else] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_finally] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_as] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7029] = {
    [sym_block_comment] = STATE(7029),
    [sym_line_comment] = STATE(7029),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10293),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10293),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10293),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10293),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10293),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10293),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10293),
    [anon_sym_QMARK] = ACTIONS(10293),
    [anon_sym_DASH_GT] = ACTIONS(10293),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10293),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10293),
    [aux_sym_integer_literal_token2] = ACTIONS(10293),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10293),
    [aux_sym_float_literal_token3] = ACTIONS(10293),
    [aux_sym_float_literal_token4] = ACTIONS(10293),
    [sym_character_literal] = ACTIONS(10293),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10293),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10293),
    [sym__pair_operator] = ACTIONS(10293),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10293),
    [sym__lazy_and_operator] = ACTIONS(10293),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10293),
    [sym__pipe_left_operator] = ACTIONS(10293),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10293),
    [sym__bitshift_operator] = ACTIONS(10293),
    [sym__power_operator] = ACTIONS(10293),
    [sym__tilde_operator] = ACTIONS(10293),
    [sym__type_order_operator] = ACTIONS(10293),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [7030] = {
    [sym_block_comment] = STATE(7030),
    [sym_line_comment] = STATE(7030),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10309),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10309),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10309),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10309),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10309),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10309),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10309),
    [anon_sym_QMARK] = ACTIONS(10309),
    [anon_sym_DASH_GT] = ACTIONS(10309),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10309),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10309),
    [aux_sym_integer_literal_token2] = ACTIONS(10309),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10309),
    [aux_sym_float_literal_token3] = ACTIONS(10309),
    [aux_sym_float_literal_token4] = ACTIONS(10309),
    [sym_character_literal] = ACTIONS(10309),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10309),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10309),
    [sym__pair_operator] = ACTIONS(10309),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10309),
    [sym__lazy_and_operator] = ACTIONS(10309),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10309),
    [sym__pipe_left_operator] = ACTIONS(10309),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10309),
    [sym__bitshift_operator] = ACTIONS(10309),
    [sym__power_operator] = ACTIONS(10309),
    [sym__tilde_operator] = ACTIONS(10309),
    [sym__type_order_operator] = ACTIONS(10309),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [7031] = {
    [sym_block_comment] = STATE(7031),
    [sym_line_comment] = STATE(7031),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_elseif] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7032] = {
    [sym_block_comment] = STATE(7032),
    [sym_line_comment] = STATE(7032),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_elseif] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(10980),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7033] = {
    [sym_block_comment] = STATE(7033),
    [sym_line_comment] = STATE(7033),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_elseif] = ACTIONS(10363),
    [anon_sym_else] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_as] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7034] = {
    [sym_block_comment] = STATE(7034),
    [sym_line_comment] = STATE(7034),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10349),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10349),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10349),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10349),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10349),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10349),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10349),
    [anon_sym_QMARK] = ACTIONS(10349),
    [anon_sym_DASH_GT] = ACTIONS(10349),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10349),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10349),
    [aux_sym_integer_literal_token2] = ACTIONS(10349),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10349),
    [aux_sym_float_literal_token3] = ACTIONS(10349),
    [aux_sym_float_literal_token4] = ACTIONS(10349),
    [sym_character_literal] = ACTIONS(10349),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10349),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10349),
    [sym__pair_operator] = ACTIONS(10349),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10349),
    [sym__lazy_and_operator] = ACTIONS(10349),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10349),
    [sym__pipe_left_operator] = ACTIONS(10349),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10349),
    [sym__bitshift_operator] = ACTIONS(10349),
    [sym__power_operator] = ACTIONS(10349),
    [sym__tilde_operator] = ACTIONS(10349),
    [sym__type_order_operator] = ACTIONS(10349),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [7035] = {
    [sym_block_comment] = STATE(7035),
    [sym_line_comment] = STATE(7035),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10353),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10353),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10353),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10353),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10353),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10353),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10353),
    [anon_sym_QMARK] = ACTIONS(10353),
    [anon_sym_DASH_GT] = ACTIONS(10353),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10353),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10353),
    [aux_sym_integer_literal_token2] = ACTIONS(10353),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10353),
    [aux_sym_float_literal_token3] = ACTIONS(10353),
    [aux_sym_float_literal_token4] = ACTIONS(10353),
    [sym_character_literal] = ACTIONS(10353),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10353),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10353),
    [sym__pair_operator] = ACTIONS(10353),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10353),
    [sym__lazy_and_operator] = ACTIONS(10353),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10353),
    [sym__pipe_left_operator] = ACTIONS(10353),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10353),
    [sym__bitshift_operator] = ACTIONS(10353),
    [sym__power_operator] = ACTIONS(10353),
    [sym__tilde_operator] = ACTIONS(10353),
    [sym__type_order_operator] = ACTIONS(10353),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [7036] = {
    [sym_block_comment] = STATE(7036),
    [sym_line_comment] = STATE(7036),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10357),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10357),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10357),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10357),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10357),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10357),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10357),
    [anon_sym_QMARK] = ACTIONS(10357),
    [anon_sym_DASH_GT] = ACTIONS(10357),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10357),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10357),
    [aux_sym_integer_literal_token2] = ACTIONS(10357),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10357),
    [aux_sym_float_literal_token3] = ACTIONS(10357),
    [aux_sym_float_literal_token4] = ACTIONS(10357),
    [sym_character_literal] = ACTIONS(10357),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10357),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10357),
    [sym__pair_operator] = ACTIONS(10357),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10357),
    [sym__lazy_and_operator] = ACTIONS(10357),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10357),
    [sym__pipe_left_operator] = ACTIONS(10357),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10357),
    [sym__bitshift_operator] = ACTIONS(10357),
    [sym__power_operator] = ACTIONS(10357),
    [sym__tilde_operator] = ACTIONS(10357),
    [sym__type_order_operator] = ACTIONS(10357),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [7037] = {
    [sym_block_comment] = STATE(7037),
    [sym_line_comment] = STATE(7037),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10405),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10405),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10405),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10405),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10405),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10405),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10405),
    [anon_sym_QMARK] = ACTIONS(10405),
    [anon_sym_DASH_GT] = ACTIONS(10405),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10405),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10405),
    [aux_sym_integer_literal_token2] = ACTIONS(10405),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10405),
    [aux_sym_float_literal_token3] = ACTIONS(10405),
    [aux_sym_float_literal_token4] = ACTIONS(10405),
    [sym_character_literal] = ACTIONS(10405),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10405),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10405),
    [sym__pair_operator] = ACTIONS(10405),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10405),
    [sym__lazy_and_operator] = ACTIONS(10405),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10405),
    [sym__pipe_left_operator] = ACTIONS(10405),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10405),
    [sym__bitshift_operator] = ACTIONS(10405),
    [sym__power_operator] = ACTIONS(10405),
    [sym__tilde_operator] = ACTIONS(10405),
    [sym__type_order_operator] = ACTIONS(10405),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [7038] = {
    [sym_block_comment] = STATE(7038),
    [sym_line_comment] = STATE(7038),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_else] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_finally] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_as] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7039] = {
    [sym_block_comment] = STATE(7039),
    [sym_line_comment] = STATE(7039),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_elseif] = ACTIONS(10413),
    [anon_sym_else] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_as] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7040] = {
    [sym_block_comment] = STATE(7040),
    [sym_line_comment] = STATE(7040),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_elseif] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7041] = {
    [sym_identifier] = STATE(7431),
    [sym_block_comment] = STATE(7041),
    [sym_line_comment] = STATE(7041),
    [ts_builtin_sym_end] = ACTIONS(10145),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_as] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_RBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7042] = {
    [sym_block_comment] = STATE(7042),
    [sym_line_comment] = STATE(7042),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_elseif] = ACTIONS(10375),
    [anon_sym_else] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_as] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7043] = {
    [sym_block_comment] = STATE(7043),
    [sym_line_comment] = STATE(7043),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10317),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10317),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10317),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10317),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10317),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10317),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10317),
    [anon_sym_QMARK] = ACTIONS(10317),
    [anon_sym_DASH_GT] = ACTIONS(10317),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10317),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10317),
    [aux_sym_integer_literal_token2] = ACTIONS(10317),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10317),
    [aux_sym_float_literal_token3] = ACTIONS(10317),
    [aux_sym_float_literal_token4] = ACTIONS(10317),
    [sym_character_literal] = ACTIONS(10317),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10317),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10317),
    [sym__pair_operator] = ACTIONS(10317),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10317),
    [sym__lazy_and_operator] = ACTIONS(10317),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10317),
    [sym__pipe_left_operator] = ACTIONS(10317),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10317),
    [sym__bitshift_operator] = ACTIONS(10317),
    [sym__power_operator] = ACTIONS(10317),
    [sym__tilde_operator] = ACTIONS(10317),
    [sym__type_order_operator] = ACTIONS(10317),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [7044] = {
    [sym_block_comment] = STATE(7044),
    [sym_line_comment] = STATE(7044),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10313),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10313),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10313),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10313),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10313),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10313),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10313),
    [anon_sym_QMARK] = ACTIONS(10313),
    [anon_sym_DASH_GT] = ACTIONS(10313),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10313),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10313),
    [aux_sym_integer_literal_token2] = ACTIONS(10313),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10313),
    [aux_sym_float_literal_token3] = ACTIONS(10313),
    [aux_sym_float_literal_token4] = ACTIONS(10313),
    [sym_character_literal] = ACTIONS(10313),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10313),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10313),
    [sym__pair_operator] = ACTIONS(10313),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10313),
    [sym__lazy_and_operator] = ACTIONS(10313),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10313),
    [sym__pipe_left_operator] = ACTIONS(10313),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10313),
    [sym__bitshift_operator] = ACTIONS(10313),
    [sym__power_operator] = ACTIONS(10313),
    [sym__tilde_operator] = ACTIONS(10313),
    [sym__type_order_operator] = ACTIONS(10313),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [7045] = {
    [sym_identifier] = STATE(7434),
    [sym_block_comment] = STATE(7045),
    [sym_line_comment] = STATE(7045),
    [ts_builtin_sym_end] = ACTIONS(10009),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_as] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_RBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7046] = {
    [sym_block_comment] = STATE(7046),
    [sym_line_comment] = STATE(7046),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_else] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_as] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7047] = {
    [sym_block_comment] = STATE(7047),
    [sym_line_comment] = STATE(7047),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10401),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10401),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10401),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10401),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10401),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10401),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10401),
    [anon_sym_QMARK] = ACTIONS(10401),
    [anon_sym_DASH_GT] = ACTIONS(10401),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10401),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10401),
    [aux_sym_integer_literal_token2] = ACTIONS(10401),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10401),
    [aux_sym_float_literal_token3] = ACTIONS(10401),
    [aux_sym_float_literal_token4] = ACTIONS(10401),
    [sym_character_literal] = ACTIONS(10401),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10401),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10401),
    [sym__pair_operator] = ACTIONS(10401),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10401),
    [sym__lazy_and_operator] = ACTIONS(10401),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10401),
    [sym__pipe_left_operator] = ACTIONS(10401),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10401),
    [sym__bitshift_operator] = ACTIONS(10401),
    [sym__power_operator] = ACTIONS(10401),
    [sym__tilde_operator] = ACTIONS(10401),
    [sym__type_order_operator] = ACTIONS(10401),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [7048] = {
    [sym_block_comment] = STATE(7048),
    [sym_line_comment] = STATE(7048),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10265),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10265),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10265),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10265),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10265),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10265),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10265),
    [anon_sym_QMARK] = ACTIONS(10265),
    [anon_sym_DASH_GT] = ACTIONS(10265),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10265),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10265),
    [aux_sym_integer_literal_token2] = ACTIONS(10265),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10265),
    [aux_sym_float_literal_token3] = ACTIONS(10265),
    [aux_sym_float_literal_token4] = ACTIONS(10265),
    [sym_character_literal] = ACTIONS(10265),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10265),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10265),
    [sym__pair_operator] = ACTIONS(10265),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10265),
    [sym__lazy_and_operator] = ACTIONS(10265),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10265),
    [sym__pipe_left_operator] = ACTIONS(10265),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10265),
    [sym__bitshift_operator] = ACTIONS(10265),
    [sym__power_operator] = ACTIONS(10265),
    [sym__tilde_operator] = ACTIONS(10265),
    [sym__type_order_operator] = ACTIONS(10265),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [7049] = {
    [sym_block_comment] = STATE(7049),
    [sym_line_comment] = STATE(7049),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_elseif] = ACTIONS(10193),
    [anon_sym_else] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_as] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7050] = {
    [sym_block_comment] = STATE(7050),
    [sym_line_comment] = STATE(7050),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7051] = {
    [sym_block_comment] = STATE(7051),
    [sym_line_comment] = STATE(7051),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10341),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10341),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10341),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10341),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10341),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10341),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10341),
    [anon_sym_QMARK] = ACTIONS(10341),
    [anon_sym_DASH_GT] = ACTIONS(10341),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10341),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10341),
    [aux_sym_integer_literal_token2] = ACTIONS(10341),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10341),
    [aux_sym_float_literal_token3] = ACTIONS(10341),
    [aux_sym_float_literal_token4] = ACTIONS(10341),
    [sym_character_literal] = ACTIONS(10341),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10341),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10341),
    [sym__pair_operator] = ACTIONS(10341),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10341),
    [sym__lazy_and_operator] = ACTIONS(10341),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10341),
    [sym__pipe_left_operator] = ACTIONS(10341),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10341),
    [sym__bitshift_operator] = ACTIONS(10341),
    [sym__power_operator] = ACTIONS(10341),
    [sym__tilde_operator] = ACTIONS(10341),
    [sym__type_order_operator] = ACTIONS(10341),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [7052] = {
    [sym_block_comment] = STATE(7052),
    [sym_line_comment] = STATE(7052),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_elseif] = ACTIONS(10323),
    [anon_sym_else] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_as] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7053] = {
    [sym_block_comment] = STATE(7053),
    [sym_line_comment] = STATE(7053),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10373),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10373),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10373),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10373),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10373),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10373),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10373),
    [anon_sym_QMARK] = ACTIONS(10373),
    [anon_sym_DASH_GT] = ACTIONS(10373),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10373),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10373),
    [aux_sym_integer_literal_token2] = ACTIONS(10373),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10373),
    [aux_sym_float_literal_token3] = ACTIONS(10373),
    [aux_sym_float_literal_token4] = ACTIONS(10373),
    [sym_character_literal] = ACTIONS(10373),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10373),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10373),
    [sym__pair_operator] = ACTIONS(10373),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10373),
    [sym__lazy_and_operator] = ACTIONS(10373),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10373),
    [sym__pipe_left_operator] = ACTIONS(10373),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10373),
    [sym__bitshift_operator] = ACTIONS(10373),
    [sym__power_operator] = ACTIONS(10373),
    [sym__tilde_operator] = ACTIONS(10373),
    [sym__type_order_operator] = ACTIONS(10373),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [7054] = {
    [sym_block_comment] = STATE(7054),
    [sym_line_comment] = STATE(7054),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10411),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10411),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10411),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10411),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10411),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10411),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10411),
    [anon_sym_QMARK] = ACTIONS(10411),
    [anon_sym_DASH_GT] = ACTIONS(10411),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10411),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10411),
    [aux_sym_integer_literal_token2] = ACTIONS(10411),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10411),
    [aux_sym_float_literal_token3] = ACTIONS(10411),
    [aux_sym_float_literal_token4] = ACTIONS(10411),
    [sym_character_literal] = ACTIONS(10411),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10411),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10411),
    [sym__pair_operator] = ACTIONS(10411),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10411),
    [sym__lazy_and_operator] = ACTIONS(10411),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10411),
    [sym__pipe_left_operator] = ACTIONS(10411),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10411),
    [sym__bitshift_operator] = ACTIONS(10411),
    [sym__power_operator] = ACTIONS(10411),
    [sym__tilde_operator] = ACTIONS(10411),
    [sym__type_order_operator] = ACTIONS(10411),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [7055] = {
    [sym_block_comment] = STATE(7055),
    [sym_line_comment] = STATE(7055),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_elseif] = ACTIONS(10327),
    [anon_sym_else] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_as] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7056] = {
    [sym_block_comment] = STATE(7056),
    [sym_line_comment] = STATE(7056),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_elseif] = ACTIONS(10379),
    [anon_sym_else] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_as] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7057] = {
    [sym_block_comment] = STATE(7057),
    [sym_line_comment] = STATE(7057),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10219),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10219),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10219),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10219),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10219),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10219),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10219),
    [anon_sym_QMARK] = ACTIONS(10219),
    [anon_sym_DASH_GT] = ACTIONS(10219),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10219),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10219),
    [aux_sym_integer_literal_token2] = ACTIONS(10219),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10219),
    [aux_sym_float_literal_token3] = ACTIONS(10219),
    [aux_sym_float_literal_token4] = ACTIONS(10219),
    [sym_character_literal] = ACTIONS(10219),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10219),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10219),
    [sym__pair_operator] = ACTIONS(10219),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10219),
    [sym__lazy_and_operator] = ACTIONS(10219),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10219),
    [sym__pipe_left_operator] = ACTIONS(10219),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10219),
    [sym__bitshift_operator] = ACTIONS(10219),
    [sym__power_operator] = ACTIONS(10219),
    [sym__tilde_operator] = ACTIONS(10219),
    [sym__type_order_operator] = ACTIONS(10219),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [7058] = {
    [sym_block_comment] = STATE(7058),
    [sym_line_comment] = STATE(7058),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_else] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_finally] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_as] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7059] = {
    [sym_block_comment] = STATE(7059),
    [sym_line_comment] = STATE(7059),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_elseif] = ACTIONS(10385),
    [anon_sym_else] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_as] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7060] = {
    [sym_block_comment] = STATE(7060),
    [sym_line_comment] = STATE(7060),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(11020),
    [sym__immediate_command_start] = ACTIONS(11022),
  },
  [7061] = {
    [sym_identifier] = STATE(7390),
    [sym_block_comment] = STATE(7061),
    [sym_line_comment] = STATE(7061),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10133),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_as] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10133),
    [anon_sym_RPAREN] = ACTIONS(10133),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10133),
    [anon_sym_RBRACK] = ACTIONS(10133),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10133),
    [anon_sym_LBRACE] = ACTIONS(10133),
    [anon_sym_RBRACE] = ACTIONS(10133),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10133),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10133),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10133),
    [anon_sym_QMARK] = ACTIONS(10133),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10133),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10133),
    [aux_sym_integer_literal_token2] = ACTIONS(10133),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10133),
    [aux_sym_float_literal_token3] = ACTIONS(10133),
    [aux_sym_float_literal_token4] = ACTIONS(10133),
    [sym_character_literal] = ACTIONS(10133),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10133),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10133),
    [sym__pair_operator] = ACTIONS(10133),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10133),
    [sym__lazy_and_operator] = ACTIONS(10133),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10133),
    [sym__pipe_left_operator] = ACTIONS(10133),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10133),
    [sym__bitshift_operator] = ACTIONS(10133),
    [sym__power_operator] = ACTIONS(10133),
    [sym__tilde_operator] = ACTIONS(10133),
    [sym__type_order_operator] = ACTIONS(10133),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7062] = {
    [sym_block_comment] = STATE(7062),
    [sym_line_comment] = STATE(7062),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [7063] = {
    [sym_block_comment] = STATE(7063),
    [sym_line_comment] = STATE(7063),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_else] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_finally] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_as] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7064] = {
    [sym_block_comment] = STATE(7064),
    [sym_line_comment] = STATE(7064),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_else] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_finally] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_as] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7065] = {
    [sym_identifier] = STATE(7441),
    [sym_block_comment] = STATE(7065),
    [sym_line_comment] = STATE(7065),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10137),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_as] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10137),
    [anon_sym_RPAREN] = ACTIONS(10137),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10137),
    [anon_sym_RBRACK] = ACTIONS(10137),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10137),
    [anon_sym_LBRACE] = ACTIONS(10137),
    [anon_sym_RBRACE] = ACTIONS(10137),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10137),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10137),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10137),
    [anon_sym_QMARK] = ACTIONS(10137),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10137),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10137),
    [aux_sym_integer_literal_token2] = ACTIONS(10137),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10137),
    [aux_sym_float_literal_token3] = ACTIONS(10137),
    [aux_sym_float_literal_token4] = ACTIONS(10137),
    [sym_character_literal] = ACTIONS(10137),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10137),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10137),
    [sym__pair_operator] = ACTIONS(10137),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10137),
    [sym__lazy_and_operator] = ACTIONS(10137),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10137),
    [sym__pipe_left_operator] = ACTIONS(10137),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10137),
    [sym__bitshift_operator] = ACTIONS(10137),
    [sym__power_operator] = ACTIONS(10137),
    [sym__tilde_operator] = ACTIONS(10137),
    [sym__type_order_operator] = ACTIONS(10137),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7066] = {
    [sym_identifier] = STATE(7221),
    [sym_block_comment] = STATE(7066),
    [sym_line_comment] = STATE(7066),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10145),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_as] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10145),
    [anon_sym_RPAREN] = ACTIONS(10145),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10145),
    [anon_sym_RBRACK] = ACTIONS(10145),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10145),
    [anon_sym_LBRACE] = ACTIONS(10145),
    [anon_sym_RBRACE] = ACTIONS(10145),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10145),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10145),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10145),
    [anon_sym_QMARK] = ACTIONS(10145),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10145),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10145),
    [aux_sym_integer_literal_token2] = ACTIONS(10145),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10145),
    [aux_sym_float_literal_token3] = ACTIONS(10145),
    [aux_sym_float_literal_token4] = ACTIONS(10145),
    [sym_character_literal] = ACTIONS(10145),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10145),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10145),
    [sym__pair_operator] = ACTIONS(10145),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10145),
    [sym__lazy_and_operator] = ACTIONS(10145),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10145),
    [sym__pipe_left_operator] = ACTIONS(10145),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10145),
    [sym__bitshift_operator] = ACTIONS(10145),
    [sym__power_operator] = ACTIONS(10145),
    [sym__tilde_operator] = ACTIONS(10145),
    [sym__type_order_operator] = ACTIONS(10145),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7067] = {
    [sym_block_comment] = STATE(7067),
    [sym_line_comment] = STATE(7067),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_else] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_finally] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_as] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7068] = {
    [sym_block_comment] = STATE(7068),
    [sym_line_comment] = STATE(7068),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_elseif] = ACTIONS(10389),
    [anon_sym_else] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_as] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7069] = {
    [sym_identifier] = STATE(7228),
    [sym_block_comment] = STATE(7069),
    [sym_line_comment] = STATE(7069),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_as] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10009),
    [anon_sym_RPAREN] = ACTIONS(10009),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10009),
    [anon_sym_RBRACK] = ACTIONS(10009),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10009),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_RBRACE] = ACTIONS(10009),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10009),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10009),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10009),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10009),
    [aux_sym_integer_literal_token2] = ACTIONS(10009),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10009),
    [aux_sym_float_literal_token3] = ACTIONS(10009),
    [aux_sym_float_literal_token4] = ACTIONS(10009),
    [sym_character_literal] = ACTIONS(10009),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10009),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10009),
    [sym__pair_operator] = ACTIONS(10009),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10009),
    [sym__lazy_and_operator] = ACTIONS(10009),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10009),
    [sym__pipe_left_operator] = ACTIONS(10009),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10009),
    [sym__bitshift_operator] = ACTIONS(10009),
    [sym__power_operator] = ACTIONS(10009),
    [sym__tilde_operator] = ACTIONS(10009),
    [sym__type_order_operator] = ACTIONS(10009),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7070] = {
    [sym_block_comment] = STATE(7070),
    [sym_line_comment] = STATE(7070),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10251),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10251),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10251),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10251),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10251),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10251),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10251),
    [anon_sym_QMARK] = ACTIONS(10251),
    [anon_sym_DASH_GT] = ACTIONS(10251),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10251),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10251),
    [aux_sym_integer_literal_token2] = ACTIONS(10251),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10251),
    [aux_sym_float_literal_token3] = ACTIONS(10251),
    [aux_sym_float_literal_token4] = ACTIONS(10251),
    [sym_character_literal] = ACTIONS(10251),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10251),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10251),
    [sym__pair_operator] = ACTIONS(10251),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10251),
    [sym__lazy_and_operator] = ACTIONS(10251),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10251),
    [sym__pipe_left_operator] = ACTIONS(10251),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10251),
    [sym__bitshift_operator] = ACTIONS(10251),
    [sym__power_operator] = ACTIONS(10251),
    [sym__tilde_operator] = ACTIONS(10251),
    [sym__type_order_operator] = ACTIONS(10251),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [7071] = {
    [sym_block_comment] = STATE(7071),
    [sym_line_comment] = STATE(7071),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(10988),
    [sym__immediate_command_start] = ACTIONS(10990),
  },
  [7072] = {
    [sym_block_comment] = STATE(7072),
    [sym_line_comment] = STATE(7072),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_elseif] = ACTIONS(10229),
    [anon_sym_else] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_as] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7073] = {
    [sym_block_comment] = STATE(7073),
    [sym_line_comment] = STATE(7073),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7074] = {
    [sym_identifier] = STATE(7649),
    [sym_block_comment] = STATE(7074),
    [sym_line_comment] = STATE(7074),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_elseif] = ACTIONS(10131),
    [anon_sym_else] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7075] = {
    [sym_block_comment] = STATE(7075),
    [sym_line_comment] = STATE(7075),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_elseif] = ACTIONS(10343),
    [anon_sym_else] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_as] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7076] = {
    [sym_block_comment] = STATE(7076),
    [sym_line_comment] = STATE(7076),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_elseif] = ACTIONS(10417),
    [anon_sym_else] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_as] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7077] = {
    [sym_block_comment] = STATE(7077),
    [sym_line_comment] = STATE(7077),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_elseif] = ACTIONS(10097),
    [anon_sym_else] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_as] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7078] = {
    [sym_block_comment] = STATE(7078),
    [sym_line_comment] = STATE(7078),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_else] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_finally] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_as] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7079] = {
    [sym_block_comment] = STATE(7079),
    [sym_line_comment] = STATE(7079),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_else] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_finally] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_as] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7080] = {
    [sym_block_comment] = STATE(7080),
    [sym_line_comment] = STATE(7080),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [7081] = {
    [sym_identifier] = STATE(7650),
    [sym_block_comment] = STATE(7081),
    [sym_line_comment] = STATE(7081),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_elseif] = ACTIONS(10135),
    [anon_sym_else] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7082] = {
    [sym_block_comment] = STATE(7082),
    [sym_line_comment] = STATE(7082),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_elseif] = ACTIONS(10101),
    [anon_sym_else] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_as] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7083] = {
    [sym_block_comment] = STATE(7083),
    [sym_line_comment] = STATE(7083),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10237),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10237),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10237),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10237),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10237),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10237),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10237),
    [anon_sym_QMARK] = ACTIONS(10237),
    [anon_sym_DASH_GT] = ACTIONS(10237),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10237),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10237),
    [aux_sym_integer_literal_token2] = ACTIONS(10237),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10237),
    [aux_sym_float_literal_token3] = ACTIONS(10237),
    [aux_sym_float_literal_token4] = ACTIONS(10237),
    [sym_character_literal] = ACTIONS(10237),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10237),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10237),
    [sym__pair_operator] = ACTIONS(10237),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10237),
    [sym__lazy_and_operator] = ACTIONS(10237),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10237),
    [sym__pipe_left_operator] = ACTIONS(10237),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10237),
    [sym__bitshift_operator] = ACTIONS(10237),
    [sym__power_operator] = ACTIONS(10237),
    [sym__tilde_operator] = ACTIONS(10237),
    [sym__type_order_operator] = ACTIONS(10237),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [7084] = {
    [sym_block_comment] = STATE(7084),
    [sym_line_comment] = STATE(7084),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_elseif] = ACTIONS(10421),
    [anon_sym_else] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_as] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7085] = {
    [sym_block_comment] = STATE(7085),
    [sym_line_comment] = STATE(7085),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_elseif] = ACTIONS(10429),
    [anon_sym_else] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_as] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7086] = {
    [sym_block_comment] = STATE(7086),
    [sym_line_comment] = STATE(7086),
    [aux_sym__import_list_repeat1] = STATE(7186),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11026),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_elseif] = ACTIONS(11024),
    [anon_sym_else] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(11028),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11030),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7087] = {
    [sym_block_comment] = STATE(7087),
    [sym_line_comment] = STATE(7087),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_else] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_finally] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_as] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7088] = {
    [sym_block_comment] = STATE(7088),
    [sym_line_comment] = STATE(7088),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_elseif] = ACTIONS(10433),
    [anon_sym_else] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_as] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7089] = {
    [sym_block_comment] = STATE(7089),
    [sym_line_comment] = STATE(7089),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_elseif] = ACTIONS(10437),
    [anon_sym_else] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_as] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7090] = {
    [sym_block_comment] = STATE(7090),
    [sym_line_comment] = STATE(7090),
    [ts_builtin_sym_end] = ACTIONS(9995),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_RBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(11016),
    [sym__immediate_command_start] = ACTIONS(11018),
  },
  [7091] = {
    [sym_block_comment] = STATE(7091),
    [sym_line_comment] = STATE(7091),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11034),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7092] = {
    [sym_block_comment] = STATE(7092),
    [sym_line_comment] = STATE(7092),
    [aux_sym__import_list_repeat1] = STATE(7186),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11026),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_elseif] = ACTIONS(11024),
    [anon_sym_else] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(11028),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7093] = {
    [sym_block_comment] = STATE(7093),
    [sym_line_comment] = STATE(7093),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10878),
    [sym__immediate_bracket] = ACTIONS(10878),
    [sym__immediate_brace] = ACTIONS(10878),
  },
  [7094] = {
    [sym_block_comment] = STATE(7094),
    [sym_line_comment] = STATE(7094),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_elseif] = ACTIONS(10277),
    [anon_sym_else] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_as] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7095] = {
    [sym_block_comment] = STATE(7095),
    [sym_line_comment] = STATE(7095),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_catch] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [7096] = {
    [sym_block_comment] = STATE(7096),
    [sym_line_comment] = STATE(7096),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_else] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_finally] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_as] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7097] = {
    [sym_block_comment] = STATE(7097),
    [sym_line_comment] = STATE(7097),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_else] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_finally] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_as] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7098] = {
    [sym_block_comment] = STATE(7098),
    [sym_line_comment] = STATE(7098),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_elseif] = ACTIONS(10139),
    [anon_sym_else] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_as] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7099] = {
    [sym_block_comment] = STATE(7099),
    [sym_line_comment] = STATE(7099),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_elseif] = ACTIONS(10291),
    [anon_sym_else] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_as] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7100] = {
    [sym_block_comment] = STATE(7100),
    [sym_line_comment] = STATE(7100),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_else] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_as] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7101] = {
    [sym_block_comment] = STATE(7101),
    [sym_line_comment] = STATE(7101),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_else] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_as] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7102] = {
    [sym_block_comment] = STATE(7102),
    [sym_line_comment] = STATE(7102),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9989),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9989),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9989),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9989),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9989),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9989),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9989),
    [anon_sym_QMARK] = ACTIONS(9989),
    [anon_sym_DASH_GT] = ACTIONS(9989),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9989),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9989),
    [aux_sym_integer_literal_token2] = ACTIONS(9989),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9989),
    [aux_sym_float_literal_token3] = ACTIONS(9989),
    [aux_sym_float_literal_token4] = ACTIONS(9989),
    [sym_character_literal] = ACTIONS(9989),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9989),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9989),
    [sym__pair_operator] = ACTIONS(9989),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9989),
    [sym__lazy_and_operator] = ACTIONS(9989),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9989),
    [sym__pipe_left_operator] = ACTIONS(9989),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9989),
    [sym__bitshift_operator] = ACTIONS(9989),
    [sym__power_operator] = ACTIONS(9989),
    [sym__tilde_operator] = ACTIONS(9989),
    [sym__type_order_operator] = ACTIONS(9989),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [7103] = {
    [sym_block_comment] = STATE(7103),
    [sym_line_comment] = STATE(7103),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(11036),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [7104] = {
    [sym_block_comment] = STATE(7104),
    [sym_line_comment] = STATE(7104),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_else] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_finally] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_as] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7105] = {
    [sym_block_comment] = STATE(7105),
    [sym_line_comment] = STATE(7105),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_elseif] = ACTIONS(10307),
    [anon_sym_else] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_as] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7106] = {
    [sym_block_comment] = STATE(7106),
    [sym_line_comment] = STATE(7106),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_else] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_finally] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_as] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7107] = {
    [sym_block_comment] = STATE(7107),
    [sym_line_comment] = STATE(7107),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_elseif] = ACTIONS(10347),
    [anon_sym_else] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_as] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7108] = {
    [sym_block_comment] = STATE(7108),
    [sym_line_comment] = STATE(7108),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_elseif] = ACTIONS(10351),
    [anon_sym_else] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_as] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7109] = {
    [sym_block_comment] = STATE(7109),
    [sym_line_comment] = STATE(7109),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_elseif] = ACTIONS(10355),
    [anon_sym_else] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_as] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7110] = {
    [sym_block_comment] = STATE(7110),
    [sym_line_comment] = STATE(7110),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_else] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_finally] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_as] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7111] = {
    [sym_identifier] = STATE(7371),
    [sym_block_comment] = STATE(7111),
    [sym_line_comment] = STATE(7111),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_catch] = ACTIONS(10131),
    [anon_sym_finally] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_as] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7112] = {
    [sym_block_comment] = STATE(7112),
    [sym_line_comment] = STATE(7112),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_else] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_finally] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_as] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7113] = {
    [sym_block_comment] = STATE(7113),
    [sym_line_comment] = STATE(7113),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_else] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_finally] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_as] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7114] = {
    [sym_identifier] = STATE(7429),
    [sym_block_comment] = STATE(7114),
    [sym_line_comment] = STATE(7114),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_catch] = ACTIONS(10135),
    [anon_sym_finally] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_as] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7115] = {
    [sym_block_comment] = STATE(7115),
    [sym_line_comment] = STATE(7115),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10279),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10279),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10279),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10279),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10279),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10279),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10279),
    [anon_sym_QMARK] = ACTIONS(10279),
    [anon_sym_DASH_GT] = ACTIONS(10279),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10279),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10279),
    [aux_sym_integer_literal_token2] = ACTIONS(10279),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10279),
    [aux_sym_float_literal_token3] = ACTIONS(10279),
    [aux_sym_float_literal_token4] = ACTIONS(10279),
    [sym_character_literal] = ACTIONS(10279),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10279),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10279),
    [sym__pair_operator] = ACTIONS(10279),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10279),
    [sym__lazy_and_operator] = ACTIONS(10279),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10279),
    [sym__pipe_left_operator] = ACTIONS(10279),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10279),
    [sym__bitshift_operator] = ACTIONS(10279),
    [sym__power_operator] = ACTIONS(10279),
    [sym__tilde_operator] = ACTIONS(10279),
    [sym__type_order_operator] = ACTIONS(10279),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [7116] = {
    [sym_block_comment] = STATE(7116),
    [sym_line_comment] = STATE(7116),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_elseif] = ACTIONS(10403),
    [anon_sym_else] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_as] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7117] = {
    [sym_block_comment] = STATE(7117),
    [sym_line_comment] = STATE(7117),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_elseif] = ACTIONS(11038),
    [anon_sym_else] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOT] = ACTIONS(10984),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7118] = {
    [sym_identifier] = STATE(7669),
    [sym_block_comment] = STATE(7118),
    [sym_line_comment] = STATE(7118),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_elseif] = ACTIONS(10143),
    [anon_sym_else] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7119] = {
    [sym_block_comment] = STATE(7119),
    [sym_line_comment] = STATE(7119),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_else] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_as] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7120] = {
    [sym_block_comment] = STATE(7120),
    [sym_line_comment] = STATE(7120),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_elseif] = ACTIONS(10311),
    [anon_sym_else] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_as] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7121] = {
    [sym_block_comment] = STATE(7121),
    [sym_line_comment] = STATE(7121),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_elseif] = ACTIONS(10876),
    [anon_sym_else] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_as] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7122] = {
    [sym_block_comment] = STATE(7122),
    [sym_line_comment] = STATE(7122),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_else] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_finally] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_as] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7123] = {
    [sym_identifier] = STATE(7671),
    [sym_block_comment] = STATE(7123),
    [sym_line_comment] = STATE(7123),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_elseif] = ACTIONS(10007),
    [anon_sym_else] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7124] = {
    [sym_block_comment] = STATE(7124),
    [sym_line_comment] = STATE(7124),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10195),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10195),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10195),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10195),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10195),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10195),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10195),
    [anon_sym_QMARK] = ACTIONS(10195),
    [anon_sym_DASH_GT] = ACTIONS(10195),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10195),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10195),
    [aux_sym_integer_literal_token2] = ACTIONS(10195),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10195),
    [aux_sym_float_literal_token3] = ACTIONS(10195),
    [aux_sym_float_literal_token4] = ACTIONS(10195),
    [sym_character_literal] = ACTIONS(10195),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10195),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10195),
    [sym__pair_operator] = ACTIONS(10195),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10195),
    [sym__lazy_and_operator] = ACTIONS(10195),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10195),
    [sym__pipe_left_operator] = ACTIONS(10195),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10195),
    [sym__bitshift_operator] = ACTIONS(10195),
    [sym__power_operator] = ACTIONS(10195),
    [sym__tilde_operator] = ACTIONS(10195),
    [sym__type_order_operator] = ACTIONS(10195),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [7125] = {
    [sym_block_comment] = STATE(7125),
    [sym_line_comment] = STATE(7125),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_else] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_finally] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_as] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7126] = {
    [sym_identifier] = STATE(7217),
    [sym_block_comment] = STATE(7126),
    [sym_line_comment] = STATE(7126),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_catch] = ACTIONS(10143),
    [anon_sym_finally] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_as] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7127] = {
    [sym_block_comment] = STATE(7127),
    [sym_line_comment] = STATE(7127),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(11012),
    [sym__immediate_command_start] = ACTIONS(11014),
  },
  [7128] = {
    [sym_block_comment] = STATE(7128),
    [sym_line_comment] = STATE(7128),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_else] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_finally] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_as] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7129] = {
    [sym_identifier] = STATE(7223),
    [sym_block_comment] = STATE(7129),
    [sym_line_comment] = STATE(7129),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_catch] = ACTIONS(10007),
    [anon_sym_finally] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_as] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7130] = {
    [sym_block_comment] = STATE(7130),
    [sym_line_comment] = STATE(7130),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_else] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_finally] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_as] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7131] = {
    [sym_block_comment] = STATE(7131),
    [sym_line_comment] = STATE(7131),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_elseif] = ACTIONS(10399),
    [anon_sym_else] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_as] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7132] = {
    [sym_block_comment] = STATE(7132),
    [sym_line_comment] = STATE(7132),
    [ts_builtin_sym_end] = ACTIONS(10870),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_RBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [7133] = {
    [sym_block_comment] = STATE(7133),
    [sym_line_comment] = STATE(7133),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_elseif] = ACTIONS(10263),
    [anon_sym_else] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_as] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7134] = {
    [sym_block_comment] = STATE(7134),
    [sym_line_comment] = STATE(7134),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_elseif] = ACTIONS(10339),
    [anon_sym_else] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_as] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7135] = {
    [sym_block_comment] = STATE(7135),
    [sym_line_comment] = STATE(7135),
    [ts_builtin_sym_end] = ACTIONS(9909),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_RBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [7136] = {
    [sym_block_comment] = STATE(7136),
    [sym_line_comment] = STATE(7136),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_elseif] = ACTIONS(10371),
    [anon_sym_else] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_as] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7137] = {
    [sym_block_comment] = STATE(7137),
    [sym_line_comment] = STATE(7137),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_elseif] = ACTIONS(10409),
    [anon_sym_else] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_as] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7138] = {
    [sym_block_comment] = STATE(7138),
    [sym_line_comment] = STATE(7138),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_COMMA] = ACTIONS(10061),
    [anon_sym_EQ] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10061),
    [anon_sym_COLON] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10061),
    [anon_sym_in] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10061),
    [anon_sym_SQUOTE] = ACTIONS(10059),
    [anon_sym_DOT] = ACTIONS(10059),
    [anon_sym_do] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10061),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10061),
    [anon_sym_isa] = ACTIONS(10059),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10061),
    [anon_sym_QMARK] = ACTIONS(10061),
    [anon_sym_where] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10061),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10061),
    [aux_sym_integer_literal_token2] = ACTIONS(10061),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10061),
    [aux_sym_float_literal_token3] = ACTIONS(10061),
    [aux_sym_float_literal_token4] = ACTIONS(10061),
    [sym_character_literal] = ACTIONS(10061),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10061),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10061),
    [sym__pair_operator] = ACTIONS(10061),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__lazy_or_operator] = ACTIONS(10061),
    [sym__lazy_and_operator] = ACTIONS(10061),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10061),
    [sym__pipe_left_operator] = ACTIONS(10061),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10061),
    [sym__bitshift_operator] = ACTIONS(10061),
    [sym__power_operator] = ACTIONS(10061),
    [sym__tilde_operator] = ACTIONS(10061),
    [sym__type_order_operator] = ACTIONS(10061),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10061),
    [sym__immediate_bracket] = ACTIONS(10061),
    [sym__immediate_brace] = ACTIONS(10061),
  },
  [7139] = {
    [sym_block_comment] = STATE(7139),
    [sym_line_comment] = STATE(7139),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_COMMA] = ACTIONS(10125),
    [anon_sym_EQ] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10125),
    [anon_sym_COLON] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10125),
    [anon_sym_in] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10125),
    [anon_sym_SQUOTE] = ACTIONS(10123),
    [anon_sym_DOT] = ACTIONS(10123),
    [anon_sym_do] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10125),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10125),
    [anon_sym_isa] = ACTIONS(10123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10125),
    [anon_sym_QMARK] = ACTIONS(10125),
    [anon_sym_where] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10125),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10125),
    [aux_sym_integer_literal_token2] = ACTIONS(10125),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10125),
    [aux_sym_float_literal_token3] = ACTIONS(10125),
    [aux_sym_float_literal_token4] = ACTIONS(10125),
    [sym_character_literal] = ACTIONS(10125),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10125),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10125),
    [sym__pair_operator] = ACTIONS(10125),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__lazy_or_operator] = ACTIONS(10125),
    [sym__lazy_and_operator] = ACTIONS(10125),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10125),
    [sym__pipe_left_operator] = ACTIONS(10125),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10125),
    [sym__bitshift_operator] = ACTIONS(10125),
    [sym__power_operator] = ACTIONS(10125),
    [sym__tilde_operator] = ACTIONS(10125),
    [sym__type_order_operator] = ACTIONS(10125),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10125),
    [sym__immediate_bracket] = ACTIONS(10125),
    [sym__immediate_brace] = ACTIONS(10125),
  },
  [7140] = {
    [sym_block_comment] = STATE(7140),
    [sym_line_comment] = STATE(7140),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10241),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10241),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10241),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10241),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10241),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10241),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10241),
    [anon_sym_QMARK] = ACTIONS(10241),
    [anon_sym_DASH_GT] = ACTIONS(10241),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10241),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10241),
    [aux_sym_integer_literal_token2] = ACTIONS(10241),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10241),
    [aux_sym_float_literal_token3] = ACTIONS(10241),
    [aux_sym_float_literal_token4] = ACTIONS(10241),
    [sym_character_literal] = ACTIONS(10241),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10241),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10241),
    [sym__pair_operator] = ACTIONS(10241),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10241),
    [sym__lazy_and_operator] = ACTIONS(10241),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10241),
    [sym__pipe_left_operator] = ACTIONS(10241),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10241),
    [sym__bitshift_operator] = ACTIONS(10241),
    [sym__power_operator] = ACTIONS(10241),
    [sym__tilde_operator] = ACTIONS(10241),
    [sym__type_order_operator] = ACTIONS(10241),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [7141] = {
    [sym_block_comment] = STATE(7141),
    [sym_line_comment] = STATE(7141),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9937),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9937),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9937),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9937),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9937),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9937),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9937),
    [anon_sym_QMARK] = ACTIONS(9937),
    [anon_sym_DASH_GT] = ACTIONS(9937),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9937),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9937),
    [aux_sym_integer_literal_token2] = ACTIONS(9937),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9937),
    [aux_sym_float_literal_token3] = ACTIONS(9937),
    [aux_sym_float_literal_token4] = ACTIONS(9937),
    [sym_character_literal] = ACTIONS(9937),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9937),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9937),
    [sym__pair_operator] = ACTIONS(9937),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9937),
    [sym__lazy_and_operator] = ACTIONS(9937),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9937),
    [sym__pipe_left_operator] = ACTIONS(9937),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9937),
    [sym__bitshift_operator] = ACTIONS(9937),
    [sym__power_operator] = ACTIONS(9937),
    [sym__tilde_operator] = ACTIONS(9937),
    [sym__type_order_operator] = ACTIONS(9937),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [7142] = {
    [sym_block_comment] = STATE(7142),
    [sym_line_comment] = STATE(7142),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10247),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10247),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10247),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10247),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10247),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10247),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10247),
    [anon_sym_QMARK] = ACTIONS(10247),
    [anon_sym_DASH_GT] = ACTIONS(10247),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10247),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10247),
    [aux_sym_integer_literal_token2] = ACTIONS(10247),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10247),
    [aux_sym_float_literal_token3] = ACTIONS(10247),
    [aux_sym_float_literal_token4] = ACTIONS(10247),
    [sym_character_literal] = ACTIONS(10247),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10247),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10247),
    [sym__pair_operator] = ACTIONS(10247),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10247),
    [sym__lazy_and_operator] = ACTIONS(10247),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10247),
    [sym__pipe_left_operator] = ACTIONS(10247),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10247),
    [sym__bitshift_operator] = ACTIONS(10247),
    [sym__power_operator] = ACTIONS(10247),
    [sym__tilde_operator] = ACTIONS(10247),
    [sym__type_order_operator] = ACTIONS(10247),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [7143] = {
    [sym_block_comment] = STATE(7143),
    [sym_line_comment] = STATE(7143),
    [ts_builtin_sym_end] = ACTIONS(10019),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_RBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11042),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7144] = {
    [sym_block_comment] = STATE(7144),
    [sym_line_comment] = STATE(7144),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_elseif] = ACTIONS(10217),
    [anon_sym_else] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_as] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7145] = {
    [sym_block_comment] = STATE(7145),
    [sym_line_comment] = STATE(7145),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_RPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_RBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10019),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_RBRACE] = ACTIONS(10019),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11044),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7146] = {
    [sym_block_comment] = STATE(7146),
    [sym_line_comment] = STATE(7146),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10215),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10215),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10215),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10215),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10215),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10215),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10215),
    [anon_sym_QMARK] = ACTIONS(10215),
    [anon_sym_DASH_GT] = ACTIONS(10215),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10215),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10215),
    [aux_sym_integer_literal_token2] = ACTIONS(10215),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10215),
    [aux_sym_float_literal_token3] = ACTIONS(10215),
    [aux_sym_float_literal_token4] = ACTIONS(10215),
    [sym_character_literal] = ACTIONS(10215),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10215),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10215),
    [sym__pair_operator] = ACTIONS(10215),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10215),
    [sym__lazy_and_operator] = ACTIONS(10215),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10215),
    [sym__pipe_left_operator] = ACTIONS(10215),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10215),
    [sym__bitshift_operator] = ACTIONS(10215),
    [sym__power_operator] = ACTIONS(10215),
    [sym__tilde_operator] = ACTIONS(10215),
    [sym__type_order_operator] = ACTIONS(10215),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [7147] = {
    [sym_block_comment] = STATE(7147),
    [sym_line_comment] = STATE(7147),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11046),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [7148] = {
    [sym_block_comment] = STATE(7148),
    [sym_line_comment] = STATE(7148),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_elseif] = ACTIONS(10866),
    [anon_sym_else] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(10984),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7149] = {
    [sym_block_comment] = STATE(7149),
    [sym_line_comment] = STATE(7149),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [7150] = {
    [sym_block_comment] = STATE(7150),
    [sym_line_comment] = STATE(7150),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_as] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7151] = {
    [sym_block_comment] = STATE(7151),
    [sym_line_comment] = STATE(7151),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7152] = {
    [sym_block_comment] = STATE(7152),
    [sym_line_comment] = STATE(7152),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10173),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10173),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10173),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10173),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10173),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10173),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10173),
    [anon_sym_QMARK] = ACTIONS(10173),
    [anon_sym_DASH_GT] = ACTIONS(10173),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10173),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10173),
    [aux_sym_integer_literal_token2] = ACTIONS(10173),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10173),
    [aux_sym_float_literal_token3] = ACTIONS(10173),
    [aux_sym_float_literal_token4] = ACTIONS(10173),
    [sym_character_literal] = ACTIONS(10173),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10173),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10173),
    [sym__pair_operator] = ACTIONS(10173),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10173),
    [sym__lazy_and_operator] = ACTIONS(10173),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10173),
    [sym__pipe_left_operator] = ACTIONS(10173),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10173),
    [sym__bitshift_operator] = ACTIONS(10173),
    [sym__power_operator] = ACTIONS(10173),
    [sym__tilde_operator] = ACTIONS(10173),
    [sym__type_order_operator] = ACTIONS(10173),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [7153] = {
    [sym_block_comment] = STATE(7153),
    [sym_line_comment] = STATE(7153),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_RPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_RBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9995),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_RBRACE] = ACTIONS(9995),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9995),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9995),
    [sym__bitshift_operator] = ACTIONS(9995),
    [sym__power_operator] = ACTIONS(9995),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(11006),
    [sym__immediate_command_start] = ACTIONS(11008),
  },
  [7154] = {
    [sym_block_comment] = STATE(7154),
    [sym_line_comment] = STATE(7154),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10177),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10177),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10177),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10177),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10177),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10177),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10177),
    [anon_sym_QMARK] = ACTIONS(10177),
    [anon_sym_DASH_GT] = ACTIONS(10177),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10177),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10177),
    [aux_sym_integer_literal_token2] = ACTIONS(10177),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10177),
    [aux_sym_float_literal_token3] = ACTIONS(10177),
    [aux_sym_float_literal_token4] = ACTIONS(10177),
    [sym_character_literal] = ACTIONS(10177),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10177),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10177),
    [sym__pair_operator] = ACTIONS(10177),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10177),
    [sym__lazy_and_operator] = ACTIONS(10177),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10177),
    [sym__pipe_left_operator] = ACTIONS(10177),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10177),
    [sym__bitshift_operator] = ACTIONS(10177),
    [sym__power_operator] = ACTIONS(10177),
    [sym__tilde_operator] = ACTIONS(10177),
    [sym__type_order_operator] = ACTIONS(10177),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [7155] = {
    [sym_block_comment] = STATE(7155),
    [sym_line_comment] = STATE(7155),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_else] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_finally] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_as] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7156] = {
    [sym_block_comment] = STATE(7156),
    [sym_line_comment] = STATE(7156),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(189),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_DASH_GT] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(189),
    [aux_sym_float_literal_token3] = ACTIONS(189),
    [aux_sym_float_literal_token4] = ACTIONS(189),
    [sym_character_literal] = ACTIONS(189),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(189),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(189),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(189),
    [sym__pipe_left_operator] = ACTIONS(189),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(189),
    [sym__bitshift_operator] = ACTIONS(189),
    [sym__power_operator] = ACTIONS(189),
    [sym__tilde_operator] = ACTIONS(189),
    [sym__type_order_operator] = ACTIONS(189),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [7157] = {
    [sym_block_comment] = STATE(7157),
    [sym_line_comment] = STATE(7157),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9995),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_DASH_GT] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9995),
    [sym__bitshift_operator] = ACTIONS(9995),
    [sym__power_operator] = ACTIONS(9995),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [7158] = {
    [sym_block_comment] = STATE(7158),
    [sym_line_comment] = STATE(7158),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_COMMA] = ACTIONS(10161),
    [anon_sym_EQ] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10161),
    [anon_sym_COLON] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10161),
    [anon_sym_in] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10161),
    [anon_sym_SQUOTE] = ACTIONS(10159),
    [anon_sym_DOT] = ACTIONS(10159),
    [anon_sym_do] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10161),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10161),
    [anon_sym_isa] = ACTIONS(10159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10161),
    [anon_sym_QMARK] = ACTIONS(10161),
    [anon_sym_where] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10161),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10161),
    [aux_sym_integer_literal_token2] = ACTIONS(10161),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10161),
    [aux_sym_float_literal_token3] = ACTIONS(10161),
    [aux_sym_float_literal_token4] = ACTIONS(10161),
    [sym_character_literal] = ACTIONS(10161),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10161),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10161),
    [sym__pair_operator] = ACTIONS(10161),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__lazy_or_operator] = ACTIONS(10161),
    [sym__lazy_and_operator] = ACTIONS(10161),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10161),
    [sym__pipe_left_operator] = ACTIONS(10161),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10161),
    [sym__bitshift_operator] = ACTIONS(10161),
    [sym__power_operator] = ACTIONS(10161),
    [sym__tilde_operator] = ACTIONS(10161),
    [sym__type_order_operator] = ACTIONS(10161),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10161),
    [sym__immediate_bracket] = ACTIONS(10161),
    [sym__immediate_brace] = ACTIONS(10161),
  },
  [7159] = {
    [sym_block_comment] = STATE(7159),
    [sym_line_comment] = STATE(7159),
    [sym__word_identifier] = ACTIONS(11048),
    [anon_sym_COMMA] = ACTIONS(11048),
    [anon_sym_EQ] = ACTIONS(11048),
    [anon_sym_begin] = ACTIONS(11048),
    [anon_sym_module] = ACTIONS(11048),
    [anon_sym_baremodule] = ACTIONS(11048),
    [anon_sym_end] = ACTIONS(11048),
    [anon_sym_abstract] = ACTIONS(11048),
    [anon_sym_primitive] = ACTIONS(11048),
    [anon_sym_mutable] = ACTIONS(11048),
    [anon_sym_struct] = ACTIONS(11048),
    [anon_sym_function] = ACTIONS(11048),
    [anon_sym_macro] = ACTIONS(11048),
    [anon_sym_quote] = ACTIONS(11048),
    [anon_sym_let] = ACTIONS(11048),
    [anon_sym_if] = ACTIONS(11048),
    [anon_sym_elseif] = ACTIONS(11048),
    [anon_sym_else] = ACTIONS(11048),
    [anon_sym_try] = ACTIONS(11048),
    [anon_sym_for] = ACTIONS(11048),
    [anon_sym_while] = ACTIONS(11048),
    [sym_break_statement] = ACTIONS(11048),
    [sym_continue_statement] = ACTIONS(11048),
    [anon_sym_return] = ACTIONS(11048),
    [anon_sym_const] = ACTIONS(11048),
    [anon_sym_global] = ACTIONS(11048),
    [anon_sym_local] = ACTIONS(11048),
    [anon_sym_as] = ACTIONS(11048),
    [anon_sym_LPAREN] = ACTIONS(11048),
    [anon_sym_COLON] = ACTIONS(11048),
    [anon_sym_export] = ACTIONS(11048),
    [anon_sym_public] = ACTIONS(11048),
    [anon_sym_import] = ACTIONS(11048),
    [anon_sym_using] = ACTIONS(11048),
    [anon_sym_LBRACK] = ACTIONS(11048),
    [anon_sym_in] = ACTIONS(11048),
    [anon_sym_SEMI] = ACTIONS(11048),
    [anon_sym_LBRACE] = ACTIONS(11048),
    [anon_sym_DOT] = ACTIONS(10984),
    [anon_sym_DOLLAR] = ACTIONS(11048),
    [anon_sym_COLON2] = ACTIONS(11048),
    [anon_sym_COLON_COLON] = ACTIONS(11048),
    [anon_sym_isa] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11048),
    [anon_sym_QMARK] = ACTIONS(11048),
    [anon_sym_where] = ACTIONS(11048),
    [anon_sym_AT] = ACTIONS(11048),
    [anon_sym_true] = ACTIONS(11048),
    [anon_sym_false] = ACTIONS(11048),
    [aux_sym_integer_literal_token1] = ACTIONS(11048),
    [aux_sym_integer_literal_token2] = ACTIONS(11048),
    [aux_sym_integer_literal_token3] = ACTIONS(11048),
    [aux_sym_integer_literal_token4] = ACTIONS(11048),
    [aux_sym_float_literal_token1] = ACTIONS(11048),
    [aux_sym_float_literal_token3] = ACTIONS(11048),
    [aux_sym_float_literal_token4] = ACTIONS(11048),
    [sym_character_literal] = ACTIONS(11048),
    [anon_sym_DQUOTE] = ACTIONS(11048),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11048),
    [anon_sym_BQUOTE] = ACTIONS(11048),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(11048),
    [sym__arrow_operator] = ACTIONS(11048),
    [sym__lazy_or_operator] = ACTIONS(11048),
    [sym__lazy_and_operator] = ACTIONS(11048),
    [sym__comparison_operator] = ACTIONS(11048),
    [sym__pipe_right_operator] = ACTIONS(11048),
    [sym__pipe_left_operator] = ACTIONS(11048),
    [sym__ellipsis_operator] = ACTIONS(11048),
    [sym__plus_operator] = ACTIONS(11048),
    [sym__times_operator] = ACTIONS(11048),
    [sym__rational_operator] = ACTIONS(11048),
    [sym__bitshift_operator] = ACTIONS(11048),
    [sym__power_operator] = ACTIONS(11048),
    [sym__tilde_operator] = ACTIONS(11048),
    [sym__type_order_operator] = ACTIONS(11048),
    [sym__unary_operator] = ACTIONS(11048),
    [sym__unary_plus_operator] = ACTIONS(11048),
    [aux_sym__terminator_token1] = ACTIONS(11050),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7160] = {
    [sym_identifier] = STATE(7346),
    [sym_block_comment] = STATE(7160),
    [sym_line_comment] = STATE(7160),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_else] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_finally] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7161] = {
    [sym_block_comment] = STATE(7161),
    [sym_line_comment] = STATE(7161),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_elseif] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11052),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7162] = {
    [sym_identifier] = STATE(7353),
    [sym_block_comment] = STATE(7162),
    [sym_line_comment] = STATE(7162),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_else] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_finally] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7163] = {
    [sym_block_comment] = STATE(7163),
    [sym_line_comment] = STATE(7163),
    [aux_sym__import_list_repeat1] = STATE(7682),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11054),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_else] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_finally] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(11056),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11058),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7164] = {
    [sym_block_comment] = STATE(7164),
    [sym_line_comment] = STATE(7164),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10982),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_end] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_else] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_finally] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10982),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10982),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_SEMI] = ACTIONS(10982),
    [anon_sym_LBRACE] = ACTIONS(10982),
    [anon_sym_DOT] = ACTIONS(11010),
    [anon_sym_DOLLAR] = ACTIONS(10982),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10982),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10982),
    [anon_sym_QMARK] = ACTIONS(10982),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10982),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10982),
    [aux_sym_integer_literal_token2] = ACTIONS(10982),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10982),
    [aux_sym_float_literal_token3] = ACTIONS(10982),
    [aux_sym_float_literal_token4] = ACTIONS(10982),
    [sym_character_literal] = ACTIONS(10982),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10982),
    [sym__pair_operator] = ACTIONS(10982),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10982),
    [sym__lazy_and_operator] = ACTIONS(10982),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10982),
    [sym__pipe_left_operator] = ACTIONS(10982),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10982),
    [sym__bitshift_operator] = ACTIONS(10982),
    [sym__power_operator] = ACTIONS(10982),
    [sym__tilde_operator] = ACTIONS(10982),
    [sym__type_order_operator] = ACTIONS(10982),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym__terminator_token1] = ACTIONS(10986),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7165] = {
    [sym_block_comment] = STATE(7165),
    [sym_line_comment] = STATE(7165),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_else] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_finally] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOT] = ACTIONS(11010),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7166] = {
    [sym_identifier] = STATE(7394),
    [sym_block_comment] = STATE(7166),
    [sym_line_comment] = STATE(7166),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_else] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_finally] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7167] = {
    [sym_identifier] = STATE(7396),
    [sym_block_comment] = STATE(7167),
    [sym_line_comment] = STATE(7167),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_else] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_finally] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7168] = {
    [sym_block_comment] = STATE(7168),
    [sym_line_comment] = STATE(7168),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_else] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_finally] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_as] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7169] = {
    [sym_block_comment] = STATE(7169),
    [sym_line_comment] = STATE(7169),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_COMMA] = ACTIONS(10005),
    [anon_sym_EQ] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10005),
    [anon_sym_COLON] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10005),
    [anon_sym_in] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10005),
    [anon_sym_SQUOTE] = ACTIONS(10003),
    [anon_sym_DOT] = ACTIONS(10003),
    [anon_sym_do] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10005),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10005),
    [anon_sym_isa] = ACTIONS(10003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10005),
    [anon_sym_QMARK] = ACTIONS(10005),
    [anon_sym_where] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10005),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10005),
    [aux_sym_integer_literal_token2] = ACTIONS(10005),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10005),
    [aux_sym_float_literal_token3] = ACTIONS(10005),
    [aux_sym_float_literal_token4] = ACTIONS(10005),
    [sym_character_literal] = ACTIONS(10005),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10005),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10005),
    [sym__pair_operator] = ACTIONS(10005),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__lazy_or_operator] = ACTIONS(10005),
    [sym__lazy_and_operator] = ACTIONS(10005),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10005),
    [sym__pipe_left_operator] = ACTIONS(10005),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10005),
    [sym__bitshift_operator] = ACTIONS(10005),
    [sym__power_operator] = ACTIONS(10005),
    [sym__tilde_operator] = ACTIONS(10005),
    [sym__type_order_operator] = ACTIONS(10005),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10005),
    [sym__immediate_bracket] = ACTIONS(10005),
    [sym__immediate_brace] = ACTIONS(10005),
  },
  [7170] = {
    [sym_block_comment] = STATE(7170),
    [sym_line_comment] = STATE(7170),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_elseif] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7171] = {
    [sym_block_comment] = STATE(7171),
    [sym_line_comment] = STATE(7171),
    [sym__word_identifier] = ACTIONS(11048),
    [anon_sym_COMMA] = ACTIONS(11048),
    [anon_sym_EQ] = ACTIONS(11048),
    [anon_sym_begin] = ACTIONS(11048),
    [anon_sym_module] = ACTIONS(11048),
    [anon_sym_baremodule] = ACTIONS(11048),
    [anon_sym_end] = ACTIONS(11048),
    [anon_sym_abstract] = ACTIONS(11048),
    [anon_sym_primitive] = ACTIONS(11048),
    [anon_sym_mutable] = ACTIONS(11048),
    [anon_sym_struct] = ACTIONS(11048),
    [anon_sym_function] = ACTIONS(11048),
    [anon_sym_macro] = ACTIONS(11048),
    [anon_sym_quote] = ACTIONS(11048),
    [anon_sym_let] = ACTIONS(11048),
    [anon_sym_if] = ACTIONS(11048),
    [anon_sym_else] = ACTIONS(11048),
    [anon_sym_try] = ACTIONS(11048),
    [anon_sym_finally] = ACTIONS(11048),
    [anon_sym_for] = ACTIONS(11048),
    [anon_sym_while] = ACTIONS(11048),
    [sym_break_statement] = ACTIONS(11048),
    [sym_continue_statement] = ACTIONS(11048),
    [anon_sym_return] = ACTIONS(11048),
    [anon_sym_const] = ACTIONS(11048),
    [anon_sym_global] = ACTIONS(11048),
    [anon_sym_local] = ACTIONS(11048),
    [anon_sym_as] = ACTIONS(11048),
    [anon_sym_LPAREN] = ACTIONS(11048),
    [anon_sym_COLON] = ACTIONS(11048),
    [anon_sym_export] = ACTIONS(11048),
    [anon_sym_public] = ACTIONS(11048),
    [anon_sym_import] = ACTIONS(11048),
    [anon_sym_using] = ACTIONS(11048),
    [anon_sym_LBRACK] = ACTIONS(11048),
    [anon_sym_in] = ACTIONS(11048),
    [anon_sym_SEMI] = ACTIONS(11048),
    [anon_sym_LBRACE] = ACTIONS(11048),
    [anon_sym_DOT] = ACTIONS(11010),
    [anon_sym_DOLLAR] = ACTIONS(11048),
    [anon_sym_COLON2] = ACTIONS(11048),
    [anon_sym_COLON_COLON] = ACTIONS(11048),
    [anon_sym_isa] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11048),
    [anon_sym_QMARK] = ACTIONS(11048),
    [anon_sym_where] = ACTIONS(11048),
    [anon_sym_AT] = ACTIONS(11048),
    [anon_sym_true] = ACTIONS(11048),
    [anon_sym_false] = ACTIONS(11048),
    [aux_sym_integer_literal_token1] = ACTIONS(11048),
    [aux_sym_integer_literal_token2] = ACTIONS(11048),
    [aux_sym_integer_literal_token3] = ACTIONS(11048),
    [aux_sym_integer_literal_token4] = ACTIONS(11048),
    [aux_sym_float_literal_token1] = ACTIONS(11048),
    [aux_sym_float_literal_token3] = ACTIONS(11048),
    [aux_sym_float_literal_token4] = ACTIONS(11048),
    [sym_character_literal] = ACTIONS(11048),
    [anon_sym_DQUOTE] = ACTIONS(11048),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11048),
    [anon_sym_BQUOTE] = ACTIONS(11048),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(11048),
    [sym__arrow_operator] = ACTIONS(11048),
    [sym__lazy_or_operator] = ACTIONS(11048),
    [sym__lazy_and_operator] = ACTIONS(11048),
    [sym__comparison_operator] = ACTIONS(11048),
    [sym__pipe_right_operator] = ACTIONS(11048),
    [sym__pipe_left_operator] = ACTIONS(11048),
    [sym__ellipsis_operator] = ACTIONS(11048),
    [sym__plus_operator] = ACTIONS(11048),
    [sym__times_operator] = ACTIONS(11048),
    [sym__rational_operator] = ACTIONS(11048),
    [sym__bitshift_operator] = ACTIONS(11048),
    [sym__power_operator] = ACTIONS(11048),
    [sym__tilde_operator] = ACTIONS(11048),
    [sym__type_order_operator] = ACTIONS(11048),
    [sym__unary_operator] = ACTIONS(11048),
    [sym__unary_plus_operator] = ACTIONS(11048),
    [aux_sym__terminator_token1] = ACTIONS(11050),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7172] = {
    [sym_block_comment] = STATE(7172),
    [sym_line_comment] = STATE(7172),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(11060),
    [sym__immediate_command_start] = ACTIONS(11062),
  },
  [7173] = {
    [sym_block_comment] = STATE(7173),
    [sym_line_comment] = STATE(7173),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11064),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7174] = {
    [sym_block_comment] = STATE(7174),
    [sym_line_comment] = STATE(7174),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_COMMA] = ACTIONS(10147),
    [anon_sym_EQ] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10147),
    [anon_sym_COLON] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10147),
    [anon_sym_in] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10147),
    [anon_sym_SQUOTE] = ACTIONS(10085),
    [anon_sym_DOT] = ACTIONS(10085),
    [anon_sym_do] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10147),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10147),
    [anon_sym_isa] = ACTIONS(10085),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10147),
    [anon_sym_QMARK] = ACTIONS(10147),
    [anon_sym_where] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10147),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10147),
    [aux_sym_integer_literal_token2] = ACTIONS(10147),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10147),
    [aux_sym_float_literal_token3] = ACTIONS(10147),
    [aux_sym_float_literal_token4] = ACTIONS(10147),
    [sym_character_literal] = ACTIONS(10147),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10147),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10147),
    [sym__pair_operator] = ACTIONS(10147),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__lazy_or_operator] = ACTIONS(10147),
    [sym__lazy_and_operator] = ACTIONS(10147),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10147),
    [sym__pipe_left_operator] = ACTIONS(10147),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10147),
    [sym__bitshift_operator] = ACTIONS(10147),
    [sym__power_operator] = ACTIONS(10147),
    [sym__tilde_operator] = ACTIONS(10147),
    [sym__type_order_operator] = ACTIONS(10147),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10147),
    [sym__immediate_bracket] = ACTIONS(10147),
    [sym__immediate_brace] = ACTIONS(10147),
  },
  [7175] = {
    [sym_block_comment] = STATE(7175),
    [sym_line_comment] = STATE(7175),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10365),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10365),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10365),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10365),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10365),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10365),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10365),
    [anon_sym_QMARK] = ACTIONS(10365),
    [anon_sym_DASH_GT] = ACTIONS(10365),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10365),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10365),
    [aux_sym_integer_literal_token2] = ACTIONS(10365),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10365),
    [aux_sym_float_literal_token3] = ACTIONS(10365),
    [aux_sym_float_literal_token4] = ACTIONS(10365),
    [sym_character_literal] = ACTIONS(10365),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10365),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10365),
    [sym__pair_operator] = ACTIONS(10365),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10365),
    [sym__lazy_and_operator] = ACTIONS(10365),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10365),
    [sym__pipe_left_operator] = ACTIONS(10365),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10365),
    [sym__bitshift_operator] = ACTIONS(10365),
    [sym__power_operator] = ACTIONS(10365),
    [sym__tilde_operator] = ACTIONS(10365),
    [sym__type_order_operator] = ACTIONS(10365),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [7176] = {
    [sym_block_comment] = STATE(7176),
    [sym_line_comment] = STATE(7176),
    [aux_sym__import_list_repeat1] = STATE(7682),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11054),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_else] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_finally] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(11056),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7177] = {
    [sym_block_comment] = STATE(7177),
    [sym_line_comment] = STATE(7177),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(11060),
    [sym__immediate_command_start] = ACTIONS(11062),
  },
  [7178] = {
    [sym_block_comment] = STATE(7178),
    [sym_line_comment] = STATE(7178),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_RPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_RBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9909),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_RBRACE] = ACTIONS(9909),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9909),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9909),
    [sym__bitshift_operator] = ACTIONS(9909),
    [sym__power_operator] = ACTIONS(9909),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [7179] = {
    [sym_block_comment] = STATE(7179),
    [sym_line_comment] = STATE(7179),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_COMMA] = ACTIONS(10013),
    [anon_sym_EQ] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10013),
    [anon_sym_COLON] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10013),
    [anon_sym_in] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10013),
    [anon_sym_SQUOTE] = ACTIONS(10011),
    [anon_sym_DOT] = ACTIONS(10011),
    [anon_sym_do] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10013),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10013),
    [anon_sym_isa] = ACTIONS(10011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10013),
    [anon_sym_QMARK] = ACTIONS(10013),
    [anon_sym_where] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10013),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10013),
    [aux_sym_integer_literal_token2] = ACTIONS(10013),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10013),
    [aux_sym_float_literal_token3] = ACTIONS(10013),
    [aux_sym_float_literal_token4] = ACTIONS(10013),
    [sym_character_literal] = ACTIONS(10013),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10013),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10013),
    [sym__pair_operator] = ACTIONS(10013),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__lazy_or_operator] = ACTIONS(10013),
    [sym__lazy_and_operator] = ACTIONS(10013),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10013),
    [sym__pipe_left_operator] = ACTIONS(10013),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10013),
    [sym__bitshift_operator] = ACTIONS(10013),
    [sym__power_operator] = ACTIONS(10013),
    [sym__tilde_operator] = ACTIONS(10013),
    [sym__type_order_operator] = ACTIONS(10013),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10013),
    [sym__immediate_bracket] = ACTIONS(10013),
    [sym__immediate_brace] = ACTIONS(10013),
  },
  [7180] = {
    [sym_block_comment] = STATE(7180),
    [sym_line_comment] = STATE(7180),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7181] = {
    [sym_block_comment] = STATE(7181),
    [sym_line_comment] = STATE(7181),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_catch] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_as] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7182] = {
    [sym_block_comment] = STATE(7182),
    [sym_line_comment] = STATE(7182),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_else] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7183] = {
    [sym_block_comment] = STATE(7183),
    [sym_line_comment] = STATE(7183),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_catch] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_as] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7184] = {
    [sym_block_comment] = STATE(7184),
    [sym_line_comment] = STATE(7184),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_catch] = ACTIONS(10277),
    [anon_sym_finally] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_as] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7185] = {
    [sym_block_comment] = STATE(7185),
    [sym_line_comment] = STATE(7185),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_catch] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_as] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7186] = {
    [sym_block_comment] = STATE(7186),
    [sym_line_comment] = STATE(7186),
    [aux_sym__import_list_repeat1] = STATE(7513),
    [sym__word_identifier] = ACTIONS(11066),
    [anon_sym_COMMA] = ACTIONS(11026),
    [anon_sym_EQ] = ACTIONS(11066),
    [anon_sym_begin] = ACTIONS(11066),
    [anon_sym_module] = ACTIONS(11066),
    [anon_sym_baremodule] = ACTIONS(11066),
    [anon_sym_end] = ACTIONS(11066),
    [anon_sym_abstract] = ACTIONS(11066),
    [anon_sym_primitive] = ACTIONS(11066),
    [anon_sym_mutable] = ACTIONS(11066),
    [anon_sym_struct] = ACTIONS(11066),
    [anon_sym_function] = ACTIONS(11066),
    [anon_sym_macro] = ACTIONS(11066),
    [anon_sym_quote] = ACTIONS(11066),
    [anon_sym_let] = ACTIONS(11066),
    [anon_sym_if] = ACTIONS(11066),
    [anon_sym_elseif] = ACTIONS(11066),
    [anon_sym_else] = ACTIONS(11066),
    [anon_sym_try] = ACTIONS(11066),
    [anon_sym_for] = ACTIONS(11066),
    [anon_sym_while] = ACTIONS(11066),
    [sym_break_statement] = ACTIONS(11066),
    [sym_continue_statement] = ACTIONS(11066),
    [anon_sym_return] = ACTIONS(11066),
    [anon_sym_const] = ACTIONS(11066),
    [anon_sym_global] = ACTIONS(11066),
    [anon_sym_local] = ACTIONS(11066),
    [anon_sym_LPAREN] = ACTIONS(11066),
    [anon_sym_COLON] = ACTIONS(11066),
    [anon_sym_export] = ACTIONS(11066),
    [anon_sym_public] = ACTIONS(11066),
    [anon_sym_import] = ACTIONS(11066),
    [anon_sym_using] = ACTIONS(11066),
    [anon_sym_LBRACK] = ACTIONS(11066),
    [anon_sym_in] = ACTIONS(11066),
    [anon_sym_SEMI] = ACTIONS(11066),
    [anon_sym_LBRACE] = ACTIONS(11066),
    [anon_sym_DOLLAR] = ACTIONS(11066),
    [anon_sym_COLON2] = ACTIONS(11066),
    [anon_sym_COLON_COLON] = ACTIONS(11066),
    [anon_sym_isa] = ACTIONS(11066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11066),
    [anon_sym_QMARK] = ACTIONS(11066),
    [anon_sym_where] = ACTIONS(11066),
    [anon_sym_AT] = ACTIONS(11066),
    [anon_sym_true] = ACTIONS(11066),
    [anon_sym_false] = ACTIONS(11066),
    [aux_sym_integer_literal_token1] = ACTIONS(11066),
    [aux_sym_integer_literal_token2] = ACTIONS(11066),
    [aux_sym_integer_literal_token3] = ACTIONS(11066),
    [aux_sym_integer_literal_token4] = ACTIONS(11066),
    [aux_sym_float_literal_token1] = ACTIONS(11066),
    [aux_sym_float_literal_token3] = ACTIONS(11066),
    [aux_sym_float_literal_token4] = ACTIONS(11066),
    [sym_character_literal] = ACTIONS(11066),
    [anon_sym_DQUOTE] = ACTIONS(11066),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11066),
    [anon_sym_BQUOTE] = ACTIONS(11066),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(11066),
    [sym__arrow_operator] = ACTIONS(11066),
    [sym__lazy_or_operator] = ACTIONS(11066),
    [sym__lazy_and_operator] = ACTIONS(11066),
    [sym__comparison_operator] = ACTIONS(11066),
    [sym__pipe_right_operator] = ACTIONS(11066),
    [sym__pipe_left_operator] = ACTIONS(11066),
    [sym__ellipsis_operator] = ACTIONS(11066),
    [sym__plus_operator] = ACTIONS(11066),
    [sym__times_operator] = ACTIONS(11066),
    [sym__rational_operator] = ACTIONS(11066),
    [sym__bitshift_operator] = ACTIONS(11066),
    [sym__power_operator] = ACTIONS(11066),
    [sym__tilde_operator] = ACTIONS(11066),
    [sym__type_order_operator] = ACTIONS(11066),
    [sym__unary_operator] = ACTIONS(11066),
    [sym__unary_plus_operator] = ACTIONS(11066),
    [aux_sym__terminator_token1] = ACTIONS(11068),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7187] = {
    [sym_block_comment] = STATE(7187),
    [sym_line_comment] = STATE(7187),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_catch] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_as] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7188] = {
    [sym_block_comment] = STATE(7188),
    [sym_line_comment] = STATE(7188),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7189] = {
    [sym_block_comment] = STATE(7189),
    [sym_line_comment] = STATE(7189),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_catch] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_as] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7190] = {
    [sym_block_comment] = STATE(7190),
    [sym_line_comment] = STATE(7190),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_catch] = ACTIONS(10876),
    [anon_sym_finally] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_as] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7191] = {
    [sym_block_comment] = STATE(7191),
    [sym_line_comment] = STATE(7191),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_catch] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_as] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7192] = {
    [sym_block_comment] = STATE(7192),
    [sym_line_comment] = STATE(7192),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10177),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10177),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10177),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10177),
    [anon_sym_SQUOTE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10177),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10177),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10177),
    [anon_sym_QMARK] = ACTIONS(10177),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10177),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10177),
    [aux_sym_integer_literal_token2] = ACTIONS(10177),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10177),
    [aux_sym_float_literal_token3] = ACTIONS(10177),
    [aux_sym_float_literal_token4] = ACTIONS(10177),
    [sym_character_literal] = ACTIONS(10177),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10177),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10177),
    [sym__pair_operator] = ACTIONS(10177),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10177),
    [sym__lazy_and_operator] = ACTIONS(10177),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10177),
    [sym__pipe_left_operator] = ACTIONS(10177),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10177),
    [sym__bitshift_operator] = ACTIONS(10177),
    [sym__power_operator] = ACTIONS(10177),
    [sym__tilde_operator] = ACTIONS(10177),
    [sym__type_order_operator] = ACTIONS(10177),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10177),
    [sym__immediate_bracket] = ACTIONS(10177),
    [sym__immediate_brace] = ACTIONS(10177),
  },
  [7193] = {
    [sym_block_comment] = STATE(7193),
    [sym_line_comment] = STATE(7193),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(11070),
    [sym__immediate_command_start] = ACTIONS(11072),
  },
  [7194] = {
    [sym_block_comment] = STATE(7194),
    [sym_line_comment] = STATE(7194),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11004),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7195] = {
    [sym_block_comment] = STATE(7195),
    [sym_line_comment] = STATE(7195),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10423),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10423),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10423),
    [anon_sym_SQUOTE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10423),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10423),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10423),
    [anon_sym_QMARK] = ACTIONS(10423),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10423),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10423),
    [aux_sym_integer_literal_token2] = ACTIONS(10423),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10423),
    [aux_sym_float_literal_token3] = ACTIONS(10423),
    [aux_sym_float_literal_token4] = ACTIONS(10423),
    [sym_character_literal] = ACTIONS(10423),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10423),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10423),
    [sym__pair_operator] = ACTIONS(10423),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10423),
    [sym__lazy_and_operator] = ACTIONS(10423),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10423),
    [sym__pipe_left_operator] = ACTIONS(10423),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10423),
    [sym__bitshift_operator] = ACTIONS(10423),
    [sym__power_operator] = ACTIONS(10423),
    [sym__tilde_operator] = ACTIONS(10423),
    [sym__type_order_operator] = ACTIONS(10423),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10423),
    [sym__immediate_bracket] = ACTIONS(10423),
    [sym__immediate_brace] = ACTIONS(10423),
  },
  [7196] = {
    [sym_block_comment] = STATE(7196),
    [sym_line_comment] = STATE(7196),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10431),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10431),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10431),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10431),
    [anon_sym_SQUOTE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10431),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10431),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_QMARK] = ACTIONS(10431),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10431),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10431),
    [aux_sym_integer_literal_token2] = ACTIONS(10431),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10431),
    [aux_sym_float_literal_token3] = ACTIONS(10431),
    [aux_sym_float_literal_token4] = ACTIONS(10431),
    [sym_character_literal] = ACTIONS(10431),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10431),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10431),
    [sym__pair_operator] = ACTIONS(10431),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10431),
    [sym__lazy_and_operator] = ACTIONS(10431),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10431),
    [sym__pipe_left_operator] = ACTIONS(10431),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10431),
    [sym__bitshift_operator] = ACTIONS(10431),
    [sym__power_operator] = ACTIONS(10431),
    [sym__tilde_operator] = ACTIONS(10431),
    [sym__type_order_operator] = ACTIONS(10431),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10431),
    [sym__immediate_bracket] = ACTIONS(10431),
    [sym__immediate_brace] = ACTIONS(10431),
  },
  [7197] = {
    [sym_block_comment] = STATE(7197),
    [sym_line_comment] = STATE(7197),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_else] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_finally] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7198] = {
    [sym_block_comment] = STATE(7198),
    [sym_line_comment] = STATE(7198),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_else] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_finally] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7199] = {
    [sym_block_comment] = STATE(7199),
    [sym_line_comment] = STATE(7199),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10982),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_end] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_elseif] = ACTIONS(10982),
    [anon_sym_else] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10982),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10982),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_SEMI] = ACTIONS(10982),
    [anon_sym_LBRACE] = ACTIONS(10982),
    [anon_sym_DOLLAR] = ACTIONS(10982),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10982),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10982),
    [anon_sym_QMARK] = ACTIONS(10982),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10982),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10982),
    [aux_sym_integer_literal_token2] = ACTIONS(10982),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10982),
    [aux_sym_float_literal_token3] = ACTIONS(10982),
    [aux_sym_float_literal_token4] = ACTIONS(10982),
    [sym_character_literal] = ACTIONS(10982),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10982),
    [sym__pair_operator] = ACTIONS(10982),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10982),
    [sym__lazy_and_operator] = ACTIONS(10982),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10982),
    [sym__pipe_left_operator] = ACTIONS(10982),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10982),
    [sym__bitshift_operator] = ACTIONS(10982),
    [sym__power_operator] = ACTIONS(10982),
    [sym__tilde_operator] = ACTIONS(10982),
    [sym__type_order_operator] = ACTIONS(10982),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym__terminator_token1] = ACTIONS(10986),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7200] = {
    [sym_block_comment] = STATE(7200),
    [sym_line_comment] = STATE(7200),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_catch] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_as] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7201] = {
    [sym_block_comment] = STATE(7201),
    [sym_line_comment] = STATE(7201),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7202] = {
    [sym_block_comment] = STATE(7202),
    [sym_line_comment] = STATE(7202),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_catch] = ACTIONS(10351),
    [anon_sym_finally] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_as] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7203] = {
    [sym_block_comment] = STATE(7203),
    [sym_line_comment] = STATE(7203),
    [sym__word_identifier] = ACTIONS(11048),
    [anon_sym_COMMA] = ACTIONS(11048),
    [anon_sym_EQ] = ACTIONS(11048),
    [anon_sym_begin] = ACTIONS(11048),
    [anon_sym_module] = ACTIONS(11048),
    [anon_sym_baremodule] = ACTIONS(11048),
    [anon_sym_end] = ACTIONS(11048),
    [anon_sym_abstract] = ACTIONS(11048),
    [anon_sym_primitive] = ACTIONS(11048),
    [anon_sym_mutable] = ACTIONS(11048),
    [anon_sym_struct] = ACTIONS(11048),
    [anon_sym_function] = ACTIONS(11048),
    [anon_sym_macro] = ACTIONS(11048),
    [anon_sym_quote] = ACTIONS(11048),
    [anon_sym_let] = ACTIONS(11048),
    [anon_sym_if] = ACTIONS(11048),
    [anon_sym_try] = ACTIONS(11048),
    [anon_sym_finally] = ACTIONS(11048),
    [anon_sym_for] = ACTIONS(11048),
    [anon_sym_while] = ACTIONS(11048),
    [sym_break_statement] = ACTIONS(11048),
    [sym_continue_statement] = ACTIONS(11048),
    [anon_sym_return] = ACTIONS(11048),
    [anon_sym_const] = ACTIONS(11048),
    [anon_sym_global] = ACTIONS(11048),
    [anon_sym_local] = ACTIONS(11048),
    [anon_sym_as] = ACTIONS(11048),
    [anon_sym_LPAREN] = ACTIONS(11048),
    [anon_sym_COLON] = ACTIONS(11048),
    [anon_sym_export] = ACTIONS(11048),
    [anon_sym_public] = ACTIONS(11048),
    [anon_sym_import] = ACTIONS(11048),
    [anon_sym_using] = ACTIONS(11048),
    [anon_sym_LBRACK] = ACTIONS(11048),
    [anon_sym_in] = ACTIONS(11048),
    [anon_sym_SEMI] = ACTIONS(11048),
    [anon_sym_LBRACE] = ACTIONS(11048),
    [anon_sym_DOT] = ACTIONS(11074),
    [anon_sym_DOLLAR] = ACTIONS(11048),
    [anon_sym_COLON2] = ACTIONS(11048),
    [anon_sym_COLON_COLON] = ACTIONS(11048),
    [anon_sym_isa] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11048),
    [anon_sym_QMARK] = ACTIONS(11048),
    [anon_sym_where] = ACTIONS(11048),
    [anon_sym_AT] = ACTIONS(11048),
    [anon_sym_true] = ACTIONS(11048),
    [anon_sym_false] = ACTIONS(11048),
    [aux_sym_integer_literal_token1] = ACTIONS(11048),
    [aux_sym_integer_literal_token2] = ACTIONS(11048),
    [aux_sym_integer_literal_token3] = ACTIONS(11048),
    [aux_sym_integer_literal_token4] = ACTIONS(11048),
    [aux_sym_float_literal_token1] = ACTIONS(11048),
    [aux_sym_float_literal_token3] = ACTIONS(11048),
    [aux_sym_float_literal_token4] = ACTIONS(11048),
    [sym_character_literal] = ACTIONS(11048),
    [anon_sym_DQUOTE] = ACTIONS(11048),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11048),
    [anon_sym_BQUOTE] = ACTIONS(11048),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(11048),
    [sym__arrow_operator] = ACTIONS(11048),
    [sym__lazy_or_operator] = ACTIONS(11048),
    [sym__lazy_and_operator] = ACTIONS(11048),
    [sym__comparison_operator] = ACTIONS(11048),
    [sym__pipe_right_operator] = ACTIONS(11048),
    [sym__pipe_left_operator] = ACTIONS(11048),
    [sym__ellipsis_operator] = ACTIONS(11048),
    [sym__plus_operator] = ACTIONS(11048),
    [sym__times_operator] = ACTIONS(11048),
    [sym__rational_operator] = ACTIONS(11048),
    [sym__bitshift_operator] = ACTIONS(11048),
    [sym__power_operator] = ACTIONS(11048),
    [sym__tilde_operator] = ACTIONS(11048),
    [sym__type_order_operator] = ACTIONS(11048),
    [sym__unary_operator] = ACTIONS(11048),
    [sym__unary_plus_operator] = ACTIONS(11048),
    [aux_sym__terminator_token1] = ACTIONS(11050),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7204] = {
    [sym_block_comment] = STATE(7204),
    [sym_line_comment] = STATE(7204),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10435),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10435),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10435),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10435),
    [anon_sym_SQUOTE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10435),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10435),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10435),
    [anon_sym_QMARK] = ACTIONS(10435),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10435),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10435),
    [aux_sym_integer_literal_token2] = ACTIONS(10435),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10435),
    [aux_sym_float_literal_token3] = ACTIONS(10435),
    [aux_sym_float_literal_token4] = ACTIONS(10435),
    [sym_character_literal] = ACTIONS(10435),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10435),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10435),
    [sym__pair_operator] = ACTIONS(10435),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10435),
    [sym__lazy_and_operator] = ACTIONS(10435),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10435),
    [sym__pipe_left_operator] = ACTIONS(10435),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10435),
    [sym__bitshift_operator] = ACTIONS(10435),
    [sym__power_operator] = ACTIONS(10435),
    [sym__tilde_operator] = ACTIONS(10435),
    [sym__type_order_operator] = ACTIONS(10435),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10435),
    [sym__immediate_bracket] = ACTIONS(10435),
    [sym__immediate_brace] = ACTIONS(10435),
  },
  [7205] = {
    [sym_block_comment] = STATE(7205),
    [sym_line_comment] = STATE(7205),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10439),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10439),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10439),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10439),
    [anon_sym_SQUOTE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10439),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10439),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10439),
    [anon_sym_QMARK] = ACTIONS(10439),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10439),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10439),
    [aux_sym_integer_literal_token2] = ACTIONS(10439),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10439),
    [aux_sym_float_literal_token3] = ACTIONS(10439),
    [aux_sym_float_literal_token4] = ACTIONS(10439),
    [sym_character_literal] = ACTIONS(10439),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10439),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10439),
    [sym__pair_operator] = ACTIONS(10439),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10439),
    [sym__lazy_and_operator] = ACTIONS(10439),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10439),
    [sym__pipe_left_operator] = ACTIONS(10439),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10439),
    [sym__bitshift_operator] = ACTIONS(10439),
    [sym__power_operator] = ACTIONS(10439),
    [sym__tilde_operator] = ACTIONS(10439),
    [sym__type_order_operator] = ACTIONS(10439),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10439),
    [sym__immediate_bracket] = ACTIONS(10439),
    [sym__immediate_brace] = ACTIONS(10439),
  },
  [7206] = {
    [sym_block_comment] = STATE(7206),
    [sym_line_comment] = STATE(7206),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10087),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10087),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10087),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10087),
    [anon_sym_SQUOTE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10087),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10087),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10087),
    [anon_sym_QMARK] = ACTIONS(10087),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10087),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10087),
    [aux_sym_integer_literal_token2] = ACTIONS(10087),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10087),
    [aux_sym_float_literal_token3] = ACTIONS(10087),
    [aux_sym_float_literal_token4] = ACTIONS(10087),
    [sym_character_literal] = ACTIONS(10087),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10087),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10087),
    [sym__pair_operator] = ACTIONS(10087),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10087),
    [sym__lazy_and_operator] = ACTIONS(10087),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10087),
    [sym__pipe_left_operator] = ACTIONS(10087),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10087),
    [sym__bitshift_operator] = ACTIONS(10087),
    [sym__power_operator] = ACTIONS(10087),
    [sym__tilde_operator] = ACTIONS(10087),
    [sym__type_order_operator] = ACTIONS(10087),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10087),
    [sym__immediate_bracket] = ACTIONS(10087),
    [sym__immediate_brace] = ACTIONS(10087),
  },
  [7207] = {
    [sym_block_comment] = STATE(7207),
    [sym_line_comment] = STATE(7207),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_catch] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_as] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7208] = {
    [sym_block_comment] = STATE(7208),
    [sym_line_comment] = STATE(7208),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_catch] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_as] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7209] = {
    [sym_block_comment] = STATE(7209),
    [sym_line_comment] = STATE(7209),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_catch] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_as] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7210] = {
    [sym_block_comment] = STATE(7210),
    [sym_line_comment] = STATE(7210),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10878),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_as] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10878),
    [anon_sym_RPAREN] = ACTIONS(10878),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10878),
    [anon_sym_RBRACK] = ACTIONS(10878),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10878),
    [anon_sym_LBRACE] = ACTIONS(10878),
    [anon_sym_RBRACE] = ACTIONS(10878),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10878),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10878),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10878),
    [anon_sym_QMARK] = ACTIONS(10878),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10878),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10878),
    [aux_sym_integer_literal_token2] = ACTIONS(10878),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10878),
    [aux_sym_float_literal_token3] = ACTIONS(10878),
    [aux_sym_float_literal_token4] = ACTIONS(10878),
    [sym_character_literal] = ACTIONS(10878),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10878),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10878),
    [sym__pair_operator] = ACTIONS(10878),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10878),
    [sym__lazy_and_operator] = ACTIONS(10878),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10878),
    [sym__pipe_left_operator] = ACTIONS(10878),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10878),
    [sym__bitshift_operator] = ACTIONS(10878),
    [sym__power_operator] = ACTIONS(10878),
    [sym__tilde_operator] = ACTIONS(10878),
    [sym__type_order_operator] = ACTIONS(10878),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7211] = {
    [sym_block_comment] = STATE(7211),
    [sym_line_comment] = STATE(7211),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_catch] = ACTIONS(10339),
    [anon_sym_finally] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_as] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7212] = {
    [sym_block_comment] = STATE(7212),
    [sym_line_comment] = STATE(7212),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7213] = {
    [sym_block_comment] = STATE(7213),
    [sym_line_comment] = STATE(7213),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10043),
  },
  [7214] = {
    [sym_block_comment] = STATE(7214),
    [sym_line_comment] = STATE(7214),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_catch] = ACTIONS(10371),
    [anon_sym_finally] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_as] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7215] = {
    [sym_identifier] = STATE(7909),
    [sym_block_comment] = STATE(7215),
    [sym_line_comment] = STATE(7215),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_catch] = ACTIONS(10131),
    [anon_sym_finally] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7216] = {
    [sym_identifier] = STATE(7910),
    [sym_block_comment] = STATE(7216),
    [sym_line_comment] = STATE(7216),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_catch] = ACTIONS(10135),
    [anon_sym_finally] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7217] = {
    [sym_block_comment] = STATE(7217),
    [sym_line_comment] = STATE(7217),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_catch] = ACTIONS(10409),
    [anon_sym_finally] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_as] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7218] = {
    [sym_block_comment] = STATE(7218),
    [sym_line_comment] = STATE(7218),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10099),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_as] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10099),
    [anon_sym_RPAREN] = ACTIONS(10099),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10099),
    [anon_sym_RBRACK] = ACTIONS(10099),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10099),
    [anon_sym_LBRACE] = ACTIONS(10099),
    [anon_sym_RBRACE] = ACTIONS(10099),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10099),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10099),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10099),
    [anon_sym_QMARK] = ACTIONS(10099),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10099),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10099),
    [aux_sym_integer_literal_token2] = ACTIONS(10099),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10099),
    [aux_sym_float_literal_token3] = ACTIONS(10099),
    [aux_sym_float_literal_token4] = ACTIONS(10099),
    [sym_character_literal] = ACTIONS(10099),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10099),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10099),
    [sym__pair_operator] = ACTIONS(10099),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10099),
    [sym__lazy_and_operator] = ACTIONS(10099),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10099),
    [sym__pipe_left_operator] = ACTIONS(10099),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10099),
    [sym__bitshift_operator] = ACTIONS(10099),
    [sym__power_operator] = ACTIONS(10099),
    [sym__tilde_operator] = ACTIONS(10099),
    [sym__type_order_operator] = ACTIONS(10099),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7219] = {
    [sym_identifier] = STATE(7934),
    [sym_block_comment] = STATE(7219),
    [sym_line_comment] = STATE(7219),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_catch] = ACTIONS(10143),
    [anon_sym_finally] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7220] = {
    [sym_block_comment] = STATE(7220),
    [sym_line_comment] = STATE(7220),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_catch] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_as] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7221] = {
    [sym_block_comment] = STATE(7221),
    [sym_line_comment] = STATE(7221),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10411),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_as] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10411),
    [anon_sym_RPAREN] = ACTIONS(10411),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10411),
    [anon_sym_RBRACK] = ACTIONS(10411),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10411),
    [anon_sym_LBRACE] = ACTIONS(10411),
    [anon_sym_RBRACE] = ACTIONS(10411),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10411),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10411),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10411),
    [anon_sym_QMARK] = ACTIONS(10411),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10411),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10411),
    [aux_sym_integer_literal_token2] = ACTIONS(10411),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10411),
    [aux_sym_float_literal_token3] = ACTIONS(10411),
    [aux_sym_float_literal_token4] = ACTIONS(10411),
    [sym_character_literal] = ACTIONS(10411),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10411),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10411),
    [sym__pair_operator] = ACTIONS(10411),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10411),
    [sym__lazy_and_operator] = ACTIONS(10411),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10411),
    [sym__pipe_left_operator] = ACTIONS(10411),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10411),
    [sym__bitshift_operator] = ACTIONS(10411),
    [sym__power_operator] = ACTIONS(10411),
    [sym__tilde_operator] = ACTIONS(10411),
    [sym__type_order_operator] = ACTIONS(10411),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7222] = {
    [sym_block_comment] = STATE(7222),
    [sym_line_comment] = STATE(7222),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_catch] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_as] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7223] = {
    [sym_block_comment] = STATE(7223),
    [sym_line_comment] = STATE(7223),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_catch] = ACTIONS(10217),
    [anon_sym_finally] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_as] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7224] = {
    [sym_identifier] = STATE(7937),
    [sym_block_comment] = STATE(7224),
    [sym_line_comment] = STATE(7224),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_catch] = ACTIONS(10007),
    [anon_sym_finally] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7225] = {
    [sym_block_comment] = STATE(7225),
    [sym_line_comment] = STATE(7225),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(11070),
    [sym__immediate_command_start] = ACTIONS(11072),
  },
  [7226] = {
    [sym_block_comment] = STATE(7226),
    [sym_line_comment] = STATE(7226),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10091),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10091),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10091),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10091),
    [anon_sym_SQUOTE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10091),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10091),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10091),
    [anon_sym_QMARK] = ACTIONS(10091),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10091),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10091),
    [aux_sym_integer_literal_token2] = ACTIONS(10091),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10091),
    [aux_sym_float_literal_token3] = ACTIONS(10091),
    [aux_sym_float_literal_token4] = ACTIONS(10091),
    [sym_character_literal] = ACTIONS(10091),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10091),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10091),
    [sym__pair_operator] = ACTIONS(10091),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10091),
    [sym__lazy_and_operator] = ACTIONS(10091),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10091),
    [sym__pipe_left_operator] = ACTIONS(10091),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10091),
    [sym__bitshift_operator] = ACTIONS(10091),
    [sym__power_operator] = ACTIONS(10091),
    [sym__tilde_operator] = ACTIONS(10091),
    [sym__type_order_operator] = ACTIONS(10091),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10091),
    [sym__immediate_bracket] = ACTIONS(10091),
    [sym__immediate_brace] = ACTIONS(10091),
  },
  [7227] = {
    [sym_block_comment] = STATE(7227),
    [sym_line_comment] = STATE(7227),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_else] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_finally] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7228] = {
    [sym_block_comment] = STATE(7228),
    [sym_line_comment] = STATE(7228),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10219),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_as] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10219),
    [anon_sym_RPAREN] = ACTIONS(10219),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10219),
    [anon_sym_RBRACK] = ACTIONS(10219),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10219),
    [anon_sym_LBRACE] = ACTIONS(10219),
    [anon_sym_RBRACE] = ACTIONS(10219),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10219),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10219),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10219),
    [anon_sym_QMARK] = ACTIONS(10219),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10219),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10219),
    [aux_sym_integer_literal_token2] = ACTIONS(10219),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10219),
    [aux_sym_float_literal_token3] = ACTIONS(10219),
    [aux_sym_float_literal_token4] = ACTIONS(10219),
    [sym_character_literal] = ACTIONS(10219),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10219),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10219),
    [sym__pair_operator] = ACTIONS(10219),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10219),
    [sym__lazy_and_operator] = ACTIONS(10219),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10219),
    [sym__pipe_left_operator] = ACTIONS(10219),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10219),
    [sym__bitshift_operator] = ACTIONS(10219),
    [sym__power_operator] = ACTIONS(10219),
    [sym__tilde_operator] = ACTIONS(10219),
    [sym__type_order_operator] = ACTIONS(10219),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7229] = {
    [sym_block_comment] = STATE(7229),
    [sym_line_comment] = STATE(7229),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_elseif] = ACTIONS(10866),
    [anon_sym_else] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(11076),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7230] = {
    [sym_block_comment] = STATE(7230),
    [sym_line_comment] = STATE(7230),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10141),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_as] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10141),
    [anon_sym_RPAREN] = ACTIONS(10141),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10141),
    [anon_sym_RBRACK] = ACTIONS(10141),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10141),
    [anon_sym_LBRACE] = ACTIONS(10141),
    [anon_sym_RBRACE] = ACTIONS(10141),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10141),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10141),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10141),
    [anon_sym_QMARK] = ACTIONS(10141),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10141),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10141),
    [aux_sym_integer_literal_token2] = ACTIONS(10141),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10141),
    [aux_sym_float_literal_token3] = ACTIONS(10141),
    [aux_sym_float_literal_token4] = ACTIONS(10141),
    [sym_character_literal] = ACTIONS(10141),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10141),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10141),
    [sym__pair_operator] = ACTIONS(10141),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10141),
    [sym__lazy_and_operator] = ACTIONS(10141),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10141),
    [sym__pipe_left_operator] = ACTIONS(10141),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10141),
    [sym__bitshift_operator] = ACTIONS(10141),
    [sym__power_operator] = ACTIONS(10141),
    [sym__tilde_operator] = ACTIONS(10141),
    [sym__type_order_operator] = ACTIONS(10141),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7231] = {
    [sym_block_comment] = STATE(7231),
    [sym_line_comment] = STATE(7231),
    [ts_builtin_sym_end] = ACTIONS(10870),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_RBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(11078),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7232] = {
    [sym_block_comment] = STATE(7232),
    [sym_line_comment] = STATE(7232),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_else] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_finally] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7233] = {
    [sym_block_comment] = STATE(7233),
    [sym_line_comment] = STATE(7233),
    [ts_builtin_sym_end] = ACTIONS(10986),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10982),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10982),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10982),
    [anon_sym_RBRACK] = ACTIONS(10982),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_SEMI] = ACTIONS(10982),
    [anon_sym_LBRACE] = ACTIONS(10982),
    [anon_sym_DOT] = ACTIONS(11078),
    [anon_sym_DOLLAR] = ACTIONS(10982),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10982),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10982),
    [anon_sym_QMARK] = ACTIONS(10982),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10982),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10982),
    [aux_sym_integer_literal_token2] = ACTIONS(10982),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10982),
    [aux_sym_float_literal_token3] = ACTIONS(10982),
    [aux_sym_float_literal_token4] = ACTIONS(10982),
    [sym_character_literal] = ACTIONS(10982),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10982),
    [sym__pair_operator] = ACTIONS(10982),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10982),
    [sym__lazy_and_operator] = ACTIONS(10982),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10982),
    [sym__pipe_left_operator] = ACTIONS(10982),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10982),
    [sym__bitshift_operator] = ACTIONS(10982),
    [sym__power_operator] = ACTIONS(10982),
    [sym__tilde_operator] = ACTIONS(10982),
    [sym__type_order_operator] = ACTIONS(10982),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym__terminator_token1] = ACTIONS(10986),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7234] = {
    [sym_identifier] = STATE(8422),
    [sym_block_comment] = STATE(7234),
    [sym_line_comment] = STATE(7234),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_as] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7235] = {
    [sym_block_comment] = STATE(7235),
    [sym_line_comment] = STATE(7235),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_catch] = ACTIONS(10375),
    [anon_sym_finally] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_as] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7236] = {
    [sym_identifier] = STATE(8423),
    [sym_block_comment] = STATE(7236),
    [sym_line_comment] = STATE(7236),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_as] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7237] = {
    [sym_block_comment] = STATE(7237),
    [sym_line_comment] = STATE(7237),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_else] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_finally] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7238] = {
    [sym_block_comment] = STATE(7238),
    [sym_line_comment] = STATE(7238),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_catch] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_as] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7239] = {
    [sym_block_comment] = STATE(7239),
    [sym_line_comment] = STATE(7239),
    [ts_builtin_sym_end] = ACTIONS(10019),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_RBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11080),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7240] = {
    [sym_block_comment] = STATE(7240),
    [sym_line_comment] = STATE(7240),
    [ts_builtin_sym_end] = ACTIONS(11040),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_RBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOT] = ACTIONS(11078),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7241] = {
    [sym_block_comment] = STATE(7241),
    [sym_line_comment] = STATE(7241),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10141),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10141),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10141),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10141),
    [anon_sym_SQUOTE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10141),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10141),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10141),
    [anon_sym_QMARK] = ACTIONS(10141),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10141),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10141),
    [aux_sym_integer_literal_token2] = ACTIONS(10141),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10141),
    [aux_sym_float_literal_token3] = ACTIONS(10141),
    [aux_sym_float_literal_token4] = ACTIONS(10141),
    [sym_character_literal] = ACTIONS(10141),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10141),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10141),
    [sym__pair_operator] = ACTIONS(10141),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10141),
    [sym__lazy_and_operator] = ACTIONS(10141),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10141),
    [sym__pipe_left_operator] = ACTIONS(10141),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10141),
    [sym__bitshift_operator] = ACTIONS(10141),
    [sym__power_operator] = ACTIONS(10141),
    [sym__tilde_operator] = ACTIONS(10141),
    [sym__type_order_operator] = ACTIONS(10141),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10141),
    [sym__immediate_bracket] = ACTIONS(10141),
    [sym__immediate_brace] = ACTIONS(10141),
  },
  [7242] = {
    [sym_block_comment] = STATE(7242),
    [sym_line_comment] = STATE(7242),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_catch] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_as] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7243] = {
    [sym_block_comment] = STATE(7243),
    [sym_line_comment] = STATE(7243),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_catch] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_as] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7244] = {
    [sym_block_comment] = STATE(7244),
    [sym_line_comment] = STATE(7244),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_elseif] = ACTIONS(10193),
    [anon_sym_else] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7245] = {
    [sym_block_comment] = STATE(7245),
    [sym_line_comment] = STATE(7245),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_catch] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_as] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7246] = {
    [sym_block_comment] = STATE(7246),
    [sym_line_comment] = STATE(7246),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_catch] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_as] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7247] = {
    [sym_block_comment] = STATE(7247),
    [sym_line_comment] = STATE(7247),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_else] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_finally] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7248] = {
    [sym_block_comment] = STATE(7248),
    [sym_line_comment] = STATE(7248),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_else] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_finally] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7249] = {
    [sym_block_comment] = STATE(7249),
    [sym_line_comment] = STATE(7249),
    [aux_sym__import_list_repeat1] = STATE(7880),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11082),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_finally] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(11084),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7250] = {
    [sym_block_comment] = STATE(7250),
    [sym_line_comment] = STATE(7250),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_RPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_RBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10019),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_RBRACE] = ACTIONS(10019),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11086),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7251] = {
    [sym_block_comment] = STATE(7251),
    [sym_line_comment] = STATE(7251),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_catch] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_as] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7252] = {
    [sym_block_comment] = STATE(7252),
    [sym_line_comment] = STATE(7252),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9911),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7253] = {
    [sym_block_comment] = STATE(7253),
    [sym_line_comment] = STATE(7253),
    [ts_builtin_sym_end] = ACTIONS(10878),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_as] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_RBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7254] = {
    [sym_block_comment] = STATE(7254),
    [sym_line_comment] = STATE(7254),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10293),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10293),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10293),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10293),
    [anon_sym_SQUOTE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10293),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10293),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10293),
    [anon_sym_QMARK] = ACTIONS(10293),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10293),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10293),
    [aux_sym_integer_literal_token2] = ACTIONS(10293),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10293),
    [aux_sym_float_literal_token3] = ACTIONS(10293),
    [aux_sym_float_literal_token4] = ACTIONS(10293),
    [sym_character_literal] = ACTIONS(10293),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10293),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10293),
    [sym__pair_operator] = ACTIONS(10293),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10293),
    [sym__lazy_and_operator] = ACTIONS(10293),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10293),
    [sym__pipe_left_operator] = ACTIONS(10293),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10293),
    [sym__bitshift_operator] = ACTIONS(10293),
    [sym__power_operator] = ACTIONS(10293),
    [sym__tilde_operator] = ACTIONS(10293),
    [sym__type_order_operator] = ACTIONS(10293),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10293),
    [sym__immediate_bracket] = ACTIONS(10293),
    [sym__immediate_brace] = ACTIONS(10293),
  },
  [7255] = {
    [sym_block_comment] = STATE(7255),
    [sym_line_comment] = STATE(7255),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_else] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7256] = {
    [sym_block_comment] = STATE(7256),
    [sym_line_comment] = STATE(7256),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_elseif] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7257] = {
    [sym_block_comment] = STATE(7257),
    [sym_line_comment] = STATE(7257),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_catch] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_as] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7258] = {
    [sym_block_comment] = STATE(7258),
    [sym_line_comment] = STATE(7258),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_catch] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_as] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7259] = {
    [sym_block_comment] = STATE(7259),
    [sym_line_comment] = STATE(7259),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10309),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10309),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10309),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10309),
    [anon_sym_SQUOTE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10309),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10309),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10309),
    [anon_sym_QMARK] = ACTIONS(10309),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10309),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10309),
    [aux_sym_integer_literal_token2] = ACTIONS(10309),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10309),
    [aux_sym_float_literal_token3] = ACTIONS(10309),
    [aux_sym_float_literal_token4] = ACTIONS(10309),
    [sym_character_literal] = ACTIONS(10309),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10309),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10309),
    [sym__pair_operator] = ACTIONS(10309),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10309),
    [sym__lazy_and_operator] = ACTIONS(10309),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10309),
    [sym__pipe_left_operator] = ACTIONS(10309),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10309),
    [sym__bitshift_operator] = ACTIONS(10309),
    [sym__power_operator] = ACTIONS(10309),
    [sym__tilde_operator] = ACTIONS(10309),
    [sym__type_order_operator] = ACTIONS(10309),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10309),
    [sym__immediate_bracket] = ACTIONS(10309),
    [sym__immediate_brace] = ACTIONS(10309),
  },
  [7260] = {
    [sym_block_comment] = STATE(7260),
    [sym_line_comment] = STATE(7260),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_catch] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_as] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7261] = {
    [sym_block_comment] = STATE(7261),
    [sym_line_comment] = STATE(7261),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10349),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10349),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10349),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10349),
    [anon_sym_SQUOTE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10349),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10349),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10349),
    [anon_sym_QMARK] = ACTIONS(10349),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10349),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10349),
    [aux_sym_integer_literal_token2] = ACTIONS(10349),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10349),
    [aux_sym_float_literal_token3] = ACTIONS(10349),
    [aux_sym_float_literal_token4] = ACTIONS(10349),
    [sym_character_literal] = ACTIONS(10349),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10349),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10349),
    [sym__pair_operator] = ACTIONS(10349),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10349),
    [sym__lazy_and_operator] = ACTIONS(10349),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10349),
    [sym__pipe_left_operator] = ACTIONS(10349),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10349),
    [sym__bitshift_operator] = ACTIONS(10349),
    [sym__power_operator] = ACTIONS(10349),
    [sym__tilde_operator] = ACTIONS(10349),
    [sym__type_order_operator] = ACTIONS(10349),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10349),
    [sym__immediate_bracket] = ACTIONS(10349),
    [sym__immediate_brace] = ACTIONS(10349),
  },
  [7262] = {
    [sym_block_comment] = STATE(7262),
    [sym_line_comment] = STATE(7262),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10353),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10353),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10353),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10353),
    [anon_sym_SQUOTE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10353),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10353),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10353),
    [anon_sym_QMARK] = ACTIONS(10353),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10353),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10353),
    [aux_sym_integer_literal_token2] = ACTIONS(10353),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10353),
    [aux_sym_float_literal_token3] = ACTIONS(10353),
    [aux_sym_float_literal_token4] = ACTIONS(10353),
    [sym_character_literal] = ACTIONS(10353),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10353),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10353),
    [sym__pair_operator] = ACTIONS(10353),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10353),
    [sym__lazy_and_operator] = ACTIONS(10353),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10353),
    [sym__pipe_left_operator] = ACTIONS(10353),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10353),
    [sym__bitshift_operator] = ACTIONS(10353),
    [sym__power_operator] = ACTIONS(10353),
    [sym__tilde_operator] = ACTIONS(10353),
    [sym__type_order_operator] = ACTIONS(10353),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10353),
    [sym__immediate_bracket] = ACTIONS(10353),
    [sym__immediate_brace] = ACTIONS(10353),
  },
  [7263] = {
    [sym_block_comment] = STATE(7263),
    [sym_line_comment] = STATE(7263),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_catch] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_as] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7264] = {
    [sym_block_comment] = STATE(7264),
    [sym_line_comment] = STATE(7264),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10293),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_as] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10293),
    [anon_sym_RPAREN] = ACTIONS(10293),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10293),
    [anon_sym_RBRACK] = ACTIONS(10293),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10293),
    [anon_sym_LBRACE] = ACTIONS(10293),
    [anon_sym_RBRACE] = ACTIONS(10293),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10293),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10293),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10293),
    [anon_sym_QMARK] = ACTIONS(10293),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10293),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10293),
    [aux_sym_integer_literal_token2] = ACTIONS(10293),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10293),
    [aux_sym_float_literal_token3] = ACTIONS(10293),
    [aux_sym_float_literal_token4] = ACTIONS(10293),
    [sym_character_literal] = ACTIONS(10293),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10293),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10293),
    [sym__pair_operator] = ACTIONS(10293),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10293),
    [sym__lazy_and_operator] = ACTIONS(10293),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10293),
    [sym__pipe_left_operator] = ACTIONS(10293),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10293),
    [sym__bitshift_operator] = ACTIONS(10293),
    [sym__power_operator] = ACTIONS(10293),
    [sym__tilde_operator] = ACTIONS(10293),
    [sym__type_order_operator] = ACTIONS(10293),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7265] = {
    [sym_block_comment] = STATE(7265),
    [sym_line_comment] = STATE(7265),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_else] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_finally] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7266] = {
    [sym_block_comment] = STATE(7266),
    [sym_line_comment] = STATE(7266),
    [aux_sym__import_list_repeat1] = STATE(7821),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11088),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_catch] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(11090),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7267] = {
    [sym_block_comment] = STATE(7267),
    [sym_line_comment] = STATE(7267),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_elseif] = ACTIONS(10866),
    [anon_sym_else] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7268] = {
    [sym_block_comment] = STATE(7268),
    [sym_line_comment] = STATE(7268),
    [ts_builtin_sym_end] = ACTIONS(10019),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_RBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11042),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7269] = {
    [sym_block_comment] = STATE(7269),
    [sym_line_comment] = STATE(7269),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_else] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_finally] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7270] = {
    [sym_block_comment] = STATE(7270),
    [sym_line_comment] = STATE(7270),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10309),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_as] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10309),
    [anon_sym_RPAREN] = ACTIONS(10309),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10309),
    [anon_sym_RBRACK] = ACTIONS(10309),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10309),
    [anon_sym_LBRACE] = ACTIONS(10309),
    [anon_sym_RBRACE] = ACTIONS(10309),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10309),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10309),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10309),
    [anon_sym_QMARK] = ACTIONS(10309),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10309),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10309),
    [aux_sym_integer_literal_token2] = ACTIONS(10309),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10309),
    [aux_sym_float_literal_token3] = ACTIONS(10309),
    [aux_sym_float_literal_token4] = ACTIONS(10309),
    [sym_character_literal] = ACTIONS(10309),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10309),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10309),
    [sym__pair_operator] = ACTIONS(10309),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10309),
    [sym__lazy_and_operator] = ACTIONS(10309),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10309),
    [sym__pipe_left_operator] = ACTIONS(10309),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10309),
    [sym__bitshift_operator] = ACTIONS(10309),
    [sym__power_operator] = ACTIONS(10309),
    [sym__tilde_operator] = ACTIONS(10309),
    [sym__type_order_operator] = ACTIONS(10309),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7271] = {
    [sym_block_comment] = STATE(7271),
    [sym_line_comment] = STATE(7271),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_catch] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_as] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7272] = {
    [sym_block_comment] = STATE(7272),
    [sym_line_comment] = STATE(7272),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_else] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_finally] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7273] = {
    [sym_block_comment] = STATE(7273),
    [sym_line_comment] = STATE(7273),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10357),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10357),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10357),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10357),
    [anon_sym_SQUOTE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10357),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10357),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10357),
    [anon_sym_QMARK] = ACTIONS(10357),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10357),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10357),
    [aux_sym_integer_literal_token2] = ACTIONS(10357),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10357),
    [aux_sym_float_literal_token3] = ACTIONS(10357),
    [aux_sym_float_literal_token4] = ACTIONS(10357),
    [sym_character_literal] = ACTIONS(10357),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10357),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10357),
    [sym__pair_operator] = ACTIONS(10357),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10357),
    [sym__lazy_and_operator] = ACTIONS(10357),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10357),
    [sym__pipe_left_operator] = ACTIONS(10357),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10357),
    [sym__bitshift_operator] = ACTIONS(10357),
    [sym__power_operator] = ACTIONS(10357),
    [sym__tilde_operator] = ACTIONS(10357),
    [sym__type_order_operator] = ACTIONS(10357),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10357),
    [sym__immediate_bracket] = ACTIONS(10357),
    [sym__immediate_brace] = ACTIONS(10357),
  },
  [7274] = {
    [sym_block_comment] = STATE(7274),
    [sym_line_comment] = STATE(7274),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11064),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7275] = {
    [sym_block_comment] = STATE(7275),
    [sym_line_comment] = STATE(7275),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_else] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_finally] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7276] = {
    [sym_block_comment] = STATE(7276),
    [sym_line_comment] = STATE(7276),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11034),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7277] = {
    [sym_identifier] = STATE(8004),
    [sym_block_comment] = STATE(7277),
    [sym_line_comment] = STATE(7277),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10133),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10133),
    [anon_sym_RPAREN] = ACTIONS(10133),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10133),
    [anon_sym_RBRACK] = ACTIONS(10133),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10133),
    [anon_sym_LBRACE] = ACTIONS(10133),
    [anon_sym_RBRACE] = ACTIONS(10133),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10133),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10133),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10133),
    [anon_sym_QMARK] = ACTIONS(10133),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10133),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10133),
    [aux_sym_integer_literal_token2] = ACTIONS(10133),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10133),
    [aux_sym_float_literal_token3] = ACTIONS(10133),
    [aux_sym_float_literal_token4] = ACTIONS(10133),
    [sym_character_literal] = ACTIONS(10133),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10133),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10133),
    [sym__pair_operator] = ACTIONS(10133),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10133),
    [sym__lazy_and_operator] = ACTIONS(10133),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10133),
    [sym__pipe_left_operator] = ACTIONS(10133),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10133),
    [sym__bitshift_operator] = ACTIONS(10133),
    [sym__power_operator] = ACTIONS(10133),
    [sym__tilde_operator] = ACTIONS(10133),
    [sym__type_order_operator] = ACTIONS(10133),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7278] = {
    [sym_block_comment] = STATE(7278),
    [sym_line_comment] = STATE(7278),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_catch] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_as] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7279] = {
    [sym_block_comment] = STATE(7279),
    [sym_line_comment] = STATE(7279),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_catch] = ACTIONS(10355),
    [anon_sym_finally] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_as] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7280] = {
    [sym_identifier] = STATE(8006),
    [sym_block_comment] = STATE(7280),
    [sym_line_comment] = STATE(7280),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10137),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10137),
    [anon_sym_RPAREN] = ACTIONS(10137),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10137),
    [anon_sym_RBRACK] = ACTIONS(10137),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10137),
    [anon_sym_LBRACE] = ACTIONS(10137),
    [anon_sym_RBRACE] = ACTIONS(10137),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10137),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10137),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10137),
    [anon_sym_QMARK] = ACTIONS(10137),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10137),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10137),
    [aux_sym_integer_literal_token2] = ACTIONS(10137),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10137),
    [aux_sym_float_literal_token3] = ACTIONS(10137),
    [aux_sym_float_literal_token4] = ACTIONS(10137),
    [sym_character_literal] = ACTIONS(10137),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10137),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10137),
    [sym__pair_operator] = ACTIONS(10137),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10137),
    [sym__lazy_and_operator] = ACTIONS(10137),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10137),
    [sym__pipe_left_operator] = ACTIONS(10137),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10137),
    [sym__bitshift_operator] = ACTIONS(10137),
    [sym__power_operator] = ACTIONS(10137),
    [sym__tilde_operator] = ACTIONS(10137),
    [sym__type_order_operator] = ACTIONS(10137),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7281] = {
    [sym_identifier] = STATE(8172),
    [sym_block_comment] = STATE(7281),
    [sym_line_comment] = STATE(7281),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10145),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10145),
    [anon_sym_RPAREN] = ACTIONS(10145),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10145),
    [anon_sym_RBRACK] = ACTIONS(10145),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10145),
    [anon_sym_LBRACE] = ACTIONS(10145),
    [anon_sym_RBRACE] = ACTIONS(10145),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10145),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10145),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10145),
    [anon_sym_QMARK] = ACTIONS(10145),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10145),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10145),
    [aux_sym_integer_literal_token2] = ACTIONS(10145),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10145),
    [aux_sym_float_literal_token3] = ACTIONS(10145),
    [aux_sym_float_literal_token4] = ACTIONS(10145),
    [sym_character_literal] = ACTIONS(10145),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10145),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10145),
    [sym__pair_operator] = ACTIONS(10145),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10145),
    [sym__lazy_and_operator] = ACTIONS(10145),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10145),
    [sym__pipe_left_operator] = ACTIONS(10145),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10145),
    [sym__bitshift_operator] = ACTIONS(10145),
    [sym__power_operator] = ACTIONS(10145),
    [sym__tilde_operator] = ACTIONS(10145),
    [sym__type_order_operator] = ACTIONS(10145),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7282] = {
    [sym_identifier] = STATE(8175),
    [sym_block_comment] = STATE(7282),
    [sym_line_comment] = STATE(7282),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10009),
    [anon_sym_RPAREN] = ACTIONS(10009),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10009),
    [anon_sym_RBRACK] = ACTIONS(10009),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10009),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_RBRACE] = ACTIONS(10009),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10009),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10009),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10009),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10009),
    [aux_sym_integer_literal_token2] = ACTIONS(10009),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10009),
    [aux_sym_float_literal_token3] = ACTIONS(10009),
    [aux_sym_float_literal_token4] = ACTIONS(10009),
    [sym_character_literal] = ACTIONS(10009),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10009),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10009),
    [sym__pair_operator] = ACTIONS(10009),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10009),
    [sym__lazy_and_operator] = ACTIONS(10009),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10009),
    [sym__pipe_left_operator] = ACTIONS(10009),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10009),
    [sym__bitshift_operator] = ACTIONS(10009),
    [sym__power_operator] = ACTIONS(10009),
    [sym__tilde_operator] = ACTIONS(10009),
    [sym__type_order_operator] = ACTIONS(10009),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7283] = {
    [sym_block_comment] = STATE(7283),
    [sym_line_comment] = STATE(7283),
    [ts_builtin_sym_end] = ACTIONS(10397),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_as] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_RBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7284] = {
    [sym_block_comment] = STATE(7284),
    [sym_line_comment] = STATE(7284),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_catch] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_as] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7285] = {
    [sym_block_comment] = STATE(7285),
    [sym_line_comment] = STATE(7285),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10155),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10027),
  },
  [7286] = {
    [sym_block_comment] = STATE(7286),
    [sym_line_comment] = STATE(7286),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_SQUOTE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9909),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9909),
    [sym__bitshift_operator] = ACTIONS(9909),
    [sym__power_operator] = ACTIONS(9909),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9909),
    [sym__immediate_bracket] = ACTIONS(9909),
    [sym__immediate_brace] = ACTIONS(9909),
  },
  [7287] = {
    [sym_block_comment] = STATE(7287),
    [sym_line_comment] = STATE(7287),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11092),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7288] = {
    [sym_identifier] = STATE(8195),
    [sym_block_comment] = STATE(7288),
    [sym_line_comment] = STATE(7288),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_catch] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7289] = {
    [sym_block_comment] = STATE(7289),
    [sym_line_comment] = STATE(7289),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10027),
  },
  [7290] = {
    [sym_identifier] = STATE(8206),
    [sym_block_comment] = STATE(7290),
    [sym_line_comment] = STATE(7290),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_catch] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7291] = {
    [sym_identifier] = STATE(8238),
    [sym_block_comment] = STATE(7291),
    [sym_line_comment] = STATE(7291),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_catch] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7292] = {
    [sym_identifier] = STATE(8239),
    [sym_block_comment] = STATE(7292),
    [sym_line_comment] = STATE(7292),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_catch] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7293] = {
    [sym_block_comment] = STATE(7293),
    [sym_line_comment] = STATE(7293),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_else] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7294] = {
    [sym_block_comment] = STATE(7294),
    [sym_line_comment] = STATE(7294),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10405),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10405),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10405),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10405),
    [anon_sym_SQUOTE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10405),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10405),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10405),
    [anon_sym_QMARK] = ACTIONS(10405),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10405),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10405),
    [aux_sym_integer_literal_token2] = ACTIONS(10405),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10405),
    [aux_sym_float_literal_token3] = ACTIONS(10405),
    [aux_sym_float_literal_token4] = ACTIONS(10405),
    [sym_character_literal] = ACTIONS(10405),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10405),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10405),
    [sym__pair_operator] = ACTIONS(10405),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10405),
    [sym__lazy_and_operator] = ACTIONS(10405),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10405),
    [sym__pipe_left_operator] = ACTIONS(10405),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10405),
    [sym__bitshift_operator] = ACTIONS(10405),
    [sym__power_operator] = ACTIONS(10405),
    [sym__tilde_operator] = ACTIONS(10405),
    [sym__type_order_operator] = ACTIONS(10405),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10405),
    [sym__immediate_bracket] = ACTIONS(10405),
    [sym__immediate_brace] = ACTIONS(10405),
  },
  [7295] = {
    [sym_block_comment] = STATE(7295),
    [sym_line_comment] = STATE(7295),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_else] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_finally] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7296] = {
    [sym_block_comment] = STATE(7296),
    [sym_line_comment] = STATE(7296),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_catch] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_as] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7297] = {
    [sym_identifier] = STATE(8428),
    [sym_block_comment] = STATE(7297),
    [sym_line_comment] = STATE(7297),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_as] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7298] = {
    [sym_block_comment] = STATE(7298),
    [sym_line_comment] = STATE(7298),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10313),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10313),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10313),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10313),
    [anon_sym_SQUOTE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10313),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10313),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10313),
    [anon_sym_QMARK] = ACTIONS(10313),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10313),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10313),
    [aux_sym_integer_literal_token2] = ACTIONS(10313),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10313),
    [aux_sym_float_literal_token3] = ACTIONS(10313),
    [aux_sym_float_literal_token4] = ACTIONS(10313),
    [sym_character_literal] = ACTIONS(10313),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10313),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10313),
    [sym__pair_operator] = ACTIONS(10313),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10313),
    [sym__lazy_and_operator] = ACTIONS(10313),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10313),
    [sym__pipe_left_operator] = ACTIONS(10313),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10313),
    [sym__bitshift_operator] = ACTIONS(10313),
    [sym__power_operator] = ACTIONS(10313),
    [sym__tilde_operator] = ACTIONS(10313),
    [sym__type_order_operator] = ACTIONS(10313),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10313),
    [sym__immediate_bracket] = ACTIONS(10313),
    [sym__immediate_brace] = ACTIONS(10313),
  },
  [7299] = {
    [sym_identifier] = STATE(8429),
    [sym_block_comment] = STATE(7299),
    [sym_line_comment] = STATE(7299),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_as] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7300] = {
    [sym_block_comment] = STATE(7300),
    [sym_line_comment] = STATE(7300),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10401),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10401),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10401),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10401),
    [anon_sym_SQUOTE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10401),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10401),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10401),
    [anon_sym_QMARK] = ACTIONS(10401),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10401),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10401),
    [aux_sym_integer_literal_token2] = ACTIONS(10401),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10401),
    [aux_sym_float_literal_token3] = ACTIONS(10401),
    [aux_sym_float_literal_token4] = ACTIONS(10401),
    [sym_character_literal] = ACTIONS(10401),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10401),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10401),
    [sym__pair_operator] = ACTIONS(10401),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10401),
    [sym__lazy_and_operator] = ACTIONS(10401),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10401),
    [sym__pipe_left_operator] = ACTIONS(10401),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10401),
    [sym__bitshift_operator] = ACTIONS(10401),
    [sym__power_operator] = ACTIONS(10401),
    [sym__tilde_operator] = ACTIONS(10401),
    [sym__type_order_operator] = ACTIONS(10401),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10401),
    [sym__immediate_bracket] = ACTIONS(10401),
    [sym__immediate_brace] = ACTIONS(10401),
  },
  [7301] = {
    [sym_block_comment] = STATE(7301),
    [sym_line_comment] = STATE(7301),
    [ts_builtin_sym_end] = ACTIONS(10415),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_as] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_RBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7302] = {
    [sym_block_comment] = STATE(7302),
    [sym_line_comment] = STATE(7302),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_else] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7303] = {
    [sym_block_comment] = STATE(7303),
    [sym_line_comment] = STATE(7303),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_else] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_finally] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7304] = {
    [sym_block_comment] = STATE(7304),
    [sym_line_comment] = STATE(7304),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_else] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_finally] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7305] = {
    [sym_block_comment] = STATE(7305),
    [sym_line_comment] = STATE(7305),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10129),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_as] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10129),
    [anon_sym_RPAREN] = ACTIONS(10129),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10129),
    [anon_sym_RBRACK] = ACTIONS(10129),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10129),
    [anon_sym_LBRACE] = ACTIONS(10129),
    [anon_sym_RBRACE] = ACTIONS(10129),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10129),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10129),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10129),
    [anon_sym_QMARK] = ACTIONS(10129),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10129),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10129),
    [aux_sym_integer_literal_token2] = ACTIONS(10129),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10129),
    [aux_sym_float_literal_token3] = ACTIONS(10129),
    [aux_sym_float_literal_token4] = ACTIONS(10129),
    [sym_character_literal] = ACTIONS(10129),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10129),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10129),
    [sym__pair_operator] = ACTIONS(10129),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10129),
    [sym__lazy_and_operator] = ACTIONS(10129),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10129),
    [sym__pipe_left_operator] = ACTIONS(10129),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10129),
    [sym__bitshift_operator] = ACTIONS(10129),
    [sym__power_operator] = ACTIONS(10129),
    [sym__tilde_operator] = ACTIONS(10129),
    [sym__type_order_operator] = ACTIONS(10129),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7306] = {
    [sym_block_comment] = STATE(7306),
    [sym_line_comment] = STATE(7306),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11094),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7307] = {
    [sym_block_comment] = STATE(7307),
    [sym_line_comment] = STATE(7307),
    [ts_builtin_sym_end] = ACTIONS(10099),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_as] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_RBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7308] = {
    [sym_block_comment] = STATE(7308),
    [sym_line_comment] = STATE(7308),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_else] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_finally] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7309] = {
    [sym_block_comment] = STATE(7309),
    [sym_line_comment] = STATE(7309),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10265),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10265),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10265),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10265),
    [anon_sym_SQUOTE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10265),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10265),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10265),
    [anon_sym_QMARK] = ACTIONS(10265),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10265),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10265),
    [aux_sym_integer_literal_token2] = ACTIONS(10265),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10265),
    [aux_sym_float_literal_token3] = ACTIONS(10265),
    [aux_sym_float_literal_token4] = ACTIONS(10265),
    [sym_character_literal] = ACTIONS(10265),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10265),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10265),
    [sym__pair_operator] = ACTIONS(10265),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10265),
    [sym__lazy_and_operator] = ACTIONS(10265),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10265),
    [sym__pipe_left_operator] = ACTIONS(10265),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10265),
    [sym__bitshift_operator] = ACTIONS(10265),
    [sym__power_operator] = ACTIONS(10265),
    [sym__tilde_operator] = ACTIONS(10265),
    [sym__type_order_operator] = ACTIONS(10265),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10265),
    [sym__immediate_bracket] = ACTIONS(10265),
    [sym__immediate_brace] = ACTIONS(10265),
  },
  [7310] = {
    [sym_block_comment] = STATE(7310),
    [sym_line_comment] = STATE(7310),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10341),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10341),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10341),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10341),
    [anon_sym_SQUOTE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10341),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10341),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10341),
    [anon_sym_QMARK] = ACTIONS(10341),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10341),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10341),
    [aux_sym_integer_literal_token2] = ACTIONS(10341),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10341),
    [aux_sym_float_literal_token3] = ACTIONS(10341),
    [aux_sym_float_literal_token4] = ACTIONS(10341),
    [sym_character_literal] = ACTIONS(10341),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10341),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10341),
    [sym__pair_operator] = ACTIONS(10341),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10341),
    [sym__lazy_and_operator] = ACTIONS(10341),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10341),
    [sym__pipe_left_operator] = ACTIONS(10341),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10341),
    [sym__bitshift_operator] = ACTIONS(10341),
    [sym__power_operator] = ACTIONS(10341),
    [sym__tilde_operator] = ACTIONS(10341),
    [sym__type_order_operator] = ACTIONS(10341),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10341),
    [sym__immediate_bracket] = ACTIONS(10341),
    [sym__immediate_brace] = ACTIONS(10341),
  },
  [7311] = {
    [sym_block_comment] = STATE(7311),
    [sym_line_comment] = STATE(7311),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11096),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7312] = {
    [sym_block_comment] = STATE(7312),
    [sym_line_comment] = STATE(7312),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_else] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_finally] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7313] = {
    [sym_block_comment] = STATE(7313),
    [sym_line_comment] = STATE(7313),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10373),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10373),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10373),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10373),
    [anon_sym_SQUOTE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10373),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10373),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10373),
    [anon_sym_QMARK] = ACTIONS(10373),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10373),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10373),
    [aux_sym_integer_literal_token2] = ACTIONS(10373),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10373),
    [aux_sym_float_literal_token3] = ACTIONS(10373),
    [aux_sym_float_literal_token4] = ACTIONS(10373),
    [sym_character_literal] = ACTIONS(10373),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10373),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10373),
    [sym__pair_operator] = ACTIONS(10373),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10373),
    [sym__lazy_and_operator] = ACTIONS(10373),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10373),
    [sym__pipe_left_operator] = ACTIONS(10373),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10373),
    [sym__bitshift_operator] = ACTIONS(10373),
    [sym__power_operator] = ACTIONS(10373),
    [sym__tilde_operator] = ACTIONS(10373),
    [sym__type_order_operator] = ACTIONS(10373),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10373),
    [sym__immediate_bracket] = ACTIONS(10373),
    [sym__immediate_brace] = ACTIONS(10373),
  },
  [7314] = {
    [sym_block_comment] = STATE(7314),
    [sym_line_comment] = STATE(7314),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_elseif] = ACTIONS(10876),
    [anon_sym_else] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7315] = {
    [sym_block_comment] = STATE(7315),
    [sym_line_comment] = STATE(7315),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_catch] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_as] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7316] = {
    [sym_block_comment] = STATE(7316),
    [sym_line_comment] = STATE(7316),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_else] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_finally] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7317] = {
    [sym_block_comment] = STATE(7317),
    [sym_line_comment] = STATE(7317),
    [ts_builtin_sym_end] = ACTIONS(10195),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_as] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_RBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7318] = {
    [sym_block_comment] = STATE(7318),
    [sym_line_comment] = STATE(7318),
    [ts_builtin_sym_end] = ACTIONS(3226),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_as] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7319] = {
    [sym_block_comment] = STATE(7319),
    [sym_line_comment] = STATE(7319),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_else] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_finally] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7320] = {
    [sym_block_comment] = STATE(7320),
    [sym_line_comment] = STATE(7320),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10167),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9917),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7321] = {
    [sym_block_comment] = STATE(7321),
    [sym_line_comment] = STATE(7321),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [7322] = {
    [sym_block_comment] = STATE(7322),
    [sym_line_comment] = STATE(7322),
    [ts_builtin_sym_end] = ACTIONS(10317),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_as] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_RBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7323] = {
    [sym_block_comment] = STATE(7323),
    [sym_line_comment] = STATE(7323),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_catch] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_as] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7324] = {
    [sym_block_comment] = STATE(7324),
    [sym_line_comment] = STATE(7324),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_else] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(11098),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7325] = {
    [sym_block_comment] = STATE(7325),
    [sym_line_comment] = STATE(7325),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_catch] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_as] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7326] = {
    [sym_block_comment] = STATE(7326),
    [sym_line_comment] = STATE(7326),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10411),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10411),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10411),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10411),
    [anon_sym_SQUOTE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10411),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10411),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10411),
    [anon_sym_QMARK] = ACTIONS(10411),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10411),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10411),
    [aux_sym_integer_literal_token2] = ACTIONS(10411),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10411),
    [aux_sym_float_literal_token3] = ACTIONS(10411),
    [aux_sym_float_literal_token4] = ACTIONS(10411),
    [sym_character_literal] = ACTIONS(10411),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10411),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10411),
    [sym__pair_operator] = ACTIONS(10411),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10411),
    [sym__lazy_and_operator] = ACTIONS(10411),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10411),
    [sym__pipe_left_operator] = ACTIONS(10411),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10411),
    [sym__bitshift_operator] = ACTIONS(10411),
    [sym__power_operator] = ACTIONS(10411),
    [sym__tilde_operator] = ACTIONS(10411),
    [sym__type_order_operator] = ACTIONS(10411),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10411),
    [sym__immediate_bracket] = ACTIONS(10411),
    [sym__immediate_brace] = ACTIONS(10411),
  },
  [7327] = {
    [sym_block_comment] = STATE(7327),
    [sym_line_comment] = STATE(7327),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10087),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_as] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10087),
    [anon_sym_RPAREN] = ACTIONS(10087),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10087),
    [anon_sym_RBRACK] = ACTIONS(10087),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10087),
    [anon_sym_LBRACE] = ACTIONS(10087),
    [anon_sym_RBRACE] = ACTIONS(10087),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10087),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10087),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10087),
    [anon_sym_QMARK] = ACTIONS(10087),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10087),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10087),
    [aux_sym_integer_literal_token2] = ACTIONS(10087),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10087),
    [aux_sym_float_literal_token3] = ACTIONS(10087),
    [aux_sym_float_literal_token4] = ACTIONS(10087),
    [sym_character_literal] = ACTIONS(10087),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10087),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10087),
    [sym__pair_operator] = ACTIONS(10087),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10087),
    [sym__lazy_and_operator] = ACTIONS(10087),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10087),
    [sym__pipe_left_operator] = ACTIONS(10087),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10087),
    [sym__bitshift_operator] = ACTIONS(10087),
    [sym__power_operator] = ACTIONS(10087),
    [sym__tilde_operator] = ACTIONS(10087),
    [sym__type_order_operator] = ACTIONS(10087),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7328] = {
    [sym_block_comment] = STATE(7328),
    [sym_line_comment] = STATE(7328),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10219),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10219),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10219),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10219),
    [anon_sym_SQUOTE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10219),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10219),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10219),
    [anon_sym_QMARK] = ACTIONS(10219),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10219),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10219),
    [aux_sym_integer_literal_token2] = ACTIONS(10219),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10219),
    [aux_sym_float_literal_token3] = ACTIONS(10219),
    [aux_sym_float_literal_token4] = ACTIONS(10219),
    [sym_character_literal] = ACTIONS(10219),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10219),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10219),
    [sym__pair_operator] = ACTIONS(10219),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10219),
    [sym__lazy_and_operator] = ACTIONS(10219),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10219),
    [sym__pipe_left_operator] = ACTIONS(10219),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10219),
    [sym__bitshift_operator] = ACTIONS(10219),
    [sym__power_operator] = ACTIONS(10219),
    [sym__tilde_operator] = ACTIONS(10219),
    [sym__type_order_operator] = ACTIONS(10219),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10219),
    [sym__immediate_bracket] = ACTIONS(10219),
    [sym__immediate_brace] = ACTIONS(10219),
  },
  [7329] = {
    [sym_block_comment] = STATE(7329),
    [sym_line_comment] = STATE(7329),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_else] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7330] = {
    [sym_block_comment] = STATE(7330),
    [sym_line_comment] = STATE(7330),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7331] = {
    [sym_block_comment] = STATE(7331),
    [sym_line_comment] = STATE(7331),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_else] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7332] = {
    [sym_block_comment] = STATE(7332),
    [sym_line_comment] = STATE(7332),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_else] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_finally] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7333] = {
    [sym_block_comment] = STATE(7333),
    [sym_line_comment] = STATE(7333),
    [sym__word_identifier] = ACTIONS(10209),
    [anon_sym_COMMA] = ACTIONS(10211),
    [anon_sym_EQ] = ACTIONS(10209),
    [anon_sym_begin] = ACTIONS(10209),
    [anon_sym_module] = ACTIONS(10209),
    [anon_sym_baremodule] = ACTIONS(10209),
    [anon_sym_end] = ACTIONS(10209),
    [anon_sym_abstract] = ACTIONS(10209),
    [anon_sym_primitive] = ACTIONS(10209),
    [anon_sym_mutable] = ACTIONS(10209),
    [anon_sym_struct] = ACTIONS(10209),
    [anon_sym_function] = ACTIONS(10209),
    [anon_sym_macro] = ACTIONS(10209),
    [anon_sym_quote] = ACTIONS(10209),
    [anon_sym_let] = ACTIONS(10209),
    [anon_sym_if] = ACTIONS(10209),
    [anon_sym_try] = ACTIONS(10209),
    [anon_sym_for] = ACTIONS(10209),
    [anon_sym_while] = ACTIONS(10209),
    [sym_break_statement] = ACTIONS(10209),
    [sym_continue_statement] = ACTIONS(10209),
    [anon_sym_return] = ACTIONS(10209),
    [anon_sym_const] = ACTIONS(10209),
    [anon_sym_global] = ACTIONS(10209),
    [anon_sym_local] = ACTIONS(10209),
    [anon_sym_LPAREN] = ACTIONS(10211),
    [anon_sym_COLON] = ACTIONS(10209),
    [anon_sym_export] = ACTIONS(10209),
    [anon_sym_public] = ACTIONS(10209),
    [anon_sym_import] = ACTIONS(10209),
    [anon_sym_using] = ACTIONS(10209),
    [anon_sym_LBRACK] = ACTIONS(10211),
    [anon_sym_in] = ACTIONS(10209),
    [anon_sym_LBRACE] = ACTIONS(10211),
    [anon_sym_SQUOTE] = ACTIONS(10209),
    [anon_sym_DOT] = ACTIONS(10209),
    [anon_sym_DOLLAR] = ACTIONS(10211),
    [anon_sym_COLON2] = ACTIONS(10209),
    [anon_sym_COLON_COLON] = ACTIONS(10211),
    [anon_sym_isa] = ACTIONS(10209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10211),
    [anon_sym_QMARK] = ACTIONS(10211),
    [anon_sym_where] = ACTIONS(10209),
    [anon_sym_AT] = ACTIONS(10211),
    [anon_sym_true] = ACTIONS(10209),
    [anon_sym_false] = ACTIONS(10209),
    [aux_sym_integer_literal_token1] = ACTIONS(10211),
    [aux_sym_integer_literal_token2] = ACTIONS(10211),
    [aux_sym_integer_literal_token3] = ACTIONS(10209),
    [aux_sym_integer_literal_token4] = ACTIONS(10209),
    [aux_sym_float_literal_token1] = ACTIONS(10211),
    [aux_sym_float_literal_token3] = ACTIONS(10211),
    [aux_sym_float_literal_token4] = ACTIONS(10211),
    [sym_character_literal] = ACTIONS(10211),
    [anon_sym_DQUOTE] = ACTIONS(10209),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10211),
    [anon_sym_BQUOTE] = ACTIONS(10209),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10211),
    [sym__pair_operator] = ACTIONS(10211),
    [sym__arrow_operator] = ACTIONS(10209),
    [sym__lazy_or_operator] = ACTIONS(10211),
    [sym__lazy_and_operator] = ACTIONS(10211),
    [sym__comparison_operator] = ACTIONS(10209),
    [sym__pipe_right_operator] = ACTIONS(10211),
    [sym__pipe_left_operator] = ACTIONS(10211),
    [sym__ellipsis_operator] = ACTIONS(10209),
    [sym__plus_operator] = ACTIONS(10209),
    [sym__times_operator] = ACTIONS(10209),
    [sym__rational_operator] = ACTIONS(10211),
    [sym__bitshift_operator] = ACTIONS(10211),
    [sym__power_operator] = ACTIONS(10211),
    [sym__tilde_operator] = ACTIONS(10211),
    [sym__type_order_operator] = ACTIONS(10211),
    [sym__unary_operator] = ACTIONS(10209),
    [sym__unary_plus_operator] = ACTIONS(10209),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10211),
    [sym__immediate_bracket] = ACTIONS(10211),
    [sym__immediate_brace] = ACTIONS(10211),
  },
  [7334] = {
    [sym_block_comment] = STATE(7334),
    [sym_line_comment] = STATE(7334),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7335] = {
    [sym_block_comment] = STATE(7335),
    [sym_line_comment] = STATE(7335),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10349),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_as] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10349),
    [anon_sym_RPAREN] = ACTIONS(10349),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10349),
    [anon_sym_RBRACK] = ACTIONS(10349),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10349),
    [anon_sym_LBRACE] = ACTIONS(10349),
    [anon_sym_RBRACE] = ACTIONS(10349),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10349),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10349),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10349),
    [anon_sym_QMARK] = ACTIONS(10349),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10349),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10349),
    [aux_sym_integer_literal_token2] = ACTIONS(10349),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10349),
    [aux_sym_float_literal_token3] = ACTIONS(10349),
    [aux_sym_float_literal_token4] = ACTIONS(10349),
    [sym_character_literal] = ACTIONS(10349),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10349),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10349),
    [sym__pair_operator] = ACTIONS(10349),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10349),
    [sym__lazy_and_operator] = ACTIONS(10349),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10349),
    [sym__pipe_left_operator] = ACTIONS(10349),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10349),
    [sym__bitshift_operator] = ACTIONS(10349),
    [sym__power_operator] = ACTIONS(10349),
    [sym__tilde_operator] = ACTIONS(10349),
    [sym__type_order_operator] = ACTIONS(10349),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7336] = {
    [sym_block_comment] = STATE(7336),
    [sym_line_comment] = STATE(7336),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_catch] = ACTIONS(10315),
    [anon_sym_finally] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_as] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7337] = {
    [sym_identifier] = STATE(8061),
    [sym_block_comment] = STATE(7337),
    [sym_line_comment] = STATE(7337),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_finally] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7338] = {
    [sym_block_comment] = STATE(7338),
    [sym_line_comment] = STATE(7338),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10353),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_as] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10353),
    [anon_sym_RPAREN] = ACTIONS(10353),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10353),
    [anon_sym_RBRACK] = ACTIONS(10353),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10353),
    [anon_sym_LBRACE] = ACTIONS(10353),
    [anon_sym_RBRACE] = ACTIONS(10353),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10353),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10353),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10353),
    [anon_sym_QMARK] = ACTIONS(10353),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10353),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10353),
    [aux_sym_integer_literal_token2] = ACTIONS(10353),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10353),
    [aux_sym_float_literal_token3] = ACTIONS(10353),
    [aux_sym_float_literal_token4] = ACTIONS(10353),
    [sym_character_literal] = ACTIONS(10353),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10353),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10353),
    [sym__pair_operator] = ACTIONS(10353),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10353),
    [sym__lazy_and_operator] = ACTIONS(10353),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10353),
    [sym__pipe_left_operator] = ACTIONS(10353),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10353),
    [sym__bitshift_operator] = ACTIONS(10353),
    [sym__power_operator] = ACTIONS(10353),
    [sym__tilde_operator] = ACTIONS(10353),
    [sym__type_order_operator] = ACTIONS(10353),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7339] = {
    [sym_identifier] = STATE(8063),
    [sym_block_comment] = STATE(7339),
    [sym_line_comment] = STATE(7339),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_finally] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7340] = {
    [sym_block_comment] = STATE(7340),
    [sym_line_comment] = STATE(7340),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_SQUOTE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3226),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3226),
    [aux_sym_integer_literal_token2] = ACTIONS(3226),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3226),
    [aux_sym_float_literal_token3] = ACTIONS(3226),
    [aux_sym_float_literal_token4] = ACTIONS(3226),
    [sym_character_literal] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3226),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3226),
    [sym__pair_operator] = ACTIONS(3226),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3226),
    [sym__pipe_left_operator] = ACTIONS(3226),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3226),
    [sym__bitshift_operator] = ACTIONS(3226),
    [sym__power_operator] = ACTIONS(3226),
    [sym__tilde_operator] = ACTIONS(3226),
    [sym__type_order_operator] = ACTIONS(3226),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
    [sym__immediate_bracket] = ACTIONS(3226),
    [sym__immediate_brace] = ACTIONS(3226),
  },
  [7341] = {
    [sym_block_comment] = STATE(7341),
    [sym_line_comment] = STATE(7341),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10321),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10321),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10321),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10321),
    [anon_sym_SQUOTE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10321),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10321),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10321),
    [anon_sym_QMARK] = ACTIONS(10321),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10321),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10321),
    [aux_sym_integer_literal_token2] = ACTIONS(10321),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10321),
    [aux_sym_float_literal_token3] = ACTIONS(10321),
    [aux_sym_float_literal_token4] = ACTIONS(10321),
    [sym_character_literal] = ACTIONS(10321),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10321),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10321),
    [sym__pair_operator] = ACTIONS(10321),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10321),
    [sym__lazy_and_operator] = ACTIONS(10321),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10321),
    [sym__pipe_left_operator] = ACTIONS(10321),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10321),
    [sym__bitshift_operator] = ACTIONS(10321),
    [sym__power_operator] = ACTIONS(10321),
    [sym__tilde_operator] = ACTIONS(10321),
    [sym__type_order_operator] = ACTIONS(10321),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10321),
    [sym__immediate_bracket] = ACTIONS(10321),
    [sym__immediate_brace] = ACTIONS(10321),
  },
  [7342] = {
    [sym_block_comment] = STATE(7342),
    [sym_line_comment] = STATE(7342),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_RPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_RBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9995),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_RBRACE] = ACTIONS(9995),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9995),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9995),
    [sym__bitshift_operator] = ACTIONS(9995),
    [sym__power_operator] = ACTIONS(9995),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7343] = {
    [sym_identifier] = STATE(8086),
    [sym_block_comment] = STATE(7343),
    [sym_line_comment] = STATE(7343),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_finally] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7344] = {
    [sym_identifier] = STATE(8087),
    [sym_block_comment] = STATE(7344),
    [sym_line_comment] = STATE(7344),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_finally] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7345] = {
    [sym_block_comment] = STATE(7345),
    [sym_line_comment] = STATE(7345),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7346] = {
    [sym_block_comment] = STATE(7346),
    [sym_line_comment] = STATE(7346),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_else] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_finally] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7347] = {
    [sym_block_comment] = STATE(7347),
    [sym_line_comment] = STATE(7347),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10397),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10397),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10397),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10397),
    [anon_sym_SQUOTE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10397),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10397),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10397),
    [anon_sym_QMARK] = ACTIONS(10397),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10397),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10397),
    [aux_sym_integer_literal_token2] = ACTIONS(10397),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10397),
    [aux_sym_float_literal_token3] = ACTIONS(10397),
    [aux_sym_float_literal_token4] = ACTIONS(10397),
    [sym_character_literal] = ACTIONS(10397),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10397),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10397),
    [sym__pair_operator] = ACTIONS(10397),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10397),
    [sym__lazy_and_operator] = ACTIONS(10397),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10397),
    [sym__pipe_left_operator] = ACTIONS(10397),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10397),
    [sym__bitshift_operator] = ACTIONS(10397),
    [sym__power_operator] = ACTIONS(10397),
    [sym__tilde_operator] = ACTIONS(10397),
    [sym__type_order_operator] = ACTIONS(10397),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10397),
    [sym__immediate_bracket] = ACTIONS(10397),
    [sym__immediate_brace] = ACTIONS(10397),
  },
  [7348] = {
    [sym_block_comment] = STATE(7348),
    [sym_line_comment] = STATE(7348),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10357),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_as] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10357),
    [anon_sym_RPAREN] = ACTIONS(10357),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10357),
    [anon_sym_RBRACK] = ACTIONS(10357),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10357),
    [anon_sym_LBRACE] = ACTIONS(10357),
    [anon_sym_RBRACE] = ACTIONS(10357),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10357),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10357),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10357),
    [anon_sym_QMARK] = ACTIONS(10357),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10357),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10357),
    [aux_sym_integer_literal_token2] = ACTIONS(10357),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10357),
    [aux_sym_float_literal_token3] = ACTIONS(10357),
    [aux_sym_float_literal_token4] = ACTIONS(10357),
    [sym_character_literal] = ACTIONS(10357),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10357),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10357),
    [sym__pair_operator] = ACTIONS(10357),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10357),
    [sym__lazy_and_operator] = ACTIONS(10357),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10357),
    [sym__pipe_left_operator] = ACTIONS(10357),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10357),
    [sym__bitshift_operator] = ACTIONS(10357),
    [sym__power_operator] = ACTIONS(10357),
    [sym__tilde_operator] = ACTIONS(10357),
    [sym__type_order_operator] = ACTIONS(10357),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7349] = {
    [sym_block_comment] = STATE(7349),
    [sym_line_comment] = STATE(7349),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10415),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10415),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10415),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10415),
    [anon_sym_SQUOTE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10415),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10415),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10415),
    [anon_sym_QMARK] = ACTIONS(10415),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10415),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10415),
    [aux_sym_integer_literal_token2] = ACTIONS(10415),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10415),
    [aux_sym_float_literal_token3] = ACTIONS(10415),
    [aux_sym_float_literal_token4] = ACTIONS(10415),
    [sym_character_literal] = ACTIONS(10415),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10415),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10415),
    [sym__pair_operator] = ACTIONS(10415),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10415),
    [sym__lazy_and_operator] = ACTIONS(10415),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10415),
    [sym__pipe_left_operator] = ACTIONS(10415),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10415),
    [sym__bitshift_operator] = ACTIONS(10415),
    [sym__power_operator] = ACTIONS(10415),
    [sym__tilde_operator] = ACTIONS(10415),
    [sym__type_order_operator] = ACTIONS(10415),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10415),
    [sym__immediate_bracket] = ACTIONS(10415),
    [sym__immediate_brace] = ACTIONS(10415),
  },
  [7350] = {
    [sym_block_comment] = STATE(7350),
    [sym_line_comment] = STATE(7350),
    [ts_builtin_sym_end] = ACTIONS(10435),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_as] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_RBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7351] = {
    [sym_block_comment] = STATE(7351),
    [sym_line_comment] = STATE(7351),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7352] = {
    [sym_block_comment] = STATE(7352),
    [sym_line_comment] = STATE(7352),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10435),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_as] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10435),
    [anon_sym_RPAREN] = ACTIONS(10435),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10435),
    [anon_sym_RBRACK] = ACTIONS(10435),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10435),
    [anon_sym_LBRACE] = ACTIONS(10435),
    [anon_sym_RBRACE] = ACTIONS(10435),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10435),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10435),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10435),
    [anon_sym_QMARK] = ACTIONS(10435),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10435),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10435),
    [aux_sym_integer_literal_token2] = ACTIONS(10435),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10435),
    [aux_sym_float_literal_token3] = ACTIONS(10435),
    [aux_sym_float_literal_token4] = ACTIONS(10435),
    [sym_character_literal] = ACTIONS(10435),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10435),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10435),
    [sym__pair_operator] = ACTIONS(10435),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10435),
    [sym__lazy_and_operator] = ACTIONS(10435),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10435),
    [sym__pipe_left_operator] = ACTIONS(10435),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10435),
    [sym__bitshift_operator] = ACTIONS(10435),
    [sym__power_operator] = ACTIONS(10435),
    [sym__tilde_operator] = ACTIONS(10435),
    [sym__type_order_operator] = ACTIONS(10435),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7353] = {
    [sym_block_comment] = STATE(7353),
    [sym_line_comment] = STATE(7353),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_else] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_finally] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7354] = {
    [sym_block_comment] = STATE(7354),
    [sym_line_comment] = STATE(7354),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_finally] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_as] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7355] = {
    [sym_block_comment] = STATE(7355),
    [sym_line_comment] = STATE(7355),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_else] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_finally] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7356] = {
    [sym_block_comment] = STATE(7356),
    [sym_line_comment] = STATE(7356),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10091),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_as] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10091),
    [anon_sym_RPAREN] = ACTIONS(10091),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10091),
    [anon_sym_RBRACK] = ACTIONS(10091),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10091),
    [anon_sym_LBRACE] = ACTIONS(10091),
    [anon_sym_RBRACE] = ACTIONS(10091),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10091),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10091),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10091),
    [anon_sym_QMARK] = ACTIONS(10091),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10091),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10091),
    [aux_sym_integer_literal_token2] = ACTIONS(10091),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10091),
    [aux_sym_float_literal_token3] = ACTIONS(10091),
    [aux_sym_float_literal_token4] = ACTIONS(10091),
    [sym_character_literal] = ACTIONS(10091),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10091),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10091),
    [sym__pair_operator] = ACTIONS(10091),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10091),
    [sym__lazy_and_operator] = ACTIONS(10091),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10091),
    [sym__pipe_left_operator] = ACTIONS(10091),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10091),
    [sym__bitshift_operator] = ACTIONS(10091),
    [sym__power_operator] = ACTIONS(10091),
    [sym__tilde_operator] = ACTIONS(10091),
    [sym__type_order_operator] = ACTIONS(10091),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7357] = {
    [sym_block_comment] = STATE(7357),
    [sym_line_comment] = STATE(7357),
    [aux_sym__import_list_repeat1] = STATE(7186),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11026),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_elseif] = ACTIONS(11024),
    [anon_sym_else] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7358] = {
    [sym_block_comment] = STATE(7358),
    [sym_line_comment] = STATE(7358),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10439),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_as] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10439),
    [anon_sym_RPAREN] = ACTIONS(10439),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10439),
    [anon_sym_RBRACK] = ACTIONS(10439),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10439),
    [anon_sym_LBRACE] = ACTIONS(10439),
    [anon_sym_RBRACE] = ACTIONS(10439),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10439),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10439),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10439),
    [anon_sym_QMARK] = ACTIONS(10439),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10439),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10439),
    [aux_sym_integer_literal_token2] = ACTIONS(10439),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10439),
    [aux_sym_float_literal_token3] = ACTIONS(10439),
    [aux_sym_float_literal_token4] = ACTIONS(10439),
    [sym_character_literal] = ACTIONS(10439),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10439),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10439),
    [sym__pair_operator] = ACTIONS(10439),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10439),
    [sym__lazy_and_operator] = ACTIONS(10439),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10439),
    [sym__pipe_left_operator] = ACTIONS(10439),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10439),
    [sym__bitshift_operator] = ACTIONS(10439),
    [sym__power_operator] = ACTIONS(10439),
    [sym__tilde_operator] = ACTIONS(10439),
    [sym__type_order_operator] = ACTIONS(10439),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7359] = {
    [sym_block_comment] = STATE(7359),
    [sym_line_comment] = STATE(7359),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_finally] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_as] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7360] = {
    [sym_block_comment] = STATE(7360),
    [sym_line_comment] = STATE(7360),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10870),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10870),
    [anon_sym_RPAREN] = ACTIONS(10870),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10870),
    [anon_sym_RBRACK] = ACTIONS(10870),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10870),
    [anon_sym_LBRACE] = ACTIONS(10870),
    [anon_sym_RBRACE] = ACTIONS(10870),
    [anon_sym_DOT] = ACTIONS(11100),
    [anon_sym_DOLLAR] = ACTIONS(10870),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10870),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10870),
    [anon_sym_QMARK] = ACTIONS(10870),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10870),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10870),
    [aux_sym_integer_literal_token2] = ACTIONS(10870),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10870),
    [aux_sym_float_literal_token3] = ACTIONS(10870),
    [aux_sym_float_literal_token4] = ACTIONS(10870),
    [sym_character_literal] = ACTIONS(10870),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10870),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10870),
    [sym__pair_operator] = ACTIONS(10870),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10870),
    [sym__lazy_and_operator] = ACTIONS(10870),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10870),
    [sym__pipe_left_operator] = ACTIONS(10870),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10870),
    [sym__bitshift_operator] = ACTIONS(10870),
    [sym__power_operator] = ACTIONS(10870),
    [sym__tilde_operator] = ACTIONS(10870),
    [sym__type_order_operator] = ACTIONS(10870),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7361] = {
    [sym_block_comment] = STATE(7361),
    [sym_line_comment] = STATE(7361),
    [ts_builtin_sym_end] = ACTIONS(10439),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_as] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_RBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7362] = {
    [sym_block_comment] = STATE(7362),
    [sym_line_comment] = STATE(7362),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11102),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_end] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_elseif] = ACTIONS(11102),
    [anon_sym_else] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_as] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11102),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11102),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_SEMI] = ACTIONS(11102),
    [anon_sym_LBRACE] = ACTIONS(11102),
    [anon_sym_DOLLAR] = ACTIONS(11102),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11102),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11102),
    [anon_sym_QMARK] = ACTIONS(11102),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11102),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11102),
    [aux_sym_integer_literal_token2] = ACTIONS(11102),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11102),
    [aux_sym_float_literal_token3] = ACTIONS(11102),
    [aux_sym_float_literal_token4] = ACTIONS(11102),
    [sym_character_literal] = ACTIONS(11102),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(11102),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11102),
    [sym__lazy_and_operator] = ACTIONS(11102),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11102),
    [sym__pipe_left_operator] = ACTIONS(11102),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11102),
    [sym__bitshift_operator] = ACTIONS(11102),
    [sym__power_operator] = ACTIONS(11102),
    [sym__tilde_operator] = ACTIONS(11102),
    [sym__type_order_operator] = ACTIONS(11102),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym__terminator_token1] = ACTIONS(11104),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7363] = {
    [sym_block_comment] = STATE(7363),
    [sym_line_comment] = STATE(7363),
    [aux_sym__import_list_repeat1] = STATE(8121),
    [ts_builtin_sym_end] = ACTIONS(11032),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11106),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(11108),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11110),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_RBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7364] = {
    [sym_block_comment] = STATE(7364),
    [sym_line_comment] = STATE(7364),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [7365] = {
    [sym_block_comment] = STATE(7365),
    [sym_line_comment] = STATE(7365),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_else] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7366] = {
    [sym_block_comment] = STATE(7366),
    [sym_line_comment] = STATE(7366),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10345),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_as] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10345),
    [anon_sym_RPAREN] = ACTIONS(10345),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10345),
    [anon_sym_RBRACK] = ACTIONS(10345),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10345),
    [anon_sym_LBRACE] = ACTIONS(10345),
    [anon_sym_RBRACE] = ACTIONS(10345),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10345),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10345),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10345),
    [anon_sym_QMARK] = ACTIONS(10345),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10345),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10345),
    [aux_sym_integer_literal_token2] = ACTIONS(10345),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10345),
    [aux_sym_float_literal_token3] = ACTIONS(10345),
    [aux_sym_float_literal_token4] = ACTIONS(10345),
    [sym_character_literal] = ACTIONS(10345),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10345),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10345),
    [sym__pair_operator] = ACTIONS(10345),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10345),
    [sym__lazy_and_operator] = ACTIONS(10345),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10345),
    [sym__pipe_left_operator] = ACTIONS(10345),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10345),
    [sym__bitshift_operator] = ACTIONS(10345),
    [sym__power_operator] = ACTIONS(10345),
    [sym__tilde_operator] = ACTIONS(10345),
    [sym__type_order_operator] = ACTIONS(10345),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7367] = {
    [sym_block_comment] = STATE(7367),
    [sym_line_comment] = STATE(7367),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_finally] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_as] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7368] = {
    [sym_block_comment] = STATE(7368),
    [sym_line_comment] = STATE(7368),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10317),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10317),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10317),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10317),
    [anon_sym_SQUOTE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10317),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10317),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10317),
    [anon_sym_QMARK] = ACTIONS(10317),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10317),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10317),
    [aux_sym_integer_literal_token2] = ACTIONS(10317),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10317),
    [aux_sym_float_literal_token3] = ACTIONS(10317),
    [aux_sym_float_literal_token4] = ACTIONS(10317),
    [sym_character_literal] = ACTIONS(10317),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10317),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10317),
    [sym__pair_operator] = ACTIONS(10317),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10317),
    [sym__lazy_and_operator] = ACTIONS(10317),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10317),
    [sym__pipe_left_operator] = ACTIONS(10317),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10317),
    [sym__bitshift_operator] = ACTIONS(10317),
    [sym__power_operator] = ACTIONS(10317),
    [sym__tilde_operator] = ACTIONS(10317),
    [sym__type_order_operator] = ACTIONS(10317),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10317),
    [sym__immediate_bracket] = ACTIONS(10317),
    [sym__immediate_brace] = ACTIONS(10317),
  },
  [7369] = {
    [sym_block_comment] = STATE(7369),
    [sym_line_comment] = STATE(7369),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9911),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7370] = {
    [sym_block_comment] = STATE(7370),
    [sym_line_comment] = STATE(7370),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11112),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7371] = {
    [sym_block_comment] = STATE(7371),
    [sym_line_comment] = STATE(7371),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_catch] = ACTIONS(10403),
    [anon_sym_finally] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_as] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7372] = {
    [sym_block_comment] = STATE(7372),
    [sym_line_comment] = STATE(7372),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_finally] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_as] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7373] = {
    [sym_block_comment] = STATE(7373),
    [sym_line_comment] = STATE(7373),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_elseif] = ACTIONS(10229),
    [anon_sym_else] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7374] = {
    [sym_block_comment] = STATE(7374),
    [sym_line_comment] = STATE(7374),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10195),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_as] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10195),
    [anon_sym_RPAREN] = ACTIONS(10195),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10195),
    [anon_sym_RBRACK] = ACTIONS(10195),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10195),
    [anon_sym_LBRACE] = ACTIONS(10195),
    [anon_sym_RBRACE] = ACTIONS(10195),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10195),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10195),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10195),
    [anon_sym_QMARK] = ACTIONS(10195),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10195),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10195),
    [aux_sym_integer_literal_token2] = ACTIONS(10195),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10195),
    [aux_sym_float_literal_token3] = ACTIONS(10195),
    [aux_sym_float_literal_token4] = ACTIONS(10195),
    [sym_character_literal] = ACTIONS(10195),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10195),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10195),
    [sym__pair_operator] = ACTIONS(10195),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10195),
    [sym__lazy_and_operator] = ACTIONS(10195),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10195),
    [sym__pipe_left_operator] = ACTIONS(10195),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10195),
    [sym__bitshift_operator] = ACTIONS(10195),
    [sym__power_operator] = ACTIONS(10195),
    [sym__tilde_operator] = ACTIONS(10195),
    [sym__type_order_operator] = ACTIONS(10195),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7375] = {
    [sym_block_comment] = STATE(7375),
    [sym_line_comment] = STATE(7375),
    [sym__word_identifier] = ACTIONS(11048),
    [anon_sym_COMMA] = ACTIONS(11048),
    [anon_sym_EQ] = ACTIONS(11048),
    [anon_sym_begin] = ACTIONS(11048),
    [anon_sym_module] = ACTIONS(11048),
    [anon_sym_baremodule] = ACTIONS(11048),
    [anon_sym_end] = ACTIONS(11048),
    [anon_sym_abstract] = ACTIONS(11048),
    [anon_sym_primitive] = ACTIONS(11048),
    [anon_sym_mutable] = ACTIONS(11048),
    [anon_sym_struct] = ACTIONS(11048),
    [anon_sym_function] = ACTIONS(11048),
    [anon_sym_macro] = ACTIONS(11048),
    [anon_sym_quote] = ACTIONS(11048),
    [anon_sym_let] = ACTIONS(11048),
    [anon_sym_if] = ACTIONS(11048),
    [anon_sym_try] = ACTIONS(11048),
    [anon_sym_catch] = ACTIONS(11048),
    [anon_sym_for] = ACTIONS(11048),
    [anon_sym_while] = ACTIONS(11048),
    [sym_break_statement] = ACTIONS(11048),
    [sym_continue_statement] = ACTIONS(11048),
    [anon_sym_return] = ACTIONS(11048),
    [anon_sym_const] = ACTIONS(11048),
    [anon_sym_global] = ACTIONS(11048),
    [anon_sym_local] = ACTIONS(11048),
    [anon_sym_as] = ACTIONS(11048),
    [anon_sym_LPAREN] = ACTIONS(11048),
    [anon_sym_COLON] = ACTIONS(11048),
    [anon_sym_export] = ACTIONS(11048),
    [anon_sym_public] = ACTIONS(11048),
    [anon_sym_import] = ACTIONS(11048),
    [anon_sym_using] = ACTIONS(11048),
    [anon_sym_LBRACK] = ACTIONS(11048),
    [anon_sym_in] = ACTIONS(11048),
    [anon_sym_SEMI] = ACTIONS(11048),
    [anon_sym_LBRACE] = ACTIONS(11048),
    [anon_sym_DOT] = ACTIONS(11114),
    [anon_sym_DOLLAR] = ACTIONS(11048),
    [anon_sym_COLON2] = ACTIONS(11048),
    [anon_sym_COLON_COLON] = ACTIONS(11048),
    [anon_sym_isa] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11048),
    [anon_sym_QMARK] = ACTIONS(11048),
    [anon_sym_where] = ACTIONS(11048),
    [anon_sym_AT] = ACTIONS(11048),
    [anon_sym_true] = ACTIONS(11048),
    [anon_sym_false] = ACTIONS(11048),
    [aux_sym_integer_literal_token1] = ACTIONS(11048),
    [aux_sym_integer_literal_token2] = ACTIONS(11048),
    [aux_sym_integer_literal_token3] = ACTIONS(11048),
    [aux_sym_integer_literal_token4] = ACTIONS(11048),
    [aux_sym_float_literal_token1] = ACTIONS(11048),
    [aux_sym_float_literal_token3] = ACTIONS(11048),
    [aux_sym_float_literal_token4] = ACTIONS(11048),
    [sym_character_literal] = ACTIONS(11048),
    [anon_sym_DQUOTE] = ACTIONS(11048),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11048),
    [anon_sym_BQUOTE] = ACTIONS(11048),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(11048),
    [sym__arrow_operator] = ACTIONS(11048),
    [sym__lazy_or_operator] = ACTIONS(11048),
    [sym__lazy_and_operator] = ACTIONS(11048),
    [sym__comparison_operator] = ACTIONS(11048),
    [sym__pipe_right_operator] = ACTIONS(11048),
    [sym__pipe_left_operator] = ACTIONS(11048),
    [sym__ellipsis_operator] = ACTIONS(11048),
    [sym__plus_operator] = ACTIONS(11048),
    [sym__times_operator] = ACTIONS(11048),
    [sym__rational_operator] = ACTIONS(11048),
    [sym__bitshift_operator] = ACTIONS(11048),
    [sym__power_operator] = ACTIONS(11048),
    [sym__tilde_operator] = ACTIONS(11048),
    [sym__type_order_operator] = ACTIONS(11048),
    [sym__unary_operator] = ACTIONS(11048),
    [sym__unary_plus_operator] = ACTIONS(11048),
    [aux_sym__terminator_token1] = ACTIONS(11050),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7376] = {
    [sym_block_comment] = STATE(7376),
    [sym_line_comment] = STATE(7376),
    [sym__word_identifier] = ACTIONS(10221),
    [anon_sym_COMMA] = ACTIONS(10223),
    [anon_sym_EQ] = ACTIONS(10221),
    [anon_sym_begin] = ACTIONS(10221),
    [anon_sym_module] = ACTIONS(10221),
    [anon_sym_baremodule] = ACTIONS(10221),
    [anon_sym_end] = ACTIONS(10221),
    [anon_sym_abstract] = ACTIONS(10221),
    [anon_sym_primitive] = ACTIONS(10221),
    [anon_sym_mutable] = ACTIONS(10221),
    [anon_sym_struct] = ACTIONS(10221),
    [anon_sym_function] = ACTIONS(10221),
    [anon_sym_macro] = ACTIONS(10221),
    [anon_sym_quote] = ACTIONS(10221),
    [anon_sym_let] = ACTIONS(10221),
    [anon_sym_if] = ACTIONS(10221),
    [anon_sym_try] = ACTIONS(10221),
    [anon_sym_for] = ACTIONS(10221),
    [anon_sym_while] = ACTIONS(10221),
    [sym_break_statement] = ACTIONS(10221),
    [sym_continue_statement] = ACTIONS(10221),
    [anon_sym_return] = ACTIONS(10221),
    [anon_sym_const] = ACTIONS(10221),
    [anon_sym_global] = ACTIONS(10221),
    [anon_sym_local] = ACTIONS(10221),
    [anon_sym_LPAREN] = ACTIONS(10223),
    [anon_sym_COLON] = ACTIONS(10221),
    [anon_sym_export] = ACTIONS(10221),
    [anon_sym_public] = ACTIONS(10221),
    [anon_sym_import] = ACTIONS(10221),
    [anon_sym_using] = ACTIONS(10221),
    [anon_sym_LBRACK] = ACTIONS(10223),
    [anon_sym_in] = ACTIONS(10221),
    [anon_sym_LBRACE] = ACTIONS(10223),
    [anon_sym_SQUOTE] = ACTIONS(10221),
    [anon_sym_DOT] = ACTIONS(10221),
    [anon_sym_DOLLAR] = ACTIONS(10223),
    [anon_sym_COLON2] = ACTIONS(10221),
    [anon_sym_COLON_COLON] = ACTIONS(10223),
    [anon_sym_isa] = ACTIONS(10221),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10223),
    [anon_sym_QMARK] = ACTIONS(10223),
    [anon_sym_where] = ACTIONS(10221),
    [anon_sym_AT] = ACTIONS(10223),
    [anon_sym_true] = ACTIONS(10221),
    [anon_sym_false] = ACTIONS(10221),
    [aux_sym_integer_literal_token1] = ACTIONS(10223),
    [aux_sym_integer_literal_token2] = ACTIONS(10223),
    [aux_sym_integer_literal_token3] = ACTIONS(10221),
    [aux_sym_integer_literal_token4] = ACTIONS(10221),
    [aux_sym_float_literal_token1] = ACTIONS(10223),
    [aux_sym_float_literal_token3] = ACTIONS(10223),
    [aux_sym_float_literal_token4] = ACTIONS(10223),
    [sym_character_literal] = ACTIONS(10223),
    [anon_sym_DQUOTE] = ACTIONS(10221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10223),
    [anon_sym_BQUOTE] = ACTIONS(10221),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10223),
    [sym__pair_operator] = ACTIONS(10223),
    [sym__arrow_operator] = ACTIONS(10221),
    [sym__lazy_or_operator] = ACTIONS(10223),
    [sym__lazy_and_operator] = ACTIONS(10223),
    [sym__comparison_operator] = ACTIONS(10221),
    [sym__pipe_right_operator] = ACTIONS(10223),
    [sym__pipe_left_operator] = ACTIONS(10223),
    [sym__ellipsis_operator] = ACTIONS(10221),
    [sym__plus_operator] = ACTIONS(10221),
    [sym__times_operator] = ACTIONS(10221),
    [sym__rational_operator] = ACTIONS(10223),
    [sym__bitshift_operator] = ACTIONS(10223),
    [sym__power_operator] = ACTIONS(10223),
    [sym__tilde_operator] = ACTIONS(10223),
    [sym__type_order_operator] = ACTIONS(10223),
    [sym__unary_operator] = ACTIONS(10221),
    [sym__unary_plus_operator] = ACTIONS(10221),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10223),
    [sym__immediate_bracket] = ACTIONS(10223),
    [sym__immediate_brace] = ACTIONS(10223),
  },
  [7377] = {
    [sym_block_comment] = STATE(7377),
    [sym_line_comment] = STATE(7377),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_finally] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_as] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7378] = {
    [sym_block_comment] = STATE(7378),
    [sym_line_comment] = STATE(7378),
    [ts_builtin_sym_end] = ACTIONS(10325),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_as] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_RBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7379] = {
    [sym_block_comment] = STATE(7379),
    [sym_line_comment] = STATE(7379),
    [ts_builtin_sym_end] = ACTIONS(10321),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_as] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_RBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7380] = {
    [sym_block_comment] = STATE(7380),
    [sym_line_comment] = STATE(7380),
    [ts_builtin_sym_end] = ACTIONS(10329),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_as] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_RBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7381] = {
    [sym_block_comment] = STATE(7381),
    [sym_line_comment] = STATE(7381),
    [ts_builtin_sym_end] = ACTIONS(10141),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_as] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_RBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7382] = {
    [sym_block_comment] = STATE(7382),
    [sym_line_comment] = STATE(7382),
    [ts_builtin_sym_end] = ACTIONS(10293),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_as] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_RBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7383] = {
    [sym_block_comment] = STATE(7383),
    [sym_line_comment] = STATE(7383),
    [sym__word_identifier] = ACTIONS(10708),
    [anon_sym_COMMA] = ACTIONS(10746),
    [anon_sym_EQ] = ACTIONS(10708),
    [anon_sym_begin] = ACTIONS(10708),
    [anon_sym_module] = ACTIONS(10708),
    [anon_sym_baremodule] = ACTIONS(10708),
    [anon_sym_end] = ACTIONS(10708),
    [anon_sym_abstract] = ACTIONS(10708),
    [anon_sym_primitive] = ACTIONS(10708),
    [anon_sym_mutable] = ACTIONS(10708),
    [anon_sym_struct] = ACTIONS(10708),
    [anon_sym_function] = ACTIONS(10708),
    [anon_sym_macro] = ACTIONS(10708),
    [anon_sym_quote] = ACTIONS(10708),
    [anon_sym_let] = ACTIONS(10708),
    [anon_sym_if] = ACTIONS(10708),
    [anon_sym_try] = ACTIONS(10708),
    [anon_sym_for] = ACTIONS(10708),
    [anon_sym_while] = ACTIONS(10708),
    [sym_break_statement] = ACTIONS(10708),
    [sym_continue_statement] = ACTIONS(10708),
    [anon_sym_return] = ACTIONS(10708),
    [anon_sym_const] = ACTIONS(10708),
    [anon_sym_global] = ACTIONS(10708),
    [anon_sym_local] = ACTIONS(10708),
    [anon_sym_LPAREN] = ACTIONS(10746),
    [anon_sym_COLON] = ACTIONS(10708),
    [anon_sym_export] = ACTIONS(10708),
    [anon_sym_public] = ACTIONS(10708),
    [anon_sym_import] = ACTIONS(10708),
    [anon_sym_using] = ACTIONS(10708),
    [anon_sym_LBRACK] = ACTIONS(10746),
    [anon_sym_in] = ACTIONS(10708),
    [anon_sym_LBRACE] = ACTIONS(10746),
    [anon_sym_SQUOTE] = ACTIONS(11116),
    [anon_sym_DOT] = ACTIONS(11118),
    [anon_sym_DOLLAR] = ACTIONS(10746),
    [anon_sym_COLON2] = ACTIONS(10708),
    [anon_sym_COLON_COLON] = ACTIONS(10746),
    [anon_sym_isa] = ACTIONS(10708),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10746),
    [anon_sym_QMARK] = ACTIONS(10746),
    [anon_sym_where] = ACTIONS(10708),
    [anon_sym_AT] = ACTIONS(10746),
    [anon_sym_true] = ACTIONS(10708),
    [anon_sym_false] = ACTIONS(10708),
    [aux_sym_integer_literal_token1] = ACTIONS(10746),
    [aux_sym_integer_literal_token2] = ACTIONS(10746),
    [aux_sym_integer_literal_token3] = ACTIONS(10708),
    [aux_sym_integer_literal_token4] = ACTIONS(10708),
    [aux_sym_float_literal_token1] = ACTIONS(10746),
    [aux_sym_float_literal_token3] = ACTIONS(10746),
    [aux_sym_float_literal_token4] = ACTIONS(10746),
    [sym_character_literal] = ACTIONS(10746),
    [anon_sym_DQUOTE] = ACTIONS(10708),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10746),
    [anon_sym_BQUOTE] = ACTIONS(10708),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10746),
    [sym__pair_operator] = ACTIONS(10746),
    [sym__arrow_operator] = ACTIONS(10708),
    [sym__lazy_or_operator] = ACTIONS(10746),
    [sym__lazy_and_operator] = ACTIONS(10746),
    [sym__comparison_operator] = ACTIONS(10708),
    [sym__pipe_right_operator] = ACTIONS(10746),
    [sym__pipe_left_operator] = ACTIONS(10746),
    [sym__ellipsis_operator] = ACTIONS(10708),
    [sym__plus_operator] = ACTIONS(10708),
    [sym__times_operator] = ACTIONS(10708),
    [sym__rational_operator] = ACTIONS(10746),
    [sym__bitshift_operator] = ACTIONS(10746),
    [sym__power_operator] = ACTIONS(10746),
    [sym__tilde_operator] = ACTIONS(10746),
    [sym__type_order_operator] = ACTIONS(10746),
    [sym__unary_operator] = ACTIONS(10708),
    [sym__unary_plus_operator] = ACTIONS(10708),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(11120),
    [sym__immediate_bracket] = ACTIONS(11122),
    [sym__immediate_brace] = ACTIONS(11124),
  },
  [7384] = {
    [sym_block_comment] = STATE(7384),
    [sym_line_comment] = STATE(7384),
    [sym__word_identifier] = ACTIONS(10225),
    [anon_sym_COMMA] = ACTIONS(10227),
    [anon_sym_EQ] = ACTIONS(10225),
    [anon_sym_begin] = ACTIONS(10225),
    [anon_sym_module] = ACTIONS(10225),
    [anon_sym_baremodule] = ACTIONS(10225),
    [anon_sym_end] = ACTIONS(10225),
    [anon_sym_abstract] = ACTIONS(10225),
    [anon_sym_primitive] = ACTIONS(10225),
    [anon_sym_mutable] = ACTIONS(10225),
    [anon_sym_struct] = ACTIONS(10225),
    [anon_sym_function] = ACTIONS(10225),
    [anon_sym_macro] = ACTIONS(10225),
    [anon_sym_quote] = ACTIONS(10225),
    [anon_sym_let] = ACTIONS(10225),
    [anon_sym_if] = ACTIONS(10225),
    [anon_sym_try] = ACTIONS(10225),
    [anon_sym_for] = ACTIONS(10225),
    [anon_sym_while] = ACTIONS(10225),
    [sym_break_statement] = ACTIONS(10225),
    [sym_continue_statement] = ACTIONS(10225),
    [anon_sym_return] = ACTIONS(10225),
    [anon_sym_const] = ACTIONS(10225),
    [anon_sym_global] = ACTIONS(10225),
    [anon_sym_local] = ACTIONS(10225),
    [anon_sym_LPAREN] = ACTIONS(10227),
    [anon_sym_COLON] = ACTIONS(10225),
    [anon_sym_export] = ACTIONS(10225),
    [anon_sym_public] = ACTIONS(10225),
    [anon_sym_import] = ACTIONS(10225),
    [anon_sym_using] = ACTIONS(10225),
    [anon_sym_LBRACK] = ACTIONS(10227),
    [anon_sym_in] = ACTIONS(10225),
    [anon_sym_LBRACE] = ACTIONS(10227),
    [anon_sym_SQUOTE] = ACTIONS(10225),
    [anon_sym_DOT] = ACTIONS(10225),
    [anon_sym_DOLLAR] = ACTIONS(10227),
    [anon_sym_COLON2] = ACTIONS(10225),
    [anon_sym_COLON_COLON] = ACTIONS(10227),
    [anon_sym_isa] = ACTIONS(10225),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10227),
    [anon_sym_QMARK] = ACTIONS(10227),
    [anon_sym_where] = ACTIONS(10225),
    [anon_sym_AT] = ACTIONS(10227),
    [anon_sym_true] = ACTIONS(10225),
    [anon_sym_false] = ACTIONS(10225),
    [aux_sym_integer_literal_token1] = ACTIONS(10227),
    [aux_sym_integer_literal_token2] = ACTIONS(10227),
    [aux_sym_integer_literal_token3] = ACTIONS(10225),
    [aux_sym_integer_literal_token4] = ACTIONS(10225),
    [aux_sym_float_literal_token1] = ACTIONS(10227),
    [aux_sym_float_literal_token3] = ACTIONS(10227),
    [aux_sym_float_literal_token4] = ACTIONS(10227),
    [sym_character_literal] = ACTIONS(10227),
    [anon_sym_DQUOTE] = ACTIONS(10225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10227),
    [anon_sym_BQUOTE] = ACTIONS(10225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10227),
    [sym__pair_operator] = ACTIONS(10227),
    [sym__arrow_operator] = ACTIONS(10225),
    [sym__lazy_or_operator] = ACTIONS(10227),
    [sym__lazy_and_operator] = ACTIONS(10227),
    [sym__comparison_operator] = ACTIONS(10225),
    [sym__pipe_right_operator] = ACTIONS(10227),
    [sym__pipe_left_operator] = ACTIONS(10227),
    [sym__ellipsis_operator] = ACTIONS(10225),
    [sym__plus_operator] = ACTIONS(10225),
    [sym__times_operator] = ACTIONS(10225),
    [sym__rational_operator] = ACTIONS(10227),
    [sym__bitshift_operator] = ACTIONS(10227),
    [sym__power_operator] = ACTIONS(10227),
    [sym__tilde_operator] = ACTIONS(10227),
    [sym__type_order_operator] = ACTIONS(10227),
    [sym__unary_operator] = ACTIONS(10225),
    [sym__unary_plus_operator] = ACTIONS(10225),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10227),
    [sym__immediate_bracket] = ACTIONS(10227),
    [sym__immediate_brace] = ACTIONS(10227),
  },
  [7385] = {
    [sym_block_comment] = STATE(7385),
    [sym_line_comment] = STATE(7385),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_finally] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_as] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7386] = {
    [sym_block_comment] = STATE(7386),
    [sym_line_comment] = STATE(7386),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10043),
  },
  [7387] = {
    [sym_block_comment] = STATE(7387),
    [sym_line_comment] = STATE(7387),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_catch] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_as] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7388] = {
    [sym_block_comment] = STATE(7388),
    [sym_line_comment] = STATE(7388),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_else] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_finally] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7389] = {
    [sym_block_comment] = STATE(7389),
    [sym_line_comment] = STATE(7389),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_else] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_finally] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7390] = {
    [sym_block_comment] = STATE(7390),
    [sym_line_comment] = STATE(7390),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10405),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_as] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10405),
    [anon_sym_RPAREN] = ACTIONS(10405),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10405),
    [anon_sym_RBRACK] = ACTIONS(10405),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10405),
    [anon_sym_LBRACE] = ACTIONS(10405),
    [anon_sym_RBRACE] = ACTIONS(10405),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10405),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10405),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10405),
    [anon_sym_QMARK] = ACTIONS(10405),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10405),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10405),
    [aux_sym_integer_literal_token2] = ACTIONS(10405),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10405),
    [aux_sym_float_literal_token3] = ACTIONS(10405),
    [aux_sym_float_literal_token4] = ACTIONS(10405),
    [sym_character_literal] = ACTIONS(10405),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10405),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10405),
    [sym__pair_operator] = ACTIONS(10405),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10405),
    [sym__lazy_and_operator] = ACTIONS(10405),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10405),
    [sym__pipe_left_operator] = ACTIONS(10405),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10405),
    [sym__bitshift_operator] = ACTIONS(10405),
    [sym__power_operator] = ACTIONS(10405),
    [sym__tilde_operator] = ACTIONS(10405),
    [sym__type_order_operator] = ACTIONS(10405),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7391] = {
    [sym_block_comment] = STATE(7391),
    [sym_line_comment] = STATE(7391),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_else] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_finally] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7392] = {
    [sym_block_comment] = STATE(7392),
    [sym_line_comment] = STATE(7392),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_else] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_finally] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7393] = {
    [sym_block_comment] = STATE(7393),
    [sym_line_comment] = STATE(7393),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_else] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_finally] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7394] = {
    [sym_block_comment] = STATE(7394),
    [sym_line_comment] = STATE(7394),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_else] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_finally] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7395] = {
    [sym_block_comment] = STATE(7395),
    [sym_line_comment] = STATE(7395),
    [ts_builtin_sym_end] = ACTIONS(10309),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_as] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_RBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7396] = {
    [sym_block_comment] = STATE(7396),
    [sym_line_comment] = STATE(7396),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_else] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_finally] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7397] = {
    [sym_block_comment] = STATE(7397),
    [sym_line_comment] = STATE(7397),
    [ts_builtin_sym_end] = ACTIONS(10349),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_as] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_RBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7398] = {
    [sym_block_comment] = STATE(7398),
    [sym_line_comment] = STATE(7398),
    [ts_builtin_sym_end] = ACTIONS(10353),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_as] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_RBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7399] = {
    [sym_block_comment] = STATE(7399),
    [sym_line_comment] = STATE(7399),
    [ts_builtin_sym_end] = ACTIONS(10357),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_as] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_RBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7400] = {
    [sym_block_comment] = STATE(7400),
    [sym_line_comment] = STATE(7400),
    [ts_builtin_sym_end] = ACTIONS(11050),
    [sym__word_identifier] = ACTIONS(11048),
    [anon_sym_COMMA] = ACTIONS(11048),
    [anon_sym_EQ] = ACTIONS(11048),
    [anon_sym_begin] = ACTIONS(11048),
    [anon_sym_module] = ACTIONS(11048),
    [anon_sym_baremodule] = ACTIONS(11048),
    [anon_sym_abstract] = ACTIONS(11048),
    [anon_sym_primitive] = ACTIONS(11048),
    [anon_sym_mutable] = ACTIONS(11048),
    [anon_sym_struct] = ACTIONS(11048),
    [anon_sym_function] = ACTIONS(11048),
    [anon_sym_macro] = ACTIONS(11048),
    [anon_sym_quote] = ACTIONS(11048),
    [anon_sym_let] = ACTIONS(11048),
    [anon_sym_if] = ACTIONS(11048),
    [anon_sym_try] = ACTIONS(11048),
    [anon_sym_for] = ACTIONS(11048),
    [anon_sym_while] = ACTIONS(11048),
    [sym_break_statement] = ACTIONS(11048),
    [sym_continue_statement] = ACTIONS(11048),
    [anon_sym_return] = ACTIONS(11048),
    [anon_sym_const] = ACTIONS(11048),
    [anon_sym_global] = ACTIONS(11048),
    [anon_sym_local] = ACTIONS(11048),
    [anon_sym_as] = ACTIONS(11048),
    [anon_sym_LPAREN] = ACTIONS(11048),
    [anon_sym_COLON] = ACTIONS(11048),
    [anon_sym_export] = ACTIONS(11048),
    [anon_sym_public] = ACTIONS(11048),
    [anon_sym_import] = ACTIONS(11048),
    [anon_sym_using] = ACTIONS(11048),
    [anon_sym_LBRACK] = ACTIONS(11048),
    [anon_sym_RBRACK] = ACTIONS(11048),
    [anon_sym_in] = ACTIONS(11048),
    [anon_sym_SEMI] = ACTIONS(11048),
    [anon_sym_LBRACE] = ACTIONS(11048),
    [anon_sym_DOT] = ACTIONS(11078),
    [anon_sym_DOLLAR] = ACTIONS(11048),
    [anon_sym_COLON2] = ACTIONS(11048),
    [anon_sym_COLON_COLON] = ACTIONS(11048),
    [anon_sym_isa] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11048),
    [anon_sym_QMARK] = ACTIONS(11048),
    [anon_sym_where] = ACTIONS(11048),
    [anon_sym_AT] = ACTIONS(11048),
    [anon_sym_true] = ACTIONS(11048),
    [anon_sym_false] = ACTIONS(11048),
    [aux_sym_integer_literal_token1] = ACTIONS(11048),
    [aux_sym_integer_literal_token2] = ACTIONS(11048),
    [aux_sym_integer_literal_token3] = ACTIONS(11048),
    [aux_sym_integer_literal_token4] = ACTIONS(11048),
    [aux_sym_float_literal_token1] = ACTIONS(11048),
    [aux_sym_float_literal_token3] = ACTIONS(11048),
    [aux_sym_float_literal_token4] = ACTIONS(11048),
    [sym_character_literal] = ACTIONS(11048),
    [anon_sym_DQUOTE] = ACTIONS(11048),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11048),
    [anon_sym_BQUOTE] = ACTIONS(11048),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(11048),
    [sym__arrow_operator] = ACTIONS(11048),
    [sym__lazy_or_operator] = ACTIONS(11048),
    [sym__lazy_and_operator] = ACTIONS(11048),
    [sym__comparison_operator] = ACTIONS(11048),
    [sym__pipe_right_operator] = ACTIONS(11048),
    [sym__pipe_left_operator] = ACTIONS(11048),
    [sym__ellipsis_operator] = ACTIONS(11048),
    [sym__plus_operator] = ACTIONS(11048),
    [sym__times_operator] = ACTIONS(11048),
    [sym__rational_operator] = ACTIONS(11048),
    [sym__bitshift_operator] = ACTIONS(11048),
    [sym__power_operator] = ACTIONS(11048),
    [sym__tilde_operator] = ACTIONS(11048),
    [sym__type_order_operator] = ACTIONS(11048),
    [sym__unary_operator] = ACTIONS(11048),
    [sym__unary_plus_operator] = ACTIONS(11048),
    [aux_sym__terminator_token1] = ACTIONS(11050),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7401] = {
    [sym_block_comment] = STATE(7401),
    [sym_line_comment] = STATE(7401),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7402] = {
    [sym_block_comment] = STATE(7402),
    [sym_line_comment] = STATE(7402),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_finally] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_as] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7403] = {
    [sym_block_comment] = STATE(7403),
    [sym_line_comment] = STATE(7403),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_elseif] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7404] = {
    [sym_block_comment] = STATE(7404),
    [sym_line_comment] = STATE(7404),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_elseif] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11052),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7405] = {
    [sym_block_comment] = STATE(7405),
    [sym_line_comment] = STATE(7405),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_elseif] = ACTIONS(10363),
    [anon_sym_else] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7406] = {
    [sym_block_comment] = STATE(7406),
    [sym_line_comment] = STATE(7406),
    [aux_sym_open_tuple_repeat1] = STATE(7446),
    [sym__word_identifier] = ACTIONS(11126),
    [anon_sym_COMMA] = ACTIONS(11128),
    [anon_sym_EQ] = ACTIONS(11126),
    [anon_sym_begin] = ACTIONS(11126),
    [anon_sym_module] = ACTIONS(11126),
    [anon_sym_baremodule] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(11126),
    [anon_sym_abstract] = ACTIONS(11126),
    [anon_sym_primitive] = ACTIONS(11126),
    [anon_sym_mutable] = ACTIONS(11126),
    [anon_sym_struct] = ACTIONS(11126),
    [anon_sym_function] = ACTIONS(11126),
    [anon_sym_macro] = ACTIONS(11126),
    [anon_sym_quote] = ACTIONS(11126),
    [anon_sym_let] = ACTIONS(11126),
    [anon_sym_if] = ACTIONS(11126),
    [anon_sym_elseif] = ACTIONS(11126),
    [anon_sym_else] = ACTIONS(11126),
    [anon_sym_try] = ACTIONS(11126),
    [anon_sym_for] = ACTIONS(11126),
    [anon_sym_while] = ACTIONS(11126),
    [sym_break_statement] = ACTIONS(11126),
    [sym_continue_statement] = ACTIONS(11126),
    [anon_sym_return] = ACTIONS(11126),
    [anon_sym_const] = ACTIONS(11126),
    [anon_sym_global] = ACTIONS(11126),
    [anon_sym_local] = ACTIONS(11126),
    [anon_sym_LPAREN] = ACTIONS(11126),
    [anon_sym_COLON] = ACTIONS(11126),
    [anon_sym_export] = ACTIONS(11126),
    [anon_sym_public] = ACTIONS(11126),
    [anon_sym_import] = ACTIONS(11126),
    [anon_sym_using] = ACTIONS(11126),
    [anon_sym_LBRACK] = ACTIONS(11126),
    [anon_sym_in] = ACTIONS(11126),
    [anon_sym_SEMI] = ACTIONS(11126),
    [anon_sym_LBRACE] = ACTIONS(11126),
    [anon_sym_DOLLAR] = ACTIONS(11126),
    [anon_sym_COLON2] = ACTIONS(11126),
    [anon_sym_COLON_COLON] = ACTIONS(11126),
    [anon_sym_isa] = ACTIONS(11126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11126),
    [anon_sym_QMARK] = ACTIONS(11126),
    [anon_sym_where] = ACTIONS(11126),
    [anon_sym_AT] = ACTIONS(11126),
    [anon_sym_true] = ACTIONS(11126),
    [anon_sym_false] = ACTIONS(11126),
    [aux_sym_integer_literal_token1] = ACTIONS(11126),
    [aux_sym_integer_literal_token2] = ACTIONS(11126),
    [aux_sym_integer_literal_token3] = ACTIONS(11126),
    [aux_sym_integer_literal_token4] = ACTIONS(11126),
    [aux_sym_float_literal_token1] = ACTIONS(11126),
    [aux_sym_float_literal_token3] = ACTIONS(11126),
    [aux_sym_float_literal_token4] = ACTIONS(11126),
    [sym_character_literal] = ACTIONS(11126),
    [anon_sym_DQUOTE] = ACTIONS(11126),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11126),
    [anon_sym_BQUOTE] = ACTIONS(11126),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11126),
    [sym__pair_operator] = ACTIONS(11126),
    [sym__arrow_operator] = ACTIONS(11126),
    [sym__lazy_or_operator] = ACTIONS(11126),
    [sym__lazy_and_operator] = ACTIONS(11126),
    [sym__comparison_operator] = ACTIONS(11126),
    [sym__pipe_right_operator] = ACTIONS(11126),
    [sym__pipe_left_operator] = ACTIONS(11126),
    [sym__ellipsis_operator] = ACTIONS(11126),
    [sym__plus_operator] = ACTIONS(11126),
    [sym__times_operator] = ACTIONS(11126),
    [sym__rational_operator] = ACTIONS(11126),
    [sym__bitshift_operator] = ACTIONS(11126),
    [sym__power_operator] = ACTIONS(11126),
    [sym__tilde_operator] = ACTIONS(11126),
    [sym__type_order_operator] = ACTIONS(11126),
    [sym__unary_operator] = ACTIONS(11126),
    [sym__unary_plus_operator] = ACTIONS(11126),
    [aux_sym__terminator_token1] = ACTIONS(11130),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7407] = {
    [sym_block_comment] = STATE(7407),
    [sym_line_comment] = STATE(7407),
    [ts_builtin_sym_end] = ACTIONS(10231),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_as] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_RBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7408] = {
    [sym_block_comment] = STATE(7408),
    [sym_line_comment] = STATE(7408),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_else] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_finally] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7409] = {
    [sym_block_comment] = STATE(7409),
    [sym_line_comment] = STATE(7409),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7410] = {
    [sym_block_comment] = STATE(7410),
    [sym_line_comment] = STATE(7410),
    [sym__word_identifier] = ACTIONS(10754),
    [anon_sym_COMMA] = ACTIONS(10756),
    [anon_sym_EQ] = ACTIONS(10754),
    [anon_sym_begin] = ACTIONS(10754),
    [anon_sym_module] = ACTIONS(10754),
    [anon_sym_baremodule] = ACTIONS(10754),
    [anon_sym_end] = ACTIONS(10754),
    [anon_sym_abstract] = ACTIONS(10754),
    [anon_sym_primitive] = ACTIONS(10754),
    [anon_sym_mutable] = ACTIONS(10754),
    [anon_sym_struct] = ACTIONS(10754),
    [anon_sym_function] = ACTIONS(10754),
    [anon_sym_macro] = ACTIONS(10754),
    [anon_sym_quote] = ACTIONS(10754),
    [anon_sym_let] = ACTIONS(10754),
    [anon_sym_if] = ACTIONS(10754),
    [anon_sym_try] = ACTIONS(10754),
    [anon_sym_for] = ACTIONS(10754),
    [anon_sym_while] = ACTIONS(10754),
    [sym_break_statement] = ACTIONS(10754),
    [sym_continue_statement] = ACTIONS(10754),
    [anon_sym_return] = ACTIONS(10754),
    [anon_sym_const] = ACTIONS(10754),
    [anon_sym_global] = ACTIONS(10754),
    [anon_sym_local] = ACTIONS(10754),
    [anon_sym_LPAREN] = ACTIONS(10756),
    [anon_sym_COLON] = ACTIONS(10754),
    [anon_sym_export] = ACTIONS(10754),
    [anon_sym_public] = ACTIONS(10754),
    [anon_sym_import] = ACTIONS(10754),
    [anon_sym_using] = ACTIONS(10754),
    [anon_sym_LBRACK] = ACTIONS(10756),
    [anon_sym_in] = ACTIONS(10754),
    [anon_sym_LBRACE] = ACTIONS(10756),
    [anon_sym_SQUOTE] = ACTIONS(11116),
    [anon_sym_DOT] = ACTIONS(11118),
    [anon_sym_DOLLAR] = ACTIONS(10756),
    [anon_sym_COLON2] = ACTIONS(10754),
    [anon_sym_COLON_COLON] = ACTIONS(10756),
    [anon_sym_isa] = ACTIONS(10754),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10756),
    [anon_sym_QMARK] = ACTIONS(10756),
    [anon_sym_where] = ACTIONS(10754),
    [anon_sym_AT] = ACTIONS(10756),
    [anon_sym_true] = ACTIONS(10754),
    [anon_sym_false] = ACTIONS(10754),
    [aux_sym_integer_literal_token1] = ACTIONS(10756),
    [aux_sym_integer_literal_token2] = ACTIONS(10756),
    [aux_sym_integer_literal_token3] = ACTIONS(10754),
    [aux_sym_integer_literal_token4] = ACTIONS(10754),
    [aux_sym_float_literal_token1] = ACTIONS(10756),
    [aux_sym_float_literal_token3] = ACTIONS(10756),
    [aux_sym_float_literal_token4] = ACTIONS(10756),
    [sym_character_literal] = ACTIONS(10756),
    [anon_sym_DQUOTE] = ACTIONS(10754),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10756),
    [anon_sym_BQUOTE] = ACTIONS(10754),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10756),
    [sym__pair_operator] = ACTIONS(10756),
    [sym__arrow_operator] = ACTIONS(10754),
    [sym__lazy_or_operator] = ACTIONS(10756),
    [sym__lazy_and_operator] = ACTIONS(10756),
    [sym__comparison_operator] = ACTIONS(10754),
    [sym__pipe_right_operator] = ACTIONS(10756),
    [sym__pipe_left_operator] = ACTIONS(10756),
    [sym__ellipsis_operator] = ACTIONS(10754),
    [sym__plus_operator] = ACTIONS(10754),
    [sym__times_operator] = ACTIONS(10754),
    [sym__rational_operator] = ACTIONS(10756),
    [sym__bitshift_operator] = ACTIONS(10756),
    [sym__power_operator] = ACTIONS(10756),
    [sym__tilde_operator] = ACTIONS(10756),
    [sym__type_order_operator] = ACTIONS(10756),
    [sym__unary_operator] = ACTIONS(10754),
    [sym__unary_plus_operator] = ACTIONS(10754),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(11120),
    [sym__immediate_bracket] = ACTIONS(11122),
    [sym__immediate_brace] = ACTIONS(11124),
  },
  [7411] = {
    [sym_block_comment] = STATE(7411),
    [sym_line_comment] = STATE(7411),
    [ts_builtin_sym_end] = ACTIONS(10405),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_as] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_RBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7412] = {
    [sym_block_comment] = STATE(7412),
    [sym_line_comment] = STATE(7412),
    [ts_builtin_sym_end] = ACTIONS(10313),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_as] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_RBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7413] = {
    [sym_block_comment] = STATE(7413),
    [sym_line_comment] = STATE(7413),
    [ts_builtin_sym_end] = ACTIONS(10381),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_as] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_RBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7414] = {
    [sym_block_comment] = STATE(7414),
    [sym_line_comment] = STATE(7414),
    [ts_builtin_sym_end] = ACTIONS(10387),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_as] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_RBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7415] = {
    [sym_block_comment] = STATE(7415),
    [sym_line_comment] = STATE(7415),
    [sym__word_identifier] = ACTIONS(10235),
    [anon_sym_COMMA] = ACTIONS(10237),
    [anon_sym_EQ] = ACTIONS(10235),
    [anon_sym_begin] = ACTIONS(10235),
    [anon_sym_module] = ACTIONS(10235),
    [anon_sym_baremodule] = ACTIONS(10235),
    [anon_sym_end] = ACTIONS(10235),
    [anon_sym_abstract] = ACTIONS(10235),
    [anon_sym_primitive] = ACTIONS(10235),
    [anon_sym_mutable] = ACTIONS(10235),
    [anon_sym_struct] = ACTIONS(10235),
    [anon_sym_function] = ACTIONS(10235),
    [anon_sym_macro] = ACTIONS(10235),
    [anon_sym_quote] = ACTIONS(10235),
    [anon_sym_let] = ACTIONS(10235),
    [anon_sym_if] = ACTIONS(10235),
    [anon_sym_try] = ACTIONS(10235),
    [anon_sym_for] = ACTIONS(10235),
    [anon_sym_while] = ACTIONS(10235),
    [sym_break_statement] = ACTIONS(10235),
    [sym_continue_statement] = ACTIONS(10235),
    [anon_sym_return] = ACTIONS(10235),
    [anon_sym_const] = ACTIONS(10235),
    [anon_sym_global] = ACTIONS(10235),
    [anon_sym_local] = ACTIONS(10235),
    [anon_sym_LPAREN] = ACTIONS(10237),
    [anon_sym_COLON] = ACTIONS(10235),
    [anon_sym_export] = ACTIONS(10235),
    [anon_sym_public] = ACTIONS(10235),
    [anon_sym_import] = ACTIONS(10235),
    [anon_sym_using] = ACTIONS(10235),
    [anon_sym_LBRACK] = ACTIONS(10237),
    [anon_sym_in] = ACTIONS(10235),
    [anon_sym_LBRACE] = ACTIONS(10237),
    [anon_sym_SQUOTE] = ACTIONS(10235),
    [anon_sym_DOT] = ACTIONS(10235),
    [anon_sym_DOLLAR] = ACTIONS(10237),
    [anon_sym_COLON2] = ACTIONS(10235),
    [anon_sym_COLON_COLON] = ACTIONS(10237),
    [anon_sym_isa] = ACTIONS(10235),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10237),
    [anon_sym_QMARK] = ACTIONS(10237),
    [anon_sym_where] = ACTIONS(10235),
    [anon_sym_AT] = ACTIONS(10237),
    [anon_sym_true] = ACTIONS(10235),
    [anon_sym_false] = ACTIONS(10235),
    [aux_sym_integer_literal_token1] = ACTIONS(10237),
    [aux_sym_integer_literal_token2] = ACTIONS(10237),
    [aux_sym_integer_literal_token3] = ACTIONS(10235),
    [aux_sym_integer_literal_token4] = ACTIONS(10235),
    [aux_sym_float_literal_token1] = ACTIONS(10237),
    [aux_sym_float_literal_token3] = ACTIONS(10237),
    [aux_sym_float_literal_token4] = ACTIONS(10237),
    [sym_character_literal] = ACTIONS(10237),
    [anon_sym_DQUOTE] = ACTIONS(10235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10237),
    [anon_sym_BQUOTE] = ACTIONS(10235),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10237),
    [sym__pair_operator] = ACTIONS(10237),
    [sym__arrow_operator] = ACTIONS(10235),
    [sym__lazy_or_operator] = ACTIONS(10237),
    [sym__lazy_and_operator] = ACTIONS(10237),
    [sym__comparison_operator] = ACTIONS(10235),
    [sym__pipe_right_operator] = ACTIONS(10237),
    [sym__pipe_left_operator] = ACTIONS(10237),
    [sym__ellipsis_operator] = ACTIONS(10235),
    [sym__plus_operator] = ACTIONS(10235),
    [sym__times_operator] = ACTIONS(10235),
    [sym__rational_operator] = ACTIONS(10237),
    [sym__bitshift_operator] = ACTIONS(10237),
    [sym__power_operator] = ACTIONS(10237),
    [sym__tilde_operator] = ACTIONS(10237),
    [sym__type_order_operator] = ACTIONS(10237),
    [sym__unary_operator] = ACTIONS(10235),
    [sym__unary_plus_operator] = ACTIONS(10235),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10237),
    [sym__immediate_bracket] = ACTIONS(10237),
    [sym__immediate_brace] = ACTIONS(10237),
  },
  [7416] = {
    [sym_block_comment] = STATE(7416),
    [sym_line_comment] = STATE(7416),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11102),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_end] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_else] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_finally] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_as] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11102),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11102),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_SEMI] = ACTIONS(11102),
    [anon_sym_LBRACE] = ACTIONS(11102),
    [anon_sym_DOLLAR] = ACTIONS(11102),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11102),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11102),
    [anon_sym_QMARK] = ACTIONS(11102),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11102),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11102),
    [aux_sym_integer_literal_token2] = ACTIONS(11102),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11102),
    [aux_sym_float_literal_token3] = ACTIONS(11102),
    [aux_sym_float_literal_token4] = ACTIONS(11102),
    [sym_character_literal] = ACTIONS(11102),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(11102),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11102),
    [sym__lazy_and_operator] = ACTIONS(11102),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11102),
    [sym__pipe_left_operator] = ACTIONS(11102),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11102),
    [sym__bitshift_operator] = ACTIONS(11102),
    [sym__power_operator] = ACTIONS(11102),
    [sym__tilde_operator] = ACTIONS(11102),
    [sym__type_order_operator] = ACTIONS(11102),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym__terminator_token1] = ACTIONS(11104),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7417] = {
    [sym_block_comment] = STATE(7417),
    [sym_line_comment] = STATE(7417),
    [aux_sym__import_list_repeat1] = STATE(7821),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11088),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_catch] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(11090),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11132),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7418] = {
    [sym_block_comment] = STATE(7418),
    [sym_line_comment] = STATE(7418),
    [sym__word_identifier] = ACTIONS(9987),
    [anon_sym_COMMA] = ACTIONS(9989),
    [anon_sym_EQ] = ACTIONS(9987),
    [anon_sym_begin] = ACTIONS(9987),
    [anon_sym_module] = ACTIONS(9987),
    [anon_sym_baremodule] = ACTIONS(9987),
    [anon_sym_end] = ACTIONS(9987),
    [anon_sym_abstract] = ACTIONS(9987),
    [anon_sym_primitive] = ACTIONS(9987),
    [anon_sym_mutable] = ACTIONS(9987),
    [anon_sym_struct] = ACTIONS(9987),
    [anon_sym_function] = ACTIONS(9987),
    [anon_sym_macro] = ACTIONS(9987),
    [anon_sym_quote] = ACTIONS(9987),
    [anon_sym_let] = ACTIONS(9987),
    [anon_sym_if] = ACTIONS(9987),
    [anon_sym_try] = ACTIONS(9987),
    [anon_sym_for] = ACTIONS(9987),
    [anon_sym_while] = ACTIONS(9987),
    [sym_break_statement] = ACTIONS(9987),
    [sym_continue_statement] = ACTIONS(9987),
    [anon_sym_return] = ACTIONS(9987),
    [anon_sym_const] = ACTIONS(9987),
    [anon_sym_global] = ACTIONS(9987),
    [anon_sym_local] = ACTIONS(9987),
    [anon_sym_LPAREN] = ACTIONS(9989),
    [anon_sym_COLON] = ACTIONS(9987),
    [anon_sym_export] = ACTIONS(9987),
    [anon_sym_public] = ACTIONS(9987),
    [anon_sym_import] = ACTIONS(9987),
    [anon_sym_using] = ACTIONS(9987),
    [anon_sym_LBRACK] = ACTIONS(9989),
    [anon_sym_in] = ACTIONS(9987),
    [anon_sym_LBRACE] = ACTIONS(9989),
    [anon_sym_SQUOTE] = ACTIONS(9987),
    [anon_sym_DOT] = ACTIONS(9987),
    [anon_sym_DOLLAR] = ACTIONS(9989),
    [anon_sym_COLON2] = ACTIONS(9987),
    [anon_sym_COLON_COLON] = ACTIONS(9989),
    [anon_sym_isa] = ACTIONS(9987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9989),
    [anon_sym_QMARK] = ACTIONS(9989),
    [anon_sym_where] = ACTIONS(9987),
    [anon_sym_AT] = ACTIONS(9989),
    [anon_sym_true] = ACTIONS(9987),
    [anon_sym_false] = ACTIONS(9987),
    [aux_sym_integer_literal_token1] = ACTIONS(9989),
    [aux_sym_integer_literal_token2] = ACTIONS(9989),
    [aux_sym_integer_literal_token3] = ACTIONS(9987),
    [aux_sym_integer_literal_token4] = ACTIONS(9987),
    [aux_sym_float_literal_token1] = ACTIONS(9989),
    [aux_sym_float_literal_token3] = ACTIONS(9989),
    [aux_sym_float_literal_token4] = ACTIONS(9989),
    [sym_character_literal] = ACTIONS(9989),
    [anon_sym_DQUOTE] = ACTIONS(9987),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9989),
    [anon_sym_BQUOTE] = ACTIONS(9987),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9989),
    [sym__pair_operator] = ACTIONS(9989),
    [sym__arrow_operator] = ACTIONS(9987),
    [sym__lazy_or_operator] = ACTIONS(9989),
    [sym__lazy_and_operator] = ACTIONS(9989),
    [sym__comparison_operator] = ACTIONS(9987),
    [sym__pipe_right_operator] = ACTIONS(9989),
    [sym__pipe_left_operator] = ACTIONS(9989),
    [sym__ellipsis_operator] = ACTIONS(9987),
    [sym__plus_operator] = ACTIONS(9987),
    [sym__times_operator] = ACTIONS(9987),
    [sym__rational_operator] = ACTIONS(9989),
    [sym__bitshift_operator] = ACTIONS(9989),
    [sym__power_operator] = ACTIONS(9989),
    [sym__tilde_operator] = ACTIONS(9989),
    [sym__type_order_operator] = ACTIONS(9989),
    [sym__unary_operator] = ACTIONS(9987),
    [sym__unary_plus_operator] = ACTIONS(9987),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9989),
    [sym__immediate_bracket] = ACTIONS(9989),
    [sym__immediate_brace] = ACTIONS(9989),
  },
  [7419] = {
    [sym_block_comment] = STATE(7419),
    [sym_line_comment] = STATE(7419),
    [sym__word_identifier] = ACTIONS(10213),
    [anon_sym_COMMA] = ACTIONS(10215),
    [anon_sym_EQ] = ACTIONS(10213),
    [anon_sym_begin] = ACTIONS(10213),
    [anon_sym_module] = ACTIONS(10213),
    [anon_sym_baremodule] = ACTIONS(10213),
    [anon_sym_end] = ACTIONS(10213),
    [anon_sym_abstract] = ACTIONS(10213),
    [anon_sym_primitive] = ACTIONS(10213),
    [anon_sym_mutable] = ACTIONS(10213),
    [anon_sym_struct] = ACTIONS(10213),
    [anon_sym_function] = ACTIONS(10213),
    [anon_sym_macro] = ACTIONS(10213),
    [anon_sym_quote] = ACTIONS(10213),
    [anon_sym_let] = ACTIONS(10213),
    [anon_sym_if] = ACTIONS(10213),
    [anon_sym_try] = ACTIONS(10213),
    [anon_sym_for] = ACTIONS(10213),
    [anon_sym_while] = ACTIONS(10213),
    [sym_break_statement] = ACTIONS(10213),
    [sym_continue_statement] = ACTIONS(10213),
    [anon_sym_return] = ACTIONS(10213),
    [anon_sym_const] = ACTIONS(10213),
    [anon_sym_global] = ACTIONS(10213),
    [anon_sym_local] = ACTIONS(10213),
    [anon_sym_LPAREN] = ACTIONS(10215),
    [anon_sym_COLON] = ACTIONS(10213),
    [anon_sym_export] = ACTIONS(10213),
    [anon_sym_public] = ACTIONS(10213),
    [anon_sym_import] = ACTIONS(10213),
    [anon_sym_using] = ACTIONS(10213),
    [anon_sym_LBRACK] = ACTIONS(10215),
    [anon_sym_in] = ACTIONS(10213),
    [anon_sym_LBRACE] = ACTIONS(10215),
    [anon_sym_SQUOTE] = ACTIONS(10213),
    [anon_sym_DOT] = ACTIONS(10213),
    [anon_sym_DOLLAR] = ACTIONS(10215),
    [anon_sym_COLON2] = ACTIONS(10213),
    [anon_sym_COLON_COLON] = ACTIONS(10215),
    [anon_sym_isa] = ACTIONS(10213),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10215),
    [anon_sym_QMARK] = ACTIONS(10215),
    [anon_sym_where] = ACTIONS(10213),
    [anon_sym_AT] = ACTIONS(10215),
    [anon_sym_true] = ACTIONS(10213),
    [anon_sym_false] = ACTIONS(10213),
    [aux_sym_integer_literal_token1] = ACTIONS(10215),
    [aux_sym_integer_literal_token2] = ACTIONS(10215),
    [aux_sym_integer_literal_token3] = ACTIONS(10213),
    [aux_sym_integer_literal_token4] = ACTIONS(10213),
    [aux_sym_float_literal_token1] = ACTIONS(10215),
    [aux_sym_float_literal_token3] = ACTIONS(10215),
    [aux_sym_float_literal_token4] = ACTIONS(10215),
    [sym_character_literal] = ACTIONS(10215),
    [anon_sym_DQUOTE] = ACTIONS(10213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10215),
    [anon_sym_BQUOTE] = ACTIONS(10213),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10215),
    [sym__pair_operator] = ACTIONS(10215),
    [sym__arrow_operator] = ACTIONS(10213),
    [sym__lazy_or_operator] = ACTIONS(10215),
    [sym__lazy_and_operator] = ACTIONS(10215),
    [sym__comparison_operator] = ACTIONS(10213),
    [sym__pipe_right_operator] = ACTIONS(10215),
    [sym__pipe_left_operator] = ACTIONS(10215),
    [sym__ellipsis_operator] = ACTIONS(10213),
    [sym__plus_operator] = ACTIONS(10213),
    [sym__times_operator] = ACTIONS(10213),
    [sym__rational_operator] = ACTIONS(10215),
    [sym__bitshift_operator] = ACTIONS(10215),
    [sym__power_operator] = ACTIONS(10215),
    [sym__tilde_operator] = ACTIONS(10215),
    [sym__type_order_operator] = ACTIONS(10215),
    [sym__unary_operator] = ACTIONS(10213),
    [sym__unary_plus_operator] = ACTIONS(10213),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10215),
    [sym__immediate_bracket] = ACTIONS(10215),
    [sym__immediate_brace] = ACTIONS(10215),
  },
  [7420] = {
    [sym_block_comment] = STATE(7420),
    [sym_line_comment] = STATE(7420),
    [ts_builtin_sym_end] = ACTIONS(10401),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_as] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_RBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7421] = {
    [sym_block_comment] = STATE(7421),
    [sym_line_comment] = STATE(7421),
    [ts_builtin_sym_end] = ACTIONS(10265),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_as] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_RBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7422] = {
    [sym_block_comment] = STATE(7422),
    [sym_line_comment] = STATE(7422),
    [sym__word_identifier] = ACTIONS(9941),
    [anon_sym_COMMA] = ACTIONS(9943),
    [anon_sym_EQ] = ACTIONS(9941),
    [anon_sym_begin] = ACTIONS(9941),
    [anon_sym_module] = ACTIONS(9941),
    [anon_sym_baremodule] = ACTIONS(9941),
    [anon_sym_end] = ACTIONS(9941),
    [anon_sym_abstract] = ACTIONS(9941),
    [anon_sym_primitive] = ACTIONS(9941),
    [anon_sym_mutable] = ACTIONS(9941),
    [anon_sym_struct] = ACTIONS(9941),
    [anon_sym_function] = ACTIONS(9941),
    [anon_sym_macro] = ACTIONS(9941),
    [anon_sym_quote] = ACTIONS(9941),
    [anon_sym_let] = ACTIONS(9941),
    [anon_sym_if] = ACTIONS(9941),
    [anon_sym_try] = ACTIONS(9941),
    [anon_sym_for] = ACTIONS(9941),
    [anon_sym_while] = ACTIONS(9941),
    [sym_break_statement] = ACTIONS(9941),
    [sym_continue_statement] = ACTIONS(9941),
    [anon_sym_return] = ACTIONS(9941),
    [anon_sym_const] = ACTIONS(9941),
    [anon_sym_global] = ACTIONS(9941),
    [anon_sym_local] = ACTIONS(9941),
    [anon_sym_LPAREN] = ACTIONS(9943),
    [anon_sym_COLON] = ACTIONS(9941),
    [anon_sym_export] = ACTIONS(9941),
    [anon_sym_public] = ACTIONS(9941),
    [anon_sym_import] = ACTIONS(9941),
    [anon_sym_using] = ACTIONS(9941),
    [anon_sym_LBRACK] = ACTIONS(9943),
    [anon_sym_in] = ACTIONS(9941),
    [anon_sym_LBRACE] = ACTIONS(9943),
    [anon_sym_SQUOTE] = ACTIONS(9941),
    [anon_sym_DOT] = ACTIONS(9941),
    [anon_sym_DOLLAR] = ACTIONS(9943),
    [anon_sym_COLON2] = ACTIONS(9941),
    [anon_sym_COLON_COLON] = ACTIONS(9943),
    [anon_sym_isa] = ACTIONS(9941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9943),
    [anon_sym_QMARK] = ACTIONS(9943),
    [anon_sym_where] = ACTIONS(9941),
    [anon_sym_AT] = ACTIONS(9943),
    [anon_sym_true] = ACTIONS(9941),
    [anon_sym_false] = ACTIONS(9941),
    [aux_sym_integer_literal_token1] = ACTIONS(9943),
    [aux_sym_integer_literal_token2] = ACTIONS(9943),
    [aux_sym_integer_literal_token3] = ACTIONS(9941),
    [aux_sym_integer_literal_token4] = ACTIONS(9941),
    [aux_sym_float_literal_token1] = ACTIONS(9943),
    [aux_sym_float_literal_token3] = ACTIONS(9943),
    [aux_sym_float_literal_token4] = ACTIONS(9943),
    [sym_character_literal] = ACTIONS(9943),
    [anon_sym_DQUOTE] = ACTIONS(9941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9943),
    [anon_sym_BQUOTE] = ACTIONS(9941),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9943),
    [sym__pair_operator] = ACTIONS(9943),
    [sym__arrow_operator] = ACTIONS(9941),
    [sym__lazy_or_operator] = ACTIONS(9943),
    [sym__lazy_and_operator] = ACTIONS(9943),
    [sym__comparison_operator] = ACTIONS(9941),
    [sym__pipe_right_operator] = ACTIONS(9943),
    [sym__pipe_left_operator] = ACTIONS(9943),
    [sym__ellipsis_operator] = ACTIONS(9941),
    [sym__plus_operator] = ACTIONS(9941),
    [sym__times_operator] = ACTIONS(9941),
    [sym__rational_operator] = ACTIONS(9943),
    [sym__bitshift_operator] = ACTIONS(9943),
    [sym__power_operator] = ACTIONS(9943),
    [sym__tilde_operator] = ACTIONS(9943),
    [sym__type_order_operator] = ACTIONS(9943),
    [sym__unary_operator] = ACTIONS(9941),
    [sym__unary_plus_operator] = ACTIONS(9941),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9943),
    [sym__immediate_bracket] = ACTIONS(9943),
    [sym__immediate_brace] = ACTIONS(9943),
  },
  [7423] = {
    [sym_block_comment] = STATE(7423),
    [sym_line_comment] = STATE(7423),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_as] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7424] = {
    [sym_block_comment] = STATE(7424),
    [sym_line_comment] = STATE(7424),
    [ts_builtin_sym_end] = ACTIONS(10341),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_as] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_RBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7425] = {
    [sym_block_comment] = STATE(7425),
    [sym_line_comment] = STATE(7425),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_catch] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_as] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7426] = {
    [sym_block_comment] = STATE(7426),
    [sym_line_comment] = STATE(7426),
    [ts_builtin_sym_end] = ACTIONS(10373),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_as] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_RBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7427] = {
    [sym_block_comment] = STATE(7427),
    [sym_line_comment] = STATE(7427),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_SQUOTE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9971),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9971),
    [sym__bitshift_operator] = ACTIONS(9971),
    [sym__power_operator] = ACTIONS(9971),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9971),
    [sym__immediate_bracket] = ACTIONS(9971),
    [sym__immediate_brace] = ACTIONS(9971),
  },
  [7428] = {
    [sym_block_comment] = STATE(7428),
    [sym_line_comment] = STATE(7428),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_SQUOTE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10019),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10019),
    [sym__immediate_bracket] = ACTIONS(10019),
    [sym__immediate_brace] = ACTIONS(10019),
  },
  [7429] = {
    [sym_block_comment] = STATE(7429),
    [sym_line_comment] = STATE(7429),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_catch] = ACTIONS(10311),
    [anon_sym_finally] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_as] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7430] = {
    [sym_block_comment] = STATE(7430),
    [sym_line_comment] = STATE(7430),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_finally] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_as] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7431] = {
    [sym_block_comment] = STATE(7431),
    [sym_line_comment] = STATE(7431),
    [ts_builtin_sym_end] = ACTIONS(10411),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_as] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_RBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7432] = {
    [sym_block_comment] = STATE(7432),
    [sym_line_comment] = STATE(7432),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_finally] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_as] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7433] = {
    [sym_block_comment] = STATE(7433),
    [sym_line_comment] = STATE(7433),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_finally] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_as] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7434] = {
    [sym_block_comment] = STATE(7434),
    [sym_line_comment] = STATE(7434),
    [ts_builtin_sym_end] = ACTIONS(10219),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_as] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_RBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7435] = {
    [sym_block_comment] = STATE(7435),
    [sym_line_comment] = STATE(7435),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7436] = {
    [sym_block_comment] = STATE(7436),
    [sym_line_comment] = STATE(7436),
    [ts_builtin_sym_end] = ACTIONS(10391),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_as] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_RBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7437] = {
    [sym_block_comment] = STATE(7437),
    [sym_line_comment] = STATE(7437),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_finally] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_as] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7438] = {
    [sym_block_comment] = STATE(7438),
    [sym_line_comment] = STATE(7438),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_finally] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_as] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7439] = {
    [sym_block_comment] = STATE(7439),
    [sym_line_comment] = STATE(7439),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_catch] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_as] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7440] = {
    [sym_block_comment] = STATE(7440),
    [sym_line_comment] = STATE(7440),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_catch] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_as] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7441] = {
    [sym_block_comment] = STATE(7441),
    [sym_line_comment] = STATE(7441),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10313),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_as] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10313),
    [anon_sym_RPAREN] = ACTIONS(10313),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10313),
    [anon_sym_RBRACK] = ACTIONS(10313),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10313),
    [anon_sym_LBRACE] = ACTIONS(10313),
    [anon_sym_RBRACE] = ACTIONS(10313),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10313),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10313),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10313),
    [anon_sym_QMARK] = ACTIONS(10313),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10313),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10313),
    [aux_sym_integer_literal_token2] = ACTIONS(10313),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10313),
    [aux_sym_float_literal_token3] = ACTIONS(10313),
    [aux_sym_float_literal_token4] = ACTIONS(10313),
    [sym_character_literal] = ACTIONS(10313),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10313),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10313),
    [sym__pair_operator] = ACTIONS(10313),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10313),
    [sym__lazy_and_operator] = ACTIONS(10313),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10313),
    [sym__pipe_left_operator] = ACTIONS(10313),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10313),
    [sym__bitshift_operator] = ACTIONS(10313),
    [sym__power_operator] = ACTIONS(10313),
    [sym__tilde_operator] = ACTIONS(10313),
    [sym__type_order_operator] = ACTIONS(10313),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7442] = {
    [sym_block_comment] = STATE(7442),
    [sym_line_comment] = STATE(7442),
    [ts_builtin_sym_end] = ACTIONS(10103),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_as] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_RBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7443] = {
    [sym_block_comment] = STATE(7443),
    [sym_line_comment] = STATE(7443),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_as] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7444] = {
    [sym_block_comment] = STATE(7444),
    [sym_line_comment] = STATE(7444),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10167),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10027),
  },
  [7445] = {
    [sym_block_comment] = STATE(7445),
    [sym_line_comment] = STATE(7445),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_RPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_RBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9971),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_RBRACE] = ACTIONS(9971),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9971),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9971),
    [sym__bitshift_operator] = ACTIONS(9971),
    [sym__power_operator] = ACTIONS(9971),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7446] = {
    [sym_block_comment] = STATE(7446),
    [sym_line_comment] = STATE(7446),
    [aux_sym_open_tuple_repeat1] = STATE(7446),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(11136),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_end] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_elseif] = ACTIONS(11134),
    [anon_sym_else] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11134),
    [anon_sym_COLON] = ACTIONS(11134),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11134),
    [anon_sym_in] = ACTIONS(11134),
    [anon_sym_SEMI] = ACTIONS(11134),
    [anon_sym_LBRACE] = ACTIONS(11134),
    [anon_sym_DOLLAR] = ACTIONS(11134),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(11134),
    [anon_sym_isa] = ACTIONS(11134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_QMARK] = ACTIONS(11134),
    [anon_sym_where] = ACTIONS(11134),
    [anon_sym_AT] = ACTIONS(11134),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11134),
    [aux_sym_integer_literal_token2] = ACTIONS(11134),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11134),
    [aux_sym_float_literal_token3] = ACTIONS(11134),
    [aux_sym_float_literal_token4] = ACTIONS(11134),
    [sym_character_literal] = ACTIONS(11134),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11134),
    [sym__pair_operator] = ACTIONS(11134),
    [sym__arrow_operator] = ACTIONS(11134),
    [sym__lazy_or_operator] = ACTIONS(11134),
    [sym__lazy_and_operator] = ACTIONS(11134),
    [sym__comparison_operator] = ACTIONS(11134),
    [sym__pipe_right_operator] = ACTIONS(11134),
    [sym__pipe_left_operator] = ACTIONS(11134),
    [sym__ellipsis_operator] = ACTIONS(11134),
    [sym__plus_operator] = ACTIONS(11134),
    [sym__times_operator] = ACTIONS(11134),
    [sym__rational_operator] = ACTIONS(11134),
    [sym__bitshift_operator] = ACTIONS(11134),
    [sym__power_operator] = ACTIONS(11134),
    [sym__tilde_operator] = ACTIONS(11134),
    [sym__type_order_operator] = ACTIONS(11134),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(11134),
    [aux_sym__terminator_token1] = ACTIONS(11139),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7447] = {
    [sym_block_comment] = STATE(7447),
    [sym_line_comment] = STATE(7447),
    [ts_builtin_sym_end] = ACTIONS(9995),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_RBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7448] = {
    [sym_block_comment] = STATE(7448),
    [sym_line_comment] = STATE(7448),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_finally] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_as] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7449] = {
    [sym_identifier] = STATE(8469),
    [sym_block_comment] = STATE(7449),
    [sym_line_comment] = STATE(7449),
    [ts_builtin_sym_end] = ACTIONS(10133),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_RBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7450] = {
    [sym_block_comment] = STATE(7450),
    [sym_line_comment] = STATE(7450),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_as] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7451] = {
    [sym_block_comment] = STATE(7451),
    [sym_line_comment] = STATE(7451),
    [sym__word_identifier] = ACTIONS(10171),
    [anon_sym_COMMA] = ACTIONS(10173),
    [anon_sym_EQ] = ACTIONS(10171),
    [anon_sym_begin] = ACTIONS(10171),
    [anon_sym_module] = ACTIONS(10171),
    [anon_sym_baremodule] = ACTIONS(10171),
    [anon_sym_end] = ACTIONS(10171),
    [anon_sym_abstract] = ACTIONS(10171),
    [anon_sym_primitive] = ACTIONS(10171),
    [anon_sym_mutable] = ACTIONS(10171),
    [anon_sym_struct] = ACTIONS(10171),
    [anon_sym_function] = ACTIONS(10171),
    [anon_sym_macro] = ACTIONS(10171),
    [anon_sym_quote] = ACTIONS(10171),
    [anon_sym_let] = ACTIONS(10171),
    [anon_sym_if] = ACTIONS(10171),
    [anon_sym_try] = ACTIONS(10171),
    [anon_sym_for] = ACTIONS(10171),
    [anon_sym_while] = ACTIONS(10171),
    [sym_break_statement] = ACTIONS(10171),
    [sym_continue_statement] = ACTIONS(10171),
    [anon_sym_return] = ACTIONS(10171),
    [anon_sym_const] = ACTIONS(10171),
    [anon_sym_global] = ACTIONS(10171),
    [anon_sym_local] = ACTIONS(10171),
    [anon_sym_LPAREN] = ACTIONS(10173),
    [anon_sym_COLON] = ACTIONS(10171),
    [anon_sym_export] = ACTIONS(10171),
    [anon_sym_public] = ACTIONS(10171),
    [anon_sym_import] = ACTIONS(10171),
    [anon_sym_using] = ACTIONS(10171),
    [anon_sym_LBRACK] = ACTIONS(10173),
    [anon_sym_in] = ACTIONS(10171),
    [anon_sym_LBRACE] = ACTIONS(10173),
    [anon_sym_SQUOTE] = ACTIONS(10171),
    [anon_sym_DOT] = ACTIONS(10171),
    [anon_sym_DOLLAR] = ACTIONS(10173),
    [anon_sym_COLON2] = ACTIONS(10171),
    [anon_sym_COLON_COLON] = ACTIONS(10173),
    [anon_sym_isa] = ACTIONS(10171),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10173),
    [anon_sym_QMARK] = ACTIONS(10173),
    [anon_sym_where] = ACTIONS(10171),
    [anon_sym_AT] = ACTIONS(10173),
    [anon_sym_true] = ACTIONS(10171),
    [anon_sym_false] = ACTIONS(10171),
    [aux_sym_integer_literal_token1] = ACTIONS(10173),
    [aux_sym_integer_literal_token2] = ACTIONS(10173),
    [aux_sym_integer_literal_token3] = ACTIONS(10171),
    [aux_sym_integer_literal_token4] = ACTIONS(10171),
    [aux_sym_float_literal_token1] = ACTIONS(10173),
    [aux_sym_float_literal_token3] = ACTIONS(10173),
    [aux_sym_float_literal_token4] = ACTIONS(10173),
    [sym_character_literal] = ACTIONS(10173),
    [anon_sym_DQUOTE] = ACTIONS(10171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10173),
    [anon_sym_BQUOTE] = ACTIONS(10171),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10173),
    [sym__pair_operator] = ACTIONS(10173),
    [sym__arrow_operator] = ACTIONS(10171),
    [sym__lazy_or_operator] = ACTIONS(10173),
    [sym__lazy_and_operator] = ACTIONS(10173),
    [sym__comparison_operator] = ACTIONS(10171),
    [sym__pipe_right_operator] = ACTIONS(10173),
    [sym__pipe_left_operator] = ACTIONS(10173),
    [sym__ellipsis_operator] = ACTIONS(10171),
    [sym__plus_operator] = ACTIONS(10171),
    [sym__times_operator] = ACTIONS(10171),
    [sym__rational_operator] = ACTIONS(10173),
    [sym__bitshift_operator] = ACTIONS(10173),
    [sym__power_operator] = ACTIONS(10173),
    [sym__tilde_operator] = ACTIONS(10173),
    [sym__type_order_operator] = ACTIONS(10173),
    [sym__unary_operator] = ACTIONS(10171),
    [sym__unary_plus_operator] = ACTIONS(10171),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10173),
    [sym__immediate_bracket] = ACTIONS(10173),
    [sym__immediate_brace] = ACTIONS(10173),
  },
  [7452] = {
    [sym_identifier] = STATE(8470),
    [sym_block_comment] = STATE(7452),
    [sym_line_comment] = STATE(7452),
    [ts_builtin_sym_end] = ACTIONS(10137),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_RBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7453] = {
    [sym_block_comment] = STATE(7453),
    [sym_line_comment] = STATE(7453),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10982),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_end] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_catch] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10982),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10982),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_SEMI] = ACTIONS(10982),
    [anon_sym_LBRACE] = ACTIONS(10982),
    [anon_sym_DOT] = ACTIONS(11114),
    [anon_sym_DOLLAR] = ACTIONS(10982),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10982),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10982),
    [anon_sym_QMARK] = ACTIONS(10982),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10982),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10982),
    [aux_sym_integer_literal_token2] = ACTIONS(10982),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10982),
    [aux_sym_float_literal_token3] = ACTIONS(10982),
    [aux_sym_float_literal_token4] = ACTIONS(10982),
    [sym_character_literal] = ACTIONS(10982),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10982),
    [sym__pair_operator] = ACTIONS(10982),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10982),
    [sym__lazy_and_operator] = ACTIONS(10982),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10982),
    [sym__pipe_left_operator] = ACTIONS(10982),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10982),
    [sym__bitshift_operator] = ACTIONS(10982),
    [sym__power_operator] = ACTIONS(10982),
    [sym__tilde_operator] = ACTIONS(10982),
    [sym__type_order_operator] = ACTIONS(10982),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym__terminator_token1] = ACTIONS(10986),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7454] = {
    [sym_identifier] = STATE(8476),
    [sym_block_comment] = STATE(7454),
    [sym_line_comment] = STATE(7454),
    [ts_builtin_sym_end] = ACTIONS(10145),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_RBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7455] = {
    [sym_block_comment] = STATE(7455),
    [sym_line_comment] = STATE(7455),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_catch] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_as] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7456] = {
    [sym_identifier] = STATE(8477),
    [sym_block_comment] = STATE(7456),
    [sym_line_comment] = STATE(7456),
    [ts_builtin_sym_end] = ACTIONS(10009),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_RBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7457] = {
    [sym_block_comment] = STATE(7457),
    [sym_line_comment] = STATE(7457),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_elseif] = ACTIONS(11038),
    [anon_sym_else] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7458] = {
    [sym_block_comment] = STATE(7458),
    [sym_line_comment] = STATE(7458),
    [ts_builtin_sym_end] = ACTIONS(10423),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_as] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_RBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7459] = {
    [sym_block_comment] = STATE(7459),
    [sym_line_comment] = STATE(7459),
    [aux_sym__import_list_repeat1] = STATE(8121),
    [ts_builtin_sym_end] = ACTIONS(11032),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11106),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(11108),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_RBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7460] = {
    [sym_block_comment] = STATE(7460),
    [sym_line_comment] = STATE(7460),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [7461] = {
    [sym_block_comment] = STATE(7461),
    [sym_line_comment] = STATE(7461),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_RPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_RBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10019),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_RBRACE] = ACTIONS(10019),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10019),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7462] = {
    [sym_block_comment] = STATE(7462),
    [sym_line_comment] = STATE(7462),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10365),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_as] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10365),
    [anon_sym_RPAREN] = ACTIONS(10365),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10365),
    [anon_sym_RBRACK] = ACTIONS(10365),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10365),
    [anon_sym_LBRACE] = ACTIONS(10365),
    [anon_sym_RBRACE] = ACTIONS(10365),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10365),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10365),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10365),
    [anon_sym_QMARK] = ACTIONS(10365),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10365),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10365),
    [aux_sym_integer_literal_token2] = ACTIONS(10365),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10365),
    [aux_sym_float_literal_token3] = ACTIONS(10365),
    [aux_sym_float_literal_token4] = ACTIONS(10365),
    [sym_character_literal] = ACTIONS(10365),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10365),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10365),
    [sym__pair_operator] = ACTIONS(10365),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10365),
    [sym__lazy_and_operator] = ACTIONS(10365),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10365),
    [sym__pipe_left_operator] = ACTIONS(10365),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10365),
    [sym__bitshift_operator] = ACTIONS(10365),
    [sym__power_operator] = ACTIONS(10365),
    [sym__tilde_operator] = ACTIONS(10365),
    [sym__type_order_operator] = ACTIONS(10365),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7463] = {
    [sym_block_comment] = STATE(7463),
    [sym_line_comment] = STATE(7463),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10365),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10365),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10365),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10365),
    [anon_sym_SQUOTE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10365),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10365),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10365),
    [anon_sym_QMARK] = ACTIONS(10365),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10365),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10365),
    [aux_sym_integer_literal_token2] = ACTIONS(10365),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10365),
    [aux_sym_float_literal_token3] = ACTIONS(10365),
    [aux_sym_float_literal_token4] = ACTIONS(10365),
    [sym_character_literal] = ACTIONS(10365),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10365),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10365),
    [sym__pair_operator] = ACTIONS(10365),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10365),
    [sym__lazy_and_operator] = ACTIONS(10365),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10365),
    [sym__pipe_left_operator] = ACTIONS(10365),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10365),
    [sym__bitshift_operator] = ACTIONS(10365),
    [sym__power_operator] = ACTIONS(10365),
    [sym__tilde_operator] = ACTIONS(10365),
    [sym__type_order_operator] = ACTIONS(10365),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10365),
    [sym__immediate_bracket] = ACTIONS(10365),
    [sym__immediate_brace] = ACTIONS(10365),
  },
  [7464] = {
    [sym_block_comment] = STATE(7464),
    [sym_line_comment] = STATE(7464),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_elseif] = ACTIONS(9907),
    [anon_sym_else] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7465] = {
    [sym_block_comment] = STATE(7465),
    [sym_line_comment] = STATE(7465),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_catch] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOT] = ACTIONS(11114),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7466] = {
    [sym_block_comment] = STATE(7466),
    [sym_line_comment] = STATE(7466),
    [aux_sym_export_statement_repeat1] = STATE(7691),
    [sym__word_identifier] = ACTIONS(11141),
    [anon_sym_COMMA] = ACTIONS(11143),
    [anon_sym_EQ] = ACTIONS(11141),
    [anon_sym_begin] = ACTIONS(11141),
    [anon_sym_module] = ACTIONS(11141),
    [anon_sym_baremodule] = ACTIONS(11141),
    [anon_sym_end] = ACTIONS(11141),
    [anon_sym_abstract] = ACTIONS(11141),
    [anon_sym_primitive] = ACTIONS(11141),
    [anon_sym_mutable] = ACTIONS(11141),
    [anon_sym_struct] = ACTIONS(11141),
    [anon_sym_function] = ACTIONS(11141),
    [anon_sym_macro] = ACTIONS(11141),
    [anon_sym_quote] = ACTIONS(11141),
    [anon_sym_let] = ACTIONS(11141),
    [anon_sym_if] = ACTIONS(11141),
    [anon_sym_elseif] = ACTIONS(11141),
    [anon_sym_else] = ACTIONS(11141),
    [anon_sym_try] = ACTIONS(11141),
    [anon_sym_for] = ACTIONS(11141),
    [anon_sym_while] = ACTIONS(11141),
    [sym_break_statement] = ACTIONS(11141),
    [sym_continue_statement] = ACTIONS(11141),
    [anon_sym_return] = ACTIONS(11141),
    [anon_sym_const] = ACTIONS(11141),
    [anon_sym_global] = ACTIONS(11141),
    [anon_sym_local] = ACTIONS(11141),
    [anon_sym_LPAREN] = ACTIONS(11141),
    [anon_sym_COLON] = ACTIONS(11141),
    [anon_sym_export] = ACTIONS(11141),
    [anon_sym_public] = ACTIONS(11141),
    [anon_sym_import] = ACTIONS(11141),
    [anon_sym_using] = ACTIONS(11141),
    [anon_sym_LBRACK] = ACTIONS(11141),
    [anon_sym_in] = ACTIONS(11141),
    [anon_sym_SEMI] = ACTIONS(11141),
    [anon_sym_LBRACE] = ACTIONS(11141),
    [anon_sym_DOLLAR] = ACTIONS(11141),
    [anon_sym_COLON2] = ACTIONS(11141),
    [anon_sym_COLON_COLON] = ACTIONS(11141),
    [anon_sym_isa] = ACTIONS(11141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11141),
    [anon_sym_QMARK] = ACTIONS(11141),
    [anon_sym_where] = ACTIONS(11141),
    [anon_sym_AT] = ACTIONS(11141),
    [anon_sym_true] = ACTIONS(11141),
    [anon_sym_false] = ACTIONS(11141),
    [aux_sym_integer_literal_token1] = ACTIONS(11141),
    [aux_sym_integer_literal_token2] = ACTIONS(11141),
    [aux_sym_integer_literal_token3] = ACTIONS(11141),
    [aux_sym_integer_literal_token4] = ACTIONS(11141),
    [aux_sym_float_literal_token1] = ACTIONS(11141),
    [aux_sym_float_literal_token3] = ACTIONS(11141),
    [aux_sym_float_literal_token4] = ACTIONS(11141),
    [sym_character_literal] = ACTIONS(11141),
    [anon_sym_DQUOTE] = ACTIONS(11141),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11141),
    [anon_sym_BQUOTE] = ACTIONS(11141),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11141),
    [sym__pair_operator] = ACTIONS(11141),
    [sym__arrow_operator] = ACTIONS(11141),
    [sym__lazy_or_operator] = ACTIONS(11141),
    [sym__lazy_and_operator] = ACTIONS(11141),
    [sym__comparison_operator] = ACTIONS(11141),
    [sym__pipe_right_operator] = ACTIONS(11141),
    [sym__pipe_left_operator] = ACTIONS(11141),
    [sym__ellipsis_operator] = ACTIONS(11141),
    [sym__plus_operator] = ACTIONS(11141),
    [sym__times_operator] = ACTIONS(11141),
    [sym__rational_operator] = ACTIONS(11141),
    [sym__bitshift_operator] = ACTIONS(11141),
    [sym__power_operator] = ACTIONS(11141),
    [sym__tilde_operator] = ACTIONS(11141),
    [sym__type_order_operator] = ACTIONS(11141),
    [sym__unary_operator] = ACTIONS(11141),
    [sym__unary_plus_operator] = ACTIONS(11141),
    [aux_sym__terminator_token1] = ACTIONS(11145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7467] = {
    [sym_block_comment] = STATE(7467),
    [sym_line_comment] = STATE(7467),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_finally] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_as] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7468] = {
    [sym_block_comment] = STATE(7468),
    [sym_line_comment] = STATE(7468),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_SQUOTE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9995),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9995),
    [sym__bitshift_operator] = ACTIONS(9995),
    [sym__power_operator] = ACTIONS(9995),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9995),
    [sym__immediate_bracket] = ACTIONS(9995),
    [sym__immediate_brace] = ACTIONS(9995),
  },
  [7469] = {
    [sym_block_comment] = STATE(7469),
    [sym_line_comment] = STATE(7469),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_finally] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_as] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7470] = {
    [sym_block_comment] = STATE(7470),
    [sym_line_comment] = STATE(7470),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_elseif] = ACTIONS(10277),
    [anon_sym_else] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7471] = {
    [sym_block_comment] = STATE(7471),
    [sym_line_comment] = STATE(7471),
    [sym__word_identifier] = ACTIONS(10239),
    [anon_sym_COMMA] = ACTIONS(10241),
    [anon_sym_EQ] = ACTIONS(10239),
    [anon_sym_begin] = ACTIONS(10239),
    [anon_sym_module] = ACTIONS(10239),
    [anon_sym_baremodule] = ACTIONS(10239),
    [anon_sym_end] = ACTIONS(10239),
    [anon_sym_abstract] = ACTIONS(10239),
    [anon_sym_primitive] = ACTIONS(10239),
    [anon_sym_mutable] = ACTIONS(10239),
    [anon_sym_struct] = ACTIONS(10239),
    [anon_sym_function] = ACTIONS(10239),
    [anon_sym_macro] = ACTIONS(10239),
    [anon_sym_quote] = ACTIONS(10239),
    [anon_sym_let] = ACTIONS(10239),
    [anon_sym_if] = ACTIONS(10239),
    [anon_sym_try] = ACTIONS(10239),
    [anon_sym_for] = ACTIONS(10239),
    [anon_sym_while] = ACTIONS(10239),
    [sym_break_statement] = ACTIONS(10239),
    [sym_continue_statement] = ACTIONS(10239),
    [anon_sym_return] = ACTIONS(10239),
    [anon_sym_const] = ACTIONS(10239),
    [anon_sym_global] = ACTIONS(10239),
    [anon_sym_local] = ACTIONS(10239),
    [anon_sym_LPAREN] = ACTIONS(10241),
    [anon_sym_COLON] = ACTIONS(10239),
    [anon_sym_export] = ACTIONS(10239),
    [anon_sym_public] = ACTIONS(10239),
    [anon_sym_import] = ACTIONS(10239),
    [anon_sym_using] = ACTIONS(10239),
    [anon_sym_LBRACK] = ACTIONS(10241),
    [anon_sym_in] = ACTIONS(10239),
    [anon_sym_LBRACE] = ACTIONS(10241),
    [anon_sym_SQUOTE] = ACTIONS(10239),
    [anon_sym_DOT] = ACTIONS(10239),
    [anon_sym_DOLLAR] = ACTIONS(10241),
    [anon_sym_COLON2] = ACTIONS(10239),
    [anon_sym_COLON_COLON] = ACTIONS(10241),
    [anon_sym_isa] = ACTIONS(10239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10241),
    [anon_sym_QMARK] = ACTIONS(10241),
    [anon_sym_where] = ACTIONS(10239),
    [anon_sym_AT] = ACTIONS(10241),
    [anon_sym_true] = ACTIONS(10239),
    [anon_sym_false] = ACTIONS(10239),
    [aux_sym_integer_literal_token1] = ACTIONS(10241),
    [aux_sym_integer_literal_token2] = ACTIONS(10241),
    [aux_sym_integer_literal_token3] = ACTIONS(10239),
    [aux_sym_integer_literal_token4] = ACTIONS(10239),
    [aux_sym_float_literal_token1] = ACTIONS(10241),
    [aux_sym_float_literal_token3] = ACTIONS(10241),
    [aux_sym_float_literal_token4] = ACTIONS(10241),
    [sym_character_literal] = ACTIONS(10241),
    [anon_sym_DQUOTE] = ACTIONS(10239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10241),
    [anon_sym_BQUOTE] = ACTIONS(10239),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10241),
    [sym__pair_operator] = ACTIONS(10241),
    [sym__arrow_operator] = ACTIONS(10239),
    [sym__lazy_or_operator] = ACTIONS(10241),
    [sym__lazy_and_operator] = ACTIONS(10241),
    [sym__comparison_operator] = ACTIONS(10239),
    [sym__pipe_right_operator] = ACTIONS(10241),
    [sym__pipe_left_operator] = ACTIONS(10241),
    [sym__ellipsis_operator] = ACTIONS(10239),
    [sym__plus_operator] = ACTIONS(10239),
    [sym__times_operator] = ACTIONS(10239),
    [sym__rational_operator] = ACTIONS(10241),
    [sym__bitshift_operator] = ACTIONS(10241),
    [sym__power_operator] = ACTIONS(10241),
    [sym__tilde_operator] = ACTIONS(10241),
    [sym__type_order_operator] = ACTIONS(10241),
    [sym__unary_operator] = ACTIONS(10239),
    [sym__unary_plus_operator] = ACTIONS(10239),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10241),
    [sym__immediate_bracket] = ACTIONS(10241),
    [sym__immediate_brace] = ACTIONS(10241),
  },
  [7472] = {
    [sym_block_comment] = STATE(7472),
    [sym_line_comment] = STATE(7472),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10155),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9917),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7473] = {
    [sym_block_comment] = STATE(7473),
    [sym_line_comment] = STATE(7473),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_else] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_finally] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7474] = {
    [sym_block_comment] = STATE(7474),
    [sym_line_comment] = STATE(7474),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10325),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10325),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10325),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10325),
    [anon_sym_SQUOTE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10325),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10325),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10325),
    [anon_sym_QMARK] = ACTIONS(10325),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10325),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10325),
    [aux_sym_integer_literal_token2] = ACTIONS(10325),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10325),
    [aux_sym_float_literal_token3] = ACTIONS(10325),
    [aux_sym_float_literal_token4] = ACTIONS(10325),
    [sym_character_literal] = ACTIONS(10325),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10325),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10325),
    [sym__pair_operator] = ACTIONS(10325),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10325),
    [sym__lazy_and_operator] = ACTIONS(10325),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10325),
    [sym__pipe_left_operator] = ACTIONS(10325),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10325),
    [sym__bitshift_operator] = ACTIONS(10325),
    [sym__power_operator] = ACTIONS(10325),
    [sym__tilde_operator] = ACTIONS(10325),
    [sym__type_order_operator] = ACTIONS(10325),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10325),
    [sym__immediate_bracket] = ACTIONS(10325),
    [sym__immediate_brace] = ACTIONS(10325),
  },
  [7475] = {
    [sym_block_comment] = STATE(7475),
    [sym_line_comment] = STATE(7475),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_as] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7476] = {
    [sym_block_comment] = STATE(7476),
    [sym_line_comment] = STATE(7476),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7477] = {
    [sym_block_comment] = STATE(7477),
    [sym_line_comment] = STATE(7477),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7478] = {
    [sym_block_comment] = STATE(7478),
    [sym_line_comment] = STATE(7478),
    [sym__word_identifier] = ACTIONS(10245),
    [anon_sym_COMMA] = ACTIONS(10247),
    [anon_sym_EQ] = ACTIONS(10245),
    [anon_sym_begin] = ACTIONS(10245),
    [anon_sym_module] = ACTIONS(10245),
    [anon_sym_baremodule] = ACTIONS(10245),
    [anon_sym_end] = ACTIONS(10245),
    [anon_sym_abstract] = ACTIONS(10245),
    [anon_sym_primitive] = ACTIONS(10245),
    [anon_sym_mutable] = ACTIONS(10245),
    [anon_sym_struct] = ACTIONS(10245),
    [anon_sym_function] = ACTIONS(10245),
    [anon_sym_macro] = ACTIONS(10245),
    [anon_sym_quote] = ACTIONS(10245),
    [anon_sym_let] = ACTIONS(10245),
    [anon_sym_if] = ACTIONS(10245),
    [anon_sym_try] = ACTIONS(10245),
    [anon_sym_for] = ACTIONS(10245),
    [anon_sym_while] = ACTIONS(10245),
    [sym_break_statement] = ACTIONS(10245),
    [sym_continue_statement] = ACTIONS(10245),
    [anon_sym_return] = ACTIONS(10245),
    [anon_sym_const] = ACTIONS(10245),
    [anon_sym_global] = ACTIONS(10245),
    [anon_sym_local] = ACTIONS(10245),
    [anon_sym_LPAREN] = ACTIONS(10247),
    [anon_sym_COLON] = ACTIONS(10245),
    [anon_sym_export] = ACTIONS(10245),
    [anon_sym_public] = ACTIONS(10245),
    [anon_sym_import] = ACTIONS(10245),
    [anon_sym_using] = ACTIONS(10245),
    [anon_sym_LBRACK] = ACTIONS(10247),
    [anon_sym_in] = ACTIONS(10245),
    [anon_sym_LBRACE] = ACTIONS(10247),
    [anon_sym_SQUOTE] = ACTIONS(10245),
    [anon_sym_DOT] = ACTIONS(10245),
    [anon_sym_DOLLAR] = ACTIONS(10247),
    [anon_sym_COLON2] = ACTIONS(10245),
    [anon_sym_COLON_COLON] = ACTIONS(10247),
    [anon_sym_isa] = ACTIONS(10245),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10247),
    [anon_sym_QMARK] = ACTIONS(10247),
    [anon_sym_where] = ACTIONS(10245),
    [anon_sym_AT] = ACTIONS(10247),
    [anon_sym_true] = ACTIONS(10245),
    [anon_sym_false] = ACTIONS(10245),
    [aux_sym_integer_literal_token1] = ACTIONS(10247),
    [aux_sym_integer_literal_token2] = ACTIONS(10247),
    [aux_sym_integer_literal_token3] = ACTIONS(10245),
    [aux_sym_integer_literal_token4] = ACTIONS(10245),
    [aux_sym_float_literal_token1] = ACTIONS(10247),
    [aux_sym_float_literal_token3] = ACTIONS(10247),
    [aux_sym_float_literal_token4] = ACTIONS(10247),
    [sym_character_literal] = ACTIONS(10247),
    [anon_sym_DQUOTE] = ACTIONS(10245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10247),
    [anon_sym_BQUOTE] = ACTIONS(10245),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10247),
    [sym__pair_operator] = ACTIONS(10247),
    [sym__arrow_operator] = ACTIONS(10245),
    [sym__lazy_or_operator] = ACTIONS(10247),
    [sym__lazy_and_operator] = ACTIONS(10247),
    [sym__comparison_operator] = ACTIONS(10245),
    [sym__pipe_right_operator] = ACTIONS(10247),
    [sym__pipe_left_operator] = ACTIONS(10247),
    [sym__ellipsis_operator] = ACTIONS(10245),
    [sym__plus_operator] = ACTIONS(10245),
    [sym__times_operator] = ACTIONS(10245),
    [sym__rational_operator] = ACTIONS(10247),
    [sym__bitshift_operator] = ACTIONS(10247),
    [sym__power_operator] = ACTIONS(10247),
    [sym__tilde_operator] = ACTIONS(10247),
    [sym__type_order_operator] = ACTIONS(10247),
    [sym__unary_operator] = ACTIONS(10245),
    [sym__unary_plus_operator] = ACTIONS(10245),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10247),
    [sym__immediate_bracket] = ACTIONS(10247),
    [sym__immediate_brace] = ACTIONS(10247),
  },
  [7479] = {
    [sym_block_comment] = STATE(7479),
    [sym_line_comment] = STATE(7479),
    [ts_builtin_sym_end] = ACTIONS(10431),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_as] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_RBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7480] = {
    [sym_block_comment] = STATE(7480),
    [sym_line_comment] = STATE(7480),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_catch] = ACTIONS(10229),
    [anon_sym_finally] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_as] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7481] = {
    [sym_block_comment] = STATE(7481),
    [sym_line_comment] = STATE(7481),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_as] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7482] = {
    [sym_block_comment] = STATE(7482),
    [sym_line_comment] = STATE(7482),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10377),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10377),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10377),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10377),
    [anon_sym_SQUOTE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10377),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10377),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10377),
    [anon_sym_QMARK] = ACTIONS(10377),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10377),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10377),
    [aux_sym_integer_literal_token2] = ACTIONS(10377),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10377),
    [aux_sym_float_literal_token3] = ACTIONS(10377),
    [aux_sym_float_literal_token4] = ACTIONS(10377),
    [sym_character_literal] = ACTIONS(10377),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10377),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10377),
    [sym__pair_operator] = ACTIONS(10377),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10377),
    [sym__lazy_and_operator] = ACTIONS(10377),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10377),
    [sym__pipe_left_operator] = ACTIONS(10377),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10377),
    [sym__bitshift_operator] = ACTIONS(10377),
    [sym__power_operator] = ACTIONS(10377),
    [sym__tilde_operator] = ACTIONS(10377),
    [sym__type_order_operator] = ACTIONS(10377),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10377),
    [sym__immediate_bracket] = ACTIONS(10377),
    [sym__immediate_brace] = ACTIONS(10377),
  },
  [7483] = {
    [sym_block_comment] = STATE(7483),
    [sym_line_comment] = STATE(7483),
    [sym__word_identifier] = ACTIONS(10249),
    [anon_sym_COMMA] = ACTIONS(10251),
    [anon_sym_EQ] = ACTIONS(10249),
    [anon_sym_begin] = ACTIONS(10249),
    [anon_sym_module] = ACTIONS(10249),
    [anon_sym_baremodule] = ACTIONS(10249),
    [anon_sym_end] = ACTIONS(10249),
    [anon_sym_abstract] = ACTIONS(10249),
    [anon_sym_primitive] = ACTIONS(10249),
    [anon_sym_mutable] = ACTIONS(10249),
    [anon_sym_struct] = ACTIONS(10249),
    [anon_sym_function] = ACTIONS(10249),
    [anon_sym_macro] = ACTIONS(10249),
    [anon_sym_quote] = ACTIONS(10249),
    [anon_sym_let] = ACTIONS(10249),
    [anon_sym_if] = ACTIONS(10249),
    [anon_sym_try] = ACTIONS(10249),
    [anon_sym_for] = ACTIONS(10249),
    [anon_sym_while] = ACTIONS(10249),
    [sym_break_statement] = ACTIONS(10249),
    [sym_continue_statement] = ACTIONS(10249),
    [anon_sym_return] = ACTIONS(10249),
    [anon_sym_const] = ACTIONS(10249),
    [anon_sym_global] = ACTIONS(10249),
    [anon_sym_local] = ACTIONS(10249),
    [anon_sym_LPAREN] = ACTIONS(10251),
    [anon_sym_COLON] = ACTIONS(10249),
    [anon_sym_export] = ACTIONS(10249),
    [anon_sym_public] = ACTIONS(10249),
    [anon_sym_import] = ACTIONS(10249),
    [anon_sym_using] = ACTIONS(10249),
    [anon_sym_LBRACK] = ACTIONS(10251),
    [anon_sym_in] = ACTIONS(10249),
    [anon_sym_LBRACE] = ACTIONS(10251),
    [anon_sym_SQUOTE] = ACTIONS(10249),
    [anon_sym_DOT] = ACTIONS(10249),
    [anon_sym_DOLLAR] = ACTIONS(10251),
    [anon_sym_COLON2] = ACTIONS(10249),
    [anon_sym_COLON_COLON] = ACTIONS(10251),
    [anon_sym_isa] = ACTIONS(10249),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10251),
    [anon_sym_QMARK] = ACTIONS(10251),
    [anon_sym_where] = ACTIONS(10249),
    [anon_sym_AT] = ACTIONS(10251),
    [anon_sym_true] = ACTIONS(10249),
    [anon_sym_false] = ACTIONS(10249),
    [aux_sym_integer_literal_token1] = ACTIONS(10251),
    [aux_sym_integer_literal_token2] = ACTIONS(10251),
    [aux_sym_integer_literal_token3] = ACTIONS(10249),
    [aux_sym_integer_literal_token4] = ACTIONS(10249),
    [aux_sym_float_literal_token1] = ACTIONS(10251),
    [aux_sym_float_literal_token3] = ACTIONS(10251),
    [aux_sym_float_literal_token4] = ACTIONS(10251),
    [sym_character_literal] = ACTIONS(10251),
    [anon_sym_DQUOTE] = ACTIONS(10249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10251),
    [anon_sym_BQUOTE] = ACTIONS(10249),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10251),
    [sym__pair_operator] = ACTIONS(10251),
    [sym__arrow_operator] = ACTIONS(10249),
    [sym__lazy_or_operator] = ACTIONS(10251),
    [sym__lazy_and_operator] = ACTIONS(10251),
    [sym__comparison_operator] = ACTIONS(10249),
    [sym__pipe_right_operator] = ACTIONS(10251),
    [sym__pipe_left_operator] = ACTIONS(10251),
    [sym__ellipsis_operator] = ACTIONS(10249),
    [sym__plus_operator] = ACTIONS(10249),
    [sym__times_operator] = ACTIONS(10249),
    [sym__rational_operator] = ACTIONS(10251),
    [sym__bitshift_operator] = ACTIONS(10251),
    [sym__power_operator] = ACTIONS(10251),
    [sym__tilde_operator] = ACTIONS(10251),
    [sym__type_order_operator] = ACTIONS(10251),
    [sym__unary_operator] = ACTIONS(10249),
    [sym__unary_plus_operator] = ACTIONS(10249),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10251),
    [sym__immediate_bracket] = ACTIONS(10251),
    [sym__immediate_brace] = ACTIONS(10251),
  },
  [7484] = {
    [sym_block_comment] = STATE(7484),
    [sym_line_comment] = STATE(7484),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_finally] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_as] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7485] = {
    [sym_block_comment] = STATE(7485),
    [sym_line_comment] = STATE(7485),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_finally] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_as] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7486] = {
    [sym_block_comment] = STATE(7486),
    [sym_line_comment] = STATE(7486),
    [aux_sym_open_tuple_repeat1] = STATE(7495),
    [sym__word_identifier] = ACTIONS(11126),
    [anon_sym_COMMA] = ACTIONS(11147),
    [anon_sym_EQ] = ACTIONS(11126),
    [anon_sym_begin] = ACTIONS(11126),
    [anon_sym_module] = ACTIONS(11126),
    [anon_sym_baremodule] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(11126),
    [anon_sym_abstract] = ACTIONS(11126),
    [anon_sym_primitive] = ACTIONS(11126),
    [anon_sym_mutable] = ACTIONS(11126),
    [anon_sym_struct] = ACTIONS(11126),
    [anon_sym_function] = ACTIONS(11126),
    [anon_sym_macro] = ACTIONS(11126),
    [anon_sym_quote] = ACTIONS(11126),
    [anon_sym_let] = ACTIONS(11126),
    [anon_sym_if] = ACTIONS(11126),
    [anon_sym_else] = ACTIONS(11126),
    [anon_sym_try] = ACTIONS(11126),
    [anon_sym_finally] = ACTIONS(11126),
    [anon_sym_for] = ACTIONS(11126),
    [anon_sym_while] = ACTIONS(11126),
    [sym_break_statement] = ACTIONS(11126),
    [sym_continue_statement] = ACTIONS(11126),
    [anon_sym_return] = ACTIONS(11126),
    [anon_sym_const] = ACTIONS(11126),
    [anon_sym_global] = ACTIONS(11126),
    [anon_sym_local] = ACTIONS(11126),
    [anon_sym_LPAREN] = ACTIONS(11126),
    [anon_sym_COLON] = ACTIONS(11126),
    [anon_sym_export] = ACTIONS(11126),
    [anon_sym_public] = ACTIONS(11126),
    [anon_sym_import] = ACTIONS(11126),
    [anon_sym_using] = ACTIONS(11126),
    [anon_sym_LBRACK] = ACTIONS(11126),
    [anon_sym_in] = ACTIONS(11126),
    [anon_sym_SEMI] = ACTIONS(11126),
    [anon_sym_LBRACE] = ACTIONS(11126),
    [anon_sym_DOLLAR] = ACTIONS(11126),
    [anon_sym_COLON2] = ACTIONS(11126),
    [anon_sym_COLON_COLON] = ACTIONS(11126),
    [anon_sym_isa] = ACTIONS(11126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11126),
    [anon_sym_QMARK] = ACTIONS(11126),
    [anon_sym_where] = ACTIONS(11126),
    [anon_sym_AT] = ACTIONS(11126),
    [anon_sym_true] = ACTIONS(11126),
    [anon_sym_false] = ACTIONS(11126),
    [aux_sym_integer_literal_token1] = ACTIONS(11126),
    [aux_sym_integer_literal_token2] = ACTIONS(11126),
    [aux_sym_integer_literal_token3] = ACTIONS(11126),
    [aux_sym_integer_literal_token4] = ACTIONS(11126),
    [aux_sym_float_literal_token1] = ACTIONS(11126),
    [aux_sym_float_literal_token3] = ACTIONS(11126),
    [aux_sym_float_literal_token4] = ACTIONS(11126),
    [sym_character_literal] = ACTIONS(11126),
    [anon_sym_DQUOTE] = ACTIONS(11126),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11126),
    [anon_sym_BQUOTE] = ACTIONS(11126),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11126),
    [sym__pair_operator] = ACTIONS(11126),
    [sym__arrow_operator] = ACTIONS(11126),
    [sym__lazy_or_operator] = ACTIONS(11126),
    [sym__lazy_and_operator] = ACTIONS(11126),
    [sym__comparison_operator] = ACTIONS(11126),
    [sym__pipe_right_operator] = ACTIONS(11126),
    [sym__pipe_left_operator] = ACTIONS(11126),
    [sym__ellipsis_operator] = ACTIONS(11126),
    [sym__plus_operator] = ACTIONS(11126),
    [sym__times_operator] = ACTIONS(11126),
    [sym__rational_operator] = ACTIONS(11126),
    [sym__bitshift_operator] = ACTIONS(11126),
    [sym__power_operator] = ACTIONS(11126),
    [sym__tilde_operator] = ACTIONS(11126),
    [sym__type_order_operator] = ACTIONS(11126),
    [sym__unary_operator] = ACTIONS(11126),
    [sym__unary_plus_operator] = ACTIONS(11126),
    [aux_sym__terminator_token1] = ACTIONS(11130),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7487] = {
    [sym_block_comment] = STATE(7487),
    [sym_line_comment] = STATE(7487),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_RPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_RBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9909),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_RBRACE] = ACTIONS(9909),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9909),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9909),
    [sym__bitshift_operator] = ACTIONS(9909),
    [sym__power_operator] = ACTIONS(9909),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7488] = {
    [sym_block_comment] = STATE(7488),
    [sym_line_comment] = STATE(7488),
    [aux_sym_export_statement_repeat1] = STATE(7488),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(11151),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_end] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_elseif] = ACTIONS(11149),
    [anon_sym_else] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11149),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11149),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_SEMI] = ACTIONS(11149),
    [anon_sym_LBRACE] = ACTIONS(11149),
    [anon_sym_DOLLAR] = ACTIONS(11149),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11149),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11149),
    [anon_sym_QMARK] = ACTIONS(11149),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11149),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11149),
    [aux_sym_integer_literal_token2] = ACTIONS(11149),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11149),
    [aux_sym_float_literal_token3] = ACTIONS(11149),
    [aux_sym_float_literal_token4] = ACTIONS(11149),
    [sym_character_literal] = ACTIONS(11149),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11149),
    [sym__pair_operator] = ACTIONS(11149),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11149),
    [sym__lazy_and_operator] = ACTIONS(11149),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11149),
    [sym__pipe_left_operator] = ACTIONS(11149),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11149),
    [sym__bitshift_operator] = ACTIONS(11149),
    [sym__power_operator] = ACTIONS(11149),
    [sym__tilde_operator] = ACTIONS(11149),
    [sym__type_order_operator] = ACTIONS(11149),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym__terminator_token1] = ACTIONS(11154),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7489] = {
    [sym_block_comment] = STATE(7489),
    [sym_line_comment] = STATE(7489),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_finally] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_as] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7490] = {
    [sym_block_comment] = STATE(7490),
    [sym_line_comment] = STATE(7490),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_finally] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_as] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7491] = {
    [sym_block_comment] = STATE(7491),
    [sym_line_comment] = STATE(7491),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_as] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7492] = {
    [sym_block_comment] = STATE(7492),
    [sym_line_comment] = STATE(7492),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_elseif] = ACTIONS(10127),
    [anon_sym_else] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7493] = {
    [sym_block_comment] = STATE(7493),
    [sym_line_comment] = STATE(7493),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10377),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_as] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(10377),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10377),
    [anon_sym_RBRACK] = ACTIONS(10377),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10377),
    [anon_sym_LBRACE] = ACTIONS(10377),
    [anon_sym_RBRACE] = ACTIONS(10377),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10377),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10377),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10377),
    [anon_sym_QMARK] = ACTIONS(10377),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10377),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10377),
    [aux_sym_integer_literal_token2] = ACTIONS(10377),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10377),
    [aux_sym_float_literal_token3] = ACTIONS(10377),
    [aux_sym_float_literal_token4] = ACTIONS(10377),
    [sym_character_literal] = ACTIONS(10377),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10377),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10377),
    [sym__pair_operator] = ACTIONS(10377),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10377),
    [sym__lazy_and_operator] = ACTIONS(10377),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10377),
    [sym__pipe_left_operator] = ACTIONS(10377),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10377),
    [sym__bitshift_operator] = ACTIONS(10377),
    [sym__power_operator] = ACTIONS(10377),
    [sym__tilde_operator] = ACTIONS(10377),
    [sym__type_order_operator] = ACTIONS(10377),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7494] = {
    [sym_block_comment] = STATE(7494),
    [sym_line_comment] = STATE(7494),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_as] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7495] = {
    [sym_block_comment] = STATE(7495),
    [sym_line_comment] = STATE(7495),
    [aux_sym_open_tuple_repeat1] = STATE(7495),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(11156),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_end] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_else] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_finally] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11134),
    [anon_sym_COLON] = ACTIONS(11134),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11134),
    [anon_sym_in] = ACTIONS(11134),
    [anon_sym_SEMI] = ACTIONS(11134),
    [anon_sym_LBRACE] = ACTIONS(11134),
    [anon_sym_DOLLAR] = ACTIONS(11134),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(11134),
    [anon_sym_isa] = ACTIONS(11134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_QMARK] = ACTIONS(11134),
    [anon_sym_where] = ACTIONS(11134),
    [anon_sym_AT] = ACTIONS(11134),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11134),
    [aux_sym_integer_literal_token2] = ACTIONS(11134),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11134),
    [aux_sym_float_literal_token3] = ACTIONS(11134),
    [aux_sym_float_literal_token4] = ACTIONS(11134),
    [sym_character_literal] = ACTIONS(11134),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11134),
    [sym__pair_operator] = ACTIONS(11134),
    [sym__arrow_operator] = ACTIONS(11134),
    [sym__lazy_or_operator] = ACTIONS(11134),
    [sym__lazy_and_operator] = ACTIONS(11134),
    [sym__comparison_operator] = ACTIONS(11134),
    [sym__pipe_right_operator] = ACTIONS(11134),
    [sym__pipe_left_operator] = ACTIONS(11134),
    [sym__ellipsis_operator] = ACTIONS(11134),
    [sym__plus_operator] = ACTIONS(11134),
    [sym__times_operator] = ACTIONS(11134),
    [sym__rational_operator] = ACTIONS(11134),
    [sym__bitshift_operator] = ACTIONS(11134),
    [sym__power_operator] = ACTIONS(11134),
    [sym__tilde_operator] = ACTIONS(11134),
    [sym__type_order_operator] = ACTIONS(11134),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(11134),
    [aux_sym__terminator_token1] = ACTIONS(11139),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7496] = {
    [sym_block_comment] = STATE(7496),
    [sym_line_comment] = STATE(7496),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_as] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7497] = {
    [sym_block_comment] = STATE(7497),
    [sym_line_comment] = STATE(7497),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_finally] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_as] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7498] = {
    [sym_block_comment] = STATE(7498),
    [sym_line_comment] = STATE(7498),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_finally] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_as] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7499] = {
    [sym_block_comment] = STATE(7499),
    [sym_line_comment] = STATE(7499),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11159),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_elseif] = ACTIONS(11159),
    [anon_sym_else] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_as] = ACTIONS(11028),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7500] = {
    [sym_block_comment] = STATE(7500),
    [sym_line_comment] = STATE(7500),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10329),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10329),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10329),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10329),
    [anon_sym_SQUOTE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10329),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10329),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10329),
    [anon_sym_QMARK] = ACTIONS(10329),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10329),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10329),
    [aux_sym_integer_literal_token2] = ACTIONS(10329),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10329),
    [aux_sym_float_literal_token3] = ACTIONS(10329),
    [aux_sym_float_literal_token4] = ACTIONS(10329),
    [sym_character_literal] = ACTIONS(10329),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10329),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10329),
    [sym__pair_operator] = ACTIONS(10329),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10329),
    [sym__lazy_and_operator] = ACTIONS(10329),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10329),
    [sym__pipe_left_operator] = ACTIONS(10329),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10329),
    [sym__bitshift_operator] = ACTIONS(10329),
    [sym__power_operator] = ACTIONS(10329),
    [sym__tilde_operator] = ACTIONS(10329),
    [sym__type_order_operator] = ACTIONS(10329),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10329),
    [sym__immediate_bracket] = ACTIONS(10329),
    [sym__immediate_brace] = ACTIONS(10329),
  },
  [7501] = {
    [sym_block_comment] = STATE(7501),
    [sym_line_comment] = STATE(7501),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_catch] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_as] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7502] = {
    [sym_block_comment] = STATE(7502),
    [sym_line_comment] = STATE(7502),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10401),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_as] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10401),
    [anon_sym_RPAREN] = ACTIONS(10401),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10401),
    [anon_sym_RBRACK] = ACTIONS(10401),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10401),
    [anon_sym_LBRACE] = ACTIONS(10401),
    [anon_sym_RBRACE] = ACTIONS(10401),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10401),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10401),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10401),
    [anon_sym_QMARK] = ACTIONS(10401),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10401),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10401),
    [aux_sym_integer_literal_token2] = ACTIONS(10401),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10401),
    [aux_sym_float_literal_token3] = ACTIONS(10401),
    [aux_sym_float_literal_token4] = ACTIONS(10401),
    [sym_character_literal] = ACTIONS(10401),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10401),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10401),
    [sym__pair_operator] = ACTIONS(10401),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10401),
    [sym__lazy_and_operator] = ACTIONS(10401),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10401),
    [sym__pipe_left_operator] = ACTIONS(10401),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10401),
    [sym__bitshift_operator] = ACTIONS(10401),
    [sym__power_operator] = ACTIONS(10401),
    [sym__tilde_operator] = ACTIONS(10401),
    [sym__type_order_operator] = ACTIONS(10401),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7503] = {
    [sym_block_comment] = STATE(7503),
    [sym_line_comment] = STATE(7503),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7504] = {
    [sym_block_comment] = STATE(7504),
    [sym_line_comment] = STATE(7504),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_finally] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_as] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7505] = {
    [sym_block_comment] = STATE(7505),
    [sym_line_comment] = STATE(7505),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_catch] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_as] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7506] = {
    [sym_block_comment] = STATE(7506),
    [sym_line_comment] = STATE(7506),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10265),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_as] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10265),
    [anon_sym_RPAREN] = ACTIONS(10265),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10265),
    [anon_sym_RBRACK] = ACTIONS(10265),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10265),
    [anon_sym_LBRACE] = ACTIONS(10265),
    [anon_sym_RBRACE] = ACTIONS(10265),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10265),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10265),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10265),
    [anon_sym_QMARK] = ACTIONS(10265),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10265),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10265),
    [aux_sym_integer_literal_token2] = ACTIONS(10265),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10265),
    [aux_sym_float_literal_token3] = ACTIONS(10265),
    [aux_sym_float_literal_token4] = ACTIONS(10265),
    [sym_character_literal] = ACTIONS(10265),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10265),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10265),
    [sym__pair_operator] = ACTIONS(10265),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10265),
    [sym__lazy_and_operator] = ACTIONS(10265),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10265),
    [sym__pipe_left_operator] = ACTIONS(10265),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10265),
    [sym__bitshift_operator] = ACTIONS(10265),
    [sym__power_operator] = ACTIONS(10265),
    [sym__tilde_operator] = ACTIONS(10265),
    [sym__type_order_operator] = ACTIONS(10265),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7507] = {
    [sym_block_comment] = STATE(7507),
    [sym_line_comment] = STATE(7507),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_catch] = ACTIONS(10363),
    [anon_sym_finally] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_as] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7508] = {
    [sym_block_comment] = STATE(7508),
    [sym_line_comment] = STATE(7508),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_finally] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_as] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7509] = {
    [sym_block_comment] = STATE(7509),
    [sym_line_comment] = STATE(7509),
    [sym__word_identifier] = ACTIONS(9933),
    [anon_sym_COMMA] = ACTIONS(9937),
    [anon_sym_EQ] = ACTIONS(9933),
    [anon_sym_begin] = ACTIONS(9933),
    [anon_sym_module] = ACTIONS(9933),
    [anon_sym_baremodule] = ACTIONS(9933),
    [anon_sym_end] = ACTIONS(9933),
    [anon_sym_abstract] = ACTIONS(9933),
    [anon_sym_primitive] = ACTIONS(9933),
    [anon_sym_mutable] = ACTIONS(9933),
    [anon_sym_struct] = ACTIONS(9933),
    [anon_sym_function] = ACTIONS(9933),
    [anon_sym_macro] = ACTIONS(9933),
    [anon_sym_quote] = ACTIONS(9933),
    [anon_sym_let] = ACTIONS(9933),
    [anon_sym_if] = ACTIONS(9933),
    [anon_sym_try] = ACTIONS(9933),
    [anon_sym_for] = ACTIONS(9933),
    [anon_sym_while] = ACTIONS(9933),
    [sym_break_statement] = ACTIONS(9933),
    [sym_continue_statement] = ACTIONS(9933),
    [anon_sym_return] = ACTIONS(9933),
    [anon_sym_const] = ACTIONS(9933),
    [anon_sym_global] = ACTIONS(9933),
    [anon_sym_local] = ACTIONS(9933),
    [anon_sym_LPAREN] = ACTIONS(9937),
    [anon_sym_COLON] = ACTIONS(9933),
    [anon_sym_export] = ACTIONS(9933),
    [anon_sym_public] = ACTIONS(9933),
    [anon_sym_import] = ACTIONS(9933),
    [anon_sym_using] = ACTIONS(9933),
    [anon_sym_LBRACK] = ACTIONS(9937),
    [anon_sym_in] = ACTIONS(9933),
    [anon_sym_LBRACE] = ACTIONS(9937),
    [anon_sym_SQUOTE] = ACTIONS(9933),
    [anon_sym_DOT] = ACTIONS(9933),
    [anon_sym_DOLLAR] = ACTIONS(9937),
    [anon_sym_COLON2] = ACTIONS(9933),
    [anon_sym_COLON_COLON] = ACTIONS(9937),
    [anon_sym_isa] = ACTIONS(9933),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9937),
    [anon_sym_QMARK] = ACTIONS(9937),
    [anon_sym_where] = ACTIONS(9933),
    [anon_sym_AT] = ACTIONS(9937),
    [anon_sym_true] = ACTIONS(9933),
    [anon_sym_false] = ACTIONS(9933),
    [aux_sym_integer_literal_token1] = ACTIONS(9937),
    [aux_sym_integer_literal_token2] = ACTIONS(9937),
    [aux_sym_integer_literal_token3] = ACTIONS(9933),
    [aux_sym_integer_literal_token4] = ACTIONS(9933),
    [aux_sym_float_literal_token1] = ACTIONS(9937),
    [aux_sym_float_literal_token3] = ACTIONS(9937),
    [aux_sym_float_literal_token4] = ACTIONS(9937),
    [sym_character_literal] = ACTIONS(9937),
    [anon_sym_DQUOTE] = ACTIONS(9933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9937),
    [anon_sym_BQUOTE] = ACTIONS(9933),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9937),
    [sym__pair_operator] = ACTIONS(9937),
    [sym__arrow_operator] = ACTIONS(9933),
    [sym__lazy_or_operator] = ACTIONS(9937),
    [sym__lazy_and_operator] = ACTIONS(9937),
    [sym__comparison_operator] = ACTIONS(9933),
    [sym__pipe_right_operator] = ACTIONS(9937),
    [sym__pipe_left_operator] = ACTIONS(9937),
    [sym__ellipsis_operator] = ACTIONS(9933),
    [sym__plus_operator] = ACTIONS(9933),
    [sym__times_operator] = ACTIONS(9933),
    [sym__rational_operator] = ACTIONS(9937),
    [sym__bitshift_operator] = ACTIONS(9937),
    [sym__power_operator] = ACTIONS(9937),
    [sym__tilde_operator] = ACTIONS(9937),
    [sym__type_order_operator] = ACTIONS(9937),
    [sym__unary_operator] = ACTIONS(9933),
    [sym__unary_plus_operator] = ACTIONS(9933),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9937),
    [sym__immediate_bracket] = ACTIONS(9937),
    [sym__immediate_brace] = ACTIONS(9937),
  },
  [7510] = {
    [sym_block_comment] = STATE(7510),
    [sym_line_comment] = STATE(7510),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10195),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10195),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10195),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10195),
    [anon_sym_SQUOTE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10195),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10195),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10195),
    [anon_sym_QMARK] = ACTIONS(10195),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10195),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10195),
    [aux_sym_integer_literal_token2] = ACTIONS(10195),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10195),
    [aux_sym_float_literal_token3] = ACTIONS(10195),
    [aux_sym_float_literal_token4] = ACTIONS(10195),
    [sym_character_literal] = ACTIONS(10195),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10195),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10195),
    [sym__pair_operator] = ACTIONS(10195),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10195),
    [sym__lazy_and_operator] = ACTIONS(10195),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10195),
    [sym__pipe_left_operator] = ACTIONS(10195),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10195),
    [sym__bitshift_operator] = ACTIONS(10195),
    [sym__power_operator] = ACTIONS(10195),
    [sym__tilde_operator] = ACTIONS(10195),
    [sym__type_order_operator] = ACTIONS(10195),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10195),
    [sym__immediate_bracket] = ACTIONS(10195),
    [sym__immediate_brace] = ACTIONS(10195),
  },
  [7511] = {
    [sym_block_comment] = STATE(7511),
    [sym_line_comment] = STATE(7511),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7512] = {
    [sym_block_comment] = STATE(7512),
    [sym_line_comment] = STATE(7512),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_as] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7513] = {
    [sym_block_comment] = STATE(7513),
    [sym_line_comment] = STATE(7513),
    [aux_sym__import_list_repeat1] = STATE(7513),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11163),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_elseif] = ACTIONS(11159),
    [anon_sym_else] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7514] = {
    [sym_block_comment] = STATE(7514),
    [sym_line_comment] = STATE(7514),
    [ts_builtin_sym_end] = ACTIONS(10279),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_as] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_RBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7515] = {
    [sym_block_comment] = STATE(7515),
    [sym_line_comment] = STATE(7515),
    [aux_sym_open_tuple_repeat1] = STATE(7406),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11128),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_elseif] = ACTIONS(11166),
    [anon_sym_else] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11174),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7516] = {
    [sym_block_comment] = STATE(7516),
    [sym_line_comment] = STATE(7516),
    [aux_sym_open_tuple_repeat1] = STATE(7406),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11128),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_elseif] = ACTIONS(11204),
    [anon_sym_else] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11174),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7517] = {
    [sym_block_comment] = STATE(7517),
    [sym_line_comment] = STATE(7517),
    [aux_sym_open_tuple_repeat1] = STATE(7406),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11128),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_elseif] = ACTIONS(11208),
    [anon_sym_else] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11174),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7518] = {
    [sym_block_comment] = STATE(7518),
    [sym_line_comment] = STATE(7518),
    [aux_sym_open_tuple_repeat1] = STATE(7406),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11128),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_elseif] = ACTIONS(11212),
    [anon_sym_else] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11174),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7519] = {
    [sym_block_comment] = STATE(7519),
    [sym_line_comment] = STATE(7519),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11218),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_elseif] = ACTIONS(11216),
    [anon_sym_else] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11174),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7520] = {
    [sym_block_comment] = STATE(7520),
    [sym_line_comment] = STATE(7520),
    [aux_sym_open_tuple_repeat1] = STATE(7486),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11147),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_else] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_finally] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11230),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7521] = {
    [sym_block_comment] = STATE(7521),
    [sym_line_comment] = STATE(7521),
    [aux_sym_open_tuple_repeat1] = STATE(7486),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11147),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_else] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_finally] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11230),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7522] = {
    [sym_block_comment] = STATE(7522),
    [sym_line_comment] = STATE(7522),
    [aux_sym_open_tuple_repeat1] = STATE(7486),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11147),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_else] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_finally] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11230),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7523] = {
    [sym_block_comment] = STATE(7523),
    [sym_line_comment] = STATE(7523),
    [aux_sym_open_tuple_repeat1] = STATE(7486),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11147),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_else] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_finally] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11230),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7524] = {
    [sym_block_comment] = STATE(7524),
    [sym_line_comment] = STATE(7524),
    [aux_sym_open_tuple_repeat1] = STATE(7406),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11128),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_elseif] = ACTIONS(11258),
    [anon_sym_else] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11174),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7525] = {
    [sym_block_comment] = STATE(7525),
    [sym_line_comment] = STATE(7525),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_elseif] = ACTIONS(10083),
    [anon_sym_else] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7526] = {
    [sym_block_comment] = STATE(7526),
    [sym_line_comment] = STATE(7526),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_elseif] = ACTIONS(11216),
    [anon_sym_else] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11174),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7527] = {
    [sym_block_comment] = STATE(7527),
    [sym_line_comment] = STATE(7527),
    [aux_sym_open_tuple_repeat1] = STATE(7486),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11147),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_else] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_finally] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11230),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7528] = {
    [sym_block_comment] = STATE(7528),
    [sym_line_comment] = STATE(7528),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_else] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_finally] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11230),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7529] = {
    [sym_block_comment] = STATE(7529),
    [sym_line_comment] = STATE(7529),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_elseif] = ACTIONS(10089),
    [anon_sym_else] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7530] = {
    [sym_block_comment] = STATE(7530),
    [sym_line_comment] = STATE(7530),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_catch] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_as] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7531] = {
    [sym_block_comment] = STATE(7531),
    [sym_line_comment] = STATE(7531),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_finally] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_as] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7532] = {
    [sym_block_comment] = STATE(7532),
    [sym_line_comment] = STATE(7532),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_catch] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_as] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7533] = {
    [sym_block_comment] = STATE(7533),
    [sym_line_comment] = STATE(7533),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_finally] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_as] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7534] = {
    [sym_block_comment] = STATE(7534),
    [sym_line_comment] = STATE(7534),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_catch] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_as] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7535] = {
    [sym_block_comment] = STATE(7535),
    [sym_line_comment] = STATE(7535),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_catch] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(11114),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7536] = {
    [sym_block_comment] = STATE(7536),
    [sym_line_comment] = STATE(7536),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_finally] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_as] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7537] = {
    [sym_block_comment] = STATE(7537),
    [sym_line_comment] = STATE(7537),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_finally] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_as] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7538] = {
    [sym_block_comment] = STATE(7538),
    [sym_line_comment] = STATE(7538),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_finally] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_as] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7539] = {
    [sym_block_comment] = STATE(7539),
    [sym_line_comment] = STATE(7539),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_finally] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_as] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7540] = {
    [sym_block_comment] = STATE(7540),
    [sym_line_comment] = STATE(7540),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_finally] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_as] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7541] = {
    [sym_block_comment] = STATE(7541),
    [sym_line_comment] = STATE(7541),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_finally] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_as] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7542] = {
    [sym_block_comment] = STATE(7542),
    [sym_line_comment] = STATE(7542),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10381),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10381),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10381),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10381),
    [anon_sym_SQUOTE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10381),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10381),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10381),
    [anon_sym_QMARK] = ACTIONS(10381),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10381),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10381),
    [aux_sym_integer_literal_token2] = ACTIONS(10381),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10381),
    [aux_sym_float_literal_token3] = ACTIONS(10381),
    [aux_sym_float_literal_token4] = ACTIONS(10381),
    [sym_character_literal] = ACTIONS(10381),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10381),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10381),
    [sym__pair_operator] = ACTIONS(10381),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10381),
    [sym__lazy_and_operator] = ACTIONS(10381),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10381),
    [sym__pipe_left_operator] = ACTIONS(10381),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10381),
    [sym__bitshift_operator] = ACTIONS(10381),
    [sym__power_operator] = ACTIONS(10381),
    [sym__tilde_operator] = ACTIONS(10381),
    [sym__type_order_operator] = ACTIONS(10381),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10381),
    [sym__immediate_bracket] = ACTIONS(10381),
    [sym__immediate_brace] = ACTIONS(10381),
  },
  [7543] = {
    [sym_block_comment] = STATE(7543),
    [sym_line_comment] = STATE(7543),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10341),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_as] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10341),
    [anon_sym_RPAREN] = ACTIONS(10341),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10341),
    [anon_sym_RBRACK] = ACTIONS(10341),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10341),
    [anon_sym_LBRACE] = ACTIONS(10341),
    [anon_sym_RBRACE] = ACTIONS(10341),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10341),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10341),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10341),
    [anon_sym_QMARK] = ACTIONS(10341),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10341),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10341),
    [aux_sym_integer_literal_token2] = ACTIONS(10341),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10341),
    [aux_sym_float_literal_token3] = ACTIONS(10341),
    [aux_sym_float_literal_token4] = ACTIONS(10341),
    [sym_character_literal] = ACTIONS(10341),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10341),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10341),
    [sym__pair_operator] = ACTIONS(10341),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10341),
    [sym__lazy_and_operator] = ACTIONS(10341),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10341),
    [sym__pipe_left_operator] = ACTIONS(10341),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10341),
    [sym__bitshift_operator] = ACTIONS(10341),
    [sym__power_operator] = ACTIONS(10341),
    [sym__tilde_operator] = ACTIONS(10341),
    [sym__type_order_operator] = ACTIONS(10341),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7544] = {
    [sym_block_comment] = STATE(7544),
    [sym_line_comment] = STATE(7544),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_RPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_RBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10019),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_RBRACE] = ACTIONS(10019),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11044),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7545] = {
    [sym_block_comment] = STATE(7545),
    [sym_line_comment] = STATE(7545),
    [aux_sym__import_list_repeat1] = STATE(8258),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11262),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(11264),
    [anon_sym_LPAREN] = ACTIONS(11032),
    [anon_sym_RPAREN] = ACTIONS(11032),
    [anon_sym_COLON] = ACTIONS(11266),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11032),
    [anon_sym_RBRACK] = ACTIONS(11032),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11032),
    [anon_sym_LBRACE] = ACTIONS(11032),
    [anon_sym_RBRACE] = ACTIONS(11032),
    [anon_sym_DOLLAR] = ACTIONS(11032),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11032),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11032),
    [anon_sym_QMARK] = ACTIONS(11032),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11032),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11032),
    [aux_sym_integer_literal_token2] = ACTIONS(11032),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11032),
    [aux_sym_float_literal_token3] = ACTIONS(11032),
    [aux_sym_float_literal_token4] = ACTIONS(11032),
    [sym_character_literal] = ACTIONS(11032),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11032),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(11032),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11032),
    [sym__lazy_and_operator] = ACTIONS(11032),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11032),
    [sym__pipe_left_operator] = ACTIONS(11032),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11032),
    [sym__bitshift_operator] = ACTIONS(11032),
    [sym__power_operator] = ACTIONS(11032),
    [sym__tilde_operator] = ACTIONS(11032),
    [sym__type_order_operator] = ACTIONS(11032),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7546] = {
    [sym_block_comment] = STATE(7546),
    [sym_line_comment] = STATE(7546),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10986),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10986),
    [anon_sym_RPAREN] = ACTIONS(10986),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10986),
    [anon_sym_RBRACK] = ACTIONS(10986),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_SEMI] = ACTIONS(10986),
    [anon_sym_LBRACE] = ACTIONS(10986),
    [anon_sym_RBRACE] = ACTIONS(10986),
    [anon_sym_DOT] = ACTIONS(11100),
    [anon_sym_DOLLAR] = ACTIONS(10986),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10986),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10986),
    [anon_sym_QMARK] = ACTIONS(10986),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10986),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10986),
    [aux_sym_integer_literal_token2] = ACTIONS(10986),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10986),
    [aux_sym_float_literal_token3] = ACTIONS(10986),
    [aux_sym_float_literal_token4] = ACTIONS(10986),
    [sym_character_literal] = ACTIONS(10986),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10986),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10986),
    [sym__pair_operator] = ACTIONS(10986),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10986),
    [sym__lazy_and_operator] = ACTIONS(10986),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10986),
    [sym__pipe_left_operator] = ACTIONS(10986),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10986),
    [sym__bitshift_operator] = ACTIONS(10986),
    [sym__power_operator] = ACTIONS(10986),
    [sym__tilde_operator] = ACTIONS(10986),
    [sym__type_order_operator] = ACTIONS(10986),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7547] = {
    [sym_block_comment] = STATE(7547),
    [sym_line_comment] = STATE(7547),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11040),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11040),
    [anon_sym_RPAREN] = ACTIONS(11040),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11040),
    [anon_sym_RBRACK] = ACTIONS(11040),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11040),
    [anon_sym_LBRACE] = ACTIONS(11040),
    [anon_sym_RBRACE] = ACTIONS(11040),
    [anon_sym_DOT] = ACTIONS(11100),
    [anon_sym_DOLLAR] = ACTIONS(11040),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11040),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11040),
    [anon_sym_QMARK] = ACTIONS(11040),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11040),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11040),
    [aux_sym_integer_literal_token2] = ACTIONS(11040),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11040),
    [aux_sym_float_literal_token3] = ACTIONS(11040),
    [aux_sym_float_literal_token4] = ACTIONS(11040),
    [sym_character_literal] = ACTIONS(11040),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11040),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11040),
    [sym__pair_operator] = ACTIONS(11040),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11040),
    [sym__lazy_and_operator] = ACTIONS(11040),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11040),
    [sym__pipe_left_operator] = ACTIONS(11040),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11040),
    [sym__bitshift_operator] = ACTIONS(11040),
    [sym__power_operator] = ACTIONS(11040),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7548] = {
    [sym_block_comment] = STATE(7548),
    [sym_line_comment] = STATE(7548),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10387),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10387),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10387),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10387),
    [anon_sym_SQUOTE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10387),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10387),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10387),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10387),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10387),
    [aux_sym_integer_literal_token2] = ACTIONS(10387),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10387),
    [aux_sym_float_literal_token3] = ACTIONS(10387),
    [aux_sym_float_literal_token4] = ACTIONS(10387),
    [sym_character_literal] = ACTIONS(10387),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10387),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10387),
    [sym__pair_operator] = ACTIONS(10387),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10387),
    [sym__lazy_and_operator] = ACTIONS(10387),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10387),
    [sym__pipe_left_operator] = ACTIONS(10387),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10387),
    [sym__bitshift_operator] = ACTIONS(10387),
    [sym__power_operator] = ACTIONS(10387),
    [sym__tilde_operator] = ACTIONS(10387),
    [sym__type_order_operator] = ACTIONS(10387),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10387),
    [sym__immediate_bracket] = ACTIONS(10387),
    [sym__immediate_brace] = ACTIONS(10387),
  },
  [7549] = {
    [sym_block_comment] = STATE(7549),
    [sym_line_comment] = STATE(7549),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_finally] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_as] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7550] = {
    [sym_block_comment] = STATE(7550),
    [sym_line_comment] = STATE(7550),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10373),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_as] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10373),
    [anon_sym_RPAREN] = ACTIONS(10373),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10373),
    [anon_sym_RBRACK] = ACTIONS(10373),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10373),
    [anon_sym_LBRACE] = ACTIONS(10373),
    [anon_sym_RBRACE] = ACTIONS(10373),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10373),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10373),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10373),
    [anon_sym_QMARK] = ACTIONS(10373),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10373),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10373),
    [aux_sym_integer_literal_token2] = ACTIONS(10373),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10373),
    [aux_sym_float_literal_token3] = ACTIONS(10373),
    [aux_sym_float_literal_token4] = ACTIONS(10373),
    [sym_character_literal] = ACTIONS(10373),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10373),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10373),
    [sym__pair_operator] = ACTIONS(10373),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10373),
    [sym__lazy_and_operator] = ACTIONS(10373),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10373),
    [sym__pipe_left_operator] = ACTIONS(10373),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10373),
    [sym__bitshift_operator] = ACTIONS(10373),
    [sym__power_operator] = ACTIONS(10373),
    [sym__tilde_operator] = ACTIONS(10373),
    [sym__type_order_operator] = ACTIONS(10373),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7551] = {
    [sym_block_comment] = STATE(7551),
    [sym_line_comment] = STATE(7551),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_finally] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_as] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7552] = {
    [sym_block_comment] = STATE(7552),
    [sym_line_comment] = STATE(7552),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10391),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10391),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10391),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10391),
    [anon_sym_SQUOTE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10391),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10391),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_QMARK] = ACTIONS(10391),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10391),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10391),
    [aux_sym_integer_literal_token2] = ACTIONS(10391),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10391),
    [aux_sym_float_literal_token3] = ACTIONS(10391),
    [aux_sym_float_literal_token4] = ACTIONS(10391),
    [sym_character_literal] = ACTIONS(10391),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10391),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10391),
    [sym__pair_operator] = ACTIONS(10391),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10391),
    [sym__lazy_and_operator] = ACTIONS(10391),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10391),
    [sym__pipe_left_operator] = ACTIONS(10391),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10391),
    [sym__bitshift_operator] = ACTIONS(10391),
    [sym__power_operator] = ACTIONS(10391),
    [sym__tilde_operator] = ACTIONS(10391),
    [sym__type_order_operator] = ACTIONS(10391),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10391),
    [sym__immediate_bracket] = ACTIONS(10391),
    [sym__immediate_brace] = ACTIONS(10391),
  },
  [7553] = {
    [sym_block_comment] = STATE(7553),
    [sym_line_comment] = STATE(7553),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7554] = {
    [sym_block_comment] = STATE(7554),
    [sym_line_comment] = STATE(7554),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_catch] = ACTIONS(10399),
    [anon_sym_finally] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_as] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7555] = {
    [sym_block_comment] = STATE(7555),
    [sym_line_comment] = STATE(7555),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_catch] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_as] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7556] = {
    [sym_block_comment] = STATE(7556),
    [sym_line_comment] = STATE(7556),
    [aux_sym__import_list_repeat1] = STATE(7880),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11082),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_finally] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(11084),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11268),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7557] = {
    [sym_block_comment] = STATE(7557),
    [sym_line_comment] = STATE(7557),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10037),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9925),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7558] = {
    [sym_block_comment] = STATE(7558),
    [sym_line_comment] = STATE(7558),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10982),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_end] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_finally] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10982),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10982),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_SEMI] = ACTIONS(10982),
    [anon_sym_LBRACE] = ACTIONS(10982),
    [anon_sym_DOT] = ACTIONS(11074),
    [anon_sym_DOLLAR] = ACTIONS(10982),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10982),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10982),
    [anon_sym_QMARK] = ACTIONS(10982),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10982),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10982),
    [aux_sym_integer_literal_token2] = ACTIONS(10982),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10982),
    [aux_sym_float_literal_token3] = ACTIONS(10982),
    [aux_sym_float_literal_token4] = ACTIONS(10982),
    [sym_character_literal] = ACTIONS(10982),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10982),
    [sym__pair_operator] = ACTIONS(10982),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10982),
    [sym__lazy_and_operator] = ACTIONS(10982),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10982),
    [sym__pipe_left_operator] = ACTIONS(10982),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10982),
    [sym__bitshift_operator] = ACTIONS(10982),
    [sym__power_operator] = ACTIONS(10982),
    [sym__tilde_operator] = ACTIONS(10982),
    [sym__type_order_operator] = ACTIONS(10982),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym__terminator_token1] = ACTIONS(10986),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7559] = {
    [sym_block_comment] = STATE(7559),
    [sym_line_comment] = STATE(7559),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_catch] = ACTIONS(10263),
    [anon_sym_finally] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_as] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7560] = {
    [sym_block_comment] = STATE(7560),
    [sym_line_comment] = STATE(7560),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_catch] = ACTIONS(10175),
    [anon_sym_finally] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_as] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7561] = {
    [sym_block_comment] = STATE(7561),
    [sym_line_comment] = STATE(7561),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_finally] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOT] = ACTIONS(11074),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7562] = {
    [sym_block_comment] = STATE(7562),
    [sym_line_comment] = STATE(7562),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10129),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10129),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10129),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10129),
    [anon_sym_SQUOTE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10129),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10129),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10129),
    [anon_sym_QMARK] = ACTIONS(10129),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10129),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10129),
    [aux_sym_integer_literal_token2] = ACTIONS(10129),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10129),
    [aux_sym_float_literal_token3] = ACTIONS(10129),
    [aux_sym_float_literal_token4] = ACTIONS(10129),
    [sym_character_literal] = ACTIONS(10129),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10129),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10129),
    [sym__pair_operator] = ACTIONS(10129),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10129),
    [sym__lazy_and_operator] = ACTIONS(10129),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10129),
    [sym__pipe_left_operator] = ACTIONS(10129),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10129),
    [sym__bitshift_operator] = ACTIONS(10129),
    [sym__power_operator] = ACTIONS(10129),
    [sym__tilde_operator] = ACTIONS(10129),
    [sym__type_order_operator] = ACTIONS(10129),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10129),
    [sym__immediate_bracket] = ACTIONS(10129),
    [sym__immediate_brace] = ACTIONS(10129),
  },
  [7563] = {
    [sym_block_comment] = STATE(7563),
    [sym_line_comment] = STATE(7563),
    [sym__word_identifier] = ACTIONS(11048),
    [anon_sym_COMMA] = ACTIONS(11050),
    [anon_sym_EQ] = ACTIONS(11048),
    [anon_sym_begin] = ACTIONS(11048),
    [anon_sym_module] = ACTIONS(11048),
    [anon_sym_baremodule] = ACTIONS(11048),
    [anon_sym_abstract] = ACTIONS(11048),
    [anon_sym_primitive] = ACTIONS(11048),
    [anon_sym_mutable] = ACTIONS(11048),
    [anon_sym_struct] = ACTIONS(11048),
    [anon_sym_function] = ACTIONS(11048),
    [anon_sym_macro] = ACTIONS(11048),
    [anon_sym_quote] = ACTIONS(11048),
    [anon_sym_let] = ACTIONS(11048),
    [anon_sym_if] = ACTIONS(11048),
    [anon_sym_try] = ACTIONS(11048),
    [anon_sym_for] = ACTIONS(11048),
    [anon_sym_while] = ACTIONS(11048),
    [sym_break_statement] = ACTIONS(11048),
    [sym_continue_statement] = ACTIONS(11048),
    [anon_sym_return] = ACTIONS(11048),
    [anon_sym_const] = ACTIONS(11048),
    [anon_sym_global] = ACTIONS(11048),
    [anon_sym_local] = ACTIONS(11048),
    [anon_sym_as] = ACTIONS(11048),
    [anon_sym_LPAREN] = ACTIONS(11050),
    [anon_sym_RPAREN] = ACTIONS(11050),
    [anon_sym_COLON] = ACTIONS(11048),
    [anon_sym_export] = ACTIONS(11048),
    [anon_sym_public] = ACTIONS(11048),
    [anon_sym_import] = ACTIONS(11048),
    [anon_sym_using] = ACTIONS(11048),
    [anon_sym_LBRACK] = ACTIONS(11050),
    [anon_sym_RBRACK] = ACTIONS(11050),
    [anon_sym_in] = ACTIONS(11048),
    [anon_sym_SEMI] = ACTIONS(11050),
    [anon_sym_LBRACE] = ACTIONS(11050),
    [anon_sym_RBRACE] = ACTIONS(11050),
    [anon_sym_DOT] = ACTIONS(11100),
    [anon_sym_DOLLAR] = ACTIONS(11050),
    [anon_sym_COLON2] = ACTIONS(11048),
    [anon_sym_COLON_COLON] = ACTIONS(11050),
    [anon_sym_isa] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11050),
    [anon_sym_QMARK] = ACTIONS(11050),
    [anon_sym_where] = ACTIONS(11048),
    [anon_sym_AT] = ACTIONS(11050),
    [anon_sym_true] = ACTIONS(11048),
    [anon_sym_false] = ACTIONS(11048),
    [aux_sym_integer_literal_token1] = ACTIONS(11050),
    [aux_sym_integer_literal_token2] = ACTIONS(11050),
    [aux_sym_integer_literal_token3] = ACTIONS(11048),
    [aux_sym_integer_literal_token4] = ACTIONS(11048),
    [aux_sym_float_literal_token1] = ACTIONS(11050),
    [aux_sym_float_literal_token3] = ACTIONS(11050),
    [aux_sym_float_literal_token4] = ACTIONS(11050),
    [sym_character_literal] = ACTIONS(11050),
    [anon_sym_DQUOTE] = ACTIONS(11048),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11050),
    [anon_sym_BQUOTE] = ACTIONS(11048),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(11050),
    [sym__arrow_operator] = ACTIONS(11048),
    [sym__lazy_or_operator] = ACTIONS(11050),
    [sym__lazy_and_operator] = ACTIONS(11050),
    [sym__comparison_operator] = ACTIONS(11048),
    [sym__pipe_right_operator] = ACTIONS(11050),
    [sym__pipe_left_operator] = ACTIONS(11050),
    [sym__ellipsis_operator] = ACTIONS(11048),
    [sym__plus_operator] = ACTIONS(11048),
    [sym__times_operator] = ACTIONS(11048),
    [sym__rational_operator] = ACTIONS(11050),
    [sym__bitshift_operator] = ACTIONS(11050),
    [sym__power_operator] = ACTIONS(11050),
    [sym__tilde_operator] = ACTIONS(11050),
    [sym__type_order_operator] = ACTIONS(11050),
    [sym__unary_operator] = ACTIONS(11048),
    [sym__unary_plus_operator] = ACTIONS(11048),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7564] = {
    [sym_block_comment] = STATE(7564),
    [sym_line_comment] = STATE(7564),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_else] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_finally] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7565] = {
    [sym_block_comment] = STATE(7565),
    [sym_line_comment] = STATE(7565),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10231),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_as] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10231),
    [anon_sym_RPAREN] = ACTIONS(10231),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10231),
    [anon_sym_RBRACK] = ACTIONS(10231),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10231),
    [anon_sym_LBRACE] = ACTIONS(10231),
    [anon_sym_RBRACE] = ACTIONS(10231),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10231),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10231),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10231),
    [anon_sym_QMARK] = ACTIONS(10231),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10231),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10231),
    [aux_sym_integer_literal_token2] = ACTIONS(10231),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10231),
    [aux_sym_float_literal_token3] = ACTIONS(10231),
    [aux_sym_float_literal_token4] = ACTIONS(10231),
    [sym_character_literal] = ACTIONS(10231),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10231),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10231),
    [sym__pair_operator] = ACTIONS(10231),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10231),
    [sym__lazy_and_operator] = ACTIONS(10231),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10231),
    [sym__pipe_left_operator] = ACTIONS(10231),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10231),
    [sym__bitshift_operator] = ACTIONS(10231),
    [sym__power_operator] = ACTIONS(10231),
    [sym__tilde_operator] = ACTIONS(10231),
    [sym__type_order_operator] = ACTIONS(10231),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7566] = {
    [sym_block_comment] = STATE(7566),
    [sym_line_comment] = STATE(7566),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10279),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10279),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10279),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10279),
    [anon_sym_SQUOTE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10279),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10279),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10279),
    [anon_sym_QMARK] = ACTIONS(10279),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10279),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10279),
    [aux_sym_integer_literal_token2] = ACTIONS(10279),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10279),
    [aux_sym_float_literal_token3] = ACTIONS(10279),
    [aux_sym_float_literal_token4] = ACTIONS(10279),
    [sym_character_literal] = ACTIONS(10279),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10279),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10279),
    [sym__pair_operator] = ACTIONS(10279),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10279),
    [sym__lazy_and_operator] = ACTIONS(10279),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10279),
    [sym__pipe_left_operator] = ACTIONS(10279),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10279),
    [sym__bitshift_operator] = ACTIONS(10279),
    [sym__power_operator] = ACTIONS(10279),
    [sym__tilde_operator] = ACTIONS(10279),
    [sym__type_order_operator] = ACTIONS(10279),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10279),
    [sym__immediate_bracket] = ACTIONS(10279),
    [sym__immediate_brace] = ACTIONS(10279),
  },
  [7567] = {
    [sym_block_comment] = STATE(7567),
    [sym_line_comment] = STATE(7567),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10345),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10345),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10345),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10345),
    [anon_sym_SQUOTE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10345),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10345),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10345),
    [anon_sym_QMARK] = ACTIONS(10345),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10345),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10345),
    [aux_sym_integer_literal_token2] = ACTIONS(10345),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10345),
    [aux_sym_float_literal_token3] = ACTIONS(10345),
    [aux_sym_float_literal_token4] = ACTIONS(10345),
    [sym_character_literal] = ACTIONS(10345),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10345),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10345),
    [sym__pair_operator] = ACTIONS(10345),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10345),
    [sym__lazy_and_operator] = ACTIONS(10345),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10345),
    [sym__pipe_left_operator] = ACTIONS(10345),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10345),
    [sym__bitshift_operator] = ACTIONS(10345),
    [sym__power_operator] = ACTIONS(10345),
    [sym__tilde_operator] = ACTIONS(10345),
    [sym__type_order_operator] = ACTIONS(10345),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10345),
    [sym__immediate_bracket] = ACTIONS(10345),
    [sym__immediate_brace] = ACTIONS(10345),
  },
  [7568] = {
    [sym_block_comment] = STATE(7568),
    [sym_line_comment] = STATE(7568),
    [aux_sym__import_list_repeat1] = STATE(8258),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11262),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(11264),
    [anon_sym_LPAREN] = ACTIONS(11032),
    [anon_sym_RPAREN] = ACTIONS(11032),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11032),
    [anon_sym_RBRACK] = ACTIONS(11032),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11032),
    [anon_sym_LBRACE] = ACTIONS(11032),
    [anon_sym_RBRACE] = ACTIONS(11032),
    [anon_sym_DOLLAR] = ACTIONS(11032),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11032),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11032),
    [anon_sym_QMARK] = ACTIONS(11032),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11032),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11032),
    [aux_sym_integer_literal_token2] = ACTIONS(11032),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11032),
    [aux_sym_float_literal_token3] = ACTIONS(11032),
    [aux_sym_float_literal_token4] = ACTIONS(11032),
    [sym_character_literal] = ACTIONS(11032),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11032),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(11032),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11032),
    [sym__lazy_and_operator] = ACTIONS(11032),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11032),
    [sym__pipe_left_operator] = ACTIONS(11032),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11032),
    [sym__bitshift_operator] = ACTIONS(11032),
    [sym__power_operator] = ACTIONS(11032),
    [sym__tilde_operator] = ACTIONS(11032),
    [sym__type_order_operator] = ACTIONS(11032),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7569] = {
    [sym_block_comment] = STATE(7569),
    [sym_line_comment] = STATE(7569),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10231),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10231),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10231),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10231),
    [anon_sym_SQUOTE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10231),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10231),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10231),
    [anon_sym_QMARK] = ACTIONS(10231),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10231),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10231),
    [aux_sym_integer_literal_token2] = ACTIONS(10231),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10231),
    [aux_sym_float_literal_token3] = ACTIONS(10231),
    [aux_sym_float_literal_token4] = ACTIONS(10231),
    [sym_character_literal] = ACTIONS(10231),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10231),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10231),
    [sym__pair_operator] = ACTIONS(10231),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10231),
    [sym__lazy_and_operator] = ACTIONS(10231),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10231),
    [sym__pipe_left_operator] = ACTIONS(10231),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10231),
    [sym__bitshift_operator] = ACTIONS(10231),
    [sym__power_operator] = ACTIONS(10231),
    [sym__tilde_operator] = ACTIONS(10231),
    [sym__type_order_operator] = ACTIONS(10231),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10231),
    [sym__immediate_bracket] = ACTIONS(10231),
    [sym__immediate_brace] = ACTIONS(10231),
  },
  [7570] = {
    [sym_block_comment] = STATE(7570),
    [sym_line_comment] = STATE(7570),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7571] = {
    [sym_block_comment] = STATE(7571),
    [sym_line_comment] = STATE(7571),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_else] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11002),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7572] = {
    [sym_block_comment] = STATE(7572),
    [sym_line_comment] = STATE(7572),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_else] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_finally] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7573] = {
    [sym_block_comment] = STATE(7573),
    [sym_line_comment] = STATE(7573),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10103),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_as] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10103),
    [anon_sym_RPAREN] = ACTIONS(10103),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10103),
    [anon_sym_RBRACK] = ACTIONS(10103),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10103),
    [anon_sym_LBRACE] = ACTIONS(10103),
    [anon_sym_RBRACE] = ACTIONS(10103),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10103),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10103),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10103),
    [anon_sym_QMARK] = ACTIONS(10103),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10103),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10103),
    [aux_sym_integer_literal_token2] = ACTIONS(10103),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10103),
    [aux_sym_float_literal_token3] = ACTIONS(10103),
    [aux_sym_float_literal_token4] = ACTIONS(10103),
    [sym_character_literal] = ACTIONS(10103),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10103),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10103),
    [sym__pair_operator] = ACTIONS(10103),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10103),
    [sym__lazy_and_operator] = ACTIONS(10103),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10103),
    [sym__pipe_left_operator] = ACTIONS(10103),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10103),
    [sym__bitshift_operator] = ACTIONS(10103),
    [sym__power_operator] = ACTIONS(10103),
    [sym__tilde_operator] = ACTIONS(10103),
    [sym__type_order_operator] = ACTIONS(10103),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7574] = {
    [sym_block_comment] = STATE(7574),
    [sym_line_comment] = STATE(7574),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9923),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7575] = {
    [sym_block_comment] = STATE(7575),
    [sym_line_comment] = STATE(7575),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_elseif] = ACTIONS(10315),
    [anon_sym_else] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7576] = {
    [sym_block_comment] = STATE(7576),
    [sym_line_comment] = STATE(7576),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10419),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_as] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10419),
    [anon_sym_RPAREN] = ACTIONS(10419),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10419),
    [anon_sym_RBRACK] = ACTIONS(10419),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10419),
    [anon_sym_LBRACE] = ACTIONS(10419),
    [anon_sym_RBRACE] = ACTIONS(10419),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10419),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10419),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10419),
    [anon_sym_QMARK] = ACTIONS(10419),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10419),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10419),
    [aux_sym_integer_literal_token2] = ACTIONS(10419),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10419),
    [aux_sym_float_literal_token3] = ACTIONS(10419),
    [aux_sym_float_literal_token4] = ACTIONS(10419),
    [sym_character_literal] = ACTIONS(10419),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10419),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10419),
    [sym__pair_operator] = ACTIONS(10419),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10419),
    [sym__lazy_and_operator] = ACTIONS(10419),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10419),
    [sym__pipe_left_operator] = ACTIONS(10419),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10419),
    [sym__bitshift_operator] = ACTIONS(10419),
    [sym__power_operator] = ACTIONS(10419),
    [sym__tilde_operator] = ACTIONS(10419),
    [sym__type_order_operator] = ACTIONS(10419),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7577] = {
    [sym_block_comment] = STATE(7577),
    [sym_line_comment] = STATE(7577),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10317),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_as] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10317),
    [anon_sym_RPAREN] = ACTIONS(10317),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10317),
    [anon_sym_RBRACK] = ACTIONS(10317),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10317),
    [anon_sym_LBRACE] = ACTIONS(10317),
    [anon_sym_RBRACE] = ACTIONS(10317),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10317),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10317),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10317),
    [anon_sym_QMARK] = ACTIONS(10317),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10317),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10317),
    [aux_sym_integer_literal_token2] = ACTIONS(10317),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10317),
    [aux_sym_float_literal_token3] = ACTIONS(10317),
    [aux_sym_float_literal_token4] = ACTIONS(10317),
    [sym_character_literal] = ACTIONS(10317),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10317),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10317),
    [sym__pair_operator] = ACTIONS(10317),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10317),
    [sym__lazy_and_operator] = ACTIONS(10317),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10317),
    [sym__pipe_left_operator] = ACTIONS(10317),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10317),
    [sym__bitshift_operator] = ACTIONS(10317),
    [sym__power_operator] = ACTIONS(10317),
    [sym__tilde_operator] = ACTIONS(10317),
    [sym__type_order_operator] = ACTIONS(10317),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7578] = {
    [sym_block_comment] = STATE(7578),
    [sym_line_comment] = STATE(7578),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_as] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10423),
    [anon_sym_RPAREN] = ACTIONS(10423),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10423),
    [anon_sym_RBRACK] = ACTIONS(10423),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10423),
    [anon_sym_LBRACE] = ACTIONS(10423),
    [anon_sym_RBRACE] = ACTIONS(10423),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10423),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10423),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10423),
    [anon_sym_QMARK] = ACTIONS(10423),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10423),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10423),
    [aux_sym_integer_literal_token2] = ACTIONS(10423),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10423),
    [aux_sym_float_literal_token3] = ACTIONS(10423),
    [aux_sym_float_literal_token4] = ACTIONS(10423),
    [sym_character_literal] = ACTIONS(10423),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10423),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10423),
    [sym__pair_operator] = ACTIONS(10423),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10423),
    [sym__lazy_and_operator] = ACTIONS(10423),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10423),
    [sym__pipe_left_operator] = ACTIONS(10423),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10423),
    [sym__bitshift_operator] = ACTIONS(10423),
    [sym__power_operator] = ACTIONS(10423),
    [sym__tilde_operator] = ACTIONS(10423),
    [sym__type_order_operator] = ACTIONS(10423),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7579] = {
    [sym_block_comment] = STATE(7579),
    [sym_line_comment] = STATE(7579),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_elseif] = ACTIONS(10175),
    [anon_sym_else] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7580] = {
    [sym_block_comment] = STATE(7580),
    [sym_line_comment] = STATE(7580),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_elseif] = ACTIONS(10319),
    [anon_sym_else] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7581] = {
    [sym_block_comment] = STATE(7581),
    [sym_line_comment] = STATE(7581),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_else] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_finally] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7582] = {
    [sym_block_comment] = STATE(7582),
    [sym_line_comment] = STATE(7582),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10043),
  },
  [7583] = {
    [sym_block_comment] = STATE(7583),
    [sym_line_comment] = STATE(7583),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9911),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7584] = {
    [sym_block_comment] = STATE(7584),
    [sym_line_comment] = STATE(7584),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_catch] = ACTIONS(10319),
    [anon_sym_finally] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_as] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7585] = {
    [sym_block_comment] = STATE(7585),
    [sym_line_comment] = STATE(7585),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_elseif] = ACTIONS(10395),
    [anon_sym_else] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7586] = {
    [sym_block_comment] = STATE(7586),
    [sym_line_comment] = STATE(7586),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_elseif] = ACTIONS(10413),
    [anon_sym_else] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7587] = {
    [sym_block_comment] = STATE(7587),
    [sym_line_comment] = STATE(7587),
    [ts_builtin_sym_end] = ACTIONS(9971),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_RBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7588] = {
    [sym_block_comment] = STATE(7588),
    [sym_line_comment] = STATE(7588),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_catch] = ACTIONS(10395),
    [anon_sym_finally] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_as] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7589] = {
    [sym_block_comment] = STATE(7589),
    [sym_line_comment] = STATE(7589),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_catch] = ACTIONS(10413),
    [anon_sym_finally] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_as] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7590] = {
    [sym__primary_expression] = STATE(10987),
    [sym__array] = STATE(10654),
    [sym_comprehension_expression] = STATE(10689),
    [sym_matrix_expression] = STATE(10689),
    [sym_vector_expression] = STATE(10689),
    [sym_parenthesized_expression] = STATE(10654),
    [sym_tuple_expression] = STATE(10654),
    [sym_curly_expression] = STATE(10654),
    [sym_adjoint_expression] = STATE(10654),
    [sym_field_expression] = STATE(10654),
    [sym_index_expression] = STATE(10654),
    [sym_parametrized_type_expression] = STATE(10654),
    [sym_call_expression] = STATE(10654),
    [sym_broadcast_call_expression] = STATE(10654),
    [sym__closed_macrocall_expression] = STATE(10654),
    [sym_interpolation_expression] = STATE(10654),
    [sym_quote_expression] = STATE(10654),
    [sym_macro_identifier] = STATE(17588),
    [sym_identifier] = STATE(10827),
    [sym_boolean_literal] = STATE(10654),
    [sym__string] = STATE(10654),
    [sym__delimiter_str_1] = STATE(15341),
    [sym__delimiter_str_3] = STATE(15342),
    [sym__delimiter_cmd_1] = STATE(15343),
    [sym__delimiter_cmd_3] = STATE(15344),
    [sym_string_literal] = STATE(10680),
    [sym_command_literal] = STATE(10680),
    [sym_prefixed_string_literal] = STATE(10680),
    [sym_prefixed_command_literal] = STATE(10680),
    [sym_operator] = STATE(19440),
    [sym_block_comment] = STATE(7590),
    [sym_line_comment] = STATE(7590),
    [sym__word_identifier] = ACTIONS(10105),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(10107),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(10109),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(10111),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(10113),
    [anon_sym_COLON2] = ACTIONS(10115),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_COLON_EQ] = ACTIONS(189),
    [anon_sym_DOT_EQ] = ACTIONS(101),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(10117),
    [anon_sym_true] = ACTIONS(10119),
    [anon_sym_false] = ACTIONS(10119),
    [sym_character_literal] = ACTIONS(10121),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(189),
    [aux_sym__assignment_operator_token1] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(9316),
    [sym__arrow_operator] = ACTIONS(9208),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(9208),
    [sym__pipe_right_operator] = ACTIONS(9316),
    [sym__pipe_left_operator] = ACTIONS(9316),
    [sym__ellipsis_operator] = ACTIONS(9208),
    [sym__plus_operator] = ACTIONS(9208),
    [sym__times_operator] = ACTIONS(9208),
    [sym__rational_operator] = ACTIONS(9208),
    [sym__bitshift_operator] = ACTIONS(9208),
    [sym__power_operator] = ACTIONS(9208),
    [sym__tilde_operator] = ACTIONS(9316),
    [sym__type_order_operator] = ACTIONS(9316),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9208),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [7591] = {
    [sym_block_comment] = STATE(7591),
    [sym_line_comment] = STATE(7591),
    [aux_sym__import_list_repeat1] = STATE(8335),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11270),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_catch] = ACTIONS(11024),
    [anon_sym_finally] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(11272),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11274),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7592] = {
    [sym_block_comment] = STATE(7592),
    [sym_line_comment] = STATE(7592),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_finally] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_as] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7593] = {
    [sym_block_comment] = STATE(7593),
    [sym_line_comment] = STATE(7593),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10982),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_catch] = ACTIONS(10982),
    [anon_sym_finally] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10982),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10982),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_SEMI] = ACTIONS(10982),
    [anon_sym_LBRACE] = ACTIONS(10982),
    [anon_sym_DOT] = ACTIONS(11276),
    [anon_sym_DOLLAR] = ACTIONS(10982),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10982),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10982),
    [anon_sym_QMARK] = ACTIONS(10982),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10982),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10982),
    [aux_sym_integer_literal_token2] = ACTIONS(10982),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10982),
    [aux_sym_float_literal_token3] = ACTIONS(10982),
    [aux_sym_float_literal_token4] = ACTIONS(10982),
    [sym_character_literal] = ACTIONS(10982),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10982),
    [sym__pair_operator] = ACTIONS(10982),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10982),
    [sym__lazy_and_operator] = ACTIONS(10982),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10982),
    [sym__pipe_left_operator] = ACTIONS(10982),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10982),
    [sym__bitshift_operator] = ACTIONS(10982),
    [sym__power_operator] = ACTIONS(10982),
    [sym__tilde_operator] = ACTIONS(10982),
    [sym__type_order_operator] = ACTIONS(10982),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym__terminator_token1] = ACTIONS(10986),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7594] = {
    [sym_block_comment] = STATE(7594),
    [sym_line_comment] = STATE(7594),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_catch] = ACTIONS(11038),
    [anon_sym_finally] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOT] = ACTIONS(11276),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7595] = {
    [sym_block_comment] = STATE(7595),
    [sym_line_comment] = STATE(7595),
    [sym__word_identifier] = ACTIONS(101),
    [anon_sym_COMMA] = ACTIONS(189),
    [anon_sym_EQ] = ACTIONS(101),
    [anon_sym_begin] = ACTIONS(101),
    [anon_sym_module] = ACTIONS(101),
    [anon_sym_baremodule] = ACTIONS(101),
    [anon_sym_end] = ACTIONS(101),
    [anon_sym_abstract] = ACTIONS(101),
    [anon_sym_primitive] = ACTIONS(101),
    [anon_sym_mutable] = ACTIONS(101),
    [anon_sym_struct] = ACTIONS(101),
    [anon_sym_function] = ACTIONS(101),
    [anon_sym_macro] = ACTIONS(101),
    [anon_sym_quote] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(101),
    [anon_sym_if] = ACTIONS(101),
    [anon_sym_try] = ACTIONS(101),
    [anon_sym_for] = ACTIONS(101),
    [anon_sym_while] = ACTIONS(101),
    [sym_break_statement] = ACTIONS(101),
    [sym_continue_statement] = ACTIONS(101),
    [anon_sym_return] = ACTIONS(101),
    [anon_sym_const] = ACTIONS(101),
    [anon_sym_global] = ACTIONS(101),
    [anon_sym_local] = ACTIONS(101),
    [anon_sym_LPAREN] = ACTIONS(189),
    [anon_sym_COLON] = ACTIONS(101),
    [anon_sym_export] = ACTIONS(101),
    [anon_sym_public] = ACTIONS(101),
    [anon_sym_import] = ACTIONS(101),
    [anon_sym_using] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_in] = ACTIONS(101),
    [anon_sym_LBRACE] = ACTIONS(189),
    [anon_sym_SQUOTE] = ACTIONS(101),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_DOLLAR] = ACTIONS(189),
    [anon_sym_COLON2] = ACTIONS(101),
    [anon_sym_COLON_COLON] = ACTIONS(189),
    [anon_sym_isa] = ACTIONS(101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(189),
    [anon_sym_QMARK] = ACTIONS(189),
    [anon_sym_where] = ACTIONS(101),
    [anon_sym_AT] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(101),
    [anon_sym_false] = ACTIONS(101),
    [aux_sym_integer_literal_token1] = ACTIONS(189),
    [aux_sym_integer_literal_token2] = ACTIONS(189),
    [aux_sym_integer_literal_token3] = ACTIONS(101),
    [aux_sym_integer_literal_token4] = ACTIONS(101),
    [aux_sym_float_literal_token1] = ACTIONS(189),
    [aux_sym_float_literal_token3] = ACTIONS(189),
    [aux_sym_float_literal_token4] = ACTIONS(189),
    [sym_character_literal] = ACTIONS(189),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(189),
    [anon_sym_BQUOTE] = ACTIONS(101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(189),
    [sym__pair_operator] = ACTIONS(189),
    [sym__arrow_operator] = ACTIONS(101),
    [sym__lazy_or_operator] = ACTIONS(189),
    [sym__lazy_and_operator] = ACTIONS(189),
    [sym__comparison_operator] = ACTIONS(101),
    [sym__pipe_right_operator] = ACTIONS(189),
    [sym__pipe_left_operator] = ACTIONS(189),
    [sym__ellipsis_operator] = ACTIONS(101),
    [sym__plus_operator] = ACTIONS(101),
    [sym__times_operator] = ACTIONS(101),
    [sym__rational_operator] = ACTIONS(189),
    [sym__bitshift_operator] = ACTIONS(189),
    [sym__power_operator] = ACTIONS(189),
    [sym__tilde_operator] = ACTIONS(189),
    [sym__type_order_operator] = ACTIONS(189),
    [sym__unary_operator] = ACTIONS(101),
    [sym__unary_plus_operator] = ACTIONS(101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(189),
    [sym__immediate_bracket] = ACTIONS(189),
    [sym__immediate_brace] = ACTIONS(189),
  },
  [7596] = {
    [sym_block_comment] = STATE(7596),
    [sym_line_comment] = STATE(7596),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10419),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10419),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10419),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10419),
    [anon_sym_SQUOTE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10419),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10419),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10419),
    [anon_sym_QMARK] = ACTIONS(10419),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10419),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10419),
    [aux_sym_integer_literal_token2] = ACTIONS(10419),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10419),
    [aux_sym_float_literal_token3] = ACTIONS(10419),
    [aux_sym_float_literal_token4] = ACTIONS(10419),
    [sym_character_literal] = ACTIONS(10419),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10419),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10419),
    [sym__pair_operator] = ACTIONS(10419),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10419),
    [sym__lazy_and_operator] = ACTIONS(10419),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10419),
    [sym__pipe_left_operator] = ACTIONS(10419),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10419),
    [sym__bitshift_operator] = ACTIONS(10419),
    [sym__power_operator] = ACTIONS(10419),
    [sym__tilde_operator] = ACTIONS(10419),
    [sym__type_order_operator] = ACTIONS(10419),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10419),
    [sym__immediate_bracket] = ACTIONS(10419),
    [sym__immediate_brace] = ACTIONS(10419),
  },
  [7597] = {
    [sym_block_comment] = STATE(7597),
    [sym_line_comment] = STATE(7597),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_finally] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_as] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7598] = {
    [sym_block_comment] = STATE(7598),
    [sym_line_comment] = STATE(7598),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9923),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7599] = {
    [sym_block_comment] = STATE(7599),
    [sym_line_comment] = STATE(7599),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_elseif] = ACTIONS(10323),
    [anon_sym_else] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7600] = {
    [sym_block_comment] = STATE(7600),
    [sym_line_comment] = STATE(7600),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_elseif] = ACTIONS(10327),
    [anon_sym_else] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7601] = {
    [sym_block_comment] = STATE(7601),
    [sym_line_comment] = STATE(7601),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_else] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_finally] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7602] = {
    [sym_block_comment] = STATE(7602),
    [sym_line_comment] = STATE(7602),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_elseif] = ACTIONS(10379),
    [anon_sym_else] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7603] = {
    [sym_block_comment] = STATE(7603),
    [sym_line_comment] = STATE(7603),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_elseif] = ACTIONS(10385),
    [anon_sym_else] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7604] = {
    [sym_block_comment] = STATE(7604),
    [sym_line_comment] = STATE(7604),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_elseif] = ACTIONS(10389),
    [anon_sym_else] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7605] = {
    [sym_block_comment] = STATE(7605),
    [sym_line_comment] = STATE(7605),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_catch] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_as] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7606] = {
    [sym_block_comment] = STATE(7606),
    [sym_line_comment] = STATE(7606),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_elseif] = ACTIONS(10343),
    [anon_sym_else] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7607] = {
    [sym_block_comment] = STATE(7607),
    [sym_line_comment] = STATE(7607),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_as] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3226),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3226),
    [aux_sym_integer_literal_token2] = ACTIONS(3226),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3226),
    [aux_sym_float_literal_token3] = ACTIONS(3226),
    [aux_sym_float_literal_token4] = ACTIONS(3226),
    [sym_character_literal] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3226),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3226),
    [sym__pair_operator] = ACTIONS(3226),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3226),
    [sym__pipe_left_operator] = ACTIONS(3226),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3226),
    [sym__bitshift_operator] = ACTIONS(3226),
    [sym__power_operator] = ACTIONS(3226),
    [sym__tilde_operator] = ACTIONS(3226),
    [sym__type_order_operator] = ACTIONS(3226),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7608] = {
    [sym_block_comment] = STATE(7608),
    [sym_line_comment] = STATE(7608),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_elseif] = ACTIONS(10417),
    [anon_sym_else] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7609] = {
    [sym_block_comment] = STATE(7609),
    [sym_line_comment] = STATE(7609),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9923),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7610] = {
    [sym_block_comment] = STATE(7610),
    [sym_line_comment] = STATE(7610),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_elseif] = ACTIONS(10097),
    [anon_sym_else] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7611] = {
    [sym_block_comment] = STATE(7611),
    [sym_line_comment] = STATE(7611),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_elseif] = ACTIONS(10101),
    [anon_sym_else] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7612] = {
    [sym_block_comment] = STATE(7612),
    [sym_line_comment] = STATE(7612),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_elseif] = ACTIONS(10375),
    [anon_sym_else] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7613] = {
    [sym_block_comment] = STATE(7613),
    [sym_line_comment] = STATE(7613),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_elseif] = ACTIONS(10421),
    [anon_sym_else] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7614] = {
    [sym_block_comment] = STATE(7614),
    [sym_line_comment] = STATE(7614),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7615] = {
    [sym_block_comment] = STATE(7615),
    [sym_line_comment] = STATE(7615),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(11074),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7616] = {
    [sym_block_comment] = STATE(7616),
    [sym_line_comment] = STATE(7616),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_elseif] = ACTIONS(10429),
    [anon_sym_else] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7617] = {
    [sym_block_comment] = STATE(7617),
    [sym_line_comment] = STATE(7617),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_elseif] = ACTIONS(10433),
    [anon_sym_else] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7618] = {
    [sym_block_comment] = STATE(7618),
    [sym_line_comment] = STATE(7618),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_elseif] = ACTIONS(10437),
    [anon_sym_else] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7619] = {
    [sym_block_comment] = STATE(7619),
    [sym_line_comment] = STATE(7619),
    [ts_builtin_sym_end] = ACTIONS(10129),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_as] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_RBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7620] = {
    [sym_block_comment] = STATE(7620),
    [sym_line_comment] = STATE(7620),
    [sym__word_identifier] = ACTIONS(10359),
    [anon_sym_COMMA] = ACTIONS(10361),
    [anon_sym_EQ] = ACTIONS(10359),
    [anon_sym_begin] = ACTIONS(10359),
    [anon_sym_module] = ACTIONS(10359),
    [anon_sym_baremodule] = ACTIONS(10359),
    [anon_sym_end] = ACTIONS(10359),
    [anon_sym_abstract] = ACTIONS(10359),
    [anon_sym_primitive] = ACTIONS(10359),
    [anon_sym_mutable] = ACTIONS(10359),
    [anon_sym_struct] = ACTIONS(10359),
    [anon_sym_function] = ACTIONS(10359),
    [anon_sym_macro] = ACTIONS(10359),
    [anon_sym_quote] = ACTIONS(10359),
    [anon_sym_let] = ACTIONS(10359),
    [anon_sym_if] = ACTIONS(10359),
    [anon_sym_try] = ACTIONS(10359),
    [anon_sym_for] = ACTIONS(10359),
    [anon_sym_while] = ACTIONS(10359),
    [sym_break_statement] = ACTIONS(10359),
    [sym_continue_statement] = ACTIONS(10359),
    [anon_sym_return] = ACTIONS(10359),
    [anon_sym_const] = ACTIONS(10359),
    [anon_sym_global] = ACTIONS(10359),
    [anon_sym_local] = ACTIONS(10359),
    [anon_sym_LPAREN] = ACTIONS(10361),
    [anon_sym_COLON] = ACTIONS(10359),
    [anon_sym_export] = ACTIONS(10359),
    [anon_sym_public] = ACTIONS(10359),
    [anon_sym_import] = ACTIONS(10359),
    [anon_sym_using] = ACTIONS(10359),
    [anon_sym_LBRACK] = ACTIONS(10361),
    [anon_sym_in] = ACTIONS(10359),
    [anon_sym_LBRACE] = ACTIONS(10361),
    [anon_sym_SQUOTE] = ACTIONS(10359),
    [anon_sym_DOT] = ACTIONS(10359),
    [anon_sym_DOLLAR] = ACTIONS(10361),
    [anon_sym_COLON2] = ACTIONS(10359),
    [anon_sym_COLON_COLON] = ACTIONS(10361),
    [anon_sym_isa] = ACTIONS(10359),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10361),
    [anon_sym_QMARK] = ACTIONS(10361),
    [anon_sym_where] = ACTIONS(10359),
    [anon_sym_AT] = ACTIONS(10361),
    [anon_sym_true] = ACTIONS(10359),
    [anon_sym_false] = ACTIONS(10359),
    [aux_sym_integer_literal_token1] = ACTIONS(10361),
    [aux_sym_integer_literal_token2] = ACTIONS(10361),
    [aux_sym_integer_literal_token3] = ACTIONS(10359),
    [aux_sym_integer_literal_token4] = ACTIONS(10359),
    [aux_sym_float_literal_token1] = ACTIONS(10361),
    [aux_sym_float_literal_token3] = ACTIONS(10361),
    [aux_sym_float_literal_token4] = ACTIONS(10361),
    [sym_character_literal] = ACTIONS(10361),
    [anon_sym_DQUOTE] = ACTIONS(10359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10361),
    [anon_sym_BQUOTE] = ACTIONS(10359),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10361),
    [sym__pair_operator] = ACTIONS(10361),
    [sym__arrow_operator] = ACTIONS(10359),
    [sym__lazy_or_operator] = ACTIONS(10361),
    [sym__lazy_and_operator] = ACTIONS(10361),
    [sym__comparison_operator] = ACTIONS(10359),
    [sym__pipe_right_operator] = ACTIONS(10361),
    [sym__pipe_left_operator] = ACTIONS(10361),
    [sym__ellipsis_operator] = ACTIONS(10359),
    [sym__plus_operator] = ACTIONS(10359),
    [sym__times_operator] = ACTIONS(10359),
    [sym__rational_operator] = ACTIONS(10361),
    [sym__bitshift_operator] = ACTIONS(10361),
    [sym__power_operator] = ACTIONS(10361),
    [sym__tilde_operator] = ACTIONS(10361),
    [sym__type_order_operator] = ACTIONS(10361),
    [sym__unary_operator] = ACTIONS(10359),
    [sym__unary_plus_operator] = ACTIONS(10359),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10361),
    [sym__immediate_bracket] = ACTIONS(10361),
    [sym__immediate_brace] = ACTIONS(10361),
  },
  [7621] = {
    [sym_block_comment] = STATE(7621),
    [sym_line_comment] = STATE(7621),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_catch] = ACTIONS(10323),
    [anon_sym_finally] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_as] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7622] = {
    [sym_block_comment] = STATE(7622),
    [sym_line_comment] = STATE(7622),
    [ts_builtin_sym_end] = ACTIONS(9909),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_RBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7623] = {
    [sym_block_comment] = STATE(7623),
    [sym_line_comment] = STATE(7623),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10099),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10099),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10099),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10099),
    [anon_sym_SQUOTE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10099),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10099),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10099),
    [anon_sym_QMARK] = ACTIONS(10099),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10099),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10099),
    [aux_sym_integer_literal_token2] = ACTIONS(10099),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10099),
    [aux_sym_float_literal_token3] = ACTIONS(10099),
    [aux_sym_float_literal_token4] = ACTIONS(10099),
    [sym_character_literal] = ACTIONS(10099),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10099),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10099),
    [sym__pair_operator] = ACTIONS(10099),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10099),
    [sym__lazy_and_operator] = ACTIONS(10099),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10099),
    [sym__pipe_left_operator] = ACTIONS(10099),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10099),
    [sym__bitshift_operator] = ACTIONS(10099),
    [sym__power_operator] = ACTIONS(10099),
    [sym__tilde_operator] = ACTIONS(10099),
    [sym__type_order_operator] = ACTIONS(10099),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10099),
    [sym__immediate_bracket] = ACTIONS(10099),
    [sym__immediate_brace] = ACTIONS(10099),
  },
  [7624] = {
    [sym_block_comment] = STATE(7624),
    [sym_line_comment] = STATE(7624),
    [ts_builtin_sym_end] = ACTIONS(10419),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_as] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_RBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7625] = {
    [sym_block_comment] = STATE(7625),
    [sym_line_comment] = STATE(7625),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_catch] = ACTIONS(10327),
    [anon_sym_finally] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_as] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7626] = {
    [sym_block_comment] = STATE(7626),
    [sym_line_comment] = STATE(7626),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_catch] = ACTIONS(10379),
    [anon_sym_finally] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_as] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7627] = {
    [sym_block_comment] = STATE(7627),
    [sym_line_comment] = STATE(7627),
    [sym__word_identifier] = ACTIONS(11048),
    [anon_sym_COMMA] = ACTIONS(11048),
    [anon_sym_EQ] = ACTIONS(11048),
    [anon_sym_begin] = ACTIONS(11048),
    [anon_sym_module] = ACTIONS(11048),
    [anon_sym_baremodule] = ACTIONS(11048),
    [anon_sym_abstract] = ACTIONS(11048),
    [anon_sym_primitive] = ACTIONS(11048),
    [anon_sym_mutable] = ACTIONS(11048),
    [anon_sym_struct] = ACTIONS(11048),
    [anon_sym_function] = ACTIONS(11048),
    [anon_sym_macro] = ACTIONS(11048),
    [anon_sym_quote] = ACTIONS(11048),
    [anon_sym_let] = ACTIONS(11048),
    [anon_sym_if] = ACTIONS(11048),
    [anon_sym_try] = ACTIONS(11048),
    [anon_sym_catch] = ACTIONS(11048),
    [anon_sym_finally] = ACTIONS(11048),
    [anon_sym_for] = ACTIONS(11048),
    [anon_sym_while] = ACTIONS(11048),
    [sym_break_statement] = ACTIONS(11048),
    [sym_continue_statement] = ACTIONS(11048),
    [anon_sym_return] = ACTIONS(11048),
    [anon_sym_const] = ACTIONS(11048),
    [anon_sym_global] = ACTIONS(11048),
    [anon_sym_local] = ACTIONS(11048),
    [anon_sym_as] = ACTIONS(11048),
    [anon_sym_LPAREN] = ACTIONS(11048),
    [anon_sym_COLON] = ACTIONS(11048),
    [anon_sym_export] = ACTIONS(11048),
    [anon_sym_public] = ACTIONS(11048),
    [anon_sym_import] = ACTIONS(11048),
    [anon_sym_using] = ACTIONS(11048),
    [anon_sym_LBRACK] = ACTIONS(11048),
    [anon_sym_in] = ACTIONS(11048),
    [anon_sym_SEMI] = ACTIONS(11048),
    [anon_sym_LBRACE] = ACTIONS(11048),
    [anon_sym_DOT] = ACTIONS(11276),
    [anon_sym_DOLLAR] = ACTIONS(11048),
    [anon_sym_COLON2] = ACTIONS(11048),
    [anon_sym_COLON_COLON] = ACTIONS(11048),
    [anon_sym_isa] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11048),
    [anon_sym_QMARK] = ACTIONS(11048),
    [anon_sym_where] = ACTIONS(11048),
    [anon_sym_AT] = ACTIONS(11048),
    [anon_sym_true] = ACTIONS(11048),
    [anon_sym_false] = ACTIONS(11048),
    [aux_sym_integer_literal_token1] = ACTIONS(11048),
    [aux_sym_integer_literal_token2] = ACTIONS(11048),
    [aux_sym_integer_literal_token3] = ACTIONS(11048),
    [aux_sym_integer_literal_token4] = ACTIONS(11048),
    [aux_sym_float_literal_token1] = ACTIONS(11048),
    [aux_sym_float_literal_token3] = ACTIONS(11048),
    [aux_sym_float_literal_token4] = ACTIONS(11048),
    [sym_character_literal] = ACTIONS(11048),
    [anon_sym_DQUOTE] = ACTIONS(11048),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11048),
    [anon_sym_BQUOTE] = ACTIONS(11048),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(11048),
    [sym__arrow_operator] = ACTIONS(11048),
    [sym__lazy_or_operator] = ACTIONS(11048),
    [sym__lazy_and_operator] = ACTIONS(11048),
    [sym__comparison_operator] = ACTIONS(11048),
    [sym__pipe_right_operator] = ACTIONS(11048),
    [sym__pipe_left_operator] = ACTIONS(11048),
    [sym__ellipsis_operator] = ACTIONS(11048),
    [sym__plus_operator] = ACTIONS(11048),
    [sym__times_operator] = ACTIONS(11048),
    [sym__rational_operator] = ACTIONS(11048),
    [sym__bitshift_operator] = ACTIONS(11048),
    [sym__power_operator] = ACTIONS(11048),
    [sym__tilde_operator] = ACTIONS(11048),
    [sym__type_order_operator] = ACTIONS(11048),
    [sym__unary_operator] = ACTIONS(11048),
    [sym__unary_plus_operator] = ACTIONS(11048),
    [aux_sym__terminator_token1] = ACTIONS(11050),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7628] = {
    [sym_block_comment] = STATE(7628),
    [sym_line_comment] = STATE(7628),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_elseif] = ACTIONS(10139),
    [anon_sym_else] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7629] = {
    [sym_block_comment] = STATE(7629),
    [sym_line_comment] = STATE(7629),
    [ts_builtin_sym_end] = ACTIONS(10019),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_RBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7630] = {
    [sym_block_comment] = STATE(7630),
    [sym_line_comment] = STATE(7630),
    [ts_builtin_sym_end] = ACTIONS(10365),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_as] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_RBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7631] = {
    [sym_block_comment] = STATE(7631),
    [sym_line_comment] = STATE(7631),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10037),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10043),
  },
  [7632] = {
    [sym_block_comment] = STATE(7632),
    [sym_line_comment] = STATE(7632),
    [ts_builtin_sym_end] = ACTIONS(10087),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_as] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_RBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7633] = {
    [sym_block_comment] = STATE(7633),
    [sym_line_comment] = STATE(7633),
    [ts_builtin_sym_end] = ACTIONS(10091),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_as] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_RBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7634] = {
    [sym_block_comment] = STATE(7634),
    [sym_line_comment] = STATE(7634),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_catch] = ACTIONS(10385),
    [anon_sym_finally] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_as] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7635] = {
    [sym_block_comment] = STATE(7635),
    [sym_line_comment] = STATE(7635),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10177),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_as] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10177),
    [anon_sym_RPAREN] = ACTIONS(10177),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10177),
    [anon_sym_RBRACK] = ACTIONS(10177),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10177),
    [anon_sym_LBRACE] = ACTIONS(10177),
    [anon_sym_RBRACE] = ACTIONS(10177),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10177),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10177),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10177),
    [anon_sym_QMARK] = ACTIONS(10177),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10177),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10177),
    [aux_sym_integer_literal_token2] = ACTIONS(10177),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10177),
    [aux_sym_float_literal_token3] = ACTIONS(10177),
    [aux_sym_float_literal_token4] = ACTIONS(10177),
    [sym_character_literal] = ACTIONS(10177),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10177),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10177),
    [sym__pair_operator] = ACTIONS(10177),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10177),
    [sym__lazy_and_operator] = ACTIONS(10177),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10177),
    [sym__pipe_left_operator] = ACTIONS(10177),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10177),
    [sym__bitshift_operator] = ACTIONS(10177),
    [sym__power_operator] = ACTIONS(10177),
    [sym__tilde_operator] = ACTIONS(10177),
    [sym__type_order_operator] = ACTIONS(10177),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7636] = {
    [sym_block_comment] = STATE(7636),
    [sym_line_comment] = STATE(7636),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_catch] = ACTIONS(10389),
    [anon_sym_finally] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_as] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7637] = {
    [sym_block_comment] = STATE(7637),
    [sym_line_comment] = STATE(7637),
    [aux_sym__import_list_repeat1] = STATE(8335),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11270),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_catch] = ACTIONS(11024),
    [anon_sym_finally] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(11272),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7638] = {
    [sym_block_comment] = STATE(7638),
    [sym_line_comment] = STATE(7638),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_elseif] = ACTIONS(10291),
    [anon_sym_else] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7639] = {
    [sym_block_comment] = STATE(7639),
    [sym_line_comment] = STATE(7639),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_elseif] = ACTIONS(10307),
    [anon_sym_else] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7640] = {
    [sym_block_comment] = STATE(7640),
    [sym_line_comment] = STATE(7640),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10321),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_as] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10321),
    [anon_sym_RPAREN] = ACTIONS(10321),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10321),
    [anon_sym_RBRACK] = ACTIONS(10321),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10321),
    [anon_sym_LBRACE] = ACTIONS(10321),
    [anon_sym_RBRACE] = ACTIONS(10321),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10321),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10321),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10321),
    [anon_sym_QMARK] = ACTIONS(10321),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10321),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10321),
    [aux_sym_integer_literal_token2] = ACTIONS(10321),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10321),
    [aux_sym_float_literal_token3] = ACTIONS(10321),
    [aux_sym_float_literal_token4] = ACTIONS(10321),
    [sym_character_literal] = ACTIONS(10321),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10321),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10321),
    [sym__pair_operator] = ACTIONS(10321),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10321),
    [sym__lazy_and_operator] = ACTIONS(10321),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10321),
    [sym__pipe_left_operator] = ACTIONS(10321),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10321),
    [sym__bitshift_operator] = ACTIONS(10321),
    [sym__power_operator] = ACTIONS(10321),
    [sym__tilde_operator] = ACTIONS(10321),
    [sym__type_order_operator] = ACTIONS(10321),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7641] = {
    [sym_block_comment] = STATE(7641),
    [sym_line_comment] = STATE(7641),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10397),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_as] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10397),
    [anon_sym_RPAREN] = ACTIONS(10397),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10397),
    [anon_sym_RBRACK] = ACTIONS(10397),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10397),
    [anon_sym_LBRACE] = ACTIONS(10397),
    [anon_sym_RBRACE] = ACTIONS(10397),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10397),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10397),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10397),
    [anon_sym_QMARK] = ACTIONS(10397),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10397),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10397),
    [aux_sym_integer_literal_token2] = ACTIONS(10397),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10397),
    [aux_sym_float_literal_token3] = ACTIONS(10397),
    [aux_sym_float_literal_token4] = ACTIONS(10397),
    [sym_character_literal] = ACTIONS(10397),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10397),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10397),
    [sym__pair_operator] = ACTIONS(10397),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10397),
    [sym__lazy_and_operator] = ACTIONS(10397),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10397),
    [sym__pipe_left_operator] = ACTIONS(10397),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10397),
    [sym__bitshift_operator] = ACTIONS(10397),
    [sym__power_operator] = ACTIONS(10397),
    [sym__tilde_operator] = ACTIONS(10397),
    [sym__type_order_operator] = ACTIONS(10397),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7642] = {
    [sym_block_comment] = STATE(7642),
    [sym_line_comment] = STATE(7642),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_catch] = ACTIONS(10193),
    [anon_sym_finally] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_as] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7643] = {
    [sym_block_comment] = STATE(7643),
    [sym_line_comment] = STATE(7643),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_catch] = ACTIONS(10343),
    [anon_sym_finally] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_as] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7644] = {
    [sym_block_comment] = STATE(7644),
    [sym_line_comment] = STATE(7644),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10415),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_as] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10415),
    [anon_sym_RPAREN] = ACTIONS(10415),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10415),
    [anon_sym_RBRACK] = ACTIONS(10415),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10415),
    [anon_sym_LBRACE] = ACTIONS(10415),
    [anon_sym_RBRACE] = ACTIONS(10415),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10415),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10415),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10415),
    [anon_sym_QMARK] = ACTIONS(10415),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10415),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10415),
    [aux_sym_integer_literal_token2] = ACTIONS(10415),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10415),
    [aux_sym_float_literal_token3] = ACTIONS(10415),
    [aux_sym_float_literal_token4] = ACTIONS(10415),
    [sym_character_literal] = ACTIONS(10415),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10415),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10415),
    [sym__pair_operator] = ACTIONS(10415),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10415),
    [sym__lazy_and_operator] = ACTIONS(10415),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10415),
    [sym__pipe_left_operator] = ACTIONS(10415),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10415),
    [sym__bitshift_operator] = ACTIONS(10415),
    [sym__power_operator] = ACTIONS(10415),
    [sym__tilde_operator] = ACTIONS(10415),
    [sym__type_order_operator] = ACTIONS(10415),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7645] = {
    [sym_block_comment] = STATE(7645),
    [sym_line_comment] = STATE(7645),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_catch] = ACTIONS(10417),
    [anon_sym_finally] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_as] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7646] = {
    [sym_block_comment] = STATE(7646),
    [sym_line_comment] = STATE(7646),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_elseif] = ACTIONS(10347),
    [anon_sym_else] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7647] = {
    [sym_block_comment] = STATE(7647),
    [sym_line_comment] = STATE(7647),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_elseif] = ACTIONS(10351),
    [anon_sym_else] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7648] = {
    [sym_block_comment] = STATE(7648),
    [sym_line_comment] = STATE(7648),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_elseif] = ACTIONS(10355),
    [anon_sym_else] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7649] = {
    [sym_block_comment] = STATE(7649),
    [sym_line_comment] = STATE(7649),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_elseif] = ACTIONS(10403),
    [anon_sym_else] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7650] = {
    [sym_block_comment] = STATE(7650),
    [sym_line_comment] = STATE(7650),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_elseif] = ACTIONS(10311),
    [anon_sym_else] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7651] = {
    [sym_block_comment] = STATE(7651),
    [sym_line_comment] = STATE(7651),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_elseif] = ACTIONS(10399),
    [anon_sym_else] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7652] = {
    [sym_block_comment] = STATE(7652),
    [sym_line_comment] = STATE(7652),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10151),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9925),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7653] = {
    [sym_block_comment] = STATE(7653),
    [sym_line_comment] = STATE(7653),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10151),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10043),
  },
  [7654] = {
    [sym_block_comment] = STATE(7654),
    [sym_line_comment] = STATE(7654),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_catch] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_as] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7655] = {
    [sym_block_comment] = STATE(7655),
    [sym_line_comment] = STATE(7655),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10027),
  },
  [7656] = {
    [sym_block_comment] = STATE(7656),
    [sym_line_comment] = STATE(7656),
    [aux_sym_export_statement_repeat1] = STATE(7678),
    [sym__word_identifier] = ACTIONS(11278),
    [anon_sym_COMMA] = ACTIONS(11280),
    [anon_sym_EQ] = ACTIONS(11278),
    [anon_sym_begin] = ACTIONS(11278),
    [anon_sym_module] = ACTIONS(11278),
    [anon_sym_baremodule] = ACTIONS(11278),
    [anon_sym_end] = ACTIONS(11278),
    [anon_sym_abstract] = ACTIONS(11278),
    [anon_sym_primitive] = ACTIONS(11278),
    [anon_sym_mutable] = ACTIONS(11278),
    [anon_sym_struct] = ACTIONS(11278),
    [anon_sym_function] = ACTIONS(11278),
    [anon_sym_macro] = ACTIONS(11278),
    [anon_sym_quote] = ACTIONS(11278),
    [anon_sym_let] = ACTIONS(11278),
    [anon_sym_if] = ACTIONS(11278),
    [anon_sym_else] = ACTIONS(11278),
    [anon_sym_try] = ACTIONS(11278),
    [anon_sym_finally] = ACTIONS(11278),
    [anon_sym_for] = ACTIONS(11278),
    [anon_sym_while] = ACTIONS(11278),
    [sym_break_statement] = ACTIONS(11278),
    [sym_continue_statement] = ACTIONS(11278),
    [anon_sym_return] = ACTIONS(11278),
    [anon_sym_const] = ACTIONS(11278),
    [anon_sym_global] = ACTIONS(11278),
    [anon_sym_local] = ACTIONS(11278),
    [anon_sym_LPAREN] = ACTIONS(11278),
    [anon_sym_COLON] = ACTIONS(11278),
    [anon_sym_export] = ACTIONS(11278),
    [anon_sym_public] = ACTIONS(11278),
    [anon_sym_import] = ACTIONS(11278),
    [anon_sym_using] = ACTIONS(11278),
    [anon_sym_LBRACK] = ACTIONS(11278),
    [anon_sym_in] = ACTIONS(11278),
    [anon_sym_SEMI] = ACTIONS(11278),
    [anon_sym_LBRACE] = ACTIONS(11278),
    [anon_sym_DOLLAR] = ACTIONS(11278),
    [anon_sym_COLON2] = ACTIONS(11278),
    [anon_sym_COLON_COLON] = ACTIONS(11278),
    [anon_sym_isa] = ACTIONS(11278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11278),
    [anon_sym_QMARK] = ACTIONS(11278),
    [anon_sym_where] = ACTIONS(11278),
    [anon_sym_AT] = ACTIONS(11278),
    [anon_sym_true] = ACTIONS(11278),
    [anon_sym_false] = ACTIONS(11278),
    [aux_sym_integer_literal_token1] = ACTIONS(11278),
    [aux_sym_integer_literal_token2] = ACTIONS(11278),
    [aux_sym_integer_literal_token3] = ACTIONS(11278),
    [aux_sym_integer_literal_token4] = ACTIONS(11278),
    [aux_sym_float_literal_token1] = ACTIONS(11278),
    [aux_sym_float_literal_token3] = ACTIONS(11278),
    [aux_sym_float_literal_token4] = ACTIONS(11278),
    [sym_character_literal] = ACTIONS(11278),
    [anon_sym_DQUOTE] = ACTIONS(11278),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11278),
    [anon_sym_BQUOTE] = ACTIONS(11278),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11278),
    [sym__pair_operator] = ACTIONS(11278),
    [sym__arrow_operator] = ACTIONS(11278),
    [sym__lazy_or_operator] = ACTIONS(11278),
    [sym__lazy_and_operator] = ACTIONS(11278),
    [sym__comparison_operator] = ACTIONS(11278),
    [sym__pipe_right_operator] = ACTIONS(11278),
    [sym__pipe_left_operator] = ACTIONS(11278),
    [sym__ellipsis_operator] = ACTIONS(11278),
    [sym__plus_operator] = ACTIONS(11278),
    [sym__times_operator] = ACTIONS(11278),
    [sym__rational_operator] = ACTIONS(11278),
    [sym__bitshift_operator] = ACTIONS(11278),
    [sym__power_operator] = ACTIONS(11278),
    [sym__tilde_operator] = ACTIONS(11278),
    [sym__type_order_operator] = ACTIONS(11278),
    [sym__unary_operator] = ACTIONS(11278),
    [sym__unary_plus_operator] = ACTIONS(11278),
    [aux_sym__terminator_token1] = ACTIONS(11282),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7657] = {
    [sym_block_comment] = STATE(7657),
    [sym_line_comment] = STATE(7657),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_catch] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_as] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7658] = {
    [sym_block_comment] = STATE(7658),
    [sym_line_comment] = STATE(7658),
    [aux_sym_export_statement_repeat1] = STATE(7679),
    [sym__word_identifier] = ACTIONS(11141),
    [anon_sym_COMMA] = ACTIONS(11280),
    [anon_sym_EQ] = ACTIONS(11141),
    [anon_sym_begin] = ACTIONS(11141),
    [anon_sym_module] = ACTIONS(11141),
    [anon_sym_baremodule] = ACTIONS(11141),
    [anon_sym_end] = ACTIONS(11141),
    [anon_sym_abstract] = ACTIONS(11141),
    [anon_sym_primitive] = ACTIONS(11141),
    [anon_sym_mutable] = ACTIONS(11141),
    [anon_sym_struct] = ACTIONS(11141),
    [anon_sym_function] = ACTIONS(11141),
    [anon_sym_macro] = ACTIONS(11141),
    [anon_sym_quote] = ACTIONS(11141),
    [anon_sym_let] = ACTIONS(11141),
    [anon_sym_if] = ACTIONS(11141),
    [anon_sym_else] = ACTIONS(11141),
    [anon_sym_try] = ACTIONS(11141),
    [anon_sym_finally] = ACTIONS(11141),
    [anon_sym_for] = ACTIONS(11141),
    [anon_sym_while] = ACTIONS(11141),
    [sym_break_statement] = ACTIONS(11141),
    [sym_continue_statement] = ACTIONS(11141),
    [anon_sym_return] = ACTIONS(11141),
    [anon_sym_const] = ACTIONS(11141),
    [anon_sym_global] = ACTIONS(11141),
    [anon_sym_local] = ACTIONS(11141),
    [anon_sym_LPAREN] = ACTIONS(11141),
    [anon_sym_COLON] = ACTIONS(11141),
    [anon_sym_export] = ACTIONS(11141),
    [anon_sym_public] = ACTIONS(11141),
    [anon_sym_import] = ACTIONS(11141),
    [anon_sym_using] = ACTIONS(11141),
    [anon_sym_LBRACK] = ACTIONS(11141),
    [anon_sym_in] = ACTIONS(11141),
    [anon_sym_SEMI] = ACTIONS(11141),
    [anon_sym_LBRACE] = ACTIONS(11141),
    [anon_sym_DOLLAR] = ACTIONS(11141),
    [anon_sym_COLON2] = ACTIONS(11141),
    [anon_sym_COLON_COLON] = ACTIONS(11141),
    [anon_sym_isa] = ACTIONS(11141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11141),
    [anon_sym_QMARK] = ACTIONS(11141),
    [anon_sym_where] = ACTIONS(11141),
    [anon_sym_AT] = ACTIONS(11141),
    [anon_sym_true] = ACTIONS(11141),
    [anon_sym_false] = ACTIONS(11141),
    [aux_sym_integer_literal_token1] = ACTIONS(11141),
    [aux_sym_integer_literal_token2] = ACTIONS(11141),
    [aux_sym_integer_literal_token3] = ACTIONS(11141),
    [aux_sym_integer_literal_token4] = ACTIONS(11141),
    [aux_sym_float_literal_token1] = ACTIONS(11141),
    [aux_sym_float_literal_token3] = ACTIONS(11141),
    [aux_sym_float_literal_token4] = ACTIONS(11141),
    [sym_character_literal] = ACTIONS(11141),
    [anon_sym_DQUOTE] = ACTIONS(11141),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11141),
    [anon_sym_BQUOTE] = ACTIONS(11141),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11141),
    [sym__pair_operator] = ACTIONS(11141),
    [sym__arrow_operator] = ACTIONS(11141),
    [sym__lazy_or_operator] = ACTIONS(11141),
    [sym__lazy_and_operator] = ACTIONS(11141),
    [sym__comparison_operator] = ACTIONS(11141),
    [sym__pipe_right_operator] = ACTIONS(11141),
    [sym__pipe_left_operator] = ACTIONS(11141),
    [sym__ellipsis_operator] = ACTIONS(11141),
    [sym__plus_operator] = ACTIONS(11141),
    [sym__times_operator] = ACTIONS(11141),
    [sym__rational_operator] = ACTIONS(11141),
    [sym__bitshift_operator] = ACTIONS(11141),
    [sym__power_operator] = ACTIONS(11141),
    [sym__tilde_operator] = ACTIONS(11141),
    [sym__type_order_operator] = ACTIONS(11141),
    [sym__unary_operator] = ACTIONS(11141),
    [sym__unary_plus_operator] = ACTIONS(11141),
    [aux_sym__terminator_token1] = ACTIONS(11145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7659] = {
    [sym_block_comment] = STATE(7659),
    [sym_line_comment] = STATE(7659),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_catch] = ACTIONS(10421),
    [anon_sym_finally] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_as] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7660] = {
    [sym_block_comment] = STATE(7660),
    [sym_line_comment] = STATE(7660),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_catch] = ACTIONS(10429),
    [anon_sym_finally] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_as] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7661] = {
    [sym_block_comment] = STATE(7661),
    [sym_line_comment] = STATE(7661),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_catch] = ACTIONS(10433),
    [anon_sym_finally] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_as] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7662] = {
    [sym_block_comment] = STATE(7662),
    [sym_line_comment] = STATE(7662),
    [aux_sym__import_list_repeat1] = STATE(7682),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11054),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_else] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_finally] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7663] = {
    [sym_block_comment] = STATE(7663),
    [sym_line_comment] = STATE(7663),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10982),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_end] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_else] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_finally] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10982),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10982),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_SEMI] = ACTIONS(10982),
    [anon_sym_LBRACE] = ACTIONS(10982),
    [anon_sym_DOLLAR] = ACTIONS(10982),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10982),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10982),
    [anon_sym_QMARK] = ACTIONS(10982),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10982),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10982),
    [aux_sym_integer_literal_token2] = ACTIONS(10982),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10982),
    [aux_sym_float_literal_token3] = ACTIONS(10982),
    [aux_sym_float_literal_token4] = ACTIONS(10982),
    [sym_character_literal] = ACTIONS(10982),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10982),
    [sym__pair_operator] = ACTIONS(10982),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10982),
    [sym__lazy_and_operator] = ACTIONS(10982),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10982),
    [sym__pipe_left_operator] = ACTIONS(10982),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10982),
    [sym__bitshift_operator] = ACTIONS(10982),
    [sym__power_operator] = ACTIONS(10982),
    [sym__tilde_operator] = ACTIONS(10982),
    [sym__type_order_operator] = ACTIONS(10982),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym__terminator_token1] = ACTIONS(10986),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7664] = {
    [sym_block_comment] = STATE(7664),
    [sym_line_comment] = STATE(7664),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_elseif] = ACTIONS(10263),
    [anon_sym_else] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7665] = {
    [sym_block_comment] = STATE(7665),
    [sym_line_comment] = STATE(7665),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_elseif] = ACTIONS(10339),
    [anon_sym_else] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7666] = {
    [sym_block_comment] = STATE(7666),
    [sym_line_comment] = STATE(7666),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_catch] = ACTIONS(10437),
    [anon_sym_finally] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_as] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7667] = {
    [sym_block_comment] = STATE(7667),
    [sym_line_comment] = STATE(7667),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_elseif] = ACTIONS(10371),
    [anon_sym_else] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7668] = {
    [sym_block_comment] = STATE(7668),
    [sym_line_comment] = STATE(7668),
    [ts_builtin_sym_end] = ACTIONS(10377),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_as] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_RBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7669] = {
    [sym_block_comment] = STATE(7669),
    [sym_line_comment] = STATE(7669),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_elseif] = ACTIONS(10409),
    [anon_sym_else] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7670] = {
    [sym_block_comment] = STATE(7670),
    [sym_line_comment] = STATE(7670),
    [ts_builtin_sym_end] = ACTIONS(10345),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_as] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_RBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7671] = {
    [sym_block_comment] = STATE(7671),
    [sym_line_comment] = STATE(7671),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_elseif] = ACTIONS(10217),
    [anon_sym_else] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7672] = {
    [sym_block_comment] = STATE(7672),
    [sym_line_comment] = STATE(7672),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_catch] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_as] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7673] = {
    [sym_block_comment] = STATE(7673),
    [sym_line_comment] = STATE(7673),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [7674] = {
    [sym__primary_expression] = STATE(10987),
    [sym__array] = STATE(10654),
    [sym_comprehension_expression] = STATE(10689),
    [sym_matrix_expression] = STATE(10689),
    [sym_vector_expression] = STATE(10689),
    [sym_parenthesized_expression] = STATE(10654),
    [sym_tuple_expression] = STATE(10654),
    [sym_curly_expression] = STATE(10654),
    [sym_adjoint_expression] = STATE(10654),
    [sym_field_expression] = STATE(10654),
    [sym_index_expression] = STATE(10654),
    [sym_parametrized_type_expression] = STATE(10654),
    [sym_call_expression] = STATE(10654),
    [sym_broadcast_call_expression] = STATE(10654),
    [sym__closed_macrocall_expression] = STATE(10654),
    [sym_interpolation_expression] = STATE(10654),
    [sym_quote_expression] = STATE(10654),
    [sym_macro_identifier] = STATE(17588),
    [sym_identifier] = STATE(10827),
    [sym_boolean_literal] = STATE(10654),
    [sym__string] = STATE(10654),
    [sym__delimiter_str_1] = STATE(15341),
    [sym__delimiter_str_3] = STATE(15342),
    [sym__delimiter_cmd_1] = STATE(15343),
    [sym__delimiter_cmd_3] = STATE(15344),
    [sym_string_literal] = STATE(10680),
    [sym_command_literal] = STATE(10680),
    [sym_prefixed_string_literal] = STATE(10680),
    [sym_prefixed_command_literal] = STATE(10680),
    [sym_operator] = STATE(19440),
    [sym_block_comment] = STATE(7674),
    [sym_line_comment] = STATE(7674),
    [sym__word_identifier] = ACTIONS(10105),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(10107),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(10109),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(10111),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(11284),
    [anon_sym_COLON2] = ACTIONS(10115),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(10117),
    [anon_sym_true] = ACTIONS(10119),
    [anon_sym_false] = ACTIONS(10119),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9483),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(10121),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(9614),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9614),
    [sym__pipe_left_operator] = ACTIONS(9614),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9614),
    [sym__bitshift_operator] = ACTIONS(9614),
    [sym__power_operator] = ACTIONS(9614),
    [sym__tilde_operator] = ACTIONS(1687),
    [sym__type_order_operator] = ACTIONS(9614),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7675] = {
    [sym_block_comment] = STATE(7675),
    [sym_line_comment] = STATE(7675),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10279),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_as] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10279),
    [anon_sym_RPAREN] = ACTIONS(10279),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10279),
    [anon_sym_RBRACK] = ACTIONS(10279),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10279),
    [anon_sym_LBRACE] = ACTIONS(10279),
    [anon_sym_RBRACE] = ACTIONS(10279),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10279),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10279),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10279),
    [anon_sym_QMARK] = ACTIONS(10279),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10279),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10279),
    [aux_sym_integer_literal_token2] = ACTIONS(10279),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10279),
    [aux_sym_float_literal_token3] = ACTIONS(10279),
    [aux_sym_float_literal_token4] = ACTIONS(10279),
    [sym_character_literal] = ACTIONS(10279),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10279),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10279),
    [sym__pair_operator] = ACTIONS(10279),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10279),
    [sym__lazy_and_operator] = ACTIONS(10279),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10279),
    [sym__pipe_left_operator] = ACTIONS(10279),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10279),
    [sym__bitshift_operator] = ACTIONS(10279),
    [sym__power_operator] = ACTIONS(10279),
    [sym__tilde_operator] = ACTIONS(10279),
    [sym__type_order_operator] = ACTIONS(10279),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7676] = {
    [sym_block_comment] = STATE(7676),
    [sym_line_comment] = STATE(7676),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10325),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_as] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10325),
    [anon_sym_RPAREN] = ACTIONS(10325),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10325),
    [anon_sym_RBRACK] = ACTIONS(10325),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10325),
    [anon_sym_LBRACE] = ACTIONS(10325),
    [anon_sym_RBRACE] = ACTIONS(10325),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10325),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10325),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10325),
    [anon_sym_QMARK] = ACTIONS(10325),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10325),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10325),
    [aux_sym_integer_literal_token2] = ACTIONS(10325),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10325),
    [aux_sym_float_literal_token3] = ACTIONS(10325),
    [aux_sym_float_literal_token4] = ACTIONS(10325),
    [sym_character_literal] = ACTIONS(10325),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10325),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10325),
    [sym__pair_operator] = ACTIONS(10325),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10325),
    [sym__lazy_and_operator] = ACTIONS(10325),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10325),
    [sym__pipe_left_operator] = ACTIONS(10325),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10325),
    [sym__bitshift_operator] = ACTIONS(10325),
    [sym__power_operator] = ACTIONS(10325),
    [sym__tilde_operator] = ACTIONS(10325),
    [sym__type_order_operator] = ACTIONS(10325),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7677] = {
    [sym_block_comment] = STATE(7677),
    [sym_line_comment] = STATE(7677),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_catch] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_as] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7678] = {
    [sym_block_comment] = STATE(7678),
    [sym_line_comment] = STATE(7678),
    [aux_sym_export_statement_repeat1] = STATE(7693),
    [sym__word_identifier] = ACTIONS(11286),
    [anon_sym_COMMA] = ACTIONS(11280),
    [anon_sym_EQ] = ACTIONS(11286),
    [anon_sym_begin] = ACTIONS(11286),
    [anon_sym_module] = ACTIONS(11286),
    [anon_sym_baremodule] = ACTIONS(11286),
    [anon_sym_end] = ACTIONS(11286),
    [anon_sym_abstract] = ACTIONS(11286),
    [anon_sym_primitive] = ACTIONS(11286),
    [anon_sym_mutable] = ACTIONS(11286),
    [anon_sym_struct] = ACTIONS(11286),
    [anon_sym_function] = ACTIONS(11286),
    [anon_sym_macro] = ACTIONS(11286),
    [anon_sym_quote] = ACTIONS(11286),
    [anon_sym_let] = ACTIONS(11286),
    [anon_sym_if] = ACTIONS(11286),
    [anon_sym_else] = ACTIONS(11286),
    [anon_sym_try] = ACTIONS(11286),
    [anon_sym_finally] = ACTIONS(11286),
    [anon_sym_for] = ACTIONS(11286),
    [anon_sym_while] = ACTIONS(11286),
    [sym_break_statement] = ACTIONS(11286),
    [sym_continue_statement] = ACTIONS(11286),
    [anon_sym_return] = ACTIONS(11286),
    [anon_sym_const] = ACTIONS(11286),
    [anon_sym_global] = ACTIONS(11286),
    [anon_sym_local] = ACTIONS(11286),
    [anon_sym_LPAREN] = ACTIONS(11286),
    [anon_sym_COLON] = ACTIONS(11286),
    [anon_sym_export] = ACTIONS(11286),
    [anon_sym_public] = ACTIONS(11286),
    [anon_sym_import] = ACTIONS(11286),
    [anon_sym_using] = ACTIONS(11286),
    [anon_sym_LBRACK] = ACTIONS(11286),
    [anon_sym_in] = ACTIONS(11286),
    [anon_sym_SEMI] = ACTIONS(11286),
    [anon_sym_LBRACE] = ACTIONS(11286),
    [anon_sym_DOLLAR] = ACTIONS(11286),
    [anon_sym_COLON2] = ACTIONS(11286),
    [anon_sym_COLON_COLON] = ACTIONS(11286),
    [anon_sym_isa] = ACTIONS(11286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11286),
    [anon_sym_QMARK] = ACTIONS(11286),
    [anon_sym_where] = ACTIONS(11286),
    [anon_sym_AT] = ACTIONS(11286),
    [anon_sym_true] = ACTIONS(11286),
    [anon_sym_false] = ACTIONS(11286),
    [aux_sym_integer_literal_token1] = ACTIONS(11286),
    [aux_sym_integer_literal_token2] = ACTIONS(11286),
    [aux_sym_integer_literal_token3] = ACTIONS(11286),
    [aux_sym_integer_literal_token4] = ACTIONS(11286),
    [aux_sym_float_literal_token1] = ACTIONS(11286),
    [aux_sym_float_literal_token3] = ACTIONS(11286),
    [aux_sym_float_literal_token4] = ACTIONS(11286),
    [sym_character_literal] = ACTIONS(11286),
    [anon_sym_DQUOTE] = ACTIONS(11286),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11286),
    [anon_sym_BQUOTE] = ACTIONS(11286),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11286),
    [sym__pair_operator] = ACTIONS(11286),
    [sym__arrow_operator] = ACTIONS(11286),
    [sym__lazy_or_operator] = ACTIONS(11286),
    [sym__lazy_and_operator] = ACTIONS(11286),
    [sym__comparison_operator] = ACTIONS(11286),
    [sym__pipe_right_operator] = ACTIONS(11286),
    [sym__pipe_left_operator] = ACTIONS(11286),
    [sym__ellipsis_operator] = ACTIONS(11286),
    [sym__plus_operator] = ACTIONS(11286),
    [sym__times_operator] = ACTIONS(11286),
    [sym__rational_operator] = ACTIONS(11286),
    [sym__bitshift_operator] = ACTIONS(11286),
    [sym__power_operator] = ACTIONS(11286),
    [sym__tilde_operator] = ACTIONS(11286),
    [sym__type_order_operator] = ACTIONS(11286),
    [sym__unary_operator] = ACTIONS(11286),
    [sym__unary_plus_operator] = ACTIONS(11286),
    [aux_sym__terminator_token1] = ACTIONS(11288),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7679] = {
    [sym_block_comment] = STATE(7679),
    [sym_line_comment] = STATE(7679),
    [aux_sym_export_statement_repeat1] = STATE(7693),
    [sym__word_identifier] = ACTIONS(11290),
    [anon_sym_COMMA] = ACTIONS(11280),
    [anon_sym_EQ] = ACTIONS(11290),
    [anon_sym_begin] = ACTIONS(11290),
    [anon_sym_module] = ACTIONS(11290),
    [anon_sym_baremodule] = ACTIONS(11290),
    [anon_sym_end] = ACTIONS(11290),
    [anon_sym_abstract] = ACTIONS(11290),
    [anon_sym_primitive] = ACTIONS(11290),
    [anon_sym_mutable] = ACTIONS(11290),
    [anon_sym_struct] = ACTIONS(11290),
    [anon_sym_function] = ACTIONS(11290),
    [anon_sym_macro] = ACTIONS(11290),
    [anon_sym_quote] = ACTIONS(11290),
    [anon_sym_let] = ACTIONS(11290),
    [anon_sym_if] = ACTIONS(11290),
    [anon_sym_else] = ACTIONS(11290),
    [anon_sym_try] = ACTIONS(11290),
    [anon_sym_finally] = ACTIONS(11290),
    [anon_sym_for] = ACTIONS(11290),
    [anon_sym_while] = ACTIONS(11290),
    [sym_break_statement] = ACTIONS(11290),
    [sym_continue_statement] = ACTIONS(11290),
    [anon_sym_return] = ACTIONS(11290),
    [anon_sym_const] = ACTIONS(11290),
    [anon_sym_global] = ACTIONS(11290),
    [anon_sym_local] = ACTIONS(11290),
    [anon_sym_LPAREN] = ACTIONS(11290),
    [anon_sym_COLON] = ACTIONS(11290),
    [anon_sym_export] = ACTIONS(11290),
    [anon_sym_public] = ACTIONS(11290),
    [anon_sym_import] = ACTIONS(11290),
    [anon_sym_using] = ACTIONS(11290),
    [anon_sym_LBRACK] = ACTIONS(11290),
    [anon_sym_in] = ACTIONS(11290),
    [anon_sym_SEMI] = ACTIONS(11290),
    [anon_sym_LBRACE] = ACTIONS(11290),
    [anon_sym_DOLLAR] = ACTIONS(11290),
    [anon_sym_COLON2] = ACTIONS(11290),
    [anon_sym_COLON_COLON] = ACTIONS(11290),
    [anon_sym_isa] = ACTIONS(11290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11290),
    [anon_sym_QMARK] = ACTIONS(11290),
    [anon_sym_where] = ACTIONS(11290),
    [anon_sym_AT] = ACTIONS(11290),
    [anon_sym_true] = ACTIONS(11290),
    [anon_sym_false] = ACTIONS(11290),
    [aux_sym_integer_literal_token1] = ACTIONS(11290),
    [aux_sym_integer_literal_token2] = ACTIONS(11290),
    [aux_sym_integer_literal_token3] = ACTIONS(11290),
    [aux_sym_integer_literal_token4] = ACTIONS(11290),
    [aux_sym_float_literal_token1] = ACTIONS(11290),
    [aux_sym_float_literal_token3] = ACTIONS(11290),
    [aux_sym_float_literal_token4] = ACTIONS(11290),
    [sym_character_literal] = ACTIONS(11290),
    [anon_sym_DQUOTE] = ACTIONS(11290),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11290),
    [anon_sym_BQUOTE] = ACTIONS(11290),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11290),
    [sym__pair_operator] = ACTIONS(11290),
    [sym__arrow_operator] = ACTIONS(11290),
    [sym__lazy_or_operator] = ACTIONS(11290),
    [sym__lazy_and_operator] = ACTIONS(11290),
    [sym__comparison_operator] = ACTIONS(11290),
    [sym__pipe_right_operator] = ACTIONS(11290),
    [sym__pipe_left_operator] = ACTIONS(11290),
    [sym__ellipsis_operator] = ACTIONS(11290),
    [sym__plus_operator] = ACTIONS(11290),
    [sym__times_operator] = ACTIONS(11290),
    [sym__rational_operator] = ACTIONS(11290),
    [sym__bitshift_operator] = ACTIONS(11290),
    [sym__power_operator] = ACTIONS(11290),
    [sym__tilde_operator] = ACTIONS(11290),
    [sym__type_order_operator] = ACTIONS(11290),
    [sym__unary_operator] = ACTIONS(11290),
    [sym__unary_plus_operator] = ACTIONS(11290),
    [aux_sym__terminator_token1] = ACTIONS(11292),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7680] = {
    [sym_block_comment] = STATE(7680),
    [sym_line_comment] = STATE(7680),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_catch] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_as] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7681] = {
    [sym_block_comment] = STATE(7681),
    [sym_line_comment] = STATE(7681),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_elseif] = ACTIONS(9993),
    [anon_sym_else] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7682] = {
    [sym_block_comment] = STATE(7682),
    [sym_line_comment] = STATE(7682),
    [aux_sym__import_list_repeat1] = STATE(7695),
    [sym__word_identifier] = ACTIONS(11066),
    [anon_sym_COMMA] = ACTIONS(11054),
    [anon_sym_EQ] = ACTIONS(11066),
    [anon_sym_begin] = ACTIONS(11066),
    [anon_sym_module] = ACTIONS(11066),
    [anon_sym_baremodule] = ACTIONS(11066),
    [anon_sym_end] = ACTIONS(11066),
    [anon_sym_abstract] = ACTIONS(11066),
    [anon_sym_primitive] = ACTIONS(11066),
    [anon_sym_mutable] = ACTIONS(11066),
    [anon_sym_struct] = ACTIONS(11066),
    [anon_sym_function] = ACTIONS(11066),
    [anon_sym_macro] = ACTIONS(11066),
    [anon_sym_quote] = ACTIONS(11066),
    [anon_sym_let] = ACTIONS(11066),
    [anon_sym_if] = ACTIONS(11066),
    [anon_sym_else] = ACTIONS(11066),
    [anon_sym_try] = ACTIONS(11066),
    [anon_sym_finally] = ACTIONS(11066),
    [anon_sym_for] = ACTIONS(11066),
    [anon_sym_while] = ACTIONS(11066),
    [sym_break_statement] = ACTIONS(11066),
    [sym_continue_statement] = ACTIONS(11066),
    [anon_sym_return] = ACTIONS(11066),
    [anon_sym_const] = ACTIONS(11066),
    [anon_sym_global] = ACTIONS(11066),
    [anon_sym_local] = ACTIONS(11066),
    [anon_sym_LPAREN] = ACTIONS(11066),
    [anon_sym_COLON] = ACTIONS(11066),
    [anon_sym_export] = ACTIONS(11066),
    [anon_sym_public] = ACTIONS(11066),
    [anon_sym_import] = ACTIONS(11066),
    [anon_sym_using] = ACTIONS(11066),
    [anon_sym_LBRACK] = ACTIONS(11066),
    [anon_sym_in] = ACTIONS(11066),
    [anon_sym_SEMI] = ACTIONS(11066),
    [anon_sym_LBRACE] = ACTIONS(11066),
    [anon_sym_DOLLAR] = ACTIONS(11066),
    [anon_sym_COLON2] = ACTIONS(11066),
    [anon_sym_COLON_COLON] = ACTIONS(11066),
    [anon_sym_isa] = ACTIONS(11066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11066),
    [anon_sym_QMARK] = ACTIONS(11066),
    [anon_sym_where] = ACTIONS(11066),
    [anon_sym_AT] = ACTIONS(11066),
    [anon_sym_true] = ACTIONS(11066),
    [anon_sym_false] = ACTIONS(11066),
    [aux_sym_integer_literal_token1] = ACTIONS(11066),
    [aux_sym_integer_literal_token2] = ACTIONS(11066),
    [aux_sym_integer_literal_token3] = ACTIONS(11066),
    [aux_sym_integer_literal_token4] = ACTIONS(11066),
    [aux_sym_float_literal_token1] = ACTIONS(11066),
    [aux_sym_float_literal_token3] = ACTIONS(11066),
    [aux_sym_float_literal_token4] = ACTIONS(11066),
    [sym_character_literal] = ACTIONS(11066),
    [anon_sym_DQUOTE] = ACTIONS(11066),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11066),
    [anon_sym_BQUOTE] = ACTIONS(11066),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(11066),
    [sym__arrow_operator] = ACTIONS(11066),
    [sym__lazy_or_operator] = ACTIONS(11066),
    [sym__lazy_and_operator] = ACTIONS(11066),
    [sym__comparison_operator] = ACTIONS(11066),
    [sym__pipe_right_operator] = ACTIONS(11066),
    [sym__pipe_left_operator] = ACTIONS(11066),
    [sym__ellipsis_operator] = ACTIONS(11066),
    [sym__plus_operator] = ACTIONS(11066),
    [sym__times_operator] = ACTIONS(11066),
    [sym__rational_operator] = ACTIONS(11066),
    [sym__bitshift_operator] = ACTIONS(11066),
    [sym__power_operator] = ACTIONS(11066),
    [sym__tilde_operator] = ACTIONS(11066),
    [sym__type_order_operator] = ACTIONS(11066),
    [sym__unary_operator] = ACTIONS(11066),
    [sym__unary_plus_operator] = ACTIONS(11066),
    [aux_sym__terminator_token1] = ACTIONS(11068),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7683] = {
    [sym_block_comment] = STATE(7683),
    [sym_line_comment] = STATE(7683),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10027),
  },
  [7684] = {
    [sym_block_comment] = STATE(7684),
    [sym_line_comment] = STATE(7684),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10329),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_as] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10329),
    [anon_sym_RPAREN] = ACTIONS(10329),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10329),
    [anon_sym_RBRACK] = ACTIONS(10329),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10329),
    [anon_sym_LBRACE] = ACTIONS(10329),
    [anon_sym_RBRACE] = ACTIONS(10329),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10329),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10329),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10329),
    [anon_sym_QMARK] = ACTIONS(10329),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10329),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10329),
    [aux_sym_integer_literal_token2] = ACTIONS(10329),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10329),
    [aux_sym_float_literal_token3] = ACTIONS(10329),
    [aux_sym_float_literal_token4] = ACTIONS(10329),
    [sym_character_literal] = ACTIONS(10329),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10329),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10329),
    [sym__pair_operator] = ACTIONS(10329),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10329),
    [sym__lazy_and_operator] = ACTIONS(10329),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10329),
    [sym__pipe_left_operator] = ACTIONS(10329),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10329),
    [sym__bitshift_operator] = ACTIONS(10329),
    [sym__power_operator] = ACTIONS(10329),
    [sym__tilde_operator] = ACTIONS(10329),
    [sym__type_order_operator] = ACTIONS(10329),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7685] = {
    [sym_block_comment] = STATE(7685),
    [sym_line_comment] = STATE(7685),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10103),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10103),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10103),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10103),
    [anon_sym_SQUOTE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10103),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10103),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10103),
    [anon_sym_QMARK] = ACTIONS(10103),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10103),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10103),
    [aux_sym_integer_literal_token2] = ACTIONS(10103),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10103),
    [aux_sym_float_literal_token3] = ACTIONS(10103),
    [aux_sym_float_literal_token4] = ACTIONS(10103),
    [sym_character_literal] = ACTIONS(10103),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10103),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10103),
    [sym__pair_operator] = ACTIONS(10103),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10103),
    [sym__lazy_and_operator] = ACTIONS(10103),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10103),
    [sym__pipe_left_operator] = ACTIONS(10103),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10103),
    [sym__bitshift_operator] = ACTIONS(10103),
    [sym__power_operator] = ACTIONS(10103),
    [sym__tilde_operator] = ACTIONS(10103),
    [sym__type_order_operator] = ACTIONS(10103),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10103),
    [sym__immediate_bracket] = ACTIONS(10103),
    [sym__immediate_brace] = ACTIONS(10103),
  },
  [7686] = {
    [sym_block_comment] = STATE(7686),
    [sym_line_comment] = STATE(7686),
    [aux_sym_export_statement_repeat1] = STATE(7488),
    [sym__word_identifier] = ACTIONS(11286),
    [anon_sym_COMMA] = ACTIONS(11143),
    [anon_sym_EQ] = ACTIONS(11286),
    [anon_sym_begin] = ACTIONS(11286),
    [anon_sym_module] = ACTIONS(11286),
    [anon_sym_baremodule] = ACTIONS(11286),
    [anon_sym_end] = ACTIONS(11286),
    [anon_sym_abstract] = ACTIONS(11286),
    [anon_sym_primitive] = ACTIONS(11286),
    [anon_sym_mutable] = ACTIONS(11286),
    [anon_sym_struct] = ACTIONS(11286),
    [anon_sym_function] = ACTIONS(11286),
    [anon_sym_macro] = ACTIONS(11286),
    [anon_sym_quote] = ACTIONS(11286),
    [anon_sym_let] = ACTIONS(11286),
    [anon_sym_if] = ACTIONS(11286),
    [anon_sym_elseif] = ACTIONS(11286),
    [anon_sym_else] = ACTIONS(11286),
    [anon_sym_try] = ACTIONS(11286),
    [anon_sym_for] = ACTIONS(11286),
    [anon_sym_while] = ACTIONS(11286),
    [sym_break_statement] = ACTIONS(11286),
    [sym_continue_statement] = ACTIONS(11286),
    [anon_sym_return] = ACTIONS(11286),
    [anon_sym_const] = ACTIONS(11286),
    [anon_sym_global] = ACTIONS(11286),
    [anon_sym_local] = ACTIONS(11286),
    [anon_sym_LPAREN] = ACTIONS(11286),
    [anon_sym_COLON] = ACTIONS(11286),
    [anon_sym_export] = ACTIONS(11286),
    [anon_sym_public] = ACTIONS(11286),
    [anon_sym_import] = ACTIONS(11286),
    [anon_sym_using] = ACTIONS(11286),
    [anon_sym_LBRACK] = ACTIONS(11286),
    [anon_sym_in] = ACTIONS(11286),
    [anon_sym_SEMI] = ACTIONS(11286),
    [anon_sym_LBRACE] = ACTIONS(11286),
    [anon_sym_DOLLAR] = ACTIONS(11286),
    [anon_sym_COLON2] = ACTIONS(11286),
    [anon_sym_COLON_COLON] = ACTIONS(11286),
    [anon_sym_isa] = ACTIONS(11286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11286),
    [anon_sym_QMARK] = ACTIONS(11286),
    [anon_sym_where] = ACTIONS(11286),
    [anon_sym_AT] = ACTIONS(11286),
    [anon_sym_true] = ACTIONS(11286),
    [anon_sym_false] = ACTIONS(11286),
    [aux_sym_integer_literal_token1] = ACTIONS(11286),
    [aux_sym_integer_literal_token2] = ACTIONS(11286),
    [aux_sym_integer_literal_token3] = ACTIONS(11286),
    [aux_sym_integer_literal_token4] = ACTIONS(11286),
    [aux_sym_float_literal_token1] = ACTIONS(11286),
    [aux_sym_float_literal_token3] = ACTIONS(11286),
    [aux_sym_float_literal_token4] = ACTIONS(11286),
    [sym_character_literal] = ACTIONS(11286),
    [anon_sym_DQUOTE] = ACTIONS(11286),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11286),
    [anon_sym_BQUOTE] = ACTIONS(11286),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11286),
    [sym__pair_operator] = ACTIONS(11286),
    [sym__arrow_operator] = ACTIONS(11286),
    [sym__lazy_or_operator] = ACTIONS(11286),
    [sym__lazy_and_operator] = ACTIONS(11286),
    [sym__comparison_operator] = ACTIONS(11286),
    [sym__pipe_right_operator] = ACTIONS(11286),
    [sym__pipe_left_operator] = ACTIONS(11286),
    [sym__ellipsis_operator] = ACTIONS(11286),
    [sym__plus_operator] = ACTIONS(11286),
    [sym__times_operator] = ACTIONS(11286),
    [sym__rational_operator] = ACTIONS(11286),
    [sym__bitshift_operator] = ACTIONS(11286),
    [sym__power_operator] = ACTIONS(11286),
    [sym__tilde_operator] = ACTIONS(11286),
    [sym__type_order_operator] = ACTIONS(11286),
    [sym__unary_operator] = ACTIONS(11286),
    [sym__unary_plus_operator] = ACTIONS(11286),
    [aux_sym__terminator_token1] = ACTIONS(11288),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7687] = {
    [sym_block_comment] = STATE(7687),
    [sym_line_comment] = STATE(7687),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10381),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_as] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10381),
    [anon_sym_RPAREN] = ACTIONS(10381),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10381),
    [anon_sym_RBRACK] = ACTIONS(10381),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10381),
    [anon_sym_LBRACE] = ACTIONS(10381),
    [anon_sym_RBRACE] = ACTIONS(10381),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10381),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10381),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10381),
    [anon_sym_QMARK] = ACTIONS(10381),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10381),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10381),
    [aux_sym_integer_literal_token2] = ACTIONS(10381),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10381),
    [aux_sym_float_literal_token3] = ACTIONS(10381),
    [aux_sym_float_literal_token4] = ACTIONS(10381),
    [sym_character_literal] = ACTIONS(10381),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10381),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10381),
    [sym__pair_operator] = ACTIONS(10381),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10381),
    [sym__lazy_and_operator] = ACTIONS(10381),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10381),
    [sym__pipe_left_operator] = ACTIONS(10381),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10381),
    [sym__bitshift_operator] = ACTIONS(10381),
    [sym__power_operator] = ACTIONS(10381),
    [sym__tilde_operator] = ACTIONS(10381),
    [sym__type_order_operator] = ACTIONS(10381),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7688] = {
    [sym_block_comment] = STATE(7688),
    [sym_line_comment] = STATE(7688),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_catch] = ACTIONS(10291),
    [anon_sym_finally] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_as] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7689] = {
    [sym_block_comment] = STATE(7689),
    [sym_line_comment] = STATE(7689),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10387),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_as] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10387),
    [anon_sym_RPAREN] = ACTIONS(10387),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10387),
    [anon_sym_RBRACK] = ACTIONS(10387),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10387),
    [anon_sym_LBRACE] = ACTIONS(10387),
    [anon_sym_RBRACE] = ACTIONS(10387),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10387),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10387),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10387),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10387),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10387),
    [aux_sym_integer_literal_token2] = ACTIONS(10387),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10387),
    [aux_sym_float_literal_token3] = ACTIONS(10387),
    [aux_sym_float_literal_token4] = ACTIONS(10387),
    [sym_character_literal] = ACTIONS(10387),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10387),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10387),
    [sym__pair_operator] = ACTIONS(10387),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10387),
    [sym__lazy_and_operator] = ACTIONS(10387),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10387),
    [sym__pipe_left_operator] = ACTIONS(10387),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10387),
    [sym__bitshift_operator] = ACTIONS(10387),
    [sym__power_operator] = ACTIONS(10387),
    [sym__tilde_operator] = ACTIONS(10387),
    [sym__type_order_operator] = ACTIONS(10387),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7690] = {
    [sym_block_comment] = STATE(7690),
    [sym_line_comment] = STATE(7690),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10391),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_as] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10391),
    [anon_sym_RPAREN] = ACTIONS(10391),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10391),
    [anon_sym_RBRACK] = ACTIONS(10391),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10391),
    [anon_sym_LBRACE] = ACTIONS(10391),
    [anon_sym_RBRACE] = ACTIONS(10391),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10391),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10391),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_QMARK] = ACTIONS(10391),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10391),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10391),
    [aux_sym_integer_literal_token2] = ACTIONS(10391),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10391),
    [aux_sym_float_literal_token3] = ACTIONS(10391),
    [aux_sym_float_literal_token4] = ACTIONS(10391),
    [sym_character_literal] = ACTIONS(10391),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10391),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10391),
    [sym__pair_operator] = ACTIONS(10391),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10391),
    [sym__lazy_and_operator] = ACTIONS(10391),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10391),
    [sym__pipe_left_operator] = ACTIONS(10391),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10391),
    [sym__bitshift_operator] = ACTIONS(10391),
    [sym__power_operator] = ACTIONS(10391),
    [sym__tilde_operator] = ACTIONS(10391),
    [sym__type_order_operator] = ACTIONS(10391),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7691] = {
    [sym_block_comment] = STATE(7691),
    [sym_line_comment] = STATE(7691),
    [aux_sym_export_statement_repeat1] = STATE(7488),
    [sym__word_identifier] = ACTIONS(11290),
    [anon_sym_COMMA] = ACTIONS(11143),
    [anon_sym_EQ] = ACTIONS(11290),
    [anon_sym_begin] = ACTIONS(11290),
    [anon_sym_module] = ACTIONS(11290),
    [anon_sym_baremodule] = ACTIONS(11290),
    [anon_sym_end] = ACTIONS(11290),
    [anon_sym_abstract] = ACTIONS(11290),
    [anon_sym_primitive] = ACTIONS(11290),
    [anon_sym_mutable] = ACTIONS(11290),
    [anon_sym_struct] = ACTIONS(11290),
    [anon_sym_function] = ACTIONS(11290),
    [anon_sym_macro] = ACTIONS(11290),
    [anon_sym_quote] = ACTIONS(11290),
    [anon_sym_let] = ACTIONS(11290),
    [anon_sym_if] = ACTIONS(11290),
    [anon_sym_elseif] = ACTIONS(11290),
    [anon_sym_else] = ACTIONS(11290),
    [anon_sym_try] = ACTIONS(11290),
    [anon_sym_for] = ACTIONS(11290),
    [anon_sym_while] = ACTIONS(11290),
    [sym_break_statement] = ACTIONS(11290),
    [sym_continue_statement] = ACTIONS(11290),
    [anon_sym_return] = ACTIONS(11290),
    [anon_sym_const] = ACTIONS(11290),
    [anon_sym_global] = ACTIONS(11290),
    [anon_sym_local] = ACTIONS(11290),
    [anon_sym_LPAREN] = ACTIONS(11290),
    [anon_sym_COLON] = ACTIONS(11290),
    [anon_sym_export] = ACTIONS(11290),
    [anon_sym_public] = ACTIONS(11290),
    [anon_sym_import] = ACTIONS(11290),
    [anon_sym_using] = ACTIONS(11290),
    [anon_sym_LBRACK] = ACTIONS(11290),
    [anon_sym_in] = ACTIONS(11290),
    [anon_sym_SEMI] = ACTIONS(11290),
    [anon_sym_LBRACE] = ACTIONS(11290),
    [anon_sym_DOLLAR] = ACTIONS(11290),
    [anon_sym_COLON2] = ACTIONS(11290),
    [anon_sym_COLON_COLON] = ACTIONS(11290),
    [anon_sym_isa] = ACTIONS(11290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11290),
    [anon_sym_QMARK] = ACTIONS(11290),
    [anon_sym_where] = ACTIONS(11290),
    [anon_sym_AT] = ACTIONS(11290),
    [anon_sym_true] = ACTIONS(11290),
    [anon_sym_false] = ACTIONS(11290),
    [aux_sym_integer_literal_token1] = ACTIONS(11290),
    [aux_sym_integer_literal_token2] = ACTIONS(11290),
    [aux_sym_integer_literal_token3] = ACTIONS(11290),
    [aux_sym_integer_literal_token4] = ACTIONS(11290),
    [aux_sym_float_literal_token1] = ACTIONS(11290),
    [aux_sym_float_literal_token3] = ACTIONS(11290),
    [aux_sym_float_literal_token4] = ACTIONS(11290),
    [sym_character_literal] = ACTIONS(11290),
    [anon_sym_DQUOTE] = ACTIONS(11290),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11290),
    [anon_sym_BQUOTE] = ACTIONS(11290),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11290),
    [sym__pair_operator] = ACTIONS(11290),
    [sym__arrow_operator] = ACTIONS(11290),
    [sym__lazy_or_operator] = ACTIONS(11290),
    [sym__lazy_and_operator] = ACTIONS(11290),
    [sym__comparison_operator] = ACTIONS(11290),
    [sym__pipe_right_operator] = ACTIONS(11290),
    [sym__pipe_left_operator] = ACTIONS(11290),
    [sym__ellipsis_operator] = ACTIONS(11290),
    [sym__plus_operator] = ACTIONS(11290),
    [sym__times_operator] = ACTIONS(11290),
    [sym__rational_operator] = ACTIONS(11290),
    [sym__bitshift_operator] = ACTIONS(11290),
    [sym__power_operator] = ACTIONS(11290),
    [sym__tilde_operator] = ACTIONS(11290),
    [sym__type_order_operator] = ACTIONS(11290),
    [sym__unary_operator] = ACTIONS(11290),
    [sym__unary_plus_operator] = ACTIONS(11290),
    [aux_sym__terminator_token1] = ACTIONS(11292),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7692] = {
    [sym_block_comment] = STATE(7692),
    [sym_line_comment] = STATE(7692),
    [aux_sym_export_statement_repeat1] = STATE(7686),
    [sym__word_identifier] = ACTIONS(11278),
    [anon_sym_COMMA] = ACTIONS(11143),
    [anon_sym_EQ] = ACTIONS(11278),
    [anon_sym_begin] = ACTIONS(11278),
    [anon_sym_module] = ACTIONS(11278),
    [anon_sym_baremodule] = ACTIONS(11278),
    [anon_sym_end] = ACTIONS(11278),
    [anon_sym_abstract] = ACTIONS(11278),
    [anon_sym_primitive] = ACTIONS(11278),
    [anon_sym_mutable] = ACTIONS(11278),
    [anon_sym_struct] = ACTIONS(11278),
    [anon_sym_function] = ACTIONS(11278),
    [anon_sym_macro] = ACTIONS(11278),
    [anon_sym_quote] = ACTIONS(11278),
    [anon_sym_let] = ACTIONS(11278),
    [anon_sym_if] = ACTIONS(11278),
    [anon_sym_elseif] = ACTIONS(11278),
    [anon_sym_else] = ACTIONS(11278),
    [anon_sym_try] = ACTIONS(11278),
    [anon_sym_for] = ACTIONS(11278),
    [anon_sym_while] = ACTIONS(11278),
    [sym_break_statement] = ACTIONS(11278),
    [sym_continue_statement] = ACTIONS(11278),
    [anon_sym_return] = ACTIONS(11278),
    [anon_sym_const] = ACTIONS(11278),
    [anon_sym_global] = ACTIONS(11278),
    [anon_sym_local] = ACTIONS(11278),
    [anon_sym_LPAREN] = ACTIONS(11278),
    [anon_sym_COLON] = ACTIONS(11278),
    [anon_sym_export] = ACTIONS(11278),
    [anon_sym_public] = ACTIONS(11278),
    [anon_sym_import] = ACTIONS(11278),
    [anon_sym_using] = ACTIONS(11278),
    [anon_sym_LBRACK] = ACTIONS(11278),
    [anon_sym_in] = ACTIONS(11278),
    [anon_sym_SEMI] = ACTIONS(11278),
    [anon_sym_LBRACE] = ACTIONS(11278),
    [anon_sym_DOLLAR] = ACTIONS(11278),
    [anon_sym_COLON2] = ACTIONS(11278),
    [anon_sym_COLON_COLON] = ACTIONS(11278),
    [anon_sym_isa] = ACTIONS(11278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11278),
    [anon_sym_QMARK] = ACTIONS(11278),
    [anon_sym_where] = ACTIONS(11278),
    [anon_sym_AT] = ACTIONS(11278),
    [anon_sym_true] = ACTIONS(11278),
    [anon_sym_false] = ACTIONS(11278),
    [aux_sym_integer_literal_token1] = ACTIONS(11278),
    [aux_sym_integer_literal_token2] = ACTIONS(11278),
    [aux_sym_integer_literal_token3] = ACTIONS(11278),
    [aux_sym_integer_literal_token4] = ACTIONS(11278),
    [aux_sym_float_literal_token1] = ACTIONS(11278),
    [aux_sym_float_literal_token3] = ACTIONS(11278),
    [aux_sym_float_literal_token4] = ACTIONS(11278),
    [sym_character_literal] = ACTIONS(11278),
    [anon_sym_DQUOTE] = ACTIONS(11278),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11278),
    [anon_sym_BQUOTE] = ACTIONS(11278),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11278),
    [sym__pair_operator] = ACTIONS(11278),
    [sym__arrow_operator] = ACTIONS(11278),
    [sym__lazy_or_operator] = ACTIONS(11278),
    [sym__lazy_and_operator] = ACTIONS(11278),
    [sym__comparison_operator] = ACTIONS(11278),
    [sym__pipe_right_operator] = ACTIONS(11278),
    [sym__pipe_left_operator] = ACTIONS(11278),
    [sym__ellipsis_operator] = ACTIONS(11278),
    [sym__plus_operator] = ACTIONS(11278),
    [sym__times_operator] = ACTIONS(11278),
    [sym__rational_operator] = ACTIONS(11278),
    [sym__bitshift_operator] = ACTIONS(11278),
    [sym__power_operator] = ACTIONS(11278),
    [sym__tilde_operator] = ACTIONS(11278),
    [sym__type_order_operator] = ACTIONS(11278),
    [sym__unary_operator] = ACTIONS(11278),
    [sym__unary_plus_operator] = ACTIONS(11278),
    [aux_sym__terminator_token1] = ACTIONS(11282),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7693] = {
    [sym_block_comment] = STATE(7693),
    [sym_line_comment] = STATE(7693),
    [aux_sym_export_statement_repeat1] = STATE(7693),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(11294),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_end] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_else] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_finally] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11149),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11149),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_SEMI] = ACTIONS(11149),
    [anon_sym_LBRACE] = ACTIONS(11149),
    [anon_sym_DOLLAR] = ACTIONS(11149),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11149),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11149),
    [anon_sym_QMARK] = ACTIONS(11149),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11149),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11149),
    [aux_sym_integer_literal_token2] = ACTIONS(11149),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11149),
    [aux_sym_float_literal_token3] = ACTIONS(11149),
    [aux_sym_float_literal_token4] = ACTIONS(11149),
    [sym_character_literal] = ACTIONS(11149),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11149),
    [sym__pair_operator] = ACTIONS(11149),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11149),
    [sym__lazy_and_operator] = ACTIONS(11149),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11149),
    [sym__pipe_left_operator] = ACTIONS(11149),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11149),
    [sym__bitshift_operator] = ACTIONS(11149),
    [sym__power_operator] = ACTIONS(11149),
    [sym__tilde_operator] = ACTIONS(11149),
    [sym__type_order_operator] = ACTIONS(11149),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym__terminator_token1] = ACTIONS(11154),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7694] = {
    [sym_block_comment] = STATE(7694),
    [sym_line_comment] = STATE(7694),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11159),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_else] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_finally] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_as] = ACTIONS(11056),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7695] = {
    [sym_block_comment] = STATE(7695),
    [sym_line_comment] = STATE(7695),
    [aux_sym__import_list_repeat1] = STATE(7695),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11297),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_else] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_finally] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7696] = {
    [sym_block_comment] = STATE(7696),
    [sym_line_comment] = STATE(7696),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_catch] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_as] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7697] = {
    [sym_block_comment] = STATE(7697),
    [sym_line_comment] = STATE(7697),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10431),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_as] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10431),
    [anon_sym_RPAREN] = ACTIONS(10431),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10431),
    [anon_sym_RBRACK] = ACTIONS(10431),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10431),
    [anon_sym_LBRACE] = ACTIONS(10431),
    [anon_sym_RBRACE] = ACTIONS(10431),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10431),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10431),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_QMARK] = ACTIONS(10431),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10431),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10431),
    [aux_sym_integer_literal_token2] = ACTIONS(10431),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10431),
    [aux_sym_float_literal_token3] = ACTIONS(10431),
    [aux_sym_float_literal_token4] = ACTIONS(10431),
    [sym_character_literal] = ACTIONS(10431),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10431),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10431),
    [sym__pair_operator] = ACTIONS(10431),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10431),
    [sym__lazy_and_operator] = ACTIONS(10431),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10431),
    [sym__pipe_left_operator] = ACTIONS(10431),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10431),
    [sym__bitshift_operator] = ACTIONS(10431),
    [sym__power_operator] = ACTIONS(10431),
    [sym__tilde_operator] = ACTIONS(10431),
    [sym__type_order_operator] = ACTIONS(10431),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7698] = {
    [sym_block_comment] = STATE(7698),
    [sym_line_comment] = STATE(7698),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_catch] = ACTIONS(10307),
    [anon_sym_finally] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_as] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7699] = {
    [sym_block_comment] = STATE(7699),
    [sym_line_comment] = STATE(7699),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_catch] = ACTIONS(10347),
    [anon_sym_finally] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_as] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7700] = {
    [sym_block_comment] = STATE(7700),
    [sym_line_comment] = STATE(7700),
    [ts_builtin_sym_end] = ACTIONS(10177),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_as] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_RBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7701] = {
    [sym_block_comment] = STATE(7701),
    [sym_line_comment] = STATE(7701),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_catch] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(11276),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7702] = {
    [sym_block_comment] = STATE(7702),
    [sym_line_comment] = STATE(7702),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_else] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7703] = {
    [sym_block_comment] = STATE(7703),
    [sym_line_comment] = STATE(7703),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_else] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_finally] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7704] = {
    [sym_block_comment] = STATE(7704),
    [sym_line_comment] = STATE(7704),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10367),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10271),
  },
  [7705] = {
    [sym_block_comment] = STATE(7705),
    [sym_line_comment] = STATE(7705),
    [ts_builtin_sym_end] = ACTIONS(11040),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_RBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7706] = {
    [sym_block_comment] = STATE(7706),
    [sym_line_comment] = STATE(7706),
    [sym__word_identifier] = ACTIONS(11300),
    [anon_sym_COMMA] = ACTIONS(11300),
    [anon_sym_EQ] = ACTIONS(11300),
    [anon_sym_begin] = ACTIONS(11300),
    [anon_sym_module] = ACTIONS(11300),
    [anon_sym_baremodule] = ACTIONS(11300),
    [anon_sym_end] = ACTIONS(11300),
    [anon_sym_abstract] = ACTIONS(11300),
    [anon_sym_primitive] = ACTIONS(11300),
    [anon_sym_mutable] = ACTIONS(11300),
    [anon_sym_struct] = ACTIONS(11300),
    [anon_sym_function] = ACTIONS(11300),
    [anon_sym_macro] = ACTIONS(11300),
    [anon_sym_quote] = ACTIONS(11300),
    [anon_sym_let] = ACTIONS(11300),
    [anon_sym_if] = ACTIONS(11300),
    [anon_sym_else] = ACTIONS(11300),
    [anon_sym_try] = ACTIONS(11300),
    [anon_sym_finally] = ACTIONS(11300),
    [anon_sym_for] = ACTIONS(11300),
    [anon_sym_while] = ACTIONS(11300),
    [sym_break_statement] = ACTIONS(11300),
    [sym_continue_statement] = ACTIONS(11300),
    [anon_sym_return] = ACTIONS(11300),
    [anon_sym_const] = ACTIONS(11300),
    [anon_sym_global] = ACTIONS(11300),
    [anon_sym_local] = ACTIONS(11300),
    [anon_sym_LPAREN] = ACTIONS(11300),
    [anon_sym_COLON] = ACTIONS(11300),
    [anon_sym_export] = ACTIONS(11300),
    [anon_sym_public] = ACTIONS(11300),
    [anon_sym_import] = ACTIONS(11300),
    [anon_sym_using] = ACTIONS(11300),
    [anon_sym_LBRACK] = ACTIONS(11300),
    [anon_sym_in] = ACTIONS(11300),
    [anon_sym_SEMI] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(11300),
    [anon_sym_DOLLAR] = ACTIONS(11300),
    [anon_sym_COLON2] = ACTIONS(11300),
    [anon_sym_COLON_COLON] = ACTIONS(11300),
    [anon_sym_isa] = ACTIONS(11300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11300),
    [anon_sym_QMARK] = ACTIONS(11300),
    [anon_sym_where] = ACTIONS(11300),
    [anon_sym_AT] = ACTIONS(11300),
    [anon_sym_true] = ACTIONS(11300),
    [anon_sym_false] = ACTIONS(11300),
    [aux_sym_integer_literal_token1] = ACTIONS(11300),
    [aux_sym_integer_literal_token2] = ACTIONS(11300),
    [aux_sym_integer_literal_token3] = ACTIONS(11300),
    [aux_sym_integer_literal_token4] = ACTIONS(11300),
    [aux_sym_float_literal_token1] = ACTIONS(11300),
    [aux_sym_float_literal_token3] = ACTIONS(11300),
    [aux_sym_float_literal_token4] = ACTIONS(11300),
    [sym_character_literal] = ACTIONS(11300),
    [anon_sym_DQUOTE] = ACTIONS(11300),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11300),
    [anon_sym_BQUOTE] = ACTIONS(11300),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11300),
    [sym__pair_operator] = ACTIONS(11300),
    [sym__arrow_operator] = ACTIONS(11300),
    [sym__lazy_or_operator] = ACTIONS(11300),
    [sym__lazy_and_operator] = ACTIONS(11300),
    [sym__comparison_operator] = ACTIONS(11300),
    [sym__pipe_right_operator] = ACTIONS(11300),
    [sym__pipe_left_operator] = ACTIONS(11300),
    [sym__ellipsis_operator] = ACTIONS(11300),
    [sym__plus_operator] = ACTIONS(11300),
    [sym__times_operator] = ACTIONS(11300),
    [sym__rational_operator] = ACTIONS(11300),
    [sym__bitshift_operator] = ACTIONS(11300),
    [sym__power_operator] = ACTIONS(11300),
    [sym__tilde_operator] = ACTIONS(11300),
    [sym__type_order_operator] = ACTIONS(11300),
    [sym__unary_operator] = ACTIONS(11300),
    [sym__unary_plus_operator] = ACTIONS(11300),
    [aux_sym__terminator_token1] = ACTIONS(11302),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7707] = {
    [sym_block_comment] = STATE(7707),
    [sym_line_comment] = STATE(7707),
    [sym__word_identifier] = ACTIONS(11304),
    [anon_sym_COMMA] = ACTIONS(11304),
    [anon_sym_EQ] = ACTIONS(11304),
    [anon_sym_begin] = ACTIONS(11304),
    [anon_sym_module] = ACTIONS(11304),
    [anon_sym_baremodule] = ACTIONS(11304),
    [anon_sym_end] = ACTIONS(11304),
    [anon_sym_abstract] = ACTIONS(11304),
    [anon_sym_primitive] = ACTIONS(11304),
    [anon_sym_mutable] = ACTIONS(11304),
    [anon_sym_struct] = ACTIONS(11304),
    [anon_sym_function] = ACTIONS(11304),
    [anon_sym_macro] = ACTIONS(11304),
    [anon_sym_quote] = ACTIONS(11304),
    [anon_sym_let] = ACTIONS(11304),
    [anon_sym_if] = ACTIONS(11304),
    [anon_sym_else] = ACTIONS(11304),
    [anon_sym_try] = ACTIONS(11304),
    [anon_sym_finally] = ACTIONS(11304),
    [anon_sym_for] = ACTIONS(11304),
    [anon_sym_while] = ACTIONS(11304),
    [sym_break_statement] = ACTIONS(11304),
    [sym_continue_statement] = ACTIONS(11304),
    [anon_sym_return] = ACTIONS(11304),
    [anon_sym_const] = ACTIONS(11304),
    [anon_sym_global] = ACTIONS(11304),
    [anon_sym_local] = ACTIONS(11304),
    [anon_sym_LPAREN] = ACTIONS(11304),
    [anon_sym_COLON] = ACTIONS(11304),
    [anon_sym_export] = ACTIONS(11304),
    [anon_sym_public] = ACTIONS(11304),
    [anon_sym_import] = ACTIONS(11304),
    [anon_sym_using] = ACTIONS(11304),
    [anon_sym_LBRACK] = ACTIONS(11304),
    [anon_sym_in] = ACTIONS(11304),
    [anon_sym_SEMI] = ACTIONS(11304),
    [anon_sym_LBRACE] = ACTIONS(11304),
    [anon_sym_DOLLAR] = ACTIONS(11304),
    [anon_sym_COLON2] = ACTIONS(11304),
    [anon_sym_COLON_COLON] = ACTIONS(11304),
    [anon_sym_isa] = ACTIONS(11304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11304),
    [anon_sym_QMARK] = ACTIONS(11304),
    [anon_sym_where] = ACTIONS(11304),
    [anon_sym_AT] = ACTIONS(11304),
    [anon_sym_true] = ACTIONS(11304),
    [anon_sym_false] = ACTIONS(11304),
    [aux_sym_integer_literal_token1] = ACTIONS(11304),
    [aux_sym_integer_literal_token2] = ACTIONS(11304),
    [aux_sym_integer_literal_token3] = ACTIONS(11304),
    [aux_sym_integer_literal_token4] = ACTIONS(11304),
    [aux_sym_float_literal_token1] = ACTIONS(11304),
    [aux_sym_float_literal_token3] = ACTIONS(11304),
    [aux_sym_float_literal_token4] = ACTIONS(11304),
    [sym_character_literal] = ACTIONS(11304),
    [anon_sym_DQUOTE] = ACTIONS(11304),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11304),
    [anon_sym_BQUOTE] = ACTIONS(11304),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11304),
    [sym__pair_operator] = ACTIONS(11304),
    [sym__arrow_operator] = ACTIONS(11304),
    [sym__lazy_or_operator] = ACTIONS(11304),
    [sym__lazy_and_operator] = ACTIONS(11304),
    [sym__comparison_operator] = ACTIONS(11304),
    [sym__pipe_right_operator] = ACTIONS(11304),
    [sym__pipe_left_operator] = ACTIONS(11304),
    [sym__ellipsis_operator] = ACTIONS(11304),
    [sym__plus_operator] = ACTIONS(11304),
    [sym__times_operator] = ACTIONS(11304),
    [sym__rational_operator] = ACTIONS(11304),
    [sym__bitshift_operator] = ACTIONS(11304),
    [sym__power_operator] = ACTIONS(11304),
    [sym__tilde_operator] = ACTIONS(11304),
    [sym__type_order_operator] = ACTIONS(11304),
    [sym__unary_operator] = ACTIONS(11304),
    [sym__unary_plus_operator] = ACTIONS(11304),
    [aux_sym__terminator_token1] = ACTIONS(11306),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7708] = {
    [sym_block_comment] = STATE(7708),
    [sym_line_comment] = STATE(7708),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_elseif] = ACTIONS(10866),
    [anon_sym_else] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7709] = {
    [sym_block_comment] = STATE(7709),
    [sym_line_comment] = STATE(7709),
    [ts_builtin_sym_end] = ACTIONS(10377),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_RBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7710] = {
    [sym_block_comment] = STATE(7710),
    [sym_line_comment] = STATE(7710),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_EQ] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_else] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_finally] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7711] = {
    [sym_block_comment] = STATE(7711),
    [sym_line_comment] = STATE(7711),
    [sym__word_identifier] = ACTIONS(11312),
    [anon_sym_COMMA] = ACTIONS(11312),
    [anon_sym_EQ] = ACTIONS(11312),
    [anon_sym_begin] = ACTIONS(11312),
    [anon_sym_module] = ACTIONS(11312),
    [anon_sym_baremodule] = ACTIONS(11312),
    [anon_sym_end] = ACTIONS(11312),
    [anon_sym_abstract] = ACTIONS(11312),
    [anon_sym_primitive] = ACTIONS(11312),
    [anon_sym_mutable] = ACTIONS(11312),
    [anon_sym_struct] = ACTIONS(11312),
    [anon_sym_function] = ACTIONS(11312),
    [anon_sym_macro] = ACTIONS(11312),
    [anon_sym_quote] = ACTIONS(11312),
    [anon_sym_let] = ACTIONS(11312),
    [anon_sym_if] = ACTIONS(11312),
    [anon_sym_else] = ACTIONS(11312),
    [anon_sym_try] = ACTIONS(11312),
    [anon_sym_finally] = ACTIONS(11312),
    [anon_sym_for] = ACTIONS(11312),
    [anon_sym_while] = ACTIONS(11312),
    [sym_break_statement] = ACTIONS(11312),
    [sym_continue_statement] = ACTIONS(11312),
    [anon_sym_return] = ACTIONS(11312),
    [anon_sym_const] = ACTIONS(11312),
    [anon_sym_global] = ACTIONS(11312),
    [anon_sym_local] = ACTIONS(11312),
    [anon_sym_LPAREN] = ACTIONS(11312),
    [anon_sym_COLON] = ACTIONS(11312),
    [anon_sym_export] = ACTIONS(11312),
    [anon_sym_public] = ACTIONS(11312),
    [anon_sym_import] = ACTIONS(11312),
    [anon_sym_using] = ACTIONS(11312),
    [anon_sym_LBRACK] = ACTIONS(11312),
    [anon_sym_in] = ACTIONS(11312),
    [anon_sym_SEMI] = ACTIONS(11312),
    [anon_sym_LBRACE] = ACTIONS(11312),
    [anon_sym_DOLLAR] = ACTIONS(11312),
    [anon_sym_COLON2] = ACTIONS(11312),
    [anon_sym_COLON_COLON] = ACTIONS(11312),
    [anon_sym_isa] = ACTIONS(11312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11312),
    [anon_sym_QMARK] = ACTIONS(11312),
    [anon_sym_where] = ACTIONS(11312),
    [anon_sym_AT] = ACTIONS(11312),
    [anon_sym_true] = ACTIONS(11312),
    [anon_sym_false] = ACTIONS(11312),
    [aux_sym_integer_literal_token1] = ACTIONS(11312),
    [aux_sym_integer_literal_token2] = ACTIONS(11312),
    [aux_sym_integer_literal_token3] = ACTIONS(11312),
    [aux_sym_integer_literal_token4] = ACTIONS(11312),
    [aux_sym_float_literal_token1] = ACTIONS(11312),
    [aux_sym_float_literal_token3] = ACTIONS(11312),
    [aux_sym_float_literal_token4] = ACTIONS(11312),
    [sym_character_literal] = ACTIONS(11312),
    [anon_sym_DQUOTE] = ACTIONS(11312),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11312),
    [anon_sym_BQUOTE] = ACTIONS(11312),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11312),
    [sym__pair_operator] = ACTIONS(11312),
    [sym__arrow_operator] = ACTIONS(11312),
    [sym__lazy_or_operator] = ACTIONS(11312),
    [sym__lazy_and_operator] = ACTIONS(11312),
    [sym__comparison_operator] = ACTIONS(11312),
    [sym__pipe_right_operator] = ACTIONS(11312),
    [sym__pipe_left_operator] = ACTIONS(11312),
    [sym__ellipsis_operator] = ACTIONS(11312),
    [sym__plus_operator] = ACTIONS(11312),
    [sym__times_operator] = ACTIONS(11312),
    [sym__rational_operator] = ACTIONS(11312),
    [sym__bitshift_operator] = ACTIONS(11312),
    [sym__power_operator] = ACTIONS(11312),
    [sym__tilde_operator] = ACTIONS(11312),
    [sym__type_order_operator] = ACTIONS(11312),
    [sym__unary_operator] = ACTIONS(11312),
    [sym__unary_plus_operator] = ACTIONS(11312),
    [aux_sym__terminator_token1] = ACTIONS(11314),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7712] = {
    [sym_block_comment] = STATE(7712),
    [sym_line_comment] = STATE(7712),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10181),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9949),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7713] = {
    [sym_block_comment] = STATE(7713),
    [sym_line_comment] = STATE(7713),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10181),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
  },
  [7714] = {
    [sym_block_comment] = STATE(7714),
    [sym_line_comment] = STATE(7714),
    [sym__word_identifier] = ACTIONS(11316),
    [anon_sym_COMMA] = ACTIONS(11316),
    [anon_sym_EQ] = ACTIONS(11316),
    [anon_sym_begin] = ACTIONS(11316),
    [anon_sym_module] = ACTIONS(11316),
    [anon_sym_baremodule] = ACTIONS(11316),
    [anon_sym_end] = ACTIONS(11316),
    [anon_sym_abstract] = ACTIONS(11316),
    [anon_sym_primitive] = ACTIONS(11316),
    [anon_sym_mutable] = ACTIONS(11316),
    [anon_sym_struct] = ACTIONS(11316),
    [anon_sym_function] = ACTIONS(11316),
    [anon_sym_macro] = ACTIONS(11316),
    [anon_sym_quote] = ACTIONS(11316),
    [anon_sym_let] = ACTIONS(11316),
    [anon_sym_if] = ACTIONS(11316),
    [anon_sym_elseif] = ACTIONS(11316),
    [anon_sym_else] = ACTIONS(11316),
    [anon_sym_try] = ACTIONS(11316),
    [anon_sym_for] = ACTIONS(11316),
    [anon_sym_while] = ACTIONS(11316),
    [sym_break_statement] = ACTIONS(11316),
    [sym_continue_statement] = ACTIONS(11316),
    [anon_sym_return] = ACTIONS(11316),
    [anon_sym_const] = ACTIONS(11316),
    [anon_sym_global] = ACTIONS(11316),
    [anon_sym_local] = ACTIONS(11316),
    [anon_sym_LPAREN] = ACTIONS(11316),
    [anon_sym_COLON] = ACTIONS(11316),
    [anon_sym_export] = ACTIONS(11316),
    [anon_sym_public] = ACTIONS(11316),
    [anon_sym_import] = ACTIONS(11316),
    [anon_sym_using] = ACTIONS(11316),
    [anon_sym_LBRACK] = ACTIONS(11316),
    [anon_sym_in] = ACTIONS(11316),
    [anon_sym_SEMI] = ACTIONS(11316),
    [anon_sym_LBRACE] = ACTIONS(11316),
    [anon_sym_DOLLAR] = ACTIONS(11316),
    [anon_sym_COLON2] = ACTIONS(11316),
    [anon_sym_COLON_COLON] = ACTIONS(11316),
    [anon_sym_isa] = ACTIONS(11316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11316),
    [anon_sym_QMARK] = ACTIONS(11316),
    [anon_sym_where] = ACTIONS(11316),
    [anon_sym_AT] = ACTIONS(11316),
    [anon_sym_true] = ACTIONS(11316),
    [anon_sym_false] = ACTIONS(11316),
    [aux_sym_integer_literal_token1] = ACTIONS(11316),
    [aux_sym_integer_literal_token2] = ACTIONS(11316),
    [aux_sym_integer_literal_token3] = ACTIONS(11316),
    [aux_sym_integer_literal_token4] = ACTIONS(11316),
    [aux_sym_float_literal_token1] = ACTIONS(11316),
    [aux_sym_float_literal_token3] = ACTIONS(11316),
    [aux_sym_float_literal_token4] = ACTIONS(11316),
    [sym_character_literal] = ACTIONS(11316),
    [anon_sym_DQUOTE] = ACTIONS(11316),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11316),
    [anon_sym_BQUOTE] = ACTIONS(11316),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11316),
    [sym__pair_operator] = ACTIONS(11316),
    [sym__arrow_operator] = ACTIONS(11316),
    [sym__lazy_or_operator] = ACTIONS(11316),
    [sym__lazy_and_operator] = ACTIONS(11316),
    [sym__comparison_operator] = ACTIONS(11316),
    [sym__pipe_right_operator] = ACTIONS(11316),
    [sym__pipe_left_operator] = ACTIONS(11316),
    [sym__ellipsis_operator] = ACTIONS(11316),
    [sym__plus_operator] = ACTIONS(11316),
    [sym__times_operator] = ACTIONS(11316),
    [sym__rational_operator] = ACTIONS(11316),
    [sym__bitshift_operator] = ACTIONS(11316),
    [sym__power_operator] = ACTIONS(11316),
    [sym__tilde_operator] = ACTIONS(11316),
    [sym__type_order_operator] = ACTIONS(11316),
    [sym__unary_operator] = ACTIONS(11316),
    [sym__unary_plus_operator] = ACTIONS(11316),
    [aux_sym__terminator_token1] = ACTIONS(11318),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7715] = {
    [sym_block_comment] = STATE(7715),
    [sym_line_comment] = STATE(7715),
    [sym__word_identifier] = ACTIONS(11320),
    [anon_sym_COMMA] = ACTIONS(11320),
    [anon_sym_EQ] = ACTIONS(11320),
    [anon_sym_begin] = ACTIONS(11320),
    [anon_sym_module] = ACTIONS(11320),
    [anon_sym_baremodule] = ACTIONS(11320),
    [anon_sym_end] = ACTIONS(11320),
    [anon_sym_abstract] = ACTIONS(11320),
    [anon_sym_primitive] = ACTIONS(11320),
    [anon_sym_mutable] = ACTIONS(11320),
    [anon_sym_struct] = ACTIONS(11320),
    [anon_sym_function] = ACTIONS(11320),
    [anon_sym_macro] = ACTIONS(11320),
    [anon_sym_quote] = ACTIONS(11320),
    [anon_sym_let] = ACTIONS(11320),
    [anon_sym_if] = ACTIONS(11320),
    [anon_sym_elseif] = ACTIONS(11320),
    [anon_sym_else] = ACTIONS(11320),
    [anon_sym_try] = ACTIONS(11320),
    [anon_sym_for] = ACTIONS(11320),
    [anon_sym_while] = ACTIONS(11320),
    [sym_break_statement] = ACTIONS(11320),
    [sym_continue_statement] = ACTIONS(11320),
    [anon_sym_return] = ACTIONS(11320),
    [anon_sym_const] = ACTIONS(11320),
    [anon_sym_global] = ACTIONS(11320),
    [anon_sym_local] = ACTIONS(11320),
    [anon_sym_LPAREN] = ACTIONS(11320),
    [anon_sym_COLON] = ACTIONS(11320),
    [anon_sym_export] = ACTIONS(11320),
    [anon_sym_public] = ACTIONS(11320),
    [anon_sym_import] = ACTIONS(11320),
    [anon_sym_using] = ACTIONS(11320),
    [anon_sym_LBRACK] = ACTIONS(11320),
    [anon_sym_in] = ACTIONS(11320),
    [anon_sym_SEMI] = ACTIONS(11320),
    [anon_sym_LBRACE] = ACTIONS(11320),
    [anon_sym_DOLLAR] = ACTIONS(11320),
    [anon_sym_COLON2] = ACTIONS(11320),
    [anon_sym_COLON_COLON] = ACTIONS(11320),
    [anon_sym_isa] = ACTIONS(11320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11320),
    [anon_sym_QMARK] = ACTIONS(11320),
    [anon_sym_where] = ACTIONS(11320),
    [anon_sym_AT] = ACTIONS(11320),
    [anon_sym_true] = ACTIONS(11320),
    [anon_sym_false] = ACTIONS(11320),
    [aux_sym_integer_literal_token1] = ACTIONS(11320),
    [aux_sym_integer_literal_token2] = ACTIONS(11320),
    [aux_sym_integer_literal_token3] = ACTIONS(11320),
    [aux_sym_integer_literal_token4] = ACTIONS(11320),
    [aux_sym_float_literal_token1] = ACTIONS(11320),
    [aux_sym_float_literal_token3] = ACTIONS(11320),
    [aux_sym_float_literal_token4] = ACTIONS(11320),
    [sym_character_literal] = ACTIONS(11320),
    [anon_sym_DQUOTE] = ACTIONS(11320),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11320),
    [anon_sym_BQUOTE] = ACTIONS(11320),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11320),
    [sym__pair_operator] = ACTIONS(11320),
    [sym__arrow_operator] = ACTIONS(11320),
    [sym__lazy_or_operator] = ACTIONS(11320),
    [sym__lazy_and_operator] = ACTIONS(11320),
    [sym__comparison_operator] = ACTIONS(11320),
    [sym__pipe_right_operator] = ACTIONS(11320),
    [sym__pipe_left_operator] = ACTIONS(11320),
    [sym__ellipsis_operator] = ACTIONS(11320),
    [sym__plus_operator] = ACTIONS(11320),
    [sym__times_operator] = ACTIONS(11320),
    [sym__rational_operator] = ACTIONS(11320),
    [sym__bitshift_operator] = ACTIONS(11320),
    [sym__power_operator] = ACTIONS(11320),
    [sym__tilde_operator] = ACTIONS(11320),
    [sym__type_order_operator] = ACTIONS(11320),
    [sym__unary_operator] = ACTIONS(11320),
    [sym__unary_plus_operator] = ACTIONS(11320),
    [aux_sym__terminator_token1] = ACTIONS(11322),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7716] = {
    [sym_block_comment] = STATE(7716),
    [sym_line_comment] = STATE(7716),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_catch] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7717] = {
    [sym_block_comment] = STATE(7717),
    [sym_line_comment] = STATE(7717),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(10151),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_elseif] = ACTIONS(11166),
    [anon_sym_else] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7718] = {
    [sym_block_comment] = STATE(7718),
    [sym_line_comment] = STATE(7718),
    [sym__word_identifier] = ACTIONS(11324),
    [anon_sym_COMMA] = ACTIONS(11324),
    [anon_sym_EQ] = ACTIONS(11324),
    [anon_sym_begin] = ACTIONS(11324),
    [anon_sym_module] = ACTIONS(11324),
    [anon_sym_baremodule] = ACTIONS(11324),
    [anon_sym_end] = ACTIONS(11324),
    [anon_sym_abstract] = ACTIONS(11324),
    [anon_sym_primitive] = ACTIONS(11324),
    [anon_sym_mutable] = ACTIONS(11324),
    [anon_sym_struct] = ACTIONS(11324),
    [anon_sym_function] = ACTIONS(11324),
    [anon_sym_macro] = ACTIONS(11324),
    [anon_sym_quote] = ACTIONS(11324),
    [anon_sym_let] = ACTIONS(11324),
    [anon_sym_if] = ACTIONS(11324),
    [anon_sym_else] = ACTIONS(11324),
    [anon_sym_try] = ACTIONS(11324),
    [anon_sym_finally] = ACTIONS(11324),
    [anon_sym_for] = ACTIONS(11324),
    [anon_sym_while] = ACTIONS(11324),
    [sym_break_statement] = ACTIONS(11324),
    [sym_continue_statement] = ACTIONS(11324),
    [anon_sym_return] = ACTIONS(11324),
    [anon_sym_const] = ACTIONS(11324),
    [anon_sym_global] = ACTIONS(11324),
    [anon_sym_local] = ACTIONS(11324),
    [anon_sym_LPAREN] = ACTIONS(11324),
    [anon_sym_COLON] = ACTIONS(11324),
    [anon_sym_export] = ACTIONS(11324),
    [anon_sym_public] = ACTIONS(11324),
    [anon_sym_import] = ACTIONS(11324),
    [anon_sym_using] = ACTIONS(11324),
    [anon_sym_LBRACK] = ACTIONS(11324),
    [anon_sym_in] = ACTIONS(11324),
    [anon_sym_SEMI] = ACTIONS(11324),
    [anon_sym_LBRACE] = ACTIONS(11324),
    [anon_sym_DOLLAR] = ACTIONS(11324),
    [anon_sym_COLON2] = ACTIONS(11324),
    [anon_sym_COLON_COLON] = ACTIONS(11324),
    [anon_sym_isa] = ACTIONS(11324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11324),
    [anon_sym_QMARK] = ACTIONS(11324),
    [anon_sym_where] = ACTIONS(11324),
    [anon_sym_AT] = ACTIONS(11324),
    [anon_sym_true] = ACTIONS(11324),
    [anon_sym_false] = ACTIONS(11324),
    [aux_sym_integer_literal_token1] = ACTIONS(11324),
    [aux_sym_integer_literal_token2] = ACTIONS(11324),
    [aux_sym_integer_literal_token3] = ACTIONS(11324),
    [aux_sym_integer_literal_token4] = ACTIONS(11324),
    [aux_sym_float_literal_token1] = ACTIONS(11324),
    [aux_sym_float_literal_token3] = ACTIONS(11324),
    [aux_sym_float_literal_token4] = ACTIONS(11324),
    [sym_character_literal] = ACTIONS(11324),
    [anon_sym_DQUOTE] = ACTIONS(11324),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11324),
    [anon_sym_BQUOTE] = ACTIONS(11324),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11324),
    [sym__pair_operator] = ACTIONS(11324),
    [sym__arrow_operator] = ACTIONS(11324),
    [sym__lazy_or_operator] = ACTIONS(11324),
    [sym__lazy_and_operator] = ACTIONS(11324),
    [sym__comparison_operator] = ACTIONS(11324),
    [sym__pipe_right_operator] = ACTIONS(11324),
    [sym__pipe_left_operator] = ACTIONS(11324),
    [sym__ellipsis_operator] = ACTIONS(11324),
    [sym__plus_operator] = ACTIONS(11324),
    [sym__times_operator] = ACTIONS(11324),
    [sym__rational_operator] = ACTIONS(11324),
    [sym__bitshift_operator] = ACTIONS(11324),
    [sym__power_operator] = ACTIONS(11324),
    [sym__tilde_operator] = ACTIONS(11324),
    [sym__type_order_operator] = ACTIONS(11324),
    [sym__unary_operator] = ACTIONS(11324),
    [sym__unary_plus_operator] = ACTIONS(11324),
    [aux_sym__terminator_token1] = ACTIONS(11326),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7719] = {
    [sym_block_comment] = STATE(7719),
    [sym_line_comment] = STATE(7719),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_elseif] = ACTIONS(11166),
    [anon_sym_else] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7720] = {
    [sym_block_comment] = STATE(7720),
    [sym_line_comment] = STATE(7720),
    [sym__word_identifier] = ACTIONS(11328),
    [anon_sym_COMMA] = ACTIONS(11328),
    [anon_sym_EQ] = ACTIONS(11328),
    [anon_sym_begin] = ACTIONS(11328),
    [anon_sym_module] = ACTIONS(11328),
    [anon_sym_baremodule] = ACTIONS(11328),
    [anon_sym_end] = ACTIONS(11328),
    [anon_sym_abstract] = ACTIONS(11328),
    [anon_sym_primitive] = ACTIONS(11328),
    [anon_sym_mutable] = ACTIONS(11328),
    [anon_sym_struct] = ACTIONS(11328),
    [anon_sym_function] = ACTIONS(11328),
    [anon_sym_macro] = ACTIONS(11328),
    [anon_sym_quote] = ACTIONS(11328),
    [anon_sym_let] = ACTIONS(11328),
    [anon_sym_if] = ACTIONS(11328),
    [anon_sym_else] = ACTIONS(11328),
    [anon_sym_try] = ACTIONS(11328),
    [anon_sym_finally] = ACTIONS(11328),
    [anon_sym_for] = ACTIONS(11328),
    [anon_sym_while] = ACTIONS(11328),
    [sym_break_statement] = ACTIONS(11328),
    [sym_continue_statement] = ACTIONS(11328),
    [anon_sym_return] = ACTIONS(11328),
    [anon_sym_const] = ACTIONS(11328),
    [anon_sym_global] = ACTIONS(11328),
    [anon_sym_local] = ACTIONS(11328),
    [anon_sym_LPAREN] = ACTIONS(11328),
    [anon_sym_COLON] = ACTIONS(11328),
    [anon_sym_export] = ACTIONS(11328),
    [anon_sym_public] = ACTIONS(11328),
    [anon_sym_import] = ACTIONS(11328),
    [anon_sym_using] = ACTIONS(11328),
    [anon_sym_LBRACK] = ACTIONS(11328),
    [anon_sym_in] = ACTIONS(11328),
    [anon_sym_SEMI] = ACTIONS(11328),
    [anon_sym_LBRACE] = ACTIONS(11328),
    [anon_sym_DOLLAR] = ACTIONS(11328),
    [anon_sym_COLON2] = ACTIONS(11328),
    [anon_sym_COLON_COLON] = ACTIONS(11328),
    [anon_sym_isa] = ACTIONS(11328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11328),
    [anon_sym_QMARK] = ACTIONS(11328),
    [anon_sym_where] = ACTIONS(11328),
    [anon_sym_AT] = ACTIONS(11328),
    [anon_sym_true] = ACTIONS(11328),
    [anon_sym_false] = ACTIONS(11328),
    [aux_sym_integer_literal_token1] = ACTIONS(11328),
    [aux_sym_integer_literal_token2] = ACTIONS(11328),
    [aux_sym_integer_literal_token3] = ACTIONS(11328),
    [aux_sym_integer_literal_token4] = ACTIONS(11328),
    [aux_sym_float_literal_token1] = ACTIONS(11328),
    [aux_sym_float_literal_token3] = ACTIONS(11328),
    [aux_sym_float_literal_token4] = ACTIONS(11328),
    [sym_character_literal] = ACTIONS(11328),
    [anon_sym_DQUOTE] = ACTIONS(11328),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11328),
    [anon_sym_BQUOTE] = ACTIONS(11328),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11328),
    [sym__pair_operator] = ACTIONS(11328),
    [sym__arrow_operator] = ACTIONS(11328),
    [sym__lazy_or_operator] = ACTIONS(11328),
    [sym__lazy_and_operator] = ACTIONS(11328),
    [sym__comparison_operator] = ACTIONS(11328),
    [sym__pipe_right_operator] = ACTIONS(11328),
    [sym__pipe_left_operator] = ACTIONS(11328),
    [sym__ellipsis_operator] = ACTIONS(11328),
    [sym__plus_operator] = ACTIONS(11328),
    [sym__times_operator] = ACTIONS(11328),
    [sym__rational_operator] = ACTIONS(11328),
    [sym__bitshift_operator] = ACTIONS(11328),
    [sym__power_operator] = ACTIONS(11328),
    [sym__tilde_operator] = ACTIONS(11328),
    [sym__type_order_operator] = ACTIONS(11328),
    [sym__unary_operator] = ACTIONS(11328),
    [sym__unary_plus_operator] = ACTIONS(11328),
    [aux_sym__terminator_token1] = ACTIONS(11330),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7721] = {
    [sym_block_comment] = STATE(7721),
    [sym_line_comment] = STATE(7721),
    [sym__word_identifier] = ACTIONS(11332),
    [anon_sym_COMMA] = ACTIONS(11332),
    [anon_sym_EQ] = ACTIONS(11332),
    [anon_sym_begin] = ACTIONS(11332),
    [anon_sym_module] = ACTIONS(11332),
    [anon_sym_baremodule] = ACTIONS(11332),
    [anon_sym_end] = ACTIONS(11332),
    [anon_sym_abstract] = ACTIONS(11332),
    [anon_sym_primitive] = ACTIONS(11332),
    [anon_sym_mutable] = ACTIONS(11332),
    [anon_sym_struct] = ACTIONS(11332),
    [anon_sym_function] = ACTIONS(11332),
    [anon_sym_macro] = ACTIONS(11332),
    [anon_sym_quote] = ACTIONS(11332),
    [anon_sym_let] = ACTIONS(11332),
    [anon_sym_if] = ACTIONS(11332),
    [anon_sym_else] = ACTIONS(11332),
    [anon_sym_try] = ACTIONS(11332),
    [anon_sym_finally] = ACTIONS(11332),
    [anon_sym_for] = ACTIONS(11332),
    [anon_sym_while] = ACTIONS(11332),
    [sym_break_statement] = ACTIONS(11332),
    [sym_continue_statement] = ACTIONS(11332),
    [anon_sym_return] = ACTIONS(11332),
    [anon_sym_const] = ACTIONS(11332),
    [anon_sym_global] = ACTIONS(11332),
    [anon_sym_local] = ACTIONS(11332),
    [anon_sym_LPAREN] = ACTIONS(11332),
    [anon_sym_COLON] = ACTIONS(11332),
    [anon_sym_export] = ACTIONS(11332),
    [anon_sym_public] = ACTIONS(11332),
    [anon_sym_import] = ACTIONS(11332),
    [anon_sym_using] = ACTIONS(11332),
    [anon_sym_LBRACK] = ACTIONS(11332),
    [anon_sym_in] = ACTIONS(11332),
    [anon_sym_SEMI] = ACTIONS(11332),
    [anon_sym_LBRACE] = ACTIONS(11332),
    [anon_sym_DOLLAR] = ACTIONS(11332),
    [anon_sym_COLON2] = ACTIONS(11332),
    [anon_sym_COLON_COLON] = ACTIONS(11332),
    [anon_sym_isa] = ACTIONS(11332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11332),
    [anon_sym_QMARK] = ACTIONS(11332),
    [anon_sym_where] = ACTIONS(11332),
    [anon_sym_AT] = ACTIONS(11332),
    [anon_sym_true] = ACTIONS(11332),
    [anon_sym_false] = ACTIONS(11332),
    [aux_sym_integer_literal_token1] = ACTIONS(11332),
    [aux_sym_integer_literal_token2] = ACTIONS(11332),
    [aux_sym_integer_literal_token3] = ACTIONS(11332),
    [aux_sym_integer_literal_token4] = ACTIONS(11332),
    [aux_sym_float_literal_token1] = ACTIONS(11332),
    [aux_sym_float_literal_token3] = ACTIONS(11332),
    [aux_sym_float_literal_token4] = ACTIONS(11332),
    [sym_character_literal] = ACTIONS(11332),
    [anon_sym_DQUOTE] = ACTIONS(11332),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11332),
    [anon_sym_BQUOTE] = ACTIONS(11332),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11332),
    [sym__pair_operator] = ACTIONS(11332),
    [sym__arrow_operator] = ACTIONS(11332),
    [sym__lazy_or_operator] = ACTIONS(11332),
    [sym__lazy_and_operator] = ACTIONS(11332),
    [sym__comparison_operator] = ACTIONS(11332),
    [sym__pipe_right_operator] = ACTIONS(11332),
    [sym__pipe_left_operator] = ACTIONS(11332),
    [sym__ellipsis_operator] = ACTIONS(11332),
    [sym__plus_operator] = ACTIONS(11332),
    [sym__times_operator] = ACTIONS(11332),
    [sym__rational_operator] = ACTIONS(11332),
    [sym__bitshift_operator] = ACTIONS(11332),
    [sym__power_operator] = ACTIONS(11332),
    [sym__tilde_operator] = ACTIONS(11332),
    [sym__type_order_operator] = ACTIONS(11332),
    [sym__unary_operator] = ACTIONS(11332),
    [sym__unary_plus_operator] = ACTIONS(11332),
    [aux_sym__terminator_token1] = ACTIONS(11334),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7722] = {
    [sym_block_comment] = STATE(7722),
    [sym_line_comment] = STATE(7722),
    [sym__word_identifier] = ACTIONS(11336),
    [anon_sym_COMMA] = ACTIONS(11336),
    [anon_sym_EQ] = ACTIONS(11336),
    [anon_sym_begin] = ACTIONS(11336),
    [anon_sym_module] = ACTIONS(11336),
    [anon_sym_baremodule] = ACTIONS(11336),
    [anon_sym_end] = ACTIONS(11336),
    [anon_sym_abstract] = ACTIONS(11336),
    [anon_sym_primitive] = ACTIONS(11336),
    [anon_sym_mutable] = ACTIONS(11336),
    [anon_sym_struct] = ACTIONS(11336),
    [anon_sym_function] = ACTIONS(11336),
    [anon_sym_macro] = ACTIONS(11336),
    [anon_sym_quote] = ACTIONS(11336),
    [anon_sym_let] = ACTIONS(11336),
    [anon_sym_if] = ACTIONS(11336),
    [anon_sym_else] = ACTIONS(11336),
    [anon_sym_try] = ACTIONS(11336),
    [anon_sym_finally] = ACTIONS(11336),
    [anon_sym_for] = ACTIONS(11336),
    [anon_sym_while] = ACTIONS(11336),
    [sym_break_statement] = ACTIONS(11336),
    [sym_continue_statement] = ACTIONS(11336),
    [anon_sym_return] = ACTIONS(11336),
    [anon_sym_const] = ACTIONS(11336),
    [anon_sym_global] = ACTIONS(11336),
    [anon_sym_local] = ACTIONS(11336),
    [anon_sym_LPAREN] = ACTIONS(11336),
    [anon_sym_COLON] = ACTIONS(11336),
    [anon_sym_export] = ACTIONS(11336),
    [anon_sym_public] = ACTIONS(11336),
    [anon_sym_import] = ACTIONS(11336),
    [anon_sym_using] = ACTIONS(11336),
    [anon_sym_LBRACK] = ACTIONS(11336),
    [anon_sym_in] = ACTIONS(11336),
    [anon_sym_SEMI] = ACTIONS(11336),
    [anon_sym_LBRACE] = ACTIONS(11336),
    [anon_sym_DOLLAR] = ACTIONS(11336),
    [anon_sym_COLON2] = ACTIONS(11336),
    [anon_sym_COLON_COLON] = ACTIONS(11336),
    [anon_sym_isa] = ACTIONS(11336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11336),
    [anon_sym_QMARK] = ACTIONS(11336),
    [anon_sym_where] = ACTIONS(11336),
    [anon_sym_AT] = ACTIONS(11336),
    [anon_sym_true] = ACTIONS(11336),
    [anon_sym_false] = ACTIONS(11336),
    [aux_sym_integer_literal_token1] = ACTIONS(11336),
    [aux_sym_integer_literal_token2] = ACTIONS(11336),
    [aux_sym_integer_literal_token3] = ACTIONS(11336),
    [aux_sym_integer_literal_token4] = ACTIONS(11336),
    [aux_sym_float_literal_token1] = ACTIONS(11336),
    [aux_sym_float_literal_token3] = ACTIONS(11336),
    [aux_sym_float_literal_token4] = ACTIONS(11336),
    [sym_character_literal] = ACTIONS(11336),
    [anon_sym_DQUOTE] = ACTIONS(11336),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11336),
    [anon_sym_BQUOTE] = ACTIONS(11336),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11336),
    [sym__pair_operator] = ACTIONS(11336),
    [sym__arrow_operator] = ACTIONS(11336),
    [sym__lazy_or_operator] = ACTIONS(11336),
    [sym__lazy_and_operator] = ACTIONS(11336),
    [sym__comparison_operator] = ACTIONS(11336),
    [sym__pipe_right_operator] = ACTIONS(11336),
    [sym__pipe_left_operator] = ACTIONS(11336),
    [sym__ellipsis_operator] = ACTIONS(11336),
    [sym__plus_operator] = ACTIONS(11336),
    [sym__times_operator] = ACTIONS(11336),
    [sym__rational_operator] = ACTIONS(11336),
    [sym__bitshift_operator] = ACTIONS(11336),
    [sym__power_operator] = ACTIONS(11336),
    [sym__tilde_operator] = ACTIONS(11336),
    [sym__type_order_operator] = ACTIONS(11336),
    [sym__unary_operator] = ACTIONS(11336),
    [sym__unary_plus_operator] = ACTIONS(11336),
    [aux_sym__terminator_token1] = ACTIONS(11338),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7723] = {
    [sym_block_comment] = STATE(7723),
    [sym_line_comment] = STATE(7723),
    [sym__word_identifier] = ACTIONS(11340),
    [anon_sym_COMMA] = ACTIONS(11340),
    [anon_sym_EQ] = ACTIONS(11340),
    [anon_sym_begin] = ACTIONS(11340),
    [anon_sym_module] = ACTIONS(11340),
    [anon_sym_baremodule] = ACTIONS(11340),
    [anon_sym_end] = ACTIONS(11340),
    [anon_sym_abstract] = ACTIONS(11340),
    [anon_sym_primitive] = ACTIONS(11340),
    [anon_sym_mutable] = ACTIONS(11340),
    [anon_sym_struct] = ACTIONS(11340),
    [anon_sym_function] = ACTIONS(11340),
    [anon_sym_macro] = ACTIONS(11340),
    [anon_sym_quote] = ACTIONS(11340),
    [anon_sym_let] = ACTIONS(11340),
    [anon_sym_if] = ACTIONS(11340),
    [anon_sym_else] = ACTIONS(11340),
    [anon_sym_try] = ACTIONS(11340),
    [anon_sym_finally] = ACTIONS(11340),
    [anon_sym_for] = ACTIONS(11340),
    [anon_sym_while] = ACTIONS(11340),
    [sym_break_statement] = ACTIONS(11340),
    [sym_continue_statement] = ACTIONS(11340),
    [anon_sym_return] = ACTIONS(11340),
    [anon_sym_const] = ACTIONS(11340),
    [anon_sym_global] = ACTIONS(11340),
    [anon_sym_local] = ACTIONS(11340),
    [anon_sym_LPAREN] = ACTIONS(11340),
    [anon_sym_COLON] = ACTIONS(11340),
    [anon_sym_export] = ACTIONS(11340),
    [anon_sym_public] = ACTIONS(11340),
    [anon_sym_import] = ACTIONS(11340),
    [anon_sym_using] = ACTIONS(11340),
    [anon_sym_LBRACK] = ACTIONS(11340),
    [anon_sym_in] = ACTIONS(11340),
    [anon_sym_SEMI] = ACTIONS(11340),
    [anon_sym_LBRACE] = ACTIONS(11340),
    [anon_sym_DOLLAR] = ACTIONS(11340),
    [anon_sym_COLON2] = ACTIONS(11340),
    [anon_sym_COLON_COLON] = ACTIONS(11340),
    [anon_sym_isa] = ACTIONS(11340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11340),
    [anon_sym_QMARK] = ACTIONS(11340),
    [anon_sym_where] = ACTIONS(11340),
    [anon_sym_AT] = ACTIONS(11340),
    [anon_sym_true] = ACTIONS(11340),
    [anon_sym_false] = ACTIONS(11340),
    [aux_sym_integer_literal_token1] = ACTIONS(11340),
    [aux_sym_integer_literal_token2] = ACTIONS(11340),
    [aux_sym_integer_literal_token3] = ACTIONS(11340),
    [aux_sym_integer_literal_token4] = ACTIONS(11340),
    [aux_sym_float_literal_token1] = ACTIONS(11340),
    [aux_sym_float_literal_token3] = ACTIONS(11340),
    [aux_sym_float_literal_token4] = ACTIONS(11340),
    [sym_character_literal] = ACTIONS(11340),
    [anon_sym_DQUOTE] = ACTIONS(11340),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11340),
    [anon_sym_BQUOTE] = ACTIONS(11340),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11340),
    [sym__pair_operator] = ACTIONS(11340),
    [sym__arrow_operator] = ACTIONS(11340),
    [sym__lazy_or_operator] = ACTIONS(11340),
    [sym__lazy_and_operator] = ACTIONS(11340),
    [sym__comparison_operator] = ACTIONS(11340),
    [sym__pipe_right_operator] = ACTIONS(11340),
    [sym__pipe_left_operator] = ACTIONS(11340),
    [sym__ellipsis_operator] = ACTIONS(11340),
    [sym__plus_operator] = ACTIONS(11340),
    [sym__times_operator] = ACTIONS(11340),
    [sym__rational_operator] = ACTIONS(11340),
    [sym__bitshift_operator] = ACTIONS(11340),
    [sym__power_operator] = ACTIONS(11340),
    [sym__tilde_operator] = ACTIONS(11340),
    [sym__type_order_operator] = ACTIONS(11340),
    [sym__unary_operator] = ACTIONS(11340),
    [sym__unary_plus_operator] = ACTIONS(11340),
    [aux_sym__terminator_token1] = ACTIONS(11342),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7724] = {
    [sym_block_comment] = STATE(7724),
    [sym_line_comment] = STATE(7724),
    [sym__word_identifier] = ACTIONS(11344),
    [anon_sym_COMMA] = ACTIONS(11344),
    [anon_sym_EQ] = ACTIONS(11344),
    [anon_sym_begin] = ACTIONS(11344),
    [anon_sym_module] = ACTIONS(11344),
    [anon_sym_baremodule] = ACTIONS(11344),
    [anon_sym_end] = ACTIONS(11344),
    [anon_sym_abstract] = ACTIONS(11344),
    [anon_sym_primitive] = ACTIONS(11344),
    [anon_sym_mutable] = ACTIONS(11344),
    [anon_sym_struct] = ACTIONS(11344),
    [anon_sym_function] = ACTIONS(11344),
    [anon_sym_macro] = ACTIONS(11344),
    [anon_sym_quote] = ACTIONS(11344),
    [anon_sym_let] = ACTIONS(11344),
    [anon_sym_if] = ACTIONS(11344),
    [anon_sym_else] = ACTIONS(11344),
    [anon_sym_try] = ACTIONS(11344),
    [anon_sym_finally] = ACTIONS(11344),
    [anon_sym_for] = ACTIONS(11344),
    [anon_sym_while] = ACTIONS(11344),
    [sym_break_statement] = ACTIONS(11344),
    [sym_continue_statement] = ACTIONS(11344),
    [anon_sym_return] = ACTIONS(11344),
    [anon_sym_const] = ACTIONS(11344),
    [anon_sym_global] = ACTIONS(11344),
    [anon_sym_local] = ACTIONS(11344),
    [anon_sym_LPAREN] = ACTIONS(11344),
    [anon_sym_COLON] = ACTIONS(11344),
    [anon_sym_export] = ACTIONS(11344),
    [anon_sym_public] = ACTIONS(11344),
    [anon_sym_import] = ACTIONS(11344),
    [anon_sym_using] = ACTIONS(11344),
    [anon_sym_LBRACK] = ACTIONS(11344),
    [anon_sym_in] = ACTIONS(11344),
    [anon_sym_SEMI] = ACTIONS(11344),
    [anon_sym_LBRACE] = ACTIONS(11344),
    [anon_sym_DOLLAR] = ACTIONS(11344),
    [anon_sym_COLON2] = ACTIONS(11344),
    [anon_sym_COLON_COLON] = ACTIONS(11344),
    [anon_sym_isa] = ACTIONS(11344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11344),
    [anon_sym_QMARK] = ACTIONS(11344),
    [anon_sym_where] = ACTIONS(11344),
    [anon_sym_AT] = ACTIONS(11344),
    [anon_sym_true] = ACTIONS(11344),
    [anon_sym_false] = ACTIONS(11344),
    [aux_sym_integer_literal_token1] = ACTIONS(11344),
    [aux_sym_integer_literal_token2] = ACTIONS(11344),
    [aux_sym_integer_literal_token3] = ACTIONS(11344),
    [aux_sym_integer_literal_token4] = ACTIONS(11344),
    [aux_sym_float_literal_token1] = ACTIONS(11344),
    [aux_sym_float_literal_token3] = ACTIONS(11344),
    [aux_sym_float_literal_token4] = ACTIONS(11344),
    [sym_character_literal] = ACTIONS(11344),
    [anon_sym_DQUOTE] = ACTIONS(11344),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11344),
    [anon_sym_BQUOTE] = ACTIONS(11344),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11344),
    [sym__pair_operator] = ACTIONS(11344),
    [sym__arrow_operator] = ACTIONS(11344),
    [sym__lazy_or_operator] = ACTIONS(11344),
    [sym__lazy_and_operator] = ACTIONS(11344),
    [sym__comparison_operator] = ACTIONS(11344),
    [sym__pipe_right_operator] = ACTIONS(11344),
    [sym__pipe_left_operator] = ACTIONS(11344),
    [sym__ellipsis_operator] = ACTIONS(11344),
    [sym__plus_operator] = ACTIONS(11344),
    [sym__times_operator] = ACTIONS(11344),
    [sym__rational_operator] = ACTIONS(11344),
    [sym__bitshift_operator] = ACTIONS(11344),
    [sym__power_operator] = ACTIONS(11344),
    [sym__tilde_operator] = ACTIONS(11344),
    [sym__type_order_operator] = ACTIONS(11344),
    [sym__unary_operator] = ACTIONS(11344),
    [sym__unary_plus_operator] = ACTIONS(11344),
    [aux_sym__terminator_token1] = ACTIONS(11346),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7725] = {
    [sym_block_comment] = STATE(7725),
    [sym_line_comment] = STATE(7725),
    [sym__word_identifier] = ACTIONS(11348),
    [anon_sym_COMMA] = ACTIONS(11348),
    [anon_sym_EQ] = ACTIONS(11348),
    [anon_sym_begin] = ACTIONS(11348),
    [anon_sym_module] = ACTIONS(11348),
    [anon_sym_baremodule] = ACTIONS(11348),
    [anon_sym_end] = ACTIONS(11348),
    [anon_sym_abstract] = ACTIONS(11348),
    [anon_sym_primitive] = ACTIONS(11348),
    [anon_sym_mutable] = ACTIONS(11348),
    [anon_sym_struct] = ACTIONS(11348),
    [anon_sym_function] = ACTIONS(11348),
    [anon_sym_macro] = ACTIONS(11348),
    [anon_sym_quote] = ACTIONS(11348),
    [anon_sym_let] = ACTIONS(11348),
    [anon_sym_if] = ACTIONS(11348),
    [anon_sym_else] = ACTIONS(11348),
    [anon_sym_try] = ACTIONS(11348),
    [anon_sym_finally] = ACTIONS(11348),
    [anon_sym_for] = ACTIONS(11348),
    [anon_sym_while] = ACTIONS(11348),
    [sym_break_statement] = ACTIONS(11348),
    [sym_continue_statement] = ACTIONS(11348),
    [anon_sym_return] = ACTIONS(11348),
    [anon_sym_const] = ACTIONS(11348),
    [anon_sym_global] = ACTIONS(11348),
    [anon_sym_local] = ACTIONS(11348),
    [anon_sym_LPAREN] = ACTIONS(11348),
    [anon_sym_COLON] = ACTIONS(11348),
    [anon_sym_export] = ACTIONS(11348),
    [anon_sym_public] = ACTIONS(11348),
    [anon_sym_import] = ACTIONS(11348),
    [anon_sym_using] = ACTIONS(11348),
    [anon_sym_LBRACK] = ACTIONS(11348),
    [anon_sym_in] = ACTIONS(11348),
    [anon_sym_SEMI] = ACTIONS(11348),
    [anon_sym_LBRACE] = ACTIONS(11348),
    [anon_sym_DOLLAR] = ACTIONS(11348),
    [anon_sym_COLON2] = ACTIONS(11348),
    [anon_sym_COLON_COLON] = ACTIONS(11348),
    [anon_sym_isa] = ACTIONS(11348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11348),
    [anon_sym_QMARK] = ACTIONS(11348),
    [anon_sym_where] = ACTIONS(11348),
    [anon_sym_AT] = ACTIONS(11348),
    [anon_sym_true] = ACTIONS(11348),
    [anon_sym_false] = ACTIONS(11348),
    [aux_sym_integer_literal_token1] = ACTIONS(11348),
    [aux_sym_integer_literal_token2] = ACTIONS(11348),
    [aux_sym_integer_literal_token3] = ACTIONS(11348),
    [aux_sym_integer_literal_token4] = ACTIONS(11348),
    [aux_sym_float_literal_token1] = ACTIONS(11348),
    [aux_sym_float_literal_token3] = ACTIONS(11348),
    [aux_sym_float_literal_token4] = ACTIONS(11348),
    [sym_character_literal] = ACTIONS(11348),
    [anon_sym_DQUOTE] = ACTIONS(11348),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11348),
    [anon_sym_BQUOTE] = ACTIONS(11348),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11348),
    [sym__pair_operator] = ACTIONS(11348),
    [sym__arrow_operator] = ACTIONS(11348),
    [sym__lazy_or_operator] = ACTIONS(11348),
    [sym__lazy_and_operator] = ACTIONS(11348),
    [sym__comparison_operator] = ACTIONS(11348),
    [sym__pipe_right_operator] = ACTIONS(11348),
    [sym__pipe_left_operator] = ACTIONS(11348),
    [sym__ellipsis_operator] = ACTIONS(11348),
    [sym__plus_operator] = ACTIONS(11348),
    [sym__times_operator] = ACTIONS(11348),
    [sym__rational_operator] = ACTIONS(11348),
    [sym__bitshift_operator] = ACTIONS(11348),
    [sym__power_operator] = ACTIONS(11348),
    [sym__tilde_operator] = ACTIONS(11348),
    [sym__type_order_operator] = ACTIONS(11348),
    [sym__unary_operator] = ACTIONS(11348),
    [sym__unary_plus_operator] = ACTIONS(11348),
    [aux_sym__terminator_token1] = ACTIONS(11350),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7726] = {
    [sym_block_comment] = STATE(7726),
    [sym_line_comment] = STATE(7726),
    [sym__word_identifier] = ACTIONS(11352),
    [anon_sym_COMMA] = ACTIONS(11352),
    [anon_sym_EQ] = ACTIONS(11352),
    [anon_sym_begin] = ACTIONS(11352),
    [anon_sym_module] = ACTIONS(11352),
    [anon_sym_baremodule] = ACTIONS(11352),
    [anon_sym_end] = ACTIONS(11352),
    [anon_sym_abstract] = ACTIONS(11352),
    [anon_sym_primitive] = ACTIONS(11352),
    [anon_sym_mutable] = ACTIONS(11352),
    [anon_sym_struct] = ACTIONS(11352),
    [anon_sym_function] = ACTIONS(11352),
    [anon_sym_macro] = ACTIONS(11352),
    [anon_sym_quote] = ACTIONS(11352),
    [anon_sym_let] = ACTIONS(11352),
    [anon_sym_if] = ACTIONS(11352),
    [anon_sym_else] = ACTIONS(11352),
    [anon_sym_try] = ACTIONS(11352),
    [anon_sym_finally] = ACTIONS(11352),
    [anon_sym_for] = ACTIONS(11352),
    [anon_sym_while] = ACTIONS(11352),
    [sym_break_statement] = ACTIONS(11352),
    [sym_continue_statement] = ACTIONS(11352),
    [anon_sym_return] = ACTIONS(11352),
    [anon_sym_const] = ACTIONS(11352),
    [anon_sym_global] = ACTIONS(11352),
    [anon_sym_local] = ACTIONS(11352),
    [anon_sym_LPAREN] = ACTIONS(11352),
    [anon_sym_COLON] = ACTIONS(11352),
    [anon_sym_export] = ACTIONS(11352),
    [anon_sym_public] = ACTIONS(11352),
    [anon_sym_import] = ACTIONS(11352),
    [anon_sym_using] = ACTIONS(11352),
    [anon_sym_LBRACK] = ACTIONS(11352),
    [anon_sym_in] = ACTIONS(11352),
    [anon_sym_SEMI] = ACTIONS(11352),
    [anon_sym_LBRACE] = ACTIONS(11352),
    [anon_sym_DOLLAR] = ACTIONS(11352),
    [anon_sym_COLON2] = ACTIONS(11352),
    [anon_sym_COLON_COLON] = ACTIONS(11352),
    [anon_sym_isa] = ACTIONS(11352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11352),
    [anon_sym_QMARK] = ACTIONS(11352),
    [anon_sym_where] = ACTIONS(11352),
    [anon_sym_AT] = ACTIONS(11352),
    [anon_sym_true] = ACTIONS(11352),
    [anon_sym_false] = ACTIONS(11352),
    [aux_sym_integer_literal_token1] = ACTIONS(11352),
    [aux_sym_integer_literal_token2] = ACTIONS(11352),
    [aux_sym_integer_literal_token3] = ACTIONS(11352),
    [aux_sym_integer_literal_token4] = ACTIONS(11352),
    [aux_sym_float_literal_token1] = ACTIONS(11352),
    [aux_sym_float_literal_token3] = ACTIONS(11352),
    [aux_sym_float_literal_token4] = ACTIONS(11352),
    [sym_character_literal] = ACTIONS(11352),
    [anon_sym_DQUOTE] = ACTIONS(11352),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11352),
    [anon_sym_BQUOTE] = ACTIONS(11352),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11352),
    [sym__pair_operator] = ACTIONS(11352),
    [sym__arrow_operator] = ACTIONS(11352),
    [sym__lazy_or_operator] = ACTIONS(11352),
    [sym__lazy_and_operator] = ACTIONS(11352),
    [sym__comparison_operator] = ACTIONS(11352),
    [sym__pipe_right_operator] = ACTIONS(11352),
    [sym__pipe_left_operator] = ACTIONS(11352),
    [sym__ellipsis_operator] = ACTIONS(11352),
    [sym__plus_operator] = ACTIONS(11352),
    [sym__times_operator] = ACTIONS(11352),
    [sym__rational_operator] = ACTIONS(11352),
    [sym__bitshift_operator] = ACTIONS(11352),
    [sym__power_operator] = ACTIONS(11352),
    [sym__tilde_operator] = ACTIONS(11352),
    [sym__type_order_operator] = ACTIONS(11352),
    [sym__unary_operator] = ACTIONS(11352),
    [sym__unary_plus_operator] = ACTIONS(11352),
    [aux_sym__terminator_token1] = ACTIONS(11354),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7727] = {
    [sym_block_comment] = STATE(7727),
    [sym_line_comment] = STATE(7727),
    [aux_sym_open_tuple_repeat1] = STATE(7406),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11128),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_elseif] = ACTIONS(11166),
    [anon_sym_else] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11356),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7728] = {
    [sym_block_comment] = STATE(7728),
    [sym_line_comment] = STATE(7728),
    [sym__word_identifier] = ACTIONS(11358),
    [anon_sym_COMMA] = ACTIONS(11358),
    [anon_sym_EQ] = ACTIONS(11358),
    [anon_sym_begin] = ACTIONS(11358),
    [anon_sym_module] = ACTIONS(11358),
    [anon_sym_baremodule] = ACTIONS(11358),
    [anon_sym_end] = ACTIONS(11358),
    [anon_sym_abstract] = ACTIONS(11358),
    [anon_sym_primitive] = ACTIONS(11358),
    [anon_sym_mutable] = ACTIONS(11358),
    [anon_sym_struct] = ACTIONS(11358),
    [anon_sym_function] = ACTIONS(11358),
    [anon_sym_macro] = ACTIONS(11358),
    [anon_sym_quote] = ACTIONS(11358),
    [anon_sym_let] = ACTIONS(11358),
    [anon_sym_if] = ACTIONS(11358),
    [anon_sym_else] = ACTIONS(11358),
    [anon_sym_try] = ACTIONS(11358),
    [anon_sym_finally] = ACTIONS(11358),
    [anon_sym_for] = ACTIONS(11358),
    [anon_sym_while] = ACTIONS(11358),
    [sym_break_statement] = ACTIONS(11358),
    [sym_continue_statement] = ACTIONS(11358),
    [anon_sym_return] = ACTIONS(11358),
    [anon_sym_const] = ACTIONS(11358),
    [anon_sym_global] = ACTIONS(11358),
    [anon_sym_local] = ACTIONS(11358),
    [anon_sym_LPAREN] = ACTIONS(11358),
    [anon_sym_COLON] = ACTIONS(11358),
    [anon_sym_export] = ACTIONS(11358),
    [anon_sym_public] = ACTIONS(11358),
    [anon_sym_import] = ACTIONS(11358),
    [anon_sym_using] = ACTIONS(11358),
    [anon_sym_LBRACK] = ACTIONS(11358),
    [anon_sym_in] = ACTIONS(11358),
    [anon_sym_SEMI] = ACTIONS(11358),
    [anon_sym_LBRACE] = ACTIONS(11358),
    [anon_sym_DOLLAR] = ACTIONS(11358),
    [anon_sym_COLON2] = ACTIONS(11358),
    [anon_sym_COLON_COLON] = ACTIONS(11358),
    [anon_sym_isa] = ACTIONS(11358),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11358),
    [anon_sym_QMARK] = ACTIONS(11358),
    [anon_sym_where] = ACTIONS(11358),
    [anon_sym_AT] = ACTIONS(11358),
    [anon_sym_true] = ACTIONS(11358),
    [anon_sym_false] = ACTIONS(11358),
    [aux_sym_integer_literal_token1] = ACTIONS(11358),
    [aux_sym_integer_literal_token2] = ACTIONS(11358),
    [aux_sym_integer_literal_token3] = ACTIONS(11358),
    [aux_sym_integer_literal_token4] = ACTIONS(11358),
    [aux_sym_float_literal_token1] = ACTIONS(11358),
    [aux_sym_float_literal_token3] = ACTIONS(11358),
    [aux_sym_float_literal_token4] = ACTIONS(11358),
    [sym_character_literal] = ACTIONS(11358),
    [anon_sym_DQUOTE] = ACTIONS(11358),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11358),
    [anon_sym_BQUOTE] = ACTIONS(11358),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11358),
    [sym__pair_operator] = ACTIONS(11358),
    [sym__arrow_operator] = ACTIONS(11358),
    [sym__lazy_or_operator] = ACTIONS(11358),
    [sym__lazy_and_operator] = ACTIONS(11358),
    [sym__comparison_operator] = ACTIONS(11358),
    [sym__pipe_right_operator] = ACTIONS(11358),
    [sym__pipe_left_operator] = ACTIONS(11358),
    [sym__ellipsis_operator] = ACTIONS(11358),
    [sym__plus_operator] = ACTIONS(11358),
    [sym__times_operator] = ACTIONS(11358),
    [sym__rational_operator] = ACTIONS(11358),
    [sym__bitshift_operator] = ACTIONS(11358),
    [sym__power_operator] = ACTIONS(11358),
    [sym__tilde_operator] = ACTIONS(11358),
    [sym__type_order_operator] = ACTIONS(11358),
    [sym__unary_operator] = ACTIONS(11358),
    [sym__unary_plus_operator] = ACTIONS(11358),
    [aux_sym__terminator_token1] = ACTIONS(11360),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7729] = {
    [sym_block_comment] = STATE(7729),
    [sym_line_comment] = STATE(7729),
    [sym__word_identifier] = ACTIONS(11362),
    [anon_sym_COMMA] = ACTIONS(11362),
    [anon_sym_EQ] = ACTIONS(11362),
    [anon_sym_begin] = ACTIONS(11362),
    [anon_sym_module] = ACTIONS(11362),
    [anon_sym_baremodule] = ACTIONS(11362),
    [anon_sym_end] = ACTIONS(11362),
    [anon_sym_abstract] = ACTIONS(11362),
    [anon_sym_primitive] = ACTIONS(11362),
    [anon_sym_mutable] = ACTIONS(11362),
    [anon_sym_struct] = ACTIONS(11362),
    [anon_sym_function] = ACTIONS(11362),
    [anon_sym_macro] = ACTIONS(11362),
    [anon_sym_quote] = ACTIONS(11362),
    [anon_sym_let] = ACTIONS(11362),
    [anon_sym_if] = ACTIONS(11362),
    [anon_sym_else] = ACTIONS(11362),
    [anon_sym_try] = ACTIONS(11362),
    [anon_sym_finally] = ACTIONS(11362),
    [anon_sym_for] = ACTIONS(11362),
    [anon_sym_while] = ACTIONS(11362),
    [sym_break_statement] = ACTIONS(11362),
    [sym_continue_statement] = ACTIONS(11362),
    [anon_sym_return] = ACTIONS(11362),
    [anon_sym_const] = ACTIONS(11362),
    [anon_sym_global] = ACTIONS(11362),
    [anon_sym_local] = ACTIONS(11362),
    [anon_sym_LPAREN] = ACTIONS(11362),
    [anon_sym_COLON] = ACTIONS(11362),
    [anon_sym_export] = ACTIONS(11362),
    [anon_sym_public] = ACTIONS(11362),
    [anon_sym_import] = ACTIONS(11362),
    [anon_sym_using] = ACTIONS(11362),
    [anon_sym_LBRACK] = ACTIONS(11362),
    [anon_sym_in] = ACTIONS(11362),
    [anon_sym_SEMI] = ACTIONS(11362),
    [anon_sym_LBRACE] = ACTIONS(11362),
    [anon_sym_DOLLAR] = ACTIONS(11362),
    [anon_sym_COLON2] = ACTIONS(11362),
    [anon_sym_COLON_COLON] = ACTIONS(11362),
    [anon_sym_isa] = ACTIONS(11362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11362),
    [anon_sym_QMARK] = ACTIONS(11362),
    [anon_sym_where] = ACTIONS(11362),
    [anon_sym_AT] = ACTIONS(11362),
    [anon_sym_true] = ACTIONS(11362),
    [anon_sym_false] = ACTIONS(11362),
    [aux_sym_integer_literal_token1] = ACTIONS(11362),
    [aux_sym_integer_literal_token2] = ACTIONS(11362),
    [aux_sym_integer_literal_token3] = ACTIONS(11362),
    [aux_sym_integer_literal_token4] = ACTIONS(11362),
    [aux_sym_float_literal_token1] = ACTIONS(11362),
    [aux_sym_float_literal_token3] = ACTIONS(11362),
    [aux_sym_float_literal_token4] = ACTIONS(11362),
    [sym_character_literal] = ACTIONS(11362),
    [anon_sym_DQUOTE] = ACTIONS(11362),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11362),
    [anon_sym_BQUOTE] = ACTIONS(11362),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11362),
    [sym__pair_operator] = ACTIONS(11362),
    [sym__arrow_operator] = ACTIONS(11362),
    [sym__lazy_or_operator] = ACTIONS(11362),
    [sym__lazy_and_operator] = ACTIONS(11362),
    [sym__comparison_operator] = ACTIONS(11362),
    [sym__pipe_right_operator] = ACTIONS(11362),
    [sym__pipe_left_operator] = ACTIONS(11362),
    [sym__ellipsis_operator] = ACTIONS(11362),
    [sym__plus_operator] = ACTIONS(11362),
    [sym__times_operator] = ACTIONS(11362),
    [sym__rational_operator] = ACTIONS(11362),
    [sym__bitshift_operator] = ACTIONS(11362),
    [sym__power_operator] = ACTIONS(11362),
    [sym__tilde_operator] = ACTIONS(11362),
    [sym__type_order_operator] = ACTIONS(11362),
    [sym__unary_operator] = ACTIONS(11362),
    [sym__unary_plus_operator] = ACTIONS(11362),
    [aux_sym__terminator_token1] = ACTIONS(11364),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7730] = {
    [sym_block_comment] = STATE(7730),
    [sym_line_comment] = STATE(7730),
    [sym__word_identifier] = ACTIONS(11366),
    [anon_sym_COMMA] = ACTIONS(11366),
    [anon_sym_EQ] = ACTIONS(11366),
    [anon_sym_begin] = ACTIONS(11366),
    [anon_sym_module] = ACTIONS(11366),
    [anon_sym_baremodule] = ACTIONS(11366),
    [anon_sym_end] = ACTIONS(11366),
    [anon_sym_abstract] = ACTIONS(11366),
    [anon_sym_primitive] = ACTIONS(11366),
    [anon_sym_mutable] = ACTIONS(11366),
    [anon_sym_struct] = ACTIONS(11366),
    [anon_sym_function] = ACTIONS(11366),
    [anon_sym_macro] = ACTIONS(11366),
    [anon_sym_quote] = ACTIONS(11366),
    [anon_sym_let] = ACTIONS(11366),
    [anon_sym_if] = ACTIONS(11366),
    [anon_sym_else] = ACTIONS(11366),
    [anon_sym_try] = ACTIONS(11366),
    [anon_sym_finally] = ACTIONS(11366),
    [anon_sym_for] = ACTIONS(11366),
    [anon_sym_while] = ACTIONS(11366),
    [sym_break_statement] = ACTIONS(11366),
    [sym_continue_statement] = ACTIONS(11366),
    [anon_sym_return] = ACTIONS(11366),
    [anon_sym_const] = ACTIONS(11366),
    [anon_sym_global] = ACTIONS(11366),
    [anon_sym_local] = ACTIONS(11366),
    [anon_sym_LPAREN] = ACTIONS(11366),
    [anon_sym_COLON] = ACTIONS(11366),
    [anon_sym_export] = ACTIONS(11366),
    [anon_sym_public] = ACTIONS(11366),
    [anon_sym_import] = ACTIONS(11366),
    [anon_sym_using] = ACTIONS(11366),
    [anon_sym_LBRACK] = ACTIONS(11366),
    [anon_sym_in] = ACTIONS(11366),
    [anon_sym_SEMI] = ACTIONS(11366),
    [anon_sym_LBRACE] = ACTIONS(11366),
    [anon_sym_DOLLAR] = ACTIONS(11366),
    [anon_sym_COLON2] = ACTIONS(11366),
    [anon_sym_COLON_COLON] = ACTIONS(11366),
    [anon_sym_isa] = ACTIONS(11366),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11366),
    [anon_sym_QMARK] = ACTIONS(11366),
    [anon_sym_where] = ACTIONS(11366),
    [anon_sym_AT] = ACTIONS(11366),
    [anon_sym_true] = ACTIONS(11366),
    [anon_sym_false] = ACTIONS(11366),
    [aux_sym_integer_literal_token1] = ACTIONS(11366),
    [aux_sym_integer_literal_token2] = ACTIONS(11366),
    [aux_sym_integer_literal_token3] = ACTIONS(11366),
    [aux_sym_integer_literal_token4] = ACTIONS(11366),
    [aux_sym_float_literal_token1] = ACTIONS(11366),
    [aux_sym_float_literal_token3] = ACTIONS(11366),
    [aux_sym_float_literal_token4] = ACTIONS(11366),
    [sym_character_literal] = ACTIONS(11366),
    [anon_sym_DQUOTE] = ACTIONS(11366),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11366),
    [anon_sym_BQUOTE] = ACTIONS(11366),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11366),
    [sym__pair_operator] = ACTIONS(11366),
    [sym__arrow_operator] = ACTIONS(11366),
    [sym__lazy_or_operator] = ACTIONS(11366),
    [sym__lazy_and_operator] = ACTIONS(11366),
    [sym__comparison_operator] = ACTIONS(11366),
    [sym__pipe_right_operator] = ACTIONS(11366),
    [sym__pipe_left_operator] = ACTIONS(11366),
    [sym__ellipsis_operator] = ACTIONS(11366),
    [sym__plus_operator] = ACTIONS(11366),
    [sym__times_operator] = ACTIONS(11366),
    [sym__rational_operator] = ACTIONS(11366),
    [sym__bitshift_operator] = ACTIONS(11366),
    [sym__power_operator] = ACTIONS(11366),
    [sym__tilde_operator] = ACTIONS(11366),
    [sym__type_order_operator] = ACTIONS(11366),
    [sym__unary_operator] = ACTIONS(11366),
    [sym__unary_plus_operator] = ACTIONS(11366),
    [aux_sym__terminator_token1] = ACTIONS(11368),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7731] = {
    [sym_block_comment] = STATE(7731),
    [sym_line_comment] = STATE(7731),
    [sym__word_identifier] = ACTIONS(11370),
    [anon_sym_COMMA] = ACTIONS(11370),
    [anon_sym_EQ] = ACTIONS(11370),
    [anon_sym_begin] = ACTIONS(11370),
    [anon_sym_module] = ACTIONS(11370),
    [anon_sym_baremodule] = ACTIONS(11370),
    [anon_sym_end] = ACTIONS(11370),
    [anon_sym_abstract] = ACTIONS(11370),
    [anon_sym_primitive] = ACTIONS(11370),
    [anon_sym_mutable] = ACTIONS(11370),
    [anon_sym_struct] = ACTIONS(11370),
    [anon_sym_function] = ACTIONS(11370),
    [anon_sym_macro] = ACTIONS(11370),
    [anon_sym_quote] = ACTIONS(11370),
    [anon_sym_let] = ACTIONS(11370),
    [anon_sym_if] = ACTIONS(11370),
    [anon_sym_else] = ACTIONS(11370),
    [anon_sym_try] = ACTIONS(11370),
    [anon_sym_finally] = ACTIONS(11370),
    [anon_sym_for] = ACTIONS(11370),
    [anon_sym_while] = ACTIONS(11370),
    [sym_break_statement] = ACTIONS(11370),
    [sym_continue_statement] = ACTIONS(11370),
    [anon_sym_return] = ACTIONS(11370),
    [anon_sym_const] = ACTIONS(11370),
    [anon_sym_global] = ACTIONS(11370),
    [anon_sym_local] = ACTIONS(11370),
    [anon_sym_LPAREN] = ACTIONS(11370),
    [anon_sym_COLON] = ACTIONS(11370),
    [anon_sym_export] = ACTIONS(11370),
    [anon_sym_public] = ACTIONS(11370),
    [anon_sym_import] = ACTIONS(11370),
    [anon_sym_using] = ACTIONS(11370),
    [anon_sym_LBRACK] = ACTIONS(11370),
    [anon_sym_in] = ACTIONS(11370),
    [anon_sym_SEMI] = ACTIONS(11370),
    [anon_sym_LBRACE] = ACTIONS(11370),
    [anon_sym_DOLLAR] = ACTIONS(11370),
    [anon_sym_COLON2] = ACTIONS(11370),
    [anon_sym_COLON_COLON] = ACTIONS(11370),
    [anon_sym_isa] = ACTIONS(11370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11370),
    [anon_sym_QMARK] = ACTIONS(11370),
    [anon_sym_where] = ACTIONS(11370),
    [anon_sym_AT] = ACTIONS(11370),
    [anon_sym_true] = ACTIONS(11370),
    [anon_sym_false] = ACTIONS(11370),
    [aux_sym_integer_literal_token1] = ACTIONS(11370),
    [aux_sym_integer_literal_token2] = ACTIONS(11370),
    [aux_sym_integer_literal_token3] = ACTIONS(11370),
    [aux_sym_integer_literal_token4] = ACTIONS(11370),
    [aux_sym_float_literal_token1] = ACTIONS(11370),
    [aux_sym_float_literal_token3] = ACTIONS(11370),
    [aux_sym_float_literal_token4] = ACTIONS(11370),
    [sym_character_literal] = ACTIONS(11370),
    [anon_sym_DQUOTE] = ACTIONS(11370),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11370),
    [anon_sym_BQUOTE] = ACTIONS(11370),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11370),
    [sym__pair_operator] = ACTIONS(11370),
    [sym__arrow_operator] = ACTIONS(11370),
    [sym__lazy_or_operator] = ACTIONS(11370),
    [sym__lazy_and_operator] = ACTIONS(11370),
    [sym__comparison_operator] = ACTIONS(11370),
    [sym__pipe_right_operator] = ACTIONS(11370),
    [sym__pipe_left_operator] = ACTIONS(11370),
    [sym__ellipsis_operator] = ACTIONS(11370),
    [sym__plus_operator] = ACTIONS(11370),
    [sym__times_operator] = ACTIONS(11370),
    [sym__rational_operator] = ACTIONS(11370),
    [sym__bitshift_operator] = ACTIONS(11370),
    [sym__power_operator] = ACTIONS(11370),
    [sym__tilde_operator] = ACTIONS(11370),
    [sym__type_order_operator] = ACTIONS(11370),
    [sym__unary_operator] = ACTIONS(11370),
    [sym__unary_plus_operator] = ACTIONS(11370),
    [aux_sym__terminator_token1] = ACTIONS(11372),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7732] = {
    [sym_block_comment] = STATE(7732),
    [sym_line_comment] = STATE(7732),
    [sym__word_identifier] = ACTIONS(11374),
    [anon_sym_COMMA] = ACTIONS(11374),
    [anon_sym_EQ] = ACTIONS(11374),
    [anon_sym_begin] = ACTIONS(11374),
    [anon_sym_module] = ACTIONS(11374),
    [anon_sym_baremodule] = ACTIONS(11374),
    [anon_sym_end] = ACTIONS(11374),
    [anon_sym_abstract] = ACTIONS(11374),
    [anon_sym_primitive] = ACTIONS(11374),
    [anon_sym_mutable] = ACTIONS(11374),
    [anon_sym_struct] = ACTIONS(11374),
    [anon_sym_function] = ACTIONS(11374),
    [anon_sym_macro] = ACTIONS(11374),
    [anon_sym_quote] = ACTIONS(11374),
    [anon_sym_let] = ACTIONS(11374),
    [anon_sym_if] = ACTIONS(11374),
    [anon_sym_elseif] = ACTIONS(11374),
    [anon_sym_else] = ACTIONS(11374),
    [anon_sym_try] = ACTIONS(11374),
    [anon_sym_for] = ACTIONS(11374),
    [anon_sym_while] = ACTIONS(11374),
    [sym_break_statement] = ACTIONS(11374),
    [sym_continue_statement] = ACTIONS(11374),
    [anon_sym_return] = ACTIONS(11374),
    [anon_sym_const] = ACTIONS(11374),
    [anon_sym_global] = ACTIONS(11374),
    [anon_sym_local] = ACTIONS(11374),
    [anon_sym_LPAREN] = ACTIONS(11374),
    [anon_sym_COLON] = ACTIONS(11374),
    [anon_sym_export] = ACTIONS(11374),
    [anon_sym_public] = ACTIONS(11374),
    [anon_sym_import] = ACTIONS(11374),
    [anon_sym_using] = ACTIONS(11374),
    [anon_sym_LBRACK] = ACTIONS(11374),
    [anon_sym_in] = ACTIONS(11374),
    [anon_sym_SEMI] = ACTIONS(11374),
    [anon_sym_LBRACE] = ACTIONS(11374),
    [anon_sym_DOLLAR] = ACTIONS(11374),
    [anon_sym_COLON2] = ACTIONS(11374),
    [anon_sym_COLON_COLON] = ACTIONS(11374),
    [anon_sym_isa] = ACTIONS(11374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11374),
    [anon_sym_QMARK] = ACTIONS(11374),
    [anon_sym_where] = ACTIONS(11374),
    [anon_sym_AT] = ACTIONS(11374),
    [anon_sym_true] = ACTIONS(11374),
    [anon_sym_false] = ACTIONS(11374),
    [aux_sym_integer_literal_token1] = ACTIONS(11374),
    [aux_sym_integer_literal_token2] = ACTIONS(11374),
    [aux_sym_integer_literal_token3] = ACTIONS(11374),
    [aux_sym_integer_literal_token4] = ACTIONS(11374),
    [aux_sym_float_literal_token1] = ACTIONS(11374),
    [aux_sym_float_literal_token3] = ACTIONS(11374),
    [aux_sym_float_literal_token4] = ACTIONS(11374),
    [sym_character_literal] = ACTIONS(11374),
    [anon_sym_DQUOTE] = ACTIONS(11374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11374),
    [anon_sym_BQUOTE] = ACTIONS(11374),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11374),
    [sym__pair_operator] = ACTIONS(11374),
    [sym__arrow_operator] = ACTIONS(11374),
    [sym__lazy_or_operator] = ACTIONS(11374),
    [sym__lazy_and_operator] = ACTIONS(11374),
    [sym__comparison_operator] = ACTIONS(11374),
    [sym__pipe_right_operator] = ACTIONS(11374),
    [sym__pipe_left_operator] = ACTIONS(11374),
    [sym__ellipsis_operator] = ACTIONS(11374),
    [sym__plus_operator] = ACTIONS(11374),
    [sym__times_operator] = ACTIONS(11374),
    [sym__rational_operator] = ACTIONS(11374),
    [sym__bitshift_operator] = ACTIONS(11374),
    [sym__power_operator] = ACTIONS(11374),
    [sym__tilde_operator] = ACTIONS(11374),
    [sym__type_order_operator] = ACTIONS(11374),
    [sym__unary_operator] = ACTIONS(11374),
    [sym__unary_plus_operator] = ACTIONS(11374),
    [aux_sym__terminator_token1] = ACTIONS(11376),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7733] = {
    [sym_block_comment] = STATE(7733),
    [sym_line_comment] = STATE(7733),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(10151),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_elseif] = ACTIONS(11204),
    [anon_sym_else] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7734] = {
    [sym_block_comment] = STATE(7734),
    [sym_line_comment] = STATE(7734),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_elseif] = ACTIONS(11204),
    [anon_sym_else] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7735] = {
    [sym_block_comment] = STATE(7735),
    [sym_line_comment] = STATE(7735),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_elseif] = ACTIONS(11258),
    [anon_sym_else] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7736] = {
    [sym_block_comment] = STATE(7736),
    [sym_line_comment] = STATE(7736),
    [aux_sym_open_tuple_repeat1] = STATE(7406),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11128),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_elseif] = ACTIONS(11258),
    [anon_sym_else] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11356),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7737] = {
    [sym_block_comment] = STATE(7737),
    [sym_line_comment] = STATE(7737),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(11134),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_end] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_elseif] = ACTIONS(11134),
    [anon_sym_else] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11134),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11134),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11134),
    [anon_sym_LBRACE] = ACTIONS(11134),
    [anon_sym_DOLLAR] = ACTIONS(11134),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11174),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11134),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11134),
    [aux_sym_integer_literal_token2] = ACTIONS(11134),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11134),
    [aux_sym_float_literal_token3] = ACTIONS(11134),
    [aux_sym_float_literal_token4] = ACTIONS(11134),
    [sym_character_literal] = ACTIONS(11134),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11134),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11134),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11139),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7738] = {
    [sym_block_comment] = STATE(7738),
    [sym_line_comment] = STATE(7738),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(11378),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7739] = {
    [sym_block_comment] = STATE(7739),
    [sym_line_comment] = STATE(7739),
    [aux_sym_open_tuple_repeat1] = STATE(7406),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11128),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_elseif] = ACTIONS(11204),
    [anon_sym_else] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11356),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7740] = {
    [sym_block_comment] = STATE(7740),
    [sym_line_comment] = STATE(7740),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7741] = {
    [sym_block_comment] = STATE(7741),
    [sym_line_comment] = STATE(7741),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(10151),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_elseif] = ACTIONS(11208),
    [anon_sym_else] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7742] = {
    [sym_block_comment] = STATE(7742),
    [sym_line_comment] = STATE(7742),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_elseif] = ACTIONS(11208),
    [anon_sym_else] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7743] = {
    [sym_block_comment] = STATE(7743),
    [sym_line_comment] = STATE(7743),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_else] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_finally] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(11382),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(11382),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11382),
    [anon_sym_isa] = ACTIONS(11382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11382),
    [anon_sym_QMARK] = ACTIONS(11382),
    [anon_sym_where] = ACTIONS(11382),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(11382),
    [sym__arrow_operator] = ACTIONS(11382),
    [sym__lazy_or_operator] = ACTIONS(11382),
    [sym__lazy_and_operator] = ACTIONS(11382),
    [sym__comparison_operator] = ACTIONS(11382),
    [sym__pipe_right_operator] = ACTIONS(11382),
    [sym__pipe_left_operator] = ACTIONS(11382),
    [sym__ellipsis_operator] = ACTIONS(11382),
    [sym__plus_operator] = ACTIONS(11382),
    [sym__times_operator] = ACTIONS(11382),
    [sym__rational_operator] = ACTIONS(11382),
    [sym__bitshift_operator] = ACTIONS(11382),
    [sym__power_operator] = ACTIONS(11382),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(11382),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(11382),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7744] = {
    [sym_block_comment] = STATE(7744),
    [sym_line_comment] = STATE(7744),
    [aux_sym_open_tuple_repeat1] = STATE(7406),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11128),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_elseif] = ACTIONS(11208),
    [anon_sym_else] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11356),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7745] = {
    [sym_block_comment] = STATE(7745),
    [sym_line_comment] = STATE(7745),
    [sym__word_identifier] = ACTIONS(11386),
    [anon_sym_COMMA] = ACTIONS(11386),
    [anon_sym_EQ] = ACTIONS(11386),
    [anon_sym_begin] = ACTIONS(11386),
    [anon_sym_module] = ACTIONS(11386),
    [anon_sym_baremodule] = ACTIONS(11386),
    [anon_sym_end] = ACTIONS(11386),
    [anon_sym_abstract] = ACTIONS(11386),
    [anon_sym_primitive] = ACTIONS(11386),
    [anon_sym_mutable] = ACTIONS(11386),
    [anon_sym_struct] = ACTIONS(11386),
    [anon_sym_function] = ACTIONS(11386),
    [anon_sym_macro] = ACTIONS(11386),
    [anon_sym_quote] = ACTIONS(11386),
    [anon_sym_let] = ACTIONS(11386),
    [anon_sym_if] = ACTIONS(11386),
    [anon_sym_else] = ACTIONS(11386),
    [anon_sym_try] = ACTIONS(11386),
    [anon_sym_finally] = ACTIONS(11386),
    [anon_sym_for] = ACTIONS(11386),
    [anon_sym_while] = ACTIONS(11386),
    [sym_break_statement] = ACTIONS(11386),
    [sym_continue_statement] = ACTIONS(11386),
    [anon_sym_return] = ACTIONS(11386),
    [anon_sym_const] = ACTIONS(11386),
    [anon_sym_global] = ACTIONS(11386),
    [anon_sym_local] = ACTIONS(11386),
    [anon_sym_LPAREN] = ACTIONS(11386),
    [anon_sym_COLON] = ACTIONS(11386),
    [anon_sym_export] = ACTIONS(11386),
    [anon_sym_public] = ACTIONS(11386),
    [anon_sym_import] = ACTIONS(11386),
    [anon_sym_using] = ACTIONS(11386),
    [anon_sym_LBRACK] = ACTIONS(11386),
    [anon_sym_in] = ACTIONS(11386),
    [anon_sym_SEMI] = ACTIONS(11386),
    [anon_sym_LBRACE] = ACTIONS(11386),
    [anon_sym_DOLLAR] = ACTIONS(11386),
    [anon_sym_COLON2] = ACTIONS(11386),
    [anon_sym_COLON_COLON] = ACTIONS(11386),
    [anon_sym_isa] = ACTIONS(11386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11386),
    [anon_sym_QMARK] = ACTIONS(11386),
    [anon_sym_where] = ACTIONS(11386),
    [anon_sym_AT] = ACTIONS(11386),
    [anon_sym_true] = ACTIONS(11386),
    [anon_sym_false] = ACTIONS(11386),
    [aux_sym_integer_literal_token1] = ACTIONS(11386),
    [aux_sym_integer_literal_token2] = ACTIONS(11386),
    [aux_sym_integer_literal_token3] = ACTIONS(11386),
    [aux_sym_integer_literal_token4] = ACTIONS(11386),
    [aux_sym_float_literal_token1] = ACTIONS(11386),
    [aux_sym_float_literal_token3] = ACTIONS(11386),
    [aux_sym_float_literal_token4] = ACTIONS(11386),
    [sym_character_literal] = ACTIONS(11386),
    [anon_sym_DQUOTE] = ACTIONS(11386),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11386),
    [anon_sym_BQUOTE] = ACTIONS(11386),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11386),
    [sym__pair_operator] = ACTIONS(11386),
    [sym__arrow_operator] = ACTIONS(11386),
    [sym__lazy_or_operator] = ACTIONS(11386),
    [sym__lazy_and_operator] = ACTIONS(11386),
    [sym__comparison_operator] = ACTIONS(11386),
    [sym__pipe_right_operator] = ACTIONS(11386),
    [sym__pipe_left_operator] = ACTIONS(11386),
    [sym__ellipsis_operator] = ACTIONS(11386),
    [sym__plus_operator] = ACTIONS(11386),
    [sym__times_operator] = ACTIONS(11386),
    [sym__rational_operator] = ACTIONS(11386),
    [sym__bitshift_operator] = ACTIONS(11386),
    [sym__power_operator] = ACTIONS(11386),
    [sym__tilde_operator] = ACTIONS(11386),
    [sym__type_order_operator] = ACTIONS(11386),
    [sym__unary_operator] = ACTIONS(11386),
    [sym__unary_plus_operator] = ACTIONS(11386),
    [aux_sym__terminator_token1] = ACTIONS(11388),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7746] = {
    [sym_block_comment] = STATE(7746),
    [sym_line_comment] = STATE(7746),
    [sym__word_identifier] = ACTIONS(11390),
    [anon_sym_COMMA] = ACTIONS(11390),
    [anon_sym_EQ] = ACTIONS(11390),
    [anon_sym_begin] = ACTIONS(11390),
    [anon_sym_module] = ACTIONS(11390),
    [anon_sym_baremodule] = ACTIONS(11390),
    [anon_sym_end] = ACTIONS(11390),
    [anon_sym_abstract] = ACTIONS(11390),
    [anon_sym_primitive] = ACTIONS(11390),
    [anon_sym_mutable] = ACTIONS(11390),
    [anon_sym_struct] = ACTIONS(11390),
    [anon_sym_function] = ACTIONS(11390),
    [anon_sym_macro] = ACTIONS(11390),
    [anon_sym_quote] = ACTIONS(11390),
    [anon_sym_let] = ACTIONS(11390),
    [anon_sym_if] = ACTIONS(11390),
    [anon_sym_else] = ACTIONS(11390),
    [anon_sym_try] = ACTIONS(11390),
    [anon_sym_finally] = ACTIONS(11390),
    [anon_sym_for] = ACTIONS(11390),
    [anon_sym_while] = ACTIONS(11390),
    [sym_break_statement] = ACTIONS(11390),
    [sym_continue_statement] = ACTIONS(11390),
    [anon_sym_return] = ACTIONS(11390),
    [anon_sym_const] = ACTIONS(11390),
    [anon_sym_global] = ACTIONS(11390),
    [anon_sym_local] = ACTIONS(11390),
    [anon_sym_LPAREN] = ACTIONS(11390),
    [anon_sym_COLON] = ACTIONS(11390),
    [anon_sym_export] = ACTIONS(11390),
    [anon_sym_public] = ACTIONS(11390),
    [anon_sym_import] = ACTIONS(11390),
    [anon_sym_using] = ACTIONS(11390),
    [anon_sym_LBRACK] = ACTIONS(11390),
    [anon_sym_in] = ACTIONS(11390),
    [anon_sym_SEMI] = ACTIONS(11390),
    [anon_sym_LBRACE] = ACTIONS(11390),
    [anon_sym_DOLLAR] = ACTIONS(11390),
    [anon_sym_COLON2] = ACTIONS(11390),
    [anon_sym_COLON_COLON] = ACTIONS(11390),
    [anon_sym_isa] = ACTIONS(11390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11390),
    [anon_sym_QMARK] = ACTIONS(11390),
    [anon_sym_where] = ACTIONS(11390),
    [anon_sym_AT] = ACTIONS(11390),
    [anon_sym_true] = ACTIONS(11390),
    [anon_sym_false] = ACTIONS(11390),
    [aux_sym_integer_literal_token1] = ACTIONS(11390),
    [aux_sym_integer_literal_token2] = ACTIONS(11390),
    [aux_sym_integer_literal_token3] = ACTIONS(11390),
    [aux_sym_integer_literal_token4] = ACTIONS(11390),
    [aux_sym_float_literal_token1] = ACTIONS(11390),
    [aux_sym_float_literal_token3] = ACTIONS(11390),
    [aux_sym_float_literal_token4] = ACTIONS(11390),
    [sym_character_literal] = ACTIONS(11390),
    [anon_sym_DQUOTE] = ACTIONS(11390),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11390),
    [anon_sym_BQUOTE] = ACTIONS(11390),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11390),
    [sym__pair_operator] = ACTIONS(11390),
    [sym__arrow_operator] = ACTIONS(11390),
    [sym__lazy_or_operator] = ACTIONS(11390),
    [sym__lazy_and_operator] = ACTIONS(11390),
    [sym__comparison_operator] = ACTIONS(11390),
    [sym__pipe_right_operator] = ACTIONS(11390),
    [sym__pipe_left_operator] = ACTIONS(11390),
    [sym__ellipsis_operator] = ACTIONS(11390),
    [sym__plus_operator] = ACTIONS(11390),
    [sym__times_operator] = ACTIONS(11390),
    [sym__rational_operator] = ACTIONS(11390),
    [sym__bitshift_operator] = ACTIONS(11390),
    [sym__power_operator] = ACTIONS(11390),
    [sym__tilde_operator] = ACTIONS(11390),
    [sym__type_order_operator] = ACTIONS(11390),
    [sym__unary_operator] = ACTIONS(11390),
    [sym__unary_plus_operator] = ACTIONS(11390),
    [aux_sym__terminator_token1] = ACTIONS(11392),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7747] = {
    [sym_block_comment] = STATE(7747),
    [sym_line_comment] = STATE(7747),
    [sym__word_identifier] = ACTIONS(11394),
    [anon_sym_COMMA] = ACTIONS(11394),
    [anon_sym_EQ] = ACTIONS(11394),
    [anon_sym_begin] = ACTIONS(11394),
    [anon_sym_module] = ACTIONS(11394),
    [anon_sym_baremodule] = ACTIONS(11394),
    [anon_sym_end] = ACTIONS(11394),
    [anon_sym_abstract] = ACTIONS(11394),
    [anon_sym_primitive] = ACTIONS(11394),
    [anon_sym_mutable] = ACTIONS(11394),
    [anon_sym_struct] = ACTIONS(11394),
    [anon_sym_function] = ACTIONS(11394),
    [anon_sym_macro] = ACTIONS(11394),
    [anon_sym_quote] = ACTIONS(11394),
    [anon_sym_let] = ACTIONS(11394),
    [anon_sym_if] = ACTIONS(11394),
    [anon_sym_else] = ACTIONS(11394),
    [anon_sym_try] = ACTIONS(11394),
    [anon_sym_finally] = ACTIONS(11394),
    [anon_sym_for] = ACTIONS(11394),
    [anon_sym_while] = ACTIONS(11394),
    [sym_break_statement] = ACTIONS(11394),
    [sym_continue_statement] = ACTIONS(11394),
    [anon_sym_return] = ACTIONS(11394),
    [anon_sym_const] = ACTIONS(11394),
    [anon_sym_global] = ACTIONS(11394),
    [anon_sym_local] = ACTIONS(11394),
    [anon_sym_LPAREN] = ACTIONS(11394),
    [anon_sym_COLON] = ACTIONS(11394),
    [anon_sym_export] = ACTIONS(11394),
    [anon_sym_public] = ACTIONS(11394),
    [anon_sym_import] = ACTIONS(11394),
    [anon_sym_using] = ACTIONS(11394),
    [anon_sym_LBRACK] = ACTIONS(11394),
    [anon_sym_in] = ACTIONS(11394),
    [anon_sym_SEMI] = ACTIONS(11394),
    [anon_sym_LBRACE] = ACTIONS(11394),
    [anon_sym_DOLLAR] = ACTIONS(11394),
    [anon_sym_COLON2] = ACTIONS(11394),
    [anon_sym_COLON_COLON] = ACTIONS(11394),
    [anon_sym_isa] = ACTIONS(11394),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11394),
    [anon_sym_QMARK] = ACTIONS(11394),
    [anon_sym_where] = ACTIONS(11394),
    [anon_sym_AT] = ACTIONS(11394),
    [anon_sym_true] = ACTIONS(11394),
    [anon_sym_false] = ACTIONS(11394),
    [aux_sym_integer_literal_token1] = ACTIONS(11394),
    [aux_sym_integer_literal_token2] = ACTIONS(11394),
    [aux_sym_integer_literal_token3] = ACTIONS(11394),
    [aux_sym_integer_literal_token4] = ACTIONS(11394),
    [aux_sym_float_literal_token1] = ACTIONS(11394),
    [aux_sym_float_literal_token3] = ACTIONS(11394),
    [aux_sym_float_literal_token4] = ACTIONS(11394),
    [sym_character_literal] = ACTIONS(11394),
    [anon_sym_DQUOTE] = ACTIONS(11394),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11394),
    [anon_sym_BQUOTE] = ACTIONS(11394),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11394),
    [sym__pair_operator] = ACTIONS(11394),
    [sym__arrow_operator] = ACTIONS(11394),
    [sym__lazy_or_operator] = ACTIONS(11394),
    [sym__lazy_and_operator] = ACTIONS(11394),
    [sym__comparison_operator] = ACTIONS(11394),
    [sym__pipe_right_operator] = ACTIONS(11394),
    [sym__pipe_left_operator] = ACTIONS(11394),
    [sym__ellipsis_operator] = ACTIONS(11394),
    [sym__plus_operator] = ACTIONS(11394),
    [sym__times_operator] = ACTIONS(11394),
    [sym__rational_operator] = ACTIONS(11394),
    [sym__bitshift_operator] = ACTIONS(11394),
    [sym__power_operator] = ACTIONS(11394),
    [sym__tilde_operator] = ACTIONS(11394),
    [sym__type_order_operator] = ACTIONS(11394),
    [sym__unary_operator] = ACTIONS(11394),
    [sym__unary_plus_operator] = ACTIONS(11394),
    [aux_sym__terminator_token1] = ACTIONS(11396),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7748] = {
    [sym_block_comment] = STATE(7748),
    [sym_line_comment] = STATE(7748),
    [sym__word_identifier] = ACTIONS(11398),
    [anon_sym_COMMA] = ACTIONS(11398),
    [anon_sym_EQ] = ACTIONS(11398),
    [anon_sym_begin] = ACTIONS(11398),
    [anon_sym_module] = ACTIONS(11398),
    [anon_sym_baremodule] = ACTIONS(11398),
    [anon_sym_end] = ACTIONS(11398),
    [anon_sym_abstract] = ACTIONS(11398),
    [anon_sym_primitive] = ACTIONS(11398),
    [anon_sym_mutable] = ACTIONS(11398),
    [anon_sym_struct] = ACTIONS(11398),
    [anon_sym_function] = ACTIONS(11398),
    [anon_sym_macro] = ACTIONS(11398),
    [anon_sym_quote] = ACTIONS(11398),
    [anon_sym_let] = ACTIONS(11398),
    [anon_sym_if] = ACTIONS(11398),
    [anon_sym_else] = ACTIONS(11398),
    [anon_sym_try] = ACTIONS(11398),
    [anon_sym_finally] = ACTIONS(11398),
    [anon_sym_for] = ACTIONS(11398),
    [anon_sym_while] = ACTIONS(11398),
    [sym_break_statement] = ACTIONS(11398),
    [sym_continue_statement] = ACTIONS(11398),
    [anon_sym_return] = ACTIONS(11398),
    [anon_sym_const] = ACTIONS(11398),
    [anon_sym_global] = ACTIONS(11398),
    [anon_sym_local] = ACTIONS(11398),
    [anon_sym_LPAREN] = ACTIONS(11398),
    [anon_sym_COLON] = ACTIONS(11398),
    [anon_sym_export] = ACTIONS(11398),
    [anon_sym_public] = ACTIONS(11398),
    [anon_sym_import] = ACTIONS(11398),
    [anon_sym_using] = ACTIONS(11398),
    [anon_sym_LBRACK] = ACTIONS(11398),
    [anon_sym_in] = ACTIONS(11398),
    [anon_sym_SEMI] = ACTIONS(11398),
    [anon_sym_LBRACE] = ACTIONS(11398),
    [anon_sym_DOLLAR] = ACTIONS(11398),
    [anon_sym_COLON2] = ACTIONS(11398),
    [anon_sym_COLON_COLON] = ACTIONS(11398),
    [anon_sym_isa] = ACTIONS(11398),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11398),
    [anon_sym_QMARK] = ACTIONS(11398),
    [anon_sym_where] = ACTIONS(11398),
    [anon_sym_AT] = ACTIONS(11398),
    [anon_sym_true] = ACTIONS(11398),
    [anon_sym_false] = ACTIONS(11398),
    [aux_sym_integer_literal_token1] = ACTIONS(11398),
    [aux_sym_integer_literal_token2] = ACTIONS(11398),
    [aux_sym_integer_literal_token3] = ACTIONS(11398),
    [aux_sym_integer_literal_token4] = ACTIONS(11398),
    [aux_sym_float_literal_token1] = ACTIONS(11398),
    [aux_sym_float_literal_token3] = ACTIONS(11398),
    [aux_sym_float_literal_token4] = ACTIONS(11398),
    [sym_character_literal] = ACTIONS(11398),
    [anon_sym_DQUOTE] = ACTIONS(11398),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11398),
    [anon_sym_BQUOTE] = ACTIONS(11398),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11398),
    [sym__pair_operator] = ACTIONS(11398),
    [sym__arrow_operator] = ACTIONS(11398),
    [sym__lazy_or_operator] = ACTIONS(11398),
    [sym__lazy_and_operator] = ACTIONS(11398),
    [sym__comparison_operator] = ACTIONS(11398),
    [sym__pipe_right_operator] = ACTIONS(11398),
    [sym__pipe_left_operator] = ACTIONS(11398),
    [sym__ellipsis_operator] = ACTIONS(11398),
    [sym__plus_operator] = ACTIONS(11398),
    [sym__times_operator] = ACTIONS(11398),
    [sym__rational_operator] = ACTIONS(11398),
    [sym__bitshift_operator] = ACTIONS(11398),
    [sym__power_operator] = ACTIONS(11398),
    [sym__tilde_operator] = ACTIONS(11398),
    [sym__type_order_operator] = ACTIONS(11398),
    [sym__unary_operator] = ACTIONS(11398),
    [sym__unary_plus_operator] = ACTIONS(11398),
    [aux_sym__terminator_token1] = ACTIONS(11400),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7749] = {
    [sym_block_comment] = STATE(7749),
    [sym_line_comment] = STATE(7749),
    [sym__word_identifier] = ACTIONS(11402),
    [anon_sym_COMMA] = ACTIONS(11402),
    [anon_sym_EQ] = ACTIONS(11402),
    [anon_sym_begin] = ACTIONS(11402),
    [anon_sym_module] = ACTIONS(11402),
    [anon_sym_baremodule] = ACTIONS(11402),
    [anon_sym_end] = ACTIONS(11402),
    [anon_sym_abstract] = ACTIONS(11402),
    [anon_sym_primitive] = ACTIONS(11402),
    [anon_sym_mutable] = ACTIONS(11402),
    [anon_sym_struct] = ACTIONS(11402),
    [anon_sym_function] = ACTIONS(11402),
    [anon_sym_macro] = ACTIONS(11402),
    [anon_sym_quote] = ACTIONS(11402),
    [anon_sym_let] = ACTIONS(11402),
    [anon_sym_if] = ACTIONS(11402),
    [anon_sym_else] = ACTIONS(11402),
    [anon_sym_try] = ACTIONS(11402),
    [anon_sym_finally] = ACTIONS(11402),
    [anon_sym_for] = ACTIONS(11402),
    [anon_sym_while] = ACTIONS(11402),
    [sym_break_statement] = ACTIONS(11402),
    [sym_continue_statement] = ACTIONS(11402),
    [anon_sym_return] = ACTIONS(11402),
    [anon_sym_const] = ACTIONS(11402),
    [anon_sym_global] = ACTIONS(11402),
    [anon_sym_local] = ACTIONS(11402),
    [anon_sym_LPAREN] = ACTIONS(11402),
    [anon_sym_COLON] = ACTIONS(11402),
    [anon_sym_export] = ACTIONS(11402),
    [anon_sym_public] = ACTIONS(11402),
    [anon_sym_import] = ACTIONS(11402),
    [anon_sym_using] = ACTIONS(11402),
    [anon_sym_LBRACK] = ACTIONS(11402),
    [anon_sym_in] = ACTIONS(11402),
    [anon_sym_SEMI] = ACTIONS(11402),
    [anon_sym_LBRACE] = ACTIONS(11402),
    [anon_sym_DOLLAR] = ACTIONS(11402),
    [anon_sym_COLON2] = ACTIONS(11402),
    [anon_sym_COLON_COLON] = ACTIONS(11402),
    [anon_sym_isa] = ACTIONS(11402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11402),
    [anon_sym_QMARK] = ACTIONS(11402),
    [anon_sym_where] = ACTIONS(11402),
    [anon_sym_AT] = ACTIONS(11402),
    [anon_sym_true] = ACTIONS(11402),
    [anon_sym_false] = ACTIONS(11402),
    [aux_sym_integer_literal_token1] = ACTIONS(11402),
    [aux_sym_integer_literal_token2] = ACTIONS(11402),
    [aux_sym_integer_literal_token3] = ACTIONS(11402),
    [aux_sym_integer_literal_token4] = ACTIONS(11402),
    [aux_sym_float_literal_token1] = ACTIONS(11402),
    [aux_sym_float_literal_token3] = ACTIONS(11402),
    [aux_sym_float_literal_token4] = ACTIONS(11402),
    [sym_character_literal] = ACTIONS(11402),
    [anon_sym_DQUOTE] = ACTIONS(11402),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11402),
    [anon_sym_BQUOTE] = ACTIONS(11402),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11402),
    [sym__pair_operator] = ACTIONS(11402),
    [sym__arrow_operator] = ACTIONS(11402),
    [sym__lazy_or_operator] = ACTIONS(11402),
    [sym__lazy_and_operator] = ACTIONS(11402),
    [sym__comparison_operator] = ACTIONS(11402),
    [sym__pipe_right_operator] = ACTIONS(11402),
    [sym__pipe_left_operator] = ACTIONS(11402),
    [sym__ellipsis_operator] = ACTIONS(11402),
    [sym__plus_operator] = ACTIONS(11402),
    [sym__times_operator] = ACTIONS(11402),
    [sym__rational_operator] = ACTIONS(11402),
    [sym__bitshift_operator] = ACTIONS(11402),
    [sym__power_operator] = ACTIONS(11402),
    [sym__tilde_operator] = ACTIONS(11402),
    [sym__type_order_operator] = ACTIONS(11402),
    [sym__unary_operator] = ACTIONS(11402),
    [sym__unary_plus_operator] = ACTIONS(11402),
    [aux_sym__terminator_token1] = ACTIONS(11404),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7750] = {
    [sym_block_comment] = STATE(7750),
    [sym_line_comment] = STATE(7750),
    [sym__word_identifier] = ACTIONS(11406),
    [anon_sym_COMMA] = ACTIONS(11406),
    [anon_sym_EQ] = ACTIONS(11406),
    [anon_sym_begin] = ACTIONS(11406),
    [anon_sym_module] = ACTIONS(11406),
    [anon_sym_baremodule] = ACTIONS(11406),
    [anon_sym_end] = ACTIONS(11406),
    [anon_sym_abstract] = ACTIONS(11406),
    [anon_sym_primitive] = ACTIONS(11406),
    [anon_sym_mutable] = ACTIONS(11406),
    [anon_sym_struct] = ACTIONS(11406),
    [anon_sym_function] = ACTIONS(11406),
    [anon_sym_macro] = ACTIONS(11406),
    [anon_sym_quote] = ACTIONS(11406),
    [anon_sym_let] = ACTIONS(11406),
    [anon_sym_if] = ACTIONS(11406),
    [anon_sym_else] = ACTIONS(11406),
    [anon_sym_try] = ACTIONS(11406),
    [anon_sym_finally] = ACTIONS(11406),
    [anon_sym_for] = ACTIONS(11406),
    [anon_sym_while] = ACTIONS(11406),
    [sym_break_statement] = ACTIONS(11406),
    [sym_continue_statement] = ACTIONS(11406),
    [anon_sym_return] = ACTIONS(11406),
    [anon_sym_const] = ACTIONS(11406),
    [anon_sym_global] = ACTIONS(11406),
    [anon_sym_local] = ACTIONS(11406),
    [anon_sym_LPAREN] = ACTIONS(11406),
    [anon_sym_COLON] = ACTIONS(11406),
    [anon_sym_export] = ACTIONS(11406),
    [anon_sym_public] = ACTIONS(11406),
    [anon_sym_import] = ACTIONS(11406),
    [anon_sym_using] = ACTIONS(11406),
    [anon_sym_LBRACK] = ACTIONS(11406),
    [anon_sym_in] = ACTIONS(11406),
    [anon_sym_SEMI] = ACTIONS(11406),
    [anon_sym_LBRACE] = ACTIONS(11406),
    [anon_sym_DOLLAR] = ACTIONS(11406),
    [anon_sym_COLON2] = ACTIONS(11406),
    [anon_sym_COLON_COLON] = ACTIONS(11406),
    [anon_sym_isa] = ACTIONS(11406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11406),
    [anon_sym_QMARK] = ACTIONS(11406),
    [anon_sym_where] = ACTIONS(11406),
    [anon_sym_AT] = ACTIONS(11406),
    [anon_sym_true] = ACTIONS(11406),
    [anon_sym_false] = ACTIONS(11406),
    [aux_sym_integer_literal_token1] = ACTIONS(11406),
    [aux_sym_integer_literal_token2] = ACTIONS(11406),
    [aux_sym_integer_literal_token3] = ACTIONS(11406),
    [aux_sym_integer_literal_token4] = ACTIONS(11406),
    [aux_sym_float_literal_token1] = ACTIONS(11406),
    [aux_sym_float_literal_token3] = ACTIONS(11406),
    [aux_sym_float_literal_token4] = ACTIONS(11406),
    [sym_character_literal] = ACTIONS(11406),
    [anon_sym_DQUOTE] = ACTIONS(11406),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11406),
    [anon_sym_BQUOTE] = ACTIONS(11406),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11406),
    [sym__pair_operator] = ACTIONS(11406),
    [sym__arrow_operator] = ACTIONS(11406),
    [sym__lazy_or_operator] = ACTIONS(11406),
    [sym__lazy_and_operator] = ACTIONS(11406),
    [sym__comparison_operator] = ACTIONS(11406),
    [sym__pipe_right_operator] = ACTIONS(11406),
    [sym__pipe_left_operator] = ACTIONS(11406),
    [sym__ellipsis_operator] = ACTIONS(11406),
    [sym__plus_operator] = ACTIONS(11406),
    [sym__times_operator] = ACTIONS(11406),
    [sym__rational_operator] = ACTIONS(11406),
    [sym__bitshift_operator] = ACTIONS(11406),
    [sym__power_operator] = ACTIONS(11406),
    [sym__tilde_operator] = ACTIONS(11406),
    [sym__type_order_operator] = ACTIONS(11406),
    [sym__unary_operator] = ACTIONS(11406),
    [sym__unary_plus_operator] = ACTIONS(11406),
    [aux_sym__terminator_token1] = ACTIONS(11408),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7751] = {
    [sym_block_comment] = STATE(7751),
    [sym_line_comment] = STATE(7751),
    [sym__word_identifier] = ACTIONS(11410),
    [anon_sym_COMMA] = ACTIONS(11410),
    [anon_sym_EQ] = ACTIONS(11410),
    [anon_sym_begin] = ACTIONS(11410),
    [anon_sym_module] = ACTIONS(11410),
    [anon_sym_baremodule] = ACTIONS(11410),
    [anon_sym_end] = ACTIONS(11410),
    [anon_sym_abstract] = ACTIONS(11410),
    [anon_sym_primitive] = ACTIONS(11410),
    [anon_sym_mutable] = ACTIONS(11410),
    [anon_sym_struct] = ACTIONS(11410),
    [anon_sym_function] = ACTIONS(11410),
    [anon_sym_macro] = ACTIONS(11410),
    [anon_sym_quote] = ACTIONS(11410),
    [anon_sym_let] = ACTIONS(11410),
    [anon_sym_if] = ACTIONS(11410),
    [anon_sym_else] = ACTIONS(11410),
    [anon_sym_try] = ACTIONS(11410),
    [anon_sym_finally] = ACTIONS(11410),
    [anon_sym_for] = ACTIONS(11410),
    [anon_sym_while] = ACTIONS(11410),
    [sym_break_statement] = ACTIONS(11410),
    [sym_continue_statement] = ACTIONS(11410),
    [anon_sym_return] = ACTIONS(11410),
    [anon_sym_const] = ACTIONS(11410),
    [anon_sym_global] = ACTIONS(11410),
    [anon_sym_local] = ACTIONS(11410),
    [anon_sym_LPAREN] = ACTIONS(11410),
    [anon_sym_COLON] = ACTIONS(11410),
    [anon_sym_export] = ACTIONS(11410),
    [anon_sym_public] = ACTIONS(11410),
    [anon_sym_import] = ACTIONS(11410),
    [anon_sym_using] = ACTIONS(11410),
    [anon_sym_LBRACK] = ACTIONS(11410),
    [anon_sym_in] = ACTIONS(11410),
    [anon_sym_SEMI] = ACTIONS(11410),
    [anon_sym_LBRACE] = ACTIONS(11410),
    [anon_sym_DOLLAR] = ACTIONS(11410),
    [anon_sym_COLON2] = ACTIONS(11410),
    [anon_sym_COLON_COLON] = ACTIONS(11410),
    [anon_sym_isa] = ACTIONS(11410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11410),
    [anon_sym_QMARK] = ACTIONS(11410),
    [anon_sym_where] = ACTIONS(11410),
    [anon_sym_AT] = ACTIONS(11410),
    [anon_sym_true] = ACTIONS(11410),
    [anon_sym_false] = ACTIONS(11410),
    [aux_sym_integer_literal_token1] = ACTIONS(11410),
    [aux_sym_integer_literal_token2] = ACTIONS(11410),
    [aux_sym_integer_literal_token3] = ACTIONS(11410),
    [aux_sym_integer_literal_token4] = ACTIONS(11410),
    [aux_sym_float_literal_token1] = ACTIONS(11410),
    [aux_sym_float_literal_token3] = ACTIONS(11410),
    [aux_sym_float_literal_token4] = ACTIONS(11410),
    [sym_character_literal] = ACTIONS(11410),
    [anon_sym_DQUOTE] = ACTIONS(11410),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11410),
    [anon_sym_BQUOTE] = ACTIONS(11410),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11410),
    [sym__pair_operator] = ACTIONS(11410),
    [sym__arrow_operator] = ACTIONS(11410),
    [sym__lazy_or_operator] = ACTIONS(11410),
    [sym__lazy_and_operator] = ACTIONS(11410),
    [sym__comparison_operator] = ACTIONS(11410),
    [sym__pipe_right_operator] = ACTIONS(11410),
    [sym__pipe_left_operator] = ACTIONS(11410),
    [sym__ellipsis_operator] = ACTIONS(11410),
    [sym__plus_operator] = ACTIONS(11410),
    [sym__times_operator] = ACTIONS(11410),
    [sym__rational_operator] = ACTIONS(11410),
    [sym__bitshift_operator] = ACTIONS(11410),
    [sym__power_operator] = ACTIONS(11410),
    [sym__tilde_operator] = ACTIONS(11410),
    [sym__type_order_operator] = ACTIONS(11410),
    [sym__unary_operator] = ACTIONS(11410),
    [sym__unary_plus_operator] = ACTIONS(11410),
    [aux_sym__terminator_token1] = ACTIONS(11412),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7752] = {
    [sym_block_comment] = STATE(7752),
    [sym_line_comment] = STATE(7752),
    [sym__word_identifier] = ACTIONS(11414),
    [anon_sym_COMMA] = ACTIONS(11414),
    [anon_sym_EQ] = ACTIONS(11414),
    [anon_sym_begin] = ACTIONS(11414),
    [anon_sym_module] = ACTIONS(11414),
    [anon_sym_baremodule] = ACTIONS(11414),
    [anon_sym_end] = ACTIONS(11414),
    [anon_sym_abstract] = ACTIONS(11414),
    [anon_sym_primitive] = ACTIONS(11414),
    [anon_sym_mutable] = ACTIONS(11414),
    [anon_sym_struct] = ACTIONS(11414),
    [anon_sym_function] = ACTIONS(11414),
    [anon_sym_macro] = ACTIONS(11414),
    [anon_sym_quote] = ACTIONS(11414),
    [anon_sym_let] = ACTIONS(11414),
    [anon_sym_if] = ACTIONS(11414),
    [anon_sym_else] = ACTIONS(11414),
    [anon_sym_try] = ACTIONS(11414),
    [anon_sym_finally] = ACTIONS(11414),
    [anon_sym_for] = ACTIONS(11414),
    [anon_sym_while] = ACTIONS(11414),
    [sym_break_statement] = ACTIONS(11414),
    [sym_continue_statement] = ACTIONS(11414),
    [anon_sym_return] = ACTIONS(11414),
    [anon_sym_const] = ACTIONS(11414),
    [anon_sym_global] = ACTIONS(11414),
    [anon_sym_local] = ACTIONS(11414),
    [anon_sym_LPAREN] = ACTIONS(11414),
    [anon_sym_COLON] = ACTIONS(11414),
    [anon_sym_export] = ACTIONS(11414),
    [anon_sym_public] = ACTIONS(11414),
    [anon_sym_import] = ACTIONS(11414),
    [anon_sym_using] = ACTIONS(11414),
    [anon_sym_LBRACK] = ACTIONS(11414),
    [anon_sym_in] = ACTIONS(11414),
    [anon_sym_SEMI] = ACTIONS(11414),
    [anon_sym_LBRACE] = ACTIONS(11414),
    [anon_sym_DOLLAR] = ACTIONS(11414),
    [anon_sym_COLON2] = ACTIONS(11414),
    [anon_sym_COLON_COLON] = ACTIONS(11414),
    [anon_sym_isa] = ACTIONS(11414),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11414),
    [anon_sym_QMARK] = ACTIONS(11414),
    [anon_sym_where] = ACTIONS(11414),
    [anon_sym_AT] = ACTIONS(11414),
    [anon_sym_true] = ACTIONS(11414),
    [anon_sym_false] = ACTIONS(11414),
    [aux_sym_integer_literal_token1] = ACTIONS(11414),
    [aux_sym_integer_literal_token2] = ACTIONS(11414),
    [aux_sym_integer_literal_token3] = ACTIONS(11414),
    [aux_sym_integer_literal_token4] = ACTIONS(11414),
    [aux_sym_float_literal_token1] = ACTIONS(11414),
    [aux_sym_float_literal_token3] = ACTIONS(11414),
    [aux_sym_float_literal_token4] = ACTIONS(11414),
    [sym_character_literal] = ACTIONS(11414),
    [anon_sym_DQUOTE] = ACTIONS(11414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11414),
    [anon_sym_BQUOTE] = ACTIONS(11414),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11414),
    [sym__pair_operator] = ACTIONS(11414),
    [sym__arrow_operator] = ACTIONS(11414),
    [sym__lazy_or_operator] = ACTIONS(11414),
    [sym__lazy_and_operator] = ACTIONS(11414),
    [sym__comparison_operator] = ACTIONS(11414),
    [sym__pipe_right_operator] = ACTIONS(11414),
    [sym__pipe_left_operator] = ACTIONS(11414),
    [sym__ellipsis_operator] = ACTIONS(11414),
    [sym__plus_operator] = ACTIONS(11414),
    [sym__times_operator] = ACTIONS(11414),
    [sym__rational_operator] = ACTIONS(11414),
    [sym__bitshift_operator] = ACTIONS(11414),
    [sym__power_operator] = ACTIONS(11414),
    [sym__tilde_operator] = ACTIONS(11414),
    [sym__type_order_operator] = ACTIONS(11414),
    [sym__unary_operator] = ACTIONS(11414),
    [sym__unary_plus_operator] = ACTIONS(11414),
    [aux_sym__terminator_token1] = ACTIONS(11416),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7753] = {
    [sym_block_comment] = STATE(7753),
    [sym_line_comment] = STATE(7753),
    [sym__word_identifier] = ACTIONS(11418),
    [anon_sym_COMMA] = ACTIONS(11418),
    [anon_sym_EQ] = ACTIONS(11418),
    [anon_sym_begin] = ACTIONS(11418),
    [anon_sym_module] = ACTIONS(11418),
    [anon_sym_baremodule] = ACTIONS(11418),
    [anon_sym_end] = ACTIONS(11418),
    [anon_sym_abstract] = ACTIONS(11418),
    [anon_sym_primitive] = ACTIONS(11418),
    [anon_sym_mutable] = ACTIONS(11418),
    [anon_sym_struct] = ACTIONS(11418),
    [anon_sym_function] = ACTIONS(11418),
    [anon_sym_macro] = ACTIONS(11418),
    [anon_sym_quote] = ACTIONS(11418),
    [anon_sym_let] = ACTIONS(11418),
    [anon_sym_if] = ACTIONS(11418),
    [anon_sym_else] = ACTIONS(11418),
    [anon_sym_try] = ACTIONS(11418),
    [anon_sym_finally] = ACTIONS(11418),
    [anon_sym_for] = ACTIONS(11418),
    [anon_sym_while] = ACTIONS(11418),
    [sym_break_statement] = ACTIONS(11418),
    [sym_continue_statement] = ACTIONS(11418),
    [anon_sym_return] = ACTIONS(11418),
    [anon_sym_const] = ACTIONS(11418),
    [anon_sym_global] = ACTIONS(11418),
    [anon_sym_local] = ACTIONS(11418),
    [anon_sym_LPAREN] = ACTIONS(11418),
    [anon_sym_COLON] = ACTIONS(11418),
    [anon_sym_export] = ACTIONS(11418),
    [anon_sym_public] = ACTIONS(11418),
    [anon_sym_import] = ACTIONS(11418),
    [anon_sym_using] = ACTIONS(11418),
    [anon_sym_LBRACK] = ACTIONS(11418),
    [anon_sym_in] = ACTIONS(11418),
    [anon_sym_SEMI] = ACTIONS(11418),
    [anon_sym_LBRACE] = ACTIONS(11418),
    [anon_sym_DOLLAR] = ACTIONS(11418),
    [anon_sym_COLON2] = ACTIONS(11418),
    [anon_sym_COLON_COLON] = ACTIONS(11418),
    [anon_sym_isa] = ACTIONS(11418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11418),
    [anon_sym_QMARK] = ACTIONS(11418),
    [anon_sym_where] = ACTIONS(11418),
    [anon_sym_AT] = ACTIONS(11418),
    [anon_sym_true] = ACTIONS(11418),
    [anon_sym_false] = ACTIONS(11418),
    [aux_sym_integer_literal_token1] = ACTIONS(11418),
    [aux_sym_integer_literal_token2] = ACTIONS(11418),
    [aux_sym_integer_literal_token3] = ACTIONS(11418),
    [aux_sym_integer_literal_token4] = ACTIONS(11418),
    [aux_sym_float_literal_token1] = ACTIONS(11418),
    [aux_sym_float_literal_token3] = ACTIONS(11418),
    [aux_sym_float_literal_token4] = ACTIONS(11418),
    [sym_character_literal] = ACTIONS(11418),
    [anon_sym_DQUOTE] = ACTIONS(11418),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11418),
    [anon_sym_BQUOTE] = ACTIONS(11418),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11418),
    [sym__pair_operator] = ACTIONS(11418),
    [sym__arrow_operator] = ACTIONS(11418),
    [sym__lazy_or_operator] = ACTIONS(11418),
    [sym__lazy_and_operator] = ACTIONS(11418),
    [sym__comparison_operator] = ACTIONS(11418),
    [sym__pipe_right_operator] = ACTIONS(11418),
    [sym__pipe_left_operator] = ACTIONS(11418),
    [sym__ellipsis_operator] = ACTIONS(11418),
    [sym__plus_operator] = ACTIONS(11418),
    [sym__times_operator] = ACTIONS(11418),
    [sym__rational_operator] = ACTIONS(11418),
    [sym__bitshift_operator] = ACTIONS(11418),
    [sym__power_operator] = ACTIONS(11418),
    [sym__tilde_operator] = ACTIONS(11418),
    [sym__type_order_operator] = ACTIONS(11418),
    [sym__unary_operator] = ACTIONS(11418),
    [sym__unary_plus_operator] = ACTIONS(11418),
    [aux_sym__terminator_token1] = ACTIONS(11420),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7754] = {
    [sym_block_comment] = STATE(7754),
    [sym_line_comment] = STATE(7754),
    [sym__word_identifier] = ACTIONS(11422),
    [anon_sym_COMMA] = ACTIONS(11422),
    [anon_sym_EQ] = ACTIONS(11422),
    [anon_sym_begin] = ACTIONS(11422),
    [anon_sym_module] = ACTIONS(11422),
    [anon_sym_baremodule] = ACTIONS(11422),
    [anon_sym_end] = ACTIONS(11422),
    [anon_sym_abstract] = ACTIONS(11422),
    [anon_sym_primitive] = ACTIONS(11422),
    [anon_sym_mutable] = ACTIONS(11422),
    [anon_sym_struct] = ACTIONS(11422),
    [anon_sym_function] = ACTIONS(11422),
    [anon_sym_macro] = ACTIONS(11422),
    [anon_sym_quote] = ACTIONS(11422),
    [anon_sym_let] = ACTIONS(11422),
    [anon_sym_if] = ACTIONS(11422),
    [anon_sym_else] = ACTIONS(11422),
    [anon_sym_try] = ACTIONS(11422),
    [anon_sym_finally] = ACTIONS(11422),
    [anon_sym_for] = ACTIONS(11422),
    [anon_sym_while] = ACTIONS(11422),
    [sym_break_statement] = ACTIONS(11422),
    [sym_continue_statement] = ACTIONS(11422),
    [anon_sym_return] = ACTIONS(11422),
    [anon_sym_const] = ACTIONS(11422),
    [anon_sym_global] = ACTIONS(11422),
    [anon_sym_local] = ACTIONS(11422),
    [anon_sym_LPAREN] = ACTIONS(11422),
    [anon_sym_COLON] = ACTIONS(11422),
    [anon_sym_export] = ACTIONS(11422),
    [anon_sym_public] = ACTIONS(11422),
    [anon_sym_import] = ACTIONS(11422),
    [anon_sym_using] = ACTIONS(11422),
    [anon_sym_LBRACK] = ACTIONS(11422),
    [anon_sym_in] = ACTIONS(11422),
    [anon_sym_SEMI] = ACTIONS(11422),
    [anon_sym_LBRACE] = ACTIONS(11422),
    [anon_sym_DOLLAR] = ACTIONS(11422),
    [anon_sym_COLON2] = ACTIONS(11422),
    [anon_sym_COLON_COLON] = ACTIONS(11422),
    [anon_sym_isa] = ACTIONS(11422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11422),
    [anon_sym_QMARK] = ACTIONS(11422),
    [anon_sym_where] = ACTIONS(11422),
    [anon_sym_AT] = ACTIONS(11422),
    [anon_sym_true] = ACTIONS(11422),
    [anon_sym_false] = ACTIONS(11422),
    [aux_sym_integer_literal_token1] = ACTIONS(11422),
    [aux_sym_integer_literal_token2] = ACTIONS(11422),
    [aux_sym_integer_literal_token3] = ACTIONS(11422),
    [aux_sym_integer_literal_token4] = ACTIONS(11422),
    [aux_sym_float_literal_token1] = ACTIONS(11422),
    [aux_sym_float_literal_token3] = ACTIONS(11422),
    [aux_sym_float_literal_token4] = ACTIONS(11422),
    [sym_character_literal] = ACTIONS(11422),
    [anon_sym_DQUOTE] = ACTIONS(11422),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11422),
    [anon_sym_BQUOTE] = ACTIONS(11422),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11422),
    [sym__pair_operator] = ACTIONS(11422),
    [sym__arrow_operator] = ACTIONS(11422),
    [sym__lazy_or_operator] = ACTIONS(11422),
    [sym__lazy_and_operator] = ACTIONS(11422),
    [sym__comparison_operator] = ACTIONS(11422),
    [sym__pipe_right_operator] = ACTIONS(11422),
    [sym__pipe_left_operator] = ACTIONS(11422),
    [sym__ellipsis_operator] = ACTIONS(11422),
    [sym__plus_operator] = ACTIONS(11422),
    [sym__times_operator] = ACTIONS(11422),
    [sym__rational_operator] = ACTIONS(11422),
    [sym__bitshift_operator] = ACTIONS(11422),
    [sym__power_operator] = ACTIONS(11422),
    [sym__tilde_operator] = ACTIONS(11422),
    [sym__type_order_operator] = ACTIONS(11422),
    [sym__unary_operator] = ACTIONS(11422),
    [sym__unary_plus_operator] = ACTIONS(11422),
    [aux_sym__terminator_token1] = ACTIONS(11424),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7755] = {
    [sym_block_comment] = STATE(7755),
    [sym_line_comment] = STATE(7755),
    [sym__word_identifier] = ACTIONS(11426),
    [anon_sym_COMMA] = ACTIONS(11426),
    [anon_sym_EQ] = ACTIONS(11426),
    [anon_sym_begin] = ACTIONS(11426),
    [anon_sym_module] = ACTIONS(11426),
    [anon_sym_baremodule] = ACTIONS(11426),
    [anon_sym_end] = ACTIONS(11426),
    [anon_sym_abstract] = ACTIONS(11426),
    [anon_sym_primitive] = ACTIONS(11426),
    [anon_sym_mutable] = ACTIONS(11426),
    [anon_sym_struct] = ACTIONS(11426),
    [anon_sym_function] = ACTIONS(11426),
    [anon_sym_macro] = ACTIONS(11426),
    [anon_sym_quote] = ACTIONS(11426),
    [anon_sym_let] = ACTIONS(11426),
    [anon_sym_if] = ACTIONS(11426),
    [anon_sym_else] = ACTIONS(11426),
    [anon_sym_try] = ACTIONS(11426),
    [anon_sym_finally] = ACTIONS(11426),
    [anon_sym_for] = ACTIONS(11426),
    [anon_sym_while] = ACTIONS(11426),
    [sym_break_statement] = ACTIONS(11426),
    [sym_continue_statement] = ACTIONS(11426),
    [anon_sym_return] = ACTIONS(11426),
    [anon_sym_const] = ACTIONS(11426),
    [anon_sym_global] = ACTIONS(11426),
    [anon_sym_local] = ACTIONS(11426),
    [anon_sym_LPAREN] = ACTIONS(11426),
    [anon_sym_COLON] = ACTIONS(11426),
    [anon_sym_export] = ACTIONS(11426),
    [anon_sym_public] = ACTIONS(11426),
    [anon_sym_import] = ACTIONS(11426),
    [anon_sym_using] = ACTIONS(11426),
    [anon_sym_LBRACK] = ACTIONS(11426),
    [anon_sym_in] = ACTIONS(11426),
    [anon_sym_SEMI] = ACTIONS(11426),
    [anon_sym_LBRACE] = ACTIONS(11426),
    [anon_sym_DOLLAR] = ACTIONS(11426),
    [anon_sym_COLON2] = ACTIONS(11426),
    [anon_sym_COLON_COLON] = ACTIONS(11426),
    [anon_sym_isa] = ACTIONS(11426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11426),
    [anon_sym_QMARK] = ACTIONS(11426),
    [anon_sym_where] = ACTIONS(11426),
    [anon_sym_AT] = ACTIONS(11426),
    [anon_sym_true] = ACTIONS(11426),
    [anon_sym_false] = ACTIONS(11426),
    [aux_sym_integer_literal_token1] = ACTIONS(11426),
    [aux_sym_integer_literal_token2] = ACTIONS(11426),
    [aux_sym_integer_literal_token3] = ACTIONS(11426),
    [aux_sym_integer_literal_token4] = ACTIONS(11426),
    [aux_sym_float_literal_token1] = ACTIONS(11426),
    [aux_sym_float_literal_token3] = ACTIONS(11426),
    [aux_sym_float_literal_token4] = ACTIONS(11426),
    [sym_character_literal] = ACTIONS(11426),
    [anon_sym_DQUOTE] = ACTIONS(11426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11426),
    [anon_sym_BQUOTE] = ACTIONS(11426),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11426),
    [sym__pair_operator] = ACTIONS(11426),
    [sym__arrow_operator] = ACTIONS(11426),
    [sym__lazy_or_operator] = ACTIONS(11426),
    [sym__lazy_and_operator] = ACTIONS(11426),
    [sym__comparison_operator] = ACTIONS(11426),
    [sym__pipe_right_operator] = ACTIONS(11426),
    [sym__pipe_left_operator] = ACTIONS(11426),
    [sym__ellipsis_operator] = ACTIONS(11426),
    [sym__plus_operator] = ACTIONS(11426),
    [sym__times_operator] = ACTIONS(11426),
    [sym__rational_operator] = ACTIONS(11426),
    [sym__bitshift_operator] = ACTIONS(11426),
    [sym__power_operator] = ACTIONS(11426),
    [sym__tilde_operator] = ACTIONS(11426),
    [sym__type_order_operator] = ACTIONS(11426),
    [sym__unary_operator] = ACTIONS(11426),
    [sym__unary_plus_operator] = ACTIONS(11426),
    [aux_sym__terminator_token1] = ACTIONS(11428),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7756] = {
    [sym__comprehension_clause] = STATE(19156),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(7756),
    [sym_line_comment] = STATE(7756),
    [aux_sym_vector_expression_repeat1] = STATE(17608),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11432),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11439),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11443),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11478),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7757] = {
    [sym_block_comment] = STATE(7757),
    [sym_line_comment] = STATE(7757),
    [sym__word_identifier] = ACTIONS(11481),
    [anon_sym_COMMA] = ACTIONS(11481),
    [anon_sym_EQ] = ACTIONS(11481),
    [anon_sym_begin] = ACTIONS(11481),
    [anon_sym_module] = ACTIONS(11481),
    [anon_sym_baremodule] = ACTIONS(11481),
    [anon_sym_end] = ACTIONS(11481),
    [anon_sym_abstract] = ACTIONS(11481),
    [anon_sym_primitive] = ACTIONS(11481),
    [anon_sym_mutable] = ACTIONS(11481),
    [anon_sym_struct] = ACTIONS(11481),
    [anon_sym_function] = ACTIONS(11481),
    [anon_sym_macro] = ACTIONS(11481),
    [anon_sym_quote] = ACTIONS(11481),
    [anon_sym_let] = ACTIONS(11481),
    [anon_sym_if] = ACTIONS(11481),
    [anon_sym_else] = ACTIONS(11481),
    [anon_sym_try] = ACTIONS(11481),
    [anon_sym_finally] = ACTIONS(11481),
    [anon_sym_for] = ACTIONS(11481),
    [anon_sym_while] = ACTIONS(11481),
    [sym_break_statement] = ACTIONS(11481),
    [sym_continue_statement] = ACTIONS(11481),
    [anon_sym_return] = ACTIONS(11481),
    [anon_sym_const] = ACTIONS(11481),
    [anon_sym_global] = ACTIONS(11481),
    [anon_sym_local] = ACTIONS(11481),
    [anon_sym_LPAREN] = ACTIONS(11481),
    [anon_sym_COLON] = ACTIONS(11481),
    [anon_sym_export] = ACTIONS(11481),
    [anon_sym_public] = ACTIONS(11481),
    [anon_sym_import] = ACTIONS(11481),
    [anon_sym_using] = ACTIONS(11481),
    [anon_sym_LBRACK] = ACTIONS(11481),
    [anon_sym_in] = ACTIONS(11481),
    [anon_sym_SEMI] = ACTIONS(11481),
    [anon_sym_LBRACE] = ACTIONS(11481),
    [anon_sym_DOLLAR] = ACTIONS(11481),
    [anon_sym_COLON2] = ACTIONS(11481),
    [anon_sym_COLON_COLON] = ACTIONS(11481),
    [anon_sym_isa] = ACTIONS(11481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11481),
    [anon_sym_QMARK] = ACTIONS(11481),
    [anon_sym_where] = ACTIONS(11481),
    [anon_sym_AT] = ACTIONS(11481),
    [anon_sym_true] = ACTIONS(11481),
    [anon_sym_false] = ACTIONS(11481),
    [aux_sym_integer_literal_token1] = ACTIONS(11481),
    [aux_sym_integer_literal_token2] = ACTIONS(11481),
    [aux_sym_integer_literal_token3] = ACTIONS(11481),
    [aux_sym_integer_literal_token4] = ACTIONS(11481),
    [aux_sym_float_literal_token1] = ACTIONS(11481),
    [aux_sym_float_literal_token3] = ACTIONS(11481),
    [aux_sym_float_literal_token4] = ACTIONS(11481),
    [sym_character_literal] = ACTIONS(11481),
    [anon_sym_DQUOTE] = ACTIONS(11481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11481),
    [anon_sym_BQUOTE] = ACTIONS(11481),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11481),
    [sym__pair_operator] = ACTIONS(11481),
    [sym__arrow_operator] = ACTIONS(11481),
    [sym__lazy_or_operator] = ACTIONS(11481),
    [sym__lazy_and_operator] = ACTIONS(11481),
    [sym__comparison_operator] = ACTIONS(11481),
    [sym__pipe_right_operator] = ACTIONS(11481),
    [sym__pipe_left_operator] = ACTIONS(11481),
    [sym__ellipsis_operator] = ACTIONS(11481),
    [sym__plus_operator] = ACTIONS(11481),
    [sym__times_operator] = ACTIONS(11481),
    [sym__rational_operator] = ACTIONS(11481),
    [sym__bitshift_operator] = ACTIONS(11481),
    [sym__power_operator] = ACTIONS(11481),
    [sym__tilde_operator] = ACTIONS(11481),
    [sym__type_order_operator] = ACTIONS(11481),
    [sym__unary_operator] = ACTIONS(11481),
    [sym__unary_plus_operator] = ACTIONS(11481),
    [aux_sym__terminator_token1] = ACTIONS(11483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7758] = {
    [sym_block_comment] = STATE(7758),
    [sym_line_comment] = STATE(7758),
    [sym__word_identifier] = ACTIONS(11485),
    [anon_sym_COMMA] = ACTIONS(11485),
    [anon_sym_EQ] = ACTIONS(11485),
    [anon_sym_begin] = ACTIONS(11485),
    [anon_sym_module] = ACTIONS(11485),
    [anon_sym_baremodule] = ACTIONS(11485),
    [anon_sym_end] = ACTIONS(11485),
    [anon_sym_abstract] = ACTIONS(11485),
    [anon_sym_primitive] = ACTIONS(11485),
    [anon_sym_mutable] = ACTIONS(11485),
    [anon_sym_struct] = ACTIONS(11485),
    [anon_sym_function] = ACTIONS(11485),
    [anon_sym_macro] = ACTIONS(11485),
    [anon_sym_quote] = ACTIONS(11485),
    [anon_sym_let] = ACTIONS(11485),
    [anon_sym_if] = ACTIONS(11485),
    [anon_sym_else] = ACTIONS(11485),
    [anon_sym_try] = ACTIONS(11485),
    [anon_sym_finally] = ACTIONS(11485),
    [anon_sym_for] = ACTIONS(11485),
    [anon_sym_while] = ACTIONS(11485),
    [sym_break_statement] = ACTIONS(11485),
    [sym_continue_statement] = ACTIONS(11485),
    [anon_sym_return] = ACTIONS(11485),
    [anon_sym_const] = ACTIONS(11485),
    [anon_sym_global] = ACTIONS(11485),
    [anon_sym_local] = ACTIONS(11485),
    [anon_sym_LPAREN] = ACTIONS(11485),
    [anon_sym_COLON] = ACTIONS(11485),
    [anon_sym_export] = ACTIONS(11485),
    [anon_sym_public] = ACTIONS(11485),
    [anon_sym_import] = ACTIONS(11485),
    [anon_sym_using] = ACTIONS(11485),
    [anon_sym_LBRACK] = ACTIONS(11485),
    [anon_sym_in] = ACTIONS(11485),
    [anon_sym_SEMI] = ACTIONS(11485),
    [anon_sym_LBRACE] = ACTIONS(11485),
    [anon_sym_DOLLAR] = ACTIONS(11485),
    [anon_sym_COLON2] = ACTIONS(11485),
    [anon_sym_COLON_COLON] = ACTIONS(11485),
    [anon_sym_isa] = ACTIONS(11485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11485),
    [anon_sym_QMARK] = ACTIONS(11485),
    [anon_sym_where] = ACTIONS(11485),
    [anon_sym_AT] = ACTIONS(11485),
    [anon_sym_true] = ACTIONS(11485),
    [anon_sym_false] = ACTIONS(11485),
    [aux_sym_integer_literal_token1] = ACTIONS(11485),
    [aux_sym_integer_literal_token2] = ACTIONS(11485),
    [aux_sym_integer_literal_token3] = ACTIONS(11485),
    [aux_sym_integer_literal_token4] = ACTIONS(11485),
    [aux_sym_float_literal_token1] = ACTIONS(11485),
    [aux_sym_float_literal_token3] = ACTIONS(11485),
    [aux_sym_float_literal_token4] = ACTIONS(11485),
    [sym_character_literal] = ACTIONS(11485),
    [anon_sym_DQUOTE] = ACTIONS(11485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11485),
    [anon_sym_BQUOTE] = ACTIONS(11485),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11485),
    [sym__pair_operator] = ACTIONS(11485),
    [sym__arrow_operator] = ACTIONS(11485),
    [sym__lazy_or_operator] = ACTIONS(11485),
    [sym__lazy_and_operator] = ACTIONS(11485),
    [sym__comparison_operator] = ACTIONS(11485),
    [sym__pipe_right_operator] = ACTIONS(11485),
    [sym__pipe_left_operator] = ACTIONS(11485),
    [sym__ellipsis_operator] = ACTIONS(11485),
    [sym__plus_operator] = ACTIONS(11485),
    [sym__times_operator] = ACTIONS(11485),
    [sym__rational_operator] = ACTIONS(11485),
    [sym__bitshift_operator] = ACTIONS(11485),
    [sym__power_operator] = ACTIONS(11485),
    [sym__tilde_operator] = ACTIONS(11485),
    [sym__type_order_operator] = ACTIONS(11485),
    [sym__unary_operator] = ACTIONS(11485),
    [sym__unary_plus_operator] = ACTIONS(11485),
    [aux_sym__terminator_token1] = ACTIONS(11487),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7759] = {
    [sym_block_comment] = STATE(7759),
    [sym_line_comment] = STATE(7759),
    [sym__word_identifier] = ACTIONS(11489),
    [anon_sym_COMMA] = ACTIONS(11489),
    [anon_sym_EQ] = ACTIONS(11489),
    [anon_sym_begin] = ACTIONS(11489),
    [anon_sym_module] = ACTIONS(11489),
    [anon_sym_baremodule] = ACTIONS(11489),
    [anon_sym_end] = ACTIONS(11489),
    [anon_sym_abstract] = ACTIONS(11489),
    [anon_sym_primitive] = ACTIONS(11489),
    [anon_sym_mutable] = ACTIONS(11489),
    [anon_sym_struct] = ACTIONS(11489),
    [anon_sym_function] = ACTIONS(11489),
    [anon_sym_macro] = ACTIONS(11489),
    [anon_sym_quote] = ACTIONS(11489),
    [anon_sym_let] = ACTIONS(11489),
    [anon_sym_if] = ACTIONS(11489),
    [anon_sym_else] = ACTIONS(11489),
    [anon_sym_try] = ACTIONS(11489),
    [anon_sym_finally] = ACTIONS(11489),
    [anon_sym_for] = ACTIONS(11489),
    [anon_sym_while] = ACTIONS(11489),
    [sym_break_statement] = ACTIONS(11489),
    [sym_continue_statement] = ACTIONS(11489),
    [anon_sym_return] = ACTIONS(11489),
    [anon_sym_const] = ACTIONS(11489),
    [anon_sym_global] = ACTIONS(11489),
    [anon_sym_local] = ACTIONS(11489),
    [anon_sym_LPAREN] = ACTIONS(11489),
    [anon_sym_COLON] = ACTIONS(11489),
    [anon_sym_export] = ACTIONS(11489),
    [anon_sym_public] = ACTIONS(11489),
    [anon_sym_import] = ACTIONS(11489),
    [anon_sym_using] = ACTIONS(11489),
    [anon_sym_LBRACK] = ACTIONS(11489),
    [anon_sym_in] = ACTIONS(11489),
    [anon_sym_SEMI] = ACTIONS(11489),
    [anon_sym_LBRACE] = ACTIONS(11489),
    [anon_sym_DOLLAR] = ACTIONS(11489),
    [anon_sym_COLON2] = ACTIONS(11489),
    [anon_sym_COLON_COLON] = ACTIONS(11489),
    [anon_sym_isa] = ACTIONS(11489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11489),
    [anon_sym_QMARK] = ACTIONS(11489),
    [anon_sym_where] = ACTIONS(11489),
    [anon_sym_AT] = ACTIONS(11489),
    [anon_sym_true] = ACTIONS(11489),
    [anon_sym_false] = ACTIONS(11489),
    [aux_sym_integer_literal_token1] = ACTIONS(11489),
    [aux_sym_integer_literal_token2] = ACTIONS(11489),
    [aux_sym_integer_literal_token3] = ACTIONS(11489),
    [aux_sym_integer_literal_token4] = ACTIONS(11489),
    [aux_sym_float_literal_token1] = ACTIONS(11489),
    [aux_sym_float_literal_token3] = ACTIONS(11489),
    [aux_sym_float_literal_token4] = ACTIONS(11489),
    [sym_character_literal] = ACTIONS(11489),
    [anon_sym_DQUOTE] = ACTIONS(11489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11489),
    [anon_sym_BQUOTE] = ACTIONS(11489),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11489),
    [sym__pair_operator] = ACTIONS(11489),
    [sym__arrow_operator] = ACTIONS(11489),
    [sym__lazy_or_operator] = ACTIONS(11489),
    [sym__lazy_and_operator] = ACTIONS(11489),
    [sym__comparison_operator] = ACTIONS(11489),
    [sym__pipe_right_operator] = ACTIONS(11489),
    [sym__pipe_left_operator] = ACTIONS(11489),
    [sym__ellipsis_operator] = ACTIONS(11489),
    [sym__plus_operator] = ACTIONS(11489),
    [sym__times_operator] = ACTIONS(11489),
    [sym__rational_operator] = ACTIONS(11489),
    [sym__bitshift_operator] = ACTIONS(11489),
    [sym__power_operator] = ACTIONS(11489),
    [sym__tilde_operator] = ACTIONS(11489),
    [sym__type_order_operator] = ACTIONS(11489),
    [sym__unary_operator] = ACTIONS(11489),
    [sym__unary_plus_operator] = ACTIONS(11489),
    [aux_sym__terminator_token1] = ACTIONS(11491),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7760] = {
    [sym_block_comment] = STATE(7760),
    [sym_line_comment] = STATE(7760),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_elseif] = ACTIONS(11038),
    [anon_sym_else] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7761] = {
    [sym_block_comment] = STATE(7761),
    [sym_line_comment] = STATE(7761),
    [ts_builtin_sym_end] = ACTIONS(11104),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11102),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_as] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11102),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11102),
    [anon_sym_RBRACK] = ACTIONS(11102),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_SEMI] = ACTIONS(11102),
    [anon_sym_LBRACE] = ACTIONS(11102),
    [anon_sym_DOLLAR] = ACTIONS(11102),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11102),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11102),
    [anon_sym_QMARK] = ACTIONS(11102),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11102),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11102),
    [aux_sym_integer_literal_token2] = ACTIONS(11102),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11102),
    [aux_sym_float_literal_token3] = ACTIONS(11102),
    [aux_sym_float_literal_token4] = ACTIONS(11102),
    [sym_character_literal] = ACTIONS(11102),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(11102),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11102),
    [sym__lazy_and_operator] = ACTIONS(11102),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11102),
    [sym__pipe_left_operator] = ACTIONS(11102),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11102),
    [sym__bitshift_operator] = ACTIONS(11102),
    [sym__power_operator] = ACTIONS(11102),
    [sym__tilde_operator] = ACTIONS(11102),
    [sym__type_order_operator] = ACTIONS(11102),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym__terminator_token1] = ACTIONS(11104),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7762] = {
    [sym_block_comment] = STATE(7762),
    [sym_line_comment] = STATE(7762),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(11149),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_end] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_else] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_finally] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11149),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11149),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_SEMI] = ACTIONS(11149),
    [anon_sym_LBRACE] = ACTIONS(11149),
    [anon_sym_DOLLAR] = ACTIONS(11149),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11149),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11149),
    [anon_sym_QMARK] = ACTIONS(11149),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11149),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11149),
    [aux_sym_integer_literal_token2] = ACTIONS(11149),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11149),
    [aux_sym_float_literal_token3] = ACTIONS(11149),
    [aux_sym_float_literal_token4] = ACTIONS(11149),
    [sym_character_literal] = ACTIONS(11149),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11149),
    [sym__pair_operator] = ACTIONS(11149),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11149),
    [sym__lazy_and_operator] = ACTIONS(11149),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11149),
    [sym__pipe_left_operator] = ACTIONS(11149),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11149),
    [sym__bitshift_operator] = ACTIONS(11149),
    [sym__power_operator] = ACTIONS(11149),
    [sym__tilde_operator] = ACTIONS(11149),
    [sym__type_order_operator] = ACTIONS(11149),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym__terminator_token1] = ACTIONS(11154),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7763] = {
    [sym_block_comment] = STATE(7763),
    [sym_line_comment] = STATE(7763),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11159),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_else] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_finally] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7764] = {
    [sym_block_comment] = STATE(7764),
    [sym_line_comment] = STATE(7764),
    [sym__word_identifier] = ACTIONS(11493),
    [anon_sym_COMMA] = ACTIONS(11493),
    [anon_sym_EQ] = ACTIONS(11493),
    [anon_sym_begin] = ACTIONS(11493),
    [anon_sym_module] = ACTIONS(11493),
    [anon_sym_baremodule] = ACTIONS(11493),
    [anon_sym_end] = ACTIONS(11493),
    [anon_sym_abstract] = ACTIONS(11493),
    [anon_sym_primitive] = ACTIONS(11493),
    [anon_sym_mutable] = ACTIONS(11493),
    [anon_sym_struct] = ACTIONS(11493),
    [anon_sym_function] = ACTIONS(11493),
    [anon_sym_macro] = ACTIONS(11493),
    [anon_sym_quote] = ACTIONS(11493),
    [anon_sym_let] = ACTIONS(11493),
    [anon_sym_if] = ACTIONS(11493),
    [anon_sym_else] = ACTIONS(11493),
    [anon_sym_try] = ACTIONS(11493),
    [anon_sym_finally] = ACTIONS(11493),
    [anon_sym_for] = ACTIONS(11493),
    [anon_sym_while] = ACTIONS(11493),
    [sym_break_statement] = ACTIONS(11493),
    [sym_continue_statement] = ACTIONS(11493),
    [anon_sym_return] = ACTIONS(11493),
    [anon_sym_const] = ACTIONS(11493),
    [anon_sym_global] = ACTIONS(11493),
    [anon_sym_local] = ACTIONS(11493),
    [anon_sym_LPAREN] = ACTIONS(11493),
    [anon_sym_COLON] = ACTIONS(11493),
    [anon_sym_export] = ACTIONS(11493),
    [anon_sym_public] = ACTIONS(11493),
    [anon_sym_import] = ACTIONS(11493),
    [anon_sym_using] = ACTIONS(11493),
    [anon_sym_LBRACK] = ACTIONS(11493),
    [anon_sym_in] = ACTIONS(11493),
    [anon_sym_SEMI] = ACTIONS(11493),
    [anon_sym_LBRACE] = ACTIONS(11493),
    [anon_sym_DOLLAR] = ACTIONS(11493),
    [anon_sym_COLON2] = ACTIONS(11493),
    [anon_sym_COLON_COLON] = ACTIONS(11493),
    [anon_sym_isa] = ACTIONS(11493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11493),
    [anon_sym_QMARK] = ACTIONS(11493),
    [anon_sym_where] = ACTIONS(11493),
    [anon_sym_AT] = ACTIONS(11493),
    [anon_sym_true] = ACTIONS(11493),
    [anon_sym_false] = ACTIONS(11493),
    [aux_sym_integer_literal_token1] = ACTIONS(11493),
    [aux_sym_integer_literal_token2] = ACTIONS(11493),
    [aux_sym_integer_literal_token3] = ACTIONS(11493),
    [aux_sym_integer_literal_token4] = ACTIONS(11493),
    [aux_sym_float_literal_token1] = ACTIONS(11493),
    [aux_sym_float_literal_token3] = ACTIONS(11493),
    [aux_sym_float_literal_token4] = ACTIONS(11493),
    [sym_character_literal] = ACTIONS(11493),
    [anon_sym_DQUOTE] = ACTIONS(11493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11493),
    [anon_sym_BQUOTE] = ACTIONS(11493),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11493),
    [sym__pair_operator] = ACTIONS(11493),
    [sym__arrow_operator] = ACTIONS(11493),
    [sym__lazy_or_operator] = ACTIONS(11493),
    [sym__lazy_and_operator] = ACTIONS(11493),
    [sym__comparison_operator] = ACTIONS(11493),
    [sym__pipe_right_operator] = ACTIONS(11493),
    [sym__pipe_left_operator] = ACTIONS(11493),
    [sym__ellipsis_operator] = ACTIONS(11493),
    [sym__plus_operator] = ACTIONS(11493),
    [sym__times_operator] = ACTIONS(11493),
    [sym__rational_operator] = ACTIONS(11493),
    [sym__bitshift_operator] = ACTIONS(11493),
    [sym__power_operator] = ACTIONS(11493),
    [sym__tilde_operator] = ACTIONS(11493),
    [sym__type_order_operator] = ACTIONS(11493),
    [sym__unary_operator] = ACTIONS(11493),
    [sym__unary_plus_operator] = ACTIONS(11493),
    [aux_sym__terminator_token1] = ACTIONS(11495),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7765] = {
    [sym_block_comment] = STATE(7765),
    [sym_line_comment] = STATE(7765),
    [sym__word_identifier] = ACTIONS(11497),
    [anon_sym_COMMA] = ACTIONS(11497),
    [anon_sym_EQ] = ACTIONS(11497),
    [anon_sym_begin] = ACTIONS(11497),
    [anon_sym_module] = ACTIONS(11497),
    [anon_sym_baremodule] = ACTIONS(11497),
    [anon_sym_end] = ACTIONS(11497),
    [anon_sym_abstract] = ACTIONS(11497),
    [anon_sym_primitive] = ACTIONS(11497),
    [anon_sym_mutable] = ACTIONS(11497),
    [anon_sym_struct] = ACTIONS(11497),
    [anon_sym_function] = ACTIONS(11497),
    [anon_sym_macro] = ACTIONS(11497),
    [anon_sym_quote] = ACTIONS(11497),
    [anon_sym_let] = ACTIONS(11497),
    [anon_sym_if] = ACTIONS(11497),
    [anon_sym_else] = ACTIONS(11497),
    [anon_sym_try] = ACTIONS(11497),
    [anon_sym_finally] = ACTIONS(11497),
    [anon_sym_for] = ACTIONS(11497),
    [anon_sym_while] = ACTIONS(11497),
    [sym_break_statement] = ACTIONS(11497),
    [sym_continue_statement] = ACTIONS(11497),
    [anon_sym_return] = ACTIONS(11497),
    [anon_sym_const] = ACTIONS(11497),
    [anon_sym_global] = ACTIONS(11497),
    [anon_sym_local] = ACTIONS(11497),
    [anon_sym_LPAREN] = ACTIONS(11497),
    [anon_sym_COLON] = ACTIONS(11497),
    [anon_sym_export] = ACTIONS(11497),
    [anon_sym_public] = ACTIONS(11497),
    [anon_sym_import] = ACTIONS(11497),
    [anon_sym_using] = ACTIONS(11497),
    [anon_sym_LBRACK] = ACTIONS(11497),
    [anon_sym_in] = ACTIONS(11497),
    [anon_sym_SEMI] = ACTIONS(11497),
    [anon_sym_LBRACE] = ACTIONS(11497),
    [anon_sym_DOLLAR] = ACTIONS(11497),
    [anon_sym_COLON2] = ACTIONS(11497),
    [anon_sym_COLON_COLON] = ACTIONS(11497),
    [anon_sym_isa] = ACTIONS(11497),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11497),
    [anon_sym_QMARK] = ACTIONS(11497),
    [anon_sym_where] = ACTIONS(11497),
    [anon_sym_AT] = ACTIONS(11497),
    [anon_sym_true] = ACTIONS(11497),
    [anon_sym_false] = ACTIONS(11497),
    [aux_sym_integer_literal_token1] = ACTIONS(11497),
    [aux_sym_integer_literal_token2] = ACTIONS(11497),
    [aux_sym_integer_literal_token3] = ACTIONS(11497),
    [aux_sym_integer_literal_token4] = ACTIONS(11497),
    [aux_sym_float_literal_token1] = ACTIONS(11497),
    [aux_sym_float_literal_token3] = ACTIONS(11497),
    [aux_sym_float_literal_token4] = ACTIONS(11497),
    [sym_character_literal] = ACTIONS(11497),
    [anon_sym_DQUOTE] = ACTIONS(11497),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11497),
    [anon_sym_BQUOTE] = ACTIONS(11497),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11497),
    [sym__pair_operator] = ACTIONS(11497),
    [sym__arrow_operator] = ACTIONS(11497),
    [sym__lazy_or_operator] = ACTIONS(11497),
    [sym__lazy_and_operator] = ACTIONS(11497),
    [sym__comparison_operator] = ACTIONS(11497),
    [sym__pipe_right_operator] = ACTIONS(11497),
    [sym__pipe_left_operator] = ACTIONS(11497),
    [sym__ellipsis_operator] = ACTIONS(11497),
    [sym__plus_operator] = ACTIONS(11497),
    [sym__times_operator] = ACTIONS(11497),
    [sym__rational_operator] = ACTIONS(11497),
    [sym__bitshift_operator] = ACTIONS(11497),
    [sym__power_operator] = ACTIONS(11497),
    [sym__tilde_operator] = ACTIONS(11497),
    [sym__type_order_operator] = ACTIONS(11497),
    [sym__unary_operator] = ACTIONS(11497),
    [sym__unary_plus_operator] = ACTIONS(11497),
    [aux_sym__terminator_token1] = ACTIONS(11499),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7766] = {
    [sym_block_comment] = STATE(7766),
    [sym_line_comment] = STATE(7766),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10387),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10387),
    [anon_sym_RPAREN] = ACTIONS(10387),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10387),
    [anon_sym_RBRACK] = ACTIONS(10387),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10387),
    [anon_sym_LBRACE] = ACTIONS(10387),
    [anon_sym_RBRACE] = ACTIONS(10387),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10387),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10387),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10387),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10387),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10387),
    [aux_sym_integer_literal_token2] = ACTIONS(10387),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10387),
    [aux_sym_float_literal_token3] = ACTIONS(10387),
    [aux_sym_float_literal_token4] = ACTIONS(10387),
    [sym_character_literal] = ACTIONS(10387),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10387),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10387),
    [sym__pair_operator] = ACTIONS(10387),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10387),
    [sym__lazy_and_operator] = ACTIONS(10387),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10387),
    [sym__pipe_left_operator] = ACTIONS(10387),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10387),
    [sym__bitshift_operator] = ACTIONS(10387),
    [sym__power_operator] = ACTIONS(10387),
    [sym__tilde_operator] = ACTIONS(10387),
    [sym__type_order_operator] = ACTIONS(10387),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7767] = {
    [sym_block_comment] = STATE(7767),
    [sym_line_comment] = STATE(7767),
    [sym__word_identifier] = ACTIONS(11501),
    [anon_sym_COMMA] = ACTIONS(11501),
    [anon_sym_EQ] = ACTIONS(11501),
    [anon_sym_begin] = ACTIONS(11501),
    [anon_sym_module] = ACTIONS(11501),
    [anon_sym_baremodule] = ACTIONS(11501),
    [anon_sym_end] = ACTIONS(11501),
    [anon_sym_abstract] = ACTIONS(11501),
    [anon_sym_primitive] = ACTIONS(11501),
    [anon_sym_mutable] = ACTIONS(11501),
    [anon_sym_struct] = ACTIONS(11501),
    [anon_sym_function] = ACTIONS(11501),
    [anon_sym_macro] = ACTIONS(11501),
    [anon_sym_quote] = ACTIONS(11501),
    [anon_sym_let] = ACTIONS(11501),
    [anon_sym_if] = ACTIONS(11501),
    [anon_sym_else] = ACTIONS(11501),
    [anon_sym_try] = ACTIONS(11501),
    [anon_sym_finally] = ACTIONS(11501),
    [anon_sym_for] = ACTIONS(11501),
    [anon_sym_while] = ACTIONS(11501),
    [sym_break_statement] = ACTIONS(11501),
    [sym_continue_statement] = ACTIONS(11501),
    [anon_sym_return] = ACTIONS(11501),
    [anon_sym_const] = ACTIONS(11501),
    [anon_sym_global] = ACTIONS(11501),
    [anon_sym_local] = ACTIONS(11501),
    [anon_sym_LPAREN] = ACTIONS(11501),
    [anon_sym_COLON] = ACTIONS(11501),
    [anon_sym_export] = ACTIONS(11501),
    [anon_sym_public] = ACTIONS(11501),
    [anon_sym_import] = ACTIONS(11501),
    [anon_sym_using] = ACTIONS(11501),
    [anon_sym_LBRACK] = ACTIONS(11501),
    [anon_sym_in] = ACTIONS(11501),
    [anon_sym_SEMI] = ACTIONS(11501),
    [anon_sym_LBRACE] = ACTIONS(11501),
    [anon_sym_DOLLAR] = ACTIONS(11501),
    [anon_sym_COLON2] = ACTIONS(11501),
    [anon_sym_COLON_COLON] = ACTIONS(11501),
    [anon_sym_isa] = ACTIONS(11501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11501),
    [anon_sym_QMARK] = ACTIONS(11501),
    [anon_sym_where] = ACTIONS(11501),
    [anon_sym_AT] = ACTIONS(11501),
    [anon_sym_true] = ACTIONS(11501),
    [anon_sym_false] = ACTIONS(11501),
    [aux_sym_integer_literal_token1] = ACTIONS(11501),
    [aux_sym_integer_literal_token2] = ACTIONS(11501),
    [aux_sym_integer_literal_token3] = ACTIONS(11501),
    [aux_sym_integer_literal_token4] = ACTIONS(11501),
    [aux_sym_float_literal_token1] = ACTIONS(11501),
    [aux_sym_float_literal_token3] = ACTIONS(11501),
    [aux_sym_float_literal_token4] = ACTIONS(11501),
    [sym_character_literal] = ACTIONS(11501),
    [anon_sym_DQUOTE] = ACTIONS(11501),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11501),
    [anon_sym_BQUOTE] = ACTIONS(11501),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11501),
    [sym__pair_operator] = ACTIONS(11501),
    [sym__arrow_operator] = ACTIONS(11501),
    [sym__lazy_or_operator] = ACTIONS(11501),
    [sym__lazy_and_operator] = ACTIONS(11501),
    [sym__comparison_operator] = ACTIONS(11501),
    [sym__pipe_right_operator] = ACTIONS(11501),
    [sym__pipe_left_operator] = ACTIONS(11501),
    [sym__ellipsis_operator] = ACTIONS(11501),
    [sym__plus_operator] = ACTIONS(11501),
    [sym__times_operator] = ACTIONS(11501),
    [sym__rational_operator] = ACTIONS(11501),
    [sym__bitshift_operator] = ACTIONS(11501),
    [sym__power_operator] = ACTIONS(11501),
    [sym__tilde_operator] = ACTIONS(11501),
    [sym__type_order_operator] = ACTIONS(11501),
    [sym__unary_operator] = ACTIONS(11501),
    [sym__unary_plus_operator] = ACTIONS(11501),
    [aux_sym__terminator_token1] = ACTIONS(11503),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7768] = {
    [sym_block_comment] = STATE(7768),
    [sym_line_comment] = STATE(7768),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_catch] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7769] = {
    [sym_block_comment] = STATE(7769),
    [sym_line_comment] = STATE(7769),
    [sym__word_identifier] = ACTIONS(11300),
    [anon_sym_COMMA] = ACTIONS(11300),
    [anon_sym_EQ] = ACTIONS(11300),
    [anon_sym_begin] = ACTIONS(11300),
    [anon_sym_module] = ACTIONS(11300),
    [anon_sym_baremodule] = ACTIONS(11300),
    [anon_sym_end] = ACTIONS(11300),
    [anon_sym_abstract] = ACTIONS(11300),
    [anon_sym_primitive] = ACTIONS(11300),
    [anon_sym_mutable] = ACTIONS(11300),
    [anon_sym_struct] = ACTIONS(11300),
    [anon_sym_function] = ACTIONS(11300),
    [anon_sym_macro] = ACTIONS(11300),
    [anon_sym_quote] = ACTIONS(11300),
    [anon_sym_let] = ACTIONS(11300),
    [anon_sym_if] = ACTIONS(11300),
    [anon_sym_elseif] = ACTIONS(11300),
    [anon_sym_else] = ACTIONS(11300),
    [anon_sym_try] = ACTIONS(11300),
    [anon_sym_for] = ACTIONS(11300),
    [anon_sym_while] = ACTIONS(11300),
    [sym_break_statement] = ACTIONS(11300),
    [sym_continue_statement] = ACTIONS(11300),
    [anon_sym_return] = ACTIONS(11300),
    [anon_sym_const] = ACTIONS(11300),
    [anon_sym_global] = ACTIONS(11300),
    [anon_sym_local] = ACTIONS(11300),
    [anon_sym_LPAREN] = ACTIONS(11300),
    [anon_sym_COLON] = ACTIONS(11300),
    [anon_sym_export] = ACTIONS(11300),
    [anon_sym_public] = ACTIONS(11300),
    [anon_sym_import] = ACTIONS(11300),
    [anon_sym_using] = ACTIONS(11300),
    [anon_sym_LBRACK] = ACTIONS(11300),
    [anon_sym_in] = ACTIONS(11300),
    [anon_sym_SEMI] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(11300),
    [anon_sym_DOLLAR] = ACTIONS(11300),
    [anon_sym_COLON2] = ACTIONS(11300),
    [anon_sym_COLON_COLON] = ACTIONS(11300),
    [anon_sym_isa] = ACTIONS(11300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11300),
    [anon_sym_QMARK] = ACTIONS(11300),
    [anon_sym_where] = ACTIONS(11300),
    [anon_sym_AT] = ACTIONS(11300),
    [anon_sym_true] = ACTIONS(11300),
    [anon_sym_false] = ACTIONS(11300),
    [aux_sym_integer_literal_token1] = ACTIONS(11300),
    [aux_sym_integer_literal_token2] = ACTIONS(11300),
    [aux_sym_integer_literal_token3] = ACTIONS(11300),
    [aux_sym_integer_literal_token4] = ACTIONS(11300),
    [aux_sym_float_literal_token1] = ACTIONS(11300),
    [aux_sym_float_literal_token3] = ACTIONS(11300),
    [aux_sym_float_literal_token4] = ACTIONS(11300),
    [sym_character_literal] = ACTIONS(11300),
    [anon_sym_DQUOTE] = ACTIONS(11300),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11300),
    [anon_sym_BQUOTE] = ACTIONS(11300),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11300),
    [sym__pair_operator] = ACTIONS(11300),
    [sym__arrow_operator] = ACTIONS(11300),
    [sym__lazy_or_operator] = ACTIONS(11300),
    [sym__lazy_and_operator] = ACTIONS(11300),
    [sym__comparison_operator] = ACTIONS(11300),
    [sym__pipe_right_operator] = ACTIONS(11300),
    [sym__pipe_left_operator] = ACTIONS(11300),
    [sym__ellipsis_operator] = ACTIONS(11300),
    [sym__plus_operator] = ACTIONS(11300),
    [sym__times_operator] = ACTIONS(11300),
    [sym__rational_operator] = ACTIONS(11300),
    [sym__bitshift_operator] = ACTIONS(11300),
    [sym__power_operator] = ACTIONS(11300),
    [sym__tilde_operator] = ACTIONS(11300),
    [sym__type_order_operator] = ACTIONS(11300),
    [sym__unary_operator] = ACTIONS(11300),
    [sym__unary_plus_operator] = ACTIONS(11300),
    [aux_sym__terminator_token1] = ACTIONS(11302),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7770] = {
    [sym_block_comment] = STATE(7770),
    [sym_line_comment] = STATE(7770),
    [sym__word_identifier] = ACTIONS(11505),
    [anon_sym_COMMA] = ACTIONS(11505),
    [anon_sym_EQ] = ACTIONS(11505),
    [anon_sym_begin] = ACTIONS(11505),
    [anon_sym_module] = ACTIONS(11505),
    [anon_sym_baremodule] = ACTIONS(11505),
    [anon_sym_end] = ACTIONS(11505),
    [anon_sym_abstract] = ACTIONS(11505),
    [anon_sym_primitive] = ACTIONS(11505),
    [anon_sym_mutable] = ACTIONS(11505),
    [anon_sym_struct] = ACTIONS(11505),
    [anon_sym_function] = ACTIONS(11505),
    [anon_sym_macro] = ACTIONS(11505),
    [anon_sym_quote] = ACTIONS(11505),
    [anon_sym_let] = ACTIONS(11505),
    [anon_sym_if] = ACTIONS(11505),
    [anon_sym_else] = ACTIONS(11505),
    [anon_sym_try] = ACTIONS(11505),
    [anon_sym_finally] = ACTIONS(11505),
    [anon_sym_for] = ACTIONS(11505),
    [anon_sym_while] = ACTIONS(11505),
    [sym_break_statement] = ACTIONS(11505),
    [sym_continue_statement] = ACTIONS(11505),
    [anon_sym_return] = ACTIONS(11505),
    [anon_sym_const] = ACTIONS(11505),
    [anon_sym_global] = ACTIONS(11505),
    [anon_sym_local] = ACTIONS(11505),
    [anon_sym_LPAREN] = ACTIONS(11505),
    [anon_sym_COLON] = ACTIONS(11505),
    [anon_sym_export] = ACTIONS(11505),
    [anon_sym_public] = ACTIONS(11505),
    [anon_sym_import] = ACTIONS(11505),
    [anon_sym_using] = ACTIONS(11505),
    [anon_sym_LBRACK] = ACTIONS(11505),
    [anon_sym_in] = ACTIONS(11505),
    [anon_sym_SEMI] = ACTIONS(11505),
    [anon_sym_LBRACE] = ACTIONS(11505),
    [anon_sym_DOLLAR] = ACTIONS(11505),
    [anon_sym_COLON2] = ACTIONS(11505),
    [anon_sym_COLON_COLON] = ACTIONS(11505),
    [anon_sym_isa] = ACTIONS(11505),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11505),
    [anon_sym_QMARK] = ACTIONS(11505),
    [anon_sym_where] = ACTIONS(11505),
    [anon_sym_AT] = ACTIONS(11505),
    [anon_sym_true] = ACTIONS(11505),
    [anon_sym_false] = ACTIONS(11505),
    [aux_sym_integer_literal_token1] = ACTIONS(11505),
    [aux_sym_integer_literal_token2] = ACTIONS(11505),
    [aux_sym_integer_literal_token3] = ACTIONS(11505),
    [aux_sym_integer_literal_token4] = ACTIONS(11505),
    [aux_sym_float_literal_token1] = ACTIONS(11505),
    [aux_sym_float_literal_token3] = ACTIONS(11505),
    [aux_sym_float_literal_token4] = ACTIONS(11505),
    [sym_character_literal] = ACTIONS(11505),
    [anon_sym_DQUOTE] = ACTIONS(11505),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11505),
    [anon_sym_BQUOTE] = ACTIONS(11505),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11505),
    [sym__pair_operator] = ACTIONS(11505),
    [sym__arrow_operator] = ACTIONS(11505),
    [sym__lazy_or_operator] = ACTIONS(11505),
    [sym__lazy_and_operator] = ACTIONS(11505),
    [sym__comparison_operator] = ACTIONS(11505),
    [sym__pipe_right_operator] = ACTIONS(11505),
    [sym__pipe_left_operator] = ACTIONS(11505),
    [sym__ellipsis_operator] = ACTIONS(11505),
    [sym__plus_operator] = ACTIONS(11505),
    [sym__times_operator] = ACTIONS(11505),
    [sym__rational_operator] = ACTIONS(11505),
    [sym__bitshift_operator] = ACTIONS(11505),
    [sym__power_operator] = ACTIONS(11505),
    [sym__tilde_operator] = ACTIONS(11505),
    [sym__type_order_operator] = ACTIONS(11505),
    [sym__unary_operator] = ACTIONS(11505),
    [sym__unary_plus_operator] = ACTIONS(11505),
    [aux_sym__terminator_token1] = ACTIONS(11507),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7771] = {
    [sym_block_comment] = STATE(7771),
    [sym_line_comment] = STATE(7771),
    [sym__word_identifier] = ACTIONS(11509),
    [anon_sym_COMMA] = ACTIONS(11509),
    [anon_sym_EQ] = ACTIONS(11509),
    [anon_sym_begin] = ACTIONS(11509),
    [anon_sym_module] = ACTIONS(11509),
    [anon_sym_baremodule] = ACTIONS(11509),
    [anon_sym_end] = ACTIONS(11509),
    [anon_sym_abstract] = ACTIONS(11509),
    [anon_sym_primitive] = ACTIONS(11509),
    [anon_sym_mutable] = ACTIONS(11509),
    [anon_sym_struct] = ACTIONS(11509),
    [anon_sym_function] = ACTIONS(11509),
    [anon_sym_macro] = ACTIONS(11509),
    [anon_sym_quote] = ACTIONS(11509),
    [anon_sym_let] = ACTIONS(11509),
    [anon_sym_if] = ACTIONS(11509),
    [anon_sym_else] = ACTIONS(11509),
    [anon_sym_try] = ACTIONS(11509),
    [anon_sym_finally] = ACTIONS(11509),
    [anon_sym_for] = ACTIONS(11509),
    [anon_sym_while] = ACTIONS(11509),
    [sym_break_statement] = ACTIONS(11509),
    [sym_continue_statement] = ACTIONS(11509),
    [anon_sym_return] = ACTIONS(11509),
    [anon_sym_const] = ACTIONS(11509),
    [anon_sym_global] = ACTIONS(11509),
    [anon_sym_local] = ACTIONS(11509),
    [anon_sym_LPAREN] = ACTIONS(11509),
    [anon_sym_COLON] = ACTIONS(11509),
    [anon_sym_export] = ACTIONS(11509),
    [anon_sym_public] = ACTIONS(11509),
    [anon_sym_import] = ACTIONS(11509),
    [anon_sym_using] = ACTIONS(11509),
    [anon_sym_LBRACK] = ACTIONS(11509),
    [anon_sym_in] = ACTIONS(11509),
    [anon_sym_SEMI] = ACTIONS(11509),
    [anon_sym_LBRACE] = ACTIONS(11509),
    [anon_sym_DOLLAR] = ACTIONS(11509),
    [anon_sym_COLON2] = ACTIONS(11509),
    [anon_sym_COLON_COLON] = ACTIONS(11509),
    [anon_sym_isa] = ACTIONS(11509),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11509),
    [anon_sym_QMARK] = ACTIONS(11509),
    [anon_sym_where] = ACTIONS(11509),
    [anon_sym_AT] = ACTIONS(11509),
    [anon_sym_true] = ACTIONS(11509),
    [anon_sym_false] = ACTIONS(11509),
    [aux_sym_integer_literal_token1] = ACTIONS(11509),
    [aux_sym_integer_literal_token2] = ACTIONS(11509),
    [aux_sym_integer_literal_token3] = ACTIONS(11509),
    [aux_sym_integer_literal_token4] = ACTIONS(11509),
    [aux_sym_float_literal_token1] = ACTIONS(11509),
    [aux_sym_float_literal_token3] = ACTIONS(11509),
    [aux_sym_float_literal_token4] = ACTIONS(11509),
    [sym_character_literal] = ACTIONS(11509),
    [anon_sym_DQUOTE] = ACTIONS(11509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11509),
    [anon_sym_BQUOTE] = ACTIONS(11509),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11509),
    [sym__pair_operator] = ACTIONS(11509),
    [sym__arrow_operator] = ACTIONS(11509),
    [sym__lazy_or_operator] = ACTIONS(11509),
    [sym__lazy_and_operator] = ACTIONS(11509),
    [sym__comparison_operator] = ACTIONS(11509),
    [sym__pipe_right_operator] = ACTIONS(11509),
    [sym__pipe_left_operator] = ACTIONS(11509),
    [sym__ellipsis_operator] = ACTIONS(11509),
    [sym__plus_operator] = ACTIONS(11509),
    [sym__times_operator] = ACTIONS(11509),
    [sym__rational_operator] = ACTIONS(11509),
    [sym__bitshift_operator] = ACTIONS(11509),
    [sym__power_operator] = ACTIONS(11509),
    [sym__tilde_operator] = ACTIONS(11509),
    [sym__type_order_operator] = ACTIONS(11509),
    [sym__unary_operator] = ACTIONS(11509),
    [sym__unary_plus_operator] = ACTIONS(11509),
    [aux_sym__terminator_token1] = ACTIONS(11511),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7772] = {
    [sym_block_comment] = STATE(7772),
    [sym_line_comment] = STATE(7772),
    [sym__word_identifier] = ACTIONS(11513),
    [anon_sym_COMMA] = ACTIONS(11513),
    [anon_sym_EQ] = ACTIONS(11513),
    [anon_sym_begin] = ACTIONS(11513),
    [anon_sym_module] = ACTIONS(11513),
    [anon_sym_baremodule] = ACTIONS(11513),
    [anon_sym_end] = ACTIONS(11513),
    [anon_sym_abstract] = ACTIONS(11513),
    [anon_sym_primitive] = ACTIONS(11513),
    [anon_sym_mutable] = ACTIONS(11513),
    [anon_sym_struct] = ACTIONS(11513),
    [anon_sym_function] = ACTIONS(11513),
    [anon_sym_macro] = ACTIONS(11513),
    [anon_sym_quote] = ACTIONS(11513),
    [anon_sym_let] = ACTIONS(11513),
    [anon_sym_if] = ACTIONS(11513),
    [anon_sym_else] = ACTIONS(11513),
    [anon_sym_try] = ACTIONS(11513),
    [anon_sym_finally] = ACTIONS(11513),
    [anon_sym_for] = ACTIONS(11513),
    [anon_sym_while] = ACTIONS(11513),
    [sym_break_statement] = ACTIONS(11513),
    [sym_continue_statement] = ACTIONS(11513),
    [anon_sym_return] = ACTIONS(11513),
    [anon_sym_const] = ACTIONS(11513),
    [anon_sym_global] = ACTIONS(11513),
    [anon_sym_local] = ACTIONS(11513),
    [anon_sym_LPAREN] = ACTIONS(11513),
    [anon_sym_COLON] = ACTIONS(11513),
    [anon_sym_export] = ACTIONS(11513),
    [anon_sym_public] = ACTIONS(11513),
    [anon_sym_import] = ACTIONS(11513),
    [anon_sym_using] = ACTIONS(11513),
    [anon_sym_LBRACK] = ACTIONS(11513),
    [anon_sym_in] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(11513),
    [anon_sym_LBRACE] = ACTIONS(11513),
    [anon_sym_DOLLAR] = ACTIONS(11513),
    [anon_sym_COLON2] = ACTIONS(11513),
    [anon_sym_COLON_COLON] = ACTIONS(11513),
    [anon_sym_isa] = ACTIONS(11513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11513),
    [anon_sym_QMARK] = ACTIONS(11513),
    [anon_sym_where] = ACTIONS(11513),
    [anon_sym_AT] = ACTIONS(11513),
    [anon_sym_true] = ACTIONS(11513),
    [anon_sym_false] = ACTIONS(11513),
    [aux_sym_integer_literal_token1] = ACTIONS(11513),
    [aux_sym_integer_literal_token2] = ACTIONS(11513),
    [aux_sym_integer_literal_token3] = ACTIONS(11513),
    [aux_sym_integer_literal_token4] = ACTIONS(11513),
    [aux_sym_float_literal_token1] = ACTIONS(11513),
    [aux_sym_float_literal_token3] = ACTIONS(11513),
    [aux_sym_float_literal_token4] = ACTIONS(11513),
    [sym_character_literal] = ACTIONS(11513),
    [anon_sym_DQUOTE] = ACTIONS(11513),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11513),
    [anon_sym_BQUOTE] = ACTIONS(11513),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11513),
    [sym__pair_operator] = ACTIONS(11513),
    [sym__arrow_operator] = ACTIONS(11513),
    [sym__lazy_or_operator] = ACTIONS(11513),
    [sym__lazy_and_operator] = ACTIONS(11513),
    [sym__comparison_operator] = ACTIONS(11513),
    [sym__pipe_right_operator] = ACTIONS(11513),
    [sym__pipe_left_operator] = ACTIONS(11513),
    [sym__ellipsis_operator] = ACTIONS(11513),
    [sym__plus_operator] = ACTIONS(11513),
    [sym__times_operator] = ACTIONS(11513),
    [sym__rational_operator] = ACTIONS(11513),
    [sym__bitshift_operator] = ACTIONS(11513),
    [sym__power_operator] = ACTIONS(11513),
    [sym__tilde_operator] = ACTIONS(11513),
    [sym__type_order_operator] = ACTIONS(11513),
    [sym__unary_operator] = ACTIONS(11513),
    [sym__unary_plus_operator] = ACTIONS(11513),
    [aux_sym__terminator_token1] = ACTIONS(11515),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7773] = {
    [sym_block_comment] = STATE(7773),
    [sym_line_comment] = STATE(7773),
    [sym__word_identifier] = ACTIONS(11517),
    [anon_sym_COMMA] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(11517),
    [anon_sym_begin] = ACTIONS(11517),
    [anon_sym_module] = ACTIONS(11517),
    [anon_sym_baremodule] = ACTIONS(11517),
    [anon_sym_end] = ACTIONS(11517),
    [anon_sym_abstract] = ACTIONS(11517),
    [anon_sym_primitive] = ACTIONS(11517),
    [anon_sym_mutable] = ACTIONS(11517),
    [anon_sym_struct] = ACTIONS(11517),
    [anon_sym_function] = ACTIONS(11517),
    [anon_sym_macro] = ACTIONS(11517),
    [anon_sym_quote] = ACTIONS(11517),
    [anon_sym_let] = ACTIONS(11517),
    [anon_sym_if] = ACTIONS(11517),
    [anon_sym_else] = ACTIONS(11517),
    [anon_sym_try] = ACTIONS(11517),
    [anon_sym_finally] = ACTIONS(11517),
    [anon_sym_for] = ACTIONS(11517),
    [anon_sym_while] = ACTIONS(11517),
    [sym_break_statement] = ACTIONS(11517),
    [sym_continue_statement] = ACTIONS(11517),
    [anon_sym_return] = ACTIONS(11517),
    [anon_sym_const] = ACTIONS(11517),
    [anon_sym_global] = ACTIONS(11517),
    [anon_sym_local] = ACTIONS(11517),
    [anon_sym_LPAREN] = ACTIONS(11517),
    [anon_sym_COLON] = ACTIONS(11517),
    [anon_sym_export] = ACTIONS(11517),
    [anon_sym_public] = ACTIONS(11517),
    [anon_sym_import] = ACTIONS(11517),
    [anon_sym_using] = ACTIONS(11517),
    [anon_sym_LBRACK] = ACTIONS(11517),
    [anon_sym_in] = ACTIONS(11517),
    [anon_sym_SEMI] = ACTIONS(11517),
    [anon_sym_LBRACE] = ACTIONS(11517),
    [anon_sym_DOLLAR] = ACTIONS(11517),
    [anon_sym_COLON2] = ACTIONS(11517),
    [anon_sym_COLON_COLON] = ACTIONS(11517),
    [anon_sym_isa] = ACTIONS(11517),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11517),
    [anon_sym_QMARK] = ACTIONS(11517),
    [anon_sym_where] = ACTIONS(11517),
    [anon_sym_AT] = ACTIONS(11517),
    [anon_sym_true] = ACTIONS(11517),
    [anon_sym_false] = ACTIONS(11517),
    [aux_sym_integer_literal_token1] = ACTIONS(11517),
    [aux_sym_integer_literal_token2] = ACTIONS(11517),
    [aux_sym_integer_literal_token3] = ACTIONS(11517),
    [aux_sym_integer_literal_token4] = ACTIONS(11517),
    [aux_sym_float_literal_token1] = ACTIONS(11517),
    [aux_sym_float_literal_token3] = ACTIONS(11517),
    [aux_sym_float_literal_token4] = ACTIONS(11517),
    [sym_character_literal] = ACTIONS(11517),
    [anon_sym_DQUOTE] = ACTIONS(11517),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11517),
    [anon_sym_BQUOTE] = ACTIONS(11517),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11517),
    [sym__pair_operator] = ACTIONS(11517),
    [sym__arrow_operator] = ACTIONS(11517),
    [sym__lazy_or_operator] = ACTIONS(11517),
    [sym__lazy_and_operator] = ACTIONS(11517),
    [sym__comparison_operator] = ACTIONS(11517),
    [sym__pipe_right_operator] = ACTIONS(11517),
    [sym__pipe_left_operator] = ACTIONS(11517),
    [sym__ellipsis_operator] = ACTIONS(11517),
    [sym__plus_operator] = ACTIONS(11517),
    [sym__times_operator] = ACTIONS(11517),
    [sym__rational_operator] = ACTIONS(11517),
    [sym__bitshift_operator] = ACTIONS(11517),
    [sym__power_operator] = ACTIONS(11517),
    [sym__tilde_operator] = ACTIONS(11517),
    [sym__type_order_operator] = ACTIONS(11517),
    [sym__unary_operator] = ACTIONS(11517),
    [sym__unary_plus_operator] = ACTIONS(11517),
    [aux_sym__terminator_token1] = ACTIONS(11519),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7774] = {
    [sym_block_comment] = STATE(7774),
    [sym_line_comment] = STATE(7774),
    [sym__word_identifier] = ACTIONS(11521),
    [anon_sym_COMMA] = ACTIONS(11521),
    [anon_sym_EQ] = ACTIONS(11521),
    [anon_sym_begin] = ACTIONS(11521),
    [anon_sym_module] = ACTIONS(11521),
    [anon_sym_baremodule] = ACTIONS(11521),
    [anon_sym_end] = ACTIONS(11521),
    [anon_sym_abstract] = ACTIONS(11521),
    [anon_sym_primitive] = ACTIONS(11521),
    [anon_sym_mutable] = ACTIONS(11521),
    [anon_sym_struct] = ACTIONS(11521),
    [anon_sym_function] = ACTIONS(11521),
    [anon_sym_macro] = ACTIONS(11521),
    [anon_sym_quote] = ACTIONS(11521),
    [anon_sym_let] = ACTIONS(11521),
    [anon_sym_if] = ACTIONS(11521),
    [anon_sym_else] = ACTIONS(11521),
    [anon_sym_try] = ACTIONS(11521),
    [anon_sym_finally] = ACTIONS(11521),
    [anon_sym_for] = ACTIONS(11521),
    [anon_sym_while] = ACTIONS(11521),
    [sym_break_statement] = ACTIONS(11521),
    [sym_continue_statement] = ACTIONS(11521),
    [anon_sym_return] = ACTIONS(11521),
    [anon_sym_const] = ACTIONS(11521),
    [anon_sym_global] = ACTIONS(11521),
    [anon_sym_local] = ACTIONS(11521),
    [anon_sym_LPAREN] = ACTIONS(11521),
    [anon_sym_COLON] = ACTIONS(11521),
    [anon_sym_export] = ACTIONS(11521),
    [anon_sym_public] = ACTIONS(11521),
    [anon_sym_import] = ACTIONS(11521),
    [anon_sym_using] = ACTIONS(11521),
    [anon_sym_LBRACK] = ACTIONS(11521),
    [anon_sym_in] = ACTIONS(11521),
    [anon_sym_SEMI] = ACTIONS(11521),
    [anon_sym_LBRACE] = ACTIONS(11521),
    [anon_sym_DOLLAR] = ACTIONS(11521),
    [anon_sym_COLON2] = ACTIONS(11521),
    [anon_sym_COLON_COLON] = ACTIONS(11521),
    [anon_sym_isa] = ACTIONS(11521),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11521),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_where] = ACTIONS(11521),
    [anon_sym_AT] = ACTIONS(11521),
    [anon_sym_true] = ACTIONS(11521),
    [anon_sym_false] = ACTIONS(11521),
    [aux_sym_integer_literal_token1] = ACTIONS(11521),
    [aux_sym_integer_literal_token2] = ACTIONS(11521),
    [aux_sym_integer_literal_token3] = ACTIONS(11521),
    [aux_sym_integer_literal_token4] = ACTIONS(11521),
    [aux_sym_float_literal_token1] = ACTIONS(11521),
    [aux_sym_float_literal_token3] = ACTIONS(11521),
    [aux_sym_float_literal_token4] = ACTIONS(11521),
    [sym_character_literal] = ACTIONS(11521),
    [anon_sym_DQUOTE] = ACTIONS(11521),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11521),
    [anon_sym_BQUOTE] = ACTIONS(11521),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11521),
    [sym__pair_operator] = ACTIONS(11521),
    [sym__arrow_operator] = ACTIONS(11521),
    [sym__lazy_or_operator] = ACTIONS(11521),
    [sym__lazy_and_operator] = ACTIONS(11521),
    [sym__comparison_operator] = ACTIONS(11521),
    [sym__pipe_right_operator] = ACTIONS(11521),
    [sym__pipe_left_operator] = ACTIONS(11521),
    [sym__ellipsis_operator] = ACTIONS(11521),
    [sym__plus_operator] = ACTIONS(11521),
    [sym__times_operator] = ACTIONS(11521),
    [sym__rational_operator] = ACTIONS(11521),
    [sym__bitshift_operator] = ACTIONS(11521),
    [sym__power_operator] = ACTIONS(11521),
    [sym__tilde_operator] = ACTIONS(11521),
    [sym__type_order_operator] = ACTIONS(11521),
    [sym__unary_operator] = ACTIONS(11521),
    [sym__unary_plus_operator] = ACTIONS(11521),
    [aux_sym__terminator_token1] = ACTIONS(11523),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7775] = {
    [sym_block_comment] = STATE(7775),
    [sym_line_comment] = STATE(7775),
    [sym__word_identifier] = ACTIONS(11525),
    [anon_sym_COMMA] = ACTIONS(11525),
    [anon_sym_EQ] = ACTIONS(11525),
    [anon_sym_begin] = ACTIONS(11525),
    [anon_sym_module] = ACTIONS(11525),
    [anon_sym_baremodule] = ACTIONS(11525),
    [anon_sym_end] = ACTIONS(11525),
    [anon_sym_abstract] = ACTIONS(11525),
    [anon_sym_primitive] = ACTIONS(11525),
    [anon_sym_mutable] = ACTIONS(11525),
    [anon_sym_struct] = ACTIONS(11525),
    [anon_sym_function] = ACTIONS(11525),
    [anon_sym_macro] = ACTIONS(11525),
    [anon_sym_quote] = ACTIONS(11525),
    [anon_sym_let] = ACTIONS(11525),
    [anon_sym_if] = ACTIONS(11525),
    [anon_sym_else] = ACTIONS(11525),
    [anon_sym_try] = ACTIONS(11525),
    [anon_sym_finally] = ACTIONS(11525),
    [anon_sym_for] = ACTIONS(11525),
    [anon_sym_while] = ACTIONS(11525),
    [sym_break_statement] = ACTIONS(11525),
    [sym_continue_statement] = ACTIONS(11525),
    [anon_sym_return] = ACTIONS(11525),
    [anon_sym_const] = ACTIONS(11525),
    [anon_sym_global] = ACTIONS(11525),
    [anon_sym_local] = ACTIONS(11525),
    [anon_sym_LPAREN] = ACTIONS(11525),
    [anon_sym_COLON] = ACTIONS(11525),
    [anon_sym_export] = ACTIONS(11525),
    [anon_sym_public] = ACTIONS(11525),
    [anon_sym_import] = ACTIONS(11525),
    [anon_sym_using] = ACTIONS(11525),
    [anon_sym_LBRACK] = ACTIONS(11525),
    [anon_sym_in] = ACTIONS(11525),
    [anon_sym_SEMI] = ACTIONS(11525),
    [anon_sym_LBRACE] = ACTIONS(11525),
    [anon_sym_DOLLAR] = ACTIONS(11525),
    [anon_sym_COLON2] = ACTIONS(11525),
    [anon_sym_COLON_COLON] = ACTIONS(11525),
    [anon_sym_isa] = ACTIONS(11525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_QMARK] = ACTIONS(11525),
    [anon_sym_where] = ACTIONS(11525),
    [anon_sym_AT] = ACTIONS(11525),
    [anon_sym_true] = ACTIONS(11525),
    [anon_sym_false] = ACTIONS(11525),
    [aux_sym_integer_literal_token1] = ACTIONS(11525),
    [aux_sym_integer_literal_token2] = ACTIONS(11525),
    [aux_sym_integer_literal_token3] = ACTIONS(11525),
    [aux_sym_integer_literal_token4] = ACTIONS(11525),
    [aux_sym_float_literal_token1] = ACTIONS(11525),
    [aux_sym_float_literal_token3] = ACTIONS(11525),
    [aux_sym_float_literal_token4] = ACTIONS(11525),
    [sym_character_literal] = ACTIONS(11525),
    [anon_sym_DQUOTE] = ACTIONS(11525),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11525),
    [anon_sym_BQUOTE] = ACTIONS(11525),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11525),
    [sym__pair_operator] = ACTIONS(11525),
    [sym__arrow_operator] = ACTIONS(11525),
    [sym__lazy_or_operator] = ACTIONS(11525),
    [sym__lazy_and_operator] = ACTIONS(11525),
    [sym__comparison_operator] = ACTIONS(11525),
    [sym__pipe_right_operator] = ACTIONS(11525),
    [sym__pipe_left_operator] = ACTIONS(11525),
    [sym__ellipsis_operator] = ACTIONS(11525),
    [sym__plus_operator] = ACTIONS(11525),
    [sym__times_operator] = ACTIONS(11525),
    [sym__rational_operator] = ACTIONS(11525),
    [sym__bitshift_operator] = ACTIONS(11525),
    [sym__power_operator] = ACTIONS(11525),
    [sym__tilde_operator] = ACTIONS(11525),
    [sym__type_order_operator] = ACTIONS(11525),
    [sym__unary_operator] = ACTIONS(11525),
    [sym__unary_plus_operator] = ACTIONS(11525),
    [aux_sym__terminator_token1] = ACTIONS(11527),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7776] = {
    [sym_block_comment] = STATE(7776),
    [sym_line_comment] = STATE(7776),
    [sym__word_identifier] = ACTIONS(11529),
    [anon_sym_COMMA] = ACTIONS(11529),
    [anon_sym_EQ] = ACTIONS(11529),
    [anon_sym_begin] = ACTIONS(11529),
    [anon_sym_module] = ACTIONS(11529),
    [anon_sym_baremodule] = ACTIONS(11529),
    [anon_sym_end] = ACTIONS(11529),
    [anon_sym_abstract] = ACTIONS(11529),
    [anon_sym_primitive] = ACTIONS(11529),
    [anon_sym_mutable] = ACTIONS(11529),
    [anon_sym_struct] = ACTIONS(11529),
    [anon_sym_function] = ACTIONS(11529),
    [anon_sym_macro] = ACTIONS(11529),
    [anon_sym_quote] = ACTIONS(11529),
    [anon_sym_let] = ACTIONS(11529),
    [anon_sym_if] = ACTIONS(11529),
    [anon_sym_else] = ACTIONS(11529),
    [anon_sym_try] = ACTIONS(11529),
    [anon_sym_finally] = ACTIONS(11529),
    [anon_sym_for] = ACTIONS(11529),
    [anon_sym_while] = ACTIONS(11529),
    [sym_break_statement] = ACTIONS(11529),
    [sym_continue_statement] = ACTIONS(11529),
    [anon_sym_return] = ACTIONS(11529),
    [anon_sym_const] = ACTIONS(11529),
    [anon_sym_global] = ACTIONS(11529),
    [anon_sym_local] = ACTIONS(11529),
    [anon_sym_LPAREN] = ACTIONS(11529),
    [anon_sym_COLON] = ACTIONS(11529),
    [anon_sym_export] = ACTIONS(11529),
    [anon_sym_public] = ACTIONS(11529),
    [anon_sym_import] = ACTIONS(11529),
    [anon_sym_using] = ACTIONS(11529),
    [anon_sym_LBRACK] = ACTIONS(11529),
    [anon_sym_in] = ACTIONS(11529),
    [anon_sym_SEMI] = ACTIONS(11529),
    [anon_sym_LBRACE] = ACTIONS(11529),
    [anon_sym_DOLLAR] = ACTIONS(11529),
    [anon_sym_COLON2] = ACTIONS(11529),
    [anon_sym_COLON_COLON] = ACTIONS(11529),
    [anon_sym_isa] = ACTIONS(11529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11529),
    [anon_sym_QMARK] = ACTIONS(11529),
    [anon_sym_where] = ACTIONS(11529),
    [anon_sym_AT] = ACTIONS(11529),
    [anon_sym_true] = ACTIONS(11529),
    [anon_sym_false] = ACTIONS(11529),
    [aux_sym_integer_literal_token1] = ACTIONS(11529),
    [aux_sym_integer_literal_token2] = ACTIONS(11529),
    [aux_sym_integer_literal_token3] = ACTIONS(11529),
    [aux_sym_integer_literal_token4] = ACTIONS(11529),
    [aux_sym_float_literal_token1] = ACTIONS(11529),
    [aux_sym_float_literal_token3] = ACTIONS(11529),
    [aux_sym_float_literal_token4] = ACTIONS(11529),
    [sym_character_literal] = ACTIONS(11529),
    [anon_sym_DQUOTE] = ACTIONS(11529),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11529),
    [anon_sym_BQUOTE] = ACTIONS(11529),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11529),
    [sym__pair_operator] = ACTIONS(11529),
    [sym__arrow_operator] = ACTIONS(11529),
    [sym__lazy_or_operator] = ACTIONS(11529),
    [sym__lazy_and_operator] = ACTIONS(11529),
    [sym__comparison_operator] = ACTIONS(11529),
    [sym__pipe_right_operator] = ACTIONS(11529),
    [sym__pipe_left_operator] = ACTIONS(11529),
    [sym__ellipsis_operator] = ACTIONS(11529),
    [sym__plus_operator] = ACTIONS(11529),
    [sym__times_operator] = ACTIONS(11529),
    [sym__rational_operator] = ACTIONS(11529),
    [sym__bitshift_operator] = ACTIONS(11529),
    [sym__power_operator] = ACTIONS(11529),
    [sym__tilde_operator] = ACTIONS(11529),
    [sym__type_order_operator] = ACTIONS(11529),
    [sym__unary_operator] = ACTIONS(11529),
    [sym__unary_plus_operator] = ACTIONS(11529),
    [aux_sym__terminator_token1] = ACTIONS(11531),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7777] = {
    [sym_block_comment] = STATE(7777),
    [sym_line_comment] = STATE(7777),
    [sym__word_identifier] = ACTIONS(11533),
    [anon_sym_COMMA] = ACTIONS(11533),
    [anon_sym_EQ] = ACTIONS(11533),
    [anon_sym_begin] = ACTIONS(11533),
    [anon_sym_module] = ACTIONS(11533),
    [anon_sym_baremodule] = ACTIONS(11533),
    [anon_sym_end] = ACTIONS(11533),
    [anon_sym_abstract] = ACTIONS(11533),
    [anon_sym_primitive] = ACTIONS(11533),
    [anon_sym_mutable] = ACTIONS(11533),
    [anon_sym_struct] = ACTIONS(11533),
    [anon_sym_function] = ACTIONS(11533),
    [anon_sym_macro] = ACTIONS(11533),
    [anon_sym_quote] = ACTIONS(11533),
    [anon_sym_let] = ACTIONS(11533),
    [anon_sym_if] = ACTIONS(11533),
    [anon_sym_else] = ACTIONS(11533),
    [anon_sym_try] = ACTIONS(11533),
    [anon_sym_finally] = ACTIONS(11533),
    [anon_sym_for] = ACTIONS(11533),
    [anon_sym_while] = ACTIONS(11533),
    [sym_break_statement] = ACTIONS(11533),
    [sym_continue_statement] = ACTIONS(11533),
    [anon_sym_return] = ACTIONS(11533),
    [anon_sym_const] = ACTIONS(11533),
    [anon_sym_global] = ACTIONS(11533),
    [anon_sym_local] = ACTIONS(11533),
    [anon_sym_LPAREN] = ACTIONS(11533),
    [anon_sym_COLON] = ACTIONS(11533),
    [anon_sym_export] = ACTIONS(11533),
    [anon_sym_public] = ACTIONS(11533),
    [anon_sym_import] = ACTIONS(11533),
    [anon_sym_using] = ACTIONS(11533),
    [anon_sym_LBRACK] = ACTIONS(11533),
    [anon_sym_in] = ACTIONS(11533),
    [anon_sym_SEMI] = ACTIONS(11533),
    [anon_sym_LBRACE] = ACTIONS(11533),
    [anon_sym_DOLLAR] = ACTIONS(11533),
    [anon_sym_COLON2] = ACTIONS(11533),
    [anon_sym_COLON_COLON] = ACTIONS(11533),
    [anon_sym_isa] = ACTIONS(11533),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11533),
    [anon_sym_QMARK] = ACTIONS(11533),
    [anon_sym_where] = ACTIONS(11533),
    [anon_sym_AT] = ACTIONS(11533),
    [anon_sym_true] = ACTIONS(11533),
    [anon_sym_false] = ACTIONS(11533),
    [aux_sym_integer_literal_token1] = ACTIONS(11533),
    [aux_sym_integer_literal_token2] = ACTIONS(11533),
    [aux_sym_integer_literal_token3] = ACTIONS(11533),
    [aux_sym_integer_literal_token4] = ACTIONS(11533),
    [aux_sym_float_literal_token1] = ACTIONS(11533),
    [aux_sym_float_literal_token3] = ACTIONS(11533),
    [aux_sym_float_literal_token4] = ACTIONS(11533),
    [sym_character_literal] = ACTIONS(11533),
    [anon_sym_DQUOTE] = ACTIONS(11533),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11533),
    [anon_sym_BQUOTE] = ACTIONS(11533),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11533),
    [sym__pair_operator] = ACTIONS(11533),
    [sym__arrow_operator] = ACTIONS(11533),
    [sym__lazy_or_operator] = ACTIONS(11533),
    [sym__lazy_and_operator] = ACTIONS(11533),
    [sym__comparison_operator] = ACTIONS(11533),
    [sym__pipe_right_operator] = ACTIONS(11533),
    [sym__pipe_left_operator] = ACTIONS(11533),
    [sym__ellipsis_operator] = ACTIONS(11533),
    [sym__plus_operator] = ACTIONS(11533),
    [sym__times_operator] = ACTIONS(11533),
    [sym__rational_operator] = ACTIONS(11533),
    [sym__bitshift_operator] = ACTIONS(11533),
    [sym__power_operator] = ACTIONS(11533),
    [sym__tilde_operator] = ACTIONS(11533),
    [sym__type_order_operator] = ACTIONS(11533),
    [sym__unary_operator] = ACTIONS(11533),
    [sym__unary_plus_operator] = ACTIONS(11533),
    [aux_sym__terminator_token1] = ACTIONS(11535),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7778] = {
    [sym_block_comment] = STATE(7778),
    [sym_line_comment] = STATE(7778),
    [sym__word_identifier] = ACTIONS(11537),
    [anon_sym_COMMA] = ACTIONS(11537),
    [anon_sym_EQ] = ACTIONS(11537),
    [anon_sym_begin] = ACTIONS(11537),
    [anon_sym_module] = ACTIONS(11537),
    [anon_sym_baremodule] = ACTIONS(11537),
    [anon_sym_end] = ACTIONS(11537),
    [anon_sym_abstract] = ACTIONS(11537),
    [anon_sym_primitive] = ACTIONS(11537),
    [anon_sym_mutable] = ACTIONS(11537),
    [anon_sym_struct] = ACTIONS(11537),
    [anon_sym_function] = ACTIONS(11537),
    [anon_sym_macro] = ACTIONS(11537),
    [anon_sym_quote] = ACTIONS(11537),
    [anon_sym_let] = ACTIONS(11537),
    [anon_sym_if] = ACTIONS(11537),
    [anon_sym_else] = ACTIONS(11537),
    [anon_sym_try] = ACTIONS(11537),
    [anon_sym_finally] = ACTIONS(11537),
    [anon_sym_for] = ACTIONS(11537),
    [anon_sym_while] = ACTIONS(11537),
    [sym_break_statement] = ACTIONS(11537),
    [sym_continue_statement] = ACTIONS(11537),
    [anon_sym_return] = ACTIONS(11537),
    [anon_sym_const] = ACTIONS(11537),
    [anon_sym_global] = ACTIONS(11537),
    [anon_sym_local] = ACTIONS(11537),
    [anon_sym_LPAREN] = ACTIONS(11537),
    [anon_sym_COLON] = ACTIONS(11537),
    [anon_sym_export] = ACTIONS(11537),
    [anon_sym_public] = ACTIONS(11537),
    [anon_sym_import] = ACTIONS(11537),
    [anon_sym_using] = ACTIONS(11537),
    [anon_sym_LBRACK] = ACTIONS(11537),
    [anon_sym_in] = ACTIONS(11537),
    [anon_sym_SEMI] = ACTIONS(11537),
    [anon_sym_LBRACE] = ACTIONS(11537),
    [anon_sym_DOLLAR] = ACTIONS(11537),
    [anon_sym_COLON2] = ACTIONS(11537),
    [anon_sym_COLON_COLON] = ACTIONS(11537),
    [anon_sym_isa] = ACTIONS(11537),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11537),
    [anon_sym_QMARK] = ACTIONS(11537),
    [anon_sym_where] = ACTIONS(11537),
    [anon_sym_AT] = ACTIONS(11537),
    [anon_sym_true] = ACTIONS(11537),
    [anon_sym_false] = ACTIONS(11537),
    [aux_sym_integer_literal_token1] = ACTIONS(11537),
    [aux_sym_integer_literal_token2] = ACTIONS(11537),
    [aux_sym_integer_literal_token3] = ACTIONS(11537),
    [aux_sym_integer_literal_token4] = ACTIONS(11537),
    [aux_sym_float_literal_token1] = ACTIONS(11537),
    [aux_sym_float_literal_token3] = ACTIONS(11537),
    [aux_sym_float_literal_token4] = ACTIONS(11537),
    [sym_character_literal] = ACTIONS(11537),
    [anon_sym_DQUOTE] = ACTIONS(11537),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11537),
    [anon_sym_BQUOTE] = ACTIONS(11537),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11537),
    [sym__pair_operator] = ACTIONS(11537),
    [sym__arrow_operator] = ACTIONS(11537),
    [sym__lazy_or_operator] = ACTIONS(11537),
    [sym__lazy_and_operator] = ACTIONS(11537),
    [sym__comparison_operator] = ACTIONS(11537),
    [sym__pipe_right_operator] = ACTIONS(11537),
    [sym__pipe_left_operator] = ACTIONS(11537),
    [sym__ellipsis_operator] = ACTIONS(11537),
    [sym__plus_operator] = ACTIONS(11537),
    [sym__times_operator] = ACTIONS(11537),
    [sym__rational_operator] = ACTIONS(11537),
    [sym__bitshift_operator] = ACTIONS(11537),
    [sym__power_operator] = ACTIONS(11537),
    [sym__tilde_operator] = ACTIONS(11537),
    [sym__type_order_operator] = ACTIONS(11537),
    [sym__unary_operator] = ACTIONS(11537),
    [sym__unary_plus_operator] = ACTIONS(11537),
    [aux_sym__terminator_token1] = ACTIONS(11539),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7779] = {
    [sym_block_comment] = STATE(7779),
    [sym_line_comment] = STATE(7779),
    [sym__word_identifier] = ACTIONS(11541),
    [anon_sym_COMMA] = ACTIONS(11541),
    [anon_sym_EQ] = ACTIONS(11541),
    [anon_sym_begin] = ACTIONS(11541),
    [anon_sym_module] = ACTIONS(11541),
    [anon_sym_baremodule] = ACTIONS(11541),
    [anon_sym_end] = ACTIONS(11541),
    [anon_sym_abstract] = ACTIONS(11541),
    [anon_sym_primitive] = ACTIONS(11541),
    [anon_sym_mutable] = ACTIONS(11541),
    [anon_sym_struct] = ACTIONS(11541),
    [anon_sym_function] = ACTIONS(11541),
    [anon_sym_macro] = ACTIONS(11541),
    [anon_sym_quote] = ACTIONS(11541),
    [anon_sym_let] = ACTIONS(11541),
    [anon_sym_if] = ACTIONS(11541),
    [anon_sym_else] = ACTIONS(11541),
    [anon_sym_try] = ACTIONS(11541),
    [anon_sym_finally] = ACTIONS(11541),
    [anon_sym_for] = ACTIONS(11541),
    [anon_sym_while] = ACTIONS(11541),
    [sym_break_statement] = ACTIONS(11541),
    [sym_continue_statement] = ACTIONS(11541),
    [anon_sym_return] = ACTIONS(11541),
    [anon_sym_const] = ACTIONS(11541),
    [anon_sym_global] = ACTIONS(11541),
    [anon_sym_local] = ACTIONS(11541),
    [anon_sym_LPAREN] = ACTIONS(11541),
    [anon_sym_COLON] = ACTIONS(11541),
    [anon_sym_export] = ACTIONS(11541),
    [anon_sym_public] = ACTIONS(11541),
    [anon_sym_import] = ACTIONS(11541),
    [anon_sym_using] = ACTIONS(11541),
    [anon_sym_LBRACK] = ACTIONS(11541),
    [anon_sym_in] = ACTIONS(11541),
    [anon_sym_SEMI] = ACTIONS(11541),
    [anon_sym_LBRACE] = ACTIONS(11541),
    [anon_sym_DOLLAR] = ACTIONS(11541),
    [anon_sym_COLON2] = ACTIONS(11541),
    [anon_sym_COLON_COLON] = ACTIONS(11541),
    [anon_sym_isa] = ACTIONS(11541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11541),
    [anon_sym_QMARK] = ACTIONS(11541),
    [anon_sym_where] = ACTIONS(11541),
    [anon_sym_AT] = ACTIONS(11541),
    [anon_sym_true] = ACTIONS(11541),
    [anon_sym_false] = ACTIONS(11541),
    [aux_sym_integer_literal_token1] = ACTIONS(11541),
    [aux_sym_integer_literal_token2] = ACTIONS(11541),
    [aux_sym_integer_literal_token3] = ACTIONS(11541),
    [aux_sym_integer_literal_token4] = ACTIONS(11541),
    [aux_sym_float_literal_token1] = ACTIONS(11541),
    [aux_sym_float_literal_token3] = ACTIONS(11541),
    [aux_sym_float_literal_token4] = ACTIONS(11541),
    [sym_character_literal] = ACTIONS(11541),
    [anon_sym_DQUOTE] = ACTIONS(11541),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11541),
    [anon_sym_BQUOTE] = ACTIONS(11541),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11541),
    [sym__pair_operator] = ACTIONS(11541),
    [sym__arrow_operator] = ACTIONS(11541),
    [sym__lazy_or_operator] = ACTIONS(11541),
    [sym__lazy_and_operator] = ACTIONS(11541),
    [sym__comparison_operator] = ACTIONS(11541),
    [sym__pipe_right_operator] = ACTIONS(11541),
    [sym__pipe_left_operator] = ACTIONS(11541),
    [sym__ellipsis_operator] = ACTIONS(11541),
    [sym__plus_operator] = ACTIONS(11541),
    [sym__times_operator] = ACTIONS(11541),
    [sym__rational_operator] = ACTIONS(11541),
    [sym__bitshift_operator] = ACTIONS(11541),
    [sym__power_operator] = ACTIONS(11541),
    [sym__tilde_operator] = ACTIONS(11541),
    [sym__type_order_operator] = ACTIONS(11541),
    [sym__unary_operator] = ACTIONS(11541),
    [sym__unary_plus_operator] = ACTIONS(11541),
    [aux_sym__terminator_token1] = ACTIONS(11543),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7780] = {
    [sym_block_comment] = STATE(7780),
    [sym_line_comment] = STATE(7780),
    [sym__word_identifier] = ACTIONS(11545),
    [anon_sym_COMMA] = ACTIONS(11545),
    [anon_sym_EQ] = ACTIONS(11545),
    [anon_sym_begin] = ACTIONS(11545),
    [anon_sym_module] = ACTIONS(11545),
    [anon_sym_baremodule] = ACTIONS(11545),
    [anon_sym_end] = ACTIONS(11545),
    [anon_sym_abstract] = ACTIONS(11545),
    [anon_sym_primitive] = ACTIONS(11545),
    [anon_sym_mutable] = ACTIONS(11545),
    [anon_sym_struct] = ACTIONS(11545),
    [anon_sym_function] = ACTIONS(11545),
    [anon_sym_macro] = ACTIONS(11545),
    [anon_sym_quote] = ACTIONS(11545),
    [anon_sym_let] = ACTIONS(11545),
    [anon_sym_if] = ACTIONS(11545),
    [anon_sym_else] = ACTIONS(11545),
    [anon_sym_try] = ACTIONS(11545),
    [anon_sym_finally] = ACTIONS(11545),
    [anon_sym_for] = ACTIONS(11545),
    [anon_sym_while] = ACTIONS(11545),
    [sym_break_statement] = ACTIONS(11545),
    [sym_continue_statement] = ACTIONS(11545),
    [anon_sym_return] = ACTIONS(11545),
    [anon_sym_const] = ACTIONS(11545),
    [anon_sym_global] = ACTIONS(11545),
    [anon_sym_local] = ACTIONS(11545),
    [anon_sym_LPAREN] = ACTIONS(11545),
    [anon_sym_COLON] = ACTIONS(11545),
    [anon_sym_export] = ACTIONS(11545),
    [anon_sym_public] = ACTIONS(11545),
    [anon_sym_import] = ACTIONS(11545),
    [anon_sym_using] = ACTIONS(11545),
    [anon_sym_LBRACK] = ACTIONS(11545),
    [anon_sym_in] = ACTIONS(11545),
    [anon_sym_SEMI] = ACTIONS(11545),
    [anon_sym_LBRACE] = ACTIONS(11545),
    [anon_sym_DOLLAR] = ACTIONS(11545),
    [anon_sym_COLON2] = ACTIONS(11545),
    [anon_sym_COLON_COLON] = ACTIONS(11545),
    [anon_sym_isa] = ACTIONS(11545),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11545),
    [anon_sym_QMARK] = ACTIONS(11545),
    [anon_sym_where] = ACTIONS(11545),
    [anon_sym_AT] = ACTIONS(11545),
    [anon_sym_true] = ACTIONS(11545),
    [anon_sym_false] = ACTIONS(11545),
    [aux_sym_integer_literal_token1] = ACTIONS(11545),
    [aux_sym_integer_literal_token2] = ACTIONS(11545),
    [aux_sym_integer_literal_token3] = ACTIONS(11545),
    [aux_sym_integer_literal_token4] = ACTIONS(11545),
    [aux_sym_float_literal_token1] = ACTIONS(11545),
    [aux_sym_float_literal_token3] = ACTIONS(11545),
    [aux_sym_float_literal_token4] = ACTIONS(11545),
    [sym_character_literal] = ACTIONS(11545),
    [anon_sym_DQUOTE] = ACTIONS(11545),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11545),
    [anon_sym_BQUOTE] = ACTIONS(11545),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11545),
    [sym__pair_operator] = ACTIONS(11545),
    [sym__arrow_operator] = ACTIONS(11545),
    [sym__lazy_or_operator] = ACTIONS(11545),
    [sym__lazy_and_operator] = ACTIONS(11545),
    [sym__comparison_operator] = ACTIONS(11545),
    [sym__pipe_right_operator] = ACTIONS(11545),
    [sym__pipe_left_operator] = ACTIONS(11545),
    [sym__ellipsis_operator] = ACTIONS(11545),
    [sym__plus_operator] = ACTIONS(11545),
    [sym__times_operator] = ACTIONS(11545),
    [sym__rational_operator] = ACTIONS(11545),
    [sym__bitshift_operator] = ACTIONS(11545),
    [sym__power_operator] = ACTIONS(11545),
    [sym__tilde_operator] = ACTIONS(11545),
    [sym__type_order_operator] = ACTIONS(11545),
    [sym__unary_operator] = ACTIONS(11545),
    [sym__unary_plus_operator] = ACTIONS(11545),
    [aux_sym__terminator_token1] = ACTIONS(11547),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7781] = {
    [sym_block_comment] = STATE(7781),
    [sym_line_comment] = STATE(7781),
    [sym__word_identifier] = ACTIONS(11549),
    [anon_sym_COMMA] = ACTIONS(11549),
    [anon_sym_EQ] = ACTIONS(11549),
    [anon_sym_begin] = ACTIONS(11549),
    [anon_sym_module] = ACTIONS(11549),
    [anon_sym_baremodule] = ACTIONS(11549),
    [anon_sym_end] = ACTIONS(11549),
    [anon_sym_abstract] = ACTIONS(11549),
    [anon_sym_primitive] = ACTIONS(11549),
    [anon_sym_mutable] = ACTIONS(11549),
    [anon_sym_struct] = ACTIONS(11549),
    [anon_sym_function] = ACTIONS(11549),
    [anon_sym_macro] = ACTIONS(11549),
    [anon_sym_quote] = ACTIONS(11549),
    [anon_sym_let] = ACTIONS(11549),
    [anon_sym_if] = ACTIONS(11549),
    [anon_sym_else] = ACTIONS(11549),
    [anon_sym_try] = ACTIONS(11549),
    [anon_sym_finally] = ACTIONS(11549),
    [anon_sym_for] = ACTIONS(11549),
    [anon_sym_while] = ACTIONS(11549),
    [sym_break_statement] = ACTIONS(11549),
    [sym_continue_statement] = ACTIONS(11549),
    [anon_sym_return] = ACTIONS(11549),
    [anon_sym_const] = ACTIONS(11549),
    [anon_sym_global] = ACTIONS(11549),
    [anon_sym_local] = ACTIONS(11549),
    [anon_sym_LPAREN] = ACTIONS(11549),
    [anon_sym_COLON] = ACTIONS(11549),
    [anon_sym_export] = ACTIONS(11549),
    [anon_sym_public] = ACTIONS(11549),
    [anon_sym_import] = ACTIONS(11549),
    [anon_sym_using] = ACTIONS(11549),
    [anon_sym_LBRACK] = ACTIONS(11549),
    [anon_sym_in] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(11549),
    [anon_sym_LBRACE] = ACTIONS(11549),
    [anon_sym_DOLLAR] = ACTIONS(11549),
    [anon_sym_COLON2] = ACTIONS(11549),
    [anon_sym_COLON_COLON] = ACTIONS(11549),
    [anon_sym_isa] = ACTIONS(11549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11549),
    [anon_sym_QMARK] = ACTIONS(11549),
    [anon_sym_where] = ACTIONS(11549),
    [anon_sym_AT] = ACTIONS(11549),
    [anon_sym_true] = ACTIONS(11549),
    [anon_sym_false] = ACTIONS(11549),
    [aux_sym_integer_literal_token1] = ACTIONS(11549),
    [aux_sym_integer_literal_token2] = ACTIONS(11549),
    [aux_sym_integer_literal_token3] = ACTIONS(11549),
    [aux_sym_integer_literal_token4] = ACTIONS(11549),
    [aux_sym_float_literal_token1] = ACTIONS(11549),
    [aux_sym_float_literal_token3] = ACTIONS(11549),
    [aux_sym_float_literal_token4] = ACTIONS(11549),
    [sym_character_literal] = ACTIONS(11549),
    [anon_sym_DQUOTE] = ACTIONS(11549),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11549),
    [anon_sym_BQUOTE] = ACTIONS(11549),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11549),
    [sym__pair_operator] = ACTIONS(11549),
    [sym__arrow_operator] = ACTIONS(11549),
    [sym__lazy_or_operator] = ACTIONS(11549),
    [sym__lazy_and_operator] = ACTIONS(11549),
    [sym__comparison_operator] = ACTIONS(11549),
    [sym__pipe_right_operator] = ACTIONS(11549),
    [sym__pipe_left_operator] = ACTIONS(11549),
    [sym__ellipsis_operator] = ACTIONS(11549),
    [sym__plus_operator] = ACTIONS(11549),
    [sym__times_operator] = ACTIONS(11549),
    [sym__rational_operator] = ACTIONS(11549),
    [sym__bitshift_operator] = ACTIONS(11549),
    [sym__power_operator] = ACTIONS(11549),
    [sym__tilde_operator] = ACTIONS(11549),
    [sym__type_order_operator] = ACTIONS(11549),
    [sym__unary_operator] = ACTIONS(11549),
    [sym__unary_plus_operator] = ACTIONS(11549),
    [aux_sym__terminator_token1] = ACTIONS(11551),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7782] = {
    [sym_block_comment] = STATE(7782),
    [sym_line_comment] = STATE(7782),
    [sym__word_identifier] = ACTIONS(11553),
    [anon_sym_COMMA] = ACTIONS(11553),
    [anon_sym_EQ] = ACTIONS(11553),
    [anon_sym_begin] = ACTIONS(11553),
    [anon_sym_module] = ACTIONS(11553),
    [anon_sym_baremodule] = ACTIONS(11553),
    [anon_sym_end] = ACTIONS(11553),
    [anon_sym_abstract] = ACTIONS(11553),
    [anon_sym_primitive] = ACTIONS(11553),
    [anon_sym_mutable] = ACTIONS(11553),
    [anon_sym_struct] = ACTIONS(11553),
    [anon_sym_function] = ACTIONS(11553),
    [anon_sym_macro] = ACTIONS(11553),
    [anon_sym_quote] = ACTIONS(11553),
    [anon_sym_let] = ACTIONS(11553),
    [anon_sym_if] = ACTIONS(11553),
    [anon_sym_else] = ACTIONS(11553),
    [anon_sym_try] = ACTIONS(11553),
    [anon_sym_finally] = ACTIONS(11553),
    [anon_sym_for] = ACTIONS(11553),
    [anon_sym_while] = ACTIONS(11553),
    [sym_break_statement] = ACTIONS(11553),
    [sym_continue_statement] = ACTIONS(11553),
    [anon_sym_return] = ACTIONS(11553),
    [anon_sym_const] = ACTIONS(11553),
    [anon_sym_global] = ACTIONS(11553),
    [anon_sym_local] = ACTIONS(11553),
    [anon_sym_LPAREN] = ACTIONS(11553),
    [anon_sym_COLON] = ACTIONS(11553),
    [anon_sym_export] = ACTIONS(11553),
    [anon_sym_public] = ACTIONS(11553),
    [anon_sym_import] = ACTIONS(11553),
    [anon_sym_using] = ACTIONS(11553),
    [anon_sym_LBRACK] = ACTIONS(11553),
    [anon_sym_in] = ACTIONS(11553),
    [anon_sym_SEMI] = ACTIONS(11553),
    [anon_sym_LBRACE] = ACTIONS(11553),
    [anon_sym_DOLLAR] = ACTIONS(11553),
    [anon_sym_COLON2] = ACTIONS(11553),
    [anon_sym_COLON_COLON] = ACTIONS(11553),
    [anon_sym_isa] = ACTIONS(11553),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11553),
    [anon_sym_QMARK] = ACTIONS(11553),
    [anon_sym_where] = ACTIONS(11553),
    [anon_sym_AT] = ACTIONS(11553),
    [anon_sym_true] = ACTIONS(11553),
    [anon_sym_false] = ACTIONS(11553),
    [aux_sym_integer_literal_token1] = ACTIONS(11553),
    [aux_sym_integer_literal_token2] = ACTIONS(11553),
    [aux_sym_integer_literal_token3] = ACTIONS(11553),
    [aux_sym_integer_literal_token4] = ACTIONS(11553),
    [aux_sym_float_literal_token1] = ACTIONS(11553),
    [aux_sym_float_literal_token3] = ACTIONS(11553),
    [aux_sym_float_literal_token4] = ACTIONS(11553),
    [sym_character_literal] = ACTIONS(11553),
    [anon_sym_DQUOTE] = ACTIONS(11553),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11553),
    [anon_sym_BQUOTE] = ACTIONS(11553),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11553),
    [sym__pair_operator] = ACTIONS(11553),
    [sym__arrow_operator] = ACTIONS(11553),
    [sym__lazy_or_operator] = ACTIONS(11553),
    [sym__lazy_and_operator] = ACTIONS(11553),
    [sym__comparison_operator] = ACTIONS(11553),
    [sym__pipe_right_operator] = ACTIONS(11553),
    [sym__pipe_left_operator] = ACTIONS(11553),
    [sym__ellipsis_operator] = ACTIONS(11553),
    [sym__plus_operator] = ACTIONS(11553),
    [sym__times_operator] = ACTIONS(11553),
    [sym__rational_operator] = ACTIONS(11553),
    [sym__bitshift_operator] = ACTIONS(11553),
    [sym__power_operator] = ACTIONS(11553),
    [sym__tilde_operator] = ACTIONS(11553),
    [sym__type_order_operator] = ACTIONS(11553),
    [sym__unary_operator] = ACTIONS(11553),
    [sym__unary_plus_operator] = ACTIONS(11553),
    [aux_sym__terminator_token1] = ACTIONS(11555),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7783] = {
    [sym_block_comment] = STATE(7783),
    [sym_line_comment] = STATE(7783),
    [sym__word_identifier] = ACTIONS(11557),
    [anon_sym_COMMA] = ACTIONS(11557),
    [anon_sym_EQ] = ACTIONS(11557),
    [anon_sym_begin] = ACTIONS(11557),
    [anon_sym_module] = ACTIONS(11557),
    [anon_sym_baremodule] = ACTIONS(11557),
    [anon_sym_end] = ACTIONS(11557),
    [anon_sym_abstract] = ACTIONS(11557),
    [anon_sym_primitive] = ACTIONS(11557),
    [anon_sym_mutable] = ACTIONS(11557),
    [anon_sym_struct] = ACTIONS(11557),
    [anon_sym_function] = ACTIONS(11557),
    [anon_sym_macro] = ACTIONS(11557),
    [anon_sym_quote] = ACTIONS(11557),
    [anon_sym_let] = ACTIONS(11557),
    [anon_sym_if] = ACTIONS(11557),
    [anon_sym_else] = ACTIONS(11557),
    [anon_sym_try] = ACTIONS(11557),
    [anon_sym_finally] = ACTIONS(11557),
    [anon_sym_for] = ACTIONS(11557),
    [anon_sym_while] = ACTIONS(11557),
    [sym_break_statement] = ACTIONS(11557),
    [sym_continue_statement] = ACTIONS(11557),
    [anon_sym_return] = ACTIONS(11557),
    [anon_sym_const] = ACTIONS(11557),
    [anon_sym_global] = ACTIONS(11557),
    [anon_sym_local] = ACTIONS(11557),
    [anon_sym_LPAREN] = ACTIONS(11557),
    [anon_sym_COLON] = ACTIONS(11557),
    [anon_sym_export] = ACTIONS(11557),
    [anon_sym_public] = ACTIONS(11557),
    [anon_sym_import] = ACTIONS(11557),
    [anon_sym_using] = ACTIONS(11557),
    [anon_sym_LBRACK] = ACTIONS(11557),
    [anon_sym_in] = ACTIONS(11557),
    [anon_sym_SEMI] = ACTIONS(11557),
    [anon_sym_LBRACE] = ACTIONS(11557),
    [anon_sym_DOLLAR] = ACTIONS(11557),
    [anon_sym_COLON2] = ACTIONS(11557),
    [anon_sym_COLON_COLON] = ACTIONS(11557),
    [anon_sym_isa] = ACTIONS(11557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11557),
    [anon_sym_QMARK] = ACTIONS(11557),
    [anon_sym_where] = ACTIONS(11557),
    [anon_sym_AT] = ACTIONS(11557),
    [anon_sym_true] = ACTIONS(11557),
    [anon_sym_false] = ACTIONS(11557),
    [aux_sym_integer_literal_token1] = ACTIONS(11557),
    [aux_sym_integer_literal_token2] = ACTIONS(11557),
    [aux_sym_integer_literal_token3] = ACTIONS(11557),
    [aux_sym_integer_literal_token4] = ACTIONS(11557),
    [aux_sym_float_literal_token1] = ACTIONS(11557),
    [aux_sym_float_literal_token3] = ACTIONS(11557),
    [aux_sym_float_literal_token4] = ACTIONS(11557),
    [sym_character_literal] = ACTIONS(11557),
    [anon_sym_DQUOTE] = ACTIONS(11557),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11557),
    [anon_sym_BQUOTE] = ACTIONS(11557),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11557),
    [sym__pair_operator] = ACTIONS(11557),
    [sym__arrow_operator] = ACTIONS(11557),
    [sym__lazy_or_operator] = ACTIONS(11557),
    [sym__lazy_and_operator] = ACTIONS(11557),
    [sym__comparison_operator] = ACTIONS(11557),
    [sym__pipe_right_operator] = ACTIONS(11557),
    [sym__pipe_left_operator] = ACTIONS(11557),
    [sym__ellipsis_operator] = ACTIONS(11557),
    [sym__plus_operator] = ACTIONS(11557),
    [sym__times_operator] = ACTIONS(11557),
    [sym__rational_operator] = ACTIONS(11557),
    [sym__bitshift_operator] = ACTIONS(11557),
    [sym__power_operator] = ACTIONS(11557),
    [sym__tilde_operator] = ACTIONS(11557),
    [sym__type_order_operator] = ACTIONS(11557),
    [sym__unary_operator] = ACTIONS(11557),
    [sym__unary_plus_operator] = ACTIONS(11557),
    [aux_sym__terminator_token1] = ACTIONS(11559),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7784] = {
    [sym_block_comment] = STATE(7784),
    [sym_line_comment] = STATE(7784),
    [sym__word_identifier] = ACTIONS(11561),
    [anon_sym_COMMA] = ACTIONS(11561),
    [anon_sym_EQ] = ACTIONS(11561),
    [anon_sym_begin] = ACTIONS(11561),
    [anon_sym_module] = ACTIONS(11561),
    [anon_sym_baremodule] = ACTIONS(11561),
    [anon_sym_end] = ACTIONS(11561),
    [anon_sym_abstract] = ACTIONS(11561),
    [anon_sym_primitive] = ACTIONS(11561),
    [anon_sym_mutable] = ACTIONS(11561),
    [anon_sym_struct] = ACTIONS(11561),
    [anon_sym_function] = ACTIONS(11561),
    [anon_sym_macro] = ACTIONS(11561),
    [anon_sym_quote] = ACTIONS(11561),
    [anon_sym_let] = ACTIONS(11561),
    [anon_sym_if] = ACTIONS(11561),
    [anon_sym_else] = ACTIONS(11561),
    [anon_sym_try] = ACTIONS(11561),
    [anon_sym_finally] = ACTIONS(11561),
    [anon_sym_for] = ACTIONS(11561),
    [anon_sym_while] = ACTIONS(11561),
    [sym_break_statement] = ACTIONS(11561),
    [sym_continue_statement] = ACTIONS(11561),
    [anon_sym_return] = ACTIONS(11561),
    [anon_sym_const] = ACTIONS(11561),
    [anon_sym_global] = ACTIONS(11561),
    [anon_sym_local] = ACTIONS(11561),
    [anon_sym_LPAREN] = ACTIONS(11561),
    [anon_sym_COLON] = ACTIONS(11561),
    [anon_sym_export] = ACTIONS(11561),
    [anon_sym_public] = ACTIONS(11561),
    [anon_sym_import] = ACTIONS(11561),
    [anon_sym_using] = ACTIONS(11561),
    [anon_sym_LBRACK] = ACTIONS(11561),
    [anon_sym_in] = ACTIONS(11561),
    [anon_sym_SEMI] = ACTIONS(11561),
    [anon_sym_LBRACE] = ACTIONS(11561),
    [anon_sym_DOLLAR] = ACTIONS(11561),
    [anon_sym_COLON2] = ACTIONS(11561),
    [anon_sym_COLON_COLON] = ACTIONS(11561),
    [anon_sym_isa] = ACTIONS(11561),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11561),
    [anon_sym_QMARK] = ACTIONS(11561),
    [anon_sym_where] = ACTIONS(11561),
    [anon_sym_AT] = ACTIONS(11561),
    [anon_sym_true] = ACTIONS(11561),
    [anon_sym_false] = ACTIONS(11561),
    [aux_sym_integer_literal_token1] = ACTIONS(11561),
    [aux_sym_integer_literal_token2] = ACTIONS(11561),
    [aux_sym_integer_literal_token3] = ACTIONS(11561),
    [aux_sym_integer_literal_token4] = ACTIONS(11561),
    [aux_sym_float_literal_token1] = ACTIONS(11561),
    [aux_sym_float_literal_token3] = ACTIONS(11561),
    [aux_sym_float_literal_token4] = ACTIONS(11561),
    [sym_character_literal] = ACTIONS(11561),
    [anon_sym_DQUOTE] = ACTIONS(11561),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11561),
    [anon_sym_BQUOTE] = ACTIONS(11561),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11561),
    [sym__pair_operator] = ACTIONS(11561),
    [sym__arrow_operator] = ACTIONS(11561),
    [sym__lazy_or_operator] = ACTIONS(11561),
    [sym__lazy_and_operator] = ACTIONS(11561),
    [sym__comparison_operator] = ACTIONS(11561),
    [sym__pipe_right_operator] = ACTIONS(11561),
    [sym__pipe_left_operator] = ACTIONS(11561),
    [sym__ellipsis_operator] = ACTIONS(11561),
    [sym__plus_operator] = ACTIONS(11561),
    [sym__times_operator] = ACTIONS(11561),
    [sym__rational_operator] = ACTIONS(11561),
    [sym__bitshift_operator] = ACTIONS(11561),
    [sym__power_operator] = ACTIONS(11561),
    [sym__tilde_operator] = ACTIONS(11561),
    [sym__type_order_operator] = ACTIONS(11561),
    [sym__unary_operator] = ACTIONS(11561),
    [sym__unary_plus_operator] = ACTIONS(11561),
    [aux_sym__terminator_token1] = ACTIONS(11563),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7785] = {
    [sym_block_comment] = STATE(7785),
    [sym_line_comment] = STATE(7785),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_catch] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7786] = {
    [sym_block_comment] = STATE(7786),
    [sym_line_comment] = STATE(7786),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_else] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_finally] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11216),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11216),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11216),
    [anon_sym_isa] = ACTIONS(11216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11216),
    [anon_sym_QMARK] = ACTIONS(11216),
    [anon_sym_where] = ACTIONS(11216),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11216),
    [sym__lazy_or_operator] = ACTIONS(11216),
    [sym__lazy_and_operator] = ACTIONS(11216),
    [sym__comparison_operator] = ACTIONS(11216),
    [sym__pipe_right_operator] = ACTIONS(11216),
    [sym__pipe_left_operator] = ACTIONS(11216),
    [sym__ellipsis_operator] = ACTIONS(11216),
    [sym__plus_operator] = ACTIONS(11216),
    [sym__times_operator] = ACTIONS(11216),
    [sym__rational_operator] = ACTIONS(11216),
    [sym__bitshift_operator] = ACTIONS(11216),
    [sym__power_operator] = ACTIONS(11216),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11216),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11216),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7787] = {
    [sym_block_comment] = STATE(7787),
    [sym_line_comment] = STATE(7787),
    [sym__word_identifier] = ACTIONS(11304),
    [anon_sym_COMMA] = ACTIONS(11304),
    [anon_sym_EQ] = ACTIONS(11304),
    [anon_sym_begin] = ACTIONS(11304),
    [anon_sym_module] = ACTIONS(11304),
    [anon_sym_baremodule] = ACTIONS(11304),
    [anon_sym_end] = ACTIONS(11304),
    [anon_sym_abstract] = ACTIONS(11304),
    [anon_sym_primitive] = ACTIONS(11304),
    [anon_sym_mutable] = ACTIONS(11304),
    [anon_sym_struct] = ACTIONS(11304),
    [anon_sym_function] = ACTIONS(11304),
    [anon_sym_macro] = ACTIONS(11304),
    [anon_sym_quote] = ACTIONS(11304),
    [anon_sym_let] = ACTIONS(11304),
    [anon_sym_if] = ACTIONS(11304),
    [anon_sym_elseif] = ACTIONS(11304),
    [anon_sym_else] = ACTIONS(11304),
    [anon_sym_try] = ACTIONS(11304),
    [anon_sym_for] = ACTIONS(11304),
    [anon_sym_while] = ACTIONS(11304),
    [sym_break_statement] = ACTIONS(11304),
    [sym_continue_statement] = ACTIONS(11304),
    [anon_sym_return] = ACTIONS(11304),
    [anon_sym_const] = ACTIONS(11304),
    [anon_sym_global] = ACTIONS(11304),
    [anon_sym_local] = ACTIONS(11304),
    [anon_sym_LPAREN] = ACTIONS(11304),
    [anon_sym_COLON] = ACTIONS(11304),
    [anon_sym_export] = ACTIONS(11304),
    [anon_sym_public] = ACTIONS(11304),
    [anon_sym_import] = ACTIONS(11304),
    [anon_sym_using] = ACTIONS(11304),
    [anon_sym_LBRACK] = ACTIONS(11304),
    [anon_sym_in] = ACTIONS(11304),
    [anon_sym_SEMI] = ACTIONS(11304),
    [anon_sym_LBRACE] = ACTIONS(11304),
    [anon_sym_DOLLAR] = ACTIONS(11304),
    [anon_sym_COLON2] = ACTIONS(11304),
    [anon_sym_COLON_COLON] = ACTIONS(11304),
    [anon_sym_isa] = ACTIONS(11304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11304),
    [anon_sym_QMARK] = ACTIONS(11304),
    [anon_sym_where] = ACTIONS(11304),
    [anon_sym_AT] = ACTIONS(11304),
    [anon_sym_true] = ACTIONS(11304),
    [anon_sym_false] = ACTIONS(11304),
    [aux_sym_integer_literal_token1] = ACTIONS(11304),
    [aux_sym_integer_literal_token2] = ACTIONS(11304),
    [aux_sym_integer_literal_token3] = ACTIONS(11304),
    [aux_sym_integer_literal_token4] = ACTIONS(11304),
    [aux_sym_float_literal_token1] = ACTIONS(11304),
    [aux_sym_float_literal_token3] = ACTIONS(11304),
    [aux_sym_float_literal_token4] = ACTIONS(11304),
    [sym_character_literal] = ACTIONS(11304),
    [anon_sym_DQUOTE] = ACTIONS(11304),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11304),
    [anon_sym_BQUOTE] = ACTIONS(11304),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11304),
    [sym__pair_operator] = ACTIONS(11304),
    [sym__arrow_operator] = ACTIONS(11304),
    [sym__lazy_or_operator] = ACTIONS(11304),
    [sym__lazy_and_operator] = ACTIONS(11304),
    [sym__comparison_operator] = ACTIONS(11304),
    [sym__pipe_right_operator] = ACTIONS(11304),
    [sym__pipe_left_operator] = ACTIONS(11304),
    [sym__ellipsis_operator] = ACTIONS(11304),
    [sym__plus_operator] = ACTIONS(11304),
    [sym__times_operator] = ACTIONS(11304),
    [sym__rational_operator] = ACTIONS(11304),
    [sym__bitshift_operator] = ACTIONS(11304),
    [sym__power_operator] = ACTIONS(11304),
    [sym__tilde_operator] = ACTIONS(11304),
    [sym__type_order_operator] = ACTIONS(11304),
    [sym__unary_operator] = ACTIONS(11304),
    [sym__unary_plus_operator] = ACTIONS(11304),
    [aux_sym__terminator_token1] = ACTIONS(11306),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7788] = {
    [sym_block_comment] = STATE(7788),
    [sym_line_comment] = STATE(7788),
    [sym__word_identifier] = ACTIONS(11565),
    [anon_sym_COMMA] = ACTIONS(11565),
    [anon_sym_EQ] = ACTIONS(11565),
    [anon_sym_begin] = ACTIONS(11565),
    [anon_sym_module] = ACTIONS(11565),
    [anon_sym_baremodule] = ACTIONS(11565),
    [anon_sym_end] = ACTIONS(11565),
    [anon_sym_abstract] = ACTIONS(11565),
    [anon_sym_primitive] = ACTIONS(11565),
    [anon_sym_mutable] = ACTIONS(11565),
    [anon_sym_struct] = ACTIONS(11565),
    [anon_sym_function] = ACTIONS(11565),
    [anon_sym_macro] = ACTIONS(11565),
    [anon_sym_quote] = ACTIONS(11565),
    [anon_sym_let] = ACTIONS(11565),
    [anon_sym_if] = ACTIONS(11565),
    [anon_sym_else] = ACTIONS(11565),
    [anon_sym_try] = ACTIONS(11565),
    [anon_sym_finally] = ACTIONS(11565),
    [anon_sym_for] = ACTIONS(11565),
    [anon_sym_while] = ACTIONS(11565),
    [sym_break_statement] = ACTIONS(11565),
    [sym_continue_statement] = ACTIONS(11565),
    [anon_sym_return] = ACTIONS(11565),
    [anon_sym_const] = ACTIONS(11565),
    [anon_sym_global] = ACTIONS(11565),
    [anon_sym_local] = ACTIONS(11565),
    [anon_sym_LPAREN] = ACTIONS(11565),
    [anon_sym_COLON] = ACTIONS(11565),
    [anon_sym_export] = ACTIONS(11565),
    [anon_sym_public] = ACTIONS(11565),
    [anon_sym_import] = ACTIONS(11565),
    [anon_sym_using] = ACTIONS(11565),
    [anon_sym_LBRACK] = ACTIONS(11565),
    [anon_sym_in] = ACTIONS(11565),
    [anon_sym_SEMI] = ACTIONS(11565),
    [anon_sym_LBRACE] = ACTIONS(11565),
    [anon_sym_DOLLAR] = ACTIONS(11565),
    [anon_sym_COLON2] = ACTIONS(11565),
    [anon_sym_COLON_COLON] = ACTIONS(11565),
    [anon_sym_isa] = ACTIONS(11565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11565),
    [anon_sym_QMARK] = ACTIONS(11565),
    [anon_sym_where] = ACTIONS(11565),
    [anon_sym_AT] = ACTIONS(11565),
    [anon_sym_true] = ACTIONS(11565),
    [anon_sym_false] = ACTIONS(11565),
    [aux_sym_integer_literal_token1] = ACTIONS(11565),
    [aux_sym_integer_literal_token2] = ACTIONS(11565),
    [aux_sym_integer_literal_token3] = ACTIONS(11565),
    [aux_sym_integer_literal_token4] = ACTIONS(11565),
    [aux_sym_float_literal_token1] = ACTIONS(11565),
    [aux_sym_float_literal_token3] = ACTIONS(11565),
    [aux_sym_float_literal_token4] = ACTIONS(11565),
    [sym_character_literal] = ACTIONS(11565),
    [anon_sym_DQUOTE] = ACTIONS(11565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11565),
    [anon_sym_BQUOTE] = ACTIONS(11565),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11565),
    [sym__pair_operator] = ACTIONS(11565),
    [sym__arrow_operator] = ACTIONS(11565),
    [sym__lazy_or_operator] = ACTIONS(11565),
    [sym__lazy_and_operator] = ACTIONS(11565),
    [sym__comparison_operator] = ACTIONS(11565),
    [sym__pipe_right_operator] = ACTIONS(11565),
    [sym__pipe_left_operator] = ACTIONS(11565),
    [sym__ellipsis_operator] = ACTIONS(11565),
    [sym__plus_operator] = ACTIONS(11565),
    [sym__times_operator] = ACTIONS(11565),
    [sym__rational_operator] = ACTIONS(11565),
    [sym__bitshift_operator] = ACTIONS(11565),
    [sym__power_operator] = ACTIONS(11565),
    [sym__tilde_operator] = ACTIONS(11565),
    [sym__type_order_operator] = ACTIONS(11565),
    [sym__unary_operator] = ACTIONS(11565),
    [sym__unary_plus_operator] = ACTIONS(11565),
    [aux_sym__terminator_token1] = ACTIONS(11567),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7789] = {
    [sym_block_comment] = STATE(7789),
    [sym_line_comment] = STATE(7789),
    [sym__word_identifier] = ACTIONS(11569),
    [anon_sym_COMMA] = ACTIONS(11569),
    [anon_sym_EQ] = ACTIONS(11569),
    [anon_sym_begin] = ACTIONS(11569),
    [anon_sym_module] = ACTIONS(11569),
    [anon_sym_baremodule] = ACTIONS(11569),
    [anon_sym_end] = ACTIONS(11569),
    [anon_sym_abstract] = ACTIONS(11569),
    [anon_sym_primitive] = ACTIONS(11569),
    [anon_sym_mutable] = ACTIONS(11569),
    [anon_sym_struct] = ACTIONS(11569),
    [anon_sym_function] = ACTIONS(11569),
    [anon_sym_macro] = ACTIONS(11569),
    [anon_sym_quote] = ACTIONS(11569),
    [anon_sym_let] = ACTIONS(11569),
    [anon_sym_if] = ACTIONS(11569),
    [anon_sym_else] = ACTIONS(11569),
    [anon_sym_try] = ACTIONS(11569),
    [anon_sym_finally] = ACTIONS(11569),
    [anon_sym_for] = ACTIONS(11569),
    [anon_sym_while] = ACTIONS(11569),
    [sym_break_statement] = ACTIONS(11569),
    [sym_continue_statement] = ACTIONS(11569),
    [anon_sym_return] = ACTIONS(11569),
    [anon_sym_const] = ACTIONS(11569),
    [anon_sym_global] = ACTIONS(11569),
    [anon_sym_local] = ACTIONS(11569),
    [anon_sym_LPAREN] = ACTIONS(11569),
    [anon_sym_COLON] = ACTIONS(11569),
    [anon_sym_export] = ACTIONS(11569),
    [anon_sym_public] = ACTIONS(11569),
    [anon_sym_import] = ACTIONS(11569),
    [anon_sym_using] = ACTIONS(11569),
    [anon_sym_LBRACK] = ACTIONS(11569),
    [anon_sym_in] = ACTIONS(11569),
    [anon_sym_SEMI] = ACTIONS(11569),
    [anon_sym_LBRACE] = ACTIONS(11569),
    [anon_sym_DOLLAR] = ACTIONS(11569),
    [anon_sym_COLON2] = ACTIONS(11569),
    [anon_sym_COLON_COLON] = ACTIONS(11569),
    [anon_sym_isa] = ACTIONS(11569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11569),
    [anon_sym_QMARK] = ACTIONS(11569),
    [anon_sym_where] = ACTIONS(11569),
    [anon_sym_AT] = ACTIONS(11569),
    [anon_sym_true] = ACTIONS(11569),
    [anon_sym_false] = ACTIONS(11569),
    [aux_sym_integer_literal_token1] = ACTIONS(11569),
    [aux_sym_integer_literal_token2] = ACTIONS(11569),
    [aux_sym_integer_literal_token3] = ACTIONS(11569),
    [aux_sym_integer_literal_token4] = ACTIONS(11569),
    [aux_sym_float_literal_token1] = ACTIONS(11569),
    [aux_sym_float_literal_token3] = ACTIONS(11569),
    [aux_sym_float_literal_token4] = ACTIONS(11569),
    [sym_character_literal] = ACTIONS(11569),
    [anon_sym_DQUOTE] = ACTIONS(11569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11569),
    [anon_sym_BQUOTE] = ACTIONS(11569),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11569),
    [sym__pair_operator] = ACTIONS(11569),
    [sym__arrow_operator] = ACTIONS(11569),
    [sym__lazy_or_operator] = ACTIONS(11569),
    [sym__lazy_and_operator] = ACTIONS(11569),
    [sym__comparison_operator] = ACTIONS(11569),
    [sym__pipe_right_operator] = ACTIONS(11569),
    [sym__pipe_left_operator] = ACTIONS(11569),
    [sym__ellipsis_operator] = ACTIONS(11569),
    [sym__plus_operator] = ACTIONS(11569),
    [sym__times_operator] = ACTIONS(11569),
    [sym__rational_operator] = ACTIONS(11569),
    [sym__bitshift_operator] = ACTIONS(11569),
    [sym__power_operator] = ACTIONS(11569),
    [sym__tilde_operator] = ACTIONS(11569),
    [sym__type_order_operator] = ACTIONS(11569),
    [sym__unary_operator] = ACTIONS(11569),
    [sym__unary_plus_operator] = ACTIONS(11569),
    [aux_sym__terminator_token1] = ACTIONS(11571),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7790] = {
    [sym_block_comment] = STATE(7790),
    [sym_line_comment] = STATE(7790),
    [sym__word_identifier] = ACTIONS(11573),
    [anon_sym_COMMA] = ACTIONS(11573),
    [anon_sym_EQ] = ACTIONS(11573),
    [anon_sym_begin] = ACTIONS(11573),
    [anon_sym_module] = ACTIONS(11573),
    [anon_sym_baremodule] = ACTIONS(11573),
    [anon_sym_end] = ACTIONS(11573),
    [anon_sym_abstract] = ACTIONS(11573),
    [anon_sym_primitive] = ACTIONS(11573),
    [anon_sym_mutable] = ACTIONS(11573),
    [anon_sym_struct] = ACTIONS(11573),
    [anon_sym_function] = ACTIONS(11573),
    [anon_sym_macro] = ACTIONS(11573),
    [anon_sym_quote] = ACTIONS(11573),
    [anon_sym_let] = ACTIONS(11573),
    [anon_sym_if] = ACTIONS(11573),
    [anon_sym_else] = ACTIONS(11573),
    [anon_sym_try] = ACTIONS(11573),
    [anon_sym_finally] = ACTIONS(11573),
    [anon_sym_for] = ACTIONS(11573),
    [anon_sym_while] = ACTIONS(11573),
    [sym_break_statement] = ACTIONS(11573),
    [sym_continue_statement] = ACTIONS(11573),
    [anon_sym_return] = ACTIONS(11573),
    [anon_sym_const] = ACTIONS(11573),
    [anon_sym_global] = ACTIONS(11573),
    [anon_sym_local] = ACTIONS(11573),
    [anon_sym_LPAREN] = ACTIONS(11573),
    [anon_sym_COLON] = ACTIONS(11573),
    [anon_sym_export] = ACTIONS(11573),
    [anon_sym_public] = ACTIONS(11573),
    [anon_sym_import] = ACTIONS(11573),
    [anon_sym_using] = ACTIONS(11573),
    [anon_sym_LBRACK] = ACTIONS(11573),
    [anon_sym_in] = ACTIONS(11573),
    [anon_sym_SEMI] = ACTIONS(11573),
    [anon_sym_LBRACE] = ACTIONS(11573),
    [anon_sym_DOLLAR] = ACTIONS(11573),
    [anon_sym_COLON2] = ACTIONS(11573),
    [anon_sym_COLON_COLON] = ACTIONS(11573),
    [anon_sym_isa] = ACTIONS(11573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11573),
    [anon_sym_QMARK] = ACTIONS(11573),
    [anon_sym_where] = ACTIONS(11573),
    [anon_sym_AT] = ACTIONS(11573),
    [anon_sym_true] = ACTIONS(11573),
    [anon_sym_false] = ACTIONS(11573),
    [aux_sym_integer_literal_token1] = ACTIONS(11573),
    [aux_sym_integer_literal_token2] = ACTIONS(11573),
    [aux_sym_integer_literal_token3] = ACTIONS(11573),
    [aux_sym_integer_literal_token4] = ACTIONS(11573),
    [aux_sym_float_literal_token1] = ACTIONS(11573),
    [aux_sym_float_literal_token3] = ACTIONS(11573),
    [aux_sym_float_literal_token4] = ACTIONS(11573),
    [sym_character_literal] = ACTIONS(11573),
    [anon_sym_DQUOTE] = ACTIONS(11573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11573),
    [anon_sym_BQUOTE] = ACTIONS(11573),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11573),
    [sym__pair_operator] = ACTIONS(11573),
    [sym__arrow_operator] = ACTIONS(11573),
    [sym__lazy_or_operator] = ACTIONS(11573),
    [sym__lazy_and_operator] = ACTIONS(11573),
    [sym__comparison_operator] = ACTIONS(11573),
    [sym__pipe_right_operator] = ACTIONS(11573),
    [sym__pipe_left_operator] = ACTIONS(11573),
    [sym__ellipsis_operator] = ACTIONS(11573),
    [sym__plus_operator] = ACTIONS(11573),
    [sym__times_operator] = ACTIONS(11573),
    [sym__rational_operator] = ACTIONS(11573),
    [sym__bitshift_operator] = ACTIONS(11573),
    [sym__power_operator] = ACTIONS(11573),
    [sym__tilde_operator] = ACTIONS(11573),
    [sym__type_order_operator] = ACTIONS(11573),
    [sym__unary_operator] = ACTIONS(11573),
    [sym__unary_plus_operator] = ACTIONS(11573),
    [aux_sym__terminator_token1] = ACTIONS(11575),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7791] = {
    [sym_block_comment] = STATE(7791),
    [sym_line_comment] = STATE(7791),
    [sym__word_identifier] = ACTIONS(11577),
    [anon_sym_COMMA] = ACTIONS(11577),
    [anon_sym_EQ] = ACTIONS(11577),
    [anon_sym_begin] = ACTIONS(11577),
    [anon_sym_module] = ACTIONS(11577),
    [anon_sym_baremodule] = ACTIONS(11577),
    [anon_sym_end] = ACTIONS(11577),
    [anon_sym_abstract] = ACTIONS(11577),
    [anon_sym_primitive] = ACTIONS(11577),
    [anon_sym_mutable] = ACTIONS(11577),
    [anon_sym_struct] = ACTIONS(11577),
    [anon_sym_function] = ACTIONS(11577),
    [anon_sym_macro] = ACTIONS(11577),
    [anon_sym_quote] = ACTIONS(11577),
    [anon_sym_let] = ACTIONS(11577),
    [anon_sym_if] = ACTIONS(11577),
    [anon_sym_else] = ACTIONS(11577),
    [anon_sym_try] = ACTIONS(11577),
    [anon_sym_finally] = ACTIONS(11577),
    [anon_sym_for] = ACTIONS(11577),
    [anon_sym_while] = ACTIONS(11577),
    [sym_break_statement] = ACTIONS(11577),
    [sym_continue_statement] = ACTIONS(11577),
    [anon_sym_return] = ACTIONS(11577),
    [anon_sym_const] = ACTIONS(11577),
    [anon_sym_global] = ACTIONS(11577),
    [anon_sym_local] = ACTIONS(11577),
    [anon_sym_LPAREN] = ACTIONS(11577),
    [anon_sym_COLON] = ACTIONS(11577),
    [anon_sym_export] = ACTIONS(11577),
    [anon_sym_public] = ACTIONS(11577),
    [anon_sym_import] = ACTIONS(11577),
    [anon_sym_using] = ACTIONS(11577),
    [anon_sym_LBRACK] = ACTIONS(11577),
    [anon_sym_in] = ACTIONS(11577),
    [anon_sym_SEMI] = ACTIONS(11577),
    [anon_sym_LBRACE] = ACTIONS(11577),
    [anon_sym_DOLLAR] = ACTIONS(11577),
    [anon_sym_COLON2] = ACTIONS(11577),
    [anon_sym_COLON_COLON] = ACTIONS(11577),
    [anon_sym_isa] = ACTIONS(11577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11577),
    [anon_sym_QMARK] = ACTIONS(11577),
    [anon_sym_where] = ACTIONS(11577),
    [anon_sym_AT] = ACTIONS(11577),
    [anon_sym_true] = ACTIONS(11577),
    [anon_sym_false] = ACTIONS(11577),
    [aux_sym_integer_literal_token1] = ACTIONS(11577),
    [aux_sym_integer_literal_token2] = ACTIONS(11577),
    [aux_sym_integer_literal_token3] = ACTIONS(11577),
    [aux_sym_integer_literal_token4] = ACTIONS(11577),
    [aux_sym_float_literal_token1] = ACTIONS(11577),
    [aux_sym_float_literal_token3] = ACTIONS(11577),
    [aux_sym_float_literal_token4] = ACTIONS(11577),
    [sym_character_literal] = ACTIONS(11577),
    [anon_sym_DQUOTE] = ACTIONS(11577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11577),
    [anon_sym_BQUOTE] = ACTIONS(11577),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11577),
    [sym__pair_operator] = ACTIONS(11577),
    [sym__arrow_operator] = ACTIONS(11577),
    [sym__lazy_or_operator] = ACTIONS(11577),
    [sym__lazy_and_operator] = ACTIONS(11577),
    [sym__comparison_operator] = ACTIONS(11577),
    [sym__pipe_right_operator] = ACTIONS(11577),
    [sym__pipe_left_operator] = ACTIONS(11577),
    [sym__ellipsis_operator] = ACTIONS(11577),
    [sym__plus_operator] = ACTIONS(11577),
    [sym__times_operator] = ACTIONS(11577),
    [sym__rational_operator] = ACTIONS(11577),
    [sym__bitshift_operator] = ACTIONS(11577),
    [sym__power_operator] = ACTIONS(11577),
    [sym__tilde_operator] = ACTIONS(11577),
    [sym__type_order_operator] = ACTIONS(11577),
    [sym__unary_operator] = ACTIONS(11577),
    [sym__unary_plus_operator] = ACTIONS(11577),
    [aux_sym__terminator_token1] = ACTIONS(11579),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7792] = {
    [sym_block_comment] = STATE(7792),
    [sym_line_comment] = STATE(7792),
    [sym__word_identifier] = ACTIONS(11581),
    [anon_sym_COMMA] = ACTIONS(11581),
    [anon_sym_EQ] = ACTIONS(11581),
    [anon_sym_begin] = ACTIONS(11581),
    [anon_sym_module] = ACTIONS(11581),
    [anon_sym_baremodule] = ACTIONS(11581),
    [anon_sym_end] = ACTIONS(11581),
    [anon_sym_abstract] = ACTIONS(11581),
    [anon_sym_primitive] = ACTIONS(11581),
    [anon_sym_mutable] = ACTIONS(11581),
    [anon_sym_struct] = ACTIONS(11581),
    [anon_sym_function] = ACTIONS(11581),
    [anon_sym_macro] = ACTIONS(11581),
    [anon_sym_quote] = ACTIONS(11581),
    [anon_sym_let] = ACTIONS(11581),
    [anon_sym_if] = ACTIONS(11581),
    [anon_sym_else] = ACTIONS(11581),
    [anon_sym_try] = ACTIONS(11581),
    [anon_sym_finally] = ACTIONS(11581),
    [anon_sym_for] = ACTIONS(11581),
    [anon_sym_while] = ACTIONS(11581),
    [sym_break_statement] = ACTIONS(11581),
    [sym_continue_statement] = ACTIONS(11581),
    [anon_sym_return] = ACTIONS(11581),
    [anon_sym_const] = ACTIONS(11581),
    [anon_sym_global] = ACTIONS(11581),
    [anon_sym_local] = ACTIONS(11581),
    [anon_sym_LPAREN] = ACTIONS(11581),
    [anon_sym_COLON] = ACTIONS(11581),
    [anon_sym_export] = ACTIONS(11581),
    [anon_sym_public] = ACTIONS(11581),
    [anon_sym_import] = ACTIONS(11581),
    [anon_sym_using] = ACTIONS(11581),
    [anon_sym_LBRACK] = ACTIONS(11581),
    [anon_sym_in] = ACTIONS(11581),
    [anon_sym_SEMI] = ACTIONS(11581),
    [anon_sym_LBRACE] = ACTIONS(11581),
    [anon_sym_DOLLAR] = ACTIONS(11581),
    [anon_sym_COLON2] = ACTIONS(11581),
    [anon_sym_COLON_COLON] = ACTIONS(11581),
    [anon_sym_isa] = ACTIONS(11581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11581),
    [anon_sym_QMARK] = ACTIONS(11581),
    [anon_sym_where] = ACTIONS(11581),
    [anon_sym_AT] = ACTIONS(11581),
    [anon_sym_true] = ACTIONS(11581),
    [anon_sym_false] = ACTIONS(11581),
    [aux_sym_integer_literal_token1] = ACTIONS(11581),
    [aux_sym_integer_literal_token2] = ACTIONS(11581),
    [aux_sym_integer_literal_token3] = ACTIONS(11581),
    [aux_sym_integer_literal_token4] = ACTIONS(11581),
    [aux_sym_float_literal_token1] = ACTIONS(11581),
    [aux_sym_float_literal_token3] = ACTIONS(11581),
    [aux_sym_float_literal_token4] = ACTIONS(11581),
    [sym_character_literal] = ACTIONS(11581),
    [anon_sym_DQUOTE] = ACTIONS(11581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11581),
    [anon_sym_BQUOTE] = ACTIONS(11581),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11581),
    [sym__pair_operator] = ACTIONS(11581),
    [sym__arrow_operator] = ACTIONS(11581),
    [sym__lazy_or_operator] = ACTIONS(11581),
    [sym__lazy_and_operator] = ACTIONS(11581),
    [sym__comparison_operator] = ACTIONS(11581),
    [sym__pipe_right_operator] = ACTIONS(11581),
    [sym__pipe_left_operator] = ACTIONS(11581),
    [sym__ellipsis_operator] = ACTIONS(11581),
    [sym__plus_operator] = ACTIONS(11581),
    [sym__times_operator] = ACTIONS(11581),
    [sym__rational_operator] = ACTIONS(11581),
    [sym__bitshift_operator] = ACTIONS(11581),
    [sym__power_operator] = ACTIONS(11581),
    [sym__tilde_operator] = ACTIONS(11581),
    [sym__type_order_operator] = ACTIONS(11581),
    [sym__unary_operator] = ACTIONS(11581),
    [sym__unary_plus_operator] = ACTIONS(11581),
    [aux_sym__terminator_token1] = ACTIONS(11583),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7793] = {
    [sym_block_comment] = STATE(7793),
    [sym_line_comment] = STATE(7793),
    [sym__word_identifier] = ACTIONS(11585),
    [anon_sym_COMMA] = ACTIONS(11585),
    [anon_sym_EQ] = ACTIONS(11585),
    [anon_sym_begin] = ACTIONS(11585),
    [anon_sym_module] = ACTIONS(11585),
    [anon_sym_baremodule] = ACTIONS(11585),
    [anon_sym_end] = ACTIONS(11585),
    [anon_sym_abstract] = ACTIONS(11585),
    [anon_sym_primitive] = ACTIONS(11585),
    [anon_sym_mutable] = ACTIONS(11585),
    [anon_sym_struct] = ACTIONS(11585),
    [anon_sym_function] = ACTIONS(11585),
    [anon_sym_macro] = ACTIONS(11585),
    [anon_sym_quote] = ACTIONS(11585),
    [anon_sym_let] = ACTIONS(11585),
    [anon_sym_if] = ACTIONS(11585),
    [anon_sym_else] = ACTIONS(11585),
    [anon_sym_try] = ACTIONS(11585),
    [anon_sym_finally] = ACTIONS(11585),
    [anon_sym_for] = ACTIONS(11585),
    [anon_sym_while] = ACTIONS(11585),
    [sym_break_statement] = ACTIONS(11585),
    [sym_continue_statement] = ACTIONS(11585),
    [anon_sym_return] = ACTIONS(11585),
    [anon_sym_const] = ACTIONS(11585),
    [anon_sym_global] = ACTIONS(11585),
    [anon_sym_local] = ACTIONS(11585),
    [anon_sym_LPAREN] = ACTIONS(11585),
    [anon_sym_COLON] = ACTIONS(11585),
    [anon_sym_export] = ACTIONS(11585),
    [anon_sym_public] = ACTIONS(11585),
    [anon_sym_import] = ACTIONS(11585),
    [anon_sym_using] = ACTIONS(11585),
    [anon_sym_LBRACK] = ACTIONS(11585),
    [anon_sym_in] = ACTIONS(11585),
    [anon_sym_SEMI] = ACTIONS(11585),
    [anon_sym_LBRACE] = ACTIONS(11585),
    [anon_sym_DOLLAR] = ACTIONS(11585),
    [anon_sym_COLON2] = ACTIONS(11585),
    [anon_sym_COLON_COLON] = ACTIONS(11585),
    [anon_sym_isa] = ACTIONS(11585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11585),
    [anon_sym_QMARK] = ACTIONS(11585),
    [anon_sym_where] = ACTIONS(11585),
    [anon_sym_AT] = ACTIONS(11585),
    [anon_sym_true] = ACTIONS(11585),
    [anon_sym_false] = ACTIONS(11585),
    [aux_sym_integer_literal_token1] = ACTIONS(11585),
    [aux_sym_integer_literal_token2] = ACTIONS(11585),
    [aux_sym_integer_literal_token3] = ACTIONS(11585),
    [aux_sym_integer_literal_token4] = ACTIONS(11585),
    [aux_sym_float_literal_token1] = ACTIONS(11585),
    [aux_sym_float_literal_token3] = ACTIONS(11585),
    [aux_sym_float_literal_token4] = ACTIONS(11585),
    [sym_character_literal] = ACTIONS(11585),
    [anon_sym_DQUOTE] = ACTIONS(11585),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11585),
    [anon_sym_BQUOTE] = ACTIONS(11585),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11585),
    [sym__pair_operator] = ACTIONS(11585),
    [sym__arrow_operator] = ACTIONS(11585),
    [sym__lazy_or_operator] = ACTIONS(11585),
    [sym__lazy_and_operator] = ACTIONS(11585),
    [sym__comparison_operator] = ACTIONS(11585),
    [sym__pipe_right_operator] = ACTIONS(11585),
    [sym__pipe_left_operator] = ACTIONS(11585),
    [sym__ellipsis_operator] = ACTIONS(11585),
    [sym__plus_operator] = ACTIONS(11585),
    [sym__times_operator] = ACTIONS(11585),
    [sym__rational_operator] = ACTIONS(11585),
    [sym__bitshift_operator] = ACTIONS(11585),
    [sym__power_operator] = ACTIONS(11585),
    [sym__tilde_operator] = ACTIONS(11585),
    [sym__type_order_operator] = ACTIONS(11585),
    [sym__unary_operator] = ACTIONS(11585),
    [sym__unary_plus_operator] = ACTIONS(11585),
    [aux_sym__terminator_token1] = ACTIONS(11587),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7794] = {
    [sym_block_comment] = STATE(7794),
    [sym_line_comment] = STATE(7794),
    [sym__word_identifier] = ACTIONS(11589),
    [anon_sym_COMMA] = ACTIONS(11589),
    [anon_sym_EQ] = ACTIONS(11589),
    [anon_sym_begin] = ACTIONS(11589),
    [anon_sym_module] = ACTIONS(11589),
    [anon_sym_baremodule] = ACTIONS(11589),
    [anon_sym_end] = ACTIONS(11589),
    [anon_sym_abstract] = ACTIONS(11589),
    [anon_sym_primitive] = ACTIONS(11589),
    [anon_sym_mutable] = ACTIONS(11589),
    [anon_sym_struct] = ACTIONS(11589),
    [anon_sym_function] = ACTIONS(11589),
    [anon_sym_macro] = ACTIONS(11589),
    [anon_sym_quote] = ACTIONS(11589),
    [anon_sym_let] = ACTIONS(11589),
    [anon_sym_if] = ACTIONS(11589),
    [anon_sym_else] = ACTIONS(11589),
    [anon_sym_try] = ACTIONS(11589),
    [anon_sym_finally] = ACTIONS(11589),
    [anon_sym_for] = ACTIONS(11589),
    [anon_sym_while] = ACTIONS(11589),
    [sym_break_statement] = ACTIONS(11589),
    [sym_continue_statement] = ACTIONS(11589),
    [anon_sym_return] = ACTIONS(11589),
    [anon_sym_const] = ACTIONS(11589),
    [anon_sym_global] = ACTIONS(11589),
    [anon_sym_local] = ACTIONS(11589),
    [anon_sym_LPAREN] = ACTIONS(11589),
    [anon_sym_COLON] = ACTIONS(11589),
    [anon_sym_export] = ACTIONS(11589),
    [anon_sym_public] = ACTIONS(11589),
    [anon_sym_import] = ACTIONS(11589),
    [anon_sym_using] = ACTIONS(11589),
    [anon_sym_LBRACK] = ACTIONS(11589),
    [anon_sym_in] = ACTIONS(11589),
    [anon_sym_SEMI] = ACTIONS(11589),
    [anon_sym_LBRACE] = ACTIONS(11589),
    [anon_sym_DOLLAR] = ACTIONS(11589),
    [anon_sym_COLON2] = ACTIONS(11589),
    [anon_sym_COLON_COLON] = ACTIONS(11589),
    [anon_sym_isa] = ACTIONS(11589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11589),
    [anon_sym_QMARK] = ACTIONS(11589),
    [anon_sym_where] = ACTIONS(11589),
    [anon_sym_AT] = ACTIONS(11589),
    [anon_sym_true] = ACTIONS(11589),
    [anon_sym_false] = ACTIONS(11589),
    [aux_sym_integer_literal_token1] = ACTIONS(11589),
    [aux_sym_integer_literal_token2] = ACTIONS(11589),
    [aux_sym_integer_literal_token3] = ACTIONS(11589),
    [aux_sym_integer_literal_token4] = ACTIONS(11589),
    [aux_sym_float_literal_token1] = ACTIONS(11589),
    [aux_sym_float_literal_token3] = ACTIONS(11589),
    [aux_sym_float_literal_token4] = ACTIONS(11589),
    [sym_character_literal] = ACTIONS(11589),
    [anon_sym_DQUOTE] = ACTIONS(11589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11589),
    [anon_sym_BQUOTE] = ACTIONS(11589),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11589),
    [sym__pair_operator] = ACTIONS(11589),
    [sym__arrow_operator] = ACTIONS(11589),
    [sym__lazy_or_operator] = ACTIONS(11589),
    [sym__lazy_and_operator] = ACTIONS(11589),
    [sym__comparison_operator] = ACTIONS(11589),
    [sym__pipe_right_operator] = ACTIONS(11589),
    [sym__pipe_left_operator] = ACTIONS(11589),
    [sym__ellipsis_operator] = ACTIONS(11589),
    [sym__plus_operator] = ACTIONS(11589),
    [sym__times_operator] = ACTIONS(11589),
    [sym__rational_operator] = ACTIONS(11589),
    [sym__bitshift_operator] = ACTIONS(11589),
    [sym__power_operator] = ACTIONS(11589),
    [sym__tilde_operator] = ACTIONS(11589),
    [sym__type_order_operator] = ACTIONS(11589),
    [sym__unary_operator] = ACTIONS(11589),
    [sym__unary_plus_operator] = ACTIONS(11589),
    [aux_sym__terminator_token1] = ACTIONS(11591),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7795] = {
    [sym_block_comment] = STATE(7795),
    [sym_line_comment] = STATE(7795),
    [sym__word_identifier] = ACTIONS(11593),
    [anon_sym_COMMA] = ACTIONS(11593),
    [anon_sym_EQ] = ACTIONS(11593),
    [anon_sym_begin] = ACTIONS(11593),
    [anon_sym_module] = ACTIONS(11593),
    [anon_sym_baremodule] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(11593),
    [anon_sym_abstract] = ACTIONS(11593),
    [anon_sym_primitive] = ACTIONS(11593),
    [anon_sym_mutable] = ACTIONS(11593),
    [anon_sym_struct] = ACTIONS(11593),
    [anon_sym_function] = ACTIONS(11593),
    [anon_sym_macro] = ACTIONS(11593),
    [anon_sym_quote] = ACTIONS(11593),
    [anon_sym_let] = ACTIONS(11593),
    [anon_sym_if] = ACTIONS(11593),
    [anon_sym_else] = ACTIONS(11593),
    [anon_sym_try] = ACTIONS(11593),
    [anon_sym_finally] = ACTIONS(11593),
    [anon_sym_for] = ACTIONS(11593),
    [anon_sym_while] = ACTIONS(11593),
    [sym_break_statement] = ACTIONS(11593),
    [sym_continue_statement] = ACTIONS(11593),
    [anon_sym_return] = ACTIONS(11593),
    [anon_sym_const] = ACTIONS(11593),
    [anon_sym_global] = ACTIONS(11593),
    [anon_sym_local] = ACTIONS(11593),
    [anon_sym_LPAREN] = ACTIONS(11593),
    [anon_sym_COLON] = ACTIONS(11593),
    [anon_sym_export] = ACTIONS(11593),
    [anon_sym_public] = ACTIONS(11593),
    [anon_sym_import] = ACTIONS(11593),
    [anon_sym_using] = ACTIONS(11593),
    [anon_sym_LBRACK] = ACTIONS(11593),
    [anon_sym_in] = ACTIONS(11593),
    [anon_sym_SEMI] = ACTIONS(11593),
    [anon_sym_LBRACE] = ACTIONS(11593),
    [anon_sym_DOLLAR] = ACTIONS(11593),
    [anon_sym_COLON2] = ACTIONS(11593),
    [anon_sym_COLON_COLON] = ACTIONS(11593),
    [anon_sym_isa] = ACTIONS(11593),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11593),
    [anon_sym_QMARK] = ACTIONS(11593),
    [anon_sym_where] = ACTIONS(11593),
    [anon_sym_AT] = ACTIONS(11593),
    [anon_sym_true] = ACTIONS(11593),
    [anon_sym_false] = ACTIONS(11593),
    [aux_sym_integer_literal_token1] = ACTIONS(11593),
    [aux_sym_integer_literal_token2] = ACTIONS(11593),
    [aux_sym_integer_literal_token3] = ACTIONS(11593),
    [aux_sym_integer_literal_token4] = ACTIONS(11593),
    [aux_sym_float_literal_token1] = ACTIONS(11593),
    [aux_sym_float_literal_token3] = ACTIONS(11593),
    [aux_sym_float_literal_token4] = ACTIONS(11593),
    [sym_character_literal] = ACTIONS(11593),
    [anon_sym_DQUOTE] = ACTIONS(11593),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11593),
    [anon_sym_BQUOTE] = ACTIONS(11593),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11593),
    [sym__pair_operator] = ACTIONS(11593),
    [sym__arrow_operator] = ACTIONS(11593),
    [sym__lazy_or_operator] = ACTIONS(11593),
    [sym__lazy_and_operator] = ACTIONS(11593),
    [sym__comparison_operator] = ACTIONS(11593),
    [sym__pipe_right_operator] = ACTIONS(11593),
    [sym__pipe_left_operator] = ACTIONS(11593),
    [sym__ellipsis_operator] = ACTIONS(11593),
    [sym__plus_operator] = ACTIONS(11593),
    [sym__times_operator] = ACTIONS(11593),
    [sym__rational_operator] = ACTIONS(11593),
    [sym__bitshift_operator] = ACTIONS(11593),
    [sym__power_operator] = ACTIONS(11593),
    [sym__tilde_operator] = ACTIONS(11593),
    [sym__type_order_operator] = ACTIONS(11593),
    [sym__unary_operator] = ACTIONS(11593),
    [sym__unary_plus_operator] = ACTIONS(11593),
    [aux_sym__terminator_token1] = ACTIONS(11595),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7796] = {
    [sym_block_comment] = STATE(7796),
    [sym_line_comment] = STATE(7796),
    [sym__word_identifier] = ACTIONS(11597),
    [anon_sym_COMMA] = ACTIONS(11597),
    [anon_sym_EQ] = ACTIONS(11597),
    [anon_sym_begin] = ACTIONS(11597),
    [anon_sym_module] = ACTIONS(11597),
    [anon_sym_baremodule] = ACTIONS(11597),
    [anon_sym_end] = ACTIONS(11597),
    [anon_sym_abstract] = ACTIONS(11597),
    [anon_sym_primitive] = ACTIONS(11597),
    [anon_sym_mutable] = ACTIONS(11597),
    [anon_sym_struct] = ACTIONS(11597),
    [anon_sym_function] = ACTIONS(11597),
    [anon_sym_macro] = ACTIONS(11597),
    [anon_sym_quote] = ACTIONS(11597),
    [anon_sym_let] = ACTIONS(11597),
    [anon_sym_if] = ACTIONS(11597),
    [anon_sym_else] = ACTIONS(11597),
    [anon_sym_try] = ACTIONS(11597),
    [anon_sym_finally] = ACTIONS(11597),
    [anon_sym_for] = ACTIONS(11597),
    [anon_sym_while] = ACTIONS(11597),
    [sym_break_statement] = ACTIONS(11597),
    [sym_continue_statement] = ACTIONS(11597),
    [anon_sym_return] = ACTIONS(11597),
    [anon_sym_const] = ACTIONS(11597),
    [anon_sym_global] = ACTIONS(11597),
    [anon_sym_local] = ACTIONS(11597),
    [anon_sym_LPAREN] = ACTIONS(11597),
    [anon_sym_COLON] = ACTIONS(11597),
    [anon_sym_export] = ACTIONS(11597),
    [anon_sym_public] = ACTIONS(11597),
    [anon_sym_import] = ACTIONS(11597),
    [anon_sym_using] = ACTIONS(11597),
    [anon_sym_LBRACK] = ACTIONS(11597),
    [anon_sym_in] = ACTIONS(11597),
    [anon_sym_SEMI] = ACTIONS(11597),
    [anon_sym_LBRACE] = ACTIONS(11597),
    [anon_sym_DOLLAR] = ACTIONS(11597),
    [anon_sym_COLON2] = ACTIONS(11597),
    [anon_sym_COLON_COLON] = ACTIONS(11597),
    [anon_sym_isa] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11597),
    [anon_sym_QMARK] = ACTIONS(11597),
    [anon_sym_where] = ACTIONS(11597),
    [anon_sym_AT] = ACTIONS(11597),
    [anon_sym_true] = ACTIONS(11597),
    [anon_sym_false] = ACTIONS(11597),
    [aux_sym_integer_literal_token1] = ACTIONS(11597),
    [aux_sym_integer_literal_token2] = ACTIONS(11597),
    [aux_sym_integer_literal_token3] = ACTIONS(11597),
    [aux_sym_integer_literal_token4] = ACTIONS(11597),
    [aux_sym_float_literal_token1] = ACTIONS(11597),
    [aux_sym_float_literal_token3] = ACTIONS(11597),
    [aux_sym_float_literal_token4] = ACTIONS(11597),
    [sym_character_literal] = ACTIONS(11597),
    [anon_sym_DQUOTE] = ACTIONS(11597),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11597),
    [anon_sym_BQUOTE] = ACTIONS(11597),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11597),
    [sym__pair_operator] = ACTIONS(11597),
    [sym__arrow_operator] = ACTIONS(11597),
    [sym__lazy_or_operator] = ACTIONS(11597),
    [sym__lazy_and_operator] = ACTIONS(11597),
    [sym__comparison_operator] = ACTIONS(11597),
    [sym__pipe_right_operator] = ACTIONS(11597),
    [sym__pipe_left_operator] = ACTIONS(11597),
    [sym__ellipsis_operator] = ACTIONS(11597),
    [sym__plus_operator] = ACTIONS(11597),
    [sym__times_operator] = ACTIONS(11597),
    [sym__rational_operator] = ACTIONS(11597),
    [sym__bitshift_operator] = ACTIONS(11597),
    [sym__power_operator] = ACTIONS(11597),
    [sym__tilde_operator] = ACTIONS(11597),
    [sym__type_order_operator] = ACTIONS(11597),
    [sym__unary_operator] = ACTIONS(11597),
    [sym__unary_plus_operator] = ACTIONS(11597),
    [aux_sym__terminator_token1] = ACTIONS(11599),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7797] = {
    [sym_block_comment] = STATE(7797),
    [sym_line_comment] = STATE(7797),
    [sym__word_identifier] = ACTIONS(11601),
    [anon_sym_COMMA] = ACTIONS(11601),
    [anon_sym_EQ] = ACTIONS(11601),
    [anon_sym_begin] = ACTIONS(11601),
    [anon_sym_module] = ACTIONS(11601),
    [anon_sym_baremodule] = ACTIONS(11601),
    [anon_sym_end] = ACTIONS(11601),
    [anon_sym_abstract] = ACTIONS(11601),
    [anon_sym_primitive] = ACTIONS(11601),
    [anon_sym_mutable] = ACTIONS(11601),
    [anon_sym_struct] = ACTIONS(11601),
    [anon_sym_function] = ACTIONS(11601),
    [anon_sym_macro] = ACTIONS(11601),
    [anon_sym_quote] = ACTIONS(11601),
    [anon_sym_let] = ACTIONS(11601),
    [anon_sym_if] = ACTIONS(11601),
    [anon_sym_else] = ACTIONS(11601),
    [anon_sym_try] = ACTIONS(11601),
    [anon_sym_finally] = ACTIONS(11601),
    [anon_sym_for] = ACTIONS(11601),
    [anon_sym_while] = ACTIONS(11601),
    [sym_break_statement] = ACTIONS(11601),
    [sym_continue_statement] = ACTIONS(11601),
    [anon_sym_return] = ACTIONS(11601),
    [anon_sym_const] = ACTIONS(11601),
    [anon_sym_global] = ACTIONS(11601),
    [anon_sym_local] = ACTIONS(11601),
    [anon_sym_LPAREN] = ACTIONS(11601),
    [anon_sym_COLON] = ACTIONS(11601),
    [anon_sym_export] = ACTIONS(11601),
    [anon_sym_public] = ACTIONS(11601),
    [anon_sym_import] = ACTIONS(11601),
    [anon_sym_using] = ACTIONS(11601),
    [anon_sym_LBRACK] = ACTIONS(11601),
    [anon_sym_in] = ACTIONS(11601),
    [anon_sym_SEMI] = ACTIONS(11601),
    [anon_sym_LBRACE] = ACTIONS(11601),
    [anon_sym_DOLLAR] = ACTIONS(11601),
    [anon_sym_COLON2] = ACTIONS(11601),
    [anon_sym_COLON_COLON] = ACTIONS(11601),
    [anon_sym_isa] = ACTIONS(11601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11601),
    [anon_sym_QMARK] = ACTIONS(11601),
    [anon_sym_where] = ACTIONS(11601),
    [anon_sym_AT] = ACTIONS(11601),
    [anon_sym_true] = ACTIONS(11601),
    [anon_sym_false] = ACTIONS(11601),
    [aux_sym_integer_literal_token1] = ACTIONS(11601),
    [aux_sym_integer_literal_token2] = ACTIONS(11601),
    [aux_sym_integer_literal_token3] = ACTIONS(11601),
    [aux_sym_integer_literal_token4] = ACTIONS(11601),
    [aux_sym_float_literal_token1] = ACTIONS(11601),
    [aux_sym_float_literal_token3] = ACTIONS(11601),
    [aux_sym_float_literal_token4] = ACTIONS(11601),
    [sym_character_literal] = ACTIONS(11601),
    [anon_sym_DQUOTE] = ACTIONS(11601),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11601),
    [anon_sym_BQUOTE] = ACTIONS(11601),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11601),
    [sym__pair_operator] = ACTIONS(11601),
    [sym__arrow_operator] = ACTIONS(11601),
    [sym__lazy_or_operator] = ACTIONS(11601),
    [sym__lazy_and_operator] = ACTIONS(11601),
    [sym__comparison_operator] = ACTIONS(11601),
    [sym__pipe_right_operator] = ACTIONS(11601),
    [sym__pipe_left_operator] = ACTIONS(11601),
    [sym__ellipsis_operator] = ACTIONS(11601),
    [sym__plus_operator] = ACTIONS(11601),
    [sym__times_operator] = ACTIONS(11601),
    [sym__rational_operator] = ACTIONS(11601),
    [sym__bitshift_operator] = ACTIONS(11601),
    [sym__power_operator] = ACTIONS(11601),
    [sym__tilde_operator] = ACTIONS(11601),
    [sym__type_order_operator] = ACTIONS(11601),
    [sym__unary_operator] = ACTIONS(11601),
    [sym__unary_plus_operator] = ACTIONS(11601),
    [aux_sym__terminator_token1] = ACTIONS(11603),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7798] = {
    [sym_block_comment] = STATE(7798),
    [sym_line_comment] = STATE(7798),
    [sym__word_identifier] = ACTIONS(11605),
    [anon_sym_COMMA] = ACTIONS(11605),
    [anon_sym_EQ] = ACTIONS(11605),
    [anon_sym_begin] = ACTIONS(11605),
    [anon_sym_module] = ACTIONS(11605),
    [anon_sym_baremodule] = ACTIONS(11605),
    [anon_sym_end] = ACTIONS(11605),
    [anon_sym_abstract] = ACTIONS(11605),
    [anon_sym_primitive] = ACTIONS(11605),
    [anon_sym_mutable] = ACTIONS(11605),
    [anon_sym_struct] = ACTIONS(11605),
    [anon_sym_function] = ACTIONS(11605),
    [anon_sym_macro] = ACTIONS(11605),
    [anon_sym_quote] = ACTIONS(11605),
    [anon_sym_let] = ACTIONS(11605),
    [anon_sym_if] = ACTIONS(11605),
    [anon_sym_else] = ACTIONS(11605),
    [anon_sym_try] = ACTIONS(11605),
    [anon_sym_finally] = ACTIONS(11605),
    [anon_sym_for] = ACTIONS(11605),
    [anon_sym_while] = ACTIONS(11605),
    [sym_break_statement] = ACTIONS(11605),
    [sym_continue_statement] = ACTIONS(11605),
    [anon_sym_return] = ACTIONS(11605),
    [anon_sym_const] = ACTIONS(11605),
    [anon_sym_global] = ACTIONS(11605),
    [anon_sym_local] = ACTIONS(11605),
    [anon_sym_LPAREN] = ACTIONS(11605),
    [anon_sym_COLON] = ACTIONS(11605),
    [anon_sym_export] = ACTIONS(11605),
    [anon_sym_public] = ACTIONS(11605),
    [anon_sym_import] = ACTIONS(11605),
    [anon_sym_using] = ACTIONS(11605),
    [anon_sym_LBRACK] = ACTIONS(11605),
    [anon_sym_in] = ACTIONS(11605),
    [anon_sym_SEMI] = ACTIONS(11605),
    [anon_sym_LBRACE] = ACTIONS(11605),
    [anon_sym_DOLLAR] = ACTIONS(11605),
    [anon_sym_COLON2] = ACTIONS(11605),
    [anon_sym_COLON_COLON] = ACTIONS(11605),
    [anon_sym_isa] = ACTIONS(11605),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11605),
    [anon_sym_QMARK] = ACTIONS(11605),
    [anon_sym_where] = ACTIONS(11605),
    [anon_sym_AT] = ACTIONS(11605),
    [anon_sym_true] = ACTIONS(11605),
    [anon_sym_false] = ACTIONS(11605),
    [aux_sym_integer_literal_token1] = ACTIONS(11605),
    [aux_sym_integer_literal_token2] = ACTIONS(11605),
    [aux_sym_integer_literal_token3] = ACTIONS(11605),
    [aux_sym_integer_literal_token4] = ACTIONS(11605),
    [aux_sym_float_literal_token1] = ACTIONS(11605),
    [aux_sym_float_literal_token3] = ACTIONS(11605),
    [aux_sym_float_literal_token4] = ACTIONS(11605),
    [sym_character_literal] = ACTIONS(11605),
    [anon_sym_DQUOTE] = ACTIONS(11605),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11605),
    [anon_sym_BQUOTE] = ACTIONS(11605),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11605),
    [sym__pair_operator] = ACTIONS(11605),
    [sym__arrow_operator] = ACTIONS(11605),
    [sym__lazy_or_operator] = ACTIONS(11605),
    [sym__lazy_and_operator] = ACTIONS(11605),
    [sym__comparison_operator] = ACTIONS(11605),
    [sym__pipe_right_operator] = ACTIONS(11605),
    [sym__pipe_left_operator] = ACTIONS(11605),
    [sym__ellipsis_operator] = ACTIONS(11605),
    [sym__plus_operator] = ACTIONS(11605),
    [sym__times_operator] = ACTIONS(11605),
    [sym__rational_operator] = ACTIONS(11605),
    [sym__bitshift_operator] = ACTIONS(11605),
    [sym__power_operator] = ACTIONS(11605),
    [sym__tilde_operator] = ACTIONS(11605),
    [sym__type_order_operator] = ACTIONS(11605),
    [sym__unary_operator] = ACTIONS(11605),
    [sym__unary_plus_operator] = ACTIONS(11605),
    [aux_sym__terminator_token1] = ACTIONS(11607),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7799] = {
    [sym_block_comment] = STATE(7799),
    [sym_line_comment] = STATE(7799),
    [sym__word_identifier] = ACTIONS(11609),
    [anon_sym_COMMA] = ACTIONS(11609),
    [anon_sym_EQ] = ACTIONS(11609),
    [anon_sym_begin] = ACTIONS(11609),
    [anon_sym_module] = ACTIONS(11609),
    [anon_sym_baremodule] = ACTIONS(11609),
    [anon_sym_end] = ACTIONS(11609),
    [anon_sym_abstract] = ACTIONS(11609),
    [anon_sym_primitive] = ACTIONS(11609),
    [anon_sym_mutable] = ACTIONS(11609),
    [anon_sym_struct] = ACTIONS(11609),
    [anon_sym_function] = ACTIONS(11609),
    [anon_sym_macro] = ACTIONS(11609),
    [anon_sym_quote] = ACTIONS(11609),
    [anon_sym_let] = ACTIONS(11609),
    [anon_sym_if] = ACTIONS(11609),
    [anon_sym_else] = ACTIONS(11609),
    [anon_sym_try] = ACTIONS(11609),
    [anon_sym_finally] = ACTIONS(11609),
    [anon_sym_for] = ACTIONS(11609),
    [anon_sym_while] = ACTIONS(11609),
    [sym_break_statement] = ACTIONS(11609),
    [sym_continue_statement] = ACTIONS(11609),
    [anon_sym_return] = ACTIONS(11609),
    [anon_sym_const] = ACTIONS(11609),
    [anon_sym_global] = ACTIONS(11609),
    [anon_sym_local] = ACTIONS(11609),
    [anon_sym_LPAREN] = ACTIONS(11609),
    [anon_sym_COLON] = ACTIONS(11609),
    [anon_sym_export] = ACTIONS(11609),
    [anon_sym_public] = ACTIONS(11609),
    [anon_sym_import] = ACTIONS(11609),
    [anon_sym_using] = ACTIONS(11609),
    [anon_sym_LBRACK] = ACTIONS(11609),
    [anon_sym_in] = ACTIONS(11609),
    [anon_sym_SEMI] = ACTIONS(11609),
    [anon_sym_LBRACE] = ACTIONS(11609),
    [anon_sym_DOLLAR] = ACTIONS(11609),
    [anon_sym_COLON2] = ACTIONS(11609),
    [anon_sym_COLON_COLON] = ACTIONS(11609),
    [anon_sym_isa] = ACTIONS(11609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11609),
    [anon_sym_QMARK] = ACTIONS(11609),
    [anon_sym_where] = ACTIONS(11609),
    [anon_sym_AT] = ACTIONS(11609),
    [anon_sym_true] = ACTIONS(11609),
    [anon_sym_false] = ACTIONS(11609),
    [aux_sym_integer_literal_token1] = ACTIONS(11609),
    [aux_sym_integer_literal_token2] = ACTIONS(11609),
    [aux_sym_integer_literal_token3] = ACTIONS(11609),
    [aux_sym_integer_literal_token4] = ACTIONS(11609),
    [aux_sym_float_literal_token1] = ACTIONS(11609),
    [aux_sym_float_literal_token3] = ACTIONS(11609),
    [aux_sym_float_literal_token4] = ACTIONS(11609),
    [sym_character_literal] = ACTIONS(11609),
    [anon_sym_DQUOTE] = ACTIONS(11609),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11609),
    [anon_sym_BQUOTE] = ACTIONS(11609),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11609),
    [sym__pair_operator] = ACTIONS(11609),
    [sym__arrow_operator] = ACTIONS(11609),
    [sym__lazy_or_operator] = ACTIONS(11609),
    [sym__lazy_and_operator] = ACTIONS(11609),
    [sym__comparison_operator] = ACTIONS(11609),
    [sym__pipe_right_operator] = ACTIONS(11609),
    [sym__pipe_left_operator] = ACTIONS(11609),
    [sym__ellipsis_operator] = ACTIONS(11609),
    [sym__plus_operator] = ACTIONS(11609),
    [sym__times_operator] = ACTIONS(11609),
    [sym__rational_operator] = ACTIONS(11609),
    [sym__bitshift_operator] = ACTIONS(11609),
    [sym__power_operator] = ACTIONS(11609),
    [sym__tilde_operator] = ACTIONS(11609),
    [sym__type_order_operator] = ACTIONS(11609),
    [sym__unary_operator] = ACTIONS(11609),
    [sym__unary_plus_operator] = ACTIONS(11609),
    [aux_sym__terminator_token1] = ACTIONS(11611),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7800] = {
    [sym_block_comment] = STATE(7800),
    [sym_line_comment] = STATE(7800),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9981),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7801] = {
    [sym_block_comment] = STATE(7801),
    [sym_line_comment] = STATE(7801),
    [sym__word_identifier] = ACTIONS(11613),
    [anon_sym_COMMA] = ACTIONS(11613),
    [anon_sym_EQ] = ACTIONS(11613),
    [anon_sym_begin] = ACTIONS(11613),
    [anon_sym_module] = ACTIONS(11613),
    [anon_sym_baremodule] = ACTIONS(11613),
    [anon_sym_end] = ACTIONS(11613),
    [anon_sym_abstract] = ACTIONS(11613),
    [anon_sym_primitive] = ACTIONS(11613),
    [anon_sym_mutable] = ACTIONS(11613),
    [anon_sym_struct] = ACTIONS(11613),
    [anon_sym_function] = ACTIONS(11613),
    [anon_sym_macro] = ACTIONS(11613),
    [anon_sym_quote] = ACTIONS(11613),
    [anon_sym_let] = ACTIONS(11613),
    [anon_sym_if] = ACTIONS(11613),
    [anon_sym_else] = ACTIONS(11613),
    [anon_sym_try] = ACTIONS(11613),
    [anon_sym_finally] = ACTIONS(11613),
    [anon_sym_for] = ACTIONS(11613),
    [anon_sym_while] = ACTIONS(11613),
    [sym_break_statement] = ACTIONS(11613),
    [sym_continue_statement] = ACTIONS(11613),
    [anon_sym_return] = ACTIONS(11613),
    [anon_sym_const] = ACTIONS(11613),
    [anon_sym_global] = ACTIONS(11613),
    [anon_sym_local] = ACTIONS(11613),
    [anon_sym_LPAREN] = ACTIONS(11613),
    [anon_sym_COLON] = ACTIONS(11613),
    [anon_sym_export] = ACTIONS(11613),
    [anon_sym_public] = ACTIONS(11613),
    [anon_sym_import] = ACTIONS(11613),
    [anon_sym_using] = ACTIONS(11613),
    [anon_sym_LBRACK] = ACTIONS(11613),
    [anon_sym_in] = ACTIONS(11613),
    [anon_sym_SEMI] = ACTIONS(11613),
    [anon_sym_LBRACE] = ACTIONS(11613),
    [anon_sym_DOLLAR] = ACTIONS(11613),
    [anon_sym_COLON2] = ACTIONS(11613),
    [anon_sym_COLON_COLON] = ACTIONS(11613),
    [anon_sym_isa] = ACTIONS(11613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11613),
    [anon_sym_QMARK] = ACTIONS(11613),
    [anon_sym_where] = ACTIONS(11613),
    [anon_sym_AT] = ACTIONS(11613),
    [anon_sym_true] = ACTIONS(11613),
    [anon_sym_false] = ACTIONS(11613),
    [aux_sym_integer_literal_token1] = ACTIONS(11613),
    [aux_sym_integer_literal_token2] = ACTIONS(11613),
    [aux_sym_integer_literal_token3] = ACTIONS(11613),
    [aux_sym_integer_literal_token4] = ACTIONS(11613),
    [aux_sym_float_literal_token1] = ACTIONS(11613),
    [aux_sym_float_literal_token3] = ACTIONS(11613),
    [aux_sym_float_literal_token4] = ACTIONS(11613),
    [sym_character_literal] = ACTIONS(11613),
    [anon_sym_DQUOTE] = ACTIONS(11613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11613),
    [anon_sym_BQUOTE] = ACTIONS(11613),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11613),
    [sym__pair_operator] = ACTIONS(11613),
    [sym__arrow_operator] = ACTIONS(11613),
    [sym__lazy_or_operator] = ACTIONS(11613),
    [sym__lazy_and_operator] = ACTIONS(11613),
    [sym__comparison_operator] = ACTIONS(11613),
    [sym__pipe_right_operator] = ACTIONS(11613),
    [sym__pipe_left_operator] = ACTIONS(11613),
    [sym__ellipsis_operator] = ACTIONS(11613),
    [sym__plus_operator] = ACTIONS(11613),
    [sym__times_operator] = ACTIONS(11613),
    [sym__rational_operator] = ACTIONS(11613),
    [sym__bitshift_operator] = ACTIONS(11613),
    [sym__power_operator] = ACTIONS(11613),
    [sym__tilde_operator] = ACTIONS(11613),
    [sym__type_order_operator] = ACTIONS(11613),
    [sym__unary_operator] = ACTIONS(11613),
    [sym__unary_plus_operator] = ACTIONS(11613),
    [aux_sym__terminator_token1] = ACTIONS(11615),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7802] = {
    [sym_block_comment] = STATE(7802),
    [sym_line_comment] = STATE(7802),
    [sym__word_identifier] = ACTIONS(11617),
    [anon_sym_COMMA] = ACTIONS(11617),
    [anon_sym_EQ] = ACTIONS(11617),
    [anon_sym_begin] = ACTIONS(11617),
    [anon_sym_module] = ACTIONS(11617),
    [anon_sym_baremodule] = ACTIONS(11617),
    [anon_sym_end] = ACTIONS(11617),
    [anon_sym_abstract] = ACTIONS(11617),
    [anon_sym_primitive] = ACTIONS(11617),
    [anon_sym_mutable] = ACTIONS(11617),
    [anon_sym_struct] = ACTIONS(11617),
    [anon_sym_function] = ACTIONS(11617),
    [anon_sym_macro] = ACTIONS(11617),
    [anon_sym_quote] = ACTIONS(11617),
    [anon_sym_let] = ACTIONS(11617),
    [anon_sym_if] = ACTIONS(11617),
    [anon_sym_else] = ACTIONS(11617),
    [anon_sym_try] = ACTIONS(11617),
    [anon_sym_finally] = ACTIONS(11617),
    [anon_sym_for] = ACTIONS(11617),
    [anon_sym_while] = ACTIONS(11617),
    [sym_break_statement] = ACTIONS(11617),
    [sym_continue_statement] = ACTIONS(11617),
    [anon_sym_return] = ACTIONS(11617),
    [anon_sym_const] = ACTIONS(11617),
    [anon_sym_global] = ACTIONS(11617),
    [anon_sym_local] = ACTIONS(11617),
    [anon_sym_LPAREN] = ACTIONS(11617),
    [anon_sym_COLON] = ACTIONS(11617),
    [anon_sym_export] = ACTIONS(11617),
    [anon_sym_public] = ACTIONS(11617),
    [anon_sym_import] = ACTIONS(11617),
    [anon_sym_using] = ACTIONS(11617),
    [anon_sym_LBRACK] = ACTIONS(11617),
    [anon_sym_in] = ACTIONS(11617),
    [anon_sym_SEMI] = ACTIONS(11617),
    [anon_sym_LBRACE] = ACTIONS(11617),
    [anon_sym_DOLLAR] = ACTIONS(11617),
    [anon_sym_COLON2] = ACTIONS(11617),
    [anon_sym_COLON_COLON] = ACTIONS(11617),
    [anon_sym_isa] = ACTIONS(11617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11617),
    [anon_sym_QMARK] = ACTIONS(11617),
    [anon_sym_where] = ACTIONS(11617),
    [anon_sym_AT] = ACTIONS(11617),
    [anon_sym_true] = ACTIONS(11617),
    [anon_sym_false] = ACTIONS(11617),
    [aux_sym_integer_literal_token1] = ACTIONS(11617),
    [aux_sym_integer_literal_token2] = ACTIONS(11617),
    [aux_sym_integer_literal_token3] = ACTIONS(11617),
    [aux_sym_integer_literal_token4] = ACTIONS(11617),
    [aux_sym_float_literal_token1] = ACTIONS(11617),
    [aux_sym_float_literal_token3] = ACTIONS(11617),
    [aux_sym_float_literal_token4] = ACTIONS(11617),
    [sym_character_literal] = ACTIONS(11617),
    [anon_sym_DQUOTE] = ACTIONS(11617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11617),
    [anon_sym_BQUOTE] = ACTIONS(11617),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11617),
    [sym__pair_operator] = ACTIONS(11617),
    [sym__arrow_operator] = ACTIONS(11617),
    [sym__lazy_or_operator] = ACTIONS(11617),
    [sym__lazy_and_operator] = ACTIONS(11617),
    [sym__comparison_operator] = ACTIONS(11617),
    [sym__pipe_right_operator] = ACTIONS(11617),
    [sym__pipe_left_operator] = ACTIONS(11617),
    [sym__ellipsis_operator] = ACTIONS(11617),
    [sym__plus_operator] = ACTIONS(11617),
    [sym__times_operator] = ACTIONS(11617),
    [sym__rational_operator] = ACTIONS(11617),
    [sym__bitshift_operator] = ACTIONS(11617),
    [sym__power_operator] = ACTIONS(11617),
    [sym__tilde_operator] = ACTIONS(11617),
    [sym__type_order_operator] = ACTIONS(11617),
    [sym__unary_operator] = ACTIONS(11617),
    [sym__unary_plus_operator] = ACTIONS(11617),
    [aux_sym__terminator_token1] = ACTIONS(11619),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7803] = {
    [sym_block_comment] = STATE(7803),
    [sym_line_comment] = STATE(7803),
    [sym__word_identifier] = ACTIONS(11621),
    [anon_sym_COMMA] = ACTIONS(11621),
    [anon_sym_EQ] = ACTIONS(11621),
    [anon_sym_begin] = ACTIONS(11621),
    [anon_sym_module] = ACTIONS(11621),
    [anon_sym_baremodule] = ACTIONS(11621),
    [anon_sym_end] = ACTIONS(11621),
    [anon_sym_abstract] = ACTIONS(11621),
    [anon_sym_primitive] = ACTIONS(11621),
    [anon_sym_mutable] = ACTIONS(11621),
    [anon_sym_struct] = ACTIONS(11621),
    [anon_sym_function] = ACTIONS(11621),
    [anon_sym_macro] = ACTIONS(11621),
    [anon_sym_quote] = ACTIONS(11621),
    [anon_sym_let] = ACTIONS(11621),
    [anon_sym_if] = ACTIONS(11621),
    [anon_sym_else] = ACTIONS(11621),
    [anon_sym_try] = ACTIONS(11621),
    [anon_sym_finally] = ACTIONS(11621),
    [anon_sym_for] = ACTIONS(11621),
    [anon_sym_while] = ACTIONS(11621),
    [sym_break_statement] = ACTIONS(11621),
    [sym_continue_statement] = ACTIONS(11621),
    [anon_sym_return] = ACTIONS(11621),
    [anon_sym_const] = ACTIONS(11621),
    [anon_sym_global] = ACTIONS(11621),
    [anon_sym_local] = ACTIONS(11621),
    [anon_sym_LPAREN] = ACTIONS(11621),
    [anon_sym_COLON] = ACTIONS(11621),
    [anon_sym_export] = ACTIONS(11621),
    [anon_sym_public] = ACTIONS(11621),
    [anon_sym_import] = ACTIONS(11621),
    [anon_sym_using] = ACTIONS(11621),
    [anon_sym_LBRACK] = ACTIONS(11621),
    [anon_sym_in] = ACTIONS(11621),
    [anon_sym_SEMI] = ACTIONS(11621),
    [anon_sym_LBRACE] = ACTIONS(11621),
    [anon_sym_DOLLAR] = ACTIONS(11621),
    [anon_sym_COLON2] = ACTIONS(11621),
    [anon_sym_COLON_COLON] = ACTIONS(11621),
    [anon_sym_isa] = ACTIONS(11621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11621),
    [anon_sym_QMARK] = ACTIONS(11621),
    [anon_sym_where] = ACTIONS(11621),
    [anon_sym_AT] = ACTIONS(11621),
    [anon_sym_true] = ACTIONS(11621),
    [anon_sym_false] = ACTIONS(11621),
    [aux_sym_integer_literal_token1] = ACTIONS(11621),
    [aux_sym_integer_literal_token2] = ACTIONS(11621),
    [aux_sym_integer_literal_token3] = ACTIONS(11621),
    [aux_sym_integer_literal_token4] = ACTIONS(11621),
    [aux_sym_float_literal_token1] = ACTIONS(11621),
    [aux_sym_float_literal_token3] = ACTIONS(11621),
    [aux_sym_float_literal_token4] = ACTIONS(11621),
    [sym_character_literal] = ACTIONS(11621),
    [anon_sym_DQUOTE] = ACTIONS(11621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11621),
    [anon_sym_BQUOTE] = ACTIONS(11621),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11621),
    [sym__pair_operator] = ACTIONS(11621),
    [sym__arrow_operator] = ACTIONS(11621),
    [sym__lazy_or_operator] = ACTIONS(11621),
    [sym__lazy_and_operator] = ACTIONS(11621),
    [sym__comparison_operator] = ACTIONS(11621),
    [sym__pipe_right_operator] = ACTIONS(11621),
    [sym__pipe_left_operator] = ACTIONS(11621),
    [sym__ellipsis_operator] = ACTIONS(11621),
    [sym__plus_operator] = ACTIONS(11621),
    [sym__times_operator] = ACTIONS(11621),
    [sym__rational_operator] = ACTIONS(11621),
    [sym__bitshift_operator] = ACTIONS(11621),
    [sym__power_operator] = ACTIONS(11621),
    [sym__tilde_operator] = ACTIONS(11621),
    [sym__type_order_operator] = ACTIONS(11621),
    [sym__unary_operator] = ACTIONS(11621),
    [sym__unary_plus_operator] = ACTIONS(11621),
    [aux_sym__terminator_token1] = ACTIONS(11623),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7804] = {
    [sym_block_comment] = STATE(7804),
    [sym_line_comment] = STATE(7804),
    [sym__word_identifier] = ACTIONS(11625),
    [anon_sym_COMMA] = ACTIONS(11625),
    [anon_sym_EQ] = ACTIONS(11625),
    [anon_sym_begin] = ACTIONS(11625),
    [anon_sym_module] = ACTIONS(11625),
    [anon_sym_baremodule] = ACTIONS(11625),
    [anon_sym_end] = ACTIONS(11625),
    [anon_sym_abstract] = ACTIONS(11625),
    [anon_sym_primitive] = ACTIONS(11625),
    [anon_sym_mutable] = ACTIONS(11625),
    [anon_sym_struct] = ACTIONS(11625),
    [anon_sym_function] = ACTIONS(11625),
    [anon_sym_macro] = ACTIONS(11625),
    [anon_sym_quote] = ACTIONS(11625),
    [anon_sym_let] = ACTIONS(11625),
    [anon_sym_if] = ACTIONS(11625),
    [anon_sym_else] = ACTIONS(11625),
    [anon_sym_try] = ACTIONS(11625),
    [anon_sym_finally] = ACTIONS(11625),
    [anon_sym_for] = ACTIONS(11625),
    [anon_sym_while] = ACTIONS(11625),
    [sym_break_statement] = ACTIONS(11625),
    [sym_continue_statement] = ACTIONS(11625),
    [anon_sym_return] = ACTIONS(11625),
    [anon_sym_const] = ACTIONS(11625),
    [anon_sym_global] = ACTIONS(11625),
    [anon_sym_local] = ACTIONS(11625),
    [anon_sym_LPAREN] = ACTIONS(11625),
    [anon_sym_COLON] = ACTIONS(11625),
    [anon_sym_export] = ACTIONS(11625),
    [anon_sym_public] = ACTIONS(11625),
    [anon_sym_import] = ACTIONS(11625),
    [anon_sym_using] = ACTIONS(11625),
    [anon_sym_LBRACK] = ACTIONS(11625),
    [anon_sym_in] = ACTIONS(11625),
    [anon_sym_SEMI] = ACTIONS(11625),
    [anon_sym_LBRACE] = ACTIONS(11625),
    [anon_sym_DOLLAR] = ACTIONS(11625),
    [anon_sym_COLON2] = ACTIONS(11625),
    [anon_sym_COLON_COLON] = ACTIONS(11625),
    [anon_sym_isa] = ACTIONS(11625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11625),
    [anon_sym_QMARK] = ACTIONS(11625),
    [anon_sym_where] = ACTIONS(11625),
    [anon_sym_AT] = ACTIONS(11625),
    [anon_sym_true] = ACTIONS(11625),
    [anon_sym_false] = ACTIONS(11625),
    [aux_sym_integer_literal_token1] = ACTIONS(11625),
    [aux_sym_integer_literal_token2] = ACTIONS(11625),
    [aux_sym_integer_literal_token3] = ACTIONS(11625),
    [aux_sym_integer_literal_token4] = ACTIONS(11625),
    [aux_sym_float_literal_token1] = ACTIONS(11625),
    [aux_sym_float_literal_token3] = ACTIONS(11625),
    [aux_sym_float_literal_token4] = ACTIONS(11625),
    [sym_character_literal] = ACTIONS(11625),
    [anon_sym_DQUOTE] = ACTIONS(11625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11625),
    [anon_sym_BQUOTE] = ACTIONS(11625),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11625),
    [sym__pair_operator] = ACTIONS(11625),
    [sym__arrow_operator] = ACTIONS(11625),
    [sym__lazy_or_operator] = ACTIONS(11625),
    [sym__lazy_and_operator] = ACTIONS(11625),
    [sym__comparison_operator] = ACTIONS(11625),
    [sym__pipe_right_operator] = ACTIONS(11625),
    [sym__pipe_left_operator] = ACTIONS(11625),
    [sym__ellipsis_operator] = ACTIONS(11625),
    [sym__plus_operator] = ACTIONS(11625),
    [sym__times_operator] = ACTIONS(11625),
    [sym__rational_operator] = ACTIONS(11625),
    [sym__bitshift_operator] = ACTIONS(11625),
    [sym__power_operator] = ACTIONS(11625),
    [sym__tilde_operator] = ACTIONS(11625),
    [sym__type_order_operator] = ACTIONS(11625),
    [sym__unary_operator] = ACTIONS(11625),
    [sym__unary_plus_operator] = ACTIONS(11625),
    [aux_sym__terminator_token1] = ACTIONS(11627),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7805] = {
    [sym_block_comment] = STATE(7805),
    [sym_line_comment] = STATE(7805),
    [sym__word_identifier] = ACTIONS(11629),
    [anon_sym_COMMA] = ACTIONS(11629),
    [anon_sym_EQ] = ACTIONS(11629),
    [anon_sym_begin] = ACTIONS(11629),
    [anon_sym_module] = ACTIONS(11629),
    [anon_sym_baremodule] = ACTIONS(11629),
    [anon_sym_end] = ACTIONS(11629),
    [anon_sym_abstract] = ACTIONS(11629),
    [anon_sym_primitive] = ACTIONS(11629),
    [anon_sym_mutable] = ACTIONS(11629),
    [anon_sym_struct] = ACTIONS(11629),
    [anon_sym_function] = ACTIONS(11629),
    [anon_sym_macro] = ACTIONS(11629),
    [anon_sym_quote] = ACTIONS(11629),
    [anon_sym_let] = ACTIONS(11629),
    [anon_sym_if] = ACTIONS(11629),
    [anon_sym_else] = ACTIONS(11629),
    [anon_sym_try] = ACTIONS(11629),
    [anon_sym_finally] = ACTIONS(11629),
    [anon_sym_for] = ACTIONS(11629),
    [anon_sym_while] = ACTIONS(11629),
    [sym_break_statement] = ACTIONS(11629),
    [sym_continue_statement] = ACTIONS(11629),
    [anon_sym_return] = ACTIONS(11629),
    [anon_sym_const] = ACTIONS(11629),
    [anon_sym_global] = ACTIONS(11629),
    [anon_sym_local] = ACTIONS(11629),
    [anon_sym_LPAREN] = ACTIONS(11629),
    [anon_sym_COLON] = ACTIONS(11629),
    [anon_sym_export] = ACTIONS(11629),
    [anon_sym_public] = ACTIONS(11629),
    [anon_sym_import] = ACTIONS(11629),
    [anon_sym_using] = ACTIONS(11629),
    [anon_sym_LBRACK] = ACTIONS(11629),
    [anon_sym_in] = ACTIONS(11629),
    [anon_sym_SEMI] = ACTIONS(11629),
    [anon_sym_LBRACE] = ACTIONS(11629),
    [anon_sym_DOLLAR] = ACTIONS(11629),
    [anon_sym_COLON2] = ACTIONS(11629),
    [anon_sym_COLON_COLON] = ACTIONS(11629),
    [anon_sym_isa] = ACTIONS(11629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11629),
    [anon_sym_QMARK] = ACTIONS(11629),
    [anon_sym_where] = ACTIONS(11629),
    [anon_sym_AT] = ACTIONS(11629),
    [anon_sym_true] = ACTIONS(11629),
    [anon_sym_false] = ACTIONS(11629),
    [aux_sym_integer_literal_token1] = ACTIONS(11629),
    [aux_sym_integer_literal_token2] = ACTIONS(11629),
    [aux_sym_integer_literal_token3] = ACTIONS(11629),
    [aux_sym_integer_literal_token4] = ACTIONS(11629),
    [aux_sym_float_literal_token1] = ACTIONS(11629),
    [aux_sym_float_literal_token3] = ACTIONS(11629),
    [aux_sym_float_literal_token4] = ACTIONS(11629),
    [sym_character_literal] = ACTIONS(11629),
    [anon_sym_DQUOTE] = ACTIONS(11629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11629),
    [anon_sym_BQUOTE] = ACTIONS(11629),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11629),
    [sym__pair_operator] = ACTIONS(11629),
    [sym__arrow_operator] = ACTIONS(11629),
    [sym__lazy_or_operator] = ACTIONS(11629),
    [sym__lazy_and_operator] = ACTIONS(11629),
    [sym__comparison_operator] = ACTIONS(11629),
    [sym__pipe_right_operator] = ACTIONS(11629),
    [sym__pipe_left_operator] = ACTIONS(11629),
    [sym__ellipsis_operator] = ACTIONS(11629),
    [sym__plus_operator] = ACTIONS(11629),
    [sym__times_operator] = ACTIONS(11629),
    [sym__rational_operator] = ACTIONS(11629),
    [sym__bitshift_operator] = ACTIONS(11629),
    [sym__power_operator] = ACTIONS(11629),
    [sym__tilde_operator] = ACTIONS(11629),
    [sym__type_order_operator] = ACTIONS(11629),
    [sym__unary_operator] = ACTIONS(11629),
    [sym__unary_plus_operator] = ACTIONS(11629),
    [aux_sym__terminator_token1] = ACTIONS(11631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7806] = {
    [sym_block_comment] = STATE(7806),
    [sym_line_comment] = STATE(7806),
    [sym__word_identifier] = ACTIONS(11633),
    [anon_sym_COMMA] = ACTIONS(11633),
    [anon_sym_EQ] = ACTIONS(11633),
    [anon_sym_begin] = ACTIONS(11633),
    [anon_sym_module] = ACTIONS(11633),
    [anon_sym_baremodule] = ACTIONS(11633),
    [anon_sym_end] = ACTIONS(11633),
    [anon_sym_abstract] = ACTIONS(11633),
    [anon_sym_primitive] = ACTIONS(11633),
    [anon_sym_mutable] = ACTIONS(11633),
    [anon_sym_struct] = ACTIONS(11633),
    [anon_sym_function] = ACTIONS(11633),
    [anon_sym_macro] = ACTIONS(11633),
    [anon_sym_quote] = ACTIONS(11633),
    [anon_sym_let] = ACTIONS(11633),
    [anon_sym_if] = ACTIONS(11633),
    [anon_sym_else] = ACTIONS(11633),
    [anon_sym_try] = ACTIONS(11633),
    [anon_sym_finally] = ACTIONS(11633),
    [anon_sym_for] = ACTIONS(11633),
    [anon_sym_while] = ACTIONS(11633),
    [sym_break_statement] = ACTIONS(11633),
    [sym_continue_statement] = ACTIONS(11633),
    [anon_sym_return] = ACTIONS(11633),
    [anon_sym_const] = ACTIONS(11633),
    [anon_sym_global] = ACTIONS(11633),
    [anon_sym_local] = ACTIONS(11633),
    [anon_sym_LPAREN] = ACTIONS(11633),
    [anon_sym_COLON] = ACTIONS(11633),
    [anon_sym_export] = ACTIONS(11633),
    [anon_sym_public] = ACTIONS(11633),
    [anon_sym_import] = ACTIONS(11633),
    [anon_sym_using] = ACTIONS(11633),
    [anon_sym_LBRACK] = ACTIONS(11633),
    [anon_sym_in] = ACTIONS(11633),
    [anon_sym_SEMI] = ACTIONS(11633),
    [anon_sym_LBRACE] = ACTIONS(11633),
    [anon_sym_DOLLAR] = ACTIONS(11633),
    [anon_sym_COLON2] = ACTIONS(11633),
    [anon_sym_COLON_COLON] = ACTIONS(11633),
    [anon_sym_isa] = ACTIONS(11633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11633),
    [anon_sym_QMARK] = ACTIONS(11633),
    [anon_sym_where] = ACTIONS(11633),
    [anon_sym_AT] = ACTIONS(11633),
    [anon_sym_true] = ACTIONS(11633),
    [anon_sym_false] = ACTIONS(11633),
    [aux_sym_integer_literal_token1] = ACTIONS(11633),
    [aux_sym_integer_literal_token2] = ACTIONS(11633),
    [aux_sym_integer_literal_token3] = ACTIONS(11633),
    [aux_sym_integer_literal_token4] = ACTIONS(11633),
    [aux_sym_float_literal_token1] = ACTIONS(11633),
    [aux_sym_float_literal_token3] = ACTIONS(11633),
    [aux_sym_float_literal_token4] = ACTIONS(11633),
    [sym_character_literal] = ACTIONS(11633),
    [anon_sym_DQUOTE] = ACTIONS(11633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11633),
    [anon_sym_BQUOTE] = ACTIONS(11633),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11633),
    [sym__pair_operator] = ACTIONS(11633),
    [sym__arrow_operator] = ACTIONS(11633),
    [sym__lazy_or_operator] = ACTIONS(11633),
    [sym__lazy_and_operator] = ACTIONS(11633),
    [sym__comparison_operator] = ACTIONS(11633),
    [sym__pipe_right_operator] = ACTIONS(11633),
    [sym__pipe_left_operator] = ACTIONS(11633),
    [sym__ellipsis_operator] = ACTIONS(11633),
    [sym__plus_operator] = ACTIONS(11633),
    [sym__times_operator] = ACTIONS(11633),
    [sym__rational_operator] = ACTIONS(11633),
    [sym__bitshift_operator] = ACTIONS(11633),
    [sym__power_operator] = ACTIONS(11633),
    [sym__tilde_operator] = ACTIONS(11633),
    [sym__type_order_operator] = ACTIONS(11633),
    [sym__unary_operator] = ACTIONS(11633),
    [sym__unary_plus_operator] = ACTIONS(11633),
    [aux_sym__terminator_token1] = ACTIONS(11635),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7807] = {
    [sym_block_comment] = STATE(7807),
    [sym_line_comment] = STATE(7807),
    [sym__word_identifier] = ACTIONS(11637),
    [anon_sym_COMMA] = ACTIONS(11637),
    [anon_sym_EQ] = ACTIONS(11637),
    [anon_sym_begin] = ACTIONS(11637),
    [anon_sym_module] = ACTIONS(11637),
    [anon_sym_baremodule] = ACTIONS(11637),
    [anon_sym_end] = ACTIONS(11637),
    [anon_sym_abstract] = ACTIONS(11637),
    [anon_sym_primitive] = ACTIONS(11637),
    [anon_sym_mutable] = ACTIONS(11637),
    [anon_sym_struct] = ACTIONS(11637),
    [anon_sym_function] = ACTIONS(11637),
    [anon_sym_macro] = ACTIONS(11637),
    [anon_sym_quote] = ACTIONS(11637),
    [anon_sym_let] = ACTIONS(11637),
    [anon_sym_if] = ACTIONS(11637),
    [anon_sym_else] = ACTIONS(11637),
    [anon_sym_try] = ACTIONS(11637),
    [anon_sym_finally] = ACTIONS(11637),
    [anon_sym_for] = ACTIONS(11637),
    [anon_sym_while] = ACTIONS(11637),
    [sym_break_statement] = ACTIONS(11637),
    [sym_continue_statement] = ACTIONS(11637),
    [anon_sym_return] = ACTIONS(11637),
    [anon_sym_const] = ACTIONS(11637),
    [anon_sym_global] = ACTIONS(11637),
    [anon_sym_local] = ACTIONS(11637),
    [anon_sym_LPAREN] = ACTIONS(11637),
    [anon_sym_COLON] = ACTIONS(11637),
    [anon_sym_export] = ACTIONS(11637),
    [anon_sym_public] = ACTIONS(11637),
    [anon_sym_import] = ACTIONS(11637),
    [anon_sym_using] = ACTIONS(11637),
    [anon_sym_LBRACK] = ACTIONS(11637),
    [anon_sym_in] = ACTIONS(11637),
    [anon_sym_SEMI] = ACTIONS(11637),
    [anon_sym_LBRACE] = ACTIONS(11637),
    [anon_sym_DOLLAR] = ACTIONS(11637),
    [anon_sym_COLON2] = ACTIONS(11637),
    [anon_sym_COLON_COLON] = ACTIONS(11637),
    [anon_sym_isa] = ACTIONS(11637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11637),
    [anon_sym_QMARK] = ACTIONS(11637),
    [anon_sym_where] = ACTIONS(11637),
    [anon_sym_AT] = ACTIONS(11637),
    [anon_sym_true] = ACTIONS(11637),
    [anon_sym_false] = ACTIONS(11637),
    [aux_sym_integer_literal_token1] = ACTIONS(11637),
    [aux_sym_integer_literal_token2] = ACTIONS(11637),
    [aux_sym_integer_literal_token3] = ACTIONS(11637),
    [aux_sym_integer_literal_token4] = ACTIONS(11637),
    [aux_sym_float_literal_token1] = ACTIONS(11637),
    [aux_sym_float_literal_token3] = ACTIONS(11637),
    [aux_sym_float_literal_token4] = ACTIONS(11637),
    [sym_character_literal] = ACTIONS(11637),
    [anon_sym_DQUOTE] = ACTIONS(11637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11637),
    [anon_sym_BQUOTE] = ACTIONS(11637),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11637),
    [sym__pair_operator] = ACTIONS(11637),
    [sym__arrow_operator] = ACTIONS(11637),
    [sym__lazy_or_operator] = ACTIONS(11637),
    [sym__lazy_and_operator] = ACTIONS(11637),
    [sym__comparison_operator] = ACTIONS(11637),
    [sym__pipe_right_operator] = ACTIONS(11637),
    [sym__pipe_left_operator] = ACTIONS(11637),
    [sym__ellipsis_operator] = ACTIONS(11637),
    [sym__plus_operator] = ACTIONS(11637),
    [sym__times_operator] = ACTIONS(11637),
    [sym__rational_operator] = ACTIONS(11637),
    [sym__bitshift_operator] = ACTIONS(11637),
    [sym__power_operator] = ACTIONS(11637),
    [sym__tilde_operator] = ACTIONS(11637),
    [sym__type_order_operator] = ACTIONS(11637),
    [sym__unary_operator] = ACTIONS(11637),
    [sym__unary_plus_operator] = ACTIONS(11637),
    [aux_sym__terminator_token1] = ACTIONS(11639),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7808] = {
    [sym_block_comment] = STATE(7808),
    [sym_line_comment] = STATE(7808),
    [sym__word_identifier] = ACTIONS(11641),
    [anon_sym_COMMA] = ACTIONS(11641),
    [anon_sym_EQ] = ACTIONS(11641),
    [anon_sym_begin] = ACTIONS(11641),
    [anon_sym_module] = ACTIONS(11641),
    [anon_sym_baremodule] = ACTIONS(11641),
    [anon_sym_end] = ACTIONS(11641),
    [anon_sym_abstract] = ACTIONS(11641),
    [anon_sym_primitive] = ACTIONS(11641),
    [anon_sym_mutable] = ACTIONS(11641),
    [anon_sym_struct] = ACTIONS(11641),
    [anon_sym_function] = ACTIONS(11641),
    [anon_sym_macro] = ACTIONS(11641),
    [anon_sym_quote] = ACTIONS(11641),
    [anon_sym_let] = ACTIONS(11641),
    [anon_sym_if] = ACTIONS(11641),
    [anon_sym_else] = ACTIONS(11641),
    [anon_sym_try] = ACTIONS(11641),
    [anon_sym_finally] = ACTIONS(11641),
    [anon_sym_for] = ACTIONS(11641),
    [anon_sym_while] = ACTIONS(11641),
    [sym_break_statement] = ACTIONS(11641),
    [sym_continue_statement] = ACTIONS(11641),
    [anon_sym_return] = ACTIONS(11641),
    [anon_sym_const] = ACTIONS(11641),
    [anon_sym_global] = ACTIONS(11641),
    [anon_sym_local] = ACTIONS(11641),
    [anon_sym_LPAREN] = ACTIONS(11641),
    [anon_sym_COLON] = ACTIONS(11641),
    [anon_sym_export] = ACTIONS(11641),
    [anon_sym_public] = ACTIONS(11641),
    [anon_sym_import] = ACTIONS(11641),
    [anon_sym_using] = ACTIONS(11641),
    [anon_sym_LBRACK] = ACTIONS(11641),
    [anon_sym_in] = ACTIONS(11641),
    [anon_sym_SEMI] = ACTIONS(11641),
    [anon_sym_LBRACE] = ACTIONS(11641),
    [anon_sym_DOLLAR] = ACTIONS(11641),
    [anon_sym_COLON2] = ACTIONS(11641),
    [anon_sym_COLON_COLON] = ACTIONS(11641),
    [anon_sym_isa] = ACTIONS(11641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11641),
    [anon_sym_QMARK] = ACTIONS(11641),
    [anon_sym_where] = ACTIONS(11641),
    [anon_sym_AT] = ACTIONS(11641),
    [anon_sym_true] = ACTIONS(11641),
    [anon_sym_false] = ACTIONS(11641),
    [aux_sym_integer_literal_token1] = ACTIONS(11641),
    [aux_sym_integer_literal_token2] = ACTIONS(11641),
    [aux_sym_integer_literal_token3] = ACTIONS(11641),
    [aux_sym_integer_literal_token4] = ACTIONS(11641),
    [aux_sym_float_literal_token1] = ACTIONS(11641),
    [aux_sym_float_literal_token3] = ACTIONS(11641),
    [aux_sym_float_literal_token4] = ACTIONS(11641),
    [sym_character_literal] = ACTIONS(11641),
    [anon_sym_DQUOTE] = ACTIONS(11641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11641),
    [anon_sym_BQUOTE] = ACTIONS(11641),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11641),
    [sym__pair_operator] = ACTIONS(11641),
    [sym__arrow_operator] = ACTIONS(11641),
    [sym__lazy_or_operator] = ACTIONS(11641),
    [sym__lazy_and_operator] = ACTIONS(11641),
    [sym__comparison_operator] = ACTIONS(11641),
    [sym__pipe_right_operator] = ACTIONS(11641),
    [sym__pipe_left_operator] = ACTIONS(11641),
    [sym__ellipsis_operator] = ACTIONS(11641),
    [sym__plus_operator] = ACTIONS(11641),
    [sym__times_operator] = ACTIONS(11641),
    [sym__rational_operator] = ACTIONS(11641),
    [sym__bitshift_operator] = ACTIONS(11641),
    [sym__power_operator] = ACTIONS(11641),
    [sym__tilde_operator] = ACTIONS(11641),
    [sym__type_order_operator] = ACTIONS(11641),
    [sym__unary_operator] = ACTIONS(11641),
    [sym__unary_plus_operator] = ACTIONS(11641),
    [aux_sym__terminator_token1] = ACTIONS(11643),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7809] = {
    [sym_block_comment] = STATE(7809),
    [sym_line_comment] = STATE(7809),
    [sym__word_identifier] = ACTIONS(11645),
    [anon_sym_COMMA] = ACTIONS(11645),
    [anon_sym_EQ] = ACTIONS(11645),
    [anon_sym_begin] = ACTIONS(11645),
    [anon_sym_module] = ACTIONS(11645),
    [anon_sym_baremodule] = ACTIONS(11645),
    [anon_sym_end] = ACTIONS(11645),
    [anon_sym_abstract] = ACTIONS(11645),
    [anon_sym_primitive] = ACTIONS(11645),
    [anon_sym_mutable] = ACTIONS(11645),
    [anon_sym_struct] = ACTIONS(11645),
    [anon_sym_function] = ACTIONS(11645),
    [anon_sym_macro] = ACTIONS(11645),
    [anon_sym_quote] = ACTIONS(11645),
    [anon_sym_let] = ACTIONS(11645),
    [anon_sym_if] = ACTIONS(11645),
    [anon_sym_else] = ACTIONS(11645),
    [anon_sym_try] = ACTIONS(11645),
    [anon_sym_finally] = ACTIONS(11645),
    [anon_sym_for] = ACTIONS(11645),
    [anon_sym_while] = ACTIONS(11645),
    [sym_break_statement] = ACTIONS(11645),
    [sym_continue_statement] = ACTIONS(11645),
    [anon_sym_return] = ACTIONS(11645),
    [anon_sym_const] = ACTIONS(11645),
    [anon_sym_global] = ACTIONS(11645),
    [anon_sym_local] = ACTIONS(11645),
    [anon_sym_LPAREN] = ACTIONS(11645),
    [anon_sym_COLON] = ACTIONS(11645),
    [anon_sym_export] = ACTIONS(11645),
    [anon_sym_public] = ACTIONS(11645),
    [anon_sym_import] = ACTIONS(11645),
    [anon_sym_using] = ACTIONS(11645),
    [anon_sym_LBRACK] = ACTIONS(11645),
    [anon_sym_in] = ACTIONS(11645),
    [anon_sym_SEMI] = ACTIONS(11645),
    [anon_sym_LBRACE] = ACTIONS(11645),
    [anon_sym_DOLLAR] = ACTIONS(11645),
    [anon_sym_COLON2] = ACTIONS(11645),
    [anon_sym_COLON_COLON] = ACTIONS(11645),
    [anon_sym_isa] = ACTIONS(11645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11645),
    [anon_sym_QMARK] = ACTIONS(11645),
    [anon_sym_where] = ACTIONS(11645),
    [anon_sym_AT] = ACTIONS(11645),
    [anon_sym_true] = ACTIONS(11645),
    [anon_sym_false] = ACTIONS(11645),
    [aux_sym_integer_literal_token1] = ACTIONS(11645),
    [aux_sym_integer_literal_token2] = ACTIONS(11645),
    [aux_sym_integer_literal_token3] = ACTIONS(11645),
    [aux_sym_integer_literal_token4] = ACTIONS(11645),
    [aux_sym_float_literal_token1] = ACTIONS(11645),
    [aux_sym_float_literal_token3] = ACTIONS(11645),
    [aux_sym_float_literal_token4] = ACTIONS(11645),
    [sym_character_literal] = ACTIONS(11645),
    [anon_sym_DQUOTE] = ACTIONS(11645),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11645),
    [anon_sym_BQUOTE] = ACTIONS(11645),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11645),
    [sym__pair_operator] = ACTIONS(11645),
    [sym__arrow_operator] = ACTIONS(11645),
    [sym__lazy_or_operator] = ACTIONS(11645),
    [sym__lazy_and_operator] = ACTIONS(11645),
    [sym__comparison_operator] = ACTIONS(11645),
    [sym__pipe_right_operator] = ACTIONS(11645),
    [sym__pipe_left_operator] = ACTIONS(11645),
    [sym__ellipsis_operator] = ACTIONS(11645),
    [sym__plus_operator] = ACTIONS(11645),
    [sym__times_operator] = ACTIONS(11645),
    [sym__rational_operator] = ACTIONS(11645),
    [sym__bitshift_operator] = ACTIONS(11645),
    [sym__power_operator] = ACTIONS(11645),
    [sym__tilde_operator] = ACTIONS(11645),
    [sym__type_order_operator] = ACTIONS(11645),
    [sym__unary_operator] = ACTIONS(11645),
    [sym__unary_plus_operator] = ACTIONS(11645),
    [aux_sym__terminator_token1] = ACTIONS(11647),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7810] = {
    [sym__comprehension_clause] = STATE(19978),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(7810),
    [sym_line_comment] = STATE(7810),
    [aux_sym_vector_expression_repeat1] = STATE(17763),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11649),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11651),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11653),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11656),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7811] = {
    [sym_block_comment] = STATE(7811),
    [sym_line_comment] = STATE(7811),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10203),
  },
  [7812] = {
    [sym_block_comment] = STATE(7812),
    [sym_line_comment] = STATE(7812),
    [aux_sym_export_statement_repeat1] = STATE(7819),
    [sym__word_identifier] = ACTIONS(11278),
    [anon_sym_COMMA] = ACTIONS(11659),
    [anon_sym_EQ] = ACTIONS(11278),
    [anon_sym_begin] = ACTIONS(11278),
    [anon_sym_module] = ACTIONS(11278),
    [anon_sym_baremodule] = ACTIONS(11278),
    [anon_sym_end] = ACTIONS(11278),
    [anon_sym_abstract] = ACTIONS(11278),
    [anon_sym_primitive] = ACTIONS(11278),
    [anon_sym_mutable] = ACTIONS(11278),
    [anon_sym_struct] = ACTIONS(11278),
    [anon_sym_function] = ACTIONS(11278),
    [anon_sym_macro] = ACTIONS(11278),
    [anon_sym_quote] = ACTIONS(11278),
    [anon_sym_let] = ACTIONS(11278),
    [anon_sym_if] = ACTIONS(11278),
    [anon_sym_try] = ACTIONS(11278),
    [anon_sym_catch] = ACTIONS(11278),
    [anon_sym_for] = ACTIONS(11278),
    [anon_sym_while] = ACTIONS(11278),
    [sym_break_statement] = ACTIONS(11278),
    [sym_continue_statement] = ACTIONS(11278),
    [anon_sym_return] = ACTIONS(11278),
    [anon_sym_const] = ACTIONS(11278),
    [anon_sym_global] = ACTIONS(11278),
    [anon_sym_local] = ACTIONS(11278),
    [anon_sym_LPAREN] = ACTIONS(11278),
    [anon_sym_COLON] = ACTIONS(11278),
    [anon_sym_export] = ACTIONS(11278),
    [anon_sym_public] = ACTIONS(11278),
    [anon_sym_import] = ACTIONS(11278),
    [anon_sym_using] = ACTIONS(11278),
    [anon_sym_LBRACK] = ACTIONS(11278),
    [anon_sym_in] = ACTIONS(11278),
    [anon_sym_SEMI] = ACTIONS(11278),
    [anon_sym_LBRACE] = ACTIONS(11278),
    [anon_sym_DOLLAR] = ACTIONS(11278),
    [anon_sym_COLON2] = ACTIONS(11278),
    [anon_sym_COLON_COLON] = ACTIONS(11278),
    [anon_sym_isa] = ACTIONS(11278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11278),
    [anon_sym_QMARK] = ACTIONS(11278),
    [anon_sym_where] = ACTIONS(11278),
    [anon_sym_AT] = ACTIONS(11278),
    [anon_sym_true] = ACTIONS(11278),
    [anon_sym_false] = ACTIONS(11278),
    [aux_sym_integer_literal_token1] = ACTIONS(11278),
    [aux_sym_integer_literal_token2] = ACTIONS(11278),
    [aux_sym_integer_literal_token3] = ACTIONS(11278),
    [aux_sym_integer_literal_token4] = ACTIONS(11278),
    [aux_sym_float_literal_token1] = ACTIONS(11278),
    [aux_sym_float_literal_token3] = ACTIONS(11278),
    [aux_sym_float_literal_token4] = ACTIONS(11278),
    [sym_character_literal] = ACTIONS(11278),
    [anon_sym_DQUOTE] = ACTIONS(11278),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11278),
    [anon_sym_BQUOTE] = ACTIONS(11278),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11278),
    [sym__pair_operator] = ACTIONS(11278),
    [sym__arrow_operator] = ACTIONS(11278),
    [sym__lazy_or_operator] = ACTIONS(11278),
    [sym__lazy_and_operator] = ACTIONS(11278),
    [sym__comparison_operator] = ACTIONS(11278),
    [sym__pipe_right_operator] = ACTIONS(11278),
    [sym__pipe_left_operator] = ACTIONS(11278),
    [sym__ellipsis_operator] = ACTIONS(11278),
    [sym__plus_operator] = ACTIONS(11278),
    [sym__times_operator] = ACTIONS(11278),
    [sym__rational_operator] = ACTIONS(11278),
    [sym__bitshift_operator] = ACTIONS(11278),
    [sym__power_operator] = ACTIONS(11278),
    [sym__tilde_operator] = ACTIONS(11278),
    [sym__type_order_operator] = ACTIONS(11278),
    [sym__unary_operator] = ACTIONS(11278),
    [sym__unary_plus_operator] = ACTIONS(11278),
    [aux_sym__terminator_token1] = ACTIONS(11282),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7813] = {
    [sym_block_comment] = STATE(7813),
    [sym_line_comment] = STATE(7813),
    [aux_sym_export_statement_repeat1] = STATE(7820),
    [sym__word_identifier] = ACTIONS(11141),
    [anon_sym_COMMA] = ACTIONS(11659),
    [anon_sym_EQ] = ACTIONS(11141),
    [anon_sym_begin] = ACTIONS(11141),
    [anon_sym_module] = ACTIONS(11141),
    [anon_sym_baremodule] = ACTIONS(11141),
    [anon_sym_end] = ACTIONS(11141),
    [anon_sym_abstract] = ACTIONS(11141),
    [anon_sym_primitive] = ACTIONS(11141),
    [anon_sym_mutable] = ACTIONS(11141),
    [anon_sym_struct] = ACTIONS(11141),
    [anon_sym_function] = ACTIONS(11141),
    [anon_sym_macro] = ACTIONS(11141),
    [anon_sym_quote] = ACTIONS(11141),
    [anon_sym_let] = ACTIONS(11141),
    [anon_sym_if] = ACTIONS(11141),
    [anon_sym_try] = ACTIONS(11141),
    [anon_sym_catch] = ACTIONS(11141),
    [anon_sym_for] = ACTIONS(11141),
    [anon_sym_while] = ACTIONS(11141),
    [sym_break_statement] = ACTIONS(11141),
    [sym_continue_statement] = ACTIONS(11141),
    [anon_sym_return] = ACTIONS(11141),
    [anon_sym_const] = ACTIONS(11141),
    [anon_sym_global] = ACTIONS(11141),
    [anon_sym_local] = ACTIONS(11141),
    [anon_sym_LPAREN] = ACTIONS(11141),
    [anon_sym_COLON] = ACTIONS(11141),
    [anon_sym_export] = ACTIONS(11141),
    [anon_sym_public] = ACTIONS(11141),
    [anon_sym_import] = ACTIONS(11141),
    [anon_sym_using] = ACTIONS(11141),
    [anon_sym_LBRACK] = ACTIONS(11141),
    [anon_sym_in] = ACTIONS(11141),
    [anon_sym_SEMI] = ACTIONS(11141),
    [anon_sym_LBRACE] = ACTIONS(11141),
    [anon_sym_DOLLAR] = ACTIONS(11141),
    [anon_sym_COLON2] = ACTIONS(11141),
    [anon_sym_COLON_COLON] = ACTIONS(11141),
    [anon_sym_isa] = ACTIONS(11141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11141),
    [anon_sym_QMARK] = ACTIONS(11141),
    [anon_sym_where] = ACTIONS(11141),
    [anon_sym_AT] = ACTIONS(11141),
    [anon_sym_true] = ACTIONS(11141),
    [anon_sym_false] = ACTIONS(11141),
    [aux_sym_integer_literal_token1] = ACTIONS(11141),
    [aux_sym_integer_literal_token2] = ACTIONS(11141),
    [aux_sym_integer_literal_token3] = ACTIONS(11141),
    [aux_sym_integer_literal_token4] = ACTIONS(11141),
    [aux_sym_float_literal_token1] = ACTIONS(11141),
    [aux_sym_float_literal_token3] = ACTIONS(11141),
    [aux_sym_float_literal_token4] = ACTIONS(11141),
    [sym_character_literal] = ACTIONS(11141),
    [anon_sym_DQUOTE] = ACTIONS(11141),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11141),
    [anon_sym_BQUOTE] = ACTIONS(11141),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11141),
    [sym__pair_operator] = ACTIONS(11141),
    [sym__arrow_operator] = ACTIONS(11141),
    [sym__lazy_or_operator] = ACTIONS(11141),
    [sym__lazy_and_operator] = ACTIONS(11141),
    [sym__comparison_operator] = ACTIONS(11141),
    [sym__pipe_right_operator] = ACTIONS(11141),
    [sym__pipe_left_operator] = ACTIONS(11141),
    [sym__ellipsis_operator] = ACTIONS(11141),
    [sym__plus_operator] = ACTIONS(11141),
    [sym__times_operator] = ACTIONS(11141),
    [sym__rational_operator] = ACTIONS(11141),
    [sym__bitshift_operator] = ACTIONS(11141),
    [sym__power_operator] = ACTIONS(11141),
    [sym__tilde_operator] = ACTIONS(11141),
    [sym__type_order_operator] = ACTIONS(11141),
    [sym__unary_operator] = ACTIONS(11141),
    [sym__unary_plus_operator] = ACTIONS(11141),
    [aux_sym__terminator_token1] = ACTIONS(11145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7814] = {
    [sym_block_comment] = STATE(7814),
    [sym_line_comment] = STATE(7814),
    [aux_sym__import_list_repeat1] = STATE(7821),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11088),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_catch] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7815] = {
    [sym_block_comment] = STATE(7815),
    [sym_line_comment] = STATE(7815),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10982),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_end] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_catch] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10982),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10982),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_SEMI] = ACTIONS(10982),
    [anon_sym_LBRACE] = ACTIONS(10982),
    [anon_sym_DOLLAR] = ACTIONS(10982),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10982),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10982),
    [anon_sym_QMARK] = ACTIONS(10982),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10982),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10982),
    [aux_sym_integer_literal_token2] = ACTIONS(10982),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10982),
    [aux_sym_float_literal_token3] = ACTIONS(10982),
    [aux_sym_float_literal_token4] = ACTIONS(10982),
    [sym_character_literal] = ACTIONS(10982),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10982),
    [sym__pair_operator] = ACTIONS(10982),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10982),
    [sym__lazy_and_operator] = ACTIONS(10982),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10982),
    [sym__pipe_left_operator] = ACTIONS(10982),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10982),
    [sym__bitshift_operator] = ACTIONS(10982),
    [sym__power_operator] = ACTIONS(10982),
    [sym__tilde_operator] = ACTIONS(10982),
    [sym__type_order_operator] = ACTIONS(10982),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym__terminator_token1] = ACTIONS(10986),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7816] = {
    [sym_block_comment] = STATE(7816),
    [sym_line_comment] = STATE(7816),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_catch] = ACTIONS(10315),
    [anon_sym_finally] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7817] = {
    [sym_block_comment] = STATE(7817),
    [sym_line_comment] = STATE(7817),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10391),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10391),
    [anon_sym_RPAREN] = ACTIONS(10391),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10391),
    [anon_sym_RBRACK] = ACTIONS(10391),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10391),
    [anon_sym_LBRACE] = ACTIONS(10391),
    [anon_sym_RBRACE] = ACTIONS(10391),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10391),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10391),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_QMARK] = ACTIONS(10391),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10391),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10391),
    [aux_sym_integer_literal_token2] = ACTIONS(10391),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10391),
    [aux_sym_float_literal_token3] = ACTIONS(10391),
    [aux_sym_float_literal_token4] = ACTIONS(10391),
    [sym_character_literal] = ACTIONS(10391),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10391),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10391),
    [sym__pair_operator] = ACTIONS(10391),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10391),
    [sym__lazy_and_operator] = ACTIONS(10391),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10391),
    [sym__pipe_left_operator] = ACTIONS(10391),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10391),
    [sym__bitshift_operator] = ACTIONS(10391),
    [sym__power_operator] = ACTIONS(10391),
    [sym__tilde_operator] = ACTIONS(10391),
    [sym__type_order_operator] = ACTIONS(10391),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7818] = {
    [sym_block_comment] = STATE(7818),
    [sym_line_comment] = STATE(7818),
    [sym__word_identifier] = ACTIONS(11312),
    [anon_sym_COMMA] = ACTIONS(11312),
    [anon_sym_EQ] = ACTIONS(11312),
    [anon_sym_begin] = ACTIONS(11312),
    [anon_sym_module] = ACTIONS(11312),
    [anon_sym_baremodule] = ACTIONS(11312),
    [anon_sym_end] = ACTIONS(11312),
    [anon_sym_abstract] = ACTIONS(11312),
    [anon_sym_primitive] = ACTIONS(11312),
    [anon_sym_mutable] = ACTIONS(11312),
    [anon_sym_struct] = ACTIONS(11312),
    [anon_sym_function] = ACTIONS(11312),
    [anon_sym_macro] = ACTIONS(11312),
    [anon_sym_quote] = ACTIONS(11312),
    [anon_sym_let] = ACTIONS(11312),
    [anon_sym_if] = ACTIONS(11312),
    [anon_sym_elseif] = ACTIONS(11312),
    [anon_sym_else] = ACTIONS(11312),
    [anon_sym_try] = ACTIONS(11312),
    [anon_sym_for] = ACTIONS(11312),
    [anon_sym_while] = ACTIONS(11312),
    [sym_break_statement] = ACTIONS(11312),
    [sym_continue_statement] = ACTIONS(11312),
    [anon_sym_return] = ACTIONS(11312),
    [anon_sym_const] = ACTIONS(11312),
    [anon_sym_global] = ACTIONS(11312),
    [anon_sym_local] = ACTIONS(11312),
    [anon_sym_LPAREN] = ACTIONS(11312),
    [anon_sym_COLON] = ACTIONS(11312),
    [anon_sym_export] = ACTIONS(11312),
    [anon_sym_public] = ACTIONS(11312),
    [anon_sym_import] = ACTIONS(11312),
    [anon_sym_using] = ACTIONS(11312),
    [anon_sym_LBRACK] = ACTIONS(11312),
    [anon_sym_in] = ACTIONS(11312),
    [anon_sym_SEMI] = ACTIONS(11312),
    [anon_sym_LBRACE] = ACTIONS(11312),
    [anon_sym_DOLLAR] = ACTIONS(11312),
    [anon_sym_COLON2] = ACTIONS(11312),
    [anon_sym_COLON_COLON] = ACTIONS(11312),
    [anon_sym_isa] = ACTIONS(11312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11312),
    [anon_sym_QMARK] = ACTIONS(11312),
    [anon_sym_where] = ACTIONS(11312),
    [anon_sym_AT] = ACTIONS(11312),
    [anon_sym_true] = ACTIONS(11312),
    [anon_sym_false] = ACTIONS(11312),
    [aux_sym_integer_literal_token1] = ACTIONS(11312),
    [aux_sym_integer_literal_token2] = ACTIONS(11312),
    [aux_sym_integer_literal_token3] = ACTIONS(11312),
    [aux_sym_integer_literal_token4] = ACTIONS(11312),
    [aux_sym_float_literal_token1] = ACTIONS(11312),
    [aux_sym_float_literal_token3] = ACTIONS(11312),
    [aux_sym_float_literal_token4] = ACTIONS(11312),
    [sym_character_literal] = ACTIONS(11312),
    [anon_sym_DQUOTE] = ACTIONS(11312),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11312),
    [anon_sym_BQUOTE] = ACTIONS(11312),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11312),
    [sym__pair_operator] = ACTIONS(11312),
    [sym__arrow_operator] = ACTIONS(11312),
    [sym__lazy_or_operator] = ACTIONS(11312),
    [sym__lazy_and_operator] = ACTIONS(11312),
    [sym__comparison_operator] = ACTIONS(11312),
    [sym__pipe_right_operator] = ACTIONS(11312),
    [sym__pipe_left_operator] = ACTIONS(11312),
    [sym__ellipsis_operator] = ACTIONS(11312),
    [sym__plus_operator] = ACTIONS(11312),
    [sym__times_operator] = ACTIONS(11312),
    [sym__rational_operator] = ACTIONS(11312),
    [sym__bitshift_operator] = ACTIONS(11312),
    [sym__power_operator] = ACTIONS(11312),
    [sym__tilde_operator] = ACTIONS(11312),
    [sym__type_order_operator] = ACTIONS(11312),
    [sym__unary_operator] = ACTIONS(11312),
    [sym__unary_plus_operator] = ACTIONS(11312),
    [aux_sym__terminator_token1] = ACTIONS(11314),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7819] = {
    [sym_block_comment] = STATE(7819),
    [sym_line_comment] = STATE(7819),
    [aux_sym_export_statement_repeat1] = STATE(7829),
    [sym__word_identifier] = ACTIONS(11286),
    [anon_sym_COMMA] = ACTIONS(11659),
    [anon_sym_EQ] = ACTIONS(11286),
    [anon_sym_begin] = ACTIONS(11286),
    [anon_sym_module] = ACTIONS(11286),
    [anon_sym_baremodule] = ACTIONS(11286),
    [anon_sym_end] = ACTIONS(11286),
    [anon_sym_abstract] = ACTIONS(11286),
    [anon_sym_primitive] = ACTIONS(11286),
    [anon_sym_mutable] = ACTIONS(11286),
    [anon_sym_struct] = ACTIONS(11286),
    [anon_sym_function] = ACTIONS(11286),
    [anon_sym_macro] = ACTIONS(11286),
    [anon_sym_quote] = ACTIONS(11286),
    [anon_sym_let] = ACTIONS(11286),
    [anon_sym_if] = ACTIONS(11286),
    [anon_sym_try] = ACTIONS(11286),
    [anon_sym_catch] = ACTIONS(11286),
    [anon_sym_for] = ACTIONS(11286),
    [anon_sym_while] = ACTIONS(11286),
    [sym_break_statement] = ACTIONS(11286),
    [sym_continue_statement] = ACTIONS(11286),
    [anon_sym_return] = ACTIONS(11286),
    [anon_sym_const] = ACTIONS(11286),
    [anon_sym_global] = ACTIONS(11286),
    [anon_sym_local] = ACTIONS(11286),
    [anon_sym_LPAREN] = ACTIONS(11286),
    [anon_sym_COLON] = ACTIONS(11286),
    [anon_sym_export] = ACTIONS(11286),
    [anon_sym_public] = ACTIONS(11286),
    [anon_sym_import] = ACTIONS(11286),
    [anon_sym_using] = ACTIONS(11286),
    [anon_sym_LBRACK] = ACTIONS(11286),
    [anon_sym_in] = ACTIONS(11286),
    [anon_sym_SEMI] = ACTIONS(11286),
    [anon_sym_LBRACE] = ACTIONS(11286),
    [anon_sym_DOLLAR] = ACTIONS(11286),
    [anon_sym_COLON2] = ACTIONS(11286),
    [anon_sym_COLON_COLON] = ACTIONS(11286),
    [anon_sym_isa] = ACTIONS(11286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11286),
    [anon_sym_QMARK] = ACTIONS(11286),
    [anon_sym_where] = ACTIONS(11286),
    [anon_sym_AT] = ACTIONS(11286),
    [anon_sym_true] = ACTIONS(11286),
    [anon_sym_false] = ACTIONS(11286),
    [aux_sym_integer_literal_token1] = ACTIONS(11286),
    [aux_sym_integer_literal_token2] = ACTIONS(11286),
    [aux_sym_integer_literal_token3] = ACTIONS(11286),
    [aux_sym_integer_literal_token4] = ACTIONS(11286),
    [aux_sym_float_literal_token1] = ACTIONS(11286),
    [aux_sym_float_literal_token3] = ACTIONS(11286),
    [aux_sym_float_literal_token4] = ACTIONS(11286),
    [sym_character_literal] = ACTIONS(11286),
    [anon_sym_DQUOTE] = ACTIONS(11286),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11286),
    [anon_sym_BQUOTE] = ACTIONS(11286),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11286),
    [sym__pair_operator] = ACTIONS(11286),
    [sym__arrow_operator] = ACTIONS(11286),
    [sym__lazy_or_operator] = ACTIONS(11286),
    [sym__lazy_and_operator] = ACTIONS(11286),
    [sym__comparison_operator] = ACTIONS(11286),
    [sym__pipe_right_operator] = ACTIONS(11286),
    [sym__pipe_left_operator] = ACTIONS(11286),
    [sym__ellipsis_operator] = ACTIONS(11286),
    [sym__plus_operator] = ACTIONS(11286),
    [sym__times_operator] = ACTIONS(11286),
    [sym__rational_operator] = ACTIONS(11286),
    [sym__bitshift_operator] = ACTIONS(11286),
    [sym__power_operator] = ACTIONS(11286),
    [sym__tilde_operator] = ACTIONS(11286),
    [sym__type_order_operator] = ACTIONS(11286),
    [sym__unary_operator] = ACTIONS(11286),
    [sym__unary_plus_operator] = ACTIONS(11286),
    [aux_sym__terminator_token1] = ACTIONS(11288),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7820] = {
    [sym_block_comment] = STATE(7820),
    [sym_line_comment] = STATE(7820),
    [aux_sym_export_statement_repeat1] = STATE(7829),
    [sym__word_identifier] = ACTIONS(11290),
    [anon_sym_COMMA] = ACTIONS(11659),
    [anon_sym_EQ] = ACTIONS(11290),
    [anon_sym_begin] = ACTIONS(11290),
    [anon_sym_module] = ACTIONS(11290),
    [anon_sym_baremodule] = ACTIONS(11290),
    [anon_sym_end] = ACTIONS(11290),
    [anon_sym_abstract] = ACTIONS(11290),
    [anon_sym_primitive] = ACTIONS(11290),
    [anon_sym_mutable] = ACTIONS(11290),
    [anon_sym_struct] = ACTIONS(11290),
    [anon_sym_function] = ACTIONS(11290),
    [anon_sym_macro] = ACTIONS(11290),
    [anon_sym_quote] = ACTIONS(11290),
    [anon_sym_let] = ACTIONS(11290),
    [anon_sym_if] = ACTIONS(11290),
    [anon_sym_try] = ACTIONS(11290),
    [anon_sym_catch] = ACTIONS(11290),
    [anon_sym_for] = ACTIONS(11290),
    [anon_sym_while] = ACTIONS(11290),
    [sym_break_statement] = ACTIONS(11290),
    [sym_continue_statement] = ACTIONS(11290),
    [anon_sym_return] = ACTIONS(11290),
    [anon_sym_const] = ACTIONS(11290),
    [anon_sym_global] = ACTIONS(11290),
    [anon_sym_local] = ACTIONS(11290),
    [anon_sym_LPAREN] = ACTIONS(11290),
    [anon_sym_COLON] = ACTIONS(11290),
    [anon_sym_export] = ACTIONS(11290),
    [anon_sym_public] = ACTIONS(11290),
    [anon_sym_import] = ACTIONS(11290),
    [anon_sym_using] = ACTIONS(11290),
    [anon_sym_LBRACK] = ACTIONS(11290),
    [anon_sym_in] = ACTIONS(11290),
    [anon_sym_SEMI] = ACTIONS(11290),
    [anon_sym_LBRACE] = ACTIONS(11290),
    [anon_sym_DOLLAR] = ACTIONS(11290),
    [anon_sym_COLON2] = ACTIONS(11290),
    [anon_sym_COLON_COLON] = ACTIONS(11290),
    [anon_sym_isa] = ACTIONS(11290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11290),
    [anon_sym_QMARK] = ACTIONS(11290),
    [anon_sym_where] = ACTIONS(11290),
    [anon_sym_AT] = ACTIONS(11290),
    [anon_sym_true] = ACTIONS(11290),
    [anon_sym_false] = ACTIONS(11290),
    [aux_sym_integer_literal_token1] = ACTIONS(11290),
    [aux_sym_integer_literal_token2] = ACTIONS(11290),
    [aux_sym_integer_literal_token3] = ACTIONS(11290),
    [aux_sym_integer_literal_token4] = ACTIONS(11290),
    [aux_sym_float_literal_token1] = ACTIONS(11290),
    [aux_sym_float_literal_token3] = ACTIONS(11290),
    [aux_sym_float_literal_token4] = ACTIONS(11290),
    [sym_character_literal] = ACTIONS(11290),
    [anon_sym_DQUOTE] = ACTIONS(11290),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11290),
    [anon_sym_BQUOTE] = ACTIONS(11290),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11290),
    [sym__pair_operator] = ACTIONS(11290),
    [sym__arrow_operator] = ACTIONS(11290),
    [sym__lazy_or_operator] = ACTIONS(11290),
    [sym__lazy_and_operator] = ACTIONS(11290),
    [sym__comparison_operator] = ACTIONS(11290),
    [sym__pipe_right_operator] = ACTIONS(11290),
    [sym__pipe_left_operator] = ACTIONS(11290),
    [sym__ellipsis_operator] = ACTIONS(11290),
    [sym__plus_operator] = ACTIONS(11290),
    [sym__times_operator] = ACTIONS(11290),
    [sym__rational_operator] = ACTIONS(11290),
    [sym__bitshift_operator] = ACTIONS(11290),
    [sym__power_operator] = ACTIONS(11290),
    [sym__tilde_operator] = ACTIONS(11290),
    [sym__type_order_operator] = ACTIONS(11290),
    [sym__unary_operator] = ACTIONS(11290),
    [sym__unary_plus_operator] = ACTIONS(11290),
    [aux_sym__terminator_token1] = ACTIONS(11292),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7821] = {
    [sym_block_comment] = STATE(7821),
    [sym_line_comment] = STATE(7821),
    [aux_sym__import_list_repeat1] = STATE(7831),
    [sym__word_identifier] = ACTIONS(11066),
    [anon_sym_COMMA] = ACTIONS(11088),
    [anon_sym_EQ] = ACTIONS(11066),
    [anon_sym_begin] = ACTIONS(11066),
    [anon_sym_module] = ACTIONS(11066),
    [anon_sym_baremodule] = ACTIONS(11066),
    [anon_sym_end] = ACTIONS(11066),
    [anon_sym_abstract] = ACTIONS(11066),
    [anon_sym_primitive] = ACTIONS(11066),
    [anon_sym_mutable] = ACTIONS(11066),
    [anon_sym_struct] = ACTIONS(11066),
    [anon_sym_function] = ACTIONS(11066),
    [anon_sym_macro] = ACTIONS(11066),
    [anon_sym_quote] = ACTIONS(11066),
    [anon_sym_let] = ACTIONS(11066),
    [anon_sym_if] = ACTIONS(11066),
    [anon_sym_try] = ACTIONS(11066),
    [anon_sym_catch] = ACTIONS(11066),
    [anon_sym_for] = ACTIONS(11066),
    [anon_sym_while] = ACTIONS(11066),
    [sym_break_statement] = ACTIONS(11066),
    [sym_continue_statement] = ACTIONS(11066),
    [anon_sym_return] = ACTIONS(11066),
    [anon_sym_const] = ACTIONS(11066),
    [anon_sym_global] = ACTIONS(11066),
    [anon_sym_local] = ACTIONS(11066),
    [anon_sym_LPAREN] = ACTIONS(11066),
    [anon_sym_COLON] = ACTIONS(11066),
    [anon_sym_export] = ACTIONS(11066),
    [anon_sym_public] = ACTIONS(11066),
    [anon_sym_import] = ACTIONS(11066),
    [anon_sym_using] = ACTIONS(11066),
    [anon_sym_LBRACK] = ACTIONS(11066),
    [anon_sym_in] = ACTIONS(11066),
    [anon_sym_SEMI] = ACTIONS(11066),
    [anon_sym_LBRACE] = ACTIONS(11066),
    [anon_sym_DOLLAR] = ACTIONS(11066),
    [anon_sym_COLON2] = ACTIONS(11066),
    [anon_sym_COLON_COLON] = ACTIONS(11066),
    [anon_sym_isa] = ACTIONS(11066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11066),
    [anon_sym_QMARK] = ACTIONS(11066),
    [anon_sym_where] = ACTIONS(11066),
    [anon_sym_AT] = ACTIONS(11066),
    [anon_sym_true] = ACTIONS(11066),
    [anon_sym_false] = ACTIONS(11066),
    [aux_sym_integer_literal_token1] = ACTIONS(11066),
    [aux_sym_integer_literal_token2] = ACTIONS(11066),
    [aux_sym_integer_literal_token3] = ACTIONS(11066),
    [aux_sym_integer_literal_token4] = ACTIONS(11066),
    [aux_sym_float_literal_token1] = ACTIONS(11066),
    [aux_sym_float_literal_token3] = ACTIONS(11066),
    [aux_sym_float_literal_token4] = ACTIONS(11066),
    [sym_character_literal] = ACTIONS(11066),
    [anon_sym_DQUOTE] = ACTIONS(11066),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11066),
    [anon_sym_BQUOTE] = ACTIONS(11066),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(11066),
    [sym__arrow_operator] = ACTIONS(11066),
    [sym__lazy_or_operator] = ACTIONS(11066),
    [sym__lazy_and_operator] = ACTIONS(11066),
    [sym__comparison_operator] = ACTIONS(11066),
    [sym__pipe_right_operator] = ACTIONS(11066),
    [sym__pipe_left_operator] = ACTIONS(11066),
    [sym__ellipsis_operator] = ACTIONS(11066),
    [sym__plus_operator] = ACTIONS(11066),
    [sym__times_operator] = ACTIONS(11066),
    [sym__rational_operator] = ACTIONS(11066),
    [sym__bitshift_operator] = ACTIONS(11066),
    [sym__power_operator] = ACTIONS(11066),
    [sym__tilde_operator] = ACTIONS(11066),
    [sym__type_order_operator] = ACTIONS(11066),
    [sym__unary_operator] = ACTIONS(11066),
    [sym__unary_plus_operator] = ACTIONS(11066),
    [aux_sym__terminator_token1] = ACTIONS(11068),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7822] = {
    [sym_block_comment] = STATE(7822),
    [sym_line_comment] = STATE(7822),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_as] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7823] = {
    [sym_block_comment] = STATE(7823),
    [sym_line_comment] = STATE(7823),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10129),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10129),
    [anon_sym_RPAREN] = ACTIONS(10129),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10129),
    [anon_sym_RBRACK] = ACTIONS(10129),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10129),
    [anon_sym_LBRACE] = ACTIONS(10129),
    [anon_sym_RBRACE] = ACTIONS(10129),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10129),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10129),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10129),
    [anon_sym_QMARK] = ACTIONS(10129),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10129),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10129),
    [aux_sym_integer_literal_token2] = ACTIONS(10129),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10129),
    [aux_sym_float_literal_token3] = ACTIONS(10129),
    [aux_sym_float_literal_token4] = ACTIONS(10129),
    [sym_character_literal] = ACTIONS(10129),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10129),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10129),
    [sym__pair_operator] = ACTIONS(10129),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10129),
    [sym__lazy_and_operator] = ACTIONS(10129),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10129),
    [sym__pipe_left_operator] = ACTIONS(10129),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10129),
    [sym__bitshift_operator] = ACTIONS(10129),
    [sym__power_operator] = ACTIONS(10129),
    [sym__tilde_operator] = ACTIONS(10129),
    [sym__type_order_operator] = ACTIONS(10129),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7824] = {
    [sym_block_comment] = STATE(7824),
    [sym_line_comment] = STATE(7824),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_as] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7825] = {
    [sym__comprehension_clause] = STATE(19343),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(7825),
    [sym_line_comment] = STATE(7825),
    [aux_sym_vector_expression_repeat1] = STATE(18015),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11661),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11663),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11665),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11668),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7826] = {
    [sym_block_comment] = STATE(7826),
    [sym_line_comment] = STATE(7826),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10345),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10345),
    [anon_sym_RPAREN] = ACTIONS(10345),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10345),
    [anon_sym_RBRACK] = ACTIONS(10345),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10345),
    [anon_sym_LBRACE] = ACTIONS(10345),
    [anon_sym_RBRACE] = ACTIONS(10345),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10345),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10345),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10345),
    [anon_sym_QMARK] = ACTIONS(10345),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10345),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10345),
    [aux_sym_integer_literal_token2] = ACTIONS(10345),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10345),
    [aux_sym_float_literal_token3] = ACTIONS(10345),
    [aux_sym_float_literal_token4] = ACTIONS(10345),
    [sym_character_literal] = ACTIONS(10345),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10345),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10345),
    [sym__pair_operator] = ACTIONS(10345),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10345),
    [sym__lazy_and_operator] = ACTIONS(10345),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10345),
    [sym__pipe_left_operator] = ACTIONS(10345),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10345),
    [sym__bitshift_operator] = ACTIONS(10345),
    [sym__power_operator] = ACTIONS(10345),
    [sym__tilde_operator] = ACTIONS(10345),
    [sym__type_order_operator] = ACTIONS(10345),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7827] = {
    [sym_block_comment] = STATE(7827),
    [sym_line_comment] = STATE(7827),
    [ts_builtin_sym_end] = ACTIONS(10986),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10982),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10982),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10982),
    [anon_sym_RBRACK] = ACTIONS(10982),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_SEMI] = ACTIONS(10982),
    [anon_sym_LBRACE] = ACTIONS(10982),
    [anon_sym_DOLLAR] = ACTIONS(10982),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10982),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10982),
    [anon_sym_QMARK] = ACTIONS(10982),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10982),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10982),
    [aux_sym_integer_literal_token2] = ACTIONS(10982),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10982),
    [aux_sym_float_literal_token3] = ACTIONS(10982),
    [aux_sym_float_literal_token4] = ACTIONS(10982),
    [sym_character_literal] = ACTIONS(10982),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10982),
    [sym__pair_operator] = ACTIONS(10982),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10982),
    [sym__lazy_and_operator] = ACTIONS(10982),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10982),
    [sym__pipe_left_operator] = ACTIONS(10982),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10982),
    [sym__bitshift_operator] = ACTIONS(10982),
    [sym__power_operator] = ACTIONS(10982),
    [sym__tilde_operator] = ACTIONS(10982),
    [sym__type_order_operator] = ACTIONS(10982),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym__terminator_token1] = ACTIONS(10986),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7828] = {
    [sym_block_comment] = STATE(7828),
    [sym_line_comment] = STATE(7828),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10419),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10419),
    [anon_sym_RPAREN] = ACTIONS(10419),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10419),
    [anon_sym_RBRACK] = ACTIONS(10419),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10419),
    [anon_sym_LBRACE] = ACTIONS(10419),
    [anon_sym_RBRACE] = ACTIONS(10419),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10419),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10419),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10419),
    [anon_sym_QMARK] = ACTIONS(10419),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10419),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10419),
    [aux_sym_integer_literal_token2] = ACTIONS(10419),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10419),
    [aux_sym_float_literal_token3] = ACTIONS(10419),
    [aux_sym_float_literal_token4] = ACTIONS(10419),
    [sym_character_literal] = ACTIONS(10419),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10419),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10419),
    [sym__pair_operator] = ACTIONS(10419),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10419),
    [sym__lazy_and_operator] = ACTIONS(10419),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10419),
    [sym__pipe_left_operator] = ACTIONS(10419),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10419),
    [sym__bitshift_operator] = ACTIONS(10419),
    [sym__power_operator] = ACTIONS(10419),
    [sym__tilde_operator] = ACTIONS(10419),
    [sym__type_order_operator] = ACTIONS(10419),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7829] = {
    [sym_block_comment] = STATE(7829),
    [sym_line_comment] = STATE(7829),
    [aux_sym_export_statement_repeat1] = STATE(7829),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(11671),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_end] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_catch] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11149),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11149),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_SEMI] = ACTIONS(11149),
    [anon_sym_LBRACE] = ACTIONS(11149),
    [anon_sym_DOLLAR] = ACTIONS(11149),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11149),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11149),
    [anon_sym_QMARK] = ACTIONS(11149),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11149),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11149),
    [aux_sym_integer_literal_token2] = ACTIONS(11149),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11149),
    [aux_sym_float_literal_token3] = ACTIONS(11149),
    [aux_sym_float_literal_token4] = ACTIONS(11149),
    [sym_character_literal] = ACTIONS(11149),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11149),
    [sym__pair_operator] = ACTIONS(11149),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11149),
    [sym__lazy_and_operator] = ACTIONS(11149),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11149),
    [sym__pipe_left_operator] = ACTIONS(11149),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11149),
    [sym__bitshift_operator] = ACTIONS(11149),
    [sym__power_operator] = ACTIONS(11149),
    [sym__tilde_operator] = ACTIONS(11149),
    [sym__type_order_operator] = ACTIONS(11149),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym__terminator_token1] = ACTIONS(11154),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7830] = {
    [sym_block_comment] = STATE(7830),
    [sym_line_comment] = STATE(7830),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11159),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_catch] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_as] = ACTIONS(11090),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7831] = {
    [sym_block_comment] = STATE(7831),
    [sym_line_comment] = STATE(7831),
    [aux_sym__import_list_repeat1] = STATE(7831),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11674),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_catch] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7832] = {
    [sym_block_comment] = STATE(7832),
    [sym_line_comment] = STATE(7832),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10087),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10087),
    [anon_sym_RPAREN] = ACTIONS(10087),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10087),
    [anon_sym_RBRACK] = ACTIONS(10087),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10087),
    [anon_sym_LBRACE] = ACTIONS(10087),
    [anon_sym_RBRACE] = ACTIONS(10087),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10087),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10087),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10087),
    [anon_sym_QMARK] = ACTIONS(10087),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10087),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10087),
    [aux_sym_integer_literal_token2] = ACTIONS(10087),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10087),
    [aux_sym_float_literal_token3] = ACTIONS(10087),
    [aux_sym_float_literal_token4] = ACTIONS(10087),
    [sym_character_literal] = ACTIONS(10087),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10087),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10087),
    [sym__pair_operator] = ACTIONS(10087),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10087),
    [sym__lazy_and_operator] = ACTIONS(10087),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10087),
    [sym__pipe_left_operator] = ACTIONS(10087),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10087),
    [sym__bitshift_operator] = ACTIONS(10087),
    [sym__power_operator] = ACTIONS(10087),
    [sym__tilde_operator] = ACTIONS(10087),
    [sym__type_order_operator] = ACTIONS(10087),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7833] = {
    [sym_block_comment] = STATE(7833),
    [sym_line_comment] = STATE(7833),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_as] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7834] = {
    [sym_block_comment] = STATE(7834),
    [sym_line_comment] = STATE(7834),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7835] = {
    [sym_block_comment] = STATE(7835),
    [sym_line_comment] = STATE(7835),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10099),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10099),
    [anon_sym_RPAREN] = ACTIONS(10099),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10099),
    [anon_sym_RBRACK] = ACTIONS(10099),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10099),
    [anon_sym_LBRACE] = ACTIONS(10099),
    [anon_sym_RBRACE] = ACTIONS(10099),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10099),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10099),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10099),
    [anon_sym_QMARK] = ACTIONS(10099),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10099),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10099),
    [aux_sym_integer_literal_token2] = ACTIONS(10099),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10099),
    [aux_sym_float_literal_token3] = ACTIONS(10099),
    [aux_sym_float_literal_token4] = ACTIONS(10099),
    [sym_character_literal] = ACTIONS(10099),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10099),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10099),
    [sym__pair_operator] = ACTIONS(10099),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10099),
    [sym__lazy_and_operator] = ACTIONS(10099),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10099),
    [sym__pipe_left_operator] = ACTIONS(10099),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10099),
    [sym__bitshift_operator] = ACTIONS(10099),
    [sym__power_operator] = ACTIONS(10099),
    [sym__tilde_operator] = ACTIONS(10099),
    [sym__type_order_operator] = ACTIONS(10099),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7836] = {
    [sym_block_comment] = STATE(7836),
    [sym_line_comment] = STATE(7836),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_catch] = ACTIONS(10175),
    [anon_sym_finally] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7837] = {
    [sym_block_comment] = STATE(7837),
    [sym_line_comment] = STATE(7837),
    [sym__word_identifier] = ACTIONS(11324),
    [anon_sym_COMMA] = ACTIONS(11324),
    [anon_sym_EQ] = ACTIONS(11324),
    [anon_sym_begin] = ACTIONS(11324),
    [anon_sym_module] = ACTIONS(11324),
    [anon_sym_baremodule] = ACTIONS(11324),
    [anon_sym_end] = ACTIONS(11324),
    [anon_sym_abstract] = ACTIONS(11324),
    [anon_sym_primitive] = ACTIONS(11324),
    [anon_sym_mutable] = ACTIONS(11324),
    [anon_sym_struct] = ACTIONS(11324),
    [anon_sym_function] = ACTIONS(11324),
    [anon_sym_macro] = ACTIONS(11324),
    [anon_sym_quote] = ACTIONS(11324),
    [anon_sym_let] = ACTIONS(11324),
    [anon_sym_if] = ACTIONS(11324),
    [anon_sym_elseif] = ACTIONS(11324),
    [anon_sym_else] = ACTIONS(11324),
    [anon_sym_try] = ACTIONS(11324),
    [anon_sym_for] = ACTIONS(11324),
    [anon_sym_while] = ACTIONS(11324),
    [sym_break_statement] = ACTIONS(11324),
    [sym_continue_statement] = ACTIONS(11324),
    [anon_sym_return] = ACTIONS(11324),
    [anon_sym_const] = ACTIONS(11324),
    [anon_sym_global] = ACTIONS(11324),
    [anon_sym_local] = ACTIONS(11324),
    [anon_sym_LPAREN] = ACTIONS(11324),
    [anon_sym_COLON] = ACTIONS(11324),
    [anon_sym_export] = ACTIONS(11324),
    [anon_sym_public] = ACTIONS(11324),
    [anon_sym_import] = ACTIONS(11324),
    [anon_sym_using] = ACTIONS(11324),
    [anon_sym_LBRACK] = ACTIONS(11324),
    [anon_sym_in] = ACTIONS(11324),
    [anon_sym_SEMI] = ACTIONS(11324),
    [anon_sym_LBRACE] = ACTIONS(11324),
    [anon_sym_DOLLAR] = ACTIONS(11324),
    [anon_sym_COLON2] = ACTIONS(11324),
    [anon_sym_COLON_COLON] = ACTIONS(11324),
    [anon_sym_isa] = ACTIONS(11324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11324),
    [anon_sym_QMARK] = ACTIONS(11324),
    [anon_sym_where] = ACTIONS(11324),
    [anon_sym_AT] = ACTIONS(11324),
    [anon_sym_true] = ACTIONS(11324),
    [anon_sym_false] = ACTIONS(11324),
    [aux_sym_integer_literal_token1] = ACTIONS(11324),
    [aux_sym_integer_literal_token2] = ACTIONS(11324),
    [aux_sym_integer_literal_token3] = ACTIONS(11324),
    [aux_sym_integer_literal_token4] = ACTIONS(11324),
    [aux_sym_float_literal_token1] = ACTIONS(11324),
    [aux_sym_float_literal_token3] = ACTIONS(11324),
    [aux_sym_float_literal_token4] = ACTIONS(11324),
    [sym_character_literal] = ACTIONS(11324),
    [anon_sym_DQUOTE] = ACTIONS(11324),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11324),
    [anon_sym_BQUOTE] = ACTIONS(11324),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11324),
    [sym__pair_operator] = ACTIONS(11324),
    [sym__arrow_operator] = ACTIONS(11324),
    [sym__lazy_or_operator] = ACTIONS(11324),
    [sym__lazy_and_operator] = ACTIONS(11324),
    [sym__comparison_operator] = ACTIONS(11324),
    [sym__pipe_right_operator] = ACTIONS(11324),
    [sym__pipe_left_operator] = ACTIONS(11324),
    [sym__ellipsis_operator] = ACTIONS(11324),
    [sym__plus_operator] = ACTIONS(11324),
    [sym__times_operator] = ACTIONS(11324),
    [sym__rational_operator] = ACTIONS(11324),
    [sym__bitshift_operator] = ACTIONS(11324),
    [sym__power_operator] = ACTIONS(11324),
    [sym__tilde_operator] = ACTIONS(11324),
    [sym__type_order_operator] = ACTIONS(11324),
    [sym__unary_operator] = ACTIONS(11324),
    [sym__unary_plus_operator] = ACTIONS(11324),
    [aux_sym__terminator_token1] = ACTIONS(11326),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7838] = {
    [sym_block_comment] = STATE(7838),
    [sym_line_comment] = STATE(7838),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_catch] = ACTIONS(10319),
    [anon_sym_finally] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7839] = {
    [sym_block_comment] = STATE(7839),
    [sym_line_comment] = STATE(7839),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_catch] = ACTIONS(10395),
    [anon_sym_finally] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7840] = {
    [sym_block_comment] = STATE(7840),
    [sym_line_comment] = STATE(7840),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_catch] = ACTIONS(10413),
    [anon_sym_finally] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7841] = {
    [sym_block_comment] = STATE(7841),
    [sym_line_comment] = STATE(7841),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11112),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7842] = {
    [sym_block_comment] = STATE(7842),
    [sym_line_comment] = STATE(7842),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10103),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10103),
    [anon_sym_RPAREN] = ACTIONS(10103),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10103),
    [anon_sym_RBRACK] = ACTIONS(10103),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10103),
    [anon_sym_LBRACE] = ACTIONS(10103),
    [anon_sym_RBRACE] = ACTIONS(10103),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10103),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10103),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10103),
    [anon_sym_QMARK] = ACTIONS(10103),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10103),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10103),
    [aux_sym_integer_literal_token2] = ACTIONS(10103),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10103),
    [aux_sym_float_literal_token3] = ACTIONS(10103),
    [aux_sym_float_literal_token4] = ACTIONS(10103),
    [sym_character_literal] = ACTIONS(10103),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10103),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10103),
    [sym__pair_operator] = ACTIONS(10103),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10103),
    [sym__lazy_and_operator] = ACTIONS(10103),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10103),
    [sym__pipe_left_operator] = ACTIONS(10103),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10103),
    [sym__bitshift_operator] = ACTIONS(10103),
    [sym__power_operator] = ACTIONS(10103),
    [sym__tilde_operator] = ACTIONS(10103),
    [sym__type_order_operator] = ACTIONS(10103),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7843] = {
    [sym__comprehension_clause] = STATE(19986),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(7843),
    [sym_line_comment] = STATE(7843),
    [aux_sym_vector_expression_repeat1] = STATE(18142),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11677),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11679),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11681),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11684),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7844] = {
    [sym_block_comment] = STATE(7844),
    [sym_line_comment] = STATE(7844),
    [ts_builtin_sym_end] = ACTIONS(9995),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_RBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7845] = {
    [sym_block_comment] = STATE(7845),
    [sym_line_comment] = STATE(7845),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_catch] = ACTIONS(10323),
    [anon_sym_finally] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7846] = {
    [sym_block_comment] = STATE(7846),
    [sym_line_comment] = STATE(7846),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_catch] = ACTIONS(10327),
    [anon_sym_finally] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7847] = {
    [sym_block_comment] = STATE(7847),
    [sym_line_comment] = STATE(7847),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_catch] = ACTIONS(10379),
    [anon_sym_finally] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7848] = {
    [sym_block_comment] = STATE(7848),
    [sym_line_comment] = STATE(7848),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_catch] = ACTIONS(10385),
    [anon_sym_finally] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7849] = {
    [sym_block_comment] = STATE(7849),
    [sym_line_comment] = STATE(7849),
    [sym__word_identifier] = ACTIONS(11328),
    [anon_sym_COMMA] = ACTIONS(11328),
    [anon_sym_EQ] = ACTIONS(11328),
    [anon_sym_begin] = ACTIONS(11328),
    [anon_sym_module] = ACTIONS(11328),
    [anon_sym_baremodule] = ACTIONS(11328),
    [anon_sym_end] = ACTIONS(11328),
    [anon_sym_abstract] = ACTIONS(11328),
    [anon_sym_primitive] = ACTIONS(11328),
    [anon_sym_mutable] = ACTIONS(11328),
    [anon_sym_struct] = ACTIONS(11328),
    [anon_sym_function] = ACTIONS(11328),
    [anon_sym_macro] = ACTIONS(11328),
    [anon_sym_quote] = ACTIONS(11328),
    [anon_sym_let] = ACTIONS(11328),
    [anon_sym_if] = ACTIONS(11328),
    [anon_sym_elseif] = ACTIONS(11328),
    [anon_sym_else] = ACTIONS(11328),
    [anon_sym_try] = ACTIONS(11328),
    [anon_sym_for] = ACTIONS(11328),
    [anon_sym_while] = ACTIONS(11328),
    [sym_break_statement] = ACTIONS(11328),
    [sym_continue_statement] = ACTIONS(11328),
    [anon_sym_return] = ACTIONS(11328),
    [anon_sym_const] = ACTIONS(11328),
    [anon_sym_global] = ACTIONS(11328),
    [anon_sym_local] = ACTIONS(11328),
    [anon_sym_LPAREN] = ACTIONS(11328),
    [anon_sym_COLON] = ACTIONS(11328),
    [anon_sym_export] = ACTIONS(11328),
    [anon_sym_public] = ACTIONS(11328),
    [anon_sym_import] = ACTIONS(11328),
    [anon_sym_using] = ACTIONS(11328),
    [anon_sym_LBRACK] = ACTIONS(11328),
    [anon_sym_in] = ACTIONS(11328),
    [anon_sym_SEMI] = ACTIONS(11328),
    [anon_sym_LBRACE] = ACTIONS(11328),
    [anon_sym_DOLLAR] = ACTIONS(11328),
    [anon_sym_COLON2] = ACTIONS(11328),
    [anon_sym_COLON_COLON] = ACTIONS(11328),
    [anon_sym_isa] = ACTIONS(11328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11328),
    [anon_sym_QMARK] = ACTIONS(11328),
    [anon_sym_where] = ACTIONS(11328),
    [anon_sym_AT] = ACTIONS(11328),
    [anon_sym_true] = ACTIONS(11328),
    [anon_sym_false] = ACTIONS(11328),
    [aux_sym_integer_literal_token1] = ACTIONS(11328),
    [aux_sym_integer_literal_token2] = ACTIONS(11328),
    [aux_sym_integer_literal_token3] = ACTIONS(11328),
    [aux_sym_integer_literal_token4] = ACTIONS(11328),
    [aux_sym_float_literal_token1] = ACTIONS(11328),
    [aux_sym_float_literal_token3] = ACTIONS(11328),
    [aux_sym_float_literal_token4] = ACTIONS(11328),
    [sym_character_literal] = ACTIONS(11328),
    [anon_sym_DQUOTE] = ACTIONS(11328),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11328),
    [anon_sym_BQUOTE] = ACTIONS(11328),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11328),
    [sym__pair_operator] = ACTIONS(11328),
    [sym__arrow_operator] = ACTIONS(11328),
    [sym__lazy_or_operator] = ACTIONS(11328),
    [sym__lazy_and_operator] = ACTIONS(11328),
    [sym__comparison_operator] = ACTIONS(11328),
    [sym__pipe_right_operator] = ACTIONS(11328),
    [sym__pipe_left_operator] = ACTIONS(11328),
    [sym__ellipsis_operator] = ACTIONS(11328),
    [sym__plus_operator] = ACTIONS(11328),
    [sym__times_operator] = ACTIONS(11328),
    [sym__rational_operator] = ACTIONS(11328),
    [sym__bitshift_operator] = ACTIONS(11328),
    [sym__power_operator] = ACTIONS(11328),
    [sym__tilde_operator] = ACTIONS(11328),
    [sym__type_order_operator] = ACTIONS(11328),
    [sym__unary_operator] = ACTIONS(11328),
    [sym__unary_plus_operator] = ACTIONS(11328),
    [aux_sym__terminator_token1] = ACTIONS(11330),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7850] = {
    [sym_block_comment] = STATE(7850),
    [sym_line_comment] = STATE(7850),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_catch] = ACTIONS(10389),
    [anon_sym_finally] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7851] = {
    [sym_block_comment] = STATE(7851),
    [sym_line_comment] = STATE(7851),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10423),
    [anon_sym_RPAREN] = ACTIONS(10423),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10423),
    [anon_sym_RBRACK] = ACTIONS(10423),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10423),
    [anon_sym_LBRACE] = ACTIONS(10423),
    [anon_sym_RBRACE] = ACTIONS(10423),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10423),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10423),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10423),
    [anon_sym_QMARK] = ACTIONS(10423),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10423),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10423),
    [aux_sym_integer_literal_token2] = ACTIONS(10423),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10423),
    [aux_sym_float_literal_token3] = ACTIONS(10423),
    [aux_sym_float_literal_token4] = ACTIONS(10423),
    [sym_character_literal] = ACTIONS(10423),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10423),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10423),
    [sym__pair_operator] = ACTIONS(10423),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10423),
    [sym__lazy_and_operator] = ACTIONS(10423),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10423),
    [sym__pipe_left_operator] = ACTIONS(10423),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10423),
    [sym__bitshift_operator] = ACTIONS(10423),
    [sym__power_operator] = ACTIONS(10423),
    [sym__tilde_operator] = ACTIONS(10423),
    [sym__type_order_operator] = ACTIONS(10423),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7852] = {
    [sym_block_comment] = STATE(7852),
    [sym_line_comment] = STATE(7852),
    [sym__word_identifier] = ACTIONS(11332),
    [anon_sym_COMMA] = ACTIONS(11332),
    [anon_sym_EQ] = ACTIONS(11332),
    [anon_sym_begin] = ACTIONS(11332),
    [anon_sym_module] = ACTIONS(11332),
    [anon_sym_baremodule] = ACTIONS(11332),
    [anon_sym_end] = ACTIONS(11332),
    [anon_sym_abstract] = ACTIONS(11332),
    [anon_sym_primitive] = ACTIONS(11332),
    [anon_sym_mutable] = ACTIONS(11332),
    [anon_sym_struct] = ACTIONS(11332),
    [anon_sym_function] = ACTIONS(11332),
    [anon_sym_macro] = ACTIONS(11332),
    [anon_sym_quote] = ACTIONS(11332),
    [anon_sym_let] = ACTIONS(11332),
    [anon_sym_if] = ACTIONS(11332),
    [anon_sym_elseif] = ACTIONS(11332),
    [anon_sym_else] = ACTIONS(11332),
    [anon_sym_try] = ACTIONS(11332),
    [anon_sym_for] = ACTIONS(11332),
    [anon_sym_while] = ACTIONS(11332),
    [sym_break_statement] = ACTIONS(11332),
    [sym_continue_statement] = ACTIONS(11332),
    [anon_sym_return] = ACTIONS(11332),
    [anon_sym_const] = ACTIONS(11332),
    [anon_sym_global] = ACTIONS(11332),
    [anon_sym_local] = ACTIONS(11332),
    [anon_sym_LPAREN] = ACTIONS(11332),
    [anon_sym_COLON] = ACTIONS(11332),
    [anon_sym_export] = ACTIONS(11332),
    [anon_sym_public] = ACTIONS(11332),
    [anon_sym_import] = ACTIONS(11332),
    [anon_sym_using] = ACTIONS(11332),
    [anon_sym_LBRACK] = ACTIONS(11332),
    [anon_sym_in] = ACTIONS(11332),
    [anon_sym_SEMI] = ACTIONS(11332),
    [anon_sym_LBRACE] = ACTIONS(11332),
    [anon_sym_DOLLAR] = ACTIONS(11332),
    [anon_sym_COLON2] = ACTIONS(11332),
    [anon_sym_COLON_COLON] = ACTIONS(11332),
    [anon_sym_isa] = ACTIONS(11332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11332),
    [anon_sym_QMARK] = ACTIONS(11332),
    [anon_sym_where] = ACTIONS(11332),
    [anon_sym_AT] = ACTIONS(11332),
    [anon_sym_true] = ACTIONS(11332),
    [anon_sym_false] = ACTIONS(11332),
    [aux_sym_integer_literal_token1] = ACTIONS(11332),
    [aux_sym_integer_literal_token2] = ACTIONS(11332),
    [aux_sym_integer_literal_token3] = ACTIONS(11332),
    [aux_sym_integer_literal_token4] = ACTIONS(11332),
    [aux_sym_float_literal_token1] = ACTIONS(11332),
    [aux_sym_float_literal_token3] = ACTIONS(11332),
    [aux_sym_float_literal_token4] = ACTIONS(11332),
    [sym_character_literal] = ACTIONS(11332),
    [anon_sym_DQUOTE] = ACTIONS(11332),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11332),
    [anon_sym_BQUOTE] = ACTIONS(11332),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11332),
    [sym__pair_operator] = ACTIONS(11332),
    [sym__arrow_operator] = ACTIONS(11332),
    [sym__lazy_or_operator] = ACTIONS(11332),
    [sym__lazy_and_operator] = ACTIONS(11332),
    [sym__comparison_operator] = ACTIONS(11332),
    [sym__pipe_right_operator] = ACTIONS(11332),
    [sym__pipe_left_operator] = ACTIONS(11332),
    [sym__ellipsis_operator] = ACTIONS(11332),
    [sym__plus_operator] = ACTIONS(11332),
    [sym__times_operator] = ACTIONS(11332),
    [sym__rational_operator] = ACTIONS(11332),
    [sym__bitshift_operator] = ACTIONS(11332),
    [sym__power_operator] = ACTIONS(11332),
    [sym__tilde_operator] = ACTIONS(11332),
    [sym__type_order_operator] = ACTIONS(11332),
    [sym__unary_operator] = ACTIONS(11332),
    [sym__unary_plus_operator] = ACTIONS(11332),
    [aux_sym__terminator_token1] = ACTIONS(11334),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7853] = {
    [sym_block_comment] = STATE(7853),
    [sym_line_comment] = STATE(7853),
    [ts_builtin_sym_end] = ACTIONS(10195),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_RBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7854] = {
    [sym_block_comment] = STATE(7854),
    [sym_line_comment] = STATE(7854),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10431),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10431),
    [anon_sym_RPAREN] = ACTIONS(10431),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10431),
    [anon_sym_RBRACK] = ACTIONS(10431),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10431),
    [anon_sym_LBRACE] = ACTIONS(10431),
    [anon_sym_RBRACE] = ACTIONS(10431),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10431),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10431),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_QMARK] = ACTIONS(10431),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10431),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10431),
    [aux_sym_integer_literal_token2] = ACTIONS(10431),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10431),
    [aux_sym_float_literal_token3] = ACTIONS(10431),
    [aux_sym_float_literal_token4] = ACTIONS(10431),
    [sym_character_literal] = ACTIONS(10431),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10431),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10431),
    [sym__pair_operator] = ACTIONS(10431),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10431),
    [sym__lazy_and_operator] = ACTIONS(10431),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10431),
    [sym__pipe_left_operator] = ACTIONS(10431),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10431),
    [sym__bitshift_operator] = ACTIONS(10431),
    [sym__power_operator] = ACTIONS(10431),
    [sym__tilde_operator] = ACTIONS(10431),
    [sym__type_order_operator] = ACTIONS(10431),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7855] = {
    [sym_block_comment] = STATE(7855),
    [sym_line_comment] = STATE(7855),
    [sym__word_identifier] = ACTIONS(11336),
    [anon_sym_COMMA] = ACTIONS(11336),
    [anon_sym_EQ] = ACTIONS(11336),
    [anon_sym_begin] = ACTIONS(11336),
    [anon_sym_module] = ACTIONS(11336),
    [anon_sym_baremodule] = ACTIONS(11336),
    [anon_sym_end] = ACTIONS(11336),
    [anon_sym_abstract] = ACTIONS(11336),
    [anon_sym_primitive] = ACTIONS(11336),
    [anon_sym_mutable] = ACTIONS(11336),
    [anon_sym_struct] = ACTIONS(11336),
    [anon_sym_function] = ACTIONS(11336),
    [anon_sym_macro] = ACTIONS(11336),
    [anon_sym_quote] = ACTIONS(11336),
    [anon_sym_let] = ACTIONS(11336),
    [anon_sym_if] = ACTIONS(11336),
    [anon_sym_elseif] = ACTIONS(11336),
    [anon_sym_else] = ACTIONS(11336),
    [anon_sym_try] = ACTIONS(11336),
    [anon_sym_for] = ACTIONS(11336),
    [anon_sym_while] = ACTIONS(11336),
    [sym_break_statement] = ACTIONS(11336),
    [sym_continue_statement] = ACTIONS(11336),
    [anon_sym_return] = ACTIONS(11336),
    [anon_sym_const] = ACTIONS(11336),
    [anon_sym_global] = ACTIONS(11336),
    [anon_sym_local] = ACTIONS(11336),
    [anon_sym_LPAREN] = ACTIONS(11336),
    [anon_sym_COLON] = ACTIONS(11336),
    [anon_sym_export] = ACTIONS(11336),
    [anon_sym_public] = ACTIONS(11336),
    [anon_sym_import] = ACTIONS(11336),
    [anon_sym_using] = ACTIONS(11336),
    [anon_sym_LBRACK] = ACTIONS(11336),
    [anon_sym_in] = ACTIONS(11336),
    [anon_sym_SEMI] = ACTIONS(11336),
    [anon_sym_LBRACE] = ACTIONS(11336),
    [anon_sym_DOLLAR] = ACTIONS(11336),
    [anon_sym_COLON2] = ACTIONS(11336),
    [anon_sym_COLON_COLON] = ACTIONS(11336),
    [anon_sym_isa] = ACTIONS(11336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11336),
    [anon_sym_QMARK] = ACTIONS(11336),
    [anon_sym_where] = ACTIONS(11336),
    [anon_sym_AT] = ACTIONS(11336),
    [anon_sym_true] = ACTIONS(11336),
    [anon_sym_false] = ACTIONS(11336),
    [aux_sym_integer_literal_token1] = ACTIONS(11336),
    [aux_sym_integer_literal_token2] = ACTIONS(11336),
    [aux_sym_integer_literal_token3] = ACTIONS(11336),
    [aux_sym_integer_literal_token4] = ACTIONS(11336),
    [aux_sym_float_literal_token1] = ACTIONS(11336),
    [aux_sym_float_literal_token3] = ACTIONS(11336),
    [aux_sym_float_literal_token4] = ACTIONS(11336),
    [sym_character_literal] = ACTIONS(11336),
    [anon_sym_DQUOTE] = ACTIONS(11336),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11336),
    [anon_sym_BQUOTE] = ACTIONS(11336),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11336),
    [sym__pair_operator] = ACTIONS(11336),
    [sym__arrow_operator] = ACTIONS(11336),
    [sym__lazy_or_operator] = ACTIONS(11336),
    [sym__lazy_and_operator] = ACTIONS(11336),
    [sym__comparison_operator] = ACTIONS(11336),
    [sym__pipe_right_operator] = ACTIONS(11336),
    [sym__pipe_left_operator] = ACTIONS(11336),
    [sym__ellipsis_operator] = ACTIONS(11336),
    [sym__plus_operator] = ACTIONS(11336),
    [sym__times_operator] = ACTIONS(11336),
    [sym__rational_operator] = ACTIONS(11336),
    [sym__bitshift_operator] = ACTIONS(11336),
    [sym__power_operator] = ACTIONS(11336),
    [sym__tilde_operator] = ACTIONS(11336),
    [sym__type_order_operator] = ACTIONS(11336),
    [sym__unary_operator] = ACTIONS(11336),
    [sym__unary_plus_operator] = ACTIONS(11336),
    [aux_sym__terminator_token1] = ACTIONS(11338),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7856] = {
    [sym_block_comment] = STATE(7856),
    [sym_line_comment] = STATE(7856),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10367),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9973),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7857] = {
    [sym_block_comment] = STATE(7857),
    [sym_line_comment] = STATE(7857),
    [sym__word_identifier] = ACTIONS(11340),
    [anon_sym_COMMA] = ACTIONS(11340),
    [anon_sym_EQ] = ACTIONS(11340),
    [anon_sym_begin] = ACTIONS(11340),
    [anon_sym_module] = ACTIONS(11340),
    [anon_sym_baremodule] = ACTIONS(11340),
    [anon_sym_end] = ACTIONS(11340),
    [anon_sym_abstract] = ACTIONS(11340),
    [anon_sym_primitive] = ACTIONS(11340),
    [anon_sym_mutable] = ACTIONS(11340),
    [anon_sym_struct] = ACTIONS(11340),
    [anon_sym_function] = ACTIONS(11340),
    [anon_sym_macro] = ACTIONS(11340),
    [anon_sym_quote] = ACTIONS(11340),
    [anon_sym_let] = ACTIONS(11340),
    [anon_sym_if] = ACTIONS(11340),
    [anon_sym_elseif] = ACTIONS(11340),
    [anon_sym_else] = ACTIONS(11340),
    [anon_sym_try] = ACTIONS(11340),
    [anon_sym_for] = ACTIONS(11340),
    [anon_sym_while] = ACTIONS(11340),
    [sym_break_statement] = ACTIONS(11340),
    [sym_continue_statement] = ACTIONS(11340),
    [anon_sym_return] = ACTIONS(11340),
    [anon_sym_const] = ACTIONS(11340),
    [anon_sym_global] = ACTIONS(11340),
    [anon_sym_local] = ACTIONS(11340),
    [anon_sym_LPAREN] = ACTIONS(11340),
    [anon_sym_COLON] = ACTIONS(11340),
    [anon_sym_export] = ACTIONS(11340),
    [anon_sym_public] = ACTIONS(11340),
    [anon_sym_import] = ACTIONS(11340),
    [anon_sym_using] = ACTIONS(11340),
    [anon_sym_LBRACK] = ACTIONS(11340),
    [anon_sym_in] = ACTIONS(11340),
    [anon_sym_SEMI] = ACTIONS(11340),
    [anon_sym_LBRACE] = ACTIONS(11340),
    [anon_sym_DOLLAR] = ACTIONS(11340),
    [anon_sym_COLON2] = ACTIONS(11340),
    [anon_sym_COLON_COLON] = ACTIONS(11340),
    [anon_sym_isa] = ACTIONS(11340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11340),
    [anon_sym_QMARK] = ACTIONS(11340),
    [anon_sym_where] = ACTIONS(11340),
    [anon_sym_AT] = ACTIONS(11340),
    [anon_sym_true] = ACTIONS(11340),
    [anon_sym_false] = ACTIONS(11340),
    [aux_sym_integer_literal_token1] = ACTIONS(11340),
    [aux_sym_integer_literal_token2] = ACTIONS(11340),
    [aux_sym_integer_literal_token3] = ACTIONS(11340),
    [aux_sym_integer_literal_token4] = ACTIONS(11340),
    [aux_sym_float_literal_token1] = ACTIONS(11340),
    [aux_sym_float_literal_token3] = ACTIONS(11340),
    [aux_sym_float_literal_token4] = ACTIONS(11340),
    [sym_character_literal] = ACTIONS(11340),
    [anon_sym_DQUOTE] = ACTIONS(11340),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11340),
    [anon_sym_BQUOTE] = ACTIONS(11340),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11340),
    [sym__pair_operator] = ACTIONS(11340),
    [sym__arrow_operator] = ACTIONS(11340),
    [sym__lazy_or_operator] = ACTIONS(11340),
    [sym__lazy_and_operator] = ACTIONS(11340),
    [sym__comparison_operator] = ACTIONS(11340),
    [sym__pipe_right_operator] = ACTIONS(11340),
    [sym__pipe_left_operator] = ACTIONS(11340),
    [sym__ellipsis_operator] = ACTIONS(11340),
    [sym__plus_operator] = ACTIONS(11340),
    [sym__times_operator] = ACTIONS(11340),
    [sym__rational_operator] = ACTIONS(11340),
    [sym__bitshift_operator] = ACTIONS(11340),
    [sym__power_operator] = ACTIONS(11340),
    [sym__tilde_operator] = ACTIONS(11340),
    [sym__type_order_operator] = ACTIONS(11340),
    [sym__unary_operator] = ACTIONS(11340),
    [sym__unary_plus_operator] = ACTIONS(11340),
    [aux_sym__terminator_token1] = ACTIONS(11342),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7858] = {
    [sym_block_comment] = STATE(7858),
    [sym_line_comment] = STATE(7858),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10295),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9999),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7859] = {
    [sym_block_comment] = STATE(7859),
    [sym_line_comment] = STATE(7859),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10301),
  },
  [7860] = {
    [sym_block_comment] = STATE(7860),
    [sym_line_comment] = STATE(7860),
    [sym__word_identifier] = ACTIONS(11344),
    [anon_sym_COMMA] = ACTIONS(11344),
    [anon_sym_EQ] = ACTIONS(11344),
    [anon_sym_begin] = ACTIONS(11344),
    [anon_sym_module] = ACTIONS(11344),
    [anon_sym_baremodule] = ACTIONS(11344),
    [anon_sym_end] = ACTIONS(11344),
    [anon_sym_abstract] = ACTIONS(11344),
    [anon_sym_primitive] = ACTIONS(11344),
    [anon_sym_mutable] = ACTIONS(11344),
    [anon_sym_struct] = ACTIONS(11344),
    [anon_sym_function] = ACTIONS(11344),
    [anon_sym_macro] = ACTIONS(11344),
    [anon_sym_quote] = ACTIONS(11344),
    [anon_sym_let] = ACTIONS(11344),
    [anon_sym_if] = ACTIONS(11344),
    [anon_sym_elseif] = ACTIONS(11344),
    [anon_sym_else] = ACTIONS(11344),
    [anon_sym_try] = ACTIONS(11344),
    [anon_sym_for] = ACTIONS(11344),
    [anon_sym_while] = ACTIONS(11344),
    [sym_break_statement] = ACTIONS(11344),
    [sym_continue_statement] = ACTIONS(11344),
    [anon_sym_return] = ACTIONS(11344),
    [anon_sym_const] = ACTIONS(11344),
    [anon_sym_global] = ACTIONS(11344),
    [anon_sym_local] = ACTIONS(11344),
    [anon_sym_LPAREN] = ACTIONS(11344),
    [anon_sym_COLON] = ACTIONS(11344),
    [anon_sym_export] = ACTIONS(11344),
    [anon_sym_public] = ACTIONS(11344),
    [anon_sym_import] = ACTIONS(11344),
    [anon_sym_using] = ACTIONS(11344),
    [anon_sym_LBRACK] = ACTIONS(11344),
    [anon_sym_in] = ACTIONS(11344),
    [anon_sym_SEMI] = ACTIONS(11344),
    [anon_sym_LBRACE] = ACTIONS(11344),
    [anon_sym_DOLLAR] = ACTIONS(11344),
    [anon_sym_COLON2] = ACTIONS(11344),
    [anon_sym_COLON_COLON] = ACTIONS(11344),
    [anon_sym_isa] = ACTIONS(11344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11344),
    [anon_sym_QMARK] = ACTIONS(11344),
    [anon_sym_where] = ACTIONS(11344),
    [anon_sym_AT] = ACTIONS(11344),
    [anon_sym_true] = ACTIONS(11344),
    [anon_sym_false] = ACTIONS(11344),
    [aux_sym_integer_literal_token1] = ACTIONS(11344),
    [aux_sym_integer_literal_token2] = ACTIONS(11344),
    [aux_sym_integer_literal_token3] = ACTIONS(11344),
    [aux_sym_integer_literal_token4] = ACTIONS(11344),
    [aux_sym_float_literal_token1] = ACTIONS(11344),
    [aux_sym_float_literal_token3] = ACTIONS(11344),
    [aux_sym_float_literal_token4] = ACTIONS(11344),
    [sym_character_literal] = ACTIONS(11344),
    [anon_sym_DQUOTE] = ACTIONS(11344),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11344),
    [anon_sym_BQUOTE] = ACTIONS(11344),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11344),
    [sym__pair_operator] = ACTIONS(11344),
    [sym__arrow_operator] = ACTIONS(11344),
    [sym__lazy_or_operator] = ACTIONS(11344),
    [sym__lazy_and_operator] = ACTIONS(11344),
    [sym__comparison_operator] = ACTIONS(11344),
    [sym__pipe_right_operator] = ACTIONS(11344),
    [sym__pipe_left_operator] = ACTIONS(11344),
    [sym__ellipsis_operator] = ACTIONS(11344),
    [sym__plus_operator] = ACTIONS(11344),
    [sym__times_operator] = ACTIONS(11344),
    [sym__rational_operator] = ACTIONS(11344),
    [sym__bitshift_operator] = ACTIONS(11344),
    [sym__power_operator] = ACTIONS(11344),
    [sym__tilde_operator] = ACTIONS(11344),
    [sym__type_order_operator] = ACTIONS(11344),
    [sym__unary_operator] = ACTIONS(11344),
    [sym__unary_plus_operator] = ACTIONS(11344),
    [aux_sym__terminator_token1] = ACTIONS(11346),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7861] = {
    [sym_block_comment] = STATE(7861),
    [sym_line_comment] = STATE(7861),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(10393),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_DASH_GT] = ACTIONS(9997),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7862] = {
    [sym_block_comment] = STATE(7862),
    [sym_line_comment] = STATE(7862),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10443),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10271),
  },
  [7863] = {
    [sym_block_comment] = STATE(7863),
    [sym_line_comment] = STATE(7863),
    [sym__word_identifier] = ACTIONS(11348),
    [anon_sym_COMMA] = ACTIONS(11348),
    [anon_sym_EQ] = ACTIONS(11348),
    [anon_sym_begin] = ACTIONS(11348),
    [anon_sym_module] = ACTIONS(11348),
    [anon_sym_baremodule] = ACTIONS(11348),
    [anon_sym_end] = ACTIONS(11348),
    [anon_sym_abstract] = ACTIONS(11348),
    [anon_sym_primitive] = ACTIONS(11348),
    [anon_sym_mutable] = ACTIONS(11348),
    [anon_sym_struct] = ACTIONS(11348),
    [anon_sym_function] = ACTIONS(11348),
    [anon_sym_macro] = ACTIONS(11348),
    [anon_sym_quote] = ACTIONS(11348),
    [anon_sym_let] = ACTIONS(11348),
    [anon_sym_if] = ACTIONS(11348),
    [anon_sym_elseif] = ACTIONS(11348),
    [anon_sym_else] = ACTIONS(11348),
    [anon_sym_try] = ACTIONS(11348),
    [anon_sym_for] = ACTIONS(11348),
    [anon_sym_while] = ACTIONS(11348),
    [sym_break_statement] = ACTIONS(11348),
    [sym_continue_statement] = ACTIONS(11348),
    [anon_sym_return] = ACTIONS(11348),
    [anon_sym_const] = ACTIONS(11348),
    [anon_sym_global] = ACTIONS(11348),
    [anon_sym_local] = ACTIONS(11348),
    [anon_sym_LPAREN] = ACTIONS(11348),
    [anon_sym_COLON] = ACTIONS(11348),
    [anon_sym_export] = ACTIONS(11348),
    [anon_sym_public] = ACTIONS(11348),
    [anon_sym_import] = ACTIONS(11348),
    [anon_sym_using] = ACTIONS(11348),
    [anon_sym_LBRACK] = ACTIONS(11348),
    [anon_sym_in] = ACTIONS(11348),
    [anon_sym_SEMI] = ACTIONS(11348),
    [anon_sym_LBRACE] = ACTIONS(11348),
    [anon_sym_DOLLAR] = ACTIONS(11348),
    [anon_sym_COLON2] = ACTIONS(11348),
    [anon_sym_COLON_COLON] = ACTIONS(11348),
    [anon_sym_isa] = ACTIONS(11348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11348),
    [anon_sym_QMARK] = ACTIONS(11348),
    [anon_sym_where] = ACTIONS(11348),
    [anon_sym_AT] = ACTIONS(11348),
    [anon_sym_true] = ACTIONS(11348),
    [anon_sym_false] = ACTIONS(11348),
    [aux_sym_integer_literal_token1] = ACTIONS(11348),
    [aux_sym_integer_literal_token2] = ACTIONS(11348),
    [aux_sym_integer_literal_token3] = ACTIONS(11348),
    [aux_sym_integer_literal_token4] = ACTIONS(11348),
    [aux_sym_float_literal_token1] = ACTIONS(11348),
    [aux_sym_float_literal_token3] = ACTIONS(11348),
    [aux_sym_float_literal_token4] = ACTIONS(11348),
    [sym_character_literal] = ACTIONS(11348),
    [anon_sym_DQUOTE] = ACTIONS(11348),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11348),
    [anon_sym_BQUOTE] = ACTIONS(11348),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11348),
    [sym__pair_operator] = ACTIONS(11348),
    [sym__arrow_operator] = ACTIONS(11348),
    [sym__lazy_or_operator] = ACTIONS(11348),
    [sym__lazy_and_operator] = ACTIONS(11348),
    [sym__comparison_operator] = ACTIONS(11348),
    [sym__pipe_right_operator] = ACTIONS(11348),
    [sym__pipe_left_operator] = ACTIONS(11348),
    [sym__ellipsis_operator] = ACTIONS(11348),
    [sym__plus_operator] = ACTIONS(11348),
    [sym__times_operator] = ACTIONS(11348),
    [sym__rational_operator] = ACTIONS(11348),
    [sym__bitshift_operator] = ACTIONS(11348),
    [sym__power_operator] = ACTIONS(11348),
    [sym__tilde_operator] = ACTIONS(11348),
    [sym__type_order_operator] = ACTIONS(11348),
    [sym__unary_operator] = ACTIONS(11348),
    [sym__unary_plus_operator] = ACTIONS(11348),
    [aux_sym__terminator_token1] = ACTIONS(11350),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7864] = {
    [sym_block_comment] = STATE(7864),
    [sym_line_comment] = STATE(7864),
    [aux_sym_export_statement_repeat1] = STATE(7878),
    [sym__word_identifier] = ACTIONS(11278),
    [anon_sym_COMMA] = ACTIONS(11687),
    [anon_sym_EQ] = ACTIONS(11278),
    [anon_sym_begin] = ACTIONS(11278),
    [anon_sym_module] = ACTIONS(11278),
    [anon_sym_baremodule] = ACTIONS(11278),
    [anon_sym_end] = ACTIONS(11278),
    [anon_sym_abstract] = ACTIONS(11278),
    [anon_sym_primitive] = ACTIONS(11278),
    [anon_sym_mutable] = ACTIONS(11278),
    [anon_sym_struct] = ACTIONS(11278),
    [anon_sym_function] = ACTIONS(11278),
    [anon_sym_macro] = ACTIONS(11278),
    [anon_sym_quote] = ACTIONS(11278),
    [anon_sym_let] = ACTIONS(11278),
    [anon_sym_if] = ACTIONS(11278),
    [anon_sym_try] = ACTIONS(11278),
    [anon_sym_finally] = ACTIONS(11278),
    [anon_sym_for] = ACTIONS(11278),
    [anon_sym_while] = ACTIONS(11278),
    [sym_break_statement] = ACTIONS(11278),
    [sym_continue_statement] = ACTIONS(11278),
    [anon_sym_return] = ACTIONS(11278),
    [anon_sym_const] = ACTIONS(11278),
    [anon_sym_global] = ACTIONS(11278),
    [anon_sym_local] = ACTIONS(11278),
    [anon_sym_LPAREN] = ACTIONS(11278),
    [anon_sym_COLON] = ACTIONS(11278),
    [anon_sym_export] = ACTIONS(11278),
    [anon_sym_public] = ACTIONS(11278),
    [anon_sym_import] = ACTIONS(11278),
    [anon_sym_using] = ACTIONS(11278),
    [anon_sym_LBRACK] = ACTIONS(11278),
    [anon_sym_in] = ACTIONS(11278),
    [anon_sym_SEMI] = ACTIONS(11278),
    [anon_sym_LBRACE] = ACTIONS(11278),
    [anon_sym_DOLLAR] = ACTIONS(11278),
    [anon_sym_COLON2] = ACTIONS(11278),
    [anon_sym_COLON_COLON] = ACTIONS(11278),
    [anon_sym_isa] = ACTIONS(11278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11278),
    [anon_sym_QMARK] = ACTIONS(11278),
    [anon_sym_where] = ACTIONS(11278),
    [anon_sym_AT] = ACTIONS(11278),
    [anon_sym_true] = ACTIONS(11278),
    [anon_sym_false] = ACTIONS(11278),
    [aux_sym_integer_literal_token1] = ACTIONS(11278),
    [aux_sym_integer_literal_token2] = ACTIONS(11278),
    [aux_sym_integer_literal_token3] = ACTIONS(11278),
    [aux_sym_integer_literal_token4] = ACTIONS(11278),
    [aux_sym_float_literal_token1] = ACTIONS(11278),
    [aux_sym_float_literal_token3] = ACTIONS(11278),
    [aux_sym_float_literal_token4] = ACTIONS(11278),
    [sym_character_literal] = ACTIONS(11278),
    [anon_sym_DQUOTE] = ACTIONS(11278),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11278),
    [anon_sym_BQUOTE] = ACTIONS(11278),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11278),
    [sym__pair_operator] = ACTIONS(11278),
    [sym__arrow_operator] = ACTIONS(11278),
    [sym__lazy_or_operator] = ACTIONS(11278),
    [sym__lazy_and_operator] = ACTIONS(11278),
    [sym__comparison_operator] = ACTIONS(11278),
    [sym__pipe_right_operator] = ACTIONS(11278),
    [sym__pipe_left_operator] = ACTIONS(11278),
    [sym__ellipsis_operator] = ACTIONS(11278),
    [sym__plus_operator] = ACTIONS(11278),
    [sym__times_operator] = ACTIONS(11278),
    [sym__rational_operator] = ACTIONS(11278),
    [sym__bitshift_operator] = ACTIONS(11278),
    [sym__power_operator] = ACTIONS(11278),
    [sym__tilde_operator] = ACTIONS(11278),
    [sym__type_order_operator] = ACTIONS(11278),
    [sym__unary_operator] = ACTIONS(11278),
    [sym__unary_plus_operator] = ACTIONS(11278),
    [aux_sym__terminator_token1] = ACTIONS(11282),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7865] = {
    [sym_block_comment] = STATE(7865),
    [sym_line_comment] = STATE(7865),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11040),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11040),
    [anon_sym_RPAREN] = ACTIONS(11040),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11040),
    [anon_sym_RBRACK] = ACTIONS(11040),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11040),
    [anon_sym_LBRACE] = ACTIONS(11040),
    [anon_sym_RBRACE] = ACTIONS(11040),
    [anon_sym_DOLLAR] = ACTIONS(11040),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11040),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11040),
    [anon_sym_QMARK] = ACTIONS(11040),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11040),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11040),
    [aux_sym_integer_literal_token2] = ACTIONS(11040),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11040),
    [aux_sym_float_literal_token3] = ACTIONS(11040),
    [aux_sym_float_literal_token4] = ACTIONS(11040),
    [sym_character_literal] = ACTIONS(11040),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11040),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11040),
    [sym__pair_operator] = ACTIONS(11040),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11040),
    [sym__lazy_and_operator] = ACTIONS(11040),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11040),
    [sym__pipe_left_operator] = ACTIONS(11040),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11040),
    [sym__bitshift_operator] = ACTIONS(11040),
    [sym__power_operator] = ACTIONS(11040),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7866] = {
    [sym_block_comment] = STATE(7866),
    [sym_line_comment] = STATE(7866),
    [aux_sym_export_statement_repeat1] = STATE(7879),
    [sym__word_identifier] = ACTIONS(11141),
    [anon_sym_COMMA] = ACTIONS(11687),
    [anon_sym_EQ] = ACTIONS(11141),
    [anon_sym_begin] = ACTIONS(11141),
    [anon_sym_module] = ACTIONS(11141),
    [anon_sym_baremodule] = ACTIONS(11141),
    [anon_sym_end] = ACTIONS(11141),
    [anon_sym_abstract] = ACTIONS(11141),
    [anon_sym_primitive] = ACTIONS(11141),
    [anon_sym_mutable] = ACTIONS(11141),
    [anon_sym_struct] = ACTIONS(11141),
    [anon_sym_function] = ACTIONS(11141),
    [anon_sym_macro] = ACTIONS(11141),
    [anon_sym_quote] = ACTIONS(11141),
    [anon_sym_let] = ACTIONS(11141),
    [anon_sym_if] = ACTIONS(11141),
    [anon_sym_try] = ACTIONS(11141),
    [anon_sym_finally] = ACTIONS(11141),
    [anon_sym_for] = ACTIONS(11141),
    [anon_sym_while] = ACTIONS(11141),
    [sym_break_statement] = ACTIONS(11141),
    [sym_continue_statement] = ACTIONS(11141),
    [anon_sym_return] = ACTIONS(11141),
    [anon_sym_const] = ACTIONS(11141),
    [anon_sym_global] = ACTIONS(11141),
    [anon_sym_local] = ACTIONS(11141),
    [anon_sym_LPAREN] = ACTIONS(11141),
    [anon_sym_COLON] = ACTIONS(11141),
    [anon_sym_export] = ACTIONS(11141),
    [anon_sym_public] = ACTIONS(11141),
    [anon_sym_import] = ACTIONS(11141),
    [anon_sym_using] = ACTIONS(11141),
    [anon_sym_LBRACK] = ACTIONS(11141),
    [anon_sym_in] = ACTIONS(11141),
    [anon_sym_SEMI] = ACTIONS(11141),
    [anon_sym_LBRACE] = ACTIONS(11141),
    [anon_sym_DOLLAR] = ACTIONS(11141),
    [anon_sym_COLON2] = ACTIONS(11141),
    [anon_sym_COLON_COLON] = ACTIONS(11141),
    [anon_sym_isa] = ACTIONS(11141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11141),
    [anon_sym_QMARK] = ACTIONS(11141),
    [anon_sym_where] = ACTIONS(11141),
    [anon_sym_AT] = ACTIONS(11141),
    [anon_sym_true] = ACTIONS(11141),
    [anon_sym_false] = ACTIONS(11141),
    [aux_sym_integer_literal_token1] = ACTIONS(11141),
    [aux_sym_integer_literal_token2] = ACTIONS(11141),
    [aux_sym_integer_literal_token3] = ACTIONS(11141),
    [aux_sym_integer_literal_token4] = ACTIONS(11141),
    [aux_sym_float_literal_token1] = ACTIONS(11141),
    [aux_sym_float_literal_token3] = ACTIONS(11141),
    [aux_sym_float_literal_token4] = ACTIONS(11141),
    [sym_character_literal] = ACTIONS(11141),
    [anon_sym_DQUOTE] = ACTIONS(11141),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11141),
    [anon_sym_BQUOTE] = ACTIONS(11141),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11141),
    [sym__pair_operator] = ACTIONS(11141),
    [sym__arrow_operator] = ACTIONS(11141),
    [sym__lazy_or_operator] = ACTIONS(11141),
    [sym__lazy_and_operator] = ACTIONS(11141),
    [sym__comparison_operator] = ACTIONS(11141),
    [sym__pipe_right_operator] = ACTIONS(11141),
    [sym__pipe_left_operator] = ACTIONS(11141),
    [sym__ellipsis_operator] = ACTIONS(11141),
    [sym__plus_operator] = ACTIONS(11141),
    [sym__times_operator] = ACTIONS(11141),
    [sym__rational_operator] = ACTIONS(11141),
    [sym__bitshift_operator] = ACTIONS(11141),
    [sym__power_operator] = ACTIONS(11141),
    [sym__tilde_operator] = ACTIONS(11141),
    [sym__type_order_operator] = ACTIONS(11141),
    [sym__unary_operator] = ACTIONS(11141),
    [sym__unary_plus_operator] = ACTIONS(11141),
    [aux_sym__terminator_token1] = ACTIONS(11145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7867] = {
    [sym_block_comment] = STATE(7867),
    [sym_line_comment] = STATE(7867),
    [aux_sym__import_list_repeat1] = STATE(7880),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11082),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_finally] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7868] = {
    [sym_block_comment] = STATE(7868),
    [sym_line_comment] = STATE(7868),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10982),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_end] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_finally] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10982),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10982),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_SEMI] = ACTIONS(10982),
    [anon_sym_LBRACE] = ACTIONS(10982),
    [anon_sym_DOLLAR] = ACTIONS(10982),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10982),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10982),
    [anon_sym_QMARK] = ACTIONS(10982),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10982),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10982),
    [aux_sym_integer_literal_token2] = ACTIONS(10982),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10982),
    [aux_sym_float_literal_token3] = ACTIONS(10982),
    [aux_sym_float_literal_token4] = ACTIONS(10982),
    [sym_character_literal] = ACTIONS(10982),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10982),
    [sym__pair_operator] = ACTIONS(10982),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10982),
    [sym__lazy_and_operator] = ACTIONS(10982),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10982),
    [sym__pipe_left_operator] = ACTIONS(10982),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10982),
    [sym__bitshift_operator] = ACTIONS(10982),
    [sym__power_operator] = ACTIONS(10982),
    [sym__tilde_operator] = ACTIONS(10982),
    [sym__type_order_operator] = ACTIONS(10982),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym__terminator_token1] = ACTIONS(10986),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7869] = {
    [sym_block_comment] = STATE(7869),
    [sym_line_comment] = STATE(7869),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_catch] = ACTIONS(10343),
    [anon_sym_finally] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7870] = {
    [sym_block_comment] = STATE(7870),
    [sym_line_comment] = STATE(7870),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_catch] = ACTIONS(10417),
    [anon_sym_finally] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7871] = {
    [sym_block_comment] = STATE(7871),
    [sym_line_comment] = STATE(7871),
    [sym__word_identifier] = ACTIONS(11352),
    [anon_sym_COMMA] = ACTIONS(11352),
    [anon_sym_EQ] = ACTIONS(11352),
    [anon_sym_begin] = ACTIONS(11352),
    [anon_sym_module] = ACTIONS(11352),
    [anon_sym_baremodule] = ACTIONS(11352),
    [anon_sym_end] = ACTIONS(11352),
    [anon_sym_abstract] = ACTIONS(11352),
    [anon_sym_primitive] = ACTIONS(11352),
    [anon_sym_mutable] = ACTIONS(11352),
    [anon_sym_struct] = ACTIONS(11352),
    [anon_sym_function] = ACTIONS(11352),
    [anon_sym_macro] = ACTIONS(11352),
    [anon_sym_quote] = ACTIONS(11352),
    [anon_sym_let] = ACTIONS(11352),
    [anon_sym_if] = ACTIONS(11352),
    [anon_sym_elseif] = ACTIONS(11352),
    [anon_sym_else] = ACTIONS(11352),
    [anon_sym_try] = ACTIONS(11352),
    [anon_sym_for] = ACTIONS(11352),
    [anon_sym_while] = ACTIONS(11352),
    [sym_break_statement] = ACTIONS(11352),
    [sym_continue_statement] = ACTIONS(11352),
    [anon_sym_return] = ACTIONS(11352),
    [anon_sym_const] = ACTIONS(11352),
    [anon_sym_global] = ACTIONS(11352),
    [anon_sym_local] = ACTIONS(11352),
    [anon_sym_LPAREN] = ACTIONS(11352),
    [anon_sym_COLON] = ACTIONS(11352),
    [anon_sym_export] = ACTIONS(11352),
    [anon_sym_public] = ACTIONS(11352),
    [anon_sym_import] = ACTIONS(11352),
    [anon_sym_using] = ACTIONS(11352),
    [anon_sym_LBRACK] = ACTIONS(11352),
    [anon_sym_in] = ACTIONS(11352),
    [anon_sym_SEMI] = ACTIONS(11352),
    [anon_sym_LBRACE] = ACTIONS(11352),
    [anon_sym_DOLLAR] = ACTIONS(11352),
    [anon_sym_COLON2] = ACTIONS(11352),
    [anon_sym_COLON_COLON] = ACTIONS(11352),
    [anon_sym_isa] = ACTIONS(11352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11352),
    [anon_sym_QMARK] = ACTIONS(11352),
    [anon_sym_where] = ACTIONS(11352),
    [anon_sym_AT] = ACTIONS(11352),
    [anon_sym_true] = ACTIONS(11352),
    [anon_sym_false] = ACTIONS(11352),
    [aux_sym_integer_literal_token1] = ACTIONS(11352),
    [aux_sym_integer_literal_token2] = ACTIONS(11352),
    [aux_sym_integer_literal_token3] = ACTIONS(11352),
    [aux_sym_integer_literal_token4] = ACTIONS(11352),
    [aux_sym_float_literal_token1] = ACTIONS(11352),
    [aux_sym_float_literal_token3] = ACTIONS(11352),
    [aux_sym_float_literal_token4] = ACTIONS(11352),
    [sym_character_literal] = ACTIONS(11352),
    [anon_sym_DQUOTE] = ACTIONS(11352),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11352),
    [anon_sym_BQUOTE] = ACTIONS(11352),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11352),
    [sym__pair_operator] = ACTIONS(11352),
    [sym__arrow_operator] = ACTIONS(11352),
    [sym__lazy_or_operator] = ACTIONS(11352),
    [sym__lazy_and_operator] = ACTIONS(11352),
    [sym__comparison_operator] = ACTIONS(11352),
    [sym__pipe_right_operator] = ACTIONS(11352),
    [sym__pipe_left_operator] = ACTIONS(11352),
    [sym__ellipsis_operator] = ACTIONS(11352),
    [sym__plus_operator] = ACTIONS(11352),
    [sym__times_operator] = ACTIONS(11352),
    [sym__rational_operator] = ACTIONS(11352),
    [sym__bitshift_operator] = ACTIONS(11352),
    [sym__power_operator] = ACTIONS(11352),
    [sym__tilde_operator] = ACTIONS(11352),
    [sym__type_order_operator] = ACTIONS(11352),
    [sym__unary_operator] = ACTIONS(11352),
    [sym__unary_plus_operator] = ACTIONS(11352),
    [aux_sym__terminator_token1] = ACTIONS(11354),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7872] = {
    [sym_block_comment] = STATE(7872),
    [sym_line_comment] = STATE(7872),
    [sym__word_identifier] = ACTIONS(11358),
    [anon_sym_COMMA] = ACTIONS(11358),
    [anon_sym_EQ] = ACTIONS(11358),
    [anon_sym_begin] = ACTIONS(11358),
    [anon_sym_module] = ACTIONS(11358),
    [anon_sym_baremodule] = ACTIONS(11358),
    [anon_sym_end] = ACTIONS(11358),
    [anon_sym_abstract] = ACTIONS(11358),
    [anon_sym_primitive] = ACTIONS(11358),
    [anon_sym_mutable] = ACTIONS(11358),
    [anon_sym_struct] = ACTIONS(11358),
    [anon_sym_function] = ACTIONS(11358),
    [anon_sym_macro] = ACTIONS(11358),
    [anon_sym_quote] = ACTIONS(11358),
    [anon_sym_let] = ACTIONS(11358),
    [anon_sym_if] = ACTIONS(11358),
    [anon_sym_elseif] = ACTIONS(11358),
    [anon_sym_else] = ACTIONS(11358),
    [anon_sym_try] = ACTIONS(11358),
    [anon_sym_for] = ACTIONS(11358),
    [anon_sym_while] = ACTIONS(11358),
    [sym_break_statement] = ACTIONS(11358),
    [sym_continue_statement] = ACTIONS(11358),
    [anon_sym_return] = ACTIONS(11358),
    [anon_sym_const] = ACTIONS(11358),
    [anon_sym_global] = ACTIONS(11358),
    [anon_sym_local] = ACTIONS(11358),
    [anon_sym_LPAREN] = ACTIONS(11358),
    [anon_sym_COLON] = ACTIONS(11358),
    [anon_sym_export] = ACTIONS(11358),
    [anon_sym_public] = ACTIONS(11358),
    [anon_sym_import] = ACTIONS(11358),
    [anon_sym_using] = ACTIONS(11358),
    [anon_sym_LBRACK] = ACTIONS(11358),
    [anon_sym_in] = ACTIONS(11358),
    [anon_sym_SEMI] = ACTIONS(11358),
    [anon_sym_LBRACE] = ACTIONS(11358),
    [anon_sym_DOLLAR] = ACTIONS(11358),
    [anon_sym_COLON2] = ACTIONS(11358),
    [anon_sym_COLON_COLON] = ACTIONS(11358),
    [anon_sym_isa] = ACTIONS(11358),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11358),
    [anon_sym_QMARK] = ACTIONS(11358),
    [anon_sym_where] = ACTIONS(11358),
    [anon_sym_AT] = ACTIONS(11358),
    [anon_sym_true] = ACTIONS(11358),
    [anon_sym_false] = ACTIONS(11358),
    [aux_sym_integer_literal_token1] = ACTIONS(11358),
    [aux_sym_integer_literal_token2] = ACTIONS(11358),
    [aux_sym_integer_literal_token3] = ACTIONS(11358),
    [aux_sym_integer_literal_token4] = ACTIONS(11358),
    [aux_sym_float_literal_token1] = ACTIONS(11358),
    [aux_sym_float_literal_token3] = ACTIONS(11358),
    [aux_sym_float_literal_token4] = ACTIONS(11358),
    [sym_character_literal] = ACTIONS(11358),
    [anon_sym_DQUOTE] = ACTIONS(11358),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11358),
    [anon_sym_BQUOTE] = ACTIONS(11358),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11358),
    [sym__pair_operator] = ACTIONS(11358),
    [sym__arrow_operator] = ACTIONS(11358),
    [sym__lazy_or_operator] = ACTIONS(11358),
    [sym__lazy_and_operator] = ACTIONS(11358),
    [sym__comparison_operator] = ACTIONS(11358),
    [sym__pipe_right_operator] = ACTIONS(11358),
    [sym__pipe_left_operator] = ACTIONS(11358),
    [sym__ellipsis_operator] = ACTIONS(11358),
    [sym__plus_operator] = ACTIONS(11358),
    [sym__times_operator] = ACTIONS(11358),
    [sym__rational_operator] = ACTIONS(11358),
    [sym__bitshift_operator] = ACTIONS(11358),
    [sym__power_operator] = ACTIONS(11358),
    [sym__tilde_operator] = ACTIONS(11358),
    [sym__type_order_operator] = ACTIONS(11358),
    [sym__unary_operator] = ACTIONS(11358),
    [sym__unary_plus_operator] = ACTIONS(11358),
    [aux_sym__terminator_token1] = ACTIONS(11360),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7873] = {
    [sym_block_comment] = STATE(7873),
    [sym_line_comment] = STATE(7873),
    [sym__word_identifier] = ACTIONS(11362),
    [anon_sym_COMMA] = ACTIONS(11362),
    [anon_sym_EQ] = ACTIONS(11362),
    [anon_sym_begin] = ACTIONS(11362),
    [anon_sym_module] = ACTIONS(11362),
    [anon_sym_baremodule] = ACTIONS(11362),
    [anon_sym_end] = ACTIONS(11362),
    [anon_sym_abstract] = ACTIONS(11362),
    [anon_sym_primitive] = ACTIONS(11362),
    [anon_sym_mutable] = ACTIONS(11362),
    [anon_sym_struct] = ACTIONS(11362),
    [anon_sym_function] = ACTIONS(11362),
    [anon_sym_macro] = ACTIONS(11362),
    [anon_sym_quote] = ACTIONS(11362),
    [anon_sym_let] = ACTIONS(11362),
    [anon_sym_if] = ACTIONS(11362),
    [anon_sym_elseif] = ACTIONS(11362),
    [anon_sym_else] = ACTIONS(11362),
    [anon_sym_try] = ACTIONS(11362),
    [anon_sym_for] = ACTIONS(11362),
    [anon_sym_while] = ACTIONS(11362),
    [sym_break_statement] = ACTIONS(11362),
    [sym_continue_statement] = ACTIONS(11362),
    [anon_sym_return] = ACTIONS(11362),
    [anon_sym_const] = ACTIONS(11362),
    [anon_sym_global] = ACTIONS(11362),
    [anon_sym_local] = ACTIONS(11362),
    [anon_sym_LPAREN] = ACTIONS(11362),
    [anon_sym_COLON] = ACTIONS(11362),
    [anon_sym_export] = ACTIONS(11362),
    [anon_sym_public] = ACTIONS(11362),
    [anon_sym_import] = ACTIONS(11362),
    [anon_sym_using] = ACTIONS(11362),
    [anon_sym_LBRACK] = ACTIONS(11362),
    [anon_sym_in] = ACTIONS(11362),
    [anon_sym_SEMI] = ACTIONS(11362),
    [anon_sym_LBRACE] = ACTIONS(11362),
    [anon_sym_DOLLAR] = ACTIONS(11362),
    [anon_sym_COLON2] = ACTIONS(11362),
    [anon_sym_COLON_COLON] = ACTIONS(11362),
    [anon_sym_isa] = ACTIONS(11362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11362),
    [anon_sym_QMARK] = ACTIONS(11362),
    [anon_sym_where] = ACTIONS(11362),
    [anon_sym_AT] = ACTIONS(11362),
    [anon_sym_true] = ACTIONS(11362),
    [anon_sym_false] = ACTIONS(11362),
    [aux_sym_integer_literal_token1] = ACTIONS(11362),
    [aux_sym_integer_literal_token2] = ACTIONS(11362),
    [aux_sym_integer_literal_token3] = ACTIONS(11362),
    [aux_sym_integer_literal_token4] = ACTIONS(11362),
    [aux_sym_float_literal_token1] = ACTIONS(11362),
    [aux_sym_float_literal_token3] = ACTIONS(11362),
    [aux_sym_float_literal_token4] = ACTIONS(11362),
    [sym_character_literal] = ACTIONS(11362),
    [anon_sym_DQUOTE] = ACTIONS(11362),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11362),
    [anon_sym_BQUOTE] = ACTIONS(11362),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11362),
    [sym__pair_operator] = ACTIONS(11362),
    [sym__arrow_operator] = ACTIONS(11362),
    [sym__lazy_or_operator] = ACTIONS(11362),
    [sym__lazy_and_operator] = ACTIONS(11362),
    [sym__comparison_operator] = ACTIONS(11362),
    [sym__pipe_right_operator] = ACTIONS(11362),
    [sym__pipe_left_operator] = ACTIONS(11362),
    [sym__ellipsis_operator] = ACTIONS(11362),
    [sym__plus_operator] = ACTIONS(11362),
    [sym__times_operator] = ACTIONS(11362),
    [sym__rational_operator] = ACTIONS(11362),
    [sym__bitshift_operator] = ACTIONS(11362),
    [sym__power_operator] = ACTIONS(11362),
    [sym__tilde_operator] = ACTIONS(11362),
    [sym__type_order_operator] = ACTIONS(11362),
    [sym__unary_operator] = ACTIONS(11362),
    [sym__unary_plus_operator] = ACTIONS(11362),
    [aux_sym__terminator_token1] = ACTIONS(11364),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7874] = {
    [sym_block_comment] = STATE(7874),
    [sym_line_comment] = STATE(7874),
    [sym__word_identifier] = ACTIONS(11366),
    [anon_sym_COMMA] = ACTIONS(11366),
    [anon_sym_EQ] = ACTIONS(11366),
    [anon_sym_begin] = ACTIONS(11366),
    [anon_sym_module] = ACTIONS(11366),
    [anon_sym_baremodule] = ACTIONS(11366),
    [anon_sym_end] = ACTIONS(11366),
    [anon_sym_abstract] = ACTIONS(11366),
    [anon_sym_primitive] = ACTIONS(11366),
    [anon_sym_mutable] = ACTIONS(11366),
    [anon_sym_struct] = ACTIONS(11366),
    [anon_sym_function] = ACTIONS(11366),
    [anon_sym_macro] = ACTIONS(11366),
    [anon_sym_quote] = ACTIONS(11366),
    [anon_sym_let] = ACTIONS(11366),
    [anon_sym_if] = ACTIONS(11366),
    [anon_sym_elseif] = ACTIONS(11366),
    [anon_sym_else] = ACTIONS(11366),
    [anon_sym_try] = ACTIONS(11366),
    [anon_sym_for] = ACTIONS(11366),
    [anon_sym_while] = ACTIONS(11366),
    [sym_break_statement] = ACTIONS(11366),
    [sym_continue_statement] = ACTIONS(11366),
    [anon_sym_return] = ACTIONS(11366),
    [anon_sym_const] = ACTIONS(11366),
    [anon_sym_global] = ACTIONS(11366),
    [anon_sym_local] = ACTIONS(11366),
    [anon_sym_LPAREN] = ACTIONS(11366),
    [anon_sym_COLON] = ACTIONS(11366),
    [anon_sym_export] = ACTIONS(11366),
    [anon_sym_public] = ACTIONS(11366),
    [anon_sym_import] = ACTIONS(11366),
    [anon_sym_using] = ACTIONS(11366),
    [anon_sym_LBRACK] = ACTIONS(11366),
    [anon_sym_in] = ACTIONS(11366),
    [anon_sym_SEMI] = ACTIONS(11366),
    [anon_sym_LBRACE] = ACTIONS(11366),
    [anon_sym_DOLLAR] = ACTIONS(11366),
    [anon_sym_COLON2] = ACTIONS(11366),
    [anon_sym_COLON_COLON] = ACTIONS(11366),
    [anon_sym_isa] = ACTIONS(11366),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11366),
    [anon_sym_QMARK] = ACTIONS(11366),
    [anon_sym_where] = ACTIONS(11366),
    [anon_sym_AT] = ACTIONS(11366),
    [anon_sym_true] = ACTIONS(11366),
    [anon_sym_false] = ACTIONS(11366),
    [aux_sym_integer_literal_token1] = ACTIONS(11366),
    [aux_sym_integer_literal_token2] = ACTIONS(11366),
    [aux_sym_integer_literal_token3] = ACTIONS(11366),
    [aux_sym_integer_literal_token4] = ACTIONS(11366),
    [aux_sym_float_literal_token1] = ACTIONS(11366),
    [aux_sym_float_literal_token3] = ACTIONS(11366),
    [aux_sym_float_literal_token4] = ACTIONS(11366),
    [sym_character_literal] = ACTIONS(11366),
    [anon_sym_DQUOTE] = ACTIONS(11366),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11366),
    [anon_sym_BQUOTE] = ACTIONS(11366),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11366),
    [sym__pair_operator] = ACTIONS(11366),
    [sym__arrow_operator] = ACTIONS(11366),
    [sym__lazy_or_operator] = ACTIONS(11366),
    [sym__lazy_and_operator] = ACTIONS(11366),
    [sym__comparison_operator] = ACTIONS(11366),
    [sym__pipe_right_operator] = ACTIONS(11366),
    [sym__pipe_left_operator] = ACTIONS(11366),
    [sym__ellipsis_operator] = ACTIONS(11366),
    [sym__plus_operator] = ACTIONS(11366),
    [sym__times_operator] = ACTIONS(11366),
    [sym__rational_operator] = ACTIONS(11366),
    [sym__bitshift_operator] = ACTIONS(11366),
    [sym__power_operator] = ACTIONS(11366),
    [sym__tilde_operator] = ACTIONS(11366),
    [sym__type_order_operator] = ACTIONS(11366),
    [sym__unary_operator] = ACTIONS(11366),
    [sym__unary_plus_operator] = ACTIONS(11366),
    [aux_sym__terminator_token1] = ACTIONS(11368),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7875] = {
    [sym_block_comment] = STATE(7875),
    [sym_line_comment] = STATE(7875),
    [sym__word_identifier] = ACTIONS(11370),
    [anon_sym_COMMA] = ACTIONS(11370),
    [anon_sym_EQ] = ACTIONS(11370),
    [anon_sym_begin] = ACTIONS(11370),
    [anon_sym_module] = ACTIONS(11370),
    [anon_sym_baremodule] = ACTIONS(11370),
    [anon_sym_end] = ACTIONS(11370),
    [anon_sym_abstract] = ACTIONS(11370),
    [anon_sym_primitive] = ACTIONS(11370),
    [anon_sym_mutable] = ACTIONS(11370),
    [anon_sym_struct] = ACTIONS(11370),
    [anon_sym_function] = ACTIONS(11370),
    [anon_sym_macro] = ACTIONS(11370),
    [anon_sym_quote] = ACTIONS(11370),
    [anon_sym_let] = ACTIONS(11370),
    [anon_sym_if] = ACTIONS(11370),
    [anon_sym_elseif] = ACTIONS(11370),
    [anon_sym_else] = ACTIONS(11370),
    [anon_sym_try] = ACTIONS(11370),
    [anon_sym_for] = ACTIONS(11370),
    [anon_sym_while] = ACTIONS(11370),
    [sym_break_statement] = ACTIONS(11370),
    [sym_continue_statement] = ACTIONS(11370),
    [anon_sym_return] = ACTIONS(11370),
    [anon_sym_const] = ACTIONS(11370),
    [anon_sym_global] = ACTIONS(11370),
    [anon_sym_local] = ACTIONS(11370),
    [anon_sym_LPAREN] = ACTIONS(11370),
    [anon_sym_COLON] = ACTIONS(11370),
    [anon_sym_export] = ACTIONS(11370),
    [anon_sym_public] = ACTIONS(11370),
    [anon_sym_import] = ACTIONS(11370),
    [anon_sym_using] = ACTIONS(11370),
    [anon_sym_LBRACK] = ACTIONS(11370),
    [anon_sym_in] = ACTIONS(11370),
    [anon_sym_SEMI] = ACTIONS(11370),
    [anon_sym_LBRACE] = ACTIONS(11370),
    [anon_sym_DOLLAR] = ACTIONS(11370),
    [anon_sym_COLON2] = ACTIONS(11370),
    [anon_sym_COLON_COLON] = ACTIONS(11370),
    [anon_sym_isa] = ACTIONS(11370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11370),
    [anon_sym_QMARK] = ACTIONS(11370),
    [anon_sym_where] = ACTIONS(11370),
    [anon_sym_AT] = ACTIONS(11370),
    [anon_sym_true] = ACTIONS(11370),
    [anon_sym_false] = ACTIONS(11370),
    [aux_sym_integer_literal_token1] = ACTIONS(11370),
    [aux_sym_integer_literal_token2] = ACTIONS(11370),
    [aux_sym_integer_literal_token3] = ACTIONS(11370),
    [aux_sym_integer_literal_token4] = ACTIONS(11370),
    [aux_sym_float_literal_token1] = ACTIONS(11370),
    [aux_sym_float_literal_token3] = ACTIONS(11370),
    [aux_sym_float_literal_token4] = ACTIONS(11370),
    [sym_character_literal] = ACTIONS(11370),
    [anon_sym_DQUOTE] = ACTIONS(11370),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11370),
    [anon_sym_BQUOTE] = ACTIONS(11370),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11370),
    [sym__pair_operator] = ACTIONS(11370),
    [sym__arrow_operator] = ACTIONS(11370),
    [sym__lazy_or_operator] = ACTIONS(11370),
    [sym__lazy_and_operator] = ACTIONS(11370),
    [sym__comparison_operator] = ACTIONS(11370),
    [sym__pipe_right_operator] = ACTIONS(11370),
    [sym__pipe_left_operator] = ACTIONS(11370),
    [sym__ellipsis_operator] = ACTIONS(11370),
    [sym__plus_operator] = ACTIONS(11370),
    [sym__times_operator] = ACTIONS(11370),
    [sym__rational_operator] = ACTIONS(11370),
    [sym__bitshift_operator] = ACTIONS(11370),
    [sym__power_operator] = ACTIONS(11370),
    [sym__tilde_operator] = ACTIONS(11370),
    [sym__type_order_operator] = ACTIONS(11370),
    [sym__unary_operator] = ACTIONS(11370),
    [sym__unary_plus_operator] = ACTIONS(11370),
    [aux_sym__terminator_token1] = ACTIONS(11372),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7876] = {
    [sym_block_comment] = STATE(7876),
    [sym_line_comment] = STATE(7876),
    [aux_sym_open_tuple_repeat1] = STATE(7884),
    [sym__word_identifier] = ACTIONS(11126),
    [anon_sym_COMMA] = ACTIONS(11689),
    [anon_sym_EQ] = ACTIONS(11126),
    [anon_sym_begin] = ACTIONS(11126),
    [anon_sym_module] = ACTIONS(11126),
    [anon_sym_baremodule] = ACTIONS(11126),
    [anon_sym_abstract] = ACTIONS(11126),
    [anon_sym_primitive] = ACTIONS(11126),
    [anon_sym_mutable] = ACTIONS(11126),
    [anon_sym_struct] = ACTIONS(11126),
    [anon_sym_function] = ACTIONS(11126),
    [anon_sym_macro] = ACTIONS(11126),
    [anon_sym_quote] = ACTIONS(11126),
    [anon_sym_let] = ACTIONS(11126),
    [anon_sym_if] = ACTIONS(11126),
    [anon_sym_try] = ACTIONS(11126),
    [anon_sym_for] = ACTIONS(11126),
    [anon_sym_while] = ACTIONS(11126),
    [sym_break_statement] = ACTIONS(11126),
    [sym_continue_statement] = ACTIONS(11126),
    [anon_sym_return] = ACTIONS(11126),
    [anon_sym_const] = ACTIONS(11126),
    [anon_sym_global] = ACTIONS(11126),
    [anon_sym_local] = ACTIONS(11126),
    [anon_sym_LPAREN] = ACTIONS(11130),
    [anon_sym_RPAREN] = ACTIONS(11130),
    [anon_sym_COLON] = ACTIONS(11126),
    [anon_sym_export] = ACTIONS(11126),
    [anon_sym_public] = ACTIONS(11126),
    [anon_sym_import] = ACTIONS(11126),
    [anon_sym_using] = ACTIONS(11126),
    [anon_sym_LBRACK] = ACTIONS(11130),
    [anon_sym_RBRACK] = ACTIONS(11130),
    [anon_sym_in] = ACTIONS(11126),
    [anon_sym_SEMI] = ACTIONS(11130),
    [anon_sym_LBRACE] = ACTIONS(11130),
    [anon_sym_RBRACE] = ACTIONS(11130),
    [anon_sym_DOLLAR] = ACTIONS(11130),
    [anon_sym_COLON2] = ACTIONS(11126),
    [anon_sym_COLON_COLON] = ACTIONS(11130),
    [anon_sym_isa] = ACTIONS(11126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11130),
    [anon_sym_QMARK] = ACTIONS(11130),
    [anon_sym_where] = ACTIONS(11126),
    [anon_sym_AT] = ACTIONS(11130),
    [anon_sym_true] = ACTIONS(11126),
    [anon_sym_false] = ACTIONS(11126),
    [aux_sym_integer_literal_token1] = ACTIONS(11130),
    [aux_sym_integer_literal_token2] = ACTIONS(11130),
    [aux_sym_integer_literal_token3] = ACTIONS(11126),
    [aux_sym_integer_literal_token4] = ACTIONS(11126),
    [aux_sym_float_literal_token1] = ACTIONS(11130),
    [aux_sym_float_literal_token3] = ACTIONS(11130),
    [aux_sym_float_literal_token4] = ACTIONS(11130),
    [sym_character_literal] = ACTIONS(11130),
    [anon_sym_DQUOTE] = ACTIONS(11126),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11130),
    [anon_sym_BQUOTE] = ACTIONS(11126),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11130),
    [sym__pair_operator] = ACTIONS(11130),
    [sym__arrow_operator] = ACTIONS(11126),
    [sym__lazy_or_operator] = ACTIONS(11130),
    [sym__lazy_and_operator] = ACTIONS(11130),
    [sym__comparison_operator] = ACTIONS(11126),
    [sym__pipe_right_operator] = ACTIONS(11130),
    [sym__pipe_left_operator] = ACTIONS(11130),
    [sym__ellipsis_operator] = ACTIONS(11126),
    [sym__plus_operator] = ACTIONS(11126),
    [sym__times_operator] = ACTIONS(11126),
    [sym__rational_operator] = ACTIONS(11130),
    [sym__bitshift_operator] = ACTIONS(11130),
    [sym__power_operator] = ACTIONS(11130),
    [sym__tilde_operator] = ACTIONS(11130),
    [sym__type_order_operator] = ACTIONS(11130),
    [sym__unary_operator] = ACTIONS(11126),
    [sym__unary_plus_operator] = ACTIONS(11126),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7877] = {
    [sym__comprehension_clause] = STATE(20234),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(7877),
    [sym_line_comment] = STATE(7877),
    [aux_sym_vector_expression_repeat1] = STATE(17599),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11691),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11693),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11695),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11698),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7878] = {
    [sym_block_comment] = STATE(7878),
    [sym_line_comment] = STATE(7878),
    [aux_sym_export_statement_repeat1] = STATE(7887),
    [sym__word_identifier] = ACTIONS(11286),
    [anon_sym_COMMA] = ACTIONS(11687),
    [anon_sym_EQ] = ACTIONS(11286),
    [anon_sym_begin] = ACTIONS(11286),
    [anon_sym_module] = ACTIONS(11286),
    [anon_sym_baremodule] = ACTIONS(11286),
    [anon_sym_end] = ACTIONS(11286),
    [anon_sym_abstract] = ACTIONS(11286),
    [anon_sym_primitive] = ACTIONS(11286),
    [anon_sym_mutable] = ACTIONS(11286),
    [anon_sym_struct] = ACTIONS(11286),
    [anon_sym_function] = ACTIONS(11286),
    [anon_sym_macro] = ACTIONS(11286),
    [anon_sym_quote] = ACTIONS(11286),
    [anon_sym_let] = ACTIONS(11286),
    [anon_sym_if] = ACTIONS(11286),
    [anon_sym_try] = ACTIONS(11286),
    [anon_sym_finally] = ACTIONS(11286),
    [anon_sym_for] = ACTIONS(11286),
    [anon_sym_while] = ACTIONS(11286),
    [sym_break_statement] = ACTIONS(11286),
    [sym_continue_statement] = ACTIONS(11286),
    [anon_sym_return] = ACTIONS(11286),
    [anon_sym_const] = ACTIONS(11286),
    [anon_sym_global] = ACTIONS(11286),
    [anon_sym_local] = ACTIONS(11286),
    [anon_sym_LPAREN] = ACTIONS(11286),
    [anon_sym_COLON] = ACTIONS(11286),
    [anon_sym_export] = ACTIONS(11286),
    [anon_sym_public] = ACTIONS(11286),
    [anon_sym_import] = ACTIONS(11286),
    [anon_sym_using] = ACTIONS(11286),
    [anon_sym_LBRACK] = ACTIONS(11286),
    [anon_sym_in] = ACTIONS(11286),
    [anon_sym_SEMI] = ACTIONS(11286),
    [anon_sym_LBRACE] = ACTIONS(11286),
    [anon_sym_DOLLAR] = ACTIONS(11286),
    [anon_sym_COLON2] = ACTIONS(11286),
    [anon_sym_COLON_COLON] = ACTIONS(11286),
    [anon_sym_isa] = ACTIONS(11286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11286),
    [anon_sym_QMARK] = ACTIONS(11286),
    [anon_sym_where] = ACTIONS(11286),
    [anon_sym_AT] = ACTIONS(11286),
    [anon_sym_true] = ACTIONS(11286),
    [anon_sym_false] = ACTIONS(11286),
    [aux_sym_integer_literal_token1] = ACTIONS(11286),
    [aux_sym_integer_literal_token2] = ACTIONS(11286),
    [aux_sym_integer_literal_token3] = ACTIONS(11286),
    [aux_sym_integer_literal_token4] = ACTIONS(11286),
    [aux_sym_float_literal_token1] = ACTIONS(11286),
    [aux_sym_float_literal_token3] = ACTIONS(11286),
    [aux_sym_float_literal_token4] = ACTIONS(11286),
    [sym_character_literal] = ACTIONS(11286),
    [anon_sym_DQUOTE] = ACTIONS(11286),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11286),
    [anon_sym_BQUOTE] = ACTIONS(11286),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11286),
    [sym__pair_operator] = ACTIONS(11286),
    [sym__arrow_operator] = ACTIONS(11286),
    [sym__lazy_or_operator] = ACTIONS(11286),
    [sym__lazy_and_operator] = ACTIONS(11286),
    [sym__comparison_operator] = ACTIONS(11286),
    [sym__pipe_right_operator] = ACTIONS(11286),
    [sym__pipe_left_operator] = ACTIONS(11286),
    [sym__ellipsis_operator] = ACTIONS(11286),
    [sym__plus_operator] = ACTIONS(11286),
    [sym__times_operator] = ACTIONS(11286),
    [sym__rational_operator] = ACTIONS(11286),
    [sym__bitshift_operator] = ACTIONS(11286),
    [sym__power_operator] = ACTIONS(11286),
    [sym__tilde_operator] = ACTIONS(11286),
    [sym__type_order_operator] = ACTIONS(11286),
    [sym__unary_operator] = ACTIONS(11286),
    [sym__unary_plus_operator] = ACTIONS(11286),
    [aux_sym__terminator_token1] = ACTIONS(11288),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7879] = {
    [sym_block_comment] = STATE(7879),
    [sym_line_comment] = STATE(7879),
    [aux_sym_export_statement_repeat1] = STATE(7887),
    [sym__word_identifier] = ACTIONS(11290),
    [anon_sym_COMMA] = ACTIONS(11687),
    [anon_sym_EQ] = ACTIONS(11290),
    [anon_sym_begin] = ACTIONS(11290),
    [anon_sym_module] = ACTIONS(11290),
    [anon_sym_baremodule] = ACTIONS(11290),
    [anon_sym_end] = ACTIONS(11290),
    [anon_sym_abstract] = ACTIONS(11290),
    [anon_sym_primitive] = ACTIONS(11290),
    [anon_sym_mutable] = ACTIONS(11290),
    [anon_sym_struct] = ACTIONS(11290),
    [anon_sym_function] = ACTIONS(11290),
    [anon_sym_macro] = ACTIONS(11290),
    [anon_sym_quote] = ACTIONS(11290),
    [anon_sym_let] = ACTIONS(11290),
    [anon_sym_if] = ACTIONS(11290),
    [anon_sym_try] = ACTIONS(11290),
    [anon_sym_finally] = ACTIONS(11290),
    [anon_sym_for] = ACTIONS(11290),
    [anon_sym_while] = ACTIONS(11290),
    [sym_break_statement] = ACTIONS(11290),
    [sym_continue_statement] = ACTIONS(11290),
    [anon_sym_return] = ACTIONS(11290),
    [anon_sym_const] = ACTIONS(11290),
    [anon_sym_global] = ACTIONS(11290),
    [anon_sym_local] = ACTIONS(11290),
    [anon_sym_LPAREN] = ACTIONS(11290),
    [anon_sym_COLON] = ACTIONS(11290),
    [anon_sym_export] = ACTIONS(11290),
    [anon_sym_public] = ACTIONS(11290),
    [anon_sym_import] = ACTIONS(11290),
    [anon_sym_using] = ACTIONS(11290),
    [anon_sym_LBRACK] = ACTIONS(11290),
    [anon_sym_in] = ACTIONS(11290),
    [anon_sym_SEMI] = ACTIONS(11290),
    [anon_sym_LBRACE] = ACTIONS(11290),
    [anon_sym_DOLLAR] = ACTIONS(11290),
    [anon_sym_COLON2] = ACTIONS(11290),
    [anon_sym_COLON_COLON] = ACTIONS(11290),
    [anon_sym_isa] = ACTIONS(11290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11290),
    [anon_sym_QMARK] = ACTIONS(11290),
    [anon_sym_where] = ACTIONS(11290),
    [anon_sym_AT] = ACTIONS(11290),
    [anon_sym_true] = ACTIONS(11290),
    [anon_sym_false] = ACTIONS(11290),
    [aux_sym_integer_literal_token1] = ACTIONS(11290),
    [aux_sym_integer_literal_token2] = ACTIONS(11290),
    [aux_sym_integer_literal_token3] = ACTIONS(11290),
    [aux_sym_integer_literal_token4] = ACTIONS(11290),
    [aux_sym_float_literal_token1] = ACTIONS(11290),
    [aux_sym_float_literal_token3] = ACTIONS(11290),
    [aux_sym_float_literal_token4] = ACTIONS(11290),
    [sym_character_literal] = ACTIONS(11290),
    [anon_sym_DQUOTE] = ACTIONS(11290),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11290),
    [anon_sym_BQUOTE] = ACTIONS(11290),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11290),
    [sym__pair_operator] = ACTIONS(11290),
    [sym__arrow_operator] = ACTIONS(11290),
    [sym__lazy_or_operator] = ACTIONS(11290),
    [sym__lazy_and_operator] = ACTIONS(11290),
    [sym__comparison_operator] = ACTIONS(11290),
    [sym__pipe_right_operator] = ACTIONS(11290),
    [sym__pipe_left_operator] = ACTIONS(11290),
    [sym__ellipsis_operator] = ACTIONS(11290),
    [sym__plus_operator] = ACTIONS(11290),
    [sym__times_operator] = ACTIONS(11290),
    [sym__rational_operator] = ACTIONS(11290),
    [sym__bitshift_operator] = ACTIONS(11290),
    [sym__power_operator] = ACTIONS(11290),
    [sym__tilde_operator] = ACTIONS(11290),
    [sym__type_order_operator] = ACTIONS(11290),
    [sym__unary_operator] = ACTIONS(11290),
    [sym__unary_plus_operator] = ACTIONS(11290),
    [aux_sym__terminator_token1] = ACTIONS(11292),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7880] = {
    [sym_block_comment] = STATE(7880),
    [sym_line_comment] = STATE(7880),
    [aux_sym__import_list_repeat1] = STATE(7889),
    [sym__word_identifier] = ACTIONS(11066),
    [anon_sym_COMMA] = ACTIONS(11082),
    [anon_sym_EQ] = ACTIONS(11066),
    [anon_sym_begin] = ACTIONS(11066),
    [anon_sym_module] = ACTIONS(11066),
    [anon_sym_baremodule] = ACTIONS(11066),
    [anon_sym_end] = ACTIONS(11066),
    [anon_sym_abstract] = ACTIONS(11066),
    [anon_sym_primitive] = ACTIONS(11066),
    [anon_sym_mutable] = ACTIONS(11066),
    [anon_sym_struct] = ACTIONS(11066),
    [anon_sym_function] = ACTIONS(11066),
    [anon_sym_macro] = ACTIONS(11066),
    [anon_sym_quote] = ACTIONS(11066),
    [anon_sym_let] = ACTIONS(11066),
    [anon_sym_if] = ACTIONS(11066),
    [anon_sym_try] = ACTIONS(11066),
    [anon_sym_finally] = ACTIONS(11066),
    [anon_sym_for] = ACTIONS(11066),
    [anon_sym_while] = ACTIONS(11066),
    [sym_break_statement] = ACTIONS(11066),
    [sym_continue_statement] = ACTIONS(11066),
    [anon_sym_return] = ACTIONS(11066),
    [anon_sym_const] = ACTIONS(11066),
    [anon_sym_global] = ACTIONS(11066),
    [anon_sym_local] = ACTIONS(11066),
    [anon_sym_LPAREN] = ACTIONS(11066),
    [anon_sym_COLON] = ACTIONS(11066),
    [anon_sym_export] = ACTIONS(11066),
    [anon_sym_public] = ACTIONS(11066),
    [anon_sym_import] = ACTIONS(11066),
    [anon_sym_using] = ACTIONS(11066),
    [anon_sym_LBRACK] = ACTIONS(11066),
    [anon_sym_in] = ACTIONS(11066),
    [anon_sym_SEMI] = ACTIONS(11066),
    [anon_sym_LBRACE] = ACTIONS(11066),
    [anon_sym_DOLLAR] = ACTIONS(11066),
    [anon_sym_COLON2] = ACTIONS(11066),
    [anon_sym_COLON_COLON] = ACTIONS(11066),
    [anon_sym_isa] = ACTIONS(11066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11066),
    [anon_sym_QMARK] = ACTIONS(11066),
    [anon_sym_where] = ACTIONS(11066),
    [anon_sym_AT] = ACTIONS(11066),
    [anon_sym_true] = ACTIONS(11066),
    [anon_sym_false] = ACTIONS(11066),
    [aux_sym_integer_literal_token1] = ACTIONS(11066),
    [aux_sym_integer_literal_token2] = ACTIONS(11066),
    [aux_sym_integer_literal_token3] = ACTIONS(11066),
    [aux_sym_integer_literal_token4] = ACTIONS(11066),
    [aux_sym_float_literal_token1] = ACTIONS(11066),
    [aux_sym_float_literal_token3] = ACTIONS(11066),
    [aux_sym_float_literal_token4] = ACTIONS(11066),
    [sym_character_literal] = ACTIONS(11066),
    [anon_sym_DQUOTE] = ACTIONS(11066),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11066),
    [anon_sym_BQUOTE] = ACTIONS(11066),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(11066),
    [sym__arrow_operator] = ACTIONS(11066),
    [sym__lazy_or_operator] = ACTIONS(11066),
    [sym__lazy_and_operator] = ACTIONS(11066),
    [sym__comparison_operator] = ACTIONS(11066),
    [sym__pipe_right_operator] = ACTIONS(11066),
    [sym__pipe_left_operator] = ACTIONS(11066),
    [sym__ellipsis_operator] = ACTIONS(11066),
    [sym__plus_operator] = ACTIONS(11066),
    [sym__times_operator] = ACTIONS(11066),
    [sym__rational_operator] = ACTIONS(11066),
    [sym__bitshift_operator] = ACTIONS(11066),
    [sym__power_operator] = ACTIONS(11066),
    [sym__tilde_operator] = ACTIONS(11066),
    [sym__type_order_operator] = ACTIONS(11066),
    [sym__unary_operator] = ACTIONS(11066),
    [sym__unary_plus_operator] = ACTIONS(11066),
    [aux_sym__terminator_token1] = ACTIONS(11068),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7881] = {
    [sym_block_comment] = STATE(7881),
    [sym_line_comment] = STATE(7881),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_catch] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7882] = {
    [sym_block_comment] = STATE(7882),
    [sym_line_comment] = STATE(7882),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(10151),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_elseif] = ACTIONS(11258),
    [anon_sym_else] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7883] = {
    [sym_block_comment] = STATE(7883),
    [sym_line_comment] = STATE(7883),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_else] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_finally] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7884] = {
    [sym_block_comment] = STATE(7884),
    [sym_line_comment] = STATE(7884),
    [aux_sym_open_tuple_repeat1] = STATE(7884),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(11701),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11139),
    [anon_sym_RPAREN] = ACTIONS(11139),
    [anon_sym_COLON] = ACTIONS(11134),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11139),
    [anon_sym_RBRACK] = ACTIONS(11139),
    [anon_sym_in] = ACTIONS(11134),
    [anon_sym_SEMI] = ACTIONS(11139),
    [anon_sym_LBRACE] = ACTIONS(11139),
    [anon_sym_RBRACE] = ACTIONS(11139),
    [anon_sym_DOLLAR] = ACTIONS(11139),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(11139),
    [anon_sym_isa] = ACTIONS(11134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11139),
    [anon_sym_QMARK] = ACTIONS(11139),
    [anon_sym_where] = ACTIONS(11134),
    [anon_sym_AT] = ACTIONS(11139),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11139),
    [aux_sym_integer_literal_token2] = ACTIONS(11139),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11139),
    [aux_sym_float_literal_token3] = ACTIONS(11139),
    [aux_sym_float_literal_token4] = ACTIONS(11139),
    [sym_character_literal] = ACTIONS(11139),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11139),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11139),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11134),
    [sym__lazy_or_operator] = ACTIONS(11139),
    [sym__lazy_and_operator] = ACTIONS(11139),
    [sym__comparison_operator] = ACTIONS(11134),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11134),
    [sym__plus_operator] = ACTIONS(11134),
    [sym__times_operator] = ACTIONS(11134),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(11134),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7885] = {
    [sym_block_comment] = STATE(7885),
    [sym_line_comment] = STATE(7885),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_else] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_finally] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(11704),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(11704),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11704),
    [anon_sym_isa] = ACTIONS(11704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11704),
    [anon_sym_QMARK] = ACTIONS(11704),
    [anon_sym_where] = ACTIONS(11704),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(11704),
    [sym__arrow_operator] = ACTIONS(11704),
    [sym__lazy_or_operator] = ACTIONS(11704),
    [sym__lazy_and_operator] = ACTIONS(11704),
    [sym__comparison_operator] = ACTIONS(11704),
    [sym__pipe_right_operator] = ACTIONS(11704),
    [sym__pipe_left_operator] = ACTIONS(11704),
    [sym__ellipsis_operator] = ACTIONS(11704),
    [sym__plus_operator] = ACTIONS(11704),
    [sym__times_operator] = ACTIONS(11704),
    [sym__rational_operator] = ACTIONS(11704),
    [sym__bitshift_operator] = ACTIONS(11704),
    [sym__power_operator] = ACTIONS(11704),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(11704),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(11704),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7886] = {
    [sym_block_comment] = STATE(7886),
    [sym_line_comment] = STATE(7886),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11104),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_as] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11104),
    [anon_sym_RPAREN] = ACTIONS(11104),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11104),
    [anon_sym_RBRACK] = ACTIONS(11104),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_SEMI] = ACTIONS(11104),
    [anon_sym_LBRACE] = ACTIONS(11104),
    [anon_sym_RBRACE] = ACTIONS(11104),
    [anon_sym_DOLLAR] = ACTIONS(11104),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11104),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11104),
    [anon_sym_QMARK] = ACTIONS(11104),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11104),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11104),
    [aux_sym_integer_literal_token2] = ACTIONS(11104),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11104),
    [aux_sym_float_literal_token3] = ACTIONS(11104),
    [aux_sym_float_literal_token4] = ACTIONS(11104),
    [sym_character_literal] = ACTIONS(11104),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11104),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(11104),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11104),
    [sym__lazy_and_operator] = ACTIONS(11104),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11104),
    [sym__pipe_left_operator] = ACTIONS(11104),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11104),
    [sym__bitshift_operator] = ACTIONS(11104),
    [sym__power_operator] = ACTIONS(11104),
    [sym__tilde_operator] = ACTIONS(11104),
    [sym__type_order_operator] = ACTIONS(11104),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7887] = {
    [sym_block_comment] = STATE(7887),
    [sym_line_comment] = STATE(7887),
    [aux_sym_export_statement_repeat1] = STATE(7887),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(11708),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_end] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_finally] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11149),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11149),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_SEMI] = ACTIONS(11149),
    [anon_sym_LBRACE] = ACTIONS(11149),
    [anon_sym_DOLLAR] = ACTIONS(11149),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11149),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11149),
    [anon_sym_QMARK] = ACTIONS(11149),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11149),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11149),
    [aux_sym_integer_literal_token2] = ACTIONS(11149),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11149),
    [aux_sym_float_literal_token3] = ACTIONS(11149),
    [aux_sym_float_literal_token4] = ACTIONS(11149),
    [sym_character_literal] = ACTIONS(11149),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11149),
    [sym__pair_operator] = ACTIONS(11149),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11149),
    [sym__lazy_and_operator] = ACTIONS(11149),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11149),
    [sym__pipe_left_operator] = ACTIONS(11149),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11149),
    [sym__bitshift_operator] = ACTIONS(11149),
    [sym__power_operator] = ACTIONS(11149),
    [sym__tilde_operator] = ACTIONS(11149),
    [sym__type_order_operator] = ACTIONS(11149),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym__terminator_token1] = ACTIONS(11154),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7888] = {
    [sym_block_comment] = STATE(7888),
    [sym_line_comment] = STATE(7888),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11159),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_finally] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_as] = ACTIONS(11084),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7889] = {
    [sym_block_comment] = STATE(7889),
    [sym_line_comment] = STATE(7889),
    [aux_sym__import_list_repeat1] = STATE(7889),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11711),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_finally] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7890] = {
    [sym_block_comment] = STATE(7890),
    [sym_line_comment] = STATE(7890),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_catch] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7891] = {
    [sym_block_comment] = STATE(7891),
    [sym_line_comment] = STATE(7891),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_catch] = ACTIONS(10421),
    [anon_sym_finally] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7892] = {
    [sym__comprehension_clause] = STATE(20037),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(7892),
    [sym_line_comment] = STATE(7892),
    [aux_sym_vector_expression_repeat1] = STATE(18155),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11714),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11716),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11718),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11721),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7893] = {
    [sym_block_comment] = STATE(7893),
    [sym_line_comment] = STATE(7893),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [7894] = {
    [sym_block_comment] = STATE(7894),
    [sym_line_comment] = STATE(7894),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_catch] = ACTIONS(10429),
    [anon_sym_finally] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7895] = {
    [sym_block_comment] = STATE(7895),
    [sym_line_comment] = STATE(7895),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_catch] = ACTIONS(10433),
    [anon_sym_finally] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7896] = {
    [sym_block_comment] = STATE(7896),
    [sym_line_comment] = STATE(7896),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_catch] = ACTIONS(10437),
    [anon_sym_finally] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7897] = {
    [sym_block_comment] = STATE(7897),
    [sym_line_comment] = STATE(7897),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10435),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10435),
    [anon_sym_RPAREN] = ACTIONS(10435),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10435),
    [anon_sym_RBRACK] = ACTIONS(10435),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10435),
    [anon_sym_LBRACE] = ACTIONS(10435),
    [anon_sym_RBRACE] = ACTIONS(10435),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10435),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10435),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10435),
    [anon_sym_QMARK] = ACTIONS(10435),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10435),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10435),
    [aux_sym_integer_literal_token2] = ACTIONS(10435),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10435),
    [aux_sym_float_literal_token3] = ACTIONS(10435),
    [aux_sym_float_literal_token4] = ACTIONS(10435),
    [sym_character_literal] = ACTIONS(10435),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10435),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10435),
    [sym__pair_operator] = ACTIONS(10435),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10435),
    [sym__lazy_and_operator] = ACTIONS(10435),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10435),
    [sym__pipe_left_operator] = ACTIONS(10435),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10435),
    [sym__bitshift_operator] = ACTIONS(10435),
    [sym__power_operator] = ACTIONS(10435),
    [sym__tilde_operator] = ACTIONS(10435),
    [sym__type_order_operator] = ACTIONS(10435),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7898] = {
    [sym_block_comment] = STATE(7898),
    [sym_line_comment] = STATE(7898),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10439),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10439),
    [anon_sym_RPAREN] = ACTIONS(10439),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10439),
    [anon_sym_RBRACK] = ACTIONS(10439),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10439),
    [anon_sym_LBRACE] = ACTIONS(10439),
    [anon_sym_RBRACE] = ACTIONS(10439),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10439),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10439),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10439),
    [anon_sym_QMARK] = ACTIONS(10439),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10439),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10439),
    [aux_sym_integer_literal_token2] = ACTIONS(10439),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10439),
    [aux_sym_float_literal_token3] = ACTIONS(10439),
    [aux_sym_float_literal_token4] = ACTIONS(10439),
    [sym_character_literal] = ACTIONS(10439),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10439),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10439),
    [sym__pair_operator] = ACTIONS(10439),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10439),
    [sym__lazy_and_operator] = ACTIONS(10439),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10439),
    [sym__pipe_left_operator] = ACTIONS(10439),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10439),
    [sym__bitshift_operator] = ACTIONS(10439),
    [sym__power_operator] = ACTIONS(10439),
    [sym__tilde_operator] = ACTIONS(10439),
    [sym__type_order_operator] = ACTIONS(10439),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7899] = {
    [sym_block_comment] = STATE(7899),
    [sym_line_comment] = STATE(7899),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7900] = {
    [sym_block_comment] = STATE(7900),
    [sym_line_comment] = STATE(7900),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_elseif] = ACTIONS(11382),
    [anon_sym_else] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(11382),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(11382),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11382),
    [anon_sym_isa] = ACTIONS(11382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11382),
    [anon_sym_QMARK] = ACTIONS(11382),
    [anon_sym_where] = ACTIONS(11382),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(11382),
    [sym__arrow_operator] = ACTIONS(11382),
    [sym__lazy_or_operator] = ACTIONS(11382),
    [sym__lazy_and_operator] = ACTIONS(11382),
    [sym__comparison_operator] = ACTIONS(11382),
    [sym__pipe_right_operator] = ACTIONS(11382),
    [sym__pipe_left_operator] = ACTIONS(11382),
    [sym__ellipsis_operator] = ACTIONS(11382),
    [sym__plus_operator] = ACTIONS(11382),
    [sym__times_operator] = ACTIONS(11382),
    [sym__rational_operator] = ACTIONS(11382),
    [sym__bitshift_operator] = ACTIONS(11382),
    [sym__power_operator] = ACTIONS(11382),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(11382),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(11382),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7901] = {
    [sym_block_comment] = STATE(7901),
    [sym_line_comment] = STATE(7901),
    [ts_builtin_sym_end] = ACTIONS(10231),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_RBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7902] = {
    [sym_block_comment] = STATE(7902),
    [sym_line_comment] = STATE(7902),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_catch] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7903] = {
    [sym_block_comment] = STATE(7903),
    [sym_line_comment] = STATE(7903),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_catch] = ACTIONS(10291),
    [anon_sym_finally] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7904] = {
    [sym_block_comment] = STATE(7904),
    [sym_line_comment] = STATE(7904),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_catch] = ACTIONS(10307),
    [anon_sym_finally] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7905] = {
    [sym_block_comment] = STATE(7905),
    [sym_line_comment] = STATE(7905),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_catch] = ACTIONS(10193),
    [anon_sym_finally] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7906] = {
    [sym_block_comment] = STATE(7906),
    [sym_line_comment] = STATE(7906),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_catch] = ACTIONS(10347),
    [anon_sym_finally] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7907] = {
    [sym_block_comment] = STATE(7907),
    [sym_line_comment] = STATE(7907),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_catch] = ACTIONS(10351),
    [anon_sym_finally] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7908] = {
    [sym_block_comment] = STATE(7908),
    [sym_line_comment] = STATE(7908),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_catch] = ACTIONS(10355),
    [anon_sym_finally] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7909] = {
    [sym_block_comment] = STATE(7909),
    [sym_line_comment] = STATE(7909),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_catch] = ACTIONS(10403),
    [anon_sym_finally] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7910] = {
    [sym_block_comment] = STATE(7910),
    [sym_line_comment] = STATE(7910),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_catch] = ACTIONS(10311),
    [anon_sym_finally] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7911] = {
    [sym_block_comment] = STATE(7911),
    [sym_line_comment] = STATE(7911),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9963),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7912] = {
    [sym_block_comment] = STATE(7912),
    [sym_line_comment] = STATE(7912),
    [sym__word_identifier] = ACTIONS(11386),
    [anon_sym_COMMA] = ACTIONS(11386),
    [anon_sym_EQ] = ACTIONS(11386),
    [anon_sym_begin] = ACTIONS(11386),
    [anon_sym_module] = ACTIONS(11386),
    [anon_sym_baremodule] = ACTIONS(11386),
    [anon_sym_end] = ACTIONS(11386),
    [anon_sym_abstract] = ACTIONS(11386),
    [anon_sym_primitive] = ACTIONS(11386),
    [anon_sym_mutable] = ACTIONS(11386),
    [anon_sym_struct] = ACTIONS(11386),
    [anon_sym_function] = ACTIONS(11386),
    [anon_sym_macro] = ACTIONS(11386),
    [anon_sym_quote] = ACTIONS(11386),
    [anon_sym_let] = ACTIONS(11386),
    [anon_sym_if] = ACTIONS(11386),
    [anon_sym_elseif] = ACTIONS(11386),
    [anon_sym_else] = ACTIONS(11386),
    [anon_sym_try] = ACTIONS(11386),
    [anon_sym_for] = ACTIONS(11386),
    [anon_sym_while] = ACTIONS(11386),
    [sym_break_statement] = ACTIONS(11386),
    [sym_continue_statement] = ACTIONS(11386),
    [anon_sym_return] = ACTIONS(11386),
    [anon_sym_const] = ACTIONS(11386),
    [anon_sym_global] = ACTIONS(11386),
    [anon_sym_local] = ACTIONS(11386),
    [anon_sym_LPAREN] = ACTIONS(11386),
    [anon_sym_COLON] = ACTIONS(11386),
    [anon_sym_export] = ACTIONS(11386),
    [anon_sym_public] = ACTIONS(11386),
    [anon_sym_import] = ACTIONS(11386),
    [anon_sym_using] = ACTIONS(11386),
    [anon_sym_LBRACK] = ACTIONS(11386),
    [anon_sym_in] = ACTIONS(11386),
    [anon_sym_SEMI] = ACTIONS(11386),
    [anon_sym_LBRACE] = ACTIONS(11386),
    [anon_sym_DOLLAR] = ACTIONS(11386),
    [anon_sym_COLON2] = ACTIONS(11386),
    [anon_sym_COLON_COLON] = ACTIONS(11386),
    [anon_sym_isa] = ACTIONS(11386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11386),
    [anon_sym_QMARK] = ACTIONS(11386),
    [anon_sym_where] = ACTIONS(11386),
    [anon_sym_AT] = ACTIONS(11386),
    [anon_sym_true] = ACTIONS(11386),
    [anon_sym_false] = ACTIONS(11386),
    [aux_sym_integer_literal_token1] = ACTIONS(11386),
    [aux_sym_integer_literal_token2] = ACTIONS(11386),
    [aux_sym_integer_literal_token3] = ACTIONS(11386),
    [aux_sym_integer_literal_token4] = ACTIONS(11386),
    [aux_sym_float_literal_token1] = ACTIONS(11386),
    [aux_sym_float_literal_token3] = ACTIONS(11386),
    [aux_sym_float_literal_token4] = ACTIONS(11386),
    [sym_character_literal] = ACTIONS(11386),
    [anon_sym_DQUOTE] = ACTIONS(11386),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11386),
    [anon_sym_BQUOTE] = ACTIONS(11386),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11386),
    [sym__pair_operator] = ACTIONS(11386),
    [sym__arrow_operator] = ACTIONS(11386),
    [sym__lazy_or_operator] = ACTIONS(11386),
    [sym__lazy_and_operator] = ACTIONS(11386),
    [sym__comparison_operator] = ACTIONS(11386),
    [sym__pipe_right_operator] = ACTIONS(11386),
    [sym__pipe_left_operator] = ACTIONS(11386),
    [sym__ellipsis_operator] = ACTIONS(11386),
    [sym__plus_operator] = ACTIONS(11386),
    [sym__times_operator] = ACTIONS(11386),
    [sym__rational_operator] = ACTIONS(11386),
    [sym__bitshift_operator] = ACTIONS(11386),
    [sym__power_operator] = ACTIONS(11386),
    [sym__tilde_operator] = ACTIONS(11386),
    [sym__type_order_operator] = ACTIONS(11386),
    [sym__unary_operator] = ACTIONS(11386),
    [sym__unary_plus_operator] = ACTIONS(11386),
    [aux_sym__terminator_token1] = ACTIONS(11388),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7913] = {
    [sym_block_comment] = STATE(7913),
    [sym_line_comment] = STATE(7913),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
  },
  [7914] = {
    [sym__comprehension_clause] = STATE(18989),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(7914),
    [sym_line_comment] = STATE(7914),
    [aux_sym_vector_expression_repeat1] = STATE(17939),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11724),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11726),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11728),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11731),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7915] = {
    [sym_block_comment] = STATE(7915),
    [sym_line_comment] = STATE(7915),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_catch] = ACTIONS(10399),
    [anon_sym_finally] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7916] = {
    [sym_block_comment] = STATE(7916),
    [sym_line_comment] = STATE(7916),
    [sym__word_identifier] = ACTIONS(11390),
    [anon_sym_COMMA] = ACTIONS(11390),
    [anon_sym_EQ] = ACTIONS(11390),
    [anon_sym_begin] = ACTIONS(11390),
    [anon_sym_module] = ACTIONS(11390),
    [anon_sym_baremodule] = ACTIONS(11390),
    [anon_sym_end] = ACTIONS(11390),
    [anon_sym_abstract] = ACTIONS(11390),
    [anon_sym_primitive] = ACTIONS(11390),
    [anon_sym_mutable] = ACTIONS(11390),
    [anon_sym_struct] = ACTIONS(11390),
    [anon_sym_function] = ACTIONS(11390),
    [anon_sym_macro] = ACTIONS(11390),
    [anon_sym_quote] = ACTIONS(11390),
    [anon_sym_let] = ACTIONS(11390),
    [anon_sym_if] = ACTIONS(11390),
    [anon_sym_elseif] = ACTIONS(11390),
    [anon_sym_else] = ACTIONS(11390),
    [anon_sym_try] = ACTIONS(11390),
    [anon_sym_for] = ACTIONS(11390),
    [anon_sym_while] = ACTIONS(11390),
    [sym_break_statement] = ACTIONS(11390),
    [sym_continue_statement] = ACTIONS(11390),
    [anon_sym_return] = ACTIONS(11390),
    [anon_sym_const] = ACTIONS(11390),
    [anon_sym_global] = ACTIONS(11390),
    [anon_sym_local] = ACTIONS(11390),
    [anon_sym_LPAREN] = ACTIONS(11390),
    [anon_sym_COLON] = ACTIONS(11390),
    [anon_sym_export] = ACTIONS(11390),
    [anon_sym_public] = ACTIONS(11390),
    [anon_sym_import] = ACTIONS(11390),
    [anon_sym_using] = ACTIONS(11390),
    [anon_sym_LBRACK] = ACTIONS(11390),
    [anon_sym_in] = ACTIONS(11390),
    [anon_sym_SEMI] = ACTIONS(11390),
    [anon_sym_LBRACE] = ACTIONS(11390),
    [anon_sym_DOLLAR] = ACTIONS(11390),
    [anon_sym_COLON2] = ACTIONS(11390),
    [anon_sym_COLON_COLON] = ACTIONS(11390),
    [anon_sym_isa] = ACTIONS(11390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11390),
    [anon_sym_QMARK] = ACTIONS(11390),
    [anon_sym_where] = ACTIONS(11390),
    [anon_sym_AT] = ACTIONS(11390),
    [anon_sym_true] = ACTIONS(11390),
    [anon_sym_false] = ACTIONS(11390),
    [aux_sym_integer_literal_token1] = ACTIONS(11390),
    [aux_sym_integer_literal_token2] = ACTIONS(11390),
    [aux_sym_integer_literal_token3] = ACTIONS(11390),
    [aux_sym_integer_literal_token4] = ACTIONS(11390),
    [aux_sym_float_literal_token1] = ACTIONS(11390),
    [aux_sym_float_literal_token3] = ACTIONS(11390),
    [aux_sym_float_literal_token4] = ACTIONS(11390),
    [sym_character_literal] = ACTIONS(11390),
    [anon_sym_DQUOTE] = ACTIONS(11390),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11390),
    [anon_sym_BQUOTE] = ACTIONS(11390),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11390),
    [sym__pair_operator] = ACTIONS(11390),
    [sym__arrow_operator] = ACTIONS(11390),
    [sym__lazy_or_operator] = ACTIONS(11390),
    [sym__lazy_and_operator] = ACTIONS(11390),
    [sym__comparison_operator] = ACTIONS(11390),
    [sym__pipe_right_operator] = ACTIONS(11390),
    [sym__pipe_left_operator] = ACTIONS(11390),
    [sym__ellipsis_operator] = ACTIONS(11390),
    [sym__plus_operator] = ACTIONS(11390),
    [sym__times_operator] = ACTIONS(11390),
    [sym__rational_operator] = ACTIONS(11390),
    [sym__bitshift_operator] = ACTIONS(11390),
    [sym__power_operator] = ACTIONS(11390),
    [sym__tilde_operator] = ACTIONS(11390),
    [sym__type_order_operator] = ACTIONS(11390),
    [sym__unary_operator] = ACTIONS(11390),
    [sym__unary_plus_operator] = ACTIONS(11390),
    [aux_sym__terminator_token1] = ACTIONS(11392),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7917] = {
    [sym_block_comment] = STATE(7917),
    [sym_line_comment] = STATE(7917),
    [sym__word_identifier] = ACTIONS(11394),
    [anon_sym_COMMA] = ACTIONS(11394),
    [anon_sym_EQ] = ACTIONS(11394),
    [anon_sym_begin] = ACTIONS(11394),
    [anon_sym_module] = ACTIONS(11394),
    [anon_sym_baremodule] = ACTIONS(11394),
    [anon_sym_end] = ACTIONS(11394),
    [anon_sym_abstract] = ACTIONS(11394),
    [anon_sym_primitive] = ACTIONS(11394),
    [anon_sym_mutable] = ACTIONS(11394),
    [anon_sym_struct] = ACTIONS(11394),
    [anon_sym_function] = ACTIONS(11394),
    [anon_sym_macro] = ACTIONS(11394),
    [anon_sym_quote] = ACTIONS(11394),
    [anon_sym_let] = ACTIONS(11394),
    [anon_sym_if] = ACTIONS(11394),
    [anon_sym_elseif] = ACTIONS(11394),
    [anon_sym_else] = ACTIONS(11394),
    [anon_sym_try] = ACTIONS(11394),
    [anon_sym_for] = ACTIONS(11394),
    [anon_sym_while] = ACTIONS(11394),
    [sym_break_statement] = ACTIONS(11394),
    [sym_continue_statement] = ACTIONS(11394),
    [anon_sym_return] = ACTIONS(11394),
    [anon_sym_const] = ACTIONS(11394),
    [anon_sym_global] = ACTIONS(11394),
    [anon_sym_local] = ACTIONS(11394),
    [anon_sym_LPAREN] = ACTIONS(11394),
    [anon_sym_COLON] = ACTIONS(11394),
    [anon_sym_export] = ACTIONS(11394),
    [anon_sym_public] = ACTIONS(11394),
    [anon_sym_import] = ACTIONS(11394),
    [anon_sym_using] = ACTIONS(11394),
    [anon_sym_LBRACK] = ACTIONS(11394),
    [anon_sym_in] = ACTIONS(11394),
    [anon_sym_SEMI] = ACTIONS(11394),
    [anon_sym_LBRACE] = ACTIONS(11394),
    [anon_sym_DOLLAR] = ACTIONS(11394),
    [anon_sym_COLON2] = ACTIONS(11394),
    [anon_sym_COLON_COLON] = ACTIONS(11394),
    [anon_sym_isa] = ACTIONS(11394),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11394),
    [anon_sym_QMARK] = ACTIONS(11394),
    [anon_sym_where] = ACTIONS(11394),
    [anon_sym_AT] = ACTIONS(11394),
    [anon_sym_true] = ACTIONS(11394),
    [anon_sym_false] = ACTIONS(11394),
    [aux_sym_integer_literal_token1] = ACTIONS(11394),
    [aux_sym_integer_literal_token2] = ACTIONS(11394),
    [aux_sym_integer_literal_token3] = ACTIONS(11394),
    [aux_sym_integer_literal_token4] = ACTIONS(11394),
    [aux_sym_float_literal_token1] = ACTIONS(11394),
    [aux_sym_float_literal_token3] = ACTIONS(11394),
    [aux_sym_float_literal_token4] = ACTIONS(11394),
    [sym_character_literal] = ACTIONS(11394),
    [anon_sym_DQUOTE] = ACTIONS(11394),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11394),
    [anon_sym_BQUOTE] = ACTIONS(11394),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11394),
    [sym__pair_operator] = ACTIONS(11394),
    [sym__arrow_operator] = ACTIONS(11394),
    [sym__lazy_or_operator] = ACTIONS(11394),
    [sym__lazy_and_operator] = ACTIONS(11394),
    [sym__comparison_operator] = ACTIONS(11394),
    [sym__pipe_right_operator] = ACTIONS(11394),
    [sym__pipe_left_operator] = ACTIONS(11394),
    [sym__ellipsis_operator] = ACTIONS(11394),
    [sym__plus_operator] = ACTIONS(11394),
    [sym__times_operator] = ACTIONS(11394),
    [sym__rational_operator] = ACTIONS(11394),
    [sym__bitshift_operator] = ACTIONS(11394),
    [sym__power_operator] = ACTIONS(11394),
    [sym__tilde_operator] = ACTIONS(11394),
    [sym__type_order_operator] = ACTIONS(11394),
    [sym__unary_operator] = ACTIONS(11394),
    [sym__unary_plus_operator] = ACTIONS(11394),
    [aux_sym__terminator_token1] = ACTIONS(11396),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7918] = {
    [sym_block_comment] = STATE(7918),
    [sym_line_comment] = STATE(7918),
    [sym__word_identifier] = ACTIONS(11398),
    [anon_sym_COMMA] = ACTIONS(11398),
    [anon_sym_EQ] = ACTIONS(11398),
    [anon_sym_begin] = ACTIONS(11398),
    [anon_sym_module] = ACTIONS(11398),
    [anon_sym_baremodule] = ACTIONS(11398),
    [anon_sym_end] = ACTIONS(11398),
    [anon_sym_abstract] = ACTIONS(11398),
    [anon_sym_primitive] = ACTIONS(11398),
    [anon_sym_mutable] = ACTIONS(11398),
    [anon_sym_struct] = ACTIONS(11398),
    [anon_sym_function] = ACTIONS(11398),
    [anon_sym_macro] = ACTIONS(11398),
    [anon_sym_quote] = ACTIONS(11398),
    [anon_sym_let] = ACTIONS(11398),
    [anon_sym_if] = ACTIONS(11398),
    [anon_sym_elseif] = ACTIONS(11398),
    [anon_sym_else] = ACTIONS(11398),
    [anon_sym_try] = ACTIONS(11398),
    [anon_sym_for] = ACTIONS(11398),
    [anon_sym_while] = ACTIONS(11398),
    [sym_break_statement] = ACTIONS(11398),
    [sym_continue_statement] = ACTIONS(11398),
    [anon_sym_return] = ACTIONS(11398),
    [anon_sym_const] = ACTIONS(11398),
    [anon_sym_global] = ACTIONS(11398),
    [anon_sym_local] = ACTIONS(11398),
    [anon_sym_LPAREN] = ACTIONS(11398),
    [anon_sym_COLON] = ACTIONS(11398),
    [anon_sym_export] = ACTIONS(11398),
    [anon_sym_public] = ACTIONS(11398),
    [anon_sym_import] = ACTIONS(11398),
    [anon_sym_using] = ACTIONS(11398),
    [anon_sym_LBRACK] = ACTIONS(11398),
    [anon_sym_in] = ACTIONS(11398),
    [anon_sym_SEMI] = ACTIONS(11398),
    [anon_sym_LBRACE] = ACTIONS(11398),
    [anon_sym_DOLLAR] = ACTIONS(11398),
    [anon_sym_COLON2] = ACTIONS(11398),
    [anon_sym_COLON_COLON] = ACTIONS(11398),
    [anon_sym_isa] = ACTIONS(11398),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11398),
    [anon_sym_QMARK] = ACTIONS(11398),
    [anon_sym_where] = ACTIONS(11398),
    [anon_sym_AT] = ACTIONS(11398),
    [anon_sym_true] = ACTIONS(11398),
    [anon_sym_false] = ACTIONS(11398),
    [aux_sym_integer_literal_token1] = ACTIONS(11398),
    [aux_sym_integer_literal_token2] = ACTIONS(11398),
    [aux_sym_integer_literal_token3] = ACTIONS(11398),
    [aux_sym_integer_literal_token4] = ACTIONS(11398),
    [aux_sym_float_literal_token1] = ACTIONS(11398),
    [aux_sym_float_literal_token3] = ACTIONS(11398),
    [aux_sym_float_literal_token4] = ACTIONS(11398),
    [sym_character_literal] = ACTIONS(11398),
    [anon_sym_DQUOTE] = ACTIONS(11398),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11398),
    [anon_sym_BQUOTE] = ACTIONS(11398),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11398),
    [sym__pair_operator] = ACTIONS(11398),
    [sym__arrow_operator] = ACTIONS(11398),
    [sym__lazy_or_operator] = ACTIONS(11398),
    [sym__lazy_and_operator] = ACTIONS(11398),
    [sym__comparison_operator] = ACTIONS(11398),
    [sym__pipe_right_operator] = ACTIONS(11398),
    [sym__pipe_left_operator] = ACTIONS(11398),
    [sym__ellipsis_operator] = ACTIONS(11398),
    [sym__plus_operator] = ACTIONS(11398),
    [sym__times_operator] = ACTIONS(11398),
    [sym__rational_operator] = ACTIONS(11398),
    [sym__bitshift_operator] = ACTIONS(11398),
    [sym__power_operator] = ACTIONS(11398),
    [sym__tilde_operator] = ACTIONS(11398),
    [sym__type_order_operator] = ACTIONS(11398),
    [sym__unary_operator] = ACTIONS(11398),
    [sym__unary_plus_operator] = ACTIONS(11398),
    [aux_sym__terminator_token1] = ACTIONS(11400),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7919] = {
    [sym_block_comment] = STATE(7919),
    [sym_line_comment] = STATE(7919),
    [sym__word_identifier] = ACTIONS(11402),
    [anon_sym_COMMA] = ACTIONS(11402),
    [anon_sym_EQ] = ACTIONS(11402),
    [anon_sym_begin] = ACTIONS(11402),
    [anon_sym_module] = ACTIONS(11402),
    [anon_sym_baremodule] = ACTIONS(11402),
    [anon_sym_end] = ACTIONS(11402),
    [anon_sym_abstract] = ACTIONS(11402),
    [anon_sym_primitive] = ACTIONS(11402),
    [anon_sym_mutable] = ACTIONS(11402),
    [anon_sym_struct] = ACTIONS(11402),
    [anon_sym_function] = ACTIONS(11402),
    [anon_sym_macro] = ACTIONS(11402),
    [anon_sym_quote] = ACTIONS(11402),
    [anon_sym_let] = ACTIONS(11402),
    [anon_sym_if] = ACTIONS(11402),
    [anon_sym_elseif] = ACTIONS(11402),
    [anon_sym_else] = ACTIONS(11402),
    [anon_sym_try] = ACTIONS(11402),
    [anon_sym_for] = ACTIONS(11402),
    [anon_sym_while] = ACTIONS(11402),
    [sym_break_statement] = ACTIONS(11402),
    [sym_continue_statement] = ACTIONS(11402),
    [anon_sym_return] = ACTIONS(11402),
    [anon_sym_const] = ACTIONS(11402),
    [anon_sym_global] = ACTIONS(11402),
    [anon_sym_local] = ACTIONS(11402),
    [anon_sym_LPAREN] = ACTIONS(11402),
    [anon_sym_COLON] = ACTIONS(11402),
    [anon_sym_export] = ACTIONS(11402),
    [anon_sym_public] = ACTIONS(11402),
    [anon_sym_import] = ACTIONS(11402),
    [anon_sym_using] = ACTIONS(11402),
    [anon_sym_LBRACK] = ACTIONS(11402),
    [anon_sym_in] = ACTIONS(11402),
    [anon_sym_SEMI] = ACTIONS(11402),
    [anon_sym_LBRACE] = ACTIONS(11402),
    [anon_sym_DOLLAR] = ACTIONS(11402),
    [anon_sym_COLON2] = ACTIONS(11402),
    [anon_sym_COLON_COLON] = ACTIONS(11402),
    [anon_sym_isa] = ACTIONS(11402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11402),
    [anon_sym_QMARK] = ACTIONS(11402),
    [anon_sym_where] = ACTIONS(11402),
    [anon_sym_AT] = ACTIONS(11402),
    [anon_sym_true] = ACTIONS(11402),
    [anon_sym_false] = ACTIONS(11402),
    [aux_sym_integer_literal_token1] = ACTIONS(11402),
    [aux_sym_integer_literal_token2] = ACTIONS(11402),
    [aux_sym_integer_literal_token3] = ACTIONS(11402),
    [aux_sym_integer_literal_token4] = ACTIONS(11402),
    [aux_sym_float_literal_token1] = ACTIONS(11402),
    [aux_sym_float_literal_token3] = ACTIONS(11402),
    [aux_sym_float_literal_token4] = ACTIONS(11402),
    [sym_character_literal] = ACTIONS(11402),
    [anon_sym_DQUOTE] = ACTIONS(11402),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11402),
    [anon_sym_BQUOTE] = ACTIONS(11402),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11402),
    [sym__pair_operator] = ACTIONS(11402),
    [sym__arrow_operator] = ACTIONS(11402),
    [sym__lazy_or_operator] = ACTIONS(11402),
    [sym__lazy_and_operator] = ACTIONS(11402),
    [sym__comparison_operator] = ACTIONS(11402),
    [sym__pipe_right_operator] = ACTIONS(11402),
    [sym__pipe_left_operator] = ACTIONS(11402),
    [sym__ellipsis_operator] = ACTIONS(11402),
    [sym__plus_operator] = ACTIONS(11402),
    [sym__times_operator] = ACTIONS(11402),
    [sym__rational_operator] = ACTIONS(11402),
    [sym__bitshift_operator] = ACTIONS(11402),
    [sym__power_operator] = ACTIONS(11402),
    [sym__tilde_operator] = ACTIONS(11402),
    [sym__type_order_operator] = ACTIONS(11402),
    [sym__unary_operator] = ACTIONS(11402),
    [sym__unary_plus_operator] = ACTIONS(11402),
    [aux_sym__terminator_token1] = ACTIONS(11404),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7920] = {
    [sym_block_comment] = STATE(7920),
    [sym_line_comment] = STATE(7920),
    [sym__word_identifier] = ACTIONS(11406),
    [anon_sym_COMMA] = ACTIONS(11406),
    [anon_sym_EQ] = ACTIONS(11406),
    [anon_sym_begin] = ACTIONS(11406),
    [anon_sym_module] = ACTIONS(11406),
    [anon_sym_baremodule] = ACTIONS(11406),
    [anon_sym_end] = ACTIONS(11406),
    [anon_sym_abstract] = ACTIONS(11406),
    [anon_sym_primitive] = ACTIONS(11406),
    [anon_sym_mutable] = ACTIONS(11406),
    [anon_sym_struct] = ACTIONS(11406),
    [anon_sym_function] = ACTIONS(11406),
    [anon_sym_macro] = ACTIONS(11406),
    [anon_sym_quote] = ACTIONS(11406),
    [anon_sym_let] = ACTIONS(11406),
    [anon_sym_if] = ACTIONS(11406),
    [anon_sym_elseif] = ACTIONS(11406),
    [anon_sym_else] = ACTIONS(11406),
    [anon_sym_try] = ACTIONS(11406),
    [anon_sym_for] = ACTIONS(11406),
    [anon_sym_while] = ACTIONS(11406),
    [sym_break_statement] = ACTIONS(11406),
    [sym_continue_statement] = ACTIONS(11406),
    [anon_sym_return] = ACTIONS(11406),
    [anon_sym_const] = ACTIONS(11406),
    [anon_sym_global] = ACTIONS(11406),
    [anon_sym_local] = ACTIONS(11406),
    [anon_sym_LPAREN] = ACTIONS(11406),
    [anon_sym_COLON] = ACTIONS(11406),
    [anon_sym_export] = ACTIONS(11406),
    [anon_sym_public] = ACTIONS(11406),
    [anon_sym_import] = ACTIONS(11406),
    [anon_sym_using] = ACTIONS(11406),
    [anon_sym_LBRACK] = ACTIONS(11406),
    [anon_sym_in] = ACTIONS(11406),
    [anon_sym_SEMI] = ACTIONS(11406),
    [anon_sym_LBRACE] = ACTIONS(11406),
    [anon_sym_DOLLAR] = ACTIONS(11406),
    [anon_sym_COLON2] = ACTIONS(11406),
    [anon_sym_COLON_COLON] = ACTIONS(11406),
    [anon_sym_isa] = ACTIONS(11406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11406),
    [anon_sym_QMARK] = ACTIONS(11406),
    [anon_sym_where] = ACTIONS(11406),
    [anon_sym_AT] = ACTIONS(11406),
    [anon_sym_true] = ACTIONS(11406),
    [anon_sym_false] = ACTIONS(11406),
    [aux_sym_integer_literal_token1] = ACTIONS(11406),
    [aux_sym_integer_literal_token2] = ACTIONS(11406),
    [aux_sym_integer_literal_token3] = ACTIONS(11406),
    [aux_sym_integer_literal_token4] = ACTIONS(11406),
    [aux_sym_float_literal_token1] = ACTIONS(11406),
    [aux_sym_float_literal_token3] = ACTIONS(11406),
    [aux_sym_float_literal_token4] = ACTIONS(11406),
    [sym_character_literal] = ACTIONS(11406),
    [anon_sym_DQUOTE] = ACTIONS(11406),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11406),
    [anon_sym_BQUOTE] = ACTIONS(11406),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11406),
    [sym__pair_operator] = ACTIONS(11406),
    [sym__arrow_operator] = ACTIONS(11406),
    [sym__lazy_or_operator] = ACTIONS(11406),
    [sym__lazy_and_operator] = ACTIONS(11406),
    [sym__comparison_operator] = ACTIONS(11406),
    [sym__pipe_right_operator] = ACTIONS(11406),
    [sym__pipe_left_operator] = ACTIONS(11406),
    [sym__ellipsis_operator] = ACTIONS(11406),
    [sym__plus_operator] = ACTIONS(11406),
    [sym__times_operator] = ACTIONS(11406),
    [sym__rational_operator] = ACTIONS(11406),
    [sym__bitshift_operator] = ACTIONS(11406),
    [sym__power_operator] = ACTIONS(11406),
    [sym__tilde_operator] = ACTIONS(11406),
    [sym__type_order_operator] = ACTIONS(11406),
    [sym__unary_operator] = ACTIONS(11406),
    [sym__unary_plus_operator] = ACTIONS(11406),
    [aux_sym__terminator_token1] = ACTIONS(11408),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7921] = {
    [sym_block_comment] = STATE(7921),
    [sym_line_comment] = STATE(7921),
    [sym__word_identifier] = ACTIONS(11410),
    [anon_sym_COMMA] = ACTIONS(11410),
    [anon_sym_EQ] = ACTIONS(11410),
    [anon_sym_begin] = ACTIONS(11410),
    [anon_sym_module] = ACTIONS(11410),
    [anon_sym_baremodule] = ACTIONS(11410),
    [anon_sym_end] = ACTIONS(11410),
    [anon_sym_abstract] = ACTIONS(11410),
    [anon_sym_primitive] = ACTIONS(11410),
    [anon_sym_mutable] = ACTIONS(11410),
    [anon_sym_struct] = ACTIONS(11410),
    [anon_sym_function] = ACTIONS(11410),
    [anon_sym_macro] = ACTIONS(11410),
    [anon_sym_quote] = ACTIONS(11410),
    [anon_sym_let] = ACTIONS(11410),
    [anon_sym_if] = ACTIONS(11410),
    [anon_sym_elseif] = ACTIONS(11410),
    [anon_sym_else] = ACTIONS(11410),
    [anon_sym_try] = ACTIONS(11410),
    [anon_sym_for] = ACTIONS(11410),
    [anon_sym_while] = ACTIONS(11410),
    [sym_break_statement] = ACTIONS(11410),
    [sym_continue_statement] = ACTIONS(11410),
    [anon_sym_return] = ACTIONS(11410),
    [anon_sym_const] = ACTIONS(11410),
    [anon_sym_global] = ACTIONS(11410),
    [anon_sym_local] = ACTIONS(11410),
    [anon_sym_LPAREN] = ACTIONS(11410),
    [anon_sym_COLON] = ACTIONS(11410),
    [anon_sym_export] = ACTIONS(11410),
    [anon_sym_public] = ACTIONS(11410),
    [anon_sym_import] = ACTIONS(11410),
    [anon_sym_using] = ACTIONS(11410),
    [anon_sym_LBRACK] = ACTIONS(11410),
    [anon_sym_in] = ACTIONS(11410),
    [anon_sym_SEMI] = ACTIONS(11410),
    [anon_sym_LBRACE] = ACTIONS(11410),
    [anon_sym_DOLLAR] = ACTIONS(11410),
    [anon_sym_COLON2] = ACTIONS(11410),
    [anon_sym_COLON_COLON] = ACTIONS(11410),
    [anon_sym_isa] = ACTIONS(11410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11410),
    [anon_sym_QMARK] = ACTIONS(11410),
    [anon_sym_where] = ACTIONS(11410),
    [anon_sym_AT] = ACTIONS(11410),
    [anon_sym_true] = ACTIONS(11410),
    [anon_sym_false] = ACTIONS(11410),
    [aux_sym_integer_literal_token1] = ACTIONS(11410),
    [aux_sym_integer_literal_token2] = ACTIONS(11410),
    [aux_sym_integer_literal_token3] = ACTIONS(11410),
    [aux_sym_integer_literal_token4] = ACTIONS(11410),
    [aux_sym_float_literal_token1] = ACTIONS(11410),
    [aux_sym_float_literal_token3] = ACTIONS(11410),
    [aux_sym_float_literal_token4] = ACTIONS(11410),
    [sym_character_literal] = ACTIONS(11410),
    [anon_sym_DQUOTE] = ACTIONS(11410),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11410),
    [anon_sym_BQUOTE] = ACTIONS(11410),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11410),
    [sym__pair_operator] = ACTIONS(11410),
    [sym__arrow_operator] = ACTIONS(11410),
    [sym__lazy_or_operator] = ACTIONS(11410),
    [sym__lazy_and_operator] = ACTIONS(11410),
    [sym__comparison_operator] = ACTIONS(11410),
    [sym__pipe_right_operator] = ACTIONS(11410),
    [sym__pipe_left_operator] = ACTIONS(11410),
    [sym__ellipsis_operator] = ACTIONS(11410),
    [sym__plus_operator] = ACTIONS(11410),
    [sym__times_operator] = ACTIONS(11410),
    [sym__rational_operator] = ACTIONS(11410),
    [sym__bitshift_operator] = ACTIONS(11410),
    [sym__power_operator] = ACTIONS(11410),
    [sym__tilde_operator] = ACTIONS(11410),
    [sym__type_order_operator] = ACTIONS(11410),
    [sym__unary_operator] = ACTIONS(11410),
    [sym__unary_plus_operator] = ACTIONS(11410),
    [aux_sym__terminator_token1] = ACTIONS(11412),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7922] = {
    [sym_block_comment] = STATE(7922),
    [sym_line_comment] = STATE(7922),
    [sym__word_identifier] = ACTIONS(11414),
    [anon_sym_COMMA] = ACTIONS(11414),
    [anon_sym_EQ] = ACTIONS(11414),
    [anon_sym_begin] = ACTIONS(11414),
    [anon_sym_module] = ACTIONS(11414),
    [anon_sym_baremodule] = ACTIONS(11414),
    [anon_sym_end] = ACTIONS(11414),
    [anon_sym_abstract] = ACTIONS(11414),
    [anon_sym_primitive] = ACTIONS(11414),
    [anon_sym_mutable] = ACTIONS(11414),
    [anon_sym_struct] = ACTIONS(11414),
    [anon_sym_function] = ACTIONS(11414),
    [anon_sym_macro] = ACTIONS(11414),
    [anon_sym_quote] = ACTIONS(11414),
    [anon_sym_let] = ACTIONS(11414),
    [anon_sym_if] = ACTIONS(11414),
    [anon_sym_elseif] = ACTIONS(11414),
    [anon_sym_else] = ACTIONS(11414),
    [anon_sym_try] = ACTIONS(11414),
    [anon_sym_for] = ACTIONS(11414),
    [anon_sym_while] = ACTIONS(11414),
    [sym_break_statement] = ACTIONS(11414),
    [sym_continue_statement] = ACTIONS(11414),
    [anon_sym_return] = ACTIONS(11414),
    [anon_sym_const] = ACTIONS(11414),
    [anon_sym_global] = ACTIONS(11414),
    [anon_sym_local] = ACTIONS(11414),
    [anon_sym_LPAREN] = ACTIONS(11414),
    [anon_sym_COLON] = ACTIONS(11414),
    [anon_sym_export] = ACTIONS(11414),
    [anon_sym_public] = ACTIONS(11414),
    [anon_sym_import] = ACTIONS(11414),
    [anon_sym_using] = ACTIONS(11414),
    [anon_sym_LBRACK] = ACTIONS(11414),
    [anon_sym_in] = ACTIONS(11414),
    [anon_sym_SEMI] = ACTIONS(11414),
    [anon_sym_LBRACE] = ACTIONS(11414),
    [anon_sym_DOLLAR] = ACTIONS(11414),
    [anon_sym_COLON2] = ACTIONS(11414),
    [anon_sym_COLON_COLON] = ACTIONS(11414),
    [anon_sym_isa] = ACTIONS(11414),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11414),
    [anon_sym_QMARK] = ACTIONS(11414),
    [anon_sym_where] = ACTIONS(11414),
    [anon_sym_AT] = ACTIONS(11414),
    [anon_sym_true] = ACTIONS(11414),
    [anon_sym_false] = ACTIONS(11414),
    [aux_sym_integer_literal_token1] = ACTIONS(11414),
    [aux_sym_integer_literal_token2] = ACTIONS(11414),
    [aux_sym_integer_literal_token3] = ACTIONS(11414),
    [aux_sym_integer_literal_token4] = ACTIONS(11414),
    [aux_sym_float_literal_token1] = ACTIONS(11414),
    [aux_sym_float_literal_token3] = ACTIONS(11414),
    [aux_sym_float_literal_token4] = ACTIONS(11414),
    [sym_character_literal] = ACTIONS(11414),
    [anon_sym_DQUOTE] = ACTIONS(11414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11414),
    [anon_sym_BQUOTE] = ACTIONS(11414),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11414),
    [sym__pair_operator] = ACTIONS(11414),
    [sym__arrow_operator] = ACTIONS(11414),
    [sym__lazy_or_operator] = ACTIONS(11414),
    [sym__lazy_and_operator] = ACTIONS(11414),
    [sym__comparison_operator] = ACTIONS(11414),
    [sym__pipe_right_operator] = ACTIONS(11414),
    [sym__pipe_left_operator] = ACTIONS(11414),
    [sym__ellipsis_operator] = ACTIONS(11414),
    [sym__plus_operator] = ACTIONS(11414),
    [sym__times_operator] = ACTIONS(11414),
    [sym__rational_operator] = ACTIONS(11414),
    [sym__bitshift_operator] = ACTIONS(11414),
    [sym__power_operator] = ACTIONS(11414),
    [sym__tilde_operator] = ACTIONS(11414),
    [sym__type_order_operator] = ACTIONS(11414),
    [sym__unary_operator] = ACTIONS(11414),
    [sym__unary_plus_operator] = ACTIONS(11414),
    [aux_sym__terminator_token1] = ACTIONS(11416),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7923] = {
    [sym_block_comment] = STATE(7923),
    [sym_line_comment] = STATE(7923),
    [sym__word_identifier] = ACTIONS(11418),
    [anon_sym_COMMA] = ACTIONS(11418),
    [anon_sym_EQ] = ACTIONS(11418),
    [anon_sym_begin] = ACTIONS(11418),
    [anon_sym_module] = ACTIONS(11418),
    [anon_sym_baremodule] = ACTIONS(11418),
    [anon_sym_end] = ACTIONS(11418),
    [anon_sym_abstract] = ACTIONS(11418),
    [anon_sym_primitive] = ACTIONS(11418),
    [anon_sym_mutable] = ACTIONS(11418),
    [anon_sym_struct] = ACTIONS(11418),
    [anon_sym_function] = ACTIONS(11418),
    [anon_sym_macro] = ACTIONS(11418),
    [anon_sym_quote] = ACTIONS(11418),
    [anon_sym_let] = ACTIONS(11418),
    [anon_sym_if] = ACTIONS(11418),
    [anon_sym_elseif] = ACTIONS(11418),
    [anon_sym_else] = ACTIONS(11418),
    [anon_sym_try] = ACTIONS(11418),
    [anon_sym_for] = ACTIONS(11418),
    [anon_sym_while] = ACTIONS(11418),
    [sym_break_statement] = ACTIONS(11418),
    [sym_continue_statement] = ACTIONS(11418),
    [anon_sym_return] = ACTIONS(11418),
    [anon_sym_const] = ACTIONS(11418),
    [anon_sym_global] = ACTIONS(11418),
    [anon_sym_local] = ACTIONS(11418),
    [anon_sym_LPAREN] = ACTIONS(11418),
    [anon_sym_COLON] = ACTIONS(11418),
    [anon_sym_export] = ACTIONS(11418),
    [anon_sym_public] = ACTIONS(11418),
    [anon_sym_import] = ACTIONS(11418),
    [anon_sym_using] = ACTIONS(11418),
    [anon_sym_LBRACK] = ACTIONS(11418),
    [anon_sym_in] = ACTIONS(11418),
    [anon_sym_SEMI] = ACTIONS(11418),
    [anon_sym_LBRACE] = ACTIONS(11418),
    [anon_sym_DOLLAR] = ACTIONS(11418),
    [anon_sym_COLON2] = ACTIONS(11418),
    [anon_sym_COLON_COLON] = ACTIONS(11418),
    [anon_sym_isa] = ACTIONS(11418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11418),
    [anon_sym_QMARK] = ACTIONS(11418),
    [anon_sym_where] = ACTIONS(11418),
    [anon_sym_AT] = ACTIONS(11418),
    [anon_sym_true] = ACTIONS(11418),
    [anon_sym_false] = ACTIONS(11418),
    [aux_sym_integer_literal_token1] = ACTIONS(11418),
    [aux_sym_integer_literal_token2] = ACTIONS(11418),
    [aux_sym_integer_literal_token3] = ACTIONS(11418),
    [aux_sym_integer_literal_token4] = ACTIONS(11418),
    [aux_sym_float_literal_token1] = ACTIONS(11418),
    [aux_sym_float_literal_token3] = ACTIONS(11418),
    [aux_sym_float_literal_token4] = ACTIONS(11418),
    [sym_character_literal] = ACTIONS(11418),
    [anon_sym_DQUOTE] = ACTIONS(11418),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11418),
    [anon_sym_BQUOTE] = ACTIONS(11418),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11418),
    [sym__pair_operator] = ACTIONS(11418),
    [sym__arrow_operator] = ACTIONS(11418),
    [sym__lazy_or_operator] = ACTIONS(11418),
    [sym__lazy_and_operator] = ACTIONS(11418),
    [sym__comparison_operator] = ACTIONS(11418),
    [sym__pipe_right_operator] = ACTIONS(11418),
    [sym__pipe_left_operator] = ACTIONS(11418),
    [sym__ellipsis_operator] = ACTIONS(11418),
    [sym__plus_operator] = ACTIONS(11418),
    [sym__times_operator] = ACTIONS(11418),
    [sym__rational_operator] = ACTIONS(11418),
    [sym__bitshift_operator] = ACTIONS(11418),
    [sym__power_operator] = ACTIONS(11418),
    [sym__tilde_operator] = ACTIONS(11418),
    [sym__type_order_operator] = ACTIONS(11418),
    [sym__unary_operator] = ACTIONS(11418),
    [sym__unary_plus_operator] = ACTIONS(11418),
    [aux_sym__terminator_token1] = ACTIONS(11420),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7924] = {
    [sym_block_comment] = STATE(7924),
    [sym_line_comment] = STATE(7924),
    [sym__word_identifier] = ACTIONS(11422),
    [anon_sym_COMMA] = ACTIONS(11422),
    [anon_sym_EQ] = ACTIONS(11422),
    [anon_sym_begin] = ACTIONS(11422),
    [anon_sym_module] = ACTIONS(11422),
    [anon_sym_baremodule] = ACTIONS(11422),
    [anon_sym_end] = ACTIONS(11422),
    [anon_sym_abstract] = ACTIONS(11422),
    [anon_sym_primitive] = ACTIONS(11422),
    [anon_sym_mutable] = ACTIONS(11422),
    [anon_sym_struct] = ACTIONS(11422),
    [anon_sym_function] = ACTIONS(11422),
    [anon_sym_macro] = ACTIONS(11422),
    [anon_sym_quote] = ACTIONS(11422),
    [anon_sym_let] = ACTIONS(11422),
    [anon_sym_if] = ACTIONS(11422),
    [anon_sym_elseif] = ACTIONS(11422),
    [anon_sym_else] = ACTIONS(11422),
    [anon_sym_try] = ACTIONS(11422),
    [anon_sym_for] = ACTIONS(11422),
    [anon_sym_while] = ACTIONS(11422),
    [sym_break_statement] = ACTIONS(11422),
    [sym_continue_statement] = ACTIONS(11422),
    [anon_sym_return] = ACTIONS(11422),
    [anon_sym_const] = ACTIONS(11422),
    [anon_sym_global] = ACTIONS(11422),
    [anon_sym_local] = ACTIONS(11422),
    [anon_sym_LPAREN] = ACTIONS(11422),
    [anon_sym_COLON] = ACTIONS(11422),
    [anon_sym_export] = ACTIONS(11422),
    [anon_sym_public] = ACTIONS(11422),
    [anon_sym_import] = ACTIONS(11422),
    [anon_sym_using] = ACTIONS(11422),
    [anon_sym_LBRACK] = ACTIONS(11422),
    [anon_sym_in] = ACTIONS(11422),
    [anon_sym_SEMI] = ACTIONS(11422),
    [anon_sym_LBRACE] = ACTIONS(11422),
    [anon_sym_DOLLAR] = ACTIONS(11422),
    [anon_sym_COLON2] = ACTIONS(11422),
    [anon_sym_COLON_COLON] = ACTIONS(11422),
    [anon_sym_isa] = ACTIONS(11422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11422),
    [anon_sym_QMARK] = ACTIONS(11422),
    [anon_sym_where] = ACTIONS(11422),
    [anon_sym_AT] = ACTIONS(11422),
    [anon_sym_true] = ACTIONS(11422),
    [anon_sym_false] = ACTIONS(11422),
    [aux_sym_integer_literal_token1] = ACTIONS(11422),
    [aux_sym_integer_literal_token2] = ACTIONS(11422),
    [aux_sym_integer_literal_token3] = ACTIONS(11422),
    [aux_sym_integer_literal_token4] = ACTIONS(11422),
    [aux_sym_float_literal_token1] = ACTIONS(11422),
    [aux_sym_float_literal_token3] = ACTIONS(11422),
    [aux_sym_float_literal_token4] = ACTIONS(11422),
    [sym_character_literal] = ACTIONS(11422),
    [anon_sym_DQUOTE] = ACTIONS(11422),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11422),
    [anon_sym_BQUOTE] = ACTIONS(11422),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11422),
    [sym__pair_operator] = ACTIONS(11422),
    [sym__arrow_operator] = ACTIONS(11422),
    [sym__lazy_or_operator] = ACTIONS(11422),
    [sym__lazy_and_operator] = ACTIONS(11422),
    [sym__comparison_operator] = ACTIONS(11422),
    [sym__pipe_right_operator] = ACTIONS(11422),
    [sym__pipe_left_operator] = ACTIONS(11422),
    [sym__ellipsis_operator] = ACTIONS(11422),
    [sym__plus_operator] = ACTIONS(11422),
    [sym__times_operator] = ACTIONS(11422),
    [sym__rational_operator] = ACTIONS(11422),
    [sym__bitshift_operator] = ACTIONS(11422),
    [sym__power_operator] = ACTIONS(11422),
    [sym__tilde_operator] = ACTIONS(11422),
    [sym__type_order_operator] = ACTIONS(11422),
    [sym__unary_operator] = ACTIONS(11422),
    [sym__unary_plus_operator] = ACTIONS(11422),
    [aux_sym__terminator_token1] = ACTIONS(11424),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7925] = {
    [sym_block_comment] = STATE(7925),
    [sym_line_comment] = STATE(7925),
    [sym__word_identifier] = ACTIONS(11426),
    [anon_sym_COMMA] = ACTIONS(11426),
    [anon_sym_EQ] = ACTIONS(11426),
    [anon_sym_begin] = ACTIONS(11426),
    [anon_sym_module] = ACTIONS(11426),
    [anon_sym_baremodule] = ACTIONS(11426),
    [anon_sym_end] = ACTIONS(11426),
    [anon_sym_abstract] = ACTIONS(11426),
    [anon_sym_primitive] = ACTIONS(11426),
    [anon_sym_mutable] = ACTIONS(11426),
    [anon_sym_struct] = ACTIONS(11426),
    [anon_sym_function] = ACTIONS(11426),
    [anon_sym_macro] = ACTIONS(11426),
    [anon_sym_quote] = ACTIONS(11426),
    [anon_sym_let] = ACTIONS(11426),
    [anon_sym_if] = ACTIONS(11426),
    [anon_sym_elseif] = ACTIONS(11426),
    [anon_sym_else] = ACTIONS(11426),
    [anon_sym_try] = ACTIONS(11426),
    [anon_sym_for] = ACTIONS(11426),
    [anon_sym_while] = ACTIONS(11426),
    [sym_break_statement] = ACTIONS(11426),
    [sym_continue_statement] = ACTIONS(11426),
    [anon_sym_return] = ACTIONS(11426),
    [anon_sym_const] = ACTIONS(11426),
    [anon_sym_global] = ACTIONS(11426),
    [anon_sym_local] = ACTIONS(11426),
    [anon_sym_LPAREN] = ACTIONS(11426),
    [anon_sym_COLON] = ACTIONS(11426),
    [anon_sym_export] = ACTIONS(11426),
    [anon_sym_public] = ACTIONS(11426),
    [anon_sym_import] = ACTIONS(11426),
    [anon_sym_using] = ACTIONS(11426),
    [anon_sym_LBRACK] = ACTIONS(11426),
    [anon_sym_in] = ACTIONS(11426),
    [anon_sym_SEMI] = ACTIONS(11426),
    [anon_sym_LBRACE] = ACTIONS(11426),
    [anon_sym_DOLLAR] = ACTIONS(11426),
    [anon_sym_COLON2] = ACTIONS(11426),
    [anon_sym_COLON_COLON] = ACTIONS(11426),
    [anon_sym_isa] = ACTIONS(11426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11426),
    [anon_sym_QMARK] = ACTIONS(11426),
    [anon_sym_where] = ACTIONS(11426),
    [anon_sym_AT] = ACTIONS(11426),
    [anon_sym_true] = ACTIONS(11426),
    [anon_sym_false] = ACTIONS(11426),
    [aux_sym_integer_literal_token1] = ACTIONS(11426),
    [aux_sym_integer_literal_token2] = ACTIONS(11426),
    [aux_sym_integer_literal_token3] = ACTIONS(11426),
    [aux_sym_integer_literal_token4] = ACTIONS(11426),
    [aux_sym_float_literal_token1] = ACTIONS(11426),
    [aux_sym_float_literal_token3] = ACTIONS(11426),
    [aux_sym_float_literal_token4] = ACTIONS(11426),
    [sym_character_literal] = ACTIONS(11426),
    [anon_sym_DQUOTE] = ACTIONS(11426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11426),
    [anon_sym_BQUOTE] = ACTIONS(11426),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11426),
    [sym__pair_operator] = ACTIONS(11426),
    [sym__arrow_operator] = ACTIONS(11426),
    [sym__lazy_or_operator] = ACTIONS(11426),
    [sym__lazy_and_operator] = ACTIONS(11426),
    [sym__comparison_operator] = ACTIONS(11426),
    [sym__pipe_right_operator] = ACTIONS(11426),
    [sym__pipe_left_operator] = ACTIONS(11426),
    [sym__ellipsis_operator] = ACTIONS(11426),
    [sym__plus_operator] = ACTIONS(11426),
    [sym__times_operator] = ACTIONS(11426),
    [sym__rational_operator] = ACTIONS(11426),
    [sym__bitshift_operator] = ACTIONS(11426),
    [sym__power_operator] = ACTIONS(11426),
    [sym__tilde_operator] = ACTIONS(11426),
    [sym__type_order_operator] = ACTIONS(11426),
    [sym__unary_operator] = ACTIONS(11426),
    [sym__unary_plus_operator] = ACTIONS(11426),
    [aux_sym__terminator_token1] = ACTIONS(11428),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7926] = {
    [sym_block_comment] = STATE(7926),
    [sym_line_comment] = STATE(7926),
    [sym__word_identifier] = ACTIONS(11481),
    [anon_sym_COMMA] = ACTIONS(11481),
    [anon_sym_EQ] = ACTIONS(11481),
    [anon_sym_begin] = ACTIONS(11481),
    [anon_sym_module] = ACTIONS(11481),
    [anon_sym_baremodule] = ACTIONS(11481),
    [anon_sym_end] = ACTIONS(11481),
    [anon_sym_abstract] = ACTIONS(11481),
    [anon_sym_primitive] = ACTIONS(11481),
    [anon_sym_mutable] = ACTIONS(11481),
    [anon_sym_struct] = ACTIONS(11481),
    [anon_sym_function] = ACTIONS(11481),
    [anon_sym_macro] = ACTIONS(11481),
    [anon_sym_quote] = ACTIONS(11481),
    [anon_sym_let] = ACTIONS(11481),
    [anon_sym_if] = ACTIONS(11481),
    [anon_sym_elseif] = ACTIONS(11481),
    [anon_sym_else] = ACTIONS(11481),
    [anon_sym_try] = ACTIONS(11481),
    [anon_sym_for] = ACTIONS(11481),
    [anon_sym_while] = ACTIONS(11481),
    [sym_break_statement] = ACTIONS(11481),
    [sym_continue_statement] = ACTIONS(11481),
    [anon_sym_return] = ACTIONS(11481),
    [anon_sym_const] = ACTIONS(11481),
    [anon_sym_global] = ACTIONS(11481),
    [anon_sym_local] = ACTIONS(11481),
    [anon_sym_LPAREN] = ACTIONS(11481),
    [anon_sym_COLON] = ACTIONS(11481),
    [anon_sym_export] = ACTIONS(11481),
    [anon_sym_public] = ACTIONS(11481),
    [anon_sym_import] = ACTIONS(11481),
    [anon_sym_using] = ACTIONS(11481),
    [anon_sym_LBRACK] = ACTIONS(11481),
    [anon_sym_in] = ACTIONS(11481),
    [anon_sym_SEMI] = ACTIONS(11481),
    [anon_sym_LBRACE] = ACTIONS(11481),
    [anon_sym_DOLLAR] = ACTIONS(11481),
    [anon_sym_COLON2] = ACTIONS(11481),
    [anon_sym_COLON_COLON] = ACTIONS(11481),
    [anon_sym_isa] = ACTIONS(11481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11481),
    [anon_sym_QMARK] = ACTIONS(11481),
    [anon_sym_where] = ACTIONS(11481),
    [anon_sym_AT] = ACTIONS(11481),
    [anon_sym_true] = ACTIONS(11481),
    [anon_sym_false] = ACTIONS(11481),
    [aux_sym_integer_literal_token1] = ACTIONS(11481),
    [aux_sym_integer_literal_token2] = ACTIONS(11481),
    [aux_sym_integer_literal_token3] = ACTIONS(11481),
    [aux_sym_integer_literal_token4] = ACTIONS(11481),
    [aux_sym_float_literal_token1] = ACTIONS(11481),
    [aux_sym_float_literal_token3] = ACTIONS(11481),
    [aux_sym_float_literal_token4] = ACTIONS(11481),
    [sym_character_literal] = ACTIONS(11481),
    [anon_sym_DQUOTE] = ACTIONS(11481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11481),
    [anon_sym_BQUOTE] = ACTIONS(11481),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11481),
    [sym__pair_operator] = ACTIONS(11481),
    [sym__arrow_operator] = ACTIONS(11481),
    [sym__lazy_or_operator] = ACTIONS(11481),
    [sym__lazy_and_operator] = ACTIONS(11481),
    [sym__comparison_operator] = ACTIONS(11481),
    [sym__pipe_right_operator] = ACTIONS(11481),
    [sym__pipe_left_operator] = ACTIONS(11481),
    [sym__ellipsis_operator] = ACTIONS(11481),
    [sym__plus_operator] = ACTIONS(11481),
    [sym__times_operator] = ACTIONS(11481),
    [sym__rational_operator] = ACTIONS(11481),
    [sym__bitshift_operator] = ACTIONS(11481),
    [sym__power_operator] = ACTIONS(11481),
    [sym__tilde_operator] = ACTIONS(11481),
    [sym__type_order_operator] = ACTIONS(11481),
    [sym__unary_operator] = ACTIONS(11481),
    [sym__unary_plus_operator] = ACTIONS(11481),
    [aux_sym__terminator_token1] = ACTIONS(11483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7927] = {
    [sym_block_comment] = STATE(7927),
    [sym_line_comment] = STATE(7927),
    [sym__word_identifier] = ACTIONS(11485),
    [anon_sym_COMMA] = ACTIONS(11485),
    [anon_sym_EQ] = ACTIONS(11485),
    [anon_sym_begin] = ACTIONS(11485),
    [anon_sym_module] = ACTIONS(11485),
    [anon_sym_baremodule] = ACTIONS(11485),
    [anon_sym_end] = ACTIONS(11485),
    [anon_sym_abstract] = ACTIONS(11485),
    [anon_sym_primitive] = ACTIONS(11485),
    [anon_sym_mutable] = ACTIONS(11485),
    [anon_sym_struct] = ACTIONS(11485),
    [anon_sym_function] = ACTIONS(11485),
    [anon_sym_macro] = ACTIONS(11485),
    [anon_sym_quote] = ACTIONS(11485),
    [anon_sym_let] = ACTIONS(11485),
    [anon_sym_if] = ACTIONS(11485),
    [anon_sym_elseif] = ACTIONS(11485),
    [anon_sym_else] = ACTIONS(11485),
    [anon_sym_try] = ACTIONS(11485),
    [anon_sym_for] = ACTIONS(11485),
    [anon_sym_while] = ACTIONS(11485),
    [sym_break_statement] = ACTIONS(11485),
    [sym_continue_statement] = ACTIONS(11485),
    [anon_sym_return] = ACTIONS(11485),
    [anon_sym_const] = ACTIONS(11485),
    [anon_sym_global] = ACTIONS(11485),
    [anon_sym_local] = ACTIONS(11485),
    [anon_sym_LPAREN] = ACTIONS(11485),
    [anon_sym_COLON] = ACTIONS(11485),
    [anon_sym_export] = ACTIONS(11485),
    [anon_sym_public] = ACTIONS(11485),
    [anon_sym_import] = ACTIONS(11485),
    [anon_sym_using] = ACTIONS(11485),
    [anon_sym_LBRACK] = ACTIONS(11485),
    [anon_sym_in] = ACTIONS(11485),
    [anon_sym_SEMI] = ACTIONS(11485),
    [anon_sym_LBRACE] = ACTIONS(11485),
    [anon_sym_DOLLAR] = ACTIONS(11485),
    [anon_sym_COLON2] = ACTIONS(11485),
    [anon_sym_COLON_COLON] = ACTIONS(11485),
    [anon_sym_isa] = ACTIONS(11485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11485),
    [anon_sym_QMARK] = ACTIONS(11485),
    [anon_sym_where] = ACTIONS(11485),
    [anon_sym_AT] = ACTIONS(11485),
    [anon_sym_true] = ACTIONS(11485),
    [anon_sym_false] = ACTIONS(11485),
    [aux_sym_integer_literal_token1] = ACTIONS(11485),
    [aux_sym_integer_literal_token2] = ACTIONS(11485),
    [aux_sym_integer_literal_token3] = ACTIONS(11485),
    [aux_sym_integer_literal_token4] = ACTIONS(11485),
    [aux_sym_float_literal_token1] = ACTIONS(11485),
    [aux_sym_float_literal_token3] = ACTIONS(11485),
    [aux_sym_float_literal_token4] = ACTIONS(11485),
    [sym_character_literal] = ACTIONS(11485),
    [anon_sym_DQUOTE] = ACTIONS(11485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11485),
    [anon_sym_BQUOTE] = ACTIONS(11485),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11485),
    [sym__pair_operator] = ACTIONS(11485),
    [sym__arrow_operator] = ACTIONS(11485),
    [sym__lazy_or_operator] = ACTIONS(11485),
    [sym__lazy_and_operator] = ACTIONS(11485),
    [sym__comparison_operator] = ACTIONS(11485),
    [sym__pipe_right_operator] = ACTIONS(11485),
    [sym__pipe_left_operator] = ACTIONS(11485),
    [sym__ellipsis_operator] = ACTIONS(11485),
    [sym__plus_operator] = ACTIONS(11485),
    [sym__times_operator] = ACTIONS(11485),
    [sym__rational_operator] = ACTIONS(11485),
    [sym__bitshift_operator] = ACTIONS(11485),
    [sym__power_operator] = ACTIONS(11485),
    [sym__tilde_operator] = ACTIONS(11485),
    [sym__type_order_operator] = ACTIONS(11485),
    [sym__unary_operator] = ACTIONS(11485),
    [sym__unary_plus_operator] = ACTIONS(11485),
    [aux_sym__terminator_token1] = ACTIONS(11487),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7928] = {
    [sym_block_comment] = STATE(7928),
    [sym_line_comment] = STATE(7928),
    [sym__word_identifier] = ACTIONS(11489),
    [anon_sym_COMMA] = ACTIONS(11489),
    [anon_sym_EQ] = ACTIONS(11489),
    [anon_sym_begin] = ACTIONS(11489),
    [anon_sym_module] = ACTIONS(11489),
    [anon_sym_baremodule] = ACTIONS(11489),
    [anon_sym_end] = ACTIONS(11489),
    [anon_sym_abstract] = ACTIONS(11489),
    [anon_sym_primitive] = ACTIONS(11489),
    [anon_sym_mutable] = ACTIONS(11489),
    [anon_sym_struct] = ACTIONS(11489),
    [anon_sym_function] = ACTIONS(11489),
    [anon_sym_macro] = ACTIONS(11489),
    [anon_sym_quote] = ACTIONS(11489),
    [anon_sym_let] = ACTIONS(11489),
    [anon_sym_if] = ACTIONS(11489),
    [anon_sym_elseif] = ACTIONS(11489),
    [anon_sym_else] = ACTIONS(11489),
    [anon_sym_try] = ACTIONS(11489),
    [anon_sym_for] = ACTIONS(11489),
    [anon_sym_while] = ACTIONS(11489),
    [sym_break_statement] = ACTIONS(11489),
    [sym_continue_statement] = ACTIONS(11489),
    [anon_sym_return] = ACTIONS(11489),
    [anon_sym_const] = ACTIONS(11489),
    [anon_sym_global] = ACTIONS(11489),
    [anon_sym_local] = ACTIONS(11489),
    [anon_sym_LPAREN] = ACTIONS(11489),
    [anon_sym_COLON] = ACTIONS(11489),
    [anon_sym_export] = ACTIONS(11489),
    [anon_sym_public] = ACTIONS(11489),
    [anon_sym_import] = ACTIONS(11489),
    [anon_sym_using] = ACTIONS(11489),
    [anon_sym_LBRACK] = ACTIONS(11489),
    [anon_sym_in] = ACTIONS(11489),
    [anon_sym_SEMI] = ACTIONS(11489),
    [anon_sym_LBRACE] = ACTIONS(11489),
    [anon_sym_DOLLAR] = ACTIONS(11489),
    [anon_sym_COLON2] = ACTIONS(11489),
    [anon_sym_COLON_COLON] = ACTIONS(11489),
    [anon_sym_isa] = ACTIONS(11489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11489),
    [anon_sym_QMARK] = ACTIONS(11489),
    [anon_sym_where] = ACTIONS(11489),
    [anon_sym_AT] = ACTIONS(11489),
    [anon_sym_true] = ACTIONS(11489),
    [anon_sym_false] = ACTIONS(11489),
    [aux_sym_integer_literal_token1] = ACTIONS(11489),
    [aux_sym_integer_literal_token2] = ACTIONS(11489),
    [aux_sym_integer_literal_token3] = ACTIONS(11489),
    [aux_sym_integer_literal_token4] = ACTIONS(11489),
    [aux_sym_float_literal_token1] = ACTIONS(11489),
    [aux_sym_float_literal_token3] = ACTIONS(11489),
    [aux_sym_float_literal_token4] = ACTIONS(11489),
    [sym_character_literal] = ACTIONS(11489),
    [anon_sym_DQUOTE] = ACTIONS(11489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11489),
    [anon_sym_BQUOTE] = ACTIONS(11489),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11489),
    [sym__pair_operator] = ACTIONS(11489),
    [sym__arrow_operator] = ACTIONS(11489),
    [sym__lazy_or_operator] = ACTIONS(11489),
    [sym__lazy_and_operator] = ACTIONS(11489),
    [sym__comparison_operator] = ACTIONS(11489),
    [sym__pipe_right_operator] = ACTIONS(11489),
    [sym__pipe_left_operator] = ACTIONS(11489),
    [sym__ellipsis_operator] = ACTIONS(11489),
    [sym__plus_operator] = ACTIONS(11489),
    [sym__times_operator] = ACTIONS(11489),
    [sym__rational_operator] = ACTIONS(11489),
    [sym__bitshift_operator] = ACTIONS(11489),
    [sym__power_operator] = ACTIONS(11489),
    [sym__tilde_operator] = ACTIONS(11489),
    [sym__type_order_operator] = ACTIONS(11489),
    [sym__unary_operator] = ACTIONS(11489),
    [sym__unary_plus_operator] = ACTIONS(11489),
    [aux_sym__terminator_token1] = ACTIONS(11491),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7929] = {
    [sym_block_comment] = STATE(7929),
    [sym_line_comment] = STATE(7929),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_catch] = ACTIONS(10229),
    [anon_sym_finally] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7930] = {
    [sym_block_comment] = STATE(7930),
    [sym_line_comment] = STATE(7930),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_catch] = ACTIONS(10263),
    [anon_sym_finally] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7931] = {
    [sym_block_comment] = STATE(7931),
    [sym_line_comment] = STATE(7931),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_catch] = ACTIONS(10339),
    [anon_sym_finally] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7932] = {
    [sym_block_comment] = STATE(7932),
    [sym_line_comment] = STATE(7932),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_catch] = ACTIONS(10371),
    [anon_sym_finally] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7933] = {
    [sym_block_comment] = STATE(7933),
    [sym_line_comment] = STATE(7933),
    [ts_builtin_sym_end] = ACTIONS(10279),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_RBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7934] = {
    [sym_block_comment] = STATE(7934),
    [sym_line_comment] = STATE(7934),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_catch] = ACTIONS(10409),
    [anon_sym_finally] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7935] = {
    [sym_block_comment] = STATE(7935),
    [sym_line_comment] = STATE(7935),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11102),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_end] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_elseif] = ACTIONS(11102),
    [anon_sym_else] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11102),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11102),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_SEMI] = ACTIONS(11102),
    [anon_sym_LBRACE] = ACTIONS(11102),
    [anon_sym_DOLLAR] = ACTIONS(11102),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11102),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11102),
    [anon_sym_QMARK] = ACTIONS(11102),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11102),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11102),
    [aux_sym_integer_literal_token2] = ACTIONS(11102),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11102),
    [aux_sym_float_literal_token3] = ACTIONS(11102),
    [aux_sym_float_literal_token4] = ACTIONS(11102),
    [sym_character_literal] = ACTIONS(11102),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(11102),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11102),
    [sym__lazy_and_operator] = ACTIONS(11102),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11102),
    [sym__pipe_left_operator] = ACTIONS(11102),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11102),
    [sym__bitshift_operator] = ACTIONS(11102),
    [sym__power_operator] = ACTIONS(11102),
    [sym__tilde_operator] = ACTIONS(11102),
    [sym__type_order_operator] = ACTIONS(11102),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym__terminator_token1] = ACTIONS(11104),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7936] = {
    [sym_block_comment] = STATE(7936),
    [sym_line_comment] = STATE(7936),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(11149),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_end] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_elseif] = ACTIONS(11149),
    [anon_sym_else] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11149),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11149),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_SEMI] = ACTIONS(11149),
    [anon_sym_LBRACE] = ACTIONS(11149),
    [anon_sym_DOLLAR] = ACTIONS(11149),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11149),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11149),
    [anon_sym_QMARK] = ACTIONS(11149),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11149),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11149),
    [aux_sym_integer_literal_token2] = ACTIONS(11149),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11149),
    [aux_sym_float_literal_token3] = ACTIONS(11149),
    [aux_sym_float_literal_token4] = ACTIONS(11149),
    [sym_character_literal] = ACTIONS(11149),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11149),
    [sym__pair_operator] = ACTIONS(11149),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11149),
    [sym__lazy_and_operator] = ACTIONS(11149),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11149),
    [sym__pipe_left_operator] = ACTIONS(11149),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11149),
    [sym__bitshift_operator] = ACTIONS(11149),
    [sym__power_operator] = ACTIONS(11149),
    [sym__tilde_operator] = ACTIONS(11149),
    [sym__type_order_operator] = ACTIONS(11149),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym__terminator_token1] = ACTIONS(11154),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7937] = {
    [sym_block_comment] = STATE(7937),
    [sym_line_comment] = STATE(7937),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_catch] = ACTIONS(10217),
    [anon_sym_finally] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7938] = {
    [sym_block_comment] = STATE(7938),
    [sym_line_comment] = STATE(7938),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7939] = {
    [sym_block_comment] = STATE(7939),
    [sym_line_comment] = STATE(7939),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_as] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7940] = {
    [sym_block_comment] = STATE(7940),
    [sym_line_comment] = STATE(7940),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_finally] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7941] = {
    [sym__comprehension_clause] = STATE(20165),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(7941),
    [sym_line_comment] = STATE(7941),
    [aux_sym_vector_expression_repeat1] = STATE(18176),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11734),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11736),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11738),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11741),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7942] = {
    [sym_block_comment] = STATE(7942),
    [sym_line_comment] = STATE(7942),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_catch] = ACTIONS(10277),
    [anon_sym_finally] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7943] = {
    [sym_block_comment] = STATE(7943),
    [sym_line_comment] = STATE(7943),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_catch] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7944] = {
    [sym_block_comment] = STATE(7944),
    [sym_line_comment] = STATE(7944),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11159),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_elseif] = ACTIONS(11159),
    [anon_sym_else] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7945] = {
    [sym_identifier] = STATE(9140),
    [sym_block_comment] = STATE(7945),
    [sym_line_comment] = STATE(7945),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10131),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10131),
    [anon_sym_QMARK] = ACTIONS(10131),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10131),
    [sym__lazy_and_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7946] = {
    [sym_identifier] = STATE(9141),
    [sym_block_comment] = STATE(7946),
    [sym_line_comment] = STATE(7946),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10135),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10135),
    [anon_sym_QMARK] = ACTIONS(10135),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10135),
    [sym__lazy_and_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7947] = {
    [sym_block_comment] = STATE(7947),
    [sym_line_comment] = STATE(7947),
    [ts_builtin_sym_end] = ACTIONS(9909),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_RBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7948] = {
    [sym_identifier] = STATE(9148),
    [sym_block_comment] = STATE(7948),
    [sym_line_comment] = STATE(7948),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10143),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10143),
    [anon_sym_QMARK] = ACTIONS(10143),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10143),
    [sym__lazy_and_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7949] = {
    [sym_identifier] = STATE(9149),
    [sym_block_comment] = STATE(7949),
    [sym_line_comment] = STATE(7949),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10007),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10007),
    [anon_sym_QMARK] = ACTIONS(10007),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10007),
    [sym__lazy_and_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7950] = {
    [sym_block_comment] = STATE(7950),
    [sym_line_comment] = STATE(7950),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7951] = {
    [sym_block_comment] = STATE(7951),
    [sym_line_comment] = STATE(7951),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11744),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7952] = {
    [sym_block_comment] = STATE(7952),
    [sym_line_comment] = STATE(7952),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_catch] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7953] = {
    [sym__comprehension_clause] = STATE(19515),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(7953),
    [sym_line_comment] = STATE(7953),
    [aux_sym_vector_expression_repeat1] = STATE(18056),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11746),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11748),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11750),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11753),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7954] = {
    [sym_block_comment] = STATE(7954),
    [sym_line_comment] = STATE(7954),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_catch] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7955] = {
    [sym_block_comment] = STATE(7955),
    [sym_line_comment] = STATE(7955),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10091),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10091),
    [anon_sym_RPAREN] = ACTIONS(10091),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10091),
    [anon_sym_RBRACK] = ACTIONS(10091),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10091),
    [anon_sym_LBRACE] = ACTIONS(10091),
    [anon_sym_RBRACE] = ACTIONS(10091),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10091),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10091),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10091),
    [anon_sym_QMARK] = ACTIONS(10091),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10091),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10091),
    [aux_sym_integer_literal_token2] = ACTIONS(10091),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10091),
    [aux_sym_float_literal_token3] = ACTIONS(10091),
    [aux_sym_float_literal_token4] = ACTIONS(10091),
    [sym_character_literal] = ACTIONS(10091),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10091),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10091),
    [sym__pair_operator] = ACTIONS(10091),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10091),
    [sym__lazy_and_operator] = ACTIONS(10091),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10091),
    [sym__pipe_left_operator] = ACTIONS(10091),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10091),
    [sym__bitshift_operator] = ACTIONS(10091),
    [sym__power_operator] = ACTIONS(10091),
    [sym__tilde_operator] = ACTIONS(10091),
    [sym__type_order_operator] = ACTIONS(10091),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7956] = {
    [sym_block_comment] = STATE(7956),
    [sym_line_comment] = STATE(7956),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10141),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10141),
    [anon_sym_RPAREN] = ACTIONS(10141),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10141),
    [anon_sym_RBRACK] = ACTIONS(10141),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10141),
    [anon_sym_LBRACE] = ACTIONS(10141),
    [anon_sym_RBRACE] = ACTIONS(10141),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10141),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10141),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10141),
    [anon_sym_QMARK] = ACTIONS(10141),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10141),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10141),
    [aux_sym_integer_literal_token2] = ACTIONS(10141),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10141),
    [aux_sym_float_literal_token3] = ACTIONS(10141),
    [aux_sym_float_literal_token4] = ACTIONS(10141),
    [sym_character_literal] = ACTIONS(10141),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10141),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10141),
    [sym__pair_operator] = ACTIONS(10141),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10141),
    [sym__lazy_and_operator] = ACTIONS(10141),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10141),
    [sym__pipe_left_operator] = ACTIONS(10141),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10141),
    [sym__bitshift_operator] = ACTIONS(10141),
    [sym__power_operator] = ACTIONS(10141),
    [sym__tilde_operator] = ACTIONS(10141),
    [sym__type_order_operator] = ACTIONS(10141),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7957] = {
    [sym_block_comment] = STATE(7957),
    [sym_line_comment] = STATE(7957),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10293),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10293),
    [anon_sym_RPAREN] = ACTIONS(10293),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10293),
    [anon_sym_RBRACK] = ACTIONS(10293),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10293),
    [anon_sym_LBRACE] = ACTIONS(10293),
    [anon_sym_RBRACE] = ACTIONS(10293),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10293),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10293),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10293),
    [anon_sym_QMARK] = ACTIONS(10293),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10293),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10293),
    [aux_sym_integer_literal_token2] = ACTIONS(10293),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10293),
    [aux_sym_float_literal_token3] = ACTIONS(10293),
    [aux_sym_float_literal_token4] = ACTIONS(10293),
    [sym_character_literal] = ACTIONS(10293),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10293),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10293),
    [sym__pair_operator] = ACTIONS(10293),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10293),
    [sym__lazy_and_operator] = ACTIONS(10293),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10293),
    [sym__pipe_left_operator] = ACTIONS(10293),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10293),
    [sym__bitshift_operator] = ACTIONS(10293),
    [sym__power_operator] = ACTIONS(10293),
    [sym__tilde_operator] = ACTIONS(10293),
    [sym__type_order_operator] = ACTIONS(10293),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7958] = {
    [sym_block_comment] = STATE(7958),
    [sym_line_comment] = STATE(7958),
    [aux_sym_export_statement_repeat1] = STATE(8119),
    [ts_builtin_sym_end] = ACTIONS(11282),
    [sym__word_identifier] = ACTIONS(11278),
    [anon_sym_COMMA] = ACTIONS(11756),
    [anon_sym_EQ] = ACTIONS(11278),
    [anon_sym_begin] = ACTIONS(11278),
    [anon_sym_module] = ACTIONS(11278),
    [anon_sym_baremodule] = ACTIONS(11278),
    [anon_sym_abstract] = ACTIONS(11278),
    [anon_sym_primitive] = ACTIONS(11278),
    [anon_sym_mutable] = ACTIONS(11278),
    [anon_sym_struct] = ACTIONS(11278),
    [anon_sym_function] = ACTIONS(11278),
    [anon_sym_macro] = ACTIONS(11278),
    [anon_sym_quote] = ACTIONS(11278),
    [anon_sym_let] = ACTIONS(11278),
    [anon_sym_if] = ACTIONS(11278),
    [anon_sym_try] = ACTIONS(11278),
    [anon_sym_for] = ACTIONS(11278),
    [anon_sym_while] = ACTIONS(11278),
    [sym_break_statement] = ACTIONS(11278),
    [sym_continue_statement] = ACTIONS(11278),
    [anon_sym_return] = ACTIONS(11278),
    [anon_sym_const] = ACTIONS(11278),
    [anon_sym_global] = ACTIONS(11278),
    [anon_sym_local] = ACTIONS(11278),
    [anon_sym_LPAREN] = ACTIONS(11278),
    [anon_sym_COLON] = ACTIONS(11278),
    [anon_sym_export] = ACTIONS(11278),
    [anon_sym_public] = ACTIONS(11278),
    [anon_sym_import] = ACTIONS(11278),
    [anon_sym_using] = ACTIONS(11278),
    [anon_sym_LBRACK] = ACTIONS(11278),
    [anon_sym_RBRACK] = ACTIONS(11278),
    [anon_sym_in] = ACTIONS(11278),
    [anon_sym_SEMI] = ACTIONS(11278),
    [anon_sym_LBRACE] = ACTIONS(11278),
    [anon_sym_DOLLAR] = ACTIONS(11278),
    [anon_sym_COLON2] = ACTIONS(11278),
    [anon_sym_COLON_COLON] = ACTIONS(11278),
    [anon_sym_isa] = ACTIONS(11278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11278),
    [anon_sym_QMARK] = ACTIONS(11278),
    [anon_sym_where] = ACTIONS(11278),
    [anon_sym_AT] = ACTIONS(11278),
    [anon_sym_true] = ACTIONS(11278),
    [anon_sym_false] = ACTIONS(11278),
    [aux_sym_integer_literal_token1] = ACTIONS(11278),
    [aux_sym_integer_literal_token2] = ACTIONS(11278),
    [aux_sym_integer_literal_token3] = ACTIONS(11278),
    [aux_sym_integer_literal_token4] = ACTIONS(11278),
    [aux_sym_float_literal_token1] = ACTIONS(11278),
    [aux_sym_float_literal_token3] = ACTIONS(11278),
    [aux_sym_float_literal_token4] = ACTIONS(11278),
    [sym_character_literal] = ACTIONS(11278),
    [anon_sym_DQUOTE] = ACTIONS(11278),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11278),
    [anon_sym_BQUOTE] = ACTIONS(11278),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11278),
    [sym__pair_operator] = ACTIONS(11278),
    [sym__arrow_operator] = ACTIONS(11278),
    [sym__lazy_or_operator] = ACTIONS(11278),
    [sym__lazy_and_operator] = ACTIONS(11278),
    [sym__comparison_operator] = ACTIONS(11278),
    [sym__pipe_right_operator] = ACTIONS(11278),
    [sym__pipe_left_operator] = ACTIONS(11278),
    [sym__ellipsis_operator] = ACTIONS(11278),
    [sym__plus_operator] = ACTIONS(11278),
    [sym__times_operator] = ACTIONS(11278),
    [sym__rational_operator] = ACTIONS(11278),
    [sym__bitshift_operator] = ACTIONS(11278),
    [sym__power_operator] = ACTIONS(11278),
    [sym__tilde_operator] = ACTIONS(11278),
    [sym__type_order_operator] = ACTIONS(11278),
    [sym__unary_operator] = ACTIONS(11278),
    [sym__unary_plus_operator] = ACTIONS(11278),
    [aux_sym__terminator_token1] = ACTIONS(11282),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7959] = {
    [sym_block_comment] = STATE(7959),
    [sym_line_comment] = STATE(7959),
    [sym__word_identifier] = ACTIONS(11493),
    [anon_sym_COMMA] = ACTIONS(11493),
    [anon_sym_EQ] = ACTIONS(11493),
    [anon_sym_begin] = ACTIONS(11493),
    [anon_sym_module] = ACTIONS(11493),
    [anon_sym_baremodule] = ACTIONS(11493),
    [anon_sym_end] = ACTIONS(11493),
    [anon_sym_abstract] = ACTIONS(11493),
    [anon_sym_primitive] = ACTIONS(11493),
    [anon_sym_mutable] = ACTIONS(11493),
    [anon_sym_struct] = ACTIONS(11493),
    [anon_sym_function] = ACTIONS(11493),
    [anon_sym_macro] = ACTIONS(11493),
    [anon_sym_quote] = ACTIONS(11493),
    [anon_sym_let] = ACTIONS(11493),
    [anon_sym_if] = ACTIONS(11493),
    [anon_sym_elseif] = ACTIONS(11493),
    [anon_sym_else] = ACTIONS(11493),
    [anon_sym_try] = ACTIONS(11493),
    [anon_sym_for] = ACTIONS(11493),
    [anon_sym_while] = ACTIONS(11493),
    [sym_break_statement] = ACTIONS(11493),
    [sym_continue_statement] = ACTIONS(11493),
    [anon_sym_return] = ACTIONS(11493),
    [anon_sym_const] = ACTIONS(11493),
    [anon_sym_global] = ACTIONS(11493),
    [anon_sym_local] = ACTIONS(11493),
    [anon_sym_LPAREN] = ACTIONS(11493),
    [anon_sym_COLON] = ACTIONS(11493),
    [anon_sym_export] = ACTIONS(11493),
    [anon_sym_public] = ACTIONS(11493),
    [anon_sym_import] = ACTIONS(11493),
    [anon_sym_using] = ACTIONS(11493),
    [anon_sym_LBRACK] = ACTIONS(11493),
    [anon_sym_in] = ACTIONS(11493),
    [anon_sym_SEMI] = ACTIONS(11493),
    [anon_sym_LBRACE] = ACTIONS(11493),
    [anon_sym_DOLLAR] = ACTIONS(11493),
    [anon_sym_COLON2] = ACTIONS(11493),
    [anon_sym_COLON_COLON] = ACTIONS(11493),
    [anon_sym_isa] = ACTIONS(11493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11493),
    [anon_sym_QMARK] = ACTIONS(11493),
    [anon_sym_where] = ACTIONS(11493),
    [anon_sym_AT] = ACTIONS(11493),
    [anon_sym_true] = ACTIONS(11493),
    [anon_sym_false] = ACTIONS(11493),
    [aux_sym_integer_literal_token1] = ACTIONS(11493),
    [aux_sym_integer_literal_token2] = ACTIONS(11493),
    [aux_sym_integer_literal_token3] = ACTIONS(11493),
    [aux_sym_integer_literal_token4] = ACTIONS(11493),
    [aux_sym_float_literal_token1] = ACTIONS(11493),
    [aux_sym_float_literal_token3] = ACTIONS(11493),
    [aux_sym_float_literal_token4] = ACTIONS(11493),
    [sym_character_literal] = ACTIONS(11493),
    [anon_sym_DQUOTE] = ACTIONS(11493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11493),
    [anon_sym_BQUOTE] = ACTIONS(11493),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11493),
    [sym__pair_operator] = ACTIONS(11493),
    [sym__arrow_operator] = ACTIONS(11493),
    [sym__lazy_or_operator] = ACTIONS(11493),
    [sym__lazy_and_operator] = ACTIONS(11493),
    [sym__comparison_operator] = ACTIONS(11493),
    [sym__pipe_right_operator] = ACTIONS(11493),
    [sym__pipe_left_operator] = ACTIONS(11493),
    [sym__ellipsis_operator] = ACTIONS(11493),
    [sym__plus_operator] = ACTIONS(11493),
    [sym__times_operator] = ACTIONS(11493),
    [sym__rational_operator] = ACTIONS(11493),
    [sym__bitshift_operator] = ACTIONS(11493),
    [sym__power_operator] = ACTIONS(11493),
    [sym__tilde_operator] = ACTIONS(11493),
    [sym__type_order_operator] = ACTIONS(11493),
    [sym__unary_operator] = ACTIONS(11493),
    [sym__unary_plus_operator] = ACTIONS(11493),
    [aux_sym__terminator_token1] = ACTIONS(11495),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7960] = {
    [sym_block_comment] = STATE(7960),
    [sym_line_comment] = STATE(7960),
    [sym__word_identifier] = ACTIONS(11497),
    [anon_sym_COMMA] = ACTIONS(11497),
    [anon_sym_EQ] = ACTIONS(11497),
    [anon_sym_begin] = ACTIONS(11497),
    [anon_sym_module] = ACTIONS(11497),
    [anon_sym_baremodule] = ACTIONS(11497),
    [anon_sym_end] = ACTIONS(11497),
    [anon_sym_abstract] = ACTIONS(11497),
    [anon_sym_primitive] = ACTIONS(11497),
    [anon_sym_mutable] = ACTIONS(11497),
    [anon_sym_struct] = ACTIONS(11497),
    [anon_sym_function] = ACTIONS(11497),
    [anon_sym_macro] = ACTIONS(11497),
    [anon_sym_quote] = ACTIONS(11497),
    [anon_sym_let] = ACTIONS(11497),
    [anon_sym_if] = ACTIONS(11497),
    [anon_sym_elseif] = ACTIONS(11497),
    [anon_sym_else] = ACTIONS(11497),
    [anon_sym_try] = ACTIONS(11497),
    [anon_sym_for] = ACTIONS(11497),
    [anon_sym_while] = ACTIONS(11497),
    [sym_break_statement] = ACTIONS(11497),
    [sym_continue_statement] = ACTIONS(11497),
    [anon_sym_return] = ACTIONS(11497),
    [anon_sym_const] = ACTIONS(11497),
    [anon_sym_global] = ACTIONS(11497),
    [anon_sym_local] = ACTIONS(11497),
    [anon_sym_LPAREN] = ACTIONS(11497),
    [anon_sym_COLON] = ACTIONS(11497),
    [anon_sym_export] = ACTIONS(11497),
    [anon_sym_public] = ACTIONS(11497),
    [anon_sym_import] = ACTIONS(11497),
    [anon_sym_using] = ACTIONS(11497),
    [anon_sym_LBRACK] = ACTIONS(11497),
    [anon_sym_in] = ACTIONS(11497),
    [anon_sym_SEMI] = ACTIONS(11497),
    [anon_sym_LBRACE] = ACTIONS(11497),
    [anon_sym_DOLLAR] = ACTIONS(11497),
    [anon_sym_COLON2] = ACTIONS(11497),
    [anon_sym_COLON_COLON] = ACTIONS(11497),
    [anon_sym_isa] = ACTIONS(11497),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11497),
    [anon_sym_QMARK] = ACTIONS(11497),
    [anon_sym_where] = ACTIONS(11497),
    [anon_sym_AT] = ACTIONS(11497),
    [anon_sym_true] = ACTIONS(11497),
    [anon_sym_false] = ACTIONS(11497),
    [aux_sym_integer_literal_token1] = ACTIONS(11497),
    [aux_sym_integer_literal_token2] = ACTIONS(11497),
    [aux_sym_integer_literal_token3] = ACTIONS(11497),
    [aux_sym_integer_literal_token4] = ACTIONS(11497),
    [aux_sym_float_literal_token1] = ACTIONS(11497),
    [aux_sym_float_literal_token3] = ACTIONS(11497),
    [aux_sym_float_literal_token4] = ACTIONS(11497),
    [sym_character_literal] = ACTIONS(11497),
    [anon_sym_DQUOTE] = ACTIONS(11497),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11497),
    [anon_sym_BQUOTE] = ACTIONS(11497),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11497),
    [sym__pair_operator] = ACTIONS(11497),
    [sym__arrow_operator] = ACTIONS(11497),
    [sym__lazy_or_operator] = ACTIONS(11497),
    [sym__lazy_and_operator] = ACTIONS(11497),
    [sym__comparison_operator] = ACTIONS(11497),
    [sym__pipe_right_operator] = ACTIONS(11497),
    [sym__pipe_left_operator] = ACTIONS(11497),
    [sym__ellipsis_operator] = ACTIONS(11497),
    [sym__plus_operator] = ACTIONS(11497),
    [sym__times_operator] = ACTIONS(11497),
    [sym__rational_operator] = ACTIONS(11497),
    [sym__bitshift_operator] = ACTIONS(11497),
    [sym__power_operator] = ACTIONS(11497),
    [sym__tilde_operator] = ACTIONS(11497),
    [sym__type_order_operator] = ACTIONS(11497),
    [sym__unary_operator] = ACTIONS(11497),
    [sym__unary_plus_operator] = ACTIONS(11497),
    [aux_sym__terminator_token1] = ACTIONS(11499),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7961] = {
    [sym_block_comment] = STATE(7961),
    [sym_line_comment] = STATE(7961),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10309),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10309),
    [anon_sym_RPAREN] = ACTIONS(10309),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10309),
    [anon_sym_RBRACK] = ACTIONS(10309),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10309),
    [anon_sym_LBRACE] = ACTIONS(10309),
    [anon_sym_RBRACE] = ACTIONS(10309),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10309),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10309),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10309),
    [anon_sym_QMARK] = ACTIONS(10309),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10309),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10309),
    [aux_sym_integer_literal_token2] = ACTIONS(10309),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10309),
    [aux_sym_float_literal_token3] = ACTIONS(10309),
    [aux_sym_float_literal_token4] = ACTIONS(10309),
    [sym_character_literal] = ACTIONS(10309),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10309),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10309),
    [sym__pair_operator] = ACTIONS(10309),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10309),
    [sym__lazy_and_operator] = ACTIONS(10309),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10309),
    [sym__pipe_left_operator] = ACTIONS(10309),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10309),
    [sym__bitshift_operator] = ACTIONS(10309),
    [sym__power_operator] = ACTIONS(10309),
    [sym__tilde_operator] = ACTIONS(10309),
    [sym__type_order_operator] = ACTIONS(10309),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7962] = {
    [sym_block_comment] = STATE(7962),
    [sym_line_comment] = STATE(7962),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10349),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10349),
    [anon_sym_RPAREN] = ACTIONS(10349),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10349),
    [anon_sym_RBRACK] = ACTIONS(10349),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10349),
    [anon_sym_LBRACE] = ACTIONS(10349),
    [anon_sym_RBRACE] = ACTIONS(10349),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10349),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10349),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10349),
    [anon_sym_QMARK] = ACTIONS(10349),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10349),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10349),
    [aux_sym_integer_literal_token2] = ACTIONS(10349),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10349),
    [aux_sym_float_literal_token3] = ACTIONS(10349),
    [aux_sym_float_literal_token4] = ACTIONS(10349),
    [sym_character_literal] = ACTIONS(10349),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10349),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10349),
    [sym__pair_operator] = ACTIONS(10349),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10349),
    [sym__lazy_and_operator] = ACTIONS(10349),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10349),
    [sym__pipe_left_operator] = ACTIONS(10349),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10349),
    [sym__bitshift_operator] = ACTIONS(10349),
    [sym__power_operator] = ACTIONS(10349),
    [sym__tilde_operator] = ACTIONS(10349),
    [sym__type_order_operator] = ACTIONS(10349),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7963] = {
    [sym__comprehension_clause] = STATE(19278),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(7963),
    [sym_line_comment] = STATE(7963),
    [aux_sym_vector_expression_repeat1] = STATE(18007),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11758),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11760),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11762),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11765),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7964] = {
    [sym_block_comment] = STATE(7964),
    [sym_line_comment] = STATE(7964),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_RPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_RBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10019),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_RBRACE] = ACTIONS(10019),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10019),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7965] = {
    [sym_block_comment] = STATE(7965),
    [sym_line_comment] = STATE(7965),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_RPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_RBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10019),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_RBRACE] = ACTIONS(10019),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11086),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7966] = {
    [sym_block_comment] = STATE(7966),
    [sym_line_comment] = STATE(7966),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10365),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10365),
    [anon_sym_RPAREN] = ACTIONS(10365),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10365),
    [anon_sym_RBRACK] = ACTIONS(10365),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10365),
    [anon_sym_LBRACE] = ACTIONS(10365),
    [anon_sym_RBRACE] = ACTIONS(10365),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10365),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10365),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10365),
    [anon_sym_QMARK] = ACTIONS(10365),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10365),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10365),
    [aux_sym_integer_literal_token2] = ACTIONS(10365),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10365),
    [aux_sym_float_literal_token3] = ACTIONS(10365),
    [aux_sym_float_literal_token4] = ACTIONS(10365),
    [sym_character_literal] = ACTIONS(10365),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10365),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10365),
    [sym__pair_operator] = ACTIONS(10365),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10365),
    [sym__lazy_and_operator] = ACTIONS(10365),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10365),
    [sym__pipe_left_operator] = ACTIONS(10365),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10365),
    [sym__bitshift_operator] = ACTIONS(10365),
    [sym__power_operator] = ACTIONS(10365),
    [sym__tilde_operator] = ACTIONS(10365),
    [sym__type_order_operator] = ACTIONS(10365),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7967] = {
    [sym_block_comment] = STATE(7967),
    [sym_line_comment] = STATE(7967),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_catch] = ACTIONS(11038),
    [anon_sym_finally] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7968] = {
    [sym_block_comment] = STATE(7968),
    [sym_line_comment] = STATE(7968),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10353),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10353),
    [anon_sym_RPAREN] = ACTIONS(10353),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10353),
    [anon_sym_RBRACK] = ACTIONS(10353),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10353),
    [anon_sym_LBRACE] = ACTIONS(10353),
    [anon_sym_RBRACE] = ACTIONS(10353),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10353),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10353),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10353),
    [anon_sym_QMARK] = ACTIONS(10353),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10353),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10353),
    [aux_sym_integer_literal_token2] = ACTIONS(10353),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10353),
    [aux_sym_float_literal_token3] = ACTIONS(10353),
    [aux_sym_float_literal_token4] = ACTIONS(10353),
    [sym_character_literal] = ACTIONS(10353),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10353),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10353),
    [sym__pair_operator] = ACTIONS(10353),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10353),
    [sym__lazy_and_operator] = ACTIONS(10353),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10353),
    [sym__pipe_left_operator] = ACTIONS(10353),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10353),
    [sym__bitshift_operator] = ACTIONS(10353),
    [sym__power_operator] = ACTIONS(10353),
    [sym__tilde_operator] = ACTIONS(10353),
    [sym__type_order_operator] = ACTIONS(10353),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7969] = {
    [sym_block_comment] = STATE(7969),
    [sym_line_comment] = STATE(7969),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10357),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10357),
    [anon_sym_RPAREN] = ACTIONS(10357),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10357),
    [anon_sym_RBRACK] = ACTIONS(10357),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10357),
    [anon_sym_LBRACE] = ACTIONS(10357),
    [anon_sym_RBRACE] = ACTIONS(10357),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10357),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10357),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10357),
    [anon_sym_QMARK] = ACTIONS(10357),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10357),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10357),
    [aux_sym_integer_literal_token2] = ACTIONS(10357),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10357),
    [aux_sym_float_literal_token3] = ACTIONS(10357),
    [aux_sym_float_literal_token4] = ACTIONS(10357),
    [sym_character_literal] = ACTIONS(10357),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10357),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10357),
    [sym__pair_operator] = ACTIONS(10357),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10357),
    [sym__lazy_and_operator] = ACTIONS(10357),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10357),
    [sym__pipe_left_operator] = ACTIONS(10357),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10357),
    [sym__bitshift_operator] = ACTIONS(10357),
    [sym__power_operator] = ACTIONS(10357),
    [sym__tilde_operator] = ACTIONS(10357),
    [sym__type_order_operator] = ACTIONS(10357),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7970] = {
    [sym_block_comment] = STATE(7970),
    [sym_line_comment] = STATE(7970),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_RPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_RBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9909),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_RBRACE] = ACTIONS(9909),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9909),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9909),
    [sym__bitshift_operator] = ACTIONS(9909),
    [sym__power_operator] = ACTIONS(9909),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7971] = {
    [sym_block_comment] = STATE(7971),
    [sym_line_comment] = STATE(7971),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7972] = {
    [sym_block_comment] = STATE(7972),
    [sym_line_comment] = STATE(7972),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10377),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10377),
    [anon_sym_RPAREN] = ACTIONS(10377),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10377),
    [anon_sym_RBRACK] = ACTIONS(10377),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10377),
    [anon_sym_LBRACE] = ACTIONS(10377),
    [anon_sym_RBRACE] = ACTIONS(10377),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10377),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10377),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10377),
    [anon_sym_QMARK] = ACTIONS(10377),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10377),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10377),
    [aux_sym_integer_literal_token2] = ACTIONS(10377),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10377),
    [aux_sym_float_literal_token3] = ACTIONS(10377),
    [aux_sym_float_literal_token4] = ACTIONS(10377),
    [sym_character_literal] = ACTIONS(10377),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10377),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10377),
    [sym__pair_operator] = ACTIONS(10377),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10377),
    [sym__lazy_and_operator] = ACTIONS(10377),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10377),
    [sym__pipe_left_operator] = ACTIONS(10377),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10377),
    [sym__bitshift_operator] = ACTIONS(10377),
    [sym__power_operator] = ACTIONS(10377),
    [sym__tilde_operator] = ACTIONS(10377),
    [sym__type_order_operator] = ACTIONS(10377),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7973] = {
    [sym__comprehension_clause] = STATE(18795),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(7973),
    [sym_line_comment] = STATE(7973),
    [aux_sym_vector_expression_repeat1] = STATE(17654),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11768),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11770),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11772),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11775),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7974] = {
    [sym_block_comment] = STATE(7974),
    [sym_line_comment] = STATE(7974),
    [sym__word_identifier] = ACTIONS(11501),
    [anon_sym_COMMA] = ACTIONS(11501),
    [anon_sym_EQ] = ACTIONS(11501),
    [anon_sym_begin] = ACTIONS(11501),
    [anon_sym_module] = ACTIONS(11501),
    [anon_sym_baremodule] = ACTIONS(11501),
    [anon_sym_end] = ACTIONS(11501),
    [anon_sym_abstract] = ACTIONS(11501),
    [anon_sym_primitive] = ACTIONS(11501),
    [anon_sym_mutable] = ACTIONS(11501),
    [anon_sym_struct] = ACTIONS(11501),
    [anon_sym_function] = ACTIONS(11501),
    [anon_sym_macro] = ACTIONS(11501),
    [anon_sym_quote] = ACTIONS(11501),
    [anon_sym_let] = ACTIONS(11501),
    [anon_sym_if] = ACTIONS(11501),
    [anon_sym_elseif] = ACTIONS(11501),
    [anon_sym_else] = ACTIONS(11501),
    [anon_sym_try] = ACTIONS(11501),
    [anon_sym_for] = ACTIONS(11501),
    [anon_sym_while] = ACTIONS(11501),
    [sym_break_statement] = ACTIONS(11501),
    [sym_continue_statement] = ACTIONS(11501),
    [anon_sym_return] = ACTIONS(11501),
    [anon_sym_const] = ACTIONS(11501),
    [anon_sym_global] = ACTIONS(11501),
    [anon_sym_local] = ACTIONS(11501),
    [anon_sym_LPAREN] = ACTIONS(11501),
    [anon_sym_COLON] = ACTIONS(11501),
    [anon_sym_export] = ACTIONS(11501),
    [anon_sym_public] = ACTIONS(11501),
    [anon_sym_import] = ACTIONS(11501),
    [anon_sym_using] = ACTIONS(11501),
    [anon_sym_LBRACK] = ACTIONS(11501),
    [anon_sym_in] = ACTIONS(11501),
    [anon_sym_SEMI] = ACTIONS(11501),
    [anon_sym_LBRACE] = ACTIONS(11501),
    [anon_sym_DOLLAR] = ACTIONS(11501),
    [anon_sym_COLON2] = ACTIONS(11501),
    [anon_sym_COLON_COLON] = ACTIONS(11501),
    [anon_sym_isa] = ACTIONS(11501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11501),
    [anon_sym_QMARK] = ACTIONS(11501),
    [anon_sym_where] = ACTIONS(11501),
    [anon_sym_AT] = ACTIONS(11501),
    [anon_sym_true] = ACTIONS(11501),
    [anon_sym_false] = ACTIONS(11501),
    [aux_sym_integer_literal_token1] = ACTIONS(11501),
    [aux_sym_integer_literal_token2] = ACTIONS(11501),
    [aux_sym_integer_literal_token3] = ACTIONS(11501),
    [aux_sym_integer_literal_token4] = ACTIONS(11501),
    [aux_sym_float_literal_token1] = ACTIONS(11501),
    [aux_sym_float_literal_token3] = ACTIONS(11501),
    [aux_sym_float_literal_token4] = ACTIONS(11501),
    [sym_character_literal] = ACTIONS(11501),
    [anon_sym_DQUOTE] = ACTIONS(11501),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11501),
    [anon_sym_BQUOTE] = ACTIONS(11501),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11501),
    [sym__pair_operator] = ACTIONS(11501),
    [sym__arrow_operator] = ACTIONS(11501),
    [sym__lazy_or_operator] = ACTIONS(11501),
    [sym__lazy_and_operator] = ACTIONS(11501),
    [sym__comparison_operator] = ACTIONS(11501),
    [sym__pipe_right_operator] = ACTIONS(11501),
    [sym__pipe_left_operator] = ACTIONS(11501),
    [sym__ellipsis_operator] = ACTIONS(11501),
    [sym__plus_operator] = ACTIONS(11501),
    [sym__times_operator] = ACTIONS(11501),
    [sym__rational_operator] = ACTIONS(11501),
    [sym__bitshift_operator] = ACTIONS(11501),
    [sym__power_operator] = ACTIONS(11501),
    [sym__tilde_operator] = ACTIONS(11501),
    [sym__type_order_operator] = ACTIONS(11501),
    [sym__unary_operator] = ACTIONS(11501),
    [sym__unary_plus_operator] = ACTIONS(11501),
    [aux_sym__terminator_token1] = ACTIONS(11503),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7975] = {
    [sym__comprehension_clause] = STATE(19447),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(7975),
    [sym_line_comment] = STATE(7975),
    [aux_sym_vector_expression_repeat1] = STATE(17601),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11778),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11780),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11782),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11785),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7976] = {
    [sym_block_comment] = STATE(7976),
    [sym_line_comment] = STATE(7976),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_finally] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7977] = {
    [sym_block_comment] = STATE(7977),
    [sym_line_comment] = STATE(7977),
    [sym__word_identifier] = ACTIONS(11505),
    [anon_sym_COMMA] = ACTIONS(11505),
    [anon_sym_EQ] = ACTIONS(11505),
    [anon_sym_begin] = ACTIONS(11505),
    [anon_sym_module] = ACTIONS(11505),
    [anon_sym_baremodule] = ACTIONS(11505),
    [anon_sym_end] = ACTIONS(11505),
    [anon_sym_abstract] = ACTIONS(11505),
    [anon_sym_primitive] = ACTIONS(11505),
    [anon_sym_mutable] = ACTIONS(11505),
    [anon_sym_struct] = ACTIONS(11505),
    [anon_sym_function] = ACTIONS(11505),
    [anon_sym_macro] = ACTIONS(11505),
    [anon_sym_quote] = ACTIONS(11505),
    [anon_sym_let] = ACTIONS(11505),
    [anon_sym_if] = ACTIONS(11505),
    [anon_sym_elseif] = ACTIONS(11505),
    [anon_sym_else] = ACTIONS(11505),
    [anon_sym_try] = ACTIONS(11505),
    [anon_sym_for] = ACTIONS(11505),
    [anon_sym_while] = ACTIONS(11505),
    [sym_break_statement] = ACTIONS(11505),
    [sym_continue_statement] = ACTIONS(11505),
    [anon_sym_return] = ACTIONS(11505),
    [anon_sym_const] = ACTIONS(11505),
    [anon_sym_global] = ACTIONS(11505),
    [anon_sym_local] = ACTIONS(11505),
    [anon_sym_LPAREN] = ACTIONS(11505),
    [anon_sym_COLON] = ACTIONS(11505),
    [anon_sym_export] = ACTIONS(11505),
    [anon_sym_public] = ACTIONS(11505),
    [anon_sym_import] = ACTIONS(11505),
    [anon_sym_using] = ACTIONS(11505),
    [anon_sym_LBRACK] = ACTIONS(11505),
    [anon_sym_in] = ACTIONS(11505),
    [anon_sym_SEMI] = ACTIONS(11505),
    [anon_sym_LBRACE] = ACTIONS(11505),
    [anon_sym_DOLLAR] = ACTIONS(11505),
    [anon_sym_COLON2] = ACTIONS(11505),
    [anon_sym_COLON_COLON] = ACTIONS(11505),
    [anon_sym_isa] = ACTIONS(11505),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11505),
    [anon_sym_QMARK] = ACTIONS(11505),
    [anon_sym_where] = ACTIONS(11505),
    [anon_sym_AT] = ACTIONS(11505),
    [anon_sym_true] = ACTIONS(11505),
    [anon_sym_false] = ACTIONS(11505),
    [aux_sym_integer_literal_token1] = ACTIONS(11505),
    [aux_sym_integer_literal_token2] = ACTIONS(11505),
    [aux_sym_integer_literal_token3] = ACTIONS(11505),
    [aux_sym_integer_literal_token4] = ACTIONS(11505),
    [aux_sym_float_literal_token1] = ACTIONS(11505),
    [aux_sym_float_literal_token3] = ACTIONS(11505),
    [aux_sym_float_literal_token4] = ACTIONS(11505),
    [sym_character_literal] = ACTIONS(11505),
    [anon_sym_DQUOTE] = ACTIONS(11505),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11505),
    [anon_sym_BQUOTE] = ACTIONS(11505),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11505),
    [sym__pair_operator] = ACTIONS(11505),
    [sym__arrow_operator] = ACTIONS(11505),
    [sym__lazy_or_operator] = ACTIONS(11505),
    [sym__lazy_and_operator] = ACTIONS(11505),
    [sym__comparison_operator] = ACTIONS(11505),
    [sym__pipe_right_operator] = ACTIONS(11505),
    [sym__pipe_left_operator] = ACTIONS(11505),
    [sym__ellipsis_operator] = ACTIONS(11505),
    [sym__plus_operator] = ACTIONS(11505),
    [sym__times_operator] = ACTIONS(11505),
    [sym__rational_operator] = ACTIONS(11505),
    [sym__bitshift_operator] = ACTIONS(11505),
    [sym__power_operator] = ACTIONS(11505),
    [sym__tilde_operator] = ACTIONS(11505),
    [sym__type_order_operator] = ACTIONS(11505),
    [sym__unary_operator] = ACTIONS(11505),
    [sym__unary_plus_operator] = ACTIONS(11505),
    [aux_sym__terminator_token1] = ACTIONS(11507),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7978] = {
    [sym_block_comment] = STATE(7978),
    [sym_line_comment] = STATE(7978),
    [sym__word_identifier] = ACTIONS(11509),
    [anon_sym_COMMA] = ACTIONS(11509),
    [anon_sym_EQ] = ACTIONS(11509),
    [anon_sym_begin] = ACTIONS(11509),
    [anon_sym_module] = ACTIONS(11509),
    [anon_sym_baremodule] = ACTIONS(11509),
    [anon_sym_end] = ACTIONS(11509),
    [anon_sym_abstract] = ACTIONS(11509),
    [anon_sym_primitive] = ACTIONS(11509),
    [anon_sym_mutable] = ACTIONS(11509),
    [anon_sym_struct] = ACTIONS(11509),
    [anon_sym_function] = ACTIONS(11509),
    [anon_sym_macro] = ACTIONS(11509),
    [anon_sym_quote] = ACTIONS(11509),
    [anon_sym_let] = ACTIONS(11509),
    [anon_sym_if] = ACTIONS(11509),
    [anon_sym_elseif] = ACTIONS(11509),
    [anon_sym_else] = ACTIONS(11509),
    [anon_sym_try] = ACTIONS(11509),
    [anon_sym_for] = ACTIONS(11509),
    [anon_sym_while] = ACTIONS(11509),
    [sym_break_statement] = ACTIONS(11509),
    [sym_continue_statement] = ACTIONS(11509),
    [anon_sym_return] = ACTIONS(11509),
    [anon_sym_const] = ACTIONS(11509),
    [anon_sym_global] = ACTIONS(11509),
    [anon_sym_local] = ACTIONS(11509),
    [anon_sym_LPAREN] = ACTIONS(11509),
    [anon_sym_COLON] = ACTIONS(11509),
    [anon_sym_export] = ACTIONS(11509),
    [anon_sym_public] = ACTIONS(11509),
    [anon_sym_import] = ACTIONS(11509),
    [anon_sym_using] = ACTIONS(11509),
    [anon_sym_LBRACK] = ACTIONS(11509),
    [anon_sym_in] = ACTIONS(11509),
    [anon_sym_SEMI] = ACTIONS(11509),
    [anon_sym_LBRACE] = ACTIONS(11509),
    [anon_sym_DOLLAR] = ACTIONS(11509),
    [anon_sym_COLON2] = ACTIONS(11509),
    [anon_sym_COLON_COLON] = ACTIONS(11509),
    [anon_sym_isa] = ACTIONS(11509),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11509),
    [anon_sym_QMARK] = ACTIONS(11509),
    [anon_sym_where] = ACTIONS(11509),
    [anon_sym_AT] = ACTIONS(11509),
    [anon_sym_true] = ACTIONS(11509),
    [anon_sym_false] = ACTIONS(11509),
    [aux_sym_integer_literal_token1] = ACTIONS(11509),
    [aux_sym_integer_literal_token2] = ACTIONS(11509),
    [aux_sym_integer_literal_token3] = ACTIONS(11509),
    [aux_sym_integer_literal_token4] = ACTIONS(11509),
    [aux_sym_float_literal_token1] = ACTIONS(11509),
    [aux_sym_float_literal_token3] = ACTIONS(11509),
    [aux_sym_float_literal_token4] = ACTIONS(11509),
    [sym_character_literal] = ACTIONS(11509),
    [anon_sym_DQUOTE] = ACTIONS(11509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11509),
    [anon_sym_BQUOTE] = ACTIONS(11509),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11509),
    [sym__pair_operator] = ACTIONS(11509),
    [sym__arrow_operator] = ACTIONS(11509),
    [sym__lazy_or_operator] = ACTIONS(11509),
    [sym__lazy_and_operator] = ACTIONS(11509),
    [sym__comparison_operator] = ACTIONS(11509),
    [sym__pipe_right_operator] = ACTIONS(11509),
    [sym__pipe_left_operator] = ACTIONS(11509),
    [sym__ellipsis_operator] = ACTIONS(11509),
    [sym__plus_operator] = ACTIONS(11509),
    [sym__times_operator] = ACTIONS(11509),
    [sym__rational_operator] = ACTIONS(11509),
    [sym__bitshift_operator] = ACTIONS(11509),
    [sym__power_operator] = ACTIONS(11509),
    [sym__tilde_operator] = ACTIONS(11509),
    [sym__type_order_operator] = ACTIONS(11509),
    [sym__unary_operator] = ACTIONS(11509),
    [sym__unary_plus_operator] = ACTIONS(11509),
    [aux_sym__terminator_token1] = ACTIONS(11511),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7979] = {
    [sym_block_comment] = STATE(7979),
    [sym_line_comment] = STATE(7979),
    [sym__word_identifier] = ACTIONS(11513),
    [anon_sym_COMMA] = ACTIONS(11513),
    [anon_sym_EQ] = ACTIONS(11513),
    [anon_sym_begin] = ACTIONS(11513),
    [anon_sym_module] = ACTIONS(11513),
    [anon_sym_baremodule] = ACTIONS(11513),
    [anon_sym_end] = ACTIONS(11513),
    [anon_sym_abstract] = ACTIONS(11513),
    [anon_sym_primitive] = ACTIONS(11513),
    [anon_sym_mutable] = ACTIONS(11513),
    [anon_sym_struct] = ACTIONS(11513),
    [anon_sym_function] = ACTIONS(11513),
    [anon_sym_macro] = ACTIONS(11513),
    [anon_sym_quote] = ACTIONS(11513),
    [anon_sym_let] = ACTIONS(11513),
    [anon_sym_if] = ACTIONS(11513),
    [anon_sym_elseif] = ACTIONS(11513),
    [anon_sym_else] = ACTIONS(11513),
    [anon_sym_try] = ACTIONS(11513),
    [anon_sym_for] = ACTIONS(11513),
    [anon_sym_while] = ACTIONS(11513),
    [sym_break_statement] = ACTIONS(11513),
    [sym_continue_statement] = ACTIONS(11513),
    [anon_sym_return] = ACTIONS(11513),
    [anon_sym_const] = ACTIONS(11513),
    [anon_sym_global] = ACTIONS(11513),
    [anon_sym_local] = ACTIONS(11513),
    [anon_sym_LPAREN] = ACTIONS(11513),
    [anon_sym_COLON] = ACTIONS(11513),
    [anon_sym_export] = ACTIONS(11513),
    [anon_sym_public] = ACTIONS(11513),
    [anon_sym_import] = ACTIONS(11513),
    [anon_sym_using] = ACTIONS(11513),
    [anon_sym_LBRACK] = ACTIONS(11513),
    [anon_sym_in] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(11513),
    [anon_sym_LBRACE] = ACTIONS(11513),
    [anon_sym_DOLLAR] = ACTIONS(11513),
    [anon_sym_COLON2] = ACTIONS(11513),
    [anon_sym_COLON_COLON] = ACTIONS(11513),
    [anon_sym_isa] = ACTIONS(11513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11513),
    [anon_sym_QMARK] = ACTIONS(11513),
    [anon_sym_where] = ACTIONS(11513),
    [anon_sym_AT] = ACTIONS(11513),
    [anon_sym_true] = ACTIONS(11513),
    [anon_sym_false] = ACTIONS(11513),
    [aux_sym_integer_literal_token1] = ACTIONS(11513),
    [aux_sym_integer_literal_token2] = ACTIONS(11513),
    [aux_sym_integer_literal_token3] = ACTIONS(11513),
    [aux_sym_integer_literal_token4] = ACTIONS(11513),
    [aux_sym_float_literal_token1] = ACTIONS(11513),
    [aux_sym_float_literal_token3] = ACTIONS(11513),
    [aux_sym_float_literal_token4] = ACTIONS(11513),
    [sym_character_literal] = ACTIONS(11513),
    [anon_sym_DQUOTE] = ACTIONS(11513),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11513),
    [anon_sym_BQUOTE] = ACTIONS(11513),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11513),
    [sym__pair_operator] = ACTIONS(11513),
    [sym__arrow_operator] = ACTIONS(11513),
    [sym__lazy_or_operator] = ACTIONS(11513),
    [sym__lazy_and_operator] = ACTIONS(11513),
    [sym__comparison_operator] = ACTIONS(11513),
    [sym__pipe_right_operator] = ACTIONS(11513),
    [sym__pipe_left_operator] = ACTIONS(11513),
    [sym__ellipsis_operator] = ACTIONS(11513),
    [sym__plus_operator] = ACTIONS(11513),
    [sym__times_operator] = ACTIONS(11513),
    [sym__rational_operator] = ACTIONS(11513),
    [sym__bitshift_operator] = ACTIONS(11513),
    [sym__power_operator] = ACTIONS(11513),
    [sym__tilde_operator] = ACTIONS(11513),
    [sym__type_order_operator] = ACTIONS(11513),
    [sym__unary_operator] = ACTIONS(11513),
    [sym__unary_plus_operator] = ACTIONS(11513),
    [aux_sym__terminator_token1] = ACTIONS(11515),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7980] = {
    [sym_block_comment] = STATE(7980),
    [sym_line_comment] = STATE(7980),
    [sym__word_identifier] = ACTIONS(11517),
    [anon_sym_COMMA] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(11517),
    [anon_sym_begin] = ACTIONS(11517),
    [anon_sym_module] = ACTIONS(11517),
    [anon_sym_baremodule] = ACTIONS(11517),
    [anon_sym_end] = ACTIONS(11517),
    [anon_sym_abstract] = ACTIONS(11517),
    [anon_sym_primitive] = ACTIONS(11517),
    [anon_sym_mutable] = ACTIONS(11517),
    [anon_sym_struct] = ACTIONS(11517),
    [anon_sym_function] = ACTIONS(11517),
    [anon_sym_macro] = ACTIONS(11517),
    [anon_sym_quote] = ACTIONS(11517),
    [anon_sym_let] = ACTIONS(11517),
    [anon_sym_if] = ACTIONS(11517),
    [anon_sym_elseif] = ACTIONS(11517),
    [anon_sym_else] = ACTIONS(11517),
    [anon_sym_try] = ACTIONS(11517),
    [anon_sym_for] = ACTIONS(11517),
    [anon_sym_while] = ACTIONS(11517),
    [sym_break_statement] = ACTIONS(11517),
    [sym_continue_statement] = ACTIONS(11517),
    [anon_sym_return] = ACTIONS(11517),
    [anon_sym_const] = ACTIONS(11517),
    [anon_sym_global] = ACTIONS(11517),
    [anon_sym_local] = ACTIONS(11517),
    [anon_sym_LPAREN] = ACTIONS(11517),
    [anon_sym_COLON] = ACTIONS(11517),
    [anon_sym_export] = ACTIONS(11517),
    [anon_sym_public] = ACTIONS(11517),
    [anon_sym_import] = ACTIONS(11517),
    [anon_sym_using] = ACTIONS(11517),
    [anon_sym_LBRACK] = ACTIONS(11517),
    [anon_sym_in] = ACTIONS(11517),
    [anon_sym_SEMI] = ACTIONS(11517),
    [anon_sym_LBRACE] = ACTIONS(11517),
    [anon_sym_DOLLAR] = ACTIONS(11517),
    [anon_sym_COLON2] = ACTIONS(11517),
    [anon_sym_COLON_COLON] = ACTIONS(11517),
    [anon_sym_isa] = ACTIONS(11517),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11517),
    [anon_sym_QMARK] = ACTIONS(11517),
    [anon_sym_where] = ACTIONS(11517),
    [anon_sym_AT] = ACTIONS(11517),
    [anon_sym_true] = ACTIONS(11517),
    [anon_sym_false] = ACTIONS(11517),
    [aux_sym_integer_literal_token1] = ACTIONS(11517),
    [aux_sym_integer_literal_token2] = ACTIONS(11517),
    [aux_sym_integer_literal_token3] = ACTIONS(11517),
    [aux_sym_integer_literal_token4] = ACTIONS(11517),
    [aux_sym_float_literal_token1] = ACTIONS(11517),
    [aux_sym_float_literal_token3] = ACTIONS(11517),
    [aux_sym_float_literal_token4] = ACTIONS(11517),
    [sym_character_literal] = ACTIONS(11517),
    [anon_sym_DQUOTE] = ACTIONS(11517),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11517),
    [anon_sym_BQUOTE] = ACTIONS(11517),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11517),
    [sym__pair_operator] = ACTIONS(11517),
    [sym__arrow_operator] = ACTIONS(11517),
    [sym__lazy_or_operator] = ACTIONS(11517),
    [sym__lazy_and_operator] = ACTIONS(11517),
    [sym__comparison_operator] = ACTIONS(11517),
    [sym__pipe_right_operator] = ACTIONS(11517),
    [sym__pipe_left_operator] = ACTIONS(11517),
    [sym__ellipsis_operator] = ACTIONS(11517),
    [sym__plus_operator] = ACTIONS(11517),
    [sym__times_operator] = ACTIONS(11517),
    [sym__rational_operator] = ACTIONS(11517),
    [sym__bitshift_operator] = ACTIONS(11517),
    [sym__power_operator] = ACTIONS(11517),
    [sym__tilde_operator] = ACTIONS(11517),
    [sym__type_order_operator] = ACTIONS(11517),
    [sym__unary_operator] = ACTIONS(11517),
    [sym__unary_plus_operator] = ACTIONS(11517),
    [aux_sym__terminator_token1] = ACTIONS(11519),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7981] = {
    [sym_block_comment] = STATE(7981),
    [sym_line_comment] = STATE(7981),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10177),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10177),
    [anon_sym_RPAREN] = ACTIONS(10177),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10177),
    [anon_sym_RBRACK] = ACTIONS(10177),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10177),
    [anon_sym_LBRACE] = ACTIONS(10177),
    [anon_sym_RBRACE] = ACTIONS(10177),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10177),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10177),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10177),
    [anon_sym_QMARK] = ACTIONS(10177),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10177),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10177),
    [aux_sym_integer_literal_token2] = ACTIONS(10177),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10177),
    [aux_sym_float_literal_token3] = ACTIONS(10177),
    [aux_sym_float_literal_token4] = ACTIONS(10177),
    [sym_character_literal] = ACTIONS(10177),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10177),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10177),
    [sym__pair_operator] = ACTIONS(10177),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10177),
    [sym__lazy_and_operator] = ACTIONS(10177),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10177),
    [sym__pipe_left_operator] = ACTIONS(10177),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10177),
    [sym__bitshift_operator] = ACTIONS(10177),
    [sym__power_operator] = ACTIONS(10177),
    [sym__tilde_operator] = ACTIONS(10177),
    [sym__type_order_operator] = ACTIONS(10177),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7982] = {
    [sym_block_comment] = STATE(7982),
    [sym_line_comment] = STATE(7982),
    [sym__word_identifier] = ACTIONS(11521),
    [anon_sym_COMMA] = ACTIONS(11521),
    [anon_sym_EQ] = ACTIONS(11521),
    [anon_sym_begin] = ACTIONS(11521),
    [anon_sym_module] = ACTIONS(11521),
    [anon_sym_baremodule] = ACTIONS(11521),
    [anon_sym_end] = ACTIONS(11521),
    [anon_sym_abstract] = ACTIONS(11521),
    [anon_sym_primitive] = ACTIONS(11521),
    [anon_sym_mutable] = ACTIONS(11521),
    [anon_sym_struct] = ACTIONS(11521),
    [anon_sym_function] = ACTIONS(11521),
    [anon_sym_macro] = ACTIONS(11521),
    [anon_sym_quote] = ACTIONS(11521),
    [anon_sym_let] = ACTIONS(11521),
    [anon_sym_if] = ACTIONS(11521),
    [anon_sym_elseif] = ACTIONS(11521),
    [anon_sym_else] = ACTIONS(11521),
    [anon_sym_try] = ACTIONS(11521),
    [anon_sym_for] = ACTIONS(11521),
    [anon_sym_while] = ACTIONS(11521),
    [sym_break_statement] = ACTIONS(11521),
    [sym_continue_statement] = ACTIONS(11521),
    [anon_sym_return] = ACTIONS(11521),
    [anon_sym_const] = ACTIONS(11521),
    [anon_sym_global] = ACTIONS(11521),
    [anon_sym_local] = ACTIONS(11521),
    [anon_sym_LPAREN] = ACTIONS(11521),
    [anon_sym_COLON] = ACTIONS(11521),
    [anon_sym_export] = ACTIONS(11521),
    [anon_sym_public] = ACTIONS(11521),
    [anon_sym_import] = ACTIONS(11521),
    [anon_sym_using] = ACTIONS(11521),
    [anon_sym_LBRACK] = ACTIONS(11521),
    [anon_sym_in] = ACTIONS(11521),
    [anon_sym_SEMI] = ACTIONS(11521),
    [anon_sym_LBRACE] = ACTIONS(11521),
    [anon_sym_DOLLAR] = ACTIONS(11521),
    [anon_sym_COLON2] = ACTIONS(11521),
    [anon_sym_COLON_COLON] = ACTIONS(11521),
    [anon_sym_isa] = ACTIONS(11521),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11521),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_where] = ACTIONS(11521),
    [anon_sym_AT] = ACTIONS(11521),
    [anon_sym_true] = ACTIONS(11521),
    [anon_sym_false] = ACTIONS(11521),
    [aux_sym_integer_literal_token1] = ACTIONS(11521),
    [aux_sym_integer_literal_token2] = ACTIONS(11521),
    [aux_sym_integer_literal_token3] = ACTIONS(11521),
    [aux_sym_integer_literal_token4] = ACTIONS(11521),
    [aux_sym_float_literal_token1] = ACTIONS(11521),
    [aux_sym_float_literal_token3] = ACTIONS(11521),
    [aux_sym_float_literal_token4] = ACTIONS(11521),
    [sym_character_literal] = ACTIONS(11521),
    [anon_sym_DQUOTE] = ACTIONS(11521),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11521),
    [anon_sym_BQUOTE] = ACTIONS(11521),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11521),
    [sym__pair_operator] = ACTIONS(11521),
    [sym__arrow_operator] = ACTIONS(11521),
    [sym__lazy_or_operator] = ACTIONS(11521),
    [sym__lazy_and_operator] = ACTIONS(11521),
    [sym__comparison_operator] = ACTIONS(11521),
    [sym__pipe_right_operator] = ACTIONS(11521),
    [sym__pipe_left_operator] = ACTIONS(11521),
    [sym__ellipsis_operator] = ACTIONS(11521),
    [sym__plus_operator] = ACTIONS(11521),
    [sym__times_operator] = ACTIONS(11521),
    [sym__rational_operator] = ACTIONS(11521),
    [sym__bitshift_operator] = ACTIONS(11521),
    [sym__power_operator] = ACTIONS(11521),
    [sym__tilde_operator] = ACTIONS(11521),
    [sym__type_order_operator] = ACTIONS(11521),
    [sym__unary_operator] = ACTIONS(11521),
    [sym__unary_plus_operator] = ACTIONS(11521),
    [aux_sym__terminator_token1] = ACTIONS(11523),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7983] = {
    [sym_block_comment] = STATE(7983),
    [sym_line_comment] = STATE(7983),
    [sym__word_identifier] = ACTIONS(11525),
    [anon_sym_COMMA] = ACTIONS(11525),
    [anon_sym_EQ] = ACTIONS(11525),
    [anon_sym_begin] = ACTIONS(11525),
    [anon_sym_module] = ACTIONS(11525),
    [anon_sym_baremodule] = ACTIONS(11525),
    [anon_sym_end] = ACTIONS(11525),
    [anon_sym_abstract] = ACTIONS(11525),
    [anon_sym_primitive] = ACTIONS(11525),
    [anon_sym_mutable] = ACTIONS(11525),
    [anon_sym_struct] = ACTIONS(11525),
    [anon_sym_function] = ACTIONS(11525),
    [anon_sym_macro] = ACTIONS(11525),
    [anon_sym_quote] = ACTIONS(11525),
    [anon_sym_let] = ACTIONS(11525),
    [anon_sym_if] = ACTIONS(11525),
    [anon_sym_elseif] = ACTIONS(11525),
    [anon_sym_else] = ACTIONS(11525),
    [anon_sym_try] = ACTIONS(11525),
    [anon_sym_for] = ACTIONS(11525),
    [anon_sym_while] = ACTIONS(11525),
    [sym_break_statement] = ACTIONS(11525),
    [sym_continue_statement] = ACTIONS(11525),
    [anon_sym_return] = ACTIONS(11525),
    [anon_sym_const] = ACTIONS(11525),
    [anon_sym_global] = ACTIONS(11525),
    [anon_sym_local] = ACTIONS(11525),
    [anon_sym_LPAREN] = ACTIONS(11525),
    [anon_sym_COLON] = ACTIONS(11525),
    [anon_sym_export] = ACTIONS(11525),
    [anon_sym_public] = ACTIONS(11525),
    [anon_sym_import] = ACTIONS(11525),
    [anon_sym_using] = ACTIONS(11525),
    [anon_sym_LBRACK] = ACTIONS(11525),
    [anon_sym_in] = ACTIONS(11525),
    [anon_sym_SEMI] = ACTIONS(11525),
    [anon_sym_LBRACE] = ACTIONS(11525),
    [anon_sym_DOLLAR] = ACTIONS(11525),
    [anon_sym_COLON2] = ACTIONS(11525),
    [anon_sym_COLON_COLON] = ACTIONS(11525),
    [anon_sym_isa] = ACTIONS(11525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_QMARK] = ACTIONS(11525),
    [anon_sym_where] = ACTIONS(11525),
    [anon_sym_AT] = ACTIONS(11525),
    [anon_sym_true] = ACTIONS(11525),
    [anon_sym_false] = ACTIONS(11525),
    [aux_sym_integer_literal_token1] = ACTIONS(11525),
    [aux_sym_integer_literal_token2] = ACTIONS(11525),
    [aux_sym_integer_literal_token3] = ACTIONS(11525),
    [aux_sym_integer_literal_token4] = ACTIONS(11525),
    [aux_sym_float_literal_token1] = ACTIONS(11525),
    [aux_sym_float_literal_token3] = ACTIONS(11525),
    [aux_sym_float_literal_token4] = ACTIONS(11525),
    [sym_character_literal] = ACTIONS(11525),
    [anon_sym_DQUOTE] = ACTIONS(11525),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11525),
    [anon_sym_BQUOTE] = ACTIONS(11525),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11525),
    [sym__pair_operator] = ACTIONS(11525),
    [sym__arrow_operator] = ACTIONS(11525),
    [sym__lazy_or_operator] = ACTIONS(11525),
    [sym__lazy_and_operator] = ACTIONS(11525),
    [sym__comparison_operator] = ACTIONS(11525),
    [sym__pipe_right_operator] = ACTIONS(11525),
    [sym__pipe_left_operator] = ACTIONS(11525),
    [sym__ellipsis_operator] = ACTIONS(11525),
    [sym__plus_operator] = ACTIONS(11525),
    [sym__times_operator] = ACTIONS(11525),
    [sym__rational_operator] = ACTIONS(11525),
    [sym__bitshift_operator] = ACTIONS(11525),
    [sym__power_operator] = ACTIONS(11525),
    [sym__tilde_operator] = ACTIONS(11525),
    [sym__type_order_operator] = ACTIONS(11525),
    [sym__unary_operator] = ACTIONS(11525),
    [sym__unary_plus_operator] = ACTIONS(11525),
    [aux_sym__terminator_token1] = ACTIONS(11527),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7984] = {
    [sym_block_comment] = STATE(7984),
    [sym_line_comment] = STATE(7984),
    [sym__word_identifier] = ACTIONS(11529),
    [anon_sym_COMMA] = ACTIONS(11529),
    [anon_sym_EQ] = ACTIONS(11529),
    [anon_sym_begin] = ACTIONS(11529),
    [anon_sym_module] = ACTIONS(11529),
    [anon_sym_baremodule] = ACTIONS(11529),
    [anon_sym_end] = ACTIONS(11529),
    [anon_sym_abstract] = ACTIONS(11529),
    [anon_sym_primitive] = ACTIONS(11529),
    [anon_sym_mutable] = ACTIONS(11529),
    [anon_sym_struct] = ACTIONS(11529),
    [anon_sym_function] = ACTIONS(11529),
    [anon_sym_macro] = ACTIONS(11529),
    [anon_sym_quote] = ACTIONS(11529),
    [anon_sym_let] = ACTIONS(11529),
    [anon_sym_if] = ACTIONS(11529),
    [anon_sym_elseif] = ACTIONS(11529),
    [anon_sym_else] = ACTIONS(11529),
    [anon_sym_try] = ACTIONS(11529),
    [anon_sym_for] = ACTIONS(11529),
    [anon_sym_while] = ACTIONS(11529),
    [sym_break_statement] = ACTIONS(11529),
    [sym_continue_statement] = ACTIONS(11529),
    [anon_sym_return] = ACTIONS(11529),
    [anon_sym_const] = ACTIONS(11529),
    [anon_sym_global] = ACTIONS(11529),
    [anon_sym_local] = ACTIONS(11529),
    [anon_sym_LPAREN] = ACTIONS(11529),
    [anon_sym_COLON] = ACTIONS(11529),
    [anon_sym_export] = ACTIONS(11529),
    [anon_sym_public] = ACTIONS(11529),
    [anon_sym_import] = ACTIONS(11529),
    [anon_sym_using] = ACTIONS(11529),
    [anon_sym_LBRACK] = ACTIONS(11529),
    [anon_sym_in] = ACTIONS(11529),
    [anon_sym_SEMI] = ACTIONS(11529),
    [anon_sym_LBRACE] = ACTIONS(11529),
    [anon_sym_DOLLAR] = ACTIONS(11529),
    [anon_sym_COLON2] = ACTIONS(11529),
    [anon_sym_COLON_COLON] = ACTIONS(11529),
    [anon_sym_isa] = ACTIONS(11529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11529),
    [anon_sym_QMARK] = ACTIONS(11529),
    [anon_sym_where] = ACTIONS(11529),
    [anon_sym_AT] = ACTIONS(11529),
    [anon_sym_true] = ACTIONS(11529),
    [anon_sym_false] = ACTIONS(11529),
    [aux_sym_integer_literal_token1] = ACTIONS(11529),
    [aux_sym_integer_literal_token2] = ACTIONS(11529),
    [aux_sym_integer_literal_token3] = ACTIONS(11529),
    [aux_sym_integer_literal_token4] = ACTIONS(11529),
    [aux_sym_float_literal_token1] = ACTIONS(11529),
    [aux_sym_float_literal_token3] = ACTIONS(11529),
    [aux_sym_float_literal_token4] = ACTIONS(11529),
    [sym_character_literal] = ACTIONS(11529),
    [anon_sym_DQUOTE] = ACTIONS(11529),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11529),
    [anon_sym_BQUOTE] = ACTIONS(11529),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11529),
    [sym__pair_operator] = ACTIONS(11529),
    [sym__arrow_operator] = ACTIONS(11529),
    [sym__lazy_or_operator] = ACTIONS(11529),
    [sym__lazy_and_operator] = ACTIONS(11529),
    [sym__comparison_operator] = ACTIONS(11529),
    [sym__pipe_right_operator] = ACTIONS(11529),
    [sym__pipe_left_operator] = ACTIONS(11529),
    [sym__ellipsis_operator] = ACTIONS(11529),
    [sym__plus_operator] = ACTIONS(11529),
    [sym__times_operator] = ACTIONS(11529),
    [sym__rational_operator] = ACTIONS(11529),
    [sym__bitshift_operator] = ACTIONS(11529),
    [sym__power_operator] = ACTIONS(11529),
    [sym__tilde_operator] = ACTIONS(11529),
    [sym__type_order_operator] = ACTIONS(11529),
    [sym__unary_operator] = ACTIONS(11529),
    [sym__unary_plus_operator] = ACTIONS(11529),
    [aux_sym__terminator_token1] = ACTIONS(11531),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7985] = {
    [sym_block_comment] = STATE(7985),
    [sym_line_comment] = STATE(7985),
    [sym__word_identifier] = ACTIONS(11533),
    [anon_sym_COMMA] = ACTIONS(11533),
    [anon_sym_EQ] = ACTIONS(11533),
    [anon_sym_begin] = ACTIONS(11533),
    [anon_sym_module] = ACTIONS(11533),
    [anon_sym_baremodule] = ACTIONS(11533),
    [anon_sym_end] = ACTIONS(11533),
    [anon_sym_abstract] = ACTIONS(11533),
    [anon_sym_primitive] = ACTIONS(11533),
    [anon_sym_mutable] = ACTIONS(11533),
    [anon_sym_struct] = ACTIONS(11533),
    [anon_sym_function] = ACTIONS(11533),
    [anon_sym_macro] = ACTIONS(11533),
    [anon_sym_quote] = ACTIONS(11533),
    [anon_sym_let] = ACTIONS(11533),
    [anon_sym_if] = ACTIONS(11533),
    [anon_sym_elseif] = ACTIONS(11533),
    [anon_sym_else] = ACTIONS(11533),
    [anon_sym_try] = ACTIONS(11533),
    [anon_sym_for] = ACTIONS(11533),
    [anon_sym_while] = ACTIONS(11533),
    [sym_break_statement] = ACTIONS(11533),
    [sym_continue_statement] = ACTIONS(11533),
    [anon_sym_return] = ACTIONS(11533),
    [anon_sym_const] = ACTIONS(11533),
    [anon_sym_global] = ACTIONS(11533),
    [anon_sym_local] = ACTIONS(11533),
    [anon_sym_LPAREN] = ACTIONS(11533),
    [anon_sym_COLON] = ACTIONS(11533),
    [anon_sym_export] = ACTIONS(11533),
    [anon_sym_public] = ACTIONS(11533),
    [anon_sym_import] = ACTIONS(11533),
    [anon_sym_using] = ACTIONS(11533),
    [anon_sym_LBRACK] = ACTIONS(11533),
    [anon_sym_in] = ACTIONS(11533),
    [anon_sym_SEMI] = ACTIONS(11533),
    [anon_sym_LBRACE] = ACTIONS(11533),
    [anon_sym_DOLLAR] = ACTIONS(11533),
    [anon_sym_COLON2] = ACTIONS(11533),
    [anon_sym_COLON_COLON] = ACTIONS(11533),
    [anon_sym_isa] = ACTIONS(11533),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11533),
    [anon_sym_QMARK] = ACTIONS(11533),
    [anon_sym_where] = ACTIONS(11533),
    [anon_sym_AT] = ACTIONS(11533),
    [anon_sym_true] = ACTIONS(11533),
    [anon_sym_false] = ACTIONS(11533),
    [aux_sym_integer_literal_token1] = ACTIONS(11533),
    [aux_sym_integer_literal_token2] = ACTIONS(11533),
    [aux_sym_integer_literal_token3] = ACTIONS(11533),
    [aux_sym_integer_literal_token4] = ACTIONS(11533),
    [aux_sym_float_literal_token1] = ACTIONS(11533),
    [aux_sym_float_literal_token3] = ACTIONS(11533),
    [aux_sym_float_literal_token4] = ACTIONS(11533),
    [sym_character_literal] = ACTIONS(11533),
    [anon_sym_DQUOTE] = ACTIONS(11533),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11533),
    [anon_sym_BQUOTE] = ACTIONS(11533),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11533),
    [sym__pair_operator] = ACTIONS(11533),
    [sym__arrow_operator] = ACTIONS(11533),
    [sym__lazy_or_operator] = ACTIONS(11533),
    [sym__lazy_and_operator] = ACTIONS(11533),
    [sym__comparison_operator] = ACTIONS(11533),
    [sym__pipe_right_operator] = ACTIONS(11533),
    [sym__pipe_left_operator] = ACTIONS(11533),
    [sym__ellipsis_operator] = ACTIONS(11533),
    [sym__plus_operator] = ACTIONS(11533),
    [sym__times_operator] = ACTIONS(11533),
    [sym__rational_operator] = ACTIONS(11533),
    [sym__bitshift_operator] = ACTIONS(11533),
    [sym__power_operator] = ACTIONS(11533),
    [sym__tilde_operator] = ACTIONS(11533),
    [sym__type_order_operator] = ACTIONS(11533),
    [sym__unary_operator] = ACTIONS(11533),
    [sym__unary_plus_operator] = ACTIONS(11533),
    [aux_sym__terminator_token1] = ACTIONS(11535),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7986] = {
    [sym_block_comment] = STATE(7986),
    [sym_line_comment] = STATE(7986),
    [sym__word_identifier] = ACTIONS(11537),
    [anon_sym_COMMA] = ACTIONS(11537),
    [anon_sym_EQ] = ACTIONS(11537),
    [anon_sym_begin] = ACTIONS(11537),
    [anon_sym_module] = ACTIONS(11537),
    [anon_sym_baremodule] = ACTIONS(11537),
    [anon_sym_end] = ACTIONS(11537),
    [anon_sym_abstract] = ACTIONS(11537),
    [anon_sym_primitive] = ACTIONS(11537),
    [anon_sym_mutable] = ACTIONS(11537),
    [anon_sym_struct] = ACTIONS(11537),
    [anon_sym_function] = ACTIONS(11537),
    [anon_sym_macro] = ACTIONS(11537),
    [anon_sym_quote] = ACTIONS(11537),
    [anon_sym_let] = ACTIONS(11537),
    [anon_sym_if] = ACTIONS(11537),
    [anon_sym_elseif] = ACTIONS(11537),
    [anon_sym_else] = ACTIONS(11537),
    [anon_sym_try] = ACTIONS(11537),
    [anon_sym_for] = ACTIONS(11537),
    [anon_sym_while] = ACTIONS(11537),
    [sym_break_statement] = ACTIONS(11537),
    [sym_continue_statement] = ACTIONS(11537),
    [anon_sym_return] = ACTIONS(11537),
    [anon_sym_const] = ACTIONS(11537),
    [anon_sym_global] = ACTIONS(11537),
    [anon_sym_local] = ACTIONS(11537),
    [anon_sym_LPAREN] = ACTIONS(11537),
    [anon_sym_COLON] = ACTIONS(11537),
    [anon_sym_export] = ACTIONS(11537),
    [anon_sym_public] = ACTIONS(11537),
    [anon_sym_import] = ACTIONS(11537),
    [anon_sym_using] = ACTIONS(11537),
    [anon_sym_LBRACK] = ACTIONS(11537),
    [anon_sym_in] = ACTIONS(11537),
    [anon_sym_SEMI] = ACTIONS(11537),
    [anon_sym_LBRACE] = ACTIONS(11537),
    [anon_sym_DOLLAR] = ACTIONS(11537),
    [anon_sym_COLON2] = ACTIONS(11537),
    [anon_sym_COLON_COLON] = ACTIONS(11537),
    [anon_sym_isa] = ACTIONS(11537),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11537),
    [anon_sym_QMARK] = ACTIONS(11537),
    [anon_sym_where] = ACTIONS(11537),
    [anon_sym_AT] = ACTIONS(11537),
    [anon_sym_true] = ACTIONS(11537),
    [anon_sym_false] = ACTIONS(11537),
    [aux_sym_integer_literal_token1] = ACTIONS(11537),
    [aux_sym_integer_literal_token2] = ACTIONS(11537),
    [aux_sym_integer_literal_token3] = ACTIONS(11537),
    [aux_sym_integer_literal_token4] = ACTIONS(11537),
    [aux_sym_float_literal_token1] = ACTIONS(11537),
    [aux_sym_float_literal_token3] = ACTIONS(11537),
    [aux_sym_float_literal_token4] = ACTIONS(11537),
    [sym_character_literal] = ACTIONS(11537),
    [anon_sym_DQUOTE] = ACTIONS(11537),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11537),
    [anon_sym_BQUOTE] = ACTIONS(11537),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11537),
    [sym__pair_operator] = ACTIONS(11537),
    [sym__arrow_operator] = ACTIONS(11537),
    [sym__lazy_or_operator] = ACTIONS(11537),
    [sym__lazy_and_operator] = ACTIONS(11537),
    [sym__comparison_operator] = ACTIONS(11537),
    [sym__pipe_right_operator] = ACTIONS(11537),
    [sym__pipe_left_operator] = ACTIONS(11537),
    [sym__ellipsis_operator] = ACTIONS(11537),
    [sym__plus_operator] = ACTIONS(11537),
    [sym__times_operator] = ACTIONS(11537),
    [sym__rational_operator] = ACTIONS(11537),
    [sym__bitshift_operator] = ACTIONS(11537),
    [sym__power_operator] = ACTIONS(11537),
    [sym__tilde_operator] = ACTIONS(11537),
    [sym__type_order_operator] = ACTIONS(11537),
    [sym__unary_operator] = ACTIONS(11537),
    [sym__unary_plus_operator] = ACTIONS(11537),
    [aux_sym__terminator_token1] = ACTIONS(11539),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7987] = {
    [sym_block_comment] = STATE(7987),
    [sym_line_comment] = STATE(7987),
    [sym__word_identifier] = ACTIONS(11541),
    [anon_sym_COMMA] = ACTIONS(11541),
    [anon_sym_EQ] = ACTIONS(11541),
    [anon_sym_begin] = ACTIONS(11541),
    [anon_sym_module] = ACTIONS(11541),
    [anon_sym_baremodule] = ACTIONS(11541),
    [anon_sym_end] = ACTIONS(11541),
    [anon_sym_abstract] = ACTIONS(11541),
    [anon_sym_primitive] = ACTIONS(11541),
    [anon_sym_mutable] = ACTIONS(11541),
    [anon_sym_struct] = ACTIONS(11541),
    [anon_sym_function] = ACTIONS(11541),
    [anon_sym_macro] = ACTIONS(11541),
    [anon_sym_quote] = ACTIONS(11541),
    [anon_sym_let] = ACTIONS(11541),
    [anon_sym_if] = ACTIONS(11541),
    [anon_sym_elseif] = ACTIONS(11541),
    [anon_sym_else] = ACTIONS(11541),
    [anon_sym_try] = ACTIONS(11541),
    [anon_sym_for] = ACTIONS(11541),
    [anon_sym_while] = ACTIONS(11541),
    [sym_break_statement] = ACTIONS(11541),
    [sym_continue_statement] = ACTIONS(11541),
    [anon_sym_return] = ACTIONS(11541),
    [anon_sym_const] = ACTIONS(11541),
    [anon_sym_global] = ACTIONS(11541),
    [anon_sym_local] = ACTIONS(11541),
    [anon_sym_LPAREN] = ACTIONS(11541),
    [anon_sym_COLON] = ACTIONS(11541),
    [anon_sym_export] = ACTIONS(11541),
    [anon_sym_public] = ACTIONS(11541),
    [anon_sym_import] = ACTIONS(11541),
    [anon_sym_using] = ACTIONS(11541),
    [anon_sym_LBRACK] = ACTIONS(11541),
    [anon_sym_in] = ACTIONS(11541),
    [anon_sym_SEMI] = ACTIONS(11541),
    [anon_sym_LBRACE] = ACTIONS(11541),
    [anon_sym_DOLLAR] = ACTIONS(11541),
    [anon_sym_COLON2] = ACTIONS(11541),
    [anon_sym_COLON_COLON] = ACTIONS(11541),
    [anon_sym_isa] = ACTIONS(11541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11541),
    [anon_sym_QMARK] = ACTIONS(11541),
    [anon_sym_where] = ACTIONS(11541),
    [anon_sym_AT] = ACTIONS(11541),
    [anon_sym_true] = ACTIONS(11541),
    [anon_sym_false] = ACTIONS(11541),
    [aux_sym_integer_literal_token1] = ACTIONS(11541),
    [aux_sym_integer_literal_token2] = ACTIONS(11541),
    [aux_sym_integer_literal_token3] = ACTIONS(11541),
    [aux_sym_integer_literal_token4] = ACTIONS(11541),
    [aux_sym_float_literal_token1] = ACTIONS(11541),
    [aux_sym_float_literal_token3] = ACTIONS(11541),
    [aux_sym_float_literal_token4] = ACTIONS(11541),
    [sym_character_literal] = ACTIONS(11541),
    [anon_sym_DQUOTE] = ACTIONS(11541),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11541),
    [anon_sym_BQUOTE] = ACTIONS(11541),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11541),
    [sym__pair_operator] = ACTIONS(11541),
    [sym__arrow_operator] = ACTIONS(11541),
    [sym__lazy_or_operator] = ACTIONS(11541),
    [sym__lazy_and_operator] = ACTIONS(11541),
    [sym__comparison_operator] = ACTIONS(11541),
    [sym__pipe_right_operator] = ACTIONS(11541),
    [sym__pipe_left_operator] = ACTIONS(11541),
    [sym__ellipsis_operator] = ACTIONS(11541),
    [sym__plus_operator] = ACTIONS(11541),
    [sym__times_operator] = ACTIONS(11541),
    [sym__rational_operator] = ACTIONS(11541),
    [sym__bitshift_operator] = ACTIONS(11541),
    [sym__power_operator] = ACTIONS(11541),
    [sym__tilde_operator] = ACTIONS(11541),
    [sym__type_order_operator] = ACTIONS(11541),
    [sym__unary_operator] = ACTIONS(11541),
    [sym__unary_plus_operator] = ACTIONS(11541),
    [aux_sym__terminator_token1] = ACTIONS(11543),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7988] = {
    [sym_block_comment] = STATE(7988),
    [sym_line_comment] = STATE(7988),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7989] = {
    [sym_block_comment] = STATE(7989),
    [sym_line_comment] = STATE(7989),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(11134),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_end] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_else] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_finally] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11134),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11134),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11134),
    [anon_sym_LBRACE] = ACTIONS(11134),
    [anon_sym_DOLLAR] = ACTIONS(11134),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11230),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11134),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11134),
    [aux_sym_integer_literal_token2] = ACTIONS(11134),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11134),
    [aux_sym_float_literal_token3] = ACTIONS(11134),
    [aux_sym_float_literal_token4] = ACTIONS(11134),
    [sym_character_literal] = ACTIONS(11134),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11134),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11134),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11139),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7990] = {
    [sym_block_comment] = STATE(7990),
    [sym_line_comment] = STATE(7990),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11788),
    [anon_sym_EQ] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_end] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_else] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_finally] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7991] = {
    [sym_block_comment] = STATE(7991),
    [sym_line_comment] = STATE(7991),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_RPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_RBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9995),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_RBRACE] = ACTIONS(9995),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9995),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9995),
    [sym__bitshift_operator] = ACTIONS(9995),
    [sym__power_operator] = ACTIONS(9995),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7992] = {
    [sym__comprehension_clause] = STATE(18828),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(7992),
    [sym_line_comment] = STATE(7992),
    [aux_sym_vector_expression_repeat1] = STATE(17906),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11792),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11794),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11796),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11799),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7993] = {
    [sym_block_comment] = STATE(7993),
    [sym_line_comment] = STATE(7993),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_finally] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7994] = {
    [sym_block_comment] = STATE(7994),
    [sym_line_comment] = STATE(7994),
    [sym__word_identifier] = ACTIONS(11545),
    [anon_sym_COMMA] = ACTIONS(11545),
    [anon_sym_EQ] = ACTIONS(11545),
    [anon_sym_begin] = ACTIONS(11545),
    [anon_sym_module] = ACTIONS(11545),
    [anon_sym_baremodule] = ACTIONS(11545),
    [anon_sym_end] = ACTIONS(11545),
    [anon_sym_abstract] = ACTIONS(11545),
    [anon_sym_primitive] = ACTIONS(11545),
    [anon_sym_mutable] = ACTIONS(11545),
    [anon_sym_struct] = ACTIONS(11545),
    [anon_sym_function] = ACTIONS(11545),
    [anon_sym_macro] = ACTIONS(11545),
    [anon_sym_quote] = ACTIONS(11545),
    [anon_sym_let] = ACTIONS(11545),
    [anon_sym_if] = ACTIONS(11545),
    [anon_sym_elseif] = ACTIONS(11545),
    [anon_sym_else] = ACTIONS(11545),
    [anon_sym_try] = ACTIONS(11545),
    [anon_sym_for] = ACTIONS(11545),
    [anon_sym_while] = ACTIONS(11545),
    [sym_break_statement] = ACTIONS(11545),
    [sym_continue_statement] = ACTIONS(11545),
    [anon_sym_return] = ACTIONS(11545),
    [anon_sym_const] = ACTIONS(11545),
    [anon_sym_global] = ACTIONS(11545),
    [anon_sym_local] = ACTIONS(11545),
    [anon_sym_LPAREN] = ACTIONS(11545),
    [anon_sym_COLON] = ACTIONS(11545),
    [anon_sym_export] = ACTIONS(11545),
    [anon_sym_public] = ACTIONS(11545),
    [anon_sym_import] = ACTIONS(11545),
    [anon_sym_using] = ACTIONS(11545),
    [anon_sym_LBRACK] = ACTIONS(11545),
    [anon_sym_in] = ACTIONS(11545),
    [anon_sym_SEMI] = ACTIONS(11545),
    [anon_sym_LBRACE] = ACTIONS(11545),
    [anon_sym_DOLLAR] = ACTIONS(11545),
    [anon_sym_COLON2] = ACTIONS(11545),
    [anon_sym_COLON_COLON] = ACTIONS(11545),
    [anon_sym_isa] = ACTIONS(11545),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11545),
    [anon_sym_QMARK] = ACTIONS(11545),
    [anon_sym_where] = ACTIONS(11545),
    [anon_sym_AT] = ACTIONS(11545),
    [anon_sym_true] = ACTIONS(11545),
    [anon_sym_false] = ACTIONS(11545),
    [aux_sym_integer_literal_token1] = ACTIONS(11545),
    [aux_sym_integer_literal_token2] = ACTIONS(11545),
    [aux_sym_integer_literal_token3] = ACTIONS(11545),
    [aux_sym_integer_literal_token4] = ACTIONS(11545),
    [aux_sym_float_literal_token1] = ACTIONS(11545),
    [aux_sym_float_literal_token3] = ACTIONS(11545),
    [aux_sym_float_literal_token4] = ACTIONS(11545),
    [sym_character_literal] = ACTIONS(11545),
    [anon_sym_DQUOTE] = ACTIONS(11545),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11545),
    [anon_sym_BQUOTE] = ACTIONS(11545),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11545),
    [sym__pair_operator] = ACTIONS(11545),
    [sym__arrow_operator] = ACTIONS(11545),
    [sym__lazy_or_operator] = ACTIONS(11545),
    [sym__lazy_and_operator] = ACTIONS(11545),
    [sym__comparison_operator] = ACTIONS(11545),
    [sym__pipe_right_operator] = ACTIONS(11545),
    [sym__pipe_left_operator] = ACTIONS(11545),
    [sym__ellipsis_operator] = ACTIONS(11545),
    [sym__plus_operator] = ACTIONS(11545),
    [sym__times_operator] = ACTIONS(11545),
    [sym__rational_operator] = ACTIONS(11545),
    [sym__bitshift_operator] = ACTIONS(11545),
    [sym__power_operator] = ACTIONS(11545),
    [sym__tilde_operator] = ACTIONS(11545),
    [sym__type_order_operator] = ACTIONS(11545),
    [sym__unary_operator] = ACTIONS(11545),
    [sym__unary_plus_operator] = ACTIONS(11545),
    [aux_sym__terminator_token1] = ACTIONS(11547),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7995] = {
    [sym_block_comment] = STATE(7995),
    [sym_line_comment] = STATE(7995),
    [sym__word_identifier] = ACTIONS(11549),
    [anon_sym_COMMA] = ACTIONS(11549),
    [anon_sym_EQ] = ACTIONS(11549),
    [anon_sym_begin] = ACTIONS(11549),
    [anon_sym_module] = ACTIONS(11549),
    [anon_sym_baremodule] = ACTIONS(11549),
    [anon_sym_end] = ACTIONS(11549),
    [anon_sym_abstract] = ACTIONS(11549),
    [anon_sym_primitive] = ACTIONS(11549),
    [anon_sym_mutable] = ACTIONS(11549),
    [anon_sym_struct] = ACTIONS(11549),
    [anon_sym_function] = ACTIONS(11549),
    [anon_sym_macro] = ACTIONS(11549),
    [anon_sym_quote] = ACTIONS(11549),
    [anon_sym_let] = ACTIONS(11549),
    [anon_sym_if] = ACTIONS(11549),
    [anon_sym_elseif] = ACTIONS(11549),
    [anon_sym_else] = ACTIONS(11549),
    [anon_sym_try] = ACTIONS(11549),
    [anon_sym_for] = ACTIONS(11549),
    [anon_sym_while] = ACTIONS(11549),
    [sym_break_statement] = ACTIONS(11549),
    [sym_continue_statement] = ACTIONS(11549),
    [anon_sym_return] = ACTIONS(11549),
    [anon_sym_const] = ACTIONS(11549),
    [anon_sym_global] = ACTIONS(11549),
    [anon_sym_local] = ACTIONS(11549),
    [anon_sym_LPAREN] = ACTIONS(11549),
    [anon_sym_COLON] = ACTIONS(11549),
    [anon_sym_export] = ACTIONS(11549),
    [anon_sym_public] = ACTIONS(11549),
    [anon_sym_import] = ACTIONS(11549),
    [anon_sym_using] = ACTIONS(11549),
    [anon_sym_LBRACK] = ACTIONS(11549),
    [anon_sym_in] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(11549),
    [anon_sym_LBRACE] = ACTIONS(11549),
    [anon_sym_DOLLAR] = ACTIONS(11549),
    [anon_sym_COLON2] = ACTIONS(11549),
    [anon_sym_COLON_COLON] = ACTIONS(11549),
    [anon_sym_isa] = ACTIONS(11549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11549),
    [anon_sym_QMARK] = ACTIONS(11549),
    [anon_sym_where] = ACTIONS(11549),
    [anon_sym_AT] = ACTIONS(11549),
    [anon_sym_true] = ACTIONS(11549),
    [anon_sym_false] = ACTIONS(11549),
    [aux_sym_integer_literal_token1] = ACTIONS(11549),
    [aux_sym_integer_literal_token2] = ACTIONS(11549),
    [aux_sym_integer_literal_token3] = ACTIONS(11549),
    [aux_sym_integer_literal_token4] = ACTIONS(11549),
    [aux_sym_float_literal_token1] = ACTIONS(11549),
    [aux_sym_float_literal_token3] = ACTIONS(11549),
    [aux_sym_float_literal_token4] = ACTIONS(11549),
    [sym_character_literal] = ACTIONS(11549),
    [anon_sym_DQUOTE] = ACTIONS(11549),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11549),
    [anon_sym_BQUOTE] = ACTIONS(11549),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11549),
    [sym__pair_operator] = ACTIONS(11549),
    [sym__arrow_operator] = ACTIONS(11549),
    [sym__lazy_or_operator] = ACTIONS(11549),
    [sym__lazy_and_operator] = ACTIONS(11549),
    [sym__comparison_operator] = ACTIONS(11549),
    [sym__pipe_right_operator] = ACTIONS(11549),
    [sym__pipe_left_operator] = ACTIONS(11549),
    [sym__ellipsis_operator] = ACTIONS(11549),
    [sym__plus_operator] = ACTIONS(11549),
    [sym__times_operator] = ACTIONS(11549),
    [sym__rational_operator] = ACTIONS(11549),
    [sym__bitshift_operator] = ACTIONS(11549),
    [sym__power_operator] = ACTIONS(11549),
    [sym__tilde_operator] = ACTIONS(11549),
    [sym__type_order_operator] = ACTIONS(11549),
    [sym__unary_operator] = ACTIONS(11549),
    [sym__unary_plus_operator] = ACTIONS(11549),
    [aux_sym__terminator_token1] = ACTIONS(11551),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7996] = {
    [sym_block_comment] = STATE(7996),
    [sym_line_comment] = STATE(7996),
    [sym__word_identifier] = ACTIONS(11553),
    [anon_sym_COMMA] = ACTIONS(11553),
    [anon_sym_EQ] = ACTIONS(11553),
    [anon_sym_begin] = ACTIONS(11553),
    [anon_sym_module] = ACTIONS(11553),
    [anon_sym_baremodule] = ACTIONS(11553),
    [anon_sym_end] = ACTIONS(11553),
    [anon_sym_abstract] = ACTIONS(11553),
    [anon_sym_primitive] = ACTIONS(11553),
    [anon_sym_mutable] = ACTIONS(11553),
    [anon_sym_struct] = ACTIONS(11553),
    [anon_sym_function] = ACTIONS(11553),
    [anon_sym_macro] = ACTIONS(11553),
    [anon_sym_quote] = ACTIONS(11553),
    [anon_sym_let] = ACTIONS(11553),
    [anon_sym_if] = ACTIONS(11553),
    [anon_sym_elseif] = ACTIONS(11553),
    [anon_sym_else] = ACTIONS(11553),
    [anon_sym_try] = ACTIONS(11553),
    [anon_sym_for] = ACTIONS(11553),
    [anon_sym_while] = ACTIONS(11553),
    [sym_break_statement] = ACTIONS(11553),
    [sym_continue_statement] = ACTIONS(11553),
    [anon_sym_return] = ACTIONS(11553),
    [anon_sym_const] = ACTIONS(11553),
    [anon_sym_global] = ACTIONS(11553),
    [anon_sym_local] = ACTIONS(11553),
    [anon_sym_LPAREN] = ACTIONS(11553),
    [anon_sym_COLON] = ACTIONS(11553),
    [anon_sym_export] = ACTIONS(11553),
    [anon_sym_public] = ACTIONS(11553),
    [anon_sym_import] = ACTIONS(11553),
    [anon_sym_using] = ACTIONS(11553),
    [anon_sym_LBRACK] = ACTIONS(11553),
    [anon_sym_in] = ACTIONS(11553),
    [anon_sym_SEMI] = ACTIONS(11553),
    [anon_sym_LBRACE] = ACTIONS(11553),
    [anon_sym_DOLLAR] = ACTIONS(11553),
    [anon_sym_COLON2] = ACTIONS(11553),
    [anon_sym_COLON_COLON] = ACTIONS(11553),
    [anon_sym_isa] = ACTIONS(11553),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11553),
    [anon_sym_QMARK] = ACTIONS(11553),
    [anon_sym_where] = ACTIONS(11553),
    [anon_sym_AT] = ACTIONS(11553),
    [anon_sym_true] = ACTIONS(11553),
    [anon_sym_false] = ACTIONS(11553),
    [aux_sym_integer_literal_token1] = ACTIONS(11553),
    [aux_sym_integer_literal_token2] = ACTIONS(11553),
    [aux_sym_integer_literal_token3] = ACTIONS(11553),
    [aux_sym_integer_literal_token4] = ACTIONS(11553),
    [aux_sym_float_literal_token1] = ACTIONS(11553),
    [aux_sym_float_literal_token3] = ACTIONS(11553),
    [aux_sym_float_literal_token4] = ACTIONS(11553),
    [sym_character_literal] = ACTIONS(11553),
    [anon_sym_DQUOTE] = ACTIONS(11553),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11553),
    [anon_sym_BQUOTE] = ACTIONS(11553),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11553),
    [sym__pair_operator] = ACTIONS(11553),
    [sym__arrow_operator] = ACTIONS(11553),
    [sym__lazy_or_operator] = ACTIONS(11553),
    [sym__lazy_and_operator] = ACTIONS(11553),
    [sym__comparison_operator] = ACTIONS(11553),
    [sym__pipe_right_operator] = ACTIONS(11553),
    [sym__pipe_left_operator] = ACTIONS(11553),
    [sym__ellipsis_operator] = ACTIONS(11553),
    [sym__plus_operator] = ACTIONS(11553),
    [sym__times_operator] = ACTIONS(11553),
    [sym__rational_operator] = ACTIONS(11553),
    [sym__bitshift_operator] = ACTIONS(11553),
    [sym__power_operator] = ACTIONS(11553),
    [sym__tilde_operator] = ACTIONS(11553),
    [sym__type_order_operator] = ACTIONS(11553),
    [sym__unary_operator] = ACTIONS(11553),
    [sym__unary_plus_operator] = ACTIONS(11553),
    [aux_sym__terminator_token1] = ACTIONS(11555),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7997] = {
    [sym_block_comment] = STATE(7997),
    [sym_line_comment] = STATE(7997),
    [sym__word_identifier] = ACTIONS(11557),
    [anon_sym_COMMA] = ACTIONS(11557),
    [anon_sym_EQ] = ACTIONS(11557),
    [anon_sym_begin] = ACTIONS(11557),
    [anon_sym_module] = ACTIONS(11557),
    [anon_sym_baremodule] = ACTIONS(11557),
    [anon_sym_end] = ACTIONS(11557),
    [anon_sym_abstract] = ACTIONS(11557),
    [anon_sym_primitive] = ACTIONS(11557),
    [anon_sym_mutable] = ACTIONS(11557),
    [anon_sym_struct] = ACTIONS(11557),
    [anon_sym_function] = ACTIONS(11557),
    [anon_sym_macro] = ACTIONS(11557),
    [anon_sym_quote] = ACTIONS(11557),
    [anon_sym_let] = ACTIONS(11557),
    [anon_sym_if] = ACTIONS(11557),
    [anon_sym_elseif] = ACTIONS(11557),
    [anon_sym_else] = ACTIONS(11557),
    [anon_sym_try] = ACTIONS(11557),
    [anon_sym_for] = ACTIONS(11557),
    [anon_sym_while] = ACTIONS(11557),
    [sym_break_statement] = ACTIONS(11557),
    [sym_continue_statement] = ACTIONS(11557),
    [anon_sym_return] = ACTIONS(11557),
    [anon_sym_const] = ACTIONS(11557),
    [anon_sym_global] = ACTIONS(11557),
    [anon_sym_local] = ACTIONS(11557),
    [anon_sym_LPAREN] = ACTIONS(11557),
    [anon_sym_COLON] = ACTIONS(11557),
    [anon_sym_export] = ACTIONS(11557),
    [anon_sym_public] = ACTIONS(11557),
    [anon_sym_import] = ACTIONS(11557),
    [anon_sym_using] = ACTIONS(11557),
    [anon_sym_LBRACK] = ACTIONS(11557),
    [anon_sym_in] = ACTIONS(11557),
    [anon_sym_SEMI] = ACTIONS(11557),
    [anon_sym_LBRACE] = ACTIONS(11557),
    [anon_sym_DOLLAR] = ACTIONS(11557),
    [anon_sym_COLON2] = ACTIONS(11557),
    [anon_sym_COLON_COLON] = ACTIONS(11557),
    [anon_sym_isa] = ACTIONS(11557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11557),
    [anon_sym_QMARK] = ACTIONS(11557),
    [anon_sym_where] = ACTIONS(11557),
    [anon_sym_AT] = ACTIONS(11557),
    [anon_sym_true] = ACTIONS(11557),
    [anon_sym_false] = ACTIONS(11557),
    [aux_sym_integer_literal_token1] = ACTIONS(11557),
    [aux_sym_integer_literal_token2] = ACTIONS(11557),
    [aux_sym_integer_literal_token3] = ACTIONS(11557),
    [aux_sym_integer_literal_token4] = ACTIONS(11557),
    [aux_sym_float_literal_token1] = ACTIONS(11557),
    [aux_sym_float_literal_token3] = ACTIONS(11557),
    [aux_sym_float_literal_token4] = ACTIONS(11557),
    [sym_character_literal] = ACTIONS(11557),
    [anon_sym_DQUOTE] = ACTIONS(11557),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11557),
    [anon_sym_BQUOTE] = ACTIONS(11557),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11557),
    [sym__pair_operator] = ACTIONS(11557),
    [sym__arrow_operator] = ACTIONS(11557),
    [sym__lazy_or_operator] = ACTIONS(11557),
    [sym__lazy_and_operator] = ACTIONS(11557),
    [sym__comparison_operator] = ACTIONS(11557),
    [sym__pipe_right_operator] = ACTIONS(11557),
    [sym__pipe_left_operator] = ACTIONS(11557),
    [sym__ellipsis_operator] = ACTIONS(11557),
    [sym__plus_operator] = ACTIONS(11557),
    [sym__times_operator] = ACTIONS(11557),
    [sym__rational_operator] = ACTIONS(11557),
    [sym__bitshift_operator] = ACTIONS(11557),
    [sym__power_operator] = ACTIONS(11557),
    [sym__tilde_operator] = ACTIONS(11557),
    [sym__type_order_operator] = ACTIONS(11557),
    [sym__unary_operator] = ACTIONS(11557),
    [sym__unary_plus_operator] = ACTIONS(11557),
    [aux_sym__terminator_token1] = ACTIONS(11559),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7998] = {
    [sym_block_comment] = STATE(7998),
    [sym_line_comment] = STATE(7998),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11102),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_catch] = ACTIONS(11102),
    [anon_sym_finally] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_as] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11102),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11102),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_SEMI] = ACTIONS(11102),
    [anon_sym_LBRACE] = ACTIONS(11102),
    [anon_sym_DOLLAR] = ACTIONS(11102),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11102),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11102),
    [anon_sym_QMARK] = ACTIONS(11102),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11102),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11102),
    [aux_sym_integer_literal_token2] = ACTIONS(11102),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11102),
    [aux_sym_float_literal_token3] = ACTIONS(11102),
    [aux_sym_float_literal_token4] = ACTIONS(11102),
    [sym_character_literal] = ACTIONS(11102),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(11102),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11102),
    [sym__lazy_and_operator] = ACTIONS(11102),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11102),
    [sym__pipe_left_operator] = ACTIONS(11102),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11102),
    [sym__bitshift_operator] = ACTIONS(11102),
    [sym__power_operator] = ACTIONS(11102),
    [sym__tilde_operator] = ACTIONS(11102),
    [sym__type_order_operator] = ACTIONS(11102),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym__terminator_token1] = ACTIONS(11104),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [7999] = {
    [sym_block_comment] = STATE(7999),
    [sym_line_comment] = STATE(7999),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8000] = {
    [sym_block_comment] = STATE(8000),
    [sym_line_comment] = STATE(8000),
    [sym__word_identifier] = ACTIONS(11561),
    [anon_sym_COMMA] = ACTIONS(11561),
    [anon_sym_EQ] = ACTIONS(11561),
    [anon_sym_begin] = ACTIONS(11561),
    [anon_sym_module] = ACTIONS(11561),
    [anon_sym_baremodule] = ACTIONS(11561),
    [anon_sym_end] = ACTIONS(11561),
    [anon_sym_abstract] = ACTIONS(11561),
    [anon_sym_primitive] = ACTIONS(11561),
    [anon_sym_mutable] = ACTIONS(11561),
    [anon_sym_struct] = ACTIONS(11561),
    [anon_sym_function] = ACTIONS(11561),
    [anon_sym_macro] = ACTIONS(11561),
    [anon_sym_quote] = ACTIONS(11561),
    [anon_sym_let] = ACTIONS(11561),
    [anon_sym_if] = ACTIONS(11561),
    [anon_sym_elseif] = ACTIONS(11561),
    [anon_sym_else] = ACTIONS(11561),
    [anon_sym_try] = ACTIONS(11561),
    [anon_sym_for] = ACTIONS(11561),
    [anon_sym_while] = ACTIONS(11561),
    [sym_break_statement] = ACTIONS(11561),
    [sym_continue_statement] = ACTIONS(11561),
    [anon_sym_return] = ACTIONS(11561),
    [anon_sym_const] = ACTIONS(11561),
    [anon_sym_global] = ACTIONS(11561),
    [anon_sym_local] = ACTIONS(11561),
    [anon_sym_LPAREN] = ACTIONS(11561),
    [anon_sym_COLON] = ACTIONS(11561),
    [anon_sym_export] = ACTIONS(11561),
    [anon_sym_public] = ACTIONS(11561),
    [anon_sym_import] = ACTIONS(11561),
    [anon_sym_using] = ACTIONS(11561),
    [anon_sym_LBRACK] = ACTIONS(11561),
    [anon_sym_in] = ACTIONS(11561),
    [anon_sym_SEMI] = ACTIONS(11561),
    [anon_sym_LBRACE] = ACTIONS(11561),
    [anon_sym_DOLLAR] = ACTIONS(11561),
    [anon_sym_COLON2] = ACTIONS(11561),
    [anon_sym_COLON_COLON] = ACTIONS(11561),
    [anon_sym_isa] = ACTIONS(11561),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11561),
    [anon_sym_QMARK] = ACTIONS(11561),
    [anon_sym_where] = ACTIONS(11561),
    [anon_sym_AT] = ACTIONS(11561),
    [anon_sym_true] = ACTIONS(11561),
    [anon_sym_false] = ACTIONS(11561),
    [aux_sym_integer_literal_token1] = ACTIONS(11561),
    [aux_sym_integer_literal_token2] = ACTIONS(11561),
    [aux_sym_integer_literal_token3] = ACTIONS(11561),
    [aux_sym_integer_literal_token4] = ACTIONS(11561),
    [aux_sym_float_literal_token1] = ACTIONS(11561),
    [aux_sym_float_literal_token3] = ACTIONS(11561),
    [aux_sym_float_literal_token4] = ACTIONS(11561),
    [sym_character_literal] = ACTIONS(11561),
    [anon_sym_DQUOTE] = ACTIONS(11561),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11561),
    [anon_sym_BQUOTE] = ACTIONS(11561),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11561),
    [sym__pair_operator] = ACTIONS(11561),
    [sym__arrow_operator] = ACTIONS(11561),
    [sym__lazy_or_operator] = ACTIONS(11561),
    [sym__lazy_and_operator] = ACTIONS(11561),
    [sym__comparison_operator] = ACTIONS(11561),
    [sym__pipe_right_operator] = ACTIONS(11561),
    [sym__pipe_left_operator] = ACTIONS(11561),
    [sym__ellipsis_operator] = ACTIONS(11561),
    [sym__plus_operator] = ACTIONS(11561),
    [sym__times_operator] = ACTIONS(11561),
    [sym__rational_operator] = ACTIONS(11561),
    [sym__bitshift_operator] = ACTIONS(11561),
    [sym__power_operator] = ACTIONS(11561),
    [sym__tilde_operator] = ACTIONS(11561),
    [sym__type_order_operator] = ACTIONS(11561),
    [sym__unary_operator] = ACTIONS(11561),
    [sym__unary_plus_operator] = ACTIONS(11561),
    [aux_sym__terminator_token1] = ACTIONS(11563),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8001] = {
    [sym_block_comment] = STATE(8001),
    [sym_line_comment] = STATE(8001),
    [aux_sym_export_statement_repeat1] = STATE(8120),
    [ts_builtin_sym_end] = ACTIONS(11145),
    [sym__word_identifier] = ACTIONS(11141),
    [anon_sym_COMMA] = ACTIONS(11756),
    [anon_sym_EQ] = ACTIONS(11141),
    [anon_sym_begin] = ACTIONS(11141),
    [anon_sym_module] = ACTIONS(11141),
    [anon_sym_baremodule] = ACTIONS(11141),
    [anon_sym_abstract] = ACTIONS(11141),
    [anon_sym_primitive] = ACTIONS(11141),
    [anon_sym_mutable] = ACTIONS(11141),
    [anon_sym_struct] = ACTIONS(11141),
    [anon_sym_function] = ACTIONS(11141),
    [anon_sym_macro] = ACTIONS(11141),
    [anon_sym_quote] = ACTIONS(11141),
    [anon_sym_let] = ACTIONS(11141),
    [anon_sym_if] = ACTIONS(11141),
    [anon_sym_try] = ACTIONS(11141),
    [anon_sym_for] = ACTIONS(11141),
    [anon_sym_while] = ACTIONS(11141),
    [sym_break_statement] = ACTIONS(11141),
    [sym_continue_statement] = ACTIONS(11141),
    [anon_sym_return] = ACTIONS(11141),
    [anon_sym_const] = ACTIONS(11141),
    [anon_sym_global] = ACTIONS(11141),
    [anon_sym_local] = ACTIONS(11141),
    [anon_sym_LPAREN] = ACTIONS(11141),
    [anon_sym_COLON] = ACTIONS(11141),
    [anon_sym_export] = ACTIONS(11141),
    [anon_sym_public] = ACTIONS(11141),
    [anon_sym_import] = ACTIONS(11141),
    [anon_sym_using] = ACTIONS(11141),
    [anon_sym_LBRACK] = ACTIONS(11141),
    [anon_sym_RBRACK] = ACTIONS(11141),
    [anon_sym_in] = ACTIONS(11141),
    [anon_sym_SEMI] = ACTIONS(11141),
    [anon_sym_LBRACE] = ACTIONS(11141),
    [anon_sym_DOLLAR] = ACTIONS(11141),
    [anon_sym_COLON2] = ACTIONS(11141),
    [anon_sym_COLON_COLON] = ACTIONS(11141),
    [anon_sym_isa] = ACTIONS(11141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11141),
    [anon_sym_QMARK] = ACTIONS(11141),
    [anon_sym_where] = ACTIONS(11141),
    [anon_sym_AT] = ACTIONS(11141),
    [anon_sym_true] = ACTIONS(11141),
    [anon_sym_false] = ACTIONS(11141),
    [aux_sym_integer_literal_token1] = ACTIONS(11141),
    [aux_sym_integer_literal_token2] = ACTIONS(11141),
    [aux_sym_integer_literal_token3] = ACTIONS(11141),
    [aux_sym_integer_literal_token4] = ACTIONS(11141),
    [aux_sym_float_literal_token1] = ACTIONS(11141),
    [aux_sym_float_literal_token3] = ACTIONS(11141),
    [aux_sym_float_literal_token4] = ACTIONS(11141),
    [sym_character_literal] = ACTIONS(11141),
    [anon_sym_DQUOTE] = ACTIONS(11141),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11141),
    [anon_sym_BQUOTE] = ACTIONS(11141),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11141),
    [sym__pair_operator] = ACTIONS(11141),
    [sym__arrow_operator] = ACTIONS(11141),
    [sym__lazy_or_operator] = ACTIONS(11141),
    [sym__lazy_and_operator] = ACTIONS(11141),
    [sym__comparison_operator] = ACTIONS(11141),
    [sym__pipe_right_operator] = ACTIONS(11141),
    [sym__pipe_left_operator] = ACTIONS(11141),
    [sym__ellipsis_operator] = ACTIONS(11141),
    [sym__plus_operator] = ACTIONS(11141),
    [sym__times_operator] = ACTIONS(11141),
    [sym__rational_operator] = ACTIONS(11141),
    [sym__bitshift_operator] = ACTIONS(11141),
    [sym__power_operator] = ACTIONS(11141),
    [sym__tilde_operator] = ACTIONS(11141),
    [sym__type_order_operator] = ACTIONS(11141),
    [sym__unary_operator] = ACTIONS(11141),
    [sym__unary_plus_operator] = ACTIONS(11141),
    [aux_sym__terminator_token1] = ACTIONS(11145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8002] = {
    [sym_block_comment] = STATE(8002),
    [sym_line_comment] = STATE(8002),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10195),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10195),
    [anon_sym_RPAREN] = ACTIONS(10195),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10195),
    [anon_sym_RBRACK] = ACTIONS(10195),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10195),
    [anon_sym_LBRACE] = ACTIONS(10195),
    [anon_sym_RBRACE] = ACTIONS(10195),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10195),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10195),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10195),
    [anon_sym_QMARK] = ACTIONS(10195),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10195),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10195),
    [aux_sym_integer_literal_token2] = ACTIONS(10195),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10195),
    [aux_sym_float_literal_token3] = ACTIONS(10195),
    [aux_sym_float_literal_token4] = ACTIONS(10195),
    [sym_character_literal] = ACTIONS(10195),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10195),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10195),
    [sym__pair_operator] = ACTIONS(10195),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10195),
    [sym__lazy_and_operator] = ACTIONS(10195),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10195),
    [sym__pipe_left_operator] = ACTIONS(10195),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10195),
    [sym__bitshift_operator] = ACTIONS(10195),
    [sym__power_operator] = ACTIONS(10195),
    [sym__tilde_operator] = ACTIONS(10195),
    [sym__type_order_operator] = ACTIONS(10195),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8003] = {
    [sym_block_comment] = STATE(8003),
    [sym_line_comment] = STATE(8003),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10331),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9999),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8004] = {
    [sym_block_comment] = STATE(8004),
    [sym_line_comment] = STATE(8004),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10405),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10405),
    [anon_sym_RPAREN] = ACTIONS(10405),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10405),
    [anon_sym_RBRACK] = ACTIONS(10405),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10405),
    [anon_sym_LBRACE] = ACTIONS(10405),
    [anon_sym_RBRACE] = ACTIONS(10405),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10405),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10405),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10405),
    [anon_sym_QMARK] = ACTIONS(10405),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10405),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10405),
    [aux_sym_integer_literal_token2] = ACTIONS(10405),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10405),
    [aux_sym_float_literal_token3] = ACTIONS(10405),
    [aux_sym_float_literal_token4] = ACTIONS(10405),
    [sym_character_literal] = ACTIONS(10405),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10405),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10405),
    [sym__pair_operator] = ACTIONS(10405),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10405),
    [sym__lazy_and_operator] = ACTIONS(10405),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10405),
    [sym__pipe_left_operator] = ACTIONS(10405),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10405),
    [sym__bitshift_operator] = ACTIONS(10405),
    [sym__power_operator] = ACTIONS(10405),
    [sym__tilde_operator] = ACTIONS(10405),
    [sym__type_order_operator] = ACTIONS(10405),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8005] = {
    [sym_block_comment] = STATE(8005),
    [sym_line_comment] = STATE(8005),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_elseif] = ACTIONS(11216),
    [anon_sym_else] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11356),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8006] = {
    [sym_block_comment] = STATE(8006),
    [sym_line_comment] = STATE(8006),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10313),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10313),
    [anon_sym_RPAREN] = ACTIONS(10313),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10313),
    [anon_sym_RBRACK] = ACTIONS(10313),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10313),
    [anon_sym_LBRACE] = ACTIONS(10313),
    [anon_sym_RBRACE] = ACTIONS(10313),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10313),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10313),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10313),
    [anon_sym_QMARK] = ACTIONS(10313),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10313),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10313),
    [aux_sym_integer_literal_token2] = ACTIONS(10313),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10313),
    [aux_sym_float_literal_token3] = ACTIONS(10313),
    [aux_sym_float_literal_token4] = ACTIONS(10313),
    [sym_character_literal] = ACTIONS(10313),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10313),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10313),
    [sym__pair_operator] = ACTIONS(10313),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10313),
    [sym__lazy_and_operator] = ACTIONS(10313),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10313),
    [sym__pipe_left_operator] = ACTIONS(10313),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10313),
    [sym__bitshift_operator] = ACTIONS(10313),
    [sym__power_operator] = ACTIONS(10313),
    [sym__tilde_operator] = ACTIONS(10313),
    [sym__type_order_operator] = ACTIONS(10313),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8007] = {
    [sym__comprehension_clause] = STATE(20312),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8007),
    [sym_line_comment] = STATE(8007),
    [aux_sym_vector_expression_repeat1] = STATE(18208),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11802),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11804),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11806),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11809),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8008] = {
    [sym_block_comment] = STATE(8008),
    [sym_line_comment] = STATE(8008),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_finally] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8009] = {
    [sym_block_comment] = STATE(8009),
    [sym_line_comment] = STATE(8009),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10321),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10321),
    [anon_sym_RPAREN] = ACTIONS(10321),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10321),
    [anon_sym_RBRACK] = ACTIONS(10321),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10321),
    [anon_sym_LBRACE] = ACTIONS(10321),
    [anon_sym_RBRACE] = ACTIONS(10321),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10321),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10321),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10321),
    [anon_sym_QMARK] = ACTIONS(10321),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10321),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10321),
    [aux_sym_integer_literal_token2] = ACTIONS(10321),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10321),
    [aux_sym_float_literal_token3] = ACTIONS(10321),
    [aux_sym_float_literal_token4] = ACTIONS(10321),
    [sym_character_literal] = ACTIONS(10321),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10321),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10321),
    [sym__pair_operator] = ACTIONS(10321),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10321),
    [sym__lazy_and_operator] = ACTIONS(10321),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10321),
    [sym__pipe_left_operator] = ACTIONS(10321),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10321),
    [sym__bitshift_operator] = ACTIONS(10321),
    [sym__power_operator] = ACTIONS(10321),
    [sym__tilde_operator] = ACTIONS(10321),
    [sym__type_order_operator] = ACTIONS(10321),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8010] = {
    [sym_block_comment] = STATE(8010),
    [sym_line_comment] = STATE(8010),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_finally] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8011] = {
    [sym_block_comment] = STATE(8011),
    [sym_line_comment] = STATE(8011),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_finally] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8012] = {
    [sym_block_comment] = STATE(8012),
    [sym_line_comment] = STATE(8012),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_DOLLAR] = ACTIONS(3226),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3226),
    [aux_sym_integer_literal_token2] = ACTIONS(3226),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3226),
    [aux_sym_float_literal_token3] = ACTIONS(3226),
    [aux_sym_float_literal_token4] = ACTIONS(3226),
    [sym_character_literal] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3226),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3226),
    [sym__pair_operator] = ACTIONS(3226),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3226),
    [sym__pipe_left_operator] = ACTIONS(3226),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3226),
    [sym__bitshift_operator] = ACTIONS(3226),
    [sym__power_operator] = ACTIONS(3226),
    [sym__tilde_operator] = ACTIONS(3226),
    [sym__type_order_operator] = ACTIONS(3226),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [8013] = {
    [sym_block_comment] = STATE(8013),
    [sym_line_comment] = STATE(8013),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_finally] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8014] = {
    [sym_block_comment] = STATE(8014),
    [sym_line_comment] = STATE(8014),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9975),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8015] = {
    [sym_block_comment] = STATE(8015),
    [sym_line_comment] = STATE(8015),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_elseif] = ACTIONS(11216),
    [anon_sym_else] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11216),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11216),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11216),
    [anon_sym_isa] = ACTIONS(11216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11216),
    [anon_sym_QMARK] = ACTIONS(11216),
    [anon_sym_where] = ACTIONS(11216),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11216),
    [sym__lazy_or_operator] = ACTIONS(11216),
    [sym__lazy_and_operator] = ACTIONS(11216),
    [sym__comparison_operator] = ACTIONS(11216),
    [sym__pipe_right_operator] = ACTIONS(11216),
    [sym__pipe_left_operator] = ACTIONS(11216),
    [sym__ellipsis_operator] = ACTIONS(11216),
    [sym__plus_operator] = ACTIONS(11216),
    [sym__times_operator] = ACTIONS(11216),
    [sym__rational_operator] = ACTIONS(11216),
    [sym__bitshift_operator] = ACTIONS(11216),
    [sym__power_operator] = ACTIONS(11216),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11216),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11216),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8016] = {
    [sym_block_comment] = STATE(8016),
    [sym_line_comment] = STATE(8016),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10257),
  },
  [8017] = {
    [sym__comprehension_clause] = STATE(18983),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8017),
    [sym_line_comment] = STATE(8017),
    [aux_sym_vector_expression_repeat1] = STATE(17629),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11812),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11814),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11816),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11819),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8018] = {
    [sym_block_comment] = STATE(8018),
    [sym_line_comment] = STATE(8018),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_else] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_finally] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8019] = {
    [sym_block_comment] = STATE(8019),
    [sym_line_comment] = STATE(8019),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_catch] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8020] = {
    [sym_block_comment] = STATE(8020),
    [sym_line_comment] = STATE(8020),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10401),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10401),
    [anon_sym_RPAREN] = ACTIONS(10401),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10401),
    [anon_sym_RBRACK] = ACTIONS(10401),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10401),
    [anon_sym_LBRACE] = ACTIONS(10401),
    [anon_sym_RBRACE] = ACTIONS(10401),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10401),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10401),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10401),
    [anon_sym_QMARK] = ACTIONS(10401),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10401),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10401),
    [aux_sym_integer_literal_token2] = ACTIONS(10401),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10401),
    [aux_sym_float_literal_token3] = ACTIONS(10401),
    [aux_sym_float_literal_token4] = ACTIONS(10401),
    [sym_character_literal] = ACTIONS(10401),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10401),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10401),
    [sym__pair_operator] = ACTIONS(10401),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10401),
    [sym__lazy_and_operator] = ACTIONS(10401),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10401),
    [sym__pipe_left_operator] = ACTIONS(10401),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10401),
    [sym__bitshift_operator] = ACTIONS(10401),
    [sym__power_operator] = ACTIONS(10401),
    [sym__tilde_operator] = ACTIONS(10401),
    [sym__type_order_operator] = ACTIONS(10401),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8021] = {
    [sym_block_comment] = STATE(8021),
    [sym_line_comment] = STATE(8021),
    [sym__word_identifier] = ACTIONS(11565),
    [anon_sym_COMMA] = ACTIONS(11565),
    [anon_sym_EQ] = ACTIONS(11565),
    [anon_sym_begin] = ACTIONS(11565),
    [anon_sym_module] = ACTIONS(11565),
    [anon_sym_baremodule] = ACTIONS(11565),
    [anon_sym_end] = ACTIONS(11565),
    [anon_sym_abstract] = ACTIONS(11565),
    [anon_sym_primitive] = ACTIONS(11565),
    [anon_sym_mutable] = ACTIONS(11565),
    [anon_sym_struct] = ACTIONS(11565),
    [anon_sym_function] = ACTIONS(11565),
    [anon_sym_macro] = ACTIONS(11565),
    [anon_sym_quote] = ACTIONS(11565),
    [anon_sym_let] = ACTIONS(11565),
    [anon_sym_if] = ACTIONS(11565),
    [anon_sym_elseif] = ACTIONS(11565),
    [anon_sym_else] = ACTIONS(11565),
    [anon_sym_try] = ACTIONS(11565),
    [anon_sym_for] = ACTIONS(11565),
    [anon_sym_while] = ACTIONS(11565),
    [sym_break_statement] = ACTIONS(11565),
    [sym_continue_statement] = ACTIONS(11565),
    [anon_sym_return] = ACTIONS(11565),
    [anon_sym_const] = ACTIONS(11565),
    [anon_sym_global] = ACTIONS(11565),
    [anon_sym_local] = ACTIONS(11565),
    [anon_sym_LPAREN] = ACTIONS(11565),
    [anon_sym_COLON] = ACTIONS(11565),
    [anon_sym_export] = ACTIONS(11565),
    [anon_sym_public] = ACTIONS(11565),
    [anon_sym_import] = ACTIONS(11565),
    [anon_sym_using] = ACTIONS(11565),
    [anon_sym_LBRACK] = ACTIONS(11565),
    [anon_sym_in] = ACTIONS(11565),
    [anon_sym_SEMI] = ACTIONS(11565),
    [anon_sym_LBRACE] = ACTIONS(11565),
    [anon_sym_DOLLAR] = ACTIONS(11565),
    [anon_sym_COLON2] = ACTIONS(11565),
    [anon_sym_COLON_COLON] = ACTIONS(11565),
    [anon_sym_isa] = ACTIONS(11565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11565),
    [anon_sym_QMARK] = ACTIONS(11565),
    [anon_sym_where] = ACTIONS(11565),
    [anon_sym_AT] = ACTIONS(11565),
    [anon_sym_true] = ACTIONS(11565),
    [anon_sym_false] = ACTIONS(11565),
    [aux_sym_integer_literal_token1] = ACTIONS(11565),
    [aux_sym_integer_literal_token2] = ACTIONS(11565),
    [aux_sym_integer_literal_token3] = ACTIONS(11565),
    [aux_sym_integer_literal_token4] = ACTIONS(11565),
    [aux_sym_float_literal_token1] = ACTIONS(11565),
    [aux_sym_float_literal_token3] = ACTIONS(11565),
    [aux_sym_float_literal_token4] = ACTIONS(11565),
    [sym_character_literal] = ACTIONS(11565),
    [anon_sym_DQUOTE] = ACTIONS(11565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11565),
    [anon_sym_BQUOTE] = ACTIONS(11565),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11565),
    [sym__pair_operator] = ACTIONS(11565),
    [sym__arrow_operator] = ACTIONS(11565),
    [sym__lazy_or_operator] = ACTIONS(11565),
    [sym__lazy_and_operator] = ACTIONS(11565),
    [sym__comparison_operator] = ACTIONS(11565),
    [sym__pipe_right_operator] = ACTIONS(11565),
    [sym__pipe_left_operator] = ACTIONS(11565),
    [sym__ellipsis_operator] = ACTIONS(11565),
    [sym__plus_operator] = ACTIONS(11565),
    [sym__times_operator] = ACTIONS(11565),
    [sym__rational_operator] = ACTIONS(11565),
    [sym__bitshift_operator] = ACTIONS(11565),
    [sym__power_operator] = ACTIONS(11565),
    [sym__tilde_operator] = ACTIONS(11565),
    [sym__type_order_operator] = ACTIONS(11565),
    [sym__unary_operator] = ACTIONS(11565),
    [sym__unary_plus_operator] = ACTIONS(11565),
    [aux_sym__terminator_token1] = ACTIONS(11567),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8022] = {
    [sym_block_comment] = STATE(8022),
    [sym_line_comment] = STATE(8022),
    [sym__word_identifier] = ACTIONS(11569),
    [anon_sym_COMMA] = ACTIONS(11569),
    [anon_sym_EQ] = ACTIONS(11569),
    [anon_sym_begin] = ACTIONS(11569),
    [anon_sym_module] = ACTIONS(11569),
    [anon_sym_baremodule] = ACTIONS(11569),
    [anon_sym_end] = ACTIONS(11569),
    [anon_sym_abstract] = ACTIONS(11569),
    [anon_sym_primitive] = ACTIONS(11569),
    [anon_sym_mutable] = ACTIONS(11569),
    [anon_sym_struct] = ACTIONS(11569),
    [anon_sym_function] = ACTIONS(11569),
    [anon_sym_macro] = ACTIONS(11569),
    [anon_sym_quote] = ACTIONS(11569),
    [anon_sym_let] = ACTIONS(11569),
    [anon_sym_if] = ACTIONS(11569),
    [anon_sym_elseif] = ACTIONS(11569),
    [anon_sym_else] = ACTIONS(11569),
    [anon_sym_try] = ACTIONS(11569),
    [anon_sym_for] = ACTIONS(11569),
    [anon_sym_while] = ACTIONS(11569),
    [sym_break_statement] = ACTIONS(11569),
    [sym_continue_statement] = ACTIONS(11569),
    [anon_sym_return] = ACTIONS(11569),
    [anon_sym_const] = ACTIONS(11569),
    [anon_sym_global] = ACTIONS(11569),
    [anon_sym_local] = ACTIONS(11569),
    [anon_sym_LPAREN] = ACTIONS(11569),
    [anon_sym_COLON] = ACTIONS(11569),
    [anon_sym_export] = ACTIONS(11569),
    [anon_sym_public] = ACTIONS(11569),
    [anon_sym_import] = ACTIONS(11569),
    [anon_sym_using] = ACTIONS(11569),
    [anon_sym_LBRACK] = ACTIONS(11569),
    [anon_sym_in] = ACTIONS(11569),
    [anon_sym_SEMI] = ACTIONS(11569),
    [anon_sym_LBRACE] = ACTIONS(11569),
    [anon_sym_DOLLAR] = ACTIONS(11569),
    [anon_sym_COLON2] = ACTIONS(11569),
    [anon_sym_COLON_COLON] = ACTIONS(11569),
    [anon_sym_isa] = ACTIONS(11569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11569),
    [anon_sym_QMARK] = ACTIONS(11569),
    [anon_sym_where] = ACTIONS(11569),
    [anon_sym_AT] = ACTIONS(11569),
    [anon_sym_true] = ACTIONS(11569),
    [anon_sym_false] = ACTIONS(11569),
    [aux_sym_integer_literal_token1] = ACTIONS(11569),
    [aux_sym_integer_literal_token2] = ACTIONS(11569),
    [aux_sym_integer_literal_token3] = ACTIONS(11569),
    [aux_sym_integer_literal_token4] = ACTIONS(11569),
    [aux_sym_float_literal_token1] = ACTIONS(11569),
    [aux_sym_float_literal_token3] = ACTIONS(11569),
    [aux_sym_float_literal_token4] = ACTIONS(11569),
    [sym_character_literal] = ACTIONS(11569),
    [anon_sym_DQUOTE] = ACTIONS(11569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11569),
    [anon_sym_BQUOTE] = ACTIONS(11569),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11569),
    [sym__pair_operator] = ACTIONS(11569),
    [sym__arrow_operator] = ACTIONS(11569),
    [sym__lazy_or_operator] = ACTIONS(11569),
    [sym__lazy_and_operator] = ACTIONS(11569),
    [sym__comparison_operator] = ACTIONS(11569),
    [sym__pipe_right_operator] = ACTIONS(11569),
    [sym__pipe_left_operator] = ACTIONS(11569),
    [sym__ellipsis_operator] = ACTIONS(11569),
    [sym__plus_operator] = ACTIONS(11569),
    [sym__times_operator] = ACTIONS(11569),
    [sym__rational_operator] = ACTIONS(11569),
    [sym__bitshift_operator] = ACTIONS(11569),
    [sym__power_operator] = ACTIONS(11569),
    [sym__tilde_operator] = ACTIONS(11569),
    [sym__type_order_operator] = ACTIONS(11569),
    [sym__unary_operator] = ACTIONS(11569),
    [sym__unary_plus_operator] = ACTIONS(11569),
    [aux_sym__terminator_token1] = ACTIONS(11571),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8023] = {
    [sym_block_comment] = STATE(8023),
    [sym_line_comment] = STATE(8023),
    [sym__word_identifier] = ACTIONS(11573),
    [anon_sym_COMMA] = ACTIONS(11573),
    [anon_sym_EQ] = ACTIONS(11573),
    [anon_sym_begin] = ACTIONS(11573),
    [anon_sym_module] = ACTIONS(11573),
    [anon_sym_baremodule] = ACTIONS(11573),
    [anon_sym_end] = ACTIONS(11573),
    [anon_sym_abstract] = ACTIONS(11573),
    [anon_sym_primitive] = ACTIONS(11573),
    [anon_sym_mutable] = ACTIONS(11573),
    [anon_sym_struct] = ACTIONS(11573),
    [anon_sym_function] = ACTIONS(11573),
    [anon_sym_macro] = ACTIONS(11573),
    [anon_sym_quote] = ACTIONS(11573),
    [anon_sym_let] = ACTIONS(11573),
    [anon_sym_if] = ACTIONS(11573),
    [anon_sym_elseif] = ACTIONS(11573),
    [anon_sym_else] = ACTIONS(11573),
    [anon_sym_try] = ACTIONS(11573),
    [anon_sym_for] = ACTIONS(11573),
    [anon_sym_while] = ACTIONS(11573),
    [sym_break_statement] = ACTIONS(11573),
    [sym_continue_statement] = ACTIONS(11573),
    [anon_sym_return] = ACTIONS(11573),
    [anon_sym_const] = ACTIONS(11573),
    [anon_sym_global] = ACTIONS(11573),
    [anon_sym_local] = ACTIONS(11573),
    [anon_sym_LPAREN] = ACTIONS(11573),
    [anon_sym_COLON] = ACTIONS(11573),
    [anon_sym_export] = ACTIONS(11573),
    [anon_sym_public] = ACTIONS(11573),
    [anon_sym_import] = ACTIONS(11573),
    [anon_sym_using] = ACTIONS(11573),
    [anon_sym_LBRACK] = ACTIONS(11573),
    [anon_sym_in] = ACTIONS(11573),
    [anon_sym_SEMI] = ACTIONS(11573),
    [anon_sym_LBRACE] = ACTIONS(11573),
    [anon_sym_DOLLAR] = ACTIONS(11573),
    [anon_sym_COLON2] = ACTIONS(11573),
    [anon_sym_COLON_COLON] = ACTIONS(11573),
    [anon_sym_isa] = ACTIONS(11573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11573),
    [anon_sym_QMARK] = ACTIONS(11573),
    [anon_sym_where] = ACTIONS(11573),
    [anon_sym_AT] = ACTIONS(11573),
    [anon_sym_true] = ACTIONS(11573),
    [anon_sym_false] = ACTIONS(11573),
    [aux_sym_integer_literal_token1] = ACTIONS(11573),
    [aux_sym_integer_literal_token2] = ACTIONS(11573),
    [aux_sym_integer_literal_token3] = ACTIONS(11573),
    [aux_sym_integer_literal_token4] = ACTIONS(11573),
    [aux_sym_float_literal_token1] = ACTIONS(11573),
    [aux_sym_float_literal_token3] = ACTIONS(11573),
    [aux_sym_float_literal_token4] = ACTIONS(11573),
    [sym_character_literal] = ACTIONS(11573),
    [anon_sym_DQUOTE] = ACTIONS(11573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11573),
    [anon_sym_BQUOTE] = ACTIONS(11573),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11573),
    [sym__pair_operator] = ACTIONS(11573),
    [sym__arrow_operator] = ACTIONS(11573),
    [sym__lazy_or_operator] = ACTIONS(11573),
    [sym__lazy_and_operator] = ACTIONS(11573),
    [sym__comparison_operator] = ACTIONS(11573),
    [sym__pipe_right_operator] = ACTIONS(11573),
    [sym__pipe_left_operator] = ACTIONS(11573),
    [sym__ellipsis_operator] = ACTIONS(11573),
    [sym__plus_operator] = ACTIONS(11573),
    [sym__times_operator] = ACTIONS(11573),
    [sym__rational_operator] = ACTIONS(11573),
    [sym__bitshift_operator] = ACTIONS(11573),
    [sym__power_operator] = ACTIONS(11573),
    [sym__tilde_operator] = ACTIONS(11573),
    [sym__type_order_operator] = ACTIONS(11573),
    [sym__unary_operator] = ACTIONS(11573),
    [sym__unary_plus_operator] = ACTIONS(11573),
    [aux_sym__terminator_token1] = ACTIONS(11575),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8024] = {
    [sym_block_comment] = STATE(8024),
    [sym_line_comment] = STATE(8024),
    [sym__word_identifier] = ACTIONS(11577),
    [anon_sym_COMMA] = ACTIONS(11577),
    [anon_sym_EQ] = ACTIONS(11577),
    [anon_sym_begin] = ACTIONS(11577),
    [anon_sym_module] = ACTIONS(11577),
    [anon_sym_baremodule] = ACTIONS(11577),
    [anon_sym_end] = ACTIONS(11577),
    [anon_sym_abstract] = ACTIONS(11577),
    [anon_sym_primitive] = ACTIONS(11577),
    [anon_sym_mutable] = ACTIONS(11577),
    [anon_sym_struct] = ACTIONS(11577),
    [anon_sym_function] = ACTIONS(11577),
    [anon_sym_macro] = ACTIONS(11577),
    [anon_sym_quote] = ACTIONS(11577),
    [anon_sym_let] = ACTIONS(11577),
    [anon_sym_if] = ACTIONS(11577),
    [anon_sym_elseif] = ACTIONS(11577),
    [anon_sym_else] = ACTIONS(11577),
    [anon_sym_try] = ACTIONS(11577),
    [anon_sym_for] = ACTIONS(11577),
    [anon_sym_while] = ACTIONS(11577),
    [sym_break_statement] = ACTIONS(11577),
    [sym_continue_statement] = ACTIONS(11577),
    [anon_sym_return] = ACTIONS(11577),
    [anon_sym_const] = ACTIONS(11577),
    [anon_sym_global] = ACTIONS(11577),
    [anon_sym_local] = ACTIONS(11577),
    [anon_sym_LPAREN] = ACTIONS(11577),
    [anon_sym_COLON] = ACTIONS(11577),
    [anon_sym_export] = ACTIONS(11577),
    [anon_sym_public] = ACTIONS(11577),
    [anon_sym_import] = ACTIONS(11577),
    [anon_sym_using] = ACTIONS(11577),
    [anon_sym_LBRACK] = ACTIONS(11577),
    [anon_sym_in] = ACTIONS(11577),
    [anon_sym_SEMI] = ACTIONS(11577),
    [anon_sym_LBRACE] = ACTIONS(11577),
    [anon_sym_DOLLAR] = ACTIONS(11577),
    [anon_sym_COLON2] = ACTIONS(11577),
    [anon_sym_COLON_COLON] = ACTIONS(11577),
    [anon_sym_isa] = ACTIONS(11577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11577),
    [anon_sym_QMARK] = ACTIONS(11577),
    [anon_sym_where] = ACTIONS(11577),
    [anon_sym_AT] = ACTIONS(11577),
    [anon_sym_true] = ACTIONS(11577),
    [anon_sym_false] = ACTIONS(11577),
    [aux_sym_integer_literal_token1] = ACTIONS(11577),
    [aux_sym_integer_literal_token2] = ACTIONS(11577),
    [aux_sym_integer_literal_token3] = ACTIONS(11577),
    [aux_sym_integer_literal_token4] = ACTIONS(11577),
    [aux_sym_float_literal_token1] = ACTIONS(11577),
    [aux_sym_float_literal_token3] = ACTIONS(11577),
    [aux_sym_float_literal_token4] = ACTIONS(11577),
    [sym_character_literal] = ACTIONS(11577),
    [anon_sym_DQUOTE] = ACTIONS(11577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11577),
    [anon_sym_BQUOTE] = ACTIONS(11577),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11577),
    [sym__pair_operator] = ACTIONS(11577),
    [sym__arrow_operator] = ACTIONS(11577),
    [sym__lazy_or_operator] = ACTIONS(11577),
    [sym__lazy_and_operator] = ACTIONS(11577),
    [sym__comparison_operator] = ACTIONS(11577),
    [sym__pipe_right_operator] = ACTIONS(11577),
    [sym__pipe_left_operator] = ACTIONS(11577),
    [sym__ellipsis_operator] = ACTIONS(11577),
    [sym__plus_operator] = ACTIONS(11577),
    [sym__times_operator] = ACTIONS(11577),
    [sym__rational_operator] = ACTIONS(11577),
    [sym__bitshift_operator] = ACTIONS(11577),
    [sym__power_operator] = ACTIONS(11577),
    [sym__tilde_operator] = ACTIONS(11577),
    [sym__type_order_operator] = ACTIONS(11577),
    [sym__unary_operator] = ACTIONS(11577),
    [sym__unary_plus_operator] = ACTIONS(11577),
    [aux_sym__terminator_token1] = ACTIONS(11579),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8025] = {
    [sym_block_comment] = STATE(8025),
    [sym_line_comment] = STATE(8025),
    [sym__word_identifier] = ACTIONS(11581),
    [anon_sym_COMMA] = ACTIONS(11581),
    [anon_sym_EQ] = ACTIONS(11581),
    [anon_sym_begin] = ACTIONS(11581),
    [anon_sym_module] = ACTIONS(11581),
    [anon_sym_baremodule] = ACTIONS(11581),
    [anon_sym_end] = ACTIONS(11581),
    [anon_sym_abstract] = ACTIONS(11581),
    [anon_sym_primitive] = ACTIONS(11581),
    [anon_sym_mutable] = ACTIONS(11581),
    [anon_sym_struct] = ACTIONS(11581),
    [anon_sym_function] = ACTIONS(11581),
    [anon_sym_macro] = ACTIONS(11581),
    [anon_sym_quote] = ACTIONS(11581),
    [anon_sym_let] = ACTIONS(11581),
    [anon_sym_if] = ACTIONS(11581),
    [anon_sym_elseif] = ACTIONS(11581),
    [anon_sym_else] = ACTIONS(11581),
    [anon_sym_try] = ACTIONS(11581),
    [anon_sym_for] = ACTIONS(11581),
    [anon_sym_while] = ACTIONS(11581),
    [sym_break_statement] = ACTIONS(11581),
    [sym_continue_statement] = ACTIONS(11581),
    [anon_sym_return] = ACTIONS(11581),
    [anon_sym_const] = ACTIONS(11581),
    [anon_sym_global] = ACTIONS(11581),
    [anon_sym_local] = ACTIONS(11581),
    [anon_sym_LPAREN] = ACTIONS(11581),
    [anon_sym_COLON] = ACTIONS(11581),
    [anon_sym_export] = ACTIONS(11581),
    [anon_sym_public] = ACTIONS(11581),
    [anon_sym_import] = ACTIONS(11581),
    [anon_sym_using] = ACTIONS(11581),
    [anon_sym_LBRACK] = ACTIONS(11581),
    [anon_sym_in] = ACTIONS(11581),
    [anon_sym_SEMI] = ACTIONS(11581),
    [anon_sym_LBRACE] = ACTIONS(11581),
    [anon_sym_DOLLAR] = ACTIONS(11581),
    [anon_sym_COLON2] = ACTIONS(11581),
    [anon_sym_COLON_COLON] = ACTIONS(11581),
    [anon_sym_isa] = ACTIONS(11581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11581),
    [anon_sym_QMARK] = ACTIONS(11581),
    [anon_sym_where] = ACTIONS(11581),
    [anon_sym_AT] = ACTIONS(11581),
    [anon_sym_true] = ACTIONS(11581),
    [anon_sym_false] = ACTIONS(11581),
    [aux_sym_integer_literal_token1] = ACTIONS(11581),
    [aux_sym_integer_literal_token2] = ACTIONS(11581),
    [aux_sym_integer_literal_token3] = ACTIONS(11581),
    [aux_sym_integer_literal_token4] = ACTIONS(11581),
    [aux_sym_float_literal_token1] = ACTIONS(11581),
    [aux_sym_float_literal_token3] = ACTIONS(11581),
    [aux_sym_float_literal_token4] = ACTIONS(11581),
    [sym_character_literal] = ACTIONS(11581),
    [anon_sym_DQUOTE] = ACTIONS(11581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11581),
    [anon_sym_BQUOTE] = ACTIONS(11581),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11581),
    [sym__pair_operator] = ACTIONS(11581),
    [sym__arrow_operator] = ACTIONS(11581),
    [sym__lazy_or_operator] = ACTIONS(11581),
    [sym__lazy_and_operator] = ACTIONS(11581),
    [sym__comparison_operator] = ACTIONS(11581),
    [sym__pipe_right_operator] = ACTIONS(11581),
    [sym__pipe_left_operator] = ACTIONS(11581),
    [sym__ellipsis_operator] = ACTIONS(11581),
    [sym__plus_operator] = ACTIONS(11581),
    [sym__times_operator] = ACTIONS(11581),
    [sym__rational_operator] = ACTIONS(11581),
    [sym__bitshift_operator] = ACTIONS(11581),
    [sym__power_operator] = ACTIONS(11581),
    [sym__tilde_operator] = ACTIONS(11581),
    [sym__type_order_operator] = ACTIONS(11581),
    [sym__unary_operator] = ACTIONS(11581),
    [sym__unary_plus_operator] = ACTIONS(11581),
    [aux_sym__terminator_token1] = ACTIONS(11583),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8026] = {
    [sym_block_comment] = STATE(8026),
    [sym_line_comment] = STATE(8026),
    [sym__word_identifier] = ACTIONS(11585),
    [anon_sym_COMMA] = ACTIONS(11585),
    [anon_sym_EQ] = ACTIONS(11585),
    [anon_sym_begin] = ACTIONS(11585),
    [anon_sym_module] = ACTIONS(11585),
    [anon_sym_baremodule] = ACTIONS(11585),
    [anon_sym_end] = ACTIONS(11585),
    [anon_sym_abstract] = ACTIONS(11585),
    [anon_sym_primitive] = ACTIONS(11585),
    [anon_sym_mutable] = ACTIONS(11585),
    [anon_sym_struct] = ACTIONS(11585),
    [anon_sym_function] = ACTIONS(11585),
    [anon_sym_macro] = ACTIONS(11585),
    [anon_sym_quote] = ACTIONS(11585),
    [anon_sym_let] = ACTIONS(11585),
    [anon_sym_if] = ACTIONS(11585),
    [anon_sym_elseif] = ACTIONS(11585),
    [anon_sym_else] = ACTIONS(11585),
    [anon_sym_try] = ACTIONS(11585),
    [anon_sym_for] = ACTIONS(11585),
    [anon_sym_while] = ACTIONS(11585),
    [sym_break_statement] = ACTIONS(11585),
    [sym_continue_statement] = ACTIONS(11585),
    [anon_sym_return] = ACTIONS(11585),
    [anon_sym_const] = ACTIONS(11585),
    [anon_sym_global] = ACTIONS(11585),
    [anon_sym_local] = ACTIONS(11585),
    [anon_sym_LPAREN] = ACTIONS(11585),
    [anon_sym_COLON] = ACTIONS(11585),
    [anon_sym_export] = ACTIONS(11585),
    [anon_sym_public] = ACTIONS(11585),
    [anon_sym_import] = ACTIONS(11585),
    [anon_sym_using] = ACTIONS(11585),
    [anon_sym_LBRACK] = ACTIONS(11585),
    [anon_sym_in] = ACTIONS(11585),
    [anon_sym_SEMI] = ACTIONS(11585),
    [anon_sym_LBRACE] = ACTIONS(11585),
    [anon_sym_DOLLAR] = ACTIONS(11585),
    [anon_sym_COLON2] = ACTIONS(11585),
    [anon_sym_COLON_COLON] = ACTIONS(11585),
    [anon_sym_isa] = ACTIONS(11585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11585),
    [anon_sym_QMARK] = ACTIONS(11585),
    [anon_sym_where] = ACTIONS(11585),
    [anon_sym_AT] = ACTIONS(11585),
    [anon_sym_true] = ACTIONS(11585),
    [anon_sym_false] = ACTIONS(11585),
    [aux_sym_integer_literal_token1] = ACTIONS(11585),
    [aux_sym_integer_literal_token2] = ACTIONS(11585),
    [aux_sym_integer_literal_token3] = ACTIONS(11585),
    [aux_sym_integer_literal_token4] = ACTIONS(11585),
    [aux_sym_float_literal_token1] = ACTIONS(11585),
    [aux_sym_float_literal_token3] = ACTIONS(11585),
    [aux_sym_float_literal_token4] = ACTIONS(11585),
    [sym_character_literal] = ACTIONS(11585),
    [anon_sym_DQUOTE] = ACTIONS(11585),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11585),
    [anon_sym_BQUOTE] = ACTIONS(11585),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11585),
    [sym__pair_operator] = ACTIONS(11585),
    [sym__arrow_operator] = ACTIONS(11585),
    [sym__lazy_or_operator] = ACTIONS(11585),
    [sym__lazy_and_operator] = ACTIONS(11585),
    [sym__comparison_operator] = ACTIONS(11585),
    [sym__pipe_right_operator] = ACTIONS(11585),
    [sym__pipe_left_operator] = ACTIONS(11585),
    [sym__ellipsis_operator] = ACTIONS(11585),
    [sym__plus_operator] = ACTIONS(11585),
    [sym__times_operator] = ACTIONS(11585),
    [sym__rational_operator] = ACTIONS(11585),
    [sym__bitshift_operator] = ACTIONS(11585),
    [sym__power_operator] = ACTIONS(11585),
    [sym__tilde_operator] = ACTIONS(11585),
    [sym__type_order_operator] = ACTIONS(11585),
    [sym__unary_operator] = ACTIONS(11585),
    [sym__unary_plus_operator] = ACTIONS(11585),
    [aux_sym__terminator_token1] = ACTIONS(11587),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8027] = {
    [sym_block_comment] = STATE(8027),
    [sym_line_comment] = STATE(8027),
    [sym__word_identifier] = ACTIONS(11589),
    [anon_sym_COMMA] = ACTIONS(11589),
    [anon_sym_EQ] = ACTIONS(11589),
    [anon_sym_begin] = ACTIONS(11589),
    [anon_sym_module] = ACTIONS(11589),
    [anon_sym_baremodule] = ACTIONS(11589),
    [anon_sym_end] = ACTIONS(11589),
    [anon_sym_abstract] = ACTIONS(11589),
    [anon_sym_primitive] = ACTIONS(11589),
    [anon_sym_mutable] = ACTIONS(11589),
    [anon_sym_struct] = ACTIONS(11589),
    [anon_sym_function] = ACTIONS(11589),
    [anon_sym_macro] = ACTIONS(11589),
    [anon_sym_quote] = ACTIONS(11589),
    [anon_sym_let] = ACTIONS(11589),
    [anon_sym_if] = ACTIONS(11589),
    [anon_sym_elseif] = ACTIONS(11589),
    [anon_sym_else] = ACTIONS(11589),
    [anon_sym_try] = ACTIONS(11589),
    [anon_sym_for] = ACTIONS(11589),
    [anon_sym_while] = ACTIONS(11589),
    [sym_break_statement] = ACTIONS(11589),
    [sym_continue_statement] = ACTIONS(11589),
    [anon_sym_return] = ACTIONS(11589),
    [anon_sym_const] = ACTIONS(11589),
    [anon_sym_global] = ACTIONS(11589),
    [anon_sym_local] = ACTIONS(11589),
    [anon_sym_LPAREN] = ACTIONS(11589),
    [anon_sym_COLON] = ACTIONS(11589),
    [anon_sym_export] = ACTIONS(11589),
    [anon_sym_public] = ACTIONS(11589),
    [anon_sym_import] = ACTIONS(11589),
    [anon_sym_using] = ACTIONS(11589),
    [anon_sym_LBRACK] = ACTIONS(11589),
    [anon_sym_in] = ACTIONS(11589),
    [anon_sym_SEMI] = ACTIONS(11589),
    [anon_sym_LBRACE] = ACTIONS(11589),
    [anon_sym_DOLLAR] = ACTIONS(11589),
    [anon_sym_COLON2] = ACTIONS(11589),
    [anon_sym_COLON_COLON] = ACTIONS(11589),
    [anon_sym_isa] = ACTIONS(11589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11589),
    [anon_sym_QMARK] = ACTIONS(11589),
    [anon_sym_where] = ACTIONS(11589),
    [anon_sym_AT] = ACTIONS(11589),
    [anon_sym_true] = ACTIONS(11589),
    [anon_sym_false] = ACTIONS(11589),
    [aux_sym_integer_literal_token1] = ACTIONS(11589),
    [aux_sym_integer_literal_token2] = ACTIONS(11589),
    [aux_sym_integer_literal_token3] = ACTIONS(11589),
    [aux_sym_integer_literal_token4] = ACTIONS(11589),
    [aux_sym_float_literal_token1] = ACTIONS(11589),
    [aux_sym_float_literal_token3] = ACTIONS(11589),
    [aux_sym_float_literal_token4] = ACTIONS(11589),
    [sym_character_literal] = ACTIONS(11589),
    [anon_sym_DQUOTE] = ACTIONS(11589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11589),
    [anon_sym_BQUOTE] = ACTIONS(11589),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11589),
    [sym__pair_operator] = ACTIONS(11589),
    [sym__arrow_operator] = ACTIONS(11589),
    [sym__lazy_or_operator] = ACTIONS(11589),
    [sym__lazy_and_operator] = ACTIONS(11589),
    [sym__comparison_operator] = ACTIONS(11589),
    [sym__pipe_right_operator] = ACTIONS(11589),
    [sym__pipe_left_operator] = ACTIONS(11589),
    [sym__ellipsis_operator] = ACTIONS(11589),
    [sym__plus_operator] = ACTIONS(11589),
    [sym__times_operator] = ACTIONS(11589),
    [sym__rational_operator] = ACTIONS(11589),
    [sym__bitshift_operator] = ACTIONS(11589),
    [sym__power_operator] = ACTIONS(11589),
    [sym__tilde_operator] = ACTIONS(11589),
    [sym__type_order_operator] = ACTIONS(11589),
    [sym__unary_operator] = ACTIONS(11589),
    [sym__unary_plus_operator] = ACTIONS(11589),
    [aux_sym__terminator_token1] = ACTIONS(11591),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8028] = {
    [sym_block_comment] = STATE(8028),
    [sym_line_comment] = STATE(8028),
    [sym__word_identifier] = ACTIONS(11593),
    [anon_sym_COMMA] = ACTIONS(11593),
    [anon_sym_EQ] = ACTIONS(11593),
    [anon_sym_begin] = ACTIONS(11593),
    [anon_sym_module] = ACTIONS(11593),
    [anon_sym_baremodule] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(11593),
    [anon_sym_abstract] = ACTIONS(11593),
    [anon_sym_primitive] = ACTIONS(11593),
    [anon_sym_mutable] = ACTIONS(11593),
    [anon_sym_struct] = ACTIONS(11593),
    [anon_sym_function] = ACTIONS(11593),
    [anon_sym_macro] = ACTIONS(11593),
    [anon_sym_quote] = ACTIONS(11593),
    [anon_sym_let] = ACTIONS(11593),
    [anon_sym_if] = ACTIONS(11593),
    [anon_sym_elseif] = ACTIONS(11593),
    [anon_sym_else] = ACTIONS(11593),
    [anon_sym_try] = ACTIONS(11593),
    [anon_sym_for] = ACTIONS(11593),
    [anon_sym_while] = ACTIONS(11593),
    [sym_break_statement] = ACTIONS(11593),
    [sym_continue_statement] = ACTIONS(11593),
    [anon_sym_return] = ACTIONS(11593),
    [anon_sym_const] = ACTIONS(11593),
    [anon_sym_global] = ACTIONS(11593),
    [anon_sym_local] = ACTIONS(11593),
    [anon_sym_LPAREN] = ACTIONS(11593),
    [anon_sym_COLON] = ACTIONS(11593),
    [anon_sym_export] = ACTIONS(11593),
    [anon_sym_public] = ACTIONS(11593),
    [anon_sym_import] = ACTIONS(11593),
    [anon_sym_using] = ACTIONS(11593),
    [anon_sym_LBRACK] = ACTIONS(11593),
    [anon_sym_in] = ACTIONS(11593),
    [anon_sym_SEMI] = ACTIONS(11593),
    [anon_sym_LBRACE] = ACTIONS(11593),
    [anon_sym_DOLLAR] = ACTIONS(11593),
    [anon_sym_COLON2] = ACTIONS(11593),
    [anon_sym_COLON_COLON] = ACTIONS(11593),
    [anon_sym_isa] = ACTIONS(11593),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11593),
    [anon_sym_QMARK] = ACTIONS(11593),
    [anon_sym_where] = ACTIONS(11593),
    [anon_sym_AT] = ACTIONS(11593),
    [anon_sym_true] = ACTIONS(11593),
    [anon_sym_false] = ACTIONS(11593),
    [aux_sym_integer_literal_token1] = ACTIONS(11593),
    [aux_sym_integer_literal_token2] = ACTIONS(11593),
    [aux_sym_integer_literal_token3] = ACTIONS(11593),
    [aux_sym_integer_literal_token4] = ACTIONS(11593),
    [aux_sym_float_literal_token1] = ACTIONS(11593),
    [aux_sym_float_literal_token3] = ACTIONS(11593),
    [aux_sym_float_literal_token4] = ACTIONS(11593),
    [sym_character_literal] = ACTIONS(11593),
    [anon_sym_DQUOTE] = ACTIONS(11593),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11593),
    [anon_sym_BQUOTE] = ACTIONS(11593),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11593),
    [sym__pair_operator] = ACTIONS(11593),
    [sym__arrow_operator] = ACTIONS(11593),
    [sym__lazy_or_operator] = ACTIONS(11593),
    [sym__lazy_and_operator] = ACTIONS(11593),
    [sym__comparison_operator] = ACTIONS(11593),
    [sym__pipe_right_operator] = ACTIONS(11593),
    [sym__pipe_left_operator] = ACTIONS(11593),
    [sym__ellipsis_operator] = ACTIONS(11593),
    [sym__plus_operator] = ACTIONS(11593),
    [sym__times_operator] = ACTIONS(11593),
    [sym__rational_operator] = ACTIONS(11593),
    [sym__bitshift_operator] = ACTIONS(11593),
    [sym__power_operator] = ACTIONS(11593),
    [sym__tilde_operator] = ACTIONS(11593),
    [sym__type_order_operator] = ACTIONS(11593),
    [sym__unary_operator] = ACTIONS(11593),
    [sym__unary_plus_operator] = ACTIONS(11593),
    [aux_sym__terminator_token1] = ACTIONS(11595),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8029] = {
    [sym_block_comment] = STATE(8029),
    [sym_line_comment] = STATE(8029),
    [sym__word_identifier] = ACTIONS(11597),
    [anon_sym_COMMA] = ACTIONS(11597),
    [anon_sym_EQ] = ACTIONS(11597),
    [anon_sym_begin] = ACTIONS(11597),
    [anon_sym_module] = ACTIONS(11597),
    [anon_sym_baremodule] = ACTIONS(11597),
    [anon_sym_end] = ACTIONS(11597),
    [anon_sym_abstract] = ACTIONS(11597),
    [anon_sym_primitive] = ACTIONS(11597),
    [anon_sym_mutable] = ACTIONS(11597),
    [anon_sym_struct] = ACTIONS(11597),
    [anon_sym_function] = ACTIONS(11597),
    [anon_sym_macro] = ACTIONS(11597),
    [anon_sym_quote] = ACTIONS(11597),
    [anon_sym_let] = ACTIONS(11597),
    [anon_sym_if] = ACTIONS(11597),
    [anon_sym_elseif] = ACTIONS(11597),
    [anon_sym_else] = ACTIONS(11597),
    [anon_sym_try] = ACTIONS(11597),
    [anon_sym_for] = ACTIONS(11597),
    [anon_sym_while] = ACTIONS(11597),
    [sym_break_statement] = ACTIONS(11597),
    [sym_continue_statement] = ACTIONS(11597),
    [anon_sym_return] = ACTIONS(11597),
    [anon_sym_const] = ACTIONS(11597),
    [anon_sym_global] = ACTIONS(11597),
    [anon_sym_local] = ACTIONS(11597),
    [anon_sym_LPAREN] = ACTIONS(11597),
    [anon_sym_COLON] = ACTIONS(11597),
    [anon_sym_export] = ACTIONS(11597),
    [anon_sym_public] = ACTIONS(11597),
    [anon_sym_import] = ACTIONS(11597),
    [anon_sym_using] = ACTIONS(11597),
    [anon_sym_LBRACK] = ACTIONS(11597),
    [anon_sym_in] = ACTIONS(11597),
    [anon_sym_SEMI] = ACTIONS(11597),
    [anon_sym_LBRACE] = ACTIONS(11597),
    [anon_sym_DOLLAR] = ACTIONS(11597),
    [anon_sym_COLON2] = ACTIONS(11597),
    [anon_sym_COLON_COLON] = ACTIONS(11597),
    [anon_sym_isa] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11597),
    [anon_sym_QMARK] = ACTIONS(11597),
    [anon_sym_where] = ACTIONS(11597),
    [anon_sym_AT] = ACTIONS(11597),
    [anon_sym_true] = ACTIONS(11597),
    [anon_sym_false] = ACTIONS(11597),
    [aux_sym_integer_literal_token1] = ACTIONS(11597),
    [aux_sym_integer_literal_token2] = ACTIONS(11597),
    [aux_sym_integer_literal_token3] = ACTIONS(11597),
    [aux_sym_integer_literal_token4] = ACTIONS(11597),
    [aux_sym_float_literal_token1] = ACTIONS(11597),
    [aux_sym_float_literal_token3] = ACTIONS(11597),
    [aux_sym_float_literal_token4] = ACTIONS(11597),
    [sym_character_literal] = ACTIONS(11597),
    [anon_sym_DQUOTE] = ACTIONS(11597),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11597),
    [anon_sym_BQUOTE] = ACTIONS(11597),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11597),
    [sym__pair_operator] = ACTIONS(11597),
    [sym__arrow_operator] = ACTIONS(11597),
    [sym__lazy_or_operator] = ACTIONS(11597),
    [sym__lazy_and_operator] = ACTIONS(11597),
    [sym__comparison_operator] = ACTIONS(11597),
    [sym__pipe_right_operator] = ACTIONS(11597),
    [sym__pipe_left_operator] = ACTIONS(11597),
    [sym__ellipsis_operator] = ACTIONS(11597),
    [sym__plus_operator] = ACTIONS(11597),
    [sym__times_operator] = ACTIONS(11597),
    [sym__rational_operator] = ACTIONS(11597),
    [sym__bitshift_operator] = ACTIONS(11597),
    [sym__power_operator] = ACTIONS(11597),
    [sym__tilde_operator] = ACTIONS(11597),
    [sym__type_order_operator] = ACTIONS(11597),
    [sym__unary_operator] = ACTIONS(11597),
    [sym__unary_plus_operator] = ACTIONS(11597),
    [aux_sym__terminator_token1] = ACTIONS(11599),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8030] = {
    [sym_block_comment] = STATE(8030),
    [sym_line_comment] = STATE(8030),
    [sym__word_identifier] = ACTIONS(11601),
    [anon_sym_COMMA] = ACTIONS(11601),
    [anon_sym_EQ] = ACTIONS(11601),
    [anon_sym_begin] = ACTIONS(11601),
    [anon_sym_module] = ACTIONS(11601),
    [anon_sym_baremodule] = ACTIONS(11601),
    [anon_sym_end] = ACTIONS(11601),
    [anon_sym_abstract] = ACTIONS(11601),
    [anon_sym_primitive] = ACTIONS(11601),
    [anon_sym_mutable] = ACTIONS(11601),
    [anon_sym_struct] = ACTIONS(11601),
    [anon_sym_function] = ACTIONS(11601),
    [anon_sym_macro] = ACTIONS(11601),
    [anon_sym_quote] = ACTIONS(11601),
    [anon_sym_let] = ACTIONS(11601),
    [anon_sym_if] = ACTIONS(11601),
    [anon_sym_elseif] = ACTIONS(11601),
    [anon_sym_else] = ACTIONS(11601),
    [anon_sym_try] = ACTIONS(11601),
    [anon_sym_for] = ACTIONS(11601),
    [anon_sym_while] = ACTIONS(11601),
    [sym_break_statement] = ACTIONS(11601),
    [sym_continue_statement] = ACTIONS(11601),
    [anon_sym_return] = ACTIONS(11601),
    [anon_sym_const] = ACTIONS(11601),
    [anon_sym_global] = ACTIONS(11601),
    [anon_sym_local] = ACTIONS(11601),
    [anon_sym_LPAREN] = ACTIONS(11601),
    [anon_sym_COLON] = ACTIONS(11601),
    [anon_sym_export] = ACTIONS(11601),
    [anon_sym_public] = ACTIONS(11601),
    [anon_sym_import] = ACTIONS(11601),
    [anon_sym_using] = ACTIONS(11601),
    [anon_sym_LBRACK] = ACTIONS(11601),
    [anon_sym_in] = ACTIONS(11601),
    [anon_sym_SEMI] = ACTIONS(11601),
    [anon_sym_LBRACE] = ACTIONS(11601),
    [anon_sym_DOLLAR] = ACTIONS(11601),
    [anon_sym_COLON2] = ACTIONS(11601),
    [anon_sym_COLON_COLON] = ACTIONS(11601),
    [anon_sym_isa] = ACTIONS(11601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11601),
    [anon_sym_QMARK] = ACTIONS(11601),
    [anon_sym_where] = ACTIONS(11601),
    [anon_sym_AT] = ACTIONS(11601),
    [anon_sym_true] = ACTIONS(11601),
    [anon_sym_false] = ACTIONS(11601),
    [aux_sym_integer_literal_token1] = ACTIONS(11601),
    [aux_sym_integer_literal_token2] = ACTIONS(11601),
    [aux_sym_integer_literal_token3] = ACTIONS(11601),
    [aux_sym_integer_literal_token4] = ACTIONS(11601),
    [aux_sym_float_literal_token1] = ACTIONS(11601),
    [aux_sym_float_literal_token3] = ACTIONS(11601),
    [aux_sym_float_literal_token4] = ACTIONS(11601),
    [sym_character_literal] = ACTIONS(11601),
    [anon_sym_DQUOTE] = ACTIONS(11601),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11601),
    [anon_sym_BQUOTE] = ACTIONS(11601),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11601),
    [sym__pair_operator] = ACTIONS(11601),
    [sym__arrow_operator] = ACTIONS(11601),
    [sym__lazy_or_operator] = ACTIONS(11601),
    [sym__lazy_and_operator] = ACTIONS(11601),
    [sym__comparison_operator] = ACTIONS(11601),
    [sym__pipe_right_operator] = ACTIONS(11601),
    [sym__pipe_left_operator] = ACTIONS(11601),
    [sym__ellipsis_operator] = ACTIONS(11601),
    [sym__plus_operator] = ACTIONS(11601),
    [sym__times_operator] = ACTIONS(11601),
    [sym__rational_operator] = ACTIONS(11601),
    [sym__bitshift_operator] = ACTIONS(11601),
    [sym__power_operator] = ACTIONS(11601),
    [sym__tilde_operator] = ACTIONS(11601),
    [sym__type_order_operator] = ACTIONS(11601),
    [sym__unary_operator] = ACTIONS(11601),
    [sym__unary_plus_operator] = ACTIONS(11601),
    [aux_sym__terminator_token1] = ACTIONS(11603),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8031] = {
    [sym_block_comment] = STATE(8031),
    [sym_line_comment] = STATE(8031),
    [sym__word_identifier] = ACTIONS(11605),
    [anon_sym_COMMA] = ACTIONS(11605),
    [anon_sym_EQ] = ACTIONS(11605),
    [anon_sym_begin] = ACTIONS(11605),
    [anon_sym_module] = ACTIONS(11605),
    [anon_sym_baremodule] = ACTIONS(11605),
    [anon_sym_end] = ACTIONS(11605),
    [anon_sym_abstract] = ACTIONS(11605),
    [anon_sym_primitive] = ACTIONS(11605),
    [anon_sym_mutable] = ACTIONS(11605),
    [anon_sym_struct] = ACTIONS(11605),
    [anon_sym_function] = ACTIONS(11605),
    [anon_sym_macro] = ACTIONS(11605),
    [anon_sym_quote] = ACTIONS(11605),
    [anon_sym_let] = ACTIONS(11605),
    [anon_sym_if] = ACTIONS(11605),
    [anon_sym_elseif] = ACTIONS(11605),
    [anon_sym_else] = ACTIONS(11605),
    [anon_sym_try] = ACTIONS(11605),
    [anon_sym_for] = ACTIONS(11605),
    [anon_sym_while] = ACTIONS(11605),
    [sym_break_statement] = ACTIONS(11605),
    [sym_continue_statement] = ACTIONS(11605),
    [anon_sym_return] = ACTIONS(11605),
    [anon_sym_const] = ACTIONS(11605),
    [anon_sym_global] = ACTIONS(11605),
    [anon_sym_local] = ACTIONS(11605),
    [anon_sym_LPAREN] = ACTIONS(11605),
    [anon_sym_COLON] = ACTIONS(11605),
    [anon_sym_export] = ACTIONS(11605),
    [anon_sym_public] = ACTIONS(11605),
    [anon_sym_import] = ACTIONS(11605),
    [anon_sym_using] = ACTIONS(11605),
    [anon_sym_LBRACK] = ACTIONS(11605),
    [anon_sym_in] = ACTIONS(11605),
    [anon_sym_SEMI] = ACTIONS(11605),
    [anon_sym_LBRACE] = ACTIONS(11605),
    [anon_sym_DOLLAR] = ACTIONS(11605),
    [anon_sym_COLON2] = ACTIONS(11605),
    [anon_sym_COLON_COLON] = ACTIONS(11605),
    [anon_sym_isa] = ACTIONS(11605),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11605),
    [anon_sym_QMARK] = ACTIONS(11605),
    [anon_sym_where] = ACTIONS(11605),
    [anon_sym_AT] = ACTIONS(11605),
    [anon_sym_true] = ACTIONS(11605),
    [anon_sym_false] = ACTIONS(11605),
    [aux_sym_integer_literal_token1] = ACTIONS(11605),
    [aux_sym_integer_literal_token2] = ACTIONS(11605),
    [aux_sym_integer_literal_token3] = ACTIONS(11605),
    [aux_sym_integer_literal_token4] = ACTIONS(11605),
    [aux_sym_float_literal_token1] = ACTIONS(11605),
    [aux_sym_float_literal_token3] = ACTIONS(11605),
    [aux_sym_float_literal_token4] = ACTIONS(11605),
    [sym_character_literal] = ACTIONS(11605),
    [anon_sym_DQUOTE] = ACTIONS(11605),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11605),
    [anon_sym_BQUOTE] = ACTIONS(11605),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11605),
    [sym__pair_operator] = ACTIONS(11605),
    [sym__arrow_operator] = ACTIONS(11605),
    [sym__lazy_or_operator] = ACTIONS(11605),
    [sym__lazy_and_operator] = ACTIONS(11605),
    [sym__comparison_operator] = ACTIONS(11605),
    [sym__pipe_right_operator] = ACTIONS(11605),
    [sym__pipe_left_operator] = ACTIONS(11605),
    [sym__ellipsis_operator] = ACTIONS(11605),
    [sym__plus_operator] = ACTIONS(11605),
    [sym__times_operator] = ACTIONS(11605),
    [sym__rational_operator] = ACTIONS(11605),
    [sym__bitshift_operator] = ACTIONS(11605),
    [sym__power_operator] = ACTIONS(11605),
    [sym__tilde_operator] = ACTIONS(11605),
    [sym__type_order_operator] = ACTIONS(11605),
    [sym__unary_operator] = ACTIONS(11605),
    [sym__unary_plus_operator] = ACTIONS(11605),
    [aux_sym__terminator_token1] = ACTIONS(11607),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8032] = {
    [sym__comprehension_clause] = STATE(19051),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8032),
    [sym_line_comment] = STATE(8032),
    [aux_sym_vector_expression_repeat1] = STATE(17660),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11822),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11824),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11826),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11829),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8033] = {
    [sym_block_comment] = STATE(8033),
    [sym_line_comment] = STATE(8033),
    [sym__word_identifier] = ACTIONS(11609),
    [anon_sym_COMMA] = ACTIONS(11609),
    [anon_sym_EQ] = ACTIONS(11609),
    [anon_sym_begin] = ACTIONS(11609),
    [anon_sym_module] = ACTIONS(11609),
    [anon_sym_baremodule] = ACTIONS(11609),
    [anon_sym_end] = ACTIONS(11609),
    [anon_sym_abstract] = ACTIONS(11609),
    [anon_sym_primitive] = ACTIONS(11609),
    [anon_sym_mutable] = ACTIONS(11609),
    [anon_sym_struct] = ACTIONS(11609),
    [anon_sym_function] = ACTIONS(11609),
    [anon_sym_macro] = ACTIONS(11609),
    [anon_sym_quote] = ACTIONS(11609),
    [anon_sym_let] = ACTIONS(11609),
    [anon_sym_if] = ACTIONS(11609),
    [anon_sym_elseif] = ACTIONS(11609),
    [anon_sym_else] = ACTIONS(11609),
    [anon_sym_try] = ACTIONS(11609),
    [anon_sym_for] = ACTIONS(11609),
    [anon_sym_while] = ACTIONS(11609),
    [sym_break_statement] = ACTIONS(11609),
    [sym_continue_statement] = ACTIONS(11609),
    [anon_sym_return] = ACTIONS(11609),
    [anon_sym_const] = ACTIONS(11609),
    [anon_sym_global] = ACTIONS(11609),
    [anon_sym_local] = ACTIONS(11609),
    [anon_sym_LPAREN] = ACTIONS(11609),
    [anon_sym_COLON] = ACTIONS(11609),
    [anon_sym_export] = ACTIONS(11609),
    [anon_sym_public] = ACTIONS(11609),
    [anon_sym_import] = ACTIONS(11609),
    [anon_sym_using] = ACTIONS(11609),
    [anon_sym_LBRACK] = ACTIONS(11609),
    [anon_sym_in] = ACTIONS(11609),
    [anon_sym_SEMI] = ACTIONS(11609),
    [anon_sym_LBRACE] = ACTIONS(11609),
    [anon_sym_DOLLAR] = ACTIONS(11609),
    [anon_sym_COLON2] = ACTIONS(11609),
    [anon_sym_COLON_COLON] = ACTIONS(11609),
    [anon_sym_isa] = ACTIONS(11609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11609),
    [anon_sym_QMARK] = ACTIONS(11609),
    [anon_sym_where] = ACTIONS(11609),
    [anon_sym_AT] = ACTIONS(11609),
    [anon_sym_true] = ACTIONS(11609),
    [anon_sym_false] = ACTIONS(11609),
    [aux_sym_integer_literal_token1] = ACTIONS(11609),
    [aux_sym_integer_literal_token2] = ACTIONS(11609),
    [aux_sym_integer_literal_token3] = ACTIONS(11609),
    [aux_sym_integer_literal_token4] = ACTIONS(11609),
    [aux_sym_float_literal_token1] = ACTIONS(11609),
    [aux_sym_float_literal_token3] = ACTIONS(11609),
    [aux_sym_float_literal_token4] = ACTIONS(11609),
    [sym_character_literal] = ACTIONS(11609),
    [anon_sym_DQUOTE] = ACTIONS(11609),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11609),
    [anon_sym_BQUOTE] = ACTIONS(11609),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11609),
    [sym__pair_operator] = ACTIONS(11609),
    [sym__arrow_operator] = ACTIONS(11609),
    [sym__lazy_or_operator] = ACTIONS(11609),
    [sym__lazy_and_operator] = ACTIONS(11609),
    [sym__comparison_operator] = ACTIONS(11609),
    [sym__pipe_right_operator] = ACTIONS(11609),
    [sym__pipe_left_operator] = ACTIONS(11609),
    [sym__ellipsis_operator] = ACTIONS(11609),
    [sym__plus_operator] = ACTIONS(11609),
    [sym__times_operator] = ACTIONS(11609),
    [sym__rational_operator] = ACTIONS(11609),
    [sym__bitshift_operator] = ACTIONS(11609),
    [sym__power_operator] = ACTIONS(11609),
    [sym__tilde_operator] = ACTIONS(11609),
    [sym__type_order_operator] = ACTIONS(11609),
    [sym__unary_operator] = ACTIONS(11609),
    [sym__unary_plus_operator] = ACTIONS(11609),
    [aux_sym__terminator_token1] = ACTIONS(11611),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8034] = {
    [sym_block_comment] = STATE(8034),
    [sym_line_comment] = STATE(8034),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_finally] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8035] = {
    [sym_block_comment] = STATE(8035),
    [sym_line_comment] = STATE(8035),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_finally] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8036] = {
    [sym_block_comment] = STATE(8036),
    [sym_line_comment] = STATE(8036),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_finally] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8037] = {
    [sym_block_comment] = STATE(8037),
    [sym_line_comment] = STATE(8037),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_finally] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8038] = {
    [sym_block_comment] = STATE(8038),
    [sym_line_comment] = STATE(8038),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_finally] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8039] = {
    [sym_block_comment] = STATE(8039),
    [sym_line_comment] = STATE(8039),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8040] = {
    [sym_block_comment] = STATE(8040),
    [sym_line_comment] = STATE(8040),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_catch] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8041] = {
    [sym_block_comment] = STATE(8041),
    [sym_line_comment] = STATE(8041),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_finally] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8042] = {
    [sym__comprehension_clause] = STATE(20211),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8042),
    [sym_line_comment] = STATE(8042),
    [aux_sym_vector_expression_repeat1] = STATE(17717),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11832),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11834),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11836),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11839),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8043] = {
    [sym_block_comment] = STATE(8043),
    [sym_line_comment] = STATE(8043),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8044] = {
    [sym_block_comment] = STATE(8044),
    [sym_line_comment] = STATE(8044),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_finally] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8045] = {
    [sym_block_comment] = STATE(8045),
    [sym_line_comment] = STATE(8045),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11102),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_end] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_else] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_finally] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11102),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11102),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_SEMI] = ACTIONS(11102),
    [anon_sym_LBRACE] = ACTIONS(11102),
    [anon_sym_DOLLAR] = ACTIONS(11102),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11102),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11102),
    [anon_sym_QMARK] = ACTIONS(11102),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11102),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11102),
    [aux_sym_integer_literal_token2] = ACTIONS(11102),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11102),
    [aux_sym_float_literal_token3] = ACTIONS(11102),
    [aux_sym_float_literal_token4] = ACTIONS(11102),
    [sym_character_literal] = ACTIONS(11102),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(11102),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11102),
    [sym__lazy_and_operator] = ACTIONS(11102),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11102),
    [sym__pipe_left_operator] = ACTIONS(11102),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11102),
    [sym__bitshift_operator] = ACTIONS(11102),
    [sym__power_operator] = ACTIONS(11102),
    [sym__tilde_operator] = ACTIONS(11102),
    [sym__type_order_operator] = ACTIONS(11102),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym__terminator_token1] = ACTIONS(11104),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8046] = {
    [sym_block_comment] = STATE(8046),
    [sym_line_comment] = STATE(8046),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_finally] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8047] = {
    [sym_block_comment] = STATE(8047),
    [sym_line_comment] = STATE(8047),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_finally] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8048] = {
    [sym_block_comment] = STATE(8048),
    [sym_line_comment] = STATE(8048),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_finally] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8049] = {
    [sym_block_comment] = STATE(8049),
    [sym_line_comment] = STATE(8049),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_finally] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8050] = {
    [sym_block_comment] = STATE(8050),
    [sym_line_comment] = STATE(8050),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_finally] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8051] = {
    [sym_block_comment] = STATE(8051),
    [sym_line_comment] = STATE(8051),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_finally] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8052] = {
    [sym_block_comment] = STATE(8052),
    [sym_line_comment] = STATE(8052),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_finally] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8053] = {
    [sym_block_comment] = STATE(8053),
    [sym_line_comment] = STATE(8053),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_finally] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8054] = {
    [sym_block_comment] = STATE(8054),
    [sym_line_comment] = STATE(8054),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_finally] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8055] = {
    [sym_block_comment] = STATE(8055),
    [sym_line_comment] = STATE(8055),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_finally] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8056] = {
    [sym_block_comment] = STATE(8056),
    [sym_line_comment] = STATE(8056),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_finally] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8057] = {
    [sym_block_comment] = STATE(8057),
    [sym_line_comment] = STATE(8057),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_finally] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8058] = {
    [sym_block_comment] = STATE(8058),
    [sym_line_comment] = STATE(8058),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_finally] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8059] = {
    [sym_block_comment] = STATE(8059),
    [sym_line_comment] = STATE(8059),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_finally] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8060] = {
    [sym_block_comment] = STATE(8060),
    [sym_line_comment] = STATE(8060),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_catch] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8061] = {
    [sym_block_comment] = STATE(8061),
    [sym_line_comment] = STATE(8061),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_finally] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8062] = {
    [sym__comprehension_clause] = STATE(18942),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8062),
    [sym_line_comment] = STATE(8062),
    [aux_sym_vector_expression_repeat1] = STATE(17927),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11842),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11844),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11846),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11849),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8063] = {
    [sym_block_comment] = STATE(8063),
    [sym_line_comment] = STATE(8063),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_finally] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8064] = {
    [sym_block_comment] = STATE(8064),
    [sym_line_comment] = STATE(8064),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_finally] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8065] = {
    [sym__comprehension_clause] = STATE(19084),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8065),
    [sym_line_comment] = STATE(8065),
    [aux_sym_vector_expression_repeat1] = STATE(17959),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11852),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11854),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11856),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11859),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8066] = {
    [sym_block_comment] = STATE(8066),
    [sym_line_comment] = STATE(8066),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
  },
  [8067] = {
    [sym_block_comment] = STATE(8067),
    [sym_line_comment] = STATE(8067),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9981),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8068] = {
    [sym_block_comment] = STATE(8068),
    [sym_line_comment] = STATE(8068),
    [sym__word_identifier] = ACTIONS(11613),
    [anon_sym_COMMA] = ACTIONS(11613),
    [anon_sym_EQ] = ACTIONS(11613),
    [anon_sym_begin] = ACTIONS(11613),
    [anon_sym_module] = ACTIONS(11613),
    [anon_sym_baremodule] = ACTIONS(11613),
    [anon_sym_end] = ACTIONS(11613),
    [anon_sym_abstract] = ACTIONS(11613),
    [anon_sym_primitive] = ACTIONS(11613),
    [anon_sym_mutable] = ACTIONS(11613),
    [anon_sym_struct] = ACTIONS(11613),
    [anon_sym_function] = ACTIONS(11613),
    [anon_sym_macro] = ACTIONS(11613),
    [anon_sym_quote] = ACTIONS(11613),
    [anon_sym_let] = ACTIONS(11613),
    [anon_sym_if] = ACTIONS(11613),
    [anon_sym_elseif] = ACTIONS(11613),
    [anon_sym_else] = ACTIONS(11613),
    [anon_sym_try] = ACTIONS(11613),
    [anon_sym_for] = ACTIONS(11613),
    [anon_sym_while] = ACTIONS(11613),
    [sym_break_statement] = ACTIONS(11613),
    [sym_continue_statement] = ACTIONS(11613),
    [anon_sym_return] = ACTIONS(11613),
    [anon_sym_const] = ACTIONS(11613),
    [anon_sym_global] = ACTIONS(11613),
    [anon_sym_local] = ACTIONS(11613),
    [anon_sym_LPAREN] = ACTIONS(11613),
    [anon_sym_COLON] = ACTIONS(11613),
    [anon_sym_export] = ACTIONS(11613),
    [anon_sym_public] = ACTIONS(11613),
    [anon_sym_import] = ACTIONS(11613),
    [anon_sym_using] = ACTIONS(11613),
    [anon_sym_LBRACK] = ACTIONS(11613),
    [anon_sym_in] = ACTIONS(11613),
    [anon_sym_SEMI] = ACTIONS(11613),
    [anon_sym_LBRACE] = ACTIONS(11613),
    [anon_sym_DOLLAR] = ACTIONS(11613),
    [anon_sym_COLON2] = ACTIONS(11613),
    [anon_sym_COLON_COLON] = ACTIONS(11613),
    [anon_sym_isa] = ACTIONS(11613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11613),
    [anon_sym_QMARK] = ACTIONS(11613),
    [anon_sym_where] = ACTIONS(11613),
    [anon_sym_AT] = ACTIONS(11613),
    [anon_sym_true] = ACTIONS(11613),
    [anon_sym_false] = ACTIONS(11613),
    [aux_sym_integer_literal_token1] = ACTIONS(11613),
    [aux_sym_integer_literal_token2] = ACTIONS(11613),
    [aux_sym_integer_literal_token3] = ACTIONS(11613),
    [aux_sym_integer_literal_token4] = ACTIONS(11613),
    [aux_sym_float_literal_token1] = ACTIONS(11613),
    [aux_sym_float_literal_token3] = ACTIONS(11613),
    [aux_sym_float_literal_token4] = ACTIONS(11613),
    [sym_character_literal] = ACTIONS(11613),
    [anon_sym_DQUOTE] = ACTIONS(11613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11613),
    [anon_sym_BQUOTE] = ACTIONS(11613),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11613),
    [sym__pair_operator] = ACTIONS(11613),
    [sym__arrow_operator] = ACTIONS(11613),
    [sym__lazy_or_operator] = ACTIONS(11613),
    [sym__lazy_and_operator] = ACTIONS(11613),
    [sym__comparison_operator] = ACTIONS(11613),
    [sym__pipe_right_operator] = ACTIONS(11613),
    [sym__pipe_left_operator] = ACTIONS(11613),
    [sym__ellipsis_operator] = ACTIONS(11613),
    [sym__plus_operator] = ACTIONS(11613),
    [sym__times_operator] = ACTIONS(11613),
    [sym__rational_operator] = ACTIONS(11613),
    [sym__bitshift_operator] = ACTIONS(11613),
    [sym__power_operator] = ACTIONS(11613),
    [sym__tilde_operator] = ACTIONS(11613),
    [sym__type_order_operator] = ACTIONS(11613),
    [sym__unary_operator] = ACTIONS(11613),
    [sym__unary_plus_operator] = ACTIONS(11613),
    [aux_sym__terminator_token1] = ACTIONS(11615),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8069] = {
    [sym_block_comment] = STATE(8069),
    [sym_line_comment] = STATE(8069),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8070] = {
    [sym_block_comment] = STATE(8070),
    [sym_line_comment] = STATE(8070),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_finally] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8071] = {
    [sym_block_comment] = STATE(8071),
    [sym_line_comment] = STATE(8071),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(11862),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8072] = {
    [sym_block_comment] = STATE(8072),
    [sym_line_comment] = STATE(8072),
    [sym__word_identifier] = ACTIONS(11617),
    [anon_sym_COMMA] = ACTIONS(11617),
    [anon_sym_EQ] = ACTIONS(11617),
    [anon_sym_begin] = ACTIONS(11617),
    [anon_sym_module] = ACTIONS(11617),
    [anon_sym_baremodule] = ACTIONS(11617),
    [anon_sym_end] = ACTIONS(11617),
    [anon_sym_abstract] = ACTIONS(11617),
    [anon_sym_primitive] = ACTIONS(11617),
    [anon_sym_mutable] = ACTIONS(11617),
    [anon_sym_struct] = ACTIONS(11617),
    [anon_sym_function] = ACTIONS(11617),
    [anon_sym_macro] = ACTIONS(11617),
    [anon_sym_quote] = ACTIONS(11617),
    [anon_sym_let] = ACTIONS(11617),
    [anon_sym_if] = ACTIONS(11617),
    [anon_sym_elseif] = ACTIONS(11617),
    [anon_sym_else] = ACTIONS(11617),
    [anon_sym_try] = ACTIONS(11617),
    [anon_sym_for] = ACTIONS(11617),
    [anon_sym_while] = ACTIONS(11617),
    [sym_break_statement] = ACTIONS(11617),
    [sym_continue_statement] = ACTIONS(11617),
    [anon_sym_return] = ACTIONS(11617),
    [anon_sym_const] = ACTIONS(11617),
    [anon_sym_global] = ACTIONS(11617),
    [anon_sym_local] = ACTIONS(11617),
    [anon_sym_LPAREN] = ACTIONS(11617),
    [anon_sym_COLON] = ACTIONS(11617),
    [anon_sym_export] = ACTIONS(11617),
    [anon_sym_public] = ACTIONS(11617),
    [anon_sym_import] = ACTIONS(11617),
    [anon_sym_using] = ACTIONS(11617),
    [anon_sym_LBRACK] = ACTIONS(11617),
    [anon_sym_in] = ACTIONS(11617),
    [anon_sym_SEMI] = ACTIONS(11617),
    [anon_sym_LBRACE] = ACTIONS(11617),
    [anon_sym_DOLLAR] = ACTIONS(11617),
    [anon_sym_COLON2] = ACTIONS(11617),
    [anon_sym_COLON_COLON] = ACTIONS(11617),
    [anon_sym_isa] = ACTIONS(11617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11617),
    [anon_sym_QMARK] = ACTIONS(11617),
    [anon_sym_where] = ACTIONS(11617),
    [anon_sym_AT] = ACTIONS(11617),
    [anon_sym_true] = ACTIONS(11617),
    [anon_sym_false] = ACTIONS(11617),
    [aux_sym_integer_literal_token1] = ACTIONS(11617),
    [aux_sym_integer_literal_token2] = ACTIONS(11617),
    [aux_sym_integer_literal_token3] = ACTIONS(11617),
    [aux_sym_integer_literal_token4] = ACTIONS(11617),
    [aux_sym_float_literal_token1] = ACTIONS(11617),
    [aux_sym_float_literal_token3] = ACTIONS(11617),
    [aux_sym_float_literal_token4] = ACTIONS(11617),
    [sym_character_literal] = ACTIONS(11617),
    [anon_sym_DQUOTE] = ACTIONS(11617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11617),
    [anon_sym_BQUOTE] = ACTIONS(11617),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11617),
    [sym__pair_operator] = ACTIONS(11617),
    [sym__arrow_operator] = ACTIONS(11617),
    [sym__lazy_or_operator] = ACTIONS(11617),
    [sym__lazy_and_operator] = ACTIONS(11617),
    [sym__comparison_operator] = ACTIONS(11617),
    [sym__pipe_right_operator] = ACTIONS(11617),
    [sym__pipe_left_operator] = ACTIONS(11617),
    [sym__ellipsis_operator] = ACTIONS(11617),
    [sym__plus_operator] = ACTIONS(11617),
    [sym__times_operator] = ACTIONS(11617),
    [sym__rational_operator] = ACTIONS(11617),
    [sym__bitshift_operator] = ACTIONS(11617),
    [sym__power_operator] = ACTIONS(11617),
    [sym__tilde_operator] = ACTIONS(11617),
    [sym__type_order_operator] = ACTIONS(11617),
    [sym__unary_operator] = ACTIONS(11617),
    [sym__unary_plus_operator] = ACTIONS(11617),
    [aux_sym__terminator_token1] = ACTIONS(11619),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8073] = {
    [sym_block_comment] = STATE(8073),
    [sym_line_comment] = STATE(8073),
    [sym__word_identifier] = ACTIONS(11621),
    [anon_sym_COMMA] = ACTIONS(11621),
    [anon_sym_EQ] = ACTIONS(11621),
    [anon_sym_begin] = ACTIONS(11621),
    [anon_sym_module] = ACTIONS(11621),
    [anon_sym_baremodule] = ACTIONS(11621),
    [anon_sym_end] = ACTIONS(11621),
    [anon_sym_abstract] = ACTIONS(11621),
    [anon_sym_primitive] = ACTIONS(11621),
    [anon_sym_mutable] = ACTIONS(11621),
    [anon_sym_struct] = ACTIONS(11621),
    [anon_sym_function] = ACTIONS(11621),
    [anon_sym_macro] = ACTIONS(11621),
    [anon_sym_quote] = ACTIONS(11621),
    [anon_sym_let] = ACTIONS(11621),
    [anon_sym_if] = ACTIONS(11621),
    [anon_sym_elseif] = ACTIONS(11621),
    [anon_sym_else] = ACTIONS(11621),
    [anon_sym_try] = ACTIONS(11621),
    [anon_sym_for] = ACTIONS(11621),
    [anon_sym_while] = ACTIONS(11621),
    [sym_break_statement] = ACTIONS(11621),
    [sym_continue_statement] = ACTIONS(11621),
    [anon_sym_return] = ACTIONS(11621),
    [anon_sym_const] = ACTIONS(11621),
    [anon_sym_global] = ACTIONS(11621),
    [anon_sym_local] = ACTIONS(11621),
    [anon_sym_LPAREN] = ACTIONS(11621),
    [anon_sym_COLON] = ACTIONS(11621),
    [anon_sym_export] = ACTIONS(11621),
    [anon_sym_public] = ACTIONS(11621),
    [anon_sym_import] = ACTIONS(11621),
    [anon_sym_using] = ACTIONS(11621),
    [anon_sym_LBRACK] = ACTIONS(11621),
    [anon_sym_in] = ACTIONS(11621),
    [anon_sym_SEMI] = ACTIONS(11621),
    [anon_sym_LBRACE] = ACTIONS(11621),
    [anon_sym_DOLLAR] = ACTIONS(11621),
    [anon_sym_COLON2] = ACTIONS(11621),
    [anon_sym_COLON_COLON] = ACTIONS(11621),
    [anon_sym_isa] = ACTIONS(11621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11621),
    [anon_sym_QMARK] = ACTIONS(11621),
    [anon_sym_where] = ACTIONS(11621),
    [anon_sym_AT] = ACTIONS(11621),
    [anon_sym_true] = ACTIONS(11621),
    [anon_sym_false] = ACTIONS(11621),
    [aux_sym_integer_literal_token1] = ACTIONS(11621),
    [aux_sym_integer_literal_token2] = ACTIONS(11621),
    [aux_sym_integer_literal_token3] = ACTIONS(11621),
    [aux_sym_integer_literal_token4] = ACTIONS(11621),
    [aux_sym_float_literal_token1] = ACTIONS(11621),
    [aux_sym_float_literal_token3] = ACTIONS(11621),
    [aux_sym_float_literal_token4] = ACTIONS(11621),
    [sym_character_literal] = ACTIONS(11621),
    [anon_sym_DQUOTE] = ACTIONS(11621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11621),
    [anon_sym_BQUOTE] = ACTIONS(11621),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11621),
    [sym__pair_operator] = ACTIONS(11621),
    [sym__arrow_operator] = ACTIONS(11621),
    [sym__lazy_or_operator] = ACTIONS(11621),
    [sym__lazy_and_operator] = ACTIONS(11621),
    [sym__comparison_operator] = ACTIONS(11621),
    [sym__pipe_right_operator] = ACTIONS(11621),
    [sym__pipe_left_operator] = ACTIONS(11621),
    [sym__ellipsis_operator] = ACTIONS(11621),
    [sym__plus_operator] = ACTIONS(11621),
    [sym__times_operator] = ACTIONS(11621),
    [sym__rational_operator] = ACTIONS(11621),
    [sym__bitshift_operator] = ACTIONS(11621),
    [sym__power_operator] = ACTIONS(11621),
    [sym__tilde_operator] = ACTIONS(11621),
    [sym__type_order_operator] = ACTIONS(11621),
    [sym__unary_operator] = ACTIONS(11621),
    [sym__unary_plus_operator] = ACTIONS(11621),
    [aux_sym__terminator_token1] = ACTIONS(11623),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8074] = {
    [sym_block_comment] = STATE(8074),
    [sym_line_comment] = STATE(8074),
    [sym__word_identifier] = ACTIONS(11625),
    [anon_sym_COMMA] = ACTIONS(11625),
    [anon_sym_EQ] = ACTIONS(11625),
    [anon_sym_begin] = ACTIONS(11625),
    [anon_sym_module] = ACTIONS(11625),
    [anon_sym_baremodule] = ACTIONS(11625),
    [anon_sym_end] = ACTIONS(11625),
    [anon_sym_abstract] = ACTIONS(11625),
    [anon_sym_primitive] = ACTIONS(11625),
    [anon_sym_mutable] = ACTIONS(11625),
    [anon_sym_struct] = ACTIONS(11625),
    [anon_sym_function] = ACTIONS(11625),
    [anon_sym_macro] = ACTIONS(11625),
    [anon_sym_quote] = ACTIONS(11625),
    [anon_sym_let] = ACTIONS(11625),
    [anon_sym_if] = ACTIONS(11625),
    [anon_sym_elseif] = ACTIONS(11625),
    [anon_sym_else] = ACTIONS(11625),
    [anon_sym_try] = ACTIONS(11625),
    [anon_sym_for] = ACTIONS(11625),
    [anon_sym_while] = ACTIONS(11625),
    [sym_break_statement] = ACTIONS(11625),
    [sym_continue_statement] = ACTIONS(11625),
    [anon_sym_return] = ACTIONS(11625),
    [anon_sym_const] = ACTIONS(11625),
    [anon_sym_global] = ACTIONS(11625),
    [anon_sym_local] = ACTIONS(11625),
    [anon_sym_LPAREN] = ACTIONS(11625),
    [anon_sym_COLON] = ACTIONS(11625),
    [anon_sym_export] = ACTIONS(11625),
    [anon_sym_public] = ACTIONS(11625),
    [anon_sym_import] = ACTIONS(11625),
    [anon_sym_using] = ACTIONS(11625),
    [anon_sym_LBRACK] = ACTIONS(11625),
    [anon_sym_in] = ACTIONS(11625),
    [anon_sym_SEMI] = ACTIONS(11625),
    [anon_sym_LBRACE] = ACTIONS(11625),
    [anon_sym_DOLLAR] = ACTIONS(11625),
    [anon_sym_COLON2] = ACTIONS(11625),
    [anon_sym_COLON_COLON] = ACTIONS(11625),
    [anon_sym_isa] = ACTIONS(11625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11625),
    [anon_sym_QMARK] = ACTIONS(11625),
    [anon_sym_where] = ACTIONS(11625),
    [anon_sym_AT] = ACTIONS(11625),
    [anon_sym_true] = ACTIONS(11625),
    [anon_sym_false] = ACTIONS(11625),
    [aux_sym_integer_literal_token1] = ACTIONS(11625),
    [aux_sym_integer_literal_token2] = ACTIONS(11625),
    [aux_sym_integer_literal_token3] = ACTIONS(11625),
    [aux_sym_integer_literal_token4] = ACTIONS(11625),
    [aux_sym_float_literal_token1] = ACTIONS(11625),
    [aux_sym_float_literal_token3] = ACTIONS(11625),
    [aux_sym_float_literal_token4] = ACTIONS(11625),
    [sym_character_literal] = ACTIONS(11625),
    [anon_sym_DQUOTE] = ACTIONS(11625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11625),
    [anon_sym_BQUOTE] = ACTIONS(11625),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11625),
    [sym__pair_operator] = ACTIONS(11625),
    [sym__arrow_operator] = ACTIONS(11625),
    [sym__lazy_or_operator] = ACTIONS(11625),
    [sym__lazy_and_operator] = ACTIONS(11625),
    [sym__comparison_operator] = ACTIONS(11625),
    [sym__pipe_right_operator] = ACTIONS(11625),
    [sym__pipe_left_operator] = ACTIONS(11625),
    [sym__ellipsis_operator] = ACTIONS(11625),
    [sym__plus_operator] = ACTIONS(11625),
    [sym__times_operator] = ACTIONS(11625),
    [sym__rational_operator] = ACTIONS(11625),
    [sym__bitshift_operator] = ACTIONS(11625),
    [sym__power_operator] = ACTIONS(11625),
    [sym__tilde_operator] = ACTIONS(11625),
    [sym__type_order_operator] = ACTIONS(11625),
    [sym__unary_operator] = ACTIONS(11625),
    [sym__unary_plus_operator] = ACTIONS(11625),
    [aux_sym__terminator_token1] = ACTIONS(11627),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8075] = {
    [sym_block_comment] = STATE(8075),
    [sym_line_comment] = STATE(8075),
    [sym__word_identifier] = ACTIONS(11629),
    [anon_sym_COMMA] = ACTIONS(11629),
    [anon_sym_EQ] = ACTIONS(11629),
    [anon_sym_begin] = ACTIONS(11629),
    [anon_sym_module] = ACTIONS(11629),
    [anon_sym_baremodule] = ACTIONS(11629),
    [anon_sym_end] = ACTIONS(11629),
    [anon_sym_abstract] = ACTIONS(11629),
    [anon_sym_primitive] = ACTIONS(11629),
    [anon_sym_mutable] = ACTIONS(11629),
    [anon_sym_struct] = ACTIONS(11629),
    [anon_sym_function] = ACTIONS(11629),
    [anon_sym_macro] = ACTIONS(11629),
    [anon_sym_quote] = ACTIONS(11629),
    [anon_sym_let] = ACTIONS(11629),
    [anon_sym_if] = ACTIONS(11629),
    [anon_sym_elseif] = ACTIONS(11629),
    [anon_sym_else] = ACTIONS(11629),
    [anon_sym_try] = ACTIONS(11629),
    [anon_sym_for] = ACTIONS(11629),
    [anon_sym_while] = ACTIONS(11629),
    [sym_break_statement] = ACTIONS(11629),
    [sym_continue_statement] = ACTIONS(11629),
    [anon_sym_return] = ACTIONS(11629),
    [anon_sym_const] = ACTIONS(11629),
    [anon_sym_global] = ACTIONS(11629),
    [anon_sym_local] = ACTIONS(11629),
    [anon_sym_LPAREN] = ACTIONS(11629),
    [anon_sym_COLON] = ACTIONS(11629),
    [anon_sym_export] = ACTIONS(11629),
    [anon_sym_public] = ACTIONS(11629),
    [anon_sym_import] = ACTIONS(11629),
    [anon_sym_using] = ACTIONS(11629),
    [anon_sym_LBRACK] = ACTIONS(11629),
    [anon_sym_in] = ACTIONS(11629),
    [anon_sym_SEMI] = ACTIONS(11629),
    [anon_sym_LBRACE] = ACTIONS(11629),
    [anon_sym_DOLLAR] = ACTIONS(11629),
    [anon_sym_COLON2] = ACTIONS(11629),
    [anon_sym_COLON_COLON] = ACTIONS(11629),
    [anon_sym_isa] = ACTIONS(11629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11629),
    [anon_sym_QMARK] = ACTIONS(11629),
    [anon_sym_where] = ACTIONS(11629),
    [anon_sym_AT] = ACTIONS(11629),
    [anon_sym_true] = ACTIONS(11629),
    [anon_sym_false] = ACTIONS(11629),
    [aux_sym_integer_literal_token1] = ACTIONS(11629),
    [aux_sym_integer_literal_token2] = ACTIONS(11629),
    [aux_sym_integer_literal_token3] = ACTIONS(11629),
    [aux_sym_integer_literal_token4] = ACTIONS(11629),
    [aux_sym_float_literal_token1] = ACTIONS(11629),
    [aux_sym_float_literal_token3] = ACTIONS(11629),
    [aux_sym_float_literal_token4] = ACTIONS(11629),
    [sym_character_literal] = ACTIONS(11629),
    [anon_sym_DQUOTE] = ACTIONS(11629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11629),
    [anon_sym_BQUOTE] = ACTIONS(11629),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11629),
    [sym__pair_operator] = ACTIONS(11629),
    [sym__arrow_operator] = ACTIONS(11629),
    [sym__lazy_or_operator] = ACTIONS(11629),
    [sym__lazy_and_operator] = ACTIONS(11629),
    [sym__comparison_operator] = ACTIONS(11629),
    [sym__pipe_right_operator] = ACTIONS(11629),
    [sym__pipe_left_operator] = ACTIONS(11629),
    [sym__ellipsis_operator] = ACTIONS(11629),
    [sym__plus_operator] = ACTIONS(11629),
    [sym__times_operator] = ACTIONS(11629),
    [sym__rational_operator] = ACTIONS(11629),
    [sym__bitshift_operator] = ACTIONS(11629),
    [sym__power_operator] = ACTIONS(11629),
    [sym__tilde_operator] = ACTIONS(11629),
    [sym__type_order_operator] = ACTIONS(11629),
    [sym__unary_operator] = ACTIONS(11629),
    [sym__unary_plus_operator] = ACTIONS(11629),
    [aux_sym__terminator_token1] = ACTIONS(11631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8076] = {
    [sym_block_comment] = STATE(8076),
    [sym_line_comment] = STATE(8076),
    [sym__word_identifier] = ACTIONS(11633),
    [anon_sym_COMMA] = ACTIONS(11633),
    [anon_sym_EQ] = ACTIONS(11633),
    [anon_sym_begin] = ACTIONS(11633),
    [anon_sym_module] = ACTIONS(11633),
    [anon_sym_baremodule] = ACTIONS(11633),
    [anon_sym_end] = ACTIONS(11633),
    [anon_sym_abstract] = ACTIONS(11633),
    [anon_sym_primitive] = ACTIONS(11633),
    [anon_sym_mutable] = ACTIONS(11633),
    [anon_sym_struct] = ACTIONS(11633),
    [anon_sym_function] = ACTIONS(11633),
    [anon_sym_macro] = ACTIONS(11633),
    [anon_sym_quote] = ACTIONS(11633),
    [anon_sym_let] = ACTIONS(11633),
    [anon_sym_if] = ACTIONS(11633),
    [anon_sym_elseif] = ACTIONS(11633),
    [anon_sym_else] = ACTIONS(11633),
    [anon_sym_try] = ACTIONS(11633),
    [anon_sym_for] = ACTIONS(11633),
    [anon_sym_while] = ACTIONS(11633),
    [sym_break_statement] = ACTIONS(11633),
    [sym_continue_statement] = ACTIONS(11633),
    [anon_sym_return] = ACTIONS(11633),
    [anon_sym_const] = ACTIONS(11633),
    [anon_sym_global] = ACTIONS(11633),
    [anon_sym_local] = ACTIONS(11633),
    [anon_sym_LPAREN] = ACTIONS(11633),
    [anon_sym_COLON] = ACTIONS(11633),
    [anon_sym_export] = ACTIONS(11633),
    [anon_sym_public] = ACTIONS(11633),
    [anon_sym_import] = ACTIONS(11633),
    [anon_sym_using] = ACTIONS(11633),
    [anon_sym_LBRACK] = ACTIONS(11633),
    [anon_sym_in] = ACTIONS(11633),
    [anon_sym_SEMI] = ACTIONS(11633),
    [anon_sym_LBRACE] = ACTIONS(11633),
    [anon_sym_DOLLAR] = ACTIONS(11633),
    [anon_sym_COLON2] = ACTIONS(11633),
    [anon_sym_COLON_COLON] = ACTIONS(11633),
    [anon_sym_isa] = ACTIONS(11633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11633),
    [anon_sym_QMARK] = ACTIONS(11633),
    [anon_sym_where] = ACTIONS(11633),
    [anon_sym_AT] = ACTIONS(11633),
    [anon_sym_true] = ACTIONS(11633),
    [anon_sym_false] = ACTIONS(11633),
    [aux_sym_integer_literal_token1] = ACTIONS(11633),
    [aux_sym_integer_literal_token2] = ACTIONS(11633),
    [aux_sym_integer_literal_token3] = ACTIONS(11633),
    [aux_sym_integer_literal_token4] = ACTIONS(11633),
    [aux_sym_float_literal_token1] = ACTIONS(11633),
    [aux_sym_float_literal_token3] = ACTIONS(11633),
    [aux_sym_float_literal_token4] = ACTIONS(11633),
    [sym_character_literal] = ACTIONS(11633),
    [anon_sym_DQUOTE] = ACTIONS(11633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11633),
    [anon_sym_BQUOTE] = ACTIONS(11633),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11633),
    [sym__pair_operator] = ACTIONS(11633),
    [sym__arrow_operator] = ACTIONS(11633),
    [sym__lazy_or_operator] = ACTIONS(11633),
    [sym__lazy_and_operator] = ACTIONS(11633),
    [sym__comparison_operator] = ACTIONS(11633),
    [sym__pipe_right_operator] = ACTIONS(11633),
    [sym__pipe_left_operator] = ACTIONS(11633),
    [sym__ellipsis_operator] = ACTIONS(11633),
    [sym__plus_operator] = ACTIONS(11633),
    [sym__times_operator] = ACTIONS(11633),
    [sym__rational_operator] = ACTIONS(11633),
    [sym__bitshift_operator] = ACTIONS(11633),
    [sym__power_operator] = ACTIONS(11633),
    [sym__tilde_operator] = ACTIONS(11633),
    [sym__type_order_operator] = ACTIONS(11633),
    [sym__unary_operator] = ACTIONS(11633),
    [sym__unary_plus_operator] = ACTIONS(11633),
    [aux_sym__terminator_token1] = ACTIONS(11635),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8077] = {
    [sym_block_comment] = STATE(8077),
    [sym_line_comment] = STATE(8077),
    [sym__word_identifier] = ACTIONS(11637),
    [anon_sym_COMMA] = ACTIONS(11637),
    [anon_sym_EQ] = ACTIONS(11637),
    [anon_sym_begin] = ACTIONS(11637),
    [anon_sym_module] = ACTIONS(11637),
    [anon_sym_baremodule] = ACTIONS(11637),
    [anon_sym_end] = ACTIONS(11637),
    [anon_sym_abstract] = ACTIONS(11637),
    [anon_sym_primitive] = ACTIONS(11637),
    [anon_sym_mutable] = ACTIONS(11637),
    [anon_sym_struct] = ACTIONS(11637),
    [anon_sym_function] = ACTIONS(11637),
    [anon_sym_macro] = ACTIONS(11637),
    [anon_sym_quote] = ACTIONS(11637),
    [anon_sym_let] = ACTIONS(11637),
    [anon_sym_if] = ACTIONS(11637),
    [anon_sym_elseif] = ACTIONS(11637),
    [anon_sym_else] = ACTIONS(11637),
    [anon_sym_try] = ACTIONS(11637),
    [anon_sym_for] = ACTIONS(11637),
    [anon_sym_while] = ACTIONS(11637),
    [sym_break_statement] = ACTIONS(11637),
    [sym_continue_statement] = ACTIONS(11637),
    [anon_sym_return] = ACTIONS(11637),
    [anon_sym_const] = ACTIONS(11637),
    [anon_sym_global] = ACTIONS(11637),
    [anon_sym_local] = ACTIONS(11637),
    [anon_sym_LPAREN] = ACTIONS(11637),
    [anon_sym_COLON] = ACTIONS(11637),
    [anon_sym_export] = ACTIONS(11637),
    [anon_sym_public] = ACTIONS(11637),
    [anon_sym_import] = ACTIONS(11637),
    [anon_sym_using] = ACTIONS(11637),
    [anon_sym_LBRACK] = ACTIONS(11637),
    [anon_sym_in] = ACTIONS(11637),
    [anon_sym_SEMI] = ACTIONS(11637),
    [anon_sym_LBRACE] = ACTIONS(11637),
    [anon_sym_DOLLAR] = ACTIONS(11637),
    [anon_sym_COLON2] = ACTIONS(11637),
    [anon_sym_COLON_COLON] = ACTIONS(11637),
    [anon_sym_isa] = ACTIONS(11637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11637),
    [anon_sym_QMARK] = ACTIONS(11637),
    [anon_sym_where] = ACTIONS(11637),
    [anon_sym_AT] = ACTIONS(11637),
    [anon_sym_true] = ACTIONS(11637),
    [anon_sym_false] = ACTIONS(11637),
    [aux_sym_integer_literal_token1] = ACTIONS(11637),
    [aux_sym_integer_literal_token2] = ACTIONS(11637),
    [aux_sym_integer_literal_token3] = ACTIONS(11637),
    [aux_sym_integer_literal_token4] = ACTIONS(11637),
    [aux_sym_float_literal_token1] = ACTIONS(11637),
    [aux_sym_float_literal_token3] = ACTIONS(11637),
    [aux_sym_float_literal_token4] = ACTIONS(11637),
    [sym_character_literal] = ACTIONS(11637),
    [anon_sym_DQUOTE] = ACTIONS(11637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11637),
    [anon_sym_BQUOTE] = ACTIONS(11637),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11637),
    [sym__pair_operator] = ACTIONS(11637),
    [sym__arrow_operator] = ACTIONS(11637),
    [sym__lazy_or_operator] = ACTIONS(11637),
    [sym__lazy_and_operator] = ACTIONS(11637),
    [sym__comparison_operator] = ACTIONS(11637),
    [sym__pipe_right_operator] = ACTIONS(11637),
    [sym__pipe_left_operator] = ACTIONS(11637),
    [sym__ellipsis_operator] = ACTIONS(11637),
    [sym__plus_operator] = ACTIONS(11637),
    [sym__times_operator] = ACTIONS(11637),
    [sym__rational_operator] = ACTIONS(11637),
    [sym__bitshift_operator] = ACTIONS(11637),
    [sym__power_operator] = ACTIONS(11637),
    [sym__tilde_operator] = ACTIONS(11637),
    [sym__type_order_operator] = ACTIONS(11637),
    [sym__unary_operator] = ACTIONS(11637),
    [sym__unary_plus_operator] = ACTIONS(11637),
    [aux_sym__terminator_token1] = ACTIONS(11639),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8078] = {
    [sym_block_comment] = STATE(8078),
    [sym_line_comment] = STATE(8078),
    [sym__word_identifier] = ACTIONS(11641),
    [anon_sym_COMMA] = ACTIONS(11641),
    [anon_sym_EQ] = ACTIONS(11641),
    [anon_sym_begin] = ACTIONS(11641),
    [anon_sym_module] = ACTIONS(11641),
    [anon_sym_baremodule] = ACTIONS(11641),
    [anon_sym_end] = ACTIONS(11641),
    [anon_sym_abstract] = ACTIONS(11641),
    [anon_sym_primitive] = ACTIONS(11641),
    [anon_sym_mutable] = ACTIONS(11641),
    [anon_sym_struct] = ACTIONS(11641),
    [anon_sym_function] = ACTIONS(11641),
    [anon_sym_macro] = ACTIONS(11641),
    [anon_sym_quote] = ACTIONS(11641),
    [anon_sym_let] = ACTIONS(11641),
    [anon_sym_if] = ACTIONS(11641),
    [anon_sym_elseif] = ACTIONS(11641),
    [anon_sym_else] = ACTIONS(11641),
    [anon_sym_try] = ACTIONS(11641),
    [anon_sym_for] = ACTIONS(11641),
    [anon_sym_while] = ACTIONS(11641),
    [sym_break_statement] = ACTIONS(11641),
    [sym_continue_statement] = ACTIONS(11641),
    [anon_sym_return] = ACTIONS(11641),
    [anon_sym_const] = ACTIONS(11641),
    [anon_sym_global] = ACTIONS(11641),
    [anon_sym_local] = ACTIONS(11641),
    [anon_sym_LPAREN] = ACTIONS(11641),
    [anon_sym_COLON] = ACTIONS(11641),
    [anon_sym_export] = ACTIONS(11641),
    [anon_sym_public] = ACTIONS(11641),
    [anon_sym_import] = ACTIONS(11641),
    [anon_sym_using] = ACTIONS(11641),
    [anon_sym_LBRACK] = ACTIONS(11641),
    [anon_sym_in] = ACTIONS(11641),
    [anon_sym_SEMI] = ACTIONS(11641),
    [anon_sym_LBRACE] = ACTIONS(11641),
    [anon_sym_DOLLAR] = ACTIONS(11641),
    [anon_sym_COLON2] = ACTIONS(11641),
    [anon_sym_COLON_COLON] = ACTIONS(11641),
    [anon_sym_isa] = ACTIONS(11641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11641),
    [anon_sym_QMARK] = ACTIONS(11641),
    [anon_sym_where] = ACTIONS(11641),
    [anon_sym_AT] = ACTIONS(11641),
    [anon_sym_true] = ACTIONS(11641),
    [anon_sym_false] = ACTIONS(11641),
    [aux_sym_integer_literal_token1] = ACTIONS(11641),
    [aux_sym_integer_literal_token2] = ACTIONS(11641),
    [aux_sym_integer_literal_token3] = ACTIONS(11641),
    [aux_sym_integer_literal_token4] = ACTIONS(11641),
    [aux_sym_float_literal_token1] = ACTIONS(11641),
    [aux_sym_float_literal_token3] = ACTIONS(11641),
    [aux_sym_float_literal_token4] = ACTIONS(11641),
    [sym_character_literal] = ACTIONS(11641),
    [anon_sym_DQUOTE] = ACTIONS(11641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11641),
    [anon_sym_BQUOTE] = ACTIONS(11641),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11641),
    [sym__pair_operator] = ACTIONS(11641),
    [sym__arrow_operator] = ACTIONS(11641),
    [sym__lazy_or_operator] = ACTIONS(11641),
    [sym__lazy_and_operator] = ACTIONS(11641),
    [sym__comparison_operator] = ACTIONS(11641),
    [sym__pipe_right_operator] = ACTIONS(11641),
    [sym__pipe_left_operator] = ACTIONS(11641),
    [sym__ellipsis_operator] = ACTIONS(11641),
    [sym__plus_operator] = ACTIONS(11641),
    [sym__times_operator] = ACTIONS(11641),
    [sym__rational_operator] = ACTIONS(11641),
    [sym__bitshift_operator] = ACTIONS(11641),
    [sym__power_operator] = ACTIONS(11641),
    [sym__tilde_operator] = ACTIONS(11641),
    [sym__type_order_operator] = ACTIONS(11641),
    [sym__unary_operator] = ACTIONS(11641),
    [sym__unary_plus_operator] = ACTIONS(11641),
    [aux_sym__terminator_token1] = ACTIONS(11643),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8079] = {
    [sym_block_comment] = STATE(8079),
    [sym_line_comment] = STATE(8079),
    [sym__word_identifier] = ACTIONS(11645),
    [anon_sym_COMMA] = ACTIONS(11645),
    [anon_sym_EQ] = ACTIONS(11645),
    [anon_sym_begin] = ACTIONS(11645),
    [anon_sym_module] = ACTIONS(11645),
    [anon_sym_baremodule] = ACTIONS(11645),
    [anon_sym_end] = ACTIONS(11645),
    [anon_sym_abstract] = ACTIONS(11645),
    [anon_sym_primitive] = ACTIONS(11645),
    [anon_sym_mutable] = ACTIONS(11645),
    [anon_sym_struct] = ACTIONS(11645),
    [anon_sym_function] = ACTIONS(11645),
    [anon_sym_macro] = ACTIONS(11645),
    [anon_sym_quote] = ACTIONS(11645),
    [anon_sym_let] = ACTIONS(11645),
    [anon_sym_if] = ACTIONS(11645),
    [anon_sym_elseif] = ACTIONS(11645),
    [anon_sym_else] = ACTIONS(11645),
    [anon_sym_try] = ACTIONS(11645),
    [anon_sym_for] = ACTIONS(11645),
    [anon_sym_while] = ACTIONS(11645),
    [sym_break_statement] = ACTIONS(11645),
    [sym_continue_statement] = ACTIONS(11645),
    [anon_sym_return] = ACTIONS(11645),
    [anon_sym_const] = ACTIONS(11645),
    [anon_sym_global] = ACTIONS(11645),
    [anon_sym_local] = ACTIONS(11645),
    [anon_sym_LPAREN] = ACTIONS(11645),
    [anon_sym_COLON] = ACTIONS(11645),
    [anon_sym_export] = ACTIONS(11645),
    [anon_sym_public] = ACTIONS(11645),
    [anon_sym_import] = ACTIONS(11645),
    [anon_sym_using] = ACTIONS(11645),
    [anon_sym_LBRACK] = ACTIONS(11645),
    [anon_sym_in] = ACTIONS(11645),
    [anon_sym_SEMI] = ACTIONS(11645),
    [anon_sym_LBRACE] = ACTIONS(11645),
    [anon_sym_DOLLAR] = ACTIONS(11645),
    [anon_sym_COLON2] = ACTIONS(11645),
    [anon_sym_COLON_COLON] = ACTIONS(11645),
    [anon_sym_isa] = ACTIONS(11645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11645),
    [anon_sym_QMARK] = ACTIONS(11645),
    [anon_sym_where] = ACTIONS(11645),
    [anon_sym_AT] = ACTIONS(11645),
    [anon_sym_true] = ACTIONS(11645),
    [anon_sym_false] = ACTIONS(11645),
    [aux_sym_integer_literal_token1] = ACTIONS(11645),
    [aux_sym_integer_literal_token2] = ACTIONS(11645),
    [aux_sym_integer_literal_token3] = ACTIONS(11645),
    [aux_sym_integer_literal_token4] = ACTIONS(11645),
    [aux_sym_float_literal_token1] = ACTIONS(11645),
    [aux_sym_float_literal_token3] = ACTIONS(11645),
    [aux_sym_float_literal_token4] = ACTIONS(11645),
    [sym_character_literal] = ACTIONS(11645),
    [anon_sym_DQUOTE] = ACTIONS(11645),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11645),
    [anon_sym_BQUOTE] = ACTIONS(11645),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11645),
    [sym__pair_operator] = ACTIONS(11645),
    [sym__arrow_operator] = ACTIONS(11645),
    [sym__lazy_or_operator] = ACTIONS(11645),
    [sym__lazy_and_operator] = ACTIONS(11645),
    [sym__comparison_operator] = ACTIONS(11645),
    [sym__pipe_right_operator] = ACTIONS(11645),
    [sym__pipe_left_operator] = ACTIONS(11645),
    [sym__ellipsis_operator] = ACTIONS(11645),
    [sym__plus_operator] = ACTIONS(11645),
    [sym__times_operator] = ACTIONS(11645),
    [sym__rational_operator] = ACTIONS(11645),
    [sym__bitshift_operator] = ACTIONS(11645),
    [sym__power_operator] = ACTIONS(11645),
    [sym__tilde_operator] = ACTIONS(11645),
    [sym__type_order_operator] = ACTIONS(11645),
    [sym__unary_operator] = ACTIONS(11645),
    [sym__unary_plus_operator] = ACTIONS(11645),
    [aux_sym__terminator_token1] = ACTIONS(11647),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8080] = {
    [sym__comprehension_clause] = STATE(19242),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8080),
    [sym_line_comment] = STATE(8080),
    [aux_sym_vector_expression_repeat1] = STATE(17994),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11864),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11866),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11871),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8081] = {
    [sym_block_comment] = STATE(8081),
    [sym_line_comment] = STATE(8081),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_finally] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8082] = {
    [sym_block_comment] = STATE(8082),
    [sym_line_comment] = STATE(8082),
    [aux_sym_open_tuple_repeat1] = STATE(7486),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11147),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_else] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_finally] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11874),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8083] = {
    [sym_block_comment] = STATE(8083),
    [sym_line_comment] = STATE(8083),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11876),
    [anon_sym_EQ] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_end] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_else] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_finally] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8084] = {
    [sym__comprehension_clause] = STATE(19416),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8084),
    [sym_line_comment] = STATE(8084),
    [aux_sym_vector_expression_repeat1] = STATE(18028),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11882),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11887),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8085] = {
    [sym_block_comment] = STATE(8085),
    [sym_line_comment] = STATE(8085),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_finally] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8086] = {
    [sym_block_comment] = STATE(8086),
    [sym_line_comment] = STATE(8086),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_finally] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8087] = {
    [sym_block_comment] = STATE(8087),
    [sym_line_comment] = STATE(8087),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_finally] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8088] = {
    [sym_block_comment] = STATE(8088),
    [sym_line_comment] = STATE(8088),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10231),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10231),
    [anon_sym_RPAREN] = ACTIONS(10231),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10231),
    [anon_sym_RBRACK] = ACTIONS(10231),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10231),
    [anon_sym_LBRACE] = ACTIONS(10231),
    [anon_sym_RBRACE] = ACTIONS(10231),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10231),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10231),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10231),
    [anon_sym_QMARK] = ACTIONS(10231),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10231),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10231),
    [aux_sym_integer_literal_token2] = ACTIONS(10231),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10231),
    [aux_sym_float_literal_token3] = ACTIONS(10231),
    [aux_sym_float_literal_token4] = ACTIONS(10231),
    [sym_character_literal] = ACTIONS(10231),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10231),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10231),
    [sym__pair_operator] = ACTIONS(10231),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10231),
    [sym__lazy_and_operator] = ACTIONS(10231),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10231),
    [sym__pipe_left_operator] = ACTIONS(10231),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10231),
    [sym__bitshift_operator] = ACTIONS(10231),
    [sym__power_operator] = ACTIONS(10231),
    [sym__tilde_operator] = ACTIONS(10231),
    [sym__type_order_operator] = ACTIONS(10231),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8089] = {
    [sym__comprehension_clause] = STATE(19646),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8089),
    [sym_line_comment] = STATE(8089),
    [aux_sym_vector_expression_repeat1] = STATE(18068),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11890),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11892),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11894),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11897),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8090] = {
    [sym_block_comment] = STATE(8090),
    [sym_line_comment] = STATE(8090),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9909),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9909),
    [sym__bitshift_operator] = ACTIONS(9909),
    [sym__power_operator] = ACTIONS(9909),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [8091] = {
    [sym_block_comment] = STATE(8091),
    [sym_line_comment] = STATE(8091),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9955),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8092] = {
    [sym__comprehension_clause] = STATE(19788),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8092),
    [sym_line_comment] = STATE(8092),
    [aux_sym_vector_expression_repeat1] = STATE(18101),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11902),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11904),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11907),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8093] = {
    [sym_block_comment] = STATE(8093),
    [sym_line_comment] = STATE(8093),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10167),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8094] = {
    [sym_block_comment] = STATE(8094),
    [sym_line_comment] = STATE(8094),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8095] = {
    [sym_block_comment] = STATE(8095),
    [sym_line_comment] = STATE(8095),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10265),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10265),
    [anon_sym_RPAREN] = ACTIONS(10265),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10265),
    [anon_sym_RBRACK] = ACTIONS(10265),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10265),
    [anon_sym_LBRACE] = ACTIONS(10265),
    [anon_sym_RBRACE] = ACTIONS(10265),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10265),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10265),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10265),
    [anon_sym_QMARK] = ACTIONS(10265),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10265),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10265),
    [aux_sym_integer_literal_token2] = ACTIONS(10265),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10265),
    [aux_sym_float_literal_token3] = ACTIONS(10265),
    [aux_sym_float_literal_token4] = ACTIONS(10265),
    [sym_character_literal] = ACTIONS(10265),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10265),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10265),
    [sym__pair_operator] = ACTIONS(10265),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10265),
    [sym__lazy_and_operator] = ACTIONS(10265),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10265),
    [sym__pipe_left_operator] = ACTIONS(10265),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10265),
    [sym__bitshift_operator] = ACTIONS(10265),
    [sym__power_operator] = ACTIONS(10265),
    [sym__tilde_operator] = ACTIONS(10265),
    [sym__type_order_operator] = ACTIONS(10265),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8096] = {
    [sym_block_comment] = STATE(8096),
    [sym_line_comment] = STATE(8096),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10341),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10341),
    [anon_sym_RPAREN] = ACTIONS(10341),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10341),
    [anon_sym_RBRACK] = ACTIONS(10341),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10341),
    [anon_sym_LBRACE] = ACTIONS(10341),
    [anon_sym_RBRACE] = ACTIONS(10341),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10341),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10341),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10341),
    [anon_sym_QMARK] = ACTIONS(10341),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10341),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10341),
    [aux_sym_integer_literal_token2] = ACTIONS(10341),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10341),
    [aux_sym_float_literal_token3] = ACTIONS(10341),
    [aux_sym_float_literal_token4] = ACTIONS(10341),
    [sym_character_literal] = ACTIONS(10341),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10341),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10341),
    [sym__pair_operator] = ACTIONS(10341),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10341),
    [sym__lazy_and_operator] = ACTIONS(10341),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10341),
    [sym__pipe_left_operator] = ACTIONS(10341),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10341),
    [sym__bitshift_operator] = ACTIONS(10341),
    [sym__power_operator] = ACTIONS(10341),
    [sym__tilde_operator] = ACTIONS(10341),
    [sym__type_order_operator] = ACTIONS(10341),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8097] = {
    [sym_block_comment] = STATE(8097),
    [sym_line_comment] = STATE(8097),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10373),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10373),
    [anon_sym_RPAREN] = ACTIONS(10373),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10373),
    [anon_sym_RBRACK] = ACTIONS(10373),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10373),
    [anon_sym_LBRACE] = ACTIONS(10373),
    [anon_sym_RBRACE] = ACTIONS(10373),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10373),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10373),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10373),
    [anon_sym_QMARK] = ACTIONS(10373),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10373),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10373),
    [aux_sym_integer_literal_token2] = ACTIONS(10373),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10373),
    [aux_sym_float_literal_token3] = ACTIONS(10373),
    [aux_sym_float_literal_token4] = ACTIONS(10373),
    [sym_character_literal] = ACTIONS(10373),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10373),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10373),
    [sym__pair_operator] = ACTIONS(10373),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10373),
    [sym__lazy_and_operator] = ACTIONS(10373),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10373),
    [sym__pipe_left_operator] = ACTIONS(10373),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10373),
    [sym__bitshift_operator] = ACTIONS(10373),
    [sym__power_operator] = ACTIONS(10373),
    [sym__tilde_operator] = ACTIONS(10373),
    [sym__type_order_operator] = ACTIONS(10373),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8098] = {
    [sym_block_comment] = STATE(8098),
    [sym_line_comment] = STATE(8098),
    [ts_builtin_sym_end] = ACTIONS(10870),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_RBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8099] = {
    [sym_block_comment] = STATE(8099),
    [sym_line_comment] = STATE(8099),
    [aux_sym__import_list_repeat1] = STATE(8650),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11910),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(11912),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11914),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8100] = {
    [sym__comprehension_clause] = STATE(19946),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8100),
    [sym_line_comment] = STATE(8100),
    [aux_sym_vector_expression_repeat1] = STATE(18134),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11916),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11918),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11920),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11923),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8101] = {
    [sym_block_comment] = STATE(8101),
    [sym_line_comment] = STATE(8101),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10982),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_end] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10982),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10982),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_SEMI] = ACTIONS(10982),
    [anon_sym_LBRACE] = ACTIONS(10982),
    [anon_sym_DOT] = ACTIONS(11862),
    [anon_sym_DOLLAR] = ACTIONS(10982),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10982),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10982),
    [anon_sym_QMARK] = ACTIONS(10982),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10982),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10982),
    [aux_sym_integer_literal_token2] = ACTIONS(10982),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10982),
    [aux_sym_float_literal_token3] = ACTIONS(10982),
    [aux_sym_float_literal_token4] = ACTIONS(10982),
    [sym_character_literal] = ACTIONS(10982),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10982),
    [sym__pair_operator] = ACTIONS(10982),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10982),
    [sym__lazy_and_operator] = ACTIONS(10982),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10982),
    [sym__pipe_left_operator] = ACTIONS(10982),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10982),
    [sym__bitshift_operator] = ACTIONS(10982),
    [sym__power_operator] = ACTIONS(10982),
    [sym__tilde_operator] = ACTIONS(10982),
    [sym__type_order_operator] = ACTIONS(10982),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym__terminator_token1] = ACTIONS(10986),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8102] = {
    [sym_block_comment] = STATE(8102),
    [sym_line_comment] = STATE(8102),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOT] = ACTIONS(11862),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8103] = {
    [sym_block_comment] = STATE(8103),
    [sym_line_comment] = STATE(8103),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_catch] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8104] = {
    [sym_block_comment] = STATE(8104),
    [sym_line_comment] = STATE(8104),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8105] = {
    [sym_block_comment] = STATE(8105),
    [sym_line_comment] = STATE(8105),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11230),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8106] = {
    [sym_block_comment] = STATE(8106),
    [sym_line_comment] = STATE(8106),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8107] = {
    [sym_block_comment] = STATE(8107),
    [sym_line_comment] = STATE(8107),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8108] = {
    [sym_block_comment] = STATE(8108),
    [sym_line_comment] = STATE(8108),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8109] = {
    [sym_block_comment] = STATE(8109),
    [sym_line_comment] = STATE(8109),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8110] = {
    [sym_block_comment] = STATE(8110),
    [sym_line_comment] = STATE(8110),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8111] = {
    [sym_block_comment] = STATE(8111),
    [sym_line_comment] = STATE(8111),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8112] = {
    [sym_block_comment] = STATE(8112),
    [sym_line_comment] = STATE(8112),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8113] = {
    [sym_block_comment] = STATE(8113),
    [sym_line_comment] = STATE(8113),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8114] = {
    [sym_block_comment] = STATE(8114),
    [sym_line_comment] = STATE(8114),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8115] = {
    [sym_block_comment] = STATE(8115),
    [sym_line_comment] = STATE(8115),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8116] = {
    [sym__comprehension_clause] = STATE(20175),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8116),
    [sym_line_comment] = STATE(8116),
    [aux_sym_vector_expression_repeat1] = STATE(18177),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11928),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11930),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11933),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8117] = {
    [sym__comprehension_clause] = STATE(18800),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8117),
    [sym_line_comment] = STATE(8117),
    [aux_sym_vector_expression_repeat1] = STATE(17646),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11936),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11938),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11940),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8118] = {
    [sym__comprehension_clause] = STATE(20306),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8118),
    [sym_line_comment] = STATE(8118),
    [aux_sym_vector_expression_repeat1] = STATE(17585),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11946),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11948),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11950),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11953),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8119] = {
    [sym_block_comment] = STATE(8119),
    [sym_line_comment] = STATE(8119),
    [aux_sym_export_statement_repeat1] = STATE(8143),
    [ts_builtin_sym_end] = ACTIONS(11288),
    [sym__word_identifier] = ACTIONS(11286),
    [anon_sym_COMMA] = ACTIONS(11756),
    [anon_sym_EQ] = ACTIONS(11286),
    [anon_sym_begin] = ACTIONS(11286),
    [anon_sym_module] = ACTIONS(11286),
    [anon_sym_baremodule] = ACTIONS(11286),
    [anon_sym_abstract] = ACTIONS(11286),
    [anon_sym_primitive] = ACTIONS(11286),
    [anon_sym_mutable] = ACTIONS(11286),
    [anon_sym_struct] = ACTIONS(11286),
    [anon_sym_function] = ACTIONS(11286),
    [anon_sym_macro] = ACTIONS(11286),
    [anon_sym_quote] = ACTIONS(11286),
    [anon_sym_let] = ACTIONS(11286),
    [anon_sym_if] = ACTIONS(11286),
    [anon_sym_try] = ACTIONS(11286),
    [anon_sym_for] = ACTIONS(11286),
    [anon_sym_while] = ACTIONS(11286),
    [sym_break_statement] = ACTIONS(11286),
    [sym_continue_statement] = ACTIONS(11286),
    [anon_sym_return] = ACTIONS(11286),
    [anon_sym_const] = ACTIONS(11286),
    [anon_sym_global] = ACTIONS(11286),
    [anon_sym_local] = ACTIONS(11286),
    [anon_sym_LPAREN] = ACTIONS(11286),
    [anon_sym_COLON] = ACTIONS(11286),
    [anon_sym_export] = ACTIONS(11286),
    [anon_sym_public] = ACTIONS(11286),
    [anon_sym_import] = ACTIONS(11286),
    [anon_sym_using] = ACTIONS(11286),
    [anon_sym_LBRACK] = ACTIONS(11286),
    [anon_sym_RBRACK] = ACTIONS(11286),
    [anon_sym_in] = ACTIONS(11286),
    [anon_sym_SEMI] = ACTIONS(11286),
    [anon_sym_LBRACE] = ACTIONS(11286),
    [anon_sym_DOLLAR] = ACTIONS(11286),
    [anon_sym_COLON2] = ACTIONS(11286),
    [anon_sym_COLON_COLON] = ACTIONS(11286),
    [anon_sym_isa] = ACTIONS(11286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11286),
    [anon_sym_QMARK] = ACTIONS(11286),
    [anon_sym_where] = ACTIONS(11286),
    [anon_sym_AT] = ACTIONS(11286),
    [anon_sym_true] = ACTIONS(11286),
    [anon_sym_false] = ACTIONS(11286),
    [aux_sym_integer_literal_token1] = ACTIONS(11286),
    [aux_sym_integer_literal_token2] = ACTIONS(11286),
    [aux_sym_integer_literal_token3] = ACTIONS(11286),
    [aux_sym_integer_literal_token4] = ACTIONS(11286),
    [aux_sym_float_literal_token1] = ACTIONS(11286),
    [aux_sym_float_literal_token3] = ACTIONS(11286),
    [aux_sym_float_literal_token4] = ACTIONS(11286),
    [sym_character_literal] = ACTIONS(11286),
    [anon_sym_DQUOTE] = ACTIONS(11286),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11286),
    [anon_sym_BQUOTE] = ACTIONS(11286),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11286),
    [sym__pair_operator] = ACTIONS(11286),
    [sym__arrow_operator] = ACTIONS(11286),
    [sym__lazy_or_operator] = ACTIONS(11286),
    [sym__lazy_and_operator] = ACTIONS(11286),
    [sym__comparison_operator] = ACTIONS(11286),
    [sym__pipe_right_operator] = ACTIONS(11286),
    [sym__pipe_left_operator] = ACTIONS(11286),
    [sym__ellipsis_operator] = ACTIONS(11286),
    [sym__plus_operator] = ACTIONS(11286),
    [sym__times_operator] = ACTIONS(11286),
    [sym__rational_operator] = ACTIONS(11286),
    [sym__bitshift_operator] = ACTIONS(11286),
    [sym__power_operator] = ACTIONS(11286),
    [sym__tilde_operator] = ACTIONS(11286),
    [sym__type_order_operator] = ACTIONS(11286),
    [sym__unary_operator] = ACTIONS(11286),
    [sym__unary_plus_operator] = ACTIONS(11286),
    [aux_sym__terminator_token1] = ACTIONS(11288),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8120] = {
    [sym_block_comment] = STATE(8120),
    [sym_line_comment] = STATE(8120),
    [aux_sym_export_statement_repeat1] = STATE(8143),
    [ts_builtin_sym_end] = ACTIONS(11292),
    [sym__word_identifier] = ACTIONS(11290),
    [anon_sym_COMMA] = ACTIONS(11756),
    [anon_sym_EQ] = ACTIONS(11290),
    [anon_sym_begin] = ACTIONS(11290),
    [anon_sym_module] = ACTIONS(11290),
    [anon_sym_baremodule] = ACTIONS(11290),
    [anon_sym_abstract] = ACTIONS(11290),
    [anon_sym_primitive] = ACTIONS(11290),
    [anon_sym_mutable] = ACTIONS(11290),
    [anon_sym_struct] = ACTIONS(11290),
    [anon_sym_function] = ACTIONS(11290),
    [anon_sym_macro] = ACTIONS(11290),
    [anon_sym_quote] = ACTIONS(11290),
    [anon_sym_let] = ACTIONS(11290),
    [anon_sym_if] = ACTIONS(11290),
    [anon_sym_try] = ACTIONS(11290),
    [anon_sym_for] = ACTIONS(11290),
    [anon_sym_while] = ACTIONS(11290),
    [sym_break_statement] = ACTIONS(11290),
    [sym_continue_statement] = ACTIONS(11290),
    [anon_sym_return] = ACTIONS(11290),
    [anon_sym_const] = ACTIONS(11290),
    [anon_sym_global] = ACTIONS(11290),
    [anon_sym_local] = ACTIONS(11290),
    [anon_sym_LPAREN] = ACTIONS(11290),
    [anon_sym_COLON] = ACTIONS(11290),
    [anon_sym_export] = ACTIONS(11290),
    [anon_sym_public] = ACTIONS(11290),
    [anon_sym_import] = ACTIONS(11290),
    [anon_sym_using] = ACTIONS(11290),
    [anon_sym_LBRACK] = ACTIONS(11290),
    [anon_sym_RBRACK] = ACTIONS(11290),
    [anon_sym_in] = ACTIONS(11290),
    [anon_sym_SEMI] = ACTIONS(11290),
    [anon_sym_LBRACE] = ACTIONS(11290),
    [anon_sym_DOLLAR] = ACTIONS(11290),
    [anon_sym_COLON2] = ACTIONS(11290),
    [anon_sym_COLON_COLON] = ACTIONS(11290),
    [anon_sym_isa] = ACTIONS(11290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11290),
    [anon_sym_QMARK] = ACTIONS(11290),
    [anon_sym_where] = ACTIONS(11290),
    [anon_sym_AT] = ACTIONS(11290),
    [anon_sym_true] = ACTIONS(11290),
    [anon_sym_false] = ACTIONS(11290),
    [aux_sym_integer_literal_token1] = ACTIONS(11290),
    [aux_sym_integer_literal_token2] = ACTIONS(11290),
    [aux_sym_integer_literal_token3] = ACTIONS(11290),
    [aux_sym_integer_literal_token4] = ACTIONS(11290),
    [aux_sym_float_literal_token1] = ACTIONS(11290),
    [aux_sym_float_literal_token3] = ACTIONS(11290),
    [aux_sym_float_literal_token4] = ACTIONS(11290),
    [sym_character_literal] = ACTIONS(11290),
    [anon_sym_DQUOTE] = ACTIONS(11290),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11290),
    [anon_sym_BQUOTE] = ACTIONS(11290),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11290),
    [sym__pair_operator] = ACTIONS(11290),
    [sym__arrow_operator] = ACTIONS(11290),
    [sym__lazy_or_operator] = ACTIONS(11290),
    [sym__lazy_and_operator] = ACTIONS(11290),
    [sym__comparison_operator] = ACTIONS(11290),
    [sym__pipe_right_operator] = ACTIONS(11290),
    [sym__pipe_left_operator] = ACTIONS(11290),
    [sym__ellipsis_operator] = ACTIONS(11290),
    [sym__plus_operator] = ACTIONS(11290),
    [sym__times_operator] = ACTIONS(11290),
    [sym__rational_operator] = ACTIONS(11290),
    [sym__bitshift_operator] = ACTIONS(11290),
    [sym__power_operator] = ACTIONS(11290),
    [sym__tilde_operator] = ACTIONS(11290),
    [sym__type_order_operator] = ACTIONS(11290),
    [sym__unary_operator] = ACTIONS(11290),
    [sym__unary_plus_operator] = ACTIONS(11290),
    [aux_sym__terminator_token1] = ACTIONS(11292),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8121] = {
    [sym_block_comment] = STATE(8121),
    [sym_line_comment] = STATE(8121),
    [aux_sym__import_list_repeat1] = STATE(8145),
    [ts_builtin_sym_end] = ACTIONS(11068),
    [sym__word_identifier] = ACTIONS(11066),
    [anon_sym_COMMA] = ACTIONS(11106),
    [anon_sym_EQ] = ACTIONS(11066),
    [anon_sym_begin] = ACTIONS(11066),
    [anon_sym_module] = ACTIONS(11066),
    [anon_sym_baremodule] = ACTIONS(11066),
    [anon_sym_abstract] = ACTIONS(11066),
    [anon_sym_primitive] = ACTIONS(11066),
    [anon_sym_mutable] = ACTIONS(11066),
    [anon_sym_struct] = ACTIONS(11066),
    [anon_sym_function] = ACTIONS(11066),
    [anon_sym_macro] = ACTIONS(11066),
    [anon_sym_quote] = ACTIONS(11066),
    [anon_sym_let] = ACTIONS(11066),
    [anon_sym_if] = ACTIONS(11066),
    [anon_sym_try] = ACTIONS(11066),
    [anon_sym_for] = ACTIONS(11066),
    [anon_sym_while] = ACTIONS(11066),
    [sym_break_statement] = ACTIONS(11066),
    [sym_continue_statement] = ACTIONS(11066),
    [anon_sym_return] = ACTIONS(11066),
    [anon_sym_const] = ACTIONS(11066),
    [anon_sym_global] = ACTIONS(11066),
    [anon_sym_local] = ACTIONS(11066),
    [anon_sym_LPAREN] = ACTIONS(11066),
    [anon_sym_COLON] = ACTIONS(11066),
    [anon_sym_export] = ACTIONS(11066),
    [anon_sym_public] = ACTIONS(11066),
    [anon_sym_import] = ACTIONS(11066),
    [anon_sym_using] = ACTIONS(11066),
    [anon_sym_LBRACK] = ACTIONS(11066),
    [anon_sym_RBRACK] = ACTIONS(11066),
    [anon_sym_in] = ACTIONS(11066),
    [anon_sym_SEMI] = ACTIONS(11066),
    [anon_sym_LBRACE] = ACTIONS(11066),
    [anon_sym_DOLLAR] = ACTIONS(11066),
    [anon_sym_COLON2] = ACTIONS(11066),
    [anon_sym_COLON_COLON] = ACTIONS(11066),
    [anon_sym_isa] = ACTIONS(11066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11066),
    [anon_sym_QMARK] = ACTIONS(11066),
    [anon_sym_where] = ACTIONS(11066),
    [anon_sym_AT] = ACTIONS(11066),
    [anon_sym_true] = ACTIONS(11066),
    [anon_sym_false] = ACTIONS(11066),
    [aux_sym_integer_literal_token1] = ACTIONS(11066),
    [aux_sym_integer_literal_token2] = ACTIONS(11066),
    [aux_sym_integer_literal_token3] = ACTIONS(11066),
    [aux_sym_integer_literal_token4] = ACTIONS(11066),
    [aux_sym_float_literal_token1] = ACTIONS(11066),
    [aux_sym_float_literal_token3] = ACTIONS(11066),
    [aux_sym_float_literal_token4] = ACTIONS(11066),
    [sym_character_literal] = ACTIONS(11066),
    [anon_sym_DQUOTE] = ACTIONS(11066),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11066),
    [anon_sym_BQUOTE] = ACTIONS(11066),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(11066),
    [sym__arrow_operator] = ACTIONS(11066),
    [sym__lazy_or_operator] = ACTIONS(11066),
    [sym__lazy_and_operator] = ACTIONS(11066),
    [sym__comparison_operator] = ACTIONS(11066),
    [sym__pipe_right_operator] = ACTIONS(11066),
    [sym__pipe_left_operator] = ACTIONS(11066),
    [sym__ellipsis_operator] = ACTIONS(11066),
    [sym__plus_operator] = ACTIONS(11066),
    [sym__times_operator] = ACTIONS(11066),
    [sym__rational_operator] = ACTIONS(11066),
    [sym__bitshift_operator] = ACTIONS(11066),
    [sym__power_operator] = ACTIONS(11066),
    [sym__tilde_operator] = ACTIONS(11066),
    [sym__type_order_operator] = ACTIONS(11066),
    [sym__unary_operator] = ACTIONS(11066),
    [sym__unary_plus_operator] = ACTIONS(11066),
    [aux_sym__terminator_token1] = ACTIONS(11068),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8122] = {
    [sym_block_comment] = STATE(8122),
    [sym_line_comment] = STATE(8122),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11096),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8123] = {
    [sym_block_comment] = STATE(8123),
    [sym_line_comment] = STATE(8123),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_catch] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8124] = {
    [sym__comprehension_clause] = STATE(19944),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8124),
    [sym_line_comment] = STATE(8124),
    [aux_sym_vector_expression_repeat1] = STATE(17875),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11956),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11958),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11963),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8125] = {
    [sym_block_comment] = STATE(8125),
    [sym_line_comment] = STATE(8125),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10443),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9973),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8126] = {
    [sym_block_comment] = STATE(8126),
    [sym_line_comment] = STATE(8126),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10197),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10203),
  },
  [8127] = {
    [sym_block_comment] = STATE(8127),
    [sym_line_comment] = STATE(8127),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_catch] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8128] = {
    [sym_block_comment] = STATE(8128),
    [sym_line_comment] = STATE(8128),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_catch] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8129] = {
    [sym_block_comment] = STATE(8129),
    [sym_line_comment] = STATE(8129),
    [ts_builtin_sym_end] = ACTIONS(10870),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_RBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(11966),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8130] = {
    [sym_block_comment] = STATE(8130),
    [sym_line_comment] = STATE(8130),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_catch] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8131] = {
    [sym__comprehension_clause] = STATE(19768),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8131),
    [sym_line_comment] = STATE(8131),
    [aux_sym_vector_expression_repeat1] = STATE(18095),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11968),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11970),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11972),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11975),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8132] = {
    [sym_block_comment] = STATE(8132),
    [sym_line_comment] = STATE(8132),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_catch] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8133] = {
    [sym_block_comment] = STATE(8133),
    [sym_line_comment] = STATE(8133),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10279),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10279),
    [anon_sym_RPAREN] = ACTIONS(10279),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10279),
    [anon_sym_RBRACK] = ACTIONS(10279),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10279),
    [anon_sym_LBRACE] = ACTIONS(10279),
    [anon_sym_RBRACE] = ACTIONS(10279),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10279),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10279),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10279),
    [anon_sym_QMARK] = ACTIONS(10279),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10279),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10279),
    [aux_sym_integer_literal_token2] = ACTIONS(10279),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10279),
    [aux_sym_float_literal_token3] = ACTIONS(10279),
    [aux_sym_float_literal_token4] = ACTIONS(10279),
    [sym_character_literal] = ACTIONS(10279),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10279),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10279),
    [sym__pair_operator] = ACTIONS(10279),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10279),
    [sym__lazy_and_operator] = ACTIONS(10279),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10279),
    [sym__pipe_left_operator] = ACTIONS(10279),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10279),
    [sym__bitshift_operator] = ACTIONS(10279),
    [sym__power_operator] = ACTIONS(10279),
    [sym__tilde_operator] = ACTIONS(10279),
    [sym__type_order_operator] = ACTIONS(10279),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8134] = {
    [sym_block_comment] = STATE(8134),
    [sym_line_comment] = STATE(8134),
    [aux_sym_open_tuple_repeat1] = STATE(8137),
    [sym__word_identifier] = ACTIONS(11126),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11126),
    [anon_sym_begin] = ACTIONS(11126),
    [anon_sym_module] = ACTIONS(11126),
    [anon_sym_baremodule] = ACTIONS(11126),
    [anon_sym_abstract] = ACTIONS(11126),
    [anon_sym_primitive] = ACTIONS(11126),
    [anon_sym_mutable] = ACTIONS(11126),
    [anon_sym_struct] = ACTIONS(11126),
    [anon_sym_function] = ACTIONS(11126),
    [anon_sym_macro] = ACTIONS(11126),
    [anon_sym_quote] = ACTIONS(11126),
    [anon_sym_let] = ACTIONS(11126),
    [anon_sym_if] = ACTIONS(11126),
    [anon_sym_try] = ACTIONS(11126),
    [anon_sym_catch] = ACTIONS(11126),
    [anon_sym_finally] = ACTIONS(11126),
    [anon_sym_for] = ACTIONS(11126),
    [anon_sym_while] = ACTIONS(11126),
    [sym_break_statement] = ACTIONS(11126),
    [sym_continue_statement] = ACTIONS(11126),
    [anon_sym_return] = ACTIONS(11126),
    [anon_sym_const] = ACTIONS(11126),
    [anon_sym_global] = ACTIONS(11126),
    [anon_sym_local] = ACTIONS(11126),
    [anon_sym_LPAREN] = ACTIONS(11126),
    [anon_sym_COLON] = ACTIONS(11126),
    [anon_sym_export] = ACTIONS(11126),
    [anon_sym_public] = ACTIONS(11126),
    [anon_sym_import] = ACTIONS(11126),
    [anon_sym_using] = ACTIONS(11126),
    [anon_sym_LBRACK] = ACTIONS(11126),
    [anon_sym_in] = ACTIONS(11126),
    [anon_sym_SEMI] = ACTIONS(11126),
    [anon_sym_LBRACE] = ACTIONS(11126),
    [anon_sym_DOLLAR] = ACTIONS(11126),
    [anon_sym_COLON2] = ACTIONS(11126),
    [anon_sym_COLON_COLON] = ACTIONS(11126),
    [anon_sym_isa] = ACTIONS(11126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11126),
    [anon_sym_QMARK] = ACTIONS(11126),
    [anon_sym_where] = ACTIONS(11126),
    [anon_sym_AT] = ACTIONS(11126),
    [anon_sym_true] = ACTIONS(11126),
    [anon_sym_false] = ACTIONS(11126),
    [aux_sym_integer_literal_token1] = ACTIONS(11126),
    [aux_sym_integer_literal_token2] = ACTIONS(11126),
    [aux_sym_integer_literal_token3] = ACTIONS(11126),
    [aux_sym_integer_literal_token4] = ACTIONS(11126),
    [aux_sym_float_literal_token1] = ACTIONS(11126),
    [aux_sym_float_literal_token3] = ACTIONS(11126),
    [aux_sym_float_literal_token4] = ACTIONS(11126),
    [sym_character_literal] = ACTIONS(11126),
    [anon_sym_DQUOTE] = ACTIONS(11126),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11126),
    [anon_sym_BQUOTE] = ACTIONS(11126),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11126),
    [sym__pair_operator] = ACTIONS(11126),
    [sym__arrow_operator] = ACTIONS(11126),
    [sym__lazy_or_operator] = ACTIONS(11126),
    [sym__lazy_and_operator] = ACTIONS(11126),
    [sym__comparison_operator] = ACTIONS(11126),
    [sym__pipe_right_operator] = ACTIONS(11126),
    [sym__pipe_left_operator] = ACTIONS(11126),
    [sym__ellipsis_operator] = ACTIONS(11126),
    [sym__plus_operator] = ACTIONS(11126),
    [sym__times_operator] = ACTIONS(11126),
    [sym__rational_operator] = ACTIONS(11126),
    [sym__bitshift_operator] = ACTIONS(11126),
    [sym__power_operator] = ACTIONS(11126),
    [sym__tilde_operator] = ACTIONS(11126),
    [sym__type_order_operator] = ACTIONS(11126),
    [sym__unary_operator] = ACTIONS(11126),
    [sym__unary_plus_operator] = ACTIONS(11126),
    [aux_sym__terminator_token1] = ACTIONS(11130),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8135] = {
    [sym_block_comment] = STATE(8135),
    [sym_line_comment] = STATE(8135),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_catch] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8136] = {
    [sym__comprehension_clause] = STATE(18857),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8136),
    [sym_line_comment] = STATE(8136),
    [aux_sym_vector_expression_repeat1] = STATE(17919),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11980),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11982),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11984),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11987),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8137] = {
    [sym_block_comment] = STATE(8137),
    [sym_line_comment] = STATE(8137),
    [aux_sym_open_tuple_repeat1] = STATE(8137),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(11990),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_catch] = ACTIONS(11134),
    [anon_sym_finally] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11134),
    [anon_sym_COLON] = ACTIONS(11134),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11134),
    [anon_sym_in] = ACTIONS(11134),
    [anon_sym_SEMI] = ACTIONS(11134),
    [anon_sym_LBRACE] = ACTIONS(11134),
    [anon_sym_DOLLAR] = ACTIONS(11134),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(11134),
    [anon_sym_isa] = ACTIONS(11134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_QMARK] = ACTIONS(11134),
    [anon_sym_where] = ACTIONS(11134),
    [anon_sym_AT] = ACTIONS(11134),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11134),
    [aux_sym_integer_literal_token2] = ACTIONS(11134),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11134),
    [aux_sym_float_literal_token3] = ACTIONS(11134),
    [aux_sym_float_literal_token4] = ACTIONS(11134),
    [sym_character_literal] = ACTIONS(11134),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11134),
    [sym__pair_operator] = ACTIONS(11134),
    [sym__arrow_operator] = ACTIONS(11134),
    [sym__lazy_or_operator] = ACTIONS(11134),
    [sym__lazy_and_operator] = ACTIONS(11134),
    [sym__comparison_operator] = ACTIONS(11134),
    [sym__pipe_right_operator] = ACTIONS(11134),
    [sym__pipe_left_operator] = ACTIONS(11134),
    [sym__ellipsis_operator] = ACTIONS(11134),
    [sym__plus_operator] = ACTIONS(11134),
    [sym__times_operator] = ACTIONS(11134),
    [sym__rational_operator] = ACTIONS(11134),
    [sym__bitshift_operator] = ACTIONS(11134),
    [sym__power_operator] = ACTIONS(11134),
    [sym__tilde_operator] = ACTIONS(11134),
    [sym__type_order_operator] = ACTIONS(11134),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(11134),
    [aux_sym__terminator_token1] = ACTIONS(11139),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8138] = {
    [sym_block_comment] = STATE(8138),
    [sym_line_comment] = STATE(8138),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11102),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_end] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_catch] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_as] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11102),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11102),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_SEMI] = ACTIONS(11102),
    [anon_sym_LBRACE] = ACTIONS(11102),
    [anon_sym_DOLLAR] = ACTIONS(11102),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11102),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11102),
    [anon_sym_QMARK] = ACTIONS(11102),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11102),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11102),
    [aux_sym_integer_literal_token2] = ACTIONS(11102),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11102),
    [aux_sym_float_literal_token3] = ACTIONS(11102),
    [aux_sym_float_literal_token4] = ACTIONS(11102),
    [sym_character_literal] = ACTIONS(11102),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(11102),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11102),
    [sym__lazy_and_operator] = ACTIONS(11102),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11102),
    [sym__pipe_left_operator] = ACTIONS(11102),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11102),
    [sym__bitshift_operator] = ACTIONS(11102),
    [sym__power_operator] = ACTIONS(11102),
    [sym__tilde_operator] = ACTIONS(11102),
    [sym__type_order_operator] = ACTIONS(11102),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym__terminator_token1] = ACTIONS(11104),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8139] = {
    [sym__comprehension_clause] = STATE(20126),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8139),
    [sym_line_comment] = STATE(8139),
    [aux_sym_vector_expression_repeat1] = STATE(18171),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11993),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11995),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11997),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12000),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8140] = {
    [sym__comprehension_clause] = STATE(19526),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8140),
    [sym_line_comment] = STATE(8140),
    [aux_sym_vector_expression_repeat1] = STATE(17749),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12003),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12005),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12007),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12010),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8141] = {
    [sym_block_comment] = STATE(8141),
    [sym_line_comment] = STATE(8141),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_catch] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8142] = {
    [sym_block_comment] = STATE(8142),
    [sym_line_comment] = STATE(8142),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_catch] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8143] = {
    [sym_block_comment] = STATE(8143),
    [sym_line_comment] = STATE(8143),
    [aux_sym_export_statement_repeat1] = STATE(8143),
    [ts_builtin_sym_end] = ACTIONS(11154),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(12013),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11149),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11149),
    [anon_sym_RBRACK] = ACTIONS(11149),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_SEMI] = ACTIONS(11149),
    [anon_sym_LBRACE] = ACTIONS(11149),
    [anon_sym_DOLLAR] = ACTIONS(11149),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11149),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11149),
    [anon_sym_QMARK] = ACTIONS(11149),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11149),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11149),
    [aux_sym_integer_literal_token2] = ACTIONS(11149),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11149),
    [aux_sym_float_literal_token3] = ACTIONS(11149),
    [aux_sym_float_literal_token4] = ACTIONS(11149),
    [sym_character_literal] = ACTIONS(11149),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11149),
    [sym__pair_operator] = ACTIONS(11149),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11149),
    [sym__lazy_and_operator] = ACTIONS(11149),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11149),
    [sym__pipe_left_operator] = ACTIONS(11149),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11149),
    [sym__bitshift_operator] = ACTIONS(11149),
    [sym__power_operator] = ACTIONS(11149),
    [sym__tilde_operator] = ACTIONS(11149),
    [sym__type_order_operator] = ACTIONS(11149),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym__terminator_token1] = ACTIONS(11154),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8144] = {
    [sym_block_comment] = STATE(8144),
    [sym_line_comment] = STATE(8144),
    [aux_sym_open_tuple_repeat1] = STATE(7486),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11147),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_else] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_finally] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11874),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8145] = {
    [sym_block_comment] = STATE(8145),
    [sym_line_comment] = STATE(8145),
    [aux_sym__import_list_repeat1] = STATE(8145),
    [ts_builtin_sym_end] = ACTIONS(11161),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(12016),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_RBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8146] = {
    [sym_block_comment] = STATE(8146),
    [sym_line_comment] = STATE(8146),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10257),
  },
  [8147] = {
    [sym_block_comment] = STATE(8147),
    [sym_line_comment] = STATE(8147),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10271),
  },
  [8148] = {
    [sym__comprehension_clause] = STATE(19067),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8148),
    [sym_line_comment] = STATE(8148),
    [aux_sym_vector_expression_repeat1] = STATE(17956),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12019),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12021),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12023),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8149] = {
    [sym_block_comment] = STATE(8149),
    [sym_line_comment] = STATE(8149),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_catch] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8150] = {
    [sym_block_comment] = STATE(8150),
    [sym_line_comment] = STATE(8150),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_catch] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8151] = {
    [sym_block_comment] = STATE(8151),
    [sym_line_comment] = STATE(8151),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_catch] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8152] = {
    [sym_block_comment] = STATE(8152),
    [sym_line_comment] = STATE(8152),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10870),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10870),
    [anon_sym_RPAREN] = ACTIONS(10870),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10870),
    [anon_sym_RBRACK] = ACTIONS(10870),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10870),
    [anon_sym_LBRACE] = ACTIONS(10870),
    [anon_sym_RBRACE] = ACTIONS(10870),
    [anon_sym_DOLLAR] = ACTIONS(10870),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10870),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10870),
    [anon_sym_QMARK] = ACTIONS(10870),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10870),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10870),
    [aux_sym_integer_literal_token2] = ACTIONS(10870),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10870),
    [aux_sym_float_literal_token3] = ACTIONS(10870),
    [aux_sym_float_literal_token4] = ACTIONS(10870),
    [sym_character_literal] = ACTIONS(10870),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10870),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10870),
    [sym__pair_operator] = ACTIONS(10870),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10870),
    [sym__lazy_and_operator] = ACTIONS(10870),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10870),
    [sym__pipe_left_operator] = ACTIONS(10870),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10870),
    [sym__bitshift_operator] = ACTIONS(10870),
    [sym__power_operator] = ACTIONS(10870),
    [sym__tilde_operator] = ACTIONS(10870),
    [sym__type_order_operator] = ACTIONS(10870),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8153] = {
    [sym_block_comment] = STATE(8153),
    [sym_line_comment] = STATE(8153),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(10151),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_elseif] = ACTIONS(11212),
    [anon_sym_else] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8154] = {
    [sym_block_comment] = STATE(8154),
    [sym_line_comment] = STATE(8154),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_elseif] = ACTIONS(11212),
    [anon_sym_else] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8155] = {
    [sym_block_comment] = STATE(8155),
    [sym_line_comment] = STATE(8155),
    [aux_sym_open_tuple_repeat1] = STATE(7406),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11128),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_elseif] = ACTIONS(11212),
    [anon_sym_else] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11356),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8156] = {
    [sym_block_comment] = STATE(8156),
    [sym_line_comment] = STATE(8156),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_catch] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8157] = {
    [sym__comprehension_clause] = STATE(19779),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8157),
    [sym_line_comment] = STATE(8157),
    [aux_sym_vector_expression_repeat1] = STATE(18098),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12029),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12031),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12033),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12036),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8158] = {
    [sym_block_comment] = STATE(8158),
    [sym_line_comment] = STATE(8158),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_catch] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8159] = {
    [sym_block_comment] = STATE(8159),
    [sym_line_comment] = STATE(8159),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_catch] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8160] = {
    [sym_block_comment] = STATE(8160),
    [sym_line_comment] = STATE(8160),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_catch] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8161] = {
    [sym_block_comment] = STATE(8161),
    [sym_line_comment] = STATE(8161),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_catch] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8162] = {
    [sym__comprehension_clause] = STATE(20287),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8162),
    [sym_line_comment] = STATE(8162),
    [aux_sym_vector_expression_repeat1] = STATE(18204),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12039),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12041),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12043),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12046),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8163] = {
    [sym_block_comment] = STATE(8163),
    [sym_line_comment] = STATE(8163),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_catch] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8164] = {
    [sym__comprehension_clause] = STATE(19151),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8164),
    [sym_line_comment] = STATE(8164),
    [aux_sym_vector_expression_repeat1] = STATE(17668),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12049),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12051),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12053),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12056),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8165] = {
    [sym_block_comment] = STATE(8165),
    [sym_line_comment] = STATE(8165),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8166] = {
    [sym_block_comment] = STATE(8166),
    [sym_line_comment] = STATE(8166),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_finally] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11092),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8167] = {
    [sym_block_comment] = STATE(8167),
    [sym_line_comment] = STATE(8167),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_catch] = ACTIONS(10363),
    [anon_sym_finally] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8168] = {
    [sym_block_comment] = STATE(8168),
    [sym_line_comment] = STATE(8168),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_catch] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8169] = {
    [sym_block_comment] = STATE(8169),
    [sym_line_comment] = STATE(8169),
    [sym__word_identifier] = ACTIONS(11048),
    [anon_sym_COMMA] = ACTIONS(11048),
    [anon_sym_EQ] = ACTIONS(11048),
    [anon_sym_begin] = ACTIONS(11048),
    [anon_sym_module] = ACTIONS(11048),
    [anon_sym_baremodule] = ACTIONS(11048),
    [anon_sym_end] = ACTIONS(11048),
    [anon_sym_abstract] = ACTIONS(11048),
    [anon_sym_primitive] = ACTIONS(11048),
    [anon_sym_mutable] = ACTIONS(11048),
    [anon_sym_struct] = ACTIONS(11048),
    [anon_sym_function] = ACTIONS(11048),
    [anon_sym_macro] = ACTIONS(11048),
    [anon_sym_quote] = ACTIONS(11048),
    [anon_sym_let] = ACTIONS(11048),
    [anon_sym_if] = ACTIONS(11048),
    [anon_sym_try] = ACTIONS(11048),
    [anon_sym_for] = ACTIONS(11048),
    [anon_sym_while] = ACTIONS(11048),
    [sym_break_statement] = ACTIONS(11048),
    [sym_continue_statement] = ACTIONS(11048),
    [anon_sym_return] = ACTIONS(11048),
    [anon_sym_const] = ACTIONS(11048),
    [anon_sym_global] = ACTIONS(11048),
    [anon_sym_local] = ACTIONS(11048),
    [anon_sym_as] = ACTIONS(11048),
    [anon_sym_LPAREN] = ACTIONS(11048),
    [anon_sym_COLON] = ACTIONS(11048),
    [anon_sym_export] = ACTIONS(11048),
    [anon_sym_public] = ACTIONS(11048),
    [anon_sym_import] = ACTIONS(11048),
    [anon_sym_using] = ACTIONS(11048),
    [anon_sym_LBRACK] = ACTIONS(11048),
    [anon_sym_in] = ACTIONS(11048),
    [anon_sym_SEMI] = ACTIONS(11048),
    [anon_sym_LBRACE] = ACTIONS(11048),
    [anon_sym_DOT] = ACTIONS(11862),
    [anon_sym_DOLLAR] = ACTIONS(11048),
    [anon_sym_COLON2] = ACTIONS(11048),
    [anon_sym_COLON_COLON] = ACTIONS(11048),
    [anon_sym_isa] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11048),
    [anon_sym_QMARK] = ACTIONS(11048),
    [anon_sym_where] = ACTIONS(11048),
    [anon_sym_AT] = ACTIONS(11048),
    [anon_sym_true] = ACTIONS(11048),
    [anon_sym_false] = ACTIONS(11048),
    [aux_sym_integer_literal_token1] = ACTIONS(11048),
    [aux_sym_integer_literal_token2] = ACTIONS(11048),
    [aux_sym_integer_literal_token3] = ACTIONS(11048),
    [aux_sym_integer_literal_token4] = ACTIONS(11048),
    [aux_sym_float_literal_token1] = ACTIONS(11048),
    [aux_sym_float_literal_token3] = ACTIONS(11048),
    [aux_sym_float_literal_token4] = ACTIONS(11048),
    [sym_character_literal] = ACTIONS(11048),
    [anon_sym_DQUOTE] = ACTIONS(11048),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11048),
    [anon_sym_BQUOTE] = ACTIONS(11048),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11048),
    [sym__pair_operator] = ACTIONS(11048),
    [sym__arrow_operator] = ACTIONS(11048),
    [sym__lazy_or_operator] = ACTIONS(11048),
    [sym__lazy_and_operator] = ACTIONS(11048),
    [sym__comparison_operator] = ACTIONS(11048),
    [sym__pipe_right_operator] = ACTIONS(11048),
    [sym__pipe_left_operator] = ACTIONS(11048),
    [sym__ellipsis_operator] = ACTIONS(11048),
    [sym__plus_operator] = ACTIONS(11048),
    [sym__times_operator] = ACTIONS(11048),
    [sym__rational_operator] = ACTIONS(11048),
    [sym__bitshift_operator] = ACTIONS(11048),
    [sym__power_operator] = ACTIONS(11048),
    [sym__tilde_operator] = ACTIONS(11048),
    [sym__type_order_operator] = ACTIONS(11048),
    [sym__unary_operator] = ACTIONS(11048),
    [sym__unary_plus_operator] = ACTIONS(11048),
    [aux_sym__terminator_token1] = ACTIONS(11050),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8170] = {
    [sym_block_comment] = STATE(8170),
    [sym_line_comment] = STATE(8170),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10155),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8171] = {
    [sym__comprehension_clause] = STATE(19625),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8171),
    [sym_line_comment] = STATE(8171),
    [aux_sym_vector_expression_repeat1] = STATE(17752),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12059),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12061),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12063),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12066),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8172] = {
    [sym_block_comment] = STATE(8172),
    [sym_line_comment] = STATE(8172),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10411),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10411),
    [anon_sym_RPAREN] = ACTIONS(10411),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10411),
    [anon_sym_RBRACK] = ACTIONS(10411),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10411),
    [anon_sym_LBRACE] = ACTIONS(10411),
    [anon_sym_RBRACE] = ACTIONS(10411),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10411),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10411),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10411),
    [anon_sym_QMARK] = ACTIONS(10411),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10411),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10411),
    [aux_sym_integer_literal_token2] = ACTIONS(10411),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10411),
    [aux_sym_float_literal_token3] = ACTIONS(10411),
    [aux_sym_float_literal_token4] = ACTIONS(10411),
    [sym_character_literal] = ACTIONS(10411),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10411),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10411),
    [sym__pair_operator] = ACTIONS(10411),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10411),
    [sym__lazy_and_operator] = ACTIONS(10411),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10411),
    [sym__pipe_left_operator] = ACTIONS(10411),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10411),
    [sym__bitshift_operator] = ACTIONS(10411),
    [sym__power_operator] = ACTIONS(10411),
    [sym__tilde_operator] = ACTIONS(10411),
    [sym__type_order_operator] = ACTIONS(10411),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8173] = {
    [sym_block_comment] = STATE(8173),
    [sym_line_comment] = STATE(8173),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8174] = {
    [sym_block_comment] = STATE(8174),
    [sym_line_comment] = STATE(8174),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9955),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8175] = {
    [sym_block_comment] = STATE(8175),
    [sym_line_comment] = STATE(8175),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10219),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10219),
    [anon_sym_RPAREN] = ACTIONS(10219),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10219),
    [anon_sym_RBRACK] = ACTIONS(10219),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10219),
    [anon_sym_LBRACE] = ACTIONS(10219),
    [anon_sym_RBRACE] = ACTIONS(10219),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10219),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10219),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10219),
    [anon_sym_QMARK] = ACTIONS(10219),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10219),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10219),
    [aux_sym_integer_literal_token2] = ACTIONS(10219),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10219),
    [aux_sym_float_literal_token3] = ACTIONS(10219),
    [aux_sym_float_literal_token4] = ACTIONS(10219),
    [sym_character_literal] = ACTIONS(10219),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10219),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10219),
    [sym__pair_operator] = ACTIONS(10219),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10219),
    [sym__lazy_and_operator] = ACTIONS(10219),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10219),
    [sym__pipe_left_operator] = ACTIONS(10219),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10219),
    [sym__bitshift_operator] = ACTIONS(10219),
    [sym__power_operator] = ACTIONS(10219),
    [sym__tilde_operator] = ACTIONS(10219),
    [sym__type_order_operator] = ACTIONS(10219),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8176] = {
    [sym_block_comment] = STATE(8176),
    [sym_line_comment] = STATE(8176),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_finally] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8177] = {
    [sym_block_comment] = STATE(8177),
    [sym_line_comment] = STATE(8177),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8178] = {
    [sym_block_comment] = STATE(8178),
    [sym_line_comment] = STATE(8178),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_catch] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8179] = {
    [sym_block_comment] = STATE(8179),
    [sym_line_comment] = STATE(8179),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10870),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10870),
    [anon_sym_RPAREN] = ACTIONS(10870),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10870),
    [anon_sym_RBRACK] = ACTIONS(10870),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10870),
    [anon_sym_LBRACE] = ACTIONS(10870),
    [anon_sym_RBRACE] = ACTIONS(10870),
    [anon_sym_DOT] = ACTIONS(12069),
    [anon_sym_DOLLAR] = ACTIONS(10870),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10870),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10870),
    [anon_sym_QMARK] = ACTIONS(10870),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10870),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10870),
    [aux_sym_integer_literal_token2] = ACTIONS(10870),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10870),
    [aux_sym_float_literal_token3] = ACTIONS(10870),
    [aux_sym_float_literal_token4] = ACTIONS(10870),
    [sym_character_literal] = ACTIONS(10870),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10870),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10870),
    [sym__pair_operator] = ACTIONS(10870),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10870),
    [sym__lazy_and_operator] = ACTIONS(10870),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10870),
    [sym__pipe_left_operator] = ACTIONS(10870),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10870),
    [sym__bitshift_operator] = ACTIONS(10870),
    [sym__power_operator] = ACTIONS(10870),
    [sym__tilde_operator] = ACTIONS(10870),
    [sym__type_order_operator] = ACTIONS(10870),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8180] = {
    [sym_block_comment] = STATE(8180),
    [sym_line_comment] = STATE(8180),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_catch] = ACTIONS(10375),
    [anon_sym_finally] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8181] = {
    [sym_block_comment] = STATE(8181),
    [sym_line_comment] = STATE(8181),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_catch] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8182] = {
    [sym__comprehension_clause] = STATE(19817),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8182),
    [sym_line_comment] = STATE(8182),
    [aux_sym_vector_expression_repeat1] = STATE(17858),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12071),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12073),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12075),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12078),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8183] = {
    [sym_block_comment] = STATE(8183),
    [sym_line_comment] = STATE(8183),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(11378),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8184] = {
    [sym_block_comment] = STATE(8184),
    [sym_line_comment] = STATE(8184),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_catch] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8185] = {
    [sym_block_comment] = STATE(8185),
    [sym_line_comment] = STATE(8185),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_catch] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8186] = {
    [sym_block_comment] = STATE(8186),
    [sym_line_comment] = STATE(8186),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_catch] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8187] = {
    [sym__comprehension_clause] = STATE(18836),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8187),
    [sym_line_comment] = STATE(8187),
    [aux_sym_vector_expression_repeat1] = STATE(17907),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12081),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12083),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12085),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8188] = {
    [sym__comprehension_clause] = STATE(19077),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8188),
    [sym_line_comment] = STATE(8188),
    [aux_sym_vector_expression_repeat1] = STATE(17958),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12091),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12093),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12095),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12098),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8189] = {
    [sym_block_comment] = STATE(8189),
    [sym_line_comment] = STATE(8189),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11102),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_end] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_finally] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_as] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11102),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11102),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_SEMI] = ACTIONS(11102),
    [anon_sym_LBRACE] = ACTIONS(11102),
    [anon_sym_DOLLAR] = ACTIONS(11102),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11102),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11102),
    [anon_sym_QMARK] = ACTIONS(11102),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11102),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11102),
    [aux_sym_integer_literal_token2] = ACTIONS(11102),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11102),
    [aux_sym_float_literal_token3] = ACTIONS(11102),
    [aux_sym_float_literal_token4] = ACTIONS(11102),
    [sym_character_literal] = ACTIONS(11102),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(11102),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11102),
    [sym__lazy_and_operator] = ACTIONS(11102),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11102),
    [sym__pipe_left_operator] = ACTIONS(11102),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11102),
    [sym__bitshift_operator] = ACTIONS(11102),
    [sym__power_operator] = ACTIONS(11102),
    [sym__tilde_operator] = ACTIONS(11102),
    [sym__type_order_operator] = ACTIONS(11102),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym__terminator_token1] = ACTIONS(11104),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8190] = {
    [sym__comprehension_clause] = STATE(19358),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8190),
    [sym_line_comment] = STATE(8190),
    [aux_sym_vector_expression_repeat1] = STATE(18017),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12101),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12103),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12105),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12108),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8191] = {
    [sym_block_comment] = STATE(8191),
    [sym_line_comment] = STATE(8191),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_else] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_finally] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11874),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8192] = {
    [sym__comprehension_clause] = STATE(19532),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8192),
    [sym_line_comment] = STATE(8192),
    [aux_sym_vector_expression_repeat1] = STATE(18050),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12111),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12113),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12115),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12118),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8193] = {
    [sym__comprehension_clause] = STATE(19746),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8193),
    [sym_line_comment] = STATE(8193),
    [aux_sym_vector_expression_repeat1] = STATE(18089),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12121),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12123),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12125),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12128),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8194] = {
    [sym_block_comment] = STATE(8194),
    [sym_line_comment] = STATE(8194),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_catch] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8195] = {
    [sym_block_comment] = STATE(8195),
    [sym_line_comment] = STATE(8195),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_catch] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8196] = {
    [sym_block_comment] = STATE(8196),
    [sym_line_comment] = STATE(8196),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_DASH_GT] = ACTIONS(9957),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8197] = {
    [sym_block_comment] = STATE(8197),
    [sym_line_comment] = STATE(8197),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10427),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10203),
  },
  [8198] = {
    [sym_block_comment] = STATE(8198),
    [sym_line_comment] = STATE(8198),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10203),
  },
  [8199] = {
    [sym__comprehension_clause] = STATE(19907),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8199),
    [sym_line_comment] = STATE(8199),
    [aux_sym_vector_expression_repeat1] = STATE(18129),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12131),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12133),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12135),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12138),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8200] = {
    [sym_block_comment] = STATE(8200),
    [sym_line_comment] = STATE(8200),
    [aux_sym__import_list_repeat1] = STATE(8650),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11910),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(11912),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8201] = {
    [sym__comprehension_clause] = STATE(20067),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8201),
    [sym_line_comment] = STATE(8201),
    [aux_sym_vector_expression_repeat1] = STATE(18156),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12141),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12143),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12145),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8202] = {
    [sym_block_comment] = STATE(8202),
    [sym_line_comment] = STATE(8202),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12151),
    [anon_sym_EQ] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_end] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_elseif] = ACTIONS(12151),
    [anon_sym_else] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11174),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8203] = {
    [sym__comprehension_clause] = STATE(20222),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8203),
    [sym_line_comment] = STATE(8203),
    [aux_sym_vector_expression_repeat1] = STATE(18190),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12155),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12157),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12159),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8204] = {
    [sym_block_comment] = STATE(8204),
    [sym_line_comment] = STATE(8204),
    [ts_builtin_sym_end] = ACTIONS(3226),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [8205] = {
    [sym_block_comment] = STATE(8205),
    [sym_line_comment] = STATE(8205),
    [ts_builtin_sym_end] = ACTIONS(10878),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_RBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8206] = {
    [sym_block_comment] = STATE(8206),
    [sym_line_comment] = STATE(8206),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_catch] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8207] = {
    [sym__comprehension_clause] = STATE(19359),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8207),
    [sym_line_comment] = STATE(8207),
    [aux_sym_vector_expression_repeat1] = STATE(17596),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12165),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12167),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12169),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12172),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8208] = {
    [sym_block_comment] = STATE(8208),
    [sym_line_comment] = STATE(8208),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10257),
  },
  [8209] = {
    [sym__comprehension_clause] = STATE(18891),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8209),
    [sym_line_comment] = STATE(8209),
    [aux_sym_vector_expression_repeat1] = STATE(17628),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12175),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12177),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12179),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12182),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8210] = {
    [sym_block_comment] = STATE(8210),
    [sym_line_comment] = STATE(8210),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8211] = {
    [sym_block_comment] = STATE(8211),
    [sym_line_comment] = STATE(8211),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11876),
    [anon_sym_EQ] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_end] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_elseif] = ACTIONS(11876),
    [anon_sym_else] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8212] = {
    [sym_block_comment] = STATE(8212),
    [sym_line_comment] = STATE(8212),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11174),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8213] = {
    [sym_block_comment] = STATE(8213),
    [sym_line_comment] = STATE(8213),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8214] = {
    [sym_block_comment] = STATE(8214),
    [sym_line_comment] = STATE(8214),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8215] = {
    [sym_block_comment] = STATE(8215),
    [sym_line_comment] = STATE(8215),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8216] = {
    [sym_block_comment] = STATE(8216),
    [sym_line_comment] = STATE(8216),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8217] = {
    [sym_block_comment] = STATE(8217),
    [sym_line_comment] = STATE(8217),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8218] = {
    [sym_block_comment] = STATE(8218),
    [sym_line_comment] = STATE(8218),
    [aux_sym_export_statement_repeat1] = STATE(8256),
    [sym__word_identifier] = ACTIONS(11278),
    [anon_sym_COMMA] = ACTIONS(12185),
    [anon_sym_EQ] = ACTIONS(11278),
    [anon_sym_begin] = ACTIONS(11278),
    [anon_sym_module] = ACTIONS(11278),
    [anon_sym_baremodule] = ACTIONS(11278),
    [anon_sym_abstract] = ACTIONS(11278),
    [anon_sym_primitive] = ACTIONS(11278),
    [anon_sym_mutable] = ACTIONS(11278),
    [anon_sym_struct] = ACTIONS(11278),
    [anon_sym_function] = ACTIONS(11278),
    [anon_sym_macro] = ACTIONS(11278),
    [anon_sym_quote] = ACTIONS(11278),
    [anon_sym_let] = ACTIONS(11278),
    [anon_sym_if] = ACTIONS(11278),
    [anon_sym_try] = ACTIONS(11278),
    [anon_sym_for] = ACTIONS(11278),
    [anon_sym_while] = ACTIONS(11278),
    [sym_break_statement] = ACTIONS(11278),
    [sym_continue_statement] = ACTIONS(11278),
    [anon_sym_return] = ACTIONS(11278),
    [anon_sym_const] = ACTIONS(11278),
    [anon_sym_global] = ACTIONS(11278),
    [anon_sym_local] = ACTIONS(11278),
    [anon_sym_LPAREN] = ACTIONS(11282),
    [anon_sym_RPAREN] = ACTIONS(11282),
    [anon_sym_COLON] = ACTIONS(11278),
    [anon_sym_export] = ACTIONS(11278),
    [anon_sym_public] = ACTIONS(11278),
    [anon_sym_import] = ACTIONS(11278),
    [anon_sym_using] = ACTIONS(11278),
    [anon_sym_LBRACK] = ACTIONS(11282),
    [anon_sym_RBRACK] = ACTIONS(11282),
    [anon_sym_in] = ACTIONS(11278),
    [anon_sym_SEMI] = ACTIONS(11282),
    [anon_sym_LBRACE] = ACTIONS(11282),
    [anon_sym_RBRACE] = ACTIONS(11282),
    [anon_sym_DOLLAR] = ACTIONS(11282),
    [anon_sym_COLON2] = ACTIONS(11278),
    [anon_sym_COLON_COLON] = ACTIONS(11282),
    [anon_sym_isa] = ACTIONS(11278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11282),
    [anon_sym_QMARK] = ACTIONS(11282),
    [anon_sym_where] = ACTIONS(11278),
    [anon_sym_AT] = ACTIONS(11282),
    [anon_sym_true] = ACTIONS(11278),
    [anon_sym_false] = ACTIONS(11278),
    [aux_sym_integer_literal_token1] = ACTIONS(11282),
    [aux_sym_integer_literal_token2] = ACTIONS(11282),
    [aux_sym_integer_literal_token3] = ACTIONS(11278),
    [aux_sym_integer_literal_token4] = ACTIONS(11278),
    [aux_sym_float_literal_token1] = ACTIONS(11282),
    [aux_sym_float_literal_token3] = ACTIONS(11282),
    [aux_sym_float_literal_token4] = ACTIONS(11282),
    [sym_character_literal] = ACTIONS(11282),
    [anon_sym_DQUOTE] = ACTIONS(11278),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11282),
    [anon_sym_BQUOTE] = ACTIONS(11278),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11282),
    [sym__pair_operator] = ACTIONS(11282),
    [sym__arrow_operator] = ACTIONS(11278),
    [sym__lazy_or_operator] = ACTIONS(11282),
    [sym__lazy_and_operator] = ACTIONS(11282),
    [sym__comparison_operator] = ACTIONS(11278),
    [sym__pipe_right_operator] = ACTIONS(11282),
    [sym__pipe_left_operator] = ACTIONS(11282),
    [sym__ellipsis_operator] = ACTIONS(11278),
    [sym__plus_operator] = ACTIONS(11278),
    [sym__times_operator] = ACTIONS(11278),
    [sym__rational_operator] = ACTIONS(11282),
    [sym__bitshift_operator] = ACTIONS(11282),
    [sym__power_operator] = ACTIONS(11282),
    [sym__tilde_operator] = ACTIONS(11282),
    [sym__type_order_operator] = ACTIONS(11282),
    [sym__unary_operator] = ACTIONS(11278),
    [sym__unary_plus_operator] = ACTIONS(11278),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8219] = {
    [sym_block_comment] = STATE(8219),
    [sym_line_comment] = STATE(8219),
    [aux_sym_export_statement_repeat1] = STATE(8257),
    [sym__word_identifier] = ACTIONS(11141),
    [anon_sym_COMMA] = ACTIONS(12185),
    [anon_sym_EQ] = ACTIONS(11141),
    [anon_sym_begin] = ACTIONS(11141),
    [anon_sym_module] = ACTIONS(11141),
    [anon_sym_baremodule] = ACTIONS(11141),
    [anon_sym_abstract] = ACTIONS(11141),
    [anon_sym_primitive] = ACTIONS(11141),
    [anon_sym_mutable] = ACTIONS(11141),
    [anon_sym_struct] = ACTIONS(11141),
    [anon_sym_function] = ACTIONS(11141),
    [anon_sym_macro] = ACTIONS(11141),
    [anon_sym_quote] = ACTIONS(11141),
    [anon_sym_let] = ACTIONS(11141),
    [anon_sym_if] = ACTIONS(11141),
    [anon_sym_try] = ACTIONS(11141),
    [anon_sym_for] = ACTIONS(11141),
    [anon_sym_while] = ACTIONS(11141),
    [sym_break_statement] = ACTIONS(11141),
    [sym_continue_statement] = ACTIONS(11141),
    [anon_sym_return] = ACTIONS(11141),
    [anon_sym_const] = ACTIONS(11141),
    [anon_sym_global] = ACTIONS(11141),
    [anon_sym_local] = ACTIONS(11141),
    [anon_sym_LPAREN] = ACTIONS(11145),
    [anon_sym_RPAREN] = ACTIONS(11145),
    [anon_sym_COLON] = ACTIONS(11141),
    [anon_sym_export] = ACTIONS(11141),
    [anon_sym_public] = ACTIONS(11141),
    [anon_sym_import] = ACTIONS(11141),
    [anon_sym_using] = ACTIONS(11141),
    [anon_sym_LBRACK] = ACTIONS(11145),
    [anon_sym_RBRACK] = ACTIONS(11145),
    [anon_sym_in] = ACTIONS(11141),
    [anon_sym_SEMI] = ACTIONS(11145),
    [anon_sym_LBRACE] = ACTIONS(11145),
    [anon_sym_RBRACE] = ACTIONS(11145),
    [anon_sym_DOLLAR] = ACTIONS(11145),
    [anon_sym_COLON2] = ACTIONS(11141),
    [anon_sym_COLON_COLON] = ACTIONS(11145),
    [anon_sym_isa] = ACTIONS(11141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11145),
    [anon_sym_QMARK] = ACTIONS(11145),
    [anon_sym_where] = ACTIONS(11141),
    [anon_sym_AT] = ACTIONS(11145),
    [anon_sym_true] = ACTIONS(11141),
    [anon_sym_false] = ACTIONS(11141),
    [aux_sym_integer_literal_token1] = ACTIONS(11145),
    [aux_sym_integer_literal_token2] = ACTIONS(11145),
    [aux_sym_integer_literal_token3] = ACTIONS(11141),
    [aux_sym_integer_literal_token4] = ACTIONS(11141),
    [aux_sym_float_literal_token1] = ACTIONS(11145),
    [aux_sym_float_literal_token3] = ACTIONS(11145),
    [aux_sym_float_literal_token4] = ACTIONS(11145),
    [sym_character_literal] = ACTIONS(11145),
    [anon_sym_DQUOTE] = ACTIONS(11141),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11145),
    [anon_sym_BQUOTE] = ACTIONS(11141),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11145),
    [sym__pair_operator] = ACTIONS(11145),
    [sym__arrow_operator] = ACTIONS(11141),
    [sym__lazy_or_operator] = ACTIONS(11145),
    [sym__lazy_and_operator] = ACTIONS(11145),
    [sym__comparison_operator] = ACTIONS(11141),
    [sym__pipe_right_operator] = ACTIONS(11145),
    [sym__pipe_left_operator] = ACTIONS(11145),
    [sym__ellipsis_operator] = ACTIONS(11141),
    [sym__plus_operator] = ACTIONS(11141),
    [sym__times_operator] = ACTIONS(11141),
    [sym__rational_operator] = ACTIONS(11145),
    [sym__bitshift_operator] = ACTIONS(11145),
    [sym__power_operator] = ACTIONS(11145),
    [sym__tilde_operator] = ACTIONS(11145),
    [sym__type_order_operator] = ACTIONS(11145),
    [sym__unary_operator] = ACTIONS(11141),
    [sym__unary_plus_operator] = ACTIONS(11141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8220] = {
    [sym_block_comment] = STATE(8220),
    [sym_line_comment] = STATE(8220),
    [aux_sym__import_list_repeat1] = STATE(8258),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11262),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_LPAREN] = ACTIONS(11032),
    [anon_sym_RPAREN] = ACTIONS(11032),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11032),
    [anon_sym_RBRACK] = ACTIONS(11032),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11032),
    [anon_sym_LBRACE] = ACTIONS(11032),
    [anon_sym_RBRACE] = ACTIONS(11032),
    [anon_sym_DOLLAR] = ACTIONS(11032),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11032),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11032),
    [anon_sym_QMARK] = ACTIONS(11032),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11032),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11032),
    [aux_sym_integer_literal_token2] = ACTIONS(11032),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11032),
    [aux_sym_float_literal_token3] = ACTIONS(11032),
    [aux_sym_float_literal_token4] = ACTIONS(11032),
    [sym_character_literal] = ACTIONS(11032),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11032),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(11032),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11032),
    [sym__lazy_and_operator] = ACTIONS(11032),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11032),
    [sym__pipe_left_operator] = ACTIONS(11032),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11032),
    [sym__bitshift_operator] = ACTIONS(11032),
    [sym__power_operator] = ACTIONS(11032),
    [sym__tilde_operator] = ACTIONS(11032),
    [sym__type_order_operator] = ACTIONS(11032),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8221] = {
    [sym__comprehension_clause] = STATE(18962),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8221),
    [sym_line_comment] = STATE(8221),
    [aux_sym_vector_expression_repeat1] = STATE(17655),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12187),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12189),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12191),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12194),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8222] = {
    [sym_block_comment] = STATE(8222),
    [sym_line_comment] = STATE(8222),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [8223] = {
    [sym_block_comment] = STATE(8223),
    [sym_line_comment] = STATE(8223),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10986),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10986),
    [anon_sym_RPAREN] = ACTIONS(10986),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10986),
    [anon_sym_RBRACK] = ACTIONS(10986),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_SEMI] = ACTIONS(10986),
    [anon_sym_LBRACE] = ACTIONS(10986),
    [anon_sym_RBRACE] = ACTIONS(10986),
    [anon_sym_DOLLAR] = ACTIONS(10986),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10986),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10986),
    [anon_sym_QMARK] = ACTIONS(10986),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10986),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10986),
    [aux_sym_integer_literal_token2] = ACTIONS(10986),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10986),
    [aux_sym_float_literal_token3] = ACTIONS(10986),
    [aux_sym_float_literal_token4] = ACTIONS(10986),
    [sym_character_literal] = ACTIONS(10986),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10986),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10986),
    [sym__pair_operator] = ACTIONS(10986),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10986),
    [sym__lazy_and_operator] = ACTIONS(10986),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10986),
    [sym__pipe_left_operator] = ACTIONS(10986),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10986),
    [sym__bitshift_operator] = ACTIONS(10986),
    [sym__power_operator] = ACTIONS(10986),
    [sym__tilde_operator] = ACTIONS(10986),
    [sym__type_order_operator] = ACTIONS(10986),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8224] = {
    [sym_block_comment] = STATE(8224),
    [sym_line_comment] = STATE(8224),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9995),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9995),
    [sym__bitshift_operator] = ACTIONS(9995),
    [sym__power_operator] = ACTIONS(9995),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(12197),
    [sym__immediate_command_start] = ACTIONS(12199),
  },
  [8225] = {
    [sym_block_comment] = STATE(8225),
    [sym_line_comment] = STATE(8225),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10271),
  },
  [8226] = {
    [sym_block_comment] = STATE(8226),
    [sym_line_comment] = STATE(8226),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_DASH_GT] = ACTIONS(9957),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8227] = {
    [sym_block_comment] = STATE(8227),
    [sym_line_comment] = STATE(8227),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10331),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10301),
  },
  [8228] = {
    [sym_block_comment] = STATE(8228),
    [sym_line_comment] = STATE(8228),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_catch] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8229] = {
    [sym_block_comment] = STATE(8229),
    [sym_line_comment] = STATE(8229),
    [ts_builtin_sym_end] = ACTIONS(9971),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_RBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8230] = {
    [sym__comprehension_clause] = STATE(19581),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8230),
    [sym_line_comment] = STATE(8230),
    [aux_sym_vector_expression_repeat1] = STATE(17686),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12201),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12203),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12205),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8231] = {
    [sym_block_comment] = STATE(8231),
    [sym_line_comment] = STATE(8231),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_catch] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8232] = {
    [sym_block_comment] = STATE(8232),
    [sym_line_comment] = STATE(8232),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_catch] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8233] = {
    [sym_block_comment] = STATE(8233),
    [sym_line_comment] = STATE(8233),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_catch] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8234] = {
    [sym__comprehension_clause] = STATE(20161),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8234),
    [sym_line_comment] = STATE(8234),
    [aux_sym_vector_expression_repeat1] = STATE(17713),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12211),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12213),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12215),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8235] = {
    [sym_block_comment] = STATE(8235),
    [sym_line_comment] = STATE(8235),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(10155),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_else] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_finally] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8236] = {
    [sym__comprehension_clause] = STATE(19388),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8236),
    [sym_line_comment] = STATE(8236),
    [aux_sym_vector_expression_repeat1] = STATE(17746),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12221),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12223),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12225),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12228),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8237] = {
    [sym_block_comment] = STATE(8237),
    [sym_line_comment] = STATE(8237),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_catch] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8238] = {
    [sym_block_comment] = STATE(8238),
    [sym_line_comment] = STATE(8238),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_catch] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8239] = {
    [sym_block_comment] = STATE(8239),
    [sym_line_comment] = STATE(8239),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_catch] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8240] = {
    [sym_block_comment] = STATE(8240),
    [sym_line_comment] = STATE(8240),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10878),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10878),
    [anon_sym_RPAREN] = ACTIONS(10878),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10878),
    [anon_sym_RBRACK] = ACTIONS(10878),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10878),
    [anon_sym_LBRACE] = ACTIONS(10878),
    [anon_sym_RBRACE] = ACTIONS(10878),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10878),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10878),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10878),
    [anon_sym_QMARK] = ACTIONS(10878),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10878),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10878),
    [aux_sym_integer_literal_token2] = ACTIONS(10878),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10878),
    [aux_sym_float_literal_token3] = ACTIONS(10878),
    [aux_sym_float_literal_token4] = ACTIONS(10878),
    [sym_character_literal] = ACTIONS(10878),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10878),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10878),
    [sym__pair_operator] = ACTIONS(10878),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10878),
    [sym__lazy_and_operator] = ACTIONS(10878),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10878),
    [sym__pipe_left_operator] = ACTIONS(10878),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10878),
    [sym__bitshift_operator] = ACTIONS(10878),
    [sym__power_operator] = ACTIONS(10878),
    [sym__tilde_operator] = ACTIONS(10878),
    [sym__type_order_operator] = ACTIONS(10878),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8241] = {
    [sym_block_comment] = STATE(8241),
    [sym_line_comment] = STATE(8241),
    [aux_sym_open_tuple_repeat1] = STATE(8261),
    [ts_builtin_sym_end] = ACTIONS(11130),
    [sym__word_identifier] = ACTIONS(11126),
    [anon_sym_COMMA] = ACTIONS(12231),
    [anon_sym_EQ] = ACTIONS(11126),
    [anon_sym_begin] = ACTIONS(11126),
    [anon_sym_module] = ACTIONS(11126),
    [anon_sym_baremodule] = ACTIONS(11126),
    [anon_sym_abstract] = ACTIONS(11126),
    [anon_sym_primitive] = ACTIONS(11126),
    [anon_sym_mutable] = ACTIONS(11126),
    [anon_sym_struct] = ACTIONS(11126),
    [anon_sym_function] = ACTIONS(11126),
    [anon_sym_macro] = ACTIONS(11126),
    [anon_sym_quote] = ACTIONS(11126),
    [anon_sym_let] = ACTIONS(11126),
    [anon_sym_if] = ACTIONS(11126),
    [anon_sym_try] = ACTIONS(11126),
    [anon_sym_for] = ACTIONS(11126),
    [anon_sym_while] = ACTIONS(11126),
    [sym_break_statement] = ACTIONS(11126),
    [sym_continue_statement] = ACTIONS(11126),
    [anon_sym_return] = ACTIONS(11126),
    [anon_sym_const] = ACTIONS(11126),
    [anon_sym_global] = ACTIONS(11126),
    [anon_sym_local] = ACTIONS(11126),
    [anon_sym_LPAREN] = ACTIONS(11126),
    [anon_sym_COLON] = ACTIONS(11126),
    [anon_sym_export] = ACTIONS(11126),
    [anon_sym_public] = ACTIONS(11126),
    [anon_sym_import] = ACTIONS(11126),
    [anon_sym_using] = ACTIONS(11126),
    [anon_sym_LBRACK] = ACTIONS(11126),
    [anon_sym_RBRACK] = ACTIONS(11126),
    [anon_sym_in] = ACTIONS(11126),
    [anon_sym_SEMI] = ACTIONS(11126),
    [anon_sym_LBRACE] = ACTIONS(11126),
    [anon_sym_DOLLAR] = ACTIONS(11126),
    [anon_sym_COLON2] = ACTIONS(11126),
    [anon_sym_COLON_COLON] = ACTIONS(11126),
    [anon_sym_isa] = ACTIONS(11126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11126),
    [anon_sym_QMARK] = ACTIONS(11126),
    [anon_sym_where] = ACTIONS(11126),
    [anon_sym_AT] = ACTIONS(11126),
    [anon_sym_true] = ACTIONS(11126),
    [anon_sym_false] = ACTIONS(11126),
    [aux_sym_integer_literal_token1] = ACTIONS(11126),
    [aux_sym_integer_literal_token2] = ACTIONS(11126),
    [aux_sym_integer_literal_token3] = ACTIONS(11126),
    [aux_sym_integer_literal_token4] = ACTIONS(11126),
    [aux_sym_float_literal_token1] = ACTIONS(11126),
    [aux_sym_float_literal_token3] = ACTIONS(11126),
    [aux_sym_float_literal_token4] = ACTIONS(11126),
    [sym_character_literal] = ACTIONS(11126),
    [anon_sym_DQUOTE] = ACTIONS(11126),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11126),
    [anon_sym_BQUOTE] = ACTIONS(11126),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11126),
    [sym__pair_operator] = ACTIONS(11126),
    [sym__arrow_operator] = ACTIONS(11126),
    [sym__lazy_or_operator] = ACTIONS(11126),
    [sym__lazy_and_operator] = ACTIONS(11126),
    [sym__comparison_operator] = ACTIONS(11126),
    [sym__pipe_right_operator] = ACTIONS(11126),
    [sym__pipe_left_operator] = ACTIONS(11126),
    [sym__ellipsis_operator] = ACTIONS(11126),
    [sym__plus_operator] = ACTIONS(11126),
    [sym__times_operator] = ACTIONS(11126),
    [sym__rational_operator] = ACTIONS(11126),
    [sym__bitshift_operator] = ACTIONS(11126),
    [sym__power_operator] = ACTIONS(11126),
    [sym__tilde_operator] = ACTIONS(11126),
    [sym__type_order_operator] = ACTIONS(11126),
    [sym__unary_operator] = ACTIONS(11126),
    [sym__unary_plus_operator] = ACTIONS(11126),
    [aux_sym__terminator_token1] = ACTIONS(11130),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8242] = {
    [sym__comprehension_clause] = STATE(18986),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8242),
    [sym_line_comment] = STATE(8242),
    [aux_sym_vector_expression_repeat1] = STATE(17794),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12233),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12235),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12237),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12240),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8243] = {
    [sym_block_comment] = STATE(8243),
    [sym_line_comment] = STATE(8243),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(10155),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_else] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_finally] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8244] = {
    [sym_block_comment] = STATE(8244),
    [sym_line_comment] = STATE(8244),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_else] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_finally] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8245] = {
    [sym_block_comment] = STATE(8245),
    [sym_line_comment] = STATE(8245),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_EQ] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11308),
    [anon_sym_else] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8246] = {
    [sym_block_comment] = STATE(8246),
    [sym_line_comment] = STATE(8246),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_EQ] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11308),
    [anon_sym_else] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8247] = {
    [sym_block_comment] = STATE(8247),
    [sym_line_comment] = STATE(8247),
    [aux_sym_open_tuple_repeat1] = STATE(7486),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11147),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_else] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_finally] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11874),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8248] = {
    [sym__comprehension_clause] = STATE(19610),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8248),
    [sym_line_comment] = STATE(8248),
    [aux_sym_vector_expression_repeat1] = STATE(17837),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12243),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12245),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12247),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8249] = {
    [sym__comprehension_clause] = STATE(19961),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8249),
    [sym_line_comment] = STATE(8249),
    [aux_sym_vector_expression_repeat1] = STATE(17873),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12253),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12255),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12257),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8250] = {
    [sym_block_comment] = STATE(8250),
    [sym_line_comment] = STATE(8250),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10397),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10397),
    [anon_sym_RPAREN] = ACTIONS(10397),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10397),
    [anon_sym_RBRACK] = ACTIONS(10397),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10397),
    [anon_sym_LBRACE] = ACTIONS(10397),
    [anon_sym_RBRACE] = ACTIONS(10397),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10397),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10397),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10397),
    [anon_sym_QMARK] = ACTIONS(10397),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10397),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10397),
    [aux_sym_integer_literal_token2] = ACTIONS(10397),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10397),
    [aux_sym_float_literal_token3] = ACTIONS(10397),
    [aux_sym_float_literal_token4] = ACTIONS(10397),
    [sym_character_literal] = ACTIONS(10397),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10397),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10397),
    [sym__pair_operator] = ACTIONS(10397),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10397),
    [sym__lazy_and_operator] = ACTIONS(10397),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10397),
    [sym__pipe_left_operator] = ACTIONS(10397),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10397),
    [sym__bitshift_operator] = ACTIONS(10397),
    [sym__power_operator] = ACTIONS(10397),
    [sym__tilde_operator] = ACTIONS(10397),
    [sym__type_order_operator] = ACTIONS(10397),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8251] = {
    [sym_block_comment] = STATE(8251),
    [sym_line_comment] = STATE(8251),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11218),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_elseif] = ACTIONS(11216),
    [anon_sym_else] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11356),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8252] = {
    [sym_block_comment] = STATE(8252),
    [sym_line_comment] = STATE(8252),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8253] = {
    [sym_block_comment] = STATE(8253),
    [sym_line_comment] = STATE(8253),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10427),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9991),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8254] = {
    [sym__comprehension_clause] = STATE(18789),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8254),
    [sym_line_comment] = STATE(8254),
    [aux_sym_vector_expression_repeat1] = STATE(17899),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12263),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12265),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12267),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12270),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8255] = {
    [sym_block_comment] = STATE(8255),
    [sym_line_comment] = STATE(8255),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_catch] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(12273),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8256] = {
    [sym_block_comment] = STATE(8256),
    [sym_line_comment] = STATE(8256),
    [aux_sym_export_statement_repeat1] = STATE(8274),
    [sym__word_identifier] = ACTIONS(11286),
    [anon_sym_COMMA] = ACTIONS(12185),
    [anon_sym_EQ] = ACTIONS(11286),
    [anon_sym_begin] = ACTIONS(11286),
    [anon_sym_module] = ACTIONS(11286),
    [anon_sym_baremodule] = ACTIONS(11286),
    [anon_sym_abstract] = ACTIONS(11286),
    [anon_sym_primitive] = ACTIONS(11286),
    [anon_sym_mutable] = ACTIONS(11286),
    [anon_sym_struct] = ACTIONS(11286),
    [anon_sym_function] = ACTIONS(11286),
    [anon_sym_macro] = ACTIONS(11286),
    [anon_sym_quote] = ACTIONS(11286),
    [anon_sym_let] = ACTIONS(11286),
    [anon_sym_if] = ACTIONS(11286),
    [anon_sym_try] = ACTIONS(11286),
    [anon_sym_for] = ACTIONS(11286),
    [anon_sym_while] = ACTIONS(11286),
    [sym_break_statement] = ACTIONS(11286),
    [sym_continue_statement] = ACTIONS(11286),
    [anon_sym_return] = ACTIONS(11286),
    [anon_sym_const] = ACTIONS(11286),
    [anon_sym_global] = ACTIONS(11286),
    [anon_sym_local] = ACTIONS(11286),
    [anon_sym_LPAREN] = ACTIONS(11288),
    [anon_sym_RPAREN] = ACTIONS(11288),
    [anon_sym_COLON] = ACTIONS(11286),
    [anon_sym_export] = ACTIONS(11286),
    [anon_sym_public] = ACTIONS(11286),
    [anon_sym_import] = ACTIONS(11286),
    [anon_sym_using] = ACTIONS(11286),
    [anon_sym_LBRACK] = ACTIONS(11288),
    [anon_sym_RBRACK] = ACTIONS(11288),
    [anon_sym_in] = ACTIONS(11286),
    [anon_sym_SEMI] = ACTIONS(11288),
    [anon_sym_LBRACE] = ACTIONS(11288),
    [anon_sym_RBRACE] = ACTIONS(11288),
    [anon_sym_DOLLAR] = ACTIONS(11288),
    [anon_sym_COLON2] = ACTIONS(11286),
    [anon_sym_COLON_COLON] = ACTIONS(11288),
    [anon_sym_isa] = ACTIONS(11286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11288),
    [anon_sym_QMARK] = ACTIONS(11288),
    [anon_sym_where] = ACTIONS(11286),
    [anon_sym_AT] = ACTIONS(11288),
    [anon_sym_true] = ACTIONS(11286),
    [anon_sym_false] = ACTIONS(11286),
    [aux_sym_integer_literal_token1] = ACTIONS(11288),
    [aux_sym_integer_literal_token2] = ACTIONS(11288),
    [aux_sym_integer_literal_token3] = ACTIONS(11286),
    [aux_sym_integer_literal_token4] = ACTIONS(11286),
    [aux_sym_float_literal_token1] = ACTIONS(11288),
    [aux_sym_float_literal_token3] = ACTIONS(11288),
    [aux_sym_float_literal_token4] = ACTIONS(11288),
    [sym_character_literal] = ACTIONS(11288),
    [anon_sym_DQUOTE] = ACTIONS(11286),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11288),
    [anon_sym_BQUOTE] = ACTIONS(11286),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11288),
    [sym__pair_operator] = ACTIONS(11288),
    [sym__arrow_operator] = ACTIONS(11286),
    [sym__lazy_or_operator] = ACTIONS(11288),
    [sym__lazy_and_operator] = ACTIONS(11288),
    [sym__comparison_operator] = ACTIONS(11286),
    [sym__pipe_right_operator] = ACTIONS(11288),
    [sym__pipe_left_operator] = ACTIONS(11288),
    [sym__ellipsis_operator] = ACTIONS(11286),
    [sym__plus_operator] = ACTIONS(11286),
    [sym__times_operator] = ACTIONS(11286),
    [sym__rational_operator] = ACTIONS(11288),
    [sym__bitshift_operator] = ACTIONS(11288),
    [sym__power_operator] = ACTIONS(11288),
    [sym__tilde_operator] = ACTIONS(11288),
    [sym__type_order_operator] = ACTIONS(11288),
    [sym__unary_operator] = ACTIONS(11286),
    [sym__unary_plus_operator] = ACTIONS(11286),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8257] = {
    [sym_block_comment] = STATE(8257),
    [sym_line_comment] = STATE(8257),
    [aux_sym_export_statement_repeat1] = STATE(8274),
    [sym__word_identifier] = ACTIONS(11290),
    [anon_sym_COMMA] = ACTIONS(12185),
    [anon_sym_EQ] = ACTIONS(11290),
    [anon_sym_begin] = ACTIONS(11290),
    [anon_sym_module] = ACTIONS(11290),
    [anon_sym_baremodule] = ACTIONS(11290),
    [anon_sym_abstract] = ACTIONS(11290),
    [anon_sym_primitive] = ACTIONS(11290),
    [anon_sym_mutable] = ACTIONS(11290),
    [anon_sym_struct] = ACTIONS(11290),
    [anon_sym_function] = ACTIONS(11290),
    [anon_sym_macro] = ACTIONS(11290),
    [anon_sym_quote] = ACTIONS(11290),
    [anon_sym_let] = ACTIONS(11290),
    [anon_sym_if] = ACTIONS(11290),
    [anon_sym_try] = ACTIONS(11290),
    [anon_sym_for] = ACTIONS(11290),
    [anon_sym_while] = ACTIONS(11290),
    [sym_break_statement] = ACTIONS(11290),
    [sym_continue_statement] = ACTIONS(11290),
    [anon_sym_return] = ACTIONS(11290),
    [anon_sym_const] = ACTIONS(11290),
    [anon_sym_global] = ACTIONS(11290),
    [anon_sym_local] = ACTIONS(11290),
    [anon_sym_LPAREN] = ACTIONS(11292),
    [anon_sym_RPAREN] = ACTIONS(11292),
    [anon_sym_COLON] = ACTIONS(11290),
    [anon_sym_export] = ACTIONS(11290),
    [anon_sym_public] = ACTIONS(11290),
    [anon_sym_import] = ACTIONS(11290),
    [anon_sym_using] = ACTIONS(11290),
    [anon_sym_LBRACK] = ACTIONS(11292),
    [anon_sym_RBRACK] = ACTIONS(11292),
    [anon_sym_in] = ACTIONS(11290),
    [anon_sym_SEMI] = ACTIONS(11292),
    [anon_sym_LBRACE] = ACTIONS(11292),
    [anon_sym_RBRACE] = ACTIONS(11292),
    [anon_sym_DOLLAR] = ACTIONS(11292),
    [anon_sym_COLON2] = ACTIONS(11290),
    [anon_sym_COLON_COLON] = ACTIONS(11292),
    [anon_sym_isa] = ACTIONS(11290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11292),
    [anon_sym_QMARK] = ACTIONS(11292),
    [anon_sym_where] = ACTIONS(11290),
    [anon_sym_AT] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(11290),
    [anon_sym_false] = ACTIONS(11290),
    [aux_sym_integer_literal_token1] = ACTIONS(11292),
    [aux_sym_integer_literal_token2] = ACTIONS(11292),
    [aux_sym_integer_literal_token3] = ACTIONS(11290),
    [aux_sym_integer_literal_token4] = ACTIONS(11290),
    [aux_sym_float_literal_token1] = ACTIONS(11292),
    [aux_sym_float_literal_token3] = ACTIONS(11292),
    [aux_sym_float_literal_token4] = ACTIONS(11292),
    [sym_character_literal] = ACTIONS(11292),
    [anon_sym_DQUOTE] = ACTIONS(11290),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11292),
    [anon_sym_BQUOTE] = ACTIONS(11290),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11292),
    [sym__pair_operator] = ACTIONS(11292),
    [sym__arrow_operator] = ACTIONS(11290),
    [sym__lazy_or_operator] = ACTIONS(11292),
    [sym__lazy_and_operator] = ACTIONS(11292),
    [sym__comparison_operator] = ACTIONS(11290),
    [sym__pipe_right_operator] = ACTIONS(11292),
    [sym__pipe_left_operator] = ACTIONS(11292),
    [sym__ellipsis_operator] = ACTIONS(11290),
    [sym__plus_operator] = ACTIONS(11290),
    [sym__times_operator] = ACTIONS(11290),
    [sym__rational_operator] = ACTIONS(11292),
    [sym__bitshift_operator] = ACTIONS(11292),
    [sym__power_operator] = ACTIONS(11292),
    [sym__tilde_operator] = ACTIONS(11292),
    [sym__type_order_operator] = ACTIONS(11292),
    [sym__unary_operator] = ACTIONS(11290),
    [sym__unary_plus_operator] = ACTIONS(11290),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8258] = {
    [sym_block_comment] = STATE(8258),
    [sym_line_comment] = STATE(8258),
    [aux_sym__import_list_repeat1] = STATE(8276),
    [sym__word_identifier] = ACTIONS(11066),
    [anon_sym_COMMA] = ACTIONS(11262),
    [anon_sym_EQ] = ACTIONS(11066),
    [anon_sym_begin] = ACTIONS(11066),
    [anon_sym_module] = ACTIONS(11066),
    [anon_sym_baremodule] = ACTIONS(11066),
    [anon_sym_abstract] = ACTIONS(11066),
    [anon_sym_primitive] = ACTIONS(11066),
    [anon_sym_mutable] = ACTIONS(11066),
    [anon_sym_struct] = ACTIONS(11066),
    [anon_sym_function] = ACTIONS(11066),
    [anon_sym_macro] = ACTIONS(11066),
    [anon_sym_quote] = ACTIONS(11066),
    [anon_sym_let] = ACTIONS(11066),
    [anon_sym_if] = ACTIONS(11066),
    [anon_sym_try] = ACTIONS(11066),
    [anon_sym_for] = ACTIONS(11066),
    [anon_sym_while] = ACTIONS(11066),
    [sym_break_statement] = ACTIONS(11066),
    [sym_continue_statement] = ACTIONS(11066),
    [anon_sym_return] = ACTIONS(11066),
    [anon_sym_const] = ACTIONS(11066),
    [anon_sym_global] = ACTIONS(11066),
    [anon_sym_local] = ACTIONS(11066),
    [anon_sym_LPAREN] = ACTIONS(11068),
    [anon_sym_RPAREN] = ACTIONS(11068),
    [anon_sym_COLON] = ACTIONS(11066),
    [anon_sym_export] = ACTIONS(11066),
    [anon_sym_public] = ACTIONS(11066),
    [anon_sym_import] = ACTIONS(11066),
    [anon_sym_using] = ACTIONS(11066),
    [anon_sym_LBRACK] = ACTIONS(11068),
    [anon_sym_RBRACK] = ACTIONS(11068),
    [anon_sym_in] = ACTIONS(11066),
    [anon_sym_SEMI] = ACTIONS(11068),
    [anon_sym_LBRACE] = ACTIONS(11068),
    [anon_sym_RBRACE] = ACTIONS(11068),
    [anon_sym_DOLLAR] = ACTIONS(11068),
    [anon_sym_COLON2] = ACTIONS(11066),
    [anon_sym_COLON_COLON] = ACTIONS(11068),
    [anon_sym_isa] = ACTIONS(11066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11068),
    [anon_sym_QMARK] = ACTIONS(11068),
    [anon_sym_where] = ACTIONS(11066),
    [anon_sym_AT] = ACTIONS(11068),
    [anon_sym_true] = ACTIONS(11066),
    [anon_sym_false] = ACTIONS(11066),
    [aux_sym_integer_literal_token1] = ACTIONS(11068),
    [aux_sym_integer_literal_token2] = ACTIONS(11068),
    [aux_sym_integer_literal_token3] = ACTIONS(11066),
    [aux_sym_integer_literal_token4] = ACTIONS(11066),
    [aux_sym_float_literal_token1] = ACTIONS(11068),
    [aux_sym_float_literal_token3] = ACTIONS(11068),
    [aux_sym_float_literal_token4] = ACTIONS(11068),
    [sym_character_literal] = ACTIONS(11068),
    [anon_sym_DQUOTE] = ACTIONS(11066),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11068),
    [anon_sym_BQUOTE] = ACTIONS(11066),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(11068),
    [sym__arrow_operator] = ACTIONS(11066),
    [sym__lazy_or_operator] = ACTIONS(11068),
    [sym__lazy_and_operator] = ACTIONS(11068),
    [sym__comparison_operator] = ACTIONS(11066),
    [sym__pipe_right_operator] = ACTIONS(11068),
    [sym__pipe_left_operator] = ACTIONS(11068),
    [sym__ellipsis_operator] = ACTIONS(11066),
    [sym__plus_operator] = ACTIONS(11066),
    [sym__times_operator] = ACTIONS(11066),
    [sym__rational_operator] = ACTIONS(11068),
    [sym__bitshift_operator] = ACTIONS(11068),
    [sym__power_operator] = ACTIONS(11068),
    [sym__tilde_operator] = ACTIONS(11068),
    [sym__type_order_operator] = ACTIONS(11068),
    [sym__unary_operator] = ACTIONS(11066),
    [sym__unary_plus_operator] = ACTIONS(11066),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8259] = {
    [sym__comprehension_clause] = STATE(18859),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8259),
    [sym_line_comment] = STATE(8259),
    [aux_sym_vector_expression_repeat1] = STATE(17913),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12275),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12277),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12279),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12282),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8260] = {
    [sym_block_comment] = STATE(8260),
    [sym_line_comment] = STATE(8260),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10415),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10415),
    [anon_sym_RPAREN] = ACTIONS(10415),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10415),
    [anon_sym_RBRACK] = ACTIONS(10415),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10415),
    [anon_sym_LBRACE] = ACTIONS(10415),
    [anon_sym_RBRACE] = ACTIONS(10415),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10415),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10415),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10415),
    [anon_sym_QMARK] = ACTIONS(10415),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10415),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10415),
    [aux_sym_integer_literal_token2] = ACTIONS(10415),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10415),
    [aux_sym_float_literal_token3] = ACTIONS(10415),
    [aux_sym_float_literal_token4] = ACTIONS(10415),
    [sym_character_literal] = ACTIONS(10415),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10415),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10415),
    [sym__pair_operator] = ACTIONS(10415),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10415),
    [sym__lazy_and_operator] = ACTIONS(10415),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10415),
    [sym__pipe_left_operator] = ACTIONS(10415),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10415),
    [sym__bitshift_operator] = ACTIONS(10415),
    [sym__power_operator] = ACTIONS(10415),
    [sym__tilde_operator] = ACTIONS(10415),
    [sym__type_order_operator] = ACTIONS(10415),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8261] = {
    [sym_block_comment] = STATE(8261),
    [sym_line_comment] = STATE(8261),
    [aux_sym_open_tuple_repeat1] = STATE(8261),
    [ts_builtin_sym_end] = ACTIONS(11139),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(12285),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11134),
    [anon_sym_COLON] = ACTIONS(11134),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11134),
    [anon_sym_RBRACK] = ACTIONS(11134),
    [anon_sym_in] = ACTIONS(11134),
    [anon_sym_SEMI] = ACTIONS(11134),
    [anon_sym_LBRACE] = ACTIONS(11134),
    [anon_sym_DOLLAR] = ACTIONS(11134),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(11134),
    [anon_sym_isa] = ACTIONS(11134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_QMARK] = ACTIONS(11134),
    [anon_sym_where] = ACTIONS(11134),
    [anon_sym_AT] = ACTIONS(11134),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11134),
    [aux_sym_integer_literal_token2] = ACTIONS(11134),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11134),
    [aux_sym_float_literal_token3] = ACTIONS(11134),
    [aux_sym_float_literal_token4] = ACTIONS(11134),
    [sym_character_literal] = ACTIONS(11134),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11134),
    [sym__pair_operator] = ACTIONS(11134),
    [sym__arrow_operator] = ACTIONS(11134),
    [sym__lazy_or_operator] = ACTIONS(11134),
    [sym__lazy_and_operator] = ACTIONS(11134),
    [sym__comparison_operator] = ACTIONS(11134),
    [sym__pipe_right_operator] = ACTIONS(11134),
    [sym__pipe_left_operator] = ACTIONS(11134),
    [sym__ellipsis_operator] = ACTIONS(11134),
    [sym__plus_operator] = ACTIONS(11134),
    [sym__times_operator] = ACTIONS(11134),
    [sym__rational_operator] = ACTIONS(11134),
    [sym__bitshift_operator] = ACTIONS(11134),
    [sym__power_operator] = ACTIONS(11134),
    [sym__tilde_operator] = ACTIONS(11134),
    [sym__type_order_operator] = ACTIONS(11134),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(11134),
    [aux_sym__terminator_token1] = ACTIONS(11139),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8262] = {
    [sym__comprehension_clause] = STATE(19006),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8262),
    [sym_line_comment] = STATE(8262),
    [aux_sym_vector_expression_repeat1] = STATE(17944),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12290),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12292),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12295),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8263] = {
    [sym__comprehension_clause] = STATE(19135),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8263),
    [sym_line_comment] = STATE(8263),
    [aux_sym_vector_expression_repeat1] = STATE(17973),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12298),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12300),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12302),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8264] = {
    [sym_block_comment] = STATE(8264),
    [sym_line_comment] = STATE(8264),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_as] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8265] = {
    [sym_block_comment] = STATE(8265),
    [sym_line_comment] = STATE(8265),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8266] = {
    [sym_block_comment] = STATE(8266),
    [sym_line_comment] = STATE(8266),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10301),
  },
  [8267] = {
    [sym_block_comment] = STATE(8267),
    [sym_line_comment] = STATE(8267),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_as] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8268] = {
    [sym__comprehension_clause] = STATE(19273),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8268),
    [sym_line_comment] = STATE(8268),
    [aux_sym_vector_expression_repeat1] = STATE(18002),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12308),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12310),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12312),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12315),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8269] = {
    [sym_block_comment] = STATE(8269),
    [sym_line_comment] = STATE(8269),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_else] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8270] = {
    [sym_block_comment] = STATE(8270),
    [sym_line_comment] = STATE(8270),
    [aux_sym_open_tuple_repeat1] = STATE(8273),
    [sym__word_identifier] = ACTIONS(11126),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(11126),
    [anon_sym_begin] = ACTIONS(11126),
    [anon_sym_module] = ACTIONS(11126),
    [anon_sym_baremodule] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(11126),
    [anon_sym_abstract] = ACTIONS(11126),
    [anon_sym_primitive] = ACTIONS(11126),
    [anon_sym_mutable] = ACTIONS(11126),
    [anon_sym_struct] = ACTIONS(11126),
    [anon_sym_function] = ACTIONS(11126),
    [anon_sym_macro] = ACTIONS(11126),
    [anon_sym_quote] = ACTIONS(11126),
    [anon_sym_let] = ACTIONS(11126),
    [anon_sym_if] = ACTIONS(11126),
    [anon_sym_try] = ACTIONS(11126),
    [anon_sym_catch] = ACTIONS(11126),
    [anon_sym_for] = ACTIONS(11126),
    [anon_sym_while] = ACTIONS(11126),
    [sym_break_statement] = ACTIONS(11126),
    [sym_continue_statement] = ACTIONS(11126),
    [anon_sym_return] = ACTIONS(11126),
    [anon_sym_const] = ACTIONS(11126),
    [anon_sym_global] = ACTIONS(11126),
    [anon_sym_local] = ACTIONS(11126),
    [anon_sym_LPAREN] = ACTIONS(11126),
    [anon_sym_COLON] = ACTIONS(11126),
    [anon_sym_export] = ACTIONS(11126),
    [anon_sym_public] = ACTIONS(11126),
    [anon_sym_import] = ACTIONS(11126),
    [anon_sym_using] = ACTIONS(11126),
    [anon_sym_LBRACK] = ACTIONS(11126),
    [anon_sym_in] = ACTIONS(11126),
    [anon_sym_SEMI] = ACTIONS(11126),
    [anon_sym_LBRACE] = ACTIONS(11126),
    [anon_sym_DOLLAR] = ACTIONS(11126),
    [anon_sym_COLON2] = ACTIONS(11126),
    [anon_sym_COLON_COLON] = ACTIONS(11126),
    [anon_sym_isa] = ACTIONS(11126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11126),
    [anon_sym_QMARK] = ACTIONS(11126),
    [anon_sym_where] = ACTIONS(11126),
    [anon_sym_AT] = ACTIONS(11126),
    [anon_sym_true] = ACTIONS(11126),
    [anon_sym_false] = ACTIONS(11126),
    [aux_sym_integer_literal_token1] = ACTIONS(11126),
    [aux_sym_integer_literal_token2] = ACTIONS(11126),
    [aux_sym_integer_literal_token3] = ACTIONS(11126),
    [aux_sym_integer_literal_token4] = ACTIONS(11126),
    [aux_sym_float_literal_token1] = ACTIONS(11126),
    [aux_sym_float_literal_token3] = ACTIONS(11126),
    [aux_sym_float_literal_token4] = ACTIONS(11126),
    [sym_character_literal] = ACTIONS(11126),
    [anon_sym_DQUOTE] = ACTIONS(11126),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11126),
    [anon_sym_BQUOTE] = ACTIONS(11126),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11126),
    [sym__pair_operator] = ACTIONS(11126),
    [sym__arrow_operator] = ACTIONS(11126),
    [sym__lazy_or_operator] = ACTIONS(11126),
    [sym__lazy_and_operator] = ACTIONS(11126),
    [sym__comparison_operator] = ACTIONS(11126),
    [sym__pipe_right_operator] = ACTIONS(11126),
    [sym__pipe_left_operator] = ACTIONS(11126),
    [sym__ellipsis_operator] = ACTIONS(11126),
    [sym__plus_operator] = ACTIONS(11126),
    [sym__times_operator] = ACTIONS(11126),
    [sym__rational_operator] = ACTIONS(11126),
    [sym__bitshift_operator] = ACTIONS(11126),
    [sym__power_operator] = ACTIONS(11126),
    [sym__tilde_operator] = ACTIONS(11126),
    [sym__type_order_operator] = ACTIONS(11126),
    [sym__unary_operator] = ACTIONS(11126),
    [sym__unary_plus_operator] = ACTIONS(11126),
    [aux_sym__terminator_token1] = ACTIONS(11130),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8271] = {
    [sym_block_comment] = STATE(8271),
    [sym_line_comment] = STATE(8271),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_elseif] = ACTIONS(11704),
    [anon_sym_else] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(11704),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(11704),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11704),
    [anon_sym_isa] = ACTIONS(11704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11704),
    [anon_sym_QMARK] = ACTIONS(11704),
    [anon_sym_where] = ACTIONS(11704),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(11704),
    [sym__arrow_operator] = ACTIONS(11704),
    [sym__lazy_or_operator] = ACTIONS(11704),
    [sym__lazy_and_operator] = ACTIONS(11704),
    [sym__comparison_operator] = ACTIONS(11704),
    [sym__pipe_right_operator] = ACTIONS(11704),
    [sym__pipe_left_operator] = ACTIONS(11704),
    [sym__ellipsis_operator] = ACTIONS(11704),
    [sym__plus_operator] = ACTIONS(11704),
    [sym__times_operator] = ACTIONS(11704),
    [sym__rational_operator] = ACTIONS(11704),
    [sym__bitshift_operator] = ACTIONS(11704),
    [sym__power_operator] = ACTIONS(11704),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(11704),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(11704),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8272] = {
    [sym_block_comment] = STATE(8272),
    [sym_line_comment] = STATE(8272),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(12320),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_elseif] = ACTIONS(11258),
    [anon_sym_else] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8273] = {
    [sym_block_comment] = STATE(8273),
    [sym_line_comment] = STATE(8273),
    [aux_sym_open_tuple_repeat1] = STATE(8273),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(12322),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_end] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_catch] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11134),
    [anon_sym_COLON] = ACTIONS(11134),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11134),
    [anon_sym_in] = ACTIONS(11134),
    [anon_sym_SEMI] = ACTIONS(11134),
    [anon_sym_LBRACE] = ACTIONS(11134),
    [anon_sym_DOLLAR] = ACTIONS(11134),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(11134),
    [anon_sym_isa] = ACTIONS(11134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_QMARK] = ACTIONS(11134),
    [anon_sym_where] = ACTIONS(11134),
    [anon_sym_AT] = ACTIONS(11134),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11134),
    [aux_sym_integer_literal_token2] = ACTIONS(11134),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11134),
    [aux_sym_float_literal_token3] = ACTIONS(11134),
    [aux_sym_float_literal_token4] = ACTIONS(11134),
    [sym_character_literal] = ACTIONS(11134),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11134),
    [sym__pair_operator] = ACTIONS(11134),
    [sym__arrow_operator] = ACTIONS(11134),
    [sym__lazy_or_operator] = ACTIONS(11134),
    [sym__lazy_and_operator] = ACTIONS(11134),
    [sym__comparison_operator] = ACTIONS(11134),
    [sym__pipe_right_operator] = ACTIONS(11134),
    [sym__pipe_left_operator] = ACTIONS(11134),
    [sym__ellipsis_operator] = ACTIONS(11134),
    [sym__plus_operator] = ACTIONS(11134),
    [sym__times_operator] = ACTIONS(11134),
    [sym__rational_operator] = ACTIONS(11134),
    [sym__bitshift_operator] = ACTIONS(11134),
    [sym__power_operator] = ACTIONS(11134),
    [sym__tilde_operator] = ACTIONS(11134),
    [sym__type_order_operator] = ACTIONS(11134),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(11134),
    [aux_sym__terminator_token1] = ACTIONS(11139),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8274] = {
    [sym_block_comment] = STATE(8274),
    [sym_line_comment] = STATE(8274),
    [aux_sym_export_statement_repeat1] = STATE(8274),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(12325),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11154),
    [anon_sym_RPAREN] = ACTIONS(11154),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11154),
    [anon_sym_RBRACK] = ACTIONS(11154),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_SEMI] = ACTIONS(11154),
    [anon_sym_LBRACE] = ACTIONS(11154),
    [anon_sym_RBRACE] = ACTIONS(11154),
    [anon_sym_DOLLAR] = ACTIONS(11154),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11154),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11154),
    [anon_sym_QMARK] = ACTIONS(11154),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11154),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11154),
    [aux_sym_integer_literal_token2] = ACTIONS(11154),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11154),
    [aux_sym_float_literal_token3] = ACTIONS(11154),
    [aux_sym_float_literal_token4] = ACTIONS(11154),
    [sym_character_literal] = ACTIONS(11154),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11154),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11154),
    [sym__pair_operator] = ACTIONS(11154),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11154),
    [sym__lazy_and_operator] = ACTIONS(11154),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11154),
    [sym__pipe_left_operator] = ACTIONS(11154),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11154),
    [sym__bitshift_operator] = ACTIONS(11154),
    [sym__power_operator] = ACTIONS(11154),
    [sym__tilde_operator] = ACTIONS(11154),
    [sym__type_order_operator] = ACTIONS(11154),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8275] = {
    [sym_block_comment] = STATE(8275),
    [sym_line_comment] = STATE(8275),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11161),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_as] = ACTIONS(11264),
    [anon_sym_LPAREN] = ACTIONS(11161),
    [anon_sym_RPAREN] = ACTIONS(11161),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11161),
    [anon_sym_RBRACK] = ACTIONS(11161),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11161),
    [anon_sym_LBRACE] = ACTIONS(11161),
    [anon_sym_RBRACE] = ACTIONS(11161),
    [anon_sym_DOLLAR] = ACTIONS(11161),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11161),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11161),
    [anon_sym_QMARK] = ACTIONS(11161),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11161),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11161),
    [aux_sym_integer_literal_token2] = ACTIONS(11161),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11161),
    [aux_sym_float_literal_token3] = ACTIONS(11161),
    [aux_sym_float_literal_token4] = ACTIONS(11161),
    [sym_character_literal] = ACTIONS(11161),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11161),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11161),
    [sym__pair_operator] = ACTIONS(11161),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11161),
    [sym__lazy_and_operator] = ACTIONS(11161),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11161),
    [sym__pipe_left_operator] = ACTIONS(11161),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11161),
    [sym__bitshift_operator] = ACTIONS(11161),
    [sym__power_operator] = ACTIONS(11161),
    [sym__tilde_operator] = ACTIONS(11161),
    [sym__type_order_operator] = ACTIONS(11161),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8276] = {
    [sym_block_comment] = STATE(8276),
    [sym_line_comment] = STATE(8276),
    [aux_sym__import_list_repeat1] = STATE(8276),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(12328),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11161),
    [anon_sym_RPAREN] = ACTIONS(11161),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11161),
    [anon_sym_RBRACK] = ACTIONS(11161),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11161),
    [anon_sym_LBRACE] = ACTIONS(11161),
    [anon_sym_RBRACE] = ACTIONS(11161),
    [anon_sym_DOLLAR] = ACTIONS(11161),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11161),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11161),
    [anon_sym_QMARK] = ACTIONS(11161),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11161),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11161),
    [aux_sym_integer_literal_token2] = ACTIONS(11161),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11161),
    [aux_sym_float_literal_token3] = ACTIONS(11161),
    [aux_sym_float_literal_token4] = ACTIONS(11161),
    [sym_character_literal] = ACTIONS(11161),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11161),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11161),
    [sym__pair_operator] = ACTIONS(11161),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11161),
    [sym__lazy_and_operator] = ACTIONS(11161),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11161),
    [sym__pipe_left_operator] = ACTIONS(11161),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11161),
    [sym__bitshift_operator] = ACTIONS(11161),
    [sym__power_operator] = ACTIONS(11161),
    [sym__tilde_operator] = ACTIONS(11161),
    [sym__type_order_operator] = ACTIONS(11161),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8277] = {
    [sym_block_comment] = STATE(8277),
    [sym_line_comment] = STATE(8277),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_catch] = ACTIONS(9969),
    [anon_sym_finally] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8278] = {
    [sym_block_comment] = STATE(8278),
    [sym_line_comment] = STATE(8278),
    [ts_builtin_sym_end] = ACTIONS(3226),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_RBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8279] = {
    [sym_block_comment] = STATE(8279),
    [sym_line_comment] = STATE(8279),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9963),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8280] = {
    [sym_block_comment] = STATE(8280),
    [sym_line_comment] = STATE(8280),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10203),
  },
  [8281] = {
    [sym_block_comment] = STATE(8281),
    [sym_line_comment] = STATE(8281),
    [ts_builtin_sym_end] = ACTIONS(10317),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_RBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8282] = {
    [sym_block_comment] = STATE(8282),
    [sym_line_comment] = STATE(8282),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10283),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9949),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8283] = {
    [sym_block_comment] = STATE(8283),
    [sym_line_comment] = STATE(8283),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10283),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
  },
  [8284] = {
    [sym_block_comment] = STATE(8284),
    [sym_line_comment] = STATE(8284),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10870),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10870),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10870),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10870),
    [anon_sym_DOT] = ACTIONS(12331),
    [anon_sym_DOLLAR] = ACTIONS(10870),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10870),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10870),
    [anon_sym_QMARK] = ACTIONS(10870),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10870),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10870),
    [aux_sym_integer_literal_token2] = ACTIONS(10870),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10870),
    [aux_sym_float_literal_token3] = ACTIONS(10870),
    [aux_sym_float_literal_token4] = ACTIONS(10870),
    [sym_character_literal] = ACTIONS(10870),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10870),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10870),
    [sym__pair_operator] = ACTIONS(10870),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10870),
    [sym__lazy_and_operator] = ACTIONS(10870),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10870),
    [sym__pipe_left_operator] = ACTIONS(10870),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10870),
    [sym__bitshift_operator] = ACTIONS(10870),
    [sym__power_operator] = ACTIONS(10870),
    [sym__tilde_operator] = ACTIONS(10870),
    [sym__type_order_operator] = ACTIONS(10870),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [8285] = {
    [sym_block_comment] = STATE(8285),
    [sym_line_comment] = STATE(8285),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(12320),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_elseif] = ACTIONS(11166),
    [anon_sym_else] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8286] = {
    [sym_block_comment] = STATE(8286),
    [sym_line_comment] = STATE(8286),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(12320),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_elseif] = ACTIONS(11204),
    [anon_sym_else] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8287] = {
    [sym_block_comment] = STATE(8287),
    [sym_line_comment] = STATE(8287),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(12320),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_elseif] = ACTIONS(11208),
    [anon_sym_else] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8288] = {
    [sym_block_comment] = STATE(8288),
    [sym_line_comment] = STATE(8288),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_EQ] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_elseif] = ACTIONS(11308),
    [anon_sym_else] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8289] = {
    [sym_block_comment] = STATE(8289),
    [sym_line_comment] = STATE(8289),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(12320),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_elseif] = ACTIONS(11212),
    [anon_sym_else] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8290] = {
    [sym_block_comment] = STATE(8290),
    [sym_line_comment] = STATE(8290),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11788),
    [anon_sym_EQ] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_end] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_elseif] = ACTIONS(11788),
    [anon_sym_else] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8291] = {
    [sym_block_comment] = STATE(8291),
    [sym_line_comment] = STATE(8291),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8292] = {
    [sym_block_comment] = STATE(8292),
    [sym_line_comment] = STATE(8292),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8293] = {
    [sym_block_comment] = STATE(8293),
    [sym_line_comment] = STATE(8293),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8294] = {
    [sym_block_comment] = STATE(8294),
    [sym_line_comment] = STATE(8294),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8295] = {
    [sym_block_comment] = STATE(8295),
    [sym_line_comment] = STATE(8295),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8296] = {
    [sym_block_comment] = STATE(8296),
    [sym_line_comment] = STATE(8296),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(12333),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_else] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_finally] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8297] = {
    [sym_block_comment] = STATE(8297),
    [sym_line_comment] = STATE(8297),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(12333),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_else] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_finally] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8298] = {
    [sym_block_comment] = STATE(8298),
    [sym_line_comment] = STATE(8298),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(12333),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_else] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_finally] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8299] = {
    [sym_block_comment] = STATE(8299),
    [sym_line_comment] = STATE(8299),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(12333),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_else] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_finally] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8300] = {
    [sym_block_comment] = STATE(8300),
    [sym_line_comment] = STATE(8300),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9917),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8301] = {
    [sym_block_comment] = STATE(8301),
    [sym_line_comment] = STATE(8301),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12151),
    [anon_sym_EQ] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_end] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_else] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_finally] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11230),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8302] = {
    [sym_block_comment] = STATE(8302),
    [sym_line_comment] = STATE(8302),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10295),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10301),
  },
  [8303] = {
    [sym_block_comment] = STATE(8303),
    [sym_line_comment] = STATE(8303),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_catch] = ACTIONS(10876),
    [anon_sym_finally] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8304] = {
    [sym_block_comment] = STATE(8304),
    [sym_line_comment] = STATE(8304),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_as] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8305] = {
    [sym_block_comment] = STATE(8305),
    [sym_line_comment] = STATE(8305),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(10335),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_DASH_GT] = ACTIONS(9997),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8306] = {
    [sym_block_comment] = STATE(8306),
    [sym_line_comment] = STATE(8306),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(10335),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10257),
  },
  [8307] = {
    [sym_block_comment] = STATE(8307),
    [sym_line_comment] = STATE(8307),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9955),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8308] = {
    [sym_block_comment] = STATE(8308),
    [sym_line_comment] = STATE(8308),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10271),
  },
  [8309] = {
    [sym_block_comment] = STATE(8309),
    [sym_line_comment] = STATE(8309),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_RPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_RBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9971),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_RBRACE] = ACTIONS(9971),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9971),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9971),
    [sym__bitshift_operator] = ACTIONS(9971),
    [sym__power_operator] = ACTIONS(9971),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8310] = {
    [sym_block_comment] = STATE(8310),
    [sym_line_comment] = STATE(8310),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_catch] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8311] = {
    [sym_block_comment] = STATE(8311),
    [sym_line_comment] = STATE(8311),
    [aux_sym_open_tuple_repeat1] = STATE(8312),
    [sym__word_identifier] = ACTIONS(11126),
    [anon_sym_COMMA] = ACTIONS(12335),
    [anon_sym_EQ] = ACTIONS(11126),
    [anon_sym_begin] = ACTIONS(11126),
    [anon_sym_module] = ACTIONS(11126),
    [anon_sym_baremodule] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(11126),
    [anon_sym_abstract] = ACTIONS(11126),
    [anon_sym_primitive] = ACTIONS(11126),
    [anon_sym_mutable] = ACTIONS(11126),
    [anon_sym_struct] = ACTIONS(11126),
    [anon_sym_function] = ACTIONS(11126),
    [anon_sym_macro] = ACTIONS(11126),
    [anon_sym_quote] = ACTIONS(11126),
    [anon_sym_let] = ACTIONS(11126),
    [anon_sym_if] = ACTIONS(11126),
    [anon_sym_try] = ACTIONS(11126),
    [anon_sym_finally] = ACTIONS(11126),
    [anon_sym_for] = ACTIONS(11126),
    [anon_sym_while] = ACTIONS(11126),
    [sym_break_statement] = ACTIONS(11126),
    [sym_continue_statement] = ACTIONS(11126),
    [anon_sym_return] = ACTIONS(11126),
    [anon_sym_const] = ACTIONS(11126),
    [anon_sym_global] = ACTIONS(11126),
    [anon_sym_local] = ACTIONS(11126),
    [anon_sym_LPAREN] = ACTIONS(11126),
    [anon_sym_COLON] = ACTIONS(11126),
    [anon_sym_export] = ACTIONS(11126),
    [anon_sym_public] = ACTIONS(11126),
    [anon_sym_import] = ACTIONS(11126),
    [anon_sym_using] = ACTIONS(11126),
    [anon_sym_LBRACK] = ACTIONS(11126),
    [anon_sym_in] = ACTIONS(11126),
    [anon_sym_SEMI] = ACTIONS(11126),
    [anon_sym_LBRACE] = ACTIONS(11126),
    [anon_sym_DOLLAR] = ACTIONS(11126),
    [anon_sym_COLON2] = ACTIONS(11126),
    [anon_sym_COLON_COLON] = ACTIONS(11126),
    [anon_sym_isa] = ACTIONS(11126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11126),
    [anon_sym_QMARK] = ACTIONS(11126),
    [anon_sym_where] = ACTIONS(11126),
    [anon_sym_AT] = ACTIONS(11126),
    [anon_sym_true] = ACTIONS(11126),
    [anon_sym_false] = ACTIONS(11126),
    [aux_sym_integer_literal_token1] = ACTIONS(11126),
    [aux_sym_integer_literal_token2] = ACTIONS(11126),
    [aux_sym_integer_literal_token3] = ACTIONS(11126),
    [aux_sym_integer_literal_token4] = ACTIONS(11126),
    [aux_sym_float_literal_token1] = ACTIONS(11126),
    [aux_sym_float_literal_token3] = ACTIONS(11126),
    [aux_sym_float_literal_token4] = ACTIONS(11126),
    [sym_character_literal] = ACTIONS(11126),
    [anon_sym_DQUOTE] = ACTIONS(11126),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11126),
    [anon_sym_BQUOTE] = ACTIONS(11126),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11126),
    [sym__pair_operator] = ACTIONS(11126),
    [sym__arrow_operator] = ACTIONS(11126),
    [sym__lazy_or_operator] = ACTIONS(11126),
    [sym__lazy_and_operator] = ACTIONS(11126),
    [sym__comparison_operator] = ACTIONS(11126),
    [sym__pipe_right_operator] = ACTIONS(11126),
    [sym__pipe_left_operator] = ACTIONS(11126),
    [sym__ellipsis_operator] = ACTIONS(11126),
    [sym__plus_operator] = ACTIONS(11126),
    [sym__times_operator] = ACTIONS(11126),
    [sym__rational_operator] = ACTIONS(11126),
    [sym__bitshift_operator] = ACTIONS(11126),
    [sym__power_operator] = ACTIONS(11126),
    [sym__tilde_operator] = ACTIONS(11126),
    [sym__type_order_operator] = ACTIONS(11126),
    [sym__unary_operator] = ACTIONS(11126),
    [sym__unary_plus_operator] = ACTIONS(11126),
    [aux_sym__terminator_token1] = ACTIONS(11130),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8312] = {
    [sym_block_comment] = STATE(8312),
    [sym_line_comment] = STATE(8312),
    [aux_sym_open_tuple_repeat1] = STATE(8312),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(12337),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_end] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_finally] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11134),
    [anon_sym_COLON] = ACTIONS(11134),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11134),
    [anon_sym_in] = ACTIONS(11134),
    [anon_sym_SEMI] = ACTIONS(11134),
    [anon_sym_LBRACE] = ACTIONS(11134),
    [anon_sym_DOLLAR] = ACTIONS(11134),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(11134),
    [anon_sym_isa] = ACTIONS(11134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_QMARK] = ACTIONS(11134),
    [anon_sym_where] = ACTIONS(11134),
    [anon_sym_AT] = ACTIONS(11134),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11134),
    [aux_sym_integer_literal_token2] = ACTIONS(11134),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11134),
    [aux_sym_float_literal_token3] = ACTIONS(11134),
    [aux_sym_float_literal_token4] = ACTIONS(11134),
    [sym_character_literal] = ACTIONS(11134),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11134),
    [sym__pair_operator] = ACTIONS(11134),
    [sym__arrow_operator] = ACTIONS(11134),
    [sym__lazy_or_operator] = ACTIONS(11134),
    [sym__lazy_and_operator] = ACTIONS(11134),
    [sym__comparison_operator] = ACTIONS(11134),
    [sym__pipe_right_operator] = ACTIONS(11134),
    [sym__pipe_left_operator] = ACTIONS(11134),
    [sym__ellipsis_operator] = ACTIONS(11134),
    [sym__plus_operator] = ACTIONS(11134),
    [sym__times_operator] = ACTIONS(11134),
    [sym__rational_operator] = ACTIONS(11134),
    [sym__bitshift_operator] = ACTIONS(11134),
    [sym__power_operator] = ACTIONS(11134),
    [sym__tilde_operator] = ACTIONS(11134),
    [sym__type_order_operator] = ACTIONS(11134),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(11134),
    [aux_sym__terminator_token1] = ACTIONS(11139),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8313] = {
    [sym_block_comment] = STATE(8313),
    [sym_line_comment] = STATE(8313),
    [aux_sym_export_statement_repeat1] = STATE(8331),
    [sym__word_identifier] = ACTIONS(11278),
    [anon_sym_COMMA] = ACTIONS(12340),
    [anon_sym_EQ] = ACTIONS(11278),
    [anon_sym_begin] = ACTIONS(11278),
    [anon_sym_module] = ACTIONS(11278),
    [anon_sym_baremodule] = ACTIONS(11278),
    [anon_sym_abstract] = ACTIONS(11278),
    [anon_sym_primitive] = ACTIONS(11278),
    [anon_sym_mutable] = ACTIONS(11278),
    [anon_sym_struct] = ACTIONS(11278),
    [anon_sym_function] = ACTIONS(11278),
    [anon_sym_macro] = ACTIONS(11278),
    [anon_sym_quote] = ACTIONS(11278),
    [anon_sym_let] = ACTIONS(11278),
    [anon_sym_if] = ACTIONS(11278),
    [anon_sym_try] = ACTIONS(11278),
    [anon_sym_catch] = ACTIONS(11278),
    [anon_sym_finally] = ACTIONS(11278),
    [anon_sym_for] = ACTIONS(11278),
    [anon_sym_while] = ACTIONS(11278),
    [sym_break_statement] = ACTIONS(11278),
    [sym_continue_statement] = ACTIONS(11278),
    [anon_sym_return] = ACTIONS(11278),
    [anon_sym_const] = ACTIONS(11278),
    [anon_sym_global] = ACTIONS(11278),
    [anon_sym_local] = ACTIONS(11278),
    [anon_sym_LPAREN] = ACTIONS(11278),
    [anon_sym_COLON] = ACTIONS(11278),
    [anon_sym_export] = ACTIONS(11278),
    [anon_sym_public] = ACTIONS(11278),
    [anon_sym_import] = ACTIONS(11278),
    [anon_sym_using] = ACTIONS(11278),
    [anon_sym_LBRACK] = ACTIONS(11278),
    [anon_sym_in] = ACTIONS(11278),
    [anon_sym_SEMI] = ACTIONS(11278),
    [anon_sym_LBRACE] = ACTIONS(11278),
    [anon_sym_DOLLAR] = ACTIONS(11278),
    [anon_sym_COLON2] = ACTIONS(11278),
    [anon_sym_COLON_COLON] = ACTIONS(11278),
    [anon_sym_isa] = ACTIONS(11278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11278),
    [anon_sym_QMARK] = ACTIONS(11278),
    [anon_sym_where] = ACTIONS(11278),
    [anon_sym_AT] = ACTIONS(11278),
    [anon_sym_true] = ACTIONS(11278),
    [anon_sym_false] = ACTIONS(11278),
    [aux_sym_integer_literal_token1] = ACTIONS(11278),
    [aux_sym_integer_literal_token2] = ACTIONS(11278),
    [aux_sym_integer_literal_token3] = ACTIONS(11278),
    [aux_sym_integer_literal_token4] = ACTIONS(11278),
    [aux_sym_float_literal_token1] = ACTIONS(11278),
    [aux_sym_float_literal_token3] = ACTIONS(11278),
    [aux_sym_float_literal_token4] = ACTIONS(11278),
    [sym_character_literal] = ACTIONS(11278),
    [anon_sym_DQUOTE] = ACTIONS(11278),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11278),
    [anon_sym_BQUOTE] = ACTIONS(11278),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11278),
    [sym__pair_operator] = ACTIONS(11278),
    [sym__arrow_operator] = ACTIONS(11278),
    [sym__lazy_or_operator] = ACTIONS(11278),
    [sym__lazy_and_operator] = ACTIONS(11278),
    [sym__comparison_operator] = ACTIONS(11278),
    [sym__pipe_right_operator] = ACTIONS(11278),
    [sym__pipe_left_operator] = ACTIONS(11278),
    [sym__ellipsis_operator] = ACTIONS(11278),
    [sym__plus_operator] = ACTIONS(11278),
    [sym__times_operator] = ACTIONS(11278),
    [sym__rational_operator] = ACTIONS(11278),
    [sym__bitshift_operator] = ACTIONS(11278),
    [sym__power_operator] = ACTIONS(11278),
    [sym__tilde_operator] = ACTIONS(11278),
    [sym__type_order_operator] = ACTIONS(11278),
    [sym__unary_operator] = ACTIONS(11278),
    [sym__unary_plus_operator] = ACTIONS(11278),
    [aux_sym__terminator_token1] = ACTIONS(11282),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8314] = {
    [sym_block_comment] = STATE(8314),
    [sym_line_comment] = STATE(8314),
    [aux_sym_export_statement_repeat1] = STATE(8333),
    [sym__word_identifier] = ACTIONS(11141),
    [anon_sym_COMMA] = ACTIONS(12340),
    [anon_sym_EQ] = ACTIONS(11141),
    [anon_sym_begin] = ACTIONS(11141),
    [anon_sym_module] = ACTIONS(11141),
    [anon_sym_baremodule] = ACTIONS(11141),
    [anon_sym_abstract] = ACTIONS(11141),
    [anon_sym_primitive] = ACTIONS(11141),
    [anon_sym_mutable] = ACTIONS(11141),
    [anon_sym_struct] = ACTIONS(11141),
    [anon_sym_function] = ACTIONS(11141),
    [anon_sym_macro] = ACTIONS(11141),
    [anon_sym_quote] = ACTIONS(11141),
    [anon_sym_let] = ACTIONS(11141),
    [anon_sym_if] = ACTIONS(11141),
    [anon_sym_try] = ACTIONS(11141),
    [anon_sym_catch] = ACTIONS(11141),
    [anon_sym_finally] = ACTIONS(11141),
    [anon_sym_for] = ACTIONS(11141),
    [anon_sym_while] = ACTIONS(11141),
    [sym_break_statement] = ACTIONS(11141),
    [sym_continue_statement] = ACTIONS(11141),
    [anon_sym_return] = ACTIONS(11141),
    [anon_sym_const] = ACTIONS(11141),
    [anon_sym_global] = ACTIONS(11141),
    [anon_sym_local] = ACTIONS(11141),
    [anon_sym_LPAREN] = ACTIONS(11141),
    [anon_sym_COLON] = ACTIONS(11141),
    [anon_sym_export] = ACTIONS(11141),
    [anon_sym_public] = ACTIONS(11141),
    [anon_sym_import] = ACTIONS(11141),
    [anon_sym_using] = ACTIONS(11141),
    [anon_sym_LBRACK] = ACTIONS(11141),
    [anon_sym_in] = ACTIONS(11141),
    [anon_sym_SEMI] = ACTIONS(11141),
    [anon_sym_LBRACE] = ACTIONS(11141),
    [anon_sym_DOLLAR] = ACTIONS(11141),
    [anon_sym_COLON2] = ACTIONS(11141),
    [anon_sym_COLON_COLON] = ACTIONS(11141),
    [anon_sym_isa] = ACTIONS(11141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11141),
    [anon_sym_QMARK] = ACTIONS(11141),
    [anon_sym_where] = ACTIONS(11141),
    [anon_sym_AT] = ACTIONS(11141),
    [anon_sym_true] = ACTIONS(11141),
    [anon_sym_false] = ACTIONS(11141),
    [aux_sym_integer_literal_token1] = ACTIONS(11141),
    [aux_sym_integer_literal_token2] = ACTIONS(11141),
    [aux_sym_integer_literal_token3] = ACTIONS(11141),
    [aux_sym_integer_literal_token4] = ACTIONS(11141),
    [aux_sym_float_literal_token1] = ACTIONS(11141),
    [aux_sym_float_literal_token3] = ACTIONS(11141),
    [aux_sym_float_literal_token4] = ACTIONS(11141),
    [sym_character_literal] = ACTIONS(11141),
    [anon_sym_DQUOTE] = ACTIONS(11141),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11141),
    [anon_sym_BQUOTE] = ACTIONS(11141),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11141),
    [sym__pair_operator] = ACTIONS(11141),
    [sym__arrow_operator] = ACTIONS(11141),
    [sym__lazy_or_operator] = ACTIONS(11141),
    [sym__lazy_and_operator] = ACTIONS(11141),
    [sym__comparison_operator] = ACTIONS(11141),
    [sym__pipe_right_operator] = ACTIONS(11141),
    [sym__pipe_left_operator] = ACTIONS(11141),
    [sym__ellipsis_operator] = ACTIONS(11141),
    [sym__plus_operator] = ACTIONS(11141),
    [sym__times_operator] = ACTIONS(11141),
    [sym__rational_operator] = ACTIONS(11141),
    [sym__bitshift_operator] = ACTIONS(11141),
    [sym__power_operator] = ACTIONS(11141),
    [sym__tilde_operator] = ACTIONS(11141),
    [sym__type_order_operator] = ACTIONS(11141),
    [sym__unary_operator] = ACTIONS(11141),
    [sym__unary_plus_operator] = ACTIONS(11141),
    [aux_sym__terminator_token1] = ACTIONS(11145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8315] = {
    [sym_block_comment] = STATE(8315),
    [sym_line_comment] = STATE(8315),
    [aux_sym__import_list_repeat1] = STATE(8335),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11270),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_catch] = ACTIONS(11024),
    [anon_sym_finally] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8316] = {
    [sym_block_comment] = STATE(8316),
    [sym_line_comment] = STATE(8316),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10982),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_catch] = ACTIONS(10982),
    [anon_sym_finally] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10982),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10982),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_SEMI] = ACTIONS(10982),
    [anon_sym_LBRACE] = ACTIONS(10982),
    [anon_sym_DOLLAR] = ACTIONS(10982),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10982),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10982),
    [anon_sym_QMARK] = ACTIONS(10982),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10982),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10982),
    [aux_sym_integer_literal_token2] = ACTIONS(10982),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10982),
    [aux_sym_float_literal_token3] = ACTIONS(10982),
    [aux_sym_float_literal_token4] = ACTIONS(10982),
    [sym_character_literal] = ACTIONS(10982),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10982),
    [sym__pair_operator] = ACTIONS(10982),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10982),
    [sym__lazy_and_operator] = ACTIONS(10982),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10982),
    [sym__pipe_left_operator] = ACTIONS(10982),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10982),
    [sym__bitshift_operator] = ACTIONS(10982),
    [sym__power_operator] = ACTIONS(10982),
    [sym__tilde_operator] = ACTIONS(10982),
    [sym__type_order_operator] = ACTIONS(10982),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym__terminator_token1] = ACTIONS(10986),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8317] = {
    [sym_block_comment] = STATE(8317),
    [sym_line_comment] = STATE(8317),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_as] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8318] = {
    [sym_block_comment] = STATE(8318),
    [sym_line_comment] = STATE(8318),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [8319] = {
    [sym_block_comment] = STATE(8319),
    [sym_line_comment] = STATE(8319),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10878),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10878),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10878),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10878),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10878),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10878),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10878),
    [anon_sym_QMARK] = ACTIONS(10878),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10878),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10878),
    [aux_sym_integer_literal_token2] = ACTIONS(10878),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10878),
    [aux_sym_float_literal_token3] = ACTIONS(10878),
    [aux_sym_float_literal_token4] = ACTIONS(10878),
    [sym_character_literal] = ACTIONS(10878),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10878),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10878),
    [sym__pair_operator] = ACTIONS(10878),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10878),
    [sym__lazy_and_operator] = ACTIONS(10878),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10878),
    [sym__pipe_left_operator] = ACTIONS(10878),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10878),
    [sym__bitshift_operator] = ACTIONS(10878),
    [sym__power_operator] = ACTIONS(10878),
    [sym__tilde_operator] = ACTIONS(10878),
    [sym__type_order_operator] = ACTIONS(10878),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10878),
    [sym__immediate_bracket] = ACTIONS(10878),
    [sym__immediate_brace] = ACTIONS(10878),
  },
  [8320] = {
    [sym_block_comment] = STATE(8320),
    [sym_line_comment] = STATE(8320),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10325),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10325),
    [anon_sym_RPAREN] = ACTIONS(10325),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10325),
    [anon_sym_RBRACK] = ACTIONS(10325),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10325),
    [anon_sym_LBRACE] = ACTIONS(10325),
    [anon_sym_RBRACE] = ACTIONS(10325),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10325),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10325),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10325),
    [anon_sym_QMARK] = ACTIONS(10325),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10325),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10325),
    [aux_sym_integer_literal_token2] = ACTIONS(10325),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10325),
    [aux_sym_float_literal_token3] = ACTIONS(10325),
    [aux_sym_float_literal_token4] = ACTIONS(10325),
    [sym_character_literal] = ACTIONS(10325),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10325),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10325),
    [sym__pair_operator] = ACTIONS(10325),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10325),
    [sym__lazy_and_operator] = ACTIONS(10325),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10325),
    [sym__pipe_left_operator] = ACTIONS(10325),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10325),
    [sym__bitshift_operator] = ACTIONS(10325),
    [sym__power_operator] = ACTIONS(10325),
    [sym__tilde_operator] = ACTIONS(10325),
    [sym__type_order_operator] = ACTIONS(10325),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8321] = {
    [sym_block_comment] = STATE(8321),
    [sym_line_comment] = STATE(8321),
    [aux_sym__import_list_repeat1] = STATE(8121),
    [ts_builtin_sym_end] = ACTIONS(11032),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11106),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_RBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8322] = {
    [sym_block_comment] = STATE(8322),
    [sym_line_comment] = STATE(8322),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8323] = {
    [sym_block_comment] = STATE(8323),
    [sym_line_comment] = STATE(8323),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9971),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9971),
    [sym__bitshift_operator] = ACTIONS(9971),
    [sym__power_operator] = ACTIONS(9971),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(12197),
    [sym__immediate_command_start] = ACTIONS(12199),
  },
  [8324] = {
    [sym_block_comment] = STATE(8324),
    [sym_line_comment] = STATE(8324),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_finally] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8325] = {
    [sym_block_comment] = STATE(8325),
    [sym_line_comment] = STATE(8325),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9981),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8326] = {
    [sym_block_comment] = STATE(8326),
    [sym_line_comment] = STATE(8326),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10329),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10329),
    [anon_sym_RPAREN] = ACTIONS(10329),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10329),
    [anon_sym_RBRACK] = ACTIONS(10329),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10329),
    [anon_sym_LBRACE] = ACTIONS(10329),
    [anon_sym_RBRACE] = ACTIONS(10329),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10329),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10329),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10329),
    [anon_sym_QMARK] = ACTIONS(10329),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10329),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10329),
    [aux_sym_integer_literal_token2] = ACTIONS(10329),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10329),
    [aux_sym_float_literal_token3] = ACTIONS(10329),
    [aux_sym_float_literal_token4] = ACTIONS(10329),
    [sym_character_literal] = ACTIONS(10329),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10329),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10329),
    [sym__pair_operator] = ACTIONS(10329),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10329),
    [sym__lazy_and_operator] = ACTIONS(10329),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10329),
    [sym__pipe_left_operator] = ACTIONS(10329),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10329),
    [sym__bitshift_operator] = ACTIONS(10329),
    [sym__power_operator] = ACTIONS(10329),
    [sym__tilde_operator] = ACTIONS(10329),
    [sym__type_order_operator] = ACTIONS(10329),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8327] = {
    [sym_block_comment] = STATE(8327),
    [sym_line_comment] = STATE(8327),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_finally] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8328] = {
    [sym_block_comment] = STATE(8328),
    [sym_line_comment] = STATE(8328),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10301),
  },
  [8329] = {
    [sym_block_comment] = STATE(8329),
    [sym_line_comment] = STATE(8329),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10197),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9991),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8330] = {
    [sym_block_comment] = STATE(8330),
    [sym_line_comment] = STATE(8330),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_catch] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(12342),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8331] = {
    [sym_block_comment] = STATE(8331),
    [sym_line_comment] = STATE(8331),
    [aux_sym_export_statement_repeat1] = STATE(8380),
    [sym__word_identifier] = ACTIONS(11286),
    [anon_sym_COMMA] = ACTIONS(12340),
    [anon_sym_EQ] = ACTIONS(11286),
    [anon_sym_begin] = ACTIONS(11286),
    [anon_sym_module] = ACTIONS(11286),
    [anon_sym_baremodule] = ACTIONS(11286),
    [anon_sym_abstract] = ACTIONS(11286),
    [anon_sym_primitive] = ACTIONS(11286),
    [anon_sym_mutable] = ACTIONS(11286),
    [anon_sym_struct] = ACTIONS(11286),
    [anon_sym_function] = ACTIONS(11286),
    [anon_sym_macro] = ACTIONS(11286),
    [anon_sym_quote] = ACTIONS(11286),
    [anon_sym_let] = ACTIONS(11286),
    [anon_sym_if] = ACTIONS(11286),
    [anon_sym_try] = ACTIONS(11286),
    [anon_sym_catch] = ACTIONS(11286),
    [anon_sym_finally] = ACTIONS(11286),
    [anon_sym_for] = ACTIONS(11286),
    [anon_sym_while] = ACTIONS(11286),
    [sym_break_statement] = ACTIONS(11286),
    [sym_continue_statement] = ACTIONS(11286),
    [anon_sym_return] = ACTIONS(11286),
    [anon_sym_const] = ACTIONS(11286),
    [anon_sym_global] = ACTIONS(11286),
    [anon_sym_local] = ACTIONS(11286),
    [anon_sym_LPAREN] = ACTIONS(11286),
    [anon_sym_COLON] = ACTIONS(11286),
    [anon_sym_export] = ACTIONS(11286),
    [anon_sym_public] = ACTIONS(11286),
    [anon_sym_import] = ACTIONS(11286),
    [anon_sym_using] = ACTIONS(11286),
    [anon_sym_LBRACK] = ACTIONS(11286),
    [anon_sym_in] = ACTIONS(11286),
    [anon_sym_SEMI] = ACTIONS(11286),
    [anon_sym_LBRACE] = ACTIONS(11286),
    [anon_sym_DOLLAR] = ACTIONS(11286),
    [anon_sym_COLON2] = ACTIONS(11286),
    [anon_sym_COLON_COLON] = ACTIONS(11286),
    [anon_sym_isa] = ACTIONS(11286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11286),
    [anon_sym_QMARK] = ACTIONS(11286),
    [anon_sym_where] = ACTIONS(11286),
    [anon_sym_AT] = ACTIONS(11286),
    [anon_sym_true] = ACTIONS(11286),
    [anon_sym_false] = ACTIONS(11286),
    [aux_sym_integer_literal_token1] = ACTIONS(11286),
    [aux_sym_integer_literal_token2] = ACTIONS(11286),
    [aux_sym_integer_literal_token3] = ACTIONS(11286),
    [aux_sym_integer_literal_token4] = ACTIONS(11286),
    [aux_sym_float_literal_token1] = ACTIONS(11286),
    [aux_sym_float_literal_token3] = ACTIONS(11286),
    [aux_sym_float_literal_token4] = ACTIONS(11286),
    [sym_character_literal] = ACTIONS(11286),
    [anon_sym_DQUOTE] = ACTIONS(11286),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11286),
    [anon_sym_BQUOTE] = ACTIONS(11286),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11286),
    [sym__pair_operator] = ACTIONS(11286),
    [sym__arrow_operator] = ACTIONS(11286),
    [sym__lazy_or_operator] = ACTIONS(11286),
    [sym__lazy_and_operator] = ACTIONS(11286),
    [sym__comparison_operator] = ACTIONS(11286),
    [sym__pipe_right_operator] = ACTIONS(11286),
    [sym__pipe_left_operator] = ACTIONS(11286),
    [sym__ellipsis_operator] = ACTIONS(11286),
    [sym__plus_operator] = ACTIONS(11286),
    [sym__times_operator] = ACTIONS(11286),
    [sym__rational_operator] = ACTIONS(11286),
    [sym__bitshift_operator] = ACTIONS(11286),
    [sym__power_operator] = ACTIONS(11286),
    [sym__tilde_operator] = ACTIONS(11286),
    [sym__type_order_operator] = ACTIONS(11286),
    [sym__unary_operator] = ACTIONS(11286),
    [sym__unary_plus_operator] = ACTIONS(11286),
    [aux_sym__terminator_token1] = ACTIONS(11288),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8332] = {
    [sym_block_comment] = STATE(8332),
    [sym_line_comment] = STATE(8332),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(12333),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_else] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_finally] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8333] = {
    [sym_block_comment] = STATE(8333),
    [sym_line_comment] = STATE(8333),
    [aux_sym_export_statement_repeat1] = STATE(8380),
    [sym__word_identifier] = ACTIONS(11290),
    [anon_sym_COMMA] = ACTIONS(12340),
    [anon_sym_EQ] = ACTIONS(11290),
    [anon_sym_begin] = ACTIONS(11290),
    [anon_sym_module] = ACTIONS(11290),
    [anon_sym_baremodule] = ACTIONS(11290),
    [anon_sym_abstract] = ACTIONS(11290),
    [anon_sym_primitive] = ACTIONS(11290),
    [anon_sym_mutable] = ACTIONS(11290),
    [anon_sym_struct] = ACTIONS(11290),
    [anon_sym_function] = ACTIONS(11290),
    [anon_sym_macro] = ACTIONS(11290),
    [anon_sym_quote] = ACTIONS(11290),
    [anon_sym_let] = ACTIONS(11290),
    [anon_sym_if] = ACTIONS(11290),
    [anon_sym_try] = ACTIONS(11290),
    [anon_sym_catch] = ACTIONS(11290),
    [anon_sym_finally] = ACTIONS(11290),
    [anon_sym_for] = ACTIONS(11290),
    [anon_sym_while] = ACTIONS(11290),
    [sym_break_statement] = ACTIONS(11290),
    [sym_continue_statement] = ACTIONS(11290),
    [anon_sym_return] = ACTIONS(11290),
    [anon_sym_const] = ACTIONS(11290),
    [anon_sym_global] = ACTIONS(11290),
    [anon_sym_local] = ACTIONS(11290),
    [anon_sym_LPAREN] = ACTIONS(11290),
    [anon_sym_COLON] = ACTIONS(11290),
    [anon_sym_export] = ACTIONS(11290),
    [anon_sym_public] = ACTIONS(11290),
    [anon_sym_import] = ACTIONS(11290),
    [anon_sym_using] = ACTIONS(11290),
    [anon_sym_LBRACK] = ACTIONS(11290),
    [anon_sym_in] = ACTIONS(11290),
    [anon_sym_SEMI] = ACTIONS(11290),
    [anon_sym_LBRACE] = ACTIONS(11290),
    [anon_sym_DOLLAR] = ACTIONS(11290),
    [anon_sym_COLON2] = ACTIONS(11290),
    [anon_sym_COLON_COLON] = ACTIONS(11290),
    [anon_sym_isa] = ACTIONS(11290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11290),
    [anon_sym_QMARK] = ACTIONS(11290),
    [anon_sym_where] = ACTIONS(11290),
    [anon_sym_AT] = ACTIONS(11290),
    [anon_sym_true] = ACTIONS(11290),
    [anon_sym_false] = ACTIONS(11290),
    [aux_sym_integer_literal_token1] = ACTIONS(11290),
    [aux_sym_integer_literal_token2] = ACTIONS(11290),
    [aux_sym_integer_literal_token3] = ACTIONS(11290),
    [aux_sym_integer_literal_token4] = ACTIONS(11290),
    [aux_sym_float_literal_token1] = ACTIONS(11290),
    [aux_sym_float_literal_token3] = ACTIONS(11290),
    [aux_sym_float_literal_token4] = ACTIONS(11290),
    [sym_character_literal] = ACTIONS(11290),
    [anon_sym_DQUOTE] = ACTIONS(11290),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11290),
    [anon_sym_BQUOTE] = ACTIONS(11290),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11290),
    [sym__pair_operator] = ACTIONS(11290),
    [sym__arrow_operator] = ACTIONS(11290),
    [sym__lazy_or_operator] = ACTIONS(11290),
    [sym__lazy_and_operator] = ACTIONS(11290),
    [sym__comparison_operator] = ACTIONS(11290),
    [sym__pipe_right_operator] = ACTIONS(11290),
    [sym__pipe_left_operator] = ACTIONS(11290),
    [sym__ellipsis_operator] = ACTIONS(11290),
    [sym__plus_operator] = ACTIONS(11290),
    [sym__times_operator] = ACTIONS(11290),
    [sym__rational_operator] = ACTIONS(11290),
    [sym__bitshift_operator] = ACTIONS(11290),
    [sym__power_operator] = ACTIONS(11290),
    [sym__tilde_operator] = ACTIONS(11290),
    [sym__type_order_operator] = ACTIONS(11290),
    [sym__unary_operator] = ACTIONS(11290),
    [sym__unary_plus_operator] = ACTIONS(11290),
    [aux_sym__terminator_token1] = ACTIONS(11292),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8334] = {
    [sym_block_comment] = STATE(8334),
    [sym_line_comment] = STATE(8334),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_finally] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8335] = {
    [sym_block_comment] = STATE(8335),
    [sym_line_comment] = STATE(8335),
    [aux_sym__import_list_repeat1] = STATE(8382),
    [sym__word_identifier] = ACTIONS(11066),
    [anon_sym_COMMA] = ACTIONS(11270),
    [anon_sym_EQ] = ACTIONS(11066),
    [anon_sym_begin] = ACTIONS(11066),
    [anon_sym_module] = ACTIONS(11066),
    [anon_sym_baremodule] = ACTIONS(11066),
    [anon_sym_abstract] = ACTIONS(11066),
    [anon_sym_primitive] = ACTIONS(11066),
    [anon_sym_mutable] = ACTIONS(11066),
    [anon_sym_struct] = ACTIONS(11066),
    [anon_sym_function] = ACTIONS(11066),
    [anon_sym_macro] = ACTIONS(11066),
    [anon_sym_quote] = ACTIONS(11066),
    [anon_sym_let] = ACTIONS(11066),
    [anon_sym_if] = ACTIONS(11066),
    [anon_sym_try] = ACTIONS(11066),
    [anon_sym_catch] = ACTIONS(11066),
    [anon_sym_finally] = ACTIONS(11066),
    [anon_sym_for] = ACTIONS(11066),
    [anon_sym_while] = ACTIONS(11066),
    [sym_break_statement] = ACTIONS(11066),
    [sym_continue_statement] = ACTIONS(11066),
    [anon_sym_return] = ACTIONS(11066),
    [anon_sym_const] = ACTIONS(11066),
    [anon_sym_global] = ACTIONS(11066),
    [anon_sym_local] = ACTIONS(11066),
    [anon_sym_LPAREN] = ACTIONS(11066),
    [anon_sym_COLON] = ACTIONS(11066),
    [anon_sym_export] = ACTIONS(11066),
    [anon_sym_public] = ACTIONS(11066),
    [anon_sym_import] = ACTIONS(11066),
    [anon_sym_using] = ACTIONS(11066),
    [anon_sym_LBRACK] = ACTIONS(11066),
    [anon_sym_in] = ACTIONS(11066),
    [anon_sym_SEMI] = ACTIONS(11066),
    [anon_sym_LBRACE] = ACTIONS(11066),
    [anon_sym_DOLLAR] = ACTIONS(11066),
    [anon_sym_COLON2] = ACTIONS(11066),
    [anon_sym_COLON_COLON] = ACTIONS(11066),
    [anon_sym_isa] = ACTIONS(11066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11066),
    [anon_sym_QMARK] = ACTIONS(11066),
    [anon_sym_where] = ACTIONS(11066),
    [anon_sym_AT] = ACTIONS(11066),
    [anon_sym_true] = ACTIONS(11066),
    [anon_sym_false] = ACTIONS(11066),
    [aux_sym_integer_literal_token1] = ACTIONS(11066),
    [aux_sym_integer_literal_token2] = ACTIONS(11066),
    [aux_sym_integer_literal_token3] = ACTIONS(11066),
    [aux_sym_integer_literal_token4] = ACTIONS(11066),
    [aux_sym_float_literal_token1] = ACTIONS(11066),
    [aux_sym_float_literal_token3] = ACTIONS(11066),
    [aux_sym_float_literal_token4] = ACTIONS(11066),
    [sym_character_literal] = ACTIONS(11066),
    [anon_sym_DQUOTE] = ACTIONS(11066),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11066),
    [anon_sym_BQUOTE] = ACTIONS(11066),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(11066),
    [sym__arrow_operator] = ACTIONS(11066),
    [sym__lazy_or_operator] = ACTIONS(11066),
    [sym__lazy_and_operator] = ACTIONS(11066),
    [sym__comparison_operator] = ACTIONS(11066),
    [sym__pipe_right_operator] = ACTIONS(11066),
    [sym__pipe_left_operator] = ACTIONS(11066),
    [sym__ellipsis_operator] = ACTIONS(11066),
    [sym__plus_operator] = ACTIONS(11066),
    [sym__times_operator] = ACTIONS(11066),
    [sym__rational_operator] = ACTIONS(11066),
    [sym__bitshift_operator] = ACTIONS(11066),
    [sym__power_operator] = ACTIONS(11066),
    [sym__tilde_operator] = ACTIONS(11066),
    [sym__type_order_operator] = ACTIONS(11066),
    [sym__unary_operator] = ACTIONS(11066),
    [sym__unary_plus_operator] = ACTIONS(11066),
    [aux_sym__terminator_token1] = ACTIONS(11068),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8336] = {
    [sym_block_comment] = STATE(8336),
    [sym_line_comment] = STATE(8336),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_catch] = ACTIONS(9907),
    [anon_sym_finally] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8337] = {
    [sym_block_comment] = STATE(8337),
    [sym_line_comment] = STATE(8337),
    [aux_sym_open_tuple_repeat1] = STATE(8241),
    [ts_builtin_sym_end] = ACTIONS(11214),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(12231),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_RBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8338] = {
    [sym_block_comment] = STATE(8338),
    [sym_line_comment] = STATE(8338),
    [aux_sym_open_tuple_repeat1] = STATE(7876),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11689),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11214),
    [anon_sym_RPAREN] = ACTIONS(11214),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11214),
    [anon_sym_RBRACK] = ACTIONS(11214),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11214),
    [anon_sym_LBRACE] = ACTIONS(11214),
    [anon_sym_RBRACE] = ACTIONS(11214),
    [anon_sym_DOLLAR] = ACTIONS(11214),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11214),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11214),
    [aux_sym_integer_literal_token2] = ACTIONS(11214),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11214),
    [aux_sym_float_literal_token3] = ACTIONS(11214),
    [aux_sym_float_literal_token4] = ACTIONS(11214),
    [sym_character_literal] = ACTIONS(11214),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11214),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11214),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11214),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8339] = {
    [sym_block_comment] = STATE(8339),
    [sym_line_comment] = STATE(8339),
    [aux_sym_open_tuple_repeat1] = STATE(8241),
    [ts_builtin_sym_end] = ACTIONS(11260),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(12231),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_RBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8340] = {
    [sym_block_comment] = STATE(8340),
    [sym_line_comment] = STATE(8340),
    [aux_sym_open_tuple_repeat1] = STATE(8241),
    [ts_builtin_sym_end] = ACTIONS(11202),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(12231),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_RBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8341] = {
    [sym_block_comment] = STATE(8341),
    [sym_line_comment] = STATE(8341),
    [aux_sym_open_tuple_repeat1] = STATE(8241),
    [ts_builtin_sym_end] = ACTIONS(11206),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(12231),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_RBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8342] = {
    [sym_block_comment] = STATE(8342),
    [sym_line_comment] = STATE(8342),
    [aux_sym_open_tuple_repeat1] = STATE(8241),
    [ts_builtin_sym_end] = ACTIONS(11210),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(12231),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_RBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8343] = {
    [sym_block_comment] = STATE(8343),
    [sym_line_comment] = STATE(8343),
    [aux_sym_open_tuple_repeat1] = STATE(8134),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_catch] = ACTIONS(11212),
    [anon_sym_finally] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12392),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8344] = {
    [sym_block_comment] = STATE(8344),
    [sym_line_comment] = STATE(8344),
    [aux_sym_open_tuple_repeat1] = STATE(7876),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11689),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11202),
    [anon_sym_RPAREN] = ACTIONS(11202),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11202),
    [anon_sym_RBRACK] = ACTIONS(11202),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11202),
    [anon_sym_LBRACE] = ACTIONS(11202),
    [anon_sym_RBRACE] = ACTIONS(11202),
    [anon_sym_DOLLAR] = ACTIONS(11202),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11202),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11202),
    [aux_sym_integer_literal_token2] = ACTIONS(11202),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11202),
    [aux_sym_float_literal_token3] = ACTIONS(11202),
    [aux_sym_float_literal_token4] = ACTIONS(11202),
    [sym_character_literal] = ACTIONS(11202),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11202),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11202),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11202),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8345] = {
    [sym_block_comment] = STATE(8345),
    [sym_line_comment] = STATE(8345),
    [aux_sym_open_tuple_repeat1] = STATE(7876),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11689),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11206),
    [anon_sym_RPAREN] = ACTIONS(11206),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11206),
    [anon_sym_RBRACK] = ACTIONS(11206),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11206),
    [anon_sym_LBRACE] = ACTIONS(11206),
    [anon_sym_RBRACE] = ACTIONS(11206),
    [anon_sym_DOLLAR] = ACTIONS(11206),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11206),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11206),
    [aux_sym_integer_literal_token2] = ACTIONS(11206),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11206),
    [aux_sym_float_literal_token3] = ACTIONS(11206),
    [aux_sym_float_literal_token4] = ACTIONS(11206),
    [sym_character_literal] = ACTIONS(11206),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11206),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11206),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11206),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8346] = {
    [sym_block_comment] = STATE(8346),
    [sym_line_comment] = STATE(8346),
    [aux_sym_open_tuple_repeat1] = STATE(7876),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11689),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11210),
    [anon_sym_RPAREN] = ACTIONS(11210),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11210),
    [anon_sym_RBRACK] = ACTIONS(11210),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11210),
    [anon_sym_LBRACE] = ACTIONS(11210),
    [anon_sym_RBRACE] = ACTIONS(11210),
    [anon_sym_DOLLAR] = ACTIONS(11210),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11210),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11210),
    [aux_sym_integer_literal_token2] = ACTIONS(11210),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11210),
    [aux_sym_float_literal_token3] = ACTIONS(11210),
    [aux_sym_float_literal_token4] = ACTIONS(11210),
    [sym_character_literal] = ACTIONS(11210),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11210),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11210),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11210),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8347] = {
    [sym__comprehension_clause] = STATE(19820),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8347),
    [sym_line_comment] = STATE(8347),
    [aux_sym_vector_expression_repeat1] = STATE(18108),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12420),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12422),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12424),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12427),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8348] = {
    [sym_block_comment] = STATE(8348),
    [sym_line_comment] = STATE(8348),
    [aux_sym_open_tuple_repeat1] = STATE(8134),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_catch] = ACTIONS(11166),
    [anon_sym_finally] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12392),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8349] = {
    [sym_block_comment] = STATE(8349),
    [sym_line_comment] = STATE(8349),
    [aux_sym_open_tuple_repeat1] = STATE(8134),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_catch] = ACTIONS(11204),
    [anon_sym_finally] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12392),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8350] = {
    [sym_block_comment] = STATE(8350),
    [sym_line_comment] = STATE(8350),
    [aux_sym_open_tuple_repeat1] = STATE(8134),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_catch] = ACTIONS(11208),
    [anon_sym_finally] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12392),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8351] = {
    [sym_block_comment] = STATE(8351),
    [sym_line_comment] = STATE(8351),
    [aux_sym_open_tuple_repeat1] = STATE(8270),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_catch] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12438),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8352] = {
    [sym_block_comment] = STATE(8352),
    [sym_line_comment] = STATE(8352),
    [aux_sym_open_tuple_repeat1] = STATE(7876),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11689),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11260),
    [anon_sym_RPAREN] = ACTIONS(11260),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11260),
    [anon_sym_RBRACK] = ACTIONS(11260),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11260),
    [anon_sym_LBRACE] = ACTIONS(11260),
    [anon_sym_RBRACE] = ACTIONS(11260),
    [anon_sym_DOLLAR] = ACTIONS(11260),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11260),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11260),
    [aux_sym_integer_literal_token2] = ACTIONS(11260),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11260),
    [aux_sym_float_literal_token3] = ACTIONS(11260),
    [aux_sym_float_literal_token4] = ACTIONS(11260),
    [sym_character_literal] = ACTIONS(11260),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11260),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11260),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11260),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8353] = {
    [sym_block_comment] = STATE(8353),
    [sym_line_comment] = STATE(8353),
    [aux_sym_open_tuple_repeat1] = STATE(8311),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(12335),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_finally] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8354] = {
    [sym_block_comment] = STATE(8354),
    [sym_line_comment] = STATE(8354),
    [aux_sym_open_tuple_repeat1] = STATE(8270),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_catch] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12438),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8355] = {
    [sym_block_comment] = STATE(8355),
    [sym_line_comment] = STATE(8355),
    [aux_sym_open_tuple_repeat1] = STATE(8270),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_catch] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12438),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8356] = {
    [sym_block_comment] = STATE(8356),
    [sym_line_comment] = STATE(8356),
    [aux_sym_open_tuple_repeat1] = STATE(8270),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_catch] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12438),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8357] = {
    [sym_block_comment] = STATE(8357),
    [sym_line_comment] = STATE(8357),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [ts_builtin_sym_end] = ACTIONS(11220),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_RBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8358] = {
    [sym_block_comment] = STATE(8358),
    [sym_line_comment] = STATE(8358),
    [aux_sym_open_tuple_repeat1] = STATE(8311),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(12335),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_finally] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8359] = {
    [sym_block_comment] = STATE(8359),
    [sym_line_comment] = STATE(8359),
    [aux_sym_open_tuple_repeat1] = STATE(8311),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(12335),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_finally] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8360] = {
    [sym_block_comment] = STATE(8360),
    [sym_line_comment] = STATE(8360),
    [aux_sym_open_tuple_repeat1] = STATE(8311),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(12335),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_finally] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8361] = {
    [sym_block_comment] = STATE(8361),
    [sym_line_comment] = STATE(8361),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11220),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11220),
    [anon_sym_RPAREN] = ACTIONS(11220),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11220),
    [anon_sym_RBRACK] = ACTIONS(11220),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11220),
    [anon_sym_LBRACE] = ACTIONS(11220),
    [anon_sym_RBRACE] = ACTIONS(11220),
    [anon_sym_DOLLAR] = ACTIONS(11220),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11220),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11220),
    [aux_sym_integer_literal_token2] = ACTIONS(11220),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11220),
    [aux_sym_float_literal_token3] = ACTIONS(11220),
    [aux_sym_float_literal_token4] = ACTIONS(11220),
    [sym_character_literal] = ACTIONS(11220),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11220),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11220),
    [sym__pair_operator] = ACTIONS(11220),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11220),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8362] = {
    [sym_block_comment] = STATE(8362),
    [sym_line_comment] = STATE(8362),
    [aux_sym_open_tuple_repeat1] = STATE(8134),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_catch] = ACTIONS(11258),
    [anon_sym_finally] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12392),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8363] = {
    [sym_block_comment] = STATE(8363),
    [sym_line_comment] = STATE(8363),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_else] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_finally] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11230),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8364] = {
    [sym_block_comment] = STATE(8364),
    [sym_line_comment] = STATE(8364),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_else] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_finally] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11230),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8365] = {
    [sym_block_comment] = STATE(8365),
    [sym_line_comment] = STATE(8365),
    [aux_sym_open_tuple_repeat1] = STATE(8270),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_catch] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12438),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8366] = {
    [sym_block_comment] = STATE(8366),
    [sym_line_comment] = STATE(8366),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_catch] = ACTIONS(11216),
    [anon_sym_finally] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12392),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8367] = {
    [sym_block_comment] = STATE(8367),
    [sym_line_comment] = STATE(8367),
    [aux_sym_open_tuple_repeat1] = STATE(8311),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(12335),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_finally] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8368] = {
    [sym_block_comment] = STATE(8368),
    [sym_line_comment] = STATE(8368),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_catch] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12438),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8369] = {
    [sym_block_comment] = STATE(8369),
    [sym_line_comment] = STATE(8369),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_finally] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8370] = {
    [sym_block_comment] = STATE(8370),
    [sym_line_comment] = STATE(8370),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9963),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8371] = {
    [sym_block_comment] = STATE(8371),
    [sym_line_comment] = STATE(8371),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10317),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10317),
    [anon_sym_RPAREN] = ACTIONS(10317),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10317),
    [anon_sym_RBRACK] = ACTIONS(10317),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10317),
    [anon_sym_LBRACE] = ACTIONS(10317),
    [anon_sym_RBRACE] = ACTIONS(10317),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10317),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10317),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10317),
    [anon_sym_QMARK] = ACTIONS(10317),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10317),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10317),
    [aux_sym_integer_literal_token2] = ACTIONS(10317),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10317),
    [aux_sym_float_literal_token3] = ACTIONS(10317),
    [aux_sym_float_literal_token4] = ACTIONS(10317),
    [sym_character_literal] = ACTIONS(10317),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10317),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10317),
    [sym__pair_operator] = ACTIONS(10317),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10317),
    [sym__lazy_and_operator] = ACTIONS(10317),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10317),
    [sym__pipe_left_operator] = ACTIONS(10317),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10317),
    [sym__bitshift_operator] = ACTIONS(10317),
    [sym__power_operator] = ACTIONS(10317),
    [sym__tilde_operator] = ACTIONS(10317),
    [sym__type_order_operator] = ACTIONS(10317),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8372] = {
    [sym_block_comment] = STATE(8372),
    [sym_line_comment] = STATE(8372),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_elseif] = ACTIONS(11382),
    [anon_sym_else] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11174),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8373] = {
    [sym_block_comment] = STATE(8373),
    [sym_line_comment] = STATE(8373),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_elseif] = ACTIONS(11704),
    [anon_sym_else] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11174),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8374] = {
    [sym_block_comment] = STATE(8374),
    [sym_line_comment] = STATE(8374),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8375] = {
    [sym_block_comment] = STATE(8375),
    [sym_line_comment] = STATE(8375),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_as] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8376] = {
    [sym_block_comment] = STATE(8376),
    [sym_line_comment] = STATE(8376),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_catch] = ACTIONS(10127),
    [anon_sym_finally] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8377] = {
    [sym_block_comment] = STATE(8377),
    [sym_line_comment] = STATE(8377),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_catch] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8378] = {
    [sym_block_comment] = STATE(8378),
    [sym_line_comment] = STATE(8378),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_as] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8379] = {
    [sym_block_comment] = STATE(8379),
    [sym_line_comment] = STATE(8379),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_as] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8380] = {
    [sym_block_comment] = STATE(8380),
    [sym_line_comment] = STATE(8380),
    [aux_sym_export_statement_repeat1] = STATE(8380),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(12502),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_catch] = ACTIONS(11149),
    [anon_sym_finally] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11149),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11149),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_SEMI] = ACTIONS(11149),
    [anon_sym_LBRACE] = ACTIONS(11149),
    [anon_sym_DOLLAR] = ACTIONS(11149),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11149),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11149),
    [anon_sym_QMARK] = ACTIONS(11149),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11149),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11149),
    [aux_sym_integer_literal_token2] = ACTIONS(11149),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11149),
    [aux_sym_float_literal_token3] = ACTIONS(11149),
    [aux_sym_float_literal_token4] = ACTIONS(11149),
    [sym_character_literal] = ACTIONS(11149),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11149),
    [sym__pair_operator] = ACTIONS(11149),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11149),
    [sym__lazy_and_operator] = ACTIONS(11149),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11149),
    [sym__pipe_left_operator] = ACTIONS(11149),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11149),
    [sym__bitshift_operator] = ACTIONS(11149),
    [sym__power_operator] = ACTIONS(11149),
    [sym__tilde_operator] = ACTIONS(11149),
    [sym__type_order_operator] = ACTIONS(11149),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym__terminator_token1] = ACTIONS(11154),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8381] = {
    [sym_block_comment] = STATE(8381),
    [sym_line_comment] = STATE(8381),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11159),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_catch] = ACTIONS(11159),
    [anon_sym_finally] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_as] = ACTIONS(11272),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8382] = {
    [sym_block_comment] = STATE(8382),
    [sym_line_comment] = STATE(8382),
    [aux_sym__import_list_repeat1] = STATE(8382),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(12505),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_catch] = ACTIONS(11159),
    [anon_sym_finally] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8383] = {
    [sym_block_comment] = STATE(8383),
    [sym_line_comment] = STATE(8383),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10381),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10381),
    [anon_sym_RPAREN] = ACTIONS(10381),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10381),
    [anon_sym_RBRACK] = ACTIONS(10381),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10381),
    [anon_sym_LBRACE] = ACTIONS(10381),
    [anon_sym_RBRACE] = ACTIONS(10381),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10381),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10381),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10381),
    [anon_sym_QMARK] = ACTIONS(10381),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10381),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10381),
    [aux_sym_integer_literal_token2] = ACTIONS(10381),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10381),
    [aux_sym_float_literal_token3] = ACTIONS(10381),
    [aux_sym_float_literal_token4] = ACTIONS(10381),
    [sym_character_literal] = ACTIONS(10381),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10381),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10381),
    [sym__pair_operator] = ACTIONS(10381),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10381),
    [sym__lazy_and_operator] = ACTIONS(10381),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10381),
    [sym__pipe_left_operator] = ACTIONS(10381),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10381),
    [sym__bitshift_operator] = ACTIONS(10381),
    [sym__power_operator] = ACTIONS(10381),
    [sym__tilde_operator] = ACTIONS(10381),
    [sym__type_order_operator] = ACTIONS(10381),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8384] = {
    [sym_block_comment] = STATE(8384),
    [sym_line_comment] = STATE(8384),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3226),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3226),
    [aux_sym_integer_literal_token2] = ACTIONS(3226),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3226),
    [aux_sym_float_literal_token3] = ACTIONS(3226),
    [aux_sym_float_literal_token4] = ACTIONS(3226),
    [sym_character_literal] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3226),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3226),
    [sym__pair_operator] = ACTIONS(3226),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3226),
    [sym__pipe_left_operator] = ACTIONS(3226),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3226),
    [sym__bitshift_operator] = ACTIONS(3226),
    [sym__power_operator] = ACTIONS(3226),
    [sym__tilde_operator] = ACTIONS(3226),
    [sym__type_order_operator] = ACTIONS(3226),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8385] = {
    [sym_block_comment] = STATE(8385),
    [sym_line_comment] = STATE(8385),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(12508),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8386] = {
    [sym_block_comment] = STATE(8386),
    [sym_line_comment] = STATE(8386),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
  },
  [8387] = {
    [sym_block_comment] = STATE(8387),
    [sym_line_comment] = STATE(8387),
    [ts_builtin_sym_end] = ACTIONS(10129),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_RBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8388] = {
    [sym_block_comment] = STATE(8388),
    [sym_line_comment] = STATE(8388),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10001),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8389] = {
    [sym_block_comment] = STATE(8389),
    [sym_line_comment] = STATE(8389),
    [ts_builtin_sym_end] = ACTIONS(10087),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_RBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8390] = {
    [sym_block_comment] = STATE(8390),
    [sym_line_comment] = STATE(8390),
    [ts_builtin_sym_end] = ACTIONS(10091),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_RBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8391] = {
    [sym_block_comment] = STATE(8391),
    [sym_line_comment] = STATE(8391),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10289),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9939),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8392] = {
    [sym_block_comment] = STATE(8392),
    [sym_line_comment] = STATE(8392),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10289),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10043),
  },
  [8393] = {
    [sym_block_comment] = STATE(8393),
    [sym_line_comment] = STATE(8393),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8394] = {
    [sym_block_comment] = STATE(8394),
    [sym_line_comment] = STATE(8394),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_catch] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11094),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8395] = {
    [sym_block_comment] = STATE(8395),
    [sym_line_comment] = STATE(8395),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_catch] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8396] = {
    [sym_block_comment] = STATE(8396),
    [sym_line_comment] = STATE(8396),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_as] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8397] = {
    [sym_block_comment] = STATE(8397),
    [sym_line_comment] = STATE(8397),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_as] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8398] = {
    [sym_block_comment] = STATE(8398),
    [sym_line_comment] = STATE(8398),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_as] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8399] = {
    [sym_block_comment] = STATE(8399),
    [sym_line_comment] = STATE(8399),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_as] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8400] = {
    [sym_block_comment] = STATE(8400),
    [sym_line_comment] = STATE(8400),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_catch] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8401] = {
    [sym_block_comment] = STATE(8401),
    [sym_line_comment] = STATE(8401),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_as] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8402] = {
    [sym_block_comment] = STATE(8402),
    [sym_line_comment] = STATE(8402),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_as] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8403] = {
    [sym_block_comment] = STATE(8403),
    [sym_line_comment] = STATE(8403),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9925),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8404] = {
    [sym_block_comment] = STATE(8404),
    [sym_line_comment] = STATE(8404),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_as] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8405] = {
    [sym_block_comment] = STATE(8405),
    [sym_line_comment] = STATE(8405),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_as] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8406] = {
    [sym_block_comment] = STATE(8406),
    [sym_line_comment] = STATE(8406),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_as] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8407] = {
    [sym_block_comment] = STATE(8407),
    [sym_line_comment] = STATE(8407),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_as] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8408] = {
    [sym_block_comment] = STATE(8408),
    [sym_line_comment] = STATE(8408),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_as] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8409] = {
    [sym_block_comment] = STATE(8409),
    [sym_line_comment] = STATE(8409),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_as] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8410] = {
    [sym_block_comment] = STATE(8410),
    [sym_line_comment] = STATE(8410),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_as] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8411] = {
    [sym_block_comment] = STATE(8411),
    [sym_line_comment] = STATE(8411),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_as] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8412] = {
    [sym_block_comment] = STATE(8412),
    [sym_line_comment] = STATE(8412),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10037),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8413] = {
    [sym_block_comment] = STATE(8413),
    [sym_line_comment] = STATE(8413),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_as] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8414] = {
    [sym_block_comment] = STATE(8414),
    [sym_line_comment] = STATE(8414),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_as] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8415] = {
    [sym_block_comment] = STATE(8415),
    [sym_line_comment] = STATE(8415),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_as] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8416] = {
    [sym_block_comment] = STATE(8416),
    [sym_line_comment] = STATE(8416),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_as] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8417] = {
    [sym_block_comment] = STATE(8417),
    [sym_line_comment] = STATE(8417),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_as] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8418] = {
    [sym_block_comment] = STATE(8418),
    [sym_line_comment] = STATE(8418),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_as] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8419] = {
    [sym_block_comment] = STATE(8419),
    [sym_line_comment] = STATE(8419),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_as] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8420] = {
    [sym_block_comment] = STATE(8420),
    [sym_line_comment] = STATE(8420),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_as] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8421] = {
    [sym_block_comment] = STATE(8421),
    [sym_line_comment] = STATE(8421),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_as] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8422] = {
    [sym_block_comment] = STATE(8422),
    [sym_line_comment] = STATE(8422),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_as] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8423] = {
    [sym_block_comment] = STATE(8423),
    [sym_line_comment] = STATE(8423),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_as] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8424] = {
    [sym_block_comment] = STATE(8424),
    [sym_line_comment] = STATE(8424),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_as] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8425] = {
    [sym_block_comment] = STATE(8425),
    [sym_line_comment] = STATE(8425),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_as] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8426] = {
    [sym_block_comment] = STATE(8426),
    [sym_line_comment] = STATE(8426),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_as] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8427] = {
    [sym_block_comment] = STATE(8427),
    [sym_line_comment] = STATE(8427),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_as] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8428] = {
    [sym_block_comment] = STATE(8428),
    [sym_line_comment] = STATE(8428),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_as] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8429] = {
    [sym_block_comment] = STATE(8429),
    [sym_line_comment] = STATE(8429),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_as] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8430] = {
    [sym_block_comment] = STATE(8430),
    [sym_line_comment] = STATE(8430),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8431] = {
    [sym_block_comment] = STATE(8431),
    [sym_line_comment] = STATE(8431),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8432] = {
    [sym_block_comment] = STATE(8432),
    [sym_line_comment] = STATE(8432),
    [ts_builtin_sym_end] = ACTIONS(10177),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_RBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8433] = {
    [sym_block_comment] = STATE(8433),
    [sym_line_comment] = STATE(8433),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_finally] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8434] = {
    [sym_block_comment] = STATE(8434),
    [sym_line_comment] = STATE(8434),
    [ts_builtin_sym_end] = ACTIONS(10321),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_RBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8435] = {
    [sym_block_comment] = STATE(8435),
    [sym_line_comment] = STATE(8435),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9975),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8436] = {
    [sym_block_comment] = STATE(8436),
    [sym_line_comment] = STATE(8436),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9975),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8437] = {
    [sym_block_comment] = STATE(8437),
    [sym_line_comment] = STATE(8437),
    [ts_builtin_sym_end] = ACTIONS(10397),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_RBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8438] = {
    [sym_block_comment] = STATE(8438),
    [sym_line_comment] = STATE(8438),
    [ts_builtin_sym_end] = ACTIONS(10415),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_RBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8439] = {
    [sym_block_comment] = STATE(8439),
    [sym_line_comment] = STATE(8439),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8440] = {
    [sym_block_comment] = STATE(8440),
    [sym_line_comment] = STATE(8440),
    [ts_builtin_sym_end] = ACTIONS(10019),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_RBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8441] = {
    [sym_block_comment] = STATE(8441),
    [sym_line_comment] = STATE(8441),
    [ts_builtin_sym_end] = ACTIONS(10325),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_RBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8442] = {
    [sym_block_comment] = STATE(8442),
    [sym_line_comment] = STATE(8442),
    [ts_builtin_sym_end] = ACTIONS(10329),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_RBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8443] = {
    [sym_block_comment] = STATE(8443),
    [sym_line_comment] = STATE(8443),
    [ts_builtin_sym_end] = ACTIONS(10019),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_RBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11080),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8444] = {
    [sym_block_comment] = STATE(8444),
    [sym_line_comment] = STATE(8444),
    [ts_builtin_sym_end] = ACTIONS(10381),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_RBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8445] = {
    [sym_block_comment] = STATE(8445),
    [sym_line_comment] = STATE(8445),
    [ts_builtin_sym_end] = ACTIONS(10387),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_RBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8446] = {
    [sym_block_comment] = STATE(8446),
    [sym_line_comment] = STATE(8446),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10001),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8447] = {
    [sym_block_comment] = STATE(8447),
    [sym_line_comment] = STATE(8447),
    [ts_builtin_sym_end] = ACTIONS(10391),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_RBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8448] = {
    [sym_block_comment] = STATE(8448),
    [sym_line_comment] = STATE(8448),
    [ts_builtin_sym_end] = ACTIONS(10365),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_RBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8449] = {
    [sym_block_comment] = STATE(8449),
    [sym_line_comment] = STATE(8449),
    [ts_builtin_sym_end] = ACTIONS(10345),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_RBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8450] = {
    [sym_block_comment] = STATE(8450),
    [sym_line_comment] = STATE(8450),
    [ts_builtin_sym_end] = ACTIONS(10419),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_RBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8451] = {
    [sym_block_comment] = STATE(8451),
    [sym_line_comment] = STATE(8451),
    [ts_builtin_sym_end] = ACTIONS(10099),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_RBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8452] = {
    [sym_block_comment] = STATE(8452),
    [sym_line_comment] = STATE(8452),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10151),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8453] = {
    [sym_block_comment] = STATE(8453),
    [sym_line_comment] = STATE(8453),
    [ts_builtin_sym_end] = ACTIONS(10103),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_RBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8454] = {
    [sym_block_comment] = STATE(8454),
    [sym_line_comment] = STATE(8454),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_finally] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8455] = {
    [sym_block_comment] = STATE(8455),
    [sym_line_comment] = STATE(8455),
    [ts_builtin_sym_end] = ACTIONS(10423),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_RBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8456] = {
    [sym_block_comment] = STATE(8456),
    [sym_line_comment] = STATE(8456),
    [ts_builtin_sym_end] = ACTIONS(10431),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_RBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8457] = {
    [sym_block_comment] = STATE(8457),
    [sym_line_comment] = STATE(8457),
    [ts_builtin_sym_end] = ACTIONS(10435),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_RBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8458] = {
    [sym_block_comment] = STATE(8458),
    [sym_line_comment] = STATE(8458),
    [ts_builtin_sym_end] = ACTIONS(10439),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_RBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8459] = {
    [sym_block_comment] = STATE(8459),
    [sym_line_comment] = STATE(8459),
    [sym__word_identifier] = ACTIONS(11316),
    [anon_sym_COMMA] = ACTIONS(11316),
    [anon_sym_EQ] = ACTIONS(11316),
    [anon_sym_begin] = ACTIONS(11316),
    [anon_sym_module] = ACTIONS(11316),
    [anon_sym_baremodule] = ACTIONS(11316),
    [anon_sym_end] = ACTIONS(11316),
    [anon_sym_abstract] = ACTIONS(11316),
    [anon_sym_primitive] = ACTIONS(11316),
    [anon_sym_mutable] = ACTIONS(11316),
    [anon_sym_struct] = ACTIONS(11316),
    [anon_sym_function] = ACTIONS(11316),
    [anon_sym_macro] = ACTIONS(11316),
    [anon_sym_quote] = ACTIONS(11316),
    [anon_sym_let] = ACTIONS(11316),
    [anon_sym_if] = ACTIONS(11316),
    [anon_sym_else] = ACTIONS(11316),
    [anon_sym_try] = ACTIONS(11316),
    [anon_sym_finally] = ACTIONS(11316),
    [anon_sym_for] = ACTIONS(11316),
    [anon_sym_while] = ACTIONS(11316),
    [sym_break_statement] = ACTIONS(11316),
    [sym_continue_statement] = ACTIONS(11316),
    [anon_sym_return] = ACTIONS(11316),
    [anon_sym_const] = ACTIONS(11316),
    [anon_sym_global] = ACTIONS(11316),
    [anon_sym_local] = ACTIONS(11316),
    [anon_sym_LPAREN] = ACTIONS(11316),
    [anon_sym_COLON] = ACTIONS(11316),
    [anon_sym_export] = ACTIONS(11316),
    [anon_sym_public] = ACTIONS(11316),
    [anon_sym_import] = ACTIONS(11316),
    [anon_sym_using] = ACTIONS(11316),
    [anon_sym_LBRACK] = ACTIONS(11316),
    [anon_sym_in] = ACTIONS(11316),
    [anon_sym_SEMI] = ACTIONS(11316),
    [anon_sym_LBRACE] = ACTIONS(11316),
    [anon_sym_DOLLAR] = ACTIONS(11316),
    [anon_sym_COLON2] = ACTIONS(11316),
    [anon_sym_COLON_COLON] = ACTIONS(11316),
    [anon_sym_isa] = ACTIONS(11316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11316),
    [anon_sym_QMARK] = ACTIONS(11316),
    [anon_sym_where] = ACTIONS(11316),
    [anon_sym_AT] = ACTIONS(11316),
    [anon_sym_true] = ACTIONS(11316),
    [anon_sym_false] = ACTIONS(11316),
    [aux_sym_integer_literal_token1] = ACTIONS(11316),
    [aux_sym_integer_literal_token2] = ACTIONS(11316),
    [aux_sym_integer_literal_token3] = ACTIONS(11316),
    [aux_sym_integer_literal_token4] = ACTIONS(11316),
    [aux_sym_float_literal_token1] = ACTIONS(11316),
    [aux_sym_float_literal_token3] = ACTIONS(11316),
    [aux_sym_float_literal_token4] = ACTIONS(11316),
    [sym_character_literal] = ACTIONS(11316),
    [anon_sym_DQUOTE] = ACTIONS(11316),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11316),
    [anon_sym_BQUOTE] = ACTIONS(11316),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11316),
    [sym__pair_operator] = ACTIONS(11316),
    [sym__arrow_operator] = ACTIONS(11316),
    [sym__lazy_or_operator] = ACTIONS(11316),
    [sym__lazy_and_operator] = ACTIONS(11316),
    [sym__comparison_operator] = ACTIONS(11316),
    [sym__pipe_right_operator] = ACTIONS(11316),
    [sym__pipe_left_operator] = ACTIONS(11316),
    [sym__ellipsis_operator] = ACTIONS(11316),
    [sym__plus_operator] = ACTIONS(11316),
    [sym__times_operator] = ACTIONS(11316),
    [sym__rational_operator] = ACTIONS(11316),
    [sym__bitshift_operator] = ACTIONS(11316),
    [sym__power_operator] = ACTIONS(11316),
    [sym__tilde_operator] = ACTIONS(11316),
    [sym__type_order_operator] = ACTIONS(11316),
    [sym__unary_operator] = ACTIONS(11316),
    [sym__unary_plus_operator] = ACTIONS(11316),
    [aux_sym__terminator_token1] = ACTIONS(11318),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8460] = {
    [sym_block_comment] = STATE(8460),
    [sym_line_comment] = STATE(8460),
    [ts_builtin_sym_end] = ACTIONS(10141),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_RBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8461] = {
    [sym_block_comment] = STATE(8461),
    [sym_line_comment] = STATE(8461),
    [ts_builtin_sym_end] = ACTIONS(10293),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_RBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8462] = {
    [sym_block_comment] = STATE(8462),
    [sym_line_comment] = STATE(8462),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_DASH_GT] = ACTIONS(9957),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8463] = {
    [sym_block_comment] = STATE(8463),
    [sym_line_comment] = STATE(8463),
    [ts_builtin_sym_end] = ACTIONS(10309),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_RBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8464] = {
    [sym_block_comment] = STATE(8464),
    [sym_line_comment] = STATE(8464),
    [ts_builtin_sym_end] = ACTIONS(10349),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_RBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8465] = {
    [sym_block_comment] = STATE(8465),
    [sym_line_comment] = STATE(8465),
    [ts_builtin_sym_end] = ACTIONS(10353),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_RBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8466] = {
    [sym_block_comment] = STATE(8466),
    [sym_line_comment] = STATE(8466),
    [ts_builtin_sym_end] = ACTIONS(10357),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_RBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8467] = {
    [sym__comprehension_clause] = STATE(19177),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(8467),
    [sym_line_comment] = STATE(8467),
    [aux_sym_vector_expression_repeat1] = STATE(17672),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12510),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12512),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12514),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12517),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8468] = {
    [sym_block_comment] = STATE(8468),
    [sym_line_comment] = STATE(8468),
    [sym__word_identifier] = ACTIONS(11320),
    [anon_sym_COMMA] = ACTIONS(11320),
    [anon_sym_EQ] = ACTIONS(11320),
    [anon_sym_begin] = ACTIONS(11320),
    [anon_sym_module] = ACTIONS(11320),
    [anon_sym_baremodule] = ACTIONS(11320),
    [anon_sym_end] = ACTIONS(11320),
    [anon_sym_abstract] = ACTIONS(11320),
    [anon_sym_primitive] = ACTIONS(11320),
    [anon_sym_mutable] = ACTIONS(11320),
    [anon_sym_struct] = ACTIONS(11320),
    [anon_sym_function] = ACTIONS(11320),
    [anon_sym_macro] = ACTIONS(11320),
    [anon_sym_quote] = ACTIONS(11320),
    [anon_sym_let] = ACTIONS(11320),
    [anon_sym_if] = ACTIONS(11320),
    [anon_sym_else] = ACTIONS(11320),
    [anon_sym_try] = ACTIONS(11320),
    [anon_sym_finally] = ACTIONS(11320),
    [anon_sym_for] = ACTIONS(11320),
    [anon_sym_while] = ACTIONS(11320),
    [sym_break_statement] = ACTIONS(11320),
    [sym_continue_statement] = ACTIONS(11320),
    [anon_sym_return] = ACTIONS(11320),
    [anon_sym_const] = ACTIONS(11320),
    [anon_sym_global] = ACTIONS(11320),
    [anon_sym_local] = ACTIONS(11320),
    [anon_sym_LPAREN] = ACTIONS(11320),
    [anon_sym_COLON] = ACTIONS(11320),
    [anon_sym_export] = ACTIONS(11320),
    [anon_sym_public] = ACTIONS(11320),
    [anon_sym_import] = ACTIONS(11320),
    [anon_sym_using] = ACTIONS(11320),
    [anon_sym_LBRACK] = ACTIONS(11320),
    [anon_sym_in] = ACTIONS(11320),
    [anon_sym_SEMI] = ACTIONS(11320),
    [anon_sym_LBRACE] = ACTIONS(11320),
    [anon_sym_DOLLAR] = ACTIONS(11320),
    [anon_sym_COLON2] = ACTIONS(11320),
    [anon_sym_COLON_COLON] = ACTIONS(11320),
    [anon_sym_isa] = ACTIONS(11320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11320),
    [anon_sym_QMARK] = ACTIONS(11320),
    [anon_sym_where] = ACTIONS(11320),
    [anon_sym_AT] = ACTIONS(11320),
    [anon_sym_true] = ACTIONS(11320),
    [anon_sym_false] = ACTIONS(11320),
    [aux_sym_integer_literal_token1] = ACTIONS(11320),
    [aux_sym_integer_literal_token2] = ACTIONS(11320),
    [aux_sym_integer_literal_token3] = ACTIONS(11320),
    [aux_sym_integer_literal_token4] = ACTIONS(11320),
    [aux_sym_float_literal_token1] = ACTIONS(11320),
    [aux_sym_float_literal_token3] = ACTIONS(11320),
    [aux_sym_float_literal_token4] = ACTIONS(11320),
    [sym_character_literal] = ACTIONS(11320),
    [anon_sym_DQUOTE] = ACTIONS(11320),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11320),
    [anon_sym_BQUOTE] = ACTIONS(11320),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11320),
    [sym__pair_operator] = ACTIONS(11320),
    [sym__arrow_operator] = ACTIONS(11320),
    [sym__lazy_or_operator] = ACTIONS(11320),
    [sym__lazy_and_operator] = ACTIONS(11320),
    [sym__comparison_operator] = ACTIONS(11320),
    [sym__pipe_right_operator] = ACTIONS(11320),
    [sym__pipe_left_operator] = ACTIONS(11320),
    [sym__ellipsis_operator] = ACTIONS(11320),
    [sym__plus_operator] = ACTIONS(11320),
    [sym__times_operator] = ACTIONS(11320),
    [sym__rational_operator] = ACTIONS(11320),
    [sym__bitshift_operator] = ACTIONS(11320),
    [sym__power_operator] = ACTIONS(11320),
    [sym__tilde_operator] = ACTIONS(11320),
    [sym__type_order_operator] = ACTIONS(11320),
    [sym__unary_operator] = ACTIONS(11320),
    [sym__unary_plus_operator] = ACTIONS(11320),
    [aux_sym__terminator_token1] = ACTIONS(11322),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8469] = {
    [sym_block_comment] = STATE(8469),
    [sym_line_comment] = STATE(8469),
    [ts_builtin_sym_end] = ACTIONS(10405),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_RBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8470] = {
    [sym_block_comment] = STATE(8470),
    [sym_line_comment] = STATE(8470),
    [ts_builtin_sym_end] = ACTIONS(10313),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_RBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8471] = {
    [sym_block_comment] = STATE(8471),
    [sym_line_comment] = STATE(8471),
    [ts_builtin_sym_end] = ACTIONS(10401),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_RBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8472] = {
    [sym_block_comment] = STATE(8472),
    [sym_line_comment] = STATE(8472),
    [ts_builtin_sym_end] = ACTIONS(10265),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_RBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8473] = {
    [sym_block_comment] = STATE(8473),
    [sym_line_comment] = STATE(8473),
    [ts_builtin_sym_end] = ACTIONS(10341),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_RBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8474] = {
    [sym_block_comment] = STATE(8474),
    [sym_line_comment] = STATE(8474),
    [ts_builtin_sym_end] = ACTIONS(10373),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_RBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8475] = {
    [sym_block_comment] = STATE(8475),
    [sym_line_comment] = STATE(8475),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(10393),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10257),
  },
  [8476] = {
    [sym_block_comment] = STATE(8476),
    [sym_line_comment] = STATE(8476),
    [ts_builtin_sym_end] = ACTIONS(10411),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_RBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8477] = {
    [sym_block_comment] = STATE(8477),
    [sym_line_comment] = STATE(8477),
    [ts_builtin_sym_end] = ACTIONS(10219),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_RBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8478] = {
    [sym_block_comment] = STATE(8478),
    [sym_line_comment] = STATE(8478),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(10155),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_else] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_finally] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8479] = {
    [sym_block_comment] = STATE(8479),
    [sym_line_comment] = STATE(8479),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_else] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_finally] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8480] = {
    [sym_block_comment] = STATE(8480),
    [sym_line_comment] = STATE(8480),
    [aux_sym_open_tuple_repeat1] = STATE(7486),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11147),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_else] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_finally] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11874),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8481] = {
    [sym_block_comment] = STATE(8481),
    [sym_line_comment] = STATE(8481),
    [sym__word_identifier] = ACTIONS(11374),
    [anon_sym_COMMA] = ACTIONS(11374),
    [anon_sym_EQ] = ACTIONS(11374),
    [anon_sym_begin] = ACTIONS(11374),
    [anon_sym_module] = ACTIONS(11374),
    [anon_sym_baremodule] = ACTIONS(11374),
    [anon_sym_end] = ACTIONS(11374),
    [anon_sym_abstract] = ACTIONS(11374),
    [anon_sym_primitive] = ACTIONS(11374),
    [anon_sym_mutable] = ACTIONS(11374),
    [anon_sym_struct] = ACTIONS(11374),
    [anon_sym_function] = ACTIONS(11374),
    [anon_sym_macro] = ACTIONS(11374),
    [anon_sym_quote] = ACTIONS(11374),
    [anon_sym_let] = ACTIONS(11374),
    [anon_sym_if] = ACTIONS(11374),
    [anon_sym_else] = ACTIONS(11374),
    [anon_sym_try] = ACTIONS(11374),
    [anon_sym_finally] = ACTIONS(11374),
    [anon_sym_for] = ACTIONS(11374),
    [anon_sym_while] = ACTIONS(11374),
    [sym_break_statement] = ACTIONS(11374),
    [sym_continue_statement] = ACTIONS(11374),
    [anon_sym_return] = ACTIONS(11374),
    [anon_sym_const] = ACTIONS(11374),
    [anon_sym_global] = ACTIONS(11374),
    [anon_sym_local] = ACTIONS(11374),
    [anon_sym_LPAREN] = ACTIONS(11374),
    [anon_sym_COLON] = ACTIONS(11374),
    [anon_sym_export] = ACTIONS(11374),
    [anon_sym_public] = ACTIONS(11374),
    [anon_sym_import] = ACTIONS(11374),
    [anon_sym_using] = ACTIONS(11374),
    [anon_sym_LBRACK] = ACTIONS(11374),
    [anon_sym_in] = ACTIONS(11374),
    [anon_sym_SEMI] = ACTIONS(11374),
    [anon_sym_LBRACE] = ACTIONS(11374),
    [anon_sym_DOLLAR] = ACTIONS(11374),
    [anon_sym_COLON2] = ACTIONS(11374),
    [anon_sym_COLON_COLON] = ACTIONS(11374),
    [anon_sym_isa] = ACTIONS(11374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11374),
    [anon_sym_QMARK] = ACTIONS(11374),
    [anon_sym_where] = ACTIONS(11374),
    [anon_sym_AT] = ACTIONS(11374),
    [anon_sym_true] = ACTIONS(11374),
    [anon_sym_false] = ACTIONS(11374),
    [aux_sym_integer_literal_token1] = ACTIONS(11374),
    [aux_sym_integer_literal_token2] = ACTIONS(11374),
    [aux_sym_integer_literal_token3] = ACTIONS(11374),
    [aux_sym_integer_literal_token4] = ACTIONS(11374),
    [aux_sym_float_literal_token1] = ACTIONS(11374),
    [aux_sym_float_literal_token3] = ACTIONS(11374),
    [aux_sym_float_literal_token4] = ACTIONS(11374),
    [sym_character_literal] = ACTIONS(11374),
    [anon_sym_DQUOTE] = ACTIONS(11374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11374),
    [anon_sym_BQUOTE] = ACTIONS(11374),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11374),
    [sym__pair_operator] = ACTIONS(11374),
    [sym__arrow_operator] = ACTIONS(11374),
    [sym__lazy_or_operator] = ACTIONS(11374),
    [sym__lazy_and_operator] = ACTIONS(11374),
    [sym__comparison_operator] = ACTIONS(11374),
    [sym__pipe_right_operator] = ACTIONS(11374),
    [sym__pipe_left_operator] = ACTIONS(11374),
    [sym__ellipsis_operator] = ACTIONS(11374),
    [sym__plus_operator] = ACTIONS(11374),
    [sym__times_operator] = ACTIONS(11374),
    [sym__rational_operator] = ACTIONS(11374),
    [sym__bitshift_operator] = ACTIONS(11374),
    [sym__power_operator] = ACTIONS(11374),
    [sym__tilde_operator] = ACTIONS(11374),
    [sym__type_order_operator] = ACTIONS(11374),
    [sym__unary_operator] = ACTIONS(11374),
    [sym__unary_plus_operator] = ACTIONS(11374),
    [aux_sym__terminator_token1] = ACTIONS(11376),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8482] = {
    [sym_block_comment] = STATE(8482),
    [sym_line_comment] = STATE(8482),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(10155),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_else] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_finally] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8483] = {
    [sym_block_comment] = STATE(8483),
    [sym_line_comment] = STATE(8483),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_else] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_finally] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8484] = {
    [sym_block_comment] = STATE(8484),
    [sym_line_comment] = STATE(8484),
    [aux_sym_open_tuple_repeat1] = STATE(7486),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11147),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_else] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_finally] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11874),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8485] = {
    [sym_block_comment] = STATE(8485),
    [sym_line_comment] = STATE(8485),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(10155),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_else] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_finally] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8486] = {
    [sym_block_comment] = STATE(8486),
    [sym_line_comment] = STATE(8486),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_else] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_finally] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8487] = {
    [sym_block_comment] = STATE(8487),
    [sym_line_comment] = STATE(8487),
    [ts_builtin_sym_end] = ACTIONS(11161),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11159),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_as] = ACTIONS(11108),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_RBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8488] = {
    [sym_block_comment] = STATE(8488),
    [sym_line_comment] = STATE(8488),
    [aux_sym_open_tuple_repeat1] = STATE(7876),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11689),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11206),
    [anon_sym_RPAREN] = ACTIONS(11206),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11206),
    [anon_sym_RBRACK] = ACTIONS(11206),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11206),
    [anon_sym_LBRACE] = ACTIONS(11206),
    [anon_sym_RBRACE] = ACTIONS(11206),
    [anon_sym_DOLLAR] = ACTIONS(11206),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12520),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11206),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11206),
    [aux_sym_integer_literal_token2] = ACTIONS(11206),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11206),
    [aux_sym_float_literal_token3] = ACTIONS(11206),
    [aux_sym_float_literal_token4] = ACTIONS(11206),
    [sym_character_literal] = ACTIONS(11206),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11206),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11206),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11206),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8489] = {
    [sym_block_comment] = STATE(8489),
    [sym_line_comment] = STATE(8489),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_catch] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8490] = {
    [sym_block_comment] = STATE(8490),
    [sym_line_comment] = STATE(8490),
    [sym__word_identifier] = ACTIONS(11336),
    [anon_sym_COMMA] = ACTIONS(11336),
    [anon_sym_EQ] = ACTIONS(11336),
    [anon_sym_begin] = ACTIONS(11336),
    [anon_sym_module] = ACTIONS(11336),
    [anon_sym_baremodule] = ACTIONS(11336),
    [anon_sym_end] = ACTIONS(11336),
    [anon_sym_abstract] = ACTIONS(11336),
    [anon_sym_primitive] = ACTIONS(11336),
    [anon_sym_mutable] = ACTIONS(11336),
    [anon_sym_struct] = ACTIONS(11336),
    [anon_sym_function] = ACTIONS(11336),
    [anon_sym_macro] = ACTIONS(11336),
    [anon_sym_quote] = ACTIONS(11336),
    [anon_sym_let] = ACTIONS(11336),
    [anon_sym_if] = ACTIONS(11336),
    [anon_sym_try] = ACTIONS(11336),
    [anon_sym_finally] = ACTIONS(11336),
    [anon_sym_for] = ACTIONS(11336),
    [anon_sym_while] = ACTIONS(11336),
    [sym_break_statement] = ACTIONS(11336),
    [sym_continue_statement] = ACTIONS(11336),
    [anon_sym_return] = ACTIONS(11336),
    [anon_sym_const] = ACTIONS(11336),
    [anon_sym_global] = ACTIONS(11336),
    [anon_sym_local] = ACTIONS(11336),
    [anon_sym_LPAREN] = ACTIONS(11336),
    [anon_sym_COLON] = ACTIONS(11336),
    [anon_sym_export] = ACTIONS(11336),
    [anon_sym_public] = ACTIONS(11336),
    [anon_sym_import] = ACTIONS(11336),
    [anon_sym_using] = ACTIONS(11336),
    [anon_sym_LBRACK] = ACTIONS(11336),
    [anon_sym_in] = ACTIONS(11336),
    [anon_sym_SEMI] = ACTIONS(11336),
    [anon_sym_LBRACE] = ACTIONS(11336),
    [anon_sym_DOLLAR] = ACTIONS(11336),
    [anon_sym_COLON2] = ACTIONS(11336),
    [anon_sym_COLON_COLON] = ACTIONS(11336),
    [anon_sym_isa] = ACTIONS(11336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11336),
    [anon_sym_QMARK] = ACTIONS(11336),
    [anon_sym_where] = ACTIONS(11336),
    [anon_sym_AT] = ACTIONS(11336),
    [anon_sym_true] = ACTIONS(11336),
    [anon_sym_false] = ACTIONS(11336),
    [aux_sym_integer_literal_token1] = ACTIONS(11336),
    [aux_sym_integer_literal_token2] = ACTIONS(11336),
    [aux_sym_integer_literal_token3] = ACTIONS(11336),
    [aux_sym_integer_literal_token4] = ACTIONS(11336),
    [aux_sym_float_literal_token1] = ACTIONS(11336),
    [aux_sym_float_literal_token3] = ACTIONS(11336),
    [aux_sym_float_literal_token4] = ACTIONS(11336),
    [sym_character_literal] = ACTIONS(11336),
    [anon_sym_DQUOTE] = ACTIONS(11336),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11336),
    [anon_sym_BQUOTE] = ACTIONS(11336),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11336),
    [sym__pair_operator] = ACTIONS(11336),
    [sym__arrow_operator] = ACTIONS(11336),
    [sym__lazy_or_operator] = ACTIONS(11336),
    [sym__lazy_and_operator] = ACTIONS(11336),
    [sym__comparison_operator] = ACTIONS(11336),
    [sym__pipe_right_operator] = ACTIONS(11336),
    [sym__pipe_left_operator] = ACTIONS(11336),
    [sym__ellipsis_operator] = ACTIONS(11336),
    [sym__plus_operator] = ACTIONS(11336),
    [sym__times_operator] = ACTIONS(11336),
    [sym__rational_operator] = ACTIONS(11336),
    [sym__bitshift_operator] = ACTIONS(11336),
    [sym__power_operator] = ACTIONS(11336),
    [sym__tilde_operator] = ACTIONS(11336),
    [sym__type_order_operator] = ACTIONS(11336),
    [sym__unary_operator] = ACTIONS(11336),
    [sym__unary_plus_operator] = ACTIONS(11336),
    [aux_sym__terminator_token1] = ACTIONS(11338),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8491] = {
    [sym_block_comment] = STATE(8491),
    [sym_line_comment] = STATE(8491),
    [sym__word_identifier] = ACTIONS(11340),
    [anon_sym_COMMA] = ACTIONS(11340),
    [anon_sym_EQ] = ACTIONS(11340),
    [anon_sym_begin] = ACTIONS(11340),
    [anon_sym_module] = ACTIONS(11340),
    [anon_sym_baremodule] = ACTIONS(11340),
    [anon_sym_end] = ACTIONS(11340),
    [anon_sym_abstract] = ACTIONS(11340),
    [anon_sym_primitive] = ACTIONS(11340),
    [anon_sym_mutable] = ACTIONS(11340),
    [anon_sym_struct] = ACTIONS(11340),
    [anon_sym_function] = ACTIONS(11340),
    [anon_sym_macro] = ACTIONS(11340),
    [anon_sym_quote] = ACTIONS(11340),
    [anon_sym_let] = ACTIONS(11340),
    [anon_sym_if] = ACTIONS(11340),
    [anon_sym_try] = ACTIONS(11340),
    [anon_sym_finally] = ACTIONS(11340),
    [anon_sym_for] = ACTIONS(11340),
    [anon_sym_while] = ACTIONS(11340),
    [sym_break_statement] = ACTIONS(11340),
    [sym_continue_statement] = ACTIONS(11340),
    [anon_sym_return] = ACTIONS(11340),
    [anon_sym_const] = ACTIONS(11340),
    [anon_sym_global] = ACTIONS(11340),
    [anon_sym_local] = ACTIONS(11340),
    [anon_sym_LPAREN] = ACTIONS(11340),
    [anon_sym_COLON] = ACTIONS(11340),
    [anon_sym_export] = ACTIONS(11340),
    [anon_sym_public] = ACTIONS(11340),
    [anon_sym_import] = ACTIONS(11340),
    [anon_sym_using] = ACTIONS(11340),
    [anon_sym_LBRACK] = ACTIONS(11340),
    [anon_sym_in] = ACTIONS(11340),
    [anon_sym_SEMI] = ACTIONS(11340),
    [anon_sym_LBRACE] = ACTIONS(11340),
    [anon_sym_DOLLAR] = ACTIONS(11340),
    [anon_sym_COLON2] = ACTIONS(11340),
    [anon_sym_COLON_COLON] = ACTIONS(11340),
    [anon_sym_isa] = ACTIONS(11340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11340),
    [anon_sym_QMARK] = ACTIONS(11340),
    [anon_sym_where] = ACTIONS(11340),
    [anon_sym_AT] = ACTIONS(11340),
    [anon_sym_true] = ACTIONS(11340),
    [anon_sym_false] = ACTIONS(11340),
    [aux_sym_integer_literal_token1] = ACTIONS(11340),
    [aux_sym_integer_literal_token2] = ACTIONS(11340),
    [aux_sym_integer_literal_token3] = ACTIONS(11340),
    [aux_sym_integer_literal_token4] = ACTIONS(11340),
    [aux_sym_float_literal_token1] = ACTIONS(11340),
    [aux_sym_float_literal_token3] = ACTIONS(11340),
    [aux_sym_float_literal_token4] = ACTIONS(11340),
    [sym_character_literal] = ACTIONS(11340),
    [anon_sym_DQUOTE] = ACTIONS(11340),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11340),
    [anon_sym_BQUOTE] = ACTIONS(11340),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11340),
    [sym__pair_operator] = ACTIONS(11340),
    [sym__arrow_operator] = ACTIONS(11340),
    [sym__lazy_or_operator] = ACTIONS(11340),
    [sym__lazy_and_operator] = ACTIONS(11340),
    [sym__comparison_operator] = ACTIONS(11340),
    [sym__pipe_right_operator] = ACTIONS(11340),
    [sym__pipe_left_operator] = ACTIONS(11340),
    [sym__ellipsis_operator] = ACTIONS(11340),
    [sym__plus_operator] = ACTIONS(11340),
    [sym__times_operator] = ACTIONS(11340),
    [sym__rational_operator] = ACTIONS(11340),
    [sym__bitshift_operator] = ACTIONS(11340),
    [sym__power_operator] = ACTIONS(11340),
    [sym__tilde_operator] = ACTIONS(11340),
    [sym__type_order_operator] = ACTIONS(11340),
    [sym__unary_operator] = ACTIONS(11340),
    [sym__unary_plus_operator] = ACTIONS(11340),
    [aux_sym__terminator_token1] = ACTIONS(11342),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8492] = {
    [sym_block_comment] = STATE(8492),
    [sym_line_comment] = STATE(8492),
    [sym__word_identifier] = ACTIONS(11344),
    [anon_sym_COMMA] = ACTIONS(11344),
    [anon_sym_EQ] = ACTIONS(11344),
    [anon_sym_begin] = ACTIONS(11344),
    [anon_sym_module] = ACTIONS(11344),
    [anon_sym_baremodule] = ACTIONS(11344),
    [anon_sym_end] = ACTIONS(11344),
    [anon_sym_abstract] = ACTIONS(11344),
    [anon_sym_primitive] = ACTIONS(11344),
    [anon_sym_mutable] = ACTIONS(11344),
    [anon_sym_struct] = ACTIONS(11344),
    [anon_sym_function] = ACTIONS(11344),
    [anon_sym_macro] = ACTIONS(11344),
    [anon_sym_quote] = ACTIONS(11344),
    [anon_sym_let] = ACTIONS(11344),
    [anon_sym_if] = ACTIONS(11344),
    [anon_sym_try] = ACTIONS(11344),
    [anon_sym_finally] = ACTIONS(11344),
    [anon_sym_for] = ACTIONS(11344),
    [anon_sym_while] = ACTIONS(11344),
    [sym_break_statement] = ACTIONS(11344),
    [sym_continue_statement] = ACTIONS(11344),
    [anon_sym_return] = ACTIONS(11344),
    [anon_sym_const] = ACTIONS(11344),
    [anon_sym_global] = ACTIONS(11344),
    [anon_sym_local] = ACTIONS(11344),
    [anon_sym_LPAREN] = ACTIONS(11344),
    [anon_sym_COLON] = ACTIONS(11344),
    [anon_sym_export] = ACTIONS(11344),
    [anon_sym_public] = ACTIONS(11344),
    [anon_sym_import] = ACTIONS(11344),
    [anon_sym_using] = ACTIONS(11344),
    [anon_sym_LBRACK] = ACTIONS(11344),
    [anon_sym_in] = ACTIONS(11344),
    [anon_sym_SEMI] = ACTIONS(11344),
    [anon_sym_LBRACE] = ACTIONS(11344),
    [anon_sym_DOLLAR] = ACTIONS(11344),
    [anon_sym_COLON2] = ACTIONS(11344),
    [anon_sym_COLON_COLON] = ACTIONS(11344),
    [anon_sym_isa] = ACTIONS(11344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11344),
    [anon_sym_QMARK] = ACTIONS(11344),
    [anon_sym_where] = ACTIONS(11344),
    [anon_sym_AT] = ACTIONS(11344),
    [anon_sym_true] = ACTIONS(11344),
    [anon_sym_false] = ACTIONS(11344),
    [aux_sym_integer_literal_token1] = ACTIONS(11344),
    [aux_sym_integer_literal_token2] = ACTIONS(11344),
    [aux_sym_integer_literal_token3] = ACTIONS(11344),
    [aux_sym_integer_literal_token4] = ACTIONS(11344),
    [aux_sym_float_literal_token1] = ACTIONS(11344),
    [aux_sym_float_literal_token3] = ACTIONS(11344),
    [aux_sym_float_literal_token4] = ACTIONS(11344),
    [sym_character_literal] = ACTIONS(11344),
    [anon_sym_DQUOTE] = ACTIONS(11344),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11344),
    [anon_sym_BQUOTE] = ACTIONS(11344),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11344),
    [sym__pair_operator] = ACTIONS(11344),
    [sym__arrow_operator] = ACTIONS(11344),
    [sym__lazy_or_operator] = ACTIONS(11344),
    [sym__lazy_and_operator] = ACTIONS(11344),
    [sym__comparison_operator] = ACTIONS(11344),
    [sym__pipe_right_operator] = ACTIONS(11344),
    [sym__pipe_left_operator] = ACTIONS(11344),
    [sym__ellipsis_operator] = ACTIONS(11344),
    [sym__plus_operator] = ACTIONS(11344),
    [sym__times_operator] = ACTIONS(11344),
    [sym__rational_operator] = ACTIONS(11344),
    [sym__bitshift_operator] = ACTIONS(11344),
    [sym__power_operator] = ACTIONS(11344),
    [sym__tilde_operator] = ACTIONS(11344),
    [sym__type_order_operator] = ACTIONS(11344),
    [sym__unary_operator] = ACTIONS(11344),
    [sym__unary_plus_operator] = ACTIONS(11344),
    [aux_sym__terminator_token1] = ACTIONS(11346),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8493] = {
    [sym_block_comment] = STATE(8493),
    [sym_line_comment] = STATE(8493),
    [sym__word_identifier] = ACTIONS(11348),
    [anon_sym_COMMA] = ACTIONS(11348),
    [anon_sym_EQ] = ACTIONS(11348),
    [anon_sym_begin] = ACTIONS(11348),
    [anon_sym_module] = ACTIONS(11348),
    [anon_sym_baremodule] = ACTIONS(11348),
    [anon_sym_end] = ACTIONS(11348),
    [anon_sym_abstract] = ACTIONS(11348),
    [anon_sym_primitive] = ACTIONS(11348),
    [anon_sym_mutable] = ACTIONS(11348),
    [anon_sym_struct] = ACTIONS(11348),
    [anon_sym_function] = ACTIONS(11348),
    [anon_sym_macro] = ACTIONS(11348),
    [anon_sym_quote] = ACTIONS(11348),
    [anon_sym_let] = ACTIONS(11348),
    [anon_sym_if] = ACTIONS(11348),
    [anon_sym_try] = ACTIONS(11348),
    [anon_sym_finally] = ACTIONS(11348),
    [anon_sym_for] = ACTIONS(11348),
    [anon_sym_while] = ACTIONS(11348),
    [sym_break_statement] = ACTIONS(11348),
    [sym_continue_statement] = ACTIONS(11348),
    [anon_sym_return] = ACTIONS(11348),
    [anon_sym_const] = ACTIONS(11348),
    [anon_sym_global] = ACTIONS(11348),
    [anon_sym_local] = ACTIONS(11348),
    [anon_sym_LPAREN] = ACTIONS(11348),
    [anon_sym_COLON] = ACTIONS(11348),
    [anon_sym_export] = ACTIONS(11348),
    [anon_sym_public] = ACTIONS(11348),
    [anon_sym_import] = ACTIONS(11348),
    [anon_sym_using] = ACTIONS(11348),
    [anon_sym_LBRACK] = ACTIONS(11348),
    [anon_sym_in] = ACTIONS(11348),
    [anon_sym_SEMI] = ACTIONS(11348),
    [anon_sym_LBRACE] = ACTIONS(11348),
    [anon_sym_DOLLAR] = ACTIONS(11348),
    [anon_sym_COLON2] = ACTIONS(11348),
    [anon_sym_COLON_COLON] = ACTIONS(11348),
    [anon_sym_isa] = ACTIONS(11348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11348),
    [anon_sym_QMARK] = ACTIONS(11348),
    [anon_sym_where] = ACTIONS(11348),
    [anon_sym_AT] = ACTIONS(11348),
    [anon_sym_true] = ACTIONS(11348),
    [anon_sym_false] = ACTIONS(11348),
    [aux_sym_integer_literal_token1] = ACTIONS(11348),
    [aux_sym_integer_literal_token2] = ACTIONS(11348),
    [aux_sym_integer_literal_token3] = ACTIONS(11348),
    [aux_sym_integer_literal_token4] = ACTIONS(11348),
    [aux_sym_float_literal_token1] = ACTIONS(11348),
    [aux_sym_float_literal_token3] = ACTIONS(11348),
    [aux_sym_float_literal_token4] = ACTIONS(11348),
    [sym_character_literal] = ACTIONS(11348),
    [anon_sym_DQUOTE] = ACTIONS(11348),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11348),
    [anon_sym_BQUOTE] = ACTIONS(11348),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11348),
    [sym__pair_operator] = ACTIONS(11348),
    [sym__arrow_operator] = ACTIONS(11348),
    [sym__lazy_or_operator] = ACTIONS(11348),
    [sym__lazy_and_operator] = ACTIONS(11348),
    [sym__comparison_operator] = ACTIONS(11348),
    [sym__pipe_right_operator] = ACTIONS(11348),
    [sym__pipe_left_operator] = ACTIONS(11348),
    [sym__ellipsis_operator] = ACTIONS(11348),
    [sym__plus_operator] = ACTIONS(11348),
    [sym__times_operator] = ACTIONS(11348),
    [sym__rational_operator] = ACTIONS(11348),
    [sym__bitshift_operator] = ACTIONS(11348),
    [sym__power_operator] = ACTIONS(11348),
    [sym__tilde_operator] = ACTIONS(11348),
    [sym__type_order_operator] = ACTIONS(11348),
    [sym__unary_operator] = ACTIONS(11348),
    [sym__unary_plus_operator] = ACTIONS(11348),
    [aux_sym__terminator_token1] = ACTIONS(11350),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8494] = {
    [sym_block_comment] = STATE(8494),
    [sym_line_comment] = STATE(8494),
    [sym__word_identifier] = ACTIONS(11352),
    [anon_sym_COMMA] = ACTIONS(11352),
    [anon_sym_EQ] = ACTIONS(11352),
    [anon_sym_begin] = ACTIONS(11352),
    [anon_sym_module] = ACTIONS(11352),
    [anon_sym_baremodule] = ACTIONS(11352),
    [anon_sym_end] = ACTIONS(11352),
    [anon_sym_abstract] = ACTIONS(11352),
    [anon_sym_primitive] = ACTIONS(11352),
    [anon_sym_mutable] = ACTIONS(11352),
    [anon_sym_struct] = ACTIONS(11352),
    [anon_sym_function] = ACTIONS(11352),
    [anon_sym_macro] = ACTIONS(11352),
    [anon_sym_quote] = ACTIONS(11352),
    [anon_sym_let] = ACTIONS(11352),
    [anon_sym_if] = ACTIONS(11352),
    [anon_sym_try] = ACTIONS(11352),
    [anon_sym_finally] = ACTIONS(11352),
    [anon_sym_for] = ACTIONS(11352),
    [anon_sym_while] = ACTIONS(11352),
    [sym_break_statement] = ACTIONS(11352),
    [sym_continue_statement] = ACTIONS(11352),
    [anon_sym_return] = ACTIONS(11352),
    [anon_sym_const] = ACTIONS(11352),
    [anon_sym_global] = ACTIONS(11352),
    [anon_sym_local] = ACTIONS(11352),
    [anon_sym_LPAREN] = ACTIONS(11352),
    [anon_sym_COLON] = ACTIONS(11352),
    [anon_sym_export] = ACTIONS(11352),
    [anon_sym_public] = ACTIONS(11352),
    [anon_sym_import] = ACTIONS(11352),
    [anon_sym_using] = ACTIONS(11352),
    [anon_sym_LBRACK] = ACTIONS(11352),
    [anon_sym_in] = ACTIONS(11352),
    [anon_sym_SEMI] = ACTIONS(11352),
    [anon_sym_LBRACE] = ACTIONS(11352),
    [anon_sym_DOLLAR] = ACTIONS(11352),
    [anon_sym_COLON2] = ACTIONS(11352),
    [anon_sym_COLON_COLON] = ACTIONS(11352),
    [anon_sym_isa] = ACTIONS(11352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11352),
    [anon_sym_QMARK] = ACTIONS(11352),
    [anon_sym_where] = ACTIONS(11352),
    [anon_sym_AT] = ACTIONS(11352),
    [anon_sym_true] = ACTIONS(11352),
    [anon_sym_false] = ACTIONS(11352),
    [aux_sym_integer_literal_token1] = ACTIONS(11352),
    [aux_sym_integer_literal_token2] = ACTIONS(11352),
    [aux_sym_integer_literal_token3] = ACTIONS(11352),
    [aux_sym_integer_literal_token4] = ACTIONS(11352),
    [aux_sym_float_literal_token1] = ACTIONS(11352),
    [aux_sym_float_literal_token3] = ACTIONS(11352),
    [aux_sym_float_literal_token4] = ACTIONS(11352),
    [sym_character_literal] = ACTIONS(11352),
    [anon_sym_DQUOTE] = ACTIONS(11352),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11352),
    [anon_sym_BQUOTE] = ACTIONS(11352),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11352),
    [sym__pair_operator] = ACTIONS(11352),
    [sym__arrow_operator] = ACTIONS(11352),
    [sym__lazy_or_operator] = ACTIONS(11352),
    [sym__lazy_and_operator] = ACTIONS(11352),
    [sym__comparison_operator] = ACTIONS(11352),
    [sym__pipe_right_operator] = ACTIONS(11352),
    [sym__pipe_left_operator] = ACTIONS(11352),
    [sym__ellipsis_operator] = ACTIONS(11352),
    [sym__plus_operator] = ACTIONS(11352),
    [sym__times_operator] = ACTIONS(11352),
    [sym__rational_operator] = ACTIONS(11352),
    [sym__bitshift_operator] = ACTIONS(11352),
    [sym__power_operator] = ACTIONS(11352),
    [sym__tilde_operator] = ACTIONS(11352),
    [sym__type_order_operator] = ACTIONS(11352),
    [sym__unary_operator] = ACTIONS(11352),
    [sym__unary_plus_operator] = ACTIONS(11352),
    [aux_sym__terminator_token1] = ACTIONS(11354),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8495] = {
    [sym_block_comment] = STATE(8495),
    [sym_line_comment] = STATE(8495),
    [aux_sym_export_statement_repeat1] = STATE(8641),
    [sym__word_identifier] = ACTIONS(11278),
    [anon_sym_COMMA] = ACTIONS(12522),
    [anon_sym_EQ] = ACTIONS(11278),
    [anon_sym_begin] = ACTIONS(11278),
    [anon_sym_module] = ACTIONS(11278),
    [anon_sym_baremodule] = ACTIONS(11278),
    [anon_sym_end] = ACTIONS(11278),
    [anon_sym_abstract] = ACTIONS(11278),
    [anon_sym_primitive] = ACTIONS(11278),
    [anon_sym_mutable] = ACTIONS(11278),
    [anon_sym_struct] = ACTIONS(11278),
    [anon_sym_function] = ACTIONS(11278),
    [anon_sym_macro] = ACTIONS(11278),
    [anon_sym_quote] = ACTIONS(11278),
    [anon_sym_let] = ACTIONS(11278),
    [anon_sym_if] = ACTIONS(11278),
    [anon_sym_try] = ACTIONS(11278),
    [anon_sym_for] = ACTIONS(11278),
    [anon_sym_while] = ACTIONS(11278),
    [sym_break_statement] = ACTIONS(11278),
    [sym_continue_statement] = ACTIONS(11278),
    [anon_sym_return] = ACTIONS(11278),
    [anon_sym_const] = ACTIONS(11278),
    [anon_sym_global] = ACTIONS(11278),
    [anon_sym_local] = ACTIONS(11278),
    [anon_sym_LPAREN] = ACTIONS(11278),
    [anon_sym_COLON] = ACTIONS(11278),
    [anon_sym_export] = ACTIONS(11278),
    [anon_sym_public] = ACTIONS(11278),
    [anon_sym_import] = ACTIONS(11278),
    [anon_sym_using] = ACTIONS(11278),
    [anon_sym_LBRACK] = ACTIONS(11278),
    [anon_sym_in] = ACTIONS(11278),
    [anon_sym_SEMI] = ACTIONS(11278),
    [anon_sym_LBRACE] = ACTIONS(11278),
    [anon_sym_DOLLAR] = ACTIONS(11278),
    [anon_sym_COLON2] = ACTIONS(11278),
    [anon_sym_COLON_COLON] = ACTIONS(11278),
    [anon_sym_isa] = ACTIONS(11278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11278),
    [anon_sym_QMARK] = ACTIONS(11278),
    [anon_sym_where] = ACTIONS(11278),
    [anon_sym_AT] = ACTIONS(11278),
    [anon_sym_true] = ACTIONS(11278),
    [anon_sym_false] = ACTIONS(11278),
    [aux_sym_integer_literal_token1] = ACTIONS(11278),
    [aux_sym_integer_literal_token2] = ACTIONS(11278),
    [aux_sym_integer_literal_token3] = ACTIONS(11278),
    [aux_sym_integer_literal_token4] = ACTIONS(11278),
    [aux_sym_float_literal_token1] = ACTIONS(11278),
    [aux_sym_float_literal_token3] = ACTIONS(11278),
    [aux_sym_float_literal_token4] = ACTIONS(11278),
    [sym_character_literal] = ACTIONS(11278),
    [anon_sym_DQUOTE] = ACTIONS(11278),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11278),
    [anon_sym_BQUOTE] = ACTIONS(11278),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11278),
    [sym__pair_operator] = ACTIONS(11278),
    [sym__arrow_operator] = ACTIONS(11278),
    [sym__lazy_or_operator] = ACTIONS(11278),
    [sym__lazy_and_operator] = ACTIONS(11278),
    [sym__comparison_operator] = ACTIONS(11278),
    [sym__pipe_right_operator] = ACTIONS(11278),
    [sym__pipe_left_operator] = ACTIONS(11278),
    [sym__ellipsis_operator] = ACTIONS(11278),
    [sym__plus_operator] = ACTIONS(11278),
    [sym__times_operator] = ACTIONS(11278),
    [sym__rational_operator] = ACTIONS(11278),
    [sym__bitshift_operator] = ACTIONS(11278),
    [sym__power_operator] = ACTIONS(11278),
    [sym__tilde_operator] = ACTIONS(11278),
    [sym__type_order_operator] = ACTIONS(11278),
    [sym__unary_operator] = ACTIONS(11278),
    [sym__unary_plus_operator] = ACTIONS(11278),
    [aux_sym__terminator_token1] = ACTIONS(11282),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8496] = {
    [sym_block_comment] = STATE(8496),
    [sym_line_comment] = STATE(8496),
    [aux_sym_export_statement_repeat1] = STATE(8646),
    [sym__word_identifier] = ACTIONS(11141),
    [anon_sym_COMMA] = ACTIONS(12522),
    [anon_sym_EQ] = ACTIONS(11141),
    [anon_sym_begin] = ACTIONS(11141),
    [anon_sym_module] = ACTIONS(11141),
    [anon_sym_baremodule] = ACTIONS(11141),
    [anon_sym_end] = ACTIONS(11141),
    [anon_sym_abstract] = ACTIONS(11141),
    [anon_sym_primitive] = ACTIONS(11141),
    [anon_sym_mutable] = ACTIONS(11141),
    [anon_sym_struct] = ACTIONS(11141),
    [anon_sym_function] = ACTIONS(11141),
    [anon_sym_macro] = ACTIONS(11141),
    [anon_sym_quote] = ACTIONS(11141),
    [anon_sym_let] = ACTIONS(11141),
    [anon_sym_if] = ACTIONS(11141),
    [anon_sym_try] = ACTIONS(11141),
    [anon_sym_for] = ACTIONS(11141),
    [anon_sym_while] = ACTIONS(11141),
    [sym_break_statement] = ACTIONS(11141),
    [sym_continue_statement] = ACTIONS(11141),
    [anon_sym_return] = ACTIONS(11141),
    [anon_sym_const] = ACTIONS(11141),
    [anon_sym_global] = ACTIONS(11141),
    [anon_sym_local] = ACTIONS(11141),
    [anon_sym_LPAREN] = ACTIONS(11141),
    [anon_sym_COLON] = ACTIONS(11141),
    [anon_sym_export] = ACTIONS(11141),
    [anon_sym_public] = ACTIONS(11141),
    [anon_sym_import] = ACTIONS(11141),
    [anon_sym_using] = ACTIONS(11141),
    [anon_sym_LBRACK] = ACTIONS(11141),
    [anon_sym_in] = ACTIONS(11141),
    [anon_sym_SEMI] = ACTIONS(11141),
    [anon_sym_LBRACE] = ACTIONS(11141),
    [anon_sym_DOLLAR] = ACTIONS(11141),
    [anon_sym_COLON2] = ACTIONS(11141),
    [anon_sym_COLON_COLON] = ACTIONS(11141),
    [anon_sym_isa] = ACTIONS(11141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11141),
    [anon_sym_QMARK] = ACTIONS(11141),
    [anon_sym_where] = ACTIONS(11141),
    [anon_sym_AT] = ACTIONS(11141),
    [anon_sym_true] = ACTIONS(11141),
    [anon_sym_false] = ACTIONS(11141),
    [aux_sym_integer_literal_token1] = ACTIONS(11141),
    [aux_sym_integer_literal_token2] = ACTIONS(11141),
    [aux_sym_integer_literal_token3] = ACTIONS(11141),
    [aux_sym_integer_literal_token4] = ACTIONS(11141),
    [aux_sym_float_literal_token1] = ACTIONS(11141),
    [aux_sym_float_literal_token3] = ACTIONS(11141),
    [aux_sym_float_literal_token4] = ACTIONS(11141),
    [sym_character_literal] = ACTIONS(11141),
    [anon_sym_DQUOTE] = ACTIONS(11141),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11141),
    [anon_sym_BQUOTE] = ACTIONS(11141),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11141),
    [sym__pair_operator] = ACTIONS(11141),
    [sym__arrow_operator] = ACTIONS(11141),
    [sym__lazy_or_operator] = ACTIONS(11141),
    [sym__lazy_and_operator] = ACTIONS(11141),
    [sym__comparison_operator] = ACTIONS(11141),
    [sym__pipe_right_operator] = ACTIONS(11141),
    [sym__pipe_left_operator] = ACTIONS(11141),
    [sym__ellipsis_operator] = ACTIONS(11141),
    [sym__plus_operator] = ACTIONS(11141),
    [sym__times_operator] = ACTIONS(11141),
    [sym__rational_operator] = ACTIONS(11141),
    [sym__bitshift_operator] = ACTIONS(11141),
    [sym__power_operator] = ACTIONS(11141),
    [sym__tilde_operator] = ACTIONS(11141),
    [sym__type_order_operator] = ACTIONS(11141),
    [sym__unary_operator] = ACTIONS(11141),
    [sym__unary_plus_operator] = ACTIONS(11141),
    [aux_sym__terminator_token1] = ACTIONS(11145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8497] = {
    [sym_block_comment] = STATE(8497),
    [sym_line_comment] = STATE(8497),
    [aux_sym__import_list_repeat1] = STATE(8650),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(11910),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_LPAREN] = ACTIONS(11024),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11024),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_SEMI] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11024),
    [anon_sym_DOLLAR] = ACTIONS(11024),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11024),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11024),
    [anon_sym_QMARK] = ACTIONS(11024),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11024),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11024),
    [aux_sym_integer_literal_token2] = ACTIONS(11024),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11024),
    [aux_sym_float_literal_token3] = ACTIONS(11024),
    [aux_sym_float_literal_token4] = ACTIONS(11024),
    [sym_character_literal] = ACTIONS(11024),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11024),
    [sym__pair_operator] = ACTIONS(11024),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11024),
    [sym__lazy_and_operator] = ACTIONS(11024),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11024),
    [sym__pipe_left_operator] = ACTIONS(11024),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11024),
    [sym__bitshift_operator] = ACTIONS(11024),
    [sym__power_operator] = ACTIONS(11024),
    [sym__tilde_operator] = ACTIONS(11024),
    [sym__type_order_operator] = ACTIONS(11024),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym__terminator_token1] = ACTIONS(11032),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8498] = {
    [sym_block_comment] = STATE(8498),
    [sym_line_comment] = STATE(8498),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10982),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_end] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10982),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10982),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_SEMI] = ACTIONS(10982),
    [anon_sym_LBRACE] = ACTIONS(10982),
    [anon_sym_DOLLAR] = ACTIONS(10982),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10982),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10982),
    [anon_sym_QMARK] = ACTIONS(10982),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10982),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10982),
    [aux_sym_integer_literal_token2] = ACTIONS(10982),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10982),
    [aux_sym_float_literal_token3] = ACTIONS(10982),
    [aux_sym_float_literal_token4] = ACTIONS(10982),
    [sym_character_literal] = ACTIONS(10982),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10982),
    [sym__pair_operator] = ACTIONS(10982),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10982),
    [sym__lazy_and_operator] = ACTIONS(10982),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10982),
    [sym__pipe_left_operator] = ACTIONS(10982),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10982),
    [sym__bitshift_operator] = ACTIONS(10982),
    [sym__power_operator] = ACTIONS(10982),
    [sym__tilde_operator] = ACTIONS(10982),
    [sym__type_order_operator] = ACTIONS(10982),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym__terminator_token1] = ACTIONS(10986),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8499] = {
    [sym_block_comment] = STATE(8499),
    [sym_line_comment] = STATE(8499),
    [sym__word_identifier] = ACTIONS(11358),
    [anon_sym_COMMA] = ACTIONS(11358),
    [anon_sym_EQ] = ACTIONS(11358),
    [anon_sym_begin] = ACTIONS(11358),
    [anon_sym_module] = ACTIONS(11358),
    [anon_sym_baremodule] = ACTIONS(11358),
    [anon_sym_end] = ACTIONS(11358),
    [anon_sym_abstract] = ACTIONS(11358),
    [anon_sym_primitive] = ACTIONS(11358),
    [anon_sym_mutable] = ACTIONS(11358),
    [anon_sym_struct] = ACTIONS(11358),
    [anon_sym_function] = ACTIONS(11358),
    [anon_sym_macro] = ACTIONS(11358),
    [anon_sym_quote] = ACTIONS(11358),
    [anon_sym_let] = ACTIONS(11358),
    [anon_sym_if] = ACTIONS(11358),
    [anon_sym_try] = ACTIONS(11358),
    [anon_sym_finally] = ACTIONS(11358),
    [anon_sym_for] = ACTIONS(11358),
    [anon_sym_while] = ACTIONS(11358),
    [sym_break_statement] = ACTIONS(11358),
    [sym_continue_statement] = ACTIONS(11358),
    [anon_sym_return] = ACTIONS(11358),
    [anon_sym_const] = ACTIONS(11358),
    [anon_sym_global] = ACTIONS(11358),
    [anon_sym_local] = ACTIONS(11358),
    [anon_sym_LPAREN] = ACTIONS(11358),
    [anon_sym_COLON] = ACTIONS(11358),
    [anon_sym_export] = ACTIONS(11358),
    [anon_sym_public] = ACTIONS(11358),
    [anon_sym_import] = ACTIONS(11358),
    [anon_sym_using] = ACTIONS(11358),
    [anon_sym_LBRACK] = ACTIONS(11358),
    [anon_sym_in] = ACTIONS(11358),
    [anon_sym_SEMI] = ACTIONS(11358),
    [anon_sym_LBRACE] = ACTIONS(11358),
    [anon_sym_DOLLAR] = ACTIONS(11358),
    [anon_sym_COLON2] = ACTIONS(11358),
    [anon_sym_COLON_COLON] = ACTIONS(11358),
    [anon_sym_isa] = ACTIONS(11358),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11358),
    [anon_sym_QMARK] = ACTIONS(11358),
    [anon_sym_where] = ACTIONS(11358),
    [anon_sym_AT] = ACTIONS(11358),
    [anon_sym_true] = ACTIONS(11358),
    [anon_sym_false] = ACTIONS(11358),
    [aux_sym_integer_literal_token1] = ACTIONS(11358),
    [aux_sym_integer_literal_token2] = ACTIONS(11358),
    [aux_sym_integer_literal_token3] = ACTIONS(11358),
    [aux_sym_integer_literal_token4] = ACTIONS(11358),
    [aux_sym_float_literal_token1] = ACTIONS(11358),
    [aux_sym_float_literal_token3] = ACTIONS(11358),
    [aux_sym_float_literal_token4] = ACTIONS(11358),
    [sym_character_literal] = ACTIONS(11358),
    [anon_sym_DQUOTE] = ACTIONS(11358),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11358),
    [anon_sym_BQUOTE] = ACTIONS(11358),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11358),
    [sym__pair_operator] = ACTIONS(11358),
    [sym__arrow_operator] = ACTIONS(11358),
    [sym__lazy_or_operator] = ACTIONS(11358),
    [sym__lazy_and_operator] = ACTIONS(11358),
    [sym__comparison_operator] = ACTIONS(11358),
    [sym__pipe_right_operator] = ACTIONS(11358),
    [sym__pipe_left_operator] = ACTIONS(11358),
    [sym__ellipsis_operator] = ACTIONS(11358),
    [sym__plus_operator] = ACTIONS(11358),
    [sym__times_operator] = ACTIONS(11358),
    [sym__rational_operator] = ACTIONS(11358),
    [sym__bitshift_operator] = ACTIONS(11358),
    [sym__power_operator] = ACTIONS(11358),
    [sym__tilde_operator] = ACTIONS(11358),
    [sym__type_order_operator] = ACTIONS(11358),
    [sym__unary_operator] = ACTIONS(11358),
    [sym__unary_plus_operator] = ACTIONS(11358),
    [aux_sym__terminator_token1] = ACTIONS(11360),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8500] = {
    [sym_block_comment] = STATE(8500),
    [sym_line_comment] = STATE(8500),
    [sym__word_identifier] = ACTIONS(11362),
    [anon_sym_COMMA] = ACTIONS(11362),
    [anon_sym_EQ] = ACTIONS(11362),
    [anon_sym_begin] = ACTIONS(11362),
    [anon_sym_module] = ACTIONS(11362),
    [anon_sym_baremodule] = ACTIONS(11362),
    [anon_sym_end] = ACTIONS(11362),
    [anon_sym_abstract] = ACTIONS(11362),
    [anon_sym_primitive] = ACTIONS(11362),
    [anon_sym_mutable] = ACTIONS(11362),
    [anon_sym_struct] = ACTIONS(11362),
    [anon_sym_function] = ACTIONS(11362),
    [anon_sym_macro] = ACTIONS(11362),
    [anon_sym_quote] = ACTIONS(11362),
    [anon_sym_let] = ACTIONS(11362),
    [anon_sym_if] = ACTIONS(11362),
    [anon_sym_try] = ACTIONS(11362),
    [anon_sym_finally] = ACTIONS(11362),
    [anon_sym_for] = ACTIONS(11362),
    [anon_sym_while] = ACTIONS(11362),
    [sym_break_statement] = ACTIONS(11362),
    [sym_continue_statement] = ACTIONS(11362),
    [anon_sym_return] = ACTIONS(11362),
    [anon_sym_const] = ACTIONS(11362),
    [anon_sym_global] = ACTIONS(11362),
    [anon_sym_local] = ACTIONS(11362),
    [anon_sym_LPAREN] = ACTIONS(11362),
    [anon_sym_COLON] = ACTIONS(11362),
    [anon_sym_export] = ACTIONS(11362),
    [anon_sym_public] = ACTIONS(11362),
    [anon_sym_import] = ACTIONS(11362),
    [anon_sym_using] = ACTIONS(11362),
    [anon_sym_LBRACK] = ACTIONS(11362),
    [anon_sym_in] = ACTIONS(11362),
    [anon_sym_SEMI] = ACTIONS(11362),
    [anon_sym_LBRACE] = ACTIONS(11362),
    [anon_sym_DOLLAR] = ACTIONS(11362),
    [anon_sym_COLON2] = ACTIONS(11362),
    [anon_sym_COLON_COLON] = ACTIONS(11362),
    [anon_sym_isa] = ACTIONS(11362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11362),
    [anon_sym_QMARK] = ACTIONS(11362),
    [anon_sym_where] = ACTIONS(11362),
    [anon_sym_AT] = ACTIONS(11362),
    [anon_sym_true] = ACTIONS(11362),
    [anon_sym_false] = ACTIONS(11362),
    [aux_sym_integer_literal_token1] = ACTIONS(11362),
    [aux_sym_integer_literal_token2] = ACTIONS(11362),
    [aux_sym_integer_literal_token3] = ACTIONS(11362),
    [aux_sym_integer_literal_token4] = ACTIONS(11362),
    [aux_sym_float_literal_token1] = ACTIONS(11362),
    [aux_sym_float_literal_token3] = ACTIONS(11362),
    [aux_sym_float_literal_token4] = ACTIONS(11362),
    [sym_character_literal] = ACTIONS(11362),
    [anon_sym_DQUOTE] = ACTIONS(11362),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11362),
    [anon_sym_BQUOTE] = ACTIONS(11362),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11362),
    [sym__pair_operator] = ACTIONS(11362),
    [sym__arrow_operator] = ACTIONS(11362),
    [sym__lazy_or_operator] = ACTIONS(11362),
    [sym__lazy_and_operator] = ACTIONS(11362),
    [sym__comparison_operator] = ACTIONS(11362),
    [sym__pipe_right_operator] = ACTIONS(11362),
    [sym__pipe_left_operator] = ACTIONS(11362),
    [sym__ellipsis_operator] = ACTIONS(11362),
    [sym__plus_operator] = ACTIONS(11362),
    [sym__times_operator] = ACTIONS(11362),
    [sym__rational_operator] = ACTIONS(11362),
    [sym__bitshift_operator] = ACTIONS(11362),
    [sym__power_operator] = ACTIONS(11362),
    [sym__tilde_operator] = ACTIONS(11362),
    [sym__type_order_operator] = ACTIONS(11362),
    [sym__unary_operator] = ACTIONS(11362),
    [sym__unary_plus_operator] = ACTIONS(11362),
    [aux_sym__terminator_token1] = ACTIONS(11364),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8501] = {
    [sym_block_comment] = STATE(8501),
    [sym_line_comment] = STATE(8501),
    [sym__word_identifier] = ACTIONS(11366),
    [anon_sym_COMMA] = ACTIONS(11366),
    [anon_sym_EQ] = ACTIONS(11366),
    [anon_sym_begin] = ACTIONS(11366),
    [anon_sym_module] = ACTIONS(11366),
    [anon_sym_baremodule] = ACTIONS(11366),
    [anon_sym_end] = ACTIONS(11366),
    [anon_sym_abstract] = ACTIONS(11366),
    [anon_sym_primitive] = ACTIONS(11366),
    [anon_sym_mutable] = ACTIONS(11366),
    [anon_sym_struct] = ACTIONS(11366),
    [anon_sym_function] = ACTIONS(11366),
    [anon_sym_macro] = ACTIONS(11366),
    [anon_sym_quote] = ACTIONS(11366),
    [anon_sym_let] = ACTIONS(11366),
    [anon_sym_if] = ACTIONS(11366),
    [anon_sym_try] = ACTIONS(11366),
    [anon_sym_finally] = ACTIONS(11366),
    [anon_sym_for] = ACTIONS(11366),
    [anon_sym_while] = ACTIONS(11366),
    [sym_break_statement] = ACTIONS(11366),
    [sym_continue_statement] = ACTIONS(11366),
    [anon_sym_return] = ACTIONS(11366),
    [anon_sym_const] = ACTIONS(11366),
    [anon_sym_global] = ACTIONS(11366),
    [anon_sym_local] = ACTIONS(11366),
    [anon_sym_LPAREN] = ACTIONS(11366),
    [anon_sym_COLON] = ACTIONS(11366),
    [anon_sym_export] = ACTIONS(11366),
    [anon_sym_public] = ACTIONS(11366),
    [anon_sym_import] = ACTIONS(11366),
    [anon_sym_using] = ACTIONS(11366),
    [anon_sym_LBRACK] = ACTIONS(11366),
    [anon_sym_in] = ACTIONS(11366),
    [anon_sym_SEMI] = ACTIONS(11366),
    [anon_sym_LBRACE] = ACTIONS(11366),
    [anon_sym_DOLLAR] = ACTIONS(11366),
    [anon_sym_COLON2] = ACTIONS(11366),
    [anon_sym_COLON_COLON] = ACTIONS(11366),
    [anon_sym_isa] = ACTIONS(11366),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11366),
    [anon_sym_QMARK] = ACTIONS(11366),
    [anon_sym_where] = ACTIONS(11366),
    [anon_sym_AT] = ACTIONS(11366),
    [anon_sym_true] = ACTIONS(11366),
    [anon_sym_false] = ACTIONS(11366),
    [aux_sym_integer_literal_token1] = ACTIONS(11366),
    [aux_sym_integer_literal_token2] = ACTIONS(11366),
    [aux_sym_integer_literal_token3] = ACTIONS(11366),
    [aux_sym_integer_literal_token4] = ACTIONS(11366),
    [aux_sym_float_literal_token1] = ACTIONS(11366),
    [aux_sym_float_literal_token3] = ACTIONS(11366),
    [aux_sym_float_literal_token4] = ACTIONS(11366),
    [sym_character_literal] = ACTIONS(11366),
    [anon_sym_DQUOTE] = ACTIONS(11366),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11366),
    [anon_sym_BQUOTE] = ACTIONS(11366),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11366),
    [sym__pair_operator] = ACTIONS(11366),
    [sym__arrow_operator] = ACTIONS(11366),
    [sym__lazy_or_operator] = ACTIONS(11366),
    [sym__lazy_and_operator] = ACTIONS(11366),
    [sym__comparison_operator] = ACTIONS(11366),
    [sym__pipe_right_operator] = ACTIONS(11366),
    [sym__pipe_left_operator] = ACTIONS(11366),
    [sym__ellipsis_operator] = ACTIONS(11366),
    [sym__plus_operator] = ACTIONS(11366),
    [sym__times_operator] = ACTIONS(11366),
    [sym__rational_operator] = ACTIONS(11366),
    [sym__bitshift_operator] = ACTIONS(11366),
    [sym__power_operator] = ACTIONS(11366),
    [sym__tilde_operator] = ACTIONS(11366),
    [sym__type_order_operator] = ACTIONS(11366),
    [sym__unary_operator] = ACTIONS(11366),
    [sym__unary_plus_operator] = ACTIONS(11366),
    [aux_sym__terminator_token1] = ACTIONS(11368),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8502] = {
    [sym_block_comment] = STATE(8502),
    [sym_line_comment] = STATE(8502),
    [sym__word_identifier] = ACTIONS(11370),
    [anon_sym_COMMA] = ACTIONS(11370),
    [anon_sym_EQ] = ACTIONS(11370),
    [anon_sym_begin] = ACTIONS(11370),
    [anon_sym_module] = ACTIONS(11370),
    [anon_sym_baremodule] = ACTIONS(11370),
    [anon_sym_end] = ACTIONS(11370),
    [anon_sym_abstract] = ACTIONS(11370),
    [anon_sym_primitive] = ACTIONS(11370),
    [anon_sym_mutable] = ACTIONS(11370),
    [anon_sym_struct] = ACTIONS(11370),
    [anon_sym_function] = ACTIONS(11370),
    [anon_sym_macro] = ACTIONS(11370),
    [anon_sym_quote] = ACTIONS(11370),
    [anon_sym_let] = ACTIONS(11370),
    [anon_sym_if] = ACTIONS(11370),
    [anon_sym_try] = ACTIONS(11370),
    [anon_sym_finally] = ACTIONS(11370),
    [anon_sym_for] = ACTIONS(11370),
    [anon_sym_while] = ACTIONS(11370),
    [sym_break_statement] = ACTIONS(11370),
    [sym_continue_statement] = ACTIONS(11370),
    [anon_sym_return] = ACTIONS(11370),
    [anon_sym_const] = ACTIONS(11370),
    [anon_sym_global] = ACTIONS(11370),
    [anon_sym_local] = ACTIONS(11370),
    [anon_sym_LPAREN] = ACTIONS(11370),
    [anon_sym_COLON] = ACTIONS(11370),
    [anon_sym_export] = ACTIONS(11370),
    [anon_sym_public] = ACTIONS(11370),
    [anon_sym_import] = ACTIONS(11370),
    [anon_sym_using] = ACTIONS(11370),
    [anon_sym_LBRACK] = ACTIONS(11370),
    [anon_sym_in] = ACTIONS(11370),
    [anon_sym_SEMI] = ACTIONS(11370),
    [anon_sym_LBRACE] = ACTIONS(11370),
    [anon_sym_DOLLAR] = ACTIONS(11370),
    [anon_sym_COLON2] = ACTIONS(11370),
    [anon_sym_COLON_COLON] = ACTIONS(11370),
    [anon_sym_isa] = ACTIONS(11370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11370),
    [anon_sym_QMARK] = ACTIONS(11370),
    [anon_sym_where] = ACTIONS(11370),
    [anon_sym_AT] = ACTIONS(11370),
    [anon_sym_true] = ACTIONS(11370),
    [anon_sym_false] = ACTIONS(11370),
    [aux_sym_integer_literal_token1] = ACTIONS(11370),
    [aux_sym_integer_literal_token2] = ACTIONS(11370),
    [aux_sym_integer_literal_token3] = ACTIONS(11370),
    [aux_sym_integer_literal_token4] = ACTIONS(11370),
    [aux_sym_float_literal_token1] = ACTIONS(11370),
    [aux_sym_float_literal_token3] = ACTIONS(11370),
    [aux_sym_float_literal_token4] = ACTIONS(11370),
    [sym_character_literal] = ACTIONS(11370),
    [anon_sym_DQUOTE] = ACTIONS(11370),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11370),
    [anon_sym_BQUOTE] = ACTIONS(11370),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11370),
    [sym__pair_operator] = ACTIONS(11370),
    [sym__arrow_operator] = ACTIONS(11370),
    [sym__lazy_or_operator] = ACTIONS(11370),
    [sym__lazy_and_operator] = ACTIONS(11370),
    [sym__comparison_operator] = ACTIONS(11370),
    [sym__pipe_right_operator] = ACTIONS(11370),
    [sym__pipe_left_operator] = ACTIONS(11370),
    [sym__ellipsis_operator] = ACTIONS(11370),
    [sym__plus_operator] = ACTIONS(11370),
    [sym__times_operator] = ACTIONS(11370),
    [sym__rational_operator] = ACTIONS(11370),
    [sym__bitshift_operator] = ACTIONS(11370),
    [sym__power_operator] = ACTIONS(11370),
    [sym__tilde_operator] = ACTIONS(11370),
    [sym__type_order_operator] = ACTIONS(11370),
    [sym__unary_operator] = ACTIONS(11370),
    [sym__unary_plus_operator] = ACTIONS(11370),
    [aux_sym__terminator_token1] = ACTIONS(11372),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8503] = {
    [sym_block_comment] = STATE(8503),
    [sym_line_comment] = STATE(8503),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(10367),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_catch] = ACTIONS(11212),
    [anon_sym_finally] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8504] = {
    [sym_block_comment] = STATE(8504),
    [sym_line_comment] = STATE(8504),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_catch] = ACTIONS(11212),
    [anon_sym_finally] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8505] = {
    [sym_block_comment] = STATE(8505),
    [sym_line_comment] = STATE(8505),
    [aux_sym_open_tuple_repeat1] = STATE(8134),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_catch] = ACTIONS(11212),
    [anon_sym_finally] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12524),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8506] = {
    [sym_block_comment] = STATE(8506),
    [sym_line_comment] = STATE(8506),
    [ts_builtin_sym_end] = ACTIONS(11326),
    [sym__word_identifier] = ACTIONS(11324),
    [anon_sym_COMMA] = ACTIONS(11324),
    [anon_sym_EQ] = ACTIONS(11324),
    [anon_sym_begin] = ACTIONS(11324),
    [anon_sym_module] = ACTIONS(11324),
    [anon_sym_baremodule] = ACTIONS(11324),
    [anon_sym_abstract] = ACTIONS(11324),
    [anon_sym_primitive] = ACTIONS(11324),
    [anon_sym_mutable] = ACTIONS(11324),
    [anon_sym_struct] = ACTIONS(11324),
    [anon_sym_function] = ACTIONS(11324),
    [anon_sym_macro] = ACTIONS(11324),
    [anon_sym_quote] = ACTIONS(11324),
    [anon_sym_let] = ACTIONS(11324),
    [anon_sym_if] = ACTIONS(11324),
    [anon_sym_try] = ACTIONS(11324),
    [anon_sym_for] = ACTIONS(11324),
    [anon_sym_while] = ACTIONS(11324),
    [sym_break_statement] = ACTIONS(11324),
    [sym_continue_statement] = ACTIONS(11324),
    [anon_sym_return] = ACTIONS(11324),
    [anon_sym_const] = ACTIONS(11324),
    [anon_sym_global] = ACTIONS(11324),
    [anon_sym_local] = ACTIONS(11324),
    [anon_sym_LPAREN] = ACTIONS(11324),
    [anon_sym_COLON] = ACTIONS(11324),
    [anon_sym_export] = ACTIONS(11324),
    [anon_sym_public] = ACTIONS(11324),
    [anon_sym_import] = ACTIONS(11324),
    [anon_sym_using] = ACTIONS(11324),
    [anon_sym_LBRACK] = ACTIONS(11324),
    [anon_sym_RBRACK] = ACTIONS(11324),
    [anon_sym_in] = ACTIONS(11324),
    [anon_sym_SEMI] = ACTIONS(11324),
    [anon_sym_LBRACE] = ACTIONS(11324),
    [anon_sym_DOLLAR] = ACTIONS(11324),
    [anon_sym_COLON2] = ACTIONS(11324),
    [anon_sym_COLON_COLON] = ACTIONS(11324),
    [anon_sym_isa] = ACTIONS(11324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11324),
    [anon_sym_QMARK] = ACTIONS(11324),
    [anon_sym_where] = ACTIONS(11324),
    [anon_sym_AT] = ACTIONS(11324),
    [anon_sym_true] = ACTIONS(11324),
    [anon_sym_false] = ACTIONS(11324),
    [aux_sym_integer_literal_token1] = ACTIONS(11324),
    [aux_sym_integer_literal_token2] = ACTIONS(11324),
    [aux_sym_integer_literal_token3] = ACTIONS(11324),
    [aux_sym_integer_literal_token4] = ACTIONS(11324),
    [aux_sym_float_literal_token1] = ACTIONS(11324),
    [aux_sym_float_literal_token3] = ACTIONS(11324),
    [aux_sym_float_literal_token4] = ACTIONS(11324),
    [sym_character_literal] = ACTIONS(11324),
    [anon_sym_DQUOTE] = ACTIONS(11324),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11324),
    [anon_sym_BQUOTE] = ACTIONS(11324),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11324),
    [sym__pair_operator] = ACTIONS(11324),
    [sym__arrow_operator] = ACTIONS(11324),
    [sym__lazy_or_operator] = ACTIONS(11324),
    [sym__lazy_and_operator] = ACTIONS(11324),
    [sym__comparison_operator] = ACTIONS(11324),
    [sym__pipe_right_operator] = ACTIONS(11324),
    [sym__pipe_left_operator] = ACTIONS(11324),
    [sym__ellipsis_operator] = ACTIONS(11324),
    [sym__plus_operator] = ACTIONS(11324),
    [sym__times_operator] = ACTIONS(11324),
    [sym__rational_operator] = ACTIONS(11324),
    [sym__bitshift_operator] = ACTIONS(11324),
    [sym__power_operator] = ACTIONS(11324),
    [sym__tilde_operator] = ACTIONS(11324),
    [sym__type_order_operator] = ACTIONS(11324),
    [sym__unary_operator] = ACTIONS(11324),
    [sym__unary_plus_operator] = ACTIONS(11324),
    [aux_sym__terminator_token1] = ACTIONS(11326),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8507] = {
    [sym_block_comment] = STATE(8507),
    [sym_line_comment] = STATE(8507),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(10367),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_catch] = ACTIONS(11258),
    [anon_sym_finally] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8508] = {
    [sym_block_comment] = STATE(8508),
    [sym_line_comment] = STATE(8508),
    [aux_sym_open_tuple_repeat1] = STATE(8270),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_catch] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12526),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8509] = {
    [sym_block_comment] = STATE(8509),
    [sym_line_comment] = STATE(8509),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11876),
    [anon_sym_EQ] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_end] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_catch] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8510] = {
    [sym_block_comment] = STATE(8510),
    [sym_line_comment] = STATE(8510),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(11134),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_catch] = ACTIONS(11134),
    [anon_sym_finally] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11134),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11134),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11134),
    [anon_sym_LBRACE] = ACTIONS(11134),
    [anon_sym_DOLLAR] = ACTIONS(11134),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12392),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11134),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11134),
    [aux_sym_integer_literal_token2] = ACTIONS(11134),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11134),
    [aux_sym_float_literal_token3] = ACTIONS(11134),
    [aux_sym_float_literal_token4] = ACTIONS(11134),
    [sym_character_literal] = ACTIONS(11134),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11134),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11134),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11139),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8511] = {
    [sym_block_comment] = STATE(8511),
    [sym_line_comment] = STATE(8511),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8512] = {
    [sym_block_comment] = STATE(8512),
    [sym_line_comment] = STATE(8512),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8513] = {
    [sym_block_comment] = STATE(8513),
    [sym_line_comment] = STATE(8513),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8514] = {
    [sym_block_comment] = STATE(8514),
    [sym_line_comment] = STATE(8514),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8515] = {
    [sym_block_comment] = STATE(8515),
    [sym_line_comment] = STATE(8515),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8516] = {
    [sym_block_comment] = STATE(8516),
    [sym_line_comment] = STATE(8516),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8517] = {
    [sym_block_comment] = STATE(8517),
    [sym_line_comment] = STATE(8517),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9993),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9993),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9993),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_SEMI] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9993),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9993),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9993),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9993),
    [anon_sym_QMARK] = ACTIONS(9993),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9993),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9993),
    [aux_sym_integer_literal_token2] = ACTIONS(9993),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9993),
    [aux_sym_float_literal_token3] = ACTIONS(9993),
    [aux_sym_float_literal_token4] = ACTIONS(9993),
    [sym_character_literal] = ACTIONS(9993),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9993),
    [sym__pair_operator] = ACTIONS(9993),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9993),
    [sym__lazy_and_operator] = ACTIONS(9993),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9993),
    [sym__pipe_left_operator] = ACTIONS(9993),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9993),
    [sym__bitshift_operator] = ACTIONS(9993),
    [sym__power_operator] = ACTIONS(9993),
    [sym__tilde_operator] = ACTIONS(9993),
    [sym__type_order_operator] = ACTIONS(9993),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym__terminator_token1] = ACTIONS(9995),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8518] = {
    [sym_block_comment] = STATE(8518),
    [sym_line_comment] = STATE(8518),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8519] = {
    [sym_block_comment] = STATE(8519),
    [sym_line_comment] = STATE(8519),
    [ts_builtin_sym_end] = ACTIONS(11330),
    [sym__word_identifier] = ACTIONS(11328),
    [anon_sym_COMMA] = ACTIONS(11328),
    [anon_sym_EQ] = ACTIONS(11328),
    [anon_sym_begin] = ACTIONS(11328),
    [anon_sym_module] = ACTIONS(11328),
    [anon_sym_baremodule] = ACTIONS(11328),
    [anon_sym_abstract] = ACTIONS(11328),
    [anon_sym_primitive] = ACTIONS(11328),
    [anon_sym_mutable] = ACTIONS(11328),
    [anon_sym_struct] = ACTIONS(11328),
    [anon_sym_function] = ACTIONS(11328),
    [anon_sym_macro] = ACTIONS(11328),
    [anon_sym_quote] = ACTIONS(11328),
    [anon_sym_let] = ACTIONS(11328),
    [anon_sym_if] = ACTIONS(11328),
    [anon_sym_try] = ACTIONS(11328),
    [anon_sym_for] = ACTIONS(11328),
    [anon_sym_while] = ACTIONS(11328),
    [sym_break_statement] = ACTIONS(11328),
    [sym_continue_statement] = ACTIONS(11328),
    [anon_sym_return] = ACTIONS(11328),
    [anon_sym_const] = ACTIONS(11328),
    [anon_sym_global] = ACTIONS(11328),
    [anon_sym_local] = ACTIONS(11328),
    [anon_sym_LPAREN] = ACTIONS(11328),
    [anon_sym_COLON] = ACTIONS(11328),
    [anon_sym_export] = ACTIONS(11328),
    [anon_sym_public] = ACTIONS(11328),
    [anon_sym_import] = ACTIONS(11328),
    [anon_sym_using] = ACTIONS(11328),
    [anon_sym_LBRACK] = ACTIONS(11328),
    [anon_sym_RBRACK] = ACTIONS(11328),
    [anon_sym_in] = ACTIONS(11328),
    [anon_sym_SEMI] = ACTIONS(11328),
    [anon_sym_LBRACE] = ACTIONS(11328),
    [anon_sym_DOLLAR] = ACTIONS(11328),
    [anon_sym_COLON2] = ACTIONS(11328),
    [anon_sym_COLON_COLON] = ACTIONS(11328),
    [anon_sym_isa] = ACTIONS(11328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11328),
    [anon_sym_QMARK] = ACTIONS(11328),
    [anon_sym_where] = ACTIONS(11328),
    [anon_sym_AT] = ACTIONS(11328),
    [anon_sym_true] = ACTIONS(11328),
    [anon_sym_false] = ACTIONS(11328),
    [aux_sym_integer_literal_token1] = ACTIONS(11328),
    [aux_sym_integer_literal_token2] = ACTIONS(11328),
    [aux_sym_integer_literal_token3] = ACTIONS(11328),
    [aux_sym_integer_literal_token4] = ACTIONS(11328),
    [aux_sym_float_literal_token1] = ACTIONS(11328),
    [aux_sym_float_literal_token3] = ACTIONS(11328),
    [aux_sym_float_literal_token4] = ACTIONS(11328),
    [sym_character_literal] = ACTIONS(11328),
    [anon_sym_DQUOTE] = ACTIONS(11328),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11328),
    [anon_sym_BQUOTE] = ACTIONS(11328),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11328),
    [sym__pair_operator] = ACTIONS(11328),
    [sym__arrow_operator] = ACTIONS(11328),
    [sym__lazy_or_operator] = ACTIONS(11328),
    [sym__lazy_and_operator] = ACTIONS(11328),
    [sym__comparison_operator] = ACTIONS(11328),
    [sym__pipe_right_operator] = ACTIONS(11328),
    [sym__pipe_left_operator] = ACTIONS(11328),
    [sym__ellipsis_operator] = ACTIONS(11328),
    [sym__plus_operator] = ACTIONS(11328),
    [sym__times_operator] = ACTIONS(11328),
    [sym__rational_operator] = ACTIONS(11328),
    [sym__bitshift_operator] = ACTIONS(11328),
    [sym__power_operator] = ACTIONS(11328),
    [sym__tilde_operator] = ACTIONS(11328),
    [sym__type_order_operator] = ACTIONS(11328),
    [sym__unary_operator] = ACTIONS(11328),
    [sym__unary_plus_operator] = ACTIONS(11328),
    [aux_sym__terminator_token1] = ACTIONS(11330),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8520] = {
    [sym_block_comment] = STATE(8520),
    [sym_line_comment] = STATE(8520),
    [ts_builtin_sym_end] = ACTIONS(11334),
    [sym__word_identifier] = ACTIONS(11332),
    [anon_sym_COMMA] = ACTIONS(11332),
    [anon_sym_EQ] = ACTIONS(11332),
    [anon_sym_begin] = ACTIONS(11332),
    [anon_sym_module] = ACTIONS(11332),
    [anon_sym_baremodule] = ACTIONS(11332),
    [anon_sym_abstract] = ACTIONS(11332),
    [anon_sym_primitive] = ACTIONS(11332),
    [anon_sym_mutable] = ACTIONS(11332),
    [anon_sym_struct] = ACTIONS(11332),
    [anon_sym_function] = ACTIONS(11332),
    [anon_sym_macro] = ACTIONS(11332),
    [anon_sym_quote] = ACTIONS(11332),
    [anon_sym_let] = ACTIONS(11332),
    [anon_sym_if] = ACTIONS(11332),
    [anon_sym_try] = ACTIONS(11332),
    [anon_sym_for] = ACTIONS(11332),
    [anon_sym_while] = ACTIONS(11332),
    [sym_break_statement] = ACTIONS(11332),
    [sym_continue_statement] = ACTIONS(11332),
    [anon_sym_return] = ACTIONS(11332),
    [anon_sym_const] = ACTIONS(11332),
    [anon_sym_global] = ACTIONS(11332),
    [anon_sym_local] = ACTIONS(11332),
    [anon_sym_LPAREN] = ACTIONS(11332),
    [anon_sym_COLON] = ACTIONS(11332),
    [anon_sym_export] = ACTIONS(11332),
    [anon_sym_public] = ACTIONS(11332),
    [anon_sym_import] = ACTIONS(11332),
    [anon_sym_using] = ACTIONS(11332),
    [anon_sym_LBRACK] = ACTIONS(11332),
    [anon_sym_RBRACK] = ACTIONS(11332),
    [anon_sym_in] = ACTIONS(11332),
    [anon_sym_SEMI] = ACTIONS(11332),
    [anon_sym_LBRACE] = ACTIONS(11332),
    [anon_sym_DOLLAR] = ACTIONS(11332),
    [anon_sym_COLON2] = ACTIONS(11332),
    [anon_sym_COLON_COLON] = ACTIONS(11332),
    [anon_sym_isa] = ACTIONS(11332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11332),
    [anon_sym_QMARK] = ACTIONS(11332),
    [anon_sym_where] = ACTIONS(11332),
    [anon_sym_AT] = ACTIONS(11332),
    [anon_sym_true] = ACTIONS(11332),
    [anon_sym_false] = ACTIONS(11332),
    [aux_sym_integer_literal_token1] = ACTIONS(11332),
    [aux_sym_integer_literal_token2] = ACTIONS(11332),
    [aux_sym_integer_literal_token3] = ACTIONS(11332),
    [aux_sym_integer_literal_token4] = ACTIONS(11332),
    [aux_sym_float_literal_token1] = ACTIONS(11332),
    [aux_sym_float_literal_token3] = ACTIONS(11332),
    [aux_sym_float_literal_token4] = ACTIONS(11332),
    [sym_character_literal] = ACTIONS(11332),
    [anon_sym_DQUOTE] = ACTIONS(11332),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11332),
    [anon_sym_BQUOTE] = ACTIONS(11332),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11332),
    [sym__pair_operator] = ACTIONS(11332),
    [sym__arrow_operator] = ACTIONS(11332),
    [sym__lazy_or_operator] = ACTIONS(11332),
    [sym__lazy_and_operator] = ACTIONS(11332),
    [sym__comparison_operator] = ACTIONS(11332),
    [sym__pipe_right_operator] = ACTIONS(11332),
    [sym__pipe_left_operator] = ACTIONS(11332),
    [sym__ellipsis_operator] = ACTIONS(11332),
    [sym__plus_operator] = ACTIONS(11332),
    [sym__times_operator] = ACTIONS(11332),
    [sym__rational_operator] = ACTIONS(11332),
    [sym__bitshift_operator] = ACTIONS(11332),
    [sym__power_operator] = ACTIONS(11332),
    [sym__tilde_operator] = ACTIONS(11332),
    [sym__type_order_operator] = ACTIONS(11332),
    [sym__unary_operator] = ACTIONS(11332),
    [sym__unary_plus_operator] = ACTIONS(11332),
    [aux_sym__terminator_token1] = ACTIONS(11334),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8521] = {
    [sym_block_comment] = STATE(8521),
    [sym_line_comment] = STATE(8521),
    [ts_builtin_sym_end] = ACTIONS(11338),
    [sym__word_identifier] = ACTIONS(11336),
    [anon_sym_COMMA] = ACTIONS(11336),
    [anon_sym_EQ] = ACTIONS(11336),
    [anon_sym_begin] = ACTIONS(11336),
    [anon_sym_module] = ACTIONS(11336),
    [anon_sym_baremodule] = ACTIONS(11336),
    [anon_sym_abstract] = ACTIONS(11336),
    [anon_sym_primitive] = ACTIONS(11336),
    [anon_sym_mutable] = ACTIONS(11336),
    [anon_sym_struct] = ACTIONS(11336),
    [anon_sym_function] = ACTIONS(11336),
    [anon_sym_macro] = ACTIONS(11336),
    [anon_sym_quote] = ACTIONS(11336),
    [anon_sym_let] = ACTIONS(11336),
    [anon_sym_if] = ACTIONS(11336),
    [anon_sym_try] = ACTIONS(11336),
    [anon_sym_for] = ACTIONS(11336),
    [anon_sym_while] = ACTIONS(11336),
    [sym_break_statement] = ACTIONS(11336),
    [sym_continue_statement] = ACTIONS(11336),
    [anon_sym_return] = ACTIONS(11336),
    [anon_sym_const] = ACTIONS(11336),
    [anon_sym_global] = ACTIONS(11336),
    [anon_sym_local] = ACTIONS(11336),
    [anon_sym_LPAREN] = ACTIONS(11336),
    [anon_sym_COLON] = ACTIONS(11336),
    [anon_sym_export] = ACTIONS(11336),
    [anon_sym_public] = ACTIONS(11336),
    [anon_sym_import] = ACTIONS(11336),
    [anon_sym_using] = ACTIONS(11336),
    [anon_sym_LBRACK] = ACTIONS(11336),
    [anon_sym_RBRACK] = ACTIONS(11336),
    [anon_sym_in] = ACTIONS(11336),
    [anon_sym_SEMI] = ACTIONS(11336),
    [anon_sym_LBRACE] = ACTIONS(11336),
    [anon_sym_DOLLAR] = ACTIONS(11336),
    [anon_sym_COLON2] = ACTIONS(11336),
    [anon_sym_COLON_COLON] = ACTIONS(11336),
    [anon_sym_isa] = ACTIONS(11336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11336),
    [anon_sym_QMARK] = ACTIONS(11336),
    [anon_sym_where] = ACTIONS(11336),
    [anon_sym_AT] = ACTIONS(11336),
    [anon_sym_true] = ACTIONS(11336),
    [anon_sym_false] = ACTIONS(11336),
    [aux_sym_integer_literal_token1] = ACTIONS(11336),
    [aux_sym_integer_literal_token2] = ACTIONS(11336),
    [aux_sym_integer_literal_token3] = ACTIONS(11336),
    [aux_sym_integer_literal_token4] = ACTIONS(11336),
    [aux_sym_float_literal_token1] = ACTIONS(11336),
    [aux_sym_float_literal_token3] = ACTIONS(11336),
    [aux_sym_float_literal_token4] = ACTIONS(11336),
    [sym_character_literal] = ACTIONS(11336),
    [anon_sym_DQUOTE] = ACTIONS(11336),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11336),
    [anon_sym_BQUOTE] = ACTIONS(11336),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11336),
    [sym__pair_operator] = ACTIONS(11336),
    [sym__arrow_operator] = ACTIONS(11336),
    [sym__lazy_or_operator] = ACTIONS(11336),
    [sym__lazy_and_operator] = ACTIONS(11336),
    [sym__comparison_operator] = ACTIONS(11336),
    [sym__pipe_right_operator] = ACTIONS(11336),
    [sym__pipe_left_operator] = ACTIONS(11336),
    [sym__ellipsis_operator] = ACTIONS(11336),
    [sym__plus_operator] = ACTIONS(11336),
    [sym__times_operator] = ACTIONS(11336),
    [sym__rational_operator] = ACTIONS(11336),
    [sym__bitshift_operator] = ACTIONS(11336),
    [sym__power_operator] = ACTIONS(11336),
    [sym__tilde_operator] = ACTIONS(11336),
    [sym__type_order_operator] = ACTIONS(11336),
    [sym__unary_operator] = ACTIONS(11336),
    [sym__unary_plus_operator] = ACTIONS(11336),
    [aux_sym__terminator_token1] = ACTIONS(11338),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8522] = {
    [sym_block_comment] = STATE(8522),
    [sym_line_comment] = STATE(8522),
    [ts_builtin_sym_end] = ACTIONS(11342),
    [sym__word_identifier] = ACTIONS(11340),
    [anon_sym_COMMA] = ACTIONS(11340),
    [anon_sym_EQ] = ACTIONS(11340),
    [anon_sym_begin] = ACTIONS(11340),
    [anon_sym_module] = ACTIONS(11340),
    [anon_sym_baremodule] = ACTIONS(11340),
    [anon_sym_abstract] = ACTIONS(11340),
    [anon_sym_primitive] = ACTIONS(11340),
    [anon_sym_mutable] = ACTIONS(11340),
    [anon_sym_struct] = ACTIONS(11340),
    [anon_sym_function] = ACTIONS(11340),
    [anon_sym_macro] = ACTIONS(11340),
    [anon_sym_quote] = ACTIONS(11340),
    [anon_sym_let] = ACTIONS(11340),
    [anon_sym_if] = ACTIONS(11340),
    [anon_sym_try] = ACTIONS(11340),
    [anon_sym_for] = ACTIONS(11340),
    [anon_sym_while] = ACTIONS(11340),
    [sym_break_statement] = ACTIONS(11340),
    [sym_continue_statement] = ACTIONS(11340),
    [anon_sym_return] = ACTIONS(11340),
    [anon_sym_const] = ACTIONS(11340),
    [anon_sym_global] = ACTIONS(11340),
    [anon_sym_local] = ACTIONS(11340),
    [anon_sym_LPAREN] = ACTIONS(11340),
    [anon_sym_COLON] = ACTIONS(11340),
    [anon_sym_export] = ACTIONS(11340),
    [anon_sym_public] = ACTIONS(11340),
    [anon_sym_import] = ACTIONS(11340),
    [anon_sym_using] = ACTIONS(11340),
    [anon_sym_LBRACK] = ACTIONS(11340),
    [anon_sym_RBRACK] = ACTIONS(11340),
    [anon_sym_in] = ACTIONS(11340),
    [anon_sym_SEMI] = ACTIONS(11340),
    [anon_sym_LBRACE] = ACTIONS(11340),
    [anon_sym_DOLLAR] = ACTIONS(11340),
    [anon_sym_COLON2] = ACTIONS(11340),
    [anon_sym_COLON_COLON] = ACTIONS(11340),
    [anon_sym_isa] = ACTIONS(11340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11340),
    [anon_sym_QMARK] = ACTIONS(11340),
    [anon_sym_where] = ACTIONS(11340),
    [anon_sym_AT] = ACTIONS(11340),
    [anon_sym_true] = ACTIONS(11340),
    [anon_sym_false] = ACTIONS(11340),
    [aux_sym_integer_literal_token1] = ACTIONS(11340),
    [aux_sym_integer_literal_token2] = ACTIONS(11340),
    [aux_sym_integer_literal_token3] = ACTIONS(11340),
    [aux_sym_integer_literal_token4] = ACTIONS(11340),
    [aux_sym_float_literal_token1] = ACTIONS(11340),
    [aux_sym_float_literal_token3] = ACTIONS(11340),
    [aux_sym_float_literal_token4] = ACTIONS(11340),
    [sym_character_literal] = ACTIONS(11340),
    [anon_sym_DQUOTE] = ACTIONS(11340),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11340),
    [anon_sym_BQUOTE] = ACTIONS(11340),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11340),
    [sym__pair_operator] = ACTIONS(11340),
    [sym__arrow_operator] = ACTIONS(11340),
    [sym__lazy_or_operator] = ACTIONS(11340),
    [sym__lazy_and_operator] = ACTIONS(11340),
    [sym__comparison_operator] = ACTIONS(11340),
    [sym__pipe_right_operator] = ACTIONS(11340),
    [sym__pipe_left_operator] = ACTIONS(11340),
    [sym__ellipsis_operator] = ACTIONS(11340),
    [sym__plus_operator] = ACTIONS(11340),
    [sym__times_operator] = ACTIONS(11340),
    [sym__rational_operator] = ACTIONS(11340),
    [sym__bitshift_operator] = ACTIONS(11340),
    [sym__power_operator] = ACTIONS(11340),
    [sym__tilde_operator] = ACTIONS(11340),
    [sym__type_order_operator] = ACTIONS(11340),
    [sym__unary_operator] = ACTIONS(11340),
    [sym__unary_plus_operator] = ACTIONS(11340),
    [aux_sym__terminator_token1] = ACTIONS(11342),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8523] = {
    [sym_block_comment] = STATE(8523),
    [sym_line_comment] = STATE(8523),
    [ts_builtin_sym_end] = ACTIONS(11346),
    [sym__word_identifier] = ACTIONS(11344),
    [anon_sym_COMMA] = ACTIONS(11344),
    [anon_sym_EQ] = ACTIONS(11344),
    [anon_sym_begin] = ACTIONS(11344),
    [anon_sym_module] = ACTIONS(11344),
    [anon_sym_baremodule] = ACTIONS(11344),
    [anon_sym_abstract] = ACTIONS(11344),
    [anon_sym_primitive] = ACTIONS(11344),
    [anon_sym_mutable] = ACTIONS(11344),
    [anon_sym_struct] = ACTIONS(11344),
    [anon_sym_function] = ACTIONS(11344),
    [anon_sym_macro] = ACTIONS(11344),
    [anon_sym_quote] = ACTIONS(11344),
    [anon_sym_let] = ACTIONS(11344),
    [anon_sym_if] = ACTIONS(11344),
    [anon_sym_try] = ACTIONS(11344),
    [anon_sym_for] = ACTIONS(11344),
    [anon_sym_while] = ACTIONS(11344),
    [sym_break_statement] = ACTIONS(11344),
    [sym_continue_statement] = ACTIONS(11344),
    [anon_sym_return] = ACTIONS(11344),
    [anon_sym_const] = ACTIONS(11344),
    [anon_sym_global] = ACTIONS(11344),
    [anon_sym_local] = ACTIONS(11344),
    [anon_sym_LPAREN] = ACTIONS(11344),
    [anon_sym_COLON] = ACTIONS(11344),
    [anon_sym_export] = ACTIONS(11344),
    [anon_sym_public] = ACTIONS(11344),
    [anon_sym_import] = ACTIONS(11344),
    [anon_sym_using] = ACTIONS(11344),
    [anon_sym_LBRACK] = ACTIONS(11344),
    [anon_sym_RBRACK] = ACTIONS(11344),
    [anon_sym_in] = ACTIONS(11344),
    [anon_sym_SEMI] = ACTIONS(11344),
    [anon_sym_LBRACE] = ACTIONS(11344),
    [anon_sym_DOLLAR] = ACTIONS(11344),
    [anon_sym_COLON2] = ACTIONS(11344),
    [anon_sym_COLON_COLON] = ACTIONS(11344),
    [anon_sym_isa] = ACTIONS(11344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11344),
    [anon_sym_QMARK] = ACTIONS(11344),
    [anon_sym_where] = ACTIONS(11344),
    [anon_sym_AT] = ACTIONS(11344),
    [anon_sym_true] = ACTIONS(11344),
    [anon_sym_false] = ACTIONS(11344),
    [aux_sym_integer_literal_token1] = ACTIONS(11344),
    [aux_sym_integer_literal_token2] = ACTIONS(11344),
    [aux_sym_integer_literal_token3] = ACTIONS(11344),
    [aux_sym_integer_literal_token4] = ACTIONS(11344),
    [aux_sym_float_literal_token1] = ACTIONS(11344),
    [aux_sym_float_literal_token3] = ACTIONS(11344),
    [aux_sym_float_literal_token4] = ACTIONS(11344),
    [sym_character_literal] = ACTIONS(11344),
    [anon_sym_DQUOTE] = ACTIONS(11344),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11344),
    [anon_sym_BQUOTE] = ACTIONS(11344),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11344),
    [sym__pair_operator] = ACTIONS(11344),
    [sym__arrow_operator] = ACTIONS(11344),
    [sym__lazy_or_operator] = ACTIONS(11344),
    [sym__lazy_and_operator] = ACTIONS(11344),
    [sym__comparison_operator] = ACTIONS(11344),
    [sym__pipe_right_operator] = ACTIONS(11344),
    [sym__pipe_left_operator] = ACTIONS(11344),
    [sym__ellipsis_operator] = ACTIONS(11344),
    [sym__plus_operator] = ACTIONS(11344),
    [sym__times_operator] = ACTIONS(11344),
    [sym__rational_operator] = ACTIONS(11344),
    [sym__bitshift_operator] = ACTIONS(11344),
    [sym__power_operator] = ACTIONS(11344),
    [sym__tilde_operator] = ACTIONS(11344),
    [sym__type_order_operator] = ACTIONS(11344),
    [sym__unary_operator] = ACTIONS(11344),
    [sym__unary_plus_operator] = ACTIONS(11344),
    [aux_sym__terminator_token1] = ACTIONS(11346),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8524] = {
    [sym_block_comment] = STATE(8524),
    [sym_line_comment] = STATE(8524),
    [ts_builtin_sym_end] = ACTIONS(11350),
    [sym__word_identifier] = ACTIONS(11348),
    [anon_sym_COMMA] = ACTIONS(11348),
    [anon_sym_EQ] = ACTIONS(11348),
    [anon_sym_begin] = ACTIONS(11348),
    [anon_sym_module] = ACTIONS(11348),
    [anon_sym_baremodule] = ACTIONS(11348),
    [anon_sym_abstract] = ACTIONS(11348),
    [anon_sym_primitive] = ACTIONS(11348),
    [anon_sym_mutable] = ACTIONS(11348),
    [anon_sym_struct] = ACTIONS(11348),
    [anon_sym_function] = ACTIONS(11348),
    [anon_sym_macro] = ACTIONS(11348),
    [anon_sym_quote] = ACTIONS(11348),
    [anon_sym_let] = ACTIONS(11348),
    [anon_sym_if] = ACTIONS(11348),
    [anon_sym_try] = ACTIONS(11348),
    [anon_sym_for] = ACTIONS(11348),
    [anon_sym_while] = ACTIONS(11348),
    [sym_break_statement] = ACTIONS(11348),
    [sym_continue_statement] = ACTIONS(11348),
    [anon_sym_return] = ACTIONS(11348),
    [anon_sym_const] = ACTIONS(11348),
    [anon_sym_global] = ACTIONS(11348),
    [anon_sym_local] = ACTIONS(11348),
    [anon_sym_LPAREN] = ACTIONS(11348),
    [anon_sym_COLON] = ACTIONS(11348),
    [anon_sym_export] = ACTIONS(11348),
    [anon_sym_public] = ACTIONS(11348),
    [anon_sym_import] = ACTIONS(11348),
    [anon_sym_using] = ACTIONS(11348),
    [anon_sym_LBRACK] = ACTIONS(11348),
    [anon_sym_RBRACK] = ACTIONS(11348),
    [anon_sym_in] = ACTIONS(11348),
    [anon_sym_SEMI] = ACTIONS(11348),
    [anon_sym_LBRACE] = ACTIONS(11348),
    [anon_sym_DOLLAR] = ACTIONS(11348),
    [anon_sym_COLON2] = ACTIONS(11348),
    [anon_sym_COLON_COLON] = ACTIONS(11348),
    [anon_sym_isa] = ACTIONS(11348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11348),
    [anon_sym_QMARK] = ACTIONS(11348),
    [anon_sym_where] = ACTIONS(11348),
    [anon_sym_AT] = ACTIONS(11348),
    [anon_sym_true] = ACTIONS(11348),
    [anon_sym_false] = ACTIONS(11348),
    [aux_sym_integer_literal_token1] = ACTIONS(11348),
    [aux_sym_integer_literal_token2] = ACTIONS(11348),
    [aux_sym_integer_literal_token3] = ACTIONS(11348),
    [aux_sym_integer_literal_token4] = ACTIONS(11348),
    [aux_sym_float_literal_token1] = ACTIONS(11348),
    [aux_sym_float_literal_token3] = ACTIONS(11348),
    [aux_sym_float_literal_token4] = ACTIONS(11348),
    [sym_character_literal] = ACTIONS(11348),
    [anon_sym_DQUOTE] = ACTIONS(11348),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11348),
    [anon_sym_BQUOTE] = ACTIONS(11348),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11348),
    [sym__pair_operator] = ACTIONS(11348),
    [sym__arrow_operator] = ACTIONS(11348),
    [sym__lazy_or_operator] = ACTIONS(11348),
    [sym__lazy_and_operator] = ACTIONS(11348),
    [sym__comparison_operator] = ACTIONS(11348),
    [sym__pipe_right_operator] = ACTIONS(11348),
    [sym__pipe_left_operator] = ACTIONS(11348),
    [sym__ellipsis_operator] = ACTIONS(11348),
    [sym__plus_operator] = ACTIONS(11348),
    [sym__times_operator] = ACTIONS(11348),
    [sym__rational_operator] = ACTIONS(11348),
    [sym__bitshift_operator] = ACTIONS(11348),
    [sym__power_operator] = ACTIONS(11348),
    [sym__tilde_operator] = ACTIONS(11348),
    [sym__type_order_operator] = ACTIONS(11348),
    [sym__unary_operator] = ACTIONS(11348),
    [sym__unary_plus_operator] = ACTIONS(11348),
    [aux_sym__terminator_token1] = ACTIONS(11350),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8525] = {
    [sym_block_comment] = STATE(8525),
    [sym_line_comment] = STATE(8525),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11102),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_end] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_catch] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11102),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11102),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_SEMI] = ACTIONS(11102),
    [anon_sym_LBRACE] = ACTIONS(11102),
    [anon_sym_DOLLAR] = ACTIONS(11102),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11102),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11102),
    [anon_sym_QMARK] = ACTIONS(11102),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11102),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11102),
    [aux_sym_integer_literal_token2] = ACTIONS(11102),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11102),
    [aux_sym_float_literal_token3] = ACTIONS(11102),
    [aux_sym_float_literal_token4] = ACTIONS(11102),
    [sym_character_literal] = ACTIONS(11102),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(11102),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11102),
    [sym__lazy_and_operator] = ACTIONS(11102),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11102),
    [sym__pipe_left_operator] = ACTIONS(11102),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11102),
    [sym__bitshift_operator] = ACTIONS(11102),
    [sym__power_operator] = ACTIONS(11102),
    [sym__tilde_operator] = ACTIONS(11102),
    [sym__type_order_operator] = ACTIONS(11102),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym__terminator_token1] = ACTIONS(11104),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8526] = {
    [sym_block_comment] = STATE(8526),
    [sym_line_comment] = STATE(8526),
    [ts_builtin_sym_end] = ACTIONS(11354),
    [sym__word_identifier] = ACTIONS(11352),
    [anon_sym_COMMA] = ACTIONS(11352),
    [anon_sym_EQ] = ACTIONS(11352),
    [anon_sym_begin] = ACTIONS(11352),
    [anon_sym_module] = ACTIONS(11352),
    [anon_sym_baremodule] = ACTIONS(11352),
    [anon_sym_abstract] = ACTIONS(11352),
    [anon_sym_primitive] = ACTIONS(11352),
    [anon_sym_mutable] = ACTIONS(11352),
    [anon_sym_struct] = ACTIONS(11352),
    [anon_sym_function] = ACTIONS(11352),
    [anon_sym_macro] = ACTIONS(11352),
    [anon_sym_quote] = ACTIONS(11352),
    [anon_sym_let] = ACTIONS(11352),
    [anon_sym_if] = ACTIONS(11352),
    [anon_sym_try] = ACTIONS(11352),
    [anon_sym_for] = ACTIONS(11352),
    [anon_sym_while] = ACTIONS(11352),
    [sym_break_statement] = ACTIONS(11352),
    [sym_continue_statement] = ACTIONS(11352),
    [anon_sym_return] = ACTIONS(11352),
    [anon_sym_const] = ACTIONS(11352),
    [anon_sym_global] = ACTIONS(11352),
    [anon_sym_local] = ACTIONS(11352),
    [anon_sym_LPAREN] = ACTIONS(11352),
    [anon_sym_COLON] = ACTIONS(11352),
    [anon_sym_export] = ACTIONS(11352),
    [anon_sym_public] = ACTIONS(11352),
    [anon_sym_import] = ACTIONS(11352),
    [anon_sym_using] = ACTIONS(11352),
    [anon_sym_LBRACK] = ACTIONS(11352),
    [anon_sym_RBRACK] = ACTIONS(11352),
    [anon_sym_in] = ACTIONS(11352),
    [anon_sym_SEMI] = ACTIONS(11352),
    [anon_sym_LBRACE] = ACTIONS(11352),
    [anon_sym_DOLLAR] = ACTIONS(11352),
    [anon_sym_COLON2] = ACTIONS(11352),
    [anon_sym_COLON_COLON] = ACTIONS(11352),
    [anon_sym_isa] = ACTIONS(11352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11352),
    [anon_sym_QMARK] = ACTIONS(11352),
    [anon_sym_where] = ACTIONS(11352),
    [anon_sym_AT] = ACTIONS(11352),
    [anon_sym_true] = ACTIONS(11352),
    [anon_sym_false] = ACTIONS(11352),
    [aux_sym_integer_literal_token1] = ACTIONS(11352),
    [aux_sym_integer_literal_token2] = ACTIONS(11352),
    [aux_sym_integer_literal_token3] = ACTIONS(11352),
    [aux_sym_integer_literal_token4] = ACTIONS(11352),
    [aux_sym_float_literal_token1] = ACTIONS(11352),
    [aux_sym_float_literal_token3] = ACTIONS(11352),
    [aux_sym_float_literal_token4] = ACTIONS(11352),
    [sym_character_literal] = ACTIONS(11352),
    [anon_sym_DQUOTE] = ACTIONS(11352),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11352),
    [anon_sym_BQUOTE] = ACTIONS(11352),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11352),
    [sym__pair_operator] = ACTIONS(11352),
    [sym__arrow_operator] = ACTIONS(11352),
    [sym__lazy_or_operator] = ACTIONS(11352),
    [sym__lazy_and_operator] = ACTIONS(11352),
    [sym__comparison_operator] = ACTIONS(11352),
    [sym__pipe_right_operator] = ACTIONS(11352),
    [sym__pipe_left_operator] = ACTIONS(11352),
    [sym__ellipsis_operator] = ACTIONS(11352),
    [sym__plus_operator] = ACTIONS(11352),
    [sym__times_operator] = ACTIONS(11352),
    [sym__rational_operator] = ACTIONS(11352),
    [sym__bitshift_operator] = ACTIONS(11352),
    [sym__power_operator] = ACTIONS(11352),
    [sym__tilde_operator] = ACTIONS(11352),
    [sym__type_order_operator] = ACTIONS(11352),
    [sym__unary_operator] = ACTIONS(11352),
    [sym__unary_plus_operator] = ACTIONS(11352),
    [aux_sym__terminator_token1] = ACTIONS(11354),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8527] = {
    [sym_block_comment] = STATE(8527),
    [sym_line_comment] = STATE(8527),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8528] = {
    [sym_block_comment] = STATE(8528),
    [sym_line_comment] = STATE(8528),
    [ts_builtin_sym_end] = ACTIONS(11360),
    [sym__word_identifier] = ACTIONS(11358),
    [anon_sym_COMMA] = ACTIONS(11358),
    [anon_sym_EQ] = ACTIONS(11358),
    [anon_sym_begin] = ACTIONS(11358),
    [anon_sym_module] = ACTIONS(11358),
    [anon_sym_baremodule] = ACTIONS(11358),
    [anon_sym_abstract] = ACTIONS(11358),
    [anon_sym_primitive] = ACTIONS(11358),
    [anon_sym_mutable] = ACTIONS(11358),
    [anon_sym_struct] = ACTIONS(11358),
    [anon_sym_function] = ACTIONS(11358),
    [anon_sym_macro] = ACTIONS(11358),
    [anon_sym_quote] = ACTIONS(11358),
    [anon_sym_let] = ACTIONS(11358),
    [anon_sym_if] = ACTIONS(11358),
    [anon_sym_try] = ACTIONS(11358),
    [anon_sym_for] = ACTIONS(11358),
    [anon_sym_while] = ACTIONS(11358),
    [sym_break_statement] = ACTIONS(11358),
    [sym_continue_statement] = ACTIONS(11358),
    [anon_sym_return] = ACTIONS(11358),
    [anon_sym_const] = ACTIONS(11358),
    [anon_sym_global] = ACTIONS(11358),
    [anon_sym_local] = ACTIONS(11358),
    [anon_sym_LPAREN] = ACTIONS(11358),
    [anon_sym_COLON] = ACTIONS(11358),
    [anon_sym_export] = ACTIONS(11358),
    [anon_sym_public] = ACTIONS(11358),
    [anon_sym_import] = ACTIONS(11358),
    [anon_sym_using] = ACTIONS(11358),
    [anon_sym_LBRACK] = ACTIONS(11358),
    [anon_sym_RBRACK] = ACTIONS(11358),
    [anon_sym_in] = ACTIONS(11358),
    [anon_sym_SEMI] = ACTIONS(11358),
    [anon_sym_LBRACE] = ACTIONS(11358),
    [anon_sym_DOLLAR] = ACTIONS(11358),
    [anon_sym_COLON2] = ACTIONS(11358),
    [anon_sym_COLON_COLON] = ACTIONS(11358),
    [anon_sym_isa] = ACTIONS(11358),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11358),
    [anon_sym_QMARK] = ACTIONS(11358),
    [anon_sym_where] = ACTIONS(11358),
    [anon_sym_AT] = ACTIONS(11358),
    [anon_sym_true] = ACTIONS(11358),
    [anon_sym_false] = ACTIONS(11358),
    [aux_sym_integer_literal_token1] = ACTIONS(11358),
    [aux_sym_integer_literal_token2] = ACTIONS(11358),
    [aux_sym_integer_literal_token3] = ACTIONS(11358),
    [aux_sym_integer_literal_token4] = ACTIONS(11358),
    [aux_sym_float_literal_token1] = ACTIONS(11358),
    [aux_sym_float_literal_token3] = ACTIONS(11358),
    [aux_sym_float_literal_token4] = ACTIONS(11358),
    [sym_character_literal] = ACTIONS(11358),
    [anon_sym_DQUOTE] = ACTIONS(11358),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11358),
    [anon_sym_BQUOTE] = ACTIONS(11358),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11358),
    [sym__pair_operator] = ACTIONS(11358),
    [sym__arrow_operator] = ACTIONS(11358),
    [sym__lazy_or_operator] = ACTIONS(11358),
    [sym__lazy_and_operator] = ACTIONS(11358),
    [sym__comparison_operator] = ACTIONS(11358),
    [sym__pipe_right_operator] = ACTIONS(11358),
    [sym__pipe_left_operator] = ACTIONS(11358),
    [sym__ellipsis_operator] = ACTIONS(11358),
    [sym__plus_operator] = ACTIONS(11358),
    [sym__times_operator] = ACTIONS(11358),
    [sym__rational_operator] = ACTIONS(11358),
    [sym__bitshift_operator] = ACTIONS(11358),
    [sym__power_operator] = ACTIONS(11358),
    [sym__tilde_operator] = ACTIONS(11358),
    [sym__type_order_operator] = ACTIONS(11358),
    [sym__unary_operator] = ACTIONS(11358),
    [sym__unary_plus_operator] = ACTIONS(11358),
    [aux_sym__terminator_token1] = ACTIONS(11360),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8529] = {
    [sym_block_comment] = STATE(8529),
    [sym_line_comment] = STATE(8529),
    [ts_builtin_sym_end] = ACTIONS(11364),
    [sym__word_identifier] = ACTIONS(11362),
    [anon_sym_COMMA] = ACTIONS(11362),
    [anon_sym_EQ] = ACTIONS(11362),
    [anon_sym_begin] = ACTIONS(11362),
    [anon_sym_module] = ACTIONS(11362),
    [anon_sym_baremodule] = ACTIONS(11362),
    [anon_sym_abstract] = ACTIONS(11362),
    [anon_sym_primitive] = ACTIONS(11362),
    [anon_sym_mutable] = ACTIONS(11362),
    [anon_sym_struct] = ACTIONS(11362),
    [anon_sym_function] = ACTIONS(11362),
    [anon_sym_macro] = ACTIONS(11362),
    [anon_sym_quote] = ACTIONS(11362),
    [anon_sym_let] = ACTIONS(11362),
    [anon_sym_if] = ACTIONS(11362),
    [anon_sym_try] = ACTIONS(11362),
    [anon_sym_for] = ACTIONS(11362),
    [anon_sym_while] = ACTIONS(11362),
    [sym_break_statement] = ACTIONS(11362),
    [sym_continue_statement] = ACTIONS(11362),
    [anon_sym_return] = ACTIONS(11362),
    [anon_sym_const] = ACTIONS(11362),
    [anon_sym_global] = ACTIONS(11362),
    [anon_sym_local] = ACTIONS(11362),
    [anon_sym_LPAREN] = ACTIONS(11362),
    [anon_sym_COLON] = ACTIONS(11362),
    [anon_sym_export] = ACTIONS(11362),
    [anon_sym_public] = ACTIONS(11362),
    [anon_sym_import] = ACTIONS(11362),
    [anon_sym_using] = ACTIONS(11362),
    [anon_sym_LBRACK] = ACTIONS(11362),
    [anon_sym_RBRACK] = ACTIONS(11362),
    [anon_sym_in] = ACTIONS(11362),
    [anon_sym_SEMI] = ACTIONS(11362),
    [anon_sym_LBRACE] = ACTIONS(11362),
    [anon_sym_DOLLAR] = ACTIONS(11362),
    [anon_sym_COLON2] = ACTIONS(11362),
    [anon_sym_COLON_COLON] = ACTIONS(11362),
    [anon_sym_isa] = ACTIONS(11362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11362),
    [anon_sym_QMARK] = ACTIONS(11362),
    [anon_sym_where] = ACTIONS(11362),
    [anon_sym_AT] = ACTIONS(11362),
    [anon_sym_true] = ACTIONS(11362),
    [anon_sym_false] = ACTIONS(11362),
    [aux_sym_integer_literal_token1] = ACTIONS(11362),
    [aux_sym_integer_literal_token2] = ACTIONS(11362),
    [aux_sym_integer_literal_token3] = ACTIONS(11362),
    [aux_sym_integer_literal_token4] = ACTIONS(11362),
    [aux_sym_float_literal_token1] = ACTIONS(11362),
    [aux_sym_float_literal_token3] = ACTIONS(11362),
    [aux_sym_float_literal_token4] = ACTIONS(11362),
    [sym_character_literal] = ACTIONS(11362),
    [anon_sym_DQUOTE] = ACTIONS(11362),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11362),
    [anon_sym_BQUOTE] = ACTIONS(11362),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11362),
    [sym__pair_operator] = ACTIONS(11362),
    [sym__arrow_operator] = ACTIONS(11362),
    [sym__lazy_or_operator] = ACTIONS(11362),
    [sym__lazy_and_operator] = ACTIONS(11362),
    [sym__comparison_operator] = ACTIONS(11362),
    [sym__pipe_right_operator] = ACTIONS(11362),
    [sym__pipe_left_operator] = ACTIONS(11362),
    [sym__ellipsis_operator] = ACTIONS(11362),
    [sym__plus_operator] = ACTIONS(11362),
    [sym__times_operator] = ACTIONS(11362),
    [sym__rational_operator] = ACTIONS(11362),
    [sym__bitshift_operator] = ACTIONS(11362),
    [sym__power_operator] = ACTIONS(11362),
    [sym__tilde_operator] = ACTIONS(11362),
    [sym__type_order_operator] = ACTIONS(11362),
    [sym__unary_operator] = ACTIONS(11362),
    [sym__unary_plus_operator] = ACTIONS(11362),
    [aux_sym__terminator_token1] = ACTIONS(11364),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8530] = {
    [sym_block_comment] = STATE(8530),
    [sym_line_comment] = STATE(8530),
    [ts_builtin_sym_end] = ACTIONS(11368),
    [sym__word_identifier] = ACTIONS(11366),
    [anon_sym_COMMA] = ACTIONS(11366),
    [anon_sym_EQ] = ACTIONS(11366),
    [anon_sym_begin] = ACTIONS(11366),
    [anon_sym_module] = ACTIONS(11366),
    [anon_sym_baremodule] = ACTIONS(11366),
    [anon_sym_abstract] = ACTIONS(11366),
    [anon_sym_primitive] = ACTIONS(11366),
    [anon_sym_mutable] = ACTIONS(11366),
    [anon_sym_struct] = ACTIONS(11366),
    [anon_sym_function] = ACTIONS(11366),
    [anon_sym_macro] = ACTIONS(11366),
    [anon_sym_quote] = ACTIONS(11366),
    [anon_sym_let] = ACTIONS(11366),
    [anon_sym_if] = ACTIONS(11366),
    [anon_sym_try] = ACTIONS(11366),
    [anon_sym_for] = ACTIONS(11366),
    [anon_sym_while] = ACTIONS(11366),
    [sym_break_statement] = ACTIONS(11366),
    [sym_continue_statement] = ACTIONS(11366),
    [anon_sym_return] = ACTIONS(11366),
    [anon_sym_const] = ACTIONS(11366),
    [anon_sym_global] = ACTIONS(11366),
    [anon_sym_local] = ACTIONS(11366),
    [anon_sym_LPAREN] = ACTIONS(11366),
    [anon_sym_COLON] = ACTIONS(11366),
    [anon_sym_export] = ACTIONS(11366),
    [anon_sym_public] = ACTIONS(11366),
    [anon_sym_import] = ACTIONS(11366),
    [anon_sym_using] = ACTIONS(11366),
    [anon_sym_LBRACK] = ACTIONS(11366),
    [anon_sym_RBRACK] = ACTIONS(11366),
    [anon_sym_in] = ACTIONS(11366),
    [anon_sym_SEMI] = ACTIONS(11366),
    [anon_sym_LBRACE] = ACTIONS(11366),
    [anon_sym_DOLLAR] = ACTIONS(11366),
    [anon_sym_COLON2] = ACTIONS(11366),
    [anon_sym_COLON_COLON] = ACTIONS(11366),
    [anon_sym_isa] = ACTIONS(11366),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11366),
    [anon_sym_QMARK] = ACTIONS(11366),
    [anon_sym_where] = ACTIONS(11366),
    [anon_sym_AT] = ACTIONS(11366),
    [anon_sym_true] = ACTIONS(11366),
    [anon_sym_false] = ACTIONS(11366),
    [aux_sym_integer_literal_token1] = ACTIONS(11366),
    [aux_sym_integer_literal_token2] = ACTIONS(11366),
    [aux_sym_integer_literal_token3] = ACTIONS(11366),
    [aux_sym_integer_literal_token4] = ACTIONS(11366),
    [aux_sym_float_literal_token1] = ACTIONS(11366),
    [aux_sym_float_literal_token3] = ACTIONS(11366),
    [aux_sym_float_literal_token4] = ACTIONS(11366),
    [sym_character_literal] = ACTIONS(11366),
    [anon_sym_DQUOTE] = ACTIONS(11366),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11366),
    [anon_sym_BQUOTE] = ACTIONS(11366),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11366),
    [sym__pair_operator] = ACTIONS(11366),
    [sym__arrow_operator] = ACTIONS(11366),
    [sym__lazy_or_operator] = ACTIONS(11366),
    [sym__lazy_and_operator] = ACTIONS(11366),
    [sym__comparison_operator] = ACTIONS(11366),
    [sym__pipe_right_operator] = ACTIONS(11366),
    [sym__pipe_left_operator] = ACTIONS(11366),
    [sym__ellipsis_operator] = ACTIONS(11366),
    [sym__plus_operator] = ACTIONS(11366),
    [sym__times_operator] = ACTIONS(11366),
    [sym__rational_operator] = ACTIONS(11366),
    [sym__bitshift_operator] = ACTIONS(11366),
    [sym__power_operator] = ACTIONS(11366),
    [sym__tilde_operator] = ACTIONS(11366),
    [sym__type_order_operator] = ACTIONS(11366),
    [sym__unary_operator] = ACTIONS(11366),
    [sym__unary_plus_operator] = ACTIONS(11366),
    [aux_sym__terminator_token1] = ACTIONS(11368),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8531] = {
    [sym_block_comment] = STATE(8531),
    [sym_line_comment] = STATE(8531),
    [ts_builtin_sym_end] = ACTIONS(11372),
    [sym__word_identifier] = ACTIONS(11370),
    [anon_sym_COMMA] = ACTIONS(11370),
    [anon_sym_EQ] = ACTIONS(11370),
    [anon_sym_begin] = ACTIONS(11370),
    [anon_sym_module] = ACTIONS(11370),
    [anon_sym_baremodule] = ACTIONS(11370),
    [anon_sym_abstract] = ACTIONS(11370),
    [anon_sym_primitive] = ACTIONS(11370),
    [anon_sym_mutable] = ACTIONS(11370),
    [anon_sym_struct] = ACTIONS(11370),
    [anon_sym_function] = ACTIONS(11370),
    [anon_sym_macro] = ACTIONS(11370),
    [anon_sym_quote] = ACTIONS(11370),
    [anon_sym_let] = ACTIONS(11370),
    [anon_sym_if] = ACTIONS(11370),
    [anon_sym_try] = ACTIONS(11370),
    [anon_sym_for] = ACTIONS(11370),
    [anon_sym_while] = ACTIONS(11370),
    [sym_break_statement] = ACTIONS(11370),
    [sym_continue_statement] = ACTIONS(11370),
    [anon_sym_return] = ACTIONS(11370),
    [anon_sym_const] = ACTIONS(11370),
    [anon_sym_global] = ACTIONS(11370),
    [anon_sym_local] = ACTIONS(11370),
    [anon_sym_LPAREN] = ACTIONS(11370),
    [anon_sym_COLON] = ACTIONS(11370),
    [anon_sym_export] = ACTIONS(11370),
    [anon_sym_public] = ACTIONS(11370),
    [anon_sym_import] = ACTIONS(11370),
    [anon_sym_using] = ACTIONS(11370),
    [anon_sym_LBRACK] = ACTIONS(11370),
    [anon_sym_RBRACK] = ACTIONS(11370),
    [anon_sym_in] = ACTIONS(11370),
    [anon_sym_SEMI] = ACTIONS(11370),
    [anon_sym_LBRACE] = ACTIONS(11370),
    [anon_sym_DOLLAR] = ACTIONS(11370),
    [anon_sym_COLON2] = ACTIONS(11370),
    [anon_sym_COLON_COLON] = ACTIONS(11370),
    [anon_sym_isa] = ACTIONS(11370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11370),
    [anon_sym_QMARK] = ACTIONS(11370),
    [anon_sym_where] = ACTIONS(11370),
    [anon_sym_AT] = ACTIONS(11370),
    [anon_sym_true] = ACTIONS(11370),
    [anon_sym_false] = ACTIONS(11370),
    [aux_sym_integer_literal_token1] = ACTIONS(11370),
    [aux_sym_integer_literal_token2] = ACTIONS(11370),
    [aux_sym_integer_literal_token3] = ACTIONS(11370),
    [aux_sym_integer_literal_token4] = ACTIONS(11370),
    [aux_sym_float_literal_token1] = ACTIONS(11370),
    [aux_sym_float_literal_token3] = ACTIONS(11370),
    [aux_sym_float_literal_token4] = ACTIONS(11370),
    [sym_character_literal] = ACTIONS(11370),
    [anon_sym_DQUOTE] = ACTIONS(11370),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11370),
    [anon_sym_BQUOTE] = ACTIONS(11370),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11370),
    [sym__pair_operator] = ACTIONS(11370),
    [sym__arrow_operator] = ACTIONS(11370),
    [sym__lazy_or_operator] = ACTIONS(11370),
    [sym__lazy_and_operator] = ACTIONS(11370),
    [sym__comparison_operator] = ACTIONS(11370),
    [sym__pipe_right_operator] = ACTIONS(11370),
    [sym__pipe_left_operator] = ACTIONS(11370),
    [sym__ellipsis_operator] = ACTIONS(11370),
    [sym__plus_operator] = ACTIONS(11370),
    [sym__times_operator] = ACTIONS(11370),
    [sym__rational_operator] = ACTIONS(11370),
    [sym__bitshift_operator] = ACTIONS(11370),
    [sym__power_operator] = ACTIONS(11370),
    [sym__tilde_operator] = ACTIONS(11370),
    [sym__type_order_operator] = ACTIONS(11370),
    [sym__unary_operator] = ACTIONS(11370),
    [sym__unary_plus_operator] = ACTIONS(11370),
    [aux_sym__terminator_token1] = ACTIONS(11372),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8532] = {
    [sym_block_comment] = STATE(8532),
    [sym_line_comment] = STATE(8532),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8533] = {
    [sym_block_comment] = STATE(8533),
    [sym_line_comment] = STATE(8533),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8534] = {
    [sym_block_comment] = STATE(8534),
    [sym_line_comment] = STATE(8534),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11380),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8535] = {
    [sym_block_comment] = STATE(8535),
    [sym_line_comment] = STATE(8535),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11380),
    [sym__bitshift_operator] = ACTIONS(11380),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8536] = {
    [sym_block_comment] = STATE(8536),
    [sym_line_comment] = STATE(8536),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(11378),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8537] = {
    [sym_block_comment] = STATE(8537),
    [sym_line_comment] = STATE(8537),
    [ts_builtin_sym_end] = ACTIONS(11260),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(10181),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_RBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8538] = {
    [sym_block_comment] = STATE(8538),
    [sym_line_comment] = STATE(8538),
    [ts_builtin_sym_end] = ACTIONS(11139),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(11134),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11134),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11134),
    [anon_sym_RBRACK] = ACTIONS(11134),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11134),
    [anon_sym_LBRACE] = ACTIONS(11134),
    [anon_sym_DOLLAR] = ACTIONS(11134),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11134),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11134),
    [aux_sym_integer_literal_token2] = ACTIONS(11134),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11134),
    [aux_sym_float_literal_token3] = ACTIONS(11134),
    [aux_sym_float_literal_token4] = ACTIONS(11134),
    [sym_character_literal] = ACTIONS(11134),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11134),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11134),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11139),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8539] = {
    [sym_block_comment] = STATE(8539),
    [sym_line_comment] = STATE(8539),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_finally] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(11382),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(11382),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11382),
    [anon_sym_isa] = ACTIONS(11382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11382),
    [anon_sym_QMARK] = ACTIONS(11382),
    [anon_sym_where] = ACTIONS(11382),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(11382),
    [sym__arrow_operator] = ACTIONS(11382),
    [sym__lazy_or_operator] = ACTIONS(11382),
    [sym__lazy_and_operator] = ACTIONS(11382),
    [sym__comparison_operator] = ACTIONS(11382),
    [sym__pipe_right_operator] = ACTIONS(11382),
    [sym__pipe_left_operator] = ACTIONS(11382),
    [sym__ellipsis_operator] = ACTIONS(11382),
    [sym__plus_operator] = ACTIONS(11382),
    [sym__times_operator] = ACTIONS(11382),
    [sym__rational_operator] = ACTIONS(11382),
    [sym__bitshift_operator] = ACTIONS(11382),
    [sym__power_operator] = ACTIONS(11382),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(11382),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(11382),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8540] = {
    [sym_block_comment] = STATE(8540),
    [sym_line_comment] = STATE(8540),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10197),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8541] = {
    [sym_block_comment] = STATE(8541),
    [sym_line_comment] = STATE(8541),
    [sym__word_identifier] = ACTIONS(11386),
    [anon_sym_COMMA] = ACTIONS(11386),
    [anon_sym_EQ] = ACTIONS(11386),
    [anon_sym_begin] = ACTIONS(11386),
    [anon_sym_module] = ACTIONS(11386),
    [anon_sym_baremodule] = ACTIONS(11386),
    [anon_sym_end] = ACTIONS(11386),
    [anon_sym_abstract] = ACTIONS(11386),
    [anon_sym_primitive] = ACTIONS(11386),
    [anon_sym_mutable] = ACTIONS(11386),
    [anon_sym_struct] = ACTIONS(11386),
    [anon_sym_function] = ACTIONS(11386),
    [anon_sym_macro] = ACTIONS(11386),
    [anon_sym_quote] = ACTIONS(11386),
    [anon_sym_let] = ACTIONS(11386),
    [anon_sym_if] = ACTIONS(11386),
    [anon_sym_try] = ACTIONS(11386),
    [anon_sym_finally] = ACTIONS(11386),
    [anon_sym_for] = ACTIONS(11386),
    [anon_sym_while] = ACTIONS(11386),
    [sym_break_statement] = ACTIONS(11386),
    [sym_continue_statement] = ACTIONS(11386),
    [anon_sym_return] = ACTIONS(11386),
    [anon_sym_const] = ACTIONS(11386),
    [anon_sym_global] = ACTIONS(11386),
    [anon_sym_local] = ACTIONS(11386),
    [anon_sym_LPAREN] = ACTIONS(11386),
    [anon_sym_COLON] = ACTIONS(11386),
    [anon_sym_export] = ACTIONS(11386),
    [anon_sym_public] = ACTIONS(11386),
    [anon_sym_import] = ACTIONS(11386),
    [anon_sym_using] = ACTIONS(11386),
    [anon_sym_LBRACK] = ACTIONS(11386),
    [anon_sym_in] = ACTIONS(11386),
    [anon_sym_SEMI] = ACTIONS(11386),
    [anon_sym_LBRACE] = ACTIONS(11386),
    [anon_sym_DOLLAR] = ACTIONS(11386),
    [anon_sym_COLON2] = ACTIONS(11386),
    [anon_sym_COLON_COLON] = ACTIONS(11386),
    [anon_sym_isa] = ACTIONS(11386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11386),
    [anon_sym_QMARK] = ACTIONS(11386),
    [anon_sym_where] = ACTIONS(11386),
    [anon_sym_AT] = ACTIONS(11386),
    [anon_sym_true] = ACTIONS(11386),
    [anon_sym_false] = ACTIONS(11386),
    [aux_sym_integer_literal_token1] = ACTIONS(11386),
    [aux_sym_integer_literal_token2] = ACTIONS(11386),
    [aux_sym_integer_literal_token3] = ACTIONS(11386),
    [aux_sym_integer_literal_token4] = ACTIONS(11386),
    [aux_sym_float_literal_token1] = ACTIONS(11386),
    [aux_sym_float_literal_token3] = ACTIONS(11386),
    [aux_sym_float_literal_token4] = ACTIONS(11386),
    [sym_character_literal] = ACTIONS(11386),
    [anon_sym_DQUOTE] = ACTIONS(11386),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11386),
    [anon_sym_BQUOTE] = ACTIONS(11386),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11386),
    [sym__pair_operator] = ACTIONS(11386),
    [sym__arrow_operator] = ACTIONS(11386),
    [sym__lazy_or_operator] = ACTIONS(11386),
    [sym__lazy_and_operator] = ACTIONS(11386),
    [sym__comparison_operator] = ACTIONS(11386),
    [sym__pipe_right_operator] = ACTIONS(11386),
    [sym__pipe_left_operator] = ACTIONS(11386),
    [sym__ellipsis_operator] = ACTIONS(11386),
    [sym__plus_operator] = ACTIONS(11386),
    [sym__times_operator] = ACTIONS(11386),
    [sym__rational_operator] = ACTIONS(11386),
    [sym__bitshift_operator] = ACTIONS(11386),
    [sym__power_operator] = ACTIONS(11386),
    [sym__tilde_operator] = ACTIONS(11386),
    [sym__type_order_operator] = ACTIONS(11386),
    [sym__unary_operator] = ACTIONS(11386),
    [sym__unary_plus_operator] = ACTIONS(11386),
    [aux_sym__terminator_token1] = ACTIONS(11388),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8542] = {
    [sym_block_comment] = STATE(8542),
    [sym_line_comment] = STATE(8542),
    [sym__word_identifier] = ACTIONS(11390),
    [anon_sym_COMMA] = ACTIONS(11390),
    [anon_sym_EQ] = ACTIONS(11390),
    [anon_sym_begin] = ACTIONS(11390),
    [anon_sym_module] = ACTIONS(11390),
    [anon_sym_baremodule] = ACTIONS(11390),
    [anon_sym_end] = ACTIONS(11390),
    [anon_sym_abstract] = ACTIONS(11390),
    [anon_sym_primitive] = ACTIONS(11390),
    [anon_sym_mutable] = ACTIONS(11390),
    [anon_sym_struct] = ACTIONS(11390),
    [anon_sym_function] = ACTIONS(11390),
    [anon_sym_macro] = ACTIONS(11390),
    [anon_sym_quote] = ACTIONS(11390),
    [anon_sym_let] = ACTIONS(11390),
    [anon_sym_if] = ACTIONS(11390),
    [anon_sym_try] = ACTIONS(11390),
    [anon_sym_finally] = ACTIONS(11390),
    [anon_sym_for] = ACTIONS(11390),
    [anon_sym_while] = ACTIONS(11390),
    [sym_break_statement] = ACTIONS(11390),
    [sym_continue_statement] = ACTIONS(11390),
    [anon_sym_return] = ACTIONS(11390),
    [anon_sym_const] = ACTIONS(11390),
    [anon_sym_global] = ACTIONS(11390),
    [anon_sym_local] = ACTIONS(11390),
    [anon_sym_LPAREN] = ACTIONS(11390),
    [anon_sym_COLON] = ACTIONS(11390),
    [anon_sym_export] = ACTIONS(11390),
    [anon_sym_public] = ACTIONS(11390),
    [anon_sym_import] = ACTIONS(11390),
    [anon_sym_using] = ACTIONS(11390),
    [anon_sym_LBRACK] = ACTIONS(11390),
    [anon_sym_in] = ACTIONS(11390),
    [anon_sym_SEMI] = ACTIONS(11390),
    [anon_sym_LBRACE] = ACTIONS(11390),
    [anon_sym_DOLLAR] = ACTIONS(11390),
    [anon_sym_COLON2] = ACTIONS(11390),
    [anon_sym_COLON_COLON] = ACTIONS(11390),
    [anon_sym_isa] = ACTIONS(11390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11390),
    [anon_sym_QMARK] = ACTIONS(11390),
    [anon_sym_where] = ACTIONS(11390),
    [anon_sym_AT] = ACTIONS(11390),
    [anon_sym_true] = ACTIONS(11390),
    [anon_sym_false] = ACTIONS(11390),
    [aux_sym_integer_literal_token1] = ACTIONS(11390),
    [aux_sym_integer_literal_token2] = ACTIONS(11390),
    [aux_sym_integer_literal_token3] = ACTIONS(11390),
    [aux_sym_integer_literal_token4] = ACTIONS(11390),
    [aux_sym_float_literal_token1] = ACTIONS(11390),
    [aux_sym_float_literal_token3] = ACTIONS(11390),
    [aux_sym_float_literal_token4] = ACTIONS(11390),
    [sym_character_literal] = ACTIONS(11390),
    [anon_sym_DQUOTE] = ACTIONS(11390),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11390),
    [anon_sym_BQUOTE] = ACTIONS(11390),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11390),
    [sym__pair_operator] = ACTIONS(11390),
    [sym__arrow_operator] = ACTIONS(11390),
    [sym__lazy_or_operator] = ACTIONS(11390),
    [sym__lazy_and_operator] = ACTIONS(11390),
    [sym__comparison_operator] = ACTIONS(11390),
    [sym__pipe_right_operator] = ACTIONS(11390),
    [sym__pipe_left_operator] = ACTIONS(11390),
    [sym__ellipsis_operator] = ACTIONS(11390),
    [sym__plus_operator] = ACTIONS(11390),
    [sym__times_operator] = ACTIONS(11390),
    [sym__rational_operator] = ACTIONS(11390),
    [sym__bitshift_operator] = ACTIONS(11390),
    [sym__power_operator] = ACTIONS(11390),
    [sym__tilde_operator] = ACTIONS(11390),
    [sym__type_order_operator] = ACTIONS(11390),
    [sym__unary_operator] = ACTIONS(11390),
    [sym__unary_plus_operator] = ACTIONS(11390),
    [aux_sym__terminator_token1] = ACTIONS(11392),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8543] = {
    [sym_block_comment] = STATE(8543),
    [sym_line_comment] = STATE(8543),
    [sym__word_identifier] = ACTIONS(11394),
    [anon_sym_COMMA] = ACTIONS(11394),
    [anon_sym_EQ] = ACTIONS(11394),
    [anon_sym_begin] = ACTIONS(11394),
    [anon_sym_module] = ACTIONS(11394),
    [anon_sym_baremodule] = ACTIONS(11394),
    [anon_sym_end] = ACTIONS(11394),
    [anon_sym_abstract] = ACTIONS(11394),
    [anon_sym_primitive] = ACTIONS(11394),
    [anon_sym_mutable] = ACTIONS(11394),
    [anon_sym_struct] = ACTIONS(11394),
    [anon_sym_function] = ACTIONS(11394),
    [anon_sym_macro] = ACTIONS(11394),
    [anon_sym_quote] = ACTIONS(11394),
    [anon_sym_let] = ACTIONS(11394),
    [anon_sym_if] = ACTIONS(11394),
    [anon_sym_try] = ACTIONS(11394),
    [anon_sym_finally] = ACTIONS(11394),
    [anon_sym_for] = ACTIONS(11394),
    [anon_sym_while] = ACTIONS(11394),
    [sym_break_statement] = ACTIONS(11394),
    [sym_continue_statement] = ACTIONS(11394),
    [anon_sym_return] = ACTIONS(11394),
    [anon_sym_const] = ACTIONS(11394),
    [anon_sym_global] = ACTIONS(11394),
    [anon_sym_local] = ACTIONS(11394),
    [anon_sym_LPAREN] = ACTIONS(11394),
    [anon_sym_COLON] = ACTIONS(11394),
    [anon_sym_export] = ACTIONS(11394),
    [anon_sym_public] = ACTIONS(11394),
    [anon_sym_import] = ACTIONS(11394),
    [anon_sym_using] = ACTIONS(11394),
    [anon_sym_LBRACK] = ACTIONS(11394),
    [anon_sym_in] = ACTIONS(11394),
    [anon_sym_SEMI] = ACTIONS(11394),
    [anon_sym_LBRACE] = ACTIONS(11394),
    [anon_sym_DOLLAR] = ACTIONS(11394),
    [anon_sym_COLON2] = ACTIONS(11394),
    [anon_sym_COLON_COLON] = ACTIONS(11394),
    [anon_sym_isa] = ACTIONS(11394),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11394),
    [anon_sym_QMARK] = ACTIONS(11394),
    [anon_sym_where] = ACTIONS(11394),
    [anon_sym_AT] = ACTIONS(11394),
    [anon_sym_true] = ACTIONS(11394),
    [anon_sym_false] = ACTIONS(11394),
    [aux_sym_integer_literal_token1] = ACTIONS(11394),
    [aux_sym_integer_literal_token2] = ACTIONS(11394),
    [aux_sym_integer_literal_token3] = ACTIONS(11394),
    [aux_sym_integer_literal_token4] = ACTIONS(11394),
    [aux_sym_float_literal_token1] = ACTIONS(11394),
    [aux_sym_float_literal_token3] = ACTIONS(11394),
    [aux_sym_float_literal_token4] = ACTIONS(11394),
    [sym_character_literal] = ACTIONS(11394),
    [anon_sym_DQUOTE] = ACTIONS(11394),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11394),
    [anon_sym_BQUOTE] = ACTIONS(11394),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11394),
    [sym__pair_operator] = ACTIONS(11394),
    [sym__arrow_operator] = ACTIONS(11394),
    [sym__lazy_or_operator] = ACTIONS(11394),
    [sym__lazy_and_operator] = ACTIONS(11394),
    [sym__comparison_operator] = ACTIONS(11394),
    [sym__pipe_right_operator] = ACTIONS(11394),
    [sym__pipe_left_operator] = ACTIONS(11394),
    [sym__ellipsis_operator] = ACTIONS(11394),
    [sym__plus_operator] = ACTIONS(11394),
    [sym__times_operator] = ACTIONS(11394),
    [sym__rational_operator] = ACTIONS(11394),
    [sym__bitshift_operator] = ACTIONS(11394),
    [sym__power_operator] = ACTIONS(11394),
    [sym__tilde_operator] = ACTIONS(11394),
    [sym__type_order_operator] = ACTIONS(11394),
    [sym__unary_operator] = ACTIONS(11394),
    [sym__unary_plus_operator] = ACTIONS(11394),
    [aux_sym__terminator_token1] = ACTIONS(11396),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8544] = {
    [sym_block_comment] = STATE(8544),
    [sym_line_comment] = STATE(8544),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(11378),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8545] = {
    [sym_block_comment] = STATE(8545),
    [sym_line_comment] = STATE(8545),
    [sym__word_identifier] = ACTIONS(11398),
    [anon_sym_COMMA] = ACTIONS(11398),
    [anon_sym_EQ] = ACTIONS(11398),
    [anon_sym_begin] = ACTIONS(11398),
    [anon_sym_module] = ACTIONS(11398),
    [anon_sym_baremodule] = ACTIONS(11398),
    [anon_sym_end] = ACTIONS(11398),
    [anon_sym_abstract] = ACTIONS(11398),
    [anon_sym_primitive] = ACTIONS(11398),
    [anon_sym_mutable] = ACTIONS(11398),
    [anon_sym_struct] = ACTIONS(11398),
    [anon_sym_function] = ACTIONS(11398),
    [anon_sym_macro] = ACTIONS(11398),
    [anon_sym_quote] = ACTIONS(11398),
    [anon_sym_let] = ACTIONS(11398),
    [anon_sym_if] = ACTIONS(11398),
    [anon_sym_try] = ACTIONS(11398),
    [anon_sym_finally] = ACTIONS(11398),
    [anon_sym_for] = ACTIONS(11398),
    [anon_sym_while] = ACTIONS(11398),
    [sym_break_statement] = ACTIONS(11398),
    [sym_continue_statement] = ACTIONS(11398),
    [anon_sym_return] = ACTIONS(11398),
    [anon_sym_const] = ACTIONS(11398),
    [anon_sym_global] = ACTIONS(11398),
    [anon_sym_local] = ACTIONS(11398),
    [anon_sym_LPAREN] = ACTIONS(11398),
    [anon_sym_COLON] = ACTIONS(11398),
    [anon_sym_export] = ACTIONS(11398),
    [anon_sym_public] = ACTIONS(11398),
    [anon_sym_import] = ACTIONS(11398),
    [anon_sym_using] = ACTIONS(11398),
    [anon_sym_LBRACK] = ACTIONS(11398),
    [anon_sym_in] = ACTIONS(11398),
    [anon_sym_SEMI] = ACTIONS(11398),
    [anon_sym_LBRACE] = ACTIONS(11398),
    [anon_sym_DOLLAR] = ACTIONS(11398),
    [anon_sym_COLON2] = ACTIONS(11398),
    [anon_sym_COLON_COLON] = ACTIONS(11398),
    [anon_sym_isa] = ACTIONS(11398),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11398),
    [anon_sym_QMARK] = ACTIONS(11398),
    [anon_sym_where] = ACTIONS(11398),
    [anon_sym_AT] = ACTIONS(11398),
    [anon_sym_true] = ACTIONS(11398),
    [anon_sym_false] = ACTIONS(11398),
    [aux_sym_integer_literal_token1] = ACTIONS(11398),
    [aux_sym_integer_literal_token2] = ACTIONS(11398),
    [aux_sym_integer_literal_token3] = ACTIONS(11398),
    [aux_sym_integer_literal_token4] = ACTIONS(11398),
    [aux_sym_float_literal_token1] = ACTIONS(11398),
    [aux_sym_float_literal_token3] = ACTIONS(11398),
    [aux_sym_float_literal_token4] = ACTIONS(11398),
    [sym_character_literal] = ACTIONS(11398),
    [anon_sym_DQUOTE] = ACTIONS(11398),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11398),
    [anon_sym_BQUOTE] = ACTIONS(11398),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11398),
    [sym__pair_operator] = ACTIONS(11398),
    [sym__arrow_operator] = ACTIONS(11398),
    [sym__lazy_or_operator] = ACTIONS(11398),
    [sym__lazy_and_operator] = ACTIONS(11398),
    [sym__comparison_operator] = ACTIONS(11398),
    [sym__pipe_right_operator] = ACTIONS(11398),
    [sym__pipe_left_operator] = ACTIONS(11398),
    [sym__ellipsis_operator] = ACTIONS(11398),
    [sym__plus_operator] = ACTIONS(11398),
    [sym__times_operator] = ACTIONS(11398),
    [sym__rational_operator] = ACTIONS(11398),
    [sym__bitshift_operator] = ACTIONS(11398),
    [sym__power_operator] = ACTIONS(11398),
    [sym__tilde_operator] = ACTIONS(11398),
    [sym__type_order_operator] = ACTIONS(11398),
    [sym__unary_operator] = ACTIONS(11398),
    [sym__unary_plus_operator] = ACTIONS(11398),
    [aux_sym__terminator_token1] = ACTIONS(11400),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8546] = {
    [sym_block_comment] = STATE(8546),
    [sym_line_comment] = STATE(8546),
    [sym__word_identifier] = ACTIONS(11402),
    [anon_sym_COMMA] = ACTIONS(11402),
    [anon_sym_EQ] = ACTIONS(11402),
    [anon_sym_begin] = ACTIONS(11402),
    [anon_sym_module] = ACTIONS(11402),
    [anon_sym_baremodule] = ACTIONS(11402),
    [anon_sym_end] = ACTIONS(11402),
    [anon_sym_abstract] = ACTIONS(11402),
    [anon_sym_primitive] = ACTIONS(11402),
    [anon_sym_mutable] = ACTIONS(11402),
    [anon_sym_struct] = ACTIONS(11402),
    [anon_sym_function] = ACTIONS(11402),
    [anon_sym_macro] = ACTIONS(11402),
    [anon_sym_quote] = ACTIONS(11402),
    [anon_sym_let] = ACTIONS(11402),
    [anon_sym_if] = ACTIONS(11402),
    [anon_sym_try] = ACTIONS(11402),
    [anon_sym_finally] = ACTIONS(11402),
    [anon_sym_for] = ACTIONS(11402),
    [anon_sym_while] = ACTIONS(11402),
    [sym_break_statement] = ACTIONS(11402),
    [sym_continue_statement] = ACTIONS(11402),
    [anon_sym_return] = ACTIONS(11402),
    [anon_sym_const] = ACTIONS(11402),
    [anon_sym_global] = ACTIONS(11402),
    [anon_sym_local] = ACTIONS(11402),
    [anon_sym_LPAREN] = ACTIONS(11402),
    [anon_sym_COLON] = ACTIONS(11402),
    [anon_sym_export] = ACTIONS(11402),
    [anon_sym_public] = ACTIONS(11402),
    [anon_sym_import] = ACTIONS(11402),
    [anon_sym_using] = ACTIONS(11402),
    [anon_sym_LBRACK] = ACTIONS(11402),
    [anon_sym_in] = ACTIONS(11402),
    [anon_sym_SEMI] = ACTIONS(11402),
    [anon_sym_LBRACE] = ACTIONS(11402),
    [anon_sym_DOLLAR] = ACTIONS(11402),
    [anon_sym_COLON2] = ACTIONS(11402),
    [anon_sym_COLON_COLON] = ACTIONS(11402),
    [anon_sym_isa] = ACTIONS(11402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11402),
    [anon_sym_QMARK] = ACTIONS(11402),
    [anon_sym_where] = ACTIONS(11402),
    [anon_sym_AT] = ACTIONS(11402),
    [anon_sym_true] = ACTIONS(11402),
    [anon_sym_false] = ACTIONS(11402),
    [aux_sym_integer_literal_token1] = ACTIONS(11402),
    [aux_sym_integer_literal_token2] = ACTIONS(11402),
    [aux_sym_integer_literal_token3] = ACTIONS(11402),
    [aux_sym_integer_literal_token4] = ACTIONS(11402),
    [aux_sym_float_literal_token1] = ACTIONS(11402),
    [aux_sym_float_literal_token3] = ACTIONS(11402),
    [aux_sym_float_literal_token4] = ACTIONS(11402),
    [sym_character_literal] = ACTIONS(11402),
    [anon_sym_DQUOTE] = ACTIONS(11402),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11402),
    [anon_sym_BQUOTE] = ACTIONS(11402),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11402),
    [sym__pair_operator] = ACTIONS(11402),
    [sym__arrow_operator] = ACTIONS(11402),
    [sym__lazy_or_operator] = ACTIONS(11402),
    [sym__lazy_and_operator] = ACTIONS(11402),
    [sym__comparison_operator] = ACTIONS(11402),
    [sym__pipe_right_operator] = ACTIONS(11402),
    [sym__pipe_left_operator] = ACTIONS(11402),
    [sym__ellipsis_operator] = ACTIONS(11402),
    [sym__plus_operator] = ACTIONS(11402),
    [sym__times_operator] = ACTIONS(11402),
    [sym__rational_operator] = ACTIONS(11402),
    [sym__bitshift_operator] = ACTIONS(11402),
    [sym__power_operator] = ACTIONS(11402),
    [sym__tilde_operator] = ACTIONS(11402),
    [sym__type_order_operator] = ACTIONS(11402),
    [sym__unary_operator] = ACTIONS(11402),
    [sym__unary_plus_operator] = ACTIONS(11402),
    [aux_sym__terminator_token1] = ACTIONS(11404),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8547] = {
    [sym_block_comment] = STATE(8547),
    [sym_line_comment] = STATE(8547),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10870),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10870),
    [anon_sym_RPAREN] = ACTIONS(10870),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10870),
    [anon_sym_RBRACK] = ACTIONS(10870),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10870),
    [anon_sym_LBRACE] = ACTIONS(10870),
    [anon_sym_RBRACE] = ACTIONS(10870),
    [anon_sym_DOLLAR] = ACTIONS(10870),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10870),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10870),
    [anon_sym_QMARK] = ACTIONS(10870),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10870),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10870),
    [aux_sym_integer_literal_token2] = ACTIONS(10870),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10870),
    [aux_sym_float_literal_token3] = ACTIONS(10870),
    [aux_sym_float_literal_token4] = ACTIONS(10870),
    [sym_character_literal] = ACTIONS(10870),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10870),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10870),
    [sym__pair_operator] = ACTIONS(10870),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10870),
    [sym__lazy_and_operator] = ACTIONS(10870),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10870),
    [sym__pipe_left_operator] = ACTIONS(10870),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10870),
    [sym__bitshift_operator] = ACTIONS(10870),
    [sym__power_operator] = ACTIONS(10870),
    [sym__tilde_operator] = ACTIONS(10870),
    [sym__type_order_operator] = ACTIONS(10870),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8548] = {
    [sym_block_comment] = STATE(8548),
    [sym_line_comment] = STATE(8548),
    [sym__word_identifier] = ACTIONS(11406),
    [anon_sym_COMMA] = ACTIONS(11406),
    [anon_sym_EQ] = ACTIONS(11406),
    [anon_sym_begin] = ACTIONS(11406),
    [anon_sym_module] = ACTIONS(11406),
    [anon_sym_baremodule] = ACTIONS(11406),
    [anon_sym_end] = ACTIONS(11406),
    [anon_sym_abstract] = ACTIONS(11406),
    [anon_sym_primitive] = ACTIONS(11406),
    [anon_sym_mutable] = ACTIONS(11406),
    [anon_sym_struct] = ACTIONS(11406),
    [anon_sym_function] = ACTIONS(11406),
    [anon_sym_macro] = ACTIONS(11406),
    [anon_sym_quote] = ACTIONS(11406),
    [anon_sym_let] = ACTIONS(11406),
    [anon_sym_if] = ACTIONS(11406),
    [anon_sym_try] = ACTIONS(11406),
    [anon_sym_finally] = ACTIONS(11406),
    [anon_sym_for] = ACTIONS(11406),
    [anon_sym_while] = ACTIONS(11406),
    [sym_break_statement] = ACTIONS(11406),
    [sym_continue_statement] = ACTIONS(11406),
    [anon_sym_return] = ACTIONS(11406),
    [anon_sym_const] = ACTIONS(11406),
    [anon_sym_global] = ACTIONS(11406),
    [anon_sym_local] = ACTIONS(11406),
    [anon_sym_LPAREN] = ACTIONS(11406),
    [anon_sym_COLON] = ACTIONS(11406),
    [anon_sym_export] = ACTIONS(11406),
    [anon_sym_public] = ACTIONS(11406),
    [anon_sym_import] = ACTIONS(11406),
    [anon_sym_using] = ACTIONS(11406),
    [anon_sym_LBRACK] = ACTIONS(11406),
    [anon_sym_in] = ACTIONS(11406),
    [anon_sym_SEMI] = ACTIONS(11406),
    [anon_sym_LBRACE] = ACTIONS(11406),
    [anon_sym_DOLLAR] = ACTIONS(11406),
    [anon_sym_COLON2] = ACTIONS(11406),
    [anon_sym_COLON_COLON] = ACTIONS(11406),
    [anon_sym_isa] = ACTIONS(11406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11406),
    [anon_sym_QMARK] = ACTIONS(11406),
    [anon_sym_where] = ACTIONS(11406),
    [anon_sym_AT] = ACTIONS(11406),
    [anon_sym_true] = ACTIONS(11406),
    [anon_sym_false] = ACTIONS(11406),
    [aux_sym_integer_literal_token1] = ACTIONS(11406),
    [aux_sym_integer_literal_token2] = ACTIONS(11406),
    [aux_sym_integer_literal_token3] = ACTIONS(11406),
    [aux_sym_integer_literal_token4] = ACTIONS(11406),
    [aux_sym_float_literal_token1] = ACTIONS(11406),
    [aux_sym_float_literal_token3] = ACTIONS(11406),
    [aux_sym_float_literal_token4] = ACTIONS(11406),
    [sym_character_literal] = ACTIONS(11406),
    [anon_sym_DQUOTE] = ACTIONS(11406),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11406),
    [anon_sym_BQUOTE] = ACTIONS(11406),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11406),
    [sym__pair_operator] = ACTIONS(11406),
    [sym__arrow_operator] = ACTIONS(11406),
    [sym__lazy_or_operator] = ACTIONS(11406),
    [sym__lazy_and_operator] = ACTIONS(11406),
    [sym__comparison_operator] = ACTIONS(11406),
    [sym__pipe_right_operator] = ACTIONS(11406),
    [sym__pipe_left_operator] = ACTIONS(11406),
    [sym__ellipsis_operator] = ACTIONS(11406),
    [sym__plus_operator] = ACTIONS(11406),
    [sym__times_operator] = ACTIONS(11406),
    [sym__rational_operator] = ACTIONS(11406),
    [sym__bitshift_operator] = ACTIONS(11406),
    [sym__power_operator] = ACTIONS(11406),
    [sym__tilde_operator] = ACTIONS(11406),
    [sym__type_order_operator] = ACTIONS(11406),
    [sym__unary_operator] = ACTIONS(11406),
    [sym__unary_plus_operator] = ACTIONS(11406),
    [aux_sym__terminator_token1] = ACTIONS(11408),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8549] = {
    [sym_block_comment] = STATE(8549),
    [sym_line_comment] = STATE(8549),
    [sym__word_identifier] = ACTIONS(11410),
    [anon_sym_COMMA] = ACTIONS(11410),
    [anon_sym_EQ] = ACTIONS(11410),
    [anon_sym_begin] = ACTIONS(11410),
    [anon_sym_module] = ACTIONS(11410),
    [anon_sym_baremodule] = ACTIONS(11410),
    [anon_sym_end] = ACTIONS(11410),
    [anon_sym_abstract] = ACTIONS(11410),
    [anon_sym_primitive] = ACTIONS(11410),
    [anon_sym_mutable] = ACTIONS(11410),
    [anon_sym_struct] = ACTIONS(11410),
    [anon_sym_function] = ACTIONS(11410),
    [anon_sym_macro] = ACTIONS(11410),
    [anon_sym_quote] = ACTIONS(11410),
    [anon_sym_let] = ACTIONS(11410),
    [anon_sym_if] = ACTIONS(11410),
    [anon_sym_try] = ACTIONS(11410),
    [anon_sym_finally] = ACTIONS(11410),
    [anon_sym_for] = ACTIONS(11410),
    [anon_sym_while] = ACTIONS(11410),
    [sym_break_statement] = ACTIONS(11410),
    [sym_continue_statement] = ACTIONS(11410),
    [anon_sym_return] = ACTIONS(11410),
    [anon_sym_const] = ACTIONS(11410),
    [anon_sym_global] = ACTIONS(11410),
    [anon_sym_local] = ACTIONS(11410),
    [anon_sym_LPAREN] = ACTIONS(11410),
    [anon_sym_COLON] = ACTIONS(11410),
    [anon_sym_export] = ACTIONS(11410),
    [anon_sym_public] = ACTIONS(11410),
    [anon_sym_import] = ACTIONS(11410),
    [anon_sym_using] = ACTIONS(11410),
    [anon_sym_LBRACK] = ACTIONS(11410),
    [anon_sym_in] = ACTIONS(11410),
    [anon_sym_SEMI] = ACTIONS(11410),
    [anon_sym_LBRACE] = ACTIONS(11410),
    [anon_sym_DOLLAR] = ACTIONS(11410),
    [anon_sym_COLON2] = ACTIONS(11410),
    [anon_sym_COLON_COLON] = ACTIONS(11410),
    [anon_sym_isa] = ACTIONS(11410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11410),
    [anon_sym_QMARK] = ACTIONS(11410),
    [anon_sym_where] = ACTIONS(11410),
    [anon_sym_AT] = ACTIONS(11410),
    [anon_sym_true] = ACTIONS(11410),
    [anon_sym_false] = ACTIONS(11410),
    [aux_sym_integer_literal_token1] = ACTIONS(11410),
    [aux_sym_integer_literal_token2] = ACTIONS(11410),
    [aux_sym_integer_literal_token3] = ACTIONS(11410),
    [aux_sym_integer_literal_token4] = ACTIONS(11410),
    [aux_sym_float_literal_token1] = ACTIONS(11410),
    [aux_sym_float_literal_token3] = ACTIONS(11410),
    [aux_sym_float_literal_token4] = ACTIONS(11410),
    [sym_character_literal] = ACTIONS(11410),
    [anon_sym_DQUOTE] = ACTIONS(11410),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11410),
    [anon_sym_BQUOTE] = ACTIONS(11410),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11410),
    [sym__pair_operator] = ACTIONS(11410),
    [sym__arrow_operator] = ACTIONS(11410),
    [sym__lazy_or_operator] = ACTIONS(11410),
    [sym__lazy_and_operator] = ACTIONS(11410),
    [sym__comparison_operator] = ACTIONS(11410),
    [sym__pipe_right_operator] = ACTIONS(11410),
    [sym__pipe_left_operator] = ACTIONS(11410),
    [sym__ellipsis_operator] = ACTIONS(11410),
    [sym__plus_operator] = ACTIONS(11410),
    [sym__times_operator] = ACTIONS(11410),
    [sym__rational_operator] = ACTIONS(11410),
    [sym__bitshift_operator] = ACTIONS(11410),
    [sym__power_operator] = ACTIONS(11410),
    [sym__tilde_operator] = ACTIONS(11410),
    [sym__type_order_operator] = ACTIONS(11410),
    [sym__unary_operator] = ACTIONS(11410),
    [sym__unary_plus_operator] = ACTIONS(11410),
    [aux_sym__terminator_token1] = ACTIONS(11412),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8550] = {
    [sym_block_comment] = STATE(8550),
    [sym_line_comment] = STATE(8550),
    [sym__word_identifier] = ACTIONS(11414),
    [anon_sym_COMMA] = ACTIONS(11414),
    [anon_sym_EQ] = ACTIONS(11414),
    [anon_sym_begin] = ACTIONS(11414),
    [anon_sym_module] = ACTIONS(11414),
    [anon_sym_baremodule] = ACTIONS(11414),
    [anon_sym_end] = ACTIONS(11414),
    [anon_sym_abstract] = ACTIONS(11414),
    [anon_sym_primitive] = ACTIONS(11414),
    [anon_sym_mutable] = ACTIONS(11414),
    [anon_sym_struct] = ACTIONS(11414),
    [anon_sym_function] = ACTIONS(11414),
    [anon_sym_macro] = ACTIONS(11414),
    [anon_sym_quote] = ACTIONS(11414),
    [anon_sym_let] = ACTIONS(11414),
    [anon_sym_if] = ACTIONS(11414),
    [anon_sym_try] = ACTIONS(11414),
    [anon_sym_finally] = ACTIONS(11414),
    [anon_sym_for] = ACTIONS(11414),
    [anon_sym_while] = ACTIONS(11414),
    [sym_break_statement] = ACTIONS(11414),
    [sym_continue_statement] = ACTIONS(11414),
    [anon_sym_return] = ACTIONS(11414),
    [anon_sym_const] = ACTIONS(11414),
    [anon_sym_global] = ACTIONS(11414),
    [anon_sym_local] = ACTIONS(11414),
    [anon_sym_LPAREN] = ACTIONS(11414),
    [anon_sym_COLON] = ACTIONS(11414),
    [anon_sym_export] = ACTIONS(11414),
    [anon_sym_public] = ACTIONS(11414),
    [anon_sym_import] = ACTIONS(11414),
    [anon_sym_using] = ACTIONS(11414),
    [anon_sym_LBRACK] = ACTIONS(11414),
    [anon_sym_in] = ACTIONS(11414),
    [anon_sym_SEMI] = ACTIONS(11414),
    [anon_sym_LBRACE] = ACTIONS(11414),
    [anon_sym_DOLLAR] = ACTIONS(11414),
    [anon_sym_COLON2] = ACTIONS(11414),
    [anon_sym_COLON_COLON] = ACTIONS(11414),
    [anon_sym_isa] = ACTIONS(11414),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11414),
    [anon_sym_QMARK] = ACTIONS(11414),
    [anon_sym_where] = ACTIONS(11414),
    [anon_sym_AT] = ACTIONS(11414),
    [anon_sym_true] = ACTIONS(11414),
    [anon_sym_false] = ACTIONS(11414),
    [aux_sym_integer_literal_token1] = ACTIONS(11414),
    [aux_sym_integer_literal_token2] = ACTIONS(11414),
    [aux_sym_integer_literal_token3] = ACTIONS(11414),
    [aux_sym_integer_literal_token4] = ACTIONS(11414),
    [aux_sym_float_literal_token1] = ACTIONS(11414),
    [aux_sym_float_literal_token3] = ACTIONS(11414),
    [aux_sym_float_literal_token4] = ACTIONS(11414),
    [sym_character_literal] = ACTIONS(11414),
    [anon_sym_DQUOTE] = ACTIONS(11414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11414),
    [anon_sym_BQUOTE] = ACTIONS(11414),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11414),
    [sym__pair_operator] = ACTIONS(11414),
    [sym__arrow_operator] = ACTIONS(11414),
    [sym__lazy_or_operator] = ACTIONS(11414),
    [sym__lazy_and_operator] = ACTIONS(11414),
    [sym__comparison_operator] = ACTIONS(11414),
    [sym__pipe_right_operator] = ACTIONS(11414),
    [sym__pipe_left_operator] = ACTIONS(11414),
    [sym__ellipsis_operator] = ACTIONS(11414),
    [sym__plus_operator] = ACTIONS(11414),
    [sym__times_operator] = ACTIONS(11414),
    [sym__rational_operator] = ACTIONS(11414),
    [sym__bitshift_operator] = ACTIONS(11414),
    [sym__power_operator] = ACTIONS(11414),
    [sym__tilde_operator] = ACTIONS(11414),
    [sym__type_order_operator] = ACTIONS(11414),
    [sym__unary_operator] = ACTIONS(11414),
    [sym__unary_plus_operator] = ACTIONS(11414),
    [aux_sym__terminator_token1] = ACTIONS(11416),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8551] = {
    [sym_block_comment] = STATE(8551),
    [sym_line_comment] = STATE(8551),
    [ts_builtin_sym_end] = ACTIONS(11384),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(11382),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_RBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(11382),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11382),
    [anon_sym_isa] = ACTIONS(11382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11382),
    [anon_sym_QMARK] = ACTIONS(11382),
    [anon_sym_where] = ACTIONS(11382),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(11382),
    [sym__arrow_operator] = ACTIONS(11382),
    [sym__lazy_or_operator] = ACTIONS(11382),
    [sym__lazy_and_operator] = ACTIONS(11382),
    [sym__comparison_operator] = ACTIONS(11382),
    [sym__pipe_right_operator] = ACTIONS(11382),
    [sym__pipe_left_operator] = ACTIONS(11382),
    [sym__ellipsis_operator] = ACTIONS(11382),
    [sym__plus_operator] = ACTIONS(11382),
    [sym__times_operator] = ACTIONS(11382),
    [sym__rational_operator] = ACTIONS(11382),
    [sym__bitshift_operator] = ACTIONS(11382),
    [sym__power_operator] = ACTIONS(11382),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(11382),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(11382),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8552] = {
    [sym_block_comment] = STATE(8552),
    [sym_line_comment] = STATE(8552),
    [sym__word_identifier] = ACTIONS(11418),
    [anon_sym_COMMA] = ACTIONS(11418),
    [anon_sym_EQ] = ACTIONS(11418),
    [anon_sym_begin] = ACTIONS(11418),
    [anon_sym_module] = ACTIONS(11418),
    [anon_sym_baremodule] = ACTIONS(11418),
    [anon_sym_end] = ACTIONS(11418),
    [anon_sym_abstract] = ACTIONS(11418),
    [anon_sym_primitive] = ACTIONS(11418),
    [anon_sym_mutable] = ACTIONS(11418),
    [anon_sym_struct] = ACTIONS(11418),
    [anon_sym_function] = ACTIONS(11418),
    [anon_sym_macro] = ACTIONS(11418),
    [anon_sym_quote] = ACTIONS(11418),
    [anon_sym_let] = ACTIONS(11418),
    [anon_sym_if] = ACTIONS(11418),
    [anon_sym_try] = ACTIONS(11418),
    [anon_sym_finally] = ACTIONS(11418),
    [anon_sym_for] = ACTIONS(11418),
    [anon_sym_while] = ACTIONS(11418),
    [sym_break_statement] = ACTIONS(11418),
    [sym_continue_statement] = ACTIONS(11418),
    [anon_sym_return] = ACTIONS(11418),
    [anon_sym_const] = ACTIONS(11418),
    [anon_sym_global] = ACTIONS(11418),
    [anon_sym_local] = ACTIONS(11418),
    [anon_sym_LPAREN] = ACTIONS(11418),
    [anon_sym_COLON] = ACTIONS(11418),
    [anon_sym_export] = ACTIONS(11418),
    [anon_sym_public] = ACTIONS(11418),
    [anon_sym_import] = ACTIONS(11418),
    [anon_sym_using] = ACTIONS(11418),
    [anon_sym_LBRACK] = ACTIONS(11418),
    [anon_sym_in] = ACTIONS(11418),
    [anon_sym_SEMI] = ACTIONS(11418),
    [anon_sym_LBRACE] = ACTIONS(11418),
    [anon_sym_DOLLAR] = ACTIONS(11418),
    [anon_sym_COLON2] = ACTIONS(11418),
    [anon_sym_COLON_COLON] = ACTIONS(11418),
    [anon_sym_isa] = ACTIONS(11418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11418),
    [anon_sym_QMARK] = ACTIONS(11418),
    [anon_sym_where] = ACTIONS(11418),
    [anon_sym_AT] = ACTIONS(11418),
    [anon_sym_true] = ACTIONS(11418),
    [anon_sym_false] = ACTIONS(11418),
    [aux_sym_integer_literal_token1] = ACTIONS(11418),
    [aux_sym_integer_literal_token2] = ACTIONS(11418),
    [aux_sym_integer_literal_token3] = ACTIONS(11418),
    [aux_sym_integer_literal_token4] = ACTIONS(11418),
    [aux_sym_float_literal_token1] = ACTIONS(11418),
    [aux_sym_float_literal_token3] = ACTIONS(11418),
    [aux_sym_float_literal_token4] = ACTIONS(11418),
    [sym_character_literal] = ACTIONS(11418),
    [anon_sym_DQUOTE] = ACTIONS(11418),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11418),
    [anon_sym_BQUOTE] = ACTIONS(11418),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11418),
    [sym__pair_operator] = ACTIONS(11418),
    [sym__arrow_operator] = ACTIONS(11418),
    [sym__lazy_or_operator] = ACTIONS(11418),
    [sym__lazy_and_operator] = ACTIONS(11418),
    [sym__comparison_operator] = ACTIONS(11418),
    [sym__pipe_right_operator] = ACTIONS(11418),
    [sym__pipe_left_operator] = ACTIONS(11418),
    [sym__ellipsis_operator] = ACTIONS(11418),
    [sym__plus_operator] = ACTIONS(11418),
    [sym__times_operator] = ACTIONS(11418),
    [sym__rational_operator] = ACTIONS(11418),
    [sym__bitshift_operator] = ACTIONS(11418),
    [sym__power_operator] = ACTIONS(11418),
    [sym__tilde_operator] = ACTIONS(11418),
    [sym__type_order_operator] = ACTIONS(11418),
    [sym__unary_operator] = ACTIONS(11418),
    [sym__unary_plus_operator] = ACTIONS(11418),
    [aux_sym__terminator_token1] = ACTIONS(11420),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8553] = {
    [sym_block_comment] = STATE(8553),
    [sym_line_comment] = STATE(8553),
    [sym__word_identifier] = ACTIONS(11422),
    [anon_sym_COMMA] = ACTIONS(11422),
    [anon_sym_EQ] = ACTIONS(11422),
    [anon_sym_begin] = ACTIONS(11422),
    [anon_sym_module] = ACTIONS(11422),
    [anon_sym_baremodule] = ACTIONS(11422),
    [anon_sym_end] = ACTIONS(11422),
    [anon_sym_abstract] = ACTIONS(11422),
    [anon_sym_primitive] = ACTIONS(11422),
    [anon_sym_mutable] = ACTIONS(11422),
    [anon_sym_struct] = ACTIONS(11422),
    [anon_sym_function] = ACTIONS(11422),
    [anon_sym_macro] = ACTIONS(11422),
    [anon_sym_quote] = ACTIONS(11422),
    [anon_sym_let] = ACTIONS(11422),
    [anon_sym_if] = ACTIONS(11422),
    [anon_sym_try] = ACTIONS(11422),
    [anon_sym_finally] = ACTIONS(11422),
    [anon_sym_for] = ACTIONS(11422),
    [anon_sym_while] = ACTIONS(11422),
    [sym_break_statement] = ACTIONS(11422),
    [sym_continue_statement] = ACTIONS(11422),
    [anon_sym_return] = ACTIONS(11422),
    [anon_sym_const] = ACTIONS(11422),
    [anon_sym_global] = ACTIONS(11422),
    [anon_sym_local] = ACTIONS(11422),
    [anon_sym_LPAREN] = ACTIONS(11422),
    [anon_sym_COLON] = ACTIONS(11422),
    [anon_sym_export] = ACTIONS(11422),
    [anon_sym_public] = ACTIONS(11422),
    [anon_sym_import] = ACTIONS(11422),
    [anon_sym_using] = ACTIONS(11422),
    [anon_sym_LBRACK] = ACTIONS(11422),
    [anon_sym_in] = ACTIONS(11422),
    [anon_sym_SEMI] = ACTIONS(11422),
    [anon_sym_LBRACE] = ACTIONS(11422),
    [anon_sym_DOLLAR] = ACTIONS(11422),
    [anon_sym_COLON2] = ACTIONS(11422),
    [anon_sym_COLON_COLON] = ACTIONS(11422),
    [anon_sym_isa] = ACTIONS(11422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11422),
    [anon_sym_QMARK] = ACTIONS(11422),
    [anon_sym_where] = ACTIONS(11422),
    [anon_sym_AT] = ACTIONS(11422),
    [anon_sym_true] = ACTIONS(11422),
    [anon_sym_false] = ACTIONS(11422),
    [aux_sym_integer_literal_token1] = ACTIONS(11422),
    [aux_sym_integer_literal_token2] = ACTIONS(11422),
    [aux_sym_integer_literal_token3] = ACTIONS(11422),
    [aux_sym_integer_literal_token4] = ACTIONS(11422),
    [aux_sym_float_literal_token1] = ACTIONS(11422),
    [aux_sym_float_literal_token3] = ACTIONS(11422),
    [aux_sym_float_literal_token4] = ACTIONS(11422),
    [sym_character_literal] = ACTIONS(11422),
    [anon_sym_DQUOTE] = ACTIONS(11422),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11422),
    [anon_sym_BQUOTE] = ACTIONS(11422),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11422),
    [sym__pair_operator] = ACTIONS(11422),
    [sym__arrow_operator] = ACTIONS(11422),
    [sym__lazy_or_operator] = ACTIONS(11422),
    [sym__lazy_and_operator] = ACTIONS(11422),
    [sym__comparison_operator] = ACTIONS(11422),
    [sym__pipe_right_operator] = ACTIONS(11422),
    [sym__pipe_left_operator] = ACTIONS(11422),
    [sym__ellipsis_operator] = ACTIONS(11422),
    [sym__plus_operator] = ACTIONS(11422),
    [sym__times_operator] = ACTIONS(11422),
    [sym__rational_operator] = ACTIONS(11422),
    [sym__bitshift_operator] = ACTIONS(11422),
    [sym__power_operator] = ACTIONS(11422),
    [sym__tilde_operator] = ACTIONS(11422),
    [sym__type_order_operator] = ACTIONS(11422),
    [sym__unary_operator] = ACTIONS(11422),
    [sym__unary_plus_operator] = ACTIONS(11422),
    [aux_sym__terminator_token1] = ACTIONS(11424),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8554] = {
    [sym_block_comment] = STATE(8554),
    [sym_line_comment] = STATE(8554),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8555] = {
    [sym_block_comment] = STATE(8555),
    [sym_line_comment] = STATE(8555),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12438),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8556] = {
    [sym_block_comment] = STATE(8556),
    [sym_line_comment] = STATE(8556),
    [sym__word_identifier] = ACTIONS(11426),
    [anon_sym_COMMA] = ACTIONS(11426),
    [anon_sym_EQ] = ACTIONS(11426),
    [anon_sym_begin] = ACTIONS(11426),
    [anon_sym_module] = ACTIONS(11426),
    [anon_sym_baremodule] = ACTIONS(11426),
    [anon_sym_end] = ACTIONS(11426),
    [anon_sym_abstract] = ACTIONS(11426),
    [anon_sym_primitive] = ACTIONS(11426),
    [anon_sym_mutable] = ACTIONS(11426),
    [anon_sym_struct] = ACTIONS(11426),
    [anon_sym_function] = ACTIONS(11426),
    [anon_sym_macro] = ACTIONS(11426),
    [anon_sym_quote] = ACTIONS(11426),
    [anon_sym_let] = ACTIONS(11426),
    [anon_sym_if] = ACTIONS(11426),
    [anon_sym_try] = ACTIONS(11426),
    [anon_sym_finally] = ACTIONS(11426),
    [anon_sym_for] = ACTIONS(11426),
    [anon_sym_while] = ACTIONS(11426),
    [sym_break_statement] = ACTIONS(11426),
    [sym_continue_statement] = ACTIONS(11426),
    [anon_sym_return] = ACTIONS(11426),
    [anon_sym_const] = ACTIONS(11426),
    [anon_sym_global] = ACTIONS(11426),
    [anon_sym_local] = ACTIONS(11426),
    [anon_sym_LPAREN] = ACTIONS(11426),
    [anon_sym_COLON] = ACTIONS(11426),
    [anon_sym_export] = ACTIONS(11426),
    [anon_sym_public] = ACTIONS(11426),
    [anon_sym_import] = ACTIONS(11426),
    [anon_sym_using] = ACTIONS(11426),
    [anon_sym_LBRACK] = ACTIONS(11426),
    [anon_sym_in] = ACTIONS(11426),
    [anon_sym_SEMI] = ACTIONS(11426),
    [anon_sym_LBRACE] = ACTIONS(11426),
    [anon_sym_DOLLAR] = ACTIONS(11426),
    [anon_sym_COLON2] = ACTIONS(11426),
    [anon_sym_COLON_COLON] = ACTIONS(11426),
    [anon_sym_isa] = ACTIONS(11426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11426),
    [anon_sym_QMARK] = ACTIONS(11426),
    [anon_sym_where] = ACTIONS(11426),
    [anon_sym_AT] = ACTIONS(11426),
    [anon_sym_true] = ACTIONS(11426),
    [anon_sym_false] = ACTIONS(11426),
    [aux_sym_integer_literal_token1] = ACTIONS(11426),
    [aux_sym_integer_literal_token2] = ACTIONS(11426),
    [aux_sym_integer_literal_token3] = ACTIONS(11426),
    [aux_sym_integer_literal_token4] = ACTIONS(11426),
    [aux_sym_float_literal_token1] = ACTIONS(11426),
    [aux_sym_float_literal_token3] = ACTIONS(11426),
    [aux_sym_float_literal_token4] = ACTIONS(11426),
    [sym_character_literal] = ACTIONS(11426),
    [anon_sym_DQUOTE] = ACTIONS(11426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11426),
    [anon_sym_BQUOTE] = ACTIONS(11426),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11426),
    [sym__pair_operator] = ACTIONS(11426),
    [sym__arrow_operator] = ACTIONS(11426),
    [sym__lazy_or_operator] = ACTIONS(11426),
    [sym__lazy_and_operator] = ACTIONS(11426),
    [sym__comparison_operator] = ACTIONS(11426),
    [sym__pipe_right_operator] = ACTIONS(11426),
    [sym__pipe_left_operator] = ACTIONS(11426),
    [sym__ellipsis_operator] = ACTIONS(11426),
    [sym__plus_operator] = ACTIONS(11426),
    [sym__times_operator] = ACTIONS(11426),
    [sym__rational_operator] = ACTIONS(11426),
    [sym__bitshift_operator] = ACTIONS(11426),
    [sym__power_operator] = ACTIONS(11426),
    [sym__tilde_operator] = ACTIONS(11426),
    [sym__type_order_operator] = ACTIONS(11426),
    [sym__unary_operator] = ACTIONS(11426),
    [sym__unary_plus_operator] = ACTIONS(11426),
    [aux_sym__terminator_token1] = ACTIONS(11428),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8557] = {
    [sym_block_comment] = STATE(8557),
    [sym_line_comment] = STATE(8557),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8558] = {
    [sym_block_comment] = STATE(8558),
    [sym_line_comment] = STATE(8558),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8559] = {
    [sym_block_comment] = STATE(8559),
    [sym_line_comment] = STATE(8559),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8560] = {
    [sym_block_comment] = STATE(8560),
    [sym_line_comment] = STATE(8560),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8561] = {
    [sym_block_comment] = STATE(8561),
    [sym_line_comment] = STATE(8561),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8562] = {
    [sym_block_comment] = STATE(8562),
    [sym_line_comment] = STATE(8562),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8563] = {
    [sym_block_comment] = STATE(8563),
    [sym_line_comment] = STATE(8563),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8564] = {
    [sym_block_comment] = STATE(8564),
    [sym_line_comment] = STATE(8564),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8565] = {
    [sym_block_comment] = STATE(8565),
    [sym_line_comment] = STATE(8565),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8566] = {
    [sym_block_comment] = STATE(8566),
    [sym_line_comment] = STATE(8566),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8567] = {
    [sym_block_comment] = STATE(8567),
    [sym_line_comment] = STATE(8567),
    [sym__word_identifier] = ACTIONS(11481),
    [anon_sym_COMMA] = ACTIONS(11481),
    [anon_sym_EQ] = ACTIONS(11481),
    [anon_sym_begin] = ACTIONS(11481),
    [anon_sym_module] = ACTIONS(11481),
    [anon_sym_baremodule] = ACTIONS(11481),
    [anon_sym_end] = ACTIONS(11481),
    [anon_sym_abstract] = ACTIONS(11481),
    [anon_sym_primitive] = ACTIONS(11481),
    [anon_sym_mutable] = ACTIONS(11481),
    [anon_sym_struct] = ACTIONS(11481),
    [anon_sym_function] = ACTIONS(11481),
    [anon_sym_macro] = ACTIONS(11481),
    [anon_sym_quote] = ACTIONS(11481),
    [anon_sym_let] = ACTIONS(11481),
    [anon_sym_if] = ACTIONS(11481),
    [anon_sym_try] = ACTIONS(11481),
    [anon_sym_finally] = ACTIONS(11481),
    [anon_sym_for] = ACTIONS(11481),
    [anon_sym_while] = ACTIONS(11481),
    [sym_break_statement] = ACTIONS(11481),
    [sym_continue_statement] = ACTIONS(11481),
    [anon_sym_return] = ACTIONS(11481),
    [anon_sym_const] = ACTIONS(11481),
    [anon_sym_global] = ACTIONS(11481),
    [anon_sym_local] = ACTIONS(11481),
    [anon_sym_LPAREN] = ACTIONS(11481),
    [anon_sym_COLON] = ACTIONS(11481),
    [anon_sym_export] = ACTIONS(11481),
    [anon_sym_public] = ACTIONS(11481),
    [anon_sym_import] = ACTIONS(11481),
    [anon_sym_using] = ACTIONS(11481),
    [anon_sym_LBRACK] = ACTIONS(11481),
    [anon_sym_in] = ACTIONS(11481),
    [anon_sym_SEMI] = ACTIONS(11481),
    [anon_sym_LBRACE] = ACTIONS(11481),
    [anon_sym_DOLLAR] = ACTIONS(11481),
    [anon_sym_COLON2] = ACTIONS(11481),
    [anon_sym_COLON_COLON] = ACTIONS(11481),
    [anon_sym_isa] = ACTIONS(11481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11481),
    [anon_sym_QMARK] = ACTIONS(11481),
    [anon_sym_where] = ACTIONS(11481),
    [anon_sym_AT] = ACTIONS(11481),
    [anon_sym_true] = ACTIONS(11481),
    [anon_sym_false] = ACTIONS(11481),
    [aux_sym_integer_literal_token1] = ACTIONS(11481),
    [aux_sym_integer_literal_token2] = ACTIONS(11481),
    [aux_sym_integer_literal_token3] = ACTIONS(11481),
    [aux_sym_integer_literal_token4] = ACTIONS(11481),
    [aux_sym_float_literal_token1] = ACTIONS(11481),
    [aux_sym_float_literal_token3] = ACTIONS(11481),
    [aux_sym_float_literal_token4] = ACTIONS(11481),
    [sym_character_literal] = ACTIONS(11481),
    [anon_sym_DQUOTE] = ACTIONS(11481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11481),
    [anon_sym_BQUOTE] = ACTIONS(11481),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11481),
    [sym__pair_operator] = ACTIONS(11481),
    [sym__arrow_operator] = ACTIONS(11481),
    [sym__lazy_or_operator] = ACTIONS(11481),
    [sym__lazy_and_operator] = ACTIONS(11481),
    [sym__comparison_operator] = ACTIONS(11481),
    [sym__pipe_right_operator] = ACTIONS(11481),
    [sym__pipe_left_operator] = ACTIONS(11481),
    [sym__ellipsis_operator] = ACTIONS(11481),
    [sym__plus_operator] = ACTIONS(11481),
    [sym__times_operator] = ACTIONS(11481),
    [sym__rational_operator] = ACTIONS(11481),
    [sym__bitshift_operator] = ACTIONS(11481),
    [sym__power_operator] = ACTIONS(11481),
    [sym__tilde_operator] = ACTIONS(11481),
    [sym__type_order_operator] = ACTIONS(11481),
    [sym__unary_operator] = ACTIONS(11481),
    [sym__unary_plus_operator] = ACTIONS(11481),
    [aux_sym__terminator_token1] = ACTIONS(11483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8568] = {
    [sym_block_comment] = STATE(8568),
    [sym_line_comment] = STATE(8568),
    [ts_builtin_sym_end] = ACTIONS(11388),
    [sym__word_identifier] = ACTIONS(11386),
    [anon_sym_COMMA] = ACTIONS(11386),
    [anon_sym_EQ] = ACTIONS(11386),
    [anon_sym_begin] = ACTIONS(11386),
    [anon_sym_module] = ACTIONS(11386),
    [anon_sym_baremodule] = ACTIONS(11386),
    [anon_sym_abstract] = ACTIONS(11386),
    [anon_sym_primitive] = ACTIONS(11386),
    [anon_sym_mutable] = ACTIONS(11386),
    [anon_sym_struct] = ACTIONS(11386),
    [anon_sym_function] = ACTIONS(11386),
    [anon_sym_macro] = ACTIONS(11386),
    [anon_sym_quote] = ACTIONS(11386),
    [anon_sym_let] = ACTIONS(11386),
    [anon_sym_if] = ACTIONS(11386),
    [anon_sym_try] = ACTIONS(11386),
    [anon_sym_for] = ACTIONS(11386),
    [anon_sym_while] = ACTIONS(11386),
    [sym_break_statement] = ACTIONS(11386),
    [sym_continue_statement] = ACTIONS(11386),
    [anon_sym_return] = ACTIONS(11386),
    [anon_sym_const] = ACTIONS(11386),
    [anon_sym_global] = ACTIONS(11386),
    [anon_sym_local] = ACTIONS(11386),
    [anon_sym_LPAREN] = ACTIONS(11386),
    [anon_sym_COLON] = ACTIONS(11386),
    [anon_sym_export] = ACTIONS(11386),
    [anon_sym_public] = ACTIONS(11386),
    [anon_sym_import] = ACTIONS(11386),
    [anon_sym_using] = ACTIONS(11386),
    [anon_sym_LBRACK] = ACTIONS(11386),
    [anon_sym_RBRACK] = ACTIONS(11386),
    [anon_sym_in] = ACTIONS(11386),
    [anon_sym_SEMI] = ACTIONS(11386),
    [anon_sym_LBRACE] = ACTIONS(11386),
    [anon_sym_DOLLAR] = ACTIONS(11386),
    [anon_sym_COLON2] = ACTIONS(11386),
    [anon_sym_COLON_COLON] = ACTIONS(11386),
    [anon_sym_isa] = ACTIONS(11386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11386),
    [anon_sym_QMARK] = ACTIONS(11386),
    [anon_sym_where] = ACTIONS(11386),
    [anon_sym_AT] = ACTIONS(11386),
    [anon_sym_true] = ACTIONS(11386),
    [anon_sym_false] = ACTIONS(11386),
    [aux_sym_integer_literal_token1] = ACTIONS(11386),
    [aux_sym_integer_literal_token2] = ACTIONS(11386),
    [aux_sym_integer_literal_token3] = ACTIONS(11386),
    [aux_sym_integer_literal_token4] = ACTIONS(11386),
    [aux_sym_float_literal_token1] = ACTIONS(11386),
    [aux_sym_float_literal_token3] = ACTIONS(11386),
    [aux_sym_float_literal_token4] = ACTIONS(11386),
    [sym_character_literal] = ACTIONS(11386),
    [anon_sym_DQUOTE] = ACTIONS(11386),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11386),
    [anon_sym_BQUOTE] = ACTIONS(11386),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11386),
    [sym__pair_operator] = ACTIONS(11386),
    [sym__arrow_operator] = ACTIONS(11386),
    [sym__lazy_or_operator] = ACTIONS(11386),
    [sym__lazy_and_operator] = ACTIONS(11386),
    [sym__comparison_operator] = ACTIONS(11386),
    [sym__pipe_right_operator] = ACTIONS(11386),
    [sym__pipe_left_operator] = ACTIONS(11386),
    [sym__ellipsis_operator] = ACTIONS(11386),
    [sym__plus_operator] = ACTIONS(11386),
    [sym__times_operator] = ACTIONS(11386),
    [sym__rational_operator] = ACTIONS(11386),
    [sym__bitshift_operator] = ACTIONS(11386),
    [sym__power_operator] = ACTIONS(11386),
    [sym__tilde_operator] = ACTIONS(11386),
    [sym__type_order_operator] = ACTIONS(11386),
    [sym__unary_operator] = ACTIONS(11386),
    [sym__unary_plus_operator] = ACTIONS(11386),
    [aux_sym__terminator_token1] = ACTIONS(11388),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8569] = {
    [sym_block_comment] = STATE(8569),
    [sym_line_comment] = STATE(8569),
    [ts_builtin_sym_end] = ACTIONS(11392),
    [sym__word_identifier] = ACTIONS(11390),
    [anon_sym_COMMA] = ACTIONS(11390),
    [anon_sym_EQ] = ACTIONS(11390),
    [anon_sym_begin] = ACTIONS(11390),
    [anon_sym_module] = ACTIONS(11390),
    [anon_sym_baremodule] = ACTIONS(11390),
    [anon_sym_abstract] = ACTIONS(11390),
    [anon_sym_primitive] = ACTIONS(11390),
    [anon_sym_mutable] = ACTIONS(11390),
    [anon_sym_struct] = ACTIONS(11390),
    [anon_sym_function] = ACTIONS(11390),
    [anon_sym_macro] = ACTIONS(11390),
    [anon_sym_quote] = ACTIONS(11390),
    [anon_sym_let] = ACTIONS(11390),
    [anon_sym_if] = ACTIONS(11390),
    [anon_sym_try] = ACTIONS(11390),
    [anon_sym_for] = ACTIONS(11390),
    [anon_sym_while] = ACTIONS(11390),
    [sym_break_statement] = ACTIONS(11390),
    [sym_continue_statement] = ACTIONS(11390),
    [anon_sym_return] = ACTIONS(11390),
    [anon_sym_const] = ACTIONS(11390),
    [anon_sym_global] = ACTIONS(11390),
    [anon_sym_local] = ACTIONS(11390),
    [anon_sym_LPAREN] = ACTIONS(11390),
    [anon_sym_COLON] = ACTIONS(11390),
    [anon_sym_export] = ACTIONS(11390),
    [anon_sym_public] = ACTIONS(11390),
    [anon_sym_import] = ACTIONS(11390),
    [anon_sym_using] = ACTIONS(11390),
    [anon_sym_LBRACK] = ACTIONS(11390),
    [anon_sym_RBRACK] = ACTIONS(11390),
    [anon_sym_in] = ACTIONS(11390),
    [anon_sym_SEMI] = ACTIONS(11390),
    [anon_sym_LBRACE] = ACTIONS(11390),
    [anon_sym_DOLLAR] = ACTIONS(11390),
    [anon_sym_COLON2] = ACTIONS(11390),
    [anon_sym_COLON_COLON] = ACTIONS(11390),
    [anon_sym_isa] = ACTIONS(11390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11390),
    [anon_sym_QMARK] = ACTIONS(11390),
    [anon_sym_where] = ACTIONS(11390),
    [anon_sym_AT] = ACTIONS(11390),
    [anon_sym_true] = ACTIONS(11390),
    [anon_sym_false] = ACTIONS(11390),
    [aux_sym_integer_literal_token1] = ACTIONS(11390),
    [aux_sym_integer_literal_token2] = ACTIONS(11390),
    [aux_sym_integer_literal_token3] = ACTIONS(11390),
    [aux_sym_integer_literal_token4] = ACTIONS(11390),
    [aux_sym_float_literal_token1] = ACTIONS(11390),
    [aux_sym_float_literal_token3] = ACTIONS(11390),
    [aux_sym_float_literal_token4] = ACTIONS(11390),
    [sym_character_literal] = ACTIONS(11390),
    [anon_sym_DQUOTE] = ACTIONS(11390),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11390),
    [anon_sym_BQUOTE] = ACTIONS(11390),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11390),
    [sym__pair_operator] = ACTIONS(11390),
    [sym__arrow_operator] = ACTIONS(11390),
    [sym__lazy_or_operator] = ACTIONS(11390),
    [sym__lazy_and_operator] = ACTIONS(11390),
    [sym__comparison_operator] = ACTIONS(11390),
    [sym__pipe_right_operator] = ACTIONS(11390),
    [sym__pipe_left_operator] = ACTIONS(11390),
    [sym__ellipsis_operator] = ACTIONS(11390),
    [sym__plus_operator] = ACTIONS(11390),
    [sym__times_operator] = ACTIONS(11390),
    [sym__rational_operator] = ACTIONS(11390),
    [sym__bitshift_operator] = ACTIONS(11390),
    [sym__power_operator] = ACTIONS(11390),
    [sym__tilde_operator] = ACTIONS(11390),
    [sym__type_order_operator] = ACTIONS(11390),
    [sym__unary_operator] = ACTIONS(11390),
    [sym__unary_plus_operator] = ACTIONS(11390),
    [aux_sym__terminator_token1] = ACTIONS(11392),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8570] = {
    [sym_block_comment] = STATE(8570),
    [sym_line_comment] = STATE(8570),
    [ts_builtin_sym_end] = ACTIONS(11396),
    [sym__word_identifier] = ACTIONS(11394),
    [anon_sym_COMMA] = ACTIONS(11394),
    [anon_sym_EQ] = ACTIONS(11394),
    [anon_sym_begin] = ACTIONS(11394),
    [anon_sym_module] = ACTIONS(11394),
    [anon_sym_baremodule] = ACTIONS(11394),
    [anon_sym_abstract] = ACTIONS(11394),
    [anon_sym_primitive] = ACTIONS(11394),
    [anon_sym_mutable] = ACTIONS(11394),
    [anon_sym_struct] = ACTIONS(11394),
    [anon_sym_function] = ACTIONS(11394),
    [anon_sym_macro] = ACTIONS(11394),
    [anon_sym_quote] = ACTIONS(11394),
    [anon_sym_let] = ACTIONS(11394),
    [anon_sym_if] = ACTIONS(11394),
    [anon_sym_try] = ACTIONS(11394),
    [anon_sym_for] = ACTIONS(11394),
    [anon_sym_while] = ACTIONS(11394),
    [sym_break_statement] = ACTIONS(11394),
    [sym_continue_statement] = ACTIONS(11394),
    [anon_sym_return] = ACTIONS(11394),
    [anon_sym_const] = ACTIONS(11394),
    [anon_sym_global] = ACTIONS(11394),
    [anon_sym_local] = ACTIONS(11394),
    [anon_sym_LPAREN] = ACTIONS(11394),
    [anon_sym_COLON] = ACTIONS(11394),
    [anon_sym_export] = ACTIONS(11394),
    [anon_sym_public] = ACTIONS(11394),
    [anon_sym_import] = ACTIONS(11394),
    [anon_sym_using] = ACTIONS(11394),
    [anon_sym_LBRACK] = ACTIONS(11394),
    [anon_sym_RBRACK] = ACTIONS(11394),
    [anon_sym_in] = ACTIONS(11394),
    [anon_sym_SEMI] = ACTIONS(11394),
    [anon_sym_LBRACE] = ACTIONS(11394),
    [anon_sym_DOLLAR] = ACTIONS(11394),
    [anon_sym_COLON2] = ACTIONS(11394),
    [anon_sym_COLON_COLON] = ACTIONS(11394),
    [anon_sym_isa] = ACTIONS(11394),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11394),
    [anon_sym_QMARK] = ACTIONS(11394),
    [anon_sym_where] = ACTIONS(11394),
    [anon_sym_AT] = ACTIONS(11394),
    [anon_sym_true] = ACTIONS(11394),
    [anon_sym_false] = ACTIONS(11394),
    [aux_sym_integer_literal_token1] = ACTIONS(11394),
    [aux_sym_integer_literal_token2] = ACTIONS(11394),
    [aux_sym_integer_literal_token3] = ACTIONS(11394),
    [aux_sym_integer_literal_token4] = ACTIONS(11394),
    [aux_sym_float_literal_token1] = ACTIONS(11394),
    [aux_sym_float_literal_token3] = ACTIONS(11394),
    [aux_sym_float_literal_token4] = ACTIONS(11394),
    [sym_character_literal] = ACTIONS(11394),
    [anon_sym_DQUOTE] = ACTIONS(11394),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11394),
    [anon_sym_BQUOTE] = ACTIONS(11394),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11394),
    [sym__pair_operator] = ACTIONS(11394),
    [sym__arrow_operator] = ACTIONS(11394),
    [sym__lazy_or_operator] = ACTIONS(11394),
    [sym__lazy_and_operator] = ACTIONS(11394),
    [sym__comparison_operator] = ACTIONS(11394),
    [sym__pipe_right_operator] = ACTIONS(11394),
    [sym__pipe_left_operator] = ACTIONS(11394),
    [sym__ellipsis_operator] = ACTIONS(11394),
    [sym__plus_operator] = ACTIONS(11394),
    [sym__times_operator] = ACTIONS(11394),
    [sym__rational_operator] = ACTIONS(11394),
    [sym__bitshift_operator] = ACTIONS(11394),
    [sym__power_operator] = ACTIONS(11394),
    [sym__tilde_operator] = ACTIONS(11394),
    [sym__type_order_operator] = ACTIONS(11394),
    [sym__unary_operator] = ACTIONS(11394),
    [sym__unary_plus_operator] = ACTIONS(11394),
    [aux_sym__terminator_token1] = ACTIONS(11396),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8571] = {
    [sym_block_comment] = STATE(8571),
    [sym_line_comment] = STATE(8571),
    [ts_builtin_sym_end] = ACTIONS(11400),
    [sym__word_identifier] = ACTIONS(11398),
    [anon_sym_COMMA] = ACTIONS(11398),
    [anon_sym_EQ] = ACTIONS(11398),
    [anon_sym_begin] = ACTIONS(11398),
    [anon_sym_module] = ACTIONS(11398),
    [anon_sym_baremodule] = ACTIONS(11398),
    [anon_sym_abstract] = ACTIONS(11398),
    [anon_sym_primitive] = ACTIONS(11398),
    [anon_sym_mutable] = ACTIONS(11398),
    [anon_sym_struct] = ACTIONS(11398),
    [anon_sym_function] = ACTIONS(11398),
    [anon_sym_macro] = ACTIONS(11398),
    [anon_sym_quote] = ACTIONS(11398),
    [anon_sym_let] = ACTIONS(11398),
    [anon_sym_if] = ACTIONS(11398),
    [anon_sym_try] = ACTIONS(11398),
    [anon_sym_for] = ACTIONS(11398),
    [anon_sym_while] = ACTIONS(11398),
    [sym_break_statement] = ACTIONS(11398),
    [sym_continue_statement] = ACTIONS(11398),
    [anon_sym_return] = ACTIONS(11398),
    [anon_sym_const] = ACTIONS(11398),
    [anon_sym_global] = ACTIONS(11398),
    [anon_sym_local] = ACTIONS(11398),
    [anon_sym_LPAREN] = ACTIONS(11398),
    [anon_sym_COLON] = ACTIONS(11398),
    [anon_sym_export] = ACTIONS(11398),
    [anon_sym_public] = ACTIONS(11398),
    [anon_sym_import] = ACTIONS(11398),
    [anon_sym_using] = ACTIONS(11398),
    [anon_sym_LBRACK] = ACTIONS(11398),
    [anon_sym_RBRACK] = ACTIONS(11398),
    [anon_sym_in] = ACTIONS(11398),
    [anon_sym_SEMI] = ACTIONS(11398),
    [anon_sym_LBRACE] = ACTIONS(11398),
    [anon_sym_DOLLAR] = ACTIONS(11398),
    [anon_sym_COLON2] = ACTIONS(11398),
    [anon_sym_COLON_COLON] = ACTIONS(11398),
    [anon_sym_isa] = ACTIONS(11398),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11398),
    [anon_sym_QMARK] = ACTIONS(11398),
    [anon_sym_where] = ACTIONS(11398),
    [anon_sym_AT] = ACTIONS(11398),
    [anon_sym_true] = ACTIONS(11398),
    [anon_sym_false] = ACTIONS(11398),
    [aux_sym_integer_literal_token1] = ACTIONS(11398),
    [aux_sym_integer_literal_token2] = ACTIONS(11398),
    [aux_sym_integer_literal_token3] = ACTIONS(11398),
    [aux_sym_integer_literal_token4] = ACTIONS(11398),
    [aux_sym_float_literal_token1] = ACTIONS(11398),
    [aux_sym_float_literal_token3] = ACTIONS(11398),
    [aux_sym_float_literal_token4] = ACTIONS(11398),
    [sym_character_literal] = ACTIONS(11398),
    [anon_sym_DQUOTE] = ACTIONS(11398),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11398),
    [anon_sym_BQUOTE] = ACTIONS(11398),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11398),
    [sym__pair_operator] = ACTIONS(11398),
    [sym__arrow_operator] = ACTIONS(11398),
    [sym__lazy_or_operator] = ACTIONS(11398),
    [sym__lazy_and_operator] = ACTIONS(11398),
    [sym__comparison_operator] = ACTIONS(11398),
    [sym__pipe_right_operator] = ACTIONS(11398),
    [sym__pipe_left_operator] = ACTIONS(11398),
    [sym__ellipsis_operator] = ACTIONS(11398),
    [sym__plus_operator] = ACTIONS(11398),
    [sym__times_operator] = ACTIONS(11398),
    [sym__rational_operator] = ACTIONS(11398),
    [sym__bitshift_operator] = ACTIONS(11398),
    [sym__power_operator] = ACTIONS(11398),
    [sym__tilde_operator] = ACTIONS(11398),
    [sym__type_order_operator] = ACTIONS(11398),
    [sym__unary_operator] = ACTIONS(11398),
    [sym__unary_plus_operator] = ACTIONS(11398),
    [aux_sym__terminator_token1] = ACTIONS(11400),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8572] = {
    [sym_block_comment] = STATE(8572),
    [sym_line_comment] = STATE(8572),
    [ts_builtin_sym_end] = ACTIONS(11404),
    [sym__word_identifier] = ACTIONS(11402),
    [anon_sym_COMMA] = ACTIONS(11402),
    [anon_sym_EQ] = ACTIONS(11402),
    [anon_sym_begin] = ACTIONS(11402),
    [anon_sym_module] = ACTIONS(11402),
    [anon_sym_baremodule] = ACTIONS(11402),
    [anon_sym_abstract] = ACTIONS(11402),
    [anon_sym_primitive] = ACTIONS(11402),
    [anon_sym_mutable] = ACTIONS(11402),
    [anon_sym_struct] = ACTIONS(11402),
    [anon_sym_function] = ACTIONS(11402),
    [anon_sym_macro] = ACTIONS(11402),
    [anon_sym_quote] = ACTIONS(11402),
    [anon_sym_let] = ACTIONS(11402),
    [anon_sym_if] = ACTIONS(11402),
    [anon_sym_try] = ACTIONS(11402),
    [anon_sym_for] = ACTIONS(11402),
    [anon_sym_while] = ACTIONS(11402),
    [sym_break_statement] = ACTIONS(11402),
    [sym_continue_statement] = ACTIONS(11402),
    [anon_sym_return] = ACTIONS(11402),
    [anon_sym_const] = ACTIONS(11402),
    [anon_sym_global] = ACTIONS(11402),
    [anon_sym_local] = ACTIONS(11402),
    [anon_sym_LPAREN] = ACTIONS(11402),
    [anon_sym_COLON] = ACTIONS(11402),
    [anon_sym_export] = ACTIONS(11402),
    [anon_sym_public] = ACTIONS(11402),
    [anon_sym_import] = ACTIONS(11402),
    [anon_sym_using] = ACTIONS(11402),
    [anon_sym_LBRACK] = ACTIONS(11402),
    [anon_sym_RBRACK] = ACTIONS(11402),
    [anon_sym_in] = ACTIONS(11402),
    [anon_sym_SEMI] = ACTIONS(11402),
    [anon_sym_LBRACE] = ACTIONS(11402),
    [anon_sym_DOLLAR] = ACTIONS(11402),
    [anon_sym_COLON2] = ACTIONS(11402),
    [anon_sym_COLON_COLON] = ACTIONS(11402),
    [anon_sym_isa] = ACTIONS(11402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11402),
    [anon_sym_QMARK] = ACTIONS(11402),
    [anon_sym_where] = ACTIONS(11402),
    [anon_sym_AT] = ACTIONS(11402),
    [anon_sym_true] = ACTIONS(11402),
    [anon_sym_false] = ACTIONS(11402),
    [aux_sym_integer_literal_token1] = ACTIONS(11402),
    [aux_sym_integer_literal_token2] = ACTIONS(11402),
    [aux_sym_integer_literal_token3] = ACTIONS(11402),
    [aux_sym_integer_literal_token4] = ACTIONS(11402),
    [aux_sym_float_literal_token1] = ACTIONS(11402),
    [aux_sym_float_literal_token3] = ACTIONS(11402),
    [aux_sym_float_literal_token4] = ACTIONS(11402),
    [sym_character_literal] = ACTIONS(11402),
    [anon_sym_DQUOTE] = ACTIONS(11402),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11402),
    [anon_sym_BQUOTE] = ACTIONS(11402),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11402),
    [sym__pair_operator] = ACTIONS(11402),
    [sym__arrow_operator] = ACTIONS(11402),
    [sym__lazy_or_operator] = ACTIONS(11402),
    [sym__lazy_and_operator] = ACTIONS(11402),
    [sym__comparison_operator] = ACTIONS(11402),
    [sym__pipe_right_operator] = ACTIONS(11402),
    [sym__pipe_left_operator] = ACTIONS(11402),
    [sym__ellipsis_operator] = ACTIONS(11402),
    [sym__plus_operator] = ACTIONS(11402),
    [sym__times_operator] = ACTIONS(11402),
    [sym__rational_operator] = ACTIONS(11402),
    [sym__bitshift_operator] = ACTIONS(11402),
    [sym__power_operator] = ACTIONS(11402),
    [sym__tilde_operator] = ACTIONS(11402),
    [sym__type_order_operator] = ACTIONS(11402),
    [sym__unary_operator] = ACTIONS(11402),
    [sym__unary_plus_operator] = ACTIONS(11402),
    [aux_sym__terminator_token1] = ACTIONS(11404),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8573] = {
    [sym_block_comment] = STATE(8573),
    [sym_line_comment] = STATE(8573),
    [ts_builtin_sym_end] = ACTIONS(11408),
    [sym__word_identifier] = ACTIONS(11406),
    [anon_sym_COMMA] = ACTIONS(11406),
    [anon_sym_EQ] = ACTIONS(11406),
    [anon_sym_begin] = ACTIONS(11406),
    [anon_sym_module] = ACTIONS(11406),
    [anon_sym_baremodule] = ACTIONS(11406),
    [anon_sym_abstract] = ACTIONS(11406),
    [anon_sym_primitive] = ACTIONS(11406),
    [anon_sym_mutable] = ACTIONS(11406),
    [anon_sym_struct] = ACTIONS(11406),
    [anon_sym_function] = ACTIONS(11406),
    [anon_sym_macro] = ACTIONS(11406),
    [anon_sym_quote] = ACTIONS(11406),
    [anon_sym_let] = ACTIONS(11406),
    [anon_sym_if] = ACTIONS(11406),
    [anon_sym_try] = ACTIONS(11406),
    [anon_sym_for] = ACTIONS(11406),
    [anon_sym_while] = ACTIONS(11406),
    [sym_break_statement] = ACTIONS(11406),
    [sym_continue_statement] = ACTIONS(11406),
    [anon_sym_return] = ACTIONS(11406),
    [anon_sym_const] = ACTIONS(11406),
    [anon_sym_global] = ACTIONS(11406),
    [anon_sym_local] = ACTIONS(11406),
    [anon_sym_LPAREN] = ACTIONS(11406),
    [anon_sym_COLON] = ACTIONS(11406),
    [anon_sym_export] = ACTIONS(11406),
    [anon_sym_public] = ACTIONS(11406),
    [anon_sym_import] = ACTIONS(11406),
    [anon_sym_using] = ACTIONS(11406),
    [anon_sym_LBRACK] = ACTIONS(11406),
    [anon_sym_RBRACK] = ACTIONS(11406),
    [anon_sym_in] = ACTIONS(11406),
    [anon_sym_SEMI] = ACTIONS(11406),
    [anon_sym_LBRACE] = ACTIONS(11406),
    [anon_sym_DOLLAR] = ACTIONS(11406),
    [anon_sym_COLON2] = ACTIONS(11406),
    [anon_sym_COLON_COLON] = ACTIONS(11406),
    [anon_sym_isa] = ACTIONS(11406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11406),
    [anon_sym_QMARK] = ACTIONS(11406),
    [anon_sym_where] = ACTIONS(11406),
    [anon_sym_AT] = ACTIONS(11406),
    [anon_sym_true] = ACTIONS(11406),
    [anon_sym_false] = ACTIONS(11406),
    [aux_sym_integer_literal_token1] = ACTIONS(11406),
    [aux_sym_integer_literal_token2] = ACTIONS(11406),
    [aux_sym_integer_literal_token3] = ACTIONS(11406),
    [aux_sym_integer_literal_token4] = ACTIONS(11406),
    [aux_sym_float_literal_token1] = ACTIONS(11406),
    [aux_sym_float_literal_token3] = ACTIONS(11406),
    [aux_sym_float_literal_token4] = ACTIONS(11406),
    [sym_character_literal] = ACTIONS(11406),
    [anon_sym_DQUOTE] = ACTIONS(11406),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11406),
    [anon_sym_BQUOTE] = ACTIONS(11406),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11406),
    [sym__pair_operator] = ACTIONS(11406),
    [sym__arrow_operator] = ACTIONS(11406),
    [sym__lazy_or_operator] = ACTIONS(11406),
    [sym__lazy_and_operator] = ACTIONS(11406),
    [sym__comparison_operator] = ACTIONS(11406),
    [sym__pipe_right_operator] = ACTIONS(11406),
    [sym__pipe_left_operator] = ACTIONS(11406),
    [sym__ellipsis_operator] = ACTIONS(11406),
    [sym__plus_operator] = ACTIONS(11406),
    [sym__times_operator] = ACTIONS(11406),
    [sym__rational_operator] = ACTIONS(11406),
    [sym__bitshift_operator] = ACTIONS(11406),
    [sym__power_operator] = ACTIONS(11406),
    [sym__tilde_operator] = ACTIONS(11406),
    [sym__type_order_operator] = ACTIONS(11406),
    [sym__unary_operator] = ACTIONS(11406),
    [sym__unary_plus_operator] = ACTIONS(11406),
    [aux_sym__terminator_token1] = ACTIONS(11408),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8574] = {
    [sym_block_comment] = STATE(8574),
    [sym_line_comment] = STATE(8574),
    [sym__word_identifier] = ACTIONS(11485),
    [anon_sym_COMMA] = ACTIONS(11485),
    [anon_sym_EQ] = ACTIONS(11485),
    [anon_sym_begin] = ACTIONS(11485),
    [anon_sym_module] = ACTIONS(11485),
    [anon_sym_baremodule] = ACTIONS(11485),
    [anon_sym_end] = ACTIONS(11485),
    [anon_sym_abstract] = ACTIONS(11485),
    [anon_sym_primitive] = ACTIONS(11485),
    [anon_sym_mutable] = ACTIONS(11485),
    [anon_sym_struct] = ACTIONS(11485),
    [anon_sym_function] = ACTIONS(11485),
    [anon_sym_macro] = ACTIONS(11485),
    [anon_sym_quote] = ACTIONS(11485),
    [anon_sym_let] = ACTIONS(11485),
    [anon_sym_if] = ACTIONS(11485),
    [anon_sym_try] = ACTIONS(11485),
    [anon_sym_finally] = ACTIONS(11485),
    [anon_sym_for] = ACTIONS(11485),
    [anon_sym_while] = ACTIONS(11485),
    [sym_break_statement] = ACTIONS(11485),
    [sym_continue_statement] = ACTIONS(11485),
    [anon_sym_return] = ACTIONS(11485),
    [anon_sym_const] = ACTIONS(11485),
    [anon_sym_global] = ACTIONS(11485),
    [anon_sym_local] = ACTIONS(11485),
    [anon_sym_LPAREN] = ACTIONS(11485),
    [anon_sym_COLON] = ACTIONS(11485),
    [anon_sym_export] = ACTIONS(11485),
    [anon_sym_public] = ACTIONS(11485),
    [anon_sym_import] = ACTIONS(11485),
    [anon_sym_using] = ACTIONS(11485),
    [anon_sym_LBRACK] = ACTIONS(11485),
    [anon_sym_in] = ACTIONS(11485),
    [anon_sym_SEMI] = ACTIONS(11485),
    [anon_sym_LBRACE] = ACTIONS(11485),
    [anon_sym_DOLLAR] = ACTIONS(11485),
    [anon_sym_COLON2] = ACTIONS(11485),
    [anon_sym_COLON_COLON] = ACTIONS(11485),
    [anon_sym_isa] = ACTIONS(11485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11485),
    [anon_sym_QMARK] = ACTIONS(11485),
    [anon_sym_where] = ACTIONS(11485),
    [anon_sym_AT] = ACTIONS(11485),
    [anon_sym_true] = ACTIONS(11485),
    [anon_sym_false] = ACTIONS(11485),
    [aux_sym_integer_literal_token1] = ACTIONS(11485),
    [aux_sym_integer_literal_token2] = ACTIONS(11485),
    [aux_sym_integer_literal_token3] = ACTIONS(11485),
    [aux_sym_integer_literal_token4] = ACTIONS(11485),
    [aux_sym_float_literal_token1] = ACTIONS(11485),
    [aux_sym_float_literal_token3] = ACTIONS(11485),
    [aux_sym_float_literal_token4] = ACTIONS(11485),
    [sym_character_literal] = ACTIONS(11485),
    [anon_sym_DQUOTE] = ACTIONS(11485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11485),
    [anon_sym_BQUOTE] = ACTIONS(11485),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11485),
    [sym__pair_operator] = ACTIONS(11485),
    [sym__arrow_operator] = ACTIONS(11485),
    [sym__lazy_or_operator] = ACTIONS(11485),
    [sym__lazy_and_operator] = ACTIONS(11485),
    [sym__comparison_operator] = ACTIONS(11485),
    [sym__pipe_right_operator] = ACTIONS(11485),
    [sym__pipe_left_operator] = ACTIONS(11485),
    [sym__ellipsis_operator] = ACTIONS(11485),
    [sym__plus_operator] = ACTIONS(11485),
    [sym__times_operator] = ACTIONS(11485),
    [sym__rational_operator] = ACTIONS(11485),
    [sym__bitshift_operator] = ACTIONS(11485),
    [sym__power_operator] = ACTIONS(11485),
    [sym__tilde_operator] = ACTIONS(11485),
    [sym__type_order_operator] = ACTIONS(11485),
    [sym__unary_operator] = ACTIONS(11485),
    [sym__unary_plus_operator] = ACTIONS(11485),
    [aux_sym__terminator_token1] = ACTIONS(11487),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8575] = {
    [sym_block_comment] = STATE(8575),
    [sym_line_comment] = STATE(8575),
    [ts_builtin_sym_end] = ACTIONS(11412),
    [sym__word_identifier] = ACTIONS(11410),
    [anon_sym_COMMA] = ACTIONS(11410),
    [anon_sym_EQ] = ACTIONS(11410),
    [anon_sym_begin] = ACTIONS(11410),
    [anon_sym_module] = ACTIONS(11410),
    [anon_sym_baremodule] = ACTIONS(11410),
    [anon_sym_abstract] = ACTIONS(11410),
    [anon_sym_primitive] = ACTIONS(11410),
    [anon_sym_mutable] = ACTIONS(11410),
    [anon_sym_struct] = ACTIONS(11410),
    [anon_sym_function] = ACTIONS(11410),
    [anon_sym_macro] = ACTIONS(11410),
    [anon_sym_quote] = ACTIONS(11410),
    [anon_sym_let] = ACTIONS(11410),
    [anon_sym_if] = ACTIONS(11410),
    [anon_sym_try] = ACTIONS(11410),
    [anon_sym_for] = ACTIONS(11410),
    [anon_sym_while] = ACTIONS(11410),
    [sym_break_statement] = ACTIONS(11410),
    [sym_continue_statement] = ACTIONS(11410),
    [anon_sym_return] = ACTIONS(11410),
    [anon_sym_const] = ACTIONS(11410),
    [anon_sym_global] = ACTIONS(11410),
    [anon_sym_local] = ACTIONS(11410),
    [anon_sym_LPAREN] = ACTIONS(11410),
    [anon_sym_COLON] = ACTIONS(11410),
    [anon_sym_export] = ACTIONS(11410),
    [anon_sym_public] = ACTIONS(11410),
    [anon_sym_import] = ACTIONS(11410),
    [anon_sym_using] = ACTIONS(11410),
    [anon_sym_LBRACK] = ACTIONS(11410),
    [anon_sym_RBRACK] = ACTIONS(11410),
    [anon_sym_in] = ACTIONS(11410),
    [anon_sym_SEMI] = ACTIONS(11410),
    [anon_sym_LBRACE] = ACTIONS(11410),
    [anon_sym_DOLLAR] = ACTIONS(11410),
    [anon_sym_COLON2] = ACTIONS(11410),
    [anon_sym_COLON_COLON] = ACTIONS(11410),
    [anon_sym_isa] = ACTIONS(11410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11410),
    [anon_sym_QMARK] = ACTIONS(11410),
    [anon_sym_where] = ACTIONS(11410),
    [anon_sym_AT] = ACTIONS(11410),
    [anon_sym_true] = ACTIONS(11410),
    [anon_sym_false] = ACTIONS(11410),
    [aux_sym_integer_literal_token1] = ACTIONS(11410),
    [aux_sym_integer_literal_token2] = ACTIONS(11410),
    [aux_sym_integer_literal_token3] = ACTIONS(11410),
    [aux_sym_integer_literal_token4] = ACTIONS(11410),
    [aux_sym_float_literal_token1] = ACTIONS(11410),
    [aux_sym_float_literal_token3] = ACTIONS(11410),
    [aux_sym_float_literal_token4] = ACTIONS(11410),
    [sym_character_literal] = ACTIONS(11410),
    [anon_sym_DQUOTE] = ACTIONS(11410),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11410),
    [anon_sym_BQUOTE] = ACTIONS(11410),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11410),
    [sym__pair_operator] = ACTIONS(11410),
    [sym__arrow_operator] = ACTIONS(11410),
    [sym__lazy_or_operator] = ACTIONS(11410),
    [sym__lazy_and_operator] = ACTIONS(11410),
    [sym__comparison_operator] = ACTIONS(11410),
    [sym__pipe_right_operator] = ACTIONS(11410),
    [sym__pipe_left_operator] = ACTIONS(11410),
    [sym__ellipsis_operator] = ACTIONS(11410),
    [sym__plus_operator] = ACTIONS(11410),
    [sym__times_operator] = ACTIONS(11410),
    [sym__rational_operator] = ACTIONS(11410),
    [sym__bitshift_operator] = ACTIONS(11410),
    [sym__power_operator] = ACTIONS(11410),
    [sym__tilde_operator] = ACTIONS(11410),
    [sym__type_order_operator] = ACTIONS(11410),
    [sym__unary_operator] = ACTIONS(11410),
    [sym__unary_plus_operator] = ACTIONS(11410),
    [aux_sym__terminator_token1] = ACTIONS(11412),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8576] = {
    [sym_block_comment] = STATE(8576),
    [sym_line_comment] = STATE(8576),
    [sym__word_identifier] = ACTIONS(11489),
    [anon_sym_COMMA] = ACTIONS(11489),
    [anon_sym_EQ] = ACTIONS(11489),
    [anon_sym_begin] = ACTIONS(11489),
    [anon_sym_module] = ACTIONS(11489),
    [anon_sym_baremodule] = ACTIONS(11489),
    [anon_sym_end] = ACTIONS(11489),
    [anon_sym_abstract] = ACTIONS(11489),
    [anon_sym_primitive] = ACTIONS(11489),
    [anon_sym_mutable] = ACTIONS(11489),
    [anon_sym_struct] = ACTIONS(11489),
    [anon_sym_function] = ACTIONS(11489),
    [anon_sym_macro] = ACTIONS(11489),
    [anon_sym_quote] = ACTIONS(11489),
    [anon_sym_let] = ACTIONS(11489),
    [anon_sym_if] = ACTIONS(11489),
    [anon_sym_try] = ACTIONS(11489),
    [anon_sym_finally] = ACTIONS(11489),
    [anon_sym_for] = ACTIONS(11489),
    [anon_sym_while] = ACTIONS(11489),
    [sym_break_statement] = ACTIONS(11489),
    [sym_continue_statement] = ACTIONS(11489),
    [anon_sym_return] = ACTIONS(11489),
    [anon_sym_const] = ACTIONS(11489),
    [anon_sym_global] = ACTIONS(11489),
    [anon_sym_local] = ACTIONS(11489),
    [anon_sym_LPAREN] = ACTIONS(11489),
    [anon_sym_COLON] = ACTIONS(11489),
    [anon_sym_export] = ACTIONS(11489),
    [anon_sym_public] = ACTIONS(11489),
    [anon_sym_import] = ACTIONS(11489),
    [anon_sym_using] = ACTIONS(11489),
    [anon_sym_LBRACK] = ACTIONS(11489),
    [anon_sym_in] = ACTIONS(11489),
    [anon_sym_SEMI] = ACTIONS(11489),
    [anon_sym_LBRACE] = ACTIONS(11489),
    [anon_sym_DOLLAR] = ACTIONS(11489),
    [anon_sym_COLON2] = ACTIONS(11489),
    [anon_sym_COLON_COLON] = ACTIONS(11489),
    [anon_sym_isa] = ACTIONS(11489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11489),
    [anon_sym_QMARK] = ACTIONS(11489),
    [anon_sym_where] = ACTIONS(11489),
    [anon_sym_AT] = ACTIONS(11489),
    [anon_sym_true] = ACTIONS(11489),
    [anon_sym_false] = ACTIONS(11489),
    [aux_sym_integer_literal_token1] = ACTIONS(11489),
    [aux_sym_integer_literal_token2] = ACTIONS(11489),
    [aux_sym_integer_literal_token3] = ACTIONS(11489),
    [aux_sym_integer_literal_token4] = ACTIONS(11489),
    [aux_sym_float_literal_token1] = ACTIONS(11489),
    [aux_sym_float_literal_token3] = ACTIONS(11489),
    [aux_sym_float_literal_token4] = ACTIONS(11489),
    [sym_character_literal] = ACTIONS(11489),
    [anon_sym_DQUOTE] = ACTIONS(11489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11489),
    [anon_sym_BQUOTE] = ACTIONS(11489),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11489),
    [sym__pair_operator] = ACTIONS(11489),
    [sym__arrow_operator] = ACTIONS(11489),
    [sym__lazy_or_operator] = ACTIONS(11489),
    [sym__lazy_and_operator] = ACTIONS(11489),
    [sym__comparison_operator] = ACTIONS(11489),
    [sym__pipe_right_operator] = ACTIONS(11489),
    [sym__pipe_left_operator] = ACTIONS(11489),
    [sym__ellipsis_operator] = ACTIONS(11489),
    [sym__plus_operator] = ACTIONS(11489),
    [sym__times_operator] = ACTIONS(11489),
    [sym__rational_operator] = ACTIONS(11489),
    [sym__bitshift_operator] = ACTIONS(11489),
    [sym__power_operator] = ACTIONS(11489),
    [sym__tilde_operator] = ACTIONS(11489),
    [sym__type_order_operator] = ACTIONS(11489),
    [sym__unary_operator] = ACTIONS(11489),
    [sym__unary_plus_operator] = ACTIONS(11489),
    [aux_sym__terminator_token1] = ACTIONS(11491),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8577] = {
    [sym_block_comment] = STATE(8577),
    [sym_line_comment] = STATE(8577),
    [ts_builtin_sym_end] = ACTIONS(11416),
    [sym__word_identifier] = ACTIONS(11414),
    [anon_sym_COMMA] = ACTIONS(11414),
    [anon_sym_EQ] = ACTIONS(11414),
    [anon_sym_begin] = ACTIONS(11414),
    [anon_sym_module] = ACTIONS(11414),
    [anon_sym_baremodule] = ACTIONS(11414),
    [anon_sym_abstract] = ACTIONS(11414),
    [anon_sym_primitive] = ACTIONS(11414),
    [anon_sym_mutable] = ACTIONS(11414),
    [anon_sym_struct] = ACTIONS(11414),
    [anon_sym_function] = ACTIONS(11414),
    [anon_sym_macro] = ACTIONS(11414),
    [anon_sym_quote] = ACTIONS(11414),
    [anon_sym_let] = ACTIONS(11414),
    [anon_sym_if] = ACTIONS(11414),
    [anon_sym_try] = ACTIONS(11414),
    [anon_sym_for] = ACTIONS(11414),
    [anon_sym_while] = ACTIONS(11414),
    [sym_break_statement] = ACTIONS(11414),
    [sym_continue_statement] = ACTIONS(11414),
    [anon_sym_return] = ACTIONS(11414),
    [anon_sym_const] = ACTIONS(11414),
    [anon_sym_global] = ACTIONS(11414),
    [anon_sym_local] = ACTIONS(11414),
    [anon_sym_LPAREN] = ACTIONS(11414),
    [anon_sym_COLON] = ACTIONS(11414),
    [anon_sym_export] = ACTIONS(11414),
    [anon_sym_public] = ACTIONS(11414),
    [anon_sym_import] = ACTIONS(11414),
    [anon_sym_using] = ACTIONS(11414),
    [anon_sym_LBRACK] = ACTIONS(11414),
    [anon_sym_RBRACK] = ACTIONS(11414),
    [anon_sym_in] = ACTIONS(11414),
    [anon_sym_SEMI] = ACTIONS(11414),
    [anon_sym_LBRACE] = ACTIONS(11414),
    [anon_sym_DOLLAR] = ACTIONS(11414),
    [anon_sym_COLON2] = ACTIONS(11414),
    [anon_sym_COLON_COLON] = ACTIONS(11414),
    [anon_sym_isa] = ACTIONS(11414),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11414),
    [anon_sym_QMARK] = ACTIONS(11414),
    [anon_sym_where] = ACTIONS(11414),
    [anon_sym_AT] = ACTIONS(11414),
    [anon_sym_true] = ACTIONS(11414),
    [anon_sym_false] = ACTIONS(11414),
    [aux_sym_integer_literal_token1] = ACTIONS(11414),
    [aux_sym_integer_literal_token2] = ACTIONS(11414),
    [aux_sym_integer_literal_token3] = ACTIONS(11414),
    [aux_sym_integer_literal_token4] = ACTIONS(11414),
    [aux_sym_float_literal_token1] = ACTIONS(11414),
    [aux_sym_float_literal_token3] = ACTIONS(11414),
    [aux_sym_float_literal_token4] = ACTIONS(11414),
    [sym_character_literal] = ACTIONS(11414),
    [anon_sym_DQUOTE] = ACTIONS(11414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11414),
    [anon_sym_BQUOTE] = ACTIONS(11414),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11414),
    [sym__pair_operator] = ACTIONS(11414),
    [sym__arrow_operator] = ACTIONS(11414),
    [sym__lazy_or_operator] = ACTIONS(11414),
    [sym__lazy_and_operator] = ACTIONS(11414),
    [sym__comparison_operator] = ACTIONS(11414),
    [sym__pipe_right_operator] = ACTIONS(11414),
    [sym__pipe_left_operator] = ACTIONS(11414),
    [sym__ellipsis_operator] = ACTIONS(11414),
    [sym__plus_operator] = ACTIONS(11414),
    [sym__times_operator] = ACTIONS(11414),
    [sym__rational_operator] = ACTIONS(11414),
    [sym__bitshift_operator] = ACTIONS(11414),
    [sym__power_operator] = ACTIONS(11414),
    [sym__tilde_operator] = ACTIONS(11414),
    [sym__type_order_operator] = ACTIONS(11414),
    [sym__unary_operator] = ACTIONS(11414),
    [sym__unary_plus_operator] = ACTIONS(11414),
    [aux_sym__terminator_token1] = ACTIONS(11416),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8578] = {
    [sym_block_comment] = STATE(8578),
    [sym_line_comment] = STATE(8578),
    [ts_builtin_sym_end] = ACTIONS(11420),
    [sym__word_identifier] = ACTIONS(11418),
    [anon_sym_COMMA] = ACTIONS(11418),
    [anon_sym_EQ] = ACTIONS(11418),
    [anon_sym_begin] = ACTIONS(11418),
    [anon_sym_module] = ACTIONS(11418),
    [anon_sym_baremodule] = ACTIONS(11418),
    [anon_sym_abstract] = ACTIONS(11418),
    [anon_sym_primitive] = ACTIONS(11418),
    [anon_sym_mutable] = ACTIONS(11418),
    [anon_sym_struct] = ACTIONS(11418),
    [anon_sym_function] = ACTIONS(11418),
    [anon_sym_macro] = ACTIONS(11418),
    [anon_sym_quote] = ACTIONS(11418),
    [anon_sym_let] = ACTIONS(11418),
    [anon_sym_if] = ACTIONS(11418),
    [anon_sym_try] = ACTIONS(11418),
    [anon_sym_for] = ACTIONS(11418),
    [anon_sym_while] = ACTIONS(11418),
    [sym_break_statement] = ACTIONS(11418),
    [sym_continue_statement] = ACTIONS(11418),
    [anon_sym_return] = ACTIONS(11418),
    [anon_sym_const] = ACTIONS(11418),
    [anon_sym_global] = ACTIONS(11418),
    [anon_sym_local] = ACTIONS(11418),
    [anon_sym_LPAREN] = ACTIONS(11418),
    [anon_sym_COLON] = ACTIONS(11418),
    [anon_sym_export] = ACTIONS(11418),
    [anon_sym_public] = ACTIONS(11418),
    [anon_sym_import] = ACTIONS(11418),
    [anon_sym_using] = ACTIONS(11418),
    [anon_sym_LBRACK] = ACTIONS(11418),
    [anon_sym_RBRACK] = ACTIONS(11418),
    [anon_sym_in] = ACTIONS(11418),
    [anon_sym_SEMI] = ACTIONS(11418),
    [anon_sym_LBRACE] = ACTIONS(11418),
    [anon_sym_DOLLAR] = ACTIONS(11418),
    [anon_sym_COLON2] = ACTIONS(11418),
    [anon_sym_COLON_COLON] = ACTIONS(11418),
    [anon_sym_isa] = ACTIONS(11418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11418),
    [anon_sym_QMARK] = ACTIONS(11418),
    [anon_sym_where] = ACTIONS(11418),
    [anon_sym_AT] = ACTIONS(11418),
    [anon_sym_true] = ACTIONS(11418),
    [anon_sym_false] = ACTIONS(11418),
    [aux_sym_integer_literal_token1] = ACTIONS(11418),
    [aux_sym_integer_literal_token2] = ACTIONS(11418),
    [aux_sym_integer_literal_token3] = ACTIONS(11418),
    [aux_sym_integer_literal_token4] = ACTIONS(11418),
    [aux_sym_float_literal_token1] = ACTIONS(11418),
    [aux_sym_float_literal_token3] = ACTIONS(11418),
    [aux_sym_float_literal_token4] = ACTIONS(11418),
    [sym_character_literal] = ACTIONS(11418),
    [anon_sym_DQUOTE] = ACTIONS(11418),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11418),
    [anon_sym_BQUOTE] = ACTIONS(11418),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11418),
    [sym__pair_operator] = ACTIONS(11418),
    [sym__arrow_operator] = ACTIONS(11418),
    [sym__lazy_or_operator] = ACTIONS(11418),
    [sym__lazy_and_operator] = ACTIONS(11418),
    [sym__comparison_operator] = ACTIONS(11418),
    [sym__pipe_right_operator] = ACTIONS(11418),
    [sym__pipe_left_operator] = ACTIONS(11418),
    [sym__ellipsis_operator] = ACTIONS(11418),
    [sym__plus_operator] = ACTIONS(11418),
    [sym__times_operator] = ACTIONS(11418),
    [sym__rational_operator] = ACTIONS(11418),
    [sym__bitshift_operator] = ACTIONS(11418),
    [sym__power_operator] = ACTIONS(11418),
    [sym__tilde_operator] = ACTIONS(11418),
    [sym__type_order_operator] = ACTIONS(11418),
    [sym__unary_operator] = ACTIONS(11418),
    [sym__unary_plus_operator] = ACTIONS(11418),
    [aux_sym__terminator_token1] = ACTIONS(11420),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8579] = {
    [sym_block_comment] = STATE(8579),
    [sym_line_comment] = STATE(8579),
    [ts_builtin_sym_end] = ACTIONS(11424),
    [sym__word_identifier] = ACTIONS(11422),
    [anon_sym_COMMA] = ACTIONS(11422),
    [anon_sym_EQ] = ACTIONS(11422),
    [anon_sym_begin] = ACTIONS(11422),
    [anon_sym_module] = ACTIONS(11422),
    [anon_sym_baremodule] = ACTIONS(11422),
    [anon_sym_abstract] = ACTIONS(11422),
    [anon_sym_primitive] = ACTIONS(11422),
    [anon_sym_mutable] = ACTIONS(11422),
    [anon_sym_struct] = ACTIONS(11422),
    [anon_sym_function] = ACTIONS(11422),
    [anon_sym_macro] = ACTIONS(11422),
    [anon_sym_quote] = ACTIONS(11422),
    [anon_sym_let] = ACTIONS(11422),
    [anon_sym_if] = ACTIONS(11422),
    [anon_sym_try] = ACTIONS(11422),
    [anon_sym_for] = ACTIONS(11422),
    [anon_sym_while] = ACTIONS(11422),
    [sym_break_statement] = ACTIONS(11422),
    [sym_continue_statement] = ACTIONS(11422),
    [anon_sym_return] = ACTIONS(11422),
    [anon_sym_const] = ACTIONS(11422),
    [anon_sym_global] = ACTIONS(11422),
    [anon_sym_local] = ACTIONS(11422),
    [anon_sym_LPAREN] = ACTIONS(11422),
    [anon_sym_COLON] = ACTIONS(11422),
    [anon_sym_export] = ACTIONS(11422),
    [anon_sym_public] = ACTIONS(11422),
    [anon_sym_import] = ACTIONS(11422),
    [anon_sym_using] = ACTIONS(11422),
    [anon_sym_LBRACK] = ACTIONS(11422),
    [anon_sym_RBRACK] = ACTIONS(11422),
    [anon_sym_in] = ACTIONS(11422),
    [anon_sym_SEMI] = ACTIONS(11422),
    [anon_sym_LBRACE] = ACTIONS(11422),
    [anon_sym_DOLLAR] = ACTIONS(11422),
    [anon_sym_COLON2] = ACTIONS(11422),
    [anon_sym_COLON_COLON] = ACTIONS(11422),
    [anon_sym_isa] = ACTIONS(11422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11422),
    [anon_sym_QMARK] = ACTIONS(11422),
    [anon_sym_where] = ACTIONS(11422),
    [anon_sym_AT] = ACTIONS(11422),
    [anon_sym_true] = ACTIONS(11422),
    [anon_sym_false] = ACTIONS(11422),
    [aux_sym_integer_literal_token1] = ACTIONS(11422),
    [aux_sym_integer_literal_token2] = ACTIONS(11422),
    [aux_sym_integer_literal_token3] = ACTIONS(11422),
    [aux_sym_integer_literal_token4] = ACTIONS(11422),
    [aux_sym_float_literal_token1] = ACTIONS(11422),
    [aux_sym_float_literal_token3] = ACTIONS(11422),
    [aux_sym_float_literal_token4] = ACTIONS(11422),
    [sym_character_literal] = ACTIONS(11422),
    [anon_sym_DQUOTE] = ACTIONS(11422),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11422),
    [anon_sym_BQUOTE] = ACTIONS(11422),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11422),
    [sym__pair_operator] = ACTIONS(11422),
    [sym__arrow_operator] = ACTIONS(11422),
    [sym__lazy_or_operator] = ACTIONS(11422),
    [sym__lazy_and_operator] = ACTIONS(11422),
    [sym__comparison_operator] = ACTIONS(11422),
    [sym__pipe_right_operator] = ACTIONS(11422),
    [sym__pipe_left_operator] = ACTIONS(11422),
    [sym__ellipsis_operator] = ACTIONS(11422),
    [sym__plus_operator] = ACTIONS(11422),
    [sym__times_operator] = ACTIONS(11422),
    [sym__rational_operator] = ACTIONS(11422),
    [sym__bitshift_operator] = ACTIONS(11422),
    [sym__power_operator] = ACTIONS(11422),
    [sym__tilde_operator] = ACTIONS(11422),
    [sym__type_order_operator] = ACTIONS(11422),
    [sym__unary_operator] = ACTIONS(11422),
    [sym__unary_plus_operator] = ACTIONS(11422),
    [aux_sym__terminator_token1] = ACTIONS(11424),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8580] = {
    [sym_block_comment] = STATE(8580),
    [sym_line_comment] = STATE(8580),
    [ts_builtin_sym_end] = ACTIONS(11428),
    [sym__word_identifier] = ACTIONS(11426),
    [anon_sym_COMMA] = ACTIONS(11426),
    [anon_sym_EQ] = ACTIONS(11426),
    [anon_sym_begin] = ACTIONS(11426),
    [anon_sym_module] = ACTIONS(11426),
    [anon_sym_baremodule] = ACTIONS(11426),
    [anon_sym_abstract] = ACTIONS(11426),
    [anon_sym_primitive] = ACTIONS(11426),
    [anon_sym_mutable] = ACTIONS(11426),
    [anon_sym_struct] = ACTIONS(11426),
    [anon_sym_function] = ACTIONS(11426),
    [anon_sym_macro] = ACTIONS(11426),
    [anon_sym_quote] = ACTIONS(11426),
    [anon_sym_let] = ACTIONS(11426),
    [anon_sym_if] = ACTIONS(11426),
    [anon_sym_try] = ACTIONS(11426),
    [anon_sym_for] = ACTIONS(11426),
    [anon_sym_while] = ACTIONS(11426),
    [sym_break_statement] = ACTIONS(11426),
    [sym_continue_statement] = ACTIONS(11426),
    [anon_sym_return] = ACTIONS(11426),
    [anon_sym_const] = ACTIONS(11426),
    [anon_sym_global] = ACTIONS(11426),
    [anon_sym_local] = ACTIONS(11426),
    [anon_sym_LPAREN] = ACTIONS(11426),
    [anon_sym_COLON] = ACTIONS(11426),
    [anon_sym_export] = ACTIONS(11426),
    [anon_sym_public] = ACTIONS(11426),
    [anon_sym_import] = ACTIONS(11426),
    [anon_sym_using] = ACTIONS(11426),
    [anon_sym_LBRACK] = ACTIONS(11426),
    [anon_sym_RBRACK] = ACTIONS(11426),
    [anon_sym_in] = ACTIONS(11426),
    [anon_sym_SEMI] = ACTIONS(11426),
    [anon_sym_LBRACE] = ACTIONS(11426),
    [anon_sym_DOLLAR] = ACTIONS(11426),
    [anon_sym_COLON2] = ACTIONS(11426),
    [anon_sym_COLON_COLON] = ACTIONS(11426),
    [anon_sym_isa] = ACTIONS(11426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11426),
    [anon_sym_QMARK] = ACTIONS(11426),
    [anon_sym_where] = ACTIONS(11426),
    [anon_sym_AT] = ACTIONS(11426),
    [anon_sym_true] = ACTIONS(11426),
    [anon_sym_false] = ACTIONS(11426),
    [aux_sym_integer_literal_token1] = ACTIONS(11426),
    [aux_sym_integer_literal_token2] = ACTIONS(11426),
    [aux_sym_integer_literal_token3] = ACTIONS(11426),
    [aux_sym_integer_literal_token4] = ACTIONS(11426),
    [aux_sym_float_literal_token1] = ACTIONS(11426),
    [aux_sym_float_literal_token3] = ACTIONS(11426),
    [aux_sym_float_literal_token4] = ACTIONS(11426),
    [sym_character_literal] = ACTIONS(11426),
    [anon_sym_DQUOTE] = ACTIONS(11426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11426),
    [anon_sym_BQUOTE] = ACTIONS(11426),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11426),
    [sym__pair_operator] = ACTIONS(11426),
    [sym__arrow_operator] = ACTIONS(11426),
    [sym__lazy_or_operator] = ACTIONS(11426),
    [sym__lazy_and_operator] = ACTIONS(11426),
    [sym__comparison_operator] = ACTIONS(11426),
    [sym__pipe_right_operator] = ACTIONS(11426),
    [sym__pipe_left_operator] = ACTIONS(11426),
    [sym__ellipsis_operator] = ACTIONS(11426),
    [sym__plus_operator] = ACTIONS(11426),
    [sym__times_operator] = ACTIONS(11426),
    [sym__rational_operator] = ACTIONS(11426),
    [sym__bitshift_operator] = ACTIONS(11426),
    [sym__power_operator] = ACTIONS(11426),
    [sym__tilde_operator] = ACTIONS(11426),
    [sym__type_order_operator] = ACTIONS(11426),
    [sym__unary_operator] = ACTIONS(11426),
    [sym__unary_plus_operator] = ACTIONS(11426),
    [aux_sym__terminator_token1] = ACTIONS(11428),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8581] = {
    [sym_block_comment] = STATE(8581),
    [sym_line_comment] = STATE(8581),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_catch] = ACTIONS(11216),
    [anon_sym_finally] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12524),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8582] = {
    [sym_block_comment] = STATE(8582),
    [sym_line_comment] = STATE(8582),
    [ts_builtin_sym_end] = ACTIONS(11483),
    [sym__word_identifier] = ACTIONS(11481),
    [anon_sym_COMMA] = ACTIONS(11481),
    [anon_sym_EQ] = ACTIONS(11481),
    [anon_sym_begin] = ACTIONS(11481),
    [anon_sym_module] = ACTIONS(11481),
    [anon_sym_baremodule] = ACTIONS(11481),
    [anon_sym_abstract] = ACTIONS(11481),
    [anon_sym_primitive] = ACTIONS(11481),
    [anon_sym_mutable] = ACTIONS(11481),
    [anon_sym_struct] = ACTIONS(11481),
    [anon_sym_function] = ACTIONS(11481),
    [anon_sym_macro] = ACTIONS(11481),
    [anon_sym_quote] = ACTIONS(11481),
    [anon_sym_let] = ACTIONS(11481),
    [anon_sym_if] = ACTIONS(11481),
    [anon_sym_try] = ACTIONS(11481),
    [anon_sym_for] = ACTIONS(11481),
    [anon_sym_while] = ACTIONS(11481),
    [sym_break_statement] = ACTIONS(11481),
    [sym_continue_statement] = ACTIONS(11481),
    [anon_sym_return] = ACTIONS(11481),
    [anon_sym_const] = ACTIONS(11481),
    [anon_sym_global] = ACTIONS(11481),
    [anon_sym_local] = ACTIONS(11481),
    [anon_sym_LPAREN] = ACTIONS(11481),
    [anon_sym_COLON] = ACTIONS(11481),
    [anon_sym_export] = ACTIONS(11481),
    [anon_sym_public] = ACTIONS(11481),
    [anon_sym_import] = ACTIONS(11481),
    [anon_sym_using] = ACTIONS(11481),
    [anon_sym_LBRACK] = ACTIONS(11481),
    [anon_sym_RBRACK] = ACTIONS(11481),
    [anon_sym_in] = ACTIONS(11481),
    [anon_sym_SEMI] = ACTIONS(11481),
    [anon_sym_LBRACE] = ACTIONS(11481),
    [anon_sym_DOLLAR] = ACTIONS(11481),
    [anon_sym_COLON2] = ACTIONS(11481),
    [anon_sym_COLON_COLON] = ACTIONS(11481),
    [anon_sym_isa] = ACTIONS(11481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11481),
    [anon_sym_QMARK] = ACTIONS(11481),
    [anon_sym_where] = ACTIONS(11481),
    [anon_sym_AT] = ACTIONS(11481),
    [anon_sym_true] = ACTIONS(11481),
    [anon_sym_false] = ACTIONS(11481),
    [aux_sym_integer_literal_token1] = ACTIONS(11481),
    [aux_sym_integer_literal_token2] = ACTIONS(11481),
    [aux_sym_integer_literal_token3] = ACTIONS(11481),
    [aux_sym_integer_literal_token4] = ACTIONS(11481),
    [aux_sym_float_literal_token1] = ACTIONS(11481),
    [aux_sym_float_literal_token3] = ACTIONS(11481),
    [aux_sym_float_literal_token4] = ACTIONS(11481),
    [sym_character_literal] = ACTIONS(11481),
    [anon_sym_DQUOTE] = ACTIONS(11481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11481),
    [anon_sym_BQUOTE] = ACTIONS(11481),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11481),
    [sym__pair_operator] = ACTIONS(11481),
    [sym__arrow_operator] = ACTIONS(11481),
    [sym__lazy_or_operator] = ACTIONS(11481),
    [sym__lazy_and_operator] = ACTIONS(11481),
    [sym__comparison_operator] = ACTIONS(11481),
    [sym__pipe_right_operator] = ACTIONS(11481),
    [sym__pipe_left_operator] = ACTIONS(11481),
    [sym__ellipsis_operator] = ACTIONS(11481),
    [sym__plus_operator] = ACTIONS(11481),
    [sym__times_operator] = ACTIONS(11481),
    [sym__rational_operator] = ACTIONS(11481),
    [sym__bitshift_operator] = ACTIONS(11481),
    [sym__power_operator] = ACTIONS(11481),
    [sym__tilde_operator] = ACTIONS(11481),
    [sym__type_order_operator] = ACTIONS(11481),
    [sym__unary_operator] = ACTIONS(11481),
    [sym__unary_plus_operator] = ACTIONS(11481),
    [aux_sym__terminator_token1] = ACTIONS(11483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8583] = {
    [sym_block_comment] = STATE(8583),
    [sym_line_comment] = STATE(8583),
    [ts_builtin_sym_end] = ACTIONS(11487),
    [sym__word_identifier] = ACTIONS(11485),
    [anon_sym_COMMA] = ACTIONS(11485),
    [anon_sym_EQ] = ACTIONS(11485),
    [anon_sym_begin] = ACTIONS(11485),
    [anon_sym_module] = ACTIONS(11485),
    [anon_sym_baremodule] = ACTIONS(11485),
    [anon_sym_abstract] = ACTIONS(11485),
    [anon_sym_primitive] = ACTIONS(11485),
    [anon_sym_mutable] = ACTIONS(11485),
    [anon_sym_struct] = ACTIONS(11485),
    [anon_sym_function] = ACTIONS(11485),
    [anon_sym_macro] = ACTIONS(11485),
    [anon_sym_quote] = ACTIONS(11485),
    [anon_sym_let] = ACTIONS(11485),
    [anon_sym_if] = ACTIONS(11485),
    [anon_sym_try] = ACTIONS(11485),
    [anon_sym_for] = ACTIONS(11485),
    [anon_sym_while] = ACTIONS(11485),
    [sym_break_statement] = ACTIONS(11485),
    [sym_continue_statement] = ACTIONS(11485),
    [anon_sym_return] = ACTIONS(11485),
    [anon_sym_const] = ACTIONS(11485),
    [anon_sym_global] = ACTIONS(11485),
    [anon_sym_local] = ACTIONS(11485),
    [anon_sym_LPAREN] = ACTIONS(11485),
    [anon_sym_COLON] = ACTIONS(11485),
    [anon_sym_export] = ACTIONS(11485),
    [anon_sym_public] = ACTIONS(11485),
    [anon_sym_import] = ACTIONS(11485),
    [anon_sym_using] = ACTIONS(11485),
    [anon_sym_LBRACK] = ACTIONS(11485),
    [anon_sym_RBRACK] = ACTIONS(11485),
    [anon_sym_in] = ACTIONS(11485),
    [anon_sym_SEMI] = ACTIONS(11485),
    [anon_sym_LBRACE] = ACTIONS(11485),
    [anon_sym_DOLLAR] = ACTIONS(11485),
    [anon_sym_COLON2] = ACTIONS(11485),
    [anon_sym_COLON_COLON] = ACTIONS(11485),
    [anon_sym_isa] = ACTIONS(11485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11485),
    [anon_sym_QMARK] = ACTIONS(11485),
    [anon_sym_where] = ACTIONS(11485),
    [anon_sym_AT] = ACTIONS(11485),
    [anon_sym_true] = ACTIONS(11485),
    [anon_sym_false] = ACTIONS(11485),
    [aux_sym_integer_literal_token1] = ACTIONS(11485),
    [aux_sym_integer_literal_token2] = ACTIONS(11485),
    [aux_sym_integer_literal_token3] = ACTIONS(11485),
    [aux_sym_integer_literal_token4] = ACTIONS(11485),
    [aux_sym_float_literal_token1] = ACTIONS(11485),
    [aux_sym_float_literal_token3] = ACTIONS(11485),
    [aux_sym_float_literal_token4] = ACTIONS(11485),
    [sym_character_literal] = ACTIONS(11485),
    [anon_sym_DQUOTE] = ACTIONS(11485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11485),
    [anon_sym_BQUOTE] = ACTIONS(11485),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11485),
    [sym__pair_operator] = ACTIONS(11485),
    [sym__arrow_operator] = ACTIONS(11485),
    [sym__lazy_or_operator] = ACTIONS(11485),
    [sym__lazy_and_operator] = ACTIONS(11485),
    [sym__comparison_operator] = ACTIONS(11485),
    [sym__pipe_right_operator] = ACTIONS(11485),
    [sym__pipe_left_operator] = ACTIONS(11485),
    [sym__ellipsis_operator] = ACTIONS(11485),
    [sym__plus_operator] = ACTIONS(11485),
    [sym__times_operator] = ACTIONS(11485),
    [sym__rational_operator] = ACTIONS(11485),
    [sym__bitshift_operator] = ACTIONS(11485),
    [sym__power_operator] = ACTIONS(11485),
    [sym__tilde_operator] = ACTIONS(11485),
    [sym__type_order_operator] = ACTIONS(11485),
    [sym__unary_operator] = ACTIONS(11485),
    [sym__unary_plus_operator] = ACTIONS(11485),
    [aux_sym__terminator_token1] = ACTIONS(11487),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8584] = {
    [sym_block_comment] = STATE(8584),
    [sym_line_comment] = STATE(8584),
    [ts_builtin_sym_end] = ACTIONS(11491),
    [sym__word_identifier] = ACTIONS(11489),
    [anon_sym_COMMA] = ACTIONS(11489),
    [anon_sym_EQ] = ACTIONS(11489),
    [anon_sym_begin] = ACTIONS(11489),
    [anon_sym_module] = ACTIONS(11489),
    [anon_sym_baremodule] = ACTIONS(11489),
    [anon_sym_abstract] = ACTIONS(11489),
    [anon_sym_primitive] = ACTIONS(11489),
    [anon_sym_mutable] = ACTIONS(11489),
    [anon_sym_struct] = ACTIONS(11489),
    [anon_sym_function] = ACTIONS(11489),
    [anon_sym_macro] = ACTIONS(11489),
    [anon_sym_quote] = ACTIONS(11489),
    [anon_sym_let] = ACTIONS(11489),
    [anon_sym_if] = ACTIONS(11489),
    [anon_sym_try] = ACTIONS(11489),
    [anon_sym_for] = ACTIONS(11489),
    [anon_sym_while] = ACTIONS(11489),
    [sym_break_statement] = ACTIONS(11489),
    [sym_continue_statement] = ACTIONS(11489),
    [anon_sym_return] = ACTIONS(11489),
    [anon_sym_const] = ACTIONS(11489),
    [anon_sym_global] = ACTIONS(11489),
    [anon_sym_local] = ACTIONS(11489),
    [anon_sym_LPAREN] = ACTIONS(11489),
    [anon_sym_COLON] = ACTIONS(11489),
    [anon_sym_export] = ACTIONS(11489),
    [anon_sym_public] = ACTIONS(11489),
    [anon_sym_import] = ACTIONS(11489),
    [anon_sym_using] = ACTIONS(11489),
    [anon_sym_LBRACK] = ACTIONS(11489),
    [anon_sym_RBRACK] = ACTIONS(11489),
    [anon_sym_in] = ACTIONS(11489),
    [anon_sym_SEMI] = ACTIONS(11489),
    [anon_sym_LBRACE] = ACTIONS(11489),
    [anon_sym_DOLLAR] = ACTIONS(11489),
    [anon_sym_COLON2] = ACTIONS(11489),
    [anon_sym_COLON_COLON] = ACTIONS(11489),
    [anon_sym_isa] = ACTIONS(11489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11489),
    [anon_sym_QMARK] = ACTIONS(11489),
    [anon_sym_where] = ACTIONS(11489),
    [anon_sym_AT] = ACTIONS(11489),
    [anon_sym_true] = ACTIONS(11489),
    [anon_sym_false] = ACTIONS(11489),
    [aux_sym_integer_literal_token1] = ACTIONS(11489),
    [aux_sym_integer_literal_token2] = ACTIONS(11489),
    [aux_sym_integer_literal_token3] = ACTIONS(11489),
    [aux_sym_integer_literal_token4] = ACTIONS(11489),
    [aux_sym_float_literal_token1] = ACTIONS(11489),
    [aux_sym_float_literal_token3] = ACTIONS(11489),
    [aux_sym_float_literal_token4] = ACTIONS(11489),
    [sym_character_literal] = ACTIONS(11489),
    [anon_sym_DQUOTE] = ACTIONS(11489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11489),
    [anon_sym_BQUOTE] = ACTIONS(11489),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11489),
    [sym__pair_operator] = ACTIONS(11489),
    [sym__arrow_operator] = ACTIONS(11489),
    [sym__lazy_or_operator] = ACTIONS(11489),
    [sym__lazy_and_operator] = ACTIONS(11489),
    [sym__comparison_operator] = ACTIONS(11489),
    [sym__pipe_right_operator] = ACTIONS(11489),
    [sym__pipe_left_operator] = ACTIONS(11489),
    [sym__ellipsis_operator] = ACTIONS(11489),
    [sym__plus_operator] = ACTIONS(11489),
    [sym__times_operator] = ACTIONS(11489),
    [sym__rational_operator] = ACTIONS(11489),
    [sym__bitshift_operator] = ACTIONS(11489),
    [sym__power_operator] = ACTIONS(11489),
    [sym__tilde_operator] = ACTIONS(11489),
    [sym__type_order_operator] = ACTIONS(11489),
    [sym__unary_operator] = ACTIONS(11489),
    [sym__unary_plus_operator] = ACTIONS(11489),
    [aux_sym__terminator_token1] = ACTIONS(11491),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8585] = {
    [sym_block_comment] = STATE(8585),
    [sym_line_comment] = STATE(8585),
    [sym__word_identifier] = ACTIONS(11316),
    [anon_sym_COMMA] = ACTIONS(11316),
    [anon_sym_EQ] = ACTIONS(11316),
    [anon_sym_begin] = ACTIONS(11316),
    [anon_sym_module] = ACTIONS(11316),
    [anon_sym_baremodule] = ACTIONS(11316),
    [anon_sym_end] = ACTIONS(11316),
    [anon_sym_abstract] = ACTIONS(11316),
    [anon_sym_primitive] = ACTIONS(11316),
    [anon_sym_mutable] = ACTIONS(11316),
    [anon_sym_struct] = ACTIONS(11316),
    [anon_sym_function] = ACTIONS(11316),
    [anon_sym_macro] = ACTIONS(11316),
    [anon_sym_quote] = ACTIONS(11316),
    [anon_sym_let] = ACTIONS(11316),
    [anon_sym_if] = ACTIONS(11316),
    [anon_sym_try] = ACTIONS(11316),
    [anon_sym_catch] = ACTIONS(11316),
    [anon_sym_for] = ACTIONS(11316),
    [anon_sym_while] = ACTIONS(11316),
    [sym_break_statement] = ACTIONS(11316),
    [sym_continue_statement] = ACTIONS(11316),
    [anon_sym_return] = ACTIONS(11316),
    [anon_sym_const] = ACTIONS(11316),
    [anon_sym_global] = ACTIONS(11316),
    [anon_sym_local] = ACTIONS(11316),
    [anon_sym_LPAREN] = ACTIONS(11316),
    [anon_sym_COLON] = ACTIONS(11316),
    [anon_sym_export] = ACTIONS(11316),
    [anon_sym_public] = ACTIONS(11316),
    [anon_sym_import] = ACTIONS(11316),
    [anon_sym_using] = ACTIONS(11316),
    [anon_sym_LBRACK] = ACTIONS(11316),
    [anon_sym_in] = ACTIONS(11316),
    [anon_sym_SEMI] = ACTIONS(11316),
    [anon_sym_LBRACE] = ACTIONS(11316),
    [anon_sym_DOLLAR] = ACTIONS(11316),
    [anon_sym_COLON2] = ACTIONS(11316),
    [anon_sym_COLON_COLON] = ACTIONS(11316),
    [anon_sym_isa] = ACTIONS(11316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11316),
    [anon_sym_QMARK] = ACTIONS(11316),
    [anon_sym_where] = ACTIONS(11316),
    [anon_sym_AT] = ACTIONS(11316),
    [anon_sym_true] = ACTIONS(11316),
    [anon_sym_false] = ACTIONS(11316),
    [aux_sym_integer_literal_token1] = ACTIONS(11316),
    [aux_sym_integer_literal_token2] = ACTIONS(11316),
    [aux_sym_integer_literal_token3] = ACTIONS(11316),
    [aux_sym_integer_literal_token4] = ACTIONS(11316),
    [aux_sym_float_literal_token1] = ACTIONS(11316),
    [aux_sym_float_literal_token3] = ACTIONS(11316),
    [aux_sym_float_literal_token4] = ACTIONS(11316),
    [sym_character_literal] = ACTIONS(11316),
    [anon_sym_DQUOTE] = ACTIONS(11316),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11316),
    [anon_sym_BQUOTE] = ACTIONS(11316),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11316),
    [sym__pair_operator] = ACTIONS(11316),
    [sym__arrow_operator] = ACTIONS(11316),
    [sym__lazy_or_operator] = ACTIONS(11316),
    [sym__lazy_and_operator] = ACTIONS(11316),
    [sym__comparison_operator] = ACTIONS(11316),
    [sym__pipe_right_operator] = ACTIONS(11316),
    [sym__pipe_left_operator] = ACTIONS(11316),
    [sym__ellipsis_operator] = ACTIONS(11316),
    [sym__plus_operator] = ACTIONS(11316),
    [sym__times_operator] = ACTIONS(11316),
    [sym__rational_operator] = ACTIONS(11316),
    [sym__bitshift_operator] = ACTIONS(11316),
    [sym__power_operator] = ACTIONS(11316),
    [sym__tilde_operator] = ACTIONS(11316),
    [sym__type_order_operator] = ACTIONS(11316),
    [sym__unary_operator] = ACTIONS(11316),
    [sym__unary_plus_operator] = ACTIONS(11316),
    [aux_sym__terminator_token1] = ACTIONS(11318),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8586] = {
    [sym_block_comment] = STATE(8586),
    [sym_line_comment] = STATE(8586),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9939),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8587] = {
    [sym_block_comment] = STATE(8587),
    [sym_line_comment] = STATE(8587),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(11149),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_end] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_finally] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11149),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11149),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_SEMI] = ACTIONS(11149),
    [anon_sym_LBRACE] = ACTIONS(11149),
    [anon_sym_DOLLAR] = ACTIONS(11149),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11149),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11149),
    [anon_sym_QMARK] = ACTIONS(11149),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11149),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11149),
    [aux_sym_integer_literal_token2] = ACTIONS(11149),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11149),
    [aux_sym_float_literal_token3] = ACTIONS(11149),
    [aux_sym_float_literal_token4] = ACTIONS(11149),
    [sym_character_literal] = ACTIONS(11149),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11149),
    [sym__pair_operator] = ACTIONS(11149),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11149),
    [sym__lazy_and_operator] = ACTIONS(11149),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11149),
    [sym__pipe_left_operator] = ACTIONS(11149),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11149),
    [sym__bitshift_operator] = ACTIONS(11149),
    [sym__power_operator] = ACTIONS(11149),
    [sym__tilde_operator] = ACTIONS(11149),
    [sym__type_order_operator] = ACTIONS(11149),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym__terminator_token1] = ACTIONS(11154),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8588] = {
    [sym_block_comment] = STATE(8588),
    [sym_line_comment] = STATE(8588),
    [ts_builtin_sym_end] = ACTIONS(11154),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(11149),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11149),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11149),
    [anon_sym_RBRACK] = ACTIONS(11149),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_SEMI] = ACTIONS(11149),
    [anon_sym_LBRACE] = ACTIONS(11149),
    [anon_sym_DOLLAR] = ACTIONS(11149),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11149),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11149),
    [anon_sym_QMARK] = ACTIONS(11149),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11149),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11149),
    [aux_sym_integer_literal_token2] = ACTIONS(11149),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11149),
    [aux_sym_float_literal_token3] = ACTIONS(11149),
    [aux_sym_float_literal_token4] = ACTIONS(11149),
    [sym_character_literal] = ACTIONS(11149),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11149),
    [sym__pair_operator] = ACTIONS(11149),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11149),
    [sym__lazy_and_operator] = ACTIONS(11149),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11149),
    [sym__pipe_left_operator] = ACTIONS(11149),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11149),
    [sym__bitshift_operator] = ACTIONS(11149),
    [sym__power_operator] = ACTIONS(11149),
    [sym__tilde_operator] = ACTIONS(11149),
    [sym__type_order_operator] = ACTIONS(11149),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym__terminator_token1] = ACTIONS(11154),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8589] = {
    [sym_block_comment] = STATE(8589),
    [sym_line_comment] = STATE(8589),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11159),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_finally] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8590] = {
    [sym_block_comment] = STATE(8590),
    [sym_line_comment] = STATE(8590),
    [ts_builtin_sym_end] = ACTIONS(11161),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11159),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_RBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8591] = {
    [sym_block_comment] = STATE(8591),
    [sym_line_comment] = STATE(8591),
    [sym__word_identifier] = ACTIONS(11320),
    [anon_sym_COMMA] = ACTIONS(11320),
    [anon_sym_EQ] = ACTIONS(11320),
    [anon_sym_begin] = ACTIONS(11320),
    [anon_sym_module] = ACTIONS(11320),
    [anon_sym_baremodule] = ACTIONS(11320),
    [anon_sym_end] = ACTIONS(11320),
    [anon_sym_abstract] = ACTIONS(11320),
    [anon_sym_primitive] = ACTIONS(11320),
    [anon_sym_mutable] = ACTIONS(11320),
    [anon_sym_struct] = ACTIONS(11320),
    [anon_sym_function] = ACTIONS(11320),
    [anon_sym_macro] = ACTIONS(11320),
    [anon_sym_quote] = ACTIONS(11320),
    [anon_sym_let] = ACTIONS(11320),
    [anon_sym_if] = ACTIONS(11320),
    [anon_sym_try] = ACTIONS(11320),
    [anon_sym_catch] = ACTIONS(11320),
    [anon_sym_for] = ACTIONS(11320),
    [anon_sym_while] = ACTIONS(11320),
    [sym_break_statement] = ACTIONS(11320),
    [sym_continue_statement] = ACTIONS(11320),
    [anon_sym_return] = ACTIONS(11320),
    [anon_sym_const] = ACTIONS(11320),
    [anon_sym_global] = ACTIONS(11320),
    [anon_sym_local] = ACTIONS(11320),
    [anon_sym_LPAREN] = ACTIONS(11320),
    [anon_sym_COLON] = ACTIONS(11320),
    [anon_sym_export] = ACTIONS(11320),
    [anon_sym_public] = ACTIONS(11320),
    [anon_sym_import] = ACTIONS(11320),
    [anon_sym_using] = ACTIONS(11320),
    [anon_sym_LBRACK] = ACTIONS(11320),
    [anon_sym_in] = ACTIONS(11320),
    [anon_sym_SEMI] = ACTIONS(11320),
    [anon_sym_LBRACE] = ACTIONS(11320),
    [anon_sym_DOLLAR] = ACTIONS(11320),
    [anon_sym_COLON2] = ACTIONS(11320),
    [anon_sym_COLON_COLON] = ACTIONS(11320),
    [anon_sym_isa] = ACTIONS(11320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11320),
    [anon_sym_QMARK] = ACTIONS(11320),
    [anon_sym_where] = ACTIONS(11320),
    [anon_sym_AT] = ACTIONS(11320),
    [anon_sym_true] = ACTIONS(11320),
    [anon_sym_false] = ACTIONS(11320),
    [aux_sym_integer_literal_token1] = ACTIONS(11320),
    [aux_sym_integer_literal_token2] = ACTIONS(11320),
    [aux_sym_integer_literal_token3] = ACTIONS(11320),
    [aux_sym_integer_literal_token4] = ACTIONS(11320),
    [aux_sym_float_literal_token1] = ACTIONS(11320),
    [aux_sym_float_literal_token3] = ACTIONS(11320),
    [aux_sym_float_literal_token4] = ACTIONS(11320),
    [sym_character_literal] = ACTIONS(11320),
    [anon_sym_DQUOTE] = ACTIONS(11320),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11320),
    [anon_sym_BQUOTE] = ACTIONS(11320),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11320),
    [sym__pair_operator] = ACTIONS(11320),
    [sym__arrow_operator] = ACTIONS(11320),
    [sym__lazy_or_operator] = ACTIONS(11320),
    [sym__lazy_and_operator] = ACTIONS(11320),
    [sym__comparison_operator] = ACTIONS(11320),
    [sym__pipe_right_operator] = ACTIONS(11320),
    [sym__pipe_left_operator] = ACTIONS(11320),
    [sym__ellipsis_operator] = ACTIONS(11320),
    [sym__plus_operator] = ACTIONS(11320),
    [sym__times_operator] = ACTIONS(11320),
    [sym__rational_operator] = ACTIONS(11320),
    [sym__bitshift_operator] = ACTIONS(11320),
    [sym__power_operator] = ACTIONS(11320),
    [sym__tilde_operator] = ACTIONS(11320),
    [sym__type_order_operator] = ACTIONS(11320),
    [sym__unary_operator] = ACTIONS(11320),
    [sym__unary_plus_operator] = ACTIONS(11320),
    [aux_sym__terminator_token1] = ACTIONS(11322),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8592] = {
    [sym_block_comment] = STATE(8592),
    [sym_line_comment] = STATE(8592),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(10427),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_catch] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8593] = {
    [sym_block_comment] = STATE(8593),
    [sym_line_comment] = STATE(8593),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8594] = {
    [sym_block_comment] = STATE(8594),
    [sym_line_comment] = STATE(8594),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10095),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8595] = {
    [sym_block_comment] = STATE(8595),
    [sym_line_comment] = STATE(8595),
    [sym__word_identifier] = ACTIONS(11493),
    [anon_sym_COMMA] = ACTIONS(11493),
    [anon_sym_EQ] = ACTIONS(11493),
    [anon_sym_begin] = ACTIONS(11493),
    [anon_sym_module] = ACTIONS(11493),
    [anon_sym_baremodule] = ACTIONS(11493),
    [anon_sym_end] = ACTIONS(11493),
    [anon_sym_abstract] = ACTIONS(11493),
    [anon_sym_primitive] = ACTIONS(11493),
    [anon_sym_mutable] = ACTIONS(11493),
    [anon_sym_struct] = ACTIONS(11493),
    [anon_sym_function] = ACTIONS(11493),
    [anon_sym_macro] = ACTIONS(11493),
    [anon_sym_quote] = ACTIONS(11493),
    [anon_sym_let] = ACTIONS(11493),
    [anon_sym_if] = ACTIONS(11493),
    [anon_sym_try] = ACTIONS(11493),
    [anon_sym_finally] = ACTIONS(11493),
    [anon_sym_for] = ACTIONS(11493),
    [anon_sym_while] = ACTIONS(11493),
    [sym_break_statement] = ACTIONS(11493),
    [sym_continue_statement] = ACTIONS(11493),
    [anon_sym_return] = ACTIONS(11493),
    [anon_sym_const] = ACTIONS(11493),
    [anon_sym_global] = ACTIONS(11493),
    [anon_sym_local] = ACTIONS(11493),
    [anon_sym_LPAREN] = ACTIONS(11493),
    [anon_sym_COLON] = ACTIONS(11493),
    [anon_sym_export] = ACTIONS(11493),
    [anon_sym_public] = ACTIONS(11493),
    [anon_sym_import] = ACTIONS(11493),
    [anon_sym_using] = ACTIONS(11493),
    [anon_sym_LBRACK] = ACTIONS(11493),
    [anon_sym_in] = ACTIONS(11493),
    [anon_sym_SEMI] = ACTIONS(11493),
    [anon_sym_LBRACE] = ACTIONS(11493),
    [anon_sym_DOLLAR] = ACTIONS(11493),
    [anon_sym_COLON2] = ACTIONS(11493),
    [anon_sym_COLON_COLON] = ACTIONS(11493),
    [anon_sym_isa] = ACTIONS(11493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11493),
    [anon_sym_QMARK] = ACTIONS(11493),
    [anon_sym_where] = ACTIONS(11493),
    [anon_sym_AT] = ACTIONS(11493),
    [anon_sym_true] = ACTIONS(11493),
    [anon_sym_false] = ACTIONS(11493),
    [aux_sym_integer_literal_token1] = ACTIONS(11493),
    [aux_sym_integer_literal_token2] = ACTIONS(11493),
    [aux_sym_integer_literal_token3] = ACTIONS(11493),
    [aux_sym_integer_literal_token4] = ACTIONS(11493),
    [aux_sym_float_literal_token1] = ACTIONS(11493),
    [aux_sym_float_literal_token3] = ACTIONS(11493),
    [aux_sym_float_literal_token4] = ACTIONS(11493),
    [sym_character_literal] = ACTIONS(11493),
    [anon_sym_DQUOTE] = ACTIONS(11493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11493),
    [anon_sym_BQUOTE] = ACTIONS(11493),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11493),
    [sym__pair_operator] = ACTIONS(11493),
    [sym__arrow_operator] = ACTIONS(11493),
    [sym__lazy_or_operator] = ACTIONS(11493),
    [sym__lazy_and_operator] = ACTIONS(11493),
    [sym__comparison_operator] = ACTIONS(11493),
    [sym__pipe_right_operator] = ACTIONS(11493),
    [sym__pipe_left_operator] = ACTIONS(11493),
    [sym__ellipsis_operator] = ACTIONS(11493),
    [sym__plus_operator] = ACTIONS(11493),
    [sym__times_operator] = ACTIONS(11493),
    [sym__rational_operator] = ACTIONS(11493),
    [sym__bitshift_operator] = ACTIONS(11493),
    [sym__power_operator] = ACTIONS(11493),
    [sym__tilde_operator] = ACTIONS(11493),
    [sym__type_order_operator] = ACTIONS(11493),
    [sym__unary_operator] = ACTIONS(11493),
    [sym__unary_plus_operator] = ACTIONS(11493),
    [aux_sym__terminator_token1] = ACTIONS(11495),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8596] = {
    [sym_block_comment] = STATE(8596),
    [sym_line_comment] = STATE(8596),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8597] = {
    [sym_block_comment] = STATE(8597),
    [sym_line_comment] = STATE(8597),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_catch] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8598] = {
    [sym_block_comment] = STATE(8598),
    [sym_line_comment] = STATE(8598),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_finally] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8599] = {
    [sym_block_comment] = STATE(8599),
    [sym_line_comment] = STATE(8599),
    [sym__word_identifier] = ACTIONS(11497),
    [anon_sym_COMMA] = ACTIONS(11497),
    [anon_sym_EQ] = ACTIONS(11497),
    [anon_sym_begin] = ACTIONS(11497),
    [anon_sym_module] = ACTIONS(11497),
    [anon_sym_baremodule] = ACTIONS(11497),
    [anon_sym_end] = ACTIONS(11497),
    [anon_sym_abstract] = ACTIONS(11497),
    [anon_sym_primitive] = ACTIONS(11497),
    [anon_sym_mutable] = ACTIONS(11497),
    [anon_sym_struct] = ACTIONS(11497),
    [anon_sym_function] = ACTIONS(11497),
    [anon_sym_macro] = ACTIONS(11497),
    [anon_sym_quote] = ACTIONS(11497),
    [anon_sym_let] = ACTIONS(11497),
    [anon_sym_if] = ACTIONS(11497),
    [anon_sym_try] = ACTIONS(11497),
    [anon_sym_finally] = ACTIONS(11497),
    [anon_sym_for] = ACTIONS(11497),
    [anon_sym_while] = ACTIONS(11497),
    [sym_break_statement] = ACTIONS(11497),
    [sym_continue_statement] = ACTIONS(11497),
    [anon_sym_return] = ACTIONS(11497),
    [anon_sym_const] = ACTIONS(11497),
    [anon_sym_global] = ACTIONS(11497),
    [anon_sym_local] = ACTIONS(11497),
    [anon_sym_LPAREN] = ACTIONS(11497),
    [anon_sym_COLON] = ACTIONS(11497),
    [anon_sym_export] = ACTIONS(11497),
    [anon_sym_public] = ACTIONS(11497),
    [anon_sym_import] = ACTIONS(11497),
    [anon_sym_using] = ACTIONS(11497),
    [anon_sym_LBRACK] = ACTIONS(11497),
    [anon_sym_in] = ACTIONS(11497),
    [anon_sym_SEMI] = ACTIONS(11497),
    [anon_sym_LBRACE] = ACTIONS(11497),
    [anon_sym_DOLLAR] = ACTIONS(11497),
    [anon_sym_COLON2] = ACTIONS(11497),
    [anon_sym_COLON_COLON] = ACTIONS(11497),
    [anon_sym_isa] = ACTIONS(11497),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11497),
    [anon_sym_QMARK] = ACTIONS(11497),
    [anon_sym_where] = ACTIONS(11497),
    [anon_sym_AT] = ACTIONS(11497),
    [anon_sym_true] = ACTIONS(11497),
    [anon_sym_false] = ACTIONS(11497),
    [aux_sym_integer_literal_token1] = ACTIONS(11497),
    [aux_sym_integer_literal_token2] = ACTIONS(11497),
    [aux_sym_integer_literal_token3] = ACTIONS(11497),
    [aux_sym_integer_literal_token4] = ACTIONS(11497),
    [aux_sym_float_literal_token1] = ACTIONS(11497),
    [aux_sym_float_literal_token3] = ACTIONS(11497),
    [aux_sym_float_literal_token4] = ACTIONS(11497),
    [sym_character_literal] = ACTIONS(11497),
    [anon_sym_DQUOTE] = ACTIONS(11497),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11497),
    [anon_sym_BQUOTE] = ACTIONS(11497),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11497),
    [sym__pair_operator] = ACTIONS(11497),
    [sym__arrow_operator] = ACTIONS(11497),
    [sym__lazy_or_operator] = ACTIONS(11497),
    [sym__lazy_and_operator] = ACTIONS(11497),
    [sym__comparison_operator] = ACTIONS(11497),
    [sym__pipe_right_operator] = ACTIONS(11497),
    [sym__pipe_left_operator] = ACTIONS(11497),
    [sym__ellipsis_operator] = ACTIONS(11497),
    [sym__plus_operator] = ACTIONS(11497),
    [sym__times_operator] = ACTIONS(11497),
    [sym__rational_operator] = ACTIONS(11497),
    [sym__bitshift_operator] = ACTIONS(11497),
    [sym__power_operator] = ACTIONS(11497),
    [sym__tilde_operator] = ACTIONS(11497),
    [sym__type_order_operator] = ACTIONS(11497),
    [sym__unary_operator] = ACTIONS(11497),
    [sym__unary_plus_operator] = ACTIONS(11497),
    [aux_sym__terminator_token1] = ACTIONS(11499),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8600] = {
    [sym_block_comment] = STATE(8600),
    [sym_line_comment] = STATE(8600),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9969),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9969),
    [anon_sym_QMARK] = ACTIONS(9969),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9969),
    [sym__lazy_and_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8601] = {
    [sym_block_comment] = STATE(8601),
    [sym_line_comment] = STATE(8601),
    [ts_builtin_sym_end] = ACTIONS(11495),
    [sym__word_identifier] = ACTIONS(11493),
    [anon_sym_COMMA] = ACTIONS(11493),
    [anon_sym_EQ] = ACTIONS(11493),
    [anon_sym_begin] = ACTIONS(11493),
    [anon_sym_module] = ACTIONS(11493),
    [anon_sym_baremodule] = ACTIONS(11493),
    [anon_sym_abstract] = ACTIONS(11493),
    [anon_sym_primitive] = ACTIONS(11493),
    [anon_sym_mutable] = ACTIONS(11493),
    [anon_sym_struct] = ACTIONS(11493),
    [anon_sym_function] = ACTIONS(11493),
    [anon_sym_macro] = ACTIONS(11493),
    [anon_sym_quote] = ACTIONS(11493),
    [anon_sym_let] = ACTIONS(11493),
    [anon_sym_if] = ACTIONS(11493),
    [anon_sym_try] = ACTIONS(11493),
    [anon_sym_for] = ACTIONS(11493),
    [anon_sym_while] = ACTIONS(11493),
    [sym_break_statement] = ACTIONS(11493),
    [sym_continue_statement] = ACTIONS(11493),
    [anon_sym_return] = ACTIONS(11493),
    [anon_sym_const] = ACTIONS(11493),
    [anon_sym_global] = ACTIONS(11493),
    [anon_sym_local] = ACTIONS(11493),
    [anon_sym_LPAREN] = ACTIONS(11493),
    [anon_sym_COLON] = ACTIONS(11493),
    [anon_sym_export] = ACTIONS(11493),
    [anon_sym_public] = ACTIONS(11493),
    [anon_sym_import] = ACTIONS(11493),
    [anon_sym_using] = ACTIONS(11493),
    [anon_sym_LBRACK] = ACTIONS(11493),
    [anon_sym_RBRACK] = ACTIONS(11493),
    [anon_sym_in] = ACTIONS(11493),
    [anon_sym_SEMI] = ACTIONS(11493),
    [anon_sym_LBRACE] = ACTIONS(11493),
    [anon_sym_DOLLAR] = ACTIONS(11493),
    [anon_sym_COLON2] = ACTIONS(11493),
    [anon_sym_COLON_COLON] = ACTIONS(11493),
    [anon_sym_isa] = ACTIONS(11493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11493),
    [anon_sym_QMARK] = ACTIONS(11493),
    [anon_sym_where] = ACTIONS(11493),
    [anon_sym_AT] = ACTIONS(11493),
    [anon_sym_true] = ACTIONS(11493),
    [anon_sym_false] = ACTIONS(11493),
    [aux_sym_integer_literal_token1] = ACTIONS(11493),
    [aux_sym_integer_literal_token2] = ACTIONS(11493),
    [aux_sym_integer_literal_token3] = ACTIONS(11493),
    [aux_sym_integer_literal_token4] = ACTIONS(11493),
    [aux_sym_float_literal_token1] = ACTIONS(11493),
    [aux_sym_float_literal_token3] = ACTIONS(11493),
    [aux_sym_float_literal_token4] = ACTIONS(11493),
    [sym_character_literal] = ACTIONS(11493),
    [anon_sym_DQUOTE] = ACTIONS(11493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11493),
    [anon_sym_BQUOTE] = ACTIONS(11493),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11493),
    [sym__pair_operator] = ACTIONS(11493),
    [sym__arrow_operator] = ACTIONS(11493),
    [sym__lazy_or_operator] = ACTIONS(11493),
    [sym__lazy_and_operator] = ACTIONS(11493),
    [sym__comparison_operator] = ACTIONS(11493),
    [sym__pipe_right_operator] = ACTIONS(11493),
    [sym__pipe_left_operator] = ACTIONS(11493),
    [sym__ellipsis_operator] = ACTIONS(11493),
    [sym__plus_operator] = ACTIONS(11493),
    [sym__times_operator] = ACTIONS(11493),
    [sym__rational_operator] = ACTIONS(11493),
    [sym__bitshift_operator] = ACTIONS(11493),
    [sym__power_operator] = ACTIONS(11493),
    [sym__tilde_operator] = ACTIONS(11493),
    [sym__type_order_operator] = ACTIONS(11493),
    [sym__unary_operator] = ACTIONS(11493),
    [sym__unary_plus_operator] = ACTIONS(11493),
    [aux_sym__terminator_token1] = ACTIONS(11495),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8602] = {
    [sym_block_comment] = STATE(8602),
    [sym_line_comment] = STATE(8602),
    [aux_sym_open_tuple_repeat1] = STATE(8270),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_catch] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12526),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8603] = {
    [sym_block_comment] = STATE(8603),
    [sym_line_comment] = STATE(8603),
    [ts_builtin_sym_end] = ACTIONS(11499),
    [sym__word_identifier] = ACTIONS(11497),
    [anon_sym_COMMA] = ACTIONS(11497),
    [anon_sym_EQ] = ACTIONS(11497),
    [anon_sym_begin] = ACTIONS(11497),
    [anon_sym_module] = ACTIONS(11497),
    [anon_sym_baremodule] = ACTIONS(11497),
    [anon_sym_abstract] = ACTIONS(11497),
    [anon_sym_primitive] = ACTIONS(11497),
    [anon_sym_mutable] = ACTIONS(11497),
    [anon_sym_struct] = ACTIONS(11497),
    [anon_sym_function] = ACTIONS(11497),
    [anon_sym_macro] = ACTIONS(11497),
    [anon_sym_quote] = ACTIONS(11497),
    [anon_sym_let] = ACTIONS(11497),
    [anon_sym_if] = ACTIONS(11497),
    [anon_sym_try] = ACTIONS(11497),
    [anon_sym_for] = ACTIONS(11497),
    [anon_sym_while] = ACTIONS(11497),
    [sym_break_statement] = ACTIONS(11497),
    [sym_continue_statement] = ACTIONS(11497),
    [anon_sym_return] = ACTIONS(11497),
    [anon_sym_const] = ACTIONS(11497),
    [anon_sym_global] = ACTIONS(11497),
    [anon_sym_local] = ACTIONS(11497),
    [anon_sym_LPAREN] = ACTIONS(11497),
    [anon_sym_COLON] = ACTIONS(11497),
    [anon_sym_export] = ACTIONS(11497),
    [anon_sym_public] = ACTIONS(11497),
    [anon_sym_import] = ACTIONS(11497),
    [anon_sym_using] = ACTIONS(11497),
    [anon_sym_LBRACK] = ACTIONS(11497),
    [anon_sym_RBRACK] = ACTIONS(11497),
    [anon_sym_in] = ACTIONS(11497),
    [anon_sym_SEMI] = ACTIONS(11497),
    [anon_sym_LBRACE] = ACTIONS(11497),
    [anon_sym_DOLLAR] = ACTIONS(11497),
    [anon_sym_COLON2] = ACTIONS(11497),
    [anon_sym_COLON_COLON] = ACTIONS(11497),
    [anon_sym_isa] = ACTIONS(11497),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11497),
    [anon_sym_QMARK] = ACTIONS(11497),
    [anon_sym_where] = ACTIONS(11497),
    [anon_sym_AT] = ACTIONS(11497),
    [anon_sym_true] = ACTIONS(11497),
    [anon_sym_false] = ACTIONS(11497),
    [aux_sym_integer_literal_token1] = ACTIONS(11497),
    [aux_sym_integer_literal_token2] = ACTIONS(11497),
    [aux_sym_integer_literal_token3] = ACTIONS(11497),
    [aux_sym_integer_literal_token4] = ACTIONS(11497),
    [aux_sym_float_literal_token1] = ACTIONS(11497),
    [aux_sym_float_literal_token3] = ACTIONS(11497),
    [aux_sym_float_literal_token4] = ACTIONS(11497),
    [sym_character_literal] = ACTIONS(11497),
    [anon_sym_DQUOTE] = ACTIONS(11497),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11497),
    [anon_sym_BQUOTE] = ACTIONS(11497),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11497),
    [sym__pair_operator] = ACTIONS(11497),
    [sym__arrow_operator] = ACTIONS(11497),
    [sym__lazy_or_operator] = ACTIONS(11497),
    [sym__lazy_and_operator] = ACTIONS(11497),
    [sym__comparison_operator] = ACTIONS(11497),
    [sym__pipe_right_operator] = ACTIONS(11497),
    [sym__pipe_left_operator] = ACTIONS(11497),
    [sym__ellipsis_operator] = ACTIONS(11497),
    [sym__plus_operator] = ACTIONS(11497),
    [sym__times_operator] = ACTIONS(11497),
    [sym__rational_operator] = ACTIONS(11497),
    [sym__bitshift_operator] = ACTIONS(11497),
    [sym__power_operator] = ACTIONS(11497),
    [sym__tilde_operator] = ACTIONS(11497),
    [sym__type_order_operator] = ACTIONS(11497),
    [sym__unary_operator] = ACTIONS(11497),
    [sym__unary_plus_operator] = ACTIONS(11497),
    [aux_sym__terminator_token1] = ACTIONS(11499),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8604] = {
    [sym_block_comment] = STATE(8604),
    [sym_line_comment] = STATE(8604),
    [sym__word_identifier] = ACTIONS(11374),
    [anon_sym_COMMA] = ACTIONS(11374),
    [anon_sym_EQ] = ACTIONS(11374),
    [anon_sym_begin] = ACTIONS(11374),
    [anon_sym_module] = ACTIONS(11374),
    [anon_sym_baremodule] = ACTIONS(11374),
    [anon_sym_end] = ACTIONS(11374),
    [anon_sym_abstract] = ACTIONS(11374),
    [anon_sym_primitive] = ACTIONS(11374),
    [anon_sym_mutable] = ACTIONS(11374),
    [anon_sym_struct] = ACTIONS(11374),
    [anon_sym_function] = ACTIONS(11374),
    [anon_sym_macro] = ACTIONS(11374),
    [anon_sym_quote] = ACTIONS(11374),
    [anon_sym_let] = ACTIONS(11374),
    [anon_sym_if] = ACTIONS(11374),
    [anon_sym_try] = ACTIONS(11374),
    [anon_sym_catch] = ACTIONS(11374),
    [anon_sym_for] = ACTIONS(11374),
    [anon_sym_while] = ACTIONS(11374),
    [sym_break_statement] = ACTIONS(11374),
    [sym_continue_statement] = ACTIONS(11374),
    [anon_sym_return] = ACTIONS(11374),
    [anon_sym_const] = ACTIONS(11374),
    [anon_sym_global] = ACTIONS(11374),
    [anon_sym_local] = ACTIONS(11374),
    [anon_sym_LPAREN] = ACTIONS(11374),
    [anon_sym_COLON] = ACTIONS(11374),
    [anon_sym_export] = ACTIONS(11374),
    [anon_sym_public] = ACTIONS(11374),
    [anon_sym_import] = ACTIONS(11374),
    [anon_sym_using] = ACTIONS(11374),
    [anon_sym_LBRACK] = ACTIONS(11374),
    [anon_sym_in] = ACTIONS(11374),
    [anon_sym_SEMI] = ACTIONS(11374),
    [anon_sym_LBRACE] = ACTIONS(11374),
    [anon_sym_DOLLAR] = ACTIONS(11374),
    [anon_sym_COLON2] = ACTIONS(11374),
    [anon_sym_COLON_COLON] = ACTIONS(11374),
    [anon_sym_isa] = ACTIONS(11374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11374),
    [anon_sym_QMARK] = ACTIONS(11374),
    [anon_sym_where] = ACTIONS(11374),
    [anon_sym_AT] = ACTIONS(11374),
    [anon_sym_true] = ACTIONS(11374),
    [anon_sym_false] = ACTIONS(11374),
    [aux_sym_integer_literal_token1] = ACTIONS(11374),
    [aux_sym_integer_literal_token2] = ACTIONS(11374),
    [aux_sym_integer_literal_token3] = ACTIONS(11374),
    [aux_sym_integer_literal_token4] = ACTIONS(11374),
    [aux_sym_float_literal_token1] = ACTIONS(11374),
    [aux_sym_float_literal_token3] = ACTIONS(11374),
    [aux_sym_float_literal_token4] = ACTIONS(11374),
    [sym_character_literal] = ACTIONS(11374),
    [anon_sym_DQUOTE] = ACTIONS(11374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11374),
    [anon_sym_BQUOTE] = ACTIONS(11374),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11374),
    [sym__pair_operator] = ACTIONS(11374),
    [sym__arrow_operator] = ACTIONS(11374),
    [sym__lazy_or_operator] = ACTIONS(11374),
    [sym__lazy_and_operator] = ACTIONS(11374),
    [sym__comparison_operator] = ACTIONS(11374),
    [sym__pipe_right_operator] = ACTIONS(11374),
    [sym__pipe_left_operator] = ACTIONS(11374),
    [sym__ellipsis_operator] = ACTIONS(11374),
    [sym__plus_operator] = ACTIONS(11374),
    [sym__times_operator] = ACTIONS(11374),
    [sym__rational_operator] = ACTIONS(11374),
    [sym__bitshift_operator] = ACTIONS(11374),
    [sym__power_operator] = ACTIONS(11374),
    [sym__tilde_operator] = ACTIONS(11374),
    [sym__type_order_operator] = ACTIONS(11374),
    [sym__unary_operator] = ACTIONS(11374),
    [sym__unary_plus_operator] = ACTIONS(11374),
    [aux_sym__terminator_token1] = ACTIONS(11376),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8605] = {
    [sym_block_comment] = STATE(8605),
    [sym_line_comment] = STATE(8605),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10193),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10193),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10193),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_SEMI] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10193),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10193),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10193),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10193),
    [anon_sym_QMARK] = ACTIONS(10193),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10193),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10193),
    [aux_sym_integer_literal_token2] = ACTIONS(10193),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10193),
    [aux_sym_float_literal_token3] = ACTIONS(10193),
    [aux_sym_float_literal_token4] = ACTIONS(10193),
    [sym_character_literal] = ACTIONS(10193),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10193),
    [sym__pair_operator] = ACTIONS(10193),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10193),
    [sym__lazy_and_operator] = ACTIONS(10193),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10193),
    [sym__pipe_left_operator] = ACTIONS(10193),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10193),
    [sym__bitshift_operator] = ACTIONS(10193),
    [sym__power_operator] = ACTIONS(10193),
    [sym__tilde_operator] = ACTIONS(10193),
    [sym__type_order_operator] = ACTIONS(10193),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym__terminator_token1] = ACTIONS(10195),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8606] = {
    [sym_block_comment] = STATE(8606),
    [sym_line_comment] = STATE(8606),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(10427),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_catch] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8607] = {
    [sym_block_comment] = STATE(8607),
    [sym_line_comment] = STATE(8607),
    [sym__word_identifier] = ACTIONS(11501),
    [anon_sym_COMMA] = ACTIONS(11501),
    [anon_sym_EQ] = ACTIONS(11501),
    [anon_sym_begin] = ACTIONS(11501),
    [anon_sym_module] = ACTIONS(11501),
    [anon_sym_baremodule] = ACTIONS(11501),
    [anon_sym_end] = ACTIONS(11501),
    [anon_sym_abstract] = ACTIONS(11501),
    [anon_sym_primitive] = ACTIONS(11501),
    [anon_sym_mutable] = ACTIONS(11501),
    [anon_sym_struct] = ACTIONS(11501),
    [anon_sym_function] = ACTIONS(11501),
    [anon_sym_macro] = ACTIONS(11501),
    [anon_sym_quote] = ACTIONS(11501),
    [anon_sym_let] = ACTIONS(11501),
    [anon_sym_if] = ACTIONS(11501),
    [anon_sym_try] = ACTIONS(11501),
    [anon_sym_finally] = ACTIONS(11501),
    [anon_sym_for] = ACTIONS(11501),
    [anon_sym_while] = ACTIONS(11501),
    [sym_break_statement] = ACTIONS(11501),
    [sym_continue_statement] = ACTIONS(11501),
    [anon_sym_return] = ACTIONS(11501),
    [anon_sym_const] = ACTIONS(11501),
    [anon_sym_global] = ACTIONS(11501),
    [anon_sym_local] = ACTIONS(11501),
    [anon_sym_LPAREN] = ACTIONS(11501),
    [anon_sym_COLON] = ACTIONS(11501),
    [anon_sym_export] = ACTIONS(11501),
    [anon_sym_public] = ACTIONS(11501),
    [anon_sym_import] = ACTIONS(11501),
    [anon_sym_using] = ACTIONS(11501),
    [anon_sym_LBRACK] = ACTIONS(11501),
    [anon_sym_in] = ACTIONS(11501),
    [anon_sym_SEMI] = ACTIONS(11501),
    [anon_sym_LBRACE] = ACTIONS(11501),
    [anon_sym_DOLLAR] = ACTIONS(11501),
    [anon_sym_COLON2] = ACTIONS(11501),
    [anon_sym_COLON_COLON] = ACTIONS(11501),
    [anon_sym_isa] = ACTIONS(11501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11501),
    [anon_sym_QMARK] = ACTIONS(11501),
    [anon_sym_where] = ACTIONS(11501),
    [anon_sym_AT] = ACTIONS(11501),
    [anon_sym_true] = ACTIONS(11501),
    [anon_sym_false] = ACTIONS(11501),
    [aux_sym_integer_literal_token1] = ACTIONS(11501),
    [aux_sym_integer_literal_token2] = ACTIONS(11501),
    [aux_sym_integer_literal_token3] = ACTIONS(11501),
    [aux_sym_integer_literal_token4] = ACTIONS(11501),
    [aux_sym_float_literal_token1] = ACTIONS(11501),
    [aux_sym_float_literal_token3] = ACTIONS(11501),
    [aux_sym_float_literal_token4] = ACTIONS(11501),
    [sym_character_literal] = ACTIONS(11501),
    [anon_sym_DQUOTE] = ACTIONS(11501),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11501),
    [anon_sym_BQUOTE] = ACTIONS(11501),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11501),
    [sym__pair_operator] = ACTIONS(11501),
    [sym__arrow_operator] = ACTIONS(11501),
    [sym__lazy_or_operator] = ACTIONS(11501),
    [sym__lazy_and_operator] = ACTIONS(11501),
    [sym__comparison_operator] = ACTIONS(11501),
    [sym__pipe_right_operator] = ACTIONS(11501),
    [sym__pipe_left_operator] = ACTIONS(11501),
    [sym__ellipsis_operator] = ACTIONS(11501),
    [sym__plus_operator] = ACTIONS(11501),
    [sym__times_operator] = ACTIONS(11501),
    [sym__rational_operator] = ACTIONS(11501),
    [sym__bitshift_operator] = ACTIONS(11501),
    [sym__power_operator] = ACTIONS(11501),
    [sym__tilde_operator] = ACTIONS(11501),
    [sym__type_order_operator] = ACTIONS(11501),
    [sym__unary_operator] = ACTIONS(11501),
    [sym__unary_plus_operator] = ACTIONS(11501),
    [aux_sym__terminator_token1] = ACTIONS(11503),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8608] = {
    [sym_block_comment] = STATE(8608),
    [sym_line_comment] = STATE(8608),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_catch] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8609] = {
    [sym_block_comment] = STATE(8609),
    [sym_line_comment] = STATE(8609),
    [sym__word_identifier] = ACTIONS(11505),
    [anon_sym_COMMA] = ACTIONS(11505),
    [anon_sym_EQ] = ACTIONS(11505),
    [anon_sym_begin] = ACTIONS(11505),
    [anon_sym_module] = ACTIONS(11505),
    [anon_sym_baremodule] = ACTIONS(11505),
    [anon_sym_end] = ACTIONS(11505),
    [anon_sym_abstract] = ACTIONS(11505),
    [anon_sym_primitive] = ACTIONS(11505),
    [anon_sym_mutable] = ACTIONS(11505),
    [anon_sym_struct] = ACTIONS(11505),
    [anon_sym_function] = ACTIONS(11505),
    [anon_sym_macro] = ACTIONS(11505),
    [anon_sym_quote] = ACTIONS(11505),
    [anon_sym_let] = ACTIONS(11505),
    [anon_sym_if] = ACTIONS(11505),
    [anon_sym_try] = ACTIONS(11505),
    [anon_sym_finally] = ACTIONS(11505),
    [anon_sym_for] = ACTIONS(11505),
    [anon_sym_while] = ACTIONS(11505),
    [sym_break_statement] = ACTIONS(11505),
    [sym_continue_statement] = ACTIONS(11505),
    [anon_sym_return] = ACTIONS(11505),
    [anon_sym_const] = ACTIONS(11505),
    [anon_sym_global] = ACTIONS(11505),
    [anon_sym_local] = ACTIONS(11505),
    [anon_sym_LPAREN] = ACTIONS(11505),
    [anon_sym_COLON] = ACTIONS(11505),
    [anon_sym_export] = ACTIONS(11505),
    [anon_sym_public] = ACTIONS(11505),
    [anon_sym_import] = ACTIONS(11505),
    [anon_sym_using] = ACTIONS(11505),
    [anon_sym_LBRACK] = ACTIONS(11505),
    [anon_sym_in] = ACTIONS(11505),
    [anon_sym_SEMI] = ACTIONS(11505),
    [anon_sym_LBRACE] = ACTIONS(11505),
    [anon_sym_DOLLAR] = ACTIONS(11505),
    [anon_sym_COLON2] = ACTIONS(11505),
    [anon_sym_COLON_COLON] = ACTIONS(11505),
    [anon_sym_isa] = ACTIONS(11505),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11505),
    [anon_sym_QMARK] = ACTIONS(11505),
    [anon_sym_where] = ACTIONS(11505),
    [anon_sym_AT] = ACTIONS(11505),
    [anon_sym_true] = ACTIONS(11505),
    [anon_sym_false] = ACTIONS(11505),
    [aux_sym_integer_literal_token1] = ACTIONS(11505),
    [aux_sym_integer_literal_token2] = ACTIONS(11505),
    [aux_sym_integer_literal_token3] = ACTIONS(11505),
    [aux_sym_integer_literal_token4] = ACTIONS(11505),
    [aux_sym_float_literal_token1] = ACTIONS(11505),
    [aux_sym_float_literal_token3] = ACTIONS(11505),
    [aux_sym_float_literal_token4] = ACTIONS(11505),
    [sym_character_literal] = ACTIONS(11505),
    [anon_sym_DQUOTE] = ACTIONS(11505),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11505),
    [anon_sym_BQUOTE] = ACTIONS(11505),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11505),
    [sym__pair_operator] = ACTIONS(11505),
    [sym__arrow_operator] = ACTIONS(11505),
    [sym__lazy_or_operator] = ACTIONS(11505),
    [sym__lazy_and_operator] = ACTIONS(11505),
    [sym__comparison_operator] = ACTIONS(11505),
    [sym__pipe_right_operator] = ACTIONS(11505),
    [sym__pipe_left_operator] = ACTIONS(11505),
    [sym__ellipsis_operator] = ACTIONS(11505),
    [sym__plus_operator] = ACTIONS(11505),
    [sym__times_operator] = ACTIONS(11505),
    [sym__rational_operator] = ACTIONS(11505),
    [sym__bitshift_operator] = ACTIONS(11505),
    [sym__power_operator] = ACTIONS(11505),
    [sym__tilde_operator] = ACTIONS(11505),
    [sym__type_order_operator] = ACTIONS(11505),
    [sym__unary_operator] = ACTIONS(11505),
    [sym__unary_plus_operator] = ACTIONS(11505),
    [aux_sym__terminator_token1] = ACTIONS(11507),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8610] = {
    [sym_block_comment] = STATE(8610),
    [sym_line_comment] = STATE(8610),
    [sym__word_identifier] = ACTIONS(11509),
    [anon_sym_COMMA] = ACTIONS(11509),
    [anon_sym_EQ] = ACTIONS(11509),
    [anon_sym_begin] = ACTIONS(11509),
    [anon_sym_module] = ACTIONS(11509),
    [anon_sym_baremodule] = ACTIONS(11509),
    [anon_sym_end] = ACTIONS(11509),
    [anon_sym_abstract] = ACTIONS(11509),
    [anon_sym_primitive] = ACTIONS(11509),
    [anon_sym_mutable] = ACTIONS(11509),
    [anon_sym_struct] = ACTIONS(11509),
    [anon_sym_function] = ACTIONS(11509),
    [anon_sym_macro] = ACTIONS(11509),
    [anon_sym_quote] = ACTIONS(11509),
    [anon_sym_let] = ACTIONS(11509),
    [anon_sym_if] = ACTIONS(11509),
    [anon_sym_try] = ACTIONS(11509),
    [anon_sym_finally] = ACTIONS(11509),
    [anon_sym_for] = ACTIONS(11509),
    [anon_sym_while] = ACTIONS(11509),
    [sym_break_statement] = ACTIONS(11509),
    [sym_continue_statement] = ACTIONS(11509),
    [anon_sym_return] = ACTIONS(11509),
    [anon_sym_const] = ACTIONS(11509),
    [anon_sym_global] = ACTIONS(11509),
    [anon_sym_local] = ACTIONS(11509),
    [anon_sym_LPAREN] = ACTIONS(11509),
    [anon_sym_COLON] = ACTIONS(11509),
    [anon_sym_export] = ACTIONS(11509),
    [anon_sym_public] = ACTIONS(11509),
    [anon_sym_import] = ACTIONS(11509),
    [anon_sym_using] = ACTIONS(11509),
    [anon_sym_LBRACK] = ACTIONS(11509),
    [anon_sym_in] = ACTIONS(11509),
    [anon_sym_SEMI] = ACTIONS(11509),
    [anon_sym_LBRACE] = ACTIONS(11509),
    [anon_sym_DOLLAR] = ACTIONS(11509),
    [anon_sym_COLON2] = ACTIONS(11509),
    [anon_sym_COLON_COLON] = ACTIONS(11509),
    [anon_sym_isa] = ACTIONS(11509),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11509),
    [anon_sym_QMARK] = ACTIONS(11509),
    [anon_sym_where] = ACTIONS(11509),
    [anon_sym_AT] = ACTIONS(11509),
    [anon_sym_true] = ACTIONS(11509),
    [anon_sym_false] = ACTIONS(11509),
    [aux_sym_integer_literal_token1] = ACTIONS(11509),
    [aux_sym_integer_literal_token2] = ACTIONS(11509),
    [aux_sym_integer_literal_token3] = ACTIONS(11509),
    [aux_sym_integer_literal_token4] = ACTIONS(11509),
    [aux_sym_float_literal_token1] = ACTIONS(11509),
    [aux_sym_float_literal_token3] = ACTIONS(11509),
    [aux_sym_float_literal_token4] = ACTIONS(11509),
    [sym_character_literal] = ACTIONS(11509),
    [anon_sym_DQUOTE] = ACTIONS(11509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11509),
    [anon_sym_BQUOTE] = ACTIONS(11509),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11509),
    [sym__pair_operator] = ACTIONS(11509),
    [sym__arrow_operator] = ACTIONS(11509),
    [sym__lazy_or_operator] = ACTIONS(11509),
    [sym__lazy_and_operator] = ACTIONS(11509),
    [sym__comparison_operator] = ACTIONS(11509),
    [sym__pipe_right_operator] = ACTIONS(11509),
    [sym__pipe_left_operator] = ACTIONS(11509),
    [sym__ellipsis_operator] = ACTIONS(11509),
    [sym__plus_operator] = ACTIONS(11509),
    [sym__times_operator] = ACTIONS(11509),
    [sym__rational_operator] = ACTIONS(11509),
    [sym__bitshift_operator] = ACTIONS(11509),
    [sym__power_operator] = ACTIONS(11509),
    [sym__tilde_operator] = ACTIONS(11509),
    [sym__type_order_operator] = ACTIONS(11509),
    [sym__unary_operator] = ACTIONS(11509),
    [sym__unary_plus_operator] = ACTIONS(11509),
    [aux_sym__terminator_token1] = ACTIONS(11511),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8611] = {
    [sym_block_comment] = STATE(8611),
    [sym_line_comment] = STATE(8611),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10473),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9949),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8612] = {
    [sym_block_comment] = STATE(8612),
    [sym_line_comment] = STATE(8612),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10473),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
  },
  [8613] = {
    [sym_block_comment] = STATE(8613),
    [sym_line_comment] = STATE(8613),
    [sym__word_identifier] = ACTIONS(11513),
    [anon_sym_COMMA] = ACTIONS(11513),
    [anon_sym_EQ] = ACTIONS(11513),
    [anon_sym_begin] = ACTIONS(11513),
    [anon_sym_module] = ACTIONS(11513),
    [anon_sym_baremodule] = ACTIONS(11513),
    [anon_sym_end] = ACTIONS(11513),
    [anon_sym_abstract] = ACTIONS(11513),
    [anon_sym_primitive] = ACTIONS(11513),
    [anon_sym_mutable] = ACTIONS(11513),
    [anon_sym_struct] = ACTIONS(11513),
    [anon_sym_function] = ACTIONS(11513),
    [anon_sym_macro] = ACTIONS(11513),
    [anon_sym_quote] = ACTIONS(11513),
    [anon_sym_let] = ACTIONS(11513),
    [anon_sym_if] = ACTIONS(11513),
    [anon_sym_try] = ACTIONS(11513),
    [anon_sym_finally] = ACTIONS(11513),
    [anon_sym_for] = ACTIONS(11513),
    [anon_sym_while] = ACTIONS(11513),
    [sym_break_statement] = ACTIONS(11513),
    [sym_continue_statement] = ACTIONS(11513),
    [anon_sym_return] = ACTIONS(11513),
    [anon_sym_const] = ACTIONS(11513),
    [anon_sym_global] = ACTIONS(11513),
    [anon_sym_local] = ACTIONS(11513),
    [anon_sym_LPAREN] = ACTIONS(11513),
    [anon_sym_COLON] = ACTIONS(11513),
    [anon_sym_export] = ACTIONS(11513),
    [anon_sym_public] = ACTIONS(11513),
    [anon_sym_import] = ACTIONS(11513),
    [anon_sym_using] = ACTIONS(11513),
    [anon_sym_LBRACK] = ACTIONS(11513),
    [anon_sym_in] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(11513),
    [anon_sym_LBRACE] = ACTIONS(11513),
    [anon_sym_DOLLAR] = ACTIONS(11513),
    [anon_sym_COLON2] = ACTIONS(11513),
    [anon_sym_COLON_COLON] = ACTIONS(11513),
    [anon_sym_isa] = ACTIONS(11513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11513),
    [anon_sym_QMARK] = ACTIONS(11513),
    [anon_sym_where] = ACTIONS(11513),
    [anon_sym_AT] = ACTIONS(11513),
    [anon_sym_true] = ACTIONS(11513),
    [anon_sym_false] = ACTIONS(11513),
    [aux_sym_integer_literal_token1] = ACTIONS(11513),
    [aux_sym_integer_literal_token2] = ACTIONS(11513),
    [aux_sym_integer_literal_token3] = ACTIONS(11513),
    [aux_sym_integer_literal_token4] = ACTIONS(11513),
    [aux_sym_float_literal_token1] = ACTIONS(11513),
    [aux_sym_float_literal_token3] = ACTIONS(11513),
    [aux_sym_float_literal_token4] = ACTIONS(11513),
    [sym_character_literal] = ACTIONS(11513),
    [anon_sym_DQUOTE] = ACTIONS(11513),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11513),
    [anon_sym_BQUOTE] = ACTIONS(11513),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11513),
    [sym__pair_operator] = ACTIONS(11513),
    [sym__arrow_operator] = ACTIONS(11513),
    [sym__lazy_or_operator] = ACTIONS(11513),
    [sym__lazy_and_operator] = ACTIONS(11513),
    [sym__comparison_operator] = ACTIONS(11513),
    [sym__pipe_right_operator] = ACTIONS(11513),
    [sym__pipe_left_operator] = ACTIONS(11513),
    [sym__ellipsis_operator] = ACTIONS(11513),
    [sym__plus_operator] = ACTIONS(11513),
    [sym__times_operator] = ACTIONS(11513),
    [sym__rational_operator] = ACTIONS(11513),
    [sym__bitshift_operator] = ACTIONS(11513),
    [sym__power_operator] = ACTIONS(11513),
    [sym__tilde_operator] = ACTIONS(11513),
    [sym__type_order_operator] = ACTIONS(11513),
    [sym__unary_operator] = ACTIONS(11513),
    [sym__unary_plus_operator] = ACTIONS(11513),
    [aux_sym__terminator_token1] = ACTIONS(11515),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8614] = {
    [sym_block_comment] = STATE(8614),
    [sym_line_comment] = STATE(8614),
    [sym__word_identifier] = ACTIONS(11517),
    [anon_sym_COMMA] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(11517),
    [anon_sym_begin] = ACTIONS(11517),
    [anon_sym_module] = ACTIONS(11517),
    [anon_sym_baremodule] = ACTIONS(11517),
    [anon_sym_end] = ACTIONS(11517),
    [anon_sym_abstract] = ACTIONS(11517),
    [anon_sym_primitive] = ACTIONS(11517),
    [anon_sym_mutable] = ACTIONS(11517),
    [anon_sym_struct] = ACTIONS(11517),
    [anon_sym_function] = ACTIONS(11517),
    [anon_sym_macro] = ACTIONS(11517),
    [anon_sym_quote] = ACTIONS(11517),
    [anon_sym_let] = ACTIONS(11517),
    [anon_sym_if] = ACTIONS(11517),
    [anon_sym_try] = ACTIONS(11517),
    [anon_sym_finally] = ACTIONS(11517),
    [anon_sym_for] = ACTIONS(11517),
    [anon_sym_while] = ACTIONS(11517),
    [sym_break_statement] = ACTIONS(11517),
    [sym_continue_statement] = ACTIONS(11517),
    [anon_sym_return] = ACTIONS(11517),
    [anon_sym_const] = ACTIONS(11517),
    [anon_sym_global] = ACTIONS(11517),
    [anon_sym_local] = ACTIONS(11517),
    [anon_sym_LPAREN] = ACTIONS(11517),
    [anon_sym_COLON] = ACTIONS(11517),
    [anon_sym_export] = ACTIONS(11517),
    [anon_sym_public] = ACTIONS(11517),
    [anon_sym_import] = ACTIONS(11517),
    [anon_sym_using] = ACTIONS(11517),
    [anon_sym_LBRACK] = ACTIONS(11517),
    [anon_sym_in] = ACTIONS(11517),
    [anon_sym_SEMI] = ACTIONS(11517),
    [anon_sym_LBRACE] = ACTIONS(11517),
    [anon_sym_DOLLAR] = ACTIONS(11517),
    [anon_sym_COLON2] = ACTIONS(11517),
    [anon_sym_COLON_COLON] = ACTIONS(11517),
    [anon_sym_isa] = ACTIONS(11517),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11517),
    [anon_sym_QMARK] = ACTIONS(11517),
    [anon_sym_where] = ACTIONS(11517),
    [anon_sym_AT] = ACTIONS(11517),
    [anon_sym_true] = ACTIONS(11517),
    [anon_sym_false] = ACTIONS(11517),
    [aux_sym_integer_literal_token1] = ACTIONS(11517),
    [aux_sym_integer_literal_token2] = ACTIONS(11517),
    [aux_sym_integer_literal_token3] = ACTIONS(11517),
    [aux_sym_integer_literal_token4] = ACTIONS(11517),
    [aux_sym_float_literal_token1] = ACTIONS(11517),
    [aux_sym_float_literal_token3] = ACTIONS(11517),
    [aux_sym_float_literal_token4] = ACTIONS(11517),
    [sym_character_literal] = ACTIONS(11517),
    [anon_sym_DQUOTE] = ACTIONS(11517),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11517),
    [anon_sym_BQUOTE] = ACTIONS(11517),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11517),
    [sym__pair_operator] = ACTIONS(11517),
    [sym__arrow_operator] = ACTIONS(11517),
    [sym__lazy_or_operator] = ACTIONS(11517),
    [sym__lazy_and_operator] = ACTIONS(11517),
    [sym__comparison_operator] = ACTIONS(11517),
    [sym__pipe_right_operator] = ACTIONS(11517),
    [sym__pipe_left_operator] = ACTIONS(11517),
    [sym__ellipsis_operator] = ACTIONS(11517),
    [sym__plus_operator] = ACTIONS(11517),
    [sym__times_operator] = ACTIONS(11517),
    [sym__rational_operator] = ACTIONS(11517),
    [sym__bitshift_operator] = ACTIONS(11517),
    [sym__power_operator] = ACTIONS(11517),
    [sym__tilde_operator] = ACTIONS(11517),
    [sym__type_order_operator] = ACTIONS(11517),
    [sym__unary_operator] = ACTIONS(11517),
    [sym__unary_plus_operator] = ACTIONS(11517),
    [aux_sym__terminator_token1] = ACTIONS(11519),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8615] = {
    [sym_block_comment] = STATE(8615),
    [sym_line_comment] = STATE(8615),
    [aux_sym_open_tuple_repeat1] = STATE(8311),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(12335),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_finally] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12528),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8616] = {
    [sym_block_comment] = STATE(8616),
    [sym_line_comment] = STATE(8616),
    [sym__word_identifier] = ACTIONS(11521),
    [anon_sym_COMMA] = ACTIONS(11521),
    [anon_sym_EQ] = ACTIONS(11521),
    [anon_sym_begin] = ACTIONS(11521),
    [anon_sym_module] = ACTIONS(11521),
    [anon_sym_baremodule] = ACTIONS(11521),
    [anon_sym_end] = ACTIONS(11521),
    [anon_sym_abstract] = ACTIONS(11521),
    [anon_sym_primitive] = ACTIONS(11521),
    [anon_sym_mutable] = ACTIONS(11521),
    [anon_sym_struct] = ACTIONS(11521),
    [anon_sym_function] = ACTIONS(11521),
    [anon_sym_macro] = ACTIONS(11521),
    [anon_sym_quote] = ACTIONS(11521),
    [anon_sym_let] = ACTIONS(11521),
    [anon_sym_if] = ACTIONS(11521),
    [anon_sym_try] = ACTIONS(11521),
    [anon_sym_finally] = ACTIONS(11521),
    [anon_sym_for] = ACTIONS(11521),
    [anon_sym_while] = ACTIONS(11521),
    [sym_break_statement] = ACTIONS(11521),
    [sym_continue_statement] = ACTIONS(11521),
    [anon_sym_return] = ACTIONS(11521),
    [anon_sym_const] = ACTIONS(11521),
    [anon_sym_global] = ACTIONS(11521),
    [anon_sym_local] = ACTIONS(11521),
    [anon_sym_LPAREN] = ACTIONS(11521),
    [anon_sym_COLON] = ACTIONS(11521),
    [anon_sym_export] = ACTIONS(11521),
    [anon_sym_public] = ACTIONS(11521),
    [anon_sym_import] = ACTIONS(11521),
    [anon_sym_using] = ACTIONS(11521),
    [anon_sym_LBRACK] = ACTIONS(11521),
    [anon_sym_in] = ACTIONS(11521),
    [anon_sym_SEMI] = ACTIONS(11521),
    [anon_sym_LBRACE] = ACTIONS(11521),
    [anon_sym_DOLLAR] = ACTIONS(11521),
    [anon_sym_COLON2] = ACTIONS(11521),
    [anon_sym_COLON_COLON] = ACTIONS(11521),
    [anon_sym_isa] = ACTIONS(11521),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11521),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_where] = ACTIONS(11521),
    [anon_sym_AT] = ACTIONS(11521),
    [anon_sym_true] = ACTIONS(11521),
    [anon_sym_false] = ACTIONS(11521),
    [aux_sym_integer_literal_token1] = ACTIONS(11521),
    [aux_sym_integer_literal_token2] = ACTIONS(11521),
    [aux_sym_integer_literal_token3] = ACTIONS(11521),
    [aux_sym_integer_literal_token4] = ACTIONS(11521),
    [aux_sym_float_literal_token1] = ACTIONS(11521),
    [aux_sym_float_literal_token3] = ACTIONS(11521),
    [aux_sym_float_literal_token4] = ACTIONS(11521),
    [sym_character_literal] = ACTIONS(11521),
    [anon_sym_DQUOTE] = ACTIONS(11521),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11521),
    [anon_sym_BQUOTE] = ACTIONS(11521),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11521),
    [sym__pair_operator] = ACTIONS(11521),
    [sym__arrow_operator] = ACTIONS(11521),
    [sym__lazy_or_operator] = ACTIONS(11521),
    [sym__lazy_and_operator] = ACTIONS(11521),
    [sym__comparison_operator] = ACTIONS(11521),
    [sym__pipe_right_operator] = ACTIONS(11521),
    [sym__pipe_left_operator] = ACTIONS(11521),
    [sym__ellipsis_operator] = ACTIONS(11521),
    [sym__plus_operator] = ACTIONS(11521),
    [sym__times_operator] = ACTIONS(11521),
    [sym__rational_operator] = ACTIONS(11521),
    [sym__bitshift_operator] = ACTIONS(11521),
    [sym__power_operator] = ACTIONS(11521),
    [sym__tilde_operator] = ACTIONS(11521),
    [sym__type_order_operator] = ACTIONS(11521),
    [sym__unary_operator] = ACTIONS(11521),
    [sym__unary_plus_operator] = ACTIONS(11521),
    [aux_sym__terminator_token1] = ACTIONS(11523),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8617] = {
    [sym_block_comment] = STATE(8617),
    [sym_line_comment] = STATE(8617),
    [sym__word_identifier] = ACTIONS(11525),
    [anon_sym_COMMA] = ACTIONS(11525),
    [anon_sym_EQ] = ACTIONS(11525),
    [anon_sym_begin] = ACTIONS(11525),
    [anon_sym_module] = ACTIONS(11525),
    [anon_sym_baremodule] = ACTIONS(11525),
    [anon_sym_end] = ACTIONS(11525),
    [anon_sym_abstract] = ACTIONS(11525),
    [anon_sym_primitive] = ACTIONS(11525),
    [anon_sym_mutable] = ACTIONS(11525),
    [anon_sym_struct] = ACTIONS(11525),
    [anon_sym_function] = ACTIONS(11525),
    [anon_sym_macro] = ACTIONS(11525),
    [anon_sym_quote] = ACTIONS(11525),
    [anon_sym_let] = ACTIONS(11525),
    [anon_sym_if] = ACTIONS(11525),
    [anon_sym_try] = ACTIONS(11525),
    [anon_sym_finally] = ACTIONS(11525),
    [anon_sym_for] = ACTIONS(11525),
    [anon_sym_while] = ACTIONS(11525),
    [sym_break_statement] = ACTIONS(11525),
    [sym_continue_statement] = ACTIONS(11525),
    [anon_sym_return] = ACTIONS(11525),
    [anon_sym_const] = ACTIONS(11525),
    [anon_sym_global] = ACTIONS(11525),
    [anon_sym_local] = ACTIONS(11525),
    [anon_sym_LPAREN] = ACTIONS(11525),
    [anon_sym_COLON] = ACTIONS(11525),
    [anon_sym_export] = ACTIONS(11525),
    [anon_sym_public] = ACTIONS(11525),
    [anon_sym_import] = ACTIONS(11525),
    [anon_sym_using] = ACTIONS(11525),
    [anon_sym_LBRACK] = ACTIONS(11525),
    [anon_sym_in] = ACTIONS(11525),
    [anon_sym_SEMI] = ACTIONS(11525),
    [anon_sym_LBRACE] = ACTIONS(11525),
    [anon_sym_DOLLAR] = ACTIONS(11525),
    [anon_sym_COLON2] = ACTIONS(11525),
    [anon_sym_COLON_COLON] = ACTIONS(11525),
    [anon_sym_isa] = ACTIONS(11525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_QMARK] = ACTIONS(11525),
    [anon_sym_where] = ACTIONS(11525),
    [anon_sym_AT] = ACTIONS(11525),
    [anon_sym_true] = ACTIONS(11525),
    [anon_sym_false] = ACTIONS(11525),
    [aux_sym_integer_literal_token1] = ACTIONS(11525),
    [aux_sym_integer_literal_token2] = ACTIONS(11525),
    [aux_sym_integer_literal_token3] = ACTIONS(11525),
    [aux_sym_integer_literal_token4] = ACTIONS(11525),
    [aux_sym_float_literal_token1] = ACTIONS(11525),
    [aux_sym_float_literal_token3] = ACTIONS(11525),
    [aux_sym_float_literal_token4] = ACTIONS(11525),
    [sym_character_literal] = ACTIONS(11525),
    [anon_sym_DQUOTE] = ACTIONS(11525),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11525),
    [anon_sym_BQUOTE] = ACTIONS(11525),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11525),
    [sym__pair_operator] = ACTIONS(11525),
    [sym__arrow_operator] = ACTIONS(11525),
    [sym__lazy_or_operator] = ACTIONS(11525),
    [sym__lazy_and_operator] = ACTIONS(11525),
    [sym__comparison_operator] = ACTIONS(11525),
    [sym__pipe_right_operator] = ACTIONS(11525),
    [sym__pipe_left_operator] = ACTIONS(11525),
    [sym__ellipsis_operator] = ACTIONS(11525),
    [sym__plus_operator] = ACTIONS(11525),
    [sym__times_operator] = ACTIONS(11525),
    [sym__rational_operator] = ACTIONS(11525),
    [sym__bitshift_operator] = ACTIONS(11525),
    [sym__power_operator] = ACTIONS(11525),
    [sym__tilde_operator] = ACTIONS(11525),
    [sym__type_order_operator] = ACTIONS(11525),
    [sym__unary_operator] = ACTIONS(11525),
    [sym__unary_plus_operator] = ACTIONS(11525),
    [aux_sym__terminator_token1] = ACTIONS(11527),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8618] = {
    [sym_block_comment] = STATE(8618),
    [sym_line_comment] = STATE(8618),
    [ts_builtin_sym_end] = ACTIONS(11503),
    [sym__word_identifier] = ACTIONS(11501),
    [anon_sym_COMMA] = ACTIONS(11501),
    [anon_sym_EQ] = ACTIONS(11501),
    [anon_sym_begin] = ACTIONS(11501),
    [anon_sym_module] = ACTIONS(11501),
    [anon_sym_baremodule] = ACTIONS(11501),
    [anon_sym_abstract] = ACTIONS(11501),
    [anon_sym_primitive] = ACTIONS(11501),
    [anon_sym_mutable] = ACTIONS(11501),
    [anon_sym_struct] = ACTIONS(11501),
    [anon_sym_function] = ACTIONS(11501),
    [anon_sym_macro] = ACTIONS(11501),
    [anon_sym_quote] = ACTIONS(11501),
    [anon_sym_let] = ACTIONS(11501),
    [anon_sym_if] = ACTIONS(11501),
    [anon_sym_try] = ACTIONS(11501),
    [anon_sym_for] = ACTIONS(11501),
    [anon_sym_while] = ACTIONS(11501),
    [sym_break_statement] = ACTIONS(11501),
    [sym_continue_statement] = ACTIONS(11501),
    [anon_sym_return] = ACTIONS(11501),
    [anon_sym_const] = ACTIONS(11501),
    [anon_sym_global] = ACTIONS(11501),
    [anon_sym_local] = ACTIONS(11501),
    [anon_sym_LPAREN] = ACTIONS(11501),
    [anon_sym_COLON] = ACTIONS(11501),
    [anon_sym_export] = ACTIONS(11501),
    [anon_sym_public] = ACTIONS(11501),
    [anon_sym_import] = ACTIONS(11501),
    [anon_sym_using] = ACTIONS(11501),
    [anon_sym_LBRACK] = ACTIONS(11501),
    [anon_sym_RBRACK] = ACTIONS(11501),
    [anon_sym_in] = ACTIONS(11501),
    [anon_sym_SEMI] = ACTIONS(11501),
    [anon_sym_LBRACE] = ACTIONS(11501),
    [anon_sym_DOLLAR] = ACTIONS(11501),
    [anon_sym_COLON2] = ACTIONS(11501),
    [anon_sym_COLON_COLON] = ACTIONS(11501),
    [anon_sym_isa] = ACTIONS(11501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11501),
    [anon_sym_QMARK] = ACTIONS(11501),
    [anon_sym_where] = ACTIONS(11501),
    [anon_sym_AT] = ACTIONS(11501),
    [anon_sym_true] = ACTIONS(11501),
    [anon_sym_false] = ACTIONS(11501),
    [aux_sym_integer_literal_token1] = ACTIONS(11501),
    [aux_sym_integer_literal_token2] = ACTIONS(11501),
    [aux_sym_integer_literal_token3] = ACTIONS(11501),
    [aux_sym_integer_literal_token4] = ACTIONS(11501),
    [aux_sym_float_literal_token1] = ACTIONS(11501),
    [aux_sym_float_literal_token3] = ACTIONS(11501),
    [aux_sym_float_literal_token4] = ACTIONS(11501),
    [sym_character_literal] = ACTIONS(11501),
    [anon_sym_DQUOTE] = ACTIONS(11501),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11501),
    [anon_sym_BQUOTE] = ACTIONS(11501),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11501),
    [sym__pair_operator] = ACTIONS(11501),
    [sym__arrow_operator] = ACTIONS(11501),
    [sym__lazy_or_operator] = ACTIONS(11501),
    [sym__lazy_and_operator] = ACTIONS(11501),
    [sym__comparison_operator] = ACTIONS(11501),
    [sym__pipe_right_operator] = ACTIONS(11501),
    [sym__pipe_left_operator] = ACTIONS(11501),
    [sym__ellipsis_operator] = ACTIONS(11501),
    [sym__plus_operator] = ACTIONS(11501),
    [sym__times_operator] = ACTIONS(11501),
    [sym__rational_operator] = ACTIONS(11501),
    [sym__bitshift_operator] = ACTIONS(11501),
    [sym__power_operator] = ACTIONS(11501),
    [sym__tilde_operator] = ACTIONS(11501),
    [sym__type_order_operator] = ACTIONS(11501),
    [sym__unary_operator] = ACTIONS(11501),
    [sym__unary_plus_operator] = ACTIONS(11501),
    [aux_sym__terminator_token1] = ACTIONS(11503),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8619] = {
    [sym_block_comment] = STATE(8619),
    [sym_line_comment] = STATE(8619),
    [sym__word_identifier] = ACTIONS(11529),
    [anon_sym_COMMA] = ACTIONS(11529),
    [anon_sym_EQ] = ACTIONS(11529),
    [anon_sym_begin] = ACTIONS(11529),
    [anon_sym_module] = ACTIONS(11529),
    [anon_sym_baremodule] = ACTIONS(11529),
    [anon_sym_end] = ACTIONS(11529),
    [anon_sym_abstract] = ACTIONS(11529),
    [anon_sym_primitive] = ACTIONS(11529),
    [anon_sym_mutable] = ACTIONS(11529),
    [anon_sym_struct] = ACTIONS(11529),
    [anon_sym_function] = ACTIONS(11529),
    [anon_sym_macro] = ACTIONS(11529),
    [anon_sym_quote] = ACTIONS(11529),
    [anon_sym_let] = ACTIONS(11529),
    [anon_sym_if] = ACTIONS(11529),
    [anon_sym_try] = ACTIONS(11529),
    [anon_sym_finally] = ACTIONS(11529),
    [anon_sym_for] = ACTIONS(11529),
    [anon_sym_while] = ACTIONS(11529),
    [sym_break_statement] = ACTIONS(11529),
    [sym_continue_statement] = ACTIONS(11529),
    [anon_sym_return] = ACTIONS(11529),
    [anon_sym_const] = ACTIONS(11529),
    [anon_sym_global] = ACTIONS(11529),
    [anon_sym_local] = ACTIONS(11529),
    [anon_sym_LPAREN] = ACTIONS(11529),
    [anon_sym_COLON] = ACTIONS(11529),
    [anon_sym_export] = ACTIONS(11529),
    [anon_sym_public] = ACTIONS(11529),
    [anon_sym_import] = ACTIONS(11529),
    [anon_sym_using] = ACTIONS(11529),
    [anon_sym_LBRACK] = ACTIONS(11529),
    [anon_sym_in] = ACTIONS(11529),
    [anon_sym_SEMI] = ACTIONS(11529),
    [anon_sym_LBRACE] = ACTIONS(11529),
    [anon_sym_DOLLAR] = ACTIONS(11529),
    [anon_sym_COLON2] = ACTIONS(11529),
    [anon_sym_COLON_COLON] = ACTIONS(11529),
    [anon_sym_isa] = ACTIONS(11529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11529),
    [anon_sym_QMARK] = ACTIONS(11529),
    [anon_sym_where] = ACTIONS(11529),
    [anon_sym_AT] = ACTIONS(11529),
    [anon_sym_true] = ACTIONS(11529),
    [anon_sym_false] = ACTIONS(11529),
    [aux_sym_integer_literal_token1] = ACTIONS(11529),
    [aux_sym_integer_literal_token2] = ACTIONS(11529),
    [aux_sym_integer_literal_token3] = ACTIONS(11529),
    [aux_sym_integer_literal_token4] = ACTIONS(11529),
    [aux_sym_float_literal_token1] = ACTIONS(11529),
    [aux_sym_float_literal_token3] = ACTIONS(11529),
    [aux_sym_float_literal_token4] = ACTIONS(11529),
    [sym_character_literal] = ACTIONS(11529),
    [anon_sym_DQUOTE] = ACTIONS(11529),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11529),
    [anon_sym_BQUOTE] = ACTIONS(11529),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11529),
    [sym__pair_operator] = ACTIONS(11529),
    [sym__arrow_operator] = ACTIONS(11529),
    [sym__lazy_or_operator] = ACTIONS(11529),
    [sym__lazy_and_operator] = ACTIONS(11529),
    [sym__comparison_operator] = ACTIONS(11529),
    [sym__pipe_right_operator] = ACTIONS(11529),
    [sym__pipe_left_operator] = ACTIONS(11529),
    [sym__ellipsis_operator] = ACTIONS(11529),
    [sym__plus_operator] = ACTIONS(11529),
    [sym__times_operator] = ACTIONS(11529),
    [sym__rational_operator] = ACTIONS(11529),
    [sym__bitshift_operator] = ACTIONS(11529),
    [sym__power_operator] = ACTIONS(11529),
    [sym__tilde_operator] = ACTIONS(11529),
    [sym__type_order_operator] = ACTIONS(11529),
    [sym__unary_operator] = ACTIONS(11529),
    [sym__unary_plus_operator] = ACTIONS(11529),
    [aux_sym__terminator_token1] = ACTIONS(11531),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8620] = {
    [sym_block_comment] = STATE(8620),
    [sym_line_comment] = STATE(8620),
    [sym__word_identifier] = ACTIONS(11533),
    [anon_sym_COMMA] = ACTIONS(11533),
    [anon_sym_EQ] = ACTIONS(11533),
    [anon_sym_begin] = ACTIONS(11533),
    [anon_sym_module] = ACTIONS(11533),
    [anon_sym_baremodule] = ACTIONS(11533),
    [anon_sym_end] = ACTIONS(11533),
    [anon_sym_abstract] = ACTIONS(11533),
    [anon_sym_primitive] = ACTIONS(11533),
    [anon_sym_mutable] = ACTIONS(11533),
    [anon_sym_struct] = ACTIONS(11533),
    [anon_sym_function] = ACTIONS(11533),
    [anon_sym_macro] = ACTIONS(11533),
    [anon_sym_quote] = ACTIONS(11533),
    [anon_sym_let] = ACTIONS(11533),
    [anon_sym_if] = ACTIONS(11533),
    [anon_sym_try] = ACTIONS(11533),
    [anon_sym_finally] = ACTIONS(11533),
    [anon_sym_for] = ACTIONS(11533),
    [anon_sym_while] = ACTIONS(11533),
    [sym_break_statement] = ACTIONS(11533),
    [sym_continue_statement] = ACTIONS(11533),
    [anon_sym_return] = ACTIONS(11533),
    [anon_sym_const] = ACTIONS(11533),
    [anon_sym_global] = ACTIONS(11533),
    [anon_sym_local] = ACTIONS(11533),
    [anon_sym_LPAREN] = ACTIONS(11533),
    [anon_sym_COLON] = ACTIONS(11533),
    [anon_sym_export] = ACTIONS(11533),
    [anon_sym_public] = ACTIONS(11533),
    [anon_sym_import] = ACTIONS(11533),
    [anon_sym_using] = ACTIONS(11533),
    [anon_sym_LBRACK] = ACTIONS(11533),
    [anon_sym_in] = ACTIONS(11533),
    [anon_sym_SEMI] = ACTIONS(11533),
    [anon_sym_LBRACE] = ACTIONS(11533),
    [anon_sym_DOLLAR] = ACTIONS(11533),
    [anon_sym_COLON2] = ACTIONS(11533),
    [anon_sym_COLON_COLON] = ACTIONS(11533),
    [anon_sym_isa] = ACTIONS(11533),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11533),
    [anon_sym_QMARK] = ACTIONS(11533),
    [anon_sym_where] = ACTIONS(11533),
    [anon_sym_AT] = ACTIONS(11533),
    [anon_sym_true] = ACTIONS(11533),
    [anon_sym_false] = ACTIONS(11533),
    [aux_sym_integer_literal_token1] = ACTIONS(11533),
    [aux_sym_integer_literal_token2] = ACTIONS(11533),
    [aux_sym_integer_literal_token3] = ACTIONS(11533),
    [aux_sym_integer_literal_token4] = ACTIONS(11533),
    [aux_sym_float_literal_token1] = ACTIONS(11533),
    [aux_sym_float_literal_token3] = ACTIONS(11533),
    [aux_sym_float_literal_token4] = ACTIONS(11533),
    [sym_character_literal] = ACTIONS(11533),
    [anon_sym_DQUOTE] = ACTIONS(11533),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11533),
    [anon_sym_BQUOTE] = ACTIONS(11533),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11533),
    [sym__pair_operator] = ACTIONS(11533),
    [sym__arrow_operator] = ACTIONS(11533),
    [sym__lazy_or_operator] = ACTIONS(11533),
    [sym__lazy_and_operator] = ACTIONS(11533),
    [sym__comparison_operator] = ACTIONS(11533),
    [sym__pipe_right_operator] = ACTIONS(11533),
    [sym__pipe_left_operator] = ACTIONS(11533),
    [sym__ellipsis_operator] = ACTIONS(11533),
    [sym__plus_operator] = ACTIONS(11533),
    [sym__times_operator] = ACTIONS(11533),
    [sym__rational_operator] = ACTIONS(11533),
    [sym__bitshift_operator] = ACTIONS(11533),
    [sym__power_operator] = ACTIONS(11533),
    [sym__tilde_operator] = ACTIONS(11533),
    [sym__type_order_operator] = ACTIONS(11533),
    [sym__unary_operator] = ACTIONS(11533),
    [sym__unary_plus_operator] = ACTIONS(11533),
    [aux_sym__terminator_token1] = ACTIONS(11535),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8621] = {
    [sym_block_comment] = STATE(8621),
    [sym_line_comment] = STATE(8621),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11102),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_end] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_finally] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11102),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11102),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_SEMI] = ACTIONS(11102),
    [anon_sym_LBRACE] = ACTIONS(11102),
    [anon_sym_DOLLAR] = ACTIONS(11102),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11102),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11102),
    [anon_sym_QMARK] = ACTIONS(11102),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11102),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11102),
    [aux_sym_integer_literal_token2] = ACTIONS(11102),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11102),
    [aux_sym_float_literal_token3] = ACTIONS(11102),
    [aux_sym_float_literal_token4] = ACTIONS(11102),
    [sym_character_literal] = ACTIONS(11102),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(11102),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11102),
    [sym__lazy_and_operator] = ACTIONS(11102),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11102),
    [sym__pipe_left_operator] = ACTIONS(11102),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11102),
    [sym__bitshift_operator] = ACTIONS(11102),
    [sym__power_operator] = ACTIONS(11102),
    [sym__tilde_operator] = ACTIONS(11102),
    [sym__type_order_operator] = ACTIONS(11102),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym__terminator_token1] = ACTIONS(11104),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8622] = {
    [sym_block_comment] = STATE(8622),
    [sym_line_comment] = STATE(8622),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10876),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10876),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10876),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_SEMI] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10876),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10876),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10876),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10876),
    [anon_sym_QMARK] = ACTIONS(10876),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10876),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10876),
    [aux_sym_integer_literal_token2] = ACTIONS(10876),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10876),
    [aux_sym_float_literal_token3] = ACTIONS(10876),
    [aux_sym_float_literal_token4] = ACTIONS(10876),
    [sym_character_literal] = ACTIONS(10876),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10876),
    [sym__pair_operator] = ACTIONS(10876),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10876),
    [sym__lazy_and_operator] = ACTIONS(10876),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10876),
    [sym__pipe_left_operator] = ACTIONS(10876),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10876),
    [sym__bitshift_operator] = ACTIONS(10876),
    [sym__power_operator] = ACTIONS(10876),
    [sym__tilde_operator] = ACTIONS(10876),
    [sym__type_order_operator] = ACTIONS(10876),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym__terminator_token1] = ACTIONS(10878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8623] = {
    [sym_block_comment] = STATE(8623),
    [sym_line_comment] = STATE(8623),
    [sym__word_identifier] = ACTIONS(11537),
    [anon_sym_COMMA] = ACTIONS(11537),
    [anon_sym_EQ] = ACTIONS(11537),
    [anon_sym_begin] = ACTIONS(11537),
    [anon_sym_module] = ACTIONS(11537),
    [anon_sym_baremodule] = ACTIONS(11537),
    [anon_sym_end] = ACTIONS(11537),
    [anon_sym_abstract] = ACTIONS(11537),
    [anon_sym_primitive] = ACTIONS(11537),
    [anon_sym_mutable] = ACTIONS(11537),
    [anon_sym_struct] = ACTIONS(11537),
    [anon_sym_function] = ACTIONS(11537),
    [anon_sym_macro] = ACTIONS(11537),
    [anon_sym_quote] = ACTIONS(11537),
    [anon_sym_let] = ACTIONS(11537),
    [anon_sym_if] = ACTIONS(11537),
    [anon_sym_try] = ACTIONS(11537),
    [anon_sym_finally] = ACTIONS(11537),
    [anon_sym_for] = ACTIONS(11537),
    [anon_sym_while] = ACTIONS(11537),
    [sym_break_statement] = ACTIONS(11537),
    [sym_continue_statement] = ACTIONS(11537),
    [anon_sym_return] = ACTIONS(11537),
    [anon_sym_const] = ACTIONS(11537),
    [anon_sym_global] = ACTIONS(11537),
    [anon_sym_local] = ACTIONS(11537),
    [anon_sym_LPAREN] = ACTIONS(11537),
    [anon_sym_COLON] = ACTIONS(11537),
    [anon_sym_export] = ACTIONS(11537),
    [anon_sym_public] = ACTIONS(11537),
    [anon_sym_import] = ACTIONS(11537),
    [anon_sym_using] = ACTIONS(11537),
    [anon_sym_LBRACK] = ACTIONS(11537),
    [anon_sym_in] = ACTIONS(11537),
    [anon_sym_SEMI] = ACTIONS(11537),
    [anon_sym_LBRACE] = ACTIONS(11537),
    [anon_sym_DOLLAR] = ACTIONS(11537),
    [anon_sym_COLON2] = ACTIONS(11537),
    [anon_sym_COLON_COLON] = ACTIONS(11537),
    [anon_sym_isa] = ACTIONS(11537),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11537),
    [anon_sym_QMARK] = ACTIONS(11537),
    [anon_sym_where] = ACTIONS(11537),
    [anon_sym_AT] = ACTIONS(11537),
    [anon_sym_true] = ACTIONS(11537),
    [anon_sym_false] = ACTIONS(11537),
    [aux_sym_integer_literal_token1] = ACTIONS(11537),
    [aux_sym_integer_literal_token2] = ACTIONS(11537),
    [aux_sym_integer_literal_token3] = ACTIONS(11537),
    [aux_sym_integer_literal_token4] = ACTIONS(11537),
    [aux_sym_float_literal_token1] = ACTIONS(11537),
    [aux_sym_float_literal_token3] = ACTIONS(11537),
    [aux_sym_float_literal_token4] = ACTIONS(11537),
    [sym_character_literal] = ACTIONS(11537),
    [anon_sym_DQUOTE] = ACTIONS(11537),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11537),
    [anon_sym_BQUOTE] = ACTIONS(11537),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11537),
    [sym__pair_operator] = ACTIONS(11537),
    [sym__arrow_operator] = ACTIONS(11537),
    [sym__lazy_or_operator] = ACTIONS(11537),
    [sym__lazy_and_operator] = ACTIONS(11537),
    [sym__comparison_operator] = ACTIONS(11537),
    [sym__pipe_right_operator] = ACTIONS(11537),
    [sym__pipe_left_operator] = ACTIONS(11537),
    [sym__ellipsis_operator] = ACTIONS(11537),
    [sym__plus_operator] = ACTIONS(11537),
    [sym__times_operator] = ACTIONS(11537),
    [sym__rational_operator] = ACTIONS(11537),
    [sym__bitshift_operator] = ACTIONS(11537),
    [sym__power_operator] = ACTIONS(11537),
    [sym__tilde_operator] = ACTIONS(11537),
    [sym__type_order_operator] = ACTIONS(11537),
    [sym__unary_operator] = ACTIONS(11537),
    [sym__unary_plus_operator] = ACTIONS(11537),
    [aux_sym__terminator_token1] = ACTIONS(11539),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8624] = {
    [sym_block_comment] = STATE(8624),
    [sym_line_comment] = STATE(8624),
    [sym__word_identifier] = ACTIONS(11541),
    [anon_sym_COMMA] = ACTIONS(11541),
    [anon_sym_EQ] = ACTIONS(11541),
    [anon_sym_begin] = ACTIONS(11541),
    [anon_sym_module] = ACTIONS(11541),
    [anon_sym_baremodule] = ACTIONS(11541),
    [anon_sym_end] = ACTIONS(11541),
    [anon_sym_abstract] = ACTIONS(11541),
    [anon_sym_primitive] = ACTIONS(11541),
    [anon_sym_mutable] = ACTIONS(11541),
    [anon_sym_struct] = ACTIONS(11541),
    [anon_sym_function] = ACTIONS(11541),
    [anon_sym_macro] = ACTIONS(11541),
    [anon_sym_quote] = ACTIONS(11541),
    [anon_sym_let] = ACTIONS(11541),
    [anon_sym_if] = ACTIONS(11541),
    [anon_sym_try] = ACTIONS(11541),
    [anon_sym_finally] = ACTIONS(11541),
    [anon_sym_for] = ACTIONS(11541),
    [anon_sym_while] = ACTIONS(11541),
    [sym_break_statement] = ACTIONS(11541),
    [sym_continue_statement] = ACTIONS(11541),
    [anon_sym_return] = ACTIONS(11541),
    [anon_sym_const] = ACTIONS(11541),
    [anon_sym_global] = ACTIONS(11541),
    [anon_sym_local] = ACTIONS(11541),
    [anon_sym_LPAREN] = ACTIONS(11541),
    [anon_sym_COLON] = ACTIONS(11541),
    [anon_sym_export] = ACTIONS(11541),
    [anon_sym_public] = ACTIONS(11541),
    [anon_sym_import] = ACTIONS(11541),
    [anon_sym_using] = ACTIONS(11541),
    [anon_sym_LBRACK] = ACTIONS(11541),
    [anon_sym_in] = ACTIONS(11541),
    [anon_sym_SEMI] = ACTIONS(11541),
    [anon_sym_LBRACE] = ACTIONS(11541),
    [anon_sym_DOLLAR] = ACTIONS(11541),
    [anon_sym_COLON2] = ACTIONS(11541),
    [anon_sym_COLON_COLON] = ACTIONS(11541),
    [anon_sym_isa] = ACTIONS(11541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11541),
    [anon_sym_QMARK] = ACTIONS(11541),
    [anon_sym_where] = ACTIONS(11541),
    [anon_sym_AT] = ACTIONS(11541),
    [anon_sym_true] = ACTIONS(11541),
    [anon_sym_false] = ACTIONS(11541),
    [aux_sym_integer_literal_token1] = ACTIONS(11541),
    [aux_sym_integer_literal_token2] = ACTIONS(11541),
    [aux_sym_integer_literal_token3] = ACTIONS(11541),
    [aux_sym_integer_literal_token4] = ACTIONS(11541),
    [aux_sym_float_literal_token1] = ACTIONS(11541),
    [aux_sym_float_literal_token3] = ACTIONS(11541),
    [aux_sym_float_literal_token4] = ACTIONS(11541),
    [sym_character_literal] = ACTIONS(11541),
    [anon_sym_DQUOTE] = ACTIONS(11541),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11541),
    [anon_sym_BQUOTE] = ACTIONS(11541),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11541),
    [sym__pair_operator] = ACTIONS(11541),
    [sym__arrow_operator] = ACTIONS(11541),
    [sym__lazy_or_operator] = ACTIONS(11541),
    [sym__lazy_and_operator] = ACTIONS(11541),
    [sym__comparison_operator] = ACTIONS(11541),
    [sym__pipe_right_operator] = ACTIONS(11541),
    [sym__pipe_left_operator] = ACTIONS(11541),
    [sym__ellipsis_operator] = ACTIONS(11541),
    [sym__plus_operator] = ACTIONS(11541),
    [sym__times_operator] = ACTIONS(11541),
    [sym__rational_operator] = ACTIONS(11541),
    [sym__bitshift_operator] = ACTIONS(11541),
    [sym__power_operator] = ACTIONS(11541),
    [sym__tilde_operator] = ACTIONS(11541),
    [sym__type_order_operator] = ACTIONS(11541),
    [sym__unary_operator] = ACTIONS(11541),
    [sym__unary_plus_operator] = ACTIONS(11541),
    [aux_sym__terminator_token1] = ACTIONS(11543),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8625] = {
    [sym_block_comment] = STATE(8625),
    [sym_line_comment] = STATE(8625),
    [ts_builtin_sym_end] = ACTIONS(11507),
    [sym__word_identifier] = ACTIONS(11505),
    [anon_sym_COMMA] = ACTIONS(11505),
    [anon_sym_EQ] = ACTIONS(11505),
    [anon_sym_begin] = ACTIONS(11505),
    [anon_sym_module] = ACTIONS(11505),
    [anon_sym_baremodule] = ACTIONS(11505),
    [anon_sym_abstract] = ACTIONS(11505),
    [anon_sym_primitive] = ACTIONS(11505),
    [anon_sym_mutable] = ACTIONS(11505),
    [anon_sym_struct] = ACTIONS(11505),
    [anon_sym_function] = ACTIONS(11505),
    [anon_sym_macro] = ACTIONS(11505),
    [anon_sym_quote] = ACTIONS(11505),
    [anon_sym_let] = ACTIONS(11505),
    [anon_sym_if] = ACTIONS(11505),
    [anon_sym_try] = ACTIONS(11505),
    [anon_sym_for] = ACTIONS(11505),
    [anon_sym_while] = ACTIONS(11505),
    [sym_break_statement] = ACTIONS(11505),
    [sym_continue_statement] = ACTIONS(11505),
    [anon_sym_return] = ACTIONS(11505),
    [anon_sym_const] = ACTIONS(11505),
    [anon_sym_global] = ACTIONS(11505),
    [anon_sym_local] = ACTIONS(11505),
    [anon_sym_LPAREN] = ACTIONS(11505),
    [anon_sym_COLON] = ACTIONS(11505),
    [anon_sym_export] = ACTIONS(11505),
    [anon_sym_public] = ACTIONS(11505),
    [anon_sym_import] = ACTIONS(11505),
    [anon_sym_using] = ACTIONS(11505),
    [anon_sym_LBRACK] = ACTIONS(11505),
    [anon_sym_RBRACK] = ACTIONS(11505),
    [anon_sym_in] = ACTIONS(11505),
    [anon_sym_SEMI] = ACTIONS(11505),
    [anon_sym_LBRACE] = ACTIONS(11505),
    [anon_sym_DOLLAR] = ACTIONS(11505),
    [anon_sym_COLON2] = ACTIONS(11505),
    [anon_sym_COLON_COLON] = ACTIONS(11505),
    [anon_sym_isa] = ACTIONS(11505),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11505),
    [anon_sym_QMARK] = ACTIONS(11505),
    [anon_sym_where] = ACTIONS(11505),
    [anon_sym_AT] = ACTIONS(11505),
    [anon_sym_true] = ACTIONS(11505),
    [anon_sym_false] = ACTIONS(11505),
    [aux_sym_integer_literal_token1] = ACTIONS(11505),
    [aux_sym_integer_literal_token2] = ACTIONS(11505),
    [aux_sym_integer_literal_token3] = ACTIONS(11505),
    [aux_sym_integer_literal_token4] = ACTIONS(11505),
    [aux_sym_float_literal_token1] = ACTIONS(11505),
    [aux_sym_float_literal_token3] = ACTIONS(11505),
    [aux_sym_float_literal_token4] = ACTIONS(11505),
    [sym_character_literal] = ACTIONS(11505),
    [anon_sym_DQUOTE] = ACTIONS(11505),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11505),
    [anon_sym_BQUOTE] = ACTIONS(11505),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11505),
    [sym__pair_operator] = ACTIONS(11505),
    [sym__arrow_operator] = ACTIONS(11505),
    [sym__lazy_or_operator] = ACTIONS(11505),
    [sym__lazy_and_operator] = ACTIONS(11505),
    [sym__comparison_operator] = ACTIONS(11505),
    [sym__pipe_right_operator] = ACTIONS(11505),
    [sym__pipe_left_operator] = ACTIONS(11505),
    [sym__ellipsis_operator] = ACTIONS(11505),
    [sym__plus_operator] = ACTIONS(11505),
    [sym__times_operator] = ACTIONS(11505),
    [sym__rational_operator] = ACTIONS(11505),
    [sym__bitshift_operator] = ACTIONS(11505),
    [sym__power_operator] = ACTIONS(11505),
    [sym__tilde_operator] = ACTIONS(11505),
    [sym__type_order_operator] = ACTIONS(11505),
    [sym__unary_operator] = ACTIONS(11505),
    [sym__unary_plus_operator] = ACTIONS(11505),
    [aux_sym__terminator_token1] = ACTIONS(11507),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8626] = {
    [sym_block_comment] = STATE(8626),
    [sym_line_comment] = STATE(8626),
    [ts_builtin_sym_end] = ACTIONS(11511),
    [sym__word_identifier] = ACTIONS(11509),
    [anon_sym_COMMA] = ACTIONS(11509),
    [anon_sym_EQ] = ACTIONS(11509),
    [anon_sym_begin] = ACTIONS(11509),
    [anon_sym_module] = ACTIONS(11509),
    [anon_sym_baremodule] = ACTIONS(11509),
    [anon_sym_abstract] = ACTIONS(11509),
    [anon_sym_primitive] = ACTIONS(11509),
    [anon_sym_mutable] = ACTIONS(11509),
    [anon_sym_struct] = ACTIONS(11509),
    [anon_sym_function] = ACTIONS(11509),
    [anon_sym_macro] = ACTIONS(11509),
    [anon_sym_quote] = ACTIONS(11509),
    [anon_sym_let] = ACTIONS(11509),
    [anon_sym_if] = ACTIONS(11509),
    [anon_sym_try] = ACTIONS(11509),
    [anon_sym_for] = ACTIONS(11509),
    [anon_sym_while] = ACTIONS(11509),
    [sym_break_statement] = ACTIONS(11509),
    [sym_continue_statement] = ACTIONS(11509),
    [anon_sym_return] = ACTIONS(11509),
    [anon_sym_const] = ACTIONS(11509),
    [anon_sym_global] = ACTIONS(11509),
    [anon_sym_local] = ACTIONS(11509),
    [anon_sym_LPAREN] = ACTIONS(11509),
    [anon_sym_COLON] = ACTIONS(11509),
    [anon_sym_export] = ACTIONS(11509),
    [anon_sym_public] = ACTIONS(11509),
    [anon_sym_import] = ACTIONS(11509),
    [anon_sym_using] = ACTIONS(11509),
    [anon_sym_LBRACK] = ACTIONS(11509),
    [anon_sym_RBRACK] = ACTIONS(11509),
    [anon_sym_in] = ACTIONS(11509),
    [anon_sym_SEMI] = ACTIONS(11509),
    [anon_sym_LBRACE] = ACTIONS(11509),
    [anon_sym_DOLLAR] = ACTIONS(11509),
    [anon_sym_COLON2] = ACTIONS(11509),
    [anon_sym_COLON_COLON] = ACTIONS(11509),
    [anon_sym_isa] = ACTIONS(11509),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11509),
    [anon_sym_QMARK] = ACTIONS(11509),
    [anon_sym_where] = ACTIONS(11509),
    [anon_sym_AT] = ACTIONS(11509),
    [anon_sym_true] = ACTIONS(11509),
    [anon_sym_false] = ACTIONS(11509),
    [aux_sym_integer_literal_token1] = ACTIONS(11509),
    [aux_sym_integer_literal_token2] = ACTIONS(11509),
    [aux_sym_integer_literal_token3] = ACTIONS(11509),
    [aux_sym_integer_literal_token4] = ACTIONS(11509),
    [aux_sym_float_literal_token1] = ACTIONS(11509),
    [aux_sym_float_literal_token3] = ACTIONS(11509),
    [aux_sym_float_literal_token4] = ACTIONS(11509),
    [sym_character_literal] = ACTIONS(11509),
    [anon_sym_DQUOTE] = ACTIONS(11509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11509),
    [anon_sym_BQUOTE] = ACTIONS(11509),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11509),
    [sym__pair_operator] = ACTIONS(11509),
    [sym__arrow_operator] = ACTIONS(11509),
    [sym__lazy_or_operator] = ACTIONS(11509),
    [sym__lazy_and_operator] = ACTIONS(11509),
    [sym__comparison_operator] = ACTIONS(11509),
    [sym__pipe_right_operator] = ACTIONS(11509),
    [sym__pipe_left_operator] = ACTIONS(11509),
    [sym__ellipsis_operator] = ACTIONS(11509),
    [sym__plus_operator] = ACTIONS(11509),
    [sym__times_operator] = ACTIONS(11509),
    [sym__rational_operator] = ACTIONS(11509),
    [sym__bitshift_operator] = ACTIONS(11509),
    [sym__power_operator] = ACTIONS(11509),
    [sym__tilde_operator] = ACTIONS(11509),
    [sym__type_order_operator] = ACTIONS(11509),
    [sym__unary_operator] = ACTIONS(11509),
    [sym__unary_plus_operator] = ACTIONS(11509),
    [aux_sym__terminator_token1] = ACTIONS(11511),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8627] = {
    [sym_block_comment] = STATE(8627),
    [sym_line_comment] = STATE(8627),
    [ts_builtin_sym_end] = ACTIONS(11515),
    [sym__word_identifier] = ACTIONS(11513),
    [anon_sym_COMMA] = ACTIONS(11513),
    [anon_sym_EQ] = ACTIONS(11513),
    [anon_sym_begin] = ACTIONS(11513),
    [anon_sym_module] = ACTIONS(11513),
    [anon_sym_baremodule] = ACTIONS(11513),
    [anon_sym_abstract] = ACTIONS(11513),
    [anon_sym_primitive] = ACTIONS(11513),
    [anon_sym_mutable] = ACTIONS(11513),
    [anon_sym_struct] = ACTIONS(11513),
    [anon_sym_function] = ACTIONS(11513),
    [anon_sym_macro] = ACTIONS(11513),
    [anon_sym_quote] = ACTIONS(11513),
    [anon_sym_let] = ACTIONS(11513),
    [anon_sym_if] = ACTIONS(11513),
    [anon_sym_try] = ACTIONS(11513),
    [anon_sym_for] = ACTIONS(11513),
    [anon_sym_while] = ACTIONS(11513),
    [sym_break_statement] = ACTIONS(11513),
    [sym_continue_statement] = ACTIONS(11513),
    [anon_sym_return] = ACTIONS(11513),
    [anon_sym_const] = ACTIONS(11513),
    [anon_sym_global] = ACTIONS(11513),
    [anon_sym_local] = ACTIONS(11513),
    [anon_sym_LPAREN] = ACTIONS(11513),
    [anon_sym_COLON] = ACTIONS(11513),
    [anon_sym_export] = ACTIONS(11513),
    [anon_sym_public] = ACTIONS(11513),
    [anon_sym_import] = ACTIONS(11513),
    [anon_sym_using] = ACTIONS(11513),
    [anon_sym_LBRACK] = ACTIONS(11513),
    [anon_sym_RBRACK] = ACTIONS(11513),
    [anon_sym_in] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(11513),
    [anon_sym_LBRACE] = ACTIONS(11513),
    [anon_sym_DOLLAR] = ACTIONS(11513),
    [anon_sym_COLON2] = ACTIONS(11513),
    [anon_sym_COLON_COLON] = ACTIONS(11513),
    [anon_sym_isa] = ACTIONS(11513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11513),
    [anon_sym_QMARK] = ACTIONS(11513),
    [anon_sym_where] = ACTIONS(11513),
    [anon_sym_AT] = ACTIONS(11513),
    [anon_sym_true] = ACTIONS(11513),
    [anon_sym_false] = ACTIONS(11513),
    [aux_sym_integer_literal_token1] = ACTIONS(11513),
    [aux_sym_integer_literal_token2] = ACTIONS(11513),
    [aux_sym_integer_literal_token3] = ACTIONS(11513),
    [aux_sym_integer_literal_token4] = ACTIONS(11513),
    [aux_sym_float_literal_token1] = ACTIONS(11513),
    [aux_sym_float_literal_token3] = ACTIONS(11513),
    [aux_sym_float_literal_token4] = ACTIONS(11513),
    [sym_character_literal] = ACTIONS(11513),
    [anon_sym_DQUOTE] = ACTIONS(11513),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11513),
    [anon_sym_BQUOTE] = ACTIONS(11513),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11513),
    [sym__pair_operator] = ACTIONS(11513),
    [sym__arrow_operator] = ACTIONS(11513),
    [sym__lazy_or_operator] = ACTIONS(11513),
    [sym__lazy_and_operator] = ACTIONS(11513),
    [sym__comparison_operator] = ACTIONS(11513),
    [sym__pipe_right_operator] = ACTIONS(11513),
    [sym__pipe_left_operator] = ACTIONS(11513),
    [sym__ellipsis_operator] = ACTIONS(11513),
    [sym__plus_operator] = ACTIONS(11513),
    [sym__times_operator] = ACTIONS(11513),
    [sym__rational_operator] = ACTIONS(11513),
    [sym__bitshift_operator] = ACTIONS(11513),
    [sym__power_operator] = ACTIONS(11513),
    [sym__tilde_operator] = ACTIONS(11513),
    [sym__type_order_operator] = ACTIONS(11513),
    [sym__unary_operator] = ACTIONS(11513),
    [sym__unary_plus_operator] = ACTIONS(11513),
    [aux_sym__terminator_token1] = ACTIONS(11515),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8628] = {
    [sym_block_comment] = STATE(8628),
    [sym_line_comment] = STATE(8628),
    [ts_builtin_sym_end] = ACTIONS(11519),
    [sym__word_identifier] = ACTIONS(11517),
    [anon_sym_COMMA] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(11517),
    [anon_sym_begin] = ACTIONS(11517),
    [anon_sym_module] = ACTIONS(11517),
    [anon_sym_baremodule] = ACTIONS(11517),
    [anon_sym_abstract] = ACTIONS(11517),
    [anon_sym_primitive] = ACTIONS(11517),
    [anon_sym_mutable] = ACTIONS(11517),
    [anon_sym_struct] = ACTIONS(11517),
    [anon_sym_function] = ACTIONS(11517),
    [anon_sym_macro] = ACTIONS(11517),
    [anon_sym_quote] = ACTIONS(11517),
    [anon_sym_let] = ACTIONS(11517),
    [anon_sym_if] = ACTIONS(11517),
    [anon_sym_try] = ACTIONS(11517),
    [anon_sym_for] = ACTIONS(11517),
    [anon_sym_while] = ACTIONS(11517),
    [sym_break_statement] = ACTIONS(11517),
    [sym_continue_statement] = ACTIONS(11517),
    [anon_sym_return] = ACTIONS(11517),
    [anon_sym_const] = ACTIONS(11517),
    [anon_sym_global] = ACTIONS(11517),
    [anon_sym_local] = ACTIONS(11517),
    [anon_sym_LPAREN] = ACTIONS(11517),
    [anon_sym_COLON] = ACTIONS(11517),
    [anon_sym_export] = ACTIONS(11517),
    [anon_sym_public] = ACTIONS(11517),
    [anon_sym_import] = ACTIONS(11517),
    [anon_sym_using] = ACTIONS(11517),
    [anon_sym_LBRACK] = ACTIONS(11517),
    [anon_sym_RBRACK] = ACTIONS(11517),
    [anon_sym_in] = ACTIONS(11517),
    [anon_sym_SEMI] = ACTIONS(11517),
    [anon_sym_LBRACE] = ACTIONS(11517),
    [anon_sym_DOLLAR] = ACTIONS(11517),
    [anon_sym_COLON2] = ACTIONS(11517),
    [anon_sym_COLON_COLON] = ACTIONS(11517),
    [anon_sym_isa] = ACTIONS(11517),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11517),
    [anon_sym_QMARK] = ACTIONS(11517),
    [anon_sym_where] = ACTIONS(11517),
    [anon_sym_AT] = ACTIONS(11517),
    [anon_sym_true] = ACTIONS(11517),
    [anon_sym_false] = ACTIONS(11517),
    [aux_sym_integer_literal_token1] = ACTIONS(11517),
    [aux_sym_integer_literal_token2] = ACTIONS(11517),
    [aux_sym_integer_literal_token3] = ACTIONS(11517),
    [aux_sym_integer_literal_token4] = ACTIONS(11517),
    [aux_sym_float_literal_token1] = ACTIONS(11517),
    [aux_sym_float_literal_token3] = ACTIONS(11517),
    [aux_sym_float_literal_token4] = ACTIONS(11517),
    [sym_character_literal] = ACTIONS(11517),
    [anon_sym_DQUOTE] = ACTIONS(11517),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11517),
    [anon_sym_BQUOTE] = ACTIONS(11517),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11517),
    [sym__pair_operator] = ACTIONS(11517),
    [sym__arrow_operator] = ACTIONS(11517),
    [sym__lazy_or_operator] = ACTIONS(11517),
    [sym__lazy_and_operator] = ACTIONS(11517),
    [sym__comparison_operator] = ACTIONS(11517),
    [sym__pipe_right_operator] = ACTIONS(11517),
    [sym__pipe_left_operator] = ACTIONS(11517),
    [sym__ellipsis_operator] = ACTIONS(11517),
    [sym__plus_operator] = ACTIONS(11517),
    [sym__times_operator] = ACTIONS(11517),
    [sym__rational_operator] = ACTIONS(11517),
    [sym__bitshift_operator] = ACTIONS(11517),
    [sym__power_operator] = ACTIONS(11517),
    [sym__tilde_operator] = ACTIONS(11517),
    [sym__type_order_operator] = ACTIONS(11517),
    [sym__unary_operator] = ACTIONS(11517),
    [sym__unary_plus_operator] = ACTIONS(11517),
    [aux_sym__terminator_token1] = ACTIONS(11519),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8629] = {
    [sym_block_comment] = STATE(8629),
    [sym_line_comment] = STATE(8629),
    [ts_builtin_sym_end] = ACTIONS(11523),
    [sym__word_identifier] = ACTIONS(11521),
    [anon_sym_COMMA] = ACTIONS(11521),
    [anon_sym_EQ] = ACTIONS(11521),
    [anon_sym_begin] = ACTIONS(11521),
    [anon_sym_module] = ACTIONS(11521),
    [anon_sym_baremodule] = ACTIONS(11521),
    [anon_sym_abstract] = ACTIONS(11521),
    [anon_sym_primitive] = ACTIONS(11521),
    [anon_sym_mutable] = ACTIONS(11521),
    [anon_sym_struct] = ACTIONS(11521),
    [anon_sym_function] = ACTIONS(11521),
    [anon_sym_macro] = ACTIONS(11521),
    [anon_sym_quote] = ACTIONS(11521),
    [anon_sym_let] = ACTIONS(11521),
    [anon_sym_if] = ACTIONS(11521),
    [anon_sym_try] = ACTIONS(11521),
    [anon_sym_for] = ACTIONS(11521),
    [anon_sym_while] = ACTIONS(11521),
    [sym_break_statement] = ACTIONS(11521),
    [sym_continue_statement] = ACTIONS(11521),
    [anon_sym_return] = ACTIONS(11521),
    [anon_sym_const] = ACTIONS(11521),
    [anon_sym_global] = ACTIONS(11521),
    [anon_sym_local] = ACTIONS(11521),
    [anon_sym_LPAREN] = ACTIONS(11521),
    [anon_sym_COLON] = ACTIONS(11521),
    [anon_sym_export] = ACTIONS(11521),
    [anon_sym_public] = ACTIONS(11521),
    [anon_sym_import] = ACTIONS(11521),
    [anon_sym_using] = ACTIONS(11521),
    [anon_sym_LBRACK] = ACTIONS(11521),
    [anon_sym_RBRACK] = ACTIONS(11521),
    [anon_sym_in] = ACTIONS(11521),
    [anon_sym_SEMI] = ACTIONS(11521),
    [anon_sym_LBRACE] = ACTIONS(11521),
    [anon_sym_DOLLAR] = ACTIONS(11521),
    [anon_sym_COLON2] = ACTIONS(11521),
    [anon_sym_COLON_COLON] = ACTIONS(11521),
    [anon_sym_isa] = ACTIONS(11521),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11521),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_where] = ACTIONS(11521),
    [anon_sym_AT] = ACTIONS(11521),
    [anon_sym_true] = ACTIONS(11521),
    [anon_sym_false] = ACTIONS(11521),
    [aux_sym_integer_literal_token1] = ACTIONS(11521),
    [aux_sym_integer_literal_token2] = ACTIONS(11521),
    [aux_sym_integer_literal_token3] = ACTIONS(11521),
    [aux_sym_integer_literal_token4] = ACTIONS(11521),
    [aux_sym_float_literal_token1] = ACTIONS(11521),
    [aux_sym_float_literal_token3] = ACTIONS(11521),
    [aux_sym_float_literal_token4] = ACTIONS(11521),
    [sym_character_literal] = ACTIONS(11521),
    [anon_sym_DQUOTE] = ACTIONS(11521),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11521),
    [anon_sym_BQUOTE] = ACTIONS(11521),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11521),
    [sym__pair_operator] = ACTIONS(11521),
    [sym__arrow_operator] = ACTIONS(11521),
    [sym__lazy_or_operator] = ACTIONS(11521),
    [sym__lazy_and_operator] = ACTIONS(11521),
    [sym__comparison_operator] = ACTIONS(11521),
    [sym__pipe_right_operator] = ACTIONS(11521),
    [sym__pipe_left_operator] = ACTIONS(11521),
    [sym__ellipsis_operator] = ACTIONS(11521),
    [sym__plus_operator] = ACTIONS(11521),
    [sym__times_operator] = ACTIONS(11521),
    [sym__rational_operator] = ACTIONS(11521),
    [sym__bitshift_operator] = ACTIONS(11521),
    [sym__power_operator] = ACTIONS(11521),
    [sym__tilde_operator] = ACTIONS(11521),
    [sym__type_order_operator] = ACTIONS(11521),
    [sym__unary_operator] = ACTIONS(11521),
    [sym__unary_plus_operator] = ACTIONS(11521),
    [aux_sym__terminator_token1] = ACTIONS(11523),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8630] = {
    [sym_block_comment] = STATE(8630),
    [sym_line_comment] = STATE(8630),
    [ts_builtin_sym_end] = ACTIONS(11527),
    [sym__word_identifier] = ACTIONS(11525),
    [anon_sym_COMMA] = ACTIONS(11525),
    [anon_sym_EQ] = ACTIONS(11525),
    [anon_sym_begin] = ACTIONS(11525),
    [anon_sym_module] = ACTIONS(11525),
    [anon_sym_baremodule] = ACTIONS(11525),
    [anon_sym_abstract] = ACTIONS(11525),
    [anon_sym_primitive] = ACTIONS(11525),
    [anon_sym_mutable] = ACTIONS(11525),
    [anon_sym_struct] = ACTIONS(11525),
    [anon_sym_function] = ACTIONS(11525),
    [anon_sym_macro] = ACTIONS(11525),
    [anon_sym_quote] = ACTIONS(11525),
    [anon_sym_let] = ACTIONS(11525),
    [anon_sym_if] = ACTIONS(11525),
    [anon_sym_try] = ACTIONS(11525),
    [anon_sym_for] = ACTIONS(11525),
    [anon_sym_while] = ACTIONS(11525),
    [sym_break_statement] = ACTIONS(11525),
    [sym_continue_statement] = ACTIONS(11525),
    [anon_sym_return] = ACTIONS(11525),
    [anon_sym_const] = ACTIONS(11525),
    [anon_sym_global] = ACTIONS(11525),
    [anon_sym_local] = ACTIONS(11525),
    [anon_sym_LPAREN] = ACTIONS(11525),
    [anon_sym_COLON] = ACTIONS(11525),
    [anon_sym_export] = ACTIONS(11525),
    [anon_sym_public] = ACTIONS(11525),
    [anon_sym_import] = ACTIONS(11525),
    [anon_sym_using] = ACTIONS(11525),
    [anon_sym_LBRACK] = ACTIONS(11525),
    [anon_sym_RBRACK] = ACTIONS(11525),
    [anon_sym_in] = ACTIONS(11525),
    [anon_sym_SEMI] = ACTIONS(11525),
    [anon_sym_LBRACE] = ACTIONS(11525),
    [anon_sym_DOLLAR] = ACTIONS(11525),
    [anon_sym_COLON2] = ACTIONS(11525),
    [anon_sym_COLON_COLON] = ACTIONS(11525),
    [anon_sym_isa] = ACTIONS(11525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_QMARK] = ACTIONS(11525),
    [anon_sym_where] = ACTIONS(11525),
    [anon_sym_AT] = ACTIONS(11525),
    [anon_sym_true] = ACTIONS(11525),
    [anon_sym_false] = ACTIONS(11525),
    [aux_sym_integer_literal_token1] = ACTIONS(11525),
    [aux_sym_integer_literal_token2] = ACTIONS(11525),
    [aux_sym_integer_literal_token3] = ACTIONS(11525),
    [aux_sym_integer_literal_token4] = ACTIONS(11525),
    [aux_sym_float_literal_token1] = ACTIONS(11525),
    [aux_sym_float_literal_token3] = ACTIONS(11525),
    [aux_sym_float_literal_token4] = ACTIONS(11525),
    [sym_character_literal] = ACTIONS(11525),
    [anon_sym_DQUOTE] = ACTIONS(11525),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11525),
    [anon_sym_BQUOTE] = ACTIONS(11525),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11525),
    [sym__pair_operator] = ACTIONS(11525),
    [sym__arrow_operator] = ACTIONS(11525),
    [sym__lazy_or_operator] = ACTIONS(11525),
    [sym__lazy_and_operator] = ACTIONS(11525),
    [sym__comparison_operator] = ACTIONS(11525),
    [sym__pipe_right_operator] = ACTIONS(11525),
    [sym__pipe_left_operator] = ACTIONS(11525),
    [sym__ellipsis_operator] = ACTIONS(11525),
    [sym__plus_operator] = ACTIONS(11525),
    [sym__times_operator] = ACTIONS(11525),
    [sym__rational_operator] = ACTIONS(11525),
    [sym__bitshift_operator] = ACTIONS(11525),
    [sym__power_operator] = ACTIONS(11525),
    [sym__tilde_operator] = ACTIONS(11525),
    [sym__type_order_operator] = ACTIONS(11525),
    [sym__unary_operator] = ACTIONS(11525),
    [sym__unary_plus_operator] = ACTIONS(11525),
    [aux_sym__terminator_token1] = ACTIONS(11527),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8631] = {
    [sym_block_comment] = STATE(8631),
    [sym_line_comment] = STATE(8631),
    [ts_builtin_sym_end] = ACTIONS(11531),
    [sym__word_identifier] = ACTIONS(11529),
    [anon_sym_COMMA] = ACTIONS(11529),
    [anon_sym_EQ] = ACTIONS(11529),
    [anon_sym_begin] = ACTIONS(11529),
    [anon_sym_module] = ACTIONS(11529),
    [anon_sym_baremodule] = ACTIONS(11529),
    [anon_sym_abstract] = ACTIONS(11529),
    [anon_sym_primitive] = ACTIONS(11529),
    [anon_sym_mutable] = ACTIONS(11529),
    [anon_sym_struct] = ACTIONS(11529),
    [anon_sym_function] = ACTIONS(11529),
    [anon_sym_macro] = ACTIONS(11529),
    [anon_sym_quote] = ACTIONS(11529),
    [anon_sym_let] = ACTIONS(11529),
    [anon_sym_if] = ACTIONS(11529),
    [anon_sym_try] = ACTIONS(11529),
    [anon_sym_for] = ACTIONS(11529),
    [anon_sym_while] = ACTIONS(11529),
    [sym_break_statement] = ACTIONS(11529),
    [sym_continue_statement] = ACTIONS(11529),
    [anon_sym_return] = ACTIONS(11529),
    [anon_sym_const] = ACTIONS(11529),
    [anon_sym_global] = ACTIONS(11529),
    [anon_sym_local] = ACTIONS(11529),
    [anon_sym_LPAREN] = ACTIONS(11529),
    [anon_sym_COLON] = ACTIONS(11529),
    [anon_sym_export] = ACTIONS(11529),
    [anon_sym_public] = ACTIONS(11529),
    [anon_sym_import] = ACTIONS(11529),
    [anon_sym_using] = ACTIONS(11529),
    [anon_sym_LBRACK] = ACTIONS(11529),
    [anon_sym_RBRACK] = ACTIONS(11529),
    [anon_sym_in] = ACTIONS(11529),
    [anon_sym_SEMI] = ACTIONS(11529),
    [anon_sym_LBRACE] = ACTIONS(11529),
    [anon_sym_DOLLAR] = ACTIONS(11529),
    [anon_sym_COLON2] = ACTIONS(11529),
    [anon_sym_COLON_COLON] = ACTIONS(11529),
    [anon_sym_isa] = ACTIONS(11529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11529),
    [anon_sym_QMARK] = ACTIONS(11529),
    [anon_sym_where] = ACTIONS(11529),
    [anon_sym_AT] = ACTIONS(11529),
    [anon_sym_true] = ACTIONS(11529),
    [anon_sym_false] = ACTIONS(11529),
    [aux_sym_integer_literal_token1] = ACTIONS(11529),
    [aux_sym_integer_literal_token2] = ACTIONS(11529),
    [aux_sym_integer_literal_token3] = ACTIONS(11529),
    [aux_sym_integer_literal_token4] = ACTIONS(11529),
    [aux_sym_float_literal_token1] = ACTIONS(11529),
    [aux_sym_float_literal_token3] = ACTIONS(11529),
    [aux_sym_float_literal_token4] = ACTIONS(11529),
    [sym_character_literal] = ACTIONS(11529),
    [anon_sym_DQUOTE] = ACTIONS(11529),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11529),
    [anon_sym_BQUOTE] = ACTIONS(11529),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11529),
    [sym__pair_operator] = ACTIONS(11529),
    [sym__arrow_operator] = ACTIONS(11529),
    [sym__lazy_or_operator] = ACTIONS(11529),
    [sym__lazy_and_operator] = ACTIONS(11529),
    [sym__comparison_operator] = ACTIONS(11529),
    [sym__pipe_right_operator] = ACTIONS(11529),
    [sym__pipe_left_operator] = ACTIONS(11529),
    [sym__ellipsis_operator] = ACTIONS(11529),
    [sym__plus_operator] = ACTIONS(11529),
    [sym__times_operator] = ACTIONS(11529),
    [sym__rational_operator] = ACTIONS(11529),
    [sym__bitshift_operator] = ACTIONS(11529),
    [sym__power_operator] = ACTIONS(11529),
    [sym__tilde_operator] = ACTIONS(11529),
    [sym__type_order_operator] = ACTIONS(11529),
    [sym__unary_operator] = ACTIONS(11529),
    [sym__unary_plus_operator] = ACTIONS(11529),
    [aux_sym__terminator_token1] = ACTIONS(11531),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8632] = {
    [sym_block_comment] = STATE(8632),
    [sym_line_comment] = STATE(8632),
    [ts_builtin_sym_end] = ACTIONS(11535),
    [sym__word_identifier] = ACTIONS(11533),
    [anon_sym_COMMA] = ACTIONS(11533),
    [anon_sym_EQ] = ACTIONS(11533),
    [anon_sym_begin] = ACTIONS(11533),
    [anon_sym_module] = ACTIONS(11533),
    [anon_sym_baremodule] = ACTIONS(11533),
    [anon_sym_abstract] = ACTIONS(11533),
    [anon_sym_primitive] = ACTIONS(11533),
    [anon_sym_mutable] = ACTIONS(11533),
    [anon_sym_struct] = ACTIONS(11533),
    [anon_sym_function] = ACTIONS(11533),
    [anon_sym_macro] = ACTIONS(11533),
    [anon_sym_quote] = ACTIONS(11533),
    [anon_sym_let] = ACTIONS(11533),
    [anon_sym_if] = ACTIONS(11533),
    [anon_sym_try] = ACTIONS(11533),
    [anon_sym_for] = ACTIONS(11533),
    [anon_sym_while] = ACTIONS(11533),
    [sym_break_statement] = ACTIONS(11533),
    [sym_continue_statement] = ACTIONS(11533),
    [anon_sym_return] = ACTIONS(11533),
    [anon_sym_const] = ACTIONS(11533),
    [anon_sym_global] = ACTIONS(11533),
    [anon_sym_local] = ACTIONS(11533),
    [anon_sym_LPAREN] = ACTIONS(11533),
    [anon_sym_COLON] = ACTIONS(11533),
    [anon_sym_export] = ACTIONS(11533),
    [anon_sym_public] = ACTIONS(11533),
    [anon_sym_import] = ACTIONS(11533),
    [anon_sym_using] = ACTIONS(11533),
    [anon_sym_LBRACK] = ACTIONS(11533),
    [anon_sym_RBRACK] = ACTIONS(11533),
    [anon_sym_in] = ACTIONS(11533),
    [anon_sym_SEMI] = ACTIONS(11533),
    [anon_sym_LBRACE] = ACTIONS(11533),
    [anon_sym_DOLLAR] = ACTIONS(11533),
    [anon_sym_COLON2] = ACTIONS(11533),
    [anon_sym_COLON_COLON] = ACTIONS(11533),
    [anon_sym_isa] = ACTIONS(11533),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11533),
    [anon_sym_QMARK] = ACTIONS(11533),
    [anon_sym_where] = ACTIONS(11533),
    [anon_sym_AT] = ACTIONS(11533),
    [anon_sym_true] = ACTIONS(11533),
    [anon_sym_false] = ACTIONS(11533),
    [aux_sym_integer_literal_token1] = ACTIONS(11533),
    [aux_sym_integer_literal_token2] = ACTIONS(11533),
    [aux_sym_integer_literal_token3] = ACTIONS(11533),
    [aux_sym_integer_literal_token4] = ACTIONS(11533),
    [aux_sym_float_literal_token1] = ACTIONS(11533),
    [aux_sym_float_literal_token3] = ACTIONS(11533),
    [aux_sym_float_literal_token4] = ACTIONS(11533),
    [sym_character_literal] = ACTIONS(11533),
    [anon_sym_DQUOTE] = ACTIONS(11533),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11533),
    [anon_sym_BQUOTE] = ACTIONS(11533),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11533),
    [sym__pair_operator] = ACTIONS(11533),
    [sym__arrow_operator] = ACTIONS(11533),
    [sym__lazy_or_operator] = ACTIONS(11533),
    [sym__lazy_and_operator] = ACTIONS(11533),
    [sym__comparison_operator] = ACTIONS(11533),
    [sym__pipe_right_operator] = ACTIONS(11533),
    [sym__pipe_left_operator] = ACTIONS(11533),
    [sym__ellipsis_operator] = ACTIONS(11533),
    [sym__plus_operator] = ACTIONS(11533),
    [sym__times_operator] = ACTIONS(11533),
    [sym__rational_operator] = ACTIONS(11533),
    [sym__bitshift_operator] = ACTIONS(11533),
    [sym__power_operator] = ACTIONS(11533),
    [sym__tilde_operator] = ACTIONS(11533),
    [sym__type_order_operator] = ACTIONS(11533),
    [sym__unary_operator] = ACTIONS(11533),
    [sym__unary_plus_operator] = ACTIONS(11533),
    [aux_sym__terminator_token1] = ACTIONS(11535),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8633] = {
    [sym_block_comment] = STATE(8633),
    [sym_line_comment] = STATE(8633),
    [ts_builtin_sym_end] = ACTIONS(11539),
    [sym__word_identifier] = ACTIONS(11537),
    [anon_sym_COMMA] = ACTIONS(11537),
    [anon_sym_EQ] = ACTIONS(11537),
    [anon_sym_begin] = ACTIONS(11537),
    [anon_sym_module] = ACTIONS(11537),
    [anon_sym_baremodule] = ACTIONS(11537),
    [anon_sym_abstract] = ACTIONS(11537),
    [anon_sym_primitive] = ACTIONS(11537),
    [anon_sym_mutable] = ACTIONS(11537),
    [anon_sym_struct] = ACTIONS(11537),
    [anon_sym_function] = ACTIONS(11537),
    [anon_sym_macro] = ACTIONS(11537),
    [anon_sym_quote] = ACTIONS(11537),
    [anon_sym_let] = ACTIONS(11537),
    [anon_sym_if] = ACTIONS(11537),
    [anon_sym_try] = ACTIONS(11537),
    [anon_sym_for] = ACTIONS(11537),
    [anon_sym_while] = ACTIONS(11537),
    [sym_break_statement] = ACTIONS(11537),
    [sym_continue_statement] = ACTIONS(11537),
    [anon_sym_return] = ACTIONS(11537),
    [anon_sym_const] = ACTIONS(11537),
    [anon_sym_global] = ACTIONS(11537),
    [anon_sym_local] = ACTIONS(11537),
    [anon_sym_LPAREN] = ACTIONS(11537),
    [anon_sym_COLON] = ACTIONS(11537),
    [anon_sym_export] = ACTIONS(11537),
    [anon_sym_public] = ACTIONS(11537),
    [anon_sym_import] = ACTIONS(11537),
    [anon_sym_using] = ACTIONS(11537),
    [anon_sym_LBRACK] = ACTIONS(11537),
    [anon_sym_RBRACK] = ACTIONS(11537),
    [anon_sym_in] = ACTIONS(11537),
    [anon_sym_SEMI] = ACTIONS(11537),
    [anon_sym_LBRACE] = ACTIONS(11537),
    [anon_sym_DOLLAR] = ACTIONS(11537),
    [anon_sym_COLON2] = ACTIONS(11537),
    [anon_sym_COLON_COLON] = ACTIONS(11537),
    [anon_sym_isa] = ACTIONS(11537),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11537),
    [anon_sym_QMARK] = ACTIONS(11537),
    [anon_sym_where] = ACTIONS(11537),
    [anon_sym_AT] = ACTIONS(11537),
    [anon_sym_true] = ACTIONS(11537),
    [anon_sym_false] = ACTIONS(11537),
    [aux_sym_integer_literal_token1] = ACTIONS(11537),
    [aux_sym_integer_literal_token2] = ACTIONS(11537),
    [aux_sym_integer_literal_token3] = ACTIONS(11537),
    [aux_sym_integer_literal_token4] = ACTIONS(11537),
    [aux_sym_float_literal_token1] = ACTIONS(11537),
    [aux_sym_float_literal_token3] = ACTIONS(11537),
    [aux_sym_float_literal_token4] = ACTIONS(11537),
    [sym_character_literal] = ACTIONS(11537),
    [anon_sym_DQUOTE] = ACTIONS(11537),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11537),
    [anon_sym_BQUOTE] = ACTIONS(11537),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11537),
    [sym__pair_operator] = ACTIONS(11537),
    [sym__arrow_operator] = ACTIONS(11537),
    [sym__lazy_or_operator] = ACTIONS(11537),
    [sym__lazy_and_operator] = ACTIONS(11537),
    [sym__comparison_operator] = ACTIONS(11537),
    [sym__pipe_right_operator] = ACTIONS(11537),
    [sym__pipe_left_operator] = ACTIONS(11537),
    [sym__ellipsis_operator] = ACTIONS(11537),
    [sym__plus_operator] = ACTIONS(11537),
    [sym__times_operator] = ACTIONS(11537),
    [sym__rational_operator] = ACTIONS(11537),
    [sym__bitshift_operator] = ACTIONS(11537),
    [sym__power_operator] = ACTIONS(11537),
    [sym__tilde_operator] = ACTIONS(11537),
    [sym__type_order_operator] = ACTIONS(11537),
    [sym__unary_operator] = ACTIONS(11537),
    [sym__unary_plus_operator] = ACTIONS(11537),
    [aux_sym__terminator_token1] = ACTIONS(11539),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8634] = {
    [sym_block_comment] = STATE(8634),
    [sym_line_comment] = STATE(8634),
    [ts_builtin_sym_end] = ACTIONS(11543),
    [sym__word_identifier] = ACTIONS(11541),
    [anon_sym_COMMA] = ACTIONS(11541),
    [anon_sym_EQ] = ACTIONS(11541),
    [anon_sym_begin] = ACTIONS(11541),
    [anon_sym_module] = ACTIONS(11541),
    [anon_sym_baremodule] = ACTIONS(11541),
    [anon_sym_abstract] = ACTIONS(11541),
    [anon_sym_primitive] = ACTIONS(11541),
    [anon_sym_mutable] = ACTIONS(11541),
    [anon_sym_struct] = ACTIONS(11541),
    [anon_sym_function] = ACTIONS(11541),
    [anon_sym_macro] = ACTIONS(11541),
    [anon_sym_quote] = ACTIONS(11541),
    [anon_sym_let] = ACTIONS(11541),
    [anon_sym_if] = ACTIONS(11541),
    [anon_sym_try] = ACTIONS(11541),
    [anon_sym_for] = ACTIONS(11541),
    [anon_sym_while] = ACTIONS(11541),
    [sym_break_statement] = ACTIONS(11541),
    [sym_continue_statement] = ACTIONS(11541),
    [anon_sym_return] = ACTIONS(11541),
    [anon_sym_const] = ACTIONS(11541),
    [anon_sym_global] = ACTIONS(11541),
    [anon_sym_local] = ACTIONS(11541),
    [anon_sym_LPAREN] = ACTIONS(11541),
    [anon_sym_COLON] = ACTIONS(11541),
    [anon_sym_export] = ACTIONS(11541),
    [anon_sym_public] = ACTIONS(11541),
    [anon_sym_import] = ACTIONS(11541),
    [anon_sym_using] = ACTIONS(11541),
    [anon_sym_LBRACK] = ACTIONS(11541),
    [anon_sym_RBRACK] = ACTIONS(11541),
    [anon_sym_in] = ACTIONS(11541),
    [anon_sym_SEMI] = ACTIONS(11541),
    [anon_sym_LBRACE] = ACTIONS(11541),
    [anon_sym_DOLLAR] = ACTIONS(11541),
    [anon_sym_COLON2] = ACTIONS(11541),
    [anon_sym_COLON_COLON] = ACTIONS(11541),
    [anon_sym_isa] = ACTIONS(11541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11541),
    [anon_sym_QMARK] = ACTIONS(11541),
    [anon_sym_where] = ACTIONS(11541),
    [anon_sym_AT] = ACTIONS(11541),
    [anon_sym_true] = ACTIONS(11541),
    [anon_sym_false] = ACTIONS(11541),
    [aux_sym_integer_literal_token1] = ACTIONS(11541),
    [aux_sym_integer_literal_token2] = ACTIONS(11541),
    [aux_sym_integer_literal_token3] = ACTIONS(11541),
    [aux_sym_integer_literal_token4] = ACTIONS(11541),
    [aux_sym_float_literal_token1] = ACTIONS(11541),
    [aux_sym_float_literal_token3] = ACTIONS(11541),
    [aux_sym_float_literal_token4] = ACTIONS(11541),
    [sym_character_literal] = ACTIONS(11541),
    [anon_sym_DQUOTE] = ACTIONS(11541),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11541),
    [anon_sym_BQUOTE] = ACTIONS(11541),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11541),
    [sym__pair_operator] = ACTIONS(11541),
    [sym__arrow_operator] = ACTIONS(11541),
    [sym__lazy_or_operator] = ACTIONS(11541),
    [sym__lazy_and_operator] = ACTIONS(11541),
    [sym__comparison_operator] = ACTIONS(11541),
    [sym__pipe_right_operator] = ACTIONS(11541),
    [sym__pipe_left_operator] = ACTIONS(11541),
    [sym__ellipsis_operator] = ACTIONS(11541),
    [sym__plus_operator] = ACTIONS(11541),
    [sym__times_operator] = ACTIONS(11541),
    [sym__rational_operator] = ACTIONS(11541),
    [sym__bitshift_operator] = ACTIONS(11541),
    [sym__power_operator] = ACTIONS(11541),
    [sym__tilde_operator] = ACTIONS(11541),
    [sym__type_order_operator] = ACTIONS(11541),
    [sym__unary_operator] = ACTIONS(11541),
    [sym__unary_plus_operator] = ACTIONS(11541),
    [aux_sym__terminator_token1] = ACTIONS(11543),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8635] = {
    [sym_block_comment] = STATE(8635),
    [sym_line_comment] = STATE(8635),
    [ts_builtin_sym_end] = ACTIONS(11547),
    [sym__word_identifier] = ACTIONS(11545),
    [anon_sym_COMMA] = ACTIONS(11545),
    [anon_sym_EQ] = ACTIONS(11545),
    [anon_sym_begin] = ACTIONS(11545),
    [anon_sym_module] = ACTIONS(11545),
    [anon_sym_baremodule] = ACTIONS(11545),
    [anon_sym_abstract] = ACTIONS(11545),
    [anon_sym_primitive] = ACTIONS(11545),
    [anon_sym_mutable] = ACTIONS(11545),
    [anon_sym_struct] = ACTIONS(11545),
    [anon_sym_function] = ACTIONS(11545),
    [anon_sym_macro] = ACTIONS(11545),
    [anon_sym_quote] = ACTIONS(11545),
    [anon_sym_let] = ACTIONS(11545),
    [anon_sym_if] = ACTIONS(11545),
    [anon_sym_try] = ACTIONS(11545),
    [anon_sym_for] = ACTIONS(11545),
    [anon_sym_while] = ACTIONS(11545),
    [sym_break_statement] = ACTIONS(11545),
    [sym_continue_statement] = ACTIONS(11545),
    [anon_sym_return] = ACTIONS(11545),
    [anon_sym_const] = ACTIONS(11545),
    [anon_sym_global] = ACTIONS(11545),
    [anon_sym_local] = ACTIONS(11545),
    [anon_sym_LPAREN] = ACTIONS(11545),
    [anon_sym_COLON] = ACTIONS(11545),
    [anon_sym_export] = ACTIONS(11545),
    [anon_sym_public] = ACTIONS(11545),
    [anon_sym_import] = ACTIONS(11545),
    [anon_sym_using] = ACTIONS(11545),
    [anon_sym_LBRACK] = ACTIONS(11545),
    [anon_sym_RBRACK] = ACTIONS(11545),
    [anon_sym_in] = ACTIONS(11545),
    [anon_sym_SEMI] = ACTIONS(11545),
    [anon_sym_LBRACE] = ACTIONS(11545),
    [anon_sym_DOLLAR] = ACTIONS(11545),
    [anon_sym_COLON2] = ACTIONS(11545),
    [anon_sym_COLON_COLON] = ACTIONS(11545),
    [anon_sym_isa] = ACTIONS(11545),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11545),
    [anon_sym_QMARK] = ACTIONS(11545),
    [anon_sym_where] = ACTIONS(11545),
    [anon_sym_AT] = ACTIONS(11545),
    [anon_sym_true] = ACTIONS(11545),
    [anon_sym_false] = ACTIONS(11545),
    [aux_sym_integer_literal_token1] = ACTIONS(11545),
    [aux_sym_integer_literal_token2] = ACTIONS(11545),
    [aux_sym_integer_literal_token3] = ACTIONS(11545),
    [aux_sym_integer_literal_token4] = ACTIONS(11545),
    [aux_sym_float_literal_token1] = ACTIONS(11545),
    [aux_sym_float_literal_token3] = ACTIONS(11545),
    [aux_sym_float_literal_token4] = ACTIONS(11545),
    [sym_character_literal] = ACTIONS(11545),
    [anon_sym_DQUOTE] = ACTIONS(11545),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11545),
    [anon_sym_BQUOTE] = ACTIONS(11545),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11545),
    [sym__pair_operator] = ACTIONS(11545),
    [sym__arrow_operator] = ACTIONS(11545),
    [sym__lazy_or_operator] = ACTIONS(11545),
    [sym__lazy_and_operator] = ACTIONS(11545),
    [sym__comparison_operator] = ACTIONS(11545),
    [sym__pipe_right_operator] = ACTIONS(11545),
    [sym__pipe_left_operator] = ACTIONS(11545),
    [sym__ellipsis_operator] = ACTIONS(11545),
    [sym__plus_operator] = ACTIONS(11545),
    [sym__times_operator] = ACTIONS(11545),
    [sym__rational_operator] = ACTIONS(11545),
    [sym__bitshift_operator] = ACTIONS(11545),
    [sym__power_operator] = ACTIONS(11545),
    [sym__tilde_operator] = ACTIONS(11545),
    [sym__type_order_operator] = ACTIONS(11545),
    [sym__unary_operator] = ACTIONS(11545),
    [sym__unary_plus_operator] = ACTIONS(11545),
    [aux_sym__terminator_token1] = ACTIONS(11547),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8636] = {
    [sym_block_comment] = STATE(8636),
    [sym_line_comment] = STATE(8636),
    [ts_builtin_sym_end] = ACTIONS(11551),
    [sym__word_identifier] = ACTIONS(11549),
    [anon_sym_COMMA] = ACTIONS(11549),
    [anon_sym_EQ] = ACTIONS(11549),
    [anon_sym_begin] = ACTIONS(11549),
    [anon_sym_module] = ACTIONS(11549),
    [anon_sym_baremodule] = ACTIONS(11549),
    [anon_sym_abstract] = ACTIONS(11549),
    [anon_sym_primitive] = ACTIONS(11549),
    [anon_sym_mutable] = ACTIONS(11549),
    [anon_sym_struct] = ACTIONS(11549),
    [anon_sym_function] = ACTIONS(11549),
    [anon_sym_macro] = ACTIONS(11549),
    [anon_sym_quote] = ACTIONS(11549),
    [anon_sym_let] = ACTIONS(11549),
    [anon_sym_if] = ACTIONS(11549),
    [anon_sym_try] = ACTIONS(11549),
    [anon_sym_for] = ACTIONS(11549),
    [anon_sym_while] = ACTIONS(11549),
    [sym_break_statement] = ACTIONS(11549),
    [sym_continue_statement] = ACTIONS(11549),
    [anon_sym_return] = ACTIONS(11549),
    [anon_sym_const] = ACTIONS(11549),
    [anon_sym_global] = ACTIONS(11549),
    [anon_sym_local] = ACTIONS(11549),
    [anon_sym_LPAREN] = ACTIONS(11549),
    [anon_sym_COLON] = ACTIONS(11549),
    [anon_sym_export] = ACTIONS(11549),
    [anon_sym_public] = ACTIONS(11549),
    [anon_sym_import] = ACTIONS(11549),
    [anon_sym_using] = ACTIONS(11549),
    [anon_sym_LBRACK] = ACTIONS(11549),
    [anon_sym_RBRACK] = ACTIONS(11549),
    [anon_sym_in] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(11549),
    [anon_sym_LBRACE] = ACTIONS(11549),
    [anon_sym_DOLLAR] = ACTIONS(11549),
    [anon_sym_COLON2] = ACTIONS(11549),
    [anon_sym_COLON_COLON] = ACTIONS(11549),
    [anon_sym_isa] = ACTIONS(11549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11549),
    [anon_sym_QMARK] = ACTIONS(11549),
    [anon_sym_where] = ACTIONS(11549),
    [anon_sym_AT] = ACTIONS(11549),
    [anon_sym_true] = ACTIONS(11549),
    [anon_sym_false] = ACTIONS(11549),
    [aux_sym_integer_literal_token1] = ACTIONS(11549),
    [aux_sym_integer_literal_token2] = ACTIONS(11549),
    [aux_sym_integer_literal_token3] = ACTIONS(11549),
    [aux_sym_integer_literal_token4] = ACTIONS(11549),
    [aux_sym_float_literal_token1] = ACTIONS(11549),
    [aux_sym_float_literal_token3] = ACTIONS(11549),
    [aux_sym_float_literal_token4] = ACTIONS(11549),
    [sym_character_literal] = ACTIONS(11549),
    [anon_sym_DQUOTE] = ACTIONS(11549),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11549),
    [anon_sym_BQUOTE] = ACTIONS(11549),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11549),
    [sym__pair_operator] = ACTIONS(11549),
    [sym__arrow_operator] = ACTIONS(11549),
    [sym__lazy_or_operator] = ACTIONS(11549),
    [sym__lazy_and_operator] = ACTIONS(11549),
    [sym__comparison_operator] = ACTIONS(11549),
    [sym__pipe_right_operator] = ACTIONS(11549),
    [sym__pipe_left_operator] = ACTIONS(11549),
    [sym__ellipsis_operator] = ACTIONS(11549),
    [sym__plus_operator] = ACTIONS(11549),
    [sym__times_operator] = ACTIONS(11549),
    [sym__rational_operator] = ACTIONS(11549),
    [sym__bitshift_operator] = ACTIONS(11549),
    [sym__power_operator] = ACTIONS(11549),
    [sym__tilde_operator] = ACTIONS(11549),
    [sym__type_order_operator] = ACTIONS(11549),
    [sym__unary_operator] = ACTIONS(11549),
    [sym__unary_plus_operator] = ACTIONS(11549),
    [aux_sym__terminator_token1] = ACTIONS(11551),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8637] = {
    [sym_block_comment] = STATE(8637),
    [sym_line_comment] = STATE(8637),
    [ts_builtin_sym_end] = ACTIONS(11555),
    [sym__word_identifier] = ACTIONS(11553),
    [anon_sym_COMMA] = ACTIONS(11553),
    [anon_sym_EQ] = ACTIONS(11553),
    [anon_sym_begin] = ACTIONS(11553),
    [anon_sym_module] = ACTIONS(11553),
    [anon_sym_baremodule] = ACTIONS(11553),
    [anon_sym_abstract] = ACTIONS(11553),
    [anon_sym_primitive] = ACTIONS(11553),
    [anon_sym_mutable] = ACTIONS(11553),
    [anon_sym_struct] = ACTIONS(11553),
    [anon_sym_function] = ACTIONS(11553),
    [anon_sym_macro] = ACTIONS(11553),
    [anon_sym_quote] = ACTIONS(11553),
    [anon_sym_let] = ACTIONS(11553),
    [anon_sym_if] = ACTIONS(11553),
    [anon_sym_try] = ACTIONS(11553),
    [anon_sym_for] = ACTIONS(11553),
    [anon_sym_while] = ACTIONS(11553),
    [sym_break_statement] = ACTIONS(11553),
    [sym_continue_statement] = ACTIONS(11553),
    [anon_sym_return] = ACTIONS(11553),
    [anon_sym_const] = ACTIONS(11553),
    [anon_sym_global] = ACTIONS(11553),
    [anon_sym_local] = ACTIONS(11553),
    [anon_sym_LPAREN] = ACTIONS(11553),
    [anon_sym_COLON] = ACTIONS(11553),
    [anon_sym_export] = ACTIONS(11553),
    [anon_sym_public] = ACTIONS(11553),
    [anon_sym_import] = ACTIONS(11553),
    [anon_sym_using] = ACTIONS(11553),
    [anon_sym_LBRACK] = ACTIONS(11553),
    [anon_sym_RBRACK] = ACTIONS(11553),
    [anon_sym_in] = ACTIONS(11553),
    [anon_sym_SEMI] = ACTIONS(11553),
    [anon_sym_LBRACE] = ACTIONS(11553),
    [anon_sym_DOLLAR] = ACTIONS(11553),
    [anon_sym_COLON2] = ACTIONS(11553),
    [anon_sym_COLON_COLON] = ACTIONS(11553),
    [anon_sym_isa] = ACTIONS(11553),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11553),
    [anon_sym_QMARK] = ACTIONS(11553),
    [anon_sym_where] = ACTIONS(11553),
    [anon_sym_AT] = ACTIONS(11553),
    [anon_sym_true] = ACTIONS(11553),
    [anon_sym_false] = ACTIONS(11553),
    [aux_sym_integer_literal_token1] = ACTIONS(11553),
    [aux_sym_integer_literal_token2] = ACTIONS(11553),
    [aux_sym_integer_literal_token3] = ACTIONS(11553),
    [aux_sym_integer_literal_token4] = ACTIONS(11553),
    [aux_sym_float_literal_token1] = ACTIONS(11553),
    [aux_sym_float_literal_token3] = ACTIONS(11553),
    [aux_sym_float_literal_token4] = ACTIONS(11553),
    [sym_character_literal] = ACTIONS(11553),
    [anon_sym_DQUOTE] = ACTIONS(11553),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11553),
    [anon_sym_BQUOTE] = ACTIONS(11553),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11553),
    [sym__pair_operator] = ACTIONS(11553),
    [sym__arrow_operator] = ACTIONS(11553),
    [sym__lazy_or_operator] = ACTIONS(11553),
    [sym__lazy_and_operator] = ACTIONS(11553),
    [sym__comparison_operator] = ACTIONS(11553),
    [sym__pipe_right_operator] = ACTIONS(11553),
    [sym__pipe_left_operator] = ACTIONS(11553),
    [sym__ellipsis_operator] = ACTIONS(11553),
    [sym__plus_operator] = ACTIONS(11553),
    [sym__times_operator] = ACTIONS(11553),
    [sym__rational_operator] = ACTIONS(11553),
    [sym__bitshift_operator] = ACTIONS(11553),
    [sym__power_operator] = ACTIONS(11553),
    [sym__tilde_operator] = ACTIONS(11553),
    [sym__type_order_operator] = ACTIONS(11553),
    [sym__unary_operator] = ACTIONS(11553),
    [sym__unary_plus_operator] = ACTIONS(11553),
    [aux_sym__terminator_token1] = ACTIONS(11555),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8638] = {
    [sym_block_comment] = STATE(8638),
    [sym_line_comment] = STATE(8638),
    [sym__word_identifier] = ACTIONS(11545),
    [anon_sym_COMMA] = ACTIONS(11545),
    [anon_sym_EQ] = ACTIONS(11545),
    [anon_sym_begin] = ACTIONS(11545),
    [anon_sym_module] = ACTIONS(11545),
    [anon_sym_baremodule] = ACTIONS(11545),
    [anon_sym_end] = ACTIONS(11545),
    [anon_sym_abstract] = ACTIONS(11545),
    [anon_sym_primitive] = ACTIONS(11545),
    [anon_sym_mutable] = ACTIONS(11545),
    [anon_sym_struct] = ACTIONS(11545),
    [anon_sym_function] = ACTIONS(11545),
    [anon_sym_macro] = ACTIONS(11545),
    [anon_sym_quote] = ACTIONS(11545),
    [anon_sym_let] = ACTIONS(11545),
    [anon_sym_if] = ACTIONS(11545),
    [anon_sym_try] = ACTIONS(11545),
    [anon_sym_finally] = ACTIONS(11545),
    [anon_sym_for] = ACTIONS(11545),
    [anon_sym_while] = ACTIONS(11545),
    [sym_break_statement] = ACTIONS(11545),
    [sym_continue_statement] = ACTIONS(11545),
    [anon_sym_return] = ACTIONS(11545),
    [anon_sym_const] = ACTIONS(11545),
    [anon_sym_global] = ACTIONS(11545),
    [anon_sym_local] = ACTIONS(11545),
    [anon_sym_LPAREN] = ACTIONS(11545),
    [anon_sym_COLON] = ACTIONS(11545),
    [anon_sym_export] = ACTIONS(11545),
    [anon_sym_public] = ACTIONS(11545),
    [anon_sym_import] = ACTIONS(11545),
    [anon_sym_using] = ACTIONS(11545),
    [anon_sym_LBRACK] = ACTIONS(11545),
    [anon_sym_in] = ACTIONS(11545),
    [anon_sym_SEMI] = ACTIONS(11545),
    [anon_sym_LBRACE] = ACTIONS(11545),
    [anon_sym_DOLLAR] = ACTIONS(11545),
    [anon_sym_COLON2] = ACTIONS(11545),
    [anon_sym_COLON_COLON] = ACTIONS(11545),
    [anon_sym_isa] = ACTIONS(11545),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11545),
    [anon_sym_QMARK] = ACTIONS(11545),
    [anon_sym_where] = ACTIONS(11545),
    [anon_sym_AT] = ACTIONS(11545),
    [anon_sym_true] = ACTIONS(11545),
    [anon_sym_false] = ACTIONS(11545),
    [aux_sym_integer_literal_token1] = ACTIONS(11545),
    [aux_sym_integer_literal_token2] = ACTIONS(11545),
    [aux_sym_integer_literal_token3] = ACTIONS(11545),
    [aux_sym_integer_literal_token4] = ACTIONS(11545),
    [aux_sym_float_literal_token1] = ACTIONS(11545),
    [aux_sym_float_literal_token3] = ACTIONS(11545),
    [aux_sym_float_literal_token4] = ACTIONS(11545),
    [sym_character_literal] = ACTIONS(11545),
    [anon_sym_DQUOTE] = ACTIONS(11545),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11545),
    [anon_sym_BQUOTE] = ACTIONS(11545),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11545),
    [sym__pair_operator] = ACTIONS(11545),
    [sym__arrow_operator] = ACTIONS(11545),
    [sym__lazy_or_operator] = ACTIONS(11545),
    [sym__lazy_and_operator] = ACTIONS(11545),
    [sym__comparison_operator] = ACTIONS(11545),
    [sym__pipe_right_operator] = ACTIONS(11545),
    [sym__pipe_left_operator] = ACTIONS(11545),
    [sym__ellipsis_operator] = ACTIONS(11545),
    [sym__plus_operator] = ACTIONS(11545),
    [sym__times_operator] = ACTIONS(11545),
    [sym__rational_operator] = ACTIONS(11545),
    [sym__bitshift_operator] = ACTIONS(11545),
    [sym__power_operator] = ACTIONS(11545),
    [sym__tilde_operator] = ACTIONS(11545),
    [sym__type_order_operator] = ACTIONS(11545),
    [sym__unary_operator] = ACTIONS(11545),
    [sym__unary_plus_operator] = ACTIONS(11545),
    [aux_sym__terminator_token1] = ACTIONS(11547),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8639] = {
    [sym_block_comment] = STATE(8639),
    [sym_line_comment] = STATE(8639),
    [ts_builtin_sym_end] = ACTIONS(11559),
    [sym__word_identifier] = ACTIONS(11557),
    [anon_sym_COMMA] = ACTIONS(11557),
    [anon_sym_EQ] = ACTIONS(11557),
    [anon_sym_begin] = ACTIONS(11557),
    [anon_sym_module] = ACTIONS(11557),
    [anon_sym_baremodule] = ACTIONS(11557),
    [anon_sym_abstract] = ACTIONS(11557),
    [anon_sym_primitive] = ACTIONS(11557),
    [anon_sym_mutable] = ACTIONS(11557),
    [anon_sym_struct] = ACTIONS(11557),
    [anon_sym_function] = ACTIONS(11557),
    [anon_sym_macro] = ACTIONS(11557),
    [anon_sym_quote] = ACTIONS(11557),
    [anon_sym_let] = ACTIONS(11557),
    [anon_sym_if] = ACTIONS(11557),
    [anon_sym_try] = ACTIONS(11557),
    [anon_sym_for] = ACTIONS(11557),
    [anon_sym_while] = ACTIONS(11557),
    [sym_break_statement] = ACTIONS(11557),
    [sym_continue_statement] = ACTIONS(11557),
    [anon_sym_return] = ACTIONS(11557),
    [anon_sym_const] = ACTIONS(11557),
    [anon_sym_global] = ACTIONS(11557),
    [anon_sym_local] = ACTIONS(11557),
    [anon_sym_LPAREN] = ACTIONS(11557),
    [anon_sym_COLON] = ACTIONS(11557),
    [anon_sym_export] = ACTIONS(11557),
    [anon_sym_public] = ACTIONS(11557),
    [anon_sym_import] = ACTIONS(11557),
    [anon_sym_using] = ACTIONS(11557),
    [anon_sym_LBRACK] = ACTIONS(11557),
    [anon_sym_RBRACK] = ACTIONS(11557),
    [anon_sym_in] = ACTIONS(11557),
    [anon_sym_SEMI] = ACTIONS(11557),
    [anon_sym_LBRACE] = ACTIONS(11557),
    [anon_sym_DOLLAR] = ACTIONS(11557),
    [anon_sym_COLON2] = ACTIONS(11557),
    [anon_sym_COLON_COLON] = ACTIONS(11557),
    [anon_sym_isa] = ACTIONS(11557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11557),
    [anon_sym_QMARK] = ACTIONS(11557),
    [anon_sym_where] = ACTIONS(11557),
    [anon_sym_AT] = ACTIONS(11557),
    [anon_sym_true] = ACTIONS(11557),
    [anon_sym_false] = ACTIONS(11557),
    [aux_sym_integer_literal_token1] = ACTIONS(11557),
    [aux_sym_integer_literal_token2] = ACTIONS(11557),
    [aux_sym_integer_literal_token3] = ACTIONS(11557),
    [aux_sym_integer_literal_token4] = ACTIONS(11557),
    [aux_sym_float_literal_token1] = ACTIONS(11557),
    [aux_sym_float_literal_token3] = ACTIONS(11557),
    [aux_sym_float_literal_token4] = ACTIONS(11557),
    [sym_character_literal] = ACTIONS(11557),
    [anon_sym_DQUOTE] = ACTIONS(11557),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11557),
    [anon_sym_BQUOTE] = ACTIONS(11557),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11557),
    [sym__pair_operator] = ACTIONS(11557),
    [sym__arrow_operator] = ACTIONS(11557),
    [sym__lazy_or_operator] = ACTIONS(11557),
    [sym__lazy_and_operator] = ACTIONS(11557),
    [sym__comparison_operator] = ACTIONS(11557),
    [sym__pipe_right_operator] = ACTIONS(11557),
    [sym__pipe_left_operator] = ACTIONS(11557),
    [sym__ellipsis_operator] = ACTIONS(11557),
    [sym__plus_operator] = ACTIONS(11557),
    [sym__times_operator] = ACTIONS(11557),
    [sym__rational_operator] = ACTIONS(11557),
    [sym__bitshift_operator] = ACTIONS(11557),
    [sym__power_operator] = ACTIONS(11557),
    [sym__tilde_operator] = ACTIONS(11557),
    [sym__type_order_operator] = ACTIONS(11557),
    [sym__unary_operator] = ACTIONS(11557),
    [sym__unary_plus_operator] = ACTIONS(11557),
    [aux_sym__terminator_token1] = ACTIONS(11559),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8640] = {
    [sym_block_comment] = STATE(8640),
    [sym_line_comment] = STATE(8640),
    [ts_builtin_sym_end] = ACTIONS(11563),
    [sym__word_identifier] = ACTIONS(11561),
    [anon_sym_COMMA] = ACTIONS(11561),
    [anon_sym_EQ] = ACTIONS(11561),
    [anon_sym_begin] = ACTIONS(11561),
    [anon_sym_module] = ACTIONS(11561),
    [anon_sym_baremodule] = ACTIONS(11561),
    [anon_sym_abstract] = ACTIONS(11561),
    [anon_sym_primitive] = ACTIONS(11561),
    [anon_sym_mutable] = ACTIONS(11561),
    [anon_sym_struct] = ACTIONS(11561),
    [anon_sym_function] = ACTIONS(11561),
    [anon_sym_macro] = ACTIONS(11561),
    [anon_sym_quote] = ACTIONS(11561),
    [anon_sym_let] = ACTIONS(11561),
    [anon_sym_if] = ACTIONS(11561),
    [anon_sym_try] = ACTIONS(11561),
    [anon_sym_for] = ACTIONS(11561),
    [anon_sym_while] = ACTIONS(11561),
    [sym_break_statement] = ACTIONS(11561),
    [sym_continue_statement] = ACTIONS(11561),
    [anon_sym_return] = ACTIONS(11561),
    [anon_sym_const] = ACTIONS(11561),
    [anon_sym_global] = ACTIONS(11561),
    [anon_sym_local] = ACTIONS(11561),
    [anon_sym_LPAREN] = ACTIONS(11561),
    [anon_sym_COLON] = ACTIONS(11561),
    [anon_sym_export] = ACTIONS(11561),
    [anon_sym_public] = ACTIONS(11561),
    [anon_sym_import] = ACTIONS(11561),
    [anon_sym_using] = ACTIONS(11561),
    [anon_sym_LBRACK] = ACTIONS(11561),
    [anon_sym_RBRACK] = ACTIONS(11561),
    [anon_sym_in] = ACTIONS(11561),
    [anon_sym_SEMI] = ACTIONS(11561),
    [anon_sym_LBRACE] = ACTIONS(11561),
    [anon_sym_DOLLAR] = ACTIONS(11561),
    [anon_sym_COLON2] = ACTIONS(11561),
    [anon_sym_COLON_COLON] = ACTIONS(11561),
    [anon_sym_isa] = ACTIONS(11561),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11561),
    [anon_sym_QMARK] = ACTIONS(11561),
    [anon_sym_where] = ACTIONS(11561),
    [anon_sym_AT] = ACTIONS(11561),
    [anon_sym_true] = ACTIONS(11561),
    [anon_sym_false] = ACTIONS(11561),
    [aux_sym_integer_literal_token1] = ACTIONS(11561),
    [aux_sym_integer_literal_token2] = ACTIONS(11561),
    [aux_sym_integer_literal_token3] = ACTIONS(11561),
    [aux_sym_integer_literal_token4] = ACTIONS(11561),
    [aux_sym_float_literal_token1] = ACTIONS(11561),
    [aux_sym_float_literal_token3] = ACTIONS(11561),
    [aux_sym_float_literal_token4] = ACTIONS(11561),
    [sym_character_literal] = ACTIONS(11561),
    [anon_sym_DQUOTE] = ACTIONS(11561),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11561),
    [anon_sym_BQUOTE] = ACTIONS(11561),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11561),
    [sym__pair_operator] = ACTIONS(11561),
    [sym__arrow_operator] = ACTIONS(11561),
    [sym__lazy_or_operator] = ACTIONS(11561),
    [sym__lazy_and_operator] = ACTIONS(11561),
    [sym__comparison_operator] = ACTIONS(11561),
    [sym__pipe_right_operator] = ACTIONS(11561),
    [sym__pipe_left_operator] = ACTIONS(11561),
    [sym__ellipsis_operator] = ACTIONS(11561),
    [sym__plus_operator] = ACTIONS(11561),
    [sym__times_operator] = ACTIONS(11561),
    [sym__rational_operator] = ACTIONS(11561),
    [sym__bitshift_operator] = ACTIONS(11561),
    [sym__power_operator] = ACTIONS(11561),
    [sym__tilde_operator] = ACTIONS(11561),
    [sym__type_order_operator] = ACTIONS(11561),
    [sym__unary_operator] = ACTIONS(11561),
    [sym__unary_plus_operator] = ACTIONS(11561),
    [aux_sym__terminator_token1] = ACTIONS(11563),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8641] = {
    [sym_block_comment] = STATE(8641),
    [sym_line_comment] = STATE(8641),
    [aux_sym_export_statement_repeat1] = STATE(8708),
    [sym__word_identifier] = ACTIONS(11286),
    [anon_sym_COMMA] = ACTIONS(12522),
    [anon_sym_EQ] = ACTIONS(11286),
    [anon_sym_begin] = ACTIONS(11286),
    [anon_sym_module] = ACTIONS(11286),
    [anon_sym_baremodule] = ACTIONS(11286),
    [anon_sym_end] = ACTIONS(11286),
    [anon_sym_abstract] = ACTIONS(11286),
    [anon_sym_primitive] = ACTIONS(11286),
    [anon_sym_mutable] = ACTIONS(11286),
    [anon_sym_struct] = ACTIONS(11286),
    [anon_sym_function] = ACTIONS(11286),
    [anon_sym_macro] = ACTIONS(11286),
    [anon_sym_quote] = ACTIONS(11286),
    [anon_sym_let] = ACTIONS(11286),
    [anon_sym_if] = ACTIONS(11286),
    [anon_sym_try] = ACTIONS(11286),
    [anon_sym_for] = ACTIONS(11286),
    [anon_sym_while] = ACTIONS(11286),
    [sym_break_statement] = ACTIONS(11286),
    [sym_continue_statement] = ACTIONS(11286),
    [anon_sym_return] = ACTIONS(11286),
    [anon_sym_const] = ACTIONS(11286),
    [anon_sym_global] = ACTIONS(11286),
    [anon_sym_local] = ACTIONS(11286),
    [anon_sym_LPAREN] = ACTIONS(11286),
    [anon_sym_COLON] = ACTIONS(11286),
    [anon_sym_export] = ACTIONS(11286),
    [anon_sym_public] = ACTIONS(11286),
    [anon_sym_import] = ACTIONS(11286),
    [anon_sym_using] = ACTIONS(11286),
    [anon_sym_LBRACK] = ACTIONS(11286),
    [anon_sym_in] = ACTIONS(11286),
    [anon_sym_SEMI] = ACTIONS(11286),
    [anon_sym_LBRACE] = ACTIONS(11286),
    [anon_sym_DOLLAR] = ACTIONS(11286),
    [anon_sym_COLON2] = ACTIONS(11286),
    [anon_sym_COLON_COLON] = ACTIONS(11286),
    [anon_sym_isa] = ACTIONS(11286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11286),
    [anon_sym_QMARK] = ACTIONS(11286),
    [anon_sym_where] = ACTIONS(11286),
    [anon_sym_AT] = ACTIONS(11286),
    [anon_sym_true] = ACTIONS(11286),
    [anon_sym_false] = ACTIONS(11286),
    [aux_sym_integer_literal_token1] = ACTIONS(11286),
    [aux_sym_integer_literal_token2] = ACTIONS(11286),
    [aux_sym_integer_literal_token3] = ACTIONS(11286),
    [aux_sym_integer_literal_token4] = ACTIONS(11286),
    [aux_sym_float_literal_token1] = ACTIONS(11286),
    [aux_sym_float_literal_token3] = ACTIONS(11286),
    [aux_sym_float_literal_token4] = ACTIONS(11286),
    [sym_character_literal] = ACTIONS(11286),
    [anon_sym_DQUOTE] = ACTIONS(11286),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11286),
    [anon_sym_BQUOTE] = ACTIONS(11286),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11286),
    [sym__pair_operator] = ACTIONS(11286),
    [sym__arrow_operator] = ACTIONS(11286),
    [sym__lazy_or_operator] = ACTIONS(11286),
    [sym__lazy_and_operator] = ACTIONS(11286),
    [sym__comparison_operator] = ACTIONS(11286),
    [sym__pipe_right_operator] = ACTIONS(11286),
    [sym__pipe_left_operator] = ACTIONS(11286),
    [sym__ellipsis_operator] = ACTIONS(11286),
    [sym__plus_operator] = ACTIONS(11286),
    [sym__times_operator] = ACTIONS(11286),
    [sym__rational_operator] = ACTIONS(11286),
    [sym__bitshift_operator] = ACTIONS(11286),
    [sym__power_operator] = ACTIONS(11286),
    [sym__tilde_operator] = ACTIONS(11286),
    [sym__type_order_operator] = ACTIONS(11286),
    [sym__unary_operator] = ACTIONS(11286),
    [sym__unary_plus_operator] = ACTIONS(11286),
    [aux_sym__terminator_token1] = ACTIONS(11288),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8642] = {
    [sym_block_comment] = STATE(8642),
    [sym_line_comment] = STATE(8642),
    [sym__word_identifier] = ACTIONS(11549),
    [anon_sym_COMMA] = ACTIONS(11549),
    [anon_sym_EQ] = ACTIONS(11549),
    [anon_sym_begin] = ACTIONS(11549),
    [anon_sym_module] = ACTIONS(11549),
    [anon_sym_baremodule] = ACTIONS(11549),
    [anon_sym_end] = ACTIONS(11549),
    [anon_sym_abstract] = ACTIONS(11549),
    [anon_sym_primitive] = ACTIONS(11549),
    [anon_sym_mutable] = ACTIONS(11549),
    [anon_sym_struct] = ACTIONS(11549),
    [anon_sym_function] = ACTIONS(11549),
    [anon_sym_macro] = ACTIONS(11549),
    [anon_sym_quote] = ACTIONS(11549),
    [anon_sym_let] = ACTIONS(11549),
    [anon_sym_if] = ACTIONS(11549),
    [anon_sym_try] = ACTIONS(11549),
    [anon_sym_finally] = ACTIONS(11549),
    [anon_sym_for] = ACTIONS(11549),
    [anon_sym_while] = ACTIONS(11549),
    [sym_break_statement] = ACTIONS(11549),
    [sym_continue_statement] = ACTIONS(11549),
    [anon_sym_return] = ACTIONS(11549),
    [anon_sym_const] = ACTIONS(11549),
    [anon_sym_global] = ACTIONS(11549),
    [anon_sym_local] = ACTIONS(11549),
    [anon_sym_LPAREN] = ACTIONS(11549),
    [anon_sym_COLON] = ACTIONS(11549),
    [anon_sym_export] = ACTIONS(11549),
    [anon_sym_public] = ACTIONS(11549),
    [anon_sym_import] = ACTIONS(11549),
    [anon_sym_using] = ACTIONS(11549),
    [anon_sym_LBRACK] = ACTIONS(11549),
    [anon_sym_in] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(11549),
    [anon_sym_LBRACE] = ACTIONS(11549),
    [anon_sym_DOLLAR] = ACTIONS(11549),
    [anon_sym_COLON2] = ACTIONS(11549),
    [anon_sym_COLON_COLON] = ACTIONS(11549),
    [anon_sym_isa] = ACTIONS(11549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11549),
    [anon_sym_QMARK] = ACTIONS(11549),
    [anon_sym_where] = ACTIONS(11549),
    [anon_sym_AT] = ACTIONS(11549),
    [anon_sym_true] = ACTIONS(11549),
    [anon_sym_false] = ACTIONS(11549),
    [aux_sym_integer_literal_token1] = ACTIONS(11549),
    [aux_sym_integer_literal_token2] = ACTIONS(11549),
    [aux_sym_integer_literal_token3] = ACTIONS(11549),
    [aux_sym_integer_literal_token4] = ACTIONS(11549),
    [aux_sym_float_literal_token1] = ACTIONS(11549),
    [aux_sym_float_literal_token3] = ACTIONS(11549),
    [aux_sym_float_literal_token4] = ACTIONS(11549),
    [sym_character_literal] = ACTIONS(11549),
    [anon_sym_DQUOTE] = ACTIONS(11549),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11549),
    [anon_sym_BQUOTE] = ACTIONS(11549),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11549),
    [sym__pair_operator] = ACTIONS(11549),
    [sym__arrow_operator] = ACTIONS(11549),
    [sym__lazy_or_operator] = ACTIONS(11549),
    [sym__lazy_and_operator] = ACTIONS(11549),
    [sym__comparison_operator] = ACTIONS(11549),
    [sym__pipe_right_operator] = ACTIONS(11549),
    [sym__pipe_left_operator] = ACTIONS(11549),
    [sym__ellipsis_operator] = ACTIONS(11549),
    [sym__plus_operator] = ACTIONS(11549),
    [sym__times_operator] = ACTIONS(11549),
    [sym__rational_operator] = ACTIONS(11549),
    [sym__bitshift_operator] = ACTIONS(11549),
    [sym__power_operator] = ACTIONS(11549),
    [sym__tilde_operator] = ACTIONS(11549),
    [sym__type_order_operator] = ACTIONS(11549),
    [sym__unary_operator] = ACTIONS(11549),
    [sym__unary_plus_operator] = ACTIONS(11549),
    [aux_sym__terminator_token1] = ACTIONS(11551),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8643] = {
    [sym_block_comment] = STATE(8643),
    [sym_line_comment] = STATE(8643),
    [sym__word_identifier] = ACTIONS(11553),
    [anon_sym_COMMA] = ACTIONS(11553),
    [anon_sym_EQ] = ACTIONS(11553),
    [anon_sym_begin] = ACTIONS(11553),
    [anon_sym_module] = ACTIONS(11553),
    [anon_sym_baremodule] = ACTIONS(11553),
    [anon_sym_end] = ACTIONS(11553),
    [anon_sym_abstract] = ACTIONS(11553),
    [anon_sym_primitive] = ACTIONS(11553),
    [anon_sym_mutable] = ACTIONS(11553),
    [anon_sym_struct] = ACTIONS(11553),
    [anon_sym_function] = ACTIONS(11553),
    [anon_sym_macro] = ACTIONS(11553),
    [anon_sym_quote] = ACTIONS(11553),
    [anon_sym_let] = ACTIONS(11553),
    [anon_sym_if] = ACTIONS(11553),
    [anon_sym_try] = ACTIONS(11553),
    [anon_sym_finally] = ACTIONS(11553),
    [anon_sym_for] = ACTIONS(11553),
    [anon_sym_while] = ACTIONS(11553),
    [sym_break_statement] = ACTIONS(11553),
    [sym_continue_statement] = ACTIONS(11553),
    [anon_sym_return] = ACTIONS(11553),
    [anon_sym_const] = ACTIONS(11553),
    [anon_sym_global] = ACTIONS(11553),
    [anon_sym_local] = ACTIONS(11553),
    [anon_sym_LPAREN] = ACTIONS(11553),
    [anon_sym_COLON] = ACTIONS(11553),
    [anon_sym_export] = ACTIONS(11553),
    [anon_sym_public] = ACTIONS(11553),
    [anon_sym_import] = ACTIONS(11553),
    [anon_sym_using] = ACTIONS(11553),
    [anon_sym_LBRACK] = ACTIONS(11553),
    [anon_sym_in] = ACTIONS(11553),
    [anon_sym_SEMI] = ACTIONS(11553),
    [anon_sym_LBRACE] = ACTIONS(11553),
    [anon_sym_DOLLAR] = ACTIONS(11553),
    [anon_sym_COLON2] = ACTIONS(11553),
    [anon_sym_COLON_COLON] = ACTIONS(11553),
    [anon_sym_isa] = ACTIONS(11553),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11553),
    [anon_sym_QMARK] = ACTIONS(11553),
    [anon_sym_where] = ACTIONS(11553),
    [anon_sym_AT] = ACTIONS(11553),
    [anon_sym_true] = ACTIONS(11553),
    [anon_sym_false] = ACTIONS(11553),
    [aux_sym_integer_literal_token1] = ACTIONS(11553),
    [aux_sym_integer_literal_token2] = ACTIONS(11553),
    [aux_sym_integer_literal_token3] = ACTIONS(11553),
    [aux_sym_integer_literal_token4] = ACTIONS(11553),
    [aux_sym_float_literal_token1] = ACTIONS(11553),
    [aux_sym_float_literal_token3] = ACTIONS(11553),
    [aux_sym_float_literal_token4] = ACTIONS(11553),
    [sym_character_literal] = ACTIONS(11553),
    [anon_sym_DQUOTE] = ACTIONS(11553),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11553),
    [anon_sym_BQUOTE] = ACTIONS(11553),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11553),
    [sym__pair_operator] = ACTIONS(11553),
    [sym__arrow_operator] = ACTIONS(11553),
    [sym__lazy_or_operator] = ACTIONS(11553),
    [sym__lazy_and_operator] = ACTIONS(11553),
    [sym__comparison_operator] = ACTIONS(11553),
    [sym__pipe_right_operator] = ACTIONS(11553),
    [sym__pipe_left_operator] = ACTIONS(11553),
    [sym__ellipsis_operator] = ACTIONS(11553),
    [sym__plus_operator] = ACTIONS(11553),
    [sym__times_operator] = ACTIONS(11553),
    [sym__rational_operator] = ACTIONS(11553),
    [sym__bitshift_operator] = ACTIONS(11553),
    [sym__power_operator] = ACTIONS(11553),
    [sym__tilde_operator] = ACTIONS(11553),
    [sym__type_order_operator] = ACTIONS(11553),
    [sym__unary_operator] = ACTIONS(11553),
    [sym__unary_plus_operator] = ACTIONS(11553),
    [aux_sym__terminator_token1] = ACTIONS(11555),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8644] = {
    [sym_block_comment] = STATE(8644),
    [sym_line_comment] = STATE(8644),
    [sym__word_identifier] = ACTIONS(11557),
    [anon_sym_COMMA] = ACTIONS(11557),
    [anon_sym_EQ] = ACTIONS(11557),
    [anon_sym_begin] = ACTIONS(11557),
    [anon_sym_module] = ACTIONS(11557),
    [anon_sym_baremodule] = ACTIONS(11557),
    [anon_sym_end] = ACTIONS(11557),
    [anon_sym_abstract] = ACTIONS(11557),
    [anon_sym_primitive] = ACTIONS(11557),
    [anon_sym_mutable] = ACTIONS(11557),
    [anon_sym_struct] = ACTIONS(11557),
    [anon_sym_function] = ACTIONS(11557),
    [anon_sym_macro] = ACTIONS(11557),
    [anon_sym_quote] = ACTIONS(11557),
    [anon_sym_let] = ACTIONS(11557),
    [anon_sym_if] = ACTIONS(11557),
    [anon_sym_try] = ACTIONS(11557),
    [anon_sym_finally] = ACTIONS(11557),
    [anon_sym_for] = ACTIONS(11557),
    [anon_sym_while] = ACTIONS(11557),
    [sym_break_statement] = ACTIONS(11557),
    [sym_continue_statement] = ACTIONS(11557),
    [anon_sym_return] = ACTIONS(11557),
    [anon_sym_const] = ACTIONS(11557),
    [anon_sym_global] = ACTIONS(11557),
    [anon_sym_local] = ACTIONS(11557),
    [anon_sym_LPAREN] = ACTIONS(11557),
    [anon_sym_COLON] = ACTIONS(11557),
    [anon_sym_export] = ACTIONS(11557),
    [anon_sym_public] = ACTIONS(11557),
    [anon_sym_import] = ACTIONS(11557),
    [anon_sym_using] = ACTIONS(11557),
    [anon_sym_LBRACK] = ACTIONS(11557),
    [anon_sym_in] = ACTIONS(11557),
    [anon_sym_SEMI] = ACTIONS(11557),
    [anon_sym_LBRACE] = ACTIONS(11557),
    [anon_sym_DOLLAR] = ACTIONS(11557),
    [anon_sym_COLON2] = ACTIONS(11557),
    [anon_sym_COLON_COLON] = ACTIONS(11557),
    [anon_sym_isa] = ACTIONS(11557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11557),
    [anon_sym_QMARK] = ACTIONS(11557),
    [anon_sym_where] = ACTIONS(11557),
    [anon_sym_AT] = ACTIONS(11557),
    [anon_sym_true] = ACTIONS(11557),
    [anon_sym_false] = ACTIONS(11557),
    [aux_sym_integer_literal_token1] = ACTIONS(11557),
    [aux_sym_integer_literal_token2] = ACTIONS(11557),
    [aux_sym_integer_literal_token3] = ACTIONS(11557),
    [aux_sym_integer_literal_token4] = ACTIONS(11557),
    [aux_sym_float_literal_token1] = ACTIONS(11557),
    [aux_sym_float_literal_token3] = ACTIONS(11557),
    [aux_sym_float_literal_token4] = ACTIONS(11557),
    [sym_character_literal] = ACTIONS(11557),
    [anon_sym_DQUOTE] = ACTIONS(11557),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11557),
    [anon_sym_BQUOTE] = ACTIONS(11557),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11557),
    [sym__pair_operator] = ACTIONS(11557),
    [sym__arrow_operator] = ACTIONS(11557),
    [sym__lazy_or_operator] = ACTIONS(11557),
    [sym__lazy_and_operator] = ACTIONS(11557),
    [sym__comparison_operator] = ACTIONS(11557),
    [sym__pipe_right_operator] = ACTIONS(11557),
    [sym__pipe_left_operator] = ACTIONS(11557),
    [sym__ellipsis_operator] = ACTIONS(11557),
    [sym__plus_operator] = ACTIONS(11557),
    [sym__times_operator] = ACTIONS(11557),
    [sym__rational_operator] = ACTIONS(11557),
    [sym__bitshift_operator] = ACTIONS(11557),
    [sym__power_operator] = ACTIONS(11557),
    [sym__tilde_operator] = ACTIONS(11557),
    [sym__type_order_operator] = ACTIONS(11557),
    [sym__unary_operator] = ACTIONS(11557),
    [sym__unary_plus_operator] = ACTIONS(11557),
    [aux_sym__terminator_token1] = ACTIONS(11559),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8645] = {
    [sym_block_comment] = STATE(8645),
    [sym_line_comment] = STATE(8645),
    [sym__word_identifier] = ACTIONS(11561),
    [anon_sym_COMMA] = ACTIONS(11561),
    [anon_sym_EQ] = ACTIONS(11561),
    [anon_sym_begin] = ACTIONS(11561),
    [anon_sym_module] = ACTIONS(11561),
    [anon_sym_baremodule] = ACTIONS(11561),
    [anon_sym_end] = ACTIONS(11561),
    [anon_sym_abstract] = ACTIONS(11561),
    [anon_sym_primitive] = ACTIONS(11561),
    [anon_sym_mutable] = ACTIONS(11561),
    [anon_sym_struct] = ACTIONS(11561),
    [anon_sym_function] = ACTIONS(11561),
    [anon_sym_macro] = ACTIONS(11561),
    [anon_sym_quote] = ACTIONS(11561),
    [anon_sym_let] = ACTIONS(11561),
    [anon_sym_if] = ACTIONS(11561),
    [anon_sym_try] = ACTIONS(11561),
    [anon_sym_finally] = ACTIONS(11561),
    [anon_sym_for] = ACTIONS(11561),
    [anon_sym_while] = ACTIONS(11561),
    [sym_break_statement] = ACTIONS(11561),
    [sym_continue_statement] = ACTIONS(11561),
    [anon_sym_return] = ACTIONS(11561),
    [anon_sym_const] = ACTIONS(11561),
    [anon_sym_global] = ACTIONS(11561),
    [anon_sym_local] = ACTIONS(11561),
    [anon_sym_LPAREN] = ACTIONS(11561),
    [anon_sym_COLON] = ACTIONS(11561),
    [anon_sym_export] = ACTIONS(11561),
    [anon_sym_public] = ACTIONS(11561),
    [anon_sym_import] = ACTIONS(11561),
    [anon_sym_using] = ACTIONS(11561),
    [anon_sym_LBRACK] = ACTIONS(11561),
    [anon_sym_in] = ACTIONS(11561),
    [anon_sym_SEMI] = ACTIONS(11561),
    [anon_sym_LBRACE] = ACTIONS(11561),
    [anon_sym_DOLLAR] = ACTIONS(11561),
    [anon_sym_COLON2] = ACTIONS(11561),
    [anon_sym_COLON_COLON] = ACTIONS(11561),
    [anon_sym_isa] = ACTIONS(11561),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11561),
    [anon_sym_QMARK] = ACTIONS(11561),
    [anon_sym_where] = ACTIONS(11561),
    [anon_sym_AT] = ACTIONS(11561),
    [anon_sym_true] = ACTIONS(11561),
    [anon_sym_false] = ACTIONS(11561),
    [aux_sym_integer_literal_token1] = ACTIONS(11561),
    [aux_sym_integer_literal_token2] = ACTIONS(11561),
    [aux_sym_integer_literal_token3] = ACTIONS(11561),
    [aux_sym_integer_literal_token4] = ACTIONS(11561),
    [aux_sym_float_literal_token1] = ACTIONS(11561),
    [aux_sym_float_literal_token3] = ACTIONS(11561),
    [aux_sym_float_literal_token4] = ACTIONS(11561),
    [sym_character_literal] = ACTIONS(11561),
    [anon_sym_DQUOTE] = ACTIONS(11561),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11561),
    [anon_sym_BQUOTE] = ACTIONS(11561),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11561),
    [sym__pair_operator] = ACTIONS(11561),
    [sym__arrow_operator] = ACTIONS(11561),
    [sym__lazy_or_operator] = ACTIONS(11561),
    [sym__lazy_and_operator] = ACTIONS(11561),
    [sym__comparison_operator] = ACTIONS(11561),
    [sym__pipe_right_operator] = ACTIONS(11561),
    [sym__pipe_left_operator] = ACTIONS(11561),
    [sym__ellipsis_operator] = ACTIONS(11561),
    [sym__plus_operator] = ACTIONS(11561),
    [sym__times_operator] = ACTIONS(11561),
    [sym__rational_operator] = ACTIONS(11561),
    [sym__bitshift_operator] = ACTIONS(11561),
    [sym__power_operator] = ACTIONS(11561),
    [sym__tilde_operator] = ACTIONS(11561),
    [sym__type_order_operator] = ACTIONS(11561),
    [sym__unary_operator] = ACTIONS(11561),
    [sym__unary_plus_operator] = ACTIONS(11561),
    [aux_sym__terminator_token1] = ACTIONS(11563),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8646] = {
    [sym_block_comment] = STATE(8646),
    [sym_line_comment] = STATE(8646),
    [aux_sym_export_statement_repeat1] = STATE(8708),
    [sym__word_identifier] = ACTIONS(11290),
    [anon_sym_COMMA] = ACTIONS(12522),
    [anon_sym_EQ] = ACTIONS(11290),
    [anon_sym_begin] = ACTIONS(11290),
    [anon_sym_module] = ACTIONS(11290),
    [anon_sym_baremodule] = ACTIONS(11290),
    [anon_sym_end] = ACTIONS(11290),
    [anon_sym_abstract] = ACTIONS(11290),
    [anon_sym_primitive] = ACTIONS(11290),
    [anon_sym_mutable] = ACTIONS(11290),
    [anon_sym_struct] = ACTIONS(11290),
    [anon_sym_function] = ACTIONS(11290),
    [anon_sym_macro] = ACTIONS(11290),
    [anon_sym_quote] = ACTIONS(11290),
    [anon_sym_let] = ACTIONS(11290),
    [anon_sym_if] = ACTIONS(11290),
    [anon_sym_try] = ACTIONS(11290),
    [anon_sym_for] = ACTIONS(11290),
    [anon_sym_while] = ACTIONS(11290),
    [sym_break_statement] = ACTIONS(11290),
    [sym_continue_statement] = ACTIONS(11290),
    [anon_sym_return] = ACTIONS(11290),
    [anon_sym_const] = ACTIONS(11290),
    [anon_sym_global] = ACTIONS(11290),
    [anon_sym_local] = ACTIONS(11290),
    [anon_sym_LPAREN] = ACTIONS(11290),
    [anon_sym_COLON] = ACTIONS(11290),
    [anon_sym_export] = ACTIONS(11290),
    [anon_sym_public] = ACTIONS(11290),
    [anon_sym_import] = ACTIONS(11290),
    [anon_sym_using] = ACTIONS(11290),
    [anon_sym_LBRACK] = ACTIONS(11290),
    [anon_sym_in] = ACTIONS(11290),
    [anon_sym_SEMI] = ACTIONS(11290),
    [anon_sym_LBRACE] = ACTIONS(11290),
    [anon_sym_DOLLAR] = ACTIONS(11290),
    [anon_sym_COLON2] = ACTIONS(11290),
    [anon_sym_COLON_COLON] = ACTIONS(11290),
    [anon_sym_isa] = ACTIONS(11290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11290),
    [anon_sym_QMARK] = ACTIONS(11290),
    [anon_sym_where] = ACTIONS(11290),
    [anon_sym_AT] = ACTIONS(11290),
    [anon_sym_true] = ACTIONS(11290),
    [anon_sym_false] = ACTIONS(11290),
    [aux_sym_integer_literal_token1] = ACTIONS(11290),
    [aux_sym_integer_literal_token2] = ACTIONS(11290),
    [aux_sym_integer_literal_token3] = ACTIONS(11290),
    [aux_sym_integer_literal_token4] = ACTIONS(11290),
    [aux_sym_float_literal_token1] = ACTIONS(11290),
    [aux_sym_float_literal_token3] = ACTIONS(11290),
    [aux_sym_float_literal_token4] = ACTIONS(11290),
    [sym_character_literal] = ACTIONS(11290),
    [anon_sym_DQUOTE] = ACTIONS(11290),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11290),
    [anon_sym_BQUOTE] = ACTIONS(11290),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11290),
    [sym__pair_operator] = ACTIONS(11290),
    [sym__arrow_operator] = ACTIONS(11290),
    [sym__lazy_or_operator] = ACTIONS(11290),
    [sym__lazy_and_operator] = ACTIONS(11290),
    [sym__comparison_operator] = ACTIONS(11290),
    [sym__pipe_right_operator] = ACTIONS(11290),
    [sym__pipe_left_operator] = ACTIONS(11290),
    [sym__ellipsis_operator] = ACTIONS(11290),
    [sym__plus_operator] = ACTIONS(11290),
    [sym__times_operator] = ACTIONS(11290),
    [sym__rational_operator] = ACTIONS(11290),
    [sym__bitshift_operator] = ACTIONS(11290),
    [sym__power_operator] = ACTIONS(11290),
    [sym__tilde_operator] = ACTIONS(11290),
    [sym__type_order_operator] = ACTIONS(11290),
    [sym__unary_operator] = ACTIONS(11290),
    [sym__unary_plus_operator] = ACTIONS(11290),
    [aux_sym__terminator_token1] = ACTIONS(11292),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8647] = {
    [sym_block_comment] = STATE(8647),
    [sym_line_comment] = STATE(8647),
    [aux_sym_open_tuple_repeat1] = STATE(8270),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_catch] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12526),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8648] = {
    [sym_block_comment] = STATE(8648),
    [sym_line_comment] = STATE(8648),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(10427),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_catch] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8649] = {
    [sym_block_comment] = STATE(8649),
    [sym_line_comment] = STATE(8649),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_catch] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8650] = {
    [sym_block_comment] = STATE(8650),
    [sym_line_comment] = STATE(8650),
    [aux_sym__import_list_repeat1] = STATE(8710),
    [sym__word_identifier] = ACTIONS(11066),
    [anon_sym_COMMA] = ACTIONS(11910),
    [anon_sym_EQ] = ACTIONS(11066),
    [anon_sym_begin] = ACTIONS(11066),
    [anon_sym_module] = ACTIONS(11066),
    [anon_sym_baremodule] = ACTIONS(11066),
    [anon_sym_end] = ACTIONS(11066),
    [anon_sym_abstract] = ACTIONS(11066),
    [anon_sym_primitive] = ACTIONS(11066),
    [anon_sym_mutable] = ACTIONS(11066),
    [anon_sym_struct] = ACTIONS(11066),
    [anon_sym_function] = ACTIONS(11066),
    [anon_sym_macro] = ACTIONS(11066),
    [anon_sym_quote] = ACTIONS(11066),
    [anon_sym_let] = ACTIONS(11066),
    [anon_sym_if] = ACTIONS(11066),
    [anon_sym_try] = ACTIONS(11066),
    [anon_sym_for] = ACTIONS(11066),
    [anon_sym_while] = ACTIONS(11066),
    [sym_break_statement] = ACTIONS(11066),
    [sym_continue_statement] = ACTIONS(11066),
    [anon_sym_return] = ACTIONS(11066),
    [anon_sym_const] = ACTIONS(11066),
    [anon_sym_global] = ACTIONS(11066),
    [anon_sym_local] = ACTIONS(11066),
    [anon_sym_LPAREN] = ACTIONS(11066),
    [anon_sym_COLON] = ACTIONS(11066),
    [anon_sym_export] = ACTIONS(11066),
    [anon_sym_public] = ACTIONS(11066),
    [anon_sym_import] = ACTIONS(11066),
    [anon_sym_using] = ACTIONS(11066),
    [anon_sym_LBRACK] = ACTIONS(11066),
    [anon_sym_in] = ACTIONS(11066),
    [anon_sym_SEMI] = ACTIONS(11066),
    [anon_sym_LBRACE] = ACTIONS(11066),
    [anon_sym_DOLLAR] = ACTIONS(11066),
    [anon_sym_COLON2] = ACTIONS(11066),
    [anon_sym_COLON_COLON] = ACTIONS(11066),
    [anon_sym_isa] = ACTIONS(11066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11066),
    [anon_sym_QMARK] = ACTIONS(11066),
    [anon_sym_where] = ACTIONS(11066),
    [anon_sym_AT] = ACTIONS(11066),
    [anon_sym_true] = ACTIONS(11066),
    [anon_sym_false] = ACTIONS(11066),
    [aux_sym_integer_literal_token1] = ACTIONS(11066),
    [aux_sym_integer_literal_token2] = ACTIONS(11066),
    [aux_sym_integer_literal_token3] = ACTIONS(11066),
    [aux_sym_integer_literal_token4] = ACTIONS(11066),
    [aux_sym_float_literal_token1] = ACTIONS(11066),
    [aux_sym_float_literal_token3] = ACTIONS(11066),
    [aux_sym_float_literal_token4] = ACTIONS(11066),
    [sym_character_literal] = ACTIONS(11066),
    [anon_sym_DQUOTE] = ACTIONS(11066),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11066),
    [anon_sym_BQUOTE] = ACTIONS(11066),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11066),
    [sym__pair_operator] = ACTIONS(11066),
    [sym__arrow_operator] = ACTIONS(11066),
    [sym__lazy_or_operator] = ACTIONS(11066),
    [sym__lazy_and_operator] = ACTIONS(11066),
    [sym__comparison_operator] = ACTIONS(11066),
    [sym__pipe_right_operator] = ACTIONS(11066),
    [sym__pipe_left_operator] = ACTIONS(11066),
    [sym__ellipsis_operator] = ACTIONS(11066),
    [sym__plus_operator] = ACTIONS(11066),
    [sym__times_operator] = ACTIONS(11066),
    [sym__rational_operator] = ACTIONS(11066),
    [sym__bitshift_operator] = ACTIONS(11066),
    [sym__power_operator] = ACTIONS(11066),
    [sym__tilde_operator] = ACTIONS(11066),
    [sym__type_order_operator] = ACTIONS(11066),
    [sym__unary_operator] = ACTIONS(11066),
    [sym__unary_plus_operator] = ACTIONS(11066),
    [aux_sym__terminator_token1] = ACTIONS(11068),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8651] = {
    [sym_block_comment] = STATE(8651),
    [sym_line_comment] = STATE(8651),
    [aux_sym_open_tuple_repeat1] = STATE(8270),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_catch] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12526),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8652] = {
    [sym_block_comment] = STATE(8652),
    [sym_line_comment] = STATE(8652),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_finally] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11216),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11216),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11216),
    [anon_sym_isa] = ACTIONS(11216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11216),
    [anon_sym_QMARK] = ACTIONS(11216),
    [anon_sym_where] = ACTIONS(11216),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11216),
    [sym__lazy_or_operator] = ACTIONS(11216),
    [sym__lazy_and_operator] = ACTIONS(11216),
    [sym__comparison_operator] = ACTIONS(11216),
    [sym__pipe_right_operator] = ACTIONS(11216),
    [sym__pipe_left_operator] = ACTIONS(11216),
    [sym__ellipsis_operator] = ACTIONS(11216),
    [sym__plus_operator] = ACTIONS(11216),
    [sym__times_operator] = ACTIONS(11216),
    [sym__rational_operator] = ACTIONS(11216),
    [sym__bitshift_operator] = ACTIONS(11216),
    [sym__power_operator] = ACTIONS(11216),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11216),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11216),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8653] = {
    [sym_block_comment] = STATE(8653),
    [sym_line_comment] = STATE(8653),
    [sym__word_identifier] = ACTIONS(11565),
    [anon_sym_COMMA] = ACTIONS(11565),
    [anon_sym_EQ] = ACTIONS(11565),
    [anon_sym_begin] = ACTIONS(11565),
    [anon_sym_module] = ACTIONS(11565),
    [anon_sym_baremodule] = ACTIONS(11565),
    [anon_sym_end] = ACTIONS(11565),
    [anon_sym_abstract] = ACTIONS(11565),
    [anon_sym_primitive] = ACTIONS(11565),
    [anon_sym_mutable] = ACTIONS(11565),
    [anon_sym_struct] = ACTIONS(11565),
    [anon_sym_function] = ACTIONS(11565),
    [anon_sym_macro] = ACTIONS(11565),
    [anon_sym_quote] = ACTIONS(11565),
    [anon_sym_let] = ACTIONS(11565),
    [anon_sym_if] = ACTIONS(11565),
    [anon_sym_try] = ACTIONS(11565),
    [anon_sym_finally] = ACTIONS(11565),
    [anon_sym_for] = ACTIONS(11565),
    [anon_sym_while] = ACTIONS(11565),
    [sym_break_statement] = ACTIONS(11565),
    [sym_continue_statement] = ACTIONS(11565),
    [anon_sym_return] = ACTIONS(11565),
    [anon_sym_const] = ACTIONS(11565),
    [anon_sym_global] = ACTIONS(11565),
    [anon_sym_local] = ACTIONS(11565),
    [anon_sym_LPAREN] = ACTIONS(11565),
    [anon_sym_COLON] = ACTIONS(11565),
    [anon_sym_export] = ACTIONS(11565),
    [anon_sym_public] = ACTIONS(11565),
    [anon_sym_import] = ACTIONS(11565),
    [anon_sym_using] = ACTIONS(11565),
    [anon_sym_LBRACK] = ACTIONS(11565),
    [anon_sym_in] = ACTIONS(11565),
    [anon_sym_SEMI] = ACTIONS(11565),
    [anon_sym_LBRACE] = ACTIONS(11565),
    [anon_sym_DOLLAR] = ACTIONS(11565),
    [anon_sym_COLON2] = ACTIONS(11565),
    [anon_sym_COLON_COLON] = ACTIONS(11565),
    [anon_sym_isa] = ACTIONS(11565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11565),
    [anon_sym_QMARK] = ACTIONS(11565),
    [anon_sym_where] = ACTIONS(11565),
    [anon_sym_AT] = ACTIONS(11565),
    [anon_sym_true] = ACTIONS(11565),
    [anon_sym_false] = ACTIONS(11565),
    [aux_sym_integer_literal_token1] = ACTIONS(11565),
    [aux_sym_integer_literal_token2] = ACTIONS(11565),
    [aux_sym_integer_literal_token3] = ACTIONS(11565),
    [aux_sym_integer_literal_token4] = ACTIONS(11565),
    [aux_sym_float_literal_token1] = ACTIONS(11565),
    [aux_sym_float_literal_token3] = ACTIONS(11565),
    [aux_sym_float_literal_token4] = ACTIONS(11565),
    [sym_character_literal] = ACTIONS(11565),
    [anon_sym_DQUOTE] = ACTIONS(11565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11565),
    [anon_sym_BQUOTE] = ACTIONS(11565),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11565),
    [sym__pair_operator] = ACTIONS(11565),
    [sym__arrow_operator] = ACTIONS(11565),
    [sym__lazy_or_operator] = ACTIONS(11565),
    [sym__lazy_and_operator] = ACTIONS(11565),
    [sym__comparison_operator] = ACTIONS(11565),
    [sym__pipe_right_operator] = ACTIONS(11565),
    [sym__pipe_left_operator] = ACTIONS(11565),
    [sym__ellipsis_operator] = ACTIONS(11565),
    [sym__plus_operator] = ACTIONS(11565),
    [sym__times_operator] = ACTIONS(11565),
    [sym__rational_operator] = ACTIONS(11565),
    [sym__bitshift_operator] = ACTIONS(11565),
    [sym__power_operator] = ACTIONS(11565),
    [sym__tilde_operator] = ACTIONS(11565),
    [sym__type_order_operator] = ACTIONS(11565),
    [sym__unary_operator] = ACTIONS(11565),
    [sym__unary_plus_operator] = ACTIONS(11565),
    [aux_sym__terminator_token1] = ACTIONS(11567),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8654] = {
    [sym_block_comment] = STATE(8654),
    [sym_line_comment] = STATE(8654),
    [sym__word_identifier] = ACTIONS(11569),
    [anon_sym_COMMA] = ACTIONS(11569),
    [anon_sym_EQ] = ACTIONS(11569),
    [anon_sym_begin] = ACTIONS(11569),
    [anon_sym_module] = ACTIONS(11569),
    [anon_sym_baremodule] = ACTIONS(11569),
    [anon_sym_end] = ACTIONS(11569),
    [anon_sym_abstract] = ACTIONS(11569),
    [anon_sym_primitive] = ACTIONS(11569),
    [anon_sym_mutable] = ACTIONS(11569),
    [anon_sym_struct] = ACTIONS(11569),
    [anon_sym_function] = ACTIONS(11569),
    [anon_sym_macro] = ACTIONS(11569),
    [anon_sym_quote] = ACTIONS(11569),
    [anon_sym_let] = ACTIONS(11569),
    [anon_sym_if] = ACTIONS(11569),
    [anon_sym_try] = ACTIONS(11569),
    [anon_sym_finally] = ACTIONS(11569),
    [anon_sym_for] = ACTIONS(11569),
    [anon_sym_while] = ACTIONS(11569),
    [sym_break_statement] = ACTIONS(11569),
    [sym_continue_statement] = ACTIONS(11569),
    [anon_sym_return] = ACTIONS(11569),
    [anon_sym_const] = ACTIONS(11569),
    [anon_sym_global] = ACTIONS(11569),
    [anon_sym_local] = ACTIONS(11569),
    [anon_sym_LPAREN] = ACTIONS(11569),
    [anon_sym_COLON] = ACTIONS(11569),
    [anon_sym_export] = ACTIONS(11569),
    [anon_sym_public] = ACTIONS(11569),
    [anon_sym_import] = ACTIONS(11569),
    [anon_sym_using] = ACTIONS(11569),
    [anon_sym_LBRACK] = ACTIONS(11569),
    [anon_sym_in] = ACTIONS(11569),
    [anon_sym_SEMI] = ACTIONS(11569),
    [anon_sym_LBRACE] = ACTIONS(11569),
    [anon_sym_DOLLAR] = ACTIONS(11569),
    [anon_sym_COLON2] = ACTIONS(11569),
    [anon_sym_COLON_COLON] = ACTIONS(11569),
    [anon_sym_isa] = ACTIONS(11569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11569),
    [anon_sym_QMARK] = ACTIONS(11569),
    [anon_sym_where] = ACTIONS(11569),
    [anon_sym_AT] = ACTIONS(11569),
    [anon_sym_true] = ACTIONS(11569),
    [anon_sym_false] = ACTIONS(11569),
    [aux_sym_integer_literal_token1] = ACTIONS(11569),
    [aux_sym_integer_literal_token2] = ACTIONS(11569),
    [aux_sym_integer_literal_token3] = ACTIONS(11569),
    [aux_sym_integer_literal_token4] = ACTIONS(11569),
    [aux_sym_float_literal_token1] = ACTIONS(11569),
    [aux_sym_float_literal_token3] = ACTIONS(11569),
    [aux_sym_float_literal_token4] = ACTIONS(11569),
    [sym_character_literal] = ACTIONS(11569),
    [anon_sym_DQUOTE] = ACTIONS(11569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11569),
    [anon_sym_BQUOTE] = ACTIONS(11569),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11569),
    [sym__pair_operator] = ACTIONS(11569),
    [sym__arrow_operator] = ACTIONS(11569),
    [sym__lazy_or_operator] = ACTIONS(11569),
    [sym__lazy_and_operator] = ACTIONS(11569),
    [sym__comparison_operator] = ACTIONS(11569),
    [sym__pipe_right_operator] = ACTIONS(11569),
    [sym__pipe_left_operator] = ACTIONS(11569),
    [sym__ellipsis_operator] = ACTIONS(11569),
    [sym__plus_operator] = ACTIONS(11569),
    [sym__times_operator] = ACTIONS(11569),
    [sym__rational_operator] = ACTIONS(11569),
    [sym__bitshift_operator] = ACTIONS(11569),
    [sym__power_operator] = ACTIONS(11569),
    [sym__tilde_operator] = ACTIONS(11569),
    [sym__type_order_operator] = ACTIONS(11569),
    [sym__unary_operator] = ACTIONS(11569),
    [sym__unary_plus_operator] = ACTIONS(11569),
    [aux_sym__terminator_token1] = ACTIONS(11571),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8655] = {
    [sym_block_comment] = STATE(8655),
    [sym_line_comment] = STATE(8655),
    [ts_builtin_sym_end] = ACTIONS(11220),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11216),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_RBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11216),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11216),
    [anon_sym_isa] = ACTIONS(11216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11216),
    [anon_sym_QMARK] = ACTIONS(11216),
    [anon_sym_where] = ACTIONS(11216),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11216),
    [sym__lazy_or_operator] = ACTIONS(11216),
    [sym__lazy_and_operator] = ACTIONS(11216),
    [sym__comparison_operator] = ACTIONS(11216),
    [sym__pipe_right_operator] = ACTIONS(11216),
    [sym__pipe_left_operator] = ACTIONS(11216),
    [sym__ellipsis_operator] = ACTIONS(11216),
    [sym__plus_operator] = ACTIONS(11216),
    [sym__times_operator] = ACTIONS(11216),
    [sym__rational_operator] = ACTIONS(11216),
    [sym__bitshift_operator] = ACTIONS(11216),
    [sym__power_operator] = ACTIONS(11216),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11216),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11216),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8656] = {
    [sym_block_comment] = STATE(8656),
    [sym_line_comment] = STATE(8656),
    [sym__word_identifier] = ACTIONS(11573),
    [anon_sym_COMMA] = ACTIONS(11573),
    [anon_sym_EQ] = ACTIONS(11573),
    [anon_sym_begin] = ACTIONS(11573),
    [anon_sym_module] = ACTIONS(11573),
    [anon_sym_baremodule] = ACTIONS(11573),
    [anon_sym_end] = ACTIONS(11573),
    [anon_sym_abstract] = ACTIONS(11573),
    [anon_sym_primitive] = ACTIONS(11573),
    [anon_sym_mutable] = ACTIONS(11573),
    [anon_sym_struct] = ACTIONS(11573),
    [anon_sym_function] = ACTIONS(11573),
    [anon_sym_macro] = ACTIONS(11573),
    [anon_sym_quote] = ACTIONS(11573),
    [anon_sym_let] = ACTIONS(11573),
    [anon_sym_if] = ACTIONS(11573),
    [anon_sym_try] = ACTIONS(11573),
    [anon_sym_finally] = ACTIONS(11573),
    [anon_sym_for] = ACTIONS(11573),
    [anon_sym_while] = ACTIONS(11573),
    [sym_break_statement] = ACTIONS(11573),
    [sym_continue_statement] = ACTIONS(11573),
    [anon_sym_return] = ACTIONS(11573),
    [anon_sym_const] = ACTIONS(11573),
    [anon_sym_global] = ACTIONS(11573),
    [anon_sym_local] = ACTIONS(11573),
    [anon_sym_LPAREN] = ACTIONS(11573),
    [anon_sym_COLON] = ACTIONS(11573),
    [anon_sym_export] = ACTIONS(11573),
    [anon_sym_public] = ACTIONS(11573),
    [anon_sym_import] = ACTIONS(11573),
    [anon_sym_using] = ACTIONS(11573),
    [anon_sym_LBRACK] = ACTIONS(11573),
    [anon_sym_in] = ACTIONS(11573),
    [anon_sym_SEMI] = ACTIONS(11573),
    [anon_sym_LBRACE] = ACTIONS(11573),
    [anon_sym_DOLLAR] = ACTIONS(11573),
    [anon_sym_COLON2] = ACTIONS(11573),
    [anon_sym_COLON_COLON] = ACTIONS(11573),
    [anon_sym_isa] = ACTIONS(11573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11573),
    [anon_sym_QMARK] = ACTIONS(11573),
    [anon_sym_where] = ACTIONS(11573),
    [anon_sym_AT] = ACTIONS(11573),
    [anon_sym_true] = ACTIONS(11573),
    [anon_sym_false] = ACTIONS(11573),
    [aux_sym_integer_literal_token1] = ACTIONS(11573),
    [aux_sym_integer_literal_token2] = ACTIONS(11573),
    [aux_sym_integer_literal_token3] = ACTIONS(11573),
    [aux_sym_integer_literal_token4] = ACTIONS(11573),
    [aux_sym_float_literal_token1] = ACTIONS(11573),
    [aux_sym_float_literal_token3] = ACTIONS(11573),
    [aux_sym_float_literal_token4] = ACTIONS(11573),
    [sym_character_literal] = ACTIONS(11573),
    [anon_sym_DQUOTE] = ACTIONS(11573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11573),
    [anon_sym_BQUOTE] = ACTIONS(11573),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11573),
    [sym__pair_operator] = ACTIONS(11573),
    [sym__arrow_operator] = ACTIONS(11573),
    [sym__lazy_or_operator] = ACTIONS(11573),
    [sym__lazy_and_operator] = ACTIONS(11573),
    [sym__comparison_operator] = ACTIONS(11573),
    [sym__pipe_right_operator] = ACTIONS(11573),
    [sym__pipe_left_operator] = ACTIONS(11573),
    [sym__ellipsis_operator] = ACTIONS(11573),
    [sym__plus_operator] = ACTIONS(11573),
    [sym__times_operator] = ACTIONS(11573),
    [sym__rational_operator] = ACTIONS(11573),
    [sym__bitshift_operator] = ACTIONS(11573),
    [sym__power_operator] = ACTIONS(11573),
    [sym__tilde_operator] = ACTIONS(11573),
    [sym__type_order_operator] = ACTIONS(11573),
    [sym__unary_operator] = ACTIONS(11573),
    [sym__unary_plus_operator] = ACTIONS(11573),
    [aux_sym__terminator_token1] = ACTIONS(11575),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8657] = {
    [sym_block_comment] = STATE(8657),
    [sym_line_comment] = STATE(8657),
    [aux_sym_open_tuple_repeat1] = STATE(8241),
    [ts_builtin_sym_end] = ACTIONS(11260),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(12231),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_RBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8658] = {
    [sym_block_comment] = STATE(8658),
    [sym_line_comment] = STATE(8658),
    [sym__word_identifier] = ACTIONS(11577),
    [anon_sym_COMMA] = ACTIONS(11577),
    [anon_sym_EQ] = ACTIONS(11577),
    [anon_sym_begin] = ACTIONS(11577),
    [anon_sym_module] = ACTIONS(11577),
    [anon_sym_baremodule] = ACTIONS(11577),
    [anon_sym_end] = ACTIONS(11577),
    [anon_sym_abstract] = ACTIONS(11577),
    [anon_sym_primitive] = ACTIONS(11577),
    [anon_sym_mutable] = ACTIONS(11577),
    [anon_sym_struct] = ACTIONS(11577),
    [anon_sym_function] = ACTIONS(11577),
    [anon_sym_macro] = ACTIONS(11577),
    [anon_sym_quote] = ACTIONS(11577),
    [anon_sym_let] = ACTIONS(11577),
    [anon_sym_if] = ACTIONS(11577),
    [anon_sym_try] = ACTIONS(11577),
    [anon_sym_finally] = ACTIONS(11577),
    [anon_sym_for] = ACTIONS(11577),
    [anon_sym_while] = ACTIONS(11577),
    [sym_break_statement] = ACTIONS(11577),
    [sym_continue_statement] = ACTIONS(11577),
    [anon_sym_return] = ACTIONS(11577),
    [anon_sym_const] = ACTIONS(11577),
    [anon_sym_global] = ACTIONS(11577),
    [anon_sym_local] = ACTIONS(11577),
    [anon_sym_LPAREN] = ACTIONS(11577),
    [anon_sym_COLON] = ACTIONS(11577),
    [anon_sym_export] = ACTIONS(11577),
    [anon_sym_public] = ACTIONS(11577),
    [anon_sym_import] = ACTIONS(11577),
    [anon_sym_using] = ACTIONS(11577),
    [anon_sym_LBRACK] = ACTIONS(11577),
    [anon_sym_in] = ACTIONS(11577),
    [anon_sym_SEMI] = ACTIONS(11577),
    [anon_sym_LBRACE] = ACTIONS(11577),
    [anon_sym_DOLLAR] = ACTIONS(11577),
    [anon_sym_COLON2] = ACTIONS(11577),
    [anon_sym_COLON_COLON] = ACTIONS(11577),
    [anon_sym_isa] = ACTIONS(11577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11577),
    [anon_sym_QMARK] = ACTIONS(11577),
    [anon_sym_where] = ACTIONS(11577),
    [anon_sym_AT] = ACTIONS(11577),
    [anon_sym_true] = ACTIONS(11577),
    [anon_sym_false] = ACTIONS(11577),
    [aux_sym_integer_literal_token1] = ACTIONS(11577),
    [aux_sym_integer_literal_token2] = ACTIONS(11577),
    [aux_sym_integer_literal_token3] = ACTIONS(11577),
    [aux_sym_integer_literal_token4] = ACTIONS(11577),
    [aux_sym_float_literal_token1] = ACTIONS(11577),
    [aux_sym_float_literal_token3] = ACTIONS(11577),
    [aux_sym_float_literal_token4] = ACTIONS(11577),
    [sym_character_literal] = ACTIONS(11577),
    [anon_sym_DQUOTE] = ACTIONS(11577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11577),
    [anon_sym_BQUOTE] = ACTIONS(11577),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11577),
    [sym__pair_operator] = ACTIONS(11577),
    [sym__arrow_operator] = ACTIONS(11577),
    [sym__lazy_or_operator] = ACTIONS(11577),
    [sym__lazy_and_operator] = ACTIONS(11577),
    [sym__comparison_operator] = ACTIONS(11577),
    [sym__pipe_right_operator] = ACTIONS(11577),
    [sym__pipe_left_operator] = ACTIONS(11577),
    [sym__ellipsis_operator] = ACTIONS(11577),
    [sym__plus_operator] = ACTIONS(11577),
    [sym__times_operator] = ACTIONS(11577),
    [sym__rational_operator] = ACTIONS(11577),
    [sym__bitshift_operator] = ACTIONS(11577),
    [sym__power_operator] = ACTIONS(11577),
    [sym__tilde_operator] = ACTIONS(11577),
    [sym__type_order_operator] = ACTIONS(11577),
    [sym__unary_operator] = ACTIONS(11577),
    [sym__unary_plus_operator] = ACTIONS(11577),
    [aux_sym__terminator_token1] = ACTIONS(11579),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8659] = {
    [sym_block_comment] = STATE(8659),
    [sym_line_comment] = STATE(8659),
    [sym__word_identifier] = ACTIONS(11581),
    [anon_sym_COMMA] = ACTIONS(11581),
    [anon_sym_EQ] = ACTIONS(11581),
    [anon_sym_begin] = ACTIONS(11581),
    [anon_sym_module] = ACTIONS(11581),
    [anon_sym_baremodule] = ACTIONS(11581),
    [anon_sym_end] = ACTIONS(11581),
    [anon_sym_abstract] = ACTIONS(11581),
    [anon_sym_primitive] = ACTIONS(11581),
    [anon_sym_mutable] = ACTIONS(11581),
    [anon_sym_struct] = ACTIONS(11581),
    [anon_sym_function] = ACTIONS(11581),
    [anon_sym_macro] = ACTIONS(11581),
    [anon_sym_quote] = ACTIONS(11581),
    [anon_sym_let] = ACTIONS(11581),
    [anon_sym_if] = ACTIONS(11581),
    [anon_sym_try] = ACTIONS(11581),
    [anon_sym_finally] = ACTIONS(11581),
    [anon_sym_for] = ACTIONS(11581),
    [anon_sym_while] = ACTIONS(11581),
    [sym_break_statement] = ACTIONS(11581),
    [sym_continue_statement] = ACTIONS(11581),
    [anon_sym_return] = ACTIONS(11581),
    [anon_sym_const] = ACTIONS(11581),
    [anon_sym_global] = ACTIONS(11581),
    [anon_sym_local] = ACTIONS(11581),
    [anon_sym_LPAREN] = ACTIONS(11581),
    [anon_sym_COLON] = ACTIONS(11581),
    [anon_sym_export] = ACTIONS(11581),
    [anon_sym_public] = ACTIONS(11581),
    [anon_sym_import] = ACTIONS(11581),
    [anon_sym_using] = ACTIONS(11581),
    [anon_sym_LBRACK] = ACTIONS(11581),
    [anon_sym_in] = ACTIONS(11581),
    [anon_sym_SEMI] = ACTIONS(11581),
    [anon_sym_LBRACE] = ACTIONS(11581),
    [anon_sym_DOLLAR] = ACTIONS(11581),
    [anon_sym_COLON2] = ACTIONS(11581),
    [anon_sym_COLON_COLON] = ACTIONS(11581),
    [anon_sym_isa] = ACTIONS(11581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11581),
    [anon_sym_QMARK] = ACTIONS(11581),
    [anon_sym_where] = ACTIONS(11581),
    [anon_sym_AT] = ACTIONS(11581),
    [anon_sym_true] = ACTIONS(11581),
    [anon_sym_false] = ACTIONS(11581),
    [aux_sym_integer_literal_token1] = ACTIONS(11581),
    [aux_sym_integer_literal_token2] = ACTIONS(11581),
    [aux_sym_integer_literal_token3] = ACTIONS(11581),
    [aux_sym_integer_literal_token4] = ACTIONS(11581),
    [aux_sym_float_literal_token1] = ACTIONS(11581),
    [aux_sym_float_literal_token3] = ACTIONS(11581),
    [aux_sym_float_literal_token4] = ACTIONS(11581),
    [sym_character_literal] = ACTIONS(11581),
    [anon_sym_DQUOTE] = ACTIONS(11581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11581),
    [anon_sym_BQUOTE] = ACTIONS(11581),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11581),
    [sym__pair_operator] = ACTIONS(11581),
    [sym__arrow_operator] = ACTIONS(11581),
    [sym__lazy_or_operator] = ACTIONS(11581),
    [sym__lazy_and_operator] = ACTIONS(11581),
    [sym__comparison_operator] = ACTIONS(11581),
    [sym__pipe_right_operator] = ACTIONS(11581),
    [sym__pipe_left_operator] = ACTIONS(11581),
    [sym__ellipsis_operator] = ACTIONS(11581),
    [sym__plus_operator] = ACTIONS(11581),
    [sym__times_operator] = ACTIONS(11581),
    [sym__rational_operator] = ACTIONS(11581),
    [sym__bitshift_operator] = ACTIONS(11581),
    [sym__power_operator] = ACTIONS(11581),
    [sym__tilde_operator] = ACTIONS(11581),
    [sym__type_order_operator] = ACTIONS(11581),
    [sym__unary_operator] = ACTIONS(11581),
    [sym__unary_plus_operator] = ACTIONS(11581),
    [aux_sym__terminator_token1] = ACTIONS(11583),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8660] = {
    [sym_block_comment] = STATE(8660),
    [sym_line_comment] = STATE(8660),
    [sym__word_identifier] = ACTIONS(11585),
    [anon_sym_COMMA] = ACTIONS(11585),
    [anon_sym_EQ] = ACTIONS(11585),
    [anon_sym_begin] = ACTIONS(11585),
    [anon_sym_module] = ACTIONS(11585),
    [anon_sym_baremodule] = ACTIONS(11585),
    [anon_sym_end] = ACTIONS(11585),
    [anon_sym_abstract] = ACTIONS(11585),
    [anon_sym_primitive] = ACTIONS(11585),
    [anon_sym_mutable] = ACTIONS(11585),
    [anon_sym_struct] = ACTIONS(11585),
    [anon_sym_function] = ACTIONS(11585),
    [anon_sym_macro] = ACTIONS(11585),
    [anon_sym_quote] = ACTIONS(11585),
    [anon_sym_let] = ACTIONS(11585),
    [anon_sym_if] = ACTIONS(11585),
    [anon_sym_try] = ACTIONS(11585),
    [anon_sym_finally] = ACTIONS(11585),
    [anon_sym_for] = ACTIONS(11585),
    [anon_sym_while] = ACTIONS(11585),
    [sym_break_statement] = ACTIONS(11585),
    [sym_continue_statement] = ACTIONS(11585),
    [anon_sym_return] = ACTIONS(11585),
    [anon_sym_const] = ACTIONS(11585),
    [anon_sym_global] = ACTIONS(11585),
    [anon_sym_local] = ACTIONS(11585),
    [anon_sym_LPAREN] = ACTIONS(11585),
    [anon_sym_COLON] = ACTIONS(11585),
    [anon_sym_export] = ACTIONS(11585),
    [anon_sym_public] = ACTIONS(11585),
    [anon_sym_import] = ACTIONS(11585),
    [anon_sym_using] = ACTIONS(11585),
    [anon_sym_LBRACK] = ACTIONS(11585),
    [anon_sym_in] = ACTIONS(11585),
    [anon_sym_SEMI] = ACTIONS(11585),
    [anon_sym_LBRACE] = ACTIONS(11585),
    [anon_sym_DOLLAR] = ACTIONS(11585),
    [anon_sym_COLON2] = ACTIONS(11585),
    [anon_sym_COLON_COLON] = ACTIONS(11585),
    [anon_sym_isa] = ACTIONS(11585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11585),
    [anon_sym_QMARK] = ACTIONS(11585),
    [anon_sym_where] = ACTIONS(11585),
    [anon_sym_AT] = ACTIONS(11585),
    [anon_sym_true] = ACTIONS(11585),
    [anon_sym_false] = ACTIONS(11585),
    [aux_sym_integer_literal_token1] = ACTIONS(11585),
    [aux_sym_integer_literal_token2] = ACTIONS(11585),
    [aux_sym_integer_literal_token3] = ACTIONS(11585),
    [aux_sym_integer_literal_token4] = ACTIONS(11585),
    [aux_sym_float_literal_token1] = ACTIONS(11585),
    [aux_sym_float_literal_token3] = ACTIONS(11585),
    [aux_sym_float_literal_token4] = ACTIONS(11585),
    [sym_character_literal] = ACTIONS(11585),
    [anon_sym_DQUOTE] = ACTIONS(11585),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11585),
    [anon_sym_BQUOTE] = ACTIONS(11585),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11585),
    [sym__pair_operator] = ACTIONS(11585),
    [sym__arrow_operator] = ACTIONS(11585),
    [sym__lazy_or_operator] = ACTIONS(11585),
    [sym__lazy_and_operator] = ACTIONS(11585),
    [sym__comparison_operator] = ACTIONS(11585),
    [sym__pipe_right_operator] = ACTIONS(11585),
    [sym__pipe_left_operator] = ACTIONS(11585),
    [sym__ellipsis_operator] = ACTIONS(11585),
    [sym__plus_operator] = ACTIONS(11585),
    [sym__times_operator] = ACTIONS(11585),
    [sym__rational_operator] = ACTIONS(11585),
    [sym__bitshift_operator] = ACTIONS(11585),
    [sym__power_operator] = ACTIONS(11585),
    [sym__tilde_operator] = ACTIONS(11585),
    [sym__type_order_operator] = ACTIONS(11585),
    [sym__unary_operator] = ACTIONS(11585),
    [sym__unary_plus_operator] = ACTIONS(11585),
    [aux_sym__terminator_token1] = ACTIONS(11587),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8661] = {
    [sym_block_comment] = STATE(8661),
    [sym_line_comment] = STATE(8661),
    [sym__word_identifier] = ACTIONS(11589),
    [anon_sym_COMMA] = ACTIONS(11589),
    [anon_sym_EQ] = ACTIONS(11589),
    [anon_sym_begin] = ACTIONS(11589),
    [anon_sym_module] = ACTIONS(11589),
    [anon_sym_baremodule] = ACTIONS(11589),
    [anon_sym_end] = ACTIONS(11589),
    [anon_sym_abstract] = ACTIONS(11589),
    [anon_sym_primitive] = ACTIONS(11589),
    [anon_sym_mutable] = ACTIONS(11589),
    [anon_sym_struct] = ACTIONS(11589),
    [anon_sym_function] = ACTIONS(11589),
    [anon_sym_macro] = ACTIONS(11589),
    [anon_sym_quote] = ACTIONS(11589),
    [anon_sym_let] = ACTIONS(11589),
    [anon_sym_if] = ACTIONS(11589),
    [anon_sym_try] = ACTIONS(11589),
    [anon_sym_finally] = ACTIONS(11589),
    [anon_sym_for] = ACTIONS(11589),
    [anon_sym_while] = ACTIONS(11589),
    [sym_break_statement] = ACTIONS(11589),
    [sym_continue_statement] = ACTIONS(11589),
    [anon_sym_return] = ACTIONS(11589),
    [anon_sym_const] = ACTIONS(11589),
    [anon_sym_global] = ACTIONS(11589),
    [anon_sym_local] = ACTIONS(11589),
    [anon_sym_LPAREN] = ACTIONS(11589),
    [anon_sym_COLON] = ACTIONS(11589),
    [anon_sym_export] = ACTIONS(11589),
    [anon_sym_public] = ACTIONS(11589),
    [anon_sym_import] = ACTIONS(11589),
    [anon_sym_using] = ACTIONS(11589),
    [anon_sym_LBRACK] = ACTIONS(11589),
    [anon_sym_in] = ACTIONS(11589),
    [anon_sym_SEMI] = ACTIONS(11589),
    [anon_sym_LBRACE] = ACTIONS(11589),
    [anon_sym_DOLLAR] = ACTIONS(11589),
    [anon_sym_COLON2] = ACTIONS(11589),
    [anon_sym_COLON_COLON] = ACTIONS(11589),
    [anon_sym_isa] = ACTIONS(11589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11589),
    [anon_sym_QMARK] = ACTIONS(11589),
    [anon_sym_where] = ACTIONS(11589),
    [anon_sym_AT] = ACTIONS(11589),
    [anon_sym_true] = ACTIONS(11589),
    [anon_sym_false] = ACTIONS(11589),
    [aux_sym_integer_literal_token1] = ACTIONS(11589),
    [aux_sym_integer_literal_token2] = ACTIONS(11589),
    [aux_sym_integer_literal_token3] = ACTIONS(11589),
    [aux_sym_integer_literal_token4] = ACTIONS(11589),
    [aux_sym_float_literal_token1] = ACTIONS(11589),
    [aux_sym_float_literal_token3] = ACTIONS(11589),
    [aux_sym_float_literal_token4] = ACTIONS(11589),
    [sym_character_literal] = ACTIONS(11589),
    [anon_sym_DQUOTE] = ACTIONS(11589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11589),
    [anon_sym_BQUOTE] = ACTIONS(11589),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11589),
    [sym__pair_operator] = ACTIONS(11589),
    [sym__arrow_operator] = ACTIONS(11589),
    [sym__lazy_or_operator] = ACTIONS(11589),
    [sym__lazy_and_operator] = ACTIONS(11589),
    [sym__comparison_operator] = ACTIONS(11589),
    [sym__pipe_right_operator] = ACTIONS(11589),
    [sym__pipe_left_operator] = ACTIONS(11589),
    [sym__ellipsis_operator] = ACTIONS(11589),
    [sym__plus_operator] = ACTIONS(11589),
    [sym__times_operator] = ACTIONS(11589),
    [sym__rational_operator] = ACTIONS(11589),
    [sym__bitshift_operator] = ACTIONS(11589),
    [sym__power_operator] = ACTIONS(11589),
    [sym__tilde_operator] = ACTIONS(11589),
    [sym__type_order_operator] = ACTIONS(11589),
    [sym__unary_operator] = ACTIONS(11589),
    [sym__unary_plus_operator] = ACTIONS(11589),
    [aux_sym__terminator_token1] = ACTIONS(11591),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8662] = {
    [sym_block_comment] = STATE(8662),
    [sym_line_comment] = STATE(8662),
    [sym__word_identifier] = ACTIONS(11593),
    [anon_sym_COMMA] = ACTIONS(11593),
    [anon_sym_EQ] = ACTIONS(11593),
    [anon_sym_begin] = ACTIONS(11593),
    [anon_sym_module] = ACTIONS(11593),
    [anon_sym_baremodule] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(11593),
    [anon_sym_abstract] = ACTIONS(11593),
    [anon_sym_primitive] = ACTIONS(11593),
    [anon_sym_mutable] = ACTIONS(11593),
    [anon_sym_struct] = ACTIONS(11593),
    [anon_sym_function] = ACTIONS(11593),
    [anon_sym_macro] = ACTIONS(11593),
    [anon_sym_quote] = ACTIONS(11593),
    [anon_sym_let] = ACTIONS(11593),
    [anon_sym_if] = ACTIONS(11593),
    [anon_sym_try] = ACTIONS(11593),
    [anon_sym_finally] = ACTIONS(11593),
    [anon_sym_for] = ACTIONS(11593),
    [anon_sym_while] = ACTIONS(11593),
    [sym_break_statement] = ACTIONS(11593),
    [sym_continue_statement] = ACTIONS(11593),
    [anon_sym_return] = ACTIONS(11593),
    [anon_sym_const] = ACTIONS(11593),
    [anon_sym_global] = ACTIONS(11593),
    [anon_sym_local] = ACTIONS(11593),
    [anon_sym_LPAREN] = ACTIONS(11593),
    [anon_sym_COLON] = ACTIONS(11593),
    [anon_sym_export] = ACTIONS(11593),
    [anon_sym_public] = ACTIONS(11593),
    [anon_sym_import] = ACTIONS(11593),
    [anon_sym_using] = ACTIONS(11593),
    [anon_sym_LBRACK] = ACTIONS(11593),
    [anon_sym_in] = ACTIONS(11593),
    [anon_sym_SEMI] = ACTIONS(11593),
    [anon_sym_LBRACE] = ACTIONS(11593),
    [anon_sym_DOLLAR] = ACTIONS(11593),
    [anon_sym_COLON2] = ACTIONS(11593),
    [anon_sym_COLON_COLON] = ACTIONS(11593),
    [anon_sym_isa] = ACTIONS(11593),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11593),
    [anon_sym_QMARK] = ACTIONS(11593),
    [anon_sym_where] = ACTIONS(11593),
    [anon_sym_AT] = ACTIONS(11593),
    [anon_sym_true] = ACTIONS(11593),
    [anon_sym_false] = ACTIONS(11593),
    [aux_sym_integer_literal_token1] = ACTIONS(11593),
    [aux_sym_integer_literal_token2] = ACTIONS(11593),
    [aux_sym_integer_literal_token3] = ACTIONS(11593),
    [aux_sym_integer_literal_token4] = ACTIONS(11593),
    [aux_sym_float_literal_token1] = ACTIONS(11593),
    [aux_sym_float_literal_token3] = ACTIONS(11593),
    [aux_sym_float_literal_token4] = ACTIONS(11593),
    [sym_character_literal] = ACTIONS(11593),
    [anon_sym_DQUOTE] = ACTIONS(11593),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11593),
    [anon_sym_BQUOTE] = ACTIONS(11593),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11593),
    [sym__pair_operator] = ACTIONS(11593),
    [sym__arrow_operator] = ACTIONS(11593),
    [sym__lazy_or_operator] = ACTIONS(11593),
    [sym__lazy_and_operator] = ACTIONS(11593),
    [sym__comparison_operator] = ACTIONS(11593),
    [sym__pipe_right_operator] = ACTIONS(11593),
    [sym__pipe_left_operator] = ACTIONS(11593),
    [sym__ellipsis_operator] = ACTIONS(11593),
    [sym__plus_operator] = ACTIONS(11593),
    [sym__times_operator] = ACTIONS(11593),
    [sym__rational_operator] = ACTIONS(11593),
    [sym__bitshift_operator] = ACTIONS(11593),
    [sym__power_operator] = ACTIONS(11593),
    [sym__tilde_operator] = ACTIONS(11593),
    [sym__type_order_operator] = ACTIONS(11593),
    [sym__unary_operator] = ACTIONS(11593),
    [sym__unary_plus_operator] = ACTIONS(11593),
    [aux_sym__terminator_token1] = ACTIONS(11595),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8663] = {
    [sym_block_comment] = STATE(8663),
    [sym_line_comment] = STATE(8663),
    [sym__word_identifier] = ACTIONS(11597),
    [anon_sym_COMMA] = ACTIONS(11597),
    [anon_sym_EQ] = ACTIONS(11597),
    [anon_sym_begin] = ACTIONS(11597),
    [anon_sym_module] = ACTIONS(11597),
    [anon_sym_baremodule] = ACTIONS(11597),
    [anon_sym_end] = ACTIONS(11597),
    [anon_sym_abstract] = ACTIONS(11597),
    [anon_sym_primitive] = ACTIONS(11597),
    [anon_sym_mutable] = ACTIONS(11597),
    [anon_sym_struct] = ACTIONS(11597),
    [anon_sym_function] = ACTIONS(11597),
    [anon_sym_macro] = ACTIONS(11597),
    [anon_sym_quote] = ACTIONS(11597),
    [anon_sym_let] = ACTIONS(11597),
    [anon_sym_if] = ACTIONS(11597),
    [anon_sym_try] = ACTIONS(11597),
    [anon_sym_finally] = ACTIONS(11597),
    [anon_sym_for] = ACTIONS(11597),
    [anon_sym_while] = ACTIONS(11597),
    [sym_break_statement] = ACTIONS(11597),
    [sym_continue_statement] = ACTIONS(11597),
    [anon_sym_return] = ACTIONS(11597),
    [anon_sym_const] = ACTIONS(11597),
    [anon_sym_global] = ACTIONS(11597),
    [anon_sym_local] = ACTIONS(11597),
    [anon_sym_LPAREN] = ACTIONS(11597),
    [anon_sym_COLON] = ACTIONS(11597),
    [anon_sym_export] = ACTIONS(11597),
    [anon_sym_public] = ACTIONS(11597),
    [anon_sym_import] = ACTIONS(11597),
    [anon_sym_using] = ACTIONS(11597),
    [anon_sym_LBRACK] = ACTIONS(11597),
    [anon_sym_in] = ACTIONS(11597),
    [anon_sym_SEMI] = ACTIONS(11597),
    [anon_sym_LBRACE] = ACTIONS(11597),
    [anon_sym_DOLLAR] = ACTIONS(11597),
    [anon_sym_COLON2] = ACTIONS(11597),
    [anon_sym_COLON_COLON] = ACTIONS(11597),
    [anon_sym_isa] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11597),
    [anon_sym_QMARK] = ACTIONS(11597),
    [anon_sym_where] = ACTIONS(11597),
    [anon_sym_AT] = ACTIONS(11597),
    [anon_sym_true] = ACTIONS(11597),
    [anon_sym_false] = ACTIONS(11597),
    [aux_sym_integer_literal_token1] = ACTIONS(11597),
    [aux_sym_integer_literal_token2] = ACTIONS(11597),
    [aux_sym_integer_literal_token3] = ACTIONS(11597),
    [aux_sym_integer_literal_token4] = ACTIONS(11597),
    [aux_sym_float_literal_token1] = ACTIONS(11597),
    [aux_sym_float_literal_token3] = ACTIONS(11597),
    [aux_sym_float_literal_token4] = ACTIONS(11597),
    [sym_character_literal] = ACTIONS(11597),
    [anon_sym_DQUOTE] = ACTIONS(11597),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11597),
    [anon_sym_BQUOTE] = ACTIONS(11597),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11597),
    [sym__pair_operator] = ACTIONS(11597),
    [sym__arrow_operator] = ACTIONS(11597),
    [sym__lazy_or_operator] = ACTIONS(11597),
    [sym__lazy_and_operator] = ACTIONS(11597),
    [sym__comparison_operator] = ACTIONS(11597),
    [sym__pipe_right_operator] = ACTIONS(11597),
    [sym__pipe_left_operator] = ACTIONS(11597),
    [sym__ellipsis_operator] = ACTIONS(11597),
    [sym__plus_operator] = ACTIONS(11597),
    [sym__times_operator] = ACTIONS(11597),
    [sym__rational_operator] = ACTIONS(11597),
    [sym__bitshift_operator] = ACTIONS(11597),
    [sym__power_operator] = ACTIONS(11597),
    [sym__tilde_operator] = ACTIONS(11597),
    [sym__type_order_operator] = ACTIONS(11597),
    [sym__unary_operator] = ACTIONS(11597),
    [sym__unary_plus_operator] = ACTIONS(11597),
    [aux_sym__terminator_token1] = ACTIONS(11599),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8664] = {
    [sym_block_comment] = STATE(8664),
    [sym_line_comment] = STATE(8664),
    [sym__word_identifier] = ACTIONS(11601),
    [anon_sym_COMMA] = ACTIONS(11601),
    [anon_sym_EQ] = ACTIONS(11601),
    [anon_sym_begin] = ACTIONS(11601),
    [anon_sym_module] = ACTIONS(11601),
    [anon_sym_baremodule] = ACTIONS(11601),
    [anon_sym_end] = ACTIONS(11601),
    [anon_sym_abstract] = ACTIONS(11601),
    [anon_sym_primitive] = ACTIONS(11601),
    [anon_sym_mutable] = ACTIONS(11601),
    [anon_sym_struct] = ACTIONS(11601),
    [anon_sym_function] = ACTIONS(11601),
    [anon_sym_macro] = ACTIONS(11601),
    [anon_sym_quote] = ACTIONS(11601),
    [anon_sym_let] = ACTIONS(11601),
    [anon_sym_if] = ACTIONS(11601),
    [anon_sym_try] = ACTIONS(11601),
    [anon_sym_finally] = ACTIONS(11601),
    [anon_sym_for] = ACTIONS(11601),
    [anon_sym_while] = ACTIONS(11601),
    [sym_break_statement] = ACTIONS(11601),
    [sym_continue_statement] = ACTIONS(11601),
    [anon_sym_return] = ACTIONS(11601),
    [anon_sym_const] = ACTIONS(11601),
    [anon_sym_global] = ACTIONS(11601),
    [anon_sym_local] = ACTIONS(11601),
    [anon_sym_LPAREN] = ACTIONS(11601),
    [anon_sym_COLON] = ACTIONS(11601),
    [anon_sym_export] = ACTIONS(11601),
    [anon_sym_public] = ACTIONS(11601),
    [anon_sym_import] = ACTIONS(11601),
    [anon_sym_using] = ACTIONS(11601),
    [anon_sym_LBRACK] = ACTIONS(11601),
    [anon_sym_in] = ACTIONS(11601),
    [anon_sym_SEMI] = ACTIONS(11601),
    [anon_sym_LBRACE] = ACTIONS(11601),
    [anon_sym_DOLLAR] = ACTIONS(11601),
    [anon_sym_COLON2] = ACTIONS(11601),
    [anon_sym_COLON_COLON] = ACTIONS(11601),
    [anon_sym_isa] = ACTIONS(11601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11601),
    [anon_sym_QMARK] = ACTIONS(11601),
    [anon_sym_where] = ACTIONS(11601),
    [anon_sym_AT] = ACTIONS(11601),
    [anon_sym_true] = ACTIONS(11601),
    [anon_sym_false] = ACTIONS(11601),
    [aux_sym_integer_literal_token1] = ACTIONS(11601),
    [aux_sym_integer_literal_token2] = ACTIONS(11601),
    [aux_sym_integer_literal_token3] = ACTIONS(11601),
    [aux_sym_integer_literal_token4] = ACTIONS(11601),
    [aux_sym_float_literal_token1] = ACTIONS(11601),
    [aux_sym_float_literal_token3] = ACTIONS(11601),
    [aux_sym_float_literal_token4] = ACTIONS(11601),
    [sym_character_literal] = ACTIONS(11601),
    [anon_sym_DQUOTE] = ACTIONS(11601),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11601),
    [anon_sym_BQUOTE] = ACTIONS(11601),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11601),
    [sym__pair_operator] = ACTIONS(11601),
    [sym__arrow_operator] = ACTIONS(11601),
    [sym__lazy_or_operator] = ACTIONS(11601),
    [sym__lazy_and_operator] = ACTIONS(11601),
    [sym__comparison_operator] = ACTIONS(11601),
    [sym__pipe_right_operator] = ACTIONS(11601),
    [sym__pipe_left_operator] = ACTIONS(11601),
    [sym__ellipsis_operator] = ACTIONS(11601),
    [sym__plus_operator] = ACTIONS(11601),
    [sym__times_operator] = ACTIONS(11601),
    [sym__rational_operator] = ACTIONS(11601),
    [sym__bitshift_operator] = ACTIONS(11601),
    [sym__power_operator] = ACTIONS(11601),
    [sym__tilde_operator] = ACTIONS(11601),
    [sym__type_order_operator] = ACTIONS(11601),
    [sym__unary_operator] = ACTIONS(11601),
    [sym__unary_plus_operator] = ACTIONS(11601),
    [aux_sym__terminator_token1] = ACTIONS(11603),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8665] = {
    [sym_block_comment] = STATE(8665),
    [sym_line_comment] = STATE(8665),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8666] = {
    [sym_block_comment] = STATE(8666),
    [sym_line_comment] = STATE(8666),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11876),
    [anon_sym_EQ] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_end] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_finally] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8667] = {
    [sym_block_comment] = STATE(8667),
    [sym_line_comment] = STATE(8667),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8668] = {
    [sym_block_comment] = STATE(8668),
    [sym_line_comment] = STATE(8668),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8669] = {
    [sym_block_comment] = STATE(8669),
    [sym_line_comment] = STATE(8669),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8670] = {
    [sym_block_comment] = STATE(8670),
    [sym_line_comment] = STATE(8670),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8671] = {
    [sym_block_comment] = STATE(8671),
    [sym_line_comment] = STATE(8671),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8672] = {
    [sym_block_comment] = STATE(8672),
    [sym_line_comment] = STATE(8672),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8673] = {
    [sym_block_comment] = STATE(8673),
    [sym_line_comment] = STATE(8673),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8674] = {
    [sym_block_comment] = STATE(8674),
    [sym_line_comment] = STATE(8674),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8675] = {
    [sym_block_comment] = STATE(8675),
    [sym_line_comment] = STATE(8675),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8676] = {
    [sym_block_comment] = STATE(8676),
    [sym_line_comment] = STATE(8676),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8677] = {
    [sym_block_comment] = STATE(8677),
    [sym_line_comment] = STATE(8677),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8678] = {
    [sym_block_comment] = STATE(8678),
    [sym_line_comment] = STATE(8678),
    [ts_builtin_sym_end] = ACTIONS(11567),
    [sym__word_identifier] = ACTIONS(11565),
    [anon_sym_COMMA] = ACTIONS(11565),
    [anon_sym_EQ] = ACTIONS(11565),
    [anon_sym_begin] = ACTIONS(11565),
    [anon_sym_module] = ACTIONS(11565),
    [anon_sym_baremodule] = ACTIONS(11565),
    [anon_sym_abstract] = ACTIONS(11565),
    [anon_sym_primitive] = ACTIONS(11565),
    [anon_sym_mutable] = ACTIONS(11565),
    [anon_sym_struct] = ACTIONS(11565),
    [anon_sym_function] = ACTIONS(11565),
    [anon_sym_macro] = ACTIONS(11565),
    [anon_sym_quote] = ACTIONS(11565),
    [anon_sym_let] = ACTIONS(11565),
    [anon_sym_if] = ACTIONS(11565),
    [anon_sym_try] = ACTIONS(11565),
    [anon_sym_for] = ACTIONS(11565),
    [anon_sym_while] = ACTIONS(11565),
    [sym_break_statement] = ACTIONS(11565),
    [sym_continue_statement] = ACTIONS(11565),
    [anon_sym_return] = ACTIONS(11565),
    [anon_sym_const] = ACTIONS(11565),
    [anon_sym_global] = ACTIONS(11565),
    [anon_sym_local] = ACTIONS(11565),
    [anon_sym_LPAREN] = ACTIONS(11565),
    [anon_sym_COLON] = ACTIONS(11565),
    [anon_sym_export] = ACTIONS(11565),
    [anon_sym_public] = ACTIONS(11565),
    [anon_sym_import] = ACTIONS(11565),
    [anon_sym_using] = ACTIONS(11565),
    [anon_sym_LBRACK] = ACTIONS(11565),
    [anon_sym_RBRACK] = ACTIONS(11565),
    [anon_sym_in] = ACTIONS(11565),
    [anon_sym_SEMI] = ACTIONS(11565),
    [anon_sym_LBRACE] = ACTIONS(11565),
    [anon_sym_DOLLAR] = ACTIONS(11565),
    [anon_sym_COLON2] = ACTIONS(11565),
    [anon_sym_COLON_COLON] = ACTIONS(11565),
    [anon_sym_isa] = ACTIONS(11565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11565),
    [anon_sym_QMARK] = ACTIONS(11565),
    [anon_sym_where] = ACTIONS(11565),
    [anon_sym_AT] = ACTIONS(11565),
    [anon_sym_true] = ACTIONS(11565),
    [anon_sym_false] = ACTIONS(11565),
    [aux_sym_integer_literal_token1] = ACTIONS(11565),
    [aux_sym_integer_literal_token2] = ACTIONS(11565),
    [aux_sym_integer_literal_token3] = ACTIONS(11565),
    [aux_sym_integer_literal_token4] = ACTIONS(11565),
    [aux_sym_float_literal_token1] = ACTIONS(11565),
    [aux_sym_float_literal_token3] = ACTIONS(11565),
    [aux_sym_float_literal_token4] = ACTIONS(11565),
    [sym_character_literal] = ACTIONS(11565),
    [anon_sym_DQUOTE] = ACTIONS(11565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11565),
    [anon_sym_BQUOTE] = ACTIONS(11565),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11565),
    [sym__pair_operator] = ACTIONS(11565),
    [sym__arrow_operator] = ACTIONS(11565),
    [sym__lazy_or_operator] = ACTIONS(11565),
    [sym__lazy_and_operator] = ACTIONS(11565),
    [sym__comparison_operator] = ACTIONS(11565),
    [sym__pipe_right_operator] = ACTIONS(11565),
    [sym__pipe_left_operator] = ACTIONS(11565),
    [sym__ellipsis_operator] = ACTIONS(11565),
    [sym__plus_operator] = ACTIONS(11565),
    [sym__times_operator] = ACTIONS(11565),
    [sym__rational_operator] = ACTIONS(11565),
    [sym__bitshift_operator] = ACTIONS(11565),
    [sym__power_operator] = ACTIONS(11565),
    [sym__tilde_operator] = ACTIONS(11565),
    [sym__type_order_operator] = ACTIONS(11565),
    [sym__unary_operator] = ACTIONS(11565),
    [sym__unary_plus_operator] = ACTIONS(11565),
    [aux_sym__terminator_token1] = ACTIONS(11567),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8679] = {
    [sym_block_comment] = STATE(8679),
    [sym_line_comment] = STATE(8679),
    [sym__word_identifier] = ACTIONS(11605),
    [anon_sym_COMMA] = ACTIONS(11605),
    [anon_sym_EQ] = ACTIONS(11605),
    [anon_sym_begin] = ACTIONS(11605),
    [anon_sym_module] = ACTIONS(11605),
    [anon_sym_baremodule] = ACTIONS(11605),
    [anon_sym_end] = ACTIONS(11605),
    [anon_sym_abstract] = ACTIONS(11605),
    [anon_sym_primitive] = ACTIONS(11605),
    [anon_sym_mutable] = ACTIONS(11605),
    [anon_sym_struct] = ACTIONS(11605),
    [anon_sym_function] = ACTIONS(11605),
    [anon_sym_macro] = ACTIONS(11605),
    [anon_sym_quote] = ACTIONS(11605),
    [anon_sym_let] = ACTIONS(11605),
    [anon_sym_if] = ACTIONS(11605),
    [anon_sym_try] = ACTIONS(11605),
    [anon_sym_finally] = ACTIONS(11605),
    [anon_sym_for] = ACTIONS(11605),
    [anon_sym_while] = ACTIONS(11605),
    [sym_break_statement] = ACTIONS(11605),
    [sym_continue_statement] = ACTIONS(11605),
    [anon_sym_return] = ACTIONS(11605),
    [anon_sym_const] = ACTIONS(11605),
    [anon_sym_global] = ACTIONS(11605),
    [anon_sym_local] = ACTIONS(11605),
    [anon_sym_LPAREN] = ACTIONS(11605),
    [anon_sym_COLON] = ACTIONS(11605),
    [anon_sym_export] = ACTIONS(11605),
    [anon_sym_public] = ACTIONS(11605),
    [anon_sym_import] = ACTIONS(11605),
    [anon_sym_using] = ACTIONS(11605),
    [anon_sym_LBRACK] = ACTIONS(11605),
    [anon_sym_in] = ACTIONS(11605),
    [anon_sym_SEMI] = ACTIONS(11605),
    [anon_sym_LBRACE] = ACTIONS(11605),
    [anon_sym_DOLLAR] = ACTIONS(11605),
    [anon_sym_COLON2] = ACTIONS(11605),
    [anon_sym_COLON_COLON] = ACTIONS(11605),
    [anon_sym_isa] = ACTIONS(11605),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11605),
    [anon_sym_QMARK] = ACTIONS(11605),
    [anon_sym_where] = ACTIONS(11605),
    [anon_sym_AT] = ACTIONS(11605),
    [anon_sym_true] = ACTIONS(11605),
    [anon_sym_false] = ACTIONS(11605),
    [aux_sym_integer_literal_token1] = ACTIONS(11605),
    [aux_sym_integer_literal_token2] = ACTIONS(11605),
    [aux_sym_integer_literal_token3] = ACTIONS(11605),
    [aux_sym_integer_literal_token4] = ACTIONS(11605),
    [aux_sym_float_literal_token1] = ACTIONS(11605),
    [aux_sym_float_literal_token3] = ACTIONS(11605),
    [aux_sym_float_literal_token4] = ACTIONS(11605),
    [sym_character_literal] = ACTIONS(11605),
    [anon_sym_DQUOTE] = ACTIONS(11605),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11605),
    [anon_sym_BQUOTE] = ACTIONS(11605),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11605),
    [sym__pair_operator] = ACTIONS(11605),
    [sym__arrow_operator] = ACTIONS(11605),
    [sym__lazy_or_operator] = ACTIONS(11605),
    [sym__lazy_and_operator] = ACTIONS(11605),
    [sym__comparison_operator] = ACTIONS(11605),
    [sym__pipe_right_operator] = ACTIONS(11605),
    [sym__pipe_left_operator] = ACTIONS(11605),
    [sym__ellipsis_operator] = ACTIONS(11605),
    [sym__plus_operator] = ACTIONS(11605),
    [sym__times_operator] = ACTIONS(11605),
    [sym__rational_operator] = ACTIONS(11605),
    [sym__bitshift_operator] = ACTIONS(11605),
    [sym__power_operator] = ACTIONS(11605),
    [sym__tilde_operator] = ACTIONS(11605),
    [sym__type_order_operator] = ACTIONS(11605),
    [sym__unary_operator] = ACTIONS(11605),
    [sym__unary_plus_operator] = ACTIONS(11605),
    [aux_sym__terminator_token1] = ACTIONS(11607),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8680] = {
    [sym_block_comment] = STATE(8680),
    [sym_line_comment] = STATE(8680),
    [ts_builtin_sym_end] = ACTIONS(11571),
    [sym__word_identifier] = ACTIONS(11569),
    [anon_sym_COMMA] = ACTIONS(11569),
    [anon_sym_EQ] = ACTIONS(11569),
    [anon_sym_begin] = ACTIONS(11569),
    [anon_sym_module] = ACTIONS(11569),
    [anon_sym_baremodule] = ACTIONS(11569),
    [anon_sym_abstract] = ACTIONS(11569),
    [anon_sym_primitive] = ACTIONS(11569),
    [anon_sym_mutable] = ACTIONS(11569),
    [anon_sym_struct] = ACTIONS(11569),
    [anon_sym_function] = ACTIONS(11569),
    [anon_sym_macro] = ACTIONS(11569),
    [anon_sym_quote] = ACTIONS(11569),
    [anon_sym_let] = ACTIONS(11569),
    [anon_sym_if] = ACTIONS(11569),
    [anon_sym_try] = ACTIONS(11569),
    [anon_sym_for] = ACTIONS(11569),
    [anon_sym_while] = ACTIONS(11569),
    [sym_break_statement] = ACTIONS(11569),
    [sym_continue_statement] = ACTIONS(11569),
    [anon_sym_return] = ACTIONS(11569),
    [anon_sym_const] = ACTIONS(11569),
    [anon_sym_global] = ACTIONS(11569),
    [anon_sym_local] = ACTIONS(11569),
    [anon_sym_LPAREN] = ACTIONS(11569),
    [anon_sym_COLON] = ACTIONS(11569),
    [anon_sym_export] = ACTIONS(11569),
    [anon_sym_public] = ACTIONS(11569),
    [anon_sym_import] = ACTIONS(11569),
    [anon_sym_using] = ACTIONS(11569),
    [anon_sym_LBRACK] = ACTIONS(11569),
    [anon_sym_RBRACK] = ACTIONS(11569),
    [anon_sym_in] = ACTIONS(11569),
    [anon_sym_SEMI] = ACTIONS(11569),
    [anon_sym_LBRACE] = ACTIONS(11569),
    [anon_sym_DOLLAR] = ACTIONS(11569),
    [anon_sym_COLON2] = ACTIONS(11569),
    [anon_sym_COLON_COLON] = ACTIONS(11569),
    [anon_sym_isa] = ACTIONS(11569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11569),
    [anon_sym_QMARK] = ACTIONS(11569),
    [anon_sym_where] = ACTIONS(11569),
    [anon_sym_AT] = ACTIONS(11569),
    [anon_sym_true] = ACTIONS(11569),
    [anon_sym_false] = ACTIONS(11569),
    [aux_sym_integer_literal_token1] = ACTIONS(11569),
    [aux_sym_integer_literal_token2] = ACTIONS(11569),
    [aux_sym_integer_literal_token3] = ACTIONS(11569),
    [aux_sym_integer_literal_token4] = ACTIONS(11569),
    [aux_sym_float_literal_token1] = ACTIONS(11569),
    [aux_sym_float_literal_token3] = ACTIONS(11569),
    [aux_sym_float_literal_token4] = ACTIONS(11569),
    [sym_character_literal] = ACTIONS(11569),
    [anon_sym_DQUOTE] = ACTIONS(11569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11569),
    [anon_sym_BQUOTE] = ACTIONS(11569),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11569),
    [sym__pair_operator] = ACTIONS(11569),
    [sym__arrow_operator] = ACTIONS(11569),
    [sym__lazy_or_operator] = ACTIONS(11569),
    [sym__lazy_and_operator] = ACTIONS(11569),
    [sym__comparison_operator] = ACTIONS(11569),
    [sym__pipe_right_operator] = ACTIONS(11569),
    [sym__pipe_left_operator] = ACTIONS(11569),
    [sym__ellipsis_operator] = ACTIONS(11569),
    [sym__plus_operator] = ACTIONS(11569),
    [sym__times_operator] = ACTIONS(11569),
    [sym__rational_operator] = ACTIONS(11569),
    [sym__bitshift_operator] = ACTIONS(11569),
    [sym__power_operator] = ACTIONS(11569),
    [sym__tilde_operator] = ACTIONS(11569),
    [sym__type_order_operator] = ACTIONS(11569),
    [sym__unary_operator] = ACTIONS(11569),
    [sym__unary_plus_operator] = ACTIONS(11569),
    [aux_sym__terminator_token1] = ACTIONS(11571),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8681] = {
    [sym_block_comment] = STATE(8681),
    [sym_line_comment] = STATE(8681),
    [ts_builtin_sym_end] = ACTIONS(11575),
    [sym__word_identifier] = ACTIONS(11573),
    [anon_sym_COMMA] = ACTIONS(11573),
    [anon_sym_EQ] = ACTIONS(11573),
    [anon_sym_begin] = ACTIONS(11573),
    [anon_sym_module] = ACTIONS(11573),
    [anon_sym_baremodule] = ACTIONS(11573),
    [anon_sym_abstract] = ACTIONS(11573),
    [anon_sym_primitive] = ACTIONS(11573),
    [anon_sym_mutable] = ACTIONS(11573),
    [anon_sym_struct] = ACTIONS(11573),
    [anon_sym_function] = ACTIONS(11573),
    [anon_sym_macro] = ACTIONS(11573),
    [anon_sym_quote] = ACTIONS(11573),
    [anon_sym_let] = ACTIONS(11573),
    [anon_sym_if] = ACTIONS(11573),
    [anon_sym_try] = ACTIONS(11573),
    [anon_sym_for] = ACTIONS(11573),
    [anon_sym_while] = ACTIONS(11573),
    [sym_break_statement] = ACTIONS(11573),
    [sym_continue_statement] = ACTIONS(11573),
    [anon_sym_return] = ACTIONS(11573),
    [anon_sym_const] = ACTIONS(11573),
    [anon_sym_global] = ACTIONS(11573),
    [anon_sym_local] = ACTIONS(11573),
    [anon_sym_LPAREN] = ACTIONS(11573),
    [anon_sym_COLON] = ACTIONS(11573),
    [anon_sym_export] = ACTIONS(11573),
    [anon_sym_public] = ACTIONS(11573),
    [anon_sym_import] = ACTIONS(11573),
    [anon_sym_using] = ACTIONS(11573),
    [anon_sym_LBRACK] = ACTIONS(11573),
    [anon_sym_RBRACK] = ACTIONS(11573),
    [anon_sym_in] = ACTIONS(11573),
    [anon_sym_SEMI] = ACTIONS(11573),
    [anon_sym_LBRACE] = ACTIONS(11573),
    [anon_sym_DOLLAR] = ACTIONS(11573),
    [anon_sym_COLON2] = ACTIONS(11573),
    [anon_sym_COLON_COLON] = ACTIONS(11573),
    [anon_sym_isa] = ACTIONS(11573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11573),
    [anon_sym_QMARK] = ACTIONS(11573),
    [anon_sym_where] = ACTIONS(11573),
    [anon_sym_AT] = ACTIONS(11573),
    [anon_sym_true] = ACTIONS(11573),
    [anon_sym_false] = ACTIONS(11573),
    [aux_sym_integer_literal_token1] = ACTIONS(11573),
    [aux_sym_integer_literal_token2] = ACTIONS(11573),
    [aux_sym_integer_literal_token3] = ACTIONS(11573),
    [aux_sym_integer_literal_token4] = ACTIONS(11573),
    [aux_sym_float_literal_token1] = ACTIONS(11573),
    [aux_sym_float_literal_token3] = ACTIONS(11573),
    [aux_sym_float_literal_token4] = ACTIONS(11573),
    [sym_character_literal] = ACTIONS(11573),
    [anon_sym_DQUOTE] = ACTIONS(11573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11573),
    [anon_sym_BQUOTE] = ACTIONS(11573),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11573),
    [sym__pair_operator] = ACTIONS(11573),
    [sym__arrow_operator] = ACTIONS(11573),
    [sym__lazy_or_operator] = ACTIONS(11573),
    [sym__lazy_and_operator] = ACTIONS(11573),
    [sym__comparison_operator] = ACTIONS(11573),
    [sym__pipe_right_operator] = ACTIONS(11573),
    [sym__pipe_left_operator] = ACTIONS(11573),
    [sym__ellipsis_operator] = ACTIONS(11573),
    [sym__plus_operator] = ACTIONS(11573),
    [sym__times_operator] = ACTIONS(11573),
    [sym__rational_operator] = ACTIONS(11573),
    [sym__bitshift_operator] = ACTIONS(11573),
    [sym__power_operator] = ACTIONS(11573),
    [sym__tilde_operator] = ACTIONS(11573),
    [sym__type_order_operator] = ACTIONS(11573),
    [sym__unary_operator] = ACTIONS(11573),
    [sym__unary_plus_operator] = ACTIONS(11573),
    [aux_sym__terminator_token1] = ACTIONS(11575),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8682] = {
    [sym_block_comment] = STATE(8682),
    [sym_line_comment] = STATE(8682),
    [sym__word_identifier] = ACTIONS(11609),
    [anon_sym_COMMA] = ACTIONS(11609),
    [anon_sym_EQ] = ACTIONS(11609),
    [anon_sym_begin] = ACTIONS(11609),
    [anon_sym_module] = ACTIONS(11609),
    [anon_sym_baremodule] = ACTIONS(11609),
    [anon_sym_end] = ACTIONS(11609),
    [anon_sym_abstract] = ACTIONS(11609),
    [anon_sym_primitive] = ACTIONS(11609),
    [anon_sym_mutable] = ACTIONS(11609),
    [anon_sym_struct] = ACTIONS(11609),
    [anon_sym_function] = ACTIONS(11609),
    [anon_sym_macro] = ACTIONS(11609),
    [anon_sym_quote] = ACTIONS(11609),
    [anon_sym_let] = ACTIONS(11609),
    [anon_sym_if] = ACTIONS(11609),
    [anon_sym_try] = ACTIONS(11609),
    [anon_sym_finally] = ACTIONS(11609),
    [anon_sym_for] = ACTIONS(11609),
    [anon_sym_while] = ACTIONS(11609),
    [sym_break_statement] = ACTIONS(11609),
    [sym_continue_statement] = ACTIONS(11609),
    [anon_sym_return] = ACTIONS(11609),
    [anon_sym_const] = ACTIONS(11609),
    [anon_sym_global] = ACTIONS(11609),
    [anon_sym_local] = ACTIONS(11609),
    [anon_sym_LPAREN] = ACTIONS(11609),
    [anon_sym_COLON] = ACTIONS(11609),
    [anon_sym_export] = ACTIONS(11609),
    [anon_sym_public] = ACTIONS(11609),
    [anon_sym_import] = ACTIONS(11609),
    [anon_sym_using] = ACTIONS(11609),
    [anon_sym_LBRACK] = ACTIONS(11609),
    [anon_sym_in] = ACTIONS(11609),
    [anon_sym_SEMI] = ACTIONS(11609),
    [anon_sym_LBRACE] = ACTIONS(11609),
    [anon_sym_DOLLAR] = ACTIONS(11609),
    [anon_sym_COLON2] = ACTIONS(11609),
    [anon_sym_COLON_COLON] = ACTIONS(11609),
    [anon_sym_isa] = ACTIONS(11609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11609),
    [anon_sym_QMARK] = ACTIONS(11609),
    [anon_sym_where] = ACTIONS(11609),
    [anon_sym_AT] = ACTIONS(11609),
    [anon_sym_true] = ACTIONS(11609),
    [anon_sym_false] = ACTIONS(11609),
    [aux_sym_integer_literal_token1] = ACTIONS(11609),
    [aux_sym_integer_literal_token2] = ACTIONS(11609),
    [aux_sym_integer_literal_token3] = ACTIONS(11609),
    [aux_sym_integer_literal_token4] = ACTIONS(11609),
    [aux_sym_float_literal_token1] = ACTIONS(11609),
    [aux_sym_float_literal_token3] = ACTIONS(11609),
    [aux_sym_float_literal_token4] = ACTIONS(11609),
    [sym_character_literal] = ACTIONS(11609),
    [anon_sym_DQUOTE] = ACTIONS(11609),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11609),
    [anon_sym_BQUOTE] = ACTIONS(11609),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11609),
    [sym__pair_operator] = ACTIONS(11609),
    [sym__arrow_operator] = ACTIONS(11609),
    [sym__lazy_or_operator] = ACTIONS(11609),
    [sym__lazy_and_operator] = ACTIONS(11609),
    [sym__comparison_operator] = ACTIONS(11609),
    [sym__pipe_right_operator] = ACTIONS(11609),
    [sym__pipe_left_operator] = ACTIONS(11609),
    [sym__ellipsis_operator] = ACTIONS(11609),
    [sym__plus_operator] = ACTIONS(11609),
    [sym__times_operator] = ACTIONS(11609),
    [sym__rational_operator] = ACTIONS(11609),
    [sym__bitshift_operator] = ACTIONS(11609),
    [sym__power_operator] = ACTIONS(11609),
    [sym__tilde_operator] = ACTIONS(11609),
    [sym__type_order_operator] = ACTIONS(11609),
    [sym__unary_operator] = ACTIONS(11609),
    [sym__unary_plus_operator] = ACTIONS(11609),
    [aux_sym__terminator_token1] = ACTIONS(11611),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8683] = {
    [sym_block_comment] = STATE(8683),
    [sym_line_comment] = STATE(8683),
    [ts_builtin_sym_end] = ACTIONS(11579),
    [sym__word_identifier] = ACTIONS(11577),
    [anon_sym_COMMA] = ACTIONS(11577),
    [anon_sym_EQ] = ACTIONS(11577),
    [anon_sym_begin] = ACTIONS(11577),
    [anon_sym_module] = ACTIONS(11577),
    [anon_sym_baremodule] = ACTIONS(11577),
    [anon_sym_abstract] = ACTIONS(11577),
    [anon_sym_primitive] = ACTIONS(11577),
    [anon_sym_mutable] = ACTIONS(11577),
    [anon_sym_struct] = ACTIONS(11577),
    [anon_sym_function] = ACTIONS(11577),
    [anon_sym_macro] = ACTIONS(11577),
    [anon_sym_quote] = ACTIONS(11577),
    [anon_sym_let] = ACTIONS(11577),
    [anon_sym_if] = ACTIONS(11577),
    [anon_sym_try] = ACTIONS(11577),
    [anon_sym_for] = ACTIONS(11577),
    [anon_sym_while] = ACTIONS(11577),
    [sym_break_statement] = ACTIONS(11577),
    [sym_continue_statement] = ACTIONS(11577),
    [anon_sym_return] = ACTIONS(11577),
    [anon_sym_const] = ACTIONS(11577),
    [anon_sym_global] = ACTIONS(11577),
    [anon_sym_local] = ACTIONS(11577),
    [anon_sym_LPAREN] = ACTIONS(11577),
    [anon_sym_COLON] = ACTIONS(11577),
    [anon_sym_export] = ACTIONS(11577),
    [anon_sym_public] = ACTIONS(11577),
    [anon_sym_import] = ACTIONS(11577),
    [anon_sym_using] = ACTIONS(11577),
    [anon_sym_LBRACK] = ACTIONS(11577),
    [anon_sym_RBRACK] = ACTIONS(11577),
    [anon_sym_in] = ACTIONS(11577),
    [anon_sym_SEMI] = ACTIONS(11577),
    [anon_sym_LBRACE] = ACTIONS(11577),
    [anon_sym_DOLLAR] = ACTIONS(11577),
    [anon_sym_COLON2] = ACTIONS(11577),
    [anon_sym_COLON_COLON] = ACTIONS(11577),
    [anon_sym_isa] = ACTIONS(11577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11577),
    [anon_sym_QMARK] = ACTIONS(11577),
    [anon_sym_where] = ACTIONS(11577),
    [anon_sym_AT] = ACTIONS(11577),
    [anon_sym_true] = ACTIONS(11577),
    [anon_sym_false] = ACTIONS(11577),
    [aux_sym_integer_literal_token1] = ACTIONS(11577),
    [aux_sym_integer_literal_token2] = ACTIONS(11577),
    [aux_sym_integer_literal_token3] = ACTIONS(11577),
    [aux_sym_integer_literal_token4] = ACTIONS(11577),
    [aux_sym_float_literal_token1] = ACTIONS(11577),
    [aux_sym_float_literal_token3] = ACTIONS(11577),
    [aux_sym_float_literal_token4] = ACTIONS(11577),
    [sym_character_literal] = ACTIONS(11577),
    [anon_sym_DQUOTE] = ACTIONS(11577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11577),
    [anon_sym_BQUOTE] = ACTIONS(11577),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11577),
    [sym__pair_operator] = ACTIONS(11577),
    [sym__arrow_operator] = ACTIONS(11577),
    [sym__lazy_or_operator] = ACTIONS(11577),
    [sym__lazy_and_operator] = ACTIONS(11577),
    [sym__comparison_operator] = ACTIONS(11577),
    [sym__pipe_right_operator] = ACTIONS(11577),
    [sym__pipe_left_operator] = ACTIONS(11577),
    [sym__ellipsis_operator] = ACTIONS(11577),
    [sym__plus_operator] = ACTIONS(11577),
    [sym__times_operator] = ACTIONS(11577),
    [sym__rational_operator] = ACTIONS(11577),
    [sym__bitshift_operator] = ACTIONS(11577),
    [sym__power_operator] = ACTIONS(11577),
    [sym__tilde_operator] = ACTIONS(11577),
    [sym__type_order_operator] = ACTIONS(11577),
    [sym__unary_operator] = ACTIONS(11577),
    [sym__unary_plus_operator] = ACTIONS(11577),
    [aux_sym__terminator_token1] = ACTIONS(11579),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8684] = {
    [sym_block_comment] = STATE(8684),
    [sym_line_comment] = STATE(8684),
    [ts_builtin_sym_end] = ACTIONS(11583),
    [sym__word_identifier] = ACTIONS(11581),
    [anon_sym_COMMA] = ACTIONS(11581),
    [anon_sym_EQ] = ACTIONS(11581),
    [anon_sym_begin] = ACTIONS(11581),
    [anon_sym_module] = ACTIONS(11581),
    [anon_sym_baremodule] = ACTIONS(11581),
    [anon_sym_abstract] = ACTIONS(11581),
    [anon_sym_primitive] = ACTIONS(11581),
    [anon_sym_mutable] = ACTIONS(11581),
    [anon_sym_struct] = ACTIONS(11581),
    [anon_sym_function] = ACTIONS(11581),
    [anon_sym_macro] = ACTIONS(11581),
    [anon_sym_quote] = ACTIONS(11581),
    [anon_sym_let] = ACTIONS(11581),
    [anon_sym_if] = ACTIONS(11581),
    [anon_sym_try] = ACTIONS(11581),
    [anon_sym_for] = ACTIONS(11581),
    [anon_sym_while] = ACTIONS(11581),
    [sym_break_statement] = ACTIONS(11581),
    [sym_continue_statement] = ACTIONS(11581),
    [anon_sym_return] = ACTIONS(11581),
    [anon_sym_const] = ACTIONS(11581),
    [anon_sym_global] = ACTIONS(11581),
    [anon_sym_local] = ACTIONS(11581),
    [anon_sym_LPAREN] = ACTIONS(11581),
    [anon_sym_COLON] = ACTIONS(11581),
    [anon_sym_export] = ACTIONS(11581),
    [anon_sym_public] = ACTIONS(11581),
    [anon_sym_import] = ACTIONS(11581),
    [anon_sym_using] = ACTIONS(11581),
    [anon_sym_LBRACK] = ACTIONS(11581),
    [anon_sym_RBRACK] = ACTIONS(11581),
    [anon_sym_in] = ACTIONS(11581),
    [anon_sym_SEMI] = ACTIONS(11581),
    [anon_sym_LBRACE] = ACTIONS(11581),
    [anon_sym_DOLLAR] = ACTIONS(11581),
    [anon_sym_COLON2] = ACTIONS(11581),
    [anon_sym_COLON_COLON] = ACTIONS(11581),
    [anon_sym_isa] = ACTIONS(11581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11581),
    [anon_sym_QMARK] = ACTIONS(11581),
    [anon_sym_where] = ACTIONS(11581),
    [anon_sym_AT] = ACTIONS(11581),
    [anon_sym_true] = ACTIONS(11581),
    [anon_sym_false] = ACTIONS(11581),
    [aux_sym_integer_literal_token1] = ACTIONS(11581),
    [aux_sym_integer_literal_token2] = ACTIONS(11581),
    [aux_sym_integer_literal_token3] = ACTIONS(11581),
    [aux_sym_integer_literal_token4] = ACTIONS(11581),
    [aux_sym_float_literal_token1] = ACTIONS(11581),
    [aux_sym_float_literal_token3] = ACTIONS(11581),
    [aux_sym_float_literal_token4] = ACTIONS(11581),
    [sym_character_literal] = ACTIONS(11581),
    [anon_sym_DQUOTE] = ACTIONS(11581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11581),
    [anon_sym_BQUOTE] = ACTIONS(11581),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11581),
    [sym__pair_operator] = ACTIONS(11581),
    [sym__arrow_operator] = ACTIONS(11581),
    [sym__lazy_or_operator] = ACTIONS(11581),
    [sym__lazy_and_operator] = ACTIONS(11581),
    [sym__comparison_operator] = ACTIONS(11581),
    [sym__pipe_right_operator] = ACTIONS(11581),
    [sym__pipe_left_operator] = ACTIONS(11581),
    [sym__ellipsis_operator] = ACTIONS(11581),
    [sym__plus_operator] = ACTIONS(11581),
    [sym__times_operator] = ACTIONS(11581),
    [sym__rational_operator] = ACTIONS(11581),
    [sym__bitshift_operator] = ACTIONS(11581),
    [sym__power_operator] = ACTIONS(11581),
    [sym__tilde_operator] = ACTIONS(11581),
    [sym__type_order_operator] = ACTIONS(11581),
    [sym__unary_operator] = ACTIONS(11581),
    [sym__unary_plus_operator] = ACTIONS(11581),
    [aux_sym__terminator_token1] = ACTIONS(11583),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8685] = {
    [sym_block_comment] = STATE(8685),
    [sym_line_comment] = STATE(8685),
    [ts_builtin_sym_end] = ACTIONS(11587),
    [sym__word_identifier] = ACTIONS(11585),
    [anon_sym_COMMA] = ACTIONS(11585),
    [anon_sym_EQ] = ACTIONS(11585),
    [anon_sym_begin] = ACTIONS(11585),
    [anon_sym_module] = ACTIONS(11585),
    [anon_sym_baremodule] = ACTIONS(11585),
    [anon_sym_abstract] = ACTIONS(11585),
    [anon_sym_primitive] = ACTIONS(11585),
    [anon_sym_mutable] = ACTIONS(11585),
    [anon_sym_struct] = ACTIONS(11585),
    [anon_sym_function] = ACTIONS(11585),
    [anon_sym_macro] = ACTIONS(11585),
    [anon_sym_quote] = ACTIONS(11585),
    [anon_sym_let] = ACTIONS(11585),
    [anon_sym_if] = ACTIONS(11585),
    [anon_sym_try] = ACTIONS(11585),
    [anon_sym_for] = ACTIONS(11585),
    [anon_sym_while] = ACTIONS(11585),
    [sym_break_statement] = ACTIONS(11585),
    [sym_continue_statement] = ACTIONS(11585),
    [anon_sym_return] = ACTIONS(11585),
    [anon_sym_const] = ACTIONS(11585),
    [anon_sym_global] = ACTIONS(11585),
    [anon_sym_local] = ACTIONS(11585),
    [anon_sym_LPAREN] = ACTIONS(11585),
    [anon_sym_COLON] = ACTIONS(11585),
    [anon_sym_export] = ACTIONS(11585),
    [anon_sym_public] = ACTIONS(11585),
    [anon_sym_import] = ACTIONS(11585),
    [anon_sym_using] = ACTIONS(11585),
    [anon_sym_LBRACK] = ACTIONS(11585),
    [anon_sym_RBRACK] = ACTIONS(11585),
    [anon_sym_in] = ACTIONS(11585),
    [anon_sym_SEMI] = ACTIONS(11585),
    [anon_sym_LBRACE] = ACTIONS(11585),
    [anon_sym_DOLLAR] = ACTIONS(11585),
    [anon_sym_COLON2] = ACTIONS(11585),
    [anon_sym_COLON_COLON] = ACTIONS(11585),
    [anon_sym_isa] = ACTIONS(11585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11585),
    [anon_sym_QMARK] = ACTIONS(11585),
    [anon_sym_where] = ACTIONS(11585),
    [anon_sym_AT] = ACTIONS(11585),
    [anon_sym_true] = ACTIONS(11585),
    [anon_sym_false] = ACTIONS(11585),
    [aux_sym_integer_literal_token1] = ACTIONS(11585),
    [aux_sym_integer_literal_token2] = ACTIONS(11585),
    [aux_sym_integer_literal_token3] = ACTIONS(11585),
    [aux_sym_integer_literal_token4] = ACTIONS(11585),
    [aux_sym_float_literal_token1] = ACTIONS(11585),
    [aux_sym_float_literal_token3] = ACTIONS(11585),
    [aux_sym_float_literal_token4] = ACTIONS(11585),
    [sym_character_literal] = ACTIONS(11585),
    [anon_sym_DQUOTE] = ACTIONS(11585),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11585),
    [anon_sym_BQUOTE] = ACTIONS(11585),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11585),
    [sym__pair_operator] = ACTIONS(11585),
    [sym__arrow_operator] = ACTIONS(11585),
    [sym__lazy_or_operator] = ACTIONS(11585),
    [sym__lazy_and_operator] = ACTIONS(11585),
    [sym__comparison_operator] = ACTIONS(11585),
    [sym__pipe_right_operator] = ACTIONS(11585),
    [sym__pipe_left_operator] = ACTIONS(11585),
    [sym__ellipsis_operator] = ACTIONS(11585),
    [sym__plus_operator] = ACTIONS(11585),
    [sym__times_operator] = ACTIONS(11585),
    [sym__rational_operator] = ACTIONS(11585),
    [sym__bitshift_operator] = ACTIONS(11585),
    [sym__power_operator] = ACTIONS(11585),
    [sym__tilde_operator] = ACTIONS(11585),
    [sym__type_order_operator] = ACTIONS(11585),
    [sym__unary_operator] = ACTIONS(11585),
    [sym__unary_plus_operator] = ACTIONS(11585),
    [aux_sym__terminator_token1] = ACTIONS(11587),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8686] = {
    [sym_block_comment] = STATE(8686),
    [sym_line_comment] = STATE(8686),
    [ts_builtin_sym_end] = ACTIONS(11591),
    [sym__word_identifier] = ACTIONS(11589),
    [anon_sym_COMMA] = ACTIONS(11589),
    [anon_sym_EQ] = ACTIONS(11589),
    [anon_sym_begin] = ACTIONS(11589),
    [anon_sym_module] = ACTIONS(11589),
    [anon_sym_baremodule] = ACTIONS(11589),
    [anon_sym_abstract] = ACTIONS(11589),
    [anon_sym_primitive] = ACTIONS(11589),
    [anon_sym_mutable] = ACTIONS(11589),
    [anon_sym_struct] = ACTIONS(11589),
    [anon_sym_function] = ACTIONS(11589),
    [anon_sym_macro] = ACTIONS(11589),
    [anon_sym_quote] = ACTIONS(11589),
    [anon_sym_let] = ACTIONS(11589),
    [anon_sym_if] = ACTIONS(11589),
    [anon_sym_try] = ACTIONS(11589),
    [anon_sym_for] = ACTIONS(11589),
    [anon_sym_while] = ACTIONS(11589),
    [sym_break_statement] = ACTIONS(11589),
    [sym_continue_statement] = ACTIONS(11589),
    [anon_sym_return] = ACTIONS(11589),
    [anon_sym_const] = ACTIONS(11589),
    [anon_sym_global] = ACTIONS(11589),
    [anon_sym_local] = ACTIONS(11589),
    [anon_sym_LPAREN] = ACTIONS(11589),
    [anon_sym_COLON] = ACTIONS(11589),
    [anon_sym_export] = ACTIONS(11589),
    [anon_sym_public] = ACTIONS(11589),
    [anon_sym_import] = ACTIONS(11589),
    [anon_sym_using] = ACTIONS(11589),
    [anon_sym_LBRACK] = ACTIONS(11589),
    [anon_sym_RBRACK] = ACTIONS(11589),
    [anon_sym_in] = ACTIONS(11589),
    [anon_sym_SEMI] = ACTIONS(11589),
    [anon_sym_LBRACE] = ACTIONS(11589),
    [anon_sym_DOLLAR] = ACTIONS(11589),
    [anon_sym_COLON2] = ACTIONS(11589),
    [anon_sym_COLON_COLON] = ACTIONS(11589),
    [anon_sym_isa] = ACTIONS(11589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11589),
    [anon_sym_QMARK] = ACTIONS(11589),
    [anon_sym_where] = ACTIONS(11589),
    [anon_sym_AT] = ACTIONS(11589),
    [anon_sym_true] = ACTIONS(11589),
    [anon_sym_false] = ACTIONS(11589),
    [aux_sym_integer_literal_token1] = ACTIONS(11589),
    [aux_sym_integer_literal_token2] = ACTIONS(11589),
    [aux_sym_integer_literal_token3] = ACTIONS(11589),
    [aux_sym_integer_literal_token4] = ACTIONS(11589),
    [aux_sym_float_literal_token1] = ACTIONS(11589),
    [aux_sym_float_literal_token3] = ACTIONS(11589),
    [aux_sym_float_literal_token4] = ACTIONS(11589),
    [sym_character_literal] = ACTIONS(11589),
    [anon_sym_DQUOTE] = ACTIONS(11589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11589),
    [anon_sym_BQUOTE] = ACTIONS(11589),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11589),
    [sym__pair_operator] = ACTIONS(11589),
    [sym__arrow_operator] = ACTIONS(11589),
    [sym__lazy_or_operator] = ACTIONS(11589),
    [sym__lazy_and_operator] = ACTIONS(11589),
    [sym__comparison_operator] = ACTIONS(11589),
    [sym__pipe_right_operator] = ACTIONS(11589),
    [sym__pipe_left_operator] = ACTIONS(11589),
    [sym__ellipsis_operator] = ACTIONS(11589),
    [sym__plus_operator] = ACTIONS(11589),
    [sym__times_operator] = ACTIONS(11589),
    [sym__rational_operator] = ACTIONS(11589),
    [sym__bitshift_operator] = ACTIONS(11589),
    [sym__power_operator] = ACTIONS(11589),
    [sym__tilde_operator] = ACTIONS(11589),
    [sym__type_order_operator] = ACTIONS(11589),
    [sym__unary_operator] = ACTIONS(11589),
    [sym__unary_plus_operator] = ACTIONS(11589),
    [aux_sym__terminator_token1] = ACTIONS(11591),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8687] = {
    [sym_block_comment] = STATE(8687),
    [sym_line_comment] = STATE(8687),
    [ts_builtin_sym_end] = ACTIONS(11595),
    [sym__word_identifier] = ACTIONS(11593),
    [anon_sym_COMMA] = ACTIONS(11593),
    [anon_sym_EQ] = ACTIONS(11593),
    [anon_sym_begin] = ACTIONS(11593),
    [anon_sym_module] = ACTIONS(11593),
    [anon_sym_baremodule] = ACTIONS(11593),
    [anon_sym_abstract] = ACTIONS(11593),
    [anon_sym_primitive] = ACTIONS(11593),
    [anon_sym_mutable] = ACTIONS(11593),
    [anon_sym_struct] = ACTIONS(11593),
    [anon_sym_function] = ACTIONS(11593),
    [anon_sym_macro] = ACTIONS(11593),
    [anon_sym_quote] = ACTIONS(11593),
    [anon_sym_let] = ACTIONS(11593),
    [anon_sym_if] = ACTIONS(11593),
    [anon_sym_try] = ACTIONS(11593),
    [anon_sym_for] = ACTIONS(11593),
    [anon_sym_while] = ACTIONS(11593),
    [sym_break_statement] = ACTIONS(11593),
    [sym_continue_statement] = ACTIONS(11593),
    [anon_sym_return] = ACTIONS(11593),
    [anon_sym_const] = ACTIONS(11593),
    [anon_sym_global] = ACTIONS(11593),
    [anon_sym_local] = ACTIONS(11593),
    [anon_sym_LPAREN] = ACTIONS(11593),
    [anon_sym_COLON] = ACTIONS(11593),
    [anon_sym_export] = ACTIONS(11593),
    [anon_sym_public] = ACTIONS(11593),
    [anon_sym_import] = ACTIONS(11593),
    [anon_sym_using] = ACTIONS(11593),
    [anon_sym_LBRACK] = ACTIONS(11593),
    [anon_sym_RBRACK] = ACTIONS(11593),
    [anon_sym_in] = ACTIONS(11593),
    [anon_sym_SEMI] = ACTIONS(11593),
    [anon_sym_LBRACE] = ACTIONS(11593),
    [anon_sym_DOLLAR] = ACTIONS(11593),
    [anon_sym_COLON2] = ACTIONS(11593),
    [anon_sym_COLON_COLON] = ACTIONS(11593),
    [anon_sym_isa] = ACTIONS(11593),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11593),
    [anon_sym_QMARK] = ACTIONS(11593),
    [anon_sym_where] = ACTIONS(11593),
    [anon_sym_AT] = ACTIONS(11593),
    [anon_sym_true] = ACTIONS(11593),
    [anon_sym_false] = ACTIONS(11593),
    [aux_sym_integer_literal_token1] = ACTIONS(11593),
    [aux_sym_integer_literal_token2] = ACTIONS(11593),
    [aux_sym_integer_literal_token3] = ACTIONS(11593),
    [aux_sym_integer_literal_token4] = ACTIONS(11593),
    [aux_sym_float_literal_token1] = ACTIONS(11593),
    [aux_sym_float_literal_token3] = ACTIONS(11593),
    [aux_sym_float_literal_token4] = ACTIONS(11593),
    [sym_character_literal] = ACTIONS(11593),
    [anon_sym_DQUOTE] = ACTIONS(11593),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11593),
    [anon_sym_BQUOTE] = ACTIONS(11593),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11593),
    [sym__pair_operator] = ACTIONS(11593),
    [sym__arrow_operator] = ACTIONS(11593),
    [sym__lazy_or_operator] = ACTIONS(11593),
    [sym__lazy_and_operator] = ACTIONS(11593),
    [sym__comparison_operator] = ACTIONS(11593),
    [sym__pipe_right_operator] = ACTIONS(11593),
    [sym__pipe_left_operator] = ACTIONS(11593),
    [sym__ellipsis_operator] = ACTIONS(11593),
    [sym__plus_operator] = ACTIONS(11593),
    [sym__times_operator] = ACTIONS(11593),
    [sym__rational_operator] = ACTIONS(11593),
    [sym__bitshift_operator] = ACTIONS(11593),
    [sym__power_operator] = ACTIONS(11593),
    [sym__tilde_operator] = ACTIONS(11593),
    [sym__type_order_operator] = ACTIONS(11593),
    [sym__unary_operator] = ACTIONS(11593),
    [sym__unary_plus_operator] = ACTIONS(11593),
    [aux_sym__terminator_token1] = ACTIONS(11595),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8688] = {
    [sym_block_comment] = STATE(8688),
    [sym_line_comment] = STATE(8688),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11040),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11040),
    [anon_sym_RPAREN] = ACTIONS(11040),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11040),
    [anon_sym_RBRACK] = ACTIONS(11040),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11040),
    [anon_sym_LBRACE] = ACTIONS(11040),
    [anon_sym_RBRACE] = ACTIONS(11040),
    [anon_sym_DOLLAR] = ACTIONS(11040),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11040),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11040),
    [anon_sym_QMARK] = ACTIONS(11040),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11040),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11040),
    [aux_sym_integer_literal_token2] = ACTIONS(11040),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11040),
    [aux_sym_float_literal_token3] = ACTIONS(11040),
    [aux_sym_float_literal_token4] = ACTIONS(11040),
    [sym_character_literal] = ACTIONS(11040),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11040),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11040),
    [sym__pair_operator] = ACTIONS(11040),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11040),
    [sym__lazy_and_operator] = ACTIONS(11040),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11040),
    [sym__pipe_left_operator] = ACTIONS(11040),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11040),
    [sym__bitshift_operator] = ACTIONS(11040),
    [sym__power_operator] = ACTIONS(11040),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8689] = {
    [sym_block_comment] = STATE(8689),
    [sym_line_comment] = STATE(8689),
    [ts_builtin_sym_end] = ACTIONS(11599),
    [sym__word_identifier] = ACTIONS(11597),
    [anon_sym_COMMA] = ACTIONS(11597),
    [anon_sym_EQ] = ACTIONS(11597),
    [anon_sym_begin] = ACTIONS(11597),
    [anon_sym_module] = ACTIONS(11597),
    [anon_sym_baremodule] = ACTIONS(11597),
    [anon_sym_abstract] = ACTIONS(11597),
    [anon_sym_primitive] = ACTIONS(11597),
    [anon_sym_mutable] = ACTIONS(11597),
    [anon_sym_struct] = ACTIONS(11597),
    [anon_sym_function] = ACTIONS(11597),
    [anon_sym_macro] = ACTIONS(11597),
    [anon_sym_quote] = ACTIONS(11597),
    [anon_sym_let] = ACTIONS(11597),
    [anon_sym_if] = ACTIONS(11597),
    [anon_sym_try] = ACTIONS(11597),
    [anon_sym_for] = ACTIONS(11597),
    [anon_sym_while] = ACTIONS(11597),
    [sym_break_statement] = ACTIONS(11597),
    [sym_continue_statement] = ACTIONS(11597),
    [anon_sym_return] = ACTIONS(11597),
    [anon_sym_const] = ACTIONS(11597),
    [anon_sym_global] = ACTIONS(11597),
    [anon_sym_local] = ACTIONS(11597),
    [anon_sym_LPAREN] = ACTIONS(11597),
    [anon_sym_COLON] = ACTIONS(11597),
    [anon_sym_export] = ACTIONS(11597),
    [anon_sym_public] = ACTIONS(11597),
    [anon_sym_import] = ACTIONS(11597),
    [anon_sym_using] = ACTIONS(11597),
    [anon_sym_LBRACK] = ACTIONS(11597),
    [anon_sym_RBRACK] = ACTIONS(11597),
    [anon_sym_in] = ACTIONS(11597),
    [anon_sym_SEMI] = ACTIONS(11597),
    [anon_sym_LBRACE] = ACTIONS(11597),
    [anon_sym_DOLLAR] = ACTIONS(11597),
    [anon_sym_COLON2] = ACTIONS(11597),
    [anon_sym_COLON_COLON] = ACTIONS(11597),
    [anon_sym_isa] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11597),
    [anon_sym_QMARK] = ACTIONS(11597),
    [anon_sym_where] = ACTIONS(11597),
    [anon_sym_AT] = ACTIONS(11597),
    [anon_sym_true] = ACTIONS(11597),
    [anon_sym_false] = ACTIONS(11597),
    [aux_sym_integer_literal_token1] = ACTIONS(11597),
    [aux_sym_integer_literal_token2] = ACTIONS(11597),
    [aux_sym_integer_literal_token3] = ACTIONS(11597),
    [aux_sym_integer_literal_token4] = ACTIONS(11597),
    [aux_sym_float_literal_token1] = ACTIONS(11597),
    [aux_sym_float_literal_token3] = ACTIONS(11597),
    [aux_sym_float_literal_token4] = ACTIONS(11597),
    [sym_character_literal] = ACTIONS(11597),
    [anon_sym_DQUOTE] = ACTIONS(11597),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11597),
    [anon_sym_BQUOTE] = ACTIONS(11597),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11597),
    [sym__pair_operator] = ACTIONS(11597),
    [sym__arrow_operator] = ACTIONS(11597),
    [sym__lazy_or_operator] = ACTIONS(11597),
    [sym__lazy_and_operator] = ACTIONS(11597),
    [sym__comparison_operator] = ACTIONS(11597),
    [sym__pipe_right_operator] = ACTIONS(11597),
    [sym__pipe_left_operator] = ACTIONS(11597),
    [sym__ellipsis_operator] = ACTIONS(11597),
    [sym__plus_operator] = ACTIONS(11597),
    [sym__times_operator] = ACTIONS(11597),
    [sym__rational_operator] = ACTIONS(11597),
    [sym__bitshift_operator] = ACTIONS(11597),
    [sym__power_operator] = ACTIONS(11597),
    [sym__tilde_operator] = ACTIONS(11597),
    [sym__type_order_operator] = ACTIONS(11597),
    [sym__unary_operator] = ACTIONS(11597),
    [sym__unary_plus_operator] = ACTIONS(11597),
    [aux_sym__terminator_token1] = ACTIONS(11599),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8690] = {
    [sym_block_comment] = STATE(8690),
    [sym_line_comment] = STATE(8690),
    [ts_builtin_sym_end] = ACTIONS(11603),
    [sym__word_identifier] = ACTIONS(11601),
    [anon_sym_COMMA] = ACTIONS(11601),
    [anon_sym_EQ] = ACTIONS(11601),
    [anon_sym_begin] = ACTIONS(11601),
    [anon_sym_module] = ACTIONS(11601),
    [anon_sym_baremodule] = ACTIONS(11601),
    [anon_sym_abstract] = ACTIONS(11601),
    [anon_sym_primitive] = ACTIONS(11601),
    [anon_sym_mutable] = ACTIONS(11601),
    [anon_sym_struct] = ACTIONS(11601),
    [anon_sym_function] = ACTIONS(11601),
    [anon_sym_macro] = ACTIONS(11601),
    [anon_sym_quote] = ACTIONS(11601),
    [anon_sym_let] = ACTIONS(11601),
    [anon_sym_if] = ACTIONS(11601),
    [anon_sym_try] = ACTIONS(11601),
    [anon_sym_for] = ACTIONS(11601),
    [anon_sym_while] = ACTIONS(11601),
    [sym_break_statement] = ACTIONS(11601),
    [sym_continue_statement] = ACTIONS(11601),
    [anon_sym_return] = ACTIONS(11601),
    [anon_sym_const] = ACTIONS(11601),
    [anon_sym_global] = ACTIONS(11601),
    [anon_sym_local] = ACTIONS(11601),
    [anon_sym_LPAREN] = ACTIONS(11601),
    [anon_sym_COLON] = ACTIONS(11601),
    [anon_sym_export] = ACTIONS(11601),
    [anon_sym_public] = ACTIONS(11601),
    [anon_sym_import] = ACTIONS(11601),
    [anon_sym_using] = ACTIONS(11601),
    [anon_sym_LBRACK] = ACTIONS(11601),
    [anon_sym_RBRACK] = ACTIONS(11601),
    [anon_sym_in] = ACTIONS(11601),
    [anon_sym_SEMI] = ACTIONS(11601),
    [anon_sym_LBRACE] = ACTIONS(11601),
    [anon_sym_DOLLAR] = ACTIONS(11601),
    [anon_sym_COLON2] = ACTIONS(11601),
    [anon_sym_COLON_COLON] = ACTIONS(11601),
    [anon_sym_isa] = ACTIONS(11601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11601),
    [anon_sym_QMARK] = ACTIONS(11601),
    [anon_sym_where] = ACTIONS(11601),
    [anon_sym_AT] = ACTIONS(11601),
    [anon_sym_true] = ACTIONS(11601),
    [anon_sym_false] = ACTIONS(11601),
    [aux_sym_integer_literal_token1] = ACTIONS(11601),
    [aux_sym_integer_literal_token2] = ACTIONS(11601),
    [aux_sym_integer_literal_token3] = ACTIONS(11601),
    [aux_sym_integer_literal_token4] = ACTIONS(11601),
    [aux_sym_float_literal_token1] = ACTIONS(11601),
    [aux_sym_float_literal_token3] = ACTIONS(11601),
    [aux_sym_float_literal_token4] = ACTIONS(11601),
    [sym_character_literal] = ACTIONS(11601),
    [anon_sym_DQUOTE] = ACTIONS(11601),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11601),
    [anon_sym_BQUOTE] = ACTIONS(11601),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11601),
    [sym__pair_operator] = ACTIONS(11601),
    [sym__arrow_operator] = ACTIONS(11601),
    [sym__lazy_or_operator] = ACTIONS(11601),
    [sym__lazy_and_operator] = ACTIONS(11601),
    [sym__comparison_operator] = ACTIONS(11601),
    [sym__pipe_right_operator] = ACTIONS(11601),
    [sym__pipe_left_operator] = ACTIONS(11601),
    [sym__ellipsis_operator] = ACTIONS(11601),
    [sym__plus_operator] = ACTIONS(11601),
    [sym__times_operator] = ACTIONS(11601),
    [sym__rational_operator] = ACTIONS(11601),
    [sym__bitshift_operator] = ACTIONS(11601),
    [sym__power_operator] = ACTIONS(11601),
    [sym__tilde_operator] = ACTIONS(11601),
    [sym__type_order_operator] = ACTIONS(11601),
    [sym__unary_operator] = ACTIONS(11601),
    [sym__unary_plus_operator] = ACTIONS(11601),
    [aux_sym__terminator_token1] = ACTIONS(11603),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8691] = {
    [sym_block_comment] = STATE(8691),
    [sym_line_comment] = STATE(8691),
    [ts_builtin_sym_end] = ACTIONS(11607),
    [sym__word_identifier] = ACTIONS(11605),
    [anon_sym_COMMA] = ACTIONS(11605),
    [anon_sym_EQ] = ACTIONS(11605),
    [anon_sym_begin] = ACTIONS(11605),
    [anon_sym_module] = ACTIONS(11605),
    [anon_sym_baremodule] = ACTIONS(11605),
    [anon_sym_abstract] = ACTIONS(11605),
    [anon_sym_primitive] = ACTIONS(11605),
    [anon_sym_mutable] = ACTIONS(11605),
    [anon_sym_struct] = ACTIONS(11605),
    [anon_sym_function] = ACTIONS(11605),
    [anon_sym_macro] = ACTIONS(11605),
    [anon_sym_quote] = ACTIONS(11605),
    [anon_sym_let] = ACTIONS(11605),
    [anon_sym_if] = ACTIONS(11605),
    [anon_sym_try] = ACTIONS(11605),
    [anon_sym_for] = ACTIONS(11605),
    [anon_sym_while] = ACTIONS(11605),
    [sym_break_statement] = ACTIONS(11605),
    [sym_continue_statement] = ACTIONS(11605),
    [anon_sym_return] = ACTIONS(11605),
    [anon_sym_const] = ACTIONS(11605),
    [anon_sym_global] = ACTIONS(11605),
    [anon_sym_local] = ACTIONS(11605),
    [anon_sym_LPAREN] = ACTIONS(11605),
    [anon_sym_COLON] = ACTIONS(11605),
    [anon_sym_export] = ACTIONS(11605),
    [anon_sym_public] = ACTIONS(11605),
    [anon_sym_import] = ACTIONS(11605),
    [anon_sym_using] = ACTIONS(11605),
    [anon_sym_LBRACK] = ACTIONS(11605),
    [anon_sym_RBRACK] = ACTIONS(11605),
    [anon_sym_in] = ACTIONS(11605),
    [anon_sym_SEMI] = ACTIONS(11605),
    [anon_sym_LBRACE] = ACTIONS(11605),
    [anon_sym_DOLLAR] = ACTIONS(11605),
    [anon_sym_COLON2] = ACTIONS(11605),
    [anon_sym_COLON_COLON] = ACTIONS(11605),
    [anon_sym_isa] = ACTIONS(11605),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11605),
    [anon_sym_QMARK] = ACTIONS(11605),
    [anon_sym_where] = ACTIONS(11605),
    [anon_sym_AT] = ACTIONS(11605),
    [anon_sym_true] = ACTIONS(11605),
    [anon_sym_false] = ACTIONS(11605),
    [aux_sym_integer_literal_token1] = ACTIONS(11605),
    [aux_sym_integer_literal_token2] = ACTIONS(11605),
    [aux_sym_integer_literal_token3] = ACTIONS(11605),
    [aux_sym_integer_literal_token4] = ACTIONS(11605),
    [aux_sym_float_literal_token1] = ACTIONS(11605),
    [aux_sym_float_literal_token3] = ACTIONS(11605),
    [aux_sym_float_literal_token4] = ACTIONS(11605),
    [sym_character_literal] = ACTIONS(11605),
    [anon_sym_DQUOTE] = ACTIONS(11605),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11605),
    [anon_sym_BQUOTE] = ACTIONS(11605),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11605),
    [sym__pair_operator] = ACTIONS(11605),
    [sym__arrow_operator] = ACTIONS(11605),
    [sym__lazy_or_operator] = ACTIONS(11605),
    [sym__lazy_and_operator] = ACTIONS(11605),
    [sym__comparison_operator] = ACTIONS(11605),
    [sym__pipe_right_operator] = ACTIONS(11605),
    [sym__pipe_left_operator] = ACTIONS(11605),
    [sym__ellipsis_operator] = ACTIONS(11605),
    [sym__plus_operator] = ACTIONS(11605),
    [sym__times_operator] = ACTIONS(11605),
    [sym__rational_operator] = ACTIONS(11605),
    [sym__bitshift_operator] = ACTIONS(11605),
    [sym__power_operator] = ACTIONS(11605),
    [sym__tilde_operator] = ACTIONS(11605),
    [sym__type_order_operator] = ACTIONS(11605),
    [sym__unary_operator] = ACTIONS(11605),
    [sym__unary_plus_operator] = ACTIONS(11605),
    [aux_sym__terminator_token1] = ACTIONS(11607),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8692] = {
    [sym_block_comment] = STATE(8692),
    [sym_line_comment] = STATE(8692),
    [ts_builtin_sym_end] = ACTIONS(11611),
    [sym__word_identifier] = ACTIONS(11609),
    [anon_sym_COMMA] = ACTIONS(11609),
    [anon_sym_EQ] = ACTIONS(11609),
    [anon_sym_begin] = ACTIONS(11609),
    [anon_sym_module] = ACTIONS(11609),
    [anon_sym_baremodule] = ACTIONS(11609),
    [anon_sym_abstract] = ACTIONS(11609),
    [anon_sym_primitive] = ACTIONS(11609),
    [anon_sym_mutable] = ACTIONS(11609),
    [anon_sym_struct] = ACTIONS(11609),
    [anon_sym_function] = ACTIONS(11609),
    [anon_sym_macro] = ACTIONS(11609),
    [anon_sym_quote] = ACTIONS(11609),
    [anon_sym_let] = ACTIONS(11609),
    [anon_sym_if] = ACTIONS(11609),
    [anon_sym_try] = ACTIONS(11609),
    [anon_sym_for] = ACTIONS(11609),
    [anon_sym_while] = ACTIONS(11609),
    [sym_break_statement] = ACTIONS(11609),
    [sym_continue_statement] = ACTIONS(11609),
    [anon_sym_return] = ACTIONS(11609),
    [anon_sym_const] = ACTIONS(11609),
    [anon_sym_global] = ACTIONS(11609),
    [anon_sym_local] = ACTIONS(11609),
    [anon_sym_LPAREN] = ACTIONS(11609),
    [anon_sym_COLON] = ACTIONS(11609),
    [anon_sym_export] = ACTIONS(11609),
    [anon_sym_public] = ACTIONS(11609),
    [anon_sym_import] = ACTIONS(11609),
    [anon_sym_using] = ACTIONS(11609),
    [anon_sym_LBRACK] = ACTIONS(11609),
    [anon_sym_RBRACK] = ACTIONS(11609),
    [anon_sym_in] = ACTIONS(11609),
    [anon_sym_SEMI] = ACTIONS(11609),
    [anon_sym_LBRACE] = ACTIONS(11609),
    [anon_sym_DOLLAR] = ACTIONS(11609),
    [anon_sym_COLON2] = ACTIONS(11609),
    [anon_sym_COLON_COLON] = ACTIONS(11609),
    [anon_sym_isa] = ACTIONS(11609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11609),
    [anon_sym_QMARK] = ACTIONS(11609),
    [anon_sym_where] = ACTIONS(11609),
    [anon_sym_AT] = ACTIONS(11609),
    [anon_sym_true] = ACTIONS(11609),
    [anon_sym_false] = ACTIONS(11609),
    [aux_sym_integer_literal_token1] = ACTIONS(11609),
    [aux_sym_integer_literal_token2] = ACTIONS(11609),
    [aux_sym_integer_literal_token3] = ACTIONS(11609),
    [aux_sym_integer_literal_token4] = ACTIONS(11609),
    [aux_sym_float_literal_token1] = ACTIONS(11609),
    [aux_sym_float_literal_token3] = ACTIONS(11609),
    [aux_sym_float_literal_token4] = ACTIONS(11609),
    [sym_character_literal] = ACTIONS(11609),
    [anon_sym_DQUOTE] = ACTIONS(11609),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11609),
    [anon_sym_BQUOTE] = ACTIONS(11609),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11609),
    [sym__pair_operator] = ACTIONS(11609),
    [sym__arrow_operator] = ACTIONS(11609),
    [sym__lazy_or_operator] = ACTIONS(11609),
    [sym__lazy_and_operator] = ACTIONS(11609),
    [sym__comparison_operator] = ACTIONS(11609),
    [sym__pipe_right_operator] = ACTIONS(11609),
    [sym__pipe_left_operator] = ACTIONS(11609),
    [sym__ellipsis_operator] = ACTIONS(11609),
    [sym__plus_operator] = ACTIONS(11609),
    [sym__times_operator] = ACTIONS(11609),
    [sym__rational_operator] = ACTIONS(11609),
    [sym__bitshift_operator] = ACTIONS(11609),
    [sym__power_operator] = ACTIONS(11609),
    [sym__tilde_operator] = ACTIONS(11609),
    [sym__type_order_operator] = ACTIONS(11609),
    [sym__unary_operator] = ACTIONS(11609),
    [sym__unary_plus_operator] = ACTIONS(11609),
    [aux_sym__terminator_token1] = ACTIONS(11611),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8693] = {
    [sym_block_comment] = STATE(8693),
    [sym_line_comment] = STATE(8693),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10427),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8694] = {
    [sym_block_comment] = STATE(8694),
    [sym_line_comment] = STATE(8694),
    [sym__word_identifier] = ACTIONS(11613),
    [anon_sym_COMMA] = ACTIONS(11613),
    [anon_sym_EQ] = ACTIONS(11613),
    [anon_sym_begin] = ACTIONS(11613),
    [anon_sym_module] = ACTIONS(11613),
    [anon_sym_baremodule] = ACTIONS(11613),
    [anon_sym_end] = ACTIONS(11613),
    [anon_sym_abstract] = ACTIONS(11613),
    [anon_sym_primitive] = ACTIONS(11613),
    [anon_sym_mutable] = ACTIONS(11613),
    [anon_sym_struct] = ACTIONS(11613),
    [anon_sym_function] = ACTIONS(11613),
    [anon_sym_macro] = ACTIONS(11613),
    [anon_sym_quote] = ACTIONS(11613),
    [anon_sym_let] = ACTIONS(11613),
    [anon_sym_if] = ACTIONS(11613),
    [anon_sym_try] = ACTIONS(11613),
    [anon_sym_finally] = ACTIONS(11613),
    [anon_sym_for] = ACTIONS(11613),
    [anon_sym_while] = ACTIONS(11613),
    [sym_break_statement] = ACTIONS(11613),
    [sym_continue_statement] = ACTIONS(11613),
    [anon_sym_return] = ACTIONS(11613),
    [anon_sym_const] = ACTIONS(11613),
    [anon_sym_global] = ACTIONS(11613),
    [anon_sym_local] = ACTIONS(11613),
    [anon_sym_LPAREN] = ACTIONS(11613),
    [anon_sym_COLON] = ACTIONS(11613),
    [anon_sym_export] = ACTIONS(11613),
    [anon_sym_public] = ACTIONS(11613),
    [anon_sym_import] = ACTIONS(11613),
    [anon_sym_using] = ACTIONS(11613),
    [anon_sym_LBRACK] = ACTIONS(11613),
    [anon_sym_in] = ACTIONS(11613),
    [anon_sym_SEMI] = ACTIONS(11613),
    [anon_sym_LBRACE] = ACTIONS(11613),
    [anon_sym_DOLLAR] = ACTIONS(11613),
    [anon_sym_COLON2] = ACTIONS(11613),
    [anon_sym_COLON_COLON] = ACTIONS(11613),
    [anon_sym_isa] = ACTIONS(11613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11613),
    [anon_sym_QMARK] = ACTIONS(11613),
    [anon_sym_where] = ACTIONS(11613),
    [anon_sym_AT] = ACTIONS(11613),
    [anon_sym_true] = ACTIONS(11613),
    [anon_sym_false] = ACTIONS(11613),
    [aux_sym_integer_literal_token1] = ACTIONS(11613),
    [aux_sym_integer_literal_token2] = ACTIONS(11613),
    [aux_sym_integer_literal_token3] = ACTIONS(11613),
    [aux_sym_integer_literal_token4] = ACTIONS(11613),
    [aux_sym_float_literal_token1] = ACTIONS(11613),
    [aux_sym_float_literal_token3] = ACTIONS(11613),
    [aux_sym_float_literal_token4] = ACTIONS(11613),
    [sym_character_literal] = ACTIONS(11613),
    [anon_sym_DQUOTE] = ACTIONS(11613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11613),
    [anon_sym_BQUOTE] = ACTIONS(11613),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11613),
    [sym__pair_operator] = ACTIONS(11613),
    [sym__arrow_operator] = ACTIONS(11613),
    [sym__lazy_or_operator] = ACTIONS(11613),
    [sym__lazy_and_operator] = ACTIONS(11613),
    [sym__comparison_operator] = ACTIONS(11613),
    [sym__pipe_right_operator] = ACTIONS(11613),
    [sym__pipe_left_operator] = ACTIONS(11613),
    [sym__ellipsis_operator] = ACTIONS(11613),
    [sym__plus_operator] = ACTIONS(11613),
    [sym__times_operator] = ACTIONS(11613),
    [sym__rational_operator] = ACTIONS(11613),
    [sym__bitshift_operator] = ACTIONS(11613),
    [sym__power_operator] = ACTIONS(11613),
    [sym__tilde_operator] = ACTIONS(11613),
    [sym__type_order_operator] = ACTIONS(11613),
    [sym__unary_operator] = ACTIONS(11613),
    [sym__unary_plus_operator] = ACTIONS(11613),
    [aux_sym__terminator_token1] = ACTIONS(11615),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8695] = {
    [sym_block_comment] = STATE(8695),
    [sym_line_comment] = STATE(8695),
    [sym__word_identifier] = ACTIONS(11617),
    [anon_sym_COMMA] = ACTIONS(11617),
    [anon_sym_EQ] = ACTIONS(11617),
    [anon_sym_begin] = ACTIONS(11617),
    [anon_sym_module] = ACTIONS(11617),
    [anon_sym_baremodule] = ACTIONS(11617),
    [anon_sym_end] = ACTIONS(11617),
    [anon_sym_abstract] = ACTIONS(11617),
    [anon_sym_primitive] = ACTIONS(11617),
    [anon_sym_mutable] = ACTIONS(11617),
    [anon_sym_struct] = ACTIONS(11617),
    [anon_sym_function] = ACTIONS(11617),
    [anon_sym_macro] = ACTIONS(11617),
    [anon_sym_quote] = ACTIONS(11617),
    [anon_sym_let] = ACTIONS(11617),
    [anon_sym_if] = ACTIONS(11617),
    [anon_sym_try] = ACTIONS(11617),
    [anon_sym_finally] = ACTIONS(11617),
    [anon_sym_for] = ACTIONS(11617),
    [anon_sym_while] = ACTIONS(11617),
    [sym_break_statement] = ACTIONS(11617),
    [sym_continue_statement] = ACTIONS(11617),
    [anon_sym_return] = ACTIONS(11617),
    [anon_sym_const] = ACTIONS(11617),
    [anon_sym_global] = ACTIONS(11617),
    [anon_sym_local] = ACTIONS(11617),
    [anon_sym_LPAREN] = ACTIONS(11617),
    [anon_sym_COLON] = ACTIONS(11617),
    [anon_sym_export] = ACTIONS(11617),
    [anon_sym_public] = ACTIONS(11617),
    [anon_sym_import] = ACTIONS(11617),
    [anon_sym_using] = ACTIONS(11617),
    [anon_sym_LBRACK] = ACTIONS(11617),
    [anon_sym_in] = ACTIONS(11617),
    [anon_sym_SEMI] = ACTIONS(11617),
    [anon_sym_LBRACE] = ACTIONS(11617),
    [anon_sym_DOLLAR] = ACTIONS(11617),
    [anon_sym_COLON2] = ACTIONS(11617),
    [anon_sym_COLON_COLON] = ACTIONS(11617),
    [anon_sym_isa] = ACTIONS(11617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11617),
    [anon_sym_QMARK] = ACTIONS(11617),
    [anon_sym_where] = ACTIONS(11617),
    [anon_sym_AT] = ACTIONS(11617),
    [anon_sym_true] = ACTIONS(11617),
    [anon_sym_false] = ACTIONS(11617),
    [aux_sym_integer_literal_token1] = ACTIONS(11617),
    [aux_sym_integer_literal_token2] = ACTIONS(11617),
    [aux_sym_integer_literal_token3] = ACTIONS(11617),
    [aux_sym_integer_literal_token4] = ACTIONS(11617),
    [aux_sym_float_literal_token1] = ACTIONS(11617),
    [aux_sym_float_literal_token3] = ACTIONS(11617),
    [aux_sym_float_literal_token4] = ACTIONS(11617),
    [sym_character_literal] = ACTIONS(11617),
    [anon_sym_DQUOTE] = ACTIONS(11617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11617),
    [anon_sym_BQUOTE] = ACTIONS(11617),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11617),
    [sym__pair_operator] = ACTIONS(11617),
    [sym__arrow_operator] = ACTIONS(11617),
    [sym__lazy_or_operator] = ACTIONS(11617),
    [sym__lazy_and_operator] = ACTIONS(11617),
    [sym__comparison_operator] = ACTIONS(11617),
    [sym__pipe_right_operator] = ACTIONS(11617),
    [sym__pipe_left_operator] = ACTIONS(11617),
    [sym__ellipsis_operator] = ACTIONS(11617),
    [sym__plus_operator] = ACTIONS(11617),
    [sym__times_operator] = ACTIONS(11617),
    [sym__rational_operator] = ACTIONS(11617),
    [sym__bitshift_operator] = ACTIONS(11617),
    [sym__power_operator] = ACTIONS(11617),
    [sym__tilde_operator] = ACTIONS(11617),
    [sym__type_order_operator] = ACTIONS(11617),
    [sym__unary_operator] = ACTIONS(11617),
    [sym__unary_plus_operator] = ACTIONS(11617),
    [aux_sym__terminator_token1] = ACTIONS(11619),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8696] = {
    [sym_block_comment] = STATE(8696),
    [sym_line_comment] = STATE(8696),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8697] = {
    [sym_block_comment] = STATE(8697),
    [sym_line_comment] = STATE(8697),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10095),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8698] = {
    [sym_block_comment] = STATE(8698),
    [sym_line_comment] = STATE(8698),
    [sym__word_identifier] = ACTIONS(11621),
    [anon_sym_COMMA] = ACTIONS(11621),
    [anon_sym_EQ] = ACTIONS(11621),
    [anon_sym_begin] = ACTIONS(11621),
    [anon_sym_module] = ACTIONS(11621),
    [anon_sym_baremodule] = ACTIONS(11621),
    [anon_sym_end] = ACTIONS(11621),
    [anon_sym_abstract] = ACTIONS(11621),
    [anon_sym_primitive] = ACTIONS(11621),
    [anon_sym_mutable] = ACTIONS(11621),
    [anon_sym_struct] = ACTIONS(11621),
    [anon_sym_function] = ACTIONS(11621),
    [anon_sym_macro] = ACTIONS(11621),
    [anon_sym_quote] = ACTIONS(11621),
    [anon_sym_let] = ACTIONS(11621),
    [anon_sym_if] = ACTIONS(11621),
    [anon_sym_try] = ACTIONS(11621),
    [anon_sym_finally] = ACTIONS(11621),
    [anon_sym_for] = ACTIONS(11621),
    [anon_sym_while] = ACTIONS(11621),
    [sym_break_statement] = ACTIONS(11621),
    [sym_continue_statement] = ACTIONS(11621),
    [anon_sym_return] = ACTIONS(11621),
    [anon_sym_const] = ACTIONS(11621),
    [anon_sym_global] = ACTIONS(11621),
    [anon_sym_local] = ACTIONS(11621),
    [anon_sym_LPAREN] = ACTIONS(11621),
    [anon_sym_COLON] = ACTIONS(11621),
    [anon_sym_export] = ACTIONS(11621),
    [anon_sym_public] = ACTIONS(11621),
    [anon_sym_import] = ACTIONS(11621),
    [anon_sym_using] = ACTIONS(11621),
    [anon_sym_LBRACK] = ACTIONS(11621),
    [anon_sym_in] = ACTIONS(11621),
    [anon_sym_SEMI] = ACTIONS(11621),
    [anon_sym_LBRACE] = ACTIONS(11621),
    [anon_sym_DOLLAR] = ACTIONS(11621),
    [anon_sym_COLON2] = ACTIONS(11621),
    [anon_sym_COLON_COLON] = ACTIONS(11621),
    [anon_sym_isa] = ACTIONS(11621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11621),
    [anon_sym_QMARK] = ACTIONS(11621),
    [anon_sym_where] = ACTIONS(11621),
    [anon_sym_AT] = ACTIONS(11621),
    [anon_sym_true] = ACTIONS(11621),
    [anon_sym_false] = ACTIONS(11621),
    [aux_sym_integer_literal_token1] = ACTIONS(11621),
    [aux_sym_integer_literal_token2] = ACTIONS(11621),
    [aux_sym_integer_literal_token3] = ACTIONS(11621),
    [aux_sym_integer_literal_token4] = ACTIONS(11621),
    [aux_sym_float_literal_token1] = ACTIONS(11621),
    [aux_sym_float_literal_token3] = ACTIONS(11621),
    [aux_sym_float_literal_token4] = ACTIONS(11621),
    [sym_character_literal] = ACTIONS(11621),
    [anon_sym_DQUOTE] = ACTIONS(11621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11621),
    [anon_sym_BQUOTE] = ACTIONS(11621),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11621),
    [sym__pair_operator] = ACTIONS(11621),
    [sym__arrow_operator] = ACTIONS(11621),
    [sym__lazy_or_operator] = ACTIONS(11621),
    [sym__lazy_and_operator] = ACTIONS(11621),
    [sym__comparison_operator] = ACTIONS(11621),
    [sym__pipe_right_operator] = ACTIONS(11621),
    [sym__pipe_left_operator] = ACTIONS(11621),
    [sym__ellipsis_operator] = ACTIONS(11621),
    [sym__plus_operator] = ACTIONS(11621),
    [sym__times_operator] = ACTIONS(11621),
    [sym__rational_operator] = ACTIONS(11621),
    [sym__bitshift_operator] = ACTIONS(11621),
    [sym__power_operator] = ACTIONS(11621),
    [sym__tilde_operator] = ACTIONS(11621),
    [sym__type_order_operator] = ACTIONS(11621),
    [sym__unary_operator] = ACTIONS(11621),
    [sym__unary_plus_operator] = ACTIONS(11621),
    [aux_sym__terminator_token1] = ACTIONS(11623),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8699] = {
    [sym_block_comment] = STATE(8699),
    [sym_line_comment] = STATE(8699),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9971),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9971),
    [sym__bitshift_operator] = ACTIONS(9971),
    [sym__power_operator] = ACTIONS(9971),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(12530),
    [sym__immediate_command_start] = ACTIONS(12532),
  },
  [8700] = {
    [sym_block_comment] = STATE(8700),
    [sym_line_comment] = STATE(8700),
    [ts_builtin_sym_end] = ACTIONS(11615),
    [sym__word_identifier] = ACTIONS(11613),
    [anon_sym_COMMA] = ACTIONS(11613),
    [anon_sym_EQ] = ACTIONS(11613),
    [anon_sym_begin] = ACTIONS(11613),
    [anon_sym_module] = ACTIONS(11613),
    [anon_sym_baremodule] = ACTIONS(11613),
    [anon_sym_abstract] = ACTIONS(11613),
    [anon_sym_primitive] = ACTIONS(11613),
    [anon_sym_mutable] = ACTIONS(11613),
    [anon_sym_struct] = ACTIONS(11613),
    [anon_sym_function] = ACTIONS(11613),
    [anon_sym_macro] = ACTIONS(11613),
    [anon_sym_quote] = ACTIONS(11613),
    [anon_sym_let] = ACTIONS(11613),
    [anon_sym_if] = ACTIONS(11613),
    [anon_sym_try] = ACTIONS(11613),
    [anon_sym_for] = ACTIONS(11613),
    [anon_sym_while] = ACTIONS(11613),
    [sym_break_statement] = ACTIONS(11613),
    [sym_continue_statement] = ACTIONS(11613),
    [anon_sym_return] = ACTIONS(11613),
    [anon_sym_const] = ACTIONS(11613),
    [anon_sym_global] = ACTIONS(11613),
    [anon_sym_local] = ACTIONS(11613),
    [anon_sym_LPAREN] = ACTIONS(11613),
    [anon_sym_COLON] = ACTIONS(11613),
    [anon_sym_export] = ACTIONS(11613),
    [anon_sym_public] = ACTIONS(11613),
    [anon_sym_import] = ACTIONS(11613),
    [anon_sym_using] = ACTIONS(11613),
    [anon_sym_LBRACK] = ACTIONS(11613),
    [anon_sym_RBRACK] = ACTIONS(11613),
    [anon_sym_in] = ACTIONS(11613),
    [anon_sym_SEMI] = ACTIONS(11613),
    [anon_sym_LBRACE] = ACTIONS(11613),
    [anon_sym_DOLLAR] = ACTIONS(11613),
    [anon_sym_COLON2] = ACTIONS(11613),
    [anon_sym_COLON_COLON] = ACTIONS(11613),
    [anon_sym_isa] = ACTIONS(11613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11613),
    [anon_sym_QMARK] = ACTIONS(11613),
    [anon_sym_where] = ACTIONS(11613),
    [anon_sym_AT] = ACTIONS(11613),
    [anon_sym_true] = ACTIONS(11613),
    [anon_sym_false] = ACTIONS(11613),
    [aux_sym_integer_literal_token1] = ACTIONS(11613),
    [aux_sym_integer_literal_token2] = ACTIONS(11613),
    [aux_sym_integer_literal_token3] = ACTIONS(11613),
    [aux_sym_integer_literal_token4] = ACTIONS(11613),
    [aux_sym_float_literal_token1] = ACTIONS(11613),
    [aux_sym_float_literal_token3] = ACTIONS(11613),
    [aux_sym_float_literal_token4] = ACTIONS(11613),
    [sym_character_literal] = ACTIONS(11613),
    [anon_sym_DQUOTE] = ACTIONS(11613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11613),
    [anon_sym_BQUOTE] = ACTIONS(11613),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11613),
    [sym__pair_operator] = ACTIONS(11613),
    [sym__arrow_operator] = ACTIONS(11613),
    [sym__lazy_or_operator] = ACTIONS(11613),
    [sym__lazy_and_operator] = ACTIONS(11613),
    [sym__comparison_operator] = ACTIONS(11613),
    [sym__pipe_right_operator] = ACTIONS(11613),
    [sym__pipe_left_operator] = ACTIONS(11613),
    [sym__ellipsis_operator] = ACTIONS(11613),
    [sym__plus_operator] = ACTIONS(11613),
    [sym__times_operator] = ACTIONS(11613),
    [sym__rational_operator] = ACTIONS(11613),
    [sym__bitshift_operator] = ACTIONS(11613),
    [sym__power_operator] = ACTIONS(11613),
    [sym__tilde_operator] = ACTIONS(11613),
    [sym__type_order_operator] = ACTIONS(11613),
    [sym__unary_operator] = ACTIONS(11613),
    [sym__unary_plus_operator] = ACTIONS(11613),
    [aux_sym__terminator_token1] = ACTIONS(11615),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8701] = {
    [sym_block_comment] = STATE(8701),
    [sym_line_comment] = STATE(8701),
    [ts_builtin_sym_end] = ACTIONS(11619),
    [sym__word_identifier] = ACTIONS(11617),
    [anon_sym_COMMA] = ACTIONS(11617),
    [anon_sym_EQ] = ACTIONS(11617),
    [anon_sym_begin] = ACTIONS(11617),
    [anon_sym_module] = ACTIONS(11617),
    [anon_sym_baremodule] = ACTIONS(11617),
    [anon_sym_abstract] = ACTIONS(11617),
    [anon_sym_primitive] = ACTIONS(11617),
    [anon_sym_mutable] = ACTIONS(11617),
    [anon_sym_struct] = ACTIONS(11617),
    [anon_sym_function] = ACTIONS(11617),
    [anon_sym_macro] = ACTIONS(11617),
    [anon_sym_quote] = ACTIONS(11617),
    [anon_sym_let] = ACTIONS(11617),
    [anon_sym_if] = ACTIONS(11617),
    [anon_sym_try] = ACTIONS(11617),
    [anon_sym_for] = ACTIONS(11617),
    [anon_sym_while] = ACTIONS(11617),
    [sym_break_statement] = ACTIONS(11617),
    [sym_continue_statement] = ACTIONS(11617),
    [anon_sym_return] = ACTIONS(11617),
    [anon_sym_const] = ACTIONS(11617),
    [anon_sym_global] = ACTIONS(11617),
    [anon_sym_local] = ACTIONS(11617),
    [anon_sym_LPAREN] = ACTIONS(11617),
    [anon_sym_COLON] = ACTIONS(11617),
    [anon_sym_export] = ACTIONS(11617),
    [anon_sym_public] = ACTIONS(11617),
    [anon_sym_import] = ACTIONS(11617),
    [anon_sym_using] = ACTIONS(11617),
    [anon_sym_LBRACK] = ACTIONS(11617),
    [anon_sym_RBRACK] = ACTIONS(11617),
    [anon_sym_in] = ACTIONS(11617),
    [anon_sym_SEMI] = ACTIONS(11617),
    [anon_sym_LBRACE] = ACTIONS(11617),
    [anon_sym_DOLLAR] = ACTIONS(11617),
    [anon_sym_COLON2] = ACTIONS(11617),
    [anon_sym_COLON_COLON] = ACTIONS(11617),
    [anon_sym_isa] = ACTIONS(11617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11617),
    [anon_sym_QMARK] = ACTIONS(11617),
    [anon_sym_where] = ACTIONS(11617),
    [anon_sym_AT] = ACTIONS(11617),
    [anon_sym_true] = ACTIONS(11617),
    [anon_sym_false] = ACTIONS(11617),
    [aux_sym_integer_literal_token1] = ACTIONS(11617),
    [aux_sym_integer_literal_token2] = ACTIONS(11617),
    [aux_sym_integer_literal_token3] = ACTIONS(11617),
    [aux_sym_integer_literal_token4] = ACTIONS(11617),
    [aux_sym_float_literal_token1] = ACTIONS(11617),
    [aux_sym_float_literal_token3] = ACTIONS(11617),
    [aux_sym_float_literal_token4] = ACTIONS(11617),
    [sym_character_literal] = ACTIONS(11617),
    [anon_sym_DQUOTE] = ACTIONS(11617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11617),
    [anon_sym_BQUOTE] = ACTIONS(11617),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11617),
    [sym__pair_operator] = ACTIONS(11617),
    [sym__arrow_operator] = ACTIONS(11617),
    [sym__lazy_or_operator] = ACTIONS(11617),
    [sym__lazy_and_operator] = ACTIONS(11617),
    [sym__comparison_operator] = ACTIONS(11617),
    [sym__pipe_right_operator] = ACTIONS(11617),
    [sym__pipe_left_operator] = ACTIONS(11617),
    [sym__ellipsis_operator] = ACTIONS(11617),
    [sym__plus_operator] = ACTIONS(11617),
    [sym__times_operator] = ACTIONS(11617),
    [sym__rational_operator] = ACTIONS(11617),
    [sym__bitshift_operator] = ACTIONS(11617),
    [sym__power_operator] = ACTIONS(11617),
    [sym__tilde_operator] = ACTIONS(11617),
    [sym__type_order_operator] = ACTIONS(11617),
    [sym__unary_operator] = ACTIONS(11617),
    [sym__unary_plus_operator] = ACTIONS(11617),
    [aux_sym__terminator_token1] = ACTIONS(11619),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8702] = {
    [sym_block_comment] = STATE(8702),
    [sym_line_comment] = STATE(8702),
    [sym__word_identifier] = ACTIONS(11625),
    [anon_sym_COMMA] = ACTIONS(11625),
    [anon_sym_EQ] = ACTIONS(11625),
    [anon_sym_begin] = ACTIONS(11625),
    [anon_sym_module] = ACTIONS(11625),
    [anon_sym_baremodule] = ACTIONS(11625),
    [anon_sym_end] = ACTIONS(11625),
    [anon_sym_abstract] = ACTIONS(11625),
    [anon_sym_primitive] = ACTIONS(11625),
    [anon_sym_mutable] = ACTIONS(11625),
    [anon_sym_struct] = ACTIONS(11625),
    [anon_sym_function] = ACTIONS(11625),
    [anon_sym_macro] = ACTIONS(11625),
    [anon_sym_quote] = ACTIONS(11625),
    [anon_sym_let] = ACTIONS(11625),
    [anon_sym_if] = ACTIONS(11625),
    [anon_sym_try] = ACTIONS(11625),
    [anon_sym_finally] = ACTIONS(11625),
    [anon_sym_for] = ACTIONS(11625),
    [anon_sym_while] = ACTIONS(11625),
    [sym_break_statement] = ACTIONS(11625),
    [sym_continue_statement] = ACTIONS(11625),
    [anon_sym_return] = ACTIONS(11625),
    [anon_sym_const] = ACTIONS(11625),
    [anon_sym_global] = ACTIONS(11625),
    [anon_sym_local] = ACTIONS(11625),
    [anon_sym_LPAREN] = ACTIONS(11625),
    [anon_sym_COLON] = ACTIONS(11625),
    [anon_sym_export] = ACTIONS(11625),
    [anon_sym_public] = ACTIONS(11625),
    [anon_sym_import] = ACTIONS(11625),
    [anon_sym_using] = ACTIONS(11625),
    [anon_sym_LBRACK] = ACTIONS(11625),
    [anon_sym_in] = ACTIONS(11625),
    [anon_sym_SEMI] = ACTIONS(11625),
    [anon_sym_LBRACE] = ACTIONS(11625),
    [anon_sym_DOLLAR] = ACTIONS(11625),
    [anon_sym_COLON2] = ACTIONS(11625),
    [anon_sym_COLON_COLON] = ACTIONS(11625),
    [anon_sym_isa] = ACTIONS(11625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11625),
    [anon_sym_QMARK] = ACTIONS(11625),
    [anon_sym_where] = ACTIONS(11625),
    [anon_sym_AT] = ACTIONS(11625),
    [anon_sym_true] = ACTIONS(11625),
    [anon_sym_false] = ACTIONS(11625),
    [aux_sym_integer_literal_token1] = ACTIONS(11625),
    [aux_sym_integer_literal_token2] = ACTIONS(11625),
    [aux_sym_integer_literal_token3] = ACTIONS(11625),
    [aux_sym_integer_literal_token4] = ACTIONS(11625),
    [aux_sym_float_literal_token1] = ACTIONS(11625),
    [aux_sym_float_literal_token3] = ACTIONS(11625),
    [aux_sym_float_literal_token4] = ACTIONS(11625),
    [sym_character_literal] = ACTIONS(11625),
    [anon_sym_DQUOTE] = ACTIONS(11625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11625),
    [anon_sym_BQUOTE] = ACTIONS(11625),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11625),
    [sym__pair_operator] = ACTIONS(11625),
    [sym__arrow_operator] = ACTIONS(11625),
    [sym__lazy_or_operator] = ACTIONS(11625),
    [sym__lazy_and_operator] = ACTIONS(11625),
    [sym__comparison_operator] = ACTIONS(11625),
    [sym__pipe_right_operator] = ACTIONS(11625),
    [sym__pipe_left_operator] = ACTIONS(11625),
    [sym__ellipsis_operator] = ACTIONS(11625),
    [sym__plus_operator] = ACTIONS(11625),
    [sym__times_operator] = ACTIONS(11625),
    [sym__rational_operator] = ACTIONS(11625),
    [sym__bitshift_operator] = ACTIONS(11625),
    [sym__power_operator] = ACTIONS(11625),
    [sym__tilde_operator] = ACTIONS(11625),
    [sym__type_order_operator] = ACTIONS(11625),
    [sym__unary_operator] = ACTIONS(11625),
    [sym__unary_plus_operator] = ACTIONS(11625),
    [aux_sym__terminator_token1] = ACTIONS(11627),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8703] = {
    [sym_block_comment] = STATE(8703),
    [sym_line_comment] = STATE(8703),
    [ts_builtin_sym_end] = ACTIONS(11623),
    [sym__word_identifier] = ACTIONS(11621),
    [anon_sym_COMMA] = ACTIONS(11621),
    [anon_sym_EQ] = ACTIONS(11621),
    [anon_sym_begin] = ACTIONS(11621),
    [anon_sym_module] = ACTIONS(11621),
    [anon_sym_baremodule] = ACTIONS(11621),
    [anon_sym_abstract] = ACTIONS(11621),
    [anon_sym_primitive] = ACTIONS(11621),
    [anon_sym_mutable] = ACTIONS(11621),
    [anon_sym_struct] = ACTIONS(11621),
    [anon_sym_function] = ACTIONS(11621),
    [anon_sym_macro] = ACTIONS(11621),
    [anon_sym_quote] = ACTIONS(11621),
    [anon_sym_let] = ACTIONS(11621),
    [anon_sym_if] = ACTIONS(11621),
    [anon_sym_try] = ACTIONS(11621),
    [anon_sym_for] = ACTIONS(11621),
    [anon_sym_while] = ACTIONS(11621),
    [sym_break_statement] = ACTIONS(11621),
    [sym_continue_statement] = ACTIONS(11621),
    [anon_sym_return] = ACTIONS(11621),
    [anon_sym_const] = ACTIONS(11621),
    [anon_sym_global] = ACTIONS(11621),
    [anon_sym_local] = ACTIONS(11621),
    [anon_sym_LPAREN] = ACTIONS(11621),
    [anon_sym_COLON] = ACTIONS(11621),
    [anon_sym_export] = ACTIONS(11621),
    [anon_sym_public] = ACTIONS(11621),
    [anon_sym_import] = ACTIONS(11621),
    [anon_sym_using] = ACTIONS(11621),
    [anon_sym_LBRACK] = ACTIONS(11621),
    [anon_sym_RBRACK] = ACTIONS(11621),
    [anon_sym_in] = ACTIONS(11621),
    [anon_sym_SEMI] = ACTIONS(11621),
    [anon_sym_LBRACE] = ACTIONS(11621),
    [anon_sym_DOLLAR] = ACTIONS(11621),
    [anon_sym_COLON2] = ACTIONS(11621),
    [anon_sym_COLON_COLON] = ACTIONS(11621),
    [anon_sym_isa] = ACTIONS(11621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11621),
    [anon_sym_QMARK] = ACTIONS(11621),
    [anon_sym_where] = ACTIONS(11621),
    [anon_sym_AT] = ACTIONS(11621),
    [anon_sym_true] = ACTIONS(11621),
    [anon_sym_false] = ACTIONS(11621),
    [aux_sym_integer_literal_token1] = ACTIONS(11621),
    [aux_sym_integer_literal_token2] = ACTIONS(11621),
    [aux_sym_integer_literal_token3] = ACTIONS(11621),
    [aux_sym_integer_literal_token4] = ACTIONS(11621),
    [aux_sym_float_literal_token1] = ACTIONS(11621),
    [aux_sym_float_literal_token3] = ACTIONS(11621),
    [aux_sym_float_literal_token4] = ACTIONS(11621),
    [sym_character_literal] = ACTIONS(11621),
    [anon_sym_DQUOTE] = ACTIONS(11621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11621),
    [anon_sym_BQUOTE] = ACTIONS(11621),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11621),
    [sym__pair_operator] = ACTIONS(11621),
    [sym__arrow_operator] = ACTIONS(11621),
    [sym__lazy_or_operator] = ACTIONS(11621),
    [sym__lazy_and_operator] = ACTIONS(11621),
    [sym__comparison_operator] = ACTIONS(11621),
    [sym__pipe_right_operator] = ACTIONS(11621),
    [sym__pipe_left_operator] = ACTIONS(11621),
    [sym__ellipsis_operator] = ACTIONS(11621),
    [sym__plus_operator] = ACTIONS(11621),
    [sym__times_operator] = ACTIONS(11621),
    [sym__rational_operator] = ACTIONS(11621),
    [sym__bitshift_operator] = ACTIONS(11621),
    [sym__power_operator] = ACTIONS(11621),
    [sym__tilde_operator] = ACTIONS(11621),
    [sym__type_order_operator] = ACTIONS(11621),
    [sym__unary_operator] = ACTIONS(11621),
    [sym__unary_plus_operator] = ACTIONS(11621),
    [aux_sym__terminator_token1] = ACTIONS(11623),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8704] = {
    [sym_block_comment] = STATE(8704),
    [sym_line_comment] = STATE(8704),
    [ts_builtin_sym_end] = ACTIONS(11627),
    [sym__word_identifier] = ACTIONS(11625),
    [anon_sym_COMMA] = ACTIONS(11625),
    [anon_sym_EQ] = ACTIONS(11625),
    [anon_sym_begin] = ACTIONS(11625),
    [anon_sym_module] = ACTIONS(11625),
    [anon_sym_baremodule] = ACTIONS(11625),
    [anon_sym_abstract] = ACTIONS(11625),
    [anon_sym_primitive] = ACTIONS(11625),
    [anon_sym_mutable] = ACTIONS(11625),
    [anon_sym_struct] = ACTIONS(11625),
    [anon_sym_function] = ACTIONS(11625),
    [anon_sym_macro] = ACTIONS(11625),
    [anon_sym_quote] = ACTIONS(11625),
    [anon_sym_let] = ACTIONS(11625),
    [anon_sym_if] = ACTIONS(11625),
    [anon_sym_try] = ACTIONS(11625),
    [anon_sym_for] = ACTIONS(11625),
    [anon_sym_while] = ACTIONS(11625),
    [sym_break_statement] = ACTIONS(11625),
    [sym_continue_statement] = ACTIONS(11625),
    [anon_sym_return] = ACTIONS(11625),
    [anon_sym_const] = ACTIONS(11625),
    [anon_sym_global] = ACTIONS(11625),
    [anon_sym_local] = ACTIONS(11625),
    [anon_sym_LPAREN] = ACTIONS(11625),
    [anon_sym_COLON] = ACTIONS(11625),
    [anon_sym_export] = ACTIONS(11625),
    [anon_sym_public] = ACTIONS(11625),
    [anon_sym_import] = ACTIONS(11625),
    [anon_sym_using] = ACTIONS(11625),
    [anon_sym_LBRACK] = ACTIONS(11625),
    [anon_sym_RBRACK] = ACTIONS(11625),
    [anon_sym_in] = ACTIONS(11625),
    [anon_sym_SEMI] = ACTIONS(11625),
    [anon_sym_LBRACE] = ACTIONS(11625),
    [anon_sym_DOLLAR] = ACTIONS(11625),
    [anon_sym_COLON2] = ACTIONS(11625),
    [anon_sym_COLON_COLON] = ACTIONS(11625),
    [anon_sym_isa] = ACTIONS(11625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11625),
    [anon_sym_QMARK] = ACTIONS(11625),
    [anon_sym_where] = ACTIONS(11625),
    [anon_sym_AT] = ACTIONS(11625),
    [anon_sym_true] = ACTIONS(11625),
    [anon_sym_false] = ACTIONS(11625),
    [aux_sym_integer_literal_token1] = ACTIONS(11625),
    [aux_sym_integer_literal_token2] = ACTIONS(11625),
    [aux_sym_integer_literal_token3] = ACTIONS(11625),
    [aux_sym_integer_literal_token4] = ACTIONS(11625),
    [aux_sym_float_literal_token1] = ACTIONS(11625),
    [aux_sym_float_literal_token3] = ACTIONS(11625),
    [aux_sym_float_literal_token4] = ACTIONS(11625),
    [sym_character_literal] = ACTIONS(11625),
    [anon_sym_DQUOTE] = ACTIONS(11625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11625),
    [anon_sym_BQUOTE] = ACTIONS(11625),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11625),
    [sym__pair_operator] = ACTIONS(11625),
    [sym__arrow_operator] = ACTIONS(11625),
    [sym__lazy_or_operator] = ACTIONS(11625),
    [sym__lazy_and_operator] = ACTIONS(11625),
    [sym__comparison_operator] = ACTIONS(11625),
    [sym__pipe_right_operator] = ACTIONS(11625),
    [sym__pipe_left_operator] = ACTIONS(11625),
    [sym__ellipsis_operator] = ACTIONS(11625),
    [sym__plus_operator] = ACTIONS(11625),
    [sym__times_operator] = ACTIONS(11625),
    [sym__rational_operator] = ACTIONS(11625),
    [sym__bitshift_operator] = ACTIONS(11625),
    [sym__power_operator] = ACTIONS(11625),
    [sym__tilde_operator] = ACTIONS(11625),
    [sym__type_order_operator] = ACTIONS(11625),
    [sym__unary_operator] = ACTIONS(11625),
    [sym__unary_plus_operator] = ACTIONS(11625),
    [aux_sym__terminator_token1] = ACTIONS(11627),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8705] = {
    [sym_block_comment] = STATE(8705),
    [sym_line_comment] = STATE(8705),
    [ts_builtin_sym_end] = ACTIONS(11631),
    [sym__word_identifier] = ACTIONS(11629),
    [anon_sym_COMMA] = ACTIONS(11629),
    [anon_sym_EQ] = ACTIONS(11629),
    [anon_sym_begin] = ACTIONS(11629),
    [anon_sym_module] = ACTIONS(11629),
    [anon_sym_baremodule] = ACTIONS(11629),
    [anon_sym_abstract] = ACTIONS(11629),
    [anon_sym_primitive] = ACTIONS(11629),
    [anon_sym_mutable] = ACTIONS(11629),
    [anon_sym_struct] = ACTIONS(11629),
    [anon_sym_function] = ACTIONS(11629),
    [anon_sym_macro] = ACTIONS(11629),
    [anon_sym_quote] = ACTIONS(11629),
    [anon_sym_let] = ACTIONS(11629),
    [anon_sym_if] = ACTIONS(11629),
    [anon_sym_try] = ACTIONS(11629),
    [anon_sym_for] = ACTIONS(11629),
    [anon_sym_while] = ACTIONS(11629),
    [sym_break_statement] = ACTIONS(11629),
    [sym_continue_statement] = ACTIONS(11629),
    [anon_sym_return] = ACTIONS(11629),
    [anon_sym_const] = ACTIONS(11629),
    [anon_sym_global] = ACTIONS(11629),
    [anon_sym_local] = ACTIONS(11629),
    [anon_sym_LPAREN] = ACTIONS(11629),
    [anon_sym_COLON] = ACTIONS(11629),
    [anon_sym_export] = ACTIONS(11629),
    [anon_sym_public] = ACTIONS(11629),
    [anon_sym_import] = ACTIONS(11629),
    [anon_sym_using] = ACTIONS(11629),
    [anon_sym_LBRACK] = ACTIONS(11629),
    [anon_sym_RBRACK] = ACTIONS(11629),
    [anon_sym_in] = ACTIONS(11629),
    [anon_sym_SEMI] = ACTIONS(11629),
    [anon_sym_LBRACE] = ACTIONS(11629),
    [anon_sym_DOLLAR] = ACTIONS(11629),
    [anon_sym_COLON2] = ACTIONS(11629),
    [anon_sym_COLON_COLON] = ACTIONS(11629),
    [anon_sym_isa] = ACTIONS(11629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11629),
    [anon_sym_QMARK] = ACTIONS(11629),
    [anon_sym_where] = ACTIONS(11629),
    [anon_sym_AT] = ACTIONS(11629),
    [anon_sym_true] = ACTIONS(11629),
    [anon_sym_false] = ACTIONS(11629),
    [aux_sym_integer_literal_token1] = ACTIONS(11629),
    [aux_sym_integer_literal_token2] = ACTIONS(11629),
    [aux_sym_integer_literal_token3] = ACTIONS(11629),
    [aux_sym_integer_literal_token4] = ACTIONS(11629),
    [aux_sym_float_literal_token1] = ACTIONS(11629),
    [aux_sym_float_literal_token3] = ACTIONS(11629),
    [aux_sym_float_literal_token4] = ACTIONS(11629),
    [sym_character_literal] = ACTIONS(11629),
    [anon_sym_DQUOTE] = ACTIONS(11629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11629),
    [anon_sym_BQUOTE] = ACTIONS(11629),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11629),
    [sym__pair_operator] = ACTIONS(11629),
    [sym__arrow_operator] = ACTIONS(11629),
    [sym__lazy_or_operator] = ACTIONS(11629),
    [sym__lazy_and_operator] = ACTIONS(11629),
    [sym__comparison_operator] = ACTIONS(11629),
    [sym__pipe_right_operator] = ACTIONS(11629),
    [sym__pipe_left_operator] = ACTIONS(11629),
    [sym__ellipsis_operator] = ACTIONS(11629),
    [sym__plus_operator] = ACTIONS(11629),
    [sym__times_operator] = ACTIONS(11629),
    [sym__rational_operator] = ACTIONS(11629),
    [sym__bitshift_operator] = ACTIONS(11629),
    [sym__power_operator] = ACTIONS(11629),
    [sym__tilde_operator] = ACTIONS(11629),
    [sym__type_order_operator] = ACTIONS(11629),
    [sym__unary_operator] = ACTIONS(11629),
    [sym__unary_plus_operator] = ACTIONS(11629),
    [aux_sym__terminator_token1] = ACTIONS(11631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8706] = {
    [sym_block_comment] = STATE(8706),
    [sym_line_comment] = STATE(8706),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_catch] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8707] = {
    [sym_block_comment] = STATE(8707),
    [sym_line_comment] = STATE(8707),
    [ts_builtin_sym_end] = ACTIONS(11635),
    [sym__word_identifier] = ACTIONS(11633),
    [anon_sym_COMMA] = ACTIONS(11633),
    [anon_sym_EQ] = ACTIONS(11633),
    [anon_sym_begin] = ACTIONS(11633),
    [anon_sym_module] = ACTIONS(11633),
    [anon_sym_baremodule] = ACTIONS(11633),
    [anon_sym_abstract] = ACTIONS(11633),
    [anon_sym_primitive] = ACTIONS(11633),
    [anon_sym_mutable] = ACTIONS(11633),
    [anon_sym_struct] = ACTIONS(11633),
    [anon_sym_function] = ACTIONS(11633),
    [anon_sym_macro] = ACTIONS(11633),
    [anon_sym_quote] = ACTIONS(11633),
    [anon_sym_let] = ACTIONS(11633),
    [anon_sym_if] = ACTIONS(11633),
    [anon_sym_try] = ACTIONS(11633),
    [anon_sym_for] = ACTIONS(11633),
    [anon_sym_while] = ACTIONS(11633),
    [sym_break_statement] = ACTIONS(11633),
    [sym_continue_statement] = ACTIONS(11633),
    [anon_sym_return] = ACTIONS(11633),
    [anon_sym_const] = ACTIONS(11633),
    [anon_sym_global] = ACTIONS(11633),
    [anon_sym_local] = ACTIONS(11633),
    [anon_sym_LPAREN] = ACTIONS(11633),
    [anon_sym_COLON] = ACTIONS(11633),
    [anon_sym_export] = ACTIONS(11633),
    [anon_sym_public] = ACTIONS(11633),
    [anon_sym_import] = ACTIONS(11633),
    [anon_sym_using] = ACTIONS(11633),
    [anon_sym_LBRACK] = ACTIONS(11633),
    [anon_sym_RBRACK] = ACTIONS(11633),
    [anon_sym_in] = ACTIONS(11633),
    [anon_sym_SEMI] = ACTIONS(11633),
    [anon_sym_LBRACE] = ACTIONS(11633),
    [anon_sym_DOLLAR] = ACTIONS(11633),
    [anon_sym_COLON2] = ACTIONS(11633),
    [anon_sym_COLON_COLON] = ACTIONS(11633),
    [anon_sym_isa] = ACTIONS(11633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11633),
    [anon_sym_QMARK] = ACTIONS(11633),
    [anon_sym_where] = ACTIONS(11633),
    [anon_sym_AT] = ACTIONS(11633),
    [anon_sym_true] = ACTIONS(11633),
    [anon_sym_false] = ACTIONS(11633),
    [aux_sym_integer_literal_token1] = ACTIONS(11633),
    [aux_sym_integer_literal_token2] = ACTIONS(11633),
    [aux_sym_integer_literal_token3] = ACTIONS(11633),
    [aux_sym_integer_literal_token4] = ACTIONS(11633),
    [aux_sym_float_literal_token1] = ACTIONS(11633),
    [aux_sym_float_literal_token3] = ACTIONS(11633),
    [aux_sym_float_literal_token4] = ACTIONS(11633),
    [sym_character_literal] = ACTIONS(11633),
    [anon_sym_DQUOTE] = ACTIONS(11633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11633),
    [anon_sym_BQUOTE] = ACTIONS(11633),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11633),
    [sym__pair_operator] = ACTIONS(11633),
    [sym__arrow_operator] = ACTIONS(11633),
    [sym__lazy_or_operator] = ACTIONS(11633),
    [sym__lazy_and_operator] = ACTIONS(11633),
    [sym__comparison_operator] = ACTIONS(11633),
    [sym__pipe_right_operator] = ACTIONS(11633),
    [sym__pipe_left_operator] = ACTIONS(11633),
    [sym__ellipsis_operator] = ACTIONS(11633),
    [sym__plus_operator] = ACTIONS(11633),
    [sym__times_operator] = ACTIONS(11633),
    [sym__rational_operator] = ACTIONS(11633),
    [sym__bitshift_operator] = ACTIONS(11633),
    [sym__power_operator] = ACTIONS(11633),
    [sym__tilde_operator] = ACTIONS(11633),
    [sym__type_order_operator] = ACTIONS(11633),
    [sym__unary_operator] = ACTIONS(11633),
    [sym__unary_plus_operator] = ACTIONS(11633),
    [aux_sym__terminator_token1] = ACTIONS(11635),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8708] = {
    [sym_block_comment] = STATE(8708),
    [sym_line_comment] = STATE(8708),
    [aux_sym_export_statement_repeat1] = STATE(8708),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(12534),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_end] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11149),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11149),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_SEMI] = ACTIONS(11149),
    [anon_sym_LBRACE] = ACTIONS(11149),
    [anon_sym_DOLLAR] = ACTIONS(11149),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11149),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11149),
    [anon_sym_QMARK] = ACTIONS(11149),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11149),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11149),
    [aux_sym_integer_literal_token2] = ACTIONS(11149),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11149),
    [aux_sym_float_literal_token3] = ACTIONS(11149),
    [aux_sym_float_literal_token4] = ACTIONS(11149),
    [sym_character_literal] = ACTIONS(11149),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11149),
    [sym__pair_operator] = ACTIONS(11149),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11149),
    [sym__lazy_and_operator] = ACTIONS(11149),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11149),
    [sym__pipe_left_operator] = ACTIONS(11149),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11149),
    [sym__bitshift_operator] = ACTIONS(11149),
    [sym__power_operator] = ACTIONS(11149),
    [sym__tilde_operator] = ACTIONS(11149),
    [sym__type_order_operator] = ACTIONS(11149),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym__terminator_token1] = ACTIONS(11154),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8709] = {
    [sym_block_comment] = STATE(8709),
    [sym_line_comment] = STATE(8709),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11159),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_as] = ACTIONS(11912),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8710] = {
    [sym_block_comment] = STATE(8710),
    [sym_line_comment] = STATE(8710),
    [aux_sym__import_list_repeat1] = STATE(8710),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(12537),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8711] = {
    [sym_block_comment] = STATE(8711),
    [sym_line_comment] = STATE(8711),
    [sym__word_identifier] = ACTIONS(11629),
    [anon_sym_COMMA] = ACTIONS(11629),
    [anon_sym_EQ] = ACTIONS(11629),
    [anon_sym_begin] = ACTIONS(11629),
    [anon_sym_module] = ACTIONS(11629),
    [anon_sym_baremodule] = ACTIONS(11629),
    [anon_sym_end] = ACTIONS(11629),
    [anon_sym_abstract] = ACTIONS(11629),
    [anon_sym_primitive] = ACTIONS(11629),
    [anon_sym_mutable] = ACTIONS(11629),
    [anon_sym_struct] = ACTIONS(11629),
    [anon_sym_function] = ACTIONS(11629),
    [anon_sym_macro] = ACTIONS(11629),
    [anon_sym_quote] = ACTIONS(11629),
    [anon_sym_let] = ACTIONS(11629),
    [anon_sym_if] = ACTIONS(11629),
    [anon_sym_try] = ACTIONS(11629),
    [anon_sym_finally] = ACTIONS(11629),
    [anon_sym_for] = ACTIONS(11629),
    [anon_sym_while] = ACTIONS(11629),
    [sym_break_statement] = ACTIONS(11629),
    [sym_continue_statement] = ACTIONS(11629),
    [anon_sym_return] = ACTIONS(11629),
    [anon_sym_const] = ACTIONS(11629),
    [anon_sym_global] = ACTIONS(11629),
    [anon_sym_local] = ACTIONS(11629),
    [anon_sym_LPAREN] = ACTIONS(11629),
    [anon_sym_COLON] = ACTIONS(11629),
    [anon_sym_export] = ACTIONS(11629),
    [anon_sym_public] = ACTIONS(11629),
    [anon_sym_import] = ACTIONS(11629),
    [anon_sym_using] = ACTIONS(11629),
    [anon_sym_LBRACK] = ACTIONS(11629),
    [anon_sym_in] = ACTIONS(11629),
    [anon_sym_SEMI] = ACTIONS(11629),
    [anon_sym_LBRACE] = ACTIONS(11629),
    [anon_sym_DOLLAR] = ACTIONS(11629),
    [anon_sym_COLON2] = ACTIONS(11629),
    [anon_sym_COLON_COLON] = ACTIONS(11629),
    [anon_sym_isa] = ACTIONS(11629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11629),
    [anon_sym_QMARK] = ACTIONS(11629),
    [anon_sym_where] = ACTIONS(11629),
    [anon_sym_AT] = ACTIONS(11629),
    [anon_sym_true] = ACTIONS(11629),
    [anon_sym_false] = ACTIONS(11629),
    [aux_sym_integer_literal_token1] = ACTIONS(11629),
    [aux_sym_integer_literal_token2] = ACTIONS(11629),
    [aux_sym_integer_literal_token3] = ACTIONS(11629),
    [aux_sym_integer_literal_token4] = ACTIONS(11629),
    [aux_sym_float_literal_token1] = ACTIONS(11629),
    [aux_sym_float_literal_token3] = ACTIONS(11629),
    [aux_sym_float_literal_token4] = ACTIONS(11629),
    [sym_character_literal] = ACTIONS(11629),
    [anon_sym_DQUOTE] = ACTIONS(11629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11629),
    [anon_sym_BQUOTE] = ACTIONS(11629),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11629),
    [sym__pair_operator] = ACTIONS(11629),
    [sym__arrow_operator] = ACTIONS(11629),
    [sym__lazy_or_operator] = ACTIONS(11629),
    [sym__lazy_and_operator] = ACTIONS(11629),
    [sym__comparison_operator] = ACTIONS(11629),
    [sym__pipe_right_operator] = ACTIONS(11629),
    [sym__pipe_left_operator] = ACTIONS(11629),
    [sym__ellipsis_operator] = ACTIONS(11629),
    [sym__plus_operator] = ACTIONS(11629),
    [sym__times_operator] = ACTIONS(11629),
    [sym__rational_operator] = ACTIONS(11629),
    [sym__bitshift_operator] = ACTIONS(11629),
    [sym__power_operator] = ACTIONS(11629),
    [sym__tilde_operator] = ACTIONS(11629),
    [sym__type_order_operator] = ACTIONS(11629),
    [sym__unary_operator] = ACTIONS(11629),
    [sym__unary_plus_operator] = ACTIONS(11629),
    [aux_sym__terminator_token1] = ACTIONS(11631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8712] = {
    [sym_block_comment] = STATE(8712),
    [sym_line_comment] = STATE(8712),
    [ts_builtin_sym_end] = ACTIONS(11639),
    [sym__word_identifier] = ACTIONS(11637),
    [anon_sym_COMMA] = ACTIONS(11637),
    [anon_sym_EQ] = ACTIONS(11637),
    [anon_sym_begin] = ACTIONS(11637),
    [anon_sym_module] = ACTIONS(11637),
    [anon_sym_baremodule] = ACTIONS(11637),
    [anon_sym_abstract] = ACTIONS(11637),
    [anon_sym_primitive] = ACTIONS(11637),
    [anon_sym_mutable] = ACTIONS(11637),
    [anon_sym_struct] = ACTIONS(11637),
    [anon_sym_function] = ACTIONS(11637),
    [anon_sym_macro] = ACTIONS(11637),
    [anon_sym_quote] = ACTIONS(11637),
    [anon_sym_let] = ACTIONS(11637),
    [anon_sym_if] = ACTIONS(11637),
    [anon_sym_try] = ACTIONS(11637),
    [anon_sym_for] = ACTIONS(11637),
    [anon_sym_while] = ACTIONS(11637),
    [sym_break_statement] = ACTIONS(11637),
    [sym_continue_statement] = ACTIONS(11637),
    [anon_sym_return] = ACTIONS(11637),
    [anon_sym_const] = ACTIONS(11637),
    [anon_sym_global] = ACTIONS(11637),
    [anon_sym_local] = ACTIONS(11637),
    [anon_sym_LPAREN] = ACTIONS(11637),
    [anon_sym_COLON] = ACTIONS(11637),
    [anon_sym_export] = ACTIONS(11637),
    [anon_sym_public] = ACTIONS(11637),
    [anon_sym_import] = ACTIONS(11637),
    [anon_sym_using] = ACTIONS(11637),
    [anon_sym_LBRACK] = ACTIONS(11637),
    [anon_sym_RBRACK] = ACTIONS(11637),
    [anon_sym_in] = ACTIONS(11637),
    [anon_sym_SEMI] = ACTIONS(11637),
    [anon_sym_LBRACE] = ACTIONS(11637),
    [anon_sym_DOLLAR] = ACTIONS(11637),
    [anon_sym_COLON2] = ACTIONS(11637),
    [anon_sym_COLON_COLON] = ACTIONS(11637),
    [anon_sym_isa] = ACTIONS(11637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11637),
    [anon_sym_QMARK] = ACTIONS(11637),
    [anon_sym_where] = ACTIONS(11637),
    [anon_sym_AT] = ACTIONS(11637),
    [anon_sym_true] = ACTIONS(11637),
    [anon_sym_false] = ACTIONS(11637),
    [aux_sym_integer_literal_token1] = ACTIONS(11637),
    [aux_sym_integer_literal_token2] = ACTIONS(11637),
    [aux_sym_integer_literal_token3] = ACTIONS(11637),
    [aux_sym_integer_literal_token4] = ACTIONS(11637),
    [aux_sym_float_literal_token1] = ACTIONS(11637),
    [aux_sym_float_literal_token3] = ACTIONS(11637),
    [aux_sym_float_literal_token4] = ACTIONS(11637),
    [sym_character_literal] = ACTIONS(11637),
    [anon_sym_DQUOTE] = ACTIONS(11637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11637),
    [anon_sym_BQUOTE] = ACTIONS(11637),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11637),
    [sym__pair_operator] = ACTIONS(11637),
    [sym__arrow_operator] = ACTIONS(11637),
    [sym__lazy_or_operator] = ACTIONS(11637),
    [sym__lazy_and_operator] = ACTIONS(11637),
    [sym__comparison_operator] = ACTIONS(11637),
    [sym__pipe_right_operator] = ACTIONS(11637),
    [sym__pipe_left_operator] = ACTIONS(11637),
    [sym__ellipsis_operator] = ACTIONS(11637),
    [sym__plus_operator] = ACTIONS(11637),
    [sym__times_operator] = ACTIONS(11637),
    [sym__rational_operator] = ACTIONS(11637),
    [sym__bitshift_operator] = ACTIONS(11637),
    [sym__power_operator] = ACTIONS(11637),
    [sym__tilde_operator] = ACTIONS(11637),
    [sym__type_order_operator] = ACTIONS(11637),
    [sym__unary_operator] = ACTIONS(11637),
    [sym__unary_plus_operator] = ACTIONS(11637),
    [aux_sym__terminator_token1] = ACTIONS(11639),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8713] = {
    [sym_block_comment] = STATE(8713),
    [sym_line_comment] = STATE(8713),
    [sym__word_identifier] = ACTIONS(11633),
    [anon_sym_COMMA] = ACTIONS(11633),
    [anon_sym_EQ] = ACTIONS(11633),
    [anon_sym_begin] = ACTIONS(11633),
    [anon_sym_module] = ACTIONS(11633),
    [anon_sym_baremodule] = ACTIONS(11633),
    [anon_sym_end] = ACTIONS(11633),
    [anon_sym_abstract] = ACTIONS(11633),
    [anon_sym_primitive] = ACTIONS(11633),
    [anon_sym_mutable] = ACTIONS(11633),
    [anon_sym_struct] = ACTIONS(11633),
    [anon_sym_function] = ACTIONS(11633),
    [anon_sym_macro] = ACTIONS(11633),
    [anon_sym_quote] = ACTIONS(11633),
    [anon_sym_let] = ACTIONS(11633),
    [anon_sym_if] = ACTIONS(11633),
    [anon_sym_try] = ACTIONS(11633),
    [anon_sym_finally] = ACTIONS(11633),
    [anon_sym_for] = ACTIONS(11633),
    [anon_sym_while] = ACTIONS(11633),
    [sym_break_statement] = ACTIONS(11633),
    [sym_continue_statement] = ACTIONS(11633),
    [anon_sym_return] = ACTIONS(11633),
    [anon_sym_const] = ACTIONS(11633),
    [anon_sym_global] = ACTIONS(11633),
    [anon_sym_local] = ACTIONS(11633),
    [anon_sym_LPAREN] = ACTIONS(11633),
    [anon_sym_COLON] = ACTIONS(11633),
    [anon_sym_export] = ACTIONS(11633),
    [anon_sym_public] = ACTIONS(11633),
    [anon_sym_import] = ACTIONS(11633),
    [anon_sym_using] = ACTIONS(11633),
    [anon_sym_LBRACK] = ACTIONS(11633),
    [anon_sym_in] = ACTIONS(11633),
    [anon_sym_SEMI] = ACTIONS(11633),
    [anon_sym_LBRACE] = ACTIONS(11633),
    [anon_sym_DOLLAR] = ACTIONS(11633),
    [anon_sym_COLON2] = ACTIONS(11633),
    [anon_sym_COLON_COLON] = ACTIONS(11633),
    [anon_sym_isa] = ACTIONS(11633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11633),
    [anon_sym_QMARK] = ACTIONS(11633),
    [anon_sym_where] = ACTIONS(11633),
    [anon_sym_AT] = ACTIONS(11633),
    [anon_sym_true] = ACTIONS(11633),
    [anon_sym_false] = ACTIONS(11633),
    [aux_sym_integer_literal_token1] = ACTIONS(11633),
    [aux_sym_integer_literal_token2] = ACTIONS(11633),
    [aux_sym_integer_literal_token3] = ACTIONS(11633),
    [aux_sym_integer_literal_token4] = ACTIONS(11633),
    [aux_sym_float_literal_token1] = ACTIONS(11633),
    [aux_sym_float_literal_token3] = ACTIONS(11633),
    [aux_sym_float_literal_token4] = ACTIONS(11633),
    [sym_character_literal] = ACTIONS(11633),
    [anon_sym_DQUOTE] = ACTIONS(11633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11633),
    [anon_sym_BQUOTE] = ACTIONS(11633),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11633),
    [sym__pair_operator] = ACTIONS(11633),
    [sym__arrow_operator] = ACTIONS(11633),
    [sym__lazy_or_operator] = ACTIONS(11633),
    [sym__lazy_and_operator] = ACTIONS(11633),
    [sym__comparison_operator] = ACTIONS(11633),
    [sym__pipe_right_operator] = ACTIONS(11633),
    [sym__pipe_left_operator] = ACTIONS(11633),
    [sym__ellipsis_operator] = ACTIONS(11633),
    [sym__plus_operator] = ACTIONS(11633),
    [sym__times_operator] = ACTIONS(11633),
    [sym__rational_operator] = ACTIONS(11633),
    [sym__bitshift_operator] = ACTIONS(11633),
    [sym__power_operator] = ACTIONS(11633),
    [sym__tilde_operator] = ACTIONS(11633),
    [sym__type_order_operator] = ACTIONS(11633),
    [sym__unary_operator] = ACTIONS(11633),
    [sym__unary_plus_operator] = ACTIONS(11633),
    [aux_sym__terminator_token1] = ACTIONS(11635),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8714] = {
    [sym_block_comment] = STATE(8714),
    [sym_line_comment] = STATE(8714),
    [ts_builtin_sym_end] = ACTIONS(11643),
    [sym__word_identifier] = ACTIONS(11641),
    [anon_sym_COMMA] = ACTIONS(11641),
    [anon_sym_EQ] = ACTIONS(11641),
    [anon_sym_begin] = ACTIONS(11641),
    [anon_sym_module] = ACTIONS(11641),
    [anon_sym_baremodule] = ACTIONS(11641),
    [anon_sym_abstract] = ACTIONS(11641),
    [anon_sym_primitive] = ACTIONS(11641),
    [anon_sym_mutable] = ACTIONS(11641),
    [anon_sym_struct] = ACTIONS(11641),
    [anon_sym_function] = ACTIONS(11641),
    [anon_sym_macro] = ACTIONS(11641),
    [anon_sym_quote] = ACTIONS(11641),
    [anon_sym_let] = ACTIONS(11641),
    [anon_sym_if] = ACTIONS(11641),
    [anon_sym_try] = ACTIONS(11641),
    [anon_sym_for] = ACTIONS(11641),
    [anon_sym_while] = ACTIONS(11641),
    [sym_break_statement] = ACTIONS(11641),
    [sym_continue_statement] = ACTIONS(11641),
    [anon_sym_return] = ACTIONS(11641),
    [anon_sym_const] = ACTIONS(11641),
    [anon_sym_global] = ACTIONS(11641),
    [anon_sym_local] = ACTIONS(11641),
    [anon_sym_LPAREN] = ACTIONS(11641),
    [anon_sym_COLON] = ACTIONS(11641),
    [anon_sym_export] = ACTIONS(11641),
    [anon_sym_public] = ACTIONS(11641),
    [anon_sym_import] = ACTIONS(11641),
    [anon_sym_using] = ACTIONS(11641),
    [anon_sym_LBRACK] = ACTIONS(11641),
    [anon_sym_RBRACK] = ACTIONS(11641),
    [anon_sym_in] = ACTIONS(11641),
    [anon_sym_SEMI] = ACTIONS(11641),
    [anon_sym_LBRACE] = ACTIONS(11641),
    [anon_sym_DOLLAR] = ACTIONS(11641),
    [anon_sym_COLON2] = ACTIONS(11641),
    [anon_sym_COLON_COLON] = ACTIONS(11641),
    [anon_sym_isa] = ACTIONS(11641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11641),
    [anon_sym_QMARK] = ACTIONS(11641),
    [anon_sym_where] = ACTIONS(11641),
    [anon_sym_AT] = ACTIONS(11641),
    [anon_sym_true] = ACTIONS(11641),
    [anon_sym_false] = ACTIONS(11641),
    [aux_sym_integer_literal_token1] = ACTIONS(11641),
    [aux_sym_integer_literal_token2] = ACTIONS(11641),
    [aux_sym_integer_literal_token3] = ACTIONS(11641),
    [aux_sym_integer_literal_token4] = ACTIONS(11641),
    [aux_sym_float_literal_token1] = ACTIONS(11641),
    [aux_sym_float_literal_token3] = ACTIONS(11641),
    [aux_sym_float_literal_token4] = ACTIONS(11641),
    [sym_character_literal] = ACTIONS(11641),
    [anon_sym_DQUOTE] = ACTIONS(11641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11641),
    [anon_sym_BQUOTE] = ACTIONS(11641),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11641),
    [sym__pair_operator] = ACTIONS(11641),
    [sym__arrow_operator] = ACTIONS(11641),
    [sym__lazy_or_operator] = ACTIONS(11641),
    [sym__lazy_and_operator] = ACTIONS(11641),
    [sym__comparison_operator] = ACTIONS(11641),
    [sym__pipe_right_operator] = ACTIONS(11641),
    [sym__pipe_left_operator] = ACTIONS(11641),
    [sym__ellipsis_operator] = ACTIONS(11641),
    [sym__plus_operator] = ACTIONS(11641),
    [sym__times_operator] = ACTIONS(11641),
    [sym__rational_operator] = ACTIONS(11641),
    [sym__bitshift_operator] = ACTIONS(11641),
    [sym__power_operator] = ACTIONS(11641),
    [sym__tilde_operator] = ACTIONS(11641),
    [sym__type_order_operator] = ACTIONS(11641),
    [sym__unary_operator] = ACTIONS(11641),
    [sym__unary_plus_operator] = ACTIONS(11641),
    [aux_sym__terminator_token1] = ACTIONS(11643),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8715] = {
    [sym_block_comment] = STATE(8715),
    [sym_line_comment] = STATE(8715),
    [ts_builtin_sym_end] = ACTIONS(11647),
    [sym__word_identifier] = ACTIONS(11645),
    [anon_sym_COMMA] = ACTIONS(11645),
    [anon_sym_EQ] = ACTIONS(11645),
    [anon_sym_begin] = ACTIONS(11645),
    [anon_sym_module] = ACTIONS(11645),
    [anon_sym_baremodule] = ACTIONS(11645),
    [anon_sym_abstract] = ACTIONS(11645),
    [anon_sym_primitive] = ACTIONS(11645),
    [anon_sym_mutable] = ACTIONS(11645),
    [anon_sym_struct] = ACTIONS(11645),
    [anon_sym_function] = ACTIONS(11645),
    [anon_sym_macro] = ACTIONS(11645),
    [anon_sym_quote] = ACTIONS(11645),
    [anon_sym_let] = ACTIONS(11645),
    [anon_sym_if] = ACTIONS(11645),
    [anon_sym_try] = ACTIONS(11645),
    [anon_sym_for] = ACTIONS(11645),
    [anon_sym_while] = ACTIONS(11645),
    [sym_break_statement] = ACTIONS(11645),
    [sym_continue_statement] = ACTIONS(11645),
    [anon_sym_return] = ACTIONS(11645),
    [anon_sym_const] = ACTIONS(11645),
    [anon_sym_global] = ACTIONS(11645),
    [anon_sym_local] = ACTIONS(11645),
    [anon_sym_LPAREN] = ACTIONS(11645),
    [anon_sym_COLON] = ACTIONS(11645),
    [anon_sym_export] = ACTIONS(11645),
    [anon_sym_public] = ACTIONS(11645),
    [anon_sym_import] = ACTIONS(11645),
    [anon_sym_using] = ACTIONS(11645),
    [anon_sym_LBRACK] = ACTIONS(11645),
    [anon_sym_RBRACK] = ACTIONS(11645),
    [anon_sym_in] = ACTIONS(11645),
    [anon_sym_SEMI] = ACTIONS(11645),
    [anon_sym_LBRACE] = ACTIONS(11645),
    [anon_sym_DOLLAR] = ACTIONS(11645),
    [anon_sym_COLON2] = ACTIONS(11645),
    [anon_sym_COLON_COLON] = ACTIONS(11645),
    [anon_sym_isa] = ACTIONS(11645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11645),
    [anon_sym_QMARK] = ACTIONS(11645),
    [anon_sym_where] = ACTIONS(11645),
    [anon_sym_AT] = ACTIONS(11645),
    [anon_sym_true] = ACTIONS(11645),
    [anon_sym_false] = ACTIONS(11645),
    [aux_sym_integer_literal_token1] = ACTIONS(11645),
    [aux_sym_integer_literal_token2] = ACTIONS(11645),
    [aux_sym_integer_literal_token3] = ACTIONS(11645),
    [aux_sym_integer_literal_token4] = ACTIONS(11645),
    [aux_sym_float_literal_token1] = ACTIONS(11645),
    [aux_sym_float_literal_token3] = ACTIONS(11645),
    [aux_sym_float_literal_token4] = ACTIONS(11645),
    [sym_character_literal] = ACTIONS(11645),
    [anon_sym_DQUOTE] = ACTIONS(11645),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11645),
    [anon_sym_BQUOTE] = ACTIONS(11645),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11645),
    [sym__pair_operator] = ACTIONS(11645),
    [sym__arrow_operator] = ACTIONS(11645),
    [sym__lazy_or_operator] = ACTIONS(11645),
    [sym__lazy_and_operator] = ACTIONS(11645),
    [sym__comparison_operator] = ACTIONS(11645),
    [sym__pipe_right_operator] = ACTIONS(11645),
    [sym__pipe_left_operator] = ACTIONS(11645),
    [sym__ellipsis_operator] = ACTIONS(11645),
    [sym__plus_operator] = ACTIONS(11645),
    [sym__times_operator] = ACTIONS(11645),
    [sym__rational_operator] = ACTIONS(11645),
    [sym__bitshift_operator] = ACTIONS(11645),
    [sym__power_operator] = ACTIONS(11645),
    [sym__tilde_operator] = ACTIONS(11645),
    [sym__type_order_operator] = ACTIONS(11645),
    [sym__unary_operator] = ACTIONS(11645),
    [sym__unary_plus_operator] = ACTIONS(11645),
    [aux_sym__terminator_token1] = ACTIONS(11647),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8716] = {
    [sym_block_comment] = STATE(8716),
    [sym_line_comment] = STATE(8716),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8717] = {
    [sym_block_comment] = STATE(8717),
    [sym_line_comment] = STATE(8717),
    [sym__word_identifier] = ACTIONS(11637),
    [anon_sym_COMMA] = ACTIONS(11637),
    [anon_sym_EQ] = ACTIONS(11637),
    [anon_sym_begin] = ACTIONS(11637),
    [anon_sym_module] = ACTIONS(11637),
    [anon_sym_baremodule] = ACTIONS(11637),
    [anon_sym_end] = ACTIONS(11637),
    [anon_sym_abstract] = ACTIONS(11637),
    [anon_sym_primitive] = ACTIONS(11637),
    [anon_sym_mutable] = ACTIONS(11637),
    [anon_sym_struct] = ACTIONS(11637),
    [anon_sym_function] = ACTIONS(11637),
    [anon_sym_macro] = ACTIONS(11637),
    [anon_sym_quote] = ACTIONS(11637),
    [anon_sym_let] = ACTIONS(11637),
    [anon_sym_if] = ACTIONS(11637),
    [anon_sym_try] = ACTIONS(11637),
    [anon_sym_finally] = ACTIONS(11637),
    [anon_sym_for] = ACTIONS(11637),
    [anon_sym_while] = ACTIONS(11637),
    [sym_break_statement] = ACTIONS(11637),
    [sym_continue_statement] = ACTIONS(11637),
    [anon_sym_return] = ACTIONS(11637),
    [anon_sym_const] = ACTIONS(11637),
    [anon_sym_global] = ACTIONS(11637),
    [anon_sym_local] = ACTIONS(11637),
    [anon_sym_LPAREN] = ACTIONS(11637),
    [anon_sym_COLON] = ACTIONS(11637),
    [anon_sym_export] = ACTIONS(11637),
    [anon_sym_public] = ACTIONS(11637),
    [anon_sym_import] = ACTIONS(11637),
    [anon_sym_using] = ACTIONS(11637),
    [anon_sym_LBRACK] = ACTIONS(11637),
    [anon_sym_in] = ACTIONS(11637),
    [anon_sym_SEMI] = ACTIONS(11637),
    [anon_sym_LBRACE] = ACTIONS(11637),
    [anon_sym_DOLLAR] = ACTIONS(11637),
    [anon_sym_COLON2] = ACTIONS(11637),
    [anon_sym_COLON_COLON] = ACTIONS(11637),
    [anon_sym_isa] = ACTIONS(11637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11637),
    [anon_sym_QMARK] = ACTIONS(11637),
    [anon_sym_where] = ACTIONS(11637),
    [anon_sym_AT] = ACTIONS(11637),
    [anon_sym_true] = ACTIONS(11637),
    [anon_sym_false] = ACTIONS(11637),
    [aux_sym_integer_literal_token1] = ACTIONS(11637),
    [aux_sym_integer_literal_token2] = ACTIONS(11637),
    [aux_sym_integer_literal_token3] = ACTIONS(11637),
    [aux_sym_integer_literal_token4] = ACTIONS(11637),
    [aux_sym_float_literal_token1] = ACTIONS(11637),
    [aux_sym_float_literal_token3] = ACTIONS(11637),
    [aux_sym_float_literal_token4] = ACTIONS(11637),
    [sym_character_literal] = ACTIONS(11637),
    [anon_sym_DQUOTE] = ACTIONS(11637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11637),
    [anon_sym_BQUOTE] = ACTIONS(11637),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11637),
    [sym__pair_operator] = ACTIONS(11637),
    [sym__arrow_operator] = ACTIONS(11637),
    [sym__lazy_or_operator] = ACTIONS(11637),
    [sym__lazy_and_operator] = ACTIONS(11637),
    [sym__comparison_operator] = ACTIONS(11637),
    [sym__pipe_right_operator] = ACTIONS(11637),
    [sym__pipe_left_operator] = ACTIONS(11637),
    [sym__ellipsis_operator] = ACTIONS(11637),
    [sym__plus_operator] = ACTIONS(11637),
    [sym__times_operator] = ACTIONS(11637),
    [sym__rational_operator] = ACTIONS(11637),
    [sym__bitshift_operator] = ACTIONS(11637),
    [sym__power_operator] = ACTIONS(11637),
    [sym__tilde_operator] = ACTIONS(11637),
    [sym__type_order_operator] = ACTIONS(11637),
    [sym__unary_operator] = ACTIONS(11637),
    [sym__unary_plus_operator] = ACTIONS(11637),
    [aux_sym__terminator_token1] = ACTIONS(11639),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8718] = {
    [sym_block_comment] = STATE(8718),
    [sym_line_comment] = STATE(8718),
    [sym__word_identifier] = ACTIONS(11300),
    [anon_sym_COMMA] = ACTIONS(11300),
    [anon_sym_EQ] = ACTIONS(11300),
    [anon_sym_begin] = ACTIONS(11300),
    [anon_sym_module] = ACTIONS(11300),
    [anon_sym_baremodule] = ACTIONS(11300),
    [anon_sym_end] = ACTIONS(11300),
    [anon_sym_abstract] = ACTIONS(11300),
    [anon_sym_primitive] = ACTIONS(11300),
    [anon_sym_mutable] = ACTIONS(11300),
    [anon_sym_struct] = ACTIONS(11300),
    [anon_sym_function] = ACTIONS(11300),
    [anon_sym_macro] = ACTIONS(11300),
    [anon_sym_quote] = ACTIONS(11300),
    [anon_sym_let] = ACTIONS(11300),
    [anon_sym_if] = ACTIONS(11300),
    [anon_sym_try] = ACTIONS(11300),
    [anon_sym_catch] = ACTIONS(11300),
    [anon_sym_for] = ACTIONS(11300),
    [anon_sym_while] = ACTIONS(11300),
    [sym_break_statement] = ACTIONS(11300),
    [sym_continue_statement] = ACTIONS(11300),
    [anon_sym_return] = ACTIONS(11300),
    [anon_sym_const] = ACTIONS(11300),
    [anon_sym_global] = ACTIONS(11300),
    [anon_sym_local] = ACTIONS(11300),
    [anon_sym_LPAREN] = ACTIONS(11300),
    [anon_sym_COLON] = ACTIONS(11300),
    [anon_sym_export] = ACTIONS(11300),
    [anon_sym_public] = ACTIONS(11300),
    [anon_sym_import] = ACTIONS(11300),
    [anon_sym_using] = ACTIONS(11300),
    [anon_sym_LBRACK] = ACTIONS(11300),
    [anon_sym_in] = ACTIONS(11300),
    [anon_sym_SEMI] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(11300),
    [anon_sym_DOLLAR] = ACTIONS(11300),
    [anon_sym_COLON2] = ACTIONS(11300),
    [anon_sym_COLON_COLON] = ACTIONS(11300),
    [anon_sym_isa] = ACTIONS(11300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11300),
    [anon_sym_QMARK] = ACTIONS(11300),
    [anon_sym_where] = ACTIONS(11300),
    [anon_sym_AT] = ACTIONS(11300),
    [anon_sym_true] = ACTIONS(11300),
    [anon_sym_false] = ACTIONS(11300),
    [aux_sym_integer_literal_token1] = ACTIONS(11300),
    [aux_sym_integer_literal_token2] = ACTIONS(11300),
    [aux_sym_integer_literal_token3] = ACTIONS(11300),
    [aux_sym_integer_literal_token4] = ACTIONS(11300),
    [aux_sym_float_literal_token1] = ACTIONS(11300),
    [aux_sym_float_literal_token3] = ACTIONS(11300),
    [aux_sym_float_literal_token4] = ACTIONS(11300),
    [sym_character_literal] = ACTIONS(11300),
    [anon_sym_DQUOTE] = ACTIONS(11300),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11300),
    [anon_sym_BQUOTE] = ACTIONS(11300),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11300),
    [sym__pair_operator] = ACTIONS(11300),
    [sym__arrow_operator] = ACTIONS(11300),
    [sym__lazy_or_operator] = ACTIONS(11300),
    [sym__lazy_and_operator] = ACTIONS(11300),
    [sym__comparison_operator] = ACTIONS(11300),
    [sym__pipe_right_operator] = ACTIONS(11300),
    [sym__pipe_left_operator] = ACTIONS(11300),
    [sym__ellipsis_operator] = ACTIONS(11300),
    [sym__plus_operator] = ACTIONS(11300),
    [sym__times_operator] = ACTIONS(11300),
    [sym__rational_operator] = ACTIONS(11300),
    [sym__bitshift_operator] = ACTIONS(11300),
    [sym__power_operator] = ACTIONS(11300),
    [sym__tilde_operator] = ACTIONS(11300),
    [sym__type_order_operator] = ACTIONS(11300),
    [sym__unary_operator] = ACTIONS(11300),
    [sym__unary_plus_operator] = ACTIONS(11300),
    [aux_sym__terminator_token1] = ACTIONS(11302),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8719] = {
    [sym_block_comment] = STATE(8719),
    [sym_line_comment] = STATE(8719),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8720] = {
    [sym_block_comment] = STATE(8720),
    [sym_line_comment] = STATE(8720),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10015),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10015),
    [anon_sym_QMARK] = ACTIONS(10015),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(11744),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10015),
    [sym__lazy_and_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8721] = {
    [sym_block_comment] = STATE(8721),
    [sym_line_comment] = STATE(8721),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10363),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10363),
    [anon_sym_QMARK] = ACTIONS(10363),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10363),
    [sym__lazy_and_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8722] = {
    [sym_block_comment] = STATE(8722),
    [sym_line_comment] = STATE(8722),
    [sym__word_identifier] = ACTIONS(11641),
    [anon_sym_COMMA] = ACTIONS(11641),
    [anon_sym_EQ] = ACTIONS(11641),
    [anon_sym_begin] = ACTIONS(11641),
    [anon_sym_module] = ACTIONS(11641),
    [anon_sym_baremodule] = ACTIONS(11641),
    [anon_sym_end] = ACTIONS(11641),
    [anon_sym_abstract] = ACTIONS(11641),
    [anon_sym_primitive] = ACTIONS(11641),
    [anon_sym_mutable] = ACTIONS(11641),
    [anon_sym_struct] = ACTIONS(11641),
    [anon_sym_function] = ACTIONS(11641),
    [anon_sym_macro] = ACTIONS(11641),
    [anon_sym_quote] = ACTIONS(11641),
    [anon_sym_let] = ACTIONS(11641),
    [anon_sym_if] = ACTIONS(11641),
    [anon_sym_try] = ACTIONS(11641),
    [anon_sym_finally] = ACTIONS(11641),
    [anon_sym_for] = ACTIONS(11641),
    [anon_sym_while] = ACTIONS(11641),
    [sym_break_statement] = ACTIONS(11641),
    [sym_continue_statement] = ACTIONS(11641),
    [anon_sym_return] = ACTIONS(11641),
    [anon_sym_const] = ACTIONS(11641),
    [anon_sym_global] = ACTIONS(11641),
    [anon_sym_local] = ACTIONS(11641),
    [anon_sym_LPAREN] = ACTIONS(11641),
    [anon_sym_COLON] = ACTIONS(11641),
    [anon_sym_export] = ACTIONS(11641),
    [anon_sym_public] = ACTIONS(11641),
    [anon_sym_import] = ACTIONS(11641),
    [anon_sym_using] = ACTIONS(11641),
    [anon_sym_LBRACK] = ACTIONS(11641),
    [anon_sym_in] = ACTIONS(11641),
    [anon_sym_SEMI] = ACTIONS(11641),
    [anon_sym_LBRACE] = ACTIONS(11641),
    [anon_sym_DOLLAR] = ACTIONS(11641),
    [anon_sym_COLON2] = ACTIONS(11641),
    [anon_sym_COLON_COLON] = ACTIONS(11641),
    [anon_sym_isa] = ACTIONS(11641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11641),
    [anon_sym_QMARK] = ACTIONS(11641),
    [anon_sym_where] = ACTIONS(11641),
    [anon_sym_AT] = ACTIONS(11641),
    [anon_sym_true] = ACTIONS(11641),
    [anon_sym_false] = ACTIONS(11641),
    [aux_sym_integer_literal_token1] = ACTIONS(11641),
    [aux_sym_integer_literal_token2] = ACTIONS(11641),
    [aux_sym_integer_literal_token3] = ACTIONS(11641),
    [aux_sym_integer_literal_token4] = ACTIONS(11641),
    [aux_sym_float_literal_token1] = ACTIONS(11641),
    [aux_sym_float_literal_token3] = ACTIONS(11641),
    [aux_sym_float_literal_token4] = ACTIONS(11641),
    [sym_character_literal] = ACTIONS(11641),
    [anon_sym_DQUOTE] = ACTIONS(11641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11641),
    [anon_sym_BQUOTE] = ACTIONS(11641),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11641),
    [sym__pair_operator] = ACTIONS(11641),
    [sym__arrow_operator] = ACTIONS(11641),
    [sym__lazy_or_operator] = ACTIONS(11641),
    [sym__lazy_and_operator] = ACTIONS(11641),
    [sym__comparison_operator] = ACTIONS(11641),
    [sym__pipe_right_operator] = ACTIONS(11641),
    [sym__pipe_left_operator] = ACTIONS(11641),
    [sym__ellipsis_operator] = ACTIONS(11641),
    [sym__plus_operator] = ACTIONS(11641),
    [sym__times_operator] = ACTIONS(11641),
    [sym__rational_operator] = ACTIONS(11641),
    [sym__bitshift_operator] = ACTIONS(11641),
    [sym__power_operator] = ACTIONS(11641),
    [sym__tilde_operator] = ACTIONS(11641),
    [sym__type_order_operator] = ACTIONS(11641),
    [sym__unary_operator] = ACTIONS(11641),
    [sym__unary_plus_operator] = ACTIONS(11641),
    [aux_sym__terminator_token1] = ACTIONS(11643),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8723] = {
    [sym_block_comment] = STATE(8723),
    [sym_line_comment] = STATE(8723),
    [ts_builtin_sym_end] = ACTIONS(11202),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(12540),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_RBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8724] = {
    [sym_block_comment] = STATE(8724),
    [sym_line_comment] = STATE(8724),
    [ts_builtin_sym_end] = ACTIONS(11206),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(12540),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_RBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8725] = {
    [sym_block_comment] = STATE(8725),
    [sym_line_comment] = STATE(8725),
    [ts_builtin_sym_end] = ACTIONS(11210),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(12540),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_RBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8726] = {
    [sym_block_comment] = STATE(8726),
    [sym_line_comment] = STATE(8726),
    [sym__word_identifier] = ACTIONS(11645),
    [anon_sym_COMMA] = ACTIONS(11645),
    [anon_sym_EQ] = ACTIONS(11645),
    [anon_sym_begin] = ACTIONS(11645),
    [anon_sym_module] = ACTIONS(11645),
    [anon_sym_baremodule] = ACTIONS(11645),
    [anon_sym_end] = ACTIONS(11645),
    [anon_sym_abstract] = ACTIONS(11645),
    [anon_sym_primitive] = ACTIONS(11645),
    [anon_sym_mutable] = ACTIONS(11645),
    [anon_sym_struct] = ACTIONS(11645),
    [anon_sym_function] = ACTIONS(11645),
    [anon_sym_macro] = ACTIONS(11645),
    [anon_sym_quote] = ACTIONS(11645),
    [anon_sym_let] = ACTIONS(11645),
    [anon_sym_if] = ACTIONS(11645),
    [anon_sym_try] = ACTIONS(11645),
    [anon_sym_finally] = ACTIONS(11645),
    [anon_sym_for] = ACTIONS(11645),
    [anon_sym_while] = ACTIONS(11645),
    [sym_break_statement] = ACTIONS(11645),
    [sym_continue_statement] = ACTIONS(11645),
    [anon_sym_return] = ACTIONS(11645),
    [anon_sym_const] = ACTIONS(11645),
    [anon_sym_global] = ACTIONS(11645),
    [anon_sym_local] = ACTIONS(11645),
    [anon_sym_LPAREN] = ACTIONS(11645),
    [anon_sym_COLON] = ACTIONS(11645),
    [anon_sym_export] = ACTIONS(11645),
    [anon_sym_public] = ACTIONS(11645),
    [anon_sym_import] = ACTIONS(11645),
    [anon_sym_using] = ACTIONS(11645),
    [anon_sym_LBRACK] = ACTIONS(11645),
    [anon_sym_in] = ACTIONS(11645),
    [anon_sym_SEMI] = ACTIONS(11645),
    [anon_sym_LBRACE] = ACTIONS(11645),
    [anon_sym_DOLLAR] = ACTIONS(11645),
    [anon_sym_COLON2] = ACTIONS(11645),
    [anon_sym_COLON_COLON] = ACTIONS(11645),
    [anon_sym_isa] = ACTIONS(11645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11645),
    [anon_sym_QMARK] = ACTIONS(11645),
    [anon_sym_where] = ACTIONS(11645),
    [anon_sym_AT] = ACTIONS(11645),
    [anon_sym_true] = ACTIONS(11645),
    [anon_sym_false] = ACTIONS(11645),
    [aux_sym_integer_literal_token1] = ACTIONS(11645),
    [aux_sym_integer_literal_token2] = ACTIONS(11645),
    [aux_sym_integer_literal_token3] = ACTIONS(11645),
    [aux_sym_integer_literal_token4] = ACTIONS(11645),
    [aux_sym_float_literal_token1] = ACTIONS(11645),
    [aux_sym_float_literal_token3] = ACTIONS(11645),
    [aux_sym_float_literal_token4] = ACTIONS(11645),
    [sym_character_literal] = ACTIONS(11645),
    [anon_sym_DQUOTE] = ACTIONS(11645),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11645),
    [anon_sym_BQUOTE] = ACTIONS(11645),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11645),
    [sym__pair_operator] = ACTIONS(11645),
    [sym__arrow_operator] = ACTIONS(11645),
    [sym__lazy_or_operator] = ACTIONS(11645),
    [sym__lazy_and_operator] = ACTIONS(11645),
    [sym__comparison_operator] = ACTIONS(11645),
    [sym__pipe_right_operator] = ACTIONS(11645),
    [sym__pipe_left_operator] = ACTIONS(11645),
    [sym__ellipsis_operator] = ACTIONS(11645),
    [sym__plus_operator] = ACTIONS(11645),
    [sym__times_operator] = ACTIONS(11645),
    [sym__rational_operator] = ACTIONS(11645),
    [sym__bitshift_operator] = ACTIONS(11645),
    [sym__power_operator] = ACTIONS(11645),
    [sym__tilde_operator] = ACTIONS(11645),
    [sym__type_order_operator] = ACTIONS(11645),
    [sym__unary_operator] = ACTIONS(11645),
    [sym__unary_plus_operator] = ACTIONS(11645),
    [aux_sym__terminator_token1] = ACTIONS(11647),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8727] = {
    [sym_block_comment] = STATE(8727),
    [sym_line_comment] = STATE(8727),
    [sym__word_identifier] = ACTIONS(11304),
    [anon_sym_COMMA] = ACTIONS(11304),
    [anon_sym_EQ] = ACTIONS(11304),
    [anon_sym_begin] = ACTIONS(11304),
    [anon_sym_module] = ACTIONS(11304),
    [anon_sym_baremodule] = ACTIONS(11304),
    [anon_sym_end] = ACTIONS(11304),
    [anon_sym_abstract] = ACTIONS(11304),
    [anon_sym_primitive] = ACTIONS(11304),
    [anon_sym_mutable] = ACTIONS(11304),
    [anon_sym_struct] = ACTIONS(11304),
    [anon_sym_function] = ACTIONS(11304),
    [anon_sym_macro] = ACTIONS(11304),
    [anon_sym_quote] = ACTIONS(11304),
    [anon_sym_let] = ACTIONS(11304),
    [anon_sym_if] = ACTIONS(11304),
    [anon_sym_try] = ACTIONS(11304),
    [anon_sym_catch] = ACTIONS(11304),
    [anon_sym_for] = ACTIONS(11304),
    [anon_sym_while] = ACTIONS(11304),
    [sym_break_statement] = ACTIONS(11304),
    [sym_continue_statement] = ACTIONS(11304),
    [anon_sym_return] = ACTIONS(11304),
    [anon_sym_const] = ACTIONS(11304),
    [anon_sym_global] = ACTIONS(11304),
    [anon_sym_local] = ACTIONS(11304),
    [anon_sym_LPAREN] = ACTIONS(11304),
    [anon_sym_COLON] = ACTIONS(11304),
    [anon_sym_export] = ACTIONS(11304),
    [anon_sym_public] = ACTIONS(11304),
    [anon_sym_import] = ACTIONS(11304),
    [anon_sym_using] = ACTIONS(11304),
    [anon_sym_LBRACK] = ACTIONS(11304),
    [anon_sym_in] = ACTIONS(11304),
    [anon_sym_SEMI] = ACTIONS(11304),
    [anon_sym_LBRACE] = ACTIONS(11304),
    [anon_sym_DOLLAR] = ACTIONS(11304),
    [anon_sym_COLON2] = ACTIONS(11304),
    [anon_sym_COLON_COLON] = ACTIONS(11304),
    [anon_sym_isa] = ACTIONS(11304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11304),
    [anon_sym_QMARK] = ACTIONS(11304),
    [anon_sym_where] = ACTIONS(11304),
    [anon_sym_AT] = ACTIONS(11304),
    [anon_sym_true] = ACTIONS(11304),
    [anon_sym_false] = ACTIONS(11304),
    [aux_sym_integer_literal_token1] = ACTIONS(11304),
    [aux_sym_integer_literal_token2] = ACTIONS(11304),
    [aux_sym_integer_literal_token3] = ACTIONS(11304),
    [aux_sym_integer_literal_token4] = ACTIONS(11304),
    [aux_sym_float_literal_token1] = ACTIONS(11304),
    [aux_sym_float_literal_token3] = ACTIONS(11304),
    [aux_sym_float_literal_token4] = ACTIONS(11304),
    [sym_character_literal] = ACTIONS(11304),
    [anon_sym_DQUOTE] = ACTIONS(11304),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11304),
    [anon_sym_BQUOTE] = ACTIONS(11304),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11304),
    [sym__pair_operator] = ACTIONS(11304),
    [sym__arrow_operator] = ACTIONS(11304),
    [sym__lazy_or_operator] = ACTIONS(11304),
    [sym__lazy_and_operator] = ACTIONS(11304),
    [sym__comparison_operator] = ACTIONS(11304),
    [sym__pipe_right_operator] = ACTIONS(11304),
    [sym__pipe_left_operator] = ACTIONS(11304),
    [sym__ellipsis_operator] = ACTIONS(11304),
    [sym__plus_operator] = ACTIONS(11304),
    [sym__times_operator] = ACTIONS(11304),
    [sym__rational_operator] = ACTIONS(11304),
    [sym__bitshift_operator] = ACTIONS(11304),
    [sym__power_operator] = ACTIONS(11304),
    [sym__tilde_operator] = ACTIONS(11304),
    [sym__type_order_operator] = ACTIONS(11304),
    [sym__unary_operator] = ACTIONS(11304),
    [sym__unary_plus_operator] = ACTIONS(11304),
    [aux_sym__terminator_token1] = ACTIONS(11306),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8728] = {
    [sym_block_comment] = STATE(8728),
    [sym_line_comment] = STATE(8728),
    [sym__word_identifier] = ACTIONS(11316),
    [anon_sym_COMMA] = ACTIONS(11318),
    [anon_sym_EQ] = ACTIONS(11316),
    [anon_sym_begin] = ACTIONS(11316),
    [anon_sym_module] = ACTIONS(11316),
    [anon_sym_baremodule] = ACTIONS(11316),
    [anon_sym_abstract] = ACTIONS(11316),
    [anon_sym_primitive] = ACTIONS(11316),
    [anon_sym_mutable] = ACTIONS(11316),
    [anon_sym_struct] = ACTIONS(11316),
    [anon_sym_function] = ACTIONS(11316),
    [anon_sym_macro] = ACTIONS(11316),
    [anon_sym_quote] = ACTIONS(11316),
    [anon_sym_let] = ACTIONS(11316),
    [anon_sym_if] = ACTIONS(11316),
    [anon_sym_try] = ACTIONS(11316),
    [anon_sym_for] = ACTIONS(11316),
    [anon_sym_while] = ACTIONS(11316),
    [sym_break_statement] = ACTIONS(11316),
    [sym_continue_statement] = ACTIONS(11316),
    [anon_sym_return] = ACTIONS(11316),
    [anon_sym_const] = ACTIONS(11316),
    [anon_sym_global] = ACTIONS(11316),
    [anon_sym_local] = ACTIONS(11316),
    [anon_sym_LPAREN] = ACTIONS(11318),
    [anon_sym_RPAREN] = ACTIONS(11318),
    [anon_sym_COLON] = ACTIONS(11316),
    [anon_sym_export] = ACTIONS(11316),
    [anon_sym_public] = ACTIONS(11316),
    [anon_sym_import] = ACTIONS(11316),
    [anon_sym_using] = ACTIONS(11316),
    [anon_sym_LBRACK] = ACTIONS(11318),
    [anon_sym_RBRACK] = ACTIONS(11318),
    [anon_sym_in] = ACTIONS(11316),
    [anon_sym_SEMI] = ACTIONS(11318),
    [anon_sym_LBRACE] = ACTIONS(11318),
    [anon_sym_RBRACE] = ACTIONS(11318),
    [anon_sym_DOLLAR] = ACTIONS(11318),
    [anon_sym_COLON2] = ACTIONS(11316),
    [anon_sym_COLON_COLON] = ACTIONS(11318),
    [anon_sym_isa] = ACTIONS(11316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11318),
    [anon_sym_QMARK] = ACTIONS(11318),
    [anon_sym_where] = ACTIONS(11316),
    [anon_sym_AT] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(11316),
    [anon_sym_false] = ACTIONS(11316),
    [aux_sym_integer_literal_token1] = ACTIONS(11318),
    [aux_sym_integer_literal_token2] = ACTIONS(11318),
    [aux_sym_integer_literal_token3] = ACTIONS(11316),
    [aux_sym_integer_literal_token4] = ACTIONS(11316),
    [aux_sym_float_literal_token1] = ACTIONS(11318),
    [aux_sym_float_literal_token3] = ACTIONS(11318),
    [aux_sym_float_literal_token4] = ACTIONS(11318),
    [sym_character_literal] = ACTIONS(11318),
    [anon_sym_DQUOTE] = ACTIONS(11316),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11318),
    [anon_sym_BQUOTE] = ACTIONS(11316),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11318),
    [sym__pair_operator] = ACTIONS(11318),
    [sym__arrow_operator] = ACTIONS(11316),
    [sym__lazy_or_operator] = ACTIONS(11318),
    [sym__lazy_and_operator] = ACTIONS(11318),
    [sym__comparison_operator] = ACTIONS(11316),
    [sym__pipe_right_operator] = ACTIONS(11318),
    [sym__pipe_left_operator] = ACTIONS(11318),
    [sym__ellipsis_operator] = ACTIONS(11316),
    [sym__plus_operator] = ACTIONS(11316),
    [sym__times_operator] = ACTIONS(11316),
    [sym__rational_operator] = ACTIONS(11318),
    [sym__bitshift_operator] = ACTIONS(11318),
    [sym__power_operator] = ACTIONS(11318),
    [sym__tilde_operator] = ACTIONS(11318),
    [sym__type_order_operator] = ACTIONS(11318),
    [sym__unary_operator] = ACTIONS(11316),
    [sym__unary_plus_operator] = ACTIONS(11316),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8729] = {
    [sym_block_comment] = STATE(8729),
    [sym_line_comment] = STATE(8729),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(10295),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_finally] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8730] = {
    [sym_block_comment] = STATE(8730),
    [sym_line_comment] = STATE(8730),
    [sym__word_identifier] = ACTIONS(11320),
    [anon_sym_COMMA] = ACTIONS(11322),
    [anon_sym_EQ] = ACTIONS(11320),
    [anon_sym_begin] = ACTIONS(11320),
    [anon_sym_module] = ACTIONS(11320),
    [anon_sym_baremodule] = ACTIONS(11320),
    [anon_sym_abstract] = ACTIONS(11320),
    [anon_sym_primitive] = ACTIONS(11320),
    [anon_sym_mutable] = ACTIONS(11320),
    [anon_sym_struct] = ACTIONS(11320),
    [anon_sym_function] = ACTIONS(11320),
    [anon_sym_macro] = ACTIONS(11320),
    [anon_sym_quote] = ACTIONS(11320),
    [anon_sym_let] = ACTIONS(11320),
    [anon_sym_if] = ACTIONS(11320),
    [anon_sym_try] = ACTIONS(11320),
    [anon_sym_for] = ACTIONS(11320),
    [anon_sym_while] = ACTIONS(11320),
    [sym_break_statement] = ACTIONS(11320),
    [sym_continue_statement] = ACTIONS(11320),
    [anon_sym_return] = ACTIONS(11320),
    [anon_sym_const] = ACTIONS(11320),
    [anon_sym_global] = ACTIONS(11320),
    [anon_sym_local] = ACTIONS(11320),
    [anon_sym_LPAREN] = ACTIONS(11322),
    [anon_sym_RPAREN] = ACTIONS(11322),
    [anon_sym_COLON] = ACTIONS(11320),
    [anon_sym_export] = ACTIONS(11320),
    [anon_sym_public] = ACTIONS(11320),
    [anon_sym_import] = ACTIONS(11320),
    [anon_sym_using] = ACTIONS(11320),
    [anon_sym_LBRACK] = ACTIONS(11322),
    [anon_sym_RBRACK] = ACTIONS(11322),
    [anon_sym_in] = ACTIONS(11320),
    [anon_sym_SEMI] = ACTIONS(11322),
    [anon_sym_LBRACE] = ACTIONS(11322),
    [anon_sym_RBRACE] = ACTIONS(11322),
    [anon_sym_DOLLAR] = ACTIONS(11322),
    [anon_sym_COLON2] = ACTIONS(11320),
    [anon_sym_COLON_COLON] = ACTIONS(11322),
    [anon_sym_isa] = ACTIONS(11320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11322),
    [anon_sym_QMARK] = ACTIONS(11322),
    [anon_sym_where] = ACTIONS(11320),
    [anon_sym_AT] = ACTIONS(11322),
    [anon_sym_true] = ACTIONS(11320),
    [anon_sym_false] = ACTIONS(11320),
    [aux_sym_integer_literal_token1] = ACTIONS(11322),
    [aux_sym_integer_literal_token2] = ACTIONS(11322),
    [aux_sym_integer_literal_token3] = ACTIONS(11320),
    [aux_sym_integer_literal_token4] = ACTIONS(11320),
    [aux_sym_float_literal_token1] = ACTIONS(11322),
    [aux_sym_float_literal_token3] = ACTIONS(11322),
    [aux_sym_float_literal_token4] = ACTIONS(11322),
    [sym_character_literal] = ACTIONS(11322),
    [anon_sym_DQUOTE] = ACTIONS(11320),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11322),
    [anon_sym_BQUOTE] = ACTIONS(11320),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11322),
    [sym__pair_operator] = ACTIONS(11322),
    [sym__arrow_operator] = ACTIONS(11320),
    [sym__lazy_or_operator] = ACTIONS(11322),
    [sym__lazy_and_operator] = ACTIONS(11322),
    [sym__comparison_operator] = ACTIONS(11320),
    [sym__pipe_right_operator] = ACTIONS(11322),
    [sym__pipe_left_operator] = ACTIONS(11322),
    [sym__ellipsis_operator] = ACTIONS(11320),
    [sym__plus_operator] = ACTIONS(11320),
    [sym__times_operator] = ACTIONS(11320),
    [sym__rational_operator] = ACTIONS(11322),
    [sym__bitshift_operator] = ACTIONS(11322),
    [sym__power_operator] = ACTIONS(11322),
    [sym__tilde_operator] = ACTIONS(11322),
    [sym__type_order_operator] = ACTIONS(11322),
    [sym__unary_operator] = ACTIONS(11320),
    [sym__unary_plus_operator] = ACTIONS(11320),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8731] = {
    [sym_block_comment] = STATE(8731),
    [sym_line_comment] = STATE(8731),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11202),
    [anon_sym_EQ] = ACTIONS(10335),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11202),
    [anon_sym_RPAREN] = ACTIONS(11202),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11202),
    [anon_sym_RBRACK] = ACTIONS(11202),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11202),
    [anon_sym_LBRACE] = ACTIONS(11202),
    [anon_sym_RBRACE] = ACTIONS(11202),
    [anon_sym_DOLLAR] = ACTIONS(11202),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11202),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11202),
    [anon_sym_QMARK] = ACTIONS(11202),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11202),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11202),
    [aux_sym_integer_literal_token2] = ACTIONS(11202),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11202),
    [aux_sym_float_literal_token3] = ACTIONS(11202),
    [aux_sym_float_literal_token4] = ACTIONS(11202),
    [sym_character_literal] = ACTIONS(11202),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11202),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11202),
    [sym__pair_operator] = ACTIONS(11202),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11202),
    [sym__lazy_and_operator] = ACTIONS(11202),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11202),
    [sym__pipe_left_operator] = ACTIONS(11202),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11202),
    [sym__bitshift_operator] = ACTIONS(11202),
    [sym__power_operator] = ACTIONS(11202),
    [sym__tilde_operator] = ACTIONS(11202),
    [sym__type_order_operator] = ACTIONS(11202),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8732] = {
    [sym_block_comment] = STATE(8732),
    [sym_line_comment] = STATE(8732),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11202),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11202),
    [anon_sym_RPAREN] = ACTIONS(11202),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11202),
    [anon_sym_RBRACK] = ACTIONS(11202),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11202),
    [anon_sym_LBRACE] = ACTIONS(11202),
    [anon_sym_RBRACE] = ACTIONS(11202),
    [anon_sym_DOLLAR] = ACTIONS(11202),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11202),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11202),
    [anon_sym_QMARK] = ACTIONS(11202),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11202),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11202),
    [aux_sym_integer_literal_token2] = ACTIONS(11202),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11202),
    [aux_sym_float_literal_token3] = ACTIONS(11202),
    [aux_sym_float_literal_token4] = ACTIONS(11202),
    [sym_character_literal] = ACTIONS(11202),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11202),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11202),
    [sym__pair_operator] = ACTIONS(11202),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11202),
    [sym__lazy_and_operator] = ACTIONS(11202),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11202),
    [sym__pipe_left_operator] = ACTIONS(11202),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11202),
    [sym__bitshift_operator] = ACTIONS(11202),
    [sym__power_operator] = ACTIONS(11202),
    [sym__tilde_operator] = ACTIONS(11202),
    [sym__type_order_operator] = ACTIONS(11202),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8733] = {
    [sym_block_comment] = STATE(8733),
    [sym_line_comment] = STATE(8733),
    [aux_sym_open_tuple_repeat1] = STATE(7876),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11689),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11202),
    [anon_sym_RPAREN] = ACTIONS(11202),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11202),
    [anon_sym_RBRACK] = ACTIONS(11202),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11202),
    [anon_sym_LBRACE] = ACTIONS(11202),
    [anon_sym_RBRACE] = ACTIONS(11202),
    [anon_sym_DOLLAR] = ACTIONS(11202),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12520),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11202),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11202),
    [aux_sym_integer_literal_token2] = ACTIONS(11202),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11202),
    [aux_sym_float_literal_token3] = ACTIONS(11202),
    [aux_sym_float_literal_token4] = ACTIONS(11202),
    [sym_character_literal] = ACTIONS(11202),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11202),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11202),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11202),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8734] = {
    [sym_block_comment] = STATE(8734),
    [sym_line_comment] = STATE(8734),
    [sym__word_identifier] = ACTIONS(11374),
    [anon_sym_COMMA] = ACTIONS(11376),
    [anon_sym_EQ] = ACTIONS(11374),
    [anon_sym_begin] = ACTIONS(11374),
    [anon_sym_module] = ACTIONS(11374),
    [anon_sym_baremodule] = ACTIONS(11374),
    [anon_sym_abstract] = ACTIONS(11374),
    [anon_sym_primitive] = ACTIONS(11374),
    [anon_sym_mutable] = ACTIONS(11374),
    [anon_sym_struct] = ACTIONS(11374),
    [anon_sym_function] = ACTIONS(11374),
    [anon_sym_macro] = ACTIONS(11374),
    [anon_sym_quote] = ACTIONS(11374),
    [anon_sym_let] = ACTIONS(11374),
    [anon_sym_if] = ACTIONS(11374),
    [anon_sym_try] = ACTIONS(11374),
    [anon_sym_for] = ACTIONS(11374),
    [anon_sym_while] = ACTIONS(11374),
    [sym_break_statement] = ACTIONS(11374),
    [sym_continue_statement] = ACTIONS(11374),
    [anon_sym_return] = ACTIONS(11374),
    [anon_sym_const] = ACTIONS(11374),
    [anon_sym_global] = ACTIONS(11374),
    [anon_sym_local] = ACTIONS(11374),
    [anon_sym_LPAREN] = ACTIONS(11376),
    [anon_sym_RPAREN] = ACTIONS(11376),
    [anon_sym_COLON] = ACTIONS(11374),
    [anon_sym_export] = ACTIONS(11374),
    [anon_sym_public] = ACTIONS(11374),
    [anon_sym_import] = ACTIONS(11374),
    [anon_sym_using] = ACTIONS(11374),
    [anon_sym_LBRACK] = ACTIONS(11376),
    [anon_sym_RBRACK] = ACTIONS(11376),
    [anon_sym_in] = ACTIONS(11374),
    [anon_sym_SEMI] = ACTIONS(11376),
    [anon_sym_LBRACE] = ACTIONS(11376),
    [anon_sym_RBRACE] = ACTIONS(11376),
    [anon_sym_DOLLAR] = ACTIONS(11376),
    [anon_sym_COLON2] = ACTIONS(11374),
    [anon_sym_COLON_COLON] = ACTIONS(11376),
    [anon_sym_isa] = ACTIONS(11374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11376),
    [anon_sym_QMARK] = ACTIONS(11376),
    [anon_sym_where] = ACTIONS(11374),
    [anon_sym_AT] = ACTIONS(11376),
    [anon_sym_true] = ACTIONS(11374),
    [anon_sym_false] = ACTIONS(11374),
    [aux_sym_integer_literal_token1] = ACTIONS(11376),
    [aux_sym_integer_literal_token2] = ACTIONS(11376),
    [aux_sym_integer_literal_token3] = ACTIONS(11374),
    [aux_sym_integer_literal_token4] = ACTIONS(11374),
    [aux_sym_float_literal_token1] = ACTIONS(11376),
    [aux_sym_float_literal_token3] = ACTIONS(11376),
    [aux_sym_float_literal_token4] = ACTIONS(11376),
    [sym_character_literal] = ACTIONS(11376),
    [anon_sym_DQUOTE] = ACTIONS(11374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11376),
    [anon_sym_BQUOTE] = ACTIONS(11374),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11376),
    [sym__pair_operator] = ACTIONS(11376),
    [sym__arrow_operator] = ACTIONS(11374),
    [sym__lazy_or_operator] = ACTIONS(11376),
    [sym__lazy_and_operator] = ACTIONS(11376),
    [sym__comparison_operator] = ACTIONS(11374),
    [sym__pipe_right_operator] = ACTIONS(11376),
    [sym__pipe_left_operator] = ACTIONS(11376),
    [sym__ellipsis_operator] = ACTIONS(11374),
    [sym__plus_operator] = ACTIONS(11374),
    [sym__times_operator] = ACTIONS(11374),
    [sym__rational_operator] = ACTIONS(11376),
    [sym__bitshift_operator] = ACTIONS(11376),
    [sym__power_operator] = ACTIONS(11376),
    [sym__tilde_operator] = ACTIONS(11376),
    [sym__type_order_operator] = ACTIONS(11376),
    [sym__unary_operator] = ACTIONS(11374),
    [sym__unary_plus_operator] = ACTIONS(11374),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8735] = {
    [sym_block_comment] = STATE(8735),
    [sym_line_comment] = STATE(8735),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_catch] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12526),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8736] = {
    [sym_block_comment] = STATE(8736),
    [sym_line_comment] = STATE(8736),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11206),
    [anon_sym_EQ] = ACTIONS(10335),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11206),
    [anon_sym_RPAREN] = ACTIONS(11206),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11206),
    [anon_sym_RBRACK] = ACTIONS(11206),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11206),
    [anon_sym_LBRACE] = ACTIONS(11206),
    [anon_sym_RBRACE] = ACTIONS(11206),
    [anon_sym_DOLLAR] = ACTIONS(11206),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11206),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11206),
    [anon_sym_QMARK] = ACTIONS(11206),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11206),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11206),
    [aux_sym_integer_literal_token2] = ACTIONS(11206),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11206),
    [aux_sym_float_literal_token3] = ACTIONS(11206),
    [aux_sym_float_literal_token4] = ACTIONS(11206),
    [sym_character_literal] = ACTIONS(11206),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11206),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11206),
    [sym__pair_operator] = ACTIONS(11206),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11206),
    [sym__lazy_and_operator] = ACTIONS(11206),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11206),
    [sym__pipe_left_operator] = ACTIONS(11206),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11206),
    [sym__bitshift_operator] = ACTIONS(11206),
    [sym__power_operator] = ACTIONS(11206),
    [sym__tilde_operator] = ACTIONS(11206),
    [sym__type_order_operator] = ACTIONS(11206),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8737] = {
    [sym_block_comment] = STATE(8737),
    [sym_line_comment] = STATE(8737),
    [ts_builtin_sym_end] = ACTIONS(11260),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(12540),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_RBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8738] = {
    [sym_block_comment] = STATE(8738),
    [sym_line_comment] = STATE(8738),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8739] = {
    [sym_block_comment] = STATE(8739),
    [sym_line_comment] = STATE(8739),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11206),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11206),
    [anon_sym_RPAREN] = ACTIONS(11206),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11206),
    [anon_sym_RBRACK] = ACTIONS(11206),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11206),
    [anon_sym_LBRACE] = ACTIONS(11206),
    [anon_sym_RBRACE] = ACTIONS(11206),
    [anon_sym_DOLLAR] = ACTIONS(11206),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11206),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11206),
    [anon_sym_QMARK] = ACTIONS(11206),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11206),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11206),
    [aux_sym_integer_literal_token2] = ACTIONS(11206),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11206),
    [aux_sym_float_literal_token3] = ACTIONS(11206),
    [aux_sym_float_literal_token4] = ACTIONS(11206),
    [sym_character_literal] = ACTIONS(11206),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11206),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11206),
    [sym__pair_operator] = ACTIONS(11206),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11206),
    [sym__lazy_and_operator] = ACTIONS(11206),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11206),
    [sym__pipe_left_operator] = ACTIONS(11206),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11206),
    [sym__bitshift_operator] = ACTIONS(11206),
    [sym__power_operator] = ACTIONS(11206),
    [sym__tilde_operator] = ACTIONS(11206),
    [sym__type_order_operator] = ACTIONS(11206),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8740] = {
    [sym_block_comment] = STATE(8740),
    [sym_line_comment] = STATE(8740),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(12542),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8741] = {
    [sym_block_comment] = STATE(8741),
    [sym_line_comment] = STATE(8741),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11210),
    [anon_sym_EQ] = ACTIONS(10335),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11210),
    [anon_sym_RPAREN] = ACTIONS(11210),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11210),
    [anon_sym_RBRACK] = ACTIONS(11210),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11210),
    [anon_sym_LBRACE] = ACTIONS(11210),
    [anon_sym_RBRACE] = ACTIONS(11210),
    [anon_sym_DOLLAR] = ACTIONS(11210),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11210),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11210),
    [anon_sym_QMARK] = ACTIONS(11210),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11210),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11210),
    [aux_sym_integer_literal_token2] = ACTIONS(11210),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11210),
    [aux_sym_float_literal_token3] = ACTIONS(11210),
    [aux_sym_float_literal_token4] = ACTIONS(11210),
    [sym_character_literal] = ACTIONS(11210),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11210),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11210),
    [sym__pair_operator] = ACTIONS(11210),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11210),
    [sym__lazy_and_operator] = ACTIONS(11210),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11210),
    [sym__pipe_left_operator] = ACTIONS(11210),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11210),
    [sym__bitshift_operator] = ACTIONS(11210),
    [sym__power_operator] = ACTIONS(11210),
    [sym__tilde_operator] = ACTIONS(11210),
    [sym__type_order_operator] = ACTIONS(11210),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8742] = {
    [sym_block_comment] = STATE(8742),
    [sym_line_comment] = STATE(8742),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11210),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11210),
    [anon_sym_RPAREN] = ACTIONS(11210),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11210),
    [anon_sym_RBRACK] = ACTIONS(11210),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11210),
    [anon_sym_LBRACE] = ACTIONS(11210),
    [anon_sym_RBRACE] = ACTIONS(11210),
    [anon_sym_DOLLAR] = ACTIONS(11210),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11210),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11210),
    [anon_sym_QMARK] = ACTIONS(11210),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11210),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11210),
    [aux_sym_integer_literal_token2] = ACTIONS(11210),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11210),
    [aux_sym_float_literal_token3] = ACTIONS(11210),
    [aux_sym_float_literal_token4] = ACTIONS(11210),
    [sym_character_literal] = ACTIONS(11210),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11210),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11210),
    [sym__pair_operator] = ACTIONS(11210),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11210),
    [sym__lazy_and_operator] = ACTIONS(11210),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11210),
    [sym__pipe_left_operator] = ACTIONS(11210),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11210),
    [sym__bitshift_operator] = ACTIONS(11210),
    [sym__power_operator] = ACTIONS(11210),
    [sym__tilde_operator] = ACTIONS(11210),
    [sym__type_order_operator] = ACTIONS(11210),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8743] = {
    [sym_block_comment] = STATE(8743),
    [sym_line_comment] = STATE(8743),
    [aux_sym_open_tuple_repeat1] = STATE(7876),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11689),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11210),
    [anon_sym_RPAREN] = ACTIONS(11210),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11210),
    [anon_sym_RBRACK] = ACTIONS(11210),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11210),
    [anon_sym_LBRACE] = ACTIONS(11210),
    [anon_sym_RBRACE] = ACTIONS(11210),
    [anon_sym_DOLLAR] = ACTIONS(11210),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12520),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11210),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11210),
    [aux_sym_integer_literal_token2] = ACTIONS(11210),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11210),
    [aux_sym_float_literal_token3] = ACTIONS(11210),
    [aux_sym_float_literal_token4] = ACTIONS(11210),
    [sym_character_literal] = ACTIONS(11210),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11210),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11210),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11210),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8744] = {
    [sym_block_comment] = STATE(8744),
    [sym_line_comment] = STATE(8744),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_catch] = ACTIONS(11038),
    [anon_sym_finally] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8745] = {
    [sym_block_comment] = STATE(8745),
    [sym_line_comment] = STATE(8745),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8746] = {
    [sym_block_comment] = STATE(8746),
    [sym_line_comment] = STATE(8746),
    [sym__word_identifier] = ACTIONS(11300),
    [anon_sym_COMMA] = ACTIONS(11302),
    [anon_sym_EQ] = ACTIONS(11300),
    [anon_sym_begin] = ACTIONS(11300),
    [anon_sym_module] = ACTIONS(11300),
    [anon_sym_baremodule] = ACTIONS(11300),
    [anon_sym_abstract] = ACTIONS(11300),
    [anon_sym_primitive] = ACTIONS(11300),
    [anon_sym_mutable] = ACTIONS(11300),
    [anon_sym_struct] = ACTIONS(11300),
    [anon_sym_function] = ACTIONS(11300),
    [anon_sym_macro] = ACTIONS(11300),
    [anon_sym_quote] = ACTIONS(11300),
    [anon_sym_let] = ACTIONS(11300),
    [anon_sym_if] = ACTIONS(11300),
    [anon_sym_try] = ACTIONS(11300),
    [anon_sym_for] = ACTIONS(11300),
    [anon_sym_while] = ACTIONS(11300),
    [sym_break_statement] = ACTIONS(11300),
    [sym_continue_statement] = ACTIONS(11300),
    [anon_sym_return] = ACTIONS(11300),
    [anon_sym_const] = ACTIONS(11300),
    [anon_sym_global] = ACTIONS(11300),
    [anon_sym_local] = ACTIONS(11300),
    [anon_sym_LPAREN] = ACTIONS(11302),
    [anon_sym_RPAREN] = ACTIONS(11302),
    [anon_sym_COLON] = ACTIONS(11300),
    [anon_sym_export] = ACTIONS(11300),
    [anon_sym_public] = ACTIONS(11300),
    [anon_sym_import] = ACTIONS(11300),
    [anon_sym_using] = ACTIONS(11300),
    [anon_sym_LBRACK] = ACTIONS(11302),
    [anon_sym_RBRACK] = ACTIONS(11302),
    [anon_sym_in] = ACTIONS(11300),
    [anon_sym_SEMI] = ACTIONS(11302),
    [anon_sym_LBRACE] = ACTIONS(11302),
    [anon_sym_RBRACE] = ACTIONS(11302),
    [anon_sym_DOLLAR] = ACTIONS(11302),
    [anon_sym_COLON2] = ACTIONS(11300),
    [anon_sym_COLON_COLON] = ACTIONS(11302),
    [anon_sym_isa] = ACTIONS(11300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11302),
    [anon_sym_QMARK] = ACTIONS(11302),
    [anon_sym_where] = ACTIONS(11300),
    [anon_sym_AT] = ACTIONS(11302),
    [anon_sym_true] = ACTIONS(11300),
    [anon_sym_false] = ACTIONS(11300),
    [aux_sym_integer_literal_token1] = ACTIONS(11302),
    [aux_sym_integer_literal_token2] = ACTIONS(11302),
    [aux_sym_integer_literal_token3] = ACTIONS(11300),
    [aux_sym_integer_literal_token4] = ACTIONS(11300),
    [aux_sym_float_literal_token1] = ACTIONS(11302),
    [aux_sym_float_literal_token3] = ACTIONS(11302),
    [aux_sym_float_literal_token4] = ACTIONS(11302),
    [sym_character_literal] = ACTIONS(11302),
    [anon_sym_DQUOTE] = ACTIONS(11300),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11302),
    [anon_sym_BQUOTE] = ACTIONS(11300),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11302),
    [sym__pair_operator] = ACTIONS(11302),
    [sym__arrow_operator] = ACTIONS(11300),
    [sym__lazy_or_operator] = ACTIONS(11302),
    [sym__lazy_and_operator] = ACTIONS(11302),
    [sym__comparison_operator] = ACTIONS(11300),
    [sym__pipe_right_operator] = ACTIONS(11302),
    [sym__pipe_left_operator] = ACTIONS(11302),
    [sym__ellipsis_operator] = ACTIONS(11300),
    [sym__plus_operator] = ACTIONS(11300),
    [sym__times_operator] = ACTIONS(11300),
    [sym__rational_operator] = ACTIONS(11302),
    [sym__bitshift_operator] = ACTIONS(11302),
    [sym__power_operator] = ACTIONS(11302),
    [sym__tilde_operator] = ACTIONS(11302),
    [sym__type_order_operator] = ACTIONS(11302),
    [sym__unary_operator] = ACTIONS(11300),
    [sym__unary_plus_operator] = ACTIONS(11300),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8747] = {
    [sym_block_comment] = STATE(8747),
    [sym_line_comment] = STATE(8747),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8748] = {
    [sym_block_comment] = STATE(8748),
    [sym_line_comment] = STATE(8748),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10331),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8749] = {
    [sym_block_comment] = STATE(8749),
    [sym_line_comment] = STATE(8749),
    [ts_builtin_sym_end] = ACTIONS(11310),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_EQ] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_RBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8750] = {
    [sym_block_comment] = STATE(8750),
    [sym_line_comment] = STATE(8750),
    [sym__word_identifier] = ACTIONS(11304),
    [anon_sym_COMMA] = ACTIONS(11306),
    [anon_sym_EQ] = ACTIONS(11304),
    [anon_sym_begin] = ACTIONS(11304),
    [anon_sym_module] = ACTIONS(11304),
    [anon_sym_baremodule] = ACTIONS(11304),
    [anon_sym_abstract] = ACTIONS(11304),
    [anon_sym_primitive] = ACTIONS(11304),
    [anon_sym_mutable] = ACTIONS(11304),
    [anon_sym_struct] = ACTIONS(11304),
    [anon_sym_function] = ACTIONS(11304),
    [anon_sym_macro] = ACTIONS(11304),
    [anon_sym_quote] = ACTIONS(11304),
    [anon_sym_let] = ACTIONS(11304),
    [anon_sym_if] = ACTIONS(11304),
    [anon_sym_try] = ACTIONS(11304),
    [anon_sym_for] = ACTIONS(11304),
    [anon_sym_while] = ACTIONS(11304),
    [sym_break_statement] = ACTIONS(11304),
    [sym_continue_statement] = ACTIONS(11304),
    [anon_sym_return] = ACTIONS(11304),
    [anon_sym_const] = ACTIONS(11304),
    [anon_sym_global] = ACTIONS(11304),
    [anon_sym_local] = ACTIONS(11304),
    [anon_sym_LPAREN] = ACTIONS(11306),
    [anon_sym_RPAREN] = ACTIONS(11306),
    [anon_sym_COLON] = ACTIONS(11304),
    [anon_sym_export] = ACTIONS(11304),
    [anon_sym_public] = ACTIONS(11304),
    [anon_sym_import] = ACTIONS(11304),
    [anon_sym_using] = ACTIONS(11304),
    [anon_sym_LBRACK] = ACTIONS(11306),
    [anon_sym_RBRACK] = ACTIONS(11306),
    [anon_sym_in] = ACTIONS(11304),
    [anon_sym_SEMI] = ACTIONS(11306),
    [anon_sym_LBRACE] = ACTIONS(11306),
    [anon_sym_RBRACE] = ACTIONS(11306),
    [anon_sym_DOLLAR] = ACTIONS(11306),
    [anon_sym_COLON2] = ACTIONS(11304),
    [anon_sym_COLON_COLON] = ACTIONS(11306),
    [anon_sym_isa] = ACTIONS(11304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11306),
    [anon_sym_QMARK] = ACTIONS(11306),
    [anon_sym_where] = ACTIONS(11304),
    [anon_sym_AT] = ACTIONS(11306),
    [anon_sym_true] = ACTIONS(11304),
    [anon_sym_false] = ACTIONS(11304),
    [aux_sym_integer_literal_token1] = ACTIONS(11306),
    [aux_sym_integer_literal_token2] = ACTIONS(11306),
    [aux_sym_integer_literal_token3] = ACTIONS(11304),
    [aux_sym_integer_literal_token4] = ACTIONS(11304),
    [aux_sym_float_literal_token1] = ACTIONS(11306),
    [aux_sym_float_literal_token3] = ACTIONS(11306),
    [aux_sym_float_literal_token4] = ACTIONS(11306),
    [sym_character_literal] = ACTIONS(11306),
    [anon_sym_DQUOTE] = ACTIONS(11304),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11306),
    [anon_sym_BQUOTE] = ACTIONS(11304),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11306),
    [sym__pair_operator] = ACTIONS(11306),
    [sym__arrow_operator] = ACTIONS(11304),
    [sym__lazy_or_operator] = ACTIONS(11306),
    [sym__lazy_and_operator] = ACTIONS(11306),
    [sym__comparison_operator] = ACTIONS(11304),
    [sym__pipe_right_operator] = ACTIONS(11306),
    [sym__pipe_left_operator] = ACTIONS(11306),
    [sym__ellipsis_operator] = ACTIONS(11304),
    [sym__plus_operator] = ACTIONS(11304),
    [sym__times_operator] = ACTIONS(11304),
    [sym__rational_operator] = ACTIONS(11306),
    [sym__bitshift_operator] = ACTIONS(11306),
    [sym__power_operator] = ACTIONS(11306),
    [sym__tilde_operator] = ACTIONS(11306),
    [sym__type_order_operator] = ACTIONS(11306),
    [sym__unary_operator] = ACTIONS(11304),
    [sym__unary_plus_operator] = ACTIONS(11304),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8751] = {
    [sym_block_comment] = STATE(8751),
    [sym_line_comment] = STATE(8751),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_EQ] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_catch] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8752] = {
    [sym_block_comment] = STATE(8752),
    [sym_line_comment] = STATE(8752),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10375),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10375),
    [anon_sym_QMARK] = ACTIONS(10375),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10375),
    [sym__lazy_and_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8753] = {
    [sym_block_comment] = STATE(8753),
    [sym_line_comment] = STATE(8753),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11310),
    [anon_sym_EQ] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11310),
    [anon_sym_RPAREN] = ACTIONS(11310),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11310),
    [anon_sym_RBRACK] = ACTIONS(11310),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11310),
    [anon_sym_LBRACE] = ACTIONS(11310),
    [anon_sym_RBRACE] = ACTIONS(11310),
    [anon_sym_DOLLAR] = ACTIONS(11310),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11310),
    [anon_sym_QMARK] = ACTIONS(11310),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11310),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11310),
    [aux_sym_integer_literal_token2] = ACTIONS(11310),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11310),
    [aux_sym_float_literal_token3] = ACTIONS(11310),
    [aux_sym_float_literal_token4] = ACTIONS(11310),
    [sym_character_literal] = ACTIONS(11310),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11310),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11310),
    [sym__pair_operator] = ACTIONS(11310),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11310),
    [sym__lazy_and_operator] = ACTIONS(11310),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11310),
    [sym__pipe_left_operator] = ACTIONS(11310),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11310),
    [sym__bitshift_operator] = ACTIONS(11310),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11310),
    [sym__type_order_operator] = ACTIONS(11310),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8754] = {
    [sym_block_comment] = STATE(8754),
    [sym_line_comment] = STATE(8754),
    [sym__word_identifier] = ACTIONS(11312),
    [anon_sym_COMMA] = ACTIONS(11312),
    [anon_sym_EQ] = ACTIONS(11312),
    [anon_sym_begin] = ACTIONS(11312),
    [anon_sym_module] = ACTIONS(11312),
    [anon_sym_baremodule] = ACTIONS(11312),
    [anon_sym_end] = ACTIONS(11312),
    [anon_sym_abstract] = ACTIONS(11312),
    [anon_sym_primitive] = ACTIONS(11312),
    [anon_sym_mutable] = ACTIONS(11312),
    [anon_sym_struct] = ACTIONS(11312),
    [anon_sym_function] = ACTIONS(11312),
    [anon_sym_macro] = ACTIONS(11312),
    [anon_sym_quote] = ACTIONS(11312),
    [anon_sym_let] = ACTIONS(11312),
    [anon_sym_if] = ACTIONS(11312),
    [anon_sym_try] = ACTIONS(11312),
    [anon_sym_catch] = ACTIONS(11312),
    [anon_sym_for] = ACTIONS(11312),
    [anon_sym_while] = ACTIONS(11312),
    [sym_break_statement] = ACTIONS(11312),
    [sym_continue_statement] = ACTIONS(11312),
    [anon_sym_return] = ACTIONS(11312),
    [anon_sym_const] = ACTIONS(11312),
    [anon_sym_global] = ACTIONS(11312),
    [anon_sym_local] = ACTIONS(11312),
    [anon_sym_LPAREN] = ACTIONS(11312),
    [anon_sym_COLON] = ACTIONS(11312),
    [anon_sym_export] = ACTIONS(11312),
    [anon_sym_public] = ACTIONS(11312),
    [anon_sym_import] = ACTIONS(11312),
    [anon_sym_using] = ACTIONS(11312),
    [anon_sym_LBRACK] = ACTIONS(11312),
    [anon_sym_in] = ACTIONS(11312),
    [anon_sym_SEMI] = ACTIONS(11312),
    [anon_sym_LBRACE] = ACTIONS(11312),
    [anon_sym_DOLLAR] = ACTIONS(11312),
    [anon_sym_COLON2] = ACTIONS(11312),
    [anon_sym_COLON_COLON] = ACTIONS(11312),
    [anon_sym_isa] = ACTIONS(11312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11312),
    [anon_sym_QMARK] = ACTIONS(11312),
    [anon_sym_where] = ACTIONS(11312),
    [anon_sym_AT] = ACTIONS(11312),
    [anon_sym_true] = ACTIONS(11312),
    [anon_sym_false] = ACTIONS(11312),
    [aux_sym_integer_literal_token1] = ACTIONS(11312),
    [aux_sym_integer_literal_token2] = ACTIONS(11312),
    [aux_sym_integer_literal_token3] = ACTIONS(11312),
    [aux_sym_integer_literal_token4] = ACTIONS(11312),
    [aux_sym_float_literal_token1] = ACTIONS(11312),
    [aux_sym_float_literal_token3] = ACTIONS(11312),
    [aux_sym_float_literal_token4] = ACTIONS(11312),
    [sym_character_literal] = ACTIONS(11312),
    [anon_sym_DQUOTE] = ACTIONS(11312),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11312),
    [anon_sym_BQUOTE] = ACTIONS(11312),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11312),
    [sym__pair_operator] = ACTIONS(11312),
    [sym__arrow_operator] = ACTIONS(11312),
    [sym__lazy_or_operator] = ACTIONS(11312),
    [sym__lazy_and_operator] = ACTIONS(11312),
    [sym__comparison_operator] = ACTIONS(11312),
    [sym__pipe_right_operator] = ACTIONS(11312),
    [sym__pipe_left_operator] = ACTIONS(11312),
    [sym__ellipsis_operator] = ACTIONS(11312),
    [sym__plus_operator] = ACTIONS(11312),
    [sym__times_operator] = ACTIONS(11312),
    [sym__rational_operator] = ACTIONS(11312),
    [sym__bitshift_operator] = ACTIONS(11312),
    [sym__power_operator] = ACTIONS(11312),
    [sym__tilde_operator] = ACTIONS(11312),
    [sym__type_order_operator] = ACTIONS(11312),
    [sym__unary_operator] = ACTIONS(11312),
    [sym__unary_plus_operator] = ACTIONS(11312),
    [aux_sym__terminator_token1] = ACTIONS(11314),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8755] = {
    [sym_block_comment] = STATE(8755),
    [sym_line_comment] = STATE(8755),
    [sym__word_identifier] = ACTIONS(11312),
    [anon_sym_COMMA] = ACTIONS(11314),
    [anon_sym_EQ] = ACTIONS(11312),
    [anon_sym_begin] = ACTIONS(11312),
    [anon_sym_module] = ACTIONS(11312),
    [anon_sym_baremodule] = ACTIONS(11312),
    [anon_sym_abstract] = ACTIONS(11312),
    [anon_sym_primitive] = ACTIONS(11312),
    [anon_sym_mutable] = ACTIONS(11312),
    [anon_sym_struct] = ACTIONS(11312),
    [anon_sym_function] = ACTIONS(11312),
    [anon_sym_macro] = ACTIONS(11312),
    [anon_sym_quote] = ACTIONS(11312),
    [anon_sym_let] = ACTIONS(11312),
    [anon_sym_if] = ACTIONS(11312),
    [anon_sym_try] = ACTIONS(11312),
    [anon_sym_for] = ACTIONS(11312),
    [anon_sym_while] = ACTIONS(11312),
    [sym_break_statement] = ACTIONS(11312),
    [sym_continue_statement] = ACTIONS(11312),
    [anon_sym_return] = ACTIONS(11312),
    [anon_sym_const] = ACTIONS(11312),
    [anon_sym_global] = ACTIONS(11312),
    [anon_sym_local] = ACTIONS(11312),
    [anon_sym_LPAREN] = ACTIONS(11314),
    [anon_sym_RPAREN] = ACTIONS(11314),
    [anon_sym_COLON] = ACTIONS(11312),
    [anon_sym_export] = ACTIONS(11312),
    [anon_sym_public] = ACTIONS(11312),
    [anon_sym_import] = ACTIONS(11312),
    [anon_sym_using] = ACTIONS(11312),
    [anon_sym_LBRACK] = ACTIONS(11314),
    [anon_sym_RBRACK] = ACTIONS(11314),
    [anon_sym_in] = ACTIONS(11312),
    [anon_sym_SEMI] = ACTIONS(11314),
    [anon_sym_LBRACE] = ACTIONS(11314),
    [anon_sym_RBRACE] = ACTIONS(11314),
    [anon_sym_DOLLAR] = ACTIONS(11314),
    [anon_sym_COLON2] = ACTIONS(11312),
    [anon_sym_COLON_COLON] = ACTIONS(11314),
    [anon_sym_isa] = ACTIONS(11312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11314),
    [anon_sym_QMARK] = ACTIONS(11314),
    [anon_sym_where] = ACTIONS(11312),
    [anon_sym_AT] = ACTIONS(11314),
    [anon_sym_true] = ACTIONS(11312),
    [anon_sym_false] = ACTIONS(11312),
    [aux_sym_integer_literal_token1] = ACTIONS(11314),
    [aux_sym_integer_literal_token2] = ACTIONS(11314),
    [aux_sym_integer_literal_token3] = ACTIONS(11312),
    [aux_sym_integer_literal_token4] = ACTIONS(11312),
    [aux_sym_float_literal_token1] = ACTIONS(11314),
    [aux_sym_float_literal_token3] = ACTIONS(11314),
    [aux_sym_float_literal_token4] = ACTIONS(11314),
    [sym_character_literal] = ACTIONS(11314),
    [anon_sym_DQUOTE] = ACTIONS(11312),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11314),
    [anon_sym_BQUOTE] = ACTIONS(11312),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11314),
    [sym__pair_operator] = ACTIONS(11314),
    [sym__arrow_operator] = ACTIONS(11312),
    [sym__lazy_or_operator] = ACTIONS(11314),
    [sym__lazy_and_operator] = ACTIONS(11314),
    [sym__comparison_operator] = ACTIONS(11312),
    [sym__pipe_right_operator] = ACTIONS(11314),
    [sym__pipe_left_operator] = ACTIONS(11314),
    [sym__ellipsis_operator] = ACTIONS(11312),
    [sym__plus_operator] = ACTIONS(11312),
    [sym__times_operator] = ACTIONS(11312),
    [sym__rational_operator] = ACTIONS(11314),
    [sym__bitshift_operator] = ACTIONS(11314),
    [sym__power_operator] = ACTIONS(11314),
    [sym__tilde_operator] = ACTIONS(11314),
    [sym__type_order_operator] = ACTIONS(11314),
    [sym__unary_operator] = ACTIONS(11312),
    [sym__unary_plus_operator] = ACTIONS(11312),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8756] = {
    [sym_block_comment] = STATE(8756),
    [sym_line_comment] = STATE(8756),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11706),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11706),
    [anon_sym_RPAREN] = ACTIONS(11706),
    [anon_sym_COLON] = ACTIONS(11704),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11706),
    [anon_sym_RBRACK] = ACTIONS(11706),
    [anon_sym_in] = ACTIONS(11704),
    [anon_sym_SEMI] = ACTIONS(11706),
    [anon_sym_LBRACE] = ACTIONS(11706),
    [anon_sym_RBRACE] = ACTIONS(11706),
    [anon_sym_DOLLAR] = ACTIONS(11706),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11706),
    [anon_sym_isa] = ACTIONS(11704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11706),
    [anon_sym_QMARK] = ACTIONS(11706),
    [anon_sym_where] = ACTIONS(11704),
    [anon_sym_AT] = ACTIONS(11706),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11706),
    [aux_sym_integer_literal_token2] = ACTIONS(11706),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11706),
    [aux_sym_float_literal_token3] = ACTIONS(11706),
    [aux_sym_float_literal_token4] = ACTIONS(11706),
    [sym_character_literal] = ACTIONS(11706),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11706),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11706),
    [sym__pair_operator] = ACTIONS(11706),
    [sym__arrow_operator] = ACTIONS(11704),
    [sym__lazy_or_operator] = ACTIONS(11706),
    [sym__lazy_and_operator] = ACTIONS(11706),
    [sym__comparison_operator] = ACTIONS(11704),
    [sym__pipe_right_operator] = ACTIONS(11706),
    [sym__pipe_left_operator] = ACTIONS(11706),
    [sym__ellipsis_operator] = ACTIONS(11704),
    [sym__plus_operator] = ACTIONS(11704),
    [sym__times_operator] = ACTIONS(11704),
    [sym__rational_operator] = ACTIONS(11706),
    [sym__bitshift_operator] = ACTIONS(11706),
    [sym__power_operator] = ACTIONS(11706),
    [sym__tilde_operator] = ACTIONS(11706),
    [sym__type_order_operator] = ACTIONS(11706),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(11704),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8757] = {
    [sym_block_comment] = STATE(8757),
    [sym_line_comment] = STATE(8757),
    [sym__word_identifier] = ACTIONS(11324),
    [anon_sym_COMMA] = ACTIONS(11324),
    [anon_sym_EQ] = ACTIONS(11324),
    [anon_sym_begin] = ACTIONS(11324),
    [anon_sym_module] = ACTIONS(11324),
    [anon_sym_baremodule] = ACTIONS(11324),
    [anon_sym_end] = ACTIONS(11324),
    [anon_sym_abstract] = ACTIONS(11324),
    [anon_sym_primitive] = ACTIONS(11324),
    [anon_sym_mutable] = ACTIONS(11324),
    [anon_sym_struct] = ACTIONS(11324),
    [anon_sym_function] = ACTIONS(11324),
    [anon_sym_macro] = ACTIONS(11324),
    [anon_sym_quote] = ACTIONS(11324),
    [anon_sym_let] = ACTIONS(11324),
    [anon_sym_if] = ACTIONS(11324),
    [anon_sym_try] = ACTIONS(11324),
    [anon_sym_catch] = ACTIONS(11324),
    [anon_sym_for] = ACTIONS(11324),
    [anon_sym_while] = ACTIONS(11324),
    [sym_break_statement] = ACTIONS(11324),
    [sym_continue_statement] = ACTIONS(11324),
    [anon_sym_return] = ACTIONS(11324),
    [anon_sym_const] = ACTIONS(11324),
    [anon_sym_global] = ACTIONS(11324),
    [anon_sym_local] = ACTIONS(11324),
    [anon_sym_LPAREN] = ACTIONS(11324),
    [anon_sym_COLON] = ACTIONS(11324),
    [anon_sym_export] = ACTIONS(11324),
    [anon_sym_public] = ACTIONS(11324),
    [anon_sym_import] = ACTIONS(11324),
    [anon_sym_using] = ACTIONS(11324),
    [anon_sym_LBRACK] = ACTIONS(11324),
    [anon_sym_in] = ACTIONS(11324),
    [anon_sym_SEMI] = ACTIONS(11324),
    [anon_sym_LBRACE] = ACTIONS(11324),
    [anon_sym_DOLLAR] = ACTIONS(11324),
    [anon_sym_COLON2] = ACTIONS(11324),
    [anon_sym_COLON_COLON] = ACTIONS(11324),
    [anon_sym_isa] = ACTIONS(11324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11324),
    [anon_sym_QMARK] = ACTIONS(11324),
    [anon_sym_where] = ACTIONS(11324),
    [anon_sym_AT] = ACTIONS(11324),
    [anon_sym_true] = ACTIONS(11324),
    [anon_sym_false] = ACTIONS(11324),
    [aux_sym_integer_literal_token1] = ACTIONS(11324),
    [aux_sym_integer_literal_token2] = ACTIONS(11324),
    [aux_sym_integer_literal_token3] = ACTIONS(11324),
    [aux_sym_integer_literal_token4] = ACTIONS(11324),
    [aux_sym_float_literal_token1] = ACTIONS(11324),
    [aux_sym_float_literal_token3] = ACTIONS(11324),
    [aux_sym_float_literal_token4] = ACTIONS(11324),
    [sym_character_literal] = ACTIONS(11324),
    [anon_sym_DQUOTE] = ACTIONS(11324),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11324),
    [anon_sym_BQUOTE] = ACTIONS(11324),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11324),
    [sym__pair_operator] = ACTIONS(11324),
    [sym__arrow_operator] = ACTIONS(11324),
    [sym__lazy_or_operator] = ACTIONS(11324),
    [sym__lazy_and_operator] = ACTIONS(11324),
    [sym__comparison_operator] = ACTIONS(11324),
    [sym__pipe_right_operator] = ACTIONS(11324),
    [sym__pipe_left_operator] = ACTIONS(11324),
    [sym__ellipsis_operator] = ACTIONS(11324),
    [sym__plus_operator] = ACTIONS(11324),
    [sym__times_operator] = ACTIONS(11324),
    [sym__rational_operator] = ACTIONS(11324),
    [sym__bitshift_operator] = ACTIONS(11324),
    [sym__power_operator] = ACTIONS(11324),
    [sym__tilde_operator] = ACTIONS(11324),
    [sym__type_order_operator] = ACTIONS(11324),
    [sym__unary_operator] = ACTIONS(11324),
    [sym__unary_plus_operator] = ACTIONS(11324),
    [aux_sym__terminator_token1] = ACTIONS(11326),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8758] = {
    [sym_block_comment] = STATE(8758),
    [sym_line_comment] = STATE(8758),
    [sym__word_identifier] = ACTIONS(11328),
    [anon_sym_COMMA] = ACTIONS(11328),
    [anon_sym_EQ] = ACTIONS(11328),
    [anon_sym_begin] = ACTIONS(11328),
    [anon_sym_module] = ACTIONS(11328),
    [anon_sym_baremodule] = ACTIONS(11328),
    [anon_sym_end] = ACTIONS(11328),
    [anon_sym_abstract] = ACTIONS(11328),
    [anon_sym_primitive] = ACTIONS(11328),
    [anon_sym_mutable] = ACTIONS(11328),
    [anon_sym_struct] = ACTIONS(11328),
    [anon_sym_function] = ACTIONS(11328),
    [anon_sym_macro] = ACTIONS(11328),
    [anon_sym_quote] = ACTIONS(11328),
    [anon_sym_let] = ACTIONS(11328),
    [anon_sym_if] = ACTIONS(11328),
    [anon_sym_try] = ACTIONS(11328),
    [anon_sym_catch] = ACTIONS(11328),
    [anon_sym_for] = ACTIONS(11328),
    [anon_sym_while] = ACTIONS(11328),
    [sym_break_statement] = ACTIONS(11328),
    [sym_continue_statement] = ACTIONS(11328),
    [anon_sym_return] = ACTIONS(11328),
    [anon_sym_const] = ACTIONS(11328),
    [anon_sym_global] = ACTIONS(11328),
    [anon_sym_local] = ACTIONS(11328),
    [anon_sym_LPAREN] = ACTIONS(11328),
    [anon_sym_COLON] = ACTIONS(11328),
    [anon_sym_export] = ACTIONS(11328),
    [anon_sym_public] = ACTIONS(11328),
    [anon_sym_import] = ACTIONS(11328),
    [anon_sym_using] = ACTIONS(11328),
    [anon_sym_LBRACK] = ACTIONS(11328),
    [anon_sym_in] = ACTIONS(11328),
    [anon_sym_SEMI] = ACTIONS(11328),
    [anon_sym_LBRACE] = ACTIONS(11328),
    [anon_sym_DOLLAR] = ACTIONS(11328),
    [anon_sym_COLON2] = ACTIONS(11328),
    [anon_sym_COLON_COLON] = ACTIONS(11328),
    [anon_sym_isa] = ACTIONS(11328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11328),
    [anon_sym_QMARK] = ACTIONS(11328),
    [anon_sym_where] = ACTIONS(11328),
    [anon_sym_AT] = ACTIONS(11328),
    [anon_sym_true] = ACTIONS(11328),
    [anon_sym_false] = ACTIONS(11328),
    [aux_sym_integer_literal_token1] = ACTIONS(11328),
    [aux_sym_integer_literal_token2] = ACTIONS(11328),
    [aux_sym_integer_literal_token3] = ACTIONS(11328),
    [aux_sym_integer_literal_token4] = ACTIONS(11328),
    [aux_sym_float_literal_token1] = ACTIONS(11328),
    [aux_sym_float_literal_token3] = ACTIONS(11328),
    [aux_sym_float_literal_token4] = ACTIONS(11328),
    [sym_character_literal] = ACTIONS(11328),
    [anon_sym_DQUOTE] = ACTIONS(11328),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11328),
    [anon_sym_BQUOTE] = ACTIONS(11328),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11328),
    [sym__pair_operator] = ACTIONS(11328),
    [sym__arrow_operator] = ACTIONS(11328),
    [sym__lazy_or_operator] = ACTIONS(11328),
    [sym__lazy_and_operator] = ACTIONS(11328),
    [sym__comparison_operator] = ACTIONS(11328),
    [sym__pipe_right_operator] = ACTIONS(11328),
    [sym__pipe_left_operator] = ACTIONS(11328),
    [sym__ellipsis_operator] = ACTIONS(11328),
    [sym__plus_operator] = ACTIONS(11328),
    [sym__times_operator] = ACTIONS(11328),
    [sym__rational_operator] = ACTIONS(11328),
    [sym__bitshift_operator] = ACTIONS(11328),
    [sym__power_operator] = ACTIONS(11328),
    [sym__tilde_operator] = ACTIONS(11328),
    [sym__type_order_operator] = ACTIONS(11328),
    [sym__unary_operator] = ACTIONS(11328),
    [sym__unary_plus_operator] = ACTIONS(11328),
    [aux_sym__terminator_token1] = ACTIONS(11330),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8759] = {
    [sym_block_comment] = STATE(8759),
    [sym_line_comment] = STATE(8759),
    [sym__word_identifier] = ACTIONS(11332),
    [anon_sym_COMMA] = ACTIONS(11332),
    [anon_sym_EQ] = ACTIONS(11332),
    [anon_sym_begin] = ACTIONS(11332),
    [anon_sym_module] = ACTIONS(11332),
    [anon_sym_baremodule] = ACTIONS(11332),
    [anon_sym_end] = ACTIONS(11332),
    [anon_sym_abstract] = ACTIONS(11332),
    [anon_sym_primitive] = ACTIONS(11332),
    [anon_sym_mutable] = ACTIONS(11332),
    [anon_sym_struct] = ACTIONS(11332),
    [anon_sym_function] = ACTIONS(11332),
    [anon_sym_macro] = ACTIONS(11332),
    [anon_sym_quote] = ACTIONS(11332),
    [anon_sym_let] = ACTIONS(11332),
    [anon_sym_if] = ACTIONS(11332),
    [anon_sym_try] = ACTIONS(11332),
    [anon_sym_catch] = ACTIONS(11332),
    [anon_sym_for] = ACTIONS(11332),
    [anon_sym_while] = ACTIONS(11332),
    [sym_break_statement] = ACTIONS(11332),
    [sym_continue_statement] = ACTIONS(11332),
    [anon_sym_return] = ACTIONS(11332),
    [anon_sym_const] = ACTIONS(11332),
    [anon_sym_global] = ACTIONS(11332),
    [anon_sym_local] = ACTIONS(11332),
    [anon_sym_LPAREN] = ACTIONS(11332),
    [anon_sym_COLON] = ACTIONS(11332),
    [anon_sym_export] = ACTIONS(11332),
    [anon_sym_public] = ACTIONS(11332),
    [anon_sym_import] = ACTIONS(11332),
    [anon_sym_using] = ACTIONS(11332),
    [anon_sym_LBRACK] = ACTIONS(11332),
    [anon_sym_in] = ACTIONS(11332),
    [anon_sym_SEMI] = ACTIONS(11332),
    [anon_sym_LBRACE] = ACTIONS(11332),
    [anon_sym_DOLLAR] = ACTIONS(11332),
    [anon_sym_COLON2] = ACTIONS(11332),
    [anon_sym_COLON_COLON] = ACTIONS(11332),
    [anon_sym_isa] = ACTIONS(11332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11332),
    [anon_sym_QMARK] = ACTIONS(11332),
    [anon_sym_where] = ACTIONS(11332),
    [anon_sym_AT] = ACTIONS(11332),
    [anon_sym_true] = ACTIONS(11332),
    [anon_sym_false] = ACTIONS(11332),
    [aux_sym_integer_literal_token1] = ACTIONS(11332),
    [aux_sym_integer_literal_token2] = ACTIONS(11332),
    [aux_sym_integer_literal_token3] = ACTIONS(11332),
    [aux_sym_integer_literal_token4] = ACTIONS(11332),
    [aux_sym_float_literal_token1] = ACTIONS(11332),
    [aux_sym_float_literal_token3] = ACTIONS(11332),
    [aux_sym_float_literal_token4] = ACTIONS(11332),
    [sym_character_literal] = ACTIONS(11332),
    [anon_sym_DQUOTE] = ACTIONS(11332),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11332),
    [anon_sym_BQUOTE] = ACTIONS(11332),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11332),
    [sym__pair_operator] = ACTIONS(11332),
    [sym__arrow_operator] = ACTIONS(11332),
    [sym__lazy_or_operator] = ACTIONS(11332),
    [sym__lazy_and_operator] = ACTIONS(11332),
    [sym__comparison_operator] = ACTIONS(11332),
    [sym__pipe_right_operator] = ACTIONS(11332),
    [sym__pipe_left_operator] = ACTIONS(11332),
    [sym__ellipsis_operator] = ACTIONS(11332),
    [sym__plus_operator] = ACTIONS(11332),
    [sym__times_operator] = ACTIONS(11332),
    [sym__rational_operator] = ACTIONS(11332),
    [sym__bitshift_operator] = ACTIONS(11332),
    [sym__power_operator] = ACTIONS(11332),
    [sym__tilde_operator] = ACTIONS(11332),
    [sym__type_order_operator] = ACTIONS(11332),
    [sym__unary_operator] = ACTIONS(11332),
    [sym__unary_plus_operator] = ACTIONS(11332),
    [aux_sym__terminator_token1] = ACTIONS(11334),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8760] = {
    [sym_block_comment] = STATE(8760),
    [sym_line_comment] = STATE(8760),
    [sym__word_identifier] = ACTIONS(11336),
    [anon_sym_COMMA] = ACTIONS(11336),
    [anon_sym_EQ] = ACTIONS(11336),
    [anon_sym_begin] = ACTIONS(11336),
    [anon_sym_module] = ACTIONS(11336),
    [anon_sym_baremodule] = ACTIONS(11336),
    [anon_sym_end] = ACTIONS(11336),
    [anon_sym_abstract] = ACTIONS(11336),
    [anon_sym_primitive] = ACTIONS(11336),
    [anon_sym_mutable] = ACTIONS(11336),
    [anon_sym_struct] = ACTIONS(11336),
    [anon_sym_function] = ACTIONS(11336),
    [anon_sym_macro] = ACTIONS(11336),
    [anon_sym_quote] = ACTIONS(11336),
    [anon_sym_let] = ACTIONS(11336),
    [anon_sym_if] = ACTIONS(11336),
    [anon_sym_try] = ACTIONS(11336),
    [anon_sym_catch] = ACTIONS(11336),
    [anon_sym_for] = ACTIONS(11336),
    [anon_sym_while] = ACTIONS(11336),
    [sym_break_statement] = ACTIONS(11336),
    [sym_continue_statement] = ACTIONS(11336),
    [anon_sym_return] = ACTIONS(11336),
    [anon_sym_const] = ACTIONS(11336),
    [anon_sym_global] = ACTIONS(11336),
    [anon_sym_local] = ACTIONS(11336),
    [anon_sym_LPAREN] = ACTIONS(11336),
    [anon_sym_COLON] = ACTIONS(11336),
    [anon_sym_export] = ACTIONS(11336),
    [anon_sym_public] = ACTIONS(11336),
    [anon_sym_import] = ACTIONS(11336),
    [anon_sym_using] = ACTIONS(11336),
    [anon_sym_LBRACK] = ACTIONS(11336),
    [anon_sym_in] = ACTIONS(11336),
    [anon_sym_SEMI] = ACTIONS(11336),
    [anon_sym_LBRACE] = ACTIONS(11336),
    [anon_sym_DOLLAR] = ACTIONS(11336),
    [anon_sym_COLON2] = ACTIONS(11336),
    [anon_sym_COLON_COLON] = ACTIONS(11336),
    [anon_sym_isa] = ACTIONS(11336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11336),
    [anon_sym_QMARK] = ACTIONS(11336),
    [anon_sym_where] = ACTIONS(11336),
    [anon_sym_AT] = ACTIONS(11336),
    [anon_sym_true] = ACTIONS(11336),
    [anon_sym_false] = ACTIONS(11336),
    [aux_sym_integer_literal_token1] = ACTIONS(11336),
    [aux_sym_integer_literal_token2] = ACTIONS(11336),
    [aux_sym_integer_literal_token3] = ACTIONS(11336),
    [aux_sym_integer_literal_token4] = ACTIONS(11336),
    [aux_sym_float_literal_token1] = ACTIONS(11336),
    [aux_sym_float_literal_token3] = ACTIONS(11336),
    [aux_sym_float_literal_token4] = ACTIONS(11336),
    [sym_character_literal] = ACTIONS(11336),
    [anon_sym_DQUOTE] = ACTIONS(11336),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11336),
    [anon_sym_BQUOTE] = ACTIONS(11336),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11336),
    [sym__pair_operator] = ACTIONS(11336),
    [sym__arrow_operator] = ACTIONS(11336),
    [sym__lazy_or_operator] = ACTIONS(11336),
    [sym__lazy_and_operator] = ACTIONS(11336),
    [sym__comparison_operator] = ACTIONS(11336),
    [sym__pipe_right_operator] = ACTIONS(11336),
    [sym__pipe_left_operator] = ACTIONS(11336),
    [sym__ellipsis_operator] = ACTIONS(11336),
    [sym__plus_operator] = ACTIONS(11336),
    [sym__times_operator] = ACTIONS(11336),
    [sym__rational_operator] = ACTIONS(11336),
    [sym__bitshift_operator] = ACTIONS(11336),
    [sym__power_operator] = ACTIONS(11336),
    [sym__tilde_operator] = ACTIONS(11336),
    [sym__type_order_operator] = ACTIONS(11336),
    [sym__unary_operator] = ACTIONS(11336),
    [sym__unary_plus_operator] = ACTIONS(11336),
    [aux_sym__terminator_token1] = ACTIONS(11338),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8761] = {
    [sym_block_comment] = STATE(8761),
    [sym_line_comment] = STATE(8761),
    [sym__word_identifier] = ACTIONS(11340),
    [anon_sym_COMMA] = ACTIONS(11340),
    [anon_sym_EQ] = ACTIONS(11340),
    [anon_sym_begin] = ACTIONS(11340),
    [anon_sym_module] = ACTIONS(11340),
    [anon_sym_baremodule] = ACTIONS(11340),
    [anon_sym_end] = ACTIONS(11340),
    [anon_sym_abstract] = ACTIONS(11340),
    [anon_sym_primitive] = ACTIONS(11340),
    [anon_sym_mutable] = ACTIONS(11340),
    [anon_sym_struct] = ACTIONS(11340),
    [anon_sym_function] = ACTIONS(11340),
    [anon_sym_macro] = ACTIONS(11340),
    [anon_sym_quote] = ACTIONS(11340),
    [anon_sym_let] = ACTIONS(11340),
    [anon_sym_if] = ACTIONS(11340),
    [anon_sym_try] = ACTIONS(11340),
    [anon_sym_catch] = ACTIONS(11340),
    [anon_sym_for] = ACTIONS(11340),
    [anon_sym_while] = ACTIONS(11340),
    [sym_break_statement] = ACTIONS(11340),
    [sym_continue_statement] = ACTIONS(11340),
    [anon_sym_return] = ACTIONS(11340),
    [anon_sym_const] = ACTIONS(11340),
    [anon_sym_global] = ACTIONS(11340),
    [anon_sym_local] = ACTIONS(11340),
    [anon_sym_LPAREN] = ACTIONS(11340),
    [anon_sym_COLON] = ACTIONS(11340),
    [anon_sym_export] = ACTIONS(11340),
    [anon_sym_public] = ACTIONS(11340),
    [anon_sym_import] = ACTIONS(11340),
    [anon_sym_using] = ACTIONS(11340),
    [anon_sym_LBRACK] = ACTIONS(11340),
    [anon_sym_in] = ACTIONS(11340),
    [anon_sym_SEMI] = ACTIONS(11340),
    [anon_sym_LBRACE] = ACTIONS(11340),
    [anon_sym_DOLLAR] = ACTIONS(11340),
    [anon_sym_COLON2] = ACTIONS(11340),
    [anon_sym_COLON_COLON] = ACTIONS(11340),
    [anon_sym_isa] = ACTIONS(11340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11340),
    [anon_sym_QMARK] = ACTIONS(11340),
    [anon_sym_where] = ACTIONS(11340),
    [anon_sym_AT] = ACTIONS(11340),
    [anon_sym_true] = ACTIONS(11340),
    [anon_sym_false] = ACTIONS(11340),
    [aux_sym_integer_literal_token1] = ACTIONS(11340),
    [aux_sym_integer_literal_token2] = ACTIONS(11340),
    [aux_sym_integer_literal_token3] = ACTIONS(11340),
    [aux_sym_integer_literal_token4] = ACTIONS(11340),
    [aux_sym_float_literal_token1] = ACTIONS(11340),
    [aux_sym_float_literal_token3] = ACTIONS(11340),
    [aux_sym_float_literal_token4] = ACTIONS(11340),
    [sym_character_literal] = ACTIONS(11340),
    [anon_sym_DQUOTE] = ACTIONS(11340),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11340),
    [anon_sym_BQUOTE] = ACTIONS(11340),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11340),
    [sym__pair_operator] = ACTIONS(11340),
    [sym__arrow_operator] = ACTIONS(11340),
    [sym__lazy_or_operator] = ACTIONS(11340),
    [sym__lazy_and_operator] = ACTIONS(11340),
    [sym__comparison_operator] = ACTIONS(11340),
    [sym__pipe_right_operator] = ACTIONS(11340),
    [sym__pipe_left_operator] = ACTIONS(11340),
    [sym__ellipsis_operator] = ACTIONS(11340),
    [sym__plus_operator] = ACTIONS(11340),
    [sym__times_operator] = ACTIONS(11340),
    [sym__rational_operator] = ACTIONS(11340),
    [sym__bitshift_operator] = ACTIONS(11340),
    [sym__power_operator] = ACTIONS(11340),
    [sym__tilde_operator] = ACTIONS(11340),
    [sym__type_order_operator] = ACTIONS(11340),
    [sym__unary_operator] = ACTIONS(11340),
    [sym__unary_plus_operator] = ACTIONS(11340),
    [aux_sym__terminator_token1] = ACTIONS(11342),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8762] = {
    [sym_block_comment] = STATE(8762),
    [sym_line_comment] = STATE(8762),
    [sym__word_identifier] = ACTIONS(11344),
    [anon_sym_COMMA] = ACTIONS(11344),
    [anon_sym_EQ] = ACTIONS(11344),
    [anon_sym_begin] = ACTIONS(11344),
    [anon_sym_module] = ACTIONS(11344),
    [anon_sym_baremodule] = ACTIONS(11344),
    [anon_sym_end] = ACTIONS(11344),
    [anon_sym_abstract] = ACTIONS(11344),
    [anon_sym_primitive] = ACTIONS(11344),
    [anon_sym_mutable] = ACTIONS(11344),
    [anon_sym_struct] = ACTIONS(11344),
    [anon_sym_function] = ACTIONS(11344),
    [anon_sym_macro] = ACTIONS(11344),
    [anon_sym_quote] = ACTIONS(11344),
    [anon_sym_let] = ACTIONS(11344),
    [anon_sym_if] = ACTIONS(11344),
    [anon_sym_try] = ACTIONS(11344),
    [anon_sym_catch] = ACTIONS(11344),
    [anon_sym_for] = ACTIONS(11344),
    [anon_sym_while] = ACTIONS(11344),
    [sym_break_statement] = ACTIONS(11344),
    [sym_continue_statement] = ACTIONS(11344),
    [anon_sym_return] = ACTIONS(11344),
    [anon_sym_const] = ACTIONS(11344),
    [anon_sym_global] = ACTIONS(11344),
    [anon_sym_local] = ACTIONS(11344),
    [anon_sym_LPAREN] = ACTIONS(11344),
    [anon_sym_COLON] = ACTIONS(11344),
    [anon_sym_export] = ACTIONS(11344),
    [anon_sym_public] = ACTIONS(11344),
    [anon_sym_import] = ACTIONS(11344),
    [anon_sym_using] = ACTIONS(11344),
    [anon_sym_LBRACK] = ACTIONS(11344),
    [anon_sym_in] = ACTIONS(11344),
    [anon_sym_SEMI] = ACTIONS(11344),
    [anon_sym_LBRACE] = ACTIONS(11344),
    [anon_sym_DOLLAR] = ACTIONS(11344),
    [anon_sym_COLON2] = ACTIONS(11344),
    [anon_sym_COLON_COLON] = ACTIONS(11344),
    [anon_sym_isa] = ACTIONS(11344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11344),
    [anon_sym_QMARK] = ACTIONS(11344),
    [anon_sym_where] = ACTIONS(11344),
    [anon_sym_AT] = ACTIONS(11344),
    [anon_sym_true] = ACTIONS(11344),
    [anon_sym_false] = ACTIONS(11344),
    [aux_sym_integer_literal_token1] = ACTIONS(11344),
    [aux_sym_integer_literal_token2] = ACTIONS(11344),
    [aux_sym_integer_literal_token3] = ACTIONS(11344),
    [aux_sym_integer_literal_token4] = ACTIONS(11344),
    [aux_sym_float_literal_token1] = ACTIONS(11344),
    [aux_sym_float_literal_token3] = ACTIONS(11344),
    [aux_sym_float_literal_token4] = ACTIONS(11344),
    [sym_character_literal] = ACTIONS(11344),
    [anon_sym_DQUOTE] = ACTIONS(11344),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11344),
    [anon_sym_BQUOTE] = ACTIONS(11344),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11344),
    [sym__pair_operator] = ACTIONS(11344),
    [sym__arrow_operator] = ACTIONS(11344),
    [sym__lazy_or_operator] = ACTIONS(11344),
    [sym__lazy_and_operator] = ACTIONS(11344),
    [sym__comparison_operator] = ACTIONS(11344),
    [sym__pipe_right_operator] = ACTIONS(11344),
    [sym__pipe_left_operator] = ACTIONS(11344),
    [sym__ellipsis_operator] = ACTIONS(11344),
    [sym__plus_operator] = ACTIONS(11344),
    [sym__times_operator] = ACTIONS(11344),
    [sym__rational_operator] = ACTIONS(11344),
    [sym__bitshift_operator] = ACTIONS(11344),
    [sym__power_operator] = ACTIONS(11344),
    [sym__tilde_operator] = ACTIONS(11344),
    [sym__type_order_operator] = ACTIONS(11344),
    [sym__unary_operator] = ACTIONS(11344),
    [sym__unary_plus_operator] = ACTIONS(11344),
    [aux_sym__terminator_token1] = ACTIONS(11346),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8763] = {
    [sym_block_comment] = STATE(8763),
    [sym_line_comment] = STATE(8763),
    [sym__word_identifier] = ACTIONS(11324),
    [anon_sym_COMMA] = ACTIONS(11326),
    [anon_sym_EQ] = ACTIONS(11324),
    [anon_sym_begin] = ACTIONS(11324),
    [anon_sym_module] = ACTIONS(11324),
    [anon_sym_baremodule] = ACTIONS(11324),
    [anon_sym_abstract] = ACTIONS(11324),
    [anon_sym_primitive] = ACTIONS(11324),
    [anon_sym_mutable] = ACTIONS(11324),
    [anon_sym_struct] = ACTIONS(11324),
    [anon_sym_function] = ACTIONS(11324),
    [anon_sym_macro] = ACTIONS(11324),
    [anon_sym_quote] = ACTIONS(11324),
    [anon_sym_let] = ACTIONS(11324),
    [anon_sym_if] = ACTIONS(11324),
    [anon_sym_try] = ACTIONS(11324),
    [anon_sym_for] = ACTIONS(11324),
    [anon_sym_while] = ACTIONS(11324),
    [sym_break_statement] = ACTIONS(11324),
    [sym_continue_statement] = ACTIONS(11324),
    [anon_sym_return] = ACTIONS(11324),
    [anon_sym_const] = ACTIONS(11324),
    [anon_sym_global] = ACTIONS(11324),
    [anon_sym_local] = ACTIONS(11324),
    [anon_sym_LPAREN] = ACTIONS(11326),
    [anon_sym_RPAREN] = ACTIONS(11326),
    [anon_sym_COLON] = ACTIONS(11324),
    [anon_sym_export] = ACTIONS(11324),
    [anon_sym_public] = ACTIONS(11324),
    [anon_sym_import] = ACTIONS(11324),
    [anon_sym_using] = ACTIONS(11324),
    [anon_sym_LBRACK] = ACTIONS(11326),
    [anon_sym_RBRACK] = ACTIONS(11326),
    [anon_sym_in] = ACTIONS(11324),
    [anon_sym_SEMI] = ACTIONS(11326),
    [anon_sym_LBRACE] = ACTIONS(11326),
    [anon_sym_RBRACE] = ACTIONS(11326),
    [anon_sym_DOLLAR] = ACTIONS(11326),
    [anon_sym_COLON2] = ACTIONS(11324),
    [anon_sym_COLON_COLON] = ACTIONS(11326),
    [anon_sym_isa] = ACTIONS(11324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11326),
    [anon_sym_QMARK] = ACTIONS(11326),
    [anon_sym_where] = ACTIONS(11324),
    [anon_sym_AT] = ACTIONS(11326),
    [anon_sym_true] = ACTIONS(11324),
    [anon_sym_false] = ACTIONS(11324),
    [aux_sym_integer_literal_token1] = ACTIONS(11326),
    [aux_sym_integer_literal_token2] = ACTIONS(11326),
    [aux_sym_integer_literal_token3] = ACTIONS(11324),
    [aux_sym_integer_literal_token4] = ACTIONS(11324),
    [aux_sym_float_literal_token1] = ACTIONS(11326),
    [aux_sym_float_literal_token3] = ACTIONS(11326),
    [aux_sym_float_literal_token4] = ACTIONS(11326),
    [sym_character_literal] = ACTIONS(11326),
    [anon_sym_DQUOTE] = ACTIONS(11324),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11326),
    [anon_sym_BQUOTE] = ACTIONS(11324),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11326),
    [sym__pair_operator] = ACTIONS(11326),
    [sym__arrow_operator] = ACTIONS(11324),
    [sym__lazy_or_operator] = ACTIONS(11326),
    [sym__lazy_and_operator] = ACTIONS(11326),
    [sym__comparison_operator] = ACTIONS(11324),
    [sym__pipe_right_operator] = ACTIONS(11326),
    [sym__pipe_left_operator] = ACTIONS(11326),
    [sym__ellipsis_operator] = ACTIONS(11324),
    [sym__plus_operator] = ACTIONS(11324),
    [sym__times_operator] = ACTIONS(11324),
    [sym__rational_operator] = ACTIONS(11326),
    [sym__bitshift_operator] = ACTIONS(11326),
    [sym__power_operator] = ACTIONS(11326),
    [sym__tilde_operator] = ACTIONS(11326),
    [sym__type_order_operator] = ACTIONS(11326),
    [sym__unary_operator] = ACTIONS(11324),
    [sym__unary_plus_operator] = ACTIONS(11324),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8764] = {
    [sym_block_comment] = STATE(8764),
    [sym_line_comment] = STATE(8764),
    [sym__word_identifier] = ACTIONS(11328),
    [anon_sym_COMMA] = ACTIONS(11330),
    [anon_sym_EQ] = ACTIONS(11328),
    [anon_sym_begin] = ACTIONS(11328),
    [anon_sym_module] = ACTIONS(11328),
    [anon_sym_baremodule] = ACTIONS(11328),
    [anon_sym_abstract] = ACTIONS(11328),
    [anon_sym_primitive] = ACTIONS(11328),
    [anon_sym_mutable] = ACTIONS(11328),
    [anon_sym_struct] = ACTIONS(11328),
    [anon_sym_function] = ACTIONS(11328),
    [anon_sym_macro] = ACTIONS(11328),
    [anon_sym_quote] = ACTIONS(11328),
    [anon_sym_let] = ACTIONS(11328),
    [anon_sym_if] = ACTIONS(11328),
    [anon_sym_try] = ACTIONS(11328),
    [anon_sym_for] = ACTIONS(11328),
    [anon_sym_while] = ACTIONS(11328),
    [sym_break_statement] = ACTIONS(11328),
    [sym_continue_statement] = ACTIONS(11328),
    [anon_sym_return] = ACTIONS(11328),
    [anon_sym_const] = ACTIONS(11328),
    [anon_sym_global] = ACTIONS(11328),
    [anon_sym_local] = ACTIONS(11328),
    [anon_sym_LPAREN] = ACTIONS(11330),
    [anon_sym_RPAREN] = ACTIONS(11330),
    [anon_sym_COLON] = ACTIONS(11328),
    [anon_sym_export] = ACTIONS(11328),
    [anon_sym_public] = ACTIONS(11328),
    [anon_sym_import] = ACTIONS(11328),
    [anon_sym_using] = ACTIONS(11328),
    [anon_sym_LBRACK] = ACTIONS(11330),
    [anon_sym_RBRACK] = ACTIONS(11330),
    [anon_sym_in] = ACTIONS(11328),
    [anon_sym_SEMI] = ACTIONS(11330),
    [anon_sym_LBRACE] = ACTIONS(11330),
    [anon_sym_RBRACE] = ACTIONS(11330),
    [anon_sym_DOLLAR] = ACTIONS(11330),
    [anon_sym_COLON2] = ACTIONS(11328),
    [anon_sym_COLON_COLON] = ACTIONS(11330),
    [anon_sym_isa] = ACTIONS(11328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11330),
    [anon_sym_QMARK] = ACTIONS(11330),
    [anon_sym_where] = ACTIONS(11328),
    [anon_sym_AT] = ACTIONS(11330),
    [anon_sym_true] = ACTIONS(11328),
    [anon_sym_false] = ACTIONS(11328),
    [aux_sym_integer_literal_token1] = ACTIONS(11330),
    [aux_sym_integer_literal_token2] = ACTIONS(11330),
    [aux_sym_integer_literal_token3] = ACTIONS(11328),
    [aux_sym_integer_literal_token4] = ACTIONS(11328),
    [aux_sym_float_literal_token1] = ACTIONS(11330),
    [aux_sym_float_literal_token3] = ACTIONS(11330),
    [aux_sym_float_literal_token4] = ACTIONS(11330),
    [sym_character_literal] = ACTIONS(11330),
    [anon_sym_DQUOTE] = ACTIONS(11328),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11330),
    [anon_sym_BQUOTE] = ACTIONS(11328),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11330),
    [sym__pair_operator] = ACTIONS(11330),
    [sym__arrow_operator] = ACTIONS(11328),
    [sym__lazy_or_operator] = ACTIONS(11330),
    [sym__lazy_and_operator] = ACTIONS(11330),
    [sym__comparison_operator] = ACTIONS(11328),
    [sym__pipe_right_operator] = ACTIONS(11330),
    [sym__pipe_left_operator] = ACTIONS(11330),
    [sym__ellipsis_operator] = ACTIONS(11328),
    [sym__plus_operator] = ACTIONS(11328),
    [sym__times_operator] = ACTIONS(11328),
    [sym__rational_operator] = ACTIONS(11330),
    [sym__bitshift_operator] = ACTIONS(11330),
    [sym__power_operator] = ACTIONS(11330),
    [sym__tilde_operator] = ACTIONS(11330),
    [sym__type_order_operator] = ACTIONS(11330),
    [sym__unary_operator] = ACTIONS(11328),
    [sym__unary_plus_operator] = ACTIONS(11328),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8765] = {
    [sym_block_comment] = STATE(8765),
    [sym_line_comment] = STATE(8765),
    [sym__word_identifier] = ACTIONS(11332),
    [anon_sym_COMMA] = ACTIONS(11334),
    [anon_sym_EQ] = ACTIONS(11332),
    [anon_sym_begin] = ACTIONS(11332),
    [anon_sym_module] = ACTIONS(11332),
    [anon_sym_baremodule] = ACTIONS(11332),
    [anon_sym_abstract] = ACTIONS(11332),
    [anon_sym_primitive] = ACTIONS(11332),
    [anon_sym_mutable] = ACTIONS(11332),
    [anon_sym_struct] = ACTIONS(11332),
    [anon_sym_function] = ACTIONS(11332),
    [anon_sym_macro] = ACTIONS(11332),
    [anon_sym_quote] = ACTIONS(11332),
    [anon_sym_let] = ACTIONS(11332),
    [anon_sym_if] = ACTIONS(11332),
    [anon_sym_try] = ACTIONS(11332),
    [anon_sym_for] = ACTIONS(11332),
    [anon_sym_while] = ACTIONS(11332),
    [sym_break_statement] = ACTIONS(11332),
    [sym_continue_statement] = ACTIONS(11332),
    [anon_sym_return] = ACTIONS(11332),
    [anon_sym_const] = ACTIONS(11332),
    [anon_sym_global] = ACTIONS(11332),
    [anon_sym_local] = ACTIONS(11332),
    [anon_sym_LPAREN] = ACTIONS(11334),
    [anon_sym_RPAREN] = ACTIONS(11334),
    [anon_sym_COLON] = ACTIONS(11332),
    [anon_sym_export] = ACTIONS(11332),
    [anon_sym_public] = ACTIONS(11332),
    [anon_sym_import] = ACTIONS(11332),
    [anon_sym_using] = ACTIONS(11332),
    [anon_sym_LBRACK] = ACTIONS(11334),
    [anon_sym_RBRACK] = ACTIONS(11334),
    [anon_sym_in] = ACTIONS(11332),
    [anon_sym_SEMI] = ACTIONS(11334),
    [anon_sym_LBRACE] = ACTIONS(11334),
    [anon_sym_RBRACE] = ACTIONS(11334),
    [anon_sym_DOLLAR] = ACTIONS(11334),
    [anon_sym_COLON2] = ACTIONS(11332),
    [anon_sym_COLON_COLON] = ACTIONS(11334),
    [anon_sym_isa] = ACTIONS(11332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11334),
    [anon_sym_QMARK] = ACTIONS(11334),
    [anon_sym_where] = ACTIONS(11332),
    [anon_sym_AT] = ACTIONS(11334),
    [anon_sym_true] = ACTIONS(11332),
    [anon_sym_false] = ACTIONS(11332),
    [aux_sym_integer_literal_token1] = ACTIONS(11334),
    [aux_sym_integer_literal_token2] = ACTIONS(11334),
    [aux_sym_integer_literal_token3] = ACTIONS(11332),
    [aux_sym_integer_literal_token4] = ACTIONS(11332),
    [aux_sym_float_literal_token1] = ACTIONS(11334),
    [aux_sym_float_literal_token3] = ACTIONS(11334),
    [aux_sym_float_literal_token4] = ACTIONS(11334),
    [sym_character_literal] = ACTIONS(11334),
    [anon_sym_DQUOTE] = ACTIONS(11332),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11334),
    [anon_sym_BQUOTE] = ACTIONS(11332),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11334),
    [sym__pair_operator] = ACTIONS(11334),
    [sym__arrow_operator] = ACTIONS(11332),
    [sym__lazy_or_operator] = ACTIONS(11334),
    [sym__lazy_and_operator] = ACTIONS(11334),
    [sym__comparison_operator] = ACTIONS(11332),
    [sym__pipe_right_operator] = ACTIONS(11334),
    [sym__pipe_left_operator] = ACTIONS(11334),
    [sym__ellipsis_operator] = ACTIONS(11332),
    [sym__plus_operator] = ACTIONS(11332),
    [sym__times_operator] = ACTIONS(11332),
    [sym__rational_operator] = ACTIONS(11334),
    [sym__bitshift_operator] = ACTIONS(11334),
    [sym__power_operator] = ACTIONS(11334),
    [sym__tilde_operator] = ACTIONS(11334),
    [sym__type_order_operator] = ACTIONS(11334),
    [sym__unary_operator] = ACTIONS(11332),
    [sym__unary_plus_operator] = ACTIONS(11332),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8766] = {
    [sym_block_comment] = STATE(8766),
    [sym_line_comment] = STATE(8766),
    [sym__word_identifier] = ACTIONS(11336),
    [anon_sym_COMMA] = ACTIONS(11338),
    [anon_sym_EQ] = ACTIONS(11336),
    [anon_sym_begin] = ACTIONS(11336),
    [anon_sym_module] = ACTIONS(11336),
    [anon_sym_baremodule] = ACTIONS(11336),
    [anon_sym_abstract] = ACTIONS(11336),
    [anon_sym_primitive] = ACTIONS(11336),
    [anon_sym_mutable] = ACTIONS(11336),
    [anon_sym_struct] = ACTIONS(11336),
    [anon_sym_function] = ACTIONS(11336),
    [anon_sym_macro] = ACTIONS(11336),
    [anon_sym_quote] = ACTIONS(11336),
    [anon_sym_let] = ACTIONS(11336),
    [anon_sym_if] = ACTIONS(11336),
    [anon_sym_try] = ACTIONS(11336),
    [anon_sym_for] = ACTIONS(11336),
    [anon_sym_while] = ACTIONS(11336),
    [sym_break_statement] = ACTIONS(11336),
    [sym_continue_statement] = ACTIONS(11336),
    [anon_sym_return] = ACTIONS(11336),
    [anon_sym_const] = ACTIONS(11336),
    [anon_sym_global] = ACTIONS(11336),
    [anon_sym_local] = ACTIONS(11336),
    [anon_sym_LPAREN] = ACTIONS(11338),
    [anon_sym_RPAREN] = ACTIONS(11338),
    [anon_sym_COLON] = ACTIONS(11336),
    [anon_sym_export] = ACTIONS(11336),
    [anon_sym_public] = ACTIONS(11336),
    [anon_sym_import] = ACTIONS(11336),
    [anon_sym_using] = ACTIONS(11336),
    [anon_sym_LBRACK] = ACTIONS(11338),
    [anon_sym_RBRACK] = ACTIONS(11338),
    [anon_sym_in] = ACTIONS(11336),
    [anon_sym_SEMI] = ACTIONS(11338),
    [anon_sym_LBRACE] = ACTIONS(11338),
    [anon_sym_RBRACE] = ACTIONS(11338),
    [anon_sym_DOLLAR] = ACTIONS(11338),
    [anon_sym_COLON2] = ACTIONS(11336),
    [anon_sym_COLON_COLON] = ACTIONS(11338),
    [anon_sym_isa] = ACTIONS(11336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11338),
    [anon_sym_QMARK] = ACTIONS(11338),
    [anon_sym_where] = ACTIONS(11336),
    [anon_sym_AT] = ACTIONS(11338),
    [anon_sym_true] = ACTIONS(11336),
    [anon_sym_false] = ACTIONS(11336),
    [aux_sym_integer_literal_token1] = ACTIONS(11338),
    [aux_sym_integer_literal_token2] = ACTIONS(11338),
    [aux_sym_integer_literal_token3] = ACTIONS(11336),
    [aux_sym_integer_literal_token4] = ACTIONS(11336),
    [aux_sym_float_literal_token1] = ACTIONS(11338),
    [aux_sym_float_literal_token3] = ACTIONS(11338),
    [aux_sym_float_literal_token4] = ACTIONS(11338),
    [sym_character_literal] = ACTIONS(11338),
    [anon_sym_DQUOTE] = ACTIONS(11336),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11338),
    [anon_sym_BQUOTE] = ACTIONS(11336),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11338),
    [sym__pair_operator] = ACTIONS(11338),
    [sym__arrow_operator] = ACTIONS(11336),
    [sym__lazy_or_operator] = ACTIONS(11338),
    [sym__lazy_and_operator] = ACTIONS(11338),
    [sym__comparison_operator] = ACTIONS(11336),
    [sym__pipe_right_operator] = ACTIONS(11338),
    [sym__pipe_left_operator] = ACTIONS(11338),
    [sym__ellipsis_operator] = ACTIONS(11336),
    [sym__plus_operator] = ACTIONS(11336),
    [sym__times_operator] = ACTIONS(11336),
    [sym__rational_operator] = ACTIONS(11338),
    [sym__bitshift_operator] = ACTIONS(11338),
    [sym__power_operator] = ACTIONS(11338),
    [sym__tilde_operator] = ACTIONS(11338),
    [sym__type_order_operator] = ACTIONS(11338),
    [sym__unary_operator] = ACTIONS(11336),
    [sym__unary_plus_operator] = ACTIONS(11336),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8767] = {
    [sym_block_comment] = STATE(8767),
    [sym_line_comment] = STATE(8767),
    [sym__word_identifier] = ACTIONS(11340),
    [anon_sym_COMMA] = ACTIONS(11342),
    [anon_sym_EQ] = ACTIONS(11340),
    [anon_sym_begin] = ACTIONS(11340),
    [anon_sym_module] = ACTIONS(11340),
    [anon_sym_baremodule] = ACTIONS(11340),
    [anon_sym_abstract] = ACTIONS(11340),
    [anon_sym_primitive] = ACTIONS(11340),
    [anon_sym_mutable] = ACTIONS(11340),
    [anon_sym_struct] = ACTIONS(11340),
    [anon_sym_function] = ACTIONS(11340),
    [anon_sym_macro] = ACTIONS(11340),
    [anon_sym_quote] = ACTIONS(11340),
    [anon_sym_let] = ACTIONS(11340),
    [anon_sym_if] = ACTIONS(11340),
    [anon_sym_try] = ACTIONS(11340),
    [anon_sym_for] = ACTIONS(11340),
    [anon_sym_while] = ACTIONS(11340),
    [sym_break_statement] = ACTIONS(11340),
    [sym_continue_statement] = ACTIONS(11340),
    [anon_sym_return] = ACTIONS(11340),
    [anon_sym_const] = ACTIONS(11340),
    [anon_sym_global] = ACTIONS(11340),
    [anon_sym_local] = ACTIONS(11340),
    [anon_sym_LPAREN] = ACTIONS(11342),
    [anon_sym_RPAREN] = ACTIONS(11342),
    [anon_sym_COLON] = ACTIONS(11340),
    [anon_sym_export] = ACTIONS(11340),
    [anon_sym_public] = ACTIONS(11340),
    [anon_sym_import] = ACTIONS(11340),
    [anon_sym_using] = ACTIONS(11340),
    [anon_sym_LBRACK] = ACTIONS(11342),
    [anon_sym_RBRACK] = ACTIONS(11342),
    [anon_sym_in] = ACTIONS(11340),
    [anon_sym_SEMI] = ACTIONS(11342),
    [anon_sym_LBRACE] = ACTIONS(11342),
    [anon_sym_RBRACE] = ACTIONS(11342),
    [anon_sym_DOLLAR] = ACTIONS(11342),
    [anon_sym_COLON2] = ACTIONS(11340),
    [anon_sym_COLON_COLON] = ACTIONS(11342),
    [anon_sym_isa] = ACTIONS(11340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11342),
    [anon_sym_QMARK] = ACTIONS(11342),
    [anon_sym_where] = ACTIONS(11340),
    [anon_sym_AT] = ACTIONS(11342),
    [anon_sym_true] = ACTIONS(11340),
    [anon_sym_false] = ACTIONS(11340),
    [aux_sym_integer_literal_token1] = ACTIONS(11342),
    [aux_sym_integer_literal_token2] = ACTIONS(11342),
    [aux_sym_integer_literal_token3] = ACTIONS(11340),
    [aux_sym_integer_literal_token4] = ACTIONS(11340),
    [aux_sym_float_literal_token1] = ACTIONS(11342),
    [aux_sym_float_literal_token3] = ACTIONS(11342),
    [aux_sym_float_literal_token4] = ACTIONS(11342),
    [sym_character_literal] = ACTIONS(11342),
    [anon_sym_DQUOTE] = ACTIONS(11340),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11342),
    [anon_sym_BQUOTE] = ACTIONS(11340),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11342),
    [sym__pair_operator] = ACTIONS(11342),
    [sym__arrow_operator] = ACTIONS(11340),
    [sym__lazy_or_operator] = ACTIONS(11342),
    [sym__lazy_and_operator] = ACTIONS(11342),
    [sym__comparison_operator] = ACTIONS(11340),
    [sym__pipe_right_operator] = ACTIONS(11342),
    [sym__pipe_left_operator] = ACTIONS(11342),
    [sym__ellipsis_operator] = ACTIONS(11340),
    [sym__plus_operator] = ACTIONS(11340),
    [sym__times_operator] = ACTIONS(11340),
    [sym__rational_operator] = ACTIONS(11342),
    [sym__bitshift_operator] = ACTIONS(11342),
    [sym__power_operator] = ACTIONS(11342),
    [sym__tilde_operator] = ACTIONS(11342),
    [sym__type_order_operator] = ACTIONS(11342),
    [sym__unary_operator] = ACTIONS(11340),
    [sym__unary_plus_operator] = ACTIONS(11340),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8768] = {
    [sym_block_comment] = STATE(8768),
    [sym_line_comment] = STATE(8768),
    [sym__word_identifier] = ACTIONS(11348),
    [anon_sym_COMMA] = ACTIONS(11348),
    [anon_sym_EQ] = ACTIONS(11348),
    [anon_sym_begin] = ACTIONS(11348),
    [anon_sym_module] = ACTIONS(11348),
    [anon_sym_baremodule] = ACTIONS(11348),
    [anon_sym_end] = ACTIONS(11348),
    [anon_sym_abstract] = ACTIONS(11348),
    [anon_sym_primitive] = ACTIONS(11348),
    [anon_sym_mutable] = ACTIONS(11348),
    [anon_sym_struct] = ACTIONS(11348),
    [anon_sym_function] = ACTIONS(11348),
    [anon_sym_macro] = ACTIONS(11348),
    [anon_sym_quote] = ACTIONS(11348),
    [anon_sym_let] = ACTIONS(11348),
    [anon_sym_if] = ACTIONS(11348),
    [anon_sym_try] = ACTIONS(11348),
    [anon_sym_catch] = ACTIONS(11348),
    [anon_sym_for] = ACTIONS(11348),
    [anon_sym_while] = ACTIONS(11348),
    [sym_break_statement] = ACTIONS(11348),
    [sym_continue_statement] = ACTIONS(11348),
    [anon_sym_return] = ACTIONS(11348),
    [anon_sym_const] = ACTIONS(11348),
    [anon_sym_global] = ACTIONS(11348),
    [anon_sym_local] = ACTIONS(11348),
    [anon_sym_LPAREN] = ACTIONS(11348),
    [anon_sym_COLON] = ACTIONS(11348),
    [anon_sym_export] = ACTIONS(11348),
    [anon_sym_public] = ACTIONS(11348),
    [anon_sym_import] = ACTIONS(11348),
    [anon_sym_using] = ACTIONS(11348),
    [anon_sym_LBRACK] = ACTIONS(11348),
    [anon_sym_in] = ACTIONS(11348),
    [anon_sym_SEMI] = ACTIONS(11348),
    [anon_sym_LBRACE] = ACTIONS(11348),
    [anon_sym_DOLLAR] = ACTIONS(11348),
    [anon_sym_COLON2] = ACTIONS(11348),
    [anon_sym_COLON_COLON] = ACTIONS(11348),
    [anon_sym_isa] = ACTIONS(11348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11348),
    [anon_sym_QMARK] = ACTIONS(11348),
    [anon_sym_where] = ACTIONS(11348),
    [anon_sym_AT] = ACTIONS(11348),
    [anon_sym_true] = ACTIONS(11348),
    [anon_sym_false] = ACTIONS(11348),
    [aux_sym_integer_literal_token1] = ACTIONS(11348),
    [aux_sym_integer_literal_token2] = ACTIONS(11348),
    [aux_sym_integer_literal_token3] = ACTIONS(11348),
    [aux_sym_integer_literal_token4] = ACTIONS(11348),
    [aux_sym_float_literal_token1] = ACTIONS(11348),
    [aux_sym_float_literal_token3] = ACTIONS(11348),
    [aux_sym_float_literal_token4] = ACTIONS(11348),
    [sym_character_literal] = ACTIONS(11348),
    [anon_sym_DQUOTE] = ACTIONS(11348),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11348),
    [anon_sym_BQUOTE] = ACTIONS(11348),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11348),
    [sym__pair_operator] = ACTIONS(11348),
    [sym__arrow_operator] = ACTIONS(11348),
    [sym__lazy_or_operator] = ACTIONS(11348),
    [sym__lazy_and_operator] = ACTIONS(11348),
    [sym__comparison_operator] = ACTIONS(11348),
    [sym__pipe_right_operator] = ACTIONS(11348),
    [sym__pipe_left_operator] = ACTIONS(11348),
    [sym__ellipsis_operator] = ACTIONS(11348),
    [sym__plus_operator] = ACTIONS(11348),
    [sym__times_operator] = ACTIONS(11348),
    [sym__rational_operator] = ACTIONS(11348),
    [sym__bitshift_operator] = ACTIONS(11348),
    [sym__power_operator] = ACTIONS(11348),
    [sym__tilde_operator] = ACTIONS(11348),
    [sym__type_order_operator] = ACTIONS(11348),
    [sym__unary_operator] = ACTIONS(11348),
    [sym__unary_plus_operator] = ACTIONS(11348),
    [aux_sym__terminator_token1] = ACTIONS(11350),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8769] = {
    [sym_block_comment] = STATE(8769),
    [sym_line_comment] = STATE(8769),
    [sym__word_identifier] = ACTIONS(11344),
    [anon_sym_COMMA] = ACTIONS(11346),
    [anon_sym_EQ] = ACTIONS(11344),
    [anon_sym_begin] = ACTIONS(11344),
    [anon_sym_module] = ACTIONS(11344),
    [anon_sym_baremodule] = ACTIONS(11344),
    [anon_sym_abstract] = ACTIONS(11344),
    [anon_sym_primitive] = ACTIONS(11344),
    [anon_sym_mutable] = ACTIONS(11344),
    [anon_sym_struct] = ACTIONS(11344),
    [anon_sym_function] = ACTIONS(11344),
    [anon_sym_macro] = ACTIONS(11344),
    [anon_sym_quote] = ACTIONS(11344),
    [anon_sym_let] = ACTIONS(11344),
    [anon_sym_if] = ACTIONS(11344),
    [anon_sym_try] = ACTIONS(11344),
    [anon_sym_for] = ACTIONS(11344),
    [anon_sym_while] = ACTIONS(11344),
    [sym_break_statement] = ACTIONS(11344),
    [sym_continue_statement] = ACTIONS(11344),
    [anon_sym_return] = ACTIONS(11344),
    [anon_sym_const] = ACTIONS(11344),
    [anon_sym_global] = ACTIONS(11344),
    [anon_sym_local] = ACTIONS(11344),
    [anon_sym_LPAREN] = ACTIONS(11346),
    [anon_sym_RPAREN] = ACTIONS(11346),
    [anon_sym_COLON] = ACTIONS(11344),
    [anon_sym_export] = ACTIONS(11344),
    [anon_sym_public] = ACTIONS(11344),
    [anon_sym_import] = ACTIONS(11344),
    [anon_sym_using] = ACTIONS(11344),
    [anon_sym_LBRACK] = ACTIONS(11346),
    [anon_sym_RBRACK] = ACTIONS(11346),
    [anon_sym_in] = ACTIONS(11344),
    [anon_sym_SEMI] = ACTIONS(11346),
    [anon_sym_LBRACE] = ACTIONS(11346),
    [anon_sym_RBRACE] = ACTIONS(11346),
    [anon_sym_DOLLAR] = ACTIONS(11346),
    [anon_sym_COLON2] = ACTIONS(11344),
    [anon_sym_COLON_COLON] = ACTIONS(11346),
    [anon_sym_isa] = ACTIONS(11344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11346),
    [anon_sym_QMARK] = ACTIONS(11346),
    [anon_sym_where] = ACTIONS(11344),
    [anon_sym_AT] = ACTIONS(11346),
    [anon_sym_true] = ACTIONS(11344),
    [anon_sym_false] = ACTIONS(11344),
    [aux_sym_integer_literal_token1] = ACTIONS(11346),
    [aux_sym_integer_literal_token2] = ACTIONS(11346),
    [aux_sym_integer_literal_token3] = ACTIONS(11344),
    [aux_sym_integer_literal_token4] = ACTIONS(11344),
    [aux_sym_float_literal_token1] = ACTIONS(11346),
    [aux_sym_float_literal_token3] = ACTIONS(11346),
    [aux_sym_float_literal_token4] = ACTIONS(11346),
    [sym_character_literal] = ACTIONS(11346),
    [anon_sym_DQUOTE] = ACTIONS(11344),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11346),
    [anon_sym_BQUOTE] = ACTIONS(11344),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11346),
    [sym__pair_operator] = ACTIONS(11346),
    [sym__arrow_operator] = ACTIONS(11344),
    [sym__lazy_or_operator] = ACTIONS(11346),
    [sym__lazy_and_operator] = ACTIONS(11346),
    [sym__comparison_operator] = ACTIONS(11344),
    [sym__pipe_right_operator] = ACTIONS(11346),
    [sym__pipe_left_operator] = ACTIONS(11346),
    [sym__ellipsis_operator] = ACTIONS(11344),
    [sym__plus_operator] = ACTIONS(11344),
    [sym__times_operator] = ACTIONS(11344),
    [sym__rational_operator] = ACTIONS(11346),
    [sym__bitshift_operator] = ACTIONS(11346),
    [sym__power_operator] = ACTIONS(11346),
    [sym__tilde_operator] = ACTIONS(11346),
    [sym__type_order_operator] = ACTIONS(11346),
    [sym__unary_operator] = ACTIONS(11344),
    [sym__unary_plus_operator] = ACTIONS(11344),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8770] = {
    [sym_block_comment] = STATE(8770),
    [sym_line_comment] = STATE(8770),
    [sym__word_identifier] = ACTIONS(11348),
    [anon_sym_COMMA] = ACTIONS(11350),
    [anon_sym_EQ] = ACTIONS(11348),
    [anon_sym_begin] = ACTIONS(11348),
    [anon_sym_module] = ACTIONS(11348),
    [anon_sym_baremodule] = ACTIONS(11348),
    [anon_sym_abstract] = ACTIONS(11348),
    [anon_sym_primitive] = ACTIONS(11348),
    [anon_sym_mutable] = ACTIONS(11348),
    [anon_sym_struct] = ACTIONS(11348),
    [anon_sym_function] = ACTIONS(11348),
    [anon_sym_macro] = ACTIONS(11348),
    [anon_sym_quote] = ACTIONS(11348),
    [anon_sym_let] = ACTIONS(11348),
    [anon_sym_if] = ACTIONS(11348),
    [anon_sym_try] = ACTIONS(11348),
    [anon_sym_for] = ACTIONS(11348),
    [anon_sym_while] = ACTIONS(11348),
    [sym_break_statement] = ACTIONS(11348),
    [sym_continue_statement] = ACTIONS(11348),
    [anon_sym_return] = ACTIONS(11348),
    [anon_sym_const] = ACTIONS(11348),
    [anon_sym_global] = ACTIONS(11348),
    [anon_sym_local] = ACTIONS(11348),
    [anon_sym_LPAREN] = ACTIONS(11350),
    [anon_sym_RPAREN] = ACTIONS(11350),
    [anon_sym_COLON] = ACTIONS(11348),
    [anon_sym_export] = ACTIONS(11348),
    [anon_sym_public] = ACTIONS(11348),
    [anon_sym_import] = ACTIONS(11348),
    [anon_sym_using] = ACTIONS(11348),
    [anon_sym_LBRACK] = ACTIONS(11350),
    [anon_sym_RBRACK] = ACTIONS(11350),
    [anon_sym_in] = ACTIONS(11348),
    [anon_sym_SEMI] = ACTIONS(11350),
    [anon_sym_LBRACE] = ACTIONS(11350),
    [anon_sym_RBRACE] = ACTIONS(11350),
    [anon_sym_DOLLAR] = ACTIONS(11350),
    [anon_sym_COLON2] = ACTIONS(11348),
    [anon_sym_COLON_COLON] = ACTIONS(11350),
    [anon_sym_isa] = ACTIONS(11348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11350),
    [anon_sym_QMARK] = ACTIONS(11350),
    [anon_sym_where] = ACTIONS(11348),
    [anon_sym_AT] = ACTIONS(11350),
    [anon_sym_true] = ACTIONS(11348),
    [anon_sym_false] = ACTIONS(11348),
    [aux_sym_integer_literal_token1] = ACTIONS(11350),
    [aux_sym_integer_literal_token2] = ACTIONS(11350),
    [aux_sym_integer_literal_token3] = ACTIONS(11348),
    [aux_sym_integer_literal_token4] = ACTIONS(11348),
    [aux_sym_float_literal_token1] = ACTIONS(11350),
    [aux_sym_float_literal_token3] = ACTIONS(11350),
    [aux_sym_float_literal_token4] = ACTIONS(11350),
    [sym_character_literal] = ACTIONS(11350),
    [anon_sym_DQUOTE] = ACTIONS(11348),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11350),
    [anon_sym_BQUOTE] = ACTIONS(11348),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11350),
    [sym__pair_operator] = ACTIONS(11350),
    [sym__arrow_operator] = ACTIONS(11348),
    [sym__lazy_or_operator] = ACTIONS(11350),
    [sym__lazy_and_operator] = ACTIONS(11350),
    [sym__comparison_operator] = ACTIONS(11348),
    [sym__pipe_right_operator] = ACTIONS(11350),
    [sym__pipe_left_operator] = ACTIONS(11350),
    [sym__ellipsis_operator] = ACTIONS(11348),
    [sym__plus_operator] = ACTIONS(11348),
    [sym__times_operator] = ACTIONS(11348),
    [sym__rational_operator] = ACTIONS(11350),
    [sym__bitshift_operator] = ACTIONS(11350),
    [sym__power_operator] = ACTIONS(11350),
    [sym__tilde_operator] = ACTIONS(11350),
    [sym__type_order_operator] = ACTIONS(11350),
    [sym__unary_operator] = ACTIONS(11348),
    [sym__unary_plus_operator] = ACTIONS(11348),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8771] = {
    [sym_block_comment] = STATE(8771),
    [sym_line_comment] = STATE(8771),
    [sym__word_identifier] = ACTIONS(11352),
    [anon_sym_COMMA] = ACTIONS(11354),
    [anon_sym_EQ] = ACTIONS(11352),
    [anon_sym_begin] = ACTIONS(11352),
    [anon_sym_module] = ACTIONS(11352),
    [anon_sym_baremodule] = ACTIONS(11352),
    [anon_sym_abstract] = ACTIONS(11352),
    [anon_sym_primitive] = ACTIONS(11352),
    [anon_sym_mutable] = ACTIONS(11352),
    [anon_sym_struct] = ACTIONS(11352),
    [anon_sym_function] = ACTIONS(11352),
    [anon_sym_macro] = ACTIONS(11352),
    [anon_sym_quote] = ACTIONS(11352),
    [anon_sym_let] = ACTIONS(11352),
    [anon_sym_if] = ACTIONS(11352),
    [anon_sym_try] = ACTIONS(11352),
    [anon_sym_for] = ACTIONS(11352),
    [anon_sym_while] = ACTIONS(11352),
    [sym_break_statement] = ACTIONS(11352),
    [sym_continue_statement] = ACTIONS(11352),
    [anon_sym_return] = ACTIONS(11352),
    [anon_sym_const] = ACTIONS(11352),
    [anon_sym_global] = ACTIONS(11352),
    [anon_sym_local] = ACTIONS(11352),
    [anon_sym_LPAREN] = ACTIONS(11354),
    [anon_sym_RPAREN] = ACTIONS(11354),
    [anon_sym_COLON] = ACTIONS(11352),
    [anon_sym_export] = ACTIONS(11352),
    [anon_sym_public] = ACTIONS(11352),
    [anon_sym_import] = ACTIONS(11352),
    [anon_sym_using] = ACTIONS(11352),
    [anon_sym_LBRACK] = ACTIONS(11354),
    [anon_sym_RBRACK] = ACTIONS(11354),
    [anon_sym_in] = ACTIONS(11352),
    [anon_sym_SEMI] = ACTIONS(11354),
    [anon_sym_LBRACE] = ACTIONS(11354),
    [anon_sym_RBRACE] = ACTIONS(11354),
    [anon_sym_DOLLAR] = ACTIONS(11354),
    [anon_sym_COLON2] = ACTIONS(11352),
    [anon_sym_COLON_COLON] = ACTIONS(11354),
    [anon_sym_isa] = ACTIONS(11352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11354),
    [anon_sym_QMARK] = ACTIONS(11354),
    [anon_sym_where] = ACTIONS(11352),
    [anon_sym_AT] = ACTIONS(11354),
    [anon_sym_true] = ACTIONS(11352),
    [anon_sym_false] = ACTIONS(11352),
    [aux_sym_integer_literal_token1] = ACTIONS(11354),
    [aux_sym_integer_literal_token2] = ACTIONS(11354),
    [aux_sym_integer_literal_token3] = ACTIONS(11352),
    [aux_sym_integer_literal_token4] = ACTIONS(11352),
    [aux_sym_float_literal_token1] = ACTIONS(11354),
    [aux_sym_float_literal_token3] = ACTIONS(11354),
    [aux_sym_float_literal_token4] = ACTIONS(11354),
    [sym_character_literal] = ACTIONS(11354),
    [anon_sym_DQUOTE] = ACTIONS(11352),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11354),
    [anon_sym_BQUOTE] = ACTIONS(11352),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11354),
    [sym__pair_operator] = ACTIONS(11354),
    [sym__arrow_operator] = ACTIONS(11352),
    [sym__lazy_or_operator] = ACTIONS(11354),
    [sym__lazy_and_operator] = ACTIONS(11354),
    [sym__comparison_operator] = ACTIONS(11352),
    [sym__pipe_right_operator] = ACTIONS(11354),
    [sym__pipe_left_operator] = ACTIONS(11354),
    [sym__ellipsis_operator] = ACTIONS(11352),
    [sym__plus_operator] = ACTIONS(11352),
    [sym__times_operator] = ACTIONS(11352),
    [sym__rational_operator] = ACTIONS(11354),
    [sym__bitshift_operator] = ACTIONS(11354),
    [sym__power_operator] = ACTIONS(11354),
    [sym__tilde_operator] = ACTIONS(11354),
    [sym__type_order_operator] = ACTIONS(11354),
    [sym__unary_operator] = ACTIONS(11352),
    [sym__unary_plus_operator] = ACTIONS(11352),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8772] = {
    [sym_block_comment] = STATE(8772),
    [sym_line_comment] = STATE(8772),
    [ts_builtin_sym_end] = ACTIONS(11214),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(10181),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_RBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8773] = {
    [sym_block_comment] = STATE(8773),
    [sym_line_comment] = STATE(8773),
    [ts_builtin_sym_end] = ACTIONS(11214),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_RBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8774] = {
    [sym_block_comment] = STATE(8774),
    [sym_line_comment] = STATE(8774),
    [sym__word_identifier] = ACTIONS(11352),
    [anon_sym_COMMA] = ACTIONS(11352),
    [anon_sym_EQ] = ACTIONS(11352),
    [anon_sym_begin] = ACTIONS(11352),
    [anon_sym_module] = ACTIONS(11352),
    [anon_sym_baremodule] = ACTIONS(11352),
    [anon_sym_end] = ACTIONS(11352),
    [anon_sym_abstract] = ACTIONS(11352),
    [anon_sym_primitive] = ACTIONS(11352),
    [anon_sym_mutable] = ACTIONS(11352),
    [anon_sym_struct] = ACTIONS(11352),
    [anon_sym_function] = ACTIONS(11352),
    [anon_sym_macro] = ACTIONS(11352),
    [anon_sym_quote] = ACTIONS(11352),
    [anon_sym_let] = ACTIONS(11352),
    [anon_sym_if] = ACTIONS(11352),
    [anon_sym_try] = ACTIONS(11352),
    [anon_sym_catch] = ACTIONS(11352),
    [anon_sym_for] = ACTIONS(11352),
    [anon_sym_while] = ACTIONS(11352),
    [sym_break_statement] = ACTIONS(11352),
    [sym_continue_statement] = ACTIONS(11352),
    [anon_sym_return] = ACTIONS(11352),
    [anon_sym_const] = ACTIONS(11352),
    [anon_sym_global] = ACTIONS(11352),
    [anon_sym_local] = ACTIONS(11352),
    [anon_sym_LPAREN] = ACTIONS(11352),
    [anon_sym_COLON] = ACTIONS(11352),
    [anon_sym_export] = ACTIONS(11352),
    [anon_sym_public] = ACTIONS(11352),
    [anon_sym_import] = ACTIONS(11352),
    [anon_sym_using] = ACTIONS(11352),
    [anon_sym_LBRACK] = ACTIONS(11352),
    [anon_sym_in] = ACTIONS(11352),
    [anon_sym_SEMI] = ACTIONS(11352),
    [anon_sym_LBRACE] = ACTIONS(11352),
    [anon_sym_DOLLAR] = ACTIONS(11352),
    [anon_sym_COLON2] = ACTIONS(11352),
    [anon_sym_COLON_COLON] = ACTIONS(11352),
    [anon_sym_isa] = ACTIONS(11352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11352),
    [anon_sym_QMARK] = ACTIONS(11352),
    [anon_sym_where] = ACTIONS(11352),
    [anon_sym_AT] = ACTIONS(11352),
    [anon_sym_true] = ACTIONS(11352),
    [anon_sym_false] = ACTIONS(11352),
    [aux_sym_integer_literal_token1] = ACTIONS(11352),
    [aux_sym_integer_literal_token2] = ACTIONS(11352),
    [aux_sym_integer_literal_token3] = ACTIONS(11352),
    [aux_sym_integer_literal_token4] = ACTIONS(11352),
    [aux_sym_float_literal_token1] = ACTIONS(11352),
    [aux_sym_float_literal_token3] = ACTIONS(11352),
    [aux_sym_float_literal_token4] = ACTIONS(11352),
    [sym_character_literal] = ACTIONS(11352),
    [anon_sym_DQUOTE] = ACTIONS(11352),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11352),
    [anon_sym_BQUOTE] = ACTIONS(11352),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11352),
    [sym__pair_operator] = ACTIONS(11352),
    [sym__arrow_operator] = ACTIONS(11352),
    [sym__lazy_or_operator] = ACTIONS(11352),
    [sym__lazy_and_operator] = ACTIONS(11352),
    [sym__comparison_operator] = ACTIONS(11352),
    [sym__pipe_right_operator] = ACTIONS(11352),
    [sym__pipe_left_operator] = ACTIONS(11352),
    [sym__ellipsis_operator] = ACTIONS(11352),
    [sym__plus_operator] = ACTIONS(11352),
    [sym__times_operator] = ACTIONS(11352),
    [sym__rational_operator] = ACTIONS(11352),
    [sym__bitshift_operator] = ACTIONS(11352),
    [sym__power_operator] = ACTIONS(11352),
    [sym__tilde_operator] = ACTIONS(11352),
    [sym__type_order_operator] = ACTIONS(11352),
    [sym__unary_operator] = ACTIONS(11352),
    [sym__unary_plus_operator] = ACTIONS(11352),
    [aux_sym__terminator_token1] = ACTIONS(11354),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8775] = {
    [sym_block_comment] = STATE(8775),
    [sym_line_comment] = STATE(8775),
    [sym__word_identifier] = ACTIONS(11358),
    [anon_sym_COMMA] = ACTIONS(11358),
    [anon_sym_EQ] = ACTIONS(11358),
    [anon_sym_begin] = ACTIONS(11358),
    [anon_sym_module] = ACTIONS(11358),
    [anon_sym_baremodule] = ACTIONS(11358),
    [anon_sym_end] = ACTIONS(11358),
    [anon_sym_abstract] = ACTIONS(11358),
    [anon_sym_primitive] = ACTIONS(11358),
    [anon_sym_mutable] = ACTIONS(11358),
    [anon_sym_struct] = ACTIONS(11358),
    [anon_sym_function] = ACTIONS(11358),
    [anon_sym_macro] = ACTIONS(11358),
    [anon_sym_quote] = ACTIONS(11358),
    [anon_sym_let] = ACTIONS(11358),
    [anon_sym_if] = ACTIONS(11358),
    [anon_sym_try] = ACTIONS(11358),
    [anon_sym_catch] = ACTIONS(11358),
    [anon_sym_for] = ACTIONS(11358),
    [anon_sym_while] = ACTIONS(11358),
    [sym_break_statement] = ACTIONS(11358),
    [sym_continue_statement] = ACTIONS(11358),
    [anon_sym_return] = ACTIONS(11358),
    [anon_sym_const] = ACTIONS(11358),
    [anon_sym_global] = ACTIONS(11358),
    [anon_sym_local] = ACTIONS(11358),
    [anon_sym_LPAREN] = ACTIONS(11358),
    [anon_sym_COLON] = ACTIONS(11358),
    [anon_sym_export] = ACTIONS(11358),
    [anon_sym_public] = ACTIONS(11358),
    [anon_sym_import] = ACTIONS(11358),
    [anon_sym_using] = ACTIONS(11358),
    [anon_sym_LBRACK] = ACTIONS(11358),
    [anon_sym_in] = ACTIONS(11358),
    [anon_sym_SEMI] = ACTIONS(11358),
    [anon_sym_LBRACE] = ACTIONS(11358),
    [anon_sym_DOLLAR] = ACTIONS(11358),
    [anon_sym_COLON2] = ACTIONS(11358),
    [anon_sym_COLON_COLON] = ACTIONS(11358),
    [anon_sym_isa] = ACTIONS(11358),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11358),
    [anon_sym_QMARK] = ACTIONS(11358),
    [anon_sym_where] = ACTIONS(11358),
    [anon_sym_AT] = ACTIONS(11358),
    [anon_sym_true] = ACTIONS(11358),
    [anon_sym_false] = ACTIONS(11358),
    [aux_sym_integer_literal_token1] = ACTIONS(11358),
    [aux_sym_integer_literal_token2] = ACTIONS(11358),
    [aux_sym_integer_literal_token3] = ACTIONS(11358),
    [aux_sym_integer_literal_token4] = ACTIONS(11358),
    [aux_sym_float_literal_token1] = ACTIONS(11358),
    [aux_sym_float_literal_token3] = ACTIONS(11358),
    [aux_sym_float_literal_token4] = ACTIONS(11358),
    [sym_character_literal] = ACTIONS(11358),
    [anon_sym_DQUOTE] = ACTIONS(11358),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11358),
    [anon_sym_BQUOTE] = ACTIONS(11358),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11358),
    [sym__pair_operator] = ACTIONS(11358),
    [sym__arrow_operator] = ACTIONS(11358),
    [sym__lazy_or_operator] = ACTIONS(11358),
    [sym__lazy_and_operator] = ACTIONS(11358),
    [sym__comparison_operator] = ACTIONS(11358),
    [sym__pipe_right_operator] = ACTIONS(11358),
    [sym__pipe_left_operator] = ACTIONS(11358),
    [sym__ellipsis_operator] = ACTIONS(11358),
    [sym__plus_operator] = ACTIONS(11358),
    [sym__times_operator] = ACTIONS(11358),
    [sym__rational_operator] = ACTIONS(11358),
    [sym__bitshift_operator] = ACTIONS(11358),
    [sym__power_operator] = ACTIONS(11358),
    [sym__tilde_operator] = ACTIONS(11358),
    [sym__type_order_operator] = ACTIONS(11358),
    [sym__unary_operator] = ACTIONS(11358),
    [sym__unary_plus_operator] = ACTIONS(11358),
    [aux_sym__terminator_token1] = ACTIONS(11360),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8776] = {
    [sym_block_comment] = STATE(8776),
    [sym_line_comment] = STATE(8776),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8777] = {
    [sym_block_comment] = STATE(8777),
    [sym_line_comment] = STATE(8777),
    [ts_builtin_sym_end] = ACTIONS(12153),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12151),
    [anon_sym_EQ] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_RBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8778] = {
    [sym_block_comment] = STATE(8778),
    [sym_line_comment] = STATE(8778),
    [sym__word_identifier] = ACTIONS(11362),
    [anon_sym_COMMA] = ACTIONS(11362),
    [anon_sym_EQ] = ACTIONS(11362),
    [anon_sym_begin] = ACTIONS(11362),
    [anon_sym_module] = ACTIONS(11362),
    [anon_sym_baremodule] = ACTIONS(11362),
    [anon_sym_end] = ACTIONS(11362),
    [anon_sym_abstract] = ACTIONS(11362),
    [anon_sym_primitive] = ACTIONS(11362),
    [anon_sym_mutable] = ACTIONS(11362),
    [anon_sym_struct] = ACTIONS(11362),
    [anon_sym_function] = ACTIONS(11362),
    [anon_sym_macro] = ACTIONS(11362),
    [anon_sym_quote] = ACTIONS(11362),
    [anon_sym_let] = ACTIONS(11362),
    [anon_sym_if] = ACTIONS(11362),
    [anon_sym_try] = ACTIONS(11362),
    [anon_sym_catch] = ACTIONS(11362),
    [anon_sym_for] = ACTIONS(11362),
    [anon_sym_while] = ACTIONS(11362),
    [sym_break_statement] = ACTIONS(11362),
    [sym_continue_statement] = ACTIONS(11362),
    [anon_sym_return] = ACTIONS(11362),
    [anon_sym_const] = ACTIONS(11362),
    [anon_sym_global] = ACTIONS(11362),
    [anon_sym_local] = ACTIONS(11362),
    [anon_sym_LPAREN] = ACTIONS(11362),
    [anon_sym_COLON] = ACTIONS(11362),
    [anon_sym_export] = ACTIONS(11362),
    [anon_sym_public] = ACTIONS(11362),
    [anon_sym_import] = ACTIONS(11362),
    [anon_sym_using] = ACTIONS(11362),
    [anon_sym_LBRACK] = ACTIONS(11362),
    [anon_sym_in] = ACTIONS(11362),
    [anon_sym_SEMI] = ACTIONS(11362),
    [anon_sym_LBRACE] = ACTIONS(11362),
    [anon_sym_DOLLAR] = ACTIONS(11362),
    [anon_sym_COLON2] = ACTIONS(11362),
    [anon_sym_COLON_COLON] = ACTIONS(11362),
    [anon_sym_isa] = ACTIONS(11362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11362),
    [anon_sym_QMARK] = ACTIONS(11362),
    [anon_sym_where] = ACTIONS(11362),
    [anon_sym_AT] = ACTIONS(11362),
    [anon_sym_true] = ACTIONS(11362),
    [anon_sym_false] = ACTIONS(11362),
    [aux_sym_integer_literal_token1] = ACTIONS(11362),
    [aux_sym_integer_literal_token2] = ACTIONS(11362),
    [aux_sym_integer_literal_token3] = ACTIONS(11362),
    [aux_sym_integer_literal_token4] = ACTIONS(11362),
    [aux_sym_float_literal_token1] = ACTIONS(11362),
    [aux_sym_float_literal_token3] = ACTIONS(11362),
    [aux_sym_float_literal_token4] = ACTIONS(11362),
    [sym_character_literal] = ACTIONS(11362),
    [anon_sym_DQUOTE] = ACTIONS(11362),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11362),
    [anon_sym_BQUOTE] = ACTIONS(11362),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11362),
    [sym__pair_operator] = ACTIONS(11362),
    [sym__arrow_operator] = ACTIONS(11362),
    [sym__lazy_or_operator] = ACTIONS(11362),
    [sym__lazy_and_operator] = ACTIONS(11362),
    [sym__comparison_operator] = ACTIONS(11362),
    [sym__pipe_right_operator] = ACTIONS(11362),
    [sym__pipe_left_operator] = ACTIONS(11362),
    [sym__ellipsis_operator] = ACTIONS(11362),
    [sym__plus_operator] = ACTIONS(11362),
    [sym__times_operator] = ACTIONS(11362),
    [sym__rational_operator] = ACTIONS(11362),
    [sym__bitshift_operator] = ACTIONS(11362),
    [sym__power_operator] = ACTIONS(11362),
    [sym__tilde_operator] = ACTIONS(11362),
    [sym__type_order_operator] = ACTIONS(11362),
    [sym__unary_operator] = ACTIONS(11362),
    [sym__unary_plus_operator] = ACTIONS(11362),
    [aux_sym__terminator_token1] = ACTIONS(11364),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8779] = {
    [sym_block_comment] = STATE(8779),
    [sym_line_comment] = STATE(8779),
    [sym__word_identifier] = ACTIONS(11366),
    [anon_sym_COMMA] = ACTIONS(11366),
    [anon_sym_EQ] = ACTIONS(11366),
    [anon_sym_begin] = ACTIONS(11366),
    [anon_sym_module] = ACTIONS(11366),
    [anon_sym_baremodule] = ACTIONS(11366),
    [anon_sym_end] = ACTIONS(11366),
    [anon_sym_abstract] = ACTIONS(11366),
    [anon_sym_primitive] = ACTIONS(11366),
    [anon_sym_mutable] = ACTIONS(11366),
    [anon_sym_struct] = ACTIONS(11366),
    [anon_sym_function] = ACTIONS(11366),
    [anon_sym_macro] = ACTIONS(11366),
    [anon_sym_quote] = ACTIONS(11366),
    [anon_sym_let] = ACTIONS(11366),
    [anon_sym_if] = ACTIONS(11366),
    [anon_sym_try] = ACTIONS(11366),
    [anon_sym_catch] = ACTIONS(11366),
    [anon_sym_for] = ACTIONS(11366),
    [anon_sym_while] = ACTIONS(11366),
    [sym_break_statement] = ACTIONS(11366),
    [sym_continue_statement] = ACTIONS(11366),
    [anon_sym_return] = ACTIONS(11366),
    [anon_sym_const] = ACTIONS(11366),
    [anon_sym_global] = ACTIONS(11366),
    [anon_sym_local] = ACTIONS(11366),
    [anon_sym_LPAREN] = ACTIONS(11366),
    [anon_sym_COLON] = ACTIONS(11366),
    [anon_sym_export] = ACTIONS(11366),
    [anon_sym_public] = ACTIONS(11366),
    [anon_sym_import] = ACTIONS(11366),
    [anon_sym_using] = ACTIONS(11366),
    [anon_sym_LBRACK] = ACTIONS(11366),
    [anon_sym_in] = ACTIONS(11366),
    [anon_sym_SEMI] = ACTIONS(11366),
    [anon_sym_LBRACE] = ACTIONS(11366),
    [anon_sym_DOLLAR] = ACTIONS(11366),
    [anon_sym_COLON2] = ACTIONS(11366),
    [anon_sym_COLON_COLON] = ACTIONS(11366),
    [anon_sym_isa] = ACTIONS(11366),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11366),
    [anon_sym_QMARK] = ACTIONS(11366),
    [anon_sym_where] = ACTIONS(11366),
    [anon_sym_AT] = ACTIONS(11366),
    [anon_sym_true] = ACTIONS(11366),
    [anon_sym_false] = ACTIONS(11366),
    [aux_sym_integer_literal_token1] = ACTIONS(11366),
    [aux_sym_integer_literal_token2] = ACTIONS(11366),
    [aux_sym_integer_literal_token3] = ACTIONS(11366),
    [aux_sym_integer_literal_token4] = ACTIONS(11366),
    [aux_sym_float_literal_token1] = ACTIONS(11366),
    [aux_sym_float_literal_token3] = ACTIONS(11366),
    [aux_sym_float_literal_token4] = ACTIONS(11366),
    [sym_character_literal] = ACTIONS(11366),
    [anon_sym_DQUOTE] = ACTIONS(11366),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11366),
    [anon_sym_BQUOTE] = ACTIONS(11366),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11366),
    [sym__pair_operator] = ACTIONS(11366),
    [sym__arrow_operator] = ACTIONS(11366),
    [sym__lazy_or_operator] = ACTIONS(11366),
    [sym__lazy_and_operator] = ACTIONS(11366),
    [sym__comparison_operator] = ACTIONS(11366),
    [sym__pipe_right_operator] = ACTIONS(11366),
    [sym__pipe_left_operator] = ACTIONS(11366),
    [sym__ellipsis_operator] = ACTIONS(11366),
    [sym__plus_operator] = ACTIONS(11366),
    [sym__times_operator] = ACTIONS(11366),
    [sym__rational_operator] = ACTIONS(11366),
    [sym__bitshift_operator] = ACTIONS(11366),
    [sym__power_operator] = ACTIONS(11366),
    [sym__tilde_operator] = ACTIONS(11366),
    [sym__type_order_operator] = ACTIONS(11366),
    [sym__unary_operator] = ACTIONS(11366),
    [sym__unary_plus_operator] = ACTIONS(11366),
    [aux_sym__terminator_token1] = ACTIONS(11368),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8780] = {
    [sym_block_comment] = STATE(8780),
    [sym_line_comment] = STATE(8780),
    [sym__word_identifier] = ACTIONS(11358),
    [anon_sym_COMMA] = ACTIONS(11360),
    [anon_sym_EQ] = ACTIONS(11358),
    [anon_sym_begin] = ACTIONS(11358),
    [anon_sym_module] = ACTIONS(11358),
    [anon_sym_baremodule] = ACTIONS(11358),
    [anon_sym_abstract] = ACTIONS(11358),
    [anon_sym_primitive] = ACTIONS(11358),
    [anon_sym_mutable] = ACTIONS(11358),
    [anon_sym_struct] = ACTIONS(11358),
    [anon_sym_function] = ACTIONS(11358),
    [anon_sym_macro] = ACTIONS(11358),
    [anon_sym_quote] = ACTIONS(11358),
    [anon_sym_let] = ACTIONS(11358),
    [anon_sym_if] = ACTIONS(11358),
    [anon_sym_try] = ACTIONS(11358),
    [anon_sym_for] = ACTIONS(11358),
    [anon_sym_while] = ACTIONS(11358),
    [sym_break_statement] = ACTIONS(11358),
    [sym_continue_statement] = ACTIONS(11358),
    [anon_sym_return] = ACTIONS(11358),
    [anon_sym_const] = ACTIONS(11358),
    [anon_sym_global] = ACTIONS(11358),
    [anon_sym_local] = ACTIONS(11358),
    [anon_sym_LPAREN] = ACTIONS(11360),
    [anon_sym_RPAREN] = ACTIONS(11360),
    [anon_sym_COLON] = ACTIONS(11358),
    [anon_sym_export] = ACTIONS(11358),
    [anon_sym_public] = ACTIONS(11358),
    [anon_sym_import] = ACTIONS(11358),
    [anon_sym_using] = ACTIONS(11358),
    [anon_sym_LBRACK] = ACTIONS(11360),
    [anon_sym_RBRACK] = ACTIONS(11360),
    [anon_sym_in] = ACTIONS(11358),
    [anon_sym_SEMI] = ACTIONS(11360),
    [anon_sym_LBRACE] = ACTIONS(11360),
    [anon_sym_RBRACE] = ACTIONS(11360),
    [anon_sym_DOLLAR] = ACTIONS(11360),
    [anon_sym_COLON2] = ACTIONS(11358),
    [anon_sym_COLON_COLON] = ACTIONS(11360),
    [anon_sym_isa] = ACTIONS(11358),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11360),
    [anon_sym_QMARK] = ACTIONS(11360),
    [anon_sym_where] = ACTIONS(11358),
    [anon_sym_AT] = ACTIONS(11360),
    [anon_sym_true] = ACTIONS(11358),
    [anon_sym_false] = ACTIONS(11358),
    [aux_sym_integer_literal_token1] = ACTIONS(11360),
    [aux_sym_integer_literal_token2] = ACTIONS(11360),
    [aux_sym_integer_literal_token3] = ACTIONS(11358),
    [aux_sym_integer_literal_token4] = ACTIONS(11358),
    [aux_sym_float_literal_token1] = ACTIONS(11360),
    [aux_sym_float_literal_token3] = ACTIONS(11360),
    [aux_sym_float_literal_token4] = ACTIONS(11360),
    [sym_character_literal] = ACTIONS(11360),
    [anon_sym_DQUOTE] = ACTIONS(11358),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11360),
    [anon_sym_BQUOTE] = ACTIONS(11358),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11360),
    [sym__pair_operator] = ACTIONS(11360),
    [sym__arrow_operator] = ACTIONS(11358),
    [sym__lazy_or_operator] = ACTIONS(11360),
    [sym__lazy_and_operator] = ACTIONS(11360),
    [sym__comparison_operator] = ACTIONS(11358),
    [sym__pipe_right_operator] = ACTIONS(11360),
    [sym__pipe_left_operator] = ACTIONS(11360),
    [sym__ellipsis_operator] = ACTIONS(11358),
    [sym__plus_operator] = ACTIONS(11358),
    [sym__times_operator] = ACTIONS(11358),
    [sym__rational_operator] = ACTIONS(11360),
    [sym__bitshift_operator] = ACTIONS(11360),
    [sym__power_operator] = ACTIONS(11360),
    [sym__tilde_operator] = ACTIONS(11360),
    [sym__type_order_operator] = ACTIONS(11360),
    [sym__unary_operator] = ACTIONS(11358),
    [sym__unary_plus_operator] = ACTIONS(11358),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8781] = {
    [sym_block_comment] = STATE(8781),
    [sym_line_comment] = STATE(8781),
    [aux_sym_open_tuple_repeat1] = STATE(8241),
    [ts_builtin_sym_end] = ACTIONS(11214),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(12231),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_RBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8782] = {
    [sym_block_comment] = STATE(8782),
    [sym_line_comment] = STATE(8782),
    [sym__word_identifier] = ACTIONS(11362),
    [anon_sym_COMMA] = ACTIONS(11364),
    [anon_sym_EQ] = ACTIONS(11362),
    [anon_sym_begin] = ACTIONS(11362),
    [anon_sym_module] = ACTIONS(11362),
    [anon_sym_baremodule] = ACTIONS(11362),
    [anon_sym_abstract] = ACTIONS(11362),
    [anon_sym_primitive] = ACTIONS(11362),
    [anon_sym_mutable] = ACTIONS(11362),
    [anon_sym_struct] = ACTIONS(11362),
    [anon_sym_function] = ACTIONS(11362),
    [anon_sym_macro] = ACTIONS(11362),
    [anon_sym_quote] = ACTIONS(11362),
    [anon_sym_let] = ACTIONS(11362),
    [anon_sym_if] = ACTIONS(11362),
    [anon_sym_try] = ACTIONS(11362),
    [anon_sym_for] = ACTIONS(11362),
    [anon_sym_while] = ACTIONS(11362),
    [sym_break_statement] = ACTIONS(11362),
    [sym_continue_statement] = ACTIONS(11362),
    [anon_sym_return] = ACTIONS(11362),
    [anon_sym_const] = ACTIONS(11362),
    [anon_sym_global] = ACTIONS(11362),
    [anon_sym_local] = ACTIONS(11362),
    [anon_sym_LPAREN] = ACTIONS(11364),
    [anon_sym_RPAREN] = ACTIONS(11364),
    [anon_sym_COLON] = ACTIONS(11362),
    [anon_sym_export] = ACTIONS(11362),
    [anon_sym_public] = ACTIONS(11362),
    [anon_sym_import] = ACTIONS(11362),
    [anon_sym_using] = ACTIONS(11362),
    [anon_sym_LBRACK] = ACTIONS(11364),
    [anon_sym_RBRACK] = ACTIONS(11364),
    [anon_sym_in] = ACTIONS(11362),
    [anon_sym_SEMI] = ACTIONS(11364),
    [anon_sym_LBRACE] = ACTIONS(11364),
    [anon_sym_RBRACE] = ACTIONS(11364),
    [anon_sym_DOLLAR] = ACTIONS(11364),
    [anon_sym_COLON2] = ACTIONS(11362),
    [anon_sym_COLON_COLON] = ACTIONS(11364),
    [anon_sym_isa] = ACTIONS(11362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11364),
    [anon_sym_QMARK] = ACTIONS(11364),
    [anon_sym_where] = ACTIONS(11362),
    [anon_sym_AT] = ACTIONS(11364),
    [anon_sym_true] = ACTIONS(11362),
    [anon_sym_false] = ACTIONS(11362),
    [aux_sym_integer_literal_token1] = ACTIONS(11364),
    [aux_sym_integer_literal_token2] = ACTIONS(11364),
    [aux_sym_integer_literal_token3] = ACTIONS(11362),
    [aux_sym_integer_literal_token4] = ACTIONS(11362),
    [aux_sym_float_literal_token1] = ACTIONS(11364),
    [aux_sym_float_literal_token3] = ACTIONS(11364),
    [aux_sym_float_literal_token4] = ACTIONS(11364),
    [sym_character_literal] = ACTIONS(11364),
    [anon_sym_DQUOTE] = ACTIONS(11362),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11364),
    [anon_sym_BQUOTE] = ACTIONS(11362),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11364),
    [sym__pair_operator] = ACTIONS(11364),
    [sym__arrow_operator] = ACTIONS(11362),
    [sym__lazy_or_operator] = ACTIONS(11364),
    [sym__lazy_and_operator] = ACTIONS(11364),
    [sym__comparison_operator] = ACTIONS(11362),
    [sym__pipe_right_operator] = ACTIONS(11364),
    [sym__pipe_left_operator] = ACTIONS(11364),
    [sym__ellipsis_operator] = ACTIONS(11362),
    [sym__plus_operator] = ACTIONS(11362),
    [sym__times_operator] = ACTIONS(11362),
    [sym__rational_operator] = ACTIONS(11364),
    [sym__bitshift_operator] = ACTIONS(11364),
    [sym__power_operator] = ACTIONS(11364),
    [sym__tilde_operator] = ACTIONS(11364),
    [sym__type_order_operator] = ACTIONS(11364),
    [sym__unary_operator] = ACTIONS(11362),
    [sym__unary_plus_operator] = ACTIONS(11362),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8783] = {
    [sym_block_comment] = STATE(8783),
    [sym_line_comment] = STATE(8783),
    [sym__word_identifier] = ACTIONS(11366),
    [anon_sym_COMMA] = ACTIONS(11368),
    [anon_sym_EQ] = ACTIONS(11366),
    [anon_sym_begin] = ACTIONS(11366),
    [anon_sym_module] = ACTIONS(11366),
    [anon_sym_baremodule] = ACTIONS(11366),
    [anon_sym_abstract] = ACTIONS(11366),
    [anon_sym_primitive] = ACTIONS(11366),
    [anon_sym_mutable] = ACTIONS(11366),
    [anon_sym_struct] = ACTIONS(11366),
    [anon_sym_function] = ACTIONS(11366),
    [anon_sym_macro] = ACTIONS(11366),
    [anon_sym_quote] = ACTIONS(11366),
    [anon_sym_let] = ACTIONS(11366),
    [anon_sym_if] = ACTIONS(11366),
    [anon_sym_try] = ACTIONS(11366),
    [anon_sym_for] = ACTIONS(11366),
    [anon_sym_while] = ACTIONS(11366),
    [sym_break_statement] = ACTIONS(11366),
    [sym_continue_statement] = ACTIONS(11366),
    [anon_sym_return] = ACTIONS(11366),
    [anon_sym_const] = ACTIONS(11366),
    [anon_sym_global] = ACTIONS(11366),
    [anon_sym_local] = ACTIONS(11366),
    [anon_sym_LPAREN] = ACTIONS(11368),
    [anon_sym_RPAREN] = ACTIONS(11368),
    [anon_sym_COLON] = ACTIONS(11366),
    [anon_sym_export] = ACTIONS(11366),
    [anon_sym_public] = ACTIONS(11366),
    [anon_sym_import] = ACTIONS(11366),
    [anon_sym_using] = ACTIONS(11366),
    [anon_sym_LBRACK] = ACTIONS(11368),
    [anon_sym_RBRACK] = ACTIONS(11368),
    [anon_sym_in] = ACTIONS(11366),
    [anon_sym_SEMI] = ACTIONS(11368),
    [anon_sym_LBRACE] = ACTIONS(11368),
    [anon_sym_RBRACE] = ACTIONS(11368),
    [anon_sym_DOLLAR] = ACTIONS(11368),
    [anon_sym_COLON2] = ACTIONS(11366),
    [anon_sym_COLON_COLON] = ACTIONS(11368),
    [anon_sym_isa] = ACTIONS(11366),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11368),
    [anon_sym_QMARK] = ACTIONS(11368),
    [anon_sym_where] = ACTIONS(11366),
    [anon_sym_AT] = ACTIONS(11368),
    [anon_sym_true] = ACTIONS(11366),
    [anon_sym_false] = ACTIONS(11366),
    [aux_sym_integer_literal_token1] = ACTIONS(11368),
    [aux_sym_integer_literal_token2] = ACTIONS(11368),
    [aux_sym_integer_literal_token3] = ACTIONS(11366),
    [aux_sym_integer_literal_token4] = ACTIONS(11366),
    [aux_sym_float_literal_token1] = ACTIONS(11368),
    [aux_sym_float_literal_token3] = ACTIONS(11368),
    [aux_sym_float_literal_token4] = ACTIONS(11368),
    [sym_character_literal] = ACTIONS(11368),
    [anon_sym_DQUOTE] = ACTIONS(11366),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11368),
    [anon_sym_BQUOTE] = ACTIONS(11366),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11368),
    [sym__pair_operator] = ACTIONS(11368),
    [sym__arrow_operator] = ACTIONS(11366),
    [sym__lazy_or_operator] = ACTIONS(11368),
    [sym__lazy_and_operator] = ACTIONS(11368),
    [sym__comparison_operator] = ACTIONS(11366),
    [sym__pipe_right_operator] = ACTIONS(11368),
    [sym__pipe_left_operator] = ACTIONS(11368),
    [sym__ellipsis_operator] = ACTIONS(11366),
    [sym__plus_operator] = ACTIONS(11366),
    [sym__times_operator] = ACTIONS(11366),
    [sym__rational_operator] = ACTIONS(11368),
    [sym__bitshift_operator] = ACTIONS(11368),
    [sym__power_operator] = ACTIONS(11368),
    [sym__tilde_operator] = ACTIONS(11368),
    [sym__type_order_operator] = ACTIONS(11368),
    [sym__unary_operator] = ACTIONS(11366),
    [sym__unary_plus_operator] = ACTIONS(11366),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8784] = {
    [sym_block_comment] = STATE(8784),
    [sym_line_comment] = STATE(8784),
    [sym__word_identifier] = ACTIONS(11370),
    [anon_sym_COMMA] = ACTIONS(11372),
    [anon_sym_EQ] = ACTIONS(11370),
    [anon_sym_begin] = ACTIONS(11370),
    [anon_sym_module] = ACTIONS(11370),
    [anon_sym_baremodule] = ACTIONS(11370),
    [anon_sym_abstract] = ACTIONS(11370),
    [anon_sym_primitive] = ACTIONS(11370),
    [anon_sym_mutable] = ACTIONS(11370),
    [anon_sym_struct] = ACTIONS(11370),
    [anon_sym_function] = ACTIONS(11370),
    [anon_sym_macro] = ACTIONS(11370),
    [anon_sym_quote] = ACTIONS(11370),
    [anon_sym_let] = ACTIONS(11370),
    [anon_sym_if] = ACTIONS(11370),
    [anon_sym_try] = ACTIONS(11370),
    [anon_sym_for] = ACTIONS(11370),
    [anon_sym_while] = ACTIONS(11370),
    [sym_break_statement] = ACTIONS(11370),
    [sym_continue_statement] = ACTIONS(11370),
    [anon_sym_return] = ACTIONS(11370),
    [anon_sym_const] = ACTIONS(11370),
    [anon_sym_global] = ACTIONS(11370),
    [anon_sym_local] = ACTIONS(11370),
    [anon_sym_LPAREN] = ACTIONS(11372),
    [anon_sym_RPAREN] = ACTIONS(11372),
    [anon_sym_COLON] = ACTIONS(11370),
    [anon_sym_export] = ACTIONS(11370),
    [anon_sym_public] = ACTIONS(11370),
    [anon_sym_import] = ACTIONS(11370),
    [anon_sym_using] = ACTIONS(11370),
    [anon_sym_LBRACK] = ACTIONS(11372),
    [anon_sym_RBRACK] = ACTIONS(11372),
    [anon_sym_in] = ACTIONS(11370),
    [anon_sym_SEMI] = ACTIONS(11372),
    [anon_sym_LBRACE] = ACTIONS(11372),
    [anon_sym_RBRACE] = ACTIONS(11372),
    [anon_sym_DOLLAR] = ACTIONS(11372),
    [anon_sym_COLON2] = ACTIONS(11370),
    [anon_sym_COLON_COLON] = ACTIONS(11372),
    [anon_sym_isa] = ACTIONS(11370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11372),
    [anon_sym_QMARK] = ACTIONS(11372),
    [anon_sym_where] = ACTIONS(11370),
    [anon_sym_AT] = ACTIONS(11372),
    [anon_sym_true] = ACTIONS(11370),
    [anon_sym_false] = ACTIONS(11370),
    [aux_sym_integer_literal_token1] = ACTIONS(11372),
    [aux_sym_integer_literal_token2] = ACTIONS(11372),
    [aux_sym_integer_literal_token3] = ACTIONS(11370),
    [aux_sym_integer_literal_token4] = ACTIONS(11370),
    [aux_sym_float_literal_token1] = ACTIONS(11372),
    [aux_sym_float_literal_token3] = ACTIONS(11372),
    [aux_sym_float_literal_token4] = ACTIONS(11372),
    [sym_character_literal] = ACTIONS(11372),
    [anon_sym_DQUOTE] = ACTIONS(11370),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11372),
    [anon_sym_BQUOTE] = ACTIONS(11370),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11372),
    [sym__pair_operator] = ACTIONS(11372),
    [sym__arrow_operator] = ACTIONS(11370),
    [sym__lazy_or_operator] = ACTIONS(11372),
    [sym__lazy_and_operator] = ACTIONS(11372),
    [sym__comparison_operator] = ACTIONS(11370),
    [sym__pipe_right_operator] = ACTIONS(11372),
    [sym__pipe_left_operator] = ACTIONS(11372),
    [sym__ellipsis_operator] = ACTIONS(11370),
    [sym__plus_operator] = ACTIONS(11370),
    [sym__times_operator] = ACTIONS(11370),
    [sym__rational_operator] = ACTIONS(11372),
    [sym__bitshift_operator] = ACTIONS(11372),
    [sym__power_operator] = ACTIONS(11372),
    [sym__tilde_operator] = ACTIONS(11372),
    [sym__type_order_operator] = ACTIONS(11372),
    [sym__unary_operator] = ACTIONS(11370),
    [sym__unary_plus_operator] = ACTIONS(11370),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8785] = {
    [sym_block_comment] = STATE(8785),
    [sym_line_comment] = STATE(8785),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10315),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10315),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10315),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_SEMI] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10315),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10315),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10315),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10315),
    [anon_sym_QMARK] = ACTIONS(10315),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10315),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10315),
    [aux_sym_integer_literal_token2] = ACTIONS(10315),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10315),
    [aux_sym_float_literal_token3] = ACTIONS(10315),
    [aux_sym_float_literal_token4] = ACTIONS(10315),
    [sym_character_literal] = ACTIONS(10315),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10315),
    [sym__pair_operator] = ACTIONS(10315),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10315),
    [sym__lazy_and_operator] = ACTIONS(10315),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10315),
    [sym__pipe_left_operator] = ACTIONS(10315),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10315),
    [sym__bitshift_operator] = ACTIONS(10315),
    [sym__power_operator] = ACTIONS(10315),
    [sym__tilde_operator] = ACTIONS(10315),
    [sym__type_order_operator] = ACTIONS(10315),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym__terminator_token1] = ACTIONS(10317),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8786] = {
    [sym_block_comment] = STATE(8786),
    [sym_line_comment] = STATE(8786),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10870),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10870),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10870),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10870),
    [anon_sym_DOLLAR] = ACTIONS(10870),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10870),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10870),
    [anon_sym_QMARK] = ACTIONS(10870),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10870),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10870),
    [aux_sym_integer_literal_token2] = ACTIONS(10870),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10870),
    [aux_sym_float_literal_token3] = ACTIONS(10870),
    [aux_sym_float_literal_token4] = ACTIONS(10870),
    [sym_character_literal] = ACTIONS(10870),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10870),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10870),
    [sym__pair_operator] = ACTIONS(10870),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10870),
    [sym__lazy_and_operator] = ACTIONS(10870),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10870),
    [sym__pipe_left_operator] = ACTIONS(10870),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10870),
    [sym__bitshift_operator] = ACTIONS(10870),
    [sym__power_operator] = ACTIONS(10870),
    [sym__tilde_operator] = ACTIONS(10870),
    [sym__type_order_operator] = ACTIONS(10870),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10870),
    [sym__immediate_bracket] = ACTIONS(10870),
    [sym__immediate_brace] = ACTIONS(10870),
  },
  [8787] = {
    [sym_block_comment] = STATE(8787),
    [sym_line_comment] = STATE(8787),
    [sym__word_identifier] = ACTIONS(11370),
    [anon_sym_COMMA] = ACTIONS(11370),
    [anon_sym_EQ] = ACTIONS(11370),
    [anon_sym_begin] = ACTIONS(11370),
    [anon_sym_module] = ACTIONS(11370),
    [anon_sym_baremodule] = ACTIONS(11370),
    [anon_sym_end] = ACTIONS(11370),
    [anon_sym_abstract] = ACTIONS(11370),
    [anon_sym_primitive] = ACTIONS(11370),
    [anon_sym_mutable] = ACTIONS(11370),
    [anon_sym_struct] = ACTIONS(11370),
    [anon_sym_function] = ACTIONS(11370),
    [anon_sym_macro] = ACTIONS(11370),
    [anon_sym_quote] = ACTIONS(11370),
    [anon_sym_let] = ACTIONS(11370),
    [anon_sym_if] = ACTIONS(11370),
    [anon_sym_try] = ACTIONS(11370),
    [anon_sym_catch] = ACTIONS(11370),
    [anon_sym_for] = ACTIONS(11370),
    [anon_sym_while] = ACTIONS(11370),
    [sym_break_statement] = ACTIONS(11370),
    [sym_continue_statement] = ACTIONS(11370),
    [anon_sym_return] = ACTIONS(11370),
    [anon_sym_const] = ACTIONS(11370),
    [anon_sym_global] = ACTIONS(11370),
    [anon_sym_local] = ACTIONS(11370),
    [anon_sym_LPAREN] = ACTIONS(11370),
    [anon_sym_COLON] = ACTIONS(11370),
    [anon_sym_export] = ACTIONS(11370),
    [anon_sym_public] = ACTIONS(11370),
    [anon_sym_import] = ACTIONS(11370),
    [anon_sym_using] = ACTIONS(11370),
    [anon_sym_LBRACK] = ACTIONS(11370),
    [anon_sym_in] = ACTIONS(11370),
    [anon_sym_SEMI] = ACTIONS(11370),
    [anon_sym_LBRACE] = ACTIONS(11370),
    [anon_sym_DOLLAR] = ACTIONS(11370),
    [anon_sym_COLON2] = ACTIONS(11370),
    [anon_sym_COLON_COLON] = ACTIONS(11370),
    [anon_sym_isa] = ACTIONS(11370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11370),
    [anon_sym_QMARK] = ACTIONS(11370),
    [anon_sym_where] = ACTIONS(11370),
    [anon_sym_AT] = ACTIONS(11370),
    [anon_sym_true] = ACTIONS(11370),
    [anon_sym_false] = ACTIONS(11370),
    [aux_sym_integer_literal_token1] = ACTIONS(11370),
    [aux_sym_integer_literal_token2] = ACTIONS(11370),
    [aux_sym_integer_literal_token3] = ACTIONS(11370),
    [aux_sym_integer_literal_token4] = ACTIONS(11370),
    [aux_sym_float_literal_token1] = ACTIONS(11370),
    [aux_sym_float_literal_token3] = ACTIONS(11370),
    [aux_sym_float_literal_token4] = ACTIONS(11370),
    [sym_character_literal] = ACTIONS(11370),
    [anon_sym_DQUOTE] = ACTIONS(11370),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11370),
    [anon_sym_BQUOTE] = ACTIONS(11370),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11370),
    [sym__pair_operator] = ACTIONS(11370),
    [sym__arrow_operator] = ACTIONS(11370),
    [sym__lazy_or_operator] = ACTIONS(11370),
    [sym__lazy_and_operator] = ACTIONS(11370),
    [sym__comparison_operator] = ACTIONS(11370),
    [sym__pipe_right_operator] = ACTIONS(11370),
    [sym__pipe_left_operator] = ACTIONS(11370),
    [sym__ellipsis_operator] = ACTIONS(11370),
    [sym__plus_operator] = ACTIONS(11370),
    [sym__times_operator] = ACTIONS(11370),
    [sym__rational_operator] = ACTIONS(11370),
    [sym__bitshift_operator] = ACTIONS(11370),
    [sym__power_operator] = ACTIONS(11370),
    [sym__tilde_operator] = ACTIONS(11370),
    [sym__type_order_operator] = ACTIONS(11370),
    [sym__unary_operator] = ACTIONS(11370),
    [sym__unary_plus_operator] = ACTIONS(11370),
    [aux_sym__terminator_token1] = ACTIONS(11372),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8788] = {
    [sym_block_comment] = STATE(8788),
    [sym_line_comment] = STATE(8788),
    [ts_builtin_sym_end] = ACTIONS(11260),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_RBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8789] = {
    [sym_block_comment] = STATE(8789),
    [sym_line_comment] = STATE(8789),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_catch] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8790] = {
    [sym_block_comment] = STATE(8790),
    [sym_line_comment] = STATE(8790),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11788),
    [anon_sym_EQ] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_catch] = ACTIONS(11788),
    [anon_sym_finally] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8791] = {
    [sym_block_comment] = STATE(8791),
    [sym_line_comment] = STATE(8791),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11380),
    [sym__bitshift_operator] = ACTIONS(11380),
    [sym__power_operator] = ACTIONS(11380),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8792] = {
    [sym_block_comment] = STATE(8792),
    [sym_line_comment] = STATE(8792),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12153),
    [anon_sym_EQ] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12153),
    [anon_sym_RPAREN] = ACTIONS(12153),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12153),
    [anon_sym_RBRACK] = ACTIONS(12153),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(12153),
    [anon_sym_LBRACE] = ACTIONS(12153),
    [anon_sym_RBRACE] = ACTIONS(12153),
    [anon_sym_DOLLAR] = ACTIONS(12153),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(12153),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12153),
    [aux_sym_integer_literal_token2] = ACTIONS(12153),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12153),
    [aux_sym_float_literal_token3] = ACTIONS(12153),
    [aux_sym_float_literal_token4] = ACTIONS(12153),
    [sym_character_literal] = ACTIONS(12153),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12153),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12153),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(12153),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8793] = {
    [sym_block_comment] = STATE(8793),
    [sym_line_comment] = STATE(8793),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11384),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11384),
    [anon_sym_RPAREN] = ACTIONS(11384),
    [anon_sym_COLON] = ACTIONS(11382),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11384),
    [anon_sym_RBRACK] = ACTIONS(11384),
    [anon_sym_in] = ACTIONS(11382),
    [anon_sym_SEMI] = ACTIONS(11384),
    [anon_sym_LBRACE] = ACTIONS(11384),
    [anon_sym_RBRACE] = ACTIONS(11384),
    [anon_sym_DOLLAR] = ACTIONS(11384),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11384),
    [anon_sym_isa] = ACTIONS(11382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11384),
    [anon_sym_QMARK] = ACTIONS(11384),
    [anon_sym_where] = ACTIONS(11382),
    [anon_sym_AT] = ACTIONS(11384),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11384),
    [aux_sym_integer_literal_token2] = ACTIONS(11384),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11384),
    [aux_sym_float_literal_token3] = ACTIONS(11384),
    [aux_sym_float_literal_token4] = ACTIONS(11384),
    [sym_character_literal] = ACTIONS(11384),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11384),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11384),
    [sym__pair_operator] = ACTIONS(11384),
    [sym__arrow_operator] = ACTIONS(11382),
    [sym__lazy_or_operator] = ACTIONS(11384),
    [sym__lazy_and_operator] = ACTIONS(11384),
    [sym__comparison_operator] = ACTIONS(11382),
    [sym__pipe_right_operator] = ACTIONS(11384),
    [sym__pipe_left_operator] = ACTIONS(11384),
    [sym__ellipsis_operator] = ACTIONS(11382),
    [sym__plus_operator] = ACTIONS(11382),
    [sym__times_operator] = ACTIONS(11382),
    [sym__rational_operator] = ACTIONS(11384),
    [sym__bitshift_operator] = ACTIONS(11384),
    [sym__power_operator] = ACTIONS(11384),
    [sym__tilde_operator] = ACTIONS(11384),
    [sym__type_order_operator] = ACTIONS(11384),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(11382),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8794] = {
    [sym_block_comment] = STATE(8794),
    [sym_line_comment] = STATE(8794),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_finally] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8795] = {
    [sym_block_comment] = STATE(8795),
    [sym_line_comment] = STATE(8795),
    [ts_builtin_sym_end] = ACTIONS(11306),
    [sym__word_identifier] = ACTIONS(11304),
    [anon_sym_COMMA] = ACTIONS(11304),
    [anon_sym_EQ] = ACTIONS(11304),
    [anon_sym_begin] = ACTIONS(11304),
    [anon_sym_module] = ACTIONS(11304),
    [anon_sym_baremodule] = ACTIONS(11304),
    [anon_sym_abstract] = ACTIONS(11304),
    [anon_sym_primitive] = ACTIONS(11304),
    [anon_sym_mutable] = ACTIONS(11304),
    [anon_sym_struct] = ACTIONS(11304),
    [anon_sym_function] = ACTIONS(11304),
    [anon_sym_macro] = ACTIONS(11304),
    [anon_sym_quote] = ACTIONS(11304),
    [anon_sym_let] = ACTIONS(11304),
    [anon_sym_if] = ACTIONS(11304),
    [anon_sym_try] = ACTIONS(11304),
    [anon_sym_for] = ACTIONS(11304),
    [anon_sym_while] = ACTIONS(11304),
    [sym_break_statement] = ACTIONS(11304),
    [sym_continue_statement] = ACTIONS(11304),
    [anon_sym_return] = ACTIONS(11304),
    [anon_sym_const] = ACTIONS(11304),
    [anon_sym_global] = ACTIONS(11304),
    [anon_sym_local] = ACTIONS(11304),
    [anon_sym_LPAREN] = ACTIONS(11304),
    [anon_sym_COLON] = ACTIONS(11304),
    [anon_sym_export] = ACTIONS(11304),
    [anon_sym_public] = ACTIONS(11304),
    [anon_sym_import] = ACTIONS(11304),
    [anon_sym_using] = ACTIONS(11304),
    [anon_sym_LBRACK] = ACTIONS(11304),
    [anon_sym_RBRACK] = ACTIONS(11304),
    [anon_sym_in] = ACTIONS(11304),
    [anon_sym_SEMI] = ACTIONS(11304),
    [anon_sym_LBRACE] = ACTIONS(11304),
    [anon_sym_DOLLAR] = ACTIONS(11304),
    [anon_sym_COLON2] = ACTIONS(11304),
    [anon_sym_COLON_COLON] = ACTIONS(11304),
    [anon_sym_isa] = ACTIONS(11304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11304),
    [anon_sym_QMARK] = ACTIONS(11304),
    [anon_sym_where] = ACTIONS(11304),
    [anon_sym_AT] = ACTIONS(11304),
    [anon_sym_true] = ACTIONS(11304),
    [anon_sym_false] = ACTIONS(11304),
    [aux_sym_integer_literal_token1] = ACTIONS(11304),
    [aux_sym_integer_literal_token2] = ACTIONS(11304),
    [aux_sym_integer_literal_token3] = ACTIONS(11304),
    [aux_sym_integer_literal_token4] = ACTIONS(11304),
    [aux_sym_float_literal_token1] = ACTIONS(11304),
    [aux_sym_float_literal_token3] = ACTIONS(11304),
    [aux_sym_float_literal_token4] = ACTIONS(11304),
    [sym_character_literal] = ACTIONS(11304),
    [anon_sym_DQUOTE] = ACTIONS(11304),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11304),
    [anon_sym_BQUOTE] = ACTIONS(11304),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11304),
    [sym__pair_operator] = ACTIONS(11304),
    [sym__arrow_operator] = ACTIONS(11304),
    [sym__lazy_or_operator] = ACTIONS(11304),
    [sym__lazy_and_operator] = ACTIONS(11304),
    [sym__comparison_operator] = ACTIONS(11304),
    [sym__pipe_right_operator] = ACTIONS(11304),
    [sym__pipe_left_operator] = ACTIONS(11304),
    [sym__ellipsis_operator] = ACTIONS(11304),
    [sym__plus_operator] = ACTIONS(11304),
    [sym__times_operator] = ACTIONS(11304),
    [sym__rational_operator] = ACTIONS(11304),
    [sym__bitshift_operator] = ACTIONS(11304),
    [sym__power_operator] = ACTIONS(11304),
    [sym__tilde_operator] = ACTIONS(11304),
    [sym__type_order_operator] = ACTIONS(11304),
    [sym__unary_operator] = ACTIONS(11304),
    [sym__unary_plus_operator] = ACTIONS(11304),
    [aux_sym__terminator_token1] = ACTIONS(11306),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8796] = {
    [sym_block_comment] = STATE(8796),
    [sym_line_comment] = STATE(8796),
    [sym__word_identifier] = ACTIONS(11386),
    [anon_sym_COMMA] = ACTIONS(11388),
    [anon_sym_EQ] = ACTIONS(11386),
    [anon_sym_begin] = ACTIONS(11386),
    [anon_sym_module] = ACTIONS(11386),
    [anon_sym_baremodule] = ACTIONS(11386),
    [anon_sym_abstract] = ACTIONS(11386),
    [anon_sym_primitive] = ACTIONS(11386),
    [anon_sym_mutable] = ACTIONS(11386),
    [anon_sym_struct] = ACTIONS(11386),
    [anon_sym_function] = ACTIONS(11386),
    [anon_sym_macro] = ACTIONS(11386),
    [anon_sym_quote] = ACTIONS(11386),
    [anon_sym_let] = ACTIONS(11386),
    [anon_sym_if] = ACTIONS(11386),
    [anon_sym_try] = ACTIONS(11386),
    [anon_sym_for] = ACTIONS(11386),
    [anon_sym_while] = ACTIONS(11386),
    [sym_break_statement] = ACTIONS(11386),
    [sym_continue_statement] = ACTIONS(11386),
    [anon_sym_return] = ACTIONS(11386),
    [anon_sym_const] = ACTIONS(11386),
    [anon_sym_global] = ACTIONS(11386),
    [anon_sym_local] = ACTIONS(11386),
    [anon_sym_LPAREN] = ACTIONS(11388),
    [anon_sym_RPAREN] = ACTIONS(11388),
    [anon_sym_COLON] = ACTIONS(11386),
    [anon_sym_export] = ACTIONS(11386),
    [anon_sym_public] = ACTIONS(11386),
    [anon_sym_import] = ACTIONS(11386),
    [anon_sym_using] = ACTIONS(11386),
    [anon_sym_LBRACK] = ACTIONS(11388),
    [anon_sym_RBRACK] = ACTIONS(11388),
    [anon_sym_in] = ACTIONS(11386),
    [anon_sym_SEMI] = ACTIONS(11388),
    [anon_sym_LBRACE] = ACTIONS(11388),
    [anon_sym_RBRACE] = ACTIONS(11388),
    [anon_sym_DOLLAR] = ACTIONS(11388),
    [anon_sym_COLON2] = ACTIONS(11386),
    [anon_sym_COLON_COLON] = ACTIONS(11388),
    [anon_sym_isa] = ACTIONS(11386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11388),
    [anon_sym_QMARK] = ACTIONS(11388),
    [anon_sym_where] = ACTIONS(11386),
    [anon_sym_AT] = ACTIONS(11388),
    [anon_sym_true] = ACTIONS(11386),
    [anon_sym_false] = ACTIONS(11386),
    [aux_sym_integer_literal_token1] = ACTIONS(11388),
    [aux_sym_integer_literal_token2] = ACTIONS(11388),
    [aux_sym_integer_literal_token3] = ACTIONS(11386),
    [aux_sym_integer_literal_token4] = ACTIONS(11386),
    [aux_sym_float_literal_token1] = ACTIONS(11388),
    [aux_sym_float_literal_token3] = ACTIONS(11388),
    [aux_sym_float_literal_token4] = ACTIONS(11388),
    [sym_character_literal] = ACTIONS(11388),
    [anon_sym_DQUOTE] = ACTIONS(11386),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11388),
    [anon_sym_BQUOTE] = ACTIONS(11386),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11388),
    [sym__pair_operator] = ACTIONS(11388),
    [sym__arrow_operator] = ACTIONS(11386),
    [sym__lazy_or_operator] = ACTIONS(11388),
    [sym__lazy_and_operator] = ACTIONS(11388),
    [sym__comparison_operator] = ACTIONS(11386),
    [sym__pipe_right_operator] = ACTIONS(11388),
    [sym__pipe_left_operator] = ACTIONS(11388),
    [sym__ellipsis_operator] = ACTIONS(11386),
    [sym__plus_operator] = ACTIONS(11386),
    [sym__times_operator] = ACTIONS(11386),
    [sym__rational_operator] = ACTIONS(11388),
    [sym__bitshift_operator] = ACTIONS(11388),
    [sym__power_operator] = ACTIONS(11388),
    [sym__tilde_operator] = ACTIONS(11388),
    [sym__type_order_operator] = ACTIONS(11388),
    [sym__unary_operator] = ACTIONS(11386),
    [sym__unary_plus_operator] = ACTIONS(11386),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8797] = {
    [sym_block_comment] = STATE(8797),
    [sym_line_comment] = STATE(8797),
    [sym__word_identifier] = ACTIONS(11390),
    [anon_sym_COMMA] = ACTIONS(11392),
    [anon_sym_EQ] = ACTIONS(11390),
    [anon_sym_begin] = ACTIONS(11390),
    [anon_sym_module] = ACTIONS(11390),
    [anon_sym_baremodule] = ACTIONS(11390),
    [anon_sym_abstract] = ACTIONS(11390),
    [anon_sym_primitive] = ACTIONS(11390),
    [anon_sym_mutable] = ACTIONS(11390),
    [anon_sym_struct] = ACTIONS(11390),
    [anon_sym_function] = ACTIONS(11390),
    [anon_sym_macro] = ACTIONS(11390),
    [anon_sym_quote] = ACTIONS(11390),
    [anon_sym_let] = ACTIONS(11390),
    [anon_sym_if] = ACTIONS(11390),
    [anon_sym_try] = ACTIONS(11390),
    [anon_sym_for] = ACTIONS(11390),
    [anon_sym_while] = ACTIONS(11390),
    [sym_break_statement] = ACTIONS(11390),
    [sym_continue_statement] = ACTIONS(11390),
    [anon_sym_return] = ACTIONS(11390),
    [anon_sym_const] = ACTIONS(11390),
    [anon_sym_global] = ACTIONS(11390),
    [anon_sym_local] = ACTIONS(11390),
    [anon_sym_LPAREN] = ACTIONS(11392),
    [anon_sym_RPAREN] = ACTIONS(11392),
    [anon_sym_COLON] = ACTIONS(11390),
    [anon_sym_export] = ACTIONS(11390),
    [anon_sym_public] = ACTIONS(11390),
    [anon_sym_import] = ACTIONS(11390),
    [anon_sym_using] = ACTIONS(11390),
    [anon_sym_LBRACK] = ACTIONS(11392),
    [anon_sym_RBRACK] = ACTIONS(11392),
    [anon_sym_in] = ACTIONS(11390),
    [anon_sym_SEMI] = ACTIONS(11392),
    [anon_sym_LBRACE] = ACTIONS(11392),
    [anon_sym_RBRACE] = ACTIONS(11392),
    [anon_sym_DOLLAR] = ACTIONS(11392),
    [anon_sym_COLON2] = ACTIONS(11390),
    [anon_sym_COLON_COLON] = ACTIONS(11392),
    [anon_sym_isa] = ACTIONS(11390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11392),
    [anon_sym_QMARK] = ACTIONS(11392),
    [anon_sym_where] = ACTIONS(11390),
    [anon_sym_AT] = ACTIONS(11392),
    [anon_sym_true] = ACTIONS(11390),
    [anon_sym_false] = ACTIONS(11390),
    [aux_sym_integer_literal_token1] = ACTIONS(11392),
    [aux_sym_integer_literal_token2] = ACTIONS(11392),
    [aux_sym_integer_literal_token3] = ACTIONS(11390),
    [aux_sym_integer_literal_token4] = ACTIONS(11390),
    [aux_sym_float_literal_token1] = ACTIONS(11392),
    [aux_sym_float_literal_token3] = ACTIONS(11392),
    [aux_sym_float_literal_token4] = ACTIONS(11392),
    [sym_character_literal] = ACTIONS(11392),
    [anon_sym_DQUOTE] = ACTIONS(11390),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11392),
    [anon_sym_BQUOTE] = ACTIONS(11390),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11392),
    [sym__pair_operator] = ACTIONS(11392),
    [sym__arrow_operator] = ACTIONS(11390),
    [sym__lazy_or_operator] = ACTIONS(11392),
    [sym__lazy_and_operator] = ACTIONS(11392),
    [sym__comparison_operator] = ACTIONS(11390),
    [sym__pipe_right_operator] = ACTIONS(11392),
    [sym__pipe_left_operator] = ACTIONS(11392),
    [sym__ellipsis_operator] = ACTIONS(11390),
    [sym__plus_operator] = ACTIONS(11390),
    [sym__times_operator] = ACTIONS(11390),
    [sym__rational_operator] = ACTIONS(11392),
    [sym__bitshift_operator] = ACTIONS(11392),
    [sym__power_operator] = ACTIONS(11392),
    [sym__tilde_operator] = ACTIONS(11392),
    [sym__type_order_operator] = ACTIONS(11392),
    [sym__unary_operator] = ACTIONS(11390),
    [sym__unary_plus_operator] = ACTIONS(11390),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8798] = {
    [sym_block_comment] = STATE(8798),
    [sym_line_comment] = STATE(8798),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8799] = {
    [sym_block_comment] = STATE(8799),
    [sym_line_comment] = STATE(8799),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11790),
    [anon_sym_EQ] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11790),
    [anon_sym_RPAREN] = ACTIONS(11790),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11790),
    [anon_sym_RBRACK] = ACTIONS(11790),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11790),
    [anon_sym_LBRACE] = ACTIONS(11790),
    [anon_sym_RBRACE] = ACTIONS(11790),
    [anon_sym_DOLLAR] = ACTIONS(11790),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11790),
    [anon_sym_QMARK] = ACTIONS(11790),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11790),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11790),
    [aux_sym_integer_literal_token2] = ACTIONS(11790),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11790),
    [aux_sym_float_literal_token3] = ACTIONS(11790),
    [aux_sym_float_literal_token4] = ACTIONS(11790),
    [sym_character_literal] = ACTIONS(11790),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11790),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11790),
    [sym__pair_operator] = ACTIONS(11790),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11790),
    [sym__lazy_and_operator] = ACTIONS(11790),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11790),
    [sym__pipe_left_operator] = ACTIONS(11790),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11790),
    [sym__type_order_operator] = ACTIONS(11790),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8800] = {
    [sym_block_comment] = STATE(8800),
    [sym_line_comment] = STATE(8800),
    [sym__word_identifier] = ACTIONS(11394),
    [anon_sym_COMMA] = ACTIONS(11396),
    [anon_sym_EQ] = ACTIONS(11394),
    [anon_sym_begin] = ACTIONS(11394),
    [anon_sym_module] = ACTIONS(11394),
    [anon_sym_baremodule] = ACTIONS(11394),
    [anon_sym_abstract] = ACTIONS(11394),
    [anon_sym_primitive] = ACTIONS(11394),
    [anon_sym_mutable] = ACTIONS(11394),
    [anon_sym_struct] = ACTIONS(11394),
    [anon_sym_function] = ACTIONS(11394),
    [anon_sym_macro] = ACTIONS(11394),
    [anon_sym_quote] = ACTIONS(11394),
    [anon_sym_let] = ACTIONS(11394),
    [anon_sym_if] = ACTIONS(11394),
    [anon_sym_try] = ACTIONS(11394),
    [anon_sym_for] = ACTIONS(11394),
    [anon_sym_while] = ACTIONS(11394),
    [sym_break_statement] = ACTIONS(11394),
    [sym_continue_statement] = ACTIONS(11394),
    [anon_sym_return] = ACTIONS(11394),
    [anon_sym_const] = ACTIONS(11394),
    [anon_sym_global] = ACTIONS(11394),
    [anon_sym_local] = ACTIONS(11394),
    [anon_sym_LPAREN] = ACTIONS(11396),
    [anon_sym_RPAREN] = ACTIONS(11396),
    [anon_sym_COLON] = ACTIONS(11394),
    [anon_sym_export] = ACTIONS(11394),
    [anon_sym_public] = ACTIONS(11394),
    [anon_sym_import] = ACTIONS(11394),
    [anon_sym_using] = ACTIONS(11394),
    [anon_sym_LBRACK] = ACTIONS(11396),
    [anon_sym_RBRACK] = ACTIONS(11396),
    [anon_sym_in] = ACTIONS(11394),
    [anon_sym_SEMI] = ACTIONS(11396),
    [anon_sym_LBRACE] = ACTIONS(11396),
    [anon_sym_RBRACE] = ACTIONS(11396),
    [anon_sym_DOLLAR] = ACTIONS(11396),
    [anon_sym_COLON2] = ACTIONS(11394),
    [anon_sym_COLON_COLON] = ACTIONS(11396),
    [anon_sym_isa] = ACTIONS(11394),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11396),
    [anon_sym_QMARK] = ACTIONS(11396),
    [anon_sym_where] = ACTIONS(11394),
    [anon_sym_AT] = ACTIONS(11396),
    [anon_sym_true] = ACTIONS(11394),
    [anon_sym_false] = ACTIONS(11394),
    [aux_sym_integer_literal_token1] = ACTIONS(11396),
    [aux_sym_integer_literal_token2] = ACTIONS(11396),
    [aux_sym_integer_literal_token3] = ACTIONS(11394),
    [aux_sym_integer_literal_token4] = ACTIONS(11394),
    [aux_sym_float_literal_token1] = ACTIONS(11396),
    [aux_sym_float_literal_token3] = ACTIONS(11396),
    [aux_sym_float_literal_token4] = ACTIONS(11396),
    [sym_character_literal] = ACTIONS(11396),
    [anon_sym_DQUOTE] = ACTIONS(11394),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11396),
    [anon_sym_BQUOTE] = ACTIONS(11394),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11396),
    [sym__pair_operator] = ACTIONS(11396),
    [sym__arrow_operator] = ACTIONS(11394),
    [sym__lazy_or_operator] = ACTIONS(11396),
    [sym__lazy_and_operator] = ACTIONS(11396),
    [sym__comparison_operator] = ACTIONS(11394),
    [sym__pipe_right_operator] = ACTIONS(11396),
    [sym__pipe_left_operator] = ACTIONS(11396),
    [sym__ellipsis_operator] = ACTIONS(11394),
    [sym__plus_operator] = ACTIONS(11394),
    [sym__times_operator] = ACTIONS(11394),
    [sym__rational_operator] = ACTIONS(11396),
    [sym__bitshift_operator] = ACTIONS(11396),
    [sym__power_operator] = ACTIONS(11396),
    [sym__tilde_operator] = ACTIONS(11396),
    [sym__type_order_operator] = ACTIONS(11396),
    [sym__unary_operator] = ACTIONS(11394),
    [sym__unary_plus_operator] = ACTIONS(11394),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8801] = {
    [sym_block_comment] = STATE(8801),
    [sym_line_comment] = STATE(8801),
    [sym__word_identifier] = ACTIONS(11398),
    [anon_sym_COMMA] = ACTIONS(11400),
    [anon_sym_EQ] = ACTIONS(11398),
    [anon_sym_begin] = ACTIONS(11398),
    [anon_sym_module] = ACTIONS(11398),
    [anon_sym_baremodule] = ACTIONS(11398),
    [anon_sym_abstract] = ACTIONS(11398),
    [anon_sym_primitive] = ACTIONS(11398),
    [anon_sym_mutable] = ACTIONS(11398),
    [anon_sym_struct] = ACTIONS(11398),
    [anon_sym_function] = ACTIONS(11398),
    [anon_sym_macro] = ACTIONS(11398),
    [anon_sym_quote] = ACTIONS(11398),
    [anon_sym_let] = ACTIONS(11398),
    [anon_sym_if] = ACTIONS(11398),
    [anon_sym_try] = ACTIONS(11398),
    [anon_sym_for] = ACTIONS(11398),
    [anon_sym_while] = ACTIONS(11398),
    [sym_break_statement] = ACTIONS(11398),
    [sym_continue_statement] = ACTIONS(11398),
    [anon_sym_return] = ACTIONS(11398),
    [anon_sym_const] = ACTIONS(11398),
    [anon_sym_global] = ACTIONS(11398),
    [anon_sym_local] = ACTIONS(11398),
    [anon_sym_LPAREN] = ACTIONS(11400),
    [anon_sym_RPAREN] = ACTIONS(11400),
    [anon_sym_COLON] = ACTIONS(11398),
    [anon_sym_export] = ACTIONS(11398),
    [anon_sym_public] = ACTIONS(11398),
    [anon_sym_import] = ACTIONS(11398),
    [anon_sym_using] = ACTIONS(11398),
    [anon_sym_LBRACK] = ACTIONS(11400),
    [anon_sym_RBRACK] = ACTIONS(11400),
    [anon_sym_in] = ACTIONS(11398),
    [anon_sym_SEMI] = ACTIONS(11400),
    [anon_sym_LBRACE] = ACTIONS(11400),
    [anon_sym_RBRACE] = ACTIONS(11400),
    [anon_sym_DOLLAR] = ACTIONS(11400),
    [anon_sym_COLON2] = ACTIONS(11398),
    [anon_sym_COLON_COLON] = ACTIONS(11400),
    [anon_sym_isa] = ACTIONS(11398),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11400),
    [anon_sym_QMARK] = ACTIONS(11400),
    [anon_sym_where] = ACTIONS(11398),
    [anon_sym_AT] = ACTIONS(11400),
    [anon_sym_true] = ACTIONS(11398),
    [anon_sym_false] = ACTIONS(11398),
    [aux_sym_integer_literal_token1] = ACTIONS(11400),
    [aux_sym_integer_literal_token2] = ACTIONS(11400),
    [aux_sym_integer_literal_token3] = ACTIONS(11398),
    [aux_sym_integer_literal_token4] = ACTIONS(11398),
    [aux_sym_float_literal_token1] = ACTIONS(11400),
    [aux_sym_float_literal_token3] = ACTIONS(11400),
    [aux_sym_float_literal_token4] = ACTIONS(11400),
    [sym_character_literal] = ACTIONS(11400),
    [anon_sym_DQUOTE] = ACTIONS(11398),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11400),
    [anon_sym_BQUOTE] = ACTIONS(11398),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11400),
    [sym__pair_operator] = ACTIONS(11400),
    [sym__arrow_operator] = ACTIONS(11398),
    [sym__lazy_or_operator] = ACTIONS(11400),
    [sym__lazy_and_operator] = ACTIONS(11400),
    [sym__comparison_operator] = ACTIONS(11398),
    [sym__pipe_right_operator] = ACTIONS(11400),
    [sym__pipe_left_operator] = ACTIONS(11400),
    [sym__ellipsis_operator] = ACTIONS(11398),
    [sym__plus_operator] = ACTIONS(11398),
    [sym__times_operator] = ACTIONS(11398),
    [sym__rational_operator] = ACTIONS(11400),
    [sym__bitshift_operator] = ACTIONS(11400),
    [sym__power_operator] = ACTIONS(11400),
    [sym__tilde_operator] = ACTIONS(11400),
    [sym__type_order_operator] = ACTIONS(11400),
    [sym__unary_operator] = ACTIONS(11398),
    [sym__unary_plus_operator] = ACTIONS(11398),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8802] = {
    [sym_block_comment] = STATE(8802),
    [sym_line_comment] = STATE(8802),
    [sym__word_identifier] = ACTIONS(11402),
    [anon_sym_COMMA] = ACTIONS(11404),
    [anon_sym_EQ] = ACTIONS(11402),
    [anon_sym_begin] = ACTIONS(11402),
    [anon_sym_module] = ACTIONS(11402),
    [anon_sym_baremodule] = ACTIONS(11402),
    [anon_sym_abstract] = ACTIONS(11402),
    [anon_sym_primitive] = ACTIONS(11402),
    [anon_sym_mutable] = ACTIONS(11402),
    [anon_sym_struct] = ACTIONS(11402),
    [anon_sym_function] = ACTIONS(11402),
    [anon_sym_macro] = ACTIONS(11402),
    [anon_sym_quote] = ACTIONS(11402),
    [anon_sym_let] = ACTIONS(11402),
    [anon_sym_if] = ACTIONS(11402),
    [anon_sym_try] = ACTIONS(11402),
    [anon_sym_for] = ACTIONS(11402),
    [anon_sym_while] = ACTIONS(11402),
    [sym_break_statement] = ACTIONS(11402),
    [sym_continue_statement] = ACTIONS(11402),
    [anon_sym_return] = ACTIONS(11402),
    [anon_sym_const] = ACTIONS(11402),
    [anon_sym_global] = ACTIONS(11402),
    [anon_sym_local] = ACTIONS(11402),
    [anon_sym_LPAREN] = ACTIONS(11404),
    [anon_sym_RPAREN] = ACTIONS(11404),
    [anon_sym_COLON] = ACTIONS(11402),
    [anon_sym_export] = ACTIONS(11402),
    [anon_sym_public] = ACTIONS(11402),
    [anon_sym_import] = ACTIONS(11402),
    [anon_sym_using] = ACTIONS(11402),
    [anon_sym_LBRACK] = ACTIONS(11404),
    [anon_sym_RBRACK] = ACTIONS(11404),
    [anon_sym_in] = ACTIONS(11402),
    [anon_sym_SEMI] = ACTIONS(11404),
    [anon_sym_LBRACE] = ACTIONS(11404),
    [anon_sym_RBRACE] = ACTIONS(11404),
    [anon_sym_DOLLAR] = ACTIONS(11404),
    [anon_sym_COLON2] = ACTIONS(11402),
    [anon_sym_COLON_COLON] = ACTIONS(11404),
    [anon_sym_isa] = ACTIONS(11402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11404),
    [anon_sym_QMARK] = ACTIONS(11404),
    [anon_sym_where] = ACTIONS(11402),
    [anon_sym_AT] = ACTIONS(11404),
    [anon_sym_true] = ACTIONS(11402),
    [anon_sym_false] = ACTIONS(11402),
    [aux_sym_integer_literal_token1] = ACTIONS(11404),
    [aux_sym_integer_literal_token2] = ACTIONS(11404),
    [aux_sym_integer_literal_token3] = ACTIONS(11402),
    [aux_sym_integer_literal_token4] = ACTIONS(11402),
    [aux_sym_float_literal_token1] = ACTIONS(11404),
    [aux_sym_float_literal_token3] = ACTIONS(11404),
    [aux_sym_float_literal_token4] = ACTIONS(11404),
    [sym_character_literal] = ACTIONS(11404),
    [anon_sym_DQUOTE] = ACTIONS(11402),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11404),
    [anon_sym_BQUOTE] = ACTIONS(11402),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11404),
    [sym__pair_operator] = ACTIONS(11404),
    [sym__arrow_operator] = ACTIONS(11402),
    [sym__lazy_or_operator] = ACTIONS(11404),
    [sym__lazy_and_operator] = ACTIONS(11404),
    [sym__comparison_operator] = ACTIONS(11402),
    [sym__pipe_right_operator] = ACTIONS(11404),
    [sym__pipe_left_operator] = ACTIONS(11404),
    [sym__ellipsis_operator] = ACTIONS(11402),
    [sym__plus_operator] = ACTIONS(11402),
    [sym__times_operator] = ACTIONS(11402),
    [sym__rational_operator] = ACTIONS(11404),
    [sym__bitshift_operator] = ACTIONS(11404),
    [sym__power_operator] = ACTIONS(11404),
    [sym__tilde_operator] = ACTIONS(11404),
    [sym__type_order_operator] = ACTIONS(11404),
    [sym__unary_operator] = ACTIONS(11402),
    [sym__unary_plus_operator] = ACTIONS(11402),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8803] = {
    [sym_block_comment] = STATE(8803),
    [sym_line_comment] = STATE(8803),
    [sym__word_identifier] = ACTIONS(11406),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_EQ] = ACTIONS(11406),
    [anon_sym_begin] = ACTIONS(11406),
    [anon_sym_module] = ACTIONS(11406),
    [anon_sym_baremodule] = ACTIONS(11406),
    [anon_sym_abstract] = ACTIONS(11406),
    [anon_sym_primitive] = ACTIONS(11406),
    [anon_sym_mutable] = ACTIONS(11406),
    [anon_sym_struct] = ACTIONS(11406),
    [anon_sym_function] = ACTIONS(11406),
    [anon_sym_macro] = ACTIONS(11406),
    [anon_sym_quote] = ACTIONS(11406),
    [anon_sym_let] = ACTIONS(11406),
    [anon_sym_if] = ACTIONS(11406),
    [anon_sym_try] = ACTIONS(11406),
    [anon_sym_for] = ACTIONS(11406),
    [anon_sym_while] = ACTIONS(11406),
    [sym_break_statement] = ACTIONS(11406),
    [sym_continue_statement] = ACTIONS(11406),
    [anon_sym_return] = ACTIONS(11406),
    [anon_sym_const] = ACTIONS(11406),
    [anon_sym_global] = ACTIONS(11406),
    [anon_sym_local] = ACTIONS(11406),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_RPAREN] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11406),
    [anon_sym_export] = ACTIONS(11406),
    [anon_sym_public] = ACTIONS(11406),
    [anon_sym_import] = ACTIONS(11406),
    [anon_sym_using] = ACTIONS(11406),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_RBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11406),
    [anon_sym_SEMI] = ACTIONS(11408),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_RBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11406),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_where] = ACTIONS(11406),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11406),
    [anon_sym_false] = ACTIONS(11406),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11406),
    [aux_sym_integer_literal_token4] = ACTIONS(11406),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [anon_sym_DQUOTE] = ACTIONS(11406),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11408),
    [anon_sym_BQUOTE] = ACTIONS(11406),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11406),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11406),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11406),
    [sym__plus_operator] = ACTIONS(11406),
    [sym__times_operator] = ACTIONS(11406),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11406),
    [sym__unary_plus_operator] = ACTIONS(11406),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8804] = {
    [sym_block_comment] = STATE(8804),
    [sym_line_comment] = STATE(8804),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_catch] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(11704),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(11704),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11704),
    [anon_sym_isa] = ACTIONS(11704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11704),
    [anon_sym_QMARK] = ACTIONS(11704),
    [anon_sym_where] = ACTIONS(11704),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(11704),
    [sym__arrow_operator] = ACTIONS(11704),
    [sym__lazy_or_operator] = ACTIONS(11704),
    [sym__lazy_and_operator] = ACTIONS(11704),
    [sym__comparison_operator] = ACTIONS(11704),
    [sym__pipe_right_operator] = ACTIONS(11704),
    [sym__pipe_left_operator] = ACTIONS(11704),
    [sym__ellipsis_operator] = ACTIONS(11704),
    [sym__plus_operator] = ACTIONS(11704),
    [sym__times_operator] = ACTIONS(11704),
    [sym__rational_operator] = ACTIONS(11704),
    [sym__bitshift_operator] = ACTIONS(11704),
    [sym__power_operator] = ACTIONS(11704),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(11704),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(11704),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8805] = {
    [sym_block_comment] = STATE(8805),
    [sym_line_comment] = STATE(8805),
    [sym__word_identifier] = ACTIONS(11410),
    [anon_sym_COMMA] = ACTIONS(11412),
    [anon_sym_EQ] = ACTIONS(11410),
    [anon_sym_begin] = ACTIONS(11410),
    [anon_sym_module] = ACTIONS(11410),
    [anon_sym_baremodule] = ACTIONS(11410),
    [anon_sym_abstract] = ACTIONS(11410),
    [anon_sym_primitive] = ACTIONS(11410),
    [anon_sym_mutable] = ACTIONS(11410),
    [anon_sym_struct] = ACTIONS(11410),
    [anon_sym_function] = ACTIONS(11410),
    [anon_sym_macro] = ACTIONS(11410),
    [anon_sym_quote] = ACTIONS(11410),
    [anon_sym_let] = ACTIONS(11410),
    [anon_sym_if] = ACTIONS(11410),
    [anon_sym_try] = ACTIONS(11410),
    [anon_sym_for] = ACTIONS(11410),
    [anon_sym_while] = ACTIONS(11410),
    [sym_break_statement] = ACTIONS(11410),
    [sym_continue_statement] = ACTIONS(11410),
    [anon_sym_return] = ACTIONS(11410),
    [anon_sym_const] = ACTIONS(11410),
    [anon_sym_global] = ACTIONS(11410),
    [anon_sym_local] = ACTIONS(11410),
    [anon_sym_LPAREN] = ACTIONS(11412),
    [anon_sym_RPAREN] = ACTIONS(11412),
    [anon_sym_COLON] = ACTIONS(11410),
    [anon_sym_export] = ACTIONS(11410),
    [anon_sym_public] = ACTIONS(11410),
    [anon_sym_import] = ACTIONS(11410),
    [anon_sym_using] = ACTIONS(11410),
    [anon_sym_LBRACK] = ACTIONS(11412),
    [anon_sym_RBRACK] = ACTIONS(11412),
    [anon_sym_in] = ACTIONS(11410),
    [anon_sym_SEMI] = ACTIONS(11412),
    [anon_sym_LBRACE] = ACTIONS(11412),
    [anon_sym_RBRACE] = ACTIONS(11412),
    [anon_sym_DOLLAR] = ACTIONS(11412),
    [anon_sym_COLON2] = ACTIONS(11410),
    [anon_sym_COLON_COLON] = ACTIONS(11412),
    [anon_sym_isa] = ACTIONS(11410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11412),
    [anon_sym_QMARK] = ACTIONS(11412),
    [anon_sym_where] = ACTIONS(11410),
    [anon_sym_AT] = ACTIONS(11412),
    [anon_sym_true] = ACTIONS(11410),
    [anon_sym_false] = ACTIONS(11410),
    [aux_sym_integer_literal_token1] = ACTIONS(11412),
    [aux_sym_integer_literal_token2] = ACTIONS(11412),
    [aux_sym_integer_literal_token3] = ACTIONS(11410),
    [aux_sym_integer_literal_token4] = ACTIONS(11410),
    [aux_sym_float_literal_token1] = ACTIONS(11412),
    [aux_sym_float_literal_token3] = ACTIONS(11412),
    [aux_sym_float_literal_token4] = ACTIONS(11412),
    [sym_character_literal] = ACTIONS(11412),
    [anon_sym_DQUOTE] = ACTIONS(11410),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11412),
    [anon_sym_BQUOTE] = ACTIONS(11410),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11412),
    [sym__pair_operator] = ACTIONS(11412),
    [sym__arrow_operator] = ACTIONS(11410),
    [sym__lazy_or_operator] = ACTIONS(11412),
    [sym__lazy_and_operator] = ACTIONS(11412),
    [sym__comparison_operator] = ACTIONS(11410),
    [sym__pipe_right_operator] = ACTIONS(11412),
    [sym__pipe_left_operator] = ACTIONS(11412),
    [sym__ellipsis_operator] = ACTIONS(11410),
    [sym__plus_operator] = ACTIONS(11410),
    [sym__times_operator] = ACTIONS(11410),
    [sym__rational_operator] = ACTIONS(11412),
    [sym__bitshift_operator] = ACTIONS(11412),
    [sym__power_operator] = ACTIONS(11412),
    [sym__tilde_operator] = ACTIONS(11412),
    [sym__type_order_operator] = ACTIONS(11412),
    [sym__unary_operator] = ACTIONS(11410),
    [sym__unary_plus_operator] = ACTIONS(11410),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8806] = {
    [sym_block_comment] = STATE(8806),
    [sym_line_comment] = STATE(8806),
    [sym__word_identifier] = ACTIONS(11414),
    [anon_sym_COMMA] = ACTIONS(11416),
    [anon_sym_EQ] = ACTIONS(11414),
    [anon_sym_begin] = ACTIONS(11414),
    [anon_sym_module] = ACTIONS(11414),
    [anon_sym_baremodule] = ACTIONS(11414),
    [anon_sym_abstract] = ACTIONS(11414),
    [anon_sym_primitive] = ACTIONS(11414),
    [anon_sym_mutable] = ACTIONS(11414),
    [anon_sym_struct] = ACTIONS(11414),
    [anon_sym_function] = ACTIONS(11414),
    [anon_sym_macro] = ACTIONS(11414),
    [anon_sym_quote] = ACTIONS(11414),
    [anon_sym_let] = ACTIONS(11414),
    [anon_sym_if] = ACTIONS(11414),
    [anon_sym_try] = ACTIONS(11414),
    [anon_sym_for] = ACTIONS(11414),
    [anon_sym_while] = ACTIONS(11414),
    [sym_break_statement] = ACTIONS(11414),
    [sym_continue_statement] = ACTIONS(11414),
    [anon_sym_return] = ACTIONS(11414),
    [anon_sym_const] = ACTIONS(11414),
    [anon_sym_global] = ACTIONS(11414),
    [anon_sym_local] = ACTIONS(11414),
    [anon_sym_LPAREN] = ACTIONS(11416),
    [anon_sym_RPAREN] = ACTIONS(11416),
    [anon_sym_COLON] = ACTIONS(11414),
    [anon_sym_export] = ACTIONS(11414),
    [anon_sym_public] = ACTIONS(11414),
    [anon_sym_import] = ACTIONS(11414),
    [anon_sym_using] = ACTIONS(11414),
    [anon_sym_LBRACK] = ACTIONS(11416),
    [anon_sym_RBRACK] = ACTIONS(11416),
    [anon_sym_in] = ACTIONS(11414),
    [anon_sym_SEMI] = ACTIONS(11416),
    [anon_sym_LBRACE] = ACTIONS(11416),
    [anon_sym_RBRACE] = ACTIONS(11416),
    [anon_sym_DOLLAR] = ACTIONS(11416),
    [anon_sym_COLON2] = ACTIONS(11414),
    [anon_sym_COLON_COLON] = ACTIONS(11416),
    [anon_sym_isa] = ACTIONS(11414),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11416),
    [anon_sym_QMARK] = ACTIONS(11416),
    [anon_sym_where] = ACTIONS(11414),
    [anon_sym_AT] = ACTIONS(11416),
    [anon_sym_true] = ACTIONS(11414),
    [anon_sym_false] = ACTIONS(11414),
    [aux_sym_integer_literal_token1] = ACTIONS(11416),
    [aux_sym_integer_literal_token2] = ACTIONS(11416),
    [aux_sym_integer_literal_token3] = ACTIONS(11414),
    [aux_sym_integer_literal_token4] = ACTIONS(11414),
    [aux_sym_float_literal_token1] = ACTIONS(11416),
    [aux_sym_float_literal_token3] = ACTIONS(11416),
    [aux_sym_float_literal_token4] = ACTIONS(11416),
    [sym_character_literal] = ACTIONS(11416),
    [anon_sym_DQUOTE] = ACTIONS(11414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11416),
    [anon_sym_BQUOTE] = ACTIONS(11414),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11416),
    [sym__pair_operator] = ACTIONS(11416),
    [sym__arrow_operator] = ACTIONS(11414),
    [sym__lazy_or_operator] = ACTIONS(11416),
    [sym__lazy_and_operator] = ACTIONS(11416),
    [sym__comparison_operator] = ACTIONS(11414),
    [sym__pipe_right_operator] = ACTIONS(11416),
    [sym__pipe_left_operator] = ACTIONS(11416),
    [sym__ellipsis_operator] = ACTIONS(11414),
    [sym__plus_operator] = ACTIONS(11414),
    [sym__times_operator] = ACTIONS(11414),
    [sym__rational_operator] = ACTIONS(11416),
    [sym__bitshift_operator] = ACTIONS(11416),
    [sym__power_operator] = ACTIONS(11416),
    [sym__tilde_operator] = ACTIONS(11416),
    [sym__type_order_operator] = ACTIONS(11416),
    [sym__unary_operator] = ACTIONS(11414),
    [sym__unary_plus_operator] = ACTIONS(11414),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8807] = {
    [sym_block_comment] = STATE(8807),
    [sym_line_comment] = STATE(8807),
    [sym__word_identifier] = ACTIONS(11418),
    [anon_sym_COMMA] = ACTIONS(11420),
    [anon_sym_EQ] = ACTIONS(11418),
    [anon_sym_begin] = ACTIONS(11418),
    [anon_sym_module] = ACTIONS(11418),
    [anon_sym_baremodule] = ACTIONS(11418),
    [anon_sym_abstract] = ACTIONS(11418),
    [anon_sym_primitive] = ACTIONS(11418),
    [anon_sym_mutable] = ACTIONS(11418),
    [anon_sym_struct] = ACTIONS(11418),
    [anon_sym_function] = ACTIONS(11418),
    [anon_sym_macro] = ACTIONS(11418),
    [anon_sym_quote] = ACTIONS(11418),
    [anon_sym_let] = ACTIONS(11418),
    [anon_sym_if] = ACTIONS(11418),
    [anon_sym_try] = ACTIONS(11418),
    [anon_sym_for] = ACTIONS(11418),
    [anon_sym_while] = ACTIONS(11418),
    [sym_break_statement] = ACTIONS(11418),
    [sym_continue_statement] = ACTIONS(11418),
    [anon_sym_return] = ACTIONS(11418),
    [anon_sym_const] = ACTIONS(11418),
    [anon_sym_global] = ACTIONS(11418),
    [anon_sym_local] = ACTIONS(11418),
    [anon_sym_LPAREN] = ACTIONS(11420),
    [anon_sym_RPAREN] = ACTIONS(11420),
    [anon_sym_COLON] = ACTIONS(11418),
    [anon_sym_export] = ACTIONS(11418),
    [anon_sym_public] = ACTIONS(11418),
    [anon_sym_import] = ACTIONS(11418),
    [anon_sym_using] = ACTIONS(11418),
    [anon_sym_LBRACK] = ACTIONS(11420),
    [anon_sym_RBRACK] = ACTIONS(11420),
    [anon_sym_in] = ACTIONS(11418),
    [anon_sym_SEMI] = ACTIONS(11420),
    [anon_sym_LBRACE] = ACTIONS(11420),
    [anon_sym_RBRACE] = ACTIONS(11420),
    [anon_sym_DOLLAR] = ACTIONS(11420),
    [anon_sym_COLON2] = ACTIONS(11418),
    [anon_sym_COLON_COLON] = ACTIONS(11420),
    [anon_sym_isa] = ACTIONS(11418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11420),
    [anon_sym_QMARK] = ACTIONS(11420),
    [anon_sym_where] = ACTIONS(11418),
    [anon_sym_AT] = ACTIONS(11420),
    [anon_sym_true] = ACTIONS(11418),
    [anon_sym_false] = ACTIONS(11418),
    [aux_sym_integer_literal_token1] = ACTIONS(11420),
    [aux_sym_integer_literal_token2] = ACTIONS(11420),
    [aux_sym_integer_literal_token3] = ACTIONS(11418),
    [aux_sym_integer_literal_token4] = ACTIONS(11418),
    [aux_sym_float_literal_token1] = ACTIONS(11420),
    [aux_sym_float_literal_token3] = ACTIONS(11420),
    [aux_sym_float_literal_token4] = ACTIONS(11420),
    [sym_character_literal] = ACTIONS(11420),
    [anon_sym_DQUOTE] = ACTIONS(11418),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11420),
    [anon_sym_BQUOTE] = ACTIONS(11418),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11420),
    [sym__pair_operator] = ACTIONS(11420),
    [sym__arrow_operator] = ACTIONS(11418),
    [sym__lazy_or_operator] = ACTIONS(11420),
    [sym__lazy_and_operator] = ACTIONS(11420),
    [sym__comparison_operator] = ACTIONS(11418),
    [sym__pipe_right_operator] = ACTIONS(11420),
    [sym__pipe_left_operator] = ACTIONS(11420),
    [sym__ellipsis_operator] = ACTIONS(11418),
    [sym__plus_operator] = ACTIONS(11418),
    [sym__times_operator] = ACTIONS(11418),
    [sym__rational_operator] = ACTIONS(11420),
    [sym__bitshift_operator] = ACTIONS(11420),
    [sym__power_operator] = ACTIONS(11420),
    [sym__tilde_operator] = ACTIONS(11420),
    [sym__type_order_operator] = ACTIONS(11420),
    [sym__unary_operator] = ACTIONS(11418),
    [sym__unary_plus_operator] = ACTIONS(11418),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8808] = {
    [sym_block_comment] = STATE(8808),
    [sym_line_comment] = STATE(8808),
    [sym__word_identifier] = ACTIONS(11422),
    [anon_sym_COMMA] = ACTIONS(11424),
    [anon_sym_EQ] = ACTIONS(11422),
    [anon_sym_begin] = ACTIONS(11422),
    [anon_sym_module] = ACTIONS(11422),
    [anon_sym_baremodule] = ACTIONS(11422),
    [anon_sym_abstract] = ACTIONS(11422),
    [anon_sym_primitive] = ACTIONS(11422),
    [anon_sym_mutable] = ACTIONS(11422),
    [anon_sym_struct] = ACTIONS(11422),
    [anon_sym_function] = ACTIONS(11422),
    [anon_sym_macro] = ACTIONS(11422),
    [anon_sym_quote] = ACTIONS(11422),
    [anon_sym_let] = ACTIONS(11422),
    [anon_sym_if] = ACTIONS(11422),
    [anon_sym_try] = ACTIONS(11422),
    [anon_sym_for] = ACTIONS(11422),
    [anon_sym_while] = ACTIONS(11422),
    [sym_break_statement] = ACTIONS(11422),
    [sym_continue_statement] = ACTIONS(11422),
    [anon_sym_return] = ACTIONS(11422),
    [anon_sym_const] = ACTIONS(11422),
    [anon_sym_global] = ACTIONS(11422),
    [anon_sym_local] = ACTIONS(11422),
    [anon_sym_LPAREN] = ACTIONS(11424),
    [anon_sym_RPAREN] = ACTIONS(11424),
    [anon_sym_COLON] = ACTIONS(11422),
    [anon_sym_export] = ACTIONS(11422),
    [anon_sym_public] = ACTIONS(11422),
    [anon_sym_import] = ACTIONS(11422),
    [anon_sym_using] = ACTIONS(11422),
    [anon_sym_LBRACK] = ACTIONS(11424),
    [anon_sym_RBRACK] = ACTIONS(11424),
    [anon_sym_in] = ACTIONS(11422),
    [anon_sym_SEMI] = ACTIONS(11424),
    [anon_sym_LBRACE] = ACTIONS(11424),
    [anon_sym_RBRACE] = ACTIONS(11424),
    [anon_sym_DOLLAR] = ACTIONS(11424),
    [anon_sym_COLON2] = ACTIONS(11422),
    [anon_sym_COLON_COLON] = ACTIONS(11424),
    [anon_sym_isa] = ACTIONS(11422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11424),
    [anon_sym_QMARK] = ACTIONS(11424),
    [anon_sym_where] = ACTIONS(11422),
    [anon_sym_AT] = ACTIONS(11424),
    [anon_sym_true] = ACTIONS(11422),
    [anon_sym_false] = ACTIONS(11422),
    [aux_sym_integer_literal_token1] = ACTIONS(11424),
    [aux_sym_integer_literal_token2] = ACTIONS(11424),
    [aux_sym_integer_literal_token3] = ACTIONS(11422),
    [aux_sym_integer_literal_token4] = ACTIONS(11422),
    [aux_sym_float_literal_token1] = ACTIONS(11424),
    [aux_sym_float_literal_token3] = ACTIONS(11424),
    [aux_sym_float_literal_token4] = ACTIONS(11424),
    [sym_character_literal] = ACTIONS(11424),
    [anon_sym_DQUOTE] = ACTIONS(11422),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11424),
    [anon_sym_BQUOTE] = ACTIONS(11422),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11424),
    [sym__pair_operator] = ACTIONS(11424),
    [sym__arrow_operator] = ACTIONS(11422),
    [sym__lazy_or_operator] = ACTIONS(11424),
    [sym__lazy_and_operator] = ACTIONS(11424),
    [sym__comparison_operator] = ACTIONS(11422),
    [sym__pipe_right_operator] = ACTIONS(11424),
    [sym__pipe_left_operator] = ACTIONS(11424),
    [sym__ellipsis_operator] = ACTIONS(11422),
    [sym__plus_operator] = ACTIONS(11422),
    [sym__times_operator] = ACTIONS(11422),
    [sym__rational_operator] = ACTIONS(11424),
    [sym__bitshift_operator] = ACTIONS(11424),
    [sym__power_operator] = ACTIONS(11424),
    [sym__tilde_operator] = ACTIONS(11424),
    [sym__type_order_operator] = ACTIONS(11424),
    [sym__unary_operator] = ACTIONS(11422),
    [sym__unary_plus_operator] = ACTIONS(11422),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8809] = {
    [sym_block_comment] = STATE(8809),
    [sym_line_comment] = STATE(8809),
    [sym__word_identifier] = ACTIONS(11426),
    [anon_sym_COMMA] = ACTIONS(11428),
    [anon_sym_EQ] = ACTIONS(11426),
    [anon_sym_begin] = ACTIONS(11426),
    [anon_sym_module] = ACTIONS(11426),
    [anon_sym_baremodule] = ACTIONS(11426),
    [anon_sym_abstract] = ACTIONS(11426),
    [anon_sym_primitive] = ACTIONS(11426),
    [anon_sym_mutable] = ACTIONS(11426),
    [anon_sym_struct] = ACTIONS(11426),
    [anon_sym_function] = ACTIONS(11426),
    [anon_sym_macro] = ACTIONS(11426),
    [anon_sym_quote] = ACTIONS(11426),
    [anon_sym_let] = ACTIONS(11426),
    [anon_sym_if] = ACTIONS(11426),
    [anon_sym_try] = ACTIONS(11426),
    [anon_sym_for] = ACTIONS(11426),
    [anon_sym_while] = ACTIONS(11426),
    [sym_break_statement] = ACTIONS(11426),
    [sym_continue_statement] = ACTIONS(11426),
    [anon_sym_return] = ACTIONS(11426),
    [anon_sym_const] = ACTIONS(11426),
    [anon_sym_global] = ACTIONS(11426),
    [anon_sym_local] = ACTIONS(11426),
    [anon_sym_LPAREN] = ACTIONS(11428),
    [anon_sym_RPAREN] = ACTIONS(11428),
    [anon_sym_COLON] = ACTIONS(11426),
    [anon_sym_export] = ACTIONS(11426),
    [anon_sym_public] = ACTIONS(11426),
    [anon_sym_import] = ACTIONS(11426),
    [anon_sym_using] = ACTIONS(11426),
    [anon_sym_LBRACK] = ACTIONS(11428),
    [anon_sym_RBRACK] = ACTIONS(11428),
    [anon_sym_in] = ACTIONS(11426),
    [anon_sym_SEMI] = ACTIONS(11428),
    [anon_sym_LBRACE] = ACTIONS(11428),
    [anon_sym_RBRACE] = ACTIONS(11428),
    [anon_sym_DOLLAR] = ACTIONS(11428),
    [anon_sym_COLON2] = ACTIONS(11426),
    [anon_sym_COLON_COLON] = ACTIONS(11428),
    [anon_sym_isa] = ACTIONS(11426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11428),
    [anon_sym_QMARK] = ACTIONS(11428),
    [anon_sym_where] = ACTIONS(11426),
    [anon_sym_AT] = ACTIONS(11428),
    [anon_sym_true] = ACTIONS(11426),
    [anon_sym_false] = ACTIONS(11426),
    [aux_sym_integer_literal_token1] = ACTIONS(11428),
    [aux_sym_integer_literal_token2] = ACTIONS(11428),
    [aux_sym_integer_literal_token3] = ACTIONS(11426),
    [aux_sym_integer_literal_token4] = ACTIONS(11426),
    [aux_sym_float_literal_token1] = ACTIONS(11428),
    [aux_sym_float_literal_token3] = ACTIONS(11428),
    [aux_sym_float_literal_token4] = ACTIONS(11428),
    [sym_character_literal] = ACTIONS(11428),
    [anon_sym_DQUOTE] = ACTIONS(11426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11428),
    [anon_sym_BQUOTE] = ACTIONS(11426),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11428),
    [sym__pair_operator] = ACTIONS(11428),
    [sym__arrow_operator] = ACTIONS(11426),
    [sym__lazy_or_operator] = ACTIONS(11428),
    [sym__lazy_and_operator] = ACTIONS(11428),
    [sym__comparison_operator] = ACTIONS(11426),
    [sym__pipe_right_operator] = ACTIONS(11428),
    [sym__pipe_left_operator] = ACTIONS(11428),
    [sym__ellipsis_operator] = ACTIONS(11426),
    [sym__plus_operator] = ACTIONS(11426),
    [sym__times_operator] = ACTIONS(11426),
    [sym__rational_operator] = ACTIONS(11428),
    [sym__bitshift_operator] = ACTIONS(11428),
    [sym__power_operator] = ACTIONS(11428),
    [sym__tilde_operator] = ACTIONS(11428),
    [sym__type_order_operator] = ACTIONS(11428),
    [sym__unary_operator] = ACTIONS(11426),
    [sym__unary_plus_operator] = ACTIONS(11426),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8810] = {
    [sym_block_comment] = STATE(8810),
    [sym_line_comment] = STATE(8810),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11102),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_catch] = ACTIONS(11102),
    [anon_sym_finally] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11102),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11102),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_SEMI] = ACTIONS(11102),
    [anon_sym_LBRACE] = ACTIONS(11102),
    [anon_sym_DOLLAR] = ACTIONS(11102),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11102),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11102),
    [anon_sym_QMARK] = ACTIONS(11102),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11102),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11102),
    [aux_sym_integer_literal_token2] = ACTIONS(11102),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11102),
    [aux_sym_float_literal_token3] = ACTIONS(11102),
    [aux_sym_float_literal_token4] = ACTIONS(11102),
    [sym_character_literal] = ACTIONS(11102),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(11102),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11102),
    [sym__lazy_and_operator] = ACTIONS(11102),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11102),
    [sym__pipe_left_operator] = ACTIONS(11102),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11102),
    [sym__bitshift_operator] = ACTIONS(11102),
    [sym__power_operator] = ACTIONS(11102),
    [sym__tilde_operator] = ACTIONS(11102),
    [sym__type_order_operator] = ACTIONS(11102),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym__terminator_token1] = ACTIONS(11104),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8811] = {
    [sym_block_comment] = STATE(8811),
    [sym_line_comment] = STATE(8811),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(10427),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_catch] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8812] = {
    [sym_block_comment] = STATE(8812),
    [sym_line_comment] = STATE(8812),
    [sym__word_identifier] = ACTIONS(11481),
    [anon_sym_COMMA] = ACTIONS(11483),
    [anon_sym_EQ] = ACTIONS(11481),
    [anon_sym_begin] = ACTIONS(11481),
    [anon_sym_module] = ACTIONS(11481),
    [anon_sym_baremodule] = ACTIONS(11481),
    [anon_sym_abstract] = ACTIONS(11481),
    [anon_sym_primitive] = ACTIONS(11481),
    [anon_sym_mutable] = ACTIONS(11481),
    [anon_sym_struct] = ACTIONS(11481),
    [anon_sym_function] = ACTIONS(11481),
    [anon_sym_macro] = ACTIONS(11481),
    [anon_sym_quote] = ACTIONS(11481),
    [anon_sym_let] = ACTIONS(11481),
    [anon_sym_if] = ACTIONS(11481),
    [anon_sym_try] = ACTIONS(11481),
    [anon_sym_for] = ACTIONS(11481),
    [anon_sym_while] = ACTIONS(11481),
    [sym_break_statement] = ACTIONS(11481),
    [sym_continue_statement] = ACTIONS(11481),
    [anon_sym_return] = ACTIONS(11481),
    [anon_sym_const] = ACTIONS(11481),
    [anon_sym_global] = ACTIONS(11481),
    [anon_sym_local] = ACTIONS(11481),
    [anon_sym_LPAREN] = ACTIONS(11483),
    [anon_sym_RPAREN] = ACTIONS(11483),
    [anon_sym_COLON] = ACTIONS(11481),
    [anon_sym_export] = ACTIONS(11481),
    [anon_sym_public] = ACTIONS(11481),
    [anon_sym_import] = ACTIONS(11481),
    [anon_sym_using] = ACTIONS(11481),
    [anon_sym_LBRACK] = ACTIONS(11483),
    [anon_sym_RBRACK] = ACTIONS(11483),
    [anon_sym_in] = ACTIONS(11481),
    [anon_sym_SEMI] = ACTIONS(11483),
    [anon_sym_LBRACE] = ACTIONS(11483),
    [anon_sym_RBRACE] = ACTIONS(11483),
    [anon_sym_DOLLAR] = ACTIONS(11483),
    [anon_sym_COLON2] = ACTIONS(11481),
    [anon_sym_COLON_COLON] = ACTIONS(11483),
    [anon_sym_isa] = ACTIONS(11481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11483),
    [anon_sym_QMARK] = ACTIONS(11483),
    [anon_sym_where] = ACTIONS(11481),
    [anon_sym_AT] = ACTIONS(11483),
    [anon_sym_true] = ACTIONS(11481),
    [anon_sym_false] = ACTIONS(11481),
    [aux_sym_integer_literal_token1] = ACTIONS(11483),
    [aux_sym_integer_literal_token2] = ACTIONS(11483),
    [aux_sym_integer_literal_token3] = ACTIONS(11481),
    [aux_sym_integer_literal_token4] = ACTIONS(11481),
    [aux_sym_float_literal_token1] = ACTIONS(11483),
    [aux_sym_float_literal_token3] = ACTIONS(11483),
    [aux_sym_float_literal_token4] = ACTIONS(11483),
    [sym_character_literal] = ACTIONS(11483),
    [anon_sym_DQUOTE] = ACTIONS(11481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11483),
    [anon_sym_BQUOTE] = ACTIONS(11481),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11483),
    [sym__pair_operator] = ACTIONS(11483),
    [sym__arrow_operator] = ACTIONS(11481),
    [sym__lazy_or_operator] = ACTIONS(11483),
    [sym__lazy_and_operator] = ACTIONS(11483),
    [sym__comparison_operator] = ACTIONS(11481),
    [sym__pipe_right_operator] = ACTIONS(11483),
    [sym__pipe_left_operator] = ACTIONS(11483),
    [sym__ellipsis_operator] = ACTIONS(11481),
    [sym__plus_operator] = ACTIONS(11481),
    [sym__times_operator] = ACTIONS(11481),
    [sym__rational_operator] = ACTIONS(11483),
    [sym__bitshift_operator] = ACTIONS(11483),
    [sym__power_operator] = ACTIONS(11483),
    [sym__tilde_operator] = ACTIONS(11483),
    [sym__type_order_operator] = ACTIONS(11483),
    [sym__unary_operator] = ACTIONS(11481),
    [sym__unary_plus_operator] = ACTIONS(11481),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8813] = {
    [sym_block_comment] = STATE(8813),
    [sym_line_comment] = STATE(8813),
    [sym__word_identifier] = ACTIONS(11485),
    [anon_sym_COMMA] = ACTIONS(11487),
    [anon_sym_EQ] = ACTIONS(11485),
    [anon_sym_begin] = ACTIONS(11485),
    [anon_sym_module] = ACTIONS(11485),
    [anon_sym_baremodule] = ACTIONS(11485),
    [anon_sym_abstract] = ACTIONS(11485),
    [anon_sym_primitive] = ACTIONS(11485),
    [anon_sym_mutable] = ACTIONS(11485),
    [anon_sym_struct] = ACTIONS(11485),
    [anon_sym_function] = ACTIONS(11485),
    [anon_sym_macro] = ACTIONS(11485),
    [anon_sym_quote] = ACTIONS(11485),
    [anon_sym_let] = ACTIONS(11485),
    [anon_sym_if] = ACTIONS(11485),
    [anon_sym_try] = ACTIONS(11485),
    [anon_sym_for] = ACTIONS(11485),
    [anon_sym_while] = ACTIONS(11485),
    [sym_break_statement] = ACTIONS(11485),
    [sym_continue_statement] = ACTIONS(11485),
    [anon_sym_return] = ACTIONS(11485),
    [anon_sym_const] = ACTIONS(11485),
    [anon_sym_global] = ACTIONS(11485),
    [anon_sym_local] = ACTIONS(11485),
    [anon_sym_LPAREN] = ACTIONS(11487),
    [anon_sym_RPAREN] = ACTIONS(11487),
    [anon_sym_COLON] = ACTIONS(11485),
    [anon_sym_export] = ACTIONS(11485),
    [anon_sym_public] = ACTIONS(11485),
    [anon_sym_import] = ACTIONS(11485),
    [anon_sym_using] = ACTIONS(11485),
    [anon_sym_LBRACK] = ACTIONS(11487),
    [anon_sym_RBRACK] = ACTIONS(11487),
    [anon_sym_in] = ACTIONS(11485),
    [anon_sym_SEMI] = ACTIONS(11487),
    [anon_sym_LBRACE] = ACTIONS(11487),
    [anon_sym_RBRACE] = ACTIONS(11487),
    [anon_sym_DOLLAR] = ACTIONS(11487),
    [anon_sym_COLON2] = ACTIONS(11485),
    [anon_sym_COLON_COLON] = ACTIONS(11487),
    [anon_sym_isa] = ACTIONS(11485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11487),
    [anon_sym_QMARK] = ACTIONS(11487),
    [anon_sym_where] = ACTIONS(11485),
    [anon_sym_AT] = ACTIONS(11487),
    [anon_sym_true] = ACTIONS(11485),
    [anon_sym_false] = ACTIONS(11485),
    [aux_sym_integer_literal_token1] = ACTIONS(11487),
    [aux_sym_integer_literal_token2] = ACTIONS(11487),
    [aux_sym_integer_literal_token3] = ACTIONS(11485),
    [aux_sym_integer_literal_token4] = ACTIONS(11485),
    [aux_sym_float_literal_token1] = ACTIONS(11487),
    [aux_sym_float_literal_token3] = ACTIONS(11487),
    [aux_sym_float_literal_token4] = ACTIONS(11487),
    [sym_character_literal] = ACTIONS(11487),
    [anon_sym_DQUOTE] = ACTIONS(11485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11487),
    [anon_sym_BQUOTE] = ACTIONS(11485),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11487),
    [sym__pair_operator] = ACTIONS(11487),
    [sym__arrow_operator] = ACTIONS(11485),
    [sym__lazy_or_operator] = ACTIONS(11487),
    [sym__lazy_and_operator] = ACTIONS(11487),
    [sym__comparison_operator] = ACTIONS(11485),
    [sym__pipe_right_operator] = ACTIONS(11487),
    [sym__pipe_left_operator] = ACTIONS(11487),
    [sym__ellipsis_operator] = ACTIONS(11485),
    [sym__plus_operator] = ACTIONS(11485),
    [sym__times_operator] = ACTIONS(11485),
    [sym__rational_operator] = ACTIONS(11487),
    [sym__bitshift_operator] = ACTIONS(11487),
    [sym__power_operator] = ACTIONS(11487),
    [sym__tilde_operator] = ACTIONS(11487),
    [sym__type_order_operator] = ACTIONS(11487),
    [sym__unary_operator] = ACTIONS(11485),
    [sym__unary_plus_operator] = ACTIONS(11485),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8814] = {
    [sym_block_comment] = STATE(8814),
    [sym_line_comment] = STATE(8814),
    [sym__word_identifier] = ACTIONS(11489),
    [anon_sym_COMMA] = ACTIONS(11491),
    [anon_sym_EQ] = ACTIONS(11489),
    [anon_sym_begin] = ACTIONS(11489),
    [anon_sym_module] = ACTIONS(11489),
    [anon_sym_baremodule] = ACTIONS(11489),
    [anon_sym_abstract] = ACTIONS(11489),
    [anon_sym_primitive] = ACTIONS(11489),
    [anon_sym_mutable] = ACTIONS(11489),
    [anon_sym_struct] = ACTIONS(11489),
    [anon_sym_function] = ACTIONS(11489),
    [anon_sym_macro] = ACTIONS(11489),
    [anon_sym_quote] = ACTIONS(11489),
    [anon_sym_let] = ACTIONS(11489),
    [anon_sym_if] = ACTIONS(11489),
    [anon_sym_try] = ACTIONS(11489),
    [anon_sym_for] = ACTIONS(11489),
    [anon_sym_while] = ACTIONS(11489),
    [sym_break_statement] = ACTIONS(11489),
    [sym_continue_statement] = ACTIONS(11489),
    [anon_sym_return] = ACTIONS(11489),
    [anon_sym_const] = ACTIONS(11489),
    [anon_sym_global] = ACTIONS(11489),
    [anon_sym_local] = ACTIONS(11489),
    [anon_sym_LPAREN] = ACTIONS(11491),
    [anon_sym_RPAREN] = ACTIONS(11491),
    [anon_sym_COLON] = ACTIONS(11489),
    [anon_sym_export] = ACTIONS(11489),
    [anon_sym_public] = ACTIONS(11489),
    [anon_sym_import] = ACTIONS(11489),
    [anon_sym_using] = ACTIONS(11489),
    [anon_sym_LBRACK] = ACTIONS(11491),
    [anon_sym_RBRACK] = ACTIONS(11491),
    [anon_sym_in] = ACTIONS(11489),
    [anon_sym_SEMI] = ACTIONS(11491),
    [anon_sym_LBRACE] = ACTIONS(11491),
    [anon_sym_RBRACE] = ACTIONS(11491),
    [anon_sym_DOLLAR] = ACTIONS(11491),
    [anon_sym_COLON2] = ACTIONS(11489),
    [anon_sym_COLON_COLON] = ACTIONS(11491),
    [anon_sym_isa] = ACTIONS(11489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11491),
    [anon_sym_QMARK] = ACTIONS(11491),
    [anon_sym_where] = ACTIONS(11489),
    [anon_sym_AT] = ACTIONS(11491),
    [anon_sym_true] = ACTIONS(11489),
    [anon_sym_false] = ACTIONS(11489),
    [aux_sym_integer_literal_token1] = ACTIONS(11491),
    [aux_sym_integer_literal_token2] = ACTIONS(11491),
    [aux_sym_integer_literal_token3] = ACTIONS(11489),
    [aux_sym_integer_literal_token4] = ACTIONS(11489),
    [aux_sym_float_literal_token1] = ACTIONS(11491),
    [aux_sym_float_literal_token3] = ACTIONS(11491),
    [aux_sym_float_literal_token4] = ACTIONS(11491),
    [sym_character_literal] = ACTIONS(11491),
    [anon_sym_DQUOTE] = ACTIONS(11489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11491),
    [anon_sym_BQUOTE] = ACTIONS(11489),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11491),
    [sym__pair_operator] = ACTIONS(11491),
    [sym__arrow_operator] = ACTIONS(11489),
    [sym__lazy_or_operator] = ACTIONS(11491),
    [sym__lazy_and_operator] = ACTIONS(11491),
    [sym__comparison_operator] = ACTIONS(11489),
    [sym__pipe_right_operator] = ACTIONS(11491),
    [sym__pipe_left_operator] = ACTIONS(11491),
    [sym__ellipsis_operator] = ACTIONS(11489),
    [sym__plus_operator] = ACTIONS(11489),
    [sym__times_operator] = ACTIONS(11489),
    [sym__rational_operator] = ACTIONS(11491),
    [sym__bitshift_operator] = ACTIONS(11491),
    [sym__power_operator] = ACTIONS(11491),
    [sym__tilde_operator] = ACTIONS(11491),
    [sym__type_order_operator] = ACTIONS(11491),
    [sym__unary_operator] = ACTIONS(11489),
    [sym__unary_plus_operator] = ACTIONS(11489),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8815] = {
    [sym_block_comment] = STATE(8815),
    [sym_line_comment] = STATE(8815),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11102),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_end] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_as] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11102),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11102),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_SEMI] = ACTIONS(11102),
    [anon_sym_LBRACE] = ACTIONS(11102),
    [anon_sym_DOLLAR] = ACTIONS(11102),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11102),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11102),
    [anon_sym_QMARK] = ACTIONS(11102),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11102),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11102),
    [aux_sym_integer_literal_token2] = ACTIONS(11102),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11102),
    [aux_sym_float_literal_token3] = ACTIONS(11102),
    [aux_sym_float_literal_token4] = ACTIONS(11102),
    [sym_character_literal] = ACTIONS(11102),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(11102),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11102),
    [sym__lazy_and_operator] = ACTIONS(11102),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11102),
    [sym__pipe_left_operator] = ACTIONS(11102),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11102),
    [sym__bitshift_operator] = ACTIONS(11102),
    [sym__power_operator] = ACTIONS(11102),
    [sym__tilde_operator] = ACTIONS(11102),
    [sym__type_order_operator] = ACTIONS(11102),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym__terminator_token1] = ACTIONS(11104),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8816] = {
    [sym_block_comment] = STATE(8816),
    [sym_line_comment] = STATE(8816),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(11154),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11154),
    [anon_sym_RPAREN] = ACTIONS(11154),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11154),
    [anon_sym_RBRACK] = ACTIONS(11154),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_SEMI] = ACTIONS(11154),
    [anon_sym_LBRACE] = ACTIONS(11154),
    [anon_sym_RBRACE] = ACTIONS(11154),
    [anon_sym_DOLLAR] = ACTIONS(11154),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11154),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11154),
    [anon_sym_QMARK] = ACTIONS(11154),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11154),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11154),
    [aux_sym_integer_literal_token2] = ACTIONS(11154),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11154),
    [aux_sym_float_literal_token3] = ACTIONS(11154),
    [aux_sym_float_literal_token4] = ACTIONS(11154),
    [sym_character_literal] = ACTIONS(11154),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11154),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11154),
    [sym__pair_operator] = ACTIONS(11154),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11154),
    [sym__lazy_and_operator] = ACTIONS(11154),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11154),
    [sym__pipe_left_operator] = ACTIONS(11154),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11154),
    [sym__bitshift_operator] = ACTIONS(11154),
    [sym__power_operator] = ACTIONS(11154),
    [sym__tilde_operator] = ACTIONS(11154),
    [sym__type_order_operator] = ACTIONS(11154),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8817] = {
    [sym_block_comment] = STATE(8817),
    [sym_line_comment] = STATE(8817),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11161),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11161),
    [anon_sym_RPAREN] = ACTIONS(11161),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11161),
    [anon_sym_RBRACK] = ACTIONS(11161),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11161),
    [anon_sym_LBRACE] = ACTIONS(11161),
    [anon_sym_RBRACE] = ACTIONS(11161),
    [anon_sym_DOLLAR] = ACTIONS(11161),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11161),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11161),
    [anon_sym_QMARK] = ACTIONS(11161),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11161),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11161),
    [aux_sym_integer_literal_token2] = ACTIONS(11161),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11161),
    [aux_sym_float_literal_token3] = ACTIONS(11161),
    [aux_sym_float_literal_token4] = ACTIONS(11161),
    [sym_character_literal] = ACTIONS(11161),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11161),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11161),
    [sym__pair_operator] = ACTIONS(11161),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11161),
    [sym__lazy_and_operator] = ACTIONS(11161),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11161),
    [sym__pipe_left_operator] = ACTIONS(11161),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11161),
    [sym__bitshift_operator] = ACTIONS(11161),
    [sym__power_operator] = ACTIONS(11161),
    [sym__tilde_operator] = ACTIONS(11161),
    [sym__type_order_operator] = ACTIONS(11161),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8818] = {
    [sym_block_comment] = STATE(8818),
    [sym_line_comment] = STATE(8818),
    [sym__word_identifier] = ACTIONS(11493),
    [anon_sym_COMMA] = ACTIONS(11495),
    [anon_sym_EQ] = ACTIONS(11493),
    [anon_sym_begin] = ACTIONS(11493),
    [anon_sym_module] = ACTIONS(11493),
    [anon_sym_baremodule] = ACTIONS(11493),
    [anon_sym_abstract] = ACTIONS(11493),
    [anon_sym_primitive] = ACTIONS(11493),
    [anon_sym_mutable] = ACTIONS(11493),
    [anon_sym_struct] = ACTIONS(11493),
    [anon_sym_function] = ACTIONS(11493),
    [anon_sym_macro] = ACTIONS(11493),
    [anon_sym_quote] = ACTIONS(11493),
    [anon_sym_let] = ACTIONS(11493),
    [anon_sym_if] = ACTIONS(11493),
    [anon_sym_try] = ACTIONS(11493),
    [anon_sym_for] = ACTIONS(11493),
    [anon_sym_while] = ACTIONS(11493),
    [sym_break_statement] = ACTIONS(11493),
    [sym_continue_statement] = ACTIONS(11493),
    [anon_sym_return] = ACTIONS(11493),
    [anon_sym_const] = ACTIONS(11493),
    [anon_sym_global] = ACTIONS(11493),
    [anon_sym_local] = ACTIONS(11493),
    [anon_sym_LPAREN] = ACTIONS(11495),
    [anon_sym_RPAREN] = ACTIONS(11495),
    [anon_sym_COLON] = ACTIONS(11493),
    [anon_sym_export] = ACTIONS(11493),
    [anon_sym_public] = ACTIONS(11493),
    [anon_sym_import] = ACTIONS(11493),
    [anon_sym_using] = ACTIONS(11493),
    [anon_sym_LBRACK] = ACTIONS(11495),
    [anon_sym_RBRACK] = ACTIONS(11495),
    [anon_sym_in] = ACTIONS(11493),
    [anon_sym_SEMI] = ACTIONS(11495),
    [anon_sym_LBRACE] = ACTIONS(11495),
    [anon_sym_RBRACE] = ACTIONS(11495),
    [anon_sym_DOLLAR] = ACTIONS(11495),
    [anon_sym_COLON2] = ACTIONS(11493),
    [anon_sym_COLON_COLON] = ACTIONS(11495),
    [anon_sym_isa] = ACTIONS(11493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11495),
    [anon_sym_QMARK] = ACTIONS(11495),
    [anon_sym_where] = ACTIONS(11493),
    [anon_sym_AT] = ACTIONS(11495),
    [anon_sym_true] = ACTIONS(11493),
    [anon_sym_false] = ACTIONS(11493),
    [aux_sym_integer_literal_token1] = ACTIONS(11495),
    [aux_sym_integer_literal_token2] = ACTIONS(11495),
    [aux_sym_integer_literal_token3] = ACTIONS(11493),
    [aux_sym_integer_literal_token4] = ACTIONS(11493),
    [aux_sym_float_literal_token1] = ACTIONS(11495),
    [aux_sym_float_literal_token3] = ACTIONS(11495),
    [aux_sym_float_literal_token4] = ACTIONS(11495),
    [sym_character_literal] = ACTIONS(11495),
    [anon_sym_DQUOTE] = ACTIONS(11493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11495),
    [anon_sym_BQUOTE] = ACTIONS(11493),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11495),
    [sym__pair_operator] = ACTIONS(11495),
    [sym__arrow_operator] = ACTIONS(11493),
    [sym__lazy_or_operator] = ACTIONS(11495),
    [sym__lazy_and_operator] = ACTIONS(11495),
    [sym__comparison_operator] = ACTIONS(11493),
    [sym__pipe_right_operator] = ACTIONS(11495),
    [sym__pipe_left_operator] = ACTIONS(11495),
    [sym__ellipsis_operator] = ACTIONS(11493),
    [sym__plus_operator] = ACTIONS(11493),
    [sym__times_operator] = ACTIONS(11493),
    [sym__rational_operator] = ACTIONS(11495),
    [sym__bitshift_operator] = ACTIONS(11495),
    [sym__power_operator] = ACTIONS(11495),
    [sym__tilde_operator] = ACTIONS(11495),
    [sym__type_order_operator] = ACTIONS(11495),
    [sym__unary_operator] = ACTIONS(11493),
    [sym__unary_plus_operator] = ACTIONS(11493),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8819] = {
    [sym_block_comment] = STATE(8819),
    [sym_line_comment] = STATE(8819),
    [sym__word_identifier] = ACTIONS(11497),
    [anon_sym_COMMA] = ACTIONS(11499),
    [anon_sym_EQ] = ACTIONS(11497),
    [anon_sym_begin] = ACTIONS(11497),
    [anon_sym_module] = ACTIONS(11497),
    [anon_sym_baremodule] = ACTIONS(11497),
    [anon_sym_abstract] = ACTIONS(11497),
    [anon_sym_primitive] = ACTIONS(11497),
    [anon_sym_mutable] = ACTIONS(11497),
    [anon_sym_struct] = ACTIONS(11497),
    [anon_sym_function] = ACTIONS(11497),
    [anon_sym_macro] = ACTIONS(11497),
    [anon_sym_quote] = ACTIONS(11497),
    [anon_sym_let] = ACTIONS(11497),
    [anon_sym_if] = ACTIONS(11497),
    [anon_sym_try] = ACTIONS(11497),
    [anon_sym_for] = ACTIONS(11497),
    [anon_sym_while] = ACTIONS(11497),
    [sym_break_statement] = ACTIONS(11497),
    [sym_continue_statement] = ACTIONS(11497),
    [anon_sym_return] = ACTIONS(11497),
    [anon_sym_const] = ACTIONS(11497),
    [anon_sym_global] = ACTIONS(11497),
    [anon_sym_local] = ACTIONS(11497),
    [anon_sym_LPAREN] = ACTIONS(11499),
    [anon_sym_RPAREN] = ACTIONS(11499),
    [anon_sym_COLON] = ACTIONS(11497),
    [anon_sym_export] = ACTIONS(11497),
    [anon_sym_public] = ACTIONS(11497),
    [anon_sym_import] = ACTIONS(11497),
    [anon_sym_using] = ACTIONS(11497),
    [anon_sym_LBRACK] = ACTIONS(11499),
    [anon_sym_RBRACK] = ACTIONS(11499),
    [anon_sym_in] = ACTIONS(11497),
    [anon_sym_SEMI] = ACTIONS(11499),
    [anon_sym_LBRACE] = ACTIONS(11499),
    [anon_sym_RBRACE] = ACTIONS(11499),
    [anon_sym_DOLLAR] = ACTIONS(11499),
    [anon_sym_COLON2] = ACTIONS(11497),
    [anon_sym_COLON_COLON] = ACTIONS(11499),
    [anon_sym_isa] = ACTIONS(11497),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11499),
    [anon_sym_QMARK] = ACTIONS(11499),
    [anon_sym_where] = ACTIONS(11497),
    [anon_sym_AT] = ACTIONS(11499),
    [anon_sym_true] = ACTIONS(11497),
    [anon_sym_false] = ACTIONS(11497),
    [aux_sym_integer_literal_token1] = ACTIONS(11499),
    [aux_sym_integer_literal_token2] = ACTIONS(11499),
    [aux_sym_integer_literal_token3] = ACTIONS(11497),
    [aux_sym_integer_literal_token4] = ACTIONS(11497),
    [aux_sym_float_literal_token1] = ACTIONS(11499),
    [aux_sym_float_literal_token3] = ACTIONS(11499),
    [aux_sym_float_literal_token4] = ACTIONS(11499),
    [sym_character_literal] = ACTIONS(11499),
    [anon_sym_DQUOTE] = ACTIONS(11497),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11499),
    [anon_sym_BQUOTE] = ACTIONS(11497),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11499),
    [sym__pair_operator] = ACTIONS(11499),
    [sym__arrow_operator] = ACTIONS(11497),
    [sym__lazy_or_operator] = ACTIONS(11499),
    [sym__lazy_and_operator] = ACTIONS(11499),
    [sym__comparison_operator] = ACTIONS(11497),
    [sym__pipe_right_operator] = ACTIONS(11499),
    [sym__pipe_left_operator] = ACTIONS(11499),
    [sym__ellipsis_operator] = ACTIONS(11497),
    [sym__plus_operator] = ACTIONS(11497),
    [sym__times_operator] = ACTIONS(11497),
    [sym__rational_operator] = ACTIONS(11499),
    [sym__bitshift_operator] = ACTIONS(11499),
    [sym__power_operator] = ACTIONS(11499),
    [sym__tilde_operator] = ACTIONS(11499),
    [sym__type_order_operator] = ACTIONS(11499),
    [sym__unary_operator] = ACTIONS(11497),
    [sym__unary_plus_operator] = ACTIONS(11497),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8820] = {
    [sym_block_comment] = STATE(8820),
    [sym_line_comment] = STATE(8820),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_finally] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12528),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8821] = {
    [sym_block_comment] = STATE(8821),
    [sym_line_comment] = STATE(8821),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11260),
    [anon_sym_EQ] = ACTIONS(10335),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11260),
    [anon_sym_RPAREN] = ACTIONS(11260),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11260),
    [anon_sym_RBRACK] = ACTIONS(11260),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11260),
    [anon_sym_LBRACE] = ACTIONS(11260),
    [anon_sym_RBRACE] = ACTIONS(11260),
    [anon_sym_DOLLAR] = ACTIONS(11260),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11260),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11260),
    [anon_sym_QMARK] = ACTIONS(11260),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11260),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11260),
    [aux_sym_integer_literal_token2] = ACTIONS(11260),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11260),
    [aux_sym_float_literal_token3] = ACTIONS(11260),
    [aux_sym_float_literal_token4] = ACTIONS(11260),
    [sym_character_literal] = ACTIONS(11260),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11260),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11260),
    [sym__pair_operator] = ACTIONS(11260),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11260),
    [sym__lazy_and_operator] = ACTIONS(11260),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11260),
    [sym__pipe_left_operator] = ACTIONS(11260),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11260),
    [sym__bitshift_operator] = ACTIONS(11260),
    [sym__power_operator] = ACTIONS(11260),
    [sym__tilde_operator] = ACTIONS(11260),
    [sym__type_order_operator] = ACTIONS(11260),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8822] = {
    [sym_block_comment] = STATE(8822),
    [sym_line_comment] = STATE(8822),
    [sym__word_identifier] = ACTIONS(11501),
    [anon_sym_COMMA] = ACTIONS(11503),
    [anon_sym_EQ] = ACTIONS(11501),
    [anon_sym_begin] = ACTIONS(11501),
    [anon_sym_module] = ACTIONS(11501),
    [anon_sym_baremodule] = ACTIONS(11501),
    [anon_sym_abstract] = ACTIONS(11501),
    [anon_sym_primitive] = ACTIONS(11501),
    [anon_sym_mutable] = ACTIONS(11501),
    [anon_sym_struct] = ACTIONS(11501),
    [anon_sym_function] = ACTIONS(11501),
    [anon_sym_macro] = ACTIONS(11501),
    [anon_sym_quote] = ACTIONS(11501),
    [anon_sym_let] = ACTIONS(11501),
    [anon_sym_if] = ACTIONS(11501),
    [anon_sym_try] = ACTIONS(11501),
    [anon_sym_for] = ACTIONS(11501),
    [anon_sym_while] = ACTIONS(11501),
    [sym_break_statement] = ACTIONS(11501),
    [sym_continue_statement] = ACTIONS(11501),
    [anon_sym_return] = ACTIONS(11501),
    [anon_sym_const] = ACTIONS(11501),
    [anon_sym_global] = ACTIONS(11501),
    [anon_sym_local] = ACTIONS(11501),
    [anon_sym_LPAREN] = ACTIONS(11503),
    [anon_sym_RPAREN] = ACTIONS(11503),
    [anon_sym_COLON] = ACTIONS(11501),
    [anon_sym_export] = ACTIONS(11501),
    [anon_sym_public] = ACTIONS(11501),
    [anon_sym_import] = ACTIONS(11501),
    [anon_sym_using] = ACTIONS(11501),
    [anon_sym_LBRACK] = ACTIONS(11503),
    [anon_sym_RBRACK] = ACTIONS(11503),
    [anon_sym_in] = ACTIONS(11501),
    [anon_sym_SEMI] = ACTIONS(11503),
    [anon_sym_LBRACE] = ACTIONS(11503),
    [anon_sym_RBRACE] = ACTIONS(11503),
    [anon_sym_DOLLAR] = ACTIONS(11503),
    [anon_sym_COLON2] = ACTIONS(11501),
    [anon_sym_COLON_COLON] = ACTIONS(11503),
    [anon_sym_isa] = ACTIONS(11501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11503),
    [anon_sym_QMARK] = ACTIONS(11503),
    [anon_sym_where] = ACTIONS(11501),
    [anon_sym_AT] = ACTIONS(11503),
    [anon_sym_true] = ACTIONS(11501),
    [anon_sym_false] = ACTIONS(11501),
    [aux_sym_integer_literal_token1] = ACTIONS(11503),
    [aux_sym_integer_literal_token2] = ACTIONS(11503),
    [aux_sym_integer_literal_token3] = ACTIONS(11501),
    [aux_sym_integer_literal_token4] = ACTIONS(11501),
    [aux_sym_float_literal_token1] = ACTIONS(11503),
    [aux_sym_float_literal_token3] = ACTIONS(11503),
    [aux_sym_float_literal_token4] = ACTIONS(11503),
    [sym_character_literal] = ACTIONS(11503),
    [anon_sym_DQUOTE] = ACTIONS(11501),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11503),
    [anon_sym_BQUOTE] = ACTIONS(11501),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11503),
    [sym__pair_operator] = ACTIONS(11503),
    [sym__arrow_operator] = ACTIONS(11501),
    [sym__lazy_or_operator] = ACTIONS(11503),
    [sym__lazy_and_operator] = ACTIONS(11503),
    [sym__comparison_operator] = ACTIONS(11501),
    [sym__pipe_right_operator] = ACTIONS(11503),
    [sym__pipe_left_operator] = ACTIONS(11503),
    [sym__ellipsis_operator] = ACTIONS(11501),
    [sym__plus_operator] = ACTIONS(11501),
    [sym__times_operator] = ACTIONS(11501),
    [sym__rational_operator] = ACTIONS(11503),
    [sym__bitshift_operator] = ACTIONS(11503),
    [sym__power_operator] = ACTIONS(11503),
    [sym__tilde_operator] = ACTIONS(11503),
    [sym__type_order_operator] = ACTIONS(11503),
    [sym__unary_operator] = ACTIONS(11501),
    [sym__unary_plus_operator] = ACTIONS(11501),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8823] = {
    [sym_block_comment] = STATE(8823),
    [sym_line_comment] = STATE(8823),
    [sym__word_identifier] = ACTIONS(11505),
    [anon_sym_COMMA] = ACTIONS(11507),
    [anon_sym_EQ] = ACTIONS(11505),
    [anon_sym_begin] = ACTIONS(11505),
    [anon_sym_module] = ACTIONS(11505),
    [anon_sym_baremodule] = ACTIONS(11505),
    [anon_sym_abstract] = ACTIONS(11505),
    [anon_sym_primitive] = ACTIONS(11505),
    [anon_sym_mutable] = ACTIONS(11505),
    [anon_sym_struct] = ACTIONS(11505),
    [anon_sym_function] = ACTIONS(11505),
    [anon_sym_macro] = ACTIONS(11505),
    [anon_sym_quote] = ACTIONS(11505),
    [anon_sym_let] = ACTIONS(11505),
    [anon_sym_if] = ACTIONS(11505),
    [anon_sym_try] = ACTIONS(11505),
    [anon_sym_for] = ACTIONS(11505),
    [anon_sym_while] = ACTIONS(11505),
    [sym_break_statement] = ACTIONS(11505),
    [sym_continue_statement] = ACTIONS(11505),
    [anon_sym_return] = ACTIONS(11505),
    [anon_sym_const] = ACTIONS(11505),
    [anon_sym_global] = ACTIONS(11505),
    [anon_sym_local] = ACTIONS(11505),
    [anon_sym_LPAREN] = ACTIONS(11507),
    [anon_sym_RPAREN] = ACTIONS(11507),
    [anon_sym_COLON] = ACTIONS(11505),
    [anon_sym_export] = ACTIONS(11505),
    [anon_sym_public] = ACTIONS(11505),
    [anon_sym_import] = ACTIONS(11505),
    [anon_sym_using] = ACTIONS(11505),
    [anon_sym_LBRACK] = ACTIONS(11507),
    [anon_sym_RBRACK] = ACTIONS(11507),
    [anon_sym_in] = ACTIONS(11505),
    [anon_sym_SEMI] = ACTIONS(11507),
    [anon_sym_LBRACE] = ACTIONS(11507),
    [anon_sym_RBRACE] = ACTIONS(11507),
    [anon_sym_DOLLAR] = ACTIONS(11507),
    [anon_sym_COLON2] = ACTIONS(11505),
    [anon_sym_COLON_COLON] = ACTIONS(11507),
    [anon_sym_isa] = ACTIONS(11505),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11507),
    [anon_sym_QMARK] = ACTIONS(11507),
    [anon_sym_where] = ACTIONS(11505),
    [anon_sym_AT] = ACTIONS(11507),
    [anon_sym_true] = ACTIONS(11505),
    [anon_sym_false] = ACTIONS(11505),
    [aux_sym_integer_literal_token1] = ACTIONS(11507),
    [aux_sym_integer_literal_token2] = ACTIONS(11507),
    [aux_sym_integer_literal_token3] = ACTIONS(11505),
    [aux_sym_integer_literal_token4] = ACTIONS(11505),
    [aux_sym_float_literal_token1] = ACTIONS(11507),
    [aux_sym_float_literal_token3] = ACTIONS(11507),
    [aux_sym_float_literal_token4] = ACTIONS(11507),
    [sym_character_literal] = ACTIONS(11507),
    [anon_sym_DQUOTE] = ACTIONS(11505),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11507),
    [anon_sym_BQUOTE] = ACTIONS(11505),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11507),
    [sym__pair_operator] = ACTIONS(11507),
    [sym__arrow_operator] = ACTIONS(11505),
    [sym__lazy_or_operator] = ACTIONS(11507),
    [sym__lazy_and_operator] = ACTIONS(11507),
    [sym__comparison_operator] = ACTIONS(11505),
    [sym__pipe_right_operator] = ACTIONS(11507),
    [sym__pipe_left_operator] = ACTIONS(11507),
    [sym__ellipsis_operator] = ACTIONS(11505),
    [sym__plus_operator] = ACTIONS(11505),
    [sym__times_operator] = ACTIONS(11505),
    [sym__rational_operator] = ACTIONS(11507),
    [sym__bitshift_operator] = ACTIONS(11507),
    [sym__power_operator] = ACTIONS(11507),
    [sym__tilde_operator] = ACTIONS(11507),
    [sym__type_order_operator] = ACTIONS(11507),
    [sym__unary_operator] = ACTIONS(11505),
    [sym__unary_plus_operator] = ACTIONS(11505),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8824] = {
    [sym_block_comment] = STATE(8824),
    [sym_line_comment] = STATE(8824),
    [sym__word_identifier] = ACTIONS(11509),
    [anon_sym_COMMA] = ACTIONS(11511),
    [anon_sym_EQ] = ACTIONS(11509),
    [anon_sym_begin] = ACTIONS(11509),
    [anon_sym_module] = ACTIONS(11509),
    [anon_sym_baremodule] = ACTIONS(11509),
    [anon_sym_abstract] = ACTIONS(11509),
    [anon_sym_primitive] = ACTIONS(11509),
    [anon_sym_mutable] = ACTIONS(11509),
    [anon_sym_struct] = ACTIONS(11509),
    [anon_sym_function] = ACTIONS(11509),
    [anon_sym_macro] = ACTIONS(11509),
    [anon_sym_quote] = ACTIONS(11509),
    [anon_sym_let] = ACTIONS(11509),
    [anon_sym_if] = ACTIONS(11509),
    [anon_sym_try] = ACTIONS(11509),
    [anon_sym_for] = ACTIONS(11509),
    [anon_sym_while] = ACTIONS(11509),
    [sym_break_statement] = ACTIONS(11509),
    [sym_continue_statement] = ACTIONS(11509),
    [anon_sym_return] = ACTIONS(11509),
    [anon_sym_const] = ACTIONS(11509),
    [anon_sym_global] = ACTIONS(11509),
    [anon_sym_local] = ACTIONS(11509),
    [anon_sym_LPAREN] = ACTIONS(11511),
    [anon_sym_RPAREN] = ACTIONS(11511),
    [anon_sym_COLON] = ACTIONS(11509),
    [anon_sym_export] = ACTIONS(11509),
    [anon_sym_public] = ACTIONS(11509),
    [anon_sym_import] = ACTIONS(11509),
    [anon_sym_using] = ACTIONS(11509),
    [anon_sym_LBRACK] = ACTIONS(11511),
    [anon_sym_RBRACK] = ACTIONS(11511),
    [anon_sym_in] = ACTIONS(11509),
    [anon_sym_SEMI] = ACTIONS(11511),
    [anon_sym_LBRACE] = ACTIONS(11511),
    [anon_sym_RBRACE] = ACTIONS(11511),
    [anon_sym_DOLLAR] = ACTIONS(11511),
    [anon_sym_COLON2] = ACTIONS(11509),
    [anon_sym_COLON_COLON] = ACTIONS(11511),
    [anon_sym_isa] = ACTIONS(11509),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11511),
    [anon_sym_QMARK] = ACTIONS(11511),
    [anon_sym_where] = ACTIONS(11509),
    [anon_sym_AT] = ACTIONS(11511),
    [anon_sym_true] = ACTIONS(11509),
    [anon_sym_false] = ACTIONS(11509),
    [aux_sym_integer_literal_token1] = ACTIONS(11511),
    [aux_sym_integer_literal_token2] = ACTIONS(11511),
    [aux_sym_integer_literal_token3] = ACTIONS(11509),
    [aux_sym_integer_literal_token4] = ACTIONS(11509),
    [aux_sym_float_literal_token1] = ACTIONS(11511),
    [aux_sym_float_literal_token3] = ACTIONS(11511),
    [aux_sym_float_literal_token4] = ACTIONS(11511),
    [sym_character_literal] = ACTIONS(11511),
    [anon_sym_DQUOTE] = ACTIONS(11509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11511),
    [anon_sym_BQUOTE] = ACTIONS(11509),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11511),
    [sym__pair_operator] = ACTIONS(11511),
    [sym__arrow_operator] = ACTIONS(11509),
    [sym__lazy_or_operator] = ACTIONS(11511),
    [sym__lazy_and_operator] = ACTIONS(11511),
    [sym__comparison_operator] = ACTIONS(11509),
    [sym__pipe_right_operator] = ACTIONS(11511),
    [sym__pipe_left_operator] = ACTIONS(11511),
    [sym__ellipsis_operator] = ACTIONS(11509),
    [sym__plus_operator] = ACTIONS(11509),
    [sym__times_operator] = ACTIONS(11509),
    [sym__rational_operator] = ACTIONS(11511),
    [sym__bitshift_operator] = ACTIONS(11511),
    [sym__power_operator] = ACTIONS(11511),
    [sym__tilde_operator] = ACTIONS(11511),
    [sym__type_order_operator] = ACTIONS(11511),
    [sym__unary_operator] = ACTIONS(11509),
    [sym__unary_plus_operator] = ACTIONS(11509),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8825] = {
    [sym_block_comment] = STATE(8825),
    [sym_line_comment] = STATE(8825),
    [sym__word_identifier] = ACTIONS(11513),
    [anon_sym_COMMA] = ACTIONS(11515),
    [anon_sym_EQ] = ACTIONS(11513),
    [anon_sym_begin] = ACTIONS(11513),
    [anon_sym_module] = ACTIONS(11513),
    [anon_sym_baremodule] = ACTIONS(11513),
    [anon_sym_abstract] = ACTIONS(11513),
    [anon_sym_primitive] = ACTIONS(11513),
    [anon_sym_mutable] = ACTIONS(11513),
    [anon_sym_struct] = ACTIONS(11513),
    [anon_sym_function] = ACTIONS(11513),
    [anon_sym_macro] = ACTIONS(11513),
    [anon_sym_quote] = ACTIONS(11513),
    [anon_sym_let] = ACTIONS(11513),
    [anon_sym_if] = ACTIONS(11513),
    [anon_sym_try] = ACTIONS(11513),
    [anon_sym_for] = ACTIONS(11513),
    [anon_sym_while] = ACTIONS(11513),
    [sym_break_statement] = ACTIONS(11513),
    [sym_continue_statement] = ACTIONS(11513),
    [anon_sym_return] = ACTIONS(11513),
    [anon_sym_const] = ACTIONS(11513),
    [anon_sym_global] = ACTIONS(11513),
    [anon_sym_local] = ACTIONS(11513),
    [anon_sym_LPAREN] = ACTIONS(11515),
    [anon_sym_RPAREN] = ACTIONS(11515),
    [anon_sym_COLON] = ACTIONS(11513),
    [anon_sym_export] = ACTIONS(11513),
    [anon_sym_public] = ACTIONS(11513),
    [anon_sym_import] = ACTIONS(11513),
    [anon_sym_using] = ACTIONS(11513),
    [anon_sym_LBRACK] = ACTIONS(11515),
    [anon_sym_RBRACK] = ACTIONS(11515),
    [anon_sym_in] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(11515),
    [anon_sym_LBRACE] = ACTIONS(11515),
    [anon_sym_RBRACE] = ACTIONS(11515),
    [anon_sym_DOLLAR] = ACTIONS(11515),
    [anon_sym_COLON2] = ACTIONS(11513),
    [anon_sym_COLON_COLON] = ACTIONS(11515),
    [anon_sym_isa] = ACTIONS(11513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11515),
    [anon_sym_QMARK] = ACTIONS(11515),
    [anon_sym_where] = ACTIONS(11513),
    [anon_sym_AT] = ACTIONS(11515),
    [anon_sym_true] = ACTIONS(11513),
    [anon_sym_false] = ACTIONS(11513),
    [aux_sym_integer_literal_token1] = ACTIONS(11515),
    [aux_sym_integer_literal_token2] = ACTIONS(11515),
    [aux_sym_integer_literal_token3] = ACTIONS(11513),
    [aux_sym_integer_literal_token4] = ACTIONS(11513),
    [aux_sym_float_literal_token1] = ACTIONS(11515),
    [aux_sym_float_literal_token3] = ACTIONS(11515),
    [aux_sym_float_literal_token4] = ACTIONS(11515),
    [sym_character_literal] = ACTIONS(11515),
    [anon_sym_DQUOTE] = ACTIONS(11513),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11515),
    [anon_sym_BQUOTE] = ACTIONS(11513),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11515),
    [sym__pair_operator] = ACTIONS(11515),
    [sym__arrow_operator] = ACTIONS(11513),
    [sym__lazy_or_operator] = ACTIONS(11515),
    [sym__lazy_and_operator] = ACTIONS(11515),
    [sym__comparison_operator] = ACTIONS(11513),
    [sym__pipe_right_operator] = ACTIONS(11515),
    [sym__pipe_left_operator] = ACTIONS(11515),
    [sym__ellipsis_operator] = ACTIONS(11513),
    [sym__plus_operator] = ACTIONS(11513),
    [sym__times_operator] = ACTIONS(11513),
    [sym__rational_operator] = ACTIONS(11515),
    [sym__bitshift_operator] = ACTIONS(11515),
    [sym__power_operator] = ACTIONS(11515),
    [sym__tilde_operator] = ACTIONS(11515),
    [sym__type_order_operator] = ACTIONS(11515),
    [sym__unary_operator] = ACTIONS(11513),
    [sym__unary_plus_operator] = ACTIONS(11513),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8826] = {
    [sym_block_comment] = STATE(8826),
    [sym_line_comment] = STATE(8826),
    [sym__word_identifier] = ACTIONS(11517),
    [anon_sym_COMMA] = ACTIONS(11519),
    [anon_sym_EQ] = ACTIONS(11517),
    [anon_sym_begin] = ACTIONS(11517),
    [anon_sym_module] = ACTIONS(11517),
    [anon_sym_baremodule] = ACTIONS(11517),
    [anon_sym_abstract] = ACTIONS(11517),
    [anon_sym_primitive] = ACTIONS(11517),
    [anon_sym_mutable] = ACTIONS(11517),
    [anon_sym_struct] = ACTIONS(11517),
    [anon_sym_function] = ACTIONS(11517),
    [anon_sym_macro] = ACTIONS(11517),
    [anon_sym_quote] = ACTIONS(11517),
    [anon_sym_let] = ACTIONS(11517),
    [anon_sym_if] = ACTIONS(11517),
    [anon_sym_try] = ACTIONS(11517),
    [anon_sym_for] = ACTIONS(11517),
    [anon_sym_while] = ACTIONS(11517),
    [sym_break_statement] = ACTIONS(11517),
    [sym_continue_statement] = ACTIONS(11517),
    [anon_sym_return] = ACTIONS(11517),
    [anon_sym_const] = ACTIONS(11517),
    [anon_sym_global] = ACTIONS(11517),
    [anon_sym_local] = ACTIONS(11517),
    [anon_sym_LPAREN] = ACTIONS(11519),
    [anon_sym_RPAREN] = ACTIONS(11519),
    [anon_sym_COLON] = ACTIONS(11517),
    [anon_sym_export] = ACTIONS(11517),
    [anon_sym_public] = ACTIONS(11517),
    [anon_sym_import] = ACTIONS(11517),
    [anon_sym_using] = ACTIONS(11517),
    [anon_sym_LBRACK] = ACTIONS(11519),
    [anon_sym_RBRACK] = ACTIONS(11519),
    [anon_sym_in] = ACTIONS(11517),
    [anon_sym_SEMI] = ACTIONS(11519),
    [anon_sym_LBRACE] = ACTIONS(11519),
    [anon_sym_RBRACE] = ACTIONS(11519),
    [anon_sym_DOLLAR] = ACTIONS(11519),
    [anon_sym_COLON2] = ACTIONS(11517),
    [anon_sym_COLON_COLON] = ACTIONS(11519),
    [anon_sym_isa] = ACTIONS(11517),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11519),
    [anon_sym_QMARK] = ACTIONS(11519),
    [anon_sym_where] = ACTIONS(11517),
    [anon_sym_AT] = ACTIONS(11519),
    [anon_sym_true] = ACTIONS(11517),
    [anon_sym_false] = ACTIONS(11517),
    [aux_sym_integer_literal_token1] = ACTIONS(11519),
    [aux_sym_integer_literal_token2] = ACTIONS(11519),
    [aux_sym_integer_literal_token3] = ACTIONS(11517),
    [aux_sym_integer_literal_token4] = ACTIONS(11517),
    [aux_sym_float_literal_token1] = ACTIONS(11519),
    [aux_sym_float_literal_token3] = ACTIONS(11519),
    [aux_sym_float_literal_token4] = ACTIONS(11519),
    [sym_character_literal] = ACTIONS(11519),
    [anon_sym_DQUOTE] = ACTIONS(11517),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11519),
    [anon_sym_BQUOTE] = ACTIONS(11517),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11519),
    [sym__pair_operator] = ACTIONS(11519),
    [sym__arrow_operator] = ACTIONS(11517),
    [sym__lazy_or_operator] = ACTIONS(11519),
    [sym__lazy_and_operator] = ACTIONS(11519),
    [sym__comparison_operator] = ACTIONS(11517),
    [sym__pipe_right_operator] = ACTIONS(11519),
    [sym__pipe_left_operator] = ACTIONS(11519),
    [sym__ellipsis_operator] = ACTIONS(11517),
    [sym__plus_operator] = ACTIONS(11517),
    [sym__times_operator] = ACTIONS(11517),
    [sym__rational_operator] = ACTIONS(11519),
    [sym__bitshift_operator] = ACTIONS(11519),
    [sym__power_operator] = ACTIONS(11519),
    [sym__tilde_operator] = ACTIONS(11519),
    [sym__type_order_operator] = ACTIONS(11519),
    [sym__unary_operator] = ACTIONS(11517),
    [sym__unary_plus_operator] = ACTIONS(11517),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8827] = {
    [sym_block_comment] = STATE(8827),
    [sym_line_comment] = STATE(8827),
    [sym__word_identifier] = ACTIONS(11521),
    [anon_sym_COMMA] = ACTIONS(11523),
    [anon_sym_EQ] = ACTIONS(11521),
    [anon_sym_begin] = ACTIONS(11521),
    [anon_sym_module] = ACTIONS(11521),
    [anon_sym_baremodule] = ACTIONS(11521),
    [anon_sym_abstract] = ACTIONS(11521),
    [anon_sym_primitive] = ACTIONS(11521),
    [anon_sym_mutable] = ACTIONS(11521),
    [anon_sym_struct] = ACTIONS(11521),
    [anon_sym_function] = ACTIONS(11521),
    [anon_sym_macro] = ACTIONS(11521),
    [anon_sym_quote] = ACTIONS(11521),
    [anon_sym_let] = ACTIONS(11521),
    [anon_sym_if] = ACTIONS(11521),
    [anon_sym_try] = ACTIONS(11521),
    [anon_sym_for] = ACTIONS(11521),
    [anon_sym_while] = ACTIONS(11521),
    [sym_break_statement] = ACTIONS(11521),
    [sym_continue_statement] = ACTIONS(11521),
    [anon_sym_return] = ACTIONS(11521),
    [anon_sym_const] = ACTIONS(11521),
    [anon_sym_global] = ACTIONS(11521),
    [anon_sym_local] = ACTIONS(11521),
    [anon_sym_LPAREN] = ACTIONS(11523),
    [anon_sym_RPAREN] = ACTIONS(11523),
    [anon_sym_COLON] = ACTIONS(11521),
    [anon_sym_export] = ACTIONS(11521),
    [anon_sym_public] = ACTIONS(11521),
    [anon_sym_import] = ACTIONS(11521),
    [anon_sym_using] = ACTIONS(11521),
    [anon_sym_LBRACK] = ACTIONS(11523),
    [anon_sym_RBRACK] = ACTIONS(11523),
    [anon_sym_in] = ACTIONS(11521),
    [anon_sym_SEMI] = ACTIONS(11523),
    [anon_sym_LBRACE] = ACTIONS(11523),
    [anon_sym_RBRACE] = ACTIONS(11523),
    [anon_sym_DOLLAR] = ACTIONS(11523),
    [anon_sym_COLON2] = ACTIONS(11521),
    [anon_sym_COLON_COLON] = ACTIONS(11523),
    [anon_sym_isa] = ACTIONS(11521),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11523),
    [anon_sym_QMARK] = ACTIONS(11523),
    [anon_sym_where] = ACTIONS(11521),
    [anon_sym_AT] = ACTIONS(11523),
    [anon_sym_true] = ACTIONS(11521),
    [anon_sym_false] = ACTIONS(11521),
    [aux_sym_integer_literal_token1] = ACTIONS(11523),
    [aux_sym_integer_literal_token2] = ACTIONS(11523),
    [aux_sym_integer_literal_token3] = ACTIONS(11521),
    [aux_sym_integer_literal_token4] = ACTIONS(11521),
    [aux_sym_float_literal_token1] = ACTIONS(11523),
    [aux_sym_float_literal_token3] = ACTIONS(11523),
    [aux_sym_float_literal_token4] = ACTIONS(11523),
    [sym_character_literal] = ACTIONS(11523),
    [anon_sym_DQUOTE] = ACTIONS(11521),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11523),
    [anon_sym_BQUOTE] = ACTIONS(11521),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11523),
    [sym__pair_operator] = ACTIONS(11523),
    [sym__arrow_operator] = ACTIONS(11521),
    [sym__lazy_or_operator] = ACTIONS(11523),
    [sym__lazy_and_operator] = ACTIONS(11523),
    [sym__comparison_operator] = ACTIONS(11521),
    [sym__pipe_right_operator] = ACTIONS(11523),
    [sym__pipe_left_operator] = ACTIONS(11523),
    [sym__ellipsis_operator] = ACTIONS(11521),
    [sym__plus_operator] = ACTIONS(11521),
    [sym__times_operator] = ACTIONS(11521),
    [sym__rational_operator] = ACTIONS(11523),
    [sym__bitshift_operator] = ACTIONS(11523),
    [sym__power_operator] = ACTIONS(11523),
    [sym__tilde_operator] = ACTIONS(11523),
    [sym__type_order_operator] = ACTIONS(11523),
    [sym__unary_operator] = ACTIONS(11521),
    [sym__unary_plus_operator] = ACTIONS(11521),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8828] = {
    [sym_block_comment] = STATE(8828),
    [sym_line_comment] = STATE(8828),
    [sym__word_identifier] = ACTIONS(11525),
    [anon_sym_COMMA] = ACTIONS(11527),
    [anon_sym_EQ] = ACTIONS(11525),
    [anon_sym_begin] = ACTIONS(11525),
    [anon_sym_module] = ACTIONS(11525),
    [anon_sym_baremodule] = ACTIONS(11525),
    [anon_sym_abstract] = ACTIONS(11525),
    [anon_sym_primitive] = ACTIONS(11525),
    [anon_sym_mutable] = ACTIONS(11525),
    [anon_sym_struct] = ACTIONS(11525),
    [anon_sym_function] = ACTIONS(11525),
    [anon_sym_macro] = ACTIONS(11525),
    [anon_sym_quote] = ACTIONS(11525),
    [anon_sym_let] = ACTIONS(11525),
    [anon_sym_if] = ACTIONS(11525),
    [anon_sym_try] = ACTIONS(11525),
    [anon_sym_for] = ACTIONS(11525),
    [anon_sym_while] = ACTIONS(11525),
    [sym_break_statement] = ACTIONS(11525),
    [sym_continue_statement] = ACTIONS(11525),
    [anon_sym_return] = ACTIONS(11525),
    [anon_sym_const] = ACTIONS(11525),
    [anon_sym_global] = ACTIONS(11525),
    [anon_sym_local] = ACTIONS(11525),
    [anon_sym_LPAREN] = ACTIONS(11527),
    [anon_sym_RPAREN] = ACTIONS(11527),
    [anon_sym_COLON] = ACTIONS(11525),
    [anon_sym_export] = ACTIONS(11525),
    [anon_sym_public] = ACTIONS(11525),
    [anon_sym_import] = ACTIONS(11525),
    [anon_sym_using] = ACTIONS(11525),
    [anon_sym_LBRACK] = ACTIONS(11527),
    [anon_sym_RBRACK] = ACTIONS(11527),
    [anon_sym_in] = ACTIONS(11525),
    [anon_sym_SEMI] = ACTIONS(11527),
    [anon_sym_LBRACE] = ACTIONS(11527),
    [anon_sym_RBRACE] = ACTIONS(11527),
    [anon_sym_DOLLAR] = ACTIONS(11527),
    [anon_sym_COLON2] = ACTIONS(11525),
    [anon_sym_COLON_COLON] = ACTIONS(11527),
    [anon_sym_isa] = ACTIONS(11525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11527),
    [anon_sym_QMARK] = ACTIONS(11527),
    [anon_sym_where] = ACTIONS(11525),
    [anon_sym_AT] = ACTIONS(11527),
    [anon_sym_true] = ACTIONS(11525),
    [anon_sym_false] = ACTIONS(11525),
    [aux_sym_integer_literal_token1] = ACTIONS(11527),
    [aux_sym_integer_literal_token2] = ACTIONS(11527),
    [aux_sym_integer_literal_token3] = ACTIONS(11525),
    [aux_sym_integer_literal_token4] = ACTIONS(11525),
    [aux_sym_float_literal_token1] = ACTIONS(11527),
    [aux_sym_float_literal_token3] = ACTIONS(11527),
    [aux_sym_float_literal_token4] = ACTIONS(11527),
    [sym_character_literal] = ACTIONS(11527),
    [anon_sym_DQUOTE] = ACTIONS(11525),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11527),
    [anon_sym_BQUOTE] = ACTIONS(11525),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11527),
    [sym__pair_operator] = ACTIONS(11527),
    [sym__arrow_operator] = ACTIONS(11525),
    [sym__lazy_or_operator] = ACTIONS(11527),
    [sym__lazy_and_operator] = ACTIONS(11527),
    [sym__comparison_operator] = ACTIONS(11525),
    [sym__pipe_right_operator] = ACTIONS(11527),
    [sym__pipe_left_operator] = ACTIONS(11527),
    [sym__ellipsis_operator] = ACTIONS(11525),
    [sym__plus_operator] = ACTIONS(11525),
    [sym__times_operator] = ACTIONS(11525),
    [sym__rational_operator] = ACTIONS(11527),
    [sym__bitshift_operator] = ACTIONS(11527),
    [sym__power_operator] = ACTIONS(11527),
    [sym__tilde_operator] = ACTIONS(11527),
    [sym__type_order_operator] = ACTIONS(11527),
    [sym__unary_operator] = ACTIONS(11525),
    [sym__unary_plus_operator] = ACTIONS(11525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8829] = {
    [sym_block_comment] = STATE(8829),
    [sym_line_comment] = STATE(8829),
    [sym__word_identifier] = ACTIONS(11529),
    [anon_sym_COMMA] = ACTIONS(11531),
    [anon_sym_EQ] = ACTIONS(11529),
    [anon_sym_begin] = ACTIONS(11529),
    [anon_sym_module] = ACTIONS(11529),
    [anon_sym_baremodule] = ACTIONS(11529),
    [anon_sym_abstract] = ACTIONS(11529),
    [anon_sym_primitive] = ACTIONS(11529),
    [anon_sym_mutable] = ACTIONS(11529),
    [anon_sym_struct] = ACTIONS(11529),
    [anon_sym_function] = ACTIONS(11529),
    [anon_sym_macro] = ACTIONS(11529),
    [anon_sym_quote] = ACTIONS(11529),
    [anon_sym_let] = ACTIONS(11529),
    [anon_sym_if] = ACTIONS(11529),
    [anon_sym_try] = ACTIONS(11529),
    [anon_sym_for] = ACTIONS(11529),
    [anon_sym_while] = ACTIONS(11529),
    [sym_break_statement] = ACTIONS(11529),
    [sym_continue_statement] = ACTIONS(11529),
    [anon_sym_return] = ACTIONS(11529),
    [anon_sym_const] = ACTIONS(11529),
    [anon_sym_global] = ACTIONS(11529),
    [anon_sym_local] = ACTIONS(11529),
    [anon_sym_LPAREN] = ACTIONS(11531),
    [anon_sym_RPAREN] = ACTIONS(11531),
    [anon_sym_COLON] = ACTIONS(11529),
    [anon_sym_export] = ACTIONS(11529),
    [anon_sym_public] = ACTIONS(11529),
    [anon_sym_import] = ACTIONS(11529),
    [anon_sym_using] = ACTIONS(11529),
    [anon_sym_LBRACK] = ACTIONS(11531),
    [anon_sym_RBRACK] = ACTIONS(11531),
    [anon_sym_in] = ACTIONS(11529),
    [anon_sym_SEMI] = ACTIONS(11531),
    [anon_sym_LBRACE] = ACTIONS(11531),
    [anon_sym_RBRACE] = ACTIONS(11531),
    [anon_sym_DOLLAR] = ACTIONS(11531),
    [anon_sym_COLON2] = ACTIONS(11529),
    [anon_sym_COLON_COLON] = ACTIONS(11531),
    [anon_sym_isa] = ACTIONS(11529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11531),
    [anon_sym_QMARK] = ACTIONS(11531),
    [anon_sym_where] = ACTIONS(11529),
    [anon_sym_AT] = ACTIONS(11531),
    [anon_sym_true] = ACTIONS(11529),
    [anon_sym_false] = ACTIONS(11529),
    [aux_sym_integer_literal_token1] = ACTIONS(11531),
    [aux_sym_integer_literal_token2] = ACTIONS(11531),
    [aux_sym_integer_literal_token3] = ACTIONS(11529),
    [aux_sym_integer_literal_token4] = ACTIONS(11529),
    [aux_sym_float_literal_token1] = ACTIONS(11531),
    [aux_sym_float_literal_token3] = ACTIONS(11531),
    [aux_sym_float_literal_token4] = ACTIONS(11531),
    [sym_character_literal] = ACTIONS(11531),
    [anon_sym_DQUOTE] = ACTIONS(11529),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11531),
    [anon_sym_BQUOTE] = ACTIONS(11529),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11531),
    [sym__pair_operator] = ACTIONS(11531),
    [sym__arrow_operator] = ACTIONS(11529),
    [sym__lazy_or_operator] = ACTIONS(11531),
    [sym__lazy_and_operator] = ACTIONS(11531),
    [sym__comparison_operator] = ACTIONS(11529),
    [sym__pipe_right_operator] = ACTIONS(11531),
    [sym__pipe_left_operator] = ACTIONS(11531),
    [sym__ellipsis_operator] = ACTIONS(11529),
    [sym__plus_operator] = ACTIONS(11529),
    [sym__times_operator] = ACTIONS(11529),
    [sym__rational_operator] = ACTIONS(11531),
    [sym__bitshift_operator] = ACTIONS(11531),
    [sym__power_operator] = ACTIONS(11531),
    [sym__tilde_operator] = ACTIONS(11531),
    [sym__type_order_operator] = ACTIONS(11531),
    [sym__unary_operator] = ACTIONS(11529),
    [sym__unary_plus_operator] = ACTIONS(11529),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8830] = {
    [sym_block_comment] = STATE(8830),
    [sym_line_comment] = STATE(8830),
    [sym__word_identifier] = ACTIONS(11533),
    [anon_sym_COMMA] = ACTIONS(11535),
    [anon_sym_EQ] = ACTIONS(11533),
    [anon_sym_begin] = ACTIONS(11533),
    [anon_sym_module] = ACTIONS(11533),
    [anon_sym_baremodule] = ACTIONS(11533),
    [anon_sym_abstract] = ACTIONS(11533),
    [anon_sym_primitive] = ACTIONS(11533),
    [anon_sym_mutable] = ACTIONS(11533),
    [anon_sym_struct] = ACTIONS(11533),
    [anon_sym_function] = ACTIONS(11533),
    [anon_sym_macro] = ACTIONS(11533),
    [anon_sym_quote] = ACTIONS(11533),
    [anon_sym_let] = ACTIONS(11533),
    [anon_sym_if] = ACTIONS(11533),
    [anon_sym_try] = ACTIONS(11533),
    [anon_sym_for] = ACTIONS(11533),
    [anon_sym_while] = ACTIONS(11533),
    [sym_break_statement] = ACTIONS(11533),
    [sym_continue_statement] = ACTIONS(11533),
    [anon_sym_return] = ACTIONS(11533),
    [anon_sym_const] = ACTIONS(11533),
    [anon_sym_global] = ACTIONS(11533),
    [anon_sym_local] = ACTIONS(11533),
    [anon_sym_LPAREN] = ACTIONS(11535),
    [anon_sym_RPAREN] = ACTIONS(11535),
    [anon_sym_COLON] = ACTIONS(11533),
    [anon_sym_export] = ACTIONS(11533),
    [anon_sym_public] = ACTIONS(11533),
    [anon_sym_import] = ACTIONS(11533),
    [anon_sym_using] = ACTIONS(11533),
    [anon_sym_LBRACK] = ACTIONS(11535),
    [anon_sym_RBRACK] = ACTIONS(11535),
    [anon_sym_in] = ACTIONS(11533),
    [anon_sym_SEMI] = ACTIONS(11535),
    [anon_sym_LBRACE] = ACTIONS(11535),
    [anon_sym_RBRACE] = ACTIONS(11535),
    [anon_sym_DOLLAR] = ACTIONS(11535),
    [anon_sym_COLON2] = ACTIONS(11533),
    [anon_sym_COLON_COLON] = ACTIONS(11535),
    [anon_sym_isa] = ACTIONS(11533),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11535),
    [anon_sym_QMARK] = ACTIONS(11535),
    [anon_sym_where] = ACTIONS(11533),
    [anon_sym_AT] = ACTIONS(11535),
    [anon_sym_true] = ACTIONS(11533),
    [anon_sym_false] = ACTIONS(11533),
    [aux_sym_integer_literal_token1] = ACTIONS(11535),
    [aux_sym_integer_literal_token2] = ACTIONS(11535),
    [aux_sym_integer_literal_token3] = ACTIONS(11533),
    [aux_sym_integer_literal_token4] = ACTIONS(11533),
    [aux_sym_float_literal_token1] = ACTIONS(11535),
    [aux_sym_float_literal_token3] = ACTIONS(11535),
    [aux_sym_float_literal_token4] = ACTIONS(11535),
    [sym_character_literal] = ACTIONS(11535),
    [anon_sym_DQUOTE] = ACTIONS(11533),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11535),
    [anon_sym_BQUOTE] = ACTIONS(11533),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11535),
    [sym__pair_operator] = ACTIONS(11535),
    [sym__arrow_operator] = ACTIONS(11533),
    [sym__lazy_or_operator] = ACTIONS(11535),
    [sym__lazy_and_operator] = ACTIONS(11535),
    [sym__comparison_operator] = ACTIONS(11533),
    [sym__pipe_right_operator] = ACTIONS(11535),
    [sym__pipe_left_operator] = ACTIONS(11535),
    [sym__ellipsis_operator] = ACTIONS(11533),
    [sym__plus_operator] = ACTIONS(11533),
    [sym__times_operator] = ACTIONS(11533),
    [sym__rational_operator] = ACTIONS(11535),
    [sym__bitshift_operator] = ACTIONS(11535),
    [sym__power_operator] = ACTIONS(11535),
    [sym__tilde_operator] = ACTIONS(11535),
    [sym__type_order_operator] = ACTIONS(11535),
    [sym__unary_operator] = ACTIONS(11533),
    [sym__unary_plus_operator] = ACTIONS(11533),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8831] = {
    [sym_block_comment] = STATE(8831),
    [sym_line_comment] = STATE(8831),
    [sym__word_identifier] = ACTIONS(11537),
    [anon_sym_COMMA] = ACTIONS(11539),
    [anon_sym_EQ] = ACTIONS(11537),
    [anon_sym_begin] = ACTIONS(11537),
    [anon_sym_module] = ACTIONS(11537),
    [anon_sym_baremodule] = ACTIONS(11537),
    [anon_sym_abstract] = ACTIONS(11537),
    [anon_sym_primitive] = ACTIONS(11537),
    [anon_sym_mutable] = ACTIONS(11537),
    [anon_sym_struct] = ACTIONS(11537),
    [anon_sym_function] = ACTIONS(11537),
    [anon_sym_macro] = ACTIONS(11537),
    [anon_sym_quote] = ACTIONS(11537),
    [anon_sym_let] = ACTIONS(11537),
    [anon_sym_if] = ACTIONS(11537),
    [anon_sym_try] = ACTIONS(11537),
    [anon_sym_for] = ACTIONS(11537),
    [anon_sym_while] = ACTIONS(11537),
    [sym_break_statement] = ACTIONS(11537),
    [sym_continue_statement] = ACTIONS(11537),
    [anon_sym_return] = ACTIONS(11537),
    [anon_sym_const] = ACTIONS(11537),
    [anon_sym_global] = ACTIONS(11537),
    [anon_sym_local] = ACTIONS(11537),
    [anon_sym_LPAREN] = ACTIONS(11539),
    [anon_sym_RPAREN] = ACTIONS(11539),
    [anon_sym_COLON] = ACTIONS(11537),
    [anon_sym_export] = ACTIONS(11537),
    [anon_sym_public] = ACTIONS(11537),
    [anon_sym_import] = ACTIONS(11537),
    [anon_sym_using] = ACTIONS(11537),
    [anon_sym_LBRACK] = ACTIONS(11539),
    [anon_sym_RBRACK] = ACTIONS(11539),
    [anon_sym_in] = ACTIONS(11537),
    [anon_sym_SEMI] = ACTIONS(11539),
    [anon_sym_LBRACE] = ACTIONS(11539),
    [anon_sym_RBRACE] = ACTIONS(11539),
    [anon_sym_DOLLAR] = ACTIONS(11539),
    [anon_sym_COLON2] = ACTIONS(11537),
    [anon_sym_COLON_COLON] = ACTIONS(11539),
    [anon_sym_isa] = ACTIONS(11537),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11539),
    [anon_sym_QMARK] = ACTIONS(11539),
    [anon_sym_where] = ACTIONS(11537),
    [anon_sym_AT] = ACTIONS(11539),
    [anon_sym_true] = ACTIONS(11537),
    [anon_sym_false] = ACTIONS(11537),
    [aux_sym_integer_literal_token1] = ACTIONS(11539),
    [aux_sym_integer_literal_token2] = ACTIONS(11539),
    [aux_sym_integer_literal_token3] = ACTIONS(11537),
    [aux_sym_integer_literal_token4] = ACTIONS(11537),
    [aux_sym_float_literal_token1] = ACTIONS(11539),
    [aux_sym_float_literal_token3] = ACTIONS(11539),
    [aux_sym_float_literal_token4] = ACTIONS(11539),
    [sym_character_literal] = ACTIONS(11539),
    [anon_sym_DQUOTE] = ACTIONS(11537),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11539),
    [anon_sym_BQUOTE] = ACTIONS(11537),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11539),
    [sym__pair_operator] = ACTIONS(11539),
    [sym__arrow_operator] = ACTIONS(11537),
    [sym__lazy_or_operator] = ACTIONS(11539),
    [sym__lazy_and_operator] = ACTIONS(11539),
    [sym__comparison_operator] = ACTIONS(11537),
    [sym__pipe_right_operator] = ACTIONS(11539),
    [sym__pipe_left_operator] = ACTIONS(11539),
    [sym__ellipsis_operator] = ACTIONS(11537),
    [sym__plus_operator] = ACTIONS(11537),
    [sym__times_operator] = ACTIONS(11537),
    [sym__rational_operator] = ACTIONS(11539),
    [sym__bitshift_operator] = ACTIONS(11539),
    [sym__power_operator] = ACTIONS(11539),
    [sym__tilde_operator] = ACTIONS(11539),
    [sym__type_order_operator] = ACTIONS(11539),
    [sym__unary_operator] = ACTIONS(11537),
    [sym__unary_plus_operator] = ACTIONS(11537),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8832] = {
    [sym_block_comment] = STATE(8832),
    [sym_line_comment] = STATE(8832),
    [sym__word_identifier] = ACTIONS(11541),
    [anon_sym_COMMA] = ACTIONS(11543),
    [anon_sym_EQ] = ACTIONS(11541),
    [anon_sym_begin] = ACTIONS(11541),
    [anon_sym_module] = ACTIONS(11541),
    [anon_sym_baremodule] = ACTIONS(11541),
    [anon_sym_abstract] = ACTIONS(11541),
    [anon_sym_primitive] = ACTIONS(11541),
    [anon_sym_mutable] = ACTIONS(11541),
    [anon_sym_struct] = ACTIONS(11541),
    [anon_sym_function] = ACTIONS(11541),
    [anon_sym_macro] = ACTIONS(11541),
    [anon_sym_quote] = ACTIONS(11541),
    [anon_sym_let] = ACTIONS(11541),
    [anon_sym_if] = ACTIONS(11541),
    [anon_sym_try] = ACTIONS(11541),
    [anon_sym_for] = ACTIONS(11541),
    [anon_sym_while] = ACTIONS(11541),
    [sym_break_statement] = ACTIONS(11541),
    [sym_continue_statement] = ACTIONS(11541),
    [anon_sym_return] = ACTIONS(11541),
    [anon_sym_const] = ACTIONS(11541),
    [anon_sym_global] = ACTIONS(11541),
    [anon_sym_local] = ACTIONS(11541),
    [anon_sym_LPAREN] = ACTIONS(11543),
    [anon_sym_RPAREN] = ACTIONS(11543),
    [anon_sym_COLON] = ACTIONS(11541),
    [anon_sym_export] = ACTIONS(11541),
    [anon_sym_public] = ACTIONS(11541),
    [anon_sym_import] = ACTIONS(11541),
    [anon_sym_using] = ACTIONS(11541),
    [anon_sym_LBRACK] = ACTIONS(11543),
    [anon_sym_RBRACK] = ACTIONS(11543),
    [anon_sym_in] = ACTIONS(11541),
    [anon_sym_SEMI] = ACTIONS(11543),
    [anon_sym_LBRACE] = ACTIONS(11543),
    [anon_sym_RBRACE] = ACTIONS(11543),
    [anon_sym_DOLLAR] = ACTIONS(11543),
    [anon_sym_COLON2] = ACTIONS(11541),
    [anon_sym_COLON_COLON] = ACTIONS(11543),
    [anon_sym_isa] = ACTIONS(11541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11543),
    [anon_sym_QMARK] = ACTIONS(11543),
    [anon_sym_where] = ACTIONS(11541),
    [anon_sym_AT] = ACTIONS(11543),
    [anon_sym_true] = ACTIONS(11541),
    [anon_sym_false] = ACTIONS(11541),
    [aux_sym_integer_literal_token1] = ACTIONS(11543),
    [aux_sym_integer_literal_token2] = ACTIONS(11543),
    [aux_sym_integer_literal_token3] = ACTIONS(11541),
    [aux_sym_integer_literal_token4] = ACTIONS(11541),
    [aux_sym_float_literal_token1] = ACTIONS(11543),
    [aux_sym_float_literal_token3] = ACTIONS(11543),
    [aux_sym_float_literal_token4] = ACTIONS(11543),
    [sym_character_literal] = ACTIONS(11543),
    [anon_sym_DQUOTE] = ACTIONS(11541),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11543),
    [anon_sym_BQUOTE] = ACTIONS(11541),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11543),
    [sym__pair_operator] = ACTIONS(11543),
    [sym__arrow_operator] = ACTIONS(11541),
    [sym__lazy_or_operator] = ACTIONS(11543),
    [sym__lazy_and_operator] = ACTIONS(11543),
    [sym__comparison_operator] = ACTIONS(11541),
    [sym__pipe_right_operator] = ACTIONS(11543),
    [sym__pipe_left_operator] = ACTIONS(11543),
    [sym__ellipsis_operator] = ACTIONS(11541),
    [sym__plus_operator] = ACTIONS(11541),
    [sym__times_operator] = ACTIONS(11541),
    [sym__rational_operator] = ACTIONS(11543),
    [sym__bitshift_operator] = ACTIONS(11543),
    [sym__power_operator] = ACTIONS(11543),
    [sym__tilde_operator] = ACTIONS(11543),
    [sym__type_order_operator] = ACTIONS(11543),
    [sym__unary_operator] = ACTIONS(11541),
    [sym__unary_plus_operator] = ACTIONS(11541),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8833] = {
    [sym_block_comment] = STATE(8833),
    [sym_line_comment] = STATE(8833),
    [sym__word_identifier] = ACTIONS(11545),
    [anon_sym_COMMA] = ACTIONS(11547),
    [anon_sym_EQ] = ACTIONS(11545),
    [anon_sym_begin] = ACTIONS(11545),
    [anon_sym_module] = ACTIONS(11545),
    [anon_sym_baremodule] = ACTIONS(11545),
    [anon_sym_abstract] = ACTIONS(11545),
    [anon_sym_primitive] = ACTIONS(11545),
    [anon_sym_mutable] = ACTIONS(11545),
    [anon_sym_struct] = ACTIONS(11545),
    [anon_sym_function] = ACTIONS(11545),
    [anon_sym_macro] = ACTIONS(11545),
    [anon_sym_quote] = ACTIONS(11545),
    [anon_sym_let] = ACTIONS(11545),
    [anon_sym_if] = ACTIONS(11545),
    [anon_sym_try] = ACTIONS(11545),
    [anon_sym_for] = ACTIONS(11545),
    [anon_sym_while] = ACTIONS(11545),
    [sym_break_statement] = ACTIONS(11545),
    [sym_continue_statement] = ACTIONS(11545),
    [anon_sym_return] = ACTIONS(11545),
    [anon_sym_const] = ACTIONS(11545),
    [anon_sym_global] = ACTIONS(11545),
    [anon_sym_local] = ACTIONS(11545),
    [anon_sym_LPAREN] = ACTIONS(11547),
    [anon_sym_RPAREN] = ACTIONS(11547),
    [anon_sym_COLON] = ACTIONS(11545),
    [anon_sym_export] = ACTIONS(11545),
    [anon_sym_public] = ACTIONS(11545),
    [anon_sym_import] = ACTIONS(11545),
    [anon_sym_using] = ACTIONS(11545),
    [anon_sym_LBRACK] = ACTIONS(11547),
    [anon_sym_RBRACK] = ACTIONS(11547),
    [anon_sym_in] = ACTIONS(11545),
    [anon_sym_SEMI] = ACTIONS(11547),
    [anon_sym_LBRACE] = ACTIONS(11547),
    [anon_sym_RBRACE] = ACTIONS(11547),
    [anon_sym_DOLLAR] = ACTIONS(11547),
    [anon_sym_COLON2] = ACTIONS(11545),
    [anon_sym_COLON_COLON] = ACTIONS(11547),
    [anon_sym_isa] = ACTIONS(11545),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11547),
    [anon_sym_QMARK] = ACTIONS(11547),
    [anon_sym_where] = ACTIONS(11545),
    [anon_sym_AT] = ACTIONS(11547),
    [anon_sym_true] = ACTIONS(11545),
    [anon_sym_false] = ACTIONS(11545),
    [aux_sym_integer_literal_token1] = ACTIONS(11547),
    [aux_sym_integer_literal_token2] = ACTIONS(11547),
    [aux_sym_integer_literal_token3] = ACTIONS(11545),
    [aux_sym_integer_literal_token4] = ACTIONS(11545),
    [aux_sym_float_literal_token1] = ACTIONS(11547),
    [aux_sym_float_literal_token3] = ACTIONS(11547),
    [aux_sym_float_literal_token4] = ACTIONS(11547),
    [sym_character_literal] = ACTIONS(11547),
    [anon_sym_DQUOTE] = ACTIONS(11545),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11547),
    [anon_sym_BQUOTE] = ACTIONS(11545),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11547),
    [sym__pair_operator] = ACTIONS(11547),
    [sym__arrow_operator] = ACTIONS(11545),
    [sym__lazy_or_operator] = ACTIONS(11547),
    [sym__lazy_and_operator] = ACTIONS(11547),
    [sym__comparison_operator] = ACTIONS(11545),
    [sym__pipe_right_operator] = ACTIONS(11547),
    [sym__pipe_left_operator] = ACTIONS(11547),
    [sym__ellipsis_operator] = ACTIONS(11545),
    [sym__plus_operator] = ACTIONS(11545),
    [sym__times_operator] = ACTIONS(11545),
    [sym__rational_operator] = ACTIONS(11547),
    [sym__bitshift_operator] = ACTIONS(11547),
    [sym__power_operator] = ACTIONS(11547),
    [sym__tilde_operator] = ACTIONS(11547),
    [sym__type_order_operator] = ACTIONS(11547),
    [sym__unary_operator] = ACTIONS(11545),
    [sym__unary_plus_operator] = ACTIONS(11545),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8834] = {
    [sym_block_comment] = STATE(8834),
    [sym_line_comment] = STATE(8834),
    [sym__word_identifier] = ACTIONS(11549),
    [anon_sym_COMMA] = ACTIONS(11551),
    [anon_sym_EQ] = ACTIONS(11549),
    [anon_sym_begin] = ACTIONS(11549),
    [anon_sym_module] = ACTIONS(11549),
    [anon_sym_baremodule] = ACTIONS(11549),
    [anon_sym_abstract] = ACTIONS(11549),
    [anon_sym_primitive] = ACTIONS(11549),
    [anon_sym_mutable] = ACTIONS(11549),
    [anon_sym_struct] = ACTIONS(11549),
    [anon_sym_function] = ACTIONS(11549),
    [anon_sym_macro] = ACTIONS(11549),
    [anon_sym_quote] = ACTIONS(11549),
    [anon_sym_let] = ACTIONS(11549),
    [anon_sym_if] = ACTIONS(11549),
    [anon_sym_try] = ACTIONS(11549),
    [anon_sym_for] = ACTIONS(11549),
    [anon_sym_while] = ACTIONS(11549),
    [sym_break_statement] = ACTIONS(11549),
    [sym_continue_statement] = ACTIONS(11549),
    [anon_sym_return] = ACTIONS(11549),
    [anon_sym_const] = ACTIONS(11549),
    [anon_sym_global] = ACTIONS(11549),
    [anon_sym_local] = ACTIONS(11549),
    [anon_sym_LPAREN] = ACTIONS(11551),
    [anon_sym_RPAREN] = ACTIONS(11551),
    [anon_sym_COLON] = ACTIONS(11549),
    [anon_sym_export] = ACTIONS(11549),
    [anon_sym_public] = ACTIONS(11549),
    [anon_sym_import] = ACTIONS(11549),
    [anon_sym_using] = ACTIONS(11549),
    [anon_sym_LBRACK] = ACTIONS(11551),
    [anon_sym_RBRACK] = ACTIONS(11551),
    [anon_sym_in] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(11551),
    [anon_sym_LBRACE] = ACTIONS(11551),
    [anon_sym_RBRACE] = ACTIONS(11551),
    [anon_sym_DOLLAR] = ACTIONS(11551),
    [anon_sym_COLON2] = ACTIONS(11549),
    [anon_sym_COLON_COLON] = ACTIONS(11551),
    [anon_sym_isa] = ACTIONS(11549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11551),
    [anon_sym_QMARK] = ACTIONS(11551),
    [anon_sym_where] = ACTIONS(11549),
    [anon_sym_AT] = ACTIONS(11551),
    [anon_sym_true] = ACTIONS(11549),
    [anon_sym_false] = ACTIONS(11549),
    [aux_sym_integer_literal_token1] = ACTIONS(11551),
    [aux_sym_integer_literal_token2] = ACTIONS(11551),
    [aux_sym_integer_literal_token3] = ACTIONS(11549),
    [aux_sym_integer_literal_token4] = ACTIONS(11549),
    [aux_sym_float_literal_token1] = ACTIONS(11551),
    [aux_sym_float_literal_token3] = ACTIONS(11551),
    [aux_sym_float_literal_token4] = ACTIONS(11551),
    [sym_character_literal] = ACTIONS(11551),
    [anon_sym_DQUOTE] = ACTIONS(11549),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11551),
    [anon_sym_BQUOTE] = ACTIONS(11549),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11551),
    [sym__pair_operator] = ACTIONS(11551),
    [sym__arrow_operator] = ACTIONS(11549),
    [sym__lazy_or_operator] = ACTIONS(11551),
    [sym__lazy_and_operator] = ACTIONS(11551),
    [sym__comparison_operator] = ACTIONS(11549),
    [sym__pipe_right_operator] = ACTIONS(11551),
    [sym__pipe_left_operator] = ACTIONS(11551),
    [sym__ellipsis_operator] = ACTIONS(11549),
    [sym__plus_operator] = ACTIONS(11549),
    [sym__times_operator] = ACTIONS(11549),
    [sym__rational_operator] = ACTIONS(11551),
    [sym__bitshift_operator] = ACTIONS(11551),
    [sym__power_operator] = ACTIONS(11551),
    [sym__tilde_operator] = ACTIONS(11551),
    [sym__type_order_operator] = ACTIONS(11551),
    [sym__unary_operator] = ACTIONS(11549),
    [sym__unary_plus_operator] = ACTIONS(11549),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8835] = {
    [sym_block_comment] = STATE(8835),
    [sym_line_comment] = STATE(8835),
    [sym__word_identifier] = ACTIONS(11553),
    [anon_sym_COMMA] = ACTIONS(11555),
    [anon_sym_EQ] = ACTIONS(11553),
    [anon_sym_begin] = ACTIONS(11553),
    [anon_sym_module] = ACTIONS(11553),
    [anon_sym_baremodule] = ACTIONS(11553),
    [anon_sym_abstract] = ACTIONS(11553),
    [anon_sym_primitive] = ACTIONS(11553),
    [anon_sym_mutable] = ACTIONS(11553),
    [anon_sym_struct] = ACTIONS(11553),
    [anon_sym_function] = ACTIONS(11553),
    [anon_sym_macro] = ACTIONS(11553),
    [anon_sym_quote] = ACTIONS(11553),
    [anon_sym_let] = ACTIONS(11553),
    [anon_sym_if] = ACTIONS(11553),
    [anon_sym_try] = ACTIONS(11553),
    [anon_sym_for] = ACTIONS(11553),
    [anon_sym_while] = ACTIONS(11553),
    [sym_break_statement] = ACTIONS(11553),
    [sym_continue_statement] = ACTIONS(11553),
    [anon_sym_return] = ACTIONS(11553),
    [anon_sym_const] = ACTIONS(11553),
    [anon_sym_global] = ACTIONS(11553),
    [anon_sym_local] = ACTIONS(11553),
    [anon_sym_LPAREN] = ACTIONS(11555),
    [anon_sym_RPAREN] = ACTIONS(11555),
    [anon_sym_COLON] = ACTIONS(11553),
    [anon_sym_export] = ACTIONS(11553),
    [anon_sym_public] = ACTIONS(11553),
    [anon_sym_import] = ACTIONS(11553),
    [anon_sym_using] = ACTIONS(11553),
    [anon_sym_LBRACK] = ACTIONS(11555),
    [anon_sym_RBRACK] = ACTIONS(11555),
    [anon_sym_in] = ACTIONS(11553),
    [anon_sym_SEMI] = ACTIONS(11555),
    [anon_sym_LBRACE] = ACTIONS(11555),
    [anon_sym_RBRACE] = ACTIONS(11555),
    [anon_sym_DOLLAR] = ACTIONS(11555),
    [anon_sym_COLON2] = ACTIONS(11553),
    [anon_sym_COLON_COLON] = ACTIONS(11555),
    [anon_sym_isa] = ACTIONS(11553),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11555),
    [anon_sym_QMARK] = ACTIONS(11555),
    [anon_sym_where] = ACTIONS(11553),
    [anon_sym_AT] = ACTIONS(11555),
    [anon_sym_true] = ACTIONS(11553),
    [anon_sym_false] = ACTIONS(11553),
    [aux_sym_integer_literal_token1] = ACTIONS(11555),
    [aux_sym_integer_literal_token2] = ACTIONS(11555),
    [aux_sym_integer_literal_token3] = ACTIONS(11553),
    [aux_sym_integer_literal_token4] = ACTIONS(11553),
    [aux_sym_float_literal_token1] = ACTIONS(11555),
    [aux_sym_float_literal_token3] = ACTIONS(11555),
    [aux_sym_float_literal_token4] = ACTIONS(11555),
    [sym_character_literal] = ACTIONS(11555),
    [anon_sym_DQUOTE] = ACTIONS(11553),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11555),
    [anon_sym_BQUOTE] = ACTIONS(11553),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11555),
    [sym__pair_operator] = ACTIONS(11555),
    [sym__arrow_operator] = ACTIONS(11553),
    [sym__lazy_or_operator] = ACTIONS(11555),
    [sym__lazy_and_operator] = ACTIONS(11555),
    [sym__comparison_operator] = ACTIONS(11553),
    [sym__pipe_right_operator] = ACTIONS(11555),
    [sym__pipe_left_operator] = ACTIONS(11555),
    [sym__ellipsis_operator] = ACTIONS(11553),
    [sym__plus_operator] = ACTIONS(11553),
    [sym__times_operator] = ACTIONS(11553),
    [sym__rational_operator] = ACTIONS(11555),
    [sym__bitshift_operator] = ACTIONS(11555),
    [sym__power_operator] = ACTIONS(11555),
    [sym__tilde_operator] = ACTIONS(11555),
    [sym__type_order_operator] = ACTIONS(11555),
    [sym__unary_operator] = ACTIONS(11553),
    [sym__unary_plus_operator] = ACTIONS(11553),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8836] = {
    [sym_block_comment] = STATE(8836),
    [sym_line_comment] = STATE(8836),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_catch] = ACTIONS(11258),
    [anon_sym_finally] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8837] = {
    [sym_block_comment] = STATE(8837),
    [sym_line_comment] = STATE(8837),
    [sym__word_identifier] = ACTIONS(11557),
    [anon_sym_COMMA] = ACTIONS(11559),
    [anon_sym_EQ] = ACTIONS(11557),
    [anon_sym_begin] = ACTIONS(11557),
    [anon_sym_module] = ACTIONS(11557),
    [anon_sym_baremodule] = ACTIONS(11557),
    [anon_sym_abstract] = ACTIONS(11557),
    [anon_sym_primitive] = ACTIONS(11557),
    [anon_sym_mutable] = ACTIONS(11557),
    [anon_sym_struct] = ACTIONS(11557),
    [anon_sym_function] = ACTIONS(11557),
    [anon_sym_macro] = ACTIONS(11557),
    [anon_sym_quote] = ACTIONS(11557),
    [anon_sym_let] = ACTIONS(11557),
    [anon_sym_if] = ACTIONS(11557),
    [anon_sym_try] = ACTIONS(11557),
    [anon_sym_for] = ACTIONS(11557),
    [anon_sym_while] = ACTIONS(11557),
    [sym_break_statement] = ACTIONS(11557),
    [sym_continue_statement] = ACTIONS(11557),
    [anon_sym_return] = ACTIONS(11557),
    [anon_sym_const] = ACTIONS(11557),
    [anon_sym_global] = ACTIONS(11557),
    [anon_sym_local] = ACTIONS(11557),
    [anon_sym_LPAREN] = ACTIONS(11559),
    [anon_sym_RPAREN] = ACTIONS(11559),
    [anon_sym_COLON] = ACTIONS(11557),
    [anon_sym_export] = ACTIONS(11557),
    [anon_sym_public] = ACTIONS(11557),
    [anon_sym_import] = ACTIONS(11557),
    [anon_sym_using] = ACTIONS(11557),
    [anon_sym_LBRACK] = ACTIONS(11559),
    [anon_sym_RBRACK] = ACTIONS(11559),
    [anon_sym_in] = ACTIONS(11557),
    [anon_sym_SEMI] = ACTIONS(11559),
    [anon_sym_LBRACE] = ACTIONS(11559),
    [anon_sym_RBRACE] = ACTIONS(11559),
    [anon_sym_DOLLAR] = ACTIONS(11559),
    [anon_sym_COLON2] = ACTIONS(11557),
    [anon_sym_COLON_COLON] = ACTIONS(11559),
    [anon_sym_isa] = ACTIONS(11557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11559),
    [anon_sym_QMARK] = ACTIONS(11559),
    [anon_sym_where] = ACTIONS(11557),
    [anon_sym_AT] = ACTIONS(11559),
    [anon_sym_true] = ACTIONS(11557),
    [anon_sym_false] = ACTIONS(11557),
    [aux_sym_integer_literal_token1] = ACTIONS(11559),
    [aux_sym_integer_literal_token2] = ACTIONS(11559),
    [aux_sym_integer_literal_token3] = ACTIONS(11557),
    [aux_sym_integer_literal_token4] = ACTIONS(11557),
    [aux_sym_float_literal_token1] = ACTIONS(11559),
    [aux_sym_float_literal_token3] = ACTIONS(11559),
    [aux_sym_float_literal_token4] = ACTIONS(11559),
    [sym_character_literal] = ACTIONS(11559),
    [anon_sym_DQUOTE] = ACTIONS(11557),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11559),
    [anon_sym_BQUOTE] = ACTIONS(11557),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11559),
    [sym__pair_operator] = ACTIONS(11559),
    [sym__arrow_operator] = ACTIONS(11557),
    [sym__lazy_or_operator] = ACTIONS(11559),
    [sym__lazy_and_operator] = ACTIONS(11559),
    [sym__comparison_operator] = ACTIONS(11557),
    [sym__pipe_right_operator] = ACTIONS(11559),
    [sym__pipe_left_operator] = ACTIONS(11559),
    [sym__ellipsis_operator] = ACTIONS(11557),
    [sym__plus_operator] = ACTIONS(11557),
    [sym__times_operator] = ACTIONS(11557),
    [sym__rational_operator] = ACTIONS(11559),
    [sym__bitshift_operator] = ACTIONS(11559),
    [sym__power_operator] = ACTIONS(11559),
    [sym__tilde_operator] = ACTIONS(11559),
    [sym__type_order_operator] = ACTIONS(11559),
    [sym__unary_operator] = ACTIONS(11557),
    [sym__unary_plus_operator] = ACTIONS(11557),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8838] = {
    [sym_block_comment] = STATE(8838),
    [sym_line_comment] = STATE(8838),
    [sym__word_identifier] = ACTIONS(11561),
    [anon_sym_COMMA] = ACTIONS(11563),
    [anon_sym_EQ] = ACTIONS(11561),
    [anon_sym_begin] = ACTIONS(11561),
    [anon_sym_module] = ACTIONS(11561),
    [anon_sym_baremodule] = ACTIONS(11561),
    [anon_sym_abstract] = ACTIONS(11561),
    [anon_sym_primitive] = ACTIONS(11561),
    [anon_sym_mutable] = ACTIONS(11561),
    [anon_sym_struct] = ACTIONS(11561),
    [anon_sym_function] = ACTIONS(11561),
    [anon_sym_macro] = ACTIONS(11561),
    [anon_sym_quote] = ACTIONS(11561),
    [anon_sym_let] = ACTIONS(11561),
    [anon_sym_if] = ACTIONS(11561),
    [anon_sym_try] = ACTIONS(11561),
    [anon_sym_for] = ACTIONS(11561),
    [anon_sym_while] = ACTIONS(11561),
    [sym_break_statement] = ACTIONS(11561),
    [sym_continue_statement] = ACTIONS(11561),
    [anon_sym_return] = ACTIONS(11561),
    [anon_sym_const] = ACTIONS(11561),
    [anon_sym_global] = ACTIONS(11561),
    [anon_sym_local] = ACTIONS(11561),
    [anon_sym_LPAREN] = ACTIONS(11563),
    [anon_sym_RPAREN] = ACTIONS(11563),
    [anon_sym_COLON] = ACTIONS(11561),
    [anon_sym_export] = ACTIONS(11561),
    [anon_sym_public] = ACTIONS(11561),
    [anon_sym_import] = ACTIONS(11561),
    [anon_sym_using] = ACTIONS(11561),
    [anon_sym_LBRACK] = ACTIONS(11563),
    [anon_sym_RBRACK] = ACTIONS(11563),
    [anon_sym_in] = ACTIONS(11561),
    [anon_sym_SEMI] = ACTIONS(11563),
    [anon_sym_LBRACE] = ACTIONS(11563),
    [anon_sym_RBRACE] = ACTIONS(11563),
    [anon_sym_DOLLAR] = ACTIONS(11563),
    [anon_sym_COLON2] = ACTIONS(11561),
    [anon_sym_COLON_COLON] = ACTIONS(11563),
    [anon_sym_isa] = ACTIONS(11561),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11563),
    [anon_sym_QMARK] = ACTIONS(11563),
    [anon_sym_where] = ACTIONS(11561),
    [anon_sym_AT] = ACTIONS(11563),
    [anon_sym_true] = ACTIONS(11561),
    [anon_sym_false] = ACTIONS(11561),
    [aux_sym_integer_literal_token1] = ACTIONS(11563),
    [aux_sym_integer_literal_token2] = ACTIONS(11563),
    [aux_sym_integer_literal_token3] = ACTIONS(11561),
    [aux_sym_integer_literal_token4] = ACTIONS(11561),
    [aux_sym_float_literal_token1] = ACTIONS(11563),
    [aux_sym_float_literal_token3] = ACTIONS(11563),
    [aux_sym_float_literal_token4] = ACTIONS(11563),
    [sym_character_literal] = ACTIONS(11563),
    [anon_sym_DQUOTE] = ACTIONS(11561),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11563),
    [anon_sym_BQUOTE] = ACTIONS(11561),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11563),
    [sym__pair_operator] = ACTIONS(11563),
    [sym__arrow_operator] = ACTIONS(11561),
    [sym__lazy_or_operator] = ACTIONS(11563),
    [sym__lazy_and_operator] = ACTIONS(11563),
    [sym__comparison_operator] = ACTIONS(11561),
    [sym__pipe_right_operator] = ACTIONS(11563),
    [sym__pipe_left_operator] = ACTIONS(11563),
    [sym__ellipsis_operator] = ACTIONS(11561),
    [sym__plus_operator] = ACTIONS(11561),
    [sym__times_operator] = ACTIONS(11561),
    [sym__rational_operator] = ACTIONS(11563),
    [sym__bitshift_operator] = ACTIONS(11563),
    [sym__power_operator] = ACTIONS(11563),
    [sym__tilde_operator] = ACTIONS(11563),
    [sym__type_order_operator] = ACTIONS(11563),
    [sym__unary_operator] = ACTIONS(11561),
    [sym__unary_plus_operator] = ACTIONS(11561),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8839] = {
    [sym_block_comment] = STATE(8839),
    [sym_line_comment] = STATE(8839),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8840] = {
    [sym_block_comment] = STATE(8840),
    [sym_line_comment] = STATE(8840),
    [ts_builtin_sym_end] = ACTIONS(11314),
    [sym__word_identifier] = ACTIONS(11312),
    [anon_sym_COMMA] = ACTIONS(11312),
    [anon_sym_EQ] = ACTIONS(11312),
    [anon_sym_begin] = ACTIONS(11312),
    [anon_sym_module] = ACTIONS(11312),
    [anon_sym_baremodule] = ACTIONS(11312),
    [anon_sym_abstract] = ACTIONS(11312),
    [anon_sym_primitive] = ACTIONS(11312),
    [anon_sym_mutable] = ACTIONS(11312),
    [anon_sym_struct] = ACTIONS(11312),
    [anon_sym_function] = ACTIONS(11312),
    [anon_sym_macro] = ACTIONS(11312),
    [anon_sym_quote] = ACTIONS(11312),
    [anon_sym_let] = ACTIONS(11312),
    [anon_sym_if] = ACTIONS(11312),
    [anon_sym_try] = ACTIONS(11312),
    [anon_sym_for] = ACTIONS(11312),
    [anon_sym_while] = ACTIONS(11312),
    [sym_break_statement] = ACTIONS(11312),
    [sym_continue_statement] = ACTIONS(11312),
    [anon_sym_return] = ACTIONS(11312),
    [anon_sym_const] = ACTIONS(11312),
    [anon_sym_global] = ACTIONS(11312),
    [anon_sym_local] = ACTIONS(11312),
    [anon_sym_LPAREN] = ACTIONS(11312),
    [anon_sym_COLON] = ACTIONS(11312),
    [anon_sym_export] = ACTIONS(11312),
    [anon_sym_public] = ACTIONS(11312),
    [anon_sym_import] = ACTIONS(11312),
    [anon_sym_using] = ACTIONS(11312),
    [anon_sym_LBRACK] = ACTIONS(11312),
    [anon_sym_RBRACK] = ACTIONS(11312),
    [anon_sym_in] = ACTIONS(11312),
    [anon_sym_SEMI] = ACTIONS(11312),
    [anon_sym_LBRACE] = ACTIONS(11312),
    [anon_sym_DOLLAR] = ACTIONS(11312),
    [anon_sym_COLON2] = ACTIONS(11312),
    [anon_sym_COLON_COLON] = ACTIONS(11312),
    [anon_sym_isa] = ACTIONS(11312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11312),
    [anon_sym_QMARK] = ACTIONS(11312),
    [anon_sym_where] = ACTIONS(11312),
    [anon_sym_AT] = ACTIONS(11312),
    [anon_sym_true] = ACTIONS(11312),
    [anon_sym_false] = ACTIONS(11312),
    [aux_sym_integer_literal_token1] = ACTIONS(11312),
    [aux_sym_integer_literal_token2] = ACTIONS(11312),
    [aux_sym_integer_literal_token3] = ACTIONS(11312),
    [aux_sym_integer_literal_token4] = ACTIONS(11312),
    [aux_sym_float_literal_token1] = ACTIONS(11312),
    [aux_sym_float_literal_token3] = ACTIONS(11312),
    [aux_sym_float_literal_token4] = ACTIONS(11312),
    [sym_character_literal] = ACTIONS(11312),
    [anon_sym_DQUOTE] = ACTIONS(11312),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11312),
    [anon_sym_BQUOTE] = ACTIONS(11312),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11312),
    [sym__pair_operator] = ACTIONS(11312),
    [sym__arrow_operator] = ACTIONS(11312),
    [sym__lazy_or_operator] = ACTIONS(11312),
    [sym__lazy_and_operator] = ACTIONS(11312),
    [sym__comparison_operator] = ACTIONS(11312),
    [sym__pipe_right_operator] = ACTIONS(11312),
    [sym__pipe_left_operator] = ACTIONS(11312),
    [sym__ellipsis_operator] = ACTIONS(11312),
    [sym__plus_operator] = ACTIONS(11312),
    [sym__times_operator] = ACTIONS(11312),
    [sym__rational_operator] = ACTIONS(11312),
    [sym__bitshift_operator] = ACTIONS(11312),
    [sym__power_operator] = ACTIONS(11312),
    [sym__tilde_operator] = ACTIONS(11312),
    [sym__type_order_operator] = ACTIONS(11312),
    [sym__unary_operator] = ACTIONS(11312),
    [sym__unary_plus_operator] = ACTIONS(11312),
    [aux_sym__terminator_token1] = ACTIONS(11314),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8841] = {
    [sym_block_comment] = STATE(8841),
    [sym_line_comment] = STATE(8841),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8842] = {
    [sym_block_comment] = STATE(8842),
    [sym_line_comment] = STATE(8842),
    [ts_builtin_sym_end] = ACTIONS(11214),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(12540),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_RBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8843] = {
    [sym_block_comment] = STATE(8843),
    [sym_line_comment] = STATE(8843),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11878),
    [anon_sym_EQ] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11878),
    [anon_sym_RPAREN] = ACTIONS(11878),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11878),
    [anon_sym_RBRACK] = ACTIONS(11878),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11878),
    [anon_sym_LBRACE] = ACTIONS(11878),
    [anon_sym_RBRACE] = ACTIONS(11878),
    [anon_sym_DOLLAR] = ACTIONS(11878),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(11878),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11878),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11878),
    [aux_sym_integer_literal_token2] = ACTIONS(11878),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11878),
    [aux_sym_float_literal_token3] = ACTIONS(11878),
    [aux_sym_float_literal_token4] = ACTIONS(11878),
    [sym_character_literal] = ACTIONS(11878),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11878),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11878),
    [sym__pair_operator] = ACTIONS(11878),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11878),
    [sym__lazy_and_operator] = ACTIONS(11878),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11878),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8844] = {
    [sym_block_comment] = STATE(8844),
    [sym_line_comment] = STATE(8844),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10229),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10229),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10229),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_SEMI] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10229),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10229),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10229),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10229),
    [anon_sym_QMARK] = ACTIONS(10229),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10229),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10229),
    [aux_sym_integer_literal_token2] = ACTIONS(10229),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10229),
    [aux_sym_float_literal_token3] = ACTIONS(10229),
    [aux_sym_float_literal_token4] = ACTIONS(10229),
    [sym_character_literal] = ACTIONS(10229),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10229),
    [sym__pair_operator] = ACTIONS(10229),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10229),
    [sym__lazy_and_operator] = ACTIONS(10229),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10229),
    [sym__pipe_left_operator] = ACTIONS(10229),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10229),
    [sym__bitshift_operator] = ACTIONS(10229),
    [sym__power_operator] = ACTIONS(10229),
    [sym__tilde_operator] = ACTIONS(10229),
    [sym__type_order_operator] = ACTIONS(10229),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym__terminator_token1] = ACTIONS(10231),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8845] = {
    [sym_block_comment] = STATE(8845),
    [sym_line_comment] = STATE(8845),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10283),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8846] = {
    [sym_block_comment] = STATE(8846),
    [sym_line_comment] = STATE(8846),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(11378),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8847] = {
    [sym_block_comment] = STATE(8847),
    [sym_line_comment] = STATE(8847),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11220),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11220),
    [anon_sym_RPAREN] = ACTIONS(11220),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11220),
    [anon_sym_RBRACK] = ACTIONS(11220),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11220),
    [anon_sym_LBRACE] = ACTIONS(11220),
    [anon_sym_RBRACE] = ACTIONS(11220),
    [anon_sym_DOLLAR] = ACTIONS(11220),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12520),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11220),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11220),
    [aux_sym_integer_literal_token2] = ACTIONS(11220),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11220),
    [aux_sym_float_literal_token3] = ACTIONS(11220),
    [aux_sym_float_literal_token4] = ACTIONS(11220),
    [sym_character_literal] = ACTIONS(11220),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11220),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11220),
    [sym__pair_operator] = ACTIONS(11220),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11220),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8848] = {
    [sym_block_comment] = STATE(8848),
    [sym_line_comment] = STATE(8848),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10095),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8849] = {
    [sym_block_comment] = STATE(8849),
    [sym_line_comment] = STATE(8849),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_catch] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(11382),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(11382),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11382),
    [anon_sym_isa] = ACTIONS(11382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11382),
    [anon_sym_QMARK] = ACTIONS(11382),
    [anon_sym_where] = ACTIONS(11382),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(11382),
    [sym__arrow_operator] = ACTIONS(11382),
    [sym__lazy_or_operator] = ACTIONS(11382),
    [sym__lazy_and_operator] = ACTIONS(11382),
    [sym__comparison_operator] = ACTIONS(11382),
    [sym__pipe_right_operator] = ACTIONS(11382),
    [sym__pipe_left_operator] = ACTIONS(11382),
    [sym__ellipsis_operator] = ACTIONS(11382),
    [sym__plus_operator] = ACTIONS(11382),
    [sym__times_operator] = ACTIONS(11382),
    [sym__rational_operator] = ACTIONS(11382),
    [sym__bitshift_operator] = ACTIONS(11382),
    [sym__power_operator] = ACTIONS(11382),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(11382),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(11382),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8850] = {
    [sym_block_comment] = STATE(8850),
    [sym_line_comment] = STATE(8850),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11220),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11220),
    [anon_sym_RPAREN] = ACTIONS(11220),
    [anon_sym_COLON] = ACTIONS(11216),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11220),
    [anon_sym_RBRACK] = ACTIONS(11220),
    [anon_sym_in] = ACTIONS(11216),
    [anon_sym_SEMI] = ACTIONS(11220),
    [anon_sym_LBRACE] = ACTIONS(11220),
    [anon_sym_RBRACE] = ACTIONS(11220),
    [anon_sym_DOLLAR] = ACTIONS(11220),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11220),
    [anon_sym_isa] = ACTIONS(11216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11220),
    [anon_sym_QMARK] = ACTIONS(11220),
    [anon_sym_where] = ACTIONS(11216),
    [anon_sym_AT] = ACTIONS(11220),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11220),
    [aux_sym_integer_literal_token2] = ACTIONS(11220),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11220),
    [aux_sym_float_literal_token3] = ACTIONS(11220),
    [aux_sym_float_literal_token4] = ACTIONS(11220),
    [sym_character_literal] = ACTIONS(11220),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11220),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11220),
    [sym__pair_operator] = ACTIONS(11220),
    [sym__arrow_operator] = ACTIONS(11216),
    [sym__lazy_or_operator] = ACTIONS(11220),
    [sym__lazy_and_operator] = ACTIONS(11220),
    [sym__comparison_operator] = ACTIONS(11216),
    [sym__pipe_right_operator] = ACTIONS(11220),
    [sym__pipe_left_operator] = ACTIONS(11220),
    [sym__ellipsis_operator] = ACTIONS(11216),
    [sym__plus_operator] = ACTIONS(11216),
    [sym__times_operator] = ACTIONS(11216),
    [sym__rational_operator] = ACTIONS(11220),
    [sym__bitshift_operator] = ACTIONS(11220),
    [sym__power_operator] = ACTIONS(11220),
    [sym__tilde_operator] = ACTIONS(11220),
    [sym__type_order_operator] = ACTIONS(11220),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11216),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8851] = {
    [sym_block_comment] = STATE(8851),
    [sym_line_comment] = STATE(8851),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12151),
    [anon_sym_EQ] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_catch] = ACTIONS(12151),
    [anon_sym_finally] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12392),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8852] = {
    [sym_block_comment] = STATE(8852),
    [sym_line_comment] = STATE(8852),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11214),
    [anon_sym_EQ] = ACTIONS(12544),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11214),
    [anon_sym_RPAREN] = ACTIONS(11214),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11214),
    [anon_sym_RBRACK] = ACTIONS(11214),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11214),
    [anon_sym_LBRACE] = ACTIONS(11214),
    [anon_sym_RBRACE] = ACTIONS(11214),
    [anon_sym_DOLLAR] = ACTIONS(11214),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11214),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11214),
    [anon_sym_QMARK] = ACTIONS(11214),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11214),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11214),
    [aux_sym_integer_literal_token2] = ACTIONS(11214),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11214),
    [aux_sym_float_literal_token3] = ACTIONS(11214),
    [aux_sym_float_literal_token4] = ACTIONS(11214),
    [sym_character_literal] = ACTIONS(11214),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11214),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11214),
    [sym__pair_operator] = ACTIONS(11214),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11214),
    [sym__lazy_and_operator] = ACTIONS(11214),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11214),
    [sym__pipe_left_operator] = ACTIONS(11214),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11214),
    [sym__bitshift_operator] = ACTIONS(11214),
    [sym__power_operator] = ACTIONS(11214),
    [sym__tilde_operator] = ACTIONS(11214),
    [sym__type_order_operator] = ACTIONS(11214),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8853] = {
    [sym_block_comment] = STATE(8853),
    [sym_line_comment] = STATE(8853),
    [sym__word_identifier] = ACTIONS(11565),
    [anon_sym_COMMA] = ACTIONS(11567),
    [anon_sym_EQ] = ACTIONS(11565),
    [anon_sym_begin] = ACTIONS(11565),
    [anon_sym_module] = ACTIONS(11565),
    [anon_sym_baremodule] = ACTIONS(11565),
    [anon_sym_abstract] = ACTIONS(11565),
    [anon_sym_primitive] = ACTIONS(11565),
    [anon_sym_mutable] = ACTIONS(11565),
    [anon_sym_struct] = ACTIONS(11565),
    [anon_sym_function] = ACTIONS(11565),
    [anon_sym_macro] = ACTIONS(11565),
    [anon_sym_quote] = ACTIONS(11565),
    [anon_sym_let] = ACTIONS(11565),
    [anon_sym_if] = ACTIONS(11565),
    [anon_sym_try] = ACTIONS(11565),
    [anon_sym_for] = ACTIONS(11565),
    [anon_sym_while] = ACTIONS(11565),
    [sym_break_statement] = ACTIONS(11565),
    [sym_continue_statement] = ACTIONS(11565),
    [anon_sym_return] = ACTIONS(11565),
    [anon_sym_const] = ACTIONS(11565),
    [anon_sym_global] = ACTIONS(11565),
    [anon_sym_local] = ACTIONS(11565),
    [anon_sym_LPAREN] = ACTIONS(11567),
    [anon_sym_RPAREN] = ACTIONS(11567),
    [anon_sym_COLON] = ACTIONS(11565),
    [anon_sym_export] = ACTIONS(11565),
    [anon_sym_public] = ACTIONS(11565),
    [anon_sym_import] = ACTIONS(11565),
    [anon_sym_using] = ACTIONS(11565),
    [anon_sym_LBRACK] = ACTIONS(11567),
    [anon_sym_RBRACK] = ACTIONS(11567),
    [anon_sym_in] = ACTIONS(11565),
    [anon_sym_SEMI] = ACTIONS(11567),
    [anon_sym_LBRACE] = ACTIONS(11567),
    [anon_sym_RBRACE] = ACTIONS(11567),
    [anon_sym_DOLLAR] = ACTIONS(11567),
    [anon_sym_COLON2] = ACTIONS(11565),
    [anon_sym_COLON_COLON] = ACTIONS(11567),
    [anon_sym_isa] = ACTIONS(11565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11567),
    [anon_sym_QMARK] = ACTIONS(11567),
    [anon_sym_where] = ACTIONS(11565),
    [anon_sym_AT] = ACTIONS(11567),
    [anon_sym_true] = ACTIONS(11565),
    [anon_sym_false] = ACTIONS(11565),
    [aux_sym_integer_literal_token1] = ACTIONS(11567),
    [aux_sym_integer_literal_token2] = ACTIONS(11567),
    [aux_sym_integer_literal_token3] = ACTIONS(11565),
    [aux_sym_integer_literal_token4] = ACTIONS(11565),
    [aux_sym_float_literal_token1] = ACTIONS(11567),
    [aux_sym_float_literal_token3] = ACTIONS(11567),
    [aux_sym_float_literal_token4] = ACTIONS(11567),
    [sym_character_literal] = ACTIONS(11567),
    [anon_sym_DQUOTE] = ACTIONS(11565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11567),
    [anon_sym_BQUOTE] = ACTIONS(11565),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11567),
    [sym__pair_operator] = ACTIONS(11567),
    [sym__arrow_operator] = ACTIONS(11565),
    [sym__lazy_or_operator] = ACTIONS(11567),
    [sym__lazy_and_operator] = ACTIONS(11567),
    [sym__comparison_operator] = ACTIONS(11565),
    [sym__pipe_right_operator] = ACTIONS(11567),
    [sym__pipe_left_operator] = ACTIONS(11567),
    [sym__ellipsis_operator] = ACTIONS(11565),
    [sym__plus_operator] = ACTIONS(11565),
    [sym__times_operator] = ACTIONS(11565),
    [sym__rational_operator] = ACTIONS(11567),
    [sym__bitshift_operator] = ACTIONS(11567),
    [sym__power_operator] = ACTIONS(11567),
    [sym__tilde_operator] = ACTIONS(11567),
    [sym__type_order_operator] = ACTIONS(11567),
    [sym__unary_operator] = ACTIONS(11565),
    [sym__unary_plus_operator] = ACTIONS(11565),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8854] = {
    [sym_block_comment] = STATE(8854),
    [sym_line_comment] = STATE(8854),
    [sym__word_identifier] = ACTIONS(11569),
    [anon_sym_COMMA] = ACTIONS(11571),
    [anon_sym_EQ] = ACTIONS(11569),
    [anon_sym_begin] = ACTIONS(11569),
    [anon_sym_module] = ACTIONS(11569),
    [anon_sym_baremodule] = ACTIONS(11569),
    [anon_sym_abstract] = ACTIONS(11569),
    [anon_sym_primitive] = ACTIONS(11569),
    [anon_sym_mutable] = ACTIONS(11569),
    [anon_sym_struct] = ACTIONS(11569),
    [anon_sym_function] = ACTIONS(11569),
    [anon_sym_macro] = ACTIONS(11569),
    [anon_sym_quote] = ACTIONS(11569),
    [anon_sym_let] = ACTIONS(11569),
    [anon_sym_if] = ACTIONS(11569),
    [anon_sym_try] = ACTIONS(11569),
    [anon_sym_for] = ACTIONS(11569),
    [anon_sym_while] = ACTIONS(11569),
    [sym_break_statement] = ACTIONS(11569),
    [sym_continue_statement] = ACTIONS(11569),
    [anon_sym_return] = ACTIONS(11569),
    [anon_sym_const] = ACTIONS(11569),
    [anon_sym_global] = ACTIONS(11569),
    [anon_sym_local] = ACTIONS(11569),
    [anon_sym_LPAREN] = ACTIONS(11571),
    [anon_sym_RPAREN] = ACTIONS(11571),
    [anon_sym_COLON] = ACTIONS(11569),
    [anon_sym_export] = ACTIONS(11569),
    [anon_sym_public] = ACTIONS(11569),
    [anon_sym_import] = ACTIONS(11569),
    [anon_sym_using] = ACTIONS(11569),
    [anon_sym_LBRACK] = ACTIONS(11571),
    [anon_sym_RBRACK] = ACTIONS(11571),
    [anon_sym_in] = ACTIONS(11569),
    [anon_sym_SEMI] = ACTIONS(11571),
    [anon_sym_LBRACE] = ACTIONS(11571),
    [anon_sym_RBRACE] = ACTIONS(11571),
    [anon_sym_DOLLAR] = ACTIONS(11571),
    [anon_sym_COLON2] = ACTIONS(11569),
    [anon_sym_COLON_COLON] = ACTIONS(11571),
    [anon_sym_isa] = ACTIONS(11569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11571),
    [anon_sym_QMARK] = ACTIONS(11571),
    [anon_sym_where] = ACTIONS(11569),
    [anon_sym_AT] = ACTIONS(11571),
    [anon_sym_true] = ACTIONS(11569),
    [anon_sym_false] = ACTIONS(11569),
    [aux_sym_integer_literal_token1] = ACTIONS(11571),
    [aux_sym_integer_literal_token2] = ACTIONS(11571),
    [aux_sym_integer_literal_token3] = ACTIONS(11569),
    [aux_sym_integer_literal_token4] = ACTIONS(11569),
    [aux_sym_float_literal_token1] = ACTIONS(11571),
    [aux_sym_float_literal_token3] = ACTIONS(11571),
    [aux_sym_float_literal_token4] = ACTIONS(11571),
    [sym_character_literal] = ACTIONS(11571),
    [anon_sym_DQUOTE] = ACTIONS(11569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11571),
    [anon_sym_BQUOTE] = ACTIONS(11569),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11571),
    [sym__pair_operator] = ACTIONS(11571),
    [sym__arrow_operator] = ACTIONS(11569),
    [sym__lazy_or_operator] = ACTIONS(11571),
    [sym__lazy_and_operator] = ACTIONS(11571),
    [sym__comparison_operator] = ACTIONS(11569),
    [sym__pipe_right_operator] = ACTIONS(11571),
    [sym__pipe_left_operator] = ACTIONS(11571),
    [sym__ellipsis_operator] = ACTIONS(11569),
    [sym__plus_operator] = ACTIONS(11569),
    [sym__times_operator] = ACTIONS(11569),
    [sym__rational_operator] = ACTIONS(11571),
    [sym__bitshift_operator] = ACTIONS(11571),
    [sym__power_operator] = ACTIONS(11571),
    [sym__tilde_operator] = ACTIONS(11571),
    [sym__type_order_operator] = ACTIONS(11571),
    [sym__unary_operator] = ACTIONS(11569),
    [sym__unary_plus_operator] = ACTIONS(11569),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8855] = {
    [sym_block_comment] = STATE(8855),
    [sym_line_comment] = STATE(8855),
    [sym__word_identifier] = ACTIONS(11573),
    [anon_sym_COMMA] = ACTIONS(11575),
    [anon_sym_EQ] = ACTIONS(11573),
    [anon_sym_begin] = ACTIONS(11573),
    [anon_sym_module] = ACTIONS(11573),
    [anon_sym_baremodule] = ACTIONS(11573),
    [anon_sym_abstract] = ACTIONS(11573),
    [anon_sym_primitive] = ACTIONS(11573),
    [anon_sym_mutable] = ACTIONS(11573),
    [anon_sym_struct] = ACTIONS(11573),
    [anon_sym_function] = ACTIONS(11573),
    [anon_sym_macro] = ACTIONS(11573),
    [anon_sym_quote] = ACTIONS(11573),
    [anon_sym_let] = ACTIONS(11573),
    [anon_sym_if] = ACTIONS(11573),
    [anon_sym_try] = ACTIONS(11573),
    [anon_sym_for] = ACTIONS(11573),
    [anon_sym_while] = ACTIONS(11573),
    [sym_break_statement] = ACTIONS(11573),
    [sym_continue_statement] = ACTIONS(11573),
    [anon_sym_return] = ACTIONS(11573),
    [anon_sym_const] = ACTIONS(11573),
    [anon_sym_global] = ACTIONS(11573),
    [anon_sym_local] = ACTIONS(11573),
    [anon_sym_LPAREN] = ACTIONS(11575),
    [anon_sym_RPAREN] = ACTIONS(11575),
    [anon_sym_COLON] = ACTIONS(11573),
    [anon_sym_export] = ACTIONS(11573),
    [anon_sym_public] = ACTIONS(11573),
    [anon_sym_import] = ACTIONS(11573),
    [anon_sym_using] = ACTIONS(11573),
    [anon_sym_LBRACK] = ACTIONS(11575),
    [anon_sym_RBRACK] = ACTIONS(11575),
    [anon_sym_in] = ACTIONS(11573),
    [anon_sym_SEMI] = ACTIONS(11575),
    [anon_sym_LBRACE] = ACTIONS(11575),
    [anon_sym_RBRACE] = ACTIONS(11575),
    [anon_sym_DOLLAR] = ACTIONS(11575),
    [anon_sym_COLON2] = ACTIONS(11573),
    [anon_sym_COLON_COLON] = ACTIONS(11575),
    [anon_sym_isa] = ACTIONS(11573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11575),
    [anon_sym_QMARK] = ACTIONS(11575),
    [anon_sym_where] = ACTIONS(11573),
    [anon_sym_AT] = ACTIONS(11575),
    [anon_sym_true] = ACTIONS(11573),
    [anon_sym_false] = ACTIONS(11573),
    [aux_sym_integer_literal_token1] = ACTIONS(11575),
    [aux_sym_integer_literal_token2] = ACTIONS(11575),
    [aux_sym_integer_literal_token3] = ACTIONS(11573),
    [aux_sym_integer_literal_token4] = ACTIONS(11573),
    [aux_sym_float_literal_token1] = ACTIONS(11575),
    [aux_sym_float_literal_token3] = ACTIONS(11575),
    [aux_sym_float_literal_token4] = ACTIONS(11575),
    [sym_character_literal] = ACTIONS(11575),
    [anon_sym_DQUOTE] = ACTIONS(11573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11575),
    [anon_sym_BQUOTE] = ACTIONS(11573),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11575),
    [sym__pair_operator] = ACTIONS(11575),
    [sym__arrow_operator] = ACTIONS(11573),
    [sym__lazy_or_operator] = ACTIONS(11575),
    [sym__lazy_and_operator] = ACTIONS(11575),
    [sym__comparison_operator] = ACTIONS(11573),
    [sym__pipe_right_operator] = ACTIONS(11575),
    [sym__pipe_left_operator] = ACTIONS(11575),
    [sym__ellipsis_operator] = ACTIONS(11573),
    [sym__plus_operator] = ACTIONS(11573),
    [sym__times_operator] = ACTIONS(11573),
    [sym__rational_operator] = ACTIONS(11575),
    [sym__bitshift_operator] = ACTIONS(11575),
    [sym__power_operator] = ACTIONS(11575),
    [sym__tilde_operator] = ACTIONS(11575),
    [sym__type_order_operator] = ACTIONS(11575),
    [sym__unary_operator] = ACTIONS(11573),
    [sym__unary_plus_operator] = ACTIONS(11573),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8856] = {
    [sym_block_comment] = STATE(8856),
    [sym_line_comment] = STATE(8856),
    [ts_builtin_sym_end] = ACTIONS(11302),
    [sym__word_identifier] = ACTIONS(11300),
    [anon_sym_COMMA] = ACTIONS(11300),
    [anon_sym_EQ] = ACTIONS(11300),
    [anon_sym_begin] = ACTIONS(11300),
    [anon_sym_module] = ACTIONS(11300),
    [anon_sym_baremodule] = ACTIONS(11300),
    [anon_sym_abstract] = ACTIONS(11300),
    [anon_sym_primitive] = ACTIONS(11300),
    [anon_sym_mutable] = ACTIONS(11300),
    [anon_sym_struct] = ACTIONS(11300),
    [anon_sym_function] = ACTIONS(11300),
    [anon_sym_macro] = ACTIONS(11300),
    [anon_sym_quote] = ACTIONS(11300),
    [anon_sym_let] = ACTIONS(11300),
    [anon_sym_if] = ACTIONS(11300),
    [anon_sym_try] = ACTIONS(11300),
    [anon_sym_for] = ACTIONS(11300),
    [anon_sym_while] = ACTIONS(11300),
    [sym_break_statement] = ACTIONS(11300),
    [sym_continue_statement] = ACTIONS(11300),
    [anon_sym_return] = ACTIONS(11300),
    [anon_sym_const] = ACTIONS(11300),
    [anon_sym_global] = ACTIONS(11300),
    [anon_sym_local] = ACTIONS(11300),
    [anon_sym_LPAREN] = ACTIONS(11300),
    [anon_sym_COLON] = ACTIONS(11300),
    [anon_sym_export] = ACTIONS(11300),
    [anon_sym_public] = ACTIONS(11300),
    [anon_sym_import] = ACTIONS(11300),
    [anon_sym_using] = ACTIONS(11300),
    [anon_sym_LBRACK] = ACTIONS(11300),
    [anon_sym_RBRACK] = ACTIONS(11300),
    [anon_sym_in] = ACTIONS(11300),
    [anon_sym_SEMI] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(11300),
    [anon_sym_DOLLAR] = ACTIONS(11300),
    [anon_sym_COLON2] = ACTIONS(11300),
    [anon_sym_COLON_COLON] = ACTIONS(11300),
    [anon_sym_isa] = ACTIONS(11300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11300),
    [anon_sym_QMARK] = ACTIONS(11300),
    [anon_sym_where] = ACTIONS(11300),
    [anon_sym_AT] = ACTIONS(11300),
    [anon_sym_true] = ACTIONS(11300),
    [anon_sym_false] = ACTIONS(11300),
    [aux_sym_integer_literal_token1] = ACTIONS(11300),
    [aux_sym_integer_literal_token2] = ACTIONS(11300),
    [aux_sym_integer_literal_token3] = ACTIONS(11300),
    [aux_sym_integer_literal_token4] = ACTIONS(11300),
    [aux_sym_float_literal_token1] = ACTIONS(11300),
    [aux_sym_float_literal_token3] = ACTIONS(11300),
    [aux_sym_float_literal_token4] = ACTIONS(11300),
    [sym_character_literal] = ACTIONS(11300),
    [anon_sym_DQUOTE] = ACTIONS(11300),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11300),
    [anon_sym_BQUOTE] = ACTIONS(11300),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11300),
    [sym__pair_operator] = ACTIONS(11300),
    [sym__arrow_operator] = ACTIONS(11300),
    [sym__lazy_or_operator] = ACTIONS(11300),
    [sym__lazy_and_operator] = ACTIONS(11300),
    [sym__comparison_operator] = ACTIONS(11300),
    [sym__pipe_right_operator] = ACTIONS(11300),
    [sym__pipe_left_operator] = ACTIONS(11300),
    [sym__ellipsis_operator] = ACTIONS(11300),
    [sym__plus_operator] = ACTIONS(11300),
    [sym__times_operator] = ACTIONS(11300),
    [sym__rational_operator] = ACTIONS(11300),
    [sym__bitshift_operator] = ACTIONS(11300),
    [sym__power_operator] = ACTIONS(11300),
    [sym__tilde_operator] = ACTIONS(11300),
    [sym__type_order_operator] = ACTIONS(11300),
    [sym__unary_operator] = ACTIONS(11300),
    [sym__unary_plus_operator] = ACTIONS(11300),
    [aux_sym__terminator_token1] = ACTIONS(11302),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8857] = {
    [sym_block_comment] = STATE(8857),
    [sym_line_comment] = STATE(8857),
    [sym__word_identifier] = ACTIONS(11577),
    [anon_sym_COMMA] = ACTIONS(11579),
    [anon_sym_EQ] = ACTIONS(11577),
    [anon_sym_begin] = ACTIONS(11577),
    [anon_sym_module] = ACTIONS(11577),
    [anon_sym_baremodule] = ACTIONS(11577),
    [anon_sym_abstract] = ACTIONS(11577),
    [anon_sym_primitive] = ACTIONS(11577),
    [anon_sym_mutable] = ACTIONS(11577),
    [anon_sym_struct] = ACTIONS(11577),
    [anon_sym_function] = ACTIONS(11577),
    [anon_sym_macro] = ACTIONS(11577),
    [anon_sym_quote] = ACTIONS(11577),
    [anon_sym_let] = ACTIONS(11577),
    [anon_sym_if] = ACTIONS(11577),
    [anon_sym_try] = ACTIONS(11577),
    [anon_sym_for] = ACTIONS(11577),
    [anon_sym_while] = ACTIONS(11577),
    [sym_break_statement] = ACTIONS(11577),
    [sym_continue_statement] = ACTIONS(11577),
    [anon_sym_return] = ACTIONS(11577),
    [anon_sym_const] = ACTIONS(11577),
    [anon_sym_global] = ACTIONS(11577),
    [anon_sym_local] = ACTIONS(11577),
    [anon_sym_LPAREN] = ACTIONS(11579),
    [anon_sym_RPAREN] = ACTIONS(11579),
    [anon_sym_COLON] = ACTIONS(11577),
    [anon_sym_export] = ACTIONS(11577),
    [anon_sym_public] = ACTIONS(11577),
    [anon_sym_import] = ACTIONS(11577),
    [anon_sym_using] = ACTIONS(11577),
    [anon_sym_LBRACK] = ACTIONS(11579),
    [anon_sym_RBRACK] = ACTIONS(11579),
    [anon_sym_in] = ACTIONS(11577),
    [anon_sym_SEMI] = ACTIONS(11579),
    [anon_sym_LBRACE] = ACTIONS(11579),
    [anon_sym_RBRACE] = ACTIONS(11579),
    [anon_sym_DOLLAR] = ACTIONS(11579),
    [anon_sym_COLON2] = ACTIONS(11577),
    [anon_sym_COLON_COLON] = ACTIONS(11579),
    [anon_sym_isa] = ACTIONS(11577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11579),
    [anon_sym_QMARK] = ACTIONS(11579),
    [anon_sym_where] = ACTIONS(11577),
    [anon_sym_AT] = ACTIONS(11579),
    [anon_sym_true] = ACTIONS(11577),
    [anon_sym_false] = ACTIONS(11577),
    [aux_sym_integer_literal_token1] = ACTIONS(11579),
    [aux_sym_integer_literal_token2] = ACTIONS(11579),
    [aux_sym_integer_literal_token3] = ACTIONS(11577),
    [aux_sym_integer_literal_token4] = ACTIONS(11577),
    [aux_sym_float_literal_token1] = ACTIONS(11579),
    [aux_sym_float_literal_token3] = ACTIONS(11579),
    [aux_sym_float_literal_token4] = ACTIONS(11579),
    [sym_character_literal] = ACTIONS(11579),
    [anon_sym_DQUOTE] = ACTIONS(11577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11579),
    [anon_sym_BQUOTE] = ACTIONS(11577),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11579),
    [sym__pair_operator] = ACTIONS(11579),
    [sym__arrow_operator] = ACTIONS(11577),
    [sym__lazy_or_operator] = ACTIONS(11579),
    [sym__lazy_and_operator] = ACTIONS(11579),
    [sym__comparison_operator] = ACTIONS(11577),
    [sym__pipe_right_operator] = ACTIONS(11579),
    [sym__pipe_left_operator] = ACTIONS(11579),
    [sym__ellipsis_operator] = ACTIONS(11577),
    [sym__plus_operator] = ACTIONS(11577),
    [sym__times_operator] = ACTIONS(11577),
    [sym__rational_operator] = ACTIONS(11579),
    [sym__bitshift_operator] = ACTIONS(11579),
    [sym__power_operator] = ACTIONS(11579),
    [sym__tilde_operator] = ACTIONS(11579),
    [sym__type_order_operator] = ACTIONS(11579),
    [sym__unary_operator] = ACTIONS(11577),
    [sym__unary_plus_operator] = ACTIONS(11577),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8858] = {
    [sym_block_comment] = STATE(8858),
    [sym_line_comment] = STATE(8858),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(12546),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_catch] = ACTIONS(11212),
    [anon_sym_finally] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8859] = {
    [sym_block_comment] = STATE(8859),
    [sym_line_comment] = STATE(8859),
    [sym__word_identifier] = ACTIONS(11386),
    [anon_sym_COMMA] = ACTIONS(11386),
    [anon_sym_EQ] = ACTIONS(11386),
    [anon_sym_begin] = ACTIONS(11386),
    [anon_sym_module] = ACTIONS(11386),
    [anon_sym_baremodule] = ACTIONS(11386),
    [anon_sym_end] = ACTIONS(11386),
    [anon_sym_abstract] = ACTIONS(11386),
    [anon_sym_primitive] = ACTIONS(11386),
    [anon_sym_mutable] = ACTIONS(11386),
    [anon_sym_struct] = ACTIONS(11386),
    [anon_sym_function] = ACTIONS(11386),
    [anon_sym_macro] = ACTIONS(11386),
    [anon_sym_quote] = ACTIONS(11386),
    [anon_sym_let] = ACTIONS(11386),
    [anon_sym_if] = ACTIONS(11386),
    [anon_sym_try] = ACTIONS(11386),
    [anon_sym_catch] = ACTIONS(11386),
    [anon_sym_for] = ACTIONS(11386),
    [anon_sym_while] = ACTIONS(11386),
    [sym_break_statement] = ACTIONS(11386),
    [sym_continue_statement] = ACTIONS(11386),
    [anon_sym_return] = ACTIONS(11386),
    [anon_sym_const] = ACTIONS(11386),
    [anon_sym_global] = ACTIONS(11386),
    [anon_sym_local] = ACTIONS(11386),
    [anon_sym_LPAREN] = ACTIONS(11386),
    [anon_sym_COLON] = ACTIONS(11386),
    [anon_sym_export] = ACTIONS(11386),
    [anon_sym_public] = ACTIONS(11386),
    [anon_sym_import] = ACTIONS(11386),
    [anon_sym_using] = ACTIONS(11386),
    [anon_sym_LBRACK] = ACTIONS(11386),
    [anon_sym_in] = ACTIONS(11386),
    [anon_sym_SEMI] = ACTIONS(11386),
    [anon_sym_LBRACE] = ACTIONS(11386),
    [anon_sym_DOLLAR] = ACTIONS(11386),
    [anon_sym_COLON2] = ACTIONS(11386),
    [anon_sym_COLON_COLON] = ACTIONS(11386),
    [anon_sym_isa] = ACTIONS(11386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11386),
    [anon_sym_QMARK] = ACTIONS(11386),
    [anon_sym_where] = ACTIONS(11386),
    [anon_sym_AT] = ACTIONS(11386),
    [anon_sym_true] = ACTIONS(11386),
    [anon_sym_false] = ACTIONS(11386),
    [aux_sym_integer_literal_token1] = ACTIONS(11386),
    [aux_sym_integer_literal_token2] = ACTIONS(11386),
    [aux_sym_integer_literal_token3] = ACTIONS(11386),
    [aux_sym_integer_literal_token4] = ACTIONS(11386),
    [aux_sym_float_literal_token1] = ACTIONS(11386),
    [aux_sym_float_literal_token3] = ACTIONS(11386),
    [aux_sym_float_literal_token4] = ACTIONS(11386),
    [sym_character_literal] = ACTIONS(11386),
    [anon_sym_DQUOTE] = ACTIONS(11386),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11386),
    [anon_sym_BQUOTE] = ACTIONS(11386),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11386),
    [sym__pair_operator] = ACTIONS(11386),
    [sym__arrow_operator] = ACTIONS(11386),
    [sym__lazy_or_operator] = ACTIONS(11386),
    [sym__lazy_and_operator] = ACTIONS(11386),
    [sym__comparison_operator] = ACTIONS(11386),
    [sym__pipe_right_operator] = ACTIONS(11386),
    [sym__pipe_left_operator] = ACTIONS(11386),
    [sym__ellipsis_operator] = ACTIONS(11386),
    [sym__plus_operator] = ACTIONS(11386),
    [sym__times_operator] = ACTIONS(11386),
    [sym__rational_operator] = ACTIONS(11386),
    [sym__bitshift_operator] = ACTIONS(11386),
    [sym__power_operator] = ACTIONS(11386),
    [sym__tilde_operator] = ACTIONS(11386),
    [sym__type_order_operator] = ACTIONS(11386),
    [sym__unary_operator] = ACTIONS(11386),
    [sym__unary_plus_operator] = ACTIONS(11386),
    [aux_sym__terminator_token1] = ACTIONS(11388),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8860] = {
    [sym_block_comment] = STATE(8860),
    [sym_line_comment] = STATE(8860),
    [sym__word_identifier] = ACTIONS(11390),
    [anon_sym_COMMA] = ACTIONS(11390),
    [anon_sym_EQ] = ACTIONS(11390),
    [anon_sym_begin] = ACTIONS(11390),
    [anon_sym_module] = ACTIONS(11390),
    [anon_sym_baremodule] = ACTIONS(11390),
    [anon_sym_end] = ACTIONS(11390),
    [anon_sym_abstract] = ACTIONS(11390),
    [anon_sym_primitive] = ACTIONS(11390),
    [anon_sym_mutable] = ACTIONS(11390),
    [anon_sym_struct] = ACTIONS(11390),
    [anon_sym_function] = ACTIONS(11390),
    [anon_sym_macro] = ACTIONS(11390),
    [anon_sym_quote] = ACTIONS(11390),
    [anon_sym_let] = ACTIONS(11390),
    [anon_sym_if] = ACTIONS(11390),
    [anon_sym_try] = ACTIONS(11390),
    [anon_sym_catch] = ACTIONS(11390),
    [anon_sym_for] = ACTIONS(11390),
    [anon_sym_while] = ACTIONS(11390),
    [sym_break_statement] = ACTIONS(11390),
    [sym_continue_statement] = ACTIONS(11390),
    [anon_sym_return] = ACTIONS(11390),
    [anon_sym_const] = ACTIONS(11390),
    [anon_sym_global] = ACTIONS(11390),
    [anon_sym_local] = ACTIONS(11390),
    [anon_sym_LPAREN] = ACTIONS(11390),
    [anon_sym_COLON] = ACTIONS(11390),
    [anon_sym_export] = ACTIONS(11390),
    [anon_sym_public] = ACTIONS(11390),
    [anon_sym_import] = ACTIONS(11390),
    [anon_sym_using] = ACTIONS(11390),
    [anon_sym_LBRACK] = ACTIONS(11390),
    [anon_sym_in] = ACTIONS(11390),
    [anon_sym_SEMI] = ACTIONS(11390),
    [anon_sym_LBRACE] = ACTIONS(11390),
    [anon_sym_DOLLAR] = ACTIONS(11390),
    [anon_sym_COLON2] = ACTIONS(11390),
    [anon_sym_COLON_COLON] = ACTIONS(11390),
    [anon_sym_isa] = ACTIONS(11390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11390),
    [anon_sym_QMARK] = ACTIONS(11390),
    [anon_sym_where] = ACTIONS(11390),
    [anon_sym_AT] = ACTIONS(11390),
    [anon_sym_true] = ACTIONS(11390),
    [anon_sym_false] = ACTIONS(11390),
    [aux_sym_integer_literal_token1] = ACTIONS(11390),
    [aux_sym_integer_literal_token2] = ACTIONS(11390),
    [aux_sym_integer_literal_token3] = ACTIONS(11390),
    [aux_sym_integer_literal_token4] = ACTIONS(11390),
    [aux_sym_float_literal_token1] = ACTIONS(11390),
    [aux_sym_float_literal_token3] = ACTIONS(11390),
    [aux_sym_float_literal_token4] = ACTIONS(11390),
    [sym_character_literal] = ACTIONS(11390),
    [anon_sym_DQUOTE] = ACTIONS(11390),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11390),
    [anon_sym_BQUOTE] = ACTIONS(11390),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11390),
    [sym__pair_operator] = ACTIONS(11390),
    [sym__arrow_operator] = ACTIONS(11390),
    [sym__lazy_or_operator] = ACTIONS(11390),
    [sym__lazy_and_operator] = ACTIONS(11390),
    [sym__comparison_operator] = ACTIONS(11390),
    [sym__pipe_right_operator] = ACTIONS(11390),
    [sym__pipe_left_operator] = ACTIONS(11390),
    [sym__ellipsis_operator] = ACTIONS(11390),
    [sym__plus_operator] = ACTIONS(11390),
    [sym__times_operator] = ACTIONS(11390),
    [sym__rational_operator] = ACTIONS(11390),
    [sym__bitshift_operator] = ACTIONS(11390),
    [sym__power_operator] = ACTIONS(11390),
    [sym__tilde_operator] = ACTIONS(11390),
    [sym__type_order_operator] = ACTIONS(11390),
    [sym__unary_operator] = ACTIONS(11390),
    [sym__unary_plus_operator] = ACTIONS(11390),
    [aux_sym__terminator_token1] = ACTIONS(11392),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8861] = {
    [sym_block_comment] = STATE(8861),
    [sym_line_comment] = STATE(8861),
    [sym__word_identifier] = ACTIONS(11394),
    [anon_sym_COMMA] = ACTIONS(11394),
    [anon_sym_EQ] = ACTIONS(11394),
    [anon_sym_begin] = ACTIONS(11394),
    [anon_sym_module] = ACTIONS(11394),
    [anon_sym_baremodule] = ACTIONS(11394),
    [anon_sym_end] = ACTIONS(11394),
    [anon_sym_abstract] = ACTIONS(11394),
    [anon_sym_primitive] = ACTIONS(11394),
    [anon_sym_mutable] = ACTIONS(11394),
    [anon_sym_struct] = ACTIONS(11394),
    [anon_sym_function] = ACTIONS(11394),
    [anon_sym_macro] = ACTIONS(11394),
    [anon_sym_quote] = ACTIONS(11394),
    [anon_sym_let] = ACTIONS(11394),
    [anon_sym_if] = ACTIONS(11394),
    [anon_sym_try] = ACTIONS(11394),
    [anon_sym_catch] = ACTIONS(11394),
    [anon_sym_for] = ACTIONS(11394),
    [anon_sym_while] = ACTIONS(11394),
    [sym_break_statement] = ACTIONS(11394),
    [sym_continue_statement] = ACTIONS(11394),
    [anon_sym_return] = ACTIONS(11394),
    [anon_sym_const] = ACTIONS(11394),
    [anon_sym_global] = ACTIONS(11394),
    [anon_sym_local] = ACTIONS(11394),
    [anon_sym_LPAREN] = ACTIONS(11394),
    [anon_sym_COLON] = ACTIONS(11394),
    [anon_sym_export] = ACTIONS(11394),
    [anon_sym_public] = ACTIONS(11394),
    [anon_sym_import] = ACTIONS(11394),
    [anon_sym_using] = ACTIONS(11394),
    [anon_sym_LBRACK] = ACTIONS(11394),
    [anon_sym_in] = ACTIONS(11394),
    [anon_sym_SEMI] = ACTIONS(11394),
    [anon_sym_LBRACE] = ACTIONS(11394),
    [anon_sym_DOLLAR] = ACTIONS(11394),
    [anon_sym_COLON2] = ACTIONS(11394),
    [anon_sym_COLON_COLON] = ACTIONS(11394),
    [anon_sym_isa] = ACTIONS(11394),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11394),
    [anon_sym_QMARK] = ACTIONS(11394),
    [anon_sym_where] = ACTIONS(11394),
    [anon_sym_AT] = ACTIONS(11394),
    [anon_sym_true] = ACTIONS(11394),
    [anon_sym_false] = ACTIONS(11394),
    [aux_sym_integer_literal_token1] = ACTIONS(11394),
    [aux_sym_integer_literal_token2] = ACTIONS(11394),
    [aux_sym_integer_literal_token3] = ACTIONS(11394),
    [aux_sym_integer_literal_token4] = ACTIONS(11394),
    [aux_sym_float_literal_token1] = ACTIONS(11394),
    [aux_sym_float_literal_token3] = ACTIONS(11394),
    [aux_sym_float_literal_token4] = ACTIONS(11394),
    [sym_character_literal] = ACTIONS(11394),
    [anon_sym_DQUOTE] = ACTIONS(11394),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11394),
    [anon_sym_BQUOTE] = ACTIONS(11394),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11394),
    [sym__pair_operator] = ACTIONS(11394),
    [sym__arrow_operator] = ACTIONS(11394),
    [sym__lazy_or_operator] = ACTIONS(11394),
    [sym__lazy_and_operator] = ACTIONS(11394),
    [sym__comparison_operator] = ACTIONS(11394),
    [sym__pipe_right_operator] = ACTIONS(11394),
    [sym__pipe_left_operator] = ACTIONS(11394),
    [sym__ellipsis_operator] = ACTIONS(11394),
    [sym__plus_operator] = ACTIONS(11394),
    [sym__times_operator] = ACTIONS(11394),
    [sym__rational_operator] = ACTIONS(11394),
    [sym__bitshift_operator] = ACTIONS(11394),
    [sym__power_operator] = ACTIONS(11394),
    [sym__tilde_operator] = ACTIONS(11394),
    [sym__type_order_operator] = ACTIONS(11394),
    [sym__unary_operator] = ACTIONS(11394),
    [sym__unary_plus_operator] = ACTIONS(11394),
    [aux_sym__terminator_token1] = ACTIONS(11396),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8862] = {
    [sym_block_comment] = STATE(8862),
    [sym_line_comment] = STATE(8862),
    [sym__word_identifier] = ACTIONS(11581),
    [anon_sym_COMMA] = ACTIONS(11583),
    [anon_sym_EQ] = ACTIONS(11581),
    [anon_sym_begin] = ACTIONS(11581),
    [anon_sym_module] = ACTIONS(11581),
    [anon_sym_baremodule] = ACTIONS(11581),
    [anon_sym_abstract] = ACTIONS(11581),
    [anon_sym_primitive] = ACTIONS(11581),
    [anon_sym_mutable] = ACTIONS(11581),
    [anon_sym_struct] = ACTIONS(11581),
    [anon_sym_function] = ACTIONS(11581),
    [anon_sym_macro] = ACTIONS(11581),
    [anon_sym_quote] = ACTIONS(11581),
    [anon_sym_let] = ACTIONS(11581),
    [anon_sym_if] = ACTIONS(11581),
    [anon_sym_try] = ACTIONS(11581),
    [anon_sym_for] = ACTIONS(11581),
    [anon_sym_while] = ACTIONS(11581),
    [sym_break_statement] = ACTIONS(11581),
    [sym_continue_statement] = ACTIONS(11581),
    [anon_sym_return] = ACTIONS(11581),
    [anon_sym_const] = ACTIONS(11581),
    [anon_sym_global] = ACTIONS(11581),
    [anon_sym_local] = ACTIONS(11581),
    [anon_sym_LPAREN] = ACTIONS(11583),
    [anon_sym_RPAREN] = ACTIONS(11583),
    [anon_sym_COLON] = ACTIONS(11581),
    [anon_sym_export] = ACTIONS(11581),
    [anon_sym_public] = ACTIONS(11581),
    [anon_sym_import] = ACTIONS(11581),
    [anon_sym_using] = ACTIONS(11581),
    [anon_sym_LBRACK] = ACTIONS(11583),
    [anon_sym_RBRACK] = ACTIONS(11583),
    [anon_sym_in] = ACTIONS(11581),
    [anon_sym_SEMI] = ACTIONS(11583),
    [anon_sym_LBRACE] = ACTIONS(11583),
    [anon_sym_RBRACE] = ACTIONS(11583),
    [anon_sym_DOLLAR] = ACTIONS(11583),
    [anon_sym_COLON2] = ACTIONS(11581),
    [anon_sym_COLON_COLON] = ACTIONS(11583),
    [anon_sym_isa] = ACTIONS(11581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11583),
    [anon_sym_QMARK] = ACTIONS(11583),
    [anon_sym_where] = ACTIONS(11581),
    [anon_sym_AT] = ACTIONS(11583),
    [anon_sym_true] = ACTIONS(11581),
    [anon_sym_false] = ACTIONS(11581),
    [aux_sym_integer_literal_token1] = ACTIONS(11583),
    [aux_sym_integer_literal_token2] = ACTIONS(11583),
    [aux_sym_integer_literal_token3] = ACTIONS(11581),
    [aux_sym_integer_literal_token4] = ACTIONS(11581),
    [aux_sym_float_literal_token1] = ACTIONS(11583),
    [aux_sym_float_literal_token3] = ACTIONS(11583),
    [aux_sym_float_literal_token4] = ACTIONS(11583),
    [sym_character_literal] = ACTIONS(11583),
    [anon_sym_DQUOTE] = ACTIONS(11581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11583),
    [anon_sym_BQUOTE] = ACTIONS(11581),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11583),
    [sym__pair_operator] = ACTIONS(11583),
    [sym__arrow_operator] = ACTIONS(11581),
    [sym__lazy_or_operator] = ACTIONS(11583),
    [sym__lazy_and_operator] = ACTIONS(11583),
    [sym__comparison_operator] = ACTIONS(11581),
    [sym__pipe_right_operator] = ACTIONS(11583),
    [sym__pipe_left_operator] = ACTIONS(11583),
    [sym__ellipsis_operator] = ACTIONS(11581),
    [sym__plus_operator] = ACTIONS(11581),
    [sym__times_operator] = ACTIONS(11581),
    [sym__rational_operator] = ACTIONS(11583),
    [sym__bitshift_operator] = ACTIONS(11583),
    [sym__power_operator] = ACTIONS(11583),
    [sym__tilde_operator] = ACTIONS(11583),
    [sym__type_order_operator] = ACTIONS(11583),
    [sym__unary_operator] = ACTIONS(11581),
    [sym__unary_plus_operator] = ACTIONS(11581),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8863] = {
    [sym_block_comment] = STATE(8863),
    [sym_line_comment] = STATE(8863),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11202),
    [anon_sym_EQ] = ACTIONS(12544),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11202),
    [anon_sym_RPAREN] = ACTIONS(11202),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11202),
    [anon_sym_RBRACK] = ACTIONS(11202),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11202),
    [anon_sym_LBRACE] = ACTIONS(11202),
    [anon_sym_RBRACE] = ACTIONS(11202),
    [anon_sym_DOLLAR] = ACTIONS(11202),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11202),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11202),
    [anon_sym_QMARK] = ACTIONS(11202),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11202),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11202),
    [aux_sym_integer_literal_token2] = ACTIONS(11202),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11202),
    [aux_sym_float_literal_token3] = ACTIONS(11202),
    [aux_sym_float_literal_token4] = ACTIONS(11202),
    [sym_character_literal] = ACTIONS(11202),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11202),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11202),
    [sym__pair_operator] = ACTIONS(11202),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11202),
    [sym__lazy_and_operator] = ACTIONS(11202),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11202),
    [sym__pipe_left_operator] = ACTIONS(11202),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11202),
    [sym__bitshift_operator] = ACTIONS(11202),
    [sym__power_operator] = ACTIONS(11202),
    [sym__tilde_operator] = ACTIONS(11202),
    [sym__type_order_operator] = ACTIONS(11202),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8864] = {
    [sym_block_comment] = STATE(8864),
    [sym_line_comment] = STATE(8864),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11206),
    [anon_sym_EQ] = ACTIONS(12544),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11206),
    [anon_sym_RPAREN] = ACTIONS(11206),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11206),
    [anon_sym_RBRACK] = ACTIONS(11206),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11206),
    [anon_sym_LBRACE] = ACTIONS(11206),
    [anon_sym_RBRACE] = ACTIONS(11206),
    [anon_sym_DOLLAR] = ACTIONS(11206),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11206),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11206),
    [anon_sym_QMARK] = ACTIONS(11206),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11206),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11206),
    [aux_sym_integer_literal_token2] = ACTIONS(11206),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11206),
    [aux_sym_float_literal_token3] = ACTIONS(11206),
    [aux_sym_float_literal_token4] = ACTIONS(11206),
    [sym_character_literal] = ACTIONS(11206),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11206),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11206),
    [sym__pair_operator] = ACTIONS(11206),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11206),
    [sym__lazy_and_operator] = ACTIONS(11206),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11206),
    [sym__pipe_left_operator] = ACTIONS(11206),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11206),
    [sym__bitshift_operator] = ACTIONS(11206),
    [sym__power_operator] = ACTIONS(11206),
    [sym__tilde_operator] = ACTIONS(11206),
    [sym__type_order_operator] = ACTIONS(11206),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8865] = {
    [sym_block_comment] = STATE(8865),
    [sym_line_comment] = STATE(8865),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11210),
    [anon_sym_EQ] = ACTIONS(12544),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11210),
    [anon_sym_RPAREN] = ACTIONS(11210),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11210),
    [anon_sym_RBRACK] = ACTIONS(11210),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11210),
    [anon_sym_LBRACE] = ACTIONS(11210),
    [anon_sym_RBRACE] = ACTIONS(11210),
    [anon_sym_DOLLAR] = ACTIONS(11210),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11210),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11210),
    [anon_sym_QMARK] = ACTIONS(11210),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11210),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11210),
    [aux_sym_integer_literal_token2] = ACTIONS(11210),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11210),
    [aux_sym_float_literal_token3] = ACTIONS(11210),
    [aux_sym_float_literal_token4] = ACTIONS(11210),
    [sym_character_literal] = ACTIONS(11210),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11210),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11210),
    [sym__pair_operator] = ACTIONS(11210),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11210),
    [sym__lazy_and_operator] = ACTIONS(11210),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11210),
    [sym__pipe_left_operator] = ACTIONS(11210),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11210),
    [sym__bitshift_operator] = ACTIONS(11210),
    [sym__power_operator] = ACTIONS(11210),
    [sym__tilde_operator] = ACTIONS(11210),
    [sym__type_order_operator] = ACTIONS(11210),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8866] = {
    [sym_block_comment] = STATE(8866),
    [sym_line_comment] = STATE(8866),
    [sym__word_identifier] = ACTIONS(11585),
    [anon_sym_COMMA] = ACTIONS(11587),
    [anon_sym_EQ] = ACTIONS(11585),
    [anon_sym_begin] = ACTIONS(11585),
    [anon_sym_module] = ACTIONS(11585),
    [anon_sym_baremodule] = ACTIONS(11585),
    [anon_sym_abstract] = ACTIONS(11585),
    [anon_sym_primitive] = ACTIONS(11585),
    [anon_sym_mutable] = ACTIONS(11585),
    [anon_sym_struct] = ACTIONS(11585),
    [anon_sym_function] = ACTIONS(11585),
    [anon_sym_macro] = ACTIONS(11585),
    [anon_sym_quote] = ACTIONS(11585),
    [anon_sym_let] = ACTIONS(11585),
    [anon_sym_if] = ACTIONS(11585),
    [anon_sym_try] = ACTIONS(11585),
    [anon_sym_for] = ACTIONS(11585),
    [anon_sym_while] = ACTIONS(11585),
    [sym_break_statement] = ACTIONS(11585),
    [sym_continue_statement] = ACTIONS(11585),
    [anon_sym_return] = ACTIONS(11585),
    [anon_sym_const] = ACTIONS(11585),
    [anon_sym_global] = ACTIONS(11585),
    [anon_sym_local] = ACTIONS(11585),
    [anon_sym_LPAREN] = ACTIONS(11587),
    [anon_sym_RPAREN] = ACTIONS(11587),
    [anon_sym_COLON] = ACTIONS(11585),
    [anon_sym_export] = ACTIONS(11585),
    [anon_sym_public] = ACTIONS(11585),
    [anon_sym_import] = ACTIONS(11585),
    [anon_sym_using] = ACTIONS(11585),
    [anon_sym_LBRACK] = ACTIONS(11587),
    [anon_sym_RBRACK] = ACTIONS(11587),
    [anon_sym_in] = ACTIONS(11585),
    [anon_sym_SEMI] = ACTIONS(11587),
    [anon_sym_LBRACE] = ACTIONS(11587),
    [anon_sym_RBRACE] = ACTIONS(11587),
    [anon_sym_DOLLAR] = ACTIONS(11587),
    [anon_sym_COLON2] = ACTIONS(11585),
    [anon_sym_COLON_COLON] = ACTIONS(11587),
    [anon_sym_isa] = ACTIONS(11585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11587),
    [anon_sym_QMARK] = ACTIONS(11587),
    [anon_sym_where] = ACTIONS(11585),
    [anon_sym_AT] = ACTIONS(11587),
    [anon_sym_true] = ACTIONS(11585),
    [anon_sym_false] = ACTIONS(11585),
    [aux_sym_integer_literal_token1] = ACTIONS(11587),
    [aux_sym_integer_literal_token2] = ACTIONS(11587),
    [aux_sym_integer_literal_token3] = ACTIONS(11585),
    [aux_sym_integer_literal_token4] = ACTIONS(11585),
    [aux_sym_float_literal_token1] = ACTIONS(11587),
    [aux_sym_float_literal_token3] = ACTIONS(11587),
    [aux_sym_float_literal_token4] = ACTIONS(11587),
    [sym_character_literal] = ACTIONS(11587),
    [anon_sym_DQUOTE] = ACTIONS(11585),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11587),
    [anon_sym_BQUOTE] = ACTIONS(11585),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11587),
    [sym__pair_operator] = ACTIONS(11587),
    [sym__arrow_operator] = ACTIONS(11585),
    [sym__lazy_or_operator] = ACTIONS(11587),
    [sym__lazy_and_operator] = ACTIONS(11587),
    [sym__comparison_operator] = ACTIONS(11585),
    [sym__pipe_right_operator] = ACTIONS(11587),
    [sym__pipe_left_operator] = ACTIONS(11587),
    [sym__ellipsis_operator] = ACTIONS(11585),
    [sym__plus_operator] = ACTIONS(11585),
    [sym__times_operator] = ACTIONS(11585),
    [sym__rational_operator] = ACTIONS(11587),
    [sym__bitshift_operator] = ACTIONS(11587),
    [sym__power_operator] = ACTIONS(11587),
    [sym__tilde_operator] = ACTIONS(11587),
    [sym__type_order_operator] = ACTIONS(11587),
    [sym__unary_operator] = ACTIONS(11585),
    [sym__unary_plus_operator] = ACTIONS(11585),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8867] = {
    [sym_block_comment] = STATE(8867),
    [sym_line_comment] = STATE(8867),
    [sym__word_identifier] = ACTIONS(11589),
    [anon_sym_COMMA] = ACTIONS(11591),
    [anon_sym_EQ] = ACTIONS(11589),
    [anon_sym_begin] = ACTIONS(11589),
    [anon_sym_module] = ACTIONS(11589),
    [anon_sym_baremodule] = ACTIONS(11589),
    [anon_sym_abstract] = ACTIONS(11589),
    [anon_sym_primitive] = ACTIONS(11589),
    [anon_sym_mutable] = ACTIONS(11589),
    [anon_sym_struct] = ACTIONS(11589),
    [anon_sym_function] = ACTIONS(11589),
    [anon_sym_macro] = ACTIONS(11589),
    [anon_sym_quote] = ACTIONS(11589),
    [anon_sym_let] = ACTIONS(11589),
    [anon_sym_if] = ACTIONS(11589),
    [anon_sym_try] = ACTIONS(11589),
    [anon_sym_for] = ACTIONS(11589),
    [anon_sym_while] = ACTIONS(11589),
    [sym_break_statement] = ACTIONS(11589),
    [sym_continue_statement] = ACTIONS(11589),
    [anon_sym_return] = ACTIONS(11589),
    [anon_sym_const] = ACTIONS(11589),
    [anon_sym_global] = ACTIONS(11589),
    [anon_sym_local] = ACTIONS(11589),
    [anon_sym_LPAREN] = ACTIONS(11591),
    [anon_sym_RPAREN] = ACTIONS(11591),
    [anon_sym_COLON] = ACTIONS(11589),
    [anon_sym_export] = ACTIONS(11589),
    [anon_sym_public] = ACTIONS(11589),
    [anon_sym_import] = ACTIONS(11589),
    [anon_sym_using] = ACTIONS(11589),
    [anon_sym_LBRACK] = ACTIONS(11591),
    [anon_sym_RBRACK] = ACTIONS(11591),
    [anon_sym_in] = ACTIONS(11589),
    [anon_sym_SEMI] = ACTIONS(11591),
    [anon_sym_LBRACE] = ACTIONS(11591),
    [anon_sym_RBRACE] = ACTIONS(11591),
    [anon_sym_DOLLAR] = ACTIONS(11591),
    [anon_sym_COLON2] = ACTIONS(11589),
    [anon_sym_COLON_COLON] = ACTIONS(11591),
    [anon_sym_isa] = ACTIONS(11589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11591),
    [anon_sym_QMARK] = ACTIONS(11591),
    [anon_sym_where] = ACTIONS(11589),
    [anon_sym_AT] = ACTIONS(11591),
    [anon_sym_true] = ACTIONS(11589),
    [anon_sym_false] = ACTIONS(11589),
    [aux_sym_integer_literal_token1] = ACTIONS(11591),
    [aux_sym_integer_literal_token2] = ACTIONS(11591),
    [aux_sym_integer_literal_token3] = ACTIONS(11589),
    [aux_sym_integer_literal_token4] = ACTIONS(11589),
    [aux_sym_float_literal_token1] = ACTIONS(11591),
    [aux_sym_float_literal_token3] = ACTIONS(11591),
    [aux_sym_float_literal_token4] = ACTIONS(11591),
    [sym_character_literal] = ACTIONS(11591),
    [anon_sym_DQUOTE] = ACTIONS(11589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11591),
    [anon_sym_BQUOTE] = ACTIONS(11589),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11591),
    [sym__pair_operator] = ACTIONS(11591),
    [sym__arrow_operator] = ACTIONS(11589),
    [sym__lazy_or_operator] = ACTIONS(11591),
    [sym__lazy_and_operator] = ACTIONS(11591),
    [sym__comparison_operator] = ACTIONS(11589),
    [sym__pipe_right_operator] = ACTIONS(11591),
    [sym__pipe_left_operator] = ACTIONS(11591),
    [sym__ellipsis_operator] = ACTIONS(11589),
    [sym__plus_operator] = ACTIONS(11589),
    [sym__times_operator] = ACTIONS(11589),
    [sym__rational_operator] = ACTIONS(11591),
    [sym__bitshift_operator] = ACTIONS(11591),
    [sym__power_operator] = ACTIONS(11591),
    [sym__tilde_operator] = ACTIONS(11591),
    [sym__type_order_operator] = ACTIONS(11591),
    [sym__unary_operator] = ACTIONS(11589),
    [sym__unary_plus_operator] = ACTIONS(11589),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8868] = {
    [sym_block_comment] = STATE(8868),
    [sym_line_comment] = STATE(8868),
    [sym__word_identifier] = ACTIONS(11593),
    [anon_sym_COMMA] = ACTIONS(11595),
    [anon_sym_EQ] = ACTIONS(11593),
    [anon_sym_begin] = ACTIONS(11593),
    [anon_sym_module] = ACTIONS(11593),
    [anon_sym_baremodule] = ACTIONS(11593),
    [anon_sym_abstract] = ACTIONS(11593),
    [anon_sym_primitive] = ACTIONS(11593),
    [anon_sym_mutable] = ACTIONS(11593),
    [anon_sym_struct] = ACTIONS(11593),
    [anon_sym_function] = ACTIONS(11593),
    [anon_sym_macro] = ACTIONS(11593),
    [anon_sym_quote] = ACTIONS(11593),
    [anon_sym_let] = ACTIONS(11593),
    [anon_sym_if] = ACTIONS(11593),
    [anon_sym_try] = ACTIONS(11593),
    [anon_sym_for] = ACTIONS(11593),
    [anon_sym_while] = ACTIONS(11593),
    [sym_break_statement] = ACTIONS(11593),
    [sym_continue_statement] = ACTIONS(11593),
    [anon_sym_return] = ACTIONS(11593),
    [anon_sym_const] = ACTIONS(11593),
    [anon_sym_global] = ACTIONS(11593),
    [anon_sym_local] = ACTIONS(11593),
    [anon_sym_LPAREN] = ACTIONS(11595),
    [anon_sym_RPAREN] = ACTIONS(11595),
    [anon_sym_COLON] = ACTIONS(11593),
    [anon_sym_export] = ACTIONS(11593),
    [anon_sym_public] = ACTIONS(11593),
    [anon_sym_import] = ACTIONS(11593),
    [anon_sym_using] = ACTIONS(11593),
    [anon_sym_LBRACK] = ACTIONS(11595),
    [anon_sym_RBRACK] = ACTIONS(11595),
    [anon_sym_in] = ACTIONS(11593),
    [anon_sym_SEMI] = ACTIONS(11595),
    [anon_sym_LBRACE] = ACTIONS(11595),
    [anon_sym_RBRACE] = ACTIONS(11595),
    [anon_sym_DOLLAR] = ACTIONS(11595),
    [anon_sym_COLON2] = ACTIONS(11593),
    [anon_sym_COLON_COLON] = ACTIONS(11595),
    [anon_sym_isa] = ACTIONS(11593),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11595),
    [anon_sym_QMARK] = ACTIONS(11595),
    [anon_sym_where] = ACTIONS(11593),
    [anon_sym_AT] = ACTIONS(11595),
    [anon_sym_true] = ACTIONS(11593),
    [anon_sym_false] = ACTIONS(11593),
    [aux_sym_integer_literal_token1] = ACTIONS(11595),
    [aux_sym_integer_literal_token2] = ACTIONS(11595),
    [aux_sym_integer_literal_token3] = ACTIONS(11593),
    [aux_sym_integer_literal_token4] = ACTIONS(11593),
    [aux_sym_float_literal_token1] = ACTIONS(11595),
    [aux_sym_float_literal_token3] = ACTIONS(11595),
    [aux_sym_float_literal_token4] = ACTIONS(11595),
    [sym_character_literal] = ACTIONS(11595),
    [anon_sym_DQUOTE] = ACTIONS(11593),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11595),
    [anon_sym_BQUOTE] = ACTIONS(11593),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11595),
    [sym__pair_operator] = ACTIONS(11595),
    [sym__arrow_operator] = ACTIONS(11593),
    [sym__lazy_or_operator] = ACTIONS(11595),
    [sym__lazy_and_operator] = ACTIONS(11595),
    [sym__comparison_operator] = ACTIONS(11593),
    [sym__pipe_right_operator] = ACTIONS(11595),
    [sym__pipe_left_operator] = ACTIONS(11595),
    [sym__ellipsis_operator] = ACTIONS(11593),
    [sym__plus_operator] = ACTIONS(11593),
    [sym__times_operator] = ACTIONS(11593),
    [sym__rational_operator] = ACTIONS(11595),
    [sym__bitshift_operator] = ACTIONS(11595),
    [sym__power_operator] = ACTIONS(11595),
    [sym__tilde_operator] = ACTIONS(11595),
    [sym__type_order_operator] = ACTIONS(11595),
    [sym__unary_operator] = ACTIONS(11593),
    [sym__unary_plus_operator] = ACTIONS(11593),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8869] = {
    [sym_block_comment] = STATE(8869),
    [sym_line_comment] = STATE(8869),
    [sym__word_identifier] = ACTIONS(11597),
    [anon_sym_COMMA] = ACTIONS(11599),
    [anon_sym_EQ] = ACTIONS(11597),
    [anon_sym_begin] = ACTIONS(11597),
    [anon_sym_module] = ACTIONS(11597),
    [anon_sym_baremodule] = ACTIONS(11597),
    [anon_sym_abstract] = ACTIONS(11597),
    [anon_sym_primitive] = ACTIONS(11597),
    [anon_sym_mutable] = ACTIONS(11597),
    [anon_sym_struct] = ACTIONS(11597),
    [anon_sym_function] = ACTIONS(11597),
    [anon_sym_macro] = ACTIONS(11597),
    [anon_sym_quote] = ACTIONS(11597),
    [anon_sym_let] = ACTIONS(11597),
    [anon_sym_if] = ACTIONS(11597),
    [anon_sym_try] = ACTIONS(11597),
    [anon_sym_for] = ACTIONS(11597),
    [anon_sym_while] = ACTIONS(11597),
    [sym_break_statement] = ACTIONS(11597),
    [sym_continue_statement] = ACTIONS(11597),
    [anon_sym_return] = ACTIONS(11597),
    [anon_sym_const] = ACTIONS(11597),
    [anon_sym_global] = ACTIONS(11597),
    [anon_sym_local] = ACTIONS(11597),
    [anon_sym_LPAREN] = ACTIONS(11599),
    [anon_sym_RPAREN] = ACTIONS(11599),
    [anon_sym_COLON] = ACTIONS(11597),
    [anon_sym_export] = ACTIONS(11597),
    [anon_sym_public] = ACTIONS(11597),
    [anon_sym_import] = ACTIONS(11597),
    [anon_sym_using] = ACTIONS(11597),
    [anon_sym_LBRACK] = ACTIONS(11599),
    [anon_sym_RBRACK] = ACTIONS(11599),
    [anon_sym_in] = ACTIONS(11597),
    [anon_sym_SEMI] = ACTIONS(11599),
    [anon_sym_LBRACE] = ACTIONS(11599),
    [anon_sym_RBRACE] = ACTIONS(11599),
    [anon_sym_DOLLAR] = ACTIONS(11599),
    [anon_sym_COLON2] = ACTIONS(11597),
    [anon_sym_COLON_COLON] = ACTIONS(11599),
    [anon_sym_isa] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11599),
    [anon_sym_QMARK] = ACTIONS(11599),
    [anon_sym_where] = ACTIONS(11597),
    [anon_sym_AT] = ACTIONS(11599),
    [anon_sym_true] = ACTIONS(11597),
    [anon_sym_false] = ACTIONS(11597),
    [aux_sym_integer_literal_token1] = ACTIONS(11599),
    [aux_sym_integer_literal_token2] = ACTIONS(11599),
    [aux_sym_integer_literal_token3] = ACTIONS(11597),
    [aux_sym_integer_literal_token4] = ACTIONS(11597),
    [aux_sym_float_literal_token1] = ACTIONS(11599),
    [aux_sym_float_literal_token3] = ACTIONS(11599),
    [aux_sym_float_literal_token4] = ACTIONS(11599),
    [sym_character_literal] = ACTIONS(11599),
    [anon_sym_DQUOTE] = ACTIONS(11597),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11599),
    [anon_sym_BQUOTE] = ACTIONS(11597),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11599),
    [sym__pair_operator] = ACTIONS(11599),
    [sym__arrow_operator] = ACTIONS(11597),
    [sym__lazy_or_operator] = ACTIONS(11599),
    [sym__lazy_and_operator] = ACTIONS(11599),
    [sym__comparison_operator] = ACTIONS(11597),
    [sym__pipe_right_operator] = ACTIONS(11599),
    [sym__pipe_left_operator] = ACTIONS(11599),
    [sym__ellipsis_operator] = ACTIONS(11597),
    [sym__plus_operator] = ACTIONS(11597),
    [sym__times_operator] = ACTIONS(11597),
    [sym__rational_operator] = ACTIONS(11599),
    [sym__bitshift_operator] = ACTIONS(11599),
    [sym__power_operator] = ACTIONS(11599),
    [sym__tilde_operator] = ACTIONS(11599),
    [sym__type_order_operator] = ACTIONS(11599),
    [sym__unary_operator] = ACTIONS(11597),
    [sym__unary_plus_operator] = ACTIONS(11597),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8870] = {
    [sym_block_comment] = STATE(8870),
    [sym_line_comment] = STATE(8870),
    [sym__word_identifier] = ACTIONS(11601),
    [anon_sym_COMMA] = ACTIONS(11603),
    [anon_sym_EQ] = ACTIONS(11601),
    [anon_sym_begin] = ACTIONS(11601),
    [anon_sym_module] = ACTIONS(11601),
    [anon_sym_baremodule] = ACTIONS(11601),
    [anon_sym_abstract] = ACTIONS(11601),
    [anon_sym_primitive] = ACTIONS(11601),
    [anon_sym_mutable] = ACTIONS(11601),
    [anon_sym_struct] = ACTIONS(11601),
    [anon_sym_function] = ACTIONS(11601),
    [anon_sym_macro] = ACTIONS(11601),
    [anon_sym_quote] = ACTIONS(11601),
    [anon_sym_let] = ACTIONS(11601),
    [anon_sym_if] = ACTIONS(11601),
    [anon_sym_try] = ACTIONS(11601),
    [anon_sym_for] = ACTIONS(11601),
    [anon_sym_while] = ACTIONS(11601),
    [sym_break_statement] = ACTIONS(11601),
    [sym_continue_statement] = ACTIONS(11601),
    [anon_sym_return] = ACTIONS(11601),
    [anon_sym_const] = ACTIONS(11601),
    [anon_sym_global] = ACTIONS(11601),
    [anon_sym_local] = ACTIONS(11601),
    [anon_sym_LPAREN] = ACTIONS(11603),
    [anon_sym_RPAREN] = ACTIONS(11603),
    [anon_sym_COLON] = ACTIONS(11601),
    [anon_sym_export] = ACTIONS(11601),
    [anon_sym_public] = ACTIONS(11601),
    [anon_sym_import] = ACTIONS(11601),
    [anon_sym_using] = ACTIONS(11601),
    [anon_sym_LBRACK] = ACTIONS(11603),
    [anon_sym_RBRACK] = ACTIONS(11603),
    [anon_sym_in] = ACTIONS(11601),
    [anon_sym_SEMI] = ACTIONS(11603),
    [anon_sym_LBRACE] = ACTIONS(11603),
    [anon_sym_RBRACE] = ACTIONS(11603),
    [anon_sym_DOLLAR] = ACTIONS(11603),
    [anon_sym_COLON2] = ACTIONS(11601),
    [anon_sym_COLON_COLON] = ACTIONS(11603),
    [anon_sym_isa] = ACTIONS(11601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11603),
    [anon_sym_QMARK] = ACTIONS(11603),
    [anon_sym_where] = ACTIONS(11601),
    [anon_sym_AT] = ACTIONS(11603),
    [anon_sym_true] = ACTIONS(11601),
    [anon_sym_false] = ACTIONS(11601),
    [aux_sym_integer_literal_token1] = ACTIONS(11603),
    [aux_sym_integer_literal_token2] = ACTIONS(11603),
    [aux_sym_integer_literal_token3] = ACTIONS(11601),
    [aux_sym_integer_literal_token4] = ACTIONS(11601),
    [aux_sym_float_literal_token1] = ACTIONS(11603),
    [aux_sym_float_literal_token3] = ACTIONS(11603),
    [aux_sym_float_literal_token4] = ACTIONS(11603),
    [sym_character_literal] = ACTIONS(11603),
    [anon_sym_DQUOTE] = ACTIONS(11601),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11603),
    [anon_sym_BQUOTE] = ACTIONS(11601),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11603),
    [sym__pair_operator] = ACTIONS(11603),
    [sym__arrow_operator] = ACTIONS(11601),
    [sym__lazy_or_operator] = ACTIONS(11603),
    [sym__lazy_and_operator] = ACTIONS(11603),
    [sym__comparison_operator] = ACTIONS(11601),
    [sym__pipe_right_operator] = ACTIONS(11603),
    [sym__pipe_left_operator] = ACTIONS(11603),
    [sym__ellipsis_operator] = ACTIONS(11601),
    [sym__plus_operator] = ACTIONS(11601),
    [sym__times_operator] = ACTIONS(11601),
    [sym__rational_operator] = ACTIONS(11603),
    [sym__bitshift_operator] = ACTIONS(11603),
    [sym__power_operator] = ACTIONS(11603),
    [sym__tilde_operator] = ACTIONS(11603),
    [sym__type_order_operator] = ACTIONS(11603),
    [sym__unary_operator] = ACTIONS(11601),
    [sym__unary_plus_operator] = ACTIONS(11601),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8871] = {
    [sym_block_comment] = STATE(8871),
    [sym_line_comment] = STATE(8871),
    [sym__word_identifier] = ACTIONS(11605),
    [anon_sym_COMMA] = ACTIONS(11607),
    [anon_sym_EQ] = ACTIONS(11605),
    [anon_sym_begin] = ACTIONS(11605),
    [anon_sym_module] = ACTIONS(11605),
    [anon_sym_baremodule] = ACTIONS(11605),
    [anon_sym_abstract] = ACTIONS(11605),
    [anon_sym_primitive] = ACTIONS(11605),
    [anon_sym_mutable] = ACTIONS(11605),
    [anon_sym_struct] = ACTIONS(11605),
    [anon_sym_function] = ACTIONS(11605),
    [anon_sym_macro] = ACTIONS(11605),
    [anon_sym_quote] = ACTIONS(11605),
    [anon_sym_let] = ACTIONS(11605),
    [anon_sym_if] = ACTIONS(11605),
    [anon_sym_try] = ACTIONS(11605),
    [anon_sym_for] = ACTIONS(11605),
    [anon_sym_while] = ACTIONS(11605),
    [sym_break_statement] = ACTIONS(11605),
    [sym_continue_statement] = ACTIONS(11605),
    [anon_sym_return] = ACTIONS(11605),
    [anon_sym_const] = ACTIONS(11605),
    [anon_sym_global] = ACTIONS(11605),
    [anon_sym_local] = ACTIONS(11605),
    [anon_sym_LPAREN] = ACTIONS(11607),
    [anon_sym_RPAREN] = ACTIONS(11607),
    [anon_sym_COLON] = ACTIONS(11605),
    [anon_sym_export] = ACTIONS(11605),
    [anon_sym_public] = ACTIONS(11605),
    [anon_sym_import] = ACTIONS(11605),
    [anon_sym_using] = ACTIONS(11605),
    [anon_sym_LBRACK] = ACTIONS(11607),
    [anon_sym_RBRACK] = ACTIONS(11607),
    [anon_sym_in] = ACTIONS(11605),
    [anon_sym_SEMI] = ACTIONS(11607),
    [anon_sym_LBRACE] = ACTIONS(11607),
    [anon_sym_RBRACE] = ACTIONS(11607),
    [anon_sym_DOLLAR] = ACTIONS(11607),
    [anon_sym_COLON2] = ACTIONS(11605),
    [anon_sym_COLON_COLON] = ACTIONS(11607),
    [anon_sym_isa] = ACTIONS(11605),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11607),
    [anon_sym_QMARK] = ACTIONS(11607),
    [anon_sym_where] = ACTIONS(11605),
    [anon_sym_AT] = ACTIONS(11607),
    [anon_sym_true] = ACTIONS(11605),
    [anon_sym_false] = ACTIONS(11605),
    [aux_sym_integer_literal_token1] = ACTIONS(11607),
    [aux_sym_integer_literal_token2] = ACTIONS(11607),
    [aux_sym_integer_literal_token3] = ACTIONS(11605),
    [aux_sym_integer_literal_token4] = ACTIONS(11605),
    [aux_sym_float_literal_token1] = ACTIONS(11607),
    [aux_sym_float_literal_token3] = ACTIONS(11607),
    [aux_sym_float_literal_token4] = ACTIONS(11607),
    [sym_character_literal] = ACTIONS(11607),
    [anon_sym_DQUOTE] = ACTIONS(11605),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11607),
    [anon_sym_BQUOTE] = ACTIONS(11605),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11607),
    [sym__pair_operator] = ACTIONS(11607),
    [sym__arrow_operator] = ACTIONS(11605),
    [sym__lazy_or_operator] = ACTIONS(11607),
    [sym__lazy_and_operator] = ACTIONS(11607),
    [sym__comparison_operator] = ACTIONS(11605),
    [sym__pipe_right_operator] = ACTIONS(11607),
    [sym__pipe_left_operator] = ACTIONS(11607),
    [sym__ellipsis_operator] = ACTIONS(11605),
    [sym__plus_operator] = ACTIONS(11605),
    [sym__times_operator] = ACTIONS(11605),
    [sym__rational_operator] = ACTIONS(11607),
    [sym__bitshift_operator] = ACTIONS(11607),
    [sym__power_operator] = ACTIONS(11607),
    [sym__tilde_operator] = ACTIONS(11607),
    [sym__type_order_operator] = ACTIONS(11607),
    [sym__unary_operator] = ACTIONS(11605),
    [sym__unary_plus_operator] = ACTIONS(11605),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8872] = {
    [sym_block_comment] = STATE(8872),
    [sym_line_comment] = STATE(8872),
    [sym__word_identifier] = ACTIONS(11609),
    [anon_sym_COMMA] = ACTIONS(11611),
    [anon_sym_EQ] = ACTIONS(11609),
    [anon_sym_begin] = ACTIONS(11609),
    [anon_sym_module] = ACTIONS(11609),
    [anon_sym_baremodule] = ACTIONS(11609),
    [anon_sym_abstract] = ACTIONS(11609),
    [anon_sym_primitive] = ACTIONS(11609),
    [anon_sym_mutable] = ACTIONS(11609),
    [anon_sym_struct] = ACTIONS(11609),
    [anon_sym_function] = ACTIONS(11609),
    [anon_sym_macro] = ACTIONS(11609),
    [anon_sym_quote] = ACTIONS(11609),
    [anon_sym_let] = ACTIONS(11609),
    [anon_sym_if] = ACTIONS(11609),
    [anon_sym_try] = ACTIONS(11609),
    [anon_sym_for] = ACTIONS(11609),
    [anon_sym_while] = ACTIONS(11609),
    [sym_break_statement] = ACTIONS(11609),
    [sym_continue_statement] = ACTIONS(11609),
    [anon_sym_return] = ACTIONS(11609),
    [anon_sym_const] = ACTIONS(11609),
    [anon_sym_global] = ACTIONS(11609),
    [anon_sym_local] = ACTIONS(11609),
    [anon_sym_LPAREN] = ACTIONS(11611),
    [anon_sym_RPAREN] = ACTIONS(11611),
    [anon_sym_COLON] = ACTIONS(11609),
    [anon_sym_export] = ACTIONS(11609),
    [anon_sym_public] = ACTIONS(11609),
    [anon_sym_import] = ACTIONS(11609),
    [anon_sym_using] = ACTIONS(11609),
    [anon_sym_LBRACK] = ACTIONS(11611),
    [anon_sym_RBRACK] = ACTIONS(11611),
    [anon_sym_in] = ACTIONS(11609),
    [anon_sym_SEMI] = ACTIONS(11611),
    [anon_sym_LBRACE] = ACTIONS(11611),
    [anon_sym_RBRACE] = ACTIONS(11611),
    [anon_sym_DOLLAR] = ACTIONS(11611),
    [anon_sym_COLON2] = ACTIONS(11609),
    [anon_sym_COLON_COLON] = ACTIONS(11611),
    [anon_sym_isa] = ACTIONS(11609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11611),
    [anon_sym_QMARK] = ACTIONS(11611),
    [anon_sym_where] = ACTIONS(11609),
    [anon_sym_AT] = ACTIONS(11611),
    [anon_sym_true] = ACTIONS(11609),
    [anon_sym_false] = ACTIONS(11609),
    [aux_sym_integer_literal_token1] = ACTIONS(11611),
    [aux_sym_integer_literal_token2] = ACTIONS(11611),
    [aux_sym_integer_literal_token3] = ACTIONS(11609),
    [aux_sym_integer_literal_token4] = ACTIONS(11609),
    [aux_sym_float_literal_token1] = ACTIONS(11611),
    [aux_sym_float_literal_token3] = ACTIONS(11611),
    [aux_sym_float_literal_token4] = ACTIONS(11611),
    [sym_character_literal] = ACTIONS(11611),
    [anon_sym_DQUOTE] = ACTIONS(11609),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11611),
    [anon_sym_BQUOTE] = ACTIONS(11609),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11611),
    [sym__pair_operator] = ACTIONS(11611),
    [sym__arrow_operator] = ACTIONS(11609),
    [sym__lazy_or_operator] = ACTIONS(11611),
    [sym__lazy_and_operator] = ACTIONS(11611),
    [sym__comparison_operator] = ACTIONS(11609),
    [sym__pipe_right_operator] = ACTIONS(11611),
    [sym__pipe_left_operator] = ACTIONS(11611),
    [sym__ellipsis_operator] = ACTIONS(11609),
    [sym__plus_operator] = ACTIONS(11609),
    [sym__times_operator] = ACTIONS(11609),
    [sym__rational_operator] = ACTIONS(11611),
    [sym__bitshift_operator] = ACTIONS(11611),
    [sym__power_operator] = ACTIONS(11611),
    [sym__tilde_operator] = ACTIONS(11611),
    [sym__type_order_operator] = ACTIONS(11611),
    [sym__unary_operator] = ACTIONS(11609),
    [sym__unary_plus_operator] = ACTIONS(11609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8873] = {
    [sym_block_comment] = STATE(8873),
    [sym_line_comment] = STATE(8873),
    [sym__word_identifier] = ACTIONS(11398),
    [anon_sym_COMMA] = ACTIONS(11398),
    [anon_sym_EQ] = ACTIONS(11398),
    [anon_sym_begin] = ACTIONS(11398),
    [anon_sym_module] = ACTIONS(11398),
    [anon_sym_baremodule] = ACTIONS(11398),
    [anon_sym_end] = ACTIONS(11398),
    [anon_sym_abstract] = ACTIONS(11398),
    [anon_sym_primitive] = ACTIONS(11398),
    [anon_sym_mutable] = ACTIONS(11398),
    [anon_sym_struct] = ACTIONS(11398),
    [anon_sym_function] = ACTIONS(11398),
    [anon_sym_macro] = ACTIONS(11398),
    [anon_sym_quote] = ACTIONS(11398),
    [anon_sym_let] = ACTIONS(11398),
    [anon_sym_if] = ACTIONS(11398),
    [anon_sym_try] = ACTIONS(11398),
    [anon_sym_catch] = ACTIONS(11398),
    [anon_sym_for] = ACTIONS(11398),
    [anon_sym_while] = ACTIONS(11398),
    [sym_break_statement] = ACTIONS(11398),
    [sym_continue_statement] = ACTIONS(11398),
    [anon_sym_return] = ACTIONS(11398),
    [anon_sym_const] = ACTIONS(11398),
    [anon_sym_global] = ACTIONS(11398),
    [anon_sym_local] = ACTIONS(11398),
    [anon_sym_LPAREN] = ACTIONS(11398),
    [anon_sym_COLON] = ACTIONS(11398),
    [anon_sym_export] = ACTIONS(11398),
    [anon_sym_public] = ACTIONS(11398),
    [anon_sym_import] = ACTIONS(11398),
    [anon_sym_using] = ACTIONS(11398),
    [anon_sym_LBRACK] = ACTIONS(11398),
    [anon_sym_in] = ACTIONS(11398),
    [anon_sym_SEMI] = ACTIONS(11398),
    [anon_sym_LBRACE] = ACTIONS(11398),
    [anon_sym_DOLLAR] = ACTIONS(11398),
    [anon_sym_COLON2] = ACTIONS(11398),
    [anon_sym_COLON_COLON] = ACTIONS(11398),
    [anon_sym_isa] = ACTIONS(11398),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11398),
    [anon_sym_QMARK] = ACTIONS(11398),
    [anon_sym_where] = ACTIONS(11398),
    [anon_sym_AT] = ACTIONS(11398),
    [anon_sym_true] = ACTIONS(11398),
    [anon_sym_false] = ACTIONS(11398),
    [aux_sym_integer_literal_token1] = ACTIONS(11398),
    [aux_sym_integer_literal_token2] = ACTIONS(11398),
    [aux_sym_integer_literal_token3] = ACTIONS(11398),
    [aux_sym_integer_literal_token4] = ACTIONS(11398),
    [aux_sym_float_literal_token1] = ACTIONS(11398),
    [aux_sym_float_literal_token3] = ACTIONS(11398),
    [aux_sym_float_literal_token4] = ACTIONS(11398),
    [sym_character_literal] = ACTIONS(11398),
    [anon_sym_DQUOTE] = ACTIONS(11398),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11398),
    [anon_sym_BQUOTE] = ACTIONS(11398),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11398),
    [sym__pair_operator] = ACTIONS(11398),
    [sym__arrow_operator] = ACTIONS(11398),
    [sym__lazy_or_operator] = ACTIONS(11398),
    [sym__lazy_and_operator] = ACTIONS(11398),
    [sym__comparison_operator] = ACTIONS(11398),
    [sym__pipe_right_operator] = ACTIONS(11398),
    [sym__pipe_left_operator] = ACTIONS(11398),
    [sym__ellipsis_operator] = ACTIONS(11398),
    [sym__plus_operator] = ACTIONS(11398),
    [sym__times_operator] = ACTIONS(11398),
    [sym__rational_operator] = ACTIONS(11398),
    [sym__bitshift_operator] = ACTIONS(11398),
    [sym__power_operator] = ACTIONS(11398),
    [sym__tilde_operator] = ACTIONS(11398),
    [sym__type_order_operator] = ACTIONS(11398),
    [sym__unary_operator] = ACTIONS(11398),
    [sym__unary_plus_operator] = ACTIONS(11398),
    [aux_sym__terminator_token1] = ACTIONS(11400),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8874] = {
    [sym_block_comment] = STATE(8874),
    [sym_line_comment] = STATE(8874),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9949),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8875] = {
    [sym_block_comment] = STATE(8875),
    [sym_line_comment] = STATE(8875),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(12546),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_catch] = ACTIONS(11166),
    [anon_sym_finally] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8876] = {
    [sym_block_comment] = STATE(8876),
    [sym_line_comment] = STATE(8876),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(12546),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_catch] = ACTIONS(11204),
    [anon_sym_finally] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8877] = {
    [sym_block_comment] = STATE(8877),
    [sym_line_comment] = STATE(8877),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(12546),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_catch] = ACTIONS(11208),
    [anon_sym_finally] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8878] = {
    [sym_block_comment] = STATE(8878),
    [sym_line_comment] = STATE(8878),
    [sym__word_identifier] = ACTIONS(11613),
    [anon_sym_COMMA] = ACTIONS(11615),
    [anon_sym_EQ] = ACTIONS(11613),
    [anon_sym_begin] = ACTIONS(11613),
    [anon_sym_module] = ACTIONS(11613),
    [anon_sym_baremodule] = ACTIONS(11613),
    [anon_sym_abstract] = ACTIONS(11613),
    [anon_sym_primitive] = ACTIONS(11613),
    [anon_sym_mutable] = ACTIONS(11613),
    [anon_sym_struct] = ACTIONS(11613),
    [anon_sym_function] = ACTIONS(11613),
    [anon_sym_macro] = ACTIONS(11613),
    [anon_sym_quote] = ACTIONS(11613),
    [anon_sym_let] = ACTIONS(11613),
    [anon_sym_if] = ACTIONS(11613),
    [anon_sym_try] = ACTIONS(11613),
    [anon_sym_for] = ACTIONS(11613),
    [anon_sym_while] = ACTIONS(11613),
    [sym_break_statement] = ACTIONS(11613),
    [sym_continue_statement] = ACTIONS(11613),
    [anon_sym_return] = ACTIONS(11613),
    [anon_sym_const] = ACTIONS(11613),
    [anon_sym_global] = ACTIONS(11613),
    [anon_sym_local] = ACTIONS(11613),
    [anon_sym_LPAREN] = ACTIONS(11615),
    [anon_sym_RPAREN] = ACTIONS(11615),
    [anon_sym_COLON] = ACTIONS(11613),
    [anon_sym_export] = ACTIONS(11613),
    [anon_sym_public] = ACTIONS(11613),
    [anon_sym_import] = ACTIONS(11613),
    [anon_sym_using] = ACTIONS(11613),
    [anon_sym_LBRACK] = ACTIONS(11615),
    [anon_sym_RBRACK] = ACTIONS(11615),
    [anon_sym_in] = ACTIONS(11613),
    [anon_sym_SEMI] = ACTIONS(11615),
    [anon_sym_LBRACE] = ACTIONS(11615),
    [anon_sym_RBRACE] = ACTIONS(11615),
    [anon_sym_DOLLAR] = ACTIONS(11615),
    [anon_sym_COLON2] = ACTIONS(11613),
    [anon_sym_COLON_COLON] = ACTIONS(11615),
    [anon_sym_isa] = ACTIONS(11613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11615),
    [anon_sym_QMARK] = ACTIONS(11615),
    [anon_sym_where] = ACTIONS(11613),
    [anon_sym_AT] = ACTIONS(11615),
    [anon_sym_true] = ACTIONS(11613),
    [anon_sym_false] = ACTIONS(11613),
    [aux_sym_integer_literal_token1] = ACTIONS(11615),
    [aux_sym_integer_literal_token2] = ACTIONS(11615),
    [aux_sym_integer_literal_token3] = ACTIONS(11613),
    [aux_sym_integer_literal_token4] = ACTIONS(11613),
    [aux_sym_float_literal_token1] = ACTIONS(11615),
    [aux_sym_float_literal_token3] = ACTIONS(11615),
    [aux_sym_float_literal_token4] = ACTIONS(11615),
    [sym_character_literal] = ACTIONS(11615),
    [anon_sym_DQUOTE] = ACTIONS(11613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11615),
    [anon_sym_BQUOTE] = ACTIONS(11613),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11615),
    [sym__pair_operator] = ACTIONS(11615),
    [sym__arrow_operator] = ACTIONS(11613),
    [sym__lazy_or_operator] = ACTIONS(11615),
    [sym__lazy_and_operator] = ACTIONS(11615),
    [sym__comparison_operator] = ACTIONS(11613),
    [sym__pipe_right_operator] = ACTIONS(11615),
    [sym__pipe_left_operator] = ACTIONS(11615),
    [sym__ellipsis_operator] = ACTIONS(11613),
    [sym__plus_operator] = ACTIONS(11613),
    [sym__times_operator] = ACTIONS(11613),
    [sym__rational_operator] = ACTIONS(11615),
    [sym__bitshift_operator] = ACTIONS(11615),
    [sym__power_operator] = ACTIONS(11615),
    [sym__tilde_operator] = ACTIONS(11615),
    [sym__type_order_operator] = ACTIONS(11615),
    [sym__unary_operator] = ACTIONS(11613),
    [sym__unary_plus_operator] = ACTIONS(11613),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8879] = {
    [sym_block_comment] = STATE(8879),
    [sym_line_comment] = STATE(8879),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(12548),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_catch] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8880] = {
    [sym_block_comment] = STATE(8880),
    [sym_line_comment] = STATE(8880),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_DASH_GT] = ACTIONS(9997),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8881] = {
    [sym_block_comment] = STATE(8881),
    [sym_line_comment] = STATE(8881),
    [sym__word_identifier] = ACTIONS(11617),
    [anon_sym_COMMA] = ACTIONS(11619),
    [anon_sym_EQ] = ACTIONS(11617),
    [anon_sym_begin] = ACTIONS(11617),
    [anon_sym_module] = ACTIONS(11617),
    [anon_sym_baremodule] = ACTIONS(11617),
    [anon_sym_abstract] = ACTIONS(11617),
    [anon_sym_primitive] = ACTIONS(11617),
    [anon_sym_mutable] = ACTIONS(11617),
    [anon_sym_struct] = ACTIONS(11617),
    [anon_sym_function] = ACTIONS(11617),
    [anon_sym_macro] = ACTIONS(11617),
    [anon_sym_quote] = ACTIONS(11617),
    [anon_sym_let] = ACTIONS(11617),
    [anon_sym_if] = ACTIONS(11617),
    [anon_sym_try] = ACTIONS(11617),
    [anon_sym_for] = ACTIONS(11617),
    [anon_sym_while] = ACTIONS(11617),
    [sym_break_statement] = ACTIONS(11617),
    [sym_continue_statement] = ACTIONS(11617),
    [anon_sym_return] = ACTIONS(11617),
    [anon_sym_const] = ACTIONS(11617),
    [anon_sym_global] = ACTIONS(11617),
    [anon_sym_local] = ACTIONS(11617),
    [anon_sym_LPAREN] = ACTIONS(11619),
    [anon_sym_RPAREN] = ACTIONS(11619),
    [anon_sym_COLON] = ACTIONS(11617),
    [anon_sym_export] = ACTIONS(11617),
    [anon_sym_public] = ACTIONS(11617),
    [anon_sym_import] = ACTIONS(11617),
    [anon_sym_using] = ACTIONS(11617),
    [anon_sym_LBRACK] = ACTIONS(11619),
    [anon_sym_RBRACK] = ACTIONS(11619),
    [anon_sym_in] = ACTIONS(11617),
    [anon_sym_SEMI] = ACTIONS(11619),
    [anon_sym_LBRACE] = ACTIONS(11619),
    [anon_sym_RBRACE] = ACTIONS(11619),
    [anon_sym_DOLLAR] = ACTIONS(11619),
    [anon_sym_COLON2] = ACTIONS(11617),
    [anon_sym_COLON_COLON] = ACTIONS(11619),
    [anon_sym_isa] = ACTIONS(11617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11619),
    [anon_sym_QMARK] = ACTIONS(11619),
    [anon_sym_where] = ACTIONS(11617),
    [anon_sym_AT] = ACTIONS(11619),
    [anon_sym_true] = ACTIONS(11617),
    [anon_sym_false] = ACTIONS(11617),
    [aux_sym_integer_literal_token1] = ACTIONS(11619),
    [aux_sym_integer_literal_token2] = ACTIONS(11619),
    [aux_sym_integer_literal_token3] = ACTIONS(11617),
    [aux_sym_integer_literal_token4] = ACTIONS(11617),
    [aux_sym_float_literal_token1] = ACTIONS(11619),
    [aux_sym_float_literal_token3] = ACTIONS(11619),
    [aux_sym_float_literal_token4] = ACTIONS(11619),
    [sym_character_literal] = ACTIONS(11619),
    [anon_sym_DQUOTE] = ACTIONS(11617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11619),
    [anon_sym_BQUOTE] = ACTIONS(11617),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11619),
    [sym__pair_operator] = ACTIONS(11619),
    [sym__arrow_operator] = ACTIONS(11617),
    [sym__lazy_or_operator] = ACTIONS(11619),
    [sym__lazy_and_operator] = ACTIONS(11619),
    [sym__comparison_operator] = ACTIONS(11617),
    [sym__pipe_right_operator] = ACTIONS(11619),
    [sym__pipe_left_operator] = ACTIONS(11619),
    [sym__ellipsis_operator] = ACTIONS(11617),
    [sym__plus_operator] = ACTIONS(11617),
    [sym__times_operator] = ACTIONS(11617),
    [sym__rational_operator] = ACTIONS(11619),
    [sym__bitshift_operator] = ACTIONS(11619),
    [sym__power_operator] = ACTIONS(11619),
    [sym__tilde_operator] = ACTIONS(11619),
    [sym__type_order_operator] = ACTIONS(11619),
    [sym__unary_operator] = ACTIONS(11617),
    [sym__unary_plus_operator] = ACTIONS(11617),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8882] = {
    [sym_block_comment] = STATE(8882),
    [sym_line_comment] = STATE(8882),
    [sym__word_identifier] = ACTIONS(11402),
    [anon_sym_COMMA] = ACTIONS(11402),
    [anon_sym_EQ] = ACTIONS(11402),
    [anon_sym_begin] = ACTIONS(11402),
    [anon_sym_module] = ACTIONS(11402),
    [anon_sym_baremodule] = ACTIONS(11402),
    [anon_sym_end] = ACTIONS(11402),
    [anon_sym_abstract] = ACTIONS(11402),
    [anon_sym_primitive] = ACTIONS(11402),
    [anon_sym_mutable] = ACTIONS(11402),
    [anon_sym_struct] = ACTIONS(11402),
    [anon_sym_function] = ACTIONS(11402),
    [anon_sym_macro] = ACTIONS(11402),
    [anon_sym_quote] = ACTIONS(11402),
    [anon_sym_let] = ACTIONS(11402),
    [anon_sym_if] = ACTIONS(11402),
    [anon_sym_try] = ACTIONS(11402),
    [anon_sym_catch] = ACTIONS(11402),
    [anon_sym_for] = ACTIONS(11402),
    [anon_sym_while] = ACTIONS(11402),
    [sym_break_statement] = ACTIONS(11402),
    [sym_continue_statement] = ACTIONS(11402),
    [anon_sym_return] = ACTIONS(11402),
    [anon_sym_const] = ACTIONS(11402),
    [anon_sym_global] = ACTIONS(11402),
    [anon_sym_local] = ACTIONS(11402),
    [anon_sym_LPAREN] = ACTIONS(11402),
    [anon_sym_COLON] = ACTIONS(11402),
    [anon_sym_export] = ACTIONS(11402),
    [anon_sym_public] = ACTIONS(11402),
    [anon_sym_import] = ACTIONS(11402),
    [anon_sym_using] = ACTIONS(11402),
    [anon_sym_LBRACK] = ACTIONS(11402),
    [anon_sym_in] = ACTIONS(11402),
    [anon_sym_SEMI] = ACTIONS(11402),
    [anon_sym_LBRACE] = ACTIONS(11402),
    [anon_sym_DOLLAR] = ACTIONS(11402),
    [anon_sym_COLON2] = ACTIONS(11402),
    [anon_sym_COLON_COLON] = ACTIONS(11402),
    [anon_sym_isa] = ACTIONS(11402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11402),
    [anon_sym_QMARK] = ACTIONS(11402),
    [anon_sym_where] = ACTIONS(11402),
    [anon_sym_AT] = ACTIONS(11402),
    [anon_sym_true] = ACTIONS(11402),
    [anon_sym_false] = ACTIONS(11402),
    [aux_sym_integer_literal_token1] = ACTIONS(11402),
    [aux_sym_integer_literal_token2] = ACTIONS(11402),
    [aux_sym_integer_literal_token3] = ACTIONS(11402),
    [aux_sym_integer_literal_token4] = ACTIONS(11402),
    [aux_sym_float_literal_token1] = ACTIONS(11402),
    [aux_sym_float_literal_token3] = ACTIONS(11402),
    [aux_sym_float_literal_token4] = ACTIONS(11402),
    [sym_character_literal] = ACTIONS(11402),
    [anon_sym_DQUOTE] = ACTIONS(11402),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11402),
    [anon_sym_BQUOTE] = ACTIONS(11402),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11402),
    [sym__pair_operator] = ACTIONS(11402),
    [sym__arrow_operator] = ACTIONS(11402),
    [sym__lazy_or_operator] = ACTIONS(11402),
    [sym__lazy_and_operator] = ACTIONS(11402),
    [sym__comparison_operator] = ACTIONS(11402),
    [sym__pipe_right_operator] = ACTIONS(11402),
    [sym__pipe_left_operator] = ACTIONS(11402),
    [sym__ellipsis_operator] = ACTIONS(11402),
    [sym__plus_operator] = ACTIONS(11402),
    [sym__times_operator] = ACTIONS(11402),
    [sym__rational_operator] = ACTIONS(11402),
    [sym__bitshift_operator] = ACTIONS(11402),
    [sym__power_operator] = ACTIONS(11402),
    [sym__tilde_operator] = ACTIONS(11402),
    [sym__type_order_operator] = ACTIONS(11402),
    [sym__unary_operator] = ACTIONS(11402),
    [sym__unary_plus_operator] = ACTIONS(11402),
    [aux_sym__terminator_token1] = ACTIONS(11404),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8883] = {
    [sym_block_comment] = STATE(8883),
    [sym_line_comment] = STATE(8883),
    [sym__word_identifier] = ACTIONS(11406),
    [anon_sym_COMMA] = ACTIONS(11406),
    [anon_sym_EQ] = ACTIONS(11406),
    [anon_sym_begin] = ACTIONS(11406),
    [anon_sym_module] = ACTIONS(11406),
    [anon_sym_baremodule] = ACTIONS(11406),
    [anon_sym_end] = ACTIONS(11406),
    [anon_sym_abstract] = ACTIONS(11406),
    [anon_sym_primitive] = ACTIONS(11406),
    [anon_sym_mutable] = ACTIONS(11406),
    [anon_sym_struct] = ACTIONS(11406),
    [anon_sym_function] = ACTIONS(11406),
    [anon_sym_macro] = ACTIONS(11406),
    [anon_sym_quote] = ACTIONS(11406),
    [anon_sym_let] = ACTIONS(11406),
    [anon_sym_if] = ACTIONS(11406),
    [anon_sym_try] = ACTIONS(11406),
    [anon_sym_catch] = ACTIONS(11406),
    [anon_sym_for] = ACTIONS(11406),
    [anon_sym_while] = ACTIONS(11406),
    [sym_break_statement] = ACTIONS(11406),
    [sym_continue_statement] = ACTIONS(11406),
    [anon_sym_return] = ACTIONS(11406),
    [anon_sym_const] = ACTIONS(11406),
    [anon_sym_global] = ACTIONS(11406),
    [anon_sym_local] = ACTIONS(11406),
    [anon_sym_LPAREN] = ACTIONS(11406),
    [anon_sym_COLON] = ACTIONS(11406),
    [anon_sym_export] = ACTIONS(11406),
    [anon_sym_public] = ACTIONS(11406),
    [anon_sym_import] = ACTIONS(11406),
    [anon_sym_using] = ACTIONS(11406),
    [anon_sym_LBRACK] = ACTIONS(11406),
    [anon_sym_in] = ACTIONS(11406),
    [anon_sym_SEMI] = ACTIONS(11406),
    [anon_sym_LBRACE] = ACTIONS(11406),
    [anon_sym_DOLLAR] = ACTIONS(11406),
    [anon_sym_COLON2] = ACTIONS(11406),
    [anon_sym_COLON_COLON] = ACTIONS(11406),
    [anon_sym_isa] = ACTIONS(11406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11406),
    [anon_sym_QMARK] = ACTIONS(11406),
    [anon_sym_where] = ACTIONS(11406),
    [anon_sym_AT] = ACTIONS(11406),
    [anon_sym_true] = ACTIONS(11406),
    [anon_sym_false] = ACTIONS(11406),
    [aux_sym_integer_literal_token1] = ACTIONS(11406),
    [aux_sym_integer_literal_token2] = ACTIONS(11406),
    [aux_sym_integer_literal_token3] = ACTIONS(11406),
    [aux_sym_integer_literal_token4] = ACTIONS(11406),
    [aux_sym_float_literal_token1] = ACTIONS(11406),
    [aux_sym_float_literal_token3] = ACTIONS(11406),
    [aux_sym_float_literal_token4] = ACTIONS(11406),
    [sym_character_literal] = ACTIONS(11406),
    [anon_sym_DQUOTE] = ACTIONS(11406),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11406),
    [anon_sym_BQUOTE] = ACTIONS(11406),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11406),
    [sym__pair_operator] = ACTIONS(11406),
    [sym__arrow_operator] = ACTIONS(11406),
    [sym__lazy_or_operator] = ACTIONS(11406),
    [sym__lazy_and_operator] = ACTIONS(11406),
    [sym__comparison_operator] = ACTIONS(11406),
    [sym__pipe_right_operator] = ACTIONS(11406),
    [sym__pipe_left_operator] = ACTIONS(11406),
    [sym__ellipsis_operator] = ACTIONS(11406),
    [sym__plus_operator] = ACTIONS(11406),
    [sym__times_operator] = ACTIONS(11406),
    [sym__rational_operator] = ACTIONS(11406),
    [sym__bitshift_operator] = ACTIONS(11406),
    [sym__power_operator] = ACTIONS(11406),
    [sym__tilde_operator] = ACTIONS(11406),
    [sym__type_order_operator] = ACTIONS(11406),
    [sym__unary_operator] = ACTIONS(11406),
    [sym__unary_plus_operator] = ACTIONS(11406),
    [aux_sym__terminator_token1] = ACTIONS(11408),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8884] = {
    [sym_block_comment] = STATE(8884),
    [sym_line_comment] = STATE(8884),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_else] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_finally] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12550),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8885] = {
    [sym_block_comment] = STATE(8885),
    [sym_line_comment] = STATE(8885),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_end] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_else] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_finally] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(12552),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(12554),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(12554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(12554),
    [sym__pipe_right_operator] = ACTIONS(12556),
    [sym__pipe_left_operator] = ACTIONS(12558),
    [sym__ellipsis_operator] = ACTIONS(12560),
    [sym__plus_operator] = ACTIONS(12562),
    [sym__times_operator] = ACTIONS(12564),
    [sym__rational_operator] = ACTIONS(12566),
    [sym__bitshift_operator] = ACTIONS(12568),
    [sym__power_operator] = ACTIONS(12550),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(12554),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12562),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8886] = {
    [sym_block_comment] = STATE(8886),
    [sym_line_comment] = STATE(8886),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(12570),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_finally] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8887] = {
    [sym_block_comment] = STATE(8887),
    [sym_line_comment] = STATE(8887),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(12548),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_catch] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8888] = {
    [sym_block_comment] = STATE(8888),
    [sym_line_comment] = STATE(8888),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(12548),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_catch] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8889] = {
    [sym_block_comment] = STATE(8889),
    [sym_line_comment] = STATE(8889),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(12548),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_catch] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8890] = {
    [sym_block_comment] = STATE(8890),
    [sym_line_comment] = STATE(8890),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11260),
    [anon_sym_EQ] = ACTIONS(12544),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11260),
    [anon_sym_RPAREN] = ACTIONS(11260),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11260),
    [anon_sym_RBRACK] = ACTIONS(11260),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11260),
    [anon_sym_LBRACE] = ACTIONS(11260),
    [anon_sym_RBRACE] = ACTIONS(11260),
    [anon_sym_DOLLAR] = ACTIONS(11260),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11260),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11260),
    [anon_sym_QMARK] = ACTIONS(11260),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11260),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11260),
    [aux_sym_integer_literal_token2] = ACTIONS(11260),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11260),
    [aux_sym_float_literal_token3] = ACTIONS(11260),
    [aux_sym_float_literal_token4] = ACTIONS(11260),
    [sym_character_literal] = ACTIONS(11260),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11260),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11260),
    [sym__pair_operator] = ACTIONS(11260),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11260),
    [sym__lazy_and_operator] = ACTIONS(11260),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11260),
    [sym__pipe_left_operator] = ACTIONS(11260),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11260),
    [sym__bitshift_operator] = ACTIONS(11260),
    [sym__power_operator] = ACTIONS(11260),
    [sym__tilde_operator] = ACTIONS(11260),
    [sym__type_order_operator] = ACTIONS(11260),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8891] = {
    [sym_block_comment] = STATE(8891),
    [sym_line_comment] = STATE(8891),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(12570),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_finally] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8892] = {
    [sym_block_comment] = STATE(8892),
    [sym_line_comment] = STATE(8892),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(12570),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_finally] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8893] = {
    [sym_block_comment] = STATE(8893),
    [sym_line_comment] = STATE(8893),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(12570),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_finally] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8894] = {
    [sym_block_comment] = STATE(8894),
    [sym_line_comment] = STATE(8894),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9973),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8895] = {
    [sym_block_comment] = STATE(8895),
    [sym_line_comment] = STATE(8895),
    [sym__word_identifier] = ACTIONS(11410),
    [anon_sym_COMMA] = ACTIONS(11410),
    [anon_sym_EQ] = ACTIONS(11410),
    [anon_sym_begin] = ACTIONS(11410),
    [anon_sym_module] = ACTIONS(11410),
    [anon_sym_baremodule] = ACTIONS(11410),
    [anon_sym_end] = ACTIONS(11410),
    [anon_sym_abstract] = ACTIONS(11410),
    [anon_sym_primitive] = ACTIONS(11410),
    [anon_sym_mutable] = ACTIONS(11410),
    [anon_sym_struct] = ACTIONS(11410),
    [anon_sym_function] = ACTIONS(11410),
    [anon_sym_macro] = ACTIONS(11410),
    [anon_sym_quote] = ACTIONS(11410),
    [anon_sym_let] = ACTIONS(11410),
    [anon_sym_if] = ACTIONS(11410),
    [anon_sym_try] = ACTIONS(11410),
    [anon_sym_catch] = ACTIONS(11410),
    [anon_sym_for] = ACTIONS(11410),
    [anon_sym_while] = ACTIONS(11410),
    [sym_break_statement] = ACTIONS(11410),
    [sym_continue_statement] = ACTIONS(11410),
    [anon_sym_return] = ACTIONS(11410),
    [anon_sym_const] = ACTIONS(11410),
    [anon_sym_global] = ACTIONS(11410),
    [anon_sym_local] = ACTIONS(11410),
    [anon_sym_LPAREN] = ACTIONS(11410),
    [anon_sym_COLON] = ACTIONS(11410),
    [anon_sym_export] = ACTIONS(11410),
    [anon_sym_public] = ACTIONS(11410),
    [anon_sym_import] = ACTIONS(11410),
    [anon_sym_using] = ACTIONS(11410),
    [anon_sym_LBRACK] = ACTIONS(11410),
    [anon_sym_in] = ACTIONS(11410),
    [anon_sym_SEMI] = ACTIONS(11410),
    [anon_sym_LBRACE] = ACTIONS(11410),
    [anon_sym_DOLLAR] = ACTIONS(11410),
    [anon_sym_COLON2] = ACTIONS(11410),
    [anon_sym_COLON_COLON] = ACTIONS(11410),
    [anon_sym_isa] = ACTIONS(11410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11410),
    [anon_sym_QMARK] = ACTIONS(11410),
    [anon_sym_where] = ACTIONS(11410),
    [anon_sym_AT] = ACTIONS(11410),
    [anon_sym_true] = ACTIONS(11410),
    [anon_sym_false] = ACTIONS(11410),
    [aux_sym_integer_literal_token1] = ACTIONS(11410),
    [aux_sym_integer_literal_token2] = ACTIONS(11410),
    [aux_sym_integer_literal_token3] = ACTIONS(11410),
    [aux_sym_integer_literal_token4] = ACTIONS(11410),
    [aux_sym_float_literal_token1] = ACTIONS(11410),
    [aux_sym_float_literal_token3] = ACTIONS(11410),
    [aux_sym_float_literal_token4] = ACTIONS(11410),
    [sym_character_literal] = ACTIONS(11410),
    [anon_sym_DQUOTE] = ACTIONS(11410),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11410),
    [anon_sym_BQUOTE] = ACTIONS(11410),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11410),
    [sym__pair_operator] = ACTIONS(11410),
    [sym__arrow_operator] = ACTIONS(11410),
    [sym__lazy_or_operator] = ACTIONS(11410),
    [sym__lazy_and_operator] = ACTIONS(11410),
    [sym__comparison_operator] = ACTIONS(11410),
    [sym__pipe_right_operator] = ACTIONS(11410),
    [sym__pipe_left_operator] = ACTIONS(11410),
    [sym__ellipsis_operator] = ACTIONS(11410),
    [sym__plus_operator] = ACTIONS(11410),
    [sym__times_operator] = ACTIONS(11410),
    [sym__rational_operator] = ACTIONS(11410),
    [sym__bitshift_operator] = ACTIONS(11410),
    [sym__power_operator] = ACTIONS(11410),
    [sym__tilde_operator] = ACTIONS(11410),
    [sym__type_order_operator] = ACTIONS(11410),
    [sym__unary_operator] = ACTIONS(11410),
    [sym__unary_plus_operator] = ACTIONS(11410),
    [aux_sym__terminator_token1] = ACTIONS(11412),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8896] = {
    [sym_block_comment] = STATE(8896),
    [sym_line_comment] = STATE(8896),
    [sym__word_identifier] = ACTIONS(11414),
    [anon_sym_COMMA] = ACTIONS(11414),
    [anon_sym_EQ] = ACTIONS(11414),
    [anon_sym_begin] = ACTIONS(11414),
    [anon_sym_module] = ACTIONS(11414),
    [anon_sym_baremodule] = ACTIONS(11414),
    [anon_sym_end] = ACTIONS(11414),
    [anon_sym_abstract] = ACTIONS(11414),
    [anon_sym_primitive] = ACTIONS(11414),
    [anon_sym_mutable] = ACTIONS(11414),
    [anon_sym_struct] = ACTIONS(11414),
    [anon_sym_function] = ACTIONS(11414),
    [anon_sym_macro] = ACTIONS(11414),
    [anon_sym_quote] = ACTIONS(11414),
    [anon_sym_let] = ACTIONS(11414),
    [anon_sym_if] = ACTIONS(11414),
    [anon_sym_try] = ACTIONS(11414),
    [anon_sym_catch] = ACTIONS(11414),
    [anon_sym_for] = ACTIONS(11414),
    [anon_sym_while] = ACTIONS(11414),
    [sym_break_statement] = ACTIONS(11414),
    [sym_continue_statement] = ACTIONS(11414),
    [anon_sym_return] = ACTIONS(11414),
    [anon_sym_const] = ACTIONS(11414),
    [anon_sym_global] = ACTIONS(11414),
    [anon_sym_local] = ACTIONS(11414),
    [anon_sym_LPAREN] = ACTIONS(11414),
    [anon_sym_COLON] = ACTIONS(11414),
    [anon_sym_export] = ACTIONS(11414),
    [anon_sym_public] = ACTIONS(11414),
    [anon_sym_import] = ACTIONS(11414),
    [anon_sym_using] = ACTIONS(11414),
    [anon_sym_LBRACK] = ACTIONS(11414),
    [anon_sym_in] = ACTIONS(11414),
    [anon_sym_SEMI] = ACTIONS(11414),
    [anon_sym_LBRACE] = ACTIONS(11414),
    [anon_sym_DOLLAR] = ACTIONS(11414),
    [anon_sym_COLON2] = ACTIONS(11414),
    [anon_sym_COLON_COLON] = ACTIONS(11414),
    [anon_sym_isa] = ACTIONS(11414),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11414),
    [anon_sym_QMARK] = ACTIONS(11414),
    [anon_sym_where] = ACTIONS(11414),
    [anon_sym_AT] = ACTIONS(11414),
    [anon_sym_true] = ACTIONS(11414),
    [anon_sym_false] = ACTIONS(11414),
    [aux_sym_integer_literal_token1] = ACTIONS(11414),
    [aux_sym_integer_literal_token2] = ACTIONS(11414),
    [aux_sym_integer_literal_token3] = ACTIONS(11414),
    [aux_sym_integer_literal_token4] = ACTIONS(11414),
    [aux_sym_float_literal_token1] = ACTIONS(11414),
    [aux_sym_float_literal_token3] = ACTIONS(11414),
    [aux_sym_float_literal_token4] = ACTIONS(11414),
    [sym_character_literal] = ACTIONS(11414),
    [anon_sym_DQUOTE] = ACTIONS(11414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11414),
    [anon_sym_BQUOTE] = ACTIONS(11414),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11414),
    [sym__pair_operator] = ACTIONS(11414),
    [sym__arrow_operator] = ACTIONS(11414),
    [sym__lazy_or_operator] = ACTIONS(11414),
    [sym__lazy_and_operator] = ACTIONS(11414),
    [sym__comparison_operator] = ACTIONS(11414),
    [sym__pipe_right_operator] = ACTIONS(11414),
    [sym__pipe_left_operator] = ACTIONS(11414),
    [sym__ellipsis_operator] = ACTIONS(11414),
    [sym__plus_operator] = ACTIONS(11414),
    [sym__times_operator] = ACTIONS(11414),
    [sym__rational_operator] = ACTIONS(11414),
    [sym__bitshift_operator] = ACTIONS(11414),
    [sym__power_operator] = ACTIONS(11414),
    [sym__tilde_operator] = ACTIONS(11414),
    [sym__type_order_operator] = ACTIONS(11414),
    [sym__unary_operator] = ACTIONS(11414),
    [sym__unary_plus_operator] = ACTIONS(11414),
    [aux_sym__terminator_token1] = ACTIONS(11416),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8897] = {
    [sym_block_comment] = STATE(8897),
    [sym_line_comment] = STATE(8897),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_end] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_else] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_finally] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12562),
    [sym__times_operator] = ACTIONS(12564),
    [sym__rational_operator] = ACTIONS(12566),
    [sym__bitshift_operator] = ACTIONS(12568),
    [sym__power_operator] = ACTIONS(12550),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12562),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8898] = {
    [sym_block_comment] = STATE(8898),
    [sym_line_comment] = STATE(8898),
    [sym__word_identifier] = ACTIONS(11621),
    [anon_sym_COMMA] = ACTIONS(11623),
    [anon_sym_EQ] = ACTIONS(11621),
    [anon_sym_begin] = ACTIONS(11621),
    [anon_sym_module] = ACTIONS(11621),
    [anon_sym_baremodule] = ACTIONS(11621),
    [anon_sym_abstract] = ACTIONS(11621),
    [anon_sym_primitive] = ACTIONS(11621),
    [anon_sym_mutable] = ACTIONS(11621),
    [anon_sym_struct] = ACTIONS(11621),
    [anon_sym_function] = ACTIONS(11621),
    [anon_sym_macro] = ACTIONS(11621),
    [anon_sym_quote] = ACTIONS(11621),
    [anon_sym_let] = ACTIONS(11621),
    [anon_sym_if] = ACTIONS(11621),
    [anon_sym_try] = ACTIONS(11621),
    [anon_sym_for] = ACTIONS(11621),
    [anon_sym_while] = ACTIONS(11621),
    [sym_break_statement] = ACTIONS(11621),
    [sym_continue_statement] = ACTIONS(11621),
    [anon_sym_return] = ACTIONS(11621),
    [anon_sym_const] = ACTIONS(11621),
    [anon_sym_global] = ACTIONS(11621),
    [anon_sym_local] = ACTIONS(11621),
    [anon_sym_LPAREN] = ACTIONS(11623),
    [anon_sym_RPAREN] = ACTIONS(11623),
    [anon_sym_COLON] = ACTIONS(11621),
    [anon_sym_export] = ACTIONS(11621),
    [anon_sym_public] = ACTIONS(11621),
    [anon_sym_import] = ACTIONS(11621),
    [anon_sym_using] = ACTIONS(11621),
    [anon_sym_LBRACK] = ACTIONS(11623),
    [anon_sym_RBRACK] = ACTIONS(11623),
    [anon_sym_in] = ACTIONS(11621),
    [anon_sym_SEMI] = ACTIONS(11623),
    [anon_sym_LBRACE] = ACTIONS(11623),
    [anon_sym_RBRACE] = ACTIONS(11623),
    [anon_sym_DOLLAR] = ACTIONS(11623),
    [anon_sym_COLON2] = ACTIONS(11621),
    [anon_sym_COLON_COLON] = ACTIONS(11623),
    [anon_sym_isa] = ACTIONS(11621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11623),
    [anon_sym_QMARK] = ACTIONS(11623),
    [anon_sym_where] = ACTIONS(11621),
    [anon_sym_AT] = ACTIONS(11623),
    [anon_sym_true] = ACTIONS(11621),
    [anon_sym_false] = ACTIONS(11621),
    [aux_sym_integer_literal_token1] = ACTIONS(11623),
    [aux_sym_integer_literal_token2] = ACTIONS(11623),
    [aux_sym_integer_literal_token3] = ACTIONS(11621),
    [aux_sym_integer_literal_token4] = ACTIONS(11621),
    [aux_sym_float_literal_token1] = ACTIONS(11623),
    [aux_sym_float_literal_token3] = ACTIONS(11623),
    [aux_sym_float_literal_token4] = ACTIONS(11623),
    [sym_character_literal] = ACTIONS(11623),
    [anon_sym_DQUOTE] = ACTIONS(11621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11623),
    [anon_sym_BQUOTE] = ACTIONS(11621),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11623),
    [sym__pair_operator] = ACTIONS(11623),
    [sym__arrow_operator] = ACTIONS(11621),
    [sym__lazy_or_operator] = ACTIONS(11623),
    [sym__lazy_and_operator] = ACTIONS(11623),
    [sym__comparison_operator] = ACTIONS(11621),
    [sym__pipe_right_operator] = ACTIONS(11623),
    [sym__pipe_left_operator] = ACTIONS(11623),
    [sym__ellipsis_operator] = ACTIONS(11621),
    [sym__plus_operator] = ACTIONS(11621),
    [sym__times_operator] = ACTIONS(11621),
    [sym__rational_operator] = ACTIONS(11623),
    [sym__bitshift_operator] = ACTIONS(11623),
    [sym__power_operator] = ACTIONS(11623),
    [sym__tilde_operator] = ACTIONS(11623),
    [sym__type_order_operator] = ACTIONS(11623),
    [sym__unary_operator] = ACTIONS(11621),
    [sym__unary_plus_operator] = ACTIONS(11621),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8899] = {
    [sym_block_comment] = STATE(8899),
    [sym_line_comment] = STATE(8899),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9991),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8900] = {
    [sym_block_comment] = STATE(8900),
    [sym_line_comment] = STATE(8900),
    [sym__word_identifier] = ACTIONS(11625),
    [anon_sym_COMMA] = ACTIONS(11627),
    [anon_sym_EQ] = ACTIONS(11625),
    [anon_sym_begin] = ACTIONS(11625),
    [anon_sym_module] = ACTIONS(11625),
    [anon_sym_baremodule] = ACTIONS(11625),
    [anon_sym_abstract] = ACTIONS(11625),
    [anon_sym_primitive] = ACTIONS(11625),
    [anon_sym_mutable] = ACTIONS(11625),
    [anon_sym_struct] = ACTIONS(11625),
    [anon_sym_function] = ACTIONS(11625),
    [anon_sym_macro] = ACTIONS(11625),
    [anon_sym_quote] = ACTIONS(11625),
    [anon_sym_let] = ACTIONS(11625),
    [anon_sym_if] = ACTIONS(11625),
    [anon_sym_try] = ACTIONS(11625),
    [anon_sym_for] = ACTIONS(11625),
    [anon_sym_while] = ACTIONS(11625),
    [sym_break_statement] = ACTIONS(11625),
    [sym_continue_statement] = ACTIONS(11625),
    [anon_sym_return] = ACTIONS(11625),
    [anon_sym_const] = ACTIONS(11625),
    [anon_sym_global] = ACTIONS(11625),
    [anon_sym_local] = ACTIONS(11625),
    [anon_sym_LPAREN] = ACTIONS(11627),
    [anon_sym_RPAREN] = ACTIONS(11627),
    [anon_sym_COLON] = ACTIONS(11625),
    [anon_sym_export] = ACTIONS(11625),
    [anon_sym_public] = ACTIONS(11625),
    [anon_sym_import] = ACTIONS(11625),
    [anon_sym_using] = ACTIONS(11625),
    [anon_sym_LBRACK] = ACTIONS(11627),
    [anon_sym_RBRACK] = ACTIONS(11627),
    [anon_sym_in] = ACTIONS(11625),
    [anon_sym_SEMI] = ACTIONS(11627),
    [anon_sym_LBRACE] = ACTIONS(11627),
    [anon_sym_RBRACE] = ACTIONS(11627),
    [anon_sym_DOLLAR] = ACTIONS(11627),
    [anon_sym_COLON2] = ACTIONS(11625),
    [anon_sym_COLON_COLON] = ACTIONS(11627),
    [anon_sym_isa] = ACTIONS(11625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11627),
    [anon_sym_QMARK] = ACTIONS(11627),
    [anon_sym_where] = ACTIONS(11625),
    [anon_sym_AT] = ACTIONS(11627),
    [anon_sym_true] = ACTIONS(11625),
    [anon_sym_false] = ACTIONS(11625),
    [aux_sym_integer_literal_token1] = ACTIONS(11627),
    [aux_sym_integer_literal_token2] = ACTIONS(11627),
    [aux_sym_integer_literal_token3] = ACTIONS(11625),
    [aux_sym_integer_literal_token4] = ACTIONS(11625),
    [aux_sym_float_literal_token1] = ACTIONS(11627),
    [aux_sym_float_literal_token3] = ACTIONS(11627),
    [aux_sym_float_literal_token4] = ACTIONS(11627),
    [sym_character_literal] = ACTIONS(11627),
    [anon_sym_DQUOTE] = ACTIONS(11625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11627),
    [anon_sym_BQUOTE] = ACTIONS(11625),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11627),
    [sym__pair_operator] = ACTIONS(11627),
    [sym__arrow_operator] = ACTIONS(11625),
    [sym__lazy_or_operator] = ACTIONS(11627),
    [sym__lazy_and_operator] = ACTIONS(11627),
    [sym__comparison_operator] = ACTIONS(11625),
    [sym__pipe_right_operator] = ACTIONS(11627),
    [sym__pipe_left_operator] = ACTIONS(11627),
    [sym__ellipsis_operator] = ACTIONS(11625),
    [sym__plus_operator] = ACTIONS(11625),
    [sym__times_operator] = ACTIONS(11625),
    [sym__rational_operator] = ACTIONS(11627),
    [sym__bitshift_operator] = ACTIONS(11627),
    [sym__power_operator] = ACTIONS(11627),
    [sym__tilde_operator] = ACTIONS(11627),
    [sym__type_order_operator] = ACTIONS(11627),
    [sym__unary_operator] = ACTIONS(11625),
    [sym__unary_plus_operator] = ACTIONS(11625),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8901] = {
    [sym_block_comment] = STATE(8901),
    [sym_line_comment] = STATE(8901),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(9999),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8902] = {
    [sym_block_comment] = STATE(8902),
    [sym_line_comment] = STATE(8902),
    [sym__word_identifier] = ACTIONS(11629),
    [anon_sym_COMMA] = ACTIONS(11631),
    [anon_sym_EQ] = ACTIONS(11629),
    [anon_sym_begin] = ACTIONS(11629),
    [anon_sym_module] = ACTIONS(11629),
    [anon_sym_baremodule] = ACTIONS(11629),
    [anon_sym_abstract] = ACTIONS(11629),
    [anon_sym_primitive] = ACTIONS(11629),
    [anon_sym_mutable] = ACTIONS(11629),
    [anon_sym_struct] = ACTIONS(11629),
    [anon_sym_function] = ACTIONS(11629),
    [anon_sym_macro] = ACTIONS(11629),
    [anon_sym_quote] = ACTIONS(11629),
    [anon_sym_let] = ACTIONS(11629),
    [anon_sym_if] = ACTIONS(11629),
    [anon_sym_try] = ACTIONS(11629),
    [anon_sym_for] = ACTIONS(11629),
    [anon_sym_while] = ACTIONS(11629),
    [sym_break_statement] = ACTIONS(11629),
    [sym_continue_statement] = ACTIONS(11629),
    [anon_sym_return] = ACTIONS(11629),
    [anon_sym_const] = ACTIONS(11629),
    [anon_sym_global] = ACTIONS(11629),
    [anon_sym_local] = ACTIONS(11629),
    [anon_sym_LPAREN] = ACTIONS(11631),
    [anon_sym_RPAREN] = ACTIONS(11631),
    [anon_sym_COLON] = ACTIONS(11629),
    [anon_sym_export] = ACTIONS(11629),
    [anon_sym_public] = ACTIONS(11629),
    [anon_sym_import] = ACTIONS(11629),
    [anon_sym_using] = ACTIONS(11629),
    [anon_sym_LBRACK] = ACTIONS(11631),
    [anon_sym_RBRACK] = ACTIONS(11631),
    [anon_sym_in] = ACTIONS(11629),
    [anon_sym_SEMI] = ACTIONS(11631),
    [anon_sym_LBRACE] = ACTIONS(11631),
    [anon_sym_RBRACE] = ACTIONS(11631),
    [anon_sym_DOLLAR] = ACTIONS(11631),
    [anon_sym_COLON2] = ACTIONS(11629),
    [anon_sym_COLON_COLON] = ACTIONS(11631),
    [anon_sym_isa] = ACTIONS(11629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11631),
    [anon_sym_QMARK] = ACTIONS(11631),
    [anon_sym_where] = ACTIONS(11629),
    [anon_sym_AT] = ACTIONS(11631),
    [anon_sym_true] = ACTIONS(11629),
    [anon_sym_false] = ACTIONS(11629),
    [aux_sym_integer_literal_token1] = ACTIONS(11631),
    [aux_sym_integer_literal_token2] = ACTIONS(11631),
    [aux_sym_integer_literal_token3] = ACTIONS(11629),
    [aux_sym_integer_literal_token4] = ACTIONS(11629),
    [aux_sym_float_literal_token1] = ACTIONS(11631),
    [aux_sym_float_literal_token3] = ACTIONS(11631),
    [aux_sym_float_literal_token4] = ACTIONS(11631),
    [sym_character_literal] = ACTIONS(11631),
    [anon_sym_DQUOTE] = ACTIONS(11629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11631),
    [anon_sym_BQUOTE] = ACTIONS(11629),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11631),
    [sym__pair_operator] = ACTIONS(11631),
    [sym__arrow_operator] = ACTIONS(11629),
    [sym__lazy_or_operator] = ACTIONS(11631),
    [sym__lazy_and_operator] = ACTIONS(11631),
    [sym__comparison_operator] = ACTIONS(11629),
    [sym__pipe_right_operator] = ACTIONS(11631),
    [sym__pipe_left_operator] = ACTIONS(11631),
    [sym__ellipsis_operator] = ACTIONS(11629),
    [sym__plus_operator] = ACTIONS(11629),
    [sym__times_operator] = ACTIONS(11629),
    [sym__rational_operator] = ACTIONS(11631),
    [sym__bitshift_operator] = ACTIONS(11631),
    [sym__power_operator] = ACTIONS(11631),
    [sym__tilde_operator] = ACTIONS(11631),
    [sym__type_order_operator] = ACTIONS(11631),
    [sym__unary_operator] = ACTIONS(11629),
    [sym__unary_plus_operator] = ACTIONS(11629),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8903] = {
    [sym_block_comment] = STATE(8903),
    [sym_line_comment] = STATE(8903),
    [sym__word_identifier] = ACTIONS(11633),
    [anon_sym_COMMA] = ACTIONS(11635),
    [anon_sym_EQ] = ACTIONS(11633),
    [anon_sym_begin] = ACTIONS(11633),
    [anon_sym_module] = ACTIONS(11633),
    [anon_sym_baremodule] = ACTIONS(11633),
    [anon_sym_abstract] = ACTIONS(11633),
    [anon_sym_primitive] = ACTIONS(11633),
    [anon_sym_mutable] = ACTIONS(11633),
    [anon_sym_struct] = ACTIONS(11633),
    [anon_sym_function] = ACTIONS(11633),
    [anon_sym_macro] = ACTIONS(11633),
    [anon_sym_quote] = ACTIONS(11633),
    [anon_sym_let] = ACTIONS(11633),
    [anon_sym_if] = ACTIONS(11633),
    [anon_sym_try] = ACTIONS(11633),
    [anon_sym_for] = ACTIONS(11633),
    [anon_sym_while] = ACTIONS(11633),
    [sym_break_statement] = ACTIONS(11633),
    [sym_continue_statement] = ACTIONS(11633),
    [anon_sym_return] = ACTIONS(11633),
    [anon_sym_const] = ACTIONS(11633),
    [anon_sym_global] = ACTIONS(11633),
    [anon_sym_local] = ACTIONS(11633),
    [anon_sym_LPAREN] = ACTIONS(11635),
    [anon_sym_RPAREN] = ACTIONS(11635),
    [anon_sym_COLON] = ACTIONS(11633),
    [anon_sym_export] = ACTIONS(11633),
    [anon_sym_public] = ACTIONS(11633),
    [anon_sym_import] = ACTIONS(11633),
    [anon_sym_using] = ACTIONS(11633),
    [anon_sym_LBRACK] = ACTIONS(11635),
    [anon_sym_RBRACK] = ACTIONS(11635),
    [anon_sym_in] = ACTIONS(11633),
    [anon_sym_SEMI] = ACTIONS(11635),
    [anon_sym_LBRACE] = ACTIONS(11635),
    [anon_sym_RBRACE] = ACTIONS(11635),
    [anon_sym_DOLLAR] = ACTIONS(11635),
    [anon_sym_COLON2] = ACTIONS(11633),
    [anon_sym_COLON_COLON] = ACTIONS(11635),
    [anon_sym_isa] = ACTIONS(11633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11635),
    [anon_sym_QMARK] = ACTIONS(11635),
    [anon_sym_where] = ACTIONS(11633),
    [anon_sym_AT] = ACTIONS(11635),
    [anon_sym_true] = ACTIONS(11633),
    [anon_sym_false] = ACTIONS(11633),
    [aux_sym_integer_literal_token1] = ACTIONS(11635),
    [aux_sym_integer_literal_token2] = ACTIONS(11635),
    [aux_sym_integer_literal_token3] = ACTIONS(11633),
    [aux_sym_integer_literal_token4] = ACTIONS(11633),
    [aux_sym_float_literal_token1] = ACTIONS(11635),
    [aux_sym_float_literal_token3] = ACTIONS(11635),
    [aux_sym_float_literal_token4] = ACTIONS(11635),
    [sym_character_literal] = ACTIONS(11635),
    [anon_sym_DQUOTE] = ACTIONS(11633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11635),
    [anon_sym_BQUOTE] = ACTIONS(11633),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11635),
    [sym__pair_operator] = ACTIONS(11635),
    [sym__arrow_operator] = ACTIONS(11633),
    [sym__lazy_or_operator] = ACTIONS(11635),
    [sym__lazy_and_operator] = ACTIONS(11635),
    [sym__comparison_operator] = ACTIONS(11633),
    [sym__pipe_right_operator] = ACTIONS(11635),
    [sym__pipe_left_operator] = ACTIONS(11635),
    [sym__ellipsis_operator] = ACTIONS(11633),
    [sym__plus_operator] = ACTIONS(11633),
    [sym__times_operator] = ACTIONS(11633),
    [sym__rational_operator] = ACTIONS(11635),
    [sym__bitshift_operator] = ACTIONS(11635),
    [sym__power_operator] = ACTIONS(11635),
    [sym__tilde_operator] = ACTIONS(11635),
    [sym__type_order_operator] = ACTIONS(11635),
    [sym__unary_operator] = ACTIONS(11633),
    [sym__unary_plus_operator] = ACTIONS(11633),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8904] = {
    [sym_block_comment] = STATE(8904),
    [sym_line_comment] = STATE(8904),
    [sym__word_identifier] = ACTIONS(11637),
    [anon_sym_COMMA] = ACTIONS(11639),
    [anon_sym_EQ] = ACTIONS(11637),
    [anon_sym_begin] = ACTIONS(11637),
    [anon_sym_module] = ACTIONS(11637),
    [anon_sym_baremodule] = ACTIONS(11637),
    [anon_sym_abstract] = ACTIONS(11637),
    [anon_sym_primitive] = ACTIONS(11637),
    [anon_sym_mutable] = ACTIONS(11637),
    [anon_sym_struct] = ACTIONS(11637),
    [anon_sym_function] = ACTIONS(11637),
    [anon_sym_macro] = ACTIONS(11637),
    [anon_sym_quote] = ACTIONS(11637),
    [anon_sym_let] = ACTIONS(11637),
    [anon_sym_if] = ACTIONS(11637),
    [anon_sym_try] = ACTIONS(11637),
    [anon_sym_for] = ACTIONS(11637),
    [anon_sym_while] = ACTIONS(11637),
    [sym_break_statement] = ACTIONS(11637),
    [sym_continue_statement] = ACTIONS(11637),
    [anon_sym_return] = ACTIONS(11637),
    [anon_sym_const] = ACTIONS(11637),
    [anon_sym_global] = ACTIONS(11637),
    [anon_sym_local] = ACTIONS(11637),
    [anon_sym_LPAREN] = ACTIONS(11639),
    [anon_sym_RPAREN] = ACTIONS(11639),
    [anon_sym_COLON] = ACTIONS(11637),
    [anon_sym_export] = ACTIONS(11637),
    [anon_sym_public] = ACTIONS(11637),
    [anon_sym_import] = ACTIONS(11637),
    [anon_sym_using] = ACTIONS(11637),
    [anon_sym_LBRACK] = ACTIONS(11639),
    [anon_sym_RBRACK] = ACTIONS(11639),
    [anon_sym_in] = ACTIONS(11637),
    [anon_sym_SEMI] = ACTIONS(11639),
    [anon_sym_LBRACE] = ACTIONS(11639),
    [anon_sym_RBRACE] = ACTIONS(11639),
    [anon_sym_DOLLAR] = ACTIONS(11639),
    [anon_sym_COLON2] = ACTIONS(11637),
    [anon_sym_COLON_COLON] = ACTIONS(11639),
    [anon_sym_isa] = ACTIONS(11637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11639),
    [anon_sym_QMARK] = ACTIONS(11639),
    [anon_sym_where] = ACTIONS(11637),
    [anon_sym_AT] = ACTIONS(11639),
    [anon_sym_true] = ACTIONS(11637),
    [anon_sym_false] = ACTIONS(11637),
    [aux_sym_integer_literal_token1] = ACTIONS(11639),
    [aux_sym_integer_literal_token2] = ACTIONS(11639),
    [aux_sym_integer_literal_token3] = ACTIONS(11637),
    [aux_sym_integer_literal_token4] = ACTIONS(11637),
    [aux_sym_float_literal_token1] = ACTIONS(11639),
    [aux_sym_float_literal_token3] = ACTIONS(11639),
    [aux_sym_float_literal_token4] = ACTIONS(11639),
    [sym_character_literal] = ACTIONS(11639),
    [anon_sym_DQUOTE] = ACTIONS(11637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11639),
    [anon_sym_BQUOTE] = ACTIONS(11637),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11639),
    [sym__pair_operator] = ACTIONS(11639),
    [sym__arrow_operator] = ACTIONS(11637),
    [sym__lazy_or_operator] = ACTIONS(11639),
    [sym__lazy_and_operator] = ACTIONS(11639),
    [sym__comparison_operator] = ACTIONS(11637),
    [sym__pipe_right_operator] = ACTIONS(11639),
    [sym__pipe_left_operator] = ACTIONS(11639),
    [sym__ellipsis_operator] = ACTIONS(11637),
    [sym__plus_operator] = ACTIONS(11637),
    [sym__times_operator] = ACTIONS(11637),
    [sym__rational_operator] = ACTIONS(11639),
    [sym__bitshift_operator] = ACTIONS(11639),
    [sym__power_operator] = ACTIONS(11639),
    [sym__tilde_operator] = ACTIONS(11639),
    [sym__type_order_operator] = ACTIONS(11639),
    [sym__unary_operator] = ACTIONS(11637),
    [sym__unary_plus_operator] = ACTIONS(11637),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8905] = {
    [sym_block_comment] = STATE(8905),
    [sym_line_comment] = STATE(8905),
    [sym__word_identifier] = ACTIONS(11641),
    [anon_sym_COMMA] = ACTIONS(11643),
    [anon_sym_EQ] = ACTIONS(11641),
    [anon_sym_begin] = ACTIONS(11641),
    [anon_sym_module] = ACTIONS(11641),
    [anon_sym_baremodule] = ACTIONS(11641),
    [anon_sym_abstract] = ACTIONS(11641),
    [anon_sym_primitive] = ACTIONS(11641),
    [anon_sym_mutable] = ACTIONS(11641),
    [anon_sym_struct] = ACTIONS(11641),
    [anon_sym_function] = ACTIONS(11641),
    [anon_sym_macro] = ACTIONS(11641),
    [anon_sym_quote] = ACTIONS(11641),
    [anon_sym_let] = ACTIONS(11641),
    [anon_sym_if] = ACTIONS(11641),
    [anon_sym_try] = ACTIONS(11641),
    [anon_sym_for] = ACTIONS(11641),
    [anon_sym_while] = ACTIONS(11641),
    [sym_break_statement] = ACTIONS(11641),
    [sym_continue_statement] = ACTIONS(11641),
    [anon_sym_return] = ACTIONS(11641),
    [anon_sym_const] = ACTIONS(11641),
    [anon_sym_global] = ACTIONS(11641),
    [anon_sym_local] = ACTIONS(11641),
    [anon_sym_LPAREN] = ACTIONS(11643),
    [anon_sym_RPAREN] = ACTIONS(11643),
    [anon_sym_COLON] = ACTIONS(11641),
    [anon_sym_export] = ACTIONS(11641),
    [anon_sym_public] = ACTIONS(11641),
    [anon_sym_import] = ACTIONS(11641),
    [anon_sym_using] = ACTIONS(11641),
    [anon_sym_LBRACK] = ACTIONS(11643),
    [anon_sym_RBRACK] = ACTIONS(11643),
    [anon_sym_in] = ACTIONS(11641),
    [anon_sym_SEMI] = ACTIONS(11643),
    [anon_sym_LBRACE] = ACTIONS(11643),
    [anon_sym_RBRACE] = ACTIONS(11643),
    [anon_sym_DOLLAR] = ACTIONS(11643),
    [anon_sym_COLON2] = ACTIONS(11641),
    [anon_sym_COLON_COLON] = ACTIONS(11643),
    [anon_sym_isa] = ACTIONS(11641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11643),
    [anon_sym_QMARK] = ACTIONS(11643),
    [anon_sym_where] = ACTIONS(11641),
    [anon_sym_AT] = ACTIONS(11643),
    [anon_sym_true] = ACTIONS(11641),
    [anon_sym_false] = ACTIONS(11641),
    [aux_sym_integer_literal_token1] = ACTIONS(11643),
    [aux_sym_integer_literal_token2] = ACTIONS(11643),
    [aux_sym_integer_literal_token3] = ACTIONS(11641),
    [aux_sym_integer_literal_token4] = ACTIONS(11641),
    [aux_sym_float_literal_token1] = ACTIONS(11643),
    [aux_sym_float_literal_token3] = ACTIONS(11643),
    [aux_sym_float_literal_token4] = ACTIONS(11643),
    [sym_character_literal] = ACTIONS(11643),
    [anon_sym_DQUOTE] = ACTIONS(11641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11643),
    [anon_sym_BQUOTE] = ACTIONS(11641),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11643),
    [sym__pair_operator] = ACTIONS(11643),
    [sym__arrow_operator] = ACTIONS(11641),
    [sym__lazy_or_operator] = ACTIONS(11643),
    [sym__lazy_and_operator] = ACTIONS(11643),
    [sym__comparison_operator] = ACTIONS(11641),
    [sym__pipe_right_operator] = ACTIONS(11643),
    [sym__pipe_left_operator] = ACTIONS(11643),
    [sym__ellipsis_operator] = ACTIONS(11641),
    [sym__plus_operator] = ACTIONS(11641),
    [sym__times_operator] = ACTIONS(11641),
    [sym__rational_operator] = ACTIONS(11643),
    [sym__bitshift_operator] = ACTIONS(11643),
    [sym__power_operator] = ACTIONS(11643),
    [sym__tilde_operator] = ACTIONS(11643),
    [sym__type_order_operator] = ACTIONS(11643),
    [sym__unary_operator] = ACTIONS(11641),
    [sym__unary_plus_operator] = ACTIONS(11641),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8906] = {
    [sym_block_comment] = STATE(8906),
    [sym_line_comment] = STATE(8906),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10295),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8907] = {
    [sym_block_comment] = STATE(8907),
    [sym_line_comment] = STATE(8907),
    [sym__word_identifier] = ACTIONS(11418),
    [anon_sym_COMMA] = ACTIONS(11418),
    [anon_sym_EQ] = ACTIONS(11418),
    [anon_sym_begin] = ACTIONS(11418),
    [anon_sym_module] = ACTIONS(11418),
    [anon_sym_baremodule] = ACTIONS(11418),
    [anon_sym_end] = ACTIONS(11418),
    [anon_sym_abstract] = ACTIONS(11418),
    [anon_sym_primitive] = ACTIONS(11418),
    [anon_sym_mutable] = ACTIONS(11418),
    [anon_sym_struct] = ACTIONS(11418),
    [anon_sym_function] = ACTIONS(11418),
    [anon_sym_macro] = ACTIONS(11418),
    [anon_sym_quote] = ACTIONS(11418),
    [anon_sym_let] = ACTIONS(11418),
    [anon_sym_if] = ACTIONS(11418),
    [anon_sym_try] = ACTIONS(11418),
    [anon_sym_catch] = ACTIONS(11418),
    [anon_sym_for] = ACTIONS(11418),
    [anon_sym_while] = ACTIONS(11418),
    [sym_break_statement] = ACTIONS(11418),
    [sym_continue_statement] = ACTIONS(11418),
    [anon_sym_return] = ACTIONS(11418),
    [anon_sym_const] = ACTIONS(11418),
    [anon_sym_global] = ACTIONS(11418),
    [anon_sym_local] = ACTIONS(11418),
    [anon_sym_LPAREN] = ACTIONS(11418),
    [anon_sym_COLON] = ACTIONS(11418),
    [anon_sym_export] = ACTIONS(11418),
    [anon_sym_public] = ACTIONS(11418),
    [anon_sym_import] = ACTIONS(11418),
    [anon_sym_using] = ACTIONS(11418),
    [anon_sym_LBRACK] = ACTIONS(11418),
    [anon_sym_in] = ACTIONS(11418),
    [anon_sym_SEMI] = ACTIONS(11418),
    [anon_sym_LBRACE] = ACTIONS(11418),
    [anon_sym_DOLLAR] = ACTIONS(11418),
    [anon_sym_COLON2] = ACTIONS(11418),
    [anon_sym_COLON_COLON] = ACTIONS(11418),
    [anon_sym_isa] = ACTIONS(11418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11418),
    [anon_sym_QMARK] = ACTIONS(11418),
    [anon_sym_where] = ACTIONS(11418),
    [anon_sym_AT] = ACTIONS(11418),
    [anon_sym_true] = ACTIONS(11418),
    [anon_sym_false] = ACTIONS(11418),
    [aux_sym_integer_literal_token1] = ACTIONS(11418),
    [aux_sym_integer_literal_token2] = ACTIONS(11418),
    [aux_sym_integer_literal_token3] = ACTIONS(11418),
    [aux_sym_integer_literal_token4] = ACTIONS(11418),
    [aux_sym_float_literal_token1] = ACTIONS(11418),
    [aux_sym_float_literal_token3] = ACTIONS(11418),
    [aux_sym_float_literal_token4] = ACTIONS(11418),
    [sym_character_literal] = ACTIONS(11418),
    [anon_sym_DQUOTE] = ACTIONS(11418),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11418),
    [anon_sym_BQUOTE] = ACTIONS(11418),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11418),
    [sym__pair_operator] = ACTIONS(11418),
    [sym__arrow_operator] = ACTIONS(11418),
    [sym__lazy_or_operator] = ACTIONS(11418),
    [sym__lazy_and_operator] = ACTIONS(11418),
    [sym__comparison_operator] = ACTIONS(11418),
    [sym__pipe_right_operator] = ACTIONS(11418),
    [sym__pipe_left_operator] = ACTIONS(11418),
    [sym__ellipsis_operator] = ACTIONS(11418),
    [sym__plus_operator] = ACTIONS(11418),
    [sym__times_operator] = ACTIONS(11418),
    [sym__rational_operator] = ACTIONS(11418),
    [sym__bitshift_operator] = ACTIONS(11418),
    [sym__power_operator] = ACTIONS(11418),
    [sym__tilde_operator] = ACTIONS(11418),
    [sym__type_order_operator] = ACTIONS(11418),
    [sym__unary_operator] = ACTIONS(11418),
    [sym__unary_plus_operator] = ACTIONS(11418),
    [aux_sym__terminator_token1] = ACTIONS(11420),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8908] = {
    [sym_block_comment] = STATE(8908),
    [sym_line_comment] = STATE(8908),
    [sym__word_identifier] = ACTIONS(11645),
    [anon_sym_COMMA] = ACTIONS(11647),
    [anon_sym_EQ] = ACTIONS(11645),
    [anon_sym_begin] = ACTIONS(11645),
    [anon_sym_module] = ACTIONS(11645),
    [anon_sym_baremodule] = ACTIONS(11645),
    [anon_sym_abstract] = ACTIONS(11645),
    [anon_sym_primitive] = ACTIONS(11645),
    [anon_sym_mutable] = ACTIONS(11645),
    [anon_sym_struct] = ACTIONS(11645),
    [anon_sym_function] = ACTIONS(11645),
    [anon_sym_macro] = ACTIONS(11645),
    [anon_sym_quote] = ACTIONS(11645),
    [anon_sym_let] = ACTIONS(11645),
    [anon_sym_if] = ACTIONS(11645),
    [anon_sym_try] = ACTIONS(11645),
    [anon_sym_for] = ACTIONS(11645),
    [anon_sym_while] = ACTIONS(11645),
    [sym_break_statement] = ACTIONS(11645),
    [sym_continue_statement] = ACTIONS(11645),
    [anon_sym_return] = ACTIONS(11645),
    [anon_sym_const] = ACTIONS(11645),
    [anon_sym_global] = ACTIONS(11645),
    [anon_sym_local] = ACTIONS(11645),
    [anon_sym_LPAREN] = ACTIONS(11647),
    [anon_sym_RPAREN] = ACTIONS(11647),
    [anon_sym_COLON] = ACTIONS(11645),
    [anon_sym_export] = ACTIONS(11645),
    [anon_sym_public] = ACTIONS(11645),
    [anon_sym_import] = ACTIONS(11645),
    [anon_sym_using] = ACTIONS(11645),
    [anon_sym_LBRACK] = ACTIONS(11647),
    [anon_sym_RBRACK] = ACTIONS(11647),
    [anon_sym_in] = ACTIONS(11645),
    [anon_sym_SEMI] = ACTIONS(11647),
    [anon_sym_LBRACE] = ACTIONS(11647),
    [anon_sym_RBRACE] = ACTIONS(11647),
    [anon_sym_DOLLAR] = ACTIONS(11647),
    [anon_sym_COLON2] = ACTIONS(11645),
    [anon_sym_COLON_COLON] = ACTIONS(11647),
    [anon_sym_isa] = ACTIONS(11645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11647),
    [anon_sym_QMARK] = ACTIONS(11647),
    [anon_sym_where] = ACTIONS(11645),
    [anon_sym_AT] = ACTIONS(11647),
    [anon_sym_true] = ACTIONS(11645),
    [anon_sym_false] = ACTIONS(11645),
    [aux_sym_integer_literal_token1] = ACTIONS(11647),
    [aux_sym_integer_literal_token2] = ACTIONS(11647),
    [aux_sym_integer_literal_token3] = ACTIONS(11645),
    [aux_sym_integer_literal_token4] = ACTIONS(11645),
    [aux_sym_float_literal_token1] = ACTIONS(11647),
    [aux_sym_float_literal_token3] = ACTIONS(11647),
    [aux_sym_float_literal_token4] = ACTIONS(11647),
    [sym_character_literal] = ACTIONS(11647),
    [anon_sym_DQUOTE] = ACTIONS(11645),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11647),
    [anon_sym_BQUOTE] = ACTIONS(11645),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11647),
    [sym__pair_operator] = ACTIONS(11647),
    [sym__arrow_operator] = ACTIONS(11645),
    [sym__lazy_or_operator] = ACTIONS(11647),
    [sym__lazy_and_operator] = ACTIONS(11647),
    [sym__comparison_operator] = ACTIONS(11645),
    [sym__pipe_right_operator] = ACTIONS(11647),
    [sym__pipe_left_operator] = ACTIONS(11647),
    [sym__ellipsis_operator] = ACTIONS(11645),
    [sym__plus_operator] = ACTIONS(11645),
    [sym__times_operator] = ACTIONS(11645),
    [sym__rational_operator] = ACTIONS(11647),
    [sym__bitshift_operator] = ACTIONS(11647),
    [sym__power_operator] = ACTIONS(11647),
    [sym__tilde_operator] = ACTIONS(11647),
    [sym__type_order_operator] = ACTIONS(11647),
    [sym__unary_operator] = ACTIONS(11645),
    [sym__unary_plus_operator] = ACTIONS(11645),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8909] = {
    [sym_block_comment] = STATE(8909),
    [sym_line_comment] = STATE(8909),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8910] = {
    [sym_block_comment] = STATE(8910),
    [sym_line_comment] = STATE(8910),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_catch] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8911] = {
    [sym_block_comment] = STATE(8911),
    [sym_line_comment] = STATE(8911),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(12546),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_catch] = ACTIONS(11258),
    [anon_sym_finally] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8912] = {
    [sym_block_comment] = STATE(8912),
    [sym_line_comment] = STATE(8912),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12552),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12556),
    [sym__pipe_left_operator] = ACTIONS(12558),
    [sym__ellipsis_operator] = ACTIONS(12560),
    [sym__plus_operator] = ACTIONS(12562),
    [sym__times_operator] = ACTIONS(12564),
    [sym__rational_operator] = ACTIONS(12566),
    [sym__bitshift_operator] = ACTIONS(12568),
    [sym__power_operator] = ACTIONS(12550),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12562),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8913] = {
    [sym_block_comment] = STATE(8913),
    [sym_line_comment] = STATE(8913),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12552),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12554),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(12554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11874),
    [anon_sym_where] = ACTIONS(12572),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(12574),
    [sym__arrow_operator] = ACTIONS(12576),
    [sym__lazy_or_operator] = ACTIONS(12578),
    [sym__lazy_and_operator] = ACTIONS(12580),
    [sym__comparison_operator] = ACTIONS(12554),
    [sym__pipe_right_operator] = ACTIONS(12556),
    [sym__pipe_left_operator] = ACTIONS(12558),
    [sym__ellipsis_operator] = ACTIONS(12560),
    [sym__plus_operator] = ACTIONS(12562),
    [sym__times_operator] = ACTIONS(12564),
    [sym__rational_operator] = ACTIONS(12566),
    [sym__bitshift_operator] = ACTIONS(12568),
    [sym__power_operator] = ACTIONS(12550),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12554),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12562),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8914] = {
    [sym_block_comment] = STATE(8914),
    [sym_line_comment] = STATE(8914),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12552),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12554),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(12554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12572),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(12576),
    [sym__lazy_or_operator] = ACTIONS(12578),
    [sym__lazy_and_operator] = ACTIONS(12580),
    [sym__comparison_operator] = ACTIONS(12554),
    [sym__pipe_right_operator] = ACTIONS(12556),
    [sym__pipe_left_operator] = ACTIONS(12558),
    [sym__ellipsis_operator] = ACTIONS(12560),
    [sym__plus_operator] = ACTIONS(12562),
    [sym__times_operator] = ACTIONS(12564),
    [sym__rational_operator] = ACTIONS(12566),
    [sym__bitshift_operator] = ACTIONS(12568),
    [sym__power_operator] = ACTIONS(12550),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12554),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12562),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8915] = {
    [sym_block_comment] = STATE(8915),
    [sym_line_comment] = STATE(8915),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12552),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12554),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(12554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12572),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(12554),
    [sym__pipe_right_operator] = ACTIONS(12556),
    [sym__pipe_left_operator] = ACTIONS(12558),
    [sym__ellipsis_operator] = ACTIONS(12560),
    [sym__plus_operator] = ACTIONS(12562),
    [sym__times_operator] = ACTIONS(12564),
    [sym__rational_operator] = ACTIONS(12566),
    [sym__bitshift_operator] = ACTIONS(12568),
    [sym__power_operator] = ACTIONS(12550),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12554),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12562),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8916] = {
    [sym_block_comment] = STATE(8916),
    [sym_line_comment] = STATE(8916),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12552),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(12560),
    [sym__plus_operator] = ACTIONS(12562),
    [sym__times_operator] = ACTIONS(12564),
    [sym__rational_operator] = ACTIONS(12566),
    [sym__bitshift_operator] = ACTIONS(12568),
    [sym__power_operator] = ACTIONS(12550),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12562),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8917] = {
    [sym_block_comment] = STATE(8917),
    [sym_line_comment] = STATE(8917),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12552),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12556),
    [sym__pipe_left_operator] = ACTIONS(12558),
    [sym__ellipsis_operator] = ACTIONS(12560),
    [sym__plus_operator] = ACTIONS(12562),
    [sym__times_operator] = ACTIONS(12564),
    [sym__rational_operator] = ACTIONS(12566),
    [sym__bitshift_operator] = ACTIONS(12568),
    [sym__power_operator] = ACTIONS(12550),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12562),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8918] = {
    [sym_block_comment] = STATE(8918),
    [sym_line_comment] = STATE(8918),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12562),
    [sym__times_operator] = ACTIONS(12564),
    [sym__rational_operator] = ACTIONS(12566),
    [sym__bitshift_operator] = ACTIONS(12568),
    [sym__power_operator] = ACTIONS(12550),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12562),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8919] = {
    [sym_block_comment] = STATE(8919),
    [sym_line_comment] = STATE(8919),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12564),
    [sym__rational_operator] = ACTIONS(12566),
    [sym__bitshift_operator] = ACTIONS(12568),
    [sym__power_operator] = ACTIONS(12550),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8920] = {
    [sym_block_comment] = STATE(8920),
    [sym_line_comment] = STATE(8920),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12566),
    [sym__bitshift_operator] = ACTIONS(12568),
    [sym__power_operator] = ACTIONS(12550),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8921] = {
    [sym_block_comment] = STATE(8921),
    [sym_line_comment] = STATE(8921),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(12568),
    [sym__power_operator] = ACTIONS(12550),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8922] = {
    [sym_block_comment] = STATE(8922),
    [sym_line_comment] = STATE(8922),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(12550),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8923] = {
    [sym_block_comment] = STATE(8923),
    [sym_line_comment] = STATE(8923),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12151),
    [anon_sym_EQ] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_end] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_catch] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12438),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8924] = {
    [sym_block_comment] = STATE(8924),
    [sym_line_comment] = STATE(8924),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(10335),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8925] = {
    [sym_block_comment] = STATE(8925),
    [sym_line_comment] = STATE(8925),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
  },
  [8926] = {
    [sym_block_comment] = STATE(8926),
    [sym_line_comment] = STATE(8926),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8927] = {
    [sym_block_comment] = STATE(8927),
    [sym_line_comment] = STATE(8927),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_catch] = ACTIONS(11704),
    [anon_sym_finally] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(11704),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(11704),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11704),
    [anon_sym_isa] = ACTIONS(11704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11704),
    [anon_sym_QMARK] = ACTIONS(11704),
    [anon_sym_where] = ACTIONS(11704),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(11704),
    [sym__arrow_operator] = ACTIONS(11704),
    [sym__lazy_or_operator] = ACTIONS(11704),
    [sym__lazy_and_operator] = ACTIONS(11704),
    [sym__comparison_operator] = ACTIONS(11704),
    [sym__pipe_right_operator] = ACTIONS(11704),
    [sym__pipe_left_operator] = ACTIONS(11704),
    [sym__ellipsis_operator] = ACTIONS(11704),
    [sym__plus_operator] = ACTIONS(11704),
    [sym__times_operator] = ACTIONS(11704),
    [sym__rational_operator] = ACTIONS(11704),
    [sym__bitshift_operator] = ACTIONS(11704),
    [sym__power_operator] = ACTIONS(11704),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(11704),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(11704),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8928] = {
    [sym_block_comment] = STATE(8928),
    [sym_line_comment] = STATE(8928),
    [sym__word_identifier] = ACTIONS(11316),
    [anon_sym_COMMA] = ACTIONS(11316),
    [anon_sym_EQ] = ACTIONS(11316),
    [anon_sym_begin] = ACTIONS(11316),
    [anon_sym_module] = ACTIONS(11316),
    [anon_sym_baremodule] = ACTIONS(11316),
    [anon_sym_abstract] = ACTIONS(11316),
    [anon_sym_primitive] = ACTIONS(11316),
    [anon_sym_mutable] = ACTIONS(11316),
    [anon_sym_struct] = ACTIONS(11316),
    [anon_sym_function] = ACTIONS(11316),
    [anon_sym_macro] = ACTIONS(11316),
    [anon_sym_quote] = ACTIONS(11316),
    [anon_sym_let] = ACTIONS(11316),
    [anon_sym_if] = ACTIONS(11316),
    [anon_sym_try] = ACTIONS(11316),
    [anon_sym_catch] = ACTIONS(11316),
    [anon_sym_finally] = ACTIONS(11316),
    [anon_sym_for] = ACTIONS(11316),
    [anon_sym_while] = ACTIONS(11316),
    [sym_break_statement] = ACTIONS(11316),
    [sym_continue_statement] = ACTIONS(11316),
    [anon_sym_return] = ACTIONS(11316),
    [anon_sym_const] = ACTIONS(11316),
    [anon_sym_global] = ACTIONS(11316),
    [anon_sym_local] = ACTIONS(11316),
    [anon_sym_LPAREN] = ACTIONS(11316),
    [anon_sym_COLON] = ACTIONS(11316),
    [anon_sym_export] = ACTIONS(11316),
    [anon_sym_public] = ACTIONS(11316),
    [anon_sym_import] = ACTIONS(11316),
    [anon_sym_using] = ACTIONS(11316),
    [anon_sym_LBRACK] = ACTIONS(11316),
    [anon_sym_in] = ACTIONS(11316),
    [anon_sym_SEMI] = ACTIONS(11316),
    [anon_sym_LBRACE] = ACTIONS(11316),
    [anon_sym_DOLLAR] = ACTIONS(11316),
    [anon_sym_COLON2] = ACTIONS(11316),
    [anon_sym_COLON_COLON] = ACTIONS(11316),
    [anon_sym_isa] = ACTIONS(11316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11316),
    [anon_sym_QMARK] = ACTIONS(11316),
    [anon_sym_where] = ACTIONS(11316),
    [anon_sym_AT] = ACTIONS(11316),
    [anon_sym_true] = ACTIONS(11316),
    [anon_sym_false] = ACTIONS(11316),
    [aux_sym_integer_literal_token1] = ACTIONS(11316),
    [aux_sym_integer_literal_token2] = ACTIONS(11316),
    [aux_sym_integer_literal_token3] = ACTIONS(11316),
    [aux_sym_integer_literal_token4] = ACTIONS(11316),
    [aux_sym_float_literal_token1] = ACTIONS(11316),
    [aux_sym_float_literal_token3] = ACTIONS(11316),
    [aux_sym_float_literal_token4] = ACTIONS(11316),
    [sym_character_literal] = ACTIONS(11316),
    [anon_sym_DQUOTE] = ACTIONS(11316),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11316),
    [anon_sym_BQUOTE] = ACTIONS(11316),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11316),
    [sym__pair_operator] = ACTIONS(11316),
    [sym__arrow_operator] = ACTIONS(11316),
    [sym__lazy_or_operator] = ACTIONS(11316),
    [sym__lazy_and_operator] = ACTIONS(11316),
    [sym__comparison_operator] = ACTIONS(11316),
    [sym__pipe_right_operator] = ACTIONS(11316),
    [sym__pipe_left_operator] = ACTIONS(11316),
    [sym__ellipsis_operator] = ACTIONS(11316),
    [sym__plus_operator] = ACTIONS(11316),
    [sym__times_operator] = ACTIONS(11316),
    [sym__rational_operator] = ACTIONS(11316),
    [sym__bitshift_operator] = ACTIONS(11316),
    [sym__power_operator] = ACTIONS(11316),
    [sym__tilde_operator] = ACTIONS(11316),
    [sym__type_order_operator] = ACTIONS(11316),
    [sym__unary_operator] = ACTIONS(11316),
    [sym__unary_plus_operator] = ACTIONS(11316),
    [aux_sym__terminator_token1] = ACTIONS(11318),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8929] = {
    [sym_block_comment] = STATE(8929),
    [sym_line_comment] = STATE(8929),
    [sym__word_identifier] = ACTIONS(11422),
    [anon_sym_COMMA] = ACTIONS(11422),
    [anon_sym_EQ] = ACTIONS(11422),
    [anon_sym_begin] = ACTIONS(11422),
    [anon_sym_module] = ACTIONS(11422),
    [anon_sym_baremodule] = ACTIONS(11422),
    [anon_sym_end] = ACTIONS(11422),
    [anon_sym_abstract] = ACTIONS(11422),
    [anon_sym_primitive] = ACTIONS(11422),
    [anon_sym_mutable] = ACTIONS(11422),
    [anon_sym_struct] = ACTIONS(11422),
    [anon_sym_function] = ACTIONS(11422),
    [anon_sym_macro] = ACTIONS(11422),
    [anon_sym_quote] = ACTIONS(11422),
    [anon_sym_let] = ACTIONS(11422),
    [anon_sym_if] = ACTIONS(11422),
    [anon_sym_try] = ACTIONS(11422),
    [anon_sym_catch] = ACTIONS(11422),
    [anon_sym_for] = ACTIONS(11422),
    [anon_sym_while] = ACTIONS(11422),
    [sym_break_statement] = ACTIONS(11422),
    [sym_continue_statement] = ACTIONS(11422),
    [anon_sym_return] = ACTIONS(11422),
    [anon_sym_const] = ACTIONS(11422),
    [anon_sym_global] = ACTIONS(11422),
    [anon_sym_local] = ACTIONS(11422),
    [anon_sym_LPAREN] = ACTIONS(11422),
    [anon_sym_COLON] = ACTIONS(11422),
    [anon_sym_export] = ACTIONS(11422),
    [anon_sym_public] = ACTIONS(11422),
    [anon_sym_import] = ACTIONS(11422),
    [anon_sym_using] = ACTIONS(11422),
    [anon_sym_LBRACK] = ACTIONS(11422),
    [anon_sym_in] = ACTIONS(11422),
    [anon_sym_SEMI] = ACTIONS(11422),
    [anon_sym_LBRACE] = ACTIONS(11422),
    [anon_sym_DOLLAR] = ACTIONS(11422),
    [anon_sym_COLON2] = ACTIONS(11422),
    [anon_sym_COLON_COLON] = ACTIONS(11422),
    [anon_sym_isa] = ACTIONS(11422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11422),
    [anon_sym_QMARK] = ACTIONS(11422),
    [anon_sym_where] = ACTIONS(11422),
    [anon_sym_AT] = ACTIONS(11422),
    [anon_sym_true] = ACTIONS(11422),
    [anon_sym_false] = ACTIONS(11422),
    [aux_sym_integer_literal_token1] = ACTIONS(11422),
    [aux_sym_integer_literal_token2] = ACTIONS(11422),
    [aux_sym_integer_literal_token3] = ACTIONS(11422),
    [aux_sym_integer_literal_token4] = ACTIONS(11422),
    [aux_sym_float_literal_token1] = ACTIONS(11422),
    [aux_sym_float_literal_token3] = ACTIONS(11422),
    [aux_sym_float_literal_token4] = ACTIONS(11422),
    [sym_character_literal] = ACTIONS(11422),
    [anon_sym_DQUOTE] = ACTIONS(11422),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11422),
    [anon_sym_BQUOTE] = ACTIONS(11422),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11422),
    [sym__pair_operator] = ACTIONS(11422),
    [sym__arrow_operator] = ACTIONS(11422),
    [sym__lazy_or_operator] = ACTIONS(11422),
    [sym__lazy_and_operator] = ACTIONS(11422),
    [sym__comparison_operator] = ACTIONS(11422),
    [sym__pipe_right_operator] = ACTIONS(11422),
    [sym__pipe_left_operator] = ACTIONS(11422),
    [sym__ellipsis_operator] = ACTIONS(11422),
    [sym__plus_operator] = ACTIONS(11422),
    [sym__times_operator] = ACTIONS(11422),
    [sym__rational_operator] = ACTIONS(11422),
    [sym__bitshift_operator] = ACTIONS(11422),
    [sym__power_operator] = ACTIONS(11422),
    [sym__tilde_operator] = ACTIONS(11422),
    [sym__type_order_operator] = ACTIONS(11422),
    [sym__unary_operator] = ACTIONS(11422),
    [sym__unary_plus_operator] = ACTIONS(11422),
    [aux_sym__terminator_token1] = ACTIONS(11424),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8930] = {
    [sym_block_comment] = STATE(8930),
    [sym_line_comment] = STATE(8930),
    [sym__word_identifier] = ACTIONS(11426),
    [anon_sym_COMMA] = ACTIONS(11426),
    [anon_sym_EQ] = ACTIONS(11426),
    [anon_sym_begin] = ACTIONS(11426),
    [anon_sym_module] = ACTIONS(11426),
    [anon_sym_baremodule] = ACTIONS(11426),
    [anon_sym_end] = ACTIONS(11426),
    [anon_sym_abstract] = ACTIONS(11426),
    [anon_sym_primitive] = ACTIONS(11426),
    [anon_sym_mutable] = ACTIONS(11426),
    [anon_sym_struct] = ACTIONS(11426),
    [anon_sym_function] = ACTIONS(11426),
    [anon_sym_macro] = ACTIONS(11426),
    [anon_sym_quote] = ACTIONS(11426),
    [anon_sym_let] = ACTIONS(11426),
    [anon_sym_if] = ACTIONS(11426),
    [anon_sym_try] = ACTIONS(11426),
    [anon_sym_catch] = ACTIONS(11426),
    [anon_sym_for] = ACTIONS(11426),
    [anon_sym_while] = ACTIONS(11426),
    [sym_break_statement] = ACTIONS(11426),
    [sym_continue_statement] = ACTIONS(11426),
    [anon_sym_return] = ACTIONS(11426),
    [anon_sym_const] = ACTIONS(11426),
    [anon_sym_global] = ACTIONS(11426),
    [anon_sym_local] = ACTIONS(11426),
    [anon_sym_LPAREN] = ACTIONS(11426),
    [anon_sym_COLON] = ACTIONS(11426),
    [anon_sym_export] = ACTIONS(11426),
    [anon_sym_public] = ACTIONS(11426),
    [anon_sym_import] = ACTIONS(11426),
    [anon_sym_using] = ACTIONS(11426),
    [anon_sym_LBRACK] = ACTIONS(11426),
    [anon_sym_in] = ACTIONS(11426),
    [anon_sym_SEMI] = ACTIONS(11426),
    [anon_sym_LBRACE] = ACTIONS(11426),
    [anon_sym_DOLLAR] = ACTIONS(11426),
    [anon_sym_COLON2] = ACTIONS(11426),
    [anon_sym_COLON_COLON] = ACTIONS(11426),
    [anon_sym_isa] = ACTIONS(11426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11426),
    [anon_sym_QMARK] = ACTIONS(11426),
    [anon_sym_where] = ACTIONS(11426),
    [anon_sym_AT] = ACTIONS(11426),
    [anon_sym_true] = ACTIONS(11426),
    [anon_sym_false] = ACTIONS(11426),
    [aux_sym_integer_literal_token1] = ACTIONS(11426),
    [aux_sym_integer_literal_token2] = ACTIONS(11426),
    [aux_sym_integer_literal_token3] = ACTIONS(11426),
    [aux_sym_integer_literal_token4] = ACTIONS(11426),
    [aux_sym_float_literal_token1] = ACTIONS(11426),
    [aux_sym_float_literal_token3] = ACTIONS(11426),
    [aux_sym_float_literal_token4] = ACTIONS(11426),
    [sym_character_literal] = ACTIONS(11426),
    [anon_sym_DQUOTE] = ACTIONS(11426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11426),
    [anon_sym_BQUOTE] = ACTIONS(11426),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11426),
    [sym__pair_operator] = ACTIONS(11426),
    [sym__arrow_operator] = ACTIONS(11426),
    [sym__lazy_or_operator] = ACTIONS(11426),
    [sym__lazy_and_operator] = ACTIONS(11426),
    [sym__comparison_operator] = ACTIONS(11426),
    [sym__pipe_right_operator] = ACTIONS(11426),
    [sym__pipe_left_operator] = ACTIONS(11426),
    [sym__ellipsis_operator] = ACTIONS(11426),
    [sym__plus_operator] = ACTIONS(11426),
    [sym__times_operator] = ACTIONS(11426),
    [sym__rational_operator] = ACTIONS(11426),
    [sym__bitshift_operator] = ACTIONS(11426),
    [sym__power_operator] = ACTIONS(11426),
    [sym__tilde_operator] = ACTIONS(11426),
    [sym__type_order_operator] = ACTIONS(11426),
    [sym__unary_operator] = ACTIONS(11426),
    [sym__unary_plus_operator] = ACTIONS(11426),
    [aux_sym__terminator_token1] = ACTIONS(11428),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8931] = {
    [sym_block_comment] = STATE(8931),
    [sym_line_comment] = STATE(8931),
    [sym__word_identifier] = ACTIONS(11320),
    [anon_sym_COMMA] = ACTIONS(11320),
    [anon_sym_EQ] = ACTIONS(11320),
    [anon_sym_begin] = ACTIONS(11320),
    [anon_sym_module] = ACTIONS(11320),
    [anon_sym_baremodule] = ACTIONS(11320),
    [anon_sym_abstract] = ACTIONS(11320),
    [anon_sym_primitive] = ACTIONS(11320),
    [anon_sym_mutable] = ACTIONS(11320),
    [anon_sym_struct] = ACTIONS(11320),
    [anon_sym_function] = ACTIONS(11320),
    [anon_sym_macro] = ACTIONS(11320),
    [anon_sym_quote] = ACTIONS(11320),
    [anon_sym_let] = ACTIONS(11320),
    [anon_sym_if] = ACTIONS(11320),
    [anon_sym_try] = ACTIONS(11320),
    [anon_sym_catch] = ACTIONS(11320),
    [anon_sym_finally] = ACTIONS(11320),
    [anon_sym_for] = ACTIONS(11320),
    [anon_sym_while] = ACTIONS(11320),
    [sym_break_statement] = ACTIONS(11320),
    [sym_continue_statement] = ACTIONS(11320),
    [anon_sym_return] = ACTIONS(11320),
    [anon_sym_const] = ACTIONS(11320),
    [anon_sym_global] = ACTIONS(11320),
    [anon_sym_local] = ACTIONS(11320),
    [anon_sym_LPAREN] = ACTIONS(11320),
    [anon_sym_COLON] = ACTIONS(11320),
    [anon_sym_export] = ACTIONS(11320),
    [anon_sym_public] = ACTIONS(11320),
    [anon_sym_import] = ACTIONS(11320),
    [anon_sym_using] = ACTIONS(11320),
    [anon_sym_LBRACK] = ACTIONS(11320),
    [anon_sym_in] = ACTIONS(11320),
    [anon_sym_SEMI] = ACTIONS(11320),
    [anon_sym_LBRACE] = ACTIONS(11320),
    [anon_sym_DOLLAR] = ACTIONS(11320),
    [anon_sym_COLON2] = ACTIONS(11320),
    [anon_sym_COLON_COLON] = ACTIONS(11320),
    [anon_sym_isa] = ACTIONS(11320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11320),
    [anon_sym_QMARK] = ACTIONS(11320),
    [anon_sym_where] = ACTIONS(11320),
    [anon_sym_AT] = ACTIONS(11320),
    [anon_sym_true] = ACTIONS(11320),
    [anon_sym_false] = ACTIONS(11320),
    [aux_sym_integer_literal_token1] = ACTIONS(11320),
    [aux_sym_integer_literal_token2] = ACTIONS(11320),
    [aux_sym_integer_literal_token3] = ACTIONS(11320),
    [aux_sym_integer_literal_token4] = ACTIONS(11320),
    [aux_sym_float_literal_token1] = ACTIONS(11320),
    [aux_sym_float_literal_token3] = ACTIONS(11320),
    [aux_sym_float_literal_token4] = ACTIONS(11320),
    [sym_character_literal] = ACTIONS(11320),
    [anon_sym_DQUOTE] = ACTIONS(11320),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11320),
    [anon_sym_BQUOTE] = ACTIONS(11320),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11320),
    [sym__pair_operator] = ACTIONS(11320),
    [sym__arrow_operator] = ACTIONS(11320),
    [sym__lazy_or_operator] = ACTIONS(11320),
    [sym__lazy_and_operator] = ACTIONS(11320),
    [sym__comparison_operator] = ACTIONS(11320),
    [sym__pipe_right_operator] = ACTIONS(11320),
    [sym__pipe_left_operator] = ACTIONS(11320),
    [sym__ellipsis_operator] = ACTIONS(11320),
    [sym__plus_operator] = ACTIONS(11320),
    [sym__times_operator] = ACTIONS(11320),
    [sym__rational_operator] = ACTIONS(11320),
    [sym__bitshift_operator] = ACTIONS(11320),
    [sym__power_operator] = ACTIONS(11320),
    [sym__tilde_operator] = ACTIONS(11320),
    [sym__type_order_operator] = ACTIONS(11320),
    [sym__unary_operator] = ACTIONS(11320),
    [sym__unary_plus_operator] = ACTIONS(11320),
    [aux_sym__terminator_token1] = ACTIONS(11322),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8932] = {
    [sym_block_comment] = STATE(8932),
    [sym_line_comment] = STATE(8932),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(10367),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_catch] = ACTIONS(11166),
    [anon_sym_finally] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8933] = {
    [sym_block_comment] = STATE(8933),
    [sym_line_comment] = STATE(8933),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_catch] = ACTIONS(11166),
    [anon_sym_finally] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8934] = {
    [sym_block_comment] = STATE(8934),
    [sym_line_comment] = STATE(8934),
    [aux_sym_open_tuple_repeat1] = STATE(8134),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_catch] = ACTIONS(11166),
    [anon_sym_finally] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12524),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8935] = {
    [sym_block_comment] = STATE(8935),
    [sym_line_comment] = STATE(8935),
    [sym__word_identifier] = ACTIONS(11374),
    [anon_sym_COMMA] = ACTIONS(11374),
    [anon_sym_EQ] = ACTIONS(11374),
    [anon_sym_begin] = ACTIONS(11374),
    [anon_sym_module] = ACTIONS(11374),
    [anon_sym_baremodule] = ACTIONS(11374),
    [anon_sym_abstract] = ACTIONS(11374),
    [anon_sym_primitive] = ACTIONS(11374),
    [anon_sym_mutable] = ACTIONS(11374),
    [anon_sym_struct] = ACTIONS(11374),
    [anon_sym_function] = ACTIONS(11374),
    [anon_sym_macro] = ACTIONS(11374),
    [anon_sym_quote] = ACTIONS(11374),
    [anon_sym_let] = ACTIONS(11374),
    [anon_sym_if] = ACTIONS(11374),
    [anon_sym_try] = ACTIONS(11374),
    [anon_sym_catch] = ACTIONS(11374),
    [anon_sym_finally] = ACTIONS(11374),
    [anon_sym_for] = ACTIONS(11374),
    [anon_sym_while] = ACTIONS(11374),
    [sym_break_statement] = ACTIONS(11374),
    [sym_continue_statement] = ACTIONS(11374),
    [anon_sym_return] = ACTIONS(11374),
    [anon_sym_const] = ACTIONS(11374),
    [anon_sym_global] = ACTIONS(11374),
    [anon_sym_local] = ACTIONS(11374),
    [anon_sym_LPAREN] = ACTIONS(11374),
    [anon_sym_COLON] = ACTIONS(11374),
    [anon_sym_export] = ACTIONS(11374),
    [anon_sym_public] = ACTIONS(11374),
    [anon_sym_import] = ACTIONS(11374),
    [anon_sym_using] = ACTIONS(11374),
    [anon_sym_LBRACK] = ACTIONS(11374),
    [anon_sym_in] = ACTIONS(11374),
    [anon_sym_SEMI] = ACTIONS(11374),
    [anon_sym_LBRACE] = ACTIONS(11374),
    [anon_sym_DOLLAR] = ACTIONS(11374),
    [anon_sym_COLON2] = ACTIONS(11374),
    [anon_sym_COLON_COLON] = ACTIONS(11374),
    [anon_sym_isa] = ACTIONS(11374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11374),
    [anon_sym_QMARK] = ACTIONS(11374),
    [anon_sym_where] = ACTIONS(11374),
    [anon_sym_AT] = ACTIONS(11374),
    [anon_sym_true] = ACTIONS(11374),
    [anon_sym_false] = ACTIONS(11374),
    [aux_sym_integer_literal_token1] = ACTIONS(11374),
    [aux_sym_integer_literal_token2] = ACTIONS(11374),
    [aux_sym_integer_literal_token3] = ACTIONS(11374),
    [aux_sym_integer_literal_token4] = ACTIONS(11374),
    [aux_sym_float_literal_token1] = ACTIONS(11374),
    [aux_sym_float_literal_token3] = ACTIONS(11374),
    [aux_sym_float_literal_token4] = ACTIONS(11374),
    [sym_character_literal] = ACTIONS(11374),
    [anon_sym_DQUOTE] = ACTIONS(11374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11374),
    [anon_sym_BQUOTE] = ACTIONS(11374),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11374),
    [sym__pair_operator] = ACTIONS(11374),
    [sym__arrow_operator] = ACTIONS(11374),
    [sym__lazy_or_operator] = ACTIONS(11374),
    [sym__lazy_and_operator] = ACTIONS(11374),
    [sym__comparison_operator] = ACTIONS(11374),
    [sym__pipe_right_operator] = ACTIONS(11374),
    [sym__pipe_left_operator] = ACTIONS(11374),
    [sym__ellipsis_operator] = ACTIONS(11374),
    [sym__plus_operator] = ACTIONS(11374),
    [sym__times_operator] = ACTIONS(11374),
    [sym__rational_operator] = ACTIONS(11374),
    [sym__bitshift_operator] = ACTIONS(11374),
    [sym__power_operator] = ACTIONS(11374),
    [sym__tilde_operator] = ACTIONS(11374),
    [sym__type_order_operator] = ACTIONS(11374),
    [sym__unary_operator] = ACTIONS(11374),
    [sym__unary_plus_operator] = ACTIONS(11374),
    [aux_sym__terminator_token1] = ACTIONS(11376),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8936] = {
    [sym_block_comment] = STATE(8936),
    [sym_line_comment] = STATE(8936),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(10367),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_catch] = ACTIONS(11204),
    [anon_sym_finally] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8937] = {
    [sym_block_comment] = STATE(8937),
    [sym_line_comment] = STATE(8937),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_catch] = ACTIONS(11204),
    [anon_sym_finally] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8938] = {
    [sym_block_comment] = STATE(8938),
    [sym_line_comment] = STATE(8938),
    [sym__word_identifier] = ACTIONS(11481),
    [anon_sym_COMMA] = ACTIONS(11481),
    [anon_sym_EQ] = ACTIONS(11481),
    [anon_sym_begin] = ACTIONS(11481),
    [anon_sym_module] = ACTIONS(11481),
    [anon_sym_baremodule] = ACTIONS(11481),
    [anon_sym_end] = ACTIONS(11481),
    [anon_sym_abstract] = ACTIONS(11481),
    [anon_sym_primitive] = ACTIONS(11481),
    [anon_sym_mutable] = ACTIONS(11481),
    [anon_sym_struct] = ACTIONS(11481),
    [anon_sym_function] = ACTIONS(11481),
    [anon_sym_macro] = ACTIONS(11481),
    [anon_sym_quote] = ACTIONS(11481),
    [anon_sym_let] = ACTIONS(11481),
    [anon_sym_if] = ACTIONS(11481),
    [anon_sym_try] = ACTIONS(11481),
    [anon_sym_catch] = ACTIONS(11481),
    [anon_sym_for] = ACTIONS(11481),
    [anon_sym_while] = ACTIONS(11481),
    [sym_break_statement] = ACTIONS(11481),
    [sym_continue_statement] = ACTIONS(11481),
    [anon_sym_return] = ACTIONS(11481),
    [anon_sym_const] = ACTIONS(11481),
    [anon_sym_global] = ACTIONS(11481),
    [anon_sym_local] = ACTIONS(11481),
    [anon_sym_LPAREN] = ACTIONS(11481),
    [anon_sym_COLON] = ACTIONS(11481),
    [anon_sym_export] = ACTIONS(11481),
    [anon_sym_public] = ACTIONS(11481),
    [anon_sym_import] = ACTIONS(11481),
    [anon_sym_using] = ACTIONS(11481),
    [anon_sym_LBRACK] = ACTIONS(11481),
    [anon_sym_in] = ACTIONS(11481),
    [anon_sym_SEMI] = ACTIONS(11481),
    [anon_sym_LBRACE] = ACTIONS(11481),
    [anon_sym_DOLLAR] = ACTIONS(11481),
    [anon_sym_COLON2] = ACTIONS(11481),
    [anon_sym_COLON_COLON] = ACTIONS(11481),
    [anon_sym_isa] = ACTIONS(11481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11481),
    [anon_sym_QMARK] = ACTIONS(11481),
    [anon_sym_where] = ACTIONS(11481),
    [anon_sym_AT] = ACTIONS(11481),
    [anon_sym_true] = ACTIONS(11481),
    [anon_sym_false] = ACTIONS(11481),
    [aux_sym_integer_literal_token1] = ACTIONS(11481),
    [aux_sym_integer_literal_token2] = ACTIONS(11481),
    [aux_sym_integer_literal_token3] = ACTIONS(11481),
    [aux_sym_integer_literal_token4] = ACTIONS(11481),
    [aux_sym_float_literal_token1] = ACTIONS(11481),
    [aux_sym_float_literal_token3] = ACTIONS(11481),
    [aux_sym_float_literal_token4] = ACTIONS(11481),
    [sym_character_literal] = ACTIONS(11481),
    [anon_sym_DQUOTE] = ACTIONS(11481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11481),
    [anon_sym_BQUOTE] = ACTIONS(11481),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11481),
    [sym__pair_operator] = ACTIONS(11481),
    [sym__arrow_operator] = ACTIONS(11481),
    [sym__lazy_or_operator] = ACTIONS(11481),
    [sym__lazy_and_operator] = ACTIONS(11481),
    [sym__comparison_operator] = ACTIONS(11481),
    [sym__pipe_right_operator] = ACTIONS(11481),
    [sym__pipe_left_operator] = ACTIONS(11481),
    [sym__ellipsis_operator] = ACTIONS(11481),
    [sym__plus_operator] = ACTIONS(11481),
    [sym__times_operator] = ACTIONS(11481),
    [sym__rational_operator] = ACTIONS(11481),
    [sym__bitshift_operator] = ACTIONS(11481),
    [sym__power_operator] = ACTIONS(11481),
    [sym__tilde_operator] = ACTIONS(11481),
    [sym__type_order_operator] = ACTIONS(11481),
    [sym__unary_operator] = ACTIONS(11481),
    [sym__unary_plus_operator] = ACTIONS(11481),
    [aux_sym__terminator_token1] = ACTIONS(11483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8939] = {
    [sym_block_comment] = STATE(8939),
    [sym_line_comment] = STATE(8939),
    [aux_sym_open_tuple_repeat1] = STATE(8134),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_catch] = ACTIONS(11204),
    [anon_sym_finally] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12524),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8940] = {
    [sym_block_comment] = STATE(8940),
    [sym_line_comment] = STATE(8940),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(10367),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_catch] = ACTIONS(11208),
    [anon_sym_finally] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8941] = {
    [sym_block_comment] = STATE(8941),
    [sym_line_comment] = STATE(8941),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_catch] = ACTIONS(11208),
    [anon_sym_finally] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8942] = {
    [sym_block_comment] = STATE(8942),
    [sym_line_comment] = STATE(8942),
    [sym__word_identifier] = ACTIONS(11485),
    [anon_sym_COMMA] = ACTIONS(11485),
    [anon_sym_EQ] = ACTIONS(11485),
    [anon_sym_begin] = ACTIONS(11485),
    [anon_sym_module] = ACTIONS(11485),
    [anon_sym_baremodule] = ACTIONS(11485),
    [anon_sym_end] = ACTIONS(11485),
    [anon_sym_abstract] = ACTIONS(11485),
    [anon_sym_primitive] = ACTIONS(11485),
    [anon_sym_mutable] = ACTIONS(11485),
    [anon_sym_struct] = ACTIONS(11485),
    [anon_sym_function] = ACTIONS(11485),
    [anon_sym_macro] = ACTIONS(11485),
    [anon_sym_quote] = ACTIONS(11485),
    [anon_sym_let] = ACTIONS(11485),
    [anon_sym_if] = ACTIONS(11485),
    [anon_sym_try] = ACTIONS(11485),
    [anon_sym_catch] = ACTIONS(11485),
    [anon_sym_for] = ACTIONS(11485),
    [anon_sym_while] = ACTIONS(11485),
    [sym_break_statement] = ACTIONS(11485),
    [sym_continue_statement] = ACTIONS(11485),
    [anon_sym_return] = ACTIONS(11485),
    [anon_sym_const] = ACTIONS(11485),
    [anon_sym_global] = ACTIONS(11485),
    [anon_sym_local] = ACTIONS(11485),
    [anon_sym_LPAREN] = ACTIONS(11485),
    [anon_sym_COLON] = ACTIONS(11485),
    [anon_sym_export] = ACTIONS(11485),
    [anon_sym_public] = ACTIONS(11485),
    [anon_sym_import] = ACTIONS(11485),
    [anon_sym_using] = ACTIONS(11485),
    [anon_sym_LBRACK] = ACTIONS(11485),
    [anon_sym_in] = ACTIONS(11485),
    [anon_sym_SEMI] = ACTIONS(11485),
    [anon_sym_LBRACE] = ACTIONS(11485),
    [anon_sym_DOLLAR] = ACTIONS(11485),
    [anon_sym_COLON2] = ACTIONS(11485),
    [anon_sym_COLON_COLON] = ACTIONS(11485),
    [anon_sym_isa] = ACTIONS(11485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11485),
    [anon_sym_QMARK] = ACTIONS(11485),
    [anon_sym_where] = ACTIONS(11485),
    [anon_sym_AT] = ACTIONS(11485),
    [anon_sym_true] = ACTIONS(11485),
    [anon_sym_false] = ACTIONS(11485),
    [aux_sym_integer_literal_token1] = ACTIONS(11485),
    [aux_sym_integer_literal_token2] = ACTIONS(11485),
    [aux_sym_integer_literal_token3] = ACTIONS(11485),
    [aux_sym_integer_literal_token4] = ACTIONS(11485),
    [aux_sym_float_literal_token1] = ACTIONS(11485),
    [aux_sym_float_literal_token3] = ACTIONS(11485),
    [aux_sym_float_literal_token4] = ACTIONS(11485),
    [sym_character_literal] = ACTIONS(11485),
    [anon_sym_DQUOTE] = ACTIONS(11485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11485),
    [anon_sym_BQUOTE] = ACTIONS(11485),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11485),
    [sym__pair_operator] = ACTIONS(11485),
    [sym__arrow_operator] = ACTIONS(11485),
    [sym__lazy_or_operator] = ACTIONS(11485),
    [sym__lazy_and_operator] = ACTIONS(11485),
    [sym__comparison_operator] = ACTIONS(11485),
    [sym__pipe_right_operator] = ACTIONS(11485),
    [sym__pipe_left_operator] = ACTIONS(11485),
    [sym__ellipsis_operator] = ACTIONS(11485),
    [sym__plus_operator] = ACTIONS(11485),
    [sym__times_operator] = ACTIONS(11485),
    [sym__rational_operator] = ACTIONS(11485),
    [sym__bitshift_operator] = ACTIONS(11485),
    [sym__power_operator] = ACTIONS(11485),
    [sym__tilde_operator] = ACTIONS(11485),
    [sym__type_order_operator] = ACTIONS(11485),
    [sym__unary_operator] = ACTIONS(11485),
    [sym__unary_plus_operator] = ACTIONS(11485),
    [aux_sym__terminator_token1] = ACTIONS(11487),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8943] = {
    [sym_block_comment] = STATE(8943),
    [sym_line_comment] = STATE(8943),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(10295),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_finally] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8944] = {
    [sym_block_comment] = STATE(8944),
    [sym_line_comment] = STATE(8944),
    [sym__word_identifier] = ACTIONS(11489),
    [anon_sym_COMMA] = ACTIONS(11489),
    [anon_sym_EQ] = ACTIONS(11489),
    [anon_sym_begin] = ACTIONS(11489),
    [anon_sym_module] = ACTIONS(11489),
    [anon_sym_baremodule] = ACTIONS(11489),
    [anon_sym_end] = ACTIONS(11489),
    [anon_sym_abstract] = ACTIONS(11489),
    [anon_sym_primitive] = ACTIONS(11489),
    [anon_sym_mutable] = ACTIONS(11489),
    [anon_sym_struct] = ACTIONS(11489),
    [anon_sym_function] = ACTIONS(11489),
    [anon_sym_macro] = ACTIONS(11489),
    [anon_sym_quote] = ACTIONS(11489),
    [anon_sym_let] = ACTIONS(11489),
    [anon_sym_if] = ACTIONS(11489),
    [anon_sym_try] = ACTIONS(11489),
    [anon_sym_catch] = ACTIONS(11489),
    [anon_sym_for] = ACTIONS(11489),
    [anon_sym_while] = ACTIONS(11489),
    [sym_break_statement] = ACTIONS(11489),
    [sym_continue_statement] = ACTIONS(11489),
    [anon_sym_return] = ACTIONS(11489),
    [anon_sym_const] = ACTIONS(11489),
    [anon_sym_global] = ACTIONS(11489),
    [anon_sym_local] = ACTIONS(11489),
    [anon_sym_LPAREN] = ACTIONS(11489),
    [anon_sym_COLON] = ACTIONS(11489),
    [anon_sym_export] = ACTIONS(11489),
    [anon_sym_public] = ACTIONS(11489),
    [anon_sym_import] = ACTIONS(11489),
    [anon_sym_using] = ACTIONS(11489),
    [anon_sym_LBRACK] = ACTIONS(11489),
    [anon_sym_in] = ACTIONS(11489),
    [anon_sym_SEMI] = ACTIONS(11489),
    [anon_sym_LBRACE] = ACTIONS(11489),
    [anon_sym_DOLLAR] = ACTIONS(11489),
    [anon_sym_COLON2] = ACTIONS(11489),
    [anon_sym_COLON_COLON] = ACTIONS(11489),
    [anon_sym_isa] = ACTIONS(11489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11489),
    [anon_sym_QMARK] = ACTIONS(11489),
    [anon_sym_where] = ACTIONS(11489),
    [anon_sym_AT] = ACTIONS(11489),
    [anon_sym_true] = ACTIONS(11489),
    [anon_sym_false] = ACTIONS(11489),
    [aux_sym_integer_literal_token1] = ACTIONS(11489),
    [aux_sym_integer_literal_token2] = ACTIONS(11489),
    [aux_sym_integer_literal_token3] = ACTIONS(11489),
    [aux_sym_integer_literal_token4] = ACTIONS(11489),
    [aux_sym_float_literal_token1] = ACTIONS(11489),
    [aux_sym_float_literal_token3] = ACTIONS(11489),
    [aux_sym_float_literal_token4] = ACTIONS(11489),
    [sym_character_literal] = ACTIONS(11489),
    [anon_sym_DQUOTE] = ACTIONS(11489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11489),
    [anon_sym_BQUOTE] = ACTIONS(11489),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11489),
    [sym__pair_operator] = ACTIONS(11489),
    [sym__arrow_operator] = ACTIONS(11489),
    [sym__lazy_or_operator] = ACTIONS(11489),
    [sym__lazy_and_operator] = ACTIONS(11489),
    [sym__comparison_operator] = ACTIONS(11489),
    [sym__pipe_right_operator] = ACTIONS(11489),
    [sym__pipe_left_operator] = ACTIONS(11489),
    [sym__ellipsis_operator] = ACTIONS(11489),
    [sym__plus_operator] = ACTIONS(11489),
    [sym__times_operator] = ACTIONS(11489),
    [sym__rational_operator] = ACTIONS(11489),
    [sym__bitshift_operator] = ACTIONS(11489),
    [sym__power_operator] = ACTIONS(11489),
    [sym__tilde_operator] = ACTIONS(11489),
    [sym__type_order_operator] = ACTIONS(11489),
    [sym__unary_operator] = ACTIONS(11489),
    [sym__unary_plus_operator] = ACTIONS(11489),
    [aux_sym__terminator_token1] = ACTIONS(11491),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8945] = {
    [sym_block_comment] = STATE(8945),
    [sym_line_comment] = STATE(8945),
    [aux_sym_open_tuple_repeat1] = STATE(8134),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_catch] = ACTIONS(11208),
    [anon_sym_finally] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12524),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8946] = {
    [sym_block_comment] = STATE(8946),
    [sym_line_comment] = STATE(8946),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11214),
    [anon_sym_EQ] = ACTIONS(10335),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11214),
    [anon_sym_RPAREN] = ACTIONS(11214),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11214),
    [anon_sym_RBRACK] = ACTIONS(11214),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11214),
    [anon_sym_LBRACE] = ACTIONS(11214),
    [anon_sym_RBRACE] = ACTIONS(11214),
    [anon_sym_DOLLAR] = ACTIONS(11214),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11214),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11214),
    [anon_sym_QMARK] = ACTIONS(11214),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11214),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11214),
    [aux_sym_integer_literal_token2] = ACTIONS(11214),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11214),
    [aux_sym_float_literal_token3] = ACTIONS(11214),
    [aux_sym_float_literal_token4] = ACTIONS(11214),
    [sym_character_literal] = ACTIONS(11214),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11214),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11214),
    [sym__pair_operator] = ACTIONS(11214),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11214),
    [sym__lazy_and_operator] = ACTIONS(11214),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11214),
    [sym__pipe_left_operator] = ACTIONS(11214),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11214),
    [sym__bitshift_operator] = ACTIONS(11214),
    [sym__power_operator] = ACTIONS(11214),
    [sym__tilde_operator] = ACTIONS(11214),
    [sym__type_order_operator] = ACTIONS(11214),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8947] = {
    [sym_block_comment] = STATE(8947),
    [sym_line_comment] = STATE(8947),
    [ts_builtin_sym_end] = ACTIONS(11040),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_RBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8948] = {
    [sym_block_comment] = STATE(8948),
    [sym_line_comment] = STATE(8948),
    [ts_builtin_sym_end] = ACTIONS(11878),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11876),
    [anon_sym_EQ] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_RBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8949] = {
    [sym_block_comment] = STATE(8949),
    [sym_line_comment] = STATE(8949),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11214),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11214),
    [anon_sym_RPAREN] = ACTIONS(11214),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11214),
    [anon_sym_RBRACK] = ACTIONS(11214),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11214),
    [anon_sym_LBRACE] = ACTIONS(11214),
    [anon_sym_RBRACE] = ACTIONS(11214),
    [anon_sym_DOLLAR] = ACTIONS(11214),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11214),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11214),
    [anon_sym_QMARK] = ACTIONS(11214),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11214),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11214),
    [aux_sym_integer_literal_token2] = ACTIONS(11214),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11214),
    [aux_sym_float_literal_token3] = ACTIONS(11214),
    [aux_sym_float_literal_token4] = ACTIONS(11214),
    [sym_character_literal] = ACTIONS(11214),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11214),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11214),
    [sym__pair_operator] = ACTIONS(11214),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11214),
    [sym__lazy_and_operator] = ACTIONS(11214),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11214),
    [sym__pipe_left_operator] = ACTIONS(11214),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11214),
    [sym__bitshift_operator] = ACTIONS(11214),
    [sym__power_operator] = ACTIONS(11214),
    [sym__tilde_operator] = ACTIONS(11214),
    [sym__type_order_operator] = ACTIONS(11214),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8950] = {
    [sym_block_comment] = STATE(8950),
    [sym_line_comment] = STATE(8950),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11104),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11104),
    [anon_sym_RPAREN] = ACTIONS(11104),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11104),
    [anon_sym_RBRACK] = ACTIONS(11104),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_SEMI] = ACTIONS(11104),
    [anon_sym_LBRACE] = ACTIONS(11104),
    [anon_sym_RBRACE] = ACTIONS(11104),
    [anon_sym_DOLLAR] = ACTIONS(11104),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11104),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11104),
    [anon_sym_QMARK] = ACTIONS(11104),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11104),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11104),
    [aux_sym_integer_literal_token2] = ACTIONS(11104),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11104),
    [aux_sym_float_literal_token3] = ACTIONS(11104),
    [aux_sym_float_literal_token4] = ACTIONS(11104),
    [sym_character_literal] = ACTIONS(11104),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11104),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(11104),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11104),
    [sym__lazy_and_operator] = ACTIONS(11104),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11104),
    [sym__pipe_left_operator] = ACTIONS(11104),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11104),
    [sym__bitshift_operator] = ACTIONS(11104),
    [sym__power_operator] = ACTIONS(11104),
    [sym__tilde_operator] = ACTIONS(11104),
    [sym__type_order_operator] = ACTIONS(11104),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8951] = {
    [sym_block_comment] = STATE(8951),
    [sym_line_comment] = STATE(8951),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(11149),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_end] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_catch] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11149),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11149),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_SEMI] = ACTIONS(11149),
    [anon_sym_LBRACE] = ACTIONS(11149),
    [anon_sym_DOLLAR] = ACTIONS(11149),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11149),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11149),
    [anon_sym_QMARK] = ACTIONS(11149),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11149),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11149),
    [aux_sym_integer_literal_token2] = ACTIONS(11149),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11149),
    [aux_sym_float_literal_token3] = ACTIONS(11149),
    [aux_sym_float_literal_token4] = ACTIONS(11149),
    [sym_character_literal] = ACTIONS(11149),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11149),
    [sym__pair_operator] = ACTIONS(11149),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11149),
    [sym__lazy_and_operator] = ACTIONS(11149),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11149),
    [sym__pipe_left_operator] = ACTIONS(11149),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11149),
    [sym__bitshift_operator] = ACTIONS(11149),
    [sym__power_operator] = ACTIONS(11149),
    [sym__tilde_operator] = ACTIONS(11149),
    [sym__type_order_operator] = ACTIONS(11149),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym__terminator_token1] = ACTIONS(11154),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8952] = {
    [sym_block_comment] = STATE(8952),
    [sym_line_comment] = STATE(8952),
    [sym__word_identifier] = ACTIONS(11300),
    [anon_sym_COMMA] = ACTIONS(11300),
    [anon_sym_EQ] = ACTIONS(11300),
    [anon_sym_begin] = ACTIONS(11300),
    [anon_sym_module] = ACTIONS(11300),
    [anon_sym_baremodule] = ACTIONS(11300),
    [anon_sym_abstract] = ACTIONS(11300),
    [anon_sym_primitive] = ACTIONS(11300),
    [anon_sym_mutable] = ACTIONS(11300),
    [anon_sym_struct] = ACTIONS(11300),
    [anon_sym_function] = ACTIONS(11300),
    [anon_sym_macro] = ACTIONS(11300),
    [anon_sym_quote] = ACTIONS(11300),
    [anon_sym_let] = ACTIONS(11300),
    [anon_sym_if] = ACTIONS(11300),
    [anon_sym_try] = ACTIONS(11300),
    [anon_sym_catch] = ACTIONS(11300),
    [anon_sym_finally] = ACTIONS(11300),
    [anon_sym_for] = ACTIONS(11300),
    [anon_sym_while] = ACTIONS(11300),
    [sym_break_statement] = ACTIONS(11300),
    [sym_continue_statement] = ACTIONS(11300),
    [anon_sym_return] = ACTIONS(11300),
    [anon_sym_const] = ACTIONS(11300),
    [anon_sym_global] = ACTIONS(11300),
    [anon_sym_local] = ACTIONS(11300),
    [anon_sym_LPAREN] = ACTIONS(11300),
    [anon_sym_COLON] = ACTIONS(11300),
    [anon_sym_export] = ACTIONS(11300),
    [anon_sym_public] = ACTIONS(11300),
    [anon_sym_import] = ACTIONS(11300),
    [anon_sym_using] = ACTIONS(11300),
    [anon_sym_LBRACK] = ACTIONS(11300),
    [anon_sym_in] = ACTIONS(11300),
    [anon_sym_SEMI] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(11300),
    [anon_sym_DOLLAR] = ACTIONS(11300),
    [anon_sym_COLON2] = ACTIONS(11300),
    [anon_sym_COLON_COLON] = ACTIONS(11300),
    [anon_sym_isa] = ACTIONS(11300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11300),
    [anon_sym_QMARK] = ACTIONS(11300),
    [anon_sym_where] = ACTIONS(11300),
    [anon_sym_AT] = ACTIONS(11300),
    [anon_sym_true] = ACTIONS(11300),
    [anon_sym_false] = ACTIONS(11300),
    [aux_sym_integer_literal_token1] = ACTIONS(11300),
    [aux_sym_integer_literal_token2] = ACTIONS(11300),
    [aux_sym_integer_literal_token3] = ACTIONS(11300),
    [aux_sym_integer_literal_token4] = ACTIONS(11300),
    [aux_sym_float_literal_token1] = ACTIONS(11300),
    [aux_sym_float_literal_token3] = ACTIONS(11300),
    [aux_sym_float_literal_token4] = ACTIONS(11300),
    [sym_character_literal] = ACTIONS(11300),
    [anon_sym_DQUOTE] = ACTIONS(11300),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11300),
    [anon_sym_BQUOTE] = ACTIONS(11300),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11300),
    [sym__pair_operator] = ACTIONS(11300),
    [sym__arrow_operator] = ACTIONS(11300),
    [sym__lazy_or_operator] = ACTIONS(11300),
    [sym__lazy_and_operator] = ACTIONS(11300),
    [sym__comparison_operator] = ACTIONS(11300),
    [sym__pipe_right_operator] = ACTIONS(11300),
    [sym__pipe_left_operator] = ACTIONS(11300),
    [sym__ellipsis_operator] = ACTIONS(11300),
    [sym__plus_operator] = ACTIONS(11300),
    [sym__times_operator] = ACTIONS(11300),
    [sym__rational_operator] = ACTIONS(11300),
    [sym__bitshift_operator] = ACTIONS(11300),
    [sym__power_operator] = ACTIONS(11300),
    [sym__tilde_operator] = ACTIONS(11300),
    [sym__type_order_operator] = ACTIONS(11300),
    [sym__unary_operator] = ACTIONS(11300),
    [sym__unary_plus_operator] = ACTIONS(11300),
    [aux_sym__terminator_token1] = ACTIONS(11302),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8953] = {
    [sym_block_comment] = STATE(8953),
    [sym_line_comment] = STATE(8953),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8954] = {
    [sym_block_comment] = STATE(8954),
    [sym_line_comment] = STATE(8954),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11159),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_catch] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8955] = {
    [sym_block_comment] = STATE(8955),
    [sym_line_comment] = STATE(8955),
    [sym__word_identifier] = ACTIONS(11304),
    [anon_sym_COMMA] = ACTIONS(11304),
    [anon_sym_EQ] = ACTIONS(11304),
    [anon_sym_begin] = ACTIONS(11304),
    [anon_sym_module] = ACTIONS(11304),
    [anon_sym_baremodule] = ACTIONS(11304),
    [anon_sym_abstract] = ACTIONS(11304),
    [anon_sym_primitive] = ACTIONS(11304),
    [anon_sym_mutable] = ACTIONS(11304),
    [anon_sym_struct] = ACTIONS(11304),
    [anon_sym_function] = ACTIONS(11304),
    [anon_sym_macro] = ACTIONS(11304),
    [anon_sym_quote] = ACTIONS(11304),
    [anon_sym_let] = ACTIONS(11304),
    [anon_sym_if] = ACTIONS(11304),
    [anon_sym_try] = ACTIONS(11304),
    [anon_sym_catch] = ACTIONS(11304),
    [anon_sym_finally] = ACTIONS(11304),
    [anon_sym_for] = ACTIONS(11304),
    [anon_sym_while] = ACTIONS(11304),
    [sym_break_statement] = ACTIONS(11304),
    [sym_continue_statement] = ACTIONS(11304),
    [anon_sym_return] = ACTIONS(11304),
    [anon_sym_const] = ACTIONS(11304),
    [anon_sym_global] = ACTIONS(11304),
    [anon_sym_local] = ACTIONS(11304),
    [anon_sym_LPAREN] = ACTIONS(11304),
    [anon_sym_COLON] = ACTIONS(11304),
    [anon_sym_export] = ACTIONS(11304),
    [anon_sym_public] = ACTIONS(11304),
    [anon_sym_import] = ACTIONS(11304),
    [anon_sym_using] = ACTIONS(11304),
    [anon_sym_LBRACK] = ACTIONS(11304),
    [anon_sym_in] = ACTIONS(11304),
    [anon_sym_SEMI] = ACTIONS(11304),
    [anon_sym_LBRACE] = ACTIONS(11304),
    [anon_sym_DOLLAR] = ACTIONS(11304),
    [anon_sym_COLON2] = ACTIONS(11304),
    [anon_sym_COLON_COLON] = ACTIONS(11304),
    [anon_sym_isa] = ACTIONS(11304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11304),
    [anon_sym_QMARK] = ACTIONS(11304),
    [anon_sym_where] = ACTIONS(11304),
    [anon_sym_AT] = ACTIONS(11304),
    [anon_sym_true] = ACTIONS(11304),
    [anon_sym_false] = ACTIONS(11304),
    [aux_sym_integer_literal_token1] = ACTIONS(11304),
    [aux_sym_integer_literal_token2] = ACTIONS(11304),
    [aux_sym_integer_literal_token3] = ACTIONS(11304),
    [aux_sym_integer_literal_token4] = ACTIONS(11304),
    [aux_sym_float_literal_token1] = ACTIONS(11304),
    [aux_sym_float_literal_token3] = ACTIONS(11304),
    [aux_sym_float_literal_token4] = ACTIONS(11304),
    [sym_character_literal] = ACTIONS(11304),
    [anon_sym_DQUOTE] = ACTIONS(11304),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11304),
    [anon_sym_BQUOTE] = ACTIONS(11304),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11304),
    [sym__pair_operator] = ACTIONS(11304),
    [sym__arrow_operator] = ACTIONS(11304),
    [sym__lazy_or_operator] = ACTIONS(11304),
    [sym__lazy_and_operator] = ACTIONS(11304),
    [sym__comparison_operator] = ACTIONS(11304),
    [sym__pipe_right_operator] = ACTIONS(11304),
    [sym__pipe_left_operator] = ACTIONS(11304),
    [sym__ellipsis_operator] = ACTIONS(11304),
    [sym__plus_operator] = ACTIONS(11304),
    [sym__times_operator] = ACTIONS(11304),
    [sym__rational_operator] = ACTIONS(11304),
    [sym__bitshift_operator] = ACTIONS(11304),
    [sym__power_operator] = ACTIONS(11304),
    [sym__tilde_operator] = ACTIONS(11304),
    [sym__type_order_operator] = ACTIONS(11304),
    [sym__unary_operator] = ACTIONS(11304),
    [sym__unary_plus_operator] = ACTIONS(11304),
    [aux_sym__terminator_token1] = ACTIONS(11306),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8956] = {
    [sym_block_comment] = STATE(8956),
    [sym_line_comment] = STATE(8956),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_EQ] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_catch] = ACTIONS(11308),
    [anon_sym_finally] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8957] = {
    [sym_block_comment] = STATE(8957),
    [sym_line_comment] = STATE(8957),
    [sym__word_identifier] = ACTIONS(11312),
    [anon_sym_COMMA] = ACTIONS(11312),
    [anon_sym_EQ] = ACTIONS(11312),
    [anon_sym_begin] = ACTIONS(11312),
    [anon_sym_module] = ACTIONS(11312),
    [anon_sym_baremodule] = ACTIONS(11312),
    [anon_sym_abstract] = ACTIONS(11312),
    [anon_sym_primitive] = ACTIONS(11312),
    [anon_sym_mutable] = ACTIONS(11312),
    [anon_sym_struct] = ACTIONS(11312),
    [anon_sym_function] = ACTIONS(11312),
    [anon_sym_macro] = ACTIONS(11312),
    [anon_sym_quote] = ACTIONS(11312),
    [anon_sym_let] = ACTIONS(11312),
    [anon_sym_if] = ACTIONS(11312),
    [anon_sym_try] = ACTIONS(11312),
    [anon_sym_catch] = ACTIONS(11312),
    [anon_sym_finally] = ACTIONS(11312),
    [anon_sym_for] = ACTIONS(11312),
    [anon_sym_while] = ACTIONS(11312),
    [sym_break_statement] = ACTIONS(11312),
    [sym_continue_statement] = ACTIONS(11312),
    [anon_sym_return] = ACTIONS(11312),
    [anon_sym_const] = ACTIONS(11312),
    [anon_sym_global] = ACTIONS(11312),
    [anon_sym_local] = ACTIONS(11312),
    [anon_sym_LPAREN] = ACTIONS(11312),
    [anon_sym_COLON] = ACTIONS(11312),
    [anon_sym_export] = ACTIONS(11312),
    [anon_sym_public] = ACTIONS(11312),
    [anon_sym_import] = ACTIONS(11312),
    [anon_sym_using] = ACTIONS(11312),
    [anon_sym_LBRACK] = ACTIONS(11312),
    [anon_sym_in] = ACTIONS(11312),
    [anon_sym_SEMI] = ACTIONS(11312),
    [anon_sym_LBRACE] = ACTIONS(11312),
    [anon_sym_DOLLAR] = ACTIONS(11312),
    [anon_sym_COLON2] = ACTIONS(11312),
    [anon_sym_COLON_COLON] = ACTIONS(11312),
    [anon_sym_isa] = ACTIONS(11312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11312),
    [anon_sym_QMARK] = ACTIONS(11312),
    [anon_sym_where] = ACTIONS(11312),
    [anon_sym_AT] = ACTIONS(11312),
    [anon_sym_true] = ACTIONS(11312),
    [anon_sym_false] = ACTIONS(11312),
    [aux_sym_integer_literal_token1] = ACTIONS(11312),
    [aux_sym_integer_literal_token2] = ACTIONS(11312),
    [aux_sym_integer_literal_token3] = ACTIONS(11312),
    [aux_sym_integer_literal_token4] = ACTIONS(11312),
    [aux_sym_float_literal_token1] = ACTIONS(11312),
    [aux_sym_float_literal_token3] = ACTIONS(11312),
    [aux_sym_float_literal_token4] = ACTIONS(11312),
    [sym_character_literal] = ACTIONS(11312),
    [anon_sym_DQUOTE] = ACTIONS(11312),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11312),
    [anon_sym_BQUOTE] = ACTIONS(11312),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11312),
    [sym__pair_operator] = ACTIONS(11312),
    [sym__arrow_operator] = ACTIONS(11312),
    [sym__lazy_or_operator] = ACTIONS(11312),
    [sym__lazy_and_operator] = ACTIONS(11312),
    [sym__comparison_operator] = ACTIONS(11312),
    [sym__pipe_right_operator] = ACTIONS(11312),
    [sym__pipe_left_operator] = ACTIONS(11312),
    [sym__ellipsis_operator] = ACTIONS(11312),
    [sym__plus_operator] = ACTIONS(11312),
    [sym__times_operator] = ACTIONS(11312),
    [sym__rational_operator] = ACTIONS(11312),
    [sym__bitshift_operator] = ACTIONS(11312),
    [sym__power_operator] = ACTIONS(11312),
    [sym__tilde_operator] = ACTIONS(11312),
    [sym__type_order_operator] = ACTIONS(11312),
    [sym__unary_operator] = ACTIONS(11312),
    [sym__unary_plus_operator] = ACTIONS(11312),
    [aux_sym__terminator_token1] = ACTIONS(11314),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8958] = {
    [sym_block_comment] = STATE(8958),
    [sym_line_comment] = STATE(8958),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8959] = {
    [sym_block_comment] = STATE(8959),
    [sym_line_comment] = STATE(8959),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8960] = {
    [sym_block_comment] = STATE(8960),
    [sym_line_comment] = STATE(8960),
    [sym__word_identifier] = ACTIONS(11493),
    [anon_sym_COMMA] = ACTIONS(11493),
    [anon_sym_EQ] = ACTIONS(11493),
    [anon_sym_begin] = ACTIONS(11493),
    [anon_sym_module] = ACTIONS(11493),
    [anon_sym_baremodule] = ACTIONS(11493),
    [anon_sym_end] = ACTIONS(11493),
    [anon_sym_abstract] = ACTIONS(11493),
    [anon_sym_primitive] = ACTIONS(11493),
    [anon_sym_mutable] = ACTIONS(11493),
    [anon_sym_struct] = ACTIONS(11493),
    [anon_sym_function] = ACTIONS(11493),
    [anon_sym_macro] = ACTIONS(11493),
    [anon_sym_quote] = ACTIONS(11493),
    [anon_sym_let] = ACTIONS(11493),
    [anon_sym_if] = ACTIONS(11493),
    [anon_sym_try] = ACTIONS(11493),
    [anon_sym_catch] = ACTIONS(11493),
    [anon_sym_for] = ACTIONS(11493),
    [anon_sym_while] = ACTIONS(11493),
    [sym_break_statement] = ACTIONS(11493),
    [sym_continue_statement] = ACTIONS(11493),
    [anon_sym_return] = ACTIONS(11493),
    [anon_sym_const] = ACTIONS(11493),
    [anon_sym_global] = ACTIONS(11493),
    [anon_sym_local] = ACTIONS(11493),
    [anon_sym_LPAREN] = ACTIONS(11493),
    [anon_sym_COLON] = ACTIONS(11493),
    [anon_sym_export] = ACTIONS(11493),
    [anon_sym_public] = ACTIONS(11493),
    [anon_sym_import] = ACTIONS(11493),
    [anon_sym_using] = ACTIONS(11493),
    [anon_sym_LBRACK] = ACTIONS(11493),
    [anon_sym_in] = ACTIONS(11493),
    [anon_sym_SEMI] = ACTIONS(11493),
    [anon_sym_LBRACE] = ACTIONS(11493),
    [anon_sym_DOLLAR] = ACTIONS(11493),
    [anon_sym_COLON2] = ACTIONS(11493),
    [anon_sym_COLON_COLON] = ACTIONS(11493),
    [anon_sym_isa] = ACTIONS(11493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11493),
    [anon_sym_QMARK] = ACTIONS(11493),
    [anon_sym_where] = ACTIONS(11493),
    [anon_sym_AT] = ACTIONS(11493),
    [anon_sym_true] = ACTIONS(11493),
    [anon_sym_false] = ACTIONS(11493),
    [aux_sym_integer_literal_token1] = ACTIONS(11493),
    [aux_sym_integer_literal_token2] = ACTIONS(11493),
    [aux_sym_integer_literal_token3] = ACTIONS(11493),
    [aux_sym_integer_literal_token4] = ACTIONS(11493),
    [aux_sym_float_literal_token1] = ACTIONS(11493),
    [aux_sym_float_literal_token3] = ACTIONS(11493),
    [aux_sym_float_literal_token4] = ACTIONS(11493),
    [sym_character_literal] = ACTIONS(11493),
    [anon_sym_DQUOTE] = ACTIONS(11493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11493),
    [anon_sym_BQUOTE] = ACTIONS(11493),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11493),
    [sym__pair_operator] = ACTIONS(11493),
    [sym__arrow_operator] = ACTIONS(11493),
    [sym__lazy_or_operator] = ACTIONS(11493),
    [sym__lazy_and_operator] = ACTIONS(11493),
    [sym__comparison_operator] = ACTIONS(11493),
    [sym__pipe_right_operator] = ACTIONS(11493),
    [sym__pipe_left_operator] = ACTIONS(11493),
    [sym__ellipsis_operator] = ACTIONS(11493),
    [sym__plus_operator] = ACTIONS(11493),
    [sym__times_operator] = ACTIONS(11493),
    [sym__rational_operator] = ACTIONS(11493),
    [sym__bitshift_operator] = ACTIONS(11493),
    [sym__power_operator] = ACTIONS(11493),
    [sym__tilde_operator] = ACTIONS(11493),
    [sym__type_order_operator] = ACTIONS(11493),
    [sym__unary_operator] = ACTIONS(11493),
    [sym__unary_plus_operator] = ACTIONS(11493),
    [aux_sym__terminator_token1] = ACTIONS(11495),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8961] = {
    [sym_block_comment] = STATE(8961),
    [sym_line_comment] = STATE(8961),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8962] = {
    [sym_block_comment] = STATE(8962),
    [sym_line_comment] = STATE(8962),
    [sym__word_identifier] = ACTIONS(11497),
    [anon_sym_COMMA] = ACTIONS(11497),
    [anon_sym_EQ] = ACTIONS(11497),
    [anon_sym_begin] = ACTIONS(11497),
    [anon_sym_module] = ACTIONS(11497),
    [anon_sym_baremodule] = ACTIONS(11497),
    [anon_sym_end] = ACTIONS(11497),
    [anon_sym_abstract] = ACTIONS(11497),
    [anon_sym_primitive] = ACTIONS(11497),
    [anon_sym_mutable] = ACTIONS(11497),
    [anon_sym_struct] = ACTIONS(11497),
    [anon_sym_function] = ACTIONS(11497),
    [anon_sym_macro] = ACTIONS(11497),
    [anon_sym_quote] = ACTIONS(11497),
    [anon_sym_let] = ACTIONS(11497),
    [anon_sym_if] = ACTIONS(11497),
    [anon_sym_try] = ACTIONS(11497),
    [anon_sym_catch] = ACTIONS(11497),
    [anon_sym_for] = ACTIONS(11497),
    [anon_sym_while] = ACTIONS(11497),
    [sym_break_statement] = ACTIONS(11497),
    [sym_continue_statement] = ACTIONS(11497),
    [anon_sym_return] = ACTIONS(11497),
    [anon_sym_const] = ACTIONS(11497),
    [anon_sym_global] = ACTIONS(11497),
    [anon_sym_local] = ACTIONS(11497),
    [anon_sym_LPAREN] = ACTIONS(11497),
    [anon_sym_COLON] = ACTIONS(11497),
    [anon_sym_export] = ACTIONS(11497),
    [anon_sym_public] = ACTIONS(11497),
    [anon_sym_import] = ACTIONS(11497),
    [anon_sym_using] = ACTIONS(11497),
    [anon_sym_LBRACK] = ACTIONS(11497),
    [anon_sym_in] = ACTIONS(11497),
    [anon_sym_SEMI] = ACTIONS(11497),
    [anon_sym_LBRACE] = ACTIONS(11497),
    [anon_sym_DOLLAR] = ACTIONS(11497),
    [anon_sym_COLON2] = ACTIONS(11497),
    [anon_sym_COLON_COLON] = ACTIONS(11497),
    [anon_sym_isa] = ACTIONS(11497),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11497),
    [anon_sym_QMARK] = ACTIONS(11497),
    [anon_sym_where] = ACTIONS(11497),
    [anon_sym_AT] = ACTIONS(11497),
    [anon_sym_true] = ACTIONS(11497),
    [anon_sym_false] = ACTIONS(11497),
    [aux_sym_integer_literal_token1] = ACTIONS(11497),
    [aux_sym_integer_literal_token2] = ACTIONS(11497),
    [aux_sym_integer_literal_token3] = ACTIONS(11497),
    [aux_sym_integer_literal_token4] = ACTIONS(11497),
    [aux_sym_float_literal_token1] = ACTIONS(11497),
    [aux_sym_float_literal_token3] = ACTIONS(11497),
    [aux_sym_float_literal_token4] = ACTIONS(11497),
    [sym_character_literal] = ACTIONS(11497),
    [anon_sym_DQUOTE] = ACTIONS(11497),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11497),
    [anon_sym_BQUOTE] = ACTIONS(11497),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11497),
    [sym__pair_operator] = ACTIONS(11497),
    [sym__arrow_operator] = ACTIONS(11497),
    [sym__lazy_or_operator] = ACTIONS(11497),
    [sym__lazy_and_operator] = ACTIONS(11497),
    [sym__comparison_operator] = ACTIONS(11497),
    [sym__pipe_right_operator] = ACTIONS(11497),
    [sym__pipe_left_operator] = ACTIONS(11497),
    [sym__ellipsis_operator] = ACTIONS(11497),
    [sym__plus_operator] = ACTIONS(11497),
    [sym__times_operator] = ACTIONS(11497),
    [sym__rational_operator] = ACTIONS(11497),
    [sym__bitshift_operator] = ACTIONS(11497),
    [sym__power_operator] = ACTIONS(11497),
    [sym__tilde_operator] = ACTIONS(11497),
    [sym__type_order_operator] = ACTIONS(11497),
    [sym__unary_operator] = ACTIONS(11497),
    [sym__unary_plus_operator] = ACTIONS(11497),
    [aux_sym__terminator_token1] = ACTIONS(11499),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8963] = {
    [sym_block_comment] = STATE(8963),
    [sym_line_comment] = STATE(8963),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8964] = {
    [sym_block_comment] = STATE(8964),
    [sym_line_comment] = STATE(8964),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8965] = {
    [sym_block_comment] = STATE(8965),
    [sym_line_comment] = STATE(8965),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8966] = {
    [sym_block_comment] = STATE(8966),
    [sym_line_comment] = STATE(8966),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(10427),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_catch] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8967] = {
    [sym_block_comment] = STATE(8967),
    [sym_line_comment] = STATE(8967),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8968] = {
    [sym_block_comment] = STATE(8968),
    [sym_line_comment] = STATE(8968),
    [aux_sym_open_tuple_repeat1] = STATE(7876),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11689),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11214),
    [anon_sym_RPAREN] = ACTIONS(11214),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11214),
    [anon_sym_RBRACK] = ACTIONS(11214),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11214),
    [anon_sym_LBRACE] = ACTIONS(11214),
    [anon_sym_RBRACE] = ACTIONS(11214),
    [anon_sym_DOLLAR] = ACTIONS(11214),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12520),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11214),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11214),
    [aux_sym_integer_literal_token2] = ACTIONS(11214),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11214),
    [aux_sym_float_literal_token3] = ACTIONS(11214),
    [aux_sym_float_literal_token4] = ACTIONS(11214),
    [sym_character_literal] = ACTIONS(11214),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11214),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11214),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11214),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8969] = {
    [sym_block_comment] = STATE(8969),
    [sym_line_comment] = STATE(8969),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_finally] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8970] = {
    [sym_block_comment] = STATE(8970),
    [sym_line_comment] = STATE(8970),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12151),
    [anon_sym_EQ] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_end] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_finally] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8971] = {
    [sym_block_comment] = STATE(8971),
    [sym_line_comment] = STATE(8971),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_catch] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8972] = {
    [sym_block_comment] = STATE(8972),
    [sym_line_comment] = STATE(8972),
    [aux_sym_open_tuple_repeat1] = STATE(8134),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11978),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_catch] = ACTIONS(11258),
    [anon_sym_finally] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12524),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8973] = {
    [sym_block_comment] = STATE(8973),
    [sym_line_comment] = STATE(8973),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_finally] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8974] = {
    [sym_block_comment] = STATE(8974),
    [sym_line_comment] = STATE(8974),
    [aux_sym_open_tuple_repeat1] = STATE(8270),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(12318),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_catch] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12526),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8975] = {
    [sym_block_comment] = STATE(8975),
    [sym_line_comment] = STATE(8975),
    [sym__word_identifier] = ACTIONS(11324),
    [anon_sym_COMMA] = ACTIONS(11324),
    [anon_sym_EQ] = ACTIONS(11324),
    [anon_sym_begin] = ACTIONS(11324),
    [anon_sym_module] = ACTIONS(11324),
    [anon_sym_baremodule] = ACTIONS(11324),
    [anon_sym_abstract] = ACTIONS(11324),
    [anon_sym_primitive] = ACTIONS(11324),
    [anon_sym_mutable] = ACTIONS(11324),
    [anon_sym_struct] = ACTIONS(11324),
    [anon_sym_function] = ACTIONS(11324),
    [anon_sym_macro] = ACTIONS(11324),
    [anon_sym_quote] = ACTIONS(11324),
    [anon_sym_let] = ACTIONS(11324),
    [anon_sym_if] = ACTIONS(11324),
    [anon_sym_try] = ACTIONS(11324),
    [anon_sym_catch] = ACTIONS(11324),
    [anon_sym_finally] = ACTIONS(11324),
    [anon_sym_for] = ACTIONS(11324),
    [anon_sym_while] = ACTIONS(11324),
    [sym_break_statement] = ACTIONS(11324),
    [sym_continue_statement] = ACTIONS(11324),
    [anon_sym_return] = ACTIONS(11324),
    [anon_sym_const] = ACTIONS(11324),
    [anon_sym_global] = ACTIONS(11324),
    [anon_sym_local] = ACTIONS(11324),
    [anon_sym_LPAREN] = ACTIONS(11324),
    [anon_sym_COLON] = ACTIONS(11324),
    [anon_sym_export] = ACTIONS(11324),
    [anon_sym_public] = ACTIONS(11324),
    [anon_sym_import] = ACTIONS(11324),
    [anon_sym_using] = ACTIONS(11324),
    [anon_sym_LBRACK] = ACTIONS(11324),
    [anon_sym_in] = ACTIONS(11324),
    [anon_sym_SEMI] = ACTIONS(11324),
    [anon_sym_LBRACE] = ACTIONS(11324),
    [anon_sym_DOLLAR] = ACTIONS(11324),
    [anon_sym_COLON2] = ACTIONS(11324),
    [anon_sym_COLON_COLON] = ACTIONS(11324),
    [anon_sym_isa] = ACTIONS(11324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11324),
    [anon_sym_QMARK] = ACTIONS(11324),
    [anon_sym_where] = ACTIONS(11324),
    [anon_sym_AT] = ACTIONS(11324),
    [anon_sym_true] = ACTIONS(11324),
    [anon_sym_false] = ACTIONS(11324),
    [aux_sym_integer_literal_token1] = ACTIONS(11324),
    [aux_sym_integer_literal_token2] = ACTIONS(11324),
    [aux_sym_integer_literal_token3] = ACTIONS(11324),
    [aux_sym_integer_literal_token4] = ACTIONS(11324),
    [aux_sym_float_literal_token1] = ACTIONS(11324),
    [aux_sym_float_literal_token3] = ACTIONS(11324),
    [aux_sym_float_literal_token4] = ACTIONS(11324),
    [sym_character_literal] = ACTIONS(11324),
    [anon_sym_DQUOTE] = ACTIONS(11324),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11324),
    [anon_sym_BQUOTE] = ACTIONS(11324),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11324),
    [sym__pair_operator] = ACTIONS(11324),
    [sym__arrow_operator] = ACTIONS(11324),
    [sym__lazy_or_operator] = ACTIONS(11324),
    [sym__lazy_and_operator] = ACTIONS(11324),
    [sym__comparison_operator] = ACTIONS(11324),
    [sym__pipe_right_operator] = ACTIONS(11324),
    [sym__pipe_left_operator] = ACTIONS(11324),
    [sym__ellipsis_operator] = ACTIONS(11324),
    [sym__plus_operator] = ACTIONS(11324),
    [sym__times_operator] = ACTIONS(11324),
    [sym__rational_operator] = ACTIONS(11324),
    [sym__bitshift_operator] = ACTIONS(11324),
    [sym__power_operator] = ACTIONS(11324),
    [sym__tilde_operator] = ACTIONS(11324),
    [sym__type_order_operator] = ACTIONS(11324),
    [sym__unary_operator] = ACTIONS(11324),
    [sym__unary_plus_operator] = ACTIONS(11324),
    [aux_sym__terminator_token1] = ACTIONS(11326),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8976] = {
    [sym_block_comment] = STATE(8976),
    [sym_line_comment] = STATE(8976),
    [sym__word_identifier] = ACTIONS(11328),
    [anon_sym_COMMA] = ACTIONS(11328),
    [anon_sym_EQ] = ACTIONS(11328),
    [anon_sym_begin] = ACTIONS(11328),
    [anon_sym_module] = ACTIONS(11328),
    [anon_sym_baremodule] = ACTIONS(11328),
    [anon_sym_abstract] = ACTIONS(11328),
    [anon_sym_primitive] = ACTIONS(11328),
    [anon_sym_mutable] = ACTIONS(11328),
    [anon_sym_struct] = ACTIONS(11328),
    [anon_sym_function] = ACTIONS(11328),
    [anon_sym_macro] = ACTIONS(11328),
    [anon_sym_quote] = ACTIONS(11328),
    [anon_sym_let] = ACTIONS(11328),
    [anon_sym_if] = ACTIONS(11328),
    [anon_sym_try] = ACTIONS(11328),
    [anon_sym_catch] = ACTIONS(11328),
    [anon_sym_finally] = ACTIONS(11328),
    [anon_sym_for] = ACTIONS(11328),
    [anon_sym_while] = ACTIONS(11328),
    [sym_break_statement] = ACTIONS(11328),
    [sym_continue_statement] = ACTIONS(11328),
    [anon_sym_return] = ACTIONS(11328),
    [anon_sym_const] = ACTIONS(11328),
    [anon_sym_global] = ACTIONS(11328),
    [anon_sym_local] = ACTIONS(11328),
    [anon_sym_LPAREN] = ACTIONS(11328),
    [anon_sym_COLON] = ACTIONS(11328),
    [anon_sym_export] = ACTIONS(11328),
    [anon_sym_public] = ACTIONS(11328),
    [anon_sym_import] = ACTIONS(11328),
    [anon_sym_using] = ACTIONS(11328),
    [anon_sym_LBRACK] = ACTIONS(11328),
    [anon_sym_in] = ACTIONS(11328),
    [anon_sym_SEMI] = ACTIONS(11328),
    [anon_sym_LBRACE] = ACTIONS(11328),
    [anon_sym_DOLLAR] = ACTIONS(11328),
    [anon_sym_COLON2] = ACTIONS(11328),
    [anon_sym_COLON_COLON] = ACTIONS(11328),
    [anon_sym_isa] = ACTIONS(11328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11328),
    [anon_sym_QMARK] = ACTIONS(11328),
    [anon_sym_where] = ACTIONS(11328),
    [anon_sym_AT] = ACTIONS(11328),
    [anon_sym_true] = ACTIONS(11328),
    [anon_sym_false] = ACTIONS(11328),
    [aux_sym_integer_literal_token1] = ACTIONS(11328),
    [aux_sym_integer_literal_token2] = ACTIONS(11328),
    [aux_sym_integer_literal_token3] = ACTIONS(11328),
    [aux_sym_integer_literal_token4] = ACTIONS(11328),
    [aux_sym_float_literal_token1] = ACTIONS(11328),
    [aux_sym_float_literal_token3] = ACTIONS(11328),
    [aux_sym_float_literal_token4] = ACTIONS(11328),
    [sym_character_literal] = ACTIONS(11328),
    [anon_sym_DQUOTE] = ACTIONS(11328),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11328),
    [anon_sym_BQUOTE] = ACTIONS(11328),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11328),
    [sym__pair_operator] = ACTIONS(11328),
    [sym__arrow_operator] = ACTIONS(11328),
    [sym__lazy_or_operator] = ACTIONS(11328),
    [sym__lazy_and_operator] = ACTIONS(11328),
    [sym__comparison_operator] = ACTIONS(11328),
    [sym__pipe_right_operator] = ACTIONS(11328),
    [sym__pipe_left_operator] = ACTIONS(11328),
    [sym__ellipsis_operator] = ACTIONS(11328),
    [sym__plus_operator] = ACTIONS(11328),
    [sym__times_operator] = ACTIONS(11328),
    [sym__rational_operator] = ACTIONS(11328),
    [sym__bitshift_operator] = ACTIONS(11328),
    [sym__power_operator] = ACTIONS(11328),
    [sym__tilde_operator] = ACTIONS(11328),
    [sym__type_order_operator] = ACTIONS(11328),
    [sym__unary_operator] = ACTIONS(11328),
    [sym__unary_plus_operator] = ACTIONS(11328),
    [aux_sym__terminator_token1] = ACTIONS(11330),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8977] = {
    [sym_block_comment] = STATE(8977),
    [sym_line_comment] = STATE(8977),
    [sym__word_identifier] = ACTIONS(11332),
    [anon_sym_COMMA] = ACTIONS(11332),
    [anon_sym_EQ] = ACTIONS(11332),
    [anon_sym_begin] = ACTIONS(11332),
    [anon_sym_module] = ACTIONS(11332),
    [anon_sym_baremodule] = ACTIONS(11332),
    [anon_sym_abstract] = ACTIONS(11332),
    [anon_sym_primitive] = ACTIONS(11332),
    [anon_sym_mutable] = ACTIONS(11332),
    [anon_sym_struct] = ACTIONS(11332),
    [anon_sym_function] = ACTIONS(11332),
    [anon_sym_macro] = ACTIONS(11332),
    [anon_sym_quote] = ACTIONS(11332),
    [anon_sym_let] = ACTIONS(11332),
    [anon_sym_if] = ACTIONS(11332),
    [anon_sym_try] = ACTIONS(11332),
    [anon_sym_catch] = ACTIONS(11332),
    [anon_sym_finally] = ACTIONS(11332),
    [anon_sym_for] = ACTIONS(11332),
    [anon_sym_while] = ACTIONS(11332),
    [sym_break_statement] = ACTIONS(11332),
    [sym_continue_statement] = ACTIONS(11332),
    [anon_sym_return] = ACTIONS(11332),
    [anon_sym_const] = ACTIONS(11332),
    [anon_sym_global] = ACTIONS(11332),
    [anon_sym_local] = ACTIONS(11332),
    [anon_sym_LPAREN] = ACTIONS(11332),
    [anon_sym_COLON] = ACTIONS(11332),
    [anon_sym_export] = ACTIONS(11332),
    [anon_sym_public] = ACTIONS(11332),
    [anon_sym_import] = ACTIONS(11332),
    [anon_sym_using] = ACTIONS(11332),
    [anon_sym_LBRACK] = ACTIONS(11332),
    [anon_sym_in] = ACTIONS(11332),
    [anon_sym_SEMI] = ACTIONS(11332),
    [anon_sym_LBRACE] = ACTIONS(11332),
    [anon_sym_DOLLAR] = ACTIONS(11332),
    [anon_sym_COLON2] = ACTIONS(11332),
    [anon_sym_COLON_COLON] = ACTIONS(11332),
    [anon_sym_isa] = ACTIONS(11332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11332),
    [anon_sym_QMARK] = ACTIONS(11332),
    [anon_sym_where] = ACTIONS(11332),
    [anon_sym_AT] = ACTIONS(11332),
    [anon_sym_true] = ACTIONS(11332),
    [anon_sym_false] = ACTIONS(11332),
    [aux_sym_integer_literal_token1] = ACTIONS(11332),
    [aux_sym_integer_literal_token2] = ACTIONS(11332),
    [aux_sym_integer_literal_token3] = ACTIONS(11332),
    [aux_sym_integer_literal_token4] = ACTIONS(11332),
    [aux_sym_float_literal_token1] = ACTIONS(11332),
    [aux_sym_float_literal_token3] = ACTIONS(11332),
    [aux_sym_float_literal_token4] = ACTIONS(11332),
    [sym_character_literal] = ACTIONS(11332),
    [anon_sym_DQUOTE] = ACTIONS(11332),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11332),
    [anon_sym_BQUOTE] = ACTIONS(11332),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11332),
    [sym__pair_operator] = ACTIONS(11332),
    [sym__arrow_operator] = ACTIONS(11332),
    [sym__lazy_or_operator] = ACTIONS(11332),
    [sym__lazy_and_operator] = ACTIONS(11332),
    [sym__comparison_operator] = ACTIONS(11332),
    [sym__pipe_right_operator] = ACTIONS(11332),
    [sym__pipe_left_operator] = ACTIONS(11332),
    [sym__ellipsis_operator] = ACTIONS(11332),
    [sym__plus_operator] = ACTIONS(11332),
    [sym__times_operator] = ACTIONS(11332),
    [sym__rational_operator] = ACTIONS(11332),
    [sym__bitshift_operator] = ACTIONS(11332),
    [sym__power_operator] = ACTIONS(11332),
    [sym__tilde_operator] = ACTIONS(11332),
    [sym__type_order_operator] = ACTIONS(11332),
    [sym__unary_operator] = ACTIONS(11332),
    [sym__unary_plus_operator] = ACTIONS(11332),
    [aux_sym__terminator_token1] = ACTIONS(11334),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8978] = {
    [sym_block_comment] = STATE(8978),
    [sym_line_comment] = STATE(8978),
    [sym__word_identifier] = ACTIONS(11336),
    [anon_sym_COMMA] = ACTIONS(11336),
    [anon_sym_EQ] = ACTIONS(11336),
    [anon_sym_begin] = ACTIONS(11336),
    [anon_sym_module] = ACTIONS(11336),
    [anon_sym_baremodule] = ACTIONS(11336),
    [anon_sym_abstract] = ACTIONS(11336),
    [anon_sym_primitive] = ACTIONS(11336),
    [anon_sym_mutable] = ACTIONS(11336),
    [anon_sym_struct] = ACTIONS(11336),
    [anon_sym_function] = ACTIONS(11336),
    [anon_sym_macro] = ACTIONS(11336),
    [anon_sym_quote] = ACTIONS(11336),
    [anon_sym_let] = ACTIONS(11336),
    [anon_sym_if] = ACTIONS(11336),
    [anon_sym_try] = ACTIONS(11336),
    [anon_sym_catch] = ACTIONS(11336),
    [anon_sym_finally] = ACTIONS(11336),
    [anon_sym_for] = ACTIONS(11336),
    [anon_sym_while] = ACTIONS(11336),
    [sym_break_statement] = ACTIONS(11336),
    [sym_continue_statement] = ACTIONS(11336),
    [anon_sym_return] = ACTIONS(11336),
    [anon_sym_const] = ACTIONS(11336),
    [anon_sym_global] = ACTIONS(11336),
    [anon_sym_local] = ACTIONS(11336),
    [anon_sym_LPAREN] = ACTIONS(11336),
    [anon_sym_COLON] = ACTIONS(11336),
    [anon_sym_export] = ACTIONS(11336),
    [anon_sym_public] = ACTIONS(11336),
    [anon_sym_import] = ACTIONS(11336),
    [anon_sym_using] = ACTIONS(11336),
    [anon_sym_LBRACK] = ACTIONS(11336),
    [anon_sym_in] = ACTIONS(11336),
    [anon_sym_SEMI] = ACTIONS(11336),
    [anon_sym_LBRACE] = ACTIONS(11336),
    [anon_sym_DOLLAR] = ACTIONS(11336),
    [anon_sym_COLON2] = ACTIONS(11336),
    [anon_sym_COLON_COLON] = ACTIONS(11336),
    [anon_sym_isa] = ACTIONS(11336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11336),
    [anon_sym_QMARK] = ACTIONS(11336),
    [anon_sym_where] = ACTIONS(11336),
    [anon_sym_AT] = ACTIONS(11336),
    [anon_sym_true] = ACTIONS(11336),
    [anon_sym_false] = ACTIONS(11336),
    [aux_sym_integer_literal_token1] = ACTIONS(11336),
    [aux_sym_integer_literal_token2] = ACTIONS(11336),
    [aux_sym_integer_literal_token3] = ACTIONS(11336),
    [aux_sym_integer_literal_token4] = ACTIONS(11336),
    [aux_sym_float_literal_token1] = ACTIONS(11336),
    [aux_sym_float_literal_token3] = ACTIONS(11336),
    [aux_sym_float_literal_token4] = ACTIONS(11336),
    [sym_character_literal] = ACTIONS(11336),
    [anon_sym_DQUOTE] = ACTIONS(11336),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11336),
    [anon_sym_BQUOTE] = ACTIONS(11336),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11336),
    [sym__pair_operator] = ACTIONS(11336),
    [sym__arrow_operator] = ACTIONS(11336),
    [sym__lazy_or_operator] = ACTIONS(11336),
    [sym__lazy_and_operator] = ACTIONS(11336),
    [sym__comparison_operator] = ACTIONS(11336),
    [sym__pipe_right_operator] = ACTIONS(11336),
    [sym__pipe_left_operator] = ACTIONS(11336),
    [sym__ellipsis_operator] = ACTIONS(11336),
    [sym__plus_operator] = ACTIONS(11336),
    [sym__times_operator] = ACTIONS(11336),
    [sym__rational_operator] = ACTIONS(11336),
    [sym__bitshift_operator] = ACTIONS(11336),
    [sym__power_operator] = ACTIONS(11336),
    [sym__tilde_operator] = ACTIONS(11336),
    [sym__type_order_operator] = ACTIONS(11336),
    [sym__unary_operator] = ACTIONS(11336),
    [sym__unary_plus_operator] = ACTIONS(11336),
    [aux_sym__terminator_token1] = ACTIONS(11338),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8979] = {
    [sym_block_comment] = STATE(8979),
    [sym_line_comment] = STATE(8979),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10127),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10127),
    [anon_sym_QMARK] = ACTIONS(10127),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10127),
    [sym__lazy_and_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8980] = {
    [sym_block_comment] = STATE(8980),
    [sym_line_comment] = STATE(8980),
    [sym__word_identifier] = ACTIONS(11340),
    [anon_sym_COMMA] = ACTIONS(11340),
    [anon_sym_EQ] = ACTIONS(11340),
    [anon_sym_begin] = ACTIONS(11340),
    [anon_sym_module] = ACTIONS(11340),
    [anon_sym_baremodule] = ACTIONS(11340),
    [anon_sym_abstract] = ACTIONS(11340),
    [anon_sym_primitive] = ACTIONS(11340),
    [anon_sym_mutable] = ACTIONS(11340),
    [anon_sym_struct] = ACTIONS(11340),
    [anon_sym_function] = ACTIONS(11340),
    [anon_sym_macro] = ACTIONS(11340),
    [anon_sym_quote] = ACTIONS(11340),
    [anon_sym_let] = ACTIONS(11340),
    [anon_sym_if] = ACTIONS(11340),
    [anon_sym_try] = ACTIONS(11340),
    [anon_sym_catch] = ACTIONS(11340),
    [anon_sym_finally] = ACTIONS(11340),
    [anon_sym_for] = ACTIONS(11340),
    [anon_sym_while] = ACTIONS(11340),
    [sym_break_statement] = ACTIONS(11340),
    [sym_continue_statement] = ACTIONS(11340),
    [anon_sym_return] = ACTIONS(11340),
    [anon_sym_const] = ACTIONS(11340),
    [anon_sym_global] = ACTIONS(11340),
    [anon_sym_local] = ACTIONS(11340),
    [anon_sym_LPAREN] = ACTIONS(11340),
    [anon_sym_COLON] = ACTIONS(11340),
    [anon_sym_export] = ACTIONS(11340),
    [anon_sym_public] = ACTIONS(11340),
    [anon_sym_import] = ACTIONS(11340),
    [anon_sym_using] = ACTIONS(11340),
    [anon_sym_LBRACK] = ACTIONS(11340),
    [anon_sym_in] = ACTIONS(11340),
    [anon_sym_SEMI] = ACTIONS(11340),
    [anon_sym_LBRACE] = ACTIONS(11340),
    [anon_sym_DOLLAR] = ACTIONS(11340),
    [anon_sym_COLON2] = ACTIONS(11340),
    [anon_sym_COLON_COLON] = ACTIONS(11340),
    [anon_sym_isa] = ACTIONS(11340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11340),
    [anon_sym_QMARK] = ACTIONS(11340),
    [anon_sym_where] = ACTIONS(11340),
    [anon_sym_AT] = ACTIONS(11340),
    [anon_sym_true] = ACTIONS(11340),
    [anon_sym_false] = ACTIONS(11340),
    [aux_sym_integer_literal_token1] = ACTIONS(11340),
    [aux_sym_integer_literal_token2] = ACTIONS(11340),
    [aux_sym_integer_literal_token3] = ACTIONS(11340),
    [aux_sym_integer_literal_token4] = ACTIONS(11340),
    [aux_sym_float_literal_token1] = ACTIONS(11340),
    [aux_sym_float_literal_token3] = ACTIONS(11340),
    [aux_sym_float_literal_token4] = ACTIONS(11340),
    [sym_character_literal] = ACTIONS(11340),
    [anon_sym_DQUOTE] = ACTIONS(11340),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11340),
    [anon_sym_BQUOTE] = ACTIONS(11340),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11340),
    [sym__pair_operator] = ACTIONS(11340),
    [sym__arrow_operator] = ACTIONS(11340),
    [sym__lazy_or_operator] = ACTIONS(11340),
    [sym__lazy_and_operator] = ACTIONS(11340),
    [sym__comparison_operator] = ACTIONS(11340),
    [sym__pipe_right_operator] = ACTIONS(11340),
    [sym__pipe_left_operator] = ACTIONS(11340),
    [sym__ellipsis_operator] = ACTIONS(11340),
    [sym__plus_operator] = ACTIONS(11340),
    [sym__times_operator] = ACTIONS(11340),
    [sym__rational_operator] = ACTIONS(11340),
    [sym__bitshift_operator] = ACTIONS(11340),
    [sym__power_operator] = ACTIONS(11340),
    [sym__tilde_operator] = ACTIONS(11340),
    [sym__type_order_operator] = ACTIONS(11340),
    [sym__unary_operator] = ACTIONS(11340),
    [sym__unary_plus_operator] = ACTIONS(11340),
    [aux_sym__terminator_token1] = ACTIONS(11342),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8981] = {
    [sym_block_comment] = STATE(8981),
    [sym_line_comment] = STATE(8981),
    [sym__word_identifier] = ACTIONS(11344),
    [anon_sym_COMMA] = ACTIONS(11344),
    [anon_sym_EQ] = ACTIONS(11344),
    [anon_sym_begin] = ACTIONS(11344),
    [anon_sym_module] = ACTIONS(11344),
    [anon_sym_baremodule] = ACTIONS(11344),
    [anon_sym_abstract] = ACTIONS(11344),
    [anon_sym_primitive] = ACTIONS(11344),
    [anon_sym_mutable] = ACTIONS(11344),
    [anon_sym_struct] = ACTIONS(11344),
    [anon_sym_function] = ACTIONS(11344),
    [anon_sym_macro] = ACTIONS(11344),
    [anon_sym_quote] = ACTIONS(11344),
    [anon_sym_let] = ACTIONS(11344),
    [anon_sym_if] = ACTIONS(11344),
    [anon_sym_try] = ACTIONS(11344),
    [anon_sym_catch] = ACTIONS(11344),
    [anon_sym_finally] = ACTIONS(11344),
    [anon_sym_for] = ACTIONS(11344),
    [anon_sym_while] = ACTIONS(11344),
    [sym_break_statement] = ACTIONS(11344),
    [sym_continue_statement] = ACTIONS(11344),
    [anon_sym_return] = ACTIONS(11344),
    [anon_sym_const] = ACTIONS(11344),
    [anon_sym_global] = ACTIONS(11344),
    [anon_sym_local] = ACTIONS(11344),
    [anon_sym_LPAREN] = ACTIONS(11344),
    [anon_sym_COLON] = ACTIONS(11344),
    [anon_sym_export] = ACTIONS(11344),
    [anon_sym_public] = ACTIONS(11344),
    [anon_sym_import] = ACTIONS(11344),
    [anon_sym_using] = ACTIONS(11344),
    [anon_sym_LBRACK] = ACTIONS(11344),
    [anon_sym_in] = ACTIONS(11344),
    [anon_sym_SEMI] = ACTIONS(11344),
    [anon_sym_LBRACE] = ACTIONS(11344),
    [anon_sym_DOLLAR] = ACTIONS(11344),
    [anon_sym_COLON2] = ACTIONS(11344),
    [anon_sym_COLON_COLON] = ACTIONS(11344),
    [anon_sym_isa] = ACTIONS(11344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11344),
    [anon_sym_QMARK] = ACTIONS(11344),
    [anon_sym_where] = ACTIONS(11344),
    [anon_sym_AT] = ACTIONS(11344),
    [anon_sym_true] = ACTIONS(11344),
    [anon_sym_false] = ACTIONS(11344),
    [aux_sym_integer_literal_token1] = ACTIONS(11344),
    [aux_sym_integer_literal_token2] = ACTIONS(11344),
    [aux_sym_integer_literal_token3] = ACTIONS(11344),
    [aux_sym_integer_literal_token4] = ACTIONS(11344),
    [aux_sym_float_literal_token1] = ACTIONS(11344),
    [aux_sym_float_literal_token3] = ACTIONS(11344),
    [aux_sym_float_literal_token4] = ACTIONS(11344),
    [sym_character_literal] = ACTIONS(11344),
    [anon_sym_DQUOTE] = ACTIONS(11344),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11344),
    [anon_sym_BQUOTE] = ACTIONS(11344),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11344),
    [sym__pair_operator] = ACTIONS(11344),
    [sym__arrow_operator] = ACTIONS(11344),
    [sym__lazy_or_operator] = ACTIONS(11344),
    [sym__lazy_and_operator] = ACTIONS(11344),
    [sym__comparison_operator] = ACTIONS(11344),
    [sym__pipe_right_operator] = ACTIONS(11344),
    [sym__pipe_left_operator] = ACTIONS(11344),
    [sym__ellipsis_operator] = ACTIONS(11344),
    [sym__plus_operator] = ACTIONS(11344),
    [sym__times_operator] = ACTIONS(11344),
    [sym__rational_operator] = ACTIONS(11344),
    [sym__bitshift_operator] = ACTIONS(11344),
    [sym__power_operator] = ACTIONS(11344),
    [sym__tilde_operator] = ACTIONS(11344),
    [sym__type_order_operator] = ACTIONS(11344),
    [sym__unary_operator] = ACTIONS(11344),
    [sym__unary_plus_operator] = ACTIONS(11344),
    [aux_sym__terminator_token1] = ACTIONS(11346),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8982] = {
    [sym_block_comment] = STATE(8982),
    [sym_line_comment] = STATE(8982),
    [sym__word_identifier] = ACTIONS(11348),
    [anon_sym_COMMA] = ACTIONS(11348),
    [anon_sym_EQ] = ACTIONS(11348),
    [anon_sym_begin] = ACTIONS(11348),
    [anon_sym_module] = ACTIONS(11348),
    [anon_sym_baremodule] = ACTIONS(11348),
    [anon_sym_abstract] = ACTIONS(11348),
    [anon_sym_primitive] = ACTIONS(11348),
    [anon_sym_mutable] = ACTIONS(11348),
    [anon_sym_struct] = ACTIONS(11348),
    [anon_sym_function] = ACTIONS(11348),
    [anon_sym_macro] = ACTIONS(11348),
    [anon_sym_quote] = ACTIONS(11348),
    [anon_sym_let] = ACTIONS(11348),
    [anon_sym_if] = ACTIONS(11348),
    [anon_sym_try] = ACTIONS(11348),
    [anon_sym_catch] = ACTIONS(11348),
    [anon_sym_finally] = ACTIONS(11348),
    [anon_sym_for] = ACTIONS(11348),
    [anon_sym_while] = ACTIONS(11348),
    [sym_break_statement] = ACTIONS(11348),
    [sym_continue_statement] = ACTIONS(11348),
    [anon_sym_return] = ACTIONS(11348),
    [anon_sym_const] = ACTIONS(11348),
    [anon_sym_global] = ACTIONS(11348),
    [anon_sym_local] = ACTIONS(11348),
    [anon_sym_LPAREN] = ACTIONS(11348),
    [anon_sym_COLON] = ACTIONS(11348),
    [anon_sym_export] = ACTIONS(11348),
    [anon_sym_public] = ACTIONS(11348),
    [anon_sym_import] = ACTIONS(11348),
    [anon_sym_using] = ACTIONS(11348),
    [anon_sym_LBRACK] = ACTIONS(11348),
    [anon_sym_in] = ACTIONS(11348),
    [anon_sym_SEMI] = ACTIONS(11348),
    [anon_sym_LBRACE] = ACTIONS(11348),
    [anon_sym_DOLLAR] = ACTIONS(11348),
    [anon_sym_COLON2] = ACTIONS(11348),
    [anon_sym_COLON_COLON] = ACTIONS(11348),
    [anon_sym_isa] = ACTIONS(11348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11348),
    [anon_sym_QMARK] = ACTIONS(11348),
    [anon_sym_where] = ACTIONS(11348),
    [anon_sym_AT] = ACTIONS(11348),
    [anon_sym_true] = ACTIONS(11348),
    [anon_sym_false] = ACTIONS(11348),
    [aux_sym_integer_literal_token1] = ACTIONS(11348),
    [aux_sym_integer_literal_token2] = ACTIONS(11348),
    [aux_sym_integer_literal_token3] = ACTIONS(11348),
    [aux_sym_integer_literal_token4] = ACTIONS(11348),
    [aux_sym_float_literal_token1] = ACTIONS(11348),
    [aux_sym_float_literal_token3] = ACTIONS(11348),
    [aux_sym_float_literal_token4] = ACTIONS(11348),
    [sym_character_literal] = ACTIONS(11348),
    [anon_sym_DQUOTE] = ACTIONS(11348),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11348),
    [anon_sym_BQUOTE] = ACTIONS(11348),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11348),
    [sym__pair_operator] = ACTIONS(11348),
    [sym__arrow_operator] = ACTIONS(11348),
    [sym__lazy_or_operator] = ACTIONS(11348),
    [sym__lazy_and_operator] = ACTIONS(11348),
    [sym__comparison_operator] = ACTIONS(11348),
    [sym__pipe_right_operator] = ACTIONS(11348),
    [sym__pipe_left_operator] = ACTIONS(11348),
    [sym__ellipsis_operator] = ACTIONS(11348),
    [sym__plus_operator] = ACTIONS(11348),
    [sym__times_operator] = ACTIONS(11348),
    [sym__rational_operator] = ACTIONS(11348),
    [sym__bitshift_operator] = ACTIONS(11348),
    [sym__power_operator] = ACTIONS(11348),
    [sym__tilde_operator] = ACTIONS(11348),
    [sym__type_order_operator] = ACTIONS(11348),
    [sym__unary_operator] = ACTIONS(11348),
    [sym__unary_plus_operator] = ACTIONS(11348),
    [aux_sym__terminator_token1] = ACTIONS(11350),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8983] = {
    [sym_block_comment] = STATE(8983),
    [sym_line_comment] = STATE(8983),
    [sym__word_identifier] = ACTIONS(11352),
    [anon_sym_COMMA] = ACTIONS(11352),
    [anon_sym_EQ] = ACTIONS(11352),
    [anon_sym_begin] = ACTIONS(11352),
    [anon_sym_module] = ACTIONS(11352),
    [anon_sym_baremodule] = ACTIONS(11352),
    [anon_sym_abstract] = ACTIONS(11352),
    [anon_sym_primitive] = ACTIONS(11352),
    [anon_sym_mutable] = ACTIONS(11352),
    [anon_sym_struct] = ACTIONS(11352),
    [anon_sym_function] = ACTIONS(11352),
    [anon_sym_macro] = ACTIONS(11352),
    [anon_sym_quote] = ACTIONS(11352),
    [anon_sym_let] = ACTIONS(11352),
    [anon_sym_if] = ACTIONS(11352),
    [anon_sym_try] = ACTIONS(11352),
    [anon_sym_catch] = ACTIONS(11352),
    [anon_sym_finally] = ACTIONS(11352),
    [anon_sym_for] = ACTIONS(11352),
    [anon_sym_while] = ACTIONS(11352),
    [sym_break_statement] = ACTIONS(11352),
    [sym_continue_statement] = ACTIONS(11352),
    [anon_sym_return] = ACTIONS(11352),
    [anon_sym_const] = ACTIONS(11352),
    [anon_sym_global] = ACTIONS(11352),
    [anon_sym_local] = ACTIONS(11352),
    [anon_sym_LPAREN] = ACTIONS(11352),
    [anon_sym_COLON] = ACTIONS(11352),
    [anon_sym_export] = ACTIONS(11352),
    [anon_sym_public] = ACTIONS(11352),
    [anon_sym_import] = ACTIONS(11352),
    [anon_sym_using] = ACTIONS(11352),
    [anon_sym_LBRACK] = ACTIONS(11352),
    [anon_sym_in] = ACTIONS(11352),
    [anon_sym_SEMI] = ACTIONS(11352),
    [anon_sym_LBRACE] = ACTIONS(11352),
    [anon_sym_DOLLAR] = ACTIONS(11352),
    [anon_sym_COLON2] = ACTIONS(11352),
    [anon_sym_COLON_COLON] = ACTIONS(11352),
    [anon_sym_isa] = ACTIONS(11352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11352),
    [anon_sym_QMARK] = ACTIONS(11352),
    [anon_sym_where] = ACTIONS(11352),
    [anon_sym_AT] = ACTIONS(11352),
    [anon_sym_true] = ACTIONS(11352),
    [anon_sym_false] = ACTIONS(11352),
    [aux_sym_integer_literal_token1] = ACTIONS(11352),
    [aux_sym_integer_literal_token2] = ACTIONS(11352),
    [aux_sym_integer_literal_token3] = ACTIONS(11352),
    [aux_sym_integer_literal_token4] = ACTIONS(11352),
    [aux_sym_float_literal_token1] = ACTIONS(11352),
    [aux_sym_float_literal_token3] = ACTIONS(11352),
    [aux_sym_float_literal_token4] = ACTIONS(11352),
    [sym_character_literal] = ACTIONS(11352),
    [anon_sym_DQUOTE] = ACTIONS(11352),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11352),
    [anon_sym_BQUOTE] = ACTIONS(11352),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11352),
    [sym__pair_operator] = ACTIONS(11352),
    [sym__arrow_operator] = ACTIONS(11352),
    [sym__lazy_or_operator] = ACTIONS(11352),
    [sym__lazy_and_operator] = ACTIONS(11352),
    [sym__comparison_operator] = ACTIONS(11352),
    [sym__pipe_right_operator] = ACTIONS(11352),
    [sym__pipe_left_operator] = ACTIONS(11352),
    [sym__ellipsis_operator] = ACTIONS(11352),
    [sym__plus_operator] = ACTIONS(11352),
    [sym__times_operator] = ACTIONS(11352),
    [sym__rational_operator] = ACTIONS(11352),
    [sym__bitshift_operator] = ACTIONS(11352),
    [sym__power_operator] = ACTIONS(11352),
    [sym__tilde_operator] = ACTIONS(11352),
    [sym__type_order_operator] = ACTIONS(11352),
    [sym__unary_operator] = ACTIONS(11352),
    [sym__unary_plus_operator] = ACTIONS(11352),
    [aux_sym__terminator_token1] = ACTIONS(11354),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8984] = {
    [sym_block_comment] = STATE(8984),
    [sym_line_comment] = STATE(8984),
    [sym__word_identifier] = ACTIONS(11358),
    [anon_sym_COMMA] = ACTIONS(11358),
    [anon_sym_EQ] = ACTIONS(11358),
    [anon_sym_begin] = ACTIONS(11358),
    [anon_sym_module] = ACTIONS(11358),
    [anon_sym_baremodule] = ACTIONS(11358),
    [anon_sym_abstract] = ACTIONS(11358),
    [anon_sym_primitive] = ACTIONS(11358),
    [anon_sym_mutable] = ACTIONS(11358),
    [anon_sym_struct] = ACTIONS(11358),
    [anon_sym_function] = ACTIONS(11358),
    [anon_sym_macro] = ACTIONS(11358),
    [anon_sym_quote] = ACTIONS(11358),
    [anon_sym_let] = ACTIONS(11358),
    [anon_sym_if] = ACTIONS(11358),
    [anon_sym_try] = ACTIONS(11358),
    [anon_sym_catch] = ACTIONS(11358),
    [anon_sym_finally] = ACTIONS(11358),
    [anon_sym_for] = ACTIONS(11358),
    [anon_sym_while] = ACTIONS(11358),
    [sym_break_statement] = ACTIONS(11358),
    [sym_continue_statement] = ACTIONS(11358),
    [anon_sym_return] = ACTIONS(11358),
    [anon_sym_const] = ACTIONS(11358),
    [anon_sym_global] = ACTIONS(11358),
    [anon_sym_local] = ACTIONS(11358),
    [anon_sym_LPAREN] = ACTIONS(11358),
    [anon_sym_COLON] = ACTIONS(11358),
    [anon_sym_export] = ACTIONS(11358),
    [anon_sym_public] = ACTIONS(11358),
    [anon_sym_import] = ACTIONS(11358),
    [anon_sym_using] = ACTIONS(11358),
    [anon_sym_LBRACK] = ACTIONS(11358),
    [anon_sym_in] = ACTIONS(11358),
    [anon_sym_SEMI] = ACTIONS(11358),
    [anon_sym_LBRACE] = ACTIONS(11358),
    [anon_sym_DOLLAR] = ACTIONS(11358),
    [anon_sym_COLON2] = ACTIONS(11358),
    [anon_sym_COLON_COLON] = ACTIONS(11358),
    [anon_sym_isa] = ACTIONS(11358),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11358),
    [anon_sym_QMARK] = ACTIONS(11358),
    [anon_sym_where] = ACTIONS(11358),
    [anon_sym_AT] = ACTIONS(11358),
    [anon_sym_true] = ACTIONS(11358),
    [anon_sym_false] = ACTIONS(11358),
    [aux_sym_integer_literal_token1] = ACTIONS(11358),
    [aux_sym_integer_literal_token2] = ACTIONS(11358),
    [aux_sym_integer_literal_token3] = ACTIONS(11358),
    [aux_sym_integer_literal_token4] = ACTIONS(11358),
    [aux_sym_float_literal_token1] = ACTIONS(11358),
    [aux_sym_float_literal_token3] = ACTIONS(11358),
    [aux_sym_float_literal_token4] = ACTIONS(11358),
    [sym_character_literal] = ACTIONS(11358),
    [anon_sym_DQUOTE] = ACTIONS(11358),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11358),
    [anon_sym_BQUOTE] = ACTIONS(11358),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11358),
    [sym__pair_operator] = ACTIONS(11358),
    [sym__arrow_operator] = ACTIONS(11358),
    [sym__lazy_or_operator] = ACTIONS(11358),
    [sym__lazy_and_operator] = ACTIONS(11358),
    [sym__comparison_operator] = ACTIONS(11358),
    [sym__pipe_right_operator] = ACTIONS(11358),
    [sym__pipe_left_operator] = ACTIONS(11358),
    [sym__ellipsis_operator] = ACTIONS(11358),
    [sym__plus_operator] = ACTIONS(11358),
    [sym__times_operator] = ACTIONS(11358),
    [sym__rational_operator] = ACTIONS(11358),
    [sym__bitshift_operator] = ACTIONS(11358),
    [sym__power_operator] = ACTIONS(11358),
    [sym__tilde_operator] = ACTIONS(11358),
    [sym__type_order_operator] = ACTIONS(11358),
    [sym__unary_operator] = ACTIONS(11358),
    [sym__unary_plus_operator] = ACTIONS(11358),
    [aux_sym__terminator_token1] = ACTIONS(11360),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8985] = {
    [sym_block_comment] = STATE(8985),
    [sym_line_comment] = STATE(8985),
    [sym__word_identifier] = ACTIONS(11362),
    [anon_sym_COMMA] = ACTIONS(11362),
    [anon_sym_EQ] = ACTIONS(11362),
    [anon_sym_begin] = ACTIONS(11362),
    [anon_sym_module] = ACTIONS(11362),
    [anon_sym_baremodule] = ACTIONS(11362),
    [anon_sym_abstract] = ACTIONS(11362),
    [anon_sym_primitive] = ACTIONS(11362),
    [anon_sym_mutable] = ACTIONS(11362),
    [anon_sym_struct] = ACTIONS(11362),
    [anon_sym_function] = ACTIONS(11362),
    [anon_sym_macro] = ACTIONS(11362),
    [anon_sym_quote] = ACTIONS(11362),
    [anon_sym_let] = ACTIONS(11362),
    [anon_sym_if] = ACTIONS(11362),
    [anon_sym_try] = ACTIONS(11362),
    [anon_sym_catch] = ACTIONS(11362),
    [anon_sym_finally] = ACTIONS(11362),
    [anon_sym_for] = ACTIONS(11362),
    [anon_sym_while] = ACTIONS(11362),
    [sym_break_statement] = ACTIONS(11362),
    [sym_continue_statement] = ACTIONS(11362),
    [anon_sym_return] = ACTIONS(11362),
    [anon_sym_const] = ACTIONS(11362),
    [anon_sym_global] = ACTIONS(11362),
    [anon_sym_local] = ACTIONS(11362),
    [anon_sym_LPAREN] = ACTIONS(11362),
    [anon_sym_COLON] = ACTIONS(11362),
    [anon_sym_export] = ACTIONS(11362),
    [anon_sym_public] = ACTIONS(11362),
    [anon_sym_import] = ACTIONS(11362),
    [anon_sym_using] = ACTIONS(11362),
    [anon_sym_LBRACK] = ACTIONS(11362),
    [anon_sym_in] = ACTIONS(11362),
    [anon_sym_SEMI] = ACTIONS(11362),
    [anon_sym_LBRACE] = ACTIONS(11362),
    [anon_sym_DOLLAR] = ACTIONS(11362),
    [anon_sym_COLON2] = ACTIONS(11362),
    [anon_sym_COLON_COLON] = ACTIONS(11362),
    [anon_sym_isa] = ACTIONS(11362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11362),
    [anon_sym_QMARK] = ACTIONS(11362),
    [anon_sym_where] = ACTIONS(11362),
    [anon_sym_AT] = ACTIONS(11362),
    [anon_sym_true] = ACTIONS(11362),
    [anon_sym_false] = ACTIONS(11362),
    [aux_sym_integer_literal_token1] = ACTIONS(11362),
    [aux_sym_integer_literal_token2] = ACTIONS(11362),
    [aux_sym_integer_literal_token3] = ACTIONS(11362),
    [aux_sym_integer_literal_token4] = ACTIONS(11362),
    [aux_sym_float_literal_token1] = ACTIONS(11362),
    [aux_sym_float_literal_token3] = ACTIONS(11362),
    [aux_sym_float_literal_token4] = ACTIONS(11362),
    [sym_character_literal] = ACTIONS(11362),
    [anon_sym_DQUOTE] = ACTIONS(11362),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11362),
    [anon_sym_BQUOTE] = ACTIONS(11362),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11362),
    [sym__pair_operator] = ACTIONS(11362),
    [sym__arrow_operator] = ACTIONS(11362),
    [sym__lazy_or_operator] = ACTIONS(11362),
    [sym__lazy_and_operator] = ACTIONS(11362),
    [sym__comparison_operator] = ACTIONS(11362),
    [sym__pipe_right_operator] = ACTIONS(11362),
    [sym__pipe_left_operator] = ACTIONS(11362),
    [sym__ellipsis_operator] = ACTIONS(11362),
    [sym__plus_operator] = ACTIONS(11362),
    [sym__times_operator] = ACTIONS(11362),
    [sym__rational_operator] = ACTIONS(11362),
    [sym__bitshift_operator] = ACTIONS(11362),
    [sym__power_operator] = ACTIONS(11362),
    [sym__tilde_operator] = ACTIONS(11362),
    [sym__type_order_operator] = ACTIONS(11362),
    [sym__unary_operator] = ACTIONS(11362),
    [sym__unary_plus_operator] = ACTIONS(11362),
    [aux_sym__terminator_token1] = ACTIONS(11364),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8986] = {
    [sym_block_comment] = STATE(8986),
    [sym_line_comment] = STATE(8986),
    [sym__word_identifier] = ACTIONS(11366),
    [anon_sym_COMMA] = ACTIONS(11366),
    [anon_sym_EQ] = ACTIONS(11366),
    [anon_sym_begin] = ACTIONS(11366),
    [anon_sym_module] = ACTIONS(11366),
    [anon_sym_baremodule] = ACTIONS(11366),
    [anon_sym_abstract] = ACTIONS(11366),
    [anon_sym_primitive] = ACTIONS(11366),
    [anon_sym_mutable] = ACTIONS(11366),
    [anon_sym_struct] = ACTIONS(11366),
    [anon_sym_function] = ACTIONS(11366),
    [anon_sym_macro] = ACTIONS(11366),
    [anon_sym_quote] = ACTIONS(11366),
    [anon_sym_let] = ACTIONS(11366),
    [anon_sym_if] = ACTIONS(11366),
    [anon_sym_try] = ACTIONS(11366),
    [anon_sym_catch] = ACTIONS(11366),
    [anon_sym_finally] = ACTIONS(11366),
    [anon_sym_for] = ACTIONS(11366),
    [anon_sym_while] = ACTIONS(11366),
    [sym_break_statement] = ACTIONS(11366),
    [sym_continue_statement] = ACTIONS(11366),
    [anon_sym_return] = ACTIONS(11366),
    [anon_sym_const] = ACTIONS(11366),
    [anon_sym_global] = ACTIONS(11366),
    [anon_sym_local] = ACTIONS(11366),
    [anon_sym_LPAREN] = ACTIONS(11366),
    [anon_sym_COLON] = ACTIONS(11366),
    [anon_sym_export] = ACTIONS(11366),
    [anon_sym_public] = ACTIONS(11366),
    [anon_sym_import] = ACTIONS(11366),
    [anon_sym_using] = ACTIONS(11366),
    [anon_sym_LBRACK] = ACTIONS(11366),
    [anon_sym_in] = ACTIONS(11366),
    [anon_sym_SEMI] = ACTIONS(11366),
    [anon_sym_LBRACE] = ACTIONS(11366),
    [anon_sym_DOLLAR] = ACTIONS(11366),
    [anon_sym_COLON2] = ACTIONS(11366),
    [anon_sym_COLON_COLON] = ACTIONS(11366),
    [anon_sym_isa] = ACTIONS(11366),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11366),
    [anon_sym_QMARK] = ACTIONS(11366),
    [anon_sym_where] = ACTIONS(11366),
    [anon_sym_AT] = ACTIONS(11366),
    [anon_sym_true] = ACTIONS(11366),
    [anon_sym_false] = ACTIONS(11366),
    [aux_sym_integer_literal_token1] = ACTIONS(11366),
    [aux_sym_integer_literal_token2] = ACTIONS(11366),
    [aux_sym_integer_literal_token3] = ACTIONS(11366),
    [aux_sym_integer_literal_token4] = ACTIONS(11366),
    [aux_sym_float_literal_token1] = ACTIONS(11366),
    [aux_sym_float_literal_token3] = ACTIONS(11366),
    [aux_sym_float_literal_token4] = ACTIONS(11366),
    [sym_character_literal] = ACTIONS(11366),
    [anon_sym_DQUOTE] = ACTIONS(11366),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11366),
    [anon_sym_BQUOTE] = ACTIONS(11366),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11366),
    [sym__pair_operator] = ACTIONS(11366),
    [sym__arrow_operator] = ACTIONS(11366),
    [sym__lazy_or_operator] = ACTIONS(11366),
    [sym__lazy_and_operator] = ACTIONS(11366),
    [sym__comparison_operator] = ACTIONS(11366),
    [sym__pipe_right_operator] = ACTIONS(11366),
    [sym__pipe_left_operator] = ACTIONS(11366),
    [sym__ellipsis_operator] = ACTIONS(11366),
    [sym__plus_operator] = ACTIONS(11366),
    [sym__times_operator] = ACTIONS(11366),
    [sym__rational_operator] = ACTIONS(11366),
    [sym__bitshift_operator] = ACTIONS(11366),
    [sym__power_operator] = ACTIONS(11366),
    [sym__tilde_operator] = ACTIONS(11366),
    [sym__type_order_operator] = ACTIONS(11366),
    [sym__unary_operator] = ACTIONS(11366),
    [sym__unary_plus_operator] = ACTIONS(11366),
    [aux_sym__terminator_token1] = ACTIONS(11368),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8987] = {
    [sym_block_comment] = STATE(8987),
    [sym_line_comment] = STATE(8987),
    [sym__word_identifier] = ACTIONS(11370),
    [anon_sym_COMMA] = ACTIONS(11370),
    [anon_sym_EQ] = ACTIONS(11370),
    [anon_sym_begin] = ACTIONS(11370),
    [anon_sym_module] = ACTIONS(11370),
    [anon_sym_baremodule] = ACTIONS(11370),
    [anon_sym_abstract] = ACTIONS(11370),
    [anon_sym_primitive] = ACTIONS(11370),
    [anon_sym_mutable] = ACTIONS(11370),
    [anon_sym_struct] = ACTIONS(11370),
    [anon_sym_function] = ACTIONS(11370),
    [anon_sym_macro] = ACTIONS(11370),
    [anon_sym_quote] = ACTIONS(11370),
    [anon_sym_let] = ACTIONS(11370),
    [anon_sym_if] = ACTIONS(11370),
    [anon_sym_try] = ACTIONS(11370),
    [anon_sym_catch] = ACTIONS(11370),
    [anon_sym_finally] = ACTIONS(11370),
    [anon_sym_for] = ACTIONS(11370),
    [anon_sym_while] = ACTIONS(11370),
    [sym_break_statement] = ACTIONS(11370),
    [sym_continue_statement] = ACTIONS(11370),
    [anon_sym_return] = ACTIONS(11370),
    [anon_sym_const] = ACTIONS(11370),
    [anon_sym_global] = ACTIONS(11370),
    [anon_sym_local] = ACTIONS(11370),
    [anon_sym_LPAREN] = ACTIONS(11370),
    [anon_sym_COLON] = ACTIONS(11370),
    [anon_sym_export] = ACTIONS(11370),
    [anon_sym_public] = ACTIONS(11370),
    [anon_sym_import] = ACTIONS(11370),
    [anon_sym_using] = ACTIONS(11370),
    [anon_sym_LBRACK] = ACTIONS(11370),
    [anon_sym_in] = ACTIONS(11370),
    [anon_sym_SEMI] = ACTIONS(11370),
    [anon_sym_LBRACE] = ACTIONS(11370),
    [anon_sym_DOLLAR] = ACTIONS(11370),
    [anon_sym_COLON2] = ACTIONS(11370),
    [anon_sym_COLON_COLON] = ACTIONS(11370),
    [anon_sym_isa] = ACTIONS(11370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11370),
    [anon_sym_QMARK] = ACTIONS(11370),
    [anon_sym_where] = ACTIONS(11370),
    [anon_sym_AT] = ACTIONS(11370),
    [anon_sym_true] = ACTIONS(11370),
    [anon_sym_false] = ACTIONS(11370),
    [aux_sym_integer_literal_token1] = ACTIONS(11370),
    [aux_sym_integer_literal_token2] = ACTIONS(11370),
    [aux_sym_integer_literal_token3] = ACTIONS(11370),
    [aux_sym_integer_literal_token4] = ACTIONS(11370),
    [aux_sym_float_literal_token1] = ACTIONS(11370),
    [aux_sym_float_literal_token3] = ACTIONS(11370),
    [aux_sym_float_literal_token4] = ACTIONS(11370),
    [sym_character_literal] = ACTIONS(11370),
    [anon_sym_DQUOTE] = ACTIONS(11370),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11370),
    [anon_sym_BQUOTE] = ACTIONS(11370),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11370),
    [sym__pair_operator] = ACTIONS(11370),
    [sym__arrow_operator] = ACTIONS(11370),
    [sym__lazy_or_operator] = ACTIONS(11370),
    [sym__lazy_and_operator] = ACTIONS(11370),
    [sym__comparison_operator] = ACTIONS(11370),
    [sym__pipe_right_operator] = ACTIONS(11370),
    [sym__pipe_left_operator] = ACTIONS(11370),
    [sym__ellipsis_operator] = ACTIONS(11370),
    [sym__plus_operator] = ACTIONS(11370),
    [sym__times_operator] = ACTIONS(11370),
    [sym__rational_operator] = ACTIONS(11370),
    [sym__bitshift_operator] = ACTIONS(11370),
    [sym__power_operator] = ACTIONS(11370),
    [sym__tilde_operator] = ACTIONS(11370),
    [sym__type_order_operator] = ACTIONS(11370),
    [sym__unary_operator] = ACTIONS(11370),
    [sym__unary_plus_operator] = ACTIONS(11370),
    [aux_sym__terminator_token1] = ACTIONS(11372),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8988] = {
    [sym_block_comment] = STATE(8988),
    [sym_line_comment] = STATE(8988),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8989] = {
    [sym_block_comment] = STATE(8989),
    [sym_line_comment] = STATE(8989),
    [sym__word_identifier] = ACTIONS(11501),
    [anon_sym_COMMA] = ACTIONS(11501),
    [anon_sym_EQ] = ACTIONS(11501),
    [anon_sym_begin] = ACTIONS(11501),
    [anon_sym_module] = ACTIONS(11501),
    [anon_sym_baremodule] = ACTIONS(11501),
    [anon_sym_end] = ACTIONS(11501),
    [anon_sym_abstract] = ACTIONS(11501),
    [anon_sym_primitive] = ACTIONS(11501),
    [anon_sym_mutable] = ACTIONS(11501),
    [anon_sym_struct] = ACTIONS(11501),
    [anon_sym_function] = ACTIONS(11501),
    [anon_sym_macro] = ACTIONS(11501),
    [anon_sym_quote] = ACTIONS(11501),
    [anon_sym_let] = ACTIONS(11501),
    [anon_sym_if] = ACTIONS(11501),
    [anon_sym_try] = ACTIONS(11501),
    [anon_sym_catch] = ACTIONS(11501),
    [anon_sym_for] = ACTIONS(11501),
    [anon_sym_while] = ACTIONS(11501),
    [sym_break_statement] = ACTIONS(11501),
    [sym_continue_statement] = ACTIONS(11501),
    [anon_sym_return] = ACTIONS(11501),
    [anon_sym_const] = ACTIONS(11501),
    [anon_sym_global] = ACTIONS(11501),
    [anon_sym_local] = ACTIONS(11501),
    [anon_sym_LPAREN] = ACTIONS(11501),
    [anon_sym_COLON] = ACTIONS(11501),
    [anon_sym_export] = ACTIONS(11501),
    [anon_sym_public] = ACTIONS(11501),
    [anon_sym_import] = ACTIONS(11501),
    [anon_sym_using] = ACTIONS(11501),
    [anon_sym_LBRACK] = ACTIONS(11501),
    [anon_sym_in] = ACTIONS(11501),
    [anon_sym_SEMI] = ACTIONS(11501),
    [anon_sym_LBRACE] = ACTIONS(11501),
    [anon_sym_DOLLAR] = ACTIONS(11501),
    [anon_sym_COLON2] = ACTIONS(11501),
    [anon_sym_COLON_COLON] = ACTIONS(11501),
    [anon_sym_isa] = ACTIONS(11501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11501),
    [anon_sym_QMARK] = ACTIONS(11501),
    [anon_sym_where] = ACTIONS(11501),
    [anon_sym_AT] = ACTIONS(11501),
    [anon_sym_true] = ACTIONS(11501),
    [anon_sym_false] = ACTIONS(11501),
    [aux_sym_integer_literal_token1] = ACTIONS(11501),
    [aux_sym_integer_literal_token2] = ACTIONS(11501),
    [aux_sym_integer_literal_token3] = ACTIONS(11501),
    [aux_sym_integer_literal_token4] = ACTIONS(11501),
    [aux_sym_float_literal_token1] = ACTIONS(11501),
    [aux_sym_float_literal_token3] = ACTIONS(11501),
    [aux_sym_float_literal_token4] = ACTIONS(11501),
    [sym_character_literal] = ACTIONS(11501),
    [anon_sym_DQUOTE] = ACTIONS(11501),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11501),
    [anon_sym_BQUOTE] = ACTIONS(11501),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11501),
    [sym__pair_operator] = ACTIONS(11501),
    [sym__arrow_operator] = ACTIONS(11501),
    [sym__lazy_or_operator] = ACTIONS(11501),
    [sym__lazy_and_operator] = ACTIONS(11501),
    [sym__comparison_operator] = ACTIONS(11501),
    [sym__pipe_right_operator] = ACTIONS(11501),
    [sym__pipe_left_operator] = ACTIONS(11501),
    [sym__ellipsis_operator] = ACTIONS(11501),
    [sym__plus_operator] = ACTIONS(11501),
    [sym__times_operator] = ACTIONS(11501),
    [sym__rational_operator] = ACTIONS(11501),
    [sym__bitshift_operator] = ACTIONS(11501),
    [sym__power_operator] = ACTIONS(11501),
    [sym__tilde_operator] = ACTIONS(11501),
    [sym__type_order_operator] = ACTIONS(11501),
    [sym__unary_operator] = ACTIONS(11501),
    [sym__unary_plus_operator] = ACTIONS(11501),
    [aux_sym__terminator_token1] = ACTIONS(11503),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8990] = {
    [sym_block_comment] = STATE(8990),
    [sym_line_comment] = STATE(8990),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10083),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10083),
    [anon_sym_QMARK] = ACTIONS(10083),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10083),
    [sym__lazy_and_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8991] = {
    [sym_block_comment] = STATE(8991),
    [sym_line_comment] = STATE(8991),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10089),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10089),
    [anon_sym_QMARK] = ACTIONS(10089),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10089),
    [sym__lazy_and_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8992] = {
    [sym_block_comment] = STATE(8992),
    [sym_line_comment] = STATE(8992),
    [sym__word_identifier] = ACTIONS(11505),
    [anon_sym_COMMA] = ACTIONS(11505),
    [anon_sym_EQ] = ACTIONS(11505),
    [anon_sym_begin] = ACTIONS(11505),
    [anon_sym_module] = ACTIONS(11505),
    [anon_sym_baremodule] = ACTIONS(11505),
    [anon_sym_end] = ACTIONS(11505),
    [anon_sym_abstract] = ACTIONS(11505),
    [anon_sym_primitive] = ACTIONS(11505),
    [anon_sym_mutable] = ACTIONS(11505),
    [anon_sym_struct] = ACTIONS(11505),
    [anon_sym_function] = ACTIONS(11505),
    [anon_sym_macro] = ACTIONS(11505),
    [anon_sym_quote] = ACTIONS(11505),
    [anon_sym_let] = ACTIONS(11505),
    [anon_sym_if] = ACTIONS(11505),
    [anon_sym_try] = ACTIONS(11505),
    [anon_sym_catch] = ACTIONS(11505),
    [anon_sym_for] = ACTIONS(11505),
    [anon_sym_while] = ACTIONS(11505),
    [sym_break_statement] = ACTIONS(11505),
    [sym_continue_statement] = ACTIONS(11505),
    [anon_sym_return] = ACTIONS(11505),
    [anon_sym_const] = ACTIONS(11505),
    [anon_sym_global] = ACTIONS(11505),
    [anon_sym_local] = ACTIONS(11505),
    [anon_sym_LPAREN] = ACTIONS(11505),
    [anon_sym_COLON] = ACTIONS(11505),
    [anon_sym_export] = ACTIONS(11505),
    [anon_sym_public] = ACTIONS(11505),
    [anon_sym_import] = ACTIONS(11505),
    [anon_sym_using] = ACTIONS(11505),
    [anon_sym_LBRACK] = ACTIONS(11505),
    [anon_sym_in] = ACTIONS(11505),
    [anon_sym_SEMI] = ACTIONS(11505),
    [anon_sym_LBRACE] = ACTIONS(11505),
    [anon_sym_DOLLAR] = ACTIONS(11505),
    [anon_sym_COLON2] = ACTIONS(11505),
    [anon_sym_COLON_COLON] = ACTIONS(11505),
    [anon_sym_isa] = ACTIONS(11505),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11505),
    [anon_sym_QMARK] = ACTIONS(11505),
    [anon_sym_where] = ACTIONS(11505),
    [anon_sym_AT] = ACTIONS(11505),
    [anon_sym_true] = ACTIONS(11505),
    [anon_sym_false] = ACTIONS(11505),
    [aux_sym_integer_literal_token1] = ACTIONS(11505),
    [aux_sym_integer_literal_token2] = ACTIONS(11505),
    [aux_sym_integer_literal_token3] = ACTIONS(11505),
    [aux_sym_integer_literal_token4] = ACTIONS(11505),
    [aux_sym_float_literal_token1] = ACTIONS(11505),
    [aux_sym_float_literal_token3] = ACTIONS(11505),
    [aux_sym_float_literal_token4] = ACTIONS(11505),
    [sym_character_literal] = ACTIONS(11505),
    [anon_sym_DQUOTE] = ACTIONS(11505),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11505),
    [anon_sym_BQUOTE] = ACTIONS(11505),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11505),
    [sym__pair_operator] = ACTIONS(11505),
    [sym__arrow_operator] = ACTIONS(11505),
    [sym__lazy_or_operator] = ACTIONS(11505),
    [sym__lazy_and_operator] = ACTIONS(11505),
    [sym__comparison_operator] = ACTIONS(11505),
    [sym__pipe_right_operator] = ACTIONS(11505),
    [sym__pipe_left_operator] = ACTIONS(11505),
    [sym__ellipsis_operator] = ACTIONS(11505),
    [sym__plus_operator] = ACTIONS(11505),
    [sym__times_operator] = ACTIONS(11505),
    [sym__rational_operator] = ACTIONS(11505),
    [sym__bitshift_operator] = ACTIONS(11505),
    [sym__power_operator] = ACTIONS(11505),
    [sym__tilde_operator] = ACTIONS(11505),
    [sym__type_order_operator] = ACTIONS(11505),
    [sym__unary_operator] = ACTIONS(11505),
    [sym__unary_plus_operator] = ACTIONS(11505),
    [aux_sym__terminator_token1] = ACTIONS(11507),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8993] = {
    [sym_block_comment] = STATE(8993),
    [sym_line_comment] = STATE(8993),
    [sym__word_identifier] = ACTIONS(11509),
    [anon_sym_COMMA] = ACTIONS(11509),
    [anon_sym_EQ] = ACTIONS(11509),
    [anon_sym_begin] = ACTIONS(11509),
    [anon_sym_module] = ACTIONS(11509),
    [anon_sym_baremodule] = ACTIONS(11509),
    [anon_sym_end] = ACTIONS(11509),
    [anon_sym_abstract] = ACTIONS(11509),
    [anon_sym_primitive] = ACTIONS(11509),
    [anon_sym_mutable] = ACTIONS(11509),
    [anon_sym_struct] = ACTIONS(11509),
    [anon_sym_function] = ACTIONS(11509),
    [anon_sym_macro] = ACTIONS(11509),
    [anon_sym_quote] = ACTIONS(11509),
    [anon_sym_let] = ACTIONS(11509),
    [anon_sym_if] = ACTIONS(11509),
    [anon_sym_try] = ACTIONS(11509),
    [anon_sym_catch] = ACTIONS(11509),
    [anon_sym_for] = ACTIONS(11509),
    [anon_sym_while] = ACTIONS(11509),
    [sym_break_statement] = ACTIONS(11509),
    [sym_continue_statement] = ACTIONS(11509),
    [anon_sym_return] = ACTIONS(11509),
    [anon_sym_const] = ACTIONS(11509),
    [anon_sym_global] = ACTIONS(11509),
    [anon_sym_local] = ACTIONS(11509),
    [anon_sym_LPAREN] = ACTIONS(11509),
    [anon_sym_COLON] = ACTIONS(11509),
    [anon_sym_export] = ACTIONS(11509),
    [anon_sym_public] = ACTIONS(11509),
    [anon_sym_import] = ACTIONS(11509),
    [anon_sym_using] = ACTIONS(11509),
    [anon_sym_LBRACK] = ACTIONS(11509),
    [anon_sym_in] = ACTIONS(11509),
    [anon_sym_SEMI] = ACTIONS(11509),
    [anon_sym_LBRACE] = ACTIONS(11509),
    [anon_sym_DOLLAR] = ACTIONS(11509),
    [anon_sym_COLON2] = ACTIONS(11509),
    [anon_sym_COLON_COLON] = ACTIONS(11509),
    [anon_sym_isa] = ACTIONS(11509),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11509),
    [anon_sym_QMARK] = ACTIONS(11509),
    [anon_sym_where] = ACTIONS(11509),
    [anon_sym_AT] = ACTIONS(11509),
    [anon_sym_true] = ACTIONS(11509),
    [anon_sym_false] = ACTIONS(11509),
    [aux_sym_integer_literal_token1] = ACTIONS(11509),
    [aux_sym_integer_literal_token2] = ACTIONS(11509),
    [aux_sym_integer_literal_token3] = ACTIONS(11509),
    [aux_sym_integer_literal_token4] = ACTIONS(11509),
    [aux_sym_float_literal_token1] = ACTIONS(11509),
    [aux_sym_float_literal_token3] = ACTIONS(11509),
    [aux_sym_float_literal_token4] = ACTIONS(11509),
    [sym_character_literal] = ACTIONS(11509),
    [anon_sym_DQUOTE] = ACTIONS(11509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11509),
    [anon_sym_BQUOTE] = ACTIONS(11509),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11509),
    [sym__pair_operator] = ACTIONS(11509),
    [sym__arrow_operator] = ACTIONS(11509),
    [sym__lazy_or_operator] = ACTIONS(11509),
    [sym__lazy_and_operator] = ACTIONS(11509),
    [sym__comparison_operator] = ACTIONS(11509),
    [sym__pipe_right_operator] = ACTIONS(11509),
    [sym__pipe_left_operator] = ACTIONS(11509),
    [sym__ellipsis_operator] = ACTIONS(11509),
    [sym__plus_operator] = ACTIONS(11509),
    [sym__times_operator] = ACTIONS(11509),
    [sym__rational_operator] = ACTIONS(11509),
    [sym__bitshift_operator] = ACTIONS(11509),
    [sym__power_operator] = ACTIONS(11509),
    [sym__tilde_operator] = ACTIONS(11509),
    [sym__type_order_operator] = ACTIONS(11509),
    [sym__unary_operator] = ACTIONS(11509),
    [sym__unary_plus_operator] = ACTIONS(11509),
    [aux_sym__terminator_token1] = ACTIONS(11511),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8994] = {
    [sym_block_comment] = STATE(8994),
    [sym_line_comment] = STATE(8994),
    [sym__word_identifier] = ACTIONS(11513),
    [anon_sym_COMMA] = ACTIONS(11513),
    [anon_sym_EQ] = ACTIONS(11513),
    [anon_sym_begin] = ACTIONS(11513),
    [anon_sym_module] = ACTIONS(11513),
    [anon_sym_baremodule] = ACTIONS(11513),
    [anon_sym_end] = ACTIONS(11513),
    [anon_sym_abstract] = ACTIONS(11513),
    [anon_sym_primitive] = ACTIONS(11513),
    [anon_sym_mutable] = ACTIONS(11513),
    [anon_sym_struct] = ACTIONS(11513),
    [anon_sym_function] = ACTIONS(11513),
    [anon_sym_macro] = ACTIONS(11513),
    [anon_sym_quote] = ACTIONS(11513),
    [anon_sym_let] = ACTIONS(11513),
    [anon_sym_if] = ACTIONS(11513),
    [anon_sym_try] = ACTIONS(11513),
    [anon_sym_catch] = ACTIONS(11513),
    [anon_sym_for] = ACTIONS(11513),
    [anon_sym_while] = ACTIONS(11513),
    [sym_break_statement] = ACTIONS(11513),
    [sym_continue_statement] = ACTIONS(11513),
    [anon_sym_return] = ACTIONS(11513),
    [anon_sym_const] = ACTIONS(11513),
    [anon_sym_global] = ACTIONS(11513),
    [anon_sym_local] = ACTIONS(11513),
    [anon_sym_LPAREN] = ACTIONS(11513),
    [anon_sym_COLON] = ACTIONS(11513),
    [anon_sym_export] = ACTIONS(11513),
    [anon_sym_public] = ACTIONS(11513),
    [anon_sym_import] = ACTIONS(11513),
    [anon_sym_using] = ACTIONS(11513),
    [anon_sym_LBRACK] = ACTIONS(11513),
    [anon_sym_in] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(11513),
    [anon_sym_LBRACE] = ACTIONS(11513),
    [anon_sym_DOLLAR] = ACTIONS(11513),
    [anon_sym_COLON2] = ACTIONS(11513),
    [anon_sym_COLON_COLON] = ACTIONS(11513),
    [anon_sym_isa] = ACTIONS(11513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11513),
    [anon_sym_QMARK] = ACTIONS(11513),
    [anon_sym_where] = ACTIONS(11513),
    [anon_sym_AT] = ACTIONS(11513),
    [anon_sym_true] = ACTIONS(11513),
    [anon_sym_false] = ACTIONS(11513),
    [aux_sym_integer_literal_token1] = ACTIONS(11513),
    [aux_sym_integer_literal_token2] = ACTIONS(11513),
    [aux_sym_integer_literal_token3] = ACTIONS(11513),
    [aux_sym_integer_literal_token4] = ACTIONS(11513),
    [aux_sym_float_literal_token1] = ACTIONS(11513),
    [aux_sym_float_literal_token3] = ACTIONS(11513),
    [aux_sym_float_literal_token4] = ACTIONS(11513),
    [sym_character_literal] = ACTIONS(11513),
    [anon_sym_DQUOTE] = ACTIONS(11513),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11513),
    [anon_sym_BQUOTE] = ACTIONS(11513),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11513),
    [sym__pair_operator] = ACTIONS(11513),
    [sym__arrow_operator] = ACTIONS(11513),
    [sym__lazy_or_operator] = ACTIONS(11513),
    [sym__lazy_and_operator] = ACTIONS(11513),
    [sym__comparison_operator] = ACTIONS(11513),
    [sym__pipe_right_operator] = ACTIONS(11513),
    [sym__pipe_left_operator] = ACTIONS(11513),
    [sym__ellipsis_operator] = ACTIONS(11513),
    [sym__plus_operator] = ACTIONS(11513),
    [sym__times_operator] = ACTIONS(11513),
    [sym__rational_operator] = ACTIONS(11513),
    [sym__bitshift_operator] = ACTIONS(11513),
    [sym__power_operator] = ACTIONS(11513),
    [sym__tilde_operator] = ACTIONS(11513),
    [sym__type_order_operator] = ACTIONS(11513),
    [sym__unary_operator] = ACTIONS(11513),
    [sym__unary_plus_operator] = ACTIONS(11513),
    [aux_sym__terminator_token1] = ACTIONS(11515),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8995] = {
    [sym_block_comment] = STATE(8995),
    [sym_line_comment] = STATE(8995),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(12548),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_catch] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8996] = {
    [sym_block_comment] = STATE(8996),
    [sym_line_comment] = STATE(8996),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10489),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10067),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8997] = {
    [sym_block_comment] = STATE(8997),
    [sym_line_comment] = STATE(8997),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(12570),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_finally] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8998] = {
    [sym_block_comment] = STATE(8998),
    [sym_line_comment] = STATE(8998),
    [aux_sym_open_tuple_repeat1] = STATE(7876),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11689),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11260),
    [anon_sym_RPAREN] = ACTIONS(11260),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11260),
    [anon_sym_RBRACK] = ACTIONS(11260),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11260),
    [anon_sym_LBRACE] = ACTIONS(11260),
    [anon_sym_RBRACE] = ACTIONS(11260),
    [anon_sym_DOLLAR] = ACTIONS(11260),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12520),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11260),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11260),
    [aux_sym_integer_literal_token2] = ACTIONS(11260),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11260),
    [aux_sym_float_literal_token3] = ACTIONS(11260),
    [aux_sym_float_literal_token4] = ACTIONS(11260),
    [sym_character_literal] = ACTIONS(11260),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11260),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11260),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11260),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [8999] = {
    [sym_block_comment] = STATE(8999),
    [sym_line_comment] = STATE(8999),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(11139),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11139),
    [anon_sym_RPAREN] = ACTIONS(11139),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11139),
    [anon_sym_RBRACK] = ACTIONS(11139),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11139),
    [anon_sym_LBRACE] = ACTIONS(11139),
    [anon_sym_RBRACE] = ACTIONS(11139),
    [anon_sym_DOLLAR] = ACTIONS(11139),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11139),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11139),
    [aux_sym_integer_literal_token2] = ACTIONS(11139),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11139),
    [aux_sym_float_literal_token3] = ACTIONS(11139),
    [aux_sym_float_literal_token4] = ACTIONS(11139),
    [sym_character_literal] = ACTIONS(11139),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11139),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11139),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9000] = {
    [sym_block_comment] = STATE(9000),
    [sym_line_comment] = STATE(9000),
    [ts_builtin_sym_end] = ACTIONS(11790),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11788),
    [anon_sym_EQ] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_RBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9001] = {
    [sym_block_comment] = STATE(9001),
    [sym_line_comment] = STATE(9001),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_finally] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(11704),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(11704),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11704),
    [anon_sym_isa] = ACTIONS(11704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11704),
    [anon_sym_QMARK] = ACTIONS(11704),
    [anon_sym_where] = ACTIONS(11704),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(11704),
    [sym__arrow_operator] = ACTIONS(11704),
    [sym__lazy_or_operator] = ACTIONS(11704),
    [sym__lazy_and_operator] = ACTIONS(11704),
    [sym__comparison_operator] = ACTIONS(11704),
    [sym__pipe_right_operator] = ACTIONS(11704),
    [sym__pipe_left_operator] = ACTIONS(11704),
    [sym__ellipsis_operator] = ACTIONS(11704),
    [sym__plus_operator] = ACTIONS(11704),
    [sym__times_operator] = ACTIONS(11704),
    [sym__rational_operator] = ACTIONS(11704),
    [sym__bitshift_operator] = ACTIONS(11704),
    [sym__power_operator] = ACTIONS(11704),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(11704),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(11704),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9002] = {
    [sym_block_comment] = STATE(9002),
    [sym_line_comment] = STATE(9002),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(11378),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9003] = {
    [sym_block_comment] = STATE(9003),
    [sym_line_comment] = STATE(9003),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_else] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_finally] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11874),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9004] = {
    [sym_block_comment] = STATE(9004),
    [sym_line_comment] = STATE(9004),
    [aux_sym_open_tuple_repeat1] = STATE(9211),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(12582),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12590),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9005] = {
    [sym_block_comment] = STATE(9005),
    [sym_line_comment] = STATE(9005),
    [sym__word_identifier] = ACTIONS(11517),
    [anon_sym_COMMA] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(11517),
    [anon_sym_begin] = ACTIONS(11517),
    [anon_sym_module] = ACTIONS(11517),
    [anon_sym_baremodule] = ACTIONS(11517),
    [anon_sym_end] = ACTIONS(11517),
    [anon_sym_abstract] = ACTIONS(11517),
    [anon_sym_primitive] = ACTIONS(11517),
    [anon_sym_mutable] = ACTIONS(11517),
    [anon_sym_struct] = ACTIONS(11517),
    [anon_sym_function] = ACTIONS(11517),
    [anon_sym_macro] = ACTIONS(11517),
    [anon_sym_quote] = ACTIONS(11517),
    [anon_sym_let] = ACTIONS(11517),
    [anon_sym_if] = ACTIONS(11517),
    [anon_sym_try] = ACTIONS(11517),
    [anon_sym_catch] = ACTIONS(11517),
    [anon_sym_for] = ACTIONS(11517),
    [anon_sym_while] = ACTIONS(11517),
    [sym_break_statement] = ACTIONS(11517),
    [sym_continue_statement] = ACTIONS(11517),
    [anon_sym_return] = ACTIONS(11517),
    [anon_sym_const] = ACTIONS(11517),
    [anon_sym_global] = ACTIONS(11517),
    [anon_sym_local] = ACTIONS(11517),
    [anon_sym_LPAREN] = ACTIONS(11517),
    [anon_sym_COLON] = ACTIONS(11517),
    [anon_sym_export] = ACTIONS(11517),
    [anon_sym_public] = ACTIONS(11517),
    [anon_sym_import] = ACTIONS(11517),
    [anon_sym_using] = ACTIONS(11517),
    [anon_sym_LBRACK] = ACTIONS(11517),
    [anon_sym_in] = ACTIONS(11517),
    [anon_sym_SEMI] = ACTIONS(11517),
    [anon_sym_LBRACE] = ACTIONS(11517),
    [anon_sym_DOLLAR] = ACTIONS(11517),
    [anon_sym_COLON2] = ACTIONS(11517),
    [anon_sym_COLON_COLON] = ACTIONS(11517),
    [anon_sym_isa] = ACTIONS(11517),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11517),
    [anon_sym_QMARK] = ACTIONS(11517),
    [anon_sym_where] = ACTIONS(11517),
    [anon_sym_AT] = ACTIONS(11517),
    [anon_sym_true] = ACTIONS(11517),
    [anon_sym_false] = ACTIONS(11517),
    [aux_sym_integer_literal_token1] = ACTIONS(11517),
    [aux_sym_integer_literal_token2] = ACTIONS(11517),
    [aux_sym_integer_literal_token3] = ACTIONS(11517),
    [aux_sym_integer_literal_token4] = ACTIONS(11517),
    [aux_sym_float_literal_token1] = ACTIONS(11517),
    [aux_sym_float_literal_token3] = ACTIONS(11517),
    [aux_sym_float_literal_token4] = ACTIONS(11517),
    [sym_character_literal] = ACTIONS(11517),
    [anon_sym_DQUOTE] = ACTIONS(11517),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11517),
    [anon_sym_BQUOTE] = ACTIONS(11517),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11517),
    [sym__pair_operator] = ACTIONS(11517),
    [sym__arrow_operator] = ACTIONS(11517),
    [sym__lazy_or_operator] = ACTIONS(11517),
    [sym__lazy_and_operator] = ACTIONS(11517),
    [sym__comparison_operator] = ACTIONS(11517),
    [sym__pipe_right_operator] = ACTIONS(11517),
    [sym__pipe_left_operator] = ACTIONS(11517),
    [sym__ellipsis_operator] = ACTIONS(11517),
    [sym__plus_operator] = ACTIONS(11517),
    [sym__times_operator] = ACTIONS(11517),
    [sym__rational_operator] = ACTIONS(11517),
    [sym__bitshift_operator] = ACTIONS(11517),
    [sym__power_operator] = ACTIONS(11517),
    [sym__tilde_operator] = ACTIONS(11517),
    [sym__type_order_operator] = ACTIONS(11517),
    [sym__unary_operator] = ACTIONS(11517),
    [sym__unary_plus_operator] = ACTIONS(11517),
    [aux_sym__terminator_token1] = ACTIONS(11519),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9006] = {
    [sym_block_comment] = STATE(9006),
    [sym_line_comment] = STATE(9006),
    [aux_sym_open_tuple_repeat1] = STATE(9211),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(12582),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12590),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9007] = {
    [sym_block_comment] = STATE(9007),
    [sym_line_comment] = STATE(9007),
    [aux_sym_open_tuple_repeat1] = STATE(9211),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(12582),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12590),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9008] = {
    [sym_block_comment] = STATE(9008),
    [sym_line_comment] = STATE(9008),
    [aux_sym_open_tuple_repeat1] = STATE(9211),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(12582),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12590),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9009] = {
    [sym_block_comment] = STATE(9009),
    [sym_line_comment] = STATE(9009),
    [sym__word_identifier] = ACTIONS(11521),
    [anon_sym_COMMA] = ACTIONS(11521),
    [anon_sym_EQ] = ACTIONS(11521),
    [anon_sym_begin] = ACTIONS(11521),
    [anon_sym_module] = ACTIONS(11521),
    [anon_sym_baremodule] = ACTIONS(11521),
    [anon_sym_end] = ACTIONS(11521),
    [anon_sym_abstract] = ACTIONS(11521),
    [anon_sym_primitive] = ACTIONS(11521),
    [anon_sym_mutable] = ACTIONS(11521),
    [anon_sym_struct] = ACTIONS(11521),
    [anon_sym_function] = ACTIONS(11521),
    [anon_sym_macro] = ACTIONS(11521),
    [anon_sym_quote] = ACTIONS(11521),
    [anon_sym_let] = ACTIONS(11521),
    [anon_sym_if] = ACTIONS(11521),
    [anon_sym_try] = ACTIONS(11521),
    [anon_sym_catch] = ACTIONS(11521),
    [anon_sym_for] = ACTIONS(11521),
    [anon_sym_while] = ACTIONS(11521),
    [sym_break_statement] = ACTIONS(11521),
    [sym_continue_statement] = ACTIONS(11521),
    [anon_sym_return] = ACTIONS(11521),
    [anon_sym_const] = ACTIONS(11521),
    [anon_sym_global] = ACTIONS(11521),
    [anon_sym_local] = ACTIONS(11521),
    [anon_sym_LPAREN] = ACTIONS(11521),
    [anon_sym_COLON] = ACTIONS(11521),
    [anon_sym_export] = ACTIONS(11521),
    [anon_sym_public] = ACTIONS(11521),
    [anon_sym_import] = ACTIONS(11521),
    [anon_sym_using] = ACTIONS(11521),
    [anon_sym_LBRACK] = ACTIONS(11521),
    [anon_sym_in] = ACTIONS(11521),
    [anon_sym_SEMI] = ACTIONS(11521),
    [anon_sym_LBRACE] = ACTIONS(11521),
    [anon_sym_DOLLAR] = ACTIONS(11521),
    [anon_sym_COLON2] = ACTIONS(11521),
    [anon_sym_COLON_COLON] = ACTIONS(11521),
    [anon_sym_isa] = ACTIONS(11521),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11521),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_where] = ACTIONS(11521),
    [anon_sym_AT] = ACTIONS(11521),
    [anon_sym_true] = ACTIONS(11521),
    [anon_sym_false] = ACTIONS(11521),
    [aux_sym_integer_literal_token1] = ACTIONS(11521),
    [aux_sym_integer_literal_token2] = ACTIONS(11521),
    [aux_sym_integer_literal_token3] = ACTIONS(11521),
    [aux_sym_integer_literal_token4] = ACTIONS(11521),
    [aux_sym_float_literal_token1] = ACTIONS(11521),
    [aux_sym_float_literal_token3] = ACTIONS(11521),
    [aux_sym_float_literal_token4] = ACTIONS(11521),
    [sym_character_literal] = ACTIONS(11521),
    [anon_sym_DQUOTE] = ACTIONS(11521),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11521),
    [anon_sym_BQUOTE] = ACTIONS(11521),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11521),
    [sym__pair_operator] = ACTIONS(11521),
    [sym__arrow_operator] = ACTIONS(11521),
    [sym__lazy_or_operator] = ACTIONS(11521),
    [sym__lazy_and_operator] = ACTIONS(11521),
    [sym__comparison_operator] = ACTIONS(11521),
    [sym__pipe_right_operator] = ACTIONS(11521),
    [sym__pipe_left_operator] = ACTIONS(11521),
    [sym__ellipsis_operator] = ACTIONS(11521),
    [sym__plus_operator] = ACTIONS(11521),
    [sym__times_operator] = ACTIONS(11521),
    [sym__rational_operator] = ACTIONS(11521),
    [sym__bitshift_operator] = ACTIONS(11521),
    [sym__power_operator] = ACTIONS(11521),
    [sym__tilde_operator] = ACTIONS(11521),
    [sym__type_order_operator] = ACTIONS(11521),
    [sym__unary_operator] = ACTIONS(11521),
    [sym__unary_plus_operator] = ACTIONS(11521),
    [aux_sym__terminator_token1] = ACTIONS(11523),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9010] = {
    [sym_block_comment] = STATE(9010),
    [sym_line_comment] = STATE(9010),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_end] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_elseif] = ACTIONS(12151),
    [anon_sym_else] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(12618),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(12620),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(12620),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11356),
    [anon_sym_where] = ACTIONS(12622),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(12624),
    [sym__arrow_operator] = ACTIONS(12626),
    [sym__lazy_or_operator] = ACTIONS(12628),
    [sym__lazy_and_operator] = ACTIONS(12630),
    [sym__comparison_operator] = ACTIONS(12620),
    [sym__pipe_right_operator] = ACTIONS(12632),
    [sym__pipe_left_operator] = ACTIONS(12634),
    [sym__ellipsis_operator] = ACTIONS(12636),
    [sym__plus_operator] = ACTIONS(12638),
    [sym__times_operator] = ACTIONS(12640),
    [sym__rational_operator] = ACTIONS(12642),
    [sym__bitshift_operator] = ACTIONS(12644),
    [sym__power_operator] = ACTIONS(12542),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(12620),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12638),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9011] = {
    [sym_block_comment] = STATE(9011),
    [sym_line_comment] = STATE(9011),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_elseif] = ACTIONS(11382),
    [anon_sym_else] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11356),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9012] = {
    [sym_block_comment] = STATE(9012),
    [sym_line_comment] = STATE(9012),
    [sym__word_identifier] = ACTIONS(11525),
    [anon_sym_COMMA] = ACTIONS(11525),
    [anon_sym_EQ] = ACTIONS(11525),
    [anon_sym_begin] = ACTIONS(11525),
    [anon_sym_module] = ACTIONS(11525),
    [anon_sym_baremodule] = ACTIONS(11525),
    [anon_sym_end] = ACTIONS(11525),
    [anon_sym_abstract] = ACTIONS(11525),
    [anon_sym_primitive] = ACTIONS(11525),
    [anon_sym_mutable] = ACTIONS(11525),
    [anon_sym_struct] = ACTIONS(11525),
    [anon_sym_function] = ACTIONS(11525),
    [anon_sym_macro] = ACTIONS(11525),
    [anon_sym_quote] = ACTIONS(11525),
    [anon_sym_let] = ACTIONS(11525),
    [anon_sym_if] = ACTIONS(11525),
    [anon_sym_try] = ACTIONS(11525),
    [anon_sym_catch] = ACTIONS(11525),
    [anon_sym_for] = ACTIONS(11525),
    [anon_sym_while] = ACTIONS(11525),
    [sym_break_statement] = ACTIONS(11525),
    [sym_continue_statement] = ACTIONS(11525),
    [anon_sym_return] = ACTIONS(11525),
    [anon_sym_const] = ACTIONS(11525),
    [anon_sym_global] = ACTIONS(11525),
    [anon_sym_local] = ACTIONS(11525),
    [anon_sym_LPAREN] = ACTIONS(11525),
    [anon_sym_COLON] = ACTIONS(11525),
    [anon_sym_export] = ACTIONS(11525),
    [anon_sym_public] = ACTIONS(11525),
    [anon_sym_import] = ACTIONS(11525),
    [anon_sym_using] = ACTIONS(11525),
    [anon_sym_LBRACK] = ACTIONS(11525),
    [anon_sym_in] = ACTIONS(11525),
    [anon_sym_SEMI] = ACTIONS(11525),
    [anon_sym_LBRACE] = ACTIONS(11525),
    [anon_sym_DOLLAR] = ACTIONS(11525),
    [anon_sym_COLON2] = ACTIONS(11525),
    [anon_sym_COLON_COLON] = ACTIONS(11525),
    [anon_sym_isa] = ACTIONS(11525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_QMARK] = ACTIONS(11525),
    [anon_sym_where] = ACTIONS(11525),
    [anon_sym_AT] = ACTIONS(11525),
    [anon_sym_true] = ACTIONS(11525),
    [anon_sym_false] = ACTIONS(11525),
    [aux_sym_integer_literal_token1] = ACTIONS(11525),
    [aux_sym_integer_literal_token2] = ACTIONS(11525),
    [aux_sym_integer_literal_token3] = ACTIONS(11525),
    [aux_sym_integer_literal_token4] = ACTIONS(11525),
    [aux_sym_float_literal_token1] = ACTIONS(11525),
    [aux_sym_float_literal_token3] = ACTIONS(11525),
    [aux_sym_float_literal_token4] = ACTIONS(11525),
    [sym_character_literal] = ACTIONS(11525),
    [anon_sym_DQUOTE] = ACTIONS(11525),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11525),
    [anon_sym_BQUOTE] = ACTIONS(11525),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11525),
    [sym__pair_operator] = ACTIONS(11525),
    [sym__arrow_operator] = ACTIONS(11525),
    [sym__lazy_or_operator] = ACTIONS(11525),
    [sym__lazy_and_operator] = ACTIONS(11525),
    [sym__comparison_operator] = ACTIONS(11525),
    [sym__pipe_right_operator] = ACTIONS(11525),
    [sym__pipe_left_operator] = ACTIONS(11525),
    [sym__ellipsis_operator] = ACTIONS(11525),
    [sym__plus_operator] = ACTIONS(11525),
    [sym__times_operator] = ACTIONS(11525),
    [sym__rational_operator] = ACTIONS(11525),
    [sym__bitshift_operator] = ACTIONS(11525),
    [sym__power_operator] = ACTIONS(11525),
    [sym__tilde_operator] = ACTIONS(11525),
    [sym__type_order_operator] = ACTIONS(11525),
    [sym__unary_operator] = ACTIONS(11525),
    [sym__unary_plus_operator] = ACTIONS(11525),
    [aux_sym__terminator_token1] = ACTIONS(11527),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9013] = {
    [sym_block_comment] = STATE(9013),
    [sym_line_comment] = STATE(9013),
    [sym__word_identifier] = ACTIONS(11529),
    [anon_sym_COMMA] = ACTIONS(11529),
    [anon_sym_EQ] = ACTIONS(11529),
    [anon_sym_begin] = ACTIONS(11529),
    [anon_sym_module] = ACTIONS(11529),
    [anon_sym_baremodule] = ACTIONS(11529),
    [anon_sym_end] = ACTIONS(11529),
    [anon_sym_abstract] = ACTIONS(11529),
    [anon_sym_primitive] = ACTIONS(11529),
    [anon_sym_mutable] = ACTIONS(11529),
    [anon_sym_struct] = ACTIONS(11529),
    [anon_sym_function] = ACTIONS(11529),
    [anon_sym_macro] = ACTIONS(11529),
    [anon_sym_quote] = ACTIONS(11529),
    [anon_sym_let] = ACTIONS(11529),
    [anon_sym_if] = ACTIONS(11529),
    [anon_sym_try] = ACTIONS(11529),
    [anon_sym_catch] = ACTIONS(11529),
    [anon_sym_for] = ACTIONS(11529),
    [anon_sym_while] = ACTIONS(11529),
    [sym_break_statement] = ACTIONS(11529),
    [sym_continue_statement] = ACTIONS(11529),
    [anon_sym_return] = ACTIONS(11529),
    [anon_sym_const] = ACTIONS(11529),
    [anon_sym_global] = ACTIONS(11529),
    [anon_sym_local] = ACTIONS(11529),
    [anon_sym_LPAREN] = ACTIONS(11529),
    [anon_sym_COLON] = ACTIONS(11529),
    [anon_sym_export] = ACTIONS(11529),
    [anon_sym_public] = ACTIONS(11529),
    [anon_sym_import] = ACTIONS(11529),
    [anon_sym_using] = ACTIONS(11529),
    [anon_sym_LBRACK] = ACTIONS(11529),
    [anon_sym_in] = ACTIONS(11529),
    [anon_sym_SEMI] = ACTIONS(11529),
    [anon_sym_LBRACE] = ACTIONS(11529),
    [anon_sym_DOLLAR] = ACTIONS(11529),
    [anon_sym_COLON2] = ACTIONS(11529),
    [anon_sym_COLON_COLON] = ACTIONS(11529),
    [anon_sym_isa] = ACTIONS(11529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11529),
    [anon_sym_QMARK] = ACTIONS(11529),
    [anon_sym_where] = ACTIONS(11529),
    [anon_sym_AT] = ACTIONS(11529),
    [anon_sym_true] = ACTIONS(11529),
    [anon_sym_false] = ACTIONS(11529),
    [aux_sym_integer_literal_token1] = ACTIONS(11529),
    [aux_sym_integer_literal_token2] = ACTIONS(11529),
    [aux_sym_integer_literal_token3] = ACTIONS(11529),
    [aux_sym_integer_literal_token4] = ACTIONS(11529),
    [aux_sym_float_literal_token1] = ACTIONS(11529),
    [aux_sym_float_literal_token3] = ACTIONS(11529),
    [aux_sym_float_literal_token4] = ACTIONS(11529),
    [sym_character_literal] = ACTIONS(11529),
    [anon_sym_DQUOTE] = ACTIONS(11529),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11529),
    [anon_sym_BQUOTE] = ACTIONS(11529),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11529),
    [sym__pair_operator] = ACTIONS(11529),
    [sym__arrow_operator] = ACTIONS(11529),
    [sym__lazy_or_operator] = ACTIONS(11529),
    [sym__lazy_and_operator] = ACTIONS(11529),
    [sym__comparison_operator] = ACTIONS(11529),
    [sym__pipe_right_operator] = ACTIONS(11529),
    [sym__pipe_left_operator] = ACTIONS(11529),
    [sym__ellipsis_operator] = ACTIONS(11529),
    [sym__plus_operator] = ACTIONS(11529),
    [sym__times_operator] = ACTIONS(11529),
    [sym__rational_operator] = ACTIONS(11529),
    [sym__bitshift_operator] = ACTIONS(11529),
    [sym__power_operator] = ACTIONS(11529),
    [sym__tilde_operator] = ACTIONS(11529),
    [sym__type_order_operator] = ACTIONS(11529),
    [sym__unary_operator] = ACTIONS(11529),
    [sym__unary_plus_operator] = ACTIONS(11529),
    [aux_sym__terminator_token1] = ACTIONS(11531),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9014] = {
    [sym_block_comment] = STATE(9014),
    [sym_line_comment] = STATE(9014),
    [sym__word_identifier] = ACTIONS(11533),
    [anon_sym_COMMA] = ACTIONS(11533),
    [anon_sym_EQ] = ACTIONS(11533),
    [anon_sym_begin] = ACTIONS(11533),
    [anon_sym_module] = ACTIONS(11533),
    [anon_sym_baremodule] = ACTIONS(11533),
    [anon_sym_end] = ACTIONS(11533),
    [anon_sym_abstract] = ACTIONS(11533),
    [anon_sym_primitive] = ACTIONS(11533),
    [anon_sym_mutable] = ACTIONS(11533),
    [anon_sym_struct] = ACTIONS(11533),
    [anon_sym_function] = ACTIONS(11533),
    [anon_sym_macro] = ACTIONS(11533),
    [anon_sym_quote] = ACTIONS(11533),
    [anon_sym_let] = ACTIONS(11533),
    [anon_sym_if] = ACTIONS(11533),
    [anon_sym_try] = ACTIONS(11533),
    [anon_sym_catch] = ACTIONS(11533),
    [anon_sym_for] = ACTIONS(11533),
    [anon_sym_while] = ACTIONS(11533),
    [sym_break_statement] = ACTIONS(11533),
    [sym_continue_statement] = ACTIONS(11533),
    [anon_sym_return] = ACTIONS(11533),
    [anon_sym_const] = ACTIONS(11533),
    [anon_sym_global] = ACTIONS(11533),
    [anon_sym_local] = ACTIONS(11533),
    [anon_sym_LPAREN] = ACTIONS(11533),
    [anon_sym_COLON] = ACTIONS(11533),
    [anon_sym_export] = ACTIONS(11533),
    [anon_sym_public] = ACTIONS(11533),
    [anon_sym_import] = ACTIONS(11533),
    [anon_sym_using] = ACTIONS(11533),
    [anon_sym_LBRACK] = ACTIONS(11533),
    [anon_sym_in] = ACTIONS(11533),
    [anon_sym_SEMI] = ACTIONS(11533),
    [anon_sym_LBRACE] = ACTIONS(11533),
    [anon_sym_DOLLAR] = ACTIONS(11533),
    [anon_sym_COLON2] = ACTIONS(11533),
    [anon_sym_COLON_COLON] = ACTIONS(11533),
    [anon_sym_isa] = ACTIONS(11533),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11533),
    [anon_sym_QMARK] = ACTIONS(11533),
    [anon_sym_where] = ACTIONS(11533),
    [anon_sym_AT] = ACTIONS(11533),
    [anon_sym_true] = ACTIONS(11533),
    [anon_sym_false] = ACTIONS(11533),
    [aux_sym_integer_literal_token1] = ACTIONS(11533),
    [aux_sym_integer_literal_token2] = ACTIONS(11533),
    [aux_sym_integer_literal_token3] = ACTIONS(11533),
    [aux_sym_integer_literal_token4] = ACTIONS(11533),
    [aux_sym_float_literal_token1] = ACTIONS(11533),
    [aux_sym_float_literal_token3] = ACTIONS(11533),
    [aux_sym_float_literal_token4] = ACTIONS(11533),
    [sym_character_literal] = ACTIONS(11533),
    [anon_sym_DQUOTE] = ACTIONS(11533),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11533),
    [anon_sym_BQUOTE] = ACTIONS(11533),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11533),
    [sym__pair_operator] = ACTIONS(11533),
    [sym__arrow_operator] = ACTIONS(11533),
    [sym__lazy_or_operator] = ACTIONS(11533),
    [sym__lazy_and_operator] = ACTIONS(11533),
    [sym__comparison_operator] = ACTIONS(11533),
    [sym__pipe_right_operator] = ACTIONS(11533),
    [sym__pipe_left_operator] = ACTIONS(11533),
    [sym__ellipsis_operator] = ACTIONS(11533),
    [sym__plus_operator] = ACTIONS(11533),
    [sym__times_operator] = ACTIONS(11533),
    [sym__rational_operator] = ACTIONS(11533),
    [sym__bitshift_operator] = ACTIONS(11533),
    [sym__power_operator] = ACTIONS(11533),
    [sym__tilde_operator] = ACTIONS(11533),
    [sym__type_order_operator] = ACTIONS(11533),
    [sym__unary_operator] = ACTIONS(11533),
    [sym__unary_plus_operator] = ACTIONS(11533),
    [aux_sym__terminator_token1] = ACTIONS(11535),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9015] = {
    [sym_block_comment] = STATE(9015),
    [sym_line_comment] = STATE(9015),
    [sym__word_identifier] = ACTIONS(11537),
    [anon_sym_COMMA] = ACTIONS(11537),
    [anon_sym_EQ] = ACTIONS(11537),
    [anon_sym_begin] = ACTIONS(11537),
    [anon_sym_module] = ACTIONS(11537),
    [anon_sym_baremodule] = ACTIONS(11537),
    [anon_sym_end] = ACTIONS(11537),
    [anon_sym_abstract] = ACTIONS(11537),
    [anon_sym_primitive] = ACTIONS(11537),
    [anon_sym_mutable] = ACTIONS(11537),
    [anon_sym_struct] = ACTIONS(11537),
    [anon_sym_function] = ACTIONS(11537),
    [anon_sym_macro] = ACTIONS(11537),
    [anon_sym_quote] = ACTIONS(11537),
    [anon_sym_let] = ACTIONS(11537),
    [anon_sym_if] = ACTIONS(11537),
    [anon_sym_try] = ACTIONS(11537),
    [anon_sym_catch] = ACTIONS(11537),
    [anon_sym_for] = ACTIONS(11537),
    [anon_sym_while] = ACTIONS(11537),
    [sym_break_statement] = ACTIONS(11537),
    [sym_continue_statement] = ACTIONS(11537),
    [anon_sym_return] = ACTIONS(11537),
    [anon_sym_const] = ACTIONS(11537),
    [anon_sym_global] = ACTIONS(11537),
    [anon_sym_local] = ACTIONS(11537),
    [anon_sym_LPAREN] = ACTIONS(11537),
    [anon_sym_COLON] = ACTIONS(11537),
    [anon_sym_export] = ACTIONS(11537),
    [anon_sym_public] = ACTIONS(11537),
    [anon_sym_import] = ACTIONS(11537),
    [anon_sym_using] = ACTIONS(11537),
    [anon_sym_LBRACK] = ACTIONS(11537),
    [anon_sym_in] = ACTIONS(11537),
    [anon_sym_SEMI] = ACTIONS(11537),
    [anon_sym_LBRACE] = ACTIONS(11537),
    [anon_sym_DOLLAR] = ACTIONS(11537),
    [anon_sym_COLON2] = ACTIONS(11537),
    [anon_sym_COLON_COLON] = ACTIONS(11537),
    [anon_sym_isa] = ACTIONS(11537),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11537),
    [anon_sym_QMARK] = ACTIONS(11537),
    [anon_sym_where] = ACTIONS(11537),
    [anon_sym_AT] = ACTIONS(11537),
    [anon_sym_true] = ACTIONS(11537),
    [anon_sym_false] = ACTIONS(11537),
    [aux_sym_integer_literal_token1] = ACTIONS(11537),
    [aux_sym_integer_literal_token2] = ACTIONS(11537),
    [aux_sym_integer_literal_token3] = ACTIONS(11537),
    [aux_sym_integer_literal_token4] = ACTIONS(11537),
    [aux_sym_float_literal_token1] = ACTIONS(11537),
    [aux_sym_float_literal_token3] = ACTIONS(11537),
    [aux_sym_float_literal_token4] = ACTIONS(11537),
    [sym_character_literal] = ACTIONS(11537),
    [anon_sym_DQUOTE] = ACTIONS(11537),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11537),
    [anon_sym_BQUOTE] = ACTIONS(11537),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11537),
    [sym__pair_operator] = ACTIONS(11537),
    [sym__arrow_operator] = ACTIONS(11537),
    [sym__lazy_or_operator] = ACTIONS(11537),
    [sym__lazy_and_operator] = ACTIONS(11537),
    [sym__comparison_operator] = ACTIONS(11537),
    [sym__pipe_right_operator] = ACTIONS(11537),
    [sym__pipe_left_operator] = ACTIONS(11537),
    [sym__ellipsis_operator] = ACTIONS(11537),
    [sym__plus_operator] = ACTIONS(11537),
    [sym__times_operator] = ACTIONS(11537),
    [sym__rational_operator] = ACTIONS(11537),
    [sym__bitshift_operator] = ACTIONS(11537),
    [sym__power_operator] = ACTIONS(11537),
    [sym__tilde_operator] = ACTIONS(11537),
    [sym__type_order_operator] = ACTIONS(11537),
    [sym__unary_operator] = ACTIONS(11537),
    [sym__unary_plus_operator] = ACTIONS(11537),
    [aux_sym__terminator_token1] = ACTIONS(11539),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9016] = {
    [sym_block_comment] = STATE(9016),
    [sym_line_comment] = STATE(9016),
    [aux_sym_open_tuple_repeat1] = STATE(9211),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(12582),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12590),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9017] = {
    [sym_block_comment] = STATE(9017),
    [sym_line_comment] = STATE(9017),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12618),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12620),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(12620),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11356),
    [anon_sym_where] = ACTIONS(12622),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(12624),
    [sym__arrow_operator] = ACTIONS(12626),
    [sym__lazy_or_operator] = ACTIONS(12628),
    [sym__lazy_and_operator] = ACTIONS(12630),
    [sym__comparison_operator] = ACTIONS(12620),
    [sym__pipe_right_operator] = ACTIONS(12632),
    [sym__pipe_left_operator] = ACTIONS(12634),
    [sym__ellipsis_operator] = ACTIONS(12636),
    [sym__plus_operator] = ACTIONS(12638),
    [sym__times_operator] = ACTIONS(12640),
    [sym__rational_operator] = ACTIONS(12642),
    [sym__bitshift_operator] = ACTIONS(12644),
    [sym__power_operator] = ACTIONS(12542),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12620),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12638),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9018] = {
    [sym_block_comment] = STATE(9018),
    [sym_line_comment] = STATE(9018),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_elseif] = ACTIONS(11704),
    [anon_sym_else] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(11168),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(11170),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11170),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11356),
    [anon_sym_where] = ACTIONS(11176),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(11178),
    [sym__arrow_operator] = ACTIONS(11180),
    [sym__lazy_or_operator] = ACTIONS(11182),
    [sym__lazy_and_operator] = ACTIONS(11184),
    [sym__comparison_operator] = ACTIONS(11170),
    [sym__pipe_right_operator] = ACTIONS(11186),
    [sym__pipe_left_operator] = ACTIONS(11188),
    [sym__ellipsis_operator] = ACTIONS(11190),
    [sym__plus_operator] = ACTIONS(11192),
    [sym__times_operator] = ACTIONS(11194),
    [sym__rational_operator] = ACTIONS(11196),
    [sym__bitshift_operator] = ACTIONS(11198),
    [sym__power_operator] = ACTIONS(11200),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(11170),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(11192),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9019] = {
    [sym_block_comment] = STATE(9019),
    [sym_line_comment] = STATE(9019),
    [sym__word_identifier] = ACTIONS(11541),
    [anon_sym_COMMA] = ACTIONS(11541),
    [anon_sym_EQ] = ACTIONS(11541),
    [anon_sym_begin] = ACTIONS(11541),
    [anon_sym_module] = ACTIONS(11541),
    [anon_sym_baremodule] = ACTIONS(11541),
    [anon_sym_end] = ACTIONS(11541),
    [anon_sym_abstract] = ACTIONS(11541),
    [anon_sym_primitive] = ACTIONS(11541),
    [anon_sym_mutable] = ACTIONS(11541),
    [anon_sym_struct] = ACTIONS(11541),
    [anon_sym_function] = ACTIONS(11541),
    [anon_sym_macro] = ACTIONS(11541),
    [anon_sym_quote] = ACTIONS(11541),
    [anon_sym_let] = ACTIONS(11541),
    [anon_sym_if] = ACTIONS(11541),
    [anon_sym_try] = ACTIONS(11541),
    [anon_sym_catch] = ACTIONS(11541),
    [anon_sym_for] = ACTIONS(11541),
    [anon_sym_while] = ACTIONS(11541),
    [sym_break_statement] = ACTIONS(11541),
    [sym_continue_statement] = ACTIONS(11541),
    [anon_sym_return] = ACTIONS(11541),
    [anon_sym_const] = ACTIONS(11541),
    [anon_sym_global] = ACTIONS(11541),
    [anon_sym_local] = ACTIONS(11541),
    [anon_sym_LPAREN] = ACTIONS(11541),
    [anon_sym_COLON] = ACTIONS(11541),
    [anon_sym_export] = ACTIONS(11541),
    [anon_sym_public] = ACTIONS(11541),
    [anon_sym_import] = ACTIONS(11541),
    [anon_sym_using] = ACTIONS(11541),
    [anon_sym_LBRACK] = ACTIONS(11541),
    [anon_sym_in] = ACTIONS(11541),
    [anon_sym_SEMI] = ACTIONS(11541),
    [anon_sym_LBRACE] = ACTIONS(11541),
    [anon_sym_DOLLAR] = ACTIONS(11541),
    [anon_sym_COLON2] = ACTIONS(11541),
    [anon_sym_COLON_COLON] = ACTIONS(11541),
    [anon_sym_isa] = ACTIONS(11541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11541),
    [anon_sym_QMARK] = ACTIONS(11541),
    [anon_sym_where] = ACTIONS(11541),
    [anon_sym_AT] = ACTIONS(11541),
    [anon_sym_true] = ACTIONS(11541),
    [anon_sym_false] = ACTIONS(11541),
    [aux_sym_integer_literal_token1] = ACTIONS(11541),
    [aux_sym_integer_literal_token2] = ACTIONS(11541),
    [aux_sym_integer_literal_token3] = ACTIONS(11541),
    [aux_sym_integer_literal_token4] = ACTIONS(11541),
    [aux_sym_float_literal_token1] = ACTIONS(11541),
    [aux_sym_float_literal_token3] = ACTIONS(11541),
    [aux_sym_float_literal_token4] = ACTIONS(11541),
    [sym_character_literal] = ACTIONS(11541),
    [anon_sym_DQUOTE] = ACTIONS(11541),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11541),
    [anon_sym_BQUOTE] = ACTIONS(11541),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11541),
    [sym__pair_operator] = ACTIONS(11541),
    [sym__arrow_operator] = ACTIONS(11541),
    [sym__lazy_or_operator] = ACTIONS(11541),
    [sym__lazy_and_operator] = ACTIONS(11541),
    [sym__comparison_operator] = ACTIONS(11541),
    [sym__pipe_right_operator] = ACTIONS(11541),
    [sym__pipe_left_operator] = ACTIONS(11541),
    [sym__ellipsis_operator] = ACTIONS(11541),
    [sym__plus_operator] = ACTIONS(11541),
    [sym__times_operator] = ACTIONS(11541),
    [sym__rational_operator] = ACTIONS(11541),
    [sym__bitshift_operator] = ACTIONS(11541),
    [sym__power_operator] = ACTIONS(11541),
    [sym__tilde_operator] = ACTIONS(11541),
    [sym__type_order_operator] = ACTIONS(11541),
    [sym__unary_operator] = ACTIONS(11541),
    [sym__unary_plus_operator] = ACTIONS(11541),
    [aux_sym__terminator_token1] = ACTIONS(11543),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9020] = {
    [sym_block_comment] = STATE(9020),
    [sym_line_comment] = STATE(9020),
    [sym__word_identifier] = ACTIONS(11545),
    [anon_sym_COMMA] = ACTIONS(11545),
    [anon_sym_EQ] = ACTIONS(11545),
    [anon_sym_begin] = ACTIONS(11545),
    [anon_sym_module] = ACTIONS(11545),
    [anon_sym_baremodule] = ACTIONS(11545),
    [anon_sym_end] = ACTIONS(11545),
    [anon_sym_abstract] = ACTIONS(11545),
    [anon_sym_primitive] = ACTIONS(11545),
    [anon_sym_mutable] = ACTIONS(11545),
    [anon_sym_struct] = ACTIONS(11545),
    [anon_sym_function] = ACTIONS(11545),
    [anon_sym_macro] = ACTIONS(11545),
    [anon_sym_quote] = ACTIONS(11545),
    [anon_sym_let] = ACTIONS(11545),
    [anon_sym_if] = ACTIONS(11545),
    [anon_sym_try] = ACTIONS(11545),
    [anon_sym_catch] = ACTIONS(11545),
    [anon_sym_for] = ACTIONS(11545),
    [anon_sym_while] = ACTIONS(11545),
    [sym_break_statement] = ACTIONS(11545),
    [sym_continue_statement] = ACTIONS(11545),
    [anon_sym_return] = ACTIONS(11545),
    [anon_sym_const] = ACTIONS(11545),
    [anon_sym_global] = ACTIONS(11545),
    [anon_sym_local] = ACTIONS(11545),
    [anon_sym_LPAREN] = ACTIONS(11545),
    [anon_sym_COLON] = ACTIONS(11545),
    [anon_sym_export] = ACTIONS(11545),
    [anon_sym_public] = ACTIONS(11545),
    [anon_sym_import] = ACTIONS(11545),
    [anon_sym_using] = ACTIONS(11545),
    [anon_sym_LBRACK] = ACTIONS(11545),
    [anon_sym_in] = ACTIONS(11545),
    [anon_sym_SEMI] = ACTIONS(11545),
    [anon_sym_LBRACE] = ACTIONS(11545),
    [anon_sym_DOLLAR] = ACTIONS(11545),
    [anon_sym_COLON2] = ACTIONS(11545),
    [anon_sym_COLON_COLON] = ACTIONS(11545),
    [anon_sym_isa] = ACTIONS(11545),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11545),
    [anon_sym_QMARK] = ACTIONS(11545),
    [anon_sym_where] = ACTIONS(11545),
    [anon_sym_AT] = ACTIONS(11545),
    [anon_sym_true] = ACTIONS(11545),
    [anon_sym_false] = ACTIONS(11545),
    [aux_sym_integer_literal_token1] = ACTIONS(11545),
    [aux_sym_integer_literal_token2] = ACTIONS(11545),
    [aux_sym_integer_literal_token3] = ACTIONS(11545),
    [aux_sym_integer_literal_token4] = ACTIONS(11545),
    [aux_sym_float_literal_token1] = ACTIONS(11545),
    [aux_sym_float_literal_token3] = ACTIONS(11545),
    [aux_sym_float_literal_token4] = ACTIONS(11545),
    [sym_character_literal] = ACTIONS(11545),
    [anon_sym_DQUOTE] = ACTIONS(11545),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11545),
    [anon_sym_BQUOTE] = ACTIONS(11545),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11545),
    [sym__pair_operator] = ACTIONS(11545),
    [sym__arrow_operator] = ACTIONS(11545),
    [sym__lazy_or_operator] = ACTIONS(11545),
    [sym__lazy_and_operator] = ACTIONS(11545),
    [sym__comparison_operator] = ACTIONS(11545),
    [sym__pipe_right_operator] = ACTIONS(11545),
    [sym__pipe_left_operator] = ACTIONS(11545),
    [sym__ellipsis_operator] = ACTIONS(11545),
    [sym__plus_operator] = ACTIONS(11545),
    [sym__times_operator] = ACTIONS(11545),
    [sym__rational_operator] = ACTIONS(11545),
    [sym__bitshift_operator] = ACTIONS(11545),
    [sym__power_operator] = ACTIONS(11545),
    [sym__tilde_operator] = ACTIONS(11545),
    [sym__type_order_operator] = ACTIONS(11545),
    [sym__unary_operator] = ACTIONS(11545),
    [sym__unary_plus_operator] = ACTIONS(11545),
    [aux_sym__terminator_token1] = ACTIONS(11547),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9021] = {
    [sym_block_comment] = STATE(9021),
    [sym_line_comment] = STATE(9021),
    [sym__word_identifier] = ACTIONS(11549),
    [anon_sym_COMMA] = ACTIONS(11549),
    [anon_sym_EQ] = ACTIONS(11549),
    [anon_sym_begin] = ACTIONS(11549),
    [anon_sym_module] = ACTIONS(11549),
    [anon_sym_baremodule] = ACTIONS(11549),
    [anon_sym_end] = ACTIONS(11549),
    [anon_sym_abstract] = ACTIONS(11549),
    [anon_sym_primitive] = ACTIONS(11549),
    [anon_sym_mutable] = ACTIONS(11549),
    [anon_sym_struct] = ACTIONS(11549),
    [anon_sym_function] = ACTIONS(11549),
    [anon_sym_macro] = ACTIONS(11549),
    [anon_sym_quote] = ACTIONS(11549),
    [anon_sym_let] = ACTIONS(11549),
    [anon_sym_if] = ACTIONS(11549),
    [anon_sym_try] = ACTIONS(11549),
    [anon_sym_catch] = ACTIONS(11549),
    [anon_sym_for] = ACTIONS(11549),
    [anon_sym_while] = ACTIONS(11549),
    [sym_break_statement] = ACTIONS(11549),
    [sym_continue_statement] = ACTIONS(11549),
    [anon_sym_return] = ACTIONS(11549),
    [anon_sym_const] = ACTIONS(11549),
    [anon_sym_global] = ACTIONS(11549),
    [anon_sym_local] = ACTIONS(11549),
    [anon_sym_LPAREN] = ACTIONS(11549),
    [anon_sym_COLON] = ACTIONS(11549),
    [anon_sym_export] = ACTIONS(11549),
    [anon_sym_public] = ACTIONS(11549),
    [anon_sym_import] = ACTIONS(11549),
    [anon_sym_using] = ACTIONS(11549),
    [anon_sym_LBRACK] = ACTIONS(11549),
    [anon_sym_in] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(11549),
    [anon_sym_LBRACE] = ACTIONS(11549),
    [anon_sym_DOLLAR] = ACTIONS(11549),
    [anon_sym_COLON2] = ACTIONS(11549),
    [anon_sym_COLON_COLON] = ACTIONS(11549),
    [anon_sym_isa] = ACTIONS(11549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11549),
    [anon_sym_QMARK] = ACTIONS(11549),
    [anon_sym_where] = ACTIONS(11549),
    [anon_sym_AT] = ACTIONS(11549),
    [anon_sym_true] = ACTIONS(11549),
    [anon_sym_false] = ACTIONS(11549),
    [aux_sym_integer_literal_token1] = ACTIONS(11549),
    [aux_sym_integer_literal_token2] = ACTIONS(11549),
    [aux_sym_integer_literal_token3] = ACTIONS(11549),
    [aux_sym_integer_literal_token4] = ACTIONS(11549),
    [aux_sym_float_literal_token1] = ACTIONS(11549),
    [aux_sym_float_literal_token3] = ACTIONS(11549),
    [aux_sym_float_literal_token4] = ACTIONS(11549),
    [sym_character_literal] = ACTIONS(11549),
    [anon_sym_DQUOTE] = ACTIONS(11549),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11549),
    [anon_sym_BQUOTE] = ACTIONS(11549),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11549),
    [sym__pair_operator] = ACTIONS(11549),
    [sym__arrow_operator] = ACTIONS(11549),
    [sym__lazy_or_operator] = ACTIONS(11549),
    [sym__lazy_and_operator] = ACTIONS(11549),
    [sym__comparison_operator] = ACTIONS(11549),
    [sym__pipe_right_operator] = ACTIONS(11549),
    [sym__pipe_left_operator] = ACTIONS(11549),
    [sym__ellipsis_operator] = ACTIONS(11549),
    [sym__plus_operator] = ACTIONS(11549),
    [sym__times_operator] = ACTIONS(11549),
    [sym__rational_operator] = ACTIONS(11549),
    [sym__bitshift_operator] = ACTIONS(11549),
    [sym__power_operator] = ACTIONS(11549),
    [sym__tilde_operator] = ACTIONS(11549),
    [sym__type_order_operator] = ACTIONS(11549),
    [sym__unary_operator] = ACTIONS(11549),
    [sym__unary_plus_operator] = ACTIONS(11549),
    [aux_sym__terminator_token1] = ACTIONS(11551),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9022] = {
    [sym_block_comment] = STATE(9022),
    [sym_line_comment] = STATE(9022),
    [sym__word_identifier] = ACTIONS(11553),
    [anon_sym_COMMA] = ACTIONS(11553),
    [anon_sym_EQ] = ACTIONS(11553),
    [anon_sym_begin] = ACTIONS(11553),
    [anon_sym_module] = ACTIONS(11553),
    [anon_sym_baremodule] = ACTIONS(11553),
    [anon_sym_end] = ACTIONS(11553),
    [anon_sym_abstract] = ACTIONS(11553),
    [anon_sym_primitive] = ACTIONS(11553),
    [anon_sym_mutable] = ACTIONS(11553),
    [anon_sym_struct] = ACTIONS(11553),
    [anon_sym_function] = ACTIONS(11553),
    [anon_sym_macro] = ACTIONS(11553),
    [anon_sym_quote] = ACTIONS(11553),
    [anon_sym_let] = ACTIONS(11553),
    [anon_sym_if] = ACTIONS(11553),
    [anon_sym_try] = ACTIONS(11553),
    [anon_sym_catch] = ACTIONS(11553),
    [anon_sym_for] = ACTIONS(11553),
    [anon_sym_while] = ACTIONS(11553),
    [sym_break_statement] = ACTIONS(11553),
    [sym_continue_statement] = ACTIONS(11553),
    [anon_sym_return] = ACTIONS(11553),
    [anon_sym_const] = ACTIONS(11553),
    [anon_sym_global] = ACTIONS(11553),
    [anon_sym_local] = ACTIONS(11553),
    [anon_sym_LPAREN] = ACTIONS(11553),
    [anon_sym_COLON] = ACTIONS(11553),
    [anon_sym_export] = ACTIONS(11553),
    [anon_sym_public] = ACTIONS(11553),
    [anon_sym_import] = ACTIONS(11553),
    [anon_sym_using] = ACTIONS(11553),
    [anon_sym_LBRACK] = ACTIONS(11553),
    [anon_sym_in] = ACTIONS(11553),
    [anon_sym_SEMI] = ACTIONS(11553),
    [anon_sym_LBRACE] = ACTIONS(11553),
    [anon_sym_DOLLAR] = ACTIONS(11553),
    [anon_sym_COLON2] = ACTIONS(11553),
    [anon_sym_COLON_COLON] = ACTIONS(11553),
    [anon_sym_isa] = ACTIONS(11553),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11553),
    [anon_sym_QMARK] = ACTIONS(11553),
    [anon_sym_where] = ACTIONS(11553),
    [anon_sym_AT] = ACTIONS(11553),
    [anon_sym_true] = ACTIONS(11553),
    [anon_sym_false] = ACTIONS(11553),
    [aux_sym_integer_literal_token1] = ACTIONS(11553),
    [aux_sym_integer_literal_token2] = ACTIONS(11553),
    [aux_sym_integer_literal_token3] = ACTIONS(11553),
    [aux_sym_integer_literal_token4] = ACTIONS(11553),
    [aux_sym_float_literal_token1] = ACTIONS(11553),
    [aux_sym_float_literal_token3] = ACTIONS(11553),
    [aux_sym_float_literal_token4] = ACTIONS(11553),
    [sym_character_literal] = ACTIONS(11553),
    [anon_sym_DQUOTE] = ACTIONS(11553),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11553),
    [anon_sym_BQUOTE] = ACTIONS(11553),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11553),
    [sym__pair_operator] = ACTIONS(11553),
    [sym__arrow_operator] = ACTIONS(11553),
    [sym__lazy_or_operator] = ACTIONS(11553),
    [sym__lazy_and_operator] = ACTIONS(11553),
    [sym__comparison_operator] = ACTIONS(11553),
    [sym__pipe_right_operator] = ACTIONS(11553),
    [sym__pipe_left_operator] = ACTIONS(11553),
    [sym__ellipsis_operator] = ACTIONS(11553),
    [sym__plus_operator] = ACTIONS(11553),
    [sym__times_operator] = ACTIONS(11553),
    [sym__rational_operator] = ACTIONS(11553),
    [sym__bitshift_operator] = ACTIONS(11553),
    [sym__power_operator] = ACTIONS(11553),
    [sym__tilde_operator] = ACTIONS(11553),
    [sym__type_order_operator] = ACTIONS(11553),
    [sym__unary_operator] = ACTIONS(11553),
    [sym__unary_plus_operator] = ACTIONS(11553),
    [aux_sym__terminator_token1] = ACTIONS(11555),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9023] = {
    [sym_block_comment] = STATE(9023),
    [sym_line_comment] = STATE(9023),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11218),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12590),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9024] = {
    [sym_block_comment] = STATE(9024),
    [sym_line_comment] = STATE(9024),
    [sym__word_identifier] = ACTIONS(11557),
    [anon_sym_COMMA] = ACTIONS(11557),
    [anon_sym_EQ] = ACTIONS(11557),
    [anon_sym_begin] = ACTIONS(11557),
    [anon_sym_module] = ACTIONS(11557),
    [anon_sym_baremodule] = ACTIONS(11557),
    [anon_sym_end] = ACTIONS(11557),
    [anon_sym_abstract] = ACTIONS(11557),
    [anon_sym_primitive] = ACTIONS(11557),
    [anon_sym_mutable] = ACTIONS(11557),
    [anon_sym_struct] = ACTIONS(11557),
    [anon_sym_function] = ACTIONS(11557),
    [anon_sym_macro] = ACTIONS(11557),
    [anon_sym_quote] = ACTIONS(11557),
    [anon_sym_let] = ACTIONS(11557),
    [anon_sym_if] = ACTIONS(11557),
    [anon_sym_try] = ACTIONS(11557),
    [anon_sym_catch] = ACTIONS(11557),
    [anon_sym_for] = ACTIONS(11557),
    [anon_sym_while] = ACTIONS(11557),
    [sym_break_statement] = ACTIONS(11557),
    [sym_continue_statement] = ACTIONS(11557),
    [anon_sym_return] = ACTIONS(11557),
    [anon_sym_const] = ACTIONS(11557),
    [anon_sym_global] = ACTIONS(11557),
    [anon_sym_local] = ACTIONS(11557),
    [anon_sym_LPAREN] = ACTIONS(11557),
    [anon_sym_COLON] = ACTIONS(11557),
    [anon_sym_export] = ACTIONS(11557),
    [anon_sym_public] = ACTIONS(11557),
    [anon_sym_import] = ACTIONS(11557),
    [anon_sym_using] = ACTIONS(11557),
    [anon_sym_LBRACK] = ACTIONS(11557),
    [anon_sym_in] = ACTIONS(11557),
    [anon_sym_SEMI] = ACTIONS(11557),
    [anon_sym_LBRACE] = ACTIONS(11557),
    [anon_sym_DOLLAR] = ACTIONS(11557),
    [anon_sym_COLON2] = ACTIONS(11557),
    [anon_sym_COLON_COLON] = ACTIONS(11557),
    [anon_sym_isa] = ACTIONS(11557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11557),
    [anon_sym_QMARK] = ACTIONS(11557),
    [anon_sym_where] = ACTIONS(11557),
    [anon_sym_AT] = ACTIONS(11557),
    [anon_sym_true] = ACTIONS(11557),
    [anon_sym_false] = ACTIONS(11557),
    [aux_sym_integer_literal_token1] = ACTIONS(11557),
    [aux_sym_integer_literal_token2] = ACTIONS(11557),
    [aux_sym_integer_literal_token3] = ACTIONS(11557),
    [aux_sym_integer_literal_token4] = ACTIONS(11557),
    [aux_sym_float_literal_token1] = ACTIONS(11557),
    [aux_sym_float_literal_token3] = ACTIONS(11557),
    [aux_sym_float_literal_token4] = ACTIONS(11557),
    [sym_character_literal] = ACTIONS(11557),
    [anon_sym_DQUOTE] = ACTIONS(11557),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11557),
    [anon_sym_BQUOTE] = ACTIONS(11557),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11557),
    [sym__pair_operator] = ACTIONS(11557),
    [sym__arrow_operator] = ACTIONS(11557),
    [sym__lazy_or_operator] = ACTIONS(11557),
    [sym__lazy_and_operator] = ACTIONS(11557),
    [sym__comparison_operator] = ACTIONS(11557),
    [sym__pipe_right_operator] = ACTIONS(11557),
    [sym__pipe_left_operator] = ACTIONS(11557),
    [sym__ellipsis_operator] = ACTIONS(11557),
    [sym__plus_operator] = ACTIONS(11557),
    [sym__times_operator] = ACTIONS(11557),
    [sym__rational_operator] = ACTIONS(11557),
    [sym__bitshift_operator] = ACTIONS(11557),
    [sym__power_operator] = ACTIONS(11557),
    [sym__tilde_operator] = ACTIONS(11557),
    [sym__type_order_operator] = ACTIONS(11557),
    [sym__unary_operator] = ACTIONS(11557),
    [sym__unary_plus_operator] = ACTIONS(11557),
    [aux_sym__terminator_token1] = ACTIONS(11559),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9025] = {
    [sym_block_comment] = STATE(9025),
    [sym_line_comment] = STATE(9025),
    [sym__word_identifier] = ACTIONS(11561),
    [anon_sym_COMMA] = ACTIONS(11561),
    [anon_sym_EQ] = ACTIONS(11561),
    [anon_sym_begin] = ACTIONS(11561),
    [anon_sym_module] = ACTIONS(11561),
    [anon_sym_baremodule] = ACTIONS(11561),
    [anon_sym_end] = ACTIONS(11561),
    [anon_sym_abstract] = ACTIONS(11561),
    [anon_sym_primitive] = ACTIONS(11561),
    [anon_sym_mutable] = ACTIONS(11561),
    [anon_sym_struct] = ACTIONS(11561),
    [anon_sym_function] = ACTIONS(11561),
    [anon_sym_macro] = ACTIONS(11561),
    [anon_sym_quote] = ACTIONS(11561),
    [anon_sym_let] = ACTIONS(11561),
    [anon_sym_if] = ACTIONS(11561),
    [anon_sym_try] = ACTIONS(11561),
    [anon_sym_catch] = ACTIONS(11561),
    [anon_sym_for] = ACTIONS(11561),
    [anon_sym_while] = ACTIONS(11561),
    [sym_break_statement] = ACTIONS(11561),
    [sym_continue_statement] = ACTIONS(11561),
    [anon_sym_return] = ACTIONS(11561),
    [anon_sym_const] = ACTIONS(11561),
    [anon_sym_global] = ACTIONS(11561),
    [anon_sym_local] = ACTIONS(11561),
    [anon_sym_LPAREN] = ACTIONS(11561),
    [anon_sym_COLON] = ACTIONS(11561),
    [anon_sym_export] = ACTIONS(11561),
    [anon_sym_public] = ACTIONS(11561),
    [anon_sym_import] = ACTIONS(11561),
    [anon_sym_using] = ACTIONS(11561),
    [anon_sym_LBRACK] = ACTIONS(11561),
    [anon_sym_in] = ACTIONS(11561),
    [anon_sym_SEMI] = ACTIONS(11561),
    [anon_sym_LBRACE] = ACTIONS(11561),
    [anon_sym_DOLLAR] = ACTIONS(11561),
    [anon_sym_COLON2] = ACTIONS(11561),
    [anon_sym_COLON_COLON] = ACTIONS(11561),
    [anon_sym_isa] = ACTIONS(11561),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11561),
    [anon_sym_QMARK] = ACTIONS(11561),
    [anon_sym_where] = ACTIONS(11561),
    [anon_sym_AT] = ACTIONS(11561),
    [anon_sym_true] = ACTIONS(11561),
    [anon_sym_false] = ACTIONS(11561),
    [aux_sym_integer_literal_token1] = ACTIONS(11561),
    [aux_sym_integer_literal_token2] = ACTIONS(11561),
    [aux_sym_integer_literal_token3] = ACTIONS(11561),
    [aux_sym_integer_literal_token4] = ACTIONS(11561),
    [aux_sym_float_literal_token1] = ACTIONS(11561),
    [aux_sym_float_literal_token3] = ACTIONS(11561),
    [aux_sym_float_literal_token4] = ACTIONS(11561),
    [sym_character_literal] = ACTIONS(11561),
    [anon_sym_DQUOTE] = ACTIONS(11561),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11561),
    [anon_sym_BQUOTE] = ACTIONS(11561),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11561),
    [sym__pair_operator] = ACTIONS(11561),
    [sym__arrow_operator] = ACTIONS(11561),
    [sym__lazy_or_operator] = ACTIONS(11561),
    [sym__lazy_and_operator] = ACTIONS(11561),
    [sym__comparison_operator] = ACTIONS(11561),
    [sym__pipe_right_operator] = ACTIONS(11561),
    [sym__pipe_left_operator] = ACTIONS(11561),
    [sym__ellipsis_operator] = ACTIONS(11561),
    [sym__plus_operator] = ACTIONS(11561),
    [sym__times_operator] = ACTIONS(11561),
    [sym__rational_operator] = ACTIONS(11561),
    [sym__bitshift_operator] = ACTIONS(11561),
    [sym__power_operator] = ACTIONS(11561),
    [sym__tilde_operator] = ACTIONS(11561),
    [sym__type_order_operator] = ACTIONS(11561),
    [sym__unary_operator] = ACTIONS(11561),
    [sym__unary_plus_operator] = ACTIONS(11561),
    [aux_sym__terminator_token1] = ACTIONS(11563),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9026] = {
    [sym_block_comment] = STATE(9026),
    [sym_line_comment] = STATE(9026),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9027] = {
    [sym_block_comment] = STATE(9027),
    [sym_line_comment] = STATE(9027),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9028] = {
    [sym_block_comment] = STATE(9028),
    [sym_line_comment] = STATE(9028),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_catch] = ACTIONS(11382),
    [anon_sym_finally] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(11382),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(11382),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11382),
    [anon_sym_isa] = ACTIONS(11382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11382),
    [anon_sym_QMARK] = ACTIONS(11382),
    [anon_sym_where] = ACTIONS(11382),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(11382),
    [sym__arrow_operator] = ACTIONS(11382),
    [sym__lazy_or_operator] = ACTIONS(11382),
    [sym__lazy_and_operator] = ACTIONS(11382),
    [sym__comparison_operator] = ACTIONS(11382),
    [sym__pipe_right_operator] = ACTIONS(11382),
    [sym__pipe_left_operator] = ACTIONS(11382),
    [sym__ellipsis_operator] = ACTIONS(11382),
    [sym__plus_operator] = ACTIONS(11382),
    [sym__times_operator] = ACTIONS(11382),
    [sym__rational_operator] = ACTIONS(11382),
    [sym__bitshift_operator] = ACTIONS(11382),
    [sym__power_operator] = ACTIONS(11382),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(11382),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(11382),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9029] = {
    [sym_block_comment] = STATE(9029),
    [sym_line_comment] = STATE(9029),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9030] = {
    [sym_block_comment] = STATE(9030),
    [sym_line_comment] = STATE(9030),
    [ts_builtin_sym_end] = ACTIONS(11384),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_RBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9031] = {
    [sym_block_comment] = STATE(9031),
    [sym_line_comment] = STATE(9031),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11706),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11706),
    [anon_sym_RPAREN] = ACTIONS(11706),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11706),
    [anon_sym_RBRACK] = ACTIONS(11706),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11706),
    [anon_sym_LBRACE] = ACTIONS(11706),
    [anon_sym_RBRACE] = ACTIONS(11706),
    [anon_sym_DOLLAR] = ACTIONS(11706),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11706),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11706),
    [aux_sym_integer_literal_token2] = ACTIONS(11706),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11706),
    [aux_sym_float_literal_token3] = ACTIONS(11706),
    [aux_sym_float_literal_token4] = ACTIONS(11706),
    [sym_character_literal] = ACTIONS(11706),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11706),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11706),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11706),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9032] = {
    [sym_block_comment] = STATE(9032),
    [sym_line_comment] = STATE(9032),
    [aux_sym_open_tuple_repeat1] = STATE(8311),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(12335),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_finally] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12528),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9033] = {
    [sym_block_comment] = STATE(9033),
    [sym_line_comment] = STATE(9033),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_catch] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11216),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11216),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11216),
    [anon_sym_isa] = ACTIONS(11216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11216),
    [anon_sym_QMARK] = ACTIONS(11216),
    [anon_sym_where] = ACTIONS(11216),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11216),
    [sym__lazy_or_operator] = ACTIONS(11216),
    [sym__lazy_and_operator] = ACTIONS(11216),
    [sym__comparison_operator] = ACTIONS(11216),
    [sym__pipe_right_operator] = ACTIONS(11216),
    [sym__pipe_left_operator] = ACTIONS(11216),
    [sym__ellipsis_operator] = ACTIONS(11216),
    [sym__plus_operator] = ACTIONS(11216),
    [sym__times_operator] = ACTIONS(11216),
    [sym__rational_operator] = ACTIONS(11216),
    [sym__bitshift_operator] = ACTIONS(11216),
    [sym__power_operator] = ACTIONS(11216),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11216),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11216),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9034] = {
    [sym_block_comment] = STATE(9034),
    [sym_line_comment] = STATE(9034),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [ts_builtin_sym_end] = ACTIONS(11220),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_RBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9035] = {
    [sym_block_comment] = STATE(9035),
    [sym_line_comment] = STATE(9035),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11384),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11384),
    [anon_sym_RPAREN] = ACTIONS(11384),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11384),
    [anon_sym_RBRACK] = ACTIONS(11384),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11384),
    [anon_sym_LBRACE] = ACTIONS(11384),
    [anon_sym_RBRACE] = ACTIONS(11384),
    [anon_sym_DOLLAR] = ACTIONS(11384),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12354),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11384),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11384),
    [aux_sym_integer_literal_token2] = ACTIONS(11384),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11384),
    [aux_sym_float_literal_token3] = ACTIONS(11384),
    [aux_sym_float_literal_token4] = ACTIONS(11384),
    [sym_character_literal] = ACTIONS(11384),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11384),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11384),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11384),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9036] = {
    [sym_block_comment] = STATE(9036),
    [sym_line_comment] = STATE(9036),
    [aux_sym_open_tuple_repeat1] = STATE(9036),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(12646),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_end] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11134),
    [anon_sym_COLON] = ACTIONS(11134),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11134),
    [anon_sym_in] = ACTIONS(11134),
    [anon_sym_SEMI] = ACTIONS(11134),
    [anon_sym_LBRACE] = ACTIONS(11134),
    [anon_sym_DOLLAR] = ACTIONS(11134),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(11134),
    [anon_sym_isa] = ACTIONS(11134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11134),
    [anon_sym_QMARK] = ACTIONS(11134),
    [anon_sym_where] = ACTIONS(11134),
    [anon_sym_AT] = ACTIONS(11134),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11134),
    [aux_sym_integer_literal_token2] = ACTIONS(11134),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11134),
    [aux_sym_float_literal_token3] = ACTIONS(11134),
    [aux_sym_float_literal_token4] = ACTIONS(11134),
    [sym_character_literal] = ACTIONS(11134),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11134),
    [sym__pair_operator] = ACTIONS(11134),
    [sym__arrow_operator] = ACTIONS(11134),
    [sym__lazy_or_operator] = ACTIONS(11134),
    [sym__lazy_and_operator] = ACTIONS(11134),
    [sym__comparison_operator] = ACTIONS(11134),
    [sym__pipe_right_operator] = ACTIONS(11134),
    [sym__pipe_left_operator] = ACTIONS(11134),
    [sym__ellipsis_operator] = ACTIONS(11134),
    [sym__plus_operator] = ACTIONS(11134),
    [sym__times_operator] = ACTIONS(11134),
    [sym__rational_operator] = ACTIONS(11134),
    [sym__bitshift_operator] = ACTIONS(11134),
    [sym__power_operator] = ACTIONS(11134),
    [sym__tilde_operator] = ACTIONS(11134),
    [sym__type_order_operator] = ACTIONS(11134),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(11134),
    [aux_sym__terminator_token1] = ACTIONS(11139),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9037] = {
    [sym_block_comment] = STATE(9037),
    [sym_line_comment] = STATE(9037),
    [sym__word_identifier] = ACTIONS(11565),
    [anon_sym_COMMA] = ACTIONS(11565),
    [anon_sym_EQ] = ACTIONS(11565),
    [anon_sym_begin] = ACTIONS(11565),
    [anon_sym_module] = ACTIONS(11565),
    [anon_sym_baremodule] = ACTIONS(11565),
    [anon_sym_end] = ACTIONS(11565),
    [anon_sym_abstract] = ACTIONS(11565),
    [anon_sym_primitive] = ACTIONS(11565),
    [anon_sym_mutable] = ACTIONS(11565),
    [anon_sym_struct] = ACTIONS(11565),
    [anon_sym_function] = ACTIONS(11565),
    [anon_sym_macro] = ACTIONS(11565),
    [anon_sym_quote] = ACTIONS(11565),
    [anon_sym_let] = ACTIONS(11565),
    [anon_sym_if] = ACTIONS(11565),
    [anon_sym_try] = ACTIONS(11565),
    [anon_sym_catch] = ACTIONS(11565),
    [anon_sym_for] = ACTIONS(11565),
    [anon_sym_while] = ACTIONS(11565),
    [sym_break_statement] = ACTIONS(11565),
    [sym_continue_statement] = ACTIONS(11565),
    [anon_sym_return] = ACTIONS(11565),
    [anon_sym_const] = ACTIONS(11565),
    [anon_sym_global] = ACTIONS(11565),
    [anon_sym_local] = ACTIONS(11565),
    [anon_sym_LPAREN] = ACTIONS(11565),
    [anon_sym_COLON] = ACTIONS(11565),
    [anon_sym_export] = ACTIONS(11565),
    [anon_sym_public] = ACTIONS(11565),
    [anon_sym_import] = ACTIONS(11565),
    [anon_sym_using] = ACTIONS(11565),
    [anon_sym_LBRACK] = ACTIONS(11565),
    [anon_sym_in] = ACTIONS(11565),
    [anon_sym_SEMI] = ACTIONS(11565),
    [anon_sym_LBRACE] = ACTIONS(11565),
    [anon_sym_DOLLAR] = ACTIONS(11565),
    [anon_sym_COLON2] = ACTIONS(11565),
    [anon_sym_COLON_COLON] = ACTIONS(11565),
    [anon_sym_isa] = ACTIONS(11565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11565),
    [anon_sym_QMARK] = ACTIONS(11565),
    [anon_sym_where] = ACTIONS(11565),
    [anon_sym_AT] = ACTIONS(11565),
    [anon_sym_true] = ACTIONS(11565),
    [anon_sym_false] = ACTIONS(11565),
    [aux_sym_integer_literal_token1] = ACTIONS(11565),
    [aux_sym_integer_literal_token2] = ACTIONS(11565),
    [aux_sym_integer_literal_token3] = ACTIONS(11565),
    [aux_sym_integer_literal_token4] = ACTIONS(11565),
    [aux_sym_float_literal_token1] = ACTIONS(11565),
    [aux_sym_float_literal_token3] = ACTIONS(11565),
    [aux_sym_float_literal_token4] = ACTIONS(11565),
    [sym_character_literal] = ACTIONS(11565),
    [anon_sym_DQUOTE] = ACTIONS(11565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11565),
    [anon_sym_BQUOTE] = ACTIONS(11565),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11565),
    [sym__pair_operator] = ACTIONS(11565),
    [sym__arrow_operator] = ACTIONS(11565),
    [sym__lazy_or_operator] = ACTIONS(11565),
    [sym__lazy_and_operator] = ACTIONS(11565),
    [sym__comparison_operator] = ACTIONS(11565),
    [sym__pipe_right_operator] = ACTIONS(11565),
    [sym__pipe_left_operator] = ACTIONS(11565),
    [sym__ellipsis_operator] = ACTIONS(11565),
    [sym__plus_operator] = ACTIONS(11565),
    [sym__times_operator] = ACTIONS(11565),
    [sym__rational_operator] = ACTIONS(11565),
    [sym__bitshift_operator] = ACTIONS(11565),
    [sym__power_operator] = ACTIONS(11565),
    [sym__tilde_operator] = ACTIONS(11565),
    [sym__type_order_operator] = ACTIONS(11565),
    [sym__unary_operator] = ACTIONS(11565),
    [sym__unary_plus_operator] = ACTIONS(11565),
    [aux_sym__terminator_token1] = ACTIONS(11567),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9038] = {
    [sym_block_comment] = STATE(9038),
    [sym_line_comment] = STATE(9038),
    [sym__word_identifier] = ACTIONS(11569),
    [anon_sym_COMMA] = ACTIONS(11569),
    [anon_sym_EQ] = ACTIONS(11569),
    [anon_sym_begin] = ACTIONS(11569),
    [anon_sym_module] = ACTIONS(11569),
    [anon_sym_baremodule] = ACTIONS(11569),
    [anon_sym_end] = ACTIONS(11569),
    [anon_sym_abstract] = ACTIONS(11569),
    [anon_sym_primitive] = ACTIONS(11569),
    [anon_sym_mutable] = ACTIONS(11569),
    [anon_sym_struct] = ACTIONS(11569),
    [anon_sym_function] = ACTIONS(11569),
    [anon_sym_macro] = ACTIONS(11569),
    [anon_sym_quote] = ACTIONS(11569),
    [anon_sym_let] = ACTIONS(11569),
    [anon_sym_if] = ACTIONS(11569),
    [anon_sym_try] = ACTIONS(11569),
    [anon_sym_catch] = ACTIONS(11569),
    [anon_sym_for] = ACTIONS(11569),
    [anon_sym_while] = ACTIONS(11569),
    [sym_break_statement] = ACTIONS(11569),
    [sym_continue_statement] = ACTIONS(11569),
    [anon_sym_return] = ACTIONS(11569),
    [anon_sym_const] = ACTIONS(11569),
    [anon_sym_global] = ACTIONS(11569),
    [anon_sym_local] = ACTIONS(11569),
    [anon_sym_LPAREN] = ACTIONS(11569),
    [anon_sym_COLON] = ACTIONS(11569),
    [anon_sym_export] = ACTIONS(11569),
    [anon_sym_public] = ACTIONS(11569),
    [anon_sym_import] = ACTIONS(11569),
    [anon_sym_using] = ACTIONS(11569),
    [anon_sym_LBRACK] = ACTIONS(11569),
    [anon_sym_in] = ACTIONS(11569),
    [anon_sym_SEMI] = ACTIONS(11569),
    [anon_sym_LBRACE] = ACTIONS(11569),
    [anon_sym_DOLLAR] = ACTIONS(11569),
    [anon_sym_COLON2] = ACTIONS(11569),
    [anon_sym_COLON_COLON] = ACTIONS(11569),
    [anon_sym_isa] = ACTIONS(11569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11569),
    [anon_sym_QMARK] = ACTIONS(11569),
    [anon_sym_where] = ACTIONS(11569),
    [anon_sym_AT] = ACTIONS(11569),
    [anon_sym_true] = ACTIONS(11569),
    [anon_sym_false] = ACTIONS(11569),
    [aux_sym_integer_literal_token1] = ACTIONS(11569),
    [aux_sym_integer_literal_token2] = ACTIONS(11569),
    [aux_sym_integer_literal_token3] = ACTIONS(11569),
    [aux_sym_integer_literal_token4] = ACTIONS(11569),
    [aux_sym_float_literal_token1] = ACTIONS(11569),
    [aux_sym_float_literal_token3] = ACTIONS(11569),
    [aux_sym_float_literal_token4] = ACTIONS(11569),
    [sym_character_literal] = ACTIONS(11569),
    [anon_sym_DQUOTE] = ACTIONS(11569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11569),
    [anon_sym_BQUOTE] = ACTIONS(11569),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11569),
    [sym__pair_operator] = ACTIONS(11569),
    [sym__arrow_operator] = ACTIONS(11569),
    [sym__lazy_or_operator] = ACTIONS(11569),
    [sym__lazy_and_operator] = ACTIONS(11569),
    [sym__comparison_operator] = ACTIONS(11569),
    [sym__pipe_right_operator] = ACTIONS(11569),
    [sym__pipe_left_operator] = ACTIONS(11569),
    [sym__ellipsis_operator] = ACTIONS(11569),
    [sym__plus_operator] = ACTIONS(11569),
    [sym__times_operator] = ACTIONS(11569),
    [sym__rational_operator] = ACTIONS(11569),
    [sym__bitshift_operator] = ACTIONS(11569),
    [sym__power_operator] = ACTIONS(11569),
    [sym__tilde_operator] = ACTIONS(11569),
    [sym__type_order_operator] = ACTIONS(11569),
    [sym__unary_operator] = ACTIONS(11569),
    [sym__unary_plus_operator] = ACTIONS(11569),
    [aux_sym__terminator_token1] = ACTIONS(11571),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9039] = {
    [sym_block_comment] = STATE(9039),
    [sym_line_comment] = STATE(9039),
    [sym__word_identifier] = ACTIONS(11573),
    [anon_sym_COMMA] = ACTIONS(11573),
    [anon_sym_EQ] = ACTIONS(11573),
    [anon_sym_begin] = ACTIONS(11573),
    [anon_sym_module] = ACTIONS(11573),
    [anon_sym_baremodule] = ACTIONS(11573),
    [anon_sym_end] = ACTIONS(11573),
    [anon_sym_abstract] = ACTIONS(11573),
    [anon_sym_primitive] = ACTIONS(11573),
    [anon_sym_mutable] = ACTIONS(11573),
    [anon_sym_struct] = ACTIONS(11573),
    [anon_sym_function] = ACTIONS(11573),
    [anon_sym_macro] = ACTIONS(11573),
    [anon_sym_quote] = ACTIONS(11573),
    [anon_sym_let] = ACTIONS(11573),
    [anon_sym_if] = ACTIONS(11573),
    [anon_sym_try] = ACTIONS(11573),
    [anon_sym_catch] = ACTIONS(11573),
    [anon_sym_for] = ACTIONS(11573),
    [anon_sym_while] = ACTIONS(11573),
    [sym_break_statement] = ACTIONS(11573),
    [sym_continue_statement] = ACTIONS(11573),
    [anon_sym_return] = ACTIONS(11573),
    [anon_sym_const] = ACTIONS(11573),
    [anon_sym_global] = ACTIONS(11573),
    [anon_sym_local] = ACTIONS(11573),
    [anon_sym_LPAREN] = ACTIONS(11573),
    [anon_sym_COLON] = ACTIONS(11573),
    [anon_sym_export] = ACTIONS(11573),
    [anon_sym_public] = ACTIONS(11573),
    [anon_sym_import] = ACTIONS(11573),
    [anon_sym_using] = ACTIONS(11573),
    [anon_sym_LBRACK] = ACTIONS(11573),
    [anon_sym_in] = ACTIONS(11573),
    [anon_sym_SEMI] = ACTIONS(11573),
    [anon_sym_LBRACE] = ACTIONS(11573),
    [anon_sym_DOLLAR] = ACTIONS(11573),
    [anon_sym_COLON2] = ACTIONS(11573),
    [anon_sym_COLON_COLON] = ACTIONS(11573),
    [anon_sym_isa] = ACTIONS(11573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11573),
    [anon_sym_QMARK] = ACTIONS(11573),
    [anon_sym_where] = ACTIONS(11573),
    [anon_sym_AT] = ACTIONS(11573),
    [anon_sym_true] = ACTIONS(11573),
    [anon_sym_false] = ACTIONS(11573),
    [aux_sym_integer_literal_token1] = ACTIONS(11573),
    [aux_sym_integer_literal_token2] = ACTIONS(11573),
    [aux_sym_integer_literal_token3] = ACTIONS(11573),
    [aux_sym_integer_literal_token4] = ACTIONS(11573),
    [aux_sym_float_literal_token1] = ACTIONS(11573),
    [aux_sym_float_literal_token3] = ACTIONS(11573),
    [aux_sym_float_literal_token4] = ACTIONS(11573),
    [sym_character_literal] = ACTIONS(11573),
    [anon_sym_DQUOTE] = ACTIONS(11573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11573),
    [anon_sym_BQUOTE] = ACTIONS(11573),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11573),
    [sym__pair_operator] = ACTIONS(11573),
    [sym__arrow_operator] = ACTIONS(11573),
    [sym__lazy_or_operator] = ACTIONS(11573),
    [sym__lazy_and_operator] = ACTIONS(11573),
    [sym__comparison_operator] = ACTIONS(11573),
    [sym__pipe_right_operator] = ACTIONS(11573),
    [sym__pipe_left_operator] = ACTIONS(11573),
    [sym__ellipsis_operator] = ACTIONS(11573),
    [sym__plus_operator] = ACTIONS(11573),
    [sym__times_operator] = ACTIONS(11573),
    [sym__rational_operator] = ACTIONS(11573),
    [sym__bitshift_operator] = ACTIONS(11573),
    [sym__power_operator] = ACTIONS(11573),
    [sym__tilde_operator] = ACTIONS(11573),
    [sym__type_order_operator] = ACTIONS(11573),
    [sym__unary_operator] = ACTIONS(11573),
    [sym__unary_plus_operator] = ACTIONS(11573),
    [aux_sym__terminator_token1] = ACTIONS(11575),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9040] = {
    [sym_block_comment] = STATE(9040),
    [sym_line_comment] = STATE(9040),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12590),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9041] = {
    [sym_block_comment] = STATE(9041),
    [sym_line_comment] = STATE(9041),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_catch] = ACTIONS(11704),
    [anon_sym_finally] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12392),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9042] = {
    [sym_block_comment] = STATE(9042),
    [sym_line_comment] = STATE(9042),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9043] = {
    [sym_block_comment] = STATE(9043),
    [sym_line_comment] = STATE(9043),
    [sym__word_identifier] = ACTIONS(11577),
    [anon_sym_COMMA] = ACTIONS(11577),
    [anon_sym_EQ] = ACTIONS(11577),
    [anon_sym_begin] = ACTIONS(11577),
    [anon_sym_module] = ACTIONS(11577),
    [anon_sym_baremodule] = ACTIONS(11577),
    [anon_sym_end] = ACTIONS(11577),
    [anon_sym_abstract] = ACTIONS(11577),
    [anon_sym_primitive] = ACTIONS(11577),
    [anon_sym_mutable] = ACTIONS(11577),
    [anon_sym_struct] = ACTIONS(11577),
    [anon_sym_function] = ACTIONS(11577),
    [anon_sym_macro] = ACTIONS(11577),
    [anon_sym_quote] = ACTIONS(11577),
    [anon_sym_let] = ACTIONS(11577),
    [anon_sym_if] = ACTIONS(11577),
    [anon_sym_try] = ACTIONS(11577),
    [anon_sym_catch] = ACTIONS(11577),
    [anon_sym_for] = ACTIONS(11577),
    [anon_sym_while] = ACTIONS(11577),
    [sym_break_statement] = ACTIONS(11577),
    [sym_continue_statement] = ACTIONS(11577),
    [anon_sym_return] = ACTIONS(11577),
    [anon_sym_const] = ACTIONS(11577),
    [anon_sym_global] = ACTIONS(11577),
    [anon_sym_local] = ACTIONS(11577),
    [anon_sym_LPAREN] = ACTIONS(11577),
    [anon_sym_COLON] = ACTIONS(11577),
    [anon_sym_export] = ACTIONS(11577),
    [anon_sym_public] = ACTIONS(11577),
    [anon_sym_import] = ACTIONS(11577),
    [anon_sym_using] = ACTIONS(11577),
    [anon_sym_LBRACK] = ACTIONS(11577),
    [anon_sym_in] = ACTIONS(11577),
    [anon_sym_SEMI] = ACTIONS(11577),
    [anon_sym_LBRACE] = ACTIONS(11577),
    [anon_sym_DOLLAR] = ACTIONS(11577),
    [anon_sym_COLON2] = ACTIONS(11577),
    [anon_sym_COLON_COLON] = ACTIONS(11577),
    [anon_sym_isa] = ACTIONS(11577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11577),
    [anon_sym_QMARK] = ACTIONS(11577),
    [anon_sym_where] = ACTIONS(11577),
    [anon_sym_AT] = ACTIONS(11577),
    [anon_sym_true] = ACTIONS(11577),
    [anon_sym_false] = ACTIONS(11577),
    [aux_sym_integer_literal_token1] = ACTIONS(11577),
    [aux_sym_integer_literal_token2] = ACTIONS(11577),
    [aux_sym_integer_literal_token3] = ACTIONS(11577),
    [aux_sym_integer_literal_token4] = ACTIONS(11577),
    [aux_sym_float_literal_token1] = ACTIONS(11577),
    [aux_sym_float_literal_token3] = ACTIONS(11577),
    [aux_sym_float_literal_token4] = ACTIONS(11577),
    [sym_character_literal] = ACTIONS(11577),
    [anon_sym_DQUOTE] = ACTIONS(11577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11577),
    [anon_sym_BQUOTE] = ACTIONS(11577),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11577),
    [sym__pair_operator] = ACTIONS(11577),
    [sym__arrow_operator] = ACTIONS(11577),
    [sym__lazy_or_operator] = ACTIONS(11577),
    [sym__lazy_and_operator] = ACTIONS(11577),
    [sym__comparison_operator] = ACTIONS(11577),
    [sym__pipe_right_operator] = ACTIONS(11577),
    [sym__pipe_left_operator] = ACTIONS(11577),
    [sym__ellipsis_operator] = ACTIONS(11577),
    [sym__plus_operator] = ACTIONS(11577),
    [sym__times_operator] = ACTIONS(11577),
    [sym__rational_operator] = ACTIONS(11577),
    [sym__bitshift_operator] = ACTIONS(11577),
    [sym__power_operator] = ACTIONS(11577),
    [sym__tilde_operator] = ACTIONS(11577),
    [sym__type_order_operator] = ACTIONS(11577),
    [sym__unary_operator] = ACTIONS(11577),
    [sym__unary_plus_operator] = ACTIONS(11577),
    [aux_sym__terminator_token1] = ACTIONS(11579),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9044] = {
    [sym_block_comment] = STATE(9044),
    [sym_line_comment] = STATE(9044),
    [sym__word_identifier] = ACTIONS(11581),
    [anon_sym_COMMA] = ACTIONS(11581),
    [anon_sym_EQ] = ACTIONS(11581),
    [anon_sym_begin] = ACTIONS(11581),
    [anon_sym_module] = ACTIONS(11581),
    [anon_sym_baremodule] = ACTIONS(11581),
    [anon_sym_end] = ACTIONS(11581),
    [anon_sym_abstract] = ACTIONS(11581),
    [anon_sym_primitive] = ACTIONS(11581),
    [anon_sym_mutable] = ACTIONS(11581),
    [anon_sym_struct] = ACTIONS(11581),
    [anon_sym_function] = ACTIONS(11581),
    [anon_sym_macro] = ACTIONS(11581),
    [anon_sym_quote] = ACTIONS(11581),
    [anon_sym_let] = ACTIONS(11581),
    [anon_sym_if] = ACTIONS(11581),
    [anon_sym_try] = ACTIONS(11581),
    [anon_sym_catch] = ACTIONS(11581),
    [anon_sym_for] = ACTIONS(11581),
    [anon_sym_while] = ACTIONS(11581),
    [sym_break_statement] = ACTIONS(11581),
    [sym_continue_statement] = ACTIONS(11581),
    [anon_sym_return] = ACTIONS(11581),
    [anon_sym_const] = ACTIONS(11581),
    [anon_sym_global] = ACTIONS(11581),
    [anon_sym_local] = ACTIONS(11581),
    [anon_sym_LPAREN] = ACTIONS(11581),
    [anon_sym_COLON] = ACTIONS(11581),
    [anon_sym_export] = ACTIONS(11581),
    [anon_sym_public] = ACTIONS(11581),
    [anon_sym_import] = ACTIONS(11581),
    [anon_sym_using] = ACTIONS(11581),
    [anon_sym_LBRACK] = ACTIONS(11581),
    [anon_sym_in] = ACTIONS(11581),
    [anon_sym_SEMI] = ACTIONS(11581),
    [anon_sym_LBRACE] = ACTIONS(11581),
    [anon_sym_DOLLAR] = ACTIONS(11581),
    [anon_sym_COLON2] = ACTIONS(11581),
    [anon_sym_COLON_COLON] = ACTIONS(11581),
    [anon_sym_isa] = ACTIONS(11581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11581),
    [anon_sym_QMARK] = ACTIONS(11581),
    [anon_sym_where] = ACTIONS(11581),
    [anon_sym_AT] = ACTIONS(11581),
    [anon_sym_true] = ACTIONS(11581),
    [anon_sym_false] = ACTIONS(11581),
    [aux_sym_integer_literal_token1] = ACTIONS(11581),
    [aux_sym_integer_literal_token2] = ACTIONS(11581),
    [aux_sym_integer_literal_token3] = ACTIONS(11581),
    [aux_sym_integer_literal_token4] = ACTIONS(11581),
    [aux_sym_float_literal_token1] = ACTIONS(11581),
    [aux_sym_float_literal_token3] = ACTIONS(11581),
    [aux_sym_float_literal_token4] = ACTIONS(11581),
    [sym_character_literal] = ACTIONS(11581),
    [anon_sym_DQUOTE] = ACTIONS(11581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11581),
    [anon_sym_BQUOTE] = ACTIONS(11581),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11581),
    [sym__pair_operator] = ACTIONS(11581),
    [sym__arrow_operator] = ACTIONS(11581),
    [sym__lazy_or_operator] = ACTIONS(11581),
    [sym__lazy_and_operator] = ACTIONS(11581),
    [sym__comparison_operator] = ACTIONS(11581),
    [sym__pipe_right_operator] = ACTIONS(11581),
    [sym__pipe_left_operator] = ACTIONS(11581),
    [sym__ellipsis_operator] = ACTIONS(11581),
    [sym__plus_operator] = ACTIONS(11581),
    [sym__times_operator] = ACTIONS(11581),
    [sym__rational_operator] = ACTIONS(11581),
    [sym__bitshift_operator] = ACTIONS(11581),
    [sym__power_operator] = ACTIONS(11581),
    [sym__tilde_operator] = ACTIONS(11581),
    [sym__type_order_operator] = ACTIONS(11581),
    [sym__unary_operator] = ACTIONS(11581),
    [sym__unary_plus_operator] = ACTIONS(11581),
    [aux_sym__terminator_token1] = ACTIONS(11583),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9045] = {
    [sym_block_comment] = STATE(9045),
    [sym_line_comment] = STATE(9045),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_catch] = ACTIONS(11382),
    [anon_sym_finally] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12392),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9046] = {
    [sym_block_comment] = STATE(9046),
    [sym_line_comment] = STATE(9046),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_catch] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12438),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9047] = {
    [sym_block_comment] = STATE(9047),
    [sym_line_comment] = STATE(9047),
    [sym__word_identifier] = ACTIONS(11585),
    [anon_sym_COMMA] = ACTIONS(11585),
    [anon_sym_EQ] = ACTIONS(11585),
    [anon_sym_begin] = ACTIONS(11585),
    [anon_sym_module] = ACTIONS(11585),
    [anon_sym_baremodule] = ACTIONS(11585),
    [anon_sym_end] = ACTIONS(11585),
    [anon_sym_abstract] = ACTIONS(11585),
    [anon_sym_primitive] = ACTIONS(11585),
    [anon_sym_mutable] = ACTIONS(11585),
    [anon_sym_struct] = ACTIONS(11585),
    [anon_sym_function] = ACTIONS(11585),
    [anon_sym_macro] = ACTIONS(11585),
    [anon_sym_quote] = ACTIONS(11585),
    [anon_sym_let] = ACTIONS(11585),
    [anon_sym_if] = ACTIONS(11585),
    [anon_sym_try] = ACTIONS(11585),
    [anon_sym_catch] = ACTIONS(11585),
    [anon_sym_for] = ACTIONS(11585),
    [anon_sym_while] = ACTIONS(11585),
    [sym_break_statement] = ACTIONS(11585),
    [sym_continue_statement] = ACTIONS(11585),
    [anon_sym_return] = ACTIONS(11585),
    [anon_sym_const] = ACTIONS(11585),
    [anon_sym_global] = ACTIONS(11585),
    [anon_sym_local] = ACTIONS(11585),
    [anon_sym_LPAREN] = ACTIONS(11585),
    [anon_sym_COLON] = ACTIONS(11585),
    [anon_sym_export] = ACTIONS(11585),
    [anon_sym_public] = ACTIONS(11585),
    [anon_sym_import] = ACTIONS(11585),
    [anon_sym_using] = ACTIONS(11585),
    [anon_sym_LBRACK] = ACTIONS(11585),
    [anon_sym_in] = ACTIONS(11585),
    [anon_sym_SEMI] = ACTIONS(11585),
    [anon_sym_LBRACE] = ACTIONS(11585),
    [anon_sym_DOLLAR] = ACTIONS(11585),
    [anon_sym_COLON2] = ACTIONS(11585),
    [anon_sym_COLON_COLON] = ACTIONS(11585),
    [anon_sym_isa] = ACTIONS(11585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11585),
    [anon_sym_QMARK] = ACTIONS(11585),
    [anon_sym_where] = ACTIONS(11585),
    [anon_sym_AT] = ACTIONS(11585),
    [anon_sym_true] = ACTIONS(11585),
    [anon_sym_false] = ACTIONS(11585),
    [aux_sym_integer_literal_token1] = ACTIONS(11585),
    [aux_sym_integer_literal_token2] = ACTIONS(11585),
    [aux_sym_integer_literal_token3] = ACTIONS(11585),
    [aux_sym_integer_literal_token4] = ACTIONS(11585),
    [aux_sym_float_literal_token1] = ACTIONS(11585),
    [aux_sym_float_literal_token3] = ACTIONS(11585),
    [aux_sym_float_literal_token4] = ACTIONS(11585),
    [sym_character_literal] = ACTIONS(11585),
    [anon_sym_DQUOTE] = ACTIONS(11585),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11585),
    [anon_sym_BQUOTE] = ACTIONS(11585),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11585),
    [sym__pair_operator] = ACTIONS(11585),
    [sym__arrow_operator] = ACTIONS(11585),
    [sym__lazy_or_operator] = ACTIONS(11585),
    [sym__lazy_and_operator] = ACTIONS(11585),
    [sym__comparison_operator] = ACTIONS(11585),
    [sym__pipe_right_operator] = ACTIONS(11585),
    [sym__pipe_left_operator] = ACTIONS(11585),
    [sym__ellipsis_operator] = ACTIONS(11585),
    [sym__plus_operator] = ACTIONS(11585),
    [sym__times_operator] = ACTIONS(11585),
    [sym__rational_operator] = ACTIONS(11585),
    [sym__bitshift_operator] = ACTIONS(11585),
    [sym__power_operator] = ACTIONS(11585),
    [sym__tilde_operator] = ACTIONS(11585),
    [sym__type_order_operator] = ACTIONS(11585),
    [sym__unary_operator] = ACTIONS(11585),
    [sym__unary_plus_operator] = ACTIONS(11585),
    [aux_sym__terminator_token1] = ACTIONS(11587),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9048] = {
    [sym_block_comment] = STATE(9048),
    [sym_line_comment] = STATE(9048),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_finally] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9049] = {
    [sym_block_comment] = STATE(9049),
    [sym_line_comment] = STATE(9049),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_catch] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12438),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9050] = {
    [sym_block_comment] = STATE(9050),
    [sym_line_comment] = STATE(9050),
    [sym__word_identifier] = ACTIONS(11589),
    [anon_sym_COMMA] = ACTIONS(11589),
    [anon_sym_EQ] = ACTIONS(11589),
    [anon_sym_begin] = ACTIONS(11589),
    [anon_sym_module] = ACTIONS(11589),
    [anon_sym_baremodule] = ACTIONS(11589),
    [anon_sym_end] = ACTIONS(11589),
    [anon_sym_abstract] = ACTIONS(11589),
    [anon_sym_primitive] = ACTIONS(11589),
    [anon_sym_mutable] = ACTIONS(11589),
    [anon_sym_struct] = ACTIONS(11589),
    [anon_sym_function] = ACTIONS(11589),
    [anon_sym_macro] = ACTIONS(11589),
    [anon_sym_quote] = ACTIONS(11589),
    [anon_sym_let] = ACTIONS(11589),
    [anon_sym_if] = ACTIONS(11589),
    [anon_sym_try] = ACTIONS(11589),
    [anon_sym_catch] = ACTIONS(11589),
    [anon_sym_for] = ACTIONS(11589),
    [anon_sym_while] = ACTIONS(11589),
    [sym_break_statement] = ACTIONS(11589),
    [sym_continue_statement] = ACTIONS(11589),
    [anon_sym_return] = ACTIONS(11589),
    [anon_sym_const] = ACTIONS(11589),
    [anon_sym_global] = ACTIONS(11589),
    [anon_sym_local] = ACTIONS(11589),
    [anon_sym_LPAREN] = ACTIONS(11589),
    [anon_sym_COLON] = ACTIONS(11589),
    [anon_sym_export] = ACTIONS(11589),
    [anon_sym_public] = ACTIONS(11589),
    [anon_sym_import] = ACTIONS(11589),
    [anon_sym_using] = ACTIONS(11589),
    [anon_sym_LBRACK] = ACTIONS(11589),
    [anon_sym_in] = ACTIONS(11589),
    [anon_sym_SEMI] = ACTIONS(11589),
    [anon_sym_LBRACE] = ACTIONS(11589),
    [anon_sym_DOLLAR] = ACTIONS(11589),
    [anon_sym_COLON2] = ACTIONS(11589),
    [anon_sym_COLON_COLON] = ACTIONS(11589),
    [anon_sym_isa] = ACTIONS(11589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11589),
    [anon_sym_QMARK] = ACTIONS(11589),
    [anon_sym_where] = ACTIONS(11589),
    [anon_sym_AT] = ACTIONS(11589),
    [anon_sym_true] = ACTIONS(11589),
    [anon_sym_false] = ACTIONS(11589),
    [aux_sym_integer_literal_token1] = ACTIONS(11589),
    [aux_sym_integer_literal_token2] = ACTIONS(11589),
    [aux_sym_integer_literal_token3] = ACTIONS(11589),
    [aux_sym_integer_literal_token4] = ACTIONS(11589),
    [aux_sym_float_literal_token1] = ACTIONS(11589),
    [aux_sym_float_literal_token3] = ACTIONS(11589),
    [aux_sym_float_literal_token4] = ACTIONS(11589),
    [sym_character_literal] = ACTIONS(11589),
    [anon_sym_DQUOTE] = ACTIONS(11589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11589),
    [anon_sym_BQUOTE] = ACTIONS(11589),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11589),
    [sym__pair_operator] = ACTIONS(11589),
    [sym__arrow_operator] = ACTIONS(11589),
    [sym__lazy_or_operator] = ACTIONS(11589),
    [sym__lazy_and_operator] = ACTIONS(11589),
    [sym__comparison_operator] = ACTIONS(11589),
    [sym__pipe_right_operator] = ACTIONS(11589),
    [sym__pipe_left_operator] = ACTIONS(11589),
    [sym__ellipsis_operator] = ACTIONS(11589),
    [sym__plus_operator] = ACTIONS(11589),
    [sym__times_operator] = ACTIONS(11589),
    [sym__rational_operator] = ACTIONS(11589),
    [sym__bitshift_operator] = ACTIONS(11589),
    [sym__power_operator] = ACTIONS(11589),
    [sym__tilde_operator] = ACTIONS(11589),
    [sym__type_order_operator] = ACTIONS(11589),
    [sym__unary_operator] = ACTIONS(11589),
    [sym__unary_plus_operator] = ACTIONS(11589),
    [aux_sym__terminator_token1] = ACTIONS(11591),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9051] = {
    [sym_block_comment] = STATE(9051),
    [sym_line_comment] = STATE(9051),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(12649),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9052] = {
    [sym_block_comment] = STATE(9052),
    [sym_line_comment] = STATE(9052),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11218),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_RBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9053] = {
    [sym_block_comment] = STATE(9053),
    [sym_line_comment] = STATE(9053),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_finally] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9054] = {
    [sym_block_comment] = STATE(9054),
    [sym_line_comment] = STATE(9054),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOT] = ACTIONS(12651),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9055] = {
    [sym_block_comment] = STATE(9055),
    [sym_line_comment] = STATE(9055),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9056] = {
    [sym_block_comment] = STATE(9056),
    [sym_line_comment] = STATE(9056),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_EQ] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_end] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_elseif] = ACTIONS(12151),
    [anon_sym_else] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(12653),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(12655),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(12655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(12657),
    [anon_sym_where] = ACTIONS(12659),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(12661),
    [sym__arrow_operator] = ACTIONS(12663),
    [sym__lazy_or_operator] = ACTIONS(12665),
    [sym__lazy_and_operator] = ACTIONS(12667),
    [sym__comparison_operator] = ACTIONS(12655),
    [sym__pipe_right_operator] = ACTIONS(12669),
    [sym__pipe_left_operator] = ACTIONS(12671),
    [sym__ellipsis_operator] = ACTIONS(12673),
    [sym__plus_operator] = ACTIONS(12675),
    [sym__times_operator] = ACTIONS(12677),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(12655),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12675),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9057] = {
    [sym_block_comment] = STATE(9057),
    [sym_line_comment] = STATE(9057),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12653),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12655),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(12655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(12657),
    [anon_sym_where] = ACTIONS(12659),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(12661),
    [sym__arrow_operator] = ACTIONS(12663),
    [sym__lazy_or_operator] = ACTIONS(12665),
    [sym__lazy_and_operator] = ACTIONS(12667),
    [sym__comparison_operator] = ACTIONS(12655),
    [sym__pipe_right_operator] = ACTIONS(12669),
    [sym__pipe_left_operator] = ACTIONS(12671),
    [sym__ellipsis_operator] = ACTIONS(12673),
    [sym__plus_operator] = ACTIONS(12675),
    [sym__times_operator] = ACTIONS(12677),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12655),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12675),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9058] = {
    [sym_block_comment] = STATE(9058),
    [sym_line_comment] = STATE(9058),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10489),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
  },
  [9059] = {
    [sym_block_comment] = STATE(9059),
    [sym_line_comment] = STATE(9059),
    [sym__word_identifier] = ACTIONS(11593),
    [anon_sym_COMMA] = ACTIONS(11593),
    [anon_sym_EQ] = ACTIONS(11593),
    [anon_sym_begin] = ACTIONS(11593),
    [anon_sym_module] = ACTIONS(11593),
    [anon_sym_baremodule] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(11593),
    [anon_sym_abstract] = ACTIONS(11593),
    [anon_sym_primitive] = ACTIONS(11593),
    [anon_sym_mutable] = ACTIONS(11593),
    [anon_sym_struct] = ACTIONS(11593),
    [anon_sym_function] = ACTIONS(11593),
    [anon_sym_macro] = ACTIONS(11593),
    [anon_sym_quote] = ACTIONS(11593),
    [anon_sym_let] = ACTIONS(11593),
    [anon_sym_if] = ACTIONS(11593),
    [anon_sym_try] = ACTIONS(11593),
    [anon_sym_catch] = ACTIONS(11593),
    [anon_sym_for] = ACTIONS(11593),
    [anon_sym_while] = ACTIONS(11593),
    [sym_break_statement] = ACTIONS(11593),
    [sym_continue_statement] = ACTIONS(11593),
    [anon_sym_return] = ACTIONS(11593),
    [anon_sym_const] = ACTIONS(11593),
    [anon_sym_global] = ACTIONS(11593),
    [anon_sym_local] = ACTIONS(11593),
    [anon_sym_LPAREN] = ACTIONS(11593),
    [anon_sym_COLON] = ACTIONS(11593),
    [anon_sym_export] = ACTIONS(11593),
    [anon_sym_public] = ACTIONS(11593),
    [anon_sym_import] = ACTIONS(11593),
    [anon_sym_using] = ACTIONS(11593),
    [anon_sym_LBRACK] = ACTIONS(11593),
    [anon_sym_in] = ACTIONS(11593),
    [anon_sym_SEMI] = ACTIONS(11593),
    [anon_sym_LBRACE] = ACTIONS(11593),
    [anon_sym_DOLLAR] = ACTIONS(11593),
    [anon_sym_COLON2] = ACTIONS(11593),
    [anon_sym_COLON_COLON] = ACTIONS(11593),
    [anon_sym_isa] = ACTIONS(11593),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11593),
    [anon_sym_QMARK] = ACTIONS(11593),
    [anon_sym_where] = ACTIONS(11593),
    [anon_sym_AT] = ACTIONS(11593),
    [anon_sym_true] = ACTIONS(11593),
    [anon_sym_false] = ACTIONS(11593),
    [aux_sym_integer_literal_token1] = ACTIONS(11593),
    [aux_sym_integer_literal_token2] = ACTIONS(11593),
    [aux_sym_integer_literal_token3] = ACTIONS(11593),
    [aux_sym_integer_literal_token4] = ACTIONS(11593),
    [aux_sym_float_literal_token1] = ACTIONS(11593),
    [aux_sym_float_literal_token3] = ACTIONS(11593),
    [aux_sym_float_literal_token4] = ACTIONS(11593),
    [sym_character_literal] = ACTIONS(11593),
    [anon_sym_DQUOTE] = ACTIONS(11593),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11593),
    [anon_sym_BQUOTE] = ACTIONS(11593),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11593),
    [sym__pair_operator] = ACTIONS(11593),
    [sym__arrow_operator] = ACTIONS(11593),
    [sym__lazy_or_operator] = ACTIONS(11593),
    [sym__lazy_and_operator] = ACTIONS(11593),
    [sym__comparison_operator] = ACTIONS(11593),
    [sym__pipe_right_operator] = ACTIONS(11593),
    [sym__pipe_left_operator] = ACTIONS(11593),
    [sym__ellipsis_operator] = ACTIONS(11593),
    [sym__plus_operator] = ACTIONS(11593),
    [sym__times_operator] = ACTIONS(11593),
    [sym__rational_operator] = ACTIONS(11593),
    [sym__bitshift_operator] = ACTIONS(11593),
    [sym__power_operator] = ACTIONS(11593),
    [sym__tilde_operator] = ACTIONS(11593),
    [sym__type_order_operator] = ACTIONS(11593),
    [sym__unary_operator] = ACTIONS(11593),
    [sym__unary_plus_operator] = ACTIONS(11593),
    [aux_sym__terminator_token1] = ACTIONS(11595),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9060] = {
    [sym_block_comment] = STATE(9060),
    [sym_line_comment] = STATE(9060),
    [sym__word_identifier] = ACTIONS(11386),
    [anon_sym_COMMA] = ACTIONS(11386),
    [anon_sym_EQ] = ACTIONS(11386),
    [anon_sym_begin] = ACTIONS(11386),
    [anon_sym_module] = ACTIONS(11386),
    [anon_sym_baremodule] = ACTIONS(11386),
    [anon_sym_abstract] = ACTIONS(11386),
    [anon_sym_primitive] = ACTIONS(11386),
    [anon_sym_mutable] = ACTIONS(11386),
    [anon_sym_struct] = ACTIONS(11386),
    [anon_sym_function] = ACTIONS(11386),
    [anon_sym_macro] = ACTIONS(11386),
    [anon_sym_quote] = ACTIONS(11386),
    [anon_sym_let] = ACTIONS(11386),
    [anon_sym_if] = ACTIONS(11386),
    [anon_sym_try] = ACTIONS(11386),
    [anon_sym_catch] = ACTIONS(11386),
    [anon_sym_finally] = ACTIONS(11386),
    [anon_sym_for] = ACTIONS(11386),
    [anon_sym_while] = ACTIONS(11386),
    [sym_break_statement] = ACTIONS(11386),
    [sym_continue_statement] = ACTIONS(11386),
    [anon_sym_return] = ACTIONS(11386),
    [anon_sym_const] = ACTIONS(11386),
    [anon_sym_global] = ACTIONS(11386),
    [anon_sym_local] = ACTIONS(11386),
    [anon_sym_LPAREN] = ACTIONS(11386),
    [anon_sym_COLON] = ACTIONS(11386),
    [anon_sym_export] = ACTIONS(11386),
    [anon_sym_public] = ACTIONS(11386),
    [anon_sym_import] = ACTIONS(11386),
    [anon_sym_using] = ACTIONS(11386),
    [anon_sym_LBRACK] = ACTIONS(11386),
    [anon_sym_in] = ACTIONS(11386),
    [anon_sym_SEMI] = ACTIONS(11386),
    [anon_sym_LBRACE] = ACTIONS(11386),
    [anon_sym_DOLLAR] = ACTIONS(11386),
    [anon_sym_COLON2] = ACTIONS(11386),
    [anon_sym_COLON_COLON] = ACTIONS(11386),
    [anon_sym_isa] = ACTIONS(11386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11386),
    [anon_sym_QMARK] = ACTIONS(11386),
    [anon_sym_where] = ACTIONS(11386),
    [anon_sym_AT] = ACTIONS(11386),
    [anon_sym_true] = ACTIONS(11386),
    [anon_sym_false] = ACTIONS(11386),
    [aux_sym_integer_literal_token1] = ACTIONS(11386),
    [aux_sym_integer_literal_token2] = ACTIONS(11386),
    [aux_sym_integer_literal_token3] = ACTIONS(11386),
    [aux_sym_integer_literal_token4] = ACTIONS(11386),
    [aux_sym_float_literal_token1] = ACTIONS(11386),
    [aux_sym_float_literal_token3] = ACTIONS(11386),
    [aux_sym_float_literal_token4] = ACTIONS(11386),
    [sym_character_literal] = ACTIONS(11386),
    [anon_sym_DQUOTE] = ACTIONS(11386),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11386),
    [anon_sym_BQUOTE] = ACTIONS(11386),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11386),
    [sym__pair_operator] = ACTIONS(11386),
    [sym__arrow_operator] = ACTIONS(11386),
    [sym__lazy_or_operator] = ACTIONS(11386),
    [sym__lazy_and_operator] = ACTIONS(11386),
    [sym__comparison_operator] = ACTIONS(11386),
    [sym__pipe_right_operator] = ACTIONS(11386),
    [sym__pipe_left_operator] = ACTIONS(11386),
    [sym__ellipsis_operator] = ACTIONS(11386),
    [sym__plus_operator] = ACTIONS(11386),
    [sym__times_operator] = ACTIONS(11386),
    [sym__rational_operator] = ACTIONS(11386),
    [sym__bitshift_operator] = ACTIONS(11386),
    [sym__power_operator] = ACTIONS(11386),
    [sym__tilde_operator] = ACTIONS(11386),
    [sym__type_order_operator] = ACTIONS(11386),
    [sym__unary_operator] = ACTIONS(11386),
    [sym__unary_plus_operator] = ACTIONS(11386),
    [aux_sym__terminator_token1] = ACTIONS(11388),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9061] = {
    [sym_block_comment] = STATE(9061),
    [sym_line_comment] = STATE(9061),
    [sym__word_identifier] = ACTIONS(11390),
    [anon_sym_COMMA] = ACTIONS(11390),
    [anon_sym_EQ] = ACTIONS(11390),
    [anon_sym_begin] = ACTIONS(11390),
    [anon_sym_module] = ACTIONS(11390),
    [anon_sym_baremodule] = ACTIONS(11390),
    [anon_sym_abstract] = ACTIONS(11390),
    [anon_sym_primitive] = ACTIONS(11390),
    [anon_sym_mutable] = ACTIONS(11390),
    [anon_sym_struct] = ACTIONS(11390),
    [anon_sym_function] = ACTIONS(11390),
    [anon_sym_macro] = ACTIONS(11390),
    [anon_sym_quote] = ACTIONS(11390),
    [anon_sym_let] = ACTIONS(11390),
    [anon_sym_if] = ACTIONS(11390),
    [anon_sym_try] = ACTIONS(11390),
    [anon_sym_catch] = ACTIONS(11390),
    [anon_sym_finally] = ACTIONS(11390),
    [anon_sym_for] = ACTIONS(11390),
    [anon_sym_while] = ACTIONS(11390),
    [sym_break_statement] = ACTIONS(11390),
    [sym_continue_statement] = ACTIONS(11390),
    [anon_sym_return] = ACTIONS(11390),
    [anon_sym_const] = ACTIONS(11390),
    [anon_sym_global] = ACTIONS(11390),
    [anon_sym_local] = ACTIONS(11390),
    [anon_sym_LPAREN] = ACTIONS(11390),
    [anon_sym_COLON] = ACTIONS(11390),
    [anon_sym_export] = ACTIONS(11390),
    [anon_sym_public] = ACTIONS(11390),
    [anon_sym_import] = ACTIONS(11390),
    [anon_sym_using] = ACTIONS(11390),
    [anon_sym_LBRACK] = ACTIONS(11390),
    [anon_sym_in] = ACTIONS(11390),
    [anon_sym_SEMI] = ACTIONS(11390),
    [anon_sym_LBRACE] = ACTIONS(11390),
    [anon_sym_DOLLAR] = ACTIONS(11390),
    [anon_sym_COLON2] = ACTIONS(11390),
    [anon_sym_COLON_COLON] = ACTIONS(11390),
    [anon_sym_isa] = ACTIONS(11390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11390),
    [anon_sym_QMARK] = ACTIONS(11390),
    [anon_sym_where] = ACTIONS(11390),
    [anon_sym_AT] = ACTIONS(11390),
    [anon_sym_true] = ACTIONS(11390),
    [anon_sym_false] = ACTIONS(11390),
    [aux_sym_integer_literal_token1] = ACTIONS(11390),
    [aux_sym_integer_literal_token2] = ACTIONS(11390),
    [aux_sym_integer_literal_token3] = ACTIONS(11390),
    [aux_sym_integer_literal_token4] = ACTIONS(11390),
    [aux_sym_float_literal_token1] = ACTIONS(11390),
    [aux_sym_float_literal_token3] = ACTIONS(11390),
    [aux_sym_float_literal_token4] = ACTIONS(11390),
    [sym_character_literal] = ACTIONS(11390),
    [anon_sym_DQUOTE] = ACTIONS(11390),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11390),
    [anon_sym_BQUOTE] = ACTIONS(11390),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11390),
    [sym__pair_operator] = ACTIONS(11390),
    [sym__arrow_operator] = ACTIONS(11390),
    [sym__lazy_or_operator] = ACTIONS(11390),
    [sym__lazy_and_operator] = ACTIONS(11390),
    [sym__comparison_operator] = ACTIONS(11390),
    [sym__pipe_right_operator] = ACTIONS(11390),
    [sym__pipe_left_operator] = ACTIONS(11390),
    [sym__ellipsis_operator] = ACTIONS(11390),
    [sym__plus_operator] = ACTIONS(11390),
    [sym__times_operator] = ACTIONS(11390),
    [sym__rational_operator] = ACTIONS(11390),
    [sym__bitshift_operator] = ACTIONS(11390),
    [sym__power_operator] = ACTIONS(11390),
    [sym__tilde_operator] = ACTIONS(11390),
    [sym__type_order_operator] = ACTIONS(11390),
    [sym__unary_operator] = ACTIONS(11390),
    [sym__unary_plus_operator] = ACTIONS(11390),
    [aux_sym__terminator_token1] = ACTIONS(11392),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9062] = {
    [sym_block_comment] = STATE(9062),
    [sym_line_comment] = STATE(9062),
    [sym__word_identifier] = ACTIONS(11394),
    [anon_sym_COMMA] = ACTIONS(11394),
    [anon_sym_EQ] = ACTIONS(11394),
    [anon_sym_begin] = ACTIONS(11394),
    [anon_sym_module] = ACTIONS(11394),
    [anon_sym_baremodule] = ACTIONS(11394),
    [anon_sym_abstract] = ACTIONS(11394),
    [anon_sym_primitive] = ACTIONS(11394),
    [anon_sym_mutable] = ACTIONS(11394),
    [anon_sym_struct] = ACTIONS(11394),
    [anon_sym_function] = ACTIONS(11394),
    [anon_sym_macro] = ACTIONS(11394),
    [anon_sym_quote] = ACTIONS(11394),
    [anon_sym_let] = ACTIONS(11394),
    [anon_sym_if] = ACTIONS(11394),
    [anon_sym_try] = ACTIONS(11394),
    [anon_sym_catch] = ACTIONS(11394),
    [anon_sym_finally] = ACTIONS(11394),
    [anon_sym_for] = ACTIONS(11394),
    [anon_sym_while] = ACTIONS(11394),
    [sym_break_statement] = ACTIONS(11394),
    [sym_continue_statement] = ACTIONS(11394),
    [anon_sym_return] = ACTIONS(11394),
    [anon_sym_const] = ACTIONS(11394),
    [anon_sym_global] = ACTIONS(11394),
    [anon_sym_local] = ACTIONS(11394),
    [anon_sym_LPAREN] = ACTIONS(11394),
    [anon_sym_COLON] = ACTIONS(11394),
    [anon_sym_export] = ACTIONS(11394),
    [anon_sym_public] = ACTIONS(11394),
    [anon_sym_import] = ACTIONS(11394),
    [anon_sym_using] = ACTIONS(11394),
    [anon_sym_LBRACK] = ACTIONS(11394),
    [anon_sym_in] = ACTIONS(11394),
    [anon_sym_SEMI] = ACTIONS(11394),
    [anon_sym_LBRACE] = ACTIONS(11394),
    [anon_sym_DOLLAR] = ACTIONS(11394),
    [anon_sym_COLON2] = ACTIONS(11394),
    [anon_sym_COLON_COLON] = ACTIONS(11394),
    [anon_sym_isa] = ACTIONS(11394),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11394),
    [anon_sym_QMARK] = ACTIONS(11394),
    [anon_sym_where] = ACTIONS(11394),
    [anon_sym_AT] = ACTIONS(11394),
    [anon_sym_true] = ACTIONS(11394),
    [anon_sym_false] = ACTIONS(11394),
    [aux_sym_integer_literal_token1] = ACTIONS(11394),
    [aux_sym_integer_literal_token2] = ACTIONS(11394),
    [aux_sym_integer_literal_token3] = ACTIONS(11394),
    [aux_sym_integer_literal_token4] = ACTIONS(11394),
    [aux_sym_float_literal_token1] = ACTIONS(11394),
    [aux_sym_float_literal_token3] = ACTIONS(11394),
    [aux_sym_float_literal_token4] = ACTIONS(11394),
    [sym_character_literal] = ACTIONS(11394),
    [anon_sym_DQUOTE] = ACTIONS(11394),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11394),
    [anon_sym_BQUOTE] = ACTIONS(11394),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11394),
    [sym__pair_operator] = ACTIONS(11394),
    [sym__arrow_operator] = ACTIONS(11394),
    [sym__lazy_or_operator] = ACTIONS(11394),
    [sym__lazy_and_operator] = ACTIONS(11394),
    [sym__comparison_operator] = ACTIONS(11394),
    [sym__pipe_right_operator] = ACTIONS(11394),
    [sym__pipe_left_operator] = ACTIONS(11394),
    [sym__ellipsis_operator] = ACTIONS(11394),
    [sym__plus_operator] = ACTIONS(11394),
    [sym__times_operator] = ACTIONS(11394),
    [sym__rational_operator] = ACTIONS(11394),
    [sym__bitshift_operator] = ACTIONS(11394),
    [sym__power_operator] = ACTIONS(11394),
    [sym__tilde_operator] = ACTIONS(11394),
    [sym__type_order_operator] = ACTIONS(11394),
    [sym__unary_operator] = ACTIONS(11394),
    [sym__unary_plus_operator] = ACTIONS(11394),
    [aux_sym__terminator_token1] = ACTIONS(11396),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9063] = {
    [sym_block_comment] = STATE(9063),
    [sym_line_comment] = STATE(9063),
    [sym__word_identifier] = ACTIONS(11597),
    [anon_sym_COMMA] = ACTIONS(11597),
    [anon_sym_EQ] = ACTIONS(11597),
    [anon_sym_begin] = ACTIONS(11597),
    [anon_sym_module] = ACTIONS(11597),
    [anon_sym_baremodule] = ACTIONS(11597),
    [anon_sym_end] = ACTIONS(11597),
    [anon_sym_abstract] = ACTIONS(11597),
    [anon_sym_primitive] = ACTIONS(11597),
    [anon_sym_mutable] = ACTIONS(11597),
    [anon_sym_struct] = ACTIONS(11597),
    [anon_sym_function] = ACTIONS(11597),
    [anon_sym_macro] = ACTIONS(11597),
    [anon_sym_quote] = ACTIONS(11597),
    [anon_sym_let] = ACTIONS(11597),
    [anon_sym_if] = ACTIONS(11597),
    [anon_sym_try] = ACTIONS(11597),
    [anon_sym_catch] = ACTIONS(11597),
    [anon_sym_for] = ACTIONS(11597),
    [anon_sym_while] = ACTIONS(11597),
    [sym_break_statement] = ACTIONS(11597),
    [sym_continue_statement] = ACTIONS(11597),
    [anon_sym_return] = ACTIONS(11597),
    [anon_sym_const] = ACTIONS(11597),
    [anon_sym_global] = ACTIONS(11597),
    [anon_sym_local] = ACTIONS(11597),
    [anon_sym_LPAREN] = ACTIONS(11597),
    [anon_sym_COLON] = ACTIONS(11597),
    [anon_sym_export] = ACTIONS(11597),
    [anon_sym_public] = ACTIONS(11597),
    [anon_sym_import] = ACTIONS(11597),
    [anon_sym_using] = ACTIONS(11597),
    [anon_sym_LBRACK] = ACTIONS(11597),
    [anon_sym_in] = ACTIONS(11597),
    [anon_sym_SEMI] = ACTIONS(11597),
    [anon_sym_LBRACE] = ACTIONS(11597),
    [anon_sym_DOLLAR] = ACTIONS(11597),
    [anon_sym_COLON2] = ACTIONS(11597),
    [anon_sym_COLON_COLON] = ACTIONS(11597),
    [anon_sym_isa] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11597),
    [anon_sym_QMARK] = ACTIONS(11597),
    [anon_sym_where] = ACTIONS(11597),
    [anon_sym_AT] = ACTIONS(11597),
    [anon_sym_true] = ACTIONS(11597),
    [anon_sym_false] = ACTIONS(11597),
    [aux_sym_integer_literal_token1] = ACTIONS(11597),
    [aux_sym_integer_literal_token2] = ACTIONS(11597),
    [aux_sym_integer_literal_token3] = ACTIONS(11597),
    [aux_sym_integer_literal_token4] = ACTIONS(11597),
    [aux_sym_float_literal_token1] = ACTIONS(11597),
    [aux_sym_float_literal_token3] = ACTIONS(11597),
    [aux_sym_float_literal_token4] = ACTIONS(11597),
    [sym_character_literal] = ACTIONS(11597),
    [anon_sym_DQUOTE] = ACTIONS(11597),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11597),
    [anon_sym_BQUOTE] = ACTIONS(11597),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11597),
    [sym__pair_operator] = ACTIONS(11597),
    [sym__arrow_operator] = ACTIONS(11597),
    [sym__lazy_or_operator] = ACTIONS(11597),
    [sym__lazy_and_operator] = ACTIONS(11597),
    [sym__comparison_operator] = ACTIONS(11597),
    [sym__pipe_right_operator] = ACTIONS(11597),
    [sym__pipe_left_operator] = ACTIONS(11597),
    [sym__ellipsis_operator] = ACTIONS(11597),
    [sym__plus_operator] = ACTIONS(11597),
    [sym__times_operator] = ACTIONS(11597),
    [sym__rational_operator] = ACTIONS(11597),
    [sym__bitshift_operator] = ACTIONS(11597),
    [sym__power_operator] = ACTIONS(11597),
    [sym__tilde_operator] = ACTIONS(11597),
    [sym__type_order_operator] = ACTIONS(11597),
    [sym__unary_operator] = ACTIONS(11597),
    [sym__unary_plus_operator] = ACTIONS(11597),
    [aux_sym__terminator_token1] = ACTIONS(11599),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9064] = {
    [sym_block_comment] = STATE(9064),
    [sym_line_comment] = STATE(9064),
    [sym__word_identifier] = ACTIONS(11398),
    [anon_sym_COMMA] = ACTIONS(11398),
    [anon_sym_EQ] = ACTIONS(11398),
    [anon_sym_begin] = ACTIONS(11398),
    [anon_sym_module] = ACTIONS(11398),
    [anon_sym_baremodule] = ACTIONS(11398),
    [anon_sym_abstract] = ACTIONS(11398),
    [anon_sym_primitive] = ACTIONS(11398),
    [anon_sym_mutable] = ACTIONS(11398),
    [anon_sym_struct] = ACTIONS(11398),
    [anon_sym_function] = ACTIONS(11398),
    [anon_sym_macro] = ACTIONS(11398),
    [anon_sym_quote] = ACTIONS(11398),
    [anon_sym_let] = ACTIONS(11398),
    [anon_sym_if] = ACTIONS(11398),
    [anon_sym_try] = ACTIONS(11398),
    [anon_sym_catch] = ACTIONS(11398),
    [anon_sym_finally] = ACTIONS(11398),
    [anon_sym_for] = ACTIONS(11398),
    [anon_sym_while] = ACTIONS(11398),
    [sym_break_statement] = ACTIONS(11398),
    [sym_continue_statement] = ACTIONS(11398),
    [anon_sym_return] = ACTIONS(11398),
    [anon_sym_const] = ACTIONS(11398),
    [anon_sym_global] = ACTIONS(11398),
    [anon_sym_local] = ACTIONS(11398),
    [anon_sym_LPAREN] = ACTIONS(11398),
    [anon_sym_COLON] = ACTIONS(11398),
    [anon_sym_export] = ACTIONS(11398),
    [anon_sym_public] = ACTIONS(11398),
    [anon_sym_import] = ACTIONS(11398),
    [anon_sym_using] = ACTIONS(11398),
    [anon_sym_LBRACK] = ACTIONS(11398),
    [anon_sym_in] = ACTIONS(11398),
    [anon_sym_SEMI] = ACTIONS(11398),
    [anon_sym_LBRACE] = ACTIONS(11398),
    [anon_sym_DOLLAR] = ACTIONS(11398),
    [anon_sym_COLON2] = ACTIONS(11398),
    [anon_sym_COLON_COLON] = ACTIONS(11398),
    [anon_sym_isa] = ACTIONS(11398),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11398),
    [anon_sym_QMARK] = ACTIONS(11398),
    [anon_sym_where] = ACTIONS(11398),
    [anon_sym_AT] = ACTIONS(11398),
    [anon_sym_true] = ACTIONS(11398),
    [anon_sym_false] = ACTIONS(11398),
    [aux_sym_integer_literal_token1] = ACTIONS(11398),
    [aux_sym_integer_literal_token2] = ACTIONS(11398),
    [aux_sym_integer_literal_token3] = ACTIONS(11398),
    [aux_sym_integer_literal_token4] = ACTIONS(11398),
    [aux_sym_float_literal_token1] = ACTIONS(11398),
    [aux_sym_float_literal_token3] = ACTIONS(11398),
    [aux_sym_float_literal_token4] = ACTIONS(11398),
    [sym_character_literal] = ACTIONS(11398),
    [anon_sym_DQUOTE] = ACTIONS(11398),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11398),
    [anon_sym_BQUOTE] = ACTIONS(11398),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11398),
    [sym__pair_operator] = ACTIONS(11398),
    [sym__arrow_operator] = ACTIONS(11398),
    [sym__lazy_or_operator] = ACTIONS(11398),
    [sym__lazy_and_operator] = ACTIONS(11398),
    [sym__comparison_operator] = ACTIONS(11398),
    [sym__pipe_right_operator] = ACTIONS(11398),
    [sym__pipe_left_operator] = ACTIONS(11398),
    [sym__ellipsis_operator] = ACTIONS(11398),
    [sym__plus_operator] = ACTIONS(11398),
    [sym__times_operator] = ACTIONS(11398),
    [sym__rational_operator] = ACTIONS(11398),
    [sym__bitshift_operator] = ACTIONS(11398),
    [sym__power_operator] = ACTIONS(11398),
    [sym__tilde_operator] = ACTIONS(11398),
    [sym__type_order_operator] = ACTIONS(11398),
    [sym__unary_operator] = ACTIONS(11398),
    [sym__unary_plus_operator] = ACTIONS(11398),
    [aux_sym__terminator_token1] = ACTIONS(11400),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9065] = {
    [sym_block_comment] = STATE(9065),
    [sym_line_comment] = STATE(9065),
    [ts_builtin_sym_end] = ACTIONS(11706),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_RBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(12344),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9066] = {
    [sym_block_comment] = STATE(9066),
    [sym_line_comment] = STATE(9066),
    [sym__word_identifier] = ACTIONS(11601),
    [anon_sym_COMMA] = ACTIONS(11601),
    [anon_sym_EQ] = ACTIONS(11601),
    [anon_sym_begin] = ACTIONS(11601),
    [anon_sym_module] = ACTIONS(11601),
    [anon_sym_baremodule] = ACTIONS(11601),
    [anon_sym_end] = ACTIONS(11601),
    [anon_sym_abstract] = ACTIONS(11601),
    [anon_sym_primitive] = ACTIONS(11601),
    [anon_sym_mutable] = ACTIONS(11601),
    [anon_sym_struct] = ACTIONS(11601),
    [anon_sym_function] = ACTIONS(11601),
    [anon_sym_macro] = ACTIONS(11601),
    [anon_sym_quote] = ACTIONS(11601),
    [anon_sym_let] = ACTIONS(11601),
    [anon_sym_if] = ACTIONS(11601),
    [anon_sym_try] = ACTIONS(11601),
    [anon_sym_catch] = ACTIONS(11601),
    [anon_sym_for] = ACTIONS(11601),
    [anon_sym_while] = ACTIONS(11601),
    [sym_break_statement] = ACTIONS(11601),
    [sym_continue_statement] = ACTIONS(11601),
    [anon_sym_return] = ACTIONS(11601),
    [anon_sym_const] = ACTIONS(11601),
    [anon_sym_global] = ACTIONS(11601),
    [anon_sym_local] = ACTIONS(11601),
    [anon_sym_LPAREN] = ACTIONS(11601),
    [anon_sym_COLON] = ACTIONS(11601),
    [anon_sym_export] = ACTIONS(11601),
    [anon_sym_public] = ACTIONS(11601),
    [anon_sym_import] = ACTIONS(11601),
    [anon_sym_using] = ACTIONS(11601),
    [anon_sym_LBRACK] = ACTIONS(11601),
    [anon_sym_in] = ACTIONS(11601),
    [anon_sym_SEMI] = ACTIONS(11601),
    [anon_sym_LBRACE] = ACTIONS(11601),
    [anon_sym_DOLLAR] = ACTIONS(11601),
    [anon_sym_COLON2] = ACTIONS(11601),
    [anon_sym_COLON_COLON] = ACTIONS(11601),
    [anon_sym_isa] = ACTIONS(11601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11601),
    [anon_sym_QMARK] = ACTIONS(11601),
    [anon_sym_where] = ACTIONS(11601),
    [anon_sym_AT] = ACTIONS(11601),
    [anon_sym_true] = ACTIONS(11601),
    [anon_sym_false] = ACTIONS(11601),
    [aux_sym_integer_literal_token1] = ACTIONS(11601),
    [aux_sym_integer_literal_token2] = ACTIONS(11601),
    [aux_sym_integer_literal_token3] = ACTIONS(11601),
    [aux_sym_integer_literal_token4] = ACTIONS(11601),
    [aux_sym_float_literal_token1] = ACTIONS(11601),
    [aux_sym_float_literal_token3] = ACTIONS(11601),
    [aux_sym_float_literal_token4] = ACTIONS(11601),
    [sym_character_literal] = ACTIONS(11601),
    [anon_sym_DQUOTE] = ACTIONS(11601),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11601),
    [anon_sym_BQUOTE] = ACTIONS(11601),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11601),
    [sym__pair_operator] = ACTIONS(11601),
    [sym__arrow_operator] = ACTIONS(11601),
    [sym__lazy_or_operator] = ACTIONS(11601),
    [sym__lazy_and_operator] = ACTIONS(11601),
    [sym__comparison_operator] = ACTIONS(11601),
    [sym__pipe_right_operator] = ACTIONS(11601),
    [sym__pipe_left_operator] = ACTIONS(11601),
    [sym__ellipsis_operator] = ACTIONS(11601),
    [sym__plus_operator] = ACTIONS(11601),
    [sym__times_operator] = ACTIONS(11601),
    [sym__rational_operator] = ACTIONS(11601),
    [sym__bitshift_operator] = ACTIONS(11601),
    [sym__power_operator] = ACTIONS(11601),
    [sym__tilde_operator] = ACTIONS(11601),
    [sym__type_order_operator] = ACTIONS(11601),
    [sym__unary_operator] = ACTIONS(11601),
    [sym__unary_plus_operator] = ACTIONS(11601),
    [aux_sym__terminator_token1] = ACTIONS(11603),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9067] = {
    [sym_block_comment] = STATE(9067),
    [sym_line_comment] = STATE(9067),
    [sym__word_identifier] = ACTIONS(11605),
    [anon_sym_COMMA] = ACTIONS(11605),
    [anon_sym_EQ] = ACTIONS(11605),
    [anon_sym_begin] = ACTIONS(11605),
    [anon_sym_module] = ACTIONS(11605),
    [anon_sym_baremodule] = ACTIONS(11605),
    [anon_sym_end] = ACTIONS(11605),
    [anon_sym_abstract] = ACTIONS(11605),
    [anon_sym_primitive] = ACTIONS(11605),
    [anon_sym_mutable] = ACTIONS(11605),
    [anon_sym_struct] = ACTIONS(11605),
    [anon_sym_function] = ACTIONS(11605),
    [anon_sym_macro] = ACTIONS(11605),
    [anon_sym_quote] = ACTIONS(11605),
    [anon_sym_let] = ACTIONS(11605),
    [anon_sym_if] = ACTIONS(11605),
    [anon_sym_try] = ACTIONS(11605),
    [anon_sym_catch] = ACTIONS(11605),
    [anon_sym_for] = ACTIONS(11605),
    [anon_sym_while] = ACTIONS(11605),
    [sym_break_statement] = ACTIONS(11605),
    [sym_continue_statement] = ACTIONS(11605),
    [anon_sym_return] = ACTIONS(11605),
    [anon_sym_const] = ACTIONS(11605),
    [anon_sym_global] = ACTIONS(11605),
    [anon_sym_local] = ACTIONS(11605),
    [anon_sym_LPAREN] = ACTIONS(11605),
    [anon_sym_COLON] = ACTIONS(11605),
    [anon_sym_export] = ACTIONS(11605),
    [anon_sym_public] = ACTIONS(11605),
    [anon_sym_import] = ACTIONS(11605),
    [anon_sym_using] = ACTIONS(11605),
    [anon_sym_LBRACK] = ACTIONS(11605),
    [anon_sym_in] = ACTIONS(11605),
    [anon_sym_SEMI] = ACTIONS(11605),
    [anon_sym_LBRACE] = ACTIONS(11605),
    [anon_sym_DOLLAR] = ACTIONS(11605),
    [anon_sym_COLON2] = ACTIONS(11605),
    [anon_sym_COLON_COLON] = ACTIONS(11605),
    [anon_sym_isa] = ACTIONS(11605),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11605),
    [anon_sym_QMARK] = ACTIONS(11605),
    [anon_sym_where] = ACTIONS(11605),
    [anon_sym_AT] = ACTIONS(11605),
    [anon_sym_true] = ACTIONS(11605),
    [anon_sym_false] = ACTIONS(11605),
    [aux_sym_integer_literal_token1] = ACTIONS(11605),
    [aux_sym_integer_literal_token2] = ACTIONS(11605),
    [aux_sym_integer_literal_token3] = ACTIONS(11605),
    [aux_sym_integer_literal_token4] = ACTIONS(11605),
    [aux_sym_float_literal_token1] = ACTIONS(11605),
    [aux_sym_float_literal_token3] = ACTIONS(11605),
    [aux_sym_float_literal_token4] = ACTIONS(11605),
    [sym_character_literal] = ACTIONS(11605),
    [anon_sym_DQUOTE] = ACTIONS(11605),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11605),
    [anon_sym_BQUOTE] = ACTIONS(11605),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11605),
    [sym__pair_operator] = ACTIONS(11605),
    [sym__arrow_operator] = ACTIONS(11605),
    [sym__lazy_or_operator] = ACTIONS(11605),
    [sym__lazy_and_operator] = ACTIONS(11605),
    [sym__comparison_operator] = ACTIONS(11605),
    [sym__pipe_right_operator] = ACTIONS(11605),
    [sym__pipe_left_operator] = ACTIONS(11605),
    [sym__ellipsis_operator] = ACTIONS(11605),
    [sym__plus_operator] = ACTIONS(11605),
    [sym__times_operator] = ACTIONS(11605),
    [sym__rational_operator] = ACTIONS(11605),
    [sym__bitshift_operator] = ACTIONS(11605),
    [sym__power_operator] = ACTIONS(11605),
    [sym__tilde_operator] = ACTIONS(11605),
    [sym__type_order_operator] = ACTIONS(11605),
    [sym__unary_operator] = ACTIONS(11605),
    [sym__unary_plus_operator] = ACTIONS(11605),
    [aux_sym__terminator_token1] = ACTIONS(11607),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9068] = {
    [sym_block_comment] = STATE(9068),
    [sym_line_comment] = STATE(9068),
    [sym__word_identifier] = ACTIONS(11402),
    [anon_sym_COMMA] = ACTIONS(11402),
    [anon_sym_EQ] = ACTIONS(11402),
    [anon_sym_begin] = ACTIONS(11402),
    [anon_sym_module] = ACTIONS(11402),
    [anon_sym_baremodule] = ACTIONS(11402),
    [anon_sym_abstract] = ACTIONS(11402),
    [anon_sym_primitive] = ACTIONS(11402),
    [anon_sym_mutable] = ACTIONS(11402),
    [anon_sym_struct] = ACTIONS(11402),
    [anon_sym_function] = ACTIONS(11402),
    [anon_sym_macro] = ACTIONS(11402),
    [anon_sym_quote] = ACTIONS(11402),
    [anon_sym_let] = ACTIONS(11402),
    [anon_sym_if] = ACTIONS(11402),
    [anon_sym_try] = ACTIONS(11402),
    [anon_sym_catch] = ACTIONS(11402),
    [anon_sym_finally] = ACTIONS(11402),
    [anon_sym_for] = ACTIONS(11402),
    [anon_sym_while] = ACTIONS(11402),
    [sym_break_statement] = ACTIONS(11402),
    [sym_continue_statement] = ACTIONS(11402),
    [anon_sym_return] = ACTIONS(11402),
    [anon_sym_const] = ACTIONS(11402),
    [anon_sym_global] = ACTIONS(11402),
    [anon_sym_local] = ACTIONS(11402),
    [anon_sym_LPAREN] = ACTIONS(11402),
    [anon_sym_COLON] = ACTIONS(11402),
    [anon_sym_export] = ACTIONS(11402),
    [anon_sym_public] = ACTIONS(11402),
    [anon_sym_import] = ACTIONS(11402),
    [anon_sym_using] = ACTIONS(11402),
    [anon_sym_LBRACK] = ACTIONS(11402),
    [anon_sym_in] = ACTIONS(11402),
    [anon_sym_SEMI] = ACTIONS(11402),
    [anon_sym_LBRACE] = ACTIONS(11402),
    [anon_sym_DOLLAR] = ACTIONS(11402),
    [anon_sym_COLON2] = ACTIONS(11402),
    [anon_sym_COLON_COLON] = ACTIONS(11402),
    [anon_sym_isa] = ACTIONS(11402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11402),
    [anon_sym_QMARK] = ACTIONS(11402),
    [anon_sym_where] = ACTIONS(11402),
    [anon_sym_AT] = ACTIONS(11402),
    [anon_sym_true] = ACTIONS(11402),
    [anon_sym_false] = ACTIONS(11402),
    [aux_sym_integer_literal_token1] = ACTIONS(11402),
    [aux_sym_integer_literal_token2] = ACTIONS(11402),
    [aux_sym_integer_literal_token3] = ACTIONS(11402),
    [aux_sym_integer_literal_token4] = ACTIONS(11402),
    [aux_sym_float_literal_token1] = ACTIONS(11402),
    [aux_sym_float_literal_token3] = ACTIONS(11402),
    [aux_sym_float_literal_token4] = ACTIONS(11402),
    [sym_character_literal] = ACTIONS(11402),
    [anon_sym_DQUOTE] = ACTIONS(11402),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11402),
    [anon_sym_BQUOTE] = ACTIONS(11402),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11402),
    [sym__pair_operator] = ACTIONS(11402),
    [sym__arrow_operator] = ACTIONS(11402),
    [sym__lazy_or_operator] = ACTIONS(11402),
    [sym__lazy_and_operator] = ACTIONS(11402),
    [sym__comparison_operator] = ACTIONS(11402),
    [sym__pipe_right_operator] = ACTIONS(11402),
    [sym__pipe_left_operator] = ACTIONS(11402),
    [sym__ellipsis_operator] = ACTIONS(11402),
    [sym__plus_operator] = ACTIONS(11402),
    [sym__times_operator] = ACTIONS(11402),
    [sym__rational_operator] = ACTIONS(11402),
    [sym__bitshift_operator] = ACTIONS(11402),
    [sym__power_operator] = ACTIONS(11402),
    [sym__tilde_operator] = ACTIONS(11402),
    [sym__type_order_operator] = ACTIONS(11402),
    [sym__unary_operator] = ACTIONS(11402),
    [sym__unary_plus_operator] = ACTIONS(11402),
    [aux_sym__terminator_token1] = ACTIONS(11404),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9069] = {
    [sym_block_comment] = STATE(9069),
    [sym_line_comment] = STATE(9069),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_elseif] = ACTIONS(11382),
    [anon_sym_else] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(12653),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(12655),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(12655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(12657),
    [anon_sym_where] = ACTIONS(12659),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(12661),
    [sym__arrow_operator] = ACTIONS(12663),
    [sym__lazy_or_operator] = ACTIONS(12665),
    [sym__lazy_and_operator] = ACTIONS(12667),
    [sym__comparison_operator] = ACTIONS(12655),
    [sym__pipe_right_operator] = ACTIONS(12669),
    [sym__pipe_left_operator] = ACTIONS(12671),
    [sym__ellipsis_operator] = ACTIONS(12673),
    [sym__plus_operator] = ACTIONS(12675),
    [sym__times_operator] = ACTIONS(12677),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(12655),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12675),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9070] = {
    [sym_block_comment] = STATE(9070),
    [sym_line_comment] = STATE(9070),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_elseif] = ACTIONS(11704),
    [anon_sym_else] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(12653),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(12655),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(12655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(12657),
    [anon_sym_where] = ACTIONS(12659),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(12661),
    [sym__arrow_operator] = ACTIONS(12663),
    [sym__lazy_or_operator] = ACTIONS(12665),
    [sym__lazy_and_operator] = ACTIONS(12667),
    [sym__comparison_operator] = ACTIONS(12655),
    [sym__pipe_right_operator] = ACTIONS(12669),
    [sym__pipe_left_operator] = ACTIONS(12671),
    [sym__ellipsis_operator] = ACTIONS(12673),
    [sym__plus_operator] = ACTIONS(12675),
    [sym__times_operator] = ACTIONS(12677),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(12655),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12675),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9071] = {
    [sym_block_comment] = STATE(9071),
    [sym_line_comment] = STATE(9071),
    [sym__word_identifier] = ACTIONS(11406),
    [anon_sym_COMMA] = ACTIONS(11406),
    [anon_sym_EQ] = ACTIONS(11406),
    [anon_sym_begin] = ACTIONS(11406),
    [anon_sym_module] = ACTIONS(11406),
    [anon_sym_baremodule] = ACTIONS(11406),
    [anon_sym_abstract] = ACTIONS(11406),
    [anon_sym_primitive] = ACTIONS(11406),
    [anon_sym_mutable] = ACTIONS(11406),
    [anon_sym_struct] = ACTIONS(11406),
    [anon_sym_function] = ACTIONS(11406),
    [anon_sym_macro] = ACTIONS(11406),
    [anon_sym_quote] = ACTIONS(11406),
    [anon_sym_let] = ACTIONS(11406),
    [anon_sym_if] = ACTIONS(11406),
    [anon_sym_try] = ACTIONS(11406),
    [anon_sym_catch] = ACTIONS(11406),
    [anon_sym_finally] = ACTIONS(11406),
    [anon_sym_for] = ACTIONS(11406),
    [anon_sym_while] = ACTIONS(11406),
    [sym_break_statement] = ACTIONS(11406),
    [sym_continue_statement] = ACTIONS(11406),
    [anon_sym_return] = ACTIONS(11406),
    [anon_sym_const] = ACTIONS(11406),
    [anon_sym_global] = ACTIONS(11406),
    [anon_sym_local] = ACTIONS(11406),
    [anon_sym_LPAREN] = ACTIONS(11406),
    [anon_sym_COLON] = ACTIONS(11406),
    [anon_sym_export] = ACTIONS(11406),
    [anon_sym_public] = ACTIONS(11406),
    [anon_sym_import] = ACTIONS(11406),
    [anon_sym_using] = ACTIONS(11406),
    [anon_sym_LBRACK] = ACTIONS(11406),
    [anon_sym_in] = ACTIONS(11406),
    [anon_sym_SEMI] = ACTIONS(11406),
    [anon_sym_LBRACE] = ACTIONS(11406),
    [anon_sym_DOLLAR] = ACTIONS(11406),
    [anon_sym_COLON2] = ACTIONS(11406),
    [anon_sym_COLON_COLON] = ACTIONS(11406),
    [anon_sym_isa] = ACTIONS(11406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11406),
    [anon_sym_QMARK] = ACTIONS(11406),
    [anon_sym_where] = ACTIONS(11406),
    [anon_sym_AT] = ACTIONS(11406),
    [anon_sym_true] = ACTIONS(11406),
    [anon_sym_false] = ACTIONS(11406),
    [aux_sym_integer_literal_token1] = ACTIONS(11406),
    [aux_sym_integer_literal_token2] = ACTIONS(11406),
    [aux_sym_integer_literal_token3] = ACTIONS(11406),
    [aux_sym_integer_literal_token4] = ACTIONS(11406),
    [aux_sym_float_literal_token1] = ACTIONS(11406),
    [aux_sym_float_literal_token3] = ACTIONS(11406),
    [aux_sym_float_literal_token4] = ACTIONS(11406),
    [sym_character_literal] = ACTIONS(11406),
    [anon_sym_DQUOTE] = ACTIONS(11406),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11406),
    [anon_sym_BQUOTE] = ACTIONS(11406),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11406),
    [sym__pair_operator] = ACTIONS(11406),
    [sym__arrow_operator] = ACTIONS(11406),
    [sym__lazy_or_operator] = ACTIONS(11406),
    [sym__lazy_and_operator] = ACTIONS(11406),
    [sym__comparison_operator] = ACTIONS(11406),
    [sym__pipe_right_operator] = ACTIONS(11406),
    [sym__pipe_left_operator] = ACTIONS(11406),
    [sym__ellipsis_operator] = ACTIONS(11406),
    [sym__plus_operator] = ACTIONS(11406),
    [sym__times_operator] = ACTIONS(11406),
    [sym__rational_operator] = ACTIONS(11406),
    [sym__bitshift_operator] = ACTIONS(11406),
    [sym__power_operator] = ACTIONS(11406),
    [sym__tilde_operator] = ACTIONS(11406),
    [sym__type_order_operator] = ACTIONS(11406),
    [sym__unary_operator] = ACTIONS(11406),
    [sym__unary_plus_operator] = ACTIONS(11406),
    [aux_sym__terminator_token1] = ACTIONS(11408),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9072] = {
    [sym_block_comment] = STATE(9072),
    [sym_line_comment] = STATE(9072),
    [sym__word_identifier] = ACTIONS(11410),
    [anon_sym_COMMA] = ACTIONS(11410),
    [anon_sym_EQ] = ACTIONS(11410),
    [anon_sym_begin] = ACTIONS(11410),
    [anon_sym_module] = ACTIONS(11410),
    [anon_sym_baremodule] = ACTIONS(11410),
    [anon_sym_abstract] = ACTIONS(11410),
    [anon_sym_primitive] = ACTIONS(11410),
    [anon_sym_mutable] = ACTIONS(11410),
    [anon_sym_struct] = ACTIONS(11410),
    [anon_sym_function] = ACTIONS(11410),
    [anon_sym_macro] = ACTIONS(11410),
    [anon_sym_quote] = ACTIONS(11410),
    [anon_sym_let] = ACTIONS(11410),
    [anon_sym_if] = ACTIONS(11410),
    [anon_sym_try] = ACTIONS(11410),
    [anon_sym_catch] = ACTIONS(11410),
    [anon_sym_finally] = ACTIONS(11410),
    [anon_sym_for] = ACTIONS(11410),
    [anon_sym_while] = ACTIONS(11410),
    [sym_break_statement] = ACTIONS(11410),
    [sym_continue_statement] = ACTIONS(11410),
    [anon_sym_return] = ACTIONS(11410),
    [anon_sym_const] = ACTIONS(11410),
    [anon_sym_global] = ACTIONS(11410),
    [anon_sym_local] = ACTIONS(11410),
    [anon_sym_LPAREN] = ACTIONS(11410),
    [anon_sym_COLON] = ACTIONS(11410),
    [anon_sym_export] = ACTIONS(11410),
    [anon_sym_public] = ACTIONS(11410),
    [anon_sym_import] = ACTIONS(11410),
    [anon_sym_using] = ACTIONS(11410),
    [anon_sym_LBRACK] = ACTIONS(11410),
    [anon_sym_in] = ACTIONS(11410),
    [anon_sym_SEMI] = ACTIONS(11410),
    [anon_sym_LBRACE] = ACTIONS(11410),
    [anon_sym_DOLLAR] = ACTIONS(11410),
    [anon_sym_COLON2] = ACTIONS(11410),
    [anon_sym_COLON_COLON] = ACTIONS(11410),
    [anon_sym_isa] = ACTIONS(11410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11410),
    [anon_sym_QMARK] = ACTIONS(11410),
    [anon_sym_where] = ACTIONS(11410),
    [anon_sym_AT] = ACTIONS(11410),
    [anon_sym_true] = ACTIONS(11410),
    [anon_sym_false] = ACTIONS(11410),
    [aux_sym_integer_literal_token1] = ACTIONS(11410),
    [aux_sym_integer_literal_token2] = ACTIONS(11410),
    [aux_sym_integer_literal_token3] = ACTIONS(11410),
    [aux_sym_integer_literal_token4] = ACTIONS(11410),
    [aux_sym_float_literal_token1] = ACTIONS(11410),
    [aux_sym_float_literal_token3] = ACTIONS(11410),
    [aux_sym_float_literal_token4] = ACTIONS(11410),
    [sym_character_literal] = ACTIONS(11410),
    [anon_sym_DQUOTE] = ACTIONS(11410),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11410),
    [anon_sym_BQUOTE] = ACTIONS(11410),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11410),
    [sym__pair_operator] = ACTIONS(11410),
    [sym__arrow_operator] = ACTIONS(11410),
    [sym__lazy_or_operator] = ACTIONS(11410),
    [sym__lazy_and_operator] = ACTIONS(11410),
    [sym__comparison_operator] = ACTIONS(11410),
    [sym__pipe_right_operator] = ACTIONS(11410),
    [sym__pipe_left_operator] = ACTIONS(11410),
    [sym__ellipsis_operator] = ACTIONS(11410),
    [sym__plus_operator] = ACTIONS(11410),
    [sym__times_operator] = ACTIONS(11410),
    [sym__rational_operator] = ACTIONS(11410),
    [sym__bitshift_operator] = ACTIONS(11410),
    [sym__power_operator] = ACTIONS(11410),
    [sym__tilde_operator] = ACTIONS(11410),
    [sym__type_order_operator] = ACTIONS(11410),
    [sym__unary_operator] = ACTIONS(11410),
    [sym__unary_plus_operator] = ACTIONS(11410),
    [aux_sym__terminator_token1] = ACTIONS(11412),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9073] = {
    [sym_block_comment] = STATE(9073),
    [sym_line_comment] = STATE(9073),
    [sym__word_identifier] = ACTIONS(11609),
    [anon_sym_COMMA] = ACTIONS(11609),
    [anon_sym_EQ] = ACTIONS(11609),
    [anon_sym_begin] = ACTIONS(11609),
    [anon_sym_module] = ACTIONS(11609),
    [anon_sym_baremodule] = ACTIONS(11609),
    [anon_sym_end] = ACTIONS(11609),
    [anon_sym_abstract] = ACTIONS(11609),
    [anon_sym_primitive] = ACTIONS(11609),
    [anon_sym_mutable] = ACTIONS(11609),
    [anon_sym_struct] = ACTIONS(11609),
    [anon_sym_function] = ACTIONS(11609),
    [anon_sym_macro] = ACTIONS(11609),
    [anon_sym_quote] = ACTIONS(11609),
    [anon_sym_let] = ACTIONS(11609),
    [anon_sym_if] = ACTIONS(11609),
    [anon_sym_try] = ACTIONS(11609),
    [anon_sym_catch] = ACTIONS(11609),
    [anon_sym_for] = ACTIONS(11609),
    [anon_sym_while] = ACTIONS(11609),
    [sym_break_statement] = ACTIONS(11609),
    [sym_continue_statement] = ACTIONS(11609),
    [anon_sym_return] = ACTIONS(11609),
    [anon_sym_const] = ACTIONS(11609),
    [anon_sym_global] = ACTIONS(11609),
    [anon_sym_local] = ACTIONS(11609),
    [anon_sym_LPAREN] = ACTIONS(11609),
    [anon_sym_COLON] = ACTIONS(11609),
    [anon_sym_export] = ACTIONS(11609),
    [anon_sym_public] = ACTIONS(11609),
    [anon_sym_import] = ACTIONS(11609),
    [anon_sym_using] = ACTIONS(11609),
    [anon_sym_LBRACK] = ACTIONS(11609),
    [anon_sym_in] = ACTIONS(11609),
    [anon_sym_SEMI] = ACTIONS(11609),
    [anon_sym_LBRACE] = ACTIONS(11609),
    [anon_sym_DOLLAR] = ACTIONS(11609),
    [anon_sym_COLON2] = ACTIONS(11609),
    [anon_sym_COLON_COLON] = ACTIONS(11609),
    [anon_sym_isa] = ACTIONS(11609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11609),
    [anon_sym_QMARK] = ACTIONS(11609),
    [anon_sym_where] = ACTIONS(11609),
    [anon_sym_AT] = ACTIONS(11609),
    [anon_sym_true] = ACTIONS(11609),
    [anon_sym_false] = ACTIONS(11609),
    [aux_sym_integer_literal_token1] = ACTIONS(11609),
    [aux_sym_integer_literal_token2] = ACTIONS(11609),
    [aux_sym_integer_literal_token3] = ACTIONS(11609),
    [aux_sym_integer_literal_token4] = ACTIONS(11609),
    [aux_sym_float_literal_token1] = ACTIONS(11609),
    [aux_sym_float_literal_token3] = ACTIONS(11609),
    [aux_sym_float_literal_token4] = ACTIONS(11609),
    [sym_character_literal] = ACTIONS(11609),
    [anon_sym_DQUOTE] = ACTIONS(11609),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11609),
    [anon_sym_BQUOTE] = ACTIONS(11609),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11609),
    [sym__pair_operator] = ACTIONS(11609),
    [sym__arrow_operator] = ACTIONS(11609),
    [sym__lazy_or_operator] = ACTIONS(11609),
    [sym__lazy_and_operator] = ACTIONS(11609),
    [sym__comparison_operator] = ACTIONS(11609),
    [sym__pipe_right_operator] = ACTIONS(11609),
    [sym__pipe_left_operator] = ACTIONS(11609),
    [sym__ellipsis_operator] = ACTIONS(11609),
    [sym__plus_operator] = ACTIONS(11609),
    [sym__times_operator] = ACTIONS(11609),
    [sym__rational_operator] = ACTIONS(11609),
    [sym__bitshift_operator] = ACTIONS(11609),
    [sym__power_operator] = ACTIONS(11609),
    [sym__tilde_operator] = ACTIONS(11609),
    [sym__type_order_operator] = ACTIONS(11609),
    [sym__unary_operator] = ACTIONS(11609),
    [sym__unary_plus_operator] = ACTIONS(11609),
    [aux_sym__terminator_token1] = ACTIONS(11611),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9074] = {
    [sym_block_comment] = STATE(9074),
    [sym_line_comment] = STATE(9074),
    [sym__word_identifier] = ACTIONS(11414),
    [anon_sym_COMMA] = ACTIONS(11414),
    [anon_sym_EQ] = ACTIONS(11414),
    [anon_sym_begin] = ACTIONS(11414),
    [anon_sym_module] = ACTIONS(11414),
    [anon_sym_baremodule] = ACTIONS(11414),
    [anon_sym_abstract] = ACTIONS(11414),
    [anon_sym_primitive] = ACTIONS(11414),
    [anon_sym_mutable] = ACTIONS(11414),
    [anon_sym_struct] = ACTIONS(11414),
    [anon_sym_function] = ACTIONS(11414),
    [anon_sym_macro] = ACTIONS(11414),
    [anon_sym_quote] = ACTIONS(11414),
    [anon_sym_let] = ACTIONS(11414),
    [anon_sym_if] = ACTIONS(11414),
    [anon_sym_try] = ACTIONS(11414),
    [anon_sym_catch] = ACTIONS(11414),
    [anon_sym_finally] = ACTIONS(11414),
    [anon_sym_for] = ACTIONS(11414),
    [anon_sym_while] = ACTIONS(11414),
    [sym_break_statement] = ACTIONS(11414),
    [sym_continue_statement] = ACTIONS(11414),
    [anon_sym_return] = ACTIONS(11414),
    [anon_sym_const] = ACTIONS(11414),
    [anon_sym_global] = ACTIONS(11414),
    [anon_sym_local] = ACTIONS(11414),
    [anon_sym_LPAREN] = ACTIONS(11414),
    [anon_sym_COLON] = ACTIONS(11414),
    [anon_sym_export] = ACTIONS(11414),
    [anon_sym_public] = ACTIONS(11414),
    [anon_sym_import] = ACTIONS(11414),
    [anon_sym_using] = ACTIONS(11414),
    [anon_sym_LBRACK] = ACTIONS(11414),
    [anon_sym_in] = ACTIONS(11414),
    [anon_sym_SEMI] = ACTIONS(11414),
    [anon_sym_LBRACE] = ACTIONS(11414),
    [anon_sym_DOLLAR] = ACTIONS(11414),
    [anon_sym_COLON2] = ACTIONS(11414),
    [anon_sym_COLON_COLON] = ACTIONS(11414),
    [anon_sym_isa] = ACTIONS(11414),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11414),
    [anon_sym_QMARK] = ACTIONS(11414),
    [anon_sym_where] = ACTIONS(11414),
    [anon_sym_AT] = ACTIONS(11414),
    [anon_sym_true] = ACTIONS(11414),
    [anon_sym_false] = ACTIONS(11414),
    [aux_sym_integer_literal_token1] = ACTIONS(11414),
    [aux_sym_integer_literal_token2] = ACTIONS(11414),
    [aux_sym_integer_literal_token3] = ACTIONS(11414),
    [aux_sym_integer_literal_token4] = ACTIONS(11414),
    [aux_sym_float_literal_token1] = ACTIONS(11414),
    [aux_sym_float_literal_token3] = ACTIONS(11414),
    [aux_sym_float_literal_token4] = ACTIONS(11414),
    [sym_character_literal] = ACTIONS(11414),
    [anon_sym_DQUOTE] = ACTIONS(11414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11414),
    [anon_sym_BQUOTE] = ACTIONS(11414),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11414),
    [sym__pair_operator] = ACTIONS(11414),
    [sym__arrow_operator] = ACTIONS(11414),
    [sym__lazy_or_operator] = ACTIONS(11414),
    [sym__lazy_and_operator] = ACTIONS(11414),
    [sym__comparison_operator] = ACTIONS(11414),
    [sym__pipe_right_operator] = ACTIONS(11414),
    [sym__pipe_left_operator] = ACTIONS(11414),
    [sym__ellipsis_operator] = ACTIONS(11414),
    [sym__plus_operator] = ACTIONS(11414),
    [sym__times_operator] = ACTIONS(11414),
    [sym__rational_operator] = ACTIONS(11414),
    [sym__bitshift_operator] = ACTIONS(11414),
    [sym__power_operator] = ACTIONS(11414),
    [sym__tilde_operator] = ACTIONS(11414),
    [sym__type_order_operator] = ACTIONS(11414),
    [sym__unary_operator] = ACTIONS(11414),
    [sym__unary_plus_operator] = ACTIONS(11414),
    [aux_sym__terminator_token1] = ACTIONS(11416),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9075] = {
    [sym_block_comment] = STATE(9075),
    [sym_line_comment] = STATE(9075),
    [sym__word_identifier] = ACTIONS(11418),
    [anon_sym_COMMA] = ACTIONS(11418),
    [anon_sym_EQ] = ACTIONS(11418),
    [anon_sym_begin] = ACTIONS(11418),
    [anon_sym_module] = ACTIONS(11418),
    [anon_sym_baremodule] = ACTIONS(11418),
    [anon_sym_abstract] = ACTIONS(11418),
    [anon_sym_primitive] = ACTIONS(11418),
    [anon_sym_mutable] = ACTIONS(11418),
    [anon_sym_struct] = ACTIONS(11418),
    [anon_sym_function] = ACTIONS(11418),
    [anon_sym_macro] = ACTIONS(11418),
    [anon_sym_quote] = ACTIONS(11418),
    [anon_sym_let] = ACTIONS(11418),
    [anon_sym_if] = ACTIONS(11418),
    [anon_sym_try] = ACTIONS(11418),
    [anon_sym_catch] = ACTIONS(11418),
    [anon_sym_finally] = ACTIONS(11418),
    [anon_sym_for] = ACTIONS(11418),
    [anon_sym_while] = ACTIONS(11418),
    [sym_break_statement] = ACTIONS(11418),
    [sym_continue_statement] = ACTIONS(11418),
    [anon_sym_return] = ACTIONS(11418),
    [anon_sym_const] = ACTIONS(11418),
    [anon_sym_global] = ACTIONS(11418),
    [anon_sym_local] = ACTIONS(11418),
    [anon_sym_LPAREN] = ACTIONS(11418),
    [anon_sym_COLON] = ACTIONS(11418),
    [anon_sym_export] = ACTIONS(11418),
    [anon_sym_public] = ACTIONS(11418),
    [anon_sym_import] = ACTIONS(11418),
    [anon_sym_using] = ACTIONS(11418),
    [anon_sym_LBRACK] = ACTIONS(11418),
    [anon_sym_in] = ACTIONS(11418),
    [anon_sym_SEMI] = ACTIONS(11418),
    [anon_sym_LBRACE] = ACTIONS(11418),
    [anon_sym_DOLLAR] = ACTIONS(11418),
    [anon_sym_COLON2] = ACTIONS(11418),
    [anon_sym_COLON_COLON] = ACTIONS(11418),
    [anon_sym_isa] = ACTIONS(11418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11418),
    [anon_sym_QMARK] = ACTIONS(11418),
    [anon_sym_where] = ACTIONS(11418),
    [anon_sym_AT] = ACTIONS(11418),
    [anon_sym_true] = ACTIONS(11418),
    [anon_sym_false] = ACTIONS(11418),
    [aux_sym_integer_literal_token1] = ACTIONS(11418),
    [aux_sym_integer_literal_token2] = ACTIONS(11418),
    [aux_sym_integer_literal_token3] = ACTIONS(11418),
    [aux_sym_integer_literal_token4] = ACTIONS(11418),
    [aux_sym_float_literal_token1] = ACTIONS(11418),
    [aux_sym_float_literal_token3] = ACTIONS(11418),
    [aux_sym_float_literal_token4] = ACTIONS(11418),
    [sym_character_literal] = ACTIONS(11418),
    [anon_sym_DQUOTE] = ACTIONS(11418),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11418),
    [anon_sym_BQUOTE] = ACTIONS(11418),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11418),
    [sym__pair_operator] = ACTIONS(11418),
    [sym__arrow_operator] = ACTIONS(11418),
    [sym__lazy_or_operator] = ACTIONS(11418),
    [sym__lazy_and_operator] = ACTIONS(11418),
    [sym__comparison_operator] = ACTIONS(11418),
    [sym__pipe_right_operator] = ACTIONS(11418),
    [sym__pipe_left_operator] = ACTIONS(11418),
    [sym__ellipsis_operator] = ACTIONS(11418),
    [sym__plus_operator] = ACTIONS(11418),
    [sym__times_operator] = ACTIONS(11418),
    [sym__rational_operator] = ACTIONS(11418),
    [sym__bitshift_operator] = ACTIONS(11418),
    [sym__power_operator] = ACTIONS(11418),
    [sym__tilde_operator] = ACTIONS(11418),
    [sym__type_order_operator] = ACTIONS(11418),
    [sym__unary_operator] = ACTIONS(11418),
    [sym__unary_plus_operator] = ACTIONS(11418),
    [aux_sym__terminator_token1] = ACTIONS(11420),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9076] = {
    [sym_block_comment] = STATE(9076),
    [sym_line_comment] = STATE(9076),
    [sym__word_identifier] = ACTIONS(11422),
    [anon_sym_COMMA] = ACTIONS(11422),
    [anon_sym_EQ] = ACTIONS(11422),
    [anon_sym_begin] = ACTIONS(11422),
    [anon_sym_module] = ACTIONS(11422),
    [anon_sym_baremodule] = ACTIONS(11422),
    [anon_sym_abstract] = ACTIONS(11422),
    [anon_sym_primitive] = ACTIONS(11422),
    [anon_sym_mutable] = ACTIONS(11422),
    [anon_sym_struct] = ACTIONS(11422),
    [anon_sym_function] = ACTIONS(11422),
    [anon_sym_macro] = ACTIONS(11422),
    [anon_sym_quote] = ACTIONS(11422),
    [anon_sym_let] = ACTIONS(11422),
    [anon_sym_if] = ACTIONS(11422),
    [anon_sym_try] = ACTIONS(11422),
    [anon_sym_catch] = ACTIONS(11422),
    [anon_sym_finally] = ACTIONS(11422),
    [anon_sym_for] = ACTIONS(11422),
    [anon_sym_while] = ACTIONS(11422),
    [sym_break_statement] = ACTIONS(11422),
    [sym_continue_statement] = ACTIONS(11422),
    [anon_sym_return] = ACTIONS(11422),
    [anon_sym_const] = ACTIONS(11422),
    [anon_sym_global] = ACTIONS(11422),
    [anon_sym_local] = ACTIONS(11422),
    [anon_sym_LPAREN] = ACTIONS(11422),
    [anon_sym_COLON] = ACTIONS(11422),
    [anon_sym_export] = ACTIONS(11422),
    [anon_sym_public] = ACTIONS(11422),
    [anon_sym_import] = ACTIONS(11422),
    [anon_sym_using] = ACTIONS(11422),
    [anon_sym_LBRACK] = ACTIONS(11422),
    [anon_sym_in] = ACTIONS(11422),
    [anon_sym_SEMI] = ACTIONS(11422),
    [anon_sym_LBRACE] = ACTIONS(11422),
    [anon_sym_DOLLAR] = ACTIONS(11422),
    [anon_sym_COLON2] = ACTIONS(11422),
    [anon_sym_COLON_COLON] = ACTIONS(11422),
    [anon_sym_isa] = ACTIONS(11422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11422),
    [anon_sym_QMARK] = ACTIONS(11422),
    [anon_sym_where] = ACTIONS(11422),
    [anon_sym_AT] = ACTIONS(11422),
    [anon_sym_true] = ACTIONS(11422),
    [anon_sym_false] = ACTIONS(11422),
    [aux_sym_integer_literal_token1] = ACTIONS(11422),
    [aux_sym_integer_literal_token2] = ACTIONS(11422),
    [aux_sym_integer_literal_token3] = ACTIONS(11422),
    [aux_sym_integer_literal_token4] = ACTIONS(11422),
    [aux_sym_float_literal_token1] = ACTIONS(11422),
    [aux_sym_float_literal_token3] = ACTIONS(11422),
    [aux_sym_float_literal_token4] = ACTIONS(11422),
    [sym_character_literal] = ACTIONS(11422),
    [anon_sym_DQUOTE] = ACTIONS(11422),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11422),
    [anon_sym_BQUOTE] = ACTIONS(11422),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11422),
    [sym__pair_operator] = ACTIONS(11422),
    [sym__arrow_operator] = ACTIONS(11422),
    [sym__lazy_or_operator] = ACTIONS(11422),
    [sym__lazy_and_operator] = ACTIONS(11422),
    [sym__comparison_operator] = ACTIONS(11422),
    [sym__pipe_right_operator] = ACTIONS(11422),
    [sym__pipe_left_operator] = ACTIONS(11422),
    [sym__ellipsis_operator] = ACTIONS(11422),
    [sym__plus_operator] = ACTIONS(11422),
    [sym__times_operator] = ACTIONS(11422),
    [sym__rational_operator] = ACTIONS(11422),
    [sym__bitshift_operator] = ACTIONS(11422),
    [sym__power_operator] = ACTIONS(11422),
    [sym__tilde_operator] = ACTIONS(11422),
    [sym__type_order_operator] = ACTIONS(11422),
    [sym__unary_operator] = ACTIONS(11422),
    [sym__unary_plus_operator] = ACTIONS(11422),
    [aux_sym__terminator_token1] = ACTIONS(11424),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9077] = {
    [sym_block_comment] = STATE(9077),
    [sym_line_comment] = STATE(9077),
    [sym__word_identifier] = ACTIONS(11426),
    [anon_sym_COMMA] = ACTIONS(11426),
    [anon_sym_EQ] = ACTIONS(11426),
    [anon_sym_begin] = ACTIONS(11426),
    [anon_sym_module] = ACTIONS(11426),
    [anon_sym_baremodule] = ACTIONS(11426),
    [anon_sym_abstract] = ACTIONS(11426),
    [anon_sym_primitive] = ACTIONS(11426),
    [anon_sym_mutable] = ACTIONS(11426),
    [anon_sym_struct] = ACTIONS(11426),
    [anon_sym_function] = ACTIONS(11426),
    [anon_sym_macro] = ACTIONS(11426),
    [anon_sym_quote] = ACTIONS(11426),
    [anon_sym_let] = ACTIONS(11426),
    [anon_sym_if] = ACTIONS(11426),
    [anon_sym_try] = ACTIONS(11426),
    [anon_sym_catch] = ACTIONS(11426),
    [anon_sym_finally] = ACTIONS(11426),
    [anon_sym_for] = ACTIONS(11426),
    [anon_sym_while] = ACTIONS(11426),
    [sym_break_statement] = ACTIONS(11426),
    [sym_continue_statement] = ACTIONS(11426),
    [anon_sym_return] = ACTIONS(11426),
    [anon_sym_const] = ACTIONS(11426),
    [anon_sym_global] = ACTIONS(11426),
    [anon_sym_local] = ACTIONS(11426),
    [anon_sym_LPAREN] = ACTIONS(11426),
    [anon_sym_COLON] = ACTIONS(11426),
    [anon_sym_export] = ACTIONS(11426),
    [anon_sym_public] = ACTIONS(11426),
    [anon_sym_import] = ACTIONS(11426),
    [anon_sym_using] = ACTIONS(11426),
    [anon_sym_LBRACK] = ACTIONS(11426),
    [anon_sym_in] = ACTIONS(11426),
    [anon_sym_SEMI] = ACTIONS(11426),
    [anon_sym_LBRACE] = ACTIONS(11426),
    [anon_sym_DOLLAR] = ACTIONS(11426),
    [anon_sym_COLON2] = ACTIONS(11426),
    [anon_sym_COLON_COLON] = ACTIONS(11426),
    [anon_sym_isa] = ACTIONS(11426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11426),
    [anon_sym_QMARK] = ACTIONS(11426),
    [anon_sym_where] = ACTIONS(11426),
    [anon_sym_AT] = ACTIONS(11426),
    [anon_sym_true] = ACTIONS(11426),
    [anon_sym_false] = ACTIONS(11426),
    [aux_sym_integer_literal_token1] = ACTIONS(11426),
    [aux_sym_integer_literal_token2] = ACTIONS(11426),
    [aux_sym_integer_literal_token3] = ACTIONS(11426),
    [aux_sym_integer_literal_token4] = ACTIONS(11426),
    [aux_sym_float_literal_token1] = ACTIONS(11426),
    [aux_sym_float_literal_token3] = ACTIONS(11426),
    [aux_sym_float_literal_token4] = ACTIONS(11426),
    [sym_character_literal] = ACTIONS(11426),
    [anon_sym_DQUOTE] = ACTIONS(11426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11426),
    [anon_sym_BQUOTE] = ACTIONS(11426),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11426),
    [sym__pair_operator] = ACTIONS(11426),
    [sym__arrow_operator] = ACTIONS(11426),
    [sym__lazy_or_operator] = ACTIONS(11426),
    [sym__lazy_and_operator] = ACTIONS(11426),
    [sym__comparison_operator] = ACTIONS(11426),
    [sym__pipe_right_operator] = ACTIONS(11426),
    [sym__pipe_left_operator] = ACTIONS(11426),
    [sym__ellipsis_operator] = ACTIONS(11426),
    [sym__plus_operator] = ACTIONS(11426),
    [sym__times_operator] = ACTIONS(11426),
    [sym__rational_operator] = ACTIONS(11426),
    [sym__bitshift_operator] = ACTIONS(11426),
    [sym__power_operator] = ACTIONS(11426),
    [sym__tilde_operator] = ACTIONS(11426),
    [sym__type_order_operator] = ACTIONS(11426),
    [sym__unary_operator] = ACTIONS(11426),
    [sym__unary_plus_operator] = ACTIONS(11426),
    [aux_sym__terminator_token1] = ACTIONS(11428),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9078] = {
    [sym_block_comment] = STATE(9078),
    [sym_line_comment] = STATE(9078),
    [sym__word_identifier] = ACTIONS(11481),
    [anon_sym_COMMA] = ACTIONS(11481),
    [anon_sym_EQ] = ACTIONS(11481),
    [anon_sym_begin] = ACTIONS(11481),
    [anon_sym_module] = ACTIONS(11481),
    [anon_sym_baremodule] = ACTIONS(11481),
    [anon_sym_abstract] = ACTIONS(11481),
    [anon_sym_primitive] = ACTIONS(11481),
    [anon_sym_mutable] = ACTIONS(11481),
    [anon_sym_struct] = ACTIONS(11481),
    [anon_sym_function] = ACTIONS(11481),
    [anon_sym_macro] = ACTIONS(11481),
    [anon_sym_quote] = ACTIONS(11481),
    [anon_sym_let] = ACTIONS(11481),
    [anon_sym_if] = ACTIONS(11481),
    [anon_sym_try] = ACTIONS(11481),
    [anon_sym_catch] = ACTIONS(11481),
    [anon_sym_finally] = ACTIONS(11481),
    [anon_sym_for] = ACTIONS(11481),
    [anon_sym_while] = ACTIONS(11481),
    [sym_break_statement] = ACTIONS(11481),
    [sym_continue_statement] = ACTIONS(11481),
    [anon_sym_return] = ACTIONS(11481),
    [anon_sym_const] = ACTIONS(11481),
    [anon_sym_global] = ACTIONS(11481),
    [anon_sym_local] = ACTIONS(11481),
    [anon_sym_LPAREN] = ACTIONS(11481),
    [anon_sym_COLON] = ACTIONS(11481),
    [anon_sym_export] = ACTIONS(11481),
    [anon_sym_public] = ACTIONS(11481),
    [anon_sym_import] = ACTIONS(11481),
    [anon_sym_using] = ACTIONS(11481),
    [anon_sym_LBRACK] = ACTIONS(11481),
    [anon_sym_in] = ACTIONS(11481),
    [anon_sym_SEMI] = ACTIONS(11481),
    [anon_sym_LBRACE] = ACTIONS(11481),
    [anon_sym_DOLLAR] = ACTIONS(11481),
    [anon_sym_COLON2] = ACTIONS(11481),
    [anon_sym_COLON_COLON] = ACTIONS(11481),
    [anon_sym_isa] = ACTIONS(11481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11481),
    [anon_sym_QMARK] = ACTIONS(11481),
    [anon_sym_where] = ACTIONS(11481),
    [anon_sym_AT] = ACTIONS(11481),
    [anon_sym_true] = ACTIONS(11481),
    [anon_sym_false] = ACTIONS(11481),
    [aux_sym_integer_literal_token1] = ACTIONS(11481),
    [aux_sym_integer_literal_token2] = ACTIONS(11481),
    [aux_sym_integer_literal_token3] = ACTIONS(11481),
    [aux_sym_integer_literal_token4] = ACTIONS(11481),
    [aux_sym_float_literal_token1] = ACTIONS(11481),
    [aux_sym_float_literal_token3] = ACTIONS(11481),
    [aux_sym_float_literal_token4] = ACTIONS(11481),
    [sym_character_literal] = ACTIONS(11481),
    [anon_sym_DQUOTE] = ACTIONS(11481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11481),
    [anon_sym_BQUOTE] = ACTIONS(11481),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11481),
    [sym__pair_operator] = ACTIONS(11481),
    [sym__arrow_operator] = ACTIONS(11481),
    [sym__lazy_or_operator] = ACTIONS(11481),
    [sym__lazy_and_operator] = ACTIONS(11481),
    [sym__comparison_operator] = ACTIONS(11481),
    [sym__pipe_right_operator] = ACTIONS(11481),
    [sym__pipe_left_operator] = ACTIONS(11481),
    [sym__ellipsis_operator] = ACTIONS(11481),
    [sym__plus_operator] = ACTIONS(11481),
    [sym__times_operator] = ACTIONS(11481),
    [sym__rational_operator] = ACTIONS(11481),
    [sym__bitshift_operator] = ACTIONS(11481),
    [sym__power_operator] = ACTIONS(11481),
    [sym__tilde_operator] = ACTIONS(11481),
    [sym__type_order_operator] = ACTIONS(11481),
    [sym__unary_operator] = ACTIONS(11481),
    [sym__unary_plus_operator] = ACTIONS(11481),
    [aux_sym__terminator_token1] = ACTIONS(11483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9079] = {
    [sym_block_comment] = STATE(9079),
    [sym_line_comment] = STATE(9079),
    [sym__word_identifier] = ACTIONS(11485),
    [anon_sym_COMMA] = ACTIONS(11485),
    [anon_sym_EQ] = ACTIONS(11485),
    [anon_sym_begin] = ACTIONS(11485),
    [anon_sym_module] = ACTIONS(11485),
    [anon_sym_baremodule] = ACTIONS(11485),
    [anon_sym_abstract] = ACTIONS(11485),
    [anon_sym_primitive] = ACTIONS(11485),
    [anon_sym_mutable] = ACTIONS(11485),
    [anon_sym_struct] = ACTIONS(11485),
    [anon_sym_function] = ACTIONS(11485),
    [anon_sym_macro] = ACTIONS(11485),
    [anon_sym_quote] = ACTIONS(11485),
    [anon_sym_let] = ACTIONS(11485),
    [anon_sym_if] = ACTIONS(11485),
    [anon_sym_try] = ACTIONS(11485),
    [anon_sym_catch] = ACTIONS(11485),
    [anon_sym_finally] = ACTIONS(11485),
    [anon_sym_for] = ACTIONS(11485),
    [anon_sym_while] = ACTIONS(11485),
    [sym_break_statement] = ACTIONS(11485),
    [sym_continue_statement] = ACTIONS(11485),
    [anon_sym_return] = ACTIONS(11485),
    [anon_sym_const] = ACTIONS(11485),
    [anon_sym_global] = ACTIONS(11485),
    [anon_sym_local] = ACTIONS(11485),
    [anon_sym_LPAREN] = ACTIONS(11485),
    [anon_sym_COLON] = ACTIONS(11485),
    [anon_sym_export] = ACTIONS(11485),
    [anon_sym_public] = ACTIONS(11485),
    [anon_sym_import] = ACTIONS(11485),
    [anon_sym_using] = ACTIONS(11485),
    [anon_sym_LBRACK] = ACTIONS(11485),
    [anon_sym_in] = ACTIONS(11485),
    [anon_sym_SEMI] = ACTIONS(11485),
    [anon_sym_LBRACE] = ACTIONS(11485),
    [anon_sym_DOLLAR] = ACTIONS(11485),
    [anon_sym_COLON2] = ACTIONS(11485),
    [anon_sym_COLON_COLON] = ACTIONS(11485),
    [anon_sym_isa] = ACTIONS(11485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11485),
    [anon_sym_QMARK] = ACTIONS(11485),
    [anon_sym_where] = ACTIONS(11485),
    [anon_sym_AT] = ACTIONS(11485),
    [anon_sym_true] = ACTIONS(11485),
    [anon_sym_false] = ACTIONS(11485),
    [aux_sym_integer_literal_token1] = ACTIONS(11485),
    [aux_sym_integer_literal_token2] = ACTIONS(11485),
    [aux_sym_integer_literal_token3] = ACTIONS(11485),
    [aux_sym_integer_literal_token4] = ACTIONS(11485),
    [aux_sym_float_literal_token1] = ACTIONS(11485),
    [aux_sym_float_literal_token3] = ACTIONS(11485),
    [aux_sym_float_literal_token4] = ACTIONS(11485),
    [sym_character_literal] = ACTIONS(11485),
    [anon_sym_DQUOTE] = ACTIONS(11485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11485),
    [anon_sym_BQUOTE] = ACTIONS(11485),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11485),
    [sym__pair_operator] = ACTIONS(11485),
    [sym__arrow_operator] = ACTIONS(11485),
    [sym__lazy_or_operator] = ACTIONS(11485),
    [sym__lazy_and_operator] = ACTIONS(11485),
    [sym__comparison_operator] = ACTIONS(11485),
    [sym__pipe_right_operator] = ACTIONS(11485),
    [sym__pipe_left_operator] = ACTIONS(11485),
    [sym__ellipsis_operator] = ACTIONS(11485),
    [sym__plus_operator] = ACTIONS(11485),
    [sym__times_operator] = ACTIONS(11485),
    [sym__rational_operator] = ACTIONS(11485),
    [sym__bitshift_operator] = ACTIONS(11485),
    [sym__power_operator] = ACTIONS(11485),
    [sym__tilde_operator] = ACTIONS(11485),
    [sym__type_order_operator] = ACTIONS(11485),
    [sym__unary_operator] = ACTIONS(11485),
    [sym__unary_plus_operator] = ACTIONS(11485),
    [aux_sym__terminator_token1] = ACTIONS(11487),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9080] = {
    [sym_block_comment] = STATE(9080),
    [sym_line_comment] = STATE(9080),
    [sym__word_identifier] = ACTIONS(11489),
    [anon_sym_COMMA] = ACTIONS(11489),
    [anon_sym_EQ] = ACTIONS(11489),
    [anon_sym_begin] = ACTIONS(11489),
    [anon_sym_module] = ACTIONS(11489),
    [anon_sym_baremodule] = ACTIONS(11489),
    [anon_sym_abstract] = ACTIONS(11489),
    [anon_sym_primitive] = ACTIONS(11489),
    [anon_sym_mutable] = ACTIONS(11489),
    [anon_sym_struct] = ACTIONS(11489),
    [anon_sym_function] = ACTIONS(11489),
    [anon_sym_macro] = ACTIONS(11489),
    [anon_sym_quote] = ACTIONS(11489),
    [anon_sym_let] = ACTIONS(11489),
    [anon_sym_if] = ACTIONS(11489),
    [anon_sym_try] = ACTIONS(11489),
    [anon_sym_catch] = ACTIONS(11489),
    [anon_sym_finally] = ACTIONS(11489),
    [anon_sym_for] = ACTIONS(11489),
    [anon_sym_while] = ACTIONS(11489),
    [sym_break_statement] = ACTIONS(11489),
    [sym_continue_statement] = ACTIONS(11489),
    [anon_sym_return] = ACTIONS(11489),
    [anon_sym_const] = ACTIONS(11489),
    [anon_sym_global] = ACTIONS(11489),
    [anon_sym_local] = ACTIONS(11489),
    [anon_sym_LPAREN] = ACTIONS(11489),
    [anon_sym_COLON] = ACTIONS(11489),
    [anon_sym_export] = ACTIONS(11489),
    [anon_sym_public] = ACTIONS(11489),
    [anon_sym_import] = ACTIONS(11489),
    [anon_sym_using] = ACTIONS(11489),
    [anon_sym_LBRACK] = ACTIONS(11489),
    [anon_sym_in] = ACTIONS(11489),
    [anon_sym_SEMI] = ACTIONS(11489),
    [anon_sym_LBRACE] = ACTIONS(11489),
    [anon_sym_DOLLAR] = ACTIONS(11489),
    [anon_sym_COLON2] = ACTIONS(11489),
    [anon_sym_COLON_COLON] = ACTIONS(11489),
    [anon_sym_isa] = ACTIONS(11489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11489),
    [anon_sym_QMARK] = ACTIONS(11489),
    [anon_sym_where] = ACTIONS(11489),
    [anon_sym_AT] = ACTIONS(11489),
    [anon_sym_true] = ACTIONS(11489),
    [anon_sym_false] = ACTIONS(11489),
    [aux_sym_integer_literal_token1] = ACTIONS(11489),
    [aux_sym_integer_literal_token2] = ACTIONS(11489),
    [aux_sym_integer_literal_token3] = ACTIONS(11489),
    [aux_sym_integer_literal_token4] = ACTIONS(11489),
    [aux_sym_float_literal_token1] = ACTIONS(11489),
    [aux_sym_float_literal_token3] = ACTIONS(11489),
    [aux_sym_float_literal_token4] = ACTIONS(11489),
    [sym_character_literal] = ACTIONS(11489),
    [anon_sym_DQUOTE] = ACTIONS(11489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11489),
    [anon_sym_BQUOTE] = ACTIONS(11489),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11489),
    [sym__pair_operator] = ACTIONS(11489),
    [sym__arrow_operator] = ACTIONS(11489),
    [sym__lazy_or_operator] = ACTIONS(11489),
    [sym__lazy_and_operator] = ACTIONS(11489),
    [sym__comparison_operator] = ACTIONS(11489),
    [sym__pipe_right_operator] = ACTIONS(11489),
    [sym__pipe_left_operator] = ACTIONS(11489),
    [sym__ellipsis_operator] = ACTIONS(11489),
    [sym__plus_operator] = ACTIONS(11489),
    [sym__times_operator] = ACTIONS(11489),
    [sym__rational_operator] = ACTIONS(11489),
    [sym__bitshift_operator] = ACTIONS(11489),
    [sym__power_operator] = ACTIONS(11489),
    [sym__tilde_operator] = ACTIONS(11489),
    [sym__type_order_operator] = ACTIONS(11489),
    [sym__unary_operator] = ACTIONS(11489),
    [sym__unary_plus_operator] = ACTIONS(11489),
    [aux_sym__terminator_token1] = ACTIONS(11491),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9081] = {
    [sym_block_comment] = STATE(9081),
    [sym_line_comment] = STATE(9081),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10277),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10277),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10277),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_SEMI] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10277),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10277),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10277),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10277),
    [anon_sym_QMARK] = ACTIONS(10277),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10277),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10277),
    [aux_sym_integer_literal_token2] = ACTIONS(10277),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10277),
    [aux_sym_float_literal_token3] = ACTIONS(10277),
    [aux_sym_float_literal_token4] = ACTIONS(10277),
    [sym_character_literal] = ACTIONS(10277),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10277),
    [sym__pair_operator] = ACTIONS(10277),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10277),
    [sym__lazy_and_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10277),
    [sym__pipe_left_operator] = ACTIONS(10277),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10277),
    [sym__bitshift_operator] = ACTIONS(10277),
    [sym__power_operator] = ACTIONS(10277),
    [sym__tilde_operator] = ACTIONS(10277),
    [sym__type_order_operator] = ACTIONS(10277),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym__terminator_token1] = ACTIONS(10279),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9082] = {
    [sym_block_comment] = STATE(9082),
    [sym_line_comment] = STATE(9082),
    [ts_builtin_sym_end] = ACTIONS(11104),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11102),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11102),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11102),
    [anon_sym_RBRACK] = ACTIONS(11102),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_SEMI] = ACTIONS(11102),
    [anon_sym_LBRACE] = ACTIONS(11102),
    [anon_sym_DOLLAR] = ACTIONS(11102),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11102),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11102),
    [anon_sym_QMARK] = ACTIONS(11102),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11102),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11102),
    [aux_sym_integer_literal_token2] = ACTIONS(11102),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11102),
    [aux_sym_float_literal_token3] = ACTIONS(11102),
    [aux_sym_float_literal_token4] = ACTIONS(11102),
    [sym_character_literal] = ACTIONS(11102),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(11102),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11102),
    [sym__lazy_and_operator] = ACTIONS(11102),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11102),
    [sym__pipe_left_operator] = ACTIONS(11102),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11102),
    [sym__bitshift_operator] = ACTIONS(11102),
    [sym__power_operator] = ACTIONS(11102),
    [sym__tilde_operator] = ACTIONS(11102),
    [sym__type_order_operator] = ACTIONS(11102),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym__terminator_token1] = ACTIONS(11104),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9083] = {
    [sym_block_comment] = STATE(9083),
    [sym_line_comment] = STATE(9083),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(11149),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_catch] = ACTIONS(11149),
    [anon_sym_finally] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11149),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11149),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_SEMI] = ACTIONS(11149),
    [anon_sym_LBRACE] = ACTIONS(11149),
    [anon_sym_DOLLAR] = ACTIONS(11149),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11149),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11149),
    [anon_sym_QMARK] = ACTIONS(11149),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11149),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11149),
    [aux_sym_integer_literal_token2] = ACTIONS(11149),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11149),
    [aux_sym_float_literal_token3] = ACTIONS(11149),
    [aux_sym_float_literal_token4] = ACTIONS(11149),
    [sym_character_literal] = ACTIONS(11149),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11149),
    [sym__pair_operator] = ACTIONS(11149),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11149),
    [sym__lazy_and_operator] = ACTIONS(11149),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11149),
    [sym__pipe_left_operator] = ACTIONS(11149),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11149),
    [sym__bitshift_operator] = ACTIONS(11149),
    [sym__power_operator] = ACTIONS(11149),
    [sym__tilde_operator] = ACTIONS(11149),
    [sym__type_order_operator] = ACTIONS(11149),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym__terminator_token1] = ACTIONS(11154),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9084] = {
    [sym_block_comment] = STATE(9084),
    [sym_line_comment] = STATE(9084),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11159),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_catch] = ACTIONS(11159),
    [anon_sym_finally] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9085] = {
    [sym_block_comment] = STATE(9085),
    [sym_line_comment] = STATE(9085),
    [sym__word_identifier] = ACTIONS(11613),
    [anon_sym_COMMA] = ACTIONS(11613),
    [anon_sym_EQ] = ACTIONS(11613),
    [anon_sym_begin] = ACTIONS(11613),
    [anon_sym_module] = ACTIONS(11613),
    [anon_sym_baremodule] = ACTIONS(11613),
    [anon_sym_end] = ACTIONS(11613),
    [anon_sym_abstract] = ACTIONS(11613),
    [anon_sym_primitive] = ACTIONS(11613),
    [anon_sym_mutable] = ACTIONS(11613),
    [anon_sym_struct] = ACTIONS(11613),
    [anon_sym_function] = ACTIONS(11613),
    [anon_sym_macro] = ACTIONS(11613),
    [anon_sym_quote] = ACTIONS(11613),
    [anon_sym_let] = ACTIONS(11613),
    [anon_sym_if] = ACTIONS(11613),
    [anon_sym_try] = ACTIONS(11613),
    [anon_sym_catch] = ACTIONS(11613),
    [anon_sym_for] = ACTIONS(11613),
    [anon_sym_while] = ACTIONS(11613),
    [sym_break_statement] = ACTIONS(11613),
    [sym_continue_statement] = ACTIONS(11613),
    [anon_sym_return] = ACTIONS(11613),
    [anon_sym_const] = ACTIONS(11613),
    [anon_sym_global] = ACTIONS(11613),
    [anon_sym_local] = ACTIONS(11613),
    [anon_sym_LPAREN] = ACTIONS(11613),
    [anon_sym_COLON] = ACTIONS(11613),
    [anon_sym_export] = ACTIONS(11613),
    [anon_sym_public] = ACTIONS(11613),
    [anon_sym_import] = ACTIONS(11613),
    [anon_sym_using] = ACTIONS(11613),
    [anon_sym_LBRACK] = ACTIONS(11613),
    [anon_sym_in] = ACTIONS(11613),
    [anon_sym_SEMI] = ACTIONS(11613),
    [anon_sym_LBRACE] = ACTIONS(11613),
    [anon_sym_DOLLAR] = ACTIONS(11613),
    [anon_sym_COLON2] = ACTIONS(11613),
    [anon_sym_COLON_COLON] = ACTIONS(11613),
    [anon_sym_isa] = ACTIONS(11613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11613),
    [anon_sym_QMARK] = ACTIONS(11613),
    [anon_sym_where] = ACTIONS(11613),
    [anon_sym_AT] = ACTIONS(11613),
    [anon_sym_true] = ACTIONS(11613),
    [anon_sym_false] = ACTIONS(11613),
    [aux_sym_integer_literal_token1] = ACTIONS(11613),
    [aux_sym_integer_literal_token2] = ACTIONS(11613),
    [aux_sym_integer_literal_token3] = ACTIONS(11613),
    [aux_sym_integer_literal_token4] = ACTIONS(11613),
    [aux_sym_float_literal_token1] = ACTIONS(11613),
    [aux_sym_float_literal_token3] = ACTIONS(11613),
    [aux_sym_float_literal_token4] = ACTIONS(11613),
    [sym_character_literal] = ACTIONS(11613),
    [anon_sym_DQUOTE] = ACTIONS(11613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11613),
    [anon_sym_BQUOTE] = ACTIONS(11613),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11613),
    [sym__pair_operator] = ACTIONS(11613),
    [sym__arrow_operator] = ACTIONS(11613),
    [sym__lazy_or_operator] = ACTIONS(11613),
    [sym__lazy_and_operator] = ACTIONS(11613),
    [sym__comparison_operator] = ACTIONS(11613),
    [sym__pipe_right_operator] = ACTIONS(11613),
    [sym__pipe_left_operator] = ACTIONS(11613),
    [sym__ellipsis_operator] = ACTIONS(11613),
    [sym__plus_operator] = ACTIONS(11613),
    [sym__times_operator] = ACTIONS(11613),
    [sym__rational_operator] = ACTIONS(11613),
    [sym__bitshift_operator] = ACTIONS(11613),
    [sym__power_operator] = ACTIONS(11613),
    [sym__tilde_operator] = ACTIONS(11613),
    [sym__type_order_operator] = ACTIONS(11613),
    [sym__unary_operator] = ACTIONS(11613),
    [sym__unary_plus_operator] = ACTIONS(11613),
    [aux_sym__terminator_token1] = ACTIONS(11615),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9086] = {
    [sym_block_comment] = STATE(9086),
    [sym_line_comment] = STATE(9086),
    [sym__word_identifier] = ACTIONS(11617),
    [anon_sym_COMMA] = ACTIONS(11617),
    [anon_sym_EQ] = ACTIONS(11617),
    [anon_sym_begin] = ACTIONS(11617),
    [anon_sym_module] = ACTIONS(11617),
    [anon_sym_baremodule] = ACTIONS(11617),
    [anon_sym_end] = ACTIONS(11617),
    [anon_sym_abstract] = ACTIONS(11617),
    [anon_sym_primitive] = ACTIONS(11617),
    [anon_sym_mutable] = ACTIONS(11617),
    [anon_sym_struct] = ACTIONS(11617),
    [anon_sym_function] = ACTIONS(11617),
    [anon_sym_macro] = ACTIONS(11617),
    [anon_sym_quote] = ACTIONS(11617),
    [anon_sym_let] = ACTIONS(11617),
    [anon_sym_if] = ACTIONS(11617),
    [anon_sym_try] = ACTIONS(11617),
    [anon_sym_catch] = ACTIONS(11617),
    [anon_sym_for] = ACTIONS(11617),
    [anon_sym_while] = ACTIONS(11617),
    [sym_break_statement] = ACTIONS(11617),
    [sym_continue_statement] = ACTIONS(11617),
    [anon_sym_return] = ACTIONS(11617),
    [anon_sym_const] = ACTIONS(11617),
    [anon_sym_global] = ACTIONS(11617),
    [anon_sym_local] = ACTIONS(11617),
    [anon_sym_LPAREN] = ACTIONS(11617),
    [anon_sym_COLON] = ACTIONS(11617),
    [anon_sym_export] = ACTIONS(11617),
    [anon_sym_public] = ACTIONS(11617),
    [anon_sym_import] = ACTIONS(11617),
    [anon_sym_using] = ACTIONS(11617),
    [anon_sym_LBRACK] = ACTIONS(11617),
    [anon_sym_in] = ACTIONS(11617),
    [anon_sym_SEMI] = ACTIONS(11617),
    [anon_sym_LBRACE] = ACTIONS(11617),
    [anon_sym_DOLLAR] = ACTIONS(11617),
    [anon_sym_COLON2] = ACTIONS(11617),
    [anon_sym_COLON_COLON] = ACTIONS(11617),
    [anon_sym_isa] = ACTIONS(11617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11617),
    [anon_sym_QMARK] = ACTIONS(11617),
    [anon_sym_where] = ACTIONS(11617),
    [anon_sym_AT] = ACTIONS(11617),
    [anon_sym_true] = ACTIONS(11617),
    [anon_sym_false] = ACTIONS(11617),
    [aux_sym_integer_literal_token1] = ACTIONS(11617),
    [aux_sym_integer_literal_token2] = ACTIONS(11617),
    [aux_sym_integer_literal_token3] = ACTIONS(11617),
    [aux_sym_integer_literal_token4] = ACTIONS(11617),
    [aux_sym_float_literal_token1] = ACTIONS(11617),
    [aux_sym_float_literal_token3] = ACTIONS(11617),
    [aux_sym_float_literal_token4] = ACTIONS(11617),
    [sym_character_literal] = ACTIONS(11617),
    [anon_sym_DQUOTE] = ACTIONS(11617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11617),
    [anon_sym_BQUOTE] = ACTIONS(11617),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11617),
    [sym__pair_operator] = ACTIONS(11617),
    [sym__arrow_operator] = ACTIONS(11617),
    [sym__lazy_or_operator] = ACTIONS(11617),
    [sym__lazy_and_operator] = ACTIONS(11617),
    [sym__comparison_operator] = ACTIONS(11617),
    [sym__pipe_right_operator] = ACTIONS(11617),
    [sym__pipe_left_operator] = ACTIONS(11617),
    [sym__ellipsis_operator] = ACTIONS(11617),
    [sym__plus_operator] = ACTIONS(11617),
    [sym__times_operator] = ACTIONS(11617),
    [sym__rational_operator] = ACTIONS(11617),
    [sym__bitshift_operator] = ACTIONS(11617),
    [sym__power_operator] = ACTIONS(11617),
    [sym__tilde_operator] = ACTIONS(11617),
    [sym__type_order_operator] = ACTIONS(11617),
    [sym__unary_operator] = ACTIONS(11617),
    [sym__unary_plus_operator] = ACTIONS(11617),
    [aux_sym__terminator_token1] = ACTIONS(11619),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9087] = {
    [sym_block_comment] = STATE(9087),
    [sym_line_comment] = STATE(9087),
    [sym__word_identifier] = ACTIONS(11493),
    [anon_sym_COMMA] = ACTIONS(11493),
    [anon_sym_EQ] = ACTIONS(11493),
    [anon_sym_begin] = ACTIONS(11493),
    [anon_sym_module] = ACTIONS(11493),
    [anon_sym_baremodule] = ACTIONS(11493),
    [anon_sym_abstract] = ACTIONS(11493),
    [anon_sym_primitive] = ACTIONS(11493),
    [anon_sym_mutable] = ACTIONS(11493),
    [anon_sym_struct] = ACTIONS(11493),
    [anon_sym_function] = ACTIONS(11493),
    [anon_sym_macro] = ACTIONS(11493),
    [anon_sym_quote] = ACTIONS(11493),
    [anon_sym_let] = ACTIONS(11493),
    [anon_sym_if] = ACTIONS(11493),
    [anon_sym_try] = ACTIONS(11493),
    [anon_sym_catch] = ACTIONS(11493),
    [anon_sym_finally] = ACTIONS(11493),
    [anon_sym_for] = ACTIONS(11493),
    [anon_sym_while] = ACTIONS(11493),
    [sym_break_statement] = ACTIONS(11493),
    [sym_continue_statement] = ACTIONS(11493),
    [anon_sym_return] = ACTIONS(11493),
    [anon_sym_const] = ACTIONS(11493),
    [anon_sym_global] = ACTIONS(11493),
    [anon_sym_local] = ACTIONS(11493),
    [anon_sym_LPAREN] = ACTIONS(11493),
    [anon_sym_COLON] = ACTIONS(11493),
    [anon_sym_export] = ACTIONS(11493),
    [anon_sym_public] = ACTIONS(11493),
    [anon_sym_import] = ACTIONS(11493),
    [anon_sym_using] = ACTIONS(11493),
    [anon_sym_LBRACK] = ACTIONS(11493),
    [anon_sym_in] = ACTIONS(11493),
    [anon_sym_SEMI] = ACTIONS(11493),
    [anon_sym_LBRACE] = ACTIONS(11493),
    [anon_sym_DOLLAR] = ACTIONS(11493),
    [anon_sym_COLON2] = ACTIONS(11493),
    [anon_sym_COLON_COLON] = ACTIONS(11493),
    [anon_sym_isa] = ACTIONS(11493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11493),
    [anon_sym_QMARK] = ACTIONS(11493),
    [anon_sym_where] = ACTIONS(11493),
    [anon_sym_AT] = ACTIONS(11493),
    [anon_sym_true] = ACTIONS(11493),
    [anon_sym_false] = ACTIONS(11493),
    [aux_sym_integer_literal_token1] = ACTIONS(11493),
    [aux_sym_integer_literal_token2] = ACTIONS(11493),
    [aux_sym_integer_literal_token3] = ACTIONS(11493),
    [aux_sym_integer_literal_token4] = ACTIONS(11493),
    [aux_sym_float_literal_token1] = ACTIONS(11493),
    [aux_sym_float_literal_token3] = ACTIONS(11493),
    [aux_sym_float_literal_token4] = ACTIONS(11493),
    [sym_character_literal] = ACTIONS(11493),
    [anon_sym_DQUOTE] = ACTIONS(11493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11493),
    [anon_sym_BQUOTE] = ACTIONS(11493),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11493),
    [sym__pair_operator] = ACTIONS(11493),
    [sym__arrow_operator] = ACTIONS(11493),
    [sym__lazy_or_operator] = ACTIONS(11493),
    [sym__lazy_and_operator] = ACTIONS(11493),
    [sym__comparison_operator] = ACTIONS(11493),
    [sym__pipe_right_operator] = ACTIONS(11493),
    [sym__pipe_left_operator] = ACTIONS(11493),
    [sym__ellipsis_operator] = ACTIONS(11493),
    [sym__plus_operator] = ACTIONS(11493),
    [sym__times_operator] = ACTIONS(11493),
    [sym__rational_operator] = ACTIONS(11493),
    [sym__bitshift_operator] = ACTIONS(11493),
    [sym__power_operator] = ACTIONS(11493),
    [sym__tilde_operator] = ACTIONS(11493),
    [sym__type_order_operator] = ACTIONS(11493),
    [sym__unary_operator] = ACTIONS(11493),
    [sym__unary_plus_operator] = ACTIONS(11493),
    [aux_sym__terminator_token1] = ACTIONS(11495),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9088] = {
    [sym_block_comment] = STATE(9088),
    [sym_line_comment] = STATE(9088),
    [sym__word_identifier] = ACTIONS(11497),
    [anon_sym_COMMA] = ACTIONS(11497),
    [anon_sym_EQ] = ACTIONS(11497),
    [anon_sym_begin] = ACTIONS(11497),
    [anon_sym_module] = ACTIONS(11497),
    [anon_sym_baremodule] = ACTIONS(11497),
    [anon_sym_abstract] = ACTIONS(11497),
    [anon_sym_primitive] = ACTIONS(11497),
    [anon_sym_mutable] = ACTIONS(11497),
    [anon_sym_struct] = ACTIONS(11497),
    [anon_sym_function] = ACTIONS(11497),
    [anon_sym_macro] = ACTIONS(11497),
    [anon_sym_quote] = ACTIONS(11497),
    [anon_sym_let] = ACTIONS(11497),
    [anon_sym_if] = ACTIONS(11497),
    [anon_sym_try] = ACTIONS(11497),
    [anon_sym_catch] = ACTIONS(11497),
    [anon_sym_finally] = ACTIONS(11497),
    [anon_sym_for] = ACTIONS(11497),
    [anon_sym_while] = ACTIONS(11497),
    [sym_break_statement] = ACTIONS(11497),
    [sym_continue_statement] = ACTIONS(11497),
    [anon_sym_return] = ACTIONS(11497),
    [anon_sym_const] = ACTIONS(11497),
    [anon_sym_global] = ACTIONS(11497),
    [anon_sym_local] = ACTIONS(11497),
    [anon_sym_LPAREN] = ACTIONS(11497),
    [anon_sym_COLON] = ACTIONS(11497),
    [anon_sym_export] = ACTIONS(11497),
    [anon_sym_public] = ACTIONS(11497),
    [anon_sym_import] = ACTIONS(11497),
    [anon_sym_using] = ACTIONS(11497),
    [anon_sym_LBRACK] = ACTIONS(11497),
    [anon_sym_in] = ACTIONS(11497),
    [anon_sym_SEMI] = ACTIONS(11497),
    [anon_sym_LBRACE] = ACTIONS(11497),
    [anon_sym_DOLLAR] = ACTIONS(11497),
    [anon_sym_COLON2] = ACTIONS(11497),
    [anon_sym_COLON_COLON] = ACTIONS(11497),
    [anon_sym_isa] = ACTIONS(11497),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11497),
    [anon_sym_QMARK] = ACTIONS(11497),
    [anon_sym_where] = ACTIONS(11497),
    [anon_sym_AT] = ACTIONS(11497),
    [anon_sym_true] = ACTIONS(11497),
    [anon_sym_false] = ACTIONS(11497),
    [aux_sym_integer_literal_token1] = ACTIONS(11497),
    [aux_sym_integer_literal_token2] = ACTIONS(11497),
    [aux_sym_integer_literal_token3] = ACTIONS(11497),
    [aux_sym_integer_literal_token4] = ACTIONS(11497),
    [aux_sym_float_literal_token1] = ACTIONS(11497),
    [aux_sym_float_literal_token3] = ACTIONS(11497),
    [aux_sym_float_literal_token4] = ACTIONS(11497),
    [sym_character_literal] = ACTIONS(11497),
    [anon_sym_DQUOTE] = ACTIONS(11497),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11497),
    [anon_sym_BQUOTE] = ACTIONS(11497),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11497),
    [sym__pair_operator] = ACTIONS(11497),
    [sym__arrow_operator] = ACTIONS(11497),
    [sym__lazy_or_operator] = ACTIONS(11497),
    [sym__lazy_and_operator] = ACTIONS(11497),
    [sym__comparison_operator] = ACTIONS(11497),
    [sym__pipe_right_operator] = ACTIONS(11497),
    [sym__pipe_left_operator] = ACTIONS(11497),
    [sym__ellipsis_operator] = ACTIONS(11497),
    [sym__plus_operator] = ACTIONS(11497),
    [sym__times_operator] = ACTIONS(11497),
    [sym__rational_operator] = ACTIONS(11497),
    [sym__bitshift_operator] = ACTIONS(11497),
    [sym__power_operator] = ACTIONS(11497),
    [sym__tilde_operator] = ACTIONS(11497),
    [sym__type_order_operator] = ACTIONS(11497),
    [sym__unary_operator] = ACTIONS(11497),
    [sym__unary_plus_operator] = ACTIONS(11497),
    [aux_sym__terminator_token1] = ACTIONS(11499),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9089] = {
    [sym_block_comment] = STATE(9089),
    [sym_line_comment] = STATE(9089),
    [sym__word_identifier] = ACTIONS(11621),
    [anon_sym_COMMA] = ACTIONS(11621),
    [anon_sym_EQ] = ACTIONS(11621),
    [anon_sym_begin] = ACTIONS(11621),
    [anon_sym_module] = ACTIONS(11621),
    [anon_sym_baremodule] = ACTIONS(11621),
    [anon_sym_end] = ACTIONS(11621),
    [anon_sym_abstract] = ACTIONS(11621),
    [anon_sym_primitive] = ACTIONS(11621),
    [anon_sym_mutable] = ACTIONS(11621),
    [anon_sym_struct] = ACTIONS(11621),
    [anon_sym_function] = ACTIONS(11621),
    [anon_sym_macro] = ACTIONS(11621),
    [anon_sym_quote] = ACTIONS(11621),
    [anon_sym_let] = ACTIONS(11621),
    [anon_sym_if] = ACTIONS(11621),
    [anon_sym_try] = ACTIONS(11621),
    [anon_sym_catch] = ACTIONS(11621),
    [anon_sym_for] = ACTIONS(11621),
    [anon_sym_while] = ACTIONS(11621),
    [sym_break_statement] = ACTIONS(11621),
    [sym_continue_statement] = ACTIONS(11621),
    [anon_sym_return] = ACTIONS(11621),
    [anon_sym_const] = ACTIONS(11621),
    [anon_sym_global] = ACTIONS(11621),
    [anon_sym_local] = ACTIONS(11621),
    [anon_sym_LPAREN] = ACTIONS(11621),
    [anon_sym_COLON] = ACTIONS(11621),
    [anon_sym_export] = ACTIONS(11621),
    [anon_sym_public] = ACTIONS(11621),
    [anon_sym_import] = ACTIONS(11621),
    [anon_sym_using] = ACTIONS(11621),
    [anon_sym_LBRACK] = ACTIONS(11621),
    [anon_sym_in] = ACTIONS(11621),
    [anon_sym_SEMI] = ACTIONS(11621),
    [anon_sym_LBRACE] = ACTIONS(11621),
    [anon_sym_DOLLAR] = ACTIONS(11621),
    [anon_sym_COLON2] = ACTIONS(11621),
    [anon_sym_COLON_COLON] = ACTIONS(11621),
    [anon_sym_isa] = ACTIONS(11621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11621),
    [anon_sym_QMARK] = ACTIONS(11621),
    [anon_sym_where] = ACTIONS(11621),
    [anon_sym_AT] = ACTIONS(11621),
    [anon_sym_true] = ACTIONS(11621),
    [anon_sym_false] = ACTIONS(11621),
    [aux_sym_integer_literal_token1] = ACTIONS(11621),
    [aux_sym_integer_literal_token2] = ACTIONS(11621),
    [aux_sym_integer_literal_token3] = ACTIONS(11621),
    [aux_sym_integer_literal_token4] = ACTIONS(11621),
    [aux_sym_float_literal_token1] = ACTIONS(11621),
    [aux_sym_float_literal_token3] = ACTIONS(11621),
    [aux_sym_float_literal_token4] = ACTIONS(11621),
    [sym_character_literal] = ACTIONS(11621),
    [anon_sym_DQUOTE] = ACTIONS(11621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11621),
    [anon_sym_BQUOTE] = ACTIONS(11621),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11621),
    [sym__pair_operator] = ACTIONS(11621),
    [sym__arrow_operator] = ACTIONS(11621),
    [sym__lazy_or_operator] = ACTIONS(11621),
    [sym__lazy_and_operator] = ACTIONS(11621),
    [sym__comparison_operator] = ACTIONS(11621),
    [sym__pipe_right_operator] = ACTIONS(11621),
    [sym__pipe_left_operator] = ACTIONS(11621),
    [sym__ellipsis_operator] = ACTIONS(11621),
    [sym__plus_operator] = ACTIONS(11621),
    [sym__times_operator] = ACTIONS(11621),
    [sym__rational_operator] = ACTIONS(11621),
    [sym__bitshift_operator] = ACTIONS(11621),
    [sym__power_operator] = ACTIONS(11621),
    [sym__tilde_operator] = ACTIONS(11621),
    [sym__type_order_operator] = ACTIONS(11621),
    [sym__unary_operator] = ACTIONS(11621),
    [sym__unary_plus_operator] = ACTIONS(11621),
    [aux_sym__terminator_token1] = ACTIONS(11623),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9090] = {
    [sym_block_comment] = STATE(9090),
    [sym_line_comment] = STATE(9090),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10493),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10067),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9091] = {
    [sym_block_comment] = STATE(9091),
    [sym_line_comment] = STATE(9091),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10175),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10175),
    [anon_sym_QMARK] = ACTIONS(10175),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10175),
    [sym__lazy_and_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9092] = {
    [sym_block_comment] = STATE(9092),
    [sym_line_comment] = STATE(9092),
    [sym__word_identifier] = ACTIONS(11625),
    [anon_sym_COMMA] = ACTIONS(11625),
    [anon_sym_EQ] = ACTIONS(11625),
    [anon_sym_begin] = ACTIONS(11625),
    [anon_sym_module] = ACTIONS(11625),
    [anon_sym_baremodule] = ACTIONS(11625),
    [anon_sym_end] = ACTIONS(11625),
    [anon_sym_abstract] = ACTIONS(11625),
    [anon_sym_primitive] = ACTIONS(11625),
    [anon_sym_mutable] = ACTIONS(11625),
    [anon_sym_struct] = ACTIONS(11625),
    [anon_sym_function] = ACTIONS(11625),
    [anon_sym_macro] = ACTIONS(11625),
    [anon_sym_quote] = ACTIONS(11625),
    [anon_sym_let] = ACTIONS(11625),
    [anon_sym_if] = ACTIONS(11625),
    [anon_sym_try] = ACTIONS(11625),
    [anon_sym_catch] = ACTIONS(11625),
    [anon_sym_for] = ACTIONS(11625),
    [anon_sym_while] = ACTIONS(11625),
    [sym_break_statement] = ACTIONS(11625),
    [sym_continue_statement] = ACTIONS(11625),
    [anon_sym_return] = ACTIONS(11625),
    [anon_sym_const] = ACTIONS(11625),
    [anon_sym_global] = ACTIONS(11625),
    [anon_sym_local] = ACTIONS(11625),
    [anon_sym_LPAREN] = ACTIONS(11625),
    [anon_sym_COLON] = ACTIONS(11625),
    [anon_sym_export] = ACTIONS(11625),
    [anon_sym_public] = ACTIONS(11625),
    [anon_sym_import] = ACTIONS(11625),
    [anon_sym_using] = ACTIONS(11625),
    [anon_sym_LBRACK] = ACTIONS(11625),
    [anon_sym_in] = ACTIONS(11625),
    [anon_sym_SEMI] = ACTIONS(11625),
    [anon_sym_LBRACE] = ACTIONS(11625),
    [anon_sym_DOLLAR] = ACTIONS(11625),
    [anon_sym_COLON2] = ACTIONS(11625),
    [anon_sym_COLON_COLON] = ACTIONS(11625),
    [anon_sym_isa] = ACTIONS(11625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11625),
    [anon_sym_QMARK] = ACTIONS(11625),
    [anon_sym_where] = ACTIONS(11625),
    [anon_sym_AT] = ACTIONS(11625),
    [anon_sym_true] = ACTIONS(11625),
    [anon_sym_false] = ACTIONS(11625),
    [aux_sym_integer_literal_token1] = ACTIONS(11625),
    [aux_sym_integer_literal_token2] = ACTIONS(11625),
    [aux_sym_integer_literal_token3] = ACTIONS(11625),
    [aux_sym_integer_literal_token4] = ACTIONS(11625),
    [aux_sym_float_literal_token1] = ACTIONS(11625),
    [aux_sym_float_literal_token3] = ACTIONS(11625),
    [aux_sym_float_literal_token4] = ACTIONS(11625),
    [sym_character_literal] = ACTIONS(11625),
    [anon_sym_DQUOTE] = ACTIONS(11625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11625),
    [anon_sym_BQUOTE] = ACTIONS(11625),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11625),
    [sym__pair_operator] = ACTIONS(11625),
    [sym__arrow_operator] = ACTIONS(11625),
    [sym__lazy_or_operator] = ACTIONS(11625),
    [sym__lazy_and_operator] = ACTIONS(11625),
    [sym__comparison_operator] = ACTIONS(11625),
    [sym__pipe_right_operator] = ACTIONS(11625),
    [sym__pipe_left_operator] = ACTIONS(11625),
    [sym__ellipsis_operator] = ACTIONS(11625),
    [sym__plus_operator] = ACTIONS(11625),
    [sym__times_operator] = ACTIONS(11625),
    [sym__rational_operator] = ACTIONS(11625),
    [sym__bitshift_operator] = ACTIONS(11625),
    [sym__power_operator] = ACTIONS(11625),
    [sym__tilde_operator] = ACTIONS(11625),
    [sym__type_order_operator] = ACTIONS(11625),
    [sym__unary_operator] = ACTIONS(11625),
    [sym__unary_plus_operator] = ACTIONS(11625),
    [aux_sym__terminator_token1] = ACTIONS(11627),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9093] = {
    [sym_block_comment] = STATE(9093),
    [sym_line_comment] = STATE(9093),
    [ts_builtin_sym_end] = ACTIONS(11318),
    [sym__word_identifier] = ACTIONS(11316),
    [anon_sym_COMMA] = ACTIONS(11316),
    [anon_sym_EQ] = ACTIONS(11316),
    [anon_sym_begin] = ACTIONS(11316),
    [anon_sym_module] = ACTIONS(11316),
    [anon_sym_baremodule] = ACTIONS(11316),
    [anon_sym_abstract] = ACTIONS(11316),
    [anon_sym_primitive] = ACTIONS(11316),
    [anon_sym_mutable] = ACTIONS(11316),
    [anon_sym_struct] = ACTIONS(11316),
    [anon_sym_function] = ACTIONS(11316),
    [anon_sym_macro] = ACTIONS(11316),
    [anon_sym_quote] = ACTIONS(11316),
    [anon_sym_let] = ACTIONS(11316),
    [anon_sym_if] = ACTIONS(11316),
    [anon_sym_try] = ACTIONS(11316),
    [anon_sym_for] = ACTIONS(11316),
    [anon_sym_while] = ACTIONS(11316),
    [sym_break_statement] = ACTIONS(11316),
    [sym_continue_statement] = ACTIONS(11316),
    [anon_sym_return] = ACTIONS(11316),
    [anon_sym_const] = ACTIONS(11316),
    [anon_sym_global] = ACTIONS(11316),
    [anon_sym_local] = ACTIONS(11316),
    [anon_sym_LPAREN] = ACTIONS(11316),
    [anon_sym_COLON] = ACTIONS(11316),
    [anon_sym_export] = ACTIONS(11316),
    [anon_sym_public] = ACTIONS(11316),
    [anon_sym_import] = ACTIONS(11316),
    [anon_sym_using] = ACTIONS(11316),
    [anon_sym_LBRACK] = ACTIONS(11316),
    [anon_sym_RBRACK] = ACTIONS(11316),
    [anon_sym_in] = ACTIONS(11316),
    [anon_sym_SEMI] = ACTIONS(11316),
    [anon_sym_LBRACE] = ACTIONS(11316),
    [anon_sym_DOLLAR] = ACTIONS(11316),
    [anon_sym_COLON2] = ACTIONS(11316),
    [anon_sym_COLON_COLON] = ACTIONS(11316),
    [anon_sym_isa] = ACTIONS(11316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11316),
    [anon_sym_QMARK] = ACTIONS(11316),
    [anon_sym_where] = ACTIONS(11316),
    [anon_sym_AT] = ACTIONS(11316),
    [anon_sym_true] = ACTIONS(11316),
    [anon_sym_false] = ACTIONS(11316),
    [aux_sym_integer_literal_token1] = ACTIONS(11316),
    [aux_sym_integer_literal_token2] = ACTIONS(11316),
    [aux_sym_integer_literal_token3] = ACTIONS(11316),
    [aux_sym_integer_literal_token4] = ACTIONS(11316),
    [aux_sym_float_literal_token1] = ACTIONS(11316),
    [aux_sym_float_literal_token3] = ACTIONS(11316),
    [aux_sym_float_literal_token4] = ACTIONS(11316),
    [sym_character_literal] = ACTIONS(11316),
    [anon_sym_DQUOTE] = ACTIONS(11316),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11316),
    [anon_sym_BQUOTE] = ACTIONS(11316),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11316),
    [sym__pair_operator] = ACTIONS(11316),
    [sym__arrow_operator] = ACTIONS(11316),
    [sym__lazy_or_operator] = ACTIONS(11316),
    [sym__lazy_and_operator] = ACTIONS(11316),
    [sym__comparison_operator] = ACTIONS(11316),
    [sym__pipe_right_operator] = ACTIONS(11316),
    [sym__pipe_left_operator] = ACTIONS(11316),
    [sym__ellipsis_operator] = ACTIONS(11316),
    [sym__plus_operator] = ACTIONS(11316),
    [sym__times_operator] = ACTIONS(11316),
    [sym__rational_operator] = ACTIONS(11316),
    [sym__bitshift_operator] = ACTIONS(11316),
    [sym__power_operator] = ACTIONS(11316),
    [sym__tilde_operator] = ACTIONS(11316),
    [sym__type_order_operator] = ACTIONS(11316),
    [sym__unary_operator] = ACTIONS(11316),
    [sym__unary_plus_operator] = ACTIONS(11316),
    [aux_sym__terminator_token1] = ACTIONS(11318),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9094] = {
    [sym_block_comment] = STATE(9094),
    [sym_line_comment] = STATE(9094),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10319),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10319),
    [anon_sym_QMARK] = ACTIONS(10319),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10319),
    [sym__lazy_and_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9095] = {
    [sym_block_comment] = STATE(9095),
    [sym_line_comment] = STATE(9095),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10395),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10395),
    [anon_sym_QMARK] = ACTIONS(10395),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10395),
    [sym__lazy_and_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9096] = {
    [sym_block_comment] = STATE(9096),
    [sym_line_comment] = STATE(9096),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10413),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10413),
    [anon_sym_QMARK] = ACTIONS(10413),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10413),
    [sym__lazy_and_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9097] = {
    [sym_block_comment] = STATE(9097),
    [sym_line_comment] = STATE(9097),
    [sym__word_identifier] = ACTIONS(11501),
    [anon_sym_COMMA] = ACTIONS(11501),
    [anon_sym_EQ] = ACTIONS(11501),
    [anon_sym_begin] = ACTIONS(11501),
    [anon_sym_module] = ACTIONS(11501),
    [anon_sym_baremodule] = ACTIONS(11501),
    [anon_sym_abstract] = ACTIONS(11501),
    [anon_sym_primitive] = ACTIONS(11501),
    [anon_sym_mutable] = ACTIONS(11501),
    [anon_sym_struct] = ACTIONS(11501),
    [anon_sym_function] = ACTIONS(11501),
    [anon_sym_macro] = ACTIONS(11501),
    [anon_sym_quote] = ACTIONS(11501),
    [anon_sym_let] = ACTIONS(11501),
    [anon_sym_if] = ACTIONS(11501),
    [anon_sym_try] = ACTIONS(11501),
    [anon_sym_catch] = ACTIONS(11501),
    [anon_sym_finally] = ACTIONS(11501),
    [anon_sym_for] = ACTIONS(11501),
    [anon_sym_while] = ACTIONS(11501),
    [sym_break_statement] = ACTIONS(11501),
    [sym_continue_statement] = ACTIONS(11501),
    [anon_sym_return] = ACTIONS(11501),
    [anon_sym_const] = ACTIONS(11501),
    [anon_sym_global] = ACTIONS(11501),
    [anon_sym_local] = ACTIONS(11501),
    [anon_sym_LPAREN] = ACTIONS(11501),
    [anon_sym_COLON] = ACTIONS(11501),
    [anon_sym_export] = ACTIONS(11501),
    [anon_sym_public] = ACTIONS(11501),
    [anon_sym_import] = ACTIONS(11501),
    [anon_sym_using] = ACTIONS(11501),
    [anon_sym_LBRACK] = ACTIONS(11501),
    [anon_sym_in] = ACTIONS(11501),
    [anon_sym_SEMI] = ACTIONS(11501),
    [anon_sym_LBRACE] = ACTIONS(11501),
    [anon_sym_DOLLAR] = ACTIONS(11501),
    [anon_sym_COLON2] = ACTIONS(11501),
    [anon_sym_COLON_COLON] = ACTIONS(11501),
    [anon_sym_isa] = ACTIONS(11501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11501),
    [anon_sym_QMARK] = ACTIONS(11501),
    [anon_sym_where] = ACTIONS(11501),
    [anon_sym_AT] = ACTIONS(11501),
    [anon_sym_true] = ACTIONS(11501),
    [anon_sym_false] = ACTIONS(11501),
    [aux_sym_integer_literal_token1] = ACTIONS(11501),
    [aux_sym_integer_literal_token2] = ACTIONS(11501),
    [aux_sym_integer_literal_token3] = ACTIONS(11501),
    [aux_sym_integer_literal_token4] = ACTIONS(11501),
    [aux_sym_float_literal_token1] = ACTIONS(11501),
    [aux_sym_float_literal_token3] = ACTIONS(11501),
    [aux_sym_float_literal_token4] = ACTIONS(11501),
    [sym_character_literal] = ACTIONS(11501),
    [anon_sym_DQUOTE] = ACTIONS(11501),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11501),
    [anon_sym_BQUOTE] = ACTIONS(11501),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11501),
    [sym__pair_operator] = ACTIONS(11501),
    [sym__arrow_operator] = ACTIONS(11501),
    [sym__lazy_or_operator] = ACTIONS(11501),
    [sym__lazy_and_operator] = ACTIONS(11501),
    [sym__comparison_operator] = ACTIONS(11501),
    [sym__pipe_right_operator] = ACTIONS(11501),
    [sym__pipe_left_operator] = ACTIONS(11501),
    [sym__ellipsis_operator] = ACTIONS(11501),
    [sym__plus_operator] = ACTIONS(11501),
    [sym__times_operator] = ACTIONS(11501),
    [sym__rational_operator] = ACTIONS(11501),
    [sym__bitshift_operator] = ACTIONS(11501),
    [sym__power_operator] = ACTIONS(11501),
    [sym__tilde_operator] = ACTIONS(11501),
    [sym__type_order_operator] = ACTIONS(11501),
    [sym__unary_operator] = ACTIONS(11501),
    [sym__unary_plus_operator] = ACTIONS(11501),
    [aux_sym__terminator_token1] = ACTIONS(11503),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9098] = {
    [sym_block_comment] = STATE(9098),
    [sym_line_comment] = STATE(9098),
    [sym__word_identifier] = ACTIONS(11505),
    [anon_sym_COMMA] = ACTIONS(11505),
    [anon_sym_EQ] = ACTIONS(11505),
    [anon_sym_begin] = ACTIONS(11505),
    [anon_sym_module] = ACTIONS(11505),
    [anon_sym_baremodule] = ACTIONS(11505),
    [anon_sym_abstract] = ACTIONS(11505),
    [anon_sym_primitive] = ACTIONS(11505),
    [anon_sym_mutable] = ACTIONS(11505),
    [anon_sym_struct] = ACTIONS(11505),
    [anon_sym_function] = ACTIONS(11505),
    [anon_sym_macro] = ACTIONS(11505),
    [anon_sym_quote] = ACTIONS(11505),
    [anon_sym_let] = ACTIONS(11505),
    [anon_sym_if] = ACTIONS(11505),
    [anon_sym_try] = ACTIONS(11505),
    [anon_sym_catch] = ACTIONS(11505),
    [anon_sym_finally] = ACTIONS(11505),
    [anon_sym_for] = ACTIONS(11505),
    [anon_sym_while] = ACTIONS(11505),
    [sym_break_statement] = ACTIONS(11505),
    [sym_continue_statement] = ACTIONS(11505),
    [anon_sym_return] = ACTIONS(11505),
    [anon_sym_const] = ACTIONS(11505),
    [anon_sym_global] = ACTIONS(11505),
    [anon_sym_local] = ACTIONS(11505),
    [anon_sym_LPAREN] = ACTIONS(11505),
    [anon_sym_COLON] = ACTIONS(11505),
    [anon_sym_export] = ACTIONS(11505),
    [anon_sym_public] = ACTIONS(11505),
    [anon_sym_import] = ACTIONS(11505),
    [anon_sym_using] = ACTIONS(11505),
    [anon_sym_LBRACK] = ACTIONS(11505),
    [anon_sym_in] = ACTIONS(11505),
    [anon_sym_SEMI] = ACTIONS(11505),
    [anon_sym_LBRACE] = ACTIONS(11505),
    [anon_sym_DOLLAR] = ACTIONS(11505),
    [anon_sym_COLON2] = ACTIONS(11505),
    [anon_sym_COLON_COLON] = ACTIONS(11505),
    [anon_sym_isa] = ACTIONS(11505),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11505),
    [anon_sym_QMARK] = ACTIONS(11505),
    [anon_sym_where] = ACTIONS(11505),
    [anon_sym_AT] = ACTIONS(11505),
    [anon_sym_true] = ACTIONS(11505),
    [anon_sym_false] = ACTIONS(11505),
    [aux_sym_integer_literal_token1] = ACTIONS(11505),
    [aux_sym_integer_literal_token2] = ACTIONS(11505),
    [aux_sym_integer_literal_token3] = ACTIONS(11505),
    [aux_sym_integer_literal_token4] = ACTIONS(11505),
    [aux_sym_float_literal_token1] = ACTIONS(11505),
    [aux_sym_float_literal_token3] = ACTIONS(11505),
    [aux_sym_float_literal_token4] = ACTIONS(11505),
    [sym_character_literal] = ACTIONS(11505),
    [anon_sym_DQUOTE] = ACTIONS(11505),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11505),
    [anon_sym_BQUOTE] = ACTIONS(11505),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11505),
    [sym__pair_operator] = ACTIONS(11505),
    [sym__arrow_operator] = ACTIONS(11505),
    [sym__lazy_or_operator] = ACTIONS(11505),
    [sym__lazy_and_operator] = ACTIONS(11505),
    [sym__comparison_operator] = ACTIONS(11505),
    [sym__pipe_right_operator] = ACTIONS(11505),
    [sym__pipe_left_operator] = ACTIONS(11505),
    [sym__ellipsis_operator] = ACTIONS(11505),
    [sym__plus_operator] = ACTIONS(11505),
    [sym__times_operator] = ACTIONS(11505),
    [sym__rational_operator] = ACTIONS(11505),
    [sym__bitshift_operator] = ACTIONS(11505),
    [sym__power_operator] = ACTIONS(11505),
    [sym__tilde_operator] = ACTIONS(11505),
    [sym__type_order_operator] = ACTIONS(11505),
    [sym__unary_operator] = ACTIONS(11505),
    [sym__unary_plus_operator] = ACTIONS(11505),
    [aux_sym__terminator_token1] = ACTIONS(11507),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9099] = {
    [sym_block_comment] = STATE(9099),
    [sym_line_comment] = STATE(9099),
    [sym__word_identifier] = ACTIONS(11509),
    [anon_sym_COMMA] = ACTIONS(11509),
    [anon_sym_EQ] = ACTIONS(11509),
    [anon_sym_begin] = ACTIONS(11509),
    [anon_sym_module] = ACTIONS(11509),
    [anon_sym_baremodule] = ACTIONS(11509),
    [anon_sym_abstract] = ACTIONS(11509),
    [anon_sym_primitive] = ACTIONS(11509),
    [anon_sym_mutable] = ACTIONS(11509),
    [anon_sym_struct] = ACTIONS(11509),
    [anon_sym_function] = ACTIONS(11509),
    [anon_sym_macro] = ACTIONS(11509),
    [anon_sym_quote] = ACTIONS(11509),
    [anon_sym_let] = ACTIONS(11509),
    [anon_sym_if] = ACTIONS(11509),
    [anon_sym_try] = ACTIONS(11509),
    [anon_sym_catch] = ACTIONS(11509),
    [anon_sym_finally] = ACTIONS(11509),
    [anon_sym_for] = ACTIONS(11509),
    [anon_sym_while] = ACTIONS(11509),
    [sym_break_statement] = ACTIONS(11509),
    [sym_continue_statement] = ACTIONS(11509),
    [anon_sym_return] = ACTIONS(11509),
    [anon_sym_const] = ACTIONS(11509),
    [anon_sym_global] = ACTIONS(11509),
    [anon_sym_local] = ACTIONS(11509),
    [anon_sym_LPAREN] = ACTIONS(11509),
    [anon_sym_COLON] = ACTIONS(11509),
    [anon_sym_export] = ACTIONS(11509),
    [anon_sym_public] = ACTIONS(11509),
    [anon_sym_import] = ACTIONS(11509),
    [anon_sym_using] = ACTIONS(11509),
    [anon_sym_LBRACK] = ACTIONS(11509),
    [anon_sym_in] = ACTIONS(11509),
    [anon_sym_SEMI] = ACTIONS(11509),
    [anon_sym_LBRACE] = ACTIONS(11509),
    [anon_sym_DOLLAR] = ACTIONS(11509),
    [anon_sym_COLON2] = ACTIONS(11509),
    [anon_sym_COLON_COLON] = ACTIONS(11509),
    [anon_sym_isa] = ACTIONS(11509),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11509),
    [anon_sym_QMARK] = ACTIONS(11509),
    [anon_sym_where] = ACTIONS(11509),
    [anon_sym_AT] = ACTIONS(11509),
    [anon_sym_true] = ACTIONS(11509),
    [anon_sym_false] = ACTIONS(11509),
    [aux_sym_integer_literal_token1] = ACTIONS(11509),
    [aux_sym_integer_literal_token2] = ACTIONS(11509),
    [aux_sym_integer_literal_token3] = ACTIONS(11509),
    [aux_sym_integer_literal_token4] = ACTIONS(11509),
    [aux_sym_float_literal_token1] = ACTIONS(11509),
    [aux_sym_float_literal_token3] = ACTIONS(11509),
    [aux_sym_float_literal_token4] = ACTIONS(11509),
    [sym_character_literal] = ACTIONS(11509),
    [anon_sym_DQUOTE] = ACTIONS(11509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11509),
    [anon_sym_BQUOTE] = ACTIONS(11509),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11509),
    [sym__pair_operator] = ACTIONS(11509),
    [sym__arrow_operator] = ACTIONS(11509),
    [sym__lazy_or_operator] = ACTIONS(11509),
    [sym__lazy_and_operator] = ACTIONS(11509),
    [sym__comparison_operator] = ACTIONS(11509),
    [sym__pipe_right_operator] = ACTIONS(11509),
    [sym__pipe_left_operator] = ACTIONS(11509),
    [sym__ellipsis_operator] = ACTIONS(11509),
    [sym__plus_operator] = ACTIONS(11509),
    [sym__times_operator] = ACTIONS(11509),
    [sym__rational_operator] = ACTIONS(11509),
    [sym__bitshift_operator] = ACTIONS(11509),
    [sym__power_operator] = ACTIONS(11509),
    [sym__tilde_operator] = ACTIONS(11509),
    [sym__type_order_operator] = ACTIONS(11509),
    [sym__unary_operator] = ACTIONS(11509),
    [sym__unary_plus_operator] = ACTIONS(11509),
    [aux_sym__terminator_token1] = ACTIONS(11511),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9100] = {
    [sym_block_comment] = STATE(9100),
    [sym_line_comment] = STATE(9100),
    [sym__word_identifier] = ACTIONS(11629),
    [anon_sym_COMMA] = ACTIONS(11629),
    [anon_sym_EQ] = ACTIONS(11629),
    [anon_sym_begin] = ACTIONS(11629),
    [anon_sym_module] = ACTIONS(11629),
    [anon_sym_baremodule] = ACTIONS(11629),
    [anon_sym_end] = ACTIONS(11629),
    [anon_sym_abstract] = ACTIONS(11629),
    [anon_sym_primitive] = ACTIONS(11629),
    [anon_sym_mutable] = ACTIONS(11629),
    [anon_sym_struct] = ACTIONS(11629),
    [anon_sym_function] = ACTIONS(11629),
    [anon_sym_macro] = ACTIONS(11629),
    [anon_sym_quote] = ACTIONS(11629),
    [anon_sym_let] = ACTIONS(11629),
    [anon_sym_if] = ACTIONS(11629),
    [anon_sym_try] = ACTIONS(11629),
    [anon_sym_catch] = ACTIONS(11629),
    [anon_sym_for] = ACTIONS(11629),
    [anon_sym_while] = ACTIONS(11629),
    [sym_break_statement] = ACTIONS(11629),
    [sym_continue_statement] = ACTIONS(11629),
    [anon_sym_return] = ACTIONS(11629),
    [anon_sym_const] = ACTIONS(11629),
    [anon_sym_global] = ACTIONS(11629),
    [anon_sym_local] = ACTIONS(11629),
    [anon_sym_LPAREN] = ACTIONS(11629),
    [anon_sym_COLON] = ACTIONS(11629),
    [anon_sym_export] = ACTIONS(11629),
    [anon_sym_public] = ACTIONS(11629),
    [anon_sym_import] = ACTIONS(11629),
    [anon_sym_using] = ACTIONS(11629),
    [anon_sym_LBRACK] = ACTIONS(11629),
    [anon_sym_in] = ACTIONS(11629),
    [anon_sym_SEMI] = ACTIONS(11629),
    [anon_sym_LBRACE] = ACTIONS(11629),
    [anon_sym_DOLLAR] = ACTIONS(11629),
    [anon_sym_COLON2] = ACTIONS(11629),
    [anon_sym_COLON_COLON] = ACTIONS(11629),
    [anon_sym_isa] = ACTIONS(11629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11629),
    [anon_sym_QMARK] = ACTIONS(11629),
    [anon_sym_where] = ACTIONS(11629),
    [anon_sym_AT] = ACTIONS(11629),
    [anon_sym_true] = ACTIONS(11629),
    [anon_sym_false] = ACTIONS(11629),
    [aux_sym_integer_literal_token1] = ACTIONS(11629),
    [aux_sym_integer_literal_token2] = ACTIONS(11629),
    [aux_sym_integer_literal_token3] = ACTIONS(11629),
    [aux_sym_integer_literal_token4] = ACTIONS(11629),
    [aux_sym_float_literal_token1] = ACTIONS(11629),
    [aux_sym_float_literal_token3] = ACTIONS(11629),
    [aux_sym_float_literal_token4] = ACTIONS(11629),
    [sym_character_literal] = ACTIONS(11629),
    [anon_sym_DQUOTE] = ACTIONS(11629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11629),
    [anon_sym_BQUOTE] = ACTIONS(11629),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11629),
    [sym__pair_operator] = ACTIONS(11629),
    [sym__arrow_operator] = ACTIONS(11629),
    [sym__lazy_or_operator] = ACTIONS(11629),
    [sym__lazy_and_operator] = ACTIONS(11629),
    [sym__comparison_operator] = ACTIONS(11629),
    [sym__pipe_right_operator] = ACTIONS(11629),
    [sym__pipe_left_operator] = ACTIONS(11629),
    [sym__ellipsis_operator] = ACTIONS(11629),
    [sym__plus_operator] = ACTIONS(11629),
    [sym__times_operator] = ACTIONS(11629),
    [sym__rational_operator] = ACTIONS(11629),
    [sym__bitshift_operator] = ACTIONS(11629),
    [sym__power_operator] = ACTIONS(11629),
    [sym__tilde_operator] = ACTIONS(11629),
    [sym__type_order_operator] = ACTIONS(11629),
    [sym__unary_operator] = ACTIONS(11629),
    [sym__unary_plus_operator] = ACTIONS(11629),
    [aux_sym__terminator_token1] = ACTIONS(11631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9101] = {
    [sym_block_comment] = STATE(9101),
    [sym_line_comment] = STATE(9101),
    [sym__word_identifier] = ACTIONS(11513),
    [anon_sym_COMMA] = ACTIONS(11513),
    [anon_sym_EQ] = ACTIONS(11513),
    [anon_sym_begin] = ACTIONS(11513),
    [anon_sym_module] = ACTIONS(11513),
    [anon_sym_baremodule] = ACTIONS(11513),
    [anon_sym_abstract] = ACTIONS(11513),
    [anon_sym_primitive] = ACTIONS(11513),
    [anon_sym_mutable] = ACTIONS(11513),
    [anon_sym_struct] = ACTIONS(11513),
    [anon_sym_function] = ACTIONS(11513),
    [anon_sym_macro] = ACTIONS(11513),
    [anon_sym_quote] = ACTIONS(11513),
    [anon_sym_let] = ACTIONS(11513),
    [anon_sym_if] = ACTIONS(11513),
    [anon_sym_try] = ACTIONS(11513),
    [anon_sym_catch] = ACTIONS(11513),
    [anon_sym_finally] = ACTIONS(11513),
    [anon_sym_for] = ACTIONS(11513),
    [anon_sym_while] = ACTIONS(11513),
    [sym_break_statement] = ACTIONS(11513),
    [sym_continue_statement] = ACTIONS(11513),
    [anon_sym_return] = ACTIONS(11513),
    [anon_sym_const] = ACTIONS(11513),
    [anon_sym_global] = ACTIONS(11513),
    [anon_sym_local] = ACTIONS(11513),
    [anon_sym_LPAREN] = ACTIONS(11513),
    [anon_sym_COLON] = ACTIONS(11513),
    [anon_sym_export] = ACTIONS(11513),
    [anon_sym_public] = ACTIONS(11513),
    [anon_sym_import] = ACTIONS(11513),
    [anon_sym_using] = ACTIONS(11513),
    [anon_sym_LBRACK] = ACTIONS(11513),
    [anon_sym_in] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(11513),
    [anon_sym_LBRACE] = ACTIONS(11513),
    [anon_sym_DOLLAR] = ACTIONS(11513),
    [anon_sym_COLON2] = ACTIONS(11513),
    [anon_sym_COLON_COLON] = ACTIONS(11513),
    [anon_sym_isa] = ACTIONS(11513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11513),
    [anon_sym_QMARK] = ACTIONS(11513),
    [anon_sym_where] = ACTIONS(11513),
    [anon_sym_AT] = ACTIONS(11513),
    [anon_sym_true] = ACTIONS(11513),
    [anon_sym_false] = ACTIONS(11513),
    [aux_sym_integer_literal_token1] = ACTIONS(11513),
    [aux_sym_integer_literal_token2] = ACTIONS(11513),
    [aux_sym_integer_literal_token3] = ACTIONS(11513),
    [aux_sym_integer_literal_token4] = ACTIONS(11513),
    [aux_sym_float_literal_token1] = ACTIONS(11513),
    [aux_sym_float_literal_token3] = ACTIONS(11513),
    [aux_sym_float_literal_token4] = ACTIONS(11513),
    [sym_character_literal] = ACTIONS(11513),
    [anon_sym_DQUOTE] = ACTIONS(11513),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11513),
    [anon_sym_BQUOTE] = ACTIONS(11513),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11513),
    [sym__pair_operator] = ACTIONS(11513),
    [sym__arrow_operator] = ACTIONS(11513),
    [sym__lazy_or_operator] = ACTIONS(11513),
    [sym__lazy_and_operator] = ACTIONS(11513),
    [sym__comparison_operator] = ACTIONS(11513),
    [sym__pipe_right_operator] = ACTIONS(11513),
    [sym__pipe_left_operator] = ACTIONS(11513),
    [sym__ellipsis_operator] = ACTIONS(11513),
    [sym__plus_operator] = ACTIONS(11513),
    [sym__times_operator] = ACTIONS(11513),
    [sym__rational_operator] = ACTIONS(11513),
    [sym__bitshift_operator] = ACTIONS(11513),
    [sym__power_operator] = ACTIONS(11513),
    [sym__tilde_operator] = ACTIONS(11513),
    [sym__type_order_operator] = ACTIONS(11513),
    [sym__unary_operator] = ACTIONS(11513),
    [sym__unary_plus_operator] = ACTIONS(11513),
    [aux_sym__terminator_token1] = ACTIONS(11515),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9102] = {
    [sym_block_comment] = STATE(9102),
    [sym_line_comment] = STATE(9102),
    [sym__word_identifier] = ACTIONS(11517),
    [anon_sym_COMMA] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(11517),
    [anon_sym_begin] = ACTIONS(11517),
    [anon_sym_module] = ACTIONS(11517),
    [anon_sym_baremodule] = ACTIONS(11517),
    [anon_sym_abstract] = ACTIONS(11517),
    [anon_sym_primitive] = ACTIONS(11517),
    [anon_sym_mutable] = ACTIONS(11517),
    [anon_sym_struct] = ACTIONS(11517),
    [anon_sym_function] = ACTIONS(11517),
    [anon_sym_macro] = ACTIONS(11517),
    [anon_sym_quote] = ACTIONS(11517),
    [anon_sym_let] = ACTIONS(11517),
    [anon_sym_if] = ACTIONS(11517),
    [anon_sym_try] = ACTIONS(11517),
    [anon_sym_catch] = ACTIONS(11517),
    [anon_sym_finally] = ACTIONS(11517),
    [anon_sym_for] = ACTIONS(11517),
    [anon_sym_while] = ACTIONS(11517),
    [sym_break_statement] = ACTIONS(11517),
    [sym_continue_statement] = ACTIONS(11517),
    [anon_sym_return] = ACTIONS(11517),
    [anon_sym_const] = ACTIONS(11517),
    [anon_sym_global] = ACTIONS(11517),
    [anon_sym_local] = ACTIONS(11517),
    [anon_sym_LPAREN] = ACTIONS(11517),
    [anon_sym_COLON] = ACTIONS(11517),
    [anon_sym_export] = ACTIONS(11517),
    [anon_sym_public] = ACTIONS(11517),
    [anon_sym_import] = ACTIONS(11517),
    [anon_sym_using] = ACTIONS(11517),
    [anon_sym_LBRACK] = ACTIONS(11517),
    [anon_sym_in] = ACTIONS(11517),
    [anon_sym_SEMI] = ACTIONS(11517),
    [anon_sym_LBRACE] = ACTIONS(11517),
    [anon_sym_DOLLAR] = ACTIONS(11517),
    [anon_sym_COLON2] = ACTIONS(11517),
    [anon_sym_COLON_COLON] = ACTIONS(11517),
    [anon_sym_isa] = ACTIONS(11517),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11517),
    [anon_sym_QMARK] = ACTIONS(11517),
    [anon_sym_where] = ACTIONS(11517),
    [anon_sym_AT] = ACTIONS(11517),
    [anon_sym_true] = ACTIONS(11517),
    [anon_sym_false] = ACTIONS(11517),
    [aux_sym_integer_literal_token1] = ACTIONS(11517),
    [aux_sym_integer_literal_token2] = ACTIONS(11517),
    [aux_sym_integer_literal_token3] = ACTIONS(11517),
    [aux_sym_integer_literal_token4] = ACTIONS(11517),
    [aux_sym_float_literal_token1] = ACTIONS(11517),
    [aux_sym_float_literal_token3] = ACTIONS(11517),
    [aux_sym_float_literal_token4] = ACTIONS(11517),
    [sym_character_literal] = ACTIONS(11517),
    [anon_sym_DQUOTE] = ACTIONS(11517),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11517),
    [anon_sym_BQUOTE] = ACTIONS(11517),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11517),
    [sym__pair_operator] = ACTIONS(11517),
    [sym__arrow_operator] = ACTIONS(11517),
    [sym__lazy_or_operator] = ACTIONS(11517),
    [sym__lazy_and_operator] = ACTIONS(11517),
    [sym__comparison_operator] = ACTIONS(11517),
    [sym__pipe_right_operator] = ACTIONS(11517),
    [sym__pipe_left_operator] = ACTIONS(11517),
    [sym__ellipsis_operator] = ACTIONS(11517),
    [sym__plus_operator] = ACTIONS(11517),
    [sym__times_operator] = ACTIONS(11517),
    [sym__rational_operator] = ACTIONS(11517),
    [sym__bitshift_operator] = ACTIONS(11517),
    [sym__power_operator] = ACTIONS(11517),
    [sym__tilde_operator] = ACTIONS(11517),
    [sym__type_order_operator] = ACTIONS(11517),
    [sym__unary_operator] = ACTIONS(11517),
    [sym__unary_plus_operator] = ACTIONS(11517),
    [aux_sym__terminator_token1] = ACTIONS(11519),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9103] = {
    [sym_block_comment] = STATE(9103),
    [sym_line_comment] = STATE(9103),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10323),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10323),
    [anon_sym_QMARK] = ACTIONS(10323),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10323),
    [sym__lazy_and_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9104] = {
    [sym_block_comment] = STATE(9104),
    [sym_line_comment] = STATE(9104),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10327),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10327),
    [anon_sym_QMARK] = ACTIONS(10327),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10327),
    [sym__lazy_and_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9105] = {
    [sym_block_comment] = STATE(9105),
    [sym_line_comment] = STATE(9105),
    [sym__word_identifier] = ACTIONS(11633),
    [anon_sym_COMMA] = ACTIONS(11633),
    [anon_sym_EQ] = ACTIONS(11633),
    [anon_sym_begin] = ACTIONS(11633),
    [anon_sym_module] = ACTIONS(11633),
    [anon_sym_baremodule] = ACTIONS(11633),
    [anon_sym_end] = ACTIONS(11633),
    [anon_sym_abstract] = ACTIONS(11633),
    [anon_sym_primitive] = ACTIONS(11633),
    [anon_sym_mutable] = ACTIONS(11633),
    [anon_sym_struct] = ACTIONS(11633),
    [anon_sym_function] = ACTIONS(11633),
    [anon_sym_macro] = ACTIONS(11633),
    [anon_sym_quote] = ACTIONS(11633),
    [anon_sym_let] = ACTIONS(11633),
    [anon_sym_if] = ACTIONS(11633),
    [anon_sym_try] = ACTIONS(11633),
    [anon_sym_catch] = ACTIONS(11633),
    [anon_sym_for] = ACTIONS(11633),
    [anon_sym_while] = ACTIONS(11633),
    [sym_break_statement] = ACTIONS(11633),
    [sym_continue_statement] = ACTIONS(11633),
    [anon_sym_return] = ACTIONS(11633),
    [anon_sym_const] = ACTIONS(11633),
    [anon_sym_global] = ACTIONS(11633),
    [anon_sym_local] = ACTIONS(11633),
    [anon_sym_LPAREN] = ACTIONS(11633),
    [anon_sym_COLON] = ACTIONS(11633),
    [anon_sym_export] = ACTIONS(11633),
    [anon_sym_public] = ACTIONS(11633),
    [anon_sym_import] = ACTIONS(11633),
    [anon_sym_using] = ACTIONS(11633),
    [anon_sym_LBRACK] = ACTIONS(11633),
    [anon_sym_in] = ACTIONS(11633),
    [anon_sym_SEMI] = ACTIONS(11633),
    [anon_sym_LBRACE] = ACTIONS(11633),
    [anon_sym_DOLLAR] = ACTIONS(11633),
    [anon_sym_COLON2] = ACTIONS(11633),
    [anon_sym_COLON_COLON] = ACTIONS(11633),
    [anon_sym_isa] = ACTIONS(11633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11633),
    [anon_sym_QMARK] = ACTIONS(11633),
    [anon_sym_where] = ACTIONS(11633),
    [anon_sym_AT] = ACTIONS(11633),
    [anon_sym_true] = ACTIONS(11633),
    [anon_sym_false] = ACTIONS(11633),
    [aux_sym_integer_literal_token1] = ACTIONS(11633),
    [aux_sym_integer_literal_token2] = ACTIONS(11633),
    [aux_sym_integer_literal_token3] = ACTIONS(11633),
    [aux_sym_integer_literal_token4] = ACTIONS(11633),
    [aux_sym_float_literal_token1] = ACTIONS(11633),
    [aux_sym_float_literal_token3] = ACTIONS(11633),
    [aux_sym_float_literal_token4] = ACTIONS(11633),
    [sym_character_literal] = ACTIONS(11633),
    [anon_sym_DQUOTE] = ACTIONS(11633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11633),
    [anon_sym_BQUOTE] = ACTIONS(11633),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11633),
    [sym__pair_operator] = ACTIONS(11633),
    [sym__arrow_operator] = ACTIONS(11633),
    [sym__lazy_or_operator] = ACTIONS(11633),
    [sym__lazy_and_operator] = ACTIONS(11633),
    [sym__comparison_operator] = ACTIONS(11633),
    [sym__pipe_right_operator] = ACTIONS(11633),
    [sym__pipe_left_operator] = ACTIONS(11633),
    [sym__ellipsis_operator] = ACTIONS(11633),
    [sym__plus_operator] = ACTIONS(11633),
    [sym__times_operator] = ACTIONS(11633),
    [sym__rational_operator] = ACTIONS(11633),
    [sym__bitshift_operator] = ACTIONS(11633),
    [sym__power_operator] = ACTIONS(11633),
    [sym__tilde_operator] = ACTIONS(11633),
    [sym__type_order_operator] = ACTIONS(11633),
    [sym__unary_operator] = ACTIONS(11633),
    [sym__unary_plus_operator] = ACTIONS(11633),
    [aux_sym__terminator_token1] = ACTIONS(11635),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9106] = {
    [sym_block_comment] = STATE(9106),
    [sym_line_comment] = STATE(9106),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10379),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10379),
    [anon_sym_QMARK] = ACTIONS(10379),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10379),
    [sym__lazy_and_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9107] = {
    [sym_block_comment] = STATE(9107),
    [sym_line_comment] = STATE(9107),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10385),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10385),
    [anon_sym_QMARK] = ACTIONS(10385),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10385),
    [sym__lazy_and_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9108] = {
    [sym_block_comment] = STATE(9108),
    [sym_line_comment] = STATE(9108),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10389),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10389),
    [anon_sym_QMARK] = ACTIONS(10389),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10389),
    [sym__lazy_and_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9109] = {
    [sym_block_comment] = STATE(9109),
    [sym_line_comment] = STATE(9109),
    [sym__word_identifier] = ACTIONS(11637),
    [anon_sym_COMMA] = ACTIONS(11637),
    [anon_sym_EQ] = ACTIONS(11637),
    [anon_sym_begin] = ACTIONS(11637),
    [anon_sym_module] = ACTIONS(11637),
    [anon_sym_baremodule] = ACTIONS(11637),
    [anon_sym_end] = ACTIONS(11637),
    [anon_sym_abstract] = ACTIONS(11637),
    [anon_sym_primitive] = ACTIONS(11637),
    [anon_sym_mutable] = ACTIONS(11637),
    [anon_sym_struct] = ACTIONS(11637),
    [anon_sym_function] = ACTIONS(11637),
    [anon_sym_macro] = ACTIONS(11637),
    [anon_sym_quote] = ACTIONS(11637),
    [anon_sym_let] = ACTIONS(11637),
    [anon_sym_if] = ACTIONS(11637),
    [anon_sym_try] = ACTIONS(11637),
    [anon_sym_catch] = ACTIONS(11637),
    [anon_sym_for] = ACTIONS(11637),
    [anon_sym_while] = ACTIONS(11637),
    [sym_break_statement] = ACTIONS(11637),
    [sym_continue_statement] = ACTIONS(11637),
    [anon_sym_return] = ACTIONS(11637),
    [anon_sym_const] = ACTIONS(11637),
    [anon_sym_global] = ACTIONS(11637),
    [anon_sym_local] = ACTIONS(11637),
    [anon_sym_LPAREN] = ACTIONS(11637),
    [anon_sym_COLON] = ACTIONS(11637),
    [anon_sym_export] = ACTIONS(11637),
    [anon_sym_public] = ACTIONS(11637),
    [anon_sym_import] = ACTIONS(11637),
    [anon_sym_using] = ACTIONS(11637),
    [anon_sym_LBRACK] = ACTIONS(11637),
    [anon_sym_in] = ACTIONS(11637),
    [anon_sym_SEMI] = ACTIONS(11637),
    [anon_sym_LBRACE] = ACTIONS(11637),
    [anon_sym_DOLLAR] = ACTIONS(11637),
    [anon_sym_COLON2] = ACTIONS(11637),
    [anon_sym_COLON_COLON] = ACTIONS(11637),
    [anon_sym_isa] = ACTIONS(11637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11637),
    [anon_sym_QMARK] = ACTIONS(11637),
    [anon_sym_where] = ACTIONS(11637),
    [anon_sym_AT] = ACTIONS(11637),
    [anon_sym_true] = ACTIONS(11637),
    [anon_sym_false] = ACTIONS(11637),
    [aux_sym_integer_literal_token1] = ACTIONS(11637),
    [aux_sym_integer_literal_token2] = ACTIONS(11637),
    [aux_sym_integer_literal_token3] = ACTIONS(11637),
    [aux_sym_integer_literal_token4] = ACTIONS(11637),
    [aux_sym_float_literal_token1] = ACTIONS(11637),
    [aux_sym_float_literal_token3] = ACTIONS(11637),
    [aux_sym_float_literal_token4] = ACTIONS(11637),
    [sym_character_literal] = ACTIONS(11637),
    [anon_sym_DQUOTE] = ACTIONS(11637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11637),
    [anon_sym_BQUOTE] = ACTIONS(11637),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11637),
    [sym__pair_operator] = ACTIONS(11637),
    [sym__arrow_operator] = ACTIONS(11637),
    [sym__lazy_or_operator] = ACTIONS(11637),
    [sym__lazy_and_operator] = ACTIONS(11637),
    [sym__comparison_operator] = ACTIONS(11637),
    [sym__pipe_right_operator] = ACTIONS(11637),
    [sym__pipe_left_operator] = ACTIONS(11637),
    [sym__ellipsis_operator] = ACTIONS(11637),
    [sym__plus_operator] = ACTIONS(11637),
    [sym__times_operator] = ACTIONS(11637),
    [sym__rational_operator] = ACTIONS(11637),
    [sym__bitshift_operator] = ACTIONS(11637),
    [sym__power_operator] = ACTIONS(11637),
    [sym__tilde_operator] = ACTIONS(11637),
    [sym__type_order_operator] = ACTIONS(11637),
    [sym__unary_operator] = ACTIONS(11637),
    [sym__unary_plus_operator] = ACTIONS(11637),
    [aux_sym__terminator_token1] = ACTIONS(11639),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9110] = {
    [sym_block_comment] = STATE(9110),
    [sym_line_comment] = STATE(9110),
    [sym__word_identifier] = ACTIONS(11521),
    [anon_sym_COMMA] = ACTIONS(11521),
    [anon_sym_EQ] = ACTIONS(11521),
    [anon_sym_begin] = ACTIONS(11521),
    [anon_sym_module] = ACTIONS(11521),
    [anon_sym_baremodule] = ACTIONS(11521),
    [anon_sym_abstract] = ACTIONS(11521),
    [anon_sym_primitive] = ACTIONS(11521),
    [anon_sym_mutable] = ACTIONS(11521),
    [anon_sym_struct] = ACTIONS(11521),
    [anon_sym_function] = ACTIONS(11521),
    [anon_sym_macro] = ACTIONS(11521),
    [anon_sym_quote] = ACTIONS(11521),
    [anon_sym_let] = ACTIONS(11521),
    [anon_sym_if] = ACTIONS(11521),
    [anon_sym_try] = ACTIONS(11521),
    [anon_sym_catch] = ACTIONS(11521),
    [anon_sym_finally] = ACTIONS(11521),
    [anon_sym_for] = ACTIONS(11521),
    [anon_sym_while] = ACTIONS(11521),
    [sym_break_statement] = ACTIONS(11521),
    [sym_continue_statement] = ACTIONS(11521),
    [anon_sym_return] = ACTIONS(11521),
    [anon_sym_const] = ACTIONS(11521),
    [anon_sym_global] = ACTIONS(11521),
    [anon_sym_local] = ACTIONS(11521),
    [anon_sym_LPAREN] = ACTIONS(11521),
    [anon_sym_COLON] = ACTIONS(11521),
    [anon_sym_export] = ACTIONS(11521),
    [anon_sym_public] = ACTIONS(11521),
    [anon_sym_import] = ACTIONS(11521),
    [anon_sym_using] = ACTIONS(11521),
    [anon_sym_LBRACK] = ACTIONS(11521),
    [anon_sym_in] = ACTIONS(11521),
    [anon_sym_SEMI] = ACTIONS(11521),
    [anon_sym_LBRACE] = ACTIONS(11521),
    [anon_sym_DOLLAR] = ACTIONS(11521),
    [anon_sym_COLON2] = ACTIONS(11521),
    [anon_sym_COLON_COLON] = ACTIONS(11521),
    [anon_sym_isa] = ACTIONS(11521),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11521),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_where] = ACTIONS(11521),
    [anon_sym_AT] = ACTIONS(11521),
    [anon_sym_true] = ACTIONS(11521),
    [anon_sym_false] = ACTIONS(11521),
    [aux_sym_integer_literal_token1] = ACTIONS(11521),
    [aux_sym_integer_literal_token2] = ACTIONS(11521),
    [aux_sym_integer_literal_token3] = ACTIONS(11521),
    [aux_sym_integer_literal_token4] = ACTIONS(11521),
    [aux_sym_float_literal_token1] = ACTIONS(11521),
    [aux_sym_float_literal_token3] = ACTIONS(11521),
    [aux_sym_float_literal_token4] = ACTIONS(11521),
    [sym_character_literal] = ACTIONS(11521),
    [anon_sym_DQUOTE] = ACTIONS(11521),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11521),
    [anon_sym_BQUOTE] = ACTIONS(11521),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11521),
    [sym__pair_operator] = ACTIONS(11521),
    [sym__arrow_operator] = ACTIONS(11521),
    [sym__lazy_or_operator] = ACTIONS(11521),
    [sym__lazy_and_operator] = ACTIONS(11521),
    [sym__comparison_operator] = ACTIONS(11521),
    [sym__pipe_right_operator] = ACTIONS(11521),
    [sym__pipe_left_operator] = ACTIONS(11521),
    [sym__ellipsis_operator] = ACTIONS(11521),
    [sym__plus_operator] = ACTIONS(11521),
    [sym__times_operator] = ACTIONS(11521),
    [sym__rational_operator] = ACTIONS(11521),
    [sym__bitshift_operator] = ACTIONS(11521),
    [sym__power_operator] = ACTIONS(11521),
    [sym__tilde_operator] = ACTIONS(11521),
    [sym__type_order_operator] = ACTIONS(11521),
    [sym__unary_operator] = ACTIONS(11521),
    [sym__unary_plus_operator] = ACTIONS(11521),
    [aux_sym__terminator_token1] = ACTIONS(11523),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9111] = {
    [sym_block_comment] = STATE(9111),
    [sym_line_comment] = STATE(9111),
    [sym__word_identifier] = ACTIONS(11525),
    [anon_sym_COMMA] = ACTIONS(11525),
    [anon_sym_EQ] = ACTIONS(11525),
    [anon_sym_begin] = ACTIONS(11525),
    [anon_sym_module] = ACTIONS(11525),
    [anon_sym_baremodule] = ACTIONS(11525),
    [anon_sym_abstract] = ACTIONS(11525),
    [anon_sym_primitive] = ACTIONS(11525),
    [anon_sym_mutable] = ACTIONS(11525),
    [anon_sym_struct] = ACTIONS(11525),
    [anon_sym_function] = ACTIONS(11525),
    [anon_sym_macro] = ACTIONS(11525),
    [anon_sym_quote] = ACTIONS(11525),
    [anon_sym_let] = ACTIONS(11525),
    [anon_sym_if] = ACTIONS(11525),
    [anon_sym_try] = ACTIONS(11525),
    [anon_sym_catch] = ACTIONS(11525),
    [anon_sym_finally] = ACTIONS(11525),
    [anon_sym_for] = ACTIONS(11525),
    [anon_sym_while] = ACTIONS(11525),
    [sym_break_statement] = ACTIONS(11525),
    [sym_continue_statement] = ACTIONS(11525),
    [anon_sym_return] = ACTIONS(11525),
    [anon_sym_const] = ACTIONS(11525),
    [anon_sym_global] = ACTIONS(11525),
    [anon_sym_local] = ACTIONS(11525),
    [anon_sym_LPAREN] = ACTIONS(11525),
    [anon_sym_COLON] = ACTIONS(11525),
    [anon_sym_export] = ACTIONS(11525),
    [anon_sym_public] = ACTIONS(11525),
    [anon_sym_import] = ACTIONS(11525),
    [anon_sym_using] = ACTIONS(11525),
    [anon_sym_LBRACK] = ACTIONS(11525),
    [anon_sym_in] = ACTIONS(11525),
    [anon_sym_SEMI] = ACTIONS(11525),
    [anon_sym_LBRACE] = ACTIONS(11525),
    [anon_sym_DOLLAR] = ACTIONS(11525),
    [anon_sym_COLON2] = ACTIONS(11525),
    [anon_sym_COLON_COLON] = ACTIONS(11525),
    [anon_sym_isa] = ACTIONS(11525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_QMARK] = ACTIONS(11525),
    [anon_sym_where] = ACTIONS(11525),
    [anon_sym_AT] = ACTIONS(11525),
    [anon_sym_true] = ACTIONS(11525),
    [anon_sym_false] = ACTIONS(11525),
    [aux_sym_integer_literal_token1] = ACTIONS(11525),
    [aux_sym_integer_literal_token2] = ACTIONS(11525),
    [aux_sym_integer_literal_token3] = ACTIONS(11525),
    [aux_sym_integer_literal_token4] = ACTIONS(11525),
    [aux_sym_float_literal_token1] = ACTIONS(11525),
    [aux_sym_float_literal_token3] = ACTIONS(11525),
    [aux_sym_float_literal_token4] = ACTIONS(11525),
    [sym_character_literal] = ACTIONS(11525),
    [anon_sym_DQUOTE] = ACTIONS(11525),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11525),
    [anon_sym_BQUOTE] = ACTIONS(11525),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11525),
    [sym__pair_operator] = ACTIONS(11525),
    [sym__arrow_operator] = ACTIONS(11525),
    [sym__lazy_or_operator] = ACTIONS(11525),
    [sym__lazy_and_operator] = ACTIONS(11525),
    [sym__comparison_operator] = ACTIONS(11525),
    [sym__pipe_right_operator] = ACTIONS(11525),
    [sym__pipe_left_operator] = ACTIONS(11525),
    [sym__ellipsis_operator] = ACTIONS(11525),
    [sym__plus_operator] = ACTIONS(11525),
    [sym__times_operator] = ACTIONS(11525),
    [sym__rational_operator] = ACTIONS(11525),
    [sym__bitshift_operator] = ACTIONS(11525),
    [sym__power_operator] = ACTIONS(11525),
    [sym__tilde_operator] = ACTIONS(11525),
    [sym__type_order_operator] = ACTIONS(11525),
    [sym__unary_operator] = ACTIONS(11525),
    [sym__unary_plus_operator] = ACTIONS(11525),
    [aux_sym__terminator_token1] = ACTIONS(11527),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9112] = {
    [sym_block_comment] = STATE(9112),
    [sym_line_comment] = STATE(9112),
    [sym__word_identifier] = ACTIONS(11529),
    [anon_sym_COMMA] = ACTIONS(11529),
    [anon_sym_EQ] = ACTIONS(11529),
    [anon_sym_begin] = ACTIONS(11529),
    [anon_sym_module] = ACTIONS(11529),
    [anon_sym_baremodule] = ACTIONS(11529),
    [anon_sym_abstract] = ACTIONS(11529),
    [anon_sym_primitive] = ACTIONS(11529),
    [anon_sym_mutable] = ACTIONS(11529),
    [anon_sym_struct] = ACTIONS(11529),
    [anon_sym_function] = ACTIONS(11529),
    [anon_sym_macro] = ACTIONS(11529),
    [anon_sym_quote] = ACTIONS(11529),
    [anon_sym_let] = ACTIONS(11529),
    [anon_sym_if] = ACTIONS(11529),
    [anon_sym_try] = ACTIONS(11529),
    [anon_sym_catch] = ACTIONS(11529),
    [anon_sym_finally] = ACTIONS(11529),
    [anon_sym_for] = ACTIONS(11529),
    [anon_sym_while] = ACTIONS(11529),
    [sym_break_statement] = ACTIONS(11529),
    [sym_continue_statement] = ACTIONS(11529),
    [anon_sym_return] = ACTIONS(11529),
    [anon_sym_const] = ACTIONS(11529),
    [anon_sym_global] = ACTIONS(11529),
    [anon_sym_local] = ACTIONS(11529),
    [anon_sym_LPAREN] = ACTIONS(11529),
    [anon_sym_COLON] = ACTIONS(11529),
    [anon_sym_export] = ACTIONS(11529),
    [anon_sym_public] = ACTIONS(11529),
    [anon_sym_import] = ACTIONS(11529),
    [anon_sym_using] = ACTIONS(11529),
    [anon_sym_LBRACK] = ACTIONS(11529),
    [anon_sym_in] = ACTIONS(11529),
    [anon_sym_SEMI] = ACTIONS(11529),
    [anon_sym_LBRACE] = ACTIONS(11529),
    [anon_sym_DOLLAR] = ACTIONS(11529),
    [anon_sym_COLON2] = ACTIONS(11529),
    [anon_sym_COLON_COLON] = ACTIONS(11529),
    [anon_sym_isa] = ACTIONS(11529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11529),
    [anon_sym_QMARK] = ACTIONS(11529),
    [anon_sym_where] = ACTIONS(11529),
    [anon_sym_AT] = ACTIONS(11529),
    [anon_sym_true] = ACTIONS(11529),
    [anon_sym_false] = ACTIONS(11529),
    [aux_sym_integer_literal_token1] = ACTIONS(11529),
    [aux_sym_integer_literal_token2] = ACTIONS(11529),
    [aux_sym_integer_literal_token3] = ACTIONS(11529),
    [aux_sym_integer_literal_token4] = ACTIONS(11529),
    [aux_sym_float_literal_token1] = ACTIONS(11529),
    [aux_sym_float_literal_token3] = ACTIONS(11529),
    [aux_sym_float_literal_token4] = ACTIONS(11529),
    [sym_character_literal] = ACTIONS(11529),
    [anon_sym_DQUOTE] = ACTIONS(11529),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11529),
    [anon_sym_BQUOTE] = ACTIONS(11529),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11529),
    [sym__pair_operator] = ACTIONS(11529),
    [sym__arrow_operator] = ACTIONS(11529),
    [sym__lazy_or_operator] = ACTIONS(11529),
    [sym__lazy_and_operator] = ACTIONS(11529),
    [sym__comparison_operator] = ACTIONS(11529),
    [sym__pipe_right_operator] = ACTIONS(11529),
    [sym__pipe_left_operator] = ACTIONS(11529),
    [sym__ellipsis_operator] = ACTIONS(11529),
    [sym__plus_operator] = ACTIONS(11529),
    [sym__times_operator] = ACTIONS(11529),
    [sym__rational_operator] = ACTIONS(11529),
    [sym__bitshift_operator] = ACTIONS(11529),
    [sym__power_operator] = ACTIONS(11529),
    [sym__tilde_operator] = ACTIONS(11529),
    [sym__type_order_operator] = ACTIONS(11529),
    [sym__unary_operator] = ACTIONS(11529),
    [sym__unary_plus_operator] = ACTIONS(11529),
    [aux_sym__terminator_token1] = ACTIONS(11531),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9113] = {
    [sym_block_comment] = STATE(9113),
    [sym_line_comment] = STATE(9113),
    [sym__word_identifier] = ACTIONS(11533),
    [anon_sym_COMMA] = ACTIONS(11533),
    [anon_sym_EQ] = ACTIONS(11533),
    [anon_sym_begin] = ACTIONS(11533),
    [anon_sym_module] = ACTIONS(11533),
    [anon_sym_baremodule] = ACTIONS(11533),
    [anon_sym_abstract] = ACTIONS(11533),
    [anon_sym_primitive] = ACTIONS(11533),
    [anon_sym_mutable] = ACTIONS(11533),
    [anon_sym_struct] = ACTIONS(11533),
    [anon_sym_function] = ACTIONS(11533),
    [anon_sym_macro] = ACTIONS(11533),
    [anon_sym_quote] = ACTIONS(11533),
    [anon_sym_let] = ACTIONS(11533),
    [anon_sym_if] = ACTIONS(11533),
    [anon_sym_try] = ACTIONS(11533),
    [anon_sym_catch] = ACTIONS(11533),
    [anon_sym_finally] = ACTIONS(11533),
    [anon_sym_for] = ACTIONS(11533),
    [anon_sym_while] = ACTIONS(11533),
    [sym_break_statement] = ACTIONS(11533),
    [sym_continue_statement] = ACTIONS(11533),
    [anon_sym_return] = ACTIONS(11533),
    [anon_sym_const] = ACTIONS(11533),
    [anon_sym_global] = ACTIONS(11533),
    [anon_sym_local] = ACTIONS(11533),
    [anon_sym_LPAREN] = ACTIONS(11533),
    [anon_sym_COLON] = ACTIONS(11533),
    [anon_sym_export] = ACTIONS(11533),
    [anon_sym_public] = ACTIONS(11533),
    [anon_sym_import] = ACTIONS(11533),
    [anon_sym_using] = ACTIONS(11533),
    [anon_sym_LBRACK] = ACTIONS(11533),
    [anon_sym_in] = ACTIONS(11533),
    [anon_sym_SEMI] = ACTIONS(11533),
    [anon_sym_LBRACE] = ACTIONS(11533),
    [anon_sym_DOLLAR] = ACTIONS(11533),
    [anon_sym_COLON2] = ACTIONS(11533),
    [anon_sym_COLON_COLON] = ACTIONS(11533),
    [anon_sym_isa] = ACTIONS(11533),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11533),
    [anon_sym_QMARK] = ACTIONS(11533),
    [anon_sym_where] = ACTIONS(11533),
    [anon_sym_AT] = ACTIONS(11533),
    [anon_sym_true] = ACTIONS(11533),
    [anon_sym_false] = ACTIONS(11533),
    [aux_sym_integer_literal_token1] = ACTIONS(11533),
    [aux_sym_integer_literal_token2] = ACTIONS(11533),
    [aux_sym_integer_literal_token3] = ACTIONS(11533),
    [aux_sym_integer_literal_token4] = ACTIONS(11533),
    [aux_sym_float_literal_token1] = ACTIONS(11533),
    [aux_sym_float_literal_token3] = ACTIONS(11533),
    [aux_sym_float_literal_token4] = ACTIONS(11533),
    [sym_character_literal] = ACTIONS(11533),
    [anon_sym_DQUOTE] = ACTIONS(11533),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11533),
    [anon_sym_BQUOTE] = ACTIONS(11533),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11533),
    [sym__pair_operator] = ACTIONS(11533),
    [sym__arrow_operator] = ACTIONS(11533),
    [sym__lazy_or_operator] = ACTIONS(11533),
    [sym__lazy_and_operator] = ACTIONS(11533),
    [sym__comparison_operator] = ACTIONS(11533),
    [sym__pipe_right_operator] = ACTIONS(11533),
    [sym__pipe_left_operator] = ACTIONS(11533),
    [sym__ellipsis_operator] = ACTIONS(11533),
    [sym__plus_operator] = ACTIONS(11533),
    [sym__times_operator] = ACTIONS(11533),
    [sym__rational_operator] = ACTIONS(11533),
    [sym__bitshift_operator] = ACTIONS(11533),
    [sym__power_operator] = ACTIONS(11533),
    [sym__tilde_operator] = ACTIONS(11533),
    [sym__type_order_operator] = ACTIONS(11533),
    [sym__unary_operator] = ACTIONS(11533),
    [sym__unary_plus_operator] = ACTIONS(11533),
    [aux_sym__terminator_token1] = ACTIONS(11535),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9114] = {
    [sym_block_comment] = STATE(9114),
    [sym_line_comment] = STATE(9114),
    [sym__word_identifier] = ACTIONS(11537),
    [anon_sym_COMMA] = ACTIONS(11537),
    [anon_sym_EQ] = ACTIONS(11537),
    [anon_sym_begin] = ACTIONS(11537),
    [anon_sym_module] = ACTIONS(11537),
    [anon_sym_baremodule] = ACTIONS(11537),
    [anon_sym_abstract] = ACTIONS(11537),
    [anon_sym_primitive] = ACTIONS(11537),
    [anon_sym_mutable] = ACTIONS(11537),
    [anon_sym_struct] = ACTIONS(11537),
    [anon_sym_function] = ACTIONS(11537),
    [anon_sym_macro] = ACTIONS(11537),
    [anon_sym_quote] = ACTIONS(11537),
    [anon_sym_let] = ACTIONS(11537),
    [anon_sym_if] = ACTIONS(11537),
    [anon_sym_try] = ACTIONS(11537),
    [anon_sym_catch] = ACTIONS(11537),
    [anon_sym_finally] = ACTIONS(11537),
    [anon_sym_for] = ACTIONS(11537),
    [anon_sym_while] = ACTIONS(11537),
    [sym_break_statement] = ACTIONS(11537),
    [sym_continue_statement] = ACTIONS(11537),
    [anon_sym_return] = ACTIONS(11537),
    [anon_sym_const] = ACTIONS(11537),
    [anon_sym_global] = ACTIONS(11537),
    [anon_sym_local] = ACTIONS(11537),
    [anon_sym_LPAREN] = ACTIONS(11537),
    [anon_sym_COLON] = ACTIONS(11537),
    [anon_sym_export] = ACTIONS(11537),
    [anon_sym_public] = ACTIONS(11537),
    [anon_sym_import] = ACTIONS(11537),
    [anon_sym_using] = ACTIONS(11537),
    [anon_sym_LBRACK] = ACTIONS(11537),
    [anon_sym_in] = ACTIONS(11537),
    [anon_sym_SEMI] = ACTIONS(11537),
    [anon_sym_LBRACE] = ACTIONS(11537),
    [anon_sym_DOLLAR] = ACTIONS(11537),
    [anon_sym_COLON2] = ACTIONS(11537),
    [anon_sym_COLON_COLON] = ACTIONS(11537),
    [anon_sym_isa] = ACTIONS(11537),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11537),
    [anon_sym_QMARK] = ACTIONS(11537),
    [anon_sym_where] = ACTIONS(11537),
    [anon_sym_AT] = ACTIONS(11537),
    [anon_sym_true] = ACTIONS(11537),
    [anon_sym_false] = ACTIONS(11537),
    [aux_sym_integer_literal_token1] = ACTIONS(11537),
    [aux_sym_integer_literal_token2] = ACTIONS(11537),
    [aux_sym_integer_literal_token3] = ACTIONS(11537),
    [aux_sym_integer_literal_token4] = ACTIONS(11537),
    [aux_sym_float_literal_token1] = ACTIONS(11537),
    [aux_sym_float_literal_token3] = ACTIONS(11537),
    [aux_sym_float_literal_token4] = ACTIONS(11537),
    [sym_character_literal] = ACTIONS(11537),
    [anon_sym_DQUOTE] = ACTIONS(11537),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11537),
    [anon_sym_BQUOTE] = ACTIONS(11537),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11537),
    [sym__pair_operator] = ACTIONS(11537),
    [sym__arrow_operator] = ACTIONS(11537),
    [sym__lazy_or_operator] = ACTIONS(11537),
    [sym__lazy_and_operator] = ACTIONS(11537),
    [sym__comparison_operator] = ACTIONS(11537),
    [sym__pipe_right_operator] = ACTIONS(11537),
    [sym__pipe_left_operator] = ACTIONS(11537),
    [sym__ellipsis_operator] = ACTIONS(11537),
    [sym__plus_operator] = ACTIONS(11537),
    [sym__times_operator] = ACTIONS(11537),
    [sym__rational_operator] = ACTIONS(11537),
    [sym__bitshift_operator] = ACTIONS(11537),
    [sym__power_operator] = ACTIONS(11537),
    [sym__tilde_operator] = ACTIONS(11537),
    [sym__type_order_operator] = ACTIONS(11537),
    [sym__unary_operator] = ACTIONS(11537),
    [sym__unary_plus_operator] = ACTIONS(11537),
    [aux_sym__terminator_token1] = ACTIONS(11539),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9115] = {
    [sym_block_comment] = STATE(9115),
    [sym_line_comment] = STATE(9115),
    [sym__word_identifier] = ACTIONS(11541),
    [anon_sym_COMMA] = ACTIONS(11541),
    [anon_sym_EQ] = ACTIONS(11541),
    [anon_sym_begin] = ACTIONS(11541),
    [anon_sym_module] = ACTIONS(11541),
    [anon_sym_baremodule] = ACTIONS(11541),
    [anon_sym_abstract] = ACTIONS(11541),
    [anon_sym_primitive] = ACTIONS(11541),
    [anon_sym_mutable] = ACTIONS(11541),
    [anon_sym_struct] = ACTIONS(11541),
    [anon_sym_function] = ACTIONS(11541),
    [anon_sym_macro] = ACTIONS(11541),
    [anon_sym_quote] = ACTIONS(11541),
    [anon_sym_let] = ACTIONS(11541),
    [anon_sym_if] = ACTIONS(11541),
    [anon_sym_try] = ACTIONS(11541),
    [anon_sym_catch] = ACTIONS(11541),
    [anon_sym_finally] = ACTIONS(11541),
    [anon_sym_for] = ACTIONS(11541),
    [anon_sym_while] = ACTIONS(11541),
    [sym_break_statement] = ACTIONS(11541),
    [sym_continue_statement] = ACTIONS(11541),
    [anon_sym_return] = ACTIONS(11541),
    [anon_sym_const] = ACTIONS(11541),
    [anon_sym_global] = ACTIONS(11541),
    [anon_sym_local] = ACTIONS(11541),
    [anon_sym_LPAREN] = ACTIONS(11541),
    [anon_sym_COLON] = ACTIONS(11541),
    [anon_sym_export] = ACTIONS(11541),
    [anon_sym_public] = ACTIONS(11541),
    [anon_sym_import] = ACTIONS(11541),
    [anon_sym_using] = ACTIONS(11541),
    [anon_sym_LBRACK] = ACTIONS(11541),
    [anon_sym_in] = ACTIONS(11541),
    [anon_sym_SEMI] = ACTIONS(11541),
    [anon_sym_LBRACE] = ACTIONS(11541),
    [anon_sym_DOLLAR] = ACTIONS(11541),
    [anon_sym_COLON2] = ACTIONS(11541),
    [anon_sym_COLON_COLON] = ACTIONS(11541),
    [anon_sym_isa] = ACTIONS(11541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11541),
    [anon_sym_QMARK] = ACTIONS(11541),
    [anon_sym_where] = ACTIONS(11541),
    [anon_sym_AT] = ACTIONS(11541),
    [anon_sym_true] = ACTIONS(11541),
    [anon_sym_false] = ACTIONS(11541),
    [aux_sym_integer_literal_token1] = ACTIONS(11541),
    [aux_sym_integer_literal_token2] = ACTIONS(11541),
    [aux_sym_integer_literal_token3] = ACTIONS(11541),
    [aux_sym_integer_literal_token4] = ACTIONS(11541),
    [aux_sym_float_literal_token1] = ACTIONS(11541),
    [aux_sym_float_literal_token3] = ACTIONS(11541),
    [aux_sym_float_literal_token4] = ACTIONS(11541),
    [sym_character_literal] = ACTIONS(11541),
    [anon_sym_DQUOTE] = ACTIONS(11541),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11541),
    [anon_sym_BQUOTE] = ACTIONS(11541),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11541),
    [sym__pair_operator] = ACTIONS(11541),
    [sym__arrow_operator] = ACTIONS(11541),
    [sym__lazy_or_operator] = ACTIONS(11541),
    [sym__lazy_and_operator] = ACTIONS(11541),
    [sym__comparison_operator] = ACTIONS(11541),
    [sym__pipe_right_operator] = ACTIONS(11541),
    [sym__pipe_left_operator] = ACTIONS(11541),
    [sym__ellipsis_operator] = ACTIONS(11541),
    [sym__plus_operator] = ACTIONS(11541),
    [sym__times_operator] = ACTIONS(11541),
    [sym__rational_operator] = ACTIONS(11541),
    [sym__bitshift_operator] = ACTIONS(11541),
    [sym__power_operator] = ACTIONS(11541),
    [sym__tilde_operator] = ACTIONS(11541),
    [sym__type_order_operator] = ACTIONS(11541),
    [sym__unary_operator] = ACTIONS(11541),
    [sym__unary_plus_operator] = ACTIONS(11541),
    [aux_sym__terminator_token1] = ACTIONS(11543),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9116] = {
    [sym_block_comment] = STATE(9116),
    [sym_line_comment] = STATE(9116),
    [sym__word_identifier] = ACTIONS(11545),
    [anon_sym_COMMA] = ACTIONS(11545),
    [anon_sym_EQ] = ACTIONS(11545),
    [anon_sym_begin] = ACTIONS(11545),
    [anon_sym_module] = ACTIONS(11545),
    [anon_sym_baremodule] = ACTIONS(11545),
    [anon_sym_abstract] = ACTIONS(11545),
    [anon_sym_primitive] = ACTIONS(11545),
    [anon_sym_mutable] = ACTIONS(11545),
    [anon_sym_struct] = ACTIONS(11545),
    [anon_sym_function] = ACTIONS(11545),
    [anon_sym_macro] = ACTIONS(11545),
    [anon_sym_quote] = ACTIONS(11545),
    [anon_sym_let] = ACTIONS(11545),
    [anon_sym_if] = ACTIONS(11545),
    [anon_sym_try] = ACTIONS(11545),
    [anon_sym_catch] = ACTIONS(11545),
    [anon_sym_finally] = ACTIONS(11545),
    [anon_sym_for] = ACTIONS(11545),
    [anon_sym_while] = ACTIONS(11545),
    [sym_break_statement] = ACTIONS(11545),
    [sym_continue_statement] = ACTIONS(11545),
    [anon_sym_return] = ACTIONS(11545),
    [anon_sym_const] = ACTIONS(11545),
    [anon_sym_global] = ACTIONS(11545),
    [anon_sym_local] = ACTIONS(11545),
    [anon_sym_LPAREN] = ACTIONS(11545),
    [anon_sym_COLON] = ACTIONS(11545),
    [anon_sym_export] = ACTIONS(11545),
    [anon_sym_public] = ACTIONS(11545),
    [anon_sym_import] = ACTIONS(11545),
    [anon_sym_using] = ACTIONS(11545),
    [anon_sym_LBRACK] = ACTIONS(11545),
    [anon_sym_in] = ACTIONS(11545),
    [anon_sym_SEMI] = ACTIONS(11545),
    [anon_sym_LBRACE] = ACTIONS(11545),
    [anon_sym_DOLLAR] = ACTIONS(11545),
    [anon_sym_COLON2] = ACTIONS(11545),
    [anon_sym_COLON_COLON] = ACTIONS(11545),
    [anon_sym_isa] = ACTIONS(11545),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11545),
    [anon_sym_QMARK] = ACTIONS(11545),
    [anon_sym_where] = ACTIONS(11545),
    [anon_sym_AT] = ACTIONS(11545),
    [anon_sym_true] = ACTIONS(11545),
    [anon_sym_false] = ACTIONS(11545),
    [aux_sym_integer_literal_token1] = ACTIONS(11545),
    [aux_sym_integer_literal_token2] = ACTIONS(11545),
    [aux_sym_integer_literal_token3] = ACTIONS(11545),
    [aux_sym_integer_literal_token4] = ACTIONS(11545),
    [aux_sym_float_literal_token1] = ACTIONS(11545),
    [aux_sym_float_literal_token3] = ACTIONS(11545),
    [aux_sym_float_literal_token4] = ACTIONS(11545),
    [sym_character_literal] = ACTIONS(11545),
    [anon_sym_DQUOTE] = ACTIONS(11545),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11545),
    [anon_sym_BQUOTE] = ACTIONS(11545),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11545),
    [sym__pair_operator] = ACTIONS(11545),
    [sym__arrow_operator] = ACTIONS(11545),
    [sym__lazy_or_operator] = ACTIONS(11545),
    [sym__lazy_and_operator] = ACTIONS(11545),
    [sym__comparison_operator] = ACTIONS(11545),
    [sym__pipe_right_operator] = ACTIONS(11545),
    [sym__pipe_left_operator] = ACTIONS(11545),
    [sym__ellipsis_operator] = ACTIONS(11545),
    [sym__plus_operator] = ACTIONS(11545),
    [sym__times_operator] = ACTIONS(11545),
    [sym__rational_operator] = ACTIONS(11545),
    [sym__bitshift_operator] = ACTIONS(11545),
    [sym__power_operator] = ACTIONS(11545),
    [sym__tilde_operator] = ACTIONS(11545),
    [sym__type_order_operator] = ACTIONS(11545),
    [sym__unary_operator] = ACTIONS(11545),
    [sym__unary_plus_operator] = ACTIONS(11545),
    [aux_sym__terminator_token1] = ACTIONS(11547),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9117] = {
    [sym_block_comment] = STATE(9117),
    [sym_line_comment] = STATE(9117),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10343),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10343),
    [anon_sym_QMARK] = ACTIONS(10343),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10343),
    [sym__lazy_and_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9118] = {
    [sym_block_comment] = STATE(9118),
    [sym_line_comment] = STATE(9118),
    [sym__word_identifier] = ACTIONS(11549),
    [anon_sym_COMMA] = ACTIONS(11549),
    [anon_sym_EQ] = ACTIONS(11549),
    [anon_sym_begin] = ACTIONS(11549),
    [anon_sym_module] = ACTIONS(11549),
    [anon_sym_baremodule] = ACTIONS(11549),
    [anon_sym_abstract] = ACTIONS(11549),
    [anon_sym_primitive] = ACTIONS(11549),
    [anon_sym_mutable] = ACTIONS(11549),
    [anon_sym_struct] = ACTIONS(11549),
    [anon_sym_function] = ACTIONS(11549),
    [anon_sym_macro] = ACTIONS(11549),
    [anon_sym_quote] = ACTIONS(11549),
    [anon_sym_let] = ACTIONS(11549),
    [anon_sym_if] = ACTIONS(11549),
    [anon_sym_try] = ACTIONS(11549),
    [anon_sym_catch] = ACTIONS(11549),
    [anon_sym_finally] = ACTIONS(11549),
    [anon_sym_for] = ACTIONS(11549),
    [anon_sym_while] = ACTIONS(11549),
    [sym_break_statement] = ACTIONS(11549),
    [sym_continue_statement] = ACTIONS(11549),
    [anon_sym_return] = ACTIONS(11549),
    [anon_sym_const] = ACTIONS(11549),
    [anon_sym_global] = ACTIONS(11549),
    [anon_sym_local] = ACTIONS(11549),
    [anon_sym_LPAREN] = ACTIONS(11549),
    [anon_sym_COLON] = ACTIONS(11549),
    [anon_sym_export] = ACTIONS(11549),
    [anon_sym_public] = ACTIONS(11549),
    [anon_sym_import] = ACTIONS(11549),
    [anon_sym_using] = ACTIONS(11549),
    [anon_sym_LBRACK] = ACTIONS(11549),
    [anon_sym_in] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(11549),
    [anon_sym_LBRACE] = ACTIONS(11549),
    [anon_sym_DOLLAR] = ACTIONS(11549),
    [anon_sym_COLON2] = ACTIONS(11549),
    [anon_sym_COLON_COLON] = ACTIONS(11549),
    [anon_sym_isa] = ACTIONS(11549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11549),
    [anon_sym_QMARK] = ACTIONS(11549),
    [anon_sym_where] = ACTIONS(11549),
    [anon_sym_AT] = ACTIONS(11549),
    [anon_sym_true] = ACTIONS(11549),
    [anon_sym_false] = ACTIONS(11549),
    [aux_sym_integer_literal_token1] = ACTIONS(11549),
    [aux_sym_integer_literal_token2] = ACTIONS(11549),
    [aux_sym_integer_literal_token3] = ACTIONS(11549),
    [aux_sym_integer_literal_token4] = ACTIONS(11549),
    [aux_sym_float_literal_token1] = ACTIONS(11549),
    [aux_sym_float_literal_token3] = ACTIONS(11549),
    [aux_sym_float_literal_token4] = ACTIONS(11549),
    [sym_character_literal] = ACTIONS(11549),
    [anon_sym_DQUOTE] = ACTIONS(11549),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11549),
    [anon_sym_BQUOTE] = ACTIONS(11549),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11549),
    [sym__pair_operator] = ACTIONS(11549),
    [sym__arrow_operator] = ACTIONS(11549),
    [sym__lazy_or_operator] = ACTIONS(11549),
    [sym__lazy_and_operator] = ACTIONS(11549),
    [sym__comparison_operator] = ACTIONS(11549),
    [sym__pipe_right_operator] = ACTIONS(11549),
    [sym__pipe_left_operator] = ACTIONS(11549),
    [sym__ellipsis_operator] = ACTIONS(11549),
    [sym__plus_operator] = ACTIONS(11549),
    [sym__times_operator] = ACTIONS(11549),
    [sym__rational_operator] = ACTIONS(11549),
    [sym__bitshift_operator] = ACTIONS(11549),
    [sym__power_operator] = ACTIONS(11549),
    [sym__tilde_operator] = ACTIONS(11549),
    [sym__type_order_operator] = ACTIONS(11549),
    [sym__unary_operator] = ACTIONS(11549),
    [sym__unary_plus_operator] = ACTIONS(11549),
    [aux_sym__terminator_token1] = ACTIONS(11551),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9119] = {
    [sym_block_comment] = STATE(9119),
    [sym_line_comment] = STATE(9119),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10417),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10417),
    [anon_sym_QMARK] = ACTIONS(10417),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10417),
    [sym__lazy_and_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9120] = {
    [sym_block_comment] = STATE(9120),
    [sym_line_comment] = STATE(9120),
    [ts_builtin_sym_end] = ACTIONS(11322),
    [sym__word_identifier] = ACTIONS(11320),
    [anon_sym_COMMA] = ACTIONS(11320),
    [anon_sym_EQ] = ACTIONS(11320),
    [anon_sym_begin] = ACTIONS(11320),
    [anon_sym_module] = ACTIONS(11320),
    [anon_sym_baremodule] = ACTIONS(11320),
    [anon_sym_abstract] = ACTIONS(11320),
    [anon_sym_primitive] = ACTIONS(11320),
    [anon_sym_mutable] = ACTIONS(11320),
    [anon_sym_struct] = ACTIONS(11320),
    [anon_sym_function] = ACTIONS(11320),
    [anon_sym_macro] = ACTIONS(11320),
    [anon_sym_quote] = ACTIONS(11320),
    [anon_sym_let] = ACTIONS(11320),
    [anon_sym_if] = ACTIONS(11320),
    [anon_sym_try] = ACTIONS(11320),
    [anon_sym_for] = ACTIONS(11320),
    [anon_sym_while] = ACTIONS(11320),
    [sym_break_statement] = ACTIONS(11320),
    [sym_continue_statement] = ACTIONS(11320),
    [anon_sym_return] = ACTIONS(11320),
    [anon_sym_const] = ACTIONS(11320),
    [anon_sym_global] = ACTIONS(11320),
    [anon_sym_local] = ACTIONS(11320),
    [anon_sym_LPAREN] = ACTIONS(11320),
    [anon_sym_COLON] = ACTIONS(11320),
    [anon_sym_export] = ACTIONS(11320),
    [anon_sym_public] = ACTIONS(11320),
    [anon_sym_import] = ACTIONS(11320),
    [anon_sym_using] = ACTIONS(11320),
    [anon_sym_LBRACK] = ACTIONS(11320),
    [anon_sym_RBRACK] = ACTIONS(11320),
    [anon_sym_in] = ACTIONS(11320),
    [anon_sym_SEMI] = ACTIONS(11320),
    [anon_sym_LBRACE] = ACTIONS(11320),
    [anon_sym_DOLLAR] = ACTIONS(11320),
    [anon_sym_COLON2] = ACTIONS(11320),
    [anon_sym_COLON_COLON] = ACTIONS(11320),
    [anon_sym_isa] = ACTIONS(11320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11320),
    [anon_sym_QMARK] = ACTIONS(11320),
    [anon_sym_where] = ACTIONS(11320),
    [anon_sym_AT] = ACTIONS(11320),
    [anon_sym_true] = ACTIONS(11320),
    [anon_sym_false] = ACTIONS(11320),
    [aux_sym_integer_literal_token1] = ACTIONS(11320),
    [aux_sym_integer_literal_token2] = ACTIONS(11320),
    [aux_sym_integer_literal_token3] = ACTIONS(11320),
    [aux_sym_integer_literal_token4] = ACTIONS(11320),
    [aux_sym_float_literal_token1] = ACTIONS(11320),
    [aux_sym_float_literal_token3] = ACTIONS(11320),
    [aux_sym_float_literal_token4] = ACTIONS(11320),
    [sym_character_literal] = ACTIONS(11320),
    [anon_sym_DQUOTE] = ACTIONS(11320),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11320),
    [anon_sym_BQUOTE] = ACTIONS(11320),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11320),
    [sym__pair_operator] = ACTIONS(11320),
    [sym__arrow_operator] = ACTIONS(11320),
    [sym__lazy_or_operator] = ACTIONS(11320),
    [sym__lazy_and_operator] = ACTIONS(11320),
    [sym__comparison_operator] = ACTIONS(11320),
    [sym__pipe_right_operator] = ACTIONS(11320),
    [sym__pipe_left_operator] = ACTIONS(11320),
    [sym__ellipsis_operator] = ACTIONS(11320),
    [sym__plus_operator] = ACTIONS(11320),
    [sym__times_operator] = ACTIONS(11320),
    [sym__rational_operator] = ACTIONS(11320),
    [sym__bitshift_operator] = ACTIONS(11320),
    [sym__power_operator] = ACTIONS(11320),
    [sym__tilde_operator] = ACTIONS(11320),
    [sym__type_order_operator] = ACTIONS(11320),
    [sym__unary_operator] = ACTIONS(11320),
    [sym__unary_plus_operator] = ACTIONS(11320),
    [aux_sym__terminator_token1] = ACTIONS(11322),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9121] = {
    [sym_block_comment] = STATE(9121),
    [sym_line_comment] = STATE(9121),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10097),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10097),
    [anon_sym_QMARK] = ACTIONS(10097),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10097),
    [sym__lazy_and_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9122] = {
    [sym_block_comment] = STATE(9122),
    [sym_line_comment] = STATE(9122),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10101),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10101),
    [anon_sym_QMARK] = ACTIONS(10101),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10101),
    [sym__lazy_and_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9123] = {
    [sym_block_comment] = STATE(9123),
    [sym_line_comment] = STATE(9123),
    [sym__word_identifier] = ACTIONS(11553),
    [anon_sym_COMMA] = ACTIONS(11553),
    [anon_sym_EQ] = ACTIONS(11553),
    [anon_sym_begin] = ACTIONS(11553),
    [anon_sym_module] = ACTIONS(11553),
    [anon_sym_baremodule] = ACTIONS(11553),
    [anon_sym_abstract] = ACTIONS(11553),
    [anon_sym_primitive] = ACTIONS(11553),
    [anon_sym_mutable] = ACTIONS(11553),
    [anon_sym_struct] = ACTIONS(11553),
    [anon_sym_function] = ACTIONS(11553),
    [anon_sym_macro] = ACTIONS(11553),
    [anon_sym_quote] = ACTIONS(11553),
    [anon_sym_let] = ACTIONS(11553),
    [anon_sym_if] = ACTIONS(11553),
    [anon_sym_try] = ACTIONS(11553),
    [anon_sym_catch] = ACTIONS(11553),
    [anon_sym_finally] = ACTIONS(11553),
    [anon_sym_for] = ACTIONS(11553),
    [anon_sym_while] = ACTIONS(11553),
    [sym_break_statement] = ACTIONS(11553),
    [sym_continue_statement] = ACTIONS(11553),
    [anon_sym_return] = ACTIONS(11553),
    [anon_sym_const] = ACTIONS(11553),
    [anon_sym_global] = ACTIONS(11553),
    [anon_sym_local] = ACTIONS(11553),
    [anon_sym_LPAREN] = ACTIONS(11553),
    [anon_sym_COLON] = ACTIONS(11553),
    [anon_sym_export] = ACTIONS(11553),
    [anon_sym_public] = ACTIONS(11553),
    [anon_sym_import] = ACTIONS(11553),
    [anon_sym_using] = ACTIONS(11553),
    [anon_sym_LBRACK] = ACTIONS(11553),
    [anon_sym_in] = ACTIONS(11553),
    [anon_sym_SEMI] = ACTIONS(11553),
    [anon_sym_LBRACE] = ACTIONS(11553),
    [anon_sym_DOLLAR] = ACTIONS(11553),
    [anon_sym_COLON2] = ACTIONS(11553),
    [anon_sym_COLON_COLON] = ACTIONS(11553),
    [anon_sym_isa] = ACTIONS(11553),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11553),
    [anon_sym_QMARK] = ACTIONS(11553),
    [anon_sym_where] = ACTIONS(11553),
    [anon_sym_AT] = ACTIONS(11553),
    [anon_sym_true] = ACTIONS(11553),
    [anon_sym_false] = ACTIONS(11553),
    [aux_sym_integer_literal_token1] = ACTIONS(11553),
    [aux_sym_integer_literal_token2] = ACTIONS(11553),
    [aux_sym_integer_literal_token3] = ACTIONS(11553),
    [aux_sym_integer_literal_token4] = ACTIONS(11553),
    [aux_sym_float_literal_token1] = ACTIONS(11553),
    [aux_sym_float_literal_token3] = ACTIONS(11553),
    [aux_sym_float_literal_token4] = ACTIONS(11553),
    [sym_character_literal] = ACTIONS(11553),
    [anon_sym_DQUOTE] = ACTIONS(11553),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11553),
    [anon_sym_BQUOTE] = ACTIONS(11553),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11553),
    [sym__pair_operator] = ACTIONS(11553),
    [sym__arrow_operator] = ACTIONS(11553),
    [sym__lazy_or_operator] = ACTIONS(11553),
    [sym__lazy_and_operator] = ACTIONS(11553),
    [sym__comparison_operator] = ACTIONS(11553),
    [sym__pipe_right_operator] = ACTIONS(11553),
    [sym__pipe_left_operator] = ACTIONS(11553),
    [sym__ellipsis_operator] = ACTIONS(11553),
    [sym__plus_operator] = ACTIONS(11553),
    [sym__times_operator] = ACTIONS(11553),
    [sym__rational_operator] = ACTIONS(11553),
    [sym__bitshift_operator] = ACTIONS(11553),
    [sym__power_operator] = ACTIONS(11553),
    [sym__tilde_operator] = ACTIONS(11553),
    [sym__type_order_operator] = ACTIONS(11553),
    [sym__unary_operator] = ACTIONS(11553),
    [sym__unary_plus_operator] = ACTIONS(11553),
    [aux_sym__terminator_token1] = ACTIONS(11555),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9124] = {
    [sym_block_comment] = STATE(9124),
    [sym_line_comment] = STATE(9124),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10421),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10421),
    [anon_sym_QMARK] = ACTIONS(10421),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10421),
    [sym__lazy_and_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9125] = {
    [sym_block_comment] = STATE(9125),
    [sym_line_comment] = STATE(9125),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10429),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10429),
    [anon_sym_QMARK] = ACTIONS(10429),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10429),
    [sym__lazy_and_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9126] = {
    [sym_block_comment] = STATE(9126),
    [sym_line_comment] = STATE(9126),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10433),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10433),
    [anon_sym_QMARK] = ACTIONS(10433),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10433),
    [sym__lazy_and_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9127] = {
    [sym_block_comment] = STATE(9127),
    [sym_line_comment] = STATE(9127),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10437),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10437),
    [anon_sym_QMARK] = ACTIONS(10437),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10437),
    [sym__lazy_and_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9128] = {
    [sym_block_comment] = STATE(9128),
    [sym_line_comment] = STATE(9128),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(11134),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_end] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_catch] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11134),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11134),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11134),
    [anon_sym_LBRACE] = ACTIONS(11134),
    [anon_sym_DOLLAR] = ACTIONS(11134),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12438),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11134),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11134),
    [aux_sym_integer_literal_token2] = ACTIONS(11134),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11134),
    [aux_sym_float_literal_token3] = ACTIONS(11134),
    [aux_sym_float_literal_token4] = ACTIONS(11134),
    [sym_character_literal] = ACTIONS(11134),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11134),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11134),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11139),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9129] = {
    [sym_block_comment] = STATE(9129),
    [sym_line_comment] = STATE(9129),
    [sym__word_identifier] = ACTIONS(11557),
    [anon_sym_COMMA] = ACTIONS(11557),
    [anon_sym_EQ] = ACTIONS(11557),
    [anon_sym_begin] = ACTIONS(11557),
    [anon_sym_module] = ACTIONS(11557),
    [anon_sym_baremodule] = ACTIONS(11557),
    [anon_sym_abstract] = ACTIONS(11557),
    [anon_sym_primitive] = ACTIONS(11557),
    [anon_sym_mutable] = ACTIONS(11557),
    [anon_sym_struct] = ACTIONS(11557),
    [anon_sym_function] = ACTIONS(11557),
    [anon_sym_macro] = ACTIONS(11557),
    [anon_sym_quote] = ACTIONS(11557),
    [anon_sym_let] = ACTIONS(11557),
    [anon_sym_if] = ACTIONS(11557),
    [anon_sym_try] = ACTIONS(11557),
    [anon_sym_catch] = ACTIONS(11557),
    [anon_sym_finally] = ACTIONS(11557),
    [anon_sym_for] = ACTIONS(11557),
    [anon_sym_while] = ACTIONS(11557),
    [sym_break_statement] = ACTIONS(11557),
    [sym_continue_statement] = ACTIONS(11557),
    [anon_sym_return] = ACTIONS(11557),
    [anon_sym_const] = ACTIONS(11557),
    [anon_sym_global] = ACTIONS(11557),
    [anon_sym_local] = ACTIONS(11557),
    [anon_sym_LPAREN] = ACTIONS(11557),
    [anon_sym_COLON] = ACTIONS(11557),
    [anon_sym_export] = ACTIONS(11557),
    [anon_sym_public] = ACTIONS(11557),
    [anon_sym_import] = ACTIONS(11557),
    [anon_sym_using] = ACTIONS(11557),
    [anon_sym_LBRACK] = ACTIONS(11557),
    [anon_sym_in] = ACTIONS(11557),
    [anon_sym_SEMI] = ACTIONS(11557),
    [anon_sym_LBRACE] = ACTIONS(11557),
    [anon_sym_DOLLAR] = ACTIONS(11557),
    [anon_sym_COLON2] = ACTIONS(11557),
    [anon_sym_COLON_COLON] = ACTIONS(11557),
    [anon_sym_isa] = ACTIONS(11557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11557),
    [anon_sym_QMARK] = ACTIONS(11557),
    [anon_sym_where] = ACTIONS(11557),
    [anon_sym_AT] = ACTIONS(11557),
    [anon_sym_true] = ACTIONS(11557),
    [anon_sym_false] = ACTIONS(11557),
    [aux_sym_integer_literal_token1] = ACTIONS(11557),
    [aux_sym_integer_literal_token2] = ACTIONS(11557),
    [aux_sym_integer_literal_token3] = ACTIONS(11557),
    [aux_sym_integer_literal_token4] = ACTIONS(11557),
    [aux_sym_float_literal_token1] = ACTIONS(11557),
    [aux_sym_float_literal_token3] = ACTIONS(11557),
    [aux_sym_float_literal_token4] = ACTIONS(11557),
    [sym_character_literal] = ACTIONS(11557),
    [anon_sym_DQUOTE] = ACTIONS(11557),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11557),
    [anon_sym_BQUOTE] = ACTIONS(11557),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11557),
    [sym__pair_operator] = ACTIONS(11557),
    [sym__arrow_operator] = ACTIONS(11557),
    [sym__lazy_or_operator] = ACTIONS(11557),
    [sym__lazy_and_operator] = ACTIONS(11557),
    [sym__comparison_operator] = ACTIONS(11557),
    [sym__pipe_right_operator] = ACTIONS(11557),
    [sym__pipe_left_operator] = ACTIONS(11557),
    [sym__ellipsis_operator] = ACTIONS(11557),
    [sym__plus_operator] = ACTIONS(11557),
    [sym__times_operator] = ACTIONS(11557),
    [sym__rational_operator] = ACTIONS(11557),
    [sym__bitshift_operator] = ACTIONS(11557),
    [sym__power_operator] = ACTIONS(11557),
    [sym__tilde_operator] = ACTIONS(11557),
    [sym__type_order_operator] = ACTIONS(11557),
    [sym__unary_operator] = ACTIONS(11557),
    [sym__unary_plus_operator] = ACTIONS(11557),
    [aux_sym__terminator_token1] = ACTIONS(11559),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9130] = {
    [sym_block_comment] = STATE(9130),
    [sym_line_comment] = STATE(9130),
    [sym__word_identifier] = ACTIONS(11561),
    [anon_sym_COMMA] = ACTIONS(11561),
    [anon_sym_EQ] = ACTIONS(11561),
    [anon_sym_begin] = ACTIONS(11561),
    [anon_sym_module] = ACTIONS(11561),
    [anon_sym_baremodule] = ACTIONS(11561),
    [anon_sym_abstract] = ACTIONS(11561),
    [anon_sym_primitive] = ACTIONS(11561),
    [anon_sym_mutable] = ACTIONS(11561),
    [anon_sym_struct] = ACTIONS(11561),
    [anon_sym_function] = ACTIONS(11561),
    [anon_sym_macro] = ACTIONS(11561),
    [anon_sym_quote] = ACTIONS(11561),
    [anon_sym_let] = ACTIONS(11561),
    [anon_sym_if] = ACTIONS(11561),
    [anon_sym_try] = ACTIONS(11561),
    [anon_sym_catch] = ACTIONS(11561),
    [anon_sym_finally] = ACTIONS(11561),
    [anon_sym_for] = ACTIONS(11561),
    [anon_sym_while] = ACTIONS(11561),
    [sym_break_statement] = ACTIONS(11561),
    [sym_continue_statement] = ACTIONS(11561),
    [anon_sym_return] = ACTIONS(11561),
    [anon_sym_const] = ACTIONS(11561),
    [anon_sym_global] = ACTIONS(11561),
    [anon_sym_local] = ACTIONS(11561),
    [anon_sym_LPAREN] = ACTIONS(11561),
    [anon_sym_COLON] = ACTIONS(11561),
    [anon_sym_export] = ACTIONS(11561),
    [anon_sym_public] = ACTIONS(11561),
    [anon_sym_import] = ACTIONS(11561),
    [anon_sym_using] = ACTIONS(11561),
    [anon_sym_LBRACK] = ACTIONS(11561),
    [anon_sym_in] = ACTIONS(11561),
    [anon_sym_SEMI] = ACTIONS(11561),
    [anon_sym_LBRACE] = ACTIONS(11561),
    [anon_sym_DOLLAR] = ACTIONS(11561),
    [anon_sym_COLON2] = ACTIONS(11561),
    [anon_sym_COLON_COLON] = ACTIONS(11561),
    [anon_sym_isa] = ACTIONS(11561),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11561),
    [anon_sym_QMARK] = ACTIONS(11561),
    [anon_sym_where] = ACTIONS(11561),
    [anon_sym_AT] = ACTIONS(11561),
    [anon_sym_true] = ACTIONS(11561),
    [anon_sym_false] = ACTIONS(11561),
    [aux_sym_integer_literal_token1] = ACTIONS(11561),
    [aux_sym_integer_literal_token2] = ACTIONS(11561),
    [aux_sym_integer_literal_token3] = ACTIONS(11561),
    [aux_sym_integer_literal_token4] = ACTIONS(11561),
    [aux_sym_float_literal_token1] = ACTIONS(11561),
    [aux_sym_float_literal_token3] = ACTIONS(11561),
    [aux_sym_float_literal_token4] = ACTIONS(11561),
    [sym_character_literal] = ACTIONS(11561),
    [anon_sym_DQUOTE] = ACTIONS(11561),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11561),
    [anon_sym_BQUOTE] = ACTIONS(11561),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11561),
    [sym__pair_operator] = ACTIONS(11561),
    [sym__arrow_operator] = ACTIONS(11561),
    [sym__lazy_or_operator] = ACTIONS(11561),
    [sym__lazy_and_operator] = ACTIONS(11561),
    [sym__comparison_operator] = ACTIONS(11561),
    [sym__pipe_right_operator] = ACTIONS(11561),
    [sym__pipe_left_operator] = ACTIONS(11561),
    [sym__ellipsis_operator] = ACTIONS(11561),
    [sym__plus_operator] = ACTIONS(11561),
    [sym__times_operator] = ACTIONS(11561),
    [sym__rational_operator] = ACTIONS(11561),
    [sym__bitshift_operator] = ACTIONS(11561),
    [sym__power_operator] = ACTIONS(11561),
    [sym__tilde_operator] = ACTIONS(11561),
    [sym__type_order_operator] = ACTIONS(11561),
    [sym__unary_operator] = ACTIONS(11561),
    [sym__unary_plus_operator] = ACTIONS(11561),
    [aux_sym__terminator_token1] = ACTIONS(11563),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9131] = {
    [sym_block_comment] = STATE(9131),
    [sym_line_comment] = STATE(9131),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10289),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9132] = {
    [sym_block_comment] = STATE(9132),
    [sym_line_comment] = STATE(9132),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11788),
    [anon_sym_EQ] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_end] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_catch] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9133] = {
    [sym_block_comment] = STATE(9133),
    [sym_line_comment] = STATE(9133),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10139),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10139),
    [anon_sym_QMARK] = ACTIONS(10139),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10139),
    [sym__lazy_and_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9134] = {
    [sym_block_comment] = STATE(9134),
    [sym_line_comment] = STATE(9134),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10291),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10291),
    [anon_sym_QMARK] = ACTIONS(10291),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10291),
    [sym__lazy_and_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9135] = {
    [sym_block_comment] = STATE(9135),
    [sym_line_comment] = STATE(9135),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11876),
    [anon_sym_EQ] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_catch] = ACTIONS(11876),
    [anon_sym_finally] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9136] = {
    [sym_block_comment] = STATE(9136),
    [sym_line_comment] = STATE(9136),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10307),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10307),
    [anon_sym_QMARK] = ACTIONS(10307),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10307),
    [sym__lazy_and_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9137] = {
    [sym_block_comment] = STATE(9137),
    [sym_line_comment] = STATE(9137),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10347),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10347),
    [anon_sym_QMARK] = ACTIONS(10347),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10347),
    [sym__lazy_and_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9138] = {
    [sym_block_comment] = STATE(9138),
    [sym_line_comment] = STATE(9138),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10351),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10351),
    [anon_sym_QMARK] = ACTIONS(10351),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10351),
    [sym__lazy_and_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9139] = {
    [sym_block_comment] = STATE(9139),
    [sym_line_comment] = STATE(9139),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10355),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10355),
    [anon_sym_QMARK] = ACTIONS(10355),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10355),
    [sym__lazy_and_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9140] = {
    [sym_block_comment] = STATE(9140),
    [sym_line_comment] = STATE(9140),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10403),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10403),
    [anon_sym_QMARK] = ACTIONS(10403),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10403),
    [sym__lazy_and_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9141] = {
    [sym_block_comment] = STATE(9141),
    [sym_line_comment] = STATE(9141),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10311),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10311),
    [anon_sym_QMARK] = ACTIONS(10311),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10311),
    [sym__lazy_and_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9142] = {
    [sym_block_comment] = STATE(9142),
    [sym_line_comment] = STATE(9142),
    [ts_builtin_sym_end] = ACTIONS(11202),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(10181),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_RBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9143] = {
    [sym_block_comment] = STATE(9143),
    [sym_line_comment] = STATE(9143),
    [ts_builtin_sym_end] = ACTIONS(11202),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_RBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9144] = {
    [sym_block_comment] = STATE(9144),
    [sym_line_comment] = STATE(9144),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10399),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10399),
    [anon_sym_QMARK] = ACTIONS(10399),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10399),
    [sym__lazy_and_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9145] = {
    [sym_block_comment] = STATE(9145),
    [sym_line_comment] = STATE(9145),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10263),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10263),
    [anon_sym_QMARK] = ACTIONS(10263),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10263),
    [sym__lazy_and_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9146] = {
    [sym_block_comment] = STATE(9146),
    [sym_line_comment] = STATE(9146),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10339),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10339),
    [anon_sym_QMARK] = ACTIONS(10339),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10339),
    [sym__lazy_and_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9147] = {
    [sym_block_comment] = STATE(9147),
    [sym_line_comment] = STATE(9147),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10371),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10371),
    [anon_sym_QMARK] = ACTIONS(10371),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10371),
    [sym__lazy_and_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9148] = {
    [sym_block_comment] = STATE(9148),
    [sym_line_comment] = STATE(9148),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10409),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10409),
    [anon_sym_QMARK] = ACTIONS(10409),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10409),
    [sym__lazy_and_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9149] = {
    [sym_block_comment] = STATE(9149),
    [sym_line_comment] = STATE(9149),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10217),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10217),
    [anon_sym_QMARK] = ACTIONS(10217),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10217),
    [sym__lazy_and_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9150] = {
    [sym_block_comment] = STATE(9150),
    [sym_line_comment] = STATE(9150),
    [aux_sym_open_tuple_repeat1] = STATE(8241),
    [ts_builtin_sym_end] = ACTIONS(11202),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(12231),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_RBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9151] = {
    [sym_block_comment] = STATE(9151),
    [sym_line_comment] = STATE(9151),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9907),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9907),
    [anon_sym_QMARK] = ACTIONS(9907),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9907),
    [sym__lazy_and_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9152] = {
    [sym_block_comment] = STATE(9152),
    [sym_line_comment] = STATE(9152),
    [sym__word_identifier] = ACTIONS(11641),
    [anon_sym_COMMA] = ACTIONS(11641),
    [anon_sym_EQ] = ACTIONS(11641),
    [anon_sym_begin] = ACTIONS(11641),
    [anon_sym_module] = ACTIONS(11641),
    [anon_sym_baremodule] = ACTIONS(11641),
    [anon_sym_end] = ACTIONS(11641),
    [anon_sym_abstract] = ACTIONS(11641),
    [anon_sym_primitive] = ACTIONS(11641),
    [anon_sym_mutable] = ACTIONS(11641),
    [anon_sym_struct] = ACTIONS(11641),
    [anon_sym_function] = ACTIONS(11641),
    [anon_sym_macro] = ACTIONS(11641),
    [anon_sym_quote] = ACTIONS(11641),
    [anon_sym_let] = ACTIONS(11641),
    [anon_sym_if] = ACTIONS(11641),
    [anon_sym_try] = ACTIONS(11641),
    [anon_sym_catch] = ACTIONS(11641),
    [anon_sym_for] = ACTIONS(11641),
    [anon_sym_while] = ACTIONS(11641),
    [sym_break_statement] = ACTIONS(11641),
    [sym_continue_statement] = ACTIONS(11641),
    [anon_sym_return] = ACTIONS(11641),
    [anon_sym_const] = ACTIONS(11641),
    [anon_sym_global] = ACTIONS(11641),
    [anon_sym_local] = ACTIONS(11641),
    [anon_sym_LPAREN] = ACTIONS(11641),
    [anon_sym_COLON] = ACTIONS(11641),
    [anon_sym_export] = ACTIONS(11641),
    [anon_sym_public] = ACTIONS(11641),
    [anon_sym_import] = ACTIONS(11641),
    [anon_sym_using] = ACTIONS(11641),
    [anon_sym_LBRACK] = ACTIONS(11641),
    [anon_sym_in] = ACTIONS(11641),
    [anon_sym_SEMI] = ACTIONS(11641),
    [anon_sym_LBRACE] = ACTIONS(11641),
    [anon_sym_DOLLAR] = ACTIONS(11641),
    [anon_sym_COLON2] = ACTIONS(11641),
    [anon_sym_COLON_COLON] = ACTIONS(11641),
    [anon_sym_isa] = ACTIONS(11641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11641),
    [anon_sym_QMARK] = ACTIONS(11641),
    [anon_sym_where] = ACTIONS(11641),
    [anon_sym_AT] = ACTIONS(11641),
    [anon_sym_true] = ACTIONS(11641),
    [anon_sym_false] = ACTIONS(11641),
    [aux_sym_integer_literal_token1] = ACTIONS(11641),
    [aux_sym_integer_literal_token2] = ACTIONS(11641),
    [aux_sym_integer_literal_token3] = ACTIONS(11641),
    [aux_sym_integer_literal_token4] = ACTIONS(11641),
    [aux_sym_float_literal_token1] = ACTIONS(11641),
    [aux_sym_float_literal_token3] = ACTIONS(11641),
    [aux_sym_float_literal_token4] = ACTIONS(11641),
    [sym_character_literal] = ACTIONS(11641),
    [anon_sym_DQUOTE] = ACTIONS(11641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11641),
    [anon_sym_BQUOTE] = ACTIONS(11641),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11641),
    [sym__pair_operator] = ACTIONS(11641),
    [sym__arrow_operator] = ACTIONS(11641),
    [sym__lazy_or_operator] = ACTIONS(11641),
    [sym__lazy_and_operator] = ACTIONS(11641),
    [sym__comparison_operator] = ACTIONS(11641),
    [sym__pipe_right_operator] = ACTIONS(11641),
    [sym__pipe_left_operator] = ACTIONS(11641),
    [sym__ellipsis_operator] = ACTIONS(11641),
    [sym__plus_operator] = ACTIONS(11641),
    [sym__times_operator] = ACTIONS(11641),
    [sym__rational_operator] = ACTIONS(11641),
    [sym__bitshift_operator] = ACTIONS(11641),
    [sym__power_operator] = ACTIONS(11641),
    [sym__tilde_operator] = ACTIONS(11641),
    [sym__type_order_operator] = ACTIONS(11641),
    [sym__unary_operator] = ACTIONS(11641),
    [sym__unary_plus_operator] = ACTIONS(11641),
    [aux_sym__terminator_token1] = ACTIONS(11643),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9153] = {
    [sym_block_comment] = STATE(9153),
    [sym_line_comment] = STATE(9153),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_catch] = ACTIONS(11216),
    [anon_sym_finally] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11216),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11216),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11216),
    [anon_sym_isa] = ACTIONS(11216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11216),
    [anon_sym_QMARK] = ACTIONS(11216),
    [anon_sym_where] = ACTIONS(11216),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11216),
    [sym__lazy_or_operator] = ACTIONS(11216),
    [sym__lazy_and_operator] = ACTIONS(11216),
    [sym__comparison_operator] = ACTIONS(11216),
    [sym__pipe_right_operator] = ACTIONS(11216),
    [sym__pipe_left_operator] = ACTIONS(11216),
    [sym__ellipsis_operator] = ACTIONS(11216),
    [sym__plus_operator] = ACTIONS(11216),
    [sym__times_operator] = ACTIONS(11216),
    [sym__rational_operator] = ACTIONS(11216),
    [sym__bitshift_operator] = ACTIONS(11216),
    [sym__power_operator] = ACTIONS(11216),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11216),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11216),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9154] = {
    [sym_block_comment] = STATE(9154),
    [sym_line_comment] = STATE(9154),
    [sym__word_identifier] = ACTIONS(11645),
    [anon_sym_COMMA] = ACTIONS(11645),
    [anon_sym_EQ] = ACTIONS(11645),
    [anon_sym_begin] = ACTIONS(11645),
    [anon_sym_module] = ACTIONS(11645),
    [anon_sym_baremodule] = ACTIONS(11645),
    [anon_sym_end] = ACTIONS(11645),
    [anon_sym_abstract] = ACTIONS(11645),
    [anon_sym_primitive] = ACTIONS(11645),
    [anon_sym_mutable] = ACTIONS(11645),
    [anon_sym_struct] = ACTIONS(11645),
    [anon_sym_function] = ACTIONS(11645),
    [anon_sym_macro] = ACTIONS(11645),
    [anon_sym_quote] = ACTIONS(11645),
    [anon_sym_let] = ACTIONS(11645),
    [anon_sym_if] = ACTIONS(11645),
    [anon_sym_try] = ACTIONS(11645),
    [anon_sym_catch] = ACTIONS(11645),
    [anon_sym_for] = ACTIONS(11645),
    [anon_sym_while] = ACTIONS(11645),
    [sym_break_statement] = ACTIONS(11645),
    [sym_continue_statement] = ACTIONS(11645),
    [anon_sym_return] = ACTIONS(11645),
    [anon_sym_const] = ACTIONS(11645),
    [anon_sym_global] = ACTIONS(11645),
    [anon_sym_local] = ACTIONS(11645),
    [anon_sym_LPAREN] = ACTIONS(11645),
    [anon_sym_COLON] = ACTIONS(11645),
    [anon_sym_export] = ACTIONS(11645),
    [anon_sym_public] = ACTIONS(11645),
    [anon_sym_import] = ACTIONS(11645),
    [anon_sym_using] = ACTIONS(11645),
    [anon_sym_LBRACK] = ACTIONS(11645),
    [anon_sym_in] = ACTIONS(11645),
    [anon_sym_SEMI] = ACTIONS(11645),
    [anon_sym_LBRACE] = ACTIONS(11645),
    [anon_sym_DOLLAR] = ACTIONS(11645),
    [anon_sym_COLON2] = ACTIONS(11645),
    [anon_sym_COLON_COLON] = ACTIONS(11645),
    [anon_sym_isa] = ACTIONS(11645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11645),
    [anon_sym_QMARK] = ACTIONS(11645),
    [anon_sym_where] = ACTIONS(11645),
    [anon_sym_AT] = ACTIONS(11645),
    [anon_sym_true] = ACTIONS(11645),
    [anon_sym_false] = ACTIONS(11645),
    [aux_sym_integer_literal_token1] = ACTIONS(11645),
    [aux_sym_integer_literal_token2] = ACTIONS(11645),
    [aux_sym_integer_literal_token3] = ACTIONS(11645),
    [aux_sym_integer_literal_token4] = ACTIONS(11645),
    [aux_sym_float_literal_token1] = ACTIONS(11645),
    [aux_sym_float_literal_token3] = ACTIONS(11645),
    [aux_sym_float_literal_token4] = ACTIONS(11645),
    [sym_character_literal] = ACTIONS(11645),
    [anon_sym_DQUOTE] = ACTIONS(11645),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11645),
    [anon_sym_BQUOTE] = ACTIONS(11645),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11645),
    [sym__pair_operator] = ACTIONS(11645),
    [sym__arrow_operator] = ACTIONS(11645),
    [sym__lazy_or_operator] = ACTIONS(11645),
    [sym__lazy_and_operator] = ACTIONS(11645),
    [sym__comparison_operator] = ACTIONS(11645),
    [sym__pipe_right_operator] = ACTIONS(11645),
    [sym__pipe_left_operator] = ACTIONS(11645),
    [sym__ellipsis_operator] = ACTIONS(11645),
    [sym__plus_operator] = ACTIONS(11645),
    [sym__times_operator] = ACTIONS(11645),
    [sym__rational_operator] = ACTIONS(11645),
    [sym__bitshift_operator] = ACTIONS(11645),
    [sym__power_operator] = ACTIONS(11645),
    [sym__tilde_operator] = ACTIONS(11645),
    [sym__type_order_operator] = ACTIONS(11645),
    [sym__unary_operator] = ACTIONS(11645),
    [sym__unary_plus_operator] = ACTIONS(11645),
    [aux_sym__terminator_token1] = ACTIONS(11647),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9155] = {
    [sym_block_comment] = STATE(9155),
    [sym_line_comment] = STATE(9155),
    [ts_builtin_sym_end] = ACTIONS(11376),
    [sym__word_identifier] = ACTIONS(11374),
    [anon_sym_COMMA] = ACTIONS(11374),
    [anon_sym_EQ] = ACTIONS(11374),
    [anon_sym_begin] = ACTIONS(11374),
    [anon_sym_module] = ACTIONS(11374),
    [anon_sym_baremodule] = ACTIONS(11374),
    [anon_sym_abstract] = ACTIONS(11374),
    [anon_sym_primitive] = ACTIONS(11374),
    [anon_sym_mutable] = ACTIONS(11374),
    [anon_sym_struct] = ACTIONS(11374),
    [anon_sym_function] = ACTIONS(11374),
    [anon_sym_macro] = ACTIONS(11374),
    [anon_sym_quote] = ACTIONS(11374),
    [anon_sym_let] = ACTIONS(11374),
    [anon_sym_if] = ACTIONS(11374),
    [anon_sym_try] = ACTIONS(11374),
    [anon_sym_for] = ACTIONS(11374),
    [anon_sym_while] = ACTIONS(11374),
    [sym_break_statement] = ACTIONS(11374),
    [sym_continue_statement] = ACTIONS(11374),
    [anon_sym_return] = ACTIONS(11374),
    [anon_sym_const] = ACTIONS(11374),
    [anon_sym_global] = ACTIONS(11374),
    [anon_sym_local] = ACTIONS(11374),
    [anon_sym_LPAREN] = ACTIONS(11374),
    [anon_sym_COLON] = ACTIONS(11374),
    [anon_sym_export] = ACTIONS(11374),
    [anon_sym_public] = ACTIONS(11374),
    [anon_sym_import] = ACTIONS(11374),
    [anon_sym_using] = ACTIONS(11374),
    [anon_sym_LBRACK] = ACTIONS(11374),
    [anon_sym_RBRACK] = ACTIONS(11374),
    [anon_sym_in] = ACTIONS(11374),
    [anon_sym_SEMI] = ACTIONS(11374),
    [anon_sym_LBRACE] = ACTIONS(11374),
    [anon_sym_DOLLAR] = ACTIONS(11374),
    [anon_sym_COLON2] = ACTIONS(11374),
    [anon_sym_COLON_COLON] = ACTIONS(11374),
    [anon_sym_isa] = ACTIONS(11374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11374),
    [anon_sym_QMARK] = ACTIONS(11374),
    [anon_sym_where] = ACTIONS(11374),
    [anon_sym_AT] = ACTIONS(11374),
    [anon_sym_true] = ACTIONS(11374),
    [anon_sym_false] = ACTIONS(11374),
    [aux_sym_integer_literal_token1] = ACTIONS(11374),
    [aux_sym_integer_literal_token2] = ACTIONS(11374),
    [aux_sym_integer_literal_token3] = ACTIONS(11374),
    [aux_sym_integer_literal_token4] = ACTIONS(11374),
    [aux_sym_float_literal_token1] = ACTIONS(11374),
    [aux_sym_float_literal_token3] = ACTIONS(11374),
    [aux_sym_float_literal_token4] = ACTIONS(11374),
    [sym_character_literal] = ACTIONS(11374),
    [anon_sym_DQUOTE] = ACTIONS(11374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11374),
    [anon_sym_BQUOTE] = ACTIONS(11374),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11374),
    [sym__pair_operator] = ACTIONS(11374),
    [sym__arrow_operator] = ACTIONS(11374),
    [sym__lazy_or_operator] = ACTIONS(11374),
    [sym__lazy_and_operator] = ACTIONS(11374),
    [sym__comparison_operator] = ACTIONS(11374),
    [sym__pipe_right_operator] = ACTIONS(11374),
    [sym__pipe_left_operator] = ACTIONS(11374),
    [sym__ellipsis_operator] = ACTIONS(11374),
    [sym__plus_operator] = ACTIONS(11374),
    [sym__times_operator] = ACTIONS(11374),
    [sym__rational_operator] = ACTIONS(11374),
    [sym__bitshift_operator] = ACTIONS(11374),
    [sym__power_operator] = ACTIONS(11374),
    [sym__tilde_operator] = ACTIONS(11374),
    [sym__type_order_operator] = ACTIONS(11374),
    [sym__unary_operator] = ACTIONS(11374),
    [sym__unary_plus_operator] = ACTIONS(11374),
    [aux_sym__terminator_token1] = ACTIONS(11376),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9156] = {
    [sym_block_comment] = STATE(9156),
    [sym_line_comment] = STATE(9156),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9157] = {
    [sym_block_comment] = STATE(9157),
    [sym_line_comment] = STATE(9157),
    [ts_builtin_sym_end] = ACTIONS(11206),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(10181),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_RBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9158] = {
    [sym_block_comment] = STATE(9158),
    [sym_line_comment] = STATE(9158),
    [sym__word_identifier] = ACTIONS(11565),
    [anon_sym_COMMA] = ACTIONS(11565),
    [anon_sym_EQ] = ACTIONS(11565),
    [anon_sym_begin] = ACTIONS(11565),
    [anon_sym_module] = ACTIONS(11565),
    [anon_sym_baremodule] = ACTIONS(11565),
    [anon_sym_abstract] = ACTIONS(11565),
    [anon_sym_primitive] = ACTIONS(11565),
    [anon_sym_mutable] = ACTIONS(11565),
    [anon_sym_struct] = ACTIONS(11565),
    [anon_sym_function] = ACTIONS(11565),
    [anon_sym_macro] = ACTIONS(11565),
    [anon_sym_quote] = ACTIONS(11565),
    [anon_sym_let] = ACTIONS(11565),
    [anon_sym_if] = ACTIONS(11565),
    [anon_sym_try] = ACTIONS(11565),
    [anon_sym_catch] = ACTIONS(11565),
    [anon_sym_finally] = ACTIONS(11565),
    [anon_sym_for] = ACTIONS(11565),
    [anon_sym_while] = ACTIONS(11565),
    [sym_break_statement] = ACTIONS(11565),
    [sym_continue_statement] = ACTIONS(11565),
    [anon_sym_return] = ACTIONS(11565),
    [anon_sym_const] = ACTIONS(11565),
    [anon_sym_global] = ACTIONS(11565),
    [anon_sym_local] = ACTIONS(11565),
    [anon_sym_LPAREN] = ACTIONS(11565),
    [anon_sym_COLON] = ACTIONS(11565),
    [anon_sym_export] = ACTIONS(11565),
    [anon_sym_public] = ACTIONS(11565),
    [anon_sym_import] = ACTIONS(11565),
    [anon_sym_using] = ACTIONS(11565),
    [anon_sym_LBRACK] = ACTIONS(11565),
    [anon_sym_in] = ACTIONS(11565),
    [anon_sym_SEMI] = ACTIONS(11565),
    [anon_sym_LBRACE] = ACTIONS(11565),
    [anon_sym_DOLLAR] = ACTIONS(11565),
    [anon_sym_COLON2] = ACTIONS(11565),
    [anon_sym_COLON_COLON] = ACTIONS(11565),
    [anon_sym_isa] = ACTIONS(11565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11565),
    [anon_sym_QMARK] = ACTIONS(11565),
    [anon_sym_where] = ACTIONS(11565),
    [anon_sym_AT] = ACTIONS(11565),
    [anon_sym_true] = ACTIONS(11565),
    [anon_sym_false] = ACTIONS(11565),
    [aux_sym_integer_literal_token1] = ACTIONS(11565),
    [aux_sym_integer_literal_token2] = ACTIONS(11565),
    [aux_sym_integer_literal_token3] = ACTIONS(11565),
    [aux_sym_integer_literal_token4] = ACTIONS(11565),
    [aux_sym_float_literal_token1] = ACTIONS(11565),
    [aux_sym_float_literal_token3] = ACTIONS(11565),
    [aux_sym_float_literal_token4] = ACTIONS(11565),
    [sym_character_literal] = ACTIONS(11565),
    [anon_sym_DQUOTE] = ACTIONS(11565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11565),
    [anon_sym_BQUOTE] = ACTIONS(11565),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11565),
    [sym__pair_operator] = ACTIONS(11565),
    [sym__arrow_operator] = ACTIONS(11565),
    [sym__lazy_or_operator] = ACTIONS(11565),
    [sym__lazy_and_operator] = ACTIONS(11565),
    [sym__comparison_operator] = ACTIONS(11565),
    [sym__pipe_right_operator] = ACTIONS(11565),
    [sym__pipe_left_operator] = ACTIONS(11565),
    [sym__ellipsis_operator] = ACTIONS(11565),
    [sym__plus_operator] = ACTIONS(11565),
    [sym__times_operator] = ACTIONS(11565),
    [sym__rational_operator] = ACTIONS(11565),
    [sym__bitshift_operator] = ACTIONS(11565),
    [sym__power_operator] = ACTIONS(11565),
    [sym__tilde_operator] = ACTIONS(11565),
    [sym__type_order_operator] = ACTIONS(11565),
    [sym__unary_operator] = ACTIONS(11565),
    [sym__unary_plus_operator] = ACTIONS(11565),
    [aux_sym__terminator_token1] = ACTIONS(11567),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9159] = {
    [sym_block_comment] = STATE(9159),
    [sym_line_comment] = STATE(9159),
    [sym__word_identifier] = ACTIONS(11569),
    [anon_sym_COMMA] = ACTIONS(11569),
    [anon_sym_EQ] = ACTIONS(11569),
    [anon_sym_begin] = ACTIONS(11569),
    [anon_sym_module] = ACTIONS(11569),
    [anon_sym_baremodule] = ACTIONS(11569),
    [anon_sym_abstract] = ACTIONS(11569),
    [anon_sym_primitive] = ACTIONS(11569),
    [anon_sym_mutable] = ACTIONS(11569),
    [anon_sym_struct] = ACTIONS(11569),
    [anon_sym_function] = ACTIONS(11569),
    [anon_sym_macro] = ACTIONS(11569),
    [anon_sym_quote] = ACTIONS(11569),
    [anon_sym_let] = ACTIONS(11569),
    [anon_sym_if] = ACTIONS(11569),
    [anon_sym_try] = ACTIONS(11569),
    [anon_sym_catch] = ACTIONS(11569),
    [anon_sym_finally] = ACTIONS(11569),
    [anon_sym_for] = ACTIONS(11569),
    [anon_sym_while] = ACTIONS(11569),
    [sym_break_statement] = ACTIONS(11569),
    [sym_continue_statement] = ACTIONS(11569),
    [anon_sym_return] = ACTIONS(11569),
    [anon_sym_const] = ACTIONS(11569),
    [anon_sym_global] = ACTIONS(11569),
    [anon_sym_local] = ACTIONS(11569),
    [anon_sym_LPAREN] = ACTIONS(11569),
    [anon_sym_COLON] = ACTIONS(11569),
    [anon_sym_export] = ACTIONS(11569),
    [anon_sym_public] = ACTIONS(11569),
    [anon_sym_import] = ACTIONS(11569),
    [anon_sym_using] = ACTIONS(11569),
    [anon_sym_LBRACK] = ACTIONS(11569),
    [anon_sym_in] = ACTIONS(11569),
    [anon_sym_SEMI] = ACTIONS(11569),
    [anon_sym_LBRACE] = ACTIONS(11569),
    [anon_sym_DOLLAR] = ACTIONS(11569),
    [anon_sym_COLON2] = ACTIONS(11569),
    [anon_sym_COLON_COLON] = ACTIONS(11569),
    [anon_sym_isa] = ACTIONS(11569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11569),
    [anon_sym_QMARK] = ACTIONS(11569),
    [anon_sym_where] = ACTIONS(11569),
    [anon_sym_AT] = ACTIONS(11569),
    [anon_sym_true] = ACTIONS(11569),
    [anon_sym_false] = ACTIONS(11569),
    [aux_sym_integer_literal_token1] = ACTIONS(11569),
    [aux_sym_integer_literal_token2] = ACTIONS(11569),
    [aux_sym_integer_literal_token3] = ACTIONS(11569),
    [aux_sym_integer_literal_token4] = ACTIONS(11569),
    [aux_sym_float_literal_token1] = ACTIONS(11569),
    [aux_sym_float_literal_token3] = ACTIONS(11569),
    [aux_sym_float_literal_token4] = ACTIONS(11569),
    [sym_character_literal] = ACTIONS(11569),
    [anon_sym_DQUOTE] = ACTIONS(11569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11569),
    [anon_sym_BQUOTE] = ACTIONS(11569),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11569),
    [sym__pair_operator] = ACTIONS(11569),
    [sym__arrow_operator] = ACTIONS(11569),
    [sym__lazy_or_operator] = ACTIONS(11569),
    [sym__lazy_and_operator] = ACTIONS(11569),
    [sym__comparison_operator] = ACTIONS(11569),
    [sym__pipe_right_operator] = ACTIONS(11569),
    [sym__pipe_left_operator] = ACTIONS(11569),
    [sym__ellipsis_operator] = ACTIONS(11569),
    [sym__plus_operator] = ACTIONS(11569),
    [sym__times_operator] = ACTIONS(11569),
    [sym__rational_operator] = ACTIONS(11569),
    [sym__bitshift_operator] = ACTIONS(11569),
    [sym__power_operator] = ACTIONS(11569),
    [sym__tilde_operator] = ACTIONS(11569),
    [sym__type_order_operator] = ACTIONS(11569),
    [sym__unary_operator] = ACTIONS(11569),
    [sym__unary_plus_operator] = ACTIONS(11569),
    [aux_sym__terminator_token1] = ACTIONS(11571),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9160] = {
    [sym_block_comment] = STATE(9160),
    [sym_line_comment] = STATE(9160),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10181),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9161] = {
    [sym_block_comment] = STATE(9161),
    [sym_line_comment] = STATE(9161),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10367),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9162] = {
    [sym_block_comment] = STATE(9162),
    [sym_line_comment] = STATE(9162),
    [sym__word_identifier] = ACTIONS(11573),
    [anon_sym_COMMA] = ACTIONS(11573),
    [anon_sym_EQ] = ACTIONS(11573),
    [anon_sym_begin] = ACTIONS(11573),
    [anon_sym_module] = ACTIONS(11573),
    [anon_sym_baremodule] = ACTIONS(11573),
    [anon_sym_abstract] = ACTIONS(11573),
    [anon_sym_primitive] = ACTIONS(11573),
    [anon_sym_mutable] = ACTIONS(11573),
    [anon_sym_struct] = ACTIONS(11573),
    [anon_sym_function] = ACTIONS(11573),
    [anon_sym_macro] = ACTIONS(11573),
    [anon_sym_quote] = ACTIONS(11573),
    [anon_sym_let] = ACTIONS(11573),
    [anon_sym_if] = ACTIONS(11573),
    [anon_sym_try] = ACTIONS(11573),
    [anon_sym_catch] = ACTIONS(11573),
    [anon_sym_finally] = ACTIONS(11573),
    [anon_sym_for] = ACTIONS(11573),
    [anon_sym_while] = ACTIONS(11573),
    [sym_break_statement] = ACTIONS(11573),
    [sym_continue_statement] = ACTIONS(11573),
    [anon_sym_return] = ACTIONS(11573),
    [anon_sym_const] = ACTIONS(11573),
    [anon_sym_global] = ACTIONS(11573),
    [anon_sym_local] = ACTIONS(11573),
    [anon_sym_LPAREN] = ACTIONS(11573),
    [anon_sym_COLON] = ACTIONS(11573),
    [anon_sym_export] = ACTIONS(11573),
    [anon_sym_public] = ACTIONS(11573),
    [anon_sym_import] = ACTIONS(11573),
    [anon_sym_using] = ACTIONS(11573),
    [anon_sym_LBRACK] = ACTIONS(11573),
    [anon_sym_in] = ACTIONS(11573),
    [anon_sym_SEMI] = ACTIONS(11573),
    [anon_sym_LBRACE] = ACTIONS(11573),
    [anon_sym_DOLLAR] = ACTIONS(11573),
    [anon_sym_COLON2] = ACTIONS(11573),
    [anon_sym_COLON_COLON] = ACTIONS(11573),
    [anon_sym_isa] = ACTIONS(11573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11573),
    [anon_sym_QMARK] = ACTIONS(11573),
    [anon_sym_where] = ACTIONS(11573),
    [anon_sym_AT] = ACTIONS(11573),
    [anon_sym_true] = ACTIONS(11573),
    [anon_sym_false] = ACTIONS(11573),
    [aux_sym_integer_literal_token1] = ACTIONS(11573),
    [aux_sym_integer_literal_token2] = ACTIONS(11573),
    [aux_sym_integer_literal_token3] = ACTIONS(11573),
    [aux_sym_integer_literal_token4] = ACTIONS(11573),
    [aux_sym_float_literal_token1] = ACTIONS(11573),
    [aux_sym_float_literal_token3] = ACTIONS(11573),
    [aux_sym_float_literal_token4] = ACTIONS(11573),
    [sym_character_literal] = ACTIONS(11573),
    [anon_sym_DQUOTE] = ACTIONS(11573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11573),
    [anon_sym_BQUOTE] = ACTIONS(11573),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11573),
    [sym__pair_operator] = ACTIONS(11573),
    [sym__arrow_operator] = ACTIONS(11573),
    [sym__lazy_or_operator] = ACTIONS(11573),
    [sym__lazy_and_operator] = ACTIONS(11573),
    [sym__comparison_operator] = ACTIONS(11573),
    [sym__pipe_right_operator] = ACTIONS(11573),
    [sym__pipe_left_operator] = ACTIONS(11573),
    [sym__ellipsis_operator] = ACTIONS(11573),
    [sym__plus_operator] = ACTIONS(11573),
    [sym__times_operator] = ACTIONS(11573),
    [sym__rational_operator] = ACTIONS(11573),
    [sym__bitshift_operator] = ACTIONS(11573),
    [sym__power_operator] = ACTIONS(11573),
    [sym__tilde_operator] = ACTIONS(11573),
    [sym__type_order_operator] = ACTIONS(11573),
    [sym__unary_operator] = ACTIONS(11573),
    [sym__unary_plus_operator] = ACTIONS(11573),
    [aux_sym__terminator_token1] = ACTIONS(11575),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9163] = {
    [sym_block_comment] = STATE(9163),
    [sym_line_comment] = STATE(9163),
    [sym__word_identifier] = ACTIONS(11577),
    [anon_sym_COMMA] = ACTIONS(11577),
    [anon_sym_EQ] = ACTIONS(11577),
    [anon_sym_begin] = ACTIONS(11577),
    [anon_sym_module] = ACTIONS(11577),
    [anon_sym_baremodule] = ACTIONS(11577),
    [anon_sym_abstract] = ACTIONS(11577),
    [anon_sym_primitive] = ACTIONS(11577),
    [anon_sym_mutable] = ACTIONS(11577),
    [anon_sym_struct] = ACTIONS(11577),
    [anon_sym_function] = ACTIONS(11577),
    [anon_sym_macro] = ACTIONS(11577),
    [anon_sym_quote] = ACTIONS(11577),
    [anon_sym_let] = ACTIONS(11577),
    [anon_sym_if] = ACTIONS(11577),
    [anon_sym_try] = ACTIONS(11577),
    [anon_sym_catch] = ACTIONS(11577),
    [anon_sym_finally] = ACTIONS(11577),
    [anon_sym_for] = ACTIONS(11577),
    [anon_sym_while] = ACTIONS(11577),
    [sym_break_statement] = ACTIONS(11577),
    [sym_continue_statement] = ACTIONS(11577),
    [anon_sym_return] = ACTIONS(11577),
    [anon_sym_const] = ACTIONS(11577),
    [anon_sym_global] = ACTIONS(11577),
    [anon_sym_local] = ACTIONS(11577),
    [anon_sym_LPAREN] = ACTIONS(11577),
    [anon_sym_COLON] = ACTIONS(11577),
    [anon_sym_export] = ACTIONS(11577),
    [anon_sym_public] = ACTIONS(11577),
    [anon_sym_import] = ACTIONS(11577),
    [anon_sym_using] = ACTIONS(11577),
    [anon_sym_LBRACK] = ACTIONS(11577),
    [anon_sym_in] = ACTIONS(11577),
    [anon_sym_SEMI] = ACTIONS(11577),
    [anon_sym_LBRACE] = ACTIONS(11577),
    [anon_sym_DOLLAR] = ACTIONS(11577),
    [anon_sym_COLON2] = ACTIONS(11577),
    [anon_sym_COLON_COLON] = ACTIONS(11577),
    [anon_sym_isa] = ACTIONS(11577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11577),
    [anon_sym_QMARK] = ACTIONS(11577),
    [anon_sym_where] = ACTIONS(11577),
    [anon_sym_AT] = ACTIONS(11577),
    [anon_sym_true] = ACTIONS(11577),
    [anon_sym_false] = ACTIONS(11577),
    [aux_sym_integer_literal_token1] = ACTIONS(11577),
    [aux_sym_integer_literal_token2] = ACTIONS(11577),
    [aux_sym_integer_literal_token3] = ACTIONS(11577),
    [aux_sym_integer_literal_token4] = ACTIONS(11577),
    [aux_sym_float_literal_token1] = ACTIONS(11577),
    [aux_sym_float_literal_token3] = ACTIONS(11577),
    [aux_sym_float_literal_token4] = ACTIONS(11577),
    [sym_character_literal] = ACTIONS(11577),
    [anon_sym_DQUOTE] = ACTIONS(11577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11577),
    [anon_sym_BQUOTE] = ACTIONS(11577),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11577),
    [sym__pair_operator] = ACTIONS(11577),
    [sym__arrow_operator] = ACTIONS(11577),
    [sym__lazy_or_operator] = ACTIONS(11577),
    [sym__lazy_and_operator] = ACTIONS(11577),
    [sym__comparison_operator] = ACTIONS(11577),
    [sym__pipe_right_operator] = ACTIONS(11577),
    [sym__pipe_left_operator] = ACTIONS(11577),
    [sym__ellipsis_operator] = ACTIONS(11577),
    [sym__plus_operator] = ACTIONS(11577),
    [sym__times_operator] = ACTIONS(11577),
    [sym__rational_operator] = ACTIONS(11577),
    [sym__bitshift_operator] = ACTIONS(11577),
    [sym__power_operator] = ACTIONS(11577),
    [sym__tilde_operator] = ACTIONS(11577),
    [sym__type_order_operator] = ACTIONS(11577),
    [sym__unary_operator] = ACTIONS(11577),
    [sym__unary_plus_operator] = ACTIONS(11577),
    [aux_sym__terminator_token1] = ACTIONS(11579),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9164] = {
    [sym_block_comment] = STATE(9164),
    [sym_line_comment] = STATE(9164),
    [sym__word_identifier] = ACTIONS(11581),
    [anon_sym_COMMA] = ACTIONS(11581),
    [anon_sym_EQ] = ACTIONS(11581),
    [anon_sym_begin] = ACTIONS(11581),
    [anon_sym_module] = ACTIONS(11581),
    [anon_sym_baremodule] = ACTIONS(11581),
    [anon_sym_abstract] = ACTIONS(11581),
    [anon_sym_primitive] = ACTIONS(11581),
    [anon_sym_mutable] = ACTIONS(11581),
    [anon_sym_struct] = ACTIONS(11581),
    [anon_sym_function] = ACTIONS(11581),
    [anon_sym_macro] = ACTIONS(11581),
    [anon_sym_quote] = ACTIONS(11581),
    [anon_sym_let] = ACTIONS(11581),
    [anon_sym_if] = ACTIONS(11581),
    [anon_sym_try] = ACTIONS(11581),
    [anon_sym_catch] = ACTIONS(11581),
    [anon_sym_finally] = ACTIONS(11581),
    [anon_sym_for] = ACTIONS(11581),
    [anon_sym_while] = ACTIONS(11581),
    [sym_break_statement] = ACTIONS(11581),
    [sym_continue_statement] = ACTIONS(11581),
    [anon_sym_return] = ACTIONS(11581),
    [anon_sym_const] = ACTIONS(11581),
    [anon_sym_global] = ACTIONS(11581),
    [anon_sym_local] = ACTIONS(11581),
    [anon_sym_LPAREN] = ACTIONS(11581),
    [anon_sym_COLON] = ACTIONS(11581),
    [anon_sym_export] = ACTIONS(11581),
    [anon_sym_public] = ACTIONS(11581),
    [anon_sym_import] = ACTIONS(11581),
    [anon_sym_using] = ACTIONS(11581),
    [anon_sym_LBRACK] = ACTIONS(11581),
    [anon_sym_in] = ACTIONS(11581),
    [anon_sym_SEMI] = ACTIONS(11581),
    [anon_sym_LBRACE] = ACTIONS(11581),
    [anon_sym_DOLLAR] = ACTIONS(11581),
    [anon_sym_COLON2] = ACTIONS(11581),
    [anon_sym_COLON_COLON] = ACTIONS(11581),
    [anon_sym_isa] = ACTIONS(11581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11581),
    [anon_sym_QMARK] = ACTIONS(11581),
    [anon_sym_where] = ACTIONS(11581),
    [anon_sym_AT] = ACTIONS(11581),
    [anon_sym_true] = ACTIONS(11581),
    [anon_sym_false] = ACTIONS(11581),
    [aux_sym_integer_literal_token1] = ACTIONS(11581),
    [aux_sym_integer_literal_token2] = ACTIONS(11581),
    [aux_sym_integer_literal_token3] = ACTIONS(11581),
    [aux_sym_integer_literal_token4] = ACTIONS(11581),
    [aux_sym_float_literal_token1] = ACTIONS(11581),
    [aux_sym_float_literal_token3] = ACTIONS(11581),
    [aux_sym_float_literal_token4] = ACTIONS(11581),
    [sym_character_literal] = ACTIONS(11581),
    [anon_sym_DQUOTE] = ACTIONS(11581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11581),
    [anon_sym_BQUOTE] = ACTIONS(11581),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11581),
    [sym__pair_operator] = ACTIONS(11581),
    [sym__arrow_operator] = ACTIONS(11581),
    [sym__lazy_or_operator] = ACTIONS(11581),
    [sym__lazy_and_operator] = ACTIONS(11581),
    [sym__comparison_operator] = ACTIONS(11581),
    [sym__pipe_right_operator] = ACTIONS(11581),
    [sym__pipe_left_operator] = ACTIONS(11581),
    [sym__ellipsis_operator] = ACTIONS(11581),
    [sym__plus_operator] = ACTIONS(11581),
    [sym__times_operator] = ACTIONS(11581),
    [sym__rational_operator] = ACTIONS(11581),
    [sym__bitshift_operator] = ACTIONS(11581),
    [sym__power_operator] = ACTIONS(11581),
    [sym__tilde_operator] = ACTIONS(11581),
    [sym__type_order_operator] = ACTIONS(11581),
    [sym__unary_operator] = ACTIONS(11581),
    [sym__unary_plus_operator] = ACTIONS(11581),
    [aux_sym__terminator_token1] = ACTIONS(11583),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9165] = {
    [sym_block_comment] = STATE(9165),
    [sym_line_comment] = STATE(9165),
    [sym__word_identifier] = ACTIONS(11585),
    [anon_sym_COMMA] = ACTIONS(11585),
    [anon_sym_EQ] = ACTIONS(11585),
    [anon_sym_begin] = ACTIONS(11585),
    [anon_sym_module] = ACTIONS(11585),
    [anon_sym_baremodule] = ACTIONS(11585),
    [anon_sym_abstract] = ACTIONS(11585),
    [anon_sym_primitive] = ACTIONS(11585),
    [anon_sym_mutable] = ACTIONS(11585),
    [anon_sym_struct] = ACTIONS(11585),
    [anon_sym_function] = ACTIONS(11585),
    [anon_sym_macro] = ACTIONS(11585),
    [anon_sym_quote] = ACTIONS(11585),
    [anon_sym_let] = ACTIONS(11585),
    [anon_sym_if] = ACTIONS(11585),
    [anon_sym_try] = ACTIONS(11585),
    [anon_sym_catch] = ACTIONS(11585),
    [anon_sym_finally] = ACTIONS(11585),
    [anon_sym_for] = ACTIONS(11585),
    [anon_sym_while] = ACTIONS(11585),
    [sym_break_statement] = ACTIONS(11585),
    [sym_continue_statement] = ACTIONS(11585),
    [anon_sym_return] = ACTIONS(11585),
    [anon_sym_const] = ACTIONS(11585),
    [anon_sym_global] = ACTIONS(11585),
    [anon_sym_local] = ACTIONS(11585),
    [anon_sym_LPAREN] = ACTIONS(11585),
    [anon_sym_COLON] = ACTIONS(11585),
    [anon_sym_export] = ACTIONS(11585),
    [anon_sym_public] = ACTIONS(11585),
    [anon_sym_import] = ACTIONS(11585),
    [anon_sym_using] = ACTIONS(11585),
    [anon_sym_LBRACK] = ACTIONS(11585),
    [anon_sym_in] = ACTIONS(11585),
    [anon_sym_SEMI] = ACTIONS(11585),
    [anon_sym_LBRACE] = ACTIONS(11585),
    [anon_sym_DOLLAR] = ACTIONS(11585),
    [anon_sym_COLON2] = ACTIONS(11585),
    [anon_sym_COLON_COLON] = ACTIONS(11585),
    [anon_sym_isa] = ACTIONS(11585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11585),
    [anon_sym_QMARK] = ACTIONS(11585),
    [anon_sym_where] = ACTIONS(11585),
    [anon_sym_AT] = ACTIONS(11585),
    [anon_sym_true] = ACTIONS(11585),
    [anon_sym_false] = ACTIONS(11585),
    [aux_sym_integer_literal_token1] = ACTIONS(11585),
    [aux_sym_integer_literal_token2] = ACTIONS(11585),
    [aux_sym_integer_literal_token3] = ACTIONS(11585),
    [aux_sym_integer_literal_token4] = ACTIONS(11585),
    [aux_sym_float_literal_token1] = ACTIONS(11585),
    [aux_sym_float_literal_token3] = ACTIONS(11585),
    [aux_sym_float_literal_token4] = ACTIONS(11585),
    [sym_character_literal] = ACTIONS(11585),
    [anon_sym_DQUOTE] = ACTIONS(11585),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11585),
    [anon_sym_BQUOTE] = ACTIONS(11585),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11585),
    [sym__pair_operator] = ACTIONS(11585),
    [sym__arrow_operator] = ACTIONS(11585),
    [sym__lazy_or_operator] = ACTIONS(11585),
    [sym__lazy_and_operator] = ACTIONS(11585),
    [sym__comparison_operator] = ACTIONS(11585),
    [sym__pipe_right_operator] = ACTIONS(11585),
    [sym__pipe_left_operator] = ACTIONS(11585),
    [sym__ellipsis_operator] = ACTIONS(11585),
    [sym__plus_operator] = ACTIONS(11585),
    [sym__times_operator] = ACTIONS(11585),
    [sym__rational_operator] = ACTIONS(11585),
    [sym__bitshift_operator] = ACTIONS(11585),
    [sym__power_operator] = ACTIONS(11585),
    [sym__tilde_operator] = ACTIONS(11585),
    [sym__type_order_operator] = ACTIONS(11585),
    [sym__unary_operator] = ACTIONS(11585),
    [sym__unary_plus_operator] = ACTIONS(11585),
    [aux_sym__terminator_token1] = ACTIONS(11587),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9166] = {
    [sym_block_comment] = STATE(9166),
    [sym_line_comment] = STATE(9166),
    [sym__word_identifier] = ACTIONS(11589),
    [anon_sym_COMMA] = ACTIONS(11589),
    [anon_sym_EQ] = ACTIONS(11589),
    [anon_sym_begin] = ACTIONS(11589),
    [anon_sym_module] = ACTIONS(11589),
    [anon_sym_baremodule] = ACTIONS(11589),
    [anon_sym_abstract] = ACTIONS(11589),
    [anon_sym_primitive] = ACTIONS(11589),
    [anon_sym_mutable] = ACTIONS(11589),
    [anon_sym_struct] = ACTIONS(11589),
    [anon_sym_function] = ACTIONS(11589),
    [anon_sym_macro] = ACTIONS(11589),
    [anon_sym_quote] = ACTIONS(11589),
    [anon_sym_let] = ACTIONS(11589),
    [anon_sym_if] = ACTIONS(11589),
    [anon_sym_try] = ACTIONS(11589),
    [anon_sym_catch] = ACTIONS(11589),
    [anon_sym_finally] = ACTIONS(11589),
    [anon_sym_for] = ACTIONS(11589),
    [anon_sym_while] = ACTIONS(11589),
    [sym_break_statement] = ACTIONS(11589),
    [sym_continue_statement] = ACTIONS(11589),
    [anon_sym_return] = ACTIONS(11589),
    [anon_sym_const] = ACTIONS(11589),
    [anon_sym_global] = ACTIONS(11589),
    [anon_sym_local] = ACTIONS(11589),
    [anon_sym_LPAREN] = ACTIONS(11589),
    [anon_sym_COLON] = ACTIONS(11589),
    [anon_sym_export] = ACTIONS(11589),
    [anon_sym_public] = ACTIONS(11589),
    [anon_sym_import] = ACTIONS(11589),
    [anon_sym_using] = ACTIONS(11589),
    [anon_sym_LBRACK] = ACTIONS(11589),
    [anon_sym_in] = ACTIONS(11589),
    [anon_sym_SEMI] = ACTIONS(11589),
    [anon_sym_LBRACE] = ACTIONS(11589),
    [anon_sym_DOLLAR] = ACTIONS(11589),
    [anon_sym_COLON2] = ACTIONS(11589),
    [anon_sym_COLON_COLON] = ACTIONS(11589),
    [anon_sym_isa] = ACTIONS(11589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11589),
    [anon_sym_QMARK] = ACTIONS(11589),
    [anon_sym_where] = ACTIONS(11589),
    [anon_sym_AT] = ACTIONS(11589),
    [anon_sym_true] = ACTIONS(11589),
    [anon_sym_false] = ACTIONS(11589),
    [aux_sym_integer_literal_token1] = ACTIONS(11589),
    [aux_sym_integer_literal_token2] = ACTIONS(11589),
    [aux_sym_integer_literal_token3] = ACTIONS(11589),
    [aux_sym_integer_literal_token4] = ACTIONS(11589),
    [aux_sym_float_literal_token1] = ACTIONS(11589),
    [aux_sym_float_literal_token3] = ACTIONS(11589),
    [aux_sym_float_literal_token4] = ACTIONS(11589),
    [sym_character_literal] = ACTIONS(11589),
    [anon_sym_DQUOTE] = ACTIONS(11589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11589),
    [anon_sym_BQUOTE] = ACTIONS(11589),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11589),
    [sym__pair_operator] = ACTIONS(11589),
    [sym__arrow_operator] = ACTIONS(11589),
    [sym__lazy_or_operator] = ACTIONS(11589),
    [sym__lazy_and_operator] = ACTIONS(11589),
    [sym__comparison_operator] = ACTIONS(11589),
    [sym__pipe_right_operator] = ACTIONS(11589),
    [sym__pipe_left_operator] = ACTIONS(11589),
    [sym__ellipsis_operator] = ACTIONS(11589),
    [sym__plus_operator] = ACTIONS(11589),
    [sym__times_operator] = ACTIONS(11589),
    [sym__rational_operator] = ACTIONS(11589),
    [sym__bitshift_operator] = ACTIONS(11589),
    [sym__power_operator] = ACTIONS(11589),
    [sym__tilde_operator] = ACTIONS(11589),
    [sym__type_order_operator] = ACTIONS(11589),
    [sym__unary_operator] = ACTIONS(11589),
    [sym__unary_plus_operator] = ACTIONS(11589),
    [aux_sym__terminator_token1] = ACTIONS(11591),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9167] = {
    [sym_block_comment] = STATE(9167),
    [sym_line_comment] = STATE(9167),
    [sym__word_identifier] = ACTIONS(11593),
    [anon_sym_COMMA] = ACTIONS(11593),
    [anon_sym_EQ] = ACTIONS(11593),
    [anon_sym_begin] = ACTIONS(11593),
    [anon_sym_module] = ACTIONS(11593),
    [anon_sym_baremodule] = ACTIONS(11593),
    [anon_sym_abstract] = ACTIONS(11593),
    [anon_sym_primitive] = ACTIONS(11593),
    [anon_sym_mutable] = ACTIONS(11593),
    [anon_sym_struct] = ACTIONS(11593),
    [anon_sym_function] = ACTIONS(11593),
    [anon_sym_macro] = ACTIONS(11593),
    [anon_sym_quote] = ACTIONS(11593),
    [anon_sym_let] = ACTIONS(11593),
    [anon_sym_if] = ACTIONS(11593),
    [anon_sym_try] = ACTIONS(11593),
    [anon_sym_catch] = ACTIONS(11593),
    [anon_sym_finally] = ACTIONS(11593),
    [anon_sym_for] = ACTIONS(11593),
    [anon_sym_while] = ACTIONS(11593),
    [sym_break_statement] = ACTIONS(11593),
    [sym_continue_statement] = ACTIONS(11593),
    [anon_sym_return] = ACTIONS(11593),
    [anon_sym_const] = ACTIONS(11593),
    [anon_sym_global] = ACTIONS(11593),
    [anon_sym_local] = ACTIONS(11593),
    [anon_sym_LPAREN] = ACTIONS(11593),
    [anon_sym_COLON] = ACTIONS(11593),
    [anon_sym_export] = ACTIONS(11593),
    [anon_sym_public] = ACTIONS(11593),
    [anon_sym_import] = ACTIONS(11593),
    [anon_sym_using] = ACTIONS(11593),
    [anon_sym_LBRACK] = ACTIONS(11593),
    [anon_sym_in] = ACTIONS(11593),
    [anon_sym_SEMI] = ACTIONS(11593),
    [anon_sym_LBRACE] = ACTIONS(11593),
    [anon_sym_DOLLAR] = ACTIONS(11593),
    [anon_sym_COLON2] = ACTIONS(11593),
    [anon_sym_COLON_COLON] = ACTIONS(11593),
    [anon_sym_isa] = ACTIONS(11593),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11593),
    [anon_sym_QMARK] = ACTIONS(11593),
    [anon_sym_where] = ACTIONS(11593),
    [anon_sym_AT] = ACTIONS(11593),
    [anon_sym_true] = ACTIONS(11593),
    [anon_sym_false] = ACTIONS(11593),
    [aux_sym_integer_literal_token1] = ACTIONS(11593),
    [aux_sym_integer_literal_token2] = ACTIONS(11593),
    [aux_sym_integer_literal_token3] = ACTIONS(11593),
    [aux_sym_integer_literal_token4] = ACTIONS(11593),
    [aux_sym_float_literal_token1] = ACTIONS(11593),
    [aux_sym_float_literal_token3] = ACTIONS(11593),
    [aux_sym_float_literal_token4] = ACTIONS(11593),
    [sym_character_literal] = ACTIONS(11593),
    [anon_sym_DQUOTE] = ACTIONS(11593),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11593),
    [anon_sym_BQUOTE] = ACTIONS(11593),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11593),
    [sym__pair_operator] = ACTIONS(11593),
    [sym__arrow_operator] = ACTIONS(11593),
    [sym__lazy_or_operator] = ACTIONS(11593),
    [sym__lazy_and_operator] = ACTIONS(11593),
    [sym__comparison_operator] = ACTIONS(11593),
    [sym__pipe_right_operator] = ACTIONS(11593),
    [sym__pipe_left_operator] = ACTIONS(11593),
    [sym__ellipsis_operator] = ACTIONS(11593),
    [sym__plus_operator] = ACTIONS(11593),
    [sym__times_operator] = ACTIONS(11593),
    [sym__rational_operator] = ACTIONS(11593),
    [sym__bitshift_operator] = ACTIONS(11593),
    [sym__power_operator] = ACTIONS(11593),
    [sym__tilde_operator] = ACTIONS(11593),
    [sym__type_order_operator] = ACTIONS(11593),
    [sym__unary_operator] = ACTIONS(11593),
    [sym__unary_plus_operator] = ACTIONS(11593),
    [aux_sym__terminator_token1] = ACTIONS(11595),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9168] = {
    [sym_block_comment] = STATE(9168),
    [sym_line_comment] = STATE(9168),
    [sym__word_identifier] = ACTIONS(11597),
    [anon_sym_COMMA] = ACTIONS(11597),
    [anon_sym_EQ] = ACTIONS(11597),
    [anon_sym_begin] = ACTIONS(11597),
    [anon_sym_module] = ACTIONS(11597),
    [anon_sym_baremodule] = ACTIONS(11597),
    [anon_sym_abstract] = ACTIONS(11597),
    [anon_sym_primitive] = ACTIONS(11597),
    [anon_sym_mutable] = ACTIONS(11597),
    [anon_sym_struct] = ACTIONS(11597),
    [anon_sym_function] = ACTIONS(11597),
    [anon_sym_macro] = ACTIONS(11597),
    [anon_sym_quote] = ACTIONS(11597),
    [anon_sym_let] = ACTIONS(11597),
    [anon_sym_if] = ACTIONS(11597),
    [anon_sym_try] = ACTIONS(11597),
    [anon_sym_catch] = ACTIONS(11597),
    [anon_sym_finally] = ACTIONS(11597),
    [anon_sym_for] = ACTIONS(11597),
    [anon_sym_while] = ACTIONS(11597),
    [sym_break_statement] = ACTIONS(11597),
    [sym_continue_statement] = ACTIONS(11597),
    [anon_sym_return] = ACTIONS(11597),
    [anon_sym_const] = ACTIONS(11597),
    [anon_sym_global] = ACTIONS(11597),
    [anon_sym_local] = ACTIONS(11597),
    [anon_sym_LPAREN] = ACTIONS(11597),
    [anon_sym_COLON] = ACTIONS(11597),
    [anon_sym_export] = ACTIONS(11597),
    [anon_sym_public] = ACTIONS(11597),
    [anon_sym_import] = ACTIONS(11597),
    [anon_sym_using] = ACTIONS(11597),
    [anon_sym_LBRACK] = ACTIONS(11597),
    [anon_sym_in] = ACTIONS(11597),
    [anon_sym_SEMI] = ACTIONS(11597),
    [anon_sym_LBRACE] = ACTIONS(11597),
    [anon_sym_DOLLAR] = ACTIONS(11597),
    [anon_sym_COLON2] = ACTIONS(11597),
    [anon_sym_COLON_COLON] = ACTIONS(11597),
    [anon_sym_isa] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11597),
    [anon_sym_QMARK] = ACTIONS(11597),
    [anon_sym_where] = ACTIONS(11597),
    [anon_sym_AT] = ACTIONS(11597),
    [anon_sym_true] = ACTIONS(11597),
    [anon_sym_false] = ACTIONS(11597),
    [aux_sym_integer_literal_token1] = ACTIONS(11597),
    [aux_sym_integer_literal_token2] = ACTIONS(11597),
    [aux_sym_integer_literal_token3] = ACTIONS(11597),
    [aux_sym_integer_literal_token4] = ACTIONS(11597),
    [aux_sym_float_literal_token1] = ACTIONS(11597),
    [aux_sym_float_literal_token3] = ACTIONS(11597),
    [aux_sym_float_literal_token4] = ACTIONS(11597),
    [sym_character_literal] = ACTIONS(11597),
    [anon_sym_DQUOTE] = ACTIONS(11597),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11597),
    [anon_sym_BQUOTE] = ACTIONS(11597),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11597),
    [sym__pair_operator] = ACTIONS(11597),
    [sym__arrow_operator] = ACTIONS(11597),
    [sym__lazy_or_operator] = ACTIONS(11597),
    [sym__lazy_and_operator] = ACTIONS(11597),
    [sym__comparison_operator] = ACTIONS(11597),
    [sym__pipe_right_operator] = ACTIONS(11597),
    [sym__pipe_left_operator] = ACTIONS(11597),
    [sym__ellipsis_operator] = ACTIONS(11597),
    [sym__plus_operator] = ACTIONS(11597),
    [sym__times_operator] = ACTIONS(11597),
    [sym__rational_operator] = ACTIONS(11597),
    [sym__bitshift_operator] = ACTIONS(11597),
    [sym__power_operator] = ACTIONS(11597),
    [sym__tilde_operator] = ACTIONS(11597),
    [sym__type_order_operator] = ACTIONS(11597),
    [sym__unary_operator] = ACTIONS(11597),
    [sym__unary_plus_operator] = ACTIONS(11597),
    [aux_sym__terminator_token1] = ACTIONS(11599),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9169] = {
    [sym_block_comment] = STATE(9169),
    [sym_line_comment] = STATE(9169),
    [sym__word_identifier] = ACTIONS(11601),
    [anon_sym_COMMA] = ACTIONS(11601),
    [anon_sym_EQ] = ACTIONS(11601),
    [anon_sym_begin] = ACTIONS(11601),
    [anon_sym_module] = ACTIONS(11601),
    [anon_sym_baremodule] = ACTIONS(11601),
    [anon_sym_abstract] = ACTIONS(11601),
    [anon_sym_primitive] = ACTIONS(11601),
    [anon_sym_mutable] = ACTIONS(11601),
    [anon_sym_struct] = ACTIONS(11601),
    [anon_sym_function] = ACTIONS(11601),
    [anon_sym_macro] = ACTIONS(11601),
    [anon_sym_quote] = ACTIONS(11601),
    [anon_sym_let] = ACTIONS(11601),
    [anon_sym_if] = ACTIONS(11601),
    [anon_sym_try] = ACTIONS(11601),
    [anon_sym_catch] = ACTIONS(11601),
    [anon_sym_finally] = ACTIONS(11601),
    [anon_sym_for] = ACTIONS(11601),
    [anon_sym_while] = ACTIONS(11601),
    [sym_break_statement] = ACTIONS(11601),
    [sym_continue_statement] = ACTIONS(11601),
    [anon_sym_return] = ACTIONS(11601),
    [anon_sym_const] = ACTIONS(11601),
    [anon_sym_global] = ACTIONS(11601),
    [anon_sym_local] = ACTIONS(11601),
    [anon_sym_LPAREN] = ACTIONS(11601),
    [anon_sym_COLON] = ACTIONS(11601),
    [anon_sym_export] = ACTIONS(11601),
    [anon_sym_public] = ACTIONS(11601),
    [anon_sym_import] = ACTIONS(11601),
    [anon_sym_using] = ACTIONS(11601),
    [anon_sym_LBRACK] = ACTIONS(11601),
    [anon_sym_in] = ACTIONS(11601),
    [anon_sym_SEMI] = ACTIONS(11601),
    [anon_sym_LBRACE] = ACTIONS(11601),
    [anon_sym_DOLLAR] = ACTIONS(11601),
    [anon_sym_COLON2] = ACTIONS(11601),
    [anon_sym_COLON_COLON] = ACTIONS(11601),
    [anon_sym_isa] = ACTIONS(11601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11601),
    [anon_sym_QMARK] = ACTIONS(11601),
    [anon_sym_where] = ACTIONS(11601),
    [anon_sym_AT] = ACTIONS(11601),
    [anon_sym_true] = ACTIONS(11601),
    [anon_sym_false] = ACTIONS(11601),
    [aux_sym_integer_literal_token1] = ACTIONS(11601),
    [aux_sym_integer_literal_token2] = ACTIONS(11601),
    [aux_sym_integer_literal_token3] = ACTIONS(11601),
    [aux_sym_integer_literal_token4] = ACTIONS(11601),
    [aux_sym_float_literal_token1] = ACTIONS(11601),
    [aux_sym_float_literal_token3] = ACTIONS(11601),
    [aux_sym_float_literal_token4] = ACTIONS(11601),
    [sym_character_literal] = ACTIONS(11601),
    [anon_sym_DQUOTE] = ACTIONS(11601),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11601),
    [anon_sym_BQUOTE] = ACTIONS(11601),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11601),
    [sym__pair_operator] = ACTIONS(11601),
    [sym__arrow_operator] = ACTIONS(11601),
    [sym__lazy_or_operator] = ACTIONS(11601),
    [sym__lazy_and_operator] = ACTIONS(11601),
    [sym__comparison_operator] = ACTIONS(11601),
    [sym__pipe_right_operator] = ACTIONS(11601),
    [sym__pipe_left_operator] = ACTIONS(11601),
    [sym__ellipsis_operator] = ACTIONS(11601),
    [sym__plus_operator] = ACTIONS(11601),
    [sym__times_operator] = ACTIONS(11601),
    [sym__rational_operator] = ACTIONS(11601),
    [sym__bitshift_operator] = ACTIONS(11601),
    [sym__power_operator] = ACTIONS(11601),
    [sym__tilde_operator] = ACTIONS(11601),
    [sym__type_order_operator] = ACTIONS(11601),
    [sym__unary_operator] = ACTIONS(11601),
    [sym__unary_plus_operator] = ACTIONS(11601),
    [aux_sym__terminator_token1] = ACTIONS(11603),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9170] = {
    [sym_block_comment] = STATE(9170),
    [sym_line_comment] = STATE(9170),
    [sym__word_identifier] = ACTIONS(11605),
    [anon_sym_COMMA] = ACTIONS(11605),
    [anon_sym_EQ] = ACTIONS(11605),
    [anon_sym_begin] = ACTIONS(11605),
    [anon_sym_module] = ACTIONS(11605),
    [anon_sym_baremodule] = ACTIONS(11605),
    [anon_sym_abstract] = ACTIONS(11605),
    [anon_sym_primitive] = ACTIONS(11605),
    [anon_sym_mutable] = ACTIONS(11605),
    [anon_sym_struct] = ACTIONS(11605),
    [anon_sym_function] = ACTIONS(11605),
    [anon_sym_macro] = ACTIONS(11605),
    [anon_sym_quote] = ACTIONS(11605),
    [anon_sym_let] = ACTIONS(11605),
    [anon_sym_if] = ACTIONS(11605),
    [anon_sym_try] = ACTIONS(11605),
    [anon_sym_catch] = ACTIONS(11605),
    [anon_sym_finally] = ACTIONS(11605),
    [anon_sym_for] = ACTIONS(11605),
    [anon_sym_while] = ACTIONS(11605),
    [sym_break_statement] = ACTIONS(11605),
    [sym_continue_statement] = ACTIONS(11605),
    [anon_sym_return] = ACTIONS(11605),
    [anon_sym_const] = ACTIONS(11605),
    [anon_sym_global] = ACTIONS(11605),
    [anon_sym_local] = ACTIONS(11605),
    [anon_sym_LPAREN] = ACTIONS(11605),
    [anon_sym_COLON] = ACTIONS(11605),
    [anon_sym_export] = ACTIONS(11605),
    [anon_sym_public] = ACTIONS(11605),
    [anon_sym_import] = ACTIONS(11605),
    [anon_sym_using] = ACTIONS(11605),
    [anon_sym_LBRACK] = ACTIONS(11605),
    [anon_sym_in] = ACTIONS(11605),
    [anon_sym_SEMI] = ACTIONS(11605),
    [anon_sym_LBRACE] = ACTIONS(11605),
    [anon_sym_DOLLAR] = ACTIONS(11605),
    [anon_sym_COLON2] = ACTIONS(11605),
    [anon_sym_COLON_COLON] = ACTIONS(11605),
    [anon_sym_isa] = ACTIONS(11605),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11605),
    [anon_sym_QMARK] = ACTIONS(11605),
    [anon_sym_where] = ACTIONS(11605),
    [anon_sym_AT] = ACTIONS(11605),
    [anon_sym_true] = ACTIONS(11605),
    [anon_sym_false] = ACTIONS(11605),
    [aux_sym_integer_literal_token1] = ACTIONS(11605),
    [aux_sym_integer_literal_token2] = ACTIONS(11605),
    [aux_sym_integer_literal_token3] = ACTIONS(11605),
    [aux_sym_integer_literal_token4] = ACTIONS(11605),
    [aux_sym_float_literal_token1] = ACTIONS(11605),
    [aux_sym_float_literal_token3] = ACTIONS(11605),
    [aux_sym_float_literal_token4] = ACTIONS(11605),
    [sym_character_literal] = ACTIONS(11605),
    [anon_sym_DQUOTE] = ACTIONS(11605),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11605),
    [anon_sym_BQUOTE] = ACTIONS(11605),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11605),
    [sym__pair_operator] = ACTIONS(11605),
    [sym__arrow_operator] = ACTIONS(11605),
    [sym__lazy_or_operator] = ACTIONS(11605),
    [sym__lazy_and_operator] = ACTIONS(11605),
    [sym__comparison_operator] = ACTIONS(11605),
    [sym__pipe_right_operator] = ACTIONS(11605),
    [sym__pipe_left_operator] = ACTIONS(11605),
    [sym__ellipsis_operator] = ACTIONS(11605),
    [sym__plus_operator] = ACTIONS(11605),
    [sym__times_operator] = ACTIONS(11605),
    [sym__rational_operator] = ACTIONS(11605),
    [sym__bitshift_operator] = ACTIONS(11605),
    [sym__power_operator] = ACTIONS(11605),
    [sym__tilde_operator] = ACTIONS(11605),
    [sym__type_order_operator] = ACTIONS(11605),
    [sym__unary_operator] = ACTIONS(11605),
    [sym__unary_plus_operator] = ACTIONS(11605),
    [aux_sym__terminator_token1] = ACTIONS(11607),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9171] = {
    [sym_block_comment] = STATE(9171),
    [sym_line_comment] = STATE(9171),
    [sym__word_identifier] = ACTIONS(11609),
    [anon_sym_COMMA] = ACTIONS(11609),
    [anon_sym_EQ] = ACTIONS(11609),
    [anon_sym_begin] = ACTIONS(11609),
    [anon_sym_module] = ACTIONS(11609),
    [anon_sym_baremodule] = ACTIONS(11609),
    [anon_sym_abstract] = ACTIONS(11609),
    [anon_sym_primitive] = ACTIONS(11609),
    [anon_sym_mutable] = ACTIONS(11609),
    [anon_sym_struct] = ACTIONS(11609),
    [anon_sym_function] = ACTIONS(11609),
    [anon_sym_macro] = ACTIONS(11609),
    [anon_sym_quote] = ACTIONS(11609),
    [anon_sym_let] = ACTIONS(11609),
    [anon_sym_if] = ACTIONS(11609),
    [anon_sym_try] = ACTIONS(11609),
    [anon_sym_catch] = ACTIONS(11609),
    [anon_sym_finally] = ACTIONS(11609),
    [anon_sym_for] = ACTIONS(11609),
    [anon_sym_while] = ACTIONS(11609),
    [sym_break_statement] = ACTIONS(11609),
    [sym_continue_statement] = ACTIONS(11609),
    [anon_sym_return] = ACTIONS(11609),
    [anon_sym_const] = ACTIONS(11609),
    [anon_sym_global] = ACTIONS(11609),
    [anon_sym_local] = ACTIONS(11609),
    [anon_sym_LPAREN] = ACTIONS(11609),
    [anon_sym_COLON] = ACTIONS(11609),
    [anon_sym_export] = ACTIONS(11609),
    [anon_sym_public] = ACTIONS(11609),
    [anon_sym_import] = ACTIONS(11609),
    [anon_sym_using] = ACTIONS(11609),
    [anon_sym_LBRACK] = ACTIONS(11609),
    [anon_sym_in] = ACTIONS(11609),
    [anon_sym_SEMI] = ACTIONS(11609),
    [anon_sym_LBRACE] = ACTIONS(11609),
    [anon_sym_DOLLAR] = ACTIONS(11609),
    [anon_sym_COLON2] = ACTIONS(11609),
    [anon_sym_COLON_COLON] = ACTIONS(11609),
    [anon_sym_isa] = ACTIONS(11609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11609),
    [anon_sym_QMARK] = ACTIONS(11609),
    [anon_sym_where] = ACTIONS(11609),
    [anon_sym_AT] = ACTIONS(11609),
    [anon_sym_true] = ACTIONS(11609),
    [anon_sym_false] = ACTIONS(11609),
    [aux_sym_integer_literal_token1] = ACTIONS(11609),
    [aux_sym_integer_literal_token2] = ACTIONS(11609),
    [aux_sym_integer_literal_token3] = ACTIONS(11609),
    [aux_sym_integer_literal_token4] = ACTIONS(11609),
    [aux_sym_float_literal_token1] = ACTIONS(11609),
    [aux_sym_float_literal_token3] = ACTIONS(11609),
    [aux_sym_float_literal_token4] = ACTIONS(11609),
    [sym_character_literal] = ACTIONS(11609),
    [anon_sym_DQUOTE] = ACTIONS(11609),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11609),
    [anon_sym_BQUOTE] = ACTIONS(11609),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11609),
    [sym__pair_operator] = ACTIONS(11609),
    [sym__arrow_operator] = ACTIONS(11609),
    [sym__lazy_or_operator] = ACTIONS(11609),
    [sym__lazy_and_operator] = ACTIONS(11609),
    [sym__comparison_operator] = ACTIONS(11609),
    [sym__pipe_right_operator] = ACTIONS(11609),
    [sym__pipe_left_operator] = ACTIONS(11609),
    [sym__ellipsis_operator] = ACTIONS(11609),
    [sym__plus_operator] = ACTIONS(11609),
    [sym__times_operator] = ACTIONS(11609),
    [sym__rational_operator] = ACTIONS(11609),
    [sym__bitshift_operator] = ACTIONS(11609),
    [sym__power_operator] = ACTIONS(11609),
    [sym__tilde_operator] = ACTIONS(11609),
    [sym__type_order_operator] = ACTIONS(11609),
    [sym__unary_operator] = ACTIONS(11609),
    [sym__unary_plus_operator] = ACTIONS(11609),
    [aux_sym__terminator_token1] = ACTIONS(11611),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9172] = {
    [sym_block_comment] = STATE(9172),
    [sym_line_comment] = STATE(9172),
    [sym__word_identifier] = ACTIONS(11316),
    [anon_sym_COMMA] = ACTIONS(11316),
    [anon_sym_EQ] = ACTIONS(11316),
    [anon_sym_begin] = ACTIONS(11316),
    [anon_sym_module] = ACTIONS(11316),
    [anon_sym_baremodule] = ACTIONS(11316),
    [anon_sym_end] = ACTIONS(11316),
    [anon_sym_abstract] = ACTIONS(11316),
    [anon_sym_primitive] = ACTIONS(11316),
    [anon_sym_mutable] = ACTIONS(11316),
    [anon_sym_struct] = ACTIONS(11316),
    [anon_sym_function] = ACTIONS(11316),
    [anon_sym_macro] = ACTIONS(11316),
    [anon_sym_quote] = ACTIONS(11316),
    [anon_sym_let] = ACTIONS(11316),
    [anon_sym_if] = ACTIONS(11316),
    [anon_sym_try] = ACTIONS(11316),
    [anon_sym_finally] = ACTIONS(11316),
    [anon_sym_for] = ACTIONS(11316),
    [anon_sym_while] = ACTIONS(11316),
    [sym_break_statement] = ACTIONS(11316),
    [sym_continue_statement] = ACTIONS(11316),
    [anon_sym_return] = ACTIONS(11316),
    [anon_sym_const] = ACTIONS(11316),
    [anon_sym_global] = ACTIONS(11316),
    [anon_sym_local] = ACTIONS(11316),
    [anon_sym_LPAREN] = ACTIONS(11316),
    [anon_sym_COLON] = ACTIONS(11316),
    [anon_sym_export] = ACTIONS(11316),
    [anon_sym_public] = ACTIONS(11316),
    [anon_sym_import] = ACTIONS(11316),
    [anon_sym_using] = ACTIONS(11316),
    [anon_sym_LBRACK] = ACTIONS(11316),
    [anon_sym_in] = ACTIONS(11316),
    [anon_sym_SEMI] = ACTIONS(11316),
    [anon_sym_LBRACE] = ACTIONS(11316),
    [anon_sym_DOLLAR] = ACTIONS(11316),
    [anon_sym_COLON2] = ACTIONS(11316),
    [anon_sym_COLON_COLON] = ACTIONS(11316),
    [anon_sym_isa] = ACTIONS(11316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11316),
    [anon_sym_QMARK] = ACTIONS(11316),
    [anon_sym_where] = ACTIONS(11316),
    [anon_sym_AT] = ACTIONS(11316),
    [anon_sym_true] = ACTIONS(11316),
    [anon_sym_false] = ACTIONS(11316),
    [aux_sym_integer_literal_token1] = ACTIONS(11316),
    [aux_sym_integer_literal_token2] = ACTIONS(11316),
    [aux_sym_integer_literal_token3] = ACTIONS(11316),
    [aux_sym_integer_literal_token4] = ACTIONS(11316),
    [aux_sym_float_literal_token1] = ACTIONS(11316),
    [aux_sym_float_literal_token3] = ACTIONS(11316),
    [aux_sym_float_literal_token4] = ACTIONS(11316),
    [sym_character_literal] = ACTIONS(11316),
    [anon_sym_DQUOTE] = ACTIONS(11316),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11316),
    [anon_sym_BQUOTE] = ACTIONS(11316),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11316),
    [sym__pair_operator] = ACTIONS(11316),
    [sym__arrow_operator] = ACTIONS(11316),
    [sym__lazy_or_operator] = ACTIONS(11316),
    [sym__lazy_and_operator] = ACTIONS(11316),
    [sym__comparison_operator] = ACTIONS(11316),
    [sym__pipe_right_operator] = ACTIONS(11316),
    [sym__pipe_left_operator] = ACTIONS(11316),
    [sym__ellipsis_operator] = ACTIONS(11316),
    [sym__plus_operator] = ACTIONS(11316),
    [sym__times_operator] = ACTIONS(11316),
    [sym__rational_operator] = ACTIONS(11316),
    [sym__bitshift_operator] = ACTIONS(11316),
    [sym__power_operator] = ACTIONS(11316),
    [sym__tilde_operator] = ACTIONS(11316),
    [sym__type_order_operator] = ACTIONS(11316),
    [sym__unary_operator] = ACTIONS(11316),
    [sym__unary_plus_operator] = ACTIONS(11316),
    [aux_sym__terminator_token1] = ACTIONS(11318),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9173] = {
    [sym_block_comment] = STATE(9173),
    [sym_line_comment] = STATE(9173),
    [sym__word_identifier] = ACTIONS(11320),
    [anon_sym_COMMA] = ACTIONS(11320),
    [anon_sym_EQ] = ACTIONS(11320),
    [anon_sym_begin] = ACTIONS(11320),
    [anon_sym_module] = ACTIONS(11320),
    [anon_sym_baremodule] = ACTIONS(11320),
    [anon_sym_end] = ACTIONS(11320),
    [anon_sym_abstract] = ACTIONS(11320),
    [anon_sym_primitive] = ACTIONS(11320),
    [anon_sym_mutable] = ACTIONS(11320),
    [anon_sym_struct] = ACTIONS(11320),
    [anon_sym_function] = ACTIONS(11320),
    [anon_sym_macro] = ACTIONS(11320),
    [anon_sym_quote] = ACTIONS(11320),
    [anon_sym_let] = ACTIONS(11320),
    [anon_sym_if] = ACTIONS(11320),
    [anon_sym_try] = ACTIONS(11320),
    [anon_sym_finally] = ACTIONS(11320),
    [anon_sym_for] = ACTIONS(11320),
    [anon_sym_while] = ACTIONS(11320),
    [sym_break_statement] = ACTIONS(11320),
    [sym_continue_statement] = ACTIONS(11320),
    [anon_sym_return] = ACTIONS(11320),
    [anon_sym_const] = ACTIONS(11320),
    [anon_sym_global] = ACTIONS(11320),
    [anon_sym_local] = ACTIONS(11320),
    [anon_sym_LPAREN] = ACTIONS(11320),
    [anon_sym_COLON] = ACTIONS(11320),
    [anon_sym_export] = ACTIONS(11320),
    [anon_sym_public] = ACTIONS(11320),
    [anon_sym_import] = ACTIONS(11320),
    [anon_sym_using] = ACTIONS(11320),
    [anon_sym_LBRACK] = ACTIONS(11320),
    [anon_sym_in] = ACTIONS(11320),
    [anon_sym_SEMI] = ACTIONS(11320),
    [anon_sym_LBRACE] = ACTIONS(11320),
    [anon_sym_DOLLAR] = ACTIONS(11320),
    [anon_sym_COLON2] = ACTIONS(11320),
    [anon_sym_COLON_COLON] = ACTIONS(11320),
    [anon_sym_isa] = ACTIONS(11320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11320),
    [anon_sym_QMARK] = ACTIONS(11320),
    [anon_sym_where] = ACTIONS(11320),
    [anon_sym_AT] = ACTIONS(11320),
    [anon_sym_true] = ACTIONS(11320),
    [anon_sym_false] = ACTIONS(11320),
    [aux_sym_integer_literal_token1] = ACTIONS(11320),
    [aux_sym_integer_literal_token2] = ACTIONS(11320),
    [aux_sym_integer_literal_token3] = ACTIONS(11320),
    [aux_sym_integer_literal_token4] = ACTIONS(11320),
    [aux_sym_float_literal_token1] = ACTIONS(11320),
    [aux_sym_float_literal_token3] = ACTIONS(11320),
    [aux_sym_float_literal_token4] = ACTIONS(11320),
    [sym_character_literal] = ACTIONS(11320),
    [anon_sym_DQUOTE] = ACTIONS(11320),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11320),
    [anon_sym_BQUOTE] = ACTIONS(11320),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11320),
    [sym__pair_operator] = ACTIONS(11320),
    [sym__arrow_operator] = ACTIONS(11320),
    [sym__lazy_or_operator] = ACTIONS(11320),
    [sym__lazy_and_operator] = ACTIONS(11320),
    [sym__comparison_operator] = ACTIONS(11320),
    [sym__pipe_right_operator] = ACTIONS(11320),
    [sym__pipe_left_operator] = ACTIONS(11320),
    [sym__ellipsis_operator] = ACTIONS(11320),
    [sym__plus_operator] = ACTIONS(11320),
    [sym__times_operator] = ACTIONS(11320),
    [sym__rational_operator] = ACTIONS(11320),
    [sym__bitshift_operator] = ACTIONS(11320),
    [sym__power_operator] = ACTIONS(11320),
    [sym__tilde_operator] = ACTIONS(11320),
    [sym__type_order_operator] = ACTIONS(11320),
    [sym__unary_operator] = ACTIONS(11320),
    [sym__unary_plus_operator] = ACTIONS(11320),
    [aux_sym__terminator_token1] = ACTIONS(11322),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9174] = {
    [sym_block_comment] = STATE(9174),
    [sym_line_comment] = STATE(9174),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10443),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9175] = {
    [sym_block_comment] = STATE(9175),
    [sym_line_comment] = STATE(9175),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12618),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12632),
    [sym__pipe_left_operator] = ACTIONS(12634),
    [sym__ellipsis_operator] = ACTIONS(12636),
    [sym__plus_operator] = ACTIONS(12638),
    [sym__times_operator] = ACTIONS(12640),
    [sym__rational_operator] = ACTIONS(12642),
    [sym__bitshift_operator] = ACTIONS(12644),
    [sym__power_operator] = ACTIONS(12542),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12638),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9176] = {
    [sym_block_comment] = STATE(9176),
    [sym_line_comment] = STATE(9176),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_end] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_elseif] = ACTIONS(11876),
    [anon_sym_else] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(12618),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(12620),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(12620),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(12620),
    [sym__pipe_right_operator] = ACTIONS(12632),
    [sym__pipe_left_operator] = ACTIONS(12634),
    [sym__ellipsis_operator] = ACTIONS(12636),
    [sym__plus_operator] = ACTIONS(12638),
    [sym__times_operator] = ACTIONS(12640),
    [sym__rational_operator] = ACTIONS(12642),
    [sym__bitshift_operator] = ACTIONS(12644),
    [sym__power_operator] = ACTIONS(12542),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(12620),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12638),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9177] = {
    [sym_block_comment] = STATE(9177),
    [sym_line_comment] = STATE(9177),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12618),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12620),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(12620),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12622),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(12626),
    [sym__lazy_or_operator] = ACTIONS(12628),
    [sym__lazy_and_operator] = ACTIONS(12630),
    [sym__comparison_operator] = ACTIONS(12620),
    [sym__pipe_right_operator] = ACTIONS(12632),
    [sym__pipe_left_operator] = ACTIONS(12634),
    [sym__ellipsis_operator] = ACTIONS(12636),
    [sym__plus_operator] = ACTIONS(12638),
    [sym__times_operator] = ACTIONS(12640),
    [sym__rational_operator] = ACTIONS(12642),
    [sym__bitshift_operator] = ACTIONS(12644),
    [sym__power_operator] = ACTIONS(12542),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12620),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12638),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9178] = {
    [sym_block_comment] = STATE(9178),
    [sym_line_comment] = STATE(9178),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12618),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12620),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(12620),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12622),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(12630),
    [sym__comparison_operator] = ACTIONS(12620),
    [sym__pipe_right_operator] = ACTIONS(12632),
    [sym__pipe_left_operator] = ACTIONS(12634),
    [sym__ellipsis_operator] = ACTIONS(12636),
    [sym__plus_operator] = ACTIONS(12638),
    [sym__times_operator] = ACTIONS(12640),
    [sym__rational_operator] = ACTIONS(12642),
    [sym__bitshift_operator] = ACTIONS(12644),
    [sym__power_operator] = ACTIONS(12542),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12620),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12638),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9179] = {
    [sym_block_comment] = STATE(9179),
    [sym_line_comment] = STATE(9179),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12618),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12620),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(12620),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12622),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(12620),
    [sym__pipe_right_operator] = ACTIONS(12632),
    [sym__pipe_left_operator] = ACTIONS(12634),
    [sym__ellipsis_operator] = ACTIONS(12636),
    [sym__plus_operator] = ACTIONS(12638),
    [sym__times_operator] = ACTIONS(12640),
    [sym__rational_operator] = ACTIONS(12642),
    [sym__bitshift_operator] = ACTIONS(12644),
    [sym__power_operator] = ACTIONS(12542),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12620),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12638),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9180] = {
    [sym_block_comment] = STATE(9180),
    [sym_line_comment] = STATE(9180),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12618),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(12636),
    [sym__plus_operator] = ACTIONS(12638),
    [sym__times_operator] = ACTIONS(12640),
    [sym__rational_operator] = ACTIONS(12642),
    [sym__bitshift_operator] = ACTIONS(12644),
    [sym__power_operator] = ACTIONS(12542),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12638),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9181] = {
    [sym_block_comment] = STATE(9181),
    [sym_line_comment] = STATE(9181),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12618),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12632),
    [sym__pipe_left_operator] = ACTIONS(12634),
    [sym__ellipsis_operator] = ACTIONS(12636),
    [sym__plus_operator] = ACTIONS(12638),
    [sym__times_operator] = ACTIONS(12640),
    [sym__rational_operator] = ACTIONS(12642),
    [sym__bitshift_operator] = ACTIONS(12644),
    [sym__power_operator] = ACTIONS(12542),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12638),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9182] = {
    [sym_block_comment] = STATE(9182),
    [sym_line_comment] = STATE(9182),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10493),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
  },
  [9183] = {
    [sym_block_comment] = STATE(9183),
    [sym_line_comment] = STATE(9183),
    [sym__word_identifier] = ACTIONS(11613),
    [anon_sym_COMMA] = ACTIONS(11613),
    [anon_sym_EQ] = ACTIONS(11613),
    [anon_sym_begin] = ACTIONS(11613),
    [anon_sym_module] = ACTIONS(11613),
    [anon_sym_baremodule] = ACTIONS(11613),
    [anon_sym_abstract] = ACTIONS(11613),
    [anon_sym_primitive] = ACTIONS(11613),
    [anon_sym_mutable] = ACTIONS(11613),
    [anon_sym_struct] = ACTIONS(11613),
    [anon_sym_function] = ACTIONS(11613),
    [anon_sym_macro] = ACTIONS(11613),
    [anon_sym_quote] = ACTIONS(11613),
    [anon_sym_let] = ACTIONS(11613),
    [anon_sym_if] = ACTIONS(11613),
    [anon_sym_try] = ACTIONS(11613),
    [anon_sym_catch] = ACTIONS(11613),
    [anon_sym_finally] = ACTIONS(11613),
    [anon_sym_for] = ACTIONS(11613),
    [anon_sym_while] = ACTIONS(11613),
    [sym_break_statement] = ACTIONS(11613),
    [sym_continue_statement] = ACTIONS(11613),
    [anon_sym_return] = ACTIONS(11613),
    [anon_sym_const] = ACTIONS(11613),
    [anon_sym_global] = ACTIONS(11613),
    [anon_sym_local] = ACTIONS(11613),
    [anon_sym_LPAREN] = ACTIONS(11613),
    [anon_sym_COLON] = ACTIONS(11613),
    [anon_sym_export] = ACTIONS(11613),
    [anon_sym_public] = ACTIONS(11613),
    [anon_sym_import] = ACTIONS(11613),
    [anon_sym_using] = ACTIONS(11613),
    [anon_sym_LBRACK] = ACTIONS(11613),
    [anon_sym_in] = ACTIONS(11613),
    [anon_sym_SEMI] = ACTIONS(11613),
    [anon_sym_LBRACE] = ACTIONS(11613),
    [anon_sym_DOLLAR] = ACTIONS(11613),
    [anon_sym_COLON2] = ACTIONS(11613),
    [anon_sym_COLON_COLON] = ACTIONS(11613),
    [anon_sym_isa] = ACTIONS(11613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11613),
    [anon_sym_QMARK] = ACTIONS(11613),
    [anon_sym_where] = ACTIONS(11613),
    [anon_sym_AT] = ACTIONS(11613),
    [anon_sym_true] = ACTIONS(11613),
    [anon_sym_false] = ACTIONS(11613),
    [aux_sym_integer_literal_token1] = ACTIONS(11613),
    [aux_sym_integer_literal_token2] = ACTIONS(11613),
    [aux_sym_integer_literal_token3] = ACTIONS(11613),
    [aux_sym_integer_literal_token4] = ACTIONS(11613),
    [aux_sym_float_literal_token1] = ACTIONS(11613),
    [aux_sym_float_literal_token3] = ACTIONS(11613),
    [aux_sym_float_literal_token4] = ACTIONS(11613),
    [sym_character_literal] = ACTIONS(11613),
    [anon_sym_DQUOTE] = ACTIONS(11613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11613),
    [anon_sym_BQUOTE] = ACTIONS(11613),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11613),
    [sym__pair_operator] = ACTIONS(11613),
    [sym__arrow_operator] = ACTIONS(11613),
    [sym__lazy_or_operator] = ACTIONS(11613),
    [sym__lazy_and_operator] = ACTIONS(11613),
    [sym__comparison_operator] = ACTIONS(11613),
    [sym__pipe_right_operator] = ACTIONS(11613),
    [sym__pipe_left_operator] = ACTIONS(11613),
    [sym__ellipsis_operator] = ACTIONS(11613),
    [sym__plus_operator] = ACTIONS(11613),
    [sym__times_operator] = ACTIONS(11613),
    [sym__rational_operator] = ACTIONS(11613),
    [sym__bitshift_operator] = ACTIONS(11613),
    [sym__power_operator] = ACTIONS(11613),
    [sym__tilde_operator] = ACTIONS(11613),
    [sym__type_order_operator] = ACTIONS(11613),
    [sym__unary_operator] = ACTIONS(11613),
    [sym__unary_plus_operator] = ACTIONS(11613),
    [aux_sym__terminator_token1] = ACTIONS(11615),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9184] = {
    [sym_block_comment] = STATE(9184),
    [sym_line_comment] = STATE(9184),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
  },
  [9185] = {
    [sym_block_comment] = STATE(9185),
    [sym_line_comment] = STATE(9185),
    [sym__word_identifier] = ACTIONS(11617),
    [anon_sym_COMMA] = ACTIONS(11617),
    [anon_sym_EQ] = ACTIONS(11617),
    [anon_sym_begin] = ACTIONS(11617),
    [anon_sym_module] = ACTIONS(11617),
    [anon_sym_baremodule] = ACTIONS(11617),
    [anon_sym_abstract] = ACTIONS(11617),
    [anon_sym_primitive] = ACTIONS(11617),
    [anon_sym_mutable] = ACTIONS(11617),
    [anon_sym_struct] = ACTIONS(11617),
    [anon_sym_function] = ACTIONS(11617),
    [anon_sym_macro] = ACTIONS(11617),
    [anon_sym_quote] = ACTIONS(11617),
    [anon_sym_let] = ACTIONS(11617),
    [anon_sym_if] = ACTIONS(11617),
    [anon_sym_try] = ACTIONS(11617),
    [anon_sym_catch] = ACTIONS(11617),
    [anon_sym_finally] = ACTIONS(11617),
    [anon_sym_for] = ACTIONS(11617),
    [anon_sym_while] = ACTIONS(11617),
    [sym_break_statement] = ACTIONS(11617),
    [sym_continue_statement] = ACTIONS(11617),
    [anon_sym_return] = ACTIONS(11617),
    [anon_sym_const] = ACTIONS(11617),
    [anon_sym_global] = ACTIONS(11617),
    [anon_sym_local] = ACTIONS(11617),
    [anon_sym_LPAREN] = ACTIONS(11617),
    [anon_sym_COLON] = ACTIONS(11617),
    [anon_sym_export] = ACTIONS(11617),
    [anon_sym_public] = ACTIONS(11617),
    [anon_sym_import] = ACTIONS(11617),
    [anon_sym_using] = ACTIONS(11617),
    [anon_sym_LBRACK] = ACTIONS(11617),
    [anon_sym_in] = ACTIONS(11617),
    [anon_sym_SEMI] = ACTIONS(11617),
    [anon_sym_LBRACE] = ACTIONS(11617),
    [anon_sym_DOLLAR] = ACTIONS(11617),
    [anon_sym_COLON2] = ACTIONS(11617),
    [anon_sym_COLON_COLON] = ACTIONS(11617),
    [anon_sym_isa] = ACTIONS(11617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11617),
    [anon_sym_QMARK] = ACTIONS(11617),
    [anon_sym_where] = ACTIONS(11617),
    [anon_sym_AT] = ACTIONS(11617),
    [anon_sym_true] = ACTIONS(11617),
    [anon_sym_false] = ACTIONS(11617),
    [aux_sym_integer_literal_token1] = ACTIONS(11617),
    [aux_sym_integer_literal_token2] = ACTIONS(11617),
    [aux_sym_integer_literal_token3] = ACTIONS(11617),
    [aux_sym_integer_literal_token4] = ACTIONS(11617),
    [aux_sym_float_literal_token1] = ACTIONS(11617),
    [aux_sym_float_literal_token3] = ACTIONS(11617),
    [aux_sym_float_literal_token4] = ACTIONS(11617),
    [sym_character_literal] = ACTIONS(11617),
    [anon_sym_DQUOTE] = ACTIONS(11617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11617),
    [anon_sym_BQUOTE] = ACTIONS(11617),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11617),
    [sym__pair_operator] = ACTIONS(11617),
    [sym__arrow_operator] = ACTIONS(11617),
    [sym__lazy_or_operator] = ACTIONS(11617),
    [sym__lazy_and_operator] = ACTIONS(11617),
    [sym__comparison_operator] = ACTIONS(11617),
    [sym__pipe_right_operator] = ACTIONS(11617),
    [sym__pipe_left_operator] = ACTIONS(11617),
    [sym__ellipsis_operator] = ACTIONS(11617),
    [sym__plus_operator] = ACTIONS(11617),
    [sym__times_operator] = ACTIONS(11617),
    [sym__rational_operator] = ACTIONS(11617),
    [sym__bitshift_operator] = ACTIONS(11617),
    [sym__power_operator] = ACTIONS(11617),
    [sym__tilde_operator] = ACTIONS(11617),
    [sym__type_order_operator] = ACTIONS(11617),
    [sym__unary_operator] = ACTIONS(11617),
    [sym__unary_plus_operator] = ACTIONS(11617),
    [aux_sym__terminator_token1] = ACTIONS(11619),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9186] = {
    [sym_block_comment] = STATE(9186),
    [sym_line_comment] = STATE(9186),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(10295),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_finally] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9187] = {
    [sym_block_comment] = STATE(9187),
    [sym_line_comment] = STATE(9187),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_finally] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9188] = {
    [sym_block_comment] = STATE(9188),
    [sym_line_comment] = STATE(9188),
    [sym__word_identifier] = ACTIONS(11621),
    [anon_sym_COMMA] = ACTIONS(11621),
    [anon_sym_EQ] = ACTIONS(11621),
    [anon_sym_begin] = ACTIONS(11621),
    [anon_sym_module] = ACTIONS(11621),
    [anon_sym_baremodule] = ACTIONS(11621),
    [anon_sym_abstract] = ACTIONS(11621),
    [anon_sym_primitive] = ACTIONS(11621),
    [anon_sym_mutable] = ACTIONS(11621),
    [anon_sym_struct] = ACTIONS(11621),
    [anon_sym_function] = ACTIONS(11621),
    [anon_sym_macro] = ACTIONS(11621),
    [anon_sym_quote] = ACTIONS(11621),
    [anon_sym_let] = ACTIONS(11621),
    [anon_sym_if] = ACTIONS(11621),
    [anon_sym_try] = ACTIONS(11621),
    [anon_sym_catch] = ACTIONS(11621),
    [anon_sym_finally] = ACTIONS(11621),
    [anon_sym_for] = ACTIONS(11621),
    [anon_sym_while] = ACTIONS(11621),
    [sym_break_statement] = ACTIONS(11621),
    [sym_continue_statement] = ACTIONS(11621),
    [anon_sym_return] = ACTIONS(11621),
    [anon_sym_const] = ACTIONS(11621),
    [anon_sym_global] = ACTIONS(11621),
    [anon_sym_local] = ACTIONS(11621),
    [anon_sym_LPAREN] = ACTIONS(11621),
    [anon_sym_COLON] = ACTIONS(11621),
    [anon_sym_export] = ACTIONS(11621),
    [anon_sym_public] = ACTIONS(11621),
    [anon_sym_import] = ACTIONS(11621),
    [anon_sym_using] = ACTIONS(11621),
    [anon_sym_LBRACK] = ACTIONS(11621),
    [anon_sym_in] = ACTIONS(11621),
    [anon_sym_SEMI] = ACTIONS(11621),
    [anon_sym_LBRACE] = ACTIONS(11621),
    [anon_sym_DOLLAR] = ACTIONS(11621),
    [anon_sym_COLON2] = ACTIONS(11621),
    [anon_sym_COLON_COLON] = ACTIONS(11621),
    [anon_sym_isa] = ACTIONS(11621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11621),
    [anon_sym_QMARK] = ACTIONS(11621),
    [anon_sym_where] = ACTIONS(11621),
    [anon_sym_AT] = ACTIONS(11621),
    [anon_sym_true] = ACTIONS(11621),
    [anon_sym_false] = ACTIONS(11621),
    [aux_sym_integer_literal_token1] = ACTIONS(11621),
    [aux_sym_integer_literal_token2] = ACTIONS(11621),
    [aux_sym_integer_literal_token3] = ACTIONS(11621),
    [aux_sym_integer_literal_token4] = ACTIONS(11621),
    [aux_sym_float_literal_token1] = ACTIONS(11621),
    [aux_sym_float_literal_token3] = ACTIONS(11621),
    [aux_sym_float_literal_token4] = ACTIONS(11621),
    [sym_character_literal] = ACTIONS(11621),
    [anon_sym_DQUOTE] = ACTIONS(11621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11621),
    [anon_sym_BQUOTE] = ACTIONS(11621),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11621),
    [sym__pair_operator] = ACTIONS(11621),
    [sym__arrow_operator] = ACTIONS(11621),
    [sym__lazy_or_operator] = ACTIONS(11621),
    [sym__lazy_and_operator] = ACTIONS(11621),
    [sym__comparison_operator] = ACTIONS(11621),
    [sym__pipe_right_operator] = ACTIONS(11621),
    [sym__pipe_left_operator] = ACTIONS(11621),
    [sym__ellipsis_operator] = ACTIONS(11621),
    [sym__plus_operator] = ACTIONS(11621),
    [sym__times_operator] = ACTIONS(11621),
    [sym__rational_operator] = ACTIONS(11621),
    [sym__bitshift_operator] = ACTIONS(11621),
    [sym__power_operator] = ACTIONS(11621),
    [sym__tilde_operator] = ACTIONS(11621),
    [sym__type_order_operator] = ACTIONS(11621),
    [sym__unary_operator] = ACTIONS(11621),
    [sym__unary_plus_operator] = ACTIONS(11621),
    [aux_sym__terminator_token1] = ACTIONS(11623),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9189] = {
    [sym_block_comment] = STATE(9189),
    [sym_line_comment] = STATE(9189),
    [aux_sym_open_tuple_repeat1] = STATE(8311),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(12335),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_finally] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12528),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9190] = {
    [sym_block_comment] = STATE(9190),
    [sym_line_comment] = STATE(9190),
    [sym__word_identifier] = ACTIONS(11625),
    [anon_sym_COMMA] = ACTIONS(11625),
    [anon_sym_EQ] = ACTIONS(11625),
    [anon_sym_begin] = ACTIONS(11625),
    [anon_sym_module] = ACTIONS(11625),
    [anon_sym_baremodule] = ACTIONS(11625),
    [anon_sym_abstract] = ACTIONS(11625),
    [anon_sym_primitive] = ACTIONS(11625),
    [anon_sym_mutable] = ACTIONS(11625),
    [anon_sym_struct] = ACTIONS(11625),
    [anon_sym_function] = ACTIONS(11625),
    [anon_sym_macro] = ACTIONS(11625),
    [anon_sym_quote] = ACTIONS(11625),
    [anon_sym_let] = ACTIONS(11625),
    [anon_sym_if] = ACTIONS(11625),
    [anon_sym_try] = ACTIONS(11625),
    [anon_sym_catch] = ACTIONS(11625),
    [anon_sym_finally] = ACTIONS(11625),
    [anon_sym_for] = ACTIONS(11625),
    [anon_sym_while] = ACTIONS(11625),
    [sym_break_statement] = ACTIONS(11625),
    [sym_continue_statement] = ACTIONS(11625),
    [anon_sym_return] = ACTIONS(11625),
    [anon_sym_const] = ACTIONS(11625),
    [anon_sym_global] = ACTIONS(11625),
    [anon_sym_local] = ACTIONS(11625),
    [anon_sym_LPAREN] = ACTIONS(11625),
    [anon_sym_COLON] = ACTIONS(11625),
    [anon_sym_export] = ACTIONS(11625),
    [anon_sym_public] = ACTIONS(11625),
    [anon_sym_import] = ACTIONS(11625),
    [anon_sym_using] = ACTIONS(11625),
    [anon_sym_LBRACK] = ACTIONS(11625),
    [anon_sym_in] = ACTIONS(11625),
    [anon_sym_SEMI] = ACTIONS(11625),
    [anon_sym_LBRACE] = ACTIONS(11625),
    [anon_sym_DOLLAR] = ACTIONS(11625),
    [anon_sym_COLON2] = ACTIONS(11625),
    [anon_sym_COLON_COLON] = ACTIONS(11625),
    [anon_sym_isa] = ACTIONS(11625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11625),
    [anon_sym_QMARK] = ACTIONS(11625),
    [anon_sym_where] = ACTIONS(11625),
    [anon_sym_AT] = ACTIONS(11625),
    [anon_sym_true] = ACTIONS(11625),
    [anon_sym_false] = ACTIONS(11625),
    [aux_sym_integer_literal_token1] = ACTIONS(11625),
    [aux_sym_integer_literal_token2] = ACTIONS(11625),
    [aux_sym_integer_literal_token3] = ACTIONS(11625),
    [aux_sym_integer_literal_token4] = ACTIONS(11625),
    [aux_sym_float_literal_token1] = ACTIONS(11625),
    [aux_sym_float_literal_token3] = ACTIONS(11625),
    [aux_sym_float_literal_token4] = ACTIONS(11625),
    [sym_character_literal] = ACTIONS(11625),
    [anon_sym_DQUOTE] = ACTIONS(11625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11625),
    [anon_sym_BQUOTE] = ACTIONS(11625),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11625),
    [sym__pair_operator] = ACTIONS(11625),
    [sym__arrow_operator] = ACTIONS(11625),
    [sym__lazy_or_operator] = ACTIONS(11625),
    [sym__lazy_and_operator] = ACTIONS(11625),
    [sym__comparison_operator] = ACTIONS(11625),
    [sym__pipe_right_operator] = ACTIONS(11625),
    [sym__pipe_left_operator] = ACTIONS(11625),
    [sym__ellipsis_operator] = ACTIONS(11625),
    [sym__plus_operator] = ACTIONS(11625),
    [sym__times_operator] = ACTIONS(11625),
    [sym__rational_operator] = ACTIONS(11625),
    [sym__bitshift_operator] = ACTIONS(11625),
    [sym__power_operator] = ACTIONS(11625),
    [sym__tilde_operator] = ACTIONS(11625),
    [sym__type_order_operator] = ACTIONS(11625),
    [sym__unary_operator] = ACTIONS(11625),
    [sym__unary_plus_operator] = ACTIONS(11625),
    [aux_sym__terminator_token1] = ACTIONS(11627),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9191] = {
    [sym_block_comment] = STATE(9191),
    [sym_line_comment] = STATE(9191),
    [sym__word_identifier] = ACTIONS(11629),
    [anon_sym_COMMA] = ACTIONS(11629),
    [anon_sym_EQ] = ACTIONS(11629),
    [anon_sym_begin] = ACTIONS(11629),
    [anon_sym_module] = ACTIONS(11629),
    [anon_sym_baremodule] = ACTIONS(11629),
    [anon_sym_abstract] = ACTIONS(11629),
    [anon_sym_primitive] = ACTIONS(11629),
    [anon_sym_mutable] = ACTIONS(11629),
    [anon_sym_struct] = ACTIONS(11629),
    [anon_sym_function] = ACTIONS(11629),
    [anon_sym_macro] = ACTIONS(11629),
    [anon_sym_quote] = ACTIONS(11629),
    [anon_sym_let] = ACTIONS(11629),
    [anon_sym_if] = ACTIONS(11629),
    [anon_sym_try] = ACTIONS(11629),
    [anon_sym_catch] = ACTIONS(11629),
    [anon_sym_finally] = ACTIONS(11629),
    [anon_sym_for] = ACTIONS(11629),
    [anon_sym_while] = ACTIONS(11629),
    [sym_break_statement] = ACTIONS(11629),
    [sym_continue_statement] = ACTIONS(11629),
    [anon_sym_return] = ACTIONS(11629),
    [anon_sym_const] = ACTIONS(11629),
    [anon_sym_global] = ACTIONS(11629),
    [anon_sym_local] = ACTIONS(11629),
    [anon_sym_LPAREN] = ACTIONS(11629),
    [anon_sym_COLON] = ACTIONS(11629),
    [anon_sym_export] = ACTIONS(11629),
    [anon_sym_public] = ACTIONS(11629),
    [anon_sym_import] = ACTIONS(11629),
    [anon_sym_using] = ACTIONS(11629),
    [anon_sym_LBRACK] = ACTIONS(11629),
    [anon_sym_in] = ACTIONS(11629),
    [anon_sym_SEMI] = ACTIONS(11629),
    [anon_sym_LBRACE] = ACTIONS(11629),
    [anon_sym_DOLLAR] = ACTIONS(11629),
    [anon_sym_COLON2] = ACTIONS(11629),
    [anon_sym_COLON_COLON] = ACTIONS(11629),
    [anon_sym_isa] = ACTIONS(11629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11629),
    [anon_sym_QMARK] = ACTIONS(11629),
    [anon_sym_where] = ACTIONS(11629),
    [anon_sym_AT] = ACTIONS(11629),
    [anon_sym_true] = ACTIONS(11629),
    [anon_sym_false] = ACTIONS(11629),
    [aux_sym_integer_literal_token1] = ACTIONS(11629),
    [aux_sym_integer_literal_token2] = ACTIONS(11629),
    [aux_sym_integer_literal_token3] = ACTIONS(11629),
    [aux_sym_integer_literal_token4] = ACTIONS(11629),
    [aux_sym_float_literal_token1] = ACTIONS(11629),
    [aux_sym_float_literal_token3] = ACTIONS(11629),
    [aux_sym_float_literal_token4] = ACTIONS(11629),
    [sym_character_literal] = ACTIONS(11629),
    [anon_sym_DQUOTE] = ACTIONS(11629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11629),
    [anon_sym_BQUOTE] = ACTIONS(11629),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11629),
    [sym__pair_operator] = ACTIONS(11629),
    [sym__arrow_operator] = ACTIONS(11629),
    [sym__lazy_or_operator] = ACTIONS(11629),
    [sym__lazy_and_operator] = ACTIONS(11629),
    [sym__comparison_operator] = ACTIONS(11629),
    [sym__pipe_right_operator] = ACTIONS(11629),
    [sym__pipe_left_operator] = ACTIONS(11629),
    [sym__ellipsis_operator] = ACTIONS(11629),
    [sym__plus_operator] = ACTIONS(11629),
    [sym__times_operator] = ACTIONS(11629),
    [sym__rational_operator] = ACTIONS(11629),
    [sym__bitshift_operator] = ACTIONS(11629),
    [sym__power_operator] = ACTIONS(11629),
    [sym__tilde_operator] = ACTIONS(11629),
    [sym__type_order_operator] = ACTIONS(11629),
    [sym__unary_operator] = ACTIONS(11629),
    [sym__unary_plus_operator] = ACTIONS(11629),
    [aux_sym__terminator_token1] = ACTIONS(11631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9192] = {
    [sym_block_comment] = STATE(9192),
    [sym_line_comment] = STATE(9192),
    [sym__word_identifier] = ACTIONS(11633),
    [anon_sym_COMMA] = ACTIONS(11633),
    [anon_sym_EQ] = ACTIONS(11633),
    [anon_sym_begin] = ACTIONS(11633),
    [anon_sym_module] = ACTIONS(11633),
    [anon_sym_baremodule] = ACTIONS(11633),
    [anon_sym_abstract] = ACTIONS(11633),
    [anon_sym_primitive] = ACTIONS(11633),
    [anon_sym_mutable] = ACTIONS(11633),
    [anon_sym_struct] = ACTIONS(11633),
    [anon_sym_function] = ACTIONS(11633),
    [anon_sym_macro] = ACTIONS(11633),
    [anon_sym_quote] = ACTIONS(11633),
    [anon_sym_let] = ACTIONS(11633),
    [anon_sym_if] = ACTIONS(11633),
    [anon_sym_try] = ACTIONS(11633),
    [anon_sym_catch] = ACTIONS(11633),
    [anon_sym_finally] = ACTIONS(11633),
    [anon_sym_for] = ACTIONS(11633),
    [anon_sym_while] = ACTIONS(11633),
    [sym_break_statement] = ACTIONS(11633),
    [sym_continue_statement] = ACTIONS(11633),
    [anon_sym_return] = ACTIONS(11633),
    [anon_sym_const] = ACTIONS(11633),
    [anon_sym_global] = ACTIONS(11633),
    [anon_sym_local] = ACTIONS(11633),
    [anon_sym_LPAREN] = ACTIONS(11633),
    [anon_sym_COLON] = ACTIONS(11633),
    [anon_sym_export] = ACTIONS(11633),
    [anon_sym_public] = ACTIONS(11633),
    [anon_sym_import] = ACTIONS(11633),
    [anon_sym_using] = ACTIONS(11633),
    [anon_sym_LBRACK] = ACTIONS(11633),
    [anon_sym_in] = ACTIONS(11633),
    [anon_sym_SEMI] = ACTIONS(11633),
    [anon_sym_LBRACE] = ACTIONS(11633),
    [anon_sym_DOLLAR] = ACTIONS(11633),
    [anon_sym_COLON2] = ACTIONS(11633),
    [anon_sym_COLON_COLON] = ACTIONS(11633),
    [anon_sym_isa] = ACTIONS(11633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11633),
    [anon_sym_QMARK] = ACTIONS(11633),
    [anon_sym_where] = ACTIONS(11633),
    [anon_sym_AT] = ACTIONS(11633),
    [anon_sym_true] = ACTIONS(11633),
    [anon_sym_false] = ACTIONS(11633),
    [aux_sym_integer_literal_token1] = ACTIONS(11633),
    [aux_sym_integer_literal_token2] = ACTIONS(11633),
    [aux_sym_integer_literal_token3] = ACTIONS(11633),
    [aux_sym_integer_literal_token4] = ACTIONS(11633),
    [aux_sym_float_literal_token1] = ACTIONS(11633),
    [aux_sym_float_literal_token3] = ACTIONS(11633),
    [aux_sym_float_literal_token4] = ACTIONS(11633),
    [sym_character_literal] = ACTIONS(11633),
    [anon_sym_DQUOTE] = ACTIONS(11633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11633),
    [anon_sym_BQUOTE] = ACTIONS(11633),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11633),
    [sym__pair_operator] = ACTIONS(11633),
    [sym__arrow_operator] = ACTIONS(11633),
    [sym__lazy_or_operator] = ACTIONS(11633),
    [sym__lazy_and_operator] = ACTIONS(11633),
    [sym__comparison_operator] = ACTIONS(11633),
    [sym__pipe_right_operator] = ACTIONS(11633),
    [sym__pipe_left_operator] = ACTIONS(11633),
    [sym__ellipsis_operator] = ACTIONS(11633),
    [sym__plus_operator] = ACTIONS(11633),
    [sym__times_operator] = ACTIONS(11633),
    [sym__rational_operator] = ACTIONS(11633),
    [sym__bitshift_operator] = ACTIONS(11633),
    [sym__power_operator] = ACTIONS(11633),
    [sym__tilde_operator] = ACTIONS(11633),
    [sym__type_order_operator] = ACTIONS(11633),
    [sym__unary_operator] = ACTIONS(11633),
    [sym__unary_plus_operator] = ACTIONS(11633),
    [aux_sym__terminator_token1] = ACTIONS(11635),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9193] = {
    [sym_block_comment] = STATE(9193),
    [sym_line_comment] = STATE(9193),
    [sym__word_identifier] = ACTIONS(11637),
    [anon_sym_COMMA] = ACTIONS(11637),
    [anon_sym_EQ] = ACTIONS(11637),
    [anon_sym_begin] = ACTIONS(11637),
    [anon_sym_module] = ACTIONS(11637),
    [anon_sym_baremodule] = ACTIONS(11637),
    [anon_sym_abstract] = ACTIONS(11637),
    [anon_sym_primitive] = ACTIONS(11637),
    [anon_sym_mutable] = ACTIONS(11637),
    [anon_sym_struct] = ACTIONS(11637),
    [anon_sym_function] = ACTIONS(11637),
    [anon_sym_macro] = ACTIONS(11637),
    [anon_sym_quote] = ACTIONS(11637),
    [anon_sym_let] = ACTIONS(11637),
    [anon_sym_if] = ACTIONS(11637),
    [anon_sym_try] = ACTIONS(11637),
    [anon_sym_catch] = ACTIONS(11637),
    [anon_sym_finally] = ACTIONS(11637),
    [anon_sym_for] = ACTIONS(11637),
    [anon_sym_while] = ACTIONS(11637),
    [sym_break_statement] = ACTIONS(11637),
    [sym_continue_statement] = ACTIONS(11637),
    [anon_sym_return] = ACTIONS(11637),
    [anon_sym_const] = ACTIONS(11637),
    [anon_sym_global] = ACTIONS(11637),
    [anon_sym_local] = ACTIONS(11637),
    [anon_sym_LPAREN] = ACTIONS(11637),
    [anon_sym_COLON] = ACTIONS(11637),
    [anon_sym_export] = ACTIONS(11637),
    [anon_sym_public] = ACTIONS(11637),
    [anon_sym_import] = ACTIONS(11637),
    [anon_sym_using] = ACTIONS(11637),
    [anon_sym_LBRACK] = ACTIONS(11637),
    [anon_sym_in] = ACTIONS(11637),
    [anon_sym_SEMI] = ACTIONS(11637),
    [anon_sym_LBRACE] = ACTIONS(11637),
    [anon_sym_DOLLAR] = ACTIONS(11637),
    [anon_sym_COLON2] = ACTIONS(11637),
    [anon_sym_COLON_COLON] = ACTIONS(11637),
    [anon_sym_isa] = ACTIONS(11637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11637),
    [anon_sym_QMARK] = ACTIONS(11637),
    [anon_sym_where] = ACTIONS(11637),
    [anon_sym_AT] = ACTIONS(11637),
    [anon_sym_true] = ACTIONS(11637),
    [anon_sym_false] = ACTIONS(11637),
    [aux_sym_integer_literal_token1] = ACTIONS(11637),
    [aux_sym_integer_literal_token2] = ACTIONS(11637),
    [aux_sym_integer_literal_token3] = ACTIONS(11637),
    [aux_sym_integer_literal_token4] = ACTIONS(11637),
    [aux_sym_float_literal_token1] = ACTIONS(11637),
    [aux_sym_float_literal_token3] = ACTIONS(11637),
    [aux_sym_float_literal_token4] = ACTIONS(11637),
    [sym_character_literal] = ACTIONS(11637),
    [anon_sym_DQUOTE] = ACTIONS(11637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11637),
    [anon_sym_BQUOTE] = ACTIONS(11637),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11637),
    [sym__pair_operator] = ACTIONS(11637),
    [sym__arrow_operator] = ACTIONS(11637),
    [sym__lazy_or_operator] = ACTIONS(11637),
    [sym__lazy_and_operator] = ACTIONS(11637),
    [sym__comparison_operator] = ACTIONS(11637),
    [sym__pipe_right_operator] = ACTIONS(11637),
    [sym__pipe_left_operator] = ACTIONS(11637),
    [sym__ellipsis_operator] = ACTIONS(11637),
    [sym__plus_operator] = ACTIONS(11637),
    [sym__times_operator] = ACTIONS(11637),
    [sym__rational_operator] = ACTIONS(11637),
    [sym__bitshift_operator] = ACTIONS(11637),
    [sym__power_operator] = ACTIONS(11637),
    [sym__tilde_operator] = ACTIONS(11637),
    [sym__type_order_operator] = ACTIONS(11637),
    [sym__unary_operator] = ACTIONS(11637),
    [sym__unary_plus_operator] = ACTIONS(11637),
    [aux_sym__terminator_token1] = ACTIONS(11639),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9194] = {
    [sym_block_comment] = STATE(9194),
    [sym_line_comment] = STATE(9194),
    [sym__word_identifier] = ACTIONS(11374),
    [anon_sym_COMMA] = ACTIONS(11374),
    [anon_sym_EQ] = ACTIONS(11374),
    [anon_sym_begin] = ACTIONS(11374),
    [anon_sym_module] = ACTIONS(11374),
    [anon_sym_baremodule] = ACTIONS(11374),
    [anon_sym_end] = ACTIONS(11374),
    [anon_sym_abstract] = ACTIONS(11374),
    [anon_sym_primitive] = ACTIONS(11374),
    [anon_sym_mutable] = ACTIONS(11374),
    [anon_sym_struct] = ACTIONS(11374),
    [anon_sym_function] = ACTIONS(11374),
    [anon_sym_macro] = ACTIONS(11374),
    [anon_sym_quote] = ACTIONS(11374),
    [anon_sym_let] = ACTIONS(11374),
    [anon_sym_if] = ACTIONS(11374),
    [anon_sym_try] = ACTIONS(11374),
    [anon_sym_finally] = ACTIONS(11374),
    [anon_sym_for] = ACTIONS(11374),
    [anon_sym_while] = ACTIONS(11374),
    [sym_break_statement] = ACTIONS(11374),
    [sym_continue_statement] = ACTIONS(11374),
    [anon_sym_return] = ACTIONS(11374),
    [anon_sym_const] = ACTIONS(11374),
    [anon_sym_global] = ACTIONS(11374),
    [anon_sym_local] = ACTIONS(11374),
    [anon_sym_LPAREN] = ACTIONS(11374),
    [anon_sym_COLON] = ACTIONS(11374),
    [anon_sym_export] = ACTIONS(11374),
    [anon_sym_public] = ACTIONS(11374),
    [anon_sym_import] = ACTIONS(11374),
    [anon_sym_using] = ACTIONS(11374),
    [anon_sym_LBRACK] = ACTIONS(11374),
    [anon_sym_in] = ACTIONS(11374),
    [anon_sym_SEMI] = ACTIONS(11374),
    [anon_sym_LBRACE] = ACTIONS(11374),
    [anon_sym_DOLLAR] = ACTIONS(11374),
    [anon_sym_COLON2] = ACTIONS(11374),
    [anon_sym_COLON_COLON] = ACTIONS(11374),
    [anon_sym_isa] = ACTIONS(11374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11374),
    [anon_sym_QMARK] = ACTIONS(11374),
    [anon_sym_where] = ACTIONS(11374),
    [anon_sym_AT] = ACTIONS(11374),
    [anon_sym_true] = ACTIONS(11374),
    [anon_sym_false] = ACTIONS(11374),
    [aux_sym_integer_literal_token1] = ACTIONS(11374),
    [aux_sym_integer_literal_token2] = ACTIONS(11374),
    [aux_sym_integer_literal_token3] = ACTIONS(11374),
    [aux_sym_integer_literal_token4] = ACTIONS(11374),
    [aux_sym_float_literal_token1] = ACTIONS(11374),
    [aux_sym_float_literal_token3] = ACTIONS(11374),
    [aux_sym_float_literal_token4] = ACTIONS(11374),
    [sym_character_literal] = ACTIONS(11374),
    [anon_sym_DQUOTE] = ACTIONS(11374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11374),
    [anon_sym_BQUOTE] = ACTIONS(11374),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11374),
    [sym__pair_operator] = ACTIONS(11374),
    [sym__arrow_operator] = ACTIONS(11374),
    [sym__lazy_or_operator] = ACTIONS(11374),
    [sym__lazy_and_operator] = ACTIONS(11374),
    [sym__comparison_operator] = ACTIONS(11374),
    [sym__pipe_right_operator] = ACTIONS(11374),
    [sym__pipe_left_operator] = ACTIONS(11374),
    [sym__ellipsis_operator] = ACTIONS(11374),
    [sym__plus_operator] = ACTIONS(11374),
    [sym__times_operator] = ACTIONS(11374),
    [sym__rational_operator] = ACTIONS(11374),
    [sym__bitshift_operator] = ACTIONS(11374),
    [sym__power_operator] = ACTIONS(11374),
    [sym__tilde_operator] = ACTIONS(11374),
    [sym__type_order_operator] = ACTIONS(11374),
    [sym__unary_operator] = ACTIONS(11374),
    [sym__unary_plus_operator] = ACTIONS(11374),
    [aux_sym__terminator_token1] = ACTIONS(11376),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9195] = {
    [sym_block_comment] = STATE(9195),
    [sym_line_comment] = STATE(9195),
    [sym__word_identifier] = ACTIONS(11641),
    [anon_sym_COMMA] = ACTIONS(11641),
    [anon_sym_EQ] = ACTIONS(11641),
    [anon_sym_begin] = ACTIONS(11641),
    [anon_sym_module] = ACTIONS(11641),
    [anon_sym_baremodule] = ACTIONS(11641),
    [anon_sym_abstract] = ACTIONS(11641),
    [anon_sym_primitive] = ACTIONS(11641),
    [anon_sym_mutable] = ACTIONS(11641),
    [anon_sym_struct] = ACTIONS(11641),
    [anon_sym_function] = ACTIONS(11641),
    [anon_sym_macro] = ACTIONS(11641),
    [anon_sym_quote] = ACTIONS(11641),
    [anon_sym_let] = ACTIONS(11641),
    [anon_sym_if] = ACTIONS(11641),
    [anon_sym_try] = ACTIONS(11641),
    [anon_sym_catch] = ACTIONS(11641),
    [anon_sym_finally] = ACTIONS(11641),
    [anon_sym_for] = ACTIONS(11641),
    [anon_sym_while] = ACTIONS(11641),
    [sym_break_statement] = ACTIONS(11641),
    [sym_continue_statement] = ACTIONS(11641),
    [anon_sym_return] = ACTIONS(11641),
    [anon_sym_const] = ACTIONS(11641),
    [anon_sym_global] = ACTIONS(11641),
    [anon_sym_local] = ACTIONS(11641),
    [anon_sym_LPAREN] = ACTIONS(11641),
    [anon_sym_COLON] = ACTIONS(11641),
    [anon_sym_export] = ACTIONS(11641),
    [anon_sym_public] = ACTIONS(11641),
    [anon_sym_import] = ACTIONS(11641),
    [anon_sym_using] = ACTIONS(11641),
    [anon_sym_LBRACK] = ACTIONS(11641),
    [anon_sym_in] = ACTIONS(11641),
    [anon_sym_SEMI] = ACTIONS(11641),
    [anon_sym_LBRACE] = ACTIONS(11641),
    [anon_sym_DOLLAR] = ACTIONS(11641),
    [anon_sym_COLON2] = ACTIONS(11641),
    [anon_sym_COLON_COLON] = ACTIONS(11641),
    [anon_sym_isa] = ACTIONS(11641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11641),
    [anon_sym_QMARK] = ACTIONS(11641),
    [anon_sym_where] = ACTIONS(11641),
    [anon_sym_AT] = ACTIONS(11641),
    [anon_sym_true] = ACTIONS(11641),
    [anon_sym_false] = ACTIONS(11641),
    [aux_sym_integer_literal_token1] = ACTIONS(11641),
    [aux_sym_integer_literal_token2] = ACTIONS(11641),
    [aux_sym_integer_literal_token3] = ACTIONS(11641),
    [aux_sym_integer_literal_token4] = ACTIONS(11641),
    [aux_sym_float_literal_token1] = ACTIONS(11641),
    [aux_sym_float_literal_token3] = ACTIONS(11641),
    [aux_sym_float_literal_token4] = ACTIONS(11641),
    [sym_character_literal] = ACTIONS(11641),
    [anon_sym_DQUOTE] = ACTIONS(11641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11641),
    [anon_sym_BQUOTE] = ACTIONS(11641),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11641),
    [sym__pair_operator] = ACTIONS(11641),
    [sym__arrow_operator] = ACTIONS(11641),
    [sym__lazy_or_operator] = ACTIONS(11641),
    [sym__lazy_and_operator] = ACTIONS(11641),
    [sym__comparison_operator] = ACTIONS(11641),
    [sym__pipe_right_operator] = ACTIONS(11641),
    [sym__pipe_left_operator] = ACTIONS(11641),
    [sym__ellipsis_operator] = ACTIONS(11641),
    [sym__plus_operator] = ACTIONS(11641),
    [sym__times_operator] = ACTIONS(11641),
    [sym__rational_operator] = ACTIONS(11641),
    [sym__bitshift_operator] = ACTIONS(11641),
    [sym__power_operator] = ACTIONS(11641),
    [sym__tilde_operator] = ACTIONS(11641),
    [sym__type_order_operator] = ACTIONS(11641),
    [sym__unary_operator] = ACTIONS(11641),
    [sym__unary_plus_operator] = ACTIONS(11641),
    [aux_sym__terminator_token1] = ACTIONS(11643),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9196] = {
    [sym_block_comment] = STATE(9196),
    [sym_line_comment] = STATE(9196),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9197] = {
    [sym_block_comment] = STATE(9197),
    [sym_line_comment] = STATE(9197),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(10295),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_finally] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9198] = {
    [sym_block_comment] = STATE(9198),
    [sym_line_comment] = STATE(9198),
    [sym__word_identifier] = ACTIONS(11645),
    [anon_sym_COMMA] = ACTIONS(11645),
    [anon_sym_EQ] = ACTIONS(11645),
    [anon_sym_begin] = ACTIONS(11645),
    [anon_sym_module] = ACTIONS(11645),
    [anon_sym_baremodule] = ACTIONS(11645),
    [anon_sym_abstract] = ACTIONS(11645),
    [anon_sym_primitive] = ACTIONS(11645),
    [anon_sym_mutable] = ACTIONS(11645),
    [anon_sym_struct] = ACTIONS(11645),
    [anon_sym_function] = ACTIONS(11645),
    [anon_sym_macro] = ACTIONS(11645),
    [anon_sym_quote] = ACTIONS(11645),
    [anon_sym_let] = ACTIONS(11645),
    [anon_sym_if] = ACTIONS(11645),
    [anon_sym_try] = ACTIONS(11645),
    [anon_sym_catch] = ACTIONS(11645),
    [anon_sym_finally] = ACTIONS(11645),
    [anon_sym_for] = ACTIONS(11645),
    [anon_sym_while] = ACTIONS(11645),
    [sym_break_statement] = ACTIONS(11645),
    [sym_continue_statement] = ACTIONS(11645),
    [anon_sym_return] = ACTIONS(11645),
    [anon_sym_const] = ACTIONS(11645),
    [anon_sym_global] = ACTIONS(11645),
    [anon_sym_local] = ACTIONS(11645),
    [anon_sym_LPAREN] = ACTIONS(11645),
    [anon_sym_COLON] = ACTIONS(11645),
    [anon_sym_export] = ACTIONS(11645),
    [anon_sym_public] = ACTIONS(11645),
    [anon_sym_import] = ACTIONS(11645),
    [anon_sym_using] = ACTIONS(11645),
    [anon_sym_LBRACK] = ACTIONS(11645),
    [anon_sym_in] = ACTIONS(11645),
    [anon_sym_SEMI] = ACTIONS(11645),
    [anon_sym_LBRACE] = ACTIONS(11645),
    [anon_sym_DOLLAR] = ACTIONS(11645),
    [anon_sym_COLON2] = ACTIONS(11645),
    [anon_sym_COLON_COLON] = ACTIONS(11645),
    [anon_sym_isa] = ACTIONS(11645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11645),
    [anon_sym_QMARK] = ACTIONS(11645),
    [anon_sym_where] = ACTIONS(11645),
    [anon_sym_AT] = ACTIONS(11645),
    [anon_sym_true] = ACTIONS(11645),
    [anon_sym_false] = ACTIONS(11645),
    [aux_sym_integer_literal_token1] = ACTIONS(11645),
    [aux_sym_integer_literal_token2] = ACTIONS(11645),
    [aux_sym_integer_literal_token3] = ACTIONS(11645),
    [aux_sym_integer_literal_token4] = ACTIONS(11645),
    [aux_sym_float_literal_token1] = ACTIONS(11645),
    [aux_sym_float_literal_token3] = ACTIONS(11645),
    [aux_sym_float_literal_token4] = ACTIONS(11645),
    [sym_character_literal] = ACTIONS(11645),
    [anon_sym_DQUOTE] = ACTIONS(11645),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11645),
    [anon_sym_BQUOTE] = ACTIONS(11645),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11645),
    [sym__pair_operator] = ACTIONS(11645),
    [sym__arrow_operator] = ACTIONS(11645),
    [sym__lazy_or_operator] = ACTIONS(11645),
    [sym__lazy_and_operator] = ACTIONS(11645),
    [sym__comparison_operator] = ACTIONS(11645),
    [sym__pipe_right_operator] = ACTIONS(11645),
    [sym__pipe_left_operator] = ACTIONS(11645),
    [sym__ellipsis_operator] = ACTIONS(11645),
    [sym__plus_operator] = ACTIONS(11645),
    [sym__times_operator] = ACTIONS(11645),
    [sym__rational_operator] = ACTIONS(11645),
    [sym__bitshift_operator] = ACTIONS(11645),
    [sym__power_operator] = ACTIONS(11645),
    [sym__tilde_operator] = ACTIONS(11645),
    [sym__type_order_operator] = ACTIONS(11645),
    [sym__unary_operator] = ACTIONS(11645),
    [sym__unary_plus_operator] = ACTIONS(11645),
    [aux_sym__terminator_token1] = ACTIONS(11647),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9199] = {
    [sym_block_comment] = STATE(9199),
    [sym_line_comment] = STATE(9199),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_finally] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9200] = {
    [sym_block_comment] = STATE(9200),
    [sym_line_comment] = STATE(9200),
    [aux_sym_open_tuple_repeat1] = STATE(8311),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(12335),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_finally] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12528),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9201] = {
    [sym_block_comment] = STATE(9201),
    [sym_line_comment] = STATE(9201),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(10295),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_finally] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9202] = {
    [sym_block_comment] = STATE(9202),
    [sym_line_comment] = STATE(9202),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_finally] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9203] = {
    [sym_block_comment] = STATE(9203),
    [sym_line_comment] = STATE(9203),
    [ts_builtin_sym_end] = ACTIONS(11206),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_RBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9204] = {
    [sym_block_comment] = STATE(9204),
    [sym_line_comment] = STATE(9204),
    [aux_sym_open_tuple_repeat1] = STATE(8311),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(12335),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_finally] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12528),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9205] = {
    [sym_identifier] = STATE(9410),
    [sym_block_comment] = STATE(9205),
    [sym_line_comment] = STATE(9205),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10133),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_as] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10133),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10133),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10133),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10133),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10133),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10133),
    [anon_sym_QMARK] = ACTIONS(10133),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10133),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10133),
    [aux_sym_integer_literal_token2] = ACTIONS(10133),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10133),
    [aux_sym_float_literal_token3] = ACTIONS(10133),
    [aux_sym_float_literal_token4] = ACTIONS(10133),
    [sym_character_literal] = ACTIONS(10133),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10133),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10133),
    [sym__pair_operator] = ACTIONS(10133),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10133),
    [sym__lazy_and_operator] = ACTIONS(10133),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10133),
    [sym__pipe_left_operator] = ACTIONS(10133),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10133),
    [sym__bitshift_operator] = ACTIONS(10133),
    [sym__power_operator] = ACTIONS(10133),
    [sym__tilde_operator] = ACTIONS(10133),
    [sym__type_order_operator] = ACTIONS(10133),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9206] = {
    [sym_block_comment] = STATE(9206),
    [sym_line_comment] = STATE(9206),
    [aux_sym_open_tuple_repeat1] = STATE(8241),
    [ts_builtin_sym_end] = ACTIONS(11206),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(12231),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_RBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9207] = {
    [sym_identifier] = STATE(9448),
    [sym_block_comment] = STATE(9207),
    [sym_line_comment] = STATE(9207),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10137),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_as] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10137),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10137),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10137),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10137),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10137),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10137),
    [anon_sym_QMARK] = ACTIONS(10137),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10137),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10137),
    [aux_sym_integer_literal_token2] = ACTIONS(10137),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10137),
    [aux_sym_float_literal_token3] = ACTIONS(10137),
    [aux_sym_float_literal_token4] = ACTIONS(10137),
    [sym_character_literal] = ACTIONS(10137),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10137),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10137),
    [sym__pair_operator] = ACTIONS(10137),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10137),
    [sym__lazy_and_operator] = ACTIONS(10137),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10137),
    [sym__pipe_left_operator] = ACTIONS(10137),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10137),
    [sym__bitshift_operator] = ACTIONS(10137),
    [sym__power_operator] = ACTIONS(10137),
    [sym__tilde_operator] = ACTIONS(10137),
    [sym__type_order_operator] = ACTIONS(10137),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9208] = {
    [sym_block_comment] = STATE(9208),
    [sym_line_comment] = STATE(9208),
    [ts_builtin_sym_end] = ACTIONS(10870),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_RBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9209] = {
    [sym_block_comment] = STATE(9209),
    [sym_line_comment] = STATE(9209),
    [ts_builtin_sym_end] = ACTIONS(11210),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(10181),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_RBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9210] = {
    [sym_block_comment] = STATE(9210),
    [sym_line_comment] = STATE(9210),
    [ts_builtin_sym_end] = ACTIONS(11210),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_RBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9211] = {
    [sym_block_comment] = STATE(9211),
    [sym_line_comment] = STATE(9211),
    [aux_sym_open_tuple_repeat1] = STATE(9036),
    [sym__word_identifier] = ACTIONS(11126),
    [anon_sym_COMMA] = ACTIONS(12582),
    [anon_sym_EQ] = ACTIONS(11126),
    [anon_sym_begin] = ACTIONS(11126),
    [anon_sym_module] = ACTIONS(11126),
    [anon_sym_baremodule] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(11126),
    [anon_sym_abstract] = ACTIONS(11126),
    [anon_sym_primitive] = ACTIONS(11126),
    [anon_sym_mutable] = ACTIONS(11126),
    [anon_sym_struct] = ACTIONS(11126),
    [anon_sym_function] = ACTIONS(11126),
    [anon_sym_macro] = ACTIONS(11126),
    [anon_sym_quote] = ACTIONS(11126),
    [anon_sym_let] = ACTIONS(11126),
    [anon_sym_if] = ACTIONS(11126),
    [anon_sym_try] = ACTIONS(11126),
    [anon_sym_for] = ACTIONS(11126),
    [anon_sym_while] = ACTIONS(11126),
    [sym_break_statement] = ACTIONS(11126),
    [sym_continue_statement] = ACTIONS(11126),
    [anon_sym_return] = ACTIONS(11126),
    [anon_sym_const] = ACTIONS(11126),
    [anon_sym_global] = ACTIONS(11126),
    [anon_sym_local] = ACTIONS(11126),
    [anon_sym_LPAREN] = ACTIONS(11126),
    [anon_sym_COLON] = ACTIONS(11126),
    [anon_sym_export] = ACTIONS(11126),
    [anon_sym_public] = ACTIONS(11126),
    [anon_sym_import] = ACTIONS(11126),
    [anon_sym_using] = ACTIONS(11126),
    [anon_sym_LBRACK] = ACTIONS(11126),
    [anon_sym_in] = ACTIONS(11126),
    [anon_sym_SEMI] = ACTIONS(11126),
    [anon_sym_LBRACE] = ACTIONS(11126),
    [anon_sym_DOLLAR] = ACTIONS(11126),
    [anon_sym_COLON2] = ACTIONS(11126),
    [anon_sym_COLON_COLON] = ACTIONS(11126),
    [anon_sym_isa] = ACTIONS(11126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11126),
    [anon_sym_QMARK] = ACTIONS(11126),
    [anon_sym_where] = ACTIONS(11126),
    [anon_sym_AT] = ACTIONS(11126),
    [anon_sym_true] = ACTIONS(11126),
    [anon_sym_false] = ACTIONS(11126),
    [aux_sym_integer_literal_token1] = ACTIONS(11126),
    [aux_sym_integer_literal_token2] = ACTIONS(11126),
    [aux_sym_integer_literal_token3] = ACTIONS(11126),
    [aux_sym_integer_literal_token4] = ACTIONS(11126),
    [aux_sym_float_literal_token1] = ACTIONS(11126),
    [aux_sym_float_literal_token3] = ACTIONS(11126),
    [aux_sym_float_literal_token4] = ACTIONS(11126),
    [sym_character_literal] = ACTIONS(11126),
    [anon_sym_DQUOTE] = ACTIONS(11126),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11126),
    [anon_sym_BQUOTE] = ACTIONS(11126),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11126),
    [sym__pair_operator] = ACTIONS(11126),
    [sym__arrow_operator] = ACTIONS(11126),
    [sym__lazy_or_operator] = ACTIONS(11126),
    [sym__lazy_and_operator] = ACTIONS(11126),
    [sym__comparison_operator] = ACTIONS(11126),
    [sym__pipe_right_operator] = ACTIONS(11126),
    [sym__pipe_left_operator] = ACTIONS(11126),
    [sym__ellipsis_operator] = ACTIONS(11126),
    [sym__plus_operator] = ACTIONS(11126),
    [sym__times_operator] = ACTIONS(11126),
    [sym__rational_operator] = ACTIONS(11126),
    [sym__bitshift_operator] = ACTIONS(11126),
    [sym__power_operator] = ACTIONS(11126),
    [sym__tilde_operator] = ACTIONS(11126),
    [sym__type_order_operator] = ACTIONS(11126),
    [sym__unary_operator] = ACTIONS(11126),
    [sym__unary_plus_operator] = ACTIONS(11126),
    [aux_sym__terminator_token1] = ACTIONS(11130),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9212] = {
    [sym_block_comment] = STATE(9212),
    [sym_line_comment] = STATE(9212),
    [ts_builtin_sym_end] = ACTIONS(11706),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(11704),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_RBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(11704),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11704),
    [anon_sym_isa] = ACTIONS(11704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11704),
    [anon_sym_QMARK] = ACTIONS(11704),
    [anon_sym_where] = ACTIONS(11704),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(11704),
    [sym__arrow_operator] = ACTIONS(11704),
    [sym__lazy_or_operator] = ACTIONS(11704),
    [sym__lazy_and_operator] = ACTIONS(11704),
    [sym__comparison_operator] = ACTIONS(11704),
    [sym__pipe_right_operator] = ACTIONS(11704),
    [sym__pipe_left_operator] = ACTIONS(11704),
    [sym__ellipsis_operator] = ACTIONS(11704),
    [sym__plus_operator] = ACTIONS(11704),
    [sym__times_operator] = ACTIONS(11704),
    [sym__rational_operator] = ACTIONS(11704),
    [sym__bitshift_operator] = ACTIONS(11704),
    [sym__power_operator] = ACTIONS(11704),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(11704),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(11704),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9213] = {
    [sym_block_comment] = STATE(9213),
    [sym_line_comment] = STATE(9213),
    [sym__word_identifier] = ACTIONS(11300),
    [anon_sym_COMMA] = ACTIONS(11300),
    [anon_sym_EQ] = ACTIONS(11300),
    [anon_sym_begin] = ACTIONS(11300),
    [anon_sym_module] = ACTIONS(11300),
    [anon_sym_baremodule] = ACTIONS(11300),
    [anon_sym_end] = ACTIONS(11300),
    [anon_sym_abstract] = ACTIONS(11300),
    [anon_sym_primitive] = ACTIONS(11300),
    [anon_sym_mutable] = ACTIONS(11300),
    [anon_sym_struct] = ACTIONS(11300),
    [anon_sym_function] = ACTIONS(11300),
    [anon_sym_macro] = ACTIONS(11300),
    [anon_sym_quote] = ACTIONS(11300),
    [anon_sym_let] = ACTIONS(11300),
    [anon_sym_if] = ACTIONS(11300),
    [anon_sym_try] = ACTIONS(11300),
    [anon_sym_finally] = ACTIONS(11300),
    [anon_sym_for] = ACTIONS(11300),
    [anon_sym_while] = ACTIONS(11300),
    [sym_break_statement] = ACTIONS(11300),
    [sym_continue_statement] = ACTIONS(11300),
    [anon_sym_return] = ACTIONS(11300),
    [anon_sym_const] = ACTIONS(11300),
    [anon_sym_global] = ACTIONS(11300),
    [anon_sym_local] = ACTIONS(11300),
    [anon_sym_LPAREN] = ACTIONS(11300),
    [anon_sym_COLON] = ACTIONS(11300),
    [anon_sym_export] = ACTIONS(11300),
    [anon_sym_public] = ACTIONS(11300),
    [anon_sym_import] = ACTIONS(11300),
    [anon_sym_using] = ACTIONS(11300),
    [anon_sym_LBRACK] = ACTIONS(11300),
    [anon_sym_in] = ACTIONS(11300),
    [anon_sym_SEMI] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(11300),
    [anon_sym_DOLLAR] = ACTIONS(11300),
    [anon_sym_COLON2] = ACTIONS(11300),
    [anon_sym_COLON_COLON] = ACTIONS(11300),
    [anon_sym_isa] = ACTIONS(11300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11300),
    [anon_sym_QMARK] = ACTIONS(11300),
    [anon_sym_where] = ACTIONS(11300),
    [anon_sym_AT] = ACTIONS(11300),
    [anon_sym_true] = ACTIONS(11300),
    [anon_sym_false] = ACTIONS(11300),
    [aux_sym_integer_literal_token1] = ACTIONS(11300),
    [aux_sym_integer_literal_token2] = ACTIONS(11300),
    [aux_sym_integer_literal_token3] = ACTIONS(11300),
    [aux_sym_integer_literal_token4] = ACTIONS(11300),
    [aux_sym_float_literal_token1] = ACTIONS(11300),
    [aux_sym_float_literal_token3] = ACTIONS(11300),
    [aux_sym_float_literal_token4] = ACTIONS(11300),
    [sym_character_literal] = ACTIONS(11300),
    [anon_sym_DQUOTE] = ACTIONS(11300),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11300),
    [anon_sym_BQUOTE] = ACTIONS(11300),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11300),
    [sym__pair_operator] = ACTIONS(11300),
    [sym__arrow_operator] = ACTIONS(11300),
    [sym__lazy_or_operator] = ACTIONS(11300),
    [sym__lazy_and_operator] = ACTIONS(11300),
    [sym__comparison_operator] = ACTIONS(11300),
    [sym__pipe_right_operator] = ACTIONS(11300),
    [sym__pipe_left_operator] = ACTIONS(11300),
    [sym__ellipsis_operator] = ACTIONS(11300),
    [sym__plus_operator] = ACTIONS(11300),
    [sym__times_operator] = ACTIONS(11300),
    [sym__rational_operator] = ACTIONS(11300),
    [sym__bitshift_operator] = ACTIONS(11300),
    [sym__power_operator] = ACTIONS(11300),
    [sym__tilde_operator] = ACTIONS(11300),
    [sym__type_order_operator] = ACTIONS(11300),
    [sym__unary_operator] = ACTIONS(11300),
    [sym__unary_plus_operator] = ACTIONS(11300),
    [aux_sym__terminator_token1] = ACTIONS(11302),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9214] = {
    [sym_block_comment] = STATE(9214),
    [sym_line_comment] = STATE(9214),
    [sym__word_identifier] = ACTIONS(11304),
    [anon_sym_COMMA] = ACTIONS(11304),
    [anon_sym_EQ] = ACTIONS(11304),
    [anon_sym_begin] = ACTIONS(11304),
    [anon_sym_module] = ACTIONS(11304),
    [anon_sym_baremodule] = ACTIONS(11304),
    [anon_sym_end] = ACTIONS(11304),
    [anon_sym_abstract] = ACTIONS(11304),
    [anon_sym_primitive] = ACTIONS(11304),
    [anon_sym_mutable] = ACTIONS(11304),
    [anon_sym_struct] = ACTIONS(11304),
    [anon_sym_function] = ACTIONS(11304),
    [anon_sym_macro] = ACTIONS(11304),
    [anon_sym_quote] = ACTIONS(11304),
    [anon_sym_let] = ACTIONS(11304),
    [anon_sym_if] = ACTIONS(11304),
    [anon_sym_try] = ACTIONS(11304),
    [anon_sym_finally] = ACTIONS(11304),
    [anon_sym_for] = ACTIONS(11304),
    [anon_sym_while] = ACTIONS(11304),
    [sym_break_statement] = ACTIONS(11304),
    [sym_continue_statement] = ACTIONS(11304),
    [anon_sym_return] = ACTIONS(11304),
    [anon_sym_const] = ACTIONS(11304),
    [anon_sym_global] = ACTIONS(11304),
    [anon_sym_local] = ACTIONS(11304),
    [anon_sym_LPAREN] = ACTIONS(11304),
    [anon_sym_COLON] = ACTIONS(11304),
    [anon_sym_export] = ACTIONS(11304),
    [anon_sym_public] = ACTIONS(11304),
    [anon_sym_import] = ACTIONS(11304),
    [anon_sym_using] = ACTIONS(11304),
    [anon_sym_LBRACK] = ACTIONS(11304),
    [anon_sym_in] = ACTIONS(11304),
    [anon_sym_SEMI] = ACTIONS(11304),
    [anon_sym_LBRACE] = ACTIONS(11304),
    [anon_sym_DOLLAR] = ACTIONS(11304),
    [anon_sym_COLON2] = ACTIONS(11304),
    [anon_sym_COLON_COLON] = ACTIONS(11304),
    [anon_sym_isa] = ACTIONS(11304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11304),
    [anon_sym_QMARK] = ACTIONS(11304),
    [anon_sym_where] = ACTIONS(11304),
    [anon_sym_AT] = ACTIONS(11304),
    [anon_sym_true] = ACTIONS(11304),
    [anon_sym_false] = ACTIONS(11304),
    [aux_sym_integer_literal_token1] = ACTIONS(11304),
    [aux_sym_integer_literal_token2] = ACTIONS(11304),
    [aux_sym_integer_literal_token3] = ACTIONS(11304),
    [aux_sym_integer_literal_token4] = ACTIONS(11304),
    [aux_sym_float_literal_token1] = ACTIONS(11304),
    [aux_sym_float_literal_token3] = ACTIONS(11304),
    [aux_sym_float_literal_token4] = ACTIONS(11304),
    [sym_character_literal] = ACTIONS(11304),
    [anon_sym_DQUOTE] = ACTIONS(11304),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11304),
    [anon_sym_BQUOTE] = ACTIONS(11304),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11304),
    [sym__pair_operator] = ACTIONS(11304),
    [sym__arrow_operator] = ACTIONS(11304),
    [sym__lazy_or_operator] = ACTIONS(11304),
    [sym__lazy_and_operator] = ACTIONS(11304),
    [sym__comparison_operator] = ACTIONS(11304),
    [sym__pipe_right_operator] = ACTIONS(11304),
    [sym__pipe_left_operator] = ACTIONS(11304),
    [sym__ellipsis_operator] = ACTIONS(11304),
    [sym__plus_operator] = ACTIONS(11304),
    [sym__times_operator] = ACTIONS(11304),
    [sym__rational_operator] = ACTIONS(11304),
    [sym__bitshift_operator] = ACTIONS(11304),
    [sym__power_operator] = ACTIONS(11304),
    [sym__tilde_operator] = ACTIONS(11304),
    [sym__type_order_operator] = ACTIONS(11304),
    [sym__unary_operator] = ACTIONS(11304),
    [sym__unary_plus_operator] = ACTIONS(11304),
    [aux_sym__terminator_token1] = ACTIONS(11306),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9215] = {
    [sym_block_comment] = STATE(9215),
    [sym_line_comment] = STATE(9215),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9995),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9995),
    [sym__bitshift_operator] = ACTIONS(9995),
    [sym__power_operator] = ACTIONS(9995),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(12530),
    [sym__immediate_command_start] = ACTIONS(12532),
  },
  [9216] = {
    [sym_block_comment] = STATE(9216),
    [sym_line_comment] = STATE(9216),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12653),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12669),
    [sym__pipe_left_operator] = ACTIONS(12671),
    [sym__ellipsis_operator] = ACTIONS(12673),
    [sym__plus_operator] = ACTIONS(12675),
    [sym__times_operator] = ACTIONS(12677),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12675),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9217] = {
    [sym_block_comment] = STATE(9217),
    [sym_line_comment] = STATE(9217),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_EQ] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_end] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_elseif] = ACTIONS(11876),
    [anon_sym_else] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(12653),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(12655),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(12655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(12655),
    [sym__pipe_right_operator] = ACTIONS(12669),
    [sym__pipe_left_operator] = ACTIONS(12671),
    [sym__ellipsis_operator] = ACTIONS(12673),
    [sym__plus_operator] = ACTIONS(12675),
    [sym__times_operator] = ACTIONS(12677),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(12655),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12675),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9218] = {
    [sym_block_comment] = STATE(9218),
    [sym_line_comment] = STATE(9218),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12653),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12655),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(12655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12659),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(12663),
    [sym__lazy_or_operator] = ACTIONS(12665),
    [sym__lazy_and_operator] = ACTIONS(12667),
    [sym__comparison_operator] = ACTIONS(12655),
    [sym__pipe_right_operator] = ACTIONS(12669),
    [sym__pipe_left_operator] = ACTIONS(12671),
    [sym__ellipsis_operator] = ACTIONS(12673),
    [sym__plus_operator] = ACTIONS(12675),
    [sym__times_operator] = ACTIONS(12677),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12655),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12675),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9219] = {
    [sym_block_comment] = STATE(9219),
    [sym_line_comment] = STATE(9219),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12653),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12655),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(12655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12659),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(12667),
    [sym__comparison_operator] = ACTIONS(12655),
    [sym__pipe_right_operator] = ACTIONS(12669),
    [sym__pipe_left_operator] = ACTIONS(12671),
    [sym__ellipsis_operator] = ACTIONS(12673),
    [sym__plus_operator] = ACTIONS(12675),
    [sym__times_operator] = ACTIONS(12677),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12655),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12675),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9220] = {
    [sym_block_comment] = STATE(9220),
    [sym_line_comment] = STATE(9220),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12653),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12655),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(12655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12659),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(12655),
    [sym__pipe_right_operator] = ACTIONS(12669),
    [sym__pipe_left_operator] = ACTIONS(12671),
    [sym__ellipsis_operator] = ACTIONS(12673),
    [sym__plus_operator] = ACTIONS(12675),
    [sym__times_operator] = ACTIONS(12677),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12655),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12675),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9221] = {
    [sym_block_comment] = STATE(9221),
    [sym_line_comment] = STATE(9221),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12653),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(12673),
    [sym__plus_operator] = ACTIONS(12675),
    [sym__times_operator] = ACTIONS(12677),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12675),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9222] = {
    [sym_block_comment] = STATE(9222),
    [sym_line_comment] = STATE(9222),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12653),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12669),
    [sym__pipe_left_operator] = ACTIONS(12671),
    [sym__ellipsis_operator] = ACTIONS(12673),
    [sym__plus_operator] = ACTIONS(12675),
    [sym__times_operator] = ACTIONS(12677),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12675),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9223] = {
    [sym_identifier] = STATE(9297),
    [sym_block_comment] = STATE(9223),
    [sym_line_comment] = STATE(9223),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10145),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_as] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10145),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10145),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10145),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10145),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10145),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10145),
    [anon_sym_QMARK] = ACTIONS(10145),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10145),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10145),
    [aux_sym_integer_literal_token2] = ACTIONS(10145),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10145),
    [aux_sym_float_literal_token3] = ACTIONS(10145),
    [aux_sym_float_literal_token4] = ACTIONS(10145),
    [sym_character_literal] = ACTIONS(10145),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10145),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10145),
    [sym__pair_operator] = ACTIONS(10145),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10145),
    [sym__lazy_and_operator] = ACTIONS(10145),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10145),
    [sym__pipe_left_operator] = ACTIONS(10145),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10145),
    [sym__bitshift_operator] = ACTIONS(10145),
    [sym__power_operator] = ACTIONS(10145),
    [sym__tilde_operator] = ACTIONS(10145),
    [sym__type_order_operator] = ACTIONS(10145),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9224] = {
    [sym_identifier] = STATE(9301),
    [sym_block_comment] = STATE(9224),
    [sym_line_comment] = STATE(9224),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_as] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10009),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10009),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10009),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10009),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10009),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10009),
    [aux_sym_integer_literal_token2] = ACTIONS(10009),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10009),
    [aux_sym_float_literal_token3] = ACTIONS(10009),
    [aux_sym_float_literal_token4] = ACTIONS(10009),
    [sym_character_literal] = ACTIONS(10009),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10009),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10009),
    [sym__pair_operator] = ACTIONS(10009),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10009),
    [sym__lazy_and_operator] = ACTIONS(10009),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10009),
    [sym__pipe_left_operator] = ACTIONS(10009),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10009),
    [sym__bitshift_operator] = ACTIONS(10009),
    [sym__power_operator] = ACTIONS(10009),
    [sym__tilde_operator] = ACTIONS(10009),
    [sym__type_order_operator] = ACTIONS(10009),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9225] = {
    [sym_block_comment] = STATE(9225),
    [sym_line_comment] = STATE(9225),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_EQ] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_finally] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9226] = {
    [sym_block_comment] = STATE(9226),
    [sym_line_comment] = STATE(9226),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(11134),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_end] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_finally] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11134),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11134),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11134),
    [anon_sym_LBRACE] = ACTIONS(11134),
    [anon_sym_DOLLAR] = ACTIONS(11134),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12474),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11134),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11134),
    [aux_sym_integer_literal_token2] = ACTIONS(11134),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11134),
    [aux_sym_float_literal_token3] = ACTIONS(11134),
    [aux_sym_float_literal_token4] = ACTIONS(11134),
    [sym_character_literal] = ACTIONS(11134),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11134),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11134),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11139),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9227] = {
    [sym_block_comment] = STATE(9227),
    [sym_line_comment] = STATE(9227),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11788),
    [anon_sym_EQ] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_end] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_finally] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9228] = {
    [sym_block_comment] = STATE(9228),
    [sym_line_comment] = STATE(9228),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9229] = {
    [sym_block_comment] = STATE(9229),
    [sym_line_comment] = STATE(9229),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12392),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9230] = {
    [sym_block_comment] = STATE(9230),
    [sym_line_comment] = STATE(9230),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9231] = {
    [sym_block_comment] = STATE(9231),
    [sym_line_comment] = STATE(9231),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9232] = {
    [sym_block_comment] = STATE(9232),
    [sym_line_comment] = STATE(9232),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9233] = {
    [sym_block_comment] = STATE(9233),
    [sym_line_comment] = STATE(9233),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9234] = {
    [sym_block_comment] = STATE(9234),
    [sym_line_comment] = STATE(9234),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9235] = {
    [sym_block_comment] = STATE(9235),
    [sym_line_comment] = STATE(9235),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9236] = {
    [sym_block_comment] = STATE(9236),
    [sym_line_comment] = STATE(9236),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9237] = {
    [sym_block_comment] = STATE(9237),
    [sym_line_comment] = STATE(9237),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9238] = {
    [sym_block_comment] = STATE(9238),
    [sym_line_comment] = STATE(9238),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9239] = {
    [sym_block_comment] = STATE(9239),
    [sym_line_comment] = STATE(9239),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9240] = {
    [sym_block_comment] = STATE(9240),
    [sym_line_comment] = STATE(9240),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_end] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_else] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_finally] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(12552),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(12554),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(12554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11874),
    [anon_sym_where] = ACTIONS(12572),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(12574),
    [sym__arrow_operator] = ACTIONS(12576),
    [sym__lazy_or_operator] = ACTIONS(12578),
    [sym__lazy_and_operator] = ACTIONS(12580),
    [sym__comparison_operator] = ACTIONS(12554),
    [sym__pipe_right_operator] = ACTIONS(12556),
    [sym__pipe_left_operator] = ACTIONS(12558),
    [sym__ellipsis_operator] = ACTIONS(12560),
    [sym__plus_operator] = ACTIONS(12562),
    [sym__times_operator] = ACTIONS(12564),
    [sym__rational_operator] = ACTIONS(12566),
    [sym__bitshift_operator] = ACTIONS(12568),
    [sym__power_operator] = ACTIONS(12550),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(12554),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12562),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9241] = {
    [sym_block_comment] = STATE(9241),
    [sym_line_comment] = STATE(9241),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_else] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_finally] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(11222),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(11224),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(11224),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11874),
    [anon_sym_where] = ACTIONS(11232),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(11234),
    [sym__arrow_operator] = ACTIONS(11236),
    [sym__lazy_or_operator] = ACTIONS(11238),
    [sym__lazy_and_operator] = ACTIONS(11240),
    [sym__comparison_operator] = ACTIONS(11224),
    [sym__pipe_right_operator] = ACTIONS(11242),
    [sym__pipe_left_operator] = ACTIONS(11244),
    [sym__ellipsis_operator] = ACTIONS(11246),
    [sym__plus_operator] = ACTIONS(11248),
    [sym__times_operator] = ACTIONS(11250),
    [sym__rational_operator] = ACTIONS(11252),
    [sym__bitshift_operator] = ACTIONS(11254),
    [sym__power_operator] = ACTIONS(11256),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(11224),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(11248),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9242] = {
    [sym_block_comment] = STATE(9242),
    [sym_line_comment] = STATE(9242),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9243] = {
    [sym_block_comment] = STATE(9243),
    [sym_line_comment] = STATE(9243),
    [sym__word_identifier] = ACTIONS(11312),
    [anon_sym_COMMA] = ACTIONS(11312),
    [anon_sym_EQ] = ACTIONS(11312),
    [anon_sym_begin] = ACTIONS(11312),
    [anon_sym_module] = ACTIONS(11312),
    [anon_sym_baremodule] = ACTIONS(11312),
    [anon_sym_end] = ACTIONS(11312),
    [anon_sym_abstract] = ACTIONS(11312),
    [anon_sym_primitive] = ACTIONS(11312),
    [anon_sym_mutable] = ACTIONS(11312),
    [anon_sym_struct] = ACTIONS(11312),
    [anon_sym_function] = ACTIONS(11312),
    [anon_sym_macro] = ACTIONS(11312),
    [anon_sym_quote] = ACTIONS(11312),
    [anon_sym_let] = ACTIONS(11312),
    [anon_sym_if] = ACTIONS(11312),
    [anon_sym_try] = ACTIONS(11312),
    [anon_sym_finally] = ACTIONS(11312),
    [anon_sym_for] = ACTIONS(11312),
    [anon_sym_while] = ACTIONS(11312),
    [sym_break_statement] = ACTIONS(11312),
    [sym_continue_statement] = ACTIONS(11312),
    [anon_sym_return] = ACTIONS(11312),
    [anon_sym_const] = ACTIONS(11312),
    [anon_sym_global] = ACTIONS(11312),
    [anon_sym_local] = ACTIONS(11312),
    [anon_sym_LPAREN] = ACTIONS(11312),
    [anon_sym_COLON] = ACTIONS(11312),
    [anon_sym_export] = ACTIONS(11312),
    [anon_sym_public] = ACTIONS(11312),
    [anon_sym_import] = ACTIONS(11312),
    [anon_sym_using] = ACTIONS(11312),
    [anon_sym_LBRACK] = ACTIONS(11312),
    [anon_sym_in] = ACTIONS(11312),
    [anon_sym_SEMI] = ACTIONS(11312),
    [anon_sym_LBRACE] = ACTIONS(11312),
    [anon_sym_DOLLAR] = ACTIONS(11312),
    [anon_sym_COLON2] = ACTIONS(11312),
    [anon_sym_COLON_COLON] = ACTIONS(11312),
    [anon_sym_isa] = ACTIONS(11312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11312),
    [anon_sym_QMARK] = ACTIONS(11312),
    [anon_sym_where] = ACTIONS(11312),
    [anon_sym_AT] = ACTIONS(11312),
    [anon_sym_true] = ACTIONS(11312),
    [anon_sym_false] = ACTIONS(11312),
    [aux_sym_integer_literal_token1] = ACTIONS(11312),
    [aux_sym_integer_literal_token2] = ACTIONS(11312),
    [aux_sym_integer_literal_token3] = ACTIONS(11312),
    [aux_sym_integer_literal_token4] = ACTIONS(11312),
    [aux_sym_float_literal_token1] = ACTIONS(11312),
    [aux_sym_float_literal_token3] = ACTIONS(11312),
    [aux_sym_float_literal_token4] = ACTIONS(11312),
    [sym_character_literal] = ACTIONS(11312),
    [anon_sym_DQUOTE] = ACTIONS(11312),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11312),
    [anon_sym_BQUOTE] = ACTIONS(11312),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11312),
    [sym__pair_operator] = ACTIONS(11312),
    [sym__arrow_operator] = ACTIONS(11312),
    [sym__lazy_or_operator] = ACTIONS(11312),
    [sym__lazy_and_operator] = ACTIONS(11312),
    [sym__comparison_operator] = ACTIONS(11312),
    [sym__pipe_right_operator] = ACTIONS(11312),
    [sym__pipe_left_operator] = ACTIONS(11312),
    [sym__ellipsis_operator] = ACTIONS(11312),
    [sym__plus_operator] = ACTIONS(11312),
    [sym__times_operator] = ACTIONS(11312),
    [sym__rational_operator] = ACTIONS(11312),
    [sym__bitshift_operator] = ACTIONS(11312),
    [sym__power_operator] = ACTIONS(11312),
    [sym__tilde_operator] = ACTIONS(11312),
    [sym__type_order_operator] = ACTIONS(11312),
    [sym__unary_operator] = ACTIONS(11312),
    [sym__unary_plus_operator] = ACTIONS(11312),
    [aux_sym__terminator_token1] = ACTIONS(11314),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9244] = {
    [sym_block_comment] = STATE(9244),
    [sym_line_comment] = STATE(9244),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(10393),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_RBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9245] = {
    [sym_block_comment] = STATE(9245),
    [sym_line_comment] = STATE(9245),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3222),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3222),
    [anon_sym_QMARK] = ACTIONS(3222),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3222),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3222),
    [aux_sym_integer_literal_token2] = ACTIONS(3222),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3222),
    [aux_sym_float_literal_token3] = ACTIONS(3222),
    [aux_sym_float_literal_token4] = ACTIONS(3222),
    [sym_character_literal] = ACTIONS(3222),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3222),
    [sym__pair_operator] = ACTIONS(3222),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3222),
    [sym__lazy_and_operator] = ACTIONS(3222),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3222),
    [sym__pipe_left_operator] = ACTIONS(3222),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3222),
    [sym__bitshift_operator] = ACTIONS(3222),
    [sym__power_operator] = ACTIONS(3222),
    [sym__tilde_operator] = ACTIONS(3222),
    [sym__type_order_operator] = ACTIONS(3222),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [9246] = {
    [sym_block_comment] = STATE(9246),
    [sym_line_comment] = STATE(9246),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9909),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9909),
    [sym__bitshift_operator] = ACTIONS(9909),
    [sym__power_operator] = ACTIONS(9909),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [9247] = {
    [sym_block_comment] = STATE(9247),
    [sym_line_comment] = STATE(9247),
    [sym__word_identifier] = ACTIONS(11324),
    [anon_sym_COMMA] = ACTIONS(11324),
    [anon_sym_EQ] = ACTIONS(11324),
    [anon_sym_begin] = ACTIONS(11324),
    [anon_sym_module] = ACTIONS(11324),
    [anon_sym_baremodule] = ACTIONS(11324),
    [anon_sym_end] = ACTIONS(11324),
    [anon_sym_abstract] = ACTIONS(11324),
    [anon_sym_primitive] = ACTIONS(11324),
    [anon_sym_mutable] = ACTIONS(11324),
    [anon_sym_struct] = ACTIONS(11324),
    [anon_sym_function] = ACTIONS(11324),
    [anon_sym_macro] = ACTIONS(11324),
    [anon_sym_quote] = ACTIONS(11324),
    [anon_sym_let] = ACTIONS(11324),
    [anon_sym_if] = ACTIONS(11324),
    [anon_sym_try] = ACTIONS(11324),
    [anon_sym_finally] = ACTIONS(11324),
    [anon_sym_for] = ACTIONS(11324),
    [anon_sym_while] = ACTIONS(11324),
    [sym_break_statement] = ACTIONS(11324),
    [sym_continue_statement] = ACTIONS(11324),
    [anon_sym_return] = ACTIONS(11324),
    [anon_sym_const] = ACTIONS(11324),
    [anon_sym_global] = ACTIONS(11324),
    [anon_sym_local] = ACTIONS(11324),
    [anon_sym_LPAREN] = ACTIONS(11324),
    [anon_sym_COLON] = ACTIONS(11324),
    [anon_sym_export] = ACTIONS(11324),
    [anon_sym_public] = ACTIONS(11324),
    [anon_sym_import] = ACTIONS(11324),
    [anon_sym_using] = ACTIONS(11324),
    [anon_sym_LBRACK] = ACTIONS(11324),
    [anon_sym_in] = ACTIONS(11324),
    [anon_sym_SEMI] = ACTIONS(11324),
    [anon_sym_LBRACE] = ACTIONS(11324),
    [anon_sym_DOLLAR] = ACTIONS(11324),
    [anon_sym_COLON2] = ACTIONS(11324),
    [anon_sym_COLON_COLON] = ACTIONS(11324),
    [anon_sym_isa] = ACTIONS(11324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11324),
    [anon_sym_QMARK] = ACTIONS(11324),
    [anon_sym_where] = ACTIONS(11324),
    [anon_sym_AT] = ACTIONS(11324),
    [anon_sym_true] = ACTIONS(11324),
    [anon_sym_false] = ACTIONS(11324),
    [aux_sym_integer_literal_token1] = ACTIONS(11324),
    [aux_sym_integer_literal_token2] = ACTIONS(11324),
    [aux_sym_integer_literal_token3] = ACTIONS(11324),
    [aux_sym_integer_literal_token4] = ACTIONS(11324),
    [aux_sym_float_literal_token1] = ACTIONS(11324),
    [aux_sym_float_literal_token3] = ACTIONS(11324),
    [aux_sym_float_literal_token4] = ACTIONS(11324),
    [sym_character_literal] = ACTIONS(11324),
    [anon_sym_DQUOTE] = ACTIONS(11324),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11324),
    [anon_sym_BQUOTE] = ACTIONS(11324),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11324),
    [sym__pair_operator] = ACTIONS(11324),
    [sym__arrow_operator] = ACTIONS(11324),
    [sym__lazy_or_operator] = ACTIONS(11324),
    [sym__lazy_and_operator] = ACTIONS(11324),
    [sym__comparison_operator] = ACTIONS(11324),
    [sym__pipe_right_operator] = ACTIONS(11324),
    [sym__pipe_left_operator] = ACTIONS(11324),
    [sym__ellipsis_operator] = ACTIONS(11324),
    [sym__plus_operator] = ACTIONS(11324),
    [sym__times_operator] = ACTIONS(11324),
    [sym__rational_operator] = ACTIONS(11324),
    [sym__bitshift_operator] = ACTIONS(11324),
    [sym__power_operator] = ACTIONS(11324),
    [sym__tilde_operator] = ACTIONS(11324),
    [sym__type_order_operator] = ACTIONS(11324),
    [sym__unary_operator] = ACTIONS(11324),
    [sym__unary_plus_operator] = ACTIONS(11324),
    [aux_sym__terminator_token1] = ACTIONS(11326),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9248] = {
    [sym_block_comment] = STATE(9248),
    [sym_line_comment] = STATE(9248),
    [aux_sym_open_tuple_repeat1] = STATE(8241),
    [ts_builtin_sym_end] = ACTIONS(11210),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(12231),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_RBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9249] = {
    [sym_block_comment] = STATE(9249),
    [sym_line_comment] = STATE(9249),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11260),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11260),
    [anon_sym_RPAREN] = ACTIONS(11260),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11260),
    [anon_sym_RBRACK] = ACTIONS(11260),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11260),
    [anon_sym_LBRACE] = ACTIONS(11260),
    [anon_sym_RBRACE] = ACTIONS(11260),
    [anon_sym_DOLLAR] = ACTIONS(11260),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11260),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11260),
    [anon_sym_QMARK] = ACTIONS(11260),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11260),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11260),
    [aux_sym_integer_literal_token2] = ACTIONS(11260),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11260),
    [aux_sym_float_literal_token3] = ACTIONS(11260),
    [aux_sym_float_literal_token4] = ACTIONS(11260),
    [sym_character_literal] = ACTIONS(11260),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11260),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11260),
    [sym__pair_operator] = ACTIONS(11260),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11260),
    [sym__lazy_and_operator] = ACTIONS(11260),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11260),
    [sym__pipe_left_operator] = ACTIONS(11260),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11260),
    [sym__bitshift_operator] = ACTIONS(11260),
    [sym__power_operator] = ACTIONS(11260),
    [sym__tilde_operator] = ACTIONS(11260),
    [sym__type_order_operator] = ACTIONS(11260),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9250] = {
    [sym_block_comment] = STATE(9250),
    [sym_line_comment] = STATE(9250),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
  },
  [9251] = {
    [sym_block_comment] = STATE(9251),
    [sym_line_comment] = STATE(9251),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_EQ] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_elseif] = ACTIONS(11308),
    [anon_sym_else] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9252] = {
    [sym_block_comment] = STATE(9252),
    [sym_line_comment] = STATE(9252),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_EQ] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_end] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_elseif] = ACTIONS(11788),
    [anon_sym_else] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12675),
    [sym__times_operator] = ACTIONS(12677),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12675),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9253] = {
    [sym_block_comment] = STATE(9253),
    [sym_line_comment] = STATE(9253),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12675),
    [sym__times_operator] = ACTIONS(12677),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12675),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9254] = {
    [sym_block_comment] = STATE(9254),
    [sym_line_comment] = STATE(9254),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12677),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9255] = {
    [sym_block_comment] = STATE(9255),
    [sym_line_comment] = STATE(9255),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9256] = {
    [sym_block_comment] = STATE(9256),
    [sym_line_comment] = STATE(9256),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9257] = {
    [sym_block_comment] = STATE(9257),
    [sym_line_comment] = STATE(9257),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9258] = {
    [sym_block_comment] = STATE(9258),
    [sym_line_comment] = STATE(9258),
    [sym__word_identifier] = ACTIONS(11328),
    [anon_sym_COMMA] = ACTIONS(11328),
    [anon_sym_EQ] = ACTIONS(11328),
    [anon_sym_begin] = ACTIONS(11328),
    [anon_sym_module] = ACTIONS(11328),
    [anon_sym_baremodule] = ACTIONS(11328),
    [anon_sym_end] = ACTIONS(11328),
    [anon_sym_abstract] = ACTIONS(11328),
    [anon_sym_primitive] = ACTIONS(11328),
    [anon_sym_mutable] = ACTIONS(11328),
    [anon_sym_struct] = ACTIONS(11328),
    [anon_sym_function] = ACTIONS(11328),
    [anon_sym_macro] = ACTIONS(11328),
    [anon_sym_quote] = ACTIONS(11328),
    [anon_sym_let] = ACTIONS(11328),
    [anon_sym_if] = ACTIONS(11328),
    [anon_sym_try] = ACTIONS(11328),
    [anon_sym_finally] = ACTIONS(11328),
    [anon_sym_for] = ACTIONS(11328),
    [anon_sym_while] = ACTIONS(11328),
    [sym_break_statement] = ACTIONS(11328),
    [sym_continue_statement] = ACTIONS(11328),
    [anon_sym_return] = ACTIONS(11328),
    [anon_sym_const] = ACTIONS(11328),
    [anon_sym_global] = ACTIONS(11328),
    [anon_sym_local] = ACTIONS(11328),
    [anon_sym_LPAREN] = ACTIONS(11328),
    [anon_sym_COLON] = ACTIONS(11328),
    [anon_sym_export] = ACTIONS(11328),
    [anon_sym_public] = ACTIONS(11328),
    [anon_sym_import] = ACTIONS(11328),
    [anon_sym_using] = ACTIONS(11328),
    [anon_sym_LBRACK] = ACTIONS(11328),
    [anon_sym_in] = ACTIONS(11328),
    [anon_sym_SEMI] = ACTIONS(11328),
    [anon_sym_LBRACE] = ACTIONS(11328),
    [anon_sym_DOLLAR] = ACTIONS(11328),
    [anon_sym_COLON2] = ACTIONS(11328),
    [anon_sym_COLON_COLON] = ACTIONS(11328),
    [anon_sym_isa] = ACTIONS(11328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11328),
    [anon_sym_QMARK] = ACTIONS(11328),
    [anon_sym_where] = ACTIONS(11328),
    [anon_sym_AT] = ACTIONS(11328),
    [anon_sym_true] = ACTIONS(11328),
    [anon_sym_false] = ACTIONS(11328),
    [aux_sym_integer_literal_token1] = ACTIONS(11328),
    [aux_sym_integer_literal_token2] = ACTIONS(11328),
    [aux_sym_integer_literal_token3] = ACTIONS(11328),
    [aux_sym_integer_literal_token4] = ACTIONS(11328),
    [aux_sym_float_literal_token1] = ACTIONS(11328),
    [aux_sym_float_literal_token3] = ACTIONS(11328),
    [aux_sym_float_literal_token4] = ACTIONS(11328),
    [sym_character_literal] = ACTIONS(11328),
    [anon_sym_DQUOTE] = ACTIONS(11328),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11328),
    [anon_sym_BQUOTE] = ACTIONS(11328),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11328),
    [sym__pair_operator] = ACTIONS(11328),
    [sym__arrow_operator] = ACTIONS(11328),
    [sym__lazy_or_operator] = ACTIONS(11328),
    [sym__lazy_and_operator] = ACTIONS(11328),
    [sym__comparison_operator] = ACTIONS(11328),
    [sym__pipe_right_operator] = ACTIONS(11328),
    [sym__pipe_left_operator] = ACTIONS(11328),
    [sym__ellipsis_operator] = ACTIONS(11328),
    [sym__plus_operator] = ACTIONS(11328),
    [sym__times_operator] = ACTIONS(11328),
    [sym__rational_operator] = ACTIONS(11328),
    [sym__bitshift_operator] = ACTIONS(11328),
    [sym__power_operator] = ACTIONS(11328),
    [sym__tilde_operator] = ACTIONS(11328),
    [sym__type_order_operator] = ACTIONS(11328),
    [sym__unary_operator] = ACTIONS(11328),
    [sym__unary_plus_operator] = ACTIONS(11328),
    [aux_sym__terminator_token1] = ACTIONS(11330),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9259] = {
    [sym_block_comment] = STATE(9259),
    [sym_line_comment] = STATE(9259),
    [sym__word_identifier] = ACTIONS(11332),
    [anon_sym_COMMA] = ACTIONS(11332),
    [anon_sym_EQ] = ACTIONS(11332),
    [anon_sym_begin] = ACTIONS(11332),
    [anon_sym_module] = ACTIONS(11332),
    [anon_sym_baremodule] = ACTIONS(11332),
    [anon_sym_end] = ACTIONS(11332),
    [anon_sym_abstract] = ACTIONS(11332),
    [anon_sym_primitive] = ACTIONS(11332),
    [anon_sym_mutable] = ACTIONS(11332),
    [anon_sym_struct] = ACTIONS(11332),
    [anon_sym_function] = ACTIONS(11332),
    [anon_sym_macro] = ACTIONS(11332),
    [anon_sym_quote] = ACTIONS(11332),
    [anon_sym_let] = ACTIONS(11332),
    [anon_sym_if] = ACTIONS(11332),
    [anon_sym_try] = ACTIONS(11332),
    [anon_sym_finally] = ACTIONS(11332),
    [anon_sym_for] = ACTIONS(11332),
    [anon_sym_while] = ACTIONS(11332),
    [sym_break_statement] = ACTIONS(11332),
    [sym_continue_statement] = ACTIONS(11332),
    [anon_sym_return] = ACTIONS(11332),
    [anon_sym_const] = ACTIONS(11332),
    [anon_sym_global] = ACTIONS(11332),
    [anon_sym_local] = ACTIONS(11332),
    [anon_sym_LPAREN] = ACTIONS(11332),
    [anon_sym_COLON] = ACTIONS(11332),
    [anon_sym_export] = ACTIONS(11332),
    [anon_sym_public] = ACTIONS(11332),
    [anon_sym_import] = ACTIONS(11332),
    [anon_sym_using] = ACTIONS(11332),
    [anon_sym_LBRACK] = ACTIONS(11332),
    [anon_sym_in] = ACTIONS(11332),
    [anon_sym_SEMI] = ACTIONS(11332),
    [anon_sym_LBRACE] = ACTIONS(11332),
    [anon_sym_DOLLAR] = ACTIONS(11332),
    [anon_sym_COLON2] = ACTIONS(11332),
    [anon_sym_COLON_COLON] = ACTIONS(11332),
    [anon_sym_isa] = ACTIONS(11332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11332),
    [anon_sym_QMARK] = ACTIONS(11332),
    [anon_sym_where] = ACTIONS(11332),
    [anon_sym_AT] = ACTIONS(11332),
    [anon_sym_true] = ACTIONS(11332),
    [anon_sym_false] = ACTIONS(11332),
    [aux_sym_integer_literal_token1] = ACTIONS(11332),
    [aux_sym_integer_literal_token2] = ACTIONS(11332),
    [aux_sym_integer_literal_token3] = ACTIONS(11332),
    [aux_sym_integer_literal_token4] = ACTIONS(11332),
    [aux_sym_float_literal_token1] = ACTIONS(11332),
    [aux_sym_float_literal_token3] = ACTIONS(11332),
    [aux_sym_float_literal_token4] = ACTIONS(11332),
    [sym_character_literal] = ACTIONS(11332),
    [anon_sym_DQUOTE] = ACTIONS(11332),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11332),
    [anon_sym_BQUOTE] = ACTIONS(11332),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11332),
    [sym__pair_operator] = ACTIONS(11332),
    [sym__arrow_operator] = ACTIONS(11332),
    [sym__lazy_or_operator] = ACTIONS(11332),
    [sym__lazy_and_operator] = ACTIONS(11332),
    [sym__comparison_operator] = ACTIONS(11332),
    [sym__pipe_right_operator] = ACTIONS(11332),
    [sym__pipe_left_operator] = ACTIONS(11332),
    [sym__ellipsis_operator] = ACTIONS(11332),
    [sym__plus_operator] = ACTIONS(11332),
    [sym__times_operator] = ACTIONS(11332),
    [sym__rational_operator] = ACTIONS(11332),
    [sym__bitshift_operator] = ACTIONS(11332),
    [sym__power_operator] = ACTIONS(11332),
    [sym__tilde_operator] = ACTIONS(11332),
    [sym__type_order_operator] = ACTIONS(11332),
    [sym__unary_operator] = ACTIONS(11332),
    [sym__unary_plus_operator] = ACTIONS(11332),
    [aux_sym__terminator_token1] = ACTIONS(11334),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9260] = {
    [sym_block_comment] = STATE(9260),
    [sym_line_comment] = STATE(9260),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_elseif] = ACTIONS(11308),
    [anon_sym_else] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12542),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9261] = {
    [sym_block_comment] = STATE(9261),
    [sym_line_comment] = STATE(9261),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_end] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_elseif] = ACTIONS(11788),
    [anon_sym_else] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12638),
    [sym__times_operator] = ACTIONS(12640),
    [sym__rational_operator] = ACTIONS(12642),
    [sym__bitshift_operator] = ACTIONS(12644),
    [sym__power_operator] = ACTIONS(12542),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12638),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9262] = {
    [sym_block_comment] = STATE(9262),
    [sym_line_comment] = STATE(9262),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12638),
    [sym__times_operator] = ACTIONS(12640),
    [sym__rational_operator] = ACTIONS(12642),
    [sym__bitshift_operator] = ACTIONS(12644),
    [sym__power_operator] = ACTIONS(12542),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12638),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9263] = {
    [sym_block_comment] = STATE(9263),
    [sym_line_comment] = STATE(9263),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12640),
    [sym__rational_operator] = ACTIONS(12642),
    [sym__bitshift_operator] = ACTIONS(12644),
    [sym__power_operator] = ACTIONS(12542),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9264] = {
    [sym_block_comment] = STATE(9264),
    [sym_line_comment] = STATE(9264),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12642),
    [sym__bitshift_operator] = ACTIONS(12644),
    [sym__power_operator] = ACTIONS(12542),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9265] = {
    [sym_block_comment] = STATE(9265),
    [sym_line_comment] = STATE(9265),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(12644),
    [sym__power_operator] = ACTIONS(12542),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9266] = {
    [sym_block_comment] = STATE(9266),
    [sym_line_comment] = STATE(9266),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12552),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12554),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11226),
    [anon_sym_isa] = ACTIONS(12554),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11228),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12572),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(12580),
    [sym__comparison_operator] = ACTIONS(12554),
    [sym__pipe_right_operator] = ACTIONS(12556),
    [sym__pipe_left_operator] = ACTIONS(12558),
    [sym__ellipsis_operator] = ACTIONS(12560),
    [sym__plus_operator] = ACTIONS(12562),
    [sym__times_operator] = ACTIONS(12564),
    [sym__rational_operator] = ACTIONS(12566),
    [sym__bitshift_operator] = ACTIONS(12568),
    [sym__power_operator] = ACTIONS(12550),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12554),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12562),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9267] = {
    [sym_block_comment] = STATE(9267),
    [sym_line_comment] = STATE(9267),
    [sym__word_identifier] = ACTIONS(11304),
    [anon_sym_COMMA] = ACTIONS(11304),
    [anon_sym_EQ] = ACTIONS(11304),
    [anon_sym_begin] = ACTIONS(11304),
    [anon_sym_module] = ACTIONS(11304),
    [anon_sym_baremodule] = ACTIONS(11304),
    [anon_sym_end] = ACTIONS(11304),
    [anon_sym_abstract] = ACTIONS(11304),
    [anon_sym_primitive] = ACTIONS(11304),
    [anon_sym_mutable] = ACTIONS(11304),
    [anon_sym_struct] = ACTIONS(11304),
    [anon_sym_function] = ACTIONS(11304),
    [anon_sym_macro] = ACTIONS(11304),
    [anon_sym_quote] = ACTIONS(11304),
    [anon_sym_let] = ACTIONS(11304),
    [anon_sym_if] = ACTIONS(11304),
    [anon_sym_try] = ACTIONS(11304),
    [anon_sym_for] = ACTIONS(11304),
    [anon_sym_while] = ACTIONS(11304),
    [sym_break_statement] = ACTIONS(11304),
    [sym_continue_statement] = ACTIONS(11304),
    [anon_sym_return] = ACTIONS(11304),
    [anon_sym_const] = ACTIONS(11304),
    [anon_sym_global] = ACTIONS(11304),
    [anon_sym_local] = ACTIONS(11304),
    [anon_sym_LPAREN] = ACTIONS(11304),
    [anon_sym_COLON] = ACTIONS(11304),
    [anon_sym_export] = ACTIONS(11304),
    [anon_sym_public] = ACTIONS(11304),
    [anon_sym_import] = ACTIONS(11304),
    [anon_sym_using] = ACTIONS(11304),
    [anon_sym_LBRACK] = ACTIONS(11304),
    [anon_sym_in] = ACTIONS(11304),
    [anon_sym_SEMI] = ACTIONS(11304),
    [anon_sym_LBRACE] = ACTIONS(11304),
    [anon_sym_DOLLAR] = ACTIONS(11304),
    [anon_sym_COLON2] = ACTIONS(11304),
    [anon_sym_COLON_COLON] = ACTIONS(11304),
    [anon_sym_isa] = ACTIONS(11304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11304),
    [anon_sym_QMARK] = ACTIONS(11304),
    [anon_sym_where] = ACTIONS(11304),
    [anon_sym_AT] = ACTIONS(11304),
    [anon_sym_true] = ACTIONS(11304),
    [anon_sym_false] = ACTIONS(11304),
    [aux_sym_integer_literal_token1] = ACTIONS(11304),
    [aux_sym_integer_literal_token2] = ACTIONS(11304),
    [aux_sym_integer_literal_token3] = ACTIONS(11304),
    [aux_sym_integer_literal_token4] = ACTIONS(11304),
    [aux_sym_float_literal_token1] = ACTIONS(11304),
    [aux_sym_float_literal_token3] = ACTIONS(11304),
    [aux_sym_float_literal_token4] = ACTIONS(11304),
    [sym_character_literal] = ACTIONS(11304),
    [anon_sym_DQUOTE] = ACTIONS(11304),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11304),
    [anon_sym_BQUOTE] = ACTIONS(11304),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11304),
    [sym__pair_operator] = ACTIONS(11304),
    [sym__arrow_operator] = ACTIONS(11304),
    [sym__lazy_or_operator] = ACTIONS(11304),
    [sym__lazy_and_operator] = ACTIONS(11304),
    [sym__comparison_operator] = ACTIONS(11304),
    [sym__pipe_right_operator] = ACTIONS(11304),
    [sym__pipe_left_operator] = ACTIONS(11304),
    [sym__ellipsis_operator] = ACTIONS(11304),
    [sym__plus_operator] = ACTIONS(11304),
    [sym__times_operator] = ACTIONS(11304),
    [sym__rational_operator] = ACTIONS(11304),
    [sym__bitshift_operator] = ACTIONS(11304),
    [sym__power_operator] = ACTIONS(11304),
    [sym__tilde_operator] = ACTIONS(11304),
    [sym__type_order_operator] = ACTIONS(11304),
    [sym__unary_operator] = ACTIONS(11304),
    [sym__unary_plus_operator] = ACTIONS(11304),
    [aux_sym__terminator_token1] = ACTIONS(11306),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9268] = {
    [sym_block_comment] = STATE(9268),
    [sym_line_comment] = STATE(9268),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12685),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12687),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12687),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12689),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(12687),
    [sym__pipe_right_operator] = ACTIONS(12691),
    [sym__pipe_left_operator] = ACTIONS(12693),
    [sym__ellipsis_operator] = ACTIONS(12695),
    [sym__plus_operator] = ACTIONS(12697),
    [sym__times_operator] = ACTIONS(12699),
    [sym__rational_operator] = ACTIONS(12701),
    [sym__bitshift_operator] = ACTIONS(12703),
    [sym__power_operator] = ACTIONS(12705),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12687),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12697),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9269] = {
    [sym_block_comment] = STATE(9269),
    [sym_line_comment] = STATE(9269),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12685),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(12695),
    [sym__plus_operator] = ACTIONS(12697),
    [sym__times_operator] = ACTIONS(12699),
    [sym__rational_operator] = ACTIONS(12701),
    [sym__bitshift_operator] = ACTIONS(12703),
    [sym__power_operator] = ACTIONS(12705),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12697),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9270] = {
    [sym_block_comment] = STATE(9270),
    [sym_line_comment] = STATE(9270),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12685),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12691),
    [sym__pipe_left_operator] = ACTIONS(12693),
    [sym__ellipsis_operator] = ACTIONS(12695),
    [sym__plus_operator] = ACTIONS(12697),
    [sym__times_operator] = ACTIONS(12699),
    [sym__rational_operator] = ACTIONS(12701),
    [sym__bitshift_operator] = ACTIONS(12703),
    [sym__power_operator] = ACTIONS(12705),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12697),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9271] = {
    [sym_block_comment] = STATE(9271),
    [sym_line_comment] = STATE(9271),
    [sym__word_identifier] = ACTIONS(11569),
    [anon_sym_COMMA] = ACTIONS(11569),
    [anon_sym_EQ] = ACTIONS(11569),
    [anon_sym_begin] = ACTIONS(11569),
    [anon_sym_module] = ACTIONS(11569),
    [anon_sym_baremodule] = ACTIONS(11569),
    [anon_sym_end] = ACTIONS(11569),
    [anon_sym_abstract] = ACTIONS(11569),
    [anon_sym_primitive] = ACTIONS(11569),
    [anon_sym_mutable] = ACTIONS(11569),
    [anon_sym_struct] = ACTIONS(11569),
    [anon_sym_function] = ACTIONS(11569),
    [anon_sym_macro] = ACTIONS(11569),
    [anon_sym_quote] = ACTIONS(11569),
    [anon_sym_let] = ACTIONS(11569),
    [anon_sym_if] = ACTIONS(11569),
    [anon_sym_try] = ACTIONS(11569),
    [anon_sym_for] = ACTIONS(11569),
    [anon_sym_while] = ACTIONS(11569),
    [sym_break_statement] = ACTIONS(11569),
    [sym_continue_statement] = ACTIONS(11569),
    [anon_sym_return] = ACTIONS(11569),
    [anon_sym_const] = ACTIONS(11569),
    [anon_sym_global] = ACTIONS(11569),
    [anon_sym_local] = ACTIONS(11569),
    [anon_sym_LPAREN] = ACTIONS(11569),
    [anon_sym_COLON] = ACTIONS(11569),
    [anon_sym_export] = ACTIONS(11569),
    [anon_sym_public] = ACTIONS(11569),
    [anon_sym_import] = ACTIONS(11569),
    [anon_sym_using] = ACTIONS(11569),
    [anon_sym_LBRACK] = ACTIONS(11569),
    [anon_sym_in] = ACTIONS(11569),
    [anon_sym_SEMI] = ACTIONS(11569),
    [anon_sym_LBRACE] = ACTIONS(11569),
    [anon_sym_DOLLAR] = ACTIONS(11569),
    [anon_sym_COLON2] = ACTIONS(11569),
    [anon_sym_COLON_COLON] = ACTIONS(11569),
    [anon_sym_isa] = ACTIONS(11569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11569),
    [anon_sym_QMARK] = ACTIONS(11569),
    [anon_sym_where] = ACTIONS(11569),
    [anon_sym_AT] = ACTIONS(11569),
    [anon_sym_true] = ACTIONS(11569),
    [anon_sym_false] = ACTIONS(11569),
    [aux_sym_integer_literal_token1] = ACTIONS(11569),
    [aux_sym_integer_literal_token2] = ACTIONS(11569),
    [aux_sym_integer_literal_token3] = ACTIONS(11569),
    [aux_sym_integer_literal_token4] = ACTIONS(11569),
    [aux_sym_float_literal_token1] = ACTIONS(11569),
    [aux_sym_float_literal_token3] = ACTIONS(11569),
    [aux_sym_float_literal_token4] = ACTIONS(11569),
    [sym_character_literal] = ACTIONS(11569),
    [anon_sym_DQUOTE] = ACTIONS(11569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11569),
    [anon_sym_BQUOTE] = ACTIONS(11569),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11569),
    [sym__pair_operator] = ACTIONS(11569),
    [sym__arrow_operator] = ACTIONS(11569),
    [sym__lazy_or_operator] = ACTIONS(11569),
    [sym__lazy_and_operator] = ACTIONS(11569),
    [sym__comparison_operator] = ACTIONS(11569),
    [sym__pipe_right_operator] = ACTIONS(11569),
    [sym__pipe_left_operator] = ACTIONS(11569),
    [sym__ellipsis_operator] = ACTIONS(11569),
    [sym__plus_operator] = ACTIONS(11569),
    [sym__times_operator] = ACTIONS(11569),
    [sym__rational_operator] = ACTIONS(11569),
    [sym__bitshift_operator] = ACTIONS(11569),
    [sym__power_operator] = ACTIONS(11569),
    [sym__tilde_operator] = ACTIONS(11569),
    [sym__type_order_operator] = ACTIONS(11569),
    [sym__unary_operator] = ACTIONS(11569),
    [sym__unary_plus_operator] = ACTIONS(11569),
    [aux_sym__terminator_token1] = ACTIONS(11571),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9272] = {
    [sym_block_comment] = STATE(9272),
    [sym_line_comment] = STATE(9272),
    [sym__word_identifier] = ACTIONS(11374),
    [anon_sym_COMMA] = ACTIONS(11374),
    [anon_sym_EQ] = ACTIONS(11374),
    [anon_sym_begin] = ACTIONS(11374),
    [anon_sym_module] = ACTIONS(11374),
    [anon_sym_baremodule] = ACTIONS(11374),
    [anon_sym_end] = ACTIONS(11374),
    [anon_sym_abstract] = ACTIONS(11374),
    [anon_sym_primitive] = ACTIONS(11374),
    [anon_sym_mutable] = ACTIONS(11374),
    [anon_sym_struct] = ACTIONS(11374),
    [anon_sym_function] = ACTIONS(11374),
    [anon_sym_macro] = ACTIONS(11374),
    [anon_sym_quote] = ACTIONS(11374),
    [anon_sym_let] = ACTIONS(11374),
    [anon_sym_if] = ACTIONS(11374),
    [anon_sym_try] = ACTIONS(11374),
    [anon_sym_for] = ACTIONS(11374),
    [anon_sym_while] = ACTIONS(11374),
    [sym_break_statement] = ACTIONS(11374),
    [sym_continue_statement] = ACTIONS(11374),
    [anon_sym_return] = ACTIONS(11374),
    [anon_sym_const] = ACTIONS(11374),
    [anon_sym_global] = ACTIONS(11374),
    [anon_sym_local] = ACTIONS(11374),
    [anon_sym_LPAREN] = ACTIONS(11374),
    [anon_sym_COLON] = ACTIONS(11374),
    [anon_sym_export] = ACTIONS(11374),
    [anon_sym_public] = ACTIONS(11374),
    [anon_sym_import] = ACTIONS(11374),
    [anon_sym_using] = ACTIONS(11374),
    [anon_sym_LBRACK] = ACTIONS(11374),
    [anon_sym_in] = ACTIONS(11374),
    [anon_sym_SEMI] = ACTIONS(11374),
    [anon_sym_LBRACE] = ACTIONS(11374),
    [anon_sym_DOLLAR] = ACTIONS(11374),
    [anon_sym_COLON2] = ACTIONS(11374),
    [anon_sym_COLON_COLON] = ACTIONS(11374),
    [anon_sym_isa] = ACTIONS(11374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11374),
    [anon_sym_QMARK] = ACTIONS(11374),
    [anon_sym_where] = ACTIONS(11374),
    [anon_sym_AT] = ACTIONS(11374),
    [anon_sym_true] = ACTIONS(11374),
    [anon_sym_false] = ACTIONS(11374),
    [aux_sym_integer_literal_token1] = ACTIONS(11374),
    [aux_sym_integer_literal_token2] = ACTIONS(11374),
    [aux_sym_integer_literal_token3] = ACTIONS(11374),
    [aux_sym_integer_literal_token4] = ACTIONS(11374),
    [aux_sym_float_literal_token1] = ACTIONS(11374),
    [aux_sym_float_literal_token3] = ACTIONS(11374),
    [aux_sym_float_literal_token4] = ACTIONS(11374),
    [sym_character_literal] = ACTIONS(11374),
    [anon_sym_DQUOTE] = ACTIONS(11374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11374),
    [anon_sym_BQUOTE] = ACTIONS(11374),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11374),
    [sym__pair_operator] = ACTIONS(11374),
    [sym__arrow_operator] = ACTIONS(11374),
    [sym__lazy_or_operator] = ACTIONS(11374),
    [sym__lazy_and_operator] = ACTIONS(11374),
    [sym__comparison_operator] = ACTIONS(11374),
    [sym__pipe_right_operator] = ACTIONS(11374),
    [sym__pipe_left_operator] = ACTIONS(11374),
    [sym__ellipsis_operator] = ACTIONS(11374),
    [sym__plus_operator] = ACTIONS(11374),
    [sym__times_operator] = ACTIONS(11374),
    [sym__rational_operator] = ACTIONS(11374),
    [sym__bitshift_operator] = ACTIONS(11374),
    [sym__power_operator] = ACTIONS(11374),
    [sym__tilde_operator] = ACTIONS(11374),
    [sym__type_order_operator] = ACTIONS(11374),
    [sym__unary_operator] = ACTIONS(11374),
    [sym__unary_plus_operator] = ACTIONS(11374),
    [aux_sym__terminator_token1] = ACTIONS(11376),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9273] = {
    [sym_block_comment] = STATE(9273),
    [sym_line_comment] = STATE(9273),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10341),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_as] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10341),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10341),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10341),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10341),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10341),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10341),
    [anon_sym_QMARK] = ACTIONS(10341),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10341),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10341),
    [aux_sym_integer_literal_token2] = ACTIONS(10341),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10341),
    [aux_sym_float_literal_token3] = ACTIONS(10341),
    [aux_sym_float_literal_token4] = ACTIONS(10341),
    [sym_character_literal] = ACTIONS(10341),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10341),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10341),
    [sym__pair_operator] = ACTIONS(10341),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10341),
    [sym__lazy_and_operator] = ACTIONS(10341),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10341),
    [sym__pipe_left_operator] = ACTIONS(10341),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10341),
    [sym__bitshift_operator] = ACTIONS(10341),
    [sym__power_operator] = ACTIONS(10341),
    [sym__tilde_operator] = ACTIONS(10341),
    [sym__type_order_operator] = ACTIONS(10341),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9274] = {
    [sym_block_comment] = STATE(9274),
    [sym_line_comment] = STATE(9274),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12697),
    [sym__times_operator] = ACTIONS(12699),
    [sym__rational_operator] = ACTIONS(12701),
    [sym__bitshift_operator] = ACTIONS(12703),
    [sym__power_operator] = ACTIONS(12705),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12697),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9275] = {
    [sym_block_comment] = STATE(9275),
    [sym_line_comment] = STATE(9275),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12699),
    [sym__rational_operator] = ACTIONS(12701),
    [sym__bitshift_operator] = ACTIONS(12703),
    [sym__power_operator] = ACTIONS(12705),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9276] = {
    [sym_block_comment] = STATE(9276),
    [sym_line_comment] = STATE(9276),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12701),
    [sym__bitshift_operator] = ACTIONS(12703),
    [sym__power_operator] = ACTIONS(12705),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9277] = {
    [sym_block_comment] = STATE(9277),
    [sym_line_comment] = STATE(9277),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(12703),
    [sym__power_operator] = ACTIONS(12705),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9278] = {
    [sym_block_comment] = STATE(9278),
    [sym_line_comment] = STATE(9278),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(12705),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9279] = {
    [sym_block_comment] = STATE(9279),
    [sym_line_comment] = STATE(9279),
    [sym__word_identifier] = ACTIONS(11573),
    [anon_sym_COMMA] = ACTIONS(11573),
    [anon_sym_EQ] = ACTIONS(11573),
    [anon_sym_begin] = ACTIONS(11573),
    [anon_sym_module] = ACTIONS(11573),
    [anon_sym_baremodule] = ACTIONS(11573),
    [anon_sym_end] = ACTIONS(11573),
    [anon_sym_abstract] = ACTIONS(11573),
    [anon_sym_primitive] = ACTIONS(11573),
    [anon_sym_mutable] = ACTIONS(11573),
    [anon_sym_struct] = ACTIONS(11573),
    [anon_sym_function] = ACTIONS(11573),
    [anon_sym_macro] = ACTIONS(11573),
    [anon_sym_quote] = ACTIONS(11573),
    [anon_sym_let] = ACTIONS(11573),
    [anon_sym_if] = ACTIONS(11573),
    [anon_sym_try] = ACTIONS(11573),
    [anon_sym_for] = ACTIONS(11573),
    [anon_sym_while] = ACTIONS(11573),
    [sym_break_statement] = ACTIONS(11573),
    [sym_continue_statement] = ACTIONS(11573),
    [anon_sym_return] = ACTIONS(11573),
    [anon_sym_const] = ACTIONS(11573),
    [anon_sym_global] = ACTIONS(11573),
    [anon_sym_local] = ACTIONS(11573),
    [anon_sym_LPAREN] = ACTIONS(11573),
    [anon_sym_COLON] = ACTIONS(11573),
    [anon_sym_export] = ACTIONS(11573),
    [anon_sym_public] = ACTIONS(11573),
    [anon_sym_import] = ACTIONS(11573),
    [anon_sym_using] = ACTIONS(11573),
    [anon_sym_LBRACK] = ACTIONS(11573),
    [anon_sym_in] = ACTIONS(11573),
    [anon_sym_SEMI] = ACTIONS(11573),
    [anon_sym_LBRACE] = ACTIONS(11573),
    [anon_sym_DOLLAR] = ACTIONS(11573),
    [anon_sym_COLON2] = ACTIONS(11573),
    [anon_sym_COLON_COLON] = ACTIONS(11573),
    [anon_sym_isa] = ACTIONS(11573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11573),
    [anon_sym_QMARK] = ACTIONS(11573),
    [anon_sym_where] = ACTIONS(11573),
    [anon_sym_AT] = ACTIONS(11573),
    [anon_sym_true] = ACTIONS(11573),
    [anon_sym_false] = ACTIONS(11573),
    [aux_sym_integer_literal_token1] = ACTIONS(11573),
    [aux_sym_integer_literal_token2] = ACTIONS(11573),
    [aux_sym_integer_literal_token3] = ACTIONS(11573),
    [aux_sym_integer_literal_token4] = ACTIONS(11573),
    [aux_sym_float_literal_token1] = ACTIONS(11573),
    [aux_sym_float_literal_token3] = ACTIONS(11573),
    [aux_sym_float_literal_token4] = ACTIONS(11573),
    [sym_character_literal] = ACTIONS(11573),
    [anon_sym_DQUOTE] = ACTIONS(11573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11573),
    [anon_sym_BQUOTE] = ACTIONS(11573),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11573),
    [sym__pair_operator] = ACTIONS(11573),
    [sym__arrow_operator] = ACTIONS(11573),
    [sym__lazy_or_operator] = ACTIONS(11573),
    [sym__lazy_and_operator] = ACTIONS(11573),
    [sym__comparison_operator] = ACTIONS(11573),
    [sym__pipe_right_operator] = ACTIONS(11573),
    [sym__pipe_left_operator] = ACTIONS(11573),
    [sym__ellipsis_operator] = ACTIONS(11573),
    [sym__plus_operator] = ACTIONS(11573),
    [sym__times_operator] = ACTIONS(11573),
    [sym__rational_operator] = ACTIONS(11573),
    [sym__bitshift_operator] = ACTIONS(11573),
    [sym__power_operator] = ACTIONS(11573),
    [sym__tilde_operator] = ACTIONS(11573),
    [sym__type_order_operator] = ACTIONS(11573),
    [sym__unary_operator] = ACTIONS(11573),
    [sym__unary_plus_operator] = ACTIONS(11573),
    [aux_sym__terminator_token1] = ACTIONS(11575),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9280] = {
    [sym_block_comment] = STATE(9280),
    [sym_line_comment] = STATE(9280),
    [sym__word_identifier] = ACTIONS(11577),
    [anon_sym_COMMA] = ACTIONS(11577),
    [anon_sym_EQ] = ACTIONS(11577),
    [anon_sym_begin] = ACTIONS(11577),
    [anon_sym_module] = ACTIONS(11577),
    [anon_sym_baremodule] = ACTIONS(11577),
    [anon_sym_end] = ACTIONS(11577),
    [anon_sym_abstract] = ACTIONS(11577),
    [anon_sym_primitive] = ACTIONS(11577),
    [anon_sym_mutable] = ACTIONS(11577),
    [anon_sym_struct] = ACTIONS(11577),
    [anon_sym_function] = ACTIONS(11577),
    [anon_sym_macro] = ACTIONS(11577),
    [anon_sym_quote] = ACTIONS(11577),
    [anon_sym_let] = ACTIONS(11577),
    [anon_sym_if] = ACTIONS(11577),
    [anon_sym_try] = ACTIONS(11577),
    [anon_sym_for] = ACTIONS(11577),
    [anon_sym_while] = ACTIONS(11577),
    [sym_break_statement] = ACTIONS(11577),
    [sym_continue_statement] = ACTIONS(11577),
    [anon_sym_return] = ACTIONS(11577),
    [anon_sym_const] = ACTIONS(11577),
    [anon_sym_global] = ACTIONS(11577),
    [anon_sym_local] = ACTIONS(11577),
    [anon_sym_LPAREN] = ACTIONS(11577),
    [anon_sym_COLON] = ACTIONS(11577),
    [anon_sym_export] = ACTIONS(11577),
    [anon_sym_public] = ACTIONS(11577),
    [anon_sym_import] = ACTIONS(11577),
    [anon_sym_using] = ACTIONS(11577),
    [anon_sym_LBRACK] = ACTIONS(11577),
    [anon_sym_in] = ACTIONS(11577),
    [anon_sym_SEMI] = ACTIONS(11577),
    [anon_sym_LBRACE] = ACTIONS(11577),
    [anon_sym_DOLLAR] = ACTIONS(11577),
    [anon_sym_COLON2] = ACTIONS(11577),
    [anon_sym_COLON_COLON] = ACTIONS(11577),
    [anon_sym_isa] = ACTIONS(11577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11577),
    [anon_sym_QMARK] = ACTIONS(11577),
    [anon_sym_where] = ACTIONS(11577),
    [anon_sym_AT] = ACTIONS(11577),
    [anon_sym_true] = ACTIONS(11577),
    [anon_sym_false] = ACTIONS(11577),
    [aux_sym_integer_literal_token1] = ACTIONS(11577),
    [aux_sym_integer_literal_token2] = ACTIONS(11577),
    [aux_sym_integer_literal_token3] = ACTIONS(11577),
    [aux_sym_integer_literal_token4] = ACTIONS(11577),
    [aux_sym_float_literal_token1] = ACTIONS(11577),
    [aux_sym_float_literal_token3] = ACTIONS(11577),
    [aux_sym_float_literal_token4] = ACTIONS(11577),
    [sym_character_literal] = ACTIONS(11577),
    [anon_sym_DQUOTE] = ACTIONS(11577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11577),
    [anon_sym_BQUOTE] = ACTIONS(11577),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11577),
    [sym__pair_operator] = ACTIONS(11577),
    [sym__arrow_operator] = ACTIONS(11577),
    [sym__lazy_or_operator] = ACTIONS(11577),
    [sym__lazy_and_operator] = ACTIONS(11577),
    [sym__comparison_operator] = ACTIONS(11577),
    [sym__pipe_right_operator] = ACTIONS(11577),
    [sym__pipe_left_operator] = ACTIONS(11577),
    [sym__ellipsis_operator] = ACTIONS(11577),
    [sym__plus_operator] = ACTIONS(11577),
    [sym__times_operator] = ACTIONS(11577),
    [sym__rational_operator] = ACTIONS(11577),
    [sym__bitshift_operator] = ACTIONS(11577),
    [sym__power_operator] = ACTIONS(11577),
    [sym__tilde_operator] = ACTIONS(11577),
    [sym__type_order_operator] = ACTIONS(11577),
    [sym__unary_operator] = ACTIONS(11577),
    [sym__unary_plus_operator] = ACTIONS(11577),
    [aux_sym__terminator_token1] = ACTIONS(11579),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9281] = {
    [sym_block_comment] = STATE(9281),
    [sym_line_comment] = STATE(9281),
    [sym__word_identifier] = ACTIONS(11300),
    [anon_sym_COMMA] = ACTIONS(11300),
    [anon_sym_EQ] = ACTIONS(11300),
    [anon_sym_begin] = ACTIONS(11300),
    [anon_sym_module] = ACTIONS(11300),
    [anon_sym_baremodule] = ACTIONS(11300),
    [anon_sym_end] = ACTIONS(11300),
    [anon_sym_abstract] = ACTIONS(11300),
    [anon_sym_primitive] = ACTIONS(11300),
    [anon_sym_mutable] = ACTIONS(11300),
    [anon_sym_struct] = ACTIONS(11300),
    [anon_sym_function] = ACTIONS(11300),
    [anon_sym_macro] = ACTIONS(11300),
    [anon_sym_quote] = ACTIONS(11300),
    [anon_sym_let] = ACTIONS(11300),
    [anon_sym_if] = ACTIONS(11300),
    [anon_sym_try] = ACTIONS(11300),
    [anon_sym_for] = ACTIONS(11300),
    [anon_sym_while] = ACTIONS(11300),
    [sym_break_statement] = ACTIONS(11300),
    [sym_continue_statement] = ACTIONS(11300),
    [anon_sym_return] = ACTIONS(11300),
    [anon_sym_const] = ACTIONS(11300),
    [anon_sym_global] = ACTIONS(11300),
    [anon_sym_local] = ACTIONS(11300),
    [anon_sym_LPAREN] = ACTIONS(11300),
    [anon_sym_COLON] = ACTIONS(11300),
    [anon_sym_export] = ACTIONS(11300),
    [anon_sym_public] = ACTIONS(11300),
    [anon_sym_import] = ACTIONS(11300),
    [anon_sym_using] = ACTIONS(11300),
    [anon_sym_LBRACK] = ACTIONS(11300),
    [anon_sym_in] = ACTIONS(11300),
    [anon_sym_SEMI] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(11300),
    [anon_sym_DOLLAR] = ACTIONS(11300),
    [anon_sym_COLON2] = ACTIONS(11300),
    [anon_sym_COLON_COLON] = ACTIONS(11300),
    [anon_sym_isa] = ACTIONS(11300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11300),
    [anon_sym_QMARK] = ACTIONS(11300),
    [anon_sym_where] = ACTIONS(11300),
    [anon_sym_AT] = ACTIONS(11300),
    [anon_sym_true] = ACTIONS(11300),
    [anon_sym_false] = ACTIONS(11300),
    [aux_sym_integer_literal_token1] = ACTIONS(11300),
    [aux_sym_integer_literal_token2] = ACTIONS(11300),
    [aux_sym_integer_literal_token3] = ACTIONS(11300),
    [aux_sym_integer_literal_token4] = ACTIONS(11300),
    [aux_sym_float_literal_token1] = ACTIONS(11300),
    [aux_sym_float_literal_token3] = ACTIONS(11300),
    [aux_sym_float_literal_token4] = ACTIONS(11300),
    [sym_character_literal] = ACTIONS(11300),
    [anon_sym_DQUOTE] = ACTIONS(11300),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11300),
    [anon_sym_BQUOTE] = ACTIONS(11300),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11300),
    [sym__pair_operator] = ACTIONS(11300),
    [sym__arrow_operator] = ACTIONS(11300),
    [sym__lazy_or_operator] = ACTIONS(11300),
    [sym__lazy_and_operator] = ACTIONS(11300),
    [sym__comparison_operator] = ACTIONS(11300),
    [sym__pipe_right_operator] = ACTIONS(11300),
    [sym__pipe_left_operator] = ACTIONS(11300),
    [sym__ellipsis_operator] = ACTIONS(11300),
    [sym__plus_operator] = ACTIONS(11300),
    [sym__times_operator] = ACTIONS(11300),
    [sym__rational_operator] = ACTIONS(11300),
    [sym__bitshift_operator] = ACTIONS(11300),
    [sym__power_operator] = ACTIONS(11300),
    [sym__tilde_operator] = ACTIONS(11300),
    [sym__type_order_operator] = ACTIONS(11300),
    [sym__unary_operator] = ACTIONS(11300),
    [sym__unary_plus_operator] = ACTIONS(11300),
    [aux_sym__terminator_token1] = ACTIONS(11302),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9282] = {
    [sym_block_comment] = STATE(9282),
    [sym_line_comment] = STATE(9282),
    [sym__word_identifier] = ACTIONS(11581),
    [anon_sym_COMMA] = ACTIONS(11581),
    [anon_sym_EQ] = ACTIONS(11581),
    [anon_sym_begin] = ACTIONS(11581),
    [anon_sym_module] = ACTIONS(11581),
    [anon_sym_baremodule] = ACTIONS(11581),
    [anon_sym_end] = ACTIONS(11581),
    [anon_sym_abstract] = ACTIONS(11581),
    [anon_sym_primitive] = ACTIONS(11581),
    [anon_sym_mutable] = ACTIONS(11581),
    [anon_sym_struct] = ACTIONS(11581),
    [anon_sym_function] = ACTIONS(11581),
    [anon_sym_macro] = ACTIONS(11581),
    [anon_sym_quote] = ACTIONS(11581),
    [anon_sym_let] = ACTIONS(11581),
    [anon_sym_if] = ACTIONS(11581),
    [anon_sym_try] = ACTIONS(11581),
    [anon_sym_for] = ACTIONS(11581),
    [anon_sym_while] = ACTIONS(11581),
    [sym_break_statement] = ACTIONS(11581),
    [sym_continue_statement] = ACTIONS(11581),
    [anon_sym_return] = ACTIONS(11581),
    [anon_sym_const] = ACTIONS(11581),
    [anon_sym_global] = ACTIONS(11581),
    [anon_sym_local] = ACTIONS(11581),
    [anon_sym_LPAREN] = ACTIONS(11581),
    [anon_sym_COLON] = ACTIONS(11581),
    [anon_sym_export] = ACTIONS(11581),
    [anon_sym_public] = ACTIONS(11581),
    [anon_sym_import] = ACTIONS(11581),
    [anon_sym_using] = ACTIONS(11581),
    [anon_sym_LBRACK] = ACTIONS(11581),
    [anon_sym_in] = ACTIONS(11581),
    [anon_sym_SEMI] = ACTIONS(11581),
    [anon_sym_LBRACE] = ACTIONS(11581),
    [anon_sym_DOLLAR] = ACTIONS(11581),
    [anon_sym_COLON2] = ACTIONS(11581),
    [anon_sym_COLON_COLON] = ACTIONS(11581),
    [anon_sym_isa] = ACTIONS(11581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11581),
    [anon_sym_QMARK] = ACTIONS(11581),
    [anon_sym_where] = ACTIONS(11581),
    [anon_sym_AT] = ACTIONS(11581),
    [anon_sym_true] = ACTIONS(11581),
    [anon_sym_false] = ACTIONS(11581),
    [aux_sym_integer_literal_token1] = ACTIONS(11581),
    [aux_sym_integer_literal_token2] = ACTIONS(11581),
    [aux_sym_integer_literal_token3] = ACTIONS(11581),
    [aux_sym_integer_literal_token4] = ACTIONS(11581),
    [aux_sym_float_literal_token1] = ACTIONS(11581),
    [aux_sym_float_literal_token3] = ACTIONS(11581),
    [aux_sym_float_literal_token4] = ACTIONS(11581),
    [sym_character_literal] = ACTIONS(11581),
    [anon_sym_DQUOTE] = ACTIONS(11581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11581),
    [anon_sym_BQUOTE] = ACTIONS(11581),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11581),
    [sym__pair_operator] = ACTIONS(11581),
    [sym__arrow_operator] = ACTIONS(11581),
    [sym__lazy_or_operator] = ACTIONS(11581),
    [sym__lazy_and_operator] = ACTIONS(11581),
    [sym__comparison_operator] = ACTIONS(11581),
    [sym__pipe_right_operator] = ACTIONS(11581),
    [sym__pipe_left_operator] = ACTIONS(11581),
    [sym__ellipsis_operator] = ACTIONS(11581),
    [sym__plus_operator] = ACTIONS(11581),
    [sym__times_operator] = ACTIONS(11581),
    [sym__rational_operator] = ACTIONS(11581),
    [sym__bitshift_operator] = ACTIONS(11581),
    [sym__power_operator] = ACTIONS(11581),
    [sym__tilde_operator] = ACTIONS(11581),
    [sym__type_order_operator] = ACTIONS(11581),
    [sym__unary_operator] = ACTIONS(11581),
    [sym__unary_plus_operator] = ACTIONS(11581),
    [aux_sym__terminator_token1] = ACTIONS(11583),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9283] = {
    [sym_block_comment] = STATE(9283),
    [sym_line_comment] = STATE(9283),
    [sym__word_identifier] = ACTIONS(11585),
    [anon_sym_COMMA] = ACTIONS(11585),
    [anon_sym_EQ] = ACTIONS(11585),
    [anon_sym_begin] = ACTIONS(11585),
    [anon_sym_module] = ACTIONS(11585),
    [anon_sym_baremodule] = ACTIONS(11585),
    [anon_sym_end] = ACTIONS(11585),
    [anon_sym_abstract] = ACTIONS(11585),
    [anon_sym_primitive] = ACTIONS(11585),
    [anon_sym_mutable] = ACTIONS(11585),
    [anon_sym_struct] = ACTIONS(11585),
    [anon_sym_function] = ACTIONS(11585),
    [anon_sym_macro] = ACTIONS(11585),
    [anon_sym_quote] = ACTIONS(11585),
    [anon_sym_let] = ACTIONS(11585),
    [anon_sym_if] = ACTIONS(11585),
    [anon_sym_try] = ACTIONS(11585),
    [anon_sym_for] = ACTIONS(11585),
    [anon_sym_while] = ACTIONS(11585),
    [sym_break_statement] = ACTIONS(11585),
    [sym_continue_statement] = ACTIONS(11585),
    [anon_sym_return] = ACTIONS(11585),
    [anon_sym_const] = ACTIONS(11585),
    [anon_sym_global] = ACTIONS(11585),
    [anon_sym_local] = ACTIONS(11585),
    [anon_sym_LPAREN] = ACTIONS(11585),
    [anon_sym_COLON] = ACTIONS(11585),
    [anon_sym_export] = ACTIONS(11585),
    [anon_sym_public] = ACTIONS(11585),
    [anon_sym_import] = ACTIONS(11585),
    [anon_sym_using] = ACTIONS(11585),
    [anon_sym_LBRACK] = ACTIONS(11585),
    [anon_sym_in] = ACTIONS(11585),
    [anon_sym_SEMI] = ACTIONS(11585),
    [anon_sym_LBRACE] = ACTIONS(11585),
    [anon_sym_DOLLAR] = ACTIONS(11585),
    [anon_sym_COLON2] = ACTIONS(11585),
    [anon_sym_COLON_COLON] = ACTIONS(11585),
    [anon_sym_isa] = ACTIONS(11585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11585),
    [anon_sym_QMARK] = ACTIONS(11585),
    [anon_sym_where] = ACTIONS(11585),
    [anon_sym_AT] = ACTIONS(11585),
    [anon_sym_true] = ACTIONS(11585),
    [anon_sym_false] = ACTIONS(11585),
    [aux_sym_integer_literal_token1] = ACTIONS(11585),
    [aux_sym_integer_literal_token2] = ACTIONS(11585),
    [aux_sym_integer_literal_token3] = ACTIONS(11585),
    [aux_sym_integer_literal_token4] = ACTIONS(11585),
    [aux_sym_float_literal_token1] = ACTIONS(11585),
    [aux_sym_float_literal_token3] = ACTIONS(11585),
    [aux_sym_float_literal_token4] = ACTIONS(11585),
    [sym_character_literal] = ACTIONS(11585),
    [anon_sym_DQUOTE] = ACTIONS(11585),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11585),
    [anon_sym_BQUOTE] = ACTIONS(11585),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11585),
    [sym__pair_operator] = ACTIONS(11585),
    [sym__arrow_operator] = ACTIONS(11585),
    [sym__lazy_or_operator] = ACTIONS(11585),
    [sym__lazy_and_operator] = ACTIONS(11585),
    [sym__comparison_operator] = ACTIONS(11585),
    [sym__pipe_right_operator] = ACTIONS(11585),
    [sym__pipe_left_operator] = ACTIONS(11585),
    [sym__ellipsis_operator] = ACTIONS(11585),
    [sym__plus_operator] = ACTIONS(11585),
    [sym__times_operator] = ACTIONS(11585),
    [sym__rational_operator] = ACTIONS(11585),
    [sym__bitshift_operator] = ACTIONS(11585),
    [sym__power_operator] = ACTIONS(11585),
    [sym__tilde_operator] = ACTIONS(11585),
    [sym__type_order_operator] = ACTIONS(11585),
    [sym__unary_operator] = ACTIONS(11585),
    [sym__unary_plus_operator] = ACTIONS(11585),
    [aux_sym__terminator_token1] = ACTIONS(11587),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9284] = {
    [sym_block_comment] = STATE(9284),
    [sym_line_comment] = STATE(9284),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(10489),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9285] = {
    [sym_block_comment] = STATE(9285),
    [sym_line_comment] = STATE(9285),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9286] = {
    [sym_block_comment] = STATE(9286),
    [sym_line_comment] = STATE(9286),
    [aux_sym_open_tuple_repeat1] = STATE(9211),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(12582),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12707),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9287] = {
    [sym_block_comment] = STATE(9287),
    [sym_line_comment] = STATE(9287),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10373),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_as] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10373),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10373),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10373),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10373),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10373),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10373),
    [anon_sym_QMARK] = ACTIONS(10373),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10373),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10373),
    [aux_sym_integer_literal_token2] = ACTIONS(10373),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10373),
    [aux_sym_float_literal_token3] = ACTIONS(10373),
    [aux_sym_float_literal_token4] = ACTIONS(10373),
    [sym_character_literal] = ACTIONS(10373),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10373),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10373),
    [sym__pair_operator] = ACTIONS(10373),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10373),
    [sym__lazy_and_operator] = ACTIONS(10373),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10373),
    [sym__pipe_left_operator] = ACTIONS(10373),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10373),
    [sym__bitshift_operator] = ACTIONS(10373),
    [sym__power_operator] = ACTIONS(10373),
    [sym__tilde_operator] = ACTIONS(10373),
    [sym__type_order_operator] = ACTIONS(10373),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9288] = {
    [sym_block_comment] = STATE(9288),
    [sym_line_comment] = STATE(9288),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(11149),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_end] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11149),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11149),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_SEMI] = ACTIONS(11149),
    [anon_sym_LBRACE] = ACTIONS(11149),
    [anon_sym_DOLLAR] = ACTIONS(11149),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11149),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11149),
    [anon_sym_QMARK] = ACTIONS(11149),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11149),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11149),
    [aux_sym_integer_literal_token2] = ACTIONS(11149),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11149),
    [aux_sym_float_literal_token3] = ACTIONS(11149),
    [aux_sym_float_literal_token4] = ACTIONS(11149),
    [sym_character_literal] = ACTIONS(11149),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11149),
    [sym__pair_operator] = ACTIONS(11149),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11149),
    [sym__lazy_and_operator] = ACTIONS(11149),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11149),
    [sym__pipe_left_operator] = ACTIONS(11149),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11149),
    [sym__bitshift_operator] = ACTIONS(11149),
    [sym__power_operator] = ACTIONS(11149),
    [sym__tilde_operator] = ACTIONS(11149),
    [sym__type_order_operator] = ACTIONS(11149),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym__terminator_token1] = ACTIONS(11154),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9289] = {
    [sym_block_comment] = STATE(9289),
    [sym_line_comment] = STATE(9289),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11159),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11159),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11159),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_SEMI] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11159),
    [anon_sym_DOLLAR] = ACTIONS(11159),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11159),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11159),
    [anon_sym_QMARK] = ACTIONS(11159),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11159),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11159),
    [aux_sym_integer_literal_token2] = ACTIONS(11159),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11159),
    [aux_sym_float_literal_token3] = ACTIONS(11159),
    [aux_sym_float_literal_token4] = ACTIONS(11159),
    [sym_character_literal] = ACTIONS(11159),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11159),
    [sym__pair_operator] = ACTIONS(11159),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11159),
    [sym__lazy_and_operator] = ACTIONS(11159),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11159),
    [sym__pipe_left_operator] = ACTIONS(11159),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11159),
    [sym__bitshift_operator] = ACTIONS(11159),
    [sym__power_operator] = ACTIONS(11159),
    [sym__tilde_operator] = ACTIONS(11159),
    [sym__type_order_operator] = ACTIONS(11159),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym__terminator_token1] = ACTIONS(11161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9290] = {
    [sym_block_comment] = STATE(9290),
    [sym_line_comment] = STATE(9290),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10431),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_as] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10431),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10431),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10431),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10431),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10431),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_QMARK] = ACTIONS(10431),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10431),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10431),
    [aux_sym_integer_literal_token2] = ACTIONS(10431),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10431),
    [aux_sym_float_literal_token3] = ACTIONS(10431),
    [aux_sym_float_literal_token4] = ACTIONS(10431),
    [sym_character_literal] = ACTIONS(10431),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10431),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10431),
    [sym__pair_operator] = ACTIONS(10431),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10431),
    [sym__lazy_and_operator] = ACTIONS(10431),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10431),
    [sym__pipe_left_operator] = ACTIONS(10431),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10431),
    [sym__bitshift_operator] = ACTIONS(10431),
    [sym__power_operator] = ACTIONS(10431),
    [sym__tilde_operator] = ACTIONS(10431),
    [sym__type_order_operator] = ACTIONS(10431),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9291] = {
    [sym_block_comment] = STATE(9291),
    [sym_line_comment] = STATE(9291),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12685),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12687),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12687),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12528),
    [anon_sym_where] = ACTIONS(12689),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(12709),
    [sym__arrow_operator] = ACTIONS(12711),
    [sym__lazy_or_operator] = ACTIONS(12713),
    [sym__lazy_and_operator] = ACTIONS(12715),
    [sym__comparison_operator] = ACTIONS(12687),
    [sym__pipe_right_operator] = ACTIONS(12691),
    [sym__pipe_left_operator] = ACTIONS(12693),
    [sym__ellipsis_operator] = ACTIONS(12695),
    [sym__plus_operator] = ACTIONS(12697),
    [sym__times_operator] = ACTIONS(12699),
    [sym__rational_operator] = ACTIONS(12701),
    [sym__bitshift_operator] = ACTIONS(12703),
    [sym__power_operator] = ACTIONS(12705),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12687),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12697),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9292] = {
    [sym_block_comment] = STATE(9292),
    [sym_line_comment] = STATE(9292),
    [sym__word_identifier] = ACTIONS(11493),
    [anon_sym_COMMA] = ACTIONS(11493),
    [anon_sym_EQ] = ACTIONS(11493),
    [anon_sym_begin] = ACTIONS(11493),
    [anon_sym_module] = ACTIONS(11493),
    [anon_sym_baremodule] = ACTIONS(11493),
    [anon_sym_end] = ACTIONS(11493),
    [anon_sym_abstract] = ACTIONS(11493),
    [anon_sym_primitive] = ACTIONS(11493),
    [anon_sym_mutable] = ACTIONS(11493),
    [anon_sym_struct] = ACTIONS(11493),
    [anon_sym_function] = ACTIONS(11493),
    [anon_sym_macro] = ACTIONS(11493),
    [anon_sym_quote] = ACTIONS(11493),
    [anon_sym_let] = ACTIONS(11493),
    [anon_sym_if] = ACTIONS(11493),
    [anon_sym_try] = ACTIONS(11493),
    [anon_sym_for] = ACTIONS(11493),
    [anon_sym_while] = ACTIONS(11493),
    [sym_break_statement] = ACTIONS(11493),
    [sym_continue_statement] = ACTIONS(11493),
    [anon_sym_return] = ACTIONS(11493),
    [anon_sym_const] = ACTIONS(11493),
    [anon_sym_global] = ACTIONS(11493),
    [anon_sym_local] = ACTIONS(11493),
    [anon_sym_LPAREN] = ACTIONS(11493),
    [anon_sym_COLON] = ACTIONS(11493),
    [anon_sym_export] = ACTIONS(11493),
    [anon_sym_public] = ACTIONS(11493),
    [anon_sym_import] = ACTIONS(11493),
    [anon_sym_using] = ACTIONS(11493),
    [anon_sym_LBRACK] = ACTIONS(11493),
    [anon_sym_in] = ACTIONS(11493),
    [anon_sym_SEMI] = ACTIONS(11493),
    [anon_sym_LBRACE] = ACTIONS(11493),
    [anon_sym_DOLLAR] = ACTIONS(11493),
    [anon_sym_COLON2] = ACTIONS(11493),
    [anon_sym_COLON_COLON] = ACTIONS(11493),
    [anon_sym_isa] = ACTIONS(11493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11493),
    [anon_sym_QMARK] = ACTIONS(11493),
    [anon_sym_where] = ACTIONS(11493),
    [anon_sym_AT] = ACTIONS(11493),
    [anon_sym_true] = ACTIONS(11493),
    [anon_sym_false] = ACTIONS(11493),
    [aux_sym_integer_literal_token1] = ACTIONS(11493),
    [aux_sym_integer_literal_token2] = ACTIONS(11493),
    [aux_sym_integer_literal_token3] = ACTIONS(11493),
    [aux_sym_integer_literal_token4] = ACTIONS(11493),
    [aux_sym_float_literal_token1] = ACTIONS(11493),
    [aux_sym_float_literal_token3] = ACTIONS(11493),
    [aux_sym_float_literal_token4] = ACTIONS(11493),
    [sym_character_literal] = ACTIONS(11493),
    [anon_sym_DQUOTE] = ACTIONS(11493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11493),
    [anon_sym_BQUOTE] = ACTIONS(11493),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11493),
    [sym__pair_operator] = ACTIONS(11493),
    [sym__arrow_operator] = ACTIONS(11493),
    [sym__lazy_or_operator] = ACTIONS(11493),
    [sym__lazy_and_operator] = ACTIONS(11493),
    [sym__comparison_operator] = ACTIONS(11493),
    [sym__pipe_right_operator] = ACTIONS(11493),
    [sym__pipe_left_operator] = ACTIONS(11493),
    [sym__ellipsis_operator] = ACTIONS(11493),
    [sym__plus_operator] = ACTIONS(11493),
    [sym__times_operator] = ACTIONS(11493),
    [sym__rational_operator] = ACTIONS(11493),
    [sym__bitshift_operator] = ACTIONS(11493),
    [sym__power_operator] = ACTIONS(11493),
    [sym__tilde_operator] = ACTIONS(11493),
    [sym__type_order_operator] = ACTIONS(11493),
    [sym__unary_operator] = ACTIONS(11493),
    [sym__unary_plus_operator] = ACTIONS(11493),
    [aux_sym__terminator_token1] = ACTIONS(11495),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9293] = {
    [sym_block_comment] = STATE(9293),
    [sym_line_comment] = STATE(9293),
    [aux_sym_open_tuple_repeat1] = STATE(9211),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(12582),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12707),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9294] = {
    [sym_block_comment] = STATE(9294),
    [sym_line_comment] = STATE(9294),
    [sym__word_identifier] = ACTIONS(11497),
    [anon_sym_COMMA] = ACTIONS(11497),
    [anon_sym_EQ] = ACTIONS(11497),
    [anon_sym_begin] = ACTIONS(11497),
    [anon_sym_module] = ACTIONS(11497),
    [anon_sym_baremodule] = ACTIONS(11497),
    [anon_sym_end] = ACTIONS(11497),
    [anon_sym_abstract] = ACTIONS(11497),
    [anon_sym_primitive] = ACTIONS(11497),
    [anon_sym_mutable] = ACTIONS(11497),
    [anon_sym_struct] = ACTIONS(11497),
    [anon_sym_function] = ACTIONS(11497),
    [anon_sym_macro] = ACTIONS(11497),
    [anon_sym_quote] = ACTIONS(11497),
    [anon_sym_let] = ACTIONS(11497),
    [anon_sym_if] = ACTIONS(11497),
    [anon_sym_try] = ACTIONS(11497),
    [anon_sym_for] = ACTIONS(11497),
    [anon_sym_while] = ACTIONS(11497),
    [sym_break_statement] = ACTIONS(11497),
    [sym_continue_statement] = ACTIONS(11497),
    [anon_sym_return] = ACTIONS(11497),
    [anon_sym_const] = ACTIONS(11497),
    [anon_sym_global] = ACTIONS(11497),
    [anon_sym_local] = ACTIONS(11497),
    [anon_sym_LPAREN] = ACTIONS(11497),
    [anon_sym_COLON] = ACTIONS(11497),
    [anon_sym_export] = ACTIONS(11497),
    [anon_sym_public] = ACTIONS(11497),
    [anon_sym_import] = ACTIONS(11497),
    [anon_sym_using] = ACTIONS(11497),
    [anon_sym_LBRACK] = ACTIONS(11497),
    [anon_sym_in] = ACTIONS(11497),
    [anon_sym_SEMI] = ACTIONS(11497),
    [anon_sym_LBRACE] = ACTIONS(11497),
    [anon_sym_DOLLAR] = ACTIONS(11497),
    [anon_sym_COLON2] = ACTIONS(11497),
    [anon_sym_COLON_COLON] = ACTIONS(11497),
    [anon_sym_isa] = ACTIONS(11497),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11497),
    [anon_sym_QMARK] = ACTIONS(11497),
    [anon_sym_where] = ACTIONS(11497),
    [anon_sym_AT] = ACTIONS(11497),
    [anon_sym_true] = ACTIONS(11497),
    [anon_sym_false] = ACTIONS(11497),
    [aux_sym_integer_literal_token1] = ACTIONS(11497),
    [aux_sym_integer_literal_token2] = ACTIONS(11497),
    [aux_sym_integer_literal_token3] = ACTIONS(11497),
    [aux_sym_integer_literal_token4] = ACTIONS(11497),
    [aux_sym_float_literal_token1] = ACTIONS(11497),
    [aux_sym_float_literal_token3] = ACTIONS(11497),
    [aux_sym_float_literal_token4] = ACTIONS(11497),
    [sym_character_literal] = ACTIONS(11497),
    [anon_sym_DQUOTE] = ACTIONS(11497),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11497),
    [anon_sym_BQUOTE] = ACTIONS(11497),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11497),
    [sym__pair_operator] = ACTIONS(11497),
    [sym__arrow_operator] = ACTIONS(11497),
    [sym__lazy_or_operator] = ACTIONS(11497),
    [sym__lazy_and_operator] = ACTIONS(11497),
    [sym__comparison_operator] = ACTIONS(11497),
    [sym__pipe_right_operator] = ACTIONS(11497),
    [sym__pipe_left_operator] = ACTIONS(11497),
    [sym__ellipsis_operator] = ACTIONS(11497),
    [sym__plus_operator] = ACTIONS(11497),
    [sym__times_operator] = ACTIONS(11497),
    [sym__rational_operator] = ACTIONS(11497),
    [sym__bitshift_operator] = ACTIONS(11497),
    [sym__power_operator] = ACTIONS(11497),
    [sym__tilde_operator] = ACTIONS(11497),
    [sym__type_order_operator] = ACTIONS(11497),
    [sym__unary_operator] = ACTIONS(11497),
    [sym__unary_plus_operator] = ACTIONS(11497),
    [aux_sym__terminator_token1] = ACTIONS(11499),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9295] = {
    [sym_block_comment] = STATE(9295),
    [sym_line_comment] = STATE(9295),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(10489),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9296] = {
    [sym_block_comment] = STATE(9296),
    [sym_line_comment] = STATE(9296),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_catch] = ACTIONS(11704),
    [anon_sym_finally] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12524),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9297] = {
    [sym_block_comment] = STATE(9297),
    [sym_line_comment] = STATE(9297),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10411),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_as] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10411),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10411),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10411),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10411),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10411),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10411),
    [anon_sym_QMARK] = ACTIONS(10411),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10411),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10411),
    [aux_sym_integer_literal_token2] = ACTIONS(10411),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10411),
    [aux_sym_float_literal_token3] = ACTIONS(10411),
    [aux_sym_float_literal_token4] = ACTIONS(10411),
    [sym_character_literal] = ACTIONS(10411),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10411),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10411),
    [sym__pair_operator] = ACTIONS(10411),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10411),
    [sym__lazy_and_operator] = ACTIONS(10411),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10411),
    [sym__pipe_left_operator] = ACTIONS(10411),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10411),
    [sym__bitshift_operator] = ACTIONS(10411),
    [sym__power_operator] = ACTIONS(10411),
    [sym__tilde_operator] = ACTIONS(10411),
    [sym__type_order_operator] = ACTIONS(10411),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9298] = {
    [sym_block_comment] = STATE(9298),
    [sym_line_comment] = STATE(9298),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10489),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9299] = {
    [sym_block_comment] = STATE(9299),
    [sym_line_comment] = STATE(9299),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12717),
    [sym__pipe_left_operator] = ACTIONS(12719),
    [sym__ellipsis_operator] = ACTIONS(12721),
    [sym__plus_operator] = ACTIONS(12723),
    [sym__times_operator] = ACTIONS(12725),
    [sym__rational_operator] = ACTIONS(12727),
    [sym__bitshift_operator] = ACTIONS(12729),
    [sym__power_operator] = ACTIONS(12731),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12723),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9300] = {
    [sym_block_comment] = STATE(9300),
    [sym_line_comment] = STATE(9300),
    [sym__word_identifier] = ACTIONS(11589),
    [anon_sym_COMMA] = ACTIONS(11589),
    [anon_sym_EQ] = ACTIONS(11589),
    [anon_sym_begin] = ACTIONS(11589),
    [anon_sym_module] = ACTIONS(11589),
    [anon_sym_baremodule] = ACTIONS(11589),
    [anon_sym_end] = ACTIONS(11589),
    [anon_sym_abstract] = ACTIONS(11589),
    [anon_sym_primitive] = ACTIONS(11589),
    [anon_sym_mutable] = ACTIONS(11589),
    [anon_sym_struct] = ACTIONS(11589),
    [anon_sym_function] = ACTIONS(11589),
    [anon_sym_macro] = ACTIONS(11589),
    [anon_sym_quote] = ACTIONS(11589),
    [anon_sym_let] = ACTIONS(11589),
    [anon_sym_if] = ACTIONS(11589),
    [anon_sym_try] = ACTIONS(11589),
    [anon_sym_for] = ACTIONS(11589),
    [anon_sym_while] = ACTIONS(11589),
    [sym_break_statement] = ACTIONS(11589),
    [sym_continue_statement] = ACTIONS(11589),
    [anon_sym_return] = ACTIONS(11589),
    [anon_sym_const] = ACTIONS(11589),
    [anon_sym_global] = ACTIONS(11589),
    [anon_sym_local] = ACTIONS(11589),
    [anon_sym_LPAREN] = ACTIONS(11589),
    [anon_sym_COLON] = ACTIONS(11589),
    [anon_sym_export] = ACTIONS(11589),
    [anon_sym_public] = ACTIONS(11589),
    [anon_sym_import] = ACTIONS(11589),
    [anon_sym_using] = ACTIONS(11589),
    [anon_sym_LBRACK] = ACTIONS(11589),
    [anon_sym_in] = ACTIONS(11589),
    [anon_sym_SEMI] = ACTIONS(11589),
    [anon_sym_LBRACE] = ACTIONS(11589),
    [anon_sym_DOLLAR] = ACTIONS(11589),
    [anon_sym_COLON2] = ACTIONS(11589),
    [anon_sym_COLON_COLON] = ACTIONS(11589),
    [anon_sym_isa] = ACTIONS(11589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11589),
    [anon_sym_QMARK] = ACTIONS(11589),
    [anon_sym_where] = ACTIONS(11589),
    [anon_sym_AT] = ACTIONS(11589),
    [anon_sym_true] = ACTIONS(11589),
    [anon_sym_false] = ACTIONS(11589),
    [aux_sym_integer_literal_token1] = ACTIONS(11589),
    [aux_sym_integer_literal_token2] = ACTIONS(11589),
    [aux_sym_integer_literal_token3] = ACTIONS(11589),
    [aux_sym_integer_literal_token4] = ACTIONS(11589),
    [aux_sym_float_literal_token1] = ACTIONS(11589),
    [aux_sym_float_literal_token3] = ACTIONS(11589),
    [aux_sym_float_literal_token4] = ACTIONS(11589),
    [sym_character_literal] = ACTIONS(11589),
    [anon_sym_DQUOTE] = ACTIONS(11589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11589),
    [anon_sym_BQUOTE] = ACTIONS(11589),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11589),
    [sym__pair_operator] = ACTIONS(11589),
    [sym__arrow_operator] = ACTIONS(11589),
    [sym__lazy_or_operator] = ACTIONS(11589),
    [sym__lazy_and_operator] = ACTIONS(11589),
    [sym__comparison_operator] = ACTIONS(11589),
    [sym__pipe_right_operator] = ACTIONS(11589),
    [sym__pipe_left_operator] = ACTIONS(11589),
    [sym__ellipsis_operator] = ACTIONS(11589),
    [sym__plus_operator] = ACTIONS(11589),
    [sym__times_operator] = ACTIONS(11589),
    [sym__rational_operator] = ACTIONS(11589),
    [sym__bitshift_operator] = ACTIONS(11589),
    [sym__power_operator] = ACTIONS(11589),
    [sym__tilde_operator] = ACTIONS(11589),
    [sym__type_order_operator] = ACTIONS(11589),
    [sym__unary_operator] = ACTIONS(11589),
    [sym__unary_plus_operator] = ACTIONS(11589),
    [aux_sym__terminator_token1] = ACTIONS(11591),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9301] = {
    [sym_block_comment] = STATE(9301),
    [sym_line_comment] = STATE(9301),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10219),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_as] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10219),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10219),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10219),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10219),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10219),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10219),
    [anon_sym_QMARK] = ACTIONS(10219),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10219),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10219),
    [aux_sym_integer_literal_token2] = ACTIONS(10219),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10219),
    [aux_sym_float_literal_token3] = ACTIONS(10219),
    [aux_sym_float_literal_token4] = ACTIONS(10219),
    [sym_character_literal] = ACTIONS(10219),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10219),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10219),
    [sym__pair_operator] = ACTIONS(10219),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10219),
    [sym__lazy_and_operator] = ACTIONS(10219),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10219),
    [sym__pipe_left_operator] = ACTIONS(10219),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10219),
    [sym__bitshift_operator] = ACTIONS(10219),
    [sym__power_operator] = ACTIONS(10219),
    [sym__tilde_operator] = ACTIONS(10219),
    [sym__type_order_operator] = ACTIONS(10219),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9302] = {
    [sym_block_comment] = STATE(9302),
    [sym_line_comment] = STATE(9302),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10317),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_as] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10317),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10317),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10317),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10317),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10317),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10317),
    [anon_sym_QMARK] = ACTIONS(10317),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10317),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10317),
    [aux_sym_integer_literal_token2] = ACTIONS(10317),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10317),
    [aux_sym_float_literal_token3] = ACTIONS(10317),
    [aux_sym_float_literal_token4] = ACTIONS(10317),
    [sym_character_literal] = ACTIONS(10317),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10317),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10317),
    [sym__pair_operator] = ACTIONS(10317),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10317),
    [sym__lazy_and_operator] = ACTIONS(10317),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10317),
    [sym__pipe_left_operator] = ACTIONS(10317),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10317),
    [sym__bitshift_operator] = ACTIONS(10317),
    [sym__power_operator] = ACTIONS(10317),
    [sym__tilde_operator] = ACTIONS(10317),
    [sym__type_order_operator] = ACTIONS(10317),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9303] = {
    [sym_block_comment] = STATE(9303),
    [sym_line_comment] = STATE(9303),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12707),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9304] = {
    [sym_block_comment] = STATE(9304),
    [sym_line_comment] = STATE(9304),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10439),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_as] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10439),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10439),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10439),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10439),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10439),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10439),
    [anon_sym_QMARK] = ACTIONS(10439),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10439),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10439),
    [aux_sym_integer_literal_token2] = ACTIONS(10439),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10439),
    [aux_sym_float_literal_token3] = ACTIONS(10439),
    [aux_sym_float_literal_token4] = ACTIONS(10439),
    [sym_character_literal] = ACTIONS(10439),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10439),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10439),
    [sym__pair_operator] = ACTIONS(10439),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10439),
    [sym__lazy_and_operator] = ACTIONS(10439),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10439),
    [sym__pipe_left_operator] = ACTIONS(10439),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10439),
    [sym__bitshift_operator] = ACTIONS(10439),
    [sym__power_operator] = ACTIONS(10439),
    [sym__tilde_operator] = ACTIONS(10439),
    [sym__type_order_operator] = ACTIONS(10439),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9305] = {
    [sym_block_comment] = STATE(9305),
    [sym_line_comment] = STATE(9305),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(10489),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9306] = {
    [sym_block_comment] = STATE(9306),
    [sym_line_comment] = STATE(9306),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9307] = {
    [sym_block_comment] = STATE(9307),
    [sym_line_comment] = STATE(9307),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12733),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12735),
    [sym__pipe_left_operator] = ACTIONS(12737),
    [sym__ellipsis_operator] = ACTIONS(12739),
    [sym__plus_operator] = ACTIONS(12741),
    [sym__times_operator] = ACTIONS(12743),
    [sym__rational_operator] = ACTIONS(12745),
    [sym__bitshift_operator] = ACTIONS(12747),
    [sym__power_operator] = ACTIONS(12749),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12741),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9308] = {
    [sym_block_comment] = STATE(9308),
    [sym_line_comment] = STATE(9308),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12733),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(12751),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12520),
    [anon_sym_where] = ACTIONS(12753),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(12755),
    [sym__arrow_operator] = ACTIONS(12757),
    [sym__lazy_or_operator] = ACTIONS(12759),
    [sym__lazy_and_operator] = ACTIONS(12761),
    [sym__comparison_operator] = ACTIONS(12751),
    [sym__pipe_right_operator] = ACTIONS(12735),
    [sym__pipe_left_operator] = ACTIONS(12737),
    [sym__ellipsis_operator] = ACTIONS(12739),
    [sym__plus_operator] = ACTIONS(12741),
    [sym__times_operator] = ACTIONS(12743),
    [sym__rational_operator] = ACTIONS(12745),
    [sym__bitshift_operator] = ACTIONS(12747),
    [sym__power_operator] = ACTIONS(12749),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(12763),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12741),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9309] = {
    [sym_block_comment] = STATE(9309),
    [sym_line_comment] = STATE(9309),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12733),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(12751),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(12753),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(12757),
    [sym__lazy_or_operator] = ACTIONS(12759),
    [sym__lazy_and_operator] = ACTIONS(12761),
    [sym__comparison_operator] = ACTIONS(12751),
    [sym__pipe_right_operator] = ACTIONS(12735),
    [sym__pipe_left_operator] = ACTIONS(12737),
    [sym__ellipsis_operator] = ACTIONS(12739),
    [sym__plus_operator] = ACTIONS(12741),
    [sym__times_operator] = ACTIONS(12743),
    [sym__rational_operator] = ACTIONS(12745),
    [sym__bitshift_operator] = ACTIONS(12747),
    [sym__power_operator] = ACTIONS(12749),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(12763),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12741),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9310] = {
    [sym_block_comment] = STATE(9310),
    [sym_line_comment] = STATE(9310),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_as] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3226),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3226),
    [aux_sym_integer_literal_token2] = ACTIONS(3226),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3226),
    [aux_sym_float_literal_token3] = ACTIONS(3226),
    [aux_sym_float_literal_token4] = ACTIONS(3226),
    [sym_character_literal] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3226),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3226),
    [sym__pair_operator] = ACTIONS(3226),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3226),
    [sym__pipe_left_operator] = ACTIONS(3226),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3226),
    [sym__bitshift_operator] = ACTIONS(3226),
    [sym__power_operator] = ACTIONS(3226),
    [sym__tilde_operator] = ACTIONS(3226),
    [sym__type_order_operator] = ACTIONS(3226),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9311] = {
    [sym_block_comment] = STATE(9311),
    [sym_line_comment] = STATE(9311),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12733),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(12751),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(12753),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(12761),
    [sym__comparison_operator] = ACTIONS(12751),
    [sym__pipe_right_operator] = ACTIONS(12735),
    [sym__pipe_left_operator] = ACTIONS(12737),
    [sym__ellipsis_operator] = ACTIONS(12739),
    [sym__plus_operator] = ACTIONS(12741),
    [sym__times_operator] = ACTIONS(12743),
    [sym__rational_operator] = ACTIONS(12745),
    [sym__bitshift_operator] = ACTIONS(12747),
    [sym__power_operator] = ACTIONS(12749),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(12763),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12741),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9312] = {
    [sym_block_comment] = STATE(9312),
    [sym_line_comment] = STATE(9312),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12733),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(12751),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(12753),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(12751),
    [sym__pipe_right_operator] = ACTIONS(12735),
    [sym__pipe_left_operator] = ACTIONS(12737),
    [sym__ellipsis_operator] = ACTIONS(12739),
    [sym__plus_operator] = ACTIONS(12741),
    [sym__times_operator] = ACTIONS(12743),
    [sym__rational_operator] = ACTIONS(12745),
    [sym__bitshift_operator] = ACTIONS(12747),
    [sym__power_operator] = ACTIONS(12749),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(12763),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12741),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9313] = {
    [sym_block_comment] = STATE(9313),
    [sym_line_comment] = STATE(9313),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12733),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(12739),
    [sym__plus_operator] = ACTIONS(12741),
    [sym__times_operator] = ACTIONS(12743),
    [sym__rational_operator] = ACTIONS(12745),
    [sym__bitshift_operator] = ACTIONS(12747),
    [sym__power_operator] = ACTIONS(12749),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12741),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9314] = {
    [sym_block_comment] = STATE(9314),
    [sym_line_comment] = STATE(9314),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12733),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12735),
    [sym__pipe_left_operator] = ACTIONS(12737),
    [sym__ellipsis_operator] = ACTIONS(12739),
    [sym__plus_operator] = ACTIONS(12741),
    [sym__times_operator] = ACTIONS(12743),
    [sym__rational_operator] = ACTIONS(12745),
    [sym__bitshift_operator] = ACTIONS(12747),
    [sym__power_operator] = ACTIONS(12749),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12741),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9315] = {
    [sym_block_comment] = STATE(9315),
    [sym_line_comment] = STATE(9315),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12741),
    [sym__times_operator] = ACTIONS(12743),
    [sym__rational_operator] = ACTIONS(12745),
    [sym__bitshift_operator] = ACTIONS(12747),
    [sym__power_operator] = ACTIONS(12749),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12741),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9316] = {
    [sym_block_comment] = STATE(9316),
    [sym_line_comment] = STATE(9316),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12743),
    [sym__rational_operator] = ACTIONS(12745),
    [sym__bitshift_operator] = ACTIONS(12747),
    [sym__power_operator] = ACTIONS(12749),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9317] = {
    [sym_block_comment] = STATE(9317),
    [sym_line_comment] = STATE(9317),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12745),
    [sym__bitshift_operator] = ACTIONS(12747),
    [sym__power_operator] = ACTIONS(12749),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9318] = {
    [sym_block_comment] = STATE(9318),
    [sym_line_comment] = STATE(9318),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11380),
    [sym__bitshift_operator] = ACTIONS(12747),
    [sym__power_operator] = ACTIONS(12749),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9319] = {
    [sym_block_comment] = STATE(9319),
    [sym_line_comment] = STATE(9319),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_RPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_RBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11380),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_RBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11380),
    [sym__bitshift_operator] = ACTIONS(11380),
    [sym__power_operator] = ACTIONS(12749),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9320] = {
    [sym_block_comment] = STATE(9320),
    [sym_line_comment] = STATE(9320),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_end] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_elseif] = ACTIONS(11876),
    [anon_sym_else] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(1093),
    [sym__pipe_right_operator] = ACTIONS(12717),
    [sym__pipe_left_operator] = ACTIONS(12719),
    [sym__ellipsis_operator] = ACTIONS(12721),
    [sym__plus_operator] = ACTIONS(12723),
    [sym__times_operator] = ACTIONS(12725),
    [sym__rational_operator] = ACTIONS(12727),
    [sym__bitshift_operator] = ACTIONS(12729),
    [sym__power_operator] = ACTIONS(12731),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(1093),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12723),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9321] = {
    [sym_block_comment] = STATE(9321),
    [sym_line_comment] = STATE(9321),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10473),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9322] = {
    [sym_block_comment] = STATE(9322),
    [sym_line_comment] = STATE(9322),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(12765),
    [sym__arrow_operator] = ACTIONS(12767),
    [sym__lazy_or_operator] = ACTIONS(1119),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1093),
    [sym__pipe_right_operator] = ACTIONS(12717),
    [sym__pipe_left_operator] = ACTIONS(12719),
    [sym__ellipsis_operator] = ACTIONS(12721),
    [sym__plus_operator] = ACTIONS(12723),
    [sym__times_operator] = ACTIONS(12725),
    [sym__rational_operator] = ACTIONS(12727),
    [sym__bitshift_operator] = ACTIONS(12729),
    [sym__power_operator] = ACTIONS(12731),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(1093),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12723),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9323] = {
    [sym_block_comment] = STATE(9323),
    [sym_line_comment] = STATE(9323),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(12767),
    [sym__lazy_or_operator] = ACTIONS(1119),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1093),
    [sym__pipe_right_operator] = ACTIONS(12717),
    [sym__pipe_left_operator] = ACTIONS(12719),
    [sym__ellipsis_operator] = ACTIONS(12721),
    [sym__plus_operator] = ACTIONS(12723),
    [sym__times_operator] = ACTIONS(12725),
    [sym__rational_operator] = ACTIONS(12727),
    [sym__bitshift_operator] = ACTIONS(12729),
    [sym__power_operator] = ACTIONS(12731),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(1093),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12723),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9324] = {
    [sym_block_comment] = STATE(9324),
    [sym_line_comment] = STATE(9324),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1093),
    [sym__pipe_right_operator] = ACTIONS(12717),
    [sym__pipe_left_operator] = ACTIONS(12719),
    [sym__ellipsis_operator] = ACTIONS(12721),
    [sym__plus_operator] = ACTIONS(12723),
    [sym__times_operator] = ACTIONS(12725),
    [sym__rational_operator] = ACTIONS(12727),
    [sym__bitshift_operator] = ACTIONS(12729),
    [sym__power_operator] = ACTIONS(12731),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(1093),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12723),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9325] = {
    [sym_block_comment] = STATE(9325),
    [sym_line_comment] = STATE(9325),
    [sym__word_identifier] = ACTIONS(11324),
    [anon_sym_COMMA] = ACTIONS(11324),
    [anon_sym_EQ] = ACTIONS(11324),
    [anon_sym_begin] = ACTIONS(11324),
    [anon_sym_module] = ACTIONS(11324),
    [anon_sym_baremodule] = ACTIONS(11324),
    [anon_sym_end] = ACTIONS(11324),
    [anon_sym_abstract] = ACTIONS(11324),
    [anon_sym_primitive] = ACTIONS(11324),
    [anon_sym_mutable] = ACTIONS(11324),
    [anon_sym_struct] = ACTIONS(11324),
    [anon_sym_function] = ACTIONS(11324),
    [anon_sym_macro] = ACTIONS(11324),
    [anon_sym_quote] = ACTIONS(11324),
    [anon_sym_let] = ACTIONS(11324),
    [anon_sym_if] = ACTIONS(11324),
    [anon_sym_try] = ACTIONS(11324),
    [anon_sym_for] = ACTIONS(11324),
    [anon_sym_while] = ACTIONS(11324),
    [sym_break_statement] = ACTIONS(11324),
    [sym_continue_statement] = ACTIONS(11324),
    [anon_sym_return] = ACTIONS(11324),
    [anon_sym_const] = ACTIONS(11324),
    [anon_sym_global] = ACTIONS(11324),
    [anon_sym_local] = ACTIONS(11324),
    [anon_sym_LPAREN] = ACTIONS(11324),
    [anon_sym_COLON] = ACTIONS(11324),
    [anon_sym_export] = ACTIONS(11324),
    [anon_sym_public] = ACTIONS(11324),
    [anon_sym_import] = ACTIONS(11324),
    [anon_sym_using] = ACTIONS(11324),
    [anon_sym_LBRACK] = ACTIONS(11324),
    [anon_sym_in] = ACTIONS(11324),
    [anon_sym_SEMI] = ACTIONS(11324),
    [anon_sym_LBRACE] = ACTIONS(11324),
    [anon_sym_DOLLAR] = ACTIONS(11324),
    [anon_sym_COLON2] = ACTIONS(11324),
    [anon_sym_COLON_COLON] = ACTIONS(11324),
    [anon_sym_isa] = ACTIONS(11324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11324),
    [anon_sym_QMARK] = ACTIONS(11324),
    [anon_sym_where] = ACTIONS(11324),
    [anon_sym_AT] = ACTIONS(11324),
    [anon_sym_true] = ACTIONS(11324),
    [anon_sym_false] = ACTIONS(11324),
    [aux_sym_integer_literal_token1] = ACTIONS(11324),
    [aux_sym_integer_literal_token2] = ACTIONS(11324),
    [aux_sym_integer_literal_token3] = ACTIONS(11324),
    [aux_sym_integer_literal_token4] = ACTIONS(11324),
    [aux_sym_float_literal_token1] = ACTIONS(11324),
    [aux_sym_float_literal_token3] = ACTIONS(11324),
    [aux_sym_float_literal_token4] = ACTIONS(11324),
    [sym_character_literal] = ACTIONS(11324),
    [anon_sym_DQUOTE] = ACTIONS(11324),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11324),
    [anon_sym_BQUOTE] = ACTIONS(11324),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11324),
    [sym__pair_operator] = ACTIONS(11324),
    [sym__arrow_operator] = ACTIONS(11324),
    [sym__lazy_or_operator] = ACTIONS(11324),
    [sym__lazy_and_operator] = ACTIONS(11324),
    [sym__comparison_operator] = ACTIONS(11324),
    [sym__pipe_right_operator] = ACTIONS(11324),
    [sym__pipe_left_operator] = ACTIONS(11324),
    [sym__ellipsis_operator] = ACTIONS(11324),
    [sym__plus_operator] = ACTIONS(11324),
    [sym__times_operator] = ACTIONS(11324),
    [sym__rational_operator] = ACTIONS(11324),
    [sym__bitshift_operator] = ACTIONS(11324),
    [sym__power_operator] = ACTIONS(11324),
    [sym__tilde_operator] = ACTIONS(11324),
    [sym__type_order_operator] = ACTIONS(11324),
    [sym__unary_operator] = ACTIONS(11324),
    [sym__unary_plus_operator] = ACTIONS(11324),
    [aux_sym__terminator_token1] = ACTIONS(11326),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9326] = {
    [sym_block_comment] = STATE(9326),
    [sym_line_comment] = STATE(9326),
    [aux_sym__import_list_repeat1] = STATE(9705),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(12769),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(12771),
    [anon_sym_LPAREN] = ACTIONS(11032),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11032),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11032),
    [anon_sym_DOLLAR] = ACTIONS(11032),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11032),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11032),
    [anon_sym_QMARK] = ACTIONS(11032),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11032),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11032),
    [aux_sym_integer_literal_token2] = ACTIONS(11032),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11032),
    [aux_sym_float_literal_token3] = ACTIONS(11032),
    [aux_sym_float_literal_token4] = ACTIONS(11032),
    [sym_character_literal] = ACTIONS(11032),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11032),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(11032),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11032),
    [sym__lazy_and_operator] = ACTIONS(11032),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11032),
    [sym__pipe_left_operator] = ACTIONS(11032),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11032),
    [sym__bitshift_operator] = ACTIONS(11032),
    [sym__power_operator] = ACTIONS(11032),
    [sym__tilde_operator] = ACTIONS(11032),
    [sym__type_order_operator] = ACTIONS(11032),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9327] = {
    [sym_block_comment] = STATE(9327),
    [sym_line_comment] = STATE(9327),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_end] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_elseif] = ACTIONS(11788),
    [anon_sym_else] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12723),
    [sym__times_operator] = ACTIONS(12725),
    [sym__rational_operator] = ACTIONS(12727),
    [sym__bitshift_operator] = ACTIONS(12729),
    [sym__power_operator] = ACTIONS(12731),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12723),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9328] = {
    [sym_block_comment] = STATE(9328),
    [sym_line_comment] = STATE(9328),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(1093),
    [sym__pipe_right_operator] = ACTIONS(12717),
    [sym__pipe_left_operator] = ACTIONS(12719),
    [sym__ellipsis_operator] = ACTIONS(12721),
    [sym__plus_operator] = ACTIONS(12723),
    [sym__times_operator] = ACTIONS(12725),
    [sym__rational_operator] = ACTIONS(12727),
    [sym__bitshift_operator] = ACTIONS(12729),
    [sym__power_operator] = ACTIONS(12731),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(1093),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12723),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9329] = {
    [sym_block_comment] = STATE(9329),
    [sym_line_comment] = STATE(9329),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9330] = {
    [sym_block_comment] = STATE(9330),
    [sym_line_comment] = STATE(9330),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11038),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11038),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11038),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_SEMI] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11038),
    [anon_sym_DOLLAR] = ACTIONS(11038),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11038),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11038),
    [anon_sym_QMARK] = ACTIONS(11038),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11038),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11038),
    [aux_sym_integer_literal_token2] = ACTIONS(11038),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11038),
    [aux_sym_float_literal_token3] = ACTIONS(11038),
    [aux_sym_float_literal_token4] = ACTIONS(11038),
    [sym_character_literal] = ACTIONS(11038),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11038),
    [sym__pair_operator] = ACTIONS(11038),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11038),
    [sym__lazy_and_operator] = ACTIONS(11038),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11038),
    [sym__pipe_left_operator] = ACTIONS(11038),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11038),
    [sym__bitshift_operator] = ACTIONS(11038),
    [sym__power_operator] = ACTIONS(11038),
    [sym__tilde_operator] = ACTIONS(11038),
    [sym__type_order_operator] = ACTIONS(11038),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym__terminator_token1] = ACTIONS(11040),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9331] = {
    [sym_block_comment] = STATE(9331),
    [sym_line_comment] = STATE(9331),
    [sym__word_identifier] = ACTIONS(11328),
    [anon_sym_COMMA] = ACTIONS(11328),
    [anon_sym_EQ] = ACTIONS(11328),
    [anon_sym_begin] = ACTIONS(11328),
    [anon_sym_module] = ACTIONS(11328),
    [anon_sym_baremodule] = ACTIONS(11328),
    [anon_sym_end] = ACTIONS(11328),
    [anon_sym_abstract] = ACTIONS(11328),
    [anon_sym_primitive] = ACTIONS(11328),
    [anon_sym_mutable] = ACTIONS(11328),
    [anon_sym_struct] = ACTIONS(11328),
    [anon_sym_function] = ACTIONS(11328),
    [anon_sym_macro] = ACTIONS(11328),
    [anon_sym_quote] = ACTIONS(11328),
    [anon_sym_let] = ACTIONS(11328),
    [anon_sym_if] = ACTIONS(11328),
    [anon_sym_try] = ACTIONS(11328),
    [anon_sym_for] = ACTIONS(11328),
    [anon_sym_while] = ACTIONS(11328),
    [sym_break_statement] = ACTIONS(11328),
    [sym_continue_statement] = ACTIONS(11328),
    [anon_sym_return] = ACTIONS(11328),
    [anon_sym_const] = ACTIONS(11328),
    [anon_sym_global] = ACTIONS(11328),
    [anon_sym_local] = ACTIONS(11328),
    [anon_sym_LPAREN] = ACTIONS(11328),
    [anon_sym_COLON] = ACTIONS(11328),
    [anon_sym_export] = ACTIONS(11328),
    [anon_sym_public] = ACTIONS(11328),
    [anon_sym_import] = ACTIONS(11328),
    [anon_sym_using] = ACTIONS(11328),
    [anon_sym_LBRACK] = ACTIONS(11328),
    [anon_sym_in] = ACTIONS(11328),
    [anon_sym_SEMI] = ACTIONS(11328),
    [anon_sym_LBRACE] = ACTIONS(11328),
    [anon_sym_DOLLAR] = ACTIONS(11328),
    [anon_sym_COLON2] = ACTIONS(11328),
    [anon_sym_COLON_COLON] = ACTIONS(11328),
    [anon_sym_isa] = ACTIONS(11328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11328),
    [anon_sym_QMARK] = ACTIONS(11328),
    [anon_sym_where] = ACTIONS(11328),
    [anon_sym_AT] = ACTIONS(11328),
    [anon_sym_true] = ACTIONS(11328),
    [anon_sym_false] = ACTIONS(11328),
    [aux_sym_integer_literal_token1] = ACTIONS(11328),
    [aux_sym_integer_literal_token2] = ACTIONS(11328),
    [aux_sym_integer_literal_token3] = ACTIONS(11328),
    [aux_sym_integer_literal_token4] = ACTIONS(11328),
    [aux_sym_float_literal_token1] = ACTIONS(11328),
    [aux_sym_float_literal_token3] = ACTIONS(11328),
    [aux_sym_float_literal_token4] = ACTIONS(11328),
    [sym_character_literal] = ACTIONS(11328),
    [anon_sym_DQUOTE] = ACTIONS(11328),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11328),
    [anon_sym_BQUOTE] = ACTIONS(11328),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11328),
    [sym__pair_operator] = ACTIONS(11328),
    [sym__arrow_operator] = ACTIONS(11328),
    [sym__lazy_or_operator] = ACTIONS(11328),
    [sym__lazy_and_operator] = ACTIONS(11328),
    [sym__comparison_operator] = ACTIONS(11328),
    [sym__pipe_right_operator] = ACTIONS(11328),
    [sym__pipe_left_operator] = ACTIONS(11328),
    [sym__ellipsis_operator] = ACTIONS(11328),
    [sym__plus_operator] = ACTIONS(11328),
    [sym__times_operator] = ACTIONS(11328),
    [sym__rational_operator] = ACTIONS(11328),
    [sym__bitshift_operator] = ACTIONS(11328),
    [sym__power_operator] = ACTIONS(11328),
    [sym__tilde_operator] = ACTIONS(11328),
    [sym__type_order_operator] = ACTIONS(11328),
    [sym__unary_operator] = ACTIONS(11328),
    [sym__unary_plus_operator] = ACTIONS(11328),
    [aux_sym__terminator_token1] = ACTIONS(11330),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9332] = {
    [sym_block_comment] = STATE(9332),
    [sym_line_comment] = STATE(9332),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10091),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_as] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10091),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10091),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10091),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10091),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10091),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10091),
    [anon_sym_QMARK] = ACTIONS(10091),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10091),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10091),
    [aux_sym_integer_literal_token2] = ACTIONS(10091),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10091),
    [aux_sym_float_literal_token3] = ACTIONS(10091),
    [aux_sym_float_literal_token4] = ACTIONS(10091),
    [sym_character_literal] = ACTIONS(10091),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10091),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10091),
    [sym__pair_operator] = ACTIONS(10091),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10091),
    [sym__lazy_and_operator] = ACTIONS(10091),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10091),
    [sym__pipe_left_operator] = ACTIONS(10091),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10091),
    [sym__bitshift_operator] = ACTIONS(10091),
    [sym__power_operator] = ACTIONS(10091),
    [sym__tilde_operator] = ACTIONS(10091),
    [sym__type_order_operator] = ACTIONS(10091),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9333] = {
    [sym_block_comment] = STATE(9333),
    [sym_line_comment] = STATE(9333),
    [sym__word_identifier] = ACTIONS(11332),
    [anon_sym_COMMA] = ACTIONS(11332),
    [anon_sym_EQ] = ACTIONS(11332),
    [anon_sym_begin] = ACTIONS(11332),
    [anon_sym_module] = ACTIONS(11332),
    [anon_sym_baremodule] = ACTIONS(11332),
    [anon_sym_end] = ACTIONS(11332),
    [anon_sym_abstract] = ACTIONS(11332),
    [anon_sym_primitive] = ACTIONS(11332),
    [anon_sym_mutable] = ACTIONS(11332),
    [anon_sym_struct] = ACTIONS(11332),
    [anon_sym_function] = ACTIONS(11332),
    [anon_sym_macro] = ACTIONS(11332),
    [anon_sym_quote] = ACTIONS(11332),
    [anon_sym_let] = ACTIONS(11332),
    [anon_sym_if] = ACTIONS(11332),
    [anon_sym_try] = ACTIONS(11332),
    [anon_sym_for] = ACTIONS(11332),
    [anon_sym_while] = ACTIONS(11332),
    [sym_break_statement] = ACTIONS(11332),
    [sym_continue_statement] = ACTIONS(11332),
    [anon_sym_return] = ACTIONS(11332),
    [anon_sym_const] = ACTIONS(11332),
    [anon_sym_global] = ACTIONS(11332),
    [anon_sym_local] = ACTIONS(11332),
    [anon_sym_LPAREN] = ACTIONS(11332),
    [anon_sym_COLON] = ACTIONS(11332),
    [anon_sym_export] = ACTIONS(11332),
    [anon_sym_public] = ACTIONS(11332),
    [anon_sym_import] = ACTIONS(11332),
    [anon_sym_using] = ACTIONS(11332),
    [anon_sym_LBRACK] = ACTIONS(11332),
    [anon_sym_in] = ACTIONS(11332),
    [anon_sym_SEMI] = ACTIONS(11332),
    [anon_sym_LBRACE] = ACTIONS(11332),
    [anon_sym_DOLLAR] = ACTIONS(11332),
    [anon_sym_COLON2] = ACTIONS(11332),
    [anon_sym_COLON_COLON] = ACTIONS(11332),
    [anon_sym_isa] = ACTIONS(11332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11332),
    [anon_sym_QMARK] = ACTIONS(11332),
    [anon_sym_where] = ACTIONS(11332),
    [anon_sym_AT] = ACTIONS(11332),
    [anon_sym_true] = ACTIONS(11332),
    [anon_sym_false] = ACTIONS(11332),
    [aux_sym_integer_literal_token1] = ACTIONS(11332),
    [aux_sym_integer_literal_token2] = ACTIONS(11332),
    [aux_sym_integer_literal_token3] = ACTIONS(11332),
    [aux_sym_integer_literal_token4] = ACTIONS(11332),
    [aux_sym_float_literal_token1] = ACTIONS(11332),
    [aux_sym_float_literal_token3] = ACTIONS(11332),
    [aux_sym_float_literal_token4] = ACTIONS(11332),
    [sym_character_literal] = ACTIONS(11332),
    [anon_sym_DQUOTE] = ACTIONS(11332),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11332),
    [anon_sym_BQUOTE] = ACTIONS(11332),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11332),
    [sym__pair_operator] = ACTIONS(11332),
    [sym__arrow_operator] = ACTIONS(11332),
    [sym__lazy_or_operator] = ACTIONS(11332),
    [sym__lazy_and_operator] = ACTIONS(11332),
    [sym__comparison_operator] = ACTIONS(11332),
    [sym__pipe_right_operator] = ACTIONS(11332),
    [sym__pipe_left_operator] = ACTIONS(11332),
    [sym__ellipsis_operator] = ACTIONS(11332),
    [sym__plus_operator] = ACTIONS(11332),
    [sym__times_operator] = ACTIONS(11332),
    [sym__rational_operator] = ACTIONS(11332),
    [sym__bitshift_operator] = ACTIONS(11332),
    [sym__power_operator] = ACTIONS(11332),
    [sym__tilde_operator] = ACTIONS(11332),
    [sym__type_order_operator] = ACTIONS(11332),
    [sym__unary_operator] = ACTIONS(11332),
    [sym__unary_plus_operator] = ACTIONS(11332),
    [aux_sym__terminator_token1] = ACTIONS(11334),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9334] = {
    [sym_block_comment] = STATE(9334),
    [sym_line_comment] = STATE(9334),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_as] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9995),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9995),
    [sym__bitshift_operator] = ACTIONS(9995),
    [sym__power_operator] = ACTIONS(9995),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9335] = {
    [sym_block_comment] = STATE(9335),
    [sym_line_comment] = STATE(9335),
    [sym__word_identifier] = ACTIONS(11501),
    [anon_sym_COMMA] = ACTIONS(11501),
    [anon_sym_EQ] = ACTIONS(11501),
    [anon_sym_begin] = ACTIONS(11501),
    [anon_sym_module] = ACTIONS(11501),
    [anon_sym_baremodule] = ACTIONS(11501),
    [anon_sym_end] = ACTIONS(11501),
    [anon_sym_abstract] = ACTIONS(11501),
    [anon_sym_primitive] = ACTIONS(11501),
    [anon_sym_mutable] = ACTIONS(11501),
    [anon_sym_struct] = ACTIONS(11501),
    [anon_sym_function] = ACTIONS(11501),
    [anon_sym_macro] = ACTIONS(11501),
    [anon_sym_quote] = ACTIONS(11501),
    [anon_sym_let] = ACTIONS(11501),
    [anon_sym_if] = ACTIONS(11501),
    [anon_sym_try] = ACTIONS(11501),
    [anon_sym_for] = ACTIONS(11501),
    [anon_sym_while] = ACTIONS(11501),
    [sym_break_statement] = ACTIONS(11501),
    [sym_continue_statement] = ACTIONS(11501),
    [anon_sym_return] = ACTIONS(11501),
    [anon_sym_const] = ACTIONS(11501),
    [anon_sym_global] = ACTIONS(11501),
    [anon_sym_local] = ACTIONS(11501),
    [anon_sym_LPAREN] = ACTIONS(11501),
    [anon_sym_COLON] = ACTIONS(11501),
    [anon_sym_export] = ACTIONS(11501),
    [anon_sym_public] = ACTIONS(11501),
    [anon_sym_import] = ACTIONS(11501),
    [anon_sym_using] = ACTIONS(11501),
    [anon_sym_LBRACK] = ACTIONS(11501),
    [anon_sym_in] = ACTIONS(11501),
    [anon_sym_SEMI] = ACTIONS(11501),
    [anon_sym_LBRACE] = ACTIONS(11501),
    [anon_sym_DOLLAR] = ACTIONS(11501),
    [anon_sym_COLON2] = ACTIONS(11501),
    [anon_sym_COLON_COLON] = ACTIONS(11501),
    [anon_sym_isa] = ACTIONS(11501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11501),
    [anon_sym_QMARK] = ACTIONS(11501),
    [anon_sym_where] = ACTIONS(11501),
    [anon_sym_AT] = ACTIONS(11501),
    [anon_sym_true] = ACTIONS(11501),
    [anon_sym_false] = ACTIONS(11501),
    [aux_sym_integer_literal_token1] = ACTIONS(11501),
    [aux_sym_integer_literal_token2] = ACTIONS(11501),
    [aux_sym_integer_literal_token3] = ACTIONS(11501),
    [aux_sym_integer_literal_token4] = ACTIONS(11501),
    [aux_sym_float_literal_token1] = ACTIONS(11501),
    [aux_sym_float_literal_token3] = ACTIONS(11501),
    [aux_sym_float_literal_token4] = ACTIONS(11501),
    [sym_character_literal] = ACTIONS(11501),
    [anon_sym_DQUOTE] = ACTIONS(11501),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11501),
    [anon_sym_BQUOTE] = ACTIONS(11501),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11501),
    [sym__pair_operator] = ACTIONS(11501),
    [sym__arrow_operator] = ACTIONS(11501),
    [sym__lazy_or_operator] = ACTIONS(11501),
    [sym__lazy_and_operator] = ACTIONS(11501),
    [sym__comparison_operator] = ACTIONS(11501),
    [sym__pipe_right_operator] = ACTIONS(11501),
    [sym__pipe_left_operator] = ACTIONS(11501),
    [sym__ellipsis_operator] = ACTIONS(11501),
    [sym__plus_operator] = ACTIONS(11501),
    [sym__times_operator] = ACTIONS(11501),
    [sym__rational_operator] = ACTIONS(11501),
    [sym__bitshift_operator] = ACTIONS(11501),
    [sym__power_operator] = ACTIONS(11501),
    [sym__tilde_operator] = ACTIONS(11501),
    [sym__type_order_operator] = ACTIONS(11501),
    [sym__unary_operator] = ACTIONS(11501),
    [sym__unary_plus_operator] = ACTIONS(11501),
    [aux_sym__terminator_token1] = ACTIONS(11503),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9336] = {
    [sym_block_comment] = STATE(9336),
    [sym_line_comment] = STATE(9336),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_end] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_elseif] = ACTIONS(12151),
    [anon_sym_else] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(1093),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(1107),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(12765),
    [sym__arrow_operator] = ACTIONS(12767),
    [sym__lazy_or_operator] = ACTIONS(1119),
    [sym__lazy_and_operator] = ACTIONS(1121),
    [sym__comparison_operator] = ACTIONS(1093),
    [sym__pipe_right_operator] = ACTIONS(12717),
    [sym__pipe_left_operator] = ACTIONS(12719),
    [sym__ellipsis_operator] = ACTIONS(12721),
    [sym__plus_operator] = ACTIONS(12723),
    [sym__times_operator] = ACTIONS(12725),
    [sym__rational_operator] = ACTIONS(12727),
    [sym__bitshift_operator] = ACTIONS(12729),
    [sym__power_operator] = ACTIONS(12731),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(1093),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12723),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9337] = {
    [sym_block_comment] = STATE(9337),
    [sym_line_comment] = STATE(9337),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(11382),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(11382),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11382),
    [anon_sym_isa] = ACTIONS(11382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11382),
    [anon_sym_QMARK] = ACTIONS(11382),
    [anon_sym_where] = ACTIONS(11382),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(11382),
    [sym__arrow_operator] = ACTIONS(11382),
    [sym__lazy_or_operator] = ACTIONS(11382),
    [sym__lazy_and_operator] = ACTIONS(11382),
    [sym__comparison_operator] = ACTIONS(11382),
    [sym__pipe_right_operator] = ACTIONS(11382),
    [sym__pipe_left_operator] = ACTIONS(11382),
    [sym__ellipsis_operator] = ACTIONS(11382),
    [sym__plus_operator] = ACTIONS(11382),
    [sym__times_operator] = ACTIONS(11382),
    [sym__rational_operator] = ACTIONS(11382),
    [sym__bitshift_operator] = ACTIONS(11382),
    [sym__power_operator] = ACTIONS(11382),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(11382),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(11382),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9338] = {
    [sym_block_comment] = STATE(9338),
    [sym_line_comment] = STATE(9338),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_elseif] = ACTIONS(11382),
    [anon_sym_else] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(12653),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(12655),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(12655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(12659),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(12661),
    [sym__arrow_operator] = ACTIONS(12663),
    [sym__lazy_or_operator] = ACTIONS(12665),
    [sym__lazy_and_operator] = ACTIONS(12667),
    [sym__comparison_operator] = ACTIONS(12655),
    [sym__pipe_right_operator] = ACTIONS(12669),
    [sym__pipe_left_operator] = ACTIONS(12671),
    [sym__ellipsis_operator] = ACTIONS(12673),
    [sym__plus_operator] = ACTIONS(12675),
    [sym__times_operator] = ACTIONS(12677),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(12655),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12675),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9339] = {
    [sym_block_comment] = STATE(9339),
    [sym_line_comment] = STATE(9339),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10509),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10479),
  },
  [9340] = {
    [sym_block_comment] = STATE(9340),
    [sym_line_comment] = STATE(9340),
    [sym__word_identifier] = ACTIONS(11336),
    [anon_sym_COMMA] = ACTIONS(11336),
    [anon_sym_EQ] = ACTIONS(11336),
    [anon_sym_begin] = ACTIONS(11336),
    [anon_sym_module] = ACTIONS(11336),
    [anon_sym_baremodule] = ACTIONS(11336),
    [anon_sym_end] = ACTIONS(11336),
    [anon_sym_abstract] = ACTIONS(11336),
    [anon_sym_primitive] = ACTIONS(11336),
    [anon_sym_mutable] = ACTIONS(11336),
    [anon_sym_struct] = ACTIONS(11336),
    [anon_sym_function] = ACTIONS(11336),
    [anon_sym_macro] = ACTIONS(11336),
    [anon_sym_quote] = ACTIONS(11336),
    [anon_sym_let] = ACTIONS(11336),
    [anon_sym_if] = ACTIONS(11336),
    [anon_sym_try] = ACTIONS(11336),
    [anon_sym_for] = ACTIONS(11336),
    [anon_sym_while] = ACTIONS(11336),
    [sym_break_statement] = ACTIONS(11336),
    [sym_continue_statement] = ACTIONS(11336),
    [anon_sym_return] = ACTIONS(11336),
    [anon_sym_const] = ACTIONS(11336),
    [anon_sym_global] = ACTIONS(11336),
    [anon_sym_local] = ACTIONS(11336),
    [anon_sym_LPAREN] = ACTIONS(11336),
    [anon_sym_COLON] = ACTIONS(11336),
    [anon_sym_export] = ACTIONS(11336),
    [anon_sym_public] = ACTIONS(11336),
    [anon_sym_import] = ACTIONS(11336),
    [anon_sym_using] = ACTIONS(11336),
    [anon_sym_LBRACK] = ACTIONS(11336),
    [anon_sym_in] = ACTIONS(11336),
    [anon_sym_SEMI] = ACTIONS(11336),
    [anon_sym_LBRACE] = ACTIONS(11336),
    [anon_sym_DOLLAR] = ACTIONS(11336),
    [anon_sym_COLON2] = ACTIONS(11336),
    [anon_sym_COLON_COLON] = ACTIONS(11336),
    [anon_sym_isa] = ACTIONS(11336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11336),
    [anon_sym_QMARK] = ACTIONS(11336),
    [anon_sym_where] = ACTIONS(11336),
    [anon_sym_AT] = ACTIONS(11336),
    [anon_sym_true] = ACTIONS(11336),
    [anon_sym_false] = ACTIONS(11336),
    [aux_sym_integer_literal_token1] = ACTIONS(11336),
    [aux_sym_integer_literal_token2] = ACTIONS(11336),
    [aux_sym_integer_literal_token3] = ACTIONS(11336),
    [aux_sym_integer_literal_token4] = ACTIONS(11336),
    [aux_sym_float_literal_token1] = ACTIONS(11336),
    [aux_sym_float_literal_token3] = ACTIONS(11336),
    [aux_sym_float_literal_token4] = ACTIONS(11336),
    [sym_character_literal] = ACTIONS(11336),
    [anon_sym_DQUOTE] = ACTIONS(11336),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11336),
    [anon_sym_BQUOTE] = ACTIONS(11336),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11336),
    [sym__pair_operator] = ACTIONS(11336),
    [sym__arrow_operator] = ACTIONS(11336),
    [sym__lazy_or_operator] = ACTIONS(11336),
    [sym__lazy_and_operator] = ACTIONS(11336),
    [sym__comparison_operator] = ACTIONS(11336),
    [sym__pipe_right_operator] = ACTIONS(11336),
    [sym__pipe_left_operator] = ACTIONS(11336),
    [sym__ellipsis_operator] = ACTIONS(11336),
    [sym__plus_operator] = ACTIONS(11336),
    [sym__times_operator] = ACTIONS(11336),
    [sym__rational_operator] = ACTIONS(11336),
    [sym__bitshift_operator] = ACTIONS(11336),
    [sym__power_operator] = ACTIONS(11336),
    [sym__tilde_operator] = ACTIONS(11336),
    [sym__type_order_operator] = ACTIONS(11336),
    [sym__unary_operator] = ACTIONS(11336),
    [sym__unary_plus_operator] = ACTIONS(11336),
    [aux_sym__terminator_token1] = ACTIONS(11338),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9341] = {
    [sym_block_comment] = STATE(9341),
    [sym_line_comment] = STATE(9341),
    [sym__word_identifier] = ACTIONS(11340),
    [anon_sym_COMMA] = ACTIONS(11340),
    [anon_sym_EQ] = ACTIONS(11340),
    [anon_sym_begin] = ACTIONS(11340),
    [anon_sym_module] = ACTIONS(11340),
    [anon_sym_baremodule] = ACTIONS(11340),
    [anon_sym_end] = ACTIONS(11340),
    [anon_sym_abstract] = ACTIONS(11340),
    [anon_sym_primitive] = ACTIONS(11340),
    [anon_sym_mutable] = ACTIONS(11340),
    [anon_sym_struct] = ACTIONS(11340),
    [anon_sym_function] = ACTIONS(11340),
    [anon_sym_macro] = ACTIONS(11340),
    [anon_sym_quote] = ACTIONS(11340),
    [anon_sym_let] = ACTIONS(11340),
    [anon_sym_if] = ACTIONS(11340),
    [anon_sym_try] = ACTIONS(11340),
    [anon_sym_for] = ACTIONS(11340),
    [anon_sym_while] = ACTIONS(11340),
    [sym_break_statement] = ACTIONS(11340),
    [sym_continue_statement] = ACTIONS(11340),
    [anon_sym_return] = ACTIONS(11340),
    [anon_sym_const] = ACTIONS(11340),
    [anon_sym_global] = ACTIONS(11340),
    [anon_sym_local] = ACTIONS(11340),
    [anon_sym_LPAREN] = ACTIONS(11340),
    [anon_sym_COLON] = ACTIONS(11340),
    [anon_sym_export] = ACTIONS(11340),
    [anon_sym_public] = ACTIONS(11340),
    [anon_sym_import] = ACTIONS(11340),
    [anon_sym_using] = ACTIONS(11340),
    [anon_sym_LBRACK] = ACTIONS(11340),
    [anon_sym_in] = ACTIONS(11340),
    [anon_sym_SEMI] = ACTIONS(11340),
    [anon_sym_LBRACE] = ACTIONS(11340),
    [anon_sym_DOLLAR] = ACTIONS(11340),
    [anon_sym_COLON2] = ACTIONS(11340),
    [anon_sym_COLON_COLON] = ACTIONS(11340),
    [anon_sym_isa] = ACTIONS(11340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11340),
    [anon_sym_QMARK] = ACTIONS(11340),
    [anon_sym_where] = ACTIONS(11340),
    [anon_sym_AT] = ACTIONS(11340),
    [anon_sym_true] = ACTIONS(11340),
    [anon_sym_false] = ACTIONS(11340),
    [aux_sym_integer_literal_token1] = ACTIONS(11340),
    [aux_sym_integer_literal_token2] = ACTIONS(11340),
    [aux_sym_integer_literal_token3] = ACTIONS(11340),
    [aux_sym_integer_literal_token4] = ACTIONS(11340),
    [aux_sym_float_literal_token1] = ACTIONS(11340),
    [aux_sym_float_literal_token3] = ACTIONS(11340),
    [aux_sym_float_literal_token4] = ACTIONS(11340),
    [sym_character_literal] = ACTIONS(11340),
    [anon_sym_DQUOTE] = ACTIONS(11340),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11340),
    [anon_sym_BQUOTE] = ACTIONS(11340),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11340),
    [sym__pair_operator] = ACTIONS(11340),
    [sym__arrow_operator] = ACTIONS(11340),
    [sym__lazy_or_operator] = ACTIONS(11340),
    [sym__lazy_and_operator] = ACTIONS(11340),
    [sym__comparison_operator] = ACTIONS(11340),
    [sym__pipe_right_operator] = ACTIONS(11340),
    [sym__pipe_left_operator] = ACTIONS(11340),
    [sym__ellipsis_operator] = ACTIONS(11340),
    [sym__plus_operator] = ACTIONS(11340),
    [sym__times_operator] = ACTIONS(11340),
    [sym__rational_operator] = ACTIONS(11340),
    [sym__bitshift_operator] = ACTIONS(11340),
    [sym__power_operator] = ACTIONS(11340),
    [sym__tilde_operator] = ACTIONS(11340),
    [sym__type_order_operator] = ACTIONS(11340),
    [sym__unary_operator] = ACTIONS(11340),
    [sym__unary_plus_operator] = ACTIONS(11340),
    [aux_sym__terminator_token1] = ACTIONS(11342),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9342] = {
    [sym_block_comment] = STATE(9342),
    [sym_line_comment] = STATE(9342),
    [sym__word_identifier] = ACTIONS(11344),
    [anon_sym_COMMA] = ACTIONS(11344),
    [anon_sym_EQ] = ACTIONS(11344),
    [anon_sym_begin] = ACTIONS(11344),
    [anon_sym_module] = ACTIONS(11344),
    [anon_sym_baremodule] = ACTIONS(11344),
    [anon_sym_end] = ACTIONS(11344),
    [anon_sym_abstract] = ACTIONS(11344),
    [anon_sym_primitive] = ACTIONS(11344),
    [anon_sym_mutable] = ACTIONS(11344),
    [anon_sym_struct] = ACTIONS(11344),
    [anon_sym_function] = ACTIONS(11344),
    [anon_sym_macro] = ACTIONS(11344),
    [anon_sym_quote] = ACTIONS(11344),
    [anon_sym_let] = ACTIONS(11344),
    [anon_sym_if] = ACTIONS(11344),
    [anon_sym_try] = ACTIONS(11344),
    [anon_sym_for] = ACTIONS(11344),
    [anon_sym_while] = ACTIONS(11344),
    [sym_break_statement] = ACTIONS(11344),
    [sym_continue_statement] = ACTIONS(11344),
    [anon_sym_return] = ACTIONS(11344),
    [anon_sym_const] = ACTIONS(11344),
    [anon_sym_global] = ACTIONS(11344),
    [anon_sym_local] = ACTIONS(11344),
    [anon_sym_LPAREN] = ACTIONS(11344),
    [anon_sym_COLON] = ACTIONS(11344),
    [anon_sym_export] = ACTIONS(11344),
    [anon_sym_public] = ACTIONS(11344),
    [anon_sym_import] = ACTIONS(11344),
    [anon_sym_using] = ACTIONS(11344),
    [anon_sym_LBRACK] = ACTIONS(11344),
    [anon_sym_in] = ACTIONS(11344),
    [anon_sym_SEMI] = ACTIONS(11344),
    [anon_sym_LBRACE] = ACTIONS(11344),
    [anon_sym_DOLLAR] = ACTIONS(11344),
    [anon_sym_COLON2] = ACTIONS(11344),
    [anon_sym_COLON_COLON] = ACTIONS(11344),
    [anon_sym_isa] = ACTIONS(11344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11344),
    [anon_sym_QMARK] = ACTIONS(11344),
    [anon_sym_where] = ACTIONS(11344),
    [anon_sym_AT] = ACTIONS(11344),
    [anon_sym_true] = ACTIONS(11344),
    [anon_sym_false] = ACTIONS(11344),
    [aux_sym_integer_literal_token1] = ACTIONS(11344),
    [aux_sym_integer_literal_token2] = ACTIONS(11344),
    [aux_sym_integer_literal_token3] = ACTIONS(11344),
    [aux_sym_integer_literal_token4] = ACTIONS(11344),
    [aux_sym_float_literal_token1] = ACTIONS(11344),
    [aux_sym_float_literal_token3] = ACTIONS(11344),
    [aux_sym_float_literal_token4] = ACTIONS(11344),
    [sym_character_literal] = ACTIONS(11344),
    [anon_sym_DQUOTE] = ACTIONS(11344),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11344),
    [anon_sym_BQUOTE] = ACTIONS(11344),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11344),
    [sym__pair_operator] = ACTIONS(11344),
    [sym__arrow_operator] = ACTIONS(11344),
    [sym__lazy_or_operator] = ACTIONS(11344),
    [sym__lazy_and_operator] = ACTIONS(11344),
    [sym__comparison_operator] = ACTIONS(11344),
    [sym__pipe_right_operator] = ACTIONS(11344),
    [sym__pipe_left_operator] = ACTIONS(11344),
    [sym__ellipsis_operator] = ACTIONS(11344),
    [sym__plus_operator] = ACTIONS(11344),
    [sym__times_operator] = ACTIONS(11344),
    [sym__rational_operator] = ACTIONS(11344),
    [sym__bitshift_operator] = ACTIONS(11344),
    [sym__power_operator] = ACTIONS(11344),
    [sym__tilde_operator] = ACTIONS(11344),
    [sym__type_order_operator] = ACTIONS(11344),
    [sym__unary_operator] = ACTIONS(11344),
    [sym__unary_plus_operator] = ACTIONS(11344),
    [aux_sym__terminator_token1] = ACTIONS(11346),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9343] = {
    [sym_block_comment] = STATE(9343),
    [sym_line_comment] = STATE(9343),
    [sym__word_identifier] = ACTIONS(11348),
    [anon_sym_COMMA] = ACTIONS(11348),
    [anon_sym_EQ] = ACTIONS(11348),
    [anon_sym_begin] = ACTIONS(11348),
    [anon_sym_module] = ACTIONS(11348),
    [anon_sym_baremodule] = ACTIONS(11348),
    [anon_sym_end] = ACTIONS(11348),
    [anon_sym_abstract] = ACTIONS(11348),
    [anon_sym_primitive] = ACTIONS(11348),
    [anon_sym_mutable] = ACTIONS(11348),
    [anon_sym_struct] = ACTIONS(11348),
    [anon_sym_function] = ACTIONS(11348),
    [anon_sym_macro] = ACTIONS(11348),
    [anon_sym_quote] = ACTIONS(11348),
    [anon_sym_let] = ACTIONS(11348),
    [anon_sym_if] = ACTIONS(11348),
    [anon_sym_try] = ACTIONS(11348),
    [anon_sym_for] = ACTIONS(11348),
    [anon_sym_while] = ACTIONS(11348),
    [sym_break_statement] = ACTIONS(11348),
    [sym_continue_statement] = ACTIONS(11348),
    [anon_sym_return] = ACTIONS(11348),
    [anon_sym_const] = ACTIONS(11348),
    [anon_sym_global] = ACTIONS(11348),
    [anon_sym_local] = ACTIONS(11348),
    [anon_sym_LPAREN] = ACTIONS(11348),
    [anon_sym_COLON] = ACTIONS(11348),
    [anon_sym_export] = ACTIONS(11348),
    [anon_sym_public] = ACTIONS(11348),
    [anon_sym_import] = ACTIONS(11348),
    [anon_sym_using] = ACTIONS(11348),
    [anon_sym_LBRACK] = ACTIONS(11348),
    [anon_sym_in] = ACTIONS(11348),
    [anon_sym_SEMI] = ACTIONS(11348),
    [anon_sym_LBRACE] = ACTIONS(11348),
    [anon_sym_DOLLAR] = ACTIONS(11348),
    [anon_sym_COLON2] = ACTIONS(11348),
    [anon_sym_COLON_COLON] = ACTIONS(11348),
    [anon_sym_isa] = ACTIONS(11348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11348),
    [anon_sym_QMARK] = ACTIONS(11348),
    [anon_sym_where] = ACTIONS(11348),
    [anon_sym_AT] = ACTIONS(11348),
    [anon_sym_true] = ACTIONS(11348),
    [anon_sym_false] = ACTIONS(11348),
    [aux_sym_integer_literal_token1] = ACTIONS(11348),
    [aux_sym_integer_literal_token2] = ACTIONS(11348),
    [aux_sym_integer_literal_token3] = ACTIONS(11348),
    [aux_sym_integer_literal_token4] = ACTIONS(11348),
    [aux_sym_float_literal_token1] = ACTIONS(11348),
    [aux_sym_float_literal_token3] = ACTIONS(11348),
    [aux_sym_float_literal_token4] = ACTIONS(11348),
    [sym_character_literal] = ACTIONS(11348),
    [anon_sym_DQUOTE] = ACTIONS(11348),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11348),
    [anon_sym_BQUOTE] = ACTIONS(11348),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11348),
    [sym__pair_operator] = ACTIONS(11348),
    [sym__arrow_operator] = ACTIONS(11348),
    [sym__lazy_or_operator] = ACTIONS(11348),
    [sym__lazy_and_operator] = ACTIONS(11348),
    [sym__comparison_operator] = ACTIONS(11348),
    [sym__pipe_right_operator] = ACTIONS(11348),
    [sym__pipe_left_operator] = ACTIONS(11348),
    [sym__ellipsis_operator] = ACTIONS(11348),
    [sym__plus_operator] = ACTIONS(11348),
    [sym__times_operator] = ACTIONS(11348),
    [sym__rational_operator] = ACTIONS(11348),
    [sym__bitshift_operator] = ACTIONS(11348),
    [sym__power_operator] = ACTIONS(11348),
    [sym__tilde_operator] = ACTIONS(11348),
    [sym__type_order_operator] = ACTIONS(11348),
    [sym__unary_operator] = ACTIONS(11348),
    [sym__unary_plus_operator] = ACTIONS(11348),
    [aux_sym__terminator_token1] = ACTIONS(11350),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9344] = {
    [sym_block_comment] = STATE(9344),
    [sym_line_comment] = STATE(9344),
    [sym__word_identifier] = ACTIONS(11352),
    [anon_sym_COMMA] = ACTIONS(11352),
    [anon_sym_EQ] = ACTIONS(11352),
    [anon_sym_begin] = ACTIONS(11352),
    [anon_sym_module] = ACTIONS(11352),
    [anon_sym_baremodule] = ACTIONS(11352),
    [anon_sym_end] = ACTIONS(11352),
    [anon_sym_abstract] = ACTIONS(11352),
    [anon_sym_primitive] = ACTIONS(11352),
    [anon_sym_mutable] = ACTIONS(11352),
    [anon_sym_struct] = ACTIONS(11352),
    [anon_sym_function] = ACTIONS(11352),
    [anon_sym_macro] = ACTIONS(11352),
    [anon_sym_quote] = ACTIONS(11352),
    [anon_sym_let] = ACTIONS(11352),
    [anon_sym_if] = ACTIONS(11352),
    [anon_sym_try] = ACTIONS(11352),
    [anon_sym_for] = ACTIONS(11352),
    [anon_sym_while] = ACTIONS(11352),
    [sym_break_statement] = ACTIONS(11352),
    [sym_continue_statement] = ACTIONS(11352),
    [anon_sym_return] = ACTIONS(11352),
    [anon_sym_const] = ACTIONS(11352),
    [anon_sym_global] = ACTIONS(11352),
    [anon_sym_local] = ACTIONS(11352),
    [anon_sym_LPAREN] = ACTIONS(11352),
    [anon_sym_COLON] = ACTIONS(11352),
    [anon_sym_export] = ACTIONS(11352),
    [anon_sym_public] = ACTIONS(11352),
    [anon_sym_import] = ACTIONS(11352),
    [anon_sym_using] = ACTIONS(11352),
    [anon_sym_LBRACK] = ACTIONS(11352),
    [anon_sym_in] = ACTIONS(11352),
    [anon_sym_SEMI] = ACTIONS(11352),
    [anon_sym_LBRACE] = ACTIONS(11352),
    [anon_sym_DOLLAR] = ACTIONS(11352),
    [anon_sym_COLON2] = ACTIONS(11352),
    [anon_sym_COLON_COLON] = ACTIONS(11352),
    [anon_sym_isa] = ACTIONS(11352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11352),
    [anon_sym_QMARK] = ACTIONS(11352),
    [anon_sym_where] = ACTIONS(11352),
    [anon_sym_AT] = ACTIONS(11352),
    [anon_sym_true] = ACTIONS(11352),
    [anon_sym_false] = ACTIONS(11352),
    [aux_sym_integer_literal_token1] = ACTIONS(11352),
    [aux_sym_integer_literal_token2] = ACTIONS(11352),
    [aux_sym_integer_literal_token3] = ACTIONS(11352),
    [aux_sym_integer_literal_token4] = ACTIONS(11352),
    [aux_sym_float_literal_token1] = ACTIONS(11352),
    [aux_sym_float_literal_token3] = ACTIONS(11352),
    [aux_sym_float_literal_token4] = ACTIONS(11352),
    [sym_character_literal] = ACTIONS(11352),
    [anon_sym_DQUOTE] = ACTIONS(11352),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11352),
    [anon_sym_BQUOTE] = ACTIONS(11352),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11352),
    [sym__pair_operator] = ACTIONS(11352),
    [sym__arrow_operator] = ACTIONS(11352),
    [sym__lazy_or_operator] = ACTIONS(11352),
    [sym__lazy_and_operator] = ACTIONS(11352),
    [sym__comparison_operator] = ACTIONS(11352),
    [sym__pipe_right_operator] = ACTIONS(11352),
    [sym__pipe_left_operator] = ACTIONS(11352),
    [sym__ellipsis_operator] = ACTIONS(11352),
    [sym__plus_operator] = ACTIONS(11352),
    [sym__times_operator] = ACTIONS(11352),
    [sym__rational_operator] = ACTIONS(11352),
    [sym__bitshift_operator] = ACTIONS(11352),
    [sym__power_operator] = ACTIONS(11352),
    [sym__tilde_operator] = ACTIONS(11352),
    [sym__type_order_operator] = ACTIONS(11352),
    [sym__unary_operator] = ACTIONS(11352),
    [sym__unary_plus_operator] = ACTIONS(11352),
    [aux_sym__terminator_token1] = ACTIONS(11354),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9345] = {
    [sym_block_comment] = STATE(9345),
    [sym_line_comment] = STATE(9345),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(12721),
    [sym__plus_operator] = ACTIONS(12723),
    [sym__times_operator] = ACTIONS(12725),
    [sym__rational_operator] = ACTIONS(12727),
    [sym__bitshift_operator] = ACTIONS(12729),
    [sym__power_operator] = ACTIONS(12731),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12723),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9346] = {
    [sym_block_comment] = STATE(9346),
    [sym_line_comment] = STATE(9346),
    [sym__word_identifier] = ACTIONS(11593),
    [anon_sym_COMMA] = ACTIONS(11593),
    [anon_sym_EQ] = ACTIONS(11593),
    [anon_sym_begin] = ACTIONS(11593),
    [anon_sym_module] = ACTIONS(11593),
    [anon_sym_baremodule] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(11593),
    [anon_sym_abstract] = ACTIONS(11593),
    [anon_sym_primitive] = ACTIONS(11593),
    [anon_sym_mutable] = ACTIONS(11593),
    [anon_sym_struct] = ACTIONS(11593),
    [anon_sym_function] = ACTIONS(11593),
    [anon_sym_macro] = ACTIONS(11593),
    [anon_sym_quote] = ACTIONS(11593),
    [anon_sym_let] = ACTIONS(11593),
    [anon_sym_if] = ACTIONS(11593),
    [anon_sym_try] = ACTIONS(11593),
    [anon_sym_for] = ACTIONS(11593),
    [anon_sym_while] = ACTIONS(11593),
    [sym_break_statement] = ACTIONS(11593),
    [sym_continue_statement] = ACTIONS(11593),
    [anon_sym_return] = ACTIONS(11593),
    [anon_sym_const] = ACTIONS(11593),
    [anon_sym_global] = ACTIONS(11593),
    [anon_sym_local] = ACTIONS(11593),
    [anon_sym_LPAREN] = ACTIONS(11593),
    [anon_sym_COLON] = ACTIONS(11593),
    [anon_sym_export] = ACTIONS(11593),
    [anon_sym_public] = ACTIONS(11593),
    [anon_sym_import] = ACTIONS(11593),
    [anon_sym_using] = ACTIONS(11593),
    [anon_sym_LBRACK] = ACTIONS(11593),
    [anon_sym_in] = ACTIONS(11593),
    [anon_sym_SEMI] = ACTIONS(11593),
    [anon_sym_LBRACE] = ACTIONS(11593),
    [anon_sym_DOLLAR] = ACTIONS(11593),
    [anon_sym_COLON2] = ACTIONS(11593),
    [anon_sym_COLON_COLON] = ACTIONS(11593),
    [anon_sym_isa] = ACTIONS(11593),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11593),
    [anon_sym_QMARK] = ACTIONS(11593),
    [anon_sym_where] = ACTIONS(11593),
    [anon_sym_AT] = ACTIONS(11593),
    [anon_sym_true] = ACTIONS(11593),
    [anon_sym_false] = ACTIONS(11593),
    [aux_sym_integer_literal_token1] = ACTIONS(11593),
    [aux_sym_integer_literal_token2] = ACTIONS(11593),
    [aux_sym_integer_literal_token3] = ACTIONS(11593),
    [aux_sym_integer_literal_token4] = ACTIONS(11593),
    [aux_sym_float_literal_token1] = ACTIONS(11593),
    [aux_sym_float_literal_token3] = ACTIONS(11593),
    [aux_sym_float_literal_token4] = ACTIONS(11593),
    [sym_character_literal] = ACTIONS(11593),
    [anon_sym_DQUOTE] = ACTIONS(11593),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11593),
    [anon_sym_BQUOTE] = ACTIONS(11593),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11593),
    [sym__pair_operator] = ACTIONS(11593),
    [sym__arrow_operator] = ACTIONS(11593),
    [sym__lazy_or_operator] = ACTIONS(11593),
    [sym__lazy_and_operator] = ACTIONS(11593),
    [sym__comparison_operator] = ACTIONS(11593),
    [sym__pipe_right_operator] = ACTIONS(11593),
    [sym__pipe_left_operator] = ACTIONS(11593),
    [sym__ellipsis_operator] = ACTIONS(11593),
    [sym__plus_operator] = ACTIONS(11593),
    [sym__times_operator] = ACTIONS(11593),
    [sym__rational_operator] = ACTIONS(11593),
    [sym__bitshift_operator] = ACTIONS(11593),
    [sym__power_operator] = ACTIONS(11593),
    [sym__tilde_operator] = ACTIONS(11593),
    [sym__type_order_operator] = ACTIONS(11593),
    [sym__unary_operator] = ACTIONS(11593),
    [sym__unary_plus_operator] = ACTIONS(11593),
    [aux_sym__terminator_token1] = ACTIONS(11595),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9347] = {
    [sym_block_comment] = STATE(9347),
    [sym_line_comment] = STATE(9347),
    [sym__word_identifier] = ACTIONS(11358),
    [anon_sym_COMMA] = ACTIONS(11358),
    [anon_sym_EQ] = ACTIONS(11358),
    [anon_sym_begin] = ACTIONS(11358),
    [anon_sym_module] = ACTIONS(11358),
    [anon_sym_baremodule] = ACTIONS(11358),
    [anon_sym_end] = ACTIONS(11358),
    [anon_sym_abstract] = ACTIONS(11358),
    [anon_sym_primitive] = ACTIONS(11358),
    [anon_sym_mutable] = ACTIONS(11358),
    [anon_sym_struct] = ACTIONS(11358),
    [anon_sym_function] = ACTIONS(11358),
    [anon_sym_macro] = ACTIONS(11358),
    [anon_sym_quote] = ACTIONS(11358),
    [anon_sym_let] = ACTIONS(11358),
    [anon_sym_if] = ACTIONS(11358),
    [anon_sym_try] = ACTIONS(11358),
    [anon_sym_for] = ACTIONS(11358),
    [anon_sym_while] = ACTIONS(11358),
    [sym_break_statement] = ACTIONS(11358),
    [sym_continue_statement] = ACTIONS(11358),
    [anon_sym_return] = ACTIONS(11358),
    [anon_sym_const] = ACTIONS(11358),
    [anon_sym_global] = ACTIONS(11358),
    [anon_sym_local] = ACTIONS(11358),
    [anon_sym_LPAREN] = ACTIONS(11358),
    [anon_sym_COLON] = ACTIONS(11358),
    [anon_sym_export] = ACTIONS(11358),
    [anon_sym_public] = ACTIONS(11358),
    [anon_sym_import] = ACTIONS(11358),
    [anon_sym_using] = ACTIONS(11358),
    [anon_sym_LBRACK] = ACTIONS(11358),
    [anon_sym_in] = ACTIONS(11358),
    [anon_sym_SEMI] = ACTIONS(11358),
    [anon_sym_LBRACE] = ACTIONS(11358),
    [anon_sym_DOLLAR] = ACTIONS(11358),
    [anon_sym_COLON2] = ACTIONS(11358),
    [anon_sym_COLON_COLON] = ACTIONS(11358),
    [anon_sym_isa] = ACTIONS(11358),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11358),
    [anon_sym_QMARK] = ACTIONS(11358),
    [anon_sym_where] = ACTIONS(11358),
    [anon_sym_AT] = ACTIONS(11358),
    [anon_sym_true] = ACTIONS(11358),
    [anon_sym_false] = ACTIONS(11358),
    [aux_sym_integer_literal_token1] = ACTIONS(11358),
    [aux_sym_integer_literal_token2] = ACTIONS(11358),
    [aux_sym_integer_literal_token3] = ACTIONS(11358),
    [aux_sym_integer_literal_token4] = ACTIONS(11358),
    [aux_sym_float_literal_token1] = ACTIONS(11358),
    [aux_sym_float_literal_token3] = ACTIONS(11358),
    [aux_sym_float_literal_token4] = ACTIONS(11358),
    [sym_character_literal] = ACTIONS(11358),
    [anon_sym_DQUOTE] = ACTIONS(11358),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11358),
    [anon_sym_BQUOTE] = ACTIONS(11358),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11358),
    [sym__pair_operator] = ACTIONS(11358),
    [sym__arrow_operator] = ACTIONS(11358),
    [sym__lazy_or_operator] = ACTIONS(11358),
    [sym__lazy_and_operator] = ACTIONS(11358),
    [sym__comparison_operator] = ACTIONS(11358),
    [sym__pipe_right_operator] = ACTIONS(11358),
    [sym__pipe_left_operator] = ACTIONS(11358),
    [sym__ellipsis_operator] = ACTIONS(11358),
    [sym__plus_operator] = ACTIONS(11358),
    [sym__times_operator] = ACTIONS(11358),
    [sym__rational_operator] = ACTIONS(11358),
    [sym__bitshift_operator] = ACTIONS(11358),
    [sym__power_operator] = ACTIONS(11358),
    [sym__tilde_operator] = ACTIONS(11358),
    [sym__type_order_operator] = ACTIONS(11358),
    [sym__unary_operator] = ACTIONS(11358),
    [sym__unary_plus_operator] = ACTIONS(11358),
    [aux_sym__terminator_token1] = ACTIONS(11360),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9348] = {
    [sym_block_comment] = STATE(9348),
    [sym_line_comment] = STATE(9348),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10141),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_as] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10141),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10141),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10141),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10141),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10141),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10141),
    [anon_sym_QMARK] = ACTIONS(10141),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10141),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10141),
    [aux_sym_integer_literal_token2] = ACTIONS(10141),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10141),
    [aux_sym_float_literal_token3] = ACTIONS(10141),
    [aux_sym_float_literal_token4] = ACTIONS(10141),
    [sym_character_literal] = ACTIONS(10141),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10141),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10141),
    [sym__pair_operator] = ACTIONS(10141),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10141),
    [sym__lazy_and_operator] = ACTIONS(10141),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10141),
    [sym__pipe_left_operator] = ACTIONS(10141),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10141),
    [sym__bitshift_operator] = ACTIONS(10141),
    [sym__power_operator] = ACTIONS(10141),
    [sym__tilde_operator] = ACTIONS(10141),
    [sym__type_order_operator] = ACTIONS(10141),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9349] = {
    [sym__primary_expression] = STATE(11893),
    [sym__array] = STATE(11843),
    [sym_comprehension_expression] = STATE(11848),
    [sym_matrix_expression] = STATE(11848),
    [sym_vector_expression] = STATE(11848),
    [sym_parenthesized_expression] = STATE(11843),
    [sym_tuple_expression] = STATE(11843),
    [sym_curly_expression] = STATE(11843),
    [sym_adjoint_expression] = STATE(11843),
    [sym_field_expression] = STATE(11843),
    [sym_index_expression] = STATE(11843),
    [sym_parametrized_type_expression] = STATE(11843),
    [sym_call_expression] = STATE(11843),
    [sym_broadcast_call_expression] = STATE(11843),
    [sym__closed_macrocall_expression] = STATE(11843),
    [sym_interpolation_expression] = STATE(11843),
    [sym_quote_expression] = STATE(11843),
    [sym_macro_identifier] = STATE(17747),
    [sym_identifier] = STATE(11296),
    [sym_boolean_literal] = STATE(11843),
    [sym__string] = STATE(11843),
    [sym__delimiter_str_1] = STATE(15321),
    [sym__delimiter_str_3] = STATE(15322),
    [sym__delimiter_cmd_1] = STATE(15323),
    [sym__delimiter_cmd_3] = STATE(15325),
    [sym_string_literal] = STATE(11846),
    [sym_command_literal] = STATE(11846),
    [sym_prefixed_string_literal] = STATE(11846),
    [sym_prefixed_command_literal] = STATE(11846),
    [sym_operator] = STATE(19500),
    [sym_block_comment] = STATE(9349),
    [sym_line_comment] = STATE(9349),
    [sym__word_identifier] = ACTIONS(10557),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(10559),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(10561),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(10563),
    [anon_sym_DOLLAR] = ACTIONS(10565),
    [anon_sym_COLON2] = ACTIONS(10567),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(10539),
    [anon_sym_true] = ACTIONS(10569),
    [anon_sym_false] = ACTIONS(10569),
    [sym_character_literal] = ACTIONS(10571),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(9480),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9480),
    [sym__pipe_left_operator] = ACTIONS(9480),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9480),
    [sym__bitshift_operator] = ACTIONS(9480),
    [sym__power_operator] = ACTIONS(9480),
    [sym__tilde_operator] = ACTIONS(1689),
    [sym__type_order_operator] = ACTIONS(9480),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9350] = {
    [sym_block_comment] = STATE(9350),
    [sym_line_comment] = STATE(9350),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10293),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_as] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10293),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10293),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10293),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10293),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10293),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10293),
    [anon_sym_QMARK] = ACTIONS(10293),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10293),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10293),
    [aux_sym_integer_literal_token2] = ACTIONS(10293),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10293),
    [aux_sym_float_literal_token3] = ACTIONS(10293),
    [aux_sym_float_literal_token4] = ACTIONS(10293),
    [sym_character_literal] = ACTIONS(10293),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10293),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10293),
    [sym__pair_operator] = ACTIONS(10293),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10293),
    [sym__lazy_and_operator] = ACTIONS(10293),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10293),
    [sym__pipe_left_operator] = ACTIONS(10293),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10293),
    [sym__bitshift_operator] = ACTIONS(10293),
    [sym__power_operator] = ACTIONS(10293),
    [sym__tilde_operator] = ACTIONS(10293),
    [sym__type_order_operator] = ACTIONS(10293),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9351] = {
    [sym_block_comment] = STATE(9351),
    [sym_line_comment] = STATE(9351),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10309),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_as] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10309),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10309),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10309),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10309),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10309),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10309),
    [anon_sym_QMARK] = ACTIONS(10309),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10309),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10309),
    [aux_sym_integer_literal_token2] = ACTIONS(10309),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10309),
    [aux_sym_float_literal_token3] = ACTIONS(10309),
    [aux_sym_float_literal_token4] = ACTIONS(10309),
    [sym_character_literal] = ACTIONS(10309),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10309),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10309),
    [sym__pair_operator] = ACTIONS(10309),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10309),
    [sym__lazy_and_operator] = ACTIONS(10309),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10309),
    [sym__pipe_left_operator] = ACTIONS(10309),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10309),
    [sym__bitshift_operator] = ACTIONS(10309),
    [sym__power_operator] = ACTIONS(10309),
    [sym__tilde_operator] = ACTIONS(10309),
    [sym__type_order_operator] = ACTIONS(10309),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9352] = {
    [sym_block_comment] = STATE(9352),
    [sym_line_comment] = STATE(9352),
    [sym__word_identifier] = ACTIONS(11362),
    [anon_sym_COMMA] = ACTIONS(11362),
    [anon_sym_EQ] = ACTIONS(11362),
    [anon_sym_begin] = ACTIONS(11362),
    [anon_sym_module] = ACTIONS(11362),
    [anon_sym_baremodule] = ACTIONS(11362),
    [anon_sym_end] = ACTIONS(11362),
    [anon_sym_abstract] = ACTIONS(11362),
    [anon_sym_primitive] = ACTIONS(11362),
    [anon_sym_mutable] = ACTIONS(11362),
    [anon_sym_struct] = ACTIONS(11362),
    [anon_sym_function] = ACTIONS(11362),
    [anon_sym_macro] = ACTIONS(11362),
    [anon_sym_quote] = ACTIONS(11362),
    [anon_sym_let] = ACTIONS(11362),
    [anon_sym_if] = ACTIONS(11362),
    [anon_sym_try] = ACTIONS(11362),
    [anon_sym_for] = ACTIONS(11362),
    [anon_sym_while] = ACTIONS(11362),
    [sym_break_statement] = ACTIONS(11362),
    [sym_continue_statement] = ACTIONS(11362),
    [anon_sym_return] = ACTIONS(11362),
    [anon_sym_const] = ACTIONS(11362),
    [anon_sym_global] = ACTIONS(11362),
    [anon_sym_local] = ACTIONS(11362),
    [anon_sym_LPAREN] = ACTIONS(11362),
    [anon_sym_COLON] = ACTIONS(11362),
    [anon_sym_export] = ACTIONS(11362),
    [anon_sym_public] = ACTIONS(11362),
    [anon_sym_import] = ACTIONS(11362),
    [anon_sym_using] = ACTIONS(11362),
    [anon_sym_LBRACK] = ACTIONS(11362),
    [anon_sym_in] = ACTIONS(11362),
    [anon_sym_SEMI] = ACTIONS(11362),
    [anon_sym_LBRACE] = ACTIONS(11362),
    [anon_sym_DOLLAR] = ACTIONS(11362),
    [anon_sym_COLON2] = ACTIONS(11362),
    [anon_sym_COLON_COLON] = ACTIONS(11362),
    [anon_sym_isa] = ACTIONS(11362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11362),
    [anon_sym_QMARK] = ACTIONS(11362),
    [anon_sym_where] = ACTIONS(11362),
    [anon_sym_AT] = ACTIONS(11362),
    [anon_sym_true] = ACTIONS(11362),
    [anon_sym_false] = ACTIONS(11362),
    [aux_sym_integer_literal_token1] = ACTIONS(11362),
    [aux_sym_integer_literal_token2] = ACTIONS(11362),
    [aux_sym_integer_literal_token3] = ACTIONS(11362),
    [aux_sym_integer_literal_token4] = ACTIONS(11362),
    [aux_sym_float_literal_token1] = ACTIONS(11362),
    [aux_sym_float_literal_token3] = ACTIONS(11362),
    [aux_sym_float_literal_token4] = ACTIONS(11362),
    [sym_character_literal] = ACTIONS(11362),
    [anon_sym_DQUOTE] = ACTIONS(11362),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11362),
    [anon_sym_BQUOTE] = ACTIONS(11362),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11362),
    [sym__pair_operator] = ACTIONS(11362),
    [sym__arrow_operator] = ACTIONS(11362),
    [sym__lazy_or_operator] = ACTIONS(11362),
    [sym__lazy_and_operator] = ACTIONS(11362),
    [sym__comparison_operator] = ACTIONS(11362),
    [sym__pipe_right_operator] = ACTIONS(11362),
    [sym__pipe_left_operator] = ACTIONS(11362),
    [sym__ellipsis_operator] = ACTIONS(11362),
    [sym__plus_operator] = ACTIONS(11362),
    [sym__times_operator] = ACTIONS(11362),
    [sym__rational_operator] = ACTIONS(11362),
    [sym__bitshift_operator] = ACTIONS(11362),
    [sym__power_operator] = ACTIONS(11362),
    [sym__tilde_operator] = ACTIONS(11362),
    [sym__type_order_operator] = ACTIONS(11362),
    [sym__unary_operator] = ACTIONS(11362),
    [sym__unary_plus_operator] = ACTIONS(11362),
    [aux_sym__terminator_token1] = ACTIONS(11364),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9353] = {
    [sym_block_comment] = STATE(9353),
    [sym_line_comment] = STATE(9353),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10349),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_as] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10349),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10349),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10349),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10349),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10349),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10349),
    [anon_sym_QMARK] = ACTIONS(10349),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10349),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10349),
    [aux_sym_integer_literal_token2] = ACTIONS(10349),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10349),
    [aux_sym_float_literal_token3] = ACTIONS(10349),
    [aux_sym_float_literal_token4] = ACTIONS(10349),
    [sym_character_literal] = ACTIONS(10349),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10349),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10349),
    [sym__pair_operator] = ACTIONS(10349),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10349),
    [sym__lazy_and_operator] = ACTIONS(10349),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10349),
    [sym__pipe_left_operator] = ACTIONS(10349),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10349),
    [sym__bitshift_operator] = ACTIONS(10349),
    [sym__power_operator] = ACTIONS(10349),
    [sym__tilde_operator] = ACTIONS(10349),
    [sym__type_order_operator] = ACTIONS(10349),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9354] = {
    [sym_block_comment] = STATE(9354),
    [sym_line_comment] = STATE(9354),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10353),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_as] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10353),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10353),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10353),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10353),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10353),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10353),
    [anon_sym_QMARK] = ACTIONS(10353),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10353),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10353),
    [aux_sym_integer_literal_token2] = ACTIONS(10353),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10353),
    [aux_sym_float_literal_token3] = ACTIONS(10353),
    [aux_sym_float_literal_token4] = ACTIONS(10353),
    [sym_character_literal] = ACTIONS(10353),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10353),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10353),
    [sym__pair_operator] = ACTIONS(10353),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10353),
    [sym__lazy_and_operator] = ACTIONS(10353),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10353),
    [sym__pipe_left_operator] = ACTIONS(10353),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10353),
    [sym__bitshift_operator] = ACTIONS(10353),
    [sym__power_operator] = ACTIONS(10353),
    [sym__tilde_operator] = ACTIONS(10353),
    [sym__type_order_operator] = ACTIONS(10353),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9355] = {
    [sym_block_comment] = STATE(9355),
    [sym_line_comment] = STATE(9355),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10177),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_as] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10177),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10177),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10177),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10177),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10177),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10177),
    [anon_sym_QMARK] = ACTIONS(10177),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10177),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10177),
    [aux_sym_integer_literal_token2] = ACTIONS(10177),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10177),
    [aux_sym_float_literal_token3] = ACTIONS(10177),
    [aux_sym_float_literal_token4] = ACTIONS(10177),
    [sym_character_literal] = ACTIONS(10177),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10177),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10177),
    [sym__pair_operator] = ACTIONS(10177),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10177),
    [sym__lazy_and_operator] = ACTIONS(10177),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10177),
    [sym__pipe_left_operator] = ACTIONS(10177),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10177),
    [sym__bitshift_operator] = ACTIONS(10177),
    [sym__power_operator] = ACTIONS(10177),
    [sym__tilde_operator] = ACTIONS(10177),
    [sym__type_order_operator] = ACTIONS(10177),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9356] = {
    [sym_block_comment] = STATE(9356),
    [sym_line_comment] = STATE(9356),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(12773),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9357] = {
    [sym_block_comment] = STATE(9357),
    [sym_line_comment] = STATE(9357),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(1083),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12717),
    [sym__pipe_left_operator] = ACTIONS(12719),
    [sym__ellipsis_operator] = ACTIONS(12721),
    [sym__plus_operator] = ACTIONS(12723),
    [sym__times_operator] = ACTIONS(12725),
    [sym__rational_operator] = ACTIONS(12727),
    [sym__bitshift_operator] = ACTIONS(12729),
    [sym__power_operator] = ACTIONS(12731),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12723),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9358] = {
    [sym_block_comment] = STATE(9358),
    [sym_line_comment] = STATE(9358),
    [sym__word_identifier] = ACTIONS(11366),
    [anon_sym_COMMA] = ACTIONS(11366),
    [anon_sym_EQ] = ACTIONS(11366),
    [anon_sym_begin] = ACTIONS(11366),
    [anon_sym_module] = ACTIONS(11366),
    [anon_sym_baremodule] = ACTIONS(11366),
    [anon_sym_end] = ACTIONS(11366),
    [anon_sym_abstract] = ACTIONS(11366),
    [anon_sym_primitive] = ACTIONS(11366),
    [anon_sym_mutable] = ACTIONS(11366),
    [anon_sym_struct] = ACTIONS(11366),
    [anon_sym_function] = ACTIONS(11366),
    [anon_sym_macro] = ACTIONS(11366),
    [anon_sym_quote] = ACTIONS(11366),
    [anon_sym_let] = ACTIONS(11366),
    [anon_sym_if] = ACTIONS(11366),
    [anon_sym_try] = ACTIONS(11366),
    [anon_sym_for] = ACTIONS(11366),
    [anon_sym_while] = ACTIONS(11366),
    [sym_break_statement] = ACTIONS(11366),
    [sym_continue_statement] = ACTIONS(11366),
    [anon_sym_return] = ACTIONS(11366),
    [anon_sym_const] = ACTIONS(11366),
    [anon_sym_global] = ACTIONS(11366),
    [anon_sym_local] = ACTIONS(11366),
    [anon_sym_LPAREN] = ACTIONS(11366),
    [anon_sym_COLON] = ACTIONS(11366),
    [anon_sym_export] = ACTIONS(11366),
    [anon_sym_public] = ACTIONS(11366),
    [anon_sym_import] = ACTIONS(11366),
    [anon_sym_using] = ACTIONS(11366),
    [anon_sym_LBRACK] = ACTIONS(11366),
    [anon_sym_in] = ACTIONS(11366),
    [anon_sym_SEMI] = ACTIONS(11366),
    [anon_sym_LBRACE] = ACTIONS(11366),
    [anon_sym_DOLLAR] = ACTIONS(11366),
    [anon_sym_COLON2] = ACTIONS(11366),
    [anon_sym_COLON_COLON] = ACTIONS(11366),
    [anon_sym_isa] = ACTIONS(11366),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11366),
    [anon_sym_QMARK] = ACTIONS(11366),
    [anon_sym_where] = ACTIONS(11366),
    [anon_sym_AT] = ACTIONS(11366),
    [anon_sym_true] = ACTIONS(11366),
    [anon_sym_false] = ACTIONS(11366),
    [aux_sym_integer_literal_token1] = ACTIONS(11366),
    [aux_sym_integer_literal_token2] = ACTIONS(11366),
    [aux_sym_integer_literal_token3] = ACTIONS(11366),
    [aux_sym_integer_literal_token4] = ACTIONS(11366),
    [aux_sym_float_literal_token1] = ACTIONS(11366),
    [aux_sym_float_literal_token3] = ACTIONS(11366),
    [aux_sym_float_literal_token4] = ACTIONS(11366),
    [sym_character_literal] = ACTIONS(11366),
    [anon_sym_DQUOTE] = ACTIONS(11366),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11366),
    [anon_sym_BQUOTE] = ACTIONS(11366),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11366),
    [sym__pair_operator] = ACTIONS(11366),
    [sym__arrow_operator] = ACTIONS(11366),
    [sym__lazy_or_operator] = ACTIONS(11366),
    [sym__lazy_and_operator] = ACTIONS(11366),
    [sym__comparison_operator] = ACTIONS(11366),
    [sym__pipe_right_operator] = ACTIONS(11366),
    [sym__pipe_left_operator] = ACTIONS(11366),
    [sym__ellipsis_operator] = ACTIONS(11366),
    [sym__plus_operator] = ACTIONS(11366),
    [sym__times_operator] = ACTIONS(11366),
    [sym__rational_operator] = ACTIONS(11366),
    [sym__bitshift_operator] = ACTIONS(11366),
    [sym__power_operator] = ACTIONS(11366),
    [sym__tilde_operator] = ACTIONS(11366),
    [sym__type_order_operator] = ACTIONS(11366),
    [sym__unary_operator] = ACTIONS(11366),
    [sym__unary_plus_operator] = ACTIONS(11366),
    [aux_sym__terminator_token1] = ACTIONS(11368),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9359] = {
    [sym_block_comment] = STATE(9359),
    [sym_line_comment] = STATE(9359),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10321),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_as] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10321),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10321),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10321),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10321),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10321),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10321),
    [anon_sym_QMARK] = ACTIONS(10321),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10321),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10321),
    [aux_sym_integer_literal_token2] = ACTIONS(10321),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10321),
    [aux_sym_float_literal_token3] = ACTIONS(10321),
    [aux_sym_float_literal_token4] = ACTIONS(10321),
    [sym_character_literal] = ACTIONS(10321),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10321),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10321),
    [sym__pair_operator] = ACTIONS(10321),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10321),
    [sym__lazy_and_operator] = ACTIONS(10321),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10321),
    [sym__pipe_left_operator] = ACTIONS(10321),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10321),
    [sym__bitshift_operator] = ACTIONS(10321),
    [sym__power_operator] = ACTIONS(10321),
    [sym__tilde_operator] = ACTIONS(10321),
    [sym__type_order_operator] = ACTIONS(10321),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9360] = {
    [sym_block_comment] = STATE(9360),
    [sym_line_comment] = STATE(9360),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10397),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_as] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10397),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10397),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10397),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10397),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10397),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10397),
    [anon_sym_QMARK] = ACTIONS(10397),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10397),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10397),
    [aux_sym_integer_literal_token2] = ACTIONS(10397),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10397),
    [aux_sym_float_literal_token3] = ACTIONS(10397),
    [aux_sym_float_literal_token4] = ACTIONS(10397),
    [sym_character_literal] = ACTIONS(10397),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10397),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10397),
    [sym__pair_operator] = ACTIONS(10397),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10397),
    [sym__lazy_and_operator] = ACTIONS(10397),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10397),
    [sym__pipe_left_operator] = ACTIONS(10397),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10397),
    [sym__bitshift_operator] = ACTIONS(10397),
    [sym__power_operator] = ACTIONS(10397),
    [sym__tilde_operator] = ACTIONS(10397),
    [sym__type_order_operator] = ACTIONS(10397),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9361] = {
    [sym_block_comment] = STATE(9361),
    [sym_line_comment] = STATE(9361),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12153),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12153),
    [anon_sym_RPAREN] = ACTIONS(12153),
    [anon_sym_COLON] = ACTIONS(12733),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12153),
    [anon_sym_RBRACK] = ACTIONS(12153),
    [anon_sym_in] = ACTIONS(12751),
    [anon_sym_SEMI] = ACTIONS(12153),
    [anon_sym_LBRACE] = ACTIONS(12153),
    [anon_sym_RBRACE] = ACTIONS(12153),
    [anon_sym_DOLLAR] = ACTIONS(12153),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12520),
    [anon_sym_where] = ACTIONS(12753),
    [anon_sym_AT] = ACTIONS(12153),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12153),
    [aux_sym_integer_literal_token2] = ACTIONS(12153),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12153),
    [aux_sym_float_literal_token3] = ACTIONS(12153),
    [aux_sym_float_literal_token4] = ACTIONS(12153),
    [sym_character_literal] = ACTIONS(12153),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12153),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12153),
    [sym__pair_operator] = ACTIONS(12755),
    [sym__arrow_operator] = ACTIONS(12757),
    [sym__lazy_or_operator] = ACTIONS(12759),
    [sym__lazy_and_operator] = ACTIONS(12761),
    [sym__comparison_operator] = ACTIONS(12751),
    [sym__pipe_right_operator] = ACTIONS(12735),
    [sym__pipe_left_operator] = ACTIONS(12737),
    [sym__ellipsis_operator] = ACTIONS(12739),
    [sym__plus_operator] = ACTIONS(12741),
    [sym__times_operator] = ACTIONS(12743),
    [sym__rational_operator] = ACTIONS(12745),
    [sym__bitshift_operator] = ACTIONS(12747),
    [sym__power_operator] = ACTIONS(12749),
    [sym__tilde_operator] = ACTIONS(12153),
    [sym__type_order_operator] = ACTIONS(12763),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12741),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9362] = {
    [sym_block_comment] = STATE(9362),
    [sym_line_comment] = STATE(9362),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10577),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10383),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9363] = {
    [sym_block_comment] = STATE(9363),
    [sym_line_comment] = STATE(9363),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10577),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
  },
  [9364] = {
    [sym_block_comment] = STATE(9364),
    [sym_line_comment] = STATE(9364),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12723),
    [sym__times_operator] = ACTIONS(12725),
    [sym__rational_operator] = ACTIONS(12727),
    [sym__bitshift_operator] = ACTIONS(12729),
    [sym__power_operator] = ACTIONS(12731),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12723),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9365] = {
    [sym_block_comment] = STATE(9365),
    [sym_line_comment] = STATE(9365),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12725),
    [sym__rational_operator] = ACTIONS(12727),
    [sym__bitshift_operator] = ACTIONS(12729),
    [sym__power_operator] = ACTIONS(12731),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9366] = {
    [sym_block_comment] = STATE(9366),
    [sym_line_comment] = STATE(9366),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11218),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12707),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9367] = {
    [sym_block_comment] = STATE(9367),
    [sym_line_comment] = STATE(9367),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_catch] = ACTIONS(11876),
    [anon_sym_finally] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(12775),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(12777),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(12777),
    [sym__pipe_right_operator] = ACTIONS(12779),
    [sym__pipe_left_operator] = ACTIONS(12781),
    [sym__ellipsis_operator] = ACTIONS(12783),
    [sym__plus_operator] = ACTIONS(12785),
    [sym__times_operator] = ACTIONS(12787),
    [sym__rational_operator] = ACTIONS(12789),
    [sym__bitshift_operator] = ACTIONS(12791),
    [sym__power_operator] = ACTIONS(12793),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(12777),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12785),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9368] = {
    [sym_block_comment] = STATE(9368),
    [sym_line_comment] = STATE(9368),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_end] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_catch] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(12795),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(12797),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12526),
    [anon_sym_where] = ACTIONS(12799),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(12801),
    [sym__arrow_operator] = ACTIONS(12803),
    [sym__lazy_or_operator] = ACTIONS(12805),
    [sym__lazy_and_operator] = ACTIONS(12807),
    [sym__comparison_operator] = ACTIONS(12797),
    [sym__pipe_right_operator] = ACTIONS(12809),
    [sym__pipe_left_operator] = ACTIONS(12811),
    [sym__ellipsis_operator] = ACTIONS(12813),
    [sym__plus_operator] = ACTIONS(12815),
    [sym__times_operator] = ACTIONS(12817),
    [sym__rational_operator] = ACTIONS(12819),
    [sym__bitshift_operator] = ACTIONS(12821),
    [sym__power_operator] = ACTIONS(12823),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(12797),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12815),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9369] = {
    [sym_block_comment] = STATE(9369),
    [sym_line_comment] = STATE(9369),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_catch] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12526),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9370] = {
    [sym_block_comment] = STATE(9370),
    [sym_line_comment] = STATE(9370),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12590),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9371] = {
    [sym_block_comment] = STATE(9371),
    [sym_line_comment] = STATE(9371),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12590),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9372] = {
    [sym_block_comment] = STATE(9372),
    [sym_line_comment] = STATE(9372),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9373] = {
    [sym_block_comment] = STATE(9373),
    [sym_line_comment] = STATE(9373),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12590),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9374] = {
    [sym_block_comment] = STATE(9374),
    [sym_line_comment] = STATE(9374),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9375] = {
    [sym_block_comment] = STATE(9375),
    [sym_line_comment] = STATE(9375),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9376] = {
    [sym_block_comment] = STATE(9376),
    [sym_line_comment] = STATE(9376),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9377] = {
    [sym_block_comment] = STATE(9377),
    [sym_line_comment] = STATE(9377),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9378] = {
    [sym_block_comment] = STATE(9378),
    [sym_line_comment] = STATE(9378),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9379] = {
    [sym_block_comment] = STATE(9379),
    [sym_line_comment] = STATE(9379),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9380] = {
    [sym_block_comment] = STATE(9380),
    [sym_line_comment] = STATE(9380),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(11704),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(11704),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11704),
    [anon_sym_isa] = ACTIONS(11704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11704),
    [anon_sym_QMARK] = ACTIONS(11704),
    [anon_sym_where] = ACTIONS(11704),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(11704),
    [sym__arrow_operator] = ACTIONS(11704),
    [sym__lazy_or_operator] = ACTIONS(11704),
    [sym__lazy_and_operator] = ACTIONS(11704),
    [sym__comparison_operator] = ACTIONS(11704),
    [sym__pipe_right_operator] = ACTIONS(11704),
    [sym__pipe_left_operator] = ACTIONS(11704),
    [sym__ellipsis_operator] = ACTIONS(11704),
    [sym__plus_operator] = ACTIONS(11704),
    [sym__times_operator] = ACTIONS(11704),
    [sym__rational_operator] = ACTIONS(11704),
    [sym__bitshift_operator] = ACTIONS(11704),
    [sym__power_operator] = ACTIONS(11704),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(11704),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(11704),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9381] = {
    [sym_block_comment] = STATE(9381),
    [sym_line_comment] = STATE(9381),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9382] = {
    [sym_block_comment] = STATE(9382),
    [sym_line_comment] = STATE(9382),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9383] = {
    [sym_block_comment] = STATE(9383),
    [sym_line_comment] = STATE(9383),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9384] = {
    [sym_block_comment] = STATE(9384),
    [sym_line_comment] = STATE(9384),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9385] = {
    [sym_block_comment] = STATE(9385),
    [sym_line_comment] = STATE(9385),
    [aux_sym_open_tuple_repeat1] = STATE(9211),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(12582),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12707),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9386] = {
    [sym_block_comment] = STATE(9386),
    [sym_line_comment] = STATE(9386),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(12773),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9387] = {
    [sym_block_comment] = STATE(9387),
    [sym_line_comment] = STATE(9387),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11204),
    [anon_sym_EQ] = ACTIONS(12773),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11204),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11204),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_SEMI] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11204),
    [anon_sym_DOLLAR] = ACTIONS(11204),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11204),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11204),
    [anon_sym_QMARK] = ACTIONS(11204),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11204),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11204),
    [aux_sym_integer_literal_token2] = ACTIONS(11204),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11204),
    [aux_sym_float_literal_token3] = ACTIONS(11204),
    [aux_sym_float_literal_token4] = ACTIONS(11204),
    [sym_character_literal] = ACTIONS(11204),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11204),
    [sym__pair_operator] = ACTIONS(11204),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11204),
    [sym__lazy_and_operator] = ACTIONS(11204),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11204),
    [sym__pipe_left_operator] = ACTIONS(11204),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11204),
    [sym__bitshift_operator] = ACTIONS(11204),
    [sym__power_operator] = ACTIONS(11204),
    [sym__tilde_operator] = ACTIONS(11204),
    [sym__type_order_operator] = ACTIONS(11204),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym__terminator_token1] = ACTIONS(11206),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9388] = {
    [sym_block_comment] = STATE(9388),
    [sym_line_comment] = STATE(9388),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11208),
    [anon_sym_EQ] = ACTIONS(12773),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11208),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11208),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_SEMI] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11208),
    [anon_sym_DOLLAR] = ACTIONS(11208),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11208),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11208),
    [anon_sym_QMARK] = ACTIONS(11208),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11208),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11208),
    [aux_sym_integer_literal_token2] = ACTIONS(11208),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11208),
    [aux_sym_float_literal_token3] = ACTIONS(11208),
    [aux_sym_float_literal_token4] = ACTIONS(11208),
    [sym_character_literal] = ACTIONS(11208),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11208),
    [sym__pair_operator] = ACTIONS(11208),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11208),
    [sym__lazy_and_operator] = ACTIONS(11208),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11208),
    [sym__pipe_left_operator] = ACTIONS(11208),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11208),
    [sym__bitshift_operator] = ACTIONS(11208),
    [sym__power_operator] = ACTIONS(11208),
    [sym__tilde_operator] = ACTIONS(11208),
    [sym__type_order_operator] = ACTIONS(11208),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym__terminator_token1] = ACTIONS(11210),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9389] = {
    [sym_block_comment] = STATE(9389),
    [sym_line_comment] = STATE(9389),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_EQ] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9390] = {
    [sym_block_comment] = STATE(9390),
    [sym_line_comment] = STATE(9390),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11384),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11384),
    [anon_sym_RPAREN] = ACTIONS(11384),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11384),
    [anon_sym_RBRACK] = ACTIONS(11384),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11384),
    [anon_sym_LBRACE] = ACTIONS(11384),
    [anon_sym_RBRACE] = ACTIONS(11384),
    [anon_sym_DOLLAR] = ACTIONS(11384),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12520),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11384),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11384),
    [aux_sym_integer_literal_token2] = ACTIONS(11384),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11384),
    [aux_sym_float_literal_token3] = ACTIONS(11384),
    [aux_sym_float_literal_token4] = ACTIONS(11384),
    [sym_character_literal] = ACTIONS(11384),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11384),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11384),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11384),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9391] = {
    [sym_block_comment] = STATE(9391),
    [sym_line_comment] = STATE(9391),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11876),
    [anon_sym_EQ] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_end] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9392] = {
    [sym_block_comment] = STATE(9392),
    [sym_line_comment] = STATE(9392),
    [aux_sym__import_list_repeat1] = STATE(9705),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(12769),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_as] = ACTIONS(12771),
    [anon_sym_LPAREN] = ACTIONS(11032),
    [anon_sym_COLON] = ACTIONS(12825),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11032),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11032),
    [anon_sym_DOLLAR] = ACTIONS(11032),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11032),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11032),
    [anon_sym_QMARK] = ACTIONS(11032),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11032),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11032),
    [aux_sym_integer_literal_token2] = ACTIONS(11032),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11032),
    [aux_sym_float_literal_token3] = ACTIONS(11032),
    [aux_sym_float_literal_token4] = ACTIONS(11032),
    [sym_character_literal] = ACTIONS(11032),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11032),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(11032),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11032),
    [sym__lazy_and_operator] = ACTIONS(11032),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11032),
    [sym__pipe_left_operator] = ACTIONS(11032),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11032),
    [sym__bitshift_operator] = ACTIONS(11032),
    [sym__power_operator] = ACTIONS(11032),
    [sym__tilde_operator] = ACTIONS(11032),
    [sym__type_order_operator] = ACTIONS(11032),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9393] = {
    [sym_block_comment] = STATE(9393),
    [sym_line_comment] = STATE(9393),
    [ts_builtin_sym_end] = ACTIONS(11310),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_RBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12827),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9394] = {
    [sym_block_comment] = STATE(9394),
    [sym_line_comment] = STATE(9394),
    [sym__word_identifier] = ACTIONS(11505),
    [anon_sym_COMMA] = ACTIONS(11505),
    [anon_sym_EQ] = ACTIONS(11505),
    [anon_sym_begin] = ACTIONS(11505),
    [anon_sym_module] = ACTIONS(11505),
    [anon_sym_baremodule] = ACTIONS(11505),
    [anon_sym_end] = ACTIONS(11505),
    [anon_sym_abstract] = ACTIONS(11505),
    [anon_sym_primitive] = ACTIONS(11505),
    [anon_sym_mutable] = ACTIONS(11505),
    [anon_sym_struct] = ACTIONS(11505),
    [anon_sym_function] = ACTIONS(11505),
    [anon_sym_macro] = ACTIONS(11505),
    [anon_sym_quote] = ACTIONS(11505),
    [anon_sym_let] = ACTIONS(11505),
    [anon_sym_if] = ACTIONS(11505),
    [anon_sym_try] = ACTIONS(11505),
    [anon_sym_for] = ACTIONS(11505),
    [anon_sym_while] = ACTIONS(11505),
    [sym_break_statement] = ACTIONS(11505),
    [sym_continue_statement] = ACTIONS(11505),
    [anon_sym_return] = ACTIONS(11505),
    [anon_sym_const] = ACTIONS(11505),
    [anon_sym_global] = ACTIONS(11505),
    [anon_sym_local] = ACTIONS(11505),
    [anon_sym_LPAREN] = ACTIONS(11505),
    [anon_sym_COLON] = ACTIONS(11505),
    [anon_sym_export] = ACTIONS(11505),
    [anon_sym_public] = ACTIONS(11505),
    [anon_sym_import] = ACTIONS(11505),
    [anon_sym_using] = ACTIONS(11505),
    [anon_sym_LBRACK] = ACTIONS(11505),
    [anon_sym_in] = ACTIONS(11505),
    [anon_sym_SEMI] = ACTIONS(11505),
    [anon_sym_LBRACE] = ACTIONS(11505),
    [anon_sym_DOLLAR] = ACTIONS(11505),
    [anon_sym_COLON2] = ACTIONS(11505),
    [anon_sym_COLON_COLON] = ACTIONS(11505),
    [anon_sym_isa] = ACTIONS(11505),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11505),
    [anon_sym_QMARK] = ACTIONS(11505),
    [anon_sym_where] = ACTIONS(11505),
    [anon_sym_AT] = ACTIONS(11505),
    [anon_sym_true] = ACTIONS(11505),
    [anon_sym_false] = ACTIONS(11505),
    [aux_sym_integer_literal_token1] = ACTIONS(11505),
    [aux_sym_integer_literal_token2] = ACTIONS(11505),
    [aux_sym_integer_literal_token3] = ACTIONS(11505),
    [aux_sym_integer_literal_token4] = ACTIONS(11505),
    [aux_sym_float_literal_token1] = ACTIONS(11505),
    [aux_sym_float_literal_token3] = ACTIONS(11505),
    [aux_sym_float_literal_token4] = ACTIONS(11505),
    [sym_character_literal] = ACTIONS(11505),
    [anon_sym_DQUOTE] = ACTIONS(11505),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11505),
    [anon_sym_BQUOTE] = ACTIONS(11505),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11505),
    [sym__pair_operator] = ACTIONS(11505),
    [sym__arrow_operator] = ACTIONS(11505),
    [sym__lazy_or_operator] = ACTIONS(11505),
    [sym__lazy_and_operator] = ACTIONS(11505),
    [sym__comparison_operator] = ACTIONS(11505),
    [sym__pipe_right_operator] = ACTIONS(11505),
    [sym__pipe_left_operator] = ACTIONS(11505),
    [sym__ellipsis_operator] = ACTIONS(11505),
    [sym__plus_operator] = ACTIONS(11505),
    [sym__times_operator] = ACTIONS(11505),
    [sym__rational_operator] = ACTIONS(11505),
    [sym__bitshift_operator] = ACTIONS(11505),
    [sym__power_operator] = ACTIONS(11505),
    [sym__tilde_operator] = ACTIONS(11505),
    [sym__type_order_operator] = ACTIONS(11505),
    [sym__unary_operator] = ACTIONS(11505),
    [sym__unary_plus_operator] = ACTIONS(11505),
    [aux_sym__terminator_token1] = ACTIONS(11507),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9395] = {
    [sym_block_comment] = STATE(9395),
    [sym_line_comment] = STATE(9395),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10415),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_as] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10415),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10415),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10415),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10415),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10415),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10415),
    [anon_sym_QMARK] = ACTIONS(10415),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10415),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10415),
    [aux_sym_integer_literal_token2] = ACTIONS(10415),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10415),
    [aux_sym_float_literal_token3] = ACTIONS(10415),
    [aux_sym_float_literal_token4] = ACTIONS(10415),
    [sym_character_literal] = ACTIONS(10415),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10415),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10415),
    [sym__pair_operator] = ACTIONS(10415),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10415),
    [sym__lazy_and_operator] = ACTIONS(10415),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10415),
    [sym__pipe_left_operator] = ACTIONS(10415),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10415),
    [sym__bitshift_operator] = ACTIONS(10415),
    [sym__power_operator] = ACTIONS(10415),
    [sym__tilde_operator] = ACTIONS(10415),
    [sym__type_order_operator] = ACTIONS(10415),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9396] = {
    [sym_block_comment] = STATE(9396),
    [sym_line_comment] = STATE(9396),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10986),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_end] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10986),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10986),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_LBRACE] = ACTIONS(10986),
    [anon_sym_DOT] = ACTIONS(12829),
    [anon_sym_DOLLAR] = ACTIONS(10986),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10986),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10986),
    [anon_sym_QMARK] = ACTIONS(10986),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10986),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10986),
    [aux_sym_integer_literal_token2] = ACTIONS(10986),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10986),
    [aux_sym_float_literal_token3] = ACTIONS(10986),
    [aux_sym_float_literal_token4] = ACTIONS(10986),
    [sym_character_literal] = ACTIONS(10986),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10986),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10986),
    [sym__pair_operator] = ACTIONS(10986),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10986),
    [sym__lazy_and_operator] = ACTIONS(10986),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10986),
    [sym__pipe_left_operator] = ACTIONS(10986),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10986),
    [sym__bitshift_operator] = ACTIONS(10986),
    [sym__power_operator] = ACTIONS(10986),
    [sym__tilde_operator] = ACTIONS(10986),
    [sym__type_order_operator] = ACTIONS(10986),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9397] = {
    [sym_block_comment] = STATE(9397),
    [sym_line_comment] = STATE(9397),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11040),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11040),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11040),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11040),
    [anon_sym_DOT] = ACTIONS(12829),
    [anon_sym_DOLLAR] = ACTIONS(11040),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11040),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11040),
    [anon_sym_QMARK] = ACTIONS(11040),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11040),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11040),
    [aux_sym_integer_literal_token2] = ACTIONS(11040),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11040),
    [aux_sym_float_literal_token3] = ACTIONS(11040),
    [aux_sym_float_literal_token4] = ACTIONS(11040),
    [sym_character_literal] = ACTIONS(11040),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11040),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11040),
    [sym__pair_operator] = ACTIONS(11040),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11040),
    [sym__lazy_and_operator] = ACTIONS(11040),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11040),
    [sym__pipe_left_operator] = ACTIONS(11040),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11040),
    [sym__bitshift_operator] = ACTIONS(11040),
    [sym__power_operator] = ACTIONS(11040),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9398] = {
    [sym_block_comment] = STATE(9398),
    [sym_line_comment] = STATE(9398),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10345),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_as] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10345),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10345),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10345),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10345),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10345),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10345),
    [anon_sym_QMARK] = ACTIONS(10345),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10345),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10345),
    [aux_sym_integer_literal_token2] = ACTIONS(10345),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10345),
    [aux_sym_float_literal_token3] = ACTIONS(10345),
    [aux_sym_float_literal_token4] = ACTIONS(10345),
    [sym_character_literal] = ACTIONS(10345),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10345),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10345),
    [sym__pair_operator] = ACTIONS(10345),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10345),
    [sym__lazy_and_operator] = ACTIONS(10345),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10345),
    [sym__pipe_left_operator] = ACTIONS(10345),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10345),
    [sym__bitshift_operator] = ACTIONS(10345),
    [sym__power_operator] = ACTIONS(10345),
    [sym__tilde_operator] = ACTIONS(10345),
    [sym__type_order_operator] = ACTIONS(10345),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9399] = {
    [sym_block_comment] = STATE(9399),
    [sym_line_comment] = STATE(9399),
    [sym__word_identifier] = ACTIONS(11386),
    [anon_sym_COMMA] = ACTIONS(11386),
    [anon_sym_EQ] = ACTIONS(11386),
    [anon_sym_begin] = ACTIONS(11386),
    [anon_sym_module] = ACTIONS(11386),
    [anon_sym_baremodule] = ACTIONS(11386),
    [anon_sym_end] = ACTIONS(11386),
    [anon_sym_abstract] = ACTIONS(11386),
    [anon_sym_primitive] = ACTIONS(11386),
    [anon_sym_mutable] = ACTIONS(11386),
    [anon_sym_struct] = ACTIONS(11386),
    [anon_sym_function] = ACTIONS(11386),
    [anon_sym_macro] = ACTIONS(11386),
    [anon_sym_quote] = ACTIONS(11386),
    [anon_sym_let] = ACTIONS(11386),
    [anon_sym_if] = ACTIONS(11386),
    [anon_sym_try] = ACTIONS(11386),
    [anon_sym_for] = ACTIONS(11386),
    [anon_sym_while] = ACTIONS(11386),
    [sym_break_statement] = ACTIONS(11386),
    [sym_continue_statement] = ACTIONS(11386),
    [anon_sym_return] = ACTIONS(11386),
    [anon_sym_const] = ACTIONS(11386),
    [anon_sym_global] = ACTIONS(11386),
    [anon_sym_local] = ACTIONS(11386),
    [anon_sym_LPAREN] = ACTIONS(11386),
    [anon_sym_COLON] = ACTIONS(11386),
    [anon_sym_export] = ACTIONS(11386),
    [anon_sym_public] = ACTIONS(11386),
    [anon_sym_import] = ACTIONS(11386),
    [anon_sym_using] = ACTIONS(11386),
    [anon_sym_LBRACK] = ACTIONS(11386),
    [anon_sym_in] = ACTIONS(11386),
    [anon_sym_SEMI] = ACTIONS(11386),
    [anon_sym_LBRACE] = ACTIONS(11386),
    [anon_sym_DOLLAR] = ACTIONS(11386),
    [anon_sym_COLON2] = ACTIONS(11386),
    [anon_sym_COLON_COLON] = ACTIONS(11386),
    [anon_sym_isa] = ACTIONS(11386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11386),
    [anon_sym_QMARK] = ACTIONS(11386),
    [anon_sym_where] = ACTIONS(11386),
    [anon_sym_AT] = ACTIONS(11386),
    [anon_sym_true] = ACTIONS(11386),
    [anon_sym_false] = ACTIONS(11386),
    [aux_sym_integer_literal_token1] = ACTIONS(11386),
    [aux_sym_integer_literal_token2] = ACTIONS(11386),
    [aux_sym_integer_literal_token3] = ACTIONS(11386),
    [aux_sym_integer_literal_token4] = ACTIONS(11386),
    [aux_sym_float_literal_token1] = ACTIONS(11386),
    [aux_sym_float_literal_token3] = ACTIONS(11386),
    [aux_sym_float_literal_token4] = ACTIONS(11386),
    [sym_character_literal] = ACTIONS(11386),
    [anon_sym_DQUOTE] = ACTIONS(11386),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11386),
    [anon_sym_BQUOTE] = ACTIONS(11386),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11386),
    [sym__pair_operator] = ACTIONS(11386),
    [sym__arrow_operator] = ACTIONS(11386),
    [sym__lazy_or_operator] = ACTIONS(11386),
    [sym__lazy_and_operator] = ACTIONS(11386),
    [sym__comparison_operator] = ACTIONS(11386),
    [sym__pipe_right_operator] = ACTIONS(11386),
    [sym__pipe_left_operator] = ACTIONS(11386),
    [sym__ellipsis_operator] = ACTIONS(11386),
    [sym__plus_operator] = ACTIONS(11386),
    [sym__times_operator] = ACTIONS(11386),
    [sym__rational_operator] = ACTIONS(11386),
    [sym__bitshift_operator] = ACTIONS(11386),
    [sym__power_operator] = ACTIONS(11386),
    [sym__tilde_operator] = ACTIONS(11386),
    [sym__type_order_operator] = ACTIONS(11386),
    [sym__unary_operator] = ACTIONS(11386),
    [sym__unary_plus_operator] = ACTIONS(11386),
    [aux_sym__terminator_token1] = ACTIONS(11388),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9400] = {
    [sym__primary_expression] = STATE(11956),
    [sym__array] = STATE(10654),
    [sym_comprehension_expression] = STATE(10689),
    [sym_matrix_expression] = STATE(10689),
    [sym_vector_expression] = STATE(10689),
    [sym_parenthesized_expression] = STATE(10654),
    [sym_tuple_expression] = STATE(10654),
    [sym_curly_expression] = STATE(10654),
    [sym_adjoint_expression] = STATE(10654),
    [sym_field_expression] = STATE(10654),
    [sym_index_expression] = STATE(10654),
    [sym_parametrized_type_expression] = STATE(10654),
    [sym_call_expression] = STATE(10654),
    [sym_broadcast_call_expression] = STATE(10654),
    [sym__closed_macrocall_expression] = STATE(10654),
    [sym_interpolation_expression] = STATE(10654),
    [sym_quote_expression] = STATE(10654),
    [sym_macro_identifier] = STATE(17588),
    [sym_identifier] = STATE(11313),
    [sym_boolean_literal] = STATE(10654),
    [sym__string] = STATE(10654),
    [sym__delimiter_str_1] = STATE(15341),
    [sym__delimiter_str_3] = STATE(15342),
    [sym__delimiter_cmd_1] = STATE(15343),
    [sym__delimiter_cmd_3] = STATE(15344),
    [sym_string_literal] = STATE(10680),
    [sym_command_literal] = STATE(10680),
    [sym_prefixed_string_literal] = STATE(10680),
    [sym_prefixed_command_literal] = STATE(10680),
    [sym_operator] = STATE(19440),
    [sym_block_comment] = STATE(9400),
    [sym_line_comment] = STATE(9400),
    [sym__word_identifier] = ACTIONS(10105),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(10107),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(10109),
    [anon_sym_RBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(10111),
    [anon_sym_DOLLAR] = ACTIONS(12831),
    [anon_sym_COLON2] = ACTIONS(10513),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(10117),
    [anon_sym_true] = ACTIONS(10119),
    [anon_sym_false] = ACTIONS(10119),
    [sym_character_literal] = ACTIONS(10121),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(9614),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9614),
    [sym__pipe_left_operator] = ACTIONS(9614),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9614),
    [sym__bitshift_operator] = ACTIONS(9614),
    [sym__power_operator] = ACTIONS(9614),
    [sym__tilde_operator] = ACTIONS(1687),
    [sym__type_order_operator] = ACTIONS(9614),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9401] = {
    [sym_block_comment] = STATE(9401),
    [sym_line_comment] = STATE(9401),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10019),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9402] = {
    [sym_block_comment] = STATE(9402),
    [sym_line_comment] = STATE(9402),
    [sym__word_identifier] = ACTIONS(11509),
    [anon_sym_COMMA] = ACTIONS(11509),
    [anon_sym_EQ] = ACTIONS(11509),
    [anon_sym_begin] = ACTIONS(11509),
    [anon_sym_module] = ACTIONS(11509),
    [anon_sym_baremodule] = ACTIONS(11509),
    [anon_sym_end] = ACTIONS(11509),
    [anon_sym_abstract] = ACTIONS(11509),
    [anon_sym_primitive] = ACTIONS(11509),
    [anon_sym_mutable] = ACTIONS(11509),
    [anon_sym_struct] = ACTIONS(11509),
    [anon_sym_function] = ACTIONS(11509),
    [anon_sym_macro] = ACTIONS(11509),
    [anon_sym_quote] = ACTIONS(11509),
    [anon_sym_let] = ACTIONS(11509),
    [anon_sym_if] = ACTIONS(11509),
    [anon_sym_try] = ACTIONS(11509),
    [anon_sym_for] = ACTIONS(11509),
    [anon_sym_while] = ACTIONS(11509),
    [sym_break_statement] = ACTIONS(11509),
    [sym_continue_statement] = ACTIONS(11509),
    [anon_sym_return] = ACTIONS(11509),
    [anon_sym_const] = ACTIONS(11509),
    [anon_sym_global] = ACTIONS(11509),
    [anon_sym_local] = ACTIONS(11509),
    [anon_sym_LPAREN] = ACTIONS(11509),
    [anon_sym_COLON] = ACTIONS(11509),
    [anon_sym_export] = ACTIONS(11509),
    [anon_sym_public] = ACTIONS(11509),
    [anon_sym_import] = ACTIONS(11509),
    [anon_sym_using] = ACTIONS(11509),
    [anon_sym_LBRACK] = ACTIONS(11509),
    [anon_sym_in] = ACTIONS(11509),
    [anon_sym_SEMI] = ACTIONS(11509),
    [anon_sym_LBRACE] = ACTIONS(11509),
    [anon_sym_DOLLAR] = ACTIONS(11509),
    [anon_sym_COLON2] = ACTIONS(11509),
    [anon_sym_COLON_COLON] = ACTIONS(11509),
    [anon_sym_isa] = ACTIONS(11509),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11509),
    [anon_sym_QMARK] = ACTIONS(11509),
    [anon_sym_where] = ACTIONS(11509),
    [anon_sym_AT] = ACTIONS(11509),
    [anon_sym_true] = ACTIONS(11509),
    [anon_sym_false] = ACTIONS(11509),
    [aux_sym_integer_literal_token1] = ACTIONS(11509),
    [aux_sym_integer_literal_token2] = ACTIONS(11509),
    [aux_sym_integer_literal_token3] = ACTIONS(11509),
    [aux_sym_integer_literal_token4] = ACTIONS(11509),
    [aux_sym_float_literal_token1] = ACTIONS(11509),
    [aux_sym_float_literal_token3] = ACTIONS(11509),
    [aux_sym_float_literal_token4] = ACTIONS(11509),
    [sym_character_literal] = ACTIONS(11509),
    [anon_sym_DQUOTE] = ACTIONS(11509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11509),
    [anon_sym_BQUOTE] = ACTIONS(11509),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11509),
    [sym__pair_operator] = ACTIONS(11509),
    [sym__arrow_operator] = ACTIONS(11509),
    [sym__lazy_or_operator] = ACTIONS(11509),
    [sym__lazy_and_operator] = ACTIONS(11509),
    [sym__comparison_operator] = ACTIONS(11509),
    [sym__pipe_right_operator] = ACTIONS(11509),
    [sym__pipe_left_operator] = ACTIONS(11509),
    [sym__ellipsis_operator] = ACTIONS(11509),
    [sym__plus_operator] = ACTIONS(11509),
    [sym__times_operator] = ACTIONS(11509),
    [sym__rational_operator] = ACTIONS(11509),
    [sym__bitshift_operator] = ACTIONS(11509),
    [sym__power_operator] = ACTIONS(11509),
    [sym__tilde_operator] = ACTIONS(11509),
    [sym__type_order_operator] = ACTIONS(11509),
    [sym__unary_operator] = ACTIONS(11509),
    [sym__unary_plus_operator] = ACTIONS(11509),
    [aux_sym__terminator_token1] = ACTIONS(11511),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9403] = {
    [sym_block_comment] = STATE(9403),
    [sym_line_comment] = STATE(9403),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11310),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11310),
    [anon_sym_RPAREN] = ACTIONS(11310),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11310),
    [anon_sym_RBRACK] = ACTIONS(11310),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11310),
    [anon_sym_LBRACE] = ACTIONS(11310),
    [anon_sym_RBRACE] = ACTIONS(11310),
    [anon_sym_DOLLAR] = ACTIONS(11310),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11310),
    [anon_sym_QMARK] = ACTIONS(11310),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11310),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11310),
    [aux_sym_integer_literal_token2] = ACTIONS(11310),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11310),
    [aux_sym_float_literal_token3] = ACTIONS(11310),
    [aux_sym_float_literal_token4] = ACTIONS(11310),
    [sym_character_literal] = ACTIONS(11310),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11310),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11310),
    [sym__pair_operator] = ACTIONS(11310),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11310),
    [sym__lazy_and_operator] = ACTIONS(11310),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11310),
    [sym__pipe_left_operator] = ACTIONS(11310),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11310),
    [sym__bitshift_operator] = ACTIONS(11310),
    [sym__power_operator] = ACTIONS(12749),
    [sym__tilde_operator] = ACTIONS(11310),
    [sym__type_order_operator] = ACTIONS(11310),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9404] = {
    [sym_block_comment] = STATE(9404),
    [sym_line_comment] = STATE(9404),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_end] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_finally] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(12685),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(12687),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12687),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12528),
    [anon_sym_where] = ACTIONS(12689),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(12709),
    [sym__arrow_operator] = ACTIONS(12711),
    [sym__lazy_or_operator] = ACTIONS(12713),
    [sym__lazy_and_operator] = ACTIONS(12715),
    [sym__comparison_operator] = ACTIONS(12687),
    [sym__pipe_right_operator] = ACTIONS(12691),
    [sym__pipe_left_operator] = ACTIONS(12693),
    [sym__ellipsis_operator] = ACTIONS(12695),
    [sym__plus_operator] = ACTIONS(12697),
    [sym__times_operator] = ACTIONS(12699),
    [sym__rational_operator] = ACTIONS(12701),
    [sym__bitshift_operator] = ACTIONS(12703),
    [sym__power_operator] = ACTIONS(12705),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(12687),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12697),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9405] = {
    [sym_block_comment] = STATE(9405),
    [sym_line_comment] = STATE(9405),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_elseif] = ACTIONS(11704),
    [anon_sym_else] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(12653),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(12655),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(12655),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1103),
    [anon_sym_QMARK] = ACTIONS(1105),
    [anon_sym_where] = ACTIONS(12659),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(12661),
    [sym__arrow_operator] = ACTIONS(12663),
    [sym__lazy_or_operator] = ACTIONS(12665),
    [sym__lazy_and_operator] = ACTIONS(12667),
    [sym__comparison_operator] = ACTIONS(12655),
    [sym__pipe_right_operator] = ACTIONS(12669),
    [sym__pipe_left_operator] = ACTIONS(12671),
    [sym__ellipsis_operator] = ACTIONS(12673),
    [sym__plus_operator] = ACTIONS(12675),
    [sym__times_operator] = ACTIONS(12677),
    [sym__rational_operator] = ACTIONS(12679),
    [sym__bitshift_operator] = ACTIONS(12681),
    [sym__power_operator] = ACTIONS(12683),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(12655),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12675),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9406] = {
    [sym_block_comment] = STATE(9406),
    [sym_line_comment] = STATE(9406),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10357),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_as] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10357),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10357),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10357),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10357),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10357),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10357),
    [anon_sym_QMARK] = ACTIONS(10357),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10357),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10357),
    [aux_sym_integer_literal_token2] = ACTIONS(10357),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10357),
    [aux_sym_float_literal_token3] = ACTIONS(10357),
    [aux_sym_float_literal_token4] = ACTIONS(10357),
    [sym_character_literal] = ACTIONS(10357),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10357),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10357),
    [sym__pair_operator] = ACTIONS(10357),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10357),
    [sym__lazy_and_operator] = ACTIONS(10357),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10357),
    [sym__pipe_left_operator] = ACTIONS(10357),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10357),
    [sym__bitshift_operator] = ACTIONS(10357),
    [sym__power_operator] = ACTIONS(10357),
    [sym__tilde_operator] = ACTIONS(10357),
    [sym__type_order_operator] = ACTIONS(10357),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9407] = {
    [sym_block_comment] = STATE(9407),
    [sym_line_comment] = STATE(9407),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10365),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_as] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10365),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10365),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10365),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10365),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10365),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10365),
    [anon_sym_QMARK] = ACTIONS(10365),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10365),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10365),
    [aux_sym_integer_literal_token2] = ACTIONS(10365),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10365),
    [aux_sym_float_literal_token3] = ACTIONS(10365),
    [aux_sym_float_literal_token4] = ACTIONS(10365),
    [sym_character_literal] = ACTIONS(10365),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10365),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10365),
    [sym__pair_operator] = ACTIONS(10365),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10365),
    [sym__lazy_and_operator] = ACTIONS(10365),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10365),
    [sym__pipe_left_operator] = ACTIONS(10365),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10365),
    [sym__bitshift_operator] = ACTIONS(10365),
    [sym__power_operator] = ACTIONS(10365),
    [sym__tilde_operator] = ACTIONS(10365),
    [sym__type_order_operator] = ACTIONS(10365),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9408] = {
    [sym_block_comment] = STATE(9408),
    [sym_line_comment] = STATE(9408),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_finally] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12528),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9409] = {
    [sym_block_comment] = STATE(9409),
    [sym_line_comment] = STATE(9409),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10377),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_as] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10377),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10377),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10377),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10377),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10377),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10377),
    [anon_sym_QMARK] = ACTIONS(10377),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10377),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10377),
    [aux_sym_integer_literal_token2] = ACTIONS(10377),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10377),
    [aux_sym_float_literal_token3] = ACTIONS(10377),
    [aux_sym_float_literal_token4] = ACTIONS(10377),
    [sym_character_literal] = ACTIONS(10377),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10377),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10377),
    [sym__pair_operator] = ACTIONS(10377),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10377),
    [sym__lazy_and_operator] = ACTIONS(10377),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10377),
    [sym__pipe_left_operator] = ACTIONS(10377),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10377),
    [sym__bitshift_operator] = ACTIONS(10377),
    [sym__power_operator] = ACTIONS(10377),
    [sym__tilde_operator] = ACTIONS(10377),
    [sym__type_order_operator] = ACTIONS(10377),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9410] = {
    [sym_block_comment] = STATE(9410),
    [sym_line_comment] = STATE(9410),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10405),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_as] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10405),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10405),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10405),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10405),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10405),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10405),
    [anon_sym_QMARK] = ACTIONS(10405),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10405),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10405),
    [aux_sym_integer_literal_token2] = ACTIONS(10405),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10405),
    [aux_sym_float_literal_token3] = ACTIONS(10405),
    [aux_sym_float_literal_token4] = ACTIONS(10405),
    [sym_character_literal] = ACTIONS(10405),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10405),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10405),
    [sym__pair_operator] = ACTIONS(10405),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10405),
    [sym__lazy_and_operator] = ACTIONS(10405),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10405),
    [sym__pipe_left_operator] = ACTIONS(10405),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10405),
    [sym__bitshift_operator] = ACTIONS(10405),
    [sym__power_operator] = ACTIONS(10405),
    [sym__tilde_operator] = ACTIONS(10405),
    [sym__type_order_operator] = ACTIONS(10405),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9411] = {
    [sym_block_comment] = STATE(9411),
    [sym_line_comment] = STATE(9411),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11788),
    [anon_sym_EQ] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_end] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9412] = {
    [sym_block_comment] = STATE(9412),
    [sym_line_comment] = STATE(9412),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10231),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_as] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10231),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10231),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10231),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10231),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10231),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10231),
    [anon_sym_QMARK] = ACTIONS(10231),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10231),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10231),
    [aux_sym_integer_literal_token2] = ACTIONS(10231),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10231),
    [aux_sym_float_literal_token3] = ACTIONS(10231),
    [aux_sym_float_literal_token4] = ACTIONS(10231),
    [sym_character_literal] = ACTIONS(10231),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10231),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10231),
    [sym__pair_operator] = ACTIONS(10231),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10231),
    [sym__lazy_and_operator] = ACTIONS(10231),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10231),
    [sym__pipe_left_operator] = ACTIONS(10231),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10231),
    [sym__bitshift_operator] = ACTIONS(10231),
    [sym__power_operator] = ACTIONS(10231),
    [sym__tilde_operator] = ACTIONS(10231),
    [sym__type_order_operator] = ACTIONS(10231),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9413] = {
    [sym_block_comment] = STATE(9413),
    [sym_line_comment] = STATE(9413),
    [sym__word_identifier] = ACTIONS(11390),
    [anon_sym_COMMA] = ACTIONS(11390),
    [anon_sym_EQ] = ACTIONS(11390),
    [anon_sym_begin] = ACTIONS(11390),
    [anon_sym_module] = ACTIONS(11390),
    [anon_sym_baremodule] = ACTIONS(11390),
    [anon_sym_end] = ACTIONS(11390),
    [anon_sym_abstract] = ACTIONS(11390),
    [anon_sym_primitive] = ACTIONS(11390),
    [anon_sym_mutable] = ACTIONS(11390),
    [anon_sym_struct] = ACTIONS(11390),
    [anon_sym_function] = ACTIONS(11390),
    [anon_sym_macro] = ACTIONS(11390),
    [anon_sym_quote] = ACTIONS(11390),
    [anon_sym_let] = ACTIONS(11390),
    [anon_sym_if] = ACTIONS(11390),
    [anon_sym_try] = ACTIONS(11390),
    [anon_sym_for] = ACTIONS(11390),
    [anon_sym_while] = ACTIONS(11390),
    [sym_break_statement] = ACTIONS(11390),
    [sym_continue_statement] = ACTIONS(11390),
    [anon_sym_return] = ACTIONS(11390),
    [anon_sym_const] = ACTIONS(11390),
    [anon_sym_global] = ACTIONS(11390),
    [anon_sym_local] = ACTIONS(11390),
    [anon_sym_LPAREN] = ACTIONS(11390),
    [anon_sym_COLON] = ACTIONS(11390),
    [anon_sym_export] = ACTIONS(11390),
    [anon_sym_public] = ACTIONS(11390),
    [anon_sym_import] = ACTIONS(11390),
    [anon_sym_using] = ACTIONS(11390),
    [anon_sym_LBRACK] = ACTIONS(11390),
    [anon_sym_in] = ACTIONS(11390),
    [anon_sym_SEMI] = ACTIONS(11390),
    [anon_sym_LBRACE] = ACTIONS(11390),
    [anon_sym_DOLLAR] = ACTIONS(11390),
    [anon_sym_COLON2] = ACTIONS(11390),
    [anon_sym_COLON_COLON] = ACTIONS(11390),
    [anon_sym_isa] = ACTIONS(11390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11390),
    [anon_sym_QMARK] = ACTIONS(11390),
    [anon_sym_where] = ACTIONS(11390),
    [anon_sym_AT] = ACTIONS(11390),
    [anon_sym_true] = ACTIONS(11390),
    [anon_sym_false] = ACTIONS(11390),
    [aux_sym_integer_literal_token1] = ACTIONS(11390),
    [aux_sym_integer_literal_token2] = ACTIONS(11390),
    [aux_sym_integer_literal_token3] = ACTIONS(11390),
    [aux_sym_integer_literal_token4] = ACTIONS(11390),
    [aux_sym_float_literal_token1] = ACTIONS(11390),
    [aux_sym_float_literal_token3] = ACTIONS(11390),
    [aux_sym_float_literal_token4] = ACTIONS(11390),
    [sym_character_literal] = ACTIONS(11390),
    [anon_sym_DQUOTE] = ACTIONS(11390),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11390),
    [anon_sym_BQUOTE] = ACTIONS(11390),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11390),
    [sym__pair_operator] = ACTIONS(11390),
    [sym__arrow_operator] = ACTIONS(11390),
    [sym__lazy_or_operator] = ACTIONS(11390),
    [sym__lazy_and_operator] = ACTIONS(11390),
    [sym__comparison_operator] = ACTIONS(11390),
    [sym__pipe_right_operator] = ACTIONS(11390),
    [sym__pipe_left_operator] = ACTIONS(11390),
    [sym__ellipsis_operator] = ACTIONS(11390),
    [sym__plus_operator] = ACTIONS(11390),
    [sym__times_operator] = ACTIONS(11390),
    [sym__rational_operator] = ACTIONS(11390),
    [sym__bitshift_operator] = ACTIONS(11390),
    [sym__power_operator] = ACTIONS(11390),
    [sym__tilde_operator] = ACTIONS(11390),
    [sym__type_order_operator] = ACTIONS(11390),
    [sym__unary_operator] = ACTIONS(11390),
    [sym__unary_plus_operator] = ACTIONS(11390),
    [aux_sym__terminator_token1] = ACTIONS(11392),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9414] = {
    [sym_block_comment] = STATE(9414),
    [sym_line_comment] = STATE(9414),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_elseif] = ACTIONS(11308),
    [anon_sym_else] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12731),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9415] = {
    [sym_block_comment] = STATE(9415),
    [sym_line_comment] = STATE(9415),
    [sym__word_identifier] = ACTIONS(11513),
    [anon_sym_COMMA] = ACTIONS(11513),
    [anon_sym_EQ] = ACTIONS(11513),
    [anon_sym_begin] = ACTIONS(11513),
    [anon_sym_module] = ACTIONS(11513),
    [anon_sym_baremodule] = ACTIONS(11513),
    [anon_sym_end] = ACTIONS(11513),
    [anon_sym_abstract] = ACTIONS(11513),
    [anon_sym_primitive] = ACTIONS(11513),
    [anon_sym_mutable] = ACTIONS(11513),
    [anon_sym_struct] = ACTIONS(11513),
    [anon_sym_function] = ACTIONS(11513),
    [anon_sym_macro] = ACTIONS(11513),
    [anon_sym_quote] = ACTIONS(11513),
    [anon_sym_let] = ACTIONS(11513),
    [anon_sym_if] = ACTIONS(11513),
    [anon_sym_try] = ACTIONS(11513),
    [anon_sym_for] = ACTIONS(11513),
    [anon_sym_while] = ACTIONS(11513),
    [sym_break_statement] = ACTIONS(11513),
    [sym_continue_statement] = ACTIONS(11513),
    [anon_sym_return] = ACTIONS(11513),
    [anon_sym_const] = ACTIONS(11513),
    [anon_sym_global] = ACTIONS(11513),
    [anon_sym_local] = ACTIONS(11513),
    [anon_sym_LPAREN] = ACTIONS(11513),
    [anon_sym_COLON] = ACTIONS(11513),
    [anon_sym_export] = ACTIONS(11513),
    [anon_sym_public] = ACTIONS(11513),
    [anon_sym_import] = ACTIONS(11513),
    [anon_sym_using] = ACTIONS(11513),
    [anon_sym_LBRACK] = ACTIONS(11513),
    [anon_sym_in] = ACTIONS(11513),
    [anon_sym_SEMI] = ACTIONS(11513),
    [anon_sym_LBRACE] = ACTIONS(11513),
    [anon_sym_DOLLAR] = ACTIONS(11513),
    [anon_sym_COLON2] = ACTIONS(11513),
    [anon_sym_COLON_COLON] = ACTIONS(11513),
    [anon_sym_isa] = ACTIONS(11513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11513),
    [anon_sym_QMARK] = ACTIONS(11513),
    [anon_sym_where] = ACTIONS(11513),
    [anon_sym_AT] = ACTIONS(11513),
    [anon_sym_true] = ACTIONS(11513),
    [anon_sym_false] = ACTIONS(11513),
    [aux_sym_integer_literal_token1] = ACTIONS(11513),
    [aux_sym_integer_literal_token2] = ACTIONS(11513),
    [aux_sym_integer_literal_token3] = ACTIONS(11513),
    [aux_sym_integer_literal_token4] = ACTIONS(11513),
    [aux_sym_float_literal_token1] = ACTIONS(11513),
    [aux_sym_float_literal_token3] = ACTIONS(11513),
    [aux_sym_float_literal_token4] = ACTIONS(11513),
    [sym_character_literal] = ACTIONS(11513),
    [anon_sym_DQUOTE] = ACTIONS(11513),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11513),
    [anon_sym_BQUOTE] = ACTIONS(11513),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11513),
    [sym__pair_operator] = ACTIONS(11513),
    [sym__arrow_operator] = ACTIONS(11513),
    [sym__lazy_or_operator] = ACTIONS(11513),
    [sym__lazy_and_operator] = ACTIONS(11513),
    [sym__comparison_operator] = ACTIONS(11513),
    [sym__pipe_right_operator] = ACTIONS(11513),
    [sym__pipe_left_operator] = ACTIONS(11513),
    [sym__ellipsis_operator] = ACTIONS(11513),
    [sym__plus_operator] = ACTIONS(11513),
    [sym__times_operator] = ACTIONS(11513),
    [sym__rational_operator] = ACTIONS(11513),
    [sym__bitshift_operator] = ACTIONS(11513),
    [sym__power_operator] = ACTIONS(11513),
    [sym__tilde_operator] = ACTIONS(11513),
    [sym__type_order_operator] = ACTIONS(11513),
    [sym__unary_operator] = ACTIONS(11513),
    [sym__unary_plus_operator] = ACTIONS(11513),
    [aux_sym__terminator_token1] = ACTIONS(11515),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9416] = {
    [sym_block_comment] = STATE(9416),
    [sym_line_comment] = STATE(9416),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_catch] = ACTIONS(11308),
    [anon_sym_finally] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12793),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9417] = {
    [sym_block_comment] = STATE(9417),
    [sym_line_comment] = STATE(9417),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10243),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9418] = {
    [sym_block_comment] = STATE(9418),
    [sym_line_comment] = STATE(9418),
    [sym__word_identifier] = ACTIONS(11517),
    [anon_sym_COMMA] = ACTIONS(11517),
    [anon_sym_EQ] = ACTIONS(11517),
    [anon_sym_begin] = ACTIONS(11517),
    [anon_sym_module] = ACTIONS(11517),
    [anon_sym_baremodule] = ACTIONS(11517),
    [anon_sym_end] = ACTIONS(11517),
    [anon_sym_abstract] = ACTIONS(11517),
    [anon_sym_primitive] = ACTIONS(11517),
    [anon_sym_mutable] = ACTIONS(11517),
    [anon_sym_struct] = ACTIONS(11517),
    [anon_sym_function] = ACTIONS(11517),
    [anon_sym_macro] = ACTIONS(11517),
    [anon_sym_quote] = ACTIONS(11517),
    [anon_sym_let] = ACTIONS(11517),
    [anon_sym_if] = ACTIONS(11517),
    [anon_sym_try] = ACTIONS(11517),
    [anon_sym_for] = ACTIONS(11517),
    [anon_sym_while] = ACTIONS(11517),
    [sym_break_statement] = ACTIONS(11517),
    [sym_continue_statement] = ACTIONS(11517),
    [anon_sym_return] = ACTIONS(11517),
    [anon_sym_const] = ACTIONS(11517),
    [anon_sym_global] = ACTIONS(11517),
    [anon_sym_local] = ACTIONS(11517),
    [anon_sym_LPAREN] = ACTIONS(11517),
    [anon_sym_COLON] = ACTIONS(11517),
    [anon_sym_export] = ACTIONS(11517),
    [anon_sym_public] = ACTIONS(11517),
    [anon_sym_import] = ACTIONS(11517),
    [anon_sym_using] = ACTIONS(11517),
    [anon_sym_LBRACK] = ACTIONS(11517),
    [anon_sym_in] = ACTIONS(11517),
    [anon_sym_SEMI] = ACTIONS(11517),
    [anon_sym_LBRACE] = ACTIONS(11517),
    [anon_sym_DOLLAR] = ACTIONS(11517),
    [anon_sym_COLON2] = ACTIONS(11517),
    [anon_sym_COLON_COLON] = ACTIONS(11517),
    [anon_sym_isa] = ACTIONS(11517),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11517),
    [anon_sym_QMARK] = ACTIONS(11517),
    [anon_sym_where] = ACTIONS(11517),
    [anon_sym_AT] = ACTIONS(11517),
    [anon_sym_true] = ACTIONS(11517),
    [anon_sym_false] = ACTIONS(11517),
    [aux_sym_integer_literal_token1] = ACTIONS(11517),
    [aux_sym_integer_literal_token2] = ACTIONS(11517),
    [aux_sym_integer_literal_token3] = ACTIONS(11517),
    [aux_sym_integer_literal_token4] = ACTIONS(11517),
    [aux_sym_float_literal_token1] = ACTIONS(11517),
    [aux_sym_float_literal_token3] = ACTIONS(11517),
    [aux_sym_float_literal_token4] = ACTIONS(11517),
    [sym_character_literal] = ACTIONS(11517),
    [anon_sym_DQUOTE] = ACTIONS(11517),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11517),
    [anon_sym_BQUOTE] = ACTIONS(11517),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11517),
    [sym__pair_operator] = ACTIONS(11517),
    [sym__arrow_operator] = ACTIONS(11517),
    [sym__lazy_or_operator] = ACTIONS(11517),
    [sym__lazy_and_operator] = ACTIONS(11517),
    [sym__comparison_operator] = ACTIONS(11517),
    [sym__pipe_right_operator] = ACTIONS(11517),
    [sym__pipe_left_operator] = ACTIONS(11517),
    [sym__ellipsis_operator] = ACTIONS(11517),
    [sym__plus_operator] = ACTIONS(11517),
    [sym__times_operator] = ACTIONS(11517),
    [sym__rational_operator] = ACTIONS(11517),
    [sym__bitshift_operator] = ACTIONS(11517),
    [sym__power_operator] = ACTIONS(11517),
    [sym__tilde_operator] = ACTIONS(11517),
    [sym__type_order_operator] = ACTIONS(11517),
    [sym__unary_operator] = ACTIONS(11517),
    [sym__unary_plus_operator] = ACTIONS(11517),
    [aux_sym__terminator_token1] = ACTIONS(11519),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9419] = {
    [sym_block_comment] = STATE(9419),
    [sym_line_comment] = STATE(9419),
    [sym__word_identifier] = ACTIONS(11521),
    [anon_sym_COMMA] = ACTIONS(11521),
    [anon_sym_EQ] = ACTIONS(11521),
    [anon_sym_begin] = ACTIONS(11521),
    [anon_sym_module] = ACTIONS(11521),
    [anon_sym_baremodule] = ACTIONS(11521),
    [anon_sym_end] = ACTIONS(11521),
    [anon_sym_abstract] = ACTIONS(11521),
    [anon_sym_primitive] = ACTIONS(11521),
    [anon_sym_mutable] = ACTIONS(11521),
    [anon_sym_struct] = ACTIONS(11521),
    [anon_sym_function] = ACTIONS(11521),
    [anon_sym_macro] = ACTIONS(11521),
    [anon_sym_quote] = ACTIONS(11521),
    [anon_sym_let] = ACTIONS(11521),
    [anon_sym_if] = ACTIONS(11521),
    [anon_sym_try] = ACTIONS(11521),
    [anon_sym_for] = ACTIONS(11521),
    [anon_sym_while] = ACTIONS(11521),
    [sym_break_statement] = ACTIONS(11521),
    [sym_continue_statement] = ACTIONS(11521),
    [anon_sym_return] = ACTIONS(11521),
    [anon_sym_const] = ACTIONS(11521),
    [anon_sym_global] = ACTIONS(11521),
    [anon_sym_local] = ACTIONS(11521),
    [anon_sym_LPAREN] = ACTIONS(11521),
    [anon_sym_COLON] = ACTIONS(11521),
    [anon_sym_export] = ACTIONS(11521),
    [anon_sym_public] = ACTIONS(11521),
    [anon_sym_import] = ACTIONS(11521),
    [anon_sym_using] = ACTIONS(11521),
    [anon_sym_LBRACK] = ACTIONS(11521),
    [anon_sym_in] = ACTIONS(11521),
    [anon_sym_SEMI] = ACTIONS(11521),
    [anon_sym_LBRACE] = ACTIONS(11521),
    [anon_sym_DOLLAR] = ACTIONS(11521),
    [anon_sym_COLON2] = ACTIONS(11521),
    [anon_sym_COLON_COLON] = ACTIONS(11521),
    [anon_sym_isa] = ACTIONS(11521),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11521),
    [anon_sym_QMARK] = ACTIONS(11521),
    [anon_sym_where] = ACTIONS(11521),
    [anon_sym_AT] = ACTIONS(11521),
    [anon_sym_true] = ACTIONS(11521),
    [anon_sym_false] = ACTIONS(11521),
    [aux_sym_integer_literal_token1] = ACTIONS(11521),
    [aux_sym_integer_literal_token2] = ACTIONS(11521),
    [aux_sym_integer_literal_token3] = ACTIONS(11521),
    [aux_sym_integer_literal_token4] = ACTIONS(11521),
    [aux_sym_float_literal_token1] = ACTIONS(11521),
    [aux_sym_float_literal_token3] = ACTIONS(11521),
    [aux_sym_float_literal_token4] = ACTIONS(11521),
    [sym_character_literal] = ACTIONS(11521),
    [anon_sym_DQUOTE] = ACTIONS(11521),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11521),
    [anon_sym_BQUOTE] = ACTIONS(11521),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11521),
    [sym__pair_operator] = ACTIONS(11521),
    [sym__arrow_operator] = ACTIONS(11521),
    [sym__lazy_or_operator] = ACTIONS(11521),
    [sym__lazy_and_operator] = ACTIONS(11521),
    [sym__comparison_operator] = ACTIONS(11521),
    [sym__pipe_right_operator] = ACTIONS(11521),
    [sym__pipe_left_operator] = ACTIONS(11521),
    [sym__ellipsis_operator] = ACTIONS(11521),
    [sym__plus_operator] = ACTIONS(11521),
    [sym__times_operator] = ACTIONS(11521),
    [sym__rational_operator] = ACTIONS(11521),
    [sym__bitshift_operator] = ACTIONS(11521),
    [sym__power_operator] = ACTIONS(11521),
    [sym__tilde_operator] = ACTIONS(11521),
    [sym__type_order_operator] = ACTIONS(11521),
    [sym__unary_operator] = ACTIONS(11521),
    [sym__unary_plus_operator] = ACTIONS(11521),
    [aux_sym__terminator_token1] = ACTIONS(11523),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9420] = {
    [sym_block_comment] = STATE(9420),
    [sym_line_comment] = STATE(9420),
    [sym__word_identifier] = ACTIONS(11525),
    [anon_sym_COMMA] = ACTIONS(11525),
    [anon_sym_EQ] = ACTIONS(11525),
    [anon_sym_begin] = ACTIONS(11525),
    [anon_sym_module] = ACTIONS(11525),
    [anon_sym_baremodule] = ACTIONS(11525),
    [anon_sym_end] = ACTIONS(11525),
    [anon_sym_abstract] = ACTIONS(11525),
    [anon_sym_primitive] = ACTIONS(11525),
    [anon_sym_mutable] = ACTIONS(11525),
    [anon_sym_struct] = ACTIONS(11525),
    [anon_sym_function] = ACTIONS(11525),
    [anon_sym_macro] = ACTIONS(11525),
    [anon_sym_quote] = ACTIONS(11525),
    [anon_sym_let] = ACTIONS(11525),
    [anon_sym_if] = ACTIONS(11525),
    [anon_sym_try] = ACTIONS(11525),
    [anon_sym_for] = ACTIONS(11525),
    [anon_sym_while] = ACTIONS(11525),
    [sym_break_statement] = ACTIONS(11525),
    [sym_continue_statement] = ACTIONS(11525),
    [anon_sym_return] = ACTIONS(11525),
    [anon_sym_const] = ACTIONS(11525),
    [anon_sym_global] = ACTIONS(11525),
    [anon_sym_local] = ACTIONS(11525),
    [anon_sym_LPAREN] = ACTIONS(11525),
    [anon_sym_COLON] = ACTIONS(11525),
    [anon_sym_export] = ACTIONS(11525),
    [anon_sym_public] = ACTIONS(11525),
    [anon_sym_import] = ACTIONS(11525),
    [anon_sym_using] = ACTIONS(11525),
    [anon_sym_LBRACK] = ACTIONS(11525),
    [anon_sym_in] = ACTIONS(11525),
    [anon_sym_SEMI] = ACTIONS(11525),
    [anon_sym_LBRACE] = ACTIONS(11525),
    [anon_sym_DOLLAR] = ACTIONS(11525),
    [anon_sym_COLON2] = ACTIONS(11525),
    [anon_sym_COLON_COLON] = ACTIONS(11525),
    [anon_sym_isa] = ACTIONS(11525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11525),
    [anon_sym_QMARK] = ACTIONS(11525),
    [anon_sym_where] = ACTIONS(11525),
    [anon_sym_AT] = ACTIONS(11525),
    [anon_sym_true] = ACTIONS(11525),
    [anon_sym_false] = ACTIONS(11525),
    [aux_sym_integer_literal_token1] = ACTIONS(11525),
    [aux_sym_integer_literal_token2] = ACTIONS(11525),
    [aux_sym_integer_literal_token3] = ACTIONS(11525),
    [aux_sym_integer_literal_token4] = ACTIONS(11525),
    [aux_sym_float_literal_token1] = ACTIONS(11525),
    [aux_sym_float_literal_token3] = ACTIONS(11525),
    [aux_sym_float_literal_token4] = ACTIONS(11525),
    [sym_character_literal] = ACTIONS(11525),
    [anon_sym_DQUOTE] = ACTIONS(11525),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11525),
    [anon_sym_BQUOTE] = ACTIONS(11525),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11525),
    [sym__pair_operator] = ACTIONS(11525),
    [sym__arrow_operator] = ACTIONS(11525),
    [sym__lazy_or_operator] = ACTIONS(11525),
    [sym__lazy_and_operator] = ACTIONS(11525),
    [sym__comparison_operator] = ACTIONS(11525),
    [sym__pipe_right_operator] = ACTIONS(11525),
    [sym__pipe_left_operator] = ACTIONS(11525),
    [sym__ellipsis_operator] = ACTIONS(11525),
    [sym__plus_operator] = ACTIONS(11525),
    [sym__times_operator] = ACTIONS(11525),
    [sym__rational_operator] = ACTIONS(11525),
    [sym__bitshift_operator] = ACTIONS(11525),
    [sym__power_operator] = ACTIONS(11525),
    [sym__tilde_operator] = ACTIONS(11525),
    [sym__type_order_operator] = ACTIONS(11525),
    [sym__unary_operator] = ACTIONS(11525),
    [sym__unary_plus_operator] = ACTIONS(11525),
    [aux_sym__terminator_token1] = ACTIONS(11527),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9421] = {
    [sym_block_comment] = STATE(9421),
    [sym_line_comment] = STATE(9421),
    [sym__word_identifier] = ACTIONS(11529),
    [anon_sym_COMMA] = ACTIONS(11529),
    [anon_sym_EQ] = ACTIONS(11529),
    [anon_sym_begin] = ACTIONS(11529),
    [anon_sym_module] = ACTIONS(11529),
    [anon_sym_baremodule] = ACTIONS(11529),
    [anon_sym_end] = ACTIONS(11529),
    [anon_sym_abstract] = ACTIONS(11529),
    [anon_sym_primitive] = ACTIONS(11529),
    [anon_sym_mutable] = ACTIONS(11529),
    [anon_sym_struct] = ACTIONS(11529),
    [anon_sym_function] = ACTIONS(11529),
    [anon_sym_macro] = ACTIONS(11529),
    [anon_sym_quote] = ACTIONS(11529),
    [anon_sym_let] = ACTIONS(11529),
    [anon_sym_if] = ACTIONS(11529),
    [anon_sym_try] = ACTIONS(11529),
    [anon_sym_for] = ACTIONS(11529),
    [anon_sym_while] = ACTIONS(11529),
    [sym_break_statement] = ACTIONS(11529),
    [sym_continue_statement] = ACTIONS(11529),
    [anon_sym_return] = ACTIONS(11529),
    [anon_sym_const] = ACTIONS(11529),
    [anon_sym_global] = ACTIONS(11529),
    [anon_sym_local] = ACTIONS(11529),
    [anon_sym_LPAREN] = ACTIONS(11529),
    [anon_sym_COLON] = ACTIONS(11529),
    [anon_sym_export] = ACTIONS(11529),
    [anon_sym_public] = ACTIONS(11529),
    [anon_sym_import] = ACTIONS(11529),
    [anon_sym_using] = ACTIONS(11529),
    [anon_sym_LBRACK] = ACTIONS(11529),
    [anon_sym_in] = ACTIONS(11529),
    [anon_sym_SEMI] = ACTIONS(11529),
    [anon_sym_LBRACE] = ACTIONS(11529),
    [anon_sym_DOLLAR] = ACTIONS(11529),
    [anon_sym_COLON2] = ACTIONS(11529),
    [anon_sym_COLON_COLON] = ACTIONS(11529),
    [anon_sym_isa] = ACTIONS(11529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11529),
    [anon_sym_QMARK] = ACTIONS(11529),
    [anon_sym_where] = ACTIONS(11529),
    [anon_sym_AT] = ACTIONS(11529),
    [anon_sym_true] = ACTIONS(11529),
    [anon_sym_false] = ACTIONS(11529),
    [aux_sym_integer_literal_token1] = ACTIONS(11529),
    [aux_sym_integer_literal_token2] = ACTIONS(11529),
    [aux_sym_integer_literal_token3] = ACTIONS(11529),
    [aux_sym_integer_literal_token4] = ACTIONS(11529),
    [aux_sym_float_literal_token1] = ACTIONS(11529),
    [aux_sym_float_literal_token3] = ACTIONS(11529),
    [aux_sym_float_literal_token4] = ACTIONS(11529),
    [sym_character_literal] = ACTIONS(11529),
    [anon_sym_DQUOTE] = ACTIONS(11529),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11529),
    [anon_sym_BQUOTE] = ACTIONS(11529),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11529),
    [sym__pair_operator] = ACTIONS(11529),
    [sym__arrow_operator] = ACTIONS(11529),
    [sym__lazy_or_operator] = ACTIONS(11529),
    [sym__lazy_and_operator] = ACTIONS(11529),
    [sym__comparison_operator] = ACTIONS(11529),
    [sym__pipe_right_operator] = ACTIONS(11529),
    [sym__pipe_left_operator] = ACTIONS(11529),
    [sym__ellipsis_operator] = ACTIONS(11529),
    [sym__plus_operator] = ACTIONS(11529),
    [sym__times_operator] = ACTIONS(11529),
    [sym__rational_operator] = ACTIONS(11529),
    [sym__bitshift_operator] = ACTIONS(11529),
    [sym__power_operator] = ACTIONS(11529),
    [sym__tilde_operator] = ACTIONS(11529),
    [sym__type_order_operator] = ACTIONS(11529),
    [sym__unary_operator] = ACTIONS(11529),
    [sym__unary_plus_operator] = ACTIONS(11529),
    [aux_sym__terminator_token1] = ACTIONS(11531),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9422] = {
    [sym_block_comment] = STATE(9422),
    [sym_line_comment] = STATE(9422),
    [sym__word_identifier] = ACTIONS(11533),
    [anon_sym_COMMA] = ACTIONS(11533),
    [anon_sym_EQ] = ACTIONS(11533),
    [anon_sym_begin] = ACTIONS(11533),
    [anon_sym_module] = ACTIONS(11533),
    [anon_sym_baremodule] = ACTIONS(11533),
    [anon_sym_end] = ACTIONS(11533),
    [anon_sym_abstract] = ACTIONS(11533),
    [anon_sym_primitive] = ACTIONS(11533),
    [anon_sym_mutable] = ACTIONS(11533),
    [anon_sym_struct] = ACTIONS(11533),
    [anon_sym_function] = ACTIONS(11533),
    [anon_sym_macro] = ACTIONS(11533),
    [anon_sym_quote] = ACTIONS(11533),
    [anon_sym_let] = ACTIONS(11533),
    [anon_sym_if] = ACTIONS(11533),
    [anon_sym_try] = ACTIONS(11533),
    [anon_sym_for] = ACTIONS(11533),
    [anon_sym_while] = ACTIONS(11533),
    [sym_break_statement] = ACTIONS(11533),
    [sym_continue_statement] = ACTIONS(11533),
    [anon_sym_return] = ACTIONS(11533),
    [anon_sym_const] = ACTIONS(11533),
    [anon_sym_global] = ACTIONS(11533),
    [anon_sym_local] = ACTIONS(11533),
    [anon_sym_LPAREN] = ACTIONS(11533),
    [anon_sym_COLON] = ACTIONS(11533),
    [anon_sym_export] = ACTIONS(11533),
    [anon_sym_public] = ACTIONS(11533),
    [anon_sym_import] = ACTIONS(11533),
    [anon_sym_using] = ACTIONS(11533),
    [anon_sym_LBRACK] = ACTIONS(11533),
    [anon_sym_in] = ACTIONS(11533),
    [anon_sym_SEMI] = ACTIONS(11533),
    [anon_sym_LBRACE] = ACTIONS(11533),
    [anon_sym_DOLLAR] = ACTIONS(11533),
    [anon_sym_COLON2] = ACTIONS(11533),
    [anon_sym_COLON_COLON] = ACTIONS(11533),
    [anon_sym_isa] = ACTIONS(11533),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11533),
    [anon_sym_QMARK] = ACTIONS(11533),
    [anon_sym_where] = ACTIONS(11533),
    [anon_sym_AT] = ACTIONS(11533),
    [anon_sym_true] = ACTIONS(11533),
    [anon_sym_false] = ACTIONS(11533),
    [aux_sym_integer_literal_token1] = ACTIONS(11533),
    [aux_sym_integer_literal_token2] = ACTIONS(11533),
    [aux_sym_integer_literal_token3] = ACTIONS(11533),
    [aux_sym_integer_literal_token4] = ACTIONS(11533),
    [aux_sym_float_literal_token1] = ACTIONS(11533),
    [aux_sym_float_literal_token3] = ACTIONS(11533),
    [aux_sym_float_literal_token4] = ACTIONS(11533),
    [sym_character_literal] = ACTIONS(11533),
    [anon_sym_DQUOTE] = ACTIONS(11533),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11533),
    [anon_sym_BQUOTE] = ACTIONS(11533),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11533),
    [sym__pair_operator] = ACTIONS(11533),
    [sym__arrow_operator] = ACTIONS(11533),
    [sym__lazy_or_operator] = ACTIONS(11533),
    [sym__lazy_and_operator] = ACTIONS(11533),
    [sym__comparison_operator] = ACTIONS(11533),
    [sym__pipe_right_operator] = ACTIONS(11533),
    [sym__pipe_left_operator] = ACTIONS(11533),
    [sym__ellipsis_operator] = ACTIONS(11533),
    [sym__plus_operator] = ACTIONS(11533),
    [sym__times_operator] = ACTIONS(11533),
    [sym__rational_operator] = ACTIONS(11533),
    [sym__bitshift_operator] = ACTIONS(11533),
    [sym__power_operator] = ACTIONS(11533),
    [sym__tilde_operator] = ACTIONS(11533),
    [sym__type_order_operator] = ACTIONS(11533),
    [sym__unary_operator] = ACTIONS(11533),
    [sym__unary_plus_operator] = ACTIONS(11533),
    [aux_sym__terminator_token1] = ACTIONS(11535),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9423] = {
    [sym_block_comment] = STATE(9423),
    [sym_line_comment] = STATE(9423),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12727),
    [sym__bitshift_operator] = ACTIONS(12729),
    [sym__power_operator] = ACTIONS(12731),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9424] = {
    [sym_block_comment] = STATE(9424),
    [sym_line_comment] = STATE(9424),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_as] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(12649),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9425] = {
    [sym_block_comment] = STATE(9425),
    [sym_line_comment] = STATE(9425),
    [sym__word_identifier] = ACTIONS(11537),
    [anon_sym_COMMA] = ACTIONS(11537),
    [anon_sym_EQ] = ACTIONS(11537),
    [anon_sym_begin] = ACTIONS(11537),
    [anon_sym_module] = ACTIONS(11537),
    [anon_sym_baremodule] = ACTIONS(11537),
    [anon_sym_end] = ACTIONS(11537),
    [anon_sym_abstract] = ACTIONS(11537),
    [anon_sym_primitive] = ACTIONS(11537),
    [anon_sym_mutable] = ACTIONS(11537),
    [anon_sym_struct] = ACTIONS(11537),
    [anon_sym_function] = ACTIONS(11537),
    [anon_sym_macro] = ACTIONS(11537),
    [anon_sym_quote] = ACTIONS(11537),
    [anon_sym_let] = ACTIONS(11537),
    [anon_sym_if] = ACTIONS(11537),
    [anon_sym_try] = ACTIONS(11537),
    [anon_sym_for] = ACTIONS(11537),
    [anon_sym_while] = ACTIONS(11537),
    [sym_break_statement] = ACTIONS(11537),
    [sym_continue_statement] = ACTIONS(11537),
    [anon_sym_return] = ACTIONS(11537),
    [anon_sym_const] = ACTIONS(11537),
    [anon_sym_global] = ACTIONS(11537),
    [anon_sym_local] = ACTIONS(11537),
    [anon_sym_LPAREN] = ACTIONS(11537),
    [anon_sym_COLON] = ACTIONS(11537),
    [anon_sym_export] = ACTIONS(11537),
    [anon_sym_public] = ACTIONS(11537),
    [anon_sym_import] = ACTIONS(11537),
    [anon_sym_using] = ACTIONS(11537),
    [anon_sym_LBRACK] = ACTIONS(11537),
    [anon_sym_in] = ACTIONS(11537),
    [anon_sym_SEMI] = ACTIONS(11537),
    [anon_sym_LBRACE] = ACTIONS(11537),
    [anon_sym_DOLLAR] = ACTIONS(11537),
    [anon_sym_COLON2] = ACTIONS(11537),
    [anon_sym_COLON_COLON] = ACTIONS(11537),
    [anon_sym_isa] = ACTIONS(11537),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11537),
    [anon_sym_QMARK] = ACTIONS(11537),
    [anon_sym_where] = ACTIONS(11537),
    [anon_sym_AT] = ACTIONS(11537),
    [anon_sym_true] = ACTIONS(11537),
    [anon_sym_false] = ACTIONS(11537),
    [aux_sym_integer_literal_token1] = ACTIONS(11537),
    [aux_sym_integer_literal_token2] = ACTIONS(11537),
    [aux_sym_integer_literal_token3] = ACTIONS(11537),
    [aux_sym_integer_literal_token4] = ACTIONS(11537),
    [aux_sym_float_literal_token1] = ACTIONS(11537),
    [aux_sym_float_literal_token3] = ACTIONS(11537),
    [aux_sym_float_literal_token4] = ACTIONS(11537),
    [sym_character_literal] = ACTIONS(11537),
    [anon_sym_DQUOTE] = ACTIONS(11537),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11537),
    [anon_sym_BQUOTE] = ACTIONS(11537),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11537),
    [sym__pair_operator] = ACTIONS(11537),
    [sym__arrow_operator] = ACTIONS(11537),
    [sym__lazy_or_operator] = ACTIONS(11537),
    [sym__lazy_and_operator] = ACTIONS(11537),
    [sym__comparison_operator] = ACTIONS(11537),
    [sym__pipe_right_operator] = ACTIONS(11537),
    [sym__pipe_left_operator] = ACTIONS(11537),
    [sym__ellipsis_operator] = ACTIONS(11537),
    [sym__plus_operator] = ACTIONS(11537),
    [sym__times_operator] = ACTIONS(11537),
    [sym__rational_operator] = ACTIONS(11537),
    [sym__bitshift_operator] = ACTIONS(11537),
    [sym__power_operator] = ACTIONS(11537),
    [sym__tilde_operator] = ACTIONS(11537),
    [sym__type_order_operator] = ACTIONS(11537),
    [sym__unary_operator] = ACTIONS(11537),
    [sym__unary_plus_operator] = ACTIONS(11537),
    [aux_sym__terminator_token1] = ACTIONS(11539),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9426] = {
    [sym_block_comment] = STATE(9426),
    [sym_line_comment] = STATE(9426),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12775),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12779),
    [sym__pipe_left_operator] = ACTIONS(12781),
    [sym__ellipsis_operator] = ACTIONS(12783),
    [sym__plus_operator] = ACTIONS(12785),
    [sym__times_operator] = ACTIONS(12787),
    [sym__rational_operator] = ACTIONS(12789),
    [sym__bitshift_operator] = ACTIONS(12791),
    [sym__power_operator] = ACTIONS(12793),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12785),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9427] = {
    [sym_block_comment] = STATE(9427),
    [sym_line_comment] = STATE(9427),
    [sym__word_identifier] = ACTIONS(11541),
    [anon_sym_COMMA] = ACTIONS(11541),
    [anon_sym_EQ] = ACTIONS(11541),
    [anon_sym_begin] = ACTIONS(11541),
    [anon_sym_module] = ACTIONS(11541),
    [anon_sym_baremodule] = ACTIONS(11541),
    [anon_sym_end] = ACTIONS(11541),
    [anon_sym_abstract] = ACTIONS(11541),
    [anon_sym_primitive] = ACTIONS(11541),
    [anon_sym_mutable] = ACTIONS(11541),
    [anon_sym_struct] = ACTIONS(11541),
    [anon_sym_function] = ACTIONS(11541),
    [anon_sym_macro] = ACTIONS(11541),
    [anon_sym_quote] = ACTIONS(11541),
    [anon_sym_let] = ACTIONS(11541),
    [anon_sym_if] = ACTIONS(11541),
    [anon_sym_try] = ACTIONS(11541),
    [anon_sym_for] = ACTIONS(11541),
    [anon_sym_while] = ACTIONS(11541),
    [sym_break_statement] = ACTIONS(11541),
    [sym_continue_statement] = ACTIONS(11541),
    [anon_sym_return] = ACTIONS(11541),
    [anon_sym_const] = ACTIONS(11541),
    [anon_sym_global] = ACTIONS(11541),
    [anon_sym_local] = ACTIONS(11541),
    [anon_sym_LPAREN] = ACTIONS(11541),
    [anon_sym_COLON] = ACTIONS(11541),
    [anon_sym_export] = ACTIONS(11541),
    [anon_sym_public] = ACTIONS(11541),
    [anon_sym_import] = ACTIONS(11541),
    [anon_sym_using] = ACTIONS(11541),
    [anon_sym_LBRACK] = ACTIONS(11541),
    [anon_sym_in] = ACTIONS(11541),
    [anon_sym_SEMI] = ACTIONS(11541),
    [anon_sym_LBRACE] = ACTIONS(11541),
    [anon_sym_DOLLAR] = ACTIONS(11541),
    [anon_sym_COLON2] = ACTIONS(11541),
    [anon_sym_COLON_COLON] = ACTIONS(11541),
    [anon_sym_isa] = ACTIONS(11541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11541),
    [anon_sym_QMARK] = ACTIONS(11541),
    [anon_sym_where] = ACTIONS(11541),
    [anon_sym_AT] = ACTIONS(11541),
    [anon_sym_true] = ACTIONS(11541),
    [anon_sym_false] = ACTIONS(11541),
    [aux_sym_integer_literal_token1] = ACTIONS(11541),
    [aux_sym_integer_literal_token2] = ACTIONS(11541),
    [aux_sym_integer_literal_token3] = ACTIONS(11541),
    [aux_sym_integer_literal_token4] = ACTIONS(11541),
    [aux_sym_float_literal_token1] = ACTIONS(11541),
    [aux_sym_float_literal_token3] = ACTIONS(11541),
    [aux_sym_float_literal_token4] = ACTIONS(11541),
    [sym_character_literal] = ACTIONS(11541),
    [anon_sym_DQUOTE] = ACTIONS(11541),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11541),
    [anon_sym_BQUOTE] = ACTIONS(11541),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11541),
    [sym__pair_operator] = ACTIONS(11541),
    [sym__arrow_operator] = ACTIONS(11541),
    [sym__lazy_or_operator] = ACTIONS(11541),
    [sym__lazy_and_operator] = ACTIONS(11541),
    [sym__comparison_operator] = ACTIONS(11541),
    [sym__pipe_right_operator] = ACTIONS(11541),
    [sym__pipe_left_operator] = ACTIONS(11541),
    [sym__ellipsis_operator] = ACTIONS(11541),
    [sym__plus_operator] = ACTIONS(11541),
    [sym__times_operator] = ACTIONS(11541),
    [sym__rational_operator] = ACTIONS(11541),
    [sym__bitshift_operator] = ACTIONS(11541),
    [sym__power_operator] = ACTIONS(11541),
    [sym__tilde_operator] = ACTIONS(11541),
    [sym__type_order_operator] = ACTIONS(11541),
    [sym__unary_operator] = ACTIONS(11541),
    [sym__unary_plus_operator] = ACTIONS(11541),
    [aux_sym__terminator_token1] = ACTIONS(11543),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9428] = {
    [sym_block_comment] = STATE(9428),
    [sym_line_comment] = STATE(9428),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(12833),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9429] = {
    [sym_block_comment] = STATE(9429),
    [sym_line_comment] = STATE(9429),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12775),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12777),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12524),
    [anon_sym_where] = ACTIONS(12835),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(12837),
    [sym__arrow_operator] = ACTIONS(12839),
    [sym__lazy_or_operator] = ACTIONS(12841),
    [sym__lazy_and_operator] = ACTIONS(12843),
    [sym__comparison_operator] = ACTIONS(12777),
    [sym__pipe_right_operator] = ACTIONS(12779),
    [sym__pipe_left_operator] = ACTIONS(12781),
    [sym__ellipsis_operator] = ACTIONS(12783),
    [sym__plus_operator] = ACTIONS(12785),
    [sym__times_operator] = ACTIONS(12787),
    [sym__rational_operator] = ACTIONS(12789),
    [sym__bitshift_operator] = ACTIONS(12791),
    [sym__power_operator] = ACTIONS(12793),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12777),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12785),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9430] = {
    [sym_block_comment] = STATE(9430),
    [sym_line_comment] = STATE(9430),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12775),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12777),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12835),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(12839),
    [sym__lazy_or_operator] = ACTIONS(12841),
    [sym__lazy_and_operator] = ACTIONS(12843),
    [sym__comparison_operator] = ACTIONS(12777),
    [sym__pipe_right_operator] = ACTIONS(12779),
    [sym__pipe_left_operator] = ACTIONS(12781),
    [sym__ellipsis_operator] = ACTIONS(12783),
    [sym__plus_operator] = ACTIONS(12785),
    [sym__times_operator] = ACTIONS(12787),
    [sym__rational_operator] = ACTIONS(12789),
    [sym__bitshift_operator] = ACTIONS(12791),
    [sym__power_operator] = ACTIONS(12793),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12777),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12785),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9431] = {
    [sym_block_comment] = STATE(9431),
    [sym_line_comment] = STATE(9431),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12775),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12777),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12835),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(12843),
    [sym__comparison_operator] = ACTIONS(12777),
    [sym__pipe_right_operator] = ACTIONS(12779),
    [sym__pipe_left_operator] = ACTIONS(12781),
    [sym__ellipsis_operator] = ACTIONS(12783),
    [sym__plus_operator] = ACTIONS(12785),
    [sym__times_operator] = ACTIONS(12787),
    [sym__rational_operator] = ACTIONS(12789),
    [sym__bitshift_operator] = ACTIONS(12791),
    [sym__power_operator] = ACTIONS(12793),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12777),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12785),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9432] = {
    [sym_block_comment] = STATE(9432),
    [sym_line_comment] = STATE(9432),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12775),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12777),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12835),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(12777),
    [sym__pipe_right_operator] = ACTIONS(12779),
    [sym__pipe_left_operator] = ACTIONS(12781),
    [sym__ellipsis_operator] = ACTIONS(12783),
    [sym__plus_operator] = ACTIONS(12785),
    [sym__times_operator] = ACTIONS(12787),
    [sym__rational_operator] = ACTIONS(12789),
    [sym__bitshift_operator] = ACTIONS(12791),
    [sym__power_operator] = ACTIONS(12793),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12777),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12785),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9433] = {
    [sym_block_comment] = STATE(9433),
    [sym_line_comment] = STATE(9433),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12775),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(12783),
    [sym__plus_operator] = ACTIONS(12785),
    [sym__times_operator] = ACTIONS(12787),
    [sym__rational_operator] = ACTIONS(12789),
    [sym__bitshift_operator] = ACTIONS(12791),
    [sym__power_operator] = ACTIONS(12793),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12785),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9434] = {
    [sym_block_comment] = STATE(9434),
    [sym_line_comment] = STATE(9434),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12775),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12779),
    [sym__pipe_left_operator] = ACTIONS(12781),
    [sym__ellipsis_operator] = ACTIONS(12783),
    [sym__plus_operator] = ACTIONS(12785),
    [sym__times_operator] = ACTIONS(12787),
    [sym__rational_operator] = ACTIONS(12789),
    [sym__bitshift_operator] = ACTIONS(12791),
    [sym__power_operator] = ACTIONS(12793),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12785),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9435] = {
    [sym_block_comment] = STATE(9435),
    [sym_line_comment] = STATE(9435),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12685),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12687),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12687),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12689),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(12715),
    [sym__comparison_operator] = ACTIONS(12687),
    [sym__pipe_right_operator] = ACTIONS(12691),
    [sym__pipe_left_operator] = ACTIONS(12693),
    [sym__ellipsis_operator] = ACTIONS(12695),
    [sym__plus_operator] = ACTIONS(12697),
    [sym__times_operator] = ACTIONS(12699),
    [sym__rational_operator] = ACTIONS(12701),
    [sym__bitshift_operator] = ACTIONS(12703),
    [sym__power_operator] = ACTIONS(12705),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12687),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12697),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9436] = {
    [sym_block_comment] = STATE(9436),
    [sym_line_comment] = STATE(9436),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12787),
    [sym__rational_operator] = ACTIONS(12789),
    [sym__bitshift_operator] = ACTIONS(12791),
    [sym__power_operator] = ACTIONS(12793),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9437] = {
    [sym_block_comment] = STATE(9437),
    [sym_line_comment] = STATE(9437),
    [sym__word_identifier] = ACTIONS(11545),
    [anon_sym_COMMA] = ACTIONS(11545),
    [anon_sym_EQ] = ACTIONS(11545),
    [anon_sym_begin] = ACTIONS(11545),
    [anon_sym_module] = ACTIONS(11545),
    [anon_sym_baremodule] = ACTIONS(11545),
    [anon_sym_end] = ACTIONS(11545),
    [anon_sym_abstract] = ACTIONS(11545),
    [anon_sym_primitive] = ACTIONS(11545),
    [anon_sym_mutable] = ACTIONS(11545),
    [anon_sym_struct] = ACTIONS(11545),
    [anon_sym_function] = ACTIONS(11545),
    [anon_sym_macro] = ACTIONS(11545),
    [anon_sym_quote] = ACTIONS(11545),
    [anon_sym_let] = ACTIONS(11545),
    [anon_sym_if] = ACTIONS(11545),
    [anon_sym_try] = ACTIONS(11545),
    [anon_sym_for] = ACTIONS(11545),
    [anon_sym_while] = ACTIONS(11545),
    [sym_break_statement] = ACTIONS(11545),
    [sym_continue_statement] = ACTIONS(11545),
    [anon_sym_return] = ACTIONS(11545),
    [anon_sym_const] = ACTIONS(11545),
    [anon_sym_global] = ACTIONS(11545),
    [anon_sym_local] = ACTIONS(11545),
    [anon_sym_LPAREN] = ACTIONS(11545),
    [anon_sym_COLON] = ACTIONS(11545),
    [anon_sym_export] = ACTIONS(11545),
    [anon_sym_public] = ACTIONS(11545),
    [anon_sym_import] = ACTIONS(11545),
    [anon_sym_using] = ACTIONS(11545),
    [anon_sym_LBRACK] = ACTIONS(11545),
    [anon_sym_in] = ACTIONS(11545),
    [anon_sym_SEMI] = ACTIONS(11545),
    [anon_sym_LBRACE] = ACTIONS(11545),
    [anon_sym_DOLLAR] = ACTIONS(11545),
    [anon_sym_COLON2] = ACTIONS(11545),
    [anon_sym_COLON_COLON] = ACTIONS(11545),
    [anon_sym_isa] = ACTIONS(11545),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11545),
    [anon_sym_QMARK] = ACTIONS(11545),
    [anon_sym_where] = ACTIONS(11545),
    [anon_sym_AT] = ACTIONS(11545),
    [anon_sym_true] = ACTIONS(11545),
    [anon_sym_false] = ACTIONS(11545),
    [aux_sym_integer_literal_token1] = ACTIONS(11545),
    [aux_sym_integer_literal_token2] = ACTIONS(11545),
    [aux_sym_integer_literal_token3] = ACTIONS(11545),
    [aux_sym_integer_literal_token4] = ACTIONS(11545),
    [aux_sym_float_literal_token1] = ACTIONS(11545),
    [aux_sym_float_literal_token3] = ACTIONS(11545),
    [aux_sym_float_literal_token4] = ACTIONS(11545),
    [sym_character_literal] = ACTIONS(11545),
    [anon_sym_DQUOTE] = ACTIONS(11545),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11545),
    [anon_sym_BQUOTE] = ACTIONS(11545),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11545),
    [sym__pair_operator] = ACTIONS(11545),
    [sym__arrow_operator] = ACTIONS(11545),
    [sym__lazy_or_operator] = ACTIONS(11545),
    [sym__lazy_and_operator] = ACTIONS(11545),
    [sym__comparison_operator] = ACTIONS(11545),
    [sym__pipe_right_operator] = ACTIONS(11545),
    [sym__pipe_left_operator] = ACTIONS(11545),
    [sym__ellipsis_operator] = ACTIONS(11545),
    [sym__plus_operator] = ACTIONS(11545),
    [sym__times_operator] = ACTIONS(11545),
    [sym__rational_operator] = ACTIONS(11545),
    [sym__bitshift_operator] = ACTIONS(11545),
    [sym__power_operator] = ACTIONS(11545),
    [sym__tilde_operator] = ACTIONS(11545),
    [sym__type_order_operator] = ACTIONS(11545),
    [sym__unary_operator] = ACTIONS(11545),
    [sym__unary_plus_operator] = ACTIONS(11545),
    [aux_sym__terminator_token1] = ACTIONS(11547),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9438] = {
    [sym_block_comment] = STATE(9438),
    [sym_line_comment] = STATE(9438),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11790),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11790),
    [anon_sym_RPAREN] = ACTIONS(11790),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11790),
    [anon_sym_RBRACK] = ACTIONS(11790),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11790),
    [anon_sym_LBRACE] = ACTIONS(11790),
    [anon_sym_RBRACE] = ACTIONS(11790),
    [anon_sym_DOLLAR] = ACTIONS(11790),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11790),
    [anon_sym_QMARK] = ACTIONS(11790),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11790),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11790),
    [aux_sym_integer_literal_token2] = ACTIONS(11790),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11790),
    [aux_sym_float_literal_token3] = ACTIONS(11790),
    [aux_sym_float_literal_token4] = ACTIONS(11790),
    [sym_character_literal] = ACTIONS(11790),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11790),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11790),
    [sym__pair_operator] = ACTIONS(11790),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11790),
    [sym__lazy_and_operator] = ACTIONS(11790),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11790),
    [sym__pipe_left_operator] = ACTIONS(11790),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12741),
    [sym__times_operator] = ACTIONS(12743),
    [sym__rational_operator] = ACTIONS(12745),
    [sym__bitshift_operator] = ACTIONS(12747),
    [sym__power_operator] = ACTIONS(12749),
    [sym__tilde_operator] = ACTIONS(11790),
    [sym__type_order_operator] = ACTIONS(11790),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12741),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9439] = {
    [sym_block_comment] = STATE(9439),
    [sym_line_comment] = STATE(9439),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12789),
    [sym__bitshift_operator] = ACTIONS(12791),
    [sym__power_operator] = ACTIONS(12793),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9440] = {
    [sym_block_comment] = STATE(9440),
    [sym_line_comment] = STATE(9440),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(12729),
    [sym__power_operator] = ACTIONS(12731),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9441] = {
    [sym_block_comment] = STATE(9441),
    [sym_line_comment] = STATE(9441),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_EQ] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9442] = {
    [sym_block_comment] = STATE(9442),
    [sym_line_comment] = STATE(9442),
    [sym__word_identifier] = ACTIONS(11549),
    [anon_sym_COMMA] = ACTIONS(11549),
    [anon_sym_EQ] = ACTIONS(11549),
    [anon_sym_begin] = ACTIONS(11549),
    [anon_sym_module] = ACTIONS(11549),
    [anon_sym_baremodule] = ACTIONS(11549),
    [anon_sym_end] = ACTIONS(11549),
    [anon_sym_abstract] = ACTIONS(11549),
    [anon_sym_primitive] = ACTIONS(11549),
    [anon_sym_mutable] = ACTIONS(11549),
    [anon_sym_struct] = ACTIONS(11549),
    [anon_sym_function] = ACTIONS(11549),
    [anon_sym_macro] = ACTIONS(11549),
    [anon_sym_quote] = ACTIONS(11549),
    [anon_sym_let] = ACTIONS(11549),
    [anon_sym_if] = ACTIONS(11549),
    [anon_sym_try] = ACTIONS(11549),
    [anon_sym_for] = ACTIONS(11549),
    [anon_sym_while] = ACTIONS(11549),
    [sym_break_statement] = ACTIONS(11549),
    [sym_continue_statement] = ACTIONS(11549),
    [anon_sym_return] = ACTIONS(11549),
    [anon_sym_const] = ACTIONS(11549),
    [anon_sym_global] = ACTIONS(11549),
    [anon_sym_local] = ACTIONS(11549),
    [anon_sym_LPAREN] = ACTIONS(11549),
    [anon_sym_COLON] = ACTIONS(11549),
    [anon_sym_export] = ACTIONS(11549),
    [anon_sym_public] = ACTIONS(11549),
    [anon_sym_import] = ACTIONS(11549),
    [anon_sym_using] = ACTIONS(11549),
    [anon_sym_LBRACK] = ACTIONS(11549),
    [anon_sym_in] = ACTIONS(11549),
    [anon_sym_SEMI] = ACTIONS(11549),
    [anon_sym_LBRACE] = ACTIONS(11549),
    [anon_sym_DOLLAR] = ACTIONS(11549),
    [anon_sym_COLON2] = ACTIONS(11549),
    [anon_sym_COLON_COLON] = ACTIONS(11549),
    [anon_sym_isa] = ACTIONS(11549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11549),
    [anon_sym_QMARK] = ACTIONS(11549),
    [anon_sym_where] = ACTIONS(11549),
    [anon_sym_AT] = ACTIONS(11549),
    [anon_sym_true] = ACTIONS(11549),
    [anon_sym_false] = ACTIONS(11549),
    [aux_sym_integer_literal_token1] = ACTIONS(11549),
    [aux_sym_integer_literal_token2] = ACTIONS(11549),
    [aux_sym_integer_literal_token3] = ACTIONS(11549),
    [aux_sym_integer_literal_token4] = ACTIONS(11549),
    [aux_sym_float_literal_token1] = ACTIONS(11549),
    [aux_sym_float_literal_token3] = ACTIONS(11549),
    [aux_sym_float_literal_token4] = ACTIONS(11549),
    [sym_character_literal] = ACTIONS(11549),
    [anon_sym_DQUOTE] = ACTIONS(11549),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11549),
    [anon_sym_BQUOTE] = ACTIONS(11549),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11549),
    [sym__pair_operator] = ACTIONS(11549),
    [sym__arrow_operator] = ACTIONS(11549),
    [sym__lazy_or_operator] = ACTIONS(11549),
    [sym__lazy_and_operator] = ACTIONS(11549),
    [sym__comparison_operator] = ACTIONS(11549),
    [sym__pipe_right_operator] = ACTIONS(11549),
    [sym__pipe_left_operator] = ACTIONS(11549),
    [sym__ellipsis_operator] = ACTIONS(11549),
    [sym__plus_operator] = ACTIONS(11549),
    [sym__times_operator] = ACTIONS(11549),
    [sym__rational_operator] = ACTIONS(11549),
    [sym__bitshift_operator] = ACTIONS(11549),
    [sym__power_operator] = ACTIONS(11549),
    [sym__tilde_operator] = ACTIONS(11549),
    [sym__type_order_operator] = ACTIONS(11549),
    [sym__unary_operator] = ACTIONS(11549),
    [sym__unary_plus_operator] = ACTIONS(11549),
    [aux_sym__terminator_token1] = ACTIONS(11551),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9443] = {
    [sym_block_comment] = STATE(9443),
    [sym_line_comment] = STATE(9443),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_catch] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12823),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9444] = {
    [sym_block_comment] = STATE(9444),
    [sym_line_comment] = STATE(9444),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_elseif] = ACTIONS(11378),
    [anon_sym_else] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11172),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(12731),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9445] = {
    [sym_block_comment] = STATE(9445),
    [sym_line_comment] = STATE(9445),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(12791),
    [sym__power_operator] = ACTIONS(12793),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9446] = {
    [sym_block_comment] = STATE(9446),
    [sym_line_comment] = STATE(9446),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_EQ] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9447] = {
    [sym_block_comment] = STATE(9447),
    [sym_line_comment] = STATE(9447),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12151),
    [anon_sym_EQ] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_end] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12590),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9448] = {
    [sym_block_comment] = STATE(9448),
    [sym_line_comment] = STATE(9448),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10313),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_as] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10313),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10313),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10313),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10313),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10313),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10313),
    [anon_sym_QMARK] = ACTIONS(10313),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10313),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10313),
    [aux_sym_integer_literal_token2] = ACTIONS(10313),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10313),
    [aux_sym_float_literal_token3] = ACTIONS(10313),
    [aux_sym_float_literal_token4] = ACTIONS(10313),
    [sym_character_literal] = ACTIONS(10313),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10313),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10313),
    [sym__pair_operator] = ACTIONS(10313),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10313),
    [sym__lazy_and_operator] = ACTIONS(10313),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10313),
    [sym__pipe_left_operator] = ACTIONS(10313),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10313),
    [sym__bitshift_operator] = ACTIONS(10313),
    [sym__power_operator] = ACTIONS(10313),
    [sym__tilde_operator] = ACTIONS(10313),
    [sym__type_order_operator] = ACTIONS(10313),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9449] = {
    [sym_block_comment] = STATE(9449),
    [sym_line_comment] = STATE(9449),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_finally] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12705),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9450] = {
    [sym_block_comment] = STATE(9450),
    [sym_line_comment] = STATE(9450),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(12793),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9451] = {
    [sym_block_comment] = STATE(9451),
    [sym_line_comment] = STATE(9451),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_catch] = ACTIONS(11788),
    [anon_sym_finally] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12785),
    [sym__times_operator] = ACTIONS(12787),
    [sym__rational_operator] = ACTIONS(12789),
    [sym__bitshift_operator] = ACTIONS(12791),
    [sym__power_operator] = ACTIONS(12793),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12785),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9452] = {
    [sym_block_comment] = STATE(9452),
    [sym_line_comment] = STATE(9452),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_catch] = ACTIONS(12151),
    [anon_sym_finally] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(12775),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(12777),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12777),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12524),
    [anon_sym_where] = ACTIONS(12835),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(12837),
    [sym__arrow_operator] = ACTIONS(12839),
    [sym__lazy_or_operator] = ACTIONS(12841),
    [sym__lazy_and_operator] = ACTIONS(12843),
    [sym__comparison_operator] = ACTIONS(12777),
    [sym__pipe_right_operator] = ACTIONS(12779),
    [sym__pipe_left_operator] = ACTIONS(12781),
    [sym__ellipsis_operator] = ACTIONS(12783),
    [sym__plus_operator] = ACTIONS(12785),
    [sym__times_operator] = ACTIONS(12787),
    [sym__rational_operator] = ACTIONS(12789),
    [sym__bitshift_operator] = ACTIONS(12791),
    [sym__power_operator] = ACTIONS(12793),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(12777),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12785),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9453] = {
    [sym_block_comment] = STATE(9453),
    [sym_line_comment] = STATE(9453),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_catch] = ACTIONS(11382),
    [anon_sym_finally] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(12384),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(12386),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(12386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12390),
    [anon_sym_QMARK] = ACTIONS(12524),
    [anon_sym_where] = ACTIONS(12394),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(12396),
    [sym__arrow_operator] = ACTIONS(12398),
    [sym__lazy_or_operator] = ACTIONS(12400),
    [sym__lazy_and_operator] = ACTIONS(12402),
    [sym__comparison_operator] = ACTIONS(12386),
    [sym__pipe_right_operator] = ACTIONS(12404),
    [sym__pipe_left_operator] = ACTIONS(12406),
    [sym__ellipsis_operator] = ACTIONS(12408),
    [sym__plus_operator] = ACTIONS(12410),
    [sym__times_operator] = ACTIONS(12412),
    [sym__rational_operator] = ACTIONS(12414),
    [sym__bitshift_operator] = ACTIONS(12416),
    [sym__power_operator] = ACTIONS(12418),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(12386),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12410),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9454] = {
    [sym_block_comment] = STATE(9454),
    [sym_line_comment] = STATE(9454),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_catch] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(12430),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(12432),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12432),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12526),
    [anon_sym_where] = ACTIONS(12440),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(12442),
    [sym__arrow_operator] = ACTIONS(12444),
    [sym__lazy_or_operator] = ACTIONS(12446),
    [sym__lazy_and_operator] = ACTIONS(12448),
    [sym__comparison_operator] = ACTIONS(12432),
    [sym__pipe_right_operator] = ACTIONS(12450),
    [sym__pipe_left_operator] = ACTIONS(12452),
    [sym__ellipsis_operator] = ACTIONS(12454),
    [sym__plus_operator] = ACTIONS(12456),
    [sym__times_operator] = ACTIONS(12458),
    [sym__rational_operator] = ACTIONS(12460),
    [sym__bitshift_operator] = ACTIONS(12462),
    [sym__power_operator] = ACTIONS(12464),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(12432),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12456),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9455] = {
    [sym_block_comment] = STATE(9455),
    [sym_line_comment] = STATE(9455),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10870),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10870),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10870),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10870),
    [anon_sym_DOT] = ACTIONS(12829),
    [anon_sym_DOLLAR] = ACTIONS(10870),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10870),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10870),
    [anon_sym_QMARK] = ACTIONS(10870),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10870),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10870),
    [aux_sym_integer_literal_token2] = ACTIONS(10870),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10870),
    [aux_sym_float_literal_token3] = ACTIONS(10870),
    [aux_sym_float_literal_token4] = ACTIONS(10870),
    [sym_character_literal] = ACTIONS(10870),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10870),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10870),
    [sym__pair_operator] = ACTIONS(10870),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10870),
    [sym__lazy_and_operator] = ACTIONS(10870),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10870),
    [sym__pipe_left_operator] = ACTIONS(10870),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10870),
    [sym__bitshift_operator] = ACTIONS(10870),
    [sym__power_operator] = ACTIONS(10870),
    [sym__tilde_operator] = ACTIONS(10870),
    [sym__type_order_operator] = ACTIONS(10870),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9456] = {
    [sym_block_comment] = STATE(9456),
    [sym_line_comment] = STATE(9456),
    [sym__word_identifier] = ACTIONS(11370),
    [anon_sym_COMMA] = ACTIONS(11370),
    [anon_sym_EQ] = ACTIONS(11370),
    [anon_sym_begin] = ACTIONS(11370),
    [anon_sym_module] = ACTIONS(11370),
    [anon_sym_baremodule] = ACTIONS(11370),
    [anon_sym_end] = ACTIONS(11370),
    [anon_sym_abstract] = ACTIONS(11370),
    [anon_sym_primitive] = ACTIONS(11370),
    [anon_sym_mutable] = ACTIONS(11370),
    [anon_sym_struct] = ACTIONS(11370),
    [anon_sym_function] = ACTIONS(11370),
    [anon_sym_macro] = ACTIONS(11370),
    [anon_sym_quote] = ACTIONS(11370),
    [anon_sym_let] = ACTIONS(11370),
    [anon_sym_if] = ACTIONS(11370),
    [anon_sym_try] = ACTIONS(11370),
    [anon_sym_for] = ACTIONS(11370),
    [anon_sym_while] = ACTIONS(11370),
    [sym_break_statement] = ACTIONS(11370),
    [sym_continue_statement] = ACTIONS(11370),
    [anon_sym_return] = ACTIONS(11370),
    [anon_sym_const] = ACTIONS(11370),
    [anon_sym_global] = ACTIONS(11370),
    [anon_sym_local] = ACTIONS(11370),
    [anon_sym_LPAREN] = ACTIONS(11370),
    [anon_sym_COLON] = ACTIONS(11370),
    [anon_sym_export] = ACTIONS(11370),
    [anon_sym_public] = ACTIONS(11370),
    [anon_sym_import] = ACTIONS(11370),
    [anon_sym_using] = ACTIONS(11370),
    [anon_sym_LBRACK] = ACTIONS(11370),
    [anon_sym_in] = ACTIONS(11370),
    [anon_sym_SEMI] = ACTIONS(11370),
    [anon_sym_LBRACE] = ACTIONS(11370),
    [anon_sym_DOLLAR] = ACTIONS(11370),
    [anon_sym_COLON2] = ACTIONS(11370),
    [anon_sym_COLON_COLON] = ACTIONS(11370),
    [anon_sym_isa] = ACTIONS(11370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11370),
    [anon_sym_QMARK] = ACTIONS(11370),
    [anon_sym_where] = ACTIONS(11370),
    [anon_sym_AT] = ACTIONS(11370),
    [anon_sym_true] = ACTIONS(11370),
    [anon_sym_false] = ACTIONS(11370),
    [aux_sym_integer_literal_token1] = ACTIONS(11370),
    [aux_sym_integer_literal_token2] = ACTIONS(11370),
    [aux_sym_integer_literal_token3] = ACTIONS(11370),
    [aux_sym_integer_literal_token4] = ACTIONS(11370),
    [aux_sym_float_literal_token1] = ACTIONS(11370),
    [aux_sym_float_literal_token3] = ACTIONS(11370),
    [aux_sym_float_literal_token4] = ACTIONS(11370),
    [sym_character_literal] = ACTIONS(11370),
    [anon_sym_DQUOTE] = ACTIONS(11370),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11370),
    [anon_sym_BQUOTE] = ACTIONS(11370),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11370),
    [sym__pair_operator] = ACTIONS(11370),
    [sym__arrow_operator] = ACTIONS(11370),
    [sym__lazy_or_operator] = ACTIONS(11370),
    [sym__lazy_and_operator] = ACTIONS(11370),
    [sym__comparison_operator] = ACTIONS(11370),
    [sym__pipe_right_operator] = ACTIONS(11370),
    [sym__pipe_left_operator] = ACTIONS(11370),
    [sym__ellipsis_operator] = ACTIONS(11370),
    [sym__plus_operator] = ACTIONS(11370),
    [sym__times_operator] = ACTIONS(11370),
    [sym__rational_operator] = ACTIONS(11370),
    [sym__bitshift_operator] = ACTIONS(11370),
    [sym__power_operator] = ACTIONS(11370),
    [sym__tilde_operator] = ACTIONS(11370),
    [sym__type_order_operator] = ACTIONS(11370),
    [sym__unary_operator] = ACTIONS(11370),
    [sym__unary_plus_operator] = ACTIONS(11370),
    [aux_sym__terminator_token1] = ACTIONS(11372),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9457] = {
    [sym_block_comment] = STATE(9457),
    [sym_line_comment] = STATE(9457),
    [sym__word_identifier] = ACTIONS(11553),
    [anon_sym_COMMA] = ACTIONS(11553),
    [anon_sym_EQ] = ACTIONS(11553),
    [anon_sym_begin] = ACTIONS(11553),
    [anon_sym_module] = ACTIONS(11553),
    [anon_sym_baremodule] = ACTIONS(11553),
    [anon_sym_end] = ACTIONS(11553),
    [anon_sym_abstract] = ACTIONS(11553),
    [anon_sym_primitive] = ACTIONS(11553),
    [anon_sym_mutable] = ACTIONS(11553),
    [anon_sym_struct] = ACTIONS(11553),
    [anon_sym_function] = ACTIONS(11553),
    [anon_sym_macro] = ACTIONS(11553),
    [anon_sym_quote] = ACTIONS(11553),
    [anon_sym_let] = ACTIONS(11553),
    [anon_sym_if] = ACTIONS(11553),
    [anon_sym_try] = ACTIONS(11553),
    [anon_sym_for] = ACTIONS(11553),
    [anon_sym_while] = ACTIONS(11553),
    [sym_break_statement] = ACTIONS(11553),
    [sym_continue_statement] = ACTIONS(11553),
    [anon_sym_return] = ACTIONS(11553),
    [anon_sym_const] = ACTIONS(11553),
    [anon_sym_global] = ACTIONS(11553),
    [anon_sym_local] = ACTIONS(11553),
    [anon_sym_LPAREN] = ACTIONS(11553),
    [anon_sym_COLON] = ACTIONS(11553),
    [anon_sym_export] = ACTIONS(11553),
    [anon_sym_public] = ACTIONS(11553),
    [anon_sym_import] = ACTIONS(11553),
    [anon_sym_using] = ACTIONS(11553),
    [anon_sym_LBRACK] = ACTIONS(11553),
    [anon_sym_in] = ACTIONS(11553),
    [anon_sym_SEMI] = ACTIONS(11553),
    [anon_sym_LBRACE] = ACTIONS(11553),
    [anon_sym_DOLLAR] = ACTIONS(11553),
    [anon_sym_COLON2] = ACTIONS(11553),
    [anon_sym_COLON_COLON] = ACTIONS(11553),
    [anon_sym_isa] = ACTIONS(11553),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11553),
    [anon_sym_QMARK] = ACTIONS(11553),
    [anon_sym_where] = ACTIONS(11553),
    [anon_sym_AT] = ACTIONS(11553),
    [anon_sym_true] = ACTIONS(11553),
    [anon_sym_false] = ACTIONS(11553),
    [aux_sym_integer_literal_token1] = ACTIONS(11553),
    [aux_sym_integer_literal_token2] = ACTIONS(11553),
    [aux_sym_integer_literal_token3] = ACTIONS(11553),
    [aux_sym_integer_literal_token4] = ACTIONS(11553),
    [aux_sym_float_literal_token1] = ACTIONS(11553),
    [aux_sym_float_literal_token3] = ACTIONS(11553),
    [aux_sym_float_literal_token4] = ACTIONS(11553),
    [sym_character_literal] = ACTIONS(11553),
    [anon_sym_DQUOTE] = ACTIONS(11553),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11553),
    [anon_sym_BQUOTE] = ACTIONS(11553),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11553),
    [sym__pair_operator] = ACTIONS(11553),
    [sym__arrow_operator] = ACTIONS(11553),
    [sym__lazy_or_operator] = ACTIONS(11553),
    [sym__lazy_and_operator] = ACTIONS(11553),
    [sym__comparison_operator] = ACTIONS(11553),
    [sym__pipe_right_operator] = ACTIONS(11553),
    [sym__pipe_left_operator] = ACTIONS(11553),
    [sym__ellipsis_operator] = ACTIONS(11553),
    [sym__plus_operator] = ACTIONS(11553),
    [sym__times_operator] = ACTIONS(11553),
    [sym__rational_operator] = ACTIONS(11553),
    [sym__bitshift_operator] = ACTIONS(11553),
    [sym__power_operator] = ACTIONS(11553),
    [sym__tilde_operator] = ACTIONS(11553),
    [sym__type_order_operator] = ACTIONS(11553),
    [sym__unary_operator] = ACTIONS(11553),
    [sym__unary_plus_operator] = ACTIONS(11553),
    [aux_sym__terminator_token1] = ACTIONS(11555),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9458] = {
    [sym_block_comment] = STATE(9458),
    [sym_line_comment] = STATE(9458),
    [sym__word_identifier] = ACTIONS(11557),
    [anon_sym_COMMA] = ACTIONS(11557),
    [anon_sym_EQ] = ACTIONS(11557),
    [anon_sym_begin] = ACTIONS(11557),
    [anon_sym_module] = ACTIONS(11557),
    [anon_sym_baremodule] = ACTIONS(11557),
    [anon_sym_end] = ACTIONS(11557),
    [anon_sym_abstract] = ACTIONS(11557),
    [anon_sym_primitive] = ACTIONS(11557),
    [anon_sym_mutable] = ACTIONS(11557),
    [anon_sym_struct] = ACTIONS(11557),
    [anon_sym_function] = ACTIONS(11557),
    [anon_sym_macro] = ACTIONS(11557),
    [anon_sym_quote] = ACTIONS(11557),
    [anon_sym_let] = ACTIONS(11557),
    [anon_sym_if] = ACTIONS(11557),
    [anon_sym_try] = ACTIONS(11557),
    [anon_sym_for] = ACTIONS(11557),
    [anon_sym_while] = ACTIONS(11557),
    [sym_break_statement] = ACTIONS(11557),
    [sym_continue_statement] = ACTIONS(11557),
    [anon_sym_return] = ACTIONS(11557),
    [anon_sym_const] = ACTIONS(11557),
    [anon_sym_global] = ACTIONS(11557),
    [anon_sym_local] = ACTIONS(11557),
    [anon_sym_LPAREN] = ACTIONS(11557),
    [anon_sym_COLON] = ACTIONS(11557),
    [anon_sym_export] = ACTIONS(11557),
    [anon_sym_public] = ACTIONS(11557),
    [anon_sym_import] = ACTIONS(11557),
    [anon_sym_using] = ACTIONS(11557),
    [anon_sym_LBRACK] = ACTIONS(11557),
    [anon_sym_in] = ACTIONS(11557),
    [anon_sym_SEMI] = ACTIONS(11557),
    [anon_sym_LBRACE] = ACTIONS(11557),
    [anon_sym_DOLLAR] = ACTIONS(11557),
    [anon_sym_COLON2] = ACTIONS(11557),
    [anon_sym_COLON_COLON] = ACTIONS(11557),
    [anon_sym_isa] = ACTIONS(11557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11557),
    [anon_sym_QMARK] = ACTIONS(11557),
    [anon_sym_where] = ACTIONS(11557),
    [anon_sym_AT] = ACTIONS(11557),
    [anon_sym_true] = ACTIONS(11557),
    [anon_sym_false] = ACTIONS(11557),
    [aux_sym_integer_literal_token1] = ACTIONS(11557),
    [aux_sym_integer_literal_token2] = ACTIONS(11557),
    [aux_sym_integer_literal_token3] = ACTIONS(11557),
    [aux_sym_integer_literal_token4] = ACTIONS(11557),
    [aux_sym_float_literal_token1] = ACTIONS(11557),
    [aux_sym_float_literal_token3] = ACTIONS(11557),
    [aux_sym_float_literal_token4] = ACTIONS(11557),
    [sym_character_literal] = ACTIONS(11557),
    [anon_sym_DQUOTE] = ACTIONS(11557),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11557),
    [anon_sym_BQUOTE] = ACTIONS(11557),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11557),
    [sym__pair_operator] = ACTIONS(11557),
    [sym__arrow_operator] = ACTIONS(11557),
    [sym__lazy_or_operator] = ACTIONS(11557),
    [sym__lazy_and_operator] = ACTIONS(11557),
    [sym__comparison_operator] = ACTIONS(11557),
    [sym__pipe_right_operator] = ACTIONS(11557),
    [sym__pipe_left_operator] = ACTIONS(11557),
    [sym__ellipsis_operator] = ACTIONS(11557),
    [sym__plus_operator] = ACTIONS(11557),
    [sym__times_operator] = ACTIONS(11557),
    [sym__rational_operator] = ACTIONS(11557),
    [sym__bitshift_operator] = ACTIONS(11557),
    [sym__power_operator] = ACTIONS(11557),
    [sym__tilde_operator] = ACTIONS(11557),
    [sym__type_order_operator] = ACTIONS(11557),
    [sym__unary_operator] = ACTIONS(11557),
    [sym__unary_plus_operator] = ACTIONS(11557),
    [aux_sym__terminator_token1] = ACTIONS(11559),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9459] = {
    [sym_block_comment] = STATE(9459),
    [sym_line_comment] = STATE(9459),
    [ts_builtin_sym_end] = ACTIONS(12153),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(12845),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_RBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(12847),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(12849),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(12851),
    [sym__arrow_operator] = ACTIONS(12853),
    [sym__lazy_or_operator] = ACTIONS(12855),
    [sym__lazy_and_operator] = ACTIONS(12857),
    [sym__comparison_operator] = ACTIONS(12847),
    [sym__pipe_right_operator] = ACTIONS(12859),
    [sym__pipe_left_operator] = ACTIONS(12861),
    [sym__ellipsis_operator] = ACTIONS(12863),
    [sym__plus_operator] = ACTIONS(12865),
    [sym__times_operator] = ACTIONS(12867),
    [sym__rational_operator] = ACTIONS(12869),
    [sym__bitshift_operator] = ACTIONS(12871),
    [sym__power_operator] = ACTIONS(12827),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(12847),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12865),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9460] = {
    [sym_block_comment] = STATE(9460),
    [sym_line_comment] = STATE(9460),
    [sym__word_identifier] = ACTIONS(11561),
    [anon_sym_COMMA] = ACTIONS(11561),
    [anon_sym_EQ] = ACTIONS(11561),
    [anon_sym_begin] = ACTIONS(11561),
    [anon_sym_module] = ACTIONS(11561),
    [anon_sym_baremodule] = ACTIONS(11561),
    [anon_sym_end] = ACTIONS(11561),
    [anon_sym_abstract] = ACTIONS(11561),
    [anon_sym_primitive] = ACTIONS(11561),
    [anon_sym_mutable] = ACTIONS(11561),
    [anon_sym_struct] = ACTIONS(11561),
    [anon_sym_function] = ACTIONS(11561),
    [anon_sym_macro] = ACTIONS(11561),
    [anon_sym_quote] = ACTIONS(11561),
    [anon_sym_let] = ACTIONS(11561),
    [anon_sym_if] = ACTIONS(11561),
    [anon_sym_try] = ACTIONS(11561),
    [anon_sym_for] = ACTIONS(11561),
    [anon_sym_while] = ACTIONS(11561),
    [sym_break_statement] = ACTIONS(11561),
    [sym_continue_statement] = ACTIONS(11561),
    [anon_sym_return] = ACTIONS(11561),
    [anon_sym_const] = ACTIONS(11561),
    [anon_sym_global] = ACTIONS(11561),
    [anon_sym_local] = ACTIONS(11561),
    [anon_sym_LPAREN] = ACTIONS(11561),
    [anon_sym_COLON] = ACTIONS(11561),
    [anon_sym_export] = ACTIONS(11561),
    [anon_sym_public] = ACTIONS(11561),
    [anon_sym_import] = ACTIONS(11561),
    [anon_sym_using] = ACTIONS(11561),
    [anon_sym_LBRACK] = ACTIONS(11561),
    [anon_sym_in] = ACTIONS(11561),
    [anon_sym_SEMI] = ACTIONS(11561),
    [anon_sym_LBRACE] = ACTIONS(11561),
    [anon_sym_DOLLAR] = ACTIONS(11561),
    [anon_sym_COLON2] = ACTIONS(11561),
    [anon_sym_COLON_COLON] = ACTIONS(11561),
    [anon_sym_isa] = ACTIONS(11561),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11561),
    [anon_sym_QMARK] = ACTIONS(11561),
    [anon_sym_where] = ACTIONS(11561),
    [anon_sym_AT] = ACTIONS(11561),
    [anon_sym_true] = ACTIONS(11561),
    [anon_sym_false] = ACTIONS(11561),
    [aux_sym_integer_literal_token1] = ACTIONS(11561),
    [aux_sym_integer_literal_token2] = ACTIONS(11561),
    [aux_sym_integer_literal_token3] = ACTIONS(11561),
    [aux_sym_integer_literal_token4] = ACTIONS(11561),
    [aux_sym_float_literal_token1] = ACTIONS(11561),
    [aux_sym_float_literal_token3] = ACTIONS(11561),
    [aux_sym_float_literal_token4] = ACTIONS(11561),
    [sym_character_literal] = ACTIONS(11561),
    [anon_sym_DQUOTE] = ACTIONS(11561),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11561),
    [anon_sym_BQUOTE] = ACTIONS(11561),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11561),
    [sym__pair_operator] = ACTIONS(11561),
    [sym__arrow_operator] = ACTIONS(11561),
    [sym__lazy_or_operator] = ACTIONS(11561),
    [sym__lazy_and_operator] = ACTIONS(11561),
    [sym__comparison_operator] = ACTIONS(11561),
    [sym__pipe_right_operator] = ACTIONS(11561),
    [sym__pipe_left_operator] = ACTIONS(11561),
    [sym__ellipsis_operator] = ACTIONS(11561),
    [sym__plus_operator] = ACTIONS(11561),
    [sym__times_operator] = ACTIONS(11561),
    [sym__rational_operator] = ACTIONS(11561),
    [sym__bitshift_operator] = ACTIONS(11561),
    [sym__power_operator] = ACTIONS(11561),
    [sym__tilde_operator] = ACTIONS(11561),
    [sym__type_order_operator] = ACTIONS(11561),
    [sym__unary_operator] = ACTIONS(11561),
    [sym__unary_plus_operator] = ACTIONS(11561),
    [aux_sym__terminator_token1] = ACTIONS(11563),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9461] = {
    [sym_block_comment] = STATE(9461),
    [sym_line_comment] = STATE(9461),
    [ts_builtin_sym_end] = ACTIONS(11384),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_RBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9462] = {
    [sym_block_comment] = STATE(9462),
    [sym_line_comment] = STATE(9462),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_end] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_catch] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12815),
    [sym__times_operator] = ACTIONS(12817),
    [sym__rational_operator] = ACTIONS(12819),
    [sym__bitshift_operator] = ACTIONS(12821),
    [sym__power_operator] = ACTIONS(12823),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12815),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9463] = {
    [sym_block_comment] = STATE(9463),
    [sym_line_comment] = STATE(9463),
    [ts_builtin_sym_end] = ACTIONS(11706),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_RBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(11454),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9464] = {
    [sym_block_comment] = STATE(9464),
    [sym_line_comment] = STATE(9464),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10583),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10383),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9465] = {
    [sym_block_comment] = STATE(9465),
    [sym_line_comment] = STATE(9465),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10583),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10187),
  },
  [9466] = {
    [sym_block_comment] = STATE(9466),
    [sym_line_comment] = STATE(9466),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_end] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_finally] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12697),
    [sym__times_operator] = ACTIONS(12699),
    [sym__rational_operator] = ACTIONS(12701),
    [sym__bitshift_operator] = ACTIONS(12703),
    [sym__power_operator] = ACTIONS(12705),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12697),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9467] = {
    [sym_block_comment] = STATE(9467),
    [sym_line_comment] = STATE(9467),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10067),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9468] = {
    [sym_block_comment] = STATE(9468),
    [sym_line_comment] = STATE(9468),
    [sym__word_identifier] = ACTIONS(11394),
    [anon_sym_COMMA] = ACTIONS(11394),
    [anon_sym_EQ] = ACTIONS(11394),
    [anon_sym_begin] = ACTIONS(11394),
    [anon_sym_module] = ACTIONS(11394),
    [anon_sym_baremodule] = ACTIONS(11394),
    [anon_sym_end] = ACTIONS(11394),
    [anon_sym_abstract] = ACTIONS(11394),
    [anon_sym_primitive] = ACTIONS(11394),
    [anon_sym_mutable] = ACTIONS(11394),
    [anon_sym_struct] = ACTIONS(11394),
    [anon_sym_function] = ACTIONS(11394),
    [anon_sym_macro] = ACTIONS(11394),
    [anon_sym_quote] = ACTIONS(11394),
    [anon_sym_let] = ACTIONS(11394),
    [anon_sym_if] = ACTIONS(11394),
    [anon_sym_try] = ACTIONS(11394),
    [anon_sym_for] = ACTIONS(11394),
    [anon_sym_while] = ACTIONS(11394),
    [sym_break_statement] = ACTIONS(11394),
    [sym_continue_statement] = ACTIONS(11394),
    [anon_sym_return] = ACTIONS(11394),
    [anon_sym_const] = ACTIONS(11394),
    [anon_sym_global] = ACTIONS(11394),
    [anon_sym_local] = ACTIONS(11394),
    [anon_sym_LPAREN] = ACTIONS(11394),
    [anon_sym_COLON] = ACTIONS(11394),
    [anon_sym_export] = ACTIONS(11394),
    [anon_sym_public] = ACTIONS(11394),
    [anon_sym_import] = ACTIONS(11394),
    [anon_sym_using] = ACTIONS(11394),
    [anon_sym_LBRACK] = ACTIONS(11394),
    [anon_sym_in] = ACTIONS(11394),
    [anon_sym_SEMI] = ACTIONS(11394),
    [anon_sym_LBRACE] = ACTIONS(11394),
    [anon_sym_DOLLAR] = ACTIONS(11394),
    [anon_sym_COLON2] = ACTIONS(11394),
    [anon_sym_COLON_COLON] = ACTIONS(11394),
    [anon_sym_isa] = ACTIONS(11394),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11394),
    [anon_sym_QMARK] = ACTIONS(11394),
    [anon_sym_where] = ACTIONS(11394),
    [anon_sym_AT] = ACTIONS(11394),
    [anon_sym_true] = ACTIONS(11394),
    [anon_sym_false] = ACTIONS(11394),
    [aux_sym_integer_literal_token1] = ACTIONS(11394),
    [aux_sym_integer_literal_token2] = ACTIONS(11394),
    [aux_sym_integer_literal_token3] = ACTIONS(11394),
    [aux_sym_integer_literal_token4] = ACTIONS(11394),
    [aux_sym_float_literal_token1] = ACTIONS(11394),
    [aux_sym_float_literal_token3] = ACTIONS(11394),
    [aux_sym_float_literal_token4] = ACTIONS(11394),
    [sym_character_literal] = ACTIONS(11394),
    [anon_sym_DQUOTE] = ACTIONS(11394),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11394),
    [anon_sym_BQUOTE] = ACTIONS(11394),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11394),
    [sym__pair_operator] = ACTIONS(11394),
    [sym__arrow_operator] = ACTIONS(11394),
    [sym__lazy_or_operator] = ACTIONS(11394),
    [sym__lazy_and_operator] = ACTIONS(11394),
    [sym__comparison_operator] = ACTIONS(11394),
    [sym__pipe_right_operator] = ACTIONS(11394),
    [sym__pipe_left_operator] = ACTIONS(11394),
    [sym__ellipsis_operator] = ACTIONS(11394),
    [sym__plus_operator] = ACTIONS(11394),
    [sym__times_operator] = ACTIONS(11394),
    [sym__rational_operator] = ACTIONS(11394),
    [sym__bitshift_operator] = ACTIONS(11394),
    [sym__power_operator] = ACTIONS(11394),
    [sym__tilde_operator] = ACTIONS(11394),
    [sym__type_order_operator] = ACTIONS(11394),
    [sym__unary_operator] = ACTIONS(11394),
    [sym__unary_plus_operator] = ACTIONS(11394),
    [aux_sym__terminator_token1] = ACTIONS(11396),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9469] = {
    [sym_block_comment] = STATE(9469),
    [sym_line_comment] = STATE(9469),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10195),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_as] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10195),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10195),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10195),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10195),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10195),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10195),
    [anon_sym_QMARK] = ACTIONS(10195),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10195),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10195),
    [aux_sym_integer_literal_token2] = ACTIONS(10195),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10195),
    [aux_sym_float_literal_token3] = ACTIONS(10195),
    [aux_sym_float_literal_token4] = ACTIONS(10195),
    [sym_character_literal] = ACTIONS(10195),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10195),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10195),
    [sym__pair_operator] = ACTIONS(10195),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10195),
    [sym__lazy_and_operator] = ACTIONS(10195),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10195),
    [sym__pipe_left_operator] = ACTIONS(10195),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10195),
    [sym__bitshift_operator] = ACTIONS(10195),
    [sym__power_operator] = ACTIONS(10195),
    [sym__tilde_operator] = ACTIONS(10195),
    [sym__type_order_operator] = ACTIONS(10195),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9470] = {
    [sym_block_comment] = STATE(9470),
    [sym_line_comment] = STATE(9470),
    [sym__word_identifier] = ACTIONS(11597),
    [anon_sym_COMMA] = ACTIONS(11597),
    [anon_sym_EQ] = ACTIONS(11597),
    [anon_sym_begin] = ACTIONS(11597),
    [anon_sym_module] = ACTIONS(11597),
    [anon_sym_baremodule] = ACTIONS(11597),
    [anon_sym_end] = ACTIONS(11597),
    [anon_sym_abstract] = ACTIONS(11597),
    [anon_sym_primitive] = ACTIONS(11597),
    [anon_sym_mutable] = ACTIONS(11597),
    [anon_sym_struct] = ACTIONS(11597),
    [anon_sym_function] = ACTIONS(11597),
    [anon_sym_macro] = ACTIONS(11597),
    [anon_sym_quote] = ACTIONS(11597),
    [anon_sym_let] = ACTIONS(11597),
    [anon_sym_if] = ACTIONS(11597),
    [anon_sym_try] = ACTIONS(11597),
    [anon_sym_for] = ACTIONS(11597),
    [anon_sym_while] = ACTIONS(11597),
    [sym_break_statement] = ACTIONS(11597),
    [sym_continue_statement] = ACTIONS(11597),
    [anon_sym_return] = ACTIONS(11597),
    [anon_sym_const] = ACTIONS(11597),
    [anon_sym_global] = ACTIONS(11597),
    [anon_sym_local] = ACTIONS(11597),
    [anon_sym_LPAREN] = ACTIONS(11597),
    [anon_sym_COLON] = ACTIONS(11597),
    [anon_sym_export] = ACTIONS(11597),
    [anon_sym_public] = ACTIONS(11597),
    [anon_sym_import] = ACTIONS(11597),
    [anon_sym_using] = ACTIONS(11597),
    [anon_sym_LBRACK] = ACTIONS(11597),
    [anon_sym_in] = ACTIONS(11597),
    [anon_sym_SEMI] = ACTIONS(11597),
    [anon_sym_LBRACE] = ACTIONS(11597),
    [anon_sym_DOLLAR] = ACTIONS(11597),
    [anon_sym_COLON2] = ACTIONS(11597),
    [anon_sym_COLON_COLON] = ACTIONS(11597),
    [anon_sym_isa] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11597),
    [anon_sym_QMARK] = ACTIONS(11597),
    [anon_sym_where] = ACTIONS(11597),
    [anon_sym_AT] = ACTIONS(11597),
    [anon_sym_true] = ACTIONS(11597),
    [anon_sym_false] = ACTIONS(11597),
    [aux_sym_integer_literal_token1] = ACTIONS(11597),
    [aux_sym_integer_literal_token2] = ACTIONS(11597),
    [aux_sym_integer_literal_token3] = ACTIONS(11597),
    [aux_sym_integer_literal_token4] = ACTIONS(11597),
    [aux_sym_float_literal_token1] = ACTIONS(11597),
    [aux_sym_float_literal_token3] = ACTIONS(11597),
    [aux_sym_float_literal_token4] = ACTIONS(11597),
    [sym_character_literal] = ACTIONS(11597),
    [anon_sym_DQUOTE] = ACTIONS(11597),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11597),
    [anon_sym_BQUOTE] = ACTIONS(11597),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11597),
    [sym__pair_operator] = ACTIONS(11597),
    [sym__arrow_operator] = ACTIONS(11597),
    [sym__lazy_or_operator] = ACTIONS(11597),
    [sym__lazy_and_operator] = ACTIONS(11597),
    [sym__comparison_operator] = ACTIONS(11597),
    [sym__pipe_right_operator] = ACTIONS(11597),
    [sym__pipe_left_operator] = ACTIONS(11597),
    [sym__ellipsis_operator] = ACTIONS(11597),
    [sym__plus_operator] = ACTIONS(11597),
    [sym__times_operator] = ACTIONS(11597),
    [sym__rational_operator] = ACTIONS(11597),
    [sym__bitshift_operator] = ACTIONS(11597),
    [sym__power_operator] = ACTIONS(11597),
    [sym__tilde_operator] = ACTIONS(11597),
    [sym__type_order_operator] = ACTIONS(11597),
    [sym__unary_operator] = ACTIONS(11597),
    [sym__unary_plus_operator] = ACTIONS(11597),
    [aux_sym__terminator_token1] = ACTIONS(11599),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9471] = {
    [sym_block_comment] = STATE(9471),
    [sym_line_comment] = STATE(9471),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10401),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_as] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10401),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10401),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10401),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10401),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10401),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10401),
    [anon_sym_QMARK] = ACTIONS(10401),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10401),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10401),
    [aux_sym_integer_literal_token2] = ACTIONS(10401),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10401),
    [aux_sym_float_literal_token3] = ACTIONS(10401),
    [aux_sym_float_literal_token4] = ACTIONS(10401),
    [sym_character_literal] = ACTIONS(10401),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10401),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10401),
    [sym__pair_operator] = ACTIONS(10401),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10401),
    [sym__lazy_and_operator] = ACTIONS(10401),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10401),
    [sym__pipe_left_operator] = ACTIONS(10401),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10401),
    [sym__bitshift_operator] = ACTIONS(10401),
    [sym__power_operator] = ACTIONS(10401),
    [sym__tilde_operator] = ACTIONS(10401),
    [sym__type_order_operator] = ACTIONS(10401),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9472] = {
    [sym_block_comment] = STATE(9472),
    [sym_line_comment] = STATE(9472),
    [sym__word_identifier] = ACTIONS(11601),
    [anon_sym_COMMA] = ACTIONS(11601),
    [anon_sym_EQ] = ACTIONS(11601),
    [anon_sym_begin] = ACTIONS(11601),
    [anon_sym_module] = ACTIONS(11601),
    [anon_sym_baremodule] = ACTIONS(11601),
    [anon_sym_end] = ACTIONS(11601),
    [anon_sym_abstract] = ACTIONS(11601),
    [anon_sym_primitive] = ACTIONS(11601),
    [anon_sym_mutable] = ACTIONS(11601),
    [anon_sym_struct] = ACTIONS(11601),
    [anon_sym_function] = ACTIONS(11601),
    [anon_sym_macro] = ACTIONS(11601),
    [anon_sym_quote] = ACTIONS(11601),
    [anon_sym_let] = ACTIONS(11601),
    [anon_sym_if] = ACTIONS(11601),
    [anon_sym_try] = ACTIONS(11601),
    [anon_sym_for] = ACTIONS(11601),
    [anon_sym_while] = ACTIONS(11601),
    [sym_break_statement] = ACTIONS(11601),
    [sym_continue_statement] = ACTIONS(11601),
    [anon_sym_return] = ACTIONS(11601),
    [anon_sym_const] = ACTIONS(11601),
    [anon_sym_global] = ACTIONS(11601),
    [anon_sym_local] = ACTIONS(11601),
    [anon_sym_LPAREN] = ACTIONS(11601),
    [anon_sym_COLON] = ACTIONS(11601),
    [anon_sym_export] = ACTIONS(11601),
    [anon_sym_public] = ACTIONS(11601),
    [anon_sym_import] = ACTIONS(11601),
    [anon_sym_using] = ACTIONS(11601),
    [anon_sym_LBRACK] = ACTIONS(11601),
    [anon_sym_in] = ACTIONS(11601),
    [anon_sym_SEMI] = ACTIONS(11601),
    [anon_sym_LBRACE] = ACTIONS(11601),
    [anon_sym_DOLLAR] = ACTIONS(11601),
    [anon_sym_COLON2] = ACTIONS(11601),
    [anon_sym_COLON_COLON] = ACTIONS(11601),
    [anon_sym_isa] = ACTIONS(11601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11601),
    [anon_sym_QMARK] = ACTIONS(11601),
    [anon_sym_where] = ACTIONS(11601),
    [anon_sym_AT] = ACTIONS(11601),
    [anon_sym_true] = ACTIONS(11601),
    [anon_sym_false] = ACTIONS(11601),
    [aux_sym_integer_literal_token1] = ACTIONS(11601),
    [aux_sym_integer_literal_token2] = ACTIONS(11601),
    [aux_sym_integer_literal_token3] = ACTIONS(11601),
    [aux_sym_integer_literal_token4] = ACTIONS(11601),
    [aux_sym_float_literal_token1] = ACTIONS(11601),
    [aux_sym_float_literal_token3] = ACTIONS(11601),
    [aux_sym_float_literal_token4] = ACTIONS(11601),
    [sym_character_literal] = ACTIONS(11601),
    [anon_sym_DQUOTE] = ACTIONS(11601),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11601),
    [anon_sym_BQUOTE] = ACTIONS(11601),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11601),
    [sym__pair_operator] = ACTIONS(11601),
    [sym__arrow_operator] = ACTIONS(11601),
    [sym__lazy_or_operator] = ACTIONS(11601),
    [sym__lazy_and_operator] = ACTIONS(11601),
    [sym__comparison_operator] = ACTIONS(11601),
    [sym__pipe_right_operator] = ACTIONS(11601),
    [sym__pipe_left_operator] = ACTIONS(11601),
    [sym__ellipsis_operator] = ACTIONS(11601),
    [sym__plus_operator] = ACTIONS(11601),
    [sym__times_operator] = ACTIONS(11601),
    [sym__rational_operator] = ACTIONS(11601),
    [sym__bitshift_operator] = ACTIONS(11601),
    [sym__power_operator] = ACTIONS(11601),
    [sym__tilde_operator] = ACTIONS(11601),
    [sym__type_order_operator] = ACTIONS(11601),
    [sym__unary_operator] = ACTIONS(11601),
    [sym__unary_plus_operator] = ACTIONS(11601),
    [aux_sym__terminator_token1] = ACTIONS(11603),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9473] = {
    [sym_block_comment] = STATE(9473),
    [sym_line_comment] = STATE(9473),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10265),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_as] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10265),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10265),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10265),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10265),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10265),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10265),
    [anon_sym_QMARK] = ACTIONS(10265),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10265),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10265),
    [aux_sym_integer_literal_token2] = ACTIONS(10265),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10265),
    [aux_sym_float_literal_token3] = ACTIONS(10265),
    [aux_sym_float_literal_token4] = ACTIONS(10265),
    [sym_character_literal] = ACTIONS(10265),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10265),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10265),
    [sym__pair_operator] = ACTIONS(10265),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10265),
    [sym__lazy_and_operator] = ACTIONS(10265),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10265),
    [sym__pipe_left_operator] = ACTIONS(10265),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10265),
    [sym__bitshift_operator] = ACTIONS(10265),
    [sym__power_operator] = ACTIONS(10265),
    [sym__tilde_operator] = ACTIONS(10265),
    [sym__type_order_operator] = ACTIONS(10265),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9474] = {
    [sym_block_comment] = STATE(9474),
    [sym_line_comment] = STATE(9474),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11258),
    [anon_sym_EQ] = ACTIONS(12773),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11258),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11258),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_SEMI] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11258),
    [anon_sym_DOLLAR] = ACTIONS(11258),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11258),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11258),
    [anon_sym_QMARK] = ACTIONS(11258),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11258),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11258),
    [aux_sym_integer_literal_token2] = ACTIONS(11258),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11258),
    [aux_sym_float_literal_token3] = ACTIONS(11258),
    [aux_sym_float_literal_token4] = ACTIONS(11258),
    [sym_character_literal] = ACTIONS(11258),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11258),
    [sym__pair_operator] = ACTIONS(11258),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11258),
    [sym__lazy_and_operator] = ACTIONS(11258),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11258),
    [sym__pipe_left_operator] = ACTIONS(11258),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11258),
    [sym__bitshift_operator] = ACTIONS(11258),
    [sym__power_operator] = ACTIONS(11258),
    [sym__tilde_operator] = ACTIONS(11258),
    [sym__type_order_operator] = ACTIONS(11258),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym__terminator_token1] = ACTIONS(11260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9475] = {
    [sym_block_comment] = STATE(9475),
    [sym_line_comment] = STATE(9475),
    [sym__word_identifier] = ACTIONS(11605),
    [anon_sym_COMMA] = ACTIONS(11605),
    [anon_sym_EQ] = ACTIONS(11605),
    [anon_sym_begin] = ACTIONS(11605),
    [anon_sym_module] = ACTIONS(11605),
    [anon_sym_baremodule] = ACTIONS(11605),
    [anon_sym_end] = ACTIONS(11605),
    [anon_sym_abstract] = ACTIONS(11605),
    [anon_sym_primitive] = ACTIONS(11605),
    [anon_sym_mutable] = ACTIONS(11605),
    [anon_sym_struct] = ACTIONS(11605),
    [anon_sym_function] = ACTIONS(11605),
    [anon_sym_macro] = ACTIONS(11605),
    [anon_sym_quote] = ACTIONS(11605),
    [anon_sym_let] = ACTIONS(11605),
    [anon_sym_if] = ACTIONS(11605),
    [anon_sym_try] = ACTIONS(11605),
    [anon_sym_for] = ACTIONS(11605),
    [anon_sym_while] = ACTIONS(11605),
    [sym_break_statement] = ACTIONS(11605),
    [sym_continue_statement] = ACTIONS(11605),
    [anon_sym_return] = ACTIONS(11605),
    [anon_sym_const] = ACTIONS(11605),
    [anon_sym_global] = ACTIONS(11605),
    [anon_sym_local] = ACTIONS(11605),
    [anon_sym_LPAREN] = ACTIONS(11605),
    [anon_sym_COLON] = ACTIONS(11605),
    [anon_sym_export] = ACTIONS(11605),
    [anon_sym_public] = ACTIONS(11605),
    [anon_sym_import] = ACTIONS(11605),
    [anon_sym_using] = ACTIONS(11605),
    [anon_sym_LBRACK] = ACTIONS(11605),
    [anon_sym_in] = ACTIONS(11605),
    [anon_sym_SEMI] = ACTIONS(11605),
    [anon_sym_LBRACE] = ACTIONS(11605),
    [anon_sym_DOLLAR] = ACTIONS(11605),
    [anon_sym_COLON2] = ACTIONS(11605),
    [anon_sym_COLON_COLON] = ACTIONS(11605),
    [anon_sym_isa] = ACTIONS(11605),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11605),
    [anon_sym_QMARK] = ACTIONS(11605),
    [anon_sym_where] = ACTIONS(11605),
    [anon_sym_AT] = ACTIONS(11605),
    [anon_sym_true] = ACTIONS(11605),
    [anon_sym_false] = ACTIONS(11605),
    [aux_sym_integer_literal_token1] = ACTIONS(11605),
    [aux_sym_integer_literal_token2] = ACTIONS(11605),
    [aux_sym_integer_literal_token3] = ACTIONS(11605),
    [aux_sym_integer_literal_token4] = ACTIONS(11605),
    [aux_sym_float_literal_token1] = ACTIONS(11605),
    [aux_sym_float_literal_token3] = ACTIONS(11605),
    [aux_sym_float_literal_token4] = ACTIONS(11605),
    [sym_character_literal] = ACTIONS(11605),
    [anon_sym_DQUOTE] = ACTIONS(11605),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11605),
    [anon_sym_BQUOTE] = ACTIONS(11605),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11605),
    [sym__pair_operator] = ACTIONS(11605),
    [sym__arrow_operator] = ACTIONS(11605),
    [sym__lazy_or_operator] = ACTIONS(11605),
    [sym__lazy_and_operator] = ACTIONS(11605),
    [sym__comparison_operator] = ACTIONS(11605),
    [sym__pipe_right_operator] = ACTIONS(11605),
    [sym__pipe_left_operator] = ACTIONS(11605),
    [sym__ellipsis_operator] = ACTIONS(11605),
    [sym__plus_operator] = ACTIONS(11605),
    [sym__times_operator] = ACTIONS(11605),
    [sym__rational_operator] = ACTIONS(11605),
    [sym__bitshift_operator] = ACTIONS(11605),
    [sym__power_operator] = ACTIONS(11605),
    [sym__tilde_operator] = ACTIONS(11605),
    [sym__type_order_operator] = ACTIONS(11605),
    [sym__unary_operator] = ACTIONS(11605),
    [sym__unary_plus_operator] = ACTIONS(11605),
    [aux_sym__terminator_token1] = ACTIONS(11607),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9476] = {
    [sym_block_comment] = STATE(9476),
    [sym_line_comment] = STATE(9476),
    [ts_builtin_sym_end] = ACTIONS(11790),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_RBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12865),
    [sym__times_operator] = ACTIONS(12867),
    [sym__rational_operator] = ACTIONS(12869),
    [sym__bitshift_operator] = ACTIONS(12871),
    [sym__power_operator] = ACTIONS(12827),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12865),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9477] = {
    [sym_block_comment] = STATE(9477),
    [sym_line_comment] = STATE(9477),
    [sym__word_identifier] = ACTIONS(11609),
    [anon_sym_COMMA] = ACTIONS(11609),
    [anon_sym_EQ] = ACTIONS(11609),
    [anon_sym_begin] = ACTIONS(11609),
    [anon_sym_module] = ACTIONS(11609),
    [anon_sym_baremodule] = ACTIONS(11609),
    [anon_sym_end] = ACTIONS(11609),
    [anon_sym_abstract] = ACTIONS(11609),
    [anon_sym_primitive] = ACTIONS(11609),
    [anon_sym_mutable] = ACTIONS(11609),
    [anon_sym_struct] = ACTIONS(11609),
    [anon_sym_function] = ACTIONS(11609),
    [anon_sym_macro] = ACTIONS(11609),
    [anon_sym_quote] = ACTIONS(11609),
    [anon_sym_let] = ACTIONS(11609),
    [anon_sym_if] = ACTIONS(11609),
    [anon_sym_try] = ACTIONS(11609),
    [anon_sym_for] = ACTIONS(11609),
    [anon_sym_while] = ACTIONS(11609),
    [sym_break_statement] = ACTIONS(11609),
    [sym_continue_statement] = ACTIONS(11609),
    [anon_sym_return] = ACTIONS(11609),
    [anon_sym_const] = ACTIONS(11609),
    [anon_sym_global] = ACTIONS(11609),
    [anon_sym_local] = ACTIONS(11609),
    [anon_sym_LPAREN] = ACTIONS(11609),
    [anon_sym_COLON] = ACTIONS(11609),
    [anon_sym_export] = ACTIONS(11609),
    [anon_sym_public] = ACTIONS(11609),
    [anon_sym_import] = ACTIONS(11609),
    [anon_sym_using] = ACTIONS(11609),
    [anon_sym_LBRACK] = ACTIONS(11609),
    [anon_sym_in] = ACTIONS(11609),
    [anon_sym_SEMI] = ACTIONS(11609),
    [anon_sym_LBRACE] = ACTIONS(11609),
    [anon_sym_DOLLAR] = ACTIONS(11609),
    [anon_sym_COLON2] = ACTIONS(11609),
    [anon_sym_COLON_COLON] = ACTIONS(11609),
    [anon_sym_isa] = ACTIONS(11609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11609),
    [anon_sym_QMARK] = ACTIONS(11609),
    [anon_sym_where] = ACTIONS(11609),
    [anon_sym_AT] = ACTIONS(11609),
    [anon_sym_true] = ACTIONS(11609),
    [anon_sym_false] = ACTIONS(11609),
    [aux_sym_integer_literal_token1] = ACTIONS(11609),
    [aux_sym_integer_literal_token2] = ACTIONS(11609),
    [aux_sym_integer_literal_token3] = ACTIONS(11609),
    [aux_sym_integer_literal_token4] = ACTIONS(11609),
    [aux_sym_float_literal_token1] = ACTIONS(11609),
    [aux_sym_float_literal_token3] = ACTIONS(11609),
    [aux_sym_float_literal_token4] = ACTIONS(11609),
    [sym_character_literal] = ACTIONS(11609),
    [anon_sym_DQUOTE] = ACTIONS(11609),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11609),
    [anon_sym_BQUOTE] = ACTIONS(11609),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11609),
    [sym__pair_operator] = ACTIONS(11609),
    [sym__arrow_operator] = ACTIONS(11609),
    [sym__lazy_or_operator] = ACTIONS(11609),
    [sym__lazy_and_operator] = ACTIONS(11609),
    [sym__comparison_operator] = ACTIONS(11609),
    [sym__pipe_right_operator] = ACTIONS(11609),
    [sym__pipe_left_operator] = ACTIONS(11609),
    [sym__ellipsis_operator] = ACTIONS(11609),
    [sym__plus_operator] = ACTIONS(11609),
    [sym__times_operator] = ACTIONS(11609),
    [sym__rational_operator] = ACTIONS(11609),
    [sym__bitshift_operator] = ACTIONS(11609),
    [sym__power_operator] = ACTIONS(11609),
    [sym__tilde_operator] = ACTIONS(11609),
    [sym__type_order_operator] = ACTIONS(11609),
    [sym__unary_operator] = ACTIONS(11609),
    [sym__unary_plus_operator] = ACTIONS(11609),
    [aux_sym__terminator_token1] = ACTIONS(11611),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9478] = {
    [sym__primary_expression] = STATE(11968),
    [sym__array] = STATE(11240),
    [sym_comprehension_expression] = STATE(11258),
    [sym_matrix_expression] = STATE(11258),
    [sym_vector_expression] = STATE(11258),
    [sym_parenthesized_expression] = STATE(11240),
    [sym_tuple_expression] = STATE(11240),
    [sym_curly_expression] = STATE(11240),
    [sym_adjoint_expression] = STATE(11240),
    [sym_field_expression] = STATE(11240),
    [sym_index_expression] = STATE(11240),
    [sym_parametrized_type_expression] = STATE(11240),
    [sym_call_expression] = STATE(11240),
    [sym_broadcast_call_expression] = STATE(11240),
    [sym__closed_macrocall_expression] = STATE(11240),
    [sym_interpolation_expression] = STATE(11240),
    [sym_quote_expression] = STATE(11240),
    [sym_macro_identifier] = STATE(18196),
    [sym_identifier] = STATE(11311),
    [sym_boolean_literal] = STATE(11240),
    [sym__string] = STATE(11240),
    [sym__delimiter_str_1] = STATE(15154),
    [sym__delimiter_str_3] = STATE(15155),
    [sym__delimiter_cmd_1] = STATE(15156),
    [sym__delimiter_cmd_3] = STATE(15157),
    [sym_string_literal] = STATE(11212),
    [sym_command_literal] = STATE(11212),
    [sym_prefixed_string_literal] = STATE(11212),
    [sym_prefixed_command_literal] = STATE(11212),
    [sym_operator] = STATE(19880),
    [sym_block_comment] = STATE(9478),
    [sym_line_comment] = STATE(9478),
    [sym__word_identifier] = ACTIONS(10527),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_elseif] = ACTIONS(9442),
    [anon_sym_else] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(10529),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(10531),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(10533),
    [anon_sym_DOLLAR] = ACTIONS(10535),
    [anon_sym_COLON2] = ACTIONS(10537),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(10539),
    [anon_sym_true] = ACTIONS(10541),
    [anon_sym_false] = ACTIONS(10541),
    [sym_character_literal] = ACTIONS(10543),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(9480),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9480),
    [sym__pipe_left_operator] = ACTIONS(9480),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9480),
    [sym__bitshift_operator] = ACTIONS(9480),
    [sym__power_operator] = ACTIONS(9480),
    [sym__tilde_operator] = ACTIONS(1689),
    [sym__type_order_operator] = ACTIONS(9480),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9479] = {
    [sym_block_comment] = STATE(9479),
    [sym_line_comment] = STATE(9479),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10878),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_as] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10878),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10878),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10878),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10878),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10878),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10878),
    [anon_sym_QMARK] = ACTIONS(10878),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10878),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10878),
    [aux_sym_integer_literal_token2] = ACTIONS(10878),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10878),
    [aux_sym_float_literal_token3] = ACTIONS(10878),
    [aux_sym_float_literal_token4] = ACTIONS(10878),
    [sym_character_literal] = ACTIONS(10878),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10878),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10878),
    [sym__pair_operator] = ACTIONS(10878),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10878),
    [sym__lazy_and_operator] = ACTIONS(10878),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10878),
    [sym__pipe_left_operator] = ACTIONS(10878),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10878),
    [sym__bitshift_operator] = ACTIONS(10878),
    [sym__power_operator] = ACTIONS(10878),
    [sym__tilde_operator] = ACTIONS(10878),
    [sym__type_order_operator] = ACTIONS(10878),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9480] = {
    [sym_block_comment] = STATE(9480),
    [sym_line_comment] = STATE(9480),
    [sym__word_identifier] = ACTIONS(11398),
    [anon_sym_COMMA] = ACTIONS(11398),
    [anon_sym_EQ] = ACTIONS(11398),
    [anon_sym_begin] = ACTIONS(11398),
    [anon_sym_module] = ACTIONS(11398),
    [anon_sym_baremodule] = ACTIONS(11398),
    [anon_sym_end] = ACTIONS(11398),
    [anon_sym_abstract] = ACTIONS(11398),
    [anon_sym_primitive] = ACTIONS(11398),
    [anon_sym_mutable] = ACTIONS(11398),
    [anon_sym_struct] = ACTIONS(11398),
    [anon_sym_function] = ACTIONS(11398),
    [anon_sym_macro] = ACTIONS(11398),
    [anon_sym_quote] = ACTIONS(11398),
    [anon_sym_let] = ACTIONS(11398),
    [anon_sym_if] = ACTIONS(11398),
    [anon_sym_try] = ACTIONS(11398),
    [anon_sym_for] = ACTIONS(11398),
    [anon_sym_while] = ACTIONS(11398),
    [sym_break_statement] = ACTIONS(11398),
    [sym_continue_statement] = ACTIONS(11398),
    [anon_sym_return] = ACTIONS(11398),
    [anon_sym_const] = ACTIONS(11398),
    [anon_sym_global] = ACTIONS(11398),
    [anon_sym_local] = ACTIONS(11398),
    [anon_sym_LPAREN] = ACTIONS(11398),
    [anon_sym_COLON] = ACTIONS(11398),
    [anon_sym_export] = ACTIONS(11398),
    [anon_sym_public] = ACTIONS(11398),
    [anon_sym_import] = ACTIONS(11398),
    [anon_sym_using] = ACTIONS(11398),
    [anon_sym_LBRACK] = ACTIONS(11398),
    [anon_sym_in] = ACTIONS(11398),
    [anon_sym_SEMI] = ACTIONS(11398),
    [anon_sym_LBRACE] = ACTIONS(11398),
    [anon_sym_DOLLAR] = ACTIONS(11398),
    [anon_sym_COLON2] = ACTIONS(11398),
    [anon_sym_COLON_COLON] = ACTIONS(11398),
    [anon_sym_isa] = ACTIONS(11398),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11398),
    [anon_sym_QMARK] = ACTIONS(11398),
    [anon_sym_where] = ACTIONS(11398),
    [anon_sym_AT] = ACTIONS(11398),
    [anon_sym_true] = ACTIONS(11398),
    [anon_sym_false] = ACTIONS(11398),
    [aux_sym_integer_literal_token1] = ACTIONS(11398),
    [aux_sym_integer_literal_token2] = ACTIONS(11398),
    [aux_sym_integer_literal_token3] = ACTIONS(11398),
    [aux_sym_integer_literal_token4] = ACTIONS(11398),
    [aux_sym_float_literal_token1] = ACTIONS(11398),
    [aux_sym_float_literal_token3] = ACTIONS(11398),
    [aux_sym_float_literal_token4] = ACTIONS(11398),
    [sym_character_literal] = ACTIONS(11398),
    [anon_sym_DQUOTE] = ACTIONS(11398),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11398),
    [anon_sym_BQUOTE] = ACTIONS(11398),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11398),
    [sym__pair_operator] = ACTIONS(11398),
    [sym__arrow_operator] = ACTIONS(11398),
    [sym__lazy_or_operator] = ACTIONS(11398),
    [sym__lazy_and_operator] = ACTIONS(11398),
    [sym__comparison_operator] = ACTIONS(11398),
    [sym__pipe_right_operator] = ACTIONS(11398),
    [sym__pipe_left_operator] = ACTIONS(11398),
    [sym__ellipsis_operator] = ACTIONS(11398),
    [sym__plus_operator] = ACTIONS(11398),
    [sym__times_operator] = ACTIONS(11398),
    [sym__rational_operator] = ACTIONS(11398),
    [sym__bitshift_operator] = ACTIONS(11398),
    [sym__power_operator] = ACTIONS(11398),
    [sym__tilde_operator] = ACTIONS(11398),
    [sym__type_order_operator] = ACTIONS(11398),
    [sym__unary_operator] = ACTIONS(11398),
    [sym__unary_plus_operator] = ACTIONS(11398),
    [aux_sym__terminator_token1] = ACTIONS(11400),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9481] = {
    [sym_block_comment] = STATE(9481),
    [sym_line_comment] = STATE(9481),
    [sym__word_identifier] = ACTIONS(11402),
    [anon_sym_COMMA] = ACTIONS(11402),
    [anon_sym_EQ] = ACTIONS(11402),
    [anon_sym_begin] = ACTIONS(11402),
    [anon_sym_module] = ACTIONS(11402),
    [anon_sym_baremodule] = ACTIONS(11402),
    [anon_sym_end] = ACTIONS(11402),
    [anon_sym_abstract] = ACTIONS(11402),
    [anon_sym_primitive] = ACTIONS(11402),
    [anon_sym_mutable] = ACTIONS(11402),
    [anon_sym_struct] = ACTIONS(11402),
    [anon_sym_function] = ACTIONS(11402),
    [anon_sym_macro] = ACTIONS(11402),
    [anon_sym_quote] = ACTIONS(11402),
    [anon_sym_let] = ACTIONS(11402),
    [anon_sym_if] = ACTIONS(11402),
    [anon_sym_try] = ACTIONS(11402),
    [anon_sym_for] = ACTIONS(11402),
    [anon_sym_while] = ACTIONS(11402),
    [sym_break_statement] = ACTIONS(11402),
    [sym_continue_statement] = ACTIONS(11402),
    [anon_sym_return] = ACTIONS(11402),
    [anon_sym_const] = ACTIONS(11402),
    [anon_sym_global] = ACTIONS(11402),
    [anon_sym_local] = ACTIONS(11402),
    [anon_sym_LPAREN] = ACTIONS(11402),
    [anon_sym_COLON] = ACTIONS(11402),
    [anon_sym_export] = ACTIONS(11402),
    [anon_sym_public] = ACTIONS(11402),
    [anon_sym_import] = ACTIONS(11402),
    [anon_sym_using] = ACTIONS(11402),
    [anon_sym_LBRACK] = ACTIONS(11402),
    [anon_sym_in] = ACTIONS(11402),
    [anon_sym_SEMI] = ACTIONS(11402),
    [anon_sym_LBRACE] = ACTIONS(11402),
    [anon_sym_DOLLAR] = ACTIONS(11402),
    [anon_sym_COLON2] = ACTIONS(11402),
    [anon_sym_COLON_COLON] = ACTIONS(11402),
    [anon_sym_isa] = ACTIONS(11402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11402),
    [anon_sym_QMARK] = ACTIONS(11402),
    [anon_sym_where] = ACTIONS(11402),
    [anon_sym_AT] = ACTIONS(11402),
    [anon_sym_true] = ACTIONS(11402),
    [anon_sym_false] = ACTIONS(11402),
    [aux_sym_integer_literal_token1] = ACTIONS(11402),
    [aux_sym_integer_literal_token2] = ACTIONS(11402),
    [aux_sym_integer_literal_token3] = ACTIONS(11402),
    [aux_sym_integer_literal_token4] = ACTIONS(11402),
    [aux_sym_float_literal_token1] = ACTIONS(11402),
    [aux_sym_float_literal_token3] = ACTIONS(11402),
    [aux_sym_float_literal_token4] = ACTIONS(11402),
    [sym_character_literal] = ACTIONS(11402),
    [anon_sym_DQUOTE] = ACTIONS(11402),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11402),
    [anon_sym_BQUOTE] = ACTIONS(11402),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11402),
    [sym__pair_operator] = ACTIONS(11402),
    [sym__arrow_operator] = ACTIONS(11402),
    [sym__lazy_or_operator] = ACTIONS(11402),
    [sym__lazy_and_operator] = ACTIONS(11402),
    [sym__comparison_operator] = ACTIONS(11402),
    [sym__pipe_right_operator] = ACTIONS(11402),
    [sym__pipe_left_operator] = ACTIONS(11402),
    [sym__ellipsis_operator] = ACTIONS(11402),
    [sym__plus_operator] = ACTIONS(11402),
    [sym__times_operator] = ACTIONS(11402),
    [sym__rational_operator] = ACTIONS(11402),
    [sym__bitshift_operator] = ACTIONS(11402),
    [sym__power_operator] = ACTIONS(11402),
    [sym__tilde_operator] = ACTIONS(11402),
    [sym__type_order_operator] = ACTIONS(11402),
    [sym__unary_operator] = ACTIONS(11402),
    [sym__unary_plus_operator] = ACTIONS(11402),
    [aux_sym__terminator_token1] = ACTIONS(11404),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9482] = {
    [sym_block_comment] = STATE(9482),
    [sym_line_comment] = STATE(9482),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(10489),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9483] = {
    [sym_block_comment] = STATE(9483),
    [sym_line_comment] = STATE(9483),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11212),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11212),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11212),
    [anon_sym_QMARK] = ACTIONS(11212),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(11212),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11212),
    [sym__lazy_and_operator] = ACTIONS(11212),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11212),
    [sym__pipe_left_operator] = ACTIONS(11212),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11212),
    [sym__bitshift_operator] = ACTIONS(11212),
    [sym__power_operator] = ACTIONS(11212),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(11212),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9484] = {
    [sym_block_comment] = STATE(9484),
    [sym_line_comment] = STATE(9484),
    [aux_sym_open_tuple_repeat1] = STATE(9211),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(12582),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11212),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11212),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11212),
    [anon_sym_DOLLAR] = ACTIONS(11212),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12707),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11212),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11212),
    [aux_sym_integer_literal_token2] = ACTIONS(11212),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11212),
    [aux_sym_float_literal_token3] = ACTIONS(11212),
    [aux_sym_float_literal_token4] = ACTIONS(11212),
    [sym_character_literal] = ACTIONS(11212),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11212),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11212),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11214),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9485] = {
    [sym_block_comment] = STATE(9485),
    [sym_line_comment] = STATE(9485),
    [sym__word_identifier] = ACTIONS(11406),
    [anon_sym_COMMA] = ACTIONS(11406),
    [anon_sym_EQ] = ACTIONS(11406),
    [anon_sym_begin] = ACTIONS(11406),
    [anon_sym_module] = ACTIONS(11406),
    [anon_sym_baremodule] = ACTIONS(11406),
    [anon_sym_end] = ACTIONS(11406),
    [anon_sym_abstract] = ACTIONS(11406),
    [anon_sym_primitive] = ACTIONS(11406),
    [anon_sym_mutable] = ACTIONS(11406),
    [anon_sym_struct] = ACTIONS(11406),
    [anon_sym_function] = ACTIONS(11406),
    [anon_sym_macro] = ACTIONS(11406),
    [anon_sym_quote] = ACTIONS(11406),
    [anon_sym_let] = ACTIONS(11406),
    [anon_sym_if] = ACTIONS(11406),
    [anon_sym_try] = ACTIONS(11406),
    [anon_sym_for] = ACTIONS(11406),
    [anon_sym_while] = ACTIONS(11406),
    [sym_break_statement] = ACTIONS(11406),
    [sym_continue_statement] = ACTIONS(11406),
    [anon_sym_return] = ACTIONS(11406),
    [anon_sym_const] = ACTIONS(11406),
    [anon_sym_global] = ACTIONS(11406),
    [anon_sym_local] = ACTIONS(11406),
    [anon_sym_LPAREN] = ACTIONS(11406),
    [anon_sym_COLON] = ACTIONS(11406),
    [anon_sym_export] = ACTIONS(11406),
    [anon_sym_public] = ACTIONS(11406),
    [anon_sym_import] = ACTIONS(11406),
    [anon_sym_using] = ACTIONS(11406),
    [anon_sym_LBRACK] = ACTIONS(11406),
    [anon_sym_in] = ACTIONS(11406),
    [anon_sym_SEMI] = ACTIONS(11406),
    [anon_sym_LBRACE] = ACTIONS(11406),
    [anon_sym_DOLLAR] = ACTIONS(11406),
    [anon_sym_COLON2] = ACTIONS(11406),
    [anon_sym_COLON_COLON] = ACTIONS(11406),
    [anon_sym_isa] = ACTIONS(11406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11406),
    [anon_sym_QMARK] = ACTIONS(11406),
    [anon_sym_where] = ACTIONS(11406),
    [anon_sym_AT] = ACTIONS(11406),
    [anon_sym_true] = ACTIONS(11406),
    [anon_sym_false] = ACTIONS(11406),
    [aux_sym_integer_literal_token1] = ACTIONS(11406),
    [aux_sym_integer_literal_token2] = ACTIONS(11406),
    [aux_sym_integer_literal_token3] = ACTIONS(11406),
    [aux_sym_integer_literal_token4] = ACTIONS(11406),
    [aux_sym_float_literal_token1] = ACTIONS(11406),
    [aux_sym_float_literal_token3] = ACTIONS(11406),
    [aux_sym_float_literal_token4] = ACTIONS(11406),
    [sym_character_literal] = ACTIONS(11406),
    [anon_sym_DQUOTE] = ACTIONS(11406),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11406),
    [anon_sym_BQUOTE] = ACTIONS(11406),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11406),
    [sym__pair_operator] = ACTIONS(11406),
    [sym__arrow_operator] = ACTIONS(11406),
    [sym__lazy_or_operator] = ACTIONS(11406),
    [sym__lazy_and_operator] = ACTIONS(11406),
    [sym__comparison_operator] = ACTIONS(11406),
    [sym__pipe_right_operator] = ACTIONS(11406),
    [sym__pipe_left_operator] = ACTIONS(11406),
    [sym__ellipsis_operator] = ACTIONS(11406),
    [sym__plus_operator] = ACTIONS(11406),
    [sym__times_operator] = ACTIONS(11406),
    [sym__rational_operator] = ACTIONS(11406),
    [sym__bitshift_operator] = ACTIONS(11406),
    [sym__power_operator] = ACTIONS(11406),
    [sym__tilde_operator] = ACTIONS(11406),
    [sym__type_order_operator] = ACTIONS(11406),
    [sym__unary_operator] = ACTIONS(11406),
    [sym__unary_plus_operator] = ACTIONS(11406),
    [aux_sym__terminator_token1] = ACTIONS(11408),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9486] = {
    [sym_block_comment] = STATE(9486),
    [sym_line_comment] = STATE(9486),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_end] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_catch] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(12795),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(12797),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(12797),
    [sym__pipe_right_operator] = ACTIONS(12809),
    [sym__pipe_left_operator] = ACTIONS(12811),
    [sym__ellipsis_operator] = ACTIONS(12813),
    [sym__plus_operator] = ACTIONS(12815),
    [sym__times_operator] = ACTIONS(12817),
    [sym__rational_operator] = ACTIONS(12819),
    [sym__bitshift_operator] = ACTIONS(12821),
    [sym__power_operator] = ACTIONS(12823),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(12797),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12815),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9487] = {
    [sym_block_comment] = STATE(9487),
    [sym_line_comment] = STATE(9487),
    [sym__word_identifier] = ACTIONS(11410),
    [anon_sym_COMMA] = ACTIONS(11410),
    [anon_sym_EQ] = ACTIONS(11410),
    [anon_sym_begin] = ACTIONS(11410),
    [anon_sym_module] = ACTIONS(11410),
    [anon_sym_baremodule] = ACTIONS(11410),
    [anon_sym_end] = ACTIONS(11410),
    [anon_sym_abstract] = ACTIONS(11410),
    [anon_sym_primitive] = ACTIONS(11410),
    [anon_sym_mutable] = ACTIONS(11410),
    [anon_sym_struct] = ACTIONS(11410),
    [anon_sym_function] = ACTIONS(11410),
    [anon_sym_macro] = ACTIONS(11410),
    [anon_sym_quote] = ACTIONS(11410),
    [anon_sym_let] = ACTIONS(11410),
    [anon_sym_if] = ACTIONS(11410),
    [anon_sym_try] = ACTIONS(11410),
    [anon_sym_for] = ACTIONS(11410),
    [anon_sym_while] = ACTIONS(11410),
    [sym_break_statement] = ACTIONS(11410),
    [sym_continue_statement] = ACTIONS(11410),
    [anon_sym_return] = ACTIONS(11410),
    [anon_sym_const] = ACTIONS(11410),
    [anon_sym_global] = ACTIONS(11410),
    [anon_sym_local] = ACTIONS(11410),
    [anon_sym_LPAREN] = ACTIONS(11410),
    [anon_sym_COLON] = ACTIONS(11410),
    [anon_sym_export] = ACTIONS(11410),
    [anon_sym_public] = ACTIONS(11410),
    [anon_sym_import] = ACTIONS(11410),
    [anon_sym_using] = ACTIONS(11410),
    [anon_sym_LBRACK] = ACTIONS(11410),
    [anon_sym_in] = ACTIONS(11410),
    [anon_sym_SEMI] = ACTIONS(11410),
    [anon_sym_LBRACE] = ACTIONS(11410),
    [anon_sym_DOLLAR] = ACTIONS(11410),
    [anon_sym_COLON2] = ACTIONS(11410),
    [anon_sym_COLON_COLON] = ACTIONS(11410),
    [anon_sym_isa] = ACTIONS(11410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11410),
    [anon_sym_QMARK] = ACTIONS(11410),
    [anon_sym_where] = ACTIONS(11410),
    [anon_sym_AT] = ACTIONS(11410),
    [anon_sym_true] = ACTIONS(11410),
    [anon_sym_false] = ACTIONS(11410),
    [aux_sym_integer_literal_token1] = ACTIONS(11410),
    [aux_sym_integer_literal_token2] = ACTIONS(11410),
    [aux_sym_integer_literal_token3] = ACTIONS(11410),
    [aux_sym_integer_literal_token4] = ACTIONS(11410),
    [aux_sym_float_literal_token1] = ACTIONS(11410),
    [aux_sym_float_literal_token3] = ACTIONS(11410),
    [aux_sym_float_literal_token4] = ACTIONS(11410),
    [sym_character_literal] = ACTIONS(11410),
    [anon_sym_DQUOTE] = ACTIONS(11410),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11410),
    [anon_sym_BQUOTE] = ACTIONS(11410),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11410),
    [sym__pair_operator] = ACTIONS(11410),
    [sym__arrow_operator] = ACTIONS(11410),
    [sym__lazy_or_operator] = ACTIONS(11410),
    [sym__lazy_and_operator] = ACTIONS(11410),
    [sym__comparison_operator] = ACTIONS(11410),
    [sym__pipe_right_operator] = ACTIONS(11410),
    [sym__pipe_left_operator] = ACTIONS(11410),
    [sym__ellipsis_operator] = ACTIONS(11410),
    [sym__plus_operator] = ACTIONS(11410),
    [sym__times_operator] = ACTIONS(11410),
    [sym__rational_operator] = ACTIONS(11410),
    [sym__bitshift_operator] = ACTIONS(11410),
    [sym__power_operator] = ACTIONS(11410),
    [sym__tilde_operator] = ACTIONS(11410),
    [sym__type_order_operator] = ACTIONS(11410),
    [sym__unary_operator] = ACTIONS(11410),
    [sym__unary_plus_operator] = ACTIONS(11410),
    [aux_sym__terminator_token1] = ACTIONS(11412),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9488] = {
    [sym_block_comment] = STATE(9488),
    [sym_line_comment] = STATE(9488),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10493),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9489] = {
    [sym_block_comment] = STATE(9489),
    [sym_line_comment] = STATE(9489),
    [sym__word_identifier] = ACTIONS(11613),
    [anon_sym_COMMA] = ACTIONS(11613),
    [anon_sym_EQ] = ACTIONS(11613),
    [anon_sym_begin] = ACTIONS(11613),
    [anon_sym_module] = ACTIONS(11613),
    [anon_sym_baremodule] = ACTIONS(11613),
    [anon_sym_end] = ACTIONS(11613),
    [anon_sym_abstract] = ACTIONS(11613),
    [anon_sym_primitive] = ACTIONS(11613),
    [anon_sym_mutable] = ACTIONS(11613),
    [anon_sym_struct] = ACTIONS(11613),
    [anon_sym_function] = ACTIONS(11613),
    [anon_sym_macro] = ACTIONS(11613),
    [anon_sym_quote] = ACTIONS(11613),
    [anon_sym_let] = ACTIONS(11613),
    [anon_sym_if] = ACTIONS(11613),
    [anon_sym_try] = ACTIONS(11613),
    [anon_sym_for] = ACTIONS(11613),
    [anon_sym_while] = ACTIONS(11613),
    [sym_break_statement] = ACTIONS(11613),
    [sym_continue_statement] = ACTIONS(11613),
    [anon_sym_return] = ACTIONS(11613),
    [anon_sym_const] = ACTIONS(11613),
    [anon_sym_global] = ACTIONS(11613),
    [anon_sym_local] = ACTIONS(11613),
    [anon_sym_LPAREN] = ACTIONS(11613),
    [anon_sym_COLON] = ACTIONS(11613),
    [anon_sym_export] = ACTIONS(11613),
    [anon_sym_public] = ACTIONS(11613),
    [anon_sym_import] = ACTIONS(11613),
    [anon_sym_using] = ACTIONS(11613),
    [anon_sym_LBRACK] = ACTIONS(11613),
    [anon_sym_in] = ACTIONS(11613),
    [anon_sym_SEMI] = ACTIONS(11613),
    [anon_sym_LBRACE] = ACTIONS(11613),
    [anon_sym_DOLLAR] = ACTIONS(11613),
    [anon_sym_COLON2] = ACTIONS(11613),
    [anon_sym_COLON_COLON] = ACTIONS(11613),
    [anon_sym_isa] = ACTIONS(11613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11613),
    [anon_sym_QMARK] = ACTIONS(11613),
    [anon_sym_where] = ACTIONS(11613),
    [anon_sym_AT] = ACTIONS(11613),
    [anon_sym_true] = ACTIONS(11613),
    [anon_sym_false] = ACTIONS(11613),
    [aux_sym_integer_literal_token1] = ACTIONS(11613),
    [aux_sym_integer_literal_token2] = ACTIONS(11613),
    [aux_sym_integer_literal_token3] = ACTIONS(11613),
    [aux_sym_integer_literal_token4] = ACTIONS(11613),
    [aux_sym_float_literal_token1] = ACTIONS(11613),
    [aux_sym_float_literal_token3] = ACTIONS(11613),
    [aux_sym_float_literal_token4] = ACTIONS(11613),
    [sym_character_literal] = ACTIONS(11613),
    [anon_sym_DQUOTE] = ACTIONS(11613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11613),
    [anon_sym_BQUOTE] = ACTIONS(11613),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11613),
    [sym__pair_operator] = ACTIONS(11613),
    [sym__arrow_operator] = ACTIONS(11613),
    [sym__lazy_or_operator] = ACTIONS(11613),
    [sym__lazy_and_operator] = ACTIONS(11613),
    [sym__comparison_operator] = ACTIONS(11613),
    [sym__pipe_right_operator] = ACTIONS(11613),
    [sym__pipe_left_operator] = ACTIONS(11613),
    [sym__ellipsis_operator] = ACTIONS(11613),
    [sym__plus_operator] = ACTIONS(11613),
    [sym__times_operator] = ACTIONS(11613),
    [sym__rational_operator] = ACTIONS(11613),
    [sym__bitshift_operator] = ACTIONS(11613),
    [sym__power_operator] = ACTIONS(11613),
    [sym__tilde_operator] = ACTIONS(11613),
    [sym__type_order_operator] = ACTIONS(11613),
    [sym__unary_operator] = ACTIONS(11613),
    [sym__unary_plus_operator] = ACTIONS(11613),
    [aux_sym__terminator_token1] = ACTIONS(11615),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9490] = {
    [sym_block_comment] = STATE(9490),
    [sym_line_comment] = STATE(9490),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10325),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_as] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10325),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10325),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10325),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10325),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10325),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10325),
    [anon_sym_QMARK] = ACTIONS(10325),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10325),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10325),
    [aux_sym_integer_literal_token2] = ACTIONS(10325),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10325),
    [aux_sym_float_literal_token3] = ACTIONS(10325),
    [aux_sym_float_literal_token4] = ACTIONS(10325),
    [sym_character_literal] = ACTIONS(10325),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10325),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10325),
    [sym__pair_operator] = ACTIONS(10325),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10325),
    [sym__lazy_and_operator] = ACTIONS(10325),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10325),
    [sym__pipe_left_operator] = ACTIONS(10325),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10325),
    [sym__bitshift_operator] = ACTIONS(10325),
    [sym__power_operator] = ACTIONS(10325),
    [sym__tilde_operator] = ACTIONS(10325),
    [sym__type_order_operator] = ACTIONS(10325),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9491] = {
    [sym_block_comment] = STATE(9491),
    [sym_line_comment] = STATE(9491),
    [sym__word_identifier] = ACTIONS(11617),
    [anon_sym_COMMA] = ACTIONS(11617),
    [anon_sym_EQ] = ACTIONS(11617),
    [anon_sym_begin] = ACTIONS(11617),
    [anon_sym_module] = ACTIONS(11617),
    [anon_sym_baremodule] = ACTIONS(11617),
    [anon_sym_end] = ACTIONS(11617),
    [anon_sym_abstract] = ACTIONS(11617),
    [anon_sym_primitive] = ACTIONS(11617),
    [anon_sym_mutable] = ACTIONS(11617),
    [anon_sym_struct] = ACTIONS(11617),
    [anon_sym_function] = ACTIONS(11617),
    [anon_sym_macro] = ACTIONS(11617),
    [anon_sym_quote] = ACTIONS(11617),
    [anon_sym_let] = ACTIONS(11617),
    [anon_sym_if] = ACTIONS(11617),
    [anon_sym_try] = ACTIONS(11617),
    [anon_sym_for] = ACTIONS(11617),
    [anon_sym_while] = ACTIONS(11617),
    [sym_break_statement] = ACTIONS(11617),
    [sym_continue_statement] = ACTIONS(11617),
    [anon_sym_return] = ACTIONS(11617),
    [anon_sym_const] = ACTIONS(11617),
    [anon_sym_global] = ACTIONS(11617),
    [anon_sym_local] = ACTIONS(11617),
    [anon_sym_LPAREN] = ACTIONS(11617),
    [anon_sym_COLON] = ACTIONS(11617),
    [anon_sym_export] = ACTIONS(11617),
    [anon_sym_public] = ACTIONS(11617),
    [anon_sym_import] = ACTIONS(11617),
    [anon_sym_using] = ACTIONS(11617),
    [anon_sym_LBRACK] = ACTIONS(11617),
    [anon_sym_in] = ACTIONS(11617),
    [anon_sym_SEMI] = ACTIONS(11617),
    [anon_sym_LBRACE] = ACTIONS(11617),
    [anon_sym_DOLLAR] = ACTIONS(11617),
    [anon_sym_COLON2] = ACTIONS(11617),
    [anon_sym_COLON_COLON] = ACTIONS(11617),
    [anon_sym_isa] = ACTIONS(11617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11617),
    [anon_sym_QMARK] = ACTIONS(11617),
    [anon_sym_where] = ACTIONS(11617),
    [anon_sym_AT] = ACTIONS(11617),
    [anon_sym_true] = ACTIONS(11617),
    [anon_sym_false] = ACTIONS(11617),
    [aux_sym_integer_literal_token1] = ACTIONS(11617),
    [aux_sym_integer_literal_token2] = ACTIONS(11617),
    [aux_sym_integer_literal_token3] = ACTIONS(11617),
    [aux_sym_integer_literal_token4] = ACTIONS(11617),
    [aux_sym_float_literal_token1] = ACTIONS(11617),
    [aux_sym_float_literal_token3] = ACTIONS(11617),
    [aux_sym_float_literal_token4] = ACTIONS(11617),
    [sym_character_literal] = ACTIONS(11617),
    [anon_sym_DQUOTE] = ACTIONS(11617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11617),
    [anon_sym_BQUOTE] = ACTIONS(11617),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11617),
    [sym__pair_operator] = ACTIONS(11617),
    [sym__arrow_operator] = ACTIONS(11617),
    [sym__lazy_or_operator] = ACTIONS(11617),
    [sym__lazy_and_operator] = ACTIONS(11617),
    [sym__comparison_operator] = ACTIONS(11617),
    [sym__pipe_right_operator] = ACTIONS(11617),
    [sym__pipe_left_operator] = ACTIONS(11617),
    [sym__ellipsis_operator] = ACTIONS(11617),
    [sym__plus_operator] = ACTIONS(11617),
    [sym__times_operator] = ACTIONS(11617),
    [sym__rational_operator] = ACTIONS(11617),
    [sym__bitshift_operator] = ACTIONS(11617),
    [sym__power_operator] = ACTIONS(11617),
    [sym__tilde_operator] = ACTIONS(11617),
    [sym__type_order_operator] = ACTIONS(11617),
    [sym__unary_operator] = ACTIONS(11617),
    [sym__unary_plus_operator] = ACTIONS(11617),
    [aux_sym__terminator_token1] = ACTIONS(11619),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9492] = {
    [sym_block_comment] = STATE(9492),
    [sym_line_comment] = STATE(9492),
    [sym__word_identifier] = ACTIONS(11621),
    [anon_sym_COMMA] = ACTIONS(11621),
    [anon_sym_EQ] = ACTIONS(11621),
    [anon_sym_begin] = ACTIONS(11621),
    [anon_sym_module] = ACTIONS(11621),
    [anon_sym_baremodule] = ACTIONS(11621),
    [anon_sym_end] = ACTIONS(11621),
    [anon_sym_abstract] = ACTIONS(11621),
    [anon_sym_primitive] = ACTIONS(11621),
    [anon_sym_mutable] = ACTIONS(11621),
    [anon_sym_struct] = ACTIONS(11621),
    [anon_sym_function] = ACTIONS(11621),
    [anon_sym_macro] = ACTIONS(11621),
    [anon_sym_quote] = ACTIONS(11621),
    [anon_sym_let] = ACTIONS(11621),
    [anon_sym_if] = ACTIONS(11621),
    [anon_sym_try] = ACTIONS(11621),
    [anon_sym_for] = ACTIONS(11621),
    [anon_sym_while] = ACTIONS(11621),
    [sym_break_statement] = ACTIONS(11621),
    [sym_continue_statement] = ACTIONS(11621),
    [anon_sym_return] = ACTIONS(11621),
    [anon_sym_const] = ACTIONS(11621),
    [anon_sym_global] = ACTIONS(11621),
    [anon_sym_local] = ACTIONS(11621),
    [anon_sym_LPAREN] = ACTIONS(11621),
    [anon_sym_COLON] = ACTIONS(11621),
    [anon_sym_export] = ACTIONS(11621),
    [anon_sym_public] = ACTIONS(11621),
    [anon_sym_import] = ACTIONS(11621),
    [anon_sym_using] = ACTIONS(11621),
    [anon_sym_LBRACK] = ACTIONS(11621),
    [anon_sym_in] = ACTIONS(11621),
    [anon_sym_SEMI] = ACTIONS(11621),
    [anon_sym_LBRACE] = ACTIONS(11621),
    [anon_sym_DOLLAR] = ACTIONS(11621),
    [anon_sym_COLON2] = ACTIONS(11621),
    [anon_sym_COLON_COLON] = ACTIONS(11621),
    [anon_sym_isa] = ACTIONS(11621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11621),
    [anon_sym_QMARK] = ACTIONS(11621),
    [anon_sym_where] = ACTIONS(11621),
    [anon_sym_AT] = ACTIONS(11621),
    [anon_sym_true] = ACTIONS(11621),
    [anon_sym_false] = ACTIONS(11621),
    [aux_sym_integer_literal_token1] = ACTIONS(11621),
    [aux_sym_integer_literal_token2] = ACTIONS(11621),
    [aux_sym_integer_literal_token3] = ACTIONS(11621),
    [aux_sym_integer_literal_token4] = ACTIONS(11621),
    [aux_sym_float_literal_token1] = ACTIONS(11621),
    [aux_sym_float_literal_token3] = ACTIONS(11621),
    [aux_sym_float_literal_token4] = ACTIONS(11621),
    [sym_character_literal] = ACTIONS(11621),
    [anon_sym_DQUOTE] = ACTIONS(11621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11621),
    [anon_sym_BQUOTE] = ACTIONS(11621),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11621),
    [sym__pair_operator] = ACTIONS(11621),
    [sym__arrow_operator] = ACTIONS(11621),
    [sym__lazy_or_operator] = ACTIONS(11621),
    [sym__lazy_and_operator] = ACTIONS(11621),
    [sym__comparison_operator] = ACTIONS(11621),
    [sym__pipe_right_operator] = ACTIONS(11621),
    [sym__pipe_left_operator] = ACTIONS(11621),
    [sym__ellipsis_operator] = ACTIONS(11621),
    [sym__plus_operator] = ACTIONS(11621),
    [sym__times_operator] = ACTIONS(11621),
    [sym__rational_operator] = ACTIONS(11621),
    [sym__bitshift_operator] = ACTIONS(11621),
    [sym__power_operator] = ACTIONS(11621),
    [sym__tilde_operator] = ACTIONS(11621),
    [sym__type_order_operator] = ACTIONS(11621),
    [sym__unary_operator] = ACTIONS(11621),
    [sym__unary_plus_operator] = ACTIONS(11621),
    [aux_sym__terminator_token1] = ACTIONS(11623),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9493] = {
    [sym_block_comment] = STATE(9493),
    [sym_line_comment] = STATE(9493),
    [sym__word_identifier] = ACTIONS(11625),
    [anon_sym_COMMA] = ACTIONS(11625),
    [anon_sym_EQ] = ACTIONS(11625),
    [anon_sym_begin] = ACTIONS(11625),
    [anon_sym_module] = ACTIONS(11625),
    [anon_sym_baremodule] = ACTIONS(11625),
    [anon_sym_end] = ACTIONS(11625),
    [anon_sym_abstract] = ACTIONS(11625),
    [anon_sym_primitive] = ACTIONS(11625),
    [anon_sym_mutable] = ACTIONS(11625),
    [anon_sym_struct] = ACTIONS(11625),
    [anon_sym_function] = ACTIONS(11625),
    [anon_sym_macro] = ACTIONS(11625),
    [anon_sym_quote] = ACTIONS(11625),
    [anon_sym_let] = ACTIONS(11625),
    [anon_sym_if] = ACTIONS(11625),
    [anon_sym_try] = ACTIONS(11625),
    [anon_sym_for] = ACTIONS(11625),
    [anon_sym_while] = ACTIONS(11625),
    [sym_break_statement] = ACTIONS(11625),
    [sym_continue_statement] = ACTIONS(11625),
    [anon_sym_return] = ACTIONS(11625),
    [anon_sym_const] = ACTIONS(11625),
    [anon_sym_global] = ACTIONS(11625),
    [anon_sym_local] = ACTIONS(11625),
    [anon_sym_LPAREN] = ACTIONS(11625),
    [anon_sym_COLON] = ACTIONS(11625),
    [anon_sym_export] = ACTIONS(11625),
    [anon_sym_public] = ACTIONS(11625),
    [anon_sym_import] = ACTIONS(11625),
    [anon_sym_using] = ACTIONS(11625),
    [anon_sym_LBRACK] = ACTIONS(11625),
    [anon_sym_in] = ACTIONS(11625),
    [anon_sym_SEMI] = ACTIONS(11625),
    [anon_sym_LBRACE] = ACTIONS(11625),
    [anon_sym_DOLLAR] = ACTIONS(11625),
    [anon_sym_COLON2] = ACTIONS(11625),
    [anon_sym_COLON_COLON] = ACTIONS(11625),
    [anon_sym_isa] = ACTIONS(11625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11625),
    [anon_sym_QMARK] = ACTIONS(11625),
    [anon_sym_where] = ACTIONS(11625),
    [anon_sym_AT] = ACTIONS(11625),
    [anon_sym_true] = ACTIONS(11625),
    [anon_sym_false] = ACTIONS(11625),
    [aux_sym_integer_literal_token1] = ACTIONS(11625),
    [aux_sym_integer_literal_token2] = ACTIONS(11625),
    [aux_sym_integer_literal_token3] = ACTIONS(11625),
    [aux_sym_integer_literal_token4] = ACTIONS(11625),
    [aux_sym_float_literal_token1] = ACTIONS(11625),
    [aux_sym_float_literal_token3] = ACTIONS(11625),
    [aux_sym_float_literal_token4] = ACTIONS(11625),
    [sym_character_literal] = ACTIONS(11625),
    [anon_sym_DQUOTE] = ACTIONS(11625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11625),
    [anon_sym_BQUOTE] = ACTIONS(11625),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11625),
    [sym__pair_operator] = ACTIONS(11625),
    [sym__arrow_operator] = ACTIONS(11625),
    [sym__lazy_or_operator] = ACTIONS(11625),
    [sym__lazy_and_operator] = ACTIONS(11625),
    [sym__comparison_operator] = ACTIONS(11625),
    [sym__pipe_right_operator] = ACTIONS(11625),
    [sym__pipe_left_operator] = ACTIONS(11625),
    [sym__ellipsis_operator] = ACTIONS(11625),
    [sym__plus_operator] = ACTIONS(11625),
    [sym__times_operator] = ACTIONS(11625),
    [sym__rational_operator] = ACTIONS(11625),
    [sym__bitshift_operator] = ACTIONS(11625),
    [sym__power_operator] = ACTIONS(11625),
    [sym__tilde_operator] = ACTIONS(11625),
    [sym__type_order_operator] = ACTIONS(11625),
    [sym__unary_operator] = ACTIONS(11625),
    [sym__unary_plus_operator] = ACTIONS(11625),
    [aux_sym__terminator_token1] = ACTIONS(11627),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9494] = {
    [sym_block_comment] = STATE(9494),
    [sym_line_comment] = STATE(9494),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10285),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9495] = {
    [sym_block_comment] = STATE(9495),
    [sym_line_comment] = STATE(9495),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10419),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_as] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10419),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10419),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10419),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10419),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10419),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10419),
    [anon_sym_QMARK] = ACTIONS(10419),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10419),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10419),
    [aux_sym_integer_literal_token2] = ACTIONS(10419),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10419),
    [aux_sym_float_literal_token3] = ACTIONS(10419),
    [aux_sym_float_literal_token4] = ACTIONS(10419),
    [sym_character_literal] = ACTIONS(10419),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10419),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10419),
    [sym__pair_operator] = ACTIONS(10419),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10419),
    [sym__lazy_and_operator] = ACTIONS(10419),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10419),
    [sym__pipe_left_operator] = ACTIONS(10419),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10419),
    [sym__bitshift_operator] = ACTIONS(10419),
    [sym__power_operator] = ACTIONS(10419),
    [sym__tilde_operator] = ACTIONS(10419),
    [sym__type_order_operator] = ACTIONS(10419),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9496] = {
    [sym_block_comment] = STATE(9496),
    [sym_line_comment] = STATE(9496),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(10489),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9497] = {
    [sym_block_comment] = STATE(9497),
    [sym_line_comment] = STATE(9497),
    [sym__word_identifier] = ACTIONS(11414),
    [anon_sym_COMMA] = ACTIONS(11414),
    [anon_sym_EQ] = ACTIONS(11414),
    [anon_sym_begin] = ACTIONS(11414),
    [anon_sym_module] = ACTIONS(11414),
    [anon_sym_baremodule] = ACTIONS(11414),
    [anon_sym_end] = ACTIONS(11414),
    [anon_sym_abstract] = ACTIONS(11414),
    [anon_sym_primitive] = ACTIONS(11414),
    [anon_sym_mutable] = ACTIONS(11414),
    [anon_sym_struct] = ACTIONS(11414),
    [anon_sym_function] = ACTIONS(11414),
    [anon_sym_macro] = ACTIONS(11414),
    [anon_sym_quote] = ACTIONS(11414),
    [anon_sym_let] = ACTIONS(11414),
    [anon_sym_if] = ACTIONS(11414),
    [anon_sym_try] = ACTIONS(11414),
    [anon_sym_for] = ACTIONS(11414),
    [anon_sym_while] = ACTIONS(11414),
    [sym_break_statement] = ACTIONS(11414),
    [sym_continue_statement] = ACTIONS(11414),
    [anon_sym_return] = ACTIONS(11414),
    [anon_sym_const] = ACTIONS(11414),
    [anon_sym_global] = ACTIONS(11414),
    [anon_sym_local] = ACTIONS(11414),
    [anon_sym_LPAREN] = ACTIONS(11414),
    [anon_sym_COLON] = ACTIONS(11414),
    [anon_sym_export] = ACTIONS(11414),
    [anon_sym_public] = ACTIONS(11414),
    [anon_sym_import] = ACTIONS(11414),
    [anon_sym_using] = ACTIONS(11414),
    [anon_sym_LBRACK] = ACTIONS(11414),
    [anon_sym_in] = ACTIONS(11414),
    [anon_sym_SEMI] = ACTIONS(11414),
    [anon_sym_LBRACE] = ACTIONS(11414),
    [anon_sym_DOLLAR] = ACTIONS(11414),
    [anon_sym_COLON2] = ACTIONS(11414),
    [anon_sym_COLON_COLON] = ACTIONS(11414),
    [anon_sym_isa] = ACTIONS(11414),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11414),
    [anon_sym_QMARK] = ACTIONS(11414),
    [anon_sym_where] = ACTIONS(11414),
    [anon_sym_AT] = ACTIONS(11414),
    [anon_sym_true] = ACTIONS(11414),
    [anon_sym_false] = ACTIONS(11414),
    [aux_sym_integer_literal_token1] = ACTIONS(11414),
    [aux_sym_integer_literal_token2] = ACTIONS(11414),
    [aux_sym_integer_literal_token3] = ACTIONS(11414),
    [aux_sym_integer_literal_token4] = ACTIONS(11414),
    [aux_sym_float_literal_token1] = ACTIONS(11414),
    [aux_sym_float_literal_token3] = ACTIONS(11414),
    [aux_sym_float_literal_token4] = ACTIONS(11414),
    [sym_character_literal] = ACTIONS(11414),
    [anon_sym_DQUOTE] = ACTIONS(11414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11414),
    [anon_sym_BQUOTE] = ACTIONS(11414),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11414),
    [sym__pair_operator] = ACTIONS(11414),
    [sym__arrow_operator] = ACTIONS(11414),
    [sym__lazy_or_operator] = ACTIONS(11414),
    [sym__lazy_and_operator] = ACTIONS(11414),
    [sym__comparison_operator] = ACTIONS(11414),
    [sym__pipe_right_operator] = ACTIONS(11414),
    [sym__pipe_left_operator] = ACTIONS(11414),
    [sym__ellipsis_operator] = ACTIONS(11414),
    [sym__plus_operator] = ACTIONS(11414),
    [sym__times_operator] = ACTIONS(11414),
    [sym__rational_operator] = ACTIONS(11414),
    [sym__bitshift_operator] = ACTIONS(11414),
    [sym__power_operator] = ACTIONS(11414),
    [sym__tilde_operator] = ACTIONS(11414),
    [sym__type_order_operator] = ACTIONS(11414),
    [sym__unary_operator] = ACTIONS(11414),
    [sym__unary_plus_operator] = ACTIONS(11414),
    [aux_sym__terminator_token1] = ACTIONS(11416),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9498] = {
    [sym_block_comment] = STATE(9498),
    [sym_line_comment] = STATE(9498),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10099),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_as] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10099),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10099),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10099),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10099),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10099),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10099),
    [anon_sym_QMARK] = ACTIONS(10099),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10099),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10099),
    [aux_sym_integer_literal_token2] = ACTIONS(10099),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10099),
    [aux_sym_float_literal_token3] = ACTIONS(10099),
    [aux_sym_float_literal_token4] = ACTIONS(10099),
    [sym_character_literal] = ACTIONS(10099),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10099),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10099),
    [sym__pair_operator] = ACTIONS(10099),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10099),
    [sym__lazy_and_operator] = ACTIONS(10099),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10099),
    [sym__pipe_left_operator] = ACTIONS(10099),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10099),
    [sym__bitshift_operator] = ACTIONS(10099),
    [sym__power_operator] = ACTIONS(10099),
    [sym__tilde_operator] = ACTIONS(10099),
    [sym__type_order_operator] = ACTIONS(10099),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9499] = {
    [sym_block_comment] = STATE(9499),
    [sym_line_comment] = STATE(9499),
    [sym__word_identifier] = ACTIONS(11418),
    [anon_sym_COMMA] = ACTIONS(11418),
    [anon_sym_EQ] = ACTIONS(11418),
    [anon_sym_begin] = ACTIONS(11418),
    [anon_sym_module] = ACTIONS(11418),
    [anon_sym_baremodule] = ACTIONS(11418),
    [anon_sym_end] = ACTIONS(11418),
    [anon_sym_abstract] = ACTIONS(11418),
    [anon_sym_primitive] = ACTIONS(11418),
    [anon_sym_mutable] = ACTIONS(11418),
    [anon_sym_struct] = ACTIONS(11418),
    [anon_sym_function] = ACTIONS(11418),
    [anon_sym_macro] = ACTIONS(11418),
    [anon_sym_quote] = ACTIONS(11418),
    [anon_sym_let] = ACTIONS(11418),
    [anon_sym_if] = ACTIONS(11418),
    [anon_sym_try] = ACTIONS(11418),
    [anon_sym_for] = ACTIONS(11418),
    [anon_sym_while] = ACTIONS(11418),
    [sym_break_statement] = ACTIONS(11418),
    [sym_continue_statement] = ACTIONS(11418),
    [anon_sym_return] = ACTIONS(11418),
    [anon_sym_const] = ACTIONS(11418),
    [anon_sym_global] = ACTIONS(11418),
    [anon_sym_local] = ACTIONS(11418),
    [anon_sym_LPAREN] = ACTIONS(11418),
    [anon_sym_COLON] = ACTIONS(11418),
    [anon_sym_export] = ACTIONS(11418),
    [anon_sym_public] = ACTIONS(11418),
    [anon_sym_import] = ACTIONS(11418),
    [anon_sym_using] = ACTIONS(11418),
    [anon_sym_LBRACK] = ACTIONS(11418),
    [anon_sym_in] = ACTIONS(11418),
    [anon_sym_SEMI] = ACTIONS(11418),
    [anon_sym_LBRACE] = ACTIONS(11418),
    [anon_sym_DOLLAR] = ACTIONS(11418),
    [anon_sym_COLON2] = ACTIONS(11418),
    [anon_sym_COLON_COLON] = ACTIONS(11418),
    [anon_sym_isa] = ACTIONS(11418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11418),
    [anon_sym_QMARK] = ACTIONS(11418),
    [anon_sym_where] = ACTIONS(11418),
    [anon_sym_AT] = ACTIONS(11418),
    [anon_sym_true] = ACTIONS(11418),
    [anon_sym_false] = ACTIONS(11418),
    [aux_sym_integer_literal_token1] = ACTIONS(11418),
    [aux_sym_integer_literal_token2] = ACTIONS(11418),
    [aux_sym_integer_literal_token3] = ACTIONS(11418),
    [aux_sym_integer_literal_token4] = ACTIONS(11418),
    [aux_sym_float_literal_token1] = ACTIONS(11418),
    [aux_sym_float_literal_token3] = ACTIONS(11418),
    [aux_sym_float_literal_token4] = ACTIONS(11418),
    [sym_character_literal] = ACTIONS(11418),
    [anon_sym_DQUOTE] = ACTIONS(11418),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11418),
    [anon_sym_BQUOTE] = ACTIONS(11418),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11418),
    [sym__pair_operator] = ACTIONS(11418),
    [sym__arrow_operator] = ACTIONS(11418),
    [sym__lazy_or_operator] = ACTIONS(11418),
    [sym__lazy_and_operator] = ACTIONS(11418),
    [sym__comparison_operator] = ACTIONS(11418),
    [sym__pipe_right_operator] = ACTIONS(11418),
    [sym__pipe_left_operator] = ACTIONS(11418),
    [sym__ellipsis_operator] = ACTIONS(11418),
    [sym__plus_operator] = ACTIONS(11418),
    [sym__times_operator] = ACTIONS(11418),
    [sym__rational_operator] = ACTIONS(11418),
    [sym__bitshift_operator] = ACTIONS(11418),
    [sym__power_operator] = ACTIONS(11418),
    [sym__tilde_operator] = ACTIONS(11418),
    [sym__type_order_operator] = ACTIONS(11418),
    [sym__unary_operator] = ACTIONS(11418),
    [sym__unary_plus_operator] = ACTIONS(11418),
    [aux_sym__terminator_token1] = ACTIONS(11420),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9500] = {
    [sym_block_comment] = STATE(9500),
    [sym_line_comment] = STATE(9500),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_as] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9909),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9909),
    [sym__bitshift_operator] = ACTIONS(9909),
    [sym__power_operator] = ACTIONS(9909),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9501] = {
    [sym_block_comment] = STATE(9501),
    [sym_line_comment] = STATE(9501),
    [sym__word_identifier] = ACTIONS(11422),
    [anon_sym_COMMA] = ACTIONS(11422),
    [anon_sym_EQ] = ACTIONS(11422),
    [anon_sym_begin] = ACTIONS(11422),
    [anon_sym_module] = ACTIONS(11422),
    [anon_sym_baremodule] = ACTIONS(11422),
    [anon_sym_end] = ACTIONS(11422),
    [anon_sym_abstract] = ACTIONS(11422),
    [anon_sym_primitive] = ACTIONS(11422),
    [anon_sym_mutable] = ACTIONS(11422),
    [anon_sym_struct] = ACTIONS(11422),
    [anon_sym_function] = ACTIONS(11422),
    [anon_sym_macro] = ACTIONS(11422),
    [anon_sym_quote] = ACTIONS(11422),
    [anon_sym_let] = ACTIONS(11422),
    [anon_sym_if] = ACTIONS(11422),
    [anon_sym_try] = ACTIONS(11422),
    [anon_sym_for] = ACTIONS(11422),
    [anon_sym_while] = ACTIONS(11422),
    [sym_break_statement] = ACTIONS(11422),
    [sym_continue_statement] = ACTIONS(11422),
    [anon_sym_return] = ACTIONS(11422),
    [anon_sym_const] = ACTIONS(11422),
    [anon_sym_global] = ACTIONS(11422),
    [anon_sym_local] = ACTIONS(11422),
    [anon_sym_LPAREN] = ACTIONS(11422),
    [anon_sym_COLON] = ACTIONS(11422),
    [anon_sym_export] = ACTIONS(11422),
    [anon_sym_public] = ACTIONS(11422),
    [anon_sym_import] = ACTIONS(11422),
    [anon_sym_using] = ACTIONS(11422),
    [anon_sym_LBRACK] = ACTIONS(11422),
    [anon_sym_in] = ACTIONS(11422),
    [anon_sym_SEMI] = ACTIONS(11422),
    [anon_sym_LBRACE] = ACTIONS(11422),
    [anon_sym_DOLLAR] = ACTIONS(11422),
    [anon_sym_COLON2] = ACTIONS(11422),
    [anon_sym_COLON_COLON] = ACTIONS(11422),
    [anon_sym_isa] = ACTIONS(11422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11422),
    [anon_sym_QMARK] = ACTIONS(11422),
    [anon_sym_where] = ACTIONS(11422),
    [anon_sym_AT] = ACTIONS(11422),
    [anon_sym_true] = ACTIONS(11422),
    [anon_sym_false] = ACTIONS(11422),
    [aux_sym_integer_literal_token1] = ACTIONS(11422),
    [aux_sym_integer_literal_token2] = ACTIONS(11422),
    [aux_sym_integer_literal_token3] = ACTIONS(11422),
    [aux_sym_integer_literal_token4] = ACTIONS(11422),
    [aux_sym_float_literal_token1] = ACTIONS(11422),
    [aux_sym_float_literal_token3] = ACTIONS(11422),
    [aux_sym_float_literal_token4] = ACTIONS(11422),
    [sym_character_literal] = ACTIONS(11422),
    [anon_sym_DQUOTE] = ACTIONS(11422),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11422),
    [anon_sym_BQUOTE] = ACTIONS(11422),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11422),
    [sym__pair_operator] = ACTIONS(11422),
    [sym__arrow_operator] = ACTIONS(11422),
    [sym__lazy_or_operator] = ACTIONS(11422),
    [sym__lazy_and_operator] = ACTIONS(11422),
    [sym__comparison_operator] = ACTIONS(11422),
    [sym__pipe_right_operator] = ACTIONS(11422),
    [sym__pipe_left_operator] = ACTIONS(11422),
    [sym__ellipsis_operator] = ACTIONS(11422),
    [sym__plus_operator] = ACTIONS(11422),
    [sym__times_operator] = ACTIONS(11422),
    [sym__rational_operator] = ACTIONS(11422),
    [sym__bitshift_operator] = ACTIONS(11422),
    [sym__power_operator] = ACTIONS(11422),
    [sym__tilde_operator] = ACTIONS(11422),
    [sym__type_order_operator] = ACTIONS(11422),
    [sym__unary_operator] = ACTIONS(11422),
    [sym__unary_plus_operator] = ACTIONS(11422),
    [aux_sym__terminator_token1] = ACTIONS(11424),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9502] = {
    [sym_block_comment] = STATE(9502),
    [sym_line_comment] = STATE(9502),
    [sym__word_identifier] = ACTIONS(11426),
    [anon_sym_COMMA] = ACTIONS(11426),
    [anon_sym_EQ] = ACTIONS(11426),
    [anon_sym_begin] = ACTIONS(11426),
    [anon_sym_module] = ACTIONS(11426),
    [anon_sym_baremodule] = ACTIONS(11426),
    [anon_sym_end] = ACTIONS(11426),
    [anon_sym_abstract] = ACTIONS(11426),
    [anon_sym_primitive] = ACTIONS(11426),
    [anon_sym_mutable] = ACTIONS(11426),
    [anon_sym_struct] = ACTIONS(11426),
    [anon_sym_function] = ACTIONS(11426),
    [anon_sym_macro] = ACTIONS(11426),
    [anon_sym_quote] = ACTIONS(11426),
    [anon_sym_let] = ACTIONS(11426),
    [anon_sym_if] = ACTIONS(11426),
    [anon_sym_try] = ACTIONS(11426),
    [anon_sym_for] = ACTIONS(11426),
    [anon_sym_while] = ACTIONS(11426),
    [sym_break_statement] = ACTIONS(11426),
    [sym_continue_statement] = ACTIONS(11426),
    [anon_sym_return] = ACTIONS(11426),
    [anon_sym_const] = ACTIONS(11426),
    [anon_sym_global] = ACTIONS(11426),
    [anon_sym_local] = ACTIONS(11426),
    [anon_sym_LPAREN] = ACTIONS(11426),
    [anon_sym_COLON] = ACTIONS(11426),
    [anon_sym_export] = ACTIONS(11426),
    [anon_sym_public] = ACTIONS(11426),
    [anon_sym_import] = ACTIONS(11426),
    [anon_sym_using] = ACTIONS(11426),
    [anon_sym_LBRACK] = ACTIONS(11426),
    [anon_sym_in] = ACTIONS(11426),
    [anon_sym_SEMI] = ACTIONS(11426),
    [anon_sym_LBRACE] = ACTIONS(11426),
    [anon_sym_DOLLAR] = ACTIONS(11426),
    [anon_sym_COLON2] = ACTIONS(11426),
    [anon_sym_COLON_COLON] = ACTIONS(11426),
    [anon_sym_isa] = ACTIONS(11426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11426),
    [anon_sym_QMARK] = ACTIONS(11426),
    [anon_sym_where] = ACTIONS(11426),
    [anon_sym_AT] = ACTIONS(11426),
    [anon_sym_true] = ACTIONS(11426),
    [anon_sym_false] = ACTIONS(11426),
    [aux_sym_integer_literal_token1] = ACTIONS(11426),
    [aux_sym_integer_literal_token2] = ACTIONS(11426),
    [aux_sym_integer_literal_token3] = ACTIONS(11426),
    [aux_sym_integer_literal_token4] = ACTIONS(11426),
    [aux_sym_float_literal_token1] = ACTIONS(11426),
    [aux_sym_float_literal_token3] = ACTIONS(11426),
    [aux_sym_float_literal_token4] = ACTIONS(11426),
    [sym_character_literal] = ACTIONS(11426),
    [anon_sym_DQUOTE] = ACTIONS(11426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11426),
    [anon_sym_BQUOTE] = ACTIONS(11426),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11426),
    [sym__pair_operator] = ACTIONS(11426),
    [sym__arrow_operator] = ACTIONS(11426),
    [sym__lazy_or_operator] = ACTIONS(11426),
    [sym__lazy_and_operator] = ACTIONS(11426),
    [sym__comparison_operator] = ACTIONS(11426),
    [sym__pipe_right_operator] = ACTIONS(11426),
    [sym__pipe_left_operator] = ACTIONS(11426),
    [sym__ellipsis_operator] = ACTIONS(11426),
    [sym__plus_operator] = ACTIONS(11426),
    [sym__times_operator] = ACTIONS(11426),
    [sym__rational_operator] = ACTIONS(11426),
    [sym__bitshift_operator] = ACTIONS(11426),
    [sym__power_operator] = ACTIONS(11426),
    [sym__tilde_operator] = ACTIONS(11426),
    [sym__type_order_operator] = ACTIONS(11426),
    [sym__unary_operator] = ACTIONS(11426),
    [sym__unary_plus_operator] = ACTIONS(11426),
    [aux_sym__terminator_token1] = ACTIONS(11428),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9503] = {
    [sym_identifier] = STATE(9617),
    [sym_block_comment] = STATE(9503),
    [sym_line_comment] = STATE(9503),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_COMMA] = ACTIONS(10133),
    [anon_sym_EQ] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10133),
    [anon_sym_COLON] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10133),
    [anon_sym_in] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10133),
    [anon_sym_DOT] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10133),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10133),
    [anon_sym_isa] = ACTIONS(10131),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10133),
    [anon_sym_QMARK] = ACTIONS(10133),
    [anon_sym_where] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10133),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10133),
    [aux_sym_integer_literal_token2] = ACTIONS(10133),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10133),
    [aux_sym_float_literal_token3] = ACTIONS(10133),
    [aux_sym_float_literal_token4] = ACTIONS(10133),
    [sym_character_literal] = ACTIONS(10133),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10133),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10133),
    [sym__pair_operator] = ACTIONS(10133),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__lazy_or_operator] = ACTIONS(10133),
    [sym__lazy_and_operator] = ACTIONS(10133),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10133),
    [sym__pipe_left_operator] = ACTIONS(10133),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10133),
    [sym__bitshift_operator] = ACTIONS(10133),
    [sym__power_operator] = ACTIONS(10133),
    [sym__tilde_operator] = ACTIONS(10133),
    [sym__type_order_operator] = ACTIONS(10133),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9504] = {
    [sym_identifier] = STATE(9693),
    [sym_block_comment] = STATE(9504),
    [sym_line_comment] = STATE(9504),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_COMMA] = ACTIONS(10137),
    [anon_sym_EQ] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10137),
    [anon_sym_COLON] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10137),
    [anon_sym_in] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10137),
    [anon_sym_DOT] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10137),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10137),
    [anon_sym_isa] = ACTIONS(10135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10137),
    [anon_sym_QMARK] = ACTIONS(10137),
    [anon_sym_where] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10137),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10137),
    [aux_sym_integer_literal_token2] = ACTIONS(10137),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10137),
    [aux_sym_float_literal_token3] = ACTIONS(10137),
    [aux_sym_float_literal_token4] = ACTIONS(10137),
    [sym_character_literal] = ACTIONS(10137),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10137),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10137),
    [sym__pair_operator] = ACTIONS(10137),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__lazy_or_operator] = ACTIONS(10137),
    [sym__lazy_and_operator] = ACTIONS(10137),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10137),
    [sym__pipe_left_operator] = ACTIONS(10137),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10137),
    [sym__bitshift_operator] = ACTIONS(10137),
    [sym__power_operator] = ACTIONS(10137),
    [sym__tilde_operator] = ACTIONS(10137),
    [sym__type_order_operator] = ACTIONS(10137),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9505] = {
    [sym_block_comment] = STATE(9505),
    [sym_line_comment] = STATE(9505),
    [sym__word_identifier] = ACTIONS(11629),
    [anon_sym_COMMA] = ACTIONS(11629),
    [anon_sym_EQ] = ACTIONS(11629),
    [anon_sym_begin] = ACTIONS(11629),
    [anon_sym_module] = ACTIONS(11629),
    [anon_sym_baremodule] = ACTIONS(11629),
    [anon_sym_end] = ACTIONS(11629),
    [anon_sym_abstract] = ACTIONS(11629),
    [anon_sym_primitive] = ACTIONS(11629),
    [anon_sym_mutable] = ACTIONS(11629),
    [anon_sym_struct] = ACTIONS(11629),
    [anon_sym_function] = ACTIONS(11629),
    [anon_sym_macro] = ACTIONS(11629),
    [anon_sym_quote] = ACTIONS(11629),
    [anon_sym_let] = ACTIONS(11629),
    [anon_sym_if] = ACTIONS(11629),
    [anon_sym_try] = ACTIONS(11629),
    [anon_sym_for] = ACTIONS(11629),
    [anon_sym_while] = ACTIONS(11629),
    [sym_break_statement] = ACTIONS(11629),
    [sym_continue_statement] = ACTIONS(11629),
    [anon_sym_return] = ACTIONS(11629),
    [anon_sym_const] = ACTIONS(11629),
    [anon_sym_global] = ACTIONS(11629),
    [anon_sym_local] = ACTIONS(11629),
    [anon_sym_LPAREN] = ACTIONS(11629),
    [anon_sym_COLON] = ACTIONS(11629),
    [anon_sym_export] = ACTIONS(11629),
    [anon_sym_public] = ACTIONS(11629),
    [anon_sym_import] = ACTIONS(11629),
    [anon_sym_using] = ACTIONS(11629),
    [anon_sym_LBRACK] = ACTIONS(11629),
    [anon_sym_in] = ACTIONS(11629),
    [anon_sym_SEMI] = ACTIONS(11629),
    [anon_sym_LBRACE] = ACTIONS(11629),
    [anon_sym_DOLLAR] = ACTIONS(11629),
    [anon_sym_COLON2] = ACTIONS(11629),
    [anon_sym_COLON_COLON] = ACTIONS(11629),
    [anon_sym_isa] = ACTIONS(11629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11629),
    [anon_sym_QMARK] = ACTIONS(11629),
    [anon_sym_where] = ACTIONS(11629),
    [anon_sym_AT] = ACTIONS(11629),
    [anon_sym_true] = ACTIONS(11629),
    [anon_sym_false] = ACTIONS(11629),
    [aux_sym_integer_literal_token1] = ACTIONS(11629),
    [aux_sym_integer_literal_token2] = ACTIONS(11629),
    [aux_sym_integer_literal_token3] = ACTIONS(11629),
    [aux_sym_integer_literal_token4] = ACTIONS(11629),
    [aux_sym_float_literal_token1] = ACTIONS(11629),
    [aux_sym_float_literal_token3] = ACTIONS(11629),
    [aux_sym_float_literal_token4] = ACTIONS(11629),
    [sym_character_literal] = ACTIONS(11629),
    [anon_sym_DQUOTE] = ACTIONS(11629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11629),
    [anon_sym_BQUOTE] = ACTIONS(11629),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11629),
    [sym__pair_operator] = ACTIONS(11629),
    [sym__arrow_operator] = ACTIONS(11629),
    [sym__lazy_or_operator] = ACTIONS(11629),
    [sym__lazy_and_operator] = ACTIONS(11629),
    [sym__comparison_operator] = ACTIONS(11629),
    [sym__pipe_right_operator] = ACTIONS(11629),
    [sym__pipe_left_operator] = ACTIONS(11629),
    [sym__ellipsis_operator] = ACTIONS(11629),
    [sym__plus_operator] = ACTIONS(11629),
    [sym__times_operator] = ACTIONS(11629),
    [sym__rational_operator] = ACTIONS(11629),
    [sym__bitshift_operator] = ACTIONS(11629),
    [sym__power_operator] = ACTIONS(11629),
    [sym__tilde_operator] = ACTIONS(11629),
    [sym__type_order_operator] = ACTIONS(11629),
    [sym__unary_operator] = ACTIONS(11629),
    [sym__unary_plus_operator] = ACTIONS(11629),
    [aux_sym__terminator_token1] = ACTIONS(11631),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9506] = {
    [sym_block_comment] = STATE(9506),
    [sym_line_comment] = STATE(9506),
    [sym__word_identifier] = ACTIONS(11633),
    [anon_sym_COMMA] = ACTIONS(11633),
    [anon_sym_EQ] = ACTIONS(11633),
    [anon_sym_begin] = ACTIONS(11633),
    [anon_sym_module] = ACTIONS(11633),
    [anon_sym_baremodule] = ACTIONS(11633),
    [anon_sym_end] = ACTIONS(11633),
    [anon_sym_abstract] = ACTIONS(11633),
    [anon_sym_primitive] = ACTIONS(11633),
    [anon_sym_mutable] = ACTIONS(11633),
    [anon_sym_struct] = ACTIONS(11633),
    [anon_sym_function] = ACTIONS(11633),
    [anon_sym_macro] = ACTIONS(11633),
    [anon_sym_quote] = ACTIONS(11633),
    [anon_sym_let] = ACTIONS(11633),
    [anon_sym_if] = ACTIONS(11633),
    [anon_sym_try] = ACTIONS(11633),
    [anon_sym_for] = ACTIONS(11633),
    [anon_sym_while] = ACTIONS(11633),
    [sym_break_statement] = ACTIONS(11633),
    [sym_continue_statement] = ACTIONS(11633),
    [anon_sym_return] = ACTIONS(11633),
    [anon_sym_const] = ACTIONS(11633),
    [anon_sym_global] = ACTIONS(11633),
    [anon_sym_local] = ACTIONS(11633),
    [anon_sym_LPAREN] = ACTIONS(11633),
    [anon_sym_COLON] = ACTIONS(11633),
    [anon_sym_export] = ACTIONS(11633),
    [anon_sym_public] = ACTIONS(11633),
    [anon_sym_import] = ACTIONS(11633),
    [anon_sym_using] = ACTIONS(11633),
    [anon_sym_LBRACK] = ACTIONS(11633),
    [anon_sym_in] = ACTIONS(11633),
    [anon_sym_SEMI] = ACTIONS(11633),
    [anon_sym_LBRACE] = ACTIONS(11633),
    [anon_sym_DOLLAR] = ACTIONS(11633),
    [anon_sym_COLON2] = ACTIONS(11633),
    [anon_sym_COLON_COLON] = ACTIONS(11633),
    [anon_sym_isa] = ACTIONS(11633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11633),
    [anon_sym_QMARK] = ACTIONS(11633),
    [anon_sym_where] = ACTIONS(11633),
    [anon_sym_AT] = ACTIONS(11633),
    [anon_sym_true] = ACTIONS(11633),
    [anon_sym_false] = ACTIONS(11633),
    [aux_sym_integer_literal_token1] = ACTIONS(11633),
    [aux_sym_integer_literal_token2] = ACTIONS(11633),
    [aux_sym_integer_literal_token3] = ACTIONS(11633),
    [aux_sym_integer_literal_token4] = ACTIONS(11633),
    [aux_sym_float_literal_token1] = ACTIONS(11633),
    [aux_sym_float_literal_token3] = ACTIONS(11633),
    [aux_sym_float_literal_token4] = ACTIONS(11633),
    [sym_character_literal] = ACTIONS(11633),
    [anon_sym_DQUOTE] = ACTIONS(11633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11633),
    [anon_sym_BQUOTE] = ACTIONS(11633),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11633),
    [sym__pair_operator] = ACTIONS(11633),
    [sym__arrow_operator] = ACTIONS(11633),
    [sym__lazy_or_operator] = ACTIONS(11633),
    [sym__lazy_and_operator] = ACTIONS(11633),
    [sym__comparison_operator] = ACTIONS(11633),
    [sym__pipe_right_operator] = ACTIONS(11633),
    [sym__pipe_left_operator] = ACTIONS(11633),
    [sym__ellipsis_operator] = ACTIONS(11633),
    [sym__plus_operator] = ACTIONS(11633),
    [sym__times_operator] = ACTIONS(11633),
    [sym__rational_operator] = ACTIONS(11633),
    [sym__bitshift_operator] = ACTIONS(11633),
    [sym__power_operator] = ACTIONS(11633),
    [sym__tilde_operator] = ACTIONS(11633),
    [sym__type_order_operator] = ACTIONS(11633),
    [sym__unary_operator] = ACTIONS(11633),
    [sym__unary_plus_operator] = ACTIONS(11633),
    [aux_sym__terminator_token1] = ACTIONS(11635),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9507] = {
    [sym_block_comment] = STATE(9507),
    [sym_line_comment] = STATE(9507),
    [sym__word_identifier] = ACTIONS(11637),
    [anon_sym_COMMA] = ACTIONS(11637),
    [anon_sym_EQ] = ACTIONS(11637),
    [anon_sym_begin] = ACTIONS(11637),
    [anon_sym_module] = ACTIONS(11637),
    [anon_sym_baremodule] = ACTIONS(11637),
    [anon_sym_end] = ACTIONS(11637),
    [anon_sym_abstract] = ACTIONS(11637),
    [anon_sym_primitive] = ACTIONS(11637),
    [anon_sym_mutable] = ACTIONS(11637),
    [anon_sym_struct] = ACTIONS(11637),
    [anon_sym_function] = ACTIONS(11637),
    [anon_sym_macro] = ACTIONS(11637),
    [anon_sym_quote] = ACTIONS(11637),
    [anon_sym_let] = ACTIONS(11637),
    [anon_sym_if] = ACTIONS(11637),
    [anon_sym_try] = ACTIONS(11637),
    [anon_sym_for] = ACTIONS(11637),
    [anon_sym_while] = ACTIONS(11637),
    [sym_break_statement] = ACTIONS(11637),
    [sym_continue_statement] = ACTIONS(11637),
    [anon_sym_return] = ACTIONS(11637),
    [anon_sym_const] = ACTIONS(11637),
    [anon_sym_global] = ACTIONS(11637),
    [anon_sym_local] = ACTIONS(11637),
    [anon_sym_LPAREN] = ACTIONS(11637),
    [anon_sym_COLON] = ACTIONS(11637),
    [anon_sym_export] = ACTIONS(11637),
    [anon_sym_public] = ACTIONS(11637),
    [anon_sym_import] = ACTIONS(11637),
    [anon_sym_using] = ACTIONS(11637),
    [anon_sym_LBRACK] = ACTIONS(11637),
    [anon_sym_in] = ACTIONS(11637),
    [anon_sym_SEMI] = ACTIONS(11637),
    [anon_sym_LBRACE] = ACTIONS(11637),
    [anon_sym_DOLLAR] = ACTIONS(11637),
    [anon_sym_COLON2] = ACTIONS(11637),
    [anon_sym_COLON_COLON] = ACTIONS(11637),
    [anon_sym_isa] = ACTIONS(11637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11637),
    [anon_sym_QMARK] = ACTIONS(11637),
    [anon_sym_where] = ACTIONS(11637),
    [anon_sym_AT] = ACTIONS(11637),
    [anon_sym_true] = ACTIONS(11637),
    [anon_sym_false] = ACTIONS(11637),
    [aux_sym_integer_literal_token1] = ACTIONS(11637),
    [aux_sym_integer_literal_token2] = ACTIONS(11637),
    [aux_sym_integer_literal_token3] = ACTIONS(11637),
    [aux_sym_integer_literal_token4] = ACTIONS(11637),
    [aux_sym_float_literal_token1] = ACTIONS(11637),
    [aux_sym_float_literal_token3] = ACTIONS(11637),
    [aux_sym_float_literal_token4] = ACTIONS(11637),
    [sym_character_literal] = ACTIONS(11637),
    [anon_sym_DQUOTE] = ACTIONS(11637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11637),
    [anon_sym_BQUOTE] = ACTIONS(11637),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11637),
    [sym__pair_operator] = ACTIONS(11637),
    [sym__arrow_operator] = ACTIONS(11637),
    [sym__lazy_or_operator] = ACTIONS(11637),
    [sym__lazy_and_operator] = ACTIONS(11637),
    [sym__comparison_operator] = ACTIONS(11637),
    [sym__pipe_right_operator] = ACTIONS(11637),
    [sym__pipe_left_operator] = ACTIONS(11637),
    [sym__ellipsis_operator] = ACTIONS(11637),
    [sym__plus_operator] = ACTIONS(11637),
    [sym__times_operator] = ACTIONS(11637),
    [sym__rational_operator] = ACTIONS(11637),
    [sym__bitshift_operator] = ACTIONS(11637),
    [sym__power_operator] = ACTIONS(11637),
    [sym__tilde_operator] = ACTIONS(11637),
    [sym__type_order_operator] = ACTIONS(11637),
    [sym__unary_operator] = ACTIONS(11637),
    [sym__unary_plus_operator] = ACTIONS(11637),
    [aux_sym__terminator_token1] = ACTIONS(11639),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9508] = {
    [sym_block_comment] = STATE(9508),
    [sym_line_comment] = STATE(9508),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12845),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12859),
    [sym__pipe_left_operator] = ACTIONS(12861),
    [sym__ellipsis_operator] = ACTIONS(12863),
    [sym__plus_operator] = ACTIONS(12865),
    [sym__times_operator] = ACTIONS(12867),
    [sym__rational_operator] = ACTIONS(12869),
    [sym__bitshift_operator] = ACTIONS(12871),
    [sym__power_operator] = ACTIONS(12827),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12865),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9509] = {
    [sym_block_comment] = STATE(9509),
    [sym_line_comment] = STATE(9509),
    [sym__word_identifier] = ACTIONS(11641),
    [anon_sym_COMMA] = ACTIONS(11641),
    [anon_sym_EQ] = ACTIONS(11641),
    [anon_sym_begin] = ACTIONS(11641),
    [anon_sym_module] = ACTIONS(11641),
    [anon_sym_baremodule] = ACTIONS(11641),
    [anon_sym_end] = ACTIONS(11641),
    [anon_sym_abstract] = ACTIONS(11641),
    [anon_sym_primitive] = ACTIONS(11641),
    [anon_sym_mutable] = ACTIONS(11641),
    [anon_sym_struct] = ACTIONS(11641),
    [anon_sym_function] = ACTIONS(11641),
    [anon_sym_macro] = ACTIONS(11641),
    [anon_sym_quote] = ACTIONS(11641),
    [anon_sym_let] = ACTIONS(11641),
    [anon_sym_if] = ACTIONS(11641),
    [anon_sym_try] = ACTIONS(11641),
    [anon_sym_for] = ACTIONS(11641),
    [anon_sym_while] = ACTIONS(11641),
    [sym_break_statement] = ACTIONS(11641),
    [sym_continue_statement] = ACTIONS(11641),
    [anon_sym_return] = ACTIONS(11641),
    [anon_sym_const] = ACTIONS(11641),
    [anon_sym_global] = ACTIONS(11641),
    [anon_sym_local] = ACTIONS(11641),
    [anon_sym_LPAREN] = ACTIONS(11641),
    [anon_sym_COLON] = ACTIONS(11641),
    [anon_sym_export] = ACTIONS(11641),
    [anon_sym_public] = ACTIONS(11641),
    [anon_sym_import] = ACTIONS(11641),
    [anon_sym_using] = ACTIONS(11641),
    [anon_sym_LBRACK] = ACTIONS(11641),
    [anon_sym_in] = ACTIONS(11641),
    [anon_sym_SEMI] = ACTIONS(11641),
    [anon_sym_LBRACE] = ACTIONS(11641),
    [anon_sym_DOLLAR] = ACTIONS(11641),
    [anon_sym_COLON2] = ACTIONS(11641),
    [anon_sym_COLON_COLON] = ACTIONS(11641),
    [anon_sym_isa] = ACTIONS(11641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11641),
    [anon_sym_QMARK] = ACTIONS(11641),
    [anon_sym_where] = ACTIONS(11641),
    [anon_sym_AT] = ACTIONS(11641),
    [anon_sym_true] = ACTIONS(11641),
    [anon_sym_false] = ACTIONS(11641),
    [aux_sym_integer_literal_token1] = ACTIONS(11641),
    [aux_sym_integer_literal_token2] = ACTIONS(11641),
    [aux_sym_integer_literal_token3] = ACTIONS(11641),
    [aux_sym_integer_literal_token4] = ACTIONS(11641),
    [aux_sym_float_literal_token1] = ACTIONS(11641),
    [aux_sym_float_literal_token3] = ACTIONS(11641),
    [aux_sym_float_literal_token4] = ACTIONS(11641),
    [sym_character_literal] = ACTIONS(11641),
    [anon_sym_DQUOTE] = ACTIONS(11641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11641),
    [anon_sym_BQUOTE] = ACTIONS(11641),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11641),
    [sym__pair_operator] = ACTIONS(11641),
    [sym__arrow_operator] = ACTIONS(11641),
    [sym__lazy_or_operator] = ACTIONS(11641),
    [sym__lazy_and_operator] = ACTIONS(11641),
    [sym__comparison_operator] = ACTIONS(11641),
    [sym__pipe_right_operator] = ACTIONS(11641),
    [sym__pipe_left_operator] = ACTIONS(11641),
    [sym__ellipsis_operator] = ACTIONS(11641),
    [sym__plus_operator] = ACTIONS(11641),
    [sym__times_operator] = ACTIONS(11641),
    [sym__rational_operator] = ACTIONS(11641),
    [sym__bitshift_operator] = ACTIONS(11641),
    [sym__power_operator] = ACTIONS(11641),
    [sym__tilde_operator] = ACTIONS(11641),
    [sym__type_order_operator] = ACTIONS(11641),
    [sym__unary_operator] = ACTIONS(11641),
    [sym__unary_plus_operator] = ACTIONS(11641),
    [aux_sym__terminator_token1] = ACTIONS(11643),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9510] = {
    [sym_block_comment] = STATE(9510),
    [sym_line_comment] = STATE(9510),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9511] = {
    [sym_identifier] = STATE(9668),
    [sym_block_comment] = STATE(9511),
    [sym_line_comment] = STATE(9511),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_COMMA] = ACTIONS(10145),
    [anon_sym_EQ] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10145),
    [anon_sym_COLON] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10145),
    [anon_sym_in] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10145),
    [anon_sym_DOT] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10145),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10145),
    [anon_sym_isa] = ACTIONS(10143),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10145),
    [anon_sym_QMARK] = ACTIONS(10145),
    [anon_sym_where] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10145),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10145),
    [aux_sym_integer_literal_token2] = ACTIONS(10145),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10145),
    [aux_sym_float_literal_token3] = ACTIONS(10145),
    [aux_sym_float_literal_token4] = ACTIONS(10145),
    [sym_character_literal] = ACTIONS(10145),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10145),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10145),
    [sym__pair_operator] = ACTIONS(10145),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__lazy_or_operator] = ACTIONS(10145),
    [sym__lazy_and_operator] = ACTIONS(10145),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10145),
    [sym__pipe_left_operator] = ACTIONS(10145),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10145),
    [sym__bitshift_operator] = ACTIONS(10145),
    [sym__power_operator] = ACTIONS(10145),
    [sym__tilde_operator] = ACTIONS(10145),
    [sym__type_order_operator] = ACTIONS(10145),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9512] = {
    [sym_identifier] = STATE(9644),
    [sym_block_comment] = STATE(9512),
    [sym_line_comment] = STATE(9512),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_COMMA] = ACTIONS(10009),
    [anon_sym_EQ] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10009),
    [anon_sym_COLON] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10009),
    [anon_sym_in] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10009),
    [anon_sym_DOT] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10009),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10009),
    [anon_sym_isa] = ACTIONS(10007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10009),
    [anon_sym_QMARK] = ACTIONS(10009),
    [anon_sym_where] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10009),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10009),
    [aux_sym_integer_literal_token2] = ACTIONS(10009),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10009),
    [aux_sym_float_literal_token3] = ACTIONS(10009),
    [aux_sym_float_literal_token4] = ACTIONS(10009),
    [sym_character_literal] = ACTIONS(10009),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10009),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10009),
    [sym__pair_operator] = ACTIONS(10009),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__lazy_or_operator] = ACTIONS(10009),
    [sym__lazy_and_operator] = ACTIONS(10009),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10009),
    [sym__pipe_left_operator] = ACTIONS(10009),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10009),
    [sym__bitshift_operator] = ACTIONS(10009),
    [sym__power_operator] = ACTIONS(10009),
    [sym__tilde_operator] = ACTIONS(10009),
    [sym__type_order_operator] = ACTIONS(10009),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9513] = {
    [sym_block_comment] = STATE(9513),
    [sym_line_comment] = STATE(9513),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10103),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_as] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10103),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10103),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10103),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10103),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10103),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10103),
    [anon_sym_QMARK] = ACTIONS(10103),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10103),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10103),
    [aux_sym_integer_literal_token2] = ACTIONS(10103),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10103),
    [aux_sym_float_literal_token3] = ACTIONS(10103),
    [aux_sym_float_literal_token4] = ACTIONS(10103),
    [sym_character_literal] = ACTIONS(10103),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10103),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10103),
    [sym__pair_operator] = ACTIONS(10103),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10103),
    [sym__lazy_and_operator] = ACTIONS(10103),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10103),
    [sym__pipe_left_operator] = ACTIONS(10103),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10103),
    [sym__bitshift_operator] = ACTIONS(10103),
    [sym__power_operator] = ACTIONS(10103),
    [sym__tilde_operator] = ACTIONS(10103),
    [sym__type_order_operator] = ACTIONS(10103),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9514] = {
    [sym_block_comment] = STATE(9514),
    [sym_line_comment] = STATE(9514),
    [ts_builtin_sym_end] = ACTIONS(11878),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(12845),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_RBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(12847),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(12847),
    [sym__pipe_right_operator] = ACTIONS(12859),
    [sym__pipe_left_operator] = ACTIONS(12861),
    [sym__ellipsis_operator] = ACTIONS(12863),
    [sym__plus_operator] = ACTIONS(12865),
    [sym__times_operator] = ACTIONS(12867),
    [sym__rational_operator] = ACTIONS(12869),
    [sym__bitshift_operator] = ACTIONS(12871),
    [sym__power_operator] = ACTIONS(12827),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(12847),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12865),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9515] = {
    [sym_block_comment] = STATE(9515),
    [sym_line_comment] = STATE(9515),
    [sym__word_identifier] = ACTIONS(11645),
    [anon_sym_COMMA] = ACTIONS(11645),
    [anon_sym_EQ] = ACTIONS(11645),
    [anon_sym_begin] = ACTIONS(11645),
    [anon_sym_module] = ACTIONS(11645),
    [anon_sym_baremodule] = ACTIONS(11645),
    [anon_sym_end] = ACTIONS(11645),
    [anon_sym_abstract] = ACTIONS(11645),
    [anon_sym_primitive] = ACTIONS(11645),
    [anon_sym_mutable] = ACTIONS(11645),
    [anon_sym_struct] = ACTIONS(11645),
    [anon_sym_function] = ACTIONS(11645),
    [anon_sym_macro] = ACTIONS(11645),
    [anon_sym_quote] = ACTIONS(11645),
    [anon_sym_let] = ACTIONS(11645),
    [anon_sym_if] = ACTIONS(11645),
    [anon_sym_try] = ACTIONS(11645),
    [anon_sym_for] = ACTIONS(11645),
    [anon_sym_while] = ACTIONS(11645),
    [sym_break_statement] = ACTIONS(11645),
    [sym_continue_statement] = ACTIONS(11645),
    [anon_sym_return] = ACTIONS(11645),
    [anon_sym_const] = ACTIONS(11645),
    [anon_sym_global] = ACTIONS(11645),
    [anon_sym_local] = ACTIONS(11645),
    [anon_sym_LPAREN] = ACTIONS(11645),
    [anon_sym_COLON] = ACTIONS(11645),
    [anon_sym_export] = ACTIONS(11645),
    [anon_sym_public] = ACTIONS(11645),
    [anon_sym_import] = ACTIONS(11645),
    [anon_sym_using] = ACTIONS(11645),
    [anon_sym_LBRACK] = ACTIONS(11645),
    [anon_sym_in] = ACTIONS(11645),
    [anon_sym_SEMI] = ACTIONS(11645),
    [anon_sym_LBRACE] = ACTIONS(11645),
    [anon_sym_DOLLAR] = ACTIONS(11645),
    [anon_sym_COLON2] = ACTIONS(11645),
    [anon_sym_COLON_COLON] = ACTIONS(11645),
    [anon_sym_isa] = ACTIONS(11645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11645),
    [anon_sym_QMARK] = ACTIONS(11645),
    [anon_sym_where] = ACTIONS(11645),
    [anon_sym_AT] = ACTIONS(11645),
    [anon_sym_true] = ACTIONS(11645),
    [anon_sym_false] = ACTIONS(11645),
    [aux_sym_integer_literal_token1] = ACTIONS(11645),
    [aux_sym_integer_literal_token2] = ACTIONS(11645),
    [aux_sym_integer_literal_token3] = ACTIONS(11645),
    [aux_sym_integer_literal_token4] = ACTIONS(11645),
    [aux_sym_float_literal_token1] = ACTIONS(11645),
    [aux_sym_float_literal_token3] = ACTIONS(11645),
    [aux_sym_float_literal_token4] = ACTIONS(11645),
    [sym_character_literal] = ACTIONS(11645),
    [anon_sym_DQUOTE] = ACTIONS(11645),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11645),
    [anon_sym_BQUOTE] = ACTIONS(11645),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11645),
    [sym__pair_operator] = ACTIONS(11645),
    [sym__arrow_operator] = ACTIONS(11645),
    [sym__lazy_or_operator] = ACTIONS(11645),
    [sym__lazy_and_operator] = ACTIONS(11645),
    [sym__comparison_operator] = ACTIONS(11645),
    [sym__pipe_right_operator] = ACTIONS(11645),
    [sym__pipe_left_operator] = ACTIONS(11645),
    [sym__ellipsis_operator] = ACTIONS(11645),
    [sym__plus_operator] = ACTIONS(11645),
    [sym__times_operator] = ACTIONS(11645),
    [sym__rational_operator] = ACTIONS(11645),
    [sym__bitshift_operator] = ACTIONS(11645),
    [sym__power_operator] = ACTIONS(11645),
    [sym__tilde_operator] = ACTIONS(11645),
    [sym__type_order_operator] = ACTIONS(11645),
    [sym__unary_operator] = ACTIONS(11645),
    [sym__unary_plus_operator] = ACTIONS(11645),
    [aux_sym__terminator_token1] = ACTIONS(11647),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9516] = {
    [sym_block_comment] = STATE(9516),
    [sym_line_comment] = STATE(9516),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12845),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12847),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(12849),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(12851),
    [sym__arrow_operator] = ACTIONS(12853),
    [sym__lazy_or_operator] = ACTIONS(12855),
    [sym__lazy_and_operator] = ACTIONS(12857),
    [sym__comparison_operator] = ACTIONS(12847),
    [sym__pipe_right_operator] = ACTIONS(12859),
    [sym__pipe_left_operator] = ACTIONS(12861),
    [sym__ellipsis_operator] = ACTIONS(12863),
    [sym__plus_operator] = ACTIONS(12865),
    [sym__times_operator] = ACTIONS(12867),
    [sym__rational_operator] = ACTIONS(12869),
    [sym__bitshift_operator] = ACTIONS(12871),
    [sym__power_operator] = ACTIONS(12827),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12847),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12865),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9517] = {
    [sym_block_comment] = STATE(9517),
    [sym_line_comment] = STATE(9517),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12845),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12847),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12849),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(12853),
    [sym__lazy_or_operator] = ACTIONS(12855),
    [sym__lazy_and_operator] = ACTIONS(12857),
    [sym__comparison_operator] = ACTIONS(12847),
    [sym__pipe_right_operator] = ACTIONS(12859),
    [sym__pipe_left_operator] = ACTIONS(12861),
    [sym__ellipsis_operator] = ACTIONS(12863),
    [sym__plus_operator] = ACTIONS(12865),
    [sym__times_operator] = ACTIONS(12867),
    [sym__rational_operator] = ACTIONS(12869),
    [sym__bitshift_operator] = ACTIONS(12871),
    [sym__power_operator] = ACTIONS(12827),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12847),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12865),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9518] = {
    [sym_block_comment] = STATE(9518),
    [sym_line_comment] = STATE(9518),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12845),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12847),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12849),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(12857),
    [sym__comparison_operator] = ACTIONS(12847),
    [sym__pipe_right_operator] = ACTIONS(12859),
    [sym__pipe_left_operator] = ACTIONS(12861),
    [sym__ellipsis_operator] = ACTIONS(12863),
    [sym__plus_operator] = ACTIONS(12865),
    [sym__times_operator] = ACTIONS(12867),
    [sym__rational_operator] = ACTIONS(12869),
    [sym__bitshift_operator] = ACTIONS(12871),
    [sym__power_operator] = ACTIONS(12827),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12847),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12865),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9519] = {
    [sym_block_comment] = STATE(9519),
    [sym_line_comment] = STATE(9519),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12845),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12847),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12849),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(12847),
    [sym__pipe_right_operator] = ACTIONS(12859),
    [sym__pipe_left_operator] = ACTIONS(12861),
    [sym__ellipsis_operator] = ACTIONS(12863),
    [sym__plus_operator] = ACTIONS(12865),
    [sym__times_operator] = ACTIONS(12867),
    [sym__rational_operator] = ACTIONS(12869),
    [sym__bitshift_operator] = ACTIONS(12871),
    [sym__power_operator] = ACTIONS(12827),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12847),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12865),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9520] = {
    [sym_block_comment] = STATE(9520),
    [sym_line_comment] = STATE(9520),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12845),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(12863),
    [sym__plus_operator] = ACTIONS(12865),
    [sym__times_operator] = ACTIONS(12867),
    [sym__rational_operator] = ACTIONS(12869),
    [sym__bitshift_operator] = ACTIONS(12871),
    [sym__power_operator] = ACTIONS(12827),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12865),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9521] = {
    [sym_block_comment] = STATE(9521),
    [sym_line_comment] = STATE(9521),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12845),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12859),
    [sym__pipe_left_operator] = ACTIONS(12861),
    [sym__ellipsis_operator] = ACTIONS(12863),
    [sym__plus_operator] = ACTIONS(12865),
    [sym__times_operator] = ACTIONS(12867),
    [sym__rational_operator] = ACTIONS(12869),
    [sym__bitshift_operator] = ACTIONS(12871),
    [sym__power_operator] = ACTIONS(12827),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12865),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9522] = {
    [sym_block_comment] = STATE(9522),
    [sym_line_comment] = STATE(9522),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10285),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9523] = {
    [sym_block_comment] = STATE(9523),
    [sym_line_comment] = STATE(9523),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10243),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9524] = {
    [sym_block_comment] = STATE(9524),
    [sym_line_comment] = STATE(9524),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10509),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10169),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9525] = {
    [sym_block_comment] = STATE(9525),
    [sym_line_comment] = STATE(9525),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11706),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11706),
    [anon_sym_RPAREN] = ACTIONS(11706),
    [anon_sym_COLON] = ACTIONS(12346),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11706),
    [anon_sym_RBRACK] = ACTIONS(11706),
    [anon_sym_in] = ACTIONS(12348),
    [anon_sym_SEMI] = ACTIONS(11706),
    [anon_sym_LBRACE] = ACTIONS(11706),
    [anon_sym_RBRACE] = ACTIONS(11706),
    [anon_sym_DOLLAR] = ACTIONS(11706),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(12520),
    [anon_sym_where] = ACTIONS(12356),
    [anon_sym_AT] = ACTIONS(11706),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11706),
    [aux_sym_integer_literal_token2] = ACTIONS(11706),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11706),
    [aux_sym_float_literal_token3] = ACTIONS(11706),
    [aux_sym_float_literal_token4] = ACTIONS(11706),
    [sym_character_literal] = ACTIONS(11706),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11706),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11706),
    [sym__pair_operator] = ACTIONS(12358),
    [sym__arrow_operator] = ACTIONS(12360),
    [sym__lazy_or_operator] = ACTIONS(12362),
    [sym__lazy_and_operator] = ACTIONS(12364),
    [sym__comparison_operator] = ACTIONS(12348),
    [sym__pipe_right_operator] = ACTIONS(12366),
    [sym__pipe_left_operator] = ACTIONS(12368),
    [sym__ellipsis_operator] = ACTIONS(12370),
    [sym__plus_operator] = ACTIONS(12372),
    [sym__times_operator] = ACTIONS(12374),
    [sym__rational_operator] = ACTIONS(12376),
    [sym__bitshift_operator] = ACTIONS(12378),
    [sym__power_operator] = ACTIONS(12380),
    [sym__tilde_operator] = ACTIONS(11706),
    [sym__type_order_operator] = ACTIONS(12382),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12372),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9526] = {
    [sym_block_comment] = STATE(9526),
    [sym_line_comment] = STATE(9526),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12865),
    [sym__times_operator] = ACTIONS(12867),
    [sym__rational_operator] = ACTIONS(12869),
    [sym__bitshift_operator] = ACTIONS(12871),
    [sym__power_operator] = ACTIONS(12827),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12865),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9527] = {
    [sym_block_comment] = STATE(9527),
    [sym_line_comment] = STATE(9527),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10329),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_as] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10329),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10329),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10329),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10329),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10329),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10329),
    [anon_sym_QMARK] = ACTIONS(10329),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10329),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10329),
    [aux_sym_integer_literal_token2] = ACTIONS(10329),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10329),
    [aux_sym_float_literal_token3] = ACTIONS(10329),
    [aux_sym_float_literal_token4] = ACTIONS(10329),
    [sym_character_literal] = ACTIONS(10329),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10329),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10329),
    [sym__pair_operator] = ACTIONS(10329),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10329),
    [sym__lazy_and_operator] = ACTIONS(10329),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10329),
    [sym__pipe_left_operator] = ACTIONS(10329),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10329),
    [sym__bitshift_operator] = ACTIONS(10329),
    [sym__power_operator] = ACTIONS(10329),
    [sym__tilde_operator] = ACTIONS(10329),
    [sym__type_order_operator] = ACTIONS(10329),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9528] = {
    [sym_block_comment] = STATE(9528),
    [sym_line_comment] = STATE(9528),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9529] = {
    [sym_block_comment] = STATE(9529),
    [sym_line_comment] = STATE(9529),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12867),
    [sym__rational_operator] = ACTIONS(12869),
    [sym__bitshift_operator] = ACTIONS(12871),
    [sym__power_operator] = ACTIONS(12827),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9530] = {
    [sym_block_comment] = STATE(9530),
    [sym_line_comment] = STATE(9530),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12869),
    [sym__bitshift_operator] = ACTIONS(12871),
    [sym__power_operator] = ACTIONS(12827),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9531] = {
    [sym_block_comment] = STATE(9531),
    [sym_line_comment] = STATE(9531),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(12871),
    [sym__power_operator] = ACTIONS(12827),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9532] = {
    [sym_block_comment] = STATE(9532),
    [sym_line_comment] = STATE(9532),
    [sym__word_identifier] = ACTIONS(11481),
    [anon_sym_COMMA] = ACTIONS(11481),
    [anon_sym_EQ] = ACTIONS(11481),
    [anon_sym_begin] = ACTIONS(11481),
    [anon_sym_module] = ACTIONS(11481),
    [anon_sym_baremodule] = ACTIONS(11481),
    [anon_sym_end] = ACTIONS(11481),
    [anon_sym_abstract] = ACTIONS(11481),
    [anon_sym_primitive] = ACTIONS(11481),
    [anon_sym_mutable] = ACTIONS(11481),
    [anon_sym_struct] = ACTIONS(11481),
    [anon_sym_function] = ACTIONS(11481),
    [anon_sym_macro] = ACTIONS(11481),
    [anon_sym_quote] = ACTIONS(11481),
    [anon_sym_let] = ACTIONS(11481),
    [anon_sym_if] = ACTIONS(11481),
    [anon_sym_try] = ACTIONS(11481),
    [anon_sym_for] = ACTIONS(11481),
    [anon_sym_while] = ACTIONS(11481),
    [sym_break_statement] = ACTIONS(11481),
    [sym_continue_statement] = ACTIONS(11481),
    [anon_sym_return] = ACTIONS(11481),
    [anon_sym_const] = ACTIONS(11481),
    [anon_sym_global] = ACTIONS(11481),
    [anon_sym_local] = ACTIONS(11481),
    [anon_sym_LPAREN] = ACTIONS(11481),
    [anon_sym_COLON] = ACTIONS(11481),
    [anon_sym_export] = ACTIONS(11481),
    [anon_sym_public] = ACTIONS(11481),
    [anon_sym_import] = ACTIONS(11481),
    [anon_sym_using] = ACTIONS(11481),
    [anon_sym_LBRACK] = ACTIONS(11481),
    [anon_sym_in] = ACTIONS(11481),
    [anon_sym_SEMI] = ACTIONS(11481),
    [anon_sym_LBRACE] = ACTIONS(11481),
    [anon_sym_DOLLAR] = ACTIONS(11481),
    [anon_sym_COLON2] = ACTIONS(11481),
    [anon_sym_COLON_COLON] = ACTIONS(11481),
    [anon_sym_isa] = ACTIONS(11481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11481),
    [anon_sym_QMARK] = ACTIONS(11481),
    [anon_sym_where] = ACTIONS(11481),
    [anon_sym_AT] = ACTIONS(11481),
    [anon_sym_true] = ACTIONS(11481),
    [anon_sym_false] = ACTIONS(11481),
    [aux_sym_integer_literal_token1] = ACTIONS(11481),
    [aux_sym_integer_literal_token2] = ACTIONS(11481),
    [aux_sym_integer_literal_token3] = ACTIONS(11481),
    [aux_sym_integer_literal_token4] = ACTIONS(11481),
    [aux_sym_float_literal_token1] = ACTIONS(11481),
    [aux_sym_float_literal_token3] = ACTIONS(11481),
    [aux_sym_float_literal_token4] = ACTIONS(11481),
    [sym_character_literal] = ACTIONS(11481),
    [anon_sym_DQUOTE] = ACTIONS(11481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11481),
    [anon_sym_BQUOTE] = ACTIONS(11481),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11481),
    [sym__pair_operator] = ACTIONS(11481),
    [sym__arrow_operator] = ACTIONS(11481),
    [sym__lazy_or_operator] = ACTIONS(11481),
    [sym__lazy_and_operator] = ACTIONS(11481),
    [sym__comparison_operator] = ACTIONS(11481),
    [sym__pipe_right_operator] = ACTIONS(11481),
    [sym__pipe_left_operator] = ACTIONS(11481),
    [sym__ellipsis_operator] = ACTIONS(11481),
    [sym__plus_operator] = ACTIONS(11481),
    [sym__times_operator] = ACTIONS(11481),
    [sym__rational_operator] = ACTIONS(11481),
    [sym__bitshift_operator] = ACTIONS(11481),
    [sym__power_operator] = ACTIONS(11481),
    [sym__tilde_operator] = ACTIONS(11481),
    [sym__type_order_operator] = ACTIONS(11481),
    [sym__unary_operator] = ACTIONS(11481),
    [sym__unary_plus_operator] = ACTIONS(11481),
    [aux_sym__terminator_token1] = ACTIONS(11483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9533] = {
    [sym_block_comment] = STATE(9533),
    [sym_line_comment] = STATE(9533),
    [ts_builtin_sym_end] = ACTIONS(11380),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(12827),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9534] = {
    [sym_block_comment] = STATE(9534),
    [sym_line_comment] = STATE(9534),
    [sym__word_identifier] = ACTIONS(11485),
    [anon_sym_COMMA] = ACTIONS(11485),
    [anon_sym_EQ] = ACTIONS(11485),
    [anon_sym_begin] = ACTIONS(11485),
    [anon_sym_module] = ACTIONS(11485),
    [anon_sym_baremodule] = ACTIONS(11485),
    [anon_sym_end] = ACTIONS(11485),
    [anon_sym_abstract] = ACTIONS(11485),
    [anon_sym_primitive] = ACTIONS(11485),
    [anon_sym_mutable] = ACTIONS(11485),
    [anon_sym_struct] = ACTIONS(11485),
    [anon_sym_function] = ACTIONS(11485),
    [anon_sym_macro] = ACTIONS(11485),
    [anon_sym_quote] = ACTIONS(11485),
    [anon_sym_let] = ACTIONS(11485),
    [anon_sym_if] = ACTIONS(11485),
    [anon_sym_try] = ACTIONS(11485),
    [anon_sym_for] = ACTIONS(11485),
    [anon_sym_while] = ACTIONS(11485),
    [sym_break_statement] = ACTIONS(11485),
    [sym_continue_statement] = ACTIONS(11485),
    [anon_sym_return] = ACTIONS(11485),
    [anon_sym_const] = ACTIONS(11485),
    [anon_sym_global] = ACTIONS(11485),
    [anon_sym_local] = ACTIONS(11485),
    [anon_sym_LPAREN] = ACTIONS(11485),
    [anon_sym_COLON] = ACTIONS(11485),
    [anon_sym_export] = ACTIONS(11485),
    [anon_sym_public] = ACTIONS(11485),
    [anon_sym_import] = ACTIONS(11485),
    [anon_sym_using] = ACTIONS(11485),
    [anon_sym_LBRACK] = ACTIONS(11485),
    [anon_sym_in] = ACTIONS(11485),
    [anon_sym_SEMI] = ACTIONS(11485),
    [anon_sym_LBRACE] = ACTIONS(11485),
    [anon_sym_DOLLAR] = ACTIONS(11485),
    [anon_sym_COLON2] = ACTIONS(11485),
    [anon_sym_COLON_COLON] = ACTIONS(11485),
    [anon_sym_isa] = ACTIONS(11485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11485),
    [anon_sym_QMARK] = ACTIONS(11485),
    [anon_sym_where] = ACTIONS(11485),
    [anon_sym_AT] = ACTIONS(11485),
    [anon_sym_true] = ACTIONS(11485),
    [anon_sym_false] = ACTIONS(11485),
    [aux_sym_integer_literal_token1] = ACTIONS(11485),
    [aux_sym_integer_literal_token2] = ACTIONS(11485),
    [aux_sym_integer_literal_token3] = ACTIONS(11485),
    [aux_sym_integer_literal_token4] = ACTIONS(11485),
    [aux_sym_float_literal_token1] = ACTIONS(11485),
    [aux_sym_float_literal_token3] = ACTIONS(11485),
    [aux_sym_float_literal_token4] = ACTIONS(11485),
    [sym_character_literal] = ACTIONS(11485),
    [anon_sym_DQUOTE] = ACTIONS(11485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11485),
    [anon_sym_BQUOTE] = ACTIONS(11485),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11485),
    [sym__pair_operator] = ACTIONS(11485),
    [sym__arrow_operator] = ACTIONS(11485),
    [sym__lazy_or_operator] = ACTIONS(11485),
    [sym__lazy_and_operator] = ACTIONS(11485),
    [sym__comparison_operator] = ACTIONS(11485),
    [sym__pipe_right_operator] = ACTIONS(11485),
    [sym__pipe_left_operator] = ACTIONS(11485),
    [sym__ellipsis_operator] = ACTIONS(11485),
    [sym__plus_operator] = ACTIONS(11485),
    [sym__times_operator] = ACTIONS(11485),
    [sym__rational_operator] = ACTIONS(11485),
    [sym__bitshift_operator] = ACTIONS(11485),
    [sym__power_operator] = ACTIONS(11485),
    [sym__tilde_operator] = ACTIONS(11485),
    [sym__type_order_operator] = ACTIONS(11485),
    [sym__unary_operator] = ACTIONS(11485),
    [sym__unary_plus_operator] = ACTIONS(11485),
    [aux_sym__terminator_token1] = ACTIONS(11487),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9535] = {
    [sym_block_comment] = STATE(9535),
    [sym_line_comment] = STATE(9535),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11218),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11437),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_RBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11441),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11450),
    [anon_sym_where] = ACTIONS(11452),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11456),
    [sym__lazy_or_operator] = ACTIONS(11458),
    [sym__lazy_and_operator] = ACTIONS(11460),
    [sym__comparison_operator] = ACTIONS(11441),
    [sym__pipe_right_operator] = ACTIONS(11462),
    [sym__pipe_left_operator] = ACTIONS(11464),
    [sym__ellipsis_operator] = ACTIONS(11466),
    [sym__plus_operator] = ACTIONS(11468),
    [sym__times_operator] = ACTIONS(11470),
    [sym__rational_operator] = ACTIONS(11472),
    [sym__bitshift_operator] = ACTIONS(11474),
    [sym__power_operator] = ACTIONS(11476),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11441),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11468),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9536] = {
    [sym_block_comment] = STATE(9536),
    [sym_line_comment] = STATE(9536),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11216),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11216),
    [anon_sym_COLON] = ACTIONS(11216),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11216),
    [anon_sym_in] = ACTIONS(11216),
    [anon_sym_SEMI] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11216),
    [anon_sym_DOLLAR] = ACTIONS(11216),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11216),
    [anon_sym_isa] = ACTIONS(11216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11216),
    [anon_sym_QMARK] = ACTIONS(11216),
    [anon_sym_where] = ACTIONS(11216),
    [anon_sym_AT] = ACTIONS(11216),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11216),
    [aux_sym_integer_literal_token2] = ACTIONS(11216),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11216),
    [aux_sym_float_literal_token3] = ACTIONS(11216),
    [aux_sym_float_literal_token4] = ACTIONS(11216),
    [sym_character_literal] = ACTIONS(11216),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11216),
    [sym__pair_operator] = ACTIONS(11216),
    [sym__arrow_operator] = ACTIONS(11216),
    [sym__lazy_or_operator] = ACTIONS(11216),
    [sym__lazy_and_operator] = ACTIONS(11216),
    [sym__comparison_operator] = ACTIONS(11216),
    [sym__pipe_right_operator] = ACTIONS(11216),
    [sym__pipe_left_operator] = ACTIONS(11216),
    [sym__ellipsis_operator] = ACTIONS(11216),
    [sym__plus_operator] = ACTIONS(11216),
    [sym__times_operator] = ACTIONS(11216),
    [sym__rational_operator] = ACTIONS(11216),
    [sym__bitshift_operator] = ACTIONS(11216),
    [sym__power_operator] = ACTIONS(11216),
    [sym__tilde_operator] = ACTIONS(11216),
    [sym__type_order_operator] = ACTIONS(11216),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11216),
    [aux_sym__terminator_token1] = ACTIONS(11220),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9537] = {
    [sym_block_comment] = STATE(9537),
    [sym_line_comment] = STATE(9537),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12795),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12809),
    [sym__pipe_left_operator] = ACTIONS(12811),
    [sym__ellipsis_operator] = ACTIONS(12813),
    [sym__plus_operator] = ACTIONS(12815),
    [sym__times_operator] = ACTIONS(12817),
    [sym__rational_operator] = ACTIONS(12819),
    [sym__bitshift_operator] = ACTIONS(12821),
    [sym__power_operator] = ACTIONS(12823),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12815),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9538] = {
    [sym_block_comment] = STATE(9538),
    [sym_line_comment] = STATE(9538),
    [sym__word_identifier] = ACTIONS(11489),
    [anon_sym_COMMA] = ACTIONS(11489),
    [anon_sym_EQ] = ACTIONS(11489),
    [anon_sym_begin] = ACTIONS(11489),
    [anon_sym_module] = ACTIONS(11489),
    [anon_sym_baremodule] = ACTIONS(11489),
    [anon_sym_end] = ACTIONS(11489),
    [anon_sym_abstract] = ACTIONS(11489),
    [anon_sym_primitive] = ACTIONS(11489),
    [anon_sym_mutable] = ACTIONS(11489),
    [anon_sym_struct] = ACTIONS(11489),
    [anon_sym_function] = ACTIONS(11489),
    [anon_sym_macro] = ACTIONS(11489),
    [anon_sym_quote] = ACTIONS(11489),
    [anon_sym_let] = ACTIONS(11489),
    [anon_sym_if] = ACTIONS(11489),
    [anon_sym_try] = ACTIONS(11489),
    [anon_sym_for] = ACTIONS(11489),
    [anon_sym_while] = ACTIONS(11489),
    [sym_break_statement] = ACTIONS(11489),
    [sym_continue_statement] = ACTIONS(11489),
    [anon_sym_return] = ACTIONS(11489),
    [anon_sym_const] = ACTIONS(11489),
    [anon_sym_global] = ACTIONS(11489),
    [anon_sym_local] = ACTIONS(11489),
    [anon_sym_LPAREN] = ACTIONS(11489),
    [anon_sym_COLON] = ACTIONS(11489),
    [anon_sym_export] = ACTIONS(11489),
    [anon_sym_public] = ACTIONS(11489),
    [anon_sym_import] = ACTIONS(11489),
    [anon_sym_using] = ACTIONS(11489),
    [anon_sym_LBRACK] = ACTIONS(11489),
    [anon_sym_in] = ACTIONS(11489),
    [anon_sym_SEMI] = ACTIONS(11489),
    [anon_sym_LBRACE] = ACTIONS(11489),
    [anon_sym_DOLLAR] = ACTIONS(11489),
    [anon_sym_COLON2] = ACTIONS(11489),
    [anon_sym_COLON_COLON] = ACTIONS(11489),
    [anon_sym_isa] = ACTIONS(11489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11489),
    [anon_sym_QMARK] = ACTIONS(11489),
    [anon_sym_where] = ACTIONS(11489),
    [anon_sym_AT] = ACTIONS(11489),
    [anon_sym_true] = ACTIONS(11489),
    [anon_sym_false] = ACTIONS(11489),
    [aux_sym_integer_literal_token1] = ACTIONS(11489),
    [aux_sym_integer_literal_token2] = ACTIONS(11489),
    [aux_sym_integer_literal_token3] = ACTIONS(11489),
    [aux_sym_integer_literal_token4] = ACTIONS(11489),
    [aux_sym_float_literal_token1] = ACTIONS(11489),
    [aux_sym_float_literal_token3] = ACTIONS(11489),
    [aux_sym_float_literal_token4] = ACTIONS(11489),
    [sym_character_literal] = ACTIONS(11489),
    [anon_sym_DQUOTE] = ACTIONS(11489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11489),
    [anon_sym_BQUOTE] = ACTIONS(11489),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11489),
    [sym__pair_operator] = ACTIONS(11489),
    [sym__arrow_operator] = ACTIONS(11489),
    [sym__lazy_or_operator] = ACTIONS(11489),
    [sym__lazy_and_operator] = ACTIONS(11489),
    [sym__comparison_operator] = ACTIONS(11489),
    [sym__pipe_right_operator] = ACTIONS(11489),
    [sym__pipe_left_operator] = ACTIONS(11489),
    [sym__ellipsis_operator] = ACTIONS(11489),
    [sym__plus_operator] = ACTIONS(11489),
    [sym__times_operator] = ACTIONS(11489),
    [sym__rational_operator] = ACTIONS(11489),
    [sym__bitshift_operator] = ACTIONS(11489),
    [sym__power_operator] = ACTIONS(11489),
    [sym__tilde_operator] = ACTIONS(11489),
    [sym__type_order_operator] = ACTIONS(11489),
    [sym__unary_operator] = ACTIONS(11489),
    [sym__unary_plus_operator] = ACTIONS(11489),
    [aux_sym__terminator_token1] = ACTIONS(11491),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9539] = {
    [sym_block_comment] = STATE(9539),
    [sym_line_comment] = STATE(9539),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12795),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12797),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(12526),
    [anon_sym_where] = ACTIONS(12799),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(12801),
    [sym__arrow_operator] = ACTIONS(12803),
    [sym__lazy_or_operator] = ACTIONS(12805),
    [sym__lazy_and_operator] = ACTIONS(12807),
    [sym__comparison_operator] = ACTIONS(12797),
    [sym__pipe_right_operator] = ACTIONS(12809),
    [sym__pipe_left_operator] = ACTIONS(12811),
    [sym__ellipsis_operator] = ACTIONS(12813),
    [sym__plus_operator] = ACTIONS(12815),
    [sym__times_operator] = ACTIONS(12817),
    [sym__rational_operator] = ACTIONS(12819),
    [sym__bitshift_operator] = ACTIONS(12821),
    [sym__power_operator] = ACTIONS(12823),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12797),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12815),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9540] = {
    [sym_block_comment] = STATE(9540),
    [sym_line_comment] = STATE(9540),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10866),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10866),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10866),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_SEMI] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10866),
    [anon_sym_DOLLAR] = ACTIONS(10866),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10866),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10866),
    [anon_sym_QMARK] = ACTIONS(10866),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10866),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10866),
    [aux_sym_integer_literal_token2] = ACTIONS(10866),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10866),
    [aux_sym_float_literal_token3] = ACTIONS(10866),
    [aux_sym_float_literal_token4] = ACTIONS(10866),
    [sym_character_literal] = ACTIONS(10866),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10866),
    [sym__pair_operator] = ACTIONS(10866),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10866),
    [sym__lazy_and_operator] = ACTIONS(10866),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10866),
    [sym__pipe_left_operator] = ACTIONS(10866),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10866),
    [sym__bitshift_operator] = ACTIONS(10866),
    [sym__power_operator] = ACTIONS(10866),
    [sym__tilde_operator] = ACTIONS(10866),
    [sym__type_order_operator] = ACTIONS(10866),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym__terminator_token1] = ACTIONS(10870),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9541] = {
    [sym_block_comment] = STATE(9541),
    [sym_line_comment] = STATE(9541),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12795),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12797),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12799),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(12803),
    [sym__lazy_or_operator] = ACTIONS(12805),
    [sym__lazy_and_operator] = ACTIONS(12807),
    [sym__comparison_operator] = ACTIONS(12797),
    [sym__pipe_right_operator] = ACTIONS(12809),
    [sym__pipe_left_operator] = ACTIONS(12811),
    [sym__ellipsis_operator] = ACTIONS(12813),
    [sym__plus_operator] = ACTIONS(12815),
    [sym__times_operator] = ACTIONS(12817),
    [sym__rational_operator] = ACTIONS(12819),
    [sym__bitshift_operator] = ACTIONS(12821),
    [sym__power_operator] = ACTIONS(12823),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12797),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12815),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9542] = {
    [sym_block_comment] = STATE(9542),
    [sym_line_comment] = STATE(9542),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12795),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12797),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12799),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(12807),
    [sym__comparison_operator] = ACTIONS(12797),
    [sym__pipe_right_operator] = ACTIONS(12809),
    [sym__pipe_left_operator] = ACTIONS(12811),
    [sym__ellipsis_operator] = ACTIONS(12813),
    [sym__plus_operator] = ACTIONS(12815),
    [sym__times_operator] = ACTIONS(12817),
    [sym__rational_operator] = ACTIONS(12819),
    [sym__bitshift_operator] = ACTIONS(12821),
    [sym__power_operator] = ACTIONS(12823),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12797),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12815),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9543] = {
    [sym_block_comment] = STATE(9543),
    [sym_line_comment] = STATE(9543),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12795),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12797),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(12797),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12799),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(12797),
    [sym__pipe_right_operator] = ACTIONS(12809),
    [sym__pipe_left_operator] = ACTIONS(12811),
    [sym__ellipsis_operator] = ACTIONS(12813),
    [sym__plus_operator] = ACTIONS(12815),
    [sym__times_operator] = ACTIONS(12817),
    [sym__rational_operator] = ACTIONS(12819),
    [sym__bitshift_operator] = ACTIONS(12821),
    [sym__power_operator] = ACTIONS(12823),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12797),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12815),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9544] = {
    [sym_block_comment] = STATE(9544),
    [sym_line_comment] = STATE(9544),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12795),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(12813),
    [sym__plus_operator] = ACTIONS(12815),
    [sym__times_operator] = ACTIONS(12817),
    [sym__rational_operator] = ACTIONS(12819),
    [sym__bitshift_operator] = ACTIONS(12821),
    [sym__power_operator] = ACTIONS(12823),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12815),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9545] = {
    [sym_block_comment] = STATE(9545),
    [sym_line_comment] = STATE(9545),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12795),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12436),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12809),
    [sym__pipe_left_operator] = ACTIONS(12811),
    [sym__ellipsis_operator] = ACTIONS(12813),
    [sym__plus_operator] = ACTIONS(12815),
    [sym__times_operator] = ACTIONS(12817),
    [sym__rational_operator] = ACTIONS(12819),
    [sym__bitshift_operator] = ACTIONS(12821),
    [sym__power_operator] = ACTIONS(12823),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12815),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9546] = {
    [sym_block_comment] = STATE(9546),
    [sym_line_comment] = STATE(9546),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12815),
    [sym__times_operator] = ACTIONS(12817),
    [sym__rational_operator] = ACTIONS(12819),
    [sym__bitshift_operator] = ACTIONS(12821),
    [sym__power_operator] = ACTIONS(12823),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12815),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9547] = {
    [sym_block_comment] = STATE(9547),
    [sym_line_comment] = STATE(9547),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12817),
    [sym__rational_operator] = ACTIONS(12819),
    [sym__bitshift_operator] = ACTIONS(12821),
    [sym__power_operator] = ACTIONS(12823),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9548] = {
    [sym_block_comment] = STATE(9548),
    [sym_line_comment] = STATE(9548),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11102),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_end] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11102),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11102),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_SEMI] = ACTIONS(11102),
    [anon_sym_LBRACE] = ACTIONS(11102),
    [anon_sym_DOLLAR] = ACTIONS(11102),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11102),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11102),
    [anon_sym_QMARK] = ACTIONS(11102),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11102),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11102),
    [aux_sym_integer_literal_token2] = ACTIONS(11102),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11102),
    [aux_sym_float_literal_token3] = ACTIONS(11102),
    [aux_sym_float_literal_token4] = ACTIONS(11102),
    [sym_character_literal] = ACTIONS(11102),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11102),
    [sym__pair_operator] = ACTIONS(11102),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11102),
    [sym__lazy_and_operator] = ACTIONS(11102),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11102),
    [sym__pipe_left_operator] = ACTIONS(11102),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11102),
    [sym__bitshift_operator] = ACTIONS(11102),
    [sym__power_operator] = ACTIONS(11102),
    [sym__tilde_operator] = ACTIONS(11102),
    [sym__type_order_operator] = ACTIONS(11102),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym__terminator_token1] = ACTIONS(11104),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9549] = {
    [sym_block_comment] = STATE(9549),
    [sym_line_comment] = STATE(9549),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12819),
    [sym__bitshift_operator] = ACTIONS(12821),
    [sym__power_operator] = ACTIONS(12823),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9550] = {
    [sym_block_comment] = STATE(9550),
    [sym_line_comment] = STATE(9550),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(12821),
    [sym__power_operator] = ACTIONS(12823),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9551] = {
    [sym_block_comment] = STATE(9551),
    [sym_line_comment] = STATE(9551),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12434),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(12823),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9552] = {
    [sym_block_comment] = STATE(9552),
    [sym_line_comment] = STATE(9552),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10381),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_as] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10381),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10381),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10381),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10381),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10381),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10381),
    [anon_sym_QMARK] = ACTIONS(10381),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10381),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10381),
    [aux_sym_integer_literal_token2] = ACTIONS(10381),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10381),
    [aux_sym_float_literal_token3] = ACTIONS(10381),
    [aux_sym_float_literal_token4] = ACTIONS(10381),
    [sym_character_literal] = ACTIONS(10381),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10381),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10381),
    [sym__pair_operator] = ACTIONS(10381),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10381),
    [sym__lazy_and_operator] = ACTIONS(10381),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10381),
    [sym__pipe_left_operator] = ACTIONS(10381),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10381),
    [sym__bitshift_operator] = ACTIONS(10381),
    [sym__power_operator] = ACTIONS(10381),
    [sym__tilde_operator] = ACTIONS(10381),
    [sym__type_order_operator] = ACTIONS(10381),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9553] = {
    [sym_block_comment] = STATE(9553),
    [sym_line_comment] = STATE(9553),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_finally] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(12466),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(12468),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12468),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(12528),
    [anon_sym_where] = ACTIONS(12476),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(12478),
    [sym__arrow_operator] = ACTIONS(12480),
    [sym__lazy_or_operator] = ACTIONS(12482),
    [sym__lazy_and_operator] = ACTIONS(12484),
    [sym__comparison_operator] = ACTIONS(12468),
    [sym__pipe_right_operator] = ACTIONS(12486),
    [sym__pipe_left_operator] = ACTIONS(12488),
    [sym__ellipsis_operator] = ACTIONS(12490),
    [sym__plus_operator] = ACTIONS(12492),
    [sym__times_operator] = ACTIONS(12494),
    [sym__rational_operator] = ACTIONS(12496),
    [sym__bitshift_operator] = ACTIONS(12498),
    [sym__power_operator] = ACTIONS(12500),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(12468),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12492),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9554] = {
    [sym_block_comment] = STATE(9554),
    [sym_line_comment] = STATE(9554),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10087),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_as] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10087),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10087),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10087),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10087),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10087),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10087),
    [anon_sym_QMARK] = ACTIONS(10087),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10087),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10087),
    [aux_sym_integer_literal_token2] = ACTIONS(10087),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10087),
    [aux_sym_float_literal_token3] = ACTIONS(10087),
    [aux_sym_float_literal_token4] = ACTIONS(10087),
    [sym_character_literal] = ACTIONS(10087),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10087),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10087),
    [sym__pair_operator] = ACTIONS(10087),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10087),
    [sym__lazy_and_operator] = ACTIONS(10087),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10087),
    [sym__pipe_left_operator] = ACTIONS(10087),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10087),
    [sym__bitshift_operator] = ACTIONS(10087),
    [sym__power_operator] = ACTIONS(10087),
    [sym__tilde_operator] = ACTIONS(10087),
    [sym__type_order_operator] = ACTIONS(10087),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9555] = {
    [sym_block_comment] = STATE(9555),
    [sym_line_comment] = STATE(9555),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_as] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10423),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10423),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10423),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10423),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10423),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10423),
    [anon_sym_QMARK] = ACTIONS(10423),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10423),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10423),
    [aux_sym_integer_literal_token2] = ACTIONS(10423),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10423),
    [aux_sym_float_literal_token3] = ACTIONS(10423),
    [aux_sym_float_literal_token4] = ACTIONS(10423),
    [sym_character_literal] = ACTIONS(10423),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10423),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10423),
    [sym__pair_operator] = ACTIONS(10423),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10423),
    [sym__lazy_and_operator] = ACTIONS(10423),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10423),
    [sym__pipe_left_operator] = ACTIONS(10423),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10423),
    [sym__bitshift_operator] = ACTIONS(10423),
    [sym__power_operator] = ACTIONS(10423),
    [sym__tilde_operator] = ACTIONS(10423),
    [sym__type_order_operator] = ACTIONS(10423),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9556] = {
    [sym_block_comment] = STATE(9556),
    [sym_line_comment] = STATE(9556),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10387),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_as] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10387),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10387),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10387),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10387),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10387),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10387),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10387),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10387),
    [aux_sym_integer_literal_token2] = ACTIONS(10387),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10387),
    [aux_sym_float_literal_token3] = ACTIONS(10387),
    [aux_sym_float_literal_token4] = ACTIONS(10387),
    [sym_character_literal] = ACTIONS(10387),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10387),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10387),
    [sym__pair_operator] = ACTIONS(10387),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10387),
    [sym__lazy_and_operator] = ACTIONS(10387),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10387),
    [sym__pipe_left_operator] = ACTIONS(10387),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10387),
    [sym__bitshift_operator] = ACTIONS(10387),
    [sym__power_operator] = ACTIONS(10387),
    [sym__tilde_operator] = ACTIONS(10387),
    [sym__type_order_operator] = ACTIONS(10387),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9557] = {
    [sym_block_comment] = STATE(9557),
    [sym_line_comment] = STATE(9557),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10391),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_as] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10391),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10391),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10391),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10391),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10391),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_QMARK] = ACTIONS(10391),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10391),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10391),
    [aux_sym_integer_literal_token2] = ACTIONS(10391),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10391),
    [aux_sym_float_literal_token3] = ACTIONS(10391),
    [aux_sym_float_literal_token4] = ACTIONS(10391),
    [sym_character_literal] = ACTIONS(10391),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10391),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10391),
    [sym__pair_operator] = ACTIONS(10391),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10391),
    [sym__lazy_and_operator] = ACTIONS(10391),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10391),
    [sym__pipe_left_operator] = ACTIONS(10391),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10391),
    [sym__bitshift_operator] = ACTIONS(10391),
    [sym__power_operator] = ACTIONS(10391),
    [sym__tilde_operator] = ACTIONS(10391),
    [sym__type_order_operator] = ACTIONS(10391),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9558] = {
    [sym_block_comment] = STATE(9558),
    [sym_line_comment] = STATE(9558),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(11378),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9559] = {
    [sym_block_comment] = STATE(9559),
    [sym_line_comment] = STATE(9559),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10129),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_as] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10129),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10129),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10129),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10129),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10129),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10129),
    [anon_sym_QMARK] = ACTIONS(10129),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10129),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10129),
    [aux_sym_integer_literal_token2] = ACTIONS(10129),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10129),
    [aux_sym_float_literal_token3] = ACTIONS(10129),
    [aux_sym_float_literal_token4] = ACTIONS(10129),
    [sym_character_literal] = ACTIONS(10129),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10129),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10129),
    [sym__pair_operator] = ACTIONS(10129),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10129),
    [sym__lazy_and_operator] = ACTIONS(10129),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10129),
    [sym__pipe_left_operator] = ACTIONS(10129),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10129),
    [sym__bitshift_operator] = ACTIONS(10129),
    [sym__power_operator] = ACTIONS(10129),
    [sym__tilde_operator] = ACTIONS(10129),
    [sym__type_order_operator] = ACTIONS(10129),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9560] = {
    [sym_block_comment] = STATE(9560),
    [sym_line_comment] = STATE(9560),
    [sym__word_identifier] = ACTIONS(11312),
    [anon_sym_COMMA] = ACTIONS(11312),
    [anon_sym_EQ] = ACTIONS(11312),
    [anon_sym_begin] = ACTIONS(11312),
    [anon_sym_module] = ACTIONS(11312),
    [anon_sym_baremodule] = ACTIONS(11312),
    [anon_sym_end] = ACTIONS(11312),
    [anon_sym_abstract] = ACTIONS(11312),
    [anon_sym_primitive] = ACTIONS(11312),
    [anon_sym_mutable] = ACTIONS(11312),
    [anon_sym_struct] = ACTIONS(11312),
    [anon_sym_function] = ACTIONS(11312),
    [anon_sym_macro] = ACTIONS(11312),
    [anon_sym_quote] = ACTIONS(11312),
    [anon_sym_let] = ACTIONS(11312),
    [anon_sym_if] = ACTIONS(11312),
    [anon_sym_try] = ACTIONS(11312),
    [anon_sym_for] = ACTIONS(11312),
    [anon_sym_while] = ACTIONS(11312),
    [sym_break_statement] = ACTIONS(11312),
    [sym_continue_statement] = ACTIONS(11312),
    [anon_sym_return] = ACTIONS(11312),
    [anon_sym_const] = ACTIONS(11312),
    [anon_sym_global] = ACTIONS(11312),
    [anon_sym_local] = ACTIONS(11312),
    [anon_sym_LPAREN] = ACTIONS(11312),
    [anon_sym_COLON] = ACTIONS(11312),
    [anon_sym_export] = ACTIONS(11312),
    [anon_sym_public] = ACTIONS(11312),
    [anon_sym_import] = ACTIONS(11312),
    [anon_sym_using] = ACTIONS(11312),
    [anon_sym_LBRACK] = ACTIONS(11312),
    [anon_sym_in] = ACTIONS(11312),
    [anon_sym_SEMI] = ACTIONS(11312),
    [anon_sym_LBRACE] = ACTIONS(11312),
    [anon_sym_DOLLAR] = ACTIONS(11312),
    [anon_sym_COLON2] = ACTIONS(11312),
    [anon_sym_COLON_COLON] = ACTIONS(11312),
    [anon_sym_isa] = ACTIONS(11312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11312),
    [anon_sym_QMARK] = ACTIONS(11312),
    [anon_sym_where] = ACTIONS(11312),
    [anon_sym_AT] = ACTIONS(11312),
    [anon_sym_true] = ACTIONS(11312),
    [anon_sym_false] = ACTIONS(11312),
    [aux_sym_integer_literal_token1] = ACTIONS(11312),
    [aux_sym_integer_literal_token2] = ACTIONS(11312),
    [aux_sym_integer_literal_token3] = ACTIONS(11312),
    [aux_sym_integer_literal_token4] = ACTIONS(11312),
    [aux_sym_float_literal_token1] = ACTIONS(11312),
    [aux_sym_float_literal_token3] = ACTIONS(11312),
    [aux_sym_float_literal_token4] = ACTIONS(11312),
    [sym_character_literal] = ACTIONS(11312),
    [anon_sym_DQUOTE] = ACTIONS(11312),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11312),
    [anon_sym_BQUOTE] = ACTIONS(11312),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11312),
    [sym__pair_operator] = ACTIONS(11312),
    [sym__arrow_operator] = ACTIONS(11312),
    [sym__lazy_or_operator] = ACTIONS(11312),
    [sym__lazy_and_operator] = ACTIONS(11312),
    [sym__comparison_operator] = ACTIONS(11312),
    [sym__pipe_right_operator] = ACTIONS(11312),
    [sym__pipe_left_operator] = ACTIONS(11312),
    [sym__ellipsis_operator] = ACTIONS(11312),
    [sym__plus_operator] = ACTIONS(11312),
    [sym__times_operator] = ACTIONS(11312),
    [sym__rational_operator] = ACTIONS(11312),
    [sym__bitshift_operator] = ACTIONS(11312),
    [sym__power_operator] = ACTIONS(11312),
    [sym__tilde_operator] = ACTIONS(11312),
    [sym__type_order_operator] = ACTIONS(11312),
    [sym__unary_operator] = ACTIONS(11312),
    [sym__unary_plus_operator] = ACTIONS(11312),
    [aux_sym__terminator_token1] = ACTIONS(11314),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9561] = {
    [sym_block_comment] = STATE(9561),
    [sym_line_comment] = STATE(9561),
    [sym__word_identifier] = ACTIONS(11316),
    [anon_sym_COMMA] = ACTIONS(11316),
    [anon_sym_EQ] = ACTIONS(11316),
    [anon_sym_begin] = ACTIONS(11316),
    [anon_sym_module] = ACTIONS(11316),
    [anon_sym_baremodule] = ACTIONS(11316),
    [anon_sym_end] = ACTIONS(11316),
    [anon_sym_abstract] = ACTIONS(11316),
    [anon_sym_primitive] = ACTIONS(11316),
    [anon_sym_mutable] = ACTIONS(11316),
    [anon_sym_struct] = ACTIONS(11316),
    [anon_sym_function] = ACTIONS(11316),
    [anon_sym_macro] = ACTIONS(11316),
    [anon_sym_quote] = ACTIONS(11316),
    [anon_sym_let] = ACTIONS(11316),
    [anon_sym_if] = ACTIONS(11316),
    [anon_sym_try] = ACTIONS(11316),
    [anon_sym_for] = ACTIONS(11316),
    [anon_sym_while] = ACTIONS(11316),
    [sym_break_statement] = ACTIONS(11316),
    [sym_continue_statement] = ACTIONS(11316),
    [anon_sym_return] = ACTIONS(11316),
    [anon_sym_const] = ACTIONS(11316),
    [anon_sym_global] = ACTIONS(11316),
    [anon_sym_local] = ACTIONS(11316),
    [anon_sym_LPAREN] = ACTIONS(11316),
    [anon_sym_COLON] = ACTIONS(11316),
    [anon_sym_export] = ACTIONS(11316),
    [anon_sym_public] = ACTIONS(11316),
    [anon_sym_import] = ACTIONS(11316),
    [anon_sym_using] = ACTIONS(11316),
    [anon_sym_LBRACK] = ACTIONS(11316),
    [anon_sym_in] = ACTIONS(11316),
    [anon_sym_SEMI] = ACTIONS(11316),
    [anon_sym_LBRACE] = ACTIONS(11316),
    [anon_sym_DOLLAR] = ACTIONS(11316),
    [anon_sym_COLON2] = ACTIONS(11316),
    [anon_sym_COLON_COLON] = ACTIONS(11316),
    [anon_sym_isa] = ACTIONS(11316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11316),
    [anon_sym_QMARK] = ACTIONS(11316),
    [anon_sym_where] = ACTIONS(11316),
    [anon_sym_AT] = ACTIONS(11316),
    [anon_sym_true] = ACTIONS(11316),
    [anon_sym_false] = ACTIONS(11316),
    [aux_sym_integer_literal_token1] = ACTIONS(11316),
    [aux_sym_integer_literal_token2] = ACTIONS(11316),
    [aux_sym_integer_literal_token3] = ACTIONS(11316),
    [aux_sym_integer_literal_token4] = ACTIONS(11316),
    [aux_sym_float_literal_token1] = ACTIONS(11316),
    [aux_sym_float_literal_token3] = ACTIONS(11316),
    [aux_sym_float_literal_token4] = ACTIONS(11316),
    [sym_character_literal] = ACTIONS(11316),
    [anon_sym_DQUOTE] = ACTIONS(11316),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11316),
    [anon_sym_BQUOTE] = ACTIONS(11316),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11316),
    [sym__pair_operator] = ACTIONS(11316),
    [sym__arrow_operator] = ACTIONS(11316),
    [sym__lazy_or_operator] = ACTIONS(11316),
    [sym__lazy_and_operator] = ACTIONS(11316),
    [sym__comparison_operator] = ACTIONS(11316),
    [sym__pipe_right_operator] = ACTIONS(11316),
    [sym__pipe_left_operator] = ACTIONS(11316),
    [sym__ellipsis_operator] = ACTIONS(11316),
    [sym__plus_operator] = ACTIONS(11316),
    [sym__times_operator] = ACTIONS(11316),
    [sym__rational_operator] = ACTIONS(11316),
    [sym__bitshift_operator] = ACTIONS(11316),
    [sym__power_operator] = ACTIONS(11316),
    [sym__tilde_operator] = ACTIONS(11316),
    [sym__type_order_operator] = ACTIONS(11316),
    [sym__unary_operator] = ACTIONS(11316),
    [sym__unary_plus_operator] = ACTIONS(11316),
    [aux_sym__terminator_token1] = ACTIONS(11318),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9562] = {
    [sym_block_comment] = STATE(9562),
    [sym_line_comment] = STATE(9562),
    [sym__word_identifier] = ACTIONS(11320),
    [anon_sym_COMMA] = ACTIONS(11320),
    [anon_sym_EQ] = ACTIONS(11320),
    [anon_sym_begin] = ACTIONS(11320),
    [anon_sym_module] = ACTIONS(11320),
    [anon_sym_baremodule] = ACTIONS(11320),
    [anon_sym_end] = ACTIONS(11320),
    [anon_sym_abstract] = ACTIONS(11320),
    [anon_sym_primitive] = ACTIONS(11320),
    [anon_sym_mutable] = ACTIONS(11320),
    [anon_sym_struct] = ACTIONS(11320),
    [anon_sym_function] = ACTIONS(11320),
    [anon_sym_macro] = ACTIONS(11320),
    [anon_sym_quote] = ACTIONS(11320),
    [anon_sym_let] = ACTIONS(11320),
    [anon_sym_if] = ACTIONS(11320),
    [anon_sym_try] = ACTIONS(11320),
    [anon_sym_for] = ACTIONS(11320),
    [anon_sym_while] = ACTIONS(11320),
    [sym_break_statement] = ACTIONS(11320),
    [sym_continue_statement] = ACTIONS(11320),
    [anon_sym_return] = ACTIONS(11320),
    [anon_sym_const] = ACTIONS(11320),
    [anon_sym_global] = ACTIONS(11320),
    [anon_sym_local] = ACTIONS(11320),
    [anon_sym_LPAREN] = ACTIONS(11320),
    [anon_sym_COLON] = ACTIONS(11320),
    [anon_sym_export] = ACTIONS(11320),
    [anon_sym_public] = ACTIONS(11320),
    [anon_sym_import] = ACTIONS(11320),
    [anon_sym_using] = ACTIONS(11320),
    [anon_sym_LBRACK] = ACTIONS(11320),
    [anon_sym_in] = ACTIONS(11320),
    [anon_sym_SEMI] = ACTIONS(11320),
    [anon_sym_LBRACE] = ACTIONS(11320),
    [anon_sym_DOLLAR] = ACTIONS(11320),
    [anon_sym_COLON2] = ACTIONS(11320),
    [anon_sym_COLON_COLON] = ACTIONS(11320),
    [anon_sym_isa] = ACTIONS(11320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11320),
    [anon_sym_QMARK] = ACTIONS(11320),
    [anon_sym_where] = ACTIONS(11320),
    [anon_sym_AT] = ACTIONS(11320),
    [anon_sym_true] = ACTIONS(11320),
    [anon_sym_false] = ACTIONS(11320),
    [aux_sym_integer_literal_token1] = ACTIONS(11320),
    [aux_sym_integer_literal_token2] = ACTIONS(11320),
    [aux_sym_integer_literal_token3] = ACTIONS(11320),
    [aux_sym_integer_literal_token4] = ACTIONS(11320),
    [aux_sym_float_literal_token1] = ACTIONS(11320),
    [aux_sym_float_literal_token3] = ACTIONS(11320),
    [aux_sym_float_literal_token4] = ACTIONS(11320),
    [sym_character_literal] = ACTIONS(11320),
    [anon_sym_DQUOTE] = ACTIONS(11320),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11320),
    [anon_sym_BQUOTE] = ACTIONS(11320),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11320),
    [sym__pair_operator] = ACTIONS(11320),
    [sym__arrow_operator] = ACTIONS(11320),
    [sym__lazy_or_operator] = ACTIONS(11320),
    [sym__lazy_and_operator] = ACTIONS(11320),
    [sym__comparison_operator] = ACTIONS(11320),
    [sym__pipe_right_operator] = ACTIONS(11320),
    [sym__pipe_left_operator] = ACTIONS(11320),
    [sym__ellipsis_operator] = ACTIONS(11320),
    [sym__plus_operator] = ACTIONS(11320),
    [sym__times_operator] = ACTIONS(11320),
    [sym__rational_operator] = ACTIONS(11320),
    [sym__bitshift_operator] = ACTIONS(11320),
    [sym__power_operator] = ACTIONS(11320),
    [sym__tilde_operator] = ACTIONS(11320),
    [sym__type_order_operator] = ACTIONS(11320),
    [sym__unary_operator] = ACTIONS(11320),
    [sym__unary_plus_operator] = ACTIONS(11320),
    [aux_sym__terminator_token1] = ACTIONS(11322),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9563] = {
    [sym_block_comment] = STATE(9563),
    [sym_line_comment] = STATE(9563),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9564] = {
    [sym_block_comment] = STATE(9564),
    [sym_line_comment] = STATE(9564),
    [sym__word_identifier] = ACTIONS(11048),
    [anon_sym_COMMA] = ACTIONS(11050),
    [anon_sym_EQ] = ACTIONS(11048),
    [anon_sym_begin] = ACTIONS(11048),
    [anon_sym_module] = ACTIONS(11048),
    [anon_sym_baremodule] = ACTIONS(11048),
    [anon_sym_end] = ACTIONS(11048),
    [anon_sym_abstract] = ACTIONS(11048),
    [anon_sym_primitive] = ACTIONS(11048),
    [anon_sym_mutable] = ACTIONS(11048),
    [anon_sym_struct] = ACTIONS(11048),
    [anon_sym_function] = ACTIONS(11048),
    [anon_sym_macro] = ACTIONS(11048),
    [anon_sym_quote] = ACTIONS(11048),
    [anon_sym_let] = ACTIONS(11048),
    [anon_sym_if] = ACTIONS(11048),
    [anon_sym_try] = ACTIONS(11048),
    [anon_sym_for] = ACTIONS(11048),
    [anon_sym_while] = ACTIONS(11048),
    [sym_break_statement] = ACTIONS(11048),
    [sym_continue_statement] = ACTIONS(11048),
    [anon_sym_return] = ACTIONS(11048),
    [anon_sym_const] = ACTIONS(11048),
    [anon_sym_global] = ACTIONS(11048),
    [anon_sym_local] = ACTIONS(11048),
    [anon_sym_as] = ACTIONS(11048),
    [anon_sym_LPAREN] = ACTIONS(11050),
    [anon_sym_COLON] = ACTIONS(11048),
    [anon_sym_export] = ACTIONS(11048),
    [anon_sym_public] = ACTIONS(11048),
    [anon_sym_import] = ACTIONS(11048),
    [anon_sym_using] = ACTIONS(11048),
    [anon_sym_LBRACK] = ACTIONS(11050),
    [anon_sym_in] = ACTIONS(11048),
    [anon_sym_LBRACE] = ACTIONS(11050),
    [anon_sym_DOT] = ACTIONS(12829),
    [anon_sym_DOLLAR] = ACTIONS(11050),
    [anon_sym_COLON2] = ACTIONS(11048),
    [anon_sym_COLON_COLON] = ACTIONS(11050),
    [anon_sym_isa] = ACTIONS(11048),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11050),
    [anon_sym_QMARK] = ACTIONS(11050),
    [anon_sym_where] = ACTIONS(11048),
    [anon_sym_AT] = ACTIONS(11050),
    [anon_sym_true] = ACTIONS(11048),
    [anon_sym_false] = ACTIONS(11048),
    [aux_sym_integer_literal_token1] = ACTIONS(11050),
    [aux_sym_integer_literal_token2] = ACTIONS(11050),
    [aux_sym_integer_literal_token3] = ACTIONS(11048),
    [aux_sym_integer_literal_token4] = ACTIONS(11048),
    [aux_sym_float_literal_token1] = ACTIONS(11050),
    [aux_sym_float_literal_token3] = ACTIONS(11050),
    [aux_sym_float_literal_token4] = ACTIONS(11050),
    [sym_character_literal] = ACTIONS(11050),
    [anon_sym_DQUOTE] = ACTIONS(11048),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11050),
    [anon_sym_BQUOTE] = ACTIONS(11048),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11050),
    [sym__pair_operator] = ACTIONS(11050),
    [sym__arrow_operator] = ACTIONS(11048),
    [sym__lazy_or_operator] = ACTIONS(11050),
    [sym__lazy_and_operator] = ACTIONS(11050),
    [sym__comparison_operator] = ACTIONS(11048),
    [sym__pipe_right_operator] = ACTIONS(11050),
    [sym__pipe_left_operator] = ACTIONS(11050),
    [sym__ellipsis_operator] = ACTIONS(11048),
    [sym__plus_operator] = ACTIONS(11048),
    [sym__times_operator] = ACTIONS(11048),
    [sym__rational_operator] = ACTIONS(11050),
    [sym__bitshift_operator] = ACTIONS(11050),
    [sym__power_operator] = ACTIONS(11050),
    [sym__tilde_operator] = ACTIONS(11050),
    [sym__type_order_operator] = ACTIONS(11050),
    [sym__unary_operator] = ACTIONS(11048),
    [sym__unary_plus_operator] = ACTIONS(11048),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9565] = {
    [sym_block_comment] = STATE(9565),
    [sym_line_comment] = STATE(9565),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11166),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11166),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11166),
    [anon_sym_QMARK] = ACTIONS(11166),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(11166),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11166),
    [sym__lazy_and_operator] = ACTIONS(11166),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11166),
    [sym__pipe_left_operator] = ACTIONS(11166),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11166),
    [sym__bitshift_operator] = ACTIONS(11166),
    [sym__power_operator] = ACTIONS(11166),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(11166),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9566] = {
    [sym_block_comment] = STATE(9566),
    [sym_line_comment] = STATE(9566),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10435),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_as] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10435),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10435),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10435),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10435),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10435),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10435),
    [anon_sym_QMARK] = ACTIONS(10435),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10435),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10435),
    [aux_sym_integer_literal_token2] = ACTIONS(10435),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10435),
    [aux_sym_float_literal_token3] = ACTIONS(10435),
    [aux_sym_float_literal_token4] = ACTIONS(10435),
    [sym_character_literal] = ACTIONS(10435),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10435),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10435),
    [sym__pair_operator] = ACTIONS(10435),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10435),
    [sym__lazy_and_operator] = ACTIONS(10435),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10435),
    [sym__pipe_left_operator] = ACTIONS(10435),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10435),
    [sym__bitshift_operator] = ACTIONS(10435),
    [sym__power_operator] = ACTIONS(10435),
    [sym__tilde_operator] = ACTIONS(10435),
    [sym__type_order_operator] = ACTIONS(10435),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9567] = {
    [sym_block_comment] = STATE(9567),
    [sym_line_comment] = STATE(9567),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12685),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12687),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12687),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12689),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(12711),
    [sym__lazy_or_operator] = ACTIONS(12713),
    [sym__lazy_and_operator] = ACTIONS(12715),
    [sym__comparison_operator] = ACTIONS(12687),
    [sym__pipe_right_operator] = ACTIONS(12691),
    [sym__pipe_left_operator] = ACTIONS(12693),
    [sym__ellipsis_operator] = ACTIONS(12695),
    [sym__plus_operator] = ACTIONS(12697),
    [sym__times_operator] = ACTIONS(12699),
    [sym__rational_operator] = ACTIONS(12701),
    [sym__bitshift_operator] = ACTIONS(12703),
    [sym__power_operator] = ACTIONS(12705),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12687),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12697),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9568] = {
    [sym_block_comment] = STATE(9568),
    [sym_line_comment] = STATE(9568),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_as] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9971),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9971),
    [sym__bitshift_operator] = ACTIONS(9971),
    [sym__power_operator] = ACTIONS(9971),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9569] = {
    [sym_block_comment] = STATE(9569),
    [sym_line_comment] = STATE(9569),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(11134),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_end] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11134),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11134),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11134),
    [anon_sym_LBRACE] = ACTIONS(11134),
    [anon_sym_DOLLAR] = ACTIONS(11134),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12590),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11134),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11134),
    [aux_sym_integer_literal_token2] = ACTIONS(11134),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11134),
    [aux_sym_float_literal_token3] = ACTIONS(11134),
    [aux_sym_float_literal_token4] = ACTIONS(11134),
    [sym_character_literal] = ACTIONS(11134),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11134),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11134),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11139),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9570] = {
    [sym_block_comment] = STATE(9570),
    [sym_line_comment] = STATE(9570),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10279),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_as] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10279),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10279),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10279),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10279),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10279),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10279),
    [anon_sym_QMARK] = ACTIONS(10279),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10279),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10279),
    [aux_sym_integer_literal_token2] = ACTIONS(10279),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10279),
    [aux_sym_float_literal_token3] = ACTIONS(10279),
    [aux_sym_float_literal_token4] = ACTIONS(10279),
    [sym_character_literal] = ACTIONS(10279),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10279),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10279),
    [sym__pair_operator] = ACTIONS(10279),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10279),
    [sym__lazy_and_operator] = ACTIONS(10279),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10279),
    [sym__pipe_left_operator] = ACTIONS(10279),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10279),
    [sym__bitshift_operator] = ACTIONS(10279),
    [sym__power_operator] = ACTIONS(10279),
    [sym__tilde_operator] = ACTIONS(10279),
    [sym__type_order_operator] = ACTIONS(10279),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9571] = {
    [sym_block_comment] = STATE(9571),
    [sym_line_comment] = STATE(9571),
    [aux_sym_open_tuple_repeat1] = STATE(9211),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(12582),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11166),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11166),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11166),
    [anon_sym_DOLLAR] = ACTIONS(11166),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12707),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11166),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11166),
    [aux_sym_integer_literal_token2] = ACTIONS(11166),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11166),
    [aux_sym_float_literal_token3] = ACTIONS(11166),
    [aux_sym_float_literal_token4] = ACTIONS(11166),
    [sym_character_literal] = ACTIONS(11166),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11166),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11166),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11202),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9572] = {
    [sym_block_comment] = STATE(9572),
    [sym_line_comment] = STATE(9572),
    [sym__word_identifier] = ACTIONS(11565),
    [anon_sym_COMMA] = ACTIONS(11565),
    [anon_sym_EQ] = ACTIONS(11565),
    [anon_sym_begin] = ACTIONS(11565),
    [anon_sym_module] = ACTIONS(11565),
    [anon_sym_baremodule] = ACTIONS(11565),
    [anon_sym_end] = ACTIONS(11565),
    [anon_sym_abstract] = ACTIONS(11565),
    [anon_sym_primitive] = ACTIONS(11565),
    [anon_sym_mutable] = ACTIONS(11565),
    [anon_sym_struct] = ACTIONS(11565),
    [anon_sym_function] = ACTIONS(11565),
    [anon_sym_macro] = ACTIONS(11565),
    [anon_sym_quote] = ACTIONS(11565),
    [anon_sym_let] = ACTIONS(11565),
    [anon_sym_if] = ACTIONS(11565),
    [anon_sym_try] = ACTIONS(11565),
    [anon_sym_for] = ACTIONS(11565),
    [anon_sym_while] = ACTIONS(11565),
    [sym_break_statement] = ACTIONS(11565),
    [sym_continue_statement] = ACTIONS(11565),
    [anon_sym_return] = ACTIONS(11565),
    [anon_sym_const] = ACTIONS(11565),
    [anon_sym_global] = ACTIONS(11565),
    [anon_sym_local] = ACTIONS(11565),
    [anon_sym_LPAREN] = ACTIONS(11565),
    [anon_sym_COLON] = ACTIONS(11565),
    [anon_sym_export] = ACTIONS(11565),
    [anon_sym_public] = ACTIONS(11565),
    [anon_sym_import] = ACTIONS(11565),
    [anon_sym_using] = ACTIONS(11565),
    [anon_sym_LBRACK] = ACTIONS(11565),
    [anon_sym_in] = ACTIONS(11565),
    [anon_sym_SEMI] = ACTIONS(11565),
    [anon_sym_LBRACE] = ACTIONS(11565),
    [anon_sym_DOLLAR] = ACTIONS(11565),
    [anon_sym_COLON2] = ACTIONS(11565),
    [anon_sym_COLON_COLON] = ACTIONS(11565),
    [anon_sym_isa] = ACTIONS(11565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11565),
    [anon_sym_QMARK] = ACTIONS(11565),
    [anon_sym_where] = ACTIONS(11565),
    [anon_sym_AT] = ACTIONS(11565),
    [anon_sym_true] = ACTIONS(11565),
    [anon_sym_false] = ACTIONS(11565),
    [aux_sym_integer_literal_token1] = ACTIONS(11565),
    [aux_sym_integer_literal_token2] = ACTIONS(11565),
    [aux_sym_integer_literal_token3] = ACTIONS(11565),
    [aux_sym_integer_literal_token4] = ACTIONS(11565),
    [aux_sym_float_literal_token1] = ACTIONS(11565),
    [aux_sym_float_literal_token3] = ACTIONS(11565),
    [aux_sym_float_literal_token4] = ACTIONS(11565),
    [sym_character_literal] = ACTIONS(11565),
    [anon_sym_DQUOTE] = ACTIONS(11565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11565),
    [anon_sym_BQUOTE] = ACTIONS(11565),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11565),
    [sym__pair_operator] = ACTIONS(11565),
    [sym__arrow_operator] = ACTIONS(11565),
    [sym__lazy_or_operator] = ACTIONS(11565),
    [sym__lazy_and_operator] = ACTIONS(11565),
    [sym__comparison_operator] = ACTIONS(11565),
    [sym__pipe_right_operator] = ACTIONS(11565),
    [sym__pipe_left_operator] = ACTIONS(11565),
    [sym__ellipsis_operator] = ACTIONS(11565),
    [sym__plus_operator] = ACTIONS(11565),
    [sym__times_operator] = ACTIONS(11565),
    [sym__rational_operator] = ACTIONS(11565),
    [sym__bitshift_operator] = ACTIONS(11565),
    [sym__power_operator] = ACTIONS(11565),
    [sym__tilde_operator] = ACTIONS(11565),
    [sym__type_order_operator] = ACTIONS(11565),
    [sym__unary_operator] = ACTIONS(11565),
    [sym__unary_plus_operator] = ACTIONS(11565),
    [aux_sym__terminator_token1] = ACTIONS(11567),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9573] = {
    [sym_block_comment] = STATE(9573),
    [sym_line_comment] = STATE(9573),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11878),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11878),
    [anon_sym_RPAREN] = ACTIONS(11878),
    [anon_sym_COLON] = ACTIONS(12733),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11878),
    [anon_sym_RBRACK] = ACTIONS(11878),
    [anon_sym_in] = ACTIONS(12751),
    [anon_sym_SEMI] = ACTIONS(11878),
    [anon_sym_LBRACE] = ACTIONS(11878),
    [anon_sym_RBRACE] = ACTIONS(11878),
    [anon_sym_DOLLAR] = ACTIONS(11878),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(12350),
    [anon_sym_isa] = ACTIONS(12751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12352),
    [anon_sym_QMARK] = ACTIONS(11878),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11878),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11878),
    [aux_sym_integer_literal_token2] = ACTIONS(11878),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11878),
    [aux_sym_float_literal_token3] = ACTIONS(11878),
    [aux_sym_float_literal_token4] = ACTIONS(11878),
    [sym_character_literal] = ACTIONS(11878),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11878),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11878),
    [sym__pair_operator] = ACTIONS(11878),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11878),
    [sym__lazy_and_operator] = ACTIONS(11878),
    [sym__comparison_operator] = ACTIONS(12751),
    [sym__pipe_right_operator] = ACTIONS(12735),
    [sym__pipe_left_operator] = ACTIONS(12737),
    [sym__ellipsis_operator] = ACTIONS(12739),
    [sym__plus_operator] = ACTIONS(12741),
    [sym__times_operator] = ACTIONS(12743),
    [sym__rational_operator] = ACTIONS(12745),
    [sym__bitshift_operator] = ACTIONS(12747),
    [sym__power_operator] = ACTIONS(12749),
    [sym__tilde_operator] = ACTIONS(11878),
    [sym__type_order_operator] = ACTIONS(12763),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12741),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9574] = {
    [sym_block_comment] = STATE(9574),
    [sym_line_comment] = STATE(9574),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12685),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12691),
    [sym__pipe_left_operator] = ACTIONS(12693),
    [sym__ellipsis_operator] = ACTIONS(12695),
    [sym__plus_operator] = ACTIONS(12697),
    [sym__times_operator] = ACTIONS(12699),
    [sym__rational_operator] = ACTIONS(12701),
    [sym__bitshift_operator] = ACTIONS(12703),
    [sym__power_operator] = ACTIONS(12705),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12697),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9575] = {
    [sym_block_comment] = STATE(9575),
    [sym_line_comment] = STATE(9575),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_end] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_finally] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(12685),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(12687),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(12470),
    [anon_sym_isa] = ACTIONS(12687),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12472),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(12687),
    [sym__pipe_right_operator] = ACTIONS(12691),
    [sym__pipe_left_operator] = ACTIONS(12693),
    [sym__ellipsis_operator] = ACTIONS(12695),
    [sym__plus_operator] = ACTIONS(12697),
    [sym__times_operator] = ACTIONS(12699),
    [sym__rational_operator] = ACTIONS(12701),
    [sym__bitshift_operator] = ACTIONS(12703),
    [sym__power_operator] = ACTIONS(12705),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(12687),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12697),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9576] = {
    [sym_block_comment] = STATE(9576),
    [sym_line_comment] = STATE(9576),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_catch] = ACTIONS(11378),
    [anon_sym_finally] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12388),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12785),
    [sym__times_operator] = ACTIONS(12787),
    [sym__rational_operator] = ACTIONS(12789),
    [sym__bitshift_operator] = ACTIONS(12791),
    [sym__power_operator] = ACTIONS(12793),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12785),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9577] = {
    [sym_block_comment] = STATE(9577),
    [sym_line_comment] = STATE(9577),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_COMMA] = ACTIONS(9971),
    [anon_sym_EQ] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9971),
    [anon_sym_COLON] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9971),
    [anon_sym_in] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9971),
    [anon_sym_DOT] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9971),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9971),
    [anon_sym_isa] = ACTIONS(9969),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9971),
    [anon_sym_QMARK] = ACTIONS(9971),
    [anon_sym_where] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9971),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9971),
    [aux_sym_integer_literal_token2] = ACTIONS(9971),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9971),
    [aux_sym_float_literal_token3] = ACTIONS(9971),
    [aux_sym_float_literal_token4] = ACTIONS(9971),
    [sym_character_literal] = ACTIONS(9971),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9971),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9971),
    [sym__pair_operator] = ACTIONS(9971),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__lazy_or_operator] = ACTIONS(9971),
    [sym__lazy_and_operator] = ACTIONS(9971),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9971),
    [sym__pipe_left_operator] = ACTIONS(9971),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9971),
    [sym__bitshift_operator] = ACTIONS(9971),
    [sym__power_operator] = ACTIONS(9971),
    [sym__tilde_operator] = ACTIONS(9971),
    [sym__type_order_operator] = ACTIONS(9971),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9578] = {
    [sym_block_comment] = STATE(9578),
    [sym_line_comment] = STATE(9578),
    [sym__word_identifier] = ACTIONS(12873),
    [anon_sym_COMMA] = ACTIONS(12873),
    [anon_sym_begin] = ACTIONS(12873),
    [anon_sym_module] = ACTIONS(12873),
    [anon_sym_baremodule] = ACTIONS(12873),
    [anon_sym_end] = ACTIONS(12873),
    [anon_sym_abstract] = ACTIONS(12873),
    [anon_sym_primitive] = ACTIONS(12873),
    [anon_sym_mutable] = ACTIONS(12873),
    [anon_sym_struct] = ACTIONS(12873),
    [anon_sym_function] = ACTIONS(12873),
    [anon_sym_macro] = ACTIONS(12873),
    [anon_sym_quote] = ACTIONS(12873),
    [anon_sym_let] = ACTIONS(12873),
    [anon_sym_if] = ACTIONS(12873),
    [anon_sym_try] = ACTIONS(12873),
    [anon_sym_for] = ACTIONS(12873),
    [anon_sym_while] = ACTIONS(12873),
    [sym_break_statement] = ACTIONS(12873),
    [sym_continue_statement] = ACTIONS(12873),
    [anon_sym_return] = ACTIONS(12873),
    [anon_sym_const] = ACTIONS(12873),
    [anon_sym_global] = ACTIONS(12873),
    [anon_sym_local] = ACTIONS(12873),
    [anon_sym_LPAREN] = ACTIONS(12873),
    [anon_sym_COLON] = ACTIONS(12875),
    [anon_sym_export] = ACTIONS(12873),
    [anon_sym_public] = ACTIONS(12873),
    [anon_sym_import] = ACTIONS(12873),
    [anon_sym_using] = ACTIONS(12873),
    [anon_sym_LBRACK] = ACTIONS(12873),
    [anon_sym_in] = ACTIONS(12877),
    [anon_sym_SEMI] = ACTIONS(12873),
    [anon_sym_LBRACE] = ACTIONS(12873),
    [anon_sym_DOLLAR] = ACTIONS(12873),
    [anon_sym_COLON2] = ACTIONS(12873),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12707),
    [anon_sym_where] = ACTIONS(12879),
    [anon_sym_AT] = ACTIONS(12873),
    [anon_sym_true] = ACTIONS(12873),
    [anon_sym_false] = ACTIONS(12873),
    [aux_sym_integer_literal_token1] = ACTIONS(12873),
    [aux_sym_integer_literal_token2] = ACTIONS(12873),
    [aux_sym_integer_literal_token3] = ACTIONS(12873),
    [aux_sym_integer_literal_token4] = ACTIONS(12873),
    [aux_sym_float_literal_token1] = ACTIONS(12873),
    [aux_sym_float_literal_token3] = ACTIONS(12873),
    [aux_sym_float_literal_token4] = ACTIONS(12873),
    [sym_character_literal] = ACTIONS(12873),
    [anon_sym_DQUOTE] = ACTIONS(12873),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12873),
    [anon_sym_BQUOTE] = ACTIONS(12873),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12873),
    [sym__pair_operator] = ACTIONS(12881),
    [sym__arrow_operator] = ACTIONS(12883),
    [sym__lazy_or_operator] = ACTIONS(12885),
    [sym__lazy_and_operator] = ACTIONS(12887),
    [sym__comparison_operator] = ACTIONS(12877),
    [sym__pipe_right_operator] = ACTIONS(12889),
    [sym__pipe_left_operator] = ACTIONS(12891),
    [sym__ellipsis_operator] = ACTIONS(12893),
    [sym__plus_operator] = ACTIONS(12895),
    [sym__times_operator] = ACTIONS(12897),
    [sym__rational_operator] = ACTIONS(12899),
    [sym__bitshift_operator] = ACTIONS(12901),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(12873),
    [sym__type_order_operator] = ACTIONS(12877),
    [sym__unary_operator] = ACTIONS(12873),
    [sym__unary_plus_operator] = ACTIONS(12895),
    [aux_sym__terminator_token1] = ACTIONS(12905),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9579] = {
    [sym__primary_expression] = STATE(12009),
    [sym__array] = STATE(11240),
    [sym_comprehension_expression] = STATE(11258),
    [sym_matrix_expression] = STATE(11258),
    [sym_vector_expression] = STATE(11258),
    [sym_parenthesized_expression] = STATE(11240),
    [sym_tuple_expression] = STATE(11240),
    [sym_curly_expression] = STATE(11240),
    [sym_adjoint_expression] = STATE(11240),
    [sym_field_expression] = STATE(11240),
    [sym_index_expression] = STATE(11240),
    [sym_parametrized_type_expression] = STATE(11240),
    [sym_call_expression] = STATE(11240),
    [sym_broadcast_call_expression] = STATE(11240),
    [sym__closed_macrocall_expression] = STATE(11240),
    [sym_interpolation_expression] = STATE(11240),
    [sym_quote_expression] = STATE(11240),
    [sym_macro_identifier] = STATE(18196),
    [sym_identifier] = STATE(11671),
    [sym_boolean_literal] = STATE(11240),
    [sym__string] = STATE(11240),
    [sym__delimiter_str_1] = STATE(15154),
    [sym__delimiter_str_3] = STATE(15155),
    [sym__delimiter_cmd_1] = STATE(15156),
    [sym__delimiter_cmd_3] = STATE(15157),
    [sym_string_literal] = STATE(11212),
    [sym_command_literal] = STATE(11212),
    [sym_prefixed_string_literal] = STATE(11212),
    [sym_prefixed_command_literal] = STATE(11212),
    [sym_operator] = STATE(19880),
    [sym_block_comment] = STATE(9579),
    [sym_line_comment] = STATE(9579),
    [sym__word_identifier] = ACTIONS(10527),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(10529),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(10531),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(10533),
    [anon_sym_DOLLAR] = ACTIONS(10631),
    [anon_sym_COLON2] = ACTIONS(10633),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(10539),
    [anon_sym_true] = ACTIONS(10541),
    [anon_sym_false] = ACTIONS(10541),
    [sym_character_literal] = ACTIONS(10543),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(9480),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9480),
    [sym__pipe_left_operator] = ACTIONS(9480),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9480),
    [sym__bitshift_operator] = ACTIONS(9480),
    [sym__power_operator] = ACTIONS(9480),
    [sym__tilde_operator] = ACTIONS(1689),
    [sym__type_order_operator] = ACTIONS(9480),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9580] = {
    [sym_block_comment] = STATE(9580),
    [sym_line_comment] = STATE(9580),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12907),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12909),
    [sym__pipe_left_operator] = ACTIONS(12911),
    [sym__ellipsis_operator] = ACTIONS(12913),
    [sym__plus_operator] = ACTIONS(12915),
    [sym__times_operator] = ACTIONS(12917),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12915),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9581] = {
    [sym_block_comment] = STATE(9581),
    [sym_line_comment] = STATE(9581),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12907),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12925),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12927),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(12929),
    [sym__lazy_or_operator] = ACTIONS(12931),
    [sym__lazy_and_operator] = ACTIONS(12933),
    [sym__comparison_operator] = ACTIONS(12925),
    [sym__pipe_right_operator] = ACTIONS(12909),
    [sym__pipe_left_operator] = ACTIONS(12911),
    [sym__ellipsis_operator] = ACTIONS(12913),
    [sym__plus_operator] = ACTIONS(12915),
    [sym__times_operator] = ACTIONS(12917),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12925),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12915),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9582] = {
    [sym_block_comment] = STATE(9582),
    [sym_line_comment] = STATE(9582),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_COMMA] = ACTIONS(10357),
    [anon_sym_EQ] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10357),
    [anon_sym_COLON] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10357),
    [anon_sym_in] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10357),
    [anon_sym_DOT] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10357),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10357),
    [anon_sym_isa] = ACTIONS(10355),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10357),
    [anon_sym_QMARK] = ACTIONS(10357),
    [anon_sym_where] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10357),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10357),
    [aux_sym_integer_literal_token2] = ACTIONS(10357),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10357),
    [aux_sym_float_literal_token3] = ACTIONS(10357),
    [aux_sym_float_literal_token4] = ACTIONS(10357),
    [sym_character_literal] = ACTIONS(10357),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10357),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10357),
    [sym__pair_operator] = ACTIONS(10357),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__lazy_or_operator] = ACTIONS(10357),
    [sym__lazy_and_operator] = ACTIONS(10357),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10357),
    [sym__pipe_left_operator] = ACTIONS(10357),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10357),
    [sym__bitshift_operator] = ACTIONS(10357),
    [sym__power_operator] = ACTIONS(10357),
    [sym__tilde_operator] = ACTIONS(10357),
    [sym__type_order_operator] = ACTIONS(10357),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9583] = {
    [sym_block_comment] = STATE(9583),
    [sym_line_comment] = STATE(9583),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12907),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12925),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12927),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(12933),
    [sym__comparison_operator] = ACTIONS(12925),
    [sym__pipe_right_operator] = ACTIONS(12909),
    [sym__pipe_left_operator] = ACTIONS(12911),
    [sym__ellipsis_operator] = ACTIONS(12913),
    [sym__plus_operator] = ACTIONS(12915),
    [sym__times_operator] = ACTIONS(12917),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12925),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12915),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9584] = {
    [sym_block_comment] = STATE(9584),
    [sym_line_comment] = STATE(9584),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12907),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12925),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12927),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(12925),
    [sym__pipe_right_operator] = ACTIONS(12909),
    [sym__pipe_left_operator] = ACTIONS(12911),
    [sym__ellipsis_operator] = ACTIONS(12913),
    [sym__plus_operator] = ACTIONS(12915),
    [sym__times_operator] = ACTIONS(12917),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12925),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12915),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9585] = {
    [sym_block_comment] = STATE(9585),
    [sym_line_comment] = STATE(9585),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12907),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(12913),
    [sym__plus_operator] = ACTIONS(12915),
    [sym__times_operator] = ACTIONS(12917),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12915),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9586] = {
    [sym_block_comment] = STATE(9586),
    [sym_line_comment] = STATE(9586),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12907),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12909),
    [sym__pipe_left_operator] = ACTIONS(12911),
    [sym__ellipsis_operator] = ACTIONS(12913),
    [sym__plus_operator] = ACTIONS(12915),
    [sym__times_operator] = ACTIONS(12917),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12915),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9587] = {
    [sym_block_comment] = STATE(9587),
    [sym_line_comment] = STATE(9587),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_DOLLAR] = ACTIONS(3226),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3226),
    [aux_sym_integer_literal_token2] = ACTIONS(3226),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3226),
    [aux_sym_float_literal_token3] = ACTIONS(3226),
    [aux_sym_float_literal_token4] = ACTIONS(3226),
    [sym_character_literal] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3226),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3226),
    [sym__pair_operator] = ACTIONS(3226),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3226),
    [sym__pipe_left_operator] = ACTIONS(3226),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3226),
    [sym__bitshift_operator] = ACTIONS(3226),
    [sym__power_operator] = ACTIONS(3226),
    [sym__tilde_operator] = ACTIONS(3226),
    [sym__type_order_operator] = ACTIONS(3226),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(3226),
  },
  [9588] = {
    [sym__primary_expression] = STATE(12013),
    [sym__array] = STATE(11240),
    [sym_comprehension_expression] = STATE(11258),
    [sym_matrix_expression] = STATE(11258),
    [sym_vector_expression] = STATE(11258),
    [sym_parenthesized_expression] = STATE(11240),
    [sym_tuple_expression] = STATE(11240),
    [sym_curly_expression] = STATE(11240),
    [sym_adjoint_expression] = STATE(11240),
    [sym_field_expression] = STATE(11240),
    [sym_index_expression] = STATE(11240),
    [sym_parametrized_type_expression] = STATE(11240),
    [sym_call_expression] = STATE(11240),
    [sym_broadcast_call_expression] = STATE(11240),
    [sym__closed_macrocall_expression] = STATE(11240),
    [sym_interpolation_expression] = STATE(11240),
    [sym_quote_expression] = STATE(11240),
    [sym_macro_identifier] = STATE(18196),
    [sym_identifier] = STATE(11689),
    [sym_boolean_literal] = STATE(11240),
    [sym__string] = STATE(11240),
    [sym__delimiter_str_1] = STATE(15154),
    [sym__delimiter_str_3] = STATE(15155),
    [sym__delimiter_cmd_1] = STATE(15156),
    [sym__delimiter_cmd_3] = STATE(15157),
    [sym_string_literal] = STATE(11212),
    [sym_command_literal] = STATE(11212),
    [sym_prefixed_string_literal] = STATE(11212),
    [sym_prefixed_command_literal] = STATE(11212),
    [sym_operator] = STATE(19880),
    [sym_block_comment] = STATE(9588),
    [sym_line_comment] = STATE(9588),
    [sym__word_identifier] = ACTIONS(10527),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_catch] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(10529),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(10531),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(10533),
    [anon_sym_DOLLAR] = ACTIONS(10694),
    [anon_sym_COLON2] = ACTIONS(10696),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(10539),
    [anon_sym_true] = ACTIONS(10541),
    [anon_sym_false] = ACTIONS(10541),
    [sym_character_literal] = ACTIONS(10543),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(9480),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9480),
    [sym__pipe_left_operator] = ACTIONS(9480),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9480),
    [sym__bitshift_operator] = ACTIONS(9480),
    [sym__power_operator] = ACTIONS(9480),
    [sym__tilde_operator] = ACTIONS(1689),
    [sym__type_order_operator] = ACTIONS(9480),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9589] = {
    [sym_block_comment] = STATE(9589),
    [sym_line_comment] = STATE(9589),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12915),
    [sym__times_operator] = ACTIONS(12917),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12915),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9590] = {
    [sym_block_comment] = STATE(9590),
    [sym_line_comment] = STATE(9590),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12917),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9591] = {
    [sym_block_comment] = STATE(9591),
    [sym_line_comment] = STATE(9591),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9592] = {
    [sym_block_comment] = STATE(9592),
    [sym_line_comment] = STATE(9592),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9593] = {
    [sym_block_comment] = STATE(9593),
    [sym_line_comment] = STATE(9593),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_end] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12895),
    [sym__times_operator] = ACTIONS(12897),
    [sym__rational_operator] = ACTIONS(12899),
    [sym__bitshift_operator] = ACTIONS(12901),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12895),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9594] = {
    [sym_block_comment] = STATE(9594),
    [sym_line_comment] = STATE(9594),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9595] = {
    [sym_block_comment] = STATE(9595),
    [sym_line_comment] = STATE(9595),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_EQ] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9596] = {
    [sym_block_comment] = STATE(9596),
    [sym_line_comment] = STATE(9596),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_COMMA] = ACTIONS(10387),
    [anon_sym_EQ] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10387),
    [anon_sym_COLON] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10387),
    [anon_sym_in] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10387),
    [anon_sym_DOT] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10387),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10387),
    [anon_sym_isa] = ACTIONS(10385),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10387),
    [anon_sym_QMARK] = ACTIONS(10387),
    [anon_sym_where] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10387),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10387),
    [aux_sym_integer_literal_token2] = ACTIONS(10387),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10387),
    [aux_sym_float_literal_token3] = ACTIONS(10387),
    [aux_sym_float_literal_token4] = ACTIONS(10387),
    [sym_character_literal] = ACTIONS(10387),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10387),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10387),
    [sym__pair_operator] = ACTIONS(10387),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__lazy_or_operator] = ACTIONS(10387),
    [sym__lazy_and_operator] = ACTIONS(10387),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10387),
    [sym__pipe_left_operator] = ACTIONS(10387),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10387),
    [sym__bitshift_operator] = ACTIONS(10387),
    [sym__power_operator] = ACTIONS(10387),
    [sym__tilde_operator] = ACTIONS(10387),
    [sym__type_order_operator] = ACTIONS(10387),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9597] = {
    [sym_block_comment] = STATE(9597),
    [sym_line_comment] = STATE(9597),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_COMMA] = ACTIONS(10279),
    [anon_sym_EQ] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_end] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10279),
    [anon_sym_COLON] = ACTIONS(10277),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10279),
    [anon_sym_in] = ACTIONS(10277),
    [anon_sym_LBRACE] = ACTIONS(10279),
    [anon_sym_DOT] = ACTIONS(10277),
    [anon_sym_DOLLAR] = ACTIONS(10279),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10279),
    [anon_sym_isa] = ACTIONS(10277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10279),
    [anon_sym_QMARK] = ACTIONS(10279),
    [anon_sym_where] = ACTIONS(10277),
    [anon_sym_AT] = ACTIONS(10279),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10279),
    [aux_sym_integer_literal_token2] = ACTIONS(10279),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10279),
    [aux_sym_float_literal_token3] = ACTIONS(10279),
    [aux_sym_float_literal_token4] = ACTIONS(10279),
    [sym_character_literal] = ACTIONS(10279),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10279),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10279),
    [sym__pair_operator] = ACTIONS(10279),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__lazy_or_operator] = ACTIONS(10279),
    [sym__lazy_and_operator] = ACTIONS(10279),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10279),
    [sym__pipe_left_operator] = ACTIONS(10279),
    [sym__ellipsis_operator] = ACTIONS(10277),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10279),
    [sym__bitshift_operator] = ACTIONS(10279),
    [sym__power_operator] = ACTIONS(10279),
    [sym__tilde_operator] = ACTIONS(10279),
    [sym__type_order_operator] = ACTIONS(10279),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9598] = {
    [sym_block_comment] = STATE(9598),
    [sym_line_comment] = STATE(9598),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_COMMA] = ACTIONS(9909),
    [anon_sym_EQ] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9909),
    [anon_sym_COLON] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9909),
    [anon_sym_in] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9909),
    [anon_sym_DOT] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9909),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9909),
    [anon_sym_isa] = ACTIONS(9907),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9909),
    [anon_sym_QMARK] = ACTIONS(9909),
    [anon_sym_where] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9909),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9909),
    [aux_sym_integer_literal_token2] = ACTIONS(9909),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9909),
    [aux_sym_float_literal_token3] = ACTIONS(9909),
    [aux_sym_float_literal_token4] = ACTIONS(9909),
    [sym_character_literal] = ACTIONS(9909),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9909),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9909),
    [sym__pair_operator] = ACTIONS(9909),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__lazy_or_operator] = ACTIONS(9909),
    [sym__lazy_and_operator] = ACTIONS(9909),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9909),
    [sym__pipe_left_operator] = ACTIONS(9909),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9909),
    [sym__bitshift_operator] = ACTIONS(9909),
    [sym__power_operator] = ACTIONS(9909),
    [sym__tilde_operator] = ACTIONS(9909),
    [sym__type_order_operator] = ACTIONS(9909),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9599] = {
    [sym_block_comment] = STATE(9599),
    [sym_line_comment] = STATE(9599),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_EQ] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_end] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(12907),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(12925),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(12925),
    [sym__pipe_right_operator] = ACTIONS(12909),
    [sym__pipe_left_operator] = ACTIONS(12911),
    [sym__ellipsis_operator] = ACTIONS(12913),
    [sym__plus_operator] = ACTIONS(12915),
    [sym__times_operator] = ACTIONS(12917),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(12925),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12915),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9600] = {
    [sym_block_comment] = STATE(9600),
    [sym_line_comment] = STATE(9600),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(12833),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9601] = {
    [sym_block_comment] = STATE(9601),
    [sym_line_comment] = STATE(9601),
    [aux_sym_export_statement_repeat1] = STATE(9701),
    [sym__word_identifier] = ACTIONS(11141),
    [anon_sym_COMMA] = ACTIONS(12935),
    [anon_sym_EQ] = ACTIONS(11141),
    [anon_sym_begin] = ACTIONS(11141),
    [anon_sym_module] = ACTIONS(11141),
    [anon_sym_baremodule] = ACTIONS(11141),
    [anon_sym_end] = ACTIONS(11141),
    [anon_sym_abstract] = ACTIONS(11141),
    [anon_sym_primitive] = ACTIONS(11141),
    [anon_sym_mutable] = ACTIONS(11141),
    [anon_sym_struct] = ACTIONS(11141),
    [anon_sym_function] = ACTIONS(11141),
    [anon_sym_macro] = ACTIONS(11141),
    [anon_sym_quote] = ACTIONS(11141),
    [anon_sym_let] = ACTIONS(11141),
    [anon_sym_if] = ACTIONS(11141),
    [anon_sym_try] = ACTIONS(11141),
    [anon_sym_for] = ACTIONS(11141),
    [anon_sym_while] = ACTIONS(11141),
    [sym_break_statement] = ACTIONS(11141),
    [sym_continue_statement] = ACTIONS(11141),
    [anon_sym_return] = ACTIONS(11141),
    [anon_sym_const] = ACTIONS(11141),
    [anon_sym_global] = ACTIONS(11141),
    [anon_sym_local] = ACTIONS(11141),
    [anon_sym_LPAREN] = ACTIONS(11145),
    [anon_sym_COLON] = ACTIONS(11141),
    [anon_sym_export] = ACTIONS(11141),
    [anon_sym_public] = ACTIONS(11141),
    [anon_sym_import] = ACTIONS(11141),
    [anon_sym_using] = ACTIONS(11141),
    [anon_sym_LBRACK] = ACTIONS(11145),
    [anon_sym_in] = ACTIONS(11141),
    [anon_sym_LBRACE] = ACTIONS(11145),
    [anon_sym_DOLLAR] = ACTIONS(11145),
    [anon_sym_COLON2] = ACTIONS(11141),
    [anon_sym_COLON_COLON] = ACTIONS(11145),
    [anon_sym_isa] = ACTIONS(11141),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11145),
    [anon_sym_QMARK] = ACTIONS(11145),
    [anon_sym_where] = ACTIONS(11141),
    [anon_sym_AT] = ACTIONS(11145),
    [anon_sym_true] = ACTIONS(11141),
    [anon_sym_false] = ACTIONS(11141),
    [aux_sym_integer_literal_token1] = ACTIONS(11145),
    [aux_sym_integer_literal_token2] = ACTIONS(11145),
    [aux_sym_integer_literal_token3] = ACTIONS(11141),
    [aux_sym_integer_literal_token4] = ACTIONS(11141),
    [aux_sym_float_literal_token1] = ACTIONS(11145),
    [aux_sym_float_literal_token3] = ACTIONS(11145),
    [aux_sym_float_literal_token4] = ACTIONS(11145),
    [sym_character_literal] = ACTIONS(11145),
    [anon_sym_DQUOTE] = ACTIONS(11141),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11145),
    [anon_sym_BQUOTE] = ACTIONS(11141),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11145),
    [sym__pair_operator] = ACTIONS(11145),
    [sym__arrow_operator] = ACTIONS(11141),
    [sym__lazy_or_operator] = ACTIONS(11145),
    [sym__lazy_and_operator] = ACTIONS(11145),
    [sym__comparison_operator] = ACTIONS(11141),
    [sym__pipe_right_operator] = ACTIONS(11145),
    [sym__pipe_left_operator] = ACTIONS(11145),
    [sym__ellipsis_operator] = ACTIONS(11141),
    [sym__plus_operator] = ACTIONS(11141),
    [sym__times_operator] = ACTIONS(11141),
    [sym__rational_operator] = ACTIONS(11145),
    [sym__bitshift_operator] = ACTIONS(11145),
    [sym__power_operator] = ACTIONS(11145),
    [sym__tilde_operator] = ACTIONS(11145),
    [sym__type_order_operator] = ACTIONS(11145),
    [sym__unary_operator] = ACTIONS(11141),
    [sym__unary_plus_operator] = ACTIONS(11141),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9602] = {
    [sym_block_comment] = STATE(9602),
    [sym_line_comment] = STATE(9602),
    [aux_sym__import_list_repeat1] = STATE(9705),
    [sym__word_identifier] = ACTIONS(11024),
    [anon_sym_COMMA] = ACTIONS(12769),
    [anon_sym_EQ] = ACTIONS(11024),
    [anon_sym_begin] = ACTIONS(11024),
    [anon_sym_module] = ACTIONS(11024),
    [anon_sym_baremodule] = ACTIONS(11024),
    [anon_sym_end] = ACTIONS(11024),
    [anon_sym_abstract] = ACTIONS(11024),
    [anon_sym_primitive] = ACTIONS(11024),
    [anon_sym_mutable] = ACTIONS(11024),
    [anon_sym_struct] = ACTIONS(11024),
    [anon_sym_function] = ACTIONS(11024),
    [anon_sym_macro] = ACTIONS(11024),
    [anon_sym_quote] = ACTIONS(11024),
    [anon_sym_let] = ACTIONS(11024),
    [anon_sym_if] = ACTIONS(11024),
    [anon_sym_try] = ACTIONS(11024),
    [anon_sym_for] = ACTIONS(11024),
    [anon_sym_while] = ACTIONS(11024),
    [sym_break_statement] = ACTIONS(11024),
    [sym_continue_statement] = ACTIONS(11024),
    [anon_sym_return] = ACTIONS(11024),
    [anon_sym_const] = ACTIONS(11024),
    [anon_sym_global] = ACTIONS(11024),
    [anon_sym_local] = ACTIONS(11024),
    [anon_sym_LPAREN] = ACTIONS(11032),
    [anon_sym_COLON] = ACTIONS(11024),
    [anon_sym_export] = ACTIONS(11024),
    [anon_sym_public] = ACTIONS(11024),
    [anon_sym_import] = ACTIONS(11024),
    [anon_sym_using] = ACTIONS(11024),
    [anon_sym_LBRACK] = ACTIONS(11032),
    [anon_sym_in] = ACTIONS(11024),
    [anon_sym_LBRACE] = ACTIONS(11032),
    [anon_sym_DOLLAR] = ACTIONS(11032),
    [anon_sym_COLON2] = ACTIONS(11024),
    [anon_sym_COLON_COLON] = ACTIONS(11032),
    [anon_sym_isa] = ACTIONS(11024),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11032),
    [anon_sym_QMARK] = ACTIONS(11032),
    [anon_sym_where] = ACTIONS(11024),
    [anon_sym_AT] = ACTIONS(11032),
    [anon_sym_true] = ACTIONS(11024),
    [anon_sym_false] = ACTIONS(11024),
    [aux_sym_integer_literal_token1] = ACTIONS(11032),
    [aux_sym_integer_literal_token2] = ACTIONS(11032),
    [aux_sym_integer_literal_token3] = ACTIONS(11024),
    [aux_sym_integer_literal_token4] = ACTIONS(11024),
    [aux_sym_float_literal_token1] = ACTIONS(11032),
    [aux_sym_float_literal_token3] = ACTIONS(11032),
    [aux_sym_float_literal_token4] = ACTIONS(11032),
    [sym_character_literal] = ACTIONS(11032),
    [anon_sym_DQUOTE] = ACTIONS(11024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11032),
    [anon_sym_BQUOTE] = ACTIONS(11024),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11032),
    [sym__pair_operator] = ACTIONS(11032),
    [sym__arrow_operator] = ACTIONS(11024),
    [sym__lazy_or_operator] = ACTIONS(11032),
    [sym__lazy_and_operator] = ACTIONS(11032),
    [sym__comparison_operator] = ACTIONS(11024),
    [sym__pipe_right_operator] = ACTIONS(11032),
    [sym__pipe_left_operator] = ACTIONS(11032),
    [sym__ellipsis_operator] = ACTIONS(11024),
    [sym__plus_operator] = ACTIONS(11024),
    [sym__times_operator] = ACTIONS(11024),
    [sym__rational_operator] = ACTIONS(11032),
    [sym__bitshift_operator] = ACTIONS(11032),
    [sym__power_operator] = ACTIONS(11032),
    [sym__tilde_operator] = ACTIONS(11032),
    [sym__type_order_operator] = ACTIONS(11032),
    [sym__unary_operator] = ACTIONS(11024),
    [sym__unary_plus_operator] = ACTIONS(11024),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9603] = {
    [sym_block_comment] = STATE(9603),
    [sym_line_comment] = STATE(9603),
    [aux_sym_open_tuple_repeat1] = STATE(9675),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(12937),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11202),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11202),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11202),
    [anon_sym_DOLLAR] = ACTIONS(11202),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(12947),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11202),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11202),
    [aux_sym_integer_literal_token2] = ACTIONS(11202),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11202),
    [aux_sym_float_literal_token3] = ACTIONS(11202),
    [aux_sym_float_literal_token4] = ACTIONS(11202),
    [sym_character_literal] = ACTIONS(11202),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11202),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11202),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11202),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9604] = {
    [sym_block_comment] = STATE(9604),
    [sym_line_comment] = STATE(9604),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_COMMA] = ACTIONS(10177),
    [anon_sym_EQ] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10177),
    [anon_sym_COLON] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10177),
    [anon_sym_in] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10177),
    [anon_sym_DOT] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10177),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10177),
    [anon_sym_isa] = ACTIONS(10175),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10177),
    [anon_sym_QMARK] = ACTIONS(10177),
    [anon_sym_where] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10177),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10177),
    [aux_sym_integer_literal_token2] = ACTIONS(10177),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10177),
    [aux_sym_float_literal_token3] = ACTIONS(10177),
    [aux_sym_float_literal_token4] = ACTIONS(10177),
    [sym_character_literal] = ACTIONS(10177),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10177),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10177),
    [sym__pair_operator] = ACTIONS(10177),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__lazy_or_operator] = ACTIONS(10177),
    [sym__lazy_and_operator] = ACTIONS(10177),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10177),
    [sym__pipe_left_operator] = ACTIONS(10177),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10177),
    [sym__bitshift_operator] = ACTIONS(10177),
    [sym__power_operator] = ACTIONS(10177),
    [sym__tilde_operator] = ACTIONS(10177),
    [sym__type_order_operator] = ACTIONS(10177),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9605] = {
    [sym_block_comment] = STATE(9605),
    [sym_line_comment] = STATE(9605),
    [sym__word_identifier] = ACTIONS(10982),
    [anon_sym_COMMA] = ACTIONS(10986),
    [anon_sym_EQ] = ACTIONS(10982),
    [anon_sym_begin] = ACTIONS(10982),
    [anon_sym_module] = ACTIONS(10982),
    [anon_sym_baremodule] = ACTIONS(10982),
    [anon_sym_end] = ACTIONS(10982),
    [anon_sym_abstract] = ACTIONS(10982),
    [anon_sym_primitive] = ACTIONS(10982),
    [anon_sym_mutable] = ACTIONS(10982),
    [anon_sym_struct] = ACTIONS(10982),
    [anon_sym_function] = ACTIONS(10982),
    [anon_sym_macro] = ACTIONS(10982),
    [anon_sym_quote] = ACTIONS(10982),
    [anon_sym_let] = ACTIONS(10982),
    [anon_sym_if] = ACTIONS(10982),
    [anon_sym_try] = ACTIONS(10982),
    [anon_sym_for] = ACTIONS(10982),
    [anon_sym_while] = ACTIONS(10982),
    [sym_break_statement] = ACTIONS(10982),
    [sym_continue_statement] = ACTIONS(10982),
    [anon_sym_return] = ACTIONS(10982),
    [anon_sym_const] = ACTIONS(10982),
    [anon_sym_global] = ACTIONS(10982),
    [anon_sym_local] = ACTIONS(10982),
    [anon_sym_as] = ACTIONS(10982),
    [anon_sym_LPAREN] = ACTIONS(10986),
    [anon_sym_COLON] = ACTIONS(10982),
    [anon_sym_export] = ACTIONS(10982),
    [anon_sym_public] = ACTIONS(10982),
    [anon_sym_import] = ACTIONS(10982),
    [anon_sym_using] = ACTIONS(10982),
    [anon_sym_LBRACK] = ACTIONS(10986),
    [anon_sym_in] = ACTIONS(10982),
    [anon_sym_LBRACE] = ACTIONS(10986),
    [anon_sym_DOLLAR] = ACTIONS(10986),
    [anon_sym_COLON2] = ACTIONS(10982),
    [anon_sym_COLON_COLON] = ACTIONS(10986),
    [anon_sym_isa] = ACTIONS(10982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10986),
    [anon_sym_QMARK] = ACTIONS(10986),
    [anon_sym_where] = ACTIONS(10982),
    [anon_sym_AT] = ACTIONS(10986),
    [anon_sym_true] = ACTIONS(10982),
    [anon_sym_false] = ACTIONS(10982),
    [aux_sym_integer_literal_token1] = ACTIONS(10986),
    [aux_sym_integer_literal_token2] = ACTIONS(10986),
    [aux_sym_integer_literal_token3] = ACTIONS(10982),
    [aux_sym_integer_literal_token4] = ACTIONS(10982),
    [aux_sym_float_literal_token1] = ACTIONS(10986),
    [aux_sym_float_literal_token3] = ACTIONS(10986),
    [aux_sym_float_literal_token4] = ACTIONS(10986),
    [sym_character_literal] = ACTIONS(10986),
    [anon_sym_DQUOTE] = ACTIONS(10982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10986),
    [anon_sym_BQUOTE] = ACTIONS(10982),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10986),
    [sym__pair_operator] = ACTIONS(10986),
    [sym__arrow_operator] = ACTIONS(10982),
    [sym__lazy_or_operator] = ACTIONS(10986),
    [sym__lazy_and_operator] = ACTIONS(10986),
    [sym__comparison_operator] = ACTIONS(10982),
    [sym__pipe_right_operator] = ACTIONS(10986),
    [sym__pipe_left_operator] = ACTIONS(10986),
    [sym__ellipsis_operator] = ACTIONS(10982),
    [sym__plus_operator] = ACTIONS(10982),
    [sym__times_operator] = ACTIONS(10982),
    [sym__rational_operator] = ACTIONS(10986),
    [sym__bitshift_operator] = ACTIONS(10986),
    [sym__power_operator] = ACTIONS(10986),
    [sym__tilde_operator] = ACTIONS(10986),
    [sym__type_order_operator] = ACTIONS(10986),
    [sym__unary_operator] = ACTIONS(10982),
    [sym__unary_plus_operator] = ACTIONS(10982),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9606] = {
    [sym_block_comment] = STATE(9606),
    [sym_line_comment] = STATE(9606),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10577),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9607] = {
    [sym_block_comment] = STATE(9607),
    [sym_line_comment] = STATE(9607),
    [aux_sym_open_tuple_repeat1] = STATE(9675),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(12937),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11206),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11206),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11206),
    [anon_sym_DOLLAR] = ACTIONS(11206),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(12947),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11206),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11206),
    [aux_sym_integer_literal_token2] = ACTIONS(11206),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11206),
    [aux_sym_float_literal_token3] = ACTIONS(11206),
    [aux_sym_float_literal_token4] = ACTIONS(11206),
    [sym_character_literal] = ACTIONS(11206),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11206),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11206),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11206),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9608] = {
    [sym_block_comment] = STATE(9608),
    [sym_line_comment] = STATE(9608),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_COMMA] = ACTIONS(10321),
    [anon_sym_EQ] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10321),
    [anon_sym_COLON] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10321),
    [anon_sym_in] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10321),
    [anon_sym_DOT] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10321),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10321),
    [anon_sym_isa] = ACTIONS(10319),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10321),
    [anon_sym_QMARK] = ACTIONS(10321),
    [anon_sym_where] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10321),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10321),
    [aux_sym_integer_literal_token2] = ACTIONS(10321),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10321),
    [aux_sym_float_literal_token3] = ACTIONS(10321),
    [aux_sym_float_literal_token4] = ACTIONS(10321),
    [sym_character_literal] = ACTIONS(10321),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10321),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10321),
    [sym__pair_operator] = ACTIONS(10321),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__lazy_or_operator] = ACTIONS(10321),
    [sym__lazy_and_operator] = ACTIONS(10321),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10321),
    [sym__pipe_left_operator] = ACTIONS(10321),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10321),
    [sym__bitshift_operator] = ACTIONS(10321),
    [sym__power_operator] = ACTIONS(10321),
    [sym__tilde_operator] = ACTIONS(10321),
    [sym__type_order_operator] = ACTIONS(10321),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9609] = {
    [sym_block_comment] = STATE(9609),
    [sym_line_comment] = STATE(9609),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_EQ] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_RBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12977),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12977),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9610] = {
    [sym_block_comment] = STATE(9610),
    [sym_line_comment] = STATE(9610),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_EQ] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_end] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12915),
    [sym__times_operator] = ACTIONS(12917),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12915),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9611] = {
    [sym_block_comment] = STATE(9611),
    [sym_line_comment] = STATE(9611),
    [sym__word_identifier] = ACTIONS(10229),
    [anon_sym_COMMA] = ACTIONS(10231),
    [anon_sym_EQ] = ACTIONS(10229),
    [anon_sym_begin] = ACTIONS(10229),
    [anon_sym_module] = ACTIONS(10229),
    [anon_sym_baremodule] = ACTIONS(10229),
    [anon_sym_end] = ACTIONS(10229),
    [anon_sym_abstract] = ACTIONS(10229),
    [anon_sym_primitive] = ACTIONS(10229),
    [anon_sym_mutable] = ACTIONS(10229),
    [anon_sym_struct] = ACTIONS(10229),
    [anon_sym_function] = ACTIONS(10229),
    [anon_sym_macro] = ACTIONS(10229),
    [anon_sym_quote] = ACTIONS(10229),
    [anon_sym_let] = ACTIONS(10229),
    [anon_sym_if] = ACTIONS(10229),
    [anon_sym_try] = ACTIONS(10229),
    [anon_sym_for] = ACTIONS(10229),
    [anon_sym_while] = ACTIONS(10229),
    [sym_break_statement] = ACTIONS(10229),
    [sym_continue_statement] = ACTIONS(10229),
    [anon_sym_return] = ACTIONS(10229),
    [anon_sym_const] = ACTIONS(10229),
    [anon_sym_global] = ACTIONS(10229),
    [anon_sym_local] = ACTIONS(10229),
    [anon_sym_LPAREN] = ACTIONS(10231),
    [anon_sym_COLON] = ACTIONS(10229),
    [anon_sym_export] = ACTIONS(10229),
    [anon_sym_public] = ACTIONS(10229),
    [anon_sym_import] = ACTIONS(10229),
    [anon_sym_using] = ACTIONS(10229),
    [anon_sym_LBRACK] = ACTIONS(10231),
    [anon_sym_in] = ACTIONS(10229),
    [anon_sym_LBRACE] = ACTIONS(10231),
    [anon_sym_DOT] = ACTIONS(10229),
    [anon_sym_DOLLAR] = ACTIONS(10231),
    [anon_sym_COLON2] = ACTIONS(10229),
    [anon_sym_COLON_COLON] = ACTIONS(10231),
    [anon_sym_isa] = ACTIONS(10229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10231),
    [anon_sym_QMARK] = ACTIONS(10231),
    [anon_sym_where] = ACTIONS(10229),
    [anon_sym_AT] = ACTIONS(10231),
    [anon_sym_true] = ACTIONS(10229),
    [anon_sym_false] = ACTIONS(10229),
    [aux_sym_integer_literal_token1] = ACTIONS(10231),
    [aux_sym_integer_literal_token2] = ACTIONS(10231),
    [aux_sym_integer_literal_token3] = ACTIONS(10229),
    [aux_sym_integer_literal_token4] = ACTIONS(10229),
    [aux_sym_float_literal_token1] = ACTIONS(10231),
    [aux_sym_float_literal_token3] = ACTIONS(10231),
    [aux_sym_float_literal_token4] = ACTIONS(10231),
    [sym_character_literal] = ACTIONS(10231),
    [anon_sym_DQUOTE] = ACTIONS(10229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10231),
    [anon_sym_BQUOTE] = ACTIONS(10229),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10231),
    [sym__pair_operator] = ACTIONS(10231),
    [sym__arrow_operator] = ACTIONS(10229),
    [sym__lazy_or_operator] = ACTIONS(10231),
    [sym__lazy_and_operator] = ACTIONS(10231),
    [sym__comparison_operator] = ACTIONS(10229),
    [sym__pipe_right_operator] = ACTIONS(10231),
    [sym__pipe_left_operator] = ACTIONS(10231),
    [sym__ellipsis_operator] = ACTIONS(10229),
    [sym__plus_operator] = ACTIONS(10229),
    [sym__times_operator] = ACTIONS(10229),
    [sym__rational_operator] = ACTIONS(10231),
    [sym__bitshift_operator] = ACTIONS(10231),
    [sym__power_operator] = ACTIONS(10231),
    [sym__tilde_operator] = ACTIONS(10231),
    [sym__type_order_operator] = ACTIONS(10231),
    [sym__unary_operator] = ACTIONS(10229),
    [sym__unary_plus_operator] = ACTIONS(10229),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9612] = {
    [sym_block_comment] = STATE(9612),
    [sym_line_comment] = STATE(9612),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_COMMA] = ACTIONS(10397),
    [anon_sym_EQ] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10397),
    [anon_sym_COLON] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10397),
    [anon_sym_in] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10397),
    [anon_sym_DOT] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10397),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10397),
    [anon_sym_isa] = ACTIONS(10395),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10397),
    [anon_sym_QMARK] = ACTIONS(10397),
    [anon_sym_where] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10397),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10397),
    [aux_sym_integer_literal_token2] = ACTIONS(10397),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10397),
    [aux_sym_float_literal_token3] = ACTIONS(10397),
    [aux_sym_float_literal_token4] = ACTIONS(10397),
    [sym_character_literal] = ACTIONS(10397),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10397),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10397),
    [sym__pair_operator] = ACTIONS(10397),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__lazy_or_operator] = ACTIONS(10397),
    [sym__lazy_and_operator] = ACTIONS(10397),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10397),
    [sym__pipe_left_operator] = ACTIONS(10397),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10397),
    [sym__bitshift_operator] = ACTIONS(10397),
    [sym__power_operator] = ACTIONS(10397),
    [sym__tilde_operator] = ACTIONS(10397),
    [sym__type_order_operator] = ACTIONS(10397),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9613] = {
    [sym_block_comment] = STATE(9613),
    [sym_line_comment] = STATE(9613),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10383),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9614] = {
    [sym_block_comment] = STATE(9614),
    [sym_line_comment] = STATE(9614),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_COMMA] = ACTIONS(10415),
    [anon_sym_EQ] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10415),
    [anon_sym_COLON] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10415),
    [anon_sym_in] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10415),
    [anon_sym_DOT] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10415),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10415),
    [anon_sym_isa] = ACTIONS(10413),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10415),
    [anon_sym_QMARK] = ACTIONS(10415),
    [anon_sym_where] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10415),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10415),
    [aux_sym_integer_literal_token2] = ACTIONS(10415),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10415),
    [aux_sym_float_literal_token3] = ACTIONS(10415),
    [aux_sym_float_literal_token4] = ACTIONS(10415),
    [sym_character_literal] = ACTIONS(10415),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10415),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10415),
    [sym__pair_operator] = ACTIONS(10415),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__lazy_or_operator] = ACTIONS(10415),
    [sym__lazy_and_operator] = ACTIONS(10415),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10415),
    [sym__pipe_left_operator] = ACTIONS(10415),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10415),
    [sym__bitshift_operator] = ACTIONS(10415),
    [sym__power_operator] = ACTIONS(10415),
    [sym__tilde_operator] = ACTIONS(10415),
    [sym__type_order_operator] = ACTIONS(10415),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9615] = {
    [sym_block_comment] = STATE(9615),
    [sym_line_comment] = STATE(9615),
    [aux_sym_open_tuple_repeat1] = STATE(9675),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(12937),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11210),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11210),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11210),
    [anon_sym_DOLLAR] = ACTIONS(11210),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(12947),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11210),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11210),
    [aux_sym_integer_literal_token2] = ACTIONS(11210),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11210),
    [aux_sym_float_literal_token3] = ACTIONS(11210),
    [aux_sym_float_literal_token4] = ACTIONS(11210),
    [sym_character_literal] = ACTIONS(11210),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11210),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11210),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11210),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9616] = {
    [sym_block_comment] = STATE(9616),
    [sym_line_comment] = STATE(9616),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12907),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12925),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12987),
    [anon_sym_where] = ACTIONS(12927),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(12989),
    [sym__arrow_operator] = ACTIONS(12929),
    [sym__lazy_or_operator] = ACTIONS(12931),
    [sym__lazy_and_operator] = ACTIONS(12933),
    [sym__comparison_operator] = ACTIONS(12925),
    [sym__pipe_right_operator] = ACTIONS(12909),
    [sym__pipe_left_operator] = ACTIONS(12911),
    [sym__ellipsis_operator] = ACTIONS(12913),
    [sym__plus_operator] = ACTIONS(12915),
    [sym__times_operator] = ACTIONS(12917),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12925),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12915),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9617] = {
    [sym_block_comment] = STATE(9617),
    [sym_line_comment] = STATE(9617),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_COMMA] = ACTIONS(10405),
    [anon_sym_EQ] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10405),
    [anon_sym_COLON] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10405),
    [anon_sym_in] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10405),
    [anon_sym_DOT] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10405),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10405),
    [anon_sym_isa] = ACTIONS(10403),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10405),
    [anon_sym_QMARK] = ACTIONS(10405),
    [anon_sym_where] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10405),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10405),
    [aux_sym_integer_literal_token2] = ACTIONS(10405),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10405),
    [aux_sym_float_literal_token3] = ACTIONS(10405),
    [aux_sym_float_literal_token4] = ACTIONS(10405),
    [sym_character_literal] = ACTIONS(10405),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10405),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10405),
    [sym__pair_operator] = ACTIONS(10405),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__lazy_or_operator] = ACTIONS(10405),
    [sym__lazy_and_operator] = ACTIONS(10405),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10405),
    [sym__pipe_left_operator] = ACTIONS(10405),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10405),
    [sym__bitshift_operator] = ACTIONS(10405),
    [sym__power_operator] = ACTIONS(10405),
    [sym__tilde_operator] = ACTIONS(10405),
    [sym__type_order_operator] = ACTIONS(10405),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9618] = {
    [sym_block_comment] = STATE(9618),
    [sym_line_comment] = STATE(9618),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12991),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12993),
    [sym__pipe_left_operator] = ACTIONS(12995),
    [sym__ellipsis_operator] = ACTIONS(12997),
    [sym__plus_operator] = ACTIONS(12977),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12977),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9619] = {
    [sym_block_comment] = STATE(9619),
    [sym_line_comment] = STATE(9619),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_EQ] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(12991),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_RBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(12999),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(12999),
    [sym__pipe_right_operator] = ACTIONS(12993),
    [sym__pipe_left_operator] = ACTIONS(12995),
    [sym__ellipsis_operator] = ACTIONS(12997),
    [sym__plus_operator] = ACTIONS(12977),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(12999),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12977),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9620] = {
    [sym_block_comment] = STATE(9620),
    [sym_line_comment] = STATE(9620),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12991),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12999),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(13001),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(13003),
    [sym__lazy_or_operator] = ACTIONS(13005),
    [sym__lazy_and_operator] = ACTIONS(13007),
    [sym__comparison_operator] = ACTIONS(12999),
    [sym__pipe_right_operator] = ACTIONS(12993),
    [sym__pipe_left_operator] = ACTIONS(12995),
    [sym__ellipsis_operator] = ACTIONS(12997),
    [sym__plus_operator] = ACTIONS(12977),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12999),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12977),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9621] = {
    [sym_block_comment] = STATE(9621),
    [sym_line_comment] = STATE(9621),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12991),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12999),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(13001),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(13007),
    [sym__comparison_operator] = ACTIONS(12999),
    [sym__pipe_right_operator] = ACTIONS(12993),
    [sym__pipe_left_operator] = ACTIONS(12995),
    [sym__ellipsis_operator] = ACTIONS(12997),
    [sym__plus_operator] = ACTIONS(12977),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12999),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12977),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9622] = {
    [sym_block_comment] = STATE(9622),
    [sym_line_comment] = STATE(9622),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12991),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12999),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(13001),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(12999),
    [sym__pipe_right_operator] = ACTIONS(12993),
    [sym__pipe_left_operator] = ACTIONS(12995),
    [sym__ellipsis_operator] = ACTIONS(12997),
    [sym__plus_operator] = ACTIONS(12977),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12999),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12977),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9623] = {
    [sym_block_comment] = STATE(9623),
    [sym_line_comment] = STATE(9623),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12991),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(12997),
    [sym__plus_operator] = ACTIONS(12977),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12977),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9624] = {
    [sym_block_comment] = STATE(9624),
    [sym_line_comment] = STATE(9624),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12991),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12993),
    [sym__pipe_left_operator] = ACTIONS(12995),
    [sym__ellipsis_operator] = ACTIONS(12997),
    [sym__plus_operator] = ACTIONS(12977),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12977),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9625] = {
    [sym_block_comment] = STATE(9625),
    [sym_line_comment] = STATE(9625),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12977),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12977),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9626] = {
    [sym_block_comment] = STATE(9626),
    [sym_line_comment] = STATE(9626),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9627] = {
    [sym_block_comment] = STATE(9627),
    [sym_line_comment] = STATE(9627),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9628] = {
    [sym_block_comment] = STATE(9628),
    [sym_line_comment] = STATE(9628),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9629] = {
    [sym_block_comment] = STATE(9629),
    [sym_line_comment] = STATE(9629),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9630] = {
    [sym_block_comment] = STATE(9630),
    [sym_line_comment] = STATE(9630),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11161),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_as] = ACTIONS(12771),
    [anon_sym_LPAREN] = ACTIONS(11161),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11161),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11161),
    [anon_sym_DOLLAR] = ACTIONS(11161),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11161),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11161),
    [anon_sym_QMARK] = ACTIONS(11161),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11161),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11161),
    [aux_sym_integer_literal_token2] = ACTIONS(11161),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11161),
    [aux_sym_float_literal_token3] = ACTIONS(11161),
    [aux_sym_float_literal_token4] = ACTIONS(11161),
    [sym_character_literal] = ACTIONS(11161),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11161),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11161),
    [sym__pair_operator] = ACTIONS(11161),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11161),
    [sym__lazy_and_operator] = ACTIONS(11161),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11161),
    [sym__pipe_left_operator] = ACTIONS(11161),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11161),
    [sym__bitshift_operator] = ACTIONS(11161),
    [sym__power_operator] = ACTIONS(11161),
    [sym__tilde_operator] = ACTIONS(11161),
    [sym__type_order_operator] = ACTIONS(11161),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9631] = {
    [sym_block_comment] = STATE(9631),
    [sym_line_comment] = STATE(9631),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12707),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9632] = {
    [sym_block_comment] = STATE(9632),
    [sym_line_comment] = STATE(9632),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12875),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12877),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12707),
    [anon_sym_where] = ACTIONS(12879),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(12881),
    [sym__arrow_operator] = ACTIONS(12883),
    [sym__lazy_or_operator] = ACTIONS(12885),
    [sym__lazy_and_operator] = ACTIONS(12887),
    [sym__comparison_operator] = ACTIONS(12877),
    [sym__pipe_right_operator] = ACTIONS(12889),
    [sym__pipe_left_operator] = ACTIONS(12891),
    [sym__ellipsis_operator] = ACTIONS(12893),
    [sym__plus_operator] = ACTIONS(12895),
    [sym__times_operator] = ACTIONS(12897),
    [sym__rational_operator] = ACTIONS(12899),
    [sym__bitshift_operator] = ACTIONS(12901),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12877),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12895),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9633] = {
    [sym_block_comment] = STATE(9633),
    [sym_line_comment] = STATE(9633),
    [aux_sym__import_list_repeat1] = STATE(9633),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(13009),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11161),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11161),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11161),
    [anon_sym_DOLLAR] = ACTIONS(11161),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11161),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11161),
    [anon_sym_QMARK] = ACTIONS(11161),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11161),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11161),
    [aux_sym_integer_literal_token2] = ACTIONS(11161),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11161),
    [aux_sym_float_literal_token3] = ACTIONS(11161),
    [aux_sym_float_literal_token4] = ACTIONS(11161),
    [sym_character_literal] = ACTIONS(11161),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11161),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11161),
    [sym__pair_operator] = ACTIONS(11161),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11161),
    [sym__lazy_and_operator] = ACTIONS(11161),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11161),
    [sym__pipe_left_operator] = ACTIONS(11161),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11161),
    [sym__bitshift_operator] = ACTIONS(11161),
    [sym__power_operator] = ACTIONS(11161),
    [sym__tilde_operator] = ACTIONS(11161),
    [sym__type_order_operator] = ACTIONS(11161),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9634] = {
    [sym_block_comment] = STATE(9634),
    [sym_line_comment] = STATE(9634),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12991),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12999),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(13012),
    [anon_sym_where] = ACTIONS(13001),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(13014),
    [sym__arrow_operator] = ACTIONS(13003),
    [sym__lazy_or_operator] = ACTIONS(13005),
    [sym__lazy_and_operator] = ACTIONS(13007),
    [sym__comparison_operator] = ACTIONS(12999),
    [sym__pipe_right_operator] = ACTIONS(12993),
    [sym__pipe_left_operator] = ACTIONS(12995),
    [sym__ellipsis_operator] = ACTIONS(12997),
    [sym__plus_operator] = ACTIONS(12977),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12999),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12977),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9635] = {
    [sym_block_comment] = STATE(9635),
    [sym_line_comment] = STATE(9635),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_COMMA] = ACTIONS(10423),
    [anon_sym_EQ] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10423),
    [anon_sym_COLON] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10423),
    [anon_sym_in] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10423),
    [anon_sym_DOT] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10423),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10423),
    [anon_sym_isa] = ACTIONS(10421),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10423),
    [anon_sym_QMARK] = ACTIONS(10423),
    [anon_sym_where] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10423),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10423),
    [aux_sym_integer_literal_token2] = ACTIONS(10423),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10423),
    [aux_sym_float_literal_token3] = ACTIONS(10423),
    [aux_sym_float_literal_token4] = ACTIONS(10423),
    [sym_character_literal] = ACTIONS(10423),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10423),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10423),
    [sym__pair_operator] = ACTIONS(10423),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__lazy_or_operator] = ACTIONS(10423),
    [sym__lazy_and_operator] = ACTIONS(10423),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10423),
    [sym__pipe_left_operator] = ACTIONS(10423),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10423),
    [sym__bitshift_operator] = ACTIONS(10423),
    [sym__power_operator] = ACTIONS(10423),
    [sym__tilde_operator] = ACTIONS(10423),
    [sym__type_order_operator] = ACTIONS(10423),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9636] = {
    [sym_block_comment] = STATE(9636),
    [sym_line_comment] = STATE(9636),
    [sym__word_identifier] = ACTIONS(10315),
    [anon_sym_COMMA] = ACTIONS(10317),
    [anon_sym_EQ] = ACTIONS(10315),
    [anon_sym_begin] = ACTIONS(10315),
    [anon_sym_module] = ACTIONS(10315),
    [anon_sym_baremodule] = ACTIONS(10315),
    [anon_sym_end] = ACTIONS(10315),
    [anon_sym_abstract] = ACTIONS(10315),
    [anon_sym_primitive] = ACTIONS(10315),
    [anon_sym_mutable] = ACTIONS(10315),
    [anon_sym_struct] = ACTIONS(10315),
    [anon_sym_function] = ACTIONS(10315),
    [anon_sym_macro] = ACTIONS(10315),
    [anon_sym_quote] = ACTIONS(10315),
    [anon_sym_let] = ACTIONS(10315),
    [anon_sym_if] = ACTIONS(10315),
    [anon_sym_try] = ACTIONS(10315),
    [anon_sym_for] = ACTIONS(10315),
    [anon_sym_while] = ACTIONS(10315),
    [sym_break_statement] = ACTIONS(10315),
    [sym_continue_statement] = ACTIONS(10315),
    [anon_sym_return] = ACTIONS(10315),
    [anon_sym_const] = ACTIONS(10315),
    [anon_sym_global] = ACTIONS(10315),
    [anon_sym_local] = ACTIONS(10315),
    [anon_sym_LPAREN] = ACTIONS(10317),
    [anon_sym_COLON] = ACTIONS(10315),
    [anon_sym_export] = ACTIONS(10315),
    [anon_sym_public] = ACTIONS(10315),
    [anon_sym_import] = ACTIONS(10315),
    [anon_sym_using] = ACTIONS(10315),
    [anon_sym_LBRACK] = ACTIONS(10317),
    [anon_sym_in] = ACTIONS(10315),
    [anon_sym_LBRACE] = ACTIONS(10317),
    [anon_sym_DOT] = ACTIONS(10315),
    [anon_sym_DOLLAR] = ACTIONS(10317),
    [anon_sym_COLON2] = ACTIONS(10315),
    [anon_sym_COLON_COLON] = ACTIONS(10317),
    [anon_sym_isa] = ACTIONS(10315),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10317),
    [anon_sym_QMARK] = ACTIONS(10317),
    [anon_sym_where] = ACTIONS(10315),
    [anon_sym_AT] = ACTIONS(10317),
    [anon_sym_true] = ACTIONS(10315),
    [anon_sym_false] = ACTIONS(10315),
    [aux_sym_integer_literal_token1] = ACTIONS(10317),
    [aux_sym_integer_literal_token2] = ACTIONS(10317),
    [aux_sym_integer_literal_token3] = ACTIONS(10315),
    [aux_sym_integer_literal_token4] = ACTIONS(10315),
    [aux_sym_float_literal_token1] = ACTIONS(10317),
    [aux_sym_float_literal_token3] = ACTIONS(10317),
    [aux_sym_float_literal_token4] = ACTIONS(10317),
    [sym_character_literal] = ACTIONS(10317),
    [anon_sym_DQUOTE] = ACTIONS(10315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10317),
    [anon_sym_BQUOTE] = ACTIONS(10315),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10317),
    [sym__pair_operator] = ACTIONS(10317),
    [sym__arrow_operator] = ACTIONS(10315),
    [sym__lazy_or_operator] = ACTIONS(10317),
    [sym__lazy_and_operator] = ACTIONS(10317),
    [sym__comparison_operator] = ACTIONS(10315),
    [sym__pipe_right_operator] = ACTIONS(10317),
    [sym__pipe_left_operator] = ACTIONS(10317),
    [sym__ellipsis_operator] = ACTIONS(10315),
    [sym__plus_operator] = ACTIONS(10315),
    [sym__times_operator] = ACTIONS(10315),
    [sym__rational_operator] = ACTIONS(10317),
    [sym__bitshift_operator] = ACTIONS(10317),
    [sym__power_operator] = ACTIONS(10317),
    [sym__tilde_operator] = ACTIONS(10317),
    [sym__type_order_operator] = ACTIONS(10317),
    [sym__unary_operator] = ACTIONS(10315),
    [sym__unary_plus_operator] = ACTIONS(10315),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9637] = {
    [sym_block_comment] = STATE(9637),
    [sym_line_comment] = STATE(9637),
    [sym__word_identifier] = ACTIONS(10876),
    [anon_sym_COMMA] = ACTIONS(10878),
    [anon_sym_EQ] = ACTIONS(10876),
    [anon_sym_begin] = ACTIONS(10876),
    [anon_sym_module] = ACTIONS(10876),
    [anon_sym_baremodule] = ACTIONS(10876),
    [anon_sym_end] = ACTIONS(10876),
    [anon_sym_abstract] = ACTIONS(10876),
    [anon_sym_primitive] = ACTIONS(10876),
    [anon_sym_mutable] = ACTIONS(10876),
    [anon_sym_struct] = ACTIONS(10876),
    [anon_sym_function] = ACTIONS(10876),
    [anon_sym_macro] = ACTIONS(10876),
    [anon_sym_quote] = ACTIONS(10876),
    [anon_sym_let] = ACTIONS(10876),
    [anon_sym_if] = ACTIONS(10876),
    [anon_sym_try] = ACTIONS(10876),
    [anon_sym_for] = ACTIONS(10876),
    [anon_sym_while] = ACTIONS(10876),
    [sym_break_statement] = ACTIONS(10876),
    [sym_continue_statement] = ACTIONS(10876),
    [anon_sym_return] = ACTIONS(10876),
    [anon_sym_const] = ACTIONS(10876),
    [anon_sym_global] = ACTIONS(10876),
    [anon_sym_local] = ACTIONS(10876),
    [anon_sym_LPAREN] = ACTIONS(10878),
    [anon_sym_COLON] = ACTIONS(10876),
    [anon_sym_export] = ACTIONS(10876),
    [anon_sym_public] = ACTIONS(10876),
    [anon_sym_import] = ACTIONS(10876),
    [anon_sym_using] = ACTIONS(10876),
    [anon_sym_LBRACK] = ACTIONS(10878),
    [anon_sym_in] = ACTIONS(10876),
    [anon_sym_LBRACE] = ACTIONS(10878),
    [anon_sym_DOT] = ACTIONS(10876),
    [anon_sym_DOLLAR] = ACTIONS(10878),
    [anon_sym_COLON2] = ACTIONS(10876),
    [anon_sym_COLON_COLON] = ACTIONS(10878),
    [anon_sym_isa] = ACTIONS(10876),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10878),
    [anon_sym_QMARK] = ACTIONS(10878),
    [anon_sym_where] = ACTIONS(10876),
    [anon_sym_AT] = ACTIONS(10878),
    [anon_sym_true] = ACTIONS(10876),
    [anon_sym_false] = ACTIONS(10876),
    [aux_sym_integer_literal_token1] = ACTIONS(10878),
    [aux_sym_integer_literal_token2] = ACTIONS(10878),
    [aux_sym_integer_literal_token3] = ACTIONS(10876),
    [aux_sym_integer_literal_token4] = ACTIONS(10876),
    [aux_sym_float_literal_token1] = ACTIONS(10878),
    [aux_sym_float_literal_token3] = ACTIONS(10878),
    [aux_sym_float_literal_token4] = ACTIONS(10878),
    [sym_character_literal] = ACTIONS(10878),
    [anon_sym_DQUOTE] = ACTIONS(10876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10878),
    [anon_sym_BQUOTE] = ACTIONS(10876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10878),
    [sym__pair_operator] = ACTIONS(10878),
    [sym__arrow_operator] = ACTIONS(10876),
    [sym__lazy_or_operator] = ACTIONS(10878),
    [sym__lazy_and_operator] = ACTIONS(10878),
    [sym__comparison_operator] = ACTIONS(10876),
    [sym__pipe_right_operator] = ACTIONS(10878),
    [sym__pipe_left_operator] = ACTIONS(10878),
    [sym__ellipsis_operator] = ACTIONS(10876),
    [sym__plus_operator] = ACTIONS(10876),
    [sym__times_operator] = ACTIONS(10876),
    [sym__rational_operator] = ACTIONS(10878),
    [sym__bitshift_operator] = ACTIONS(10878),
    [sym__power_operator] = ACTIONS(10878),
    [sym__tilde_operator] = ACTIONS(10878),
    [sym__type_order_operator] = ACTIONS(10878),
    [sym__unary_operator] = ACTIONS(10876),
    [sym__unary_plus_operator] = ACTIONS(10876),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9638] = {
    [sym_block_comment] = STATE(9638),
    [sym_line_comment] = STATE(9638),
    [aux_sym_export_statement_repeat1] = STATE(9638),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(13016),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_end] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11154),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11154),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_LBRACE] = ACTIONS(11154),
    [anon_sym_DOLLAR] = ACTIONS(11154),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11154),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11154),
    [anon_sym_QMARK] = ACTIONS(11154),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11154),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11154),
    [aux_sym_integer_literal_token2] = ACTIONS(11154),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11154),
    [aux_sym_float_literal_token3] = ACTIONS(11154),
    [aux_sym_float_literal_token4] = ACTIONS(11154),
    [sym_character_literal] = ACTIONS(11154),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11154),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11154),
    [sym__pair_operator] = ACTIONS(11154),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11154),
    [sym__lazy_and_operator] = ACTIONS(11154),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11154),
    [sym__pipe_left_operator] = ACTIONS(11154),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11154),
    [sym__bitshift_operator] = ACTIONS(11154),
    [sym__power_operator] = ACTIONS(11154),
    [sym__tilde_operator] = ACTIONS(11154),
    [sym__type_order_operator] = ACTIONS(11154),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9639] = {
    [sym_block_comment] = STATE(9639),
    [sym_line_comment] = STATE(9639),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10623),
  },
  [9640] = {
    [sym_block_comment] = STATE(9640),
    [sym_line_comment] = STATE(9640),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10870),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10870),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10870),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10870),
    [anon_sym_DOT] = ACTIONS(13019),
    [anon_sym_DOLLAR] = ACTIONS(10870),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10870),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10870),
    [anon_sym_QMARK] = ACTIONS(10870),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10870),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10870),
    [aux_sym_integer_literal_token2] = ACTIONS(10870),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10870),
    [aux_sym_float_literal_token3] = ACTIONS(10870),
    [aux_sym_float_literal_token4] = ACTIONS(10870),
    [sym_character_literal] = ACTIONS(10870),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10870),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10870),
    [sym__pair_operator] = ACTIONS(10870),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10870),
    [sym__lazy_and_operator] = ACTIONS(10870),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10870),
    [sym__pipe_left_operator] = ACTIONS(10870),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10870),
    [sym__bitshift_operator] = ACTIONS(10870),
    [sym__power_operator] = ACTIONS(10870),
    [sym__tilde_operator] = ACTIONS(10870),
    [sym__type_order_operator] = ACTIONS(10870),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9641] = {
    [sym_block_comment] = STATE(9641),
    [sym_line_comment] = STATE(9641),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(10617),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_DASH_GT] = ACTIONS(10467),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9642] = {
    [sym_block_comment] = STATE(9642),
    [sym_line_comment] = STATE(9642),
    [sym__word_identifier] = ACTIONS(9993),
    [anon_sym_COMMA] = ACTIONS(9995),
    [anon_sym_EQ] = ACTIONS(9993),
    [anon_sym_begin] = ACTIONS(9993),
    [anon_sym_module] = ACTIONS(9993),
    [anon_sym_baremodule] = ACTIONS(9993),
    [anon_sym_end] = ACTIONS(9993),
    [anon_sym_abstract] = ACTIONS(9993),
    [anon_sym_primitive] = ACTIONS(9993),
    [anon_sym_mutable] = ACTIONS(9993),
    [anon_sym_struct] = ACTIONS(9993),
    [anon_sym_function] = ACTIONS(9993),
    [anon_sym_macro] = ACTIONS(9993),
    [anon_sym_quote] = ACTIONS(9993),
    [anon_sym_let] = ACTIONS(9993),
    [anon_sym_if] = ACTIONS(9993),
    [anon_sym_try] = ACTIONS(9993),
    [anon_sym_for] = ACTIONS(9993),
    [anon_sym_while] = ACTIONS(9993),
    [sym_break_statement] = ACTIONS(9993),
    [sym_continue_statement] = ACTIONS(9993),
    [anon_sym_return] = ACTIONS(9993),
    [anon_sym_const] = ACTIONS(9993),
    [anon_sym_global] = ACTIONS(9993),
    [anon_sym_local] = ACTIONS(9993),
    [anon_sym_LPAREN] = ACTIONS(9995),
    [anon_sym_COLON] = ACTIONS(9993),
    [anon_sym_export] = ACTIONS(9993),
    [anon_sym_public] = ACTIONS(9993),
    [anon_sym_import] = ACTIONS(9993),
    [anon_sym_using] = ACTIONS(9993),
    [anon_sym_LBRACK] = ACTIONS(9995),
    [anon_sym_in] = ACTIONS(9993),
    [anon_sym_LBRACE] = ACTIONS(9995),
    [anon_sym_DOT] = ACTIONS(9993),
    [anon_sym_DOLLAR] = ACTIONS(9995),
    [anon_sym_COLON2] = ACTIONS(9993),
    [anon_sym_COLON_COLON] = ACTIONS(9995),
    [anon_sym_isa] = ACTIONS(9993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9995),
    [anon_sym_QMARK] = ACTIONS(9995),
    [anon_sym_where] = ACTIONS(9993),
    [anon_sym_AT] = ACTIONS(9995),
    [anon_sym_true] = ACTIONS(9993),
    [anon_sym_false] = ACTIONS(9993),
    [aux_sym_integer_literal_token1] = ACTIONS(9995),
    [aux_sym_integer_literal_token2] = ACTIONS(9995),
    [aux_sym_integer_literal_token3] = ACTIONS(9993),
    [aux_sym_integer_literal_token4] = ACTIONS(9993),
    [aux_sym_float_literal_token1] = ACTIONS(9995),
    [aux_sym_float_literal_token3] = ACTIONS(9995),
    [aux_sym_float_literal_token4] = ACTIONS(9995),
    [sym_character_literal] = ACTIONS(9995),
    [anon_sym_DQUOTE] = ACTIONS(9993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9995),
    [anon_sym_BQUOTE] = ACTIONS(9993),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9995),
    [sym__pair_operator] = ACTIONS(9995),
    [sym__arrow_operator] = ACTIONS(9993),
    [sym__lazy_or_operator] = ACTIONS(9995),
    [sym__lazy_and_operator] = ACTIONS(9995),
    [sym__comparison_operator] = ACTIONS(9993),
    [sym__pipe_right_operator] = ACTIONS(9995),
    [sym__pipe_left_operator] = ACTIONS(9995),
    [sym__ellipsis_operator] = ACTIONS(9993),
    [sym__plus_operator] = ACTIONS(9993),
    [sym__times_operator] = ACTIONS(9993),
    [sym__rational_operator] = ACTIONS(9995),
    [sym__bitshift_operator] = ACTIONS(9995),
    [sym__power_operator] = ACTIONS(9995),
    [sym__tilde_operator] = ACTIONS(9995),
    [sym__type_order_operator] = ACTIONS(9995),
    [sym__unary_operator] = ACTIONS(9993),
    [sym__unary_plus_operator] = ACTIONS(9993),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9643] = {
    [sym_block_comment] = STATE(9643),
    [sym_line_comment] = STATE(9643),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(12991),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_RBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(12999),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(13012),
    [anon_sym_where] = ACTIONS(13001),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(13014),
    [sym__arrow_operator] = ACTIONS(13003),
    [sym__lazy_or_operator] = ACTIONS(13005),
    [sym__lazy_and_operator] = ACTIONS(13007),
    [sym__comparison_operator] = ACTIONS(12999),
    [sym__pipe_right_operator] = ACTIONS(12993),
    [sym__pipe_left_operator] = ACTIONS(12995),
    [sym__ellipsis_operator] = ACTIONS(12997),
    [sym__plus_operator] = ACTIONS(12977),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(12999),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12977),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9644] = {
    [sym_block_comment] = STATE(9644),
    [sym_line_comment] = STATE(9644),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_COMMA] = ACTIONS(10219),
    [anon_sym_EQ] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10219),
    [anon_sym_COLON] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10219),
    [anon_sym_in] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10219),
    [anon_sym_DOT] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10219),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10219),
    [anon_sym_isa] = ACTIONS(10217),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10219),
    [anon_sym_QMARK] = ACTIONS(10219),
    [anon_sym_where] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10219),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10219),
    [aux_sym_integer_literal_token2] = ACTIONS(10219),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10219),
    [aux_sym_float_literal_token3] = ACTIONS(10219),
    [aux_sym_float_literal_token4] = ACTIONS(10219),
    [sym_character_literal] = ACTIONS(10219),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10219),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10219),
    [sym__pair_operator] = ACTIONS(10219),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__lazy_or_operator] = ACTIONS(10219),
    [sym__lazy_and_operator] = ACTIONS(10219),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10219),
    [sym__pipe_left_operator] = ACTIONS(10219),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10219),
    [sym__bitshift_operator] = ACTIONS(10219),
    [sym__power_operator] = ACTIONS(10219),
    [sym__tilde_operator] = ACTIONS(10219),
    [sym__type_order_operator] = ACTIONS(10219),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9645] = {
    [sym_block_comment] = STATE(9645),
    [sym_line_comment] = STATE(9645),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10623),
  },
  [9646] = {
    [sym_block_comment] = STATE(9646),
    [sym_line_comment] = STATE(9646),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_COMMA] = ACTIONS(10431),
    [anon_sym_EQ] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10431),
    [anon_sym_COLON] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10431),
    [anon_sym_in] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10431),
    [anon_sym_DOT] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10431),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10431),
    [anon_sym_isa] = ACTIONS(10429),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10431),
    [anon_sym_QMARK] = ACTIONS(10431),
    [anon_sym_where] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10431),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10431),
    [aux_sym_integer_literal_token2] = ACTIONS(10431),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10431),
    [aux_sym_float_literal_token3] = ACTIONS(10431),
    [aux_sym_float_literal_token4] = ACTIONS(10431),
    [sym_character_literal] = ACTIONS(10431),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10431),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10431),
    [sym__pair_operator] = ACTIONS(10431),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__lazy_or_operator] = ACTIONS(10431),
    [sym__lazy_and_operator] = ACTIONS(10431),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10431),
    [sym__pipe_left_operator] = ACTIONS(10431),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10431),
    [sym__bitshift_operator] = ACTIONS(10431),
    [sym__power_operator] = ACTIONS(10431),
    [sym__tilde_operator] = ACTIONS(10431),
    [sym__type_order_operator] = ACTIONS(10431),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9647] = {
    [sym_block_comment] = STATE(9647),
    [sym_line_comment] = STATE(9647),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_COMMA] = ACTIONS(10141),
    [anon_sym_EQ] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10141),
    [anon_sym_COLON] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10141),
    [anon_sym_in] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10141),
    [anon_sym_DOT] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10141),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10141),
    [anon_sym_isa] = ACTIONS(10139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10141),
    [anon_sym_QMARK] = ACTIONS(10141),
    [anon_sym_where] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10141),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10141),
    [aux_sym_integer_literal_token2] = ACTIONS(10141),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10141),
    [aux_sym_float_literal_token3] = ACTIONS(10141),
    [aux_sym_float_literal_token4] = ACTIONS(10141),
    [sym_character_literal] = ACTIONS(10141),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10141),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10141),
    [sym__pair_operator] = ACTIONS(10141),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__lazy_or_operator] = ACTIONS(10141),
    [sym__lazy_and_operator] = ACTIONS(10141),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10141),
    [sym__pipe_left_operator] = ACTIONS(10141),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10141),
    [sym__bitshift_operator] = ACTIONS(10141),
    [sym__power_operator] = ACTIONS(10141),
    [sym__tilde_operator] = ACTIONS(10141),
    [sym__type_order_operator] = ACTIONS(10141),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9648] = {
    [sym_block_comment] = STATE(9648),
    [sym_line_comment] = STATE(9648),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_COMMA] = ACTIONS(10293),
    [anon_sym_EQ] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10293),
    [anon_sym_COLON] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10293),
    [anon_sym_in] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10293),
    [anon_sym_DOT] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10293),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10293),
    [anon_sym_isa] = ACTIONS(10291),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10293),
    [anon_sym_QMARK] = ACTIONS(10293),
    [anon_sym_where] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10293),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10293),
    [aux_sym_integer_literal_token2] = ACTIONS(10293),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10293),
    [aux_sym_float_literal_token3] = ACTIONS(10293),
    [aux_sym_float_literal_token4] = ACTIONS(10293),
    [sym_character_literal] = ACTIONS(10293),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10293),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10293),
    [sym__pair_operator] = ACTIONS(10293),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__lazy_or_operator] = ACTIONS(10293),
    [sym__lazy_and_operator] = ACTIONS(10293),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10293),
    [sym__pipe_left_operator] = ACTIONS(10293),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10293),
    [sym__bitshift_operator] = ACTIONS(10293),
    [sym__power_operator] = ACTIONS(10293),
    [sym__tilde_operator] = ACTIONS(10293),
    [sym__type_order_operator] = ACTIONS(10293),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9649] = {
    [sym_block_comment] = STATE(9649),
    [sym_line_comment] = STATE(9649),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_DASH_GT] = ACTIONS(10487),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9650] = {
    [sym_block_comment] = STATE(9650),
    [sym_line_comment] = STATE(9650),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11040),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_as] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11040),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11040),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11040),
    [anon_sym_DOLLAR] = ACTIONS(11040),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11040),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11040),
    [anon_sym_QMARK] = ACTIONS(11040),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11040),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11040),
    [aux_sym_integer_literal_token2] = ACTIONS(11040),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11040),
    [aux_sym_float_literal_token3] = ACTIONS(11040),
    [aux_sym_float_literal_token4] = ACTIONS(11040),
    [sym_character_literal] = ACTIONS(11040),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11040),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11040),
    [sym__pair_operator] = ACTIONS(11040),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11040),
    [sym__lazy_and_operator] = ACTIONS(11040),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11040),
    [sym__pipe_left_operator] = ACTIONS(11040),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11040),
    [sym__bitshift_operator] = ACTIONS(11040),
    [sym__power_operator] = ACTIONS(11040),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9651] = {
    [sym_block_comment] = STATE(9651),
    [sym_line_comment] = STATE(9651),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(12907),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(12925),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12987),
    [anon_sym_where] = ACTIONS(12927),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(12989),
    [sym__arrow_operator] = ACTIONS(12929),
    [sym__lazy_or_operator] = ACTIONS(12931),
    [sym__lazy_and_operator] = ACTIONS(12933),
    [sym__comparison_operator] = ACTIONS(12925),
    [sym__pipe_right_operator] = ACTIONS(12909),
    [sym__pipe_left_operator] = ACTIONS(12911),
    [sym__ellipsis_operator] = ACTIONS(12913),
    [sym__plus_operator] = ACTIONS(12915),
    [sym__times_operator] = ACTIONS(12917),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(12925),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12915),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9652] = {
    [sym_block_comment] = STATE(9652),
    [sym_line_comment] = STATE(9652),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_COMMA] = ACTIONS(10341),
    [anon_sym_EQ] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10341),
    [anon_sym_COLON] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10341),
    [anon_sym_in] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10341),
    [anon_sym_DOT] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10341),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10341),
    [anon_sym_isa] = ACTIONS(10339),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10341),
    [anon_sym_QMARK] = ACTIONS(10341),
    [anon_sym_where] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10341),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10341),
    [aux_sym_integer_literal_token2] = ACTIONS(10341),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10341),
    [aux_sym_float_literal_token3] = ACTIONS(10341),
    [aux_sym_float_literal_token4] = ACTIONS(10341),
    [sym_character_literal] = ACTIONS(10341),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10341),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10341),
    [sym__pair_operator] = ACTIONS(10341),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__lazy_or_operator] = ACTIONS(10341),
    [sym__lazy_and_operator] = ACTIONS(10341),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10341),
    [sym__pipe_left_operator] = ACTIONS(10341),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10341),
    [sym__bitshift_operator] = ACTIONS(10341),
    [sym__power_operator] = ACTIONS(10341),
    [sym__tilde_operator] = ACTIONS(10341),
    [sym__type_order_operator] = ACTIONS(10341),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9653] = {
    [sym_block_comment] = STATE(9653),
    [sym_line_comment] = STATE(9653),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(12907),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(12925),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12987),
    [anon_sym_where] = ACTIONS(12927),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(12989),
    [sym__arrow_operator] = ACTIONS(12929),
    [sym__lazy_or_operator] = ACTIONS(12931),
    [sym__lazy_and_operator] = ACTIONS(12933),
    [sym__comparison_operator] = ACTIONS(12925),
    [sym__pipe_right_operator] = ACTIONS(12909),
    [sym__pipe_left_operator] = ACTIONS(12911),
    [sym__ellipsis_operator] = ACTIONS(12913),
    [sym__plus_operator] = ACTIONS(12915),
    [sym__times_operator] = ACTIONS(12917),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(12925),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12915),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9654] = {
    [sym_block_comment] = STATE(9654),
    [sym_line_comment] = STATE(9654),
    [sym__word_identifier] = ACTIONS(13021),
    [anon_sym_COMMA] = ACTIONS(13021),
    [anon_sym_begin] = ACTIONS(13021),
    [anon_sym_module] = ACTIONS(13021),
    [anon_sym_baremodule] = ACTIONS(13021),
    [anon_sym_end] = ACTIONS(13021),
    [anon_sym_abstract] = ACTIONS(13021),
    [anon_sym_primitive] = ACTIONS(13021),
    [anon_sym_mutable] = ACTIONS(13021),
    [anon_sym_struct] = ACTIONS(13021),
    [anon_sym_function] = ACTIONS(13021),
    [anon_sym_macro] = ACTIONS(13021),
    [anon_sym_quote] = ACTIONS(13021),
    [anon_sym_let] = ACTIONS(13021),
    [anon_sym_if] = ACTIONS(13021),
    [anon_sym_try] = ACTIONS(13021),
    [anon_sym_for] = ACTIONS(13021),
    [anon_sym_while] = ACTIONS(13021),
    [sym_break_statement] = ACTIONS(13021),
    [sym_continue_statement] = ACTIONS(13021),
    [anon_sym_return] = ACTIONS(13021),
    [anon_sym_const] = ACTIONS(13021),
    [anon_sym_global] = ACTIONS(13021),
    [anon_sym_local] = ACTIONS(13021),
    [anon_sym_LPAREN] = ACTIONS(13021),
    [anon_sym_COLON] = ACTIONS(12875),
    [anon_sym_export] = ACTIONS(13021),
    [anon_sym_public] = ACTIONS(13021),
    [anon_sym_import] = ACTIONS(13021),
    [anon_sym_using] = ACTIONS(13021),
    [anon_sym_LBRACK] = ACTIONS(13021),
    [anon_sym_in] = ACTIONS(12877),
    [anon_sym_SEMI] = ACTIONS(13021),
    [anon_sym_LBRACE] = ACTIONS(13021),
    [anon_sym_DOLLAR] = ACTIONS(13021),
    [anon_sym_COLON2] = ACTIONS(13021),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12707),
    [anon_sym_where] = ACTIONS(12879),
    [anon_sym_AT] = ACTIONS(13021),
    [anon_sym_true] = ACTIONS(13021),
    [anon_sym_false] = ACTIONS(13021),
    [aux_sym_integer_literal_token1] = ACTIONS(13021),
    [aux_sym_integer_literal_token2] = ACTIONS(13021),
    [aux_sym_integer_literal_token3] = ACTIONS(13021),
    [aux_sym_integer_literal_token4] = ACTIONS(13021),
    [aux_sym_float_literal_token1] = ACTIONS(13021),
    [aux_sym_float_literal_token3] = ACTIONS(13021),
    [aux_sym_float_literal_token4] = ACTIONS(13021),
    [sym_character_literal] = ACTIONS(13021),
    [anon_sym_DQUOTE] = ACTIONS(13021),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13021),
    [anon_sym_BQUOTE] = ACTIONS(13021),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13021),
    [sym__pair_operator] = ACTIONS(12881),
    [sym__arrow_operator] = ACTIONS(12883),
    [sym__lazy_or_operator] = ACTIONS(12885),
    [sym__lazy_and_operator] = ACTIONS(12887),
    [sym__comparison_operator] = ACTIONS(12877),
    [sym__pipe_right_operator] = ACTIONS(12889),
    [sym__pipe_left_operator] = ACTIONS(12891),
    [sym__ellipsis_operator] = ACTIONS(12893),
    [sym__plus_operator] = ACTIONS(12895),
    [sym__times_operator] = ACTIONS(12897),
    [sym__rational_operator] = ACTIONS(12899),
    [sym__bitshift_operator] = ACTIONS(12901),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(13021),
    [sym__type_order_operator] = ACTIONS(12877),
    [sym__unary_operator] = ACTIONS(13021),
    [sym__unary_plus_operator] = ACTIONS(12895),
    [aux_sym__terminator_token1] = ACTIONS(13023),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9655] = {
    [sym_block_comment] = STATE(9655),
    [sym_line_comment] = STATE(9655),
    [sym__word_identifier] = ACTIONS(10451),
    [anon_sym_begin] = ACTIONS(10451),
    [anon_sym_module] = ACTIONS(10451),
    [anon_sym_baremodule] = ACTIONS(10451),
    [anon_sym_end] = ACTIONS(10451),
    [anon_sym_abstract] = ACTIONS(10451),
    [anon_sym_primitive] = ACTIONS(10451),
    [anon_sym_mutable] = ACTIONS(10451),
    [anon_sym_struct] = ACTIONS(10451),
    [anon_sym_function] = ACTIONS(10451),
    [anon_sym_macro] = ACTIONS(10451),
    [anon_sym_quote] = ACTIONS(10451),
    [anon_sym_let] = ACTIONS(10451),
    [anon_sym_if] = ACTIONS(10451),
    [anon_sym_try] = ACTIONS(10451),
    [anon_sym_for] = ACTIONS(10451),
    [anon_sym_while] = ACTIONS(10451),
    [sym_break_statement] = ACTIONS(10451),
    [sym_continue_statement] = ACTIONS(10451),
    [anon_sym_return] = ACTIONS(10451),
    [anon_sym_const] = ACTIONS(10451),
    [anon_sym_global] = ACTIONS(10451),
    [anon_sym_local] = ACTIONS(10451),
    [anon_sym_LPAREN] = ACTIONS(10451),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(10451),
    [anon_sym_public] = ACTIONS(10451),
    [anon_sym_import] = ACTIONS(10451),
    [anon_sym_using] = ACTIONS(10451),
    [anon_sym_LBRACK] = ACTIONS(10451),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(10451),
    [anon_sym_LBRACE] = ACTIONS(10451),
    [anon_sym_DOLLAR] = ACTIONS(10451),
    [anon_sym_COLON2] = ACTIONS(10451),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10453),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(10451),
    [anon_sym_true] = ACTIONS(10451),
    [anon_sym_false] = ACTIONS(10451),
    [aux_sym_integer_literal_token1] = ACTIONS(10451),
    [aux_sym_integer_literal_token2] = ACTIONS(10451),
    [aux_sym_integer_literal_token3] = ACTIONS(10451),
    [aux_sym_integer_literal_token4] = ACTIONS(10451),
    [aux_sym_float_literal_token1] = ACTIONS(10451),
    [aux_sym_float_literal_token3] = ACTIONS(10451),
    [aux_sym_float_literal_token4] = ACTIONS(10451),
    [sym_character_literal] = ACTIONS(10451),
    [anon_sym_DQUOTE] = ACTIONS(10451),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10451),
    [anon_sym_BQUOTE] = ACTIONS(10451),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10451),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(10451),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(10451),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(10455),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9656] = {
    [sym_block_comment] = STATE(9656),
    [sym_line_comment] = STATE(9656),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(12991),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_RBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(12999),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(13012),
    [anon_sym_where] = ACTIONS(13001),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(13014),
    [sym__arrow_operator] = ACTIONS(13003),
    [sym__lazy_or_operator] = ACTIONS(13005),
    [sym__lazy_and_operator] = ACTIONS(13007),
    [sym__comparison_operator] = ACTIONS(12999),
    [sym__pipe_right_operator] = ACTIONS(12993),
    [sym__pipe_left_operator] = ACTIONS(12995),
    [sym__ellipsis_operator] = ACTIONS(12997),
    [sym__plus_operator] = ACTIONS(12977),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(12999),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12977),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9657] = {
    [sym_block_comment] = STATE(9657),
    [sym_line_comment] = STATE(9657),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_DASH_GT] = ACTIONS(10169),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9658] = {
    [sym_block_comment] = STATE(9658),
    [sym_line_comment] = STATE(9658),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10870),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_as] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10870),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10870),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10870),
    [anon_sym_DOLLAR] = ACTIONS(10870),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10870),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10870),
    [anon_sym_QMARK] = ACTIONS(10870),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10870),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10870),
    [aux_sym_integer_literal_token2] = ACTIONS(10870),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10870),
    [aux_sym_float_literal_token3] = ACTIONS(10870),
    [aux_sym_float_literal_token4] = ACTIONS(10870),
    [sym_character_literal] = ACTIONS(10870),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10870),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10870),
    [sym__pair_operator] = ACTIONS(10870),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10870),
    [sym__lazy_and_operator] = ACTIONS(10870),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10870),
    [sym__pipe_left_operator] = ACTIONS(10870),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10870),
    [sym__bitshift_operator] = ACTIONS(10870),
    [sym__power_operator] = ACTIONS(10870),
    [sym__tilde_operator] = ACTIONS(10870),
    [sym__type_order_operator] = ACTIONS(10870),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9659] = {
    [sym_block_comment] = STATE(9659),
    [sym_line_comment] = STATE(9659),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_COMMA] = ACTIONS(10087),
    [anon_sym_EQ] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10087),
    [anon_sym_COLON] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10087),
    [anon_sym_in] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10087),
    [anon_sym_DOT] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10087),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10087),
    [anon_sym_isa] = ACTIONS(10083),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10087),
    [anon_sym_QMARK] = ACTIONS(10087),
    [anon_sym_where] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10087),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10087),
    [aux_sym_integer_literal_token2] = ACTIONS(10087),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10087),
    [aux_sym_float_literal_token3] = ACTIONS(10087),
    [aux_sym_float_literal_token4] = ACTIONS(10087),
    [sym_character_literal] = ACTIONS(10087),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10087),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10087),
    [sym__pair_operator] = ACTIONS(10087),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__lazy_or_operator] = ACTIONS(10087),
    [sym__lazy_and_operator] = ACTIONS(10087),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10087),
    [sym__pipe_left_operator] = ACTIONS(10087),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10087),
    [sym__bitshift_operator] = ACTIONS(10087),
    [sym__power_operator] = ACTIONS(10087),
    [sym__tilde_operator] = ACTIONS(10087),
    [sym__type_order_operator] = ACTIONS(10087),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9660] = {
    [sym_block_comment] = STATE(9660),
    [sym_line_comment] = STATE(9660),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_end] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(12875),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(12877),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12707),
    [anon_sym_where] = ACTIONS(12879),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(12881),
    [sym__arrow_operator] = ACTIONS(12883),
    [sym__lazy_or_operator] = ACTIONS(12885),
    [sym__lazy_and_operator] = ACTIONS(12887),
    [sym__comparison_operator] = ACTIONS(12877),
    [sym__pipe_right_operator] = ACTIONS(12889),
    [sym__pipe_left_operator] = ACTIONS(12891),
    [sym__ellipsis_operator] = ACTIONS(12893),
    [sym__plus_operator] = ACTIONS(12895),
    [sym__times_operator] = ACTIONS(12897),
    [sym__rational_operator] = ACTIONS(12899),
    [sym__bitshift_operator] = ACTIONS(12901),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(12877),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12895),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9661] = {
    [sym_block_comment] = STATE(9661),
    [sym_line_comment] = STATE(9661),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_COMMA] = ACTIONS(10419),
    [anon_sym_EQ] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10419),
    [anon_sym_COLON] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10419),
    [anon_sym_in] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10419),
    [anon_sym_DOT] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10419),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10419),
    [anon_sym_isa] = ACTIONS(10417),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10419),
    [anon_sym_QMARK] = ACTIONS(10419),
    [anon_sym_where] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10419),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10419),
    [aux_sym_integer_literal_token2] = ACTIONS(10419),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10419),
    [aux_sym_float_literal_token3] = ACTIONS(10419),
    [aux_sym_float_literal_token4] = ACTIONS(10419),
    [sym_character_literal] = ACTIONS(10419),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10419),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10419),
    [sym__pair_operator] = ACTIONS(10419),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__lazy_or_operator] = ACTIONS(10419),
    [sym__lazy_and_operator] = ACTIONS(10419),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10419),
    [sym__pipe_left_operator] = ACTIONS(10419),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10419),
    [sym__bitshift_operator] = ACTIONS(10419),
    [sym__power_operator] = ACTIONS(10419),
    [sym__tilde_operator] = ACTIONS(10419),
    [sym__type_order_operator] = ACTIONS(10419),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9662] = {
    [sym_block_comment] = STATE(9662),
    [sym_line_comment] = STATE(9662),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(12584),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(12586),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12586),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12707),
    [anon_sym_where] = ACTIONS(12592),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(12594),
    [sym__arrow_operator] = ACTIONS(12596),
    [sym__lazy_or_operator] = ACTIONS(12598),
    [sym__lazy_and_operator] = ACTIONS(12600),
    [sym__comparison_operator] = ACTIONS(12586),
    [sym__pipe_right_operator] = ACTIONS(12602),
    [sym__pipe_left_operator] = ACTIONS(12604),
    [sym__ellipsis_operator] = ACTIONS(12606),
    [sym__plus_operator] = ACTIONS(12608),
    [sym__times_operator] = ACTIONS(12610),
    [sym__rational_operator] = ACTIONS(12612),
    [sym__bitshift_operator] = ACTIONS(12614),
    [sym__power_operator] = ACTIONS(12616),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(12586),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12608),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9663] = {
    [sym_block_comment] = STATE(9663),
    [sym_line_comment] = STATE(9663),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_COMMA] = ACTIONS(10401),
    [anon_sym_EQ] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10401),
    [anon_sym_COLON] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10401),
    [anon_sym_in] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10401),
    [anon_sym_DOT] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10401),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10401),
    [anon_sym_isa] = ACTIONS(10399),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10401),
    [anon_sym_QMARK] = ACTIONS(10401),
    [anon_sym_where] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10401),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10401),
    [aux_sym_integer_literal_token2] = ACTIONS(10401),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10401),
    [aux_sym_float_literal_token3] = ACTIONS(10401),
    [aux_sym_float_literal_token4] = ACTIONS(10401),
    [sym_character_literal] = ACTIONS(10401),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10401),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10401),
    [sym__pair_operator] = ACTIONS(10401),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__lazy_or_operator] = ACTIONS(10401),
    [sym__lazy_and_operator] = ACTIONS(10401),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10401),
    [sym__pipe_left_operator] = ACTIONS(10401),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10401),
    [sym__bitshift_operator] = ACTIONS(10401),
    [sym__power_operator] = ACTIONS(10401),
    [sym__tilde_operator] = ACTIONS(10401),
    [sym__type_order_operator] = ACTIONS(10401),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9664] = {
    [sym_block_comment] = STATE(9664),
    [sym_line_comment] = STATE(9664),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_COMMA] = ACTIONS(10265),
    [anon_sym_EQ] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10265),
    [anon_sym_COLON] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10265),
    [anon_sym_in] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10265),
    [anon_sym_DOT] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10265),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10265),
    [anon_sym_isa] = ACTIONS(10263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10265),
    [anon_sym_QMARK] = ACTIONS(10265),
    [anon_sym_where] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10265),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10265),
    [aux_sym_integer_literal_token2] = ACTIONS(10265),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10265),
    [aux_sym_float_literal_token3] = ACTIONS(10265),
    [aux_sym_float_literal_token4] = ACTIONS(10265),
    [sym_character_literal] = ACTIONS(10265),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10265),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10265),
    [sym__pair_operator] = ACTIONS(10265),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__lazy_or_operator] = ACTIONS(10265),
    [sym__lazy_and_operator] = ACTIONS(10265),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10265),
    [sym__pipe_left_operator] = ACTIONS(10265),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10265),
    [sym__bitshift_operator] = ACTIONS(10265),
    [sym__power_operator] = ACTIONS(10265),
    [sym__tilde_operator] = ACTIONS(10265),
    [sym__type_order_operator] = ACTIONS(10265),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9665] = {
    [sym_block_comment] = STATE(9665),
    [sym_line_comment] = STATE(9665),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_COMMA] = ACTIONS(10309),
    [anon_sym_EQ] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10309),
    [anon_sym_COLON] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10309),
    [anon_sym_in] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10309),
    [anon_sym_DOT] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10309),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10309),
    [anon_sym_isa] = ACTIONS(10307),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10309),
    [anon_sym_QMARK] = ACTIONS(10309),
    [anon_sym_where] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10309),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10309),
    [aux_sym_integer_literal_token2] = ACTIONS(10309),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10309),
    [aux_sym_float_literal_token3] = ACTIONS(10309),
    [aux_sym_float_literal_token4] = ACTIONS(10309),
    [sym_character_literal] = ACTIONS(10309),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10309),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10309),
    [sym__pair_operator] = ACTIONS(10309),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__lazy_or_operator] = ACTIONS(10309),
    [sym__lazy_and_operator] = ACTIONS(10309),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10309),
    [sym__pipe_left_operator] = ACTIONS(10309),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10309),
    [sym__bitshift_operator] = ACTIONS(10309),
    [sym__power_operator] = ACTIONS(10309),
    [sym__tilde_operator] = ACTIONS(10309),
    [sym__type_order_operator] = ACTIONS(10309),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9666] = {
    [sym_block_comment] = STATE(9666),
    [sym_line_comment] = STATE(9666),
    [aux_sym_open_tuple_repeat1] = STATE(9675),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(12937),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11214),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11214),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11214),
    [anon_sym_DOLLAR] = ACTIONS(11214),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(12947),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11214),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11214),
    [aux_sym_integer_literal_token2] = ACTIONS(11214),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11214),
    [aux_sym_float_literal_token3] = ACTIONS(11214),
    [aux_sym_float_literal_token4] = ACTIONS(11214),
    [sym_character_literal] = ACTIONS(11214),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11214),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11214),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11214),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9667] = {
    [sym_block_comment] = STATE(9667),
    [sym_line_comment] = STATE(9667),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10583),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_RBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9668] = {
    [sym_block_comment] = STATE(9668),
    [sym_line_comment] = STATE(9668),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_COMMA] = ACTIONS(10411),
    [anon_sym_EQ] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10411),
    [anon_sym_COLON] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10411),
    [anon_sym_in] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10411),
    [anon_sym_DOT] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10411),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10411),
    [anon_sym_isa] = ACTIONS(10409),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10411),
    [anon_sym_QMARK] = ACTIONS(10411),
    [anon_sym_where] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10411),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10411),
    [aux_sym_integer_literal_token2] = ACTIONS(10411),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10411),
    [aux_sym_float_literal_token3] = ACTIONS(10411),
    [aux_sym_float_literal_token4] = ACTIONS(10411),
    [sym_character_literal] = ACTIONS(10411),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10411),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10411),
    [sym__pair_operator] = ACTIONS(10411),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__lazy_or_operator] = ACTIONS(10411),
    [sym__lazy_and_operator] = ACTIONS(10411),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10411),
    [sym__pipe_left_operator] = ACTIONS(10411),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10411),
    [sym__bitshift_operator] = ACTIONS(10411),
    [sym__power_operator] = ACTIONS(10411),
    [sym__tilde_operator] = ACTIONS(10411),
    [sym__type_order_operator] = ACTIONS(10411),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9669] = {
    [sym_block_comment] = STATE(9669),
    [sym_line_comment] = STATE(9669),
    [aux_sym_open_tuple_repeat1] = STATE(9675),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(12937),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11260),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11260),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11260),
    [anon_sym_DOLLAR] = ACTIONS(11260),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(12947),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11260),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11260),
    [aux_sym_integer_literal_token2] = ACTIONS(11260),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11260),
    [aux_sym_float_literal_token3] = ACTIONS(11260),
    [aux_sym_float_literal_token4] = ACTIONS(11260),
    [sym_character_literal] = ACTIONS(11260),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11260),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11260),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11260),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9670] = {
    [sym_block_comment] = STATE(9670),
    [sym_line_comment] = STATE(9670),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_COMMA] = ACTIONS(10349),
    [anon_sym_EQ] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10349),
    [anon_sym_COLON] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10349),
    [anon_sym_in] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10349),
    [anon_sym_DOT] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10349),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10349),
    [anon_sym_isa] = ACTIONS(10347),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10349),
    [anon_sym_QMARK] = ACTIONS(10349),
    [anon_sym_where] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10349),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10349),
    [aux_sym_integer_literal_token2] = ACTIONS(10349),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10349),
    [aux_sym_float_literal_token3] = ACTIONS(10349),
    [aux_sym_float_literal_token4] = ACTIONS(10349),
    [sym_character_literal] = ACTIONS(10349),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10349),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10349),
    [sym__pair_operator] = ACTIONS(10349),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__lazy_or_operator] = ACTIONS(10349),
    [sym__lazy_and_operator] = ACTIONS(10349),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10349),
    [sym__pipe_left_operator] = ACTIONS(10349),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10349),
    [sym__bitshift_operator] = ACTIONS(10349),
    [sym__power_operator] = ACTIONS(10349),
    [sym__tilde_operator] = ACTIONS(10349),
    [sym__type_order_operator] = ACTIONS(10349),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9671] = {
    [sym_block_comment] = STATE(9671),
    [sym_line_comment] = STATE(9671),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11104),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_end] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_as] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11104),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11104),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_LBRACE] = ACTIONS(11104),
    [anon_sym_DOLLAR] = ACTIONS(11104),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11104),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11104),
    [anon_sym_QMARK] = ACTIONS(11104),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11104),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11104),
    [aux_sym_integer_literal_token2] = ACTIONS(11104),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11104),
    [aux_sym_float_literal_token3] = ACTIONS(11104),
    [aux_sym_float_literal_token4] = ACTIONS(11104),
    [sym_character_literal] = ACTIONS(11104),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11104),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(11104),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11104),
    [sym__lazy_and_operator] = ACTIONS(11104),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11104),
    [sym__pipe_left_operator] = ACTIONS(11104),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11104),
    [sym__bitshift_operator] = ACTIONS(11104),
    [sym__power_operator] = ACTIONS(11104),
    [sym__tilde_operator] = ACTIONS(11104),
    [sym__type_order_operator] = ACTIONS(11104),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9672] = {
    [sym_block_comment] = STATE(9672),
    [sym_line_comment] = STATE(9672),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_COMMA] = ACTIONS(10391),
    [anon_sym_EQ] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10391),
    [anon_sym_COLON] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10391),
    [anon_sym_in] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10391),
    [anon_sym_DOT] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10391),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10391),
    [anon_sym_isa] = ACTIONS(10389),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10391),
    [anon_sym_QMARK] = ACTIONS(10391),
    [anon_sym_where] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10391),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10391),
    [aux_sym_integer_literal_token2] = ACTIONS(10391),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10391),
    [aux_sym_float_literal_token3] = ACTIONS(10391),
    [aux_sym_float_literal_token4] = ACTIONS(10391),
    [sym_character_literal] = ACTIONS(10391),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10391),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10391),
    [sym__pair_operator] = ACTIONS(10391),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__lazy_or_operator] = ACTIONS(10391),
    [sym__lazy_and_operator] = ACTIONS(10391),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10391),
    [sym__pipe_left_operator] = ACTIONS(10391),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10391),
    [sym__bitshift_operator] = ACTIONS(10391),
    [sym__power_operator] = ACTIONS(10391),
    [sym__tilde_operator] = ACTIONS(10391),
    [sym__type_order_operator] = ACTIONS(10391),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9673] = {
    [sym_block_comment] = STATE(9673),
    [sym_line_comment] = STATE(9673),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_COMMA] = ACTIONS(10325),
    [anon_sym_EQ] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10325),
    [anon_sym_COLON] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10325),
    [anon_sym_in] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10325),
    [anon_sym_DOT] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10325),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10325),
    [anon_sym_isa] = ACTIONS(10323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10325),
    [anon_sym_QMARK] = ACTIONS(10325),
    [anon_sym_where] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10325),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10325),
    [aux_sym_integer_literal_token2] = ACTIONS(10325),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10325),
    [aux_sym_float_literal_token3] = ACTIONS(10325),
    [aux_sym_float_literal_token4] = ACTIONS(10325),
    [sym_character_literal] = ACTIONS(10325),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10325),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10325),
    [sym__pair_operator] = ACTIONS(10325),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__lazy_or_operator] = ACTIONS(10325),
    [sym__lazy_and_operator] = ACTIONS(10325),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10325),
    [sym__pipe_left_operator] = ACTIONS(10325),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10325),
    [sym__bitshift_operator] = ACTIONS(10325),
    [sym__power_operator] = ACTIONS(10325),
    [sym__tilde_operator] = ACTIONS(10325),
    [sym__type_order_operator] = ACTIONS(10325),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9674] = {
    [sym_block_comment] = STATE(9674),
    [sym_line_comment] = STATE(9674),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_COMMA] = ACTIONS(10329),
    [anon_sym_EQ] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10329),
    [anon_sym_COLON] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10329),
    [anon_sym_in] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10329),
    [anon_sym_DOT] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10329),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10329),
    [anon_sym_isa] = ACTIONS(10327),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10329),
    [anon_sym_QMARK] = ACTIONS(10329),
    [anon_sym_where] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10329),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10329),
    [aux_sym_integer_literal_token2] = ACTIONS(10329),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10329),
    [aux_sym_float_literal_token3] = ACTIONS(10329),
    [aux_sym_float_literal_token4] = ACTIONS(10329),
    [sym_character_literal] = ACTIONS(10329),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10329),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10329),
    [sym__pair_operator] = ACTIONS(10329),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__lazy_or_operator] = ACTIONS(10329),
    [sym__lazy_and_operator] = ACTIONS(10329),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10329),
    [sym__pipe_left_operator] = ACTIONS(10329),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10329),
    [sym__bitshift_operator] = ACTIONS(10329),
    [sym__power_operator] = ACTIONS(10329),
    [sym__tilde_operator] = ACTIONS(10329),
    [sym__type_order_operator] = ACTIONS(10329),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9675] = {
    [sym_block_comment] = STATE(9675),
    [sym_line_comment] = STATE(9675),
    [aux_sym_open_tuple_repeat1] = STATE(9679),
    [sym__word_identifier] = ACTIONS(11126),
    [anon_sym_COMMA] = ACTIONS(12937),
    [anon_sym_EQ] = ACTIONS(11126),
    [anon_sym_begin] = ACTIONS(11126),
    [anon_sym_module] = ACTIONS(11126),
    [anon_sym_baremodule] = ACTIONS(11126),
    [anon_sym_end] = ACTIONS(11126),
    [anon_sym_abstract] = ACTIONS(11126),
    [anon_sym_primitive] = ACTIONS(11126),
    [anon_sym_mutable] = ACTIONS(11126),
    [anon_sym_struct] = ACTIONS(11126),
    [anon_sym_function] = ACTIONS(11126),
    [anon_sym_macro] = ACTIONS(11126),
    [anon_sym_quote] = ACTIONS(11126),
    [anon_sym_let] = ACTIONS(11126),
    [anon_sym_if] = ACTIONS(11126),
    [anon_sym_try] = ACTIONS(11126),
    [anon_sym_for] = ACTIONS(11126),
    [anon_sym_while] = ACTIONS(11126),
    [sym_break_statement] = ACTIONS(11126),
    [sym_continue_statement] = ACTIONS(11126),
    [anon_sym_return] = ACTIONS(11126),
    [anon_sym_const] = ACTIONS(11126),
    [anon_sym_global] = ACTIONS(11126),
    [anon_sym_local] = ACTIONS(11126),
    [anon_sym_LPAREN] = ACTIONS(11130),
    [anon_sym_COLON] = ACTIONS(11126),
    [anon_sym_export] = ACTIONS(11126),
    [anon_sym_public] = ACTIONS(11126),
    [anon_sym_import] = ACTIONS(11126),
    [anon_sym_using] = ACTIONS(11126),
    [anon_sym_LBRACK] = ACTIONS(11130),
    [anon_sym_in] = ACTIONS(11126),
    [anon_sym_LBRACE] = ACTIONS(11130),
    [anon_sym_DOLLAR] = ACTIONS(11130),
    [anon_sym_COLON2] = ACTIONS(11126),
    [anon_sym_COLON_COLON] = ACTIONS(11130),
    [anon_sym_isa] = ACTIONS(11126),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11130),
    [anon_sym_QMARK] = ACTIONS(11130),
    [anon_sym_where] = ACTIONS(11126),
    [anon_sym_AT] = ACTIONS(11130),
    [anon_sym_true] = ACTIONS(11126),
    [anon_sym_false] = ACTIONS(11126),
    [aux_sym_integer_literal_token1] = ACTIONS(11130),
    [aux_sym_integer_literal_token2] = ACTIONS(11130),
    [aux_sym_integer_literal_token3] = ACTIONS(11126),
    [aux_sym_integer_literal_token4] = ACTIONS(11126),
    [aux_sym_float_literal_token1] = ACTIONS(11130),
    [aux_sym_float_literal_token3] = ACTIONS(11130),
    [aux_sym_float_literal_token4] = ACTIONS(11130),
    [sym_character_literal] = ACTIONS(11130),
    [anon_sym_DQUOTE] = ACTIONS(11126),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11130),
    [anon_sym_BQUOTE] = ACTIONS(11126),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11130),
    [sym__pair_operator] = ACTIONS(11130),
    [sym__arrow_operator] = ACTIONS(11126),
    [sym__lazy_or_operator] = ACTIONS(11130),
    [sym__lazy_and_operator] = ACTIONS(11130),
    [sym__comparison_operator] = ACTIONS(11126),
    [sym__pipe_right_operator] = ACTIONS(11130),
    [sym__pipe_left_operator] = ACTIONS(11130),
    [sym__ellipsis_operator] = ACTIONS(11126),
    [sym__plus_operator] = ACTIONS(11126),
    [sym__times_operator] = ACTIONS(11126),
    [sym__rational_operator] = ACTIONS(11130),
    [sym__bitshift_operator] = ACTIONS(11130),
    [sym__power_operator] = ACTIONS(11130),
    [sym__tilde_operator] = ACTIONS(11130),
    [sym__type_order_operator] = ACTIONS(11130),
    [sym__unary_operator] = ACTIONS(11126),
    [sym__unary_plus_operator] = ACTIONS(11126),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9676] = {
    [sym_block_comment] = STATE(9676),
    [sym_line_comment] = STATE(9676),
    [aux_sym_export_statement_repeat1] = STATE(9686),
    [sym__word_identifier] = ACTIONS(11278),
    [anon_sym_COMMA] = ACTIONS(12935),
    [anon_sym_EQ] = ACTIONS(11278),
    [anon_sym_begin] = ACTIONS(11278),
    [anon_sym_module] = ACTIONS(11278),
    [anon_sym_baremodule] = ACTIONS(11278),
    [anon_sym_end] = ACTIONS(11278),
    [anon_sym_abstract] = ACTIONS(11278),
    [anon_sym_primitive] = ACTIONS(11278),
    [anon_sym_mutable] = ACTIONS(11278),
    [anon_sym_struct] = ACTIONS(11278),
    [anon_sym_function] = ACTIONS(11278),
    [anon_sym_macro] = ACTIONS(11278),
    [anon_sym_quote] = ACTIONS(11278),
    [anon_sym_let] = ACTIONS(11278),
    [anon_sym_if] = ACTIONS(11278),
    [anon_sym_try] = ACTIONS(11278),
    [anon_sym_for] = ACTIONS(11278),
    [anon_sym_while] = ACTIONS(11278),
    [sym_break_statement] = ACTIONS(11278),
    [sym_continue_statement] = ACTIONS(11278),
    [anon_sym_return] = ACTIONS(11278),
    [anon_sym_const] = ACTIONS(11278),
    [anon_sym_global] = ACTIONS(11278),
    [anon_sym_local] = ACTIONS(11278),
    [anon_sym_LPAREN] = ACTIONS(11282),
    [anon_sym_COLON] = ACTIONS(11278),
    [anon_sym_export] = ACTIONS(11278),
    [anon_sym_public] = ACTIONS(11278),
    [anon_sym_import] = ACTIONS(11278),
    [anon_sym_using] = ACTIONS(11278),
    [anon_sym_LBRACK] = ACTIONS(11282),
    [anon_sym_in] = ACTIONS(11278),
    [anon_sym_LBRACE] = ACTIONS(11282),
    [anon_sym_DOLLAR] = ACTIONS(11282),
    [anon_sym_COLON2] = ACTIONS(11278),
    [anon_sym_COLON_COLON] = ACTIONS(11282),
    [anon_sym_isa] = ACTIONS(11278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11282),
    [anon_sym_QMARK] = ACTIONS(11282),
    [anon_sym_where] = ACTIONS(11278),
    [anon_sym_AT] = ACTIONS(11282),
    [anon_sym_true] = ACTIONS(11278),
    [anon_sym_false] = ACTIONS(11278),
    [aux_sym_integer_literal_token1] = ACTIONS(11282),
    [aux_sym_integer_literal_token2] = ACTIONS(11282),
    [aux_sym_integer_literal_token3] = ACTIONS(11278),
    [aux_sym_integer_literal_token4] = ACTIONS(11278),
    [aux_sym_float_literal_token1] = ACTIONS(11282),
    [aux_sym_float_literal_token3] = ACTIONS(11282),
    [aux_sym_float_literal_token4] = ACTIONS(11282),
    [sym_character_literal] = ACTIONS(11282),
    [anon_sym_DQUOTE] = ACTIONS(11278),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11282),
    [anon_sym_BQUOTE] = ACTIONS(11278),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11282),
    [sym__pair_operator] = ACTIONS(11282),
    [sym__arrow_operator] = ACTIONS(11278),
    [sym__lazy_or_operator] = ACTIONS(11282),
    [sym__lazy_and_operator] = ACTIONS(11282),
    [sym__comparison_operator] = ACTIONS(11278),
    [sym__pipe_right_operator] = ACTIONS(11282),
    [sym__pipe_left_operator] = ACTIONS(11282),
    [sym__ellipsis_operator] = ACTIONS(11278),
    [sym__plus_operator] = ACTIONS(11278),
    [sym__times_operator] = ACTIONS(11278),
    [sym__rational_operator] = ACTIONS(11282),
    [sym__bitshift_operator] = ACTIONS(11282),
    [sym__power_operator] = ACTIONS(11282),
    [sym__tilde_operator] = ACTIONS(11282),
    [sym__type_order_operator] = ACTIONS(11282),
    [sym__unary_operator] = ACTIONS(11278),
    [sym__unary_plus_operator] = ACTIONS(11278),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9677] = {
    [sym_block_comment] = STATE(9677),
    [sym_line_comment] = STATE(9677),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_COMMA] = ACTIONS(10439),
    [anon_sym_EQ] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10439),
    [anon_sym_COLON] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10439),
    [anon_sym_in] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10439),
    [anon_sym_DOT] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10439),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10439),
    [anon_sym_isa] = ACTIONS(10437),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10439),
    [anon_sym_QMARK] = ACTIONS(10439),
    [anon_sym_where] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10439),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10439),
    [aux_sym_integer_literal_token2] = ACTIONS(10439),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10439),
    [aux_sym_float_literal_token3] = ACTIONS(10439),
    [aux_sym_float_literal_token4] = ACTIONS(10439),
    [sym_character_literal] = ACTIONS(10439),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10439),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10439),
    [sym__pair_operator] = ACTIONS(10439),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__lazy_or_operator] = ACTIONS(10439),
    [sym__lazy_and_operator] = ACTIONS(10439),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10439),
    [sym__pipe_left_operator] = ACTIONS(10439),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10439),
    [sym__bitshift_operator] = ACTIONS(10439),
    [sym__power_operator] = ACTIONS(10439),
    [sym__tilde_operator] = ACTIONS(10439),
    [sym__type_order_operator] = ACTIONS(10439),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9678] = {
    [sym_block_comment] = STATE(9678),
    [sym_line_comment] = STATE(9678),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(10509),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9442),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9442),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9442),
    [anon_sym_DOLLAR] = ACTIONS(9442),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9442),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9442),
    [aux_sym_integer_literal_token2] = ACTIONS(9442),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9442),
    [aux_sym_float_literal_token3] = ACTIONS(9442),
    [aux_sym_float_literal_token4] = ACTIONS(9442),
    [sym_character_literal] = ACTIONS(9442),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9442),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(9442),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9679] = {
    [sym_block_comment] = STATE(9679),
    [sym_line_comment] = STATE(9679),
    [aux_sym_open_tuple_repeat1] = STATE(9679),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(13025),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_end] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11139),
    [anon_sym_COLON] = ACTIONS(11134),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11139),
    [anon_sym_in] = ACTIONS(11134),
    [anon_sym_LBRACE] = ACTIONS(11139),
    [anon_sym_DOLLAR] = ACTIONS(11139),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(11139),
    [anon_sym_isa] = ACTIONS(11134),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11139),
    [anon_sym_QMARK] = ACTIONS(11139),
    [anon_sym_where] = ACTIONS(11134),
    [anon_sym_AT] = ACTIONS(11139),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11139),
    [aux_sym_integer_literal_token2] = ACTIONS(11139),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11139),
    [aux_sym_float_literal_token3] = ACTIONS(11139),
    [aux_sym_float_literal_token4] = ACTIONS(11139),
    [sym_character_literal] = ACTIONS(11139),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11139),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11139),
    [sym__pair_operator] = ACTIONS(11139),
    [sym__arrow_operator] = ACTIONS(11134),
    [sym__lazy_or_operator] = ACTIONS(11139),
    [sym__lazy_and_operator] = ACTIONS(11139),
    [sym__comparison_operator] = ACTIONS(11134),
    [sym__pipe_right_operator] = ACTIONS(11139),
    [sym__pipe_left_operator] = ACTIONS(11139),
    [sym__ellipsis_operator] = ACTIONS(11134),
    [sym__plus_operator] = ACTIONS(11134),
    [sym__times_operator] = ACTIONS(11134),
    [sym__rational_operator] = ACTIONS(11139),
    [sym__bitshift_operator] = ACTIONS(11139),
    [sym__power_operator] = ACTIONS(11139),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(11139),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(11134),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9680] = {
    [sym_block_comment] = STATE(9680),
    [sym_line_comment] = STATE(9680),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_COMMA] = ACTIONS(10435),
    [anon_sym_EQ] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10435),
    [anon_sym_COLON] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10435),
    [anon_sym_in] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10435),
    [anon_sym_DOT] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10435),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10435),
    [anon_sym_isa] = ACTIONS(10433),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10435),
    [anon_sym_QMARK] = ACTIONS(10435),
    [anon_sym_where] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10435),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10435),
    [aux_sym_integer_literal_token2] = ACTIONS(10435),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10435),
    [aux_sym_float_literal_token3] = ACTIONS(10435),
    [aux_sym_float_literal_token4] = ACTIONS(10435),
    [sym_character_literal] = ACTIONS(10435),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10435),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10435),
    [sym__pair_operator] = ACTIONS(10435),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__lazy_or_operator] = ACTIONS(10435),
    [sym__lazy_and_operator] = ACTIONS(10435),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10435),
    [sym__pipe_left_operator] = ACTIONS(10435),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10435),
    [sym__bitshift_operator] = ACTIONS(10435),
    [sym__power_operator] = ACTIONS(10435),
    [sym__tilde_operator] = ACTIONS(10435),
    [sym__type_order_operator] = ACTIONS(10435),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9681] = {
    [sym_block_comment] = STATE(9681),
    [sym_line_comment] = STATE(9681),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11220),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11220),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11220),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11220),
    [anon_sym_DOLLAR] = ACTIONS(11220),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(12947),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11220),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11220),
    [aux_sym_integer_literal_token2] = ACTIONS(11220),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11220),
    [aux_sym_float_literal_token3] = ACTIONS(11220),
    [aux_sym_float_literal_token4] = ACTIONS(11220),
    [sym_character_literal] = ACTIONS(11220),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11220),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11220),
    [sym__pair_operator] = ACTIONS(11220),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11220),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9682] = {
    [sym_block_comment] = STATE(9682),
    [sym_line_comment] = STATE(9682),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_COMMA] = ACTIONS(10377),
    [anon_sym_EQ] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10377),
    [anon_sym_COLON] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10377),
    [anon_sym_in] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10377),
    [anon_sym_DOT] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10377),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10377),
    [anon_sym_isa] = ACTIONS(10375),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10377),
    [anon_sym_QMARK] = ACTIONS(10377),
    [anon_sym_where] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10377),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10377),
    [aux_sym_integer_literal_token2] = ACTIONS(10377),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10377),
    [aux_sym_float_literal_token3] = ACTIONS(10377),
    [aux_sym_float_literal_token4] = ACTIONS(10377),
    [sym_character_literal] = ACTIONS(10377),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10377),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10377),
    [sym__pair_operator] = ACTIONS(10377),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__lazy_or_operator] = ACTIONS(10377),
    [sym__lazy_and_operator] = ACTIONS(10377),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10377),
    [sym__pipe_left_operator] = ACTIONS(10377),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10377),
    [sym__bitshift_operator] = ACTIONS(10377),
    [sym__power_operator] = ACTIONS(10377),
    [sym__tilde_operator] = ACTIONS(10377),
    [sym__type_order_operator] = ACTIONS(10377),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9683] = {
    [sym_block_comment] = STATE(9683),
    [sym_line_comment] = STATE(9683),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_COMMA] = ACTIONS(10381),
    [anon_sym_EQ] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10381),
    [anon_sym_COLON] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10381),
    [anon_sym_in] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10381),
    [anon_sym_DOT] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10381),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10381),
    [anon_sym_isa] = ACTIONS(10379),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10381),
    [anon_sym_QMARK] = ACTIONS(10381),
    [anon_sym_where] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10381),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10381),
    [aux_sym_integer_literal_token2] = ACTIONS(10381),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10381),
    [aux_sym_float_literal_token3] = ACTIONS(10381),
    [aux_sym_float_literal_token4] = ACTIONS(10381),
    [sym_character_literal] = ACTIONS(10381),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10381),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10381),
    [sym__pair_operator] = ACTIONS(10381),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__lazy_or_operator] = ACTIONS(10381),
    [sym__lazy_and_operator] = ACTIONS(10381),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10381),
    [sym__pipe_left_operator] = ACTIONS(10381),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10381),
    [sym__bitshift_operator] = ACTIONS(10381),
    [sym__power_operator] = ACTIONS(10381),
    [sym__tilde_operator] = ACTIONS(10381),
    [sym__type_order_operator] = ACTIONS(10381),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9684] = {
    [sym_block_comment] = STATE(9684),
    [sym_line_comment] = STATE(9684),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_DASH_GT] = ACTIONS(10487),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9685] = {
    [sym_block_comment] = STATE(9685),
    [sym_line_comment] = STATE(9685),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10623),
  },
  [9686] = {
    [sym_block_comment] = STATE(9686),
    [sym_line_comment] = STATE(9686),
    [aux_sym_export_statement_repeat1] = STATE(9638),
    [sym__word_identifier] = ACTIONS(11286),
    [anon_sym_COMMA] = ACTIONS(12935),
    [anon_sym_EQ] = ACTIONS(11286),
    [anon_sym_begin] = ACTIONS(11286),
    [anon_sym_module] = ACTIONS(11286),
    [anon_sym_baremodule] = ACTIONS(11286),
    [anon_sym_end] = ACTIONS(11286),
    [anon_sym_abstract] = ACTIONS(11286),
    [anon_sym_primitive] = ACTIONS(11286),
    [anon_sym_mutable] = ACTIONS(11286),
    [anon_sym_struct] = ACTIONS(11286),
    [anon_sym_function] = ACTIONS(11286),
    [anon_sym_macro] = ACTIONS(11286),
    [anon_sym_quote] = ACTIONS(11286),
    [anon_sym_let] = ACTIONS(11286),
    [anon_sym_if] = ACTIONS(11286),
    [anon_sym_try] = ACTIONS(11286),
    [anon_sym_for] = ACTIONS(11286),
    [anon_sym_while] = ACTIONS(11286),
    [sym_break_statement] = ACTIONS(11286),
    [sym_continue_statement] = ACTIONS(11286),
    [anon_sym_return] = ACTIONS(11286),
    [anon_sym_const] = ACTIONS(11286),
    [anon_sym_global] = ACTIONS(11286),
    [anon_sym_local] = ACTIONS(11286),
    [anon_sym_LPAREN] = ACTIONS(11288),
    [anon_sym_COLON] = ACTIONS(11286),
    [anon_sym_export] = ACTIONS(11286),
    [anon_sym_public] = ACTIONS(11286),
    [anon_sym_import] = ACTIONS(11286),
    [anon_sym_using] = ACTIONS(11286),
    [anon_sym_LBRACK] = ACTIONS(11288),
    [anon_sym_in] = ACTIONS(11286),
    [anon_sym_LBRACE] = ACTIONS(11288),
    [anon_sym_DOLLAR] = ACTIONS(11288),
    [anon_sym_COLON2] = ACTIONS(11286),
    [anon_sym_COLON_COLON] = ACTIONS(11288),
    [anon_sym_isa] = ACTIONS(11286),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11288),
    [anon_sym_QMARK] = ACTIONS(11288),
    [anon_sym_where] = ACTIONS(11286),
    [anon_sym_AT] = ACTIONS(11288),
    [anon_sym_true] = ACTIONS(11286),
    [anon_sym_false] = ACTIONS(11286),
    [aux_sym_integer_literal_token1] = ACTIONS(11288),
    [aux_sym_integer_literal_token2] = ACTIONS(11288),
    [aux_sym_integer_literal_token3] = ACTIONS(11286),
    [aux_sym_integer_literal_token4] = ACTIONS(11286),
    [aux_sym_float_literal_token1] = ACTIONS(11288),
    [aux_sym_float_literal_token3] = ACTIONS(11288),
    [aux_sym_float_literal_token4] = ACTIONS(11288),
    [sym_character_literal] = ACTIONS(11288),
    [anon_sym_DQUOTE] = ACTIONS(11286),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11288),
    [anon_sym_BQUOTE] = ACTIONS(11286),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11288),
    [sym__pair_operator] = ACTIONS(11288),
    [sym__arrow_operator] = ACTIONS(11286),
    [sym__lazy_or_operator] = ACTIONS(11288),
    [sym__lazy_and_operator] = ACTIONS(11288),
    [sym__comparison_operator] = ACTIONS(11286),
    [sym__pipe_right_operator] = ACTIONS(11288),
    [sym__pipe_left_operator] = ACTIONS(11288),
    [sym__ellipsis_operator] = ACTIONS(11286),
    [sym__plus_operator] = ACTIONS(11286),
    [sym__times_operator] = ACTIONS(11286),
    [sym__rational_operator] = ACTIONS(11288),
    [sym__bitshift_operator] = ACTIONS(11288),
    [sym__power_operator] = ACTIONS(11288),
    [sym__tilde_operator] = ACTIONS(11288),
    [sym__type_order_operator] = ACTIONS(11288),
    [sym__unary_operator] = ACTIONS(11286),
    [sym__unary_plus_operator] = ACTIONS(11286),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9687] = {
    [sym_block_comment] = STATE(9687),
    [sym_line_comment] = STATE(9687),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_COMMA] = ACTIONS(10373),
    [anon_sym_EQ] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10373),
    [anon_sym_COLON] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10373),
    [anon_sym_in] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10373),
    [anon_sym_DOT] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10373),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10373),
    [anon_sym_isa] = ACTIONS(10371),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10373),
    [anon_sym_QMARK] = ACTIONS(10373),
    [anon_sym_where] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10373),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10373),
    [aux_sym_integer_literal_token2] = ACTIONS(10373),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10373),
    [aux_sym_float_literal_token3] = ACTIONS(10373),
    [aux_sym_float_literal_token4] = ACTIONS(10373),
    [sym_character_literal] = ACTIONS(10373),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10373),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10373),
    [sym__pair_operator] = ACTIONS(10373),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__lazy_or_operator] = ACTIONS(10373),
    [sym__lazy_and_operator] = ACTIONS(10373),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10373),
    [sym__pipe_left_operator] = ACTIONS(10373),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10373),
    [sym__bitshift_operator] = ACTIONS(10373),
    [sym__power_operator] = ACTIONS(10373),
    [sym__tilde_operator] = ACTIONS(10373),
    [sym__type_order_operator] = ACTIONS(10373),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9688] = {
    [sym_block_comment] = STATE(9688),
    [sym_line_comment] = STATE(9688),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_EQ] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_end] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(12907),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(12925),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(12987),
    [anon_sym_where] = ACTIONS(12927),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(12989),
    [sym__arrow_operator] = ACTIONS(12929),
    [sym__lazy_or_operator] = ACTIONS(12931),
    [sym__lazy_and_operator] = ACTIONS(12933),
    [sym__comparison_operator] = ACTIONS(12925),
    [sym__pipe_right_operator] = ACTIONS(12909),
    [sym__pipe_left_operator] = ACTIONS(12911),
    [sym__ellipsis_operator] = ACTIONS(12913),
    [sym__plus_operator] = ACTIONS(12915),
    [sym__times_operator] = ACTIONS(12917),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(12925),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12915),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9689] = {
    [sym_block_comment] = STATE(9689),
    [sym_line_comment] = STATE(9689),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_COMMA] = ACTIONS(10099),
    [anon_sym_EQ] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10099),
    [anon_sym_COLON] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10099),
    [anon_sym_in] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10099),
    [anon_sym_DOT] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10099),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10099),
    [anon_sym_isa] = ACTIONS(10097),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10099),
    [anon_sym_QMARK] = ACTIONS(10099),
    [anon_sym_where] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10099),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10099),
    [aux_sym_integer_literal_token2] = ACTIONS(10099),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10099),
    [aux_sym_float_literal_token3] = ACTIONS(10099),
    [aux_sym_float_literal_token4] = ACTIONS(10099),
    [sym_character_literal] = ACTIONS(10099),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10099),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10099),
    [sym__pair_operator] = ACTIONS(10099),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__lazy_or_operator] = ACTIONS(10099),
    [sym__lazy_and_operator] = ACTIONS(10099),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10099),
    [sym__pipe_left_operator] = ACTIONS(10099),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10099),
    [sym__bitshift_operator] = ACTIONS(10099),
    [sym__power_operator] = ACTIONS(10099),
    [sym__tilde_operator] = ACTIONS(10099),
    [sym__type_order_operator] = ACTIONS(10099),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9690] = {
    [sym_block_comment] = STATE(9690),
    [sym_line_comment] = STATE(9690),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_COMMA] = ACTIONS(10091),
    [anon_sym_EQ] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10091),
    [anon_sym_COLON] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10091),
    [anon_sym_in] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10091),
    [anon_sym_DOT] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10091),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10091),
    [anon_sym_isa] = ACTIONS(10089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10091),
    [anon_sym_QMARK] = ACTIONS(10091),
    [anon_sym_where] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10091),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10091),
    [aux_sym_integer_literal_token2] = ACTIONS(10091),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10091),
    [aux_sym_float_literal_token3] = ACTIONS(10091),
    [aux_sym_float_literal_token4] = ACTIONS(10091),
    [sym_character_literal] = ACTIONS(10091),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10091),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10091),
    [sym__pair_operator] = ACTIONS(10091),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__lazy_or_operator] = ACTIONS(10091),
    [sym__lazy_and_operator] = ACTIONS(10091),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10091),
    [sym__pipe_left_operator] = ACTIONS(10091),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10091),
    [sym__bitshift_operator] = ACTIONS(10091),
    [sym__power_operator] = ACTIONS(10091),
    [sym__tilde_operator] = ACTIONS(10091),
    [sym__type_order_operator] = ACTIONS(10091),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9691] = {
    [sym_block_comment] = STATE(9691),
    [sym_line_comment] = STATE(9691),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_EQ] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(12991),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_RBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(12999),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(13012),
    [anon_sym_where] = ACTIONS(13001),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(13014),
    [sym__arrow_operator] = ACTIONS(13003),
    [sym__lazy_or_operator] = ACTIONS(13005),
    [sym__lazy_and_operator] = ACTIONS(13007),
    [sym__comparison_operator] = ACTIONS(12999),
    [sym__pipe_right_operator] = ACTIONS(12993),
    [sym__pipe_left_operator] = ACTIONS(12995),
    [sym__ellipsis_operator] = ACTIONS(12997),
    [sym__plus_operator] = ACTIONS(12977),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(12999),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12977),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9692] = {
    [sym_block_comment] = STATE(9692),
    [sym_line_comment] = STATE(9692),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(10629),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10623),
  },
  [9693] = {
    [sym_block_comment] = STATE(9693),
    [sym_line_comment] = STATE(9693),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_COMMA] = ACTIONS(10313),
    [anon_sym_EQ] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10313),
    [anon_sym_COLON] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10313),
    [anon_sym_in] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10313),
    [anon_sym_DOT] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10313),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10313),
    [anon_sym_isa] = ACTIONS(10311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10313),
    [anon_sym_QMARK] = ACTIONS(10313),
    [anon_sym_where] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10313),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10313),
    [aux_sym_integer_literal_token2] = ACTIONS(10313),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10313),
    [aux_sym_float_literal_token3] = ACTIONS(10313),
    [aux_sym_float_literal_token4] = ACTIONS(10313),
    [sym_character_literal] = ACTIONS(10313),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10313),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10313),
    [sym__pair_operator] = ACTIONS(10313),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__lazy_or_operator] = ACTIONS(10313),
    [sym__lazy_and_operator] = ACTIONS(10313),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10313),
    [sym__pipe_left_operator] = ACTIONS(10313),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10313),
    [sym__bitshift_operator] = ACTIONS(10313),
    [sym__power_operator] = ACTIONS(10313),
    [sym__tilde_operator] = ACTIONS(10313),
    [sym__type_order_operator] = ACTIONS(10313),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9694] = {
    [sym_block_comment] = STATE(9694),
    [sym_line_comment] = STATE(9694),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12875),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12889),
    [sym__pipe_left_operator] = ACTIONS(12891),
    [sym__ellipsis_operator] = ACTIONS(12893),
    [sym__plus_operator] = ACTIONS(12895),
    [sym__times_operator] = ACTIONS(12897),
    [sym__rational_operator] = ACTIONS(12899),
    [sym__bitshift_operator] = ACTIONS(12901),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12895),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9695] = {
    [sym_block_comment] = STATE(9695),
    [sym_line_comment] = STATE(9695),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_COMMA] = ACTIONS(10353),
    [anon_sym_EQ] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10353),
    [anon_sym_COLON] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10353),
    [anon_sym_in] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10353),
    [anon_sym_DOT] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10353),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10353),
    [anon_sym_isa] = ACTIONS(10351),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10353),
    [anon_sym_QMARK] = ACTIONS(10353),
    [anon_sym_where] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10353),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10353),
    [aux_sym_integer_literal_token2] = ACTIONS(10353),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10353),
    [aux_sym_float_literal_token3] = ACTIONS(10353),
    [aux_sym_float_literal_token4] = ACTIONS(10353),
    [sym_character_literal] = ACTIONS(10353),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10353),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10353),
    [sym__pair_operator] = ACTIONS(10353),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__lazy_or_operator] = ACTIONS(10353),
    [sym__lazy_and_operator] = ACTIONS(10353),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10353),
    [sym__pipe_left_operator] = ACTIONS(10353),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10353),
    [sym__bitshift_operator] = ACTIONS(10353),
    [sym__power_operator] = ACTIONS(10353),
    [sym__tilde_operator] = ACTIONS(10353),
    [sym__type_order_operator] = ACTIONS(10353),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9696] = {
    [sym_block_comment] = STATE(9696),
    [sym_line_comment] = STATE(9696),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12875),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12877),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12879),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(12883),
    [sym__lazy_or_operator] = ACTIONS(12885),
    [sym__lazy_and_operator] = ACTIONS(12887),
    [sym__comparison_operator] = ACTIONS(12877),
    [sym__pipe_right_operator] = ACTIONS(12889),
    [sym__pipe_left_operator] = ACTIONS(12891),
    [sym__ellipsis_operator] = ACTIONS(12893),
    [sym__plus_operator] = ACTIONS(12895),
    [sym__times_operator] = ACTIONS(12897),
    [sym__rational_operator] = ACTIONS(12899),
    [sym__bitshift_operator] = ACTIONS(12901),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12877),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12895),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9697] = {
    [sym_block_comment] = STATE(9697),
    [sym_line_comment] = STATE(9697),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12875),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12877),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12879),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(12887),
    [sym__comparison_operator] = ACTIONS(12877),
    [sym__pipe_right_operator] = ACTIONS(12889),
    [sym__pipe_left_operator] = ACTIONS(12891),
    [sym__ellipsis_operator] = ACTIONS(12893),
    [sym__plus_operator] = ACTIONS(12895),
    [sym__times_operator] = ACTIONS(12897),
    [sym__rational_operator] = ACTIONS(12899),
    [sym__bitshift_operator] = ACTIONS(12901),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12877),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12895),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9698] = {
    [sym_block_comment] = STATE(9698),
    [sym_line_comment] = STATE(9698),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12875),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(12877),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(12879),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(12877),
    [sym__pipe_right_operator] = ACTIONS(12889),
    [sym__pipe_left_operator] = ACTIONS(12891),
    [sym__ellipsis_operator] = ACTIONS(12893),
    [sym__plus_operator] = ACTIONS(12895),
    [sym__times_operator] = ACTIONS(12897),
    [sym__rational_operator] = ACTIONS(12899),
    [sym__bitshift_operator] = ACTIONS(12901),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(12877),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12895),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9699] = {
    [sym_block_comment] = STATE(9699),
    [sym_line_comment] = STATE(9699),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12875),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(12893),
    [sym__plus_operator] = ACTIONS(12895),
    [sym__times_operator] = ACTIONS(12897),
    [sym__rational_operator] = ACTIONS(12899),
    [sym__bitshift_operator] = ACTIONS(12901),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12895),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9700] = {
    [sym_block_comment] = STATE(9700),
    [sym_line_comment] = STATE(9700),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(12875),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12889),
    [sym__pipe_left_operator] = ACTIONS(12891),
    [sym__ellipsis_operator] = ACTIONS(12893),
    [sym__plus_operator] = ACTIONS(12895),
    [sym__times_operator] = ACTIONS(12897),
    [sym__rational_operator] = ACTIONS(12899),
    [sym__bitshift_operator] = ACTIONS(12901),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12895),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9701] = {
    [sym_block_comment] = STATE(9701),
    [sym_line_comment] = STATE(9701),
    [aux_sym_export_statement_repeat1] = STATE(9638),
    [sym__word_identifier] = ACTIONS(11290),
    [anon_sym_COMMA] = ACTIONS(12935),
    [anon_sym_EQ] = ACTIONS(11290),
    [anon_sym_begin] = ACTIONS(11290),
    [anon_sym_module] = ACTIONS(11290),
    [anon_sym_baremodule] = ACTIONS(11290),
    [anon_sym_end] = ACTIONS(11290),
    [anon_sym_abstract] = ACTIONS(11290),
    [anon_sym_primitive] = ACTIONS(11290),
    [anon_sym_mutable] = ACTIONS(11290),
    [anon_sym_struct] = ACTIONS(11290),
    [anon_sym_function] = ACTIONS(11290),
    [anon_sym_macro] = ACTIONS(11290),
    [anon_sym_quote] = ACTIONS(11290),
    [anon_sym_let] = ACTIONS(11290),
    [anon_sym_if] = ACTIONS(11290),
    [anon_sym_try] = ACTIONS(11290),
    [anon_sym_for] = ACTIONS(11290),
    [anon_sym_while] = ACTIONS(11290),
    [sym_break_statement] = ACTIONS(11290),
    [sym_continue_statement] = ACTIONS(11290),
    [anon_sym_return] = ACTIONS(11290),
    [anon_sym_const] = ACTIONS(11290),
    [anon_sym_global] = ACTIONS(11290),
    [anon_sym_local] = ACTIONS(11290),
    [anon_sym_LPAREN] = ACTIONS(11292),
    [anon_sym_COLON] = ACTIONS(11290),
    [anon_sym_export] = ACTIONS(11290),
    [anon_sym_public] = ACTIONS(11290),
    [anon_sym_import] = ACTIONS(11290),
    [anon_sym_using] = ACTIONS(11290),
    [anon_sym_LBRACK] = ACTIONS(11292),
    [anon_sym_in] = ACTIONS(11290),
    [anon_sym_LBRACE] = ACTIONS(11292),
    [anon_sym_DOLLAR] = ACTIONS(11292),
    [anon_sym_COLON2] = ACTIONS(11290),
    [anon_sym_COLON_COLON] = ACTIONS(11292),
    [anon_sym_isa] = ACTIONS(11290),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11292),
    [anon_sym_QMARK] = ACTIONS(11292),
    [anon_sym_where] = ACTIONS(11290),
    [anon_sym_AT] = ACTIONS(11292),
    [anon_sym_true] = ACTIONS(11290),
    [anon_sym_false] = ACTIONS(11290),
    [aux_sym_integer_literal_token1] = ACTIONS(11292),
    [aux_sym_integer_literal_token2] = ACTIONS(11292),
    [aux_sym_integer_literal_token3] = ACTIONS(11290),
    [aux_sym_integer_literal_token4] = ACTIONS(11290),
    [aux_sym_float_literal_token1] = ACTIONS(11292),
    [aux_sym_float_literal_token3] = ACTIONS(11292),
    [aux_sym_float_literal_token4] = ACTIONS(11292),
    [sym_character_literal] = ACTIONS(11292),
    [anon_sym_DQUOTE] = ACTIONS(11290),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11292),
    [anon_sym_BQUOTE] = ACTIONS(11290),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11292),
    [sym__pair_operator] = ACTIONS(11292),
    [sym__arrow_operator] = ACTIONS(11290),
    [sym__lazy_or_operator] = ACTIONS(11292),
    [sym__lazy_and_operator] = ACTIONS(11292),
    [sym__comparison_operator] = ACTIONS(11290),
    [sym__pipe_right_operator] = ACTIONS(11292),
    [sym__pipe_left_operator] = ACTIONS(11292),
    [sym__ellipsis_operator] = ACTIONS(11290),
    [sym__plus_operator] = ACTIONS(11290),
    [sym__times_operator] = ACTIONS(11290),
    [sym__rational_operator] = ACTIONS(11292),
    [sym__bitshift_operator] = ACTIONS(11292),
    [sym__power_operator] = ACTIONS(11292),
    [sym__tilde_operator] = ACTIONS(11292),
    [sym__type_order_operator] = ACTIONS(11292),
    [sym__unary_operator] = ACTIONS(11290),
    [sym__unary_plus_operator] = ACTIONS(11290),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9702] = {
    [sym_block_comment] = STATE(9702),
    [sym_line_comment] = STATE(9702),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12895),
    [sym__times_operator] = ACTIONS(12897),
    [sym__rational_operator] = ACTIONS(12899),
    [sym__bitshift_operator] = ACTIONS(12901),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12895),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9703] = {
    [sym_block_comment] = STATE(9703),
    [sym_line_comment] = STATE(9703),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12897),
    [sym__rational_operator] = ACTIONS(12899),
    [sym__bitshift_operator] = ACTIONS(12901),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9704] = {
    [sym_block_comment] = STATE(9704),
    [sym_line_comment] = STATE(9704),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_DASH_GT] = ACTIONS(10487),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9705] = {
    [sym_block_comment] = STATE(9705),
    [sym_line_comment] = STATE(9705),
    [aux_sym__import_list_repeat1] = STATE(9633),
    [sym__word_identifier] = ACTIONS(11066),
    [anon_sym_COMMA] = ACTIONS(12769),
    [anon_sym_EQ] = ACTIONS(11066),
    [anon_sym_begin] = ACTIONS(11066),
    [anon_sym_module] = ACTIONS(11066),
    [anon_sym_baremodule] = ACTIONS(11066),
    [anon_sym_end] = ACTIONS(11066),
    [anon_sym_abstract] = ACTIONS(11066),
    [anon_sym_primitive] = ACTIONS(11066),
    [anon_sym_mutable] = ACTIONS(11066),
    [anon_sym_struct] = ACTIONS(11066),
    [anon_sym_function] = ACTIONS(11066),
    [anon_sym_macro] = ACTIONS(11066),
    [anon_sym_quote] = ACTIONS(11066),
    [anon_sym_let] = ACTIONS(11066),
    [anon_sym_if] = ACTIONS(11066),
    [anon_sym_try] = ACTIONS(11066),
    [anon_sym_for] = ACTIONS(11066),
    [anon_sym_while] = ACTIONS(11066),
    [sym_break_statement] = ACTIONS(11066),
    [sym_continue_statement] = ACTIONS(11066),
    [anon_sym_return] = ACTIONS(11066),
    [anon_sym_const] = ACTIONS(11066),
    [anon_sym_global] = ACTIONS(11066),
    [anon_sym_local] = ACTIONS(11066),
    [anon_sym_LPAREN] = ACTIONS(11068),
    [anon_sym_COLON] = ACTIONS(11066),
    [anon_sym_export] = ACTIONS(11066),
    [anon_sym_public] = ACTIONS(11066),
    [anon_sym_import] = ACTIONS(11066),
    [anon_sym_using] = ACTIONS(11066),
    [anon_sym_LBRACK] = ACTIONS(11068),
    [anon_sym_in] = ACTIONS(11066),
    [anon_sym_LBRACE] = ACTIONS(11068),
    [anon_sym_DOLLAR] = ACTIONS(11068),
    [anon_sym_COLON2] = ACTIONS(11066),
    [anon_sym_COLON_COLON] = ACTIONS(11068),
    [anon_sym_isa] = ACTIONS(11066),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11068),
    [anon_sym_QMARK] = ACTIONS(11068),
    [anon_sym_where] = ACTIONS(11066),
    [anon_sym_AT] = ACTIONS(11068),
    [anon_sym_true] = ACTIONS(11066),
    [anon_sym_false] = ACTIONS(11066),
    [aux_sym_integer_literal_token1] = ACTIONS(11068),
    [aux_sym_integer_literal_token2] = ACTIONS(11068),
    [aux_sym_integer_literal_token3] = ACTIONS(11066),
    [aux_sym_integer_literal_token4] = ACTIONS(11066),
    [aux_sym_float_literal_token1] = ACTIONS(11068),
    [aux_sym_float_literal_token3] = ACTIONS(11068),
    [aux_sym_float_literal_token4] = ACTIONS(11068),
    [sym_character_literal] = ACTIONS(11068),
    [anon_sym_DQUOTE] = ACTIONS(11066),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11068),
    [anon_sym_BQUOTE] = ACTIONS(11066),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11068),
    [sym__pair_operator] = ACTIONS(11068),
    [sym__arrow_operator] = ACTIONS(11066),
    [sym__lazy_or_operator] = ACTIONS(11068),
    [sym__lazy_and_operator] = ACTIONS(11068),
    [sym__comparison_operator] = ACTIONS(11066),
    [sym__pipe_right_operator] = ACTIONS(11068),
    [sym__pipe_left_operator] = ACTIONS(11068),
    [sym__ellipsis_operator] = ACTIONS(11066),
    [sym__plus_operator] = ACTIONS(11066),
    [sym__times_operator] = ACTIONS(11066),
    [sym__rational_operator] = ACTIONS(11068),
    [sym__bitshift_operator] = ACTIONS(11068),
    [sym__power_operator] = ACTIONS(11068),
    [sym__tilde_operator] = ACTIONS(11068),
    [sym__type_order_operator] = ACTIONS(11068),
    [sym__unary_operator] = ACTIONS(11066),
    [sym__unary_plus_operator] = ACTIONS(11066),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9706] = {
    [sym_block_comment] = STATE(9706),
    [sym_line_comment] = STATE(9706),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12899),
    [sym__bitshift_operator] = ACTIONS(12901),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9707] = {
    [sym_block_comment] = STATE(9707),
    [sym_line_comment] = STATE(9707),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_COMMA] = ACTIONS(10019),
    [anon_sym_EQ] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10019),
    [anon_sym_COLON] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10019),
    [anon_sym_in] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10019),
    [anon_sym_DOT] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10019),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10019),
    [anon_sym_isa] = ACTIONS(10015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10019),
    [anon_sym_QMARK] = ACTIONS(10019),
    [anon_sym_where] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10019),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10019),
    [aux_sym_integer_literal_token2] = ACTIONS(10019),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10019),
    [aux_sym_float_literal_token3] = ACTIONS(10019),
    [aux_sym_float_literal_token4] = ACTIONS(10019),
    [sym_character_literal] = ACTIONS(10019),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10019),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10019),
    [sym__pair_operator] = ACTIONS(10019),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__lazy_or_operator] = ACTIONS(10019),
    [sym__lazy_and_operator] = ACTIONS(10019),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10019),
    [sym__pipe_left_operator] = ACTIONS(10019),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10019),
    [sym__bitshift_operator] = ACTIONS(10019),
    [sym__power_operator] = ACTIONS(10019),
    [sym__tilde_operator] = ACTIONS(10019),
    [sym__type_order_operator] = ACTIONS(10019),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9708] = {
    [sym_block_comment] = STATE(9708),
    [sym_line_comment] = STATE(9708),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(12901),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9709] = {
    [sym_block_comment] = STATE(9709),
    [sym_line_comment] = STATE(9709),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(10629),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_DASH_GT] = ACTIONS(10467),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9710] = {
    [sym_block_comment] = STATE(9710),
    [sym_line_comment] = STATE(9710),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9711] = {
    [sym_block_comment] = STATE(9711),
    [sym_line_comment] = STATE(9711),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9712] = {
    [sym_block_comment] = STATE(9712),
    [sym_line_comment] = STATE(9712),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_COMMA] = ACTIONS(10129),
    [anon_sym_EQ] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10129),
    [anon_sym_COLON] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10129),
    [anon_sym_in] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10129),
    [anon_sym_DOT] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10129),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10129),
    [anon_sym_isa] = ACTIONS(10127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10129),
    [anon_sym_QMARK] = ACTIONS(10129),
    [anon_sym_where] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10129),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10129),
    [aux_sym_integer_literal_token2] = ACTIONS(10129),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10129),
    [aux_sym_float_literal_token3] = ACTIONS(10129),
    [aux_sym_float_literal_token4] = ACTIONS(10129),
    [sym_character_literal] = ACTIONS(10129),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10129),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10129),
    [sym__pair_operator] = ACTIONS(10129),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__lazy_or_operator] = ACTIONS(10129),
    [sym__lazy_and_operator] = ACTIONS(10129),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10129),
    [sym__pipe_left_operator] = ACTIONS(10129),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10129),
    [sym__bitshift_operator] = ACTIONS(10129),
    [sym__power_operator] = ACTIONS(10129),
    [sym__tilde_operator] = ACTIONS(10129),
    [sym__type_order_operator] = ACTIONS(10129),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9713] = {
    [sym__primary_expression] = STATE(11975),
    [sym__array] = STATE(11240),
    [sym_comprehension_expression] = STATE(11258),
    [sym_matrix_expression] = STATE(11258),
    [sym_vector_expression] = STATE(11258),
    [sym_parenthesized_expression] = STATE(11240),
    [sym_tuple_expression] = STATE(11240),
    [sym_curly_expression] = STATE(11240),
    [sym_adjoint_expression] = STATE(11240),
    [sym_field_expression] = STATE(11240),
    [sym_index_expression] = STATE(11240),
    [sym_parametrized_type_expression] = STATE(11240),
    [sym_call_expression] = STATE(11240),
    [sym_broadcast_call_expression] = STATE(11240),
    [sym__closed_macrocall_expression] = STATE(11240),
    [sym_interpolation_expression] = STATE(11240),
    [sym_quote_expression] = STATE(11240),
    [sym_macro_identifier] = STATE(18196),
    [sym_identifier] = STATE(11697),
    [sym_boolean_literal] = STATE(11240),
    [sym__string] = STATE(11240),
    [sym__delimiter_str_1] = STATE(15154),
    [sym__delimiter_str_3] = STATE(15155),
    [sym__delimiter_cmd_1] = STATE(15156),
    [sym__delimiter_cmd_3] = STATE(15157),
    [sym_string_literal] = STATE(11212),
    [sym_command_literal] = STATE(11212),
    [sym_prefixed_string_literal] = STATE(11212),
    [sym_prefixed_command_literal] = STATE(11212),
    [sym_operator] = STATE(19880),
    [sym_block_comment] = STATE(9713),
    [sym_line_comment] = STATE(9713),
    [sym__word_identifier] = ACTIONS(10527),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_finally] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(10529),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(10531),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(10533),
    [anon_sym_DOLLAR] = ACTIONS(10704),
    [anon_sym_COLON2] = ACTIONS(10706),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(10539),
    [anon_sym_true] = ACTIONS(10541),
    [anon_sym_false] = ACTIONS(10541),
    [sym_character_literal] = ACTIONS(10543),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(9480),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9480),
    [sym__pipe_left_operator] = ACTIONS(9480),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9480),
    [sym__bitshift_operator] = ACTIONS(9480),
    [sym__power_operator] = ACTIONS(9480),
    [sym__tilde_operator] = ACTIONS(1689),
    [sym__type_order_operator] = ACTIONS(9480),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9714] = {
    [sym_block_comment] = STATE(9714),
    [sym_line_comment] = STATE(9714),
    [sym__word_identifier] = ACTIONS(10193),
    [anon_sym_COMMA] = ACTIONS(10195),
    [anon_sym_EQ] = ACTIONS(10193),
    [anon_sym_begin] = ACTIONS(10193),
    [anon_sym_module] = ACTIONS(10193),
    [anon_sym_baremodule] = ACTIONS(10193),
    [anon_sym_end] = ACTIONS(10193),
    [anon_sym_abstract] = ACTIONS(10193),
    [anon_sym_primitive] = ACTIONS(10193),
    [anon_sym_mutable] = ACTIONS(10193),
    [anon_sym_struct] = ACTIONS(10193),
    [anon_sym_function] = ACTIONS(10193),
    [anon_sym_macro] = ACTIONS(10193),
    [anon_sym_quote] = ACTIONS(10193),
    [anon_sym_let] = ACTIONS(10193),
    [anon_sym_if] = ACTIONS(10193),
    [anon_sym_try] = ACTIONS(10193),
    [anon_sym_for] = ACTIONS(10193),
    [anon_sym_while] = ACTIONS(10193),
    [sym_break_statement] = ACTIONS(10193),
    [sym_continue_statement] = ACTIONS(10193),
    [anon_sym_return] = ACTIONS(10193),
    [anon_sym_const] = ACTIONS(10193),
    [anon_sym_global] = ACTIONS(10193),
    [anon_sym_local] = ACTIONS(10193),
    [anon_sym_LPAREN] = ACTIONS(10195),
    [anon_sym_COLON] = ACTIONS(10193),
    [anon_sym_export] = ACTIONS(10193),
    [anon_sym_public] = ACTIONS(10193),
    [anon_sym_import] = ACTIONS(10193),
    [anon_sym_using] = ACTIONS(10193),
    [anon_sym_LBRACK] = ACTIONS(10195),
    [anon_sym_in] = ACTIONS(10193),
    [anon_sym_LBRACE] = ACTIONS(10195),
    [anon_sym_DOT] = ACTIONS(10193),
    [anon_sym_DOLLAR] = ACTIONS(10195),
    [anon_sym_COLON2] = ACTIONS(10193),
    [anon_sym_COLON_COLON] = ACTIONS(10195),
    [anon_sym_isa] = ACTIONS(10193),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10195),
    [anon_sym_QMARK] = ACTIONS(10195),
    [anon_sym_where] = ACTIONS(10193),
    [anon_sym_AT] = ACTIONS(10195),
    [anon_sym_true] = ACTIONS(10193),
    [anon_sym_false] = ACTIONS(10193),
    [aux_sym_integer_literal_token1] = ACTIONS(10195),
    [aux_sym_integer_literal_token2] = ACTIONS(10195),
    [aux_sym_integer_literal_token3] = ACTIONS(10193),
    [aux_sym_integer_literal_token4] = ACTIONS(10193),
    [aux_sym_float_literal_token1] = ACTIONS(10195),
    [aux_sym_float_literal_token3] = ACTIONS(10195),
    [aux_sym_float_literal_token4] = ACTIONS(10195),
    [sym_character_literal] = ACTIONS(10195),
    [anon_sym_DQUOTE] = ACTIONS(10193),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10195),
    [anon_sym_BQUOTE] = ACTIONS(10193),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10195),
    [sym__pair_operator] = ACTIONS(10195),
    [sym__arrow_operator] = ACTIONS(10193),
    [sym__lazy_or_operator] = ACTIONS(10195),
    [sym__lazy_and_operator] = ACTIONS(10195),
    [sym__comparison_operator] = ACTIONS(10193),
    [sym__pipe_right_operator] = ACTIONS(10195),
    [sym__pipe_left_operator] = ACTIONS(10195),
    [sym__ellipsis_operator] = ACTIONS(10193),
    [sym__plus_operator] = ACTIONS(10193),
    [sym__times_operator] = ACTIONS(10193),
    [sym__rational_operator] = ACTIONS(10195),
    [sym__bitshift_operator] = ACTIONS(10195),
    [sym__power_operator] = ACTIONS(10195),
    [sym__tilde_operator] = ACTIONS(10195),
    [sym__type_order_operator] = ACTIONS(10195),
    [sym__unary_operator] = ACTIONS(10193),
    [sym__unary_plus_operator] = ACTIONS(10193),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9715] = {
    [sym_block_comment] = STATE(9715),
    [sym_line_comment] = STATE(9715),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_COMMA] = ACTIONS(10365),
    [anon_sym_EQ] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10365),
    [anon_sym_COLON] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10365),
    [anon_sym_in] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10365),
    [anon_sym_DOT] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10365),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10365),
    [anon_sym_isa] = ACTIONS(10363),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10365),
    [anon_sym_QMARK] = ACTIONS(10365),
    [anon_sym_where] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10365),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10365),
    [aux_sym_integer_literal_token2] = ACTIONS(10365),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10365),
    [aux_sym_float_literal_token3] = ACTIONS(10365),
    [aux_sym_float_literal_token4] = ACTIONS(10365),
    [sym_character_literal] = ACTIONS(10365),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10365),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10365),
    [sym__pair_operator] = ACTIONS(10365),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__lazy_or_operator] = ACTIONS(10365),
    [sym__lazy_and_operator] = ACTIONS(10365),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10365),
    [sym__pipe_left_operator] = ACTIONS(10365),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10365),
    [sym__bitshift_operator] = ACTIONS(10365),
    [sym__power_operator] = ACTIONS(10365),
    [sym__tilde_operator] = ACTIONS(10365),
    [sym__type_order_operator] = ACTIONS(10365),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9716] = {
    [sym_block_comment] = STATE(9716),
    [sym_line_comment] = STATE(9716),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_EQ] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_RBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9717] = {
    [sym_block_comment] = STATE(9717),
    [sym_line_comment] = STATE(9717),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_end] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(12875),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(12877),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(12877),
    [sym__pipe_right_operator] = ACTIONS(12889),
    [sym__pipe_left_operator] = ACTIONS(12891),
    [sym__ellipsis_operator] = ACTIONS(12893),
    [sym__plus_operator] = ACTIONS(12895),
    [sym__times_operator] = ACTIONS(12897),
    [sym__rational_operator] = ACTIONS(12899),
    [sym__bitshift_operator] = ACTIONS(12901),
    [sym__power_operator] = ACTIONS(12903),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(12877),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12895),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9718] = {
    [sym_block_comment] = STATE(9718),
    [sym_line_comment] = STATE(9718),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_COMMA] = ACTIONS(10345),
    [anon_sym_EQ] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10345),
    [anon_sym_COLON] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10345),
    [anon_sym_in] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10345),
    [anon_sym_DOT] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10345),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10345),
    [anon_sym_isa] = ACTIONS(10343),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10345),
    [anon_sym_QMARK] = ACTIONS(10345),
    [anon_sym_where] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10345),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10345),
    [aux_sym_integer_literal_token2] = ACTIONS(10345),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10345),
    [aux_sym_float_literal_token3] = ACTIONS(10345),
    [aux_sym_float_literal_token4] = ACTIONS(10345),
    [sym_character_literal] = ACTIONS(10345),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10345),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10345),
    [sym__pair_operator] = ACTIONS(10345),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__lazy_or_operator] = ACTIONS(10345),
    [sym__lazy_and_operator] = ACTIONS(10345),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10345),
    [sym__pipe_left_operator] = ACTIONS(10345),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10345),
    [sym__bitshift_operator] = ACTIONS(10345),
    [sym__power_operator] = ACTIONS(10345),
    [sym__tilde_operator] = ACTIONS(10345),
    [sym__type_order_operator] = ACTIONS(10345),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9719] = {
    [sym_block_comment] = STATE(9719),
    [sym_line_comment] = STATE(9719),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_COMMA] = ACTIONS(10103),
    [anon_sym_EQ] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10103),
    [anon_sym_COLON] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10103),
    [anon_sym_in] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10103),
    [anon_sym_DOT] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10103),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10103),
    [anon_sym_isa] = ACTIONS(10101),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10103),
    [anon_sym_QMARK] = ACTIONS(10103),
    [anon_sym_where] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10103),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10103),
    [aux_sym_integer_literal_token2] = ACTIONS(10103),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10103),
    [aux_sym_float_literal_token3] = ACTIONS(10103),
    [aux_sym_float_literal_token4] = ACTIONS(10103),
    [sym_character_literal] = ACTIONS(10103),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10103),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10103),
    [sym__pair_operator] = ACTIONS(10103),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__lazy_or_operator] = ACTIONS(10103),
    [sym__lazy_and_operator] = ACTIONS(10103),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10103),
    [sym__pipe_left_operator] = ACTIONS(10103),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10103),
    [sym__bitshift_operator] = ACTIONS(10103),
    [sym__power_operator] = ACTIONS(10103),
    [sym__tilde_operator] = ACTIONS(10103),
    [sym__type_order_operator] = ACTIONS(10103),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9720] = {
    [sym_block_comment] = STATE(9720),
    [sym_line_comment] = STATE(9720),
    [sym__word_identifier] = ACTIONS(3222),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_begin] = ACTIONS(3222),
    [anon_sym_module] = ACTIONS(3222),
    [anon_sym_baremodule] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_abstract] = ACTIONS(3222),
    [anon_sym_primitive] = ACTIONS(3222),
    [anon_sym_mutable] = ACTIONS(3222),
    [anon_sym_struct] = ACTIONS(3222),
    [anon_sym_function] = ACTIONS(3222),
    [anon_sym_macro] = ACTIONS(3222),
    [anon_sym_quote] = ACTIONS(3222),
    [anon_sym_let] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_try] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_while] = ACTIONS(3222),
    [sym_break_statement] = ACTIONS(3222),
    [sym_continue_statement] = ACTIONS(3222),
    [anon_sym_return] = ACTIONS(3222),
    [anon_sym_const] = ACTIONS(3222),
    [anon_sym_global] = ACTIONS(3222),
    [anon_sym_local] = ACTIONS(3222),
    [anon_sym_LPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_export] = ACTIONS(3222),
    [anon_sym_public] = ACTIONS(3222),
    [anon_sym_import] = ACTIONS(3222),
    [anon_sym_using] = ACTIONS(3222),
    [anon_sym_LBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_LBRACE] = ACTIONS(3226),
    [anon_sym_DOT] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(3226),
    [anon_sym_COLON2] = ACTIONS(3222),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3226),
    [anon_sym_QMARK] = ACTIONS(3226),
    [anon_sym_where] = ACTIONS(3222),
    [anon_sym_AT] = ACTIONS(3226),
    [anon_sym_true] = ACTIONS(3222),
    [anon_sym_false] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(3226),
    [aux_sym_integer_literal_token2] = ACTIONS(3226),
    [aux_sym_integer_literal_token3] = ACTIONS(3222),
    [aux_sym_integer_literal_token4] = ACTIONS(3222),
    [aux_sym_float_literal_token1] = ACTIONS(3226),
    [aux_sym_float_literal_token3] = ACTIONS(3226),
    [aux_sym_float_literal_token4] = ACTIONS(3226),
    [sym_character_literal] = ACTIONS(3226),
    [anon_sym_DQUOTE] = ACTIONS(3222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(3226),
    [anon_sym_BQUOTE] = ACTIONS(3222),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(3226),
    [sym__pair_operator] = ACTIONS(3226),
    [sym__arrow_operator] = ACTIONS(3222),
    [sym__lazy_or_operator] = ACTIONS(3226),
    [sym__lazy_and_operator] = ACTIONS(3226),
    [sym__comparison_operator] = ACTIONS(3222),
    [sym__pipe_right_operator] = ACTIONS(3226),
    [sym__pipe_left_operator] = ACTIONS(3226),
    [sym__ellipsis_operator] = ACTIONS(3222),
    [sym__plus_operator] = ACTIONS(3222),
    [sym__times_operator] = ACTIONS(3222),
    [sym__rational_operator] = ACTIONS(3226),
    [sym__bitshift_operator] = ACTIONS(3226),
    [sym__power_operator] = ACTIONS(3226),
    [sym__tilde_operator] = ACTIONS(3226),
    [sym__type_order_operator] = ACTIONS(3226),
    [sym__unary_operator] = ACTIONS(3222),
    [sym__unary_plus_operator] = ACTIONS(3222),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9721] = {
    [sym_block_comment] = STATE(9721),
    [sym_line_comment] = STATE(9721),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(10617),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(10623),
  },
  [9722] = {
    [sym_block_comment] = STATE(9722),
    [sym_line_comment] = STATE(9722),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9723] = {
    [sym_block_comment] = STATE(9723),
    [sym_line_comment] = STATE(9723),
    [sym__word_identifier] = ACTIONS(11601),
    [anon_sym_COMMA] = ACTIONS(11603),
    [anon_sym_EQ] = ACTIONS(11601),
    [anon_sym_begin] = ACTIONS(11601),
    [anon_sym_module] = ACTIONS(11601),
    [anon_sym_baremodule] = ACTIONS(11601),
    [anon_sym_end] = ACTIONS(11601),
    [anon_sym_abstract] = ACTIONS(11601),
    [anon_sym_primitive] = ACTIONS(11601),
    [anon_sym_mutable] = ACTIONS(11601),
    [anon_sym_struct] = ACTIONS(11601),
    [anon_sym_function] = ACTIONS(11601),
    [anon_sym_macro] = ACTIONS(11601),
    [anon_sym_quote] = ACTIONS(11601),
    [anon_sym_let] = ACTIONS(11601),
    [anon_sym_if] = ACTIONS(11601),
    [anon_sym_try] = ACTIONS(11601),
    [anon_sym_for] = ACTIONS(11601),
    [anon_sym_while] = ACTIONS(11601),
    [sym_break_statement] = ACTIONS(11601),
    [sym_continue_statement] = ACTIONS(11601),
    [anon_sym_return] = ACTIONS(11601),
    [anon_sym_const] = ACTIONS(11601),
    [anon_sym_global] = ACTIONS(11601),
    [anon_sym_local] = ACTIONS(11601),
    [anon_sym_LPAREN] = ACTIONS(11603),
    [anon_sym_COLON] = ACTIONS(11601),
    [anon_sym_export] = ACTIONS(11601),
    [anon_sym_public] = ACTIONS(11601),
    [anon_sym_import] = ACTIONS(11601),
    [anon_sym_using] = ACTIONS(11601),
    [anon_sym_LBRACK] = ACTIONS(11603),
    [anon_sym_in] = ACTIONS(11601),
    [anon_sym_LBRACE] = ACTIONS(11603),
    [anon_sym_DOLLAR] = ACTIONS(11603),
    [anon_sym_COLON2] = ACTIONS(11601),
    [anon_sym_COLON_COLON] = ACTIONS(11603),
    [anon_sym_isa] = ACTIONS(11601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11603),
    [anon_sym_QMARK] = ACTIONS(11603),
    [anon_sym_where] = ACTIONS(11601),
    [anon_sym_AT] = ACTIONS(11603),
    [anon_sym_true] = ACTIONS(11601),
    [anon_sym_false] = ACTIONS(11601),
    [aux_sym_integer_literal_token1] = ACTIONS(11603),
    [aux_sym_integer_literal_token2] = ACTIONS(11603),
    [aux_sym_integer_literal_token3] = ACTIONS(11601),
    [aux_sym_integer_literal_token4] = ACTIONS(11601),
    [aux_sym_float_literal_token1] = ACTIONS(11603),
    [aux_sym_float_literal_token3] = ACTIONS(11603),
    [aux_sym_float_literal_token4] = ACTIONS(11603),
    [sym_character_literal] = ACTIONS(11603),
    [anon_sym_DQUOTE] = ACTIONS(11601),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11603),
    [anon_sym_BQUOTE] = ACTIONS(11601),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11603),
    [sym__pair_operator] = ACTIONS(11603),
    [sym__arrow_operator] = ACTIONS(11601),
    [sym__lazy_or_operator] = ACTIONS(11603),
    [sym__lazy_and_operator] = ACTIONS(11603),
    [sym__comparison_operator] = ACTIONS(11601),
    [sym__pipe_right_operator] = ACTIONS(11603),
    [sym__pipe_left_operator] = ACTIONS(11603),
    [sym__ellipsis_operator] = ACTIONS(11601),
    [sym__plus_operator] = ACTIONS(11601),
    [sym__times_operator] = ACTIONS(11601),
    [sym__rational_operator] = ACTIONS(11603),
    [sym__bitshift_operator] = ACTIONS(11603),
    [sym__power_operator] = ACTIONS(11603),
    [sym__tilde_operator] = ACTIONS(11603),
    [sym__type_order_operator] = ACTIONS(11603),
    [sym__unary_operator] = ACTIONS(11601),
    [sym__unary_plus_operator] = ACTIONS(11601),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9724] = {
    [sym_block_comment] = STATE(9724),
    [sym_line_comment] = STATE(9724),
    [sym__word_identifier] = ACTIONS(11613),
    [anon_sym_COMMA] = ACTIONS(11615),
    [anon_sym_EQ] = ACTIONS(11613),
    [anon_sym_begin] = ACTIONS(11613),
    [anon_sym_module] = ACTIONS(11613),
    [anon_sym_baremodule] = ACTIONS(11613),
    [anon_sym_end] = ACTIONS(11613),
    [anon_sym_abstract] = ACTIONS(11613),
    [anon_sym_primitive] = ACTIONS(11613),
    [anon_sym_mutable] = ACTIONS(11613),
    [anon_sym_struct] = ACTIONS(11613),
    [anon_sym_function] = ACTIONS(11613),
    [anon_sym_macro] = ACTIONS(11613),
    [anon_sym_quote] = ACTIONS(11613),
    [anon_sym_let] = ACTIONS(11613),
    [anon_sym_if] = ACTIONS(11613),
    [anon_sym_try] = ACTIONS(11613),
    [anon_sym_for] = ACTIONS(11613),
    [anon_sym_while] = ACTIONS(11613),
    [sym_break_statement] = ACTIONS(11613),
    [sym_continue_statement] = ACTIONS(11613),
    [anon_sym_return] = ACTIONS(11613),
    [anon_sym_const] = ACTIONS(11613),
    [anon_sym_global] = ACTIONS(11613),
    [anon_sym_local] = ACTIONS(11613),
    [anon_sym_LPAREN] = ACTIONS(11615),
    [anon_sym_COLON] = ACTIONS(11613),
    [anon_sym_export] = ACTIONS(11613),
    [anon_sym_public] = ACTIONS(11613),
    [anon_sym_import] = ACTIONS(11613),
    [anon_sym_using] = ACTIONS(11613),
    [anon_sym_LBRACK] = ACTIONS(11615),
    [anon_sym_in] = ACTIONS(11613),
    [anon_sym_LBRACE] = ACTIONS(11615),
    [anon_sym_DOLLAR] = ACTIONS(11615),
    [anon_sym_COLON2] = ACTIONS(11613),
    [anon_sym_COLON_COLON] = ACTIONS(11615),
    [anon_sym_isa] = ACTIONS(11613),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11615),
    [anon_sym_QMARK] = ACTIONS(11615),
    [anon_sym_where] = ACTIONS(11613),
    [anon_sym_AT] = ACTIONS(11615),
    [anon_sym_true] = ACTIONS(11613),
    [anon_sym_false] = ACTIONS(11613),
    [aux_sym_integer_literal_token1] = ACTIONS(11615),
    [aux_sym_integer_literal_token2] = ACTIONS(11615),
    [aux_sym_integer_literal_token3] = ACTIONS(11613),
    [aux_sym_integer_literal_token4] = ACTIONS(11613),
    [aux_sym_float_literal_token1] = ACTIONS(11615),
    [aux_sym_float_literal_token3] = ACTIONS(11615),
    [aux_sym_float_literal_token4] = ACTIONS(11615),
    [sym_character_literal] = ACTIONS(11615),
    [anon_sym_DQUOTE] = ACTIONS(11613),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11615),
    [anon_sym_BQUOTE] = ACTIONS(11613),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11615),
    [sym__pair_operator] = ACTIONS(11615),
    [sym__arrow_operator] = ACTIONS(11613),
    [sym__lazy_or_operator] = ACTIONS(11615),
    [sym__lazy_and_operator] = ACTIONS(11615),
    [sym__comparison_operator] = ACTIONS(11613),
    [sym__pipe_right_operator] = ACTIONS(11615),
    [sym__pipe_left_operator] = ACTIONS(11615),
    [sym__ellipsis_operator] = ACTIONS(11613),
    [sym__plus_operator] = ACTIONS(11613),
    [sym__times_operator] = ACTIONS(11613),
    [sym__rational_operator] = ACTIONS(11615),
    [sym__bitshift_operator] = ACTIONS(11615),
    [sym__power_operator] = ACTIONS(11615),
    [sym__tilde_operator] = ACTIONS(11615),
    [sym__type_order_operator] = ACTIONS(11615),
    [sym__unary_operator] = ACTIONS(11613),
    [sym__unary_plus_operator] = ACTIONS(11613),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9725] = {
    [sym_block_comment] = STATE(9725),
    [sym_line_comment] = STATE(9725),
    [sym__word_identifier] = ACTIONS(11617),
    [anon_sym_COMMA] = ACTIONS(11619),
    [anon_sym_EQ] = ACTIONS(11617),
    [anon_sym_begin] = ACTIONS(11617),
    [anon_sym_module] = ACTIONS(11617),
    [anon_sym_baremodule] = ACTIONS(11617),
    [anon_sym_end] = ACTIONS(11617),
    [anon_sym_abstract] = ACTIONS(11617),
    [anon_sym_primitive] = ACTIONS(11617),
    [anon_sym_mutable] = ACTIONS(11617),
    [anon_sym_struct] = ACTIONS(11617),
    [anon_sym_function] = ACTIONS(11617),
    [anon_sym_macro] = ACTIONS(11617),
    [anon_sym_quote] = ACTIONS(11617),
    [anon_sym_let] = ACTIONS(11617),
    [anon_sym_if] = ACTIONS(11617),
    [anon_sym_try] = ACTIONS(11617),
    [anon_sym_for] = ACTIONS(11617),
    [anon_sym_while] = ACTIONS(11617),
    [sym_break_statement] = ACTIONS(11617),
    [sym_continue_statement] = ACTIONS(11617),
    [anon_sym_return] = ACTIONS(11617),
    [anon_sym_const] = ACTIONS(11617),
    [anon_sym_global] = ACTIONS(11617),
    [anon_sym_local] = ACTIONS(11617),
    [anon_sym_LPAREN] = ACTIONS(11619),
    [anon_sym_COLON] = ACTIONS(11617),
    [anon_sym_export] = ACTIONS(11617),
    [anon_sym_public] = ACTIONS(11617),
    [anon_sym_import] = ACTIONS(11617),
    [anon_sym_using] = ACTIONS(11617),
    [anon_sym_LBRACK] = ACTIONS(11619),
    [anon_sym_in] = ACTIONS(11617),
    [anon_sym_LBRACE] = ACTIONS(11619),
    [anon_sym_DOLLAR] = ACTIONS(11619),
    [anon_sym_COLON2] = ACTIONS(11617),
    [anon_sym_COLON_COLON] = ACTIONS(11619),
    [anon_sym_isa] = ACTIONS(11617),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11619),
    [anon_sym_QMARK] = ACTIONS(11619),
    [anon_sym_where] = ACTIONS(11617),
    [anon_sym_AT] = ACTIONS(11619),
    [anon_sym_true] = ACTIONS(11617),
    [anon_sym_false] = ACTIONS(11617),
    [aux_sym_integer_literal_token1] = ACTIONS(11619),
    [aux_sym_integer_literal_token2] = ACTIONS(11619),
    [aux_sym_integer_literal_token3] = ACTIONS(11617),
    [aux_sym_integer_literal_token4] = ACTIONS(11617),
    [aux_sym_float_literal_token1] = ACTIONS(11619),
    [aux_sym_float_literal_token3] = ACTIONS(11619),
    [aux_sym_float_literal_token4] = ACTIONS(11619),
    [sym_character_literal] = ACTIONS(11619),
    [anon_sym_DQUOTE] = ACTIONS(11617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11619),
    [anon_sym_BQUOTE] = ACTIONS(11617),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11619),
    [sym__pair_operator] = ACTIONS(11619),
    [sym__arrow_operator] = ACTIONS(11617),
    [sym__lazy_or_operator] = ACTIONS(11619),
    [sym__lazy_and_operator] = ACTIONS(11619),
    [sym__comparison_operator] = ACTIONS(11617),
    [sym__pipe_right_operator] = ACTIONS(11619),
    [sym__pipe_left_operator] = ACTIONS(11619),
    [sym__ellipsis_operator] = ACTIONS(11617),
    [sym__plus_operator] = ACTIONS(11617),
    [sym__times_operator] = ACTIONS(11617),
    [sym__rational_operator] = ACTIONS(11619),
    [sym__bitshift_operator] = ACTIONS(11619),
    [sym__power_operator] = ACTIONS(11619),
    [sym__tilde_operator] = ACTIONS(11619),
    [sym__type_order_operator] = ACTIONS(11619),
    [sym__unary_operator] = ACTIONS(11617),
    [sym__unary_plus_operator] = ACTIONS(11617),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9726] = {
    [sym_block_comment] = STATE(9726),
    [sym_line_comment] = STATE(9726),
    [sym__word_identifier] = ACTIONS(11621),
    [anon_sym_COMMA] = ACTIONS(11623),
    [anon_sym_EQ] = ACTIONS(11621),
    [anon_sym_begin] = ACTIONS(11621),
    [anon_sym_module] = ACTIONS(11621),
    [anon_sym_baremodule] = ACTIONS(11621),
    [anon_sym_end] = ACTIONS(11621),
    [anon_sym_abstract] = ACTIONS(11621),
    [anon_sym_primitive] = ACTIONS(11621),
    [anon_sym_mutable] = ACTIONS(11621),
    [anon_sym_struct] = ACTIONS(11621),
    [anon_sym_function] = ACTIONS(11621),
    [anon_sym_macro] = ACTIONS(11621),
    [anon_sym_quote] = ACTIONS(11621),
    [anon_sym_let] = ACTIONS(11621),
    [anon_sym_if] = ACTIONS(11621),
    [anon_sym_try] = ACTIONS(11621),
    [anon_sym_for] = ACTIONS(11621),
    [anon_sym_while] = ACTIONS(11621),
    [sym_break_statement] = ACTIONS(11621),
    [sym_continue_statement] = ACTIONS(11621),
    [anon_sym_return] = ACTIONS(11621),
    [anon_sym_const] = ACTIONS(11621),
    [anon_sym_global] = ACTIONS(11621),
    [anon_sym_local] = ACTIONS(11621),
    [anon_sym_LPAREN] = ACTIONS(11623),
    [anon_sym_COLON] = ACTIONS(11621),
    [anon_sym_export] = ACTIONS(11621),
    [anon_sym_public] = ACTIONS(11621),
    [anon_sym_import] = ACTIONS(11621),
    [anon_sym_using] = ACTIONS(11621),
    [anon_sym_LBRACK] = ACTIONS(11623),
    [anon_sym_in] = ACTIONS(11621),
    [anon_sym_LBRACE] = ACTIONS(11623),
    [anon_sym_DOLLAR] = ACTIONS(11623),
    [anon_sym_COLON2] = ACTIONS(11621),
    [anon_sym_COLON_COLON] = ACTIONS(11623),
    [anon_sym_isa] = ACTIONS(11621),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11623),
    [anon_sym_QMARK] = ACTIONS(11623),
    [anon_sym_where] = ACTIONS(11621),
    [anon_sym_AT] = ACTIONS(11623),
    [anon_sym_true] = ACTIONS(11621),
    [anon_sym_false] = ACTIONS(11621),
    [aux_sym_integer_literal_token1] = ACTIONS(11623),
    [aux_sym_integer_literal_token2] = ACTIONS(11623),
    [aux_sym_integer_literal_token3] = ACTIONS(11621),
    [aux_sym_integer_literal_token4] = ACTIONS(11621),
    [aux_sym_float_literal_token1] = ACTIONS(11623),
    [aux_sym_float_literal_token3] = ACTIONS(11623),
    [aux_sym_float_literal_token4] = ACTIONS(11623),
    [sym_character_literal] = ACTIONS(11623),
    [anon_sym_DQUOTE] = ACTIONS(11621),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11623),
    [anon_sym_BQUOTE] = ACTIONS(11621),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11623),
    [sym__pair_operator] = ACTIONS(11623),
    [sym__arrow_operator] = ACTIONS(11621),
    [sym__lazy_or_operator] = ACTIONS(11623),
    [sym__lazy_and_operator] = ACTIONS(11623),
    [sym__comparison_operator] = ACTIONS(11621),
    [sym__pipe_right_operator] = ACTIONS(11623),
    [sym__pipe_left_operator] = ACTIONS(11623),
    [sym__ellipsis_operator] = ACTIONS(11621),
    [sym__plus_operator] = ACTIONS(11621),
    [sym__times_operator] = ACTIONS(11621),
    [sym__rational_operator] = ACTIONS(11623),
    [sym__bitshift_operator] = ACTIONS(11623),
    [sym__power_operator] = ACTIONS(11623),
    [sym__tilde_operator] = ACTIONS(11623),
    [sym__type_order_operator] = ACTIONS(11623),
    [sym__unary_operator] = ACTIONS(11621),
    [sym__unary_plus_operator] = ACTIONS(11621),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9727] = {
    [sym_block_comment] = STATE(9727),
    [sym_line_comment] = STATE(9727),
    [sym__word_identifier] = ACTIONS(11625),
    [anon_sym_COMMA] = ACTIONS(11627),
    [anon_sym_EQ] = ACTIONS(11625),
    [anon_sym_begin] = ACTIONS(11625),
    [anon_sym_module] = ACTIONS(11625),
    [anon_sym_baremodule] = ACTIONS(11625),
    [anon_sym_end] = ACTIONS(11625),
    [anon_sym_abstract] = ACTIONS(11625),
    [anon_sym_primitive] = ACTIONS(11625),
    [anon_sym_mutable] = ACTIONS(11625),
    [anon_sym_struct] = ACTIONS(11625),
    [anon_sym_function] = ACTIONS(11625),
    [anon_sym_macro] = ACTIONS(11625),
    [anon_sym_quote] = ACTIONS(11625),
    [anon_sym_let] = ACTIONS(11625),
    [anon_sym_if] = ACTIONS(11625),
    [anon_sym_try] = ACTIONS(11625),
    [anon_sym_for] = ACTIONS(11625),
    [anon_sym_while] = ACTIONS(11625),
    [sym_break_statement] = ACTIONS(11625),
    [sym_continue_statement] = ACTIONS(11625),
    [anon_sym_return] = ACTIONS(11625),
    [anon_sym_const] = ACTIONS(11625),
    [anon_sym_global] = ACTIONS(11625),
    [anon_sym_local] = ACTIONS(11625),
    [anon_sym_LPAREN] = ACTIONS(11627),
    [anon_sym_COLON] = ACTIONS(11625),
    [anon_sym_export] = ACTIONS(11625),
    [anon_sym_public] = ACTIONS(11625),
    [anon_sym_import] = ACTIONS(11625),
    [anon_sym_using] = ACTIONS(11625),
    [anon_sym_LBRACK] = ACTIONS(11627),
    [anon_sym_in] = ACTIONS(11625),
    [anon_sym_LBRACE] = ACTIONS(11627),
    [anon_sym_DOLLAR] = ACTIONS(11627),
    [anon_sym_COLON2] = ACTIONS(11625),
    [anon_sym_COLON_COLON] = ACTIONS(11627),
    [anon_sym_isa] = ACTIONS(11625),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11627),
    [anon_sym_QMARK] = ACTIONS(11627),
    [anon_sym_where] = ACTIONS(11625),
    [anon_sym_AT] = ACTIONS(11627),
    [anon_sym_true] = ACTIONS(11625),
    [anon_sym_false] = ACTIONS(11625),
    [aux_sym_integer_literal_token1] = ACTIONS(11627),
    [aux_sym_integer_literal_token2] = ACTIONS(11627),
    [aux_sym_integer_literal_token3] = ACTIONS(11625),
    [aux_sym_integer_literal_token4] = ACTIONS(11625),
    [aux_sym_float_literal_token1] = ACTIONS(11627),
    [aux_sym_float_literal_token3] = ACTIONS(11627),
    [aux_sym_float_literal_token4] = ACTIONS(11627),
    [sym_character_literal] = ACTIONS(11627),
    [anon_sym_DQUOTE] = ACTIONS(11625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11627),
    [anon_sym_BQUOTE] = ACTIONS(11625),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11627),
    [sym__pair_operator] = ACTIONS(11627),
    [sym__arrow_operator] = ACTIONS(11625),
    [sym__lazy_or_operator] = ACTIONS(11627),
    [sym__lazy_and_operator] = ACTIONS(11627),
    [sym__comparison_operator] = ACTIONS(11625),
    [sym__pipe_right_operator] = ACTIONS(11627),
    [sym__pipe_left_operator] = ACTIONS(11627),
    [sym__ellipsis_operator] = ACTIONS(11625),
    [sym__plus_operator] = ACTIONS(11625),
    [sym__times_operator] = ACTIONS(11625),
    [sym__rational_operator] = ACTIONS(11627),
    [sym__bitshift_operator] = ACTIONS(11627),
    [sym__power_operator] = ACTIONS(11627),
    [sym__tilde_operator] = ACTIONS(11627),
    [sym__type_order_operator] = ACTIONS(11627),
    [sym__unary_operator] = ACTIONS(11625),
    [sym__unary_plus_operator] = ACTIONS(11625),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9728] = {
    [sym_block_comment] = STATE(9728),
    [sym_line_comment] = STATE(9728),
    [sym__word_identifier] = ACTIONS(11629),
    [anon_sym_COMMA] = ACTIONS(11631),
    [anon_sym_EQ] = ACTIONS(11629),
    [anon_sym_begin] = ACTIONS(11629),
    [anon_sym_module] = ACTIONS(11629),
    [anon_sym_baremodule] = ACTIONS(11629),
    [anon_sym_end] = ACTIONS(11629),
    [anon_sym_abstract] = ACTIONS(11629),
    [anon_sym_primitive] = ACTIONS(11629),
    [anon_sym_mutable] = ACTIONS(11629),
    [anon_sym_struct] = ACTIONS(11629),
    [anon_sym_function] = ACTIONS(11629),
    [anon_sym_macro] = ACTIONS(11629),
    [anon_sym_quote] = ACTIONS(11629),
    [anon_sym_let] = ACTIONS(11629),
    [anon_sym_if] = ACTIONS(11629),
    [anon_sym_try] = ACTIONS(11629),
    [anon_sym_for] = ACTIONS(11629),
    [anon_sym_while] = ACTIONS(11629),
    [sym_break_statement] = ACTIONS(11629),
    [sym_continue_statement] = ACTIONS(11629),
    [anon_sym_return] = ACTIONS(11629),
    [anon_sym_const] = ACTIONS(11629),
    [anon_sym_global] = ACTIONS(11629),
    [anon_sym_local] = ACTIONS(11629),
    [anon_sym_LPAREN] = ACTIONS(11631),
    [anon_sym_COLON] = ACTIONS(11629),
    [anon_sym_export] = ACTIONS(11629),
    [anon_sym_public] = ACTIONS(11629),
    [anon_sym_import] = ACTIONS(11629),
    [anon_sym_using] = ACTIONS(11629),
    [anon_sym_LBRACK] = ACTIONS(11631),
    [anon_sym_in] = ACTIONS(11629),
    [anon_sym_LBRACE] = ACTIONS(11631),
    [anon_sym_DOLLAR] = ACTIONS(11631),
    [anon_sym_COLON2] = ACTIONS(11629),
    [anon_sym_COLON_COLON] = ACTIONS(11631),
    [anon_sym_isa] = ACTIONS(11629),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11631),
    [anon_sym_QMARK] = ACTIONS(11631),
    [anon_sym_where] = ACTIONS(11629),
    [anon_sym_AT] = ACTIONS(11631),
    [anon_sym_true] = ACTIONS(11629),
    [anon_sym_false] = ACTIONS(11629),
    [aux_sym_integer_literal_token1] = ACTIONS(11631),
    [aux_sym_integer_literal_token2] = ACTIONS(11631),
    [aux_sym_integer_literal_token3] = ACTIONS(11629),
    [aux_sym_integer_literal_token4] = ACTIONS(11629),
    [aux_sym_float_literal_token1] = ACTIONS(11631),
    [aux_sym_float_literal_token3] = ACTIONS(11631),
    [aux_sym_float_literal_token4] = ACTIONS(11631),
    [sym_character_literal] = ACTIONS(11631),
    [anon_sym_DQUOTE] = ACTIONS(11629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11631),
    [anon_sym_BQUOTE] = ACTIONS(11629),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11631),
    [sym__pair_operator] = ACTIONS(11631),
    [sym__arrow_operator] = ACTIONS(11629),
    [sym__lazy_or_operator] = ACTIONS(11631),
    [sym__lazy_and_operator] = ACTIONS(11631),
    [sym__comparison_operator] = ACTIONS(11629),
    [sym__pipe_right_operator] = ACTIONS(11631),
    [sym__pipe_left_operator] = ACTIONS(11631),
    [sym__ellipsis_operator] = ACTIONS(11629),
    [sym__plus_operator] = ACTIONS(11629),
    [sym__times_operator] = ACTIONS(11629),
    [sym__rational_operator] = ACTIONS(11631),
    [sym__bitshift_operator] = ACTIONS(11631),
    [sym__power_operator] = ACTIONS(11631),
    [sym__tilde_operator] = ACTIONS(11631),
    [sym__type_order_operator] = ACTIONS(11631),
    [sym__unary_operator] = ACTIONS(11629),
    [sym__unary_plus_operator] = ACTIONS(11629),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9729] = {
    [sym_block_comment] = STATE(9729),
    [sym_line_comment] = STATE(9729),
    [sym__word_identifier] = ACTIONS(11633),
    [anon_sym_COMMA] = ACTIONS(11635),
    [anon_sym_EQ] = ACTIONS(11633),
    [anon_sym_begin] = ACTIONS(11633),
    [anon_sym_module] = ACTIONS(11633),
    [anon_sym_baremodule] = ACTIONS(11633),
    [anon_sym_end] = ACTIONS(11633),
    [anon_sym_abstract] = ACTIONS(11633),
    [anon_sym_primitive] = ACTIONS(11633),
    [anon_sym_mutable] = ACTIONS(11633),
    [anon_sym_struct] = ACTIONS(11633),
    [anon_sym_function] = ACTIONS(11633),
    [anon_sym_macro] = ACTIONS(11633),
    [anon_sym_quote] = ACTIONS(11633),
    [anon_sym_let] = ACTIONS(11633),
    [anon_sym_if] = ACTIONS(11633),
    [anon_sym_try] = ACTIONS(11633),
    [anon_sym_for] = ACTIONS(11633),
    [anon_sym_while] = ACTIONS(11633),
    [sym_break_statement] = ACTIONS(11633),
    [sym_continue_statement] = ACTIONS(11633),
    [anon_sym_return] = ACTIONS(11633),
    [anon_sym_const] = ACTIONS(11633),
    [anon_sym_global] = ACTIONS(11633),
    [anon_sym_local] = ACTIONS(11633),
    [anon_sym_LPAREN] = ACTIONS(11635),
    [anon_sym_COLON] = ACTIONS(11633),
    [anon_sym_export] = ACTIONS(11633),
    [anon_sym_public] = ACTIONS(11633),
    [anon_sym_import] = ACTIONS(11633),
    [anon_sym_using] = ACTIONS(11633),
    [anon_sym_LBRACK] = ACTIONS(11635),
    [anon_sym_in] = ACTIONS(11633),
    [anon_sym_LBRACE] = ACTIONS(11635),
    [anon_sym_DOLLAR] = ACTIONS(11635),
    [anon_sym_COLON2] = ACTIONS(11633),
    [anon_sym_COLON_COLON] = ACTIONS(11635),
    [anon_sym_isa] = ACTIONS(11633),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11635),
    [anon_sym_QMARK] = ACTIONS(11635),
    [anon_sym_where] = ACTIONS(11633),
    [anon_sym_AT] = ACTIONS(11635),
    [anon_sym_true] = ACTIONS(11633),
    [anon_sym_false] = ACTIONS(11633),
    [aux_sym_integer_literal_token1] = ACTIONS(11635),
    [aux_sym_integer_literal_token2] = ACTIONS(11635),
    [aux_sym_integer_literal_token3] = ACTIONS(11633),
    [aux_sym_integer_literal_token4] = ACTIONS(11633),
    [aux_sym_float_literal_token1] = ACTIONS(11635),
    [aux_sym_float_literal_token3] = ACTIONS(11635),
    [aux_sym_float_literal_token4] = ACTIONS(11635),
    [sym_character_literal] = ACTIONS(11635),
    [anon_sym_DQUOTE] = ACTIONS(11633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11635),
    [anon_sym_BQUOTE] = ACTIONS(11633),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11635),
    [sym__pair_operator] = ACTIONS(11635),
    [sym__arrow_operator] = ACTIONS(11633),
    [sym__lazy_or_operator] = ACTIONS(11635),
    [sym__lazy_and_operator] = ACTIONS(11635),
    [sym__comparison_operator] = ACTIONS(11633),
    [sym__pipe_right_operator] = ACTIONS(11635),
    [sym__pipe_left_operator] = ACTIONS(11635),
    [sym__ellipsis_operator] = ACTIONS(11633),
    [sym__plus_operator] = ACTIONS(11633),
    [sym__times_operator] = ACTIONS(11633),
    [sym__rational_operator] = ACTIONS(11635),
    [sym__bitshift_operator] = ACTIONS(11635),
    [sym__power_operator] = ACTIONS(11635),
    [sym__tilde_operator] = ACTIONS(11635),
    [sym__type_order_operator] = ACTIONS(11635),
    [sym__unary_operator] = ACTIONS(11633),
    [sym__unary_plus_operator] = ACTIONS(11633),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9730] = {
    [sym_block_comment] = STATE(9730),
    [sym_line_comment] = STATE(9730),
    [sym__word_identifier] = ACTIONS(11637),
    [anon_sym_COMMA] = ACTIONS(11639),
    [anon_sym_EQ] = ACTIONS(11637),
    [anon_sym_begin] = ACTIONS(11637),
    [anon_sym_module] = ACTIONS(11637),
    [anon_sym_baremodule] = ACTIONS(11637),
    [anon_sym_end] = ACTIONS(11637),
    [anon_sym_abstract] = ACTIONS(11637),
    [anon_sym_primitive] = ACTIONS(11637),
    [anon_sym_mutable] = ACTIONS(11637),
    [anon_sym_struct] = ACTIONS(11637),
    [anon_sym_function] = ACTIONS(11637),
    [anon_sym_macro] = ACTIONS(11637),
    [anon_sym_quote] = ACTIONS(11637),
    [anon_sym_let] = ACTIONS(11637),
    [anon_sym_if] = ACTIONS(11637),
    [anon_sym_try] = ACTIONS(11637),
    [anon_sym_for] = ACTIONS(11637),
    [anon_sym_while] = ACTIONS(11637),
    [sym_break_statement] = ACTIONS(11637),
    [sym_continue_statement] = ACTIONS(11637),
    [anon_sym_return] = ACTIONS(11637),
    [anon_sym_const] = ACTIONS(11637),
    [anon_sym_global] = ACTIONS(11637),
    [anon_sym_local] = ACTIONS(11637),
    [anon_sym_LPAREN] = ACTIONS(11639),
    [anon_sym_COLON] = ACTIONS(11637),
    [anon_sym_export] = ACTIONS(11637),
    [anon_sym_public] = ACTIONS(11637),
    [anon_sym_import] = ACTIONS(11637),
    [anon_sym_using] = ACTIONS(11637),
    [anon_sym_LBRACK] = ACTIONS(11639),
    [anon_sym_in] = ACTIONS(11637),
    [anon_sym_LBRACE] = ACTIONS(11639),
    [anon_sym_DOLLAR] = ACTIONS(11639),
    [anon_sym_COLON2] = ACTIONS(11637),
    [anon_sym_COLON_COLON] = ACTIONS(11639),
    [anon_sym_isa] = ACTIONS(11637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11639),
    [anon_sym_QMARK] = ACTIONS(11639),
    [anon_sym_where] = ACTIONS(11637),
    [anon_sym_AT] = ACTIONS(11639),
    [anon_sym_true] = ACTIONS(11637),
    [anon_sym_false] = ACTIONS(11637),
    [aux_sym_integer_literal_token1] = ACTIONS(11639),
    [aux_sym_integer_literal_token2] = ACTIONS(11639),
    [aux_sym_integer_literal_token3] = ACTIONS(11637),
    [aux_sym_integer_literal_token4] = ACTIONS(11637),
    [aux_sym_float_literal_token1] = ACTIONS(11639),
    [aux_sym_float_literal_token3] = ACTIONS(11639),
    [aux_sym_float_literal_token4] = ACTIONS(11639),
    [sym_character_literal] = ACTIONS(11639),
    [anon_sym_DQUOTE] = ACTIONS(11637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11639),
    [anon_sym_BQUOTE] = ACTIONS(11637),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11639),
    [sym__pair_operator] = ACTIONS(11639),
    [sym__arrow_operator] = ACTIONS(11637),
    [sym__lazy_or_operator] = ACTIONS(11639),
    [sym__lazy_and_operator] = ACTIONS(11639),
    [sym__comparison_operator] = ACTIONS(11637),
    [sym__pipe_right_operator] = ACTIONS(11639),
    [sym__pipe_left_operator] = ACTIONS(11639),
    [sym__ellipsis_operator] = ACTIONS(11637),
    [sym__plus_operator] = ACTIONS(11637),
    [sym__times_operator] = ACTIONS(11637),
    [sym__rational_operator] = ACTIONS(11639),
    [sym__bitshift_operator] = ACTIONS(11639),
    [sym__power_operator] = ACTIONS(11639),
    [sym__tilde_operator] = ACTIONS(11639),
    [sym__type_order_operator] = ACTIONS(11639),
    [sym__unary_operator] = ACTIONS(11637),
    [sym__unary_plus_operator] = ACTIONS(11637),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9731] = {
    [sym_block_comment] = STATE(9731),
    [sym_line_comment] = STATE(9731),
    [sym__word_identifier] = ACTIONS(11641),
    [anon_sym_COMMA] = ACTIONS(11643),
    [anon_sym_EQ] = ACTIONS(11641),
    [anon_sym_begin] = ACTIONS(11641),
    [anon_sym_module] = ACTIONS(11641),
    [anon_sym_baremodule] = ACTIONS(11641),
    [anon_sym_end] = ACTIONS(11641),
    [anon_sym_abstract] = ACTIONS(11641),
    [anon_sym_primitive] = ACTIONS(11641),
    [anon_sym_mutable] = ACTIONS(11641),
    [anon_sym_struct] = ACTIONS(11641),
    [anon_sym_function] = ACTIONS(11641),
    [anon_sym_macro] = ACTIONS(11641),
    [anon_sym_quote] = ACTIONS(11641),
    [anon_sym_let] = ACTIONS(11641),
    [anon_sym_if] = ACTIONS(11641),
    [anon_sym_try] = ACTIONS(11641),
    [anon_sym_for] = ACTIONS(11641),
    [anon_sym_while] = ACTIONS(11641),
    [sym_break_statement] = ACTIONS(11641),
    [sym_continue_statement] = ACTIONS(11641),
    [anon_sym_return] = ACTIONS(11641),
    [anon_sym_const] = ACTIONS(11641),
    [anon_sym_global] = ACTIONS(11641),
    [anon_sym_local] = ACTIONS(11641),
    [anon_sym_LPAREN] = ACTIONS(11643),
    [anon_sym_COLON] = ACTIONS(11641),
    [anon_sym_export] = ACTIONS(11641),
    [anon_sym_public] = ACTIONS(11641),
    [anon_sym_import] = ACTIONS(11641),
    [anon_sym_using] = ACTIONS(11641),
    [anon_sym_LBRACK] = ACTIONS(11643),
    [anon_sym_in] = ACTIONS(11641),
    [anon_sym_LBRACE] = ACTIONS(11643),
    [anon_sym_DOLLAR] = ACTIONS(11643),
    [anon_sym_COLON2] = ACTIONS(11641),
    [anon_sym_COLON_COLON] = ACTIONS(11643),
    [anon_sym_isa] = ACTIONS(11641),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11643),
    [anon_sym_QMARK] = ACTIONS(11643),
    [anon_sym_where] = ACTIONS(11641),
    [anon_sym_AT] = ACTIONS(11643),
    [anon_sym_true] = ACTIONS(11641),
    [anon_sym_false] = ACTIONS(11641),
    [aux_sym_integer_literal_token1] = ACTIONS(11643),
    [aux_sym_integer_literal_token2] = ACTIONS(11643),
    [aux_sym_integer_literal_token3] = ACTIONS(11641),
    [aux_sym_integer_literal_token4] = ACTIONS(11641),
    [aux_sym_float_literal_token1] = ACTIONS(11643),
    [aux_sym_float_literal_token3] = ACTIONS(11643),
    [aux_sym_float_literal_token4] = ACTIONS(11643),
    [sym_character_literal] = ACTIONS(11643),
    [anon_sym_DQUOTE] = ACTIONS(11641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11643),
    [anon_sym_BQUOTE] = ACTIONS(11641),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11643),
    [sym__pair_operator] = ACTIONS(11643),
    [sym__arrow_operator] = ACTIONS(11641),
    [sym__lazy_or_operator] = ACTIONS(11643),
    [sym__lazy_and_operator] = ACTIONS(11643),
    [sym__comparison_operator] = ACTIONS(11641),
    [sym__pipe_right_operator] = ACTIONS(11643),
    [sym__pipe_left_operator] = ACTIONS(11643),
    [sym__ellipsis_operator] = ACTIONS(11641),
    [sym__plus_operator] = ACTIONS(11641),
    [sym__times_operator] = ACTIONS(11641),
    [sym__rational_operator] = ACTIONS(11643),
    [sym__bitshift_operator] = ACTIONS(11643),
    [sym__power_operator] = ACTIONS(11643),
    [sym__tilde_operator] = ACTIONS(11643),
    [sym__type_order_operator] = ACTIONS(11643),
    [sym__unary_operator] = ACTIONS(11641),
    [sym__unary_plus_operator] = ACTIONS(11641),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9732] = {
    [sym_block_comment] = STATE(9732),
    [sym_line_comment] = STATE(9732),
    [sym__word_identifier] = ACTIONS(11645),
    [anon_sym_COMMA] = ACTIONS(11647),
    [anon_sym_EQ] = ACTIONS(11645),
    [anon_sym_begin] = ACTIONS(11645),
    [anon_sym_module] = ACTIONS(11645),
    [anon_sym_baremodule] = ACTIONS(11645),
    [anon_sym_end] = ACTIONS(11645),
    [anon_sym_abstract] = ACTIONS(11645),
    [anon_sym_primitive] = ACTIONS(11645),
    [anon_sym_mutable] = ACTIONS(11645),
    [anon_sym_struct] = ACTIONS(11645),
    [anon_sym_function] = ACTIONS(11645),
    [anon_sym_macro] = ACTIONS(11645),
    [anon_sym_quote] = ACTIONS(11645),
    [anon_sym_let] = ACTIONS(11645),
    [anon_sym_if] = ACTIONS(11645),
    [anon_sym_try] = ACTIONS(11645),
    [anon_sym_for] = ACTIONS(11645),
    [anon_sym_while] = ACTIONS(11645),
    [sym_break_statement] = ACTIONS(11645),
    [sym_continue_statement] = ACTIONS(11645),
    [anon_sym_return] = ACTIONS(11645),
    [anon_sym_const] = ACTIONS(11645),
    [anon_sym_global] = ACTIONS(11645),
    [anon_sym_local] = ACTIONS(11645),
    [anon_sym_LPAREN] = ACTIONS(11647),
    [anon_sym_COLON] = ACTIONS(11645),
    [anon_sym_export] = ACTIONS(11645),
    [anon_sym_public] = ACTIONS(11645),
    [anon_sym_import] = ACTIONS(11645),
    [anon_sym_using] = ACTIONS(11645),
    [anon_sym_LBRACK] = ACTIONS(11647),
    [anon_sym_in] = ACTIONS(11645),
    [anon_sym_LBRACE] = ACTIONS(11647),
    [anon_sym_DOLLAR] = ACTIONS(11647),
    [anon_sym_COLON2] = ACTIONS(11645),
    [anon_sym_COLON_COLON] = ACTIONS(11647),
    [anon_sym_isa] = ACTIONS(11645),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11647),
    [anon_sym_QMARK] = ACTIONS(11647),
    [anon_sym_where] = ACTIONS(11645),
    [anon_sym_AT] = ACTIONS(11647),
    [anon_sym_true] = ACTIONS(11645),
    [anon_sym_false] = ACTIONS(11645),
    [aux_sym_integer_literal_token1] = ACTIONS(11647),
    [aux_sym_integer_literal_token2] = ACTIONS(11647),
    [aux_sym_integer_literal_token3] = ACTIONS(11645),
    [aux_sym_integer_literal_token4] = ACTIONS(11645),
    [aux_sym_float_literal_token1] = ACTIONS(11647),
    [aux_sym_float_literal_token3] = ACTIONS(11647),
    [aux_sym_float_literal_token4] = ACTIONS(11647),
    [sym_character_literal] = ACTIONS(11647),
    [anon_sym_DQUOTE] = ACTIONS(11645),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11647),
    [anon_sym_BQUOTE] = ACTIONS(11645),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11647),
    [sym__pair_operator] = ACTIONS(11647),
    [sym__arrow_operator] = ACTIONS(11645),
    [sym__lazy_or_operator] = ACTIONS(11647),
    [sym__lazy_and_operator] = ACTIONS(11647),
    [sym__comparison_operator] = ACTIONS(11645),
    [sym__pipe_right_operator] = ACTIONS(11647),
    [sym__pipe_left_operator] = ACTIONS(11647),
    [sym__ellipsis_operator] = ACTIONS(11645),
    [sym__plus_operator] = ACTIONS(11645),
    [sym__times_operator] = ACTIONS(11645),
    [sym__rational_operator] = ACTIONS(11647),
    [sym__bitshift_operator] = ACTIONS(11647),
    [sym__power_operator] = ACTIONS(11647),
    [sym__tilde_operator] = ACTIONS(11647),
    [sym__type_order_operator] = ACTIONS(11647),
    [sym__unary_operator] = ACTIONS(11645),
    [sym__unary_plus_operator] = ACTIONS(11645),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9733] = {
    [sym_block_comment] = STATE(9733),
    [sym_line_comment] = STATE(9733),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11706),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11706),
    [anon_sym_COLON] = ACTIONS(11704),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11706),
    [anon_sym_in] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11706),
    [anon_sym_DOLLAR] = ACTIONS(11706),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11706),
    [anon_sym_isa] = ACTIONS(11704),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11706),
    [anon_sym_QMARK] = ACTIONS(11706),
    [anon_sym_where] = ACTIONS(11704),
    [anon_sym_AT] = ACTIONS(11706),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11706),
    [aux_sym_integer_literal_token2] = ACTIONS(11706),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11706),
    [aux_sym_float_literal_token3] = ACTIONS(11706),
    [aux_sym_float_literal_token4] = ACTIONS(11706),
    [sym_character_literal] = ACTIONS(11706),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11706),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11706),
    [sym__pair_operator] = ACTIONS(11706),
    [sym__arrow_operator] = ACTIONS(11704),
    [sym__lazy_or_operator] = ACTIONS(11706),
    [sym__lazy_and_operator] = ACTIONS(11706),
    [sym__comparison_operator] = ACTIONS(11704),
    [sym__pipe_right_operator] = ACTIONS(11706),
    [sym__pipe_left_operator] = ACTIONS(11706),
    [sym__ellipsis_operator] = ACTIONS(11704),
    [sym__plus_operator] = ACTIONS(11704),
    [sym__times_operator] = ACTIONS(11704),
    [sym__rational_operator] = ACTIONS(11706),
    [sym__bitshift_operator] = ACTIONS(11706),
    [sym__power_operator] = ACTIONS(11706),
    [sym__tilde_operator] = ACTIONS(11706),
    [sym__type_order_operator] = ACTIONS(11706),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(11704),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9734] = {
    [sym_block_comment] = STATE(9734),
    [sym_line_comment] = STATE(9734),
    [sym__word_identifier] = ACTIONS(11038),
    [anon_sym_COMMA] = ACTIONS(11040),
    [anon_sym_EQ] = ACTIONS(11038),
    [anon_sym_begin] = ACTIONS(11038),
    [anon_sym_module] = ACTIONS(11038),
    [anon_sym_baremodule] = ACTIONS(11038),
    [anon_sym_end] = ACTIONS(11038),
    [anon_sym_abstract] = ACTIONS(11038),
    [anon_sym_primitive] = ACTIONS(11038),
    [anon_sym_mutable] = ACTIONS(11038),
    [anon_sym_struct] = ACTIONS(11038),
    [anon_sym_function] = ACTIONS(11038),
    [anon_sym_macro] = ACTIONS(11038),
    [anon_sym_quote] = ACTIONS(11038),
    [anon_sym_let] = ACTIONS(11038),
    [anon_sym_if] = ACTIONS(11038),
    [anon_sym_try] = ACTIONS(11038),
    [anon_sym_for] = ACTIONS(11038),
    [anon_sym_while] = ACTIONS(11038),
    [sym_break_statement] = ACTIONS(11038),
    [sym_continue_statement] = ACTIONS(11038),
    [anon_sym_return] = ACTIONS(11038),
    [anon_sym_const] = ACTIONS(11038),
    [anon_sym_global] = ACTIONS(11038),
    [anon_sym_local] = ACTIONS(11038),
    [anon_sym_LPAREN] = ACTIONS(11040),
    [anon_sym_COLON] = ACTIONS(11038),
    [anon_sym_export] = ACTIONS(11038),
    [anon_sym_public] = ACTIONS(11038),
    [anon_sym_import] = ACTIONS(11038),
    [anon_sym_using] = ACTIONS(11038),
    [anon_sym_LBRACK] = ACTIONS(11040),
    [anon_sym_in] = ACTIONS(11038),
    [anon_sym_LBRACE] = ACTIONS(11040),
    [anon_sym_DOLLAR] = ACTIONS(11040),
    [anon_sym_COLON2] = ACTIONS(11038),
    [anon_sym_COLON_COLON] = ACTIONS(11040),
    [anon_sym_isa] = ACTIONS(11038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11040),
    [anon_sym_QMARK] = ACTIONS(11040),
    [anon_sym_where] = ACTIONS(11038),
    [anon_sym_AT] = ACTIONS(11040),
    [anon_sym_true] = ACTIONS(11038),
    [anon_sym_false] = ACTIONS(11038),
    [aux_sym_integer_literal_token1] = ACTIONS(11040),
    [aux_sym_integer_literal_token2] = ACTIONS(11040),
    [aux_sym_integer_literal_token3] = ACTIONS(11038),
    [aux_sym_integer_literal_token4] = ACTIONS(11038),
    [aux_sym_float_literal_token1] = ACTIONS(11040),
    [aux_sym_float_literal_token3] = ACTIONS(11040),
    [aux_sym_float_literal_token4] = ACTIONS(11040),
    [sym_character_literal] = ACTIONS(11040),
    [anon_sym_DQUOTE] = ACTIONS(11038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11040),
    [anon_sym_BQUOTE] = ACTIONS(11038),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11040),
    [sym__pair_operator] = ACTIONS(11040),
    [sym__arrow_operator] = ACTIONS(11038),
    [sym__lazy_or_operator] = ACTIONS(11040),
    [sym__lazy_and_operator] = ACTIONS(11040),
    [sym__comparison_operator] = ACTIONS(11038),
    [sym__pipe_right_operator] = ACTIONS(11040),
    [sym__pipe_left_operator] = ACTIONS(11040),
    [sym__ellipsis_operator] = ACTIONS(11038),
    [sym__plus_operator] = ACTIONS(11038),
    [sym__times_operator] = ACTIONS(11038),
    [sym__rational_operator] = ACTIONS(11040),
    [sym__bitshift_operator] = ACTIONS(11040),
    [sym__power_operator] = ACTIONS(11040),
    [sym__tilde_operator] = ACTIONS(11040),
    [sym__type_order_operator] = ACTIONS(11040),
    [sym__unary_operator] = ACTIONS(11038),
    [sym__unary_plus_operator] = ACTIONS(11038),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9735] = {
    [sym_block_comment] = STATE(9735),
    [sym_line_comment] = STATE(9735),
    [aux_sym_open_tuple_repeat1] = STATE(9675),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(12937),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11260),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11260),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11260),
    [anon_sym_DOLLAR] = ACTIONS(11260),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(13028),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11260),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11260),
    [aux_sym_integer_literal_token2] = ACTIONS(11260),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11260),
    [aux_sym_float_literal_token3] = ACTIONS(11260),
    [aux_sym_float_literal_token4] = ACTIONS(11260),
    [sym_character_literal] = ACTIONS(11260),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11260),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11260),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11260),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9736] = {
    [sym_block_comment] = STATE(9736),
    [sym_line_comment] = STATE(9736),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9737] = {
    [sym_block_comment] = STATE(9737),
    [sym_line_comment] = STATE(9737),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9738] = {
    [sym_block_comment] = STATE(9738),
    [sym_line_comment] = STATE(9738),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9739] = {
    [sym_block_comment] = STATE(9739),
    [sym_line_comment] = STATE(9739),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11380),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9740] = {
    [sym_block_comment] = STATE(9740),
    [sym_line_comment] = STATE(9740),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11380),
    [sym__bitshift_operator] = ACTIONS(11380),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9741] = {
    [sym_block_comment] = STATE(9741),
    [sym_line_comment] = STATE(9741),
    [sym__word_identifier] = ACTIONS(11102),
    [anon_sym_COMMA] = ACTIONS(11104),
    [anon_sym_EQ] = ACTIONS(11102),
    [anon_sym_begin] = ACTIONS(11102),
    [anon_sym_module] = ACTIONS(11102),
    [anon_sym_baremodule] = ACTIONS(11102),
    [anon_sym_end] = ACTIONS(11102),
    [anon_sym_abstract] = ACTIONS(11102),
    [anon_sym_primitive] = ACTIONS(11102),
    [anon_sym_mutable] = ACTIONS(11102),
    [anon_sym_struct] = ACTIONS(11102),
    [anon_sym_function] = ACTIONS(11102),
    [anon_sym_macro] = ACTIONS(11102),
    [anon_sym_quote] = ACTIONS(11102),
    [anon_sym_let] = ACTIONS(11102),
    [anon_sym_if] = ACTIONS(11102),
    [anon_sym_try] = ACTIONS(11102),
    [anon_sym_for] = ACTIONS(11102),
    [anon_sym_while] = ACTIONS(11102),
    [sym_break_statement] = ACTIONS(11102),
    [sym_continue_statement] = ACTIONS(11102),
    [anon_sym_return] = ACTIONS(11102),
    [anon_sym_const] = ACTIONS(11102),
    [anon_sym_global] = ACTIONS(11102),
    [anon_sym_local] = ACTIONS(11102),
    [anon_sym_LPAREN] = ACTIONS(11104),
    [anon_sym_COLON] = ACTIONS(11102),
    [anon_sym_export] = ACTIONS(11102),
    [anon_sym_public] = ACTIONS(11102),
    [anon_sym_import] = ACTIONS(11102),
    [anon_sym_using] = ACTIONS(11102),
    [anon_sym_LBRACK] = ACTIONS(11104),
    [anon_sym_in] = ACTIONS(11102),
    [anon_sym_LBRACE] = ACTIONS(11104),
    [anon_sym_DOLLAR] = ACTIONS(11104),
    [anon_sym_COLON2] = ACTIONS(11102),
    [anon_sym_COLON_COLON] = ACTIONS(11104),
    [anon_sym_isa] = ACTIONS(11102),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11104),
    [anon_sym_QMARK] = ACTIONS(11104),
    [anon_sym_where] = ACTIONS(11102),
    [anon_sym_AT] = ACTIONS(11104),
    [anon_sym_true] = ACTIONS(11102),
    [anon_sym_false] = ACTIONS(11102),
    [aux_sym_integer_literal_token1] = ACTIONS(11104),
    [aux_sym_integer_literal_token2] = ACTIONS(11104),
    [aux_sym_integer_literal_token3] = ACTIONS(11102),
    [aux_sym_integer_literal_token4] = ACTIONS(11102),
    [aux_sym_float_literal_token1] = ACTIONS(11104),
    [aux_sym_float_literal_token3] = ACTIONS(11104),
    [aux_sym_float_literal_token4] = ACTIONS(11104),
    [sym_character_literal] = ACTIONS(11104),
    [anon_sym_DQUOTE] = ACTIONS(11102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11104),
    [anon_sym_BQUOTE] = ACTIONS(11102),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11104),
    [sym__pair_operator] = ACTIONS(11104),
    [sym__arrow_operator] = ACTIONS(11102),
    [sym__lazy_or_operator] = ACTIONS(11104),
    [sym__lazy_and_operator] = ACTIONS(11104),
    [sym__comparison_operator] = ACTIONS(11102),
    [sym__pipe_right_operator] = ACTIONS(11104),
    [sym__pipe_left_operator] = ACTIONS(11104),
    [sym__ellipsis_operator] = ACTIONS(11102),
    [sym__plus_operator] = ACTIONS(11102),
    [sym__times_operator] = ACTIONS(11102),
    [sym__rational_operator] = ACTIONS(11104),
    [sym__bitshift_operator] = ACTIONS(11104),
    [sym__power_operator] = ACTIONS(11104),
    [sym__tilde_operator] = ACTIONS(11104),
    [sym__type_order_operator] = ACTIONS(11104),
    [sym__unary_operator] = ACTIONS(11102),
    [sym__unary_plus_operator] = ACTIONS(11102),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9742] = {
    [sym_block_comment] = STATE(9742),
    [sym_line_comment] = STATE(9742),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(13030),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13034),
    [sym__plus_operator] = ACTIONS(13036),
    [sym__times_operator] = ACTIONS(13038),
    [sym__rational_operator] = ACTIONS(13040),
    [sym__bitshift_operator] = ACTIONS(13042),
    [sym__power_operator] = ACTIONS(13044),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13036),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9743] = {
    [sym_block_comment] = STATE(9743),
    [sym_line_comment] = STATE(9743),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11430),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_COLON] = ACTIONS(12991),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11430),
    [anon_sym_in] = ACTIONS(12999),
    [anon_sym_SEMI] = ACTIONS(11430),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(13046),
    [anon_sym_where] = ACTIONS(13001),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(13014),
    [sym__arrow_operator] = ACTIONS(13003),
    [sym__lazy_or_operator] = ACTIONS(13005),
    [sym__lazy_and_operator] = ACTIONS(13007),
    [sym__comparison_operator] = ACTIONS(12999),
    [sym__pipe_right_operator] = ACTIONS(12993),
    [sym__pipe_left_operator] = ACTIONS(12995),
    [sym__ellipsis_operator] = ACTIONS(12997),
    [sym__plus_operator] = ACTIONS(12977),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(12999),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(12977),
    [aux_sym__terminator_token1] = ACTIONS(13048),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9744] = {
    [sym_block_comment] = STATE(9744),
    [sym_line_comment] = STATE(9744),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9745] = {
    [sym_block_comment] = STATE(9745),
    [sym_line_comment] = STATE(9745),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11878),
    [anon_sym_EQ] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_end] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11878),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11878),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11878),
    [anon_sym_DOLLAR] = ACTIONS(11878),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(11878),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11878),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11878),
    [aux_sym_integer_literal_token2] = ACTIONS(11878),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11878),
    [aux_sym_float_literal_token3] = ACTIONS(11878),
    [aux_sym_float_literal_token4] = ACTIONS(11878),
    [sym_character_literal] = ACTIONS(11878),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11878),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11878),
    [sym__pair_operator] = ACTIONS(11878),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11878),
    [sym__lazy_and_operator] = ACTIONS(11878),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11878),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9746] = {
    [sym_block_comment] = STATE(9746),
    [sym_line_comment] = STATE(9746),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(12947),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9747] = {
    [sym_block_comment] = STATE(9747),
    [sym_line_comment] = STATE(9747),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9748] = {
    [sym_block_comment] = STATE(9748),
    [sym_line_comment] = STATE(9748),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9749] = {
    [sym_block_comment] = STATE(9749),
    [sym_line_comment] = STATE(9749),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9750] = {
    [sym_block_comment] = STATE(9750),
    [sym_line_comment] = STATE(9750),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9751] = {
    [sym_block_comment] = STATE(9751),
    [sym_line_comment] = STATE(9751),
    [sym__word_identifier] = ACTIONS(10712),
    [anon_sym_begin] = ACTIONS(10712),
    [anon_sym_module] = ACTIONS(10712),
    [anon_sym_baremodule] = ACTIONS(10712),
    [anon_sym_end] = ACTIONS(10712),
    [anon_sym_abstract] = ACTIONS(10712),
    [anon_sym_primitive] = ACTIONS(10712),
    [anon_sym_mutable] = ACTIONS(10712),
    [anon_sym_struct] = ACTIONS(10712),
    [anon_sym_function] = ACTIONS(10712),
    [anon_sym_macro] = ACTIONS(10712),
    [anon_sym_quote] = ACTIONS(10712),
    [anon_sym_let] = ACTIONS(10712),
    [anon_sym_if] = ACTIONS(10712),
    [anon_sym_try] = ACTIONS(10712),
    [anon_sym_for] = ACTIONS(10712),
    [anon_sym_while] = ACTIONS(10712),
    [sym_break_statement] = ACTIONS(10712),
    [sym_continue_statement] = ACTIONS(10712),
    [anon_sym_return] = ACTIONS(10712),
    [anon_sym_const] = ACTIONS(10712),
    [anon_sym_global] = ACTIONS(10712),
    [anon_sym_local] = ACTIONS(10712),
    [anon_sym_LPAREN] = ACTIONS(10712),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(10712),
    [anon_sym_public] = ACTIONS(10712),
    [anon_sym_import] = ACTIONS(10712),
    [anon_sym_using] = ACTIONS(10712),
    [anon_sym_LBRACK] = ACTIONS(10712),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(10712),
    [anon_sym_LBRACE] = ACTIONS(10712),
    [anon_sym_DOLLAR] = ACTIONS(10712),
    [anon_sym_COLON2] = ACTIONS(10712),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(10712),
    [anon_sym_true] = ACTIONS(10712),
    [anon_sym_false] = ACTIONS(10712),
    [aux_sym_integer_literal_token1] = ACTIONS(10712),
    [aux_sym_integer_literal_token2] = ACTIONS(10712),
    [aux_sym_integer_literal_token3] = ACTIONS(10712),
    [aux_sym_integer_literal_token4] = ACTIONS(10712),
    [aux_sym_float_literal_token1] = ACTIONS(10712),
    [aux_sym_float_literal_token3] = ACTIONS(10712),
    [aux_sym_float_literal_token4] = ACTIONS(10712),
    [sym_character_literal] = ACTIONS(10712),
    [anon_sym_DQUOTE] = ACTIONS(10712),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10712),
    [anon_sym_BQUOTE] = ACTIONS(10712),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10712),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(10712),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(10712),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(10718),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9752] = {
    [sym_block_comment] = STATE(9752),
    [sym_line_comment] = STATE(9752),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(3622),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(13050),
    [sym__arrow_operator] = ACTIONS(13052),
    [sym__lazy_or_operator] = ACTIONS(3630),
    [sym__lazy_and_operator] = ACTIONS(3632),
    [sym__comparison_operator] = ACTIONS(3614),
    [sym__pipe_right_operator] = ACTIONS(13030),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13034),
    [sym__plus_operator] = ACTIONS(13036),
    [sym__times_operator] = ACTIONS(13038),
    [sym__rational_operator] = ACTIONS(13040),
    [sym__bitshift_operator] = ACTIONS(13042),
    [sym__power_operator] = ACTIONS(13044),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(3614),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13036),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9753] = {
    [sym_block_comment] = STATE(9753),
    [sym_line_comment] = STATE(9753),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(13052),
    [sym__lazy_or_operator] = ACTIONS(3630),
    [sym__lazy_and_operator] = ACTIONS(3632),
    [sym__comparison_operator] = ACTIONS(3614),
    [sym__pipe_right_operator] = ACTIONS(13030),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13034),
    [sym__plus_operator] = ACTIONS(13036),
    [sym__times_operator] = ACTIONS(13038),
    [sym__rational_operator] = ACTIONS(13040),
    [sym__bitshift_operator] = ACTIONS(13042),
    [sym__power_operator] = ACTIONS(13044),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(3614),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13036),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9754] = {
    [sym_block_comment] = STATE(9754),
    [sym_line_comment] = STATE(9754),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(3632),
    [sym__comparison_operator] = ACTIONS(3614),
    [sym__pipe_right_operator] = ACTIONS(13030),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13034),
    [sym__plus_operator] = ACTIONS(13036),
    [sym__times_operator] = ACTIONS(13038),
    [sym__rational_operator] = ACTIONS(13040),
    [sym__bitshift_operator] = ACTIONS(13042),
    [sym__power_operator] = ACTIONS(13044),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(3614),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13036),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9755] = {
    [sym_block_comment] = STATE(9755),
    [sym_line_comment] = STATE(9755),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(10629),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9756] = {
    [sym_block_comment] = STATE(9756),
    [sym_line_comment] = STATE(9756),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_end] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(13036),
    [sym__times_operator] = ACTIONS(13038),
    [sym__rational_operator] = ACTIONS(13040),
    [sym__bitshift_operator] = ACTIONS(13042),
    [sym__power_operator] = ACTIONS(13044),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(13036),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9757] = {
    [sym_block_comment] = STATE(9757),
    [sym_line_comment] = STATE(9757),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_end] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(3622),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(13050),
    [sym__arrow_operator] = ACTIONS(13052),
    [sym__lazy_or_operator] = ACTIONS(3630),
    [sym__lazy_and_operator] = ACTIONS(3632),
    [sym__comparison_operator] = ACTIONS(3614),
    [sym__pipe_right_operator] = ACTIONS(13030),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13034),
    [sym__plus_operator] = ACTIONS(13036),
    [sym__times_operator] = ACTIONS(13038),
    [sym__rational_operator] = ACTIONS(13040),
    [sym__bitshift_operator] = ACTIONS(13042),
    [sym__power_operator] = ACTIONS(13044),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(3614),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(13036),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9758] = {
    [sym_block_comment] = STATE(9758),
    [sym_line_comment] = STATE(9758),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(12907),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(12925),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(3622),
    [anon_sym_where] = ACTIONS(12927),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(12989),
    [sym__arrow_operator] = ACTIONS(12929),
    [sym__lazy_or_operator] = ACTIONS(12931),
    [sym__lazy_and_operator] = ACTIONS(12933),
    [sym__comparison_operator] = ACTIONS(12925),
    [sym__pipe_right_operator] = ACTIONS(12909),
    [sym__pipe_left_operator] = ACTIONS(12911),
    [sym__ellipsis_operator] = ACTIONS(12913),
    [sym__plus_operator] = ACTIONS(12915),
    [sym__times_operator] = ACTIONS(12917),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(12925),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12915),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9759] = {
    [sym_block_comment] = STATE(9759),
    [sym_line_comment] = STATE(9759),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(3624),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(3614),
    [sym__pipe_right_operator] = ACTIONS(13030),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13034),
    [sym__plus_operator] = ACTIONS(13036),
    [sym__times_operator] = ACTIONS(13038),
    [sym__rational_operator] = ACTIONS(13040),
    [sym__bitshift_operator] = ACTIONS(13042),
    [sym__power_operator] = ACTIONS(13044),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(3614),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13036),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9760] = {
    [sym_block_comment] = STATE(9760),
    [sym_line_comment] = STATE(9760),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(13034),
    [sym__plus_operator] = ACTIONS(13036),
    [sym__times_operator] = ACTIONS(13038),
    [sym__rational_operator] = ACTIONS(13040),
    [sym__bitshift_operator] = ACTIONS(13042),
    [sym__power_operator] = ACTIONS(13044),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13036),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9761] = {
    [sym_block_comment] = STATE(9761),
    [sym_line_comment] = STATE(9761),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(13030),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13034),
    [sym__plus_operator] = ACTIONS(13036),
    [sym__times_operator] = ACTIONS(13038),
    [sym__rational_operator] = ACTIONS(13040),
    [sym__bitshift_operator] = ACTIONS(13042),
    [sym__power_operator] = ACTIONS(13044),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13036),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9762] = {
    [sym_block_comment] = STATE(9762),
    [sym_line_comment] = STATE(9762),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(13036),
    [sym__times_operator] = ACTIONS(13038),
    [sym__rational_operator] = ACTIONS(13040),
    [sym__bitshift_operator] = ACTIONS(13042),
    [sym__power_operator] = ACTIONS(13044),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13036),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9763] = {
    [sym_block_comment] = STATE(9763),
    [sym_line_comment] = STATE(9763),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(13038),
    [sym__rational_operator] = ACTIONS(13040),
    [sym__bitshift_operator] = ACTIONS(13042),
    [sym__power_operator] = ACTIONS(13044),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9764] = {
    [sym_block_comment] = STATE(9764),
    [sym_line_comment] = STATE(9764),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(13040),
    [sym__bitshift_operator] = ACTIONS(13042),
    [sym__power_operator] = ACTIONS(13044),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9765] = {
    [sym_block_comment] = STATE(9765),
    [sym_line_comment] = STATE(9765),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(13042),
    [sym__power_operator] = ACTIONS(13044),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9766] = {
    [sym_block_comment] = STATE(9766),
    [sym_line_comment] = STATE(9766),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9767] = {
    [sym_block_comment] = STATE(9767),
    [sym_line_comment] = STATE(9767),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(13044),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9768] = {
    [sym_block_comment] = STATE(9768),
    [sym_line_comment] = STATE(9768),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11214),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11214),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11214),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11214),
    [anon_sym_DOLLAR] = ACTIONS(11214),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11214),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11214),
    [anon_sym_QMARK] = ACTIONS(11214),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11214),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11214),
    [aux_sym_integer_literal_token2] = ACTIONS(11214),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11214),
    [aux_sym_float_literal_token3] = ACTIONS(11214),
    [aux_sym_float_literal_token4] = ACTIONS(11214),
    [sym_character_literal] = ACTIONS(11214),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11214),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11214),
    [sym__pair_operator] = ACTIONS(11214),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11214),
    [sym__lazy_and_operator] = ACTIONS(11214),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11214),
    [sym__pipe_left_operator] = ACTIONS(11214),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11214),
    [sym__bitshift_operator] = ACTIONS(11214),
    [sym__power_operator] = ACTIONS(11214),
    [sym__tilde_operator] = ACTIONS(11214),
    [sym__type_order_operator] = ACTIONS(11214),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9769] = {
    [sym_block_comment] = STATE(9769),
    [sym_line_comment] = STATE(9769),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11202),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11202),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11202),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11202),
    [anon_sym_DOLLAR] = ACTIONS(11202),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11202),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11202),
    [anon_sym_QMARK] = ACTIONS(11202),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11202),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11202),
    [aux_sym_integer_literal_token2] = ACTIONS(11202),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11202),
    [aux_sym_float_literal_token3] = ACTIONS(11202),
    [aux_sym_float_literal_token4] = ACTIONS(11202),
    [sym_character_literal] = ACTIONS(11202),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11202),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11202),
    [sym__pair_operator] = ACTIONS(11202),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11202),
    [sym__lazy_and_operator] = ACTIONS(11202),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11202),
    [sym__pipe_left_operator] = ACTIONS(11202),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11202),
    [sym__bitshift_operator] = ACTIONS(11202),
    [sym__power_operator] = ACTIONS(11202),
    [sym__tilde_operator] = ACTIONS(11202),
    [sym__type_order_operator] = ACTIONS(11202),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9770] = {
    [sym_block_comment] = STATE(9770),
    [sym_line_comment] = STATE(9770),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11206),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11206),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11206),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11206),
    [anon_sym_DOLLAR] = ACTIONS(11206),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11206),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11206),
    [anon_sym_QMARK] = ACTIONS(11206),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11206),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11206),
    [aux_sym_integer_literal_token2] = ACTIONS(11206),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11206),
    [aux_sym_float_literal_token3] = ACTIONS(11206),
    [aux_sym_float_literal_token4] = ACTIONS(11206),
    [sym_character_literal] = ACTIONS(11206),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11206),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11206),
    [sym__pair_operator] = ACTIONS(11206),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11206),
    [sym__lazy_and_operator] = ACTIONS(11206),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11206),
    [sym__pipe_left_operator] = ACTIONS(11206),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11206),
    [sym__bitshift_operator] = ACTIONS(11206),
    [sym__power_operator] = ACTIONS(11206),
    [sym__tilde_operator] = ACTIONS(11206),
    [sym__type_order_operator] = ACTIONS(11206),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9771] = {
    [sym_block_comment] = STATE(9771),
    [sym_line_comment] = STATE(9771),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11210),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11210),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11210),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11210),
    [anon_sym_DOLLAR] = ACTIONS(11210),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11210),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11210),
    [anon_sym_QMARK] = ACTIONS(11210),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11210),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11210),
    [aux_sym_integer_literal_token2] = ACTIONS(11210),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11210),
    [aux_sym_float_literal_token3] = ACTIONS(11210),
    [aux_sym_float_literal_token4] = ACTIONS(11210),
    [sym_character_literal] = ACTIONS(11210),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11210),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11210),
    [sym__pair_operator] = ACTIONS(11210),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11210),
    [sym__lazy_and_operator] = ACTIONS(11210),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11210),
    [sym__pipe_left_operator] = ACTIONS(11210),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11210),
    [sym__bitshift_operator] = ACTIONS(11210),
    [sym__power_operator] = ACTIONS(11210),
    [sym__tilde_operator] = ACTIONS(11210),
    [sym__type_order_operator] = ACTIONS(11210),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9772] = {
    [sym_block_comment] = STATE(9772),
    [sym_line_comment] = STATE(9772),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_DASH_GT] = ACTIONS(10467),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9773] = {
    [sym_block_comment] = STATE(9773),
    [sym_line_comment] = STATE(9773),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11260),
    [anon_sym_EQ] = ACTIONS(13054),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11260),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11260),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11260),
    [anon_sym_DOLLAR] = ACTIONS(11260),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11260),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11260),
    [anon_sym_QMARK] = ACTIONS(11260),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11260),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11260),
    [aux_sym_integer_literal_token2] = ACTIONS(11260),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11260),
    [aux_sym_float_literal_token3] = ACTIONS(11260),
    [aux_sym_float_literal_token4] = ACTIONS(11260),
    [sym_character_literal] = ACTIONS(11260),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11260),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11260),
    [sym__pair_operator] = ACTIONS(11260),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11260),
    [sym__lazy_and_operator] = ACTIONS(11260),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11260),
    [sym__pipe_left_operator] = ACTIONS(11260),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11260),
    [sym__bitshift_operator] = ACTIONS(11260),
    [sym__power_operator] = ACTIONS(11260),
    [sym__tilde_operator] = ACTIONS(11260),
    [sym__type_order_operator] = ACTIONS(11260),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9774] = {
    [sym__primary_expression] = STATE(12125),
    [sym__array] = STATE(10654),
    [sym_comprehension_expression] = STATE(10689),
    [sym_matrix_expression] = STATE(10689),
    [sym_vector_expression] = STATE(10689),
    [sym_parenthesized_expression] = STATE(10654),
    [sym_tuple_expression] = STATE(10654),
    [sym_curly_expression] = STATE(10654),
    [sym_adjoint_expression] = STATE(10654),
    [sym_field_expression] = STATE(10654),
    [sym_index_expression] = STATE(10654),
    [sym_parametrized_type_expression] = STATE(10654),
    [sym_call_expression] = STATE(10654),
    [sym_broadcast_call_expression] = STATE(10654),
    [sym__closed_macrocall_expression] = STATE(10654),
    [sym_interpolation_expression] = STATE(10654),
    [sym_quote_expression] = STATE(10654),
    [sym_macro_identifier] = STATE(17588),
    [sym_identifier] = STATE(11901),
    [sym_boolean_literal] = STATE(10654),
    [sym__string] = STATE(10654),
    [sym__delimiter_str_1] = STATE(15341),
    [sym__delimiter_str_3] = STATE(15342),
    [sym__delimiter_cmd_1] = STATE(15343),
    [sym__delimiter_cmd_3] = STATE(15344),
    [sym_string_literal] = STATE(10680),
    [sym_command_literal] = STATE(10680),
    [sym_prefixed_string_literal] = STATE(10680),
    [sym_prefixed_command_literal] = STATE(10680),
    [sym_operator] = STATE(19440),
    [sym_block_comment] = STATE(9774),
    [sym_line_comment] = STATE(9774),
    [sym__word_identifier] = ACTIONS(10105),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(10107),
    [anon_sym_RPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(10109),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9483),
    [anon_sym_LBRACE] = ACTIONS(10111),
    [anon_sym_DOLLAR] = ACTIONS(13056),
    [anon_sym_COLON2] = ACTIONS(10738),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(10117),
    [anon_sym_true] = ACTIONS(10119),
    [anon_sym_false] = ACTIONS(10119),
    [sym_character_literal] = ACTIONS(10121),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(9614),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9614),
    [sym__pipe_left_operator] = ACTIONS(9614),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9614),
    [sym__bitshift_operator] = ACTIONS(9614),
    [sym__power_operator] = ACTIONS(9614),
    [sym__tilde_operator] = ACTIONS(1687),
    [sym__type_order_operator] = ACTIONS(9614),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9775] = {
    [sym_block_comment] = STATE(9775),
    [sym_line_comment] = STATE(9775),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(10617),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9776] = {
    [sym_block_comment] = STATE(9776),
    [sym_line_comment] = STATE(9776),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9777] = {
    [sym_block_comment] = STATE(9777),
    [sym_line_comment] = STATE(9777),
    [sym__word_identifier] = ACTIONS(11316),
    [anon_sym_COMMA] = ACTIONS(11318),
    [anon_sym_EQ] = ACTIONS(11316),
    [anon_sym_begin] = ACTIONS(11316),
    [anon_sym_module] = ACTIONS(11316),
    [anon_sym_baremodule] = ACTIONS(11316),
    [anon_sym_end] = ACTIONS(11316),
    [anon_sym_abstract] = ACTIONS(11316),
    [anon_sym_primitive] = ACTIONS(11316),
    [anon_sym_mutable] = ACTIONS(11316),
    [anon_sym_struct] = ACTIONS(11316),
    [anon_sym_function] = ACTIONS(11316),
    [anon_sym_macro] = ACTIONS(11316),
    [anon_sym_quote] = ACTIONS(11316),
    [anon_sym_let] = ACTIONS(11316),
    [anon_sym_if] = ACTIONS(11316),
    [anon_sym_try] = ACTIONS(11316),
    [anon_sym_for] = ACTIONS(11316),
    [anon_sym_while] = ACTIONS(11316),
    [sym_break_statement] = ACTIONS(11316),
    [sym_continue_statement] = ACTIONS(11316),
    [anon_sym_return] = ACTIONS(11316),
    [anon_sym_const] = ACTIONS(11316),
    [anon_sym_global] = ACTIONS(11316),
    [anon_sym_local] = ACTIONS(11316),
    [anon_sym_LPAREN] = ACTIONS(11318),
    [anon_sym_COLON] = ACTIONS(11316),
    [anon_sym_export] = ACTIONS(11316),
    [anon_sym_public] = ACTIONS(11316),
    [anon_sym_import] = ACTIONS(11316),
    [anon_sym_using] = ACTIONS(11316),
    [anon_sym_LBRACK] = ACTIONS(11318),
    [anon_sym_in] = ACTIONS(11316),
    [anon_sym_LBRACE] = ACTIONS(11318),
    [anon_sym_DOLLAR] = ACTIONS(11318),
    [anon_sym_COLON2] = ACTIONS(11316),
    [anon_sym_COLON_COLON] = ACTIONS(11318),
    [anon_sym_isa] = ACTIONS(11316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11318),
    [anon_sym_QMARK] = ACTIONS(11318),
    [anon_sym_where] = ACTIONS(11316),
    [anon_sym_AT] = ACTIONS(11318),
    [anon_sym_true] = ACTIONS(11316),
    [anon_sym_false] = ACTIONS(11316),
    [aux_sym_integer_literal_token1] = ACTIONS(11318),
    [aux_sym_integer_literal_token2] = ACTIONS(11318),
    [aux_sym_integer_literal_token3] = ACTIONS(11316),
    [aux_sym_integer_literal_token4] = ACTIONS(11316),
    [aux_sym_float_literal_token1] = ACTIONS(11318),
    [aux_sym_float_literal_token3] = ACTIONS(11318),
    [aux_sym_float_literal_token4] = ACTIONS(11318),
    [sym_character_literal] = ACTIONS(11318),
    [anon_sym_DQUOTE] = ACTIONS(11316),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11318),
    [anon_sym_BQUOTE] = ACTIONS(11316),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11318),
    [sym__pair_operator] = ACTIONS(11318),
    [sym__arrow_operator] = ACTIONS(11316),
    [sym__lazy_or_operator] = ACTIONS(11318),
    [sym__lazy_and_operator] = ACTIONS(11318),
    [sym__comparison_operator] = ACTIONS(11316),
    [sym__pipe_right_operator] = ACTIONS(11318),
    [sym__pipe_left_operator] = ACTIONS(11318),
    [sym__ellipsis_operator] = ACTIONS(11316),
    [sym__plus_operator] = ACTIONS(11316),
    [sym__times_operator] = ACTIONS(11316),
    [sym__rational_operator] = ACTIONS(11318),
    [sym__bitshift_operator] = ACTIONS(11318),
    [sym__power_operator] = ACTIONS(11318),
    [sym__tilde_operator] = ACTIONS(11318),
    [sym__type_order_operator] = ACTIONS(11318),
    [sym__unary_operator] = ACTIONS(11316),
    [sym__unary_plus_operator] = ACTIONS(11316),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9778] = {
    [sym_block_comment] = STATE(9778),
    [sym_line_comment] = STATE(9778),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11790),
    [anon_sym_EQ] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_end] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11790),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11790),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11790),
    [anon_sym_DOLLAR] = ACTIONS(11790),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11790),
    [anon_sym_QMARK] = ACTIONS(11790),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11790),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11790),
    [aux_sym_integer_literal_token2] = ACTIONS(11790),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11790),
    [aux_sym_float_literal_token3] = ACTIONS(11790),
    [aux_sym_float_literal_token4] = ACTIONS(11790),
    [sym_character_literal] = ACTIONS(11790),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11790),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11790),
    [sym__pair_operator] = ACTIONS(11790),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11790),
    [sym__lazy_and_operator] = ACTIONS(11790),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11790),
    [sym__pipe_left_operator] = ACTIONS(11790),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11790),
    [sym__type_order_operator] = ACTIONS(11790),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9779] = {
    [sym_block_comment] = STATE(9779),
    [sym_line_comment] = STATE(9779),
    [sym__word_identifier] = ACTIONS(11320),
    [anon_sym_COMMA] = ACTIONS(11322),
    [anon_sym_EQ] = ACTIONS(11320),
    [anon_sym_begin] = ACTIONS(11320),
    [anon_sym_module] = ACTIONS(11320),
    [anon_sym_baremodule] = ACTIONS(11320),
    [anon_sym_end] = ACTIONS(11320),
    [anon_sym_abstract] = ACTIONS(11320),
    [anon_sym_primitive] = ACTIONS(11320),
    [anon_sym_mutable] = ACTIONS(11320),
    [anon_sym_struct] = ACTIONS(11320),
    [anon_sym_function] = ACTIONS(11320),
    [anon_sym_macro] = ACTIONS(11320),
    [anon_sym_quote] = ACTIONS(11320),
    [anon_sym_let] = ACTIONS(11320),
    [anon_sym_if] = ACTIONS(11320),
    [anon_sym_try] = ACTIONS(11320),
    [anon_sym_for] = ACTIONS(11320),
    [anon_sym_while] = ACTIONS(11320),
    [sym_break_statement] = ACTIONS(11320),
    [sym_continue_statement] = ACTIONS(11320),
    [anon_sym_return] = ACTIONS(11320),
    [anon_sym_const] = ACTIONS(11320),
    [anon_sym_global] = ACTIONS(11320),
    [anon_sym_local] = ACTIONS(11320),
    [anon_sym_LPAREN] = ACTIONS(11322),
    [anon_sym_COLON] = ACTIONS(11320),
    [anon_sym_export] = ACTIONS(11320),
    [anon_sym_public] = ACTIONS(11320),
    [anon_sym_import] = ACTIONS(11320),
    [anon_sym_using] = ACTIONS(11320),
    [anon_sym_LBRACK] = ACTIONS(11322),
    [anon_sym_in] = ACTIONS(11320),
    [anon_sym_LBRACE] = ACTIONS(11322),
    [anon_sym_DOLLAR] = ACTIONS(11322),
    [anon_sym_COLON2] = ACTIONS(11320),
    [anon_sym_COLON_COLON] = ACTIONS(11322),
    [anon_sym_isa] = ACTIONS(11320),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11322),
    [anon_sym_QMARK] = ACTIONS(11322),
    [anon_sym_where] = ACTIONS(11320),
    [anon_sym_AT] = ACTIONS(11322),
    [anon_sym_true] = ACTIONS(11320),
    [anon_sym_false] = ACTIONS(11320),
    [aux_sym_integer_literal_token1] = ACTIONS(11322),
    [aux_sym_integer_literal_token2] = ACTIONS(11322),
    [aux_sym_integer_literal_token3] = ACTIONS(11320),
    [aux_sym_integer_literal_token4] = ACTIONS(11320),
    [aux_sym_float_literal_token1] = ACTIONS(11322),
    [aux_sym_float_literal_token3] = ACTIONS(11322),
    [aux_sym_float_literal_token4] = ACTIONS(11322),
    [sym_character_literal] = ACTIONS(11322),
    [anon_sym_DQUOTE] = ACTIONS(11320),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11322),
    [anon_sym_BQUOTE] = ACTIONS(11320),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11322),
    [sym__pair_operator] = ACTIONS(11322),
    [sym__arrow_operator] = ACTIONS(11320),
    [sym__lazy_or_operator] = ACTIONS(11322),
    [sym__lazy_and_operator] = ACTIONS(11322),
    [sym__comparison_operator] = ACTIONS(11320),
    [sym__pipe_right_operator] = ACTIONS(11322),
    [sym__pipe_left_operator] = ACTIONS(11322),
    [sym__ellipsis_operator] = ACTIONS(11320),
    [sym__plus_operator] = ACTIONS(11320),
    [sym__times_operator] = ACTIONS(11320),
    [sym__rational_operator] = ACTIONS(11322),
    [sym__bitshift_operator] = ACTIONS(11322),
    [sym__power_operator] = ACTIONS(11322),
    [sym__tilde_operator] = ACTIONS(11322),
    [sym__type_order_operator] = ACTIONS(11322),
    [sym__unary_operator] = ACTIONS(11320),
    [sym__unary_plus_operator] = ACTIONS(11320),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9780] = {
    [sym_block_comment] = STATE(9780),
    [sym_line_comment] = STATE(9780),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11202),
    [anon_sym_EQ] = ACTIONS(10617),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11202),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11202),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11202),
    [anon_sym_DOLLAR] = ACTIONS(11202),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11202),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11202),
    [anon_sym_QMARK] = ACTIONS(11202),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11202),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11202),
    [aux_sym_integer_literal_token2] = ACTIONS(11202),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11202),
    [aux_sym_float_literal_token3] = ACTIONS(11202),
    [aux_sym_float_literal_token4] = ACTIONS(11202),
    [sym_character_literal] = ACTIONS(11202),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11202),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11202),
    [sym__pair_operator] = ACTIONS(11202),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11202),
    [sym__lazy_and_operator] = ACTIONS(11202),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11202),
    [sym__pipe_left_operator] = ACTIONS(11202),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11202),
    [sym__bitshift_operator] = ACTIONS(11202),
    [sym__power_operator] = ACTIONS(11202),
    [sym__tilde_operator] = ACTIONS(11202),
    [sym__type_order_operator] = ACTIONS(11202),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9781] = {
    [sym_block_comment] = STATE(9781),
    [sym_line_comment] = STATE(9781),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(11202),
    [anon_sym_EQ] = ACTIONS(11166),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11202),
    [anon_sym_COLON] = ACTIONS(11166),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11202),
    [anon_sym_in] = ACTIONS(11166),
    [anon_sym_LBRACE] = ACTIONS(11202),
    [anon_sym_DOLLAR] = ACTIONS(11202),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(11202),
    [anon_sym_isa] = ACTIONS(11166),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11202),
    [anon_sym_QMARK] = ACTIONS(11202),
    [anon_sym_where] = ACTIONS(11166),
    [anon_sym_AT] = ACTIONS(11202),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11202),
    [aux_sym_integer_literal_token2] = ACTIONS(11202),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11202),
    [aux_sym_float_literal_token3] = ACTIONS(11202),
    [aux_sym_float_literal_token4] = ACTIONS(11202),
    [sym_character_literal] = ACTIONS(11202),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11202),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11202),
    [sym__pair_operator] = ACTIONS(11202),
    [sym__arrow_operator] = ACTIONS(11166),
    [sym__lazy_or_operator] = ACTIONS(11202),
    [sym__lazy_and_operator] = ACTIONS(11202),
    [sym__comparison_operator] = ACTIONS(11166),
    [sym__pipe_right_operator] = ACTIONS(11202),
    [sym__pipe_left_operator] = ACTIONS(11202),
    [sym__ellipsis_operator] = ACTIONS(11166),
    [sym__plus_operator] = ACTIONS(11166),
    [sym__times_operator] = ACTIONS(11166),
    [sym__rational_operator] = ACTIONS(11202),
    [sym__bitshift_operator] = ACTIONS(11202),
    [sym__power_operator] = ACTIONS(11202),
    [sym__tilde_operator] = ACTIONS(11202),
    [sym__type_order_operator] = ACTIONS(11202),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(11166),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9782] = {
    [sym_block_comment] = STATE(9782),
    [sym_line_comment] = STATE(9782),
    [aux_sym_open_tuple_repeat1] = STATE(9675),
    [sym__word_identifier] = ACTIONS(11166),
    [anon_sym_COMMA] = ACTIONS(12937),
    [anon_sym_begin] = ACTIONS(11166),
    [anon_sym_module] = ACTIONS(11166),
    [anon_sym_baremodule] = ACTIONS(11166),
    [anon_sym_end] = ACTIONS(11166),
    [anon_sym_abstract] = ACTIONS(11166),
    [anon_sym_primitive] = ACTIONS(11166),
    [anon_sym_mutable] = ACTIONS(11166),
    [anon_sym_struct] = ACTIONS(11166),
    [anon_sym_function] = ACTIONS(11166),
    [anon_sym_macro] = ACTIONS(11166),
    [anon_sym_quote] = ACTIONS(11166),
    [anon_sym_let] = ACTIONS(11166),
    [anon_sym_if] = ACTIONS(11166),
    [anon_sym_try] = ACTIONS(11166),
    [anon_sym_for] = ACTIONS(11166),
    [anon_sym_while] = ACTIONS(11166),
    [sym_break_statement] = ACTIONS(11166),
    [sym_continue_statement] = ACTIONS(11166),
    [anon_sym_return] = ACTIONS(11166),
    [anon_sym_const] = ACTIONS(11166),
    [anon_sym_global] = ACTIONS(11166),
    [anon_sym_local] = ACTIONS(11166),
    [anon_sym_LPAREN] = ACTIONS(11202),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11166),
    [anon_sym_public] = ACTIONS(11166),
    [anon_sym_import] = ACTIONS(11166),
    [anon_sym_using] = ACTIONS(11166),
    [anon_sym_LBRACK] = ACTIONS(11202),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11202),
    [anon_sym_DOLLAR] = ACTIONS(11202),
    [anon_sym_COLON2] = ACTIONS(11166),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(13028),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11202),
    [anon_sym_true] = ACTIONS(11166),
    [anon_sym_false] = ACTIONS(11166),
    [aux_sym_integer_literal_token1] = ACTIONS(11202),
    [aux_sym_integer_literal_token2] = ACTIONS(11202),
    [aux_sym_integer_literal_token3] = ACTIONS(11166),
    [aux_sym_integer_literal_token4] = ACTIONS(11166),
    [aux_sym_float_literal_token1] = ACTIONS(11202),
    [aux_sym_float_literal_token3] = ACTIONS(11202),
    [aux_sym_float_literal_token4] = ACTIONS(11202),
    [sym_character_literal] = ACTIONS(11202),
    [anon_sym_DQUOTE] = ACTIONS(11166),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11202),
    [anon_sym_BQUOTE] = ACTIONS(11166),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11202),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11202),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11166),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9783] = {
    [sym_block_comment] = STATE(9783),
    [sym_line_comment] = STATE(9783),
    [sym__word_identifier] = ACTIONS(11374),
    [anon_sym_COMMA] = ACTIONS(11376),
    [anon_sym_EQ] = ACTIONS(11374),
    [anon_sym_begin] = ACTIONS(11374),
    [anon_sym_module] = ACTIONS(11374),
    [anon_sym_baremodule] = ACTIONS(11374),
    [anon_sym_end] = ACTIONS(11374),
    [anon_sym_abstract] = ACTIONS(11374),
    [anon_sym_primitive] = ACTIONS(11374),
    [anon_sym_mutable] = ACTIONS(11374),
    [anon_sym_struct] = ACTIONS(11374),
    [anon_sym_function] = ACTIONS(11374),
    [anon_sym_macro] = ACTIONS(11374),
    [anon_sym_quote] = ACTIONS(11374),
    [anon_sym_let] = ACTIONS(11374),
    [anon_sym_if] = ACTIONS(11374),
    [anon_sym_try] = ACTIONS(11374),
    [anon_sym_for] = ACTIONS(11374),
    [anon_sym_while] = ACTIONS(11374),
    [sym_break_statement] = ACTIONS(11374),
    [sym_continue_statement] = ACTIONS(11374),
    [anon_sym_return] = ACTIONS(11374),
    [anon_sym_const] = ACTIONS(11374),
    [anon_sym_global] = ACTIONS(11374),
    [anon_sym_local] = ACTIONS(11374),
    [anon_sym_LPAREN] = ACTIONS(11376),
    [anon_sym_COLON] = ACTIONS(11374),
    [anon_sym_export] = ACTIONS(11374),
    [anon_sym_public] = ACTIONS(11374),
    [anon_sym_import] = ACTIONS(11374),
    [anon_sym_using] = ACTIONS(11374),
    [anon_sym_LBRACK] = ACTIONS(11376),
    [anon_sym_in] = ACTIONS(11374),
    [anon_sym_LBRACE] = ACTIONS(11376),
    [anon_sym_DOLLAR] = ACTIONS(11376),
    [anon_sym_COLON2] = ACTIONS(11374),
    [anon_sym_COLON_COLON] = ACTIONS(11376),
    [anon_sym_isa] = ACTIONS(11374),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11376),
    [anon_sym_QMARK] = ACTIONS(11376),
    [anon_sym_where] = ACTIONS(11374),
    [anon_sym_AT] = ACTIONS(11376),
    [anon_sym_true] = ACTIONS(11374),
    [anon_sym_false] = ACTIONS(11374),
    [aux_sym_integer_literal_token1] = ACTIONS(11376),
    [aux_sym_integer_literal_token2] = ACTIONS(11376),
    [aux_sym_integer_literal_token3] = ACTIONS(11374),
    [aux_sym_integer_literal_token4] = ACTIONS(11374),
    [aux_sym_float_literal_token1] = ACTIONS(11376),
    [aux_sym_float_literal_token3] = ACTIONS(11376),
    [aux_sym_float_literal_token4] = ACTIONS(11376),
    [sym_character_literal] = ACTIONS(11376),
    [anon_sym_DQUOTE] = ACTIONS(11374),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11376),
    [anon_sym_BQUOTE] = ACTIONS(11374),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11376),
    [sym__pair_operator] = ACTIONS(11376),
    [sym__arrow_operator] = ACTIONS(11374),
    [sym__lazy_or_operator] = ACTIONS(11376),
    [sym__lazy_and_operator] = ACTIONS(11376),
    [sym__comparison_operator] = ACTIONS(11374),
    [sym__pipe_right_operator] = ACTIONS(11376),
    [sym__pipe_left_operator] = ACTIONS(11376),
    [sym__ellipsis_operator] = ACTIONS(11374),
    [sym__plus_operator] = ACTIONS(11374),
    [sym__times_operator] = ACTIONS(11374),
    [sym__rational_operator] = ACTIONS(11376),
    [sym__bitshift_operator] = ACTIONS(11376),
    [sym__power_operator] = ACTIONS(11376),
    [sym__tilde_operator] = ACTIONS(11376),
    [sym__type_order_operator] = ACTIONS(11376),
    [sym__unary_operator] = ACTIONS(11374),
    [sym__unary_plus_operator] = ACTIONS(11374),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9784] = {
    [sym_block_comment] = STATE(9784),
    [sym_line_comment] = STATE(9784),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11206),
    [anon_sym_EQ] = ACTIONS(10617),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11206),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11206),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11206),
    [anon_sym_DOLLAR] = ACTIONS(11206),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11206),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11206),
    [anon_sym_QMARK] = ACTIONS(11206),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11206),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11206),
    [aux_sym_integer_literal_token2] = ACTIONS(11206),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11206),
    [aux_sym_float_literal_token3] = ACTIONS(11206),
    [aux_sym_float_literal_token4] = ACTIONS(11206),
    [sym_character_literal] = ACTIONS(11206),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11206),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11206),
    [sym__pair_operator] = ACTIONS(11206),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11206),
    [sym__lazy_and_operator] = ACTIONS(11206),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11206),
    [sym__pipe_left_operator] = ACTIONS(11206),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11206),
    [sym__bitshift_operator] = ACTIONS(11206),
    [sym__power_operator] = ACTIONS(11206),
    [sym__tilde_operator] = ACTIONS(11206),
    [sym__type_order_operator] = ACTIONS(11206),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9785] = {
    [sym_block_comment] = STATE(9785),
    [sym_line_comment] = STATE(9785),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(11206),
    [anon_sym_EQ] = ACTIONS(11204),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11206),
    [anon_sym_COLON] = ACTIONS(11204),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11206),
    [anon_sym_in] = ACTIONS(11204),
    [anon_sym_LBRACE] = ACTIONS(11206),
    [anon_sym_DOLLAR] = ACTIONS(11206),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(11206),
    [anon_sym_isa] = ACTIONS(11204),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11206),
    [anon_sym_QMARK] = ACTIONS(11206),
    [anon_sym_where] = ACTIONS(11204),
    [anon_sym_AT] = ACTIONS(11206),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11206),
    [aux_sym_integer_literal_token2] = ACTIONS(11206),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11206),
    [aux_sym_float_literal_token3] = ACTIONS(11206),
    [aux_sym_float_literal_token4] = ACTIONS(11206),
    [sym_character_literal] = ACTIONS(11206),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11206),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11206),
    [sym__pair_operator] = ACTIONS(11206),
    [sym__arrow_operator] = ACTIONS(11204),
    [sym__lazy_or_operator] = ACTIONS(11206),
    [sym__lazy_and_operator] = ACTIONS(11206),
    [sym__comparison_operator] = ACTIONS(11204),
    [sym__pipe_right_operator] = ACTIONS(11206),
    [sym__pipe_left_operator] = ACTIONS(11206),
    [sym__ellipsis_operator] = ACTIONS(11204),
    [sym__plus_operator] = ACTIONS(11204),
    [sym__times_operator] = ACTIONS(11204),
    [sym__rational_operator] = ACTIONS(11206),
    [sym__bitshift_operator] = ACTIONS(11206),
    [sym__power_operator] = ACTIONS(11206),
    [sym__tilde_operator] = ACTIONS(11206),
    [sym__type_order_operator] = ACTIONS(11206),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(11204),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9786] = {
    [sym_block_comment] = STATE(9786),
    [sym_line_comment] = STATE(9786),
    [aux_sym_open_tuple_repeat1] = STATE(9675),
    [sym__word_identifier] = ACTIONS(11204),
    [anon_sym_COMMA] = ACTIONS(12937),
    [anon_sym_begin] = ACTIONS(11204),
    [anon_sym_module] = ACTIONS(11204),
    [anon_sym_baremodule] = ACTIONS(11204),
    [anon_sym_end] = ACTIONS(11204),
    [anon_sym_abstract] = ACTIONS(11204),
    [anon_sym_primitive] = ACTIONS(11204),
    [anon_sym_mutable] = ACTIONS(11204),
    [anon_sym_struct] = ACTIONS(11204),
    [anon_sym_function] = ACTIONS(11204),
    [anon_sym_macro] = ACTIONS(11204),
    [anon_sym_quote] = ACTIONS(11204),
    [anon_sym_let] = ACTIONS(11204),
    [anon_sym_if] = ACTIONS(11204),
    [anon_sym_try] = ACTIONS(11204),
    [anon_sym_for] = ACTIONS(11204),
    [anon_sym_while] = ACTIONS(11204),
    [sym_break_statement] = ACTIONS(11204),
    [sym_continue_statement] = ACTIONS(11204),
    [anon_sym_return] = ACTIONS(11204),
    [anon_sym_const] = ACTIONS(11204),
    [anon_sym_global] = ACTIONS(11204),
    [anon_sym_local] = ACTIONS(11204),
    [anon_sym_LPAREN] = ACTIONS(11206),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11204),
    [anon_sym_public] = ACTIONS(11204),
    [anon_sym_import] = ACTIONS(11204),
    [anon_sym_using] = ACTIONS(11204),
    [anon_sym_LBRACK] = ACTIONS(11206),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11206),
    [anon_sym_DOLLAR] = ACTIONS(11206),
    [anon_sym_COLON2] = ACTIONS(11204),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(13028),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11206),
    [anon_sym_true] = ACTIONS(11204),
    [anon_sym_false] = ACTIONS(11204),
    [aux_sym_integer_literal_token1] = ACTIONS(11206),
    [aux_sym_integer_literal_token2] = ACTIONS(11206),
    [aux_sym_integer_literal_token3] = ACTIONS(11204),
    [aux_sym_integer_literal_token4] = ACTIONS(11204),
    [aux_sym_float_literal_token1] = ACTIONS(11206),
    [aux_sym_float_literal_token3] = ACTIONS(11206),
    [aux_sym_float_literal_token4] = ACTIONS(11206),
    [sym_character_literal] = ACTIONS(11206),
    [anon_sym_DQUOTE] = ACTIONS(11204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11206),
    [anon_sym_BQUOTE] = ACTIONS(11204),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11206),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11206),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11204),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9787] = {
    [sym_block_comment] = STATE(9787),
    [sym_line_comment] = STATE(9787),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11210),
    [anon_sym_EQ] = ACTIONS(10617),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11210),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11210),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11210),
    [anon_sym_DOLLAR] = ACTIONS(11210),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11210),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11210),
    [anon_sym_QMARK] = ACTIONS(11210),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11210),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11210),
    [aux_sym_integer_literal_token2] = ACTIONS(11210),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11210),
    [aux_sym_float_literal_token3] = ACTIONS(11210),
    [aux_sym_float_literal_token4] = ACTIONS(11210),
    [sym_character_literal] = ACTIONS(11210),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11210),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11210),
    [sym__pair_operator] = ACTIONS(11210),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11210),
    [sym__lazy_and_operator] = ACTIONS(11210),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11210),
    [sym__pipe_left_operator] = ACTIONS(11210),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11210),
    [sym__bitshift_operator] = ACTIONS(11210),
    [sym__power_operator] = ACTIONS(11210),
    [sym__tilde_operator] = ACTIONS(11210),
    [sym__type_order_operator] = ACTIONS(11210),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9788] = {
    [sym_block_comment] = STATE(9788),
    [sym_line_comment] = STATE(9788),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(11210),
    [anon_sym_EQ] = ACTIONS(11208),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11210),
    [anon_sym_COLON] = ACTIONS(11208),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11210),
    [anon_sym_in] = ACTIONS(11208),
    [anon_sym_LBRACE] = ACTIONS(11210),
    [anon_sym_DOLLAR] = ACTIONS(11210),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(11210),
    [anon_sym_isa] = ACTIONS(11208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11210),
    [anon_sym_QMARK] = ACTIONS(11210),
    [anon_sym_where] = ACTIONS(11208),
    [anon_sym_AT] = ACTIONS(11210),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11210),
    [aux_sym_integer_literal_token2] = ACTIONS(11210),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11210),
    [aux_sym_float_literal_token3] = ACTIONS(11210),
    [aux_sym_float_literal_token4] = ACTIONS(11210),
    [sym_character_literal] = ACTIONS(11210),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11210),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11210),
    [sym__pair_operator] = ACTIONS(11210),
    [sym__arrow_operator] = ACTIONS(11208),
    [sym__lazy_or_operator] = ACTIONS(11210),
    [sym__lazy_and_operator] = ACTIONS(11210),
    [sym__comparison_operator] = ACTIONS(11208),
    [sym__pipe_right_operator] = ACTIONS(11210),
    [sym__pipe_left_operator] = ACTIONS(11210),
    [sym__ellipsis_operator] = ACTIONS(11208),
    [sym__plus_operator] = ACTIONS(11208),
    [sym__times_operator] = ACTIONS(11208),
    [sym__rational_operator] = ACTIONS(11210),
    [sym__bitshift_operator] = ACTIONS(11210),
    [sym__power_operator] = ACTIONS(11210),
    [sym__tilde_operator] = ACTIONS(11210),
    [sym__type_order_operator] = ACTIONS(11210),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(11208),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9789] = {
    [sym_block_comment] = STATE(9789),
    [sym_line_comment] = STATE(9789),
    [aux_sym_open_tuple_repeat1] = STATE(9675),
    [sym__word_identifier] = ACTIONS(11208),
    [anon_sym_COMMA] = ACTIONS(12937),
    [anon_sym_begin] = ACTIONS(11208),
    [anon_sym_module] = ACTIONS(11208),
    [anon_sym_baremodule] = ACTIONS(11208),
    [anon_sym_end] = ACTIONS(11208),
    [anon_sym_abstract] = ACTIONS(11208),
    [anon_sym_primitive] = ACTIONS(11208),
    [anon_sym_mutable] = ACTIONS(11208),
    [anon_sym_struct] = ACTIONS(11208),
    [anon_sym_function] = ACTIONS(11208),
    [anon_sym_macro] = ACTIONS(11208),
    [anon_sym_quote] = ACTIONS(11208),
    [anon_sym_let] = ACTIONS(11208),
    [anon_sym_if] = ACTIONS(11208),
    [anon_sym_try] = ACTIONS(11208),
    [anon_sym_for] = ACTIONS(11208),
    [anon_sym_while] = ACTIONS(11208),
    [sym_break_statement] = ACTIONS(11208),
    [sym_continue_statement] = ACTIONS(11208),
    [anon_sym_return] = ACTIONS(11208),
    [anon_sym_const] = ACTIONS(11208),
    [anon_sym_global] = ACTIONS(11208),
    [anon_sym_local] = ACTIONS(11208),
    [anon_sym_LPAREN] = ACTIONS(11210),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11208),
    [anon_sym_public] = ACTIONS(11208),
    [anon_sym_import] = ACTIONS(11208),
    [anon_sym_using] = ACTIONS(11208),
    [anon_sym_LBRACK] = ACTIONS(11210),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11210),
    [anon_sym_DOLLAR] = ACTIONS(11210),
    [anon_sym_COLON2] = ACTIONS(11208),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(13028),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11210),
    [anon_sym_true] = ACTIONS(11208),
    [anon_sym_false] = ACTIONS(11208),
    [aux_sym_integer_literal_token1] = ACTIONS(11210),
    [aux_sym_integer_literal_token2] = ACTIONS(11210),
    [aux_sym_integer_literal_token3] = ACTIONS(11208),
    [aux_sym_integer_literal_token4] = ACTIONS(11208),
    [aux_sym_float_literal_token1] = ACTIONS(11210),
    [aux_sym_float_literal_token3] = ACTIONS(11210),
    [aux_sym_float_literal_token4] = ACTIONS(11210),
    [sym_character_literal] = ACTIONS(11210),
    [anon_sym_DQUOTE] = ACTIONS(11208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11210),
    [anon_sym_BQUOTE] = ACTIONS(11208),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11210),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11210),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11208),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9790] = {
    [sym_block_comment] = STATE(9790),
    [sym_line_comment] = STATE(9790),
    [sym__word_identifier] = ACTIONS(11300),
    [anon_sym_COMMA] = ACTIONS(11302),
    [anon_sym_EQ] = ACTIONS(11300),
    [anon_sym_begin] = ACTIONS(11300),
    [anon_sym_module] = ACTIONS(11300),
    [anon_sym_baremodule] = ACTIONS(11300),
    [anon_sym_end] = ACTIONS(11300),
    [anon_sym_abstract] = ACTIONS(11300),
    [anon_sym_primitive] = ACTIONS(11300),
    [anon_sym_mutable] = ACTIONS(11300),
    [anon_sym_struct] = ACTIONS(11300),
    [anon_sym_function] = ACTIONS(11300),
    [anon_sym_macro] = ACTIONS(11300),
    [anon_sym_quote] = ACTIONS(11300),
    [anon_sym_let] = ACTIONS(11300),
    [anon_sym_if] = ACTIONS(11300),
    [anon_sym_try] = ACTIONS(11300),
    [anon_sym_for] = ACTIONS(11300),
    [anon_sym_while] = ACTIONS(11300),
    [sym_break_statement] = ACTIONS(11300),
    [sym_continue_statement] = ACTIONS(11300),
    [anon_sym_return] = ACTIONS(11300),
    [anon_sym_const] = ACTIONS(11300),
    [anon_sym_global] = ACTIONS(11300),
    [anon_sym_local] = ACTIONS(11300),
    [anon_sym_LPAREN] = ACTIONS(11302),
    [anon_sym_COLON] = ACTIONS(11300),
    [anon_sym_export] = ACTIONS(11300),
    [anon_sym_public] = ACTIONS(11300),
    [anon_sym_import] = ACTIONS(11300),
    [anon_sym_using] = ACTIONS(11300),
    [anon_sym_LBRACK] = ACTIONS(11302),
    [anon_sym_in] = ACTIONS(11300),
    [anon_sym_LBRACE] = ACTIONS(11302),
    [anon_sym_DOLLAR] = ACTIONS(11302),
    [anon_sym_COLON2] = ACTIONS(11300),
    [anon_sym_COLON_COLON] = ACTIONS(11302),
    [anon_sym_isa] = ACTIONS(11300),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11302),
    [anon_sym_QMARK] = ACTIONS(11302),
    [anon_sym_where] = ACTIONS(11300),
    [anon_sym_AT] = ACTIONS(11302),
    [anon_sym_true] = ACTIONS(11300),
    [anon_sym_false] = ACTIONS(11300),
    [aux_sym_integer_literal_token1] = ACTIONS(11302),
    [aux_sym_integer_literal_token2] = ACTIONS(11302),
    [aux_sym_integer_literal_token3] = ACTIONS(11300),
    [aux_sym_integer_literal_token4] = ACTIONS(11300),
    [aux_sym_float_literal_token1] = ACTIONS(11302),
    [aux_sym_float_literal_token3] = ACTIONS(11302),
    [aux_sym_float_literal_token4] = ACTIONS(11302),
    [sym_character_literal] = ACTIONS(11302),
    [anon_sym_DQUOTE] = ACTIONS(11300),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11302),
    [anon_sym_BQUOTE] = ACTIONS(11300),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11302),
    [sym__pair_operator] = ACTIONS(11302),
    [sym__arrow_operator] = ACTIONS(11300),
    [sym__lazy_or_operator] = ACTIONS(11302),
    [sym__lazy_and_operator] = ACTIONS(11302),
    [sym__comparison_operator] = ACTIONS(11300),
    [sym__pipe_right_operator] = ACTIONS(11302),
    [sym__pipe_left_operator] = ACTIONS(11302),
    [sym__ellipsis_operator] = ACTIONS(11300),
    [sym__plus_operator] = ACTIONS(11300),
    [sym__times_operator] = ACTIONS(11300),
    [sym__rational_operator] = ACTIONS(11302),
    [sym__bitshift_operator] = ACTIONS(11302),
    [sym__power_operator] = ACTIONS(11302),
    [sym__tilde_operator] = ACTIONS(11302),
    [sym__type_order_operator] = ACTIONS(11302),
    [sym__unary_operator] = ACTIONS(11300),
    [sym__unary_plus_operator] = ACTIONS(11300),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9791] = {
    [sym_block_comment] = STATE(9791),
    [sym_line_comment] = STATE(9791),
    [sym__word_identifier] = ACTIONS(11304),
    [anon_sym_COMMA] = ACTIONS(11306),
    [anon_sym_EQ] = ACTIONS(11304),
    [anon_sym_begin] = ACTIONS(11304),
    [anon_sym_module] = ACTIONS(11304),
    [anon_sym_baremodule] = ACTIONS(11304),
    [anon_sym_end] = ACTIONS(11304),
    [anon_sym_abstract] = ACTIONS(11304),
    [anon_sym_primitive] = ACTIONS(11304),
    [anon_sym_mutable] = ACTIONS(11304),
    [anon_sym_struct] = ACTIONS(11304),
    [anon_sym_function] = ACTIONS(11304),
    [anon_sym_macro] = ACTIONS(11304),
    [anon_sym_quote] = ACTIONS(11304),
    [anon_sym_let] = ACTIONS(11304),
    [anon_sym_if] = ACTIONS(11304),
    [anon_sym_try] = ACTIONS(11304),
    [anon_sym_for] = ACTIONS(11304),
    [anon_sym_while] = ACTIONS(11304),
    [sym_break_statement] = ACTIONS(11304),
    [sym_continue_statement] = ACTIONS(11304),
    [anon_sym_return] = ACTIONS(11304),
    [anon_sym_const] = ACTIONS(11304),
    [anon_sym_global] = ACTIONS(11304),
    [anon_sym_local] = ACTIONS(11304),
    [anon_sym_LPAREN] = ACTIONS(11306),
    [anon_sym_COLON] = ACTIONS(11304),
    [anon_sym_export] = ACTIONS(11304),
    [anon_sym_public] = ACTIONS(11304),
    [anon_sym_import] = ACTIONS(11304),
    [anon_sym_using] = ACTIONS(11304),
    [anon_sym_LBRACK] = ACTIONS(11306),
    [anon_sym_in] = ACTIONS(11304),
    [anon_sym_LBRACE] = ACTIONS(11306),
    [anon_sym_DOLLAR] = ACTIONS(11306),
    [anon_sym_COLON2] = ACTIONS(11304),
    [anon_sym_COLON_COLON] = ACTIONS(11306),
    [anon_sym_isa] = ACTIONS(11304),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11306),
    [anon_sym_QMARK] = ACTIONS(11306),
    [anon_sym_where] = ACTIONS(11304),
    [anon_sym_AT] = ACTIONS(11306),
    [anon_sym_true] = ACTIONS(11304),
    [anon_sym_false] = ACTIONS(11304),
    [aux_sym_integer_literal_token1] = ACTIONS(11306),
    [aux_sym_integer_literal_token2] = ACTIONS(11306),
    [aux_sym_integer_literal_token3] = ACTIONS(11304),
    [aux_sym_integer_literal_token4] = ACTIONS(11304),
    [aux_sym_float_literal_token1] = ACTIONS(11306),
    [aux_sym_float_literal_token3] = ACTIONS(11306),
    [aux_sym_float_literal_token4] = ACTIONS(11306),
    [sym_character_literal] = ACTIONS(11306),
    [anon_sym_DQUOTE] = ACTIONS(11304),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11306),
    [anon_sym_BQUOTE] = ACTIONS(11304),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11306),
    [sym__pair_operator] = ACTIONS(11306),
    [sym__arrow_operator] = ACTIONS(11304),
    [sym__lazy_or_operator] = ACTIONS(11306),
    [sym__lazy_and_operator] = ACTIONS(11306),
    [sym__comparison_operator] = ACTIONS(11304),
    [sym__pipe_right_operator] = ACTIONS(11306),
    [sym__pipe_left_operator] = ACTIONS(11306),
    [sym__ellipsis_operator] = ACTIONS(11304),
    [sym__plus_operator] = ACTIONS(11304),
    [sym__times_operator] = ACTIONS(11304),
    [sym__rational_operator] = ACTIONS(11306),
    [sym__bitshift_operator] = ACTIONS(11306),
    [sym__power_operator] = ACTIONS(11306),
    [sym__tilde_operator] = ACTIONS(11306),
    [sym__type_order_operator] = ACTIONS(11306),
    [sym__unary_operator] = ACTIONS(11304),
    [sym__unary_plus_operator] = ACTIONS(11304),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9792] = {
    [sym_block_comment] = STATE(9792),
    [sym_line_comment] = STATE(9792),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12153),
    [anon_sym_EQ] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_end] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12153),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12153),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(12153),
    [anon_sym_DOLLAR] = ACTIONS(12153),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(12947),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(12153),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12153),
    [aux_sym_integer_literal_token2] = ACTIONS(12153),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12153),
    [aux_sym_float_literal_token3] = ACTIONS(12153),
    [aux_sym_float_literal_token4] = ACTIONS(12153),
    [sym_character_literal] = ACTIONS(12153),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12153),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12153),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(12153),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9793] = {
    [sym_block_comment] = STATE(9793),
    [sym_line_comment] = STATE(9793),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(12991),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_RBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(12999),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(13046),
    [anon_sym_where] = ACTIONS(13001),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(13014),
    [sym__arrow_operator] = ACTIONS(13003),
    [sym__lazy_or_operator] = ACTIONS(13005),
    [sym__lazy_and_operator] = ACTIONS(13007),
    [sym__comparison_operator] = ACTIONS(12999),
    [sym__pipe_right_operator] = ACTIONS(12993),
    [sym__pipe_left_operator] = ACTIONS(12995),
    [sym__ellipsis_operator] = ACTIONS(12997),
    [sym__plus_operator] = ACTIONS(12977),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(12999),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12977),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9794] = {
    [sym_block_comment] = STATE(9794),
    [sym_line_comment] = STATE(9794),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11260),
    [anon_sym_EQ] = ACTIONS(11258),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11260),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11260),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11260),
    [anon_sym_DOLLAR] = ACTIONS(11260),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11260),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11260),
    [anon_sym_QMARK] = ACTIONS(11260),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11260),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11260),
    [aux_sym_integer_literal_token2] = ACTIONS(11260),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11260),
    [aux_sym_float_literal_token3] = ACTIONS(11260),
    [aux_sym_float_literal_token4] = ACTIONS(11260),
    [sym_character_literal] = ACTIONS(11260),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11260),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11260),
    [sym__pair_operator] = ACTIONS(11260),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11260),
    [sym__lazy_and_operator] = ACTIONS(11260),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11260),
    [sym__pipe_left_operator] = ACTIONS(11260),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11260),
    [sym__bitshift_operator] = ACTIONS(11260),
    [sym__power_operator] = ACTIONS(11260),
    [sym__tilde_operator] = ACTIONS(11260),
    [sym__type_order_operator] = ACTIONS(11260),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9795] = {
    [sym_block_comment] = STATE(9795),
    [sym_line_comment] = STATE(9795),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11214),
    [anon_sym_EQ] = ACTIONS(10617),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11214),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11214),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11214),
    [anon_sym_DOLLAR] = ACTIONS(11214),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11214),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11214),
    [anon_sym_QMARK] = ACTIONS(11214),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11214),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11214),
    [aux_sym_integer_literal_token2] = ACTIONS(11214),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11214),
    [aux_sym_float_literal_token3] = ACTIONS(11214),
    [aux_sym_float_literal_token4] = ACTIONS(11214),
    [sym_character_literal] = ACTIONS(11214),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11214),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11214),
    [sym__pair_operator] = ACTIONS(11214),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11214),
    [sym__lazy_and_operator] = ACTIONS(11214),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11214),
    [sym__pipe_left_operator] = ACTIONS(11214),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11214),
    [sym__bitshift_operator] = ACTIONS(11214),
    [sym__power_operator] = ACTIONS(11214),
    [sym__tilde_operator] = ACTIONS(11214),
    [sym__type_order_operator] = ACTIONS(11214),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9796] = {
    [sym_block_comment] = STATE(9796),
    [sym_line_comment] = STATE(9796),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11310),
    [anon_sym_EQ] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11310),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11310),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11310),
    [anon_sym_DOLLAR] = ACTIONS(11310),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11310),
    [anon_sym_QMARK] = ACTIONS(11310),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11310),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11310),
    [aux_sym_integer_literal_token2] = ACTIONS(11310),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11310),
    [aux_sym_float_literal_token3] = ACTIONS(11310),
    [aux_sym_float_literal_token4] = ACTIONS(11310),
    [sym_character_literal] = ACTIONS(11310),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11310),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11310),
    [sym__pair_operator] = ACTIONS(11310),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11310),
    [sym__lazy_and_operator] = ACTIONS(11310),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11310),
    [sym__pipe_left_operator] = ACTIONS(11310),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11310),
    [sym__bitshift_operator] = ACTIONS(11310),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11310),
    [sym__type_order_operator] = ACTIONS(11310),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9797] = {
    [sym_block_comment] = STATE(9797),
    [sym_line_comment] = STATE(9797),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(11214),
    [anon_sym_EQ] = ACTIONS(11212),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11214),
    [anon_sym_COLON] = ACTIONS(11212),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11214),
    [anon_sym_in] = ACTIONS(11212),
    [anon_sym_LBRACE] = ACTIONS(11214),
    [anon_sym_DOLLAR] = ACTIONS(11214),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(11214),
    [anon_sym_isa] = ACTIONS(11212),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11214),
    [anon_sym_QMARK] = ACTIONS(11214),
    [anon_sym_where] = ACTIONS(11212),
    [anon_sym_AT] = ACTIONS(11214),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11214),
    [aux_sym_integer_literal_token2] = ACTIONS(11214),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11214),
    [aux_sym_float_literal_token3] = ACTIONS(11214),
    [aux_sym_float_literal_token4] = ACTIONS(11214),
    [sym_character_literal] = ACTIONS(11214),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11214),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11214),
    [sym__pair_operator] = ACTIONS(11214),
    [sym__arrow_operator] = ACTIONS(11212),
    [sym__lazy_or_operator] = ACTIONS(11214),
    [sym__lazy_and_operator] = ACTIONS(11214),
    [sym__comparison_operator] = ACTIONS(11212),
    [sym__pipe_right_operator] = ACTIONS(11214),
    [sym__pipe_left_operator] = ACTIONS(11214),
    [sym__ellipsis_operator] = ACTIONS(11212),
    [sym__plus_operator] = ACTIONS(11212),
    [sym__times_operator] = ACTIONS(11212),
    [sym__rational_operator] = ACTIONS(11214),
    [sym__bitshift_operator] = ACTIONS(11214),
    [sym__power_operator] = ACTIONS(11214),
    [sym__tilde_operator] = ACTIONS(11214),
    [sym__type_order_operator] = ACTIONS(11214),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(11212),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9798] = {
    [sym_block_comment] = STATE(9798),
    [sym_line_comment] = STATE(9798),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12151),
    [anon_sym_COLON] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12151),
    [anon_sym_RBRACK] = ACTIONS(12151),
    [anon_sym_in] = ACTIONS(13060),
    [anon_sym_SEMI] = ACTIONS(12151),
    [anon_sym_LBRACE] = ACTIONS(12151),
    [anon_sym_DOLLAR] = ACTIONS(12151),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(13060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(13046),
    [anon_sym_where] = ACTIONS(13062),
    [anon_sym_AT] = ACTIONS(12151),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12151),
    [aux_sym_integer_literal_token2] = ACTIONS(12151),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12151),
    [aux_sym_float_literal_token3] = ACTIONS(12151),
    [aux_sym_float_literal_token4] = ACTIONS(12151),
    [sym_character_literal] = ACTIONS(12151),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12151),
    [sym__pair_operator] = ACTIONS(13064),
    [sym__arrow_operator] = ACTIONS(13066),
    [sym__lazy_or_operator] = ACTIONS(13068),
    [sym__lazy_and_operator] = ACTIONS(13070),
    [sym__comparison_operator] = ACTIONS(13060),
    [sym__pipe_right_operator] = ACTIONS(13072),
    [sym__pipe_left_operator] = ACTIONS(13074),
    [sym__ellipsis_operator] = ACTIONS(13076),
    [sym__plus_operator] = ACTIONS(13078),
    [sym__times_operator] = ACTIONS(13080),
    [sym__rational_operator] = ACTIONS(13082),
    [sym__bitshift_operator] = ACTIONS(13084),
    [sym__power_operator] = ACTIONS(13086),
    [sym__tilde_operator] = ACTIONS(12151),
    [sym__type_order_operator] = ACTIONS(13060),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(13078),
    [aux_sym__terminator_token1] = ACTIONS(12153),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9799] = {
    [sym_block_comment] = STATE(9799),
    [sym_line_comment] = STATE(9799),
    [sym__word_identifier] = ACTIONS(11312),
    [anon_sym_COMMA] = ACTIONS(11314),
    [anon_sym_EQ] = ACTIONS(11312),
    [anon_sym_begin] = ACTIONS(11312),
    [anon_sym_module] = ACTIONS(11312),
    [anon_sym_baremodule] = ACTIONS(11312),
    [anon_sym_end] = ACTIONS(11312),
    [anon_sym_abstract] = ACTIONS(11312),
    [anon_sym_primitive] = ACTIONS(11312),
    [anon_sym_mutable] = ACTIONS(11312),
    [anon_sym_struct] = ACTIONS(11312),
    [anon_sym_function] = ACTIONS(11312),
    [anon_sym_macro] = ACTIONS(11312),
    [anon_sym_quote] = ACTIONS(11312),
    [anon_sym_let] = ACTIONS(11312),
    [anon_sym_if] = ACTIONS(11312),
    [anon_sym_try] = ACTIONS(11312),
    [anon_sym_for] = ACTIONS(11312),
    [anon_sym_while] = ACTIONS(11312),
    [sym_break_statement] = ACTIONS(11312),
    [sym_continue_statement] = ACTIONS(11312),
    [anon_sym_return] = ACTIONS(11312),
    [anon_sym_const] = ACTIONS(11312),
    [anon_sym_global] = ACTIONS(11312),
    [anon_sym_local] = ACTIONS(11312),
    [anon_sym_LPAREN] = ACTIONS(11314),
    [anon_sym_COLON] = ACTIONS(11312),
    [anon_sym_export] = ACTIONS(11312),
    [anon_sym_public] = ACTIONS(11312),
    [anon_sym_import] = ACTIONS(11312),
    [anon_sym_using] = ACTIONS(11312),
    [anon_sym_LBRACK] = ACTIONS(11314),
    [anon_sym_in] = ACTIONS(11312),
    [anon_sym_LBRACE] = ACTIONS(11314),
    [anon_sym_DOLLAR] = ACTIONS(11314),
    [anon_sym_COLON2] = ACTIONS(11312),
    [anon_sym_COLON_COLON] = ACTIONS(11314),
    [anon_sym_isa] = ACTIONS(11312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11314),
    [anon_sym_QMARK] = ACTIONS(11314),
    [anon_sym_where] = ACTIONS(11312),
    [anon_sym_AT] = ACTIONS(11314),
    [anon_sym_true] = ACTIONS(11312),
    [anon_sym_false] = ACTIONS(11312),
    [aux_sym_integer_literal_token1] = ACTIONS(11314),
    [aux_sym_integer_literal_token2] = ACTIONS(11314),
    [aux_sym_integer_literal_token3] = ACTIONS(11312),
    [aux_sym_integer_literal_token4] = ACTIONS(11312),
    [aux_sym_float_literal_token1] = ACTIONS(11314),
    [aux_sym_float_literal_token3] = ACTIONS(11314),
    [aux_sym_float_literal_token4] = ACTIONS(11314),
    [sym_character_literal] = ACTIONS(11314),
    [anon_sym_DQUOTE] = ACTIONS(11312),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11314),
    [anon_sym_BQUOTE] = ACTIONS(11312),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11314),
    [sym__pair_operator] = ACTIONS(11314),
    [sym__arrow_operator] = ACTIONS(11312),
    [sym__lazy_or_operator] = ACTIONS(11314),
    [sym__lazy_and_operator] = ACTIONS(11314),
    [sym__comparison_operator] = ACTIONS(11312),
    [sym__pipe_right_operator] = ACTIONS(11314),
    [sym__pipe_left_operator] = ACTIONS(11314),
    [sym__ellipsis_operator] = ACTIONS(11312),
    [sym__plus_operator] = ACTIONS(11312),
    [sym__times_operator] = ACTIONS(11312),
    [sym__rational_operator] = ACTIONS(11314),
    [sym__bitshift_operator] = ACTIONS(11314),
    [sym__power_operator] = ACTIONS(11314),
    [sym__tilde_operator] = ACTIONS(11314),
    [sym__type_order_operator] = ACTIONS(11314),
    [sym__unary_operator] = ACTIONS(11312),
    [sym__unary_plus_operator] = ACTIONS(11312),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9800] = {
    [sym_block_comment] = STATE(9800),
    [sym_line_comment] = STATE(9800),
    [aux_sym_open_tuple_repeat1] = STATE(9675),
    [sym__word_identifier] = ACTIONS(11212),
    [anon_sym_COMMA] = ACTIONS(12937),
    [anon_sym_begin] = ACTIONS(11212),
    [anon_sym_module] = ACTIONS(11212),
    [anon_sym_baremodule] = ACTIONS(11212),
    [anon_sym_end] = ACTIONS(11212),
    [anon_sym_abstract] = ACTIONS(11212),
    [anon_sym_primitive] = ACTIONS(11212),
    [anon_sym_mutable] = ACTIONS(11212),
    [anon_sym_struct] = ACTIONS(11212),
    [anon_sym_function] = ACTIONS(11212),
    [anon_sym_macro] = ACTIONS(11212),
    [anon_sym_quote] = ACTIONS(11212),
    [anon_sym_let] = ACTIONS(11212),
    [anon_sym_if] = ACTIONS(11212),
    [anon_sym_try] = ACTIONS(11212),
    [anon_sym_for] = ACTIONS(11212),
    [anon_sym_while] = ACTIONS(11212),
    [sym_break_statement] = ACTIONS(11212),
    [sym_continue_statement] = ACTIONS(11212),
    [anon_sym_return] = ACTIONS(11212),
    [anon_sym_const] = ACTIONS(11212),
    [anon_sym_global] = ACTIONS(11212),
    [anon_sym_local] = ACTIONS(11212),
    [anon_sym_LPAREN] = ACTIONS(11214),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11212),
    [anon_sym_public] = ACTIONS(11212),
    [anon_sym_import] = ACTIONS(11212),
    [anon_sym_using] = ACTIONS(11212),
    [anon_sym_LBRACK] = ACTIONS(11214),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11214),
    [anon_sym_DOLLAR] = ACTIONS(11214),
    [anon_sym_COLON2] = ACTIONS(11212),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(13028),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11214),
    [anon_sym_true] = ACTIONS(11212),
    [anon_sym_false] = ACTIONS(11212),
    [aux_sym_integer_literal_token1] = ACTIONS(11214),
    [aux_sym_integer_literal_token2] = ACTIONS(11214),
    [aux_sym_integer_literal_token3] = ACTIONS(11212),
    [aux_sym_integer_literal_token4] = ACTIONS(11212),
    [aux_sym_float_literal_token1] = ACTIONS(11214),
    [aux_sym_float_literal_token3] = ACTIONS(11214),
    [aux_sym_float_literal_token4] = ACTIONS(11214),
    [sym_character_literal] = ACTIONS(11214),
    [anon_sym_DQUOTE] = ACTIONS(11212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11214),
    [anon_sym_BQUOTE] = ACTIONS(11212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11214),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11214),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11212),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9801] = {
    [sym_block_comment] = STATE(9801),
    [sym_line_comment] = STATE(9801),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11706),
    [anon_sym_EQ] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11706),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11706),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11706),
    [anon_sym_DOLLAR] = ACTIONS(11706),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(12947),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11706),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11706),
    [aux_sym_integer_literal_token2] = ACTIONS(11706),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11706),
    [aux_sym_float_literal_token3] = ACTIONS(11706),
    [aux_sym_float_literal_token4] = ACTIONS(11706),
    [sym_character_literal] = ACTIONS(11706),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11706),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11706),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11706),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9802] = {
    [sym_block_comment] = STATE(9802),
    [sym_line_comment] = STATE(9802),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11384),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11384),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11384),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11384),
    [anon_sym_DOLLAR] = ACTIONS(11384),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(12947),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11384),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11384),
    [aux_sym_integer_literal_token2] = ACTIONS(11384),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11384),
    [aux_sym_float_literal_token3] = ACTIONS(11384),
    [aux_sym_float_literal_token4] = ACTIONS(11384),
    [sym_character_literal] = ACTIONS(11384),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11384),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11384),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11384),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9803] = {
    [sym_block_comment] = STATE(9803),
    [sym_line_comment] = STATE(9803),
    [sym__word_identifier] = ACTIONS(9442),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_begin] = ACTIONS(9442),
    [anon_sym_module] = ACTIONS(9442),
    [anon_sym_baremodule] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_abstract] = ACTIONS(9442),
    [anon_sym_primitive] = ACTIONS(9442),
    [anon_sym_mutable] = ACTIONS(9442),
    [anon_sym_struct] = ACTIONS(9442),
    [anon_sym_function] = ACTIONS(9442),
    [anon_sym_macro] = ACTIONS(9442),
    [anon_sym_quote] = ACTIONS(9442),
    [anon_sym_let] = ACTIONS(9442),
    [anon_sym_if] = ACTIONS(9442),
    [anon_sym_try] = ACTIONS(9442),
    [anon_sym_for] = ACTIONS(9442),
    [anon_sym_while] = ACTIONS(9442),
    [sym_break_statement] = ACTIONS(9442),
    [sym_continue_statement] = ACTIONS(9442),
    [anon_sym_return] = ACTIONS(9442),
    [anon_sym_const] = ACTIONS(9442),
    [anon_sym_global] = ACTIONS(9442),
    [anon_sym_local] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(9483),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(9442),
    [anon_sym_public] = ACTIONS(9442),
    [anon_sym_import] = ACTIONS(9442),
    [anon_sym_using] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(9483),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(9483),
    [anon_sym_DOLLAR] = ACTIONS(9483),
    [anon_sym_COLON2] = ACTIONS(9442),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(9483),
    [anon_sym_true] = ACTIONS(9442),
    [anon_sym_false] = ACTIONS(9442),
    [aux_sym_integer_literal_token1] = ACTIONS(9483),
    [aux_sym_integer_literal_token2] = ACTIONS(9483),
    [aux_sym_integer_literal_token3] = ACTIONS(9442),
    [aux_sym_integer_literal_token4] = ACTIONS(9442),
    [aux_sym_float_literal_token1] = ACTIONS(9483),
    [aux_sym_float_literal_token3] = ACTIONS(9483),
    [aux_sym_float_literal_token4] = ACTIONS(9483),
    [sym_character_literal] = ACTIONS(9483),
    [anon_sym_DQUOTE] = ACTIONS(9442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9483),
    [anon_sym_BQUOTE] = ACTIONS(9442),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9483),
    [sym__pair_operator] = ACTIONS(9483),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9483),
    [sym__pipe_left_operator] = ACTIONS(9483),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9483),
    [sym__bitshift_operator] = ACTIONS(9483),
    [sym__power_operator] = ACTIONS(9483),
    [sym__tilde_operator] = ACTIONS(9483),
    [sym__type_order_operator] = ACTIONS(9483),
    [sym__unary_operator] = ACTIONS(9442),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9804] = {
    [sym_block_comment] = STATE(9804),
    [sym_line_comment] = STATE(9804),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(13060),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(13060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(13046),
    [anon_sym_where] = ACTIONS(13062),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(13064),
    [sym__arrow_operator] = ACTIONS(13066),
    [sym__lazy_or_operator] = ACTIONS(13068),
    [sym__lazy_and_operator] = ACTIONS(13070),
    [sym__comparison_operator] = ACTIONS(13060),
    [sym__pipe_right_operator] = ACTIONS(13072),
    [sym__pipe_left_operator] = ACTIONS(13074),
    [sym__ellipsis_operator] = ACTIONS(13076),
    [sym__plus_operator] = ACTIONS(13078),
    [sym__times_operator] = ACTIONS(13080),
    [sym__rational_operator] = ACTIONS(13082),
    [sym__bitshift_operator] = ACTIONS(13084),
    [sym__power_operator] = ACTIONS(13086),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(13060),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13078),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9805] = {
    [sym_block_comment] = STATE(9805),
    [sym_line_comment] = STATE(9805),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(13044),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9806] = {
    [sym_block_comment] = STATE(9806),
    [sym_line_comment] = STATE(9806),
    [sym__word_identifier] = ACTIONS(11324),
    [anon_sym_COMMA] = ACTIONS(11326),
    [anon_sym_EQ] = ACTIONS(11324),
    [anon_sym_begin] = ACTIONS(11324),
    [anon_sym_module] = ACTIONS(11324),
    [anon_sym_baremodule] = ACTIONS(11324),
    [anon_sym_end] = ACTIONS(11324),
    [anon_sym_abstract] = ACTIONS(11324),
    [anon_sym_primitive] = ACTIONS(11324),
    [anon_sym_mutable] = ACTIONS(11324),
    [anon_sym_struct] = ACTIONS(11324),
    [anon_sym_function] = ACTIONS(11324),
    [anon_sym_macro] = ACTIONS(11324),
    [anon_sym_quote] = ACTIONS(11324),
    [anon_sym_let] = ACTIONS(11324),
    [anon_sym_if] = ACTIONS(11324),
    [anon_sym_try] = ACTIONS(11324),
    [anon_sym_for] = ACTIONS(11324),
    [anon_sym_while] = ACTIONS(11324),
    [sym_break_statement] = ACTIONS(11324),
    [sym_continue_statement] = ACTIONS(11324),
    [anon_sym_return] = ACTIONS(11324),
    [anon_sym_const] = ACTIONS(11324),
    [anon_sym_global] = ACTIONS(11324),
    [anon_sym_local] = ACTIONS(11324),
    [anon_sym_LPAREN] = ACTIONS(11326),
    [anon_sym_COLON] = ACTIONS(11324),
    [anon_sym_export] = ACTIONS(11324),
    [anon_sym_public] = ACTIONS(11324),
    [anon_sym_import] = ACTIONS(11324),
    [anon_sym_using] = ACTIONS(11324),
    [anon_sym_LBRACK] = ACTIONS(11326),
    [anon_sym_in] = ACTIONS(11324),
    [anon_sym_LBRACE] = ACTIONS(11326),
    [anon_sym_DOLLAR] = ACTIONS(11326),
    [anon_sym_COLON2] = ACTIONS(11324),
    [anon_sym_COLON_COLON] = ACTIONS(11326),
    [anon_sym_isa] = ACTIONS(11324),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11326),
    [anon_sym_QMARK] = ACTIONS(11326),
    [anon_sym_where] = ACTIONS(11324),
    [anon_sym_AT] = ACTIONS(11326),
    [anon_sym_true] = ACTIONS(11324),
    [anon_sym_false] = ACTIONS(11324),
    [aux_sym_integer_literal_token1] = ACTIONS(11326),
    [aux_sym_integer_literal_token2] = ACTIONS(11326),
    [aux_sym_integer_literal_token3] = ACTIONS(11324),
    [aux_sym_integer_literal_token4] = ACTIONS(11324),
    [aux_sym_float_literal_token1] = ACTIONS(11326),
    [aux_sym_float_literal_token3] = ACTIONS(11326),
    [aux_sym_float_literal_token4] = ACTIONS(11326),
    [sym_character_literal] = ACTIONS(11326),
    [anon_sym_DQUOTE] = ACTIONS(11324),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11326),
    [anon_sym_BQUOTE] = ACTIONS(11324),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11326),
    [sym__pair_operator] = ACTIONS(11326),
    [sym__arrow_operator] = ACTIONS(11324),
    [sym__lazy_or_operator] = ACTIONS(11326),
    [sym__lazy_and_operator] = ACTIONS(11326),
    [sym__comparison_operator] = ACTIONS(11324),
    [sym__pipe_right_operator] = ACTIONS(11326),
    [sym__pipe_left_operator] = ACTIONS(11326),
    [sym__ellipsis_operator] = ACTIONS(11324),
    [sym__plus_operator] = ACTIONS(11324),
    [sym__times_operator] = ACTIONS(11324),
    [sym__rational_operator] = ACTIONS(11326),
    [sym__bitshift_operator] = ACTIONS(11326),
    [sym__power_operator] = ACTIONS(11326),
    [sym__tilde_operator] = ACTIONS(11326),
    [sym__type_order_operator] = ACTIONS(11326),
    [sym__unary_operator] = ACTIONS(11324),
    [sym__unary_plus_operator] = ACTIONS(11324),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9807] = {
    [sym_block_comment] = STATE(9807),
    [sym_line_comment] = STATE(9807),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11382),
    [anon_sym_COLON] = ACTIONS(12991),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11382),
    [anon_sym_RBRACK] = ACTIONS(11382),
    [anon_sym_in] = ACTIONS(12999),
    [anon_sym_SEMI] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11382),
    [anon_sym_DOLLAR] = ACTIONS(11382),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(12999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(13046),
    [anon_sym_where] = ACTIONS(13001),
    [anon_sym_AT] = ACTIONS(11382),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11382),
    [aux_sym_integer_literal_token2] = ACTIONS(11382),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11382),
    [aux_sym_float_literal_token3] = ACTIONS(11382),
    [aux_sym_float_literal_token4] = ACTIONS(11382),
    [sym_character_literal] = ACTIONS(11382),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11382),
    [sym__pair_operator] = ACTIONS(13014),
    [sym__arrow_operator] = ACTIONS(13003),
    [sym__lazy_or_operator] = ACTIONS(13005),
    [sym__lazy_and_operator] = ACTIONS(13007),
    [sym__comparison_operator] = ACTIONS(12999),
    [sym__pipe_right_operator] = ACTIONS(12993),
    [sym__pipe_left_operator] = ACTIONS(12995),
    [sym__ellipsis_operator] = ACTIONS(12997),
    [sym__plus_operator] = ACTIONS(12977),
    [sym__times_operator] = ACTIONS(12979),
    [sym__rational_operator] = ACTIONS(12981),
    [sym__bitshift_operator] = ACTIONS(12983),
    [sym__power_operator] = ACTIONS(12985),
    [sym__tilde_operator] = ACTIONS(11382),
    [sym__type_order_operator] = ACTIONS(12999),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12977),
    [aux_sym__terminator_token1] = ACTIONS(11384),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9808] = {
    [sym__primary_expression] = STATE(12177),
    [sym__array] = STATE(11240),
    [sym_comprehension_expression] = STATE(11258),
    [sym_matrix_expression] = STATE(11258),
    [sym_vector_expression] = STATE(11258),
    [sym_parenthesized_expression] = STATE(11240),
    [sym_tuple_expression] = STATE(11240),
    [sym_curly_expression] = STATE(11240),
    [sym_adjoint_expression] = STATE(11240),
    [sym_field_expression] = STATE(11240),
    [sym_index_expression] = STATE(11240),
    [sym_parametrized_type_expression] = STATE(11240),
    [sym_call_expression] = STATE(11240),
    [sym_broadcast_call_expression] = STATE(11240),
    [sym__closed_macrocall_expression] = STATE(11240),
    [sym_interpolation_expression] = STATE(11240),
    [sym_quote_expression] = STATE(11240),
    [sym_macro_identifier] = STATE(18196),
    [sym_identifier] = STATE(11900),
    [sym_boolean_literal] = STATE(11240),
    [sym__string] = STATE(11240),
    [sym__delimiter_str_1] = STATE(15154),
    [sym__delimiter_str_3] = STATE(15155),
    [sym__delimiter_cmd_1] = STATE(15156),
    [sym__delimiter_cmd_3] = STATE(15157),
    [sym_string_literal] = STATE(11212),
    [sym_command_literal] = STATE(11212),
    [sym_prefixed_string_literal] = STATE(11212),
    [sym_prefixed_command_literal] = STATE(11212),
    [sym_operator] = STATE(19880),
    [sym_block_comment] = STATE(9808),
    [sym_line_comment] = STATE(9808),
    [sym__word_identifier] = ACTIONS(10527),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(10529),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(10531),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(10533),
    [anon_sym_DOLLAR] = ACTIONS(10810),
    [anon_sym_COLON2] = ACTIONS(10812),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(10539),
    [anon_sym_true] = ACTIONS(10541),
    [anon_sym_false] = ACTIONS(10541),
    [sym_character_literal] = ACTIONS(10543),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(9480),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9480),
    [sym__pipe_left_operator] = ACTIONS(9480),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9480),
    [sym__bitshift_operator] = ACTIONS(9480),
    [sym__power_operator] = ACTIONS(9480),
    [sym__tilde_operator] = ACTIONS(1689),
    [sym__type_order_operator] = ACTIONS(9480),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9809] = {
    [sym_block_comment] = STATE(9809),
    [sym_line_comment] = STATE(9809),
    [sym__word_identifier] = ACTIONS(11328),
    [anon_sym_COMMA] = ACTIONS(11330),
    [anon_sym_EQ] = ACTIONS(11328),
    [anon_sym_begin] = ACTIONS(11328),
    [anon_sym_module] = ACTIONS(11328),
    [anon_sym_baremodule] = ACTIONS(11328),
    [anon_sym_end] = ACTIONS(11328),
    [anon_sym_abstract] = ACTIONS(11328),
    [anon_sym_primitive] = ACTIONS(11328),
    [anon_sym_mutable] = ACTIONS(11328),
    [anon_sym_struct] = ACTIONS(11328),
    [anon_sym_function] = ACTIONS(11328),
    [anon_sym_macro] = ACTIONS(11328),
    [anon_sym_quote] = ACTIONS(11328),
    [anon_sym_let] = ACTIONS(11328),
    [anon_sym_if] = ACTIONS(11328),
    [anon_sym_try] = ACTIONS(11328),
    [anon_sym_for] = ACTIONS(11328),
    [anon_sym_while] = ACTIONS(11328),
    [sym_break_statement] = ACTIONS(11328),
    [sym_continue_statement] = ACTIONS(11328),
    [anon_sym_return] = ACTIONS(11328),
    [anon_sym_const] = ACTIONS(11328),
    [anon_sym_global] = ACTIONS(11328),
    [anon_sym_local] = ACTIONS(11328),
    [anon_sym_LPAREN] = ACTIONS(11330),
    [anon_sym_COLON] = ACTIONS(11328),
    [anon_sym_export] = ACTIONS(11328),
    [anon_sym_public] = ACTIONS(11328),
    [anon_sym_import] = ACTIONS(11328),
    [anon_sym_using] = ACTIONS(11328),
    [anon_sym_LBRACK] = ACTIONS(11330),
    [anon_sym_in] = ACTIONS(11328),
    [anon_sym_LBRACE] = ACTIONS(11330),
    [anon_sym_DOLLAR] = ACTIONS(11330),
    [anon_sym_COLON2] = ACTIONS(11328),
    [anon_sym_COLON_COLON] = ACTIONS(11330),
    [anon_sym_isa] = ACTIONS(11328),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11330),
    [anon_sym_QMARK] = ACTIONS(11330),
    [anon_sym_where] = ACTIONS(11328),
    [anon_sym_AT] = ACTIONS(11330),
    [anon_sym_true] = ACTIONS(11328),
    [anon_sym_false] = ACTIONS(11328),
    [aux_sym_integer_literal_token1] = ACTIONS(11330),
    [aux_sym_integer_literal_token2] = ACTIONS(11330),
    [aux_sym_integer_literal_token3] = ACTIONS(11328),
    [aux_sym_integer_literal_token4] = ACTIONS(11328),
    [aux_sym_float_literal_token1] = ACTIONS(11330),
    [aux_sym_float_literal_token3] = ACTIONS(11330),
    [aux_sym_float_literal_token4] = ACTIONS(11330),
    [sym_character_literal] = ACTIONS(11330),
    [anon_sym_DQUOTE] = ACTIONS(11328),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11330),
    [anon_sym_BQUOTE] = ACTIONS(11328),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11330),
    [sym__pair_operator] = ACTIONS(11330),
    [sym__arrow_operator] = ACTIONS(11328),
    [sym__lazy_or_operator] = ACTIONS(11330),
    [sym__lazy_and_operator] = ACTIONS(11330),
    [sym__comparison_operator] = ACTIONS(11328),
    [sym__pipe_right_operator] = ACTIONS(11330),
    [sym__pipe_left_operator] = ACTIONS(11330),
    [sym__ellipsis_operator] = ACTIONS(11328),
    [sym__plus_operator] = ACTIONS(11328),
    [sym__times_operator] = ACTIONS(11328),
    [sym__rational_operator] = ACTIONS(11330),
    [sym__bitshift_operator] = ACTIONS(11330),
    [sym__power_operator] = ACTIONS(11330),
    [sym__tilde_operator] = ACTIONS(11330),
    [sym__type_order_operator] = ACTIONS(11330),
    [sym__unary_operator] = ACTIONS(11328),
    [sym__unary_plus_operator] = ACTIONS(11328),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9810] = {
    [sym_block_comment] = STATE(9810),
    [sym_line_comment] = STATE(9810),
    [sym__word_identifier] = ACTIONS(11134),
    [anon_sym_COMMA] = ACTIONS(11139),
    [anon_sym_EQ] = ACTIONS(11134),
    [anon_sym_begin] = ACTIONS(11134),
    [anon_sym_module] = ACTIONS(11134),
    [anon_sym_baremodule] = ACTIONS(11134),
    [anon_sym_end] = ACTIONS(11134),
    [anon_sym_abstract] = ACTIONS(11134),
    [anon_sym_primitive] = ACTIONS(11134),
    [anon_sym_mutable] = ACTIONS(11134),
    [anon_sym_struct] = ACTIONS(11134),
    [anon_sym_function] = ACTIONS(11134),
    [anon_sym_macro] = ACTIONS(11134),
    [anon_sym_quote] = ACTIONS(11134),
    [anon_sym_let] = ACTIONS(11134),
    [anon_sym_if] = ACTIONS(11134),
    [anon_sym_try] = ACTIONS(11134),
    [anon_sym_for] = ACTIONS(11134),
    [anon_sym_while] = ACTIONS(11134),
    [sym_break_statement] = ACTIONS(11134),
    [sym_continue_statement] = ACTIONS(11134),
    [anon_sym_return] = ACTIONS(11134),
    [anon_sym_const] = ACTIONS(11134),
    [anon_sym_global] = ACTIONS(11134),
    [anon_sym_local] = ACTIONS(11134),
    [anon_sym_LPAREN] = ACTIONS(11139),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11134),
    [anon_sym_public] = ACTIONS(11134),
    [anon_sym_import] = ACTIONS(11134),
    [anon_sym_using] = ACTIONS(11134),
    [anon_sym_LBRACK] = ACTIONS(11139),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11139),
    [anon_sym_DOLLAR] = ACTIONS(11139),
    [anon_sym_COLON2] = ACTIONS(11134),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(12947),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11139),
    [anon_sym_true] = ACTIONS(11134),
    [anon_sym_false] = ACTIONS(11134),
    [aux_sym_integer_literal_token1] = ACTIONS(11139),
    [aux_sym_integer_literal_token2] = ACTIONS(11139),
    [aux_sym_integer_literal_token3] = ACTIONS(11134),
    [aux_sym_integer_literal_token4] = ACTIONS(11134),
    [aux_sym_float_literal_token1] = ACTIONS(11139),
    [aux_sym_float_literal_token3] = ACTIONS(11139),
    [aux_sym_float_literal_token4] = ACTIONS(11139),
    [sym_character_literal] = ACTIONS(11139),
    [anon_sym_DQUOTE] = ACTIONS(11134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11139),
    [anon_sym_BQUOTE] = ACTIONS(11134),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11139),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11139),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11134),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9811] = {
    [sym_block_comment] = STATE(9811),
    [sym_line_comment] = STATE(9811),
    [sym__word_identifier] = ACTIONS(11332),
    [anon_sym_COMMA] = ACTIONS(11334),
    [anon_sym_EQ] = ACTIONS(11332),
    [anon_sym_begin] = ACTIONS(11332),
    [anon_sym_module] = ACTIONS(11332),
    [anon_sym_baremodule] = ACTIONS(11332),
    [anon_sym_end] = ACTIONS(11332),
    [anon_sym_abstract] = ACTIONS(11332),
    [anon_sym_primitive] = ACTIONS(11332),
    [anon_sym_mutable] = ACTIONS(11332),
    [anon_sym_struct] = ACTIONS(11332),
    [anon_sym_function] = ACTIONS(11332),
    [anon_sym_macro] = ACTIONS(11332),
    [anon_sym_quote] = ACTIONS(11332),
    [anon_sym_let] = ACTIONS(11332),
    [anon_sym_if] = ACTIONS(11332),
    [anon_sym_try] = ACTIONS(11332),
    [anon_sym_for] = ACTIONS(11332),
    [anon_sym_while] = ACTIONS(11332),
    [sym_break_statement] = ACTIONS(11332),
    [sym_continue_statement] = ACTIONS(11332),
    [anon_sym_return] = ACTIONS(11332),
    [anon_sym_const] = ACTIONS(11332),
    [anon_sym_global] = ACTIONS(11332),
    [anon_sym_local] = ACTIONS(11332),
    [anon_sym_LPAREN] = ACTIONS(11334),
    [anon_sym_COLON] = ACTIONS(11332),
    [anon_sym_export] = ACTIONS(11332),
    [anon_sym_public] = ACTIONS(11332),
    [anon_sym_import] = ACTIONS(11332),
    [anon_sym_using] = ACTIONS(11332),
    [anon_sym_LBRACK] = ACTIONS(11334),
    [anon_sym_in] = ACTIONS(11332),
    [anon_sym_LBRACE] = ACTIONS(11334),
    [anon_sym_DOLLAR] = ACTIONS(11334),
    [anon_sym_COLON2] = ACTIONS(11332),
    [anon_sym_COLON_COLON] = ACTIONS(11334),
    [anon_sym_isa] = ACTIONS(11332),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11334),
    [anon_sym_QMARK] = ACTIONS(11334),
    [anon_sym_where] = ACTIONS(11332),
    [anon_sym_AT] = ACTIONS(11334),
    [anon_sym_true] = ACTIONS(11332),
    [anon_sym_false] = ACTIONS(11332),
    [aux_sym_integer_literal_token1] = ACTIONS(11334),
    [aux_sym_integer_literal_token2] = ACTIONS(11334),
    [aux_sym_integer_literal_token3] = ACTIONS(11332),
    [aux_sym_integer_literal_token4] = ACTIONS(11332),
    [aux_sym_float_literal_token1] = ACTIONS(11334),
    [aux_sym_float_literal_token3] = ACTIONS(11334),
    [aux_sym_float_literal_token4] = ACTIONS(11334),
    [sym_character_literal] = ACTIONS(11334),
    [anon_sym_DQUOTE] = ACTIONS(11332),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11334),
    [anon_sym_BQUOTE] = ACTIONS(11332),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11334),
    [sym__pair_operator] = ACTIONS(11334),
    [sym__arrow_operator] = ACTIONS(11332),
    [sym__lazy_or_operator] = ACTIONS(11334),
    [sym__lazy_and_operator] = ACTIONS(11334),
    [sym__comparison_operator] = ACTIONS(11332),
    [sym__pipe_right_operator] = ACTIONS(11334),
    [sym__pipe_left_operator] = ACTIONS(11334),
    [sym__ellipsis_operator] = ACTIONS(11332),
    [sym__plus_operator] = ACTIONS(11332),
    [sym__times_operator] = ACTIONS(11332),
    [sym__rational_operator] = ACTIONS(11334),
    [sym__bitshift_operator] = ACTIONS(11334),
    [sym__power_operator] = ACTIONS(11334),
    [sym__tilde_operator] = ACTIONS(11334),
    [sym__type_order_operator] = ACTIONS(11334),
    [sym__unary_operator] = ACTIONS(11332),
    [sym__unary_plus_operator] = ACTIONS(11332),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9812] = {
    [sym_block_comment] = STATE(9812),
    [sym_line_comment] = STATE(9812),
    [sym__word_identifier] = ACTIONS(11336),
    [anon_sym_COMMA] = ACTIONS(11338),
    [anon_sym_EQ] = ACTIONS(11336),
    [anon_sym_begin] = ACTIONS(11336),
    [anon_sym_module] = ACTIONS(11336),
    [anon_sym_baremodule] = ACTIONS(11336),
    [anon_sym_end] = ACTIONS(11336),
    [anon_sym_abstract] = ACTIONS(11336),
    [anon_sym_primitive] = ACTIONS(11336),
    [anon_sym_mutable] = ACTIONS(11336),
    [anon_sym_struct] = ACTIONS(11336),
    [anon_sym_function] = ACTIONS(11336),
    [anon_sym_macro] = ACTIONS(11336),
    [anon_sym_quote] = ACTIONS(11336),
    [anon_sym_let] = ACTIONS(11336),
    [anon_sym_if] = ACTIONS(11336),
    [anon_sym_try] = ACTIONS(11336),
    [anon_sym_for] = ACTIONS(11336),
    [anon_sym_while] = ACTIONS(11336),
    [sym_break_statement] = ACTIONS(11336),
    [sym_continue_statement] = ACTIONS(11336),
    [anon_sym_return] = ACTIONS(11336),
    [anon_sym_const] = ACTIONS(11336),
    [anon_sym_global] = ACTIONS(11336),
    [anon_sym_local] = ACTIONS(11336),
    [anon_sym_LPAREN] = ACTIONS(11338),
    [anon_sym_COLON] = ACTIONS(11336),
    [anon_sym_export] = ACTIONS(11336),
    [anon_sym_public] = ACTIONS(11336),
    [anon_sym_import] = ACTIONS(11336),
    [anon_sym_using] = ACTIONS(11336),
    [anon_sym_LBRACK] = ACTIONS(11338),
    [anon_sym_in] = ACTIONS(11336),
    [anon_sym_LBRACE] = ACTIONS(11338),
    [anon_sym_DOLLAR] = ACTIONS(11338),
    [anon_sym_COLON2] = ACTIONS(11336),
    [anon_sym_COLON_COLON] = ACTIONS(11338),
    [anon_sym_isa] = ACTIONS(11336),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11338),
    [anon_sym_QMARK] = ACTIONS(11338),
    [anon_sym_where] = ACTIONS(11336),
    [anon_sym_AT] = ACTIONS(11338),
    [anon_sym_true] = ACTIONS(11336),
    [anon_sym_false] = ACTIONS(11336),
    [aux_sym_integer_literal_token1] = ACTIONS(11338),
    [aux_sym_integer_literal_token2] = ACTIONS(11338),
    [aux_sym_integer_literal_token3] = ACTIONS(11336),
    [aux_sym_integer_literal_token4] = ACTIONS(11336),
    [aux_sym_float_literal_token1] = ACTIONS(11338),
    [aux_sym_float_literal_token3] = ACTIONS(11338),
    [aux_sym_float_literal_token4] = ACTIONS(11338),
    [sym_character_literal] = ACTIONS(11338),
    [anon_sym_DQUOTE] = ACTIONS(11336),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11338),
    [anon_sym_BQUOTE] = ACTIONS(11336),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11338),
    [sym__pair_operator] = ACTIONS(11338),
    [sym__arrow_operator] = ACTIONS(11336),
    [sym__lazy_or_operator] = ACTIONS(11338),
    [sym__lazy_and_operator] = ACTIONS(11338),
    [sym__comparison_operator] = ACTIONS(11336),
    [sym__pipe_right_operator] = ACTIONS(11338),
    [sym__pipe_left_operator] = ACTIONS(11338),
    [sym__ellipsis_operator] = ACTIONS(11336),
    [sym__plus_operator] = ACTIONS(11336),
    [sym__times_operator] = ACTIONS(11336),
    [sym__rational_operator] = ACTIONS(11338),
    [sym__bitshift_operator] = ACTIONS(11338),
    [sym__power_operator] = ACTIONS(11338),
    [sym__tilde_operator] = ACTIONS(11338),
    [sym__type_order_operator] = ACTIONS(11338),
    [sym__unary_operator] = ACTIONS(11336),
    [sym__unary_plus_operator] = ACTIONS(11336),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9813] = {
    [sym_block_comment] = STATE(9813),
    [sym_line_comment] = STATE(9813),
    [sym__word_identifier] = ACTIONS(11258),
    [anon_sym_COMMA] = ACTIONS(11260),
    [anon_sym_EQ] = ACTIONS(10617),
    [anon_sym_begin] = ACTIONS(11258),
    [anon_sym_module] = ACTIONS(11258),
    [anon_sym_baremodule] = ACTIONS(11258),
    [anon_sym_end] = ACTIONS(11258),
    [anon_sym_abstract] = ACTIONS(11258),
    [anon_sym_primitive] = ACTIONS(11258),
    [anon_sym_mutable] = ACTIONS(11258),
    [anon_sym_struct] = ACTIONS(11258),
    [anon_sym_function] = ACTIONS(11258),
    [anon_sym_macro] = ACTIONS(11258),
    [anon_sym_quote] = ACTIONS(11258),
    [anon_sym_let] = ACTIONS(11258),
    [anon_sym_if] = ACTIONS(11258),
    [anon_sym_try] = ACTIONS(11258),
    [anon_sym_for] = ACTIONS(11258),
    [anon_sym_while] = ACTIONS(11258),
    [sym_break_statement] = ACTIONS(11258),
    [sym_continue_statement] = ACTIONS(11258),
    [anon_sym_return] = ACTIONS(11258),
    [anon_sym_const] = ACTIONS(11258),
    [anon_sym_global] = ACTIONS(11258),
    [anon_sym_local] = ACTIONS(11258),
    [anon_sym_LPAREN] = ACTIONS(11260),
    [anon_sym_COLON] = ACTIONS(11258),
    [anon_sym_export] = ACTIONS(11258),
    [anon_sym_public] = ACTIONS(11258),
    [anon_sym_import] = ACTIONS(11258),
    [anon_sym_using] = ACTIONS(11258),
    [anon_sym_LBRACK] = ACTIONS(11260),
    [anon_sym_in] = ACTIONS(11258),
    [anon_sym_LBRACE] = ACTIONS(11260),
    [anon_sym_DOLLAR] = ACTIONS(11260),
    [anon_sym_COLON2] = ACTIONS(11258),
    [anon_sym_COLON_COLON] = ACTIONS(11260),
    [anon_sym_isa] = ACTIONS(11258),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11260),
    [anon_sym_QMARK] = ACTIONS(11260),
    [anon_sym_where] = ACTIONS(11258),
    [anon_sym_AT] = ACTIONS(11260),
    [anon_sym_true] = ACTIONS(11258),
    [anon_sym_false] = ACTIONS(11258),
    [aux_sym_integer_literal_token1] = ACTIONS(11260),
    [aux_sym_integer_literal_token2] = ACTIONS(11260),
    [aux_sym_integer_literal_token3] = ACTIONS(11258),
    [aux_sym_integer_literal_token4] = ACTIONS(11258),
    [aux_sym_float_literal_token1] = ACTIONS(11260),
    [aux_sym_float_literal_token3] = ACTIONS(11260),
    [aux_sym_float_literal_token4] = ACTIONS(11260),
    [sym_character_literal] = ACTIONS(11260),
    [anon_sym_DQUOTE] = ACTIONS(11258),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11260),
    [anon_sym_BQUOTE] = ACTIONS(11258),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11260),
    [sym__pair_operator] = ACTIONS(11260),
    [sym__arrow_operator] = ACTIONS(11258),
    [sym__lazy_or_operator] = ACTIONS(11260),
    [sym__lazy_and_operator] = ACTIONS(11260),
    [sym__comparison_operator] = ACTIONS(11258),
    [sym__pipe_right_operator] = ACTIONS(11260),
    [sym__pipe_left_operator] = ACTIONS(11260),
    [sym__ellipsis_operator] = ACTIONS(11258),
    [sym__plus_operator] = ACTIONS(11258),
    [sym__times_operator] = ACTIONS(11258),
    [sym__rational_operator] = ACTIONS(11260),
    [sym__bitshift_operator] = ACTIONS(11260),
    [sym__power_operator] = ACTIONS(11260),
    [sym__tilde_operator] = ACTIONS(11260),
    [sym__type_order_operator] = ACTIONS(11260),
    [sym__unary_operator] = ACTIONS(11258),
    [sym__unary_plus_operator] = ACTIONS(11258),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9814] = {
    [sym_block_comment] = STATE(9814),
    [sym_line_comment] = STATE(9814),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_COLON] = ACTIONS(12907),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_in] = ACTIONS(12925),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(12925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(3622),
    [anon_sym_where] = ACTIONS(12927),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(12989),
    [sym__arrow_operator] = ACTIONS(12929),
    [sym__lazy_or_operator] = ACTIONS(12931),
    [sym__lazy_and_operator] = ACTIONS(12933),
    [sym__comparison_operator] = ACTIONS(12925),
    [sym__pipe_right_operator] = ACTIONS(12909),
    [sym__pipe_left_operator] = ACTIONS(12911),
    [sym__ellipsis_operator] = ACTIONS(12913),
    [sym__plus_operator] = ACTIONS(12915),
    [sym__times_operator] = ACTIONS(12917),
    [sym__rational_operator] = ACTIONS(12919),
    [sym__bitshift_operator] = ACTIONS(12921),
    [sym__power_operator] = ACTIONS(12923),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(12925),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12915),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9815] = {
    [sym_block_comment] = STATE(9815),
    [sym_line_comment] = STATE(9815),
    [sym__word_identifier] = ACTIONS(11340),
    [anon_sym_COMMA] = ACTIONS(11342),
    [anon_sym_EQ] = ACTIONS(11340),
    [anon_sym_begin] = ACTIONS(11340),
    [anon_sym_module] = ACTIONS(11340),
    [anon_sym_baremodule] = ACTIONS(11340),
    [anon_sym_end] = ACTIONS(11340),
    [anon_sym_abstract] = ACTIONS(11340),
    [anon_sym_primitive] = ACTIONS(11340),
    [anon_sym_mutable] = ACTIONS(11340),
    [anon_sym_struct] = ACTIONS(11340),
    [anon_sym_function] = ACTIONS(11340),
    [anon_sym_macro] = ACTIONS(11340),
    [anon_sym_quote] = ACTIONS(11340),
    [anon_sym_let] = ACTIONS(11340),
    [anon_sym_if] = ACTIONS(11340),
    [anon_sym_try] = ACTIONS(11340),
    [anon_sym_for] = ACTIONS(11340),
    [anon_sym_while] = ACTIONS(11340),
    [sym_break_statement] = ACTIONS(11340),
    [sym_continue_statement] = ACTIONS(11340),
    [anon_sym_return] = ACTIONS(11340),
    [anon_sym_const] = ACTIONS(11340),
    [anon_sym_global] = ACTIONS(11340),
    [anon_sym_local] = ACTIONS(11340),
    [anon_sym_LPAREN] = ACTIONS(11342),
    [anon_sym_COLON] = ACTIONS(11340),
    [anon_sym_export] = ACTIONS(11340),
    [anon_sym_public] = ACTIONS(11340),
    [anon_sym_import] = ACTIONS(11340),
    [anon_sym_using] = ACTIONS(11340),
    [anon_sym_LBRACK] = ACTIONS(11342),
    [anon_sym_in] = ACTIONS(11340),
    [anon_sym_LBRACE] = ACTIONS(11342),
    [anon_sym_DOLLAR] = ACTIONS(11342),
    [anon_sym_COLON2] = ACTIONS(11340),
    [anon_sym_COLON_COLON] = ACTIONS(11342),
    [anon_sym_isa] = ACTIONS(11340),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11342),
    [anon_sym_QMARK] = ACTIONS(11342),
    [anon_sym_where] = ACTIONS(11340),
    [anon_sym_AT] = ACTIONS(11342),
    [anon_sym_true] = ACTIONS(11340),
    [anon_sym_false] = ACTIONS(11340),
    [aux_sym_integer_literal_token1] = ACTIONS(11342),
    [aux_sym_integer_literal_token2] = ACTIONS(11342),
    [aux_sym_integer_literal_token3] = ACTIONS(11340),
    [aux_sym_integer_literal_token4] = ACTIONS(11340),
    [aux_sym_float_literal_token1] = ACTIONS(11342),
    [aux_sym_float_literal_token3] = ACTIONS(11342),
    [aux_sym_float_literal_token4] = ACTIONS(11342),
    [sym_character_literal] = ACTIONS(11342),
    [anon_sym_DQUOTE] = ACTIONS(11340),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11342),
    [anon_sym_BQUOTE] = ACTIONS(11340),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11342),
    [sym__pair_operator] = ACTIONS(11342),
    [sym__arrow_operator] = ACTIONS(11340),
    [sym__lazy_or_operator] = ACTIONS(11342),
    [sym__lazy_and_operator] = ACTIONS(11342),
    [sym__comparison_operator] = ACTIONS(11340),
    [sym__pipe_right_operator] = ACTIONS(11342),
    [sym__pipe_left_operator] = ACTIONS(11342),
    [sym__ellipsis_operator] = ACTIONS(11340),
    [sym__plus_operator] = ACTIONS(11340),
    [sym__times_operator] = ACTIONS(11340),
    [sym__rational_operator] = ACTIONS(11342),
    [sym__bitshift_operator] = ACTIONS(11342),
    [sym__power_operator] = ACTIONS(11342),
    [sym__tilde_operator] = ACTIONS(11342),
    [sym__type_order_operator] = ACTIONS(11342),
    [sym__unary_operator] = ACTIONS(11340),
    [sym__unary_plus_operator] = ACTIONS(11340),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9816] = {
    [sym_block_comment] = STATE(9816),
    [sym_line_comment] = STATE(9816),
    [sym__word_identifier] = ACTIONS(11344),
    [anon_sym_COMMA] = ACTIONS(11346),
    [anon_sym_EQ] = ACTIONS(11344),
    [anon_sym_begin] = ACTIONS(11344),
    [anon_sym_module] = ACTIONS(11344),
    [anon_sym_baremodule] = ACTIONS(11344),
    [anon_sym_end] = ACTIONS(11344),
    [anon_sym_abstract] = ACTIONS(11344),
    [anon_sym_primitive] = ACTIONS(11344),
    [anon_sym_mutable] = ACTIONS(11344),
    [anon_sym_struct] = ACTIONS(11344),
    [anon_sym_function] = ACTIONS(11344),
    [anon_sym_macro] = ACTIONS(11344),
    [anon_sym_quote] = ACTIONS(11344),
    [anon_sym_let] = ACTIONS(11344),
    [anon_sym_if] = ACTIONS(11344),
    [anon_sym_try] = ACTIONS(11344),
    [anon_sym_for] = ACTIONS(11344),
    [anon_sym_while] = ACTIONS(11344),
    [sym_break_statement] = ACTIONS(11344),
    [sym_continue_statement] = ACTIONS(11344),
    [anon_sym_return] = ACTIONS(11344),
    [anon_sym_const] = ACTIONS(11344),
    [anon_sym_global] = ACTIONS(11344),
    [anon_sym_local] = ACTIONS(11344),
    [anon_sym_LPAREN] = ACTIONS(11346),
    [anon_sym_COLON] = ACTIONS(11344),
    [anon_sym_export] = ACTIONS(11344),
    [anon_sym_public] = ACTIONS(11344),
    [anon_sym_import] = ACTIONS(11344),
    [anon_sym_using] = ACTIONS(11344),
    [anon_sym_LBRACK] = ACTIONS(11346),
    [anon_sym_in] = ACTIONS(11344),
    [anon_sym_LBRACE] = ACTIONS(11346),
    [anon_sym_DOLLAR] = ACTIONS(11346),
    [anon_sym_COLON2] = ACTIONS(11344),
    [anon_sym_COLON_COLON] = ACTIONS(11346),
    [anon_sym_isa] = ACTIONS(11344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11346),
    [anon_sym_QMARK] = ACTIONS(11346),
    [anon_sym_where] = ACTIONS(11344),
    [anon_sym_AT] = ACTIONS(11346),
    [anon_sym_true] = ACTIONS(11344),
    [anon_sym_false] = ACTIONS(11344),
    [aux_sym_integer_literal_token1] = ACTIONS(11346),
    [aux_sym_integer_literal_token2] = ACTIONS(11346),
    [aux_sym_integer_literal_token3] = ACTIONS(11344),
    [aux_sym_integer_literal_token4] = ACTIONS(11344),
    [aux_sym_float_literal_token1] = ACTIONS(11346),
    [aux_sym_float_literal_token3] = ACTIONS(11346),
    [aux_sym_float_literal_token4] = ACTIONS(11346),
    [sym_character_literal] = ACTIONS(11346),
    [anon_sym_DQUOTE] = ACTIONS(11344),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11346),
    [anon_sym_BQUOTE] = ACTIONS(11344),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11346),
    [sym__pair_operator] = ACTIONS(11346),
    [sym__arrow_operator] = ACTIONS(11344),
    [sym__lazy_or_operator] = ACTIONS(11346),
    [sym__lazy_and_operator] = ACTIONS(11346),
    [sym__comparison_operator] = ACTIONS(11344),
    [sym__pipe_right_operator] = ACTIONS(11346),
    [sym__pipe_left_operator] = ACTIONS(11346),
    [sym__ellipsis_operator] = ACTIONS(11344),
    [sym__plus_operator] = ACTIONS(11344),
    [sym__times_operator] = ACTIONS(11344),
    [sym__rational_operator] = ACTIONS(11346),
    [sym__bitshift_operator] = ACTIONS(11346),
    [sym__power_operator] = ACTIONS(11346),
    [sym__tilde_operator] = ACTIONS(11346),
    [sym__type_order_operator] = ACTIONS(11346),
    [sym__unary_operator] = ACTIONS(11344),
    [sym__unary_plus_operator] = ACTIONS(11344),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9817] = {
    [sym_block_comment] = STATE(9817),
    [sym_line_comment] = STATE(9817),
    [sym__word_identifier] = ACTIONS(11348),
    [anon_sym_COMMA] = ACTIONS(11350),
    [anon_sym_EQ] = ACTIONS(11348),
    [anon_sym_begin] = ACTIONS(11348),
    [anon_sym_module] = ACTIONS(11348),
    [anon_sym_baremodule] = ACTIONS(11348),
    [anon_sym_end] = ACTIONS(11348),
    [anon_sym_abstract] = ACTIONS(11348),
    [anon_sym_primitive] = ACTIONS(11348),
    [anon_sym_mutable] = ACTIONS(11348),
    [anon_sym_struct] = ACTIONS(11348),
    [anon_sym_function] = ACTIONS(11348),
    [anon_sym_macro] = ACTIONS(11348),
    [anon_sym_quote] = ACTIONS(11348),
    [anon_sym_let] = ACTIONS(11348),
    [anon_sym_if] = ACTIONS(11348),
    [anon_sym_try] = ACTIONS(11348),
    [anon_sym_for] = ACTIONS(11348),
    [anon_sym_while] = ACTIONS(11348),
    [sym_break_statement] = ACTIONS(11348),
    [sym_continue_statement] = ACTIONS(11348),
    [anon_sym_return] = ACTIONS(11348),
    [anon_sym_const] = ACTIONS(11348),
    [anon_sym_global] = ACTIONS(11348),
    [anon_sym_local] = ACTIONS(11348),
    [anon_sym_LPAREN] = ACTIONS(11350),
    [anon_sym_COLON] = ACTIONS(11348),
    [anon_sym_export] = ACTIONS(11348),
    [anon_sym_public] = ACTIONS(11348),
    [anon_sym_import] = ACTIONS(11348),
    [anon_sym_using] = ACTIONS(11348),
    [anon_sym_LBRACK] = ACTIONS(11350),
    [anon_sym_in] = ACTIONS(11348),
    [anon_sym_LBRACE] = ACTIONS(11350),
    [anon_sym_DOLLAR] = ACTIONS(11350),
    [anon_sym_COLON2] = ACTIONS(11348),
    [anon_sym_COLON_COLON] = ACTIONS(11350),
    [anon_sym_isa] = ACTIONS(11348),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11350),
    [anon_sym_QMARK] = ACTIONS(11350),
    [anon_sym_where] = ACTIONS(11348),
    [anon_sym_AT] = ACTIONS(11350),
    [anon_sym_true] = ACTIONS(11348),
    [anon_sym_false] = ACTIONS(11348),
    [aux_sym_integer_literal_token1] = ACTIONS(11350),
    [aux_sym_integer_literal_token2] = ACTIONS(11350),
    [aux_sym_integer_literal_token3] = ACTIONS(11348),
    [aux_sym_integer_literal_token4] = ACTIONS(11348),
    [aux_sym_float_literal_token1] = ACTIONS(11350),
    [aux_sym_float_literal_token3] = ACTIONS(11350),
    [aux_sym_float_literal_token4] = ACTIONS(11350),
    [sym_character_literal] = ACTIONS(11350),
    [anon_sym_DQUOTE] = ACTIONS(11348),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11350),
    [anon_sym_BQUOTE] = ACTIONS(11348),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11350),
    [sym__pair_operator] = ACTIONS(11350),
    [sym__arrow_operator] = ACTIONS(11348),
    [sym__lazy_or_operator] = ACTIONS(11350),
    [sym__lazy_and_operator] = ACTIONS(11350),
    [sym__comparison_operator] = ACTIONS(11348),
    [sym__pipe_right_operator] = ACTIONS(11350),
    [sym__pipe_left_operator] = ACTIONS(11350),
    [sym__ellipsis_operator] = ACTIONS(11348),
    [sym__plus_operator] = ACTIONS(11348),
    [sym__times_operator] = ACTIONS(11348),
    [sym__rational_operator] = ACTIONS(11350),
    [sym__bitshift_operator] = ACTIONS(11350),
    [sym__power_operator] = ACTIONS(11350),
    [sym__tilde_operator] = ACTIONS(11350),
    [sym__type_order_operator] = ACTIONS(11350),
    [sym__unary_operator] = ACTIONS(11348),
    [sym__unary_plus_operator] = ACTIONS(11348),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9818] = {
    [sym_block_comment] = STATE(9818),
    [sym_line_comment] = STATE(9818),
    [sym__word_identifier] = ACTIONS(11352),
    [anon_sym_COMMA] = ACTIONS(11354),
    [anon_sym_EQ] = ACTIONS(11352),
    [anon_sym_begin] = ACTIONS(11352),
    [anon_sym_module] = ACTIONS(11352),
    [anon_sym_baremodule] = ACTIONS(11352),
    [anon_sym_end] = ACTIONS(11352),
    [anon_sym_abstract] = ACTIONS(11352),
    [anon_sym_primitive] = ACTIONS(11352),
    [anon_sym_mutable] = ACTIONS(11352),
    [anon_sym_struct] = ACTIONS(11352),
    [anon_sym_function] = ACTIONS(11352),
    [anon_sym_macro] = ACTIONS(11352),
    [anon_sym_quote] = ACTIONS(11352),
    [anon_sym_let] = ACTIONS(11352),
    [anon_sym_if] = ACTIONS(11352),
    [anon_sym_try] = ACTIONS(11352),
    [anon_sym_for] = ACTIONS(11352),
    [anon_sym_while] = ACTIONS(11352),
    [sym_break_statement] = ACTIONS(11352),
    [sym_continue_statement] = ACTIONS(11352),
    [anon_sym_return] = ACTIONS(11352),
    [anon_sym_const] = ACTIONS(11352),
    [anon_sym_global] = ACTIONS(11352),
    [anon_sym_local] = ACTIONS(11352),
    [anon_sym_LPAREN] = ACTIONS(11354),
    [anon_sym_COLON] = ACTIONS(11352),
    [anon_sym_export] = ACTIONS(11352),
    [anon_sym_public] = ACTIONS(11352),
    [anon_sym_import] = ACTIONS(11352),
    [anon_sym_using] = ACTIONS(11352),
    [anon_sym_LBRACK] = ACTIONS(11354),
    [anon_sym_in] = ACTIONS(11352),
    [anon_sym_LBRACE] = ACTIONS(11354),
    [anon_sym_DOLLAR] = ACTIONS(11354),
    [anon_sym_COLON2] = ACTIONS(11352),
    [anon_sym_COLON_COLON] = ACTIONS(11354),
    [anon_sym_isa] = ACTIONS(11352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11354),
    [anon_sym_QMARK] = ACTIONS(11354),
    [anon_sym_where] = ACTIONS(11352),
    [anon_sym_AT] = ACTIONS(11354),
    [anon_sym_true] = ACTIONS(11352),
    [anon_sym_false] = ACTIONS(11352),
    [aux_sym_integer_literal_token1] = ACTIONS(11354),
    [aux_sym_integer_literal_token2] = ACTIONS(11354),
    [aux_sym_integer_literal_token3] = ACTIONS(11352),
    [aux_sym_integer_literal_token4] = ACTIONS(11352),
    [aux_sym_float_literal_token1] = ACTIONS(11354),
    [aux_sym_float_literal_token3] = ACTIONS(11354),
    [aux_sym_float_literal_token4] = ACTIONS(11354),
    [sym_character_literal] = ACTIONS(11354),
    [anon_sym_DQUOTE] = ACTIONS(11352),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11354),
    [anon_sym_BQUOTE] = ACTIONS(11352),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11354),
    [sym__pair_operator] = ACTIONS(11354),
    [sym__arrow_operator] = ACTIONS(11352),
    [sym__lazy_or_operator] = ACTIONS(11354),
    [sym__lazy_and_operator] = ACTIONS(11354),
    [sym__comparison_operator] = ACTIONS(11352),
    [sym__pipe_right_operator] = ACTIONS(11354),
    [sym__pipe_left_operator] = ACTIONS(11354),
    [sym__ellipsis_operator] = ACTIONS(11352),
    [sym__plus_operator] = ACTIONS(11352),
    [sym__times_operator] = ACTIONS(11352),
    [sym__rational_operator] = ACTIONS(11354),
    [sym__bitshift_operator] = ACTIONS(11354),
    [sym__power_operator] = ACTIONS(11354),
    [sym__tilde_operator] = ACTIONS(11354),
    [sym__type_order_operator] = ACTIONS(11354),
    [sym__unary_operator] = ACTIONS(11352),
    [sym__unary_plus_operator] = ACTIONS(11352),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9819] = {
    [sym_block_comment] = STATE(9819),
    [sym_line_comment] = STATE(9819),
    [sym__word_identifier] = ACTIONS(11358),
    [anon_sym_COMMA] = ACTIONS(11360),
    [anon_sym_EQ] = ACTIONS(11358),
    [anon_sym_begin] = ACTIONS(11358),
    [anon_sym_module] = ACTIONS(11358),
    [anon_sym_baremodule] = ACTIONS(11358),
    [anon_sym_end] = ACTIONS(11358),
    [anon_sym_abstract] = ACTIONS(11358),
    [anon_sym_primitive] = ACTIONS(11358),
    [anon_sym_mutable] = ACTIONS(11358),
    [anon_sym_struct] = ACTIONS(11358),
    [anon_sym_function] = ACTIONS(11358),
    [anon_sym_macro] = ACTIONS(11358),
    [anon_sym_quote] = ACTIONS(11358),
    [anon_sym_let] = ACTIONS(11358),
    [anon_sym_if] = ACTIONS(11358),
    [anon_sym_try] = ACTIONS(11358),
    [anon_sym_for] = ACTIONS(11358),
    [anon_sym_while] = ACTIONS(11358),
    [sym_break_statement] = ACTIONS(11358),
    [sym_continue_statement] = ACTIONS(11358),
    [anon_sym_return] = ACTIONS(11358),
    [anon_sym_const] = ACTIONS(11358),
    [anon_sym_global] = ACTIONS(11358),
    [anon_sym_local] = ACTIONS(11358),
    [anon_sym_LPAREN] = ACTIONS(11360),
    [anon_sym_COLON] = ACTIONS(11358),
    [anon_sym_export] = ACTIONS(11358),
    [anon_sym_public] = ACTIONS(11358),
    [anon_sym_import] = ACTIONS(11358),
    [anon_sym_using] = ACTIONS(11358),
    [anon_sym_LBRACK] = ACTIONS(11360),
    [anon_sym_in] = ACTIONS(11358),
    [anon_sym_LBRACE] = ACTIONS(11360),
    [anon_sym_DOLLAR] = ACTIONS(11360),
    [anon_sym_COLON2] = ACTIONS(11358),
    [anon_sym_COLON_COLON] = ACTIONS(11360),
    [anon_sym_isa] = ACTIONS(11358),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11360),
    [anon_sym_QMARK] = ACTIONS(11360),
    [anon_sym_where] = ACTIONS(11358),
    [anon_sym_AT] = ACTIONS(11360),
    [anon_sym_true] = ACTIONS(11358),
    [anon_sym_false] = ACTIONS(11358),
    [aux_sym_integer_literal_token1] = ACTIONS(11360),
    [aux_sym_integer_literal_token2] = ACTIONS(11360),
    [aux_sym_integer_literal_token3] = ACTIONS(11358),
    [aux_sym_integer_literal_token4] = ACTIONS(11358),
    [aux_sym_float_literal_token1] = ACTIONS(11360),
    [aux_sym_float_literal_token3] = ACTIONS(11360),
    [aux_sym_float_literal_token4] = ACTIONS(11360),
    [sym_character_literal] = ACTIONS(11360),
    [anon_sym_DQUOTE] = ACTIONS(11358),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11360),
    [anon_sym_BQUOTE] = ACTIONS(11358),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11360),
    [sym__pair_operator] = ACTIONS(11360),
    [sym__arrow_operator] = ACTIONS(11358),
    [sym__lazy_or_operator] = ACTIONS(11360),
    [sym__lazy_and_operator] = ACTIONS(11360),
    [sym__comparison_operator] = ACTIONS(11358),
    [sym__pipe_right_operator] = ACTIONS(11360),
    [sym__pipe_left_operator] = ACTIONS(11360),
    [sym__ellipsis_operator] = ACTIONS(11358),
    [sym__plus_operator] = ACTIONS(11358),
    [sym__times_operator] = ACTIONS(11358),
    [sym__rational_operator] = ACTIONS(11360),
    [sym__bitshift_operator] = ACTIONS(11360),
    [sym__power_operator] = ACTIONS(11360),
    [sym__tilde_operator] = ACTIONS(11360),
    [sym__type_order_operator] = ACTIONS(11360),
    [sym__unary_operator] = ACTIONS(11358),
    [sym__unary_plus_operator] = ACTIONS(11358),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9820] = {
    [sym_block_comment] = STATE(9820),
    [sym_line_comment] = STATE(9820),
    [sym__word_identifier] = ACTIONS(11362),
    [anon_sym_COMMA] = ACTIONS(11364),
    [anon_sym_EQ] = ACTIONS(11362),
    [anon_sym_begin] = ACTIONS(11362),
    [anon_sym_module] = ACTIONS(11362),
    [anon_sym_baremodule] = ACTIONS(11362),
    [anon_sym_end] = ACTIONS(11362),
    [anon_sym_abstract] = ACTIONS(11362),
    [anon_sym_primitive] = ACTIONS(11362),
    [anon_sym_mutable] = ACTIONS(11362),
    [anon_sym_struct] = ACTIONS(11362),
    [anon_sym_function] = ACTIONS(11362),
    [anon_sym_macro] = ACTIONS(11362),
    [anon_sym_quote] = ACTIONS(11362),
    [anon_sym_let] = ACTIONS(11362),
    [anon_sym_if] = ACTIONS(11362),
    [anon_sym_try] = ACTIONS(11362),
    [anon_sym_for] = ACTIONS(11362),
    [anon_sym_while] = ACTIONS(11362),
    [sym_break_statement] = ACTIONS(11362),
    [sym_continue_statement] = ACTIONS(11362),
    [anon_sym_return] = ACTIONS(11362),
    [anon_sym_const] = ACTIONS(11362),
    [anon_sym_global] = ACTIONS(11362),
    [anon_sym_local] = ACTIONS(11362),
    [anon_sym_LPAREN] = ACTIONS(11364),
    [anon_sym_COLON] = ACTIONS(11362),
    [anon_sym_export] = ACTIONS(11362),
    [anon_sym_public] = ACTIONS(11362),
    [anon_sym_import] = ACTIONS(11362),
    [anon_sym_using] = ACTIONS(11362),
    [anon_sym_LBRACK] = ACTIONS(11364),
    [anon_sym_in] = ACTIONS(11362),
    [anon_sym_LBRACE] = ACTIONS(11364),
    [anon_sym_DOLLAR] = ACTIONS(11364),
    [anon_sym_COLON2] = ACTIONS(11362),
    [anon_sym_COLON_COLON] = ACTIONS(11364),
    [anon_sym_isa] = ACTIONS(11362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11364),
    [anon_sym_QMARK] = ACTIONS(11364),
    [anon_sym_where] = ACTIONS(11362),
    [anon_sym_AT] = ACTIONS(11364),
    [anon_sym_true] = ACTIONS(11362),
    [anon_sym_false] = ACTIONS(11362),
    [aux_sym_integer_literal_token1] = ACTIONS(11364),
    [aux_sym_integer_literal_token2] = ACTIONS(11364),
    [aux_sym_integer_literal_token3] = ACTIONS(11362),
    [aux_sym_integer_literal_token4] = ACTIONS(11362),
    [aux_sym_float_literal_token1] = ACTIONS(11364),
    [aux_sym_float_literal_token3] = ACTIONS(11364),
    [aux_sym_float_literal_token4] = ACTIONS(11364),
    [sym_character_literal] = ACTIONS(11364),
    [anon_sym_DQUOTE] = ACTIONS(11362),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11364),
    [anon_sym_BQUOTE] = ACTIONS(11362),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11364),
    [sym__pair_operator] = ACTIONS(11364),
    [sym__arrow_operator] = ACTIONS(11362),
    [sym__lazy_or_operator] = ACTIONS(11364),
    [sym__lazy_and_operator] = ACTIONS(11364),
    [sym__comparison_operator] = ACTIONS(11362),
    [sym__pipe_right_operator] = ACTIONS(11364),
    [sym__pipe_left_operator] = ACTIONS(11364),
    [sym__ellipsis_operator] = ACTIONS(11362),
    [sym__plus_operator] = ACTIONS(11362),
    [sym__times_operator] = ACTIONS(11362),
    [sym__rational_operator] = ACTIONS(11364),
    [sym__bitshift_operator] = ACTIONS(11364),
    [sym__power_operator] = ACTIONS(11364),
    [sym__tilde_operator] = ACTIONS(11364),
    [sym__type_order_operator] = ACTIONS(11364),
    [sym__unary_operator] = ACTIONS(11362),
    [sym__unary_plus_operator] = ACTIONS(11362),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9821] = {
    [sym_block_comment] = STATE(9821),
    [sym_line_comment] = STATE(9821),
    [sym__word_identifier] = ACTIONS(11366),
    [anon_sym_COMMA] = ACTIONS(11368),
    [anon_sym_EQ] = ACTIONS(11366),
    [anon_sym_begin] = ACTIONS(11366),
    [anon_sym_module] = ACTIONS(11366),
    [anon_sym_baremodule] = ACTIONS(11366),
    [anon_sym_end] = ACTIONS(11366),
    [anon_sym_abstract] = ACTIONS(11366),
    [anon_sym_primitive] = ACTIONS(11366),
    [anon_sym_mutable] = ACTIONS(11366),
    [anon_sym_struct] = ACTIONS(11366),
    [anon_sym_function] = ACTIONS(11366),
    [anon_sym_macro] = ACTIONS(11366),
    [anon_sym_quote] = ACTIONS(11366),
    [anon_sym_let] = ACTIONS(11366),
    [anon_sym_if] = ACTIONS(11366),
    [anon_sym_try] = ACTIONS(11366),
    [anon_sym_for] = ACTIONS(11366),
    [anon_sym_while] = ACTIONS(11366),
    [sym_break_statement] = ACTIONS(11366),
    [sym_continue_statement] = ACTIONS(11366),
    [anon_sym_return] = ACTIONS(11366),
    [anon_sym_const] = ACTIONS(11366),
    [anon_sym_global] = ACTIONS(11366),
    [anon_sym_local] = ACTIONS(11366),
    [anon_sym_LPAREN] = ACTIONS(11368),
    [anon_sym_COLON] = ACTIONS(11366),
    [anon_sym_export] = ACTIONS(11366),
    [anon_sym_public] = ACTIONS(11366),
    [anon_sym_import] = ACTIONS(11366),
    [anon_sym_using] = ACTIONS(11366),
    [anon_sym_LBRACK] = ACTIONS(11368),
    [anon_sym_in] = ACTIONS(11366),
    [anon_sym_LBRACE] = ACTIONS(11368),
    [anon_sym_DOLLAR] = ACTIONS(11368),
    [anon_sym_COLON2] = ACTIONS(11366),
    [anon_sym_COLON_COLON] = ACTIONS(11368),
    [anon_sym_isa] = ACTIONS(11366),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11368),
    [anon_sym_QMARK] = ACTIONS(11368),
    [anon_sym_where] = ACTIONS(11366),
    [anon_sym_AT] = ACTIONS(11368),
    [anon_sym_true] = ACTIONS(11366),
    [anon_sym_false] = ACTIONS(11366),
    [aux_sym_integer_literal_token1] = ACTIONS(11368),
    [aux_sym_integer_literal_token2] = ACTIONS(11368),
    [aux_sym_integer_literal_token3] = ACTIONS(11366),
    [aux_sym_integer_literal_token4] = ACTIONS(11366),
    [aux_sym_float_literal_token1] = ACTIONS(11368),
    [aux_sym_float_literal_token3] = ACTIONS(11368),
    [aux_sym_float_literal_token4] = ACTIONS(11368),
    [sym_character_literal] = ACTIONS(11368),
    [anon_sym_DQUOTE] = ACTIONS(11366),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11368),
    [anon_sym_BQUOTE] = ACTIONS(11366),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11368),
    [sym__pair_operator] = ACTIONS(11368),
    [sym__arrow_operator] = ACTIONS(11366),
    [sym__lazy_or_operator] = ACTIONS(11368),
    [sym__lazy_and_operator] = ACTIONS(11368),
    [sym__comparison_operator] = ACTIONS(11366),
    [sym__pipe_right_operator] = ACTIONS(11368),
    [sym__pipe_left_operator] = ACTIONS(11368),
    [sym__ellipsis_operator] = ACTIONS(11366),
    [sym__plus_operator] = ACTIONS(11366),
    [sym__times_operator] = ACTIONS(11366),
    [sym__rational_operator] = ACTIONS(11368),
    [sym__bitshift_operator] = ACTIONS(11368),
    [sym__power_operator] = ACTIONS(11368),
    [sym__tilde_operator] = ACTIONS(11368),
    [sym__type_order_operator] = ACTIONS(11368),
    [sym__unary_operator] = ACTIONS(11366),
    [sym__unary_plus_operator] = ACTIONS(11366),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9822] = {
    [sym_block_comment] = STATE(9822),
    [sym_line_comment] = STATE(9822),
    [sym__word_identifier] = ACTIONS(11370),
    [anon_sym_COMMA] = ACTIONS(11372),
    [anon_sym_EQ] = ACTIONS(11370),
    [anon_sym_begin] = ACTIONS(11370),
    [anon_sym_module] = ACTIONS(11370),
    [anon_sym_baremodule] = ACTIONS(11370),
    [anon_sym_end] = ACTIONS(11370),
    [anon_sym_abstract] = ACTIONS(11370),
    [anon_sym_primitive] = ACTIONS(11370),
    [anon_sym_mutable] = ACTIONS(11370),
    [anon_sym_struct] = ACTIONS(11370),
    [anon_sym_function] = ACTIONS(11370),
    [anon_sym_macro] = ACTIONS(11370),
    [anon_sym_quote] = ACTIONS(11370),
    [anon_sym_let] = ACTIONS(11370),
    [anon_sym_if] = ACTIONS(11370),
    [anon_sym_try] = ACTIONS(11370),
    [anon_sym_for] = ACTIONS(11370),
    [anon_sym_while] = ACTIONS(11370),
    [sym_break_statement] = ACTIONS(11370),
    [sym_continue_statement] = ACTIONS(11370),
    [anon_sym_return] = ACTIONS(11370),
    [anon_sym_const] = ACTIONS(11370),
    [anon_sym_global] = ACTIONS(11370),
    [anon_sym_local] = ACTIONS(11370),
    [anon_sym_LPAREN] = ACTIONS(11372),
    [anon_sym_COLON] = ACTIONS(11370),
    [anon_sym_export] = ACTIONS(11370),
    [anon_sym_public] = ACTIONS(11370),
    [anon_sym_import] = ACTIONS(11370),
    [anon_sym_using] = ACTIONS(11370),
    [anon_sym_LBRACK] = ACTIONS(11372),
    [anon_sym_in] = ACTIONS(11370),
    [anon_sym_LBRACE] = ACTIONS(11372),
    [anon_sym_DOLLAR] = ACTIONS(11372),
    [anon_sym_COLON2] = ACTIONS(11370),
    [anon_sym_COLON_COLON] = ACTIONS(11372),
    [anon_sym_isa] = ACTIONS(11370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11372),
    [anon_sym_QMARK] = ACTIONS(11372),
    [anon_sym_where] = ACTIONS(11370),
    [anon_sym_AT] = ACTIONS(11372),
    [anon_sym_true] = ACTIONS(11370),
    [anon_sym_false] = ACTIONS(11370),
    [aux_sym_integer_literal_token1] = ACTIONS(11372),
    [aux_sym_integer_literal_token2] = ACTIONS(11372),
    [aux_sym_integer_literal_token3] = ACTIONS(11370),
    [aux_sym_integer_literal_token4] = ACTIONS(11370),
    [aux_sym_float_literal_token1] = ACTIONS(11372),
    [aux_sym_float_literal_token3] = ACTIONS(11372),
    [aux_sym_float_literal_token4] = ACTIONS(11372),
    [sym_character_literal] = ACTIONS(11372),
    [anon_sym_DQUOTE] = ACTIONS(11370),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11372),
    [anon_sym_BQUOTE] = ACTIONS(11370),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11372),
    [sym__pair_operator] = ACTIONS(11372),
    [sym__arrow_operator] = ACTIONS(11370),
    [sym__lazy_or_operator] = ACTIONS(11372),
    [sym__lazy_and_operator] = ACTIONS(11372),
    [sym__comparison_operator] = ACTIONS(11370),
    [sym__pipe_right_operator] = ACTIONS(11372),
    [sym__pipe_left_operator] = ACTIONS(11372),
    [sym__ellipsis_operator] = ACTIONS(11370),
    [sym__plus_operator] = ACTIONS(11370),
    [sym__times_operator] = ACTIONS(11370),
    [sym__rational_operator] = ACTIONS(11372),
    [sym__bitshift_operator] = ACTIONS(11372),
    [sym__power_operator] = ACTIONS(11372),
    [sym__tilde_operator] = ACTIONS(11372),
    [sym__type_order_operator] = ACTIONS(11372),
    [sym__unary_operator] = ACTIONS(11370),
    [sym__unary_plus_operator] = ACTIONS(11370),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9823] = {
    [sym_block_comment] = STATE(9823),
    [sym_line_comment] = STATE(9823),
    [aux_sym_open_tuple_repeat1] = STATE(18162),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11220),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11220),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11220),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11220),
    [anon_sym_DOLLAR] = ACTIONS(11220),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(13028),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11220),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11220),
    [aux_sym_integer_literal_token2] = ACTIONS(11220),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11220),
    [aux_sym_float_literal_token3] = ACTIONS(11220),
    [aux_sym_float_literal_token4] = ACTIONS(11220),
    [sym_character_literal] = ACTIONS(11220),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11220),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11220),
    [sym__pair_operator] = ACTIONS(11220),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11220),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9824] = {
    [sym_block_comment] = STATE(9824),
    [sym_line_comment] = STATE(9824),
    [sym__word_identifier] = ACTIONS(10866),
    [anon_sym_COMMA] = ACTIONS(10870),
    [anon_sym_EQ] = ACTIONS(10866),
    [anon_sym_begin] = ACTIONS(10866),
    [anon_sym_module] = ACTIONS(10866),
    [anon_sym_baremodule] = ACTIONS(10866),
    [anon_sym_end] = ACTIONS(10866),
    [anon_sym_abstract] = ACTIONS(10866),
    [anon_sym_primitive] = ACTIONS(10866),
    [anon_sym_mutable] = ACTIONS(10866),
    [anon_sym_struct] = ACTIONS(10866),
    [anon_sym_function] = ACTIONS(10866),
    [anon_sym_macro] = ACTIONS(10866),
    [anon_sym_quote] = ACTIONS(10866),
    [anon_sym_let] = ACTIONS(10866),
    [anon_sym_if] = ACTIONS(10866),
    [anon_sym_try] = ACTIONS(10866),
    [anon_sym_for] = ACTIONS(10866),
    [anon_sym_while] = ACTIONS(10866),
    [sym_break_statement] = ACTIONS(10866),
    [sym_continue_statement] = ACTIONS(10866),
    [anon_sym_return] = ACTIONS(10866),
    [anon_sym_const] = ACTIONS(10866),
    [anon_sym_global] = ACTIONS(10866),
    [anon_sym_local] = ACTIONS(10866),
    [anon_sym_LPAREN] = ACTIONS(10870),
    [anon_sym_COLON] = ACTIONS(10866),
    [anon_sym_export] = ACTIONS(10866),
    [anon_sym_public] = ACTIONS(10866),
    [anon_sym_import] = ACTIONS(10866),
    [anon_sym_using] = ACTIONS(10866),
    [anon_sym_LBRACK] = ACTIONS(10870),
    [anon_sym_in] = ACTIONS(10866),
    [anon_sym_LBRACE] = ACTIONS(10870),
    [anon_sym_DOLLAR] = ACTIONS(10870),
    [anon_sym_COLON2] = ACTIONS(10866),
    [anon_sym_COLON_COLON] = ACTIONS(10870),
    [anon_sym_isa] = ACTIONS(10866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(10870),
    [anon_sym_QMARK] = ACTIONS(10870),
    [anon_sym_where] = ACTIONS(10866),
    [anon_sym_AT] = ACTIONS(10870),
    [anon_sym_true] = ACTIONS(10866),
    [anon_sym_false] = ACTIONS(10866),
    [aux_sym_integer_literal_token1] = ACTIONS(10870),
    [aux_sym_integer_literal_token2] = ACTIONS(10870),
    [aux_sym_integer_literal_token3] = ACTIONS(10866),
    [aux_sym_integer_literal_token4] = ACTIONS(10866),
    [aux_sym_float_literal_token1] = ACTIONS(10870),
    [aux_sym_float_literal_token3] = ACTIONS(10870),
    [aux_sym_float_literal_token4] = ACTIONS(10870),
    [sym_character_literal] = ACTIONS(10870),
    [anon_sym_DQUOTE] = ACTIONS(10866),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10870),
    [anon_sym_BQUOTE] = ACTIONS(10866),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10870),
    [sym__pair_operator] = ACTIONS(10870),
    [sym__arrow_operator] = ACTIONS(10866),
    [sym__lazy_or_operator] = ACTIONS(10870),
    [sym__lazy_and_operator] = ACTIONS(10870),
    [sym__comparison_operator] = ACTIONS(10866),
    [sym__pipe_right_operator] = ACTIONS(10870),
    [sym__pipe_left_operator] = ACTIONS(10870),
    [sym__ellipsis_operator] = ACTIONS(10866),
    [sym__plus_operator] = ACTIONS(10866),
    [sym__times_operator] = ACTIONS(10866),
    [sym__rational_operator] = ACTIONS(10870),
    [sym__bitshift_operator] = ACTIONS(10870),
    [sym__power_operator] = ACTIONS(10870),
    [sym__tilde_operator] = ACTIONS(10870),
    [sym__type_order_operator] = ACTIONS(10870),
    [sym__unary_operator] = ACTIONS(10866),
    [sym__unary_plus_operator] = ACTIONS(10866),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9825] = {
    [sym_block_comment] = STATE(9825),
    [sym_line_comment] = STATE(9825),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_EQ] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11380),
    [sym__bitshift_operator] = ACTIONS(11380),
    [sym__power_operator] = ACTIONS(11380),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9826] = {
    [sym_block_comment] = STATE(9826),
    [sym_line_comment] = STATE(9826),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11384),
    [anon_sym_EQ] = ACTIONS(11382),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11384),
    [anon_sym_COLON] = ACTIONS(11382),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11384),
    [anon_sym_in] = ACTIONS(11382),
    [anon_sym_LBRACE] = ACTIONS(11384),
    [anon_sym_DOLLAR] = ACTIONS(11384),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(11384),
    [anon_sym_isa] = ACTIONS(11382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11384),
    [anon_sym_QMARK] = ACTIONS(11384),
    [anon_sym_where] = ACTIONS(11382),
    [anon_sym_AT] = ACTIONS(11384),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11384),
    [aux_sym_integer_literal_token2] = ACTIONS(11384),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11384),
    [aux_sym_float_literal_token3] = ACTIONS(11384),
    [aux_sym_float_literal_token4] = ACTIONS(11384),
    [sym_character_literal] = ACTIONS(11384),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11384),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11384),
    [sym__pair_operator] = ACTIONS(11384),
    [sym__arrow_operator] = ACTIONS(11382),
    [sym__lazy_or_operator] = ACTIONS(11384),
    [sym__lazy_and_operator] = ACTIONS(11384),
    [sym__comparison_operator] = ACTIONS(11382),
    [sym__pipe_right_operator] = ACTIONS(11384),
    [sym__pipe_left_operator] = ACTIONS(11384),
    [sym__ellipsis_operator] = ACTIONS(11382),
    [sym__plus_operator] = ACTIONS(11382),
    [sym__times_operator] = ACTIONS(11382),
    [sym__rational_operator] = ACTIONS(11384),
    [sym__bitshift_operator] = ACTIONS(11384),
    [sym__power_operator] = ACTIONS(11384),
    [sym__tilde_operator] = ACTIONS(11384),
    [sym__type_order_operator] = ACTIONS(11384),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(11382),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9827] = {
    [sym_block_comment] = STATE(9827),
    [sym_line_comment] = STATE(9827),
    [sym__word_identifier] = ACTIONS(11386),
    [anon_sym_COMMA] = ACTIONS(11388),
    [anon_sym_EQ] = ACTIONS(11386),
    [anon_sym_begin] = ACTIONS(11386),
    [anon_sym_module] = ACTIONS(11386),
    [anon_sym_baremodule] = ACTIONS(11386),
    [anon_sym_end] = ACTIONS(11386),
    [anon_sym_abstract] = ACTIONS(11386),
    [anon_sym_primitive] = ACTIONS(11386),
    [anon_sym_mutable] = ACTIONS(11386),
    [anon_sym_struct] = ACTIONS(11386),
    [anon_sym_function] = ACTIONS(11386),
    [anon_sym_macro] = ACTIONS(11386),
    [anon_sym_quote] = ACTIONS(11386),
    [anon_sym_let] = ACTIONS(11386),
    [anon_sym_if] = ACTIONS(11386),
    [anon_sym_try] = ACTIONS(11386),
    [anon_sym_for] = ACTIONS(11386),
    [anon_sym_while] = ACTIONS(11386),
    [sym_break_statement] = ACTIONS(11386),
    [sym_continue_statement] = ACTIONS(11386),
    [anon_sym_return] = ACTIONS(11386),
    [anon_sym_const] = ACTIONS(11386),
    [anon_sym_global] = ACTIONS(11386),
    [anon_sym_local] = ACTIONS(11386),
    [anon_sym_LPAREN] = ACTIONS(11388),
    [anon_sym_COLON] = ACTIONS(11386),
    [anon_sym_export] = ACTIONS(11386),
    [anon_sym_public] = ACTIONS(11386),
    [anon_sym_import] = ACTIONS(11386),
    [anon_sym_using] = ACTIONS(11386),
    [anon_sym_LBRACK] = ACTIONS(11388),
    [anon_sym_in] = ACTIONS(11386),
    [anon_sym_LBRACE] = ACTIONS(11388),
    [anon_sym_DOLLAR] = ACTIONS(11388),
    [anon_sym_COLON2] = ACTIONS(11386),
    [anon_sym_COLON_COLON] = ACTIONS(11388),
    [anon_sym_isa] = ACTIONS(11386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11388),
    [anon_sym_QMARK] = ACTIONS(11388),
    [anon_sym_where] = ACTIONS(11386),
    [anon_sym_AT] = ACTIONS(11388),
    [anon_sym_true] = ACTIONS(11386),
    [anon_sym_false] = ACTIONS(11386),
    [aux_sym_integer_literal_token1] = ACTIONS(11388),
    [aux_sym_integer_literal_token2] = ACTIONS(11388),
    [aux_sym_integer_literal_token3] = ACTIONS(11386),
    [aux_sym_integer_literal_token4] = ACTIONS(11386),
    [aux_sym_float_literal_token1] = ACTIONS(11388),
    [aux_sym_float_literal_token3] = ACTIONS(11388),
    [aux_sym_float_literal_token4] = ACTIONS(11388),
    [sym_character_literal] = ACTIONS(11388),
    [anon_sym_DQUOTE] = ACTIONS(11386),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11388),
    [anon_sym_BQUOTE] = ACTIONS(11386),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11388),
    [sym__pair_operator] = ACTIONS(11388),
    [sym__arrow_operator] = ACTIONS(11386),
    [sym__lazy_or_operator] = ACTIONS(11388),
    [sym__lazy_and_operator] = ACTIONS(11388),
    [sym__comparison_operator] = ACTIONS(11386),
    [sym__pipe_right_operator] = ACTIONS(11388),
    [sym__pipe_left_operator] = ACTIONS(11388),
    [sym__ellipsis_operator] = ACTIONS(11386),
    [sym__plus_operator] = ACTIONS(11386),
    [sym__times_operator] = ACTIONS(11386),
    [sym__rational_operator] = ACTIONS(11388),
    [sym__bitshift_operator] = ACTIONS(11388),
    [sym__power_operator] = ACTIONS(11388),
    [sym__tilde_operator] = ACTIONS(11388),
    [sym__type_order_operator] = ACTIONS(11388),
    [sym__unary_operator] = ACTIONS(11386),
    [sym__unary_plus_operator] = ACTIONS(11386),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9828] = {
    [sym_block_comment] = STATE(9828),
    [sym_line_comment] = STATE(9828),
    [sym__word_identifier] = ACTIONS(11390),
    [anon_sym_COMMA] = ACTIONS(11392),
    [anon_sym_EQ] = ACTIONS(11390),
    [anon_sym_begin] = ACTIONS(11390),
    [anon_sym_module] = ACTIONS(11390),
    [anon_sym_baremodule] = ACTIONS(11390),
    [anon_sym_end] = ACTIONS(11390),
    [anon_sym_abstract] = ACTIONS(11390),
    [anon_sym_primitive] = ACTIONS(11390),
    [anon_sym_mutable] = ACTIONS(11390),
    [anon_sym_struct] = ACTIONS(11390),
    [anon_sym_function] = ACTIONS(11390),
    [anon_sym_macro] = ACTIONS(11390),
    [anon_sym_quote] = ACTIONS(11390),
    [anon_sym_let] = ACTIONS(11390),
    [anon_sym_if] = ACTIONS(11390),
    [anon_sym_try] = ACTIONS(11390),
    [anon_sym_for] = ACTIONS(11390),
    [anon_sym_while] = ACTIONS(11390),
    [sym_break_statement] = ACTIONS(11390),
    [sym_continue_statement] = ACTIONS(11390),
    [anon_sym_return] = ACTIONS(11390),
    [anon_sym_const] = ACTIONS(11390),
    [anon_sym_global] = ACTIONS(11390),
    [anon_sym_local] = ACTIONS(11390),
    [anon_sym_LPAREN] = ACTIONS(11392),
    [anon_sym_COLON] = ACTIONS(11390),
    [anon_sym_export] = ACTIONS(11390),
    [anon_sym_public] = ACTIONS(11390),
    [anon_sym_import] = ACTIONS(11390),
    [anon_sym_using] = ACTIONS(11390),
    [anon_sym_LBRACK] = ACTIONS(11392),
    [anon_sym_in] = ACTIONS(11390),
    [anon_sym_LBRACE] = ACTIONS(11392),
    [anon_sym_DOLLAR] = ACTIONS(11392),
    [anon_sym_COLON2] = ACTIONS(11390),
    [anon_sym_COLON_COLON] = ACTIONS(11392),
    [anon_sym_isa] = ACTIONS(11390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11392),
    [anon_sym_QMARK] = ACTIONS(11392),
    [anon_sym_where] = ACTIONS(11390),
    [anon_sym_AT] = ACTIONS(11392),
    [anon_sym_true] = ACTIONS(11390),
    [anon_sym_false] = ACTIONS(11390),
    [aux_sym_integer_literal_token1] = ACTIONS(11392),
    [aux_sym_integer_literal_token2] = ACTIONS(11392),
    [aux_sym_integer_literal_token3] = ACTIONS(11390),
    [aux_sym_integer_literal_token4] = ACTIONS(11390),
    [aux_sym_float_literal_token1] = ACTIONS(11392),
    [aux_sym_float_literal_token3] = ACTIONS(11392),
    [aux_sym_float_literal_token4] = ACTIONS(11392),
    [sym_character_literal] = ACTIONS(11392),
    [anon_sym_DQUOTE] = ACTIONS(11390),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11392),
    [anon_sym_BQUOTE] = ACTIONS(11390),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11392),
    [sym__pair_operator] = ACTIONS(11392),
    [sym__arrow_operator] = ACTIONS(11390),
    [sym__lazy_or_operator] = ACTIONS(11392),
    [sym__lazy_and_operator] = ACTIONS(11392),
    [sym__comparison_operator] = ACTIONS(11390),
    [sym__pipe_right_operator] = ACTIONS(11392),
    [sym__pipe_left_operator] = ACTIONS(11392),
    [sym__ellipsis_operator] = ACTIONS(11390),
    [sym__plus_operator] = ACTIONS(11390),
    [sym__times_operator] = ACTIONS(11390),
    [sym__rational_operator] = ACTIONS(11392),
    [sym__bitshift_operator] = ACTIONS(11392),
    [sym__power_operator] = ACTIONS(11392),
    [sym__tilde_operator] = ACTIONS(11392),
    [sym__type_order_operator] = ACTIONS(11392),
    [sym__unary_operator] = ACTIONS(11390),
    [sym__unary_plus_operator] = ACTIONS(11390),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9829] = {
    [sym_block_comment] = STATE(9829),
    [sym_line_comment] = STATE(9829),
    [sym__word_identifier] = ACTIONS(11394),
    [anon_sym_COMMA] = ACTIONS(11396),
    [anon_sym_EQ] = ACTIONS(11394),
    [anon_sym_begin] = ACTIONS(11394),
    [anon_sym_module] = ACTIONS(11394),
    [anon_sym_baremodule] = ACTIONS(11394),
    [anon_sym_end] = ACTIONS(11394),
    [anon_sym_abstract] = ACTIONS(11394),
    [anon_sym_primitive] = ACTIONS(11394),
    [anon_sym_mutable] = ACTIONS(11394),
    [anon_sym_struct] = ACTIONS(11394),
    [anon_sym_function] = ACTIONS(11394),
    [anon_sym_macro] = ACTIONS(11394),
    [anon_sym_quote] = ACTIONS(11394),
    [anon_sym_let] = ACTIONS(11394),
    [anon_sym_if] = ACTIONS(11394),
    [anon_sym_try] = ACTIONS(11394),
    [anon_sym_for] = ACTIONS(11394),
    [anon_sym_while] = ACTIONS(11394),
    [sym_break_statement] = ACTIONS(11394),
    [sym_continue_statement] = ACTIONS(11394),
    [anon_sym_return] = ACTIONS(11394),
    [anon_sym_const] = ACTIONS(11394),
    [anon_sym_global] = ACTIONS(11394),
    [anon_sym_local] = ACTIONS(11394),
    [anon_sym_LPAREN] = ACTIONS(11396),
    [anon_sym_COLON] = ACTIONS(11394),
    [anon_sym_export] = ACTIONS(11394),
    [anon_sym_public] = ACTIONS(11394),
    [anon_sym_import] = ACTIONS(11394),
    [anon_sym_using] = ACTIONS(11394),
    [anon_sym_LBRACK] = ACTIONS(11396),
    [anon_sym_in] = ACTIONS(11394),
    [anon_sym_LBRACE] = ACTIONS(11396),
    [anon_sym_DOLLAR] = ACTIONS(11396),
    [anon_sym_COLON2] = ACTIONS(11394),
    [anon_sym_COLON_COLON] = ACTIONS(11396),
    [anon_sym_isa] = ACTIONS(11394),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11396),
    [anon_sym_QMARK] = ACTIONS(11396),
    [anon_sym_where] = ACTIONS(11394),
    [anon_sym_AT] = ACTIONS(11396),
    [anon_sym_true] = ACTIONS(11394),
    [anon_sym_false] = ACTIONS(11394),
    [aux_sym_integer_literal_token1] = ACTIONS(11396),
    [aux_sym_integer_literal_token2] = ACTIONS(11396),
    [aux_sym_integer_literal_token3] = ACTIONS(11394),
    [aux_sym_integer_literal_token4] = ACTIONS(11394),
    [aux_sym_float_literal_token1] = ACTIONS(11396),
    [aux_sym_float_literal_token3] = ACTIONS(11396),
    [aux_sym_float_literal_token4] = ACTIONS(11396),
    [sym_character_literal] = ACTIONS(11396),
    [anon_sym_DQUOTE] = ACTIONS(11394),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11396),
    [anon_sym_BQUOTE] = ACTIONS(11394),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11396),
    [sym__pair_operator] = ACTIONS(11396),
    [sym__arrow_operator] = ACTIONS(11394),
    [sym__lazy_or_operator] = ACTIONS(11396),
    [sym__lazy_and_operator] = ACTIONS(11396),
    [sym__comparison_operator] = ACTIONS(11394),
    [sym__pipe_right_operator] = ACTIONS(11396),
    [sym__pipe_left_operator] = ACTIONS(11396),
    [sym__ellipsis_operator] = ACTIONS(11394),
    [sym__plus_operator] = ACTIONS(11394),
    [sym__times_operator] = ACTIONS(11394),
    [sym__rational_operator] = ACTIONS(11396),
    [sym__bitshift_operator] = ACTIONS(11396),
    [sym__power_operator] = ACTIONS(11396),
    [sym__tilde_operator] = ACTIONS(11396),
    [sym__type_order_operator] = ACTIONS(11396),
    [sym__unary_operator] = ACTIONS(11394),
    [sym__unary_plus_operator] = ACTIONS(11394),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9830] = {
    [sym_block_comment] = STATE(9830),
    [sym_line_comment] = STATE(9830),
    [sym__word_identifier] = ACTIONS(11398),
    [anon_sym_COMMA] = ACTIONS(11400),
    [anon_sym_EQ] = ACTIONS(11398),
    [anon_sym_begin] = ACTIONS(11398),
    [anon_sym_module] = ACTIONS(11398),
    [anon_sym_baremodule] = ACTIONS(11398),
    [anon_sym_end] = ACTIONS(11398),
    [anon_sym_abstract] = ACTIONS(11398),
    [anon_sym_primitive] = ACTIONS(11398),
    [anon_sym_mutable] = ACTIONS(11398),
    [anon_sym_struct] = ACTIONS(11398),
    [anon_sym_function] = ACTIONS(11398),
    [anon_sym_macro] = ACTIONS(11398),
    [anon_sym_quote] = ACTIONS(11398),
    [anon_sym_let] = ACTIONS(11398),
    [anon_sym_if] = ACTIONS(11398),
    [anon_sym_try] = ACTIONS(11398),
    [anon_sym_for] = ACTIONS(11398),
    [anon_sym_while] = ACTIONS(11398),
    [sym_break_statement] = ACTIONS(11398),
    [sym_continue_statement] = ACTIONS(11398),
    [anon_sym_return] = ACTIONS(11398),
    [anon_sym_const] = ACTIONS(11398),
    [anon_sym_global] = ACTIONS(11398),
    [anon_sym_local] = ACTIONS(11398),
    [anon_sym_LPAREN] = ACTIONS(11400),
    [anon_sym_COLON] = ACTIONS(11398),
    [anon_sym_export] = ACTIONS(11398),
    [anon_sym_public] = ACTIONS(11398),
    [anon_sym_import] = ACTIONS(11398),
    [anon_sym_using] = ACTIONS(11398),
    [anon_sym_LBRACK] = ACTIONS(11400),
    [anon_sym_in] = ACTIONS(11398),
    [anon_sym_LBRACE] = ACTIONS(11400),
    [anon_sym_DOLLAR] = ACTIONS(11400),
    [anon_sym_COLON2] = ACTIONS(11398),
    [anon_sym_COLON_COLON] = ACTIONS(11400),
    [anon_sym_isa] = ACTIONS(11398),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11400),
    [anon_sym_QMARK] = ACTIONS(11400),
    [anon_sym_where] = ACTIONS(11398),
    [anon_sym_AT] = ACTIONS(11400),
    [anon_sym_true] = ACTIONS(11398),
    [anon_sym_false] = ACTIONS(11398),
    [aux_sym_integer_literal_token1] = ACTIONS(11400),
    [aux_sym_integer_literal_token2] = ACTIONS(11400),
    [aux_sym_integer_literal_token3] = ACTIONS(11398),
    [aux_sym_integer_literal_token4] = ACTIONS(11398),
    [aux_sym_float_literal_token1] = ACTIONS(11400),
    [aux_sym_float_literal_token3] = ACTIONS(11400),
    [aux_sym_float_literal_token4] = ACTIONS(11400),
    [sym_character_literal] = ACTIONS(11400),
    [anon_sym_DQUOTE] = ACTIONS(11398),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11400),
    [anon_sym_BQUOTE] = ACTIONS(11398),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11400),
    [sym__pair_operator] = ACTIONS(11400),
    [sym__arrow_operator] = ACTIONS(11398),
    [sym__lazy_or_operator] = ACTIONS(11400),
    [sym__lazy_and_operator] = ACTIONS(11400),
    [sym__comparison_operator] = ACTIONS(11398),
    [sym__pipe_right_operator] = ACTIONS(11400),
    [sym__pipe_left_operator] = ACTIONS(11400),
    [sym__ellipsis_operator] = ACTIONS(11398),
    [sym__plus_operator] = ACTIONS(11398),
    [sym__times_operator] = ACTIONS(11398),
    [sym__rational_operator] = ACTIONS(11400),
    [sym__bitshift_operator] = ACTIONS(11400),
    [sym__power_operator] = ACTIONS(11400),
    [sym__tilde_operator] = ACTIONS(11400),
    [sym__type_order_operator] = ACTIONS(11400),
    [sym__unary_operator] = ACTIONS(11398),
    [sym__unary_plus_operator] = ACTIONS(11398),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9831] = {
    [sym_block_comment] = STATE(9831),
    [sym_line_comment] = STATE(9831),
    [sym__word_identifier] = ACTIONS(11402),
    [anon_sym_COMMA] = ACTIONS(11404),
    [anon_sym_EQ] = ACTIONS(11402),
    [anon_sym_begin] = ACTIONS(11402),
    [anon_sym_module] = ACTIONS(11402),
    [anon_sym_baremodule] = ACTIONS(11402),
    [anon_sym_end] = ACTIONS(11402),
    [anon_sym_abstract] = ACTIONS(11402),
    [anon_sym_primitive] = ACTIONS(11402),
    [anon_sym_mutable] = ACTIONS(11402),
    [anon_sym_struct] = ACTIONS(11402),
    [anon_sym_function] = ACTIONS(11402),
    [anon_sym_macro] = ACTIONS(11402),
    [anon_sym_quote] = ACTIONS(11402),
    [anon_sym_let] = ACTIONS(11402),
    [anon_sym_if] = ACTIONS(11402),
    [anon_sym_try] = ACTIONS(11402),
    [anon_sym_for] = ACTIONS(11402),
    [anon_sym_while] = ACTIONS(11402),
    [sym_break_statement] = ACTIONS(11402),
    [sym_continue_statement] = ACTIONS(11402),
    [anon_sym_return] = ACTIONS(11402),
    [anon_sym_const] = ACTIONS(11402),
    [anon_sym_global] = ACTIONS(11402),
    [anon_sym_local] = ACTIONS(11402),
    [anon_sym_LPAREN] = ACTIONS(11404),
    [anon_sym_COLON] = ACTIONS(11402),
    [anon_sym_export] = ACTIONS(11402),
    [anon_sym_public] = ACTIONS(11402),
    [anon_sym_import] = ACTIONS(11402),
    [anon_sym_using] = ACTIONS(11402),
    [anon_sym_LBRACK] = ACTIONS(11404),
    [anon_sym_in] = ACTIONS(11402),
    [anon_sym_LBRACE] = ACTIONS(11404),
    [anon_sym_DOLLAR] = ACTIONS(11404),
    [anon_sym_COLON2] = ACTIONS(11402),
    [anon_sym_COLON_COLON] = ACTIONS(11404),
    [anon_sym_isa] = ACTIONS(11402),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11404),
    [anon_sym_QMARK] = ACTIONS(11404),
    [anon_sym_where] = ACTIONS(11402),
    [anon_sym_AT] = ACTIONS(11404),
    [anon_sym_true] = ACTIONS(11402),
    [anon_sym_false] = ACTIONS(11402),
    [aux_sym_integer_literal_token1] = ACTIONS(11404),
    [aux_sym_integer_literal_token2] = ACTIONS(11404),
    [aux_sym_integer_literal_token3] = ACTIONS(11402),
    [aux_sym_integer_literal_token4] = ACTIONS(11402),
    [aux_sym_float_literal_token1] = ACTIONS(11404),
    [aux_sym_float_literal_token3] = ACTIONS(11404),
    [aux_sym_float_literal_token4] = ACTIONS(11404),
    [sym_character_literal] = ACTIONS(11404),
    [anon_sym_DQUOTE] = ACTIONS(11402),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11404),
    [anon_sym_BQUOTE] = ACTIONS(11402),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11404),
    [sym__pair_operator] = ACTIONS(11404),
    [sym__arrow_operator] = ACTIONS(11402),
    [sym__lazy_or_operator] = ACTIONS(11404),
    [sym__lazy_and_operator] = ACTIONS(11404),
    [sym__comparison_operator] = ACTIONS(11402),
    [sym__pipe_right_operator] = ACTIONS(11404),
    [sym__pipe_left_operator] = ACTIONS(11404),
    [sym__ellipsis_operator] = ACTIONS(11402),
    [sym__plus_operator] = ACTIONS(11402),
    [sym__times_operator] = ACTIONS(11402),
    [sym__rational_operator] = ACTIONS(11404),
    [sym__bitshift_operator] = ACTIONS(11404),
    [sym__power_operator] = ACTIONS(11404),
    [sym__tilde_operator] = ACTIONS(11404),
    [sym__type_order_operator] = ACTIONS(11404),
    [sym__unary_operator] = ACTIONS(11402),
    [sym__unary_plus_operator] = ACTIONS(11402),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9832] = {
    [sym_block_comment] = STATE(9832),
    [sym_line_comment] = STATE(9832),
    [sym__word_identifier] = ACTIONS(11406),
    [anon_sym_COMMA] = ACTIONS(11408),
    [anon_sym_EQ] = ACTIONS(11406),
    [anon_sym_begin] = ACTIONS(11406),
    [anon_sym_module] = ACTIONS(11406),
    [anon_sym_baremodule] = ACTIONS(11406),
    [anon_sym_end] = ACTIONS(11406),
    [anon_sym_abstract] = ACTIONS(11406),
    [anon_sym_primitive] = ACTIONS(11406),
    [anon_sym_mutable] = ACTIONS(11406),
    [anon_sym_struct] = ACTIONS(11406),
    [anon_sym_function] = ACTIONS(11406),
    [anon_sym_macro] = ACTIONS(11406),
    [anon_sym_quote] = ACTIONS(11406),
    [anon_sym_let] = ACTIONS(11406),
    [anon_sym_if] = ACTIONS(11406),
    [anon_sym_try] = ACTIONS(11406),
    [anon_sym_for] = ACTIONS(11406),
    [anon_sym_while] = ACTIONS(11406),
    [sym_break_statement] = ACTIONS(11406),
    [sym_continue_statement] = ACTIONS(11406),
    [anon_sym_return] = ACTIONS(11406),
    [anon_sym_const] = ACTIONS(11406),
    [anon_sym_global] = ACTIONS(11406),
    [anon_sym_local] = ACTIONS(11406),
    [anon_sym_LPAREN] = ACTIONS(11408),
    [anon_sym_COLON] = ACTIONS(11406),
    [anon_sym_export] = ACTIONS(11406),
    [anon_sym_public] = ACTIONS(11406),
    [anon_sym_import] = ACTIONS(11406),
    [anon_sym_using] = ACTIONS(11406),
    [anon_sym_LBRACK] = ACTIONS(11408),
    [anon_sym_in] = ACTIONS(11406),
    [anon_sym_LBRACE] = ACTIONS(11408),
    [anon_sym_DOLLAR] = ACTIONS(11408),
    [anon_sym_COLON2] = ACTIONS(11406),
    [anon_sym_COLON_COLON] = ACTIONS(11408),
    [anon_sym_isa] = ACTIONS(11406),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11408),
    [anon_sym_QMARK] = ACTIONS(11408),
    [anon_sym_where] = ACTIONS(11406),
    [anon_sym_AT] = ACTIONS(11408),
    [anon_sym_true] = ACTIONS(11406),
    [anon_sym_false] = ACTIONS(11406),
    [aux_sym_integer_literal_token1] = ACTIONS(11408),
    [aux_sym_integer_literal_token2] = ACTIONS(11408),
    [aux_sym_integer_literal_token3] = ACTIONS(11406),
    [aux_sym_integer_literal_token4] = ACTIONS(11406),
    [aux_sym_float_literal_token1] = ACTIONS(11408),
    [aux_sym_float_literal_token3] = ACTIONS(11408),
    [aux_sym_float_literal_token4] = ACTIONS(11408),
    [sym_character_literal] = ACTIONS(11408),
    [anon_sym_DQUOTE] = ACTIONS(11406),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11408),
    [anon_sym_BQUOTE] = ACTIONS(11406),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11408),
    [sym__pair_operator] = ACTIONS(11408),
    [sym__arrow_operator] = ACTIONS(11406),
    [sym__lazy_or_operator] = ACTIONS(11408),
    [sym__lazy_and_operator] = ACTIONS(11408),
    [sym__comparison_operator] = ACTIONS(11406),
    [sym__pipe_right_operator] = ACTIONS(11408),
    [sym__pipe_left_operator] = ACTIONS(11408),
    [sym__ellipsis_operator] = ACTIONS(11406),
    [sym__plus_operator] = ACTIONS(11406),
    [sym__times_operator] = ACTIONS(11406),
    [sym__rational_operator] = ACTIONS(11408),
    [sym__bitshift_operator] = ACTIONS(11408),
    [sym__power_operator] = ACTIONS(11408),
    [sym__tilde_operator] = ACTIONS(11408),
    [sym__type_order_operator] = ACTIONS(11408),
    [sym__unary_operator] = ACTIONS(11406),
    [sym__unary_plus_operator] = ACTIONS(11406),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9833] = {
    [sym_block_comment] = STATE(9833),
    [sym_line_comment] = STATE(9833),
    [sym__word_identifier] = ACTIONS(11410),
    [anon_sym_COMMA] = ACTIONS(11412),
    [anon_sym_EQ] = ACTIONS(11410),
    [anon_sym_begin] = ACTIONS(11410),
    [anon_sym_module] = ACTIONS(11410),
    [anon_sym_baremodule] = ACTIONS(11410),
    [anon_sym_end] = ACTIONS(11410),
    [anon_sym_abstract] = ACTIONS(11410),
    [anon_sym_primitive] = ACTIONS(11410),
    [anon_sym_mutable] = ACTIONS(11410),
    [anon_sym_struct] = ACTIONS(11410),
    [anon_sym_function] = ACTIONS(11410),
    [anon_sym_macro] = ACTIONS(11410),
    [anon_sym_quote] = ACTIONS(11410),
    [anon_sym_let] = ACTIONS(11410),
    [anon_sym_if] = ACTIONS(11410),
    [anon_sym_try] = ACTIONS(11410),
    [anon_sym_for] = ACTIONS(11410),
    [anon_sym_while] = ACTIONS(11410),
    [sym_break_statement] = ACTIONS(11410),
    [sym_continue_statement] = ACTIONS(11410),
    [anon_sym_return] = ACTIONS(11410),
    [anon_sym_const] = ACTIONS(11410),
    [anon_sym_global] = ACTIONS(11410),
    [anon_sym_local] = ACTIONS(11410),
    [anon_sym_LPAREN] = ACTIONS(11412),
    [anon_sym_COLON] = ACTIONS(11410),
    [anon_sym_export] = ACTIONS(11410),
    [anon_sym_public] = ACTIONS(11410),
    [anon_sym_import] = ACTIONS(11410),
    [anon_sym_using] = ACTIONS(11410),
    [anon_sym_LBRACK] = ACTIONS(11412),
    [anon_sym_in] = ACTIONS(11410),
    [anon_sym_LBRACE] = ACTIONS(11412),
    [anon_sym_DOLLAR] = ACTIONS(11412),
    [anon_sym_COLON2] = ACTIONS(11410),
    [anon_sym_COLON_COLON] = ACTIONS(11412),
    [anon_sym_isa] = ACTIONS(11410),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11412),
    [anon_sym_QMARK] = ACTIONS(11412),
    [anon_sym_where] = ACTIONS(11410),
    [anon_sym_AT] = ACTIONS(11412),
    [anon_sym_true] = ACTIONS(11410),
    [anon_sym_false] = ACTIONS(11410),
    [aux_sym_integer_literal_token1] = ACTIONS(11412),
    [aux_sym_integer_literal_token2] = ACTIONS(11412),
    [aux_sym_integer_literal_token3] = ACTIONS(11410),
    [aux_sym_integer_literal_token4] = ACTIONS(11410),
    [aux_sym_float_literal_token1] = ACTIONS(11412),
    [aux_sym_float_literal_token3] = ACTIONS(11412),
    [aux_sym_float_literal_token4] = ACTIONS(11412),
    [sym_character_literal] = ACTIONS(11412),
    [anon_sym_DQUOTE] = ACTIONS(11410),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11412),
    [anon_sym_BQUOTE] = ACTIONS(11410),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11412),
    [sym__pair_operator] = ACTIONS(11412),
    [sym__arrow_operator] = ACTIONS(11410),
    [sym__lazy_or_operator] = ACTIONS(11412),
    [sym__lazy_and_operator] = ACTIONS(11412),
    [sym__comparison_operator] = ACTIONS(11410),
    [sym__pipe_right_operator] = ACTIONS(11412),
    [sym__pipe_left_operator] = ACTIONS(11412),
    [sym__ellipsis_operator] = ACTIONS(11410),
    [sym__plus_operator] = ACTIONS(11410),
    [sym__times_operator] = ACTIONS(11410),
    [sym__rational_operator] = ACTIONS(11412),
    [sym__bitshift_operator] = ACTIONS(11412),
    [sym__power_operator] = ACTIONS(11412),
    [sym__tilde_operator] = ACTIONS(11412),
    [sym__type_order_operator] = ACTIONS(11412),
    [sym__unary_operator] = ACTIONS(11410),
    [sym__unary_plus_operator] = ACTIONS(11410),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9834] = {
    [sym_block_comment] = STATE(9834),
    [sym_line_comment] = STATE(9834),
    [sym__word_identifier] = ACTIONS(11414),
    [anon_sym_COMMA] = ACTIONS(11416),
    [anon_sym_EQ] = ACTIONS(11414),
    [anon_sym_begin] = ACTIONS(11414),
    [anon_sym_module] = ACTIONS(11414),
    [anon_sym_baremodule] = ACTIONS(11414),
    [anon_sym_end] = ACTIONS(11414),
    [anon_sym_abstract] = ACTIONS(11414),
    [anon_sym_primitive] = ACTIONS(11414),
    [anon_sym_mutable] = ACTIONS(11414),
    [anon_sym_struct] = ACTIONS(11414),
    [anon_sym_function] = ACTIONS(11414),
    [anon_sym_macro] = ACTIONS(11414),
    [anon_sym_quote] = ACTIONS(11414),
    [anon_sym_let] = ACTIONS(11414),
    [anon_sym_if] = ACTIONS(11414),
    [anon_sym_try] = ACTIONS(11414),
    [anon_sym_for] = ACTIONS(11414),
    [anon_sym_while] = ACTIONS(11414),
    [sym_break_statement] = ACTIONS(11414),
    [sym_continue_statement] = ACTIONS(11414),
    [anon_sym_return] = ACTIONS(11414),
    [anon_sym_const] = ACTIONS(11414),
    [anon_sym_global] = ACTIONS(11414),
    [anon_sym_local] = ACTIONS(11414),
    [anon_sym_LPAREN] = ACTIONS(11416),
    [anon_sym_COLON] = ACTIONS(11414),
    [anon_sym_export] = ACTIONS(11414),
    [anon_sym_public] = ACTIONS(11414),
    [anon_sym_import] = ACTIONS(11414),
    [anon_sym_using] = ACTIONS(11414),
    [anon_sym_LBRACK] = ACTIONS(11416),
    [anon_sym_in] = ACTIONS(11414),
    [anon_sym_LBRACE] = ACTIONS(11416),
    [anon_sym_DOLLAR] = ACTIONS(11416),
    [anon_sym_COLON2] = ACTIONS(11414),
    [anon_sym_COLON_COLON] = ACTIONS(11416),
    [anon_sym_isa] = ACTIONS(11414),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11416),
    [anon_sym_QMARK] = ACTIONS(11416),
    [anon_sym_where] = ACTIONS(11414),
    [anon_sym_AT] = ACTIONS(11416),
    [anon_sym_true] = ACTIONS(11414),
    [anon_sym_false] = ACTIONS(11414),
    [aux_sym_integer_literal_token1] = ACTIONS(11416),
    [aux_sym_integer_literal_token2] = ACTIONS(11416),
    [aux_sym_integer_literal_token3] = ACTIONS(11414),
    [aux_sym_integer_literal_token4] = ACTIONS(11414),
    [aux_sym_float_literal_token1] = ACTIONS(11416),
    [aux_sym_float_literal_token3] = ACTIONS(11416),
    [aux_sym_float_literal_token4] = ACTIONS(11416),
    [sym_character_literal] = ACTIONS(11416),
    [anon_sym_DQUOTE] = ACTIONS(11414),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11416),
    [anon_sym_BQUOTE] = ACTIONS(11414),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11416),
    [sym__pair_operator] = ACTIONS(11416),
    [sym__arrow_operator] = ACTIONS(11414),
    [sym__lazy_or_operator] = ACTIONS(11416),
    [sym__lazy_and_operator] = ACTIONS(11416),
    [sym__comparison_operator] = ACTIONS(11414),
    [sym__pipe_right_operator] = ACTIONS(11416),
    [sym__pipe_left_operator] = ACTIONS(11416),
    [sym__ellipsis_operator] = ACTIONS(11414),
    [sym__plus_operator] = ACTIONS(11414),
    [sym__times_operator] = ACTIONS(11414),
    [sym__rational_operator] = ACTIONS(11416),
    [sym__bitshift_operator] = ACTIONS(11416),
    [sym__power_operator] = ACTIONS(11416),
    [sym__tilde_operator] = ACTIONS(11416),
    [sym__type_order_operator] = ACTIONS(11416),
    [sym__unary_operator] = ACTIONS(11414),
    [sym__unary_plus_operator] = ACTIONS(11414),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9835] = {
    [sym_block_comment] = STATE(9835),
    [sym_line_comment] = STATE(9835),
    [sym__word_identifier] = ACTIONS(11418),
    [anon_sym_COMMA] = ACTIONS(11420),
    [anon_sym_EQ] = ACTIONS(11418),
    [anon_sym_begin] = ACTIONS(11418),
    [anon_sym_module] = ACTIONS(11418),
    [anon_sym_baremodule] = ACTIONS(11418),
    [anon_sym_end] = ACTIONS(11418),
    [anon_sym_abstract] = ACTIONS(11418),
    [anon_sym_primitive] = ACTIONS(11418),
    [anon_sym_mutable] = ACTIONS(11418),
    [anon_sym_struct] = ACTIONS(11418),
    [anon_sym_function] = ACTIONS(11418),
    [anon_sym_macro] = ACTIONS(11418),
    [anon_sym_quote] = ACTIONS(11418),
    [anon_sym_let] = ACTIONS(11418),
    [anon_sym_if] = ACTIONS(11418),
    [anon_sym_try] = ACTIONS(11418),
    [anon_sym_for] = ACTIONS(11418),
    [anon_sym_while] = ACTIONS(11418),
    [sym_break_statement] = ACTIONS(11418),
    [sym_continue_statement] = ACTIONS(11418),
    [anon_sym_return] = ACTIONS(11418),
    [anon_sym_const] = ACTIONS(11418),
    [anon_sym_global] = ACTIONS(11418),
    [anon_sym_local] = ACTIONS(11418),
    [anon_sym_LPAREN] = ACTIONS(11420),
    [anon_sym_COLON] = ACTIONS(11418),
    [anon_sym_export] = ACTIONS(11418),
    [anon_sym_public] = ACTIONS(11418),
    [anon_sym_import] = ACTIONS(11418),
    [anon_sym_using] = ACTIONS(11418),
    [anon_sym_LBRACK] = ACTIONS(11420),
    [anon_sym_in] = ACTIONS(11418),
    [anon_sym_LBRACE] = ACTIONS(11420),
    [anon_sym_DOLLAR] = ACTIONS(11420),
    [anon_sym_COLON2] = ACTIONS(11418),
    [anon_sym_COLON_COLON] = ACTIONS(11420),
    [anon_sym_isa] = ACTIONS(11418),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11420),
    [anon_sym_QMARK] = ACTIONS(11420),
    [anon_sym_where] = ACTIONS(11418),
    [anon_sym_AT] = ACTIONS(11420),
    [anon_sym_true] = ACTIONS(11418),
    [anon_sym_false] = ACTIONS(11418),
    [aux_sym_integer_literal_token1] = ACTIONS(11420),
    [aux_sym_integer_literal_token2] = ACTIONS(11420),
    [aux_sym_integer_literal_token3] = ACTIONS(11418),
    [aux_sym_integer_literal_token4] = ACTIONS(11418),
    [aux_sym_float_literal_token1] = ACTIONS(11420),
    [aux_sym_float_literal_token3] = ACTIONS(11420),
    [aux_sym_float_literal_token4] = ACTIONS(11420),
    [sym_character_literal] = ACTIONS(11420),
    [anon_sym_DQUOTE] = ACTIONS(11418),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11420),
    [anon_sym_BQUOTE] = ACTIONS(11418),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11420),
    [sym__pair_operator] = ACTIONS(11420),
    [sym__arrow_operator] = ACTIONS(11418),
    [sym__lazy_or_operator] = ACTIONS(11420),
    [sym__lazy_and_operator] = ACTIONS(11420),
    [sym__comparison_operator] = ACTIONS(11418),
    [sym__pipe_right_operator] = ACTIONS(11420),
    [sym__pipe_left_operator] = ACTIONS(11420),
    [sym__ellipsis_operator] = ACTIONS(11418),
    [sym__plus_operator] = ACTIONS(11418),
    [sym__times_operator] = ACTIONS(11418),
    [sym__rational_operator] = ACTIONS(11420),
    [sym__bitshift_operator] = ACTIONS(11420),
    [sym__power_operator] = ACTIONS(11420),
    [sym__tilde_operator] = ACTIONS(11420),
    [sym__type_order_operator] = ACTIONS(11420),
    [sym__unary_operator] = ACTIONS(11418),
    [sym__unary_plus_operator] = ACTIONS(11418),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9836] = {
    [sym_block_comment] = STATE(9836),
    [sym_line_comment] = STATE(9836),
    [sym__word_identifier] = ACTIONS(11422),
    [anon_sym_COMMA] = ACTIONS(11424),
    [anon_sym_EQ] = ACTIONS(11422),
    [anon_sym_begin] = ACTIONS(11422),
    [anon_sym_module] = ACTIONS(11422),
    [anon_sym_baremodule] = ACTIONS(11422),
    [anon_sym_end] = ACTIONS(11422),
    [anon_sym_abstract] = ACTIONS(11422),
    [anon_sym_primitive] = ACTIONS(11422),
    [anon_sym_mutable] = ACTIONS(11422),
    [anon_sym_struct] = ACTIONS(11422),
    [anon_sym_function] = ACTIONS(11422),
    [anon_sym_macro] = ACTIONS(11422),
    [anon_sym_quote] = ACTIONS(11422),
    [anon_sym_let] = ACTIONS(11422),
    [anon_sym_if] = ACTIONS(11422),
    [anon_sym_try] = ACTIONS(11422),
    [anon_sym_for] = ACTIONS(11422),
    [anon_sym_while] = ACTIONS(11422),
    [sym_break_statement] = ACTIONS(11422),
    [sym_continue_statement] = ACTIONS(11422),
    [anon_sym_return] = ACTIONS(11422),
    [anon_sym_const] = ACTIONS(11422),
    [anon_sym_global] = ACTIONS(11422),
    [anon_sym_local] = ACTIONS(11422),
    [anon_sym_LPAREN] = ACTIONS(11424),
    [anon_sym_COLON] = ACTIONS(11422),
    [anon_sym_export] = ACTIONS(11422),
    [anon_sym_public] = ACTIONS(11422),
    [anon_sym_import] = ACTIONS(11422),
    [anon_sym_using] = ACTIONS(11422),
    [anon_sym_LBRACK] = ACTIONS(11424),
    [anon_sym_in] = ACTIONS(11422),
    [anon_sym_LBRACE] = ACTIONS(11424),
    [anon_sym_DOLLAR] = ACTIONS(11424),
    [anon_sym_COLON2] = ACTIONS(11422),
    [anon_sym_COLON_COLON] = ACTIONS(11424),
    [anon_sym_isa] = ACTIONS(11422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11424),
    [anon_sym_QMARK] = ACTIONS(11424),
    [anon_sym_where] = ACTIONS(11422),
    [anon_sym_AT] = ACTIONS(11424),
    [anon_sym_true] = ACTIONS(11422),
    [anon_sym_false] = ACTIONS(11422),
    [aux_sym_integer_literal_token1] = ACTIONS(11424),
    [aux_sym_integer_literal_token2] = ACTIONS(11424),
    [aux_sym_integer_literal_token3] = ACTIONS(11422),
    [aux_sym_integer_literal_token4] = ACTIONS(11422),
    [aux_sym_float_literal_token1] = ACTIONS(11424),
    [aux_sym_float_literal_token3] = ACTIONS(11424),
    [aux_sym_float_literal_token4] = ACTIONS(11424),
    [sym_character_literal] = ACTIONS(11424),
    [anon_sym_DQUOTE] = ACTIONS(11422),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11424),
    [anon_sym_BQUOTE] = ACTIONS(11422),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11424),
    [sym__pair_operator] = ACTIONS(11424),
    [sym__arrow_operator] = ACTIONS(11422),
    [sym__lazy_or_operator] = ACTIONS(11424),
    [sym__lazy_and_operator] = ACTIONS(11424),
    [sym__comparison_operator] = ACTIONS(11422),
    [sym__pipe_right_operator] = ACTIONS(11424),
    [sym__pipe_left_operator] = ACTIONS(11424),
    [sym__ellipsis_operator] = ACTIONS(11422),
    [sym__plus_operator] = ACTIONS(11422),
    [sym__times_operator] = ACTIONS(11422),
    [sym__rational_operator] = ACTIONS(11424),
    [sym__bitshift_operator] = ACTIONS(11424),
    [sym__power_operator] = ACTIONS(11424),
    [sym__tilde_operator] = ACTIONS(11424),
    [sym__type_order_operator] = ACTIONS(11424),
    [sym__unary_operator] = ACTIONS(11422),
    [sym__unary_plus_operator] = ACTIONS(11422),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9837] = {
    [sym_block_comment] = STATE(9837),
    [sym_line_comment] = STATE(9837),
    [sym__word_identifier] = ACTIONS(11426),
    [anon_sym_COMMA] = ACTIONS(11428),
    [anon_sym_EQ] = ACTIONS(11426),
    [anon_sym_begin] = ACTIONS(11426),
    [anon_sym_module] = ACTIONS(11426),
    [anon_sym_baremodule] = ACTIONS(11426),
    [anon_sym_end] = ACTIONS(11426),
    [anon_sym_abstract] = ACTIONS(11426),
    [anon_sym_primitive] = ACTIONS(11426),
    [anon_sym_mutable] = ACTIONS(11426),
    [anon_sym_struct] = ACTIONS(11426),
    [anon_sym_function] = ACTIONS(11426),
    [anon_sym_macro] = ACTIONS(11426),
    [anon_sym_quote] = ACTIONS(11426),
    [anon_sym_let] = ACTIONS(11426),
    [anon_sym_if] = ACTIONS(11426),
    [anon_sym_try] = ACTIONS(11426),
    [anon_sym_for] = ACTIONS(11426),
    [anon_sym_while] = ACTIONS(11426),
    [sym_break_statement] = ACTIONS(11426),
    [sym_continue_statement] = ACTIONS(11426),
    [anon_sym_return] = ACTIONS(11426),
    [anon_sym_const] = ACTIONS(11426),
    [anon_sym_global] = ACTIONS(11426),
    [anon_sym_local] = ACTIONS(11426),
    [anon_sym_LPAREN] = ACTIONS(11428),
    [anon_sym_COLON] = ACTIONS(11426),
    [anon_sym_export] = ACTIONS(11426),
    [anon_sym_public] = ACTIONS(11426),
    [anon_sym_import] = ACTIONS(11426),
    [anon_sym_using] = ACTIONS(11426),
    [anon_sym_LBRACK] = ACTIONS(11428),
    [anon_sym_in] = ACTIONS(11426),
    [anon_sym_LBRACE] = ACTIONS(11428),
    [anon_sym_DOLLAR] = ACTIONS(11428),
    [anon_sym_COLON2] = ACTIONS(11426),
    [anon_sym_COLON_COLON] = ACTIONS(11428),
    [anon_sym_isa] = ACTIONS(11426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11428),
    [anon_sym_QMARK] = ACTIONS(11428),
    [anon_sym_where] = ACTIONS(11426),
    [anon_sym_AT] = ACTIONS(11428),
    [anon_sym_true] = ACTIONS(11426),
    [anon_sym_false] = ACTIONS(11426),
    [aux_sym_integer_literal_token1] = ACTIONS(11428),
    [aux_sym_integer_literal_token2] = ACTIONS(11428),
    [aux_sym_integer_literal_token3] = ACTIONS(11426),
    [aux_sym_integer_literal_token4] = ACTIONS(11426),
    [aux_sym_float_literal_token1] = ACTIONS(11428),
    [aux_sym_float_literal_token3] = ACTIONS(11428),
    [aux_sym_float_literal_token4] = ACTIONS(11428),
    [sym_character_literal] = ACTIONS(11428),
    [anon_sym_DQUOTE] = ACTIONS(11426),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11428),
    [anon_sym_BQUOTE] = ACTIONS(11426),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11428),
    [sym__pair_operator] = ACTIONS(11428),
    [sym__arrow_operator] = ACTIONS(11426),
    [sym__lazy_or_operator] = ACTIONS(11428),
    [sym__lazy_and_operator] = ACTIONS(11428),
    [sym__comparison_operator] = ACTIONS(11426),
    [sym__pipe_right_operator] = ACTIONS(11428),
    [sym__pipe_left_operator] = ACTIONS(11428),
    [sym__ellipsis_operator] = ACTIONS(11426),
    [sym__plus_operator] = ACTIONS(11426),
    [sym__times_operator] = ACTIONS(11426),
    [sym__rational_operator] = ACTIONS(11428),
    [sym__bitshift_operator] = ACTIONS(11428),
    [sym__power_operator] = ACTIONS(11428),
    [sym__tilde_operator] = ACTIONS(11428),
    [sym__type_order_operator] = ACTIONS(11428),
    [sym__unary_operator] = ACTIONS(11426),
    [sym__unary_plus_operator] = ACTIONS(11426),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9838] = {
    [sym_block_comment] = STATE(9838),
    [sym_line_comment] = STATE(9838),
    [sym__word_identifier] = ACTIONS(11481),
    [anon_sym_COMMA] = ACTIONS(11483),
    [anon_sym_EQ] = ACTIONS(11481),
    [anon_sym_begin] = ACTIONS(11481),
    [anon_sym_module] = ACTIONS(11481),
    [anon_sym_baremodule] = ACTIONS(11481),
    [anon_sym_end] = ACTIONS(11481),
    [anon_sym_abstract] = ACTIONS(11481),
    [anon_sym_primitive] = ACTIONS(11481),
    [anon_sym_mutable] = ACTIONS(11481),
    [anon_sym_struct] = ACTIONS(11481),
    [anon_sym_function] = ACTIONS(11481),
    [anon_sym_macro] = ACTIONS(11481),
    [anon_sym_quote] = ACTIONS(11481),
    [anon_sym_let] = ACTIONS(11481),
    [anon_sym_if] = ACTIONS(11481),
    [anon_sym_try] = ACTIONS(11481),
    [anon_sym_for] = ACTIONS(11481),
    [anon_sym_while] = ACTIONS(11481),
    [sym_break_statement] = ACTIONS(11481),
    [sym_continue_statement] = ACTIONS(11481),
    [anon_sym_return] = ACTIONS(11481),
    [anon_sym_const] = ACTIONS(11481),
    [anon_sym_global] = ACTIONS(11481),
    [anon_sym_local] = ACTIONS(11481),
    [anon_sym_LPAREN] = ACTIONS(11483),
    [anon_sym_COLON] = ACTIONS(11481),
    [anon_sym_export] = ACTIONS(11481),
    [anon_sym_public] = ACTIONS(11481),
    [anon_sym_import] = ACTIONS(11481),
    [anon_sym_using] = ACTIONS(11481),
    [anon_sym_LBRACK] = ACTIONS(11483),
    [anon_sym_in] = ACTIONS(11481),
    [anon_sym_LBRACE] = ACTIONS(11483),
    [anon_sym_DOLLAR] = ACTIONS(11483),
    [anon_sym_COLON2] = ACTIONS(11481),
    [anon_sym_COLON_COLON] = ACTIONS(11483),
    [anon_sym_isa] = ACTIONS(11481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11483),
    [anon_sym_QMARK] = ACTIONS(11483),
    [anon_sym_where] = ACTIONS(11481),
    [anon_sym_AT] = ACTIONS(11483),
    [anon_sym_true] = ACTIONS(11481),
    [anon_sym_false] = ACTIONS(11481),
    [aux_sym_integer_literal_token1] = ACTIONS(11483),
    [aux_sym_integer_literal_token2] = ACTIONS(11483),
    [aux_sym_integer_literal_token3] = ACTIONS(11481),
    [aux_sym_integer_literal_token4] = ACTIONS(11481),
    [aux_sym_float_literal_token1] = ACTIONS(11483),
    [aux_sym_float_literal_token3] = ACTIONS(11483),
    [aux_sym_float_literal_token4] = ACTIONS(11483),
    [sym_character_literal] = ACTIONS(11483),
    [anon_sym_DQUOTE] = ACTIONS(11481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11483),
    [anon_sym_BQUOTE] = ACTIONS(11481),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11483),
    [sym__pair_operator] = ACTIONS(11483),
    [sym__arrow_operator] = ACTIONS(11481),
    [sym__lazy_or_operator] = ACTIONS(11483),
    [sym__lazy_and_operator] = ACTIONS(11483),
    [sym__comparison_operator] = ACTIONS(11481),
    [sym__pipe_right_operator] = ACTIONS(11483),
    [sym__pipe_left_operator] = ACTIONS(11483),
    [sym__ellipsis_operator] = ACTIONS(11481),
    [sym__plus_operator] = ACTIONS(11481),
    [sym__times_operator] = ACTIONS(11481),
    [sym__rational_operator] = ACTIONS(11483),
    [sym__bitshift_operator] = ACTIONS(11483),
    [sym__power_operator] = ACTIONS(11483),
    [sym__tilde_operator] = ACTIONS(11483),
    [sym__type_order_operator] = ACTIONS(11483),
    [sym__unary_operator] = ACTIONS(11481),
    [sym__unary_plus_operator] = ACTIONS(11481),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9839] = {
    [sym_block_comment] = STATE(9839),
    [sym_line_comment] = STATE(9839),
    [sym__word_identifier] = ACTIONS(11485),
    [anon_sym_COMMA] = ACTIONS(11487),
    [anon_sym_EQ] = ACTIONS(11485),
    [anon_sym_begin] = ACTIONS(11485),
    [anon_sym_module] = ACTIONS(11485),
    [anon_sym_baremodule] = ACTIONS(11485),
    [anon_sym_end] = ACTIONS(11485),
    [anon_sym_abstract] = ACTIONS(11485),
    [anon_sym_primitive] = ACTIONS(11485),
    [anon_sym_mutable] = ACTIONS(11485),
    [anon_sym_struct] = ACTIONS(11485),
    [anon_sym_function] = ACTIONS(11485),
    [anon_sym_macro] = ACTIONS(11485),
    [anon_sym_quote] = ACTIONS(11485),
    [anon_sym_let] = ACTIONS(11485),
    [anon_sym_if] = ACTIONS(11485),
    [anon_sym_try] = ACTIONS(11485),
    [anon_sym_for] = ACTIONS(11485),
    [anon_sym_while] = ACTIONS(11485),
    [sym_break_statement] = ACTIONS(11485),
    [sym_continue_statement] = ACTIONS(11485),
    [anon_sym_return] = ACTIONS(11485),
    [anon_sym_const] = ACTIONS(11485),
    [anon_sym_global] = ACTIONS(11485),
    [anon_sym_local] = ACTIONS(11485),
    [anon_sym_LPAREN] = ACTIONS(11487),
    [anon_sym_COLON] = ACTIONS(11485),
    [anon_sym_export] = ACTIONS(11485),
    [anon_sym_public] = ACTIONS(11485),
    [anon_sym_import] = ACTIONS(11485),
    [anon_sym_using] = ACTIONS(11485),
    [anon_sym_LBRACK] = ACTIONS(11487),
    [anon_sym_in] = ACTIONS(11485),
    [anon_sym_LBRACE] = ACTIONS(11487),
    [anon_sym_DOLLAR] = ACTIONS(11487),
    [anon_sym_COLON2] = ACTIONS(11485),
    [anon_sym_COLON_COLON] = ACTIONS(11487),
    [anon_sym_isa] = ACTIONS(11485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11487),
    [anon_sym_QMARK] = ACTIONS(11487),
    [anon_sym_where] = ACTIONS(11485),
    [anon_sym_AT] = ACTIONS(11487),
    [anon_sym_true] = ACTIONS(11485),
    [anon_sym_false] = ACTIONS(11485),
    [aux_sym_integer_literal_token1] = ACTIONS(11487),
    [aux_sym_integer_literal_token2] = ACTIONS(11487),
    [aux_sym_integer_literal_token3] = ACTIONS(11485),
    [aux_sym_integer_literal_token4] = ACTIONS(11485),
    [aux_sym_float_literal_token1] = ACTIONS(11487),
    [aux_sym_float_literal_token3] = ACTIONS(11487),
    [aux_sym_float_literal_token4] = ACTIONS(11487),
    [sym_character_literal] = ACTIONS(11487),
    [anon_sym_DQUOTE] = ACTIONS(11485),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11487),
    [anon_sym_BQUOTE] = ACTIONS(11485),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11487),
    [sym__pair_operator] = ACTIONS(11487),
    [sym__arrow_operator] = ACTIONS(11485),
    [sym__lazy_or_operator] = ACTIONS(11487),
    [sym__lazy_and_operator] = ACTIONS(11487),
    [sym__comparison_operator] = ACTIONS(11485),
    [sym__pipe_right_operator] = ACTIONS(11487),
    [sym__pipe_left_operator] = ACTIONS(11487),
    [sym__ellipsis_operator] = ACTIONS(11485),
    [sym__plus_operator] = ACTIONS(11485),
    [sym__times_operator] = ACTIONS(11485),
    [sym__rational_operator] = ACTIONS(11487),
    [sym__bitshift_operator] = ACTIONS(11487),
    [sym__power_operator] = ACTIONS(11487),
    [sym__tilde_operator] = ACTIONS(11487),
    [sym__type_order_operator] = ACTIONS(11487),
    [sym__unary_operator] = ACTIONS(11485),
    [sym__unary_plus_operator] = ACTIONS(11485),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9840] = {
    [sym_block_comment] = STATE(9840),
    [sym_line_comment] = STATE(9840),
    [sym__word_identifier] = ACTIONS(11489),
    [anon_sym_COMMA] = ACTIONS(11491),
    [anon_sym_EQ] = ACTIONS(11489),
    [anon_sym_begin] = ACTIONS(11489),
    [anon_sym_module] = ACTIONS(11489),
    [anon_sym_baremodule] = ACTIONS(11489),
    [anon_sym_end] = ACTIONS(11489),
    [anon_sym_abstract] = ACTIONS(11489),
    [anon_sym_primitive] = ACTIONS(11489),
    [anon_sym_mutable] = ACTIONS(11489),
    [anon_sym_struct] = ACTIONS(11489),
    [anon_sym_function] = ACTIONS(11489),
    [anon_sym_macro] = ACTIONS(11489),
    [anon_sym_quote] = ACTIONS(11489),
    [anon_sym_let] = ACTIONS(11489),
    [anon_sym_if] = ACTIONS(11489),
    [anon_sym_try] = ACTIONS(11489),
    [anon_sym_for] = ACTIONS(11489),
    [anon_sym_while] = ACTIONS(11489),
    [sym_break_statement] = ACTIONS(11489),
    [sym_continue_statement] = ACTIONS(11489),
    [anon_sym_return] = ACTIONS(11489),
    [anon_sym_const] = ACTIONS(11489),
    [anon_sym_global] = ACTIONS(11489),
    [anon_sym_local] = ACTIONS(11489),
    [anon_sym_LPAREN] = ACTIONS(11491),
    [anon_sym_COLON] = ACTIONS(11489),
    [anon_sym_export] = ACTIONS(11489),
    [anon_sym_public] = ACTIONS(11489),
    [anon_sym_import] = ACTIONS(11489),
    [anon_sym_using] = ACTIONS(11489),
    [anon_sym_LBRACK] = ACTIONS(11491),
    [anon_sym_in] = ACTIONS(11489),
    [anon_sym_LBRACE] = ACTIONS(11491),
    [anon_sym_DOLLAR] = ACTIONS(11491),
    [anon_sym_COLON2] = ACTIONS(11489),
    [anon_sym_COLON_COLON] = ACTIONS(11491),
    [anon_sym_isa] = ACTIONS(11489),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11491),
    [anon_sym_QMARK] = ACTIONS(11491),
    [anon_sym_where] = ACTIONS(11489),
    [anon_sym_AT] = ACTIONS(11491),
    [anon_sym_true] = ACTIONS(11489),
    [anon_sym_false] = ACTIONS(11489),
    [aux_sym_integer_literal_token1] = ACTIONS(11491),
    [aux_sym_integer_literal_token2] = ACTIONS(11491),
    [aux_sym_integer_literal_token3] = ACTIONS(11489),
    [aux_sym_integer_literal_token4] = ACTIONS(11489),
    [aux_sym_float_literal_token1] = ACTIONS(11491),
    [aux_sym_float_literal_token3] = ACTIONS(11491),
    [aux_sym_float_literal_token4] = ACTIONS(11491),
    [sym_character_literal] = ACTIONS(11491),
    [anon_sym_DQUOTE] = ACTIONS(11489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11491),
    [anon_sym_BQUOTE] = ACTIONS(11489),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11491),
    [sym__pair_operator] = ACTIONS(11491),
    [sym__arrow_operator] = ACTIONS(11489),
    [sym__lazy_or_operator] = ACTIONS(11491),
    [sym__lazy_and_operator] = ACTIONS(11491),
    [sym__comparison_operator] = ACTIONS(11489),
    [sym__pipe_right_operator] = ACTIONS(11491),
    [sym__pipe_left_operator] = ACTIONS(11491),
    [sym__ellipsis_operator] = ACTIONS(11489),
    [sym__plus_operator] = ACTIONS(11489),
    [sym__times_operator] = ACTIONS(11489),
    [sym__rational_operator] = ACTIONS(11491),
    [sym__bitshift_operator] = ACTIONS(11491),
    [sym__power_operator] = ACTIONS(11491),
    [sym__tilde_operator] = ACTIONS(11491),
    [sym__type_order_operator] = ACTIONS(11491),
    [sym__unary_operator] = ACTIONS(11489),
    [sym__unary_plus_operator] = ACTIONS(11489),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9841] = {
    [sym__primary_expression] = STATE(12016),
    [sym__array] = STATE(11240),
    [sym_comprehension_expression] = STATE(11258),
    [sym_matrix_expression] = STATE(11258),
    [sym_vector_expression] = STATE(11258),
    [sym_parenthesized_expression] = STATE(11240),
    [sym_tuple_expression] = STATE(11240),
    [sym_curly_expression] = STATE(11240),
    [sym_adjoint_expression] = STATE(11240),
    [sym_field_expression] = STATE(11240),
    [sym_index_expression] = STATE(11240),
    [sym_parametrized_type_expression] = STATE(11240),
    [sym_call_expression] = STATE(11240),
    [sym_broadcast_call_expression] = STATE(11240),
    [sym__closed_macrocall_expression] = STATE(11240),
    [sym_interpolation_expression] = STATE(11240),
    [sym_quote_expression] = STATE(11240),
    [sym_macro_identifier] = STATE(18196),
    [sym_identifier] = STATE(11776),
    [sym_boolean_literal] = STATE(11240),
    [sym__string] = STATE(11240),
    [sym__delimiter_str_1] = STATE(15154),
    [sym__delimiter_str_3] = STATE(15155),
    [sym__delimiter_cmd_1] = STATE(15156),
    [sym__delimiter_cmd_3] = STATE(15157),
    [sym_string_literal] = STATE(11212),
    [sym_command_literal] = STATE(11212),
    [sym_prefixed_string_literal] = STATE(11212),
    [sym_prefixed_command_literal] = STATE(11212),
    [sym_operator] = STATE(19880),
    [sym_block_comment] = STATE(9841),
    [sym_line_comment] = STATE(9841),
    [ts_builtin_sym_end] = ACTIONS(9483),
    [sym__word_identifier] = ACTIONS(10527),
    [anon_sym_COMMA] = ACTIONS(9442),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(10529),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(10531),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(10533),
    [anon_sym_DOLLAR] = ACTIONS(10806),
    [anon_sym_COLON2] = ACTIONS(10808),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(10539),
    [anon_sym_true] = ACTIONS(10541),
    [anon_sym_false] = ACTIONS(10541),
    [sym_character_literal] = ACTIONS(10543),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [sym__pair_operator] = ACTIONS(9480),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9480),
    [sym__pipe_left_operator] = ACTIONS(9480),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9480),
    [sym__bitshift_operator] = ACTIONS(9480),
    [sym__power_operator] = ACTIONS(9480),
    [sym__tilde_operator] = ACTIONS(1689),
    [sym__type_order_operator] = ACTIONS(9480),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym__terminator_token1] = ACTIONS(9483),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9842] = {
    [sym_block_comment] = STATE(9842),
    [sym_line_comment] = STATE(9842),
    [sym__word_identifier] = ACTIONS(11149),
    [anon_sym_COMMA] = ACTIONS(11154),
    [anon_sym_EQ] = ACTIONS(11149),
    [anon_sym_begin] = ACTIONS(11149),
    [anon_sym_module] = ACTIONS(11149),
    [anon_sym_baremodule] = ACTIONS(11149),
    [anon_sym_end] = ACTIONS(11149),
    [anon_sym_abstract] = ACTIONS(11149),
    [anon_sym_primitive] = ACTIONS(11149),
    [anon_sym_mutable] = ACTIONS(11149),
    [anon_sym_struct] = ACTIONS(11149),
    [anon_sym_function] = ACTIONS(11149),
    [anon_sym_macro] = ACTIONS(11149),
    [anon_sym_quote] = ACTIONS(11149),
    [anon_sym_let] = ACTIONS(11149),
    [anon_sym_if] = ACTIONS(11149),
    [anon_sym_try] = ACTIONS(11149),
    [anon_sym_for] = ACTIONS(11149),
    [anon_sym_while] = ACTIONS(11149),
    [sym_break_statement] = ACTIONS(11149),
    [sym_continue_statement] = ACTIONS(11149),
    [anon_sym_return] = ACTIONS(11149),
    [anon_sym_const] = ACTIONS(11149),
    [anon_sym_global] = ACTIONS(11149),
    [anon_sym_local] = ACTIONS(11149),
    [anon_sym_LPAREN] = ACTIONS(11154),
    [anon_sym_COLON] = ACTIONS(11149),
    [anon_sym_export] = ACTIONS(11149),
    [anon_sym_public] = ACTIONS(11149),
    [anon_sym_import] = ACTIONS(11149),
    [anon_sym_using] = ACTIONS(11149),
    [anon_sym_LBRACK] = ACTIONS(11154),
    [anon_sym_in] = ACTIONS(11149),
    [anon_sym_LBRACE] = ACTIONS(11154),
    [anon_sym_DOLLAR] = ACTIONS(11154),
    [anon_sym_COLON2] = ACTIONS(11149),
    [anon_sym_COLON_COLON] = ACTIONS(11154),
    [anon_sym_isa] = ACTIONS(11149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11154),
    [anon_sym_QMARK] = ACTIONS(11154),
    [anon_sym_where] = ACTIONS(11149),
    [anon_sym_AT] = ACTIONS(11154),
    [anon_sym_true] = ACTIONS(11149),
    [anon_sym_false] = ACTIONS(11149),
    [aux_sym_integer_literal_token1] = ACTIONS(11154),
    [aux_sym_integer_literal_token2] = ACTIONS(11154),
    [aux_sym_integer_literal_token3] = ACTIONS(11149),
    [aux_sym_integer_literal_token4] = ACTIONS(11149),
    [aux_sym_float_literal_token1] = ACTIONS(11154),
    [aux_sym_float_literal_token3] = ACTIONS(11154),
    [aux_sym_float_literal_token4] = ACTIONS(11154),
    [sym_character_literal] = ACTIONS(11154),
    [anon_sym_DQUOTE] = ACTIONS(11149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11154),
    [anon_sym_BQUOTE] = ACTIONS(11149),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11154),
    [sym__pair_operator] = ACTIONS(11154),
    [sym__arrow_operator] = ACTIONS(11149),
    [sym__lazy_or_operator] = ACTIONS(11154),
    [sym__lazy_and_operator] = ACTIONS(11154),
    [sym__comparison_operator] = ACTIONS(11149),
    [sym__pipe_right_operator] = ACTIONS(11154),
    [sym__pipe_left_operator] = ACTIONS(11154),
    [sym__ellipsis_operator] = ACTIONS(11149),
    [sym__plus_operator] = ACTIONS(11149),
    [sym__times_operator] = ACTIONS(11149),
    [sym__rational_operator] = ACTIONS(11154),
    [sym__bitshift_operator] = ACTIONS(11154),
    [sym__power_operator] = ACTIONS(11154),
    [sym__tilde_operator] = ACTIONS(11154),
    [sym__type_order_operator] = ACTIONS(11154),
    [sym__unary_operator] = ACTIONS(11149),
    [sym__unary_plus_operator] = ACTIONS(11149),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9843] = {
    [sym_block_comment] = STATE(9843),
    [sym_line_comment] = STATE(9843),
    [sym__word_identifier] = ACTIONS(11159),
    [anon_sym_COMMA] = ACTIONS(11161),
    [anon_sym_EQ] = ACTIONS(11159),
    [anon_sym_begin] = ACTIONS(11159),
    [anon_sym_module] = ACTIONS(11159),
    [anon_sym_baremodule] = ACTIONS(11159),
    [anon_sym_end] = ACTIONS(11159),
    [anon_sym_abstract] = ACTIONS(11159),
    [anon_sym_primitive] = ACTIONS(11159),
    [anon_sym_mutable] = ACTIONS(11159),
    [anon_sym_struct] = ACTIONS(11159),
    [anon_sym_function] = ACTIONS(11159),
    [anon_sym_macro] = ACTIONS(11159),
    [anon_sym_quote] = ACTIONS(11159),
    [anon_sym_let] = ACTIONS(11159),
    [anon_sym_if] = ACTIONS(11159),
    [anon_sym_try] = ACTIONS(11159),
    [anon_sym_for] = ACTIONS(11159),
    [anon_sym_while] = ACTIONS(11159),
    [sym_break_statement] = ACTIONS(11159),
    [sym_continue_statement] = ACTIONS(11159),
    [anon_sym_return] = ACTIONS(11159),
    [anon_sym_const] = ACTIONS(11159),
    [anon_sym_global] = ACTIONS(11159),
    [anon_sym_local] = ACTIONS(11159),
    [anon_sym_LPAREN] = ACTIONS(11161),
    [anon_sym_COLON] = ACTIONS(11159),
    [anon_sym_export] = ACTIONS(11159),
    [anon_sym_public] = ACTIONS(11159),
    [anon_sym_import] = ACTIONS(11159),
    [anon_sym_using] = ACTIONS(11159),
    [anon_sym_LBRACK] = ACTIONS(11161),
    [anon_sym_in] = ACTIONS(11159),
    [anon_sym_LBRACE] = ACTIONS(11161),
    [anon_sym_DOLLAR] = ACTIONS(11161),
    [anon_sym_COLON2] = ACTIONS(11159),
    [anon_sym_COLON_COLON] = ACTIONS(11161),
    [anon_sym_isa] = ACTIONS(11159),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11161),
    [anon_sym_QMARK] = ACTIONS(11161),
    [anon_sym_where] = ACTIONS(11159),
    [anon_sym_AT] = ACTIONS(11161),
    [anon_sym_true] = ACTIONS(11159),
    [anon_sym_false] = ACTIONS(11159),
    [aux_sym_integer_literal_token1] = ACTIONS(11161),
    [aux_sym_integer_literal_token2] = ACTIONS(11161),
    [aux_sym_integer_literal_token3] = ACTIONS(11159),
    [aux_sym_integer_literal_token4] = ACTIONS(11159),
    [aux_sym_float_literal_token1] = ACTIONS(11161),
    [aux_sym_float_literal_token3] = ACTIONS(11161),
    [aux_sym_float_literal_token4] = ACTIONS(11161),
    [sym_character_literal] = ACTIONS(11161),
    [anon_sym_DQUOTE] = ACTIONS(11159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11161),
    [anon_sym_BQUOTE] = ACTIONS(11159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11161),
    [sym__pair_operator] = ACTIONS(11161),
    [sym__arrow_operator] = ACTIONS(11159),
    [sym__lazy_or_operator] = ACTIONS(11161),
    [sym__lazy_and_operator] = ACTIONS(11161),
    [sym__comparison_operator] = ACTIONS(11159),
    [sym__pipe_right_operator] = ACTIONS(11161),
    [sym__pipe_left_operator] = ACTIONS(11161),
    [sym__ellipsis_operator] = ACTIONS(11159),
    [sym__plus_operator] = ACTIONS(11159),
    [sym__times_operator] = ACTIONS(11159),
    [sym__rational_operator] = ACTIONS(11161),
    [sym__bitshift_operator] = ACTIONS(11161),
    [sym__power_operator] = ACTIONS(11161),
    [sym__tilde_operator] = ACTIONS(11161),
    [sym__type_order_operator] = ACTIONS(11161),
    [sym__unary_operator] = ACTIONS(11159),
    [sym__unary_plus_operator] = ACTIONS(11159),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9844] = {
    [sym_block_comment] = STATE(9844),
    [sym_line_comment] = STATE(9844),
    [sym__word_identifier] = ACTIONS(11493),
    [anon_sym_COMMA] = ACTIONS(11495),
    [anon_sym_EQ] = ACTIONS(11493),
    [anon_sym_begin] = ACTIONS(11493),
    [anon_sym_module] = ACTIONS(11493),
    [anon_sym_baremodule] = ACTIONS(11493),
    [anon_sym_end] = ACTIONS(11493),
    [anon_sym_abstract] = ACTIONS(11493),
    [anon_sym_primitive] = ACTIONS(11493),
    [anon_sym_mutable] = ACTIONS(11493),
    [anon_sym_struct] = ACTIONS(11493),
    [anon_sym_function] = ACTIONS(11493),
    [anon_sym_macro] = ACTIONS(11493),
    [anon_sym_quote] = ACTIONS(11493),
    [anon_sym_let] = ACTIONS(11493),
    [anon_sym_if] = ACTIONS(11493),
    [anon_sym_try] = ACTIONS(11493),
    [anon_sym_for] = ACTIONS(11493),
    [anon_sym_while] = ACTIONS(11493),
    [sym_break_statement] = ACTIONS(11493),
    [sym_continue_statement] = ACTIONS(11493),
    [anon_sym_return] = ACTIONS(11493),
    [anon_sym_const] = ACTIONS(11493),
    [anon_sym_global] = ACTIONS(11493),
    [anon_sym_local] = ACTIONS(11493),
    [anon_sym_LPAREN] = ACTIONS(11495),
    [anon_sym_COLON] = ACTIONS(11493),
    [anon_sym_export] = ACTIONS(11493),
    [anon_sym_public] = ACTIONS(11493),
    [anon_sym_import] = ACTIONS(11493),
    [anon_sym_using] = ACTIONS(11493),
    [anon_sym_LBRACK] = ACTIONS(11495),
    [anon_sym_in] = ACTIONS(11493),
    [anon_sym_LBRACE] = ACTIONS(11495),
    [anon_sym_DOLLAR] = ACTIONS(11495),
    [anon_sym_COLON2] = ACTIONS(11493),
    [anon_sym_COLON_COLON] = ACTIONS(11495),
    [anon_sym_isa] = ACTIONS(11493),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11495),
    [anon_sym_QMARK] = ACTIONS(11495),
    [anon_sym_where] = ACTIONS(11493),
    [anon_sym_AT] = ACTIONS(11495),
    [anon_sym_true] = ACTIONS(11493),
    [anon_sym_false] = ACTIONS(11493),
    [aux_sym_integer_literal_token1] = ACTIONS(11495),
    [aux_sym_integer_literal_token2] = ACTIONS(11495),
    [aux_sym_integer_literal_token3] = ACTIONS(11493),
    [aux_sym_integer_literal_token4] = ACTIONS(11493),
    [aux_sym_float_literal_token1] = ACTIONS(11495),
    [aux_sym_float_literal_token3] = ACTIONS(11495),
    [aux_sym_float_literal_token4] = ACTIONS(11495),
    [sym_character_literal] = ACTIONS(11495),
    [anon_sym_DQUOTE] = ACTIONS(11493),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11495),
    [anon_sym_BQUOTE] = ACTIONS(11493),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11495),
    [sym__pair_operator] = ACTIONS(11495),
    [sym__arrow_operator] = ACTIONS(11493),
    [sym__lazy_or_operator] = ACTIONS(11495),
    [sym__lazy_and_operator] = ACTIONS(11495),
    [sym__comparison_operator] = ACTIONS(11493),
    [sym__pipe_right_operator] = ACTIONS(11495),
    [sym__pipe_left_operator] = ACTIONS(11495),
    [sym__ellipsis_operator] = ACTIONS(11493),
    [sym__plus_operator] = ACTIONS(11493),
    [sym__times_operator] = ACTIONS(11493),
    [sym__rational_operator] = ACTIONS(11495),
    [sym__bitshift_operator] = ACTIONS(11495),
    [sym__power_operator] = ACTIONS(11495),
    [sym__tilde_operator] = ACTIONS(11495),
    [sym__type_order_operator] = ACTIONS(11495),
    [sym__unary_operator] = ACTIONS(11493),
    [sym__unary_plus_operator] = ACTIONS(11493),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9845] = {
    [sym_block_comment] = STATE(9845),
    [sym_line_comment] = STATE(9845),
    [sym__word_identifier] = ACTIONS(11497),
    [anon_sym_COMMA] = ACTIONS(11499),
    [anon_sym_EQ] = ACTIONS(11497),
    [anon_sym_begin] = ACTIONS(11497),
    [anon_sym_module] = ACTIONS(11497),
    [anon_sym_baremodule] = ACTIONS(11497),
    [anon_sym_end] = ACTIONS(11497),
    [anon_sym_abstract] = ACTIONS(11497),
    [anon_sym_primitive] = ACTIONS(11497),
    [anon_sym_mutable] = ACTIONS(11497),
    [anon_sym_struct] = ACTIONS(11497),
    [anon_sym_function] = ACTIONS(11497),
    [anon_sym_macro] = ACTIONS(11497),
    [anon_sym_quote] = ACTIONS(11497),
    [anon_sym_let] = ACTIONS(11497),
    [anon_sym_if] = ACTIONS(11497),
    [anon_sym_try] = ACTIONS(11497),
    [anon_sym_for] = ACTIONS(11497),
    [anon_sym_while] = ACTIONS(11497),
    [sym_break_statement] = ACTIONS(11497),
    [sym_continue_statement] = ACTIONS(11497),
    [anon_sym_return] = ACTIONS(11497),
    [anon_sym_const] = ACTIONS(11497),
    [anon_sym_global] = ACTIONS(11497),
    [anon_sym_local] = ACTIONS(11497),
    [anon_sym_LPAREN] = ACTIONS(11499),
    [anon_sym_COLON] = ACTIONS(11497),
    [anon_sym_export] = ACTIONS(11497),
    [anon_sym_public] = ACTIONS(11497),
    [anon_sym_import] = ACTIONS(11497),
    [anon_sym_using] = ACTIONS(11497),
    [anon_sym_LBRACK] = ACTIONS(11499),
    [anon_sym_in] = ACTIONS(11497),
    [anon_sym_LBRACE] = ACTIONS(11499),
    [anon_sym_DOLLAR] = ACTIONS(11499),
    [anon_sym_COLON2] = ACTIONS(11497),
    [anon_sym_COLON_COLON] = ACTIONS(11499),
    [anon_sym_isa] = ACTIONS(11497),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11499),
    [anon_sym_QMARK] = ACTIONS(11499),
    [anon_sym_where] = ACTIONS(11497),
    [anon_sym_AT] = ACTIONS(11499),
    [anon_sym_true] = ACTIONS(11497),
    [anon_sym_false] = ACTIONS(11497),
    [aux_sym_integer_literal_token1] = ACTIONS(11499),
    [aux_sym_integer_literal_token2] = ACTIONS(11499),
    [aux_sym_integer_literal_token3] = ACTIONS(11497),
    [aux_sym_integer_literal_token4] = ACTIONS(11497),
    [aux_sym_float_literal_token1] = ACTIONS(11499),
    [aux_sym_float_literal_token3] = ACTIONS(11499),
    [aux_sym_float_literal_token4] = ACTIONS(11499),
    [sym_character_literal] = ACTIONS(11499),
    [anon_sym_DQUOTE] = ACTIONS(11497),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11499),
    [anon_sym_BQUOTE] = ACTIONS(11497),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11499),
    [sym__pair_operator] = ACTIONS(11499),
    [sym__arrow_operator] = ACTIONS(11497),
    [sym__lazy_or_operator] = ACTIONS(11499),
    [sym__lazy_and_operator] = ACTIONS(11499),
    [sym__comparison_operator] = ACTIONS(11497),
    [sym__pipe_right_operator] = ACTIONS(11499),
    [sym__pipe_left_operator] = ACTIONS(11499),
    [sym__ellipsis_operator] = ACTIONS(11497),
    [sym__plus_operator] = ACTIONS(11497),
    [sym__times_operator] = ACTIONS(11497),
    [sym__rational_operator] = ACTIONS(11499),
    [sym__bitshift_operator] = ACTIONS(11499),
    [sym__power_operator] = ACTIONS(11499),
    [sym__tilde_operator] = ACTIONS(11499),
    [sym__type_order_operator] = ACTIONS(11499),
    [sym__unary_operator] = ACTIONS(11497),
    [sym__unary_plus_operator] = ACTIONS(11497),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9846] = {
    [sym_block_comment] = STATE(9846),
    [sym_line_comment] = STATE(9846),
    [sym__word_identifier] = ACTIONS(11605),
    [anon_sym_COMMA] = ACTIONS(11607),
    [anon_sym_EQ] = ACTIONS(11605),
    [anon_sym_begin] = ACTIONS(11605),
    [anon_sym_module] = ACTIONS(11605),
    [anon_sym_baremodule] = ACTIONS(11605),
    [anon_sym_end] = ACTIONS(11605),
    [anon_sym_abstract] = ACTIONS(11605),
    [anon_sym_primitive] = ACTIONS(11605),
    [anon_sym_mutable] = ACTIONS(11605),
    [anon_sym_struct] = ACTIONS(11605),
    [anon_sym_function] = ACTIONS(11605),
    [anon_sym_macro] = ACTIONS(11605),
    [anon_sym_quote] = ACTIONS(11605),
    [anon_sym_let] = ACTIONS(11605),
    [anon_sym_if] = ACTIONS(11605),
    [anon_sym_try] = ACTIONS(11605),
    [anon_sym_for] = ACTIONS(11605),
    [anon_sym_while] = ACTIONS(11605),
    [sym_break_statement] = ACTIONS(11605),
    [sym_continue_statement] = ACTIONS(11605),
    [anon_sym_return] = ACTIONS(11605),
    [anon_sym_const] = ACTIONS(11605),
    [anon_sym_global] = ACTIONS(11605),
    [anon_sym_local] = ACTIONS(11605),
    [anon_sym_LPAREN] = ACTIONS(11607),
    [anon_sym_COLON] = ACTIONS(11605),
    [anon_sym_export] = ACTIONS(11605),
    [anon_sym_public] = ACTIONS(11605),
    [anon_sym_import] = ACTIONS(11605),
    [anon_sym_using] = ACTIONS(11605),
    [anon_sym_LBRACK] = ACTIONS(11607),
    [anon_sym_in] = ACTIONS(11605),
    [anon_sym_LBRACE] = ACTIONS(11607),
    [anon_sym_DOLLAR] = ACTIONS(11607),
    [anon_sym_COLON2] = ACTIONS(11605),
    [anon_sym_COLON_COLON] = ACTIONS(11607),
    [anon_sym_isa] = ACTIONS(11605),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11607),
    [anon_sym_QMARK] = ACTIONS(11607),
    [anon_sym_where] = ACTIONS(11605),
    [anon_sym_AT] = ACTIONS(11607),
    [anon_sym_true] = ACTIONS(11605),
    [anon_sym_false] = ACTIONS(11605),
    [aux_sym_integer_literal_token1] = ACTIONS(11607),
    [aux_sym_integer_literal_token2] = ACTIONS(11607),
    [aux_sym_integer_literal_token3] = ACTIONS(11605),
    [aux_sym_integer_literal_token4] = ACTIONS(11605),
    [aux_sym_float_literal_token1] = ACTIONS(11607),
    [aux_sym_float_literal_token3] = ACTIONS(11607),
    [aux_sym_float_literal_token4] = ACTIONS(11607),
    [sym_character_literal] = ACTIONS(11607),
    [anon_sym_DQUOTE] = ACTIONS(11605),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11607),
    [anon_sym_BQUOTE] = ACTIONS(11605),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11607),
    [sym__pair_operator] = ACTIONS(11607),
    [sym__arrow_operator] = ACTIONS(11605),
    [sym__lazy_or_operator] = ACTIONS(11607),
    [sym__lazy_and_operator] = ACTIONS(11607),
    [sym__comparison_operator] = ACTIONS(11605),
    [sym__pipe_right_operator] = ACTIONS(11607),
    [sym__pipe_left_operator] = ACTIONS(11607),
    [sym__ellipsis_operator] = ACTIONS(11605),
    [sym__plus_operator] = ACTIONS(11605),
    [sym__times_operator] = ACTIONS(11605),
    [sym__rational_operator] = ACTIONS(11607),
    [sym__bitshift_operator] = ACTIONS(11607),
    [sym__power_operator] = ACTIONS(11607),
    [sym__tilde_operator] = ACTIONS(11607),
    [sym__type_order_operator] = ACTIONS(11607),
    [sym__unary_operator] = ACTIONS(11605),
    [sym__unary_plus_operator] = ACTIONS(11605),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9847] = {
    [sym_block_comment] = STATE(9847),
    [sym_line_comment] = STATE(9847),
    [sym__word_identifier] = ACTIONS(11501),
    [anon_sym_COMMA] = ACTIONS(11503),
    [anon_sym_EQ] = ACTIONS(11501),
    [anon_sym_begin] = ACTIONS(11501),
    [anon_sym_module] = ACTIONS(11501),
    [anon_sym_baremodule] = ACTIONS(11501),
    [anon_sym_end] = ACTIONS(11501),
    [anon_sym_abstract] = ACTIONS(11501),
    [anon_sym_primitive] = ACTIONS(11501),
    [anon_sym_mutable] = ACTIONS(11501),
    [anon_sym_struct] = ACTIONS(11501),
    [anon_sym_function] = ACTIONS(11501),
    [anon_sym_macro] = ACTIONS(11501),
    [anon_sym_quote] = ACTIONS(11501),
    [anon_sym_let] = ACTIONS(11501),
    [anon_sym_if] = ACTIONS(11501),
    [anon_sym_try] = ACTIONS(11501),
    [anon_sym_for] = ACTIONS(11501),
    [anon_sym_while] = ACTIONS(11501),
    [sym_break_statement] = ACTIONS(11501),
    [sym_continue_statement] = ACTIONS(11501),
    [anon_sym_return] = ACTIONS(11501),
    [anon_sym_const] = ACTIONS(11501),
    [anon_sym_global] = ACTIONS(11501),
    [anon_sym_local] = ACTIONS(11501),
    [anon_sym_LPAREN] = ACTIONS(11503),
    [anon_sym_COLON] = ACTIONS(11501),
    [anon_sym_export] = ACTIONS(11501),
    [anon_sym_public] = ACTIONS(11501),
    [anon_sym_import] = ACTIONS(11501),
    [anon_sym_using] = ACTIONS(11501),
    [anon_sym_LBRACK] = ACTIONS(11503),
    [anon_sym_in] = ACTIONS(11501),
    [anon_sym_LBRACE] = ACTIONS(11503),
    [anon_sym_DOLLAR] = ACTIONS(11503),
    [anon_sym_COLON2] = ACTIONS(11501),
    [anon_sym_COLON_COLON] = ACTIONS(11503),
    [anon_sym_isa] = ACTIONS(11501),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11503),
    [anon_sym_QMARK] = ACTIONS(11503),
    [anon_sym_where] = ACTIONS(11501),
    [anon_sym_AT] = ACTIONS(11503),
    [anon_sym_true] = ACTIONS(11501),
    [anon_sym_false] = ACTIONS(11501),
    [aux_sym_integer_literal_token1] = ACTIONS(11503),
    [aux_sym_integer_literal_token2] = ACTIONS(11503),
    [aux_sym_integer_literal_token3] = ACTIONS(11501),
    [aux_sym_integer_literal_token4] = ACTIONS(11501),
    [aux_sym_float_literal_token1] = ACTIONS(11503),
    [aux_sym_float_literal_token3] = ACTIONS(11503),
    [aux_sym_float_literal_token4] = ACTIONS(11503),
    [sym_character_literal] = ACTIONS(11503),
    [anon_sym_DQUOTE] = ACTIONS(11501),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11503),
    [anon_sym_BQUOTE] = ACTIONS(11501),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11503),
    [sym__pair_operator] = ACTIONS(11503),
    [sym__arrow_operator] = ACTIONS(11501),
    [sym__lazy_or_operator] = ACTIONS(11503),
    [sym__lazy_and_operator] = ACTIONS(11503),
    [sym__comparison_operator] = ACTIONS(11501),
    [sym__pipe_right_operator] = ACTIONS(11503),
    [sym__pipe_left_operator] = ACTIONS(11503),
    [sym__ellipsis_operator] = ACTIONS(11501),
    [sym__plus_operator] = ACTIONS(11501),
    [sym__times_operator] = ACTIONS(11501),
    [sym__rational_operator] = ACTIONS(11503),
    [sym__bitshift_operator] = ACTIONS(11503),
    [sym__power_operator] = ACTIONS(11503),
    [sym__tilde_operator] = ACTIONS(11503),
    [sym__type_order_operator] = ACTIONS(11503),
    [sym__unary_operator] = ACTIONS(11501),
    [sym__unary_plus_operator] = ACTIONS(11501),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9848] = {
    [sym_block_comment] = STATE(9848),
    [sym_line_comment] = STATE(9848),
    [sym__word_identifier] = ACTIONS(11505),
    [anon_sym_COMMA] = ACTIONS(11507),
    [anon_sym_EQ] = ACTIONS(11505),
    [anon_sym_begin] = ACTIONS(11505),
    [anon_sym_module] = ACTIONS(11505),
    [anon_sym_baremodule] = ACTIONS(11505),
    [anon_sym_end] = ACTIONS(11505),
    [anon_sym_abstract] = ACTIONS(11505),
    [anon_sym_primitive] = ACTIONS(11505),
    [anon_sym_mutable] = ACTIONS(11505),
    [anon_sym_struct] = ACTIONS(11505),
    [anon_sym_function] = ACTIONS(11505),
    [anon_sym_macro] = ACTIONS(11505),
    [anon_sym_quote] = ACTIONS(11505),
    [anon_sym_let] = ACTIONS(11505),
    [anon_sym_if] = ACTIONS(11505),
    [anon_sym_try] = ACTIONS(11505),
    [anon_sym_for] = ACTIONS(11505),
    [anon_sym_while] = ACTIONS(11505),
    [sym_break_statement] = ACTIONS(11505),
    [sym_continue_statement] = ACTIONS(11505),
    [anon_sym_return] = ACTIONS(11505),
    [anon_sym_const] = ACTIONS(11505),
    [anon_sym_global] = ACTIONS(11505),
    [anon_sym_local] = ACTIONS(11505),
    [anon_sym_LPAREN] = ACTIONS(11507),
    [anon_sym_COLON] = ACTIONS(11505),
    [anon_sym_export] = ACTIONS(11505),
    [anon_sym_public] = ACTIONS(11505),
    [anon_sym_import] = ACTIONS(11505),
    [anon_sym_using] = ACTIONS(11505),
    [anon_sym_LBRACK] = ACTIONS(11507),
    [anon_sym_in] = ACTIONS(11505),
    [anon_sym_LBRACE] = ACTIONS(11507),
    [anon_sym_DOLLAR] = ACTIONS(11507),
    [anon_sym_COLON2] = ACTIONS(11505),
    [anon_sym_COLON_COLON] = ACTIONS(11507),
    [anon_sym_isa] = ACTIONS(11505),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11507),
    [anon_sym_QMARK] = ACTIONS(11507),
    [anon_sym_where] = ACTIONS(11505),
    [anon_sym_AT] = ACTIONS(11507),
    [anon_sym_true] = ACTIONS(11505),
    [anon_sym_false] = ACTIONS(11505),
    [aux_sym_integer_literal_token1] = ACTIONS(11507),
    [aux_sym_integer_literal_token2] = ACTIONS(11507),
    [aux_sym_integer_literal_token3] = ACTIONS(11505),
    [aux_sym_integer_literal_token4] = ACTIONS(11505),
    [aux_sym_float_literal_token1] = ACTIONS(11507),
    [aux_sym_float_literal_token3] = ACTIONS(11507),
    [aux_sym_float_literal_token4] = ACTIONS(11507),
    [sym_character_literal] = ACTIONS(11507),
    [anon_sym_DQUOTE] = ACTIONS(11505),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11507),
    [anon_sym_BQUOTE] = ACTIONS(11505),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11507),
    [sym__pair_operator] = ACTIONS(11507),
    [sym__arrow_operator] = ACTIONS(11505),
    [sym__lazy_or_operator] = ACTIONS(11507),
    [sym__lazy_and_operator] = ACTIONS(11507),
    [sym__comparison_operator] = ACTIONS(11505),
    [sym__pipe_right_operator] = ACTIONS(11507),
    [sym__pipe_left_operator] = ACTIONS(11507),
    [sym__ellipsis_operator] = ACTIONS(11505),
    [sym__plus_operator] = ACTIONS(11505),
    [sym__times_operator] = ACTIONS(11505),
    [sym__rational_operator] = ACTIONS(11507),
    [sym__bitshift_operator] = ACTIONS(11507),
    [sym__power_operator] = ACTIONS(11507),
    [sym__tilde_operator] = ACTIONS(11507),
    [sym__type_order_operator] = ACTIONS(11507),
    [sym__unary_operator] = ACTIONS(11505),
    [sym__unary_plus_operator] = ACTIONS(11505),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9849] = {
    [sym_block_comment] = STATE(9849),
    [sym_line_comment] = STATE(9849),
    [sym__word_identifier] = ACTIONS(11509),
    [anon_sym_COMMA] = ACTIONS(11511),
    [anon_sym_EQ] = ACTIONS(11509),
    [anon_sym_begin] = ACTIONS(11509),
    [anon_sym_module] = ACTIONS(11509),
    [anon_sym_baremodule] = ACTIONS(11509),
    [anon_sym_end] = ACTIONS(11509),
    [anon_sym_abstract] = ACTIONS(11509),
    [anon_sym_primitive] = ACTIONS(11509),
    [anon_sym_mutable] = ACTIONS(11509),
    [anon_sym_struct] = ACTIONS(11509),
    [anon_sym_function] = ACTIONS(11509),
    [anon_sym_macro] = ACTIONS(11509),
    [anon_sym_quote] = ACTIONS(11509),
    [anon_sym_let] = ACTIONS(11509),
    [anon_sym_if] = ACTIONS(11509),
    [anon_sym_try] = ACTIONS(11509),
    [anon_sym_for] = ACTIONS(11509),
    [anon_sym_while] = ACTIONS(11509),
    [sym_break_statement] = ACTIONS(11509),
    [sym_continue_statement] = ACTIONS(11509),
    [anon_sym_return] = ACTIONS(11509),
    [anon_sym_const] = ACTIONS(11509),
    [anon_sym_global] = ACTIONS(11509),
    [anon_sym_local] = ACTIONS(11509),
    [anon_sym_LPAREN] = ACTIONS(11511),
    [anon_sym_COLON] = ACTIONS(11509),
    [anon_sym_export] = ACTIONS(11509),
    [anon_sym_public] = ACTIONS(11509),
    [anon_sym_import] = ACTIONS(11509),
    [anon_sym_using] = ACTIONS(11509),
    [anon_sym_LBRACK] = ACTIONS(11511),
    [anon_sym_in] = ACTIONS(11509),
    [anon_sym_LBRACE] = ACTIONS(11511),
    [anon_sym_DOLLAR] = ACTIONS(11511),
    [anon_sym_COLON2] = ACTIONS(11509),
    [anon_sym_COLON_COLON] = ACTIONS(11511),
    [anon_sym_isa] = ACTIONS(11509),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11511),
    [anon_sym_QMARK] = ACTIONS(11511),
    [anon_sym_where] = ACTIONS(11509),
    [anon_sym_AT] = ACTIONS(11511),
    [anon_sym_true] = ACTIONS(11509),
    [anon_sym_false] = ACTIONS(11509),
    [aux_sym_integer_literal_token1] = ACTIONS(11511),
    [aux_sym_integer_literal_token2] = ACTIONS(11511),
    [aux_sym_integer_literal_token3] = ACTIONS(11509),
    [aux_sym_integer_literal_token4] = ACTIONS(11509),
    [aux_sym_float_literal_token1] = ACTIONS(11511),
    [aux_sym_float_literal_token3] = ACTIONS(11511),
    [aux_sym_float_literal_token4] = ACTIONS(11511),
    [sym_character_literal] = ACTIONS(11511),
    [anon_sym_DQUOTE] = ACTIONS(11509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11511),
    [anon_sym_BQUOTE] = ACTIONS(11509),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11511),
    [sym__pair_operator] = ACTIONS(11511),
    [sym__arrow_operator] = ACTIONS(11509),
    [sym__lazy_or_operator] = ACTIONS(11511),
    [sym__lazy_and_operator] = ACTIONS(11511),
    [sym__comparison_operator] = ACTIONS(11509),
    [sym__pipe_right_operator] = ACTIONS(11511),
    [sym__pipe_left_operator] = ACTIONS(11511),
    [sym__ellipsis_operator] = ACTIONS(11509),
    [sym__plus_operator] = ACTIONS(11509),
    [sym__times_operator] = ACTIONS(11509),
    [sym__rational_operator] = ACTIONS(11511),
    [sym__bitshift_operator] = ACTIONS(11511),
    [sym__power_operator] = ACTIONS(11511),
    [sym__tilde_operator] = ACTIONS(11511),
    [sym__type_order_operator] = ACTIONS(11511),
    [sym__unary_operator] = ACTIONS(11509),
    [sym__unary_plus_operator] = ACTIONS(11509),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9850] = {
    [sym_block_comment] = STATE(9850),
    [sym_line_comment] = STATE(9850),
    [sym__word_identifier] = ACTIONS(11513),
    [anon_sym_COMMA] = ACTIONS(11515),
    [anon_sym_EQ] = ACTIONS(11513),
    [anon_sym_begin] = ACTIONS(11513),
    [anon_sym_module] = ACTIONS(11513),
    [anon_sym_baremodule] = ACTIONS(11513),
    [anon_sym_end] = ACTIONS(11513),
    [anon_sym_abstract] = ACTIONS(11513),
    [anon_sym_primitive] = ACTIONS(11513),
    [anon_sym_mutable] = ACTIONS(11513),
    [anon_sym_struct] = ACTIONS(11513),
    [anon_sym_function] = ACTIONS(11513),
    [anon_sym_macro] = ACTIONS(11513),
    [anon_sym_quote] = ACTIONS(11513),
    [anon_sym_let] = ACTIONS(11513),
    [anon_sym_if] = ACTIONS(11513),
    [anon_sym_try] = ACTIONS(11513),
    [anon_sym_for] = ACTIONS(11513),
    [anon_sym_while] = ACTIONS(11513),
    [sym_break_statement] = ACTIONS(11513),
    [sym_continue_statement] = ACTIONS(11513),
    [anon_sym_return] = ACTIONS(11513),
    [anon_sym_const] = ACTIONS(11513),
    [anon_sym_global] = ACTIONS(11513),
    [anon_sym_local] = ACTIONS(11513),
    [anon_sym_LPAREN] = ACTIONS(11515),
    [anon_sym_COLON] = ACTIONS(11513),
    [anon_sym_export] = ACTIONS(11513),
    [anon_sym_public] = ACTIONS(11513),
    [anon_sym_import] = ACTIONS(11513),
    [anon_sym_using] = ACTIONS(11513),
    [anon_sym_LBRACK] = ACTIONS(11515),
    [anon_sym_in] = ACTIONS(11513),
    [anon_sym_LBRACE] = ACTIONS(11515),
    [anon_sym_DOLLAR] = ACTIONS(11515),
    [anon_sym_COLON2] = ACTIONS(11513),
    [anon_sym_COLON_COLON] = ACTIONS(11515),
    [anon_sym_isa] = ACTIONS(11513),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11515),
    [anon_sym_QMARK] = ACTIONS(11515),
    [anon_sym_where] = ACTIONS(11513),
    [anon_sym_AT] = ACTIONS(11515),
    [anon_sym_true] = ACTIONS(11513),
    [anon_sym_false] = ACTIONS(11513),
    [aux_sym_integer_literal_token1] = ACTIONS(11515),
    [aux_sym_integer_literal_token2] = ACTIONS(11515),
    [aux_sym_integer_literal_token3] = ACTIONS(11513),
    [aux_sym_integer_literal_token4] = ACTIONS(11513),
    [aux_sym_float_literal_token1] = ACTIONS(11515),
    [aux_sym_float_literal_token3] = ACTIONS(11515),
    [aux_sym_float_literal_token4] = ACTIONS(11515),
    [sym_character_literal] = ACTIONS(11515),
    [anon_sym_DQUOTE] = ACTIONS(11513),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11515),
    [anon_sym_BQUOTE] = ACTIONS(11513),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11515),
    [sym__pair_operator] = ACTIONS(11515),
    [sym__arrow_operator] = ACTIONS(11513),
    [sym__lazy_or_operator] = ACTIONS(11515),
    [sym__lazy_and_operator] = ACTIONS(11515),
    [sym__comparison_operator] = ACTIONS(11513),
    [sym__pipe_right_operator] = ACTIONS(11515),
    [sym__pipe_left_operator] = ACTIONS(11515),
    [sym__ellipsis_operator] = ACTIONS(11513),
    [sym__plus_operator] = ACTIONS(11513),
    [sym__times_operator] = ACTIONS(11513),
    [sym__rational_operator] = ACTIONS(11515),
    [sym__bitshift_operator] = ACTIONS(11515),
    [sym__power_operator] = ACTIONS(11515),
    [sym__tilde_operator] = ACTIONS(11515),
    [sym__type_order_operator] = ACTIONS(11515),
    [sym__unary_operator] = ACTIONS(11513),
    [sym__unary_plus_operator] = ACTIONS(11513),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9851] = {
    [sym_block_comment] = STATE(9851),
    [sym_line_comment] = STATE(9851),
    [sym__word_identifier] = ACTIONS(11517),
    [anon_sym_COMMA] = ACTIONS(11519),
    [anon_sym_EQ] = ACTIONS(11517),
    [anon_sym_begin] = ACTIONS(11517),
    [anon_sym_module] = ACTIONS(11517),
    [anon_sym_baremodule] = ACTIONS(11517),
    [anon_sym_end] = ACTIONS(11517),
    [anon_sym_abstract] = ACTIONS(11517),
    [anon_sym_primitive] = ACTIONS(11517),
    [anon_sym_mutable] = ACTIONS(11517),
    [anon_sym_struct] = ACTIONS(11517),
    [anon_sym_function] = ACTIONS(11517),
    [anon_sym_macro] = ACTIONS(11517),
    [anon_sym_quote] = ACTIONS(11517),
    [anon_sym_let] = ACTIONS(11517),
    [anon_sym_if] = ACTIONS(11517),
    [anon_sym_try] = ACTIONS(11517),
    [anon_sym_for] = ACTIONS(11517),
    [anon_sym_while] = ACTIONS(11517),
    [sym_break_statement] = ACTIONS(11517),
    [sym_continue_statement] = ACTIONS(11517),
    [anon_sym_return] = ACTIONS(11517),
    [anon_sym_const] = ACTIONS(11517),
    [anon_sym_global] = ACTIONS(11517),
    [anon_sym_local] = ACTIONS(11517),
    [anon_sym_LPAREN] = ACTIONS(11519),
    [anon_sym_COLON] = ACTIONS(11517),
    [anon_sym_export] = ACTIONS(11517),
    [anon_sym_public] = ACTIONS(11517),
    [anon_sym_import] = ACTIONS(11517),
    [anon_sym_using] = ACTIONS(11517),
    [anon_sym_LBRACK] = ACTIONS(11519),
    [anon_sym_in] = ACTIONS(11517),
    [anon_sym_LBRACE] = ACTIONS(11519),
    [anon_sym_DOLLAR] = ACTIONS(11519),
    [anon_sym_COLON2] = ACTIONS(11517),
    [anon_sym_COLON_COLON] = ACTIONS(11519),
    [anon_sym_isa] = ACTIONS(11517),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11519),
    [anon_sym_QMARK] = ACTIONS(11519),
    [anon_sym_where] = ACTIONS(11517),
    [anon_sym_AT] = ACTIONS(11519),
    [anon_sym_true] = ACTIONS(11517),
    [anon_sym_false] = ACTIONS(11517),
    [aux_sym_integer_literal_token1] = ACTIONS(11519),
    [aux_sym_integer_literal_token2] = ACTIONS(11519),
    [aux_sym_integer_literal_token3] = ACTIONS(11517),
    [aux_sym_integer_literal_token4] = ACTIONS(11517),
    [aux_sym_float_literal_token1] = ACTIONS(11519),
    [aux_sym_float_literal_token3] = ACTIONS(11519),
    [aux_sym_float_literal_token4] = ACTIONS(11519),
    [sym_character_literal] = ACTIONS(11519),
    [anon_sym_DQUOTE] = ACTIONS(11517),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11519),
    [anon_sym_BQUOTE] = ACTIONS(11517),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11519),
    [sym__pair_operator] = ACTIONS(11519),
    [sym__arrow_operator] = ACTIONS(11517),
    [sym__lazy_or_operator] = ACTIONS(11519),
    [sym__lazy_and_operator] = ACTIONS(11519),
    [sym__comparison_operator] = ACTIONS(11517),
    [sym__pipe_right_operator] = ACTIONS(11519),
    [sym__pipe_left_operator] = ACTIONS(11519),
    [sym__ellipsis_operator] = ACTIONS(11517),
    [sym__plus_operator] = ACTIONS(11517),
    [sym__times_operator] = ACTIONS(11517),
    [sym__rational_operator] = ACTIONS(11519),
    [sym__bitshift_operator] = ACTIONS(11519),
    [sym__power_operator] = ACTIONS(11519),
    [sym__tilde_operator] = ACTIONS(11519),
    [sym__type_order_operator] = ACTIONS(11519),
    [sym__unary_operator] = ACTIONS(11517),
    [sym__unary_plus_operator] = ACTIONS(11517),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9852] = {
    [sym_block_comment] = STATE(9852),
    [sym_line_comment] = STATE(9852),
    [sym__word_identifier] = ACTIONS(11521),
    [anon_sym_COMMA] = ACTIONS(11523),
    [anon_sym_EQ] = ACTIONS(11521),
    [anon_sym_begin] = ACTIONS(11521),
    [anon_sym_module] = ACTIONS(11521),
    [anon_sym_baremodule] = ACTIONS(11521),
    [anon_sym_end] = ACTIONS(11521),
    [anon_sym_abstract] = ACTIONS(11521),
    [anon_sym_primitive] = ACTIONS(11521),
    [anon_sym_mutable] = ACTIONS(11521),
    [anon_sym_struct] = ACTIONS(11521),
    [anon_sym_function] = ACTIONS(11521),
    [anon_sym_macro] = ACTIONS(11521),
    [anon_sym_quote] = ACTIONS(11521),
    [anon_sym_let] = ACTIONS(11521),
    [anon_sym_if] = ACTIONS(11521),
    [anon_sym_try] = ACTIONS(11521),
    [anon_sym_for] = ACTIONS(11521),
    [anon_sym_while] = ACTIONS(11521),
    [sym_break_statement] = ACTIONS(11521),
    [sym_continue_statement] = ACTIONS(11521),
    [anon_sym_return] = ACTIONS(11521),
    [anon_sym_const] = ACTIONS(11521),
    [anon_sym_global] = ACTIONS(11521),
    [anon_sym_local] = ACTIONS(11521),
    [anon_sym_LPAREN] = ACTIONS(11523),
    [anon_sym_COLON] = ACTIONS(11521),
    [anon_sym_export] = ACTIONS(11521),
    [anon_sym_public] = ACTIONS(11521),
    [anon_sym_import] = ACTIONS(11521),
    [anon_sym_using] = ACTIONS(11521),
    [anon_sym_LBRACK] = ACTIONS(11523),
    [anon_sym_in] = ACTIONS(11521),
    [anon_sym_LBRACE] = ACTIONS(11523),
    [anon_sym_DOLLAR] = ACTIONS(11523),
    [anon_sym_COLON2] = ACTIONS(11521),
    [anon_sym_COLON_COLON] = ACTIONS(11523),
    [anon_sym_isa] = ACTIONS(11521),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11523),
    [anon_sym_QMARK] = ACTIONS(11523),
    [anon_sym_where] = ACTIONS(11521),
    [anon_sym_AT] = ACTIONS(11523),
    [anon_sym_true] = ACTIONS(11521),
    [anon_sym_false] = ACTIONS(11521),
    [aux_sym_integer_literal_token1] = ACTIONS(11523),
    [aux_sym_integer_literal_token2] = ACTIONS(11523),
    [aux_sym_integer_literal_token3] = ACTIONS(11521),
    [aux_sym_integer_literal_token4] = ACTIONS(11521),
    [aux_sym_float_literal_token1] = ACTIONS(11523),
    [aux_sym_float_literal_token3] = ACTIONS(11523),
    [aux_sym_float_literal_token4] = ACTIONS(11523),
    [sym_character_literal] = ACTIONS(11523),
    [anon_sym_DQUOTE] = ACTIONS(11521),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11523),
    [anon_sym_BQUOTE] = ACTIONS(11521),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11523),
    [sym__pair_operator] = ACTIONS(11523),
    [sym__arrow_operator] = ACTIONS(11521),
    [sym__lazy_or_operator] = ACTIONS(11523),
    [sym__lazy_and_operator] = ACTIONS(11523),
    [sym__comparison_operator] = ACTIONS(11521),
    [sym__pipe_right_operator] = ACTIONS(11523),
    [sym__pipe_left_operator] = ACTIONS(11523),
    [sym__ellipsis_operator] = ACTIONS(11521),
    [sym__plus_operator] = ACTIONS(11521),
    [sym__times_operator] = ACTIONS(11521),
    [sym__rational_operator] = ACTIONS(11523),
    [sym__bitshift_operator] = ACTIONS(11523),
    [sym__power_operator] = ACTIONS(11523),
    [sym__tilde_operator] = ACTIONS(11523),
    [sym__type_order_operator] = ACTIONS(11523),
    [sym__unary_operator] = ACTIONS(11521),
    [sym__unary_plus_operator] = ACTIONS(11521),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9853] = {
    [sym_block_comment] = STATE(9853),
    [sym_line_comment] = STATE(9853),
    [sym__word_identifier] = ACTIONS(11525),
    [anon_sym_COMMA] = ACTIONS(11527),
    [anon_sym_EQ] = ACTIONS(11525),
    [anon_sym_begin] = ACTIONS(11525),
    [anon_sym_module] = ACTIONS(11525),
    [anon_sym_baremodule] = ACTIONS(11525),
    [anon_sym_end] = ACTIONS(11525),
    [anon_sym_abstract] = ACTIONS(11525),
    [anon_sym_primitive] = ACTIONS(11525),
    [anon_sym_mutable] = ACTIONS(11525),
    [anon_sym_struct] = ACTIONS(11525),
    [anon_sym_function] = ACTIONS(11525),
    [anon_sym_macro] = ACTIONS(11525),
    [anon_sym_quote] = ACTIONS(11525),
    [anon_sym_let] = ACTIONS(11525),
    [anon_sym_if] = ACTIONS(11525),
    [anon_sym_try] = ACTIONS(11525),
    [anon_sym_for] = ACTIONS(11525),
    [anon_sym_while] = ACTIONS(11525),
    [sym_break_statement] = ACTIONS(11525),
    [sym_continue_statement] = ACTIONS(11525),
    [anon_sym_return] = ACTIONS(11525),
    [anon_sym_const] = ACTIONS(11525),
    [anon_sym_global] = ACTIONS(11525),
    [anon_sym_local] = ACTIONS(11525),
    [anon_sym_LPAREN] = ACTIONS(11527),
    [anon_sym_COLON] = ACTIONS(11525),
    [anon_sym_export] = ACTIONS(11525),
    [anon_sym_public] = ACTIONS(11525),
    [anon_sym_import] = ACTIONS(11525),
    [anon_sym_using] = ACTIONS(11525),
    [anon_sym_LBRACK] = ACTIONS(11527),
    [anon_sym_in] = ACTIONS(11525),
    [anon_sym_LBRACE] = ACTIONS(11527),
    [anon_sym_DOLLAR] = ACTIONS(11527),
    [anon_sym_COLON2] = ACTIONS(11525),
    [anon_sym_COLON_COLON] = ACTIONS(11527),
    [anon_sym_isa] = ACTIONS(11525),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11527),
    [anon_sym_QMARK] = ACTIONS(11527),
    [anon_sym_where] = ACTIONS(11525),
    [anon_sym_AT] = ACTIONS(11527),
    [anon_sym_true] = ACTIONS(11525),
    [anon_sym_false] = ACTIONS(11525),
    [aux_sym_integer_literal_token1] = ACTIONS(11527),
    [aux_sym_integer_literal_token2] = ACTIONS(11527),
    [aux_sym_integer_literal_token3] = ACTIONS(11525),
    [aux_sym_integer_literal_token4] = ACTIONS(11525),
    [aux_sym_float_literal_token1] = ACTIONS(11527),
    [aux_sym_float_literal_token3] = ACTIONS(11527),
    [aux_sym_float_literal_token4] = ACTIONS(11527),
    [sym_character_literal] = ACTIONS(11527),
    [anon_sym_DQUOTE] = ACTIONS(11525),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11527),
    [anon_sym_BQUOTE] = ACTIONS(11525),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11527),
    [sym__pair_operator] = ACTIONS(11527),
    [sym__arrow_operator] = ACTIONS(11525),
    [sym__lazy_or_operator] = ACTIONS(11527),
    [sym__lazy_and_operator] = ACTIONS(11527),
    [sym__comparison_operator] = ACTIONS(11525),
    [sym__pipe_right_operator] = ACTIONS(11527),
    [sym__pipe_left_operator] = ACTIONS(11527),
    [sym__ellipsis_operator] = ACTIONS(11525),
    [sym__plus_operator] = ACTIONS(11525),
    [sym__times_operator] = ACTIONS(11525),
    [sym__rational_operator] = ACTIONS(11527),
    [sym__bitshift_operator] = ACTIONS(11527),
    [sym__power_operator] = ACTIONS(11527),
    [sym__tilde_operator] = ACTIONS(11527),
    [sym__type_order_operator] = ACTIONS(11527),
    [sym__unary_operator] = ACTIONS(11525),
    [sym__unary_plus_operator] = ACTIONS(11525),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9854] = {
    [sym_block_comment] = STATE(9854),
    [sym_line_comment] = STATE(9854),
    [sym__word_identifier] = ACTIONS(11529),
    [anon_sym_COMMA] = ACTIONS(11531),
    [anon_sym_EQ] = ACTIONS(11529),
    [anon_sym_begin] = ACTIONS(11529),
    [anon_sym_module] = ACTIONS(11529),
    [anon_sym_baremodule] = ACTIONS(11529),
    [anon_sym_end] = ACTIONS(11529),
    [anon_sym_abstract] = ACTIONS(11529),
    [anon_sym_primitive] = ACTIONS(11529),
    [anon_sym_mutable] = ACTIONS(11529),
    [anon_sym_struct] = ACTIONS(11529),
    [anon_sym_function] = ACTIONS(11529),
    [anon_sym_macro] = ACTIONS(11529),
    [anon_sym_quote] = ACTIONS(11529),
    [anon_sym_let] = ACTIONS(11529),
    [anon_sym_if] = ACTIONS(11529),
    [anon_sym_try] = ACTIONS(11529),
    [anon_sym_for] = ACTIONS(11529),
    [anon_sym_while] = ACTIONS(11529),
    [sym_break_statement] = ACTIONS(11529),
    [sym_continue_statement] = ACTIONS(11529),
    [anon_sym_return] = ACTIONS(11529),
    [anon_sym_const] = ACTIONS(11529),
    [anon_sym_global] = ACTIONS(11529),
    [anon_sym_local] = ACTIONS(11529),
    [anon_sym_LPAREN] = ACTIONS(11531),
    [anon_sym_COLON] = ACTIONS(11529),
    [anon_sym_export] = ACTIONS(11529),
    [anon_sym_public] = ACTIONS(11529),
    [anon_sym_import] = ACTIONS(11529),
    [anon_sym_using] = ACTIONS(11529),
    [anon_sym_LBRACK] = ACTIONS(11531),
    [anon_sym_in] = ACTIONS(11529),
    [anon_sym_LBRACE] = ACTIONS(11531),
    [anon_sym_DOLLAR] = ACTIONS(11531),
    [anon_sym_COLON2] = ACTIONS(11529),
    [anon_sym_COLON_COLON] = ACTIONS(11531),
    [anon_sym_isa] = ACTIONS(11529),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11531),
    [anon_sym_QMARK] = ACTIONS(11531),
    [anon_sym_where] = ACTIONS(11529),
    [anon_sym_AT] = ACTIONS(11531),
    [anon_sym_true] = ACTIONS(11529),
    [anon_sym_false] = ACTIONS(11529),
    [aux_sym_integer_literal_token1] = ACTIONS(11531),
    [aux_sym_integer_literal_token2] = ACTIONS(11531),
    [aux_sym_integer_literal_token3] = ACTIONS(11529),
    [aux_sym_integer_literal_token4] = ACTIONS(11529),
    [aux_sym_float_literal_token1] = ACTIONS(11531),
    [aux_sym_float_literal_token3] = ACTIONS(11531),
    [aux_sym_float_literal_token4] = ACTIONS(11531),
    [sym_character_literal] = ACTIONS(11531),
    [anon_sym_DQUOTE] = ACTIONS(11529),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11531),
    [anon_sym_BQUOTE] = ACTIONS(11529),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11531),
    [sym__pair_operator] = ACTIONS(11531),
    [sym__arrow_operator] = ACTIONS(11529),
    [sym__lazy_or_operator] = ACTIONS(11531),
    [sym__lazy_and_operator] = ACTIONS(11531),
    [sym__comparison_operator] = ACTIONS(11529),
    [sym__pipe_right_operator] = ACTIONS(11531),
    [sym__pipe_left_operator] = ACTIONS(11531),
    [sym__ellipsis_operator] = ACTIONS(11529),
    [sym__plus_operator] = ACTIONS(11529),
    [sym__times_operator] = ACTIONS(11529),
    [sym__rational_operator] = ACTIONS(11531),
    [sym__bitshift_operator] = ACTIONS(11531),
    [sym__power_operator] = ACTIONS(11531),
    [sym__tilde_operator] = ACTIONS(11531),
    [sym__type_order_operator] = ACTIONS(11531),
    [sym__unary_operator] = ACTIONS(11529),
    [sym__unary_plus_operator] = ACTIONS(11529),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9855] = {
    [sym_block_comment] = STATE(9855),
    [sym_line_comment] = STATE(9855),
    [sym__word_identifier] = ACTIONS(11533),
    [anon_sym_COMMA] = ACTIONS(11535),
    [anon_sym_EQ] = ACTIONS(11533),
    [anon_sym_begin] = ACTIONS(11533),
    [anon_sym_module] = ACTIONS(11533),
    [anon_sym_baremodule] = ACTIONS(11533),
    [anon_sym_end] = ACTIONS(11533),
    [anon_sym_abstract] = ACTIONS(11533),
    [anon_sym_primitive] = ACTIONS(11533),
    [anon_sym_mutable] = ACTIONS(11533),
    [anon_sym_struct] = ACTIONS(11533),
    [anon_sym_function] = ACTIONS(11533),
    [anon_sym_macro] = ACTIONS(11533),
    [anon_sym_quote] = ACTIONS(11533),
    [anon_sym_let] = ACTIONS(11533),
    [anon_sym_if] = ACTIONS(11533),
    [anon_sym_try] = ACTIONS(11533),
    [anon_sym_for] = ACTIONS(11533),
    [anon_sym_while] = ACTIONS(11533),
    [sym_break_statement] = ACTIONS(11533),
    [sym_continue_statement] = ACTIONS(11533),
    [anon_sym_return] = ACTIONS(11533),
    [anon_sym_const] = ACTIONS(11533),
    [anon_sym_global] = ACTIONS(11533),
    [anon_sym_local] = ACTIONS(11533),
    [anon_sym_LPAREN] = ACTIONS(11535),
    [anon_sym_COLON] = ACTIONS(11533),
    [anon_sym_export] = ACTIONS(11533),
    [anon_sym_public] = ACTIONS(11533),
    [anon_sym_import] = ACTIONS(11533),
    [anon_sym_using] = ACTIONS(11533),
    [anon_sym_LBRACK] = ACTIONS(11535),
    [anon_sym_in] = ACTIONS(11533),
    [anon_sym_LBRACE] = ACTIONS(11535),
    [anon_sym_DOLLAR] = ACTIONS(11535),
    [anon_sym_COLON2] = ACTIONS(11533),
    [anon_sym_COLON_COLON] = ACTIONS(11535),
    [anon_sym_isa] = ACTIONS(11533),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11535),
    [anon_sym_QMARK] = ACTIONS(11535),
    [anon_sym_where] = ACTIONS(11533),
    [anon_sym_AT] = ACTIONS(11535),
    [anon_sym_true] = ACTIONS(11533),
    [anon_sym_false] = ACTIONS(11533),
    [aux_sym_integer_literal_token1] = ACTIONS(11535),
    [aux_sym_integer_literal_token2] = ACTIONS(11535),
    [aux_sym_integer_literal_token3] = ACTIONS(11533),
    [aux_sym_integer_literal_token4] = ACTIONS(11533),
    [aux_sym_float_literal_token1] = ACTIONS(11535),
    [aux_sym_float_literal_token3] = ACTIONS(11535),
    [aux_sym_float_literal_token4] = ACTIONS(11535),
    [sym_character_literal] = ACTIONS(11535),
    [anon_sym_DQUOTE] = ACTIONS(11533),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11535),
    [anon_sym_BQUOTE] = ACTIONS(11533),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11535),
    [sym__pair_operator] = ACTIONS(11535),
    [sym__arrow_operator] = ACTIONS(11533),
    [sym__lazy_or_operator] = ACTIONS(11535),
    [sym__lazy_and_operator] = ACTIONS(11535),
    [sym__comparison_operator] = ACTIONS(11533),
    [sym__pipe_right_operator] = ACTIONS(11535),
    [sym__pipe_left_operator] = ACTIONS(11535),
    [sym__ellipsis_operator] = ACTIONS(11533),
    [sym__plus_operator] = ACTIONS(11533),
    [sym__times_operator] = ACTIONS(11533),
    [sym__rational_operator] = ACTIONS(11535),
    [sym__bitshift_operator] = ACTIONS(11535),
    [sym__power_operator] = ACTIONS(11535),
    [sym__tilde_operator] = ACTIONS(11535),
    [sym__type_order_operator] = ACTIONS(11535),
    [sym__unary_operator] = ACTIONS(11533),
    [sym__unary_plus_operator] = ACTIONS(11533),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9856] = {
    [sym_block_comment] = STATE(9856),
    [sym_line_comment] = STATE(9856),
    [sym__word_identifier] = ACTIONS(11537),
    [anon_sym_COMMA] = ACTIONS(11539),
    [anon_sym_EQ] = ACTIONS(11537),
    [anon_sym_begin] = ACTIONS(11537),
    [anon_sym_module] = ACTIONS(11537),
    [anon_sym_baremodule] = ACTIONS(11537),
    [anon_sym_end] = ACTIONS(11537),
    [anon_sym_abstract] = ACTIONS(11537),
    [anon_sym_primitive] = ACTIONS(11537),
    [anon_sym_mutable] = ACTIONS(11537),
    [anon_sym_struct] = ACTIONS(11537),
    [anon_sym_function] = ACTIONS(11537),
    [anon_sym_macro] = ACTIONS(11537),
    [anon_sym_quote] = ACTIONS(11537),
    [anon_sym_let] = ACTIONS(11537),
    [anon_sym_if] = ACTIONS(11537),
    [anon_sym_try] = ACTIONS(11537),
    [anon_sym_for] = ACTIONS(11537),
    [anon_sym_while] = ACTIONS(11537),
    [sym_break_statement] = ACTIONS(11537),
    [sym_continue_statement] = ACTIONS(11537),
    [anon_sym_return] = ACTIONS(11537),
    [anon_sym_const] = ACTIONS(11537),
    [anon_sym_global] = ACTIONS(11537),
    [anon_sym_local] = ACTIONS(11537),
    [anon_sym_LPAREN] = ACTIONS(11539),
    [anon_sym_COLON] = ACTIONS(11537),
    [anon_sym_export] = ACTIONS(11537),
    [anon_sym_public] = ACTIONS(11537),
    [anon_sym_import] = ACTIONS(11537),
    [anon_sym_using] = ACTIONS(11537),
    [anon_sym_LBRACK] = ACTIONS(11539),
    [anon_sym_in] = ACTIONS(11537),
    [anon_sym_LBRACE] = ACTIONS(11539),
    [anon_sym_DOLLAR] = ACTIONS(11539),
    [anon_sym_COLON2] = ACTIONS(11537),
    [anon_sym_COLON_COLON] = ACTIONS(11539),
    [anon_sym_isa] = ACTIONS(11537),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11539),
    [anon_sym_QMARK] = ACTIONS(11539),
    [anon_sym_where] = ACTIONS(11537),
    [anon_sym_AT] = ACTIONS(11539),
    [anon_sym_true] = ACTIONS(11537),
    [anon_sym_false] = ACTIONS(11537),
    [aux_sym_integer_literal_token1] = ACTIONS(11539),
    [aux_sym_integer_literal_token2] = ACTIONS(11539),
    [aux_sym_integer_literal_token3] = ACTIONS(11537),
    [aux_sym_integer_literal_token4] = ACTIONS(11537),
    [aux_sym_float_literal_token1] = ACTIONS(11539),
    [aux_sym_float_literal_token3] = ACTIONS(11539),
    [aux_sym_float_literal_token4] = ACTIONS(11539),
    [sym_character_literal] = ACTIONS(11539),
    [anon_sym_DQUOTE] = ACTIONS(11537),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11539),
    [anon_sym_BQUOTE] = ACTIONS(11537),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11539),
    [sym__pair_operator] = ACTIONS(11539),
    [sym__arrow_operator] = ACTIONS(11537),
    [sym__lazy_or_operator] = ACTIONS(11539),
    [sym__lazy_and_operator] = ACTIONS(11539),
    [sym__comparison_operator] = ACTIONS(11537),
    [sym__pipe_right_operator] = ACTIONS(11539),
    [sym__pipe_left_operator] = ACTIONS(11539),
    [sym__ellipsis_operator] = ACTIONS(11537),
    [sym__plus_operator] = ACTIONS(11537),
    [sym__times_operator] = ACTIONS(11537),
    [sym__rational_operator] = ACTIONS(11539),
    [sym__bitshift_operator] = ACTIONS(11539),
    [sym__power_operator] = ACTIONS(11539),
    [sym__tilde_operator] = ACTIONS(11539),
    [sym__type_order_operator] = ACTIONS(11539),
    [sym__unary_operator] = ACTIONS(11537),
    [sym__unary_plus_operator] = ACTIONS(11537),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9857] = {
    [sym_block_comment] = STATE(9857),
    [sym_line_comment] = STATE(9857),
    [sym__word_identifier] = ACTIONS(11541),
    [anon_sym_COMMA] = ACTIONS(11543),
    [anon_sym_EQ] = ACTIONS(11541),
    [anon_sym_begin] = ACTIONS(11541),
    [anon_sym_module] = ACTIONS(11541),
    [anon_sym_baremodule] = ACTIONS(11541),
    [anon_sym_end] = ACTIONS(11541),
    [anon_sym_abstract] = ACTIONS(11541),
    [anon_sym_primitive] = ACTIONS(11541),
    [anon_sym_mutable] = ACTIONS(11541),
    [anon_sym_struct] = ACTIONS(11541),
    [anon_sym_function] = ACTIONS(11541),
    [anon_sym_macro] = ACTIONS(11541),
    [anon_sym_quote] = ACTIONS(11541),
    [anon_sym_let] = ACTIONS(11541),
    [anon_sym_if] = ACTIONS(11541),
    [anon_sym_try] = ACTIONS(11541),
    [anon_sym_for] = ACTIONS(11541),
    [anon_sym_while] = ACTIONS(11541),
    [sym_break_statement] = ACTIONS(11541),
    [sym_continue_statement] = ACTIONS(11541),
    [anon_sym_return] = ACTIONS(11541),
    [anon_sym_const] = ACTIONS(11541),
    [anon_sym_global] = ACTIONS(11541),
    [anon_sym_local] = ACTIONS(11541),
    [anon_sym_LPAREN] = ACTIONS(11543),
    [anon_sym_COLON] = ACTIONS(11541),
    [anon_sym_export] = ACTIONS(11541),
    [anon_sym_public] = ACTIONS(11541),
    [anon_sym_import] = ACTIONS(11541),
    [anon_sym_using] = ACTIONS(11541),
    [anon_sym_LBRACK] = ACTIONS(11543),
    [anon_sym_in] = ACTIONS(11541),
    [anon_sym_LBRACE] = ACTIONS(11543),
    [anon_sym_DOLLAR] = ACTIONS(11543),
    [anon_sym_COLON2] = ACTIONS(11541),
    [anon_sym_COLON_COLON] = ACTIONS(11543),
    [anon_sym_isa] = ACTIONS(11541),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11543),
    [anon_sym_QMARK] = ACTIONS(11543),
    [anon_sym_where] = ACTIONS(11541),
    [anon_sym_AT] = ACTIONS(11543),
    [anon_sym_true] = ACTIONS(11541),
    [anon_sym_false] = ACTIONS(11541),
    [aux_sym_integer_literal_token1] = ACTIONS(11543),
    [aux_sym_integer_literal_token2] = ACTIONS(11543),
    [aux_sym_integer_literal_token3] = ACTIONS(11541),
    [aux_sym_integer_literal_token4] = ACTIONS(11541),
    [aux_sym_float_literal_token1] = ACTIONS(11543),
    [aux_sym_float_literal_token3] = ACTIONS(11543),
    [aux_sym_float_literal_token4] = ACTIONS(11543),
    [sym_character_literal] = ACTIONS(11543),
    [anon_sym_DQUOTE] = ACTIONS(11541),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11543),
    [anon_sym_BQUOTE] = ACTIONS(11541),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11543),
    [sym__pair_operator] = ACTIONS(11543),
    [sym__arrow_operator] = ACTIONS(11541),
    [sym__lazy_or_operator] = ACTIONS(11543),
    [sym__lazy_and_operator] = ACTIONS(11543),
    [sym__comparison_operator] = ACTIONS(11541),
    [sym__pipe_right_operator] = ACTIONS(11543),
    [sym__pipe_left_operator] = ACTIONS(11543),
    [sym__ellipsis_operator] = ACTIONS(11541),
    [sym__plus_operator] = ACTIONS(11541),
    [sym__times_operator] = ACTIONS(11541),
    [sym__rational_operator] = ACTIONS(11543),
    [sym__bitshift_operator] = ACTIONS(11543),
    [sym__power_operator] = ACTIONS(11543),
    [sym__tilde_operator] = ACTIONS(11543),
    [sym__type_order_operator] = ACTIONS(11543),
    [sym__unary_operator] = ACTIONS(11541),
    [sym__unary_plus_operator] = ACTIONS(11541),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9858] = {
    [sym_block_comment] = STATE(9858),
    [sym_line_comment] = STATE(9858),
    [sym__word_identifier] = ACTIONS(11545),
    [anon_sym_COMMA] = ACTIONS(11547),
    [anon_sym_EQ] = ACTIONS(11545),
    [anon_sym_begin] = ACTIONS(11545),
    [anon_sym_module] = ACTIONS(11545),
    [anon_sym_baremodule] = ACTIONS(11545),
    [anon_sym_end] = ACTIONS(11545),
    [anon_sym_abstract] = ACTIONS(11545),
    [anon_sym_primitive] = ACTIONS(11545),
    [anon_sym_mutable] = ACTIONS(11545),
    [anon_sym_struct] = ACTIONS(11545),
    [anon_sym_function] = ACTIONS(11545),
    [anon_sym_macro] = ACTIONS(11545),
    [anon_sym_quote] = ACTIONS(11545),
    [anon_sym_let] = ACTIONS(11545),
    [anon_sym_if] = ACTIONS(11545),
    [anon_sym_try] = ACTIONS(11545),
    [anon_sym_for] = ACTIONS(11545),
    [anon_sym_while] = ACTIONS(11545),
    [sym_break_statement] = ACTIONS(11545),
    [sym_continue_statement] = ACTIONS(11545),
    [anon_sym_return] = ACTIONS(11545),
    [anon_sym_const] = ACTIONS(11545),
    [anon_sym_global] = ACTIONS(11545),
    [anon_sym_local] = ACTIONS(11545),
    [anon_sym_LPAREN] = ACTIONS(11547),
    [anon_sym_COLON] = ACTIONS(11545),
    [anon_sym_export] = ACTIONS(11545),
    [anon_sym_public] = ACTIONS(11545),
    [anon_sym_import] = ACTIONS(11545),
    [anon_sym_using] = ACTIONS(11545),
    [anon_sym_LBRACK] = ACTIONS(11547),
    [anon_sym_in] = ACTIONS(11545),
    [anon_sym_LBRACE] = ACTIONS(11547),
    [anon_sym_DOLLAR] = ACTIONS(11547),
    [anon_sym_COLON2] = ACTIONS(11545),
    [anon_sym_COLON_COLON] = ACTIONS(11547),
    [anon_sym_isa] = ACTIONS(11545),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11547),
    [anon_sym_QMARK] = ACTIONS(11547),
    [anon_sym_where] = ACTIONS(11545),
    [anon_sym_AT] = ACTIONS(11547),
    [anon_sym_true] = ACTIONS(11545),
    [anon_sym_false] = ACTIONS(11545),
    [aux_sym_integer_literal_token1] = ACTIONS(11547),
    [aux_sym_integer_literal_token2] = ACTIONS(11547),
    [aux_sym_integer_literal_token3] = ACTIONS(11545),
    [aux_sym_integer_literal_token4] = ACTIONS(11545),
    [aux_sym_float_literal_token1] = ACTIONS(11547),
    [aux_sym_float_literal_token3] = ACTIONS(11547),
    [aux_sym_float_literal_token4] = ACTIONS(11547),
    [sym_character_literal] = ACTIONS(11547),
    [anon_sym_DQUOTE] = ACTIONS(11545),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11547),
    [anon_sym_BQUOTE] = ACTIONS(11545),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11547),
    [sym__pair_operator] = ACTIONS(11547),
    [sym__arrow_operator] = ACTIONS(11545),
    [sym__lazy_or_operator] = ACTIONS(11547),
    [sym__lazy_and_operator] = ACTIONS(11547),
    [sym__comparison_operator] = ACTIONS(11545),
    [sym__pipe_right_operator] = ACTIONS(11547),
    [sym__pipe_left_operator] = ACTIONS(11547),
    [sym__ellipsis_operator] = ACTIONS(11545),
    [sym__plus_operator] = ACTIONS(11545),
    [sym__times_operator] = ACTIONS(11545),
    [sym__rational_operator] = ACTIONS(11547),
    [sym__bitshift_operator] = ACTIONS(11547),
    [sym__power_operator] = ACTIONS(11547),
    [sym__tilde_operator] = ACTIONS(11547),
    [sym__type_order_operator] = ACTIONS(11547),
    [sym__unary_operator] = ACTIONS(11545),
    [sym__unary_plus_operator] = ACTIONS(11545),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9859] = {
    [sym_block_comment] = STATE(9859),
    [sym_line_comment] = STATE(9859),
    [sym__word_identifier] = ACTIONS(11549),
    [anon_sym_COMMA] = ACTIONS(11551),
    [anon_sym_EQ] = ACTIONS(11549),
    [anon_sym_begin] = ACTIONS(11549),
    [anon_sym_module] = ACTIONS(11549),
    [anon_sym_baremodule] = ACTIONS(11549),
    [anon_sym_end] = ACTIONS(11549),
    [anon_sym_abstract] = ACTIONS(11549),
    [anon_sym_primitive] = ACTIONS(11549),
    [anon_sym_mutable] = ACTIONS(11549),
    [anon_sym_struct] = ACTIONS(11549),
    [anon_sym_function] = ACTIONS(11549),
    [anon_sym_macro] = ACTIONS(11549),
    [anon_sym_quote] = ACTIONS(11549),
    [anon_sym_let] = ACTIONS(11549),
    [anon_sym_if] = ACTIONS(11549),
    [anon_sym_try] = ACTIONS(11549),
    [anon_sym_for] = ACTIONS(11549),
    [anon_sym_while] = ACTIONS(11549),
    [sym_break_statement] = ACTIONS(11549),
    [sym_continue_statement] = ACTIONS(11549),
    [anon_sym_return] = ACTIONS(11549),
    [anon_sym_const] = ACTIONS(11549),
    [anon_sym_global] = ACTIONS(11549),
    [anon_sym_local] = ACTIONS(11549),
    [anon_sym_LPAREN] = ACTIONS(11551),
    [anon_sym_COLON] = ACTIONS(11549),
    [anon_sym_export] = ACTIONS(11549),
    [anon_sym_public] = ACTIONS(11549),
    [anon_sym_import] = ACTIONS(11549),
    [anon_sym_using] = ACTIONS(11549),
    [anon_sym_LBRACK] = ACTIONS(11551),
    [anon_sym_in] = ACTIONS(11549),
    [anon_sym_LBRACE] = ACTIONS(11551),
    [anon_sym_DOLLAR] = ACTIONS(11551),
    [anon_sym_COLON2] = ACTIONS(11549),
    [anon_sym_COLON_COLON] = ACTIONS(11551),
    [anon_sym_isa] = ACTIONS(11549),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11551),
    [anon_sym_QMARK] = ACTIONS(11551),
    [anon_sym_where] = ACTIONS(11549),
    [anon_sym_AT] = ACTIONS(11551),
    [anon_sym_true] = ACTIONS(11549),
    [anon_sym_false] = ACTIONS(11549),
    [aux_sym_integer_literal_token1] = ACTIONS(11551),
    [aux_sym_integer_literal_token2] = ACTIONS(11551),
    [aux_sym_integer_literal_token3] = ACTIONS(11549),
    [aux_sym_integer_literal_token4] = ACTIONS(11549),
    [aux_sym_float_literal_token1] = ACTIONS(11551),
    [aux_sym_float_literal_token3] = ACTIONS(11551),
    [aux_sym_float_literal_token4] = ACTIONS(11551),
    [sym_character_literal] = ACTIONS(11551),
    [anon_sym_DQUOTE] = ACTIONS(11549),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11551),
    [anon_sym_BQUOTE] = ACTIONS(11549),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11551),
    [sym__pair_operator] = ACTIONS(11551),
    [sym__arrow_operator] = ACTIONS(11549),
    [sym__lazy_or_operator] = ACTIONS(11551),
    [sym__lazy_and_operator] = ACTIONS(11551),
    [sym__comparison_operator] = ACTIONS(11549),
    [sym__pipe_right_operator] = ACTIONS(11551),
    [sym__pipe_left_operator] = ACTIONS(11551),
    [sym__ellipsis_operator] = ACTIONS(11549),
    [sym__plus_operator] = ACTIONS(11549),
    [sym__times_operator] = ACTIONS(11549),
    [sym__rational_operator] = ACTIONS(11551),
    [sym__bitshift_operator] = ACTIONS(11551),
    [sym__power_operator] = ACTIONS(11551),
    [sym__tilde_operator] = ACTIONS(11551),
    [sym__type_order_operator] = ACTIONS(11551),
    [sym__unary_operator] = ACTIONS(11549),
    [sym__unary_plus_operator] = ACTIONS(11549),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9860] = {
    [sym_block_comment] = STATE(9860),
    [sym_line_comment] = STATE(9860),
    [sym__word_identifier] = ACTIONS(11553),
    [anon_sym_COMMA] = ACTIONS(11555),
    [anon_sym_EQ] = ACTIONS(11553),
    [anon_sym_begin] = ACTIONS(11553),
    [anon_sym_module] = ACTIONS(11553),
    [anon_sym_baremodule] = ACTIONS(11553),
    [anon_sym_end] = ACTIONS(11553),
    [anon_sym_abstract] = ACTIONS(11553),
    [anon_sym_primitive] = ACTIONS(11553),
    [anon_sym_mutable] = ACTIONS(11553),
    [anon_sym_struct] = ACTIONS(11553),
    [anon_sym_function] = ACTIONS(11553),
    [anon_sym_macro] = ACTIONS(11553),
    [anon_sym_quote] = ACTIONS(11553),
    [anon_sym_let] = ACTIONS(11553),
    [anon_sym_if] = ACTIONS(11553),
    [anon_sym_try] = ACTIONS(11553),
    [anon_sym_for] = ACTIONS(11553),
    [anon_sym_while] = ACTIONS(11553),
    [sym_break_statement] = ACTIONS(11553),
    [sym_continue_statement] = ACTIONS(11553),
    [anon_sym_return] = ACTIONS(11553),
    [anon_sym_const] = ACTIONS(11553),
    [anon_sym_global] = ACTIONS(11553),
    [anon_sym_local] = ACTIONS(11553),
    [anon_sym_LPAREN] = ACTIONS(11555),
    [anon_sym_COLON] = ACTIONS(11553),
    [anon_sym_export] = ACTIONS(11553),
    [anon_sym_public] = ACTIONS(11553),
    [anon_sym_import] = ACTIONS(11553),
    [anon_sym_using] = ACTIONS(11553),
    [anon_sym_LBRACK] = ACTIONS(11555),
    [anon_sym_in] = ACTIONS(11553),
    [anon_sym_LBRACE] = ACTIONS(11555),
    [anon_sym_DOLLAR] = ACTIONS(11555),
    [anon_sym_COLON2] = ACTIONS(11553),
    [anon_sym_COLON_COLON] = ACTIONS(11555),
    [anon_sym_isa] = ACTIONS(11553),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11555),
    [anon_sym_QMARK] = ACTIONS(11555),
    [anon_sym_where] = ACTIONS(11553),
    [anon_sym_AT] = ACTIONS(11555),
    [anon_sym_true] = ACTIONS(11553),
    [anon_sym_false] = ACTIONS(11553),
    [aux_sym_integer_literal_token1] = ACTIONS(11555),
    [aux_sym_integer_literal_token2] = ACTIONS(11555),
    [aux_sym_integer_literal_token3] = ACTIONS(11553),
    [aux_sym_integer_literal_token4] = ACTIONS(11553),
    [aux_sym_float_literal_token1] = ACTIONS(11555),
    [aux_sym_float_literal_token3] = ACTIONS(11555),
    [aux_sym_float_literal_token4] = ACTIONS(11555),
    [sym_character_literal] = ACTIONS(11555),
    [anon_sym_DQUOTE] = ACTIONS(11553),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11555),
    [anon_sym_BQUOTE] = ACTIONS(11553),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11555),
    [sym__pair_operator] = ACTIONS(11555),
    [sym__arrow_operator] = ACTIONS(11553),
    [sym__lazy_or_operator] = ACTIONS(11555),
    [sym__lazy_and_operator] = ACTIONS(11555),
    [sym__comparison_operator] = ACTIONS(11553),
    [sym__pipe_right_operator] = ACTIONS(11555),
    [sym__pipe_left_operator] = ACTIONS(11555),
    [sym__ellipsis_operator] = ACTIONS(11553),
    [sym__plus_operator] = ACTIONS(11553),
    [sym__times_operator] = ACTIONS(11553),
    [sym__rational_operator] = ACTIONS(11555),
    [sym__bitshift_operator] = ACTIONS(11555),
    [sym__power_operator] = ACTIONS(11555),
    [sym__tilde_operator] = ACTIONS(11555),
    [sym__type_order_operator] = ACTIONS(11555),
    [sym__unary_operator] = ACTIONS(11553),
    [sym__unary_plus_operator] = ACTIONS(11553),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9861] = {
    [sym_block_comment] = STATE(9861),
    [sym_line_comment] = STATE(9861),
    [sym__word_identifier] = ACTIONS(11557),
    [anon_sym_COMMA] = ACTIONS(11559),
    [anon_sym_EQ] = ACTIONS(11557),
    [anon_sym_begin] = ACTIONS(11557),
    [anon_sym_module] = ACTIONS(11557),
    [anon_sym_baremodule] = ACTIONS(11557),
    [anon_sym_end] = ACTIONS(11557),
    [anon_sym_abstract] = ACTIONS(11557),
    [anon_sym_primitive] = ACTIONS(11557),
    [anon_sym_mutable] = ACTIONS(11557),
    [anon_sym_struct] = ACTIONS(11557),
    [anon_sym_function] = ACTIONS(11557),
    [anon_sym_macro] = ACTIONS(11557),
    [anon_sym_quote] = ACTIONS(11557),
    [anon_sym_let] = ACTIONS(11557),
    [anon_sym_if] = ACTIONS(11557),
    [anon_sym_try] = ACTIONS(11557),
    [anon_sym_for] = ACTIONS(11557),
    [anon_sym_while] = ACTIONS(11557),
    [sym_break_statement] = ACTIONS(11557),
    [sym_continue_statement] = ACTIONS(11557),
    [anon_sym_return] = ACTIONS(11557),
    [anon_sym_const] = ACTIONS(11557),
    [anon_sym_global] = ACTIONS(11557),
    [anon_sym_local] = ACTIONS(11557),
    [anon_sym_LPAREN] = ACTIONS(11559),
    [anon_sym_COLON] = ACTIONS(11557),
    [anon_sym_export] = ACTIONS(11557),
    [anon_sym_public] = ACTIONS(11557),
    [anon_sym_import] = ACTIONS(11557),
    [anon_sym_using] = ACTIONS(11557),
    [anon_sym_LBRACK] = ACTIONS(11559),
    [anon_sym_in] = ACTIONS(11557),
    [anon_sym_LBRACE] = ACTIONS(11559),
    [anon_sym_DOLLAR] = ACTIONS(11559),
    [anon_sym_COLON2] = ACTIONS(11557),
    [anon_sym_COLON_COLON] = ACTIONS(11559),
    [anon_sym_isa] = ACTIONS(11557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11559),
    [anon_sym_QMARK] = ACTIONS(11559),
    [anon_sym_where] = ACTIONS(11557),
    [anon_sym_AT] = ACTIONS(11559),
    [anon_sym_true] = ACTIONS(11557),
    [anon_sym_false] = ACTIONS(11557),
    [aux_sym_integer_literal_token1] = ACTIONS(11559),
    [aux_sym_integer_literal_token2] = ACTIONS(11559),
    [aux_sym_integer_literal_token3] = ACTIONS(11557),
    [aux_sym_integer_literal_token4] = ACTIONS(11557),
    [aux_sym_float_literal_token1] = ACTIONS(11559),
    [aux_sym_float_literal_token3] = ACTIONS(11559),
    [aux_sym_float_literal_token4] = ACTIONS(11559),
    [sym_character_literal] = ACTIONS(11559),
    [anon_sym_DQUOTE] = ACTIONS(11557),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11559),
    [anon_sym_BQUOTE] = ACTIONS(11557),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11559),
    [sym__pair_operator] = ACTIONS(11559),
    [sym__arrow_operator] = ACTIONS(11557),
    [sym__lazy_or_operator] = ACTIONS(11559),
    [sym__lazy_and_operator] = ACTIONS(11559),
    [sym__comparison_operator] = ACTIONS(11557),
    [sym__pipe_right_operator] = ACTIONS(11559),
    [sym__pipe_left_operator] = ACTIONS(11559),
    [sym__ellipsis_operator] = ACTIONS(11557),
    [sym__plus_operator] = ACTIONS(11557),
    [sym__times_operator] = ACTIONS(11557),
    [sym__rational_operator] = ACTIONS(11559),
    [sym__bitshift_operator] = ACTIONS(11559),
    [sym__power_operator] = ACTIONS(11559),
    [sym__tilde_operator] = ACTIONS(11559),
    [sym__type_order_operator] = ACTIONS(11559),
    [sym__unary_operator] = ACTIONS(11557),
    [sym__unary_plus_operator] = ACTIONS(11557),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9862] = {
    [sym_block_comment] = STATE(9862),
    [sym_line_comment] = STATE(9862),
    [sym__word_identifier] = ACTIONS(11561),
    [anon_sym_COMMA] = ACTIONS(11563),
    [anon_sym_EQ] = ACTIONS(11561),
    [anon_sym_begin] = ACTIONS(11561),
    [anon_sym_module] = ACTIONS(11561),
    [anon_sym_baremodule] = ACTIONS(11561),
    [anon_sym_end] = ACTIONS(11561),
    [anon_sym_abstract] = ACTIONS(11561),
    [anon_sym_primitive] = ACTIONS(11561),
    [anon_sym_mutable] = ACTIONS(11561),
    [anon_sym_struct] = ACTIONS(11561),
    [anon_sym_function] = ACTIONS(11561),
    [anon_sym_macro] = ACTIONS(11561),
    [anon_sym_quote] = ACTIONS(11561),
    [anon_sym_let] = ACTIONS(11561),
    [anon_sym_if] = ACTIONS(11561),
    [anon_sym_try] = ACTIONS(11561),
    [anon_sym_for] = ACTIONS(11561),
    [anon_sym_while] = ACTIONS(11561),
    [sym_break_statement] = ACTIONS(11561),
    [sym_continue_statement] = ACTIONS(11561),
    [anon_sym_return] = ACTIONS(11561),
    [anon_sym_const] = ACTIONS(11561),
    [anon_sym_global] = ACTIONS(11561),
    [anon_sym_local] = ACTIONS(11561),
    [anon_sym_LPAREN] = ACTIONS(11563),
    [anon_sym_COLON] = ACTIONS(11561),
    [anon_sym_export] = ACTIONS(11561),
    [anon_sym_public] = ACTIONS(11561),
    [anon_sym_import] = ACTIONS(11561),
    [anon_sym_using] = ACTIONS(11561),
    [anon_sym_LBRACK] = ACTIONS(11563),
    [anon_sym_in] = ACTIONS(11561),
    [anon_sym_LBRACE] = ACTIONS(11563),
    [anon_sym_DOLLAR] = ACTIONS(11563),
    [anon_sym_COLON2] = ACTIONS(11561),
    [anon_sym_COLON_COLON] = ACTIONS(11563),
    [anon_sym_isa] = ACTIONS(11561),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11563),
    [anon_sym_QMARK] = ACTIONS(11563),
    [anon_sym_where] = ACTIONS(11561),
    [anon_sym_AT] = ACTIONS(11563),
    [anon_sym_true] = ACTIONS(11561),
    [anon_sym_false] = ACTIONS(11561),
    [aux_sym_integer_literal_token1] = ACTIONS(11563),
    [aux_sym_integer_literal_token2] = ACTIONS(11563),
    [aux_sym_integer_literal_token3] = ACTIONS(11561),
    [aux_sym_integer_literal_token4] = ACTIONS(11561),
    [aux_sym_float_literal_token1] = ACTIONS(11563),
    [aux_sym_float_literal_token3] = ACTIONS(11563),
    [aux_sym_float_literal_token4] = ACTIONS(11563),
    [sym_character_literal] = ACTIONS(11563),
    [anon_sym_DQUOTE] = ACTIONS(11561),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11563),
    [anon_sym_BQUOTE] = ACTIONS(11561),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11563),
    [sym__pair_operator] = ACTIONS(11563),
    [sym__arrow_operator] = ACTIONS(11561),
    [sym__lazy_or_operator] = ACTIONS(11563),
    [sym__lazy_and_operator] = ACTIONS(11563),
    [sym__comparison_operator] = ACTIONS(11561),
    [sym__pipe_right_operator] = ACTIONS(11563),
    [sym__pipe_left_operator] = ACTIONS(11563),
    [sym__ellipsis_operator] = ACTIONS(11561),
    [sym__plus_operator] = ACTIONS(11561),
    [sym__times_operator] = ACTIONS(11561),
    [sym__rational_operator] = ACTIONS(11563),
    [sym__bitshift_operator] = ACTIONS(11563),
    [sym__power_operator] = ACTIONS(11563),
    [sym__tilde_operator] = ACTIONS(11563),
    [sym__type_order_operator] = ACTIONS(11563),
    [sym__unary_operator] = ACTIONS(11561),
    [sym__unary_plus_operator] = ACTIONS(11561),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9863] = {
    [sym_block_comment] = STATE(9863),
    [sym_line_comment] = STATE(9863),
    [sym__word_identifier] = ACTIONS(11216),
    [anon_sym_COMMA] = ACTIONS(11220),
    [anon_sym_EQ] = ACTIONS(11216),
    [anon_sym_begin] = ACTIONS(11216),
    [anon_sym_module] = ACTIONS(11216),
    [anon_sym_baremodule] = ACTIONS(11216),
    [anon_sym_end] = ACTIONS(11216),
    [anon_sym_abstract] = ACTIONS(11216),
    [anon_sym_primitive] = ACTIONS(11216),
    [anon_sym_mutable] = ACTIONS(11216),
    [anon_sym_struct] = ACTIONS(11216),
    [anon_sym_function] = ACTIONS(11216),
    [anon_sym_macro] = ACTIONS(11216),
    [anon_sym_quote] = ACTIONS(11216),
    [anon_sym_let] = ACTIONS(11216),
    [anon_sym_if] = ACTIONS(11216),
    [anon_sym_try] = ACTIONS(11216),
    [anon_sym_for] = ACTIONS(11216),
    [anon_sym_while] = ACTIONS(11216),
    [sym_break_statement] = ACTIONS(11216),
    [sym_continue_statement] = ACTIONS(11216),
    [anon_sym_return] = ACTIONS(11216),
    [anon_sym_const] = ACTIONS(11216),
    [anon_sym_global] = ACTIONS(11216),
    [anon_sym_local] = ACTIONS(11216),
    [anon_sym_LPAREN] = ACTIONS(11220),
    [anon_sym_COLON] = ACTIONS(11216),
    [anon_sym_export] = ACTIONS(11216),
    [anon_sym_public] = ACTIONS(11216),
    [anon_sym_import] = ACTIONS(11216),
    [anon_sym_using] = ACTIONS(11216),
    [anon_sym_LBRACK] = ACTIONS(11220),
    [anon_sym_in] = ACTIONS(11216),
    [anon_sym_LBRACE] = ACTIONS(11220),
    [anon_sym_DOLLAR] = ACTIONS(11220),
    [anon_sym_COLON2] = ACTIONS(11216),
    [anon_sym_COLON_COLON] = ACTIONS(11220),
    [anon_sym_isa] = ACTIONS(11216),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11220),
    [anon_sym_QMARK] = ACTIONS(11220),
    [anon_sym_where] = ACTIONS(11216),
    [anon_sym_AT] = ACTIONS(11220),
    [anon_sym_true] = ACTIONS(11216),
    [anon_sym_false] = ACTIONS(11216),
    [aux_sym_integer_literal_token1] = ACTIONS(11220),
    [aux_sym_integer_literal_token2] = ACTIONS(11220),
    [aux_sym_integer_literal_token3] = ACTIONS(11216),
    [aux_sym_integer_literal_token4] = ACTIONS(11216),
    [aux_sym_float_literal_token1] = ACTIONS(11220),
    [aux_sym_float_literal_token3] = ACTIONS(11220),
    [aux_sym_float_literal_token4] = ACTIONS(11220),
    [sym_character_literal] = ACTIONS(11220),
    [anon_sym_DQUOTE] = ACTIONS(11216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11220),
    [anon_sym_BQUOTE] = ACTIONS(11216),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11220),
    [sym__pair_operator] = ACTIONS(11220),
    [sym__arrow_operator] = ACTIONS(11216),
    [sym__lazy_or_operator] = ACTIONS(11220),
    [sym__lazy_and_operator] = ACTIONS(11220),
    [sym__comparison_operator] = ACTIONS(11216),
    [sym__pipe_right_operator] = ACTIONS(11220),
    [sym__pipe_left_operator] = ACTIONS(11220),
    [sym__ellipsis_operator] = ACTIONS(11216),
    [sym__plus_operator] = ACTIONS(11216),
    [sym__times_operator] = ACTIONS(11216),
    [sym__rational_operator] = ACTIONS(11220),
    [sym__bitshift_operator] = ACTIONS(11220),
    [sym__power_operator] = ACTIONS(11220),
    [sym__tilde_operator] = ACTIONS(11220),
    [sym__type_order_operator] = ACTIONS(11220),
    [sym__unary_operator] = ACTIONS(11216),
    [sym__unary_plus_operator] = ACTIONS(11216),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9864] = {
    [sym_block_comment] = STATE(9864),
    [sym_line_comment] = STATE(9864),
    [sym__word_identifier] = ACTIONS(10451),
    [anon_sym_begin] = ACTIONS(10451),
    [anon_sym_module] = ACTIONS(10451),
    [anon_sym_baremodule] = ACTIONS(10451),
    [anon_sym_end] = ACTIONS(10451),
    [anon_sym_abstract] = ACTIONS(10451),
    [anon_sym_primitive] = ACTIONS(10451),
    [anon_sym_mutable] = ACTIONS(10451),
    [anon_sym_struct] = ACTIONS(10451),
    [anon_sym_function] = ACTIONS(10451),
    [anon_sym_macro] = ACTIONS(10451),
    [anon_sym_quote] = ACTIONS(10451),
    [anon_sym_let] = ACTIONS(10451),
    [anon_sym_if] = ACTIONS(10451),
    [anon_sym_try] = ACTIONS(10451),
    [anon_sym_for] = ACTIONS(10451),
    [anon_sym_while] = ACTIONS(10451),
    [sym_break_statement] = ACTIONS(10451),
    [sym_continue_statement] = ACTIONS(10451),
    [anon_sym_return] = ACTIONS(10451),
    [anon_sym_const] = ACTIONS(10451),
    [anon_sym_global] = ACTIONS(10451),
    [anon_sym_local] = ACTIONS(10451),
    [anon_sym_LPAREN] = ACTIONS(10451),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_export] = ACTIONS(10451),
    [anon_sym_public] = ACTIONS(10451),
    [anon_sym_import] = ACTIONS(10451),
    [anon_sym_using] = ACTIONS(10451),
    [anon_sym_LBRACK] = ACTIONS(10451),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_SEMI] = ACTIONS(10451),
    [anon_sym_LBRACE] = ACTIONS(10451),
    [anon_sym_DOLLAR] = ACTIONS(10451),
    [anon_sym_COLON2] = ACTIONS(10451),
    [anon_sym_COLON_COLON] = ACTIONS(9442),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9442),
    [anon_sym_QMARK] = ACTIONS(9442),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(10451),
    [anon_sym_true] = ACTIONS(10451),
    [anon_sym_false] = ACTIONS(10451),
    [aux_sym_integer_literal_token1] = ACTIONS(10451),
    [aux_sym_integer_literal_token2] = ACTIONS(10451),
    [aux_sym_integer_literal_token3] = ACTIONS(10451),
    [aux_sym_integer_literal_token4] = ACTIONS(10451),
    [aux_sym_float_literal_token1] = ACTIONS(10451),
    [aux_sym_float_literal_token3] = ACTIONS(10451),
    [aux_sym_float_literal_token4] = ACTIONS(10451),
    [sym_character_literal] = ACTIONS(10451),
    [anon_sym_DQUOTE] = ACTIONS(10451),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10451),
    [anon_sym_BQUOTE] = ACTIONS(10451),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10451),
    [sym__pair_operator] = ACTIONS(9442),
    [sym__arrow_operator] = ACTIONS(9442),
    [sym__lazy_or_operator] = ACTIONS(9442),
    [sym__lazy_and_operator] = ACTIONS(9442),
    [sym__comparison_operator] = ACTIONS(9442),
    [sym__pipe_right_operator] = ACTIONS(9442),
    [sym__pipe_left_operator] = ACTIONS(9442),
    [sym__ellipsis_operator] = ACTIONS(9442),
    [sym__plus_operator] = ACTIONS(9442),
    [sym__times_operator] = ACTIONS(9442),
    [sym__rational_operator] = ACTIONS(9442),
    [sym__bitshift_operator] = ACTIONS(9442),
    [sym__power_operator] = ACTIONS(9442),
    [sym__tilde_operator] = ACTIONS(10451),
    [sym__type_order_operator] = ACTIONS(9442),
    [sym__unary_operator] = ACTIONS(10451),
    [sym__unary_plus_operator] = ACTIONS(9442),
    [aux_sym__terminator_token1] = ACTIONS(10455),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9865] = {
    [sym_block_comment] = STATE(9865),
    [sym_line_comment] = STATE(9865),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11788),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11788),
    [anon_sym_RBRACK] = ACTIONS(11788),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_SEMI] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11788),
    [anon_sym_DOLLAR] = ACTIONS(11788),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11788),
    [anon_sym_QMARK] = ACTIONS(11788),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11788),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11788),
    [aux_sym_integer_literal_token2] = ACTIONS(11788),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11788),
    [aux_sym_float_literal_token3] = ACTIONS(11788),
    [aux_sym_float_literal_token4] = ACTIONS(11788),
    [sym_character_literal] = ACTIONS(11788),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11788),
    [sym__pair_operator] = ACTIONS(11788),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11788),
    [sym__lazy_and_operator] = ACTIONS(11788),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11788),
    [sym__pipe_left_operator] = ACTIONS(11788),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(13078),
    [sym__times_operator] = ACTIONS(13080),
    [sym__rational_operator] = ACTIONS(13082),
    [sym__bitshift_operator] = ACTIONS(13084),
    [sym__power_operator] = ACTIONS(13086),
    [sym__tilde_operator] = ACTIONS(11788),
    [sym__type_order_operator] = ACTIONS(11788),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(13078),
    [aux_sym__terminator_token1] = ACTIONS(11790),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9866] = {
    [sym_block_comment] = STATE(9866),
    [sym_line_comment] = STATE(9866),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(13072),
    [sym__pipe_left_operator] = ACTIONS(13074),
    [sym__ellipsis_operator] = ACTIONS(13076),
    [sym__plus_operator] = ACTIONS(13078),
    [sym__times_operator] = ACTIONS(13080),
    [sym__rational_operator] = ACTIONS(13082),
    [sym__bitshift_operator] = ACTIONS(13084),
    [sym__power_operator] = ACTIONS(13086),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13078),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9867] = {
    [sym_block_comment] = STATE(9867),
    [sym_line_comment] = STATE(9867),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_RBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(13060),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(13060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(13060),
    [sym__pipe_right_operator] = ACTIONS(13072),
    [sym__pipe_left_operator] = ACTIONS(13074),
    [sym__ellipsis_operator] = ACTIONS(13076),
    [sym__plus_operator] = ACTIONS(13078),
    [sym__times_operator] = ACTIONS(13080),
    [sym__rational_operator] = ACTIONS(13082),
    [sym__bitshift_operator] = ACTIONS(13084),
    [sym__power_operator] = ACTIONS(13086),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(13060),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(13078),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9868] = {
    [sym_block_comment] = STATE(9868),
    [sym_line_comment] = STATE(9868),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(13060),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(13060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(13062),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(13066),
    [sym__lazy_or_operator] = ACTIONS(13068),
    [sym__lazy_and_operator] = ACTIONS(13070),
    [sym__comparison_operator] = ACTIONS(13060),
    [sym__pipe_right_operator] = ACTIONS(13072),
    [sym__pipe_left_operator] = ACTIONS(13074),
    [sym__ellipsis_operator] = ACTIONS(13076),
    [sym__plus_operator] = ACTIONS(13078),
    [sym__times_operator] = ACTIONS(13080),
    [sym__rational_operator] = ACTIONS(13082),
    [sym__bitshift_operator] = ACTIONS(13084),
    [sym__power_operator] = ACTIONS(13086),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(13060),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13078),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9869] = {
    [sym_block_comment] = STATE(9869),
    [sym_line_comment] = STATE(9869),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(13060),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(13060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(13062),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(13070),
    [sym__comparison_operator] = ACTIONS(13060),
    [sym__pipe_right_operator] = ACTIONS(13072),
    [sym__pipe_left_operator] = ACTIONS(13074),
    [sym__ellipsis_operator] = ACTIONS(13076),
    [sym__plus_operator] = ACTIONS(13078),
    [sym__times_operator] = ACTIONS(13080),
    [sym__rational_operator] = ACTIONS(13082),
    [sym__bitshift_operator] = ACTIONS(13084),
    [sym__power_operator] = ACTIONS(13086),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(13060),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13078),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9870] = {
    [sym_block_comment] = STATE(9870),
    [sym_line_comment] = STATE(9870),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(13060),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(13060),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(13062),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(13060),
    [sym__pipe_right_operator] = ACTIONS(13072),
    [sym__pipe_left_operator] = ACTIONS(13074),
    [sym__ellipsis_operator] = ACTIONS(13076),
    [sym__plus_operator] = ACTIONS(13078),
    [sym__times_operator] = ACTIONS(13080),
    [sym__rational_operator] = ACTIONS(13082),
    [sym__bitshift_operator] = ACTIONS(13084),
    [sym__power_operator] = ACTIONS(13086),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(13060),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13078),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9871] = {
    [sym_block_comment] = STATE(9871),
    [sym_line_comment] = STATE(9871),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(13076),
    [sym__plus_operator] = ACTIONS(13078),
    [sym__times_operator] = ACTIONS(13080),
    [sym__rational_operator] = ACTIONS(13082),
    [sym__bitshift_operator] = ACTIONS(13084),
    [sym__power_operator] = ACTIONS(13086),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13078),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9872] = {
    [sym_block_comment] = STATE(9872),
    [sym_line_comment] = STATE(9872),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(13058),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11448),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(13072),
    [sym__pipe_left_operator] = ACTIONS(13074),
    [sym__ellipsis_operator] = ACTIONS(13076),
    [sym__plus_operator] = ACTIONS(13078),
    [sym__times_operator] = ACTIONS(13080),
    [sym__rational_operator] = ACTIONS(13082),
    [sym__bitshift_operator] = ACTIONS(13084),
    [sym__power_operator] = ACTIONS(13086),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13078),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9873] = {
    [sym_block_comment] = STATE(9873),
    [sym_line_comment] = STATE(9873),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(13078),
    [sym__times_operator] = ACTIONS(13080),
    [sym__rational_operator] = ACTIONS(13082),
    [sym__bitshift_operator] = ACTIONS(13084),
    [sym__power_operator] = ACTIONS(13086),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13078),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9874] = {
    [sym_block_comment] = STATE(9874),
    [sym_line_comment] = STATE(9874),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(13080),
    [sym__rational_operator] = ACTIONS(13082),
    [sym__bitshift_operator] = ACTIONS(13084),
    [sym__power_operator] = ACTIONS(13086),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9875] = {
    [sym_block_comment] = STATE(9875),
    [sym_line_comment] = STATE(9875),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(13082),
    [sym__bitshift_operator] = ACTIONS(13084),
    [sym__power_operator] = ACTIONS(13086),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9876] = {
    [sym_block_comment] = STATE(9876),
    [sym_line_comment] = STATE(9876),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(13084),
    [sym__power_operator] = ACTIONS(13086),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9877] = {
    [sym_block_comment] = STATE(9877),
    [sym_line_comment] = STATE(9877),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11378),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11378),
    [anon_sym_RBRACK] = ACTIONS(11378),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_SEMI] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11378),
    [anon_sym_DOLLAR] = ACTIONS(11378),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11378),
    [anon_sym_QMARK] = ACTIONS(11378),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11378),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11378),
    [aux_sym_integer_literal_token2] = ACTIONS(11378),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11378),
    [aux_sym_float_literal_token3] = ACTIONS(11378),
    [aux_sym_float_literal_token4] = ACTIONS(11378),
    [sym_character_literal] = ACTIONS(11378),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11378),
    [sym__pair_operator] = ACTIONS(11378),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11378),
    [sym__lazy_and_operator] = ACTIONS(11378),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11378),
    [sym__pipe_left_operator] = ACTIONS(11378),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11378),
    [sym__bitshift_operator] = ACTIONS(11378),
    [sym__power_operator] = ACTIONS(13086),
    [sym__tilde_operator] = ACTIONS(11378),
    [sym__type_order_operator] = ACTIONS(11378),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym__terminator_token1] = ACTIONS(11380),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9878] = {
    [sym_block_comment] = STATE(9878),
    [sym_line_comment] = STATE(9878),
    [sym__word_identifier] = ACTIONS(11565),
    [anon_sym_COMMA] = ACTIONS(11567),
    [anon_sym_EQ] = ACTIONS(11565),
    [anon_sym_begin] = ACTIONS(11565),
    [anon_sym_module] = ACTIONS(11565),
    [anon_sym_baremodule] = ACTIONS(11565),
    [anon_sym_end] = ACTIONS(11565),
    [anon_sym_abstract] = ACTIONS(11565),
    [anon_sym_primitive] = ACTIONS(11565),
    [anon_sym_mutable] = ACTIONS(11565),
    [anon_sym_struct] = ACTIONS(11565),
    [anon_sym_function] = ACTIONS(11565),
    [anon_sym_macro] = ACTIONS(11565),
    [anon_sym_quote] = ACTIONS(11565),
    [anon_sym_let] = ACTIONS(11565),
    [anon_sym_if] = ACTIONS(11565),
    [anon_sym_try] = ACTIONS(11565),
    [anon_sym_for] = ACTIONS(11565),
    [anon_sym_while] = ACTIONS(11565),
    [sym_break_statement] = ACTIONS(11565),
    [sym_continue_statement] = ACTIONS(11565),
    [anon_sym_return] = ACTIONS(11565),
    [anon_sym_const] = ACTIONS(11565),
    [anon_sym_global] = ACTIONS(11565),
    [anon_sym_local] = ACTIONS(11565),
    [anon_sym_LPAREN] = ACTIONS(11567),
    [anon_sym_COLON] = ACTIONS(11565),
    [anon_sym_export] = ACTIONS(11565),
    [anon_sym_public] = ACTIONS(11565),
    [anon_sym_import] = ACTIONS(11565),
    [anon_sym_using] = ACTIONS(11565),
    [anon_sym_LBRACK] = ACTIONS(11567),
    [anon_sym_in] = ACTIONS(11565),
    [anon_sym_LBRACE] = ACTIONS(11567),
    [anon_sym_DOLLAR] = ACTIONS(11567),
    [anon_sym_COLON2] = ACTIONS(11565),
    [anon_sym_COLON_COLON] = ACTIONS(11567),
    [anon_sym_isa] = ACTIONS(11565),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11567),
    [anon_sym_QMARK] = ACTIONS(11567),
    [anon_sym_where] = ACTIONS(11565),
    [anon_sym_AT] = ACTIONS(11567),
    [anon_sym_true] = ACTIONS(11565),
    [anon_sym_false] = ACTIONS(11565),
    [aux_sym_integer_literal_token1] = ACTIONS(11567),
    [aux_sym_integer_literal_token2] = ACTIONS(11567),
    [aux_sym_integer_literal_token3] = ACTIONS(11565),
    [aux_sym_integer_literal_token4] = ACTIONS(11565),
    [aux_sym_float_literal_token1] = ACTIONS(11567),
    [aux_sym_float_literal_token3] = ACTIONS(11567),
    [aux_sym_float_literal_token4] = ACTIONS(11567),
    [sym_character_literal] = ACTIONS(11567),
    [anon_sym_DQUOTE] = ACTIONS(11565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11567),
    [anon_sym_BQUOTE] = ACTIONS(11565),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11567),
    [sym__pair_operator] = ACTIONS(11567),
    [sym__arrow_operator] = ACTIONS(11565),
    [sym__lazy_or_operator] = ACTIONS(11567),
    [sym__lazy_and_operator] = ACTIONS(11567),
    [sym__comparison_operator] = ACTIONS(11565),
    [sym__pipe_right_operator] = ACTIONS(11567),
    [sym__pipe_left_operator] = ACTIONS(11567),
    [sym__ellipsis_operator] = ACTIONS(11565),
    [sym__plus_operator] = ACTIONS(11565),
    [sym__times_operator] = ACTIONS(11565),
    [sym__rational_operator] = ACTIONS(11567),
    [sym__bitshift_operator] = ACTIONS(11567),
    [sym__power_operator] = ACTIONS(11567),
    [sym__tilde_operator] = ACTIONS(11567),
    [sym__type_order_operator] = ACTIONS(11567),
    [sym__unary_operator] = ACTIONS(11565),
    [sym__unary_plus_operator] = ACTIONS(11565),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9879] = {
    [sym_block_comment] = STATE(9879),
    [sym_line_comment] = STATE(9879),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_end] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11876),
    [anon_sym_COLON] = ACTIONS(3612),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11876),
    [anon_sym_in] = ACTIONS(3614),
    [anon_sym_SEMI] = ACTIONS(11876),
    [anon_sym_LBRACE] = ACTIONS(11876),
    [anon_sym_DOLLAR] = ACTIONS(11876),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(12588),
    [anon_sym_isa] = ACTIONS(3614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3620),
    [anon_sym_QMARK] = ACTIONS(11876),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11876),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11876),
    [aux_sym_integer_literal_token2] = ACTIONS(11876),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11876),
    [aux_sym_float_literal_token3] = ACTIONS(11876),
    [aux_sym_float_literal_token4] = ACTIONS(11876),
    [sym_character_literal] = ACTIONS(11876),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11876),
    [sym__pair_operator] = ACTIONS(11876),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11876),
    [sym__lazy_and_operator] = ACTIONS(11876),
    [sym__comparison_operator] = ACTIONS(3614),
    [sym__pipe_right_operator] = ACTIONS(13030),
    [sym__pipe_left_operator] = ACTIONS(13032),
    [sym__ellipsis_operator] = ACTIONS(13034),
    [sym__plus_operator] = ACTIONS(13036),
    [sym__times_operator] = ACTIONS(13038),
    [sym__rational_operator] = ACTIONS(13040),
    [sym__bitshift_operator] = ACTIONS(13042),
    [sym__power_operator] = ACTIONS(13044),
    [sym__tilde_operator] = ACTIONS(11876),
    [sym__type_order_operator] = ACTIONS(3614),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(13036),
    [aux_sym__terminator_token1] = ACTIONS(11878),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9880] = {
    [sym_block_comment] = STATE(9880),
    [sym_line_comment] = STATE(9880),
    [sym__word_identifier] = ACTIONS(11569),
    [anon_sym_COMMA] = ACTIONS(11571),
    [anon_sym_EQ] = ACTIONS(11569),
    [anon_sym_begin] = ACTIONS(11569),
    [anon_sym_module] = ACTIONS(11569),
    [anon_sym_baremodule] = ACTIONS(11569),
    [anon_sym_end] = ACTIONS(11569),
    [anon_sym_abstract] = ACTIONS(11569),
    [anon_sym_primitive] = ACTIONS(11569),
    [anon_sym_mutable] = ACTIONS(11569),
    [anon_sym_struct] = ACTIONS(11569),
    [anon_sym_function] = ACTIONS(11569),
    [anon_sym_macro] = ACTIONS(11569),
    [anon_sym_quote] = ACTIONS(11569),
    [anon_sym_let] = ACTIONS(11569),
    [anon_sym_if] = ACTIONS(11569),
    [anon_sym_try] = ACTIONS(11569),
    [anon_sym_for] = ACTIONS(11569),
    [anon_sym_while] = ACTIONS(11569),
    [sym_break_statement] = ACTIONS(11569),
    [sym_continue_statement] = ACTIONS(11569),
    [anon_sym_return] = ACTIONS(11569),
    [anon_sym_const] = ACTIONS(11569),
    [anon_sym_global] = ACTIONS(11569),
    [anon_sym_local] = ACTIONS(11569),
    [anon_sym_LPAREN] = ACTIONS(11571),
    [anon_sym_COLON] = ACTIONS(11569),
    [anon_sym_export] = ACTIONS(11569),
    [anon_sym_public] = ACTIONS(11569),
    [anon_sym_import] = ACTIONS(11569),
    [anon_sym_using] = ACTIONS(11569),
    [anon_sym_LBRACK] = ACTIONS(11571),
    [anon_sym_in] = ACTIONS(11569),
    [anon_sym_LBRACE] = ACTIONS(11571),
    [anon_sym_DOLLAR] = ACTIONS(11571),
    [anon_sym_COLON2] = ACTIONS(11569),
    [anon_sym_COLON_COLON] = ACTIONS(11571),
    [anon_sym_isa] = ACTIONS(11569),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11571),
    [anon_sym_QMARK] = ACTIONS(11571),
    [anon_sym_where] = ACTIONS(11569),
    [anon_sym_AT] = ACTIONS(11571),
    [anon_sym_true] = ACTIONS(11569),
    [anon_sym_false] = ACTIONS(11569),
    [aux_sym_integer_literal_token1] = ACTIONS(11571),
    [aux_sym_integer_literal_token2] = ACTIONS(11571),
    [aux_sym_integer_literal_token3] = ACTIONS(11569),
    [aux_sym_integer_literal_token4] = ACTIONS(11569),
    [aux_sym_float_literal_token1] = ACTIONS(11571),
    [aux_sym_float_literal_token3] = ACTIONS(11571),
    [aux_sym_float_literal_token4] = ACTIONS(11571),
    [sym_character_literal] = ACTIONS(11571),
    [anon_sym_DQUOTE] = ACTIONS(11569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11571),
    [anon_sym_BQUOTE] = ACTIONS(11569),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11571),
    [sym__pair_operator] = ACTIONS(11571),
    [sym__arrow_operator] = ACTIONS(11569),
    [sym__lazy_or_operator] = ACTIONS(11571),
    [sym__lazy_and_operator] = ACTIONS(11571),
    [sym__comparison_operator] = ACTIONS(11569),
    [sym__pipe_right_operator] = ACTIONS(11571),
    [sym__pipe_left_operator] = ACTIONS(11571),
    [sym__ellipsis_operator] = ACTIONS(11569),
    [sym__plus_operator] = ACTIONS(11569),
    [sym__times_operator] = ACTIONS(11569),
    [sym__rational_operator] = ACTIONS(11571),
    [sym__bitshift_operator] = ACTIONS(11571),
    [sym__power_operator] = ACTIONS(11571),
    [sym__tilde_operator] = ACTIONS(11571),
    [sym__type_order_operator] = ACTIONS(11571),
    [sym__unary_operator] = ACTIONS(11569),
    [sym__unary_plus_operator] = ACTIONS(11569),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9881] = {
    [sym_block_comment] = STATE(9881),
    [sym_line_comment] = STATE(9881),
    [sym__word_identifier] = ACTIONS(11573),
    [anon_sym_COMMA] = ACTIONS(11575),
    [anon_sym_EQ] = ACTIONS(11573),
    [anon_sym_begin] = ACTIONS(11573),
    [anon_sym_module] = ACTIONS(11573),
    [anon_sym_baremodule] = ACTIONS(11573),
    [anon_sym_end] = ACTIONS(11573),
    [anon_sym_abstract] = ACTIONS(11573),
    [anon_sym_primitive] = ACTIONS(11573),
    [anon_sym_mutable] = ACTIONS(11573),
    [anon_sym_struct] = ACTIONS(11573),
    [anon_sym_function] = ACTIONS(11573),
    [anon_sym_macro] = ACTIONS(11573),
    [anon_sym_quote] = ACTIONS(11573),
    [anon_sym_let] = ACTIONS(11573),
    [anon_sym_if] = ACTIONS(11573),
    [anon_sym_try] = ACTIONS(11573),
    [anon_sym_for] = ACTIONS(11573),
    [anon_sym_while] = ACTIONS(11573),
    [sym_break_statement] = ACTIONS(11573),
    [sym_continue_statement] = ACTIONS(11573),
    [anon_sym_return] = ACTIONS(11573),
    [anon_sym_const] = ACTIONS(11573),
    [anon_sym_global] = ACTIONS(11573),
    [anon_sym_local] = ACTIONS(11573),
    [anon_sym_LPAREN] = ACTIONS(11575),
    [anon_sym_COLON] = ACTIONS(11573),
    [anon_sym_export] = ACTIONS(11573),
    [anon_sym_public] = ACTIONS(11573),
    [anon_sym_import] = ACTIONS(11573),
    [anon_sym_using] = ACTIONS(11573),
    [anon_sym_LBRACK] = ACTIONS(11575),
    [anon_sym_in] = ACTIONS(11573),
    [anon_sym_LBRACE] = ACTIONS(11575),
    [anon_sym_DOLLAR] = ACTIONS(11575),
    [anon_sym_COLON2] = ACTIONS(11573),
    [anon_sym_COLON_COLON] = ACTIONS(11575),
    [anon_sym_isa] = ACTIONS(11573),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11575),
    [anon_sym_QMARK] = ACTIONS(11575),
    [anon_sym_where] = ACTIONS(11573),
    [anon_sym_AT] = ACTIONS(11575),
    [anon_sym_true] = ACTIONS(11573),
    [anon_sym_false] = ACTIONS(11573),
    [aux_sym_integer_literal_token1] = ACTIONS(11575),
    [aux_sym_integer_literal_token2] = ACTIONS(11575),
    [aux_sym_integer_literal_token3] = ACTIONS(11573),
    [aux_sym_integer_literal_token4] = ACTIONS(11573),
    [aux_sym_float_literal_token1] = ACTIONS(11575),
    [aux_sym_float_literal_token3] = ACTIONS(11575),
    [aux_sym_float_literal_token4] = ACTIONS(11575),
    [sym_character_literal] = ACTIONS(11575),
    [anon_sym_DQUOTE] = ACTIONS(11573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11575),
    [anon_sym_BQUOTE] = ACTIONS(11573),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11575),
    [sym__pair_operator] = ACTIONS(11575),
    [sym__arrow_operator] = ACTIONS(11573),
    [sym__lazy_or_operator] = ACTIONS(11575),
    [sym__lazy_and_operator] = ACTIONS(11575),
    [sym__comparison_operator] = ACTIONS(11573),
    [sym__pipe_right_operator] = ACTIONS(11575),
    [sym__pipe_left_operator] = ACTIONS(11575),
    [sym__ellipsis_operator] = ACTIONS(11573),
    [sym__plus_operator] = ACTIONS(11573),
    [sym__times_operator] = ACTIONS(11573),
    [sym__rational_operator] = ACTIONS(11575),
    [sym__bitshift_operator] = ACTIONS(11575),
    [sym__power_operator] = ACTIONS(11575),
    [sym__tilde_operator] = ACTIONS(11575),
    [sym__type_order_operator] = ACTIONS(11575),
    [sym__unary_operator] = ACTIONS(11573),
    [sym__unary_plus_operator] = ACTIONS(11573),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9882] = {
    [sym_block_comment] = STATE(9882),
    [sym_line_comment] = STATE(9882),
    [sym__word_identifier] = ACTIONS(11577),
    [anon_sym_COMMA] = ACTIONS(11579),
    [anon_sym_EQ] = ACTIONS(11577),
    [anon_sym_begin] = ACTIONS(11577),
    [anon_sym_module] = ACTIONS(11577),
    [anon_sym_baremodule] = ACTIONS(11577),
    [anon_sym_end] = ACTIONS(11577),
    [anon_sym_abstract] = ACTIONS(11577),
    [anon_sym_primitive] = ACTIONS(11577),
    [anon_sym_mutable] = ACTIONS(11577),
    [anon_sym_struct] = ACTIONS(11577),
    [anon_sym_function] = ACTIONS(11577),
    [anon_sym_macro] = ACTIONS(11577),
    [anon_sym_quote] = ACTIONS(11577),
    [anon_sym_let] = ACTIONS(11577),
    [anon_sym_if] = ACTIONS(11577),
    [anon_sym_try] = ACTIONS(11577),
    [anon_sym_for] = ACTIONS(11577),
    [anon_sym_while] = ACTIONS(11577),
    [sym_break_statement] = ACTIONS(11577),
    [sym_continue_statement] = ACTIONS(11577),
    [anon_sym_return] = ACTIONS(11577),
    [anon_sym_const] = ACTIONS(11577),
    [anon_sym_global] = ACTIONS(11577),
    [anon_sym_local] = ACTIONS(11577),
    [anon_sym_LPAREN] = ACTIONS(11579),
    [anon_sym_COLON] = ACTIONS(11577),
    [anon_sym_export] = ACTIONS(11577),
    [anon_sym_public] = ACTIONS(11577),
    [anon_sym_import] = ACTIONS(11577),
    [anon_sym_using] = ACTIONS(11577),
    [anon_sym_LBRACK] = ACTIONS(11579),
    [anon_sym_in] = ACTIONS(11577),
    [anon_sym_LBRACE] = ACTIONS(11579),
    [anon_sym_DOLLAR] = ACTIONS(11579),
    [anon_sym_COLON2] = ACTIONS(11577),
    [anon_sym_COLON_COLON] = ACTIONS(11579),
    [anon_sym_isa] = ACTIONS(11577),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11579),
    [anon_sym_QMARK] = ACTIONS(11579),
    [anon_sym_where] = ACTIONS(11577),
    [anon_sym_AT] = ACTIONS(11579),
    [anon_sym_true] = ACTIONS(11577),
    [anon_sym_false] = ACTIONS(11577),
    [aux_sym_integer_literal_token1] = ACTIONS(11579),
    [aux_sym_integer_literal_token2] = ACTIONS(11579),
    [aux_sym_integer_literal_token3] = ACTIONS(11577),
    [aux_sym_integer_literal_token4] = ACTIONS(11577),
    [aux_sym_float_literal_token1] = ACTIONS(11579),
    [aux_sym_float_literal_token3] = ACTIONS(11579),
    [aux_sym_float_literal_token4] = ACTIONS(11579),
    [sym_character_literal] = ACTIONS(11579),
    [anon_sym_DQUOTE] = ACTIONS(11577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11579),
    [anon_sym_BQUOTE] = ACTIONS(11577),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11579),
    [sym__pair_operator] = ACTIONS(11579),
    [sym__arrow_operator] = ACTIONS(11577),
    [sym__lazy_or_operator] = ACTIONS(11579),
    [sym__lazy_and_operator] = ACTIONS(11579),
    [sym__comparison_operator] = ACTIONS(11577),
    [sym__pipe_right_operator] = ACTIONS(11579),
    [sym__pipe_left_operator] = ACTIONS(11579),
    [sym__ellipsis_operator] = ACTIONS(11577),
    [sym__plus_operator] = ACTIONS(11577),
    [sym__times_operator] = ACTIONS(11577),
    [sym__rational_operator] = ACTIONS(11579),
    [sym__bitshift_operator] = ACTIONS(11579),
    [sym__power_operator] = ACTIONS(11579),
    [sym__tilde_operator] = ACTIONS(11579),
    [sym__type_order_operator] = ACTIONS(11579),
    [sym__unary_operator] = ACTIONS(11577),
    [sym__unary_plus_operator] = ACTIONS(11577),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9883] = {
    [sym_block_comment] = STATE(9883),
    [sym_line_comment] = STATE(9883),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11308),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11308),
    [anon_sym_RBRACK] = ACTIONS(11308),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_SEMI] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11308),
    [anon_sym_DOLLAR] = ACTIONS(11308),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(11446),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11308),
    [anon_sym_QMARK] = ACTIONS(11308),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11308),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11308),
    [aux_sym_integer_literal_token2] = ACTIONS(11308),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11308),
    [aux_sym_float_literal_token3] = ACTIONS(11308),
    [aux_sym_float_literal_token4] = ACTIONS(11308),
    [sym_character_literal] = ACTIONS(11308),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11308),
    [sym__pair_operator] = ACTIONS(11308),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11308),
    [sym__lazy_and_operator] = ACTIONS(11308),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11308),
    [sym__pipe_left_operator] = ACTIONS(11308),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11308),
    [sym__bitshift_operator] = ACTIONS(11308),
    [sym__power_operator] = ACTIONS(13086),
    [sym__tilde_operator] = ACTIONS(11308),
    [sym__type_order_operator] = ACTIONS(11308),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym__terminator_token1] = ACTIONS(11310),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9884] = {
    [sym_block_comment] = STATE(9884),
    [sym_line_comment] = STATE(9884),
    [sym__word_identifier] = ACTIONS(11581),
    [anon_sym_COMMA] = ACTIONS(11583),
    [anon_sym_EQ] = ACTIONS(11581),
    [anon_sym_begin] = ACTIONS(11581),
    [anon_sym_module] = ACTIONS(11581),
    [anon_sym_baremodule] = ACTIONS(11581),
    [anon_sym_end] = ACTIONS(11581),
    [anon_sym_abstract] = ACTIONS(11581),
    [anon_sym_primitive] = ACTIONS(11581),
    [anon_sym_mutable] = ACTIONS(11581),
    [anon_sym_struct] = ACTIONS(11581),
    [anon_sym_function] = ACTIONS(11581),
    [anon_sym_macro] = ACTIONS(11581),
    [anon_sym_quote] = ACTIONS(11581),
    [anon_sym_let] = ACTIONS(11581),
    [anon_sym_if] = ACTIONS(11581),
    [anon_sym_try] = ACTIONS(11581),
    [anon_sym_for] = ACTIONS(11581),
    [anon_sym_while] = ACTIONS(11581),
    [sym_break_statement] = ACTIONS(11581),
    [sym_continue_statement] = ACTIONS(11581),
    [anon_sym_return] = ACTIONS(11581),
    [anon_sym_const] = ACTIONS(11581),
    [anon_sym_global] = ACTIONS(11581),
    [anon_sym_local] = ACTIONS(11581),
    [anon_sym_LPAREN] = ACTIONS(11583),
    [anon_sym_COLON] = ACTIONS(11581),
    [anon_sym_export] = ACTIONS(11581),
    [anon_sym_public] = ACTIONS(11581),
    [anon_sym_import] = ACTIONS(11581),
    [anon_sym_using] = ACTIONS(11581),
    [anon_sym_LBRACK] = ACTIONS(11583),
    [anon_sym_in] = ACTIONS(11581),
    [anon_sym_LBRACE] = ACTIONS(11583),
    [anon_sym_DOLLAR] = ACTIONS(11583),
    [anon_sym_COLON2] = ACTIONS(11581),
    [anon_sym_COLON_COLON] = ACTIONS(11583),
    [anon_sym_isa] = ACTIONS(11581),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11583),
    [anon_sym_QMARK] = ACTIONS(11583),
    [anon_sym_where] = ACTIONS(11581),
    [anon_sym_AT] = ACTIONS(11583),
    [anon_sym_true] = ACTIONS(11581),
    [anon_sym_false] = ACTIONS(11581),
    [aux_sym_integer_literal_token1] = ACTIONS(11583),
    [aux_sym_integer_literal_token2] = ACTIONS(11583),
    [aux_sym_integer_literal_token3] = ACTIONS(11581),
    [aux_sym_integer_literal_token4] = ACTIONS(11581),
    [aux_sym_float_literal_token1] = ACTIONS(11583),
    [aux_sym_float_literal_token3] = ACTIONS(11583),
    [aux_sym_float_literal_token4] = ACTIONS(11583),
    [sym_character_literal] = ACTIONS(11583),
    [anon_sym_DQUOTE] = ACTIONS(11581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11583),
    [anon_sym_BQUOTE] = ACTIONS(11581),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11583),
    [sym__pair_operator] = ACTIONS(11583),
    [sym__arrow_operator] = ACTIONS(11581),
    [sym__lazy_or_operator] = ACTIONS(11583),
    [sym__lazy_and_operator] = ACTIONS(11583),
    [sym__comparison_operator] = ACTIONS(11581),
    [sym__pipe_right_operator] = ACTIONS(11583),
    [sym__pipe_left_operator] = ACTIONS(11583),
    [sym__ellipsis_operator] = ACTIONS(11581),
    [sym__plus_operator] = ACTIONS(11581),
    [sym__times_operator] = ACTIONS(11581),
    [sym__rational_operator] = ACTIONS(11583),
    [sym__bitshift_operator] = ACTIONS(11583),
    [sym__power_operator] = ACTIONS(11583),
    [sym__tilde_operator] = ACTIONS(11583),
    [sym__type_order_operator] = ACTIONS(11583),
    [sym__unary_operator] = ACTIONS(11581),
    [sym__unary_plus_operator] = ACTIONS(11581),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9885] = {
    [sym_block_comment] = STATE(9885),
    [sym_line_comment] = STATE(9885),
    [sym__word_identifier] = ACTIONS(11585),
    [anon_sym_COMMA] = ACTIONS(11587),
    [anon_sym_EQ] = ACTIONS(11585),
    [anon_sym_begin] = ACTIONS(11585),
    [anon_sym_module] = ACTIONS(11585),
    [anon_sym_baremodule] = ACTIONS(11585),
    [anon_sym_end] = ACTIONS(11585),
    [anon_sym_abstract] = ACTIONS(11585),
    [anon_sym_primitive] = ACTIONS(11585),
    [anon_sym_mutable] = ACTIONS(11585),
    [anon_sym_struct] = ACTIONS(11585),
    [anon_sym_function] = ACTIONS(11585),
    [anon_sym_macro] = ACTIONS(11585),
    [anon_sym_quote] = ACTIONS(11585),
    [anon_sym_let] = ACTIONS(11585),
    [anon_sym_if] = ACTIONS(11585),
    [anon_sym_try] = ACTIONS(11585),
    [anon_sym_for] = ACTIONS(11585),
    [anon_sym_while] = ACTIONS(11585),
    [sym_break_statement] = ACTIONS(11585),
    [sym_continue_statement] = ACTIONS(11585),
    [anon_sym_return] = ACTIONS(11585),
    [anon_sym_const] = ACTIONS(11585),
    [anon_sym_global] = ACTIONS(11585),
    [anon_sym_local] = ACTIONS(11585),
    [anon_sym_LPAREN] = ACTIONS(11587),
    [anon_sym_COLON] = ACTIONS(11585),
    [anon_sym_export] = ACTIONS(11585),
    [anon_sym_public] = ACTIONS(11585),
    [anon_sym_import] = ACTIONS(11585),
    [anon_sym_using] = ACTIONS(11585),
    [anon_sym_LBRACK] = ACTIONS(11587),
    [anon_sym_in] = ACTIONS(11585),
    [anon_sym_LBRACE] = ACTIONS(11587),
    [anon_sym_DOLLAR] = ACTIONS(11587),
    [anon_sym_COLON2] = ACTIONS(11585),
    [anon_sym_COLON_COLON] = ACTIONS(11587),
    [anon_sym_isa] = ACTIONS(11585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11587),
    [anon_sym_QMARK] = ACTIONS(11587),
    [anon_sym_where] = ACTIONS(11585),
    [anon_sym_AT] = ACTIONS(11587),
    [anon_sym_true] = ACTIONS(11585),
    [anon_sym_false] = ACTIONS(11585),
    [aux_sym_integer_literal_token1] = ACTIONS(11587),
    [aux_sym_integer_literal_token2] = ACTIONS(11587),
    [aux_sym_integer_literal_token3] = ACTIONS(11585),
    [aux_sym_integer_literal_token4] = ACTIONS(11585),
    [aux_sym_float_literal_token1] = ACTIONS(11587),
    [aux_sym_float_literal_token3] = ACTIONS(11587),
    [aux_sym_float_literal_token4] = ACTIONS(11587),
    [sym_character_literal] = ACTIONS(11587),
    [anon_sym_DQUOTE] = ACTIONS(11585),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11587),
    [anon_sym_BQUOTE] = ACTIONS(11585),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11587),
    [sym__pair_operator] = ACTIONS(11587),
    [sym__arrow_operator] = ACTIONS(11585),
    [sym__lazy_or_operator] = ACTIONS(11587),
    [sym__lazy_and_operator] = ACTIONS(11587),
    [sym__comparison_operator] = ACTIONS(11585),
    [sym__pipe_right_operator] = ACTIONS(11587),
    [sym__pipe_left_operator] = ACTIONS(11587),
    [sym__ellipsis_operator] = ACTIONS(11585),
    [sym__plus_operator] = ACTIONS(11585),
    [sym__times_operator] = ACTIONS(11585),
    [sym__rational_operator] = ACTIONS(11587),
    [sym__bitshift_operator] = ACTIONS(11587),
    [sym__power_operator] = ACTIONS(11587),
    [sym__tilde_operator] = ACTIONS(11587),
    [sym__type_order_operator] = ACTIONS(11587),
    [sym__unary_operator] = ACTIONS(11585),
    [sym__unary_plus_operator] = ACTIONS(11585),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9886] = {
    [sym_block_comment] = STATE(9886),
    [sym_line_comment] = STATE(9886),
    [sym__word_identifier] = ACTIONS(11589),
    [anon_sym_COMMA] = ACTIONS(11591),
    [anon_sym_EQ] = ACTIONS(11589),
    [anon_sym_begin] = ACTIONS(11589),
    [anon_sym_module] = ACTIONS(11589),
    [anon_sym_baremodule] = ACTIONS(11589),
    [anon_sym_end] = ACTIONS(11589),
    [anon_sym_abstract] = ACTIONS(11589),
    [anon_sym_primitive] = ACTIONS(11589),
    [anon_sym_mutable] = ACTIONS(11589),
    [anon_sym_struct] = ACTIONS(11589),
    [anon_sym_function] = ACTIONS(11589),
    [anon_sym_macro] = ACTIONS(11589),
    [anon_sym_quote] = ACTIONS(11589),
    [anon_sym_let] = ACTIONS(11589),
    [anon_sym_if] = ACTIONS(11589),
    [anon_sym_try] = ACTIONS(11589),
    [anon_sym_for] = ACTIONS(11589),
    [anon_sym_while] = ACTIONS(11589),
    [sym_break_statement] = ACTIONS(11589),
    [sym_continue_statement] = ACTIONS(11589),
    [anon_sym_return] = ACTIONS(11589),
    [anon_sym_const] = ACTIONS(11589),
    [anon_sym_global] = ACTIONS(11589),
    [anon_sym_local] = ACTIONS(11589),
    [anon_sym_LPAREN] = ACTIONS(11591),
    [anon_sym_COLON] = ACTIONS(11589),
    [anon_sym_export] = ACTIONS(11589),
    [anon_sym_public] = ACTIONS(11589),
    [anon_sym_import] = ACTIONS(11589),
    [anon_sym_using] = ACTIONS(11589),
    [anon_sym_LBRACK] = ACTIONS(11591),
    [anon_sym_in] = ACTIONS(11589),
    [anon_sym_LBRACE] = ACTIONS(11591),
    [anon_sym_DOLLAR] = ACTIONS(11591),
    [anon_sym_COLON2] = ACTIONS(11589),
    [anon_sym_COLON_COLON] = ACTIONS(11591),
    [anon_sym_isa] = ACTIONS(11589),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11591),
    [anon_sym_QMARK] = ACTIONS(11591),
    [anon_sym_where] = ACTIONS(11589),
    [anon_sym_AT] = ACTIONS(11591),
    [anon_sym_true] = ACTIONS(11589),
    [anon_sym_false] = ACTIONS(11589),
    [aux_sym_integer_literal_token1] = ACTIONS(11591),
    [aux_sym_integer_literal_token2] = ACTIONS(11591),
    [aux_sym_integer_literal_token3] = ACTIONS(11589),
    [aux_sym_integer_literal_token4] = ACTIONS(11589),
    [aux_sym_float_literal_token1] = ACTIONS(11591),
    [aux_sym_float_literal_token3] = ACTIONS(11591),
    [aux_sym_float_literal_token4] = ACTIONS(11591),
    [sym_character_literal] = ACTIONS(11591),
    [anon_sym_DQUOTE] = ACTIONS(11589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11591),
    [anon_sym_BQUOTE] = ACTIONS(11589),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11591),
    [sym__pair_operator] = ACTIONS(11591),
    [sym__arrow_operator] = ACTIONS(11589),
    [sym__lazy_or_operator] = ACTIONS(11591),
    [sym__lazy_and_operator] = ACTIONS(11591),
    [sym__comparison_operator] = ACTIONS(11589),
    [sym__pipe_right_operator] = ACTIONS(11591),
    [sym__pipe_left_operator] = ACTIONS(11591),
    [sym__ellipsis_operator] = ACTIONS(11589),
    [sym__plus_operator] = ACTIONS(11589),
    [sym__times_operator] = ACTIONS(11589),
    [sym__rational_operator] = ACTIONS(11591),
    [sym__bitshift_operator] = ACTIONS(11591),
    [sym__power_operator] = ACTIONS(11591),
    [sym__tilde_operator] = ACTIONS(11591),
    [sym__type_order_operator] = ACTIONS(11591),
    [sym__unary_operator] = ACTIONS(11589),
    [sym__unary_plus_operator] = ACTIONS(11589),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9887] = {
    [sym_block_comment] = STATE(9887),
    [sym_line_comment] = STATE(9887),
    [sym__word_identifier] = ACTIONS(11593),
    [anon_sym_COMMA] = ACTIONS(11595),
    [anon_sym_EQ] = ACTIONS(11593),
    [anon_sym_begin] = ACTIONS(11593),
    [anon_sym_module] = ACTIONS(11593),
    [anon_sym_baremodule] = ACTIONS(11593),
    [anon_sym_end] = ACTIONS(11593),
    [anon_sym_abstract] = ACTIONS(11593),
    [anon_sym_primitive] = ACTIONS(11593),
    [anon_sym_mutable] = ACTIONS(11593),
    [anon_sym_struct] = ACTIONS(11593),
    [anon_sym_function] = ACTIONS(11593),
    [anon_sym_macro] = ACTIONS(11593),
    [anon_sym_quote] = ACTIONS(11593),
    [anon_sym_let] = ACTIONS(11593),
    [anon_sym_if] = ACTIONS(11593),
    [anon_sym_try] = ACTIONS(11593),
    [anon_sym_for] = ACTIONS(11593),
    [anon_sym_while] = ACTIONS(11593),
    [sym_break_statement] = ACTIONS(11593),
    [sym_continue_statement] = ACTIONS(11593),
    [anon_sym_return] = ACTIONS(11593),
    [anon_sym_const] = ACTIONS(11593),
    [anon_sym_global] = ACTIONS(11593),
    [anon_sym_local] = ACTIONS(11593),
    [anon_sym_LPAREN] = ACTIONS(11595),
    [anon_sym_COLON] = ACTIONS(11593),
    [anon_sym_export] = ACTIONS(11593),
    [anon_sym_public] = ACTIONS(11593),
    [anon_sym_import] = ACTIONS(11593),
    [anon_sym_using] = ACTIONS(11593),
    [anon_sym_LBRACK] = ACTIONS(11595),
    [anon_sym_in] = ACTIONS(11593),
    [anon_sym_LBRACE] = ACTIONS(11595),
    [anon_sym_DOLLAR] = ACTIONS(11595),
    [anon_sym_COLON2] = ACTIONS(11593),
    [anon_sym_COLON_COLON] = ACTIONS(11595),
    [anon_sym_isa] = ACTIONS(11593),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11595),
    [anon_sym_QMARK] = ACTIONS(11595),
    [anon_sym_where] = ACTIONS(11593),
    [anon_sym_AT] = ACTIONS(11595),
    [anon_sym_true] = ACTIONS(11593),
    [anon_sym_false] = ACTIONS(11593),
    [aux_sym_integer_literal_token1] = ACTIONS(11595),
    [aux_sym_integer_literal_token2] = ACTIONS(11595),
    [aux_sym_integer_literal_token3] = ACTIONS(11593),
    [aux_sym_integer_literal_token4] = ACTIONS(11593),
    [aux_sym_float_literal_token1] = ACTIONS(11595),
    [aux_sym_float_literal_token3] = ACTIONS(11595),
    [aux_sym_float_literal_token4] = ACTIONS(11595),
    [sym_character_literal] = ACTIONS(11595),
    [anon_sym_DQUOTE] = ACTIONS(11593),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11595),
    [anon_sym_BQUOTE] = ACTIONS(11593),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11595),
    [sym__pair_operator] = ACTIONS(11595),
    [sym__arrow_operator] = ACTIONS(11593),
    [sym__lazy_or_operator] = ACTIONS(11595),
    [sym__lazy_and_operator] = ACTIONS(11595),
    [sym__comparison_operator] = ACTIONS(11593),
    [sym__pipe_right_operator] = ACTIONS(11595),
    [sym__pipe_left_operator] = ACTIONS(11595),
    [sym__ellipsis_operator] = ACTIONS(11593),
    [sym__plus_operator] = ACTIONS(11593),
    [sym__times_operator] = ACTIONS(11593),
    [sym__rational_operator] = ACTIONS(11595),
    [sym__bitshift_operator] = ACTIONS(11595),
    [sym__power_operator] = ACTIONS(11595),
    [sym__tilde_operator] = ACTIONS(11595),
    [sym__type_order_operator] = ACTIONS(11595),
    [sym__unary_operator] = ACTIONS(11593),
    [sym__unary_plus_operator] = ACTIONS(11593),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9888] = {
    [sym_block_comment] = STATE(9888),
    [sym_line_comment] = STATE(9888),
    [sym__word_identifier] = ACTIONS(11597),
    [anon_sym_COMMA] = ACTIONS(11599),
    [anon_sym_EQ] = ACTIONS(11597),
    [anon_sym_begin] = ACTIONS(11597),
    [anon_sym_module] = ACTIONS(11597),
    [anon_sym_baremodule] = ACTIONS(11597),
    [anon_sym_end] = ACTIONS(11597),
    [anon_sym_abstract] = ACTIONS(11597),
    [anon_sym_primitive] = ACTIONS(11597),
    [anon_sym_mutable] = ACTIONS(11597),
    [anon_sym_struct] = ACTIONS(11597),
    [anon_sym_function] = ACTIONS(11597),
    [anon_sym_macro] = ACTIONS(11597),
    [anon_sym_quote] = ACTIONS(11597),
    [anon_sym_let] = ACTIONS(11597),
    [anon_sym_if] = ACTIONS(11597),
    [anon_sym_try] = ACTIONS(11597),
    [anon_sym_for] = ACTIONS(11597),
    [anon_sym_while] = ACTIONS(11597),
    [sym_break_statement] = ACTIONS(11597),
    [sym_continue_statement] = ACTIONS(11597),
    [anon_sym_return] = ACTIONS(11597),
    [anon_sym_const] = ACTIONS(11597),
    [anon_sym_global] = ACTIONS(11597),
    [anon_sym_local] = ACTIONS(11597),
    [anon_sym_LPAREN] = ACTIONS(11599),
    [anon_sym_COLON] = ACTIONS(11597),
    [anon_sym_export] = ACTIONS(11597),
    [anon_sym_public] = ACTIONS(11597),
    [anon_sym_import] = ACTIONS(11597),
    [anon_sym_using] = ACTIONS(11597),
    [anon_sym_LBRACK] = ACTIONS(11599),
    [anon_sym_in] = ACTIONS(11597),
    [anon_sym_LBRACE] = ACTIONS(11599),
    [anon_sym_DOLLAR] = ACTIONS(11599),
    [anon_sym_COLON2] = ACTIONS(11597),
    [anon_sym_COLON_COLON] = ACTIONS(11599),
    [anon_sym_isa] = ACTIONS(11597),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11599),
    [anon_sym_QMARK] = ACTIONS(11599),
    [anon_sym_where] = ACTIONS(11597),
    [anon_sym_AT] = ACTIONS(11599),
    [anon_sym_true] = ACTIONS(11597),
    [anon_sym_false] = ACTIONS(11597),
    [aux_sym_integer_literal_token1] = ACTIONS(11599),
    [aux_sym_integer_literal_token2] = ACTIONS(11599),
    [aux_sym_integer_literal_token3] = ACTIONS(11597),
    [aux_sym_integer_literal_token4] = ACTIONS(11597),
    [aux_sym_float_literal_token1] = ACTIONS(11599),
    [aux_sym_float_literal_token3] = ACTIONS(11599),
    [aux_sym_float_literal_token4] = ACTIONS(11599),
    [sym_character_literal] = ACTIONS(11599),
    [anon_sym_DQUOTE] = ACTIONS(11597),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11599),
    [anon_sym_BQUOTE] = ACTIONS(11597),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11599),
    [sym__pair_operator] = ACTIONS(11599),
    [sym__arrow_operator] = ACTIONS(11597),
    [sym__lazy_or_operator] = ACTIONS(11599),
    [sym__lazy_and_operator] = ACTIONS(11599),
    [sym__comparison_operator] = ACTIONS(11597),
    [sym__pipe_right_operator] = ACTIONS(11599),
    [sym__pipe_left_operator] = ACTIONS(11599),
    [sym__ellipsis_operator] = ACTIONS(11597),
    [sym__plus_operator] = ACTIONS(11597),
    [sym__times_operator] = ACTIONS(11597),
    [sym__rational_operator] = ACTIONS(11599),
    [sym__bitshift_operator] = ACTIONS(11599),
    [sym__power_operator] = ACTIONS(11599),
    [sym__tilde_operator] = ACTIONS(11599),
    [sym__type_order_operator] = ACTIONS(11599),
    [sym__unary_operator] = ACTIONS(11597),
    [sym__unary_plus_operator] = ACTIONS(11597),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9889] = {
    [sym_block_comment] = STATE(9889),
    [sym_line_comment] = STATE(9889),
    [sym__word_identifier] = ACTIONS(11609),
    [anon_sym_COMMA] = ACTIONS(11611),
    [anon_sym_EQ] = ACTIONS(11609),
    [anon_sym_begin] = ACTIONS(11609),
    [anon_sym_module] = ACTIONS(11609),
    [anon_sym_baremodule] = ACTIONS(11609),
    [anon_sym_end] = ACTIONS(11609),
    [anon_sym_abstract] = ACTIONS(11609),
    [anon_sym_primitive] = ACTIONS(11609),
    [anon_sym_mutable] = ACTIONS(11609),
    [anon_sym_struct] = ACTIONS(11609),
    [anon_sym_function] = ACTIONS(11609),
    [anon_sym_macro] = ACTIONS(11609),
    [anon_sym_quote] = ACTIONS(11609),
    [anon_sym_let] = ACTIONS(11609),
    [anon_sym_if] = ACTIONS(11609),
    [anon_sym_try] = ACTIONS(11609),
    [anon_sym_for] = ACTIONS(11609),
    [anon_sym_while] = ACTIONS(11609),
    [sym_break_statement] = ACTIONS(11609),
    [sym_continue_statement] = ACTIONS(11609),
    [anon_sym_return] = ACTIONS(11609),
    [anon_sym_const] = ACTIONS(11609),
    [anon_sym_global] = ACTIONS(11609),
    [anon_sym_local] = ACTIONS(11609),
    [anon_sym_LPAREN] = ACTIONS(11611),
    [anon_sym_COLON] = ACTIONS(11609),
    [anon_sym_export] = ACTIONS(11609),
    [anon_sym_public] = ACTIONS(11609),
    [anon_sym_import] = ACTIONS(11609),
    [anon_sym_using] = ACTIONS(11609),
    [anon_sym_LBRACK] = ACTIONS(11611),
    [anon_sym_in] = ACTIONS(11609),
    [anon_sym_LBRACE] = ACTIONS(11611),
    [anon_sym_DOLLAR] = ACTIONS(11611),
    [anon_sym_COLON2] = ACTIONS(11609),
    [anon_sym_COLON_COLON] = ACTIONS(11611),
    [anon_sym_isa] = ACTIONS(11609),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11611),
    [anon_sym_QMARK] = ACTIONS(11611),
    [anon_sym_where] = ACTIONS(11609),
    [anon_sym_AT] = ACTIONS(11611),
    [anon_sym_true] = ACTIONS(11609),
    [anon_sym_false] = ACTIONS(11609),
    [aux_sym_integer_literal_token1] = ACTIONS(11611),
    [aux_sym_integer_literal_token2] = ACTIONS(11611),
    [aux_sym_integer_literal_token3] = ACTIONS(11609),
    [aux_sym_integer_literal_token4] = ACTIONS(11609),
    [aux_sym_float_literal_token1] = ACTIONS(11611),
    [aux_sym_float_literal_token3] = ACTIONS(11611),
    [aux_sym_float_literal_token4] = ACTIONS(11611),
    [sym_character_literal] = ACTIONS(11611),
    [anon_sym_DQUOTE] = ACTIONS(11609),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11611),
    [anon_sym_BQUOTE] = ACTIONS(11609),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11611),
    [sym__pair_operator] = ACTIONS(11611),
    [sym__arrow_operator] = ACTIONS(11609),
    [sym__lazy_or_operator] = ACTIONS(11611),
    [sym__lazy_and_operator] = ACTIONS(11611),
    [sym__comparison_operator] = ACTIONS(11609),
    [sym__pipe_right_operator] = ACTIONS(11611),
    [sym__pipe_left_operator] = ACTIONS(11611),
    [sym__ellipsis_operator] = ACTIONS(11609),
    [sym__plus_operator] = ACTIONS(11609),
    [sym__times_operator] = ACTIONS(11609),
    [sym__rational_operator] = ACTIONS(11611),
    [sym__bitshift_operator] = ACTIONS(11611),
    [sym__power_operator] = ACTIONS(11611),
    [sym__tilde_operator] = ACTIONS(11611),
    [sym__type_order_operator] = ACTIONS(11611),
    [sym__unary_operator] = ACTIONS(11609),
    [sym__unary_plus_operator] = ACTIONS(11609),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9890] = {
    [sym_block_comment] = STATE(9890),
    [sym_line_comment] = STATE(9890),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11380),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9891] = {
    [sym_block_comment] = STATE(9891),
    [sym_line_comment] = STATE(9891),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(11380),
    [sym__bitshift_operator] = ACTIONS(11380),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9892] = {
    [sym_block_comment] = STATE(9892),
    [sym_line_comment] = STATE(9892),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(13094),
    [sym__plus_operator] = ACTIONS(13096),
    [sym__times_operator] = ACTIONS(13098),
    [sym__rational_operator] = ACTIONS(13100),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13096),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9893] = {
    [sym_block_comment] = STATE(9893),
    [sym_line_comment] = STATE(9893),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13104),
    [sym__ellipsis_operator] = ACTIONS(13094),
    [sym__plus_operator] = ACTIONS(13096),
    [sym__times_operator] = ACTIONS(13098),
    [sym__rational_operator] = ACTIONS(13100),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13096),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9894] = {
    [sym_block_comment] = STATE(9894),
    [sym_line_comment] = STATE(9894),
    [sym__word_identifier] = ACTIONS(11876),
    [anon_sym_COMMA] = ACTIONS(11878),
    [anon_sym_begin] = ACTIONS(11876),
    [anon_sym_module] = ACTIONS(11876),
    [anon_sym_baremodule] = ACTIONS(11876),
    [anon_sym_end] = ACTIONS(11876),
    [anon_sym_abstract] = ACTIONS(11876),
    [anon_sym_primitive] = ACTIONS(11876),
    [anon_sym_mutable] = ACTIONS(11876),
    [anon_sym_struct] = ACTIONS(11876),
    [anon_sym_function] = ACTIONS(11876),
    [anon_sym_macro] = ACTIONS(11876),
    [anon_sym_quote] = ACTIONS(11876),
    [anon_sym_let] = ACTIONS(11876),
    [anon_sym_if] = ACTIONS(11876),
    [anon_sym_try] = ACTIONS(11876),
    [anon_sym_for] = ACTIONS(11876),
    [anon_sym_while] = ACTIONS(11876),
    [sym_break_statement] = ACTIONS(11876),
    [sym_continue_statement] = ACTIONS(11876),
    [anon_sym_return] = ACTIONS(11876),
    [anon_sym_const] = ACTIONS(11876),
    [anon_sym_global] = ACTIONS(11876),
    [anon_sym_local] = ACTIONS(11876),
    [anon_sym_LPAREN] = ACTIONS(11878),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(11876),
    [anon_sym_public] = ACTIONS(11876),
    [anon_sym_import] = ACTIONS(11876),
    [anon_sym_using] = ACTIONS(11876),
    [anon_sym_LBRACK] = ACTIONS(11878),
    [anon_sym_in] = ACTIONS(13106),
    [anon_sym_LBRACE] = ACTIONS(11878),
    [anon_sym_DOLLAR] = ACTIONS(11878),
    [anon_sym_COLON2] = ACTIONS(11876),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(13106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(11878),
    [anon_sym_where] = ACTIONS(11876),
    [anon_sym_AT] = ACTIONS(11878),
    [anon_sym_true] = ACTIONS(11876),
    [anon_sym_false] = ACTIONS(11876),
    [aux_sym_integer_literal_token1] = ACTIONS(11878),
    [aux_sym_integer_literal_token2] = ACTIONS(11878),
    [aux_sym_integer_literal_token3] = ACTIONS(11876),
    [aux_sym_integer_literal_token4] = ACTIONS(11876),
    [aux_sym_float_literal_token1] = ACTIONS(11878),
    [aux_sym_float_literal_token3] = ACTIONS(11878),
    [aux_sym_float_literal_token4] = ACTIONS(11878),
    [sym_character_literal] = ACTIONS(11878),
    [anon_sym_DQUOTE] = ACTIONS(11876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11878),
    [anon_sym_BQUOTE] = ACTIONS(11876),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11878),
    [sym__pair_operator] = ACTIONS(11878),
    [sym__arrow_operator] = ACTIONS(11876),
    [sym__lazy_or_operator] = ACTIONS(11878),
    [sym__lazy_and_operator] = ACTIONS(11878),
    [sym__comparison_operator] = ACTIONS(13106),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13104),
    [sym__ellipsis_operator] = ACTIONS(13094),
    [sym__plus_operator] = ACTIONS(13096),
    [sym__times_operator] = ACTIONS(13098),
    [sym__rational_operator] = ACTIONS(13100),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(11878),
    [sym__type_order_operator] = ACTIONS(13108),
    [sym__unary_operator] = ACTIONS(11876),
    [sym__unary_plus_operator] = ACTIONS(13096),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9895] = {
    [sym_block_comment] = STATE(9895),
    [sym_line_comment] = STATE(9895),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(13106),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(13106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(13028),
    [anon_sym_where] = ACTIONS(13110),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(13112),
    [sym__arrow_operator] = ACTIONS(13114),
    [sym__lazy_or_operator] = ACTIONS(13116),
    [sym__lazy_and_operator] = ACTIONS(13118),
    [sym__comparison_operator] = ACTIONS(13106),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13104),
    [sym__ellipsis_operator] = ACTIONS(13094),
    [sym__plus_operator] = ACTIONS(13096),
    [sym__times_operator] = ACTIONS(13098),
    [sym__rational_operator] = ACTIONS(13100),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(13108),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13096),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9896] = {
    [sym_block_comment] = STATE(9896),
    [sym_line_comment] = STATE(9896),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(13106),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(13106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(13110),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(13114),
    [sym__lazy_or_operator] = ACTIONS(13116),
    [sym__lazy_and_operator] = ACTIONS(13118),
    [sym__comparison_operator] = ACTIONS(13106),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13104),
    [sym__ellipsis_operator] = ACTIONS(13094),
    [sym__plus_operator] = ACTIONS(13096),
    [sym__times_operator] = ACTIONS(13098),
    [sym__rational_operator] = ACTIONS(13100),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(13108),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13096),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9897] = {
    [sym_block_comment] = STATE(9897),
    [sym_line_comment] = STATE(9897),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(13106),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(13106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(13110),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(13118),
    [sym__comparison_operator] = ACTIONS(13106),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13104),
    [sym__ellipsis_operator] = ACTIONS(13094),
    [sym__plus_operator] = ACTIONS(13096),
    [sym__times_operator] = ACTIONS(13098),
    [sym__rational_operator] = ACTIONS(13100),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(13108),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13096),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9898] = {
    [sym_block_comment] = STATE(9898),
    [sym_line_comment] = STATE(9898),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(13106),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(13106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(13110),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(13106),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13104),
    [sym__ellipsis_operator] = ACTIONS(13094),
    [sym__plus_operator] = ACTIONS(13096),
    [sym__times_operator] = ACTIONS(13098),
    [sym__rational_operator] = ACTIONS(13100),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(13108),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13096),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9899] = {
    [sym_block_comment] = STATE(9899),
    [sym_line_comment] = STATE(9899),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13104),
    [sym__ellipsis_operator] = ACTIONS(13094),
    [sym__plus_operator] = ACTIONS(13096),
    [sym__times_operator] = ACTIONS(13098),
    [sym__rational_operator] = ACTIONS(13100),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13096),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9900] = {
    [sym_block_comment] = STATE(9900),
    [sym_line_comment] = STATE(9900),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(13096),
    [sym__times_operator] = ACTIONS(13098),
    [sym__rational_operator] = ACTIONS(13100),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(13096),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9901] = {
    [sym_block_comment] = STATE(9901),
    [sym_line_comment] = STATE(9901),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(11378),
    [sym__rational_operator] = ACTIONS(13100),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9902] = {
    [sym_block_comment] = STATE(9902),
    [sym_line_comment] = STATE(9902),
    [sym__word_identifier] = ACTIONS(11382),
    [anon_sym_COMMA] = ACTIONS(11384),
    [anon_sym_begin] = ACTIONS(11382),
    [anon_sym_module] = ACTIONS(11382),
    [anon_sym_baremodule] = ACTIONS(11382),
    [anon_sym_end] = ACTIONS(11382),
    [anon_sym_abstract] = ACTIONS(11382),
    [anon_sym_primitive] = ACTIONS(11382),
    [anon_sym_mutable] = ACTIONS(11382),
    [anon_sym_struct] = ACTIONS(11382),
    [anon_sym_function] = ACTIONS(11382),
    [anon_sym_macro] = ACTIONS(11382),
    [anon_sym_quote] = ACTIONS(11382),
    [anon_sym_let] = ACTIONS(11382),
    [anon_sym_if] = ACTIONS(11382),
    [anon_sym_try] = ACTIONS(11382),
    [anon_sym_for] = ACTIONS(11382),
    [anon_sym_while] = ACTIONS(11382),
    [sym_break_statement] = ACTIONS(11382),
    [sym_continue_statement] = ACTIONS(11382),
    [anon_sym_return] = ACTIONS(11382),
    [anon_sym_const] = ACTIONS(11382),
    [anon_sym_global] = ACTIONS(11382),
    [anon_sym_local] = ACTIONS(11382),
    [anon_sym_LPAREN] = ACTIONS(11384),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11382),
    [anon_sym_public] = ACTIONS(11382),
    [anon_sym_import] = ACTIONS(11382),
    [anon_sym_using] = ACTIONS(11382),
    [anon_sym_LBRACK] = ACTIONS(11384),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11384),
    [anon_sym_DOLLAR] = ACTIONS(11384),
    [anon_sym_COLON2] = ACTIONS(11382),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(13028),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11384),
    [anon_sym_true] = ACTIONS(11382),
    [anon_sym_false] = ACTIONS(11382),
    [aux_sym_integer_literal_token1] = ACTIONS(11384),
    [aux_sym_integer_literal_token2] = ACTIONS(11384),
    [aux_sym_integer_literal_token3] = ACTIONS(11382),
    [aux_sym_integer_literal_token4] = ACTIONS(11382),
    [aux_sym_float_literal_token1] = ACTIONS(11384),
    [aux_sym_float_literal_token3] = ACTIONS(11384),
    [aux_sym_float_literal_token4] = ACTIONS(11384),
    [sym_character_literal] = ACTIONS(11384),
    [anon_sym_DQUOTE] = ACTIONS(11382),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11384),
    [anon_sym_BQUOTE] = ACTIONS(11382),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11384),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11384),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11382),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9903] = {
    [sym_block_comment] = STATE(9903),
    [sym_line_comment] = STATE(9903),
    [sym__word_identifier] = ACTIONS(12151),
    [anon_sym_COMMA] = ACTIONS(12153),
    [anon_sym_begin] = ACTIONS(12151),
    [anon_sym_module] = ACTIONS(12151),
    [anon_sym_baremodule] = ACTIONS(12151),
    [anon_sym_end] = ACTIONS(12151),
    [anon_sym_abstract] = ACTIONS(12151),
    [anon_sym_primitive] = ACTIONS(12151),
    [anon_sym_mutable] = ACTIONS(12151),
    [anon_sym_struct] = ACTIONS(12151),
    [anon_sym_function] = ACTIONS(12151),
    [anon_sym_macro] = ACTIONS(12151),
    [anon_sym_quote] = ACTIONS(12151),
    [anon_sym_let] = ACTIONS(12151),
    [anon_sym_if] = ACTIONS(12151),
    [anon_sym_try] = ACTIONS(12151),
    [anon_sym_for] = ACTIONS(12151),
    [anon_sym_while] = ACTIONS(12151),
    [sym_break_statement] = ACTIONS(12151),
    [sym_continue_statement] = ACTIONS(12151),
    [anon_sym_return] = ACTIONS(12151),
    [anon_sym_const] = ACTIONS(12151),
    [anon_sym_global] = ACTIONS(12151),
    [anon_sym_local] = ACTIONS(12151),
    [anon_sym_LPAREN] = ACTIONS(12153),
    [anon_sym_COLON] = ACTIONS(13092),
    [anon_sym_export] = ACTIONS(12151),
    [anon_sym_public] = ACTIONS(12151),
    [anon_sym_import] = ACTIONS(12151),
    [anon_sym_using] = ACTIONS(12151),
    [anon_sym_LBRACK] = ACTIONS(12153),
    [anon_sym_in] = ACTIONS(13106),
    [anon_sym_LBRACE] = ACTIONS(12153),
    [anon_sym_DOLLAR] = ACTIONS(12153),
    [anon_sym_COLON2] = ACTIONS(12151),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(13106),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(13028),
    [anon_sym_where] = ACTIONS(13110),
    [anon_sym_AT] = ACTIONS(12153),
    [anon_sym_true] = ACTIONS(12151),
    [anon_sym_false] = ACTIONS(12151),
    [aux_sym_integer_literal_token1] = ACTIONS(12153),
    [aux_sym_integer_literal_token2] = ACTIONS(12153),
    [aux_sym_integer_literal_token3] = ACTIONS(12151),
    [aux_sym_integer_literal_token4] = ACTIONS(12151),
    [aux_sym_float_literal_token1] = ACTIONS(12153),
    [aux_sym_float_literal_token3] = ACTIONS(12153),
    [aux_sym_float_literal_token4] = ACTIONS(12153),
    [sym_character_literal] = ACTIONS(12153),
    [anon_sym_DQUOTE] = ACTIONS(12151),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(12153),
    [anon_sym_BQUOTE] = ACTIONS(12151),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(12153),
    [sym__pair_operator] = ACTIONS(13112),
    [sym__arrow_operator] = ACTIONS(13114),
    [sym__lazy_or_operator] = ACTIONS(13116),
    [sym__lazy_and_operator] = ACTIONS(13118),
    [sym__comparison_operator] = ACTIONS(13106),
    [sym__pipe_right_operator] = ACTIONS(13102),
    [sym__pipe_left_operator] = ACTIONS(13104),
    [sym__ellipsis_operator] = ACTIONS(13094),
    [sym__plus_operator] = ACTIONS(13096),
    [sym__times_operator] = ACTIONS(13098),
    [sym__rational_operator] = ACTIONS(13100),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(12153),
    [sym__type_order_operator] = ACTIONS(13108),
    [sym__unary_operator] = ACTIONS(12151),
    [sym__unary_plus_operator] = ACTIONS(13096),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9904] = {
    [sym_block_comment] = STATE(9904),
    [sym_line_comment] = STATE(9904),
    [sym__word_identifier] = ACTIONS(11308),
    [anon_sym_COMMA] = ACTIONS(11310),
    [anon_sym_begin] = ACTIONS(11308),
    [anon_sym_module] = ACTIONS(11308),
    [anon_sym_baremodule] = ACTIONS(11308),
    [anon_sym_end] = ACTIONS(11308),
    [anon_sym_abstract] = ACTIONS(11308),
    [anon_sym_primitive] = ACTIONS(11308),
    [anon_sym_mutable] = ACTIONS(11308),
    [anon_sym_struct] = ACTIONS(11308),
    [anon_sym_function] = ACTIONS(11308),
    [anon_sym_macro] = ACTIONS(11308),
    [anon_sym_quote] = ACTIONS(11308),
    [anon_sym_let] = ACTIONS(11308),
    [anon_sym_if] = ACTIONS(11308),
    [anon_sym_try] = ACTIONS(11308),
    [anon_sym_for] = ACTIONS(11308),
    [anon_sym_while] = ACTIONS(11308),
    [sym_break_statement] = ACTIONS(11308),
    [sym_continue_statement] = ACTIONS(11308),
    [anon_sym_return] = ACTIONS(11308),
    [anon_sym_const] = ACTIONS(11308),
    [anon_sym_global] = ACTIONS(11308),
    [anon_sym_local] = ACTIONS(11308),
    [anon_sym_LPAREN] = ACTIONS(11310),
    [anon_sym_COLON] = ACTIONS(11308),
    [anon_sym_export] = ACTIONS(11308),
    [anon_sym_public] = ACTIONS(11308),
    [anon_sym_import] = ACTIONS(11308),
    [anon_sym_using] = ACTIONS(11308),
    [anon_sym_LBRACK] = ACTIONS(11310),
    [anon_sym_in] = ACTIONS(11308),
    [anon_sym_LBRACE] = ACTIONS(11310),
    [anon_sym_DOLLAR] = ACTIONS(11310),
    [anon_sym_COLON2] = ACTIONS(11308),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11308),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11310),
    [anon_sym_QMARK] = ACTIONS(11310),
    [anon_sym_where] = ACTIONS(11308),
    [anon_sym_AT] = ACTIONS(11310),
    [anon_sym_true] = ACTIONS(11308),
    [anon_sym_false] = ACTIONS(11308),
    [aux_sym_integer_literal_token1] = ACTIONS(11310),
    [aux_sym_integer_literal_token2] = ACTIONS(11310),
    [aux_sym_integer_literal_token3] = ACTIONS(11308),
    [aux_sym_integer_literal_token4] = ACTIONS(11308),
    [aux_sym_float_literal_token1] = ACTIONS(11310),
    [aux_sym_float_literal_token3] = ACTIONS(11310),
    [aux_sym_float_literal_token4] = ACTIONS(11310),
    [sym_character_literal] = ACTIONS(11310),
    [anon_sym_DQUOTE] = ACTIONS(11308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11310),
    [anon_sym_BQUOTE] = ACTIONS(11308),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11310),
    [sym__pair_operator] = ACTIONS(11310),
    [sym__arrow_operator] = ACTIONS(11308),
    [sym__lazy_or_operator] = ACTIONS(11310),
    [sym__lazy_and_operator] = ACTIONS(11310),
    [sym__comparison_operator] = ACTIONS(11308),
    [sym__pipe_right_operator] = ACTIONS(11310),
    [sym__pipe_left_operator] = ACTIONS(11310),
    [sym__ellipsis_operator] = ACTIONS(11308),
    [sym__plus_operator] = ACTIONS(11308),
    [sym__times_operator] = ACTIONS(11308),
    [sym__rational_operator] = ACTIONS(11310),
    [sym__bitshift_operator] = ACTIONS(11310),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(11310),
    [sym__type_order_operator] = ACTIONS(11310),
    [sym__unary_operator] = ACTIONS(11308),
    [sym__unary_plus_operator] = ACTIONS(11308),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9905] = {
    [sym_block_comment] = STATE(9905),
    [sym_line_comment] = STATE(9905),
    [sym__word_identifier] = ACTIONS(11788),
    [anon_sym_COMMA] = ACTIONS(11790),
    [anon_sym_begin] = ACTIONS(11788),
    [anon_sym_module] = ACTIONS(11788),
    [anon_sym_baremodule] = ACTIONS(11788),
    [anon_sym_end] = ACTIONS(11788),
    [anon_sym_abstract] = ACTIONS(11788),
    [anon_sym_primitive] = ACTIONS(11788),
    [anon_sym_mutable] = ACTIONS(11788),
    [anon_sym_struct] = ACTIONS(11788),
    [anon_sym_function] = ACTIONS(11788),
    [anon_sym_macro] = ACTIONS(11788),
    [anon_sym_quote] = ACTIONS(11788),
    [anon_sym_let] = ACTIONS(11788),
    [anon_sym_if] = ACTIONS(11788),
    [anon_sym_try] = ACTIONS(11788),
    [anon_sym_for] = ACTIONS(11788),
    [anon_sym_while] = ACTIONS(11788),
    [sym_break_statement] = ACTIONS(11788),
    [sym_continue_statement] = ACTIONS(11788),
    [anon_sym_return] = ACTIONS(11788),
    [anon_sym_const] = ACTIONS(11788),
    [anon_sym_global] = ACTIONS(11788),
    [anon_sym_local] = ACTIONS(11788),
    [anon_sym_LPAREN] = ACTIONS(11790),
    [anon_sym_COLON] = ACTIONS(11788),
    [anon_sym_export] = ACTIONS(11788),
    [anon_sym_public] = ACTIONS(11788),
    [anon_sym_import] = ACTIONS(11788),
    [anon_sym_using] = ACTIONS(11788),
    [anon_sym_LBRACK] = ACTIONS(11790),
    [anon_sym_in] = ACTIONS(11788),
    [anon_sym_LBRACE] = ACTIONS(11790),
    [anon_sym_DOLLAR] = ACTIONS(11790),
    [anon_sym_COLON2] = ACTIONS(11788),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11788),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11790),
    [anon_sym_QMARK] = ACTIONS(11790),
    [anon_sym_where] = ACTIONS(11788),
    [anon_sym_AT] = ACTIONS(11790),
    [anon_sym_true] = ACTIONS(11788),
    [anon_sym_false] = ACTIONS(11788),
    [aux_sym_integer_literal_token1] = ACTIONS(11790),
    [aux_sym_integer_literal_token2] = ACTIONS(11790),
    [aux_sym_integer_literal_token3] = ACTIONS(11788),
    [aux_sym_integer_literal_token4] = ACTIONS(11788),
    [aux_sym_float_literal_token1] = ACTIONS(11790),
    [aux_sym_float_literal_token3] = ACTIONS(11790),
    [aux_sym_float_literal_token4] = ACTIONS(11790),
    [sym_character_literal] = ACTIONS(11790),
    [anon_sym_DQUOTE] = ACTIONS(11788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11790),
    [anon_sym_BQUOTE] = ACTIONS(11788),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11790),
    [sym__pair_operator] = ACTIONS(11790),
    [sym__arrow_operator] = ACTIONS(11788),
    [sym__lazy_or_operator] = ACTIONS(11790),
    [sym__lazy_and_operator] = ACTIONS(11790),
    [sym__comparison_operator] = ACTIONS(11788),
    [sym__pipe_right_operator] = ACTIONS(11790),
    [sym__pipe_left_operator] = ACTIONS(11790),
    [sym__ellipsis_operator] = ACTIONS(11788),
    [sym__plus_operator] = ACTIONS(13096),
    [sym__times_operator] = ACTIONS(13098),
    [sym__rational_operator] = ACTIONS(13100),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(11790),
    [sym__type_order_operator] = ACTIONS(11790),
    [sym__unary_operator] = ACTIONS(11788),
    [sym__unary_plus_operator] = ACTIONS(13096),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9906] = {
    [sym_block_comment] = STATE(9906),
    [sym_line_comment] = STATE(9906),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11706),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_end] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11706),
    [anon_sym_COLON] = ACTIONS(12939),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11706),
    [anon_sym_in] = ACTIONS(12941),
    [anon_sym_LBRACE] = ACTIONS(11706),
    [anon_sym_DOLLAR] = ACTIONS(11706),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(12941),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(12945),
    [anon_sym_QMARK] = ACTIONS(13028),
    [anon_sym_where] = ACTIONS(12949),
    [anon_sym_AT] = ACTIONS(11706),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11706),
    [aux_sym_integer_literal_token2] = ACTIONS(11706),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11706),
    [aux_sym_float_literal_token3] = ACTIONS(11706),
    [aux_sym_float_literal_token4] = ACTIONS(11706),
    [sym_character_literal] = ACTIONS(11706),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11706),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11706),
    [sym__pair_operator] = ACTIONS(12951),
    [sym__arrow_operator] = ACTIONS(12953),
    [sym__lazy_or_operator] = ACTIONS(12955),
    [sym__lazy_and_operator] = ACTIONS(12957),
    [sym__comparison_operator] = ACTIONS(12941),
    [sym__pipe_right_operator] = ACTIONS(12959),
    [sym__pipe_left_operator] = ACTIONS(12961),
    [sym__ellipsis_operator] = ACTIONS(12963),
    [sym__plus_operator] = ACTIONS(12965),
    [sym__times_operator] = ACTIONS(12967),
    [sym__rational_operator] = ACTIONS(12969),
    [sym__bitshift_operator] = ACTIONS(12971),
    [sym__power_operator] = ACTIONS(12973),
    [sym__tilde_operator] = ACTIONS(11706),
    [sym__type_order_operator] = ACTIONS(12975),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(12965),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9907] = {
    [sym_block_comment] = STATE(9907),
    [sym_line_comment] = STATE(9907),
    [sym__word_identifier] = ACTIONS(11378),
    [anon_sym_COMMA] = ACTIONS(11380),
    [anon_sym_begin] = ACTIONS(11378),
    [anon_sym_module] = ACTIONS(11378),
    [anon_sym_baremodule] = ACTIONS(11378),
    [anon_sym_end] = ACTIONS(11378),
    [anon_sym_abstract] = ACTIONS(11378),
    [anon_sym_primitive] = ACTIONS(11378),
    [anon_sym_mutable] = ACTIONS(11378),
    [anon_sym_struct] = ACTIONS(11378),
    [anon_sym_function] = ACTIONS(11378),
    [anon_sym_macro] = ACTIONS(11378),
    [anon_sym_quote] = ACTIONS(11378),
    [anon_sym_let] = ACTIONS(11378),
    [anon_sym_if] = ACTIONS(11378),
    [anon_sym_try] = ACTIONS(11378),
    [anon_sym_for] = ACTIONS(11378),
    [anon_sym_while] = ACTIONS(11378),
    [sym_break_statement] = ACTIONS(11378),
    [sym_continue_statement] = ACTIONS(11378),
    [anon_sym_return] = ACTIONS(11378),
    [anon_sym_const] = ACTIONS(11378),
    [anon_sym_global] = ACTIONS(11378),
    [anon_sym_local] = ACTIONS(11378),
    [anon_sym_LPAREN] = ACTIONS(11380),
    [anon_sym_COLON] = ACTIONS(11378),
    [anon_sym_export] = ACTIONS(11378),
    [anon_sym_public] = ACTIONS(11378),
    [anon_sym_import] = ACTIONS(11378),
    [anon_sym_using] = ACTIONS(11378),
    [anon_sym_LBRACK] = ACTIONS(11380),
    [anon_sym_in] = ACTIONS(11378),
    [anon_sym_LBRACE] = ACTIONS(11380),
    [anon_sym_DOLLAR] = ACTIONS(11380),
    [anon_sym_COLON2] = ACTIONS(11378),
    [anon_sym_COLON_COLON] = ACTIONS(12943),
    [anon_sym_isa] = ACTIONS(11378),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(11380),
    [anon_sym_QMARK] = ACTIONS(11380),
    [anon_sym_where] = ACTIONS(11378),
    [anon_sym_AT] = ACTIONS(11380),
    [anon_sym_true] = ACTIONS(11378),
    [anon_sym_false] = ACTIONS(11378),
    [aux_sym_integer_literal_token1] = ACTIONS(11380),
    [aux_sym_integer_literal_token2] = ACTIONS(11380),
    [aux_sym_integer_literal_token3] = ACTIONS(11378),
    [aux_sym_integer_literal_token4] = ACTIONS(11378),
    [aux_sym_float_literal_token1] = ACTIONS(11380),
    [aux_sym_float_literal_token3] = ACTIONS(11380),
    [aux_sym_float_literal_token4] = ACTIONS(11380),
    [sym_character_literal] = ACTIONS(11380),
    [anon_sym_DQUOTE] = ACTIONS(11378),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11380),
    [anon_sym_BQUOTE] = ACTIONS(11378),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11380),
    [sym__pair_operator] = ACTIONS(11380),
    [sym__arrow_operator] = ACTIONS(11378),
    [sym__lazy_or_operator] = ACTIONS(11380),
    [sym__lazy_and_operator] = ACTIONS(11380),
    [sym__comparison_operator] = ACTIONS(11378),
    [sym__pipe_right_operator] = ACTIONS(11380),
    [sym__pipe_left_operator] = ACTIONS(11380),
    [sym__ellipsis_operator] = ACTIONS(11378),
    [sym__plus_operator] = ACTIONS(11378),
    [sym__times_operator] = ACTIONS(13098),
    [sym__rational_operator] = ACTIONS(13100),
    [sym__bitshift_operator] = ACTIONS(13088),
    [sym__power_operator] = ACTIONS(13090),
    [sym__tilde_operator] = ACTIONS(11380),
    [sym__type_order_operator] = ACTIONS(11380),
    [sym__unary_operator] = ACTIONS(11378),
    [sym__unary_plus_operator] = ACTIONS(11378),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9908] = {
    [sym_identifier] = STATE(10707),
    [sym_integer_literal] = STATE(10367),
    [sym_float_literal] = STATE(10367),
    [sym__string] = STATE(10367),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(10367),
    [sym__assignment_operator] = STATE(10367),
    [sym__syntactic_operator] = STATE(10367),
    [sym_block_comment] = STATE(9908),
    [sym_line_comment] = STATE(9908),
    [sym__word_identifier] = ACTIONS(13120),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_if] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13124),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_COLON_EQ] = ACTIONS(13126),
    [anon_sym_DOT_EQ] = ACTIONS(13128),
    [aux_sym_quote_expression_token1] = ACTIONS(13130),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13132),
    [anon_sym_QMARK] = ACTIONS(13132),
    [anon_sym_DASH_GT] = ACTIONS(13132),
    [anon_sym_where] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(13134),
    [aux_sym_integer_literal_token2] = ACTIONS(13134),
    [aux_sym_integer_literal_token3] = ACTIONS(13136),
    [aux_sym_integer_literal_token4] = ACTIONS(13138),
    [aux_sym_float_literal_token1] = ACTIONS(13140),
    [aux_sym_float_literal_token3] = ACTIONS(13140),
    [aux_sym_float_literal_token4] = ACTIONS(13140),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(13126),
    [aux_sym__assignment_operator_token1] = ACTIONS(13126),
    [sym__pair_operator] = ACTIONS(13142),
    [sym__arrow_operator] = ACTIONS(13124),
    [sym__lazy_or_operator] = ACTIONS(13144),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13124),
    [sym__pipe_right_operator] = ACTIONS(13142),
    [sym__pipe_left_operator] = ACTIONS(13142),
    [sym__ellipsis_operator] = ACTIONS(13124),
    [sym__plus_operator] = ACTIONS(13124),
    [sym__times_operator] = ACTIONS(13124),
    [sym__rational_operator] = ACTIONS(13124),
    [sym__bitshift_operator] = ACTIONS(13124),
    [sym__power_operator] = ACTIONS(13124),
    [sym__tilde_operator] = ACTIONS(13142),
    [sym__type_order_operator] = ACTIONS(13142),
    [sym__unary_operator] = ACTIONS(13124),
    [sym__unary_plus_operator] = ACTIONS(13124),
    [anon_sym_DOT2] = ACTIONS(13122),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(13146),
    [sym__immediate_bracket] = ACTIONS(13148),
    [sym__immediate_brace] = ACTIONS(13150),
  },
  [9909] = {
    [sym__primary_expression] = STATE(12476),
    [sym__array] = STATE(10654),
    [sym_comprehension_expression] = STATE(10689),
    [sym_matrix_expression] = STATE(10689),
    [sym_vector_expression] = STATE(10689),
    [sym_parenthesized_expression] = STATE(10654),
    [sym_tuple_expression] = STATE(10654),
    [sym_curly_expression] = STATE(10654),
    [sym_adjoint_expression] = STATE(10654),
    [sym_field_expression] = STATE(10654),
    [sym_index_expression] = STATE(10654),
    [sym_parametrized_type_expression] = STATE(10654),
    [sym_call_expression] = STATE(10654),
    [sym_broadcast_call_expression] = STATE(10654),
    [sym__closed_macrocall_expression] = STATE(10654),
    [sym_interpolation_expression] = STATE(10654),
    [sym_quote_expression] = STATE(10654),
    [sym_macro_identifier] = STATE(17588),
    [sym_identifier] = STATE(12089),
    [sym_boolean_literal] = STATE(10654),
    [sym__string] = STATE(10654),
    [sym__delimiter_str_1] = STATE(15341),
    [sym__delimiter_str_3] = STATE(15342),
    [sym__delimiter_cmd_1] = STATE(15343),
    [sym__delimiter_cmd_3] = STATE(15344),
    [sym_string_literal] = STATE(10680),
    [sym_command_literal] = STATE(10680),
    [sym_prefixed_string_literal] = STATE(10680),
    [sym_prefixed_command_literal] = STATE(10680),
    [sym_operator] = STATE(19440),
    [sym_block_comment] = STATE(9909),
    [sym_line_comment] = STATE(9909),
    [sym__word_identifier] = ACTIONS(10105),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_end] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(10107),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(10109),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(10111),
    [anon_sym_DOLLAR] = ACTIONS(13152),
    [anon_sym_COLON2] = ACTIONS(10976),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(10117),
    [anon_sym_true] = ACTIONS(10119),
    [anon_sym_false] = ACTIONS(10119),
    [sym_character_literal] = ACTIONS(10121),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(9614),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9614),
    [sym__pipe_left_operator] = ACTIONS(9614),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9614),
    [sym__bitshift_operator] = ACTIONS(9614),
    [sym__power_operator] = ACTIONS(9614),
    [sym__tilde_operator] = ACTIONS(1687),
    [sym__type_order_operator] = ACTIONS(9614),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9910] = {
    [sym_identifier] = STATE(10738),
    [sym_integer_literal] = STATE(10952),
    [sym_float_literal] = STATE(10952),
    [sym__string] = STATE(10952),
    [sym__delimiter_str_1] = STATE(15125),
    [sym__delimiter_str_3] = STATE(15126),
    [sym__delimiter_cmd_1] = STATE(15127),
    [sym__delimiter_cmd_3] = STATE(15128),
    [sym_string_literal] = STATE(10903),
    [sym_command_literal] = STATE(10903),
    [sym_prefixed_string_literal] = STATE(10903),
    [sym_prefixed_command_literal] = STATE(10903),
    [sym_operator] = STATE(10952),
    [sym__assignment_operator] = STATE(10952),
    [sym__syntactic_operator] = STATE(10952),
    [sym_block_comment] = STATE(9910),
    [sym_line_comment] = STATE(9910),
    [sym__word_identifier] = ACTIONS(13154),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(13156),
    [anon_sym_COLON2] = ACTIONS(13158),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(13160),
    [anon_sym_DOT_EQ] = ACTIONS(13160),
    [aux_sym_quote_expression_token1] = ACTIONS(13162),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13156),
    [anon_sym_QMARK] = ACTIONS(13156),
    [anon_sym_DASH_GT] = ACTIONS(13156),
    [anon_sym_where] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(13164),
    [aux_sym_integer_literal_token2] = ACTIONS(13164),
    [aux_sym_integer_literal_token3] = ACTIONS(13164),
    [aux_sym_integer_literal_token4] = ACTIONS(13166),
    [aux_sym_float_literal_token1] = ACTIONS(13168),
    [aux_sym_float_literal_token3] = ACTIONS(13168),
    [aux_sym_float_literal_token4] = ACTIONS(13168),
    [sym_character_literal] = ACTIONS(177),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(13160),
    [aux_sym__assignment_operator_token1] = ACTIONS(13160),
    [sym__pair_operator] = ACTIONS(13158),
    [sym__arrow_operator] = ACTIONS(13158),
    [sym__lazy_or_operator] = ACTIONS(13162),
    [sym__lazy_and_operator] = ACTIONS(13162),
    [sym__comparison_operator] = ACTIONS(13158),
    [sym__pipe_right_operator] = ACTIONS(13158),
    [sym__pipe_left_operator] = ACTIONS(13158),
    [sym__ellipsis_operator] = ACTIONS(13158),
    [sym__plus_operator] = ACTIONS(13158),
    [sym__times_operator] = ACTIONS(13158),
    [sym__rational_operator] = ACTIONS(13158),
    [sym__bitshift_operator] = ACTIONS(13158),
    [sym__power_operator] = ACTIONS(13158),
    [sym__tilde_operator] = ACTIONS(13158),
    [sym__type_order_operator] = ACTIONS(13158),
    [sym__unary_operator] = ACTIONS(13158),
    [sym__unary_plus_operator] = ACTIONS(13158),
    [anon_sym_DOT2] = ACTIONS(13156),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(13170),
    [sym__immediate_bracket] = ACTIONS(13172),
    [sym__immediate_brace] = ACTIONS(13174),
  },
  [9911] = {
    [sym_identifier] = STATE(10700),
    [sym_integer_literal] = STATE(10520),
    [sym_float_literal] = STATE(10520),
    [sym__string] = STATE(10520),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(10520),
    [sym__assignment_operator] = STATE(10520),
    [sym__syntactic_operator] = STATE(10520),
    [sym_block_comment] = STATE(9911),
    [sym_line_comment] = STATE(9911),
    [sym__word_identifier] = ACTIONS(13176),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_elseif] = ACTIONS(3222),
    [anon_sym_else] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(13178),
    [anon_sym_COLON2] = ACTIONS(13180),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(13182),
    [anon_sym_DOT_EQ] = ACTIONS(13182),
    [aux_sym_quote_expression_token1] = ACTIONS(13184),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13178),
    [anon_sym_QMARK] = ACTIONS(13178),
    [anon_sym_DASH_GT] = ACTIONS(13178),
    [anon_sym_where] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(13186),
    [aux_sym_integer_literal_token2] = ACTIONS(13186),
    [aux_sym_integer_literal_token3] = ACTIONS(13186),
    [aux_sym_integer_literal_token4] = ACTIONS(13188),
    [aux_sym_float_literal_token1] = ACTIONS(13190),
    [aux_sym_float_literal_token3] = ACTIONS(13190),
    [aux_sym_float_literal_token4] = ACTIONS(13190),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(13182),
    [aux_sym__assignment_operator_token1] = ACTIONS(13182),
    [sym__pair_operator] = ACTIONS(13180),
    [sym__arrow_operator] = ACTIONS(13180),
    [sym__lazy_or_operator] = ACTIONS(13184),
    [sym__lazy_and_operator] = ACTIONS(13184),
    [sym__comparison_operator] = ACTIONS(13180),
    [sym__pipe_right_operator] = ACTIONS(13180),
    [sym__pipe_left_operator] = ACTIONS(13180),
    [sym__ellipsis_operator] = ACTIONS(13180),
    [sym__plus_operator] = ACTIONS(13180),
    [sym__times_operator] = ACTIONS(13180),
    [sym__rational_operator] = ACTIONS(13180),
    [sym__bitshift_operator] = ACTIONS(13180),
    [sym__power_operator] = ACTIONS(13180),
    [sym__tilde_operator] = ACTIONS(13180),
    [sym__type_order_operator] = ACTIONS(13180),
    [sym__unary_operator] = ACTIONS(13180),
    [sym__unary_plus_operator] = ACTIONS(13180),
    [anon_sym_DOT2] = ACTIONS(13178),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(13192),
    [sym__immediate_bracket] = ACTIONS(13194),
    [sym__immediate_brace] = ACTIONS(13196),
  },
  [9912] = {
    [sym_identifier] = STATE(10771),
    [sym_integer_literal] = STATE(10520),
    [sym_float_literal] = STATE(10520),
    [sym__string] = STATE(10520),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(10520),
    [sym__assignment_operator] = STATE(10520),
    [sym__syntactic_operator] = STATE(10520),
    [sym_block_comment] = STATE(9912),
    [sym_line_comment] = STATE(9912),
    [sym__word_identifier] = ACTIONS(13176),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(13178),
    [anon_sym_COLON2] = ACTIONS(13180),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(13182),
    [anon_sym_DOT_EQ] = ACTIONS(13182),
    [aux_sym_quote_expression_token1] = ACTIONS(13184),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13178),
    [anon_sym_QMARK] = ACTIONS(13178),
    [anon_sym_DASH_GT] = ACTIONS(13178),
    [anon_sym_where] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(13186),
    [aux_sym_integer_literal_token2] = ACTIONS(13186),
    [aux_sym_integer_literal_token3] = ACTIONS(13186),
    [aux_sym_integer_literal_token4] = ACTIONS(13188),
    [aux_sym_float_literal_token1] = ACTIONS(13190),
    [aux_sym_float_literal_token3] = ACTIONS(13190),
    [aux_sym_float_literal_token4] = ACTIONS(13190),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(13182),
    [aux_sym__assignment_operator_token1] = ACTIONS(13182),
    [sym__pair_operator] = ACTIONS(13180),
    [sym__arrow_operator] = ACTIONS(13180),
    [sym__lazy_or_operator] = ACTIONS(13184),
    [sym__lazy_and_operator] = ACTIONS(13184),
    [sym__comparison_operator] = ACTIONS(13180),
    [sym__pipe_right_operator] = ACTIONS(13180),
    [sym__pipe_left_operator] = ACTIONS(13180),
    [sym__ellipsis_operator] = ACTIONS(13180),
    [sym__plus_operator] = ACTIONS(13180),
    [sym__times_operator] = ACTIONS(13180),
    [sym__rational_operator] = ACTIONS(13180),
    [sym__bitshift_operator] = ACTIONS(13180),
    [sym__power_operator] = ACTIONS(13180),
    [sym__tilde_operator] = ACTIONS(13180),
    [sym__type_order_operator] = ACTIONS(13180),
    [sym__unary_operator] = ACTIONS(13180),
    [sym__unary_plus_operator] = ACTIONS(13180),
    [anon_sym_DOT2] = ACTIONS(13178),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(13192),
    [sym__immediate_bracket] = ACTIONS(13194),
    [sym__immediate_brace] = ACTIONS(13196),
  },
  [9913] = {
    [sym_identifier] = STATE(10782),
    [sym_integer_literal] = STATE(10520),
    [sym_float_literal] = STATE(10520),
    [sym__string] = STATE(10520),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(10520),
    [sym__assignment_operator] = STATE(10520),
    [sym__syntactic_operator] = STATE(10520),
    [sym_block_comment] = STATE(9913),
    [sym_line_comment] = STATE(9913),
    [sym__word_identifier] = ACTIONS(13176),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_catch] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(13178),
    [anon_sym_COLON2] = ACTIONS(13180),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(13182),
    [anon_sym_DOT_EQ] = ACTIONS(13182),
    [aux_sym_quote_expression_token1] = ACTIONS(13184),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13178),
    [anon_sym_QMARK] = ACTIONS(13178),
    [anon_sym_DASH_GT] = ACTIONS(13178),
    [anon_sym_where] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(13186),
    [aux_sym_integer_literal_token2] = ACTIONS(13186),
    [aux_sym_integer_literal_token3] = ACTIONS(13186),
    [aux_sym_integer_literal_token4] = ACTIONS(13188),
    [aux_sym_float_literal_token1] = ACTIONS(13190),
    [aux_sym_float_literal_token3] = ACTIONS(13190),
    [aux_sym_float_literal_token4] = ACTIONS(13190),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(13182),
    [aux_sym__assignment_operator_token1] = ACTIONS(13182),
    [sym__pair_operator] = ACTIONS(13180),
    [sym__arrow_operator] = ACTIONS(13180),
    [sym__lazy_or_operator] = ACTIONS(13184),
    [sym__lazy_and_operator] = ACTIONS(13184),
    [sym__comparison_operator] = ACTIONS(13180),
    [sym__pipe_right_operator] = ACTIONS(13180),
    [sym__pipe_left_operator] = ACTIONS(13180),
    [sym__ellipsis_operator] = ACTIONS(13180),
    [sym__plus_operator] = ACTIONS(13180),
    [sym__times_operator] = ACTIONS(13180),
    [sym__rational_operator] = ACTIONS(13180),
    [sym__bitshift_operator] = ACTIONS(13180),
    [sym__power_operator] = ACTIONS(13180),
    [sym__tilde_operator] = ACTIONS(13180),
    [sym__type_order_operator] = ACTIONS(13180),
    [sym__unary_operator] = ACTIONS(13180),
    [sym__unary_plus_operator] = ACTIONS(13180),
    [anon_sym_DOT2] = ACTIONS(13178),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(13192),
    [sym__immediate_bracket] = ACTIONS(13194),
    [sym__immediate_brace] = ACTIONS(13196),
  },
  [9914] = {
    [sym__primary_expression] = STATE(10987),
    [sym__array] = STATE(10654),
    [sym_comprehension_expression] = STATE(10689),
    [sym_matrix_expression] = STATE(10689),
    [sym_vector_expression] = STATE(10689),
    [sym_parenthesized_expression] = STATE(10654),
    [sym_tuple_expression] = STATE(10654),
    [sym_curly_expression] = STATE(10654),
    [sym_adjoint_expression] = STATE(10654),
    [sym_field_expression] = STATE(10654),
    [sym_index_expression] = STATE(10654),
    [sym_parametrized_type_expression] = STATE(10654),
    [sym_call_expression] = STATE(10654),
    [sym_broadcast_call_expression] = STATE(10654),
    [sym__closed_macrocall_expression] = STATE(10654),
    [sym_interpolation_expression] = STATE(10654),
    [sym_quote_expression] = STATE(10654),
    [sym_macro_identifier] = STATE(17588),
    [sym_identifier] = STATE(10827),
    [sym_boolean_literal] = STATE(10654),
    [sym__string] = STATE(10654),
    [sym__delimiter_str_1] = STATE(15341),
    [sym__delimiter_str_3] = STATE(15342),
    [sym__delimiter_cmd_1] = STATE(15343),
    [sym__delimiter_cmd_3] = STATE(15344),
    [sym_string_literal] = STATE(10680),
    [sym_command_literal] = STATE(10680),
    [sym_prefixed_string_literal] = STATE(10680),
    [sym_prefixed_command_literal] = STATE(10680),
    [sym_operator] = STATE(19440),
    [sym_block_comment] = STATE(9914),
    [sym_line_comment] = STATE(9914),
    [sym__word_identifier] = ACTIONS(10105),
    [anon_sym_COMMA] = ACTIONS(9483),
    [anon_sym_EQ] = ACTIONS(9442),
    [anon_sym_LPAREN] = ACTIONS(10107),
    [anon_sym_COLON] = ACTIONS(9442),
    [anon_sym_LBRACK] = ACTIONS(10109),
    [anon_sym_in] = ACTIONS(9442),
    [anon_sym_LBRACE] = ACTIONS(10111),
    [anon_sym_DOLLAR] = ACTIONS(11284),
    [anon_sym_COLON2] = ACTIONS(13198),
    [anon_sym_COLON_COLON] = ACTIONS(9483),
    [anon_sym_isa] = ACTIONS(9442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(9483),
    [anon_sym_QMARK] = ACTIONS(9483),
    [anon_sym_where] = ACTIONS(9442),
    [anon_sym_AT] = ACTIONS(10117),
    [anon_sym_true] = ACTIONS(10119),
    [anon_sym_false] = ACTIONS(10119),
    [sym_character_literal] = ACTIONS(10121),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [sym__pair_operator] = ACTIONS(9614),
    [sym__arrow_operator] = ACTIONS(9480),
    [sym__lazy_or_operator] = ACTIONS(9483),
    [sym__lazy_and_operator] = ACTIONS(9483),
    [sym__comparison_operator] = ACTIONS(9480),
    [sym__pipe_right_operator] = ACTIONS(9614),
    [sym__pipe_left_operator] = ACTIONS(9614),
    [sym__ellipsis_operator] = ACTIONS(9480),
    [sym__plus_operator] = ACTIONS(9480),
    [sym__times_operator] = ACTIONS(9480),
    [sym__rational_operator] = ACTIONS(9614),
    [sym__bitshift_operator] = ACTIONS(9614),
    [sym__power_operator] = ACTIONS(9614),
    [sym__tilde_operator] = ACTIONS(1687),
    [sym__type_order_operator] = ACTIONS(9614),
    [sym__unary_operator] = ACTIONS(1689),
    [sym__unary_plus_operator] = ACTIONS(9480),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9915] = {
    [sym_identifier] = STATE(10430),
    [sym_integer_literal] = STATE(10367),
    [sym_float_literal] = STATE(10367),
    [sym__string] = STATE(10367),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(10367),
    [sym__assignment_operator] = STATE(10367),
    [sym__syntactic_operator] = STATE(10367),
    [sym_block_comment] = STATE(9915),
    [sym_line_comment] = STATE(9915),
    [sym__word_identifier] = ACTIONS(13120),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_RBRACK] = ACTIONS(3226),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_RBRACE] = ACTIONS(3226),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13124),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_COLON_EQ] = ACTIONS(13126),
    [anon_sym_DOT_EQ] = ACTIONS(13128),
    [aux_sym_quote_expression_token1] = ACTIONS(13130),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13132),
    [anon_sym_QMARK] = ACTIONS(13132),
    [anon_sym_DASH_GT] = ACTIONS(13132),
    [anon_sym_where] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(13134),
    [aux_sym_integer_literal_token2] = ACTIONS(13134),
    [aux_sym_integer_literal_token3] = ACTIONS(13136),
    [aux_sym_integer_literal_token4] = ACTIONS(13138),
    [aux_sym_float_literal_token1] = ACTIONS(13140),
    [aux_sym_float_literal_token3] = ACTIONS(13140),
    [aux_sym_float_literal_token4] = ACTIONS(13140),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(13126),
    [aux_sym__assignment_operator_token1] = ACTIONS(13126),
    [sym__pair_operator] = ACTIONS(13142),
    [sym__arrow_operator] = ACTIONS(13124),
    [sym__lazy_or_operator] = ACTIONS(13144),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13124),
    [sym__pipe_right_operator] = ACTIONS(13142),
    [sym__pipe_left_operator] = ACTIONS(13142),
    [sym__ellipsis_operator] = ACTIONS(13124),
    [sym__plus_operator] = ACTIONS(13124),
    [sym__times_operator] = ACTIONS(13124),
    [sym__rational_operator] = ACTIONS(13124),
    [sym__bitshift_operator] = ACTIONS(13124),
    [sym__power_operator] = ACTIONS(13124),
    [sym__tilde_operator] = ACTIONS(13142),
    [sym__type_order_operator] = ACTIONS(13142),
    [sym__unary_operator] = ACTIONS(13124),
    [sym__unary_plus_operator] = ACTIONS(13124),
    [anon_sym_DOT2] = ACTIONS(13122),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(13146),
    [sym__immediate_bracket] = ACTIONS(13148),
    [sym__immediate_brace] = ACTIONS(13150),
  },
  [9916] = {
    [sym_identifier] = STATE(10786),
    [sym_integer_literal] = STATE(10520),
    [sym_float_literal] = STATE(10520),
    [sym__string] = STATE(10520),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(10520),
    [sym__assignment_operator] = STATE(10520),
    [sym__syntactic_operator] = STATE(10520),
    [sym_block_comment] = STATE(9916),
    [sym_line_comment] = STATE(9916),
    [sym__word_identifier] = ACTIONS(13176),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_finally] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(13178),
    [anon_sym_COLON2] = ACTIONS(13180),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(13182),
    [anon_sym_DOT_EQ] = ACTIONS(13182),
    [aux_sym_quote_expression_token1] = ACTIONS(13184),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13178),
    [anon_sym_QMARK] = ACTIONS(13178),
    [anon_sym_DASH_GT] = ACTIONS(13178),
    [anon_sym_where] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(13186),
    [aux_sym_integer_literal_token2] = ACTIONS(13186),
    [aux_sym_integer_literal_token3] = ACTIONS(13186),
    [aux_sym_integer_literal_token4] = ACTIONS(13188),
    [aux_sym_float_literal_token1] = ACTIONS(13190),
    [aux_sym_float_literal_token3] = ACTIONS(13190),
    [aux_sym_float_literal_token4] = ACTIONS(13190),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(13182),
    [aux_sym__assignment_operator_token1] = ACTIONS(13182),
    [sym__pair_operator] = ACTIONS(13180),
    [sym__arrow_operator] = ACTIONS(13180),
    [sym__lazy_or_operator] = ACTIONS(13184),
    [sym__lazy_and_operator] = ACTIONS(13184),
    [sym__comparison_operator] = ACTIONS(13180),
    [sym__pipe_right_operator] = ACTIONS(13180),
    [sym__pipe_left_operator] = ACTIONS(13180),
    [sym__ellipsis_operator] = ACTIONS(13180),
    [sym__plus_operator] = ACTIONS(13180),
    [sym__times_operator] = ACTIONS(13180),
    [sym__rational_operator] = ACTIONS(13180),
    [sym__bitshift_operator] = ACTIONS(13180),
    [sym__power_operator] = ACTIONS(13180),
    [sym__tilde_operator] = ACTIONS(13180),
    [sym__type_order_operator] = ACTIONS(13180),
    [sym__unary_operator] = ACTIONS(13180),
    [sym__unary_plus_operator] = ACTIONS(13180),
    [anon_sym_DOT2] = ACTIONS(13178),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(13192),
    [sym__immediate_bracket] = ACTIONS(13194),
    [sym__immediate_brace] = ACTIONS(13196),
  },
  [9917] = {
    [sym__comprehension_clause] = STATE(19177),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9917),
    [sym_line_comment] = STATE(9917),
    [aux_sym_vector_expression_repeat1] = STATE(17672),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12510),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12512),
    [anon_sym_SEMI] = ACTIONS(12514),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12517),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9918] = {
    [sym__comprehension_clause] = STATE(18789),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9918),
    [sym_line_comment] = STATE(9918),
    [aux_sym_vector_expression_repeat1] = STATE(17899),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12263),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12265),
    [anon_sym_SEMI] = ACTIONS(12267),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12270),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9919] = {
    [sym__comprehension_clause] = STATE(18859),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9919),
    [sym_line_comment] = STATE(9919),
    [aux_sym_vector_expression_repeat1] = STATE(17913),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12275),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12277),
    [anon_sym_SEMI] = ACTIONS(12279),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12282),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9920] = {
    [sym__comprehension_clause] = STATE(19532),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9920),
    [sym_line_comment] = STATE(9920),
    [aux_sym_vector_expression_repeat1] = STATE(18050),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12111),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12113),
    [anon_sym_SEMI] = ACTIONS(12115),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12118),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9921] = {
    [sym__comprehension_clause] = STATE(19006),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9921),
    [sym_line_comment] = STATE(9921),
    [aux_sym_vector_expression_repeat1] = STATE(17944),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12288),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12290),
    [anon_sym_SEMI] = ACTIONS(12292),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12295),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9922] = {
    [sym__comprehension_clause] = STATE(19746),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9922),
    [sym_line_comment] = STATE(9922),
    [aux_sym_vector_expression_repeat1] = STATE(18089),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12121),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12123),
    [anon_sym_SEMI] = ACTIONS(12125),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12128),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9923] = {
    [sym__comprehension_clause] = STATE(20222),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9923),
    [sym_line_comment] = STATE(9923),
    [aux_sym_vector_expression_repeat1] = STATE(18190),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12155),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12157),
    [anon_sym_SEMI] = ACTIONS(12159),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12162),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9924] = {
    [sym__comprehension_clause] = STATE(19077),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9924),
    [sym_line_comment] = STATE(9924),
    [aux_sym_vector_expression_repeat1] = STATE(17958),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12091),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12093),
    [anon_sym_SEMI] = ACTIONS(12095),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12098),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9925] = {
    [sym__comprehension_clause] = STATE(19135),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9925),
    [sym_line_comment] = STATE(9925),
    [aux_sym_vector_expression_repeat1] = STATE(17973),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12298),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12300),
    [anon_sym_SEMI] = ACTIONS(12302),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12305),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9926] = {
    [sym__comprehension_clause] = STATE(18857),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9926),
    [sym_line_comment] = STATE(9926),
    [aux_sym_vector_expression_repeat1] = STATE(17919),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11980),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11982),
    [anon_sym_SEMI] = ACTIONS(11984),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11987),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9927] = {
    [sym__comprehension_clause] = STATE(19359),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9927),
    [sym_line_comment] = STATE(9927),
    [aux_sym_vector_expression_repeat1] = STATE(17596),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12165),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12167),
    [anon_sym_SEMI] = ACTIONS(12169),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12172),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9928] = {
    [sym__comprehension_clause] = STATE(20211),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9928),
    [sym_line_comment] = STATE(9928),
    [aux_sym_vector_expression_repeat1] = STATE(17717),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11832),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11834),
    [anon_sym_SEMI] = ACTIONS(11836),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11839),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9929] = {
    [sym_identifier] = STATE(10845),
    [sym_integer_literal] = STATE(10520),
    [sym_float_literal] = STATE(10520),
    [sym__string] = STATE(10520),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(10520),
    [sym__assignment_operator] = STATE(10520),
    [sym__syntactic_operator] = STATE(10520),
    [sym_block_comment] = STATE(9929),
    [sym_line_comment] = STATE(9929),
    [ts_builtin_sym_end] = ACTIONS(3226),
    [sym__word_identifier] = ACTIONS(13176),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(13178),
    [anon_sym_COLON2] = ACTIONS(13180),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(13182),
    [anon_sym_DOT_EQ] = ACTIONS(13182),
    [aux_sym_quote_expression_token1] = ACTIONS(13184),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13178),
    [anon_sym_QMARK] = ACTIONS(13178),
    [anon_sym_DASH_GT] = ACTIONS(13178),
    [anon_sym_where] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(13186),
    [aux_sym_integer_literal_token2] = ACTIONS(13186),
    [aux_sym_integer_literal_token3] = ACTIONS(13186),
    [aux_sym_integer_literal_token4] = ACTIONS(13188),
    [aux_sym_float_literal_token1] = ACTIONS(13190),
    [aux_sym_float_literal_token3] = ACTIONS(13190),
    [aux_sym_float_literal_token4] = ACTIONS(13190),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(13182),
    [aux_sym__assignment_operator_token1] = ACTIONS(13182),
    [sym__pair_operator] = ACTIONS(13180),
    [sym__arrow_operator] = ACTIONS(13180),
    [sym__lazy_or_operator] = ACTIONS(13184),
    [sym__lazy_and_operator] = ACTIONS(13184),
    [sym__comparison_operator] = ACTIONS(13180),
    [sym__pipe_right_operator] = ACTIONS(13180),
    [sym__pipe_left_operator] = ACTIONS(13180),
    [sym__ellipsis_operator] = ACTIONS(13180),
    [sym__plus_operator] = ACTIONS(13180),
    [sym__times_operator] = ACTIONS(13180),
    [sym__rational_operator] = ACTIONS(13180),
    [sym__bitshift_operator] = ACTIONS(13180),
    [sym__power_operator] = ACTIONS(13180),
    [sym__tilde_operator] = ACTIONS(13180),
    [sym__type_order_operator] = ACTIONS(13180),
    [sym__unary_operator] = ACTIONS(13180),
    [sym__unary_plus_operator] = ACTIONS(13180),
    [anon_sym_DOT2] = ACTIONS(13178),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(13192),
    [sym__immediate_bracket] = ACTIONS(13194),
    [sym__immediate_brace] = ACTIONS(13196),
  },
  [9930] = {
    [sym__comprehension_clause] = STATE(19273),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9930),
    [sym_line_comment] = STATE(9930),
    [aux_sym_vector_expression_repeat1] = STATE(18002),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12308),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12310),
    [anon_sym_SEMI] = ACTIONS(12312),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12315),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9931] = {
    [sym__comprehension_clause] = STATE(19156),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9931),
    [sym_line_comment] = STATE(9931),
    [aux_sym_vector_expression_repeat1] = STATE(17608),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11432),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11439),
    [anon_sym_SEMI] = ACTIONS(11443),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11478),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9932] = {
    [sym__comprehension_clause] = STATE(18942),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9932),
    [sym_line_comment] = STATE(9932),
    [aux_sym_vector_expression_repeat1] = STATE(17927),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11842),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11844),
    [anon_sym_SEMI] = ACTIONS(11846),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11849),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9933] = {
    [sym__comprehension_clause] = STATE(18891),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9933),
    [sym_line_comment] = STATE(9933),
    [aux_sym_vector_expression_repeat1] = STATE(17628),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12175),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12177),
    [anon_sym_SEMI] = ACTIONS(12179),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12182),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9934] = {
    [sym__comprehension_clause] = STATE(18828),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9934),
    [sym_line_comment] = STATE(9934),
    [aux_sym_vector_expression_repeat1] = STATE(17906),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11792),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11794),
    [anon_sym_SEMI] = ACTIONS(11796),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11799),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9935] = {
    [sym__comprehension_clause] = STATE(18983),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9935),
    [sym_line_comment] = STATE(9935),
    [aux_sym_vector_expression_repeat1] = STATE(17629),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11812),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11814),
    [anon_sym_SEMI] = ACTIONS(11816),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11819),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9936] = {
    [sym__comprehension_clause] = STATE(20037),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9936),
    [sym_line_comment] = STATE(9936),
    [aux_sym_vector_expression_repeat1] = STATE(18155),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11714),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11716),
    [anon_sym_SEMI] = ACTIONS(11718),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11721),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9937] = {
    [sym__comprehension_clause] = STATE(20126),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9937),
    [sym_line_comment] = STATE(9937),
    [aux_sym_vector_expression_repeat1] = STATE(18171),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11993),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11995),
    [anon_sym_SEMI] = ACTIONS(11997),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12000),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9938] = {
    [sym__comprehension_clause] = STATE(19978),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9938),
    [sym_line_comment] = STATE(9938),
    [aux_sym_vector_expression_repeat1] = STATE(17763),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11649),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11651),
    [anon_sym_SEMI] = ACTIONS(11653),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11656),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9939] = {
    [sym__comprehension_clause] = STATE(19526),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9939),
    [sym_line_comment] = STATE(9939),
    [aux_sym_vector_expression_repeat1] = STATE(17749),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12003),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12005),
    [anon_sym_SEMI] = ACTIONS(12007),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12010),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9940] = {
    [sym__comprehension_clause] = STATE(20165),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9940),
    [sym_line_comment] = STATE(9940),
    [aux_sym_vector_expression_repeat1] = STATE(18176),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11734),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11736),
    [anon_sym_SEMI] = ACTIONS(11738),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11741),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9941] = {
    [sym__comprehension_clause] = STATE(19084),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9941),
    [sym_line_comment] = STATE(9941),
    [aux_sym_vector_expression_repeat1] = STATE(17959),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11852),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11854),
    [anon_sym_SEMI] = ACTIONS(11856),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11859),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9942] = {
    [sym__comprehension_clause] = STATE(19358),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9942),
    [sym_line_comment] = STATE(9942),
    [aux_sym_vector_expression_repeat1] = STATE(18017),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12101),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12103),
    [anon_sym_SEMI] = ACTIONS(12105),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12108),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9943] = {
    [sym__comprehension_clause] = STATE(19067),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9943),
    [sym_line_comment] = STATE(9943),
    [aux_sym_vector_expression_repeat1] = STATE(17956),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12019),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12021),
    [anon_sym_SEMI] = ACTIONS(12023),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12026),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9944] = {
    [sym__comprehension_clause] = STATE(19242),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9944),
    [sym_line_comment] = STATE(9944),
    [aux_sym_vector_expression_repeat1] = STATE(17994),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11864),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11866),
    [anon_sym_SEMI] = ACTIONS(11868),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11871),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9945] = {
    [sym__comprehension_clause] = STATE(19820),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9945),
    [sym_line_comment] = STATE(9945),
    [aux_sym_vector_expression_repeat1] = STATE(18108),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12420),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12422),
    [anon_sym_SEMI] = ACTIONS(12424),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12427),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9946] = {
    [sym__comprehension_clause] = STATE(19416),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9946),
    [sym_line_comment] = STATE(9946),
    [aux_sym_vector_expression_repeat1] = STATE(18028),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11880),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11882),
    [anon_sym_SEMI] = ACTIONS(11884),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11887),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9947] = {
    [sym__comprehension_clause] = STATE(18962),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9947),
    [sym_line_comment] = STATE(9947),
    [aux_sym_vector_expression_repeat1] = STATE(17655),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12187),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12189),
    [anon_sym_SEMI] = ACTIONS(12191),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12194),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9948] = {
    [sym__comprehension_clause] = STATE(19581),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9948),
    [sym_line_comment] = STATE(9948),
    [aux_sym_vector_expression_repeat1] = STATE(17686),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12201),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12203),
    [anon_sym_SEMI] = ACTIONS(12205),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12208),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9949] = {
    [sym__comprehension_clause] = STATE(20312),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9949),
    [sym_line_comment] = STATE(9949),
    [aux_sym_vector_expression_repeat1] = STATE(18208),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11802),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11804),
    [anon_sym_SEMI] = ACTIONS(11806),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11809),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9950] = {
    [sym__comprehension_clause] = STATE(19768),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9950),
    [sym_line_comment] = STATE(9950),
    [aux_sym_vector_expression_repeat1] = STATE(18095),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11968),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11970),
    [anon_sym_SEMI] = ACTIONS(11972),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11975),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9951] = {
    [sym__comprehension_clause] = STATE(20161),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9951),
    [sym_line_comment] = STATE(9951),
    [aux_sym_vector_expression_repeat1] = STATE(17713),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12211),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12213),
    [anon_sym_SEMI] = ACTIONS(12215),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12218),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9952] = {
    [sym__comprehension_clause] = STATE(19779),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9952),
    [sym_line_comment] = STATE(9952),
    [aux_sym_vector_expression_repeat1] = STATE(18098),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12029),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12031),
    [anon_sym_SEMI] = ACTIONS(12033),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12036),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9953] = {
    [sym__comprehension_clause] = STATE(19646),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9953),
    [sym_line_comment] = STATE(9953),
    [aux_sym_vector_expression_repeat1] = STATE(18068),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11890),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11892),
    [anon_sym_SEMI] = ACTIONS(11894),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11897),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9954] = {
    [sym__comprehension_clause] = STATE(20287),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9954),
    [sym_line_comment] = STATE(9954),
    [aux_sym_vector_expression_repeat1] = STATE(18204),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12039),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12041),
    [anon_sym_SEMI] = ACTIONS(12043),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12046),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9955] = {
    [sym__comprehension_clause] = STATE(19788),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9955),
    [sym_line_comment] = STATE(9955),
    [aux_sym_vector_expression_repeat1] = STATE(18101),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11900),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11902),
    [anon_sym_SEMI] = ACTIONS(11904),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11907),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9956] = {
    [sym__comprehension_clause] = STATE(19447),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9956),
    [sym_line_comment] = STATE(9956),
    [aux_sym_vector_expression_repeat1] = STATE(17601),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11778),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11780),
    [anon_sym_SEMI] = ACTIONS(11782),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11785),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9957] = {
    [sym__comprehension_clause] = STATE(19907),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9957),
    [sym_line_comment] = STATE(9957),
    [aux_sym_vector_expression_repeat1] = STATE(18129),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12131),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12133),
    [anon_sym_SEMI] = ACTIONS(12135),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12138),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9958] = {
    [sym__comprehension_clause] = STATE(19986),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9958),
    [sym_line_comment] = STATE(9958),
    [aux_sym_vector_expression_repeat1] = STATE(18142),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11677),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11679),
    [anon_sym_SEMI] = ACTIONS(11681),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11684),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9959] = {
    [sym__comprehension_clause] = STATE(19946),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9959),
    [sym_line_comment] = STATE(9959),
    [aux_sym_vector_expression_repeat1] = STATE(18134),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11916),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11918),
    [anon_sym_SEMI] = ACTIONS(11920),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11923),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9960] = {
    [sym__comprehension_clause] = STATE(19151),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9960),
    [sym_line_comment] = STATE(9960),
    [aux_sym_vector_expression_repeat1] = STATE(17668),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12049),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12051),
    [anon_sym_SEMI] = ACTIONS(12053),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12056),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9961] = {
    [sym_identifier] = STATE(10853),
    [sym_integer_literal] = STATE(10367),
    [sym_float_literal] = STATE(10367),
    [sym__string] = STATE(10367),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(10367),
    [sym__assignment_operator] = STATE(10367),
    [sym__syntactic_operator] = STATE(10367),
    [sym_block_comment] = STATE(9961),
    [sym_line_comment] = STATE(9961),
    [sym__word_identifier] = ACTIONS(13120),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_for] = ACTIONS(3222),
    [anon_sym_RPAREN] = ACTIONS(3226),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3226),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13124),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_COLON_EQ] = ACTIONS(13126),
    [anon_sym_DOT_EQ] = ACTIONS(13128),
    [aux_sym_quote_expression_token1] = ACTIONS(13130),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13132),
    [anon_sym_QMARK] = ACTIONS(13132),
    [anon_sym_DASH_GT] = ACTIONS(13132),
    [anon_sym_where] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(13134),
    [aux_sym_integer_literal_token2] = ACTIONS(13134),
    [aux_sym_integer_literal_token3] = ACTIONS(13136),
    [aux_sym_integer_literal_token4] = ACTIONS(13138),
    [aux_sym_float_literal_token1] = ACTIONS(13140),
    [aux_sym_float_literal_token3] = ACTIONS(13140),
    [aux_sym_float_literal_token4] = ACTIONS(13140),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(13126),
    [aux_sym__assignment_operator_token1] = ACTIONS(13126),
    [sym__pair_operator] = ACTIONS(13142),
    [sym__arrow_operator] = ACTIONS(13124),
    [sym__lazy_or_operator] = ACTIONS(13144),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13124),
    [sym__pipe_right_operator] = ACTIONS(13142),
    [sym__pipe_left_operator] = ACTIONS(13142),
    [sym__ellipsis_operator] = ACTIONS(13124),
    [sym__plus_operator] = ACTIONS(13124),
    [sym__times_operator] = ACTIONS(13124),
    [sym__rational_operator] = ACTIONS(13124),
    [sym__bitshift_operator] = ACTIONS(13124),
    [sym__power_operator] = ACTIONS(13124),
    [sym__tilde_operator] = ACTIONS(13142),
    [sym__type_order_operator] = ACTIONS(13142),
    [sym__unary_operator] = ACTIONS(13124),
    [sym__unary_plus_operator] = ACTIONS(13124),
    [anon_sym_DOT2] = ACTIONS(13122),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(13146),
    [sym__immediate_bracket] = ACTIONS(13148),
    [sym__immediate_brace] = ACTIONS(13150),
  },
  [9962] = {
    [sym__comprehension_clause] = STATE(20306),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9962),
    [sym_line_comment] = STATE(9962),
    [aux_sym_vector_expression_repeat1] = STATE(17585),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11946),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11948),
    [anon_sym_SEMI] = ACTIONS(11950),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11953),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9963] = {
    [sym__comprehension_clause] = STATE(19625),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9963),
    [sym_line_comment] = STATE(9963),
    [aux_sym_vector_expression_repeat1] = STATE(17752),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12059),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12061),
    [anon_sym_SEMI] = ACTIONS(12063),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12066),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9964] = {
    [sym__comprehension_clause] = STATE(18795),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9964),
    [sym_line_comment] = STATE(9964),
    [aux_sym_vector_expression_repeat1] = STATE(17654),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11768),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11770),
    [anon_sym_SEMI] = ACTIONS(11772),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11775),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9965] = {
    [sym__comprehension_clause] = STATE(20067),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9965),
    [sym_line_comment] = STATE(9965),
    [aux_sym_vector_expression_repeat1] = STATE(18156),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12141),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12143),
    [anon_sym_SEMI] = ACTIONS(12145),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12148),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9966] = {
    [sym__comprehension_clause] = STATE(20234),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9966),
    [sym_line_comment] = STATE(9966),
    [aux_sym_vector_expression_repeat1] = STATE(17599),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11691),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11693),
    [anon_sym_SEMI] = ACTIONS(11695),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11698),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9967] = {
    [sym__comprehension_clause] = STATE(19343),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9967),
    [sym_line_comment] = STATE(9967),
    [aux_sym_vector_expression_repeat1] = STATE(18015),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11661),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11663),
    [anon_sym_SEMI] = ACTIONS(11665),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11668),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9968] = {
    [sym__comprehension_clause] = STATE(18989),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9968),
    [sym_line_comment] = STATE(9968),
    [aux_sym_vector_expression_repeat1] = STATE(17939),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11724),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11726),
    [anon_sym_SEMI] = ACTIONS(11728),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11731),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9969] = {
    [sym__comprehension_clause] = STATE(19388),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9969),
    [sym_line_comment] = STATE(9969),
    [aux_sym_vector_expression_repeat1] = STATE(17746),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12221),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12223),
    [anon_sym_SEMI] = ACTIONS(12225),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12228),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9970] = {
    [sym__comprehension_clause] = STATE(19944),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9970),
    [sym_line_comment] = STATE(9970),
    [aux_sym_vector_expression_repeat1] = STATE(17875),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11956),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11958),
    [anon_sym_SEMI] = ACTIONS(11960),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11963),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9971] = {
    [sym__comprehension_clause] = STATE(19961),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9971),
    [sym_line_comment] = STATE(9971),
    [aux_sym_vector_expression_repeat1] = STATE(17873),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12253),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12255),
    [anon_sym_SEMI] = ACTIONS(12257),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12260),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9972] = {
    [sym__comprehension_clause] = STATE(20175),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9972),
    [sym_line_comment] = STATE(9972),
    [aux_sym_vector_expression_repeat1] = STATE(18177),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11926),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11928),
    [anon_sym_SEMI] = ACTIONS(11930),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11933),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9973] = {
    [sym__comprehension_clause] = STATE(19051),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9973),
    [sym_line_comment] = STATE(9973),
    [aux_sym_vector_expression_repeat1] = STATE(17660),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11822),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11824),
    [anon_sym_SEMI] = ACTIONS(11826),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11829),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9974] = {
    [sym__comprehension_clause] = STATE(19817),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9974),
    [sym_line_comment] = STATE(9974),
    [aux_sym_vector_expression_repeat1] = STATE(17858),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12071),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12073),
    [anon_sym_SEMI] = ACTIONS(12075),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12078),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9975] = {
    [sym__comprehension_clause] = STATE(18986),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9975),
    [sym_line_comment] = STATE(9975),
    [aux_sym_vector_expression_repeat1] = STATE(17794),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12233),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12235),
    [anon_sym_SEMI] = ACTIONS(12237),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12240),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9976] = {
    [sym__comprehension_clause] = STATE(19515),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9976),
    [sym_line_comment] = STATE(9976),
    [aux_sym_vector_expression_repeat1] = STATE(18056),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11746),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11748),
    [anon_sym_SEMI] = ACTIONS(11750),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11753),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9977] = {
    [sym__comprehension_clause] = STATE(19278),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9977),
    [sym_line_comment] = STATE(9977),
    [aux_sym_vector_expression_repeat1] = STATE(18007),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11758),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11760),
    [anon_sym_SEMI] = ACTIONS(11762),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11765),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9978] = {
    [sym__comprehension_clause] = STATE(18836),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9978),
    [sym_line_comment] = STATE(9978),
    [aux_sym_vector_expression_repeat1] = STATE(17907),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12081),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12083),
    [anon_sym_SEMI] = ACTIONS(12085),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12088),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9979] = {
    [sym__comprehension_clause] = STATE(18800),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9979),
    [sym_line_comment] = STATE(9979),
    [aux_sym_vector_expression_repeat1] = STATE(17646),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(11936),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11938),
    [anon_sym_SEMI] = ACTIONS(11940),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(11943),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9980] = {
    [sym_identifier] = STATE(10980),
    [sym_integer_literal] = STATE(10520),
    [sym_float_literal] = STATE(10520),
    [sym__string] = STATE(10520),
    [sym__delimiter_str_1] = STATE(15097),
    [sym__delimiter_str_3] = STATE(15150),
    [sym__delimiter_cmd_1] = STATE(15330),
    [sym__delimiter_cmd_3] = STATE(15338),
    [sym_string_literal] = STATE(10515),
    [sym_command_literal] = STATE(10515),
    [sym_prefixed_string_literal] = STATE(10515),
    [sym_prefixed_command_literal] = STATE(10515),
    [sym_operator] = STATE(10520),
    [sym__assignment_operator] = STATE(10520),
    [sym__syntactic_operator] = STATE(10520),
    [sym_block_comment] = STATE(9980),
    [sym_line_comment] = STATE(9980),
    [sym__word_identifier] = ACTIONS(13176),
    [anon_sym_COMMA] = ACTIONS(3222),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_SEMI] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(13178),
    [anon_sym_COLON2] = ACTIONS(13180),
    [anon_sym_COLON_COLON] = ACTIONS(3222),
    [anon_sym_COLON_EQ] = ACTIONS(13182),
    [anon_sym_DOT_EQ] = ACTIONS(13182),
    [aux_sym_quote_expression_token1] = ACTIONS(13184),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13178),
    [anon_sym_QMARK] = ACTIONS(13178),
    [anon_sym_DASH_GT] = ACTIONS(13178),
    [anon_sym_where] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(13186),
    [aux_sym_integer_literal_token2] = ACTIONS(13186),
    [aux_sym_integer_literal_token3] = ACTIONS(13186),
    [aux_sym_integer_literal_token4] = ACTIONS(13188),
    [aux_sym_float_literal_token1] = ACTIONS(13190),
    [aux_sym_float_literal_token3] = ACTIONS(13190),
    [aux_sym_float_literal_token4] = ACTIONS(13190),
    [sym_character_literal] = ACTIONS(235),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(179),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(181),
    [anon_sym_DOLLAR_EQ] = ACTIONS(13182),
    [aux_sym__assignment_operator_token1] = ACTIONS(13182),
    [sym__pair_operator] = ACTIONS(13180),
    [sym__arrow_operator] = ACTIONS(13180),
    [sym__lazy_or_operator] = ACTIONS(13184),
    [sym__lazy_and_operator] = ACTIONS(13184),
    [sym__comparison_operator] = ACTIONS(13180),
    [sym__pipe_right_operator] = ACTIONS(13180),
    [sym__pipe_left_operator] = ACTIONS(13180),
    [sym__ellipsis_operator] = ACTIONS(13180),
    [sym__plus_operator] = ACTIONS(13180),
    [sym__times_operator] = ACTIONS(13180),
    [sym__rational_operator] = ACTIONS(13180),
    [sym__bitshift_operator] = ACTIONS(13180),
    [sym__power_operator] = ACTIONS(13180),
    [sym__tilde_operator] = ACTIONS(13180),
    [sym__type_order_operator] = ACTIONS(13180),
    [sym__unary_operator] = ACTIONS(13180),
    [sym__unary_plus_operator] = ACTIONS(13180),
    [anon_sym_DOT2] = ACTIONS(13178),
    [aux_sym__terminator_token1] = ACTIONS(3226),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(13192),
    [sym__immediate_bracket] = ACTIONS(13194),
    [sym__immediate_brace] = ACTIONS(13196),
  },
  [9981] = {
    [sym__comprehension_clause] = STATE(19610),
    [sym_for_clause] = STATE(14590),
    [sym_block_comment] = STATE(9981),
    [sym_line_comment] = STATE(9981),
    [aux_sym_vector_expression_repeat1] = STATE(17837),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_COMMA] = ACTIONS(12243),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11434),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(12245),
    [anon_sym_SEMI] = ACTIONS(12247),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(12250),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9982] = {
    [sym_identifier] = STATE(11175),
    [sym_integer_literal] = STATE(10367),
    [sym_float_literal] = STATE(10367),
    [sym__string] = STATE(10367),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(10367),
    [sym__assignment_operator] = STATE(10367),
    [sym__syntactic_operator] = STATE(10367),
    [sym_block_comment] = STATE(9982),
    [sym_line_comment] = STATE(9982),
    [sym__word_identifier] = ACTIONS(13120),
    [anon_sym_COMMA] = ACTIONS(3226),
    [anon_sym_EQ] = ACTIONS(3222),
    [anon_sym_end] = ACTIONS(3222),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13124),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_COLON_EQ] = ACTIONS(13126),
    [anon_sym_DOT_EQ] = ACTIONS(13128),
    [aux_sym_quote_expression_token1] = ACTIONS(13130),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13132),
    [anon_sym_QMARK] = ACTIONS(13132),
    [anon_sym_DASH_GT] = ACTIONS(13132),
    [anon_sym_where] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(13134),
    [aux_sym_integer_literal_token2] = ACTIONS(13134),
    [aux_sym_integer_literal_token3] = ACTIONS(13136),
    [aux_sym_integer_literal_token4] = ACTIONS(13138),
    [aux_sym_float_literal_token1] = ACTIONS(13140),
    [aux_sym_float_literal_token3] = ACTIONS(13140),
    [aux_sym_float_literal_token4] = ACTIONS(13140),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(13126),
    [aux_sym__assignment_operator_token1] = ACTIONS(13126),
    [sym__pair_operator] = ACTIONS(13142),
    [sym__arrow_operator] = ACTIONS(13124),
    [sym__lazy_or_operator] = ACTIONS(13144),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13124),
    [sym__pipe_right_operator] = ACTIONS(13142),
    [sym__pipe_left_operator] = ACTIONS(13142),
    [sym__ellipsis_operator] = ACTIONS(13124),
    [sym__plus_operator] = ACTIONS(13124),
    [sym__times_operator] = ACTIONS(13124),
    [sym__rational_operator] = ACTIONS(13124),
    [sym__bitshift_operator] = ACTIONS(13124),
    [sym__power_operator] = ACTIONS(13124),
    [sym__tilde_operator] = ACTIONS(13142),
    [sym__type_order_operator] = ACTIONS(13142),
    [sym__unary_operator] = ACTIONS(13124),
    [sym__unary_plus_operator] = ACTIONS(13124),
    [anon_sym_DOT2] = ACTIONS(13122),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(13146),
    [sym__immediate_bracket] = ACTIONS(13148),
    [sym__immediate_brace] = ACTIONS(13150),
  },
  [9983] = {
    [sym_block_comment] = STATE(9983),
    [sym_line_comment] = STATE(9983),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(13201),
    [sym__immediate_command_start] = ACTIONS(13203),
  },
  [9984] = {
    [sym_block_comment] = STATE(9984),
    [sym_line_comment] = STATE(9984),
    [aux_sym__terminator_repeat1] = STATE(9984),
    [sym__word_identifier] = ACTIONS(13205),
    [anon_sym_begin] = ACTIONS(13205),
    [anon_sym_module] = ACTIONS(13205),
    [anon_sym_baremodule] = ACTIONS(13205),
    [anon_sym_end] = ACTIONS(13205),
    [anon_sym_abstract] = ACTIONS(13205),
    [anon_sym_primitive] = ACTIONS(13205),
    [anon_sym_mutable] = ACTIONS(13205),
    [anon_sym_struct] = ACTIONS(13205),
    [anon_sym_function] = ACTIONS(13205),
    [anon_sym_macro] = ACTIONS(13205),
    [anon_sym_quote] = ACTIONS(13205),
    [anon_sym_let] = ACTIONS(13205),
    [anon_sym_if] = ACTIONS(13205),
    [anon_sym_else] = ACTIONS(13205),
    [anon_sym_try] = ACTIONS(13205),
    [anon_sym_finally] = ACTIONS(13205),
    [anon_sym_for] = ACTIONS(13205),
    [anon_sym_while] = ACTIONS(13205),
    [sym_break_statement] = ACTIONS(13205),
    [sym_continue_statement] = ACTIONS(13205),
    [anon_sym_return] = ACTIONS(13205),
    [anon_sym_const] = ACTIONS(13205),
    [anon_sym_global] = ACTIONS(13205),
    [anon_sym_local] = ACTIONS(13205),
    [anon_sym_LPAREN] = ACTIONS(13207),
    [anon_sym_export] = ACTIONS(13205),
    [anon_sym_public] = ACTIONS(13205),
    [anon_sym_import] = ACTIONS(13205),
    [anon_sym_using] = ACTIONS(13205),
    [anon_sym_LBRACK] = ACTIONS(13207),
    [anon_sym_LBRACE] = ACTIONS(13207),
    [anon_sym_DOLLAR] = ACTIONS(13207),
    [anon_sym_COLON2] = ACTIONS(13205),
    [anon_sym_COLON_COLON] = ACTIONS(13207),
    [anon_sym_AT] = ACTIONS(13207),
    [anon_sym_true] = ACTIONS(13205),
    [anon_sym_false] = ACTIONS(13205),
    [aux_sym_integer_literal_token1] = ACTIONS(13207),
    [aux_sym_integer_literal_token2] = ACTIONS(13207),
    [aux_sym_integer_literal_token3] = ACTIONS(13205),
    [aux_sym_integer_literal_token4] = ACTIONS(13205),
    [aux_sym_float_literal_token1] = ACTIONS(13207),
    [aux_sym_float_literal_token3] = ACTIONS(13207),
    [aux_sym_float_literal_token4] = ACTIONS(13207),
    [sym_character_literal] = ACTIONS(13207),
    [anon_sym_DQUOTE] = ACTIONS(13205),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13207),
    [anon_sym_BQUOTE] = ACTIONS(13205),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13207),
    [sym__pair_operator] = ACTIONS(13207),
    [sym__arrow_operator] = ACTIONS(13205),
    [sym__comparison_operator] = ACTIONS(13205),
    [sym__pipe_right_operator] = ACTIONS(13207),
    [sym__pipe_left_operator] = ACTIONS(13207),
    [sym__ellipsis_operator] = ACTIONS(13207),
    [sym__plus_operator] = ACTIONS(13205),
    [sym__times_operator] = ACTIONS(13205),
    [sym__rational_operator] = ACTIONS(13207),
    [sym__bitshift_operator] = ACTIONS(13207),
    [sym__power_operator] = ACTIONS(13207),
    [sym__tilde_operator] = ACTIONS(13207),
    [sym__type_order_operator] = ACTIONS(13207),
    [sym__unary_operator] = ACTIONS(13205),
    [sym__unary_plus_operator] = ACTIONS(13205),
    [anon_sym_SEMI2] = ACTIONS(13209),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9985] = {
    [sym_block_comment] = STATE(9985),
    [sym_line_comment] = STATE(9985),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_string_start] = ACTIONS(9909),
    [sym__immediate_command_start] = ACTIONS(9909),
  },
  [9986] = {
    [sym_block_comment] = STATE(9986),
    [sym_line_comment] = STATE(9986),
    [aux_sym_for_statement_repeat1] = STATE(9986),
    [sym__word_identifier] = ACTIONS(13212),
    [anon_sym_COMMA] = ACTIONS(13214),
    [anon_sym_begin] = ACTIONS(13212),
    [anon_sym_module] = ACTIONS(13212),
    [anon_sym_baremodule] = ACTIONS(13212),
    [anon_sym_end] = ACTIONS(13212),
    [anon_sym_abstract] = ACTIONS(13212),
    [anon_sym_primitive] = ACTIONS(13212),
    [anon_sym_mutable] = ACTIONS(13212),
    [anon_sym_struct] = ACTIONS(13212),
    [anon_sym_function] = ACTIONS(13212),
    [anon_sym_macro] = ACTIONS(13212),
    [anon_sym_quote] = ACTIONS(13212),
    [anon_sym_let] = ACTIONS(13212),
    [anon_sym_if] = ACTIONS(13212),
    [anon_sym_try] = ACTIONS(13212),
    [anon_sym_for] = ACTIONS(13212),
    [anon_sym_while] = ACTIONS(13212),
    [sym_break_statement] = ACTIONS(13212),
    [sym_continue_statement] = ACTIONS(13212),
    [anon_sym_return] = ACTIONS(13212),
    [anon_sym_const] = ACTIONS(13212),
    [anon_sym_global] = ACTIONS(13212),
    [anon_sym_local] = ACTIONS(13212),
    [anon_sym_LPAREN] = ACTIONS(13212),
    [anon_sym_export] = ACTIONS(13212),
    [anon_sym_public] = ACTIONS(13212),
    [anon_sym_import] = ACTIONS(13212),
    [anon_sym_using] = ACTIONS(13212),
    [anon_sym_LBRACK] = ACTIONS(13212),
    [anon_sym_SEMI] = ACTIONS(13212),
    [anon_sym_LBRACE] = ACTIONS(13212),
    [anon_sym_DOLLAR] = ACTIONS(13212),
    [anon_sym_COLON2] = ACTIONS(13212),
    [anon_sym_COLON_COLON] = ACTIONS(13212),
    [anon_sym_AT] = ACTIONS(13212),
    [anon_sym_true] = ACTIONS(13212),
    [anon_sym_false] = ACTIONS(13212),
    [aux_sym_integer_literal_token1] = ACTIONS(13212),
    [aux_sym_integer_literal_token2] = ACTIONS(13212),
    [aux_sym_integer_literal_token3] = ACTIONS(13212),
    [aux_sym_integer_literal_token4] = ACTIONS(13212),
    [aux_sym_float_literal_token1] = ACTIONS(13212),
    [aux_sym_float_literal_token3] = ACTIONS(13212),
    [aux_sym_float_literal_token4] = ACTIONS(13212),
    [sym_character_literal] = ACTIONS(13212),
    [anon_sym_DQUOTE] = ACTIONS(13212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13212),
    [anon_sym_BQUOTE] = ACTIONS(13212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13212),
    [sym__pair_operator] = ACTIONS(13212),
    [sym__arrow_operator] = ACTIONS(13212),
    [sym__comparison_operator] = ACTIONS(13212),
    [sym__pipe_right_operator] = ACTIONS(13212),
    [sym__pipe_left_operator] = ACTIONS(13212),
    [sym__ellipsis_operator] = ACTIONS(13212),
    [sym__plus_operator] = ACTIONS(13212),
    [sym__times_operator] = ACTIONS(13212),
    [sym__rational_operator] = ACTIONS(13212),
    [sym__bitshift_operator] = ACTIONS(13212),
    [sym__power_operator] = ACTIONS(13212),
    [sym__tilde_operator] = ACTIONS(13212),
    [sym__type_order_operator] = ACTIONS(13212),
    [sym__unary_operator] = ACTIONS(13212),
    [sym__unary_plus_operator] = ACTIONS(13212),
    [aux_sym__terminator_token1] = ACTIONS(13217),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9987] = {
    [sym_block_comment] = STATE(9987),
    [sym_line_comment] = STATE(9987),
    [aux_sym__terminator_repeat1] = STATE(9987),
    [sym__word_identifier] = ACTIONS(13205),
    [anon_sym_begin] = ACTIONS(13205),
    [anon_sym_module] = ACTIONS(13205),
    [anon_sym_baremodule] = ACTIONS(13205),
    [anon_sym_end] = ACTIONS(13205),
    [anon_sym_abstract] = ACTIONS(13205),
    [anon_sym_primitive] = ACTIONS(13205),
    [anon_sym_mutable] = ACTIONS(13205),
    [anon_sym_struct] = ACTIONS(13205),
    [anon_sym_function] = ACTIONS(13205),
    [anon_sym_macro] = ACTIONS(13205),
    [anon_sym_quote] = ACTIONS(13205),
    [anon_sym_let] = ACTIONS(13205),
    [anon_sym_if] = ACTIONS(13205),
    [anon_sym_elseif] = ACTIONS(13205),
    [anon_sym_else] = ACTIONS(13205),
    [anon_sym_try] = ACTIONS(13205),
    [anon_sym_for] = ACTIONS(13205),
    [anon_sym_while] = ACTIONS(13205),
    [sym_break_statement] = ACTIONS(13205),
    [sym_continue_statement] = ACTIONS(13205),
    [anon_sym_return] = ACTIONS(13205),
    [anon_sym_const] = ACTIONS(13205),
    [anon_sym_global] = ACTIONS(13205),
    [anon_sym_local] = ACTIONS(13205),
    [anon_sym_LPAREN] = ACTIONS(13207),
    [anon_sym_export] = ACTIONS(13205),
    [anon_sym_public] = ACTIONS(13205),
    [anon_sym_import] = ACTIONS(13205),
    [anon_sym_using] = ACTIONS(13205),
    [anon_sym_LBRACK] = ACTIONS(13207),
    [anon_sym_LBRACE] = ACTIONS(13207),
    [anon_sym_DOLLAR] = ACTIONS(13207),
    [anon_sym_COLON2] = ACTIONS(13205),
    [anon_sym_COLON_COLON] = ACTIONS(13207),
    [anon_sym_AT] = ACTIONS(13207),
    [anon_sym_true] = ACTIONS(13205),
    [anon_sym_false] = ACTIONS(13205),
    [aux_sym_integer_literal_token1] = ACTIONS(13207),
    [aux_sym_integer_literal_token2] = ACTIONS(13207),
    [aux_sym_integer_literal_token3] = ACTIONS(13205),
    [aux_sym_integer_literal_token4] = ACTIONS(13205),
    [aux_sym_float_literal_token1] = ACTIONS(13207),
    [aux_sym_float_literal_token3] = ACTIONS(13207),
    [aux_sym_float_literal_token4] = ACTIONS(13207),
    [sym_character_literal] = ACTIONS(13207),
    [anon_sym_DQUOTE] = ACTIONS(13205),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13207),
    [anon_sym_BQUOTE] = ACTIONS(13205),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13207),
    [sym__pair_operator] = ACTIONS(13207),
    [sym__arrow_operator] = ACTIONS(13205),
    [sym__comparison_operator] = ACTIONS(13205),
    [sym__pipe_right_operator] = ACTIONS(13207),
    [sym__pipe_left_operator] = ACTIONS(13207),
    [sym__ellipsis_operator] = ACTIONS(13207),
    [sym__plus_operator] = ACTIONS(13205),
    [sym__times_operator] = ACTIONS(13205),
    [sym__rational_operator] = ACTIONS(13207),
    [sym__bitshift_operator] = ACTIONS(13207),
    [sym__power_operator] = ACTIONS(13207),
    [sym__tilde_operator] = ACTIONS(13207),
    [sym__type_order_operator] = ACTIONS(13207),
    [sym__unary_operator] = ACTIONS(13205),
    [sym__unary_plus_operator] = ACTIONS(13205),
    [anon_sym_SEMI2] = ACTIONS(13219),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9988] = {
    [sym_block_comment] = STATE(9988),
    [sym_line_comment] = STATE(9988),
    [sym__word_identifier] = ACTIONS(13212),
    [anon_sym_COMMA] = ACTIONS(13212),
    [anon_sym_begin] = ACTIONS(13212),
    [anon_sym_module] = ACTIONS(13212),
    [anon_sym_baremodule] = ACTIONS(13212),
    [anon_sym_end] = ACTIONS(13212),
    [anon_sym_abstract] = ACTIONS(13212),
    [anon_sym_primitive] = ACTIONS(13212),
    [anon_sym_mutable] = ACTIONS(13212),
    [anon_sym_struct] = ACTIONS(13212),
    [anon_sym_function] = ACTIONS(13212),
    [anon_sym_macro] = ACTIONS(13212),
    [anon_sym_quote] = ACTIONS(13212),
    [anon_sym_let] = ACTIONS(13212),
    [anon_sym_if] = ACTIONS(13212),
    [anon_sym_try] = ACTIONS(13212),
    [anon_sym_for] = ACTIONS(13212),
    [anon_sym_while] = ACTIONS(13212),
    [sym_break_statement] = ACTIONS(13212),
    [sym_continue_statement] = ACTIONS(13212),
    [anon_sym_return] = ACTIONS(13212),
    [anon_sym_const] = ACTIONS(13212),
    [anon_sym_global] = ACTIONS(13212),
    [anon_sym_local] = ACTIONS(13212),
    [anon_sym_LPAREN] = ACTIONS(13212),
    [anon_sym_export] = ACTIONS(13212),
    [anon_sym_public] = ACTIONS(13212),
    [anon_sym_import] = ACTIONS(13212),
    [anon_sym_using] = ACTIONS(13212),
    [anon_sym_LBRACK] = ACTIONS(13212),
    [anon_sym_SEMI] = ACTIONS(13212),
    [anon_sym_LBRACE] = ACTIONS(13212),
    [anon_sym_DOLLAR] = ACTIONS(13212),
    [anon_sym_COLON2] = ACTIONS(13212),
    [anon_sym_COLON_COLON] = ACTIONS(13212),
    [anon_sym_AT] = ACTIONS(13212),
    [anon_sym_true] = ACTIONS(13212),
    [anon_sym_false] = ACTIONS(13212),
    [aux_sym_integer_literal_token1] = ACTIONS(13212),
    [aux_sym_integer_literal_token2] = ACTIONS(13212),
    [aux_sym_integer_literal_token3] = ACTIONS(13212),
    [aux_sym_integer_literal_token4] = ACTIONS(13212),
    [aux_sym_float_literal_token1] = ACTIONS(13212),
    [aux_sym_float_literal_token3] = ACTIONS(13212),
    [aux_sym_float_literal_token4] = ACTIONS(13212),
    [sym_character_literal] = ACTIONS(13212),
    [anon_sym_DQUOTE] = ACTIONS(13212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13212),
    [anon_sym_BQUOTE] = ACTIONS(13212),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13212),
    [sym__pair_operator] = ACTIONS(13212),
    [sym__arrow_operator] = ACTIONS(13212),
    [sym__comparison_operator] = ACTIONS(13212),
    [sym__pipe_right_operator] = ACTIONS(13212),
    [sym__pipe_left_operator] = ACTIONS(13212),
    [sym__ellipsis_operator] = ACTIONS(13212),
    [sym__plus_operator] = ACTIONS(13212),
    [sym__times_operator] = ACTIONS(13212),
    [sym__rational_operator] = ACTIONS(13212),
    [sym__bitshift_operator] = ACTIONS(13212),
    [sym__power_operator] = ACTIONS(13212),
    [sym__tilde_operator] = ACTIONS(13212),
    [sym__type_order_operator] = ACTIONS(13212),
    [sym__unary_operator] = ACTIONS(13212),
    [sym__unary_plus_operator] = ACTIONS(13212),
    [aux_sym__terminator_token1] = ACTIONS(13217),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9989] = {
    [sym_block_comment] = STATE(9989),
    [sym_line_comment] = STATE(9989),
    [sym__word_identifier] = ACTIONS(10059),
    [anon_sym_begin] = ACTIONS(10059),
    [anon_sym_module] = ACTIONS(10059),
    [anon_sym_baremodule] = ACTIONS(10059),
    [anon_sym_end] = ACTIONS(10059),
    [anon_sym_abstract] = ACTIONS(10059),
    [anon_sym_primitive] = ACTIONS(10059),
    [anon_sym_mutable] = ACTIONS(10059),
    [anon_sym_struct] = ACTIONS(10059),
    [anon_sym_function] = ACTIONS(10059),
    [anon_sym_macro] = ACTIONS(10059),
    [anon_sym_quote] = ACTIONS(10059),
    [anon_sym_let] = ACTIONS(10059),
    [anon_sym_if] = ACTIONS(10059),
    [anon_sym_try] = ACTIONS(10059),
    [anon_sym_for] = ACTIONS(10059),
    [anon_sym_while] = ACTIONS(10059),
    [sym_break_statement] = ACTIONS(10059),
    [sym_continue_statement] = ACTIONS(10059),
    [anon_sym_return] = ACTIONS(10059),
    [anon_sym_const] = ACTIONS(10059),
    [anon_sym_global] = ACTIONS(10059),
    [anon_sym_local] = ACTIONS(10059),
    [anon_sym_LPAREN] = ACTIONS(10059),
    [anon_sym_export] = ACTIONS(10059),
    [anon_sym_public] = ACTIONS(10059),
    [anon_sym_import] = ACTIONS(10059),
    [anon_sym_using] = ACTIONS(10059),
    [anon_sym_LBRACK] = ACTIONS(10059),
    [anon_sym_SEMI] = ACTIONS(10059),
    [anon_sym_LBRACE] = ACTIONS(10059),
    [anon_sym_DOLLAR] = ACTIONS(10059),
    [anon_sym_COLON2] = ACTIONS(10059),
    [anon_sym_COLON_COLON] = ACTIONS(10059),
    [anon_sym_DASH_GT] = ACTIONS(10059),
    [anon_sym_AT] = ACTIONS(10059),
    [anon_sym_true] = ACTIONS(10059),
    [anon_sym_false] = ACTIONS(10059),
    [aux_sym_integer_literal_token1] = ACTIONS(10059),
    [aux_sym_integer_literal_token2] = ACTIONS(10059),
    [aux_sym_integer_literal_token3] = ACTIONS(10059),
    [aux_sym_integer_literal_token4] = ACTIONS(10059),
    [aux_sym_float_literal_token1] = ACTIONS(10059),
    [aux_sym_float_literal_token3] = ACTIONS(10059),
    [aux_sym_float_literal_token4] = ACTIONS(10059),
    [sym_character_literal] = ACTIONS(10059),
    [anon_sym_DQUOTE] = ACTIONS(10059),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE] = ACTIONS(10059),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10059),
    [sym__pair_operator] = ACTIONS(10059),
    [sym__arrow_operator] = ACTIONS(10059),
    [sym__comparison_operator] = ACTIONS(10059),
    [sym__pipe_right_operator] = ACTIONS(10059),
    [sym__pipe_left_operator] = ACTIONS(10059),
    [sym__ellipsis_operator] = ACTIONS(10059),
    [sym__plus_operator] = ACTIONS(10059),
    [sym__times_operator] = ACTIONS(10059),
    [sym__rational_operator] = ACTIONS(10059),
    [sym__bitshift_operator] = ACTIONS(10059),
    [sym__power_operator] = ACTIONS(10059),
    [sym__tilde_operator] = ACTIONS(10059),
    [sym__type_order_operator] = ACTIONS(10059),
    [sym__unary_operator] = ACTIONS(10059),
    [sym__unary_plus_operator] = ACTIONS(10059),
    [aux_sym__terminator_token1] = ACTIONS(10061),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9990] = {
    [sym_block_comment] = STATE(9990),
    [sym_line_comment] = STATE(9990),
    [sym__word_identifier] = ACTIONS(10085),
    [anon_sym_begin] = ACTIONS(10085),
    [anon_sym_module] = ACTIONS(10085),
    [anon_sym_baremodule] = ACTIONS(10085),
    [anon_sym_end] = ACTIONS(10085),
    [anon_sym_abstract] = ACTIONS(10085),
    [anon_sym_primitive] = ACTIONS(10085),
    [anon_sym_mutable] = ACTIONS(10085),
    [anon_sym_struct] = ACTIONS(10085),
    [anon_sym_function] = ACTIONS(10085),
    [anon_sym_macro] = ACTIONS(10085),
    [anon_sym_quote] = ACTIONS(10085),
    [anon_sym_let] = ACTIONS(10085),
    [anon_sym_if] = ACTIONS(10085),
    [anon_sym_try] = ACTIONS(10085),
    [anon_sym_for] = ACTIONS(10085),
    [anon_sym_while] = ACTIONS(10085),
    [sym_break_statement] = ACTIONS(10085),
    [sym_continue_statement] = ACTIONS(10085),
    [anon_sym_return] = ACTIONS(10085),
    [anon_sym_const] = ACTIONS(10085),
    [anon_sym_global] = ACTIONS(10085),
    [anon_sym_local] = ACTIONS(10085),
    [anon_sym_LPAREN] = ACTIONS(10085),
    [anon_sym_export] = ACTIONS(10085),
    [anon_sym_public] = ACTIONS(10085),
    [anon_sym_import] = ACTIONS(10085),
    [anon_sym_using] = ACTIONS(10085),
    [anon_sym_LBRACK] = ACTIONS(10085),
    [anon_sym_SEMI] = ACTIONS(10085),
    [anon_sym_LBRACE] = ACTIONS(10085),
    [anon_sym_DOLLAR] = ACTIONS(10085),
    [anon_sym_COLON2] = ACTIONS(10085),
    [anon_sym_COLON_COLON] = ACTIONS(10085),
    [anon_sym_DASH_GT] = ACTIONS(10085),
    [anon_sym_AT] = ACTIONS(10085),
    [anon_sym_true] = ACTIONS(10085),
    [anon_sym_false] = ACTIONS(10085),
    [aux_sym_integer_literal_token1] = ACTIONS(10085),
    [aux_sym_integer_literal_token2] = ACTIONS(10085),
    [aux_sym_integer_literal_token3] = ACTIONS(10085),
    [aux_sym_integer_literal_token4] = ACTIONS(10085),
    [aux_sym_float_literal_token1] = ACTIONS(10085),
    [aux_sym_float_literal_token3] = ACTIONS(10085),
    [aux_sym_float_literal_token4] = ACTIONS(10085),
    [sym_character_literal] = ACTIONS(10085),
    [anon_sym_DQUOTE] = ACTIONS(10085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE] = ACTIONS(10085),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10085),
    [sym__pair_operator] = ACTIONS(10085),
    [sym__arrow_operator] = ACTIONS(10085),
    [sym__comparison_operator] = ACTIONS(10085),
    [sym__pipe_right_operator] = ACTIONS(10085),
    [sym__pipe_left_operator] = ACTIONS(10085),
    [sym__ellipsis_operator] = ACTIONS(10085),
    [sym__plus_operator] = ACTIONS(10085),
    [sym__times_operator] = ACTIONS(10085),
    [sym__rational_operator] = ACTIONS(10085),
    [sym__bitshift_operator] = ACTIONS(10085),
    [sym__power_operator] = ACTIONS(10085),
    [sym__tilde_operator] = ACTIONS(10085),
    [sym__type_order_operator] = ACTIONS(10085),
    [sym__unary_operator] = ACTIONS(10085),
    [sym__unary_plus_operator] = ACTIONS(10085),
    [aux_sym__terminator_token1] = ACTIONS(10147),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9991] = {
    [sym_block_comment] = STATE(9991),
    [sym_line_comment] = STATE(9991),
    [aux_sym__terminator_repeat1] = STATE(9991),
    [sym__word_identifier] = ACTIONS(13205),
    [anon_sym_begin] = ACTIONS(13205),
    [anon_sym_module] = ACTIONS(13205),
    [anon_sym_baremodule] = ACTIONS(13205),
    [anon_sym_end] = ACTIONS(13205),
    [anon_sym_abstract] = ACTIONS(13205),
    [anon_sym_primitive] = ACTIONS(13205),
    [anon_sym_mutable] = ACTIONS(13205),
    [anon_sym_struct] = ACTIONS(13205),
    [anon_sym_function] = ACTIONS(13205),
    [anon_sym_macro] = ACTIONS(13205),
    [anon_sym_quote] = ACTIONS(13205),
    [anon_sym_let] = ACTIONS(13205),
    [anon_sym_if] = ACTIONS(13205),
    [anon_sym_try] = ACTIONS(13205),
    [anon_sym_finally] = ACTIONS(13205),
    [anon_sym_for] = ACTIONS(13205),
    [anon_sym_while] = ACTIONS(13205),
    [sym_break_statement] = ACTIONS(13205),
    [sym_continue_statement] = ACTIONS(13205),
    [anon_sym_return] = ACTIONS(13205),
    [anon_sym_const] = ACTIONS(13205),
    [anon_sym_global] = ACTIONS(13205),
    [anon_sym_local] = ACTIONS(13205),
    [anon_sym_LPAREN] = ACTIONS(13207),
    [anon_sym_export] = ACTIONS(13205),
    [anon_sym_public] = ACTIONS(13205),
    [anon_sym_import] = ACTIONS(13205),
    [anon_sym_using] = ACTIONS(13205),
    [anon_sym_LBRACK] = ACTIONS(13207),
    [anon_sym_LBRACE] = ACTIONS(13207),
    [anon_sym_DOLLAR] = ACTIONS(13207),
    [anon_sym_COLON2] = ACTIONS(13205),
    [anon_sym_COLON_COLON] = ACTIONS(13207),
    [anon_sym_AT] = ACTIONS(13207),
    [anon_sym_true] = ACTIONS(13205),
    [anon_sym_false] = ACTIONS(13205),
    [aux_sym_integer_literal_token1] = ACTIONS(13207),
    [aux_sym_integer_literal_token2] = ACTIONS(13207),
    [aux_sym_integer_literal_token3] = ACTIONS(13205),
    [aux_sym_integer_literal_token4] = ACTIONS(13205),
    [aux_sym_float_literal_token1] = ACTIONS(13207),
    [aux_sym_float_literal_token3] = ACTIONS(13207),
    [aux_sym_float_literal_token4] = ACTIONS(13207),
    [sym_character_literal] = ACTIONS(13207),
    [anon_sym_DQUOTE] = ACTIONS(13205),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13207),
    [anon_sym_BQUOTE] = ACTIONS(13205),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13207),
    [sym__pair_operator] = ACTIONS(13207),
    [sym__arrow_operator] = ACTIONS(13205),
    [sym__comparison_operator] = ACTIONS(13205),
    [sym__pipe_right_operator] = ACTIONS(13207),
    [sym__pipe_left_operator] = ACTIONS(13207),
    [sym__ellipsis_operator] = ACTIONS(13207),
    [sym__plus_operator] = ACTIONS(13205),
    [sym__times_operator] = ACTIONS(13205),
    [sym__rational_operator] = ACTIONS(13207),
    [sym__bitshift_operator] = ACTIONS(13207),
    [sym__power_operator] = ACTIONS(13207),
    [sym__tilde_operator] = ACTIONS(13207),
    [sym__type_order_operator] = ACTIONS(13207),
    [sym__unary_operator] = ACTIONS(13205),
    [sym__unary_plus_operator] = ACTIONS(13205),
    [anon_sym_SEMI2] = ACTIONS(13222),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9992] = {
    [sym_block_comment] = STATE(9992),
    [sym_line_comment] = STATE(9992),
    [sym__word_identifier] = ACTIONS(10123),
    [anon_sym_begin] = ACTIONS(10123),
    [anon_sym_module] = ACTIONS(10123),
    [anon_sym_baremodule] = ACTIONS(10123),
    [anon_sym_end] = ACTIONS(10123),
    [anon_sym_abstract] = ACTIONS(10123),
    [anon_sym_primitive] = ACTIONS(10123),
    [anon_sym_mutable] = ACTIONS(10123),
    [anon_sym_struct] = ACTIONS(10123),
    [anon_sym_function] = ACTIONS(10123),
    [anon_sym_macro] = ACTIONS(10123),
    [anon_sym_quote] = ACTIONS(10123),
    [anon_sym_let] = ACTIONS(10123),
    [anon_sym_if] = ACTIONS(10123),
    [anon_sym_try] = ACTIONS(10123),
    [anon_sym_for] = ACTIONS(10123),
    [anon_sym_while] = ACTIONS(10123),
    [sym_break_statement] = ACTIONS(10123),
    [sym_continue_statement] = ACTIONS(10123),
    [anon_sym_return] = ACTIONS(10123),
    [anon_sym_const] = ACTIONS(10123),
    [anon_sym_global] = ACTIONS(10123),
    [anon_sym_local] = ACTIONS(10123),
    [anon_sym_LPAREN] = ACTIONS(10123),
    [anon_sym_export] = ACTIONS(10123),
    [anon_sym_public] = ACTIONS(10123),
    [anon_sym_import] = ACTIONS(10123),
    [anon_sym_using] = ACTIONS(10123),
    [anon_sym_LBRACK] = ACTIONS(10123),
    [anon_sym_SEMI] = ACTIONS(10123),
    [anon_sym_LBRACE] = ACTIONS(10123),
    [anon_sym_DOLLAR] = ACTIONS(10123),
    [anon_sym_COLON2] = ACTIONS(10123),
    [anon_sym_COLON_COLON] = ACTIONS(10123),
    [anon_sym_DASH_GT] = ACTIONS(10123),
    [anon_sym_AT] = ACTIONS(10123),
    [anon_sym_true] = ACTIONS(10123),
    [anon_sym_false] = ACTIONS(10123),
    [aux_sym_integer_literal_token1] = ACTIONS(10123),
    [aux_sym_integer_literal_token2] = ACTIONS(10123),
    [aux_sym_integer_literal_token3] = ACTIONS(10123),
    [aux_sym_integer_literal_token4] = ACTIONS(10123),
    [aux_sym_float_literal_token1] = ACTIONS(10123),
    [aux_sym_float_literal_token3] = ACTIONS(10123),
    [aux_sym_float_literal_token4] = ACTIONS(10123),
    [sym_character_literal] = ACTIONS(10123),
    [anon_sym_DQUOTE] = ACTIONS(10123),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE] = ACTIONS(10123),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10123),
    [sym__pair_operator] = ACTIONS(10123),
    [sym__arrow_operator] = ACTIONS(10123),
    [sym__comparison_operator] = ACTIONS(10123),
    [sym__pipe_right_operator] = ACTIONS(10123),
    [sym__pipe_left_operator] = ACTIONS(10123),
    [sym__ellipsis_operator] = ACTIONS(10123),
    [sym__plus_operator] = ACTIONS(10123),
    [sym__times_operator] = ACTIONS(10123),
    [sym__rational_operator] = ACTIONS(10123),
    [sym__bitshift_operator] = ACTIONS(10123),
    [sym__power_operator] = ACTIONS(10123),
    [sym__tilde_operator] = ACTIONS(10123),
    [sym__type_order_operator] = ACTIONS(10123),
    [sym__unary_operator] = ACTIONS(10123),
    [sym__unary_plus_operator] = ACTIONS(10123),
    [aux_sym__terminator_token1] = ACTIONS(10125),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9993] = {
    [sym_block_comment] = STATE(9993),
    [sym_line_comment] = STATE(9993),
    [sym__word_identifier] = ACTIONS(10011),
    [anon_sym_begin] = ACTIONS(10011),
    [anon_sym_module] = ACTIONS(10011),
    [anon_sym_baremodule] = ACTIONS(10011),
    [anon_sym_end] = ACTIONS(10011),
    [anon_sym_abstract] = ACTIONS(10011),
    [anon_sym_primitive] = ACTIONS(10011),
    [anon_sym_mutable] = ACTIONS(10011),
    [anon_sym_struct] = ACTIONS(10011),
    [anon_sym_function] = ACTIONS(10011),
    [anon_sym_macro] = ACTIONS(10011),
    [anon_sym_quote] = ACTIONS(10011),
    [anon_sym_let] = ACTIONS(10011),
    [anon_sym_if] = ACTIONS(10011),
    [anon_sym_try] = ACTIONS(10011),
    [anon_sym_for] = ACTIONS(10011),
    [anon_sym_while] = ACTIONS(10011),
    [sym_break_statement] = ACTIONS(10011),
    [sym_continue_statement] = ACTIONS(10011),
    [anon_sym_return] = ACTIONS(10011),
    [anon_sym_const] = ACTIONS(10011),
    [anon_sym_global] = ACTIONS(10011),
    [anon_sym_local] = ACTIONS(10011),
    [anon_sym_LPAREN] = ACTIONS(10011),
    [anon_sym_export] = ACTIONS(10011),
    [anon_sym_public] = ACTIONS(10011),
    [anon_sym_import] = ACTIONS(10011),
    [anon_sym_using] = ACTIONS(10011),
    [anon_sym_LBRACK] = ACTIONS(10011),
    [anon_sym_SEMI] = ACTIONS(10011),
    [anon_sym_LBRACE] = ACTIONS(10011),
    [anon_sym_DOLLAR] = ACTIONS(10011),
    [anon_sym_COLON2] = ACTIONS(10011),
    [anon_sym_COLON_COLON] = ACTIONS(10011),
    [anon_sym_DASH_GT] = ACTIONS(10011),
    [anon_sym_AT] = ACTIONS(10011),
    [anon_sym_true] = ACTIONS(10011),
    [anon_sym_false] = ACTIONS(10011),
    [aux_sym_integer_literal_token1] = ACTIONS(10011),
    [aux_sym_integer_literal_token2] = ACTIONS(10011),
    [aux_sym_integer_literal_token3] = ACTIONS(10011),
    [aux_sym_integer_literal_token4] = ACTIONS(10011),
    [aux_sym_float_literal_token1] = ACTIONS(10011),
    [aux_sym_float_literal_token3] = ACTIONS(10011),
    [aux_sym_float_literal_token4] = ACTIONS(10011),
    [sym_character_literal] = ACTIONS(10011),
    [anon_sym_DQUOTE] = ACTIONS(10011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE] = ACTIONS(10011),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10011),
    [sym__pair_operator] = ACTIONS(10011),
    [sym__arrow_operator] = ACTIONS(10011),
    [sym__comparison_operator] = ACTIONS(10011),
    [sym__pipe_right_operator] = ACTIONS(10011),
    [sym__pipe_left_operator] = ACTIONS(10011),
    [sym__ellipsis_operator] = ACTIONS(10011),
    [sym__plus_operator] = ACTIONS(10011),
    [sym__times_operator] = ACTIONS(10011),
    [sym__rational_operator] = ACTIONS(10011),
    [sym__bitshift_operator] = ACTIONS(10011),
    [sym__power_operator] = ACTIONS(10011),
    [sym__tilde_operator] = ACTIONS(10011),
    [sym__type_order_operator] = ACTIONS(10011),
    [sym__unary_operator] = ACTIONS(10011),
    [sym__unary_plus_operator] = ACTIONS(10011),
    [aux_sym__terminator_token1] = ACTIONS(10013),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9994] = {
    [sym_block_comment] = STATE(9994),
    [sym_line_comment] = STATE(9994),
    [sym__word_identifier] = ACTIONS(10055),
    [anon_sym_begin] = ACTIONS(10055),
    [anon_sym_module] = ACTIONS(10055),
    [anon_sym_baremodule] = ACTIONS(10055),
    [anon_sym_end] = ACTIONS(10055),
    [anon_sym_abstract] = ACTIONS(10055),
    [anon_sym_primitive] = ACTIONS(10055),
    [anon_sym_mutable] = ACTIONS(10055),
    [anon_sym_struct] = ACTIONS(10055),
    [anon_sym_function] = ACTIONS(10055),
    [anon_sym_macro] = ACTIONS(10055),
    [anon_sym_quote] = ACTIONS(10055),
    [anon_sym_let] = ACTIONS(10055),
    [anon_sym_if] = ACTIONS(10055),
    [anon_sym_try] = ACTIONS(10055),
    [anon_sym_for] = ACTIONS(10055),
    [anon_sym_while] = ACTIONS(10055),
    [sym_break_statement] = ACTIONS(10055),
    [sym_continue_statement] = ACTIONS(10055),
    [anon_sym_return] = ACTIONS(10055),
    [anon_sym_const] = ACTIONS(10055),
    [anon_sym_global] = ACTIONS(10055),
    [anon_sym_local] = ACTIONS(10055),
    [anon_sym_LPAREN] = ACTIONS(10055),
    [anon_sym_export] = ACTIONS(10055),
    [anon_sym_public] = ACTIONS(10055),
    [anon_sym_import] = ACTIONS(10055),
    [anon_sym_using] = ACTIONS(10055),
    [anon_sym_LBRACK] = ACTIONS(10055),
    [anon_sym_SEMI] = ACTIONS(10055),
    [anon_sym_LBRACE] = ACTIONS(10055),
    [anon_sym_DOLLAR] = ACTIONS(10055),
    [anon_sym_COLON2] = ACTIONS(10055),
    [anon_sym_COLON_COLON] = ACTIONS(10055),
    [anon_sym_DASH_GT] = ACTIONS(10055),
    [anon_sym_AT] = ACTIONS(10055),
    [anon_sym_true] = ACTIONS(10055),
    [anon_sym_false] = ACTIONS(10055),
    [aux_sym_integer_literal_token1] = ACTIONS(10055),
    [aux_sym_integer_literal_token2] = ACTIONS(10055),
    [aux_sym_integer_literal_token3] = ACTIONS(10055),
    [aux_sym_integer_literal_token4] = ACTIONS(10055),
    [aux_sym_float_literal_token1] = ACTIONS(10055),
    [aux_sym_float_literal_token3] = ACTIONS(10055),
    [aux_sym_float_literal_token4] = ACTIONS(10055),
    [sym_character_literal] = ACTIONS(10055),
    [anon_sym_DQUOTE] = ACTIONS(10055),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE] = ACTIONS(10055),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10055),
    [sym__pair_operator] = ACTIONS(10055),
    [sym__arrow_operator] = ACTIONS(10055),
    [sym__comparison_operator] = ACTIONS(10055),
    [sym__pipe_right_operator] = ACTIONS(10055),
    [sym__pipe_left_operator] = ACTIONS(10055),
    [sym__ellipsis_operator] = ACTIONS(10055),
    [sym__plus_operator] = ACTIONS(10055),
    [sym__times_operator] = ACTIONS(10055),
    [sym__rational_operator] = ACTIONS(10055),
    [sym__bitshift_operator] = ACTIONS(10055),
    [sym__power_operator] = ACTIONS(10055),
    [sym__tilde_operator] = ACTIONS(10055),
    [sym__type_order_operator] = ACTIONS(10055),
    [sym__unary_operator] = ACTIONS(10055),
    [sym__unary_plus_operator] = ACTIONS(10055),
    [aux_sym__terminator_token1] = ACTIONS(10057),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9995] = {
    [sym_block_comment] = STATE(9995),
    [sym_line_comment] = STATE(9995),
    [sym__word_identifier] = ACTIONS(10003),
    [anon_sym_begin] = ACTIONS(10003),
    [anon_sym_module] = ACTIONS(10003),
    [anon_sym_baremodule] = ACTIONS(10003),
    [anon_sym_end] = ACTIONS(10003),
    [anon_sym_abstract] = ACTIONS(10003),
    [anon_sym_primitive] = ACTIONS(10003),
    [anon_sym_mutable] = ACTIONS(10003),
    [anon_sym_struct] = ACTIONS(10003),
    [anon_sym_function] = ACTIONS(10003),
    [anon_sym_macro] = ACTIONS(10003),
    [anon_sym_quote] = ACTIONS(10003),
    [anon_sym_let] = ACTIONS(10003),
    [anon_sym_if] = ACTIONS(10003),
    [anon_sym_try] = ACTIONS(10003),
    [anon_sym_for] = ACTIONS(10003),
    [anon_sym_while] = ACTIONS(10003),
    [sym_break_statement] = ACTIONS(10003),
    [sym_continue_statement] = ACTIONS(10003),
    [anon_sym_return] = ACTIONS(10003),
    [anon_sym_const] = ACTIONS(10003),
    [anon_sym_global] = ACTIONS(10003),
    [anon_sym_local] = ACTIONS(10003),
    [anon_sym_LPAREN] = ACTIONS(10003),
    [anon_sym_export] = ACTIONS(10003),
    [anon_sym_public] = ACTIONS(10003),
    [anon_sym_import] = ACTIONS(10003),
    [anon_sym_using] = ACTIONS(10003),
    [anon_sym_LBRACK] = ACTIONS(10003),
    [anon_sym_SEMI] = ACTIONS(10003),
    [anon_sym_LBRACE] = ACTIONS(10003),
    [anon_sym_DOLLAR] = ACTIONS(10003),
    [anon_sym_COLON2] = ACTIONS(10003),
    [anon_sym_COLON_COLON] = ACTIONS(10003),
    [anon_sym_DASH_GT] = ACTIONS(10003),
    [anon_sym_AT] = ACTIONS(10003),
    [anon_sym_true] = ACTIONS(10003),
    [anon_sym_false] = ACTIONS(10003),
    [aux_sym_integer_literal_token1] = ACTIONS(10003),
    [aux_sym_integer_literal_token2] = ACTIONS(10003),
    [aux_sym_integer_literal_token3] = ACTIONS(10003),
    [aux_sym_integer_literal_token4] = ACTIONS(10003),
    [aux_sym_float_literal_token1] = ACTIONS(10003),
    [aux_sym_float_literal_token3] = ACTIONS(10003),
    [aux_sym_float_literal_token4] = ACTIONS(10003),
    [sym_character_literal] = ACTIONS(10003),
    [anon_sym_DQUOTE] = ACTIONS(10003),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE] = ACTIONS(10003),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10003),
    [sym__pair_operator] = ACTIONS(10003),
    [sym__arrow_operator] = ACTIONS(10003),
    [sym__comparison_operator] = ACTIONS(10003),
    [sym__pipe_right_operator] = ACTIONS(10003),
    [sym__pipe_left_operator] = ACTIONS(10003),
    [sym__ellipsis_operator] = ACTIONS(10003),
    [sym__plus_operator] = ACTIONS(10003),
    [sym__times_operator] = ACTIONS(10003),
    [sym__rational_operator] = ACTIONS(10003),
    [sym__bitshift_operator] = ACTIONS(10003),
    [sym__power_operator] = ACTIONS(10003),
    [sym__tilde_operator] = ACTIONS(10003),
    [sym__type_order_operator] = ACTIONS(10003),
    [sym__unary_operator] = ACTIONS(10003),
    [sym__unary_plus_operator] = ACTIONS(10003),
    [aux_sym__terminator_token1] = ACTIONS(10005),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9996] = {
    [sym_block_comment] = STATE(9996),
    [sym_line_comment] = STATE(9996),
    [sym__word_identifier] = ACTIONS(10159),
    [anon_sym_begin] = ACTIONS(10159),
    [anon_sym_module] = ACTIONS(10159),
    [anon_sym_baremodule] = ACTIONS(10159),
    [anon_sym_end] = ACTIONS(10159),
    [anon_sym_abstract] = ACTIONS(10159),
    [anon_sym_primitive] = ACTIONS(10159),
    [anon_sym_mutable] = ACTIONS(10159),
    [anon_sym_struct] = ACTIONS(10159),
    [anon_sym_function] = ACTIONS(10159),
    [anon_sym_macro] = ACTIONS(10159),
    [anon_sym_quote] = ACTIONS(10159),
    [anon_sym_let] = ACTIONS(10159),
    [anon_sym_if] = ACTIONS(10159),
    [anon_sym_try] = ACTIONS(10159),
    [anon_sym_for] = ACTIONS(10159),
    [anon_sym_while] = ACTIONS(10159),
    [sym_break_statement] = ACTIONS(10159),
    [sym_continue_statement] = ACTIONS(10159),
    [anon_sym_return] = ACTIONS(10159),
    [anon_sym_const] = ACTIONS(10159),
    [anon_sym_global] = ACTIONS(10159),
    [anon_sym_local] = ACTIONS(10159),
    [anon_sym_LPAREN] = ACTIONS(10159),
    [anon_sym_export] = ACTIONS(10159),
    [anon_sym_public] = ACTIONS(10159),
    [anon_sym_import] = ACTIONS(10159),
    [anon_sym_using] = ACTIONS(10159),
    [anon_sym_LBRACK] = ACTIONS(10159),
    [anon_sym_SEMI] = ACTIONS(10159),
    [anon_sym_LBRACE] = ACTIONS(10159),
    [anon_sym_DOLLAR] = ACTIONS(10159),
    [anon_sym_COLON2] = ACTIONS(10159),
    [anon_sym_COLON_COLON] = ACTIONS(10159),
    [anon_sym_DASH_GT] = ACTIONS(10159),
    [anon_sym_AT] = ACTIONS(10159),
    [anon_sym_true] = ACTIONS(10159),
    [anon_sym_false] = ACTIONS(10159),
    [aux_sym_integer_literal_token1] = ACTIONS(10159),
    [aux_sym_integer_literal_token2] = ACTIONS(10159),
    [aux_sym_integer_literal_token3] = ACTIONS(10159),
    [aux_sym_integer_literal_token4] = ACTIONS(10159),
    [aux_sym_float_literal_token1] = ACTIONS(10159),
    [aux_sym_float_literal_token3] = ACTIONS(10159),
    [aux_sym_float_literal_token4] = ACTIONS(10159),
    [sym_character_literal] = ACTIONS(10159),
    [anon_sym_DQUOTE] = ACTIONS(10159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE] = ACTIONS(10159),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10159),
    [sym__pair_operator] = ACTIONS(10159),
    [sym__arrow_operator] = ACTIONS(10159),
    [sym__comparison_operator] = ACTIONS(10159),
    [sym__pipe_right_operator] = ACTIONS(10159),
    [sym__pipe_left_operator] = ACTIONS(10159),
    [sym__ellipsis_operator] = ACTIONS(10159),
    [sym__plus_operator] = ACTIONS(10159),
    [sym__times_operator] = ACTIONS(10159),
    [sym__rational_operator] = ACTIONS(10159),
    [sym__bitshift_operator] = ACTIONS(10159),
    [sym__power_operator] = ACTIONS(10159),
    [sym__tilde_operator] = ACTIONS(10159),
    [sym__type_order_operator] = ACTIONS(10159),
    [sym__unary_operator] = ACTIONS(10159),
    [sym__unary_plus_operator] = ACTIONS(10159),
    [aux_sym__terminator_token1] = ACTIONS(10161),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9997] = {
    [sym_block_comment] = STATE(9997),
    [sym_line_comment] = STATE(9997),
    [sym__word_identifier] = ACTIONS(13225),
    [anon_sym_begin] = ACTIONS(13225),
    [anon_sym_module] = ACTIONS(13225),
    [anon_sym_baremodule] = ACTIONS(13225),
    [anon_sym_end] = ACTIONS(13225),
    [anon_sym_abstract] = ACTIONS(13225),
    [anon_sym_primitive] = ACTIONS(13225),
    [anon_sym_mutable] = ACTIONS(13225),
    [anon_sym_struct] = ACTIONS(13225),
    [anon_sym_function] = ACTIONS(13225),
    [anon_sym_macro] = ACTIONS(13225),
    [anon_sym_quote] = ACTIONS(13225),
    [anon_sym_let] = ACTIONS(13225),
    [anon_sym_if] = ACTIONS(13225),
    [anon_sym_else] = ACTIONS(13225),
    [anon_sym_try] = ACTIONS(13225),
    [anon_sym_finally] = ACTIONS(13225),
    [anon_sym_for] = ACTIONS(13225),
    [anon_sym_while] = ACTIONS(13225),
    [sym_break_statement] = ACTIONS(13225),
    [sym_continue_statement] = ACTIONS(13225),
    [anon_sym_return] = ACTIONS(13225),
    [anon_sym_const] = ACTIONS(13225),
    [anon_sym_global] = ACTIONS(13225),
    [anon_sym_local] = ACTIONS(13225),
    [anon_sym_LPAREN] = ACTIONS(13227),
    [anon_sym_export] = ACTIONS(13225),
    [anon_sym_public] = ACTIONS(13225),
    [anon_sym_import] = ACTIONS(13225),
    [anon_sym_using] = ACTIONS(13225),
    [anon_sym_LBRACK] = ACTIONS(13227),
    [anon_sym_LBRACE] = ACTIONS(13227),
    [anon_sym_DOLLAR] = ACTIONS(13227),
    [anon_sym_COLON2] = ACTIONS(13225),
    [anon_sym_COLON_COLON] = ACTIONS(13227),
    [anon_sym_AT] = ACTIONS(13227),
    [anon_sym_true] = ACTIONS(13225),
    [anon_sym_false] = ACTIONS(13225),
    [aux_sym_integer_literal_token1] = ACTIONS(13227),
    [aux_sym_integer_literal_token2] = ACTIONS(13227),
    [aux_sym_integer_literal_token3] = ACTIONS(13225),
    [aux_sym_integer_literal_token4] = ACTIONS(13225),
    [aux_sym_float_literal_token1] = ACTIONS(13227),
    [aux_sym_float_literal_token3] = ACTIONS(13227),
    [aux_sym_float_literal_token4] = ACTIONS(13227),
    [sym_character_literal] = ACTIONS(13227),
    [anon_sym_DQUOTE] = ACTIONS(13225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13227),
    [anon_sym_BQUOTE] = ACTIONS(13225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13227),
    [sym__pair_operator] = ACTIONS(13227),
    [sym__arrow_operator] = ACTIONS(13225),
    [sym__comparison_operator] = ACTIONS(13225),
    [sym__pipe_right_operator] = ACTIONS(13227),
    [sym__pipe_left_operator] = ACTIONS(13227),
    [sym__ellipsis_operator] = ACTIONS(13227),
    [sym__plus_operator] = ACTIONS(13225),
    [sym__times_operator] = ACTIONS(13225),
    [sym__rational_operator] = ACTIONS(13227),
    [sym__bitshift_operator] = ACTIONS(13227),
    [sym__power_operator] = ACTIONS(13227),
    [sym__tilde_operator] = ACTIONS(13227),
    [sym__type_order_operator] = ACTIONS(13227),
    [sym__unary_operator] = ACTIONS(13225),
    [sym__unary_plus_operator] = ACTIONS(13225),
    [anon_sym_SEMI2] = ACTIONS(13227),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9998] = {
    [sym_identifier] = STATE(10052),
    [sym_block_comment] = STATE(9998),
    [sym_line_comment] = STATE(9998),
    [sym__word_identifier] = ACTIONS(10143),
    [anon_sym_begin] = ACTIONS(10143),
    [anon_sym_module] = ACTIONS(10143),
    [anon_sym_baremodule] = ACTIONS(10143),
    [anon_sym_end] = ACTIONS(10143),
    [anon_sym_abstract] = ACTIONS(10143),
    [anon_sym_primitive] = ACTIONS(10143),
    [anon_sym_mutable] = ACTIONS(10143),
    [anon_sym_struct] = ACTIONS(10143),
    [anon_sym_function] = ACTIONS(10143),
    [anon_sym_macro] = ACTIONS(10143),
    [anon_sym_quote] = ACTIONS(10143),
    [anon_sym_let] = ACTIONS(10143),
    [anon_sym_if] = ACTIONS(10143),
    [anon_sym_try] = ACTIONS(10143),
    [anon_sym_for] = ACTIONS(10143),
    [anon_sym_while] = ACTIONS(10143),
    [sym_break_statement] = ACTIONS(10143),
    [sym_continue_statement] = ACTIONS(10143),
    [anon_sym_return] = ACTIONS(10143),
    [anon_sym_const] = ACTIONS(10143),
    [anon_sym_global] = ACTIONS(10143),
    [anon_sym_local] = ACTIONS(10143),
    [anon_sym_LPAREN] = ACTIONS(10143),
    [anon_sym_export] = ACTIONS(10143),
    [anon_sym_public] = ACTIONS(10143),
    [anon_sym_import] = ACTIONS(10143),
    [anon_sym_using] = ACTIONS(10143),
    [anon_sym_LBRACK] = ACTIONS(10143),
    [anon_sym_SEMI] = ACTIONS(10143),
    [anon_sym_LBRACE] = ACTIONS(10143),
    [anon_sym_DOLLAR] = ACTIONS(10143),
    [anon_sym_COLON2] = ACTIONS(10143),
    [anon_sym_COLON_COLON] = ACTIONS(10143),
    [anon_sym_AT] = ACTIONS(10143),
    [anon_sym_true] = ACTIONS(10143),
    [anon_sym_false] = ACTIONS(10143),
    [aux_sym_integer_literal_token1] = ACTIONS(10143),
    [aux_sym_integer_literal_token2] = ACTIONS(10143),
    [aux_sym_integer_literal_token3] = ACTIONS(10143),
    [aux_sym_integer_literal_token4] = ACTIONS(10143),
    [aux_sym_float_literal_token1] = ACTIONS(10143),
    [aux_sym_float_literal_token3] = ACTIONS(10143),
    [aux_sym_float_literal_token4] = ACTIONS(10143),
    [sym_character_literal] = ACTIONS(10143),
    [anon_sym_DQUOTE] = ACTIONS(10143),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE] = ACTIONS(10143),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10143),
    [sym__pair_operator] = ACTIONS(10143),
    [sym__arrow_operator] = ACTIONS(10143),
    [sym__comparison_operator] = ACTIONS(10143),
    [sym__pipe_right_operator] = ACTIONS(10143),
    [sym__pipe_left_operator] = ACTIONS(10143),
    [sym__ellipsis_operator] = ACTIONS(10143),
    [sym__plus_operator] = ACTIONS(10143),
    [sym__times_operator] = ACTIONS(10143),
    [sym__rational_operator] = ACTIONS(10143),
    [sym__bitshift_operator] = ACTIONS(10143),
    [sym__power_operator] = ACTIONS(10143),
    [sym__tilde_operator] = ACTIONS(10143),
    [sym__type_order_operator] = ACTIONS(10143),
    [sym__unary_operator] = ACTIONS(10143),
    [sym__unary_plus_operator] = ACTIONS(10143),
    [aux_sym__terminator_token1] = ACTIONS(10145),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [9999] = {
    [sym_block_comment] = STATE(9999),
    [sym_line_comment] = STATE(9999),
    [sym__word_identifier] = ACTIONS(13225),
    [anon_sym_begin] = ACTIONS(13225),
    [anon_sym_module] = ACTIONS(13225),
    [anon_sym_baremodule] = ACTIONS(13225),
    [anon_sym_end] = ACTIONS(13225),
    [anon_sym_abstract] = ACTIONS(13225),
    [anon_sym_primitive] = ACTIONS(13225),
    [anon_sym_mutable] = ACTIONS(13225),
    [anon_sym_struct] = ACTIONS(13225),
    [anon_sym_function] = ACTIONS(13225),
    [anon_sym_macro] = ACTIONS(13225),
    [anon_sym_quote] = ACTIONS(13225),
    [anon_sym_let] = ACTIONS(13225),
    [anon_sym_if] = ACTIONS(13225),
    [anon_sym_elseif] = ACTIONS(13225),
    [anon_sym_else] = ACTIONS(13225),
    [anon_sym_try] = ACTIONS(13225),
    [anon_sym_for] = ACTIONS(13225),
    [anon_sym_while] = ACTIONS(13225),
    [sym_break_statement] = ACTIONS(13225),
    [sym_continue_statement] = ACTIONS(13225),
    [anon_sym_return] = ACTIONS(13225),
    [anon_sym_const] = ACTIONS(13225),
    [anon_sym_global] = ACTIONS(13225),
    [anon_sym_local] = ACTIONS(13225),
    [anon_sym_LPAREN] = ACTIONS(13227),
    [anon_sym_export] = ACTIONS(13225),
    [anon_sym_public] = ACTIONS(13225),
    [anon_sym_import] = ACTIONS(13225),
    [anon_sym_using] = ACTIONS(13225),
    [anon_sym_LBRACK] = ACTIONS(13227),
    [anon_sym_LBRACE] = ACTIONS(13227),
    [anon_sym_DOLLAR] = ACTIONS(13227),
    [anon_sym_COLON2] = ACTIONS(13225),
    [anon_sym_COLON_COLON] = ACTIONS(13227),
    [anon_sym_AT] = ACTIONS(13227),
    [anon_sym_true] = ACTIONS(13225),
    [anon_sym_false] = ACTIONS(13225),
    [aux_sym_integer_literal_token1] = ACTIONS(13227),
    [aux_sym_integer_literal_token2] = ACTIONS(13227),
    [aux_sym_integer_literal_token3] = ACTIONS(13225),
    [aux_sym_integer_literal_token4] = ACTIONS(13225),
    [aux_sym_float_literal_token1] = ACTIONS(13227),
    [aux_sym_float_literal_token3] = ACTIONS(13227),
    [aux_sym_float_literal_token4] = ACTIONS(13227),
    [sym_character_literal] = ACTIONS(13227),
    [anon_sym_DQUOTE] = ACTIONS(13225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13227),
    [anon_sym_BQUOTE] = ACTIONS(13225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13227),
    [sym__pair_operator] = ACTIONS(13227),
    [sym__arrow_operator] = ACTIONS(13225),
    [sym__comparison_operator] = ACTIONS(13225),
    [sym__pipe_right_operator] = ACTIONS(13227),
    [sym__pipe_left_operator] = ACTIONS(13227),
    [sym__ellipsis_operator] = ACTIONS(13227),
    [sym__plus_operator] = ACTIONS(13225),
    [sym__times_operator] = ACTIONS(13225),
    [sym__rational_operator] = ACTIONS(13227),
    [sym__bitshift_operator] = ACTIONS(13227),
    [sym__power_operator] = ACTIONS(13227),
    [sym__tilde_operator] = ACTIONS(13227),
    [sym__type_order_operator] = ACTIONS(13227),
    [sym__unary_operator] = ACTIONS(13225),
    [sym__unary_plus_operator] = ACTIONS(13225),
    [anon_sym_SEMI2] = ACTIONS(13227),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10000] = {
    [sym_identifier] = STATE(10054),
    [sym_block_comment] = STATE(10000),
    [sym_line_comment] = STATE(10000),
    [sym__word_identifier] = ACTIONS(10007),
    [anon_sym_begin] = ACTIONS(10007),
    [anon_sym_module] = ACTIONS(10007),
    [anon_sym_baremodule] = ACTIONS(10007),
    [anon_sym_end] = ACTIONS(10007),
    [anon_sym_abstract] = ACTIONS(10007),
    [anon_sym_primitive] = ACTIONS(10007),
    [anon_sym_mutable] = ACTIONS(10007),
    [anon_sym_struct] = ACTIONS(10007),
    [anon_sym_function] = ACTIONS(10007),
    [anon_sym_macro] = ACTIONS(10007),
    [anon_sym_quote] = ACTIONS(10007),
    [anon_sym_let] = ACTIONS(10007),
    [anon_sym_if] = ACTIONS(10007),
    [anon_sym_try] = ACTIONS(10007),
    [anon_sym_for] = ACTIONS(10007),
    [anon_sym_while] = ACTIONS(10007),
    [sym_break_statement] = ACTIONS(10007),
    [sym_continue_statement] = ACTIONS(10007),
    [anon_sym_return] = ACTIONS(10007),
    [anon_sym_const] = ACTIONS(10007),
    [anon_sym_global] = ACTIONS(10007),
    [anon_sym_local] = ACTIONS(10007),
    [anon_sym_LPAREN] = ACTIONS(10007),
    [anon_sym_export] = ACTIONS(10007),
    [anon_sym_public] = ACTIONS(10007),
    [anon_sym_import] = ACTIONS(10007),
    [anon_sym_using] = ACTIONS(10007),
    [anon_sym_LBRACK] = ACTIONS(10007),
    [anon_sym_SEMI] = ACTIONS(10007),
    [anon_sym_LBRACE] = ACTIONS(10007),
    [anon_sym_DOLLAR] = ACTIONS(10007),
    [anon_sym_COLON2] = ACTIONS(10007),
    [anon_sym_COLON_COLON] = ACTIONS(10007),
    [anon_sym_AT] = ACTIONS(10007),
    [anon_sym_true] = ACTIONS(10007),
    [anon_sym_false] = ACTIONS(10007),
    [aux_sym_integer_literal_token1] = ACTIONS(10007),
    [aux_sym_integer_literal_token2] = ACTIONS(10007),
    [aux_sym_integer_literal_token3] = ACTIONS(10007),
    [aux_sym_integer_literal_token4] = ACTIONS(10007),
    [aux_sym_float_literal_token1] = ACTIONS(10007),
    [aux_sym_float_literal_token3] = ACTIONS(10007),
    [aux_sym_float_literal_token4] = ACTIONS(10007),
    [sym_character_literal] = ACTIONS(10007),
    [anon_sym_DQUOTE] = ACTIONS(10007),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE] = ACTIONS(10007),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10007),
    [sym__pair_operator] = ACTIONS(10007),
    [sym__arrow_operator] = ACTIONS(10007),
    [sym__comparison_operator] = ACTIONS(10007),
    [sym__pipe_right_operator] = ACTIONS(10007),
    [sym__pipe_left_operator] = ACTIONS(10007),
    [sym__ellipsis_operator] = ACTIONS(10007),
    [sym__plus_operator] = ACTIONS(10007),
    [sym__times_operator] = ACTIONS(10007),
    [sym__rational_operator] = ACTIONS(10007),
    [sym__bitshift_operator] = ACTIONS(10007),
    [sym__power_operator] = ACTIONS(10007),
    [sym__tilde_operator] = ACTIONS(10007),
    [sym__type_order_operator] = ACTIONS(10007),
    [sym__unary_operator] = ACTIONS(10007),
    [sym__unary_plus_operator] = ACTIONS(10007),
    [aux_sym__terminator_token1] = ACTIONS(10009),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10001] = {
    [sym_block_comment] = STATE(10001),
    [sym_line_comment] = STATE(10001),
    [sym__word_identifier] = ACTIONS(10163),
    [anon_sym_begin] = ACTIONS(10163),
    [anon_sym_module] = ACTIONS(10163),
    [anon_sym_baremodule] = ACTIONS(10163),
    [anon_sym_end] = ACTIONS(10163),
    [anon_sym_abstract] = ACTIONS(10163),
    [anon_sym_primitive] = ACTIONS(10163),
    [anon_sym_mutable] = ACTIONS(10163),
    [anon_sym_struct] = ACTIONS(10163),
    [anon_sym_function] = ACTIONS(10163),
    [anon_sym_macro] = ACTIONS(10163),
    [anon_sym_quote] = ACTIONS(10163),
    [anon_sym_let] = ACTIONS(10163),
    [anon_sym_if] = ACTIONS(10163),
    [anon_sym_try] = ACTIONS(10163),
    [anon_sym_for] = ACTIONS(10163),
    [anon_sym_while] = ACTIONS(10163),
    [sym_break_statement] = ACTIONS(10163),
    [sym_continue_statement] = ACTIONS(10163),
    [anon_sym_return] = ACTIONS(10163),
    [anon_sym_const] = ACTIONS(10163),
    [anon_sym_global] = ACTIONS(10163),
    [anon_sym_local] = ACTIONS(10163),
    [anon_sym_LPAREN] = ACTIONS(10163),
    [anon_sym_export] = ACTIONS(10163),
    [anon_sym_public] = ACTIONS(10163),
    [anon_sym_import] = ACTIONS(10163),
    [anon_sym_using] = ACTIONS(10163),
    [anon_sym_LBRACK] = ACTIONS(10163),
    [anon_sym_SEMI] = ACTIONS(10163),
    [anon_sym_LBRACE] = ACTIONS(10163),
    [anon_sym_DOLLAR] = ACTIONS(10163),
    [anon_sym_COLON2] = ACTIONS(10163),
    [anon_sym_COLON_COLON] = ACTIONS(10163),
    [anon_sym_DASH_GT] = ACTIONS(10163),
    [anon_sym_AT] = ACTIONS(10163),
    [anon_sym_true] = ACTIONS(10163),
    [anon_sym_false] = ACTIONS(10163),
    [aux_sym_integer_literal_token1] = ACTIONS(10163),
    [aux_sym_integer_literal_token2] = ACTIONS(10163),
    [aux_sym_integer_literal_token3] = ACTIONS(10163),
    [aux_sym_integer_literal_token4] = ACTIONS(10163),
    [aux_sym_float_literal_token1] = ACTIONS(10163),
    [aux_sym_float_literal_token3] = ACTIONS(10163),
    [aux_sym_float_literal_token4] = ACTIONS(10163),
    [sym_character_literal] = ACTIONS(10163),
    [anon_sym_DQUOTE] = ACTIONS(10163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE] = ACTIONS(10163),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10163),
    [sym__pair_operator] = ACTIONS(10163),
    [sym__arrow_operator] = ACTIONS(10163),
    [sym__comparison_operator] = ACTIONS(10163),
    [sym__pipe_right_operator] = ACTIONS(10163),
    [sym__pipe_left_operator] = ACTIONS(10163),
    [sym__ellipsis_operator] = ACTIONS(10163),
    [sym__plus_operator] = ACTIONS(10163),
    [sym__times_operator] = ACTIONS(10163),
    [sym__rational_operator] = ACTIONS(10163),
    [sym__bitshift_operator] = ACTIONS(10163),
    [sym__power_operator] = ACTIONS(10163),
    [sym__tilde_operator] = ACTIONS(10163),
    [sym__type_order_operator] = ACTIONS(10163),
    [sym__unary_operator] = ACTIONS(10163),
    [sym__unary_plus_operator] = ACTIONS(10163),
    [aux_sym__terminator_token1] = ACTIONS(10165),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10002] = {
    [sym_block_comment] = STATE(10002),
    [sym_line_comment] = STATE(10002),
    [sym__word_identifier] = ACTIONS(10451),
    [anon_sym_begin] = ACTIONS(10451),
    [anon_sym_module] = ACTIONS(10451),
    [anon_sym_baremodule] = ACTIONS(10451),
    [anon_sym_end] = ACTIONS(10451),
    [anon_sym_abstract] = ACTIONS(10451),
    [anon_sym_primitive] = ACTIONS(10451),
    [anon_sym_mutable] = ACTIONS(10451),
    [anon_sym_struct] = ACTIONS(10451),
    [anon_sym_function] = ACTIONS(10451),
    [anon_sym_macro] = ACTIONS(10451),
    [anon_sym_quote] = ACTIONS(10451),
    [anon_sym_let] = ACTIONS(10451),
    [anon_sym_if] = ACTIONS(10451),
    [anon_sym_try] = ACTIONS(10451),
    [anon_sym_for] = ACTIONS(10451),
    [anon_sym_while] = ACTIONS(10451),
    [sym_break_statement] = ACTIONS(10451),
    [sym_continue_statement] = ACTIONS(10451),
    [anon_sym_return] = ACTIONS(10451),
    [anon_sym_const] = ACTIONS(10451),
    [anon_sym_global] = ACTIONS(10451),
    [anon_sym_local] = ACTIONS(10451),
    [anon_sym_LPAREN] = ACTIONS(10451),
    [anon_sym_export] = ACTIONS(10451),
    [anon_sym_public] = ACTIONS(10451),
    [anon_sym_import] = ACTIONS(10451),
    [anon_sym_using] = ACTIONS(10451),
    [anon_sym_LBRACK] = ACTIONS(10451),
    [anon_sym_SEMI] = ACTIONS(10451),
    [anon_sym_LBRACE] = ACTIONS(10451),
    [anon_sym_DOLLAR] = ACTIONS(10451),
    [anon_sym_COLON2] = ACTIONS(10451),
    [anon_sym_COLON_COLON] = ACTIONS(10451),
    [anon_sym_DASH_GT] = ACTIONS(10453),
    [anon_sym_AT] = ACTIONS(10451),
    [anon_sym_true] = ACTIONS(10451),
    [anon_sym_false] = ACTIONS(10451),
    [aux_sym_integer_literal_token1] = ACTIONS(10451),
    [aux_sym_integer_literal_token2] = ACTIONS(10451),
    [aux_sym_integer_literal_token3] = ACTIONS(10451),
    [aux_sym_integer_literal_token4] = ACTIONS(10451),
    [aux_sym_float_literal_token1] = ACTIONS(10451),
    [aux_sym_float_literal_token3] = ACTIONS(10451),
    [aux_sym_float_literal_token4] = ACTIONS(10451),
    [sym_character_literal] = ACTIONS(10451),
    [anon_sym_DQUOTE] = ACTIONS(10451),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10451),
    [anon_sym_BQUOTE] = ACTIONS(10451),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10451),
    [sym__pair_operator] = ACTIONS(10451),
    [sym__arrow_operator] = ACTIONS(10451),
    [sym__comparison_operator] = ACTIONS(10451),
    [sym__pipe_right_operator] = ACTIONS(10451),
    [sym__pipe_left_operator] = ACTIONS(10451),
    [sym__ellipsis_operator] = ACTIONS(10451),
    [sym__plus_operator] = ACTIONS(10451),
    [sym__times_operator] = ACTIONS(10451),
    [sym__rational_operator] = ACTIONS(10451),
    [sym__bitshift_operator] = ACTIONS(10451),
    [sym__power_operator] = ACTIONS(10451),
    [sym__tilde_operator] = ACTIONS(10451),
    [sym__type_order_operator] = ACTIONS(10451),
    [sym__unary_operator] = ACTIONS(10451),
    [sym__unary_plus_operator] = ACTIONS(10451),
    [aux_sym__terminator_token1] = ACTIONS(10455),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10003] = {
    [sym_identifier] = STATE(10029),
    [sym_block_comment] = STATE(10003),
    [sym_line_comment] = STATE(10003),
    [sym__word_identifier] = ACTIONS(10131),
    [anon_sym_begin] = ACTIONS(10131),
    [anon_sym_module] = ACTIONS(10131),
    [anon_sym_baremodule] = ACTIONS(10131),
    [anon_sym_end] = ACTIONS(10131),
    [anon_sym_abstract] = ACTIONS(10131),
    [anon_sym_primitive] = ACTIONS(10131),
    [anon_sym_mutable] = ACTIONS(10131),
    [anon_sym_struct] = ACTIONS(10131),
    [anon_sym_function] = ACTIONS(10131),
    [anon_sym_macro] = ACTIONS(10131),
    [anon_sym_quote] = ACTIONS(10131),
    [anon_sym_let] = ACTIONS(10131),
    [anon_sym_if] = ACTIONS(10131),
    [anon_sym_try] = ACTIONS(10131),
    [anon_sym_for] = ACTIONS(10131),
    [anon_sym_while] = ACTIONS(10131),
    [sym_break_statement] = ACTIONS(10131),
    [sym_continue_statement] = ACTIONS(10131),
    [anon_sym_return] = ACTIONS(10131),
    [anon_sym_const] = ACTIONS(10131),
    [anon_sym_global] = ACTIONS(10131),
    [anon_sym_local] = ACTIONS(10131),
    [anon_sym_LPAREN] = ACTIONS(10131),
    [anon_sym_export] = ACTIONS(10131),
    [anon_sym_public] = ACTIONS(10131),
    [anon_sym_import] = ACTIONS(10131),
    [anon_sym_using] = ACTIONS(10131),
    [anon_sym_LBRACK] = ACTIONS(10131),
    [anon_sym_SEMI] = ACTIONS(10131),
    [anon_sym_LBRACE] = ACTIONS(10131),
    [anon_sym_DOLLAR] = ACTIONS(10131),
    [anon_sym_COLON2] = ACTIONS(10131),
    [anon_sym_COLON_COLON] = ACTIONS(10131),
    [anon_sym_AT] = ACTIONS(10131),
    [anon_sym_true] = ACTIONS(10131),
    [anon_sym_false] = ACTIONS(10131),
    [aux_sym_integer_literal_token1] = ACTIONS(10131),
    [aux_sym_integer_literal_token2] = ACTIONS(10131),
    [aux_sym_integer_literal_token3] = ACTIONS(10131),
    [aux_sym_integer_literal_token4] = ACTIONS(10131),
    [aux_sym_float_literal_token1] = ACTIONS(10131),
    [aux_sym_float_literal_token3] = ACTIONS(10131),
    [aux_sym_float_literal_token4] = ACTIONS(10131),
    [sym_character_literal] = ACTIONS(10131),
    [anon_sym_DQUOTE] = ACTIONS(10131),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE] = ACTIONS(10131),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10131),
    [sym__pair_operator] = ACTIONS(10131),
    [sym__arrow_operator] = ACTIONS(10131),
    [sym__comparison_operator] = ACTIONS(10131),
    [sym__pipe_right_operator] = ACTIONS(10131),
    [sym__pipe_left_operator] = ACTIONS(10131),
    [sym__ellipsis_operator] = ACTIONS(10131),
    [sym__plus_operator] = ACTIONS(10131),
    [sym__times_operator] = ACTIONS(10131),
    [sym__rational_operator] = ACTIONS(10131),
    [sym__bitshift_operator] = ACTIONS(10131),
    [sym__power_operator] = ACTIONS(10131),
    [sym__tilde_operator] = ACTIONS(10131),
    [sym__type_order_operator] = ACTIONS(10131),
    [sym__unary_operator] = ACTIONS(10131),
    [sym__unary_plus_operator] = ACTIONS(10131),
    [aux_sym__terminator_token1] = ACTIONS(10133),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10004] = {
    [sym_identifier] = STATE(10030),
    [sym_block_comment] = STATE(10004),
    [sym_line_comment] = STATE(10004),
    [sym__word_identifier] = ACTIONS(10135),
    [anon_sym_begin] = ACTIONS(10135),
    [anon_sym_module] = ACTIONS(10135),
    [anon_sym_baremodule] = ACTIONS(10135),
    [anon_sym_end] = ACTIONS(10135),
    [anon_sym_abstract] = ACTIONS(10135),
    [anon_sym_primitive] = ACTIONS(10135),
    [anon_sym_mutable] = ACTIONS(10135),
    [anon_sym_struct] = ACTIONS(10135),
    [anon_sym_function] = ACTIONS(10135),
    [anon_sym_macro] = ACTIONS(10135),
    [anon_sym_quote] = ACTIONS(10135),
    [anon_sym_let] = ACTIONS(10135),
    [anon_sym_if] = ACTIONS(10135),
    [anon_sym_try] = ACTIONS(10135),
    [anon_sym_for] = ACTIONS(10135),
    [anon_sym_while] = ACTIONS(10135),
    [sym_break_statement] = ACTIONS(10135),
    [sym_continue_statement] = ACTIONS(10135),
    [anon_sym_return] = ACTIONS(10135),
    [anon_sym_const] = ACTIONS(10135),
    [anon_sym_global] = ACTIONS(10135),
    [anon_sym_local] = ACTIONS(10135),
    [anon_sym_LPAREN] = ACTIONS(10135),
    [anon_sym_export] = ACTIONS(10135),
    [anon_sym_public] = ACTIONS(10135),
    [anon_sym_import] = ACTIONS(10135),
    [anon_sym_using] = ACTIONS(10135),
    [anon_sym_LBRACK] = ACTIONS(10135),
    [anon_sym_SEMI] = ACTIONS(10135),
    [anon_sym_LBRACE] = ACTIONS(10135),
    [anon_sym_DOLLAR] = ACTIONS(10135),
    [anon_sym_COLON2] = ACTIONS(10135),
    [anon_sym_COLON_COLON] = ACTIONS(10135),
    [anon_sym_AT] = ACTIONS(10135),
    [anon_sym_true] = ACTIONS(10135),
    [anon_sym_false] = ACTIONS(10135),
    [aux_sym_integer_literal_token1] = ACTIONS(10135),
    [aux_sym_integer_literal_token2] = ACTIONS(10135),
    [aux_sym_integer_literal_token3] = ACTIONS(10135),
    [aux_sym_integer_literal_token4] = ACTIONS(10135),
    [aux_sym_float_literal_token1] = ACTIONS(10135),
    [aux_sym_float_literal_token3] = ACTIONS(10135),
    [aux_sym_float_literal_token4] = ACTIONS(10135),
    [sym_character_literal] = ACTIONS(10135),
    [anon_sym_DQUOTE] = ACTIONS(10135),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE] = ACTIONS(10135),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10135),
    [sym__pair_operator] = ACTIONS(10135),
    [sym__arrow_operator] = ACTIONS(10135),
    [sym__comparison_operator] = ACTIONS(10135),
    [sym__pipe_right_operator] = ACTIONS(10135),
    [sym__pipe_left_operator] = ACTIONS(10135),
    [sym__ellipsis_operator] = ACTIONS(10135),
    [sym__plus_operator] = ACTIONS(10135),
    [sym__times_operator] = ACTIONS(10135),
    [sym__rational_operator] = ACTIONS(10135),
    [sym__bitshift_operator] = ACTIONS(10135),
    [sym__power_operator] = ACTIONS(10135),
    [sym__tilde_operator] = ACTIONS(10135),
    [sym__type_order_operator] = ACTIONS(10135),
    [sym__unary_operator] = ACTIONS(10135),
    [sym__unary_plus_operator] = ACTIONS(10135),
    [aux_sym__terminator_token1] = ACTIONS(10137),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10005] = {
    [sym_block_comment] = STATE(10005),
    [sym_line_comment] = STATE(10005),
    [aux_sym__terminator_repeat1] = STATE(10005),
    [ts_builtin_sym_end] = ACTIONS(13207),
    [sym__word_identifier] = ACTIONS(13205),
    [anon_sym_begin] = ACTIONS(13205),
    [anon_sym_module] = ACTIONS(13205),
    [anon_sym_baremodule] = ACTIONS(13205),
    [anon_sym_abstract] = ACTIONS(13205),
    [anon_sym_primitive] = ACTIONS(13205),
    [anon_sym_mutable] = ACTIONS(13205),
    [anon_sym_struct] = ACTIONS(13205),
    [anon_sym_function] = ACTIONS(13205),
    [anon_sym_macro] = ACTIONS(13205),
    [anon_sym_quote] = ACTIONS(13205),
    [anon_sym_let] = ACTIONS(13205),
    [anon_sym_if] = ACTIONS(13205),
    [anon_sym_try] = ACTIONS(13205),
    [anon_sym_for] = ACTIONS(13205),
    [anon_sym_while] = ACTIONS(13205),
    [sym_break_statement] = ACTIONS(13205),
    [sym_continue_statement] = ACTIONS(13205),
    [anon_sym_return] = ACTIONS(13205),
    [anon_sym_const] = ACTIONS(13205),
    [anon_sym_global] = ACTIONS(13205),
    [anon_sym_local] = ACTIONS(13205),
    [anon_sym_LPAREN] = ACTIONS(13207),
    [anon_sym_export] = ACTIONS(13205),
    [anon_sym_public] = ACTIONS(13205),
    [anon_sym_import] = ACTIONS(13205),
    [anon_sym_using] = ACTIONS(13205),
    [anon_sym_LBRACK] = ACTIONS(13207),
    [anon_sym_RBRACK] = ACTIONS(13207),
    [anon_sym_LBRACE] = ACTIONS(13207),
    [anon_sym_DOLLAR] = ACTIONS(13207),
    [anon_sym_COLON2] = ACTIONS(13205),
    [anon_sym_COLON_COLON] = ACTIONS(13207),
    [anon_sym_AT] = ACTIONS(13207),
    [anon_sym_true] = ACTIONS(13205),
    [anon_sym_false] = ACTIONS(13205),
    [aux_sym_integer_literal_token1] = ACTIONS(13207),
    [aux_sym_integer_literal_token2] = ACTIONS(13207),
    [aux_sym_integer_literal_token3] = ACTIONS(13205),
    [aux_sym_integer_literal_token4] = ACTIONS(13205),
    [aux_sym_float_literal_token1] = ACTIONS(13207),
    [aux_sym_float_literal_token3] = ACTIONS(13207),
    [aux_sym_float_literal_token4] = ACTIONS(13207),
    [sym_character_literal] = ACTIONS(13207),
    [anon_sym_DQUOTE] = ACTIONS(13205),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13207),
    [anon_sym_BQUOTE] = ACTIONS(13205),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13207),
    [sym__pair_operator] = ACTIONS(13207),
    [sym__arrow_operator] = ACTIONS(13205),
    [sym__comparison_operator] = ACTIONS(13205),
    [sym__pipe_right_operator] = ACTIONS(13207),
    [sym__pipe_left_operator] = ACTIONS(13207),
    [sym__ellipsis_operator] = ACTIONS(13207),
    [sym__plus_operator] = ACTIONS(13205),
    [sym__times_operator] = ACTIONS(13205),
    [sym__rational_operator] = ACTIONS(13207),
    [sym__bitshift_operator] = ACTIONS(13207),
    [sym__power_operator] = ACTIONS(13207),
    [sym__tilde_operator] = ACTIONS(13207),
    [sym__type_order_operator] = ACTIONS(13207),
    [sym__unary_operator] = ACTIONS(13205),
    [sym__unary_plus_operator] = ACTIONS(13205),
    [anon_sym_SEMI2] = ACTIONS(13229),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10006] = {
    [sym_block_comment] = STATE(10006),
    [sym_line_comment] = STATE(10006),
    [sym__word_identifier] = ACTIONS(10033),
    [anon_sym_begin] = ACTIONS(10033),
    [anon_sym_module] = ACTIONS(10033),
    [anon_sym_baremodule] = ACTIONS(10033),
    [anon_sym_end] = ACTIONS(10033),
    [anon_sym_abstract] = ACTIONS(10033),
    [anon_sym_primitive] = ACTIONS(10033),
    [anon_sym_mutable] = ACTIONS(10033),
    [anon_sym_struct] = ACTIONS(10033),
    [anon_sym_function] = ACTIONS(10033),
    [anon_sym_macro] = ACTIONS(10033),
    [anon_sym_quote] = ACTIONS(10033),
    [anon_sym_let] = ACTIONS(10033),
    [anon_sym_if] = ACTIONS(10033),
    [anon_sym_try] = ACTIONS(10033),
    [anon_sym_for] = ACTIONS(10033),
    [anon_sym_while] = ACTIONS(10033),
    [sym_break_statement] = ACTIONS(10033),
    [sym_continue_statement] = ACTIONS(10033),
    [anon_sym_return] = ACTIONS(10033),
    [anon_sym_const] = ACTIONS(10033),
    [anon_sym_global] = ACTIONS(10033),
    [anon_sym_local] = ACTIONS(10033),
    [anon_sym_LPAREN] = ACTIONS(10033),
    [anon_sym_export] = ACTIONS(10033),
    [anon_sym_public] = ACTIONS(10033),
    [anon_sym_import] = ACTIONS(10033),
    [anon_sym_using] = ACTIONS(10033),
    [anon_sym_LBRACK] = ACTIONS(10033),
    [anon_sym_SEMI] = ACTIONS(10033),
    [anon_sym_LBRACE] = ACTIONS(10033),
    [anon_sym_DOLLAR] = ACTIONS(10033),
    [anon_sym_COLON2] = ACTIONS(10033),
    [anon_sym_COLON_COLON] = ACTIONS(10033),
    [anon_sym_DASH_GT] = ACTIONS(10033),
    [anon_sym_AT] = ACTIONS(10033),
    [anon_sym_true] = ACTIONS(10033),
    [anon_sym_false] = ACTIONS(10033),
    [aux_sym_integer_literal_token1] = ACTIONS(10033),
    [aux_sym_integer_literal_token2] = ACTIONS(10033),
    [aux_sym_integer_literal_token3] = ACTIONS(10033),
    [aux_sym_integer_literal_token4] = ACTIONS(10033),
    [aux_sym_float_literal_token1] = ACTIONS(10033),
    [aux_sym_float_literal_token3] = ACTIONS(10033),
    [aux_sym_float_literal_token4] = ACTIONS(10033),
    [sym_character_literal] = ACTIONS(10033),
    [anon_sym_DQUOTE] = ACTIONS(10033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE] = ACTIONS(10033),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10033),
    [sym__pair_operator] = ACTIONS(10033),
    [sym__arrow_operator] = ACTIONS(10033),
    [sym__comparison_operator] = ACTIONS(10033),
    [sym__pipe_right_operator] = ACTIONS(10033),
    [sym__pipe_left_operator] = ACTIONS(10033),
    [sym__ellipsis_operator] = ACTIONS(10033),
    [sym__plus_operator] = ACTIONS(10033),
    [sym__times_operator] = ACTIONS(10033),
    [sym__rational_operator] = ACTIONS(10033),
    [sym__bitshift_operator] = ACTIONS(10033),
    [sym__power_operator] = ACTIONS(10033),
    [sym__tilde_operator] = ACTIONS(10033),
    [sym__type_order_operator] = ACTIONS(10033),
    [sym__unary_operator] = ACTIONS(10033),
    [sym__unary_plus_operator] = ACTIONS(10033),
    [aux_sym__terminator_token1] = ACTIONS(10035),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10007] = {
    [sym_block_comment] = STATE(10007),
    [sym_line_comment] = STATE(10007),
    [sym__word_identifier] = ACTIONS(10051),
    [anon_sym_begin] = ACTIONS(10051),
    [anon_sym_module] = ACTIONS(10051),
    [anon_sym_baremodule] = ACTIONS(10051),
    [anon_sym_end] = ACTIONS(10051),
    [anon_sym_abstract] = ACTIONS(10051),
    [anon_sym_primitive] = ACTIONS(10051),
    [anon_sym_mutable] = ACTIONS(10051),
    [anon_sym_struct] = ACTIONS(10051),
    [anon_sym_function] = ACTIONS(10051),
    [anon_sym_macro] = ACTIONS(10051),
    [anon_sym_quote] = ACTIONS(10051),
    [anon_sym_let] = ACTIONS(10051),
    [anon_sym_if] = ACTIONS(10051),
    [anon_sym_try] = ACTIONS(10051),
    [anon_sym_for] = ACTIONS(10051),
    [anon_sym_while] = ACTIONS(10051),
    [sym_break_statement] = ACTIONS(10051),
    [sym_continue_statement] = ACTIONS(10051),
    [anon_sym_return] = ACTIONS(10051),
    [anon_sym_const] = ACTIONS(10051),
    [anon_sym_global] = ACTIONS(10051),
    [anon_sym_local] = ACTIONS(10051),
    [anon_sym_LPAREN] = ACTIONS(10051),
    [anon_sym_export] = ACTIONS(10051),
    [anon_sym_public] = ACTIONS(10051),
    [anon_sym_import] = ACTIONS(10051),
    [anon_sym_using] = ACTIONS(10051),
    [anon_sym_LBRACK] = ACTIONS(10051),
    [anon_sym_SEMI] = ACTIONS(10051),
    [anon_sym_LBRACE] = ACTIONS(10051),
    [anon_sym_DOLLAR] = ACTIONS(10051),
    [anon_sym_COLON2] = ACTIONS(10051),
    [anon_sym_COLON_COLON] = ACTIONS(10051),
    [anon_sym_DASH_GT] = ACTIONS(10051),
    [anon_sym_AT] = ACTIONS(10051),
    [anon_sym_true] = ACTIONS(10051),
    [anon_sym_false] = ACTIONS(10051),
    [aux_sym_integer_literal_token1] = ACTIONS(10051),
    [aux_sym_integer_literal_token2] = ACTIONS(10051),
    [aux_sym_integer_literal_token3] = ACTIONS(10051),
    [aux_sym_integer_literal_token4] = ACTIONS(10051),
    [aux_sym_float_literal_token1] = ACTIONS(10051),
    [aux_sym_float_literal_token3] = ACTIONS(10051),
    [aux_sym_float_literal_token4] = ACTIONS(10051),
    [sym_character_literal] = ACTIONS(10051),
    [anon_sym_DQUOTE] = ACTIONS(10051),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE] = ACTIONS(10051),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10051),
    [sym__pair_operator] = ACTIONS(10051),
    [sym__arrow_operator] = ACTIONS(10051),
    [sym__comparison_operator] = ACTIONS(10051),
    [sym__pipe_right_operator] = ACTIONS(10051),
    [sym__pipe_left_operator] = ACTIONS(10051),
    [sym__ellipsis_operator] = ACTIONS(10051),
    [sym__plus_operator] = ACTIONS(10051),
    [sym__times_operator] = ACTIONS(10051),
    [sym__rational_operator] = ACTIONS(10051),
    [sym__bitshift_operator] = ACTIONS(10051),
    [sym__power_operator] = ACTIONS(10051),
    [sym__tilde_operator] = ACTIONS(10051),
    [sym__type_order_operator] = ACTIONS(10051),
    [sym__unary_operator] = ACTIONS(10051),
    [sym__unary_plus_operator] = ACTIONS(10051),
    [aux_sym__terminator_token1] = ACTIONS(10053),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10008] = {
    [sym_block_comment] = STATE(10008),
    [sym_line_comment] = STATE(10008),
    [aux_sym__terminator_repeat1] = STATE(10008),
    [sym__word_identifier] = ACTIONS(13205),
    [anon_sym_begin] = ACTIONS(13205),
    [anon_sym_module] = ACTIONS(13205),
    [anon_sym_baremodule] = ACTIONS(13205),
    [anon_sym_abstract] = ACTIONS(13205),
    [anon_sym_primitive] = ACTIONS(13205),
    [anon_sym_mutable] = ACTIONS(13205),
    [anon_sym_struct] = ACTIONS(13205),
    [anon_sym_function] = ACTIONS(13205),
    [anon_sym_macro] = ACTIONS(13205),
    [anon_sym_quote] = ACTIONS(13205),
    [anon_sym_let] = ACTIONS(13205),
    [anon_sym_if] = ACTIONS(13205),
    [anon_sym_try] = ACTIONS(13205),
    [anon_sym_catch] = ACTIONS(13205),
    [anon_sym_finally] = ACTIONS(13205),
    [anon_sym_for] = ACTIONS(13205),
    [anon_sym_while] = ACTIONS(13205),
    [sym_break_statement] = ACTIONS(13205),
    [sym_continue_statement] = ACTIONS(13205),
    [anon_sym_return] = ACTIONS(13205),
    [anon_sym_const] = ACTIONS(13205),
    [anon_sym_global] = ACTIONS(13205),
    [anon_sym_local] = ACTIONS(13205),
    [anon_sym_LPAREN] = ACTIONS(13207),
    [anon_sym_export] = ACTIONS(13205),
    [anon_sym_public] = ACTIONS(13205),
    [anon_sym_import] = ACTIONS(13205),
    [anon_sym_using] = ACTIONS(13205),
    [anon_sym_LBRACK] = ACTIONS(13207),
    [anon_sym_LBRACE] = ACTIONS(13207),
    [anon_sym_DOLLAR] = ACTIONS(13207),
    [anon_sym_COLON2] = ACTIONS(13205),
    [anon_sym_COLON_COLON] = ACTIONS(13207),
    [anon_sym_AT] = ACTIONS(13207),
    [anon_sym_true] = ACTIONS(13205),
    [anon_sym_false] = ACTIONS(13205),
    [aux_sym_integer_literal_token1] = ACTIONS(13207),
    [aux_sym_integer_literal_token2] = ACTIONS(13207),
    [aux_sym_integer_literal_token3] = ACTIONS(13205),
    [aux_sym_integer_literal_token4] = ACTIONS(13205),
    [aux_sym_float_literal_token1] = ACTIONS(13207),
    [aux_sym_float_literal_token3] = ACTIONS(13207),
    [aux_sym_float_literal_token4] = ACTIONS(13207),
    [sym_character_literal] = ACTIONS(13207),
    [anon_sym_DQUOTE] = ACTIONS(13205),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13207),
    [anon_sym_BQUOTE] = ACTIONS(13205),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13207),
    [sym__pair_operator] = ACTIONS(13207),
    [sym__arrow_operator] = ACTIONS(13205),
    [sym__comparison_operator] = ACTIONS(13205),
    [sym__pipe_right_operator] = ACTIONS(13207),
    [sym__pipe_left_operator] = ACTIONS(13207),
    [sym__ellipsis_operator] = ACTIONS(13207),
    [sym__plus_operator] = ACTIONS(13205),
    [sym__times_operator] = ACTIONS(13205),
    [sym__rational_operator] = ACTIONS(13207),
    [sym__bitshift_operator] = ACTIONS(13207),
    [sym__power_operator] = ACTIONS(13207),
    [sym__tilde_operator] = ACTIONS(13207),
    [sym__type_order_operator] = ACTIONS(13207),
    [sym__unary_operator] = ACTIONS(13205),
    [sym__unary_plus_operator] = ACTIONS(13205),
    [anon_sym_SEMI2] = ACTIONS(13232),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10009] = {
    [sym_block_comment] = STATE(10009),
    [sym_line_comment] = STATE(10009),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token2] = ACTIONS(13235),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10010] = {
    [sym_block_comment] = STATE(10010),
    [sym_line_comment] = STATE(10010),
    [aux_sym__terminator_repeat1] = STATE(10010),
    [sym__word_identifier] = ACTIONS(13205),
    [anon_sym_begin] = ACTIONS(13205),
    [anon_sym_module] = ACTIONS(13205),
    [anon_sym_baremodule] = ACTIONS(13205),
    [anon_sym_end] = ACTIONS(13205),
    [anon_sym_abstract] = ACTIONS(13205),
    [anon_sym_primitive] = ACTIONS(13205),
    [anon_sym_mutable] = ACTIONS(13205),
    [anon_sym_struct] = ACTIONS(13205),
    [anon_sym_function] = ACTIONS(13205),
    [anon_sym_macro] = ACTIONS(13205),
    [anon_sym_quote] = ACTIONS(13205),
    [anon_sym_let] = ACTIONS(13205),
    [anon_sym_if] = ACTIONS(13205),
    [anon_sym_try] = ACTIONS(13205),
    [anon_sym_catch] = ACTIONS(13205),
    [anon_sym_for] = ACTIONS(13205),
    [anon_sym_while] = ACTIONS(13205),
    [sym_break_statement] = ACTIONS(13205),
    [sym_continue_statement] = ACTIONS(13205),
    [anon_sym_return] = ACTIONS(13205),
    [anon_sym_const] = ACTIONS(13205),
    [anon_sym_global] = ACTIONS(13205),
    [anon_sym_local] = ACTIONS(13205),
    [anon_sym_LPAREN] = ACTIONS(13207),
    [anon_sym_export] = ACTIONS(13205),
    [anon_sym_public] = ACTIONS(13205),
    [anon_sym_import] = ACTIONS(13205),
    [anon_sym_using] = ACTIONS(13205),
    [anon_sym_LBRACK] = ACTIONS(13207),
    [anon_sym_LBRACE] = ACTIONS(13207),
    [anon_sym_DOLLAR] = ACTIONS(13207),
    [anon_sym_COLON2] = ACTIONS(13205),
    [anon_sym_COLON_COLON] = ACTIONS(13207),
    [anon_sym_AT] = ACTIONS(13207),
    [anon_sym_true] = ACTIONS(13205),
    [anon_sym_false] = ACTIONS(13205),
    [aux_sym_integer_literal_token1] = ACTIONS(13207),
    [aux_sym_integer_literal_token2] = ACTIONS(13207),
    [aux_sym_integer_literal_token3] = ACTIONS(13205),
    [aux_sym_integer_literal_token4] = ACTIONS(13205),
    [aux_sym_float_literal_token1] = ACTIONS(13207),
    [aux_sym_float_literal_token3] = ACTIONS(13207),
    [aux_sym_float_literal_token4] = ACTIONS(13207),
    [sym_character_literal] = ACTIONS(13207),
    [anon_sym_DQUOTE] = ACTIONS(13205),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13207),
    [anon_sym_BQUOTE] = ACTIONS(13205),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13207),
    [sym__pair_operator] = ACTIONS(13207),
    [sym__arrow_operator] = ACTIONS(13205),
    [sym__comparison_operator] = ACTIONS(13205),
    [sym__pipe_right_operator] = ACTIONS(13207),
    [sym__pipe_left_operator] = ACTIONS(13207),
    [sym__ellipsis_operator] = ACTIONS(13207),
    [sym__plus_operator] = ACTIONS(13205),
    [sym__times_operator] = ACTIONS(13205),
    [sym__rational_operator] = ACTIONS(13207),
    [sym__bitshift_operator] = ACTIONS(13207),
    [sym__power_operator] = ACTIONS(13207),
    [sym__tilde_operator] = ACTIONS(13207),
    [sym__type_order_operator] = ACTIONS(13207),
    [sym__unary_operator] = ACTIONS(13205),
    [sym__unary_plus_operator] = ACTIONS(13205),
    [anon_sym_SEMI2] = ACTIONS(13237),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10011] = {
    [sym_block_comment] = STATE(10011),
    [sym_line_comment] = STATE(10011),
    [sym__word_identifier] = ACTIONS(11704),
    [anon_sym_COMMA] = ACTIONS(11704),
    [anon_sym_begin] = ACTIONS(11704),
    [anon_sym_module] = ACTIONS(11704),
    [anon_sym_baremodule] = ACTIONS(11704),
    [anon_sym_abstract] = ACTIONS(11704),
    [anon_sym_primitive] = ACTIONS(11704),
    [anon_sym_mutable] = ACTIONS(11704),
    [anon_sym_struct] = ACTIONS(11704),
    [anon_sym_function] = ACTIONS(11704),
    [anon_sym_macro] = ACTIONS(11704),
    [anon_sym_quote] = ACTIONS(11704),
    [anon_sym_let] = ACTIONS(11704),
    [anon_sym_if] = ACTIONS(11704),
    [anon_sym_try] = ACTIONS(11704),
    [anon_sym_for] = ACTIONS(11704),
    [anon_sym_while] = ACTIONS(11704),
    [sym_break_statement] = ACTIONS(11704),
    [sym_continue_statement] = ACTIONS(11704),
    [anon_sym_return] = ACTIONS(11704),
    [anon_sym_const] = ACTIONS(11704),
    [anon_sym_global] = ACTIONS(11704),
    [anon_sym_local] = ACTIONS(11704),
    [anon_sym_LPAREN] = ACTIONS(11704),
    [anon_sym_export] = ACTIONS(11704),
    [anon_sym_public] = ACTIONS(11704),
    [anon_sym_import] = ACTIONS(11704),
    [anon_sym_using] = ACTIONS(11704),
    [anon_sym_LBRACK] = ACTIONS(11704),
    [anon_sym_RBRACK] = ACTIONS(11704),
    [anon_sym_SEMI] = ACTIONS(11704),
    [anon_sym_LBRACE] = ACTIONS(11704),
    [anon_sym_DOLLAR] = ACTIONS(11704),
    [anon_sym_COLON2] = ACTIONS(11704),
    [anon_sym_COLON_COLON] = ACTIONS(11704),
    [anon_sym_AT] = ACTIONS(11704),
    [anon_sym_true] = ACTIONS(11704),
    [anon_sym_false] = ACTIONS(11704),
    [aux_sym_integer_literal_token1] = ACTIONS(11704),
    [aux_sym_integer_literal_token2] = ACTIONS(11704),
    [aux_sym_integer_literal_token3] = ACTIONS(11704),
    [aux_sym_integer_literal_token4] = ACTIONS(11704),
    [aux_sym_float_literal_token1] = ACTIONS(11704),
    [aux_sym_float_literal_token3] = ACTIONS(11704),
    [aux_sym_float_literal_token4] = ACTIONS(11704),
    [sym_character_literal] = ACTIONS(11704),
    [anon_sym_DQUOTE] = ACTIONS(11704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE] = ACTIONS(11704),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11704),
    [sym__pair_operator] = ACTIONS(11704),
    [sym__arrow_operator] = ACTIONS(11704),
    [sym__comparison_operator] = ACTIONS(11704),
    [sym__pipe_right_operator] = ACTIONS(11704),
    [sym__pipe_left_operator] = ACTIONS(11704),
    [sym__ellipsis_operator] = ACTIONS(11704),
    [sym__plus_operator] = ACTIONS(11704),
    [sym__times_operator] = ACTIONS(11704),
    [sym__rational_operator] = ACTIONS(11704),
    [sym__bitshift_operator] = ACTIONS(11704),
    [sym__power_operator] = ACTIONS(11704),
    [sym__tilde_operator] = ACTIONS(11704),
    [sym__type_order_operator] = ACTIONS(11704),
    [sym__unary_operator] = ACTIONS(11704),
    [sym__unary_plus_operator] = ACTIONS(11704),
    [aux_sym__terminator_token1] = ACTIONS(11706),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10012] = {
    [sym_block_comment] = STATE(10012),
    [sym_line_comment] = STATE(10012),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(13240),
    [anon_sym_begin] = ACTIONS(13240),
    [anon_sym_module] = ACTIONS(13240),
    [anon_sym_baremodule] = ACTIONS(13240),
    [anon_sym_end] = ACTIONS(13240),
    [anon_sym_abstract] = ACTIONS(13240),
    [anon_sym_primitive] = ACTIONS(13240),
    [anon_sym_mutable] = ACTIONS(13240),
    [anon_sym_struct] = ACTIONS(13240),
    [anon_sym_function] = ACTIONS(13240),
    [anon_sym_macro] = ACTIONS(13240),
    [anon_sym_quote] = ACTIONS(13240),
    [anon_sym_let] = ACTIONS(13240),
    [anon_sym_if] = ACTIONS(13240),
    [anon_sym_try] = ACTIONS(13240),
    [anon_sym_for] = ACTIONS(13240),
    [anon_sym_while] = ACTIONS(13240),
    [sym_break_statement] = ACTIONS(13240),
    [sym_continue_statement] = ACTIONS(13240),
    [anon_sym_return] = ACTIONS(13240),
    [anon_sym_const] = ACTIONS(13240),
    [anon_sym_global] = ACTIONS(13240),
    [anon_sym_local] = ACTIONS(13240),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_export] = ACTIONS(13240),
    [anon_sym_public] = ACTIONS(13240),
    [anon_sym_import] = ACTIONS(13240),
    [anon_sym_using] = ACTIONS(13240),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13240),
    [anon_sym_COLON_COLON] = ACTIONS(13242),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13240),
    [anon_sym_false] = ACTIONS(13240),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13240),
    [aux_sym_integer_literal_token4] = ACTIONS(13240),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [anon_sym_DQUOTE] = ACTIONS(13240),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13242),
    [anon_sym_BQUOTE] = ACTIONS(13240),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13240),
    [sym__comparison_operator] = ACTIONS(13240),
    [sym__pipe_right_operator] = ACTIONS(13242),
    [sym__pipe_left_operator] = ACTIONS(13242),
    [sym__ellipsis_operator] = ACTIONS(13242),
    [sym__plus_operator] = ACTIONS(13240),
    [sym__times_operator] = ACTIONS(13240),
    [sym__rational_operator] = ACTIONS(13242),
    [sym__bitshift_operator] = ACTIONS(13242),
    [sym__power_operator] = ACTIONS(13242),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13242),
    [sym__unary_operator] = ACTIONS(13240),
    [sym__unary_plus_operator] = ACTIONS(13240),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10013] = {
    [sym_block_comment] = STATE(10013),
    [sym_line_comment] = STATE(10013),
    [sym__word_identifier] = ACTIONS(10319),
    [anon_sym_begin] = ACTIONS(10319),
    [anon_sym_module] = ACTIONS(10319),
    [anon_sym_baremodule] = ACTIONS(10319),
    [anon_sym_end] = ACTIONS(10319),
    [anon_sym_abstract] = ACTIONS(10319),
    [anon_sym_primitive] = ACTIONS(10319),
    [anon_sym_mutable] = ACTIONS(10319),
    [anon_sym_struct] = ACTIONS(10319),
    [anon_sym_function] = ACTIONS(10319),
    [anon_sym_macro] = ACTIONS(10319),
    [anon_sym_quote] = ACTIONS(10319),
    [anon_sym_let] = ACTIONS(10319),
    [anon_sym_if] = ACTIONS(10319),
    [anon_sym_try] = ACTIONS(10319),
    [anon_sym_for] = ACTIONS(10319),
    [anon_sym_while] = ACTIONS(10319),
    [sym_break_statement] = ACTIONS(10319),
    [sym_continue_statement] = ACTIONS(10319),
    [anon_sym_return] = ACTIONS(10319),
    [anon_sym_const] = ACTIONS(10319),
    [anon_sym_global] = ACTIONS(10319),
    [anon_sym_local] = ACTIONS(10319),
    [anon_sym_LPAREN] = ACTIONS(10319),
    [anon_sym_export] = ACTIONS(10319),
    [anon_sym_public] = ACTIONS(10319),
    [anon_sym_import] = ACTIONS(10319),
    [anon_sym_using] = ACTIONS(10319),
    [anon_sym_LBRACK] = ACTIONS(10319),
    [anon_sym_SEMI] = ACTIONS(10319),
    [anon_sym_LBRACE] = ACTIONS(10319),
    [anon_sym_DOLLAR] = ACTIONS(10319),
    [anon_sym_COLON2] = ACTIONS(10319),
    [anon_sym_COLON_COLON] = ACTIONS(10319),
    [anon_sym_AT] = ACTIONS(10319),
    [anon_sym_true] = ACTIONS(10319),
    [anon_sym_false] = ACTIONS(10319),
    [aux_sym_integer_literal_token1] = ACTIONS(10319),
    [aux_sym_integer_literal_token2] = ACTIONS(10319),
    [aux_sym_integer_literal_token3] = ACTIONS(10319),
    [aux_sym_integer_literal_token4] = ACTIONS(10319),
    [aux_sym_float_literal_token1] = ACTIONS(10319),
    [aux_sym_float_literal_token3] = ACTIONS(10319),
    [aux_sym_float_literal_token4] = ACTIONS(10319),
    [sym_character_literal] = ACTIONS(10319),
    [anon_sym_DQUOTE] = ACTIONS(10319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE] = ACTIONS(10319),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10319),
    [sym__pair_operator] = ACTIONS(10319),
    [sym__arrow_operator] = ACTIONS(10319),
    [sym__comparison_operator] = ACTIONS(10319),
    [sym__pipe_right_operator] = ACTIONS(10319),
    [sym__pipe_left_operator] = ACTIONS(10319),
    [sym__ellipsis_operator] = ACTIONS(10319),
    [sym__plus_operator] = ACTIONS(10319),
    [sym__times_operator] = ACTIONS(10319),
    [sym__rational_operator] = ACTIONS(10319),
    [sym__bitshift_operator] = ACTIONS(10319),
    [sym__power_operator] = ACTIONS(10319),
    [sym__tilde_operator] = ACTIONS(10319),
    [sym__type_order_operator] = ACTIONS(10319),
    [sym__unary_operator] = ACTIONS(10319),
    [sym__unary_plus_operator] = ACTIONS(10319),
    [aux_sym__terminator_token1] = ACTIONS(10321),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10014] = {
    [sym_block_comment] = STATE(10014),
    [sym_line_comment] = STATE(10014),
    [sym__word_identifier] = ACTIONS(10307),
    [anon_sym_begin] = ACTIONS(10307),
    [anon_sym_module] = ACTIONS(10307),
    [anon_sym_baremodule] = ACTIONS(10307),
    [anon_sym_end] = ACTIONS(10307),
    [anon_sym_abstract] = ACTIONS(10307),
    [anon_sym_primitive] = ACTIONS(10307),
    [anon_sym_mutable] = ACTIONS(10307),
    [anon_sym_struct] = ACTIONS(10307),
    [anon_sym_function] = ACTIONS(10307),
    [anon_sym_macro] = ACTIONS(10307),
    [anon_sym_quote] = ACTIONS(10307),
    [anon_sym_let] = ACTIONS(10307),
    [anon_sym_if] = ACTIONS(10307),
    [anon_sym_try] = ACTIONS(10307),
    [anon_sym_for] = ACTIONS(10307),
    [anon_sym_while] = ACTIONS(10307),
    [sym_break_statement] = ACTIONS(10307),
    [sym_continue_statement] = ACTIONS(10307),
    [anon_sym_return] = ACTIONS(10307),
    [anon_sym_const] = ACTIONS(10307),
    [anon_sym_global] = ACTIONS(10307),
    [anon_sym_local] = ACTIONS(10307),
    [anon_sym_LPAREN] = ACTIONS(10307),
    [anon_sym_export] = ACTIONS(10307),
    [anon_sym_public] = ACTIONS(10307),
    [anon_sym_import] = ACTIONS(10307),
    [anon_sym_using] = ACTIONS(10307),
    [anon_sym_LBRACK] = ACTIONS(10307),
    [anon_sym_SEMI] = ACTIONS(10307),
    [anon_sym_LBRACE] = ACTIONS(10307),
    [anon_sym_DOLLAR] = ACTIONS(10307),
    [anon_sym_COLON2] = ACTIONS(10307),
    [anon_sym_COLON_COLON] = ACTIONS(10307),
    [anon_sym_AT] = ACTIONS(10307),
    [anon_sym_true] = ACTIONS(10307),
    [anon_sym_false] = ACTIONS(10307),
    [aux_sym_integer_literal_token1] = ACTIONS(10307),
    [aux_sym_integer_literal_token2] = ACTIONS(10307),
    [aux_sym_integer_literal_token3] = ACTIONS(10307),
    [aux_sym_integer_literal_token4] = ACTIONS(10307),
    [aux_sym_float_literal_token1] = ACTIONS(10307),
    [aux_sym_float_literal_token3] = ACTIONS(10307),
    [aux_sym_float_literal_token4] = ACTIONS(10307),
    [sym_character_literal] = ACTIONS(10307),
    [anon_sym_DQUOTE] = ACTIONS(10307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE] = ACTIONS(10307),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10307),
    [sym__pair_operator] = ACTIONS(10307),
    [sym__arrow_operator] = ACTIONS(10307),
    [sym__comparison_operator] = ACTIONS(10307),
    [sym__pipe_right_operator] = ACTIONS(10307),
    [sym__pipe_left_operator] = ACTIONS(10307),
    [sym__ellipsis_operator] = ACTIONS(10307),
    [sym__plus_operator] = ACTIONS(10307),
    [sym__times_operator] = ACTIONS(10307),
    [sym__rational_operator] = ACTIONS(10307),
    [sym__bitshift_operator] = ACTIONS(10307),
    [sym__power_operator] = ACTIONS(10307),
    [sym__tilde_operator] = ACTIONS(10307),
    [sym__type_order_operator] = ACTIONS(10307),
    [sym__unary_operator] = ACTIONS(10307),
    [sym__unary_plus_operator] = ACTIONS(10307),
    [aux_sym__terminator_token1] = ACTIONS(10309),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10015] = {
    [sym_block_comment] = STATE(10015),
    [sym_line_comment] = STATE(10015),
    [sym__word_identifier] = ACTIONS(13225),
    [anon_sym_begin] = ACTIONS(13225),
    [anon_sym_module] = ACTIONS(13225),
    [anon_sym_baremodule] = ACTIONS(13225),
    [anon_sym_abstract] = ACTIONS(13225),
    [anon_sym_primitive] = ACTIONS(13225),
    [anon_sym_mutable] = ACTIONS(13225),
    [anon_sym_struct] = ACTIONS(13225),
    [anon_sym_function] = ACTIONS(13225),
    [anon_sym_macro] = ACTIONS(13225),
    [anon_sym_quote] = ACTIONS(13225),
    [anon_sym_let] = ACTIONS(13225),
    [anon_sym_if] = ACTIONS(13225),
    [anon_sym_try] = ACTIONS(13225),
    [anon_sym_catch] = ACTIONS(13225),
    [anon_sym_finally] = ACTIONS(13225),
    [anon_sym_for] = ACTIONS(13225),
    [anon_sym_while] = ACTIONS(13225),
    [sym_break_statement] = ACTIONS(13225),
    [sym_continue_statement] = ACTIONS(13225),
    [anon_sym_return] = ACTIONS(13225),
    [anon_sym_const] = ACTIONS(13225),
    [anon_sym_global] = ACTIONS(13225),
    [anon_sym_local] = ACTIONS(13225),
    [anon_sym_LPAREN] = ACTIONS(13227),
    [anon_sym_export] = ACTIONS(13225),
    [anon_sym_public] = ACTIONS(13225),
    [anon_sym_import] = ACTIONS(13225),
    [anon_sym_using] = ACTIONS(13225),
    [anon_sym_LBRACK] = ACTIONS(13227),
    [anon_sym_LBRACE] = ACTIONS(13227),
    [anon_sym_DOLLAR] = ACTIONS(13227),
    [anon_sym_COLON2] = ACTIONS(13225),
    [anon_sym_COLON_COLON] = ACTIONS(13227),
    [anon_sym_AT] = ACTIONS(13227),
    [anon_sym_true] = ACTIONS(13225),
    [anon_sym_false] = ACTIONS(13225),
    [aux_sym_integer_literal_token1] = ACTIONS(13227),
    [aux_sym_integer_literal_token2] = ACTIONS(13227),
    [aux_sym_integer_literal_token3] = ACTIONS(13225),
    [aux_sym_integer_literal_token4] = ACTIONS(13225),
    [aux_sym_float_literal_token1] = ACTIONS(13227),
    [aux_sym_float_literal_token3] = ACTIONS(13227),
    [aux_sym_float_literal_token4] = ACTIONS(13227),
    [sym_character_literal] = ACTIONS(13227),
    [anon_sym_DQUOTE] = ACTIONS(13225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13227),
    [anon_sym_BQUOTE] = ACTIONS(13225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13227),
    [sym__pair_operator] = ACTIONS(13227),
    [sym__arrow_operator] = ACTIONS(13225),
    [sym__comparison_operator] = ACTIONS(13225),
    [sym__pipe_right_operator] = ACTIONS(13227),
    [sym__pipe_left_operator] = ACTIONS(13227),
    [sym__ellipsis_operator] = ACTIONS(13227),
    [sym__plus_operator] = ACTIONS(13225),
    [sym__times_operator] = ACTIONS(13225),
    [sym__rational_operator] = ACTIONS(13227),
    [sym__bitshift_operator] = ACTIONS(13227),
    [sym__power_operator] = ACTIONS(13227),
    [sym__tilde_operator] = ACTIONS(13227),
    [sym__type_order_operator] = ACTIONS(13227),
    [sym__unary_operator] = ACTIONS(13225),
    [sym__unary_plus_operator] = ACTIONS(13225),
    [anon_sym_SEMI2] = ACTIONS(13227),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10016] = {
    [sym_block_comment] = STATE(10016),
    [sym_line_comment] = STATE(10016),
    [sym__word_identifier] = ACTIONS(10347),
    [anon_sym_begin] = ACTIONS(10347),
    [anon_sym_module] = ACTIONS(10347),
    [anon_sym_baremodule] = ACTIONS(10347),
    [anon_sym_end] = ACTIONS(10347),
    [anon_sym_abstract] = ACTIONS(10347),
    [anon_sym_primitive] = ACTIONS(10347),
    [anon_sym_mutable] = ACTIONS(10347),
    [anon_sym_struct] = ACTIONS(10347),
    [anon_sym_function] = ACTIONS(10347),
    [anon_sym_macro] = ACTIONS(10347),
    [anon_sym_quote] = ACTIONS(10347),
    [anon_sym_let] = ACTIONS(10347),
    [anon_sym_if] = ACTIONS(10347),
    [anon_sym_try] = ACTIONS(10347),
    [anon_sym_for] = ACTIONS(10347),
    [anon_sym_while] = ACTIONS(10347),
    [sym_break_statement] = ACTIONS(10347),
    [sym_continue_statement] = ACTIONS(10347),
    [anon_sym_return] = ACTIONS(10347),
    [anon_sym_const] = ACTIONS(10347),
    [anon_sym_global] = ACTIONS(10347),
    [anon_sym_local] = ACTIONS(10347),
    [anon_sym_LPAREN] = ACTIONS(10347),
    [anon_sym_export] = ACTIONS(10347),
    [anon_sym_public] = ACTIONS(10347),
    [anon_sym_import] = ACTIONS(10347),
    [anon_sym_using] = ACTIONS(10347),
    [anon_sym_LBRACK] = ACTIONS(10347),
    [anon_sym_SEMI] = ACTIONS(10347),
    [anon_sym_LBRACE] = ACTIONS(10347),
    [anon_sym_DOLLAR] = ACTIONS(10347),
    [anon_sym_COLON2] = ACTIONS(10347),
    [anon_sym_COLON_COLON] = ACTIONS(10347),
    [anon_sym_AT] = ACTIONS(10347),
    [anon_sym_true] = ACTIONS(10347),
    [anon_sym_false] = ACTIONS(10347),
    [aux_sym_integer_literal_token1] = ACTIONS(10347),
    [aux_sym_integer_literal_token2] = ACTIONS(10347),
    [aux_sym_integer_literal_token3] = ACTIONS(10347),
    [aux_sym_integer_literal_token4] = ACTIONS(10347),
    [aux_sym_float_literal_token1] = ACTIONS(10347),
    [aux_sym_float_literal_token3] = ACTIONS(10347),
    [aux_sym_float_literal_token4] = ACTIONS(10347),
    [sym_character_literal] = ACTIONS(10347),
    [anon_sym_DQUOTE] = ACTIONS(10347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE] = ACTIONS(10347),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10347),
    [sym__pair_operator] = ACTIONS(10347),
    [sym__arrow_operator] = ACTIONS(10347),
    [sym__comparison_operator] = ACTIONS(10347),
    [sym__pipe_right_operator] = ACTIONS(10347),
    [sym__pipe_left_operator] = ACTIONS(10347),
    [sym__ellipsis_operator] = ACTIONS(10347),
    [sym__plus_operator] = ACTIONS(10347),
    [sym__times_operator] = ACTIONS(10347),
    [sym__rational_operator] = ACTIONS(10347),
    [sym__bitshift_operator] = ACTIONS(10347),
    [sym__power_operator] = ACTIONS(10347),
    [sym__tilde_operator] = ACTIONS(10347),
    [sym__type_order_operator] = ACTIONS(10347),
    [sym__unary_operator] = ACTIONS(10347),
    [sym__unary_plus_operator] = ACTIONS(10347),
    [aux_sym__terminator_token1] = ACTIONS(10349),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10017] = {
    [sym_block_comment] = STATE(10017),
    [sym_line_comment] = STATE(10017),
    [sym__word_identifier] = ACTIONS(10015),
    [anon_sym_begin] = ACTIONS(10015),
    [anon_sym_module] = ACTIONS(10015),
    [anon_sym_baremodule] = ACTIONS(10015),
    [anon_sym_end] = ACTIONS(10015),
    [anon_sym_abstract] = ACTIONS(10015),
    [anon_sym_primitive] = ACTIONS(10015),
    [anon_sym_mutable] = ACTIONS(10015),
    [anon_sym_struct] = ACTIONS(10015),
    [anon_sym_function] = ACTIONS(10015),
    [anon_sym_macro] = ACTIONS(10015),
    [anon_sym_quote] = ACTIONS(10015),
    [anon_sym_let] = ACTIONS(10015),
    [anon_sym_if] = ACTIONS(10015),
    [anon_sym_try] = ACTIONS(10015),
    [anon_sym_for] = ACTIONS(10015),
    [anon_sym_while] = ACTIONS(10015),
    [sym_break_statement] = ACTIONS(10015),
    [sym_continue_statement] = ACTIONS(10015),
    [anon_sym_return] = ACTIONS(10015),
    [anon_sym_const] = ACTIONS(10015),
    [anon_sym_global] = ACTIONS(10015),
    [anon_sym_local] = ACTIONS(10015),
    [anon_sym_LPAREN] = ACTIONS(10015),
    [anon_sym_export] = ACTIONS(10015),
    [anon_sym_public] = ACTIONS(10015),
    [anon_sym_import] = ACTIONS(10015),
    [anon_sym_using] = ACTIONS(10015),
    [anon_sym_LBRACK] = ACTIONS(10015),
    [anon_sym_SEMI] = ACTIONS(10015),
    [anon_sym_LBRACE] = ACTIONS(10015),
    [anon_sym_DOLLAR] = ACTIONS(10015),
    [anon_sym_COLON2] = ACTIONS(10015),
    [anon_sym_COLON_COLON] = ACTIONS(10015),
    [anon_sym_AT] = ACTIONS(10015),
    [anon_sym_true] = ACTIONS(10015),
    [anon_sym_false] = ACTIONS(10015),
    [aux_sym_integer_literal_token1] = ACTIONS(10015),
    [aux_sym_integer_literal_token2] = ACTIONS(10015),
    [aux_sym_integer_literal_token3] = ACTIONS(10015),
    [aux_sym_integer_literal_token4] = ACTIONS(10015),
    [aux_sym_float_literal_token1] = ACTIONS(10015),
    [aux_sym_float_literal_token3] = ACTIONS(10015),
    [aux_sym_float_literal_token4] = ACTIONS(10015),
    [sym_character_literal] = ACTIONS(10015),
    [anon_sym_DQUOTE] = ACTIONS(10015),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE] = ACTIONS(10015),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10015),
    [sym__pair_operator] = ACTIONS(10015),
    [sym__arrow_operator] = ACTIONS(10015),
    [sym__comparison_operator] = ACTIONS(10015),
    [sym__pipe_right_operator] = ACTIONS(10015),
    [sym__pipe_left_operator] = ACTIONS(10015),
    [sym__ellipsis_operator] = ACTIONS(10015),
    [sym__plus_operator] = ACTIONS(10015),
    [sym__times_operator] = ACTIONS(10015),
    [sym__rational_operator] = ACTIONS(10015),
    [sym__bitshift_operator] = ACTIONS(10015),
    [sym__power_operator] = ACTIONS(10015),
    [sym__tilde_operator] = ACTIONS(10015),
    [sym__type_order_operator] = ACTIONS(10015),
    [sym__unary_operator] = ACTIONS(10015),
    [sym__unary_plus_operator] = ACTIONS(10015),
    [aux_sym__terminator_token1] = ACTIONS(10019),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10018] = {
    [sym_block_comment] = STATE(10018),
    [sym_line_comment] = STATE(10018),
    [sym__word_identifier] = ACTIONS(10351),
    [anon_sym_begin] = ACTIONS(10351),
    [anon_sym_module] = ACTIONS(10351),
    [anon_sym_baremodule] = ACTIONS(10351),
    [anon_sym_end] = ACTIONS(10351),
    [anon_sym_abstract] = ACTIONS(10351),
    [anon_sym_primitive] = ACTIONS(10351),
    [anon_sym_mutable] = ACTIONS(10351),
    [anon_sym_struct] = ACTIONS(10351),
    [anon_sym_function] = ACTIONS(10351),
    [anon_sym_macro] = ACTIONS(10351),
    [anon_sym_quote] = ACTIONS(10351),
    [anon_sym_let] = ACTIONS(10351),
    [anon_sym_if] = ACTIONS(10351),
    [anon_sym_try] = ACTIONS(10351),
    [anon_sym_for] = ACTIONS(10351),
    [anon_sym_while] = ACTIONS(10351),
    [sym_break_statement] = ACTIONS(10351),
    [sym_continue_statement] = ACTIONS(10351),
    [anon_sym_return] = ACTIONS(10351),
    [anon_sym_const] = ACTIONS(10351),
    [anon_sym_global] = ACTIONS(10351),
    [anon_sym_local] = ACTIONS(10351),
    [anon_sym_LPAREN] = ACTIONS(10351),
    [anon_sym_export] = ACTIONS(10351),
    [anon_sym_public] = ACTIONS(10351),
    [anon_sym_import] = ACTIONS(10351),
    [anon_sym_using] = ACTIONS(10351),
    [anon_sym_LBRACK] = ACTIONS(10351),
    [anon_sym_SEMI] = ACTIONS(10351),
    [anon_sym_LBRACE] = ACTIONS(10351),
    [anon_sym_DOLLAR] = ACTIONS(10351),
    [anon_sym_COLON2] = ACTIONS(10351),
    [anon_sym_COLON_COLON] = ACTIONS(10351),
    [anon_sym_AT] = ACTIONS(10351),
    [anon_sym_true] = ACTIONS(10351),
    [anon_sym_false] = ACTIONS(10351),
    [aux_sym_integer_literal_token1] = ACTIONS(10351),
    [aux_sym_integer_literal_token2] = ACTIONS(10351),
    [aux_sym_integer_literal_token3] = ACTIONS(10351),
    [aux_sym_integer_literal_token4] = ACTIONS(10351),
    [aux_sym_float_literal_token1] = ACTIONS(10351),
    [aux_sym_float_literal_token3] = ACTIONS(10351),
    [aux_sym_float_literal_token4] = ACTIONS(10351),
    [sym_character_literal] = ACTIONS(10351),
    [anon_sym_DQUOTE] = ACTIONS(10351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE] = ACTIONS(10351),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10351),
    [sym__pair_operator] = ACTIONS(10351),
    [sym__arrow_operator] = ACTIONS(10351),
    [sym__comparison_operator] = ACTIONS(10351),
    [sym__pipe_right_operator] = ACTIONS(10351),
    [sym__pipe_left_operator] = ACTIONS(10351),
    [sym__ellipsis_operator] = ACTIONS(10351),
    [sym__plus_operator] = ACTIONS(10351),
    [sym__times_operator] = ACTIONS(10351),
    [sym__rational_operator] = ACTIONS(10351),
    [sym__bitshift_operator] = ACTIONS(10351),
    [sym__power_operator] = ACTIONS(10351),
    [sym__tilde_operator] = ACTIONS(10351),
    [sym__type_order_operator] = ACTIONS(10351),
    [sym__unary_operator] = ACTIONS(10351),
    [sym__unary_plus_operator] = ACTIONS(10351),
    [aux_sym__terminator_token1] = ACTIONS(10353),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10019] = {
    [sym_block_comment] = STATE(10019),
    [sym_line_comment] = STATE(10019),
    [sym__word_identifier] = ACTIONS(10355),
    [anon_sym_begin] = ACTIONS(10355),
    [anon_sym_module] = ACTIONS(10355),
    [anon_sym_baremodule] = ACTIONS(10355),
    [anon_sym_end] = ACTIONS(10355),
    [anon_sym_abstract] = ACTIONS(10355),
    [anon_sym_primitive] = ACTIONS(10355),
    [anon_sym_mutable] = ACTIONS(10355),
    [anon_sym_struct] = ACTIONS(10355),
    [anon_sym_function] = ACTIONS(10355),
    [anon_sym_macro] = ACTIONS(10355),
    [anon_sym_quote] = ACTIONS(10355),
    [anon_sym_let] = ACTIONS(10355),
    [anon_sym_if] = ACTIONS(10355),
    [anon_sym_try] = ACTIONS(10355),
    [anon_sym_for] = ACTIONS(10355),
    [anon_sym_while] = ACTIONS(10355),
    [sym_break_statement] = ACTIONS(10355),
    [sym_continue_statement] = ACTIONS(10355),
    [anon_sym_return] = ACTIONS(10355),
    [anon_sym_const] = ACTIONS(10355),
    [anon_sym_global] = ACTIONS(10355),
    [anon_sym_local] = ACTIONS(10355),
    [anon_sym_LPAREN] = ACTIONS(10355),
    [anon_sym_export] = ACTIONS(10355),
    [anon_sym_public] = ACTIONS(10355),
    [anon_sym_import] = ACTIONS(10355),
    [anon_sym_using] = ACTIONS(10355),
    [anon_sym_LBRACK] = ACTIONS(10355),
    [anon_sym_SEMI] = ACTIONS(10355),
    [anon_sym_LBRACE] = ACTIONS(10355),
    [anon_sym_DOLLAR] = ACTIONS(10355),
    [anon_sym_COLON2] = ACTIONS(10355),
    [anon_sym_COLON_COLON] = ACTIONS(10355),
    [anon_sym_AT] = ACTIONS(10355),
    [anon_sym_true] = ACTIONS(10355),
    [anon_sym_false] = ACTIONS(10355),
    [aux_sym_integer_literal_token1] = ACTIONS(10355),
    [aux_sym_integer_literal_token2] = ACTIONS(10355),
    [aux_sym_integer_literal_token3] = ACTIONS(10355),
    [aux_sym_integer_literal_token4] = ACTIONS(10355),
    [aux_sym_float_literal_token1] = ACTIONS(10355),
    [aux_sym_float_literal_token3] = ACTIONS(10355),
    [aux_sym_float_literal_token4] = ACTIONS(10355),
    [sym_character_literal] = ACTIONS(10355),
    [anon_sym_DQUOTE] = ACTIONS(10355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE] = ACTIONS(10355),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10355),
    [sym__pair_operator] = ACTIONS(10355),
    [sym__arrow_operator] = ACTIONS(10355),
    [sym__comparison_operator] = ACTIONS(10355),
    [sym__pipe_right_operator] = ACTIONS(10355),
    [sym__pipe_left_operator] = ACTIONS(10355),
    [sym__ellipsis_operator] = ACTIONS(10355),
    [sym__plus_operator] = ACTIONS(10355),
    [sym__times_operator] = ACTIONS(10355),
    [sym__rational_operator] = ACTIONS(10355),
    [sym__bitshift_operator] = ACTIONS(10355),
    [sym__power_operator] = ACTIONS(10355),
    [sym__tilde_operator] = ACTIONS(10355),
    [sym__type_order_operator] = ACTIONS(10355),
    [sym__unary_operator] = ACTIONS(10355),
    [sym__unary_plus_operator] = ACTIONS(10355),
    [aux_sym__terminator_token1] = ACTIONS(10357),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10020] = {
    [sym_block_comment] = STATE(10020),
    [sym_line_comment] = STATE(10020),
    [sym__word_identifier] = ACTIONS(10127),
    [anon_sym_begin] = ACTIONS(10127),
    [anon_sym_module] = ACTIONS(10127),
    [anon_sym_baremodule] = ACTIONS(10127),
    [anon_sym_end] = ACTIONS(10127),
    [anon_sym_abstract] = ACTIONS(10127),
    [anon_sym_primitive] = ACTIONS(10127),
    [anon_sym_mutable] = ACTIONS(10127),
    [anon_sym_struct] = ACTIONS(10127),
    [anon_sym_function] = ACTIONS(10127),
    [anon_sym_macro] = ACTIONS(10127),
    [anon_sym_quote] = ACTIONS(10127),
    [anon_sym_let] = ACTIONS(10127),
    [anon_sym_if] = ACTIONS(10127),
    [anon_sym_try] = ACTIONS(10127),
    [anon_sym_for] = ACTIONS(10127),
    [anon_sym_while] = ACTIONS(10127),
    [sym_break_statement] = ACTIONS(10127),
    [sym_continue_statement] = ACTIONS(10127),
    [anon_sym_return] = ACTIONS(10127),
    [anon_sym_const] = ACTIONS(10127),
    [anon_sym_global] = ACTIONS(10127),
    [anon_sym_local] = ACTIONS(10127),
    [anon_sym_LPAREN] = ACTIONS(10127),
    [anon_sym_export] = ACTIONS(10127),
    [anon_sym_public] = ACTIONS(10127),
    [anon_sym_import] = ACTIONS(10127),
    [anon_sym_using] = ACTIONS(10127),
    [anon_sym_LBRACK] = ACTIONS(10127),
    [anon_sym_SEMI] = ACTIONS(10127),
    [anon_sym_LBRACE] = ACTIONS(10127),
    [anon_sym_DOLLAR] = ACTIONS(10127),
    [anon_sym_COLON2] = ACTIONS(10127),
    [anon_sym_COLON_COLON] = ACTIONS(10127),
    [anon_sym_AT] = ACTIONS(10127),
    [anon_sym_true] = ACTIONS(10127),
    [anon_sym_false] = ACTIONS(10127),
    [aux_sym_integer_literal_token1] = ACTIONS(10127),
    [aux_sym_integer_literal_token2] = ACTIONS(10127),
    [aux_sym_integer_literal_token3] = ACTIONS(10127),
    [aux_sym_integer_literal_token4] = ACTIONS(10127),
    [aux_sym_float_literal_token1] = ACTIONS(10127),
    [aux_sym_float_literal_token3] = ACTIONS(10127),
    [aux_sym_float_literal_token4] = ACTIONS(10127),
    [sym_character_literal] = ACTIONS(10127),
    [anon_sym_DQUOTE] = ACTIONS(10127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE] = ACTIONS(10127),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10127),
    [sym__pair_operator] = ACTIONS(10127),
    [sym__arrow_operator] = ACTIONS(10127),
    [sym__comparison_operator] = ACTIONS(10127),
    [sym__pipe_right_operator] = ACTIONS(10127),
    [sym__pipe_left_operator] = ACTIONS(10127),
    [sym__ellipsis_operator] = ACTIONS(10127),
    [sym__plus_operator] = ACTIONS(10127),
    [sym__times_operator] = ACTIONS(10127),
    [sym__rational_operator] = ACTIONS(10127),
    [sym__bitshift_operator] = ACTIONS(10127),
    [sym__power_operator] = ACTIONS(10127),
    [sym__tilde_operator] = ACTIONS(10127),
    [sym__type_order_operator] = ACTIONS(10127),
    [sym__unary_operator] = ACTIONS(10127),
    [sym__unary_plus_operator] = ACTIONS(10127),
    [aux_sym__terminator_token1] = ACTIONS(10129),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10021] = {
    [sym_block_comment] = STATE(10021),
    [sym_line_comment] = STATE(10021),
    [sym__word_identifier] = ACTIONS(10089),
    [anon_sym_begin] = ACTIONS(10089),
    [anon_sym_module] = ACTIONS(10089),
    [anon_sym_baremodule] = ACTIONS(10089),
    [anon_sym_end] = ACTIONS(10089),
    [anon_sym_abstract] = ACTIONS(10089),
    [anon_sym_primitive] = ACTIONS(10089),
    [anon_sym_mutable] = ACTIONS(10089),
    [anon_sym_struct] = ACTIONS(10089),
    [anon_sym_function] = ACTIONS(10089),
    [anon_sym_macro] = ACTIONS(10089),
    [anon_sym_quote] = ACTIONS(10089),
    [anon_sym_let] = ACTIONS(10089),
    [anon_sym_if] = ACTIONS(10089),
    [anon_sym_try] = ACTIONS(10089),
    [anon_sym_for] = ACTIONS(10089),
    [anon_sym_while] = ACTIONS(10089),
    [sym_break_statement] = ACTIONS(10089),
    [sym_continue_statement] = ACTIONS(10089),
    [anon_sym_return] = ACTIONS(10089),
    [anon_sym_const] = ACTIONS(10089),
    [anon_sym_global] = ACTIONS(10089),
    [anon_sym_local] = ACTIONS(10089),
    [anon_sym_LPAREN] = ACTIONS(10089),
    [anon_sym_export] = ACTIONS(10089),
    [anon_sym_public] = ACTIONS(10089),
    [anon_sym_import] = ACTIONS(10089),
    [anon_sym_using] = ACTIONS(10089),
    [anon_sym_LBRACK] = ACTIONS(10089),
    [anon_sym_SEMI] = ACTIONS(10089),
    [anon_sym_LBRACE] = ACTIONS(10089),
    [anon_sym_DOLLAR] = ACTIONS(10089),
    [anon_sym_COLON2] = ACTIONS(10089),
    [anon_sym_COLON_COLON] = ACTIONS(10089),
    [anon_sym_AT] = ACTIONS(10089),
    [anon_sym_true] = ACTIONS(10089),
    [anon_sym_false] = ACTIONS(10089),
    [aux_sym_integer_literal_token1] = ACTIONS(10089),
    [aux_sym_integer_literal_token2] = ACTIONS(10089),
    [aux_sym_integer_literal_token3] = ACTIONS(10089),
    [aux_sym_integer_literal_token4] = ACTIONS(10089),
    [aux_sym_float_literal_token1] = ACTIONS(10089),
    [aux_sym_float_literal_token3] = ACTIONS(10089),
    [aux_sym_float_literal_token4] = ACTIONS(10089),
    [sym_character_literal] = ACTIONS(10089),
    [anon_sym_DQUOTE] = ACTIONS(10089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE] = ACTIONS(10089),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10089),
    [sym__pair_operator] = ACTIONS(10089),
    [sym__arrow_operator] = ACTIONS(10089),
    [sym__comparison_operator] = ACTIONS(10089),
    [sym__pipe_right_operator] = ACTIONS(10089),
    [sym__pipe_left_operator] = ACTIONS(10089),
    [sym__ellipsis_operator] = ACTIONS(10089),
    [sym__plus_operator] = ACTIONS(10089),
    [sym__times_operator] = ACTIONS(10089),
    [sym__rational_operator] = ACTIONS(10089),
    [sym__bitshift_operator] = ACTIONS(10089),
    [sym__power_operator] = ACTIONS(10089),
    [sym__tilde_operator] = ACTIONS(10089),
    [sym__type_order_operator] = ACTIONS(10089),
    [sym__unary_operator] = ACTIONS(10089),
    [sym__unary_plus_operator] = ACTIONS(10089),
    [aux_sym__terminator_token1] = ACTIONS(10091),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10022] = {
    [sym_block_comment] = STATE(10022),
    [sym_line_comment] = STATE(10022),
    [sym__word_identifier] = ACTIONS(9907),
    [anon_sym_begin] = ACTIONS(9907),
    [anon_sym_module] = ACTIONS(9907),
    [anon_sym_baremodule] = ACTIONS(9907),
    [anon_sym_end] = ACTIONS(9907),
    [anon_sym_abstract] = ACTIONS(9907),
    [anon_sym_primitive] = ACTIONS(9907),
    [anon_sym_mutable] = ACTIONS(9907),
    [anon_sym_struct] = ACTIONS(9907),
    [anon_sym_function] = ACTIONS(9907),
    [anon_sym_macro] = ACTIONS(9907),
    [anon_sym_quote] = ACTIONS(9907),
    [anon_sym_let] = ACTIONS(9907),
    [anon_sym_if] = ACTIONS(9907),
    [anon_sym_try] = ACTIONS(9907),
    [anon_sym_for] = ACTIONS(9907),
    [anon_sym_while] = ACTIONS(9907),
    [sym_break_statement] = ACTIONS(9907),
    [sym_continue_statement] = ACTIONS(9907),
    [anon_sym_return] = ACTIONS(9907),
    [anon_sym_const] = ACTIONS(9907),
    [anon_sym_global] = ACTIONS(9907),
    [anon_sym_local] = ACTIONS(9907),
    [anon_sym_LPAREN] = ACTIONS(9907),
    [anon_sym_export] = ACTIONS(9907),
    [anon_sym_public] = ACTIONS(9907),
    [anon_sym_import] = ACTIONS(9907),
    [anon_sym_using] = ACTIONS(9907),
    [anon_sym_LBRACK] = ACTIONS(9907),
    [anon_sym_SEMI] = ACTIONS(9907),
    [anon_sym_LBRACE] = ACTIONS(9907),
    [anon_sym_DOLLAR] = ACTIONS(9907),
    [anon_sym_COLON2] = ACTIONS(9907),
    [anon_sym_COLON_COLON] = ACTIONS(9907),
    [anon_sym_AT] = ACTIONS(9907),
    [anon_sym_true] = ACTIONS(9907),
    [anon_sym_false] = ACTIONS(9907),
    [aux_sym_integer_literal_token1] = ACTIONS(9907),
    [aux_sym_integer_literal_token2] = ACTIONS(9907),
    [aux_sym_integer_literal_token3] = ACTIONS(9907),
    [aux_sym_integer_literal_token4] = ACTIONS(9907),
    [aux_sym_float_literal_token1] = ACTIONS(9907),
    [aux_sym_float_literal_token3] = ACTIONS(9907),
    [aux_sym_float_literal_token4] = ACTIONS(9907),
    [sym_character_literal] = ACTIONS(9907),
    [anon_sym_DQUOTE] = ACTIONS(9907),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE] = ACTIONS(9907),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9907),
    [sym__pair_operator] = ACTIONS(9907),
    [sym__arrow_operator] = ACTIONS(9907),
    [sym__comparison_operator] = ACTIONS(9907),
    [sym__pipe_right_operator] = ACTIONS(9907),
    [sym__pipe_left_operator] = ACTIONS(9907),
    [sym__ellipsis_operator] = ACTIONS(9907),
    [sym__plus_operator] = ACTIONS(9907),
    [sym__times_operator] = ACTIONS(9907),
    [sym__rational_operator] = ACTIONS(9907),
    [sym__bitshift_operator] = ACTIONS(9907),
    [sym__power_operator] = ACTIONS(9907),
    [sym__tilde_operator] = ACTIONS(9907),
    [sym__type_order_operator] = ACTIONS(9907),
    [sym__unary_operator] = ACTIONS(9907),
    [sym__unary_plus_operator] = ACTIONS(9907),
    [aux_sym__terminator_token1] = ACTIONS(9909),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10023] = {
    [sym_block_comment] = STATE(10023),
    [sym_line_comment] = STATE(10023),
    [sym__word_identifier] = ACTIONS(10395),
    [anon_sym_begin] = ACTIONS(10395),
    [anon_sym_module] = ACTIONS(10395),
    [anon_sym_baremodule] = ACTIONS(10395),
    [anon_sym_end] = ACTIONS(10395),
    [anon_sym_abstract] = ACTIONS(10395),
    [anon_sym_primitive] = ACTIONS(10395),
    [anon_sym_mutable] = ACTIONS(10395),
    [anon_sym_struct] = ACTIONS(10395),
    [anon_sym_function] = ACTIONS(10395),
    [anon_sym_macro] = ACTIONS(10395),
    [anon_sym_quote] = ACTIONS(10395),
    [anon_sym_let] = ACTIONS(10395),
    [anon_sym_if] = ACTIONS(10395),
    [anon_sym_try] = ACTIONS(10395),
    [anon_sym_for] = ACTIONS(10395),
    [anon_sym_while] = ACTIONS(10395),
    [sym_break_statement] = ACTIONS(10395),
    [sym_continue_statement] = ACTIONS(10395),
    [anon_sym_return] = ACTIONS(10395),
    [anon_sym_const] = ACTIONS(10395),
    [anon_sym_global] = ACTIONS(10395),
    [anon_sym_local] = ACTIONS(10395),
    [anon_sym_LPAREN] = ACTIONS(10395),
    [anon_sym_export] = ACTIONS(10395),
    [anon_sym_public] = ACTIONS(10395),
    [anon_sym_import] = ACTIONS(10395),
    [anon_sym_using] = ACTIONS(10395),
    [anon_sym_LBRACK] = ACTIONS(10395),
    [anon_sym_SEMI] = ACTIONS(10395),
    [anon_sym_LBRACE] = ACTIONS(10395),
    [anon_sym_DOLLAR] = ACTIONS(10395),
    [anon_sym_COLON2] = ACTIONS(10395),
    [anon_sym_COLON_COLON] = ACTIONS(10395),
    [anon_sym_AT] = ACTIONS(10395),
    [anon_sym_true] = ACTIONS(10395),
    [anon_sym_false] = ACTIONS(10395),
    [aux_sym_integer_literal_token1] = ACTIONS(10395),
    [aux_sym_integer_literal_token2] = ACTIONS(10395),
    [aux_sym_integer_literal_token3] = ACTIONS(10395),
    [aux_sym_integer_literal_token4] = ACTIONS(10395),
    [aux_sym_float_literal_token1] = ACTIONS(10395),
    [aux_sym_float_literal_token3] = ACTIONS(10395),
    [aux_sym_float_literal_token4] = ACTIONS(10395),
    [sym_character_literal] = ACTIONS(10395),
    [anon_sym_DQUOTE] = ACTIONS(10395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE] = ACTIONS(10395),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10395),
    [sym__pair_operator] = ACTIONS(10395),
    [sym__arrow_operator] = ACTIONS(10395),
    [sym__comparison_operator] = ACTIONS(10395),
    [sym__pipe_right_operator] = ACTIONS(10395),
    [sym__pipe_left_operator] = ACTIONS(10395),
    [sym__ellipsis_operator] = ACTIONS(10395),
    [sym__plus_operator] = ACTIONS(10395),
    [sym__times_operator] = ACTIONS(10395),
    [sym__rational_operator] = ACTIONS(10395),
    [sym__bitshift_operator] = ACTIONS(10395),
    [sym__power_operator] = ACTIONS(10395),
    [sym__tilde_operator] = ACTIONS(10395),
    [sym__type_order_operator] = ACTIONS(10395),
    [sym__unary_operator] = ACTIONS(10395),
    [sym__unary_plus_operator] = ACTIONS(10395),
    [aux_sym__terminator_token1] = ACTIONS(10397),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10024] = {
    [sym_block_comment] = STATE(10024),
    [sym_line_comment] = STATE(10024),
    [sym__word_identifier] = ACTIONS(10083),
    [anon_sym_begin] = ACTIONS(10083),
    [anon_sym_module] = ACTIONS(10083),
    [anon_sym_baremodule] = ACTIONS(10083),
    [anon_sym_end] = ACTIONS(10083),
    [anon_sym_abstract] = ACTIONS(10083),
    [anon_sym_primitive] = ACTIONS(10083),
    [anon_sym_mutable] = ACTIONS(10083),
    [anon_sym_struct] = ACTIONS(10083),
    [anon_sym_function] = ACTIONS(10083),
    [anon_sym_macro] = ACTIONS(10083),
    [anon_sym_quote] = ACTIONS(10083),
    [anon_sym_let] = ACTIONS(10083),
    [anon_sym_if] = ACTIONS(10083),
    [anon_sym_try] = ACTIONS(10083),
    [anon_sym_for] = ACTIONS(10083),
    [anon_sym_while] = ACTIONS(10083),
    [sym_break_statement] = ACTIONS(10083),
    [sym_continue_statement] = ACTIONS(10083),
    [anon_sym_return] = ACTIONS(10083),
    [anon_sym_const] = ACTIONS(10083),
    [anon_sym_global] = ACTIONS(10083),
    [anon_sym_local] = ACTIONS(10083),
    [anon_sym_LPAREN] = ACTIONS(10083),
    [anon_sym_export] = ACTIONS(10083),
    [anon_sym_public] = ACTIONS(10083),
    [anon_sym_import] = ACTIONS(10083),
    [anon_sym_using] = ACTIONS(10083),
    [anon_sym_LBRACK] = ACTIONS(10083),
    [anon_sym_SEMI] = ACTIONS(10083),
    [anon_sym_LBRACE] = ACTIONS(10083),
    [anon_sym_DOLLAR] = ACTIONS(10083),
    [anon_sym_COLON2] = ACTIONS(10083),
    [anon_sym_COLON_COLON] = ACTIONS(10083),
    [anon_sym_AT] = ACTIONS(10083),
    [anon_sym_true] = ACTIONS(10083),
    [anon_sym_false] = ACTIONS(10083),
    [aux_sym_integer_literal_token1] = ACTIONS(10083),
    [aux_sym_integer_literal_token2] = ACTIONS(10083),
    [aux_sym_integer_literal_token3] = ACTIONS(10083),
    [aux_sym_integer_literal_token4] = ACTIONS(10083),
    [aux_sym_float_literal_token1] = ACTIONS(10083),
    [aux_sym_float_literal_token3] = ACTIONS(10083),
    [aux_sym_float_literal_token4] = ACTIONS(10083),
    [sym_character_literal] = ACTIONS(10083),
    [anon_sym_DQUOTE] = ACTIONS(10083),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE] = ACTIONS(10083),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10083),
    [sym__pair_operator] = ACTIONS(10083),
    [sym__arrow_operator] = ACTIONS(10083),
    [sym__comparison_operator] = ACTIONS(10083),
    [sym__pipe_right_operator] = ACTIONS(10083),
    [sym__pipe_left_operator] = ACTIONS(10083),
    [sym__ellipsis_operator] = ACTIONS(10083),
    [sym__plus_operator] = ACTIONS(10083),
    [sym__times_operator] = ACTIONS(10083),
    [sym__rational_operator] = ACTIONS(10083),
    [sym__bitshift_operator] = ACTIONS(10083),
    [sym__power_operator] = ACTIONS(10083),
    [sym__tilde_operator] = ACTIONS(10083),
    [sym__type_order_operator] = ACTIONS(10083),
    [sym__unary_operator] = ACTIONS(10083),
    [sym__unary_plus_operator] = ACTIONS(10083),
    [aux_sym__terminator_token1] = ACTIONS(10087),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10025] = {
    [sym_block_comment] = STATE(10025),
    [sym_line_comment] = STATE(10025),
    [sym__word_identifier] = ACTIONS(10413),
    [anon_sym_begin] = ACTIONS(10413),
    [anon_sym_module] = ACTIONS(10413),
    [anon_sym_baremodule] = ACTIONS(10413),
    [anon_sym_end] = ACTIONS(10413),
    [anon_sym_abstract] = ACTIONS(10413),
    [anon_sym_primitive] = ACTIONS(10413),
    [anon_sym_mutable] = ACTIONS(10413),
    [anon_sym_struct] = ACTIONS(10413),
    [anon_sym_function] = ACTIONS(10413),
    [anon_sym_macro] = ACTIONS(10413),
    [anon_sym_quote] = ACTIONS(10413),
    [anon_sym_let] = ACTIONS(10413),
    [anon_sym_if] = ACTIONS(10413),
    [anon_sym_try] = ACTIONS(10413),
    [anon_sym_for] = ACTIONS(10413),
    [anon_sym_while] = ACTIONS(10413),
    [sym_break_statement] = ACTIONS(10413),
    [sym_continue_statement] = ACTIONS(10413),
    [anon_sym_return] = ACTIONS(10413),
    [anon_sym_const] = ACTIONS(10413),
    [anon_sym_global] = ACTIONS(10413),
    [anon_sym_local] = ACTIONS(10413),
    [anon_sym_LPAREN] = ACTIONS(10413),
    [anon_sym_export] = ACTIONS(10413),
    [anon_sym_public] = ACTIONS(10413),
    [anon_sym_import] = ACTIONS(10413),
    [anon_sym_using] = ACTIONS(10413),
    [anon_sym_LBRACK] = ACTIONS(10413),
    [anon_sym_SEMI] = ACTIONS(10413),
    [anon_sym_LBRACE] = ACTIONS(10413),
    [anon_sym_DOLLAR] = ACTIONS(10413),
    [anon_sym_COLON2] = ACTIONS(10413),
    [anon_sym_COLON_COLON] = ACTIONS(10413),
    [anon_sym_AT] = ACTIONS(10413),
    [anon_sym_true] = ACTIONS(10413),
    [anon_sym_false] = ACTIONS(10413),
    [aux_sym_integer_literal_token1] = ACTIONS(10413),
    [aux_sym_integer_literal_token2] = ACTIONS(10413),
    [aux_sym_integer_literal_token3] = ACTIONS(10413),
    [aux_sym_integer_literal_token4] = ACTIONS(10413),
    [aux_sym_float_literal_token1] = ACTIONS(10413),
    [aux_sym_float_literal_token3] = ACTIONS(10413),
    [aux_sym_float_literal_token4] = ACTIONS(10413),
    [sym_character_literal] = ACTIONS(10413),
    [anon_sym_DQUOTE] = ACTIONS(10413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE] = ACTIONS(10413),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10413),
    [sym__pair_operator] = ACTIONS(10413),
    [sym__arrow_operator] = ACTIONS(10413),
    [sym__comparison_operator] = ACTIONS(10413),
    [sym__pipe_right_operator] = ACTIONS(10413),
    [sym__pipe_left_operator] = ACTIONS(10413),
    [sym__ellipsis_operator] = ACTIONS(10413),
    [sym__plus_operator] = ACTIONS(10413),
    [sym__times_operator] = ACTIONS(10413),
    [sym__rational_operator] = ACTIONS(10413),
    [sym__bitshift_operator] = ACTIONS(10413),
    [sym__power_operator] = ACTIONS(10413),
    [sym__tilde_operator] = ACTIONS(10413),
    [sym__type_order_operator] = ACTIONS(10413),
    [sym__unary_operator] = ACTIONS(10413),
    [sym__unary_plus_operator] = ACTIONS(10413),
    [aux_sym__terminator_token1] = ACTIONS(10415),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10026] = {
    [sym_block_comment] = STATE(10026),
    [sym_line_comment] = STATE(10026),
    [ts_builtin_sym_end] = ACTIONS(13227),
    [sym__word_identifier] = ACTIONS(13225),
    [anon_sym_begin] = ACTIONS(13225),
    [anon_sym_module] = ACTIONS(13225),
    [anon_sym_baremodule] = ACTIONS(13225),
    [anon_sym_abstract] = ACTIONS(13225),
    [anon_sym_primitive] = ACTIONS(13225),
    [anon_sym_mutable] = ACTIONS(13225),
    [anon_sym_struct] = ACTIONS(13225),
    [anon_sym_function] = ACTIONS(13225),
    [anon_sym_macro] = ACTIONS(13225),
    [anon_sym_quote] = ACTIONS(13225),
    [anon_sym_let] = ACTIONS(13225),
    [anon_sym_if] = ACTIONS(13225),
    [anon_sym_try] = ACTIONS(13225),
    [anon_sym_for] = ACTIONS(13225),
    [anon_sym_while] = ACTIONS(13225),
    [sym_break_statement] = ACTIONS(13225),
    [sym_continue_statement] = ACTIONS(13225),
    [anon_sym_return] = ACTIONS(13225),
    [anon_sym_const] = ACTIONS(13225),
    [anon_sym_global] = ACTIONS(13225),
    [anon_sym_local] = ACTIONS(13225),
    [anon_sym_LPAREN] = ACTIONS(13227),
    [anon_sym_export] = ACTIONS(13225),
    [anon_sym_public] = ACTIONS(13225),
    [anon_sym_import] = ACTIONS(13225),
    [anon_sym_using] = ACTIONS(13225),
    [anon_sym_LBRACK] = ACTIONS(13227),
    [anon_sym_RBRACK] = ACTIONS(13227),
    [anon_sym_LBRACE] = ACTIONS(13227),
    [anon_sym_DOLLAR] = ACTIONS(13227),
    [anon_sym_COLON2] = ACTIONS(13225),
    [anon_sym_COLON_COLON] = ACTIONS(13227),
    [anon_sym_AT] = ACTIONS(13227),
    [anon_sym_true] = ACTIONS(13225),
    [anon_sym_false] = ACTIONS(13225),
    [aux_sym_integer_literal_token1] = ACTIONS(13227),
    [aux_sym_integer_literal_token2] = ACTIONS(13227),
    [aux_sym_integer_literal_token3] = ACTIONS(13225),
    [aux_sym_integer_literal_token4] = ACTIONS(13225),
    [aux_sym_float_literal_token1] = ACTIONS(13227),
    [aux_sym_float_literal_token3] = ACTIONS(13227),
    [aux_sym_float_literal_token4] = ACTIONS(13227),
    [sym_character_literal] = ACTIONS(13227),
    [anon_sym_DQUOTE] = ACTIONS(13225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13227),
    [anon_sym_BQUOTE] = ACTIONS(13225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13227),
    [sym__pair_operator] = ACTIONS(13227),
    [sym__arrow_operator] = ACTIONS(13225),
    [sym__comparison_operator] = ACTIONS(13225),
    [sym__pipe_right_operator] = ACTIONS(13227),
    [sym__pipe_left_operator] = ACTIONS(13227),
    [sym__ellipsis_operator] = ACTIONS(13227),
    [sym__plus_operator] = ACTIONS(13225),
    [sym__times_operator] = ACTIONS(13225),
    [sym__rational_operator] = ACTIONS(13227),
    [sym__bitshift_operator] = ACTIONS(13227),
    [sym__power_operator] = ACTIONS(13227),
    [sym__tilde_operator] = ACTIONS(13227),
    [sym__type_order_operator] = ACTIONS(13227),
    [sym__unary_operator] = ACTIONS(13225),
    [sym__unary_plus_operator] = ACTIONS(13225),
    [anon_sym_SEMI2] = ACTIONS(13227),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10027] = {
    [sym_block_comment] = STATE(10027),
    [sym_line_comment] = STATE(10027),
    [sym__word_identifier] = ACTIONS(10389),
    [anon_sym_begin] = ACTIONS(10389),
    [anon_sym_module] = ACTIONS(10389),
    [anon_sym_baremodule] = ACTIONS(10389),
    [anon_sym_end] = ACTIONS(10389),
    [anon_sym_abstract] = ACTIONS(10389),
    [anon_sym_primitive] = ACTIONS(10389),
    [anon_sym_mutable] = ACTIONS(10389),
    [anon_sym_struct] = ACTIONS(10389),
    [anon_sym_function] = ACTIONS(10389),
    [anon_sym_macro] = ACTIONS(10389),
    [anon_sym_quote] = ACTIONS(10389),
    [anon_sym_let] = ACTIONS(10389),
    [anon_sym_if] = ACTIONS(10389),
    [anon_sym_try] = ACTIONS(10389),
    [anon_sym_for] = ACTIONS(10389),
    [anon_sym_while] = ACTIONS(10389),
    [sym_break_statement] = ACTIONS(10389),
    [sym_continue_statement] = ACTIONS(10389),
    [anon_sym_return] = ACTIONS(10389),
    [anon_sym_const] = ACTIONS(10389),
    [anon_sym_global] = ACTIONS(10389),
    [anon_sym_local] = ACTIONS(10389),
    [anon_sym_LPAREN] = ACTIONS(10389),
    [anon_sym_export] = ACTIONS(10389),
    [anon_sym_public] = ACTIONS(10389),
    [anon_sym_import] = ACTIONS(10389),
    [anon_sym_using] = ACTIONS(10389),
    [anon_sym_LBRACK] = ACTIONS(10389),
    [anon_sym_SEMI] = ACTIONS(10389),
    [anon_sym_LBRACE] = ACTIONS(10389),
    [anon_sym_DOLLAR] = ACTIONS(10389),
    [anon_sym_COLON2] = ACTIONS(10389),
    [anon_sym_COLON_COLON] = ACTIONS(10389),
    [anon_sym_AT] = ACTIONS(10389),
    [anon_sym_true] = ACTIONS(10389),
    [anon_sym_false] = ACTIONS(10389),
    [aux_sym_integer_literal_token1] = ACTIONS(10389),
    [aux_sym_integer_literal_token2] = ACTIONS(10389),
    [aux_sym_integer_literal_token3] = ACTIONS(10389),
    [aux_sym_integer_literal_token4] = ACTIONS(10389),
    [aux_sym_float_literal_token1] = ACTIONS(10389),
    [aux_sym_float_literal_token3] = ACTIONS(10389),
    [aux_sym_float_literal_token4] = ACTIONS(10389),
    [sym_character_literal] = ACTIONS(10389),
    [anon_sym_DQUOTE] = ACTIONS(10389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE] = ACTIONS(10389),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10389),
    [sym__pair_operator] = ACTIONS(10389),
    [sym__arrow_operator] = ACTIONS(10389),
    [sym__comparison_operator] = ACTIONS(10389),
    [sym__pipe_right_operator] = ACTIONS(10389),
    [sym__pipe_left_operator] = ACTIONS(10389),
    [sym__ellipsis_operator] = ACTIONS(10389),
    [sym__plus_operator] = ACTIONS(10389),
    [sym__times_operator] = ACTIONS(10389),
    [sym__rational_operator] = ACTIONS(10389),
    [sym__bitshift_operator] = ACTIONS(10389),
    [sym__power_operator] = ACTIONS(10389),
    [sym__tilde_operator] = ACTIONS(10389),
    [sym__type_order_operator] = ACTIONS(10389),
    [sym__unary_operator] = ACTIONS(10389),
    [sym__unary_plus_operator] = ACTIONS(10389),
    [aux_sym__terminator_token1] = ACTIONS(10391),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10028] = {
    [sym_block_comment] = STATE(10028),
    [sym_line_comment] = STATE(10028),
    [sym__word_identifier] = ACTIONS(10343),
    [anon_sym_begin] = ACTIONS(10343),
    [anon_sym_module] = ACTIONS(10343),
    [anon_sym_baremodule] = ACTIONS(10343),
    [anon_sym_end] = ACTIONS(10343),
    [anon_sym_abstract] = ACTIONS(10343),
    [anon_sym_primitive] = ACTIONS(10343),
    [anon_sym_mutable] = ACTIONS(10343),
    [anon_sym_struct] = ACTIONS(10343),
    [anon_sym_function] = ACTIONS(10343),
    [anon_sym_macro] = ACTIONS(10343),
    [anon_sym_quote] = ACTIONS(10343),
    [anon_sym_let] = ACTIONS(10343),
    [anon_sym_if] = ACTIONS(10343),
    [anon_sym_try] = ACTIONS(10343),
    [anon_sym_for] = ACTIONS(10343),
    [anon_sym_while] = ACTIONS(10343),
    [sym_break_statement] = ACTIONS(10343),
    [sym_continue_statement] = ACTIONS(10343),
    [anon_sym_return] = ACTIONS(10343),
    [anon_sym_const] = ACTIONS(10343),
    [anon_sym_global] = ACTIONS(10343),
    [anon_sym_local] = ACTIONS(10343),
    [anon_sym_LPAREN] = ACTIONS(10343),
    [anon_sym_export] = ACTIONS(10343),
    [anon_sym_public] = ACTIONS(10343),
    [anon_sym_import] = ACTIONS(10343),
    [anon_sym_using] = ACTIONS(10343),
    [anon_sym_LBRACK] = ACTIONS(10343),
    [anon_sym_SEMI] = ACTIONS(10343),
    [anon_sym_LBRACE] = ACTIONS(10343),
    [anon_sym_DOLLAR] = ACTIONS(10343),
    [anon_sym_COLON2] = ACTIONS(10343),
    [anon_sym_COLON_COLON] = ACTIONS(10343),
    [anon_sym_AT] = ACTIONS(10343),
    [anon_sym_true] = ACTIONS(10343),
    [anon_sym_false] = ACTIONS(10343),
    [aux_sym_integer_literal_token1] = ACTIONS(10343),
    [aux_sym_integer_literal_token2] = ACTIONS(10343),
    [aux_sym_integer_literal_token3] = ACTIONS(10343),
    [aux_sym_integer_literal_token4] = ACTIONS(10343),
    [aux_sym_float_literal_token1] = ACTIONS(10343),
    [aux_sym_float_literal_token3] = ACTIONS(10343),
    [aux_sym_float_literal_token4] = ACTIONS(10343),
    [sym_character_literal] = ACTIONS(10343),
    [anon_sym_DQUOTE] = ACTIONS(10343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE] = ACTIONS(10343),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10343),
    [sym__pair_operator] = ACTIONS(10343),
    [sym__arrow_operator] = ACTIONS(10343),
    [sym__comparison_operator] = ACTIONS(10343),
    [sym__pipe_right_operator] = ACTIONS(10343),
    [sym__pipe_left_operator] = ACTIONS(10343),
    [sym__ellipsis_operator] = ACTIONS(10343),
    [sym__plus_operator] = ACTIONS(10343),
    [sym__times_operator] = ACTIONS(10343),
    [sym__rational_operator] = ACTIONS(10343),
    [sym__bitshift_operator] = ACTIONS(10343),
    [sym__power_operator] = ACTIONS(10343),
    [sym__tilde_operator] = ACTIONS(10343),
    [sym__type_order_operator] = ACTIONS(10343),
    [sym__unary_operator] = ACTIONS(10343),
    [sym__unary_plus_operator] = ACTIONS(10343),
    [aux_sym__terminator_token1] = ACTIONS(10345),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10029] = {
    [sym_block_comment] = STATE(10029),
    [sym_line_comment] = STATE(10029),
    [sym__word_identifier] = ACTIONS(10403),
    [anon_sym_begin] = ACTIONS(10403),
    [anon_sym_module] = ACTIONS(10403),
    [anon_sym_baremodule] = ACTIONS(10403),
    [anon_sym_end] = ACTIONS(10403),
    [anon_sym_abstract] = ACTIONS(10403),
    [anon_sym_primitive] = ACTIONS(10403),
    [anon_sym_mutable] = ACTIONS(10403),
    [anon_sym_struct] = ACTIONS(10403),
    [anon_sym_function] = ACTIONS(10403),
    [anon_sym_macro] = ACTIONS(10403),
    [anon_sym_quote] = ACTIONS(10403),
    [anon_sym_let] = ACTIONS(10403),
    [anon_sym_if] = ACTIONS(10403),
    [anon_sym_try] = ACTIONS(10403),
    [anon_sym_for] = ACTIONS(10403),
    [anon_sym_while] = ACTIONS(10403),
    [sym_break_statement] = ACTIONS(10403),
    [sym_continue_statement] = ACTIONS(10403),
    [anon_sym_return] = ACTIONS(10403),
    [anon_sym_const] = ACTIONS(10403),
    [anon_sym_global] = ACTIONS(10403),
    [anon_sym_local] = ACTIONS(10403),
    [anon_sym_LPAREN] = ACTIONS(10403),
    [anon_sym_export] = ACTIONS(10403),
    [anon_sym_public] = ACTIONS(10403),
    [anon_sym_import] = ACTIONS(10403),
    [anon_sym_using] = ACTIONS(10403),
    [anon_sym_LBRACK] = ACTIONS(10403),
    [anon_sym_SEMI] = ACTIONS(10403),
    [anon_sym_LBRACE] = ACTIONS(10403),
    [anon_sym_DOLLAR] = ACTIONS(10403),
    [anon_sym_COLON2] = ACTIONS(10403),
    [anon_sym_COLON_COLON] = ACTIONS(10403),
    [anon_sym_AT] = ACTIONS(10403),
    [anon_sym_true] = ACTIONS(10403),
    [anon_sym_false] = ACTIONS(10403),
    [aux_sym_integer_literal_token1] = ACTIONS(10403),
    [aux_sym_integer_literal_token2] = ACTIONS(10403),
    [aux_sym_integer_literal_token3] = ACTIONS(10403),
    [aux_sym_integer_literal_token4] = ACTIONS(10403),
    [aux_sym_float_literal_token1] = ACTIONS(10403),
    [aux_sym_float_literal_token3] = ACTIONS(10403),
    [aux_sym_float_literal_token4] = ACTIONS(10403),
    [sym_character_literal] = ACTIONS(10403),
    [anon_sym_DQUOTE] = ACTIONS(10403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE] = ACTIONS(10403),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10403),
    [sym__pair_operator] = ACTIONS(10403),
    [sym__arrow_operator] = ACTIONS(10403),
    [sym__comparison_operator] = ACTIONS(10403),
    [sym__pipe_right_operator] = ACTIONS(10403),
    [sym__pipe_left_operator] = ACTIONS(10403),
    [sym__ellipsis_operator] = ACTIONS(10403),
    [sym__plus_operator] = ACTIONS(10403),
    [sym__times_operator] = ACTIONS(10403),
    [sym__rational_operator] = ACTIONS(10403),
    [sym__bitshift_operator] = ACTIONS(10403),
    [sym__power_operator] = ACTIONS(10403),
    [sym__tilde_operator] = ACTIONS(10403),
    [sym__type_order_operator] = ACTIONS(10403),
    [sym__unary_operator] = ACTIONS(10403),
    [sym__unary_plus_operator] = ACTIONS(10403),
    [aux_sym__terminator_token1] = ACTIONS(10405),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10030] = {
    [sym_block_comment] = STATE(10030),
    [sym_line_comment] = STATE(10030),
    [sym__word_identifier] = ACTIONS(10311),
    [anon_sym_begin] = ACTIONS(10311),
    [anon_sym_module] = ACTIONS(10311),
    [anon_sym_baremodule] = ACTIONS(10311),
    [anon_sym_end] = ACTIONS(10311),
    [anon_sym_abstract] = ACTIONS(10311),
    [anon_sym_primitive] = ACTIONS(10311),
    [anon_sym_mutable] = ACTIONS(10311),
    [anon_sym_struct] = ACTIONS(10311),
    [anon_sym_function] = ACTIONS(10311),
    [anon_sym_macro] = ACTIONS(10311),
    [anon_sym_quote] = ACTIONS(10311),
    [anon_sym_let] = ACTIONS(10311),
    [anon_sym_if] = ACTIONS(10311),
    [anon_sym_try] = ACTIONS(10311),
    [anon_sym_for] = ACTIONS(10311),
    [anon_sym_while] = ACTIONS(10311),
    [sym_break_statement] = ACTIONS(10311),
    [sym_continue_statement] = ACTIONS(10311),
    [anon_sym_return] = ACTIONS(10311),
    [anon_sym_const] = ACTIONS(10311),
    [anon_sym_global] = ACTIONS(10311),
    [anon_sym_local] = ACTIONS(10311),
    [anon_sym_LPAREN] = ACTIONS(10311),
    [anon_sym_export] = ACTIONS(10311),
    [anon_sym_public] = ACTIONS(10311),
    [anon_sym_import] = ACTIONS(10311),
    [anon_sym_using] = ACTIONS(10311),
    [anon_sym_LBRACK] = ACTIONS(10311),
    [anon_sym_SEMI] = ACTIONS(10311),
    [anon_sym_LBRACE] = ACTIONS(10311),
    [anon_sym_DOLLAR] = ACTIONS(10311),
    [anon_sym_COLON2] = ACTIONS(10311),
    [anon_sym_COLON_COLON] = ACTIONS(10311),
    [anon_sym_AT] = ACTIONS(10311),
    [anon_sym_true] = ACTIONS(10311),
    [anon_sym_false] = ACTIONS(10311),
    [aux_sym_integer_literal_token1] = ACTIONS(10311),
    [aux_sym_integer_literal_token2] = ACTIONS(10311),
    [aux_sym_integer_literal_token3] = ACTIONS(10311),
    [aux_sym_integer_literal_token4] = ACTIONS(10311),
    [aux_sym_float_literal_token1] = ACTIONS(10311),
    [aux_sym_float_literal_token3] = ACTIONS(10311),
    [aux_sym_float_literal_token4] = ACTIONS(10311),
    [sym_character_literal] = ACTIONS(10311),
    [anon_sym_DQUOTE] = ACTIONS(10311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE] = ACTIONS(10311),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10311),
    [sym__pair_operator] = ACTIONS(10311),
    [sym__arrow_operator] = ACTIONS(10311),
    [sym__comparison_operator] = ACTIONS(10311),
    [sym__pipe_right_operator] = ACTIONS(10311),
    [sym__pipe_left_operator] = ACTIONS(10311),
    [sym__ellipsis_operator] = ACTIONS(10311),
    [sym__plus_operator] = ACTIONS(10311),
    [sym__times_operator] = ACTIONS(10311),
    [sym__rational_operator] = ACTIONS(10311),
    [sym__bitshift_operator] = ACTIONS(10311),
    [sym__power_operator] = ACTIONS(10311),
    [sym__tilde_operator] = ACTIONS(10311),
    [sym__type_order_operator] = ACTIONS(10311),
    [sym__unary_operator] = ACTIONS(10311),
    [sym__unary_plus_operator] = ACTIONS(10311),
    [aux_sym__terminator_token1] = ACTIONS(10313),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10031] = {
    [sym_block_comment] = STATE(10031),
    [sym_line_comment] = STATE(10031),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(13244),
    [anon_sym_begin] = ACTIONS(13244),
    [anon_sym_module] = ACTIONS(13244),
    [anon_sym_baremodule] = ACTIONS(13244),
    [anon_sym_end] = ACTIONS(13244),
    [anon_sym_abstract] = ACTIONS(13244),
    [anon_sym_primitive] = ACTIONS(13244),
    [anon_sym_mutable] = ACTIONS(13244),
    [anon_sym_struct] = ACTIONS(13244),
    [anon_sym_function] = ACTIONS(13244),
    [anon_sym_macro] = ACTIONS(13244),
    [anon_sym_quote] = ACTIONS(13244),
    [anon_sym_let] = ACTIONS(13244),
    [anon_sym_if] = ACTIONS(13244),
    [anon_sym_try] = ACTIONS(13244),
    [anon_sym_for] = ACTIONS(13244),
    [anon_sym_while] = ACTIONS(13244),
    [sym_break_statement] = ACTIONS(13244),
    [sym_continue_statement] = ACTIONS(13244),
    [anon_sym_return] = ACTIONS(13244),
    [anon_sym_const] = ACTIONS(13244),
    [anon_sym_global] = ACTIONS(13244),
    [anon_sym_local] = ACTIONS(13244),
    [anon_sym_LPAREN] = ACTIONS(13246),
    [anon_sym_export] = ACTIONS(13244),
    [anon_sym_public] = ACTIONS(13244),
    [anon_sym_import] = ACTIONS(13244),
    [anon_sym_using] = ACTIONS(13244),
    [anon_sym_LBRACK] = ACTIONS(13246),
    [anon_sym_LBRACE] = ACTIONS(13246),
    [anon_sym_DOLLAR] = ACTIONS(13246),
    [anon_sym_COLON2] = ACTIONS(13244),
    [anon_sym_COLON_COLON] = ACTIONS(13246),
    [anon_sym_AT] = ACTIONS(13246),
    [anon_sym_true] = ACTIONS(13244),
    [anon_sym_false] = ACTIONS(13244),
    [aux_sym_integer_literal_token1] = ACTIONS(13246),
    [aux_sym_integer_literal_token2] = ACTIONS(13246),
    [aux_sym_integer_literal_token3] = ACTIONS(13244),
    [aux_sym_integer_literal_token4] = ACTIONS(13244),
    [aux_sym_float_literal_token1] = ACTIONS(13246),
    [aux_sym_float_literal_token3] = ACTIONS(13246),
    [aux_sym_float_literal_token4] = ACTIONS(13246),
    [sym_character_literal] = ACTIONS(13246),
    [anon_sym_DQUOTE] = ACTIONS(13244),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13246),
    [anon_sym_BQUOTE] = ACTIONS(13244),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13246),
    [sym__pair_operator] = ACTIONS(13246),
    [sym__arrow_operator] = ACTIONS(13244),
    [sym__comparison_operator] = ACTIONS(13244),
    [sym__pipe_right_operator] = ACTIONS(13246),
    [sym__pipe_left_operator] = ACTIONS(13246),
    [sym__ellipsis_operator] = ACTIONS(13246),
    [sym__plus_operator] = ACTIONS(13244),
    [sym__times_operator] = ACTIONS(13244),
    [sym__rational_operator] = ACTIONS(13246),
    [sym__bitshift_operator] = ACTIONS(13246),
    [sym__power_operator] = ACTIONS(13246),
    [sym__tilde_operator] = ACTIONS(13246),
    [sym__type_order_operator] = ACTIONS(13246),
    [sym__unary_operator] = ACTIONS(13244),
    [sym__unary_plus_operator] = ACTIONS(13244),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10032] = {
    [sym_block_comment] = STATE(10032),
    [sym_line_comment] = STATE(10032),
    [sym__word_identifier] = ACTIONS(10139),
    [anon_sym_begin] = ACTIONS(10139),
    [anon_sym_module] = ACTIONS(10139),
    [anon_sym_baremodule] = ACTIONS(10139),
    [anon_sym_end] = ACTIONS(10139),
    [anon_sym_abstract] = ACTIONS(10139),
    [anon_sym_primitive] = ACTIONS(10139),
    [anon_sym_mutable] = ACTIONS(10139),
    [anon_sym_struct] = ACTIONS(10139),
    [anon_sym_function] = ACTIONS(10139),
    [anon_sym_macro] = ACTIONS(10139),
    [anon_sym_quote] = ACTIONS(10139),
    [anon_sym_let] = ACTIONS(10139),
    [anon_sym_if] = ACTIONS(10139),
    [anon_sym_try] = ACTIONS(10139),
    [anon_sym_for] = ACTIONS(10139),
    [anon_sym_while] = ACTIONS(10139),
    [sym_break_statement] = ACTIONS(10139),
    [sym_continue_statement] = ACTIONS(10139),
    [anon_sym_return] = ACTIONS(10139),
    [anon_sym_const] = ACTIONS(10139),
    [anon_sym_global] = ACTIONS(10139),
    [anon_sym_local] = ACTIONS(10139),
    [anon_sym_LPAREN] = ACTIONS(10139),
    [anon_sym_export] = ACTIONS(10139),
    [anon_sym_public] = ACTIONS(10139),
    [anon_sym_import] = ACTIONS(10139),
    [anon_sym_using] = ACTIONS(10139),
    [anon_sym_LBRACK] = ACTIONS(10139),
    [anon_sym_SEMI] = ACTIONS(10139),
    [anon_sym_LBRACE] = ACTIONS(10139),
    [anon_sym_DOLLAR] = ACTIONS(10139),
    [anon_sym_COLON2] = ACTIONS(10139),
    [anon_sym_COLON_COLON] = ACTIONS(10139),
    [anon_sym_AT] = ACTIONS(10139),
    [anon_sym_true] = ACTIONS(10139),
    [anon_sym_false] = ACTIONS(10139),
    [aux_sym_integer_literal_token1] = ACTIONS(10139),
    [aux_sym_integer_literal_token2] = ACTIONS(10139),
    [aux_sym_integer_literal_token3] = ACTIONS(10139),
    [aux_sym_integer_literal_token4] = ACTIONS(10139),
    [aux_sym_float_literal_token1] = ACTIONS(10139),
    [aux_sym_float_literal_token3] = ACTIONS(10139),
    [aux_sym_float_literal_token4] = ACTIONS(10139),
    [sym_character_literal] = ACTIONS(10139),
    [anon_sym_DQUOTE] = ACTIONS(10139),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE] = ACTIONS(10139),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10139),
    [sym__pair_operator] = ACTIONS(10139),
    [sym__arrow_operator] = ACTIONS(10139),
    [sym__comparison_operator] = ACTIONS(10139),
    [sym__pipe_right_operator] = ACTIONS(10139),
    [sym__pipe_left_operator] = ACTIONS(10139),
    [sym__ellipsis_operator] = ACTIONS(10139),
    [sym__plus_operator] = ACTIONS(10139),
    [sym__times_operator] = ACTIONS(10139),
    [sym__rational_operator] = ACTIONS(10139),
    [sym__bitshift_operator] = ACTIONS(10139),
    [sym__power_operator] = ACTIONS(10139),
    [sym__tilde_operator] = ACTIONS(10139),
    [sym__type_order_operator] = ACTIONS(10139),
    [sym__unary_operator] = ACTIONS(10139),
    [sym__unary_plus_operator] = ACTIONS(10139),
    [aux_sym__terminator_token1] = ACTIONS(10141),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10033] = {
    [sym_block_comment] = STATE(10033),
    [sym_line_comment] = STATE(10033),
    [sym__word_identifier] = ACTIONS(13225),
    [anon_sym_begin] = ACTIONS(13225),
    [anon_sym_module] = ACTIONS(13225),
    [anon_sym_baremodule] = ACTIONS(13225),
    [anon_sym_end] = ACTIONS(13225),
    [anon_sym_abstract] = ACTIONS(13225),
    [anon_sym_primitive] = ACTIONS(13225),
    [anon_sym_mutable] = ACTIONS(13225),
    [anon_sym_struct] = ACTIONS(13225),
    [anon_sym_function] = ACTIONS(13225),
    [anon_sym_macro] = ACTIONS(13225),
    [anon_sym_quote] = ACTIONS(13225),
    [anon_sym_let] = ACTIONS(13225),
    [anon_sym_if] = ACTIONS(13225),
    [anon_sym_try] = ACTIONS(13225),
    [anon_sym_catch] = ACTIONS(13225),
    [anon_sym_for] = ACTIONS(13225),
    [anon_sym_while] = ACTIONS(13225),
    [sym_break_statement] = ACTIONS(13225),
    [sym_continue_statement] = ACTIONS(13225),
    [anon_sym_return] = ACTIONS(13225),
    [anon_sym_const] = ACTIONS(13225),
    [anon_sym_global] = ACTIONS(13225),
    [anon_sym_local] = ACTIONS(13225),
    [anon_sym_LPAREN] = ACTIONS(13227),
    [anon_sym_export] = ACTIONS(13225),
    [anon_sym_public] = ACTIONS(13225),
    [anon_sym_import] = ACTIONS(13225),
    [anon_sym_using] = ACTIONS(13225),
    [anon_sym_LBRACK] = ACTIONS(13227),
    [anon_sym_LBRACE] = ACTIONS(13227),
    [anon_sym_DOLLAR] = ACTIONS(13227),
    [anon_sym_COLON2] = ACTIONS(13225),
    [anon_sym_COLON_COLON] = ACTIONS(13227),
    [anon_sym_AT] = ACTIONS(13227),
    [anon_sym_true] = ACTIONS(13225),
    [anon_sym_false] = ACTIONS(13225),
    [aux_sym_integer_literal_token1] = ACTIONS(13227),
    [aux_sym_integer_literal_token2] = ACTIONS(13227),
    [aux_sym_integer_literal_token3] = ACTIONS(13225),
    [aux_sym_integer_literal_token4] = ACTIONS(13225),
    [aux_sym_float_literal_token1] = ACTIONS(13227),
    [aux_sym_float_literal_token3] = ACTIONS(13227),
    [aux_sym_float_literal_token4] = ACTIONS(13227),
    [sym_character_literal] = ACTIONS(13227),
    [anon_sym_DQUOTE] = ACTIONS(13225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13227),
    [anon_sym_BQUOTE] = ACTIONS(13225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13227),
    [sym__pair_operator] = ACTIONS(13227),
    [sym__arrow_operator] = ACTIONS(13225),
    [sym__comparison_operator] = ACTIONS(13225),
    [sym__pipe_right_operator] = ACTIONS(13227),
    [sym__pipe_left_operator] = ACTIONS(13227),
    [sym__ellipsis_operator] = ACTIONS(13227),
    [sym__plus_operator] = ACTIONS(13225),
    [sym__times_operator] = ACTIONS(13225),
    [sym__rational_operator] = ACTIONS(13227),
    [sym__bitshift_operator] = ACTIONS(13227),
    [sym__power_operator] = ACTIONS(13227),
    [sym__tilde_operator] = ACTIONS(13227),
    [sym__type_order_operator] = ACTIONS(13227),
    [sym__unary_operator] = ACTIONS(13225),
    [sym__unary_plus_operator] = ACTIONS(13225),
    [anon_sym_SEMI2] = ACTIONS(13227),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10034] = {
    [sym_block_comment] = STATE(10034),
    [sym_line_comment] = STATE(10034),
    [sym__word_identifier] = ACTIONS(10101),
    [anon_sym_begin] = ACTIONS(10101),
    [anon_sym_module] = ACTIONS(10101),
    [anon_sym_baremodule] = ACTIONS(10101),
    [anon_sym_end] = ACTIONS(10101),
    [anon_sym_abstract] = ACTIONS(10101),
    [anon_sym_primitive] = ACTIONS(10101),
    [anon_sym_mutable] = ACTIONS(10101),
    [anon_sym_struct] = ACTIONS(10101),
    [anon_sym_function] = ACTIONS(10101),
    [anon_sym_macro] = ACTIONS(10101),
    [anon_sym_quote] = ACTIONS(10101),
    [anon_sym_let] = ACTIONS(10101),
    [anon_sym_if] = ACTIONS(10101),
    [anon_sym_try] = ACTIONS(10101),
    [anon_sym_for] = ACTIONS(10101),
    [anon_sym_while] = ACTIONS(10101),
    [sym_break_statement] = ACTIONS(10101),
    [sym_continue_statement] = ACTIONS(10101),
    [anon_sym_return] = ACTIONS(10101),
    [anon_sym_const] = ACTIONS(10101),
    [anon_sym_global] = ACTIONS(10101),
    [anon_sym_local] = ACTIONS(10101),
    [anon_sym_LPAREN] = ACTIONS(10101),
    [anon_sym_export] = ACTIONS(10101),
    [anon_sym_public] = ACTIONS(10101),
    [anon_sym_import] = ACTIONS(10101),
    [anon_sym_using] = ACTIONS(10101),
    [anon_sym_LBRACK] = ACTIONS(10101),
    [anon_sym_SEMI] = ACTIONS(10101),
    [anon_sym_LBRACE] = ACTIONS(10101),
    [anon_sym_DOLLAR] = ACTIONS(10101),
    [anon_sym_COLON2] = ACTIONS(10101),
    [anon_sym_COLON_COLON] = ACTIONS(10101),
    [anon_sym_AT] = ACTIONS(10101),
    [anon_sym_true] = ACTIONS(10101),
    [anon_sym_false] = ACTIONS(10101),
    [aux_sym_integer_literal_token1] = ACTIONS(10101),
    [aux_sym_integer_literal_token2] = ACTIONS(10101),
    [aux_sym_integer_literal_token3] = ACTIONS(10101),
    [aux_sym_integer_literal_token4] = ACTIONS(10101),
    [aux_sym_float_literal_token1] = ACTIONS(10101),
    [aux_sym_float_literal_token3] = ACTIONS(10101),
    [aux_sym_float_literal_token4] = ACTIONS(10101),
    [sym_character_literal] = ACTIONS(10101),
    [anon_sym_DQUOTE] = ACTIONS(10101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE] = ACTIONS(10101),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10101),
    [sym__pair_operator] = ACTIONS(10101),
    [sym__arrow_operator] = ACTIONS(10101),
    [sym__comparison_operator] = ACTIONS(10101),
    [sym__pipe_right_operator] = ACTIONS(10101),
    [sym__pipe_left_operator] = ACTIONS(10101),
    [sym__ellipsis_operator] = ACTIONS(10101),
    [sym__plus_operator] = ACTIONS(10101),
    [sym__times_operator] = ACTIONS(10101),
    [sym__rational_operator] = ACTIONS(10101),
    [sym__bitshift_operator] = ACTIONS(10101),
    [sym__power_operator] = ACTIONS(10101),
    [sym__tilde_operator] = ACTIONS(10101),
    [sym__type_order_operator] = ACTIONS(10101),
    [sym__unary_operator] = ACTIONS(10101),
    [sym__unary_plus_operator] = ACTIONS(10101),
    [aux_sym__terminator_token1] = ACTIONS(10103),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10035] = {
    [sym_block_comment] = STATE(10035),
    [sym_line_comment] = STATE(10035),
    [sym__word_identifier] = ACTIONS(10399),
    [anon_sym_begin] = ACTIONS(10399),
    [anon_sym_module] = ACTIONS(10399),
    [anon_sym_baremodule] = ACTIONS(10399),
    [anon_sym_end] = ACTIONS(10399),
    [anon_sym_abstract] = ACTIONS(10399),
    [anon_sym_primitive] = ACTIONS(10399),
    [anon_sym_mutable] = ACTIONS(10399),
    [anon_sym_struct] = ACTIONS(10399),
    [anon_sym_function] = ACTIONS(10399),
    [anon_sym_macro] = ACTIONS(10399),
    [anon_sym_quote] = ACTIONS(10399),
    [anon_sym_let] = ACTIONS(10399),
    [anon_sym_if] = ACTIONS(10399),
    [anon_sym_try] = ACTIONS(10399),
    [anon_sym_for] = ACTIONS(10399),
    [anon_sym_while] = ACTIONS(10399),
    [sym_break_statement] = ACTIONS(10399),
    [sym_continue_statement] = ACTIONS(10399),
    [anon_sym_return] = ACTIONS(10399),
    [anon_sym_const] = ACTIONS(10399),
    [anon_sym_global] = ACTIONS(10399),
    [anon_sym_local] = ACTIONS(10399),
    [anon_sym_LPAREN] = ACTIONS(10399),
    [anon_sym_export] = ACTIONS(10399),
    [anon_sym_public] = ACTIONS(10399),
    [anon_sym_import] = ACTIONS(10399),
    [anon_sym_using] = ACTIONS(10399),
    [anon_sym_LBRACK] = ACTIONS(10399),
    [anon_sym_SEMI] = ACTIONS(10399),
    [anon_sym_LBRACE] = ACTIONS(10399),
    [anon_sym_DOLLAR] = ACTIONS(10399),
    [anon_sym_COLON2] = ACTIONS(10399),
    [anon_sym_COLON_COLON] = ACTIONS(10399),
    [anon_sym_AT] = ACTIONS(10399),
    [anon_sym_true] = ACTIONS(10399),
    [anon_sym_false] = ACTIONS(10399),
    [aux_sym_integer_literal_token1] = ACTIONS(10399),
    [aux_sym_integer_literal_token2] = ACTIONS(10399),
    [aux_sym_integer_literal_token3] = ACTIONS(10399),
    [aux_sym_integer_literal_token4] = ACTIONS(10399),
    [aux_sym_float_literal_token1] = ACTIONS(10399),
    [aux_sym_float_literal_token3] = ACTIONS(10399),
    [aux_sym_float_literal_token4] = ACTIONS(10399),
    [sym_character_literal] = ACTIONS(10399),
    [anon_sym_DQUOTE] = ACTIONS(10399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE] = ACTIONS(10399),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10399),
    [sym__pair_operator] = ACTIONS(10399),
    [sym__arrow_operator] = ACTIONS(10399),
    [sym__comparison_operator] = ACTIONS(10399),
    [sym__pipe_right_operator] = ACTIONS(10399),
    [sym__pipe_left_operator] = ACTIONS(10399),
    [sym__ellipsis_operator] = ACTIONS(10399),
    [sym__plus_operator] = ACTIONS(10399),
    [sym__times_operator] = ACTIONS(10399),
    [sym__rational_operator] = ACTIONS(10399),
    [sym__bitshift_operator] = ACTIONS(10399),
    [sym__power_operator] = ACTIONS(10399),
    [sym__tilde_operator] = ACTIONS(10399),
    [sym__type_order_operator] = ACTIONS(10399),
    [sym__unary_operator] = ACTIONS(10399),
    [sym__unary_plus_operator] = ACTIONS(10399),
    [aux_sym__terminator_token1] = ACTIONS(10401),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10036] = {
    [sym_block_comment] = STATE(10036),
    [sym_line_comment] = STATE(10036),
    [sym__word_identifier] = ACTIONS(10097),
    [anon_sym_begin] = ACTIONS(10097),
    [anon_sym_module] = ACTIONS(10097),
    [anon_sym_baremodule] = ACTIONS(10097),
    [anon_sym_end] = ACTIONS(10097),
    [anon_sym_abstract] = ACTIONS(10097),
    [anon_sym_primitive] = ACTIONS(10097),
    [anon_sym_mutable] = ACTIONS(10097),
    [anon_sym_struct] = ACTIONS(10097),
    [anon_sym_function] = ACTIONS(10097),
    [anon_sym_macro] = ACTIONS(10097),
    [anon_sym_quote] = ACTIONS(10097),
    [anon_sym_let] = ACTIONS(10097),
    [anon_sym_if] = ACTIONS(10097),
    [anon_sym_try] = ACTIONS(10097),
    [anon_sym_for] = ACTIONS(10097),
    [anon_sym_while] = ACTIONS(10097),
    [sym_break_statement] = ACTIONS(10097),
    [sym_continue_statement] = ACTIONS(10097),
    [anon_sym_return] = ACTIONS(10097),
    [anon_sym_const] = ACTIONS(10097),
    [anon_sym_global] = ACTIONS(10097),
    [anon_sym_local] = ACTIONS(10097),
    [anon_sym_LPAREN] = ACTIONS(10097),
    [anon_sym_export] = ACTIONS(10097),
    [anon_sym_public] = ACTIONS(10097),
    [anon_sym_import] = ACTIONS(10097),
    [anon_sym_using] = ACTIONS(10097),
    [anon_sym_LBRACK] = ACTIONS(10097),
    [anon_sym_SEMI] = ACTIONS(10097),
    [anon_sym_LBRACE] = ACTIONS(10097),
    [anon_sym_DOLLAR] = ACTIONS(10097),
    [anon_sym_COLON2] = ACTIONS(10097),
    [anon_sym_COLON_COLON] = ACTIONS(10097),
    [anon_sym_AT] = ACTIONS(10097),
    [anon_sym_true] = ACTIONS(10097),
    [anon_sym_false] = ACTIONS(10097),
    [aux_sym_integer_literal_token1] = ACTIONS(10097),
    [aux_sym_integer_literal_token2] = ACTIONS(10097),
    [aux_sym_integer_literal_token3] = ACTIONS(10097),
    [aux_sym_integer_literal_token4] = ACTIONS(10097),
    [aux_sym_float_literal_token1] = ACTIONS(10097),
    [aux_sym_float_literal_token3] = ACTIONS(10097),
    [aux_sym_float_literal_token4] = ACTIONS(10097),
    [sym_character_literal] = ACTIONS(10097),
    [anon_sym_DQUOTE] = ACTIONS(10097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE] = ACTIONS(10097),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10097),
    [sym__pair_operator] = ACTIONS(10097),
    [sym__arrow_operator] = ACTIONS(10097),
    [sym__comparison_operator] = ACTIONS(10097),
    [sym__pipe_right_operator] = ACTIONS(10097),
    [sym__pipe_left_operator] = ACTIONS(10097),
    [sym__ellipsis_operator] = ACTIONS(10097),
    [sym__plus_operator] = ACTIONS(10097),
    [sym__times_operator] = ACTIONS(10097),
    [sym__rational_operator] = ACTIONS(10097),
    [sym__bitshift_operator] = ACTIONS(10097),
    [sym__power_operator] = ACTIONS(10097),
    [sym__tilde_operator] = ACTIONS(10097),
    [sym__type_order_operator] = ACTIONS(10097),
    [sym__unary_operator] = ACTIONS(10097),
    [sym__unary_plus_operator] = ACTIONS(10097),
    [aux_sym__terminator_token1] = ACTIONS(10099),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10037] = {
    [sym_block_comment] = STATE(10037),
    [sym_line_comment] = STATE(10037),
    [sym__word_identifier] = ACTIONS(10421),
    [anon_sym_begin] = ACTIONS(10421),
    [anon_sym_module] = ACTIONS(10421),
    [anon_sym_baremodule] = ACTIONS(10421),
    [anon_sym_end] = ACTIONS(10421),
    [anon_sym_abstract] = ACTIONS(10421),
    [anon_sym_primitive] = ACTIONS(10421),
    [anon_sym_mutable] = ACTIONS(10421),
    [anon_sym_struct] = ACTIONS(10421),
    [anon_sym_function] = ACTIONS(10421),
    [anon_sym_macro] = ACTIONS(10421),
    [anon_sym_quote] = ACTIONS(10421),
    [anon_sym_let] = ACTIONS(10421),
    [anon_sym_if] = ACTIONS(10421),
    [anon_sym_try] = ACTIONS(10421),
    [anon_sym_for] = ACTIONS(10421),
    [anon_sym_while] = ACTIONS(10421),
    [sym_break_statement] = ACTIONS(10421),
    [sym_continue_statement] = ACTIONS(10421),
    [anon_sym_return] = ACTIONS(10421),
    [anon_sym_const] = ACTIONS(10421),
    [anon_sym_global] = ACTIONS(10421),
    [anon_sym_local] = ACTIONS(10421),
    [anon_sym_LPAREN] = ACTIONS(10421),
    [anon_sym_export] = ACTIONS(10421),
    [anon_sym_public] = ACTIONS(10421),
    [anon_sym_import] = ACTIONS(10421),
    [anon_sym_using] = ACTIONS(10421),
    [anon_sym_LBRACK] = ACTIONS(10421),
    [anon_sym_SEMI] = ACTIONS(10421),
    [anon_sym_LBRACE] = ACTIONS(10421),
    [anon_sym_DOLLAR] = ACTIONS(10421),
    [anon_sym_COLON2] = ACTIONS(10421),
    [anon_sym_COLON_COLON] = ACTIONS(10421),
    [anon_sym_AT] = ACTIONS(10421),
    [anon_sym_true] = ACTIONS(10421),
    [anon_sym_false] = ACTIONS(10421),
    [aux_sym_integer_literal_token1] = ACTIONS(10421),
    [aux_sym_integer_literal_token2] = ACTIONS(10421),
    [aux_sym_integer_literal_token3] = ACTIONS(10421),
    [aux_sym_integer_literal_token4] = ACTIONS(10421),
    [aux_sym_float_literal_token1] = ACTIONS(10421),
    [aux_sym_float_literal_token3] = ACTIONS(10421),
    [aux_sym_float_literal_token4] = ACTIONS(10421),
    [sym_character_literal] = ACTIONS(10421),
    [anon_sym_DQUOTE] = ACTIONS(10421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE] = ACTIONS(10421),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10421),
    [sym__pair_operator] = ACTIONS(10421),
    [sym__arrow_operator] = ACTIONS(10421),
    [sym__comparison_operator] = ACTIONS(10421),
    [sym__pipe_right_operator] = ACTIONS(10421),
    [sym__pipe_left_operator] = ACTIONS(10421),
    [sym__ellipsis_operator] = ACTIONS(10421),
    [sym__plus_operator] = ACTIONS(10421),
    [sym__times_operator] = ACTIONS(10421),
    [sym__rational_operator] = ACTIONS(10421),
    [sym__bitshift_operator] = ACTIONS(10421),
    [sym__power_operator] = ACTIONS(10421),
    [sym__tilde_operator] = ACTIONS(10421),
    [sym__type_order_operator] = ACTIONS(10421),
    [sym__unary_operator] = ACTIONS(10421),
    [sym__unary_plus_operator] = ACTIONS(10421),
    [aux_sym__terminator_token1] = ACTIONS(10423),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10038] = {
    [sym_block_comment] = STATE(10038),
    [sym_line_comment] = STATE(10038),
    [aux_sym__terminator_repeat1] = STATE(10048),
    [sym__word_identifier] = ACTIONS(13240),
    [anon_sym_begin] = ACTIONS(13240),
    [anon_sym_module] = ACTIONS(13240),
    [anon_sym_baremodule] = ACTIONS(13240),
    [anon_sym_end] = ACTIONS(13240),
    [anon_sym_abstract] = ACTIONS(13240),
    [anon_sym_primitive] = ACTIONS(13240),
    [anon_sym_mutable] = ACTIONS(13240),
    [anon_sym_struct] = ACTIONS(13240),
    [anon_sym_function] = ACTIONS(13240),
    [anon_sym_macro] = ACTIONS(13240),
    [anon_sym_quote] = ACTIONS(13240),
    [anon_sym_let] = ACTIONS(13240),
    [anon_sym_if] = ACTIONS(13240),
    [anon_sym_try] = ACTIONS(13240),
    [anon_sym_for] = ACTIONS(13240),
    [anon_sym_while] = ACTIONS(13240),
    [sym_break_statement] = ACTIONS(13240),
    [sym_continue_statement] = ACTIONS(13240),
    [anon_sym_return] = ACTIONS(13240),
    [anon_sym_const] = ACTIONS(13240),
    [anon_sym_global] = ACTIONS(13240),
    [anon_sym_local] = ACTIONS(13240),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_export] = ACTIONS(13240),
    [anon_sym_public] = ACTIONS(13240),
    [anon_sym_import] = ACTIONS(13240),
    [anon_sym_using] = ACTIONS(13240),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13240),
    [anon_sym_COLON_COLON] = ACTIONS(13242),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13240),
    [anon_sym_false] = ACTIONS(13240),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13240),
    [aux_sym_integer_literal_token4] = ACTIONS(13240),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [anon_sym_DQUOTE] = ACTIONS(13240),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13242),
    [anon_sym_BQUOTE] = ACTIONS(13240),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13240),
    [sym__comparison_operator] = ACTIONS(13240),
    [sym__pipe_right_operator] = ACTIONS(13242),
    [sym__pipe_left_operator] = ACTIONS(13242),
    [sym__ellipsis_operator] = ACTIONS(13242),
    [sym__plus_operator] = ACTIONS(13240),
    [sym__times_operator] = ACTIONS(13240),
    [sym__rational_operator] = ACTIONS(13242),
    [sym__bitshift_operator] = ACTIONS(13242),
    [sym__power_operator] = ACTIONS(13242),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13242),
    [sym__unary_operator] = ACTIONS(13240),
    [sym__unary_plus_operator] = ACTIONS(13240),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10039] = {
    [sym_block_comment] = STATE(10039),
    [sym_line_comment] = STATE(10039),
    [sym__word_identifier] = ACTIONS(10429),
    [anon_sym_begin] = ACTIONS(10429),
    [anon_sym_module] = ACTIONS(10429),
    [anon_sym_baremodule] = ACTIONS(10429),
    [anon_sym_end] = ACTIONS(10429),
    [anon_sym_abstract] = ACTIONS(10429),
    [anon_sym_primitive] = ACTIONS(10429),
    [anon_sym_mutable] = ACTIONS(10429),
    [anon_sym_struct] = ACTIONS(10429),
    [anon_sym_function] = ACTIONS(10429),
    [anon_sym_macro] = ACTIONS(10429),
    [anon_sym_quote] = ACTIONS(10429),
    [anon_sym_let] = ACTIONS(10429),
    [anon_sym_if] = ACTIONS(10429),
    [anon_sym_try] = ACTIONS(10429),
    [anon_sym_for] = ACTIONS(10429),
    [anon_sym_while] = ACTIONS(10429),
    [sym_break_statement] = ACTIONS(10429),
    [sym_continue_statement] = ACTIONS(10429),
    [anon_sym_return] = ACTIONS(10429),
    [anon_sym_const] = ACTIONS(10429),
    [anon_sym_global] = ACTIONS(10429),
    [anon_sym_local] = ACTIONS(10429),
    [anon_sym_LPAREN] = ACTIONS(10429),
    [anon_sym_export] = ACTIONS(10429),
    [anon_sym_public] = ACTIONS(10429),
    [anon_sym_import] = ACTIONS(10429),
    [anon_sym_using] = ACTIONS(10429),
    [anon_sym_LBRACK] = ACTIONS(10429),
    [anon_sym_SEMI] = ACTIONS(10429),
    [anon_sym_LBRACE] = ACTIONS(10429),
    [anon_sym_DOLLAR] = ACTIONS(10429),
    [anon_sym_COLON2] = ACTIONS(10429),
    [anon_sym_COLON_COLON] = ACTIONS(10429),
    [anon_sym_AT] = ACTIONS(10429),
    [anon_sym_true] = ACTIONS(10429),
    [anon_sym_false] = ACTIONS(10429),
    [aux_sym_integer_literal_token1] = ACTIONS(10429),
    [aux_sym_integer_literal_token2] = ACTIONS(10429),
    [aux_sym_integer_literal_token3] = ACTIONS(10429),
    [aux_sym_integer_literal_token4] = ACTIONS(10429),
    [aux_sym_float_literal_token1] = ACTIONS(10429),
    [aux_sym_float_literal_token3] = ACTIONS(10429),
    [aux_sym_float_literal_token4] = ACTIONS(10429),
    [sym_character_literal] = ACTIONS(10429),
    [anon_sym_DQUOTE] = ACTIONS(10429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE] = ACTIONS(10429),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10429),
    [sym__pair_operator] = ACTIONS(10429),
    [sym__arrow_operator] = ACTIONS(10429),
    [sym__comparison_operator] = ACTIONS(10429),
    [sym__pipe_right_operator] = ACTIONS(10429),
    [sym__pipe_left_operator] = ACTIONS(10429),
    [sym__ellipsis_operator] = ACTIONS(10429),
    [sym__plus_operator] = ACTIONS(10429),
    [sym__times_operator] = ACTIONS(10429),
    [sym__rational_operator] = ACTIONS(10429),
    [sym__bitshift_operator] = ACTIONS(10429),
    [sym__power_operator] = ACTIONS(10429),
    [sym__tilde_operator] = ACTIONS(10429),
    [sym__type_order_operator] = ACTIONS(10429),
    [sym__unary_operator] = ACTIONS(10429),
    [sym__unary_plus_operator] = ACTIONS(10429),
    [aux_sym__terminator_token1] = ACTIONS(10431),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10040] = {
    [sym_block_comment] = STATE(10040),
    [sym_line_comment] = STATE(10040),
    [sym__word_identifier] = ACTIONS(10433),
    [anon_sym_begin] = ACTIONS(10433),
    [anon_sym_module] = ACTIONS(10433),
    [anon_sym_baremodule] = ACTIONS(10433),
    [anon_sym_end] = ACTIONS(10433),
    [anon_sym_abstract] = ACTIONS(10433),
    [anon_sym_primitive] = ACTIONS(10433),
    [anon_sym_mutable] = ACTIONS(10433),
    [anon_sym_struct] = ACTIONS(10433),
    [anon_sym_function] = ACTIONS(10433),
    [anon_sym_macro] = ACTIONS(10433),
    [anon_sym_quote] = ACTIONS(10433),
    [anon_sym_let] = ACTIONS(10433),
    [anon_sym_if] = ACTIONS(10433),
    [anon_sym_try] = ACTIONS(10433),
    [anon_sym_for] = ACTIONS(10433),
    [anon_sym_while] = ACTIONS(10433),
    [sym_break_statement] = ACTIONS(10433),
    [sym_continue_statement] = ACTIONS(10433),
    [anon_sym_return] = ACTIONS(10433),
    [anon_sym_const] = ACTIONS(10433),
    [anon_sym_global] = ACTIONS(10433),
    [anon_sym_local] = ACTIONS(10433),
    [anon_sym_LPAREN] = ACTIONS(10433),
    [anon_sym_export] = ACTIONS(10433),
    [anon_sym_public] = ACTIONS(10433),
    [anon_sym_import] = ACTIONS(10433),
    [anon_sym_using] = ACTIONS(10433),
    [anon_sym_LBRACK] = ACTIONS(10433),
    [anon_sym_SEMI] = ACTIONS(10433),
    [anon_sym_LBRACE] = ACTIONS(10433),
    [anon_sym_DOLLAR] = ACTIONS(10433),
    [anon_sym_COLON2] = ACTIONS(10433),
    [anon_sym_COLON_COLON] = ACTIONS(10433),
    [anon_sym_AT] = ACTIONS(10433),
    [anon_sym_true] = ACTIONS(10433),
    [anon_sym_false] = ACTIONS(10433),
    [aux_sym_integer_literal_token1] = ACTIONS(10433),
    [aux_sym_integer_literal_token2] = ACTIONS(10433),
    [aux_sym_integer_literal_token3] = ACTIONS(10433),
    [aux_sym_integer_literal_token4] = ACTIONS(10433),
    [aux_sym_float_literal_token1] = ACTIONS(10433),
    [aux_sym_float_literal_token3] = ACTIONS(10433),
    [aux_sym_float_literal_token4] = ACTIONS(10433),
    [sym_character_literal] = ACTIONS(10433),
    [anon_sym_DQUOTE] = ACTIONS(10433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE] = ACTIONS(10433),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10433),
    [sym__pair_operator] = ACTIONS(10433),
    [sym__arrow_operator] = ACTIONS(10433),
    [sym__comparison_operator] = ACTIONS(10433),
    [sym__pipe_right_operator] = ACTIONS(10433),
    [sym__pipe_left_operator] = ACTIONS(10433),
    [sym__ellipsis_operator] = ACTIONS(10433),
    [sym__plus_operator] = ACTIONS(10433),
    [sym__times_operator] = ACTIONS(10433),
    [sym__rational_operator] = ACTIONS(10433),
    [sym__bitshift_operator] = ACTIONS(10433),
    [sym__power_operator] = ACTIONS(10433),
    [sym__tilde_operator] = ACTIONS(10433),
    [sym__type_order_operator] = ACTIONS(10433),
    [sym__unary_operator] = ACTIONS(10433),
    [sym__unary_plus_operator] = ACTIONS(10433),
    [aux_sym__terminator_token1] = ACTIONS(10435),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10041] = {
    [sym_block_comment] = STATE(10041),
    [sym_line_comment] = STATE(10041),
    [sym__word_identifier] = ACTIONS(10437),
    [anon_sym_begin] = ACTIONS(10437),
    [anon_sym_module] = ACTIONS(10437),
    [anon_sym_baremodule] = ACTIONS(10437),
    [anon_sym_end] = ACTIONS(10437),
    [anon_sym_abstract] = ACTIONS(10437),
    [anon_sym_primitive] = ACTIONS(10437),
    [anon_sym_mutable] = ACTIONS(10437),
    [anon_sym_struct] = ACTIONS(10437),
    [anon_sym_function] = ACTIONS(10437),
    [anon_sym_macro] = ACTIONS(10437),
    [anon_sym_quote] = ACTIONS(10437),
    [anon_sym_let] = ACTIONS(10437),
    [anon_sym_if] = ACTIONS(10437),
    [anon_sym_try] = ACTIONS(10437),
    [anon_sym_for] = ACTIONS(10437),
    [anon_sym_while] = ACTIONS(10437),
    [sym_break_statement] = ACTIONS(10437),
    [sym_continue_statement] = ACTIONS(10437),
    [anon_sym_return] = ACTIONS(10437),
    [anon_sym_const] = ACTIONS(10437),
    [anon_sym_global] = ACTIONS(10437),
    [anon_sym_local] = ACTIONS(10437),
    [anon_sym_LPAREN] = ACTIONS(10437),
    [anon_sym_export] = ACTIONS(10437),
    [anon_sym_public] = ACTIONS(10437),
    [anon_sym_import] = ACTIONS(10437),
    [anon_sym_using] = ACTIONS(10437),
    [anon_sym_LBRACK] = ACTIONS(10437),
    [anon_sym_SEMI] = ACTIONS(10437),
    [anon_sym_LBRACE] = ACTIONS(10437),
    [anon_sym_DOLLAR] = ACTIONS(10437),
    [anon_sym_COLON2] = ACTIONS(10437),
    [anon_sym_COLON_COLON] = ACTIONS(10437),
    [anon_sym_AT] = ACTIONS(10437),
    [anon_sym_true] = ACTIONS(10437),
    [anon_sym_false] = ACTIONS(10437),
    [aux_sym_integer_literal_token1] = ACTIONS(10437),
    [aux_sym_integer_literal_token2] = ACTIONS(10437),
    [aux_sym_integer_literal_token3] = ACTIONS(10437),
    [aux_sym_integer_literal_token4] = ACTIONS(10437),
    [aux_sym_float_literal_token1] = ACTIONS(10437),
    [aux_sym_float_literal_token3] = ACTIONS(10437),
    [aux_sym_float_literal_token4] = ACTIONS(10437),
    [sym_character_literal] = ACTIONS(10437),
    [anon_sym_DQUOTE] = ACTIONS(10437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE] = ACTIONS(10437),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10437),
    [sym__pair_operator] = ACTIONS(10437),
    [sym__arrow_operator] = ACTIONS(10437),
    [sym__comparison_operator] = ACTIONS(10437),
    [sym__pipe_right_operator] = ACTIONS(10437),
    [sym__pipe_left_operator] = ACTIONS(10437),
    [sym__ellipsis_operator] = ACTIONS(10437),
    [sym__plus_operator] = ACTIONS(10437),
    [sym__times_operator] = ACTIONS(10437),
    [sym__rational_operator] = ACTIONS(10437),
    [sym__bitshift_operator] = ACTIONS(10437),
    [sym__power_operator] = ACTIONS(10437),
    [sym__tilde_operator] = ACTIONS(10437),
    [sym__type_order_operator] = ACTIONS(10437),
    [sym__unary_operator] = ACTIONS(10437),
    [sym__unary_plus_operator] = ACTIONS(10437),
    [aux_sym__terminator_token1] = ACTIONS(10439),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10042] = {
    [sym_block_comment] = STATE(10042),
    [sym_line_comment] = STATE(10042),
    [sym__word_identifier] = ACTIONS(13225),
    [anon_sym_begin] = ACTIONS(13225),
    [anon_sym_module] = ACTIONS(13225),
    [anon_sym_baremodule] = ACTIONS(13225),
    [anon_sym_end] = ACTIONS(13225),
    [anon_sym_abstract] = ACTIONS(13225),
    [anon_sym_primitive] = ACTIONS(13225),
    [anon_sym_mutable] = ACTIONS(13225),
    [anon_sym_struct] = ACTIONS(13225),
    [anon_sym_function] = ACTIONS(13225),
    [anon_sym_macro] = ACTIONS(13225),
    [anon_sym_quote] = ACTIONS(13225),
    [anon_sym_let] = ACTIONS(13225),
    [anon_sym_if] = ACTIONS(13225),
    [anon_sym_try] = ACTIONS(13225),
    [anon_sym_finally] = ACTIONS(13225),
    [anon_sym_for] = ACTIONS(13225),
    [anon_sym_while] = ACTIONS(13225),
    [sym_break_statement] = ACTIONS(13225),
    [sym_continue_statement] = ACTIONS(13225),
    [anon_sym_return] = ACTIONS(13225),
    [anon_sym_const] = ACTIONS(13225),
    [anon_sym_global] = ACTIONS(13225),
    [anon_sym_local] = ACTIONS(13225),
    [anon_sym_LPAREN] = ACTIONS(13227),
    [anon_sym_export] = ACTIONS(13225),
    [anon_sym_public] = ACTIONS(13225),
    [anon_sym_import] = ACTIONS(13225),
    [anon_sym_using] = ACTIONS(13225),
    [anon_sym_LBRACK] = ACTIONS(13227),
    [anon_sym_LBRACE] = ACTIONS(13227),
    [anon_sym_DOLLAR] = ACTIONS(13227),
    [anon_sym_COLON2] = ACTIONS(13225),
    [anon_sym_COLON_COLON] = ACTIONS(13227),
    [anon_sym_AT] = ACTIONS(13227),
    [anon_sym_true] = ACTIONS(13225),
    [anon_sym_false] = ACTIONS(13225),
    [aux_sym_integer_literal_token1] = ACTIONS(13227),
    [aux_sym_integer_literal_token2] = ACTIONS(13227),
    [aux_sym_integer_literal_token3] = ACTIONS(13225),
    [aux_sym_integer_literal_token4] = ACTIONS(13225),
    [aux_sym_float_literal_token1] = ACTIONS(13227),
    [aux_sym_float_literal_token3] = ACTIONS(13227),
    [aux_sym_float_literal_token4] = ACTIONS(13227),
    [sym_character_literal] = ACTIONS(13227),
    [anon_sym_DQUOTE] = ACTIONS(13225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13227),
    [anon_sym_BQUOTE] = ACTIONS(13225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13227),
    [sym__pair_operator] = ACTIONS(13227),
    [sym__arrow_operator] = ACTIONS(13225),
    [sym__comparison_operator] = ACTIONS(13225),
    [sym__pipe_right_operator] = ACTIONS(13227),
    [sym__pipe_left_operator] = ACTIONS(13227),
    [sym__ellipsis_operator] = ACTIONS(13227),
    [sym__plus_operator] = ACTIONS(13225),
    [sym__times_operator] = ACTIONS(13225),
    [sym__rational_operator] = ACTIONS(13227),
    [sym__bitshift_operator] = ACTIONS(13227),
    [sym__power_operator] = ACTIONS(13227),
    [sym__tilde_operator] = ACTIONS(13227),
    [sym__type_order_operator] = ACTIONS(13227),
    [sym__unary_operator] = ACTIONS(13225),
    [sym__unary_plus_operator] = ACTIONS(13225),
    [anon_sym_SEMI2] = ACTIONS(13227),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10043] = {
    [sym_block_comment] = STATE(10043),
    [sym_line_comment] = STATE(10043),
    [sym__word_identifier] = ACTIONS(10363),
    [anon_sym_begin] = ACTIONS(10363),
    [anon_sym_module] = ACTIONS(10363),
    [anon_sym_baremodule] = ACTIONS(10363),
    [anon_sym_end] = ACTIONS(10363),
    [anon_sym_abstract] = ACTIONS(10363),
    [anon_sym_primitive] = ACTIONS(10363),
    [anon_sym_mutable] = ACTIONS(10363),
    [anon_sym_struct] = ACTIONS(10363),
    [anon_sym_function] = ACTIONS(10363),
    [anon_sym_macro] = ACTIONS(10363),
    [anon_sym_quote] = ACTIONS(10363),
    [anon_sym_let] = ACTIONS(10363),
    [anon_sym_if] = ACTIONS(10363),
    [anon_sym_try] = ACTIONS(10363),
    [anon_sym_for] = ACTIONS(10363),
    [anon_sym_while] = ACTIONS(10363),
    [sym_break_statement] = ACTIONS(10363),
    [sym_continue_statement] = ACTIONS(10363),
    [anon_sym_return] = ACTIONS(10363),
    [anon_sym_const] = ACTIONS(10363),
    [anon_sym_global] = ACTIONS(10363),
    [anon_sym_local] = ACTIONS(10363),
    [anon_sym_LPAREN] = ACTIONS(10363),
    [anon_sym_export] = ACTIONS(10363),
    [anon_sym_public] = ACTIONS(10363),
    [anon_sym_import] = ACTIONS(10363),
    [anon_sym_using] = ACTIONS(10363),
    [anon_sym_LBRACK] = ACTIONS(10363),
    [anon_sym_SEMI] = ACTIONS(10363),
    [anon_sym_LBRACE] = ACTIONS(10363),
    [anon_sym_DOLLAR] = ACTIONS(10363),
    [anon_sym_COLON2] = ACTIONS(10363),
    [anon_sym_COLON_COLON] = ACTIONS(10363),
    [anon_sym_AT] = ACTIONS(10363),
    [anon_sym_true] = ACTIONS(10363),
    [anon_sym_false] = ACTIONS(10363),
    [aux_sym_integer_literal_token1] = ACTIONS(10363),
    [aux_sym_integer_literal_token2] = ACTIONS(10363),
    [aux_sym_integer_literal_token3] = ACTIONS(10363),
    [aux_sym_integer_literal_token4] = ACTIONS(10363),
    [aux_sym_float_literal_token1] = ACTIONS(10363),
    [aux_sym_float_literal_token3] = ACTIONS(10363),
    [aux_sym_float_literal_token4] = ACTIONS(10363),
    [sym_character_literal] = ACTIONS(10363),
    [anon_sym_DQUOTE] = ACTIONS(10363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE] = ACTIONS(10363),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10363),
    [sym__pair_operator] = ACTIONS(10363),
    [sym__arrow_operator] = ACTIONS(10363),
    [sym__comparison_operator] = ACTIONS(10363),
    [sym__pipe_right_operator] = ACTIONS(10363),
    [sym__pipe_left_operator] = ACTIONS(10363),
    [sym__ellipsis_operator] = ACTIONS(10363),
    [sym__plus_operator] = ACTIONS(10363),
    [sym__times_operator] = ACTIONS(10363),
    [sym__rational_operator] = ACTIONS(10363),
    [sym__bitshift_operator] = ACTIONS(10363),
    [sym__power_operator] = ACTIONS(10363),
    [sym__tilde_operator] = ACTIONS(10363),
    [sym__type_order_operator] = ACTIONS(10363),
    [sym__unary_operator] = ACTIONS(10363),
    [sym__unary_plus_operator] = ACTIONS(10363),
    [aux_sym__terminator_token1] = ACTIONS(10365),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10044] = {
    [sym_block_comment] = STATE(10044),
    [sym_line_comment] = STATE(10044),
    [sym__word_identifier] = ACTIONS(10379),
    [anon_sym_begin] = ACTIONS(10379),
    [anon_sym_module] = ACTIONS(10379),
    [anon_sym_baremodule] = ACTIONS(10379),
    [anon_sym_end] = ACTIONS(10379),
    [anon_sym_abstract] = ACTIONS(10379),
    [anon_sym_primitive] = ACTIONS(10379),
    [anon_sym_mutable] = ACTIONS(10379),
    [anon_sym_struct] = ACTIONS(10379),
    [anon_sym_function] = ACTIONS(10379),
    [anon_sym_macro] = ACTIONS(10379),
    [anon_sym_quote] = ACTIONS(10379),
    [anon_sym_let] = ACTIONS(10379),
    [anon_sym_if] = ACTIONS(10379),
    [anon_sym_try] = ACTIONS(10379),
    [anon_sym_for] = ACTIONS(10379),
    [anon_sym_while] = ACTIONS(10379),
    [sym_break_statement] = ACTIONS(10379),
    [sym_continue_statement] = ACTIONS(10379),
    [anon_sym_return] = ACTIONS(10379),
    [anon_sym_const] = ACTIONS(10379),
    [anon_sym_global] = ACTIONS(10379),
    [anon_sym_local] = ACTIONS(10379),
    [anon_sym_LPAREN] = ACTIONS(10379),
    [anon_sym_export] = ACTIONS(10379),
    [anon_sym_public] = ACTIONS(10379),
    [anon_sym_import] = ACTIONS(10379),
    [anon_sym_using] = ACTIONS(10379),
    [anon_sym_LBRACK] = ACTIONS(10379),
    [anon_sym_SEMI] = ACTIONS(10379),
    [anon_sym_LBRACE] = ACTIONS(10379),
    [anon_sym_DOLLAR] = ACTIONS(10379),
    [anon_sym_COLON2] = ACTIONS(10379),
    [anon_sym_COLON_COLON] = ACTIONS(10379),
    [anon_sym_AT] = ACTIONS(10379),
    [anon_sym_true] = ACTIONS(10379),
    [anon_sym_false] = ACTIONS(10379),
    [aux_sym_integer_literal_token1] = ACTIONS(10379),
    [aux_sym_integer_literal_token2] = ACTIONS(10379),
    [aux_sym_integer_literal_token3] = ACTIONS(10379),
    [aux_sym_integer_literal_token4] = ACTIONS(10379),
    [aux_sym_float_literal_token1] = ACTIONS(10379),
    [aux_sym_float_literal_token3] = ACTIONS(10379),
    [aux_sym_float_literal_token4] = ACTIONS(10379),
    [sym_character_literal] = ACTIONS(10379),
    [anon_sym_DQUOTE] = ACTIONS(10379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE] = ACTIONS(10379),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10379),
    [sym__pair_operator] = ACTIONS(10379),
    [sym__arrow_operator] = ACTIONS(10379),
    [sym__comparison_operator] = ACTIONS(10379),
    [sym__pipe_right_operator] = ACTIONS(10379),
    [sym__pipe_left_operator] = ACTIONS(10379),
    [sym__ellipsis_operator] = ACTIONS(10379),
    [sym__plus_operator] = ACTIONS(10379),
    [sym__times_operator] = ACTIONS(10379),
    [sym__rational_operator] = ACTIONS(10379),
    [sym__bitshift_operator] = ACTIONS(10379),
    [sym__power_operator] = ACTIONS(10379),
    [sym__tilde_operator] = ACTIONS(10379),
    [sym__type_order_operator] = ACTIONS(10379),
    [sym__unary_operator] = ACTIONS(10379),
    [sym__unary_plus_operator] = ACTIONS(10379),
    [aux_sym__terminator_token1] = ACTIONS(10381),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10045] = {
    [sym_block_comment] = STATE(10045),
    [sym_line_comment] = STATE(10045),
    [sym__word_identifier] = ACTIONS(10375),
    [anon_sym_begin] = ACTIONS(10375),
    [anon_sym_module] = ACTIONS(10375),
    [anon_sym_baremodule] = ACTIONS(10375),
    [anon_sym_end] = ACTIONS(10375),
    [anon_sym_abstract] = ACTIONS(10375),
    [anon_sym_primitive] = ACTIONS(10375),
    [anon_sym_mutable] = ACTIONS(10375),
    [anon_sym_struct] = ACTIONS(10375),
    [anon_sym_function] = ACTIONS(10375),
    [anon_sym_macro] = ACTIONS(10375),
    [anon_sym_quote] = ACTIONS(10375),
    [anon_sym_let] = ACTIONS(10375),
    [anon_sym_if] = ACTIONS(10375),
    [anon_sym_try] = ACTIONS(10375),
    [anon_sym_for] = ACTIONS(10375),
    [anon_sym_while] = ACTIONS(10375),
    [sym_break_statement] = ACTIONS(10375),
    [sym_continue_statement] = ACTIONS(10375),
    [anon_sym_return] = ACTIONS(10375),
    [anon_sym_const] = ACTIONS(10375),
    [anon_sym_global] = ACTIONS(10375),
    [anon_sym_local] = ACTIONS(10375),
    [anon_sym_LPAREN] = ACTIONS(10375),
    [anon_sym_export] = ACTIONS(10375),
    [anon_sym_public] = ACTIONS(10375),
    [anon_sym_import] = ACTIONS(10375),
    [anon_sym_using] = ACTIONS(10375),
    [anon_sym_LBRACK] = ACTIONS(10375),
    [anon_sym_SEMI] = ACTIONS(10375),
    [anon_sym_LBRACE] = ACTIONS(10375),
    [anon_sym_DOLLAR] = ACTIONS(10375),
    [anon_sym_COLON2] = ACTIONS(10375),
    [anon_sym_COLON_COLON] = ACTIONS(10375),
    [anon_sym_AT] = ACTIONS(10375),
    [anon_sym_true] = ACTIONS(10375),
    [anon_sym_false] = ACTIONS(10375),
    [aux_sym_integer_literal_token1] = ACTIONS(10375),
    [aux_sym_integer_literal_token2] = ACTIONS(10375),
    [aux_sym_integer_literal_token3] = ACTIONS(10375),
    [aux_sym_integer_literal_token4] = ACTIONS(10375),
    [aux_sym_float_literal_token1] = ACTIONS(10375),
    [aux_sym_float_literal_token3] = ACTIONS(10375),
    [aux_sym_float_literal_token4] = ACTIONS(10375),
    [sym_character_literal] = ACTIONS(10375),
    [anon_sym_DQUOTE] = ACTIONS(10375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE] = ACTIONS(10375),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10375),
    [sym__pair_operator] = ACTIONS(10375),
    [sym__arrow_operator] = ACTIONS(10375),
    [sym__comparison_operator] = ACTIONS(10375),
    [sym__pipe_right_operator] = ACTIONS(10375),
    [sym__pipe_left_operator] = ACTIONS(10375),
    [sym__ellipsis_operator] = ACTIONS(10375),
    [sym__plus_operator] = ACTIONS(10375),
    [sym__times_operator] = ACTIONS(10375),
    [sym__rational_operator] = ACTIONS(10375),
    [sym__bitshift_operator] = ACTIONS(10375),
    [sym__power_operator] = ACTIONS(10375),
    [sym__tilde_operator] = ACTIONS(10375),
    [sym__type_order_operator] = ACTIONS(10375),
    [sym__unary_operator] = ACTIONS(10375),
    [sym__unary_plus_operator] = ACTIONS(10375),
    [aux_sym__terminator_token1] = ACTIONS(10377),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10046] = {
    [sym_block_comment] = STATE(10046),
    [sym_line_comment] = STATE(10046),
    [sym__word_identifier] = ACTIONS(10263),
    [anon_sym_begin] = ACTIONS(10263),
    [anon_sym_module] = ACTIONS(10263),
    [anon_sym_baremodule] = ACTIONS(10263),
    [anon_sym_end] = ACTIONS(10263),
    [anon_sym_abstract] = ACTIONS(10263),
    [anon_sym_primitive] = ACTIONS(10263),
    [anon_sym_mutable] = ACTIONS(10263),
    [anon_sym_struct] = ACTIONS(10263),
    [anon_sym_function] = ACTIONS(10263),
    [anon_sym_macro] = ACTIONS(10263),
    [anon_sym_quote] = ACTIONS(10263),
    [anon_sym_let] = ACTIONS(10263),
    [anon_sym_if] = ACTIONS(10263),
    [anon_sym_try] = ACTIONS(10263),
    [anon_sym_for] = ACTIONS(10263),
    [anon_sym_while] = ACTIONS(10263),
    [sym_break_statement] = ACTIONS(10263),
    [sym_continue_statement] = ACTIONS(10263),
    [anon_sym_return] = ACTIONS(10263),
    [anon_sym_const] = ACTIONS(10263),
    [anon_sym_global] = ACTIONS(10263),
    [anon_sym_local] = ACTIONS(10263),
    [anon_sym_LPAREN] = ACTIONS(10263),
    [anon_sym_export] = ACTIONS(10263),
    [anon_sym_public] = ACTIONS(10263),
    [anon_sym_import] = ACTIONS(10263),
    [anon_sym_using] = ACTIONS(10263),
    [anon_sym_LBRACK] = ACTIONS(10263),
    [anon_sym_SEMI] = ACTIONS(10263),
    [anon_sym_LBRACE] = ACTIONS(10263),
    [anon_sym_DOLLAR] = ACTIONS(10263),
    [anon_sym_COLON2] = ACTIONS(10263),
    [anon_sym_COLON_COLON] = ACTIONS(10263),
    [anon_sym_AT] = ACTIONS(10263),
    [anon_sym_true] = ACTIONS(10263),
    [anon_sym_false] = ACTIONS(10263),
    [aux_sym_integer_literal_token1] = ACTIONS(10263),
    [aux_sym_integer_literal_token2] = ACTIONS(10263),
    [aux_sym_integer_literal_token3] = ACTIONS(10263),
    [aux_sym_integer_literal_token4] = ACTIONS(10263),
    [aux_sym_float_literal_token1] = ACTIONS(10263),
    [aux_sym_float_literal_token3] = ACTIONS(10263),
    [aux_sym_float_literal_token4] = ACTIONS(10263),
    [sym_character_literal] = ACTIONS(10263),
    [anon_sym_DQUOTE] = ACTIONS(10263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE] = ACTIONS(10263),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10263),
    [sym__pair_operator] = ACTIONS(10263),
    [sym__arrow_operator] = ACTIONS(10263),
    [sym__comparison_operator] = ACTIONS(10263),
    [sym__pipe_right_operator] = ACTIONS(10263),
    [sym__pipe_left_operator] = ACTIONS(10263),
    [sym__ellipsis_operator] = ACTIONS(10263),
    [sym__plus_operator] = ACTIONS(10263),
    [sym__times_operator] = ACTIONS(10263),
    [sym__rational_operator] = ACTIONS(10263),
    [sym__bitshift_operator] = ACTIONS(10263),
    [sym__power_operator] = ACTIONS(10263),
    [sym__tilde_operator] = ACTIONS(10263),
    [sym__type_order_operator] = ACTIONS(10263),
    [sym__unary_operator] = ACTIONS(10263),
    [sym__unary_plus_operator] = ACTIONS(10263),
    [aux_sym__terminator_token1] = ACTIONS(10265),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10047] = {
    [sym_block_comment] = STATE(10047),
    [sym_line_comment] = STATE(10047),
    [aux_sym__terminator_repeat1] = STATE(10012),
    [sym__word_identifier] = ACTIONS(13244),
    [anon_sym_begin] = ACTIONS(13244),
    [anon_sym_module] = ACTIONS(13244),
    [anon_sym_baremodule] = ACTIONS(13244),
    [anon_sym_end] = ACTIONS(13244),
    [anon_sym_abstract] = ACTIONS(13244),
    [anon_sym_primitive] = ACTIONS(13244),
    [anon_sym_mutable] = ACTIONS(13244),
    [anon_sym_struct] = ACTIONS(13244),
    [anon_sym_function] = ACTIONS(13244),
    [anon_sym_macro] = ACTIONS(13244),
    [anon_sym_quote] = ACTIONS(13244),
    [anon_sym_let] = ACTIONS(13244),
    [anon_sym_if] = ACTIONS(13244),
    [anon_sym_try] = ACTIONS(13244),
    [anon_sym_for] = ACTIONS(13244),
    [anon_sym_while] = ACTIONS(13244),
    [sym_break_statement] = ACTIONS(13244),
    [sym_continue_statement] = ACTIONS(13244),
    [anon_sym_return] = ACTIONS(13244),
    [anon_sym_const] = ACTIONS(13244),
    [anon_sym_global] = ACTIONS(13244),
    [anon_sym_local] = ACTIONS(13244),
    [anon_sym_LPAREN] = ACTIONS(13246),
    [anon_sym_export] = ACTIONS(13244),
    [anon_sym_public] = ACTIONS(13244),
    [anon_sym_import] = ACTIONS(13244),
    [anon_sym_using] = ACTIONS(13244),
    [anon_sym_LBRACK] = ACTIONS(13246),
    [anon_sym_LBRACE] = ACTIONS(13246),
    [anon_sym_DOLLAR] = ACTIONS(13246),
    [anon_sym_COLON2] = ACTIONS(13244),
    [anon_sym_COLON_COLON] = ACTIONS(13246),
    [anon_sym_AT] = ACTIONS(13246),
    [anon_sym_true] = ACTIONS(13244),
    [anon_sym_false] = ACTIONS(13244),
    [aux_sym_integer_literal_token1] = ACTIONS(13246),
    [aux_sym_integer_literal_token2] = ACTIONS(13246),
    [aux_sym_integer_literal_token3] = ACTIONS(13244),
    [aux_sym_integer_literal_token4] = ACTIONS(13244),
    [aux_sym_float_literal_token1] = ACTIONS(13246),
    [aux_sym_float_literal_token3] = ACTIONS(13246),
    [aux_sym_float_literal_token4] = ACTIONS(13246),
    [sym_character_literal] = ACTIONS(13246),
    [anon_sym_DQUOTE] = ACTIONS(13244),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13246),
    [anon_sym_BQUOTE] = ACTIONS(13244),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13246),
    [sym__pair_operator] = ACTIONS(13246),
    [sym__arrow_operator] = ACTIONS(13244),
    [sym__comparison_operator] = ACTIONS(13244),
    [sym__pipe_right_operator] = ACTIONS(13246),
    [sym__pipe_left_operator] = ACTIONS(13246),
    [sym__ellipsis_operator] = ACTIONS(13246),
    [sym__plus_operator] = ACTIONS(13244),
    [sym__times_operator] = ACTIONS(13244),
    [sym__rational_operator] = ACTIONS(13246),
    [sym__bitshift_operator] = ACTIONS(13246),
    [sym__power_operator] = ACTIONS(13246),
    [sym__tilde_operator] = ACTIONS(13246),
    [sym__type_order_operator] = ACTIONS(13246),
    [sym__unary_operator] = ACTIONS(13244),
    [sym__unary_plus_operator] = ACTIONS(13244),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10048] = {
    [sym_block_comment] = STATE(10048),
    [sym_line_comment] = STATE(10048),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(13248),
    [anon_sym_begin] = ACTIONS(13248),
    [anon_sym_module] = ACTIONS(13248),
    [anon_sym_baremodule] = ACTIONS(13248),
    [anon_sym_end] = ACTIONS(13248),
    [anon_sym_abstract] = ACTIONS(13248),
    [anon_sym_primitive] = ACTIONS(13248),
    [anon_sym_mutable] = ACTIONS(13248),
    [anon_sym_struct] = ACTIONS(13248),
    [anon_sym_function] = ACTIONS(13248),
    [anon_sym_macro] = ACTIONS(13248),
    [anon_sym_quote] = ACTIONS(13248),
    [anon_sym_let] = ACTIONS(13248),
    [anon_sym_if] = ACTIONS(13248),
    [anon_sym_try] = ACTIONS(13248),
    [anon_sym_for] = ACTIONS(13248),
    [anon_sym_while] = ACTIONS(13248),
    [sym_break_statement] = ACTIONS(13248),
    [sym_continue_statement] = ACTIONS(13248),
    [anon_sym_return] = ACTIONS(13248),
    [anon_sym_const] = ACTIONS(13248),
    [anon_sym_global] = ACTIONS(13248),
    [anon_sym_local] = ACTIONS(13248),
    [anon_sym_LPAREN] = ACTIONS(13250),
    [anon_sym_export] = ACTIONS(13248),
    [anon_sym_public] = ACTIONS(13248),
    [anon_sym_import] = ACTIONS(13248),
    [anon_sym_using] = ACTIONS(13248),
    [anon_sym_LBRACK] = ACTIONS(13250),
    [anon_sym_LBRACE] = ACTIONS(13250),
    [anon_sym_DOLLAR] = ACTIONS(13250),
    [anon_sym_COLON2] = ACTIONS(13248),
    [anon_sym_COLON_COLON] = ACTIONS(13250),
    [anon_sym_AT] = ACTIONS(13250),
    [anon_sym_true] = ACTIONS(13248),
    [anon_sym_false] = ACTIONS(13248),
    [aux_sym_integer_literal_token1] = ACTIONS(13250),
    [aux_sym_integer_literal_token2] = ACTIONS(13250),
    [aux_sym_integer_literal_token3] = ACTIONS(13248),
    [aux_sym_integer_literal_token4] = ACTIONS(13248),
    [aux_sym_float_literal_token1] = ACTIONS(13250),
    [aux_sym_float_literal_token3] = ACTIONS(13250),
    [aux_sym_float_literal_token4] = ACTIONS(13250),
    [sym_character_literal] = ACTIONS(13250),
    [anon_sym_DQUOTE] = ACTIONS(13248),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13250),
    [anon_sym_BQUOTE] = ACTIONS(13248),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13250),
    [sym__pair_operator] = ACTIONS(13250),
    [sym__arrow_operator] = ACTIONS(13248),
    [sym__comparison_operator] = ACTIONS(13248),
    [sym__pipe_right_operator] = ACTIONS(13250),
    [sym__pipe_left_operator] = ACTIONS(13250),
    [sym__ellipsis_operator] = ACTIONS(13250),
    [sym__plus_operator] = ACTIONS(13248),
    [sym__times_operator] = ACTIONS(13248),
    [sym__rational_operator] = ACTIONS(13250),
    [sym__bitshift_operator] = ACTIONS(13250),
    [sym__power_operator] = ACTIONS(13250),
    [sym__tilde_operator] = ACTIONS(13250),
    [sym__type_order_operator] = ACTIONS(13250),
    [sym__unary_operator] = ACTIONS(13248),
    [sym__unary_plus_operator] = ACTIONS(13248),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10049] = {
    [sym_block_comment] = STATE(10049),
    [sym_line_comment] = STATE(10049),
    [sym__word_identifier] = ACTIONS(10339),
    [anon_sym_begin] = ACTIONS(10339),
    [anon_sym_module] = ACTIONS(10339),
    [anon_sym_baremodule] = ACTIONS(10339),
    [anon_sym_end] = ACTIONS(10339),
    [anon_sym_abstract] = ACTIONS(10339),
    [anon_sym_primitive] = ACTIONS(10339),
    [anon_sym_mutable] = ACTIONS(10339),
    [anon_sym_struct] = ACTIONS(10339),
    [anon_sym_function] = ACTIONS(10339),
    [anon_sym_macro] = ACTIONS(10339),
    [anon_sym_quote] = ACTIONS(10339),
    [anon_sym_let] = ACTIONS(10339),
    [anon_sym_if] = ACTIONS(10339),
    [anon_sym_try] = ACTIONS(10339),
    [anon_sym_for] = ACTIONS(10339),
    [anon_sym_while] = ACTIONS(10339),
    [sym_break_statement] = ACTIONS(10339),
    [sym_continue_statement] = ACTIONS(10339),
    [anon_sym_return] = ACTIONS(10339),
    [anon_sym_const] = ACTIONS(10339),
    [anon_sym_global] = ACTIONS(10339),
    [anon_sym_local] = ACTIONS(10339),
    [anon_sym_LPAREN] = ACTIONS(10339),
    [anon_sym_export] = ACTIONS(10339),
    [anon_sym_public] = ACTIONS(10339),
    [anon_sym_import] = ACTIONS(10339),
    [anon_sym_using] = ACTIONS(10339),
    [anon_sym_LBRACK] = ACTIONS(10339),
    [anon_sym_SEMI] = ACTIONS(10339),
    [anon_sym_LBRACE] = ACTIONS(10339),
    [anon_sym_DOLLAR] = ACTIONS(10339),
    [anon_sym_COLON2] = ACTIONS(10339),
    [anon_sym_COLON_COLON] = ACTIONS(10339),
    [anon_sym_AT] = ACTIONS(10339),
    [anon_sym_true] = ACTIONS(10339),
    [anon_sym_false] = ACTIONS(10339),
    [aux_sym_integer_literal_token1] = ACTIONS(10339),
    [aux_sym_integer_literal_token2] = ACTIONS(10339),
    [aux_sym_integer_literal_token3] = ACTIONS(10339),
    [aux_sym_integer_literal_token4] = ACTIONS(10339),
    [aux_sym_float_literal_token1] = ACTIONS(10339),
    [aux_sym_float_literal_token3] = ACTIONS(10339),
    [aux_sym_float_literal_token4] = ACTIONS(10339),
    [sym_character_literal] = ACTIONS(10339),
    [anon_sym_DQUOTE] = ACTIONS(10339),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE] = ACTIONS(10339),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10339),
    [sym__pair_operator] = ACTIONS(10339),
    [sym__arrow_operator] = ACTIONS(10339),
    [sym__comparison_operator] = ACTIONS(10339),
    [sym__pipe_right_operator] = ACTIONS(10339),
    [sym__pipe_left_operator] = ACTIONS(10339),
    [sym__ellipsis_operator] = ACTIONS(10339),
    [sym__plus_operator] = ACTIONS(10339),
    [sym__times_operator] = ACTIONS(10339),
    [sym__rational_operator] = ACTIONS(10339),
    [sym__bitshift_operator] = ACTIONS(10339),
    [sym__power_operator] = ACTIONS(10339),
    [sym__tilde_operator] = ACTIONS(10339),
    [sym__type_order_operator] = ACTIONS(10339),
    [sym__unary_operator] = ACTIONS(10339),
    [sym__unary_plus_operator] = ACTIONS(10339),
    [aux_sym__terminator_token1] = ACTIONS(10341),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10050] = {
    [sym_block_comment] = STATE(10050),
    [sym_line_comment] = STATE(10050),
    [sym__word_identifier] = ACTIONS(10371),
    [anon_sym_begin] = ACTIONS(10371),
    [anon_sym_module] = ACTIONS(10371),
    [anon_sym_baremodule] = ACTIONS(10371),
    [anon_sym_end] = ACTIONS(10371),
    [anon_sym_abstract] = ACTIONS(10371),
    [anon_sym_primitive] = ACTIONS(10371),
    [anon_sym_mutable] = ACTIONS(10371),
    [anon_sym_struct] = ACTIONS(10371),
    [anon_sym_function] = ACTIONS(10371),
    [anon_sym_macro] = ACTIONS(10371),
    [anon_sym_quote] = ACTIONS(10371),
    [anon_sym_let] = ACTIONS(10371),
    [anon_sym_if] = ACTIONS(10371),
    [anon_sym_try] = ACTIONS(10371),
    [anon_sym_for] = ACTIONS(10371),
    [anon_sym_while] = ACTIONS(10371),
    [sym_break_statement] = ACTIONS(10371),
    [sym_continue_statement] = ACTIONS(10371),
    [anon_sym_return] = ACTIONS(10371),
    [anon_sym_const] = ACTIONS(10371),
    [anon_sym_global] = ACTIONS(10371),
    [anon_sym_local] = ACTIONS(10371),
    [anon_sym_LPAREN] = ACTIONS(10371),
    [anon_sym_export] = ACTIONS(10371),
    [anon_sym_public] = ACTIONS(10371),
    [anon_sym_import] = ACTIONS(10371),
    [anon_sym_using] = ACTIONS(10371),
    [anon_sym_LBRACK] = ACTIONS(10371),
    [anon_sym_SEMI] = ACTIONS(10371),
    [anon_sym_LBRACE] = ACTIONS(10371),
    [anon_sym_DOLLAR] = ACTIONS(10371),
    [anon_sym_COLON2] = ACTIONS(10371),
    [anon_sym_COLON_COLON] = ACTIONS(10371),
    [anon_sym_AT] = ACTIONS(10371),
    [anon_sym_true] = ACTIONS(10371),
    [anon_sym_false] = ACTIONS(10371),
    [aux_sym_integer_literal_token1] = ACTIONS(10371),
    [aux_sym_integer_literal_token2] = ACTIONS(10371),
    [aux_sym_integer_literal_token3] = ACTIONS(10371),
    [aux_sym_integer_literal_token4] = ACTIONS(10371),
    [aux_sym_float_literal_token1] = ACTIONS(10371),
    [aux_sym_float_literal_token3] = ACTIONS(10371),
    [aux_sym_float_literal_token4] = ACTIONS(10371),
    [sym_character_literal] = ACTIONS(10371),
    [anon_sym_DQUOTE] = ACTIONS(10371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE] = ACTIONS(10371),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10371),
    [sym__pair_operator] = ACTIONS(10371),
    [sym__arrow_operator] = ACTIONS(10371),
    [sym__comparison_operator] = ACTIONS(10371),
    [sym__pipe_right_operator] = ACTIONS(10371),
    [sym__pipe_left_operator] = ACTIONS(10371),
    [sym__ellipsis_operator] = ACTIONS(10371),
    [sym__plus_operator] = ACTIONS(10371),
    [sym__times_operator] = ACTIONS(10371),
    [sym__rational_operator] = ACTIONS(10371),
    [sym__bitshift_operator] = ACTIONS(10371),
    [sym__power_operator] = ACTIONS(10371),
    [sym__tilde_operator] = ACTIONS(10371),
    [sym__type_order_operator] = ACTIONS(10371),
    [sym__unary_operator] = ACTIONS(10371),
    [sym__unary_plus_operator] = ACTIONS(10371),
    [aux_sym__terminator_token1] = ACTIONS(10373),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10051] = {
    [sym_block_comment] = STATE(10051),
    [sym_line_comment] = STATE(10051),
    [sym__word_identifier] = ACTIONS(9969),
    [anon_sym_begin] = ACTIONS(9969),
    [anon_sym_module] = ACTIONS(9969),
    [anon_sym_baremodule] = ACTIONS(9969),
    [anon_sym_end] = ACTIONS(9969),
    [anon_sym_abstract] = ACTIONS(9969),
    [anon_sym_primitive] = ACTIONS(9969),
    [anon_sym_mutable] = ACTIONS(9969),
    [anon_sym_struct] = ACTIONS(9969),
    [anon_sym_function] = ACTIONS(9969),
    [anon_sym_macro] = ACTIONS(9969),
    [anon_sym_quote] = ACTIONS(9969),
    [anon_sym_let] = ACTIONS(9969),
    [anon_sym_if] = ACTIONS(9969),
    [anon_sym_try] = ACTIONS(9969),
    [anon_sym_for] = ACTIONS(9969),
    [anon_sym_while] = ACTIONS(9969),
    [sym_break_statement] = ACTIONS(9969),
    [sym_continue_statement] = ACTIONS(9969),
    [anon_sym_return] = ACTIONS(9969),
    [anon_sym_const] = ACTIONS(9969),
    [anon_sym_global] = ACTIONS(9969),
    [anon_sym_local] = ACTIONS(9969),
    [anon_sym_LPAREN] = ACTIONS(9969),
    [anon_sym_export] = ACTIONS(9969),
    [anon_sym_public] = ACTIONS(9969),
    [anon_sym_import] = ACTIONS(9969),
    [anon_sym_using] = ACTIONS(9969),
    [anon_sym_LBRACK] = ACTIONS(9969),
    [anon_sym_SEMI] = ACTIONS(9969),
    [anon_sym_LBRACE] = ACTIONS(9969),
    [anon_sym_DOLLAR] = ACTIONS(9969),
    [anon_sym_COLON2] = ACTIONS(9969),
    [anon_sym_COLON_COLON] = ACTIONS(9969),
    [anon_sym_AT] = ACTIONS(9969),
    [anon_sym_true] = ACTIONS(9969),
    [anon_sym_false] = ACTIONS(9969),
    [aux_sym_integer_literal_token1] = ACTIONS(9969),
    [aux_sym_integer_literal_token2] = ACTIONS(9969),
    [aux_sym_integer_literal_token3] = ACTIONS(9969),
    [aux_sym_integer_literal_token4] = ACTIONS(9969),
    [aux_sym_float_literal_token1] = ACTIONS(9969),
    [aux_sym_float_literal_token3] = ACTIONS(9969),
    [aux_sym_float_literal_token4] = ACTIONS(9969),
    [sym_character_literal] = ACTIONS(9969),
    [anon_sym_DQUOTE] = ACTIONS(9969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE] = ACTIONS(9969),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(9969),
    [sym__pair_operator] = ACTIONS(9969),
    [sym__arrow_operator] = ACTIONS(9969),
    [sym__comparison_operator] = ACTIONS(9969),
    [sym__pipe_right_operator] = ACTIONS(9969),
    [sym__pipe_left_operator] = ACTIONS(9969),
    [sym__ellipsis_operator] = ACTIONS(9969),
    [sym__plus_operator] = ACTIONS(9969),
    [sym__times_operator] = ACTIONS(9969),
    [sym__rational_operator] = ACTIONS(9969),
    [sym__bitshift_operator] = ACTIONS(9969),
    [sym__power_operator] = ACTIONS(9969),
    [sym__tilde_operator] = ACTIONS(9969),
    [sym__type_order_operator] = ACTIONS(9969),
    [sym__unary_operator] = ACTIONS(9969),
    [sym__unary_plus_operator] = ACTIONS(9969),
    [aux_sym__terminator_token1] = ACTIONS(9971),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10052] = {
    [sym_block_comment] = STATE(10052),
    [sym_line_comment] = STATE(10052),
    [sym__word_identifier] = ACTIONS(10409),
    [anon_sym_begin] = ACTIONS(10409),
    [anon_sym_module] = ACTIONS(10409),
    [anon_sym_baremodule] = ACTIONS(10409),
    [anon_sym_end] = ACTIONS(10409),
    [anon_sym_abstract] = ACTIONS(10409),
    [anon_sym_primitive] = ACTIONS(10409),
    [anon_sym_mutable] = ACTIONS(10409),
    [anon_sym_struct] = ACTIONS(10409),
    [anon_sym_function] = ACTIONS(10409),
    [anon_sym_macro] = ACTIONS(10409),
    [anon_sym_quote] = ACTIONS(10409),
    [anon_sym_let] = ACTIONS(10409),
    [anon_sym_if] = ACTIONS(10409),
    [anon_sym_try] = ACTIONS(10409),
    [anon_sym_for] = ACTIONS(10409),
    [anon_sym_while] = ACTIONS(10409),
    [sym_break_statement] = ACTIONS(10409),
    [sym_continue_statement] = ACTIONS(10409),
    [anon_sym_return] = ACTIONS(10409),
    [anon_sym_const] = ACTIONS(10409),
    [anon_sym_global] = ACTIONS(10409),
    [anon_sym_local] = ACTIONS(10409),
    [anon_sym_LPAREN] = ACTIONS(10409),
    [anon_sym_export] = ACTIONS(10409),
    [anon_sym_public] = ACTIONS(10409),
    [anon_sym_import] = ACTIONS(10409),
    [anon_sym_using] = ACTIONS(10409),
    [anon_sym_LBRACK] = ACTIONS(10409),
    [anon_sym_SEMI] = ACTIONS(10409),
    [anon_sym_LBRACE] = ACTIONS(10409),
    [anon_sym_DOLLAR] = ACTIONS(10409),
    [anon_sym_COLON2] = ACTIONS(10409),
    [anon_sym_COLON_COLON] = ACTIONS(10409),
    [anon_sym_AT] = ACTIONS(10409),
    [anon_sym_true] = ACTIONS(10409),
    [anon_sym_false] = ACTIONS(10409),
    [aux_sym_integer_literal_token1] = ACTIONS(10409),
    [aux_sym_integer_literal_token2] = ACTIONS(10409),
    [aux_sym_integer_literal_token3] = ACTIONS(10409),
    [aux_sym_integer_literal_token4] = ACTIONS(10409),
    [aux_sym_float_literal_token1] = ACTIONS(10409),
    [aux_sym_float_literal_token3] = ACTIONS(10409),
    [aux_sym_float_literal_token4] = ACTIONS(10409),
    [sym_character_literal] = ACTIONS(10409),
    [anon_sym_DQUOTE] = ACTIONS(10409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE] = ACTIONS(10409),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10409),
    [sym__pair_operator] = ACTIONS(10409),
    [sym__arrow_operator] = ACTIONS(10409),
    [sym__comparison_operator] = ACTIONS(10409),
    [sym__pipe_right_operator] = ACTIONS(10409),
    [sym__pipe_left_operator] = ACTIONS(10409),
    [sym__ellipsis_operator] = ACTIONS(10409),
    [sym__plus_operator] = ACTIONS(10409),
    [sym__times_operator] = ACTIONS(10409),
    [sym__rational_operator] = ACTIONS(10409),
    [sym__bitshift_operator] = ACTIONS(10409),
    [sym__power_operator] = ACTIONS(10409),
    [sym__tilde_operator] = ACTIONS(10409),
    [sym__type_order_operator] = ACTIONS(10409),
    [sym__unary_operator] = ACTIONS(10409),
    [sym__unary_plus_operator] = ACTIONS(10409),
    [aux_sym__terminator_token1] = ACTIONS(10411),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10053] = {
    [sym_block_comment] = STATE(10053),
    [sym_line_comment] = STATE(10053),
    [aux_sym__terminator_repeat1] = STATE(10031),
    [sym__word_identifier] = ACTIONS(13252),
    [anon_sym_begin] = ACTIONS(13252),
    [anon_sym_module] = ACTIONS(13252),
    [anon_sym_baremodule] = ACTIONS(13252),
    [anon_sym_end] = ACTIONS(13252),
    [anon_sym_abstract] = ACTIONS(13252),
    [anon_sym_primitive] = ACTIONS(13252),
    [anon_sym_mutable] = ACTIONS(13252),
    [anon_sym_struct] = ACTIONS(13252),
    [anon_sym_function] = ACTIONS(13252),
    [anon_sym_macro] = ACTIONS(13252),
    [anon_sym_quote] = ACTIONS(13252),
    [anon_sym_let] = ACTIONS(13252),
    [anon_sym_if] = ACTIONS(13252),
    [anon_sym_try] = ACTIONS(13252),
    [anon_sym_for] = ACTIONS(13252),
    [anon_sym_while] = ACTIONS(13252),
    [sym_break_statement] = ACTIONS(13252),
    [sym_continue_statement] = ACTIONS(13252),
    [anon_sym_return] = ACTIONS(13252),
    [anon_sym_const] = ACTIONS(13252),
    [anon_sym_global] = ACTIONS(13252),
    [anon_sym_local] = ACTIONS(13252),
    [anon_sym_LPAREN] = ACTIONS(13254),
    [anon_sym_export] = ACTIONS(13252),
    [anon_sym_public] = ACTIONS(13252),
    [anon_sym_import] = ACTIONS(13252),
    [anon_sym_using] = ACTIONS(13252),
    [anon_sym_LBRACK] = ACTIONS(13254),
    [anon_sym_LBRACE] = ACTIONS(13254),
    [anon_sym_DOLLAR] = ACTIONS(13254),
    [anon_sym_COLON2] = ACTIONS(13252),
    [anon_sym_COLON_COLON] = ACTIONS(13254),
    [anon_sym_AT] = ACTIONS(13254),
    [anon_sym_true] = ACTIONS(13252),
    [anon_sym_false] = ACTIONS(13252),
    [aux_sym_integer_literal_token1] = ACTIONS(13254),
    [aux_sym_integer_literal_token2] = ACTIONS(13254),
    [aux_sym_integer_literal_token3] = ACTIONS(13252),
    [aux_sym_integer_literal_token4] = ACTIONS(13252),
    [aux_sym_float_literal_token1] = ACTIONS(13254),
    [aux_sym_float_literal_token3] = ACTIONS(13254),
    [aux_sym_float_literal_token4] = ACTIONS(13254),
    [sym_character_literal] = ACTIONS(13254),
    [anon_sym_DQUOTE] = ACTIONS(13252),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13254),
    [anon_sym_BQUOTE] = ACTIONS(13252),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13254),
    [sym__pair_operator] = ACTIONS(13254),
    [sym__arrow_operator] = ACTIONS(13252),
    [sym__comparison_operator] = ACTIONS(13252),
    [sym__pipe_right_operator] = ACTIONS(13254),
    [sym__pipe_left_operator] = ACTIONS(13254),
    [sym__ellipsis_operator] = ACTIONS(13254),
    [sym__plus_operator] = ACTIONS(13252),
    [sym__times_operator] = ACTIONS(13252),
    [sym__rational_operator] = ACTIONS(13254),
    [sym__bitshift_operator] = ACTIONS(13254),
    [sym__power_operator] = ACTIONS(13254),
    [sym__tilde_operator] = ACTIONS(13254),
    [sym__type_order_operator] = ACTIONS(13254),
    [sym__unary_operator] = ACTIONS(13252),
    [sym__unary_plus_operator] = ACTIONS(13252),
    [anon_sym_SEMI2] = ACTIONS(4439),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10054] = {
    [sym_block_comment] = STATE(10054),
    [sym_line_comment] = STATE(10054),
    [sym__word_identifier] = ACTIONS(10217),
    [anon_sym_begin] = ACTIONS(10217),
    [anon_sym_module] = ACTIONS(10217),
    [anon_sym_baremodule] = ACTIONS(10217),
    [anon_sym_end] = ACTIONS(10217),
    [anon_sym_abstract] = ACTIONS(10217),
    [anon_sym_primitive] = ACTIONS(10217),
    [anon_sym_mutable] = ACTIONS(10217),
    [anon_sym_struct] = ACTIONS(10217),
    [anon_sym_function] = ACTIONS(10217),
    [anon_sym_macro] = ACTIONS(10217),
    [anon_sym_quote] = ACTIONS(10217),
    [anon_sym_let] = ACTIONS(10217),
    [anon_sym_if] = ACTIONS(10217),
    [anon_sym_try] = ACTIONS(10217),
    [anon_sym_for] = ACTIONS(10217),
    [anon_sym_while] = ACTIONS(10217),
    [sym_break_statement] = ACTIONS(10217),
    [sym_continue_statement] = ACTIONS(10217),
    [anon_sym_return] = ACTIONS(10217),
    [anon_sym_const] = ACTIONS(10217),
    [anon_sym_global] = ACTIONS(10217),
    [anon_sym_local] = ACTIONS(10217),
    [anon_sym_LPAREN] = ACTIONS(10217),
    [anon_sym_export] = ACTIONS(10217),
    [anon_sym_public] = ACTIONS(10217),
    [anon_sym_import] = ACTIONS(10217),
    [anon_sym_using] = ACTIONS(10217),
    [anon_sym_LBRACK] = ACTIONS(10217),
    [anon_sym_SEMI] = ACTIONS(10217),
    [anon_sym_LBRACE] = ACTIONS(10217),
    [anon_sym_DOLLAR] = ACTIONS(10217),
    [anon_sym_COLON2] = ACTIONS(10217),
    [anon_sym_COLON_COLON] = ACTIONS(10217),
    [anon_sym_AT] = ACTIONS(10217),
    [anon_sym_true] = ACTIONS(10217),
    [anon_sym_false] = ACTIONS(10217),
    [aux_sym_integer_literal_token1] = ACTIONS(10217),
    [aux_sym_integer_literal_token2] = ACTIONS(10217),
    [aux_sym_integer_literal_token3] = ACTIONS(10217),
    [aux_sym_integer_literal_token4] = ACTIONS(10217),
    [aux_sym_float_literal_token1] = ACTIONS(10217),
    [aux_sym_float_literal_token3] = ACTIONS(10217),
    [aux_sym_float_literal_token4] = ACTIONS(10217),
    [sym_character_literal] = ACTIONS(10217),
    [anon_sym_DQUOTE] = ACTIONS(10217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE] = ACTIONS(10217),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10217),
    [sym__pair_operator] = ACTIONS(10217),
    [sym__arrow_operator] = ACTIONS(10217),
    [sym__comparison_operator] = ACTIONS(10217),
    [sym__pipe_right_operator] = ACTIONS(10217),
    [sym__pipe_left_operator] = ACTIONS(10217),
    [sym__ellipsis_operator] = ACTIONS(10217),
    [sym__plus_operator] = ACTIONS(10217),
    [sym__times_operator] = ACTIONS(10217),
    [sym__rational_operator] = ACTIONS(10217),
    [sym__bitshift_operator] = ACTIONS(10217),
    [sym__power_operator] = ACTIONS(10217),
    [sym__tilde_operator] = ACTIONS(10217),
    [sym__type_order_operator] = ACTIONS(10217),
    [sym__unary_operator] = ACTIONS(10217),
    [sym__unary_plus_operator] = ACTIONS(10217),
    [aux_sym__terminator_token1] = ACTIONS(10219),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10055] = {
    [sym_block_comment] = STATE(10055),
    [sym_line_comment] = STATE(10055),
    [sym__word_identifier] = ACTIONS(10323),
    [anon_sym_begin] = ACTIONS(10323),
    [anon_sym_module] = ACTIONS(10323),
    [anon_sym_baremodule] = ACTIONS(10323),
    [anon_sym_end] = ACTIONS(10323),
    [anon_sym_abstract] = ACTIONS(10323),
    [anon_sym_primitive] = ACTIONS(10323),
    [anon_sym_mutable] = ACTIONS(10323),
    [anon_sym_struct] = ACTIONS(10323),
    [anon_sym_function] = ACTIONS(10323),
    [anon_sym_macro] = ACTIONS(10323),
    [anon_sym_quote] = ACTIONS(10323),
    [anon_sym_let] = ACTIONS(10323),
    [anon_sym_if] = ACTIONS(10323),
    [anon_sym_try] = ACTIONS(10323),
    [anon_sym_for] = ACTIONS(10323),
    [anon_sym_while] = ACTIONS(10323),
    [sym_break_statement] = ACTIONS(10323),
    [sym_continue_statement] = ACTIONS(10323),
    [anon_sym_return] = ACTIONS(10323),
    [anon_sym_const] = ACTIONS(10323),
    [anon_sym_global] = ACTIONS(10323),
    [anon_sym_local] = ACTIONS(10323),
    [anon_sym_LPAREN] = ACTIONS(10323),
    [anon_sym_export] = ACTIONS(10323),
    [anon_sym_public] = ACTIONS(10323),
    [anon_sym_import] = ACTIONS(10323),
    [anon_sym_using] = ACTIONS(10323),
    [anon_sym_LBRACK] = ACTIONS(10323),
    [anon_sym_SEMI] = ACTIONS(10323),
    [anon_sym_LBRACE] = ACTIONS(10323),
    [anon_sym_DOLLAR] = ACTIONS(10323),
    [anon_sym_COLON2] = ACTIONS(10323),
    [anon_sym_COLON_COLON] = ACTIONS(10323),
    [anon_sym_AT] = ACTIONS(10323),
    [anon_sym_true] = ACTIONS(10323),
    [anon_sym_false] = ACTIONS(10323),
    [aux_sym_integer_literal_token1] = ACTIONS(10323),
    [aux_sym_integer_literal_token2] = ACTIONS(10323),
    [aux_sym_integer_literal_token3] = ACTIONS(10323),
    [aux_sym_integer_literal_token4] = ACTIONS(10323),
    [aux_sym_float_literal_token1] = ACTIONS(10323),
    [aux_sym_float_literal_token3] = ACTIONS(10323),
    [aux_sym_float_literal_token4] = ACTIONS(10323),
    [sym_character_literal] = ACTIONS(10323),
    [anon_sym_DQUOTE] = ACTIONS(10323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE] = ACTIONS(10323),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10323),
    [sym__pair_operator] = ACTIONS(10323),
    [sym__arrow_operator] = ACTIONS(10323),
    [sym__comparison_operator] = ACTIONS(10323),
    [sym__pipe_right_operator] = ACTIONS(10323),
    [sym__pipe_left_operator] = ACTIONS(10323),
    [sym__ellipsis_operator] = ACTIONS(10323),
    [sym__plus_operator] = ACTIONS(10323),
    [sym__times_operator] = ACTIONS(10323),
    [sym__rational_operator] = ACTIONS(10323),
    [sym__bitshift_operator] = ACTIONS(10323),
    [sym__power_operator] = ACTIONS(10323),
    [sym__tilde_operator] = ACTIONS(10323),
    [sym__type_order_operator] = ACTIONS(10323),
    [sym__unary_operator] = ACTIONS(10323),
    [sym__unary_plus_operator] = ACTIONS(10323),
    [aux_sym__terminator_token1] = ACTIONS(10325),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10056] = {
    [sym_block_comment] = STATE(10056),
    [sym_line_comment] = STATE(10056),
    [sym__word_identifier] = ACTIONS(11430),
    [anon_sym_begin] = ACTIONS(11430),
    [anon_sym_module] = ACTIONS(11430),
    [anon_sym_baremodule] = ACTIONS(11430),
    [anon_sym_abstract] = ACTIONS(11430),
    [anon_sym_primitive] = ACTIONS(11430),
    [anon_sym_mutable] = ACTIONS(11430),
    [anon_sym_struct] = ACTIONS(11430),
    [anon_sym_function] = ACTIONS(11430),
    [anon_sym_macro] = ACTIONS(11430),
    [anon_sym_quote] = ACTIONS(11430),
    [anon_sym_let] = ACTIONS(11430),
    [anon_sym_if] = ACTIONS(11430),
    [anon_sym_try] = ACTIONS(11430),
    [anon_sym_for] = ACTIONS(11430),
    [anon_sym_while] = ACTIONS(11430),
    [sym_break_statement] = ACTIONS(11430),
    [sym_continue_statement] = ACTIONS(11430),
    [anon_sym_return] = ACTIONS(11430),
    [anon_sym_const] = ACTIONS(11430),
    [anon_sym_global] = ACTIONS(11430),
    [anon_sym_local] = ACTIONS(11430),
    [anon_sym_LPAREN] = ACTIONS(11430),
    [anon_sym_export] = ACTIONS(11430),
    [anon_sym_public] = ACTIONS(11430),
    [anon_sym_import] = ACTIONS(11430),
    [anon_sym_using] = ACTIONS(11430),
    [anon_sym_LBRACK] = ACTIONS(11430),
    [anon_sym_RBRACK] = ACTIONS(11430),
    [anon_sym_SEMI] = ACTIONS(11430),
    [anon_sym_LBRACE] = ACTIONS(11430),
    [anon_sym_DOLLAR] = ACTIONS(11430),
    [anon_sym_COLON2] = ACTIONS(11430),
    [anon_sym_COLON_COLON] = ACTIONS(11430),
    [anon_sym_AT] = ACTIONS(11430),
    [anon_sym_true] = ACTIONS(11430),
    [anon_sym_false] = ACTIONS(11430),
    [aux_sym_integer_literal_token1] = ACTIONS(11430),
    [aux_sym_integer_literal_token2] = ACTIONS(11430),
    [aux_sym_integer_literal_token3] = ACTIONS(11430),
    [aux_sym_integer_literal_token4] = ACTIONS(11430),
    [aux_sym_float_literal_token1] = ACTIONS(11430),
    [aux_sym_float_literal_token3] = ACTIONS(11430),
    [aux_sym_float_literal_token4] = ACTIONS(11430),
    [sym_character_literal] = ACTIONS(11430),
    [anon_sym_DQUOTE] = ACTIONS(11430),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE] = ACTIONS(11430),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(11430),
    [sym__pair_operator] = ACTIONS(11430),
    [sym__arrow_operator] = ACTIONS(11430),
    [sym__comparison_operator] = ACTIONS(11430),
    [sym__pipe_right_operator] = ACTIONS(11430),
    [sym__pipe_left_operator] = ACTIONS(11430),
    [sym__ellipsis_operator] = ACTIONS(11430),
    [sym__plus_operator] = ACTIONS(11430),
    [sym__times_operator] = ACTIONS(11430),
    [sym__rational_operator] = ACTIONS(11430),
    [sym__bitshift_operator] = ACTIONS(11430),
    [sym__power_operator] = ACTIONS(11430),
    [sym__tilde_operator] = ACTIONS(11430),
    [sym__type_order_operator] = ACTIONS(11430),
    [sym__unary_operator] = ACTIONS(11430),
    [sym__unary_plus_operator] = ACTIONS(11430),
    [aux_sym__terminator_token1] = ACTIONS(13048),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10057] = {
    [sym_block_comment] = STATE(10057),
    [sym_line_comment] = STATE(10057),
    [sym__word_identifier] = ACTIONS(10175),
    [anon_sym_begin] = ACTIONS(10175),
    [anon_sym_module] = ACTIONS(10175),
    [anon_sym_baremodule] = ACTIONS(10175),
    [anon_sym_end] = ACTIONS(10175),
    [anon_sym_abstract] = ACTIONS(10175),
    [anon_sym_primitive] = ACTIONS(10175),
    [anon_sym_mutable] = ACTIONS(10175),
    [anon_sym_struct] = ACTIONS(10175),
    [anon_sym_function] = ACTIONS(10175),
    [anon_sym_macro] = ACTIONS(10175),
    [anon_sym_quote] = ACTIONS(10175),
    [anon_sym_let] = ACTIONS(10175),
    [anon_sym_if] = ACTIONS(10175),
    [anon_sym_try] = ACTIONS(10175),
    [anon_sym_for] = ACTIONS(10175),
    [anon_sym_while] = ACTIONS(10175),
    [sym_break_statement] = ACTIONS(10175),
    [sym_continue_statement] = ACTIONS(10175),
    [anon_sym_return] = ACTIONS(10175),
    [anon_sym_const] = ACTIONS(10175),
    [anon_sym_global] = ACTIONS(10175),
    [anon_sym_local] = ACTIONS(10175),
    [anon_sym_LPAREN] = ACTIONS(10175),
    [anon_sym_export] = ACTIONS(10175),
    [anon_sym_public] = ACTIONS(10175),
    [anon_sym_import] = ACTIONS(10175),
    [anon_sym_using] = ACTIONS(10175),
    [anon_sym_LBRACK] = ACTIONS(10175),
    [anon_sym_SEMI] = ACTIONS(10175),
    [anon_sym_LBRACE] = ACTIONS(10175),
    [anon_sym_DOLLAR] = ACTIONS(10175),
    [anon_sym_COLON2] = ACTIONS(10175),
    [anon_sym_COLON_COLON] = ACTIONS(10175),
    [anon_sym_AT] = ACTIONS(10175),
    [anon_sym_true] = ACTIONS(10175),
    [anon_sym_false] = ACTIONS(10175),
    [aux_sym_integer_literal_token1] = ACTIONS(10175),
    [aux_sym_integer_literal_token2] = ACTIONS(10175),
    [aux_sym_integer_literal_token3] = ACTIONS(10175),
    [aux_sym_integer_literal_token4] = ACTIONS(10175),
    [aux_sym_float_literal_token1] = ACTIONS(10175),
    [aux_sym_float_literal_token3] = ACTIONS(10175),
    [aux_sym_float_literal_token4] = ACTIONS(10175),
    [sym_character_literal] = ACTIONS(10175),
    [anon_sym_DQUOTE] = ACTIONS(10175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE] = ACTIONS(10175),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10175),
    [sym__pair_operator] = ACTIONS(10175),
    [sym__arrow_operator] = ACTIONS(10175),
    [sym__comparison_operator] = ACTIONS(10175),
    [sym__pipe_right_operator] = ACTIONS(10175),
    [sym__pipe_left_operator] = ACTIONS(10175),
    [sym__ellipsis_operator] = ACTIONS(10175),
    [sym__plus_operator] = ACTIONS(10175),
    [sym__times_operator] = ACTIONS(10175),
    [sym__rational_operator] = ACTIONS(10175),
    [sym__bitshift_operator] = ACTIONS(10175),
    [sym__power_operator] = ACTIONS(10175),
    [sym__tilde_operator] = ACTIONS(10175),
    [sym__type_order_operator] = ACTIONS(10175),
    [sym__unary_operator] = ACTIONS(10175),
    [sym__unary_plus_operator] = ACTIONS(10175),
    [aux_sym__terminator_token1] = ACTIONS(10177),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10058] = {
    [sym_block_comment] = STATE(10058),
    [sym_line_comment] = STATE(10058),
    [sym__word_identifier] = ACTIONS(10327),
    [anon_sym_begin] = ACTIONS(10327),
    [anon_sym_module] = ACTIONS(10327),
    [anon_sym_baremodule] = ACTIONS(10327),
    [anon_sym_end] = ACTIONS(10327),
    [anon_sym_abstract] = ACTIONS(10327),
    [anon_sym_primitive] = ACTIONS(10327),
    [anon_sym_mutable] = ACTIONS(10327),
    [anon_sym_struct] = ACTIONS(10327),
    [anon_sym_function] = ACTIONS(10327),
    [anon_sym_macro] = ACTIONS(10327),
    [anon_sym_quote] = ACTIONS(10327),
    [anon_sym_let] = ACTIONS(10327),
    [anon_sym_if] = ACTIONS(10327),
    [anon_sym_try] = ACTIONS(10327),
    [anon_sym_for] = ACTIONS(10327),
    [anon_sym_while] = ACTIONS(10327),
    [sym_break_statement] = ACTIONS(10327),
    [sym_continue_statement] = ACTIONS(10327),
    [anon_sym_return] = ACTIONS(10327),
    [anon_sym_const] = ACTIONS(10327),
    [anon_sym_global] = ACTIONS(10327),
    [anon_sym_local] = ACTIONS(10327),
    [anon_sym_LPAREN] = ACTIONS(10327),
    [anon_sym_export] = ACTIONS(10327),
    [anon_sym_public] = ACTIONS(10327),
    [anon_sym_import] = ACTIONS(10327),
    [anon_sym_using] = ACTIONS(10327),
    [anon_sym_LBRACK] = ACTIONS(10327),
    [anon_sym_SEMI] = ACTIONS(10327),
    [anon_sym_LBRACE] = ACTIONS(10327),
    [anon_sym_DOLLAR] = ACTIONS(10327),
    [anon_sym_COLON2] = ACTIONS(10327),
    [anon_sym_COLON_COLON] = ACTIONS(10327),
    [anon_sym_AT] = ACTIONS(10327),
    [anon_sym_true] = ACTIONS(10327),
    [anon_sym_false] = ACTIONS(10327),
    [aux_sym_integer_literal_token1] = ACTIONS(10327),
    [aux_sym_integer_literal_token2] = ACTIONS(10327),
    [aux_sym_integer_literal_token3] = ACTIONS(10327),
    [aux_sym_integer_literal_token4] = ACTIONS(10327),
    [aux_sym_float_literal_token1] = ACTIONS(10327),
    [aux_sym_float_literal_token3] = ACTIONS(10327),
    [aux_sym_float_literal_token4] = ACTIONS(10327),
    [sym_character_literal] = ACTIONS(10327),
    [anon_sym_DQUOTE] = ACTIONS(10327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE] = ACTIONS(10327),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10327),
    [sym__pair_operator] = ACTIONS(10327),
    [sym__arrow_operator] = ACTIONS(10327),
    [sym__comparison_operator] = ACTIONS(10327),
    [sym__pipe_right_operator] = ACTIONS(10327),
    [sym__pipe_left_operator] = ACTIONS(10327),
    [sym__ellipsis_operator] = ACTIONS(10327),
    [sym__plus_operator] = ACTIONS(10327),
    [sym__times_operator] = ACTIONS(10327),
    [sym__rational_operator] = ACTIONS(10327),
    [sym__bitshift_operator] = ACTIONS(10327),
    [sym__power_operator] = ACTIONS(10327),
    [sym__tilde_operator] = ACTIONS(10327),
    [sym__type_order_operator] = ACTIONS(10327),
    [sym__unary_operator] = ACTIONS(10327),
    [sym__unary_plus_operator] = ACTIONS(10327),
    [aux_sym__terminator_token1] = ACTIONS(10329),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10059] = {
    [sym_block_comment] = STATE(10059),
    [sym_line_comment] = STATE(10059),
    [sym__word_identifier] = ACTIONS(10385),
    [anon_sym_begin] = ACTIONS(10385),
    [anon_sym_module] = ACTIONS(10385),
    [anon_sym_baremodule] = ACTIONS(10385),
    [anon_sym_end] = ACTIONS(10385),
    [anon_sym_abstract] = ACTIONS(10385),
    [anon_sym_primitive] = ACTIONS(10385),
    [anon_sym_mutable] = ACTIONS(10385),
    [anon_sym_struct] = ACTIONS(10385),
    [anon_sym_function] = ACTIONS(10385),
    [anon_sym_macro] = ACTIONS(10385),
    [anon_sym_quote] = ACTIONS(10385),
    [anon_sym_let] = ACTIONS(10385),
    [anon_sym_if] = ACTIONS(10385),
    [anon_sym_try] = ACTIONS(10385),
    [anon_sym_for] = ACTIONS(10385),
    [anon_sym_while] = ACTIONS(10385),
    [sym_break_statement] = ACTIONS(10385),
    [sym_continue_statement] = ACTIONS(10385),
    [anon_sym_return] = ACTIONS(10385),
    [anon_sym_const] = ACTIONS(10385),
    [anon_sym_global] = ACTIONS(10385),
    [anon_sym_local] = ACTIONS(10385),
    [anon_sym_LPAREN] = ACTIONS(10385),
    [anon_sym_export] = ACTIONS(10385),
    [anon_sym_public] = ACTIONS(10385),
    [anon_sym_import] = ACTIONS(10385),
    [anon_sym_using] = ACTIONS(10385),
    [anon_sym_LBRACK] = ACTIONS(10385),
    [anon_sym_SEMI] = ACTIONS(10385),
    [anon_sym_LBRACE] = ACTIONS(10385),
    [anon_sym_DOLLAR] = ACTIONS(10385),
    [anon_sym_COLON2] = ACTIONS(10385),
    [anon_sym_COLON_COLON] = ACTIONS(10385),
    [anon_sym_AT] = ACTIONS(10385),
    [anon_sym_true] = ACTIONS(10385),
    [anon_sym_false] = ACTIONS(10385),
    [aux_sym_integer_literal_token1] = ACTIONS(10385),
    [aux_sym_integer_literal_token2] = ACTIONS(10385),
    [aux_sym_integer_literal_token3] = ACTIONS(10385),
    [aux_sym_integer_literal_token4] = ACTIONS(10385),
    [aux_sym_float_literal_token1] = ACTIONS(10385),
    [aux_sym_float_literal_token3] = ACTIONS(10385),
    [aux_sym_float_literal_token4] = ACTIONS(10385),
    [sym_character_literal] = ACTIONS(10385),
    [anon_sym_DQUOTE] = ACTIONS(10385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE] = ACTIONS(10385),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10385),
    [sym__pair_operator] = ACTIONS(10385),
    [sym__arrow_operator] = ACTIONS(10385),
    [sym__comparison_operator] = ACTIONS(10385),
    [sym__pipe_right_operator] = ACTIONS(10385),
    [sym__pipe_left_operator] = ACTIONS(10385),
    [sym__ellipsis_operator] = ACTIONS(10385),
    [sym__plus_operator] = ACTIONS(10385),
    [sym__times_operator] = ACTIONS(10385),
    [sym__rational_operator] = ACTIONS(10385),
    [sym__bitshift_operator] = ACTIONS(10385),
    [sym__power_operator] = ACTIONS(10385),
    [sym__tilde_operator] = ACTIONS(10385),
    [sym__type_order_operator] = ACTIONS(10385),
    [sym__unary_operator] = ACTIONS(10385),
    [sym__unary_plus_operator] = ACTIONS(10385),
    [aux_sym__terminator_token1] = ACTIONS(10387),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10060] = {
    [sym_block_comment] = STATE(10060),
    [sym_line_comment] = STATE(10060),
    [aux_sym__terminator_repeat1] = STATE(10060),
    [sym__word_identifier] = ACTIONS(13205),
    [anon_sym_begin] = ACTIONS(13205),
    [anon_sym_module] = ACTIONS(13205),
    [anon_sym_baremodule] = ACTIONS(13205),
    [anon_sym_end] = ACTIONS(13205),
    [anon_sym_abstract] = ACTIONS(13205),
    [anon_sym_primitive] = ACTIONS(13205),
    [anon_sym_mutable] = ACTIONS(13205),
    [anon_sym_struct] = ACTIONS(13205),
    [anon_sym_function] = ACTIONS(13205),
    [anon_sym_macro] = ACTIONS(13205),
    [anon_sym_quote] = ACTIONS(13205),
    [anon_sym_let] = ACTIONS(13205),
    [anon_sym_if] = ACTIONS(13205),
    [anon_sym_try] = ACTIONS(13205),
    [anon_sym_for] = ACTIONS(13205),
    [anon_sym_while] = ACTIONS(13205),
    [sym_break_statement] = ACTIONS(13205),
    [sym_continue_statement] = ACTIONS(13205),
    [anon_sym_return] = ACTIONS(13205),
    [anon_sym_const] = ACTIONS(13205),
    [anon_sym_global] = ACTIONS(13205),
    [anon_sym_local] = ACTIONS(13205),
    [anon_sym_LPAREN] = ACTIONS(13207),
    [anon_sym_export] = ACTIONS(13205),
    [anon_sym_public] = ACTIONS(13205),
    [anon_sym_import] = ACTIONS(13205),
    [anon_sym_using] = ACTIONS(13205),
    [anon_sym_LBRACK] = ACTIONS(13207),
    [anon_sym_LBRACE] = ACTIONS(13207),
    [anon_sym_DOLLAR] = ACTIONS(13207),
    [anon_sym_COLON2] = ACTIONS(13205),
    [anon_sym_COLON_COLON] = ACTIONS(13207),
    [anon_sym_AT] = ACTIONS(13207),
    [anon_sym_true] = ACTIONS(13205),
    [anon_sym_false] = ACTIONS(13205),
    [aux_sym_integer_literal_token1] = ACTIONS(13207),
    [aux_sym_integer_literal_token2] = ACTIONS(13207),
    [aux_sym_integer_literal_token3] = ACTIONS(13205),
    [aux_sym_integer_literal_token4] = ACTIONS(13205),
    [aux_sym_float_literal_token1] = ACTIONS(13207),
    [aux_sym_float_literal_token3] = ACTIONS(13207),
    [aux_sym_float_literal_token4] = ACTIONS(13207),
    [sym_character_literal] = ACTIONS(13207),
    [anon_sym_DQUOTE] = ACTIONS(13205),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13207),
    [anon_sym_BQUOTE] = ACTIONS(13205),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13207),
    [sym__pair_operator] = ACTIONS(13207),
    [sym__arrow_operator] = ACTIONS(13205),
    [sym__comparison_operator] = ACTIONS(13205),
    [sym__pipe_right_operator] = ACTIONS(13207),
    [sym__pipe_left_operator] = ACTIONS(13207),
    [sym__ellipsis_operator] = ACTIONS(13207),
    [sym__plus_operator] = ACTIONS(13205),
    [sym__times_operator] = ACTIONS(13205),
    [sym__rational_operator] = ACTIONS(13207),
    [sym__bitshift_operator] = ACTIONS(13207),
    [sym__power_operator] = ACTIONS(13207),
    [sym__tilde_operator] = ACTIONS(13207),
    [sym__type_order_operator] = ACTIONS(13207),
    [sym__unary_operator] = ACTIONS(13205),
    [sym__unary_plus_operator] = ACTIONS(13205),
    [anon_sym_SEMI2] = ACTIONS(13256),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10061] = {
    [sym_block_comment] = STATE(10061),
    [sym_line_comment] = STATE(10061),
    [sym__word_identifier] = ACTIONS(10291),
    [anon_sym_begin] = ACTIONS(10291),
    [anon_sym_module] = ACTIONS(10291),
    [anon_sym_baremodule] = ACTIONS(10291),
    [anon_sym_end] = ACTIONS(10291),
    [anon_sym_abstract] = ACTIONS(10291),
    [anon_sym_primitive] = ACTIONS(10291),
    [anon_sym_mutable] = ACTIONS(10291),
    [anon_sym_struct] = ACTIONS(10291),
    [anon_sym_function] = ACTIONS(10291),
    [anon_sym_macro] = ACTIONS(10291),
    [anon_sym_quote] = ACTIONS(10291),
    [anon_sym_let] = ACTIONS(10291),
    [anon_sym_if] = ACTIONS(10291),
    [anon_sym_try] = ACTIONS(10291),
    [anon_sym_for] = ACTIONS(10291),
    [anon_sym_while] = ACTIONS(10291),
    [sym_break_statement] = ACTIONS(10291),
    [sym_continue_statement] = ACTIONS(10291),
    [anon_sym_return] = ACTIONS(10291),
    [anon_sym_const] = ACTIONS(10291),
    [anon_sym_global] = ACTIONS(10291),
    [anon_sym_local] = ACTIONS(10291),
    [anon_sym_LPAREN] = ACTIONS(10291),
    [anon_sym_export] = ACTIONS(10291),
    [anon_sym_public] = ACTIONS(10291),
    [anon_sym_import] = ACTIONS(10291),
    [anon_sym_using] = ACTIONS(10291),
    [anon_sym_LBRACK] = ACTIONS(10291),
    [anon_sym_SEMI] = ACTIONS(10291),
    [anon_sym_LBRACE] = ACTIONS(10291),
    [anon_sym_DOLLAR] = ACTIONS(10291),
    [anon_sym_COLON2] = ACTIONS(10291),
    [anon_sym_COLON_COLON] = ACTIONS(10291),
    [anon_sym_AT] = ACTIONS(10291),
    [anon_sym_true] = ACTIONS(10291),
    [anon_sym_false] = ACTIONS(10291),
    [aux_sym_integer_literal_token1] = ACTIONS(10291),
    [aux_sym_integer_literal_token2] = ACTIONS(10291),
    [aux_sym_integer_literal_token3] = ACTIONS(10291),
    [aux_sym_integer_literal_token4] = ACTIONS(10291),
    [aux_sym_float_literal_token1] = ACTIONS(10291),
    [aux_sym_float_literal_token3] = ACTIONS(10291),
    [aux_sym_float_literal_token4] = ACTIONS(10291),
    [sym_character_literal] = ACTIONS(10291),
    [anon_sym_DQUOTE] = ACTIONS(10291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE] = ACTIONS(10291),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10291),
    [sym__pair_operator] = ACTIONS(10291),
    [sym__arrow_operator] = ACTIONS(10291),
    [sym__comparison_operator] = ACTIONS(10291),
    [sym__pipe_right_operator] = ACTIONS(10291),
    [sym__pipe_left_operator] = ACTIONS(10291),
    [sym__ellipsis_operator] = ACTIONS(10291),
    [sym__plus_operator] = ACTIONS(10291),
    [sym__times_operator] = ACTIONS(10291),
    [sym__rational_operator] = ACTIONS(10291),
    [sym__bitshift_operator] = ACTIONS(10291),
    [sym__power_operator] = ACTIONS(10291),
    [sym__tilde_operator] = ACTIONS(10291),
    [sym__type_order_operator] = ACTIONS(10291),
    [sym__unary_operator] = ACTIONS(10291),
    [sym__unary_plus_operator] = ACTIONS(10291),
    [aux_sym__terminator_token1] = ACTIONS(10293),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10062] = {
    [sym_block_comment] = STATE(10062),
    [sym_line_comment] = STATE(10062),
    [sym__word_identifier] = ACTIONS(10417),
    [anon_sym_begin] = ACTIONS(10417),
    [anon_sym_module] = ACTIONS(10417),
    [anon_sym_baremodule] = ACTIONS(10417),
    [anon_sym_end] = ACTIONS(10417),
    [anon_sym_abstract] = ACTIONS(10417),
    [anon_sym_primitive] = ACTIONS(10417),
    [anon_sym_mutable] = ACTIONS(10417),
    [anon_sym_struct] = ACTIONS(10417),
    [anon_sym_function] = ACTIONS(10417),
    [anon_sym_macro] = ACTIONS(10417),
    [anon_sym_quote] = ACTIONS(10417),
    [anon_sym_let] = ACTIONS(10417),
    [anon_sym_if] = ACTIONS(10417),
    [anon_sym_try] = ACTIONS(10417),
    [anon_sym_for] = ACTIONS(10417),
    [anon_sym_while] = ACTIONS(10417),
    [sym_break_statement] = ACTIONS(10417),
    [sym_continue_statement] = ACTIONS(10417),
    [anon_sym_return] = ACTIONS(10417),
    [anon_sym_const] = ACTIONS(10417),
    [anon_sym_global] = ACTIONS(10417),
    [anon_sym_local] = ACTIONS(10417),
    [anon_sym_LPAREN] = ACTIONS(10417),
    [anon_sym_export] = ACTIONS(10417),
    [anon_sym_public] = ACTIONS(10417),
    [anon_sym_import] = ACTIONS(10417),
    [anon_sym_using] = ACTIONS(10417),
    [anon_sym_LBRACK] = ACTIONS(10417),
    [anon_sym_SEMI] = ACTIONS(10417),
    [anon_sym_LBRACE] = ACTIONS(10417),
    [anon_sym_DOLLAR] = ACTIONS(10417),
    [anon_sym_COLON2] = ACTIONS(10417),
    [anon_sym_COLON_COLON] = ACTIONS(10417),
    [anon_sym_AT] = ACTIONS(10417),
    [anon_sym_true] = ACTIONS(10417),
    [anon_sym_false] = ACTIONS(10417),
    [aux_sym_integer_literal_token1] = ACTIONS(10417),
    [aux_sym_integer_literal_token2] = ACTIONS(10417),
    [aux_sym_integer_literal_token3] = ACTIONS(10417),
    [aux_sym_integer_literal_token4] = ACTIONS(10417),
    [aux_sym_float_literal_token1] = ACTIONS(10417),
    [aux_sym_float_literal_token3] = ACTIONS(10417),
    [aux_sym_float_literal_token4] = ACTIONS(10417),
    [sym_character_literal] = ACTIONS(10417),
    [anon_sym_DQUOTE] = ACTIONS(10417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE] = ACTIONS(10417),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10417),
    [sym__pair_operator] = ACTIONS(10417),
    [sym__arrow_operator] = ACTIONS(10417),
    [sym__comparison_operator] = ACTIONS(10417),
    [sym__pipe_right_operator] = ACTIONS(10417),
    [sym__pipe_left_operator] = ACTIONS(10417),
    [sym__ellipsis_operator] = ACTIONS(10417),
    [sym__plus_operator] = ACTIONS(10417),
    [sym__times_operator] = ACTIONS(10417),
    [sym__rational_operator] = ACTIONS(10417),
    [sym__bitshift_operator] = ACTIONS(10417),
    [sym__power_operator] = ACTIONS(10417),
    [sym__tilde_operator] = ACTIONS(10417),
    [sym__type_order_operator] = ACTIONS(10417),
    [sym__unary_operator] = ACTIONS(10417),
    [sym__unary_plus_operator] = ACTIONS(10417),
    [aux_sym__terminator_token1] = ACTIONS(10419),
    [aux_sym_block_comment_token1] = ACTIONS(187),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10063] = {
    [sym_block_comment] = STATE(10063),
    [sym_line_comment] = STATE(10063),
    [sym__word_identifier] = ACTIONS(13225),
    [anon_sym_begin] = ACTIONS(13225),
    [anon_sym_module] = ACTIONS(13225),
    [anon_sym_baremodule] = ACTIONS(13225),
    [anon_sym_end] = ACTIONS(13225),
    [anon_sym_abstract] = ACTIONS(13225),
    [anon_sym_primitive] = ACTIONS(13225),
    [anon_sym_mutable] = ACTIONS(13225),
    [anon_sym_struct] = ACTIONS(13225),
    [anon_sym_function] = ACTIONS(13225),
    [anon_sym_macro] = ACTIONS(13225),
    [anon_sym_quote] = ACTIONS(13225),
    [anon_sym_let] = ACTIONS(13225),
    [anon_sym_if] = ACTIONS(13225),
    [anon_sym_try] = ACTIONS(13225),
    [anon_sym_for] = ACTIONS(13225),
    [anon_sym_while] = ACTIONS(13225),
    [sym_break_statement] = ACTIONS(13225),
    [sym_continue_statement] = ACTIONS(13225),
    [anon_sym_return] = ACTIONS(13225),
    [anon_sym_const] = ACTIONS(13225),
    [anon_sym_global] = ACTIONS(13225),
    [anon_sym_local] = ACTIONS(13225),
    [anon_sym_LPAREN] = ACTIONS(13227),
    [anon_sym_export] = ACTIONS(13225),
    [anon_sym_public] = ACTIONS(13225),
    [anon_sym_import] = ACTIONS(13225),
    [anon_sym_using] = ACTIONS(13225),
    [anon_sym_LBRACK] = ACTIONS(13227),
    [anon_sym_LBRACE] = ACTIONS(13227),
    [anon_sym_DOLLAR] = ACTIONS(13227),
    [anon_sym_COLON2] = ACTIONS(13225),
    [anon_sym_COLON_COLON] = ACTIONS(13227),
    [anon_sym_AT] = ACTIONS(13227),
    [anon_sym_true] = ACTIONS(13225),
    [anon_sym_false] = ACTIONS(13225),
    [aux_sym_integer_literal_token1] = ACTIONS(13227),
    [aux_sym_integer_literal_token2] = ACTIONS(13227),
    [aux_sym_integer_literal_token3] = ACTIONS(13225),
    [aux_sym_integer_literal_token4] = ACTIONS(13225),
    [aux_sym_float_literal_token1] = ACTIONS(13227),
    [aux_sym_float_literal_token3] = ACTIONS(13227),
    [aux_sym_float_literal_token4] = ACTIONS(13227),
    [sym_character_literal] = ACTIONS(13227),
    [anon_sym_DQUOTE] = ACTIONS(13225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13227),
    [anon_sym_BQUOTE] = ACTIONS(13225),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13227),
    [sym__pair_operator] = ACTIONS(13227),
    [sym__arrow_operator] = ACTIONS(13225),
    [sym__comparison_operator] = ACTIONS(13225),
    [sym__pipe_right_operator] = ACTIONS(13227),
    [sym__pipe_left_operator] = ACTIONS(13227),
    [sym__ellipsis_operator] = ACTIONS(13227),
    [sym__plus_operator] = ACTIONS(13225),
    [sym__times_operator] = ACTIONS(13225),
    [sym__rational_operator] = ACTIONS(13227),
    [sym__bitshift_operator] = ACTIONS(13227),
    [sym__power_operator] = ACTIONS(13227),
    [sym__tilde_operator] = ACTIONS(13227),
    [sym__type_order_operator] = ACTIONS(13227),
    [sym__unary_operator] = ACTIONS(13225),
    [sym__unary_plus_operator] = ACTIONS(13225),
    [anon_sym_SEMI2] = ACTIONS(13227),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10064] = {
    [sym_identifier] = STATE(11175),
    [sym_integer_literal] = STATE(10367),
    [sym_float_literal] = STATE(10367),
    [sym__string] = STATE(10367),
    [sym__delimiter_str_1] = STATE(15093),
    [sym__delimiter_str_3] = STATE(15094),
    [sym__delimiter_cmd_1] = STATE(15095),
    [sym__delimiter_cmd_3] = STATE(15101),
    [sym_string_literal] = STATE(10398),
    [sym_command_literal] = STATE(10398),
    [sym_prefixed_string_literal] = STATE(10398),
    [sym_prefixed_command_literal] = STATE(10398),
    [sym_operator] = STATE(10367),
    [sym__assignment_operator] = STATE(10367),
    [sym__syntactic_operator] = STATE(10367),
    [sym_block_comment] = STATE(10064),
    [sym_line_comment] = STATE(10064),
    [sym__word_identifier] = ACTIONS(13120),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(13122),
    [anon_sym_COLON2] = ACTIONS(13124),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_COLON_EQ] = ACTIONS(13126),
    [anon_sym_DOT_EQ] = ACTIONS(13128),
    [aux_sym_quote_expression_token1] = ACTIONS(13130),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13132),
    [anon_sym_QMARK] = ACTIONS(13132),
    [anon_sym_DASH_GT] = ACTIONS(13132),
    [anon_sym_where] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(13134),
    [aux_sym_integer_literal_token2] = ACTIONS(13134),
    [aux_sym_integer_literal_token3] = ACTIONS(13136),
    [aux_sym_integer_literal_token4] = ACTIONS(13138),
    [aux_sym_float_literal_token1] = ACTIONS(13140),
    [aux_sym_float_literal_token3] = ACTIONS(13140),
    [aux_sym_float_literal_token4] = ACTIONS(13140),
    [sym_character_literal] = ACTIONS(1683),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(13126),
    [aux_sym__assignment_operator_token1] = ACTIONS(13126),
    [sym__pair_operator] = ACTIONS(13142),
    [sym__arrow_operator] = ACTIONS(13124),
    [sym__lazy_or_operator] = ACTIONS(13144),
    [sym__lazy_and_operator] = ACTIONS(13144),
    [sym__comparison_operator] = ACTIONS(13124),
    [sym__pipe_right_operator] = ACTIONS(13142),
    [sym__pipe_left_operator] = ACTIONS(13142),
    [sym__ellipsis_operator] = ACTIONS(13124),
    [sym__plus_operator] = ACTIONS(13124),
    [sym__times_operator] = ACTIONS(13124),
    [sym__rational_operator] = ACTIONS(13124),
    [sym__bitshift_operator] = ACTIONS(13124),
    [sym__power_operator] = ACTIONS(13124),
    [sym__tilde_operator] = ACTIONS(13142),
    [sym__type_order_operator] = ACTIONS(13142),
    [sym__unary_operator] = ACTIONS(13124),
    [sym__unary_plus_operator] = ACTIONS(13124),
    [anon_sym_DOT2] = ACTIONS(13122),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(13146),
    [sym__immediate_bracket] = ACTIONS(13148),
    [sym__immediate_brace] = ACTIONS(13150),
  },
  [10065] = {
    [sym_identifier] = STATE(4785),
    [sym_integer_literal] = STATE(5310),
    [sym_float_literal] = STATE(5310),
    [sym__string] = STATE(5310),
    [sym__delimiter_str_1] = STATE(15122),
    [sym__delimiter_str_3] = STATE(15124),
    [sym__delimiter_cmd_1] = STATE(15129),
    [sym__delimiter_cmd_3] = STATE(15130),
    [sym_string_literal] = STATE(5432),
    [sym_command_literal] = STATE(5432),
    [sym_prefixed_string_literal] = STATE(5432),
    [sym_prefixed_command_literal] = STATE(5432),
    [sym_operator] = STATE(5310),
    [sym__assignment_operator] = STATE(5310),
    [sym__syntactic_operator] = STATE(5310),
    [sym_block_comment] = STATE(10065),
    [sym_line_comment] = STATE(10065),
    [sym__word_identifier] = ACTIONS(9853),
    [anon_sym_COLON] = ACTIONS(3222),
    [anon_sym_in] = ACTIONS(3222),
    [anon_sym_DOLLAR] = ACTIONS(9855),
    [anon_sym_COLON2] = ACTIONS(9857),
    [anon_sym_COLON_COLON] = ACTIONS(3226),
    [anon_sym_COLON_EQ] = ACTIONS(13259),
    [anon_sym_DOT_EQ] = ACTIONS(9859),
    [aux_sym_quote_expression_token1] = ACTIONS(9861),
    [anon_sym_isa] = ACTIONS(3222),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(13261),
    [anon_sym_QMARK] = ACTIONS(13261),
    [anon_sym_DASH_GT] = ACTIONS(13261),
    [anon_sym_where] = ACTIONS(3222),
    [aux_sym_integer_literal_token1] = ACTIONS(13263),
    [aux_sym_integer_literal_token2] = ACTIONS(13263),
    [aux_sym_integer_literal_token3] = ACTIONS(9863),
    [aux_sym_integer_literal_token4] = ACTIONS(9865),
    [aux_sym_float_literal_token1] = ACTIONS(13265),
    [aux_sym_float_literal_token3] = ACTIONS(13265),
    [aux_sym_float_literal_token4] = ACTIONS(13265),
    [sym_character_literal] = ACTIONS(7215),
    [anon_sym_DQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(85),
    [anon_sym_BQUOTE] = ACTIONS(87),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(89),
    [anon_sym_DOLLAR_EQ] = ACTIONS(13259),
    [aux_sym__assignment_operator_token1] = ACTIONS(13259),
    [sym__pair_operator] = ACTIONS(13267),
    [sym__arrow_operator] = ACTIONS(9857),
    [sym__lazy_or_operator] = ACTIONS(13269),
    [sym__lazy_and_operator] = ACTIONS(13269),
    [sym__comparison_operator] = ACTIONS(9857),
    [sym__pipe_right_operator] = ACTIONS(13267),
    [sym__pipe_left_operator] = ACTIONS(13267),
    [sym__ellipsis_operator] = ACTIONS(9857),
    [sym__plus_operator] = ACTIONS(9857),
    [sym__times_operator] = ACTIONS(9857),
    [sym__rational_operator] = ACTIONS(9857),
    [sym__bitshift_operator] = ACTIONS(9857),
    [sym__power_operator] = ACTIONS(9857),
    [sym__tilde_operator] = ACTIONS(13267),
    [sym__type_order_operator] = ACTIONS(13267),
    [sym__unary_operator] = ACTIONS(9857),
    [sym__unary_plus_operator] = ACTIONS(9857),
    [anon_sym_DOT2] = ACTIONS(9855),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
    [sym__immediate_paren] = ACTIONS(9869),
    [sym__immediate_bracket] = ACTIONS(9871),
    [sym__immediate_brace] = ACTIONS(9873),
  },
  [10066] = {
    [sym_block_comment] = STATE(10066),
    [sym_line_comment] = STATE(10066),
    [sym__word_identifier] = ACTIONS(13244),
    [anon_sym_begin] = ACTIONS(13244),
    [anon_sym_module] = ACTIONS(13244),
    [anon_sym_baremodule] = ACTIONS(13244),
    [anon_sym_end] = ACTIONS(13244),
    [anon_sym_abstract] = ACTIONS(13244),
    [anon_sym_primitive] = ACTIONS(13244),
    [anon_sym_mutable] = ACTIONS(13244),
    [anon_sym_struct] = ACTIONS(13244),
    [anon_sym_function] = ACTIONS(13244),
    [anon_sym_macro] = ACTIONS(13244),
    [anon_sym_quote] = ACTIONS(13244),
    [anon_sym_let] = ACTIONS(13244),
    [anon_sym_if] = ACTIONS(13244),
    [anon_sym_try] = ACTIONS(13244),
    [anon_sym_for] = ACTIONS(13244),
    [anon_sym_while] = ACTIONS(13244),
    [sym_break_statement] = ACTIONS(13244),
    [sym_continue_statement] = ACTIONS(13244),
    [anon_sym_return] = ACTIONS(13244),
    [anon_sym_const] = ACTIONS(13244),
    [anon_sym_global] = ACTIONS(13244),
    [anon_sym_local] = ACTIONS(13244),
    [anon_sym_LPAREN] = ACTIONS(13246),
    [anon_sym_export] = ACTIONS(13244),
    [anon_sym_public] = ACTIONS(13244),
    [anon_sym_import] = ACTIONS(13244),
    [anon_sym_using] = ACTIONS(13244),
    [anon_sym_LBRACK] = ACTIONS(13246),
    [anon_sym_LBRACE] = ACTIONS(13246),
    [anon_sym_DOLLAR] = ACTIONS(13246),
    [anon_sym_COLON2] = ACTIONS(13244),
    [anon_sym_COLON_COLON] = ACTIONS(13246),
    [anon_sym_AT] = ACTIONS(13246),
    [anon_sym_true] = ACTIONS(13244),
    [anon_sym_false] = ACTIONS(13244),
    [aux_sym_integer_literal_token1] = ACTIONS(13246),
    [aux_sym_integer_literal_token2] = ACTIONS(13246),
    [aux_sym_integer_literal_token3] = ACTIONS(13244),
    [aux_sym_integer_literal_token4] = ACTIONS(13244),
    [aux_sym_float_literal_token1] = ACTIONS(13246),
    [aux_sym_float_literal_token3] = ACTIONS(13246),
    [aux_sym_float_literal_token4] = ACTIONS(13246),
    [sym_character_literal] = ACTIONS(13246),
    [anon_sym_DQUOTE] = ACTIONS(13244),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13246),
    [anon_sym_BQUOTE] = ACTIONS(13244),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13246),
    [sym__pair_operator] = ACTIONS(13246),
    [sym__arrow_operator] = ACTIONS(13244),
    [sym__comparison_operator] = ACTIONS(13244),
    [sym__pipe_right_operator] = ACTIONS(13246),
    [sym__pipe_left_operator] = ACTIONS(13246),
    [sym__ellipsis_operator] = ACTIONS(13246),
    [sym__plus_operator] = ACTIONS(13244),
    [sym__times_operator] = ACTIONS(13244),
    [sym__rational_operator] = ACTIONS(13246),
    [sym__bitshift_operator] = ACTIONS(13246),
    [sym__power_operator] = ACTIONS(13246),
    [sym__tilde_operator] = ACTIONS(13246),
    [sym__type_order_operator] = ACTIONS(13246),
    [sym__unary_operator] = ACTIONS(13244),
    [sym__unary_plus_operator] = ACTIONS(13244),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10067] = {
    [sym_block_comment] = STATE(10067),
    [sym_line_comment] = STATE(10067),
    [sym__word_identifier] = ACTIONS(13252),
    [anon_sym_begin] = ACTIONS(13252),
    [anon_sym_module] = ACTIONS(13252),
    [anon_sym_baremodule] = ACTIONS(13252),
    [anon_sym_end] = ACTIONS(13252),
    [anon_sym_abstract] = ACTIONS(13252),
    [anon_sym_primitive] = ACTIONS(13252),
    [anon_sym_mutable] = ACTIONS(13252),
    [anon_sym_struct] = ACTIONS(13252),
    [anon_sym_function] = ACTIONS(13252),
    [anon_sym_macro] = ACTIONS(13252),
    [anon_sym_quote] = ACTIONS(13252),
    [anon_sym_let] = ACTIONS(13252),
    [anon_sym_if] = ACTIONS(13252),
    [anon_sym_try] = ACTIONS(13252),
    [anon_sym_for] = ACTIONS(13252),
    [anon_sym_while] = ACTIONS(13252),
    [sym_break_statement] = ACTIONS(13252),
    [sym_continue_statement] = ACTIONS(13252),
    [anon_sym_return] = ACTIONS(13252),
    [anon_sym_const] = ACTIONS(13252),
    [anon_sym_global] = ACTIONS(13252),
    [anon_sym_local] = ACTIONS(13252),
    [anon_sym_LPAREN] = ACTIONS(13254),
    [anon_sym_export] = ACTIONS(13252),
    [anon_sym_public] = ACTIONS(13252),
    [anon_sym_import] = ACTIONS(13252),
    [anon_sym_using] = ACTIONS(13252),
    [anon_sym_LBRACK] = ACTIONS(13254),
    [anon_sym_LBRACE] = ACTIONS(13254),
    [anon_sym_DOLLAR] = ACTIONS(13254),
    [anon_sym_COLON2] = ACTIONS(13252),
    [anon_sym_COLON_COLON] = ACTIONS(13254),
    [anon_sym_AT] = ACTIONS(13254),
    [anon_sym_true] = ACTIONS(13252),
    [anon_sym_false] = ACTIONS(13252),
    [aux_sym_integer_literal_token1] = ACTIONS(13254),
    [aux_sym_integer_literal_token2] = ACTIONS(13254),
    [aux_sym_integer_literal_token3] = ACTIONS(13252),
    [aux_sym_integer_literal_token4] = ACTIONS(13252),
    [aux_sym_float_literal_token1] = ACTIONS(13254),
    [aux_sym_float_literal_token3] = ACTIONS(13254),
    [aux_sym_float_literal_token4] = ACTIONS(13254),
    [sym_character_literal] = ACTIONS(13254),
    [anon_sym_DQUOTE] = ACTIONS(13252),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13254),
    [anon_sym_BQUOTE] = ACTIONS(13252),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13254),
    [sym__pair_operator] = ACTIONS(13254),
    [sym__arrow_operator] = ACTIONS(13252),
    [sym__comparison_operator] = ACTIONS(13252),
    [sym__pipe_right_operator] = ACTIONS(13254),
    [sym__pipe_left_operator] = ACTIONS(13254),
    [sym__ellipsis_operator] = ACTIONS(13254),
    [sym__plus_operator] = ACTIONS(13252),
    [sym__times_operator] = ACTIONS(13252),
    [sym__rational_operator] = ACTIONS(13254),
    [sym__bitshift_operator] = ACTIONS(13254),
    [sym__power_operator] = ACTIONS(13254),
    [sym__tilde_operator] = ACTIONS(13254),
    [sym__type_order_operator] = ACTIONS(13254),
    [sym__unary_operator] = ACTIONS(13252),
    [sym__unary_plus_operator] = ACTIONS(13252),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10068] = {
    [sym_block_comment] = STATE(10068),
    [sym_line_comment] = STATE(10068),
    [sym__word_identifier] = ACTIONS(13240),
    [anon_sym_begin] = ACTIONS(13240),
    [anon_sym_module] = ACTIONS(13240),
    [anon_sym_baremodule] = ACTIONS(13240),
    [anon_sym_end] = ACTIONS(13240),
    [anon_sym_abstract] = ACTIONS(13240),
    [anon_sym_primitive] = ACTIONS(13240),
    [anon_sym_mutable] = ACTIONS(13240),
    [anon_sym_struct] = ACTIONS(13240),
    [anon_sym_function] = ACTIONS(13240),
    [anon_sym_macro] = ACTIONS(13240),
    [anon_sym_quote] = ACTIONS(13240),
    [anon_sym_let] = ACTIONS(13240),
    [anon_sym_if] = ACTIONS(13240),
    [anon_sym_try] = ACTIONS(13240),
    [anon_sym_for] = ACTIONS(13240),
    [anon_sym_while] = ACTIONS(13240),
    [sym_break_statement] = ACTIONS(13240),
    [sym_continue_statement] = ACTIONS(13240),
    [anon_sym_return] = ACTIONS(13240),
    [anon_sym_const] = ACTIONS(13240),
    [anon_sym_global] = ACTIONS(13240),
    [anon_sym_local] = ACTIONS(13240),
    [anon_sym_LPAREN] = ACTIONS(13242),
    [anon_sym_export] = ACTIONS(13240),
    [anon_sym_public] = ACTIONS(13240),
    [anon_sym_import] = ACTIONS(13240),
    [anon_sym_using] = ACTIONS(13240),
    [anon_sym_LBRACK] = ACTIONS(13242),
    [anon_sym_LBRACE] = ACTIONS(13242),
    [anon_sym_DOLLAR] = ACTIONS(13242),
    [anon_sym_COLON2] = ACTIONS(13240),
    [anon_sym_COLON_COLON] = ACTIONS(13242),
    [anon_sym_AT] = ACTIONS(13242),
    [anon_sym_true] = ACTIONS(13240),
    [anon_sym_false] = ACTIONS(13240),
    [aux_sym_integer_literal_token1] = ACTIONS(13242),
    [aux_sym_integer_literal_token2] = ACTIONS(13242),
    [aux_sym_integer_literal_token3] = ACTIONS(13240),
    [aux_sym_integer_literal_token4] = ACTIONS(13240),
    [aux_sym_float_literal_token1] = ACTIONS(13242),
    [aux_sym_float_literal_token3] = ACTIONS(13242),
    [aux_sym_float_literal_token4] = ACTIONS(13242),
    [sym_character_literal] = ACTIONS(13242),
    [anon_sym_DQUOTE] = ACTIONS(13240),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(13242),
    [anon_sym_BQUOTE] = ACTIONS(13240),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(13242),
    [sym__pair_operator] = ACTIONS(13242),
    [sym__arrow_operator] = ACTIONS(13240),
    [sym__comparison_operator] = ACTIONS(13240),
    [sym__pipe_right_operator] = ACTIONS(13242),
    [sym__pipe_left_operator] = ACTIONS(13242),
    [sym__ellipsis_operator] = ACTIONS(13242),
    [sym__plus_operator] = ACTIONS(13240),
    [sym__times_operator] = ACTIONS(13240),
    [sym__rational_operator] = ACTIONS(13242),
    [sym__bitshift_operator] = ACTIONS(13242),
    [sym__power_operator] = ACTIONS(13242),
    [sym__tilde_operator] = ACTIONS(13242),
    [sym__type_order_operator] = ACTIONS(13242),
    [sym__unary_operator] = ACTIONS(13240),
    [sym__unary_plus_operator] = ACTIONS(13240),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
  [10069] = {
    [sym_block_comment] = STATE(10069),
    [sym_line_comment] = STATE(10069),
    [sym__word_identifier] = ACTIONS(10277),
    [anon_sym_begin] = ACTIONS(10277),
    [anon_sym_module] = ACTIONS(10277),
    [anon_sym_baremodule] = ACTIONS(10277),
    [anon_sym_abstract] = ACTIONS(10277),
    [anon_sym_primitive] = ACTIONS(10277),
    [anon_sym_mutable] = ACTIONS(10277),
    [anon_sym_struct] = ACTIONS(10277),
    [anon_sym_function] = ACTIONS(10277),
    [anon_sym_macro] = ACTIONS(10277),
    [anon_sym_quote] = ACTIONS(10277),
    [anon_sym_let] = ACTIONS(10277),
    [anon_sym_if] = ACTIONS(10277),
    [anon_sym_try] = ACTIONS(10277),
    [anon_sym_for] = ACTIONS(10277),
    [anon_sym_while] = ACTIONS(10277),
    [sym_break_statement] = ACTIONS(10277),
    [sym_continue_statement] = ACTIONS(10277),
    [anon_sym_return] = ACTIONS(10277),
    [anon_sym_const] = ACTIONS(10277),
    [anon_sym_global] = ACTIONS(10277),
    [anon_sym_local] = ACTIONS(10277),
    [anon_sym_LPAREN] = ACTIONS(10279),
    [anon_sym_RPAREN] = ACTIONS(10279),
    [anon_sym_export] = ACTIONS(10277),
    [anon_sym_public] = ACTIONS(10277),
    [anon_sym_import] = ACTIONS(10277),
    [anon_sym_using] = ACTIONS(10277),
    [anon_sym_LBRACK] = ACTIONS(10279),
    [anon_sym_LBRACE] = ACTIONS(10279),
    [anon_sym_DOLLAR] = ACTIONS(10279),
    [anon_sym_COLON2] = ACTIONS(10277),
    [anon_sym_COLON_COLON] = ACTIONS(10279),
    [anon_sym_AT] = ACTIONS(10279),
    [anon_sym_true] = ACTIONS(10277),
    [anon_sym_false] = ACTIONS(10277),
    [aux_sym_integer_literal_token1] = ACTIONS(10279),
    [aux_sym_integer_literal_token2] = ACTIONS(10279),
    [aux_sym_integer_literal_token3] = ACTIONS(10277),
    [aux_sym_integer_literal_token4] = ACTIONS(10277),
    [aux_sym_float_literal_token1] = ACTIONS(10279),
    [aux_sym_float_literal_token3] = ACTIONS(10279),
    [aux_sym_float_literal_token4] = ACTIONS(10279),
    [sym_character_literal] = ACTIONS(10279),
    [anon_sym_DQUOTE] = ACTIONS(10277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(10279),
    [anon_sym_BQUOTE] = ACTIONS(10277),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(10279),
    [sym__pair_operator] = ACTIONS(10279),
    [sym__arrow_operator] = ACTIONS(10277),
    [sym__comparison_operator] = ACTIONS(10277),
    [sym__pipe_right_operator] = ACTIONS(10279),
    [sym__pipe_left_operator] = ACTIONS(10279),
    [sym__ellipsis_operator] = ACTIONS(10279),
    [sym__plus_operator] = ACTIONS(10277),
    [sym__times_operator] = ACTIONS(10277),
    [sym__rational_operator] = ACTIONS(10279),
    [sym__bitshift_operator] = ACTIONS(10279),
    [sym__power_operator] = ACTIONS(10279),
    [sym__tilde_operator] = ACTIONS(10279),
    [sym__type_order_operator] = ACTIONS(10279),
    [sym__unary_operator] = ACTIONS(10277),
    [sym__unary_plus_operator] = ACTIONS(10277),
    [aux_sym_block_comment_token1] = ACTIONS(3),
    [aux_sym_line_comment_token1] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13271), 1,
      anon_sym_RPAREN,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10070), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [125] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13275), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10071), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [250] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13277), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10072), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [375] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13279), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10073), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [500] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13281), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10074), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [625] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13283), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10075), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [750] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13285), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10076), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [875] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13287), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10077), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [1000] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13289), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10078), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [1125] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13291), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10079), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [1250] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13293), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10080), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [1375] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13295), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10081), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [1500] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13297), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10082), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [1625] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13299), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10083), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [1750] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13301), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10084), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [1875] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13303), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10085), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [2000] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13305), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10086), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [2125] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13307), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10087), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [2250] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13309), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10088), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [2375] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13311), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10089), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [2500] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13313), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10090), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [2625] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13315), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10091), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [2750] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13317), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10092), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [2875] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13319), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10093), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [3000] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13321), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10094), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [3125] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13323), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10095), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [3250] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13325), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10096), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [3375] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13327), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10097), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [3500] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13329), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10098), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [3625] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13331), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10099), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [3750] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13333), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10100), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [3875] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13335), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10101), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [4000] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13337), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10102), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [4125] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13339), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10103), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [4250] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13341), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10104), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [4375] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13343), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10105), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [4500] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13345), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10106), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [4625] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13347), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10107), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [4750] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13349), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10108), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [4875] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13351), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10109), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [5000] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13353), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10110), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [5125] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13355), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10111), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [5250] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13357), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10112), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [5375] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13359), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10113), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [5500] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13361), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10114), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [5625] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13363), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10115), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [5750] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13365), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10116), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [5875] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13367), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10117), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [6000] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13369), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10118), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [6125] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13371), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10119), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [6250] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13373), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10120), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [6375] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13375), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10121), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [6500] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13377), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10122), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [6625] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13379), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10123), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [6750] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13381), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10124), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [6875] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13383), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10125), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [7000] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13385), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10126), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [7125] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13387), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10127), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [7250] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13389), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10128), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [7375] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    ACTIONS(13391), 1,
      anon_sym_RPAREN,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10129), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [7500] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13393), 1,
      sym__word_identifier,
    ACTIONS(13401), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13403), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13409), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13411), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13415), 1,
      sym_character_literal,
    ACTIONS(13421), 1,
      sym__immediate_paren,
    ACTIONS(13423), 1,
      sym__immediate_bracket,
    ACTIONS(13425), 1,
      sym__immediate_brace,
    STATE(5619), 1,
      sym_identifier,
    STATE(14954), 1,
      sym__delimiter_str_1,
    STATE(14956), 1,
      sym__delimiter_str_3,
    STATE(14957), 1,
      sym__delimiter_cmd_1,
    STATE(14958), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13395), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13407), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13419), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10130), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13399), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13405), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13413), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6470), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13417), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6433), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13397), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [7626] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13427), 1,
      sym__word_identifier,
    ACTIONS(13429), 1,
      anon_sym_LPAREN,
    ACTIONS(13431), 1,
      anon_sym_LBRACK,
    ACTIONS(13433), 1,
      anon_sym_LBRACE,
    ACTIONS(13435), 1,
      anon_sym_DOLLAR,
    ACTIONS(13437), 1,
      anon_sym_COLON2,
    ACTIONS(13441), 1,
      sym_character_literal,
    STATE(5422), 1,
      sym_identifier,
    STATE(6356), 1,
      sym__primary_expression,
    STATE(15249), 1,
      sym__delimiter_str_1,
    STATE(15251), 1,
      sym__delimiter_str_3,
    STATE(15252), 1,
      sym__delimiter_cmd_1,
    STATE(15253), 1,
      sym__delimiter_cmd_3,
    STATE(17767), 1,
      sym_macro_identifier,
    STATE(20283), 1,
      sym_operator,
    ACTIONS(13439), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10131), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6345), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6274), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6134), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [7748] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(11284), 1,
      anon_sym_DOLLAR,
    ACTIONS(13443), 1,
      anon_sym_COLON2,
    STATE(10827), 1,
      sym_identifier,
    STATE(10997), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10132), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [7870] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13445), 1,
      sym__word_identifier,
    ACTIONS(13447), 1,
      anon_sym_LPAREN,
    ACTIONS(13449), 1,
      anon_sym_LBRACK,
    ACTIONS(13451), 1,
      anon_sym_LBRACE,
    ACTIONS(13453), 1,
      anon_sym_DOLLAR,
    ACTIONS(13455), 1,
      anon_sym_COLON2,
    ACTIONS(13459), 1,
      sym_character_literal,
    STATE(11148), 1,
      sym_identifier,
    STATE(11514), 1,
      sym__primary_expression,
    STATE(14676), 1,
      sym__delimiter_str_1,
    STATE(14677), 1,
      sym__delimiter_str_3,
    STATE(14678), 1,
      sym__delimiter_cmd_1,
    STATE(14679), 1,
      sym__delimiter_cmd_3,
    STATE(17778), 1,
      sym_macro_identifier,
    STATE(18861), 1,
      sym_operator,
    ACTIONS(13457), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10133), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11611), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11610), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11715), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [7992] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(13120), 1,
      sym__word_identifier,
    ACTIONS(13128), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13130), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13136), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13138), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13146), 1,
      sym__immediate_paren,
    ACTIONS(13148), 1,
      sym__immediate_bracket,
    ACTIONS(13150), 1,
      sym__immediate_brace,
    STATE(10430), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13122), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13134), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13144), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10134), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13126), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13132), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13140), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13142), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10367), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13124), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [8118] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13467), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13469), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13475), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13477), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13485), 1,
      sym__immediate_paren,
    ACTIONS(13487), 1,
      sym__immediate_bracket,
    ACTIONS(13489), 1,
      sym__immediate_brace,
    STATE(10812), 1,
      sym_identifier,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13461), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13473), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13483), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10135), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13465), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13471), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13479), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13481), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10692), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13463), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [8244] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10557), 1,
      sym__word_identifier,
    ACTIONS(13497), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13499), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13505), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13507), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13511), 1,
      sym_character_literal,
    ACTIONS(13517), 1,
      sym__immediate_paren,
    ACTIONS(13519), 1,
      sym__immediate_bracket,
    ACTIONS(13521), 1,
      sym__immediate_brace,
    STATE(11330), 1,
      sym_identifier,
    STATE(15321), 1,
      sym__delimiter_str_1,
    STATE(15322), 1,
      sym__delimiter_str_3,
    STATE(15323), 1,
      sym__delimiter_cmd_1,
    STATE(15325), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13491), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13503), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13515), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10136), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13495), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13501), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13509), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11846), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13513), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11828), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13493), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [8370] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13523), 1,
      sym__word_identifier,
    ACTIONS(13531), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13533), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13539), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13541), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13545), 1,
      sym_character_literal,
    ACTIONS(13551), 1,
      sym__immediate_paren,
    ACTIONS(13553), 1,
      sym__immediate_bracket,
    ACTIONS(13555), 1,
      sym__immediate_brace,
    STATE(6411), 1,
      sym_identifier,
    STATE(15038), 1,
      sym__delimiter_str_1,
    STATE(15039), 1,
      sym__delimiter_str_3,
    STATE(15040), 1,
      sym__delimiter_cmd_1,
    STATE(15041), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13525), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13537), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13549), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10137), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13529), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13535), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13543), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7154), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13547), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7157), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13527), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [8496] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13557), 1,
      sym__word_identifier,
    ACTIONS(13565), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13567), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13573), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13575), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13579), 1,
      sym_character_literal,
    ACTIONS(13585), 1,
      sym__immediate_paren,
    ACTIONS(13587), 1,
      sym__immediate_bracket,
    ACTIONS(13589), 1,
      sym__immediate_brace,
    STATE(5471), 1,
      sym_identifier,
    STATE(14772), 1,
      sym__delimiter_str_1,
    STATE(14773), 1,
      sym__delimiter_str_3,
    STATE(14774), 1,
      sym__delimiter_cmd_1,
    STATE(14775), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13559), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13571), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13583), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10138), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13563), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13569), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13577), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5838), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13581), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6372), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13561), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [8622] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13591), 1,
      sym__word_identifier,
    ACTIONS(13599), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13601), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13607), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13609), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13613), 1,
      sym_character_literal,
    ACTIONS(13619), 1,
      sym__immediate_paren,
    ACTIONS(13621), 1,
      sym__immediate_bracket,
    ACTIONS(13623), 1,
      sym__immediate_brace,
    STATE(6921), 1,
      sym_identifier,
    STATE(14758), 1,
      sym__delimiter_str_1,
    STATE(14759), 1,
      sym__delimiter_str_3,
    STATE(14760), 1,
      sym__delimiter_cmd_1,
    STATE(14761), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13593), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13605), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13617), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10139), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13597), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13603), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13611), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7560), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13615), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7614), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13595), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [8748] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13625), 1,
      sym__word_identifier,
    ACTIONS(13627), 1,
      anon_sym_LPAREN,
    ACTIONS(13629), 1,
      anon_sym_LBRACK,
    ACTIONS(13631), 1,
      anon_sym_LBRACE,
    ACTIONS(13633), 1,
      anon_sym_DOLLAR,
    ACTIONS(13635), 1,
      anon_sym_COLON2,
    ACTIONS(13639), 1,
      sym_character_literal,
    STATE(5651), 1,
      sym_identifier,
    STATE(6413), 1,
      sym__primary_expression,
    STATE(14705), 1,
      sym__delimiter_str_1,
    STATE(14706), 1,
      sym__delimiter_str_3,
    STATE(14707), 1,
      sym__delimiter_cmd_1,
    STATE(14708), 1,
      sym__delimiter_cmd_3,
    STATE(17787), 1,
      sym_macro_identifier,
    STATE(18925), 1,
      sym_operator,
    ACTIONS(13637), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10140), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6579), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6576), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6685), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [8870] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13641), 1,
      sym__word_identifier,
    ACTIONS(13649), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13651), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13657), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13659), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13663), 1,
      sym_character_literal,
    ACTIONS(13669), 1,
      sym__immediate_paren,
    ACTIONS(13671), 1,
      sym__immediate_bracket,
    ACTIONS(13673), 1,
      sym__immediate_brace,
    STATE(5639), 1,
      sym_identifier,
    STATE(15165), 1,
      sym__delimiter_str_1,
    STATE(15166), 1,
      sym__delimiter_str_3,
    STATE(15167), 1,
      sym__delimiter_cmd_1,
    STATE(15168), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13643), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13655), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13667), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10141), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13647), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13653), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13661), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6543), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13665), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6475), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13645), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [8996] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13641), 1,
      sym__word_identifier,
    ACTIONS(13663), 1,
      sym_character_literal,
    ACTIONS(13675), 1,
      anon_sym_LPAREN,
    ACTIONS(13677), 1,
      anon_sym_LBRACK,
    ACTIONS(13679), 1,
      anon_sym_LBRACE,
    ACTIONS(13681), 1,
      anon_sym_DOLLAR,
    ACTIONS(13683), 1,
      anon_sym_COLON2,
    STATE(5589), 1,
      sym_identifier,
    STATE(6754), 1,
      sym__primary_expression,
    STATE(15165), 1,
      sym__delimiter_str_1,
    STATE(15166), 1,
      sym__delimiter_str_3,
    STATE(15167), 1,
      sym__delimiter_cmd_1,
    STATE(15168), 1,
      sym__delimiter_cmd_3,
    STATE(17718), 1,
      sym_macro_identifier,
    STATE(20274), 1,
      sym_operator,
    ACTIONS(13685), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10142), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6545), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6543), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6471), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [9118] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13687), 1,
      anon_sym_LPAREN,
    ACTIONS(13689), 1,
      anon_sym_LBRACK,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
    ACTIONS(13693), 1,
      anon_sym_DOLLAR,
    ACTIONS(13695), 1,
      anon_sym_COLON2,
    ACTIONS(13697), 1,
      sym_character_literal,
    STATE(11311), 1,
      sym_identifier,
    STATE(11890), 1,
      sym__primary_expression,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    STATE(18196), 1,
      sym_macro_identifier,
    STATE(19880), 1,
      sym_operator,
    ACTIONS(10541), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10143), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11258), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11240), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [9240] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13699), 1,
      sym__word_identifier,
    ACTIONS(13701), 1,
      anon_sym_LPAREN,
    ACTIONS(13703), 1,
      anon_sym_LBRACK,
    ACTIONS(13705), 1,
      anon_sym_LBRACE,
    ACTIONS(13707), 1,
      anon_sym_DOLLAR,
    ACTIONS(13709), 1,
      anon_sym_COLON2,
    ACTIONS(13713), 1,
      sym_character_literal,
    STATE(5318), 1,
      sym_identifier,
    STATE(5893), 1,
      sym__primary_expression,
    STATE(14890), 1,
      sym__delimiter_str_1,
    STATE(14891), 1,
      sym__delimiter_str_3,
    STATE(14892), 1,
      sym__delimiter_cmd_1,
    STATE(14893), 1,
      sym__delimiter_cmd_3,
    STATE(17802), 1,
      sym_macro_identifier,
    STATE(19068), 1,
      sym_operator,
    ACTIONS(13711), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10144), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5943), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5936), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6370), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [9362] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13723), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13725), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(13743), 1,
      sym__immediate_paren,
    ACTIONS(13745), 1,
      sym__immediate_bracket,
    ACTIONS(13747), 1,
      sym__immediate_brace,
    STATE(11505), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13717), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13741), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10145), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13721), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13727), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13739), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10985), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13719), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [9488] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13749), 1,
      sym__word_identifier,
    ACTIONS(13757), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13759), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13765), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13767), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13771), 1,
      sym_character_literal,
    ACTIONS(13777), 1,
      sym__immediate_paren,
    ACTIONS(13779), 1,
      sym__immediate_bracket,
    ACTIONS(13781), 1,
      sym__immediate_brace,
    STATE(6877), 1,
      sym_identifier,
    STATE(14929), 1,
      sym__delimiter_str_1,
    STATE(14930), 1,
      sym__delimiter_str_3,
    STATE(14931), 1,
      sym__delimiter_cmd_1,
    STATE(14932), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13751), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13763), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13775), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10146), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13755), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13761), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13769), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7192), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13773), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7468), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13753), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [9614] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13783), 1,
      sym__word_identifier,
    ACTIONS(13791), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13793), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13799), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13801), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13805), 1,
      sym_character_literal,
    ACTIONS(13811), 1,
      sym__immediate_paren,
    ACTIONS(13813), 1,
      sym__immediate_bracket,
    ACTIONS(13815), 1,
      sym__immediate_brace,
    STATE(5419), 1,
      sym_identifier,
    STATE(14643), 1,
      sym__delimiter_str_1,
    STATE(14661), 1,
      sym__delimiter_str_3,
    STATE(14689), 1,
      sym__delimiter_cmd_1,
    STATE(14690), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13785), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13797), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13809), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10147), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13789), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13795), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13803), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5880), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13807), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5856), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13787), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [9740] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13817), 1,
      sym__word_identifier,
    ACTIONS(13825), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13827), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13833), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13835), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13839), 1,
      sym_character_literal,
    ACTIONS(13845), 1,
      sym__immediate_paren,
    ACTIONS(13847), 1,
      sym__immediate_bracket,
    ACTIONS(13849), 1,
      sym__immediate_brace,
    STATE(5650), 1,
      sym_identifier,
    STATE(15204), 1,
      sym__delimiter_str_1,
    STATE(15205), 1,
      sym__delimiter_str_3,
    STATE(15206), 1,
      sym__delimiter_cmd_1,
    STATE(15207), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13819), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13831), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13843), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10148), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13823), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13829), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13837), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6589), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13841), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6519), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13821), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [9866] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13851), 1,
      sym__word_identifier,
    ACTIONS(13859), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13861), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13867), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13869), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13873), 1,
      sym_character_literal,
    ACTIONS(13879), 1,
      sym__immediate_paren,
    ACTIONS(13881), 1,
      sym__immediate_bracket,
    ACTIONS(13883), 1,
      sym__immediate_brace,
    STATE(5765), 1,
      sym_identifier,
    STATE(14903), 1,
      sym__delimiter_str_1,
    STATE(14904), 1,
      sym__delimiter_str_3,
    STATE(14905), 1,
      sym__delimiter_cmd_1,
    STATE(14906), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13853), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13865), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13877), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10149), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13857), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13863), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13871), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6759), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13875), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6728), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13855), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [9992] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13851), 1,
      sym__word_identifier,
    ACTIONS(13859), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13861), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13867), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13869), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13873), 1,
      sym_character_literal,
    ACTIONS(13879), 1,
      sym__immediate_paren,
    ACTIONS(13881), 1,
      sym__immediate_bracket,
    ACTIONS(13883), 1,
      sym__immediate_brace,
    STATE(5765), 1,
      sym_identifier,
    STATE(14903), 1,
      sym__delimiter_str_1,
    STATE(14904), 1,
      sym__delimiter_str_3,
    STATE(14905), 1,
      sym__delimiter_cmd_1,
    STATE(14906), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13853), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13865), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13877), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10150), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13857), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13863), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13871), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6759), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13875), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6728), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13855), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [10118] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13885), 1,
      sym__word_identifier,
    ACTIONS(13893), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13895), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13901), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13903), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13907), 1,
      sym_character_literal,
    ACTIONS(13913), 1,
      sym__immediate_paren,
    ACTIONS(13915), 1,
      sym__immediate_bracket,
    ACTIONS(13917), 1,
      sym__immediate_brace,
    STATE(12029), 1,
      sym_identifier,
    STATE(15448), 1,
      sym__delimiter_str_1,
    STATE(15449), 1,
      sym__delimiter_str_3,
    STATE(15450), 1,
      sym__delimiter_cmd_1,
    STATE(15451), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13887), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13899), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13911), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10151), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13891), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13897), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13905), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(12472), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13909), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(12426), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13889), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [10244] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13919), 1,
      sym__word_identifier,
    ACTIONS(13927), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13929), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13935), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13937), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13941), 1,
      sym_character_literal,
    ACTIONS(13947), 1,
      sym__immediate_paren,
    ACTIONS(13949), 1,
      sym__immediate_bracket,
    ACTIONS(13951), 1,
      sym__immediate_brace,
    STATE(4968), 1,
      sym_identifier,
    STATE(14841), 1,
      sym__delimiter_str_1,
    STATE(14842), 1,
      sym__delimiter_str_3,
    STATE(14843), 1,
      sym__delimiter_cmd_1,
    STATE(14844), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13921), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13933), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13945), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10152), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13925), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13931), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13939), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5492), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13943), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5676), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13923), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [10370] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13953), 1,
      sym__word_identifier,
    ACTIONS(13955), 1,
      anon_sym_LPAREN,
    ACTIONS(13957), 1,
      anon_sym_LBRACK,
    ACTIONS(13959), 1,
      anon_sym_LBRACE,
    ACTIONS(13961), 1,
      anon_sym_DOLLAR,
    ACTIONS(13963), 1,
      anon_sym_COLON2,
    ACTIONS(13967), 1,
      sym_character_literal,
    STATE(10695), 1,
      sym_identifier,
    STATE(10917), 1,
      sym__primary_expression,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    STATE(17707), 1,
      sym_macro_identifier,
    STATE(20095), 1,
      sym_operator,
    ACTIONS(13965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10153), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10601), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10625), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [10492] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13783), 1,
      sym__word_identifier,
    ACTIONS(13791), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13793), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13799), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13801), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13805), 1,
      sym_character_literal,
    ACTIONS(13811), 1,
      sym__immediate_paren,
    ACTIONS(13813), 1,
      sym__immediate_bracket,
    ACTIONS(13815), 1,
      sym__immediate_brace,
    STATE(5419), 1,
      sym_identifier,
    STATE(14643), 1,
      sym__delimiter_str_1,
    STATE(14661), 1,
      sym__delimiter_str_3,
    STATE(14689), 1,
      sym__delimiter_cmd_1,
    STATE(14690), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13785), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13797), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13809), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10154), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13789), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13795), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13803), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5880), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13807), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5856), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13787), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [10618] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1293), 1,
      sym_character_literal,
    ACTIONS(9875), 1,
      sym__word_identifier,
    ACTIONS(9883), 1,
      anon_sym_DOT_EQ,
    ACTIONS(9885), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(9891), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9893), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(9901), 1,
      sym__immediate_paren,
    ACTIONS(9903), 1,
      sym__immediate_bracket,
    ACTIONS(9905), 1,
      sym__immediate_brace,
    STATE(5330), 1,
      sym_identifier,
    STATE(14786), 1,
      sym__delimiter_str_1,
    STATE(14787), 1,
      sym__delimiter_str_3,
    STATE(14788), 1,
      sym__delimiter_cmd_1,
    STATE(14789), 1,
      sym__delimiter_cmd_3,
    ACTIONS(9877), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(9889), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(9899), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10155), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9881), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9887), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(9895), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5845), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(9897), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5841), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(9879), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [10744] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13969), 1,
      sym__word_identifier,
    ACTIONS(13977), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13979), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13985), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13987), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13991), 1,
      sym_character_literal,
    ACTIONS(13997), 1,
      sym__immediate_paren,
    ACTIONS(13999), 1,
      sym__immediate_bracket,
    ACTIONS(14001), 1,
      sym__immediate_brace,
    STATE(5394), 1,
      sym_identifier,
    STATE(14644), 1,
      sym__delimiter_str_1,
    STATE(14645), 1,
      sym__delimiter_str_3,
    STATE(14646), 1,
      sym__delimiter_cmd_1,
    STATE(14647), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13971), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13983), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13995), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10156), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13975), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13981), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13989), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5906), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13993), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6246), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13973), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [10870] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13783), 1,
      sym__word_identifier,
    ACTIONS(13805), 1,
      sym_character_literal,
    ACTIONS(14003), 1,
      anon_sym_LPAREN,
    ACTIONS(14005), 1,
      anon_sym_LBRACK,
    ACTIONS(14007), 1,
      anon_sym_LBRACE,
    ACTIONS(14009), 1,
      anon_sym_DOLLAR,
    ACTIONS(14011), 1,
      anon_sym_COLON2,
    STATE(5415), 1,
      sym_identifier,
    STATE(5855), 1,
      sym__primary_expression,
    STATE(14643), 1,
      sym__delimiter_str_1,
    STATE(14661), 1,
      sym__delimiter_str_3,
    STATE(14689), 1,
      sym__delimiter_cmd_1,
    STATE(14690), 1,
      sym__delimiter_cmd_3,
    STATE(17664), 1,
      sym_macro_identifier,
    STATE(19108), 1,
      sym_operator,
    ACTIONS(14013), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10157), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5881), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5880), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5854), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [10992] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13176), 1,
      sym__word_identifier,
    ACTIONS(13182), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13184), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13186), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13192), 1,
      sym__immediate_paren,
    ACTIONS(13194), 1,
      sym__immediate_bracket,
    ACTIONS(13196), 1,
      sym__immediate_brace,
    STATE(10980), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13178), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14019), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14025), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10158), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14015), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14017), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14021), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14023), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10520), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13180), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [11118] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14033), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14035), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14051), 1,
      sym__immediate_paren,
    ACTIONS(14053), 1,
      sym__immediate_bracket,
    ACTIONS(14055), 1,
      sym__immediate_brace,
    STATE(11969), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14027), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14049), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10159), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14031), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14037), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14047), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11138), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14029), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [11244] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(13120), 1,
      sym__word_identifier,
    ACTIONS(13128), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13130), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13136), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13138), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13146), 1,
      sym__immediate_paren,
    ACTIONS(13148), 1,
      sym__immediate_bracket,
    ACTIONS(13150), 1,
      sym__immediate_brace,
    STATE(10853), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13122), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13134), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13144), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10160), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13126), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13132), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13140), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13142), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10367), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13124), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [11370] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14057), 1,
      sym__word_identifier,
    ACTIONS(14065), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14067), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14073), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14075), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14079), 1,
      sym_character_literal,
    ACTIONS(14085), 1,
      sym__immediate_paren,
    ACTIONS(14087), 1,
      sym__immediate_bracket,
    ACTIONS(14089), 1,
      sym__immediate_brace,
    STATE(6713), 1,
      sym_identifier,
    STATE(15259), 1,
      sym__delimiter_str_1,
    STATE(15260), 1,
      sym__delimiter_str_3,
    STATE(15261), 1,
      sym__delimiter_cmd_1,
    STATE(15262), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14059), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14071), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14083), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10161), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14063), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14069), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14077), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7012), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14081), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7040), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14061), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [11496] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14033), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14035), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14051), 1,
      sym__immediate_paren,
    ACTIONS(14053), 1,
      sym__immediate_bracket,
    ACTIONS(14055), 1,
      sym__immediate_brace,
    STATE(11969), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14027), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14049), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10162), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14031), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14037), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14047), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11138), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14029), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [11622] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(403), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14091), 1,
      sym__word_identifier,
    ACTIONS(14099), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14101), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14105), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14107), 1,
      sym_character_literal,
    ACTIONS(14113), 1,
      sym__immediate_paren,
    ACTIONS(14115), 1,
      sym__immediate_bracket,
    ACTIONS(14117), 1,
      sym__immediate_brace,
    STATE(6853), 1,
      sym_identifier,
    STATE(15235), 1,
      sym__delimiter_str_1,
    STATE(15236), 1,
      sym__delimiter_str_3,
    STATE(15237), 1,
      sym__delimiter_cmd_1,
    STATE(15238), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7393), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14093), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14111), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10163), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7395), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(14097), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14103), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    STATE(7579), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14109), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7681), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14095), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [11748] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13687), 1,
      anon_sym_LPAREN,
    ACTIONS(13689), 1,
      anon_sym_LBRACK,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14119), 1,
      anon_sym_DOLLAR,
    ACTIONS(14121), 1,
      anon_sym_COLON2,
    STATE(11776), 1,
      sym_identifier,
    STATE(12033), 1,
      sym__primary_expression,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    STATE(18196), 1,
      sym_macro_identifier,
    STATE(19880), 1,
      sym_operator,
    ACTIONS(10541), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10164), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11258), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11240), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [11870] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(309), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14123), 1,
      sym__word_identifier,
    ACTIONS(14131), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14133), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14137), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14139), 1,
      sym_character_literal,
    ACTIONS(14145), 1,
      sym__immediate_paren,
    ACTIONS(14147), 1,
      sym__immediate_bracket,
    ACTIONS(14149), 1,
      sym__immediate_brace,
    STATE(6905), 1,
      sym_identifier,
    STATE(14804), 1,
      sym__delimiter_str_1,
    STATE(14805), 1,
      sym__delimiter_str_3,
    STATE(14806), 1,
      sym__delimiter_cmd_1,
    STATE(14807), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7281), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14125), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14143), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10165), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7283), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(14129), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14135), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    STATE(7227), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14141), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7401), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14127), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [11996] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14033), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14035), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14051), 1,
      sym__immediate_paren,
    ACTIONS(14053), 1,
      sym__immediate_bracket,
    ACTIONS(14055), 1,
      sym__immediate_brace,
    STATE(11903), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14027), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14049), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10166), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14031), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14037), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14047), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11138), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14029), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [12122] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(14151), 1,
      sym__word_identifier,
    ACTIONS(14153), 1,
      anon_sym_LPAREN,
    ACTIONS(14155), 1,
      anon_sym_LBRACK,
    ACTIONS(14157), 1,
      anon_sym_LBRACE,
    ACTIONS(14159), 1,
      anon_sym_DOLLAR,
    ACTIONS(14161), 1,
      anon_sym_COLON2,
    ACTIONS(14165), 1,
      sym_character_literal,
    STATE(5600), 1,
      sym_identifier,
    STATE(6770), 1,
      sym__primary_expression,
    STATE(15419), 1,
      sym__delimiter_str_1,
    STATE(15420), 1,
      sym__delimiter_str_3,
    STATE(15421), 1,
      sym__delimiter_cmd_1,
    STATE(15422), 1,
      sym__delimiter_cmd_3,
    STATE(17759), 1,
      sym_macro_identifier,
    STATE(19914), 1,
      sym_operator,
    ACTIONS(14163), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10167), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6710), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6708), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6590), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [12244] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13817), 1,
      sym__word_identifier,
    ACTIONS(13839), 1,
      sym_character_literal,
    ACTIONS(14167), 1,
      anon_sym_LPAREN,
    ACTIONS(14169), 1,
      anon_sym_LBRACK,
    ACTIONS(14171), 1,
      anon_sym_LBRACE,
    ACTIONS(14173), 1,
      anon_sym_DOLLAR,
    ACTIONS(14175), 1,
      anon_sym_COLON2,
    STATE(5592), 1,
      sym_identifier,
    STATE(6420), 1,
      sym__primary_expression,
    STATE(15204), 1,
      sym__delimiter_str_1,
    STATE(15205), 1,
      sym__delimiter_str_3,
    STATE(15206), 1,
      sym__delimiter_cmd_1,
    STATE(15207), 1,
      sym__delimiter_cmd_3,
    STATE(17726), 1,
      sym_macro_identifier,
    STATE(19040), 1,
      sym_operator,
    ACTIONS(14177), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10168), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6591), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6589), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6517), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [12366] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13393), 1,
      sym__word_identifier,
    ACTIONS(13401), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13403), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13409), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13411), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13415), 1,
      sym_character_literal,
    ACTIONS(13421), 1,
      sym__immediate_paren,
    ACTIONS(13423), 1,
      sym__immediate_bracket,
    ACTIONS(13425), 1,
      sym__immediate_brace,
    STATE(5619), 1,
      sym_identifier,
    STATE(14954), 1,
      sym__delimiter_str_1,
    STATE(14956), 1,
      sym__delimiter_str_3,
    STATE(14957), 1,
      sym__delimiter_cmd_1,
    STATE(14958), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13395), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13407), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13419), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10169), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13399), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13405), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13413), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6470), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13417), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6433), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13397), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [12492] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14033), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14035), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14051), 1,
      sym__immediate_paren,
    ACTIONS(14053), 1,
      sym__immediate_bracket,
    ACTIONS(14055), 1,
      sym__immediate_brace,
    STATE(11903), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14027), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14049), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10170), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14031), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14037), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14047), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11138), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14029), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [12618] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13467), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13469), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13475), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13477), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13485), 1,
      sym__immediate_paren,
    ACTIONS(13487), 1,
      sym__immediate_bracket,
    ACTIONS(13489), 1,
      sym__immediate_brace,
    STATE(11906), 1,
      sym_identifier,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13461), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13473), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13483), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10171), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13465), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13471), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13479), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13481), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10692), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13463), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [12744] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14179), 1,
      sym__word_identifier,
    ACTIONS(14187), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14189), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14195), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14197), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14201), 1,
      sym_character_literal,
    ACTIONS(14207), 1,
      sym__immediate_paren,
    ACTIONS(14209), 1,
      sym__immediate_bracket,
    ACTIONS(14211), 1,
      sym__immediate_brace,
    STATE(6875), 1,
      sym_identifier,
    STATE(15145), 1,
      sym__delimiter_str_1,
    STATE(15146), 1,
      sym__delimiter_str_3,
    STATE(15147), 1,
      sym__delimiter_cmd_1,
    STATE(15148), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14181), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14193), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14205), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10172), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14185), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14191), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14199), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7700), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14203), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7447), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14183), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [12870] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13467), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13469), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13475), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13477), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13485), 1,
      sym__immediate_paren,
    ACTIONS(13487), 1,
      sym__immediate_bracket,
    ACTIONS(13489), 1,
      sym__immediate_brace,
    STATE(11906), 1,
      sym_identifier,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13461), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13473), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13483), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10173), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13465), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13471), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13479), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13481), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10692), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13463), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [12996] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13557), 1,
      sym__word_identifier,
    ACTIONS(13565), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13567), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13573), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13575), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13579), 1,
      sym_character_literal,
    ACTIONS(13585), 1,
      sym__immediate_paren,
    ACTIONS(13587), 1,
      sym__immediate_bracket,
    ACTIONS(13589), 1,
      sym__immediate_brace,
    STATE(5471), 1,
      sym_identifier,
    STATE(14772), 1,
      sym__delimiter_str_1,
    STATE(14773), 1,
      sym__delimiter_str_3,
    STATE(14774), 1,
      sym__delimiter_cmd_1,
    STATE(14775), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13559), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13571), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13583), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10174), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13563), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13569), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13577), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5838), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13581), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6372), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13561), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [13122] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13817), 1,
      sym__word_identifier,
    ACTIONS(13839), 1,
      sym_character_literal,
    ACTIONS(14167), 1,
      anon_sym_LPAREN,
    ACTIONS(14169), 1,
      anon_sym_LBRACK,
    ACTIONS(14171), 1,
      anon_sym_LBRACE,
    ACTIONS(14173), 1,
      anon_sym_DOLLAR,
    ACTIONS(14175), 1,
      anon_sym_COLON2,
    STATE(5592), 1,
      sym_identifier,
    STATE(6752), 1,
      sym__primary_expression,
    STATE(15204), 1,
      sym__delimiter_str_1,
    STATE(15205), 1,
      sym__delimiter_str_3,
    STATE(15206), 1,
      sym__delimiter_cmd_1,
    STATE(15207), 1,
      sym__delimiter_cmd_3,
    STATE(17726), 1,
      sym_macro_identifier,
    STATE(19040), 1,
      sym_operator,
    ACTIONS(14177), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10175), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6591), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6589), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6517), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [13244] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13723), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13725), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(13743), 1,
      sym__immediate_paren,
    ACTIONS(13745), 1,
      sym__immediate_bracket,
    ACTIONS(13747), 1,
      sym__immediate_brace,
    STATE(11651), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13717), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13741), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10176), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13721), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13727), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13739), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10985), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13719), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [13370] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13919), 1,
      sym__word_identifier,
    ACTIONS(13927), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13929), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13935), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13937), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13941), 1,
      sym_character_literal,
    ACTIONS(13947), 1,
      sym__immediate_paren,
    ACTIONS(13949), 1,
      sym__immediate_bracket,
    ACTIONS(13951), 1,
      sym__immediate_brace,
    STATE(4968), 1,
      sym_identifier,
    STATE(14841), 1,
      sym__delimiter_str_1,
    STATE(14842), 1,
      sym__delimiter_str_3,
    STATE(14843), 1,
      sym__delimiter_cmd_1,
    STATE(14844), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13921), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13933), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13945), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10177), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13925), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13931), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13939), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5492), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13943), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5676), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13923), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [13496] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14213), 1,
      sym__word_identifier,
    ACTIONS(14221), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14223), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14229), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14231), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14235), 1,
      sym_character_literal,
    ACTIONS(14241), 1,
      sym__immediate_paren,
    ACTIONS(14243), 1,
      sym__immediate_bracket,
    ACTIONS(14245), 1,
      sym__immediate_brace,
    STATE(14675), 1,
      sym_identifier,
    STATE(14916), 1,
      sym__delimiter_str_1,
    STATE(14917), 1,
      sym__delimiter_str_3,
    STATE(14918), 1,
      sym__delimiter_cmd_1,
    STATE(14919), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14215), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14227), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14239), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10178), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14219), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14225), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14233), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(17480), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14237), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(16523), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14217), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [13622] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13953), 1,
      sym__word_identifier,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14253), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14255), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14261), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14263), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14271), 1,
      sym__immediate_paren,
    ACTIONS(14273), 1,
      sym__immediate_bracket,
    ACTIONS(14275), 1,
      sym__immediate_brace,
    STATE(11653), 1,
      sym_identifier,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14247), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14259), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14269), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10179), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14251), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14257), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14265), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14267), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10633), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14249), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [13748] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13723), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13725), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(13743), 1,
      sym__immediate_paren,
    ACTIONS(13745), 1,
      sym__immediate_bracket,
    ACTIONS(13747), 1,
      sym__immediate_brace,
    STATE(11651), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13717), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13741), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10180), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13721), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13727), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13739), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10985), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13719), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [13874] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13953), 1,
      sym__word_identifier,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14253), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14255), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14261), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14263), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14271), 1,
      sym__immediate_paren,
    ACTIONS(14273), 1,
      sym__immediate_bracket,
    ACTIONS(14275), 1,
      sym__immediate_brace,
    STATE(11653), 1,
      sym_identifier,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14247), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14259), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14269), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10181), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14251), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14257), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14265), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14267), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10633), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14249), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [14000] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(13273), 1,
      anon_sym_COLON2,
    STATE(11901), 1,
      sym_identifier,
    STATE(12124), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10182), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [14122] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13953), 1,
      sym__word_identifier,
    ACTIONS(13955), 1,
      anon_sym_LPAREN,
    ACTIONS(13957), 1,
      anon_sym_LBRACK,
    ACTIONS(13959), 1,
      anon_sym_LBRACE,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14277), 1,
      anon_sym_DOLLAR,
    ACTIONS(14279), 1,
      anon_sym_COLON2,
    STATE(11647), 1,
      sym_identifier,
    STATE(11974), 1,
      sym__primary_expression,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    STATE(17707), 1,
      sym_macro_identifier,
    STATE(20095), 1,
      sym_operator,
    ACTIONS(13965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10183), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10601), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10625), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [14244] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14281), 1,
      sym__word_identifier,
    ACTIONS(14289), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14291), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(14309), 1,
      sym__immediate_paren,
    ACTIONS(14311), 1,
      sym__immediate_bracket,
    ACTIONS(14313), 1,
      sym__immediate_brace,
    STATE(12329), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14283), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14307), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10184), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14287), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14293), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14305), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11802), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14285), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [14370] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14315), 1,
      sym__word_identifier,
    ACTIONS(14323), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14325), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14331), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14333), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14337), 1,
      sym_character_literal,
    ACTIONS(14343), 1,
      sym__immediate_paren,
    ACTIONS(14345), 1,
      sym__immediate_bracket,
    ACTIONS(14347), 1,
      sym__immediate_brace,
    STATE(12082), 1,
      sym_identifier,
    STATE(14663), 1,
      sym__delimiter_str_1,
    STATE(14664), 1,
      sym__delimiter_str_3,
    STATE(14665), 1,
      sym__delimiter_cmd_1,
    STATE(14666), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14317), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14329), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14341), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10185), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14321), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14327), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14335), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(12250), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14339), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(12216), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14319), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [14496] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13176), 1,
      sym__word_identifier,
    ACTIONS(13182), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13184), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13186), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13192), 1,
      sym__immediate_paren,
    ACTIONS(13194), 1,
      sym__immediate_bracket,
    ACTIONS(13196), 1,
      sym__immediate_brace,
    STATE(10771), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13178), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14019), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14025), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10186), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14015), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14017), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14021), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14023), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10520), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13180), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [14622] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(13120), 1,
      sym__word_identifier,
    ACTIONS(13128), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13130), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13136), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13138), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13146), 1,
      sym__immediate_paren,
    ACTIONS(13148), 1,
      sym__immediate_bracket,
    ACTIONS(13150), 1,
      sym__immediate_brace,
    STATE(11175), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13122), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13134), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13144), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10187), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13126), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13132), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13140), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13142), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10367), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13124), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [14748] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14033), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14035), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14051), 1,
      sym__immediate_paren,
    ACTIONS(14053), 1,
      sym__immediate_bracket,
    ACTIONS(14055), 1,
      sym__immediate_brace,
    STATE(11672), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14027), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14049), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10188), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14031), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14037), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14047), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11138), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14029), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [14874] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14349), 1,
      sym__word_identifier,
    ACTIONS(14357), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14359), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14365), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14367), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14371), 1,
      sym_character_literal,
    ACTIONS(14377), 1,
      sym__immediate_paren,
    ACTIONS(14379), 1,
      sym__immediate_bracket,
    ACTIONS(14381), 1,
      sym__immediate_brace,
    STATE(14990), 1,
      sym__delimiter_str_1,
    STATE(14991), 1,
      sym__delimiter_str_3,
    STATE(14992), 1,
      sym__delimiter_cmd_1,
    STATE(14993), 1,
      sym__delimiter_cmd_3,
    STATE(16433), 1,
      sym_identifier,
    ACTIONS(14351), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14363), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14375), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10189), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14355), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14361), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14369), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(18532), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14373), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(18288), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14353), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [15000] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14033), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14035), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14051), 1,
      sym__immediate_paren,
    ACTIONS(14053), 1,
      sym__immediate_bracket,
    ACTIONS(14055), 1,
      sym__immediate_brace,
    STATE(11672), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14027), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14049), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10190), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14031), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14037), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14047), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11138), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14029), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [15126] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13467), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13469), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13475), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13477), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13485), 1,
      sym__immediate_paren,
    ACTIONS(13487), 1,
      sym__immediate_bracket,
    ACTIONS(13489), 1,
      sym__immediate_brace,
    STATE(12090), 1,
      sym_identifier,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13461), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13473), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13483), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10191), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13465), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13471), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13479), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13481), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10692), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13463), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [15252] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13467), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13469), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13475), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13477), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13485), 1,
      sym__immediate_paren,
    ACTIONS(13487), 1,
      sym__immediate_bracket,
    ACTIONS(13489), 1,
      sym__immediate_brace,
    STATE(12090), 1,
      sym_identifier,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13461), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13473), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13483), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10192), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13465), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13471), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13479), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13481), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10692), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13463), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [15378] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13723), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13725), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(13743), 1,
      sym__immediate_paren,
    ACTIONS(13745), 1,
      sym__immediate_bracket,
    ACTIONS(13747), 1,
      sym__immediate_brace,
    STATE(11274), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13717), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13741), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10193), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13721), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13727), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13739), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10985), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13719), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [15504] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13953), 1,
      sym__word_identifier,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14253), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14255), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14261), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14263), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14271), 1,
      sym__immediate_paren,
    ACTIONS(14273), 1,
      sym__immediate_bracket,
    ACTIONS(14275), 1,
      sym__immediate_brace,
    STATE(11990), 1,
      sym_identifier,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14247), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14259), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14269), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10194), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14251), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14257), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14265), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14267), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10633), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14249), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [15630] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13723), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13725), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(13743), 1,
      sym__immediate_paren,
    ACTIONS(13745), 1,
      sym__immediate_bracket,
    ACTIONS(13747), 1,
      sym__immediate_brace,
    STATE(11274), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13717), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13741), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10195), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13721), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13727), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13739), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10985), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13719), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [15756] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13953), 1,
      sym__word_identifier,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14253), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14255), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14261), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14263), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14271), 1,
      sym__immediate_paren,
    ACTIONS(14273), 1,
      sym__immediate_bracket,
    ACTIONS(14275), 1,
      sym__immediate_brace,
    STATE(11990), 1,
      sym_identifier,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14247), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14259), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14269), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10196), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14251), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14257), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14265), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14267), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10633), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14249), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [15882] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13152), 1,
      anon_sym_DOLLAR,
    ACTIONS(14383), 1,
      anon_sym_COLON2,
    STATE(12089), 1,
      sym_identifier,
    STATE(12475), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10197), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [16004] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13953), 1,
      sym__word_identifier,
    ACTIONS(13955), 1,
      anon_sym_LPAREN,
    ACTIONS(13957), 1,
      anon_sym_LBRACK,
    ACTIONS(13959), 1,
      anon_sym_LBRACE,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14385), 1,
      anon_sym_DOLLAR,
    ACTIONS(14387), 1,
      anon_sym_COLON2,
    STATE(12011), 1,
      sym_identifier,
    STATE(12269), 1,
      sym__primary_expression,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    STATE(17707), 1,
      sym_macro_identifier,
    STATE(20095), 1,
      sym_operator,
    ACTIONS(13965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10198), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10601), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10625), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [16126] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13176), 1,
      sym__word_identifier,
    ACTIONS(13182), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13184), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13186), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13192), 1,
      sym__immediate_paren,
    ACTIONS(13194), 1,
      sym__immediate_bracket,
    ACTIONS(13196), 1,
      sym__immediate_brace,
    STATE(10700), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13178), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14019), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14025), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10199), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14015), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14017), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14021), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14023), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10520), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13180), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [16252] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(13120), 1,
      sym__word_identifier,
    ACTIONS(13128), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13130), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13136), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13138), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13146), 1,
      sym__immediate_paren,
    ACTIONS(13148), 1,
      sym__immediate_bracket,
    ACTIONS(13150), 1,
      sym__immediate_brace,
    STATE(10707), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13122), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13134), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13144), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10200), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13126), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13132), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13140), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13142), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10367), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13124), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [16378] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14033), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14035), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14051), 1,
      sym__immediate_paren,
    ACTIONS(14053), 1,
      sym__immediate_bracket,
    ACTIONS(14055), 1,
      sym__immediate_brace,
    STATE(11322), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14027), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14049), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10201), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14031), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14037), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14047), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11138), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14029), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [16504] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14033), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14035), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14051), 1,
      sym__immediate_paren,
    ACTIONS(14053), 1,
      sym__immediate_bracket,
    ACTIONS(14055), 1,
      sym__immediate_brace,
    STATE(11322), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14027), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14049), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10202), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14031), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14037), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14047), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11138), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14029), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [16630] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13467), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13469), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13475), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13477), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13485), 1,
      sym__immediate_paren,
    ACTIONS(13487), 1,
      sym__immediate_bracket,
    ACTIONS(13489), 1,
      sym__immediate_brace,
    STATE(11335), 1,
      sym_identifier,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13461), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13473), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13483), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10203), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13465), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13471), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13479), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13481), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10692), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13463), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [16756] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13467), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13469), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13475), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13477), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13485), 1,
      sym__immediate_paren,
    ACTIONS(13487), 1,
      sym__immediate_bracket,
    ACTIONS(13489), 1,
      sym__immediate_brace,
    STATE(11335), 1,
      sym_identifier,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13461), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13473), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13483), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10204), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13465), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13471), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13479), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13481), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10692), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13463), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [16882] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13723), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13725), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(13743), 1,
      sym__immediate_paren,
    ACTIONS(13745), 1,
      sym__immediate_bracket,
    ACTIONS(13747), 1,
      sym__immediate_brace,
    STATE(11233), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13717), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13741), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10205), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13721), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13727), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13739), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10985), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13719), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [17008] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13953), 1,
      sym__word_identifier,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14253), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14255), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14261), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14263), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14271), 1,
      sym__immediate_paren,
    ACTIONS(14273), 1,
      sym__immediate_bracket,
    ACTIONS(14275), 1,
      sym__immediate_brace,
    STATE(11235), 1,
      sym_identifier,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14247), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14259), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14269), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10206), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14251), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14257), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14265), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14267), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10633), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14249), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [17134] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13723), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13725), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(13743), 1,
      sym__immediate_paren,
    ACTIONS(13745), 1,
      sym__immediate_bracket,
    ACTIONS(13747), 1,
      sym__immediate_brace,
    STATE(11233), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13717), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13741), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10207), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13721), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13727), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13739), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10985), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13719), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [17260] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13953), 1,
      sym__word_identifier,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14253), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14255), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14261), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14263), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14271), 1,
      sym__immediate_paren,
    ACTIONS(14273), 1,
      sym__immediate_bracket,
    ACTIONS(14275), 1,
      sym__immediate_brace,
    STATE(11235), 1,
      sym_identifier,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14247), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14259), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14269), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10208), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14251), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14257), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14265), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14267), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10633), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14249), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [17386] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(12831), 1,
      anon_sym_DOLLAR,
    ACTIONS(14389), 1,
      anon_sym_COLON2,
    STATE(11313), 1,
      sym_identifier,
    STATE(11955), 1,
      sym__primary_expression,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17588), 1,
      sym_macro_identifier,
    STATE(19440), 1,
      sym_operator,
    ACTIONS(10119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10209), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10654), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [17508] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13953), 1,
      sym__word_identifier,
    ACTIONS(13955), 1,
      anon_sym_LPAREN,
    ACTIONS(13957), 1,
      anon_sym_LBRACK,
    ACTIONS(13959), 1,
      anon_sym_LBRACE,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14391), 1,
      anon_sym_DOLLAR,
    ACTIONS(14393), 1,
      anon_sym_COLON2,
    STATE(11227), 1,
      sym_identifier,
    STATE(11741), 1,
      sym__primary_expression,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    STATE(17707), 1,
      sym_macro_identifier,
    STATE(20095), 1,
      sym_operator,
    ACTIONS(13965), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10210), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10601), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10625), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [17630] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13176), 1,
      sym__word_identifier,
    ACTIONS(13182), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13184), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13186), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13192), 1,
      sym__immediate_paren,
    ACTIONS(13194), 1,
      sym__immediate_bracket,
    ACTIONS(13196), 1,
      sym__immediate_brace,
    STATE(10782), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13178), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14019), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14025), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10211), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14015), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14017), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14021), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14023), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10520), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13180), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [17756] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14033), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14035), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14051), 1,
      sym__immediate_paren,
    ACTIONS(14053), 1,
      sym__immediate_bracket,
    ACTIONS(14055), 1,
      sym__immediate_brace,
    STATE(11690), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14027), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14049), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10212), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14031), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14037), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14047), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11138), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14029), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [17882] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14033), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14035), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14051), 1,
      sym__immediate_paren,
    ACTIONS(14053), 1,
      sym__immediate_bracket,
    ACTIONS(14055), 1,
      sym__immediate_brace,
    STATE(11690), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14027), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14049), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10213), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14031), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14037), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14047), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11138), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14029), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [18008] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13723), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13725), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(13743), 1,
      sym__immediate_paren,
    ACTIONS(13745), 1,
      sym__immediate_bracket,
    ACTIONS(13747), 1,
      sym__immediate_brace,
    STATE(11386), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13717), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13741), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10214), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13721), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13727), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13739), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10985), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13719), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [18134] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13723), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13725), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(13743), 1,
      sym__immediate_paren,
    ACTIONS(13745), 1,
      sym__immediate_bracket,
    ACTIONS(13747), 1,
      sym__immediate_brace,
    STATE(11386), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13717), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13741), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10215), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13721), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13727), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13739), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10985), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13719), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [18260] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13176), 1,
      sym__word_identifier,
    ACTIONS(13182), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13184), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13186), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13192), 1,
      sym__immediate_paren,
    ACTIONS(13194), 1,
      sym__immediate_bracket,
    ACTIONS(13196), 1,
      sym__immediate_brace,
    STATE(10786), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13178), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14019), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14025), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10216), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14015), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14017), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14021), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14023), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10520), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13180), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [18386] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14033), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14035), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14051), 1,
      sym__immediate_paren,
    ACTIONS(14053), 1,
      sym__immediate_bracket,
    ACTIONS(14055), 1,
      sym__immediate_brace,
    STATE(11698), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14027), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14049), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10217), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14031), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14037), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14047), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11138), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14029), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [18512] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14033), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14035), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14051), 1,
      sym__immediate_paren,
    ACTIONS(14053), 1,
      sym__immediate_bracket,
    ACTIONS(14055), 1,
      sym__immediate_brace,
    STATE(11698), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14027), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14049), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10218), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14031), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14037), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14047), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11138), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14029), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [18638] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13723), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13725), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(13743), 1,
      sym__immediate_paren,
    ACTIONS(13745), 1,
      sym__immediate_bracket,
    ACTIONS(13747), 1,
      sym__immediate_brace,
    STATE(11387), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13717), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13741), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10219), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13721), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13727), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13739), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10985), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13719), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [18764] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13723), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13725), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(13743), 1,
      sym__immediate_paren,
    ACTIONS(13745), 1,
      sym__immediate_bracket,
    ACTIONS(13747), 1,
      sym__immediate_brace,
    STATE(11387), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13717), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13741), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10220), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13721), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13727), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13739), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10985), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13719), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [18890] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(599), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14395), 1,
      sym__word_identifier,
    ACTIONS(14403), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14405), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14409), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14411), 1,
      sym_character_literal,
    ACTIONS(14417), 1,
      sym__immediate_paren,
    ACTIONS(14419), 1,
      sym__immediate_bracket,
    ACTIONS(14421), 1,
      sym__immediate_brace,
    STATE(6943), 1,
      sym_identifier,
    STATE(14857), 1,
      sym__delimiter_str_1,
    STATE(14858), 1,
      sym__delimiter_str_3,
    STATE(14859), 1,
      sym__delimiter_cmd_1,
    STATE(14860), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7165), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14397), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14415), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10221), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7167), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(14401), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14407), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    STATE(8123), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14413), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(8019), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14399), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [19016] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13625), 1,
      sym__word_identifier,
    ACTIONS(13639), 1,
      sym_character_literal,
    ACTIONS(14429), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14431), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14437), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14439), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14447), 1,
      sym__immediate_paren,
    ACTIONS(14449), 1,
      sym__immediate_bracket,
    ACTIONS(14451), 1,
      sym__immediate_brace,
    STATE(5774), 1,
      sym_identifier,
    STATE(14705), 1,
      sym__delimiter_str_1,
    STATE(14706), 1,
      sym__delimiter_str_3,
    STATE(14707), 1,
      sym__delimiter_cmd_1,
    STATE(14708), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14423), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14435), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14445), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10222), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14427), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14433), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14441), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6576), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14443), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6765), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14425), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [19142] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13687), 1,
      anon_sym_LPAREN,
    ACTIONS(13689), 1,
      anon_sym_LBRACK,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14453), 1,
      anon_sym_DOLLAR,
    ACTIONS(14455), 1,
      anon_sym_COLON2,
    STATE(11900), 1,
      sym_identifier,
    STATE(12176), 1,
      sym__primary_expression,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    STATE(18196), 1,
      sym_macro_identifier,
    STATE(19880), 1,
      sym_operator,
    ACTIONS(10541), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10223), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11258), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11240), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [19264] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14457), 1,
      anon_sym_LPAREN,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    ACTIONS(14461), 1,
      anon_sym_LBRACE,
    ACTIONS(14463), 1,
      anon_sym_DOLLAR,
    ACTIONS(14465), 1,
      anon_sym_COLON2,
    STATE(11646), 1,
      sym_identifier,
    STATE(11973), 1,
      sym__primary_expression,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    STATE(17699), 1,
      sym_macro_identifier,
    STATE(19865), 1,
      sym_operator,
    ACTIONS(14467), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10224), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11095), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10982), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [19386] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14469), 1,
      sym__word_identifier,
    ACTIONS(14475), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14477), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14483), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(14493), 1,
      sym__immediate_paren,
    ACTIONS(14495), 1,
      sym__immediate_bracket,
    ACTIONS(14497), 1,
      sym__immediate_brace,
    STATE(11165), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(1697), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14491), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10225), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1671), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14473), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14489), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11081), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14471), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [19512] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14151), 1,
      sym__word_identifier,
    ACTIONS(14165), 1,
      sym_character_literal,
    ACTIONS(14505), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14507), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14513), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14515), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14523), 1,
      sym__immediate_paren,
    ACTIONS(14525), 1,
      sym__immediate_bracket,
    ACTIONS(14527), 1,
      sym__immediate_brace,
    STATE(5677), 1,
      sym_identifier,
    STATE(15419), 1,
      sym__delimiter_str_1,
    STATE(15420), 1,
      sym__delimiter_str_3,
    STATE(15421), 1,
      sym__delimiter_cmd_1,
    STATE(15422), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14499), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14511), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14521), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10226), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14503), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14509), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14517), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6708), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14519), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6594), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14501), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [19638] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14281), 1,
      sym__word_identifier,
    ACTIONS(14289), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14291), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(14309), 1,
      sym__immediate_paren,
    ACTIONS(14311), 1,
      sym__immediate_bracket,
    ACTIONS(14313), 1,
      sym__immediate_brace,
    STATE(12351), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14283), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14307), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10227), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14287), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14293), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14305), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11802), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14285), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [19764] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14529), 1,
      sym__word_identifier,
    ACTIONS(14537), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14539), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14545), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14547), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14551), 1,
      sym_character_literal,
    ACTIONS(14557), 1,
      sym__immediate_paren,
    ACTIONS(14559), 1,
      sym__immediate_bracket,
    ACTIONS(14561), 1,
      sym__immediate_brace,
    STATE(5442), 1,
      sym_identifier,
    STATE(14691), 1,
      sym__delimiter_str_1,
    STATE(14692), 1,
      sym__delimiter_str_3,
    STATE(14693), 1,
      sym__delimiter_cmd_1,
    STATE(14694), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14531), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14543), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14555), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10228), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14535), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14541), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14549), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6006), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14553), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6297), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14533), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [19890] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4235), 1,
      sym_character_literal,
    ACTIONS(13154), 1,
      sym__word_identifier,
    ACTIONS(13160), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13162), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13164), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13166), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13170), 1,
      sym__immediate_paren,
    ACTIONS(13172), 1,
      sym__immediate_bracket,
    ACTIONS(13174), 1,
      sym__immediate_brace,
    STATE(10738), 1,
      sym_identifier,
    STATE(15125), 1,
      sym__delimiter_str_1,
    STATE(15126), 1,
      sym__delimiter_str_3,
    STATE(15127), 1,
      sym__delimiter_cmd_1,
    STATE(15128), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13156), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14567), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14573), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10229), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14563), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14565), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14569), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10903), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14571), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10952), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13158), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [20016] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13953), 1,
      sym__word_identifier,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14253), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14255), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14261), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14263), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14271), 1,
      sym__immediate_paren,
    ACTIONS(14273), 1,
      sym__immediate_bracket,
    ACTIONS(14275), 1,
      sym__immediate_brace,
    STATE(10718), 1,
      sym_identifier,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14247), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14259), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14269), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10230), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14251), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14257), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14265), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14267), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10633), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14249), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [20142] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14575), 1,
      sym__word_identifier,
    ACTIONS(14583), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14585), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14591), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14593), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14597), 1,
      sym_character_literal,
    ACTIONS(14603), 1,
      sym__immediate_paren,
    ACTIONS(14605), 1,
      sym__immediate_bracket,
    ACTIONS(14607), 1,
      sym__immediate_brace,
    STATE(5185), 1,
      sym_identifier,
    STATE(15289), 1,
      sym__delimiter_str_1,
    STATE(15290), 1,
      sym__delimiter_str_3,
    STATE(15291), 1,
      sym__delimiter_cmd_1,
    STATE(15292), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14577), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14589), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14601), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10231), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14581), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14587), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14595), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5693), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14599), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5659), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14579), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [20268] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13557), 1,
      sym__word_identifier,
    ACTIONS(13579), 1,
      sym_character_literal,
    ACTIONS(14609), 1,
      anon_sym_LPAREN,
    ACTIONS(14611), 1,
      anon_sym_LBRACK,
    ACTIONS(14613), 1,
      anon_sym_LBRACE,
    ACTIONS(14615), 1,
      anon_sym_DOLLAR,
    ACTIONS(14617), 1,
      anon_sym_COLON2,
    STATE(5440), 1,
      sym_identifier,
    STATE(5848), 1,
      sym__primary_expression,
    STATE(14772), 1,
      sym__delimiter_str_1,
    STATE(14773), 1,
      sym__delimiter_str_3,
    STATE(14774), 1,
      sym__delimiter_cmd_1,
    STATE(14775), 1,
      sym__delimiter_cmd_3,
    STATE(17792), 1,
      sym_macro_identifier,
    STATE(18976), 1,
      sym_operator,
    ACTIONS(14619), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10232), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5844), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5838), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6295), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [20390] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14469), 1,
      sym__word_identifier,
    ACTIONS(14475), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14477), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14483), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(14493), 1,
      sym__immediate_paren,
    ACTIONS(14495), 1,
      sym__immediate_bracket,
    ACTIONS(14497), 1,
      sym__immediate_brace,
    STATE(12284), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(1697), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14491), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10233), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1671), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14473), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14489), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11081), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14471), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [20516] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14621), 1,
      sym__word_identifier,
    ACTIONS(14629), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14631), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14637), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14639), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14643), 1,
      sym_character_literal,
    ACTIONS(14649), 1,
      sym__immediate_paren,
    ACTIONS(14651), 1,
      sym__immediate_bracket,
    ACTIONS(14653), 1,
      sym__immediate_brace,
    STATE(6814), 1,
      sym_identifier,
    STATE(14627), 1,
      sym__delimiter_str_1,
    STATE(14628), 1,
      sym__delimiter_str_3,
    STATE(14629), 1,
      sym__delimiter_cmd_1,
    STATE(14630), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14623), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14635), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14647), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10234), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14627), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14633), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14641), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7635), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14645), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7342), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14625), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [20642] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13699), 1,
      sym__word_identifier,
    ACTIONS(13713), 1,
      sym_character_literal,
    ACTIONS(14661), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14663), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14669), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14671), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14679), 1,
      sym__immediate_paren,
    ACTIONS(14681), 1,
      sym__immediate_bracket,
    ACTIONS(14683), 1,
      sym__immediate_brace,
    STATE(5427), 1,
      sym_identifier,
    STATE(14890), 1,
      sym__delimiter_str_1,
    STATE(14891), 1,
      sym__delimiter_str_3,
    STATE(14892), 1,
      sym__delimiter_cmd_1,
    STATE(14893), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14655), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14667), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14677), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10235), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14659), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14665), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14673), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5936), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14675), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6245), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14657), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [20768] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13699), 1,
      sym__word_identifier,
    ACTIONS(13713), 1,
      sym_character_literal,
    ACTIONS(14661), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14663), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14669), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14671), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14679), 1,
      sym__immediate_paren,
    ACTIONS(14681), 1,
      sym__immediate_bracket,
    ACTIONS(14683), 1,
      sym__immediate_brace,
    STATE(5427), 1,
      sym_identifier,
    STATE(14890), 1,
      sym__delimiter_str_1,
    STATE(14891), 1,
      sym__delimiter_str_3,
    STATE(14892), 1,
      sym__delimiter_cmd_1,
    STATE(14893), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14655), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14667), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14677), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10236), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14659), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14665), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14673), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5936), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14675), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6245), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14657), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [20894] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13723), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13725), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(13743), 1,
      sym__immediate_paren,
    ACTIONS(13745), 1,
      sym__immediate_bracket,
    ACTIONS(13747), 1,
      sym__immediate_brace,
    STATE(11505), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13717), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13741), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10237), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13721), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13727), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13739), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10985), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13719), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [21020] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13851), 1,
      sym__word_identifier,
    ACTIONS(13873), 1,
      sym_character_literal,
    ACTIONS(14685), 1,
      anon_sym_LPAREN,
    ACTIONS(14687), 1,
      anon_sym_LBRACK,
    ACTIONS(14689), 1,
      anon_sym_LBRACE,
    ACTIONS(14691), 1,
      anon_sym_DOLLAR,
    ACTIONS(14693), 1,
      anon_sym_COLON2,
    STATE(5678), 1,
      sym_identifier,
    STATE(6418), 1,
      sym__primary_expression,
    STATE(14903), 1,
      sym__delimiter_str_1,
    STATE(14904), 1,
      sym__delimiter_str_3,
    STATE(14905), 1,
      sym__delimiter_cmd_1,
    STATE(14906), 1,
      sym__delimiter_cmd_3,
    STATE(17806), 1,
      sym_macro_identifier,
    STATE(19103), 1,
      sym_operator,
    ACTIONS(14695), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10238), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6761), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6759), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6805), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [21142] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(7551), 1,
      sym_character_literal,
    ACTIONS(9755), 1,
      sym__word_identifier,
    ACTIONS(9761), 1,
      anon_sym_DOT_EQ,
    ACTIONS(9763), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(9765), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9767), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(9771), 1,
      sym__immediate_paren,
    ACTIONS(9773), 1,
      sym__immediate_bracket,
    ACTIONS(9775), 1,
      sym__immediate_brace,
    STATE(4611), 1,
      sym_identifier,
    STATE(14726), 1,
      sym__delimiter_str_1,
    STATE(14727), 1,
      sym__delimiter_str_3,
    STATE(14728), 1,
      sym__delimiter_cmd_1,
    STATE(14729), 1,
      sym__delimiter_cmd_3,
    ACTIONS(9757), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14701), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14707), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10239), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14697), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14699), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14703), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(4969), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14705), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5295), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(9759), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [21268] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13953), 1,
      sym__word_identifier,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14253), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14255), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14261), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14263), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14271), 1,
      sym__immediate_paren,
    ACTIONS(14273), 1,
      sym__immediate_bracket,
    ACTIONS(14275), 1,
      sym__immediate_brace,
    STATE(10718), 1,
      sym_identifier,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14247), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14259), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14269), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10240), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14251), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14257), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14265), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14267), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10633), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14249), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [21394] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13969), 1,
      sym__word_identifier,
    ACTIONS(13991), 1,
      sym_character_literal,
    ACTIONS(14709), 1,
      anon_sym_LPAREN,
    ACTIONS(14711), 1,
      anon_sym_LBRACK,
    ACTIONS(14713), 1,
      anon_sym_LBRACE,
    ACTIONS(14715), 1,
      anon_sym_DOLLAR,
    ACTIONS(14717), 1,
      anon_sym_COLON2,
    STATE(5425), 1,
      sym_identifier,
    STATE(5818), 1,
      sym__primary_expression,
    STATE(14644), 1,
      sym__delimiter_str_1,
    STATE(14645), 1,
      sym__delimiter_str_3,
    STATE(14646), 1,
      sym__delimiter_cmd_1,
    STATE(14647), 1,
      sym__delimiter_cmd_3,
    STATE(17771), 1,
      sym_macro_identifier,
    STATE(18808), 1,
      sym_operator,
    ACTIONS(14719), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10241), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5907), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5906), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6165), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [21516] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14721), 1,
      sym__word_identifier,
    ACTIONS(14729), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14731), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14737), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14739), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14743), 1,
      sym_character_literal,
    ACTIONS(14749), 1,
      sym__immediate_paren,
    ACTIONS(14751), 1,
      sym__immediate_bracket,
    ACTIONS(14753), 1,
      sym__immediate_brace,
    STATE(6819), 1,
      sym_identifier,
    STATE(14959), 1,
      sym__delimiter_str_1,
    STATE(14960), 1,
      sym__delimiter_str_3,
    STATE(14961), 1,
      sym__delimiter_cmd_1,
    STATE(14962), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14723), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14735), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14747), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10242), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14727), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14733), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14741), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7372), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14745), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7409), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14725), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [21642] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13427), 1,
      sym__word_identifier,
    ACTIONS(13441), 1,
      sym_character_literal,
    ACTIONS(14761), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14763), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14769), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14771), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14779), 1,
      sym__immediate_paren,
    ACTIONS(14781), 1,
      sym__immediate_bracket,
    ACTIONS(14783), 1,
      sym__immediate_brace,
    STATE(5360), 1,
      sym_identifier,
    STATE(15249), 1,
      sym__delimiter_str_1,
    STATE(15251), 1,
      sym__delimiter_str_3,
    STATE(15252), 1,
      sym__delimiter_cmd_1,
    STATE(15253), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14755), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14767), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14777), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10243), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14759), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14765), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14773), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6274), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14775), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6169), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14757), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [21768] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(7215), 1,
      sym_character_literal,
    ACTIONS(9853), 1,
      sym__word_identifier,
    ACTIONS(9859), 1,
      anon_sym_DOT_EQ,
    ACTIONS(9861), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(9863), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9865), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(9869), 1,
      sym__immediate_paren,
    ACTIONS(9871), 1,
      sym__immediate_bracket,
    ACTIONS(9873), 1,
      sym__immediate_brace,
    STATE(4785), 1,
      sym_identifier,
    STATE(15122), 1,
      sym__delimiter_str_1,
    STATE(15124), 1,
      sym__delimiter_str_3,
    STATE(15129), 1,
      sym__delimiter_cmd_1,
    STATE(15130), 1,
      sym__delimiter_cmd_3,
    ACTIONS(9855), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13263), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13269), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10244), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13259), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13261), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13265), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5432), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13267), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5310), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(9857), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [21894] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10105), 1,
      sym__word_identifier,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13467), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13469), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13475), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13477), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13485), 1,
      sym__immediate_paren,
    ACTIONS(13487), 1,
      sym__immediate_bracket,
    ACTIONS(13489), 1,
      sym__immediate_brace,
    STATE(10812), 1,
      sym_identifier,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13461), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13473), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13483), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10245), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13465), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13471), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13479), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13481), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10692), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13463), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [22020] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14575), 1,
      sym__word_identifier,
    ACTIONS(14583), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14585), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14591), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14593), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14597), 1,
      sym_character_literal,
    ACTIONS(14603), 1,
      sym__immediate_paren,
    ACTIONS(14605), 1,
      sym__immediate_bracket,
    ACTIONS(14607), 1,
      sym__immediate_brace,
    STATE(5185), 1,
      sym_identifier,
    STATE(15289), 1,
      sym__delimiter_str_1,
    STATE(15290), 1,
      sym__delimiter_str_3,
    STATE(15291), 1,
      sym__delimiter_cmd_1,
    STATE(15292), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14577), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14589), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14601), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10246), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14581), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14587), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14595), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5693), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14599), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5659), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14579), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [22146] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10557), 1,
      sym__word_identifier,
    ACTIONS(13511), 1,
      sym_character_literal,
    ACTIONS(14785), 1,
      anon_sym_LPAREN,
    ACTIONS(14787), 1,
      anon_sym_LBRACK,
    ACTIONS(14789), 1,
      anon_sym_LBRACE,
    ACTIONS(14791), 1,
      anon_sym_DOLLAR,
    ACTIONS(14793), 1,
      anon_sym_COLON2,
    STATE(11296), 1,
      sym_identifier,
    STATE(11896), 1,
      sym__primary_expression,
    STATE(15321), 1,
      sym__delimiter_str_1,
    STATE(15322), 1,
      sym__delimiter_str_3,
    STATE(15323), 1,
      sym__delimiter_cmd_1,
    STATE(15325), 1,
      sym__delimiter_cmd_3,
    STATE(17747), 1,
      sym_macro_identifier,
    STATE(19500), 1,
      sym_operator,
    ACTIONS(10569), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10247), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11848), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11846), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11843), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [22268] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(14795), 1,
      sym__word_identifier,
    ACTIONS(14797), 1,
      anon_sym_LPAREN,
    ACTIONS(14799), 1,
      anon_sym_LBRACK,
    ACTIONS(14801), 1,
      anon_sym_LBRACE,
    ACTIONS(14803), 1,
      anon_sym_DOLLAR,
    ACTIONS(14805), 1,
      anon_sym_COLON2,
    ACTIONS(14809), 1,
      sym_character_literal,
    STATE(5353), 1,
      sym_identifier,
    STATE(5937), 1,
      sym__primary_expression,
    STATE(14972), 1,
      sym__delimiter_str_1,
    STATE(14973), 1,
      sym__delimiter_str_3,
    STATE(14974), 1,
      sym__delimiter_cmd_1,
    STATE(14975), 1,
      sym__delimiter_cmd_3,
    STATE(17815), 1,
      sym_macro_identifier,
    STATE(19198), 1,
      sym_operator,
    ACTIONS(14807), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10248), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6077), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6074), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6383), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [22390] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14529), 1,
      sym__word_identifier,
    ACTIONS(14537), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14539), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14545), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14547), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14551), 1,
      sym_character_literal,
    ACTIONS(14557), 1,
      sym__immediate_paren,
    ACTIONS(14559), 1,
      sym__immediate_bracket,
    ACTIONS(14561), 1,
      sym__immediate_brace,
    STATE(5442), 1,
      sym_identifier,
    STATE(14691), 1,
      sym__delimiter_str_1,
    STATE(14692), 1,
      sym__delimiter_str_3,
    STATE(14693), 1,
      sym__delimiter_cmd_1,
    STATE(14694), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14531), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14543), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14555), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10249), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14535), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14541), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14549), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6006), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14553), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6297), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14533), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [22516] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14151), 1,
      sym__word_identifier,
    ACTIONS(14165), 1,
      sym_character_literal,
    ACTIONS(14505), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14507), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14513), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14515), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14523), 1,
      sym__immediate_paren,
    ACTIONS(14525), 1,
      sym__immediate_bracket,
    ACTIONS(14527), 1,
      sym__immediate_brace,
    STATE(5677), 1,
      sym_identifier,
    STATE(15419), 1,
      sym__delimiter_str_1,
    STATE(15420), 1,
      sym__delimiter_str_3,
    STATE(15421), 1,
      sym__delimiter_cmd_1,
    STATE(15422), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14499), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14511), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14521), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10250), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14503), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14509), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14517), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6708), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14519), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6594), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14501), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [22642] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14811), 1,
      sym__word_identifier,
    ACTIONS(14819), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14821), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14827), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14829), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14833), 1,
      sym_character_literal,
    ACTIONS(14839), 1,
      sym__immediate_paren,
    ACTIONS(14841), 1,
      sym__immediate_bracket,
    ACTIONS(14843), 1,
      sym__immediate_brace,
    STATE(8224), 1,
      sym_identifier,
    STATE(15022), 1,
      sym__delimiter_str_1,
    STATE(15023), 1,
      sym__delimiter_str_3,
    STATE(15024), 1,
      sym__delimiter_cmd_1,
    STATE(15025), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14813), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14825), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14837), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10251), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14817), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14823), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14831), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(9355), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14835), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(9334), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14815), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [22768] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(995), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14845), 1,
      sym__word_identifier,
    ACTIONS(14853), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14855), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14859), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14861), 1,
      sym_character_literal,
    ACTIONS(14867), 1,
      sym__immediate_paren,
    ACTIONS(14869), 1,
      sym__immediate_bracket,
    ACTIONS(14871), 1,
      sym__immediate_brace,
    STATE(7193), 1,
      sym_identifier,
    STATE(14641), 1,
      sym__delimiter_str_1,
    STATE(14703), 1,
      sym__delimiter_str_3,
    STATE(14704), 1,
      sym__delimiter_cmd_1,
    STATE(14889), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7211), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14847), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14865), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10252), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7213), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(14851), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14857), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    STATE(9091), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14863), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(8517), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14849), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [22894] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14873), 1,
      sym__word_identifier,
    ACTIONS(14881), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14883), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14889), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14891), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14895), 1,
      sym_character_literal,
    ACTIONS(14901), 1,
      sym__immediate_paren,
    ACTIONS(14903), 1,
      sym__immediate_bracket,
    ACTIONS(14905), 1,
      sym__immediate_brace,
    STATE(5926), 1,
      sym_identifier,
    STATE(14709), 1,
      sym__delimiter_str_1,
    STATE(14716), 1,
      sym__delimiter_str_3,
    STATE(14717), 1,
      sym__delimiter_cmd_1,
    STATE(14718), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14875), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14887), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14899), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10253), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14879), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14885), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14893), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6937), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14897), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6817), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14877), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [23020] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13687), 1,
      anon_sym_LPAREN,
    ACTIONS(13689), 1,
      anon_sym_LBRACK,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14907), 1,
      anon_sym_DOLLAR,
    ACTIONS(14909), 1,
      anon_sym_COLON2,
    STATE(11671), 1,
      sym_identifier,
    STATE(12008), 1,
      sym__primary_expression,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    STATE(18196), 1,
      sym_macro_identifier,
    STATE(19880), 1,
      sym_operator,
    ACTIONS(10541), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10254), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11258), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11240), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [23142] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14457), 1,
      anon_sym_LPAREN,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    ACTIONS(14461), 1,
      anon_sym_LBRACE,
    ACTIONS(14911), 1,
      anon_sym_DOLLAR,
    ACTIONS(14913), 1,
      anon_sym_COLON2,
    STATE(11395), 1,
      sym_identifier,
    STATE(11954), 1,
      sym__primary_expression,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    STATE(17699), 1,
      sym_macro_identifier,
    STATE(19865), 1,
      sym_operator,
    ACTIONS(14467), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10255), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11095), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10982), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [23264] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14281), 1,
      sym__word_identifier,
    ACTIONS(14289), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14291), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(14309), 1,
      sym__immediate_paren,
    ACTIONS(14311), 1,
      sym__immediate_bracket,
    ACTIONS(14313), 1,
      sym__immediate_brace,
    STATE(12094), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14283), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14307), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10256), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14287), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14293), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14305), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11802), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14285), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [23390] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14469), 1,
      sym__word_identifier,
    ACTIONS(14475), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14477), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14483), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(14493), 1,
      sym__immediate_paren,
    ACTIONS(14495), 1,
      sym__immediate_bracket,
    ACTIONS(14497), 1,
      sym__immediate_brace,
    STATE(11288), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(1697), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14491), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10257), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1671), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14473), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14489), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11081), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14471), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [23516] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13687), 1,
      anon_sym_LPAREN,
    ACTIONS(13689), 1,
      anon_sym_LBRACK,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14915), 1,
      anon_sym_DOLLAR,
    ACTIONS(14917), 1,
      anon_sym_COLON2,
    STATE(11689), 1,
      sym_identifier,
    STATE(12010), 1,
      sym__primary_expression,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    STATE(18196), 1,
      sym_macro_identifier,
    STATE(19880), 1,
      sym_operator,
    ACTIONS(10541), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10258), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11258), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11240), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [23638] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14457), 1,
      anon_sym_LPAREN,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    ACTIONS(14461), 1,
      anon_sym_LBRACE,
    ACTIONS(14919), 1,
      anon_sym_DOLLAR,
    ACTIONS(14921), 1,
      anon_sym_COLON2,
    STATE(11222), 1,
      sym_identifier,
    STATE(11740), 1,
      sym__primary_expression,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    STATE(17699), 1,
      sym_macro_identifier,
    STATE(19865), 1,
      sym_operator,
    ACTIONS(14467), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10259), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11095), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10982), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [23760] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14281), 1,
      sym__word_identifier,
    ACTIONS(14289), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14291), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(14309), 1,
      sym__immediate_paren,
    ACTIONS(14311), 1,
      sym__immediate_bracket,
    ACTIONS(14313), 1,
      sym__immediate_brace,
    STATE(12616), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14283), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14307), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10260), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14287), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14293), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14305), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11802), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14285), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [23886] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14469), 1,
      sym__word_identifier,
    ACTIONS(14475), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14477), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14483), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(14493), 1,
      sym__immediate_paren,
    ACTIONS(14495), 1,
      sym__immediate_bracket,
    ACTIONS(14497), 1,
      sym__immediate_brace,
    STATE(12622), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(1697), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14491), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10261), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1671), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14473), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14489), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11081), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14471), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [24012] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10527), 1,
      sym__word_identifier,
    ACTIONS(13687), 1,
      anon_sym_LPAREN,
    ACTIONS(13689), 1,
      anon_sym_LBRACK,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14923), 1,
      anon_sym_DOLLAR,
    ACTIONS(14925), 1,
      anon_sym_COLON2,
    STATE(11697), 1,
      sym_identifier,
    STATE(12012), 1,
      sym__primary_expression,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    STATE(18196), 1,
      sym_macro_identifier,
    STATE(19880), 1,
      sym_operator,
    ACTIONS(10541), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10262), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11258), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11240), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [24134] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14457), 1,
      anon_sym_LPAREN,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    ACTIONS(14461), 1,
      anon_sym_LBRACE,
    ACTIONS(14927), 1,
      anon_sym_DOLLAR,
    ACTIONS(14929), 1,
      anon_sym_COLON2,
    STATE(11307), 1,
      sym_identifier,
    STATE(11957), 1,
      sym__primary_expression,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    STATE(17699), 1,
      sym_macro_identifier,
    STATE(19865), 1,
      sym_operator,
    ACTIONS(14467), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10263), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11095), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10982), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [24256] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14281), 1,
      sym__word_identifier,
    ACTIONS(14289), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14291), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(14309), 1,
      sym__immediate_paren,
    ACTIONS(14311), 1,
      sym__immediate_bracket,
    ACTIONS(14313), 1,
      sym__immediate_brace,
    STATE(12367), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14283), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14307), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10264), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14287), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14293), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14305), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11802), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14285), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [24382] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14469), 1,
      sym__word_identifier,
    ACTIONS(14475), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14477), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14483), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(14493), 1,
      sym__immediate_paren,
    ACTIONS(14495), 1,
      sym__immediate_bracket,
    ACTIONS(14497), 1,
      sym__immediate_brace,
    STATE(12897), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(1697), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14491), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10265), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1671), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14473), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14489), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11081), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14471), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [24508] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14457), 1,
      anon_sym_LPAREN,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    ACTIONS(14461), 1,
      anon_sym_LBRACE,
    ACTIONS(14931), 1,
      anon_sym_DOLLAR,
    ACTIONS(14933), 1,
      anon_sym_COLON2,
    STATE(11355), 1,
      sym_identifier,
    STATE(11959), 1,
      sym__primary_expression,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    STATE(17699), 1,
      sym_macro_identifier,
    STATE(19865), 1,
      sym_operator,
    ACTIONS(14467), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10266), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11095), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10982), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [24630] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14281), 1,
      sym__word_identifier,
    ACTIONS(14289), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14291), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(14309), 1,
      sym__immediate_paren,
    ACTIONS(14311), 1,
      sym__immediate_bracket,
    ACTIONS(14313), 1,
      sym__immediate_brace,
    STATE(11994), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14283), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14307), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10267), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14287), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14293), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14305), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11802), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14285), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [24756] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14469), 1,
      sym__word_identifier,
    ACTIONS(14475), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14477), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14483), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(14493), 1,
      sym__immediate_paren,
    ACTIONS(14495), 1,
      sym__immediate_bracket,
    ACTIONS(14497), 1,
      sym__immediate_brace,
    STATE(11996), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(1697), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14491), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10268), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1671), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14473), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14489), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11081), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14471), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [24882] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14281), 1,
      sym__word_identifier,
    ACTIONS(14289), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14291), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(14309), 1,
      sym__immediate_paren,
    ACTIONS(14311), 1,
      sym__immediate_bracket,
    ACTIONS(14313), 1,
      sym__immediate_brace,
    STATE(12113), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14283), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14307), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10269), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14287), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14293), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14305), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11802), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14285), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25008] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14469), 1,
      sym__word_identifier,
    ACTIONS(14475), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14477), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14483), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(14493), 1,
      sym__immediate_paren,
    ACTIONS(14495), 1,
      sym__immediate_bracket,
    ACTIONS(14497), 1,
      sym__immediate_brace,
    STATE(13104), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(1697), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14491), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10270), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1671), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14473), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14489), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11081), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14471), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25134] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14281), 1,
      sym__word_identifier,
    ACTIONS(14289), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14291), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(14309), 1,
      sym__immediate_paren,
    ACTIONS(14311), 1,
      sym__immediate_bracket,
    ACTIONS(14313), 1,
      sym__immediate_brace,
    STATE(12219), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14283), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14307), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10271), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14287), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14293), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14305), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11802), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14285), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25260] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14469), 1,
      sym__word_identifier,
    ACTIONS(14475), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14477), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14483), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(14493), 1,
      sym__immediate_paren,
    ACTIONS(14495), 1,
      sym__immediate_bracket,
    ACTIONS(14497), 1,
      sym__immediate_brace,
    STATE(12115), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(1697), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14491), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10272), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1671), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14473), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14489), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11081), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14471), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25386] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14281), 1,
      sym__word_identifier,
    ACTIONS(14289), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14291), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(14309), 1,
      sym__immediate_paren,
    ACTIONS(14311), 1,
      sym__immediate_bracket,
    ACTIONS(14313), 1,
      sym__immediate_brace,
    STATE(12117), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14283), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14307), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10273), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14287), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14293), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14305), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11802), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14285), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25512] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14281), 1,
      sym__word_identifier,
    ACTIONS(14289), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14291), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(14309), 1,
      sym__immediate_paren,
    ACTIONS(14311), 1,
      sym__immediate_bracket,
    ACTIONS(14313), 1,
      sym__immediate_brace,
    STATE(12225), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14283), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14307), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10274), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14287), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14293), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14305), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11802), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14285), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25638] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14281), 1,
      sym__word_identifier,
    ACTIONS(14289), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14291), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(14309), 1,
      sym__immediate_paren,
    ACTIONS(14311), 1,
      sym__immediate_bracket,
    ACTIONS(14313), 1,
      sym__immediate_brace,
    STATE(12119), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14283), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14307), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10275), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14287), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14293), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14305), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11802), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14285), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25764] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14281), 1,
      sym__word_identifier,
    ACTIONS(14289), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14291), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(14309), 1,
      sym__immediate_paren,
    ACTIONS(14311), 1,
      sym__immediate_bracket,
    ACTIONS(14313), 1,
      sym__immediate_brace,
    STATE(12229), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14283), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14307), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10276), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14287), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14293), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14305), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11802), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14285), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [25890] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(14575), 1,
      sym__word_identifier,
    ACTIONS(14597), 1,
      sym_character_literal,
    ACTIONS(14935), 1,
      anon_sym_LPAREN,
    ACTIONS(14937), 1,
      anon_sym_LBRACK,
    ACTIONS(14939), 1,
      anon_sym_LBRACE,
    ACTIONS(14941), 1,
      anon_sym_DOLLAR,
    ACTIONS(14943), 1,
      anon_sym_COLON2,
    STATE(5118), 1,
      sym_identifier,
    STATE(5587), 1,
      sym__primary_expression,
    STATE(15289), 1,
      sym__delimiter_str_1,
    STATE(15290), 1,
      sym__delimiter_str_3,
    STATE(15291), 1,
      sym__delimiter_cmd_1,
    STATE(15292), 1,
      sym__delimiter_cmd_3,
    STATE(17734), 1,
      sym_macro_identifier,
    STATE(18921), 1,
      sym_operator,
    ACTIONS(14945), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10277), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5694), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5693), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5658), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [26012] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4471), 1,
      sym_character_literal,
    ACTIONS(9831), 1,
      sym__word_identifier,
    ACTIONS(9837), 1,
      anon_sym_DOT_EQ,
    ACTIONS(9839), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(9841), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9843), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(9847), 1,
      sym__immediate_paren,
    ACTIONS(9849), 1,
      sym__immediate_bracket,
    ACTIONS(9851), 1,
      sym__immediate_brace,
    STATE(4633), 1,
      sym_identifier,
    STATE(15050), 1,
      sym__delimiter_str_1,
    STATE(15051), 1,
      sym__delimiter_str_3,
    STATE(15052), 1,
      sym__delimiter_cmd_1,
    STATE(15053), 1,
      sym__delimiter_cmd_3,
    ACTIONS(9833), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14951), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14957), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10278), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14947), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14949), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14953), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5275), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14955), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5001), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(9835), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [26138] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(515), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14959), 1,
      sym__word_identifier,
    ACTIONS(14967), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14969), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14973), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14975), 1,
      sym_character_literal,
    ACTIONS(14981), 1,
      sym__immediate_paren,
    ACTIONS(14983), 1,
      sym__immediate_bracket,
    ACTIONS(14985), 1,
      sym__immediate_brace,
    STATE(7177), 1,
      sym_identifier,
    STATE(14941), 1,
      sym__delimiter_str_1,
    STATE(14942), 1,
      sym__delimiter_str_3,
    STATE(14943), 1,
      sym__delimiter_cmd_1,
    STATE(14944), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7547), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14961), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14979), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10279), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7549), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(14965), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14971), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    STATE(8008), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14977), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(8324), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14963), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [26264] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(683), 1,
      sym_character_literal,
    ACTIONS(9799), 1,
      sym__word_identifier,
    ACTIONS(9807), 1,
      anon_sym_DOT_EQ,
    ACTIONS(9809), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(9815), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9817), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(9825), 1,
      sym__immediate_paren,
    ACTIONS(9827), 1,
      sym__immediate_bracket,
    ACTIONS(9829), 1,
      sym__immediate_brace,
    STATE(4643), 1,
      sym_identifier,
    STATE(15442), 1,
      sym__delimiter_str_1,
    STATE(15443), 1,
      sym__delimiter_str_3,
    STATE(15444), 1,
      sym__delimiter_cmd_1,
    STATE(15445), 1,
      sym__delimiter_cmd_3,
    ACTIONS(9801), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(9813), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(9823), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10280), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9805), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9811), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(9819), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5085), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(9821), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5070), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(9803), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [26390] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(7693), 1,
      sym_character_literal,
    ACTIONS(9777), 1,
      sym__word_identifier,
    ACTIONS(9783), 1,
      anon_sym_DOT_EQ,
    ACTIONS(9785), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(9787), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9789), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(9793), 1,
      sym__immediate_paren,
    ACTIONS(9795), 1,
      sym__immediate_bracket,
    ACTIONS(9797), 1,
      sym__immediate_brace,
    STATE(4593), 1,
      sym_identifier,
    STATE(15332), 1,
      sym__delimiter_str_1,
    STATE(15335), 1,
      sym__delimiter_str_3,
    STATE(15337), 1,
      sym__delimiter_cmd_1,
    STATE(15339), 1,
      sym__delimiter_cmd_3,
    ACTIONS(9779), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14991), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14997), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10281), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14987), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14989), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14993), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5136), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14995), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5117), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(9781), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [26516] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13641), 1,
      sym__word_identifier,
    ACTIONS(13649), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13651), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13657), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13659), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13663), 1,
      sym_character_literal,
    ACTIONS(13669), 1,
      sym__immediate_paren,
    ACTIONS(13671), 1,
      sym__immediate_bracket,
    ACTIONS(13673), 1,
      sym__immediate_brace,
    STATE(5639), 1,
      sym_identifier,
    STATE(15165), 1,
      sym__delimiter_str_1,
    STATE(15166), 1,
      sym__delimiter_str_3,
    STATE(15167), 1,
      sym__delimiter_cmd_1,
    STATE(15168), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13643), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13655), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13667), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10282), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13647), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13653), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13661), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6543), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13665), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6475), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13645), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [26642] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(14575), 1,
      sym__word_identifier,
    ACTIONS(14597), 1,
      sym_character_literal,
    ACTIONS(14935), 1,
      anon_sym_LPAREN,
    ACTIONS(14937), 1,
      anon_sym_LBRACK,
    ACTIONS(14939), 1,
      anon_sym_LBRACE,
    ACTIONS(14941), 1,
      anon_sym_DOLLAR,
    ACTIONS(14943), 1,
      anon_sym_COLON2,
    STATE(5118), 1,
      sym_identifier,
    STATE(5675), 1,
      sym__primary_expression,
    STATE(15289), 1,
      sym__delimiter_str_1,
    STATE(15290), 1,
      sym__delimiter_str_3,
    STATE(15291), 1,
      sym__delimiter_cmd_1,
    STATE(15292), 1,
      sym__delimiter_cmd_3,
    STATE(17734), 1,
      sym_macro_identifier,
    STATE(18921), 1,
      sym_operator,
    ACTIONS(14945), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10283), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5694), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5693), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5658), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [26764] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14795), 1,
      sym__word_identifier,
    ACTIONS(14809), 1,
      sym_character_literal,
    ACTIONS(15005), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15007), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(15013), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15015), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15023), 1,
      sym__immediate_paren,
    ACTIONS(15025), 1,
      sym__immediate_bracket,
    ACTIONS(15027), 1,
      sym__immediate_brace,
    STATE(5418), 1,
      sym_identifier,
    STATE(14972), 1,
      sym__delimiter_str_1,
    STATE(14973), 1,
      sym__delimiter_str_3,
    STATE(14974), 1,
      sym__delimiter_cmd_1,
    STATE(14975), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14999), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(15011), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15021), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10284), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15003), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(15009), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15017), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6074), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(15019), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5957), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(15001), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [26890] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(7169), 1,
      sym_character_literal,
    ACTIONS(9733), 1,
      sym__word_identifier,
    ACTIONS(9739), 1,
      anon_sym_DOT_EQ,
    ACTIONS(9741), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(9743), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9745), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(9749), 1,
      sym__immediate_paren,
    ACTIONS(9751), 1,
      sym__immediate_bracket,
    ACTIONS(9753), 1,
      sym__immediate_brace,
    STATE(4609), 1,
      sym_identifier,
    STATE(15378), 1,
      sym__delimiter_str_1,
    STATE(15379), 1,
      sym__delimiter_str_3,
    STATE(15381), 1,
      sym__delimiter_cmd_1,
    STATE(15383), 1,
      sym__delimiter_cmd_3,
    ACTIONS(9735), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(15033), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15039), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10285), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15029), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(15031), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15035), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5242), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(15037), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5204), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(9737), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [27016] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13715), 1,
      sym__word_identifier,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14457), 1,
      anon_sym_LPAREN,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    ACTIONS(14461), 1,
      anon_sym_LBRACE,
    ACTIONS(15041), 1,
      anon_sym_DOLLAR,
    ACTIONS(15043), 1,
      anon_sym_COLON2,
    STATE(11609), 1,
      sym_identifier,
    STATE(12004), 1,
      sym__primary_expression,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    STATE(17699), 1,
      sym_macro_identifier,
    STATE(19865), 1,
      sym_operator,
    ACTIONS(14467), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10286), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11095), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10982), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [27138] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13969), 1,
      sym__word_identifier,
    ACTIONS(13977), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13979), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13985), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13987), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13991), 1,
      sym_character_literal,
    ACTIONS(13997), 1,
      sym__immediate_paren,
    ACTIONS(13999), 1,
      sym__immediate_bracket,
    ACTIONS(14001), 1,
      sym__immediate_brace,
    STATE(5394), 1,
      sym_identifier,
    STATE(14644), 1,
      sym__delimiter_str_1,
    STATE(14645), 1,
      sym__delimiter_str_3,
    STATE(14646), 1,
      sym__delimiter_cmd_1,
    STATE(14647), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13971), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13983), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13995), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10287), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13975), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13981), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13989), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5906), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13993), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6246), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13973), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [27264] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(15045), 1,
      sym__word_identifier,
    ACTIONS(15053), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15055), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(15061), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15063), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15067), 1,
      sym_character_literal,
    ACTIONS(15073), 1,
      sym__immediate_paren,
    ACTIONS(15075), 1,
      sym__immediate_bracket,
    ACTIONS(15077), 1,
      sym__immediate_brace,
    STATE(6890), 1,
      sym_identifier,
    STATE(14874), 1,
      sym__delimiter_str_1,
    STATE(14875), 1,
      sym__delimiter_str_3,
    STATE(14876), 1,
      sym__delimiter_cmd_1,
    STATE(14877), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15047), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(15059), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15071), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10288), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15051), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(15057), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15065), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7284), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(15069), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7334), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(15049), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [27390] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14315), 1,
      sym__word_identifier,
    ACTIONS(14323), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14325), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14331), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14333), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14337), 1,
      sym_character_literal,
    ACTIONS(14343), 1,
      sym__immediate_paren,
    ACTIONS(14345), 1,
      sym__immediate_bracket,
    ACTIONS(14347), 1,
      sym__immediate_brace,
    STATE(12014), 1,
      sym_identifier,
    STATE(14663), 1,
      sym__delimiter_str_1,
    STATE(14664), 1,
      sym__delimiter_str_3,
    STATE(14665), 1,
      sym__delimiter_cmd_1,
    STATE(14666), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14317), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14329), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14341), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10289), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14321), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14327), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14335), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(12250), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14339), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(12216), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14319), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [27516] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14795), 1,
      sym__word_identifier,
    ACTIONS(14809), 1,
      sym_character_literal,
    ACTIONS(15005), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15007), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(15013), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15015), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15023), 1,
      sym__immediate_paren,
    ACTIONS(15025), 1,
      sym__immediate_bracket,
    ACTIONS(15027), 1,
      sym__immediate_brace,
    STATE(5418), 1,
      sym_identifier,
    STATE(14972), 1,
      sym__delimiter_str_1,
    STATE(14973), 1,
      sym__delimiter_str_3,
    STATE(14974), 1,
      sym__delimiter_cmd_1,
    STATE(14975), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14999), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(15011), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15021), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10290), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15003), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(15009), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15017), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6074), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(15019), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5957), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(15001), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [27642] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13885), 1,
      sym__word_identifier,
    ACTIONS(13893), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13895), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13901), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13903), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13907), 1,
      sym_character_literal,
    ACTIONS(13913), 1,
      sym__immediate_paren,
    ACTIONS(13915), 1,
      sym__immediate_bracket,
    ACTIONS(13917), 1,
      sym__immediate_brace,
    STATE(12029), 1,
      sym_identifier,
    STATE(15448), 1,
      sym__delimiter_str_1,
    STATE(15449), 1,
      sym__delimiter_str_3,
    STATE(15450), 1,
      sym__delimiter_cmd_1,
    STATE(15451), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13887), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13899), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13911), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10291), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13891), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13897), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13905), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(12472), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13909), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(12426), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13889), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [27768] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(14529), 1,
      sym__word_identifier,
    ACTIONS(14551), 1,
      sym_character_literal,
    ACTIONS(15079), 1,
      anon_sym_LPAREN,
    ACTIONS(15081), 1,
      anon_sym_LBRACK,
    ACTIONS(15083), 1,
      anon_sym_LBRACE,
    ACTIONS(15085), 1,
      anon_sym_DOLLAR,
    ACTIONS(15087), 1,
      anon_sym_COLON2,
    STATE(5428), 1,
      sym_identifier,
    STATE(5843), 1,
      sym__primary_expression,
    STATE(14691), 1,
      sym__delimiter_str_1,
    STATE(14692), 1,
      sym__delimiter_str_3,
    STATE(14693), 1,
      sym__delimiter_cmd_1,
    STATE(14694), 1,
      sym__delimiter_cmd_3,
    STATE(17782), 1,
      sym_macro_identifier,
    STATE(18892), 1,
      sym_operator,
    ACTIONS(15089), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10292), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6019), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6006), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6216), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [27890] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1287), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15091), 1,
      sym__word_identifier,
    ACTIONS(15099), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15101), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(15105), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15107), 1,
      sym_character_literal,
    ACTIONS(15113), 1,
      sym__immediate_paren,
    ACTIONS(15115), 1,
      sym__immediate_bracket,
    ACTIONS(15117), 1,
      sym__immediate_brace,
    STATE(9215), 1,
      sym_identifier,
    STATE(15007), 1,
      sym__delimiter_str_1,
    STATE(15008), 1,
      sym__delimiter_str_3,
    STATE(15009), 1,
      sym__delimiter_cmd_1,
    STATE(15010), 1,
      sym__delimiter_cmd_3,
    ACTIONS(1285), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15093), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(15111), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10293), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1291), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15097), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(15103), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    STATE(9604), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(15109), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(9642), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(15095), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [28016] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(771), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15119), 1,
      sym__word_identifier,
    ACTIONS(15127), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15129), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(15133), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15135), 1,
      sym_character_literal,
    ACTIONS(15141), 1,
      sym__immediate_paren,
    ACTIONS(15143), 1,
      sym__immediate_bracket,
    ACTIONS(15145), 1,
      sym__immediate_brace,
    STATE(7090), 1,
      sym_identifier,
    STATE(15036), 1,
      sym__delimiter_str_1,
    STATE(15054), 1,
      sym__delimiter_str_3,
    STATE(15055), 1,
      sym__delimiter_cmd_1,
    STATE(15056), 1,
      sym__delimiter_cmd_3,
    ACTIONS(4467), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15121), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(15139), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10294), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4469), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15125), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(15131), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    STATE(8432), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(15137), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7844), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(15123), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [28142] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(15147), 1,
      sym__word_identifier,
    ACTIONS(15155), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15157), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(15163), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15165), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15169), 1,
      sym_character_literal,
    ACTIONS(15175), 1,
      sym__immediate_paren,
    ACTIONS(15177), 1,
      sym__immediate_bracket,
    ACTIONS(15179), 1,
      sym__immediate_brace,
    STATE(7026), 1,
      sym_identifier,
    STATE(14721), 1,
      sym__delimiter_str_1,
    STATE(14723), 1,
      sym__delimiter_str_3,
    STATE(14724), 1,
      sym__delimiter_cmd_1,
    STATE(14744), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15149), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(15161), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15173), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10295), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15153), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(15159), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15167), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(8396), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(15171), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7999), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(15151), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [28268] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13445), 1,
      sym__word_identifier,
    ACTIONS(13459), 1,
      sym_character_literal,
    ACTIONS(15187), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15189), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(15195), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15197), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15205), 1,
      sym__immediate_paren,
    ACTIONS(15207), 1,
      sym__immediate_bracket,
    ACTIONS(15209), 1,
      sym__immediate_brace,
    STATE(11231), 1,
      sym_identifier,
    STATE(14676), 1,
      sym__delimiter_str_1,
    STATE(14677), 1,
      sym__delimiter_str_3,
    STATE(14678), 1,
      sym__delimiter_cmd_1,
    STATE(14679), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15181), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(15193), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15203), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10296), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15185), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(15191), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15199), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11610), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(15201), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11588), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(15183), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [28394] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14873), 1,
      sym__word_identifier,
    ACTIONS(14881), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14883), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14889), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14891), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14895), 1,
      sym_character_literal,
    ACTIONS(14901), 1,
      sym__immediate_paren,
    ACTIONS(14903), 1,
      sym__immediate_bracket,
    ACTIONS(14905), 1,
      sym__immediate_brace,
    STATE(5926), 1,
      sym_identifier,
    STATE(14709), 1,
      sym__delimiter_str_1,
    STATE(14716), 1,
      sym__delimiter_str_3,
    STATE(14717), 1,
      sym__delimiter_cmd_1,
    STATE(14718), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14875), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14887), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14899), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10297), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14879), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14885), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14893), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6937), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14897), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6817), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14877), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [28520] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13176), 1,
      sym__word_identifier,
    ACTIONS(13182), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13184), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13186), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13192), 1,
      sym__immediate_paren,
    ACTIONS(13194), 1,
      sym__immediate_bracket,
    ACTIONS(13196), 1,
      sym__immediate_brace,
    STATE(10845), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13178), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14019), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14025), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10298), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14015), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14017), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14021), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14023), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(10520), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13180), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [28646] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(871), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15211), 1,
      sym__word_identifier,
    ACTIONS(15219), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15221), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(15225), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15227), 1,
      sym_character_literal,
    ACTIONS(15233), 1,
      sym__immediate_paren,
    ACTIONS(15235), 1,
      sym__immediate_bracket,
    ACTIONS(15237), 1,
      sym__immediate_brace,
    STATE(7127), 1,
      sym_identifier,
    STATE(14746), 1,
      sym__delimiter_str_1,
    STATE(14747), 1,
      sym__delimiter_str_3,
    STATE(14748), 1,
      sym__delimiter_cmd_1,
    STATE(14749), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7689), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15213), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(15231), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10299), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7691), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15217), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(15223), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    STATE(7836), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(15229), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7899), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(15215), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [28772] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(14873), 1,
      sym__word_identifier,
    ACTIONS(14895), 1,
      sym_character_literal,
    ACTIONS(15239), 1,
      anon_sym_LPAREN,
    ACTIONS(15241), 1,
      anon_sym_LBRACK,
    ACTIONS(15243), 1,
      anon_sym_LBRACE,
    ACTIONS(15245), 1,
      anon_sym_DOLLAR,
    ACTIONS(15247), 1,
      anon_sym_COLON2,
    STATE(6038), 1,
      sym_identifier,
    STATE(6841), 1,
      sym__primary_expression,
    STATE(14709), 1,
      sym__delimiter_str_1,
    STATE(14716), 1,
      sym__delimiter_str_3,
    STATE(14717), 1,
      sym__delimiter_cmd_1,
    STATE(14718), 1,
      sym__delimiter_cmd_3,
    STATE(17677), 1,
      sym_macro_identifier,
    STATE(19363), 1,
      sym_operator,
    ACTIONS(15249), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10300), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6881), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6937), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6815), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [28894] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13523), 1,
      sym__word_identifier,
    ACTIONS(13531), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13533), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13539), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13541), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13545), 1,
      sym_character_literal,
    ACTIONS(13551), 1,
      sym__immediate_paren,
    ACTIONS(13553), 1,
      sym__immediate_bracket,
    ACTIONS(13555), 1,
      sym__immediate_brace,
    STATE(6411), 1,
      sym_identifier,
    STATE(15038), 1,
      sym__delimiter_str_1,
    STATE(15039), 1,
      sym__delimiter_str_3,
    STATE(15040), 1,
      sym__delimiter_cmd_1,
    STATE(15041), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13525), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13537), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13549), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10301), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13529), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13535), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13543), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7154), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13547), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7157), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13527), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29020] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13445), 1,
      sym__word_identifier,
    ACTIONS(13459), 1,
      sym_character_literal,
    ACTIONS(15187), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15189), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(15195), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15197), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15205), 1,
      sym__immediate_paren,
    ACTIONS(15207), 1,
      sym__immediate_bracket,
    ACTIONS(15209), 1,
      sym__immediate_brace,
    STATE(11231), 1,
      sym_identifier,
    STATE(14676), 1,
      sym__delimiter_str_1,
    STATE(14677), 1,
      sym__delimiter_str_3,
    STATE(14678), 1,
      sym__delimiter_cmd_1,
    STATE(14679), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15181), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(15193), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15203), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10302), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15185), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(15191), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15199), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11610), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(15201), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11588), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(15183), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29146] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13625), 1,
      sym__word_identifier,
    ACTIONS(13639), 1,
      sym_character_literal,
    ACTIONS(14429), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14431), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14437), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14439), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14447), 1,
      sym__immediate_paren,
    ACTIONS(14449), 1,
      sym__immediate_bracket,
    ACTIONS(14451), 1,
      sym__immediate_brace,
    STATE(5774), 1,
      sym_identifier,
    STATE(14705), 1,
      sym__delimiter_str_1,
    STATE(14706), 1,
      sym__delimiter_str_3,
    STATE(14707), 1,
      sym__delimiter_cmd_1,
    STATE(14708), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14423), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14435), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14445), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10303), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14427), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14433), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14441), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6576), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14443), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6765), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14425), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29272] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13817), 1,
      sym__word_identifier,
    ACTIONS(13825), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13827), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13833), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13835), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13839), 1,
      sym_character_literal,
    ACTIONS(13845), 1,
      sym__immediate_paren,
    ACTIONS(13847), 1,
      sym__immediate_bracket,
    ACTIONS(13849), 1,
      sym__immediate_brace,
    STATE(5650), 1,
      sym_identifier,
    STATE(15204), 1,
      sym__delimiter_str_1,
    STATE(15205), 1,
      sym__delimiter_str_3,
    STATE(15206), 1,
      sym__delimiter_cmd_1,
    STATE(15207), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13819), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13831), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13843), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10304), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13823), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13829), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13837), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6589), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13841), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6519), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13821), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29398] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13393), 1,
      sym__word_identifier,
    ACTIONS(13415), 1,
      sym_character_literal,
    ACTIONS(15251), 1,
      anon_sym_LPAREN,
    ACTIONS(15253), 1,
      anon_sym_LBRACK,
    ACTIONS(15255), 1,
      anon_sym_LBRACE,
    ACTIONS(15257), 1,
      anon_sym_DOLLAR,
    ACTIONS(15259), 1,
      anon_sym_COLON2,
    STATE(5490), 1,
      sym_identifier,
    STATE(6663), 1,
      sym__primary_expression,
    STATE(14954), 1,
      sym__delimiter_str_1,
    STATE(14956), 1,
      sym__delimiter_str_3,
    STATE(14957), 1,
      sym__delimiter_cmd_1,
    STATE(14958), 1,
      sym__delimiter_cmd_3,
    STATE(17687), 1,
      sym_macro_identifier,
    STATE(19653), 1,
      sym_operator,
    ACTIONS(15261), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10305), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6472), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6470), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6432), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [29520] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(7285), 1,
      sym_character_literal,
    ACTIONS(9689), 1,
      sym__word_identifier,
    ACTIONS(9695), 1,
      anon_sym_DOT_EQ,
    ACTIONS(9697), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(9699), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9701), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(9705), 1,
      sym__immediate_paren,
    ACTIONS(9707), 1,
      sym__immediate_bracket,
    ACTIONS(9709), 1,
      sym__immediate_brace,
    STATE(4575), 1,
      sym_identifier,
    STATE(15346), 1,
      sym__delimiter_str_1,
    STATE(15347), 1,
      sym__delimiter_str_3,
    STATE(15348), 1,
      sym__delimiter_cmd_1,
    STATE(15349), 1,
      sym__delimiter_cmd_3,
    ACTIONS(9691), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(15267), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15273), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10306), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15263), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(15265), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15269), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(4927), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(15271), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(4929), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(9693), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29646] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13885), 1,
      sym__word_identifier,
    ACTIONS(13907), 1,
      sym_character_literal,
    ACTIONS(15275), 1,
      anon_sym_LPAREN,
    ACTIONS(15277), 1,
      anon_sym_LBRACK,
    ACTIONS(15279), 1,
      anon_sym_LBRACE,
    ACTIONS(15281), 1,
      anon_sym_DOLLAR,
    ACTIONS(15283), 1,
      anon_sym_COLON2,
    STATE(12050), 1,
      sym_identifier,
    STATE(12558), 1,
      sym__primary_expression,
    STATE(15448), 1,
      sym__delimiter_str_1,
    STATE(15449), 1,
      sym__delimiter_str_3,
    STATE(15450), 1,
      sym__delimiter_cmd_1,
    STATE(15451), 1,
      sym__delimiter_cmd_3,
    STATE(17764), 1,
      sym_macro_identifier,
    STATE(20107), 1,
      sym_operator,
    ACTIONS(15285), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10307), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12528), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(12472), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(12463), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [29768] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(15287), 1,
      sym__word_identifier,
    ACTIONS(15295), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15297), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(15303), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15305), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15309), 1,
      sym_character_literal,
    ACTIONS(15315), 1,
      sym__immediate_paren,
    ACTIONS(15317), 1,
      sym__immediate_bracket,
    ACTIONS(15319), 1,
      sym__immediate_brace,
    STATE(6520), 1,
      sym_identifier,
    STATE(14823), 1,
      sym__delimiter_str_1,
    STATE(14824), 1,
      sym__delimiter_str_3,
    STATE(14825), 1,
      sym__delimiter_cmd_1,
    STATE(14826), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15289), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(15301), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15313), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10308), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15293), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(15299), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15307), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7014), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(15311), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7151), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(15291), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [29894] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13749), 1,
      sym__word_identifier,
    ACTIONS(13771), 1,
      sym_character_literal,
    ACTIONS(15321), 1,
      anon_sym_LPAREN,
    ACTIONS(15323), 1,
      anon_sym_LBRACK,
    ACTIONS(15325), 1,
      anon_sym_LBRACE,
    ACTIONS(15327), 1,
      anon_sym_DOLLAR,
    ACTIONS(15329), 1,
      anon_sym_COLON2,
    STATE(6833), 1,
      sym_identifier,
    STATE(7383), 1,
      sym__primary_expression,
    STATE(14929), 1,
      sym__delimiter_str_1,
    STATE(14930), 1,
      sym__delimiter_str_3,
    STATE(14931), 1,
      sym__delimiter_cmd_1,
    STATE(14932), 1,
      sym__delimiter_cmd_3,
    STATE(17810), 1,
      sym_macro_identifier,
    STATE(19160), 1,
      sym_operator,
    ACTIONS(15331), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10309), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7341), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7192), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7595), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [30016] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13919), 1,
      sym__word_identifier,
    ACTIONS(13941), 1,
      sym_character_literal,
    ACTIONS(15333), 1,
      anon_sym_LPAREN,
    ACTIONS(15335), 1,
      anon_sym_LBRACK,
    ACTIONS(15337), 1,
      anon_sym_LBRACE,
    ACTIONS(15339), 1,
      anon_sym_DOLLAR,
    ACTIONS(15341), 1,
      anon_sym_COLON2,
    STATE(5196), 1,
      sym_identifier,
    STATE(5593), 1,
      sym__primary_expression,
    STATE(14841), 1,
      sym__delimiter_str_1,
    STATE(14842), 1,
      sym__delimiter_str_3,
    STATE(14843), 1,
      sym__delimiter_cmd_1,
    STATE(14844), 1,
      sym__delimiter_cmd_3,
    STATE(17798), 1,
      sym_macro_identifier,
    STATE(19027), 1,
      sym_operator,
    ACTIONS(15343), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10310), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5493), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5492), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(5779), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [30138] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13427), 1,
      sym__word_identifier,
    ACTIONS(13441), 1,
      sym_character_literal,
    ACTIONS(14761), 1,
      anon_sym_DOT_EQ,
    ACTIONS(14763), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(14769), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14771), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14779), 1,
      sym__immediate_paren,
    ACTIONS(14781), 1,
      sym__immediate_bracket,
    ACTIONS(14783), 1,
      sym__immediate_brace,
    STATE(5360), 1,
      sym_identifier,
    STATE(15249), 1,
      sym__delimiter_str_1,
    STATE(15251), 1,
      sym__delimiter_str_3,
    STATE(15252), 1,
      sym__delimiter_cmd_1,
    STATE(15253), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14755), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(14767), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(14777), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10311), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14759), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(14765), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14773), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6274), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(14775), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(6169), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(14757), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [30264] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(7397), 1,
      sym_character_literal,
    ACTIONS(9711), 1,
      sym__word_identifier,
    ACTIONS(9717), 1,
      anon_sym_DOT_EQ,
    ACTIONS(9719), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(9721), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9723), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(9727), 1,
      sym__immediate_paren,
    ACTIONS(9729), 1,
      sym__immediate_bracket,
    ACTIONS(9731), 1,
      sym__immediate_brace,
    STATE(4568), 1,
      sym_identifier,
    STATE(14797), 1,
      sym__delimiter_str_1,
    STATE(14798), 1,
      sym__delimiter_str_3,
    STATE(14799), 1,
      sym__delimiter_cmd_1,
    STATE(14800), 1,
      sym__delimiter_cmd_3,
    ACTIONS(9713), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(15349), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15355), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10312), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15345), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(15347), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15351), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(4687), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(15353), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(4847), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(9715), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [30390] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13523), 1,
      sym__word_identifier,
    ACTIONS(13545), 1,
      sym_character_literal,
    ACTIONS(15357), 1,
      anon_sym_LPAREN,
    ACTIONS(15359), 1,
      anon_sym_LBRACK,
    ACTIONS(15361), 1,
      anon_sym_LBRACE,
    ACTIONS(15363), 1,
      anon_sym_DOLLAR,
    ACTIONS(15365), 1,
      anon_sym_COLON2,
    STATE(6655), 1,
      sym_identifier,
    STATE(6946), 1,
      sym__primary_expression,
    STATE(15038), 1,
      sym__delimiter_str_1,
    STATE(15039), 1,
      sym__delimiter_str_3,
    STATE(15040), 1,
      sym__delimiter_cmd_1,
    STATE(15041), 1,
      sym__delimiter_cmd_3,
    STATE(17819), 1,
      sym_macro_identifier,
    STATE(19230), 1,
      sym_operator,
    ACTIONS(15367), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10313), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6944), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7154), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(1689), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(1687), 9,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7156), 15,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_adjoint_expression,
      sym_field_expression,
      sym_index_expression,
      sym_parametrized_type_expression,
      sym_call_expression,
      sym_broadcast_call_expression,
      sym__closed_macrocall_expression,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_boolean_literal,
      sym__string,
  [30512] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10557), 1,
      sym__word_identifier,
    ACTIONS(13497), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13499), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13505), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13507), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13511), 1,
      sym_character_literal,
    ACTIONS(13517), 1,
      sym__immediate_paren,
    ACTIONS(13519), 1,
      sym__immediate_bracket,
    ACTIONS(13521), 1,
      sym__immediate_brace,
    STATE(11330), 1,
      sym_identifier,
    STATE(15321), 1,
      sym__delimiter_str_1,
    STATE(15322), 1,
      sym__delimiter_str_3,
    STATE(15323), 1,
      sym__delimiter_cmd_1,
    STATE(15325), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13491), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13503), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13515), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10314), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13495), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13501), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13509), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11846), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13513), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(11828), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13493), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [30638] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(677), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15369), 1,
      sym__word_identifier,
    ACTIONS(15377), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15379), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(15383), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15385), 1,
      sym_character_literal,
    ACTIONS(15391), 1,
      sym__immediate_paren,
    ACTIONS(15393), 1,
      sym__immediate_bracket,
    ACTIONS(15395), 1,
      sym__immediate_brace,
    STATE(7153), 1,
      sym_identifier,
    STATE(15350), 1,
      sym__delimiter_str_1,
    STATE(15364), 1,
      sym__delimiter_str_3,
    STATE(15368), 1,
      sym__delimiter_cmd_1,
    STATE(15370), 1,
      sym__delimiter_cmd_3,
    ACTIONS(675), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(15371), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(15389), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10315), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(681), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    ACTIONS(15375), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(15381), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    STATE(7981), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(15387), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7991), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(15373), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [30764] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13749), 1,
      sym__word_identifier,
    ACTIONS(13757), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13759), 1,
      aux_sym_quote_expression_token1,
    ACTIONS(13765), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13767), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13771), 1,
      sym_character_literal,
    ACTIONS(13777), 1,
      sym__immediate_paren,
    ACTIONS(13779), 1,
      sym__immediate_bracket,
    ACTIONS(13781), 1,
      sym__immediate_brace,
    STATE(6877), 1,
      sym_identifier,
    STATE(14929), 1,
      sym__delimiter_str_1,
    STATE(14930), 1,
      sym__delimiter_str_3,
    STATE(14931), 1,
      sym__delimiter_cmd_1,
    STATE(14932), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13751), 2,
      anon_sym_DOLLAR,
      anon_sym_DOT2,
    ACTIONS(13763), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    ACTIONS(13775), 2,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
    STATE(10316), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13755), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(13761), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13769), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7192), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    ACTIONS(13773), 5,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    STATE(7468), 6,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
      sym_operator,
      sym__assignment_operator,
      sym__syntactic_operator,
    ACTIONS(13753), 11,
      anon_sym_COLON2,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [30890] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10317), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10359), 26,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token4,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(10361), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [30962] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10318), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10361), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      aux_sym__terminator_token1,
    ACTIONS(10359), 50,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31031] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10319), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10361), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      aux_sym__terminator_token1,
    ACTIONS(10359), 50,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31100] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10320), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10361), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      aux_sym__terminator_token1,
    ACTIONS(10359), 49,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31168] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10321), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10361), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      aux_sym__terminator_token1,
    ACTIONS(10359), 49,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31236] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10322), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10361), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      aux_sym__terminator_token1,
    ACTIONS(10359), 49,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31304] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10323), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10361), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      aux_sym__terminator_token1,
    ACTIONS(10359), 48,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31371] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10324), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10359), 26,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(10361), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [31438] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10325), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10361), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(10359), 47,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31505] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10326), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10361), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
    ACTIONS(10359), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_DOT,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [31570] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15397), 1,
      aux_sym_float_literal_token2,
    STATE(10327), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token4,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [31636] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10328), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9907), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9909), 35,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [31700] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10329), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9907), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9909), 34,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [31763] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15399), 1,
      anon_sym_do,
    STATE(10405), 1,
      sym_do_clause,
    STATE(10330), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9987), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9989), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [31830] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15399), 1,
      anon_sym_do,
    STATE(10400), 1,
      sym_do_clause,
    STATE(10331), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9933), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9937), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [31897] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10332), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token4,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(10377), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [31960] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10333), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token4,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [32023] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15399), 1,
      anon_sym_do,
    STATE(10392), 1,
      sym_do_clause,
    STATE(10334), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9927), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9931), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [32090] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10335), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      aux_sym_integer_literal_token4,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(10365), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [32153] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15399), 1,
      anon_sym_do,
    STATE(10385), 1,
      sym_do_clause,
    STATE(10336), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9945), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9947), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [32220] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10005), 1,
      anon_sym_DASH_GT,
    STATE(10337), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10101), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10103), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [32284] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10075), 1,
      anon_sym_DASH_GT,
    STATE(10338), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10127), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10129), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [32348] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10035), 1,
      anon_sym_DASH_GT,
    STATE(10339), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10139), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10141), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [32412] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10340), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10085), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10147), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [32474] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10341), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10073), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10075), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [32536] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10342), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10059), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10061), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [32598] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10343), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10003), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10005), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [32660] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10344), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10011), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10013), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [32722] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15401), 1,
      aux_sym_float_literal_token2,
    STATE(10345), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [32786] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10346), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10055), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10057), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [32848] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10347), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10159), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10161), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [32910] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10348), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10033), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10035), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [32972] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10349), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10051), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10053), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33034] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10147), 1,
      anon_sym_DASH_GT,
    STATE(10350), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10089), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10091), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33098] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10351), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10123), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10125), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33160] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10081), 1,
      anon_sym_DASH_GT,
    STATE(10352), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10089), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10091), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33224] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10147), 1,
      anon_sym_DASH_GT,
    STATE(10353), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10083), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10087), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33288] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10354), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10163), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10165), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33350] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10355), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10079), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10081), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33412] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10005), 1,
      anon_sym_DASH_GT,
    STATE(10356), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10097), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10099), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33476] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10357), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10409), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10411), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33537] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10358), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10139), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10141), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33598] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10359), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10209), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10211), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33659] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10360), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10311), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10313), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33720] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10361), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10327), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10329), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33781] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10362), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10319), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10321), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33842] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 1,
      aux_sym__terminator_token1,
    ACTIONS(15403), 1,
      aux_sym_float_literal_token2,
    STATE(10363), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 44,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [33905] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10364), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10277), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10279), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [33966] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10365), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10379), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10381), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34027] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10366), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10421), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10423), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34088] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10367), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34149] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10368), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10413), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10415), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34210] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10369), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10249), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10251), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34271] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10370), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34332] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10371), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10395), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10397), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34393] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10372), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10385), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10387), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34454] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10373), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10389), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10391), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34515] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10374), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34576] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10375), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34637] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10376), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10213), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10215), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34698] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10377), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34759] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10378), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9907), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9909), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34820] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10379), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10315), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10317), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34881] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10380), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10417), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10419), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [34942] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10381), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10429), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10431), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35003] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10382), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10291), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10293), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35064] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10383), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10127), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10129), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35125] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10384), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9933), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9937), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35186] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10385), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10235), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10237), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35247] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10386), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10229), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10231), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35308] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10387), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10097), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10099), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35369] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10388), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10343), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10345), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35430] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10389), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10083), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10087), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35491] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10390), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10089), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10091), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35552] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10391), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10171), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10173), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35613] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10392), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10221), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10223), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35674] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10393), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10323), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10325), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35735] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10394), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9987), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9989), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35796] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10395), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10399), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10401), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35857] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10396), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10263), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10265), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35918] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10397), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10339), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10341), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [35979] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10398), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10175), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10177), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [36040] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10399), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10371), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10373), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [36101] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10400), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10225), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10227), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [36162] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 1,
      aux_sym__terminator_token1,
    ACTIONS(15405), 1,
      aux_sym_float_literal_token2,
    STATE(10401), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 44,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [36225] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10402), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10239), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10241), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [36286] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10403), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10307), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10309), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [36347] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10404), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10347), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10349), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [36408] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10405), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10245), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10247), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [36469] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10406), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3222), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(3226), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [36530] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10407), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10351), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10353), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [36591] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10408), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10433), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10435), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [36652] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10409), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10217), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10219), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [36713] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10410), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10355), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10357), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [36774] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10411), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10437), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10439), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [36835] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10412), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10403), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10405), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [36896] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10413), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10101), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10103), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [36957] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10414), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10365), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [37018] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10415), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10377), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [37079] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10416), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10193), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10195), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [37140] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15407), 1,
      sym__word_identifier,
    STATE(10412), 1,
      sym_identifier,
    STATE(10417), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [37204] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10377), 1,
      aux_sym__terminator_token1,
    STATE(10418), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 44,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [37264] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 1,
      aux_sym__terminator_token1,
    ACTIONS(15409), 1,
      aux_sym_float_literal_token2,
    STATE(10419), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 43,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [37326] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 1,
      aux_sym__terminator_token1,
    STATE(10420), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 44,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [37386] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10365), 1,
      aux_sym__terminator_token1,
    STATE(10421), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 44,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [37446] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15407), 1,
      sym__word_identifier,
    STATE(10360), 1,
      sym_identifier,
    STATE(10422), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [37510] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 1,
      aux_sym__terminator_token1,
    ACTIONS(15411), 1,
      aux_sym_float_literal_token2,
    STATE(10423), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 43,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [37572] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    STATE(10424), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 29,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [37636] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    STATE(10425), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 29,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [37700] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15407), 1,
      sym__word_identifier,
    STATE(10357), 1,
      sym_identifier,
    STATE(10426), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [37764] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 1,
      aux_sym__terminator_token1,
    STATE(10427), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 44,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [37824] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10428), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9907), 37,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [37884] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10377), 1,
      aux_sym__terminator_token1,
    STATE(10429), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 44,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [37944] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    STATE(10430), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 29,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [38008] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10365), 1,
      aux_sym__terminator_token1,
    STATE(10431), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 44,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [38068] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 1,
      aux_sym__terminator_token1,
    ACTIONS(15413), 1,
      aux_sym_float_literal_token2,
    STATE(10432), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 43,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [38130] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15407), 1,
      sym__word_identifier,
    STATE(10409), 1,
      sym_identifier,
    STATE(10433), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [38194] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10365), 1,
      aux_sym__terminator_token1,
    STATE(10434), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 43,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [38253] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 1,
      aux_sym__terminator_token1,
    STATE(10435), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 43,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [38312] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15415), 1,
      anon_sym_do,
    STATE(10566), 1,
      sym_do_clause,
    STATE(10436), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9937), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9933), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [38375] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10377), 1,
      aux_sym__terminator_token1,
    STATE(10437), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 43,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [38434] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10365), 1,
      aux_sym__terminator_token1,
    STATE(10438), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 43,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [38493] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15417), 1,
      aux_sym_float_literal_token2,
    STATE(10439), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 19,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [38554] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10440), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9907), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9909), 34,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [38613] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15419), 1,
      anon_sym_do,
    STATE(10531), 1,
      sym_do_clause,
    STATE(10441), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9987), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9989), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [38676] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15419), 1,
      anon_sym_do,
    STATE(10609), 1,
      sym_do_clause,
    STATE(10442), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9927), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9931), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [38739] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 1,
      aux_sym__terminator_token1,
    ACTIONS(15421), 1,
      aux_sym_float_literal_token2,
    STATE(10443), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 42,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [38800] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10444), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9907), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [38859] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10377), 1,
      aux_sym__terminator_token1,
    STATE(10445), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 43,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [38918] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15419), 1,
      anon_sym_do,
    STATE(10513), 1,
      sym_do_clause,
    STATE(10446), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9945), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9947), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [38981] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 1,
      aux_sym__terminator_token1,
    STATE(10447), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 43,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [39040] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15415), 1,
      anon_sym_do,
    STATE(10618), 1,
      sym_do_clause,
    STATE(10448), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9947), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9945), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [39103] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10365), 1,
      aux_sym__terminator_token1,
    STATE(10449), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 43,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [39162] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15419), 1,
      anon_sym_do,
    STATE(10614), 1,
      sym_do_clause,
    STATE(10450), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9933), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9937), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [39225] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10377), 1,
      aux_sym__terminator_token1,
    STATE(10451), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 43,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [39284] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15415), 1,
      anon_sym_do,
    STATE(10508), 1,
      sym_do_clause,
    STATE(10452), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9989), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9987), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [39347] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15415), 1,
      anon_sym_do,
    STATE(10627), 1,
      sym_do_clause,
    STATE(10453), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9931), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9927), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [39410] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15423), 1,
      aux_sym_float_literal_token2,
    ACTIONS(10019), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(10454), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 41,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [39471] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 1,
      aux_sym__terminator_token1,
    STATE(10455), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 43,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [39530] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10456), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 19,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(10365), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [39588] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15425), 1,
      anon_sym_do,
    STATE(10728), 1,
      sym_do_clause,
    STATE(10457), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9927), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9931), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [39650] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10458), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9907), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9909), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [39708] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10459), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10005), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10003), 37,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [39766] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10460), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10073), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10075), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [39824] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10461), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10053), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10051), 37,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [39882] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10377), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(10462), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 41,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [39940] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10033), 1,
      anon_sym_DASH_GT,
    STATE(10463), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10141), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10139), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [40000] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 1,
      aux_sym__terminator_token1,
    STATE(10464), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 42,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [40058] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15425), 1,
      anon_sym_do,
    STATE(10743), 1,
      sym_do_clause,
    STATE(10465), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9933), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9937), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [40120] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10377), 1,
      aux_sym__terminator_token1,
    STATE(10466), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 42,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [40178] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10467), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10079), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10081), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [40236] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10468), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10013), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10011), 37,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [40294] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10085), 1,
      anon_sym_DASH_GT,
    STATE(10469), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10091), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10089), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [40354] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10365), 1,
      aux_sym__terminator_token1,
    STATE(10470), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 42,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [40412] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10471), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10081), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10079), 37,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [40470] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10472), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10165), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10163), 37,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [40528] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10473), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10125), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10123), 37,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [40586] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10474), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10003), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10005), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [40644] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10085), 1,
      anon_sym_DASH_GT,
    STATE(10475), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10087), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10083), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [40704] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10476), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10051), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10053), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [40762] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10477), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10059), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10061), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [40820] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10478), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10055), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10057), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [40878] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15427), 1,
      aux_sym_float_literal_token2,
    STATE(10479), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10019), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10015), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [40938] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10480), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10123), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10125), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [40996] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10481), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10061), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10059), 37,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [41054] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10482), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10159), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10161), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [41112] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10483), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10161), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10159), 37,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [41170] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10484), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 19,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(10377), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [41228] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10485), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10075), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10073), 37,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [41286] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10486), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10011), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10013), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [41344] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10487), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10085), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10147), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [41402] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10488), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10057), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10055), 37,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [41460] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10003), 1,
      anon_sym_DASH_GT,
    STATE(10489), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10099), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10097), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [41520] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10490), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10163), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10165), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [41578] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10365), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(10491), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 41,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [41636] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10492), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 19,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [41694] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10003), 1,
      anon_sym_DASH_GT,
    STATE(10493), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10103), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10101), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [41754] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10494), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10033), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10035), 33,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [41812] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(10495), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 41,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON2,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_AT,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
  [41870] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10496), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10035), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10033), 37,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [41928] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10073), 1,
      anon_sym_DASH_GT,
    STATE(10497), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10129), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10127), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [41988] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15429), 1,
      aux_sym_float_literal_token2,
    STATE(10498), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [42048] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10079), 1,
      anon_sym_DASH_GT,
    STATE(10499), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10091), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10089), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [42108] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15425), 1,
      anon_sym_do,
    STATE(10731), 1,
      sym_do_clause,
    STATE(10500), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9987), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9989), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [42170] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15425), 1,
      anon_sym_do,
    STATE(10706), 1,
      sym_do_clause,
    STATE(10501), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9945), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9947), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [42232] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10502), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10147), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10085), 37,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [42290] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10503), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10327), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10329), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [42347] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10504), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10083), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10087), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [42404] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10505), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10089), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10091), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [42461] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15431), 1,
      anon_sym_DASH_GT,
    ACTIONS(15433), 1,
      sym__immediate_string_start,
    ACTIONS(15435), 1,
      sym__immediate_command_start,
    STATE(10506), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [42524] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10507), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10103), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10101), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [42581] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10508), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10247), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10245), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [42638] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10509), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10411), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10409), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [42695] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10510), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10055), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10057), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [42752] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10511), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10293), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10291), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [42809] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15437), 1,
      aux_sym_float_literal_token2,
    STATE(10512), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [42868] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10513), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10235), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10237), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [42925] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10514), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10209), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10211), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [42982] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10515), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10177), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10175), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [43039] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10516), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9987), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9989), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [43096] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10517), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10351), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10353), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [43153] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10518), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10251), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10249), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [43210] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10519), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10345), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10343), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [43267] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10520), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [43324] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10521), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [43381] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10522), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10377), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [43438] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10523), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10355), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10357), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [43495] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10524), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10239), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10241), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [43552] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10525), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10097), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10099), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [43609] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10526), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10419), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10417), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [43666] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10527), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10129), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10127), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [43723] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10528), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10357), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10355), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [43780] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10529), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [43837] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10530), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10231), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10229), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [43894] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10531), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10245), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10247), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [43951] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10532), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10359), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10361), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [44008] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15439), 1,
      aux_sym_float_literal_token2,
    STATE(10533), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 19,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [44067] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10534), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10195), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10193), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [44124] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10535), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10079), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10081), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [44181] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10536), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9907), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9909), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [44238] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10537), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9937), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9933), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [44295] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10538), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10249), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10251), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [44352] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10539), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10101), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10103), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [44409] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10540), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10321), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10319), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [44466] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10541), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9907), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [44523] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10542), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10219), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10217), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [44580] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10543), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [44637] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10544), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10003), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10005), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [44694] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10545), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10317), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10315), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [44751] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15441), 1,
      anon_sym_DASH_GT,
    ACTIONS(15443), 1,
      sym__immediate_string_start,
    ACTIONS(15445), 1,
      sym__immediate_command_start,
    STATE(10546), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [44814] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10547), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10213), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10215), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [44871] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10548), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10051), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10053), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [44928] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10549), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(3222), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [44985] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10550), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10417), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10419), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [45042] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10551), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10325), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10323), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [45099] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10552), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10139), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10141), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [45156] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10553), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [45213] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10554), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10315), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10317), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [45270] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10555), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 7,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9907), 35,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [45327] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(191), 1,
      sym__immediate_string_start,
    ACTIONS(193), 1,
      sym__immediate_command_start,
    ACTIONS(15447), 1,
      anon_sym_DASH_GT,
    STATE(10556), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [45390] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10557), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10099), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10097), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [45447] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10558), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10365), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [45504] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10559), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10019), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10015), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [45561] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10560), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10011), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10013), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [45618] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10561), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9933), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9937), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [45675] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10562), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10405), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10403), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [45732] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15443), 1,
      sym__immediate_string_start,
    ACTIONS(15445), 1,
      sym__immediate_command_start,
    ACTIONS(15449), 1,
      anon_sym_DASH_GT,
    STATE(10563), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [45795] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10564), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10387), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10385), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [45852] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10565), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10279), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10277), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [45909] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10566), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10227), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10225), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [45966] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10567), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10373), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10371), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [46023] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10568), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10309), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10307), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [46080] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10569), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10291), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10293), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [46137] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10570), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10211), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10209), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [46194] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10571), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10193), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10195), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [46251] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10572), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10421), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10423), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [46308] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10573), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10365), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10363), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [46365] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10574), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10307), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10309), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [46422] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10575), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10403), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10405), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [46479] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10576), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10059), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10061), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [46536] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10577), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10347), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10349), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [46593] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10578), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10429), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10431), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [46650] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10579), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10313), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10311), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [46707] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10580), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10343), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10345), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [46764] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10581), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10215), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10213), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [46821] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10582), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10127), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10129), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [46878] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10583), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10123), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10125), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [46935] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10584), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3222), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(3226), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [46992] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10585), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10311), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10313), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [47049] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10586), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10033), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10035), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [47106] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10587), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10439), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10437), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [47163] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10588), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10159), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10161), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [47220] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15433), 1,
      sym__immediate_string_start,
    ACTIONS(15435), 1,
      sym__immediate_command_start,
    ACTIONS(15451), 1,
      anon_sym_DASH_GT,
    STATE(10589), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [47283] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10590), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10349), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10347), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [47340] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10591), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10329), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10327), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [47397] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10592), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10391), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10389), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [47454] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10593), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10163), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10165), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [47511] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10594), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10399), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10401), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [47568] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10595), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10263), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10265), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [47625] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10596), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10241), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10239), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [47682] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10597), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10339), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10341), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [47739] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10598), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [47796] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10599), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10277), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10279), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [47853] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10600), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10175), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10177), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [47910] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10601), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10319), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10321), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [47967] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10602), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10371), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10373), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [48024] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10603), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10423), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10421), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48081] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10604), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10401), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10399), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48138] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10605), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10431), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10429), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48195] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10606), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10395), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10397), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [48252] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10607), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10413), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10415), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [48309] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10608), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10435), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10433), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48366] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10609), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10221), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10223), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [48423] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10610), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10173), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10171), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48480] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10611), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10433), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10435), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [48537] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10612), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10141), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10139), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48594] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10613), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10415), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10413), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48651] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10614), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10225), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10227), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [48708] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10615), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10409), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10411), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [48765] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10616), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10171), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10173), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [48822] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10617), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10085), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10147), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [48879] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10618), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10237), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10235), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [48936] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10619), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10217), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10219), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [48993] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10620), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10381), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10379), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [49050] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10621), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10087), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10083), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [49107] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10622), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [49164] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10623), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10091), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10089), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [49221] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10624), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10353), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10351), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [49278] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10625), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [49335] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10626), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10073), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10075), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [49392] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10627), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10223), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10221), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [49449] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10628), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9989), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9987), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [49506] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(165), 1,
      anon_sym_DASH_GT,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(191), 1,
      sym__immediate_string_start,
    ACTIONS(193), 1,
      sym__immediate_command_start,
    STATE(10629), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [49569] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10630), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10377), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10375), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [49626] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10631), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10437), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10439), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [49683] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10632), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10323), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10325), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [49740] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10633), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [49797] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10634), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10265), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10263), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [49854] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10635), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10379), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10381), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [49911] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10636), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10397), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10395), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [49968] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10637), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10385), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10387), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [50025] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10638), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10389), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10391), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [50082] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10639), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10229), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10231), 32,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [50139] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10640), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10341), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10339), 36,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [50196] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10641), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10437), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10439), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [50252] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10509), 1,
      sym_identifier,
    STATE(10642), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [50312] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15455), 1,
      sym__word_identifier,
    STATE(10897), 1,
      sym_identifier,
    STATE(10643), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [50372] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15455), 1,
      sym__word_identifier,
    STATE(10858), 1,
      sym_identifier,
    STATE(10644), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [50432] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10542), 1,
      sym_identifier,
    STATE(10645), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [50492] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10646), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10311), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10313), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [50548] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15457), 1,
      anon_sym_DASH_GT,
    ACTIONS(15459), 1,
      sym__immediate_string_start,
    ACTIONS(15461), 1,
      sym__immediate_command_start,
    STATE(10647), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [50610] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10648), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10421), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10423), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [50666] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10649), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10403), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10405), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [50722] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10650), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10417), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10419), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [50778] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10651), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10377), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [50834] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10652), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10389), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10391), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [50890] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10653), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9933), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9937), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [50946] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10654), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [51002] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15443), 1,
      sym__immediate_string_start,
    ACTIONS(15445), 1,
      sym__immediate_command_start,
    STATE(10655), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [51062] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15463), 1,
      anon_sym_DASH_GT,
    ACTIONS(15465), 1,
      sym__immediate_string_start,
    ACTIONS(15467), 1,
      sym__immediate_command_start,
    STATE(10656), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [51124] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15455), 1,
      sym__word_identifier,
    STATE(10898), 1,
      sym_identifier,
    STATE(10657), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [51184] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15455), 1,
      sym__word_identifier,
    STATE(10913), 1,
      sym_identifier,
    STATE(10658), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [51244] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15407), 1,
      sym__word_identifier,
    STATE(10357), 1,
      sym_identifier,
    STATE(10659), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 18,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51304] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10660), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10399), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10401), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [51360] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(10661), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51422] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15471), 1,
      anon_sym_DASH_GT,
    STATE(10662), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51484] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10663), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10229), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10231), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [51540] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15407), 1,
      sym__word_identifier,
    STATE(10409), 1,
      sym_identifier,
    STATE(10664), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 18,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51600] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15433), 1,
      sym__immediate_string_start,
    ACTIONS(15435), 1,
      sym__immediate_command_start,
    ACTIONS(15473), 1,
      anon_sym_DASH_GT,
    STATE(10665), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51662] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10666), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10217), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10219), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [51718] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10667), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10097), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10099), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [51774] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15465), 1,
      sym__immediate_string_start,
    ACTIONS(15467), 1,
      sym__immediate_command_start,
    ACTIONS(15475), 1,
      anon_sym_DASH_GT,
    STATE(10668), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [51836] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15407), 1,
      sym__word_identifier,
    STATE(10412), 1,
      sym_identifier,
    STATE(10669), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 18,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [51896] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15477), 1,
      sym__immediate_string_start,
    ACTIONS(15479), 1,
      sym__immediate_command_start,
    STATE(10670), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 29,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [51956] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10671), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10171), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10173), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [52012] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15481), 1,
      anon_sym_DASH_GT,
    STATE(10672), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [52074] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10673), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10193), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10195), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [52130] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10674), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10385), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10387), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [52186] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10562), 1,
      sym_identifier,
    STATE(10675), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [52246] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15459), 1,
      sym__immediate_string_start,
    ACTIONS(15461), 1,
      sym__immediate_command_start,
    ACTIONS(15483), 1,
      anon_sym_DASH_GT,
    STATE(10676), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [52308] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15485), 1,
      sym__word_identifier,
    STATE(10615), 1,
      sym_identifier,
    STATE(10677), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [52368] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(191), 1,
      sym__immediate_string_start,
    ACTIONS(193), 1,
      sym__immediate_command_start,
    STATE(10678), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [52428] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10579), 1,
      sym_identifier,
    STATE(10679), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [52488] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10680), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10175), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10177), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [52544] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15487), 1,
      anon_sym_do,
    STATE(10957), 1,
      sym_do_clause,
    STATE(10681), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9931), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9927), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [52604] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10682), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [52660] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15485), 1,
      sym__word_identifier,
    STATE(10575), 1,
      sym_identifier,
    STATE(10683), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [52720] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15487), 1,
      anon_sym_do,
    STATE(10867), 1,
      sym_do_clause,
    STATE(10684), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9947), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9945), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [52780] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15489), 1,
      anon_sym_DASH_GT,
    STATE(10685), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [52842] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(191), 1,
      sym__immediate_string_start,
    ACTIONS(193), 1,
      sym__immediate_command_start,
    STATE(10686), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [52902] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10687), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10209), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10211), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [52958] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10688), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3222), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(3226), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53014] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10689), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10319), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10321), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53070] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10690), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 19,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [53126] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10691), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10433), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10435), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53182] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10692), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53238] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10693), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 7,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9907), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [53294] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10694), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9907), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9909), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53350] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15477), 1,
      sym__immediate_string_start,
    ACTIONS(15479), 1,
      sym__immediate_command_start,
    STATE(10695), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 29,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53410] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15487), 1,
      anon_sym_do,
    STATE(10938), 1,
      sym_do_clause,
    STATE(10696), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9989), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9987), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [53470] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10697), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10249), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10251), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53526] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10698), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10339), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10341), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53582] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15443), 1,
      sym__immediate_string_start,
    ACTIONS(15445), 1,
      sym__immediate_command_start,
    STATE(10699), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [53642] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15443), 1,
      sym__immediate_string_start,
    ACTIONS(15445), 1,
      sym__immediate_command_start,
    STATE(10700), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [53702] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10701), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53758] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10702), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10371), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10373), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53814] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10703), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10291), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10293), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53870] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10704), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10395), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10397), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53926] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10705), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10127), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10129), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [53982] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10706), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10235), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10237), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [54038] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15433), 1,
      sym__immediate_string_start,
    ACTIONS(15435), 1,
      sym__immediate_command_start,
    STATE(10707), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [54098] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10708), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [54154] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15433), 1,
      sym__immediate_string_start,
    ACTIONS(15435), 1,
      sym__immediate_command_start,
    STATE(10709), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [54214] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15491), 1,
      anon_sym_DASH_GT,
    ACTIONS(15493), 1,
      sym__immediate_string_start,
    ACTIONS(15495), 1,
      sym__immediate_command_start,
    STATE(10710), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [54276] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10711), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10409), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10411), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [54332] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15433), 1,
      sym__immediate_string_start,
    ACTIONS(15435), 1,
      sym__immediate_command_start,
    STATE(10712), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [54392] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10713), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10083), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10087), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [54448] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10714), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10089), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10091), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [54504] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15485), 1,
      sym__word_identifier,
    STATE(10585), 1,
      sym_identifier,
    STATE(10715), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [54564] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10716), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 19,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(10377), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [54620] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10717), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10263), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10265), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [54676] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15477), 1,
      sym__immediate_string_start,
    ACTIONS(15479), 1,
      sym__immediate_command_start,
    STATE(10718), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 29,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [54736] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10719), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10343), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10345), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [54792] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10720), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 19,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      sym__word_identifier,
      anon_sym_true,
      anon_sym_false,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(10365), 22,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DOLLAR,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_AT,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [54848] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10721), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10323), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10325), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [54904] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10722), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9987), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9989), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [54960] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10723), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10139), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10141), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [55016] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10724), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10327), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10329), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [55072] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10725), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10277), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10279), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [55128] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15485), 1,
      sym__word_identifier,
    STATE(10619), 1,
      sym_identifier,
    STATE(10726), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [55188] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15497), 1,
      anon_sym_DASH_GT,
    STATE(10727), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [55250] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10728), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10221), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10223), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [55306] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15407), 1,
      sym__word_identifier,
    STATE(10360), 1,
      sym_identifier,
    STATE(10729), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 18,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [55366] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10730), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10239), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10241), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [55422] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10731), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10245), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10247), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [55478] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15433), 1,
      sym__immediate_string_start,
    ACTIONS(15435), 1,
      sym__immediate_command_start,
    ACTIONS(15499), 1,
      anon_sym_DASH_GT,
    STATE(10732), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [55540] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10733), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10307), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10309), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [55596] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10734), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10379), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10381), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [55652] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15493), 1,
      sym__immediate_string_start,
    ACTIONS(15495), 1,
      sym__immediate_command_start,
    ACTIONS(15501), 1,
      anon_sym_DASH_GT,
    STATE(10735), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55714] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10736), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10429), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10431), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [55770] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10737), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10365), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [55826] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(191), 1,
      sym__immediate_string_start,
    ACTIONS(193), 1,
      sym__immediate_command_start,
    STATE(10738), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [55886] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10739), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10359), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10361), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [55942] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10740), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10101), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10103), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [55998] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10741), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10347), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10349), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [56054] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10742), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10351), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10353), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [56110] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10743), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10225), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10227), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [56166] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15477), 1,
      sym__immediate_string_start,
    ACTIONS(15479), 1,
      sym__immediate_command_start,
    STATE(10744), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 29,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [56226] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10745), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10355), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10357), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [56282] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10746), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10413), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10415), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [56338] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15487), 1,
      anon_sym_do,
    STATE(10945), 1,
      sym_do_clause,
    STATE(10747), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9937), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9933), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [56398] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10748), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10315), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10317), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [56454] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10749), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10213), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10215), 31,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [56510] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(225), 1,
      anon_sym_DASH_GT,
    ACTIONS(241), 1,
      sym__immediate_string_start,
    ACTIONS(243), 1,
      sym__immediate_command_start,
    STATE(10750), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [56571] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10509), 1,
      sym_identifier,
    STATE(10751), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [56630] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10542), 1,
      sym_identifier,
    STATE(10752), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [56689] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10562), 1,
      sym_identifier,
    STATE(10753), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [56748] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10073), 1,
      anon_sym_DASH_GT,
    STATE(10754), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10129), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10127), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [56805] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15503), 1,
      anon_sym_EQ,
    ACTIONS(15505), 1,
      anon_sym_SQUOTE,
    ACTIONS(15507), 1,
      anon_sym_DOT,
    ACTIONS(15509), 1,
      sym__tilde_operator,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    STATE(4261), 1,
      sym__assignment_operator,
    STATE(10755), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [56880] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15517), 1,
      sym__immediate_string_start,
    ACTIONS(15519), 1,
      sym__immediate_command_start,
    STATE(10756), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [56939] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10757), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9907), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9909), 30,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [56994] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10579), 1,
      sym_identifier,
    STATE(10758), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57053] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10759), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10147), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10085), 35,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57108] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15521), 1,
      anon_sym_EQ,
    ACTIONS(15523), 1,
      anon_sym_SQUOTE,
    ACTIONS(15525), 1,
      anon_sym_DOT,
    ACTIONS(15527), 1,
      sym__tilde_operator,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    STATE(3839), 1,
      sym__assignment_operator,
    STATE(10760), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57181] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15535), 1,
      anon_sym_DASH_GT,
    ACTIONS(15537), 1,
      sym__immediate_string_start,
    ACTIONS(15539), 1,
      sym__immediate_command_start,
    STATE(10761), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57242] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10762), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10053), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10051), 35,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57297] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10085), 1,
      anon_sym_DASH_GT,
    STATE(10763), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10087), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10083), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57354] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15541), 1,
      anon_sym_DASH_GT,
    STATE(10764), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [57415] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15543), 1,
      anon_sym_SQUOTE,
    ACTIONS(15545), 1,
      anon_sym_DOT,
    ACTIONS(15547), 1,
      sym__tilde_operator,
    ACTIONS(15549), 1,
      sym__immediate_paren,
    ACTIONS(15551), 1,
      sym__immediate_bracket,
    ACTIONS(15553), 1,
      sym__immediate_brace,
    STATE(3687), 1,
      sym__assignment_operator,
    STATE(10765), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57486] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15523), 1,
      anon_sym_SQUOTE,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15555), 1,
      anon_sym_DOT,
    ACTIONS(15557), 1,
      sym__tilde_operator,
    STATE(3667), 1,
      sym__assignment_operator,
    STATE(10766), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57557] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10767), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10013), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10011), 35,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57612] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10768), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9907), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57667] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10769), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10061), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10059), 35,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57722] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15459), 1,
      sym__immediate_string_start,
    ACTIONS(15461), 1,
      sym__immediate_command_start,
    STATE(10770), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57781] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15459), 1,
      sym__immediate_string_start,
    ACTIONS(15461), 1,
      sym__immediate_command_start,
    STATE(10771), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57840] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10772), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10125), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10123), 35,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57895] = 12,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(15561), 1,
      anon_sym_SEMI,
    ACTIONS(15563), 1,
      aux_sym__terminator_token1,
    STATE(16988), 1,
      aux_sym_let_statement_repeat1,
    STATE(10773), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [57964] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15565), 1,
      anon_sym_EQ,
    ACTIONS(15568), 1,
      anon_sym_DASH_GT,
    ACTIONS(15570), 1,
      sym__immediate_string_start,
    ACTIONS(15572), 1,
      sym__immediate_command_start,
    STATE(10774), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [58027] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10079), 1,
      anon_sym_DASH_GT,
    STATE(10775), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10091), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10089), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58084] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10085), 1,
      anon_sym_DASH_GT,
    STATE(10776), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10091), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10089), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58141] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15523), 1,
      anon_sym_SQUOTE,
    ACTIONS(15525), 1,
      anon_sym_DOT,
    ACTIONS(15527), 1,
      sym__tilde_operator,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15574), 1,
      anon_sym_EQ,
    STATE(3839), 1,
      sym__assignment_operator,
    STATE(10777), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58214] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15493), 1,
      sym__immediate_string_start,
    ACTIONS(15495), 1,
      sym__immediate_command_start,
    STATE(10778), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58273] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10003), 1,
      anon_sym_DASH_GT,
    STATE(10779), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10099), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10097), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58330] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15465), 1,
      sym__immediate_string_start,
    ACTIONS(15467), 1,
      sym__immediate_command_start,
    STATE(10780), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58389] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15493), 1,
      sym__immediate_string_start,
    ACTIONS(15495), 1,
      sym__immediate_command_start,
    STATE(10781), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58448] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15493), 1,
      sym__immediate_string_start,
    ACTIONS(15495), 1,
      sym__immediate_command_start,
    STATE(10782), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58507] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10542), 1,
      sym_identifier,
    STATE(10783), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58566] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10033), 1,
      anon_sym_DASH_GT,
    STATE(10784), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10141), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10139), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58623] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15465), 1,
      sym__immediate_string_start,
    ACTIONS(15467), 1,
      sym__immediate_command_start,
    STATE(10785), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58682] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15465), 1,
      sym__immediate_string_start,
    ACTIONS(15467), 1,
      sym__immediate_command_start,
    STATE(10786), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58741] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15576), 1,
      anon_sym_do,
    STATE(11092), 1,
      sym_do_clause,
    STATE(10787), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9931), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9927), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58800] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10562), 1,
      sym_identifier,
    STATE(10788), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58859] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10579), 1,
      sym_identifier,
    STATE(10789), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [58918] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15505), 1,
      anon_sym_SQUOTE,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15578), 1,
      anon_sym_DOT,
    ACTIONS(15580), 1,
      sym__tilde_operator,
    STATE(4103), 1,
      sym__assignment_operator,
    STATE(10790), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [58991] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15576), 1,
      anon_sym_do,
    STATE(11096), 1,
      sym_do_clause,
    STATE(10791), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9937), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9933), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [59050] = 12,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(15582), 1,
      anon_sym_SEMI,
    ACTIONS(15584), 1,
      aux_sym__terminator_token1,
    STATE(16360), 1,
      aux_sym_let_statement_repeat1,
    STATE(10792), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [59119] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15505), 1,
      anon_sym_SQUOTE,
    ACTIONS(15507), 1,
      anon_sym_DOT,
    ACTIONS(15509), 1,
      sym__tilde_operator,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15586), 1,
      anon_sym_EQ,
    STATE(4261), 1,
      sym__assignment_operator,
    STATE(10793), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [59194] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15459), 1,
      sym__immediate_string_start,
    ACTIONS(15461), 1,
      sym__immediate_command_start,
    STATE(10794), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [59253] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15523), 1,
      anon_sym_SQUOTE,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15555), 1,
      anon_sym_DOT,
    ACTIONS(15557), 1,
      sym__tilde_operator,
    STATE(3667), 1,
      sym__assignment_operator,
    STATE(10795), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [59324] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15588), 1,
      aux_sym_float_literal_token2,
    STATE(10796), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10019), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10015), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [59381] = 12,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(15590), 1,
      anon_sym_SEMI,
    ACTIONS(15592), 1,
      aux_sym__terminator_token1,
    STATE(16388), 1,
      aux_sym_let_statement_repeat1,
    STATE(10797), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [59450] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15543), 1,
      anon_sym_SQUOTE,
    ACTIONS(15545), 1,
      anon_sym_DOT,
    ACTIONS(15547), 1,
      sym__tilde_operator,
    ACTIONS(15549), 1,
      sym__immediate_paren,
    ACTIONS(15551), 1,
      sym__immediate_bracket,
    ACTIONS(15553), 1,
      sym__immediate_brace,
    STATE(3687), 1,
      sym__assignment_operator,
    STATE(10798), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [59521] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10003), 1,
      anon_sym_DASH_GT,
    STATE(10799), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10103), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10101), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [59578] = 12,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(15594), 1,
      anon_sym_SEMI,
    ACTIONS(15596), 1,
      aux_sym__terminator_token1,
    STATE(16420), 1,
      aux_sym_let_statement_repeat1,
    STATE(10800), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [59647] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15598), 1,
      anon_sym_DASH_GT,
    STATE(10801), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [59708] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15576), 1,
      anon_sym_do,
    STATE(11008), 1,
      sym_do_clause,
    STATE(10802), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9947), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9945), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [59767] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15600), 1,
      sym__word_identifier,
    STATE(10649), 1,
      sym_identifier,
    STATE(10803), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [59826] = 12,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(15602), 1,
      anon_sym_SEMI,
    ACTIONS(15604), 1,
      aux_sym__terminator_token1,
    STATE(16447), 1,
      aux_sym_let_statement_repeat1,
    STATE(10804), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [59895] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15600), 1,
      sym__word_identifier,
    STATE(10646), 1,
      sym_identifier,
    STATE(10805), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [59954] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15505), 1,
      anon_sym_SQUOTE,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15578), 1,
      anon_sym_DOT,
    ACTIONS(15580), 1,
      sym__tilde_operator,
    STATE(4103), 1,
      sym__assignment_operator,
    STATE(10806), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [60027] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15523), 1,
      anon_sym_SQUOTE,
    ACTIONS(15525), 1,
      anon_sym_DOT,
    ACTIONS(15527), 1,
      sym__tilde_operator,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15606), 1,
      anon_sym_EQ,
    STATE(3839), 1,
      sym__assignment_operator,
    STATE(10807), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [60100] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10808), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10005), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10003), 35,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [60155] = 12,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(15608), 1,
      anon_sym_SEMI,
    ACTIONS(15610), 1,
      aux_sym__terminator_token1,
    STATE(16474), 1,
      aux_sym_let_statement_repeat1,
    STATE(10809), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [60224] = 12,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(15612), 1,
      anon_sym_SEMI,
    ACTIONS(15614), 1,
      aux_sym__terminator_token1,
    STATE(16495), 1,
      aux_sym_let_statement_repeat1,
    STATE(10810), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [60293] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10811), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10057), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10055), 35,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [60348] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15517), 1,
      sym__immediate_string_start,
    ACTIONS(15519), 1,
      sym__immediate_command_start,
    STATE(10812), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [60407] = 12,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(15616), 1,
      anon_sym_SEMI,
    ACTIONS(15618), 1,
      aux_sym__terminator_token1,
    STATE(16514), 1,
      aux_sym_let_statement_repeat1,
    STATE(10813), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [60476] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15576), 1,
      anon_sym_do,
    STATE(11055), 1,
      sym_do_clause,
    STATE(10814), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9989), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9987), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [60535] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15543), 1,
      anon_sym_SQUOTE,
    ACTIONS(15549), 1,
      sym__immediate_paren,
    ACTIONS(15551), 1,
      sym__immediate_bracket,
    ACTIONS(15553), 1,
      sym__immediate_brace,
    ACTIONS(15620), 1,
      anon_sym_EQ,
    ACTIONS(15622), 1,
      anon_sym_DOT,
    ACTIONS(15624), 1,
      sym__tilde_operator,
    STATE(3874), 1,
      sym__assignment_operator,
    STATE(10815), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [60608] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10816), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10161), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10159), 35,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [60663] = 12,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(15626), 1,
      anon_sym_SEMI,
    ACTIONS(15628), 1,
      aux_sym__terminator_token1,
    STATE(16536), 1,
      aux_sym_let_statement_repeat1,
    STATE(10817), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [60732] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15600), 1,
      sym__word_identifier,
    STATE(10711), 1,
      sym_identifier,
    STATE(10818), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [60791] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15600), 1,
      sym__word_identifier,
    STATE(10666), 1,
      sym_identifier,
    STATE(10819), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [60850] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10562), 1,
      sym_identifier,
    STATE(10820), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [60909] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10579), 1,
      sym_identifier,
    STATE(10821), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [60968] = 12,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(15630), 1,
      anon_sym_SEMI,
    ACTIONS(15632), 1,
      aux_sym__terminator_token1,
    STATE(16555), 1,
      aux_sym_let_statement_repeat1,
    STATE(10822), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61037] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15523), 1,
      anon_sym_SQUOTE,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15555), 1,
      anon_sym_DOT,
    ACTIONS(15557), 1,
      sym__tilde_operator,
    STATE(3667), 1,
      sym__assignment_operator,
    STATE(10823), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61108] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10509), 1,
      sym_identifier,
    STATE(10824), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61167] = 12,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(15634), 1,
      anon_sym_SEMI,
    ACTIONS(15636), 1,
      aux_sym__terminator_token1,
    STATE(16576), 1,
      aux_sym_let_statement_repeat1,
    STATE(10825), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61236] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15543), 1,
      anon_sym_SQUOTE,
    ACTIONS(15549), 1,
      sym__immediate_paren,
    ACTIONS(15551), 1,
      sym__immediate_bracket,
    ACTIONS(15553), 1,
      sym__immediate_brace,
    ACTIONS(15622), 1,
      anon_sym_DOT,
    ACTIONS(15624), 1,
      sym__tilde_operator,
    ACTIONS(15638), 1,
      anon_sym_EQ,
    STATE(3874), 1,
      sym__assignment_operator,
    STATE(10826), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61309] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15517), 1,
      sym__immediate_string_start,
    ACTIONS(15519), 1,
      sym__immediate_command_start,
    STATE(10827), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [61368] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10509), 1,
      sym_identifier,
    STATE(10828), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61427] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(241), 1,
      sym__immediate_string_start,
    ACTIONS(243), 1,
      sym__immediate_command_start,
    ACTIONS(15640), 1,
      anon_sym_DASH_GT,
    STATE(10829), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61488] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10542), 1,
      sym_identifier,
    STATE(10830), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61547] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15537), 1,
      sym__immediate_string_start,
    ACTIONS(15539), 1,
      sym__immediate_command_start,
    ACTIONS(15642), 1,
      anon_sym_DASH_GT,
    STATE(10831), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61608] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15505), 1,
      anon_sym_SQUOTE,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15578), 1,
      anon_sym_DOT,
    ACTIONS(15580), 1,
      sym__tilde_operator,
    STATE(4103), 1,
      sym__assignment_operator,
    STATE(10832), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [61681] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15543), 1,
      anon_sym_SQUOTE,
    ACTIONS(15545), 1,
      anon_sym_DOT,
    ACTIONS(15547), 1,
      sym__tilde_operator,
    ACTIONS(15549), 1,
      sym__immediate_paren,
    ACTIONS(15551), 1,
      sym__immediate_bracket,
    ACTIONS(15553), 1,
      sym__immediate_brace,
    STATE(3687), 1,
      sym__assignment_operator,
    STATE(10833), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61752] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10834), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10035), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10033), 35,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61807] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10835), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10075), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10073), 35,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61862] = 12,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(15644), 1,
      anon_sym_SEMI,
    ACTIONS(15646), 1,
      aux_sym__terminator_token1,
    STATE(16194), 1,
      aux_sym_let_statement_repeat1,
    STATE(10836), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [61931] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15568), 1,
      anon_sym_DASH_GT,
    ACTIONS(15570), 1,
      sym__immediate_string_start,
    ACTIONS(15572), 1,
      sym__immediate_command_start,
    STATE(10837), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [61992] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15568), 1,
      anon_sym_DASH_GT,
    ACTIONS(15570), 1,
      sym__immediate_string_start,
    ACTIONS(15572), 1,
      sym__immediate_command_start,
    ACTIONS(15648), 1,
      anon_sym_EQ,
    STATE(10838), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [62055] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15570), 1,
      sym__immediate_string_start,
    ACTIONS(15572), 1,
      sym__immediate_command_start,
    ACTIONS(15651), 1,
      anon_sym_DASH_GT,
    STATE(10839), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [62116] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10840), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10165), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10163), 35,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [62171] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15543), 1,
      anon_sym_SQUOTE,
    ACTIONS(15549), 1,
      sym__immediate_paren,
    ACTIONS(15551), 1,
      sym__immediate_bracket,
    ACTIONS(15553), 1,
      sym__immediate_brace,
    ACTIONS(15622), 1,
      anon_sym_DOT,
    ACTIONS(15624), 1,
      sym__tilde_operator,
    ACTIONS(15653), 1,
      anon_sym_EQ,
    STATE(3874), 1,
      sym__assignment_operator,
    STATE(10841), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [62244] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15517), 1,
      sym__immediate_string_start,
    ACTIONS(15519), 1,
      sym__immediate_command_start,
    STATE(10842), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 28,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [62303] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10843), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10081), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10079), 35,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [62358] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15657), 1,
      anon_sym_DOT,
    ACTIONS(15659), 1,
      sym__tilde_operator,
    STATE(4264), 1,
      sym__assignment_operator,
    STATE(10844), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [62430] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15537), 1,
      sym__immediate_string_start,
    ACTIONS(15539), 1,
      sym__immediate_command_start,
    STATE(10845), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [62488] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15663), 1,
      aux_sym__terminator_token1,
    ACTIONS(15661), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(10846), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [62552] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15505), 1,
      anon_sym_SQUOTE,
    ACTIONS(15507), 1,
      anon_sym_DOT,
    ACTIONS(15509), 1,
      sym__tilde_operator,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    STATE(4261), 1,
      sym__assignment_operator,
    STATE(10847), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [62624] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10848), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9907), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [62678] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15665), 1,
      anon_sym_EQ,
    ACTIONS(15667), 1,
      anon_sym_DOT,
    ACTIONS(15669), 1,
      sym__tilde_operator,
    STATE(4291), 1,
      sym__assignment_operator,
    STATE(10849), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [62752] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10850), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9937), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9933), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [62806] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10851), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10423), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10421), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [62860] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10542), 1,
      sym_identifier,
    STATE(10852), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [62918] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15570), 1,
      sym__immediate_string_start,
    ACTIONS(15572), 1,
      sym__immediate_command_start,
    STATE(10853), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [62976] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15671), 1,
      anon_sym_SQUOTE,
    ACTIONS(15673), 1,
      anon_sym_DOT,
    ACTIONS(15675), 1,
      sym__tilde_operator,
    STATE(3575), 1,
      sym__assignment_operator,
    STATE(10854), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [63046] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10855), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10061), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10059), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [63100] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10856), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10125), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10123), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [63154] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15505), 1,
      anon_sym_SQUOTE,
    ACTIONS(15507), 1,
      anon_sym_DOT,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15677), 1,
      anon_sym_EQ,
    ACTIONS(15679), 1,
      sym__tilde_operator,
    STATE(4137), 1,
      sym__assignment_operator,
    STATE(10857), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [63228] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10858), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10313), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10311), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [63282] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10859), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [63336] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10860), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10019), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10015), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [63390] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10509), 1,
      sym_identifier,
    STATE(10861), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [63448] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15681), 1,
      anon_sym_SQUOTE,
    ACTIONS(15683), 1,
      anon_sym_DOT,
    ACTIONS(15685), 1,
      sym__tilde_operator,
    STATE(3711), 1,
      sym__assignment_operator,
    STATE(10862), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [63518] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15671), 1,
      anon_sym_SQUOTE,
    ACTIONS(15687), 1,
      anon_sym_EQ,
    ACTIONS(15689), 1,
      anon_sym_DOT,
    ACTIONS(15691), 1,
      sym__tilde_operator,
    STATE(4178), 1,
      sym__assignment_operator,
    STATE(10863), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [63590] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10864), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10141), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10139), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [63644] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10865), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10211), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10209), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [63698] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10866), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10349), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10347), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [63752] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10867), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10237), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10235), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [63806] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10868), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10329), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10327), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [63860] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15570), 1,
      sym__immediate_string_start,
    ACTIONS(15572), 1,
      sym__immediate_command_start,
    STATE(10869), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [63918] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15537), 1,
      sym__immediate_string_start,
    ACTIONS(15539), 1,
      sym__immediate_command_start,
    STATE(10870), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [63976] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15693), 1,
      anon_sym_EQ,
    ACTIONS(15695), 1,
      anon_sym_SQUOTE,
    ACTIONS(15697), 1,
      anon_sym_DOT,
    ACTIONS(15699), 1,
      sym__tilde_operator,
    STATE(3983), 1,
      sym__assignment_operator,
    STATE(10871), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [64048] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15681), 1,
      anon_sym_SQUOTE,
    ACTIONS(15683), 1,
      anon_sym_DOT,
    ACTIONS(15685), 1,
      sym__tilde_operator,
    STATE(3711), 1,
      sym__assignment_operator,
    STATE(10872), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [64118] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10873), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10075), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10073), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [64172] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15681), 1,
      anon_sym_SQUOTE,
    ACTIONS(15683), 1,
      anon_sym_DOT,
    ACTIONS(15685), 1,
      sym__tilde_operator,
    STATE(3711), 1,
      sym__assignment_operator,
    STATE(10874), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [64242] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10875), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10129), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10127), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [64296] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10876), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10317), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10315), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [64350] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15407), 1,
      sym__word_identifier,
    STATE(10357), 1,
      sym_identifier,
    STATE(10877), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 17,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [64408] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10878), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10345), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10343), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [64462] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10879), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10353), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10351), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [64516] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15407), 1,
      sym__word_identifier,
    STATE(10409), 1,
      sym_identifier,
    STATE(10880), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 17,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [64574] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15523), 1,
      anon_sym_SQUOTE,
    ACTIONS(15525), 1,
      anon_sym_DOT,
    ACTIONS(15527), 1,
      sym__tilde_operator,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    STATE(3839), 1,
      sym__assignment_operator,
    STATE(10881), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [64644] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15505), 1,
      anon_sym_SQUOTE,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15578), 1,
      anon_sym_DOT,
    ACTIONS(15701), 1,
      sym__tilde_operator,
    STATE(4341), 1,
      sym__assignment_operator,
    STATE(10882), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [64716] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15703), 1,
      anon_sym_EQ,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(10883), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [64790] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15709), 1,
      anon_sym_DOT,
    ACTIONS(15711), 1,
      sym__tilde_operator,
    STATE(4108), 1,
      sym__assignment_operator,
    STATE(10884), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [64862] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10885), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10357), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10355), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [64916] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10886), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10401), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10399), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [64970] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10887), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10265), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10263), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [65024] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15709), 1,
      anon_sym_DOT,
    ACTIONS(15711), 1,
      sym__tilde_operator,
    STATE(4108), 1,
      sym__assignment_operator,
    STATE(10888), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [65096] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10889), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10231), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10229), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [65150] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10890), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10341), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10339), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [65204] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10891), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10373), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10371), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [65258] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15695), 1,
      anon_sym_SQUOTE,
    ACTIONS(15713), 1,
      anon_sym_DOT,
    ACTIONS(15715), 1,
      sym__tilde_operator,
    STATE(3790), 1,
      sym__assignment_operator,
    STATE(10892), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [65328] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10562), 1,
      sym_identifier,
    STATE(10893), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [65386] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10579), 1,
      sym_identifier,
    STATE(10894), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [65444] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15695), 1,
      anon_sym_SQUOTE,
    ACTIONS(15697), 1,
      anon_sym_DOT,
    ACTIONS(15699), 1,
      sym__tilde_operator,
    ACTIONS(15717), 1,
      anon_sym_EQ,
    STATE(3983), 1,
      sym__assignment_operator,
    STATE(10895), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [65516] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10896), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10147), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10085), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [65570] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10897), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10405), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10403), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [65624] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10898), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10411), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10409), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [65678] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15719), 1,
      aux_sym_float_literal_token2,
    STATE(10899), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10019), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10015), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [65734] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10900), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10365), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10363), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [65788] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10901), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10377), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10375), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [65842] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15667), 1,
      anon_sym_DOT,
    ACTIONS(15669), 1,
      sym__tilde_operator,
    ACTIONS(15721), 1,
      anon_sym_EQ,
    STATE(4291), 1,
      sym__assignment_operator,
    STATE(10902), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [65916] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10903), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10177), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10175), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [65970] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15543), 1,
      anon_sym_SQUOTE,
    ACTIONS(15549), 1,
      sym__immediate_paren,
    ACTIONS(15551), 1,
      sym__immediate_bracket,
    ACTIONS(15553), 1,
      sym__immediate_brace,
    ACTIONS(15622), 1,
      anon_sym_DOT,
    ACTIONS(15624), 1,
      sym__tilde_operator,
    STATE(3874), 1,
      sym__assignment_operator,
    STATE(10904), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66040] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10905), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10241), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10239), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66094] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10906), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10321), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10319), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66148] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15695), 1,
      anon_sym_SQUOTE,
    ACTIONS(15713), 1,
      anon_sym_DOT,
    ACTIONS(15715), 1,
      sym__tilde_operator,
    STATE(3790), 1,
      sym__assignment_operator,
    STATE(10907), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66218] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10908), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10081), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10079), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66272] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10909), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10397), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10395), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66326] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10910), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10195), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10193), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66380] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(15723), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(10911), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [66454] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10912), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 8,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9907), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66508] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10913), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10219), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10217), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66562] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10914), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10103), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10101), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66616] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10915), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(3222), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66670] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15537), 1,
      sym__immediate_string_start,
    ACTIONS(15539), 1,
      sym__immediate_command_start,
    STATE(10916), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66728] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15725), 1,
      anon_sym_SQUOTE,
    ACTIONS(15727), 1,
      anon_sym_DOT,
    ACTIONS(15729), 1,
      sym__immediate_paren,
    ACTIONS(15731), 1,
      sym__immediate_bracket,
    ACTIONS(15733), 1,
      sym__immediate_brace,
    STATE(10917), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10635), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10641), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [66792] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10918), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10173), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10171), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66846] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10919), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10099), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10097), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66900] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15735), 1,
      anon_sym_do,
    STATE(11144), 1,
      sym_do_clause,
    STATE(10920), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9989), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9987), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [66958] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10509), 1,
      sym_identifier,
    STATE(10921), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67016] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15735), 1,
      anon_sym_do,
    STATE(11193), 1,
      sym_do_clause,
    STATE(10922), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9947), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9945), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67074] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10542), 1,
      sym_identifier,
    STATE(10923), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67132] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15737), 1,
      aux_sym_float_literal_token2,
    STATE(10924), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [67188] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10925), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10091), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10089), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67242] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15709), 1,
      anon_sym_DOT,
    ACTIONS(15711), 1,
      sym__tilde_operator,
    STATE(4108), 1,
      sym__assignment_operator,
    STATE(10926), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [67314] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10927), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10381), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10379), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67368] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10928), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67422] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10929), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10419), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10417), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67476] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10930), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10431), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10429), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67530] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15681), 1,
      anon_sym_SQUOTE,
    ACTIONS(15739), 1,
      anon_sym_EQ,
    ACTIONS(15741), 1,
      anon_sym_DOT,
    ACTIONS(15743), 1,
      sym__tilde_operator,
    STATE(3893), 1,
      sym__assignment_operator,
    STATE(10931), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67602] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15681), 1,
      anon_sym_SQUOTE,
    ACTIONS(15741), 1,
      anon_sym_DOT,
    ACTIONS(15743), 1,
      sym__tilde_operator,
    ACTIONS(15745), 1,
      anon_sym_EQ,
    STATE(3893), 1,
      sym__assignment_operator,
    STATE(10932), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67674] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15735), 1,
      anon_sym_do,
    STATE(11196), 1,
      sym_do_clause,
    STATE(10933), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9931), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9927), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67732] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10934), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10415), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10413), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67786] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15657), 1,
      anon_sym_DOT,
    ACTIONS(15659), 1,
      sym__tilde_operator,
    STATE(4264), 1,
      sym__assignment_operator,
    STATE(10935), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [67858] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10936), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10005), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10003), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67912] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10937), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10309), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10307), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [67966] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10938), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10247), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10245), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68020] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10939), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10161), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10159), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68074] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10940), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68128] = 12,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15747), 1,
      anon_sym_COMMA,
    ACTIONS(15749), 1,
      anon_sym_SEMI,
    ACTIONS(15751), 1,
      aux_sym__terminator_token1,
    STATE(16667), 1,
      aux_sym__do_parameter_list_repeat1,
    STATE(10941), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 28,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68196] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15505), 1,
      anon_sym_SQUOTE,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15578), 1,
      anon_sym_DOT,
    ACTIONS(15701), 1,
      sym__tilde_operator,
    STATE(4341), 1,
      sym__assignment_operator,
    STATE(10942), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [68268] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10943), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10165), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10163), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68322] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10944), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10435), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10433), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68376] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10945), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10227), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10225), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68430] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15735), 1,
      anon_sym_do,
    STATE(11198), 1,
      sym_do_clause,
    STATE(10946), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9937), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9933), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68488] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15657), 1,
      anon_sym_DOT,
    ACTIONS(15659), 1,
      sym__tilde_operator,
    STATE(4264), 1,
      sym__assignment_operator,
    STATE(10947), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [68560] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15570), 1,
      sym__immediate_string_start,
    ACTIONS(15572), 1,
      sym__immediate_command_start,
    ACTIONS(15753), 1,
      anon_sym_DASH_GT,
    STATE(10948), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [68620] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15671), 1,
      anon_sym_SQUOTE,
    ACTIONS(15673), 1,
      anon_sym_DOT,
    ACTIONS(15675), 1,
      sym__tilde_operator,
    STATE(3575), 1,
      sym__assignment_operator,
    STATE(10949), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68690] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15695), 1,
      anon_sym_SQUOTE,
    ACTIONS(15713), 1,
      anon_sym_DOT,
    ACTIONS(15715), 1,
      sym__tilde_operator,
    STATE(3790), 1,
      sym__assignment_operator,
    STATE(10950), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68760] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10951), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10013), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10011), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68814] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10952), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68868] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15671), 1,
      anon_sym_SQUOTE,
    ACTIONS(15689), 1,
      anon_sym_DOT,
    ACTIONS(15691), 1,
      sym__tilde_operator,
    ACTIONS(15755), 1,
      anon_sym_EQ,
    STATE(4178), 1,
      sym__assignment_operator,
    STATE(10953), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [68940] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15695), 1,
      anon_sym_SQUOTE,
    ACTIONS(15697), 1,
      anon_sym_DOT,
    ACTIONS(15699), 1,
      sym__tilde_operator,
    ACTIONS(15757), 1,
      anon_sym_EQ,
    STATE(3983), 1,
      sym__assignment_operator,
    STATE(10954), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69012] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15570), 1,
      sym__immediate_string_start,
    ACTIONS(15572), 1,
      sym__immediate_command_start,
    STATE(10955), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [69070] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10956), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10387), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10385), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69124] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10957), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10223), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10221), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69178] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10562), 1,
      sym_identifier,
    STATE(10958), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69236] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10959), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10325), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10323), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69290] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15407), 1,
      sym__word_identifier,
    STATE(10412), 1,
      sym_identifier,
    STATE(10960), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 17,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [69348] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15453), 1,
      sym__word_identifier,
    STATE(10579), 1,
      sym_identifier,
    STATE(10961), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69406] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(241), 1,
      sym__immediate_string_start,
    ACTIONS(243), 1,
      sym__immediate_command_start,
    STATE(10962), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69464] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15407), 1,
      sym__word_identifier,
    STATE(10360), 1,
      sym_identifier,
    STATE(10963), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 17,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [69522] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10964), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10279), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10277), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69576] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10965), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10057), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10055), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69630] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10966), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10035), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10033), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69684] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15568), 1,
      anon_sym_DASH_GT,
    ACTIONS(15570), 1,
      sym__immediate_string_start,
    ACTIONS(15572), 1,
      sym__immediate_command_start,
    ACTIONS(15759), 1,
      anon_sym_EQ,
    STATE(10967), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [69746] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15681), 1,
      anon_sym_SQUOTE,
    ACTIONS(15741), 1,
      anon_sym_DOT,
    ACTIONS(15743), 1,
      sym__tilde_operator,
    ACTIONS(15761), 1,
      anon_sym_EQ,
    STATE(3893), 1,
      sym__assignment_operator,
    STATE(10968), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69818] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15671), 1,
      anon_sym_SQUOTE,
    ACTIONS(15689), 1,
      anon_sym_DOT,
    ACTIONS(15691), 1,
      sym__tilde_operator,
    ACTIONS(15763), 1,
      anon_sym_EQ,
    STATE(4178), 1,
      sym__assignment_operator,
    STATE(10969), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69890] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10970), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9989), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9987), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69944] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10971), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10053), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10051), 33,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [69998] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10972), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10391), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10389), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [70052] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10973), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10251), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10249), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [70106] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15570), 1,
      sym__immediate_string_start,
    ACTIONS(15572), 1,
      sym__immediate_command_start,
    ACTIONS(15765), 1,
      anon_sym_DASH_GT,
    STATE(10974), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [70166] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10975), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10439), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10437), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [70220] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10976), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10293), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10291), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [70274] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10977), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10087), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10083), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [70328] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15671), 1,
      anon_sym_SQUOTE,
    ACTIONS(15673), 1,
      anon_sym_DOT,
    ACTIONS(15675), 1,
      sym__tilde_operator,
    STATE(3575), 1,
      sym__assignment_operator,
    STATE(10978), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [70398] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(241), 1,
      sym__immediate_string_start,
    ACTIONS(243), 1,
      sym__immediate_command_start,
    STATE(10979), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [70456] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(241), 1,
      sym__immediate_string_start,
    ACTIONS(243), 1,
      sym__immediate_command_start,
    STATE(10980), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [70514] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10981), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10215), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10213), 34,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [70568] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10982), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [70621] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10983), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9937), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9933), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [70674] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10984), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10315), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10317), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [70727] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10985), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [70780] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10986), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(3222), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [70833] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15767), 1,
      anon_sym_SQUOTE,
    ACTIONS(15769), 1,
      anon_sym_DOT,
    ACTIONS(15771), 1,
      sym__immediate_paren,
    ACTIONS(15773), 1,
      sym__immediate_bracket,
    ACTIONS(15775), 1,
      sym__immediate_brace,
    STATE(10987), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10754), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10756), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [70896] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10988), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10019), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10015), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [70949] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15777), 1,
      anon_sym_SQUOTE,
    ACTIONS(15779), 1,
      anon_sym_DOT,
    ACTIONS(15781), 1,
      sym__tilde_operator,
    STATE(4216), 1,
      sym__assignment_operator,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(10989), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71018] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10990), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10391), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10389), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71071] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10991), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10377), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10375), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71124] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15783), 1,
      anon_sym_DASH_GT,
    STATE(10992), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [71183] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10993), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10127), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10129), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [71236] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10994), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10177), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10175), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71289] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10995), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10231), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10229), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71342] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10996), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10129), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10127), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71395] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15767), 1,
      anon_sym_SQUOTE,
    ACTIONS(15769), 1,
      anon_sym_DOT,
    ACTIONS(15771), 1,
      sym__immediate_paren,
    ACTIONS(15773), 1,
      sym__immediate_bracket,
    ACTIONS(15775), 1,
      sym__immediate_brace,
    STATE(10997), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10708), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10746), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [71458] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(10998), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10279), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10277), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71511] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(10999), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3222), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(3226), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [71564] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11000), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [71635] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11001), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10013), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10011), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71688] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11002), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10141), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10139), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71741] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11003), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10293), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10291), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71794] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15787), 1,
      aux_sym__terminator_token1,
    ACTIONS(15785), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(11004), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 28,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71857] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11005), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10309), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10307), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [71910] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11006), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10323), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10325), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [71963] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11007), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10327), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10329), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [72016] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11008), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10237), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10235), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72069] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11009), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10379), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10381), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [72122] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11010), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10385), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10387), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [72175] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11011), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10349), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10347), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72228] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11012), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10389), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10391), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [72281] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11013), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10353), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10351), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72334] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11014), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10357), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10355), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72387] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15789), 1,
      anon_sym_SQUOTE,
    ACTIONS(15791), 1,
      anon_sym_DOT,
    ACTIONS(15793), 1,
      sym__tilde_operator,
    STATE(3534), 1,
      sym__assignment_operator,
    STATE(11015), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72456] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15789), 1,
      anon_sym_SQUOTE,
    ACTIONS(15795), 1,
      anon_sym_EQ,
    ACTIONS(15797), 1,
      anon_sym_DOT,
    ACTIONS(15799), 1,
      sym__tilde_operator,
    STATE(3966), 1,
      sym__assignment_operator,
    STATE(11016), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72527] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15777), 1,
      anon_sym_SQUOTE,
    ACTIONS(15801), 1,
      anon_sym_EQ,
    ACTIONS(15803), 1,
      anon_sym_DOT,
    ACTIONS(15805), 1,
      sym__tilde_operator,
    STATE(4441), 1,
      sym__assignment_operator,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11017), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72598] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11018), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10405), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10403), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72651] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11019), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10343), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10345), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [72704] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11020), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10417), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10419), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [72757] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11021), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [72810] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11022), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10097), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10099), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [72863] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11023), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9989), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9987), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [72916] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11024), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10101), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10103), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [72969] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11025), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10421), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10423), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [73022] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11026), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10429), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10431), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [73075] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11027), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10313), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10311), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [73128] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11028), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10433), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10435), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [73181] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11029), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10437), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10439), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [73234] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11030), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9907), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [73287] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11031), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10229), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10231), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [73340] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11032), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10195), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10193), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [73393] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11033), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10401), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10399), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [73446] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11034), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10075), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10073), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [73499] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11035), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10265), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10263), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [73552] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11036), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10165), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10163), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [73605] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11037), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10341), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10339), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [73658] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11038), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10373), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10371), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [73711] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11039), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10139), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10141), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [73764] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11040), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10291), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10293), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [73817] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11041), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10307), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10309), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [73870] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15681), 1,
      anon_sym_SQUOTE,
    ACTIONS(15741), 1,
      anon_sym_DOT,
    ACTIONS(15743), 1,
      sym__tilde_operator,
    STATE(3893), 1,
      sym__assignment_operator,
    STATE(11042), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [73939] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11043), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10347), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10349), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [73992] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11044), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10397), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10395), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [74045] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11045), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10351), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10353), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74098] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11046), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10411), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10409), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [74151] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11047), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10219), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10217), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [74204] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11048), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10355), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10357), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74257] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(15807), 1,
      anon_sym_EQ,
    STATE(11049), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [74318] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11050), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10415), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10413), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [74371] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15809), 1,
      anon_sym_SQUOTE,
    ACTIONS(15811), 1,
      anon_sym_DOT,
    ACTIONS(15813), 1,
      sym__tilde_operator,
    STATE(4086), 1,
      sym__assignment_operator,
    STATE(11051), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [74442] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11052), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10403), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10405), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74495] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11053), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10311), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10313), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74548] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11054), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10241), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10239), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [74601] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11055), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10247), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10245), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [74654] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15809), 1,
      anon_sym_SQUOTE,
    ACTIONS(15815), 1,
      anon_sym_EQ,
    ACTIONS(15817), 1,
      anon_sym_DOT,
    ACTIONS(15819), 1,
      sym__tilde_operator,
    STATE(3536), 1,
      sym__assignment_operator,
    STATE(11056), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [74727] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11057), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10399), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10401), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74780] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11058), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10876), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10878), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74833] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15821), 1,
      anon_sym_DASH_GT,
    STATE(11059), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [74892] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11060), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10263), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10265), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74945] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11061), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10339), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10341), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [74998] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11062), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10371), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10373), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [75051] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15789), 1,
      anon_sym_SQUOTE,
    ACTIONS(15791), 1,
      anon_sym_DOT,
    ACTIONS(15793), 1,
      sym__tilde_operator,
    STATE(3534), 1,
      sym__assignment_operator,
    STATE(11063), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [75120] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11064), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10175), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10177), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [75173] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11065), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10053), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10051), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [75226] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11066), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10081), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10079), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [75279] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15823), 1,
      anon_sym_DASH_GT,
    ACTIONS(15825), 1,
      sym__immediate_string_start,
    ACTIONS(15827), 1,
      sym__immediate_command_start,
    STATE(11067), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [75338] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15809), 1,
      anon_sym_SQUOTE,
    ACTIONS(15811), 1,
      anon_sym_DOT,
    ACTIONS(15813), 1,
      sym__tilde_operator,
    STATE(4086), 1,
      sym__assignment_operator,
    STATE(11068), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [75409] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11069), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10251), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10249), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [75462] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11070), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [75515] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11071), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10217), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10219), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [75568] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15809), 1,
      anon_sym_SQUOTE,
    ACTIONS(15817), 1,
      anon_sym_DOT,
    ACTIONS(15819), 1,
      sym__tilde_operator,
    ACTIONS(15829), 1,
      anon_sym_EQ,
    STATE(3536), 1,
      sym__assignment_operator,
    STATE(11072), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [75641] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15737), 1,
      aux_sym_float_literal_token2,
    STATE(11073), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [75696] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11074), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10365), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [75749] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11075), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10211), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10209), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [75802] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11076), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10319), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10321), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [75855] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11077), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10215), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10213), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [75908] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15789), 1,
      anon_sym_SQUOTE,
    ACTIONS(15791), 1,
      anon_sym_DOT,
    ACTIONS(15793), 1,
      sym__tilde_operator,
    STATE(3534), 1,
      sym__assignment_operator,
    STATE(11078), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [75977] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11079), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10061), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10059), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [76030] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15809), 1,
      anon_sym_SQUOTE,
    ACTIONS(15811), 1,
      anon_sym_DOT,
    ACTIONS(15813), 1,
      sym__tilde_operator,
    STATE(4086), 1,
      sym__assignment_operator,
    STATE(11080), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [76101] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11081), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [76154] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11082), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10173), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10171), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [76207] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11083), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [76260] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11084), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10005), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10003), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [76313] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11085), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9907), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9909), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [76366] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15789), 1,
      anon_sym_SQUOTE,
    ACTIONS(15797), 1,
      anon_sym_DOT,
    ACTIONS(15799), 1,
      sym__tilde_operator,
    ACTIONS(15831), 1,
      anon_sym_EQ,
    STATE(3966), 1,
      sym__assignment_operator,
    STATE(11086), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [76437] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11087), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10193), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10195), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [76490] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11088), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10125), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10123), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [76543] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11089), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10345), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10343), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [76596] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15777), 1,
      anon_sym_SQUOTE,
    ACTIONS(15803), 1,
      anon_sym_DOT,
    ACTIONS(15805), 1,
      sym__tilde_operator,
    ACTIONS(15833), 1,
      anon_sym_EQ,
    STATE(4441), 1,
      sym__assignment_operator,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11090), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [76667] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11091), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10395), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10397), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [76720] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11092), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10223), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10221), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [76773] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11093), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10413), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10415), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [76826] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11094), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10419), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10417), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [76879] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11095), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10321), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10319), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [76932] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11096), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10227), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10225), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [76985] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11097), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10083), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10087), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [77038] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15777), 1,
      anon_sym_SQUOTE,
    ACTIONS(15803), 1,
      anon_sym_DOT,
    ACTIONS(15805), 1,
      sym__tilde_operator,
    ACTIONS(15835), 1,
      anon_sym_EQ,
    STATE(4441), 1,
      sym__assignment_operator,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11098), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [77109] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15505), 1,
      anon_sym_SQUOTE,
    ACTIONS(15507), 1,
      anon_sym_DOT,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15679), 1,
      sym__tilde_operator,
    STATE(4137), 1,
      sym__assignment_operator,
    STATE(11099), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [77180] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11100), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10161), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10159), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [77233] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11101), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10089), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10091), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [77286] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15703), 1,
      anon_sym_EQ,
    ACTIONS(15809), 1,
      anon_sym_SQUOTE,
    ACTIONS(15817), 1,
      anon_sym_DOT,
    ACTIONS(15819), 1,
      sym__tilde_operator,
    STATE(3536), 1,
      sym__assignment_operator,
    STATE(11102), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [77359] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11103), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10087), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10083), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [77412] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11104), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10091), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10089), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [77465] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15809), 1,
      anon_sym_SQUOTE,
    ACTIONS(15817), 1,
      anon_sym_DOT,
    ACTIONS(15819), 1,
      sym__tilde_operator,
    ACTIONS(15837), 1,
      anon_sym_EQ,
    STATE(3536), 1,
      sym__assignment_operator,
    STATE(11105), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [77538] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11106), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10325), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10323), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [77591] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11107), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10317), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10315), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [77644] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11108), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10277), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10279), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [77697] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15667), 1,
      anon_sym_DOT,
    ACTIONS(15839), 1,
      anon_sym_EQ,
    ACTIONS(15841), 1,
      sym__tilde_operator,
    STATE(4003), 1,
      sym__assignment_operator,
    STATE(11109), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 16,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [77770] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11110), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [77823] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11111), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10099), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10097), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [77876] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15777), 1,
      anon_sym_SQUOTE,
    ACTIONS(15779), 1,
      anon_sym_DOT,
    ACTIONS(15781), 1,
      sym__tilde_operator,
    STATE(4216), 1,
      sym__assignment_operator,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11112), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [77945] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11113), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10365), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10363), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [77998] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11114), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10103), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10101), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [78051] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11115), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10329), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10327), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [78104] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15667), 1,
      anon_sym_DOT,
    ACTIONS(15669), 1,
      sym__tilde_operator,
    STATE(4291), 1,
      sym__assignment_operator,
    STATE(11116), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [78175] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15777), 1,
      anon_sym_SQUOTE,
    ACTIONS(15779), 1,
      anon_sym_DOT,
    ACTIONS(15781), 1,
      sym__tilde_operator,
    STATE(4216), 1,
      sym__assignment_operator,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11117), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [78244] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15709), 1,
      anon_sym_DOT,
    ACTIONS(15843), 1,
      sym__tilde_operator,
    STATE(4342), 1,
      sym__assignment_operator,
    STATE(11118), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 16,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [78315] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15709), 1,
      anon_sym_DOT,
    ACTIONS(15843), 1,
      sym__tilde_operator,
    STATE(4342), 1,
      sym__assignment_operator,
    STATE(11119), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 16,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [78386] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15671), 1,
      anon_sym_SQUOTE,
    ACTIONS(15689), 1,
      anon_sym_DOT,
    ACTIONS(15691), 1,
      sym__tilde_operator,
    STATE(4178), 1,
      sym__assignment_operator,
    STATE(11120), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [78455] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11121), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10377), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [78508] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15845), 1,
      aux_sym_float_literal_token2,
    STATE(11122), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10019), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10015), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [78563] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15695), 1,
      anon_sym_SQUOTE,
    ACTIONS(15697), 1,
      anon_sym_DOT,
    ACTIONS(15699), 1,
      sym__tilde_operator,
    STATE(3983), 1,
      sym__assignment_operator,
    STATE(11123), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [78632] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15825), 1,
      sym__immediate_string_start,
    ACTIONS(15827), 1,
      sym__immediate_command_start,
    ACTIONS(15847), 1,
      anon_sym_DASH_GT,
    STATE(11124), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [78691] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11125), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10057), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10055), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [78744] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11126), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10035), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10033), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [78797] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11127), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10423), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10421), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [78850] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15789), 1,
      anon_sym_SQUOTE,
    ACTIONS(15797), 1,
      anon_sym_DOT,
    ACTIONS(15799), 1,
      sym__tilde_operator,
    ACTIONS(15849), 1,
      anon_sym_EQ,
    STATE(3966), 1,
      sym__assignment_operator,
    STATE(11128), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [78921] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11129), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10361), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10359), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [78974] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11130), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10381), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10379), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79027] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11131), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10387), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10385), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79080] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11132), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10431), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10429), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79133] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11133), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10435), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10433), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79186] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11134), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10147), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10085), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79239] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11135), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10439), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10437), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79292] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11136), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10409), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10411), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [79345] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(11137), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [79399] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11138), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79451] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11139), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10087), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10083), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79503] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11140), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10091), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10089), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79555] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15851), 1,
      anon_sym_do,
    STATE(11742), 1,
      sym_do_clause,
    STATE(11141), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9947), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9945), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79611] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11142), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10373), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10371), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79663] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11143), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10241), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10239), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79715] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11144), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10247), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10245), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79767] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11145), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10411), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10409), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79819] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11146), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10219), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10217), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79871] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15489), 1,
      anon_sym_DASH_GT,
    ACTIONS(15853), 1,
      anon_sym_EQ,
    ACTIONS(15855), 2,
      anon_sym_in,
      anon_sym_u2208,
    STATE(11147), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [79933] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15857), 1,
      sym__immediate_string_start,
    ACTIONS(15859), 1,
      sym__immediate_command_start,
    STATE(11148), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [79989] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11149), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9989), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9987), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80041] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11150), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10405), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10403), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80093] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15809), 1,
      anon_sym_SQUOTE,
    ACTIONS(15817), 1,
      anon_sym_DOT,
    ACTIONS(15837), 1,
      anon_sym_EQ,
    ACTIONS(15861), 1,
      sym__tilde_operator,
    STATE(4252), 1,
      sym__assignment_operator,
    STATE(11151), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 16,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [80165] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15857), 1,
      sym__immediate_string_start,
    ACTIONS(15859), 1,
      sym__immediate_command_start,
    STATE(11152), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80221] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11153), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10211), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10209), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80273] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11154), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10251), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10249), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80325] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15809), 1,
      anon_sym_SQUOTE,
    ACTIONS(15817), 1,
      anon_sym_DOT,
    ACTIONS(15819), 1,
      sym__tilde_operator,
    STATE(3536), 1,
      sym__assignment_operator,
    STATE(11155), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [80395] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15789), 1,
      anon_sym_SQUOTE,
    ACTIONS(15797), 1,
      anon_sym_DOT,
    ACTIONS(15799), 1,
      sym__tilde_operator,
    STATE(3966), 1,
      sym__assignment_operator,
    STATE(11156), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80463] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11157), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10215), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10213), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80515] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11052), 1,
      sym_identifier,
    STATE(11158), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 15,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [80571] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11159), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80623] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11160), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10103), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10101), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80675] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11161), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10099), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10097), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80727] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15777), 1,
      anon_sym_SQUOTE,
    ACTIONS(15803), 1,
      anon_sym_DOT,
    ACTIONS(15805), 1,
      sym__tilde_operator,
    ACTIONS(15865), 1,
      anon_sym_EQ,
    STATE(4441), 1,
      sym__assignment_operator,
    STATE(11162), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [80797] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11163), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3222), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(3226), 28,
      sym__immediate_paren,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [80849] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11136), 1,
      sym_identifier,
    STATE(11164), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 15,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [80905] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15867), 1,
      sym__immediate_string_start,
    ACTIONS(15869), 1,
      sym__immediate_command_start,
    STATE(11165), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [80961] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11071), 1,
      sym_identifier,
    STATE(11166), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 15,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [81017] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11167), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10279), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10277), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [81069] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15867), 1,
      sym__immediate_string_start,
    ACTIONS(15869), 1,
      sym__immediate_command_start,
    STATE(11168), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [81125] = 13,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15531), 1,
      sym__immediate_bracket,
    ACTIONS(15533), 1,
      sym__immediate_brace,
    ACTIONS(15777), 1,
      anon_sym_SQUOTE,
    ACTIONS(15803), 1,
      anon_sym_DOT,
    ACTIONS(15805), 1,
      sym__tilde_operator,
    STATE(4441), 1,
      sym__assignment_operator,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11169), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10025), 4,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [81193] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15851), 1,
      anon_sym_do,
    STATE(11732), 1,
      sym_do_clause,
    STATE(11170), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9931), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9927), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [81249] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(11171), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [81303] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11172), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10870), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [81355] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11173), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9937), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9933), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [81407] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15857), 1,
      sym__immediate_string_start,
    ACTIONS(15859), 1,
      sym__immediate_command_start,
    STATE(11174), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [81463] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15825), 1,
      sym__immediate_string_start,
    ACTIONS(15827), 1,
      sym__immediate_command_start,
    STATE(11175), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [81519] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15825), 1,
      sym__immediate_string_start,
    ACTIONS(15827), 1,
      sym__immediate_command_start,
    ACTIONS(15871), 1,
      anon_sym_DASH_GT,
    STATE(11176), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [81577] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15825), 1,
      sym__immediate_string_start,
    ACTIONS(15827), 1,
      sym__immediate_command_start,
    STATE(11177), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [81633] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11178), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10397), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10395), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [81685] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11179), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10401), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10399), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [81737] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15851), 1,
      anon_sym_do,
    STATE(11733), 1,
      sym_do_clause,
    STATE(11180), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9937), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9933), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [81793] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11181), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10423), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10421), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [81845] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15825), 1,
      sym__immediate_string_start,
    ACTIONS(15827), 1,
      sym__immediate_command_start,
    STATE(11182), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [81901] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11183), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10431), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10429), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [81953] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(11184), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [82007] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11185), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10435), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10433), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [82059] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15489), 1,
      anon_sym_DASH_GT,
    ACTIONS(15873), 1,
      anon_sym_EQ,
    STATE(11186), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [82119] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11187), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10439), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10437), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [82171] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11188), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11102), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11104), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [82223] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11189), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10415), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10413), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [82275] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11190), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10345), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10343), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [82327] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15407), 1,
      sym__word_identifier,
    STATE(10357), 1,
      sym_identifier,
    STATE(11191), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 17,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [82383] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11192), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10019), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10015), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [82435] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11193), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10237), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10235), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [82487] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15407), 1,
      sym__word_identifier,
    STATE(10409), 1,
      sym_identifier,
    STATE(11194), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 17,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [82543] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11195), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9907), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [82595] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11196), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10223), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10221), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [82647] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15407), 1,
      sym__word_identifier,
    STATE(10412), 1,
      sym_identifier,
    STATE(11197), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 17,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [82703] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11198), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10227), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10225), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [82755] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11199), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10381), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10379), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [82807] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11200), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10387), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10385), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [82859] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(10712), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15875), 1,
      sym__tilde_operator,
    STATE(4335), 1,
      sym__assignment_operator,
    STATE(11201), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(10718), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 13,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [82933] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11202), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10391), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10389), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [82985] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11203), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10365), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10363), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83037] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11204), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10419), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10417), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83089] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15485), 1,
      sym__word_identifier,
    STATE(10575), 1,
      sym_identifier,
    STATE(11205), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 14,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [83145] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11053), 1,
      sym_identifier,
    STATE(11206), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 15,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [83201] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15485), 1,
      sym__word_identifier,
    STATE(10585), 1,
      sym_identifier,
    STATE(11207), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 14,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [83257] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11208), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(3222), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83309] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15485), 1,
      sym__word_identifier,
    STATE(10615), 1,
      sym_identifier,
    STATE(11209), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 14,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [83365] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11210), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83417] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15485), 1,
      sym__word_identifier,
    STATE(10619), 1,
      sym_identifier,
    STATE(11211), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 14,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 21,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [83473] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11212), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10177), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10175), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83525] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15489), 1,
      anon_sym_DASH_GT,
    ACTIONS(15877), 1,
      anon_sym_EQ,
    ACTIONS(15879), 2,
      anon_sym_in,
      anon_sym_u2208,
    STATE(11213), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [83587] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15881), 1,
      anon_sym_DASH_GT,
    STATE(11214), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [83645] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11215), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 7,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9907), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83697] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15407), 1,
      sym__word_identifier,
    STATE(10360), 1,
      sym_identifier,
    STATE(11216), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 17,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [83753] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11217), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10173), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10171), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83805] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11027), 1,
      sym_identifier,
    STATE(11218), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83861] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11046), 1,
      sym_identifier,
    STATE(11219), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [83917] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15809), 1,
      anon_sym_SQUOTE,
    ACTIONS(15811), 1,
      anon_sym_DOT,
    ACTIONS(15885), 1,
      sym__tilde_operator,
    STATE(4325), 1,
      sym__assignment_operator,
    STATE(11220), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 16,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [83987] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11221), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10313), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10311), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84039] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15887), 1,
      sym__immediate_string_start,
    ACTIONS(15889), 1,
      sym__immediate_command_start,
    STATE(11222), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84095] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15891), 1,
      sym__word_identifier,
    STATE(11637), 1,
      sym_identifier,
    STATE(11223), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84151] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15891), 1,
      sym__word_identifier,
    STATE(11638), 1,
      sym_identifier,
    STATE(11224), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84207] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15809), 1,
      anon_sym_SQUOTE,
    ACTIONS(15811), 1,
      anon_sym_DOT,
    ACTIONS(15885), 1,
      sym__tilde_operator,
    STATE(4325), 1,
      sym__assignment_operator,
    STATE(11225), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 16,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [84277] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11226), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10361), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10359), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84329] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15893), 1,
      sym__immediate_string_start,
    ACTIONS(15895), 1,
      sym__immediate_command_start,
    STATE(11227), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [84385] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11018), 1,
      sym_identifier,
    STATE(11228), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84441] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11229), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10195), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10193), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84493] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15891), 1,
      sym__word_identifier,
    STATE(11643), 1,
      sym_identifier,
    STATE(11230), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84549] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15857), 1,
      sym__immediate_string_start,
    ACTIONS(15859), 1,
      sym__immediate_command_start,
    STATE(11231), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84605] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11232), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10129), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10127), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84657] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15887), 1,
      sym__immediate_string_start,
    ACTIONS(15889), 1,
      sym__immediate_command_start,
    STATE(11233), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84713] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15887), 1,
      sym__immediate_string_start,
    ACTIONS(15889), 1,
      sym__immediate_command_start,
    STATE(11234), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84769] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15893), 1,
      sym__immediate_string_start,
    ACTIONS(15895), 1,
      sym__immediate_command_start,
    STATE(11235), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [84825] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15891), 1,
      sym__word_identifier,
    STATE(11644), 1,
      sym_identifier,
    STATE(11236), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [84881] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15893), 1,
      sym__immediate_string_start,
    ACTIONS(15895), 1,
      sym__immediate_command_start,
    STATE(11237), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [84937] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15489), 1,
      anon_sym_DASH_GT,
    ACTIONS(15897), 1,
      anon_sym_EQ,
    ACTIONS(15899), 2,
      anon_sym_in,
      anon_sym_u2208,
    STATE(11238), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [84999] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10457), 1,
      sym__immediate_string_start,
    ACTIONS(10459), 1,
      sym__immediate_command_start,
    ACTIONS(15489), 1,
      anon_sym_DASH_GT,
    ACTIONS(15901), 1,
      anon_sym_EQ,
    ACTIONS(15903), 2,
      anon_sym_in,
      anon_sym_u2208,
    STATE(11239), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [85061] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11240), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [85113] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11241), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10325), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10323), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [85165] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11242), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10293), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10291), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [85217] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11243), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10309), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10307), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [85269] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15851), 1,
      anon_sym_do,
    STATE(11760), 1,
      sym_do_clause,
    STATE(11244), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9989), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9987), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [85325] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11245), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10141), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10139), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [85377] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11246), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10317), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10315), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [85429] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11247), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10329), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10327), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [85481] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15887), 1,
      sym__immediate_string_start,
    ACTIONS(15889), 1,
      sym__immediate_command_start,
    STATE(11248), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [85537] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11249), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11038), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11040), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [85589] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11250), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9907), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9909), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [85641] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11251), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10349), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10347), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [85693] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15893), 1,
      sym__immediate_string_start,
    ACTIONS(15895), 1,
      sym__immediate_command_start,
    STATE(11252), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 27,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [85749] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11253), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10982), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10986), 28,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [85801] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11254), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10353), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10351), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [85853] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11255), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10357), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10355), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [85905] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11256), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10265), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10263), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [85957] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11257), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10231), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10229), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [86009] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11258), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10321), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10319), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [86061] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11259), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10377), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10375), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [86113] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15667), 1,
      anon_sym_DOT,
    ACTIONS(15841), 1,
      sym__tilde_operator,
    STATE(4003), 1,
      sym__assignment_operator,
    STATE(11260), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 16,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [86183] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15825), 1,
      sym__immediate_string_start,
    ACTIONS(15827), 1,
      sym__immediate_command_start,
    ACTIONS(15905), 1,
      anon_sym_DASH_GT,
    STATE(11261), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [86241] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11262), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10341), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10339), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [86293] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11047), 1,
      sym_identifier,
    STATE(11263), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [86349] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11018), 1,
      sym_identifier,
    STATE(11264), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [86404] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11047), 1,
      sym_identifier,
    STATE(11265), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [86459] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15907), 1,
      sym__word_identifier,
    STATE(11938), 1,
      sym_identifier,
    STATE(11266), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 16,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [86514] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11267), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11501), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11503), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86565] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11268), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11414), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11416), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86616] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15909), 1,
      anon_sym_do,
    STATE(11909), 1,
      sym_do_clause,
    STATE(11269), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9931), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9927), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [86671] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15911), 1,
      anon_sym_EQ,
    ACTIONS(15913), 1,
      anon_sym_DOT,
    ACTIONS(15915), 1,
      sym__tilde_operator,
    STATE(3903), 1,
      sym__assignment_operator,
    STATE(11270), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [86742] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11271), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86793] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11272), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11525), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11527), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [86844] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15907), 1,
      sym__word_identifier,
    STATE(11948), 1,
      sym_identifier,
    STATE(11273), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 16,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [86899] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15917), 1,
      sym__immediate_string_start,
    ACTIONS(15919), 1,
      sym__immediate_command_start,
    STATE(11274), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [86954] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15917), 1,
      sym__immediate_string_start,
    ACTIONS(15919), 1,
      sym__immediate_command_start,
    STATE(11275), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [87009] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11276), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10147), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10085), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [87060] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15921), 1,
      sym__immediate_string_start,
    ACTIONS(15923), 1,
      sym__immediate_command_start,
    STATE(11277), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [87115] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15925), 1,
      aux_sym_float_literal_token2,
    STATE(11278), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10019), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10015), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [87168] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11279), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11609), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11611), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [87219] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11280), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11641), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11643), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [87270] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15907), 1,
      sym__word_identifier,
    STATE(11942), 1,
      sym_identifier,
    STATE(11281), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 16,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [87325] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11146), 1,
      sym_identifier,
    STATE(11282), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [87380] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15929), 1,
      anon_sym_DOT,
    ACTIONS(15931), 1,
      sym__tilde_operator,
    STATE(4140), 1,
      sym__assignment_operator,
    STATE(11283), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [87449] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11284), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10013), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10011), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [87500] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11285), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [87551] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15917), 1,
      sym__immediate_string_start,
    ACTIONS(15919), 1,
      sym__immediate_command_start,
    STATE(11286), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [87606] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11287), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11645), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11647), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [87657] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15933), 1,
      sym__immediate_string_start,
    ACTIONS(15935), 1,
      sym__immediate_command_start,
    STATE(11288), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [87712] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11289), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11316), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11318), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [87763] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11290), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11529), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11531), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [87814] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11291), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10161), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10159), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [87865] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11027), 1,
      sym_identifier,
    STATE(11292), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [87920] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15937), 1,
      sym__immediate_string_start,
    ACTIONS(15939), 1,
      sym__immediate_command_start,
    STATE(11293), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [87975] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11294), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11605), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11607), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [88026] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15600), 1,
      sym__word_identifier,
    STATE(10711), 1,
      sym_identifier,
    STATE(11295), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 14,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [88081] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15941), 1,
      sym__immediate_string_start,
    ACTIONS(15943), 1,
      sym__immediate_command_start,
    STATE(11296), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [88136] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11297), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11561), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11563), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [88187] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11298), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10081), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10079), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [88238] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11299), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 7,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9907), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [88289] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11300), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11533), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11535), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [88340] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11301), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11521), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11523), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [88391] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11302), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11348), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11350), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [88442] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11303), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11159), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11161), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [88493] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15907), 1,
      sym__word_identifier,
    STATE(11949), 1,
      sym_identifier,
    STATE(11304), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 16,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [88548] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15600), 1,
      sym__word_identifier,
    STATE(10666), 1,
      sym_identifier,
    STATE(11305), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 14,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [88603] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11306), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11637), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11639), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [88654] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15937), 1,
      sym__immediate_string_start,
    ACTIONS(15939), 1,
      sym__immediate_command_start,
    STATE(11307), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [88709] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11308), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11537), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11539), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [88760] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11309), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11362), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11364), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [88811] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15945), 1,
      anon_sym_EQ,
    ACTIONS(15947), 1,
      anon_sym_SQUOTE,
    ACTIONS(15949), 1,
      anon_sym_DOT,
    ACTIONS(15951), 1,
      sym__tilde_operator,
    STATE(4259), 1,
      sym__assignment_operator,
    STATE(11310), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [88882] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15953), 1,
      sym__immediate_string_start,
    ACTIONS(15955), 1,
      sym__immediate_command_start,
    STATE(11311), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [88937] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15937), 1,
      sym__immediate_string_start,
    ACTIONS(15939), 1,
      sym__immediate_command_start,
    STATE(11312), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [88992] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15957), 1,
      sym__immediate_string_start,
    ACTIONS(15959), 1,
      sym__immediate_command_start,
    STATE(11313), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [89047] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15489), 1,
      anon_sym_DASH_GT,
    ACTIONS(15825), 1,
      sym__immediate_string_start,
    ACTIONS(15827), 1,
      sym__immediate_command_start,
    STATE(11314), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [89104] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11047), 1,
      sym_identifier,
    STATE(11315), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [89159] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15961), 1,
      sym__word_identifier,
    STATE(11882), 1,
      sym_identifier,
    STATE(11316), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [89214] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11317), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10125), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10123), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [89265] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11318), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11426), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11428), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [89316] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15600), 1,
      sym__word_identifier,
    STATE(10649), 1,
      sym_identifier,
    STATE(11319), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 14,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [89371] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11046), 1,
      sym_identifier,
    STATE(11320), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [89426] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11321), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11410), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11412), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [89477] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15953), 1,
      sym__immediate_string_start,
    ACTIONS(15955), 1,
      sym__immediate_command_start,
    STATE(11322), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [89532] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15961), 1,
      sym__word_identifier,
    STATE(11881), 1,
      sym_identifier,
    STATE(11323), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [89587] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11324), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10053), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10051), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [89638] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15953), 1,
      sym__immediate_string_start,
    ACTIONS(15955), 1,
      sym__immediate_command_start,
    STATE(11325), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [89693] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11326), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11386), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11388), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [89744] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15963), 1,
      sym__immediate_string_start,
    ACTIONS(15965), 1,
      sym__immediate_command_start,
    STATE(11327), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [89799] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11328), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11565), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11567), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [89850] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11329), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10165), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10163), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [89901] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15941), 1,
      sym__immediate_string_start,
    ACTIONS(15943), 1,
      sym__immediate_command_start,
    STATE(11330), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [89956] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15909), 1,
      anon_sym_do,
    STATE(11911), 1,
      sym_do_clause,
    STATE(11331), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9937), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9933), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90011] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11332), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10057), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10055), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90062] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11333), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11493), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11495), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [90113] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11334), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11366), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11368), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [90164] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15957), 1,
      sym__immediate_string_start,
    ACTIONS(15959), 1,
      sym__immediate_command_start,
    STATE(11335), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [90219] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15947), 1,
      anon_sym_SQUOTE,
    ACTIONS(15967), 1,
      anon_sym_DOT,
    ACTIONS(15969), 1,
      sym__tilde_operator,
    STATE(3812), 1,
      sym__assignment_operator,
    STATE(11336), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [90288] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11337), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11328), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11330), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [90339] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11338), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11406), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11408), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [90390] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11046), 1,
      sym_identifier,
    STATE(11339), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90445] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11340), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11513), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11515), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [90496] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15957), 1,
      sym__immediate_string_start,
    ACTIONS(15959), 1,
      sym__immediate_command_start,
    STATE(11341), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [90551] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11342), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11517), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11519), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [90602] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11071), 1,
      sym_identifier,
    STATE(11343), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [90657] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11344), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11481), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11483), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [90708] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15947), 1,
      anon_sym_SQUOTE,
    ACTIONS(15967), 1,
      anon_sym_DOT,
    ACTIONS(15969), 1,
      sym__tilde_operator,
    STATE(3812), 1,
      sym__assignment_operator,
    STATE(11345), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [90777] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15747), 1,
      anon_sym_COMMA,
    ACTIONS(15749), 1,
      anon_sym_SEMI,
    ACTIONS(15751), 1,
      aux_sym__terminator_token1,
    STATE(16667), 1,
      aux_sym__do_parameter_list_repeat1,
    STATE(11346), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 28,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90836] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15953), 1,
      sym__immediate_string_start,
    ACTIONS(15955), 1,
      sym__immediate_command_start,
    STATE(11347), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [90891] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15947), 1,
      anon_sym_SQUOTE,
    ACTIONS(15967), 1,
      anon_sym_DOT,
    ACTIONS(15969), 1,
      sym__tilde_operator,
    STATE(3812), 1,
      sym__assignment_operator,
    STATE(11348), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [90960] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15809), 1,
      anon_sym_SQUOTE,
    ACTIONS(15817), 1,
      anon_sym_DOT,
    ACTIONS(15861), 1,
      sym__tilde_operator,
    STATE(4252), 1,
      sym__assignment_operator,
    STATE(11349), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 16,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [91029] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15913), 1,
      anon_sym_DOT,
    ACTIONS(15915), 1,
      sym__tilde_operator,
    ACTIONS(15971), 1,
      anon_sym_EQ,
    STATE(3903), 1,
      sym__assignment_operator,
    STATE(11350), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [91100] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15929), 1,
      anon_sym_DOT,
    ACTIONS(15931), 1,
      sym__tilde_operator,
    STATE(4140), 1,
      sym__assignment_operator,
    STATE(11351), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [91169] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15957), 1,
      sym__immediate_string_start,
    ACTIONS(15959), 1,
      sym__immediate_command_start,
    STATE(11352), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 26,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [91224] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15941), 1,
      sym__immediate_string_start,
    ACTIONS(15943), 1,
      sym__immediate_command_start,
    STATE(11353), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91279] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15929), 1,
      anon_sym_DOT,
    ACTIONS(15931), 1,
      sym__tilde_operator,
    STATE(4140), 1,
      sym__assignment_operator,
    STATE(11354), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [91348] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15921), 1,
      sym__immediate_string_start,
    ACTIONS(15923), 1,
      sym__immediate_command_start,
    STATE(11355), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91403] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11356), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11569), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11571), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [91454] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1655), 1,
      anon_sym_LBRACK,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(10317), 1,
      anon_sym_RPAREN,
    ACTIONS(13136), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13138), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(15975), 1,
      anon_sym_LPAREN,
    STATE(10869), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13134), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11357), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13140), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10362), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10374), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [91545] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15909), 1,
      anon_sym_do,
    STATE(11917), 1,
      sym_do_clause,
    STATE(11358), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9947), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9945), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91600] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11359), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10035), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10033), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91651] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11047), 1,
      sym_identifier,
    STATE(11360), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91706] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11361), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10005), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10003), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [91757] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15600), 1,
      sym__word_identifier,
    STATE(10646), 1,
      sym_identifier,
    STATE(11362), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 14,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [91812] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11363), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11382), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11384), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [91863] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11364), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11573), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11575), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [91914] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11365), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11577), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11579), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [91965] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11366), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11617), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11619), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [92016] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11367), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11581), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11583), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [92067] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11368), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11585), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11587), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [92118] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11369), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11621), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11623), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [92169] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11370), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11370), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11372), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [92220] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11018), 1,
      sym_identifier,
    STATE(11371), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [92275] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15913), 1,
      anon_sym_DOT,
    ACTIONS(15915), 1,
      sym__tilde_operator,
    ACTIONS(15977), 1,
      anon_sym_EQ,
    STATE(3903), 1,
      sym__assignment_operator,
    STATE(11372), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [92346] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11373), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9907), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9909), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [92397] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11027), 1,
      sym_identifier,
    STATE(11374), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [92452] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11375), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 4,
      sym__immediate_string_start,
      sym__immediate_command_start,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(9907), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [92503] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11376), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11202), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [92554] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11377), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11374), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11376), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [92605] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11378), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11320), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11322), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [92656] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11379), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10075), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10073), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [92707] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11053), 1,
      sym_identifier,
    STATE(11380), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [92762] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11381), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11352), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11354), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [92813] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11382), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11549), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11551), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [92864] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11150), 1,
      sym_identifier,
    STATE(11383), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [92919] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11384), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11485), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11487), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [92970] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11385), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11332), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11334), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [93021] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15937), 1,
      sym__immediate_string_start,
    ACTIONS(15939), 1,
      sym__immediate_command_start,
    STATE(11386), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [93076] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15921), 1,
      sym__immediate_string_start,
    ACTIONS(15923), 1,
      sym__immediate_command_start,
    STATE(11387), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [93131] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11388), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11497), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11499), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [93182] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11389), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [93233] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11390), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11613), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11615), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [93284] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11391), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11505), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11507), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [93335] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15941), 1,
      sym__immediate_string_start,
    ACTIONS(15943), 1,
      sym__immediate_command_start,
    STATE(11392), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [93390] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11393), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11625), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11627), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [93441] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15921), 1,
      sym__immediate_string_start,
    ACTIONS(15923), 1,
      sym__immediate_command_start,
    STATE(11394), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [93496] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15917), 1,
      sym__immediate_string_start,
    ACTIONS(15919), 1,
      sym__immediate_command_start,
    STATE(11395), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [93551] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11396), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11336), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11338), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [93602] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11397), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11206), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [93653] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11398), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11390), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11392), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [93704] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11399), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11210), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [93755] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11400), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11629), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11631), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [93806] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11401), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11340), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11342), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [93857] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11402), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11422), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11424), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [93908] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15933), 1,
      sym__immediate_string_start,
    ACTIONS(15935), 1,
      sym__immediate_command_start,
    STATE(11403), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [93963] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11136), 1,
      sym_identifier,
    STATE(11404), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94018] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11405), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11312), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11314), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94069] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11406), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11344), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11346), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94120] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11145), 1,
      sym_identifier,
    STATE(11407), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [94175] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11408), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11149), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11154), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94226] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11409), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11541), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11543), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94277] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11410), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11589), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11591), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94328] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11411), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11216), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11220), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94379] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11412), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11300), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11302), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94430] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11018), 1,
      sym_identifier,
    STATE(11413), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [94485] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11414), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11304), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11306), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94536] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11415), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11260), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94587] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11416), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11394), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11396), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94638] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11417), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11418), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11420), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94689] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11418), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11489), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11491), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94740] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11027), 1,
      sym_identifier,
    STATE(11419), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [94795] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11046), 1,
      sym_identifier,
    STATE(11420), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [94850] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11421), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11545), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11547), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94901] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11422), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11509), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11511), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [94952] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11423), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11593), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11595), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [95003] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11424), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11597), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11599), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [95054] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11425), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11601), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11603), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [95105] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11426), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10061), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10059), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [95156] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11427), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11398), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11400), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [95207] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11221), 1,
      sym_identifier,
    STATE(11428), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [95262] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11429), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11358), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11360), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [95313] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11430), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11557), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11559), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [95364] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11431), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11324), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11326), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [95415] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15947), 1,
      anon_sym_SQUOTE,
    ACTIONS(15949), 1,
      anon_sym_DOT,
    ACTIONS(15951), 1,
      sym__tilde_operator,
    ACTIONS(15979), 1,
      anon_sym_EQ,
    STATE(4259), 1,
      sym__assignment_operator,
    STATE(11432), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [95486] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11433), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11704), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11706), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [95537] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11434), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11553), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11555), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [95588] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15961), 1,
      sym__word_identifier,
    STATE(11875), 1,
      sym_identifier,
    STATE(11435), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [95643] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15961), 1,
      sym__word_identifier,
    STATE(11876), 1,
      sym_identifier,
    STATE(11436), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [95698] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11052), 1,
      sym_identifier,
    STATE(11437), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 14,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON2,
      anon_sym_isa,
      anon_sym_where,
      aux_sym_integer_literal_token4,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 20,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [95753] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15909), 1,
      anon_sym_do,
    STATE(11927), 1,
      sym_do_clause,
    STATE(11438), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9989), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9987), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [95808] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11439), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11633), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11635), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [95859] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11440), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11402), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11404), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [95910] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    ACTIONS(15989), 1,
      aux_sym_integer_literal_token4,
    STATE(12118), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11441), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [95998] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11442), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10061), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10059), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96048] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11443), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10125), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10123), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96098] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11444), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10013), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10011), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96148] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10005), 1,
      anon_sym_DASH_GT,
    STATE(11445), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10097), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10099), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [96200] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11446), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9907), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [96250] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(15991), 1,
      sym__word_identifier,
    ACTIONS(15993), 1,
      anon_sym_LPAREN,
    ACTIONS(15995), 1,
      anon_sym_LBRACK,
    ACTIONS(15997), 1,
      anon_sym_LBRACE,
    ACTIONS(16001), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16003), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16007), 1,
      sym_character_literal,
    STATE(9983), 1,
      sym_identifier,
    STATE(15232), 1,
      sym__delimiter_str_1,
    STATE(15233), 1,
      sym__delimiter_str_3,
    STATE(15234), 1,
      sym__delimiter_cmd_1,
    STATE(15239), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15999), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11447), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16005), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10013), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10057), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10051), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [96338] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16009), 1,
      anon_sym_COMMA,
    ACTIONS(16011), 1,
      anon_sym_as,
    STATE(11847), 1,
      aux_sym__import_list_repeat1,
    STATE(11448), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11032), 23,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [96394] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(16013), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11449), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [96464] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    ACTIONS(16023), 1,
      aux_sym_integer_literal_token4,
    STATE(11403), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11450), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [96552] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15687), 1,
      anon_sym_EQ,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11451), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [96622] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10035), 1,
      anon_sym_DASH_GT,
    STATE(11452), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10139), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10141), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [96674] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13475), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13477), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16025), 1,
      sym__word_identifier,
    STATE(10842), 1,
      sym_identifier,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13473), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11453), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13479), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10682), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [96762] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(12320), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11454), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [96832] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    ACTIONS(663), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym_character_literal,
    ACTIONS(9815), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9817), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16027), 1,
      sym__word_identifier,
    ACTIONS(16029), 1,
      anon_sym_LPAREN,
    STATE(4583), 1,
      sym_identifier,
    STATE(15442), 1,
      sym__delimiter_str_1,
    STATE(15443), 1,
      sym__delimiter_str_3,
    STATE(15444), 1,
      sym__delimiter_cmd_1,
    STATE(15445), 1,
      sym__delimiter_cmd_3,
    ACTIONS(9813), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11455), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9819), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5086), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5085), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(5166), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [96920] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(16031), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11456), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [96990] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(403), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(405), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14107), 1,
      sym_character_literal,
    ACTIONS(16033), 1,
      sym__word_identifier,
    ACTIONS(16035), 1,
      anon_sym_LPAREN,
    ACTIONS(16037), 1,
      anon_sym_LBRACK,
    ACTIONS(16039), 1,
      anon_sym_LBRACE,
    STATE(6887), 1,
      sym_identifier,
    STATE(15235), 1,
      sym__delimiter_str_1,
    STATE(15236), 1,
      sym__delimiter_str_3,
    STATE(15237), 1,
      sym__delimiter_cmd_1,
    STATE(15238), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7393), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11457), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7395), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7580), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7579), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7256), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [97078] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(16041), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11458), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [97148] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14073), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14079), 1,
      sym_character_literal,
    ACTIONS(16043), 1,
      sym__word_identifier,
    ACTIONS(16045), 1,
      anon_sym_LPAREN,
    ACTIONS(16047), 1,
      anon_sym_LBRACK,
    ACTIONS(16049), 1,
      anon_sym_LBRACE,
    ACTIONS(16051), 1,
      aux_sym_integer_literal_token4,
    STATE(6465), 1,
      sym_identifier,
    STATE(15259), 1,
      sym__delimiter_str_1,
    STATE(15260), 1,
      sym__delimiter_str_3,
    STATE(15261), 1,
      sym__delimiter_cmd_1,
    STATE(15262), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14071), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11459), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14077), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7018), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7012), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7170), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [97236] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11150), 1,
      sym_identifier,
    STATE(11460), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [97290] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11221), 1,
      sym_identifier,
    STATE(11461), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [97344] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11145), 1,
      sym_identifier,
    STATE(11462), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [97398] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11146), 1,
      sym_identifier,
    STATE(11463), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [97452] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11018), 1,
      sym_identifier,
    STATE(11464), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [97506] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11027), 1,
      sym_identifier,
    STATE(11465), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [97560] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(10155), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11466), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [97630] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13799), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13801), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13805), 1,
      sym_character_literal,
    ACTIONS(14003), 1,
      anon_sym_LPAREN,
    ACTIONS(14005), 1,
      anon_sym_LBRACK,
    ACTIONS(14007), 1,
      anon_sym_LBRACE,
    ACTIONS(16053), 1,
      sym__word_identifier,
    STATE(5426), 1,
      sym_identifier,
    STATE(14643), 1,
      sym__delimiter_str_1,
    STATE(14661), 1,
      sym__delimiter_str_3,
    STATE(14689), 1,
      sym__delimiter_cmd_1,
    STATE(14690), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13797), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11467), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13803), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5881), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5880), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(6018), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [97718] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11046), 1,
      sym_identifier,
    STATE(11468), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [97772] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11047), 1,
      sym_identifier,
    STATE(11469), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [97826] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(16055), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11470), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [97896] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    ACTIONS(4223), 1,
      anon_sym_LBRACE,
    ACTIONS(4235), 1,
      sym_character_literal,
    ACTIONS(13164), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13166), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16057), 1,
      sym__word_identifier,
    ACTIONS(16059), 1,
      anon_sym_LPAREN,
    STATE(10678), 1,
      sym_identifier,
    STATE(15125), 1,
      sym__delimiter_str_1,
    STATE(15126), 1,
      sym__delimiter_str_3,
    STATE(15127), 1,
      sym__delimiter_cmd_1,
    STATE(15128), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14567), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11471), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14569), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10906), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10903), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10940), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [97984] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(10151), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11472), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [98054] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(10427), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11473), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [98124] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(7681), 1,
      anon_sym_LBRACK,
    ACTIONS(7683), 1,
      anon_sym_LBRACE,
    ACTIONS(7693), 1,
      sym_character_literal,
    ACTIONS(9787), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9789), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16061), 1,
      sym__word_identifier,
    ACTIONS(16063), 1,
      anon_sym_LPAREN,
    STATE(4672), 1,
      sym_identifier,
    STATE(15332), 1,
      sym__delimiter_str_1,
    STATE(15335), 1,
      sym__delimiter_str_3,
    STATE(15337), 1,
      sym__delimiter_cmd_1,
    STATE(15339), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14991), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11474), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14993), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5137), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5136), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(5180), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [98212] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11475), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10361), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10359), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [98262] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(12546), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11476), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [98332] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(995), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(997), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14861), 1,
      sym_character_literal,
    ACTIONS(16065), 1,
      sym__word_identifier,
    ACTIONS(16067), 1,
      anon_sym_LPAREN,
    ACTIONS(16069), 1,
      anon_sym_LBRACK,
    ACTIONS(16071), 1,
      anon_sym_LBRACE,
    STATE(7225), 1,
      sym_identifier,
    STATE(14641), 1,
      sym__delimiter_str_1,
    STATE(14703), 1,
      sym__delimiter_str_3,
    STATE(14704), 1,
      sym__delimiter_cmd_1,
    STATE(14889), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7211), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11477), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7213), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(9094), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(9091), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(8600), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [98420] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(15717), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11478), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [98490] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(15163), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15169), 1,
      sym_character_literal,
    ACTIONS(16073), 1,
      sym__word_identifier,
    ACTIONS(16075), 1,
      anon_sym_LPAREN,
    ACTIONS(16077), 1,
      anon_sym_LBRACK,
    ACTIONS(16079), 1,
      anon_sym_LBRACE,
    ACTIONS(16081), 1,
      aux_sym_integer_literal_token4,
    STATE(7060), 1,
      sym_identifier,
    STATE(14721), 1,
      sym__delimiter_str_1,
    STATE(14723), 1,
      sym__delimiter_str_3,
    STATE(14724), 1,
      sym__delimiter_cmd_1,
    STATE(14744), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15161), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11479), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15167), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(8397), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(8396), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(8177), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [98578] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(15979), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11480), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [98648] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14889), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14891), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14895), 1,
      sym_character_literal,
    ACTIONS(15239), 1,
      anon_sym_LPAREN,
    ACTIONS(15241), 1,
      anon_sym_LBRACK,
    ACTIONS(15243), 1,
      anon_sym_LBRACE,
    ACTIONS(16083), 1,
      sym__word_identifier,
    STATE(6104), 1,
      sym_identifier,
    STATE(14709), 1,
      sym__delimiter_str_1,
    STATE(14716), 1,
      sym__delimiter_str_3,
    STATE(14717), 1,
      sym__delimiter_cmd_1,
    STATE(14718), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14887), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11481), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14893), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6881), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6937), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(6895), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [98736] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(3264), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    ACTIONS(16085), 1,
      aux_sym_integer_literal_token4,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    STATE(18009), 1,
      sym_identifier,
    ACTIONS(3262), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11482), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3268), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [98824] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(12333), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11483), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [98894] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(12773), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11484), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [98964] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(771), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(773), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15135), 1,
      sym_character_literal,
    ACTIONS(16087), 1,
      sym__word_identifier,
    ACTIONS(16089), 1,
      anon_sym_LPAREN,
    ACTIONS(16091), 1,
      anon_sym_LBRACK,
    ACTIONS(16093), 1,
      anon_sym_LBRACE,
    STATE(7025), 1,
      sym_identifier,
    STATE(15036), 1,
      sym__delimiter_str_1,
    STATE(15054), 1,
      sym__delimiter_str_3,
    STATE(15055), 1,
      sym__delimiter_cmd_1,
    STATE(15056), 1,
      sym__delimiter_cmd_3,
    ACTIONS(4467), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11485), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4469), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(8434), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(8432), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(8229), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [99052] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16095), 1,
      aux_sym_float_literal_token2,
    STATE(11486), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [99104] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(12548), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11487), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [99174] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14195), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14201), 1,
      sym_character_literal,
    ACTIONS(16097), 1,
      sym__word_identifier,
    ACTIONS(16099), 1,
      anon_sym_LPAREN,
    ACTIONS(16101), 1,
      anon_sym_LBRACK,
    ACTIONS(16103), 1,
      anon_sym_LBRACE,
    ACTIONS(16105), 1,
      aux_sym_integer_literal_token4,
    STATE(6832), 1,
      sym_identifier,
    STATE(15145), 1,
      sym__delimiter_str_1,
    STATE(15146), 1,
      sym__delimiter_str_3,
    STATE(15147), 1,
      sym__delimiter_cmd_1,
    STATE(15148), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14193), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11488), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14199), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7379), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7700), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7587), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [99262] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(16107), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11489), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [99332] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13409), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13411), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13415), 1,
      sym_character_literal,
    ACTIONS(15251), 1,
      anon_sym_LPAREN,
    ACTIONS(15253), 1,
      anon_sym_LBRACK,
    ACTIONS(15255), 1,
      anon_sym_LBRACE,
    ACTIONS(16109), 1,
      sym__word_identifier,
    STATE(5686), 1,
      sym_identifier,
    STATE(14954), 1,
      sym__delimiter_str_1,
    STATE(14956), 1,
      sym__delimiter_str_3,
    STATE(14957), 1,
      sym__delimiter_cmd_1,
    STATE(14958), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13407), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11490), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13413), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6472), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6470), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(6641), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [99420] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(10335), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11491), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [99490] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(10295), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11492), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [99560] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14457), 1,
      anon_sym_LPAREN,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    ACTIONS(14461), 1,
      anon_sym_LBRACE,
    ACTIONS(16111), 1,
      sym__word_identifier,
    STATE(11582), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11493), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11095), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11110), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [99648] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15503), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11494), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [99718] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11018), 1,
      sym_identifier,
    STATE(11495), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [99772] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11027), 1,
      sym_identifier,
    STATE(11496), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [99826] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13955), 1,
      anon_sym_LPAREN,
    ACTIONS(13957), 1,
      anon_sym_LBRACK,
    ACTIONS(13959), 1,
      anon_sym_LBRACE,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14261), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14263), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16113), 1,
      sym__word_identifier,
    STATE(10744), 1,
      sym_identifier,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14259), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11497), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14265), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10601), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10521), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [99914] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11046), 1,
      sym_identifier,
    STATE(11498), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [99968] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15883), 1,
      sym__word_identifier,
    STATE(11047), 1,
      sym_identifier,
    STATE(11499), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [100022] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(10181), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11500), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [100092] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(12570), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11501), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [100162] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(677), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(679), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15385), 1,
      sym_character_literal,
    ACTIONS(16115), 1,
      sym__word_identifier,
    ACTIONS(16117), 1,
      anon_sym_LPAREN,
    ACTIONS(16119), 1,
      anon_sym_LBRACK,
    ACTIONS(16121), 1,
      anon_sym_LBRACE,
    STATE(6998), 1,
      sym_identifier,
    STATE(15350), 1,
      sym__delimiter_str_1,
    STATE(15364), 1,
      sym__delimiter_str_3,
    STATE(15368), 1,
      sym__delimiter_cmd_1,
    STATE(15370), 1,
      sym__delimiter_cmd_3,
    ACTIONS(675), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11502), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(681), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(8009), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7981), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(8309), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [100250] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11150), 1,
      sym_identifier,
    STATE(11503), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [100304] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11221), 1,
      sym_identifier,
    STATE(11504), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [100358] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16123), 1,
      sym__immediate_string_start,
    ACTIONS(16125), 1,
      sym__immediate_command_start,
    STATE(11505), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [100412] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11145), 1,
      sym_identifier,
    STATE(11506), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [100466] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11146), 1,
      sym_identifier,
    STATE(11507), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [100520] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(16127), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11508), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [100590] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14637), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14643), 1,
      sym_character_literal,
    ACTIONS(16129), 1,
      sym__word_identifier,
    ACTIONS(16131), 1,
      anon_sym_LPAREN,
    ACTIONS(16133), 1,
      anon_sym_LBRACK,
    ACTIONS(16135), 1,
      anon_sym_LBRACE,
    ACTIONS(16137), 1,
      aux_sym_integer_literal_token4,
    STATE(6872), 1,
      sym_identifier,
    STATE(14627), 1,
      sym__delimiter_str_1,
    STATE(14628), 1,
      sym__delimiter_str_3,
    STATE(14629), 1,
      sym__delimiter_cmd_1,
    STATE(14630), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14635), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11509), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14641), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7640), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7635), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7445), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [100678] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16139), 1,
      aux_sym_float_literal_token2,
    ACTIONS(10019), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11510), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [100730] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(16141), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11511), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [100800] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13657), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13659), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13663), 1,
      sym_character_literal,
    ACTIONS(13675), 1,
      anon_sym_LPAREN,
    ACTIONS(13677), 1,
      anon_sym_LBRACK,
    ACTIONS(13679), 1,
      anon_sym_LBRACE,
    ACTIONS(16143), 1,
      sym__word_identifier,
    STATE(5770), 1,
      sym_identifier,
    STATE(15165), 1,
      sym__delimiter_str_1,
    STATE(15166), 1,
      sym__delimiter_str_3,
    STATE(15167), 1,
      sym__delimiter_cmd_1,
    STATE(15168), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13655), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11512), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13661), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6545), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6543), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(6748), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [100888] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13833), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13835), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13839), 1,
      sym_character_literal,
    ACTIONS(14167), 1,
      anon_sym_LPAREN,
    ACTIONS(14169), 1,
      anon_sym_LBRACK,
    ACTIONS(14171), 1,
      anon_sym_LBRACE,
    ACTIONS(16145), 1,
      sym__word_identifier,
    STATE(5773), 1,
      sym_identifier,
    STATE(15204), 1,
      sym__delimiter_str_1,
    STATE(15205), 1,
      sym__delimiter_str_3,
    STATE(15206), 1,
      sym__delimiter_cmd_1,
    STATE(15207), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13831), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11513), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13837), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6591), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6589), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(6764), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [100976] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10641), 1,
      aux_sym__terminator_token1,
    ACTIONS(16147), 1,
      anon_sym_SQUOTE,
    ACTIONS(16149), 1,
      anon_sym_DOT,
    ACTIONS(16151), 1,
      sym__immediate_paren,
    ACTIONS(16153), 1,
      sym__immediate_bracket,
    ACTIONS(16155), 1,
      sym__immediate_brace,
    STATE(11514), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10635), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [101036] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16123), 1,
      sym__immediate_string_start,
    ACTIONS(16125), 1,
      sym__immediate_command_start,
    STATE(11515), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [101090] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14591), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14593), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14597), 1,
      sym_character_literal,
    ACTIONS(14935), 1,
      anon_sym_LPAREN,
    ACTIONS(14937), 1,
      anon_sym_LBRACK,
    ACTIONS(14939), 1,
      anon_sym_LBRACE,
    ACTIONS(16157), 1,
      sym__word_identifier,
    STATE(5294), 1,
      sym_identifier,
    STATE(15289), 1,
      sym__delimiter_str_1,
    STATE(15290), 1,
      sym__delimiter_str_3,
    STATE(15291), 1,
      sym__delimiter_cmd_1,
    STATE(15292), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14589), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11516), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14595), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5694), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5693), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(5780), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [101178] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14331), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14337), 1,
      sym_character_literal,
    ACTIONS(16159), 1,
      sym__word_identifier,
    ACTIONS(16161), 1,
      anon_sym_LPAREN,
    ACTIONS(16163), 1,
      anon_sym_LBRACK,
    ACTIONS(16165), 1,
      anon_sym_LBRACE,
    ACTIONS(16167), 1,
      aux_sym_integer_literal_token4,
    STATE(12031), 1,
      sym_identifier,
    STATE(14663), 1,
      sym__delimiter_str_1,
    STATE(14664), 1,
      sym__delimiter_str_3,
    STATE(14665), 1,
      sym__delimiter_cmd_1,
    STATE(14666), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14329), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11517), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14335), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(12257), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(12250), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(12304), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [101266] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(7203), 1,
      anon_sym_LBRACK,
    ACTIONS(7205), 1,
      anon_sym_LBRACE,
    ACTIONS(7215), 1,
      sym_character_literal,
    ACTIONS(9863), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9865), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16169), 1,
      sym__word_identifier,
    ACTIONS(16171), 1,
      anon_sym_LPAREN,
    STATE(4711), 1,
      sym_identifier,
    STATE(15122), 1,
      sym__delimiter_str_1,
    STATE(15124), 1,
      sym__delimiter_str_3,
    STATE(15129), 1,
      sym__delimiter_cmd_1,
    STATE(15130), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13263), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11518), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13265), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5434), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5432), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(5411), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [101354] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13505), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13507), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13511), 1,
      sym_character_literal,
    ACTIONS(14785), 1,
      anon_sym_LPAREN,
    ACTIONS(14787), 1,
      anon_sym_LBRACK,
    ACTIONS(14789), 1,
      anon_sym_LBRACE,
    ACTIONS(16173), 1,
      sym__word_identifier,
    STATE(11392), 1,
      sym_identifier,
    STATE(15321), 1,
      sym__delimiter_str_1,
    STATE(15322), 1,
      sym__delimiter_str_3,
    STATE(15323), 1,
      sym__delimiter_cmd_1,
    STATE(15325), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13503), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11519), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13509), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11848), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11846), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11884), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [101442] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15787), 1,
      aux_sym__terminator_token1,
    ACTIONS(15785), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(11520), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
    ACTIONS(101), 28,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_DOT_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [101496] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(7273), 1,
      anon_sym_LBRACK,
    ACTIONS(7275), 1,
      anon_sym_LBRACE,
    ACTIONS(7285), 1,
      sym_character_literal,
    ACTIONS(9699), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9701), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16175), 1,
      sym__word_identifier,
    ACTIONS(16177), 1,
      anon_sym_LPAREN,
    STATE(4576), 1,
      sym_identifier,
    STATE(15346), 1,
      sym__delimiter_str_1,
    STATE(15347), 1,
      sym__delimiter_str_3,
    STATE(15348), 1,
      sym__delimiter_cmd_1,
    STATE(15349), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15267), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11521), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15269), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(4928), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(4927), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(4733), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [101584] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(7157), 1,
      anon_sym_LBRACK,
    ACTIONS(7159), 1,
      anon_sym_LBRACE,
    ACTIONS(7169), 1,
      sym_character_literal,
    ACTIONS(9743), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9745), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16179), 1,
      sym__word_identifier,
    ACTIONS(16181), 1,
      anon_sym_LPAREN,
    STATE(4629), 1,
      sym_identifier,
    STATE(15378), 1,
      sym__delimiter_str_1,
    STATE(15379), 1,
      sym__delimiter_str_3,
    STATE(15381), 1,
      sym__delimiter_cmd_1,
    STATE(15383), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15033), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11522), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15035), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5244), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5242), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(4959), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [101672] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(871), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(873), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15227), 1,
      sym_character_literal,
    ACTIONS(16183), 1,
      sym__word_identifier,
    ACTIONS(16185), 1,
      anon_sym_LPAREN,
    ACTIONS(16187), 1,
      anon_sym_LBRACK,
    ACTIONS(16189), 1,
      anon_sym_LBRACE,
    STATE(7010), 1,
      sym_identifier,
    STATE(14746), 1,
      sym__delimiter_str_1,
    STATE(14747), 1,
      sym__delimiter_str_3,
    STATE(14748), 1,
      sym__delimiter_cmd_1,
    STATE(14749), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7689), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11523), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7691), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7838), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7836), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(8277), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [101760] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13607), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13613), 1,
      sym_character_literal,
    ACTIONS(16191), 1,
      sym__word_identifier,
    ACTIONS(16193), 1,
      anon_sym_LPAREN,
    ACTIONS(16195), 1,
      anon_sym_LBRACK,
    ACTIONS(16197), 1,
      anon_sym_LBRACE,
    ACTIONS(16199), 1,
      aux_sym_integer_literal_token4,
    STATE(6891), 1,
      sym_identifier,
    STATE(14758), 1,
      sym__delimiter_str_1,
    STATE(14759), 1,
      sym__delimiter_str_3,
    STATE(14760), 1,
      sym__delimiter_cmd_1,
    STATE(14761), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13605), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11524), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13611), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7584), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7560), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7511), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [101848] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(15833), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11525), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [101918] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14153), 1,
      anon_sym_LPAREN,
    ACTIONS(14155), 1,
      anon_sym_LBRACK,
    ACTIONS(14157), 1,
      anon_sym_LBRACE,
    ACTIONS(14165), 1,
      sym_character_literal,
    ACTIONS(14513), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14515), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16201), 1,
      sym__word_identifier,
    STATE(5588), 1,
      sym_identifier,
    STATE(15419), 1,
      sym__delimiter_str_1,
    STATE(15420), 1,
      sym__delimiter_str_3,
    STATE(15421), 1,
      sym__delimiter_cmd_1,
    STATE(15422), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14511), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11526), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14517), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6710), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6708), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(6790), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [102006] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13901), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13903), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13907), 1,
      sym_character_literal,
    ACTIONS(15275), 1,
      anon_sym_LPAREN,
    ACTIONS(15277), 1,
      anon_sym_LBRACK,
    ACTIONS(15279), 1,
      anon_sym_LBRACE,
    ACTIONS(16203), 1,
      sym__word_identifier,
    STATE(12178), 1,
      sym_identifier,
    STATE(15448), 1,
      sym__delimiter_str_1,
    STATE(15449), 1,
      sym__delimiter_str_3,
    STATE(15450), 1,
      sym__delimiter_cmd_1,
    STATE(15451), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13899), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11527), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13905), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(12528), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(12472), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(12529), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [102094] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    STATE(12260), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11528), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [102182] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13429), 1,
      anon_sym_LPAREN,
    ACTIONS(13431), 1,
      anon_sym_LBRACK,
    ACTIONS(13433), 1,
      anon_sym_LBRACE,
    ACTIONS(13441), 1,
      sym_character_literal,
    ACTIONS(14769), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14771), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16205), 1,
      sym__word_identifier,
    STATE(5337), 1,
      sym_identifier,
    STATE(15249), 1,
      sym__delimiter_str_1,
    STATE(15251), 1,
      sym__delimiter_str_3,
    STATE(15252), 1,
      sym__delimiter_cmd_1,
    STATE(15253), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14767), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11529), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14773), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6345), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6274), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(6039), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [102270] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15485), 1,
      sym__word_identifier,
    STATE(10575), 1,
      sym_identifier,
    STATE(11530), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 13,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [102324] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15485), 1,
      sym__word_identifier,
    STATE(10585), 1,
      sym_identifier,
    STATE(11531), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 13,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [102378] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14483), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    STATE(11168), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11532), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [102466] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15485), 1,
      sym__word_identifier,
    STATE(10615), 1,
      sym_identifier,
    STATE(11533), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 13,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [102520] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15485), 1,
      sym__word_identifier,
    STATE(10619), 1,
      sym_identifier,
    STATE(11534), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 13,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [102574] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13985), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13987), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13991), 1,
      sym_character_literal,
    ACTIONS(14709), 1,
      anon_sym_LPAREN,
    ACTIONS(14711), 1,
      anon_sym_LBRACK,
    ACTIONS(14713), 1,
      anon_sym_LBRACE,
    ACTIONS(16207), 1,
      sym__word_identifier,
    STATE(5400), 1,
      sym_identifier,
    STATE(14644), 1,
      sym__delimiter_str_1,
    STATE(14645), 1,
      sym__delimiter_str_3,
    STATE(14646), 1,
      sym__delimiter_cmd_1,
    STATE(14647), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13983), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11535), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13989), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5907), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5906), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(6119), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [102662] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(15815), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11536), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [102732] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14073), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14075), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14079), 1,
      sym_character_literal,
    ACTIONS(16043), 1,
      sym__word_identifier,
    ACTIONS(16045), 1,
      anon_sym_LPAREN,
    ACTIONS(16047), 1,
      anon_sym_LBRACK,
    ACTIONS(16049), 1,
      anon_sym_LBRACE,
    STATE(6465), 1,
      sym_identifier,
    STATE(15259), 1,
      sym__delimiter_str_1,
    STATE(15260), 1,
      sym__delimiter_str_3,
    STATE(15261), 1,
      sym__delimiter_cmd_1,
    STATE(15262), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14071), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11537), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14077), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7018), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7012), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7170), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [102820] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(12540), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11538), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [102890] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13447), 1,
      anon_sym_LPAREN,
    ACTIONS(13449), 1,
      anon_sym_LBRACK,
    ACTIONS(13451), 1,
      anon_sym_LBRACE,
    ACTIONS(13459), 1,
      sym_character_literal,
    ACTIONS(15195), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15197), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16209), 1,
      sym__word_identifier,
    STATE(11152), 1,
      sym_identifier,
    STATE(14676), 1,
      sym__delimiter_str_1,
    STATE(14677), 1,
      sym__delimiter_str_3,
    STATE(14678), 1,
      sym__delimiter_cmd_1,
    STATE(14679), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15193), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11539), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15199), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11611), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11610), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11614), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [102978] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1655), 1,
      anon_sym_LBRACK,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(13136), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13138), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(15975), 1,
      anon_sym_LPAREN,
    STATE(10425), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13134), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11540), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13140), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10362), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10374), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [103066] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(309), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(311), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14139), 1,
      sym_character_literal,
    ACTIONS(16211), 1,
      sym__word_identifier,
    ACTIONS(16213), 1,
      anon_sym_LPAREN,
    ACTIONS(16215), 1,
      anon_sym_LBRACK,
    ACTIONS(16217), 1,
      anon_sym_LBRACE,
    STATE(6866), 1,
      sym_identifier,
    STATE(14804), 1,
      sym__delimiter_str_1,
    STATE(14805), 1,
      sym__delimiter_str_3,
    STATE(14806), 1,
      sym__delimiter_cmd_1,
    STATE(14807), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7281), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11541), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7283), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7232), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7227), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7365), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [103154] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(15303), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15309), 1,
      sym_character_literal,
    ACTIONS(16219), 1,
      sym__word_identifier,
    ACTIONS(16221), 1,
      anon_sym_LPAREN,
    ACTIONS(16223), 1,
      anon_sym_LBRACK,
    ACTIONS(16225), 1,
      anon_sym_LBRACE,
    ACTIONS(16227), 1,
      aux_sym_integer_literal_token4,
    STATE(6719), 1,
      sym_identifier,
    STATE(14823), 1,
      sym__delimiter_str_1,
    STATE(14824), 1,
      sym__delimiter_str_3,
    STATE(14825), 1,
      sym__delimiter_cmd_1,
    STATE(14826), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15301), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11542), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15307), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7022), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7014), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7050), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [103242] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14545), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14547), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14551), 1,
      sym_character_literal,
    ACTIONS(15079), 1,
      anon_sym_LPAREN,
    ACTIONS(15081), 1,
      anon_sym_LBRACK,
    ACTIONS(15083), 1,
      anon_sym_LBRACE,
    ACTIONS(16229), 1,
      sym__word_identifier,
    STATE(5392), 1,
      sym_identifier,
    STATE(14691), 1,
      sym__delimiter_str_1,
    STATE(14692), 1,
      sym__delimiter_str_3,
    STATE(14693), 1,
      sym__delimiter_cmd_1,
    STATE(14694), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14543), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11543), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14549), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6019), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6006), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(6333), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [103330] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(599), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(601), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14411), 1,
      sym_character_literal,
    ACTIONS(16231), 1,
      sym__word_identifier,
    ACTIONS(16233), 1,
      anon_sym_LPAREN,
    ACTIONS(16235), 1,
      anon_sym_LBRACK,
    ACTIONS(16237), 1,
      anon_sym_LBRACE,
    STATE(7071), 1,
      sym_identifier,
    STATE(14857), 1,
      sym__delimiter_str_1,
    STATE(14858), 1,
      sym__delimiter_str_3,
    STATE(14859), 1,
      sym__delimiter_cmd_1,
    STATE(14860), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7165), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11544), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7167), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(8128), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(8123), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(8094), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [103418] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(15061), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15067), 1,
      sym_character_literal,
    ACTIONS(16239), 1,
      sym__word_identifier,
    ACTIONS(16241), 1,
      anon_sym_LPAREN,
    ACTIONS(16243), 1,
      anon_sym_LBRACK,
    ACTIONS(16245), 1,
      anon_sym_LBRACE,
    ACTIONS(16247), 1,
      aux_sym_integer_literal_token4,
    STATE(6856), 1,
      sym_identifier,
    STATE(14874), 1,
      sym__delimiter_str_1,
    STATE(14875), 1,
      sym__delimiter_str_3,
    STATE(14876), 1,
      sym__delimiter_cmd_1,
    STATE(14877), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15059), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11545), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15065), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7296), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7284), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7201), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [103506] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13186), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(16251), 1,
      anon_sym_LPAREN,
    STATE(10870), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14019), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11546), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14021), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10540), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10598), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [103594] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16009), 1,
      anon_sym_COMMA,
    ACTIONS(16011), 1,
      anon_sym_as,
    ACTIONS(16253), 1,
      anon_sym_COLON,
    STATE(11847), 1,
      aux_sym__import_list_repeat1,
    STATE(11547), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 8,
      anon_sym_EQ,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11032), 23,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [103652] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16255), 1,
      anon_sym_DOT,
    STATE(11548), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10982), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10986), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [103704] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16255), 1,
      anon_sym_DOT,
    STATE(11549), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11038), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11040), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [103756] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13627), 1,
      anon_sym_LPAREN,
    ACTIONS(13629), 1,
      anon_sym_LBRACK,
    ACTIONS(13631), 1,
      anon_sym_LBRACE,
    ACTIONS(13639), 1,
      sym_character_literal,
    ACTIONS(14437), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14439), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16257), 1,
      sym__word_identifier,
    STATE(5486), 1,
      sym_identifier,
    STATE(14705), 1,
      sym__delimiter_str_1,
    STATE(14706), 1,
      sym__delimiter_str_3,
    STATE(14707), 1,
      sym__delimiter_cmd_1,
    STATE(14708), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14435), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11550), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14441), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6579), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6576), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(6448), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [103844] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(7539), 1,
      anon_sym_LBRACK,
    ACTIONS(7541), 1,
      anon_sym_LBRACE,
    ACTIONS(7551), 1,
      sym_character_literal,
    ACTIONS(9765), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9767), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16259), 1,
      sym__word_identifier,
    ACTIONS(16261), 1,
      anon_sym_LPAREN,
    STATE(4585), 1,
      sym_identifier,
    STATE(14726), 1,
      sym__delimiter_str_1,
    STATE(14727), 1,
      sym__delimiter_str_3,
    STATE(14728), 1,
      sym__delimiter_cmd_1,
    STATE(14729), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14701), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11551), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14703), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(4970), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(4969), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(5004), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [103932] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13573), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13575), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13579), 1,
      sym_character_literal,
    ACTIONS(14609), 1,
      anon_sym_LPAREN,
    ACTIONS(14611), 1,
      anon_sym_LBRACK,
    ACTIONS(14613), 1,
      anon_sym_LBRACE,
    ACTIONS(16263), 1,
      sym__word_identifier,
    STATE(5405), 1,
      sym_identifier,
    STATE(14772), 1,
      sym__delimiter_str_1,
    STATE(14773), 1,
      sym__delimiter_str_3,
    STATE(14774), 1,
      sym__delimiter_cmd_1,
    STATE(14775), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13571), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11552), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13577), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5844), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5838), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(6282), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [104020] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(15163), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15165), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15169), 1,
      sym_character_literal,
    ACTIONS(16073), 1,
      sym__word_identifier,
    ACTIONS(16075), 1,
      anon_sym_LPAREN,
    ACTIONS(16077), 1,
      anon_sym_LBRACK,
    ACTIONS(16079), 1,
      anon_sym_LBRACE,
    STATE(7060), 1,
      sym_identifier,
    STATE(14721), 1,
      sym__delimiter_str_1,
    STATE(14723), 1,
      sym__delimiter_str_3,
    STATE(14724), 1,
      sym__delimiter_cmd_1,
    STATE(14744), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15161), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11553), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15167), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(8397), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(8396), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(8177), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [104108] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14195), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14197), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14201), 1,
      sym_character_literal,
    ACTIONS(16097), 1,
      sym__word_identifier,
    ACTIONS(16099), 1,
      anon_sym_LPAREN,
    ACTIONS(16101), 1,
      anon_sym_LBRACK,
    ACTIONS(16103), 1,
      anon_sym_LBRACE,
    STATE(6832), 1,
      sym_identifier,
    STATE(15145), 1,
      sym__delimiter_str_1,
    STATE(15146), 1,
      sym__delimiter_str_3,
    STATE(15147), 1,
      sym__delimiter_cmd_1,
    STATE(15148), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14193), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11554), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14199), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7379), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7700), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7587), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [104196] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14229), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14231), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14235), 1,
      sym_character_literal,
    ACTIONS(16265), 1,
      sym__word_identifier,
    ACTIONS(16267), 1,
      anon_sym_LPAREN,
    ACTIONS(16269), 1,
      anon_sym_LBRACK,
    ACTIONS(16271), 1,
      anon_sym_LBRACE,
    STATE(14916), 1,
      sym__delimiter_str_1,
    STATE(14917), 1,
      sym__delimiter_str_3,
    STATE(14918), 1,
      sym__delimiter_cmd_1,
    STATE(14919), 1,
      sym__delimiter_cmd_3,
    STATE(15208), 1,
      sym_identifier,
    ACTIONS(14227), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11555), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14233), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(17483), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(17480), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(16906), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [104284] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1271), 1,
      anon_sym_LBRACK,
    ACTIONS(1273), 1,
      anon_sym_LBRACE,
    ACTIONS(1293), 1,
      sym_character_literal,
    ACTIONS(9891), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9893), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16273), 1,
      sym__word_identifier,
    ACTIONS(16275), 1,
      anon_sym_LPAREN,
    STATE(5407), 1,
      sym_identifier,
    STATE(14786), 1,
      sym__delimiter_str_1,
    STATE(14787), 1,
      sym__delimiter_str_3,
    STATE(14788), 1,
      sym__delimiter_cmd_1,
    STATE(14789), 1,
      sym__delimiter_cmd_3,
    ACTIONS(9889), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11556), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9895), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5849), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5845), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(5887), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [104372] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14637), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14639), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14643), 1,
      sym_character_literal,
    ACTIONS(16129), 1,
      sym__word_identifier,
    ACTIONS(16131), 1,
      anon_sym_LPAREN,
    ACTIONS(16133), 1,
      anon_sym_LBRACK,
    ACTIONS(16135), 1,
      anon_sym_LBRACE,
    STATE(6872), 1,
      sym_identifier,
    STATE(14627), 1,
      sym__delimiter_str_1,
    STATE(14628), 1,
      sym__delimiter_str_3,
    STATE(14629), 1,
      sym__delimiter_cmd_1,
    STATE(14630), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14635), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11557), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14641), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7640), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7635), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7445), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [104460] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(403), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14105), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14107), 1,
      sym_character_literal,
    ACTIONS(16033), 1,
      sym__word_identifier,
    ACTIONS(16035), 1,
      anon_sym_LPAREN,
    ACTIONS(16037), 1,
      anon_sym_LBRACK,
    ACTIONS(16039), 1,
      anon_sym_LBRACE,
    STATE(6887), 1,
      sym_identifier,
    STATE(15235), 1,
      sym__delimiter_str_1,
    STATE(15236), 1,
      sym__delimiter_str_3,
    STATE(15237), 1,
      sym__delimiter_cmd_1,
    STATE(15238), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7393), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11558), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7395), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7580), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7579), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7256), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [104548] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14331), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14333), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14337), 1,
      sym_character_literal,
    ACTIONS(16159), 1,
      sym__word_identifier,
    ACTIONS(16161), 1,
      anon_sym_LPAREN,
    ACTIONS(16163), 1,
      anon_sym_LBRACK,
    ACTIONS(16165), 1,
      anon_sym_LBRACE,
    STATE(11987), 1,
      sym_identifier,
    STATE(14663), 1,
      sym__delimiter_str_1,
    STATE(14664), 1,
      sym__delimiter_str_3,
    STATE(14665), 1,
      sym__delimiter_cmd_1,
    STATE(14666), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14329), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11559), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14335), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(12257), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(12250), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(12304), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [104636] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13935), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13937), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13941), 1,
      sym_character_literal,
    ACTIONS(15333), 1,
      anon_sym_LPAREN,
    ACTIONS(15335), 1,
      anon_sym_LBRACK,
    ACTIONS(15337), 1,
      anon_sym_LBRACE,
    ACTIONS(16277), 1,
      sym__word_identifier,
    STATE(5011), 1,
      sym_identifier,
    STATE(14841), 1,
      sym__delimiter_str_1,
    STATE(14842), 1,
      sym__delimiter_str_3,
    STATE(14843), 1,
      sym__delimiter_cmd_1,
    STATE(14844), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13933), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11560), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13939), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5493), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5492), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(5525), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [104724] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(12544), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11561), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [104794] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13701), 1,
      anon_sym_LPAREN,
    ACTIONS(13703), 1,
      anon_sym_LBRACK,
    ACTIONS(13705), 1,
      anon_sym_LBRACE,
    ACTIONS(13713), 1,
      sym_character_literal,
    ACTIONS(14669), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14671), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16279), 1,
      sym__word_identifier,
    STATE(5420), 1,
      sym_identifier,
    STATE(14890), 1,
      sym__delimiter_str_1,
    STATE(14891), 1,
      sym__delimiter_str_3,
    STATE(14892), 1,
      sym__delimiter_cmd_1,
    STATE(14893), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14667), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11562), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14673), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5943), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5936), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(6033), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [104882] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(7385), 1,
      anon_sym_LBRACK,
    ACTIONS(7387), 1,
      anon_sym_LBRACE,
    ACTIONS(7397), 1,
      sym_character_literal,
    ACTIONS(9721), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9723), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16281), 1,
      sym__word_identifier,
    ACTIONS(16283), 1,
      anon_sym_LPAREN,
    STATE(4555), 1,
      sym_identifier,
    STATE(14797), 1,
      sym__delimiter_str_1,
    STATE(14798), 1,
      sym__delimiter_str_3,
    STATE(14799), 1,
      sym__delimiter_cmd_1,
    STATE(14800), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15349), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11563), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15351), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(4774), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(4687), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(4780), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [104970] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(515), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(517), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14975), 1,
      sym_character_literal,
    ACTIONS(16285), 1,
      sym__word_identifier,
    ACTIONS(16287), 1,
      anon_sym_LPAREN,
    ACTIONS(16289), 1,
      anon_sym_LBRACK,
    ACTIONS(16291), 1,
      anon_sym_LBRACE,
    STATE(7172), 1,
      sym_identifier,
    STATE(14941), 1,
      sym__delimiter_str_1,
    STATE(14942), 1,
      sym__delimiter_str_3,
    STATE(14943), 1,
      sym__delimiter_cmd_1,
    STATE(14944), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7547), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11564), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7549), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(8010), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(8008), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7938), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [105058] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14737), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14743), 1,
      sym_character_literal,
    ACTIONS(16293), 1,
      sym__word_identifier,
    ACTIONS(16295), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_LBRACK,
    ACTIONS(16299), 1,
      anon_sym_LBRACE,
    ACTIONS(16301), 1,
      aux_sym_integer_literal_token4,
    STATE(6901), 1,
      sym_identifier,
    STATE(14959), 1,
      sym__delimiter_str_1,
    STATE(14960), 1,
      sym__delimiter_str_3,
    STATE(14961), 1,
      sym__delimiter_cmd_1,
    STATE(14962), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14735), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11565), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14741), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7377), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7372), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7351), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [105146] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13867), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13869), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13873), 1,
      sym_character_literal,
    ACTIONS(14685), 1,
      anon_sym_LPAREN,
    ACTIONS(14687), 1,
      anon_sym_LBRACK,
    ACTIONS(14689), 1,
      anon_sym_LBRACE,
    ACTIONS(16303), 1,
      sym__word_identifier,
    STATE(5529), 1,
      sym_identifier,
    STATE(14903), 1,
      sym__delimiter_str_1,
    STATE(14904), 1,
      sym__delimiter_str_3,
    STATE(14905), 1,
      sym__delimiter_cmd_1,
    STATE(14906), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13865), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11566), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13871), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6761), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6759), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(6423), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [105234] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(15831), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11567), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [105304] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13607), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13609), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13613), 1,
      sym_character_literal,
    ACTIONS(16191), 1,
      sym__word_identifier,
    ACTIONS(16193), 1,
      anon_sym_LPAREN,
    ACTIONS(16195), 1,
      anon_sym_LBRACK,
    ACTIONS(16197), 1,
      anon_sym_LBRACE,
    STATE(6891), 1,
      sym_identifier,
    STATE(14758), 1,
      sym__delimiter_str_1,
    STATE(14759), 1,
      sym__delimiter_str_3,
    STATE(14760), 1,
      sym__delimiter_cmd_1,
    STATE(14761), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13605), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11568), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13611), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7584), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7560), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7511), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [105392] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(995), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14859), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14861), 1,
      sym_character_literal,
    ACTIONS(16065), 1,
      sym__word_identifier,
    ACTIONS(16067), 1,
      anon_sym_LPAREN,
    ACTIONS(16069), 1,
      anon_sym_LBRACK,
    ACTIONS(16071), 1,
      anon_sym_LBRACE,
    STATE(7225), 1,
      sym_identifier,
    STATE(14641), 1,
      sym__delimiter_str_1,
    STATE(14703), 1,
      sym__delimiter_str_3,
    STATE(14704), 1,
      sym__delimiter_cmd_1,
    STATE(14889), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7211), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11569), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7213), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(9094), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(9091), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(8600), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [105480] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14365), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14367), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14371), 1,
      sym_character_literal,
    ACTIONS(16305), 1,
      sym__word_identifier,
    ACTIONS(16307), 1,
      anon_sym_LPAREN,
    ACTIONS(16309), 1,
      anon_sym_LBRACK,
    ACTIONS(16311), 1,
      anon_sym_LBRACE,
    STATE(14990), 1,
      sym__delimiter_str_1,
    STATE(14991), 1,
      sym__delimiter_str_3,
    STATE(14992), 1,
      sym__delimiter_cmd_1,
    STATE(14993), 1,
      sym__delimiter_cmd_3,
    STATE(17177), 1,
      sym_identifier,
    ACTIONS(14363), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11570), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14369), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(18534), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(18532), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(18438), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [105568] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(771), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15133), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15135), 1,
      sym_character_literal,
    ACTIONS(16087), 1,
      sym__word_identifier,
    ACTIONS(16089), 1,
      anon_sym_LPAREN,
    ACTIONS(16091), 1,
      anon_sym_LBRACK,
    ACTIONS(16093), 1,
      anon_sym_LBRACE,
    STATE(7025), 1,
      sym_identifier,
    STATE(15036), 1,
      sym__delimiter_str_1,
    STATE(15054), 1,
      sym__delimiter_str_3,
    STATE(15055), 1,
      sym__delimiter_cmd_1,
    STATE(15056), 1,
      sym__delimiter_cmd_3,
    ACTIONS(4467), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11571), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4469), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(8434), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(8432), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(8229), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [105656] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1287), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(1289), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15107), 1,
      sym_character_literal,
    ACTIONS(16313), 1,
      sym__word_identifier,
    ACTIONS(16315), 1,
      anon_sym_LPAREN,
    ACTIONS(16317), 1,
      anon_sym_LBRACK,
    ACTIONS(16319), 1,
      anon_sym_LBRACE,
    STATE(8699), 1,
      sym_identifier,
    STATE(15007), 1,
      sym__delimiter_str_1,
    STATE(15008), 1,
      sym__delimiter_str_3,
    STATE(15009), 1,
      sym__delimiter_cmd_1,
    STATE(15010), 1,
      sym__delimiter_cmd_3,
    ACTIONS(1285), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11572), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1291), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(9608), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(9604), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(9577), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [105744] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14827), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14833), 1,
      sym_character_literal,
    ACTIONS(16321), 1,
      sym__word_identifier,
    ACTIONS(16323), 1,
      anon_sym_LPAREN,
    ACTIONS(16325), 1,
      anon_sym_LBRACK,
    ACTIONS(16327), 1,
      anon_sym_LBRACE,
    ACTIONS(16329), 1,
      aux_sym_integer_literal_token4,
    STATE(8323), 1,
      sym_identifier,
    STATE(15022), 1,
      sym__delimiter_str_1,
    STATE(15023), 1,
      sym__delimiter_str_3,
    STATE(15024), 1,
      sym__delimiter_cmd_1,
    STATE(15025), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14825), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11573), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14831), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(9359), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(9355), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(9568), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [105832] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13765), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13767), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13771), 1,
      sym_character_literal,
    ACTIONS(15321), 1,
      anon_sym_LPAREN,
    ACTIONS(15323), 1,
      anon_sym_LBRACK,
    ACTIONS(15325), 1,
      anon_sym_LBRACE,
    ACTIONS(16331), 1,
      sym__word_identifier,
    STATE(6808), 1,
      sym_identifier,
    STATE(14929), 1,
      sym__delimiter_str_1,
    STATE(14930), 1,
      sym__delimiter_str_3,
    STATE(14931), 1,
      sym__delimiter_cmd_1,
    STATE(14932), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13763), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11574), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13769), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7341), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7192), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7427), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [105920] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(677), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15383), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15385), 1,
      sym_character_literal,
    ACTIONS(16115), 1,
      sym__word_identifier,
    ACTIONS(16117), 1,
      anon_sym_LPAREN,
    ACTIONS(16119), 1,
      anon_sym_LBRACK,
    ACTIONS(16121), 1,
      anon_sym_LBRACE,
    STATE(6998), 1,
      sym_identifier,
    STATE(15350), 1,
      sym__delimiter_str_1,
    STATE(15364), 1,
      sym__delimiter_str_3,
    STATE(15368), 1,
      sym__delimiter_cmd_1,
    STATE(15370), 1,
      sym__delimiter_cmd_3,
    ACTIONS(675), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11575), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(681), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(8009), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7981), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(8309), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [106008] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(15303), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15305), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15309), 1,
      sym_character_literal,
    ACTIONS(16219), 1,
      sym__word_identifier,
    ACTIONS(16221), 1,
      anon_sym_LPAREN,
    ACTIONS(16223), 1,
      anon_sym_LBRACK,
    ACTIONS(16225), 1,
      anon_sym_LBRACE,
    STATE(6719), 1,
      sym_identifier,
    STATE(14823), 1,
      sym__delimiter_str_1,
    STATE(14824), 1,
      sym__delimiter_str_3,
    STATE(14825), 1,
      sym__delimiter_cmd_1,
    STATE(14826), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15301), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11576), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15307), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7022), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7014), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7050), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [106096] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(15061), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15063), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15067), 1,
      sym_character_literal,
    ACTIONS(16239), 1,
      sym__word_identifier,
    ACTIONS(16241), 1,
      anon_sym_LPAREN,
    ACTIONS(16243), 1,
      anon_sym_LBRACK,
    ACTIONS(16245), 1,
      anon_sym_LBRACE,
    STATE(6856), 1,
      sym_identifier,
    STATE(14874), 1,
      sym__delimiter_str_1,
    STATE(14875), 1,
      sym__delimiter_str_3,
    STATE(14876), 1,
      sym__delimiter_cmd_1,
    STATE(14877), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15059), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11577), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15065), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7296), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7284), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7201), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [106184] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14797), 1,
      anon_sym_LPAREN,
    ACTIONS(14799), 1,
      anon_sym_LBRACK,
    ACTIONS(14801), 1,
      anon_sym_LBRACE,
    ACTIONS(14809), 1,
      sym_character_literal,
    ACTIONS(15013), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15015), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16333), 1,
      sym__word_identifier,
    STATE(5455), 1,
      sym_identifier,
    STATE(14972), 1,
      sym__delimiter_str_1,
    STATE(14973), 1,
      sym__delimiter_str_3,
    STATE(14974), 1,
      sym__delimiter_cmd_1,
    STATE(14975), 1,
      sym__delimiter_cmd_3,
    ACTIONS(15011), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11578), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15017), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6077), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(6074), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(6183), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [106272] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(871), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15225), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15227), 1,
      sym_character_literal,
    ACTIONS(16183), 1,
      sym__word_identifier,
    ACTIONS(16185), 1,
      anon_sym_LPAREN,
    ACTIONS(16187), 1,
      anon_sym_LBRACK,
    ACTIONS(16189), 1,
      anon_sym_LBRACE,
    STATE(7010), 1,
      sym_identifier,
    STATE(14746), 1,
      sym__delimiter_str_1,
    STATE(14747), 1,
      sym__delimiter_str_3,
    STATE(14748), 1,
      sym__delimiter_cmd_1,
    STATE(14749), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7689), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11579), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7691), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7838), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7836), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(8277), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [106360] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13539), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13541), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13545), 1,
      sym_character_literal,
    ACTIONS(15357), 1,
      anon_sym_LPAREN,
    ACTIONS(15359), 1,
      anon_sym_LBRACK,
    ACTIONS(15361), 1,
      anon_sym_LBRACE,
    ACTIONS(16335), 1,
      sym__word_identifier,
    STATE(6523), 1,
      sym_identifier,
    STATE(15038), 1,
      sym__delimiter_str_1,
    STATE(15039), 1,
      sym__delimiter_str_3,
    STATE(15040), 1,
      sym__delimiter_cmd_1,
    STATE(15041), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13537), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11580), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13543), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(6944), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7154), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(6951), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [106448] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(309), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14137), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14139), 1,
      sym_character_literal,
    ACTIONS(16211), 1,
      sym__word_identifier,
    ACTIONS(16213), 1,
      anon_sym_LPAREN,
    ACTIONS(16215), 1,
      anon_sym_LBRACK,
    ACTIONS(16217), 1,
      anon_sym_LBRACE,
    STATE(6866), 1,
      sym_identifier,
    STATE(14804), 1,
      sym__delimiter_str_1,
    STATE(14805), 1,
      sym__delimiter_str_3,
    STATE(14806), 1,
      sym__delimiter_cmd_1,
    STATE(14807), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7281), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11581), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7283), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7232), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7227), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7365), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [106536] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16123), 1,
      sym__immediate_string_start,
    ACTIONS(16125), 1,
      sym__immediate_command_start,
    STATE(11582), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [106590] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(599), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14409), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14411), 1,
      sym_character_literal,
    ACTIONS(16231), 1,
      sym__word_identifier,
    ACTIONS(16233), 1,
      anon_sym_LPAREN,
    ACTIONS(16235), 1,
      anon_sym_LBRACK,
    ACTIONS(16237), 1,
      anon_sym_LBRACE,
    STATE(7071), 1,
      sym_identifier,
    STATE(14857), 1,
      sym__delimiter_str_1,
    STATE(14858), 1,
      sym__delimiter_str_3,
    STATE(14859), 1,
      sym__delimiter_cmd_1,
    STATE(14860), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7165), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11583), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7167), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(8128), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(8123), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(8094), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [106678] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14737), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14739), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14743), 1,
      sym_character_literal,
    ACTIONS(16293), 1,
      sym__word_identifier,
    ACTIONS(16295), 1,
      anon_sym_LPAREN,
    ACTIONS(16297), 1,
      anon_sym_LBRACK,
    ACTIONS(16299), 1,
      anon_sym_LBRACE,
    STATE(6901), 1,
      sym_identifier,
    STATE(14959), 1,
      sym__delimiter_str_1,
    STATE(14960), 1,
      sym__delimiter_str_3,
    STATE(14961), 1,
      sym__delimiter_cmd_1,
    STATE(14962), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14735), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11584), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14741), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(7377), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(7372), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7351), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [106766] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14827), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14829), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14833), 1,
      sym_character_literal,
    ACTIONS(16321), 1,
      sym__word_identifier,
    ACTIONS(16323), 1,
      anon_sym_LPAREN,
    ACTIONS(16325), 1,
      anon_sym_LBRACK,
    ACTIONS(16327), 1,
      anon_sym_LBRACE,
    STATE(8323), 1,
      sym_identifier,
    STATE(15022), 1,
      sym__delimiter_str_1,
    STATE(15023), 1,
      sym__delimiter_str_3,
    STATE(15024), 1,
      sym__delimiter_cmd_1,
    STATE(15025), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14825), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11585), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14831), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(9359), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(9355), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(9568), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [106854] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(515), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14973), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14975), 1,
      sym_character_literal,
    ACTIONS(16285), 1,
      sym__word_identifier,
    ACTIONS(16287), 1,
      anon_sym_LPAREN,
    ACTIONS(16289), 1,
      anon_sym_LBRACK,
    ACTIONS(16291), 1,
      anon_sym_LBRACE,
    STATE(7172), 1,
      sym_identifier,
    STATE(14941), 1,
      sym__delimiter_str_1,
    STATE(14942), 1,
      sym__delimiter_str_3,
    STATE(14943), 1,
      sym__delimiter_cmd_1,
    STATE(14944), 1,
      sym__delimiter_cmd_3,
    ACTIONS(7547), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11586), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(7549), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(8010), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(8008), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(7938), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [106942] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1287), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(15105), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15107), 1,
      sym_character_literal,
    ACTIONS(16313), 1,
      sym__word_identifier,
    ACTIONS(16315), 1,
      anon_sym_LPAREN,
    ACTIONS(16317), 1,
      anon_sym_LBRACK,
    ACTIONS(16319), 1,
      anon_sym_LBRACE,
    STATE(8699), 1,
      sym_identifier,
    STATE(15007), 1,
      sym__delimiter_str_1,
    STATE(15008), 1,
      sym__delimiter_str_3,
    STATE(15009), 1,
      sym__delimiter_cmd_1,
    STATE(15010), 1,
      sym__delimiter_cmd_3,
    ACTIONS(1285), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11587), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1291), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(9608), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(9604), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(9577), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [107030] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11588), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [107080] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11589), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10195), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10193), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [107130] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(16337), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11590), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [107200] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10075), 1,
      anon_sym_DASH_GT,
    STATE(11591), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10127), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10129), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [107252] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(16339), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11592), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [107322] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11593), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10231), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10229), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [107372] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(16341), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11594), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [107442] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16255), 1,
      anon_sym_DOT,
    STATE(11595), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11048), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11050), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [107494] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11596), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10317), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10315), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [107544] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11597), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10279), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10277), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [107594] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(16343), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11598), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [107664] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15574), 1,
      anon_sym_EQ,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11599), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [107734] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15657), 1,
      anon_sym_DOT,
    ACTIONS(16345), 1,
      sym__tilde_operator,
    STATE(3540), 1,
      sym__assignment_operator,
    STATE(11600), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [107802] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(15971), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11601), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [107872] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(10617), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11602), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [107942] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(16347), 1,
      sym__word_identifier,
    ACTIONS(16349), 1,
      anon_sym_LPAREN,
    ACTIONS(16351), 1,
      anon_sym_LBRACK,
    ACTIONS(16353), 1,
      anon_sym_LBRACE,
    ACTIONS(16357), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(16359), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16363), 1,
      sym_character_literal,
    STATE(11327), 1,
      sym_identifier,
    STATE(15221), 1,
      sym__delimiter_str_1,
    STATE(15225), 1,
      sym__delimiter_str_3,
    STATE(15227), 1,
      sym__delimiter_cmd_1,
    STATE(15230), 1,
      sym__delimiter_cmd_3,
    ACTIONS(16355), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11603), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16361), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11793), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11791), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11883), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [108030] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(16365), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11604), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [108100] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(15721), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11605), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [108170] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15947), 1,
      anon_sym_SQUOTE,
    ACTIONS(15949), 1,
      anon_sym_DOT,
    ACTIONS(16367), 1,
      anon_sym_EQ,
    ACTIONS(16369), 1,
      sym__tilde_operator,
    STATE(4004), 1,
      sym__assignment_operator,
    STATE(11606), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [108240] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15913), 1,
      anon_sym_DOT,
    ACTIONS(15915), 1,
      sym__tilde_operator,
    STATE(3903), 1,
      sym__assignment_operator,
    STATE(11607), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [108308] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(16371), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11608), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [108378] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16123), 1,
      sym__immediate_string_start,
    ACTIONS(16125), 1,
      sym__immediate_command_start,
    STATE(11609), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108432] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11610), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10177), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10175), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108482] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11611), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10321), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10319), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108532] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11612), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10397), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10395), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108582] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11613), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10415), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10413), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108632] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11614), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108682] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11615), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10325), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10323), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108732] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11616), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10329), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10327), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108782] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11617), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10381), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10379), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108832] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11618), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10387), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10385), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108882] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11619), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10391), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10389), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108932] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11620), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10129), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10127), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [108982] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11621), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10345), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10343), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109032] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11622), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10419), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10417), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109082] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11623), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10099), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10097), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109132] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11624), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10103), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10101), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109182] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11625), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10053), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10051), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109232] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11626), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10431), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10429), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109282] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11627), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10435), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10433), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109332] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11628), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10439), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10437), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109382] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11629), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10087), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10083), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109432] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11630), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10091), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10089), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109482] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11631), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10141), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10139), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109532] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11632), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10293), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10291), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109582] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11633), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10309), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10307), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109632] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11634), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10349), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10347), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109682] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11635), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10353), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10351), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109732] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11636), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10357), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10355), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109782] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11637), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10405), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10403), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109832] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11638), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10313), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10311), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109882] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11639), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10401), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10399), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109932] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11640), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10265), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10263), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [109982] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11641), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10341), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10339), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [110032] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11642), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10373), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10371), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [110082] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11643), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10411), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10409), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [110132] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11644), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10219), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10217), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [110182] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(10489), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11645), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [110252] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16373), 1,
      sym__immediate_string_start,
    ACTIONS(16375), 1,
      sym__immediate_command_start,
    STATE(11646), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [110306] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16377), 1,
      sym__immediate_string_start,
    ACTIONS(16379), 1,
      sym__immediate_command_start,
    STATE(11647), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [110360] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11648), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10075), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10073), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [110410] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15653), 1,
      anon_sym_EQ,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11649), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [110480] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(13054), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11650), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [110550] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16373), 1,
      sym__immediate_string_start,
    ACTIONS(16375), 1,
      sym__immediate_command_start,
    STATE(11651), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [110604] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16373), 1,
      sym__immediate_string_start,
    ACTIONS(16375), 1,
      sym__immediate_command_start,
    STATE(11652), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [110658] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16377), 1,
      sym__immediate_string_start,
    ACTIONS(16379), 1,
      sym__immediate_command_start,
    STATE(11653), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [110712] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16377), 1,
      sym__immediate_string_start,
    ACTIONS(16379), 1,
      sym__immediate_command_start,
    STATE(11654), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [110766] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    ACTIONS(15989), 1,
      aux_sym_integer_literal_token4,
    STATE(12532), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11655), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [110854] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16373), 1,
      sym__immediate_string_start,
    ACTIONS(16375), 1,
      sym__immediate_command_start,
    STATE(11656), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [110908] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16377), 1,
      sym__immediate_string_start,
    ACTIONS(16379), 1,
      sym__immediate_command_start,
    STATE(11657), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 25,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [110962] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15657), 1,
      anon_sym_DOT,
    ACTIONS(16345), 1,
      sym__tilde_operator,
    STATE(3540), 1,
      sym__assignment_operator,
    STATE(11658), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [111030] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1655), 1,
      anon_sym_LBRACK,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(13136), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13138), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(15975), 1,
      anon_sym_LPAREN,
    STATE(10869), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13134), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11659), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13140), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10362), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10374), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [111118] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    ACTIONS(15989), 1,
      aux_sym_integer_literal_token4,
    STATE(12260), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11660), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [111206] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13687), 1,
      anon_sym_LPAREN,
    ACTIONS(13689), 1,
      anon_sym_LBRACK,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16381), 1,
      sym__word_identifier,
    STATE(11908), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11661), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11258), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11210), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [111294] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    ACTIONS(16023), 1,
      aux_sym_integer_literal_token4,
    STATE(11168), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11662), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [111382] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13475), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13477), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16025), 1,
      sym__word_identifier,
    STATE(11910), 1,
      sym_identifier,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13473), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11663), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13479), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10682), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [111470] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14457), 1,
      anon_sym_LPAREN,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    ACTIONS(14461), 1,
      anon_sym_LBRACE,
    ACTIONS(16111), 1,
      sym__word_identifier,
    STATE(11656), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11664), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11095), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11110), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [111558] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13955), 1,
      anon_sym_LPAREN,
    ACTIONS(13957), 1,
      anon_sym_LBRACK,
    ACTIONS(13959), 1,
      anon_sym_LBRACE,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14261), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14263), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16113), 1,
      sym__word_identifier,
    STATE(11657), 1,
      sym_identifier,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14259), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11665), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14265), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10601), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10521), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [111646] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14331), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14337), 1,
      sym_character_literal,
    ACTIONS(16159), 1,
      sym__word_identifier,
    ACTIONS(16161), 1,
      anon_sym_LPAREN,
    ACTIONS(16163), 1,
      anon_sym_LBRACK,
    ACTIONS(16165), 1,
      anon_sym_LBRACE,
    ACTIONS(16167), 1,
      aux_sym_integer_literal_token4,
    STATE(11987), 1,
      sym_identifier,
    STATE(14663), 1,
      sym__delimiter_str_1,
    STATE(14664), 1,
      sym__delimiter_str_3,
    STATE(14665), 1,
      sym__delimiter_cmd_1,
    STATE(14666), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14329), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11666), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14335), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(12257), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(12250), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(12304), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [111734] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    STATE(12532), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11667), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [111822] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14483), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    STATE(11403), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11668), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [111910] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14331), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14333), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14337), 1,
      sym_character_literal,
    ACTIONS(16159), 1,
      sym__word_identifier,
    ACTIONS(16161), 1,
      anon_sym_LPAREN,
    ACTIONS(16163), 1,
      anon_sym_LBRACK,
    ACTIONS(16165), 1,
      anon_sym_LBRACE,
    STATE(12031), 1,
      sym_identifier,
    STATE(14663), 1,
      sym__delimiter_str_1,
    STATE(14664), 1,
      sym__delimiter_str_3,
    STATE(14665), 1,
      sym__delimiter_cmd_1,
    STATE(14666), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14329), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11669), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14335), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(12257), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(12250), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(12304), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [111998] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11670), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10081), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10079), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [112048] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16383), 1,
      sym__immediate_string_start,
    ACTIONS(16385), 1,
      sym__immediate_command_start,
    STATE(11671), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [112102] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16383), 1,
      sym__immediate_string_start,
    ACTIONS(16385), 1,
      sym__immediate_command_start,
    STATE(11672), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [112156] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16383), 1,
      sym__immediate_string_start,
    ACTIONS(16385), 1,
      sym__immediate_command_start,
    STATE(11673), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [112210] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16383), 1,
      sym__immediate_string_start,
    ACTIONS(16385), 1,
      sym__immediate_command_start,
    STATE(11674), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [112264] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1655), 1,
      anon_sym_LBRACK,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(13136), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13138), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(15975), 1,
      anon_sym_LPAREN,
    STATE(11182), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13134), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11675), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13140), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10362), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10374), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [112352] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    ACTIONS(15989), 1,
      aux_sym_integer_literal_token4,
    STATE(12545), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11676), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [112440] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13687), 1,
      anon_sym_LPAREN,
    ACTIONS(13689), 1,
      anon_sym_LBRACK,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16381), 1,
      sym__word_identifier,
    STATE(11674), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11677), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11258), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11210), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [112528] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    ACTIONS(16023), 1,
      aux_sym_integer_literal_token4,
    STATE(12551), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11678), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [112616] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13475), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13477), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16025), 1,
      sym__word_identifier,
    STATE(12093), 1,
      sym_identifier,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13473), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11679), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13479), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10682), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [112704] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14457), 1,
      anon_sym_LPAREN,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    ACTIONS(14461), 1,
      anon_sym_LBRACE,
    ACTIONS(16111), 1,
      sym__word_identifier,
    STATE(11286), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11680), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11095), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11110), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [112792] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13955), 1,
      anon_sym_LPAREN,
    ACTIONS(13957), 1,
      anon_sym_LBRACK,
    ACTIONS(13959), 1,
      anon_sym_LBRACE,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14261), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14263), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16113), 1,
      sym__word_identifier,
    STATE(11972), 1,
      sym_identifier,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14259), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11681), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14265), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10601), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10521), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [112880] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1655), 1,
      anon_sym_LBRACK,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(13136), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13138), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(15975), 1,
      anon_sym_LPAREN,
    STATE(10712), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13134), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11682), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13140), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10362), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10374), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [112968] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    ACTIONS(15989), 1,
      aux_sym_integer_literal_token4,
    STATE(12317), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11683), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [113056] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13687), 1,
      anon_sym_LPAREN,
    ACTIONS(13689), 1,
      anon_sym_LBRACK,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16381), 1,
      sym__word_identifier,
    STATE(11347), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11684), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11258), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11210), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [113144] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    ACTIONS(16023), 1,
      aux_sym_integer_literal_token4,
    STATE(12327), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11685), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [113232] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10107), 1,
      anon_sym_LPAREN,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13475), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13477), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16025), 1,
      sym__word_identifier,
    STATE(11352), 1,
      sym_identifier,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13473), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11686), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13479), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10682), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [113320] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14457), 1,
      anon_sym_LPAREN,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    ACTIONS(14461), 1,
      anon_sym_LBRACE,
    ACTIONS(16111), 1,
      sym__word_identifier,
    STATE(11248), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11687), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11095), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11110), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [113408] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13955), 1,
      anon_sym_LPAREN,
    ACTIONS(13957), 1,
      anon_sym_LBRACK,
    ACTIONS(13959), 1,
      anon_sym_LBRACE,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14261), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14263), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16113), 1,
      sym__word_identifier,
    STATE(11252), 1,
      sym_identifier,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14259), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11688), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14265), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10601), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10521), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [113496] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16387), 1,
      sym__immediate_string_start,
    ACTIONS(16389), 1,
      sym__immediate_command_start,
    STATE(11689), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [113550] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16387), 1,
      sym__immediate_string_start,
    ACTIONS(16389), 1,
      sym__immediate_command_start,
    STATE(11690), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [113604] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16387), 1,
      sym__immediate_string_start,
    ACTIONS(16389), 1,
      sym__immediate_command_start,
    STATE(11691), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [113658] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16387), 1,
      sym__immediate_string_start,
    ACTIONS(16389), 1,
      sym__immediate_command_start,
    STATE(11692), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [113712] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    ACTIONS(15989), 1,
      aux_sym_integer_literal_token4,
    STATE(12205), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11693), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [113800] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13687), 1,
      anon_sym_LPAREN,
    ACTIONS(13689), 1,
      anon_sym_LBRACK,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16381), 1,
      sym__word_identifier,
    STATE(11692), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11694), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11258), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11210), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [113888] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    ACTIONS(16023), 1,
      aux_sym_integer_literal_token4,
    STATE(13101), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11695), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [113976] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14457), 1,
      anon_sym_LPAREN,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    ACTIONS(14461), 1,
      anon_sym_LBRACE,
    ACTIONS(16111), 1,
      sym__word_identifier,
    STATE(11312), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11696), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11095), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11110), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [114064] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16391), 1,
      sym__immediate_string_start,
    ACTIONS(16393), 1,
      sym__immediate_command_start,
    STATE(11697), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [114118] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16391), 1,
      sym__immediate_string_start,
    ACTIONS(16393), 1,
      sym__immediate_command_start,
    STATE(11698), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [114172] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16391), 1,
      sym__immediate_string_start,
    ACTIONS(16393), 1,
      sym__immediate_command_start,
    STATE(11699), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [114226] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16391), 1,
      sym__immediate_string_start,
    ACTIONS(16393), 1,
      sym__immediate_command_start,
    STATE(11700), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [114280] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    ACTIONS(15989), 1,
      aux_sym_integer_literal_token4,
    STATE(12108), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11701), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [114368] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13687), 1,
      anon_sym_LPAREN,
    ACTIONS(13689), 1,
      anon_sym_LBRACK,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16381), 1,
      sym__word_identifier,
    STATE(11700), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11702), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11258), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11210), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [114456] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13731), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13733), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14457), 1,
      anon_sym_LPAREN,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    ACTIONS(14461), 1,
      anon_sym_LBRACE,
    ACTIONS(16111), 1,
      sym__word_identifier,
    STATE(11277), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    ACTIONS(13729), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11703), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13735), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11095), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11110), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [114544] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    ACTIONS(15989), 1,
      aux_sym_integer_literal_token4,
    STATE(12112), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11704), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [114632] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    ACTIONS(15989), 1,
      aux_sym_integer_literal_token4,
    STATE(12007), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11705), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [114720] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    ACTIONS(15989), 1,
      aux_sym_integer_literal_token4,
    STATE(12222), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11706), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [114808] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    ACTIONS(15989), 1,
      aux_sym_integer_literal_token4,
    STATE(12226), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11707), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [114896] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    ACTIONS(15989), 1,
      aux_sym_integer_literal_token4,
    STATE(12120), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11708), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [114984] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13186), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(16251), 1,
      anon_sym_LPAREN,
    STATE(10979), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14019), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11709), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14021), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10540), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10598), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [115072] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11710), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10173), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10171), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [115122] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11711), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10019), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10015), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [115172] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11712), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10365), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10363), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [115222] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11713), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(3222), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [115272] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11714), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10377), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10375), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [115322] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11715), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [115372] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11150), 1,
      sym_identifier,
    STATE(11716), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [115426] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11221), 1,
      sym_identifier,
    STATE(11717), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [115480] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11145), 1,
      sym_identifier,
    STATE(11718), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [115534] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11146), 1,
      sym_identifier,
    STATE(11719), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [115588] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15947), 1,
      anon_sym_SQUOTE,
    ACTIONS(15949), 1,
      anon_sym_DOT,
    ACTIONS(15951), 1,
      sym__tilde_operator,
    STATE(4259), 1,
      sym__assignment_operator,
    STATE(11720), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [115656] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15875), 1,
      sym__tilde_operator,
    ACTIONS(16395), 1,
      anon_sym_EQ,
    STATE(4335), 1,
      sym__assignment_operator,
    STATE(11721), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [115726] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15947), 1,
      anon_sym_SQUOTE,
    ACTIONS(15967), 1,
      anon_sym_DOT,
    ACTIONS(16397), 1,
      sym__tilde_operator,
    STATE(4287), 1,
      sym__assignment_operator,
    STATE(11722), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [115794] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    STATE(12317), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11723), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [115882] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14483), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    STATE(12327), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11724), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [115970] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10147), 1,
      anon_sym_DASH_GT,
    STATE(11725), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10083), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10087), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [116022] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11726), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10211), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10209), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [116072] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11727), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10215), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10213), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [116122] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11728), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [116172] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11729), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9937), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9933), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [116222] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    ACTIONS(15745), 1,
      anon_sym_EQ,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11730), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [116292] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4457), 1,
      anon_sym_LBRACK,
    ACTIONS(4461), 1,
      anon_sym_LBRACE,
    ACTIONS(4471), 1,
      sym_character_literal,
    ACTIONS(9841), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(9843), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16399), 1,
      sym__word_identifier,
    ACTIONS(16401), 1,
      anon_sym_LPAREN,
    STATE(4638), 1,
      sym_identifier,
    STATE(15050), 1,
      sym__delimiter_str_1,
    STATE(15051), 1,
      sym__delimiter_str_3,
    STATE(15052), 1,
      sym__delimiter_cmd_1,
    STATE(15053), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14951), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11731), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14953), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(5284), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(5275), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(5069), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [116380] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11732), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10223), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10221), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [116430] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11733), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10227), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10225), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [116480] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    ACTIONS(16023), 1,
      aux_sym_integer_literal_token4,
    STATE(12899), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11734), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [116568] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13186), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(16251), 1,
      anon_sym_LPAREN,
    STATE(10770), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14019), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11735), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14021), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10540), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10598), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [116656] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    STATE(12108), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11736), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [116744] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14483), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    STATE(12551), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11737), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [116832] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    ACTIONS(16023), 1,
      aux_sym_integer_literal_token4,
    STATE(12114), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11738), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [116920] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13186), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(16251), 1,
      anon_sym_LPAREN,
    STATE(10699), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14019), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11739), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14021), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10540), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10598), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [117008] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10641), 1,
      aux_sym__terminator_token1,
    ACTIONS(16403), 1,
      anon_sym_SQUOTE,
    ACTIONS(16405), 1,
      anon_sym_DOT,
    ACTIONS(16407), 1,
      sym__immediate_paren,
    ACTIONS(16409), 1,
      sym__immediate_bracket,
    ACTIONS(16411), 1,
      sym__immediate_brace,
    STATE(11740), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10635), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [117068] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15725), 1,
      anon_sym_SQUOTE,
    ACTIONS(15729), 1,
      sym__immediate_paren,
    ACTIONS(15731), 1,
      sym__immediate_bracket,
    ACTIONS(15733), 1,
      sym__immediate_brace,
    ACTIONS(16413), 1,
      anon_sym_DOT,
    STATE(11741), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10635), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10641), 23,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [117128] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11742), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10237), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10235), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [117178] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    STATE(12545), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11743), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [117266] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14483), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    STATE(12899), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11744), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [117354] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    ACTIONS(16023), 1,
      aux_sym_integer_literal_token4,
    STATE(11989), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11745), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [117442] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13186), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(16251), 1,
      anon_sym_LPAREN,
    STATE(10781), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14019), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11746), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14021), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10540), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10598), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [117530] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    STATE(12007), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11747), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [117618] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14483), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    STATE(11989), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11748), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [117706] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13186), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(13188), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(16251), 1,
      anon_sym_LPAREN,
    STATE(10785), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14019), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11749), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14021), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(10540), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(10598), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [117794] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    STATE(12118), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11750), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [117882] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14483), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    STATE(13101), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11751), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [117970] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    STATE(12205), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11752), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [118058] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14483), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14487), 1,
      sym_character_literal,
    ACTIONS(16015), 1,
      sym__word_identifier,
    ACTIONS(16017), 1,
      anon_sym_LPAREN,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    STATE(12114), 1,
      sym_identifier,
    STATE(15102), 1,
      sym__delimiter_str_1,
    STATE(15103), 1,
      sym__delimiter_str_3,
    STATE(15104), 1,
      sym__delimiter_cmd_1,
    STATE(15105), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14479), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11753), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14485), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11064), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11021), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [118146] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    STATE(12112), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11754), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [118234] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    STATE(12222), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11755), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [118322] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    STATE(12120), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11756), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [118410] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(14297), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14299), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(14303), 1,
      sym_character_literal,
    ACTIONS(15981), 1,
      sym__word_identifier,
    ACTIONS(15983), 1,
      anon_sym_LPAREN,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    STATE(12226), 1,
      sym_identifier,
    STATE(14821), 1,
      sym__delimiter_str_1,
    STATE(14822), 1,
      sym__delimiter_str_3,
    STATE(14827), 1,
      sym__delimiter_cmd_1,
    STATE(14828), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14295), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11757), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14301), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11780), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11913), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [118498] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11758), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9989), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9987), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [118548] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11759), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10241), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10239), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [118598] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11760), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10247), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10245), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [118648] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11761), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10251), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10249), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [118698] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16255), 1,
      anon_sym_DOT,
    STATE(11762), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10870), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [118750] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16415), 1,
      aux_sym_float_literal_token2,
    STATE(11763), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10019), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10015), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [118802] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15947), 1,
      anon_sym_SQUOTE,
    ACTIONS(15967), 1,
      anon_sym_DOT,
    ACTIONS(16397), 1,
      sym__tilde_operator,
    STATE(4287), 1,
      sym__assignment_operator,
    STATE(11764), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [118870] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11765), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10147), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10085), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [118920] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11766), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10005), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10003), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [118970] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11767), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10161), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10159), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [119020] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11768), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10165), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10163), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [119070] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(10367), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15707), 1,
      sym__tilde_operator,
    STATE(4229), 1,
      sym__assignment_operator,
    STATE(11769), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [119140] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(13687), 1,
      anon_sym_LPAREN,
    ACTIONS(13689), 1,
      anon_sym_LBRACK,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14041), 1,
      aux_sym_integer_literal_token3,
    ACTIONS(14043), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16381), 1,
      sym__word_identifier,
    STATE(11962), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    ACTIONS(14039), 2,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
    STATE(11770), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14045), 3,
      aux_sym_float_literal_token1,
      aux_sym_float_literal_token3,
      aux_sym_float_literal_token4,
    STATE(11258), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
    STATE(11210), 7,
      sym__array,
      sym_parenthesized_expression,
      sym_tuple_expression,
      sym_curly_expression,
      sym_integer_literal,
      sym_float_literal,
      sym__string,
  [119228] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11771), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10057), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10055), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [119278] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11772), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10035), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10033), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [119328] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11773), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10423), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10421), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [119378] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15875), 1,
      sym__tilde_operator,
    STATE(4335), 1,
      sym__assignment_operator,
    STATE(11774), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [119445] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10377), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11775), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [119494] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16417), 1,
      sym__immediate_string_start,
    ACTIONS(16419), 1,
      sym__immediate_command_start,
    STATE(11776), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [119547] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11777), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9907), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9909), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [119596] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15947), 1,
      anon_sym_SQUOTE,
    ACTIONS(15949), 1,
      anon_sym_DOT,
    ACTIONS(16369), 1,
      sym__tilde_operator,
    STATE(4004), 1,
      sym__assignment_operator,
    STATE(11778), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 14,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [119663] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10317), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11779), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10315), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [119712] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10177), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11780), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10175), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [119761] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10321), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11781), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10319), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [119810] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10397), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11782), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10395), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [119859] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10415), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11783), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10413), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [119908] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11784), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10097), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10099), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [119957] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(10718), 1,
      anon_sym_end,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15875), 1,
      sym__tilde_operator,
    ACTIONS(15947), 1,
      anon_sym_SQUOTE,
    ACTIONS(16421), 1,
      anon_sym_DOT,
    STATE(4335), 1,
      sym__assignment_operator,
    STATE(11785), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 13,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [120026] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9909), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11786), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9907), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [120075] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10325), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11787), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10323), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [120124] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10329), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11788), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10327), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [120173] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10381), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11789), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10379), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [120222] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10387), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11790), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10385), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [120271] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11791), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10175), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10177), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [120320] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10391), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11792), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10389), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [120369] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11793), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10319), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10321), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [120418] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16423), 1,
      anon_sym_COMMA,
    STATE(11842), 1,
      aux_sym_export_statement_repeat1,
    STATE(11794), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11278), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11282), 23,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [120471] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16423), 1,
      anon_sym_COMMA,
    STATE(11844), 1,
      aux_sym_export_statement_repeat1,
    STATE(11795), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11141), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11145), 23,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [120524] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16009), 1,
      anon_sym_COMMA,
    STATE(11847), 1,
      aux_sym__import_list_repeat1,
    STATE(11796), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11032), 23,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [120577] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11797), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10139), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10141), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [120626] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10345), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11798), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10343), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [120675] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10419), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11799), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10417), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [120724] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10099), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11800), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10097), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [120773] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10103), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11801), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10101), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [120822] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9995), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11802), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [120871] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10423), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11803), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10421), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [120920] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10431), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11804), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10429), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [120969] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10435), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11805), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10433), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121018] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10439), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11806), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10437), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121067] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10195), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11807), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10193), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121116] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10141), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11808), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10139), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121165] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10293), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11809), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10291), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121214] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10309), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11810), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10307), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121263] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10349), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11811), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10347), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121312] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10353), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11812), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10351), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121361] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10357), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11813), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10355), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121410] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10405), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11814), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10403), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121459] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10313), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11815), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10311), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121508] = 15,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15865), 1,
      anon_sym_EQ,
    ACTIONS(15875), 1,
      sym__tilde_operator,
    STATE(4335), 1,
      sym__assignment_operator,
    STATE(11816), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 13,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [121577] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10401), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11817), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10399), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121626] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10265), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11818), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10263), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121675] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10341), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11819), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10339), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121724] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10373), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11820), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10371), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121773] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10411), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11821), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10409), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121822] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10219), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11822), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10217), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121871] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11823), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10399), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10401), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [121920] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10231), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11824), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10229), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [121969] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11150), 1,
      sym_identifier,
    STATE(11825), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [122022] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11221), 1,
      sym_identifier,
    STATE(11826), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [122075] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16425), 1,
      anon_sym_COMMA,
    STATE(11827), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(11149), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11154), 23,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [122126] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11828), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [122175] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16428), 1,
      anon_sym_DOT,
    STATE(11829), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10870), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [122226] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11830), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10195), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10193), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [122275] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11831), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10231), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10229), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [122324] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16011), 1,
      anon_sym_as,
    STATE(11832), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11159), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11161), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [122375] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16430), 1,
      anon_sym_COMMA,
    STATE(11833), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__import_list_repeat1,
    ACTIONS(11159), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11161), 23,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [122426] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10279), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11834), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10277), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [122475] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11145), 1,
      sym_identifier,
    STATE(11835), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [122528] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11146), 1,
      sym_identifier,
    STATE(11836), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [122581] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11837), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10317), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10315), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [122630] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11838), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10279), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10277), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [122679] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15897), 1,
      anon_sym_EQ,
    ACTIONS(15899), 2,
      anon_sym_in,
      anon_sym_u2208,
    STATE(11839), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [122732] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15901), 1,
      anon_sym_EQ,
    ACTIONS(15903), 2,
      anon_sym_in,
      anon_sym_u2208,
    STATE(11840), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [122785] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11841), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10173), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10171), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [122834] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16423), 1,
      anon_sym_COMMA,
    STATE(11827), 1,
      aux_sym_export_statement_repeat1,
    STATE(11842), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11286), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11288), 23,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [122887] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11843), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [122936] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16423), 1,
      anon_sym_COMMA,
    STATE(11827), 1,
      aux_sym_export_statement_repeat1,
    STATE(11844), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11290), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11292), 23,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [122989] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11845), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10361), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10359), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123038] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11846), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10177), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10175), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123087] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16009), 1,
      anon_sym_COMMA,
    STATE(11833), 1,
      aux_sym__import_list_repeat1,
    STATE(11847), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11066), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11068), 23,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [123140] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11848), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10321), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10319), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123189] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11849), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10397), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10395), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123238] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11850), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10415), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10413), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123287] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15600), 1,
      sym__word_identifier,
    STATE(10649), 1,
      sym_identifier,
    STATE(11851), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 13,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [123340] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11852), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10325), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10323), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123389] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11853), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10329), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10327), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123438] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11854), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10381), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10379), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123487] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11855), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10387), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10385), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123536] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11856), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10391), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10389), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123585] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11857), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10129), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10127), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123634] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11858), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10345), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10343), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123683] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11859), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10419), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10417), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123732] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11860), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10099), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10097), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123781] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11861), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10103), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10101), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123830] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11862), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10423), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10421), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123879] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11863), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10431), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10429), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123928] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11864), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10435), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10433), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [123977] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11865), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10439), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10437), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124026] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11866), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10087), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10083), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124075] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11867), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10091), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10089), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124124] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15600), 1,
      sym__word_identifier,
    STATE(10646), 1,
      sym_identifier,
    STATE(11868), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 13,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [124177] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11869), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10141), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10139), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124226] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11870), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10293), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10291), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124275] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11871), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10309), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10307), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124324] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11872), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10349), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10347), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124373] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11873), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10353), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10351), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124422] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11874), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10357), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10355), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124471] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11875), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10405), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10403), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124520] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11876), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10313), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10311), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124569] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11877), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10401), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10399), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124618] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11878), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10265), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10263), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124667] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11879), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10341), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10339), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124716] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11880), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10373), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10371), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124765] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11881), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10411), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10409), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124814] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11882), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10219), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10217), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124863] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11883), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [124912] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11884), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [124961] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11885), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10395), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10397), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [125010] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11886), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10413), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10415), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [125059] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11887), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10127), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10129), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [125108] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11888), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10211), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10209), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [125157] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11889), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10215), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10213), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [125206] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10746), 1,
      aux_sym__terminator_token1,
    ACTIONS(16433), 1,
      anon_sym_SQUOTE,
    ACTIONS(16435), 1,
      anon_sym_DOT,
    ACTIONS(16437), 1,
      sym__immediate_paren,
    ACTIONS(16439), 1,
      sym__immediate_bracket,
    ACTIONS(16441), 1,
      sym__immediate_brace,
    STATE(11890), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10708), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [125265] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11891), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [125314] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15600), 1,
      sym__word_identifier,
    STATE(10711), 1,
      sym_identifier,
    STATE(11892), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 13,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [125367] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10756), 1,
      aux_sym__terminator_token1,
    ACTIONS(16443), 1,
      anon_sym_SQUOTE,
    ACTIONS(16445), 1,
      anon_sym_DOT,
    ACTIONS(16447), 1,
      sym__immediate_paren,
    ACTIONS(16449), 1,
      sym__immediate_bracket,
    ACTIONS(16451), 1,
      sym__immediate_brace,
    STATE(11893), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10754), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [125426] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11894), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10323), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10325), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [125475] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11895), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10327), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10329), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [125524] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10746), 1,
      aux_sym__terminator_token1,
    ACTIONS(16443), 1,
      anon_sym_SQUOTE,
    ACTIONS(16445), 1,
      anon_sym_DOT,
    ACTIONS(16447), 1,
      sym__immediate_paren,
    ACTIONS(16449), 1,
      sym__immediate_bracket,
    ACTIONS(16451), 1,
      sym__immediate_brace,
    STATE(11896), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10708), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [125583] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11897), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10379), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10381), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [125632] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11898), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9937), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9933), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [125681] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15600), 1,
      sym__word_identifier,
    STATE(10666), 1,
      sym_identifier,
    STATE(11899), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 13,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 19,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [125734] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16453), 1,
      sym__immediate_string_start,
    ACTIONS(16455), 1,
      sym__immediate_command_start,
    STATE(11900), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(189), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(101), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [125787] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16457), 1,
      sym__immediate_string_start,
    ACTIONS(16459), 1,
      sym__immediate_command_start,
    STATE(11901), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [125840] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11902), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10385), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10387), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [125889] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16453), 1,
      sym__immediate_string_start,
    ACTIONS(16455), 1,
      sym__immediate_command_start,
    STATE(11903), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [125942] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11904), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10389), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10391), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [125991] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16453), 1,
      sym__immediate_string_start,
    ACTIONS(16455), 1,
      sym__immediate_command_start,
    STATE(11905), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [126044] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16457), 1,
      sym__immediate_string_start,
    ACTIONS(16459), 1,
      sym__immediate_command_start,
    STATE(11906), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [126097] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16457), 1,
      sym__immediate_string_start,
    ACTIONS(16459), 1,
      sym__immediate_command_start,
    STATE(11907), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [126150] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16453), 1,
      sym__immediate_string_start,
    ACTIONS(16455), 1,
      sym__immediate_command_start,
    STATE(11908), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [126203] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11909), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10223), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10221), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [126252] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16457), 1,
      sym__immediate_string_start,
    ACTIONS(16459), 1,
      sym__immediate_command_start,
    STATE(11910), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [126305] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11911), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10227), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10225), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [126354] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(3226), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11912), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3222), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [126403] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9971), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11913), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [126452] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11914), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10343), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10345), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [126501] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11915), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10417), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10419), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [126550] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10087), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11916), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10083), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [126599] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11917), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10237), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10235), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [126648] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11918), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9989), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9987), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [126697] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11919), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10101), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10103), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [126746] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11920), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10421), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10423), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [126795] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11921), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10429), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10431), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [126844] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11922), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10433), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10435), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [126893] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11923), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10437), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10439), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [126942] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10091), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11924), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10089), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [126991] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11925), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10241), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10239), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [127040] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11926), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10019), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10015), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [127089] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11927), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10247), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10245), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [127138] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11928), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [127187] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11929), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10365), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [127236] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11930), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10291), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10293), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [127285] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11931), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10365), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10363), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [127334] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11932), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10307), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10309), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [127383] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11933), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10347), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10349), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [127432] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11934), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(3222), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [127481] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11935), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10351), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10353), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [127530] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11936), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10355), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10357), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [127579] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11937), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10377), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10375), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [127628] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11938), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10403), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10405), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [127677] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11939), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10083), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10087), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [127726] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11940), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10251), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10249), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [127775] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11941), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10377), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [127824] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11942), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10311), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10313), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [127873] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11943), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10089), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10091), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [127922] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15853), 1,
      anon_sym_EQ,
    ACTIONS(15855), 2,
      anon_sym_in,
      anon_sym_u2208,
    STATE(11944), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [127975] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11945), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10263), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10265), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [128024] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11946), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10339), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10341), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [128073] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11947), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10371), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10373), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [128122] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11948), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10409), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10411), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [128171] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(11949), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10217), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(10219), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [128220] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10878), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11950), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10876), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [128269] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11150), 1,
      sym_identifier,
    STATE(11951), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10131), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [128322] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11221), 1,
      sym_identifier,
    STATE(11952), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10135), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [128375] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15877), 1,
      anon_sym_EQ,
    ACTIONS(15879), 2,
      anon_sym_in,
      anon_sym_u2208,
    STATE(11953), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 11,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DOT_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 20,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [128428] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10641), 1,
      aux_sym__terminator_token1,
    ACTIONS(16403), 1,
      anon_sym_SQUOTE,
    ACTIONS(16407), 1,
      sym__immediate_paren,
    ACTIONS(16409), 1,
      sym__immediate_bracket,
    ACTIONS(16411), 1,
      sym__immediate_brace,
    ACTIONS(16461), 1,
      anon_sym_DOT,
    STATE(11954), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10635), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [128487] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15767), 1,
      anon_sym_SQUOTE,
    ACTIONS(15771), 1,
      sym__immediate_paren,
    ACTIONS(15773), 1,
      sym__immediate_bracket,
    ACTIONS(15775), 1,
      sym__immediate_brace,
    ACTIONS(16463), 1,
      anon_sym_DOT,
    STATE(11955), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10708), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10746), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [128546] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15767), 1,
      anon_sym_SQUOTE,
    ACTIONS(15771), 1,
      sym__immediate_paren,
    ACTIONS(15773), 1,
      sym__immediate_bracket,
    ACTIONS(15775), 1,
      sym__immediate_brace,
    ACTIONS(16463), 1,
      anon_sym_DOT,
    STATE(11956), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10754), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10756), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [128605] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10641), 1,
      aux_sym__terminator_token1,
    ACTIONS(16403), 1,
      anon_sym_SQUOTE,
    ACTIONS(16407), 1,
      sym__immediate_paren,
    ACTIONS(16409), 1,
      sym__immediate_bracket,
    ACTIONS(16411), 1,
      sym__immediate_brace,
    ACTIONS(16465), 1,
      anon_sym_DOT,
    STATE(11957), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10635), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [128664] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11958), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 5,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9907), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [128713] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10641), 1,
      aux_sym__terminator_token1,
    ACTIONS(16403), 1,
      anon_sym_SQUOTE,
    ACTIONS(16407), 1,
      sym__immediate_paren,
    ACTIONS(16409), 1,
      sym__immediate_bracket,
    ACTIONS(16411), 1,
      sym__immediate_brace,
    ACTIONS(16467), 1,
      anon_sym_DOT,
    STATE(11959), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10635), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [128772] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11145), 1,
      sym_identifier,
    STATE(11960), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10143), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [128825] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15927), 1,
      sym__word_identifier,
    STATE(11146), 1,
      sym_identifier,
    STATE(11961), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(10007), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [128878] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16417), 1,
      sym__immediate_string_start,
    ACTIONS(16419), 1,
      sym__immediate_command_start,
    STATE(11962), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9969), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [128931] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16417), 1,
      sym__immediate_string_start,
    ACTIONS(16419), 1,
      sym__immediate_command_start,
    STATE(11963), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9943), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9941), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [128984] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10129), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11964), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10127), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129033] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11965), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129082] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16139), 1,
      aux_sym_float_literal_token2,
    ACTIONS(10019), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11966), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129133] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10365), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11967), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 32,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129182] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10756), 1,
      aux_sym__terminator_token1,
    ACTIONS(16433), 1,
      anon_sym_SQUOTE,
    ACTIONS(16435), 1,
      anon_sym_DOT,
    ACTIONS(16437), 1,
      sym__immediate_paren,
    ACTIONS(16439), 1,
      sym__immediate_bracket,
    ACTIONS(16441), 1,
      sym__immediate_brace,
    STATE(11968), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10754), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129241] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16417), 1,
      sym__immediate_string_start,
    ACTIONS(16419), 1,
      sym__immediate_command_start,
    STATE(11969), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      ts_builtin_sym_end,
      anon_sym_SQUOTE,
      aux_sym__terminator_token1,
    ACTIONS(9993), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129294] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10009), 1,
      aux_sym__terminator_token1,
    ACTIONS(16469), 1,
      sym__word_identifier,
    STATE(12212), 1,
      sym_identifier,
    STATE(11970), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129346] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16471), 1,
      sym__immediate_string_start,
    ACTIONS(16473), 1,
      sym__immediate_command_start,
    STATE(11971), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [129398] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16471), 1,
      sym__immediate_string_start,
    ACTIONS(16473), 1,
      sym__immediate_command_start,
    STATE(11972), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [129450] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10641), 1,
      aux_sym__terminator_token1,
    ACTIONS(16403), 1,
      anon_sym_SQUOTE,
    ACTIONS(16407), 1,
      sym__immediate_paren,
    ACTIONS(16409), 1,
      sym__immediate_bracket,
    ACTIONS(16411), 1,
      sym__immediate_brace,
    ACTIONS(16475), 1,
      anon_sym_DOT,
    STATE(11973), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10635), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129508] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15725), 1,
      anon_sym_SQUOTE,
    ACTIONS(15729), 1,
      sym__immediate_paren,
    ACTIONS(15731), 1,
      sym__immediate_bracket,
    ACTIONS(15733), 1,
      sym__immediate_brace,
    ACTIONS(16477), 1,
      anon_sym_DOT,
    STATE(11974), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10635), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10641), 21,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [129566] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10756), 1,
      aux_sym__terminator_token1,
    ACTIONS(16433), 1,
      anon_sym_SQUOTE,
    ACTIONS(16437), 1,
      sym__immediate_paren,
    ACTIONS(16439), 1,
      sym__immediate_bracket,
    ACTIONS(16441), 1,
      sym__immediate_brace,
    ACTIONS(16479), 1,
      anon_sym_DOT,
    STATE(11975), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10754), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129624] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10025), 1,
      anon_sym_DOT_EQ,
    ACTIONS(10479), 1,
      sym__immediate_paren,
    ACTIONS(15513), 1,
      sym__immediate_bracket,
    ACTIONS(15515), 1,
      sym__immediate_brace,
    ACTIONS(15655), 1,
      anon_sym_SQUOTE,
    ACTIONS(15705), 1,
      anon_sym_DOT,
    ACTIONS(15875), 1,
      sym__tilde_operator,
    STATE(4335), 1,
      sym__assignment_operator,
    STATE(11976), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1685), 3,
      anon_sym_COLON_EQ,
      anon_sym_DOLLAR_EQ,
      aux_sym__assignment_operator_token1,
    ACTIONS(9442), 9,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 13,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [129690] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10870), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11977), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129738] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10986), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11978), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10982), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129786] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    STATE(11979), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [129836] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11040), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11980), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11038), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129884] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11981), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129934] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10133), 1,
      aux_sym__terminator_token1,
    ACTIONS(16469), 1,
      sym__word_identifier,
    STATE(12335), 1,
      sym_identifier,
    STATE(11982), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [129986] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11104), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11983), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11102), 31,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [130034] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10137), 1,
      aux_sym__terminator_token1,
    ACTIONS(16469), 1,
      sym__word_identifier,
    STATE(12339), 1,
      sym_identifier,
    STATE(11984), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [130086] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10145), 1,
      aux_sym__terminator_token1,
    ACTIONS(16469), 1,
      sym__word_identifier,
    STATE(12210), 1,
      sym_identifier,
    STATE(11985), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [130138] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10133), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11814), 1,
      sym_identifier,
    STATE(11986), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [130190] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9971), 1,
      aux_sym__terminator_token1,
    ACTIONS(16485), 1,
      sym__immediate_string_start,
    ACTIONS(16487), 1,
      sym__immediate_command_start,
    STATE(11987), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [130242] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(11988), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [130292] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16489), 1,
      sym__immediate_string_start,
    ACTIONS(16491), 1,
      sym__immediate_command_start,
    STATE(11989), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 23,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [130344] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16471), 1,
      sym__immediate_string_start,
    ACTIONS(16473), 1,
      sym__immediate_command_start,
    STATE(11990), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [130396] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10137), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11815), 1,
      sym_identifier,
    STATE(11991), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [130448] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10145), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11821), 1,
      sym_identifier,
    STATE(11992), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [130500] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10009), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11822), 1,
      sym_identifier,
    STATE(11993), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [130552] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9995), 1,
      aux_sym__terminator_token1,
    ACTIONS(16493), 1,
      sym__immediate_string_start,
    ACTIONS(16495), 1,
      sym__immediate_command_start,
    STATE(11994), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [130604] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(11995), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 3,
      sym__immediate_string_start,
      sym__immediate_command_start,
      aux_sym__terminator_token1,
    ACTIONS(9907), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [130652] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16489), 1,
      sym__immediate_string_start,
    ACTIONS(16491), 1,
      sym__immediate_command_start,
    STATE(11996), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 23,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [130704] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15485), 1,
      sym__word_identifier,
    STATE(10575), 1,
      sym_identifier,
    STATE(11997), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 13,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [130756] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15485), 1,
      sym__word_identifier,
    STATE(10585), 1,
      sym_identifier,
    STATE(11998), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 13,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [130808] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15485), 1,
      sym__word_identifier,
    STATE(10615), 1,
      sym_identifier,
    STATE(11999), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 13,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [130860] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15485), 1,
      sym__word_identifier,
    STATE(10619), 1,
      sym_identifier,
    STATE(12000), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 13,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [130912] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12001), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [130962] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11052), 1,
      sym_identifier,
    STATE(12002), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 15,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [131014] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11053), 1,
      sym_identifier,
    STATE(12003), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 15,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [131066] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16403), 1,
      anon_sym_SQUOTE,
    ACTIONS(16407), 1,
      sym__immediate_paren,
    ACTIONS(16409), 1,
      sym__immediate_bracket,
    ACTIONS(16411), 1,
      sym__immediate_brace,
    ACTIONS(16497), 1,
      anon_sym_DOT,
    ACTIONS(10641), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12004), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10635), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [131124] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11136), 1,
      sym_identifier,
    STATE(12005), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 15,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [131176] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11071), 1,
      sym_identifier,
    STATE(12006), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 15,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [131228] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9971), 1,
      aux_sym__terminator_token1,
    ACTIONS(16493), 1,
      sym__immediate_string_start,
    ACTIONS(16495), 1,
      sym__immediate_command_start,
    STATE(12007), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [131280] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10746), 1,
      aux_sym__terminator_token1,
    ACTIONS(16433), 1,
      anon_sym_SQUOTE,
    ACTIONS(16437), 1,
      sym__immediate_paren,
    ACTIONS(16439), 1,
      sym__immediate_bracket,
    ACTIONS(16441), 1,
      sym__immediate_brace,
    ACTIONS(16499), 1,
      anon_sym_DOT,
    STATE(12008), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10708), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [131338] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10756), 1,
      aux_sym__terminator_token1,
    ACTIONS(16433), 1,
      anon_sym_SQUOTE,
    ACTIONS(16437), 1,
      sym__immediate_paren,
    ACTIONS(16439), 1,
      sym__immediate_bracket,
    ACTIONS(16441), 1,
      sym__immediate_brace,
    ACTIONS(16499), 1,
      anon_sym_DOT,
    STATE(12009), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10754), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [131396] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10746), 1,
      aux_sym__terminator_token1,
    ACTIONS(16433), 1,
      anon_sym_SQUOTE,
    ACTIONS(16437), 1,
      sym__immediate_paren,
    ACTIONS(16439), 1,
      sym__immediate_bracket,
    ACTIONS(16441), 1,
      sym__immediate_brace,
    ACTIONS(16501), 1,
      anon_sym_DOT,
    STATE(12010), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10708), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [131454] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16471), 1,
      sym__immediate_string_start,
    ACTIONS(16473), 1,
      sym__immediate_command_start,
    STATE(12011), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [131506] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10746), 1,
      aux_sym__terminator_token1,
    ACTIONS(16433), 1,
      anon_sym_SQUOTE,
    ACTIONS(16437), 1,
      sym__immediate_paren,
    ACTIONS(16439), 1,
      sym__immediate_bracket,
    ACTIONS(16441), 1,
      sym__immediate_brace,
    ACTIONS(16479), 1,
      anon_sym_DOT,
    STATE(12012), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10708), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [131564] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10756), 1,
      aux_sym__terminator_token1,
    ACTIONS(16433), 1,
      anon_sym_SQUOTE,
    ACTIONS(16437), 1,
      sym__immediate_paren,
    ACTIONS(16439), 1,
      sym__immediate_bracket,
    ACTIONS(16441), 1,
      sym__immediate_brace,
    ACTIONS(16501), 1,
      anon_sym_DOT,
    STATE(12013), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10754), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [131622] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9995), 1,
      aux_sym__terminator_token1,
    ACTIONS(16485), 1,
      sym__immediate_string_start,
    ACTIONS(16487), 1,
      sym__immediate_command_start,
    STATE(12014), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [131674] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11547), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12015), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11545), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [131721] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16433), 1,
      anon_sym_SQUOTE,
    ACTIONS(16437), 1,
      sym__immediate_paren,
    ACTIONS(16439), 1,
      sym__immediate_bracket,
    ACTIONS(16441), 1,
      sym__immediate_brace,
    ACTIONS(16503), 1,
      anon_sym_DOT,
    ACTIONS(10756), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12016), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10754), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [131778] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16507), 1,
      aux_sym_import_path_token1,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(16511), 1,
      anon_sym_DOLLAR,
    ACTIONS(16513), 1,
      anon_sym_AT,
    STATE(11547), 1,
      sym__importable,
    STATE(11548), 1,
      sym_scoped_identifier,
    STATE(11549), 1,
      sym_identifier,
    STATE(11796), 1,
      sym_import_alias,
    STATE(11253), 2,
      sym_import_path,
      sym__exportable,
    STATE(11412), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12017), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [131849] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16507), 1,
      aux_sym_import_path_token1,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(16511), 1,
      anon_sym_DOLLAR,
    ACTIONS(16513), 1,
      anon_sym_AT,
    STATE(11547), 1,
      sym__importable,
    STATE(11548), 1,
      sym_scoped_identifier,
    STATE(11549), 1,
      sym_identifier,
    STATE(11796), 1,
      sym_import_alias,
    STATE(11253), 2,
      sym_import_path,
      sym__exportable,
    STATE(11414), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12018), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [131920] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11404), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12019), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11402), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [131967] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11706), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12020), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11704), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [132014] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11408), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12021), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11406), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [132061] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11611), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12022), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11609), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [132108] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11591), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12023), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11589), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [132155] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11412), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12024), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11410), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [132202] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11416), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12025), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11414), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [132249] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11420), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12026), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11418), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [132296] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11326), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12027), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11324), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [132343] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12028), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9907), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9909), 24,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [132390] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16515), 1,
      sym__immediate_string_start,
    ACTIONS(16517), 1,
      sym__immediate_command_start,
    STATE(12029), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [132441] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16521), 1,
      aux_sym_import_path_token1,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16525), 1,
      anon_sym_DOLLAR,
    ACTIONS(16527), 1,
      anon_sym_AT,
    STATE(12636), 1,
      sym_identifier,
    STATE(12810), 1,
      sym__importable,
    STATE(12958), 1,
      sym_scoped_identifier,
    STATE(13273), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12030), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12047), 2,
      sym__import_list,
      sym_selected_import,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [132512] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9971), 1,
      aux_sym__terminator_token1,
    ACTIONS(16529), 1,
      sym__immediate_string_start,
    ACTIONS(16531), 1,
      sym__immediate_command_start,
    STATE(12031), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [132563] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11376), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12032), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11374), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [132610] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16433), 1,
      anon_sym_SQUOTE,
    ACTIONS(16437), 1,
      sym__immediate_paren,
    ACTIONS(16439), 1,
      sym__immediate_bracket,
    ACTIONS(16441), 1,
      sym__immediate_brace,
    ACTIONS(16503), 1,
      anon_sym_DOT,
    ACTIONS(10746), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12033), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10708), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [132667] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16533), 1,
      anon_sym_do,
    STATE(12362), 1,
      sym_do_clause,
    STATE(12034), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9927), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9931), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [132718] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16515), 1,
      sym__immediate_string_start,
    ACTIONS(16517), 1,
      sym__immediate_command_start,
    STATE(12035), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [132769] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16533), 1,
      anon_sym_do,
    STATE(12369), 1,
      sym_do_clause,
    STATE(12036), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9933), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9937), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [132820] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11314), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12037), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11312), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [132867] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11322), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12038), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11320), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [132914] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11507), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12039), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11505), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [132961] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11595), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12040), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11593), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [133008] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16533), 1,
      anon_sym_do,
    STATE(12409), 1,
      sym_do_clause,
    STATE(12041), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9945), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9947), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [133059] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12042), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [133106] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16535), 1,
      sym__word_identifier,
    ACTIONS(16537), 1,
      aux_sym_import_path_token1,
    ACTIONS(16539), 1,
      anon_sym_LPAREN,
    ACTIONS(16541), 1,
      anon_sym_DOLLAR,
    ACTIONS(16543), 1,
      anon_sym_AT,
    STATE(7545), 1,
      sym__importable,
    STATE(7546), 1,
      sym_scoped_identifier,
    STATE(7547), 1,
      sym_identifier,
    STATE(8220), 1,
      sym_import_alias,
    STATE(8223), 2,
      sym_import_path,
      sym__exportable,
    STATE(8746), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12043), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7865), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14625), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14645), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [133177] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16535), 1,
      sym__word_identifier,
    ACTIONS(16537), 1,
      aux_sym_import_path_token1,
    ACTIONS(16539), 1,
      anon_sym_LPAREN,
    ACTIONS(16541), 1,
      anon_sym_DOLLAR,
    ACTIONS(16543), 1,
      anon_sym_AT,
    STATE(7545), 1,
      sym__importable,
    STATE(7546), 1,
      sym_scoped_identifier,
    STATE(7547), 1,
      sym_identifier,
    STATE(8220), 1,
      sym_import_alias,
    STATE(8223), 2,
      sym_import_path,
      sym__exportable,
    STATE(8750), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12044), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7865), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14625), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14645), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [133248] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11511), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12045), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11509), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [133295] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11503), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12046), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11501), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [133342] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11306), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12047), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11304), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [133389] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11615), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12048), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11613), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [133436] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11515), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12049), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11513), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [133483] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16515), 1,
      sym__immediate_string_start,
    ACTIONS(16517), 1,
      sym__immediate_command_start,
    STATE(12050), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [133534] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12051), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [133581] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11519), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12052), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11517), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [133628] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11302), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12053), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11300), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [133675] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16545), 1,
      sym__word_identifier,
    ACTIONS(16547), 1,
      aux_sym_import_path_token1,
    ACTIONS(16549), 1,
      anon_sym_LPAREN,
    ACTIONS(16551), 1,
      anon_sym_DOLLAR,
    ACTIONS(16553), 1,
      anon_sym_AT,
    STATE(8099), 1,
      sym__importable,
    STATE(8101), 1,
      sym_scoped_identifier,
    STATE(8102), 1,
      sym_identifier,
    STATE(8497), 1,
      sym_import_alias,
    STATE(8498), 2,
      sym_import_path,
      sym__exportable,
    STATE(9281), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12054), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8745), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(15151), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15171), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [133746] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16555), 1,
      sym__word_identifier,
    ACTIONS(16557), 1,
      aux_sym_import_path_token1,
    ACTIONS(16559), 1,
      anon_sym_LPAREN,
    ACTIONS(16561), 1,
      anon_sym_DOLLAR,
    ACTIONS(16563), 1,
      anon_sym_AT,
    STATE(7417), 1,
      sym__importable,
    STATE(7453), 1,
      sym_scoped_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(7814), 1,
      sym_import_alias,
    STATE(7815), 2,
      sym_import_path,
      sym__exportable,
    STATE(8718), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12055), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8127), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(15049), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15069), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [133817] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11318), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12056), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11316), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [133864] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16555), 1,
      sym__word_identifier,
    ACTIONS(16557), 1,
      aux_sym_import_path_token1,
    ACTIONS(16559), 1,
      anon_sym_LPAREN,
    ACTIONS(16561), 1,
      anon_sym_DOLLAR,
    ACTIONS(16563), 1,
      anon_sym_AT,
    STATE(7417), 1,
      sym__importable,
    STATE(7453), 1,
      sym_scoped_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(7814), 1,
      sym_import_alias,
    STATE(7815), 2,
      sym_import_path,
      sym__exportable,
    STATE(8727), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12057), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8127), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(15049), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15069), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [133935] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11543), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12058), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11541), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [133982] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16545), 1,
      sym__word_identifier,
    ACTIONS(16547), 1,
      aux_sym_import_path_token1,
    ACTIONS(16549), 1,
      anon_sym_LPAREN,
    ACTIONS(16551), 1,
      anon_sym_DOLLAR,
    ACTIONS(16553), 1,
      anon_sym_AT,
    STATE(8099), 1,
      sym__importable,
    STATE(8101), 1,
      sym_scoped_identifier,
    STATE(8102), 1,
      sym_identifier,
    STATE(8497), 1,
      sym_import_alias,
    STATE(8498), 2,
      sym_import_path,
      sym__exportable,
    STATE(9267), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12059), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8745), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(15151), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15171), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [134053] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16565), 1,
      sym__word_identifier,
    ACTIONS(16567), 1,
      aux_sym_import_path_token1,
    ACTIONS(16569), 1,
      anon_sym_LPAREN,
    ACTIONS(16571), 1,
      anon_sym_DOLLAR,
    ACTIONS(16573), 1,
      anon_sym_AT,
    STATE(6939), 1,
      sym_scoped_identifier,
    STATE(7086), 1,
      sym__importable,
    STATE(7117), 1,
      sym_identifier,
    STATE(7357), 1,
      sym_import_alias,
    STATE(7199), 2,
      sym_import_path,
      sym__exportable,
    STATE(7769), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12060), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7457), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14061), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14081), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [134124] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11346), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12061), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11344), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [134171] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10133), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11814), 1,
      sym_identifier,
    STATE(12062), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [134222] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10137), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11815), 1,
      sym_identifier,
    STATE(12063), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [134273] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11551), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12064), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11549), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [134320] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10145), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11821), 1,
      sym_identifier,
    STATE(12065), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [134371] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10009), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11822), 1,
      sym_identifier,
    STATE(12066), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [134422] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11523), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12067), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11521), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [134469] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16533), 1,
      anon_sym_do,
    STATE(12435), 1,
      sym_do_clause,
    STATE(12068), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9987), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9989), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [134520] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12069), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [134567] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16565), 1,
      sym__word_identifier,
    ACTIONS(16567), 1,
      aux_sym_import_path_token1,
    ACTIONS(16569), 1,
      anon_sym_LPAREN,
    ACTIONS(16571), 1,
      anon_sym_DOLLAR,
    ACTIONS(16573), 1,
      anon_sym_AT,
    STATE(6939), 1,
      sym_scoped_identifier,
    STATE(7086), 1,
      sym__importable,
    STATE(7117), 1,
      sym_identifier,
    STATE(7357), 1,
      sym_import_alias,
    STATE(7199), 2,
      sym_import_path,
      sym__exportable,
    STATE(7787), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12070), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7457), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14061), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14081), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [134638] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11424), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12071), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11422), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [134685] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11619), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12072), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11617), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [134732] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10133), 1,
      aux_sym__terminator_token1,
    ACTIONS(16469), 1,
      sym__word_identifier,
    STATE(12335), 1,
      sym_identifier,
    STATE(12073), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [134783] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10137), 1,
      aux_sym__terminator_token1,
    ACTIONS(16469), 1,
      sym__word_identifier,
    STATE(12339), 1,
      sym_identifier,
    STATE(12074), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [134834] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11555), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12075), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11553), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [134881] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10145), 1,
      aux_sym__terminator_token1,
    ACTIONS(16469), 1,
      sym__word_identifier,
    STATE(12210), 1,
      sym_identifier,
    STATE(12076), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [134932] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10009), 1,
      aux_sym__terminator_token1,
    ACTIONS(16469), 1,
      sym__word_identifier,
    STATE(12212), 1,
      sym_identifier,
    STATE(12077), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [134983] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12078), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [135030] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16575), 1,
      sym__word_identifier,
    ACTIONS(16577), 1,
      aux_sym_import_path_token1,
    ACTIONS(16579), 1,
      anon_sym_LPAREN,
    ACTIONS(16581), 1,
      anon_sym_DOLLAR,
    ACTIONS(16583), 1,
      anon_sym_AT,
    STATE(12213), 1,
      sym_scoped_identifier,
    STATE(12214), 1,
      sym_identifier,
    STATE(12275), 1,
      sym__importable,
    STATE(12436), 1,
      sym_import_alias,
    STATE(12079), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12500), 2,
      sym_import_path,
      sym__exportable,
    STATE(13016), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12534), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14319), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14339), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [135101] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16575), 1,
      sym__word_identifier,
    ACTIONS(16577), 1,
      aux_sym_import_path_token1,
    ACTIONS(16579), 1,
      anon_sym_LPAREN,
    ACTIONS(16581), 1,
      anon_sym_DOLLAR,
    ACTIONS(16583), 1,
      anon_sym_AT,
    STATE(12213), 1,
      sym_scoped_identifier,
    STATE(12214), 1,
      sym_identifier,
    STATE(12275), 1,
      sym__importable,
    STATE(12436), 1,
      sym_import_alias,
    STATE(12080), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12500), 2,
      sym_import_path,
      sym__exportable,
    STATE(13028), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12534), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14319), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14339), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [135172] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11559), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12081), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11557), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [135219] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9995), 1,
      aux_sym__terminator_token1,
    ACTIONS(16529), 1,
      sym__immediate_string_start,
    ACTIONS(16531), 1,
      sym__immediate_command_start,
    STATE(12082), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [135270] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10133), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11814), 1,
      sym_identifier,
    STATE(12083), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [135321] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10137), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11815), 1,
      sym_identifier,
    STATE(12084), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [135372] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10145), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11821), 1,
      sym_identifier,
    STATE(12085), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [135423] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10009), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11822), 1,
      sym_identifier,
    STATE(12086), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [135474] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11599), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12087), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11597), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [135521] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11563), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12088), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11561), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [135568] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16585), 1,
      sym__immediate_string_start,
    ACTIONS(16587), 1,
      sym__immediate_command_start,
    STATE(12089), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135619] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16585), 1,
      sym__immediate_string_start,
    ACTIONS(16587), 1,
      sym__immediate_command_start,
    STATE(12090), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135670] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11623), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12091), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11621), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [135717] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16585), 1,
      sym__immediate_string_start,
    ACTIONS(16587), 1,
      sym__immediate_command_start,
    STATE(12092), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135768] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16585), 1,
      sym__immediate_string_start,
    ACTIONS(16587), 1,
      sym__immediate_command_start,
    STATE(12093), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [135819] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9995), 1,
      aux_sym__terminator_token1,
    ACTIONS(16589), 1,
      sym__immediate_string_start,
    ACTIONS(16591), 1,
      sym__immediate_command_start,
    STATE(12094), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [135870] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11627), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12095), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11625), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [135917] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11631), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12096), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11629), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [135964] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11527), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12097), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11525), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [136011] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16593), 1,
      sym__word_identifier,
    ACTIONS(16595), 1,
      aux_sym_import_path_token1,
    ACTIONS(16597), 1,
      anon_sym_LPAREN,
    ACTIONS(16599), 1,
      anon_sym_DOLLAR,
    ACTIONS(16601), 1,
      anon_sym_AT,
    STATE(9392), 1,
      sym__importable,
    STATE(9396), 1,
      sym_scoped_identifier,
    STATE(9397), 1,
      sym_identifier,
    STATE(9602), 1,
      sym_import_alias,
    STATE(9605), 2,
      sym_import_path,
      sym__exportable,
    STATE(9790), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12098), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9650), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14815), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14835), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [136082] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10133), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11814), 1,
      sym_identifier,
    STATE(12099), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [136133] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10137), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11815), 1,
      sym_identifier,
    STATE(12100), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [136184] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11360), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12101), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11358), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [136231] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11154), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12102), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11149), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [136278] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10145), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11821), 1,
      sym_identifier,
    STATE(12103), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [136329] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10009), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11822), 1,
      sym_identifier,
    STATE(12104), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [136380] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11161), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12105), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11159), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [136427] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11635), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12106), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11633), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [136474] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11639), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12107), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11637), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [136521] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9971), 1,
      aux_sym__terminator_token1,
    ACTIONS(16589), 1,
      sym__immediate_string_start,
    ACTIONS(16591), 1,
      sym__immediate_command_start,
    STATE(12108), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [136572] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11531), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12109), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11529), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [136619] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16593), 1,
      sym__word_identifier,
    ACTIONS(16595), 1,
      aux_sym_import_path_token1,
    ACTIONS(16597), 1,
      anon_sym_LPAREN,
    ACTIONS(16599), 1,
      anon_sym_DOLLAR,
    ACTIONS(16601), 1,
      anon_sym_AT,
    STATE(9392), 1,
      sym__importable,
    STATE(9396), 1,
      sym_scoped_identifier,
    STATE(9397), 1,
      sym_identifier,
    STATE(9602), 1,
      sym_import_alias,
    STATE(9605), 2,
      sym_import_path,
      sym__exportable,
    STATE(9791), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12110), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9650), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14815), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14835), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [136690] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11495), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12111), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11493), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [136737] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9971), 1,
      aux_sym__terminator_token1,
    ACTIONS(16603), 1,
      sym__immediate_string_start,
    ACTIONS(16605), 1,
      sym__immediate_command_start,
    STATE(12112), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [136788] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9995), 1,
      aux_sym__terminator_token1,
    ACTIONS(16607), 1,
      sym__immediate_string_start,
    ACTIONS(16609), 1,
      sym__immediate_command_start,
    STATE(12113), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [136839] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16611), 1,
      sym__immediate_string_start,
    ACTIONS(16613), 1,
      sym__immediate_command_start,
    STATE(12114), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [136890] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16611), 1,
      sym__immediate_string_start,
    ACTIONS(16613), 1,
      sym__immediate_command_start,
    STATE(12115), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [136941] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11535), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12116), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11533), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [136988] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9995), 1,
      aux_sym__terminator_token1,
    ACTIONS(16603), 1,
      sym__immediate_string_start,
    ACTIONS(16605), 1,
      sym__immediate_command_start,
    STATE(12117), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [137039] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9971), 1,
      aux_sym__terminator_token1,
    ACTIONS(16607), 1,
      sym__immediate_string_start,
    ACTIONS(16609), 1,
      sym__immediate_command_start,
    STATE(12118), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [137090] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9995), 1,
      aux_sym__terminator_token1,
    ACTIONS(16615), 1,
      sym__immediate_string_start,
    ACTIONS(16617), 1,
      sym__immediate_command_start,
    STATE(12119), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [137141] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9971), 1,
      aux_sym__terminator_token1,
    ACTIONS(16615), 1,
      sym__immediate_string_start,
    ACTIONS(16617), 1,
      sym__immediate_command_start,
    STATE(12120), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [137192] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16619), 1,
      aux_sym_import_path_token1,
    ACTIONS(16621), 1,
      anon_sym_DOLLAR,
    ACTIONS(16623), 1,
      anon_sym_AT,
    STATE(12980), 1,
      sym__importable,
    STATE(13040), 1,
      sym_scoped_identifier,
    STATE(13041), 1,
      sym_identifier,
    STATE(13283), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12053), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12121), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [137263] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16619), 1,
      aux_sym_import_path_token1,
    ACTIONS(16621), 1,
      anon_sym_DOLLAR,
    ACTIONS(16623), 1,
      anon_sym_AT,
    STATE(12980), 1,
      sym__importable,
    STATE(13040), 1,
      sym_scoped_identifier,
    STATE(13041), 1,
      sym_identifier,
    STATE(13283), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12047), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12122), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [137334] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11539), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12123), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11537), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [137381] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15767), 1,
      anon_sym_SQUOTE,
    ACTIONS(15771), 1,
      sym__immediate_paren,
    ACTIONS(15773), 1,
      sym__immediate_bracket,
    ACTIONS(15775), 1,
      sym__immediate_brace,
    ACTIONS(16625), 1,
      anon_sym_DOT,
    STATE(12124), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10708), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10746), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [137438] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15767), 1,
      anon_sym_SQUOTE,
    ACTIONS(15771), 1,
      sym__immediate_paren,
    ACTIONS(15773), 1,
      sym__immediate_bracket,
    ACTIONS(15775), 1,
      sym__immediate_brace,
    ACTIONS(16625), 1,
      anon_sym_DOT,
    STATE(12125), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10754), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10756), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [137495] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11342), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12126), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11340), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [137542] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11428), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12127), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11426), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [137589] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11643), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12128), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11641), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [137636] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11603), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12129), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11601), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [137683] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11647), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12130), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11645), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [137730] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(16627), 1,
      aux_sym_import_path_token1,
    ACTIONS(16629), 1,
      anon_sym_DOLLAR,
    ACTIONS(16631), 1,
      anon_sym_AT,
    STATE(12982), 1,
      sym__importable,
    STATE(12983), 1,
      sym_scoped_identifier,
    STATE(12984), 1,
      sym_identifier,
    STATE(13291), 1,
      sym_import_alias,
    STATE(11253), 2,
      sym_import_path,
      sym__exportable,
    STATE(11412), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12131), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [137801] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(16627), 1,
      aux_sym_import_path_token1,
    ACTIONS(16629), 1,
      anon_sym_DOLLAR,
    ACTIONS(16631), 1,
      anon_sym_AT,
    STATE(12982), 1,
      sym__importable,
    STATE(12983), 1,
      sym_scoped_identifier,
    STATE(12984), 1,
      sym_identifier,
    STATE(13291), 1,
      sym_import_alias,
    STATE(11253), 2,
      sym_import_path,
      sym__exportable,
    STATE(11414), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12132), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [137872] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11364), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12133), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11362), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [137919] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11330), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12134), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11328), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [137966] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11607), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12135), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11605), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [138013] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11499), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12136), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11497), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [138060] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12137), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11481), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [138107] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11487), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12138), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11485), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [138154] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15600), 1,
      sym__word_identifier,
    STATE(10649), 1,
      sym_identifier,
    STATE(12139), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 13,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [138205] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15600), 1,
      sym__word_identifier,
    STATE(10646), 1,
      sym_identifier,
    STATE(12140), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 13,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [138256] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15600), 1,
      sym__word_identifier,
    STATE(10711), 1,
      sym_identifier,
    STATE(12141), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 13,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [138307] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15600), 1,
      sym__word_identifier,
    STATE(10666), 1,
      sym_identifier,
    STATE(12142), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 13,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 17,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [138358] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11334), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12143), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11332), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [138405] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16633), 1,
      sym__word_identifier,
    ACTIONS(16635), 1,
      aux_sym_import_path_token1,
    ACTIONS(16637), 1,
      anon_sym_LPAREN,
    ACTIONS(16639), 1,
      anon_sym_DOLLAR,
    ACTIONS(16641), 1,
      anon_sym_AT,
    STATE(7591), 1,
      sym__importable,
    STATE(7593), 1,
      sym_scoped_identifier,
    STATE(7594), 1,
      sym_identifier,
    STATE(8315), 1,
      sym_import_alias,
    STATE(8316), 2,
      sym_import_path,
      sym__exportable,
    STATE(8952), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12144), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7967), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(13595), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(13615), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [138476] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16633), 1,
      sym__word_identifier,
    ACTIONS(16635), 1,
      aux_sym_import_path_token1,
    ACTIONS(16637), 1,
      anon_sym_LPAREN,
    ACTIONS(16639), 1,
      anon_sym_DOLLAR,
    ACTIONS(16641), 1,
      anon_sym_AT,
    STATE(7591), 1,
      sym__importable,
    STATE(7593), 1,
      sym_scoped_identifier,
    STATE(7594), 1,
      sym_identifier,
    STATE(8315), 1,
      sym_import_alias,
    STATE(8316), 2,
      sym_import_path,
      sym__exportable,
    STATE(8955), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12145), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7967), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(13595), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(13615), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [138547] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11384), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12146), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11382), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [138594] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11220), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12147), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11216), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [138641] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11491), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12148), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11489), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [138688] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11350), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12149), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11348), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [138735] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16643), 1,
      aux_sym_import_path_token1,
    ACTIONS(16645), 1,
      anon_sym_DOLLAR,
    ACTIONS(16647), 1,
      anon_sym_AT,
    STATE(12587), 1,
      sym__importable,
    STATE(12617), 1,
      sym_scoped_identifier,
    STATE(12618), 1,
      sym_identifier,
    STATE(13024), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12053), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12150), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [138806] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16643), 1,
      aux_sym_import_path_token1,
    ACTIONS(16645), 1,
      anon_sym_DOLLAR,
    ACTIONS(16647), 1,
      anon_sym_AT,
    STATE(12587), 1,
      sym__importable,
    STATE(12617), 1,
      sym_scoped_identifier,
    STATE(12618), 1,
      sym_identifier,
    STATE(13024), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12047), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12151), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [138877] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11354), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12152), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11352), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [138924] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(16649), 1,
      aux_sym_import_path_token1,
    ACTIONS(16651), 1,
      anon_sym_DOLLAR,
    ACTIONS(16653), 1,
      anon_sym_AT,
    STATE(13653), 1,
      sym__importable,
    STATE(13654), 1,
      sym_scoped_identifier,
    STATE(13655), 1,
      sym_identifier,
    STATE(13811), 1,
      sym_import_alias,
    STATE(11253), 2,
      sym_import_path,
      sym__exportable,
    STATE(11412), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12153), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [138995] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(16649), 1,
      aux_sym_import_path_token1,
    ACTIONS(16651), 1,
      anon_sym_DOLLAR,
    ACTIONS(16653), 1,
      anon_sym_AT,
    STATE(13653), 1,
      sym__importable,
    STATE(13654), 1,
      sym_scoped_identifier,
    STATE(13655), 1,
      sym_identifier,
    STATE(13811), 1,
      sym_import_alias,
    STATE(11253), 2,
      sym_import_path,
      sym__exportable,
    STATE(11414), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12154), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [139066] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11368), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12155), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11366), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [139113] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16655), 1,
      aux_sym_import_path_token1,
    ACTIONS(16657), 1,
      anon_sym_DOLLAR,
    ACTIONS(16659), 1,
      anon_sym_AT,
    STATE(12340), 1,
      sym__importable,
    STATE(12348), 1,
      sym_scoped_identifier,
    STATE(12349), 1,
      sym_identifier,
    STATE(12592), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12053), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12156), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [139184] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16655), 1,
      aux_sym_import_path_token1,
    ACTIONS(16657), 1,
      anon_sym_DOLLAR,
    ACTIONS(16659), 1,
      anon_sym_AT,
    STATE(12340), 1,
      sym__importable,
    STATE(12348), 1,
      sym_scoped_identifier,
    STATE(12349), 1,
      sym_identifier,
    STATE(12592), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12047), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12157), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [139255] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16521), 1,
      aux_sym_import_path_token1,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16525), 1,
      anon_sym_DOLLAR,
    ACTIONS(16527), 1,
      anon_sym_AT,
    STATE(12636), 1,
      sym_identifier,
    STATE(12810), 1,
      sym__importable,
    STATE(12958), 1,
      sym_scoped_identifier,
    STATE(13273), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12053), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12158), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [139326] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12159), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [139373] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12160), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [139420] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(16661), 1,
      aux_sym_import_path_token1,
    ACTIONS(16663), 1,
      anon_sym_DOLLAR,
    ACTIONS(16665), 1,
      anon_sym_AT,
    STATE(12342), 1,
      sym__importable,
    STATE(12343), 1,
      sym_scoped_identifier,
    STATE(12344), 1,
      sym_identifier,
    STATE(12598), 1,
      sym_import_alias,
    STATE(11253), 2,
      sym_import_path,
      sym__exportable,
    STATE(11412), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12161), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [139491] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(16661), 1,
      aux_sym_import_path_token1,
    ACTIONS(16663), 1,
      anon_sym_DOLLAR,
    ACTIONS(16665), 1,
      anon_sym_AT,
    STATE(12342), 1,
      sym__importable,
    STATE(12343), 1,
      sym_scoped_identifier,
    STATE(12344), 1,
      sym_identifier,
    STATE(12598), 1,
      sym_import_alias,
    STATE(11253), 2,
      sym_import_path,
      sym__exportable,
    STATE(11414), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12162), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [139562] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11372), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12163), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11370), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [139609] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16667), 1,
      sym__word_identifier,
    ACTIONS(16669), 1,
      aux_sym_import_path_token1,
    ACTIONS(16671), 1,
      anon_sym_LPAREN,
    ACTIONS(16673), 1,
      anon_sym_DOLLAR,
    ACTIONS(16675), 1,
      anon_sym_AT,
    STATE(7556), 1,
      sym__importable,
    STATE(7558), 1,
      sym_scoped_identifier,
    STATE(7561), 1,
      sym_identifier,
    STATE(7867), 1,
      sym_import_alias,
    STATE(7868), 2,
      sym_import_path,
      sym__exportable,
    STATE(9213), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12164), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8176), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14725), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14745), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [139680] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16677), 1,
      aux_sym_import_path_token1,
    ACTIONS(16679), 1,
      anon_sym_DOLLAR,
    ACTIONS(16681), 1,
      anon_sym_AT,
    STATE(12610), 1,
      sym__importable,
    STATE(12625), 1,
      sym_scoped_identifier,
    STATE(12626), 1,
      sym_identifier,
    STATE(13036), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12053), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12165), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [139751] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16677), 1,
      aux_sym_import_path_token1,
    ACTIONS(16679), 1,
      anon_sym_DOLLAR,
    ACTIONS(16681), 1,
      anon_sym_AT,
    STATE(12610), 1,
      sym__importable,
    STATE(12625), 1,
      sym_scoped_identifier,
    STATE(12626), 1,
      sym_identifier,
    STATE(13036), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12047), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12166), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [139822] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16667), 1,
      sym__word_identifier,
    ACTIONS(16669), 1,
      aux_sym_import_path_token1,
    ACTIONS(16671), 1,
      anon_sym_LPAREN,
    ACTIONS(16673), 1,
      anon_sym_DOLLAR,
    ACTIONS(16675), 1,
      anon_sym_AT,
    STATE(7556), 1,
      sym__importable,
    STATE(7558), 1,
      sym_scoped_identifier,
    STATE(7561), 1,
      sym_identifier,
    STATE(7867), 1,
      sym_import_alias,
    STATE(7868), 2,
      sym_import_path,
      sym__exportable,
    STATE(9214), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12167), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8176), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14725), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14745), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [139893] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16683), 1,
      aux_sym_import_path_token1,
    ACTIONS(16685), 1,
      anon_sym_DOLLAR,
    ACTIONS(16687), 1,
      anon_sym_AT,
    STATE(12613), 1,
      sym__importable,
    STATE(12629), 1,
      sym_scoped_identifier,
    STATE(12630), 1,
      sym_identifier,
    STATE(13039), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12053), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12168), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [139964] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16683), 1,
      aux_sym_import_path_token1,
    ACTIONS(16685), 1,
      anon_sym_DOLLAR,
    ACTIONS(16687), 1,
      anon_sym_AT,
    STATE(12613), 1,
      sym__importable,
    STATE(12629), 1,
      sym_scoped_identifier,
    STATE(12630), 1,
      sym_identifier,
    STATE(13039), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12047), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12169), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [140035] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16689), 1,
      sym__word_identifier,
    STATE(12375), 1,
      sym_identifier,
    STATE(12170), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [140086] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16689), 1,
      sym__word_identifier,
    STATE(12393), 1,
      sym_identifier,
    STATE(12171), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [140137] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11567), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12172), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11565), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [140184] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11571), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12173), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11569), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [140231] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    STATE(12174), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 3,
      sym__immediate_paren,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(3222), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [140278] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16689), 1,
      sym__word_identifier,
    STATE(12470), 1,
      sym_identifier,
    STATE(12175), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [140329] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10746), 1,
      aux_sym__terminator_token1,
    ACTIONS(16433), 1,
      anon_sym_SQUOTE,
    ACTIONS(16437), 1,
      sym__immediate_paren,
    ACTIONS(16439), 1,
      sym__immediate_bracket,
    ACTIONS(16441), 1,
      sym__immediate_brace,
    ACTIONS(16691), 1,
      anon_sym_DOT,
    STATE(12176), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10708), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [140386] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10756), 1,
      aux_sym__terminator_token1,
    ACTIONS(16433), 1,
      anon_sym_SQUOTE,
    ACTIONS(16437), 1,
      sym__immediate_paren,
    ACTIONS(16439), 1,
      sym__immediate_bracket,
    ACTIONS(16441), 1,
      sym__immediate_brace,
    ACTIONS(16691), 1,
      anon_sym_DOT,
    STATE(12177), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10754), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [140443] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16515), 1,
      sym__immediate_string_start,
    ACTIONS(16517), 1,
      sym__immediate_command_start,
    STATE(12178), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [140494] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12179), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [140541] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11338), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12180), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11336), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [140588] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16689), 1,
      sym__word_identifier,
    STATE(12477), 1,
      sym_identifier,
    STATE(12181), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 18,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [140639] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11575), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12182), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11573), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [140686] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10133), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11814), 1,
      sym_identifier,
    STATE(12183), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [140737] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10137), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11815), 1,
      sym_identifier,
    STATE(12184), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [140788] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10145), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11821), 1,
      sym_identifier,
    STATE(12185), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [140839] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10009), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11822), 1,
      sym_identifier,
    STATE(12186), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [140890] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11579), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12187), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11577), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [140937] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11583), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12188), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11581), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [140984] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11587), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12189), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11585), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [141031] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11388), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12190), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11386), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [141078] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11052), 1,
      sym_identifier,
    STATE(12191), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 14,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [141129] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11053), 1,
      sym_identifier,
    STATE(12192), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 14,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [141180] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11136), 1,
      sym_identifier,
    STATE(12193), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 14,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [141231] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11071), 1,
      sym_identifier,
    STATE(12194), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 14,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [141282] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16693), 1,
      sym__word_identifier,
    ACTIONS(16695), 1,
      aux_sym_import_path_token1,
    ACTIONS(16697), 1,
      anon_sym_LPAREN,
    ACTIONS(16699), 1,
      anon_sym_DOLLAR,
    ACTIONS(16701), 1,
      anon_sym_AT,
    STATE(7163), 1,
      sym__importable,
    STATE(7164), 1,
      sym_scoped_identifier,
    STATE(7165), 1,
      sym_identifier,
    STATE(7662), 1,
      sym_import_alias,
    STATE(7663), 2,
      sym_import_path,
      sym__exportable,
    STATE(7706), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12195), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7389), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(15291), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15311), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [141353] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16693), 1,
      sym__word_identifier,
    ACTIONS(16695), 1,
      aux_sym_import_path_token1,
    ACTIONS(16697), 1,
      anon_sym_LPAREN,
    ACTIONS(16699), 1,
      anon_sym_DOLLAR,
    ACTIONS(16701), 1,
      anon_sym_AT,
    STATE(7163), 1,
      sym__importable,
    STATE(7164), 1,
      sym_scoped_identifier,
    STATE(7165), 1,
      sym_identifier,
    STATE(7662), 1,
      sym_import_alias,
    STATE(7663), 2,
      sym_import_path,
      sym__exportable,
    STATE(7707), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12196), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7389), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(15291), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15311), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [141424] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11392), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12197), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11390), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [141471] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16703), 1,
      sym__word_identifier,
    ACTIONS(16705), 1,
      aux_sym_import_path_token1,
    ACTIONS(16707), 1,
      anon_sym_LPAREN,
    ACTIONS(16709), 1,
      anon_sym_DOLLAR,
    ACTIONS(16711), 1,
      anon_sym_AT,
    STATE(7233), 1,
      sym_scoped_identifier,
    STATE(7240), 1,
      sym_identifier,
    STATE(7363), 1,
      sym__importable,
    STATE(8321), 1,
      sym_import_alias,
    STATE(7827), 2,
      sym_import_path,
      sym__exportable,
    STATE(8856), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12198), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7705), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14183), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14203), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [141542] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16703), 1,
      sym__word_identifier,
    ACTIONS(16705), 1,
      aux_sym_import_path_token1,
    ACTIONS(16707), 1,
      anon_sym_LPAREN,
    ACTIONS(16709), 1,
      anon_sym_DOLLAR,
    ACTIONS(16711), 1,
      anon_sym_AT,
    STATE(7233), 1,
      sym_scoped_identifier,
    STATE(7240), 1,
      sym_identifier,
    STATE(7363), 1,
      sym__importable,
    STATE(8321), 1,
      sym_import_alias,
    STATE(7827), 2,
      sym_import_path,
      sym__exportable,
    STATE(8795), 2,
      sym__import_list,
      sym_selected_import,
    STATE(12199), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7705), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14183), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14203), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [141613] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11396), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12200), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11394), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [141660] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11400), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12201), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11398), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [141707] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 1,
      aux_sym__terminator_token1,
    ACTIONS(16713), 1,
      aux_sym_float_literal_token2,
    STATE(12202), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [141756] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10129), 1,
      aux_sym__terminator_token1,
    STATE(12203), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10127), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [141802] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10265), 1,
      aux_sym__terminator_token1,
    STATE(12204), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10263), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [141848] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9971), 1,
      aux_sym__terminator_token1,
    ACTIONS(16715), 1,
      sym__immediate_string_start,
    ACTIONS(16717), 1,
      sym__immediate_command_start,
    STATE(12205), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [141898] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10009), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11822), 1,
      sym_identifier,
    STATE(12206), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [141948] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10341), 1,
      aux_sym__terminator_token1,
    STATE(12207), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10339), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [141994] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10878), 1,
      aux_sym__terminator_token1,
    STATE(12208), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10876), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [142040] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10373), 1,
      aux_sym__terminator_token1,
    STATE(12209), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10371), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [142086] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10411), 1,
      aux_sym__terminator_token1,
    STATE(12210), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10409), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [142132] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16575), 1,
      sym__word_identifier,
    ACTIONS(16577), 1,
      aux_sym_import_path_token1,
    ACTIONS(16579), 1,
      anon_sym_LPAREN,
    ACTIONS(16581), 1,
      anon_sym_DOLLAR,
    ACTIONS(16583), 1,
      anon_sym_AT,
    STATE(12213), 1,
      sym_scoped_identifier,
    STATE(12214), 1,
      sym_identifier,
    STATE(12306), 1,
      sym__importable,
    STATE(12436), 1,
      sym_import_alias,
    STATE(12747), 1,
      sym__import_list,
    STATE(12211), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12500), 2,
      sym_import_path,
      sym__exportable,
    STATE(12534), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14319), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14339), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [142202] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10219), 1,
      aux_sym__terminator_token1,
    STATE(12212), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10217), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [142248] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10986), 1,
      aux_sym__terminator_token1,
    ACTIONS(16719), 1,
      anon_sym_DOT,
    STATE(12213), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10982), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [142296] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11040), 1,
      aux_sym__terminator_token1,
    ACTIONS(16719), 1,
      anon_sym_DOT,
    STATE(12214), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11038), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [142344] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16721), 1,
      anon_sym_COMMA,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16725), 1,
      anon_sym_RPAREN,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16731), 1,
      anon_sym_SEMI,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    STATE(14612), 1,
      sym_for_clause,
    STATE(14626), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15471), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16302), 1,
      aux_sym_argument_list_repeat1,
    STATE(17384), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12215), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [142442] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9995), 1,
      aux_sym__terminator_token1,
    STATE(12216), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [142488] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16703), 1,
      sym__word_identifier,
    ACTIONS(16705), 1,
      aux_sym_import_path_token1,
    ACTIONS(16707), 1,
      anon_sym_LPAREN,
    ACTIONS(16709), 1,
      anon_sym_DOLLAR,
    ACTIONS(16711), 1,
      anon_sym_AT,
    STATE(7233), 1,
      sym_scoped_identifier,
    STATE(7240), 1,
      sym_identifier,
    STATE(7459), 1,
      sym__importable,
    STATE(8321), 1,
      sym_import_alias,
    STATE(8603), 1,
      sym__import_list,
    STATE(7827), 2,
      sym_import_path,
      sym__exportable,
    STATE(12217), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7705), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14183), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14203), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [142558] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12218), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10003), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10005), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [142604] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9995), 1,
      aux_sym__terminator_token1,
    ACTIONS(16715), 1,
      sym__immediate_string_start,
    ACTIONS(16717), 1,
      sym__immediate_command_start,
    STATE(12219), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [142654] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10195), 1,
      aux_sym__terminator_token1,
    STATE(12220), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10193), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [142700] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12221), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10159), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10161), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [142746] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9971), 1,
      aux_sym__terminator_token1,
    ACTIONS(16767), 1,
      sym__immediate_string_start,
    ACTIONS(16769), 1,
      sym__immediate_command_start,
    STATE(12222), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [142796] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12223), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10085), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10147), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [142842] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12224), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10163), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10165), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [142888] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9995), 1,
      aux_sym__terminator_token1,
    ACTIONS(16767), 1,
      sym__immediate_string_start,
    ACTIONS(16769), 1,
      sym__immediate_command_start,
    STATE(12225), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [142938] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9971), 1,
      aux_sym__terminator_token1,
    ACTIONS(16771), 1,
      sym__immediate_string_start,
    ACTIONS(16773), 1,
      sym__immediate_command_start,
    STATE(12226), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [142988] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16535), 1,
      sym__word_identifier,
    ACTIONS(16537), 1,
      aux_sym_import_path_token1,
    ACTIONS(16539), 1,
      anon_sym_LPAREN,
    ACTIONS(16541), 1,
      anon_sym_DOLLAR,
    ACTIONS(16543), 1,
      anon_sym_AT,
    STATE(7546), 1,
      sym_scoped_identifier,
    STATE(7547), 1,
      sym_identifier,
    STATE(7568), 1,
      sym__importable,
    STATE(8220), 1,
      sym_import_alias,
    STATE(8819), 1,
      sym__import_list,
    STATE(8223), 2,
      sym_import_path,
      sym__exportable,
    STATE(12227), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7865), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14625), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14645), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [143058] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12228), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10055), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10057), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [143104] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9995), 1,
      aux_sym__terminator_token1,
    ACTIONS(16771), 1,
      sym__immediate_string_start,
    ACTIONS(16773), 1,
      sym__immediate_command_start,
    STATE(12229), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [143154] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9909), 1,
      aux_sym__terminator_token1,
    STATE(12230), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9907), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [143200] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11136), 1,
      sym_identifier,
    STATE(12231), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 14,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [143250] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16775), 1,
      anon_sym_COMMA,
    ACTIONS(16777), 1,
      anon_sym_RPAREN,
    ACTIONS(16779), 1,
      anon_sym_SEMI,
    STATE(14612), 1,
      sym_for_clause,
    STATE(15115), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15121), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16291), 1,
      sym__comprehension_clause,
    STATE(17053), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12232), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [143348] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16619), 1,
      aux_sym_import_path_token1,
    ACTIONS(16621), 1,
      anon_sym_DOLLAR,
    ACTIONS(16623), 1,
      anon_sym_AT,
    STATE(12136), 1,
      sym__import_list,
    STATE(12906), 1,
      sym__importable,
    STATE(13040), 1,
      sym_scoped_identifier,
    STATE(13041), 1,
      sym_identifier,
    STATE(13283), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12233), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [143418] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10231), 1,
      aux_sym__terminator_token1,
    STATE(12234), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10229), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [143464] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12235), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10033), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10035), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [143510] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16555), 1,
      sym__word_identifier,
    ACTIONS(16557), 1,
      aux_sym_import_path_token1,
    ACTIONS(16559), 1,
      anon_sym_LPAREN,
    ACTIONS(16561), 1,
      anon_sym_DOLLAR,
    ACTIONS(16563), 1,
      anon_sym_AT,
    STATE(7266), 1,
      sym__importable,
    STATE(7453), 1,
      sym_scoped_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(7814), 1,
      sym_import_alias,
    STATE(8962), 1,
      sym__import_list,
    STATE(7815), 2,
      sym_import_path,
      sym__exportable,
    STATE(12236), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8127), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(15049), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15069), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [143580] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16781), 1,
      anon_sym_COMMA,
    ACTIONS(16783), 1,
      anon_sym_RPAREN,
    ACTIONS(16785), 1,
      anon_sym_SEMI,
    STATE(14612), 1,
      sym_for_clause,
    STATE(15203), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15417), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17053), 1,
      aux_sym_argument_list_repeat1,
    STATE(17389), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12237), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [143678] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11052), 1,
      sym_identifier,
    STATE(12238), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 14,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [143728] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12239), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10073), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10075), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [143774] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10133), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11814), 1,
      sym_identifier,
    STATE(12240), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [143824] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10137), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11815), 1,
      sym_identifier,
    STATE(12241), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [143874] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10870), 1,
      aux_sym__terminator_token1,
    ACTIONS(16719), 1,
      anon_sym_DOT,
    STATE(12242), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [143922] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11071), 1,
      sym_identifier,
    STATE(12243), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 14,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [143972] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11050), 1,
      aux_sym__terminator_token1,
    ACTIONS(16719), 1,
      anon_sym_DOT,
    STATE(12244), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11048), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [144020] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(16627), 1,
      aux_sym_import_path_token1,
    ACTIONS(16629), 1,
      anon_sym_DOLLAR,
    ACTIONS(16631), 1,
      anon_sym_AT,
    STATE(11388), 1,
      sym__import_list,
    STATE(12983), 1,
      sym_scoped_identifier,
    STATE(12984), 1,
      sym_identifier,
    STATE(12986), 1,
      sym__importable,
    STATE(13291), 1,
      sym_import_alias,
    STATE(11253), 2,
      sym_import_path,
      sym__exportable,
    STATE(12245), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [144090] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16787), 1,
      anon_sym_COMMA,
    ACTIONS(16789), 1,
      anon_sym_RPAREN,
    ACTIONS(16791), 1,
      anon_sym_SEMI,
    STATE(14612), 1,
      sym_for_clause,
    STATE(14878), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14885), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16215), 1,
      sym__comprehension_clause,
    STATE(17053), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12246), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [144188] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12247), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10051), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10053), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [144234] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10145), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11821), 1,
      sym_identifier,
    STATE(12248), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [144284] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10009), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11822), 1,
      sym_identifier,
    STATE(12249), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [144334] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10177), 1,
      aux_sym__terminator_token1,
    STATE(12250), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10175), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [144380] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12251), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10079), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10081), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [144426] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12252), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10059), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10061), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [144472] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12253), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10123), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10125), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [144518] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11821), 1,
      sym_identifier,
    ACTIONS(10145), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12254), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [144568] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16731), 1,
      anon_sym_SEMI,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16793), 1,
      anon_sym_COMMA,
    ACTIONS(16795), 1,
      anon_sym_RPAREN,
    STATE(14612), 1,
      sym_for_clause,
    STATE(14626), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15471), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16598), 1,
      sym__comprehension_clause,
    STATE(17053), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12255), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [144666] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16521), 1,
      aux_sym_import_path_token1,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16525), 1,
      anon_sym_DOLLAR,
    ACTIONS(16527), 1,
      anon_sym_AT,
    STATE(12136), 1,
      sym__import_list,
    STATE(12636), 1,
      sym_identifier,
    STATE(12902), 1,
      sym__importable,
    STATE(12958), 1,
      sym_scoped_identifier,
    STATE(13273), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12256), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [144736] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10321), 1,
      aux_sym__terminator_token1,
    STATE(12257), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10319), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [144782] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16693), 1,
      sym__word_identifier,
    ACTIONS(16695), 1,
      aux_sym_import_path_token1,
    ACTIONS(16697), 1,
      anon_sym_LPAREN,
    ACTIONS(16699), 1,
      anon_sym_DOLLAR,
    ACTIONS(16701), 1,
      anon_sym_AT,
    STATE(7164), 1,
      sym_scoped_identifier,
    STATE(7165), 1,
      sym_identifier,
    STATE(7176), 1,
      sym__importable,
    STATE(7662), 1,
      sym_import_alias,
    STATE(7765), 1,
      sym__import_list,
    STATE(7663), 2,
      sym_import_path,
      sym__exportable,
    STATE(12258), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7389), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(15291), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15311), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [144852] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16797), 1,
      anon_sym_COMMA,
    ACTIONS(16799), 1,
      anon_sym_RPAREN,
    ACTIONS(16801), 1,
      anon_sym_SEMI,
    STATE(14612), 1,
      sym_for_clause,
    STATE(14735), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14736), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17053), 1,
      aux_sym_argument_list_repeat1,
    STATE(17441), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12259), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [144950] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16803), 1,
      sym__immediate_string_start,
    ACTIONS(16805), 1,
      sym__immediate_command_start,
    ACTIONS(9971), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12260), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [145000] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10397), 1,
      aux_sym__terminator_token1,
    STATE(12261), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10395), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [145046] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12262), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10011), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10013), 23,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_do,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [145092] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16807), 1,
      anon_sym_COMMA,
    ACTIONS(16809), 1,
      anon_sym_RPAREN,
    ACTIONS(16811), 1,
      anon_sym_SEMI,
    STATE(14612), 1,
      sym_for_clause,
    STATE(14771), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15117), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(17053), 1,
      aux_sym_argument_list_repeat1,
    STATE(17107), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12263), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [145190] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10415), 1,
      aux_sym__terminator_token1,
    STATE(12264), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10413), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [145236] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16813), 1,
      anon_sym_COMMA,
    ACTIONS(16815), 1,
      anon_sym_RPAREN,
    ACTIONS(16817), 1,
      anon_sym_SEMI,
    STATE(14612), 1,
      sym_for_clause,
    STATE(15416), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15468), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17053), 1,
      aux_sym_argument_list_repeat1,
    STATE(17280), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12265), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [145334] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10279), 1,
      aux_sym__terminator_token1,
    STATE(12266), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10277), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [145380] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16593), 1,
      sym__word_identifier,
    ACTIONS(16595), 1,
      aux_sym_import_path_token1,
    ACTIONS(16597), 1,
      anon_sym_LPAREN,
    ACTIONS(16599), 1,
      anon_sym_DOLLAR,
    ACTIONS(16601), 1,
      anon_sym_AT,
    STATE(9326), 1,
      sym__importable,
    STATE(9396), 1,
      sym_scoped_identifier,
    STATE(9397), 1,
      sym_identifier,
    STATE(9602), 1,
      sym_import_alias,
    STATE(9845), 1,
      sym__import_list,
    STATE(9605), 2,
      sym_import_path,
      sym__exportable,
    STATE(12267), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9650), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14815), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14835), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [145450] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16643), 1,
      aux_sym_import_path_token1,
    ACTIONS(16645), 1,
      anon_sym_DOLLAR,
    ACTIONS(16647), 1,
      anon_sym_AT,
    STATE(12136), 1,
      sym__import_list,
    STATE(12474), 1,
      sym__importable,
    STATE(12617), 1,
      sym_scoped_identifier,
    STATE(12618), 1,
      sym_identifier,
    STATE(13024), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12268), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [145520] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15725), 1,
      anon_sym_SQUOTE,
    ACTIONS(15729), 1,
      sym__immediate_paren,
    ACTIONS(15731), 1,
      sym__immediate_bracket,
    ACTIONS(15733), 1,
      sym__immediate_brace,
    ACTIONS(16819), 1,
      anon_sym_DOT,
    STATE(12269), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10635), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10641), 19,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [145576] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11053), 1,
      sym_identifier,
    STATE(12270), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 14,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [145626] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10325), 1,
      aux_sym__terminator_token1,
    STATE(12271), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10323), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [145672] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(16649), 1,
      aux_sym_import_path_token1,
    ACTIONS(16651), 1,
      anon_sym_DOLLAR,
    ACTIONS(16653), 1,
      anon_sym_AT,
    STATE(11388), 1,
      sym__import_list,
    STATE(13654), 1,
      sym_scoped_identifier,
    STATE(13655), 1,
      sym_identifier,
    STATE(13657), 1,
      sym__importable,
    STATE(13811), 1,
      sym_import_alias,
    STATE(11253), 2,
      sym_import_path,
      sym__exportable,
    STATE(12272), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [145742] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10329), 1,
      aux_sym__terminator_token1,
    STATE(12273), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10327), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [145788] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16821), 1,
      aux_sym_float_literal_token2,
    STATE(12274), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [145836] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(16823), 1,
      anon_sym_COMMA,
    ACTIONS(16825), 1,
      anon_sym_as,
    ACTIONS(16827), 1,
      anon_sym_COLON,
    STATE(12392), 1,
      aux_sym__import_list_repeat1,
    STATE(12275), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [145890] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10381), 1,
      aux_sym__terminator_token1,
    STATE(12276), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10379), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [145936] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10387), 1,
      aux_sym__terminator_token1,
    STATE(12277), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10385), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [145982] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16655), 1,
      aux_sym_import_path_token1,
    ACTIONS(16657), 1,
      anon_sym_DOLLAR,
    ACTIONS(16659), 1,
      anon_sym_AT,
    STATE(12136), 1,
      sym__import_list,
    STATE(12280), 1,
      sym__importable,
    STATE(12348), 1,
      sym_scoped_identifier,
    STATE(12349), 1,
      sym_identifier,
    STATE(12592), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12278), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [146052] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10391), 1,
      aux_sym__terminator_token1,
    STATE(12279), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10389), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [146098] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(16829), 1,
      anon_sym_COMMA,
    ACTIONS(16831), 1,
      anon_sym_as,
    STATE(12491), 1,
      aux_sym__import_list_repeat1,
    STATE(12280), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [146150] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16833), 1,
      anon_sym_COMMA,
    ACTIONS(16835), 1,
      anon_sym_RPAREN,
    ACTIONS(16837), 1,
      anon_sym_SEMI,
    STATE(14612), 1,
      sym_for_clause,
    STATE(15005), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15317), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16684), 1,
      sym__comprehension_clause,
    STATE(17053), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12281), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [146248] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11814), 1,
      sym_identifier,
    ACTIONS(10133), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12282), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [146298] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10145), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11821), 1,
      sym_identifier,
    STATE(12283), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [146348] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16839), 1,
      sym__immediate_string_start,
    ACTIONS(16841), 1,
      sym__immediate_command_start,
    STATE(12284), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 21,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [146398] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(16661), 1,
      aux_sym_import_path_token1,
    ACTIONS(16663), 1,
      anon_sym_DOLLAR,
    ACTIONS(16665), 1,
      anon_sym_AT,
    STATE(11388), 1,
      sym__import_list,
    STATE(12343), 1,
      sym_scoped_identifier,
    STATE(12344), 1,
      sym_identifier,
    STATE(12346), 1,
      sym__importable,
    STATE(12598), 1,
      sym_import_alias,
    STATE(11253), 2,
      sym_import_path,
      sym__exportable,
    STATE(12285), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [146468] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10345), 1,
      aux_sym__terminator_token1,
    STATE(12286), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10343), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [146514] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10419), 1,
      aux_sym__terminator_token1,
    STATE(12287), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10417), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [146560] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10099), 1,
      aux_sym__terminator_token1,
    STATE(12288), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10097), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [146606] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11822), 1,
      sym_identifier,
    ACTIONS(10009), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12289), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [146656] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10103), 1,
      aux_sym__terminator_token1,
    STATE(12290), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10101), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [146702] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16677), 1,
      aux_sym_import_path_token1,
    ACTIONS(16679), 1,
      anon_sym_DOLLAR,
    ACTIONS(16681), 1,
      anon_sym_AT,
    STATE(12136), 1,
      sym__import_list,
    STATE(12515), 1,
      sym__importable,
    STATE(12625), 1,
      sym_scoped_identifier,
    STATE(12626), 1,
      sym_identifier,
    STATE(13036), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12291), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [146772] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16843), 1,
      anon_sym_COMMA,
    ACTIONS(16845), 1,
      anon_sym_RPAREN,
    ACTIONS(16847), 1,
      anon_sym_SEMI,
    STATE(14612), 1,
      sym_for_clause,
    STATE(15392), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15393), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16935), 1,
      sym__comprehension_clause,
    STATE(17053), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12292), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [146870] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10423), 1,
      aux_sym__terminator_token1,
    STATE(12293), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10421), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [146916] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10431), 1,
      aux_sym__terminator_token1,
    STATE(12294), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10429), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [146962] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16683), 1,
      aux_sym_import_path_token1,
    ACTIONS(16685), 1,
      anon_sym_DOLLAR,
    ACTIONS(16687), 1,
      anon_sym_AT,
    STATE(12136), 1,
      sym__import_list,
    STATE(12525), 1,
      sym__importable,
    STATE(12629), 1,
      sym_scoped_identifier,
    STATE(12630), 1,
      sym_identifier,
    STATE(13039), 1,
      sym_import_alias,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12295), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [147032] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10317), 1,
      aux_sym__terminator_token1,
    STATE(12296), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10315), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [147078] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10435), 1,
      aux_sym__terminator_token1,
    STATE(12297), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10433), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [147124] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16849), 1,
      anon_sym_COMMA,
    ACTIONS(16851), 1,
      anon_sym_RPAREN,
    ACTIONS(16853), 1,
      anon_sym_SEMI,
    STATE(14612), 1,
      sym_for_clause,
    STATE(15089), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15194), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16565), 1,
      sym__comprehension_clause,
    STATE(17053), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12298), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [147222] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16545), 1,
      sym__word_identifier,
    ACTIONS(16547), 1,
      aux_sym_import_path_token1,
    ACTIONS(16549), 1,
      anon_sym_LPAREN,
    ACTIONS(16551), 1,
      anon_sym_DOLLAR,
    ACTIONS(16553), 1,
      anon_sym_AT,
    STATE(8101), 1,
      sym_scoped_identifier,
    STATE(8102), 1,
      sym_identifier,
    STATE(8200), 1,
      sym__importable,
    STATE(8497), 1,
      sym_import_alias,
    STATE(9294), 1,
      sym__import_list,
    STATE(8498), 2,
      sym_import_path,
      sym__exportable,
    STATE(12299), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8745), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(15151), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15171), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [147292] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10439), 1,
      aux_sym__terminator_token1,
    STATE(12300), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10437), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [147338] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10087), 1,
      aux_sym__terminator_token1,
    STATE(12301), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10083), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [147384] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16507), 1,
      aux_sym_import_path_token1,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(16511), 1,
      anon_sym_DOLLAR,
    ACTIONS(16513), 1,
      anon_sym_AT,
    STATE(11388), 1,
      sym__import_list,
    STATE(11448), 1,
      sym__importable,
    STATE(11548), 1,
      sym_scoped_identifier,
    STATE(11549), 1,
      sym_identifier,
    STATE(11796), 1,
      sym_import_alias,
    STATE(11253), 2,
      sym_import_path,
      sym__exportable,
    STATE(12302), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [147454] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10091), 1,
      aux_sym__terminator_token1,
    STATE(12303), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10089), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [147500] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9971), 1,
      aux_sym__terminator_token1,
    STATE(12304), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [147546] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11815), 1,
      sym_identifier,
    ACTIONS(10137), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12305), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [147596] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(16823), 1,
      anon_sym_COMMA,
    ACTIONS(16825), 1,
      anon_sym_as,
    STATE(12392), 1,
      aux_sym__import_list_repeat1,
    STATE(12306), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [147648] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10141), 1,
      aux_sym__terminator_token1,
    STATE(12307), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10139), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [147694] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16731), 1,
      anon_sym_SEMI,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16795), 1,
      anon_sym_RPAREN,
    ACTIONS(16855), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(15090), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15471), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16598), 1,
      sym__comprehension_clause,
    STATE(17053), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12308), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [147792] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10293), 1,
      aux_sym__terminator_token1,
    STATE(12309), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10291), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [147838] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 1,
      aux_sym__terminator_token1,
    STATE(12310), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [147884] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10133), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11814), 1,
      sym_identifier,
    STATE(12311), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [147934] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10137), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11815), 1,
      sym_identifier,
    STATE(12312), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [147984] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10145), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11821), 1,
      sym_identifier,
    STATE(12313), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148034] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10009), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11822), 1,
      sym_identifier,
    STATE(12314), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148084] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10870), 1,
      aux_sym__terminator_token1,
    ACTIONS(16857), 1,
      anon_sym_DOT,
    STATE(12315), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148132] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(3226), 1,
      aux_sym__terminator_token1,
    STATE(12316), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3222), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148178] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9971), 1,
      aux_sym__terminator_token1,
    ACTIONS(16859), 1,
      sym__immediate_string_start,
    ACTIONS(16861), 1,
      sym__immediate_command_start,
    STATE(12317), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148228] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10133), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11814), 1,
      sym_identifier,
    STATE(12318), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148278] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10137), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11815), 1,
      sym_identifier,
    STATE(12319), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148328] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16633), 1,
      sym__word_identifier,
    ACTIONS(16635), 1,
      aux_sym_import_path_token1,
    ACTIONS(16637), 1,
      anon_sym_LPAREN,
    ACTIONS(16639), 1,
      anon_sym_DOLLAR,
    ACTIONS(16641), 1,
      anon_sym_AT,
    STATE(7593), 1,
      sym_scoped_identifier,
    STATE(7594), 1,
      sym_identifier,
    STATE(7637), 1,
      sym__importable,
    STATE(8315), 1,
      sym_import_alias,
    STATE(9088), 1,
      sym__import_list,
    STATE(8316), 2,
      sym_import_path,
      sym__exportable,
    STATE(12320), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7967), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(13595), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(13615), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [148398] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10145), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11821), 1,
      sym_identifier,
    STATE(12321), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148448] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10019), 1,
      aux_sym__terminator_token1,
    ACTIONS(16713), 1,
      aux_sym_float_literal_token2,
    STATE(12322), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148496] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16863), 1,
      anon_sym_COMMA,
    ACTIONS(16865), 1,
      anon_sym_RPAREN,
    ACTIONS(16867), 1,
      anon_sym_SEMI,
    STATE(14612), 1,
      sym_for_clause,
    STATE(15357), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15359), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(16138), 1,
      sym__comprehension_clause,
    STATE(17053), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12323), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [148594] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16565), 1,
      sym__word_identifier,
    ACTIONS(16567), 1,
      aux_sym_import_path_token1,
    ACTIONS(16569), 1,
      anon_sym_LPAREN,
    ACTIONS(16571), 1,
      anon_sym_DOLLAR,
    ACTIONS(16573), 1,
      anon_sym_AT,
    STATE(6939), 1,
      sym_scoped_identifier,
    STATE(7092), 1,
      sym__importable,
    STATE(7117), 1,
      sym_identifier,
    STATE(7357), 1,
      sym_import_alias,
    STATE(7960), 1,
      sym__import_list,
    STATE(7199), 2,
      sym_import_path,
      sym__exportable,
    STATE(12324), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7457), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14061), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14081), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [148664] = 31,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16869), 1,
      anon_sym_COMMA,
    ACTIONS(16871), 1,
      anon_sym_RPAREN,
    ACTIONS(16873), 1,
      anon_sym_SEMI,
    STATE(14612), 1,
      sym_for_clause,
    STATE(14795), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14796), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17053), 1,
      aux_sym_argument_list_repeat1,
    STATE(17291), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12325), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [148762] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10009), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11822), 1,
      sym_identifier,
    STATE(12326), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148812] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16839), 1,
      sym__immediate_string_start,
    ACTIONS(16841), 1,
      sym__immediate_command_start,
    STATE(12327), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 21,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [148862] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10309), 1,
      aux_sym__terminator_token1,
    STATE(12328), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10307), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148908] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16803), 1,
      sym__immediate_string_start,
    ACTIONS(16805), 1,
      sym__immediate_command_start,
    ACTIONS(9995), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12329), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [148958] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10365), 1,
      aux_sym__terminator_token1,
    STATE(12330), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149004] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10377), 1,
      aux_sym__terminator_token1,
    STATE(12331), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149050] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10349), 1,
      aux_sym__terminator_token1,
    STATE(12332), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10347), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149096] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10353), 1,
      aux_sym__terminator_token1,
    STATE(12333), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10351), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149142] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10357), 1,
      aux_sym__terminator_token1,
    STATE(12334), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10355), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149188] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10405), 1,
      aux_sym__terminator_token1,
    STATE(12335), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10403), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149234] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10133), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11814), 1,
      sym_identifier,
    STATE(12336), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149284] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10137), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11815), 1,
      sym_identifier,
    STATE(12337), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149334] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16667), 1,
      sym__word_identifier,
    ACTIONS(16669), 1,
      aux_sym_import_path_token1,
    ACTIONS(16671), 1,
      anon_sym_LPAREN,
    ACTIONS(16673), 1,
      anon_sym_DOLLAR,
    ACTIONS(16675), 1,
      anon_sym_AT,
    STATE(7249), 1,
      sym__importable,
    STATE(7558), 1,
      sym_scoped_identifier,
    STATE(7561), 1,
      sym_identifier,
    STATE(7867), 1,
      sym_import_alias,
    STATE(8599), 1,
      sym__import_list,
    STATE(7868), 2,
      sym_import_path,
      sym__exportable,
    STATE(12338), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8176), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14725), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14745), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [149404] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10313), 1,
      aux_sym__terminator_token1,
    STATE(12339), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10311), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149450] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(16829), 1,
      anon_sym_COMMA,
    ACTIONS(16831), 1,
      anon_sym_as,
    ACTIONS(16875), 1,
      anon_sym_COLON,
    STATE(12491), 1,
      aux_sym__import_list_repeat1,
    STATE(12340), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149504] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10401), 1,
      aux_sym__terminator_token1,
    STATE(12341), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10399), 30,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149550] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16877), 1,
      anon_sym_COMMA,
    ACTIONS(16879), 1,
      anon_sym_as,
    ACTIONS(16881), 1,
      anon_sym_COLON,
    STATE(12605), 1,
      aux_sym__import_list_repeat1,
    STATE(12342), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 6,
      anon_sym_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11032), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [149604] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16883), 1,
      anon_sym_DOT,
    STATE(12343), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10982), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10986), 23,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [149652] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16883), 1,
      anon_sym_DOT,
    STATE(12344), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11038), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11040), 23,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [149700] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16883), 1,
      anon_sym_DOT,
    STATE(12345), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11048), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11050), 23,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [149748] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16877), 1,
      anon_sym_COMMA,
    ACTIONS(16879), 1,
      anon_sym_as,
    STATE(12605), 1,
      aux_sym__import_list_repeat1,
    STATE(12346), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11032), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [149800] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16883), 1,
      anon_sym_DOT,
    STATE(12347), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10870), 23,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [149848] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10986), 1,
      aux_sym__terminator_token1,
    ACTIONS(16857), 1,
      anon_sym_DOT,
    STATE(12348), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10982), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149896] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11040), 1,
      aux_sym__terminator_token1,
    ACTIONS(16857), 1,
      anon_sym_DOT,
    STATE(12349), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11038), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149944] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11050), 1,
      aux_sym__terminator_token1,
    ACTIONS(16857), 1,
      anon_sym_DOT,
    STATE(12350), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11048), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [149992] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9995), 1,
      aux_sym__terminator_token1,
    ACTIONS(16859), 1,
      sym__immediate_string_start,
    ACTIONS(16861), 1,
      sym__immediate_command_start,
    STATE(12351), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [150042] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15449), 1,
      anon_sym_DASH_GT,
    STATE(12352), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [150089] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16885), 1,
      anon_sym_COMMA,
    ACTIONS(16887), 1,
      anon_sym_RPAREN,
    ACTIONS(16889), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14771), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15117), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18780), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12353), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [150184] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    ACTIONS(16893), 1,
      anon_sym_RPAREN,
    ACTIONS(16895), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14754), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14755), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18518), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12354), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [150279] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12355), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10347), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10349), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [150324] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16897), 1,
      anon_sym_COMMA,
    ACTIONS(16899), 1,
      anon_sym_RPAREN,
    ACTIONS(16901), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15298), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15301), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18531), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12356), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [150419] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16903), 1,
      anon_sym_COMMA,
    ACTIONS(16905), 1,
      anon_sym_RPAREN,
    ACTIONS(16907), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14924), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14925), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18236), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12357), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [150514] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15449), 1,
      anon_sym_DASH_GT,
    STATE(12358), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [150561] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16909), 1,
      anon_sym_COMMA,
    ACTIONS(16911), 1,
      anon_sym_RPAREN,
    ACTIONS(16913), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14626), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15471), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18546), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12359), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [150656] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16915), 1,
      anon_sym_COMMA,
    STATE(12360), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11139), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [150703] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15451), 1,
      anon_sym_DASH_GT,
    STATE(12361), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [150750] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12362), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10221), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10223), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [150795] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15503), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(12363), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [150844] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12364), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10351), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10353), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [150889] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6877), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16918), 1,
      anon_sym_COMMA,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17406), 1,
      sym__comprehension_clause,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(17864), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12365), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [150984] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16922), 1,
      anon_sym_COMMA,
    ACTIONS(16924), 1,
      anon_sym_RPAREN,
    ACTIONS(16926), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14819), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14820), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18553), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12366), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [151079] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9995), 1,
      aux_sym__terminator_token1,
    ACTIONS(16928), 1,
      sym__immediate_string_start,
    ACTIONS(16930), 1,
      sym__immediate_command_start,
    STATE(12367), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [151128] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11053), 1,
      sym_identifier,
    STATE(12368), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 13,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [151177] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12369), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10225), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10227), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [151222] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16932), 1,
      anon_sym_COMMA,
    ACTIONS(16934), 1,
      anon_sym_RPAREN,
    ACTIONS(16936), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15203), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15417), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18349), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12370), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [151317] = 27,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16938), 1,
      anon_sym_COMMA,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16946), 1,
      anon_sym_SEMI,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16952), 1,
      anon_sym_QMARK,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(16980), 1,
      aux_sym__terminator_token1,
    STATE(14601), 1,
      aux_sym_open_tuple_repeat1,
    STATE(14836), 1,
      aux_sym__block_repeat1,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12371), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16940), 3,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [151406] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16982), 1,
      anon_sym_COMMA,
    ACTIONS(16984), 1,
      anon_sym_RPAREN,
    ACTIONS(16986), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14640), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15399), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18690), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12372), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [151501] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15549), 1,
      sym__immediate_paren,
    STATE(12373), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [151548] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16988), 1,
      anon_sym_COMMA,
    ACTIONS(16990), 1,
      anon_sym_RPAREN,
    ACTIONS(16992), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14795), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14796), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18665), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12374), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [151643] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12375), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10403), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10405), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [151688] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16994), 1,
      anon_sym_COMMA,
    ACTIONS(16996), 1,
      anon_sym_RPAREN,
    ACTIONS(16998), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15409), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15418), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18440), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12376), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [151783] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12377), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10355), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10357), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [151828] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15703), 1,
      anon_sym_EQ,
    STATE(12378), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 22,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [151877] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16575), 1,
      sym__word_identifier,
    ACTIONS(16577), 1,
      aux_sym_import_path_token1,
    ACTIONS(16579), 1,
      anon_sym_LPAREN,
    ACTIONS(16581), 1,
      anon_sym_DOLLAR,
    ACTIONS(16583), 1,
      anon_sym_AT,
    STATE(12213), 1,
      sym_scoped_identifier,
    STATE(12214), 1,
      sym_identifier,
    STATE(12549), 1,
      sym__importable,
    STATE(12743), 1,
      sym_import_alias,
    STATE(12379), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12500), 2,
      sym_import_path,
      sym__exportable,
    STATE(12534), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14319), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14339), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [151944] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17000), 1,
      anon_sym_COMMA,
    ACTIONS(17002), 1,
      anon_sym_RPAREN,
    ACTIONS(17004), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15176), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15177), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18711), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12380), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [152039] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12381), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10263), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10265), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [152084] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11145), 1,
      aux_sym__terminator_token1,
    ACTIONS(17006), 1,
      anon_sym_COMMA,
    STATE(12387), 1,
      aux_sym_export_statement_repeat1,
    STATE(12382), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11141), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [152133] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11136), 1,
      sym_identifier,
    STATE(12383), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 13,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [152182] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6859), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17008), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17406), 1,
      sym__comprehension_clause,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(18194), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12384), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [152277] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12385), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10433), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10435), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [152322] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11288), 1,
      aux_sym__terminator_token1,
    ACTIONS(17006), 1,
      anon_sym_COMMA,
    STATE(12544), 1,
      aux_sym_export_statement_repeat1,
    STATE(12386), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11286), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [152371] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11292), 1,
      aux_sym__terminator_token1,
    ACTIONS(17006), 1,
      anon_sym_COMMA,
    STATE(12544), 1,
      aux_sym_export_statement_repeat1,
    STATE(12387), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11290), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [152420] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12388), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10339), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10341), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [152465] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17010), 1,
      anon_sym_COMMA,
    ACTIONS(17012), 1,
      anon_sym_RPAREN,
    ACTIONS(17014), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14937), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14938), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18272), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12389), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [152560] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11071), 1,
      sym_identifier,
    STATE(12390), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 13,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [152609] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12391), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10371), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10373), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [152654] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11068), 1,
      aux_sym__terminator_token1,
    ACTIONS(16823), 1,
      anon_sym_COMMA,
    STATE(12566), 1,
      aux_sym__import_list_repeat1,
    STATE(12392), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11066), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [152703] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12393), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10311), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10313), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [152748] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16555), 1,
      sym__word_identifier,
    ACTIONS(16557), 1,
      aux_sym_import_path_token1,
    ACTIONS(16559), 1,
      anon_sym_LPAREN,
    ACTIONS(16561), 1,
      anon_sym_DOLLAR,
    ACTIONS(16563), 1,
      anon_sym_AT,
    STATE(7453), 1,
      sym_scoped_identifier,
    STATE(7465), 1,
      sym_identifier,
    STATE(7830), 1,
      sym__importable,
    STATE(8954), 1,
      sym_import_alias,
    STATE(7815), 2,
      sym_import_path,
      sym__exportable,
    STATE(12394), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8127), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(15049), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15069), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [152815] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12395), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10437), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10439), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [152860] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10133), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11814), 1,
      sym_identifier,
    STATE(12396), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [152909] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17016), 1,
      anon_sym_COMMA,
    ACTIONS(17018), 1,
      anon_sym_RPAREN,
    ACTIONS(17020), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14950), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14951), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18310), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12397), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [153004] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15549), 1,
      sym__immediate_paren,
    ACTIONS(15653), 1,
      anon_sym_EQ,
    STATE(12398), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [153053] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17022), 1,
      anon_sym_COMMA,
    ACTIONS(17024), 1,
      anon_sym_RPAREN,
    ACTIONS(17026), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15333), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15334), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18585), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12399), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [153148] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10137), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11815), 1,
      sym_identifier,
    STATE(12400), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [153197] = 27,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17034), 1,
      anon_sym_SEMI,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17040), 1,
      anon_sym_QMARK,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17068), 1,
      aux_sym__terminator_token1,
    STATE(14608), 1,
      aux_sym_open_tuple_repeat1,
    STATE(14940), 1,
      aux_sym__block_repeat1,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12401), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16940), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [153286] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17070), 1,
      anon_sym_COMMA,
    ACTIONS(17072), 1,
      anon_sym_RPAREN,
    ACTIONS(17074), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14833), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14834), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18744), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12402), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [153381] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16693), 1,
      sym__word_identifier,
    ACTIONS(16695), 1,
      aux_sym_import_path_token1,
    ACTIONS(16697), 1,
      anon_sym_LPAREN,
    ACTIONS(16699), 1,
      anon_sym_DOLLAR,
    ACTIONS(16701), 1,
      anon_sym_AT,
    STATE(7164), 1,
      sym_scoped_identifier,
    STATE(7165), 1,
      sym_identifier,
    STATE(7694), 1,
      sym__importable,
    STATE(7763), 1,
      sym_import_alias,
    STATE(7663), 2,
      sym_import_path,
      sym__exportable,
    STATE(12403), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7389), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(15291), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15311), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [153448] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17076), 1,
      anon_sym_COMMA,
    ACTIONS(17078), 1,
      anon_sym_RPAREN,
    ACTIONS(17080), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14871), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14872), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18282), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12404), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [153543] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17082), 1,
      anon_sym_COMMA,
    ACTIONS(17084), 1,
      anon_sym_RPAREN,
    ACTIONS(17086), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15090), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(15441), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18512), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12405), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [153638] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16593), 1,
      sym__word_identifier,
    ACTIONS(16595), 1,
      aux_sym_import_path_token1,
    ACTIONS(16597), 1,
      anon_sym_LPAREN,
    ACTIONS(16599), 1,
      anon_sym_DOLLAR,
    ACTIONS(16601), 1,
      anon_sym_AT,
    STATE(9396), 1,
      sym_scoped_identifier,
    STATE(9397), 1,
      sym_identifier,
    STATE(9630), 1,
      sym__importable,
    STATE(9843), 1,
      sym_import_alias,
    STATE(9605), 2,
      sym_import_path,
      sym__exportable,
    STATE(12406), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9650), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14815), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14835), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [153705] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12407), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10089), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10091), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [153750] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15431), 1,
      anon_sym_DASH_GT,
    ACTIONS(15503), 1,
      anon_sym_EQ,
    STATE(12408), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [153799] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12409), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10235), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10237), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [153844] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6741), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17088), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17406), 1,
      sym__comprehension_clause,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(18145), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12410), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [153939] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10870), 1,
      aux_sym__terminator_token1,
    STATE(12411), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [153984] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17090), 1,
      anon_sym_COMMA,
    ACTIONS(17092), 1,
      anon_sym_RPAREN,
    ACTIONS(17094), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14878), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14885), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18367), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12412), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [154079] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16619), 1,
      aux_sym_import_path_token1,
    ACTIONS(16621), 1,
      anon_sym_DOLLAR,
    ACTIONS(16623), 1,
      anon_sym_AT,
    STATE(12105), 1,
      sym_import_alias,
    STATE(13040), 1,
      sym_scoped_identifier,
    STATE(13041), 1,
      sym_identifier,
    STATE(13121), 1,
      sym__importable,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12413), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [154146] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17096), 1,
      anon_sym_COMMA,
    ACTIONS(17098), 1,
      anon_sym_RPAREN,
    ACTIONS(17100), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14850), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14851), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18277), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12414), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [154241] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17102), 1,
      anon_sym_COMMA,
    ACTIONS(17104), 1,
      anon_sym_RPAREN,
    ACTIONS(17106), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14967), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14968), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18343), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12415), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [154336] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12416), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9987), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9989), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [154381] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6649), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17108), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17406), 1,
      sym__comprehension_clause,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(18144), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12417), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [154476] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17110), 1,
      anon_sym_COMMA,
    ACTIONS(17112), 1,
      anon_sym_RPAREN,
    ACTIONS(17114), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14635), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14636), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18615), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12418), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [154571] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12419), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10015), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10019), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [154616] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12420), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10363), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10365), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [154661] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17116), 1,
      anon_sym_COMMA,
    ACTIONS(17118), 1,
      anon_sym_RPAREN,
    ACTIONS(17120), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15178), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15180), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18712), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12421), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [154756] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17122), 1,
      anon_sym_COMMA,
    ACTIONS(17124), 1,
      anon_sym_RPAREN,
    ACTIONS(17126), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14742), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14743), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18484), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12422), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [154851] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17128), 1,
      anon_sym_COMMA,
    ACTIONS(17130), 1,
      anon_sym_RPAREN,
    ACTIONS(17132), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14767), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14768), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18559), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12423), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [154946] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17134), 1,
      anon_sym_COMMA,
    ACTIONS(17136), 1,
      anon_sym_RPAREN,
    ACTIONS(17138), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14866), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14867), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18259), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12424), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [155041] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11130), 1,
      aux_sym__terminator_token1,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    STATE(12448), 1,
      aux_sym_open_tuple_repeat1,
    STATE(12425), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [155090] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12426), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [155135] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17140), 1,
      anon_sym_COMMA,
    ACTIONS(17142), 1,
      anon_sym_RPAREN,
    ACTIONS(17144), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15416), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15468), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18717), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12427), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [155230] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17146), 1,
      anon_sym_COMMA,
    ACTIONS(17148), 1,
      anon_sym_RPAREN,
    ACTIONS(17150), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14883), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14884), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18421), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12428), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [155325] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12429), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10421), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10423), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [155370] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17152), 1,
      anon_sym_COMMA,
    ACTIONS(17154), 1,
      anon_sym_RPAREN,
    ACTIONS(17156), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14684), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14685), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18238), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12430), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [155465] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11130), 1,
      aux_sym__terminator_token1,
    ACTIONS(16938), 1,
      anon_sym_COMMA,
    STATE(12466), 1,
      aux_sym_open_tuple_repeat1,
    STATE(12431), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [155514] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12432), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10239), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10241), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [155559] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15451), 1,
      anon_sym_DASH_GT,
    STATE(12433), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [155606] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(16627), 1,
      aux_sym_import_path_token1,
    ACTIONS(16629), 1,
      anon_sym_DOLLAR,
    ACTIONS(16631), 1,
      anon_sym_AT,
    STATE(11303), 1,
      sym_import_alias,
    STATE(12983), 1,
      sym_scoped_identifier,
    STATE(12984), 1,
      sym_identifier,
    STATE(13300), 1,
      sym__importable,
    STATE(11253), 2,
      sym_import_path,
      sym__exportable,
    STATE(12434), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [155673] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12435), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10245), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10247), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [155718] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(16823), 1,
      anon_sym_COMMA,
    STATE(12392), 1,
      aux_sym__import_list_repeat1,
    STATE(12436), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [155767] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17158), 1,
      anon_sym_COMMA,
    ACTIONS(17160), 1,
      anon_sym_RPAREN,
    ACTIONS(17162), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14652), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14653), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18755), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12437), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [155862] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17164), 1,
      anon_sym_COMMA,
    ACTIONS(17166), 1,
      anon_sym_RPAREN,
    ACTIONS(17168), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15283), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15400), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18511), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12438), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [155957] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15447), 1,
      anon_sym_DASH_GT,
    STATE(12439), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [156004] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15431), 1,
      anon_sym_DASH_GT,
    ACTIONS(15586), 1,
      anon_sym_EQ,
    STATE(12440), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [156053] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12441), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10375), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10377), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [156098] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17170), 1,
      anon_sym_COMMA,
    ACTIONS(17172), 1,
      anon_sym_RPAREN,
    ACTIONS(17174), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15068), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15069), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18705), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12442), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [156193] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17176), 1,
      anon_sym_COMMA,
    ACTIONS(17178), 1,
      anon_sym_RPAREN,
    ACTIONS(17180), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14981), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14982), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18375), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12443), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [156288] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10870), 1,
      aux_sym__terminator_token1,
    ACTIONS(17182), 1,
      anon_sym_DOT,
    STATE(12444), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [156335] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12445), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10083), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10087), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [156380] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(165), 1,
      anon_sym_DASH_GT,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15620), 1,
      anon_sym_EQ,
    STATE(12446), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [156429] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16521), 1,
      aux_sym_import_path_token1,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16525), 1,
      anon_sym_DOLLAR,
    ACTIONS(16527), 1,
      anon_sym_AT,
    STATE(12105), 1,
      sym_import_alias,
    STATE(12636), 1,
      sym_identifier,
    STATE(12958), 1,
      sym_scoped_identifier,
    STATE(13074), 1,
      sym__importable,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12447), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [156496] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(17184), 1,
      anon_sym_COMMA,
    STATE(12448), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [156543] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17187), 1,
      anon_sym_COMMA,
    ACTIONS(17189), 1,
      anon_sym_RPAREN,
    ACTIONS(17191), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15357), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15359), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18630), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12449), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [156638] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17193), 1,
      anon_sym_COMMA,
    ACTIONS(17195), 1,
      anon_sym_RPAREN,
    ACTIONS(17197), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15089), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15194), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18397), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12450), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [156733] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17199), 1,
      anon_sym_COMMA,
    ACTIONS(17201), 1,
      anon_sym_RPAREN,
    ACTIONS(17203), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15281), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15282), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18232), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12451), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [156828] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17205), 1,
      anon_sym_COMMA,
    ACTIONS(17207), 1,
      anon_sym_RPAREN,
    ACTIONS(17209), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14699), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14700), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18327), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12452), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [156923] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17211), 1,
      anon_sym_QMARK,
    STATE(12425), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12453), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11166), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [157008] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17211), 1,
      anon_sym_QMARK,
    STATE(12425), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12454), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11204), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [157093] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17211), 1,
      anon_sym_QMARK,
    STATE(12425), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12455), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11208), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [157178] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17213), 1,
      anon_sym_COMMA,
    ACTIONS(17215), 1,
      anon_sym_RPAREN,
    ACTIONS(17217), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15215), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15216), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18416), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12456), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [157273] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10145), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11821), 1,
      sym_identifier,
    STATE(12457), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [157322] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10009), 1,
      aux_sym__terminator_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11822), 1,
      sym_identifier,
    STATE(12458), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [157371] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11814), 1,
      sym_identifier,
    ACTIONS(10133), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12459), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [157420] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11815), 1,
      sym_identifier,
    ACTIONS(10137), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12460), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [157469] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15441), 1,
      anon_sym_DASH_GT,
    ACTIONS(15574), 1,
      anon_sym_EQ,
    STATE(12461), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [157518] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15574), 1,
      anon_sym_EQ,
    STATE(12462), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [157567] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12463), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(101), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(189), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [157612] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11220), 1,
      aux_sym__terminator_token1,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(17219), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12464), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11216), 7,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
      sym__pair_operator,
  [157693] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17221), 1,
      anon_sym_COMMA,
    ACTIONS(17223), 1,
      anon_sym_RPAREN,
    ACTIONS(17225), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15433), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15434), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18734), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12465), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [157788] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(17227), 1,
      anon_sym_COMMA,
    STATE(12466), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [157835] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12467), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10249), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10251), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [157880] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12468), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10193), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10195), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [157925] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11220), 1,
      aux_sym__terminator_token1,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17211), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12469), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11216), 7,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
      sym__pair_operator,
  [158006] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12470), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10409), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10411), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [158051] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16643), 1,
      aux_sym_import_path_token1,
    ACTIONS(16645), 1,
      anon_sym_DOLLAR,
    ACTIONS(16647), 1,
      anon_sym_AT,
    STATE(12105), 1,
      sym_import_alias,
    STATE(12617), 1,
      sym_scoped_identifier,
    STATE(12618), 1,
      sym_identifier,
    STATE(12946), 1,
      sym__importable,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12471), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [158118] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12472), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10175), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10177), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [158163] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15441), 1,
      anon_sym_DASH_GT,
    ACTIONS(15521), 1,
      anon_sym_EQ,
    STATE(12473), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [158212] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(17230), 1,
      anon_sym_COMMA,
    ACTIONS(17232), 1,
      anon_sym_as,
    STATE(12942), 1,
      aux_sym__import_list_repeat1,
    STATE(12474), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 26,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [158263] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15767), 1,
      anon_sym_SQUOTE,
    ACTIONS(15771), 1,
      sym__immediate_paren,
    ACTIONS(15773), 1,
      sym__immediate_bracket,
    ACTIONS(15775), 1,
      sym__immediate_brace,
    ACTIONS(17234), 1,
      anon_sym_DOT,
    STATE(12475), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10708), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10746), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [158318] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15767), 1,
      anon_sym_SQUOTE,
    ACTIONS(15771), 1,
      sym__immediate_paren,
    ACTIONS(15773), 1,
      sym__immediate_bracket,
    ACTIONS(15775), 1,
      sym__immediate_brace,
    ACTIONS(17234), 1,
      anon_sym_DOT,
    STATE(12476), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10754), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10756), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [158373] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12477), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10217), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10219), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [158418] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6903), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17236), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17406), 1,
      sym__comprehension_clause,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(17978), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12478), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [158513] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12479), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10323), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10325), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [158558] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(16649), 1,
      aux_sym_import_path_token1,
    ACTIONS(16651), 1,
      anon_sym_DOLLAR,
    ACTIONS(16653), 1,
      anon_sym_AT,
    STATE(11303), 1,
      sym_import_alias,
    STATE(13654), 1,
      sym_scoped_identifier,
    STATE(13655), 1,
      sym_identifier,
    STATE(13820), 1,
      sym__importable,
    STATE(11253), 2,
      sym_import_path,
      sym__exportable,
    STATE(12480), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [158625] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17238), 1,
      anon_sym_COMMA,
    ACTIONS(17240), 1,
      anon_sym_RPAREN,
    ACTIONS(17242), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14987), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14988), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18380), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12481), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [158720] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11258), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17244), 1,
      anon_sym_COMMA,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17252), 1,
      anon_sym_QMARK,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17256), 1,
      sym__pair_operator,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    STATE(12628), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12482), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11260), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [158807] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7113), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17282), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17406), 1,
      sym__comprehension_clause,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(18016), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12483), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [158902] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12484), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10399), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10401), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [158947] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17284), 1,
      anon_sym_COMMA,
    ACTIONS(17286), 1,
      anon_sym_RPAREN,
    ACTIONS(17288), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14899), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14900), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18558), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12485), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [159042] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11216), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17252), 1,
      anon_sym_QMARK,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12486), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11220), 6,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      sym__pair_operator,
  [159127] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7105), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17406), 1,
      sym__comprehension_clause,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(17963), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12487), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [159222] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11288), 1,
      aux_sym__terminator_token1,
    ACTIONS(17294), 1,
      anon_sym_COMMA,
    STATE(12494), 1,
      aux_sym_export_statement_repeat1,
    STATE(12488), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11286), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [159271] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11292), 1,
      aux_sym__terminator_token1,
    ACTIONS(17294), 1,
      anon_sym_COMMA,
    STATE(12494), 1,
      aux_sym_export_statement_repeat1,
    STATE(12489), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11290), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [159320] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16655), 1,
      aux_sym_import_path_token1,
    ACTIONS(16657), 1,
      anon_sym_DOLLAR,
    ACTIONS(16659), 1,
      anon_sym_AT,
    STATE(12105), 1,
      sym_import_alias,
    STATE(12348), 1,
      sym_scoped_identifier,
    STATE(12349), 1,
      sym_identifier,
    STATE(12495), 1,
      sym__importable,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12490), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [159387] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11068), 1,
      aux_sym__terminator_token1,
    ACTIONS(16829), 1,
      anon_sym_COMMA,
    STATE(12496), 1,
      aux_sym__import_list_repeat1,
    STATE(12491), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11066), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [159436] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17296), 1,
      anon_sym_COMMA,
    ACTIONS(17298), 1,
      anon_sym_RPAREN,
    ACTIONS(17300), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15392), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15393), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18679), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12492), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [159531] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11216), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17252), 1,
      anon_sym_QMARK,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12493), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11220), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      sym__pair_operator,
  [159614] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11154), 1,
      aux_sym__terminator_token1,
    ACTIONS(17302), 1,
      anon_sym_COMMA,
    STATE(12494), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(11149), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [159661] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11161), 1,
      aux_sym__terminator_token1,
    ACTIONS(16831), 1,
      anon_sym_as,
    STATE(12495), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11159), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [159708] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11161), 1,
      aux_sym__terminator_token1,
    ACTIONS(17305), 1,
      anon_sym_COMMA,
    STATE(12496), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__import_list_repeat1,
    ACTIONS(11159), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [159755] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12497), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10327), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10329), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [159800] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7107), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17308), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17119), 1,
      sym__comprehension_clause,
    STATE(17123), 1,
      aux_sym_argument_list_repeat1,
    STATE(17639), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12498), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [159895] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17310), 1,
      anon_sym_COMMA,
    ACTIONS(17312), 1,
      anon_sym_RPAREN,
    ACTIONS(17314), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15000), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15001), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18390), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12499), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [159990] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10986), 1,
      aux_sym__terminator_token1,
    STATE(12500), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10982), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [160035] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12501), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10379), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10381), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [160080] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12502), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9907), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9909), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [160125] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15451), 1,
      anon_sym_DASH_GT,
    STATE(12503), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [160172] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(16661), 1,
      aux_sym_import_path_token1,
    ACTIONS(16663), 1,
      anon_sym_DOLLAR,
    ACTIONS(16665), 1,
      anon_sym_AT,
    STATE(11303), 1,
      sym_import_alias,
    STATE(12343), 1,
      sym_scoped_identifier,
    STATE(12344), 1,
      sym_identifier,
    STATE(12607), 1,
      sym__importable,
    STATE(11253), 2,
      sym_import_path,
      sym__exportable,
    STATE(12504), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [160239] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16938), 1,
      anon_sym_COMMA,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(17219), 1,
      anon_sym_QMARK,
    STATE(12431), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12505), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11258), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [160324] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17211), 1,
      anon_sym_QMARK,
    STATE(12425), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12506), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11258), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [160409] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(165), 1,
      anon_sym_DASH_GT,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15638), 1,
      anon_sym_EQ,
    STATE(12507), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [160458] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17316), 1,
      anon_sym_COMMA,
    ACTIONS(17318), 1,
      anon_sym_RPAREN,
    ACTIONS(17320), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14672), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14673), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18442), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12508), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [160553] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(16938), 1,
      anon_sym_COMMA,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(17219), 1,
      anon_sym_QMARK,
    STATE(12431), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12509), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11166), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [160638] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(16938), 1,
      anon_sym_COMMA,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(17219), 1,
      anon_sym_QMARK,
    STATE(12431), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12510), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11204), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [160723] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(16938), 1,
      anon_sym_COMMA,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(17219), 1,
      anon_sym_QMARK,
    STATE(12431), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12511), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11208), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [160808] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16677), 1,
      aux_sym_import_path_token1,
    ACTIONS(16679), 1,
      anon_sym_DOLLAR,
    ACTIONS(16681), 1,
      anon_sym_AT,
    STATE(12105), 1,
      sym_import_alias,
    STATE(12625), 1,
      sym_scoped_identifier,
    STATE(12626), 1,
      sym_identifier,
    STATE(12970), 1,
      sym__importable,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12512), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [160875] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11166), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17244), 1,
      anon_sym_COMMA,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17252), 1,
      anon_sym_QMARK,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17256), 1,
      sym__pair_operator,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    STATE(12628), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12513), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11202), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [160962] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12514), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10171), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10173), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [161007] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(17322), 1,
      anon_sym_COMMA,
    ACTIONS(17324), 1,
      anon_sym_as,
    STATE(12968), 1,
      aux_sym__import_list_repeat1,
    STATE(12515), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [161058] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11821), 1,
      sym_identifier,
    ACTIONS(10145), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12516), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [161107] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11204), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17244), 1,
      anon_sym_COMMA,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17252), 1,
      anon_sym_QMARK,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17256), 1,
      sym__pair_operator,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    STATE(12628), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12517), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11206), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [161194] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17326), 1,
      anon_sym_COMMA,
    ACTIONS(17328), 1,
      anon_sym_RPAREN,
    ACTIONS(17330), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15458), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15459), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18772), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12518), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [161289] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11208), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17244), 1,
      anon_sym_COMMA,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17252), 1,
      anon_sym_QMARK,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17256), 1,
      sym__pair_operator,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    STATE(12628), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12519), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11210), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [161376] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15549), 1,
      sym__immediate_paren,
    STATE(12520), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [161423] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16507), 1,
      aux_sym_import_path_token1,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(16511), 1,
      anon_sym_DOLLAR,
    ACTIONS(16513), 1,
      anon_sym_AT,
    STATE(11303), 1,
      sym_import_alias,
    STATE(11548), 1,
      sym_scoped_identifier,
    STATE(11549), 1,
      sym_identifier,
    STATE(11832), 1,
      sym__importable,
    STATE(11253), 2,
      sym_import_path,
      sym__exportable,
    STATE(12521), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [161490] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(16683), 1,
      aux_sym_import_path_token1,
    ACTIONS(16685), 1,
      anon_sym_DOLLAR,
    ACTIONS(16687), 1,
      anon_sym_AT,
    STATE(12105), 1,
      sym_import_alias,
    STATE(12629), 1,
      sym_scoped_identifier,
    STATE(12630), 1,
      sym_identifier,
    STATE(12977), 1,
      sym__importable,
    STATE(11978), 2,
      sym_import_path,
      sym__exportable,
    STATE(12522), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [161557] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17332), 1,
      anon_sym_COMMA,
    ACTIONS(17334), 1,
      anon_sym_RPAREN,
    ACTIONS(17336), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15246), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15247), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18455), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12523), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [161652] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6959), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17338), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17406), 1,
      sym__comprehension_clause,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(17639), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12524), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [161747] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(17340), 1,
      anon_sym_COMMA,
    ACTIONS(17342), 1,
      anon_sym_as,
    STATE(12974), 1,
      aux_sym__import_list_repeat1,
    STATE(12525), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [161798] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12526), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10213), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10215), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [161843] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12527), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10385), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10387), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [161888] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12528), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10319), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10321), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [161933] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12529), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [161978] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12530), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9941), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9943), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [162023] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12531), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10359), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10361), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [162068] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17344), 1,
      sym__immediate_string_start,
    ACTIONS(17346), 1,
      sym__immediate_command_start,
    ACTIONS(9971), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12532), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [162117] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17348), 1,
      anon_sym_COMMA,
    ACTIONS(17350), 1,
      anon_sym_RPAREN,
    ACTIONS(17352), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15078), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15079), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18376), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12533), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [162212] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11040), 1,
      aux_sym__terminator_token1,
    STATE(12534), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11038), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [162257] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17354), 1,
      anon_sym_COMMA,
    ACTIONS(17356), 1,
      anon_sym_RPAREN,
    ACTIONS(17358), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14735), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14736), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18448), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12535), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [162352] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16545), 1,
      sym__word_identifier,
    ACTIONS(16547), 1,
      aux_sym_import_path_token1,
    ACTIONS(16549), 1,
      anon_sym_LPAREN,
    ACTIONS(16551), 1,
      anon_sym_DOLLAR,
    ACTIONS(16553), 1,
      anon_sym_AT,
    STATE(8101), 1,
      sym_scoped_identifier,
    STATE(8102), 1,
      sym_identifier,
    STATE(8709), 1,
      sym__importable,
    STATE(9289), 1,
      sym_import_alias,
    STATE(8498), 2,
      sym_import_path,
      sym__exportable,
    STATE(12536), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8745), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(15151), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15171), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [162419] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16483), 1,
      sym__word_identifier,
    STATE(11822), 1,
      sym_identifier,
    ACTIONS(10009), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12537), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [162468] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15586), 1,
      anon_sym_EQ,
    STATE(12538), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [162517] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17360), 1,
      anon_sym_COMMA,
    ACTIONS(17362), 1,
      anon_sym_RPAREN,
    ACTIONS(17364), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15272), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15273), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18496), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12539), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [162612] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11282), 1,
      aux_sym__terminator_token1,
    ACTIONS(17006), 1,
      anon_sym_COMMA,
    STATE(12386), 1,
      aux_sym_export_statement_repeat1,
    STATE(12540), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11278), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [162661] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12541), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9933), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9937), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [162706] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(165), 1,
      anon_sym_DASH_GT,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15653), 1,
      anon_sym_EQ,
    STATE(12542), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [162755] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(3226), 2,
      sym__immediate_paren,
      aux_sym__terminator_token1,
    STATE(12543), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3222), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [162800] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11154), 1,
      aux_sym__terminator_token1,
    ACTIONS(17366), 1,
      anon_sym_COMMA,
    STATE(12544), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(11149), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [162847] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9971), 1,
      aux_sym__terminator_token1,
    ACTIONS(16928), 1,
      sym__immediate_string_start,
    ACTIONS(16930), 1,
      sym__immediate_command_start,
    STATE(12545), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [162896] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17369), 1,
      anon_sym_COMMA,
    ACTIONS(17371), 1,
      anon_sym_RPAREN,
    ACTIONS(17373), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14714), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14715), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18386), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12546), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [162991] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12547), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10139), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10141), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [163036] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15447), 1,
      anon_sym_DASH_GT,
    STATE(12548), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [163083] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11161), 1,
      aux_sym__terminator_token1,
    ACTIONS(16825), 1,
      anon_sym_as,
    STATE(12549), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11159), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [163130] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7125), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17375), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17406), 1,
      sym__comprehension_clause,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(17880), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12550), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [163225] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17377), 1,
      sym__immediate_string_start,
    ACTIONS(17379), 1,
      sym__immediate_command_start,
    STATE(12551), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [163274] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17381), 1,
      anon_sym_COMMA,
    ACTIONS(17383), 1,
      anon_sym_RPAREN,
    ACTIONS(17385), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15015), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15016), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18433), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12552), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [163369] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16633), 1,
      sym__word_identifier,
    ACTIONS(16635), 1,
      aux_sym_import_path_token1,
    ACTIONS(16637), 1,
      anon_sym_LPAREN,
    ACTIONS(16639), 1,
      anon_sym_DOLLAR,
    ACTIONS(16641), 1,
      anon_sym_AT,
    STATE(7593), 1,
      sym_scoped_identifier,
    STATE(7594), 1,
      sym_identifier,
    STATE(8381), 1,
      sym__importable,
    STATE(9084), 1,
      sym_import_alias,
    STATE(8316), 2,
      sym_import_path,
      sym__exportable,
    STATE(12553), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7967), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(13595), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(13615), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [163436] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15549), 1,
      sym__immediate_paren,
    ACTIONS(15638), 1,
      anon_sym_EQ,
    STATE(12554), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [163485] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17387), 1,
      anon_sym_COMMA,
    ACTIONS(17389), 1,
      anon_sym_RPAREN,
    ACTIONS(17391), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14770), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15218), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18582), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12555), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [163580] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16565), 1,
      sym__word_identifier,
    ACTIONS(16567), 1,
      aux_sym_import_path_token1,
    ACTIONS(16569), 1,
      anon_sym_LPAREN,
    ACTIONS(16571), 1,
      anon_sym_DOLLAR,
    ACTIONS(16573), 1,
      anon_sym_AT,
    STATE(6939), 1,
      sym_scoped_identifier,
    STATE(7117), 1,
      sym_identifier,
    STATE(7499), 1,
      sym__importable,
    STATE(7944), 1,
      sym_import_alias,
    STATE(7199), 2,
      sym_import_path,
      sym__exportable,
    STATE(12556), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7457), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14061), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14081), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [163647] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15447), 1,
      anon_sym_DASH_GT,
    STATE(12557), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [163694] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17393), 1,
      anon_sym_SQUOTE,
    ACTIONS(17395), 1,
      anon_sym_DOT,
    ACTIONS(17397), 1,
      sym__immediate_paren,
    ACTIONS(17399), 1,
      sym__immediate_bracket,
    ACTIONS(17401), 1,
      sym__immediate_brace,
    STATE(12558), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10635), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10641), 18,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [163749] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15549), 1,
      sym__immediate_paren,
    STATE(12559), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [163796] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12560), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10389), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10391), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [163841] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15449), 1,
      anon_sym_DASH_GT,
    STATE(12561), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [163888] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7123), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17403), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17406), 1,
      sym__comprehension_clause,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(17751), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12562), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [163983] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17405), 1,
      anon_sym_COMMA,
    ACTIONS(17407), 1,
      anon_sym_RPAREN,
    ACTIONS(17409), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15115), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15121), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18280), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12563), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [164078] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12564), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10343), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10345), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [164123] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17411), 1,
      anon_sym_COMMA,
    ACTIONS(17413), 1,
      anon_sym_RPAREN,
    ACTIONS(17415), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15031), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15032), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18467), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12565), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [164218] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11161), 1,
      aux_sym__terminator_token1,
    ACTIONS(17417), 1,
      anon_sym_COMMA,
    STATE(12566), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__import_list_repeat1,
    ACTIONS(11159), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [164265] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17420), 1,
      anon_sym_COMMA,
    ACTIONS(17422), 1,
      anon_sym_RPAREN,
    ACTIONS(17424), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15193), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15284), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18243), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12567), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [164360] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6975), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17426), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17406), 1,
      sym__comprehension_clause,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(18106), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12568), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [164455] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12569), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3222), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(3226), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [164500] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17428), 1,
      anon_sym_COMMA,
    ACTIONS(17430), 1,
      anon_sym_RPAREN,
    ACTIONS(17432), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15199), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15200), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18424), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12570), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [164595] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11104), 1,
      aux_sym__terminator_token1,
    STATE(12571), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11102), 29,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [164640] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12572), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10429), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10431), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [164685] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17434), 1,
      anon_sym_COMMA,
    ACTIONS(17436), 1,
      anon_sym_RPAREN,
    ACTIONS(17438), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14911), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14912), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18727), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12573), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [164780] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16703), 1,
      sym__word_identifier,
    ACTIONS(16705), 1,
      aux_sym_import_path_token1,
    ACTIONS(16707), 1,
      anon_sym_LPAREN,
    ACTIONS(16709), 1,
      anon_sym_DOLLAR,
    ACTIONS(16711), 1,
      anon_sym_AT,
    STATE(7233), 1,
      sym_scoped_identifier,
    STATE(7240), 1,
      sym_identifier,
    STATE(8487), 1,
      sym__importable,
    STATE(8590), 1,
      sym_import_alias,
    STATE(7827), 2,
      sym_import_path,
      sym__exportable,
    STATE(12574), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7705), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14183), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14203), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [164847] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11052), 1,
      sym_identifier,
    STATE(12575), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 13,
      anon_sym_EQ,
      anon_sym_for,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [164896] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17440), 1,
      anon_sym_COMMA,
    ACTIONS(17442), 1,
      anon_sym_RPAREN,
    ACTIONS(17444), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15141), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15142), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18431), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12576), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [164991] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17446), 1,
      anon_sym_COMMA,
    ACTIONS(17448), 1,
      anon_sym_RPAREN,
    ACTIONS(17450), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14780), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14781), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18611), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12577), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [165086] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12578), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10229), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10231), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [165131] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17452), 1,
      anon_sym_COMMA,
    ACTIONS(17454), 1,
      anon_sym_RPAREN,
    ACTIONS(17456), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15005), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15317), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18227), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12579), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [165226] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12580), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10417), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10419), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [165271] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15521), 1,
      anon_sym_EQ,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    STATE(12581), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [165320] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15549), 1,
      sym__immediate_paren,
    ACTIONS(15620), 1,
      anon_sym_EQ,
    STATE(12582), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [165369] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7031), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17458), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17406), 1,
      sym__comprehension_clause,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(18133), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12583), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [165464] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16667), 1,
      sym__word_identifier,
    ACTIONS(16669), 1,
      aux_sym_import_path_token1,
    ACTIONS(16671), 1,
      anon_sym_LPAREN,
    ACTIONS(16673), 1,
      anon_sym_DOLLAR,
    ACTIONS(16675), 1,
      anon_sym_AT,
    STATE(7558), 1,
      sym_scoped_identifier,
    STATE(7561), 1,
      sym_identifier,
    STATE(7888), 1,
      sym__importable,
    STATE(8589), 1,
      sym_import_alias,
    STATE(7868), 2,
      sym_import_path,
      sym__exportable,
    STATE(12584), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8176), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14725), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14745), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [165531] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12585), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10127), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10129), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [165576] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12586), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10395), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10397), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [165621] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(17230), 1,
      anon_sym_COMMA,
    ACTIONS(17232), 1,
      anon_sym_as,
    ACTIONS(17460), 1,
      anon_sym_COLON,
    STATE(12942), 1,
      aux_sym__import_list_repeat1,
    STATE(12587), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 25,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [165674] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17462), 1,
      anon_sym_COMMA,
    ACTIONS(17464), 1,
      anon_sym_RPAREN,
    ACTIONS(17466), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15046), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15047), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18503), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12588), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [165769] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12589), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10291), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10293), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [165814] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11282), 1,
      aux_sym__terminator_token1,
    ACTIONS(17294), 1,
      anon_sym_COMMA,
    STATE(12488), 1,
      aux_sym_export_statement_repeat1,
    STATE(12590), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11278), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [165863] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11145), 1,
      aux_sym__terminator_token1,
    ACTIONS(17294), 1,
      anon_sym_COMMA,
    STATE(12489), 1,
      aux_sym_export_statement_repeat1,
    STATE(12591), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11141), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [165912] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(16829), 1,
      anon_sym_COMMA,
    STATE(12491), 1,
      aux_sym__import_list_repeat1,
    STATE(12592), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 27,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [165961] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7099), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17468), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17406), 1,
      sym__comprehension_clause,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(17620), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12593), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [166056] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15441), 1,
      anon_sym_DASH_GT,
    ACTIONS(15606), 1,
      anon_sym_EQ,
    STATE(12594), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [166105] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12595), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10277), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10279), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [166150] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    STATE(12602), 1,
      aux_sym_export_statement_repeat1,
    STATE(12596), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11278), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11282), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [166199] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    STATE(12603), 1,
      aux_sym_export_statement_repeat1,
    STATE(12597), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11141), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11145), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [166248] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16877), 1,
      anon_sym_COMMA,
    STATE(12605), 1,
      aux_sym__import_list_repeat1,
    STATE(12598), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11032), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [166297] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17472), 1,
      anon_sym_COMMA,
    ACTIONS(17474), 1,
      anon_sym_RPAREN,
    ACTIONS(17476), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14813), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(14814), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18714), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12599), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [166392] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10870), 1,
      aux_sym__terminator_token1,
    ACTIONS(17478), 1,
      anon_sym_DOT,
    STATE(12600), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [166439] = 30,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17480), 1,
      anon_sym_COMMA,
    ACTIONS(17482), 1,
      anon_sym_RPAREN,
    ACTIONS(17484), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15110), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(15111), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18263), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12601), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [166534] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    STATE(12606), 1,
      aux_sym_export_statement_repeat1,
    STATE(12602), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11286), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11288), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [166583] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17470), 1,
      anon_sym_COMMA,
    STATE(12606), 1,
      aux_sym_export_statement_repeat1,
    STATE(12603), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11290), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11292), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [166632] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12604), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10413), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10415), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [166677] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16877), 1,
      anon_sym_COMMA,
    STATE(12608), 1,
      aux_sym__import_list_repeat1,
    STATE(12605), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11066), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11068), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [166726] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17486), 1,
      anon_sym_COMMA,
    STATE(12606), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(11149), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11154), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [166773] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16879), 1,
      anon_sym_as,
    STATE(12607), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11159), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11161), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [166820] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17489), 1,
      anon_sym_COMMA,
    STATE(12608), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__import_list_repeat1,
    ACTIONS(11159), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11161), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [166867] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16535), 1,
      sym__word_identifier,
    ACTIONS(16537), 1,
      aux_sym_import_path_token1,
    ACTIONS(16539), 1,
      anon_sym_LPAREN,
    ACTIONS(16541), 1,
      anon_sym_DOLLAR,
    ACTIONS(16543), 1,
      anon_sym_AT,
    STATE(7546), 1,
      sym_scoped_identifier,
    STATE(7547), 1,
      sym_identifier,
    STATE(8275), 1,
      sym__importable,
    STATE(8817), 1,
      sym_import_alias,
    STATE(8223), 2,
      sym_import_path,
      sym__exportable,
    STATE(12609), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7865), 3,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_operator,
    ACTIONS(14625), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14645), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [166934] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(17322), 1,
      anon_sym_COMMA,
    ACTIONS(17324), 1,
      anon_sym_as,
    ACTIONS(17492), 1,
      anon_sym_COLON,
    STATE(12968), 1,
      aux_sym__import_list_repeat1,
    STATE(12610), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [166987] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12611), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10097), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10099), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [167032] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15606), 1,
      anon_sym_EQ,
    STATE(12612), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167081] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(17340), 1,
      anon_sym_COMMA,
    ACTIONS(17342), 1,
      anon_sym_as,
    ACTIONS(17494), 1,
      anon_sym_COLON,
    STATE(12974), 1,
      aux_sym__import_list_repeat1,
    STATE(12613), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167134] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12614), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10101), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10103), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [167179] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17496), 1,
      anon_sym_DOT,
    STATE(12615), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10870), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [167226] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17344), 1,
      sym__immediate_string_start,
    ACTIONS(17346), 1,
      sym__immediate_command_start,
    ACTIONS(9995), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12616), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167275] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10986), 1,
      aux_sym__terminator_token1,
    ACTIONS(17498), 1,
      anon_sym_DOT,
    STATE(12617), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10982), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167322] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11040), 1,
      aux_sym__terminator_token1,
    ACTIONS(17498), 1,
      anon_sym_DOT,
    STATE(12618), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11038), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167369] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11050), 1,
      aux_sym__terminator_token1,
    ACTIONS(17498), 1,
      anon_sym_DOT,
    STATE(12619), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11048), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167416] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10870), 1,
      aux_sym__terminator_token1,
    ACTIONS(17498), 1,
      anon_sym_DOT,
    STATE(12620), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167463] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12621), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10315), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10317), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [167508] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17377), 1,
      sym__immediate_string_start,
    ACTIONS(17379), 1,
      sym__immediate_command_start,
    STATE(12622), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [167557] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12623), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10307), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10309), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [167602] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10870), 1,
      aux_sym__terminator_token1,
    ACTIONS(17500), 1,
      anon_sym_DOT,
    STATE(12624), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167649] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10986), 1,
      aux_sym__terminator_token1,
    ACTIONS(17502), 1,
      anon_sym_DOT,
    STATE(12625), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10982), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167696] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11040), 1,
      aux_sym__terminator_token1,
    ACTIONS(17502), 1,
      anon_sym_DOT,
    STATE(12626), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11038), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167743] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11050), 1,
      aux_sym__terminator_token1,
    ACTIONS(17502), 1,
      anon_sym_DOT,
    STATE(12627), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11048), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167790] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17244), 1,
      anon_sym_COMMA,
    STATE(12360), 1,
      aux_sym_open_tuple_repeat1,
    STATE(12628), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11130), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [167839] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10986), 1,
      aux_sym__terminator_token1,
    ACTIONS(17182), 1,
      anon_sym_DOT,
    STATE(12629), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10982), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167886] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11040), 1,
      aux_sym__terminator_token1,
    ACTIONS(17182), 1,
      anon_sym_DOT,
    STATE(12630), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11038), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167933] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11050), 1,
      aux_sym__terminator_token1,
    ACTIONS(17182), 1,
      anon_sym_DOT,
    STATE(12631), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11048), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [167980] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10870), 1,
      aux_sym__terminator_token1,
    ACTIONS(17502), 1,
      anon_sym_DOT,
    STATE(12632), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [168027] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(12633), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10209), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10211), 22,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_in,
      anon_sym_u2208,
      anon_sym_SQUOTE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [168072] = 19,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12634), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 10,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [168144] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10870), 1,
      aux_sym__terminator_token1,
    ACTIONS(17504), 1,
      anon_sym_DOT,
    STATE(12635), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [168190] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17506), 1,
      anon_sym_DOT,
    ACTIONS(11040), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12636), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11038), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [168236] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17040), 1,
      anon_sym_QMARK,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17510), 1,
      aux_sym__terminator_token1,
    STATE(14608), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12637), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(17508), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [168320] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15521), 1,
      anon_sym_EQ,
    STATE(12638), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [168366] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17040), 1,
      anon_sym_QMARK,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    STATE(14608), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12639), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [168450] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11310), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17066), 1,
      sym__power_operator,
    STATE(12640), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [168498] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16938), 1,
      anon_sym_COMMA,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16952), 1,
      anon_sym_QMARK,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    STATE(14601), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12641), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [168582] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15620), 1,
      anon_sym_EQ,
    STATE(12642), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [168628] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17211), 1,
      anon_sym_QMARK,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12643), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11134), 6,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [168708] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11790), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12644), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 21,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [168764] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11790), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12645), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 21,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [168820] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6779), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17512), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16269), 1,
      aux_sym_argument_list_repeat1,
    STATE(17379), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12646), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [168912] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15463), 1,
      anon_sym_DASH_GT,
    ACTIONS(15757), 1,
      anon_sym_EQ,
    STATE(12647), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [168960] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9095), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17514), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16293), 1,
      sym__comprehension_clause,
    STATE(16295), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12648), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [169052] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11314), 1,
      aux_sym__terminator_token1,
    STATE(12649), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11312), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [169096] = 17,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11878), 1,
      aux_sym__terminator_token1,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12650), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11876), 12,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [169164] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15497), 1,
      anon_sym_DASH_GT,
    STATE(12651), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [169210] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(15574), 1,
      anon_sym_EQ,
    STATE(12652), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [169256] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(16938), 1,
      anon_sym_COMMA,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16952), 1,
      anon_sym_QMARK,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    STATE(12431), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12653), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [169340] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(15574), 1,
      anon_sym_EQ,
    STATE(12654), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [169386] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(16938), 1,
      anon_sym_COMMA,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16952), 1,
      anon_sym_QMARK,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    STATE(12431), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12655), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [169470] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(15574), 1,
      anon_sym_EQ,
    STATE(12656), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [169516] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(16938), 1,
      anon_sym_COMMA,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16952), 1,
      anon_sym_QMARK,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    STATE(12431), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12657), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [169600] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17516), 1,
      anon_sym_COMMA,
    STATE(12658), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11139), 20,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [169646] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15503), 1,
      anon_sym_EQ,
    STATE(12659), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11260), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [169692] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11310), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16978), 1,
      sym__power_operator,
    STATE(12660), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [169740] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6665), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17519), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16236), 1,
      sym__comprehension_clause,
    STATE(16346), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12661), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [169832] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15475), 1,
      anon_sym_DASH_GT,
    STATE(12662), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [169878] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17521), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16372), 1,
      sym__comprehension_clause,
    STATE(16373), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12663), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [169970] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15457), 1,
      anon_sym_DASH_GT,
    STATE(12664), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170016] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11326), 1,
      aux_sym__terminator_token1,
    STATE(12665), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11324), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170060] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10870), 1,
      aux_sym__terminator_token1,
    ACTIONS(17523), 1,
      anon_sym_DOT,
    STATE(12666), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170106] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11334), 1,
      aux_sym__terminator_token1,
    STATE(12667), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11332), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170150] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11338), 1,
      aux_sym__terminator_token1,
    STATE(12668), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11336), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170194] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11342), 1,
      aux_sym__terminator_token1,
    STATE(12669), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11340), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170238] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11346), 1,
      aux_sym__terminator_token1,
    STATE(12670), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11344), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170282] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11350), 1,
      aux_sym__terminator_token1,
    STATE(12671), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11348), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170326] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11354), 1,
      aux_sym__terminator_token1,
    STATE(12672), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11352), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170370] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11360), 1,
      aux_sym__terminator_token1,
    STATE(12673), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11358), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170414] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11364), 1,
      aux_sym__terminator_token1,
    STATE(12674), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11362), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170458] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11368), 1,
      aux_sym__terminator_token1,
    STATE(12675), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11366), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170502] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11372), 1,
      aux_sym__terminator_token1,
    STATE(12676), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11370), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [170546] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6979), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17525), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16567), 1,
      aux_sym_argument_list_repeat1,
    STATE(17051), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12677), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [170638] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11220), 1,
      aux_sym__terminator_token1,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17040), 1,
      anon_sym_QMARK,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12678), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11216), 6,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
      sym__pair_operator,
  [170718] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6739), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17527), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16316), 1,
      sym__comprehension_clause,
    STATE(16476), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12679), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [170810] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7481), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17529), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16736), 1,
      sym__comprehension_clause,
    STATE(16745), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12680), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [170902] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7229), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17531), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16545), 1,
      sym__comprehension_clause,
    STATE(16546), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12681), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [170994] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6927), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17533), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17319), 1,
      sym__comprehension_clause,
    STATE(17415), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12682), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [171086] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17244), 1,
      anon_sym_COMMA,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17256), 1,
      sym__pair_operator,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17535), 1,
      anon_sym_QMARK,
    STATE(12628), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12683), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11202), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [171170] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17244), 1,
      anon_sym_COMMA,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17256), 1,
      sym__pair_operator,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17535), 1,
      anon_sym_QMARK,
    STATE(12628), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12684), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11206), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [171254] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17244), 1,
      anon_sym_COMMA,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17256), 1,
      sym__pair_operator,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17535), 1,
      anon_sym_QMARK,
    STATE(12628), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12685), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11210), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [171338] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6717), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17537), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17164), 1,
      sym__comprehension_clause,
    STATE(17336), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12686), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [171430] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8485), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17539), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16314), 1,
      sym__comprehension_clause,
    STATE(16352), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12687), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [171522] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15761), 1,
      anon_sym_EQ,
    STATE(12688), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [171570] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12689), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 16,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [171636] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17211), 1,
      anon_sym_QMARK,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12690), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 6,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [171716] = 21,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12691), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [171792] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15475), 1,
      anon_sym_DASH_GT,
    STATE(12692), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [171838] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15457), 1,
      anon_sym_DASH_GT,
    STATE(12693), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [171884] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(15574), 1,
      anon_sym_EQ,
    STATE(12694), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [171930] = 19,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12695), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 10,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [172002] = 18,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12696), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 11,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [172072] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12697), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 18,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [172134] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12698), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 16,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [172200] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12699), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 21,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [172256] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    STATE(12700), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 23,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [172310] = 27,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17541), 1,
      anon_sym_COMMA,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17547), 1,
      anon_sym_SEMI,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17551), 1,
      anon_sym_QMARK,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17579), 1,
      aux_sym__terminator_token1,
    STATE(14623), 1,
      aux_sym_open_tuple_repeat1,
    STATE(15633), 1,
      aux_sym__block_repeat1,
    ACTIONS(16940), 2,
      anon_sym_end,
      anon_sym_catch,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12701), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [172398] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6643), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17581), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16405), 1,
      sym__comprehension_clause,
    STATE(16934), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12702), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [172490] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    STATE(12703), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 24,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [172542] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15606), 1,
      anon_sym_EQ,
    STATE(12704), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [172588] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    STATE(12705), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [172638] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17066), 1,
      sym__power_operator,
    STATE(12706), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [172686] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    STATE(12707), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [172732] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7297), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17583), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16951), 1,
      sym__comprehension_clause,
    STATE(16952), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12708), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [172824] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15491), 1,
      anon_sym_DASH_GT,
    STATE(12709), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [172870] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    STATE(12658), 1,
      aux_sym_open_tuple_repeat1,
    STATE(12710), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11130), 20,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [172918] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(15723), 1,
      anon_sym_EQ,
    STATE(12711), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [172966] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11384), 1,
      aux_sym__terminator_token1,
    STATE(12712), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11382), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [173010] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    STATE(12713), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [173054] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15491), 1,
      anon_sym_DASH_GT,
    STATE(12714), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [173100] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15723), 1,
      anon_sym_EQ,
    STATE(12715), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [173148] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    STATE(12716), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [173192] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6813), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17585), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16604), 1,
      aux_sym_argument_list_repeat1,
    STATE(17440), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12717), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [173284] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16938), 1,
      anon_sym_COMMA,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16952), 1,
      anon_sym_QMARK,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    STATE(12431), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12718), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [173368] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15457), 1,
      anon_sym_DASH_GT,
    STATE(12719), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [173414] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11130), 1,
      aux_sym__terminator_token1,
    ACTIONS(17587), 1,
      anon_sym_COMMA,
    STATE(12788), 1,
      aux_sym_open_tuple_repeat1,
    STATE(12720), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 26,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [173462] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15483), 1,
      anon_sym_DASH_GT,
    ACTIONS(15755), 1,
      anon_sym_EQ,
    STATE(12721), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [173510] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11388), 1,
      aux_sym__terminator_token1,
    STATE(12722), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11386), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [173554] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6871), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17589), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16668), 1,
      sym__comprehension_clause,
    STATE(17005), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12723), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [173646] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11392), 1,
      aux_sym__terminator_token1,
    STATE(12724), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11390), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [173690] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11396), 1,
      aux_sym__terminator_token1,
    STATE(12725), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11394), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [173734] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11400), 1,
      aux_sym__terminator_token1,
    STATE(12726), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11398), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [173778] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7339), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17591), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17018), 1,
      sym__comprehension_clause,
    STATE(17019), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12727), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [173870] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11404), 1,
      aux_sym__terminator_token1,
    STATE(12728), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11402), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [173914] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11408), 1,
      aux_sym__terminator_token1,
    STATE(12729), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11406), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [173958] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11412), 1,
      aux_sym__terminator_token1,
    STATE(12730), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11410), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [174002] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11416), 1,
      aux_sym__terminator_token1,
    STATE(12731), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11414), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [174046] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11134), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17252), 1,
      anon_sym_QMARK,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17256), 1,
      sym__pair_operator,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12732), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11139), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [174128] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15471), 1,
      anon_sym_DASH_GT,
    ACTIONS(15721), 1,
      anon_sym_EQ,
    STATE(12733), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [174176] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11420), 1,
      aux_sym__terminator_token1,
    STATE(12734), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11418), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [174220] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11424), 1,
      aux_sym__terminator_token1,
    STATE(12735), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11422), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [174264] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11428), 1,
      aux_sym__terminator_token1,
    STATE(12736), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11426), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [174308] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11483), 1,
      aux_sym__terminator_token1,
    STATE(12737), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11481), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [174352] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11487), 1,
      aux_sym__terminator_token1,
    STATE(12738), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11485), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [174396] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11491), 1,
      aux_sym__terminator_token1,
    STATE(12739), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11489), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [174440] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17040), 1,
      anon_sym_QMARK,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    STATE(12425), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12740), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [174524] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11154), 1,
      aux_sym__terminator_token1,
    STATE(12741), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11149), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [174568] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15463), 1,
      anon_sym_DASH_GT,
    ACTIONS(15693), 1,
      anon_sym_EQ,
    STATE(12742), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [174616] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11161), 1,
      aux_sym__terminator_token1,
    STATE(12743), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11159), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [174660] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8819), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17593), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16808), 1,
      sym__comprehension_clause,
    STATE(16907), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12744), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [174752] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11495), 1,
      aux_sym__terminator_token1,
    STATE(12745), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11493), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [174796] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6653), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17595), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16972), 1,
      sym__comprehension_clause,
    STATE(17073), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12746), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [174888] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11499), 1,
      aux_sym__terminator_token1,
    STATE(12747), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11497), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [174932] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15441), 1,
      anon_sym_DASH_GT,
    STATE(12748), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [174978] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7081), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17597), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16299), 1,
      sym__comprehension_clause,
    STATE(17110), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12749), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [175070] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17599), 1,
      anon_sym_COMMA,
    STATE(12751), 1,
      aux_sym_open_tuple_repeat1,
    STATE(12750), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11130), 19,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [175118] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17601), 1,
      anon_sym_COMMA,
    STATE(12751), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11139), 19,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [175164] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(165), 1,
      anon_sym_DASH_GT,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    STATE(12752), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [175210] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7413), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17604), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17090), 1,
      sym__comprehension_clause,
    STATE(17093), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12753), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [175302] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(12153), 1,
      aux_sym__terminator_token1,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(17219), 1,
      anon_sym_QMARK,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12754), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(12151), 6,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [175382] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15693), 1,
      anon_sym_EQ,
    STATE(12755), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [175430] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(16041), 1,
      anon_sym_EQ,
    STATE(12756), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [175476] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(16041), 1,
      anon_sym_EQ,
    STATE(12757), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [175522] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(16041), 1,
      anon_sym_EQ,
    STATE(12758), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [175568] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8043), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17606), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17182), 1,
      sym__comprehension_clause,
    STATE(17183), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12759), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [175660] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16031), 1,
      anon_sym_EQ,
    STATE(12760), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [175706] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16041), 1,
      anon_sym_EQ,
    STATE(12761), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [175752] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12762), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [175818] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11876), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12763), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 12,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [175888] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17252), 1,
      anon_sym_QMARK,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17256), 1,
      sym__pair_operator,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12764), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [175970] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12765), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [176048] = 20,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12766), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 10,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [176122] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12767), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 11,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [176194] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12768), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [176256] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12769), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [176322] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12151), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17252), 1,
      anon_sym_QMARK,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17256), 1,
      sym__pair_operator,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12770), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(12153), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [176404] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15503), 1,
      anon_sym_EQ,
    STATE(12771), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11202), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [176450] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15503), 1,
      anon_sym_EQ,
    STATE(12772), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11206), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [176496] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15503), 1,
      anon_sym_EQ,
    STATE(12773), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11210), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [176542] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11503), 1,
      aux_sym__terminator_token1,
    STATE(12774), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11501), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [176586] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15757), 1,
      anon_sym_EQ,
    STATE(12775), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [176634] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11507), 1,
      aux_sym__terminator_token1,
    STATE(12776), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11505), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [176678] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11511), 1,
      aux_sym__terminator_token1,
    STATE(12777), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11509), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [176722] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11515), 1,
      aux_sym__terminator_token1,
    STATE(12778), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11513), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [176766] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11519), 1,
      aux_sym__terminator_token1,
    STATE(12779), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11517), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [176810] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12780), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [176866] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    STATE(12781), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [176920] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    STATE(12782), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [176972] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    STATE(12783), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [177022] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17280), 1,
      sym__power_operator,
    STATE(12784), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 20,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [177070] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11523), 1,
      aux_sym__terminator_token1,
    STATE(12785), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11521), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [177114] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11527), 1,
      aux_sym__terminator_token1,
    STATE(12786), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11525), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [177158] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11531), 1,
      aux_sym__terminator_token1,
    STATE(12787), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11529), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [177202] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    STATE(12788), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 26,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [177248] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17280), 1,
      sym__power_operator,
    STATE(12789), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 20,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [177296] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12790), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [177352] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6825), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17611), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17035), 1,
      sym__comprehension_clause,
    STATE(17150), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12791), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [177444] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7463), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17613), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17172), 1,
      sym__comprehension_clause,
    STATE(17173), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12792), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [177536] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15503), 1,
      anon_sym_EQ,
    STATE(12793), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [177582] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15677), 1,
      anon_sym_EQ,
    STATE(12794), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [177630] = 27,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17615), 1,
      anon_sym_COMMA,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17621), 1,
      anon_sym_SEMI,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17625), 1,
      anon_sym_QMARK,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17653), 1,
      aux_sym__terminator_token1,
    STATE(14618), 1,
      aux_sym_open_tuple_repeat1,
    STATE(15671), 1,
      aux_sym__block_repeat1,
    ACTIONS(16940), 2,
      anon_sym_end,
      anon_sym_finally,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12795), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [177718] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15501), 1,
      anon_sym_DASH_GT,
    ACTIONS(15739), 1,
      anon_sym_EQ,
    STATE(12796), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [177766] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15739), 1,
      anon_sym_EQ,
    STATE(12797), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [177814] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(12153), 1,
      aux_sym__terminator_token1,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17211), 1,
      anon_sym_QMARK,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12798), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(12151), 6,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [177894] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11535), 1,
      aux_sym__terminator_token1,
    STATE(12799), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11533), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [177938] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11539), 1,
      aux_sym__terminator_token1,
    STATE(12800), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11537), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [177982] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11543), 1,
      aux_sym__terminator_token1,
    STATE(12801), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11541), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [178026] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15481), 1,
      anon_sym_DASH_GT,
    STATE(12802), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [178072] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11547), 1,
      aux_sym__terminator_token1,
    STATE(12803), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11545), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [178116] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17535), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12804), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11220), 6,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      sym__pair_operator,
  [178198] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11551), 1,
      aux_sym__terminator_token1,
    STATE(12805), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11549), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [178242] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15721), 1,
      anon_sym_EQ,
    STATE(12806), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [178290] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11555), 1,
      aux_sym__terminator_token1,
    STATE(12807), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11553), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [178334] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11559), 1,
      aux_sym__terminator_token1,
    STATE(12808), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11557), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [178378] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11563), 1,
      aux_sym__terminator_token1,
    STATE(12809), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11561), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [178422] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17655), 1,
      anon_sym_COMMA,
    ACTIONS(17657), 1,
      anon_sym_as,
    ACTIONS(17659), 1,
      anon_sym_COLON,
    STATE(13306), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(11032), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12810), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 23,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [178474] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7071), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17661), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17116), 1,
      sym__comprehension_clause,
    STATE(17238), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12811), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [178566] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11220), 1,
      aux_sym__terminator_token1,
    STATE(12812), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11216), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [178610] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7509), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17663), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17254), 1,
      sym__comprehension_clause,
    STATE(17257), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12813), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [178702] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6801), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17665), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17127), 1,
      sym__comprehension_clause,
    STATE(17274), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12814), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [178794] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8769), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17667), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(15862), 1,
      aux_sym_argument_list_repeat1,
    STATE(17424), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12815), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [178886] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11567), 1,
      aux_sym__terminator_token1,
    STATE(12816), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11565), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [178930] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11571), 1,
      aux_sym__terminator_token1,
    STATE(12817), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11569), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [178974] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11575), 1,
      aux_sym__terminator_token1,
    STATE(12818), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11573), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [179018] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11579), 1,
      aux_sym__terminator_token1,
    STATE(12819), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11577), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [179062] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11583), 1,
      aux_sym__terminator_token1,
    STATE(12820), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11581), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [179106] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11587), 1,
      aux_sym__terminator_token1,
    STATE(12821), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11585), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [179150] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11591), 1,
      aux_sym__terminator_token1,
    STATE(12822), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11589), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [179194] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11595), 1,
      aux_sym__terminator_token1,
    STATE(12823), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11593), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [179238] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6709), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17669), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17199), 1,
      sym__comprehension_clause,
    STATE(17302), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12824), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [179330] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11599), 1,
      aux_sym__terminator_token1,
    STATE(12825), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11597), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [179374] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11603), 1,
      aux_sym__terminator_token1,
    STATE(12826), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11601), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [179418] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11607), 1,
      aux_sym__terminator_token1,
    STATE(12827), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11605), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [179462] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11611), 1,
      aux_sym__terminator_token1,
    STATE(12828), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11609), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [179506] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7565), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17671), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17315), 1,
      sym__comprehension_clause,
    STATE(17316), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12829), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [179598] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7117), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17673), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16936), 1,
      sym__comprehension_clause,
    STATE(17391), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12830), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [179690] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11166), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17679), 1,
      anon_sym_QMARK,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    STATE(12710), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12831), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11202), 4,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [179776] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11204), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17679), 1,
      anon_sym_QMARK,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    STATE(12710), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12832), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11206), 4,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [179862] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11208), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17679), 1,
      anon_sym_QMARK,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    STATE(12710), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12833), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11210), 4,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [179948] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11220), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17715), 1,
      anon_sym_QMARK,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12834), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11216), 6,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
      sym__pair_operator,
  [180028] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11258), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17679), 1,
      anon_sym_QMARK,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    STATE(12710), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12835), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11260), 4,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [180114] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8513), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17741), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17436), 1,
      sym__comprehension_clause,
    STATE(17437), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12836), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [180206] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11216), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17679), 1,
      anon_sym_QMARK,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12837), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11220), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym__pair_operator,
  [180288] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11706), 1,
      aux_sym__terminator_token1,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(17219), 1,
      anon_sym_QMARK,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12838), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11704), 6,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [180368] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11384), 1,
      aux_sym__terminator_token1,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(17219), 1,
      anon_sym_QMARK,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12839), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11382), 6,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [180448] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11706), 1,
      aux_sym__terminator_token1,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17211), 1,
      anon_sym_QMARK,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12840), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11704), 6,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [180528] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15481), 1,
      anon_sym_DASH_GT,
    STATE(12841), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [180574] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11384), 1,
      aux_sym__terminator_token1,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17211), 1,
      anon_sym_QMARK,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12842), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11382), 6,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [180654] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11615), 1,
      aux_sym__terminator_token1,
    STATE(12843), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11613), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [180698] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11619), 1,
      aux_sym__terminator_token1,
    STATE(12844), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11617), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [180742] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11623), 1,
      aux_sym__terminator_token1,
    STATE(12845), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11621), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [180786] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11627), 1,
      aux_sym__terminator_token1,
    STATE(12846), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11625), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [180830] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(15653), 1,
      anon_sym_EQ,
    STATE(12847), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [180876] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11631), 1,
      aux_sym__terminator_token1,
    STATE(12848), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11629), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [180920] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6849), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17743), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17275), 1,
      sym__comprehension_clause,
    STATE(17374), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12849), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [181012] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11220), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17745), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12850), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11216), 6,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
      sym__pair_operator,
  [181092] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7605), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17747), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17402), 1,
      sym__comprehension_clause,
    STATE(17405), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12851), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [181184] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15481), 1,
      anon_sym_DASH_GT,
    STATE(12852), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [181230] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15483), 1,
      anon_sym_DASH_GT,
    ACTIONS(15687), 1,
      anon_sym_EQ,
    STATE(12853), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [181278] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11220), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17749), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12854), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11216), 6,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
      sym__pair_operator,
  [181358] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11635), 1,
      aux_sym__terminator_token1,
    STATE(12855), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11633), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [181402] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11639), 1,
      aux_sym__terminator_token1,
    STATE(12856), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11637), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [181446] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15687), 1,
      anon_sym_EQ,
    STATE(12857), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [181494] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17587), 1,
      anon_sym_COMMA,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17715), 1,
      anon_sym_QMARK,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    STATE(12720), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12858), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 4,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [181578] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11643), 1,
      aux_sym__terminator_token1,
    STATE(12859), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11641), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [181622] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17541), 1,
      anon_sym_COMMA,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17745), 1,
      anon_sym_QMARK,
    STATE(13029), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12860), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [181706] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17615), 1,
      anon_sym_COMMA,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17749), 1,
      anon_sym_QMARK,
    STATE(12907), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12861), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [181790] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17587), 1,
      anon_sym_COMMA,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17715), 1,
      anon_sym_QMARK,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    STATE(12720), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12862), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 4,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [181874] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17587), 1,
      anon_sym_COMMA,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17715), 1,
      anon_sym_QMARK,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    STATE(12720), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12863), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 4,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [181958] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17587), 1,
      anon_sym_COMMA,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17715), 1,
      anon_sym_QMARK,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    STATE(12720), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12864), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 4,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [182042] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11647), 1,
      aux_sym__terminator_token1,
    STATE(12865), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11645), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [182086] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17541), 1,
      anon_sym_COMMA,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17745), 1,
      anon_sym_QMARK,
    STATE(13029), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12866), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [182170] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17541), 1,
      anon_sym_COMMA,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17745), 1,
      anon_sym_QMARK,
    STATE(13029), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12867), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [182254] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17541), 1,
      anon_sym_COMMA,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17745), 1,
      anon_sym_QMARK,
    STATE(13029), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12868), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [182338] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17615), 1,
      anon_sym_COMMA,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17749), 1,
      anon_sym_QMARK,
    STATE(12907), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12869), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [182422] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17615), 1,
      anon_sym_COMMA,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17749), 1,
      anon_sym_QMARK,
    STATE(12907), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12870), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [182506] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17615), 1,
      anon_sym_COMMA,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17749), 1,
      anon_sym_QMARK,
    STATE(12907), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12871), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [182590] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7421), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16438), 1,
      sym__comprehension_clause,
    STATE(16463), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12872), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [182682] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17599), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17759), 1,
      anon_sym_QMARK,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17763), 1,
      sym__pair_operator,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    STATE(12750), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11258), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12873), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11260), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [182768] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15586), 1,
      anon_sym_EQ,
    STATE(12874), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [182814] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7029), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17789), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17333), 1,
      sym__comprehension_clause,
    STATE(17478), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12875), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [182906] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(16031), 1,
      anon_sym_EQ,
    STATE(12876), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [182952] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(16031), 1,
      anon_sym_EQ,
    STATE(12877), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [182998] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(16031), 1,
      anon_sym_EQ,
    STATE(12878), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [183044] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15638), 1,
      anon_sym_EQ,
    STATE(12879), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [183090] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7641), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17791), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17494), 1,
      sym__comprehension_clause,
    STATE(17495), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12880), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [183182] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11382), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17252), 1,
      anon_sym_QMARK,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17256), 1,
      sym__pair_operator,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12881), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11384), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [183264] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15475), 1,
      anon_sym_DASH_GT,
    STATE(12882), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [183310] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11704), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17252), 1,
      anon_sym_QMARK,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17256), 1,
      sym__pair_operator,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12883), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11706), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [183392] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17599), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17759), 1,
      anon_sym_QMARK,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17763), 1,
      sym__pair_operator,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    STATE(12750), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11166), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12884), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11202), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [183478] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17599), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17759), 1,
      anon_sym_QMARK,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17763), 1,
      sym__pair_operator,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    STATE(12750), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11204), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12885), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11206), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [183564] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17599), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17759), 1,
      anon_sym_QMARK,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17763), 1,
      sym__pair_operator,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    STATE(12750), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11208), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12886), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11210), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [183650] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17759), 1,
      anon_sym_QMARK,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11216), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12887), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11220), 4,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
  [183734] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6673), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17793), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17435), 1,
      sym__comprehension_clause,
    STATE(17555), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12888), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [183826] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11318), 1,
      aux_sym__terminator_token1,
    STATE(12889), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11316), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [183870] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6969), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17795), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16538), 1,
      aux_sym_argument_list_repeat1,
    STATE(16913), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12890), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [183962] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7707), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17580), 1,
      sym__comprehension_clause,
    STATE(17581), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12891), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [184054] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8895), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17799), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16686), 1,
      sym__comprehension_clause,
    STATE(16713), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12892), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [184146] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17759), 1,
      anon_sym_QMARK,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11216), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12893), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11220), 5,
      anon_sym_COMMA,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
  [184228] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11322), 1,
      aux_sym__terminator_token1,
    STATE(12894), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11320), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [184272] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(17219), 1,
      anon_sym_QMARK,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12895), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11134), 6,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [184352] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6769), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17801), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(15910), 1,
      aux_sym_argument_list_repeat1,
    STATE(17525), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12896), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [184444] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17803), 1,
      sym__immediate_string_start,
    ACTIONS(17805), 1,
      sym__immediate_command_start,
    STATE(12897), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 19,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_as,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [184492] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7741), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17807), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16479), 1,
      sym__comprehension_clause,
    STATE(16480), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12898), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [184584] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17803), 1,
      sym__immediate_string_start,
    ACTIONS(17805), 1,
      sym__immediate_command_start,
    STATE(12899), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 19,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_as,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [184632] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6889), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17809), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16192), 1,
      aux_sym_argument_list_repeat1,
    STATE(17128), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12900), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [184724] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7791), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17811), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16394), 1,
      sym__comprehension_clause,
    STATE(16409), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12901), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [184816] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17655), 1,
      anon_sym_COMMA,
    ACTIONS(17657), 1,
      anon_sym_as,
    STATE(13306), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(11032), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12902), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 24,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [184866] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17535), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12903), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11220), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      sym__pair_operator,
  [184946] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    STATE(12904), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [184990] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(15653), 1,
      anon_sym_EQ,
    STATE(12905), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [185036] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(17813), 1,
      anon_sym_COMMA,
    ACTIONS(17815), 1,
      anon_sym_as,
    STATE(13117), 1,
      aux_sym__import_list_repeat1,
    STATE(12906), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [185086] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11130), 1,
      aux_sym__terminator_token1,
    ACTIONS(17615), 1,
      anon_sym_COMMA,
    STATE(12913), 1,
      aux_sym_open_tuple_repeat1,
    STATE(12907), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [185134] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17506), 1,
      anon_sym_DOT,
    ACTIONS(10870), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12908), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [185180] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7039), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17817), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17065), 1,
      sym__comprehension_clause,
    STATE(17101), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12909), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [185272] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7837), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17819), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17179), 1,
      sym__comprehension_clause,
    STATE(17193), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12910), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [185364] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    STATE(12911), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [185408] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17040), 1,
      anon_sym_QMARK,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    STATE(12425), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12912), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [185492] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(17821), 1,
      anon_sym_COMMA,
    STATE(12913), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [185538] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7051), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17824), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16654), 1,
      aux_sym_argument_list_repeat1,
    STATE(17219), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12914), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [185630] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15431), 1,
      anon_sym_DASH_GT,
    STATE(12915), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [185676] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17244), 1,
      anon_sym_COMMA,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17256), 1,
      sym__pair_operator,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17535), 1,
      anon_sym_QMARK,
    STATE(12628), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12916), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11260), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [185760] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15499), 1,
      anon_sym_DASH_GT,
    STATE(12917), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [185806] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15471), 1,
      anon_sym_DASH_GT,
    ACTIONS(15665), 1,
      anon_sym_EQ,
    STATE(12918), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [185854] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11706), 1,
      aux_sym__terminator_token1,
    STATE(12919), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11704), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [185898] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15497), 1,
      anon_sym_DASH_GT,
    STATE(12920), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [185944] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15755), 1,
      anon_sym_EQ,
    STATE(12921), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [185992] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9011), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17826), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16298), 1,
      sym__comprehension_clause,
    STATE(16303), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12922), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [186084] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11376), 1,
      aux_sym__terminator_token1,
    STATE(12923), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11374), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [186128] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16141), 1,
      anon_sym_EQ,
    STATE(12924), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11202), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [186174] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16141), 1,
      anon_sym_EQ,
    STATE(12925), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11206), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [186220] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16141), 1,
      anon_sym_EQ,
    STATE(12926), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11210), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [186266] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6681), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17828), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16940), 1,
      aux_sym_argument_list_repeat1,
    STATE(17195), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12927), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [186358] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6647), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17830), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16315), 1,
      aux_sym_argument_list_repeat1,
    STATE(16672), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12928), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [186450] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7887), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17832), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16407), 1,
      sym__comprehension_clause,
    STATE(16408), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12929), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [186542] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15653), 1,
      anon_sym_EQ,
    STATE(12930), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [186588] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16141), 1,
      anon_sym_EQ,
    STATE(12931), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11260), 22,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [186634] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15574), 1,
      anon_sym_EQ,
    STATE(12932), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [186680] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7825), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17834), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17040), 1,
      sym__comprehension_clause,
    STATE(17041), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12933), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [186772] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17040), 1,
      anon_sym_QMARK,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17838), 1,
      aux_sym__terminator_token1,
    STATE(14608), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12934), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(17836), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [186856] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15473), 1,
      anon_sym_DASH_GT,
    ACTIONS(15677), 1,
      anon_sym_EQ,
    STATE(12935), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [186904] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15665), 1,
      anon_sym_EQ,
    STATE(12936), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [186952] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(15653), 1,
      anon_sym_EQ,
    STATE(12937), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [186998] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    STATE(12938), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [187042] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17040), 1,
      anon_sym_QMARK,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    STATE(12425), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12939), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [187126] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11288), 1,
      aux_sym__terminator_token1,
    ACTIONS(17840), 1,
      anon_sym_COMMA,
    STATE(12945), 1,
      aux_sym_export_statement_repeat1,
    STATE(12940), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11286), 26,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [187174] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11292), 1,
      aux_sym__terminator_token1,
    ACTIONS(17840), 1,
      anon_sym_COMMA,
    STATE(12945), 1,
      aux_sym_export_statement_repeat1,
    STATE(12941), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11290), 26,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [187222] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11068), 1,
      aux_sym__terminator_token1,
    ACTIONS(17230), 1,
      anon_sym_COMMA,
    STATE(12947), 1,
      aux_sym__import_list_repeat1,
    STATE(12942), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11066), 26,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [187270] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(15653), 1,
      anon_sym_EQ,
    STATE(12943), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 27,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [187316] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16938), 1,
      anon_sym_COMMA,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16952), 1,
      anon_sym_QMARK,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(17510), 1,
      aux_sym__terminator_token1,
    STATE(14601), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12944), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(17508), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [187400] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11154), 1,
      aux_sym__terminator_token1,
    ACTIONS(17842), 1,
      anon_sym_COMMA,
    STATE(12945), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(11149), 26,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [187446] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11161), 1,
      aux_sym__terminator_token1,
    ACTIONS(17232), 1,
      anon_sym_as,
    STATE(12946), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11159), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [187492] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11161), 1,
      aux_sym__terminator_token1,
    ACTIONS(17845), 1,
      anon_sym_COMMA,
    STATE(12947), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__import_list_repeat1,
    ACTIONS(11159), 26,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [187538] = 27,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17587), 1,
      anon_sym_COMMA,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    ACTIONS(17848), 1,
      anon_sym_SEMI,
    ACTIONS(17850), 1,
      anon_sym_QMARK,
    ACTIONS(17852), 1,
      aux_sym__terminator_token1,
    STATE(14615), 1,
      aux_sym_open_tuple_repeat1,
    STATE(15594), 1,
      aux_sym__block_repeat1,
    ACTIONS(16940), 2,
      anon_sym_catch,
      anon_sym_finally,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12948), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [187626] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15483), 1,
      anon_sym_DASH_GT,
    ACTIONS(15763), 1,
      anon_sym_EQ,
    STATE(12949), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [187674] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    STATE(12950), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [187718] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6721), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17854), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16774), 1,
      aux_sym_argument_list_repeat1,
    STATE(17564), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12951), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [187810] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7923), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17856), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16942), 1,
      sym__comprehension_clause,
    STATE(16943), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12952), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [187902] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15763), 1,
      anon_sym_EQ,
    STATE(12953), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [187950] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11220), 1,
      aux_sym__terminator_token1,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16952), 1,
      anon_sym_QMARK,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12954), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11216), 6,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
      sym__pair_operator,
  [188030] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7089), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17858), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16280), 1,
      sym__comprehension_clause,
    STATE(17151), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12955), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [188122] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17040), 1,
      anon_sym_QMARK,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    STATE(12425), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12956), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [188206] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6805), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17860), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16231), 1,
      sym__comprehension_clause,
    STATE(17443), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12957), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [188298] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17506), 1,
      anon_sym_DOT,
    ACTIONS(10986), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12958), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10982), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [188344] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9023), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17862), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17243), 1,
      sym__comprehension_clause,
    STATE(17258), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12959), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [188436] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    STATE(12960), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [188482] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15703), 1,
      anon_sym_EQ,
    STATE(12961), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 22,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [188528] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(15703), 1,
      anon_sym_EQ,
    STATE(12962), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [188576] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    STATE(12963), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 21,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [188622] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6797), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17864), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16481), 1,
      sym__comprehension_clause,
    STATE(17176), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12964), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [188714] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7969), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17866), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17273), 1,
      sym__comprehension_clause,
    STATE(17277), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12965), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [188806] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11288), 1,
      aux_sym__terminator_token1,
    ACTIONS(17868), 1,
      anon_sym_COMMA,
    STATE(12969), 1,
      aux_sym_export_statement_repeat1,
    STATE(12966), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11286), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [188854] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11292), 1,
      aux_sym__terminator_token1,
    ACTIONS(17868), 1,
      anon_sym_COMMA,
    STATE(12969), 1,
      aux_sym_export_statement_repeat1,
    STATE(12967), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11290), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [188902] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11068), 1,
      aux_sym__terminator_token1,
    ACTIONS(17322), 1,
      anon_sym_COMMA,
    STATE(12971), 1,
      aux_sym__import_list_repeat1,
    STATE(12968), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11066), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [188950] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11154), 1,
      aux_sym__terminator_token1,
    ACTIONS(17870), 1,
      anon_sym_COMMA,
    STATE(12969), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(11149), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [188996] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11161), 1,
      aux_sym__terminator_token1,
    ACTIONS(17324), 1,
      anon_sym_as,
    STATE(12970), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11159), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [189042] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11161), 1,
      aux_sym__terminator_token1,
    ACTIONS(17873), 1,
      anon_sym_COMMA,
    STATE(12971), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__import_list_repeat1,
    ACTIONS(11159), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [189088] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11288), 1,
      aux_sym__terminator_token1,
    ACTIONS(17876), 1,
      anon_sym_COMMA,
    STATE(12976), 1,
      aux_sym_export_statement_repeat1,
    STATE(12972), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11286), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [189136] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11292), 1,
      aux_sym__terminator_token1,
    ACTIONS(17876), 1,
      anon_sym_COMMA,
    STATE(12976), 1,
      aux_sym_export_statement_repeat1,
    STATE(12973), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11290), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [189184] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11068), 1,
      aux_sym__terminator_token1,
    ACTIONS(17340), 1,
      anon_sym_COMMA,
    STATE(12978), 1,
      aux_sym__import_list_repeat1,
    STATE(12974), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11066), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [189232] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6885), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17878), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16168), 1,
      aux_sym_argument_list_repeat1,
    STATE(17056), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12975), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [189324] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11154), 1,
      aux_sym__terminator_token1,
    ACTIONS(17880), 1,
      anon_sym_COMMA,
    STATE(12976), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(11149), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [189370] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11161), 1,
      aux_sym__terminator_token1,
    ACTIONS(17342), 1,
      anon_sym_as,
    STATE(12977), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11159), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [189416] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11161), 1,
      aux_sym__terminator_token1,
    ACTIONS(17883), 1,
      anon_sym_COMMA,
    STATE(12978), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__import_list_repeat1,
    ACTIONS(11159), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [189462] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8017), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17886), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16221), 1,
      sym__comprehension_clause,
    STATE(16228), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12979), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [189554] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(17813), 1,
      anon_sym_COMMA,
    ACTIONS(17815), 1,
      anon_sym_as,
    ACTIONS(17888), 1,
      anon_sym_COLON,
    STATE(13117), 1,
      aux_sym__import_list_repeat1,
    STATE(12980), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 24,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [189606] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17506), 1,
      anon_sym_DOT,
    ACTIONS(11050), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(12981), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11048), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [189652] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17890), 1,
      anon_sym_COMMA,
    ACTIONS(17892), 1,
      anon_sym_as,
    ACTIONS(17894), 1,
      anon_sym_COLON,
    STATE(13298), 1,
      aux_sym__import_list_repeat1,
    STATE(12982), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 6,
      anon_sym_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11032), 19,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [189704] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17896), 1,
      anon_sym_DOT,
    STATE(12983), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10982), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10986), 21,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [189750] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17896), 1,
      anon_sym_DOT,
    STATE(12984), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11038), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11040), 21,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [189796] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17896), 1,
      anon_sym_DOT,
    STATE(12985), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11048), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11050), 21,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [189842] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17890), 1,
      anon_sym_COMMA,
    ACTIONS(17892), 1,
      anon_sym_as,
    STATE(13298), 1,
      aux_sym__import_list_repeat1,
    STATE(12986), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11032), 19,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [189892] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7009), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17898), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16342), 1,
      aux_sym_argument_list_repeat1,
    STATE(17337), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12987), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [189984] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17900), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16375), 1,
      sym__comprehension_clause,
    STATE(16391), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12988), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [190076] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8163), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17902), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16171), 1,
      sym__comprehension_clause,
    STATE(16234), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12989), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [190168] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16938), 1,
      anon_sym_COMMA,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16952), 1,
      anon_sym_QMARK,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(17838), 1,
      aux_sym__terminator_token1,
    STATE(14601), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12990), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(17836), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [190252] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    STATE(12991), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [190296] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15491), 1,
      anon_sym_DASH_GT,
    STATE(12992), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [190342] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15497), 1,
      anon_sym_DASH_GT,
    STATE(12993), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [190388] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11052), 1,
      sym_identifier,
    STATE(12994), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 13,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
    ACTIONS(10131), 14,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
  [190436] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11053), 1,
      sym_identifier,
    STATE(12995), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 13,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
    ACTIONS(10135), 14,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
  [190484] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11136), 1,
      sym_identifier,
    STATE(12996), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 13,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
    ACTIONS(10143), 14,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
  [190532] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11071), 1,
      sym_identifier,
    STATE(12997), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 13,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
    ACTIONS(10007), 14,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
  [190580] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12998), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 16,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [190646] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17904), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16278), 1,
      sym__comprehension_clause,
    STATE(16493), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(12999), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [190738] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6923), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17906), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16175), 1,
      aux_sym_argument_list_repeat1,
    STATE(17468), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13000), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [190830] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15499), 1,
      anon_sym_DASH_GT,
    STATE(13001), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [190876] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8105), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17908), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16562), 1,
      sym__comprehension_clause,
    STATE(16566), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13002), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [190968] = 17,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11878), 1,
      aux_sym__terminator_token1,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13003), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11876), 12,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [191036] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(17219), 1,
      anon_sym_QMARK,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13004), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 6,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [191116] = 21,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13005), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [191192] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7449), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17910), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17027), 1,
      sym__comprehension_clause,
    STATE(17071), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13006), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [191284] = 18,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13007), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 11,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [191354] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13008), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 18,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [191416] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13009), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 16,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [191482] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13010), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 21,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [191538] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    STATE(13011), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 23,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [191592] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    STATE(13012), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 24,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [191644] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    STATE(13013), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [191694] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15501), 1,
      anon_sym_DASH_GT,
    ACTIONS(15761), 1,
      anon_sym_EQ,
    STATE(13014), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [191742] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16978), 1,
      sym__power_operator,
    STATE(13015), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [191790] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11302), 1,
      aux_sym__terminator_token1,
    STATE(13016), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11300), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [191834] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6669), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17912), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16431), 1,
      sym__comprehension_clause,
    STATE(16720), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13017), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [191926] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15501), 1,
      anon_sym_DASH_GT,
    ACTIONS(15745), 1,
      anon_sym_EQ,
    STATE(13018), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [191974] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15745), 1,
      anon_sym_EQ,
    STATE(13019), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [192022] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8151), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17914), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16769), 1,
      sym__comprehension_clause,
    STATE(16771), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13020), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [192114] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6963), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17916), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16147), 1,
      aux_sym_argument_list_repeat1,
    STATE(16923), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13021), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [192206] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11282), 1,
      aux_sym__terminator_token1,
    ACTIONS(17840), 1,
      anon_sym_COMMA,
    STATE(12940), 1,
      aux_sym_export_statement_repeat1,
    STATE(13022), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11278), 26,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [192254] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11145), 1,
      aux_sym__terminator_token1,
    ACTIONS(17840), 1,
      anon_sym_COMMA,
    STATE(12941), 1,
      aux_sym_export_statement_repeat1,
    STATE(13023), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11141), 26,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [192302] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(17230), 1,
      anon_sym_COMMA,
    STATE(12942), 1,
      aux_sym__import_list_repeat1,
    STATE(13024), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 26,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [192350] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10870), 1,
      aux_sym__terminator_token1,
    ACTIONS(17918), 1,
      anon_sym_DOT,
    STATE(13025), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [192396] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9063), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17920), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16197), 1,
      sym__comprehension_clause,
    STATE(16200), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13026), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [192488] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15463), 1,
      anon_sym_DASH_GT,
    ACTIONS(15717), 1,
      anon_sym_EQ,
    STATE(13027), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [192536] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11306), 1,
      aux_sym__terminator_token1,
    STATE(13028), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11304), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [192580] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11130), 1,
      aux_sym__terminator_token1,
    ACTIONS(17541), 1,
      anon_sym_COMMA,
    STATE(13044), 1,
      aux_sym_open_tuple_repeat1,
    STATE(13029), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [192628] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6841), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17922), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16217), 1,
      aux_sym_argument_list_repeat1,
    STATE(16912), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13030), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [192720] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15717), 1,
      anon_sym_EQ,
    STATE(13031), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [192768] = 29,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8603), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17924), 1,
      anon_sym_COMMA,
    STATE(14612), 1,
      sym_for_clause,
    STATE(16253), 1,
      sym__comprehension_clause,
    STATE(16258), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13032), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [192860] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17896), 1,
      anon_sym_DOT,
    STATE(13033), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10870), 21,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_as,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [192906] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11282), 1,
      aux_sym__terminator_token1,
    ACTIONS(17868), 1,
      anon_sym_COMMA,
    STATE(12966), 1,
      aux_sym_export_statement_repeat1,
    STATE(13034), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11278), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [192954] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11145), 1,
      aux_sym__terminator_token1,
    ACTIONS(17868), 1,
      anon_sym_COMMA,
    STATE(12967), 1,
      aux_sym_export_statement_repeat1,
    STATE(13035), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11141), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193002] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(17322), 1,
      anon_sym_COMMA,
    STATE(12968), 1,
      aux_sym__import_list_repeat1,
    STATE(13036), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193050] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11282), 1,
      aux_sym__terminator_token1,
    ACTIONS(17876), 1,
      anon_sym_COMMA,
    STATE(12972), 1,
      aux_sym_export_statement_repeat1,
    STATE(13037), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11278), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193098] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11145), 1,
      aux_sym__terminator_token1,
    ACTIONS(17876), 1,
      anon_sym_COMMA,
    STATE(12973), 1,
      aux_sym_export_statement_repeat1,
    STATE(13038), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11141), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193146] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(17340), 1,
      anon_sym_COMMA,
    STATE(12974), 1,
      aux_sym__import_list_repeat1,
    STATE(13039), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193194] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10986), 1,
      aux_sym__terminator_token1,
    ACTIONS(17918), 1,
      anon_sym_DOT,
    STATE(13040), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10982), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193240] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11040), 1,
      aux_sym__terminator_token1,
    ACTIONS(17918), 1,
      anon_sym_DOT,
    STATE(13041), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11038), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193286] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11050), 1,
      aux_sym__terminator_token1,
    ACTIONS(17918), 1,
      anon_sym_DOT,
    STATE(13042), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11048), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193332] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10870), 1,
      aux_sym__terminator_token1,
    ACTIONS(17926), 1,
      anon_sym_DOT,
    STATE(13043), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 27,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193378] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(17928), 1,
      anon_sym_COMMA,
    STATE(13044), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 26,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193424] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11330), 1,
      aux_sym__terminator_token1,
    STATE(13045), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11328), 28,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193468] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17931), 1,
      sym__power_operator,
    STATE(13046), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193515] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11220), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17850), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13047), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11216), 5,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
      sym__pair_operator,
  [193594] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11706), 1,
      aux_sym__terminator_token1,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17040), 1,
      anon_sym_QMARK,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13048), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11704), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [193673] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15651), 1,
      anon_sym_DASH_GT,
    STATE(13049), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [193718] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15541), 1,
      anon_sym_DASH_GT,
    ACTIONS(15839), 1,
      anon_sym_EQ,
    STATE(13050), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 19,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [193765] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15642), 1,
      anon_sym_DASH_GT,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13051), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [193810] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17933), 1,
      anon_sym_COLON,
    ACTIONS(17937), 1,
      anon_sym_QMARK,
    ACTIONS(17939), 1,
      anon_sym_where,
    ACTIONS(17941), 1,
      sym__pair_operator,
    ACTIONS(17943), 1,
      sym__arrow_operator,
    ACTIONS(17945), 1,
      sym__lazy_or_operator,
    ACTIONS(17947), 1,
      sym__lazy_and_operator,
    ACTIONS(17949), 1,
      sym__comparison_operator,
    ACTIONS(17951), 1,
      sym__pipe_right_operator,
    ACTIONS(17953), 1,
      sym__pipe_left_operator,
    ACTIONS(17955), 1,
      sym__ellipsis_operator,
    ACTIONS(17959), 1,
      sym__times_operator,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    ACTIONS(17957), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13052), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17935), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [193891] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12151), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17933), 1,
      anon_sym_COLON,
    ACTIONS(17937), 1,
      anon_sym_QMARK,
    ACTIONS(17939), 1,
      anon_sym_where,
    ACTIONS(17941), 1,
      sym__pair_operator,
    ACTIONS(17943), 1,
      sym__arrow_operator,
    ACTIONS(17945), 1,
      sym__lazy_or_operator,
    ACTIONS(17947), 1,
      sym__lazy_and_operator,
    ACTIONS(17949), 1,
      sym__comparison_operator,
    ACTIONS(17951), 1,
      sym__pipe_right_operator,
    ACTIONS(17953), 1,
      sym__pipe_left_operator,
    ACTIONS(17955), 1,
      sym__ellipsis_operator,
    ACTIONS(17959), 1,
      sym__times_operator,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    ACTIONS(17957), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13053), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17935), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(12153), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [193972] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15568), 1,
      anon_sym_DASH_GT,
    ACTIONS(15815), 1,
      anon_sym_EQ,
    STATE(13054), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [194019] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15501), 1,
      anon_sym_DASH_GT,
    STATE(13055), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [194064] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    STATE(12710), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13056), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11206), 4,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [194147] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15723), 1,
      anon_sym_EQ,
    STATE(13057), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11210), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [194192] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    STATE(12710), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13058), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11210), 4,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [194275] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11166), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17599), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17763), 1,
      sym__pair_operator,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(17969), 1,
      anon_sym_QMARK,
    STATE(12750), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13059), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11202), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [194360] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11204), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17599), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17763), 1,
      sym__pair_operator,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(17969), 1,
      anon_sym_QMARK,
    STATE(12750), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13060), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11206), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [194445] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11208), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17599), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17763), 1,
      sym__pair_operator,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(17969), 1,
      anon_sym_QMARK,
    STATE(12750), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13061), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11210), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [194530] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11790), 1,
      aux_sym__terminator_token1,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13062), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 20,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [194585] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17651), 1,
      sym__power_operator,
    STATE(13063), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [194632] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11216), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(17969), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13064), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11220), 4,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
  [194715] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13065), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 15,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [194780] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11384), 1,
      aux_sym__terminator_token1,
    ACTIONS(17030), 1,
      anon_sym_COLON,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17040), 1,
      anon_sym_QMARK,
    ACTIONS(17042), 1,
      anon_sym_where,
    ACTIONS(17044), 1,
      sym__pair_operator,
    ACTIONS(17046), 1,
      sym__arrow_operator,
    ACTIONS(17048), 1,
      sym__lazy_or_operator,
    ACTIONS(17050), 1,
      sym__lazy_and_operator,
    ACTIONS(17052), 1,
      sym__pipe_right_operator,
    ACTIONS(17054), 1,
      sym__pipe_left_operator,
    ACTIONS(17056), 1,
      sym__ellipsis_operator,
    ACTIONS(17060), 1,
      sym__times_operator,
    ACTIONS(17062), 1,
      sym__rational_operator,
    ACTIONS(17064), 1,
      sym__bitshift_operator,
    ACTIONS(17066), 1,
      sym__power_operator,
    ACTIONS(17058), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13066), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17032), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11382), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [194859] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11216), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(17969), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13067), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11220), 5,
      anon_sym_COMMA,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
  [194940] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17971), 1,
      anon_sym_COMMA,
    ACTIONS(11154), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13068), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(11149), 24,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [194985] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11310), 1,
      aux_sym__terminator_token1,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17651), 1,
      sym__power_operator,
    STATE(13069), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [195032] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17974), 1,
      anon_sym_COMMA,
    STATE(13070), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11139), 19,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [195077] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(225), 1,
      anon_sym_DASH_GT,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15831), 1,
      anon_sym_EQ,
    STATE(13071), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [195124] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15723), 1,
      anon_sym_EQ,
    STATE(13072), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11260), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [195169] = 27,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16940), 1,
      anon_sym_end,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17977), 1,
      anon_sym_COMMA,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17983), 1,
      anon_sym_SEMI,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17987), 1,
      anon_sym_QMARK,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18015), 1,
      aux_sym__terminator_token1,
    STATE(14995), 1,
      aux_sym_open_tuple_repeat1,
    STATE(17185), 1,
      aux_sym__block_repeat1,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13073), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [195256] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17657), 1,
      anon_sym_as,
    ACTIONS(11161), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13074), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11159), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [195301] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17541), 1,
      anon_sym_COMMA,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17551), 1,
      anon_sym_QMARK,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    STATE(13029), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13075), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 3,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [195384] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18017), 1,
      anon_sym_COLON,
    ACTIONS(18019), 1,
      sym__pipe_right_operator,
    ACTIONS(18021), 1,
      sym__pipe_left_operator,
    ACTIONS(18023), 1,
      sym__ellipsis_operator,
    ACTIONS(18027), 1,
      sym__times_operator,
    ACTIONS(18029), 1,
      sym__rational_operator,
    ACTIONS(18031), 1,
      sym__bitshift_operator,
    ACTIONS(18033), 1,
      sym__power_operator,
    ACTIONS(18025), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13076), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [195449] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15463), 1,
      anon_sym_DASH_GT,
    STATE(13077), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [195494] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11382), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17679), 1,
      anon_sym_QMARK,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13078), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11384), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [195575] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17749), 1,
      anon_sym_QMARK,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13079), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
  [195654] = 17,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11878), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17931), 1,
      sym__power_operator,
    ACTIONS(18035), 1,
      anon_sym_COLON,
    ACTIONS(18039), 1,
      sym__pipe_right_operator,
    ACTIONS(18041), 1,
      sym__pipe_left_operator,
    ACTIONS(18043), 1,
      sym__ellipsis_operator,
    ACTIONS(18047), 1,
      sym__times_operator,
    ACTIONS(18049), 1,
      sym__rational_operator,
    ACTIONS(18051), 1,
      sym__bitshift_operator,
    ACTIONS(18045), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13080), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18037), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11876), 11,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [195721] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15839), 1,
      anon_sym_EQ,
    STATE(13081), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 19,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [195768] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16952), 1,
      anon_sym_QMARK,
    ACTIONS(18017), 1,
      anon_sym_COLON,
    ACTIONS(18019), 1,
      sym__pipe_right_operator,
    ACTIONS(18021), 1,
      sym__pipe_left_operator,
    ACTIONS(18023), 1,
      sym__ellipsis_operator,
    ACTIONS(18027), 1,
      sym__times_operator,
    ACTIONS(18029), 1,
      sym__rational_operator,
    ACTIONS(18031), 1,
      sym__bitshift_operator,
    ACTIONS(18033), 1,
      sym__power_operator,
    ACTIONS(18055), 1,
      anon_sym_where,
    ACTIONS(18057), 1,
      sym__pair_operator,
    ACTIONS(18059), 1,
      sym__arrow_operator,
    ACTIONS(18061), 1,
      sym__lazy_or_operator,
    ACTIONS(18063), 1,
      sym__lazy_and_operator,
    ACTIONS(18025), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13082), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18053), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [195847] = 21,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18017), 1,
      anon_sym_COLON,
    ACTIONS(18019), 1,
      sym__pipe_right_operator,
    ACTIONS(18021), 1,
      sym__pipe_left_operator,
    ACTIONS(18023), 1,
      sym__ellipsis_operator,
    ACTIONS(18027), 1,
      sym__times_operator,
    ACTIONS(18029), 1,
      sym__rational_operator,
    ACTIONS(18031), 1,
      sym__bitshift_operator,
    ACTIONS(18033), 1,
      sym__power_operator,
    ACTIONS(18055), 1,
      anon_sym_where,
    ACTIONS(18059), 1,
      sym__arrow_operator,
    ACTIONS(18061), 1,
      sym__lazy_or_operator,
    ACTIONS(18063), 1,
      sym__lazy_and_operator,
    ACTIONS(18025), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13083), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18053), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 7,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [195922] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18065), 1,
      anon_sym_COMMA,
    ACTIONS(11161), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13084), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__import_list_repeat1,
    ACTIONS(11159), 24,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [195967] = 19,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18017), 1,
      anon_sym_COLON,
    ACTIONS(18019), 1,
      sym__pipe_right_operator,
    ACTIONS(18021), 1,
      sym__pipe_left_operator,
    ACTIONS(18023), 1,
      sym__ellipsis_operator,
    ACTIONS(18027), 1,
      sym__times_operator,
    ACTIONS(18029), 1,
      sym__rational_operator,
    ACTIONS(18031), 1,
      sym__bitshift_operator,
    ACTIONS(18033), 1,
      sym__power_operator,
    ACTIONS(18055), 1,
      anon_sym_where,
    ACTIONS(18063), 1,
      sym__lazy_and_operator,
    ACTIONS(18025), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13085), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18053), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 9,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [196038] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15831), 1,
      anon_sym_EQ,
    STATE(13086), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [196085] = 18,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18017), 1,
      anon_sym_COLON,
    ACTIONS(18019), 1,
      sym__pipe_right_operator,
    ACTIONS(18021), 1,
      sym__pipe_left_operator,
    ACTIONS(18023), 1,
      sym__ellipsis_operator,
    ACTIONS(18027), 1,
      sym__times_operator,
    ACTIONS(18029), 1,
      sym__rational_operator,
    ACTIONS(18031), 1,
      sym__bitshift_operator,
    ACTIONS(18033), 1,
      sym__power_operator,
    ACTIONS(18055), 1,
      anon_sym_where,
    ACTIONS(18025), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13087), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18053), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 10,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [196154] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(225), 1,
      anon_sym_DASH_GT,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15849), 1,
      anon_sym_EQ,
    STATE(13088), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [196201] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17587), 1,
      anon_sym_COMMA,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    ACTIONS(17850), 1,
      anon_sym_QMARK,
    STATE(12720), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13089), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [196284] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11382), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17933), 1,
      anon_sym_COLON,
    ACTIONS(17937), 1,
      anon_sym_QMARK,
    ACTIONS(17939), 1,
      anon_sym_where,
    ACTIONS(17941), 1,
      sym__pair_operator,
    ACTIONS(17943), 1,
      sym__arrow_operator,
    ACTIONS(17945), 1,
      sym__lazy_or_operator,
    ACTIONS(17947), 1,
      sym__lazy_and_operator,
    ACTIONS(17949), 1,
      sym__comparison_operator,
    ACTIONS(17951), 1,
      sym__pipe_right_operator,
    ACTIONS(17953), 1,
      sym__pipe_left_operator,
    ACTIONS(17955), 1,
      sym__ellipsis_operator,
    ACTIONS(17959), 1,
      sym__times_operator,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    ACTIONS(17957), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13090), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17935), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11384), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [196365] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18017), 1,
      anon_sym_COLON,
    ACTIONS(18023), 1,
      sym__ellipsis_operator,
    ACTIONS(18027), 1,
      sym__times_operator,
    ACTIONS(18029), 1,
      sym__rational_operator,
    ACTIONS(18031), 1,
      sym__bitshift_operator,
    ACTIONS(18033), 1,
      sym__power_operator,
    ACTIONS(18025), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13091), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 17,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [196426] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11704), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17679), 1,
      anon_sym_QMARK,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13092), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11706), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [196507] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11704), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17933), 1,
      anon_sym_COLON,
    ACTIONS(17937), 1,
      anon_sym_QMARK,
    ACTIONS(17939), 1,
      anon_sym_where,
    ACTIONS(17941), 1,
      sym__pair_operator,
    ACTIONS(17943), 1,
      sym__arrow_operator,
    ACTIONS(17945), 1,
      sym__lazy_or_operator,
    ACTIONS(17947), 1,
      sym__lazy_and_operator,
    ACTIONS(17949), 1,
      sym__comparison_operator,
    ACTIONS(17951), 1,
      sym__pipe_right_operator,
    ACTIONS(17953), 1,
      sym__pipe_left_operator,
    ACTIONS(17955), 1,
      sym__ellipsis_operator,
    ACTIONS(17959), 1,
      sym__times_operator,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    ACTIONS(17957), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13093), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17935), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11706), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [196588] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17615), 1,
      anon_sym_COMMA,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17625), 1,
      anon_sym_QMARK,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    STATE(12907), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13094), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 3,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [196671] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(12153), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17749), 1,
      anon_sym_QMARK,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13095), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(12151), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
  [196750] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18017), 1,
      anon_sym_COLON,
    ACTIONS(18019), 1,
      sym__pipe_right_operator,
    ACTIONS(18021), 1,
      sym__pipe_left_operator,
    ACTIONS(18023), 1,
      sym__ellipsis_operator,
    ACTIONS(18027), 1,
      sym__times_operator,
    ACTIONS(18029), 1,
      sym__rational_operator,
    ACTIONS(18031), 1,
      sym__bitshift_operator,
    ACTIONS(18033), 1,
      sym__power_operator,
    ACTIONS(18025), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13096), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [196815] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11220), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17551), 1,
      anon_sym_QMARK,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13097), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11216), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
      sym__pair_operator,
  [196894] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18027), 1,
      sym__times_operator,
    ACTIONS(18029), 1,
      sym__rational_operator,
    ACTIONS(18031), 1,
      sym__bitshift_operator,
    ACTIONS(18033), 1,
      sym__power_operator,
    ACTIONS(18025), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13098), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 20,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [196949] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18027), 1,
      sym__times_operator,
    ACTIONS(18029), 1,
      sym__rational_operator,
    ACTIONS(18031), 1,
      sym__bitshift_operator,
    ACTIONS(18033), 1,
      sym__power_operator,
    STATE(13099), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 22,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [197002] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15849), 1,
      anon_sym_EQ,
    STATE(13100), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [197049] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18068), 1,
      sym__immediate_string_start,
    ACTIONS(18070), 1,
      sym__immediate_command_start,
    STATE(13101), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9969), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9971), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [197096] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17759), 1,
      anon_sym_QMARK,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17763), 1,
      sym__pair_operator,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(11382), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13102), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11384), 4,
      anon_sym_COMMA,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [197177] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(12153), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16952), 1,
      anon_sym_QMARK,
    ACTIONS(18017), 1,
      anon_sym_COLON,
    ACTIONS(18019), 1,
      sym__pipe_right_operator,
    ACTIONS(18021), 1,
      sym__pipe_left_operator,
    ACTIONS(18023), 1,
      sym__ellipsis_operator,
    ACTIONS(18027), 1,
      sym__times_operator,
    ACTIONS(18029), 1,
      sym__rational_operator,
    ACTIONS(18031), 1,
      sym__bitshift_operator,
    ACTIONS(18033), 1,
      sym__power_operator,
    ACTIONS(18055), 1,
      anon_sym_where,
    ACTIONS(18057), 1,
      sym__pair_operator,
    ACTIONS(18059), 1,
      sym__arrow_operator,
    ACTIONS(18061), 1,
      sym__lazy_or_operator,
    ACTIONS(18063), 1,
      sym__lazy_and_operator,
    ACTIONS(18025), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13103), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18053), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(12151), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [197256] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18068), 1,
      sym__immediate_string_start,
    ACTIONS(18070), 1,
      sym__immediate_command_start,
    STATE(13104), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9993), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9995), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [197303] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17759), 1,
      anon_sym_QMARK,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17763), 1,
      sym__pair_operator,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(11704), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13105), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11706), 4,
      anon_sym_COMMA,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [197384] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15721), 1,
      anon_sym_EQ,
    STATE(13106), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11260), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [197429] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15677), 1,
      anon_sym_EQ,
    STATE(13107), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [197474] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(18072), 1,
      anon_sym_COMMA,
    STATE(13108), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [197519] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11258), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17599), 1,
      anon_sym_COMMA,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17763), 1,
      sym__pair_operator,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(17969), 1,
      anon_sym_QMARK,
    STATE(12750), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13109), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11260), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [197604] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18075), 1,
      anon_sym_COMMA,
    STATE(13285), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(11282), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13110), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11278), 24,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [197651] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15739), 1,
      anon_sym_EQ,
    STATE(13111), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [197696] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18077), 1,
      anon_sym_COMMA,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18085), 1,
      anon_sym_QMARK,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    STATE(13134), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11166), 2,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(11202), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13112), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [197779] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18077), 1,
      anon_sym_COMMA,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18085), 1,
      anon_sym_QMARK,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    STATE(13134), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11204), 2,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(11206), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13113), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [197862] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18077), 1,
      anon_sym_COMMA,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18085), 1,
      anon_sym_QMARK,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    STATE(13134), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11208), 2,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(11210), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13114), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [197945] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11288), 1,
      aux_sym__terminator_token1,
    ACTIONS(18113), 1,
      anon_sym_COMMA,
    STATE(13120), 1,
      aux_sym_export_statement_repeat1,
    STATE(13115), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11286), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [197992] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11292), 1,
      aux_sym__terminator_token1,
    ACTIONS(18113), 1,
      anon_sym_COMMA,
    STATE(13120), 1,
      aux_sym_export_statement_repeat1,
    STATE(13116), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11290), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [198039] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11068), 1,
      aux_sym__terminator_token1,
    ACTIONS(17813), 1,
      anon_sym_COMMA,
    STATE(13122), 1,
      aux_sym__import_list_repeat1,
    STATE(13117), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11066), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [198086] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13118), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 15,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [198151] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11384), 1,
      aux_sym__terminator_token1,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16952), 1,
      anon_sym_QMARK,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13119), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11382), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [198230] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11154), 1,
      aux_sym__terminator_token1,
    ACTIONS(18115), 1,
      anon_sym_COMMA,
    STATE(13120), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(11149), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [198275] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11161), 1,
      aux_sym__terminator_token1,
    ACTIONS(17815), 1,
      anon_sym_as,
    STATE(13121), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11159), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [198320] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11161), 1,
      aux_sym__terminator_token1,
    ACTIONS(18118), 1,
      anon_sym_COMMA,
    STATE(13122), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__import_list_repeat1,
    ACTIONS(11159), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [198365] = 21,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13123), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 7,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [198440] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17745), 1,
      anon_sym_QMARK,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13124), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
  [198519] = 21,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13125), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 7,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [198594] = 19,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13126), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 9,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [198665] = 18,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13127), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 10,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [198734] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13128), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 17,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [198795] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18029), 1,
      sym__rational_operator,
    ACTIONS(18031), 1,
      sym__bitshift_operator,
    ACTIONS(18033), 1,
      sym__power_operator,
    STATE(13129), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 23,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [198846] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13130), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 15,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [198911] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18031), 1,
      sym__bitshift_operator,
    ACTIONS(18033), 1,
      sym__power_operator,
    STATE(13131), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 24,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [198960] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13132), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 20,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [199015] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    STATE(13133), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 22,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [199068] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18077), 1,
      anon_sym_COMMA,
    STATE(13270), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11130), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13134), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 24,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [199115] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18033), 1,
      sym__power_operator,
    STATE(13135), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [199162] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    STATE(13136), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 23,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [199213] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    STATE(13137), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 24,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [199262] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17577), 1,
      sym__power_operator,
    STATE(13138), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [199309] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11706), 1,
      aux_sym__terminator_token1,
    ACTIONS(16942), 1,
      anon_sym_COLON,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16952), 1,
      anon_sym_QMARK,
    ACTIONS(16954), 1,
      anon_sym_where,
    ACTIONS(16956), 1,
      sym__pair_operator,
    ACTIONS(16958), 1,
      sym__arrow_operator,
    ACTIONS(16960), 1,
      sym__lazy_or_operator,
    ACTIONS(16962), 1,
      sym__lazy_and_operator,
    ACTIONS(16964), 1,
      sym__pipe_right_operator,
    ACTIONS(16966), 1,
      sym__pipe_left_operator,
    ACTIONS(16968), 1,
      sym__ellipsis_operator,
    ACTIONS(16972), 1,
      sym__times_operator,
    ACTIONS(16974), 1,
      sym__rational_operator,
    ACTIONS(16976), 1,
      sym__bitshift_operator,
    ACTIONS(16978), 1,
      sym__power_operator,
    ACTIONS(16970), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13139), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16944), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11704), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [199388] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15721), 1,
      anon_sym_EQ,
    STATE(13140), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11202), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [199433] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15640), 1,
      anon_sym_DASH_GT,
    STATE(13141), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [199478] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15568), 1,
      anon_sym_DASH_GT,
    ACTIONS(15837), 1,
      anon_sym_EQ,
    STATE(13142), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [199525] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15837), 1,
      anon_sym_EQ,
    STATE(13143), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [199572] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15721), 1,
      anon_sym_EQ,
    STATE(13144), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11206), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [199617] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(15717), 1,
      anon_sym_EQ,
    STATE(13145), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [199662] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15721), 1,
      anon_sym_EQ,
    STATE(13146), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11210), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [199707] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13147), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [199772] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13148), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      sym__pair_operator,
  [199849] = 20,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13149), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [199922] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13150), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [199993] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13151), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [200054] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13152), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [200119] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13153), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [200174] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    STATE(13154), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [200227] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    STATE(13155), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [200278] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    STATE(13156), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [200327] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17707), 1,
      sym__power_operator,
    STATE(13157), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [200374] = 19,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13158), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 9,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [200445] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15651), 1,
      anon_sym_DASH_GT,
    STATE(13159), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [200490] = 18,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13160), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 10,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [200559] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15568), 1,
      anon_sym_DASH_GT,
    ACTIONS(15703), 1,
      anon_sym_EQ,
    STATE(13161), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [200606] = 17,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11878), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18017), 1,
      anon_sym_COLON,
    ACTIONS(18019), 1,
      sym__pipe_right_operator,
    ACTIONS(18021), 1,
      sym__pipe_left_operator,
    ACTIONS(18023), 1,
      sym__ellipsis_operator,
    ACTIONS(18027), 1,
      sym__times_operator,
    ACTIONS(18029), 1,
      sym__rational_operator,
    ACTIONS(18031), 1,
      sym__bitshift_operator,
    ACTIONS(18033), 1,
      sym__power_operator,
    ACTIONS(18025), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13162), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18053), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11876), 11,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [200673] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17510), 1,
      aux_sym__terminator_token1,
    ACTIONS(17615), 1,
      anon_sym_COMMA,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17625), 1,
      anon_sym_QMARK,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    STATE(14618), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13163), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17508), 3,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [200756] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15535), 1,
      anon_sym_DASH_GT,
    ACTIONS(15801), 1,
      anon_sym_EQ,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13164), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [200803] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15755), 1,
      anon_sym_EQ,
    STATE(13165), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [200848] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17587), 1,
      anon_sym_COMMA,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    ACTIONS(17850), 1,
      anon_sym_QMARK,
    STATE(14615), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13166), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [200931] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(16343), 1,
      anon_sym_EQ,
    STATE(13167), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [200976] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17707), 1,
      sym__power_operator,
    STATE(13168), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [201023] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17615), 1,
      anon_sym_COMMA,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17625), 1,
      anon_sym_QMARK,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    STATE(12907), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13169), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 3,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [201106] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16371), 1,
      anon_sym_EQ,
    STATE(13170), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11202), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [201151] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17587), 1,
      anon_sym_COMMA,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    ACTIONS(17838), 1,
      aux_sym__terminator_token1,
    ACTIONS(17850), 1,
      anon_sym_QMARK,
    STATE(14615), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13171), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17836), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [201234] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16371), 1,
      anon_sym_EQ,
    STATE(13172), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11206), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [201279] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13173), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [201334] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16371), 1,
      anon_sym_EQ,
    STATE(13174), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11210), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [201379] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17787), 1,
      sym__power_operator,
    STATE(13175), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 18,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [201426] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13176), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 16,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [201481] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17715), 1,
      anon_sym_QMARK,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13177), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11134), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
  [201560] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15473), 1,
      anon_sym_DASH_GT,
    STATE(13178), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 21,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [201605] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15721), 1,
      anon_sym_EQ,
    STATE(13179), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [201650] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15801), 1,
      anon_sym_EQ,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13180), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [201697] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(16343), 1,
      anon_sym_EQ,
    STATE(13181), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [201742] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    STATE(12710), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13182), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11260), 4,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [201825] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17615), 1,
      anon_sym_COMMA,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17625), 1,
      anon_sym_QMARK,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    STATE(12907), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13183), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 3,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [201908] = 27,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18124), 1,
      anon_sym_SEMI,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17960), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18121), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13184), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [201995] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(16343), 1,
      anon_sym_EQ,
    STATE(13185), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [202040] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17615), 1,
      anon_sym_COMMA,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17625), 1,
      anon_sym_QMARK,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    STATE(12907), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13186), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 3,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [202123] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15640), 1,
      anon_sym_DASH_GT,
    STATE(13187), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [202168] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17933), 1,
      anon_sym_COLON,
    ACTIONS(17951), 1,
      sym__pipe_right_operator,
    ACTIONS(17953), 1,
      sym__pipe_left_operator,
    ACTIONS(17955), 1,
      sym__ellipsis_operator,
    ACTIONS(17959), 1,
      sym__times_operator,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(17957), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13188), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 14,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [202233] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11876), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17933), 1,
      anon_sym_COLON,
    ACTIONS(17949), 1,
      sym__comparison_operator,
    ACTIONS(17951), 1,
      sym__pipe_right_operator,
    ACTIONS(17953), 1,
      sym__pipe_left_operator,
    ACTIONS(17955), 1,
      sym__ellipsis_operator,
    ACTIONS(17959), 1,
      sym__times_operator,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    ACTIONS(17957), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13189), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17935), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 11,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [202302] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17933), 1,
      anon_sym_COLON,
    ACTIONS(17939), 1,
      anon_sym_where,
    ACTIONS(17943), 1,
      sym__arrow_operator,
    ACTIONS(17945), 1,
      sym__lazy_or_operator,
    ACTIONS(17947), 1,
      sym__lazy_and_operator,
    ACTIONS(17949), 1,
      sym__comparison_operator,
    ACTIONS(17951), 1,
      sym__pipe_right_operator,
    ACTIONS(17953), 1,
      sym__pipe_left_operator,
    ACTIONS(17955), 1,
      sym__ellipsis_operator,
    ACTIONS(17959), 1,
      sym__times_operator,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    ACTIONS(17957), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13190), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17935), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 7,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [202379] = 20,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17933), 1,
      anon_sym_COLON,
    ACTIONS(17939), 1,
      anon_sym_where,
    ACTIONS(17947), 1,
      sym__lazy_and_operator,
    ACTIONS(17949), 1,
      sym__comparison_operator,
    ACTIONS(17951), 1,
      sym__pipe_right_operator,
    ACTIONS(17953), 1,
      sym__pipe_left_operator,
    ACTIONS(17955), 1,
      sym__ellipsis_operator,
    ACTIONS(17959), 1,
      sym__times_operator,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    ACTIONS(17957), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13191), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17935), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 9,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [202452] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17933), 1,
      anon_sym_COLON,
    ACTIONS(17939), 1,
      anon_sym_where,
    ACTIONS(17949), 1,
      sym__comparison_operator,
    ACTIONS(17951), 1,
      sym__pipe_right_operator,
    ACTIONS(17953), 1,
      sym__pipe_left_operator,
    ACTIONS(17955), 1,
      sym__ellipsis_operator,
    ACTIONS(17959), 1,
      sym__times_operator,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    ACTIONS(17957), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13192), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17935), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 10,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [202523] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17933), 1,
      anon_sym_COLON,
    ACTIONS(17955), 1,
      sym__ellipsis_operator,
    ACTIONS(17959), 1,
      sym__times_operator,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(17957), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13193), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 16,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [202584] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17933), 1,
      anon_sym_COLON,
    ACTIONS(17951), 1,
      sym__pipe_right_operator,
    ACTIONS(17953), 1,
      sym__pipe_left_operator,
    ACTIONS(17955), 1,
      sym__ellipsis_operator,
    ACTIONS(17959), 1,
      sym__times_operator,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(17957), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13194), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 14,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [202649] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13195), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 17,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [202710] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13196), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 15,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [202775] = 17,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11878), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13197), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11876), 11,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [202842] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17715), 1,
      anon_sym_QMARK,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13198), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
  [202921] = 21,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13199), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 7,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [202996] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18075), 1,
      anon_sym_COMMA,
    STATE(13286), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(11145), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13200), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11141), 24,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [203043] = 19,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13201), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 9,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [203114] = 18,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13202), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 10,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [203183] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(16055), 1,
      anon_sym_EQ,
    STATE(13203), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [203228] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(16055), 1,
      anon_sym_EQ,
    STATE(13204), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [203273] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(16055), 1,
      anon_sym_EQ,
    STATE(13205), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [203318] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17959), 1,
      sym__times_operator,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    ACTIONS(17957), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13206), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 17,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [203373] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17959), 1,
      sym__times_operator,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    STATE(13207), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [203426] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    STATE(13208), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [203477] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    STATE(13209), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 18,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [203526] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17965), 1,
      sym__power_operator,
    STATE(13210), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 19,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [203573] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17965), 1,
      sym__power_operator,
    STATE(13211), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 19,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [203620] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17959), 1,
      sym__times_operator,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    ACTIONS(17957), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13212), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 17,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [203675] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13213), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 17,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [203736] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15665), 1,
      anon_sym_EQ,
    STATE(13214), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [203781] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15723), 1,
      anon_sym_EQ,
    STATE(13215), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [203826] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15471), 1,
      anon_sym_DASH_GT,
    STATE(13216), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [203871] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15598), 1,
      anon_sym_DASH_GT,
    STATE(13217), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 19,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [203916] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15598), 1,
      anon_sym_DASH_GT,
    STATE(13218), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 19,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [203961] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17535), 1,
      anon_sym_QMARK,
    ACTIONS(18126), 1,
      anon_sym_COLON,
    ACTIONS(18130), 1,
      anon_sym_where,
    ACTIONS(18132), 1,
      sym__pair_operator,
    ACTIONS(18134), 1,
      sym__arrow_operator,
    ACTIONS(18136), 1,
      sym__lazy_or_operator,
    ACTIONS(18138), 1,
      sym__lazy_and_operator,
    ACTIONS(18140), 1,
      sym__comparison_operator,
    ACTIONS(18142), 1,
      sym__pipe_right_operator,
    ACTIONS(18144), 1,
      sym__pipe_left_operator,
    ACTIONS(18146), 1,
      sym__ellipsis_operator,
    ACTIONS(18150), 1,
      sym__times_operator,
    ACTIONS(18152), 1,
      sym__rational_operator,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    ACTIONS(18148), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13219), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18128), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(13023), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [204040] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13220), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 15,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [204105] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(16107), 1,
      anon_sym_EQ,
    STATE(13221), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [204150] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(16107), 1,
      anon_sym_EQ,
    STATE(13222), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [204195] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13223), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 15,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [204260] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17745), 1,
      anon_sym_QMARK,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13224), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11134), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
  [204339] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18158), 1,
      anon_sym_COMMA,
    STATE(13070), 1,
      aux_sym_open_tuple_repeat1,
    STATE(13225), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11130), 19,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [204386] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17931), 1,
      sym__power_operator,
    ACTIONS(18035), 1,
      anon_sym_COLON,
    ACTIONS(18039), 1,
      sym__pipe_right_operator,
    ACTIONS(18041), 1,
      sym__pipe_left_operator,
    ACTIONS(18043), 1,
      sym__ellipsis_operator,
    ACTIONS(18047), 1,
      sym__times_operator,
    ACTIONS(18049), 1,
      sym__rational_operator,
    ACTIONS(18051), 1,
      sym__bitshift_operator,
    ACTIONS(18045), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13226), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [204451] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17749), 1,
      anon_sym_QMARK,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13227), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11134), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
  [204530] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18160), 1,
      anon_sym_DOT,
    ACTIONS(10870), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13228), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [204575] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    STATE(13229), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [204620] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17040), 1,
      anon_sym_QMARK,
    ACTIONS(17931), 1,
      sym__power_operator,
    ACTIONS(18035), 1,
      anon_sym_COLON,
    ACTIONS(18039), 1,
      sym__pipe_right_operator,
    ACTIONS(18041), 1,
      sym__pipe_left_operator,
    ACTIONS(18043), 1,
      sym__ellipsis_operator,
    ACTIONS(18047), 1,
      sym__times_operator,
    ACTIONS(18049), 1,
      sym__rational_operator,
    ACTIONS(18051), 1,
      sym__bitshift_operator,
    ACTIONS(18162), 1,
      anon_sym_where,
    ACTIONS(18164), 1,
      sym__pair_operator,
    ACTIONS(18166), 1,
      sym__arrow_operator,
    ACTIONS(18168), 1,
      sym__lazy_or_operator,
    ACTIONS(18170), 1,
      sym__lazy_and_operator,
    ACTIONS(18045), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13230), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18037), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [204699] = 21,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17931), 1,
      sym__power_operator,
    ACTIONS(18035), 1,
      anon_sym_COLON,
    ACTIONS(18039), 1,
      sym__pipe_right_operator,
    ACTIONS(18041), 1,
      sym__pipe_left_operator,
    ACTIONS(18043), 1,
      sym__ellipsis_operator,
    ACTIONS(18047), 1,
      sym__times_operator,
    ACTIONS(18049), 1,
      sym__rational_operator,
    ACTIONS(18051), 1,
      sym__bitshift_operator,
    ACTIONS(18162), 1,
      anon_sym_where,
    ACTIONS(18166), 1,
      sym__arrow_operator,
    ACTIONS(18168), 1,
      sym__lazy_or_operator,
    ACTIONS(18170), 1,
      sym__lazy_and_operator,
    ACTIONS(18045), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13231), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18037), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 7,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [204774] = 19,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17931), 1,
      sym__power_operator,
    ACTIONS(18035), 1,
      anon_sym_COLON,
    ACTIONS(18039), 1,
      sym__pipe_right_operator,
    ACTIONS(18041), 1,
      sym__pipe_left_operator,
    ACTIONS(18043), 1,
      sym__ellipsis_operator,
    ACTIONS(18047), 1,
      sym__times_operator,
    ACTIONS(18049), 1,
      sym__rational_operator,
    ACTIONS(18051), 1,
      sym__bitshift_operator,
    ACTIONS(18162), 1,
      anon_sym_where,
    ACTIONS(18170), 1,
      sym__lazy_and_operator,
    ACTIONS(18045), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13232), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18037), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 9,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [204845] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11790), 1,
      aux_sym__terminator_token1,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13233), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 20,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [204900] = 18,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17931), 1,
      sym__power_operator,
    ACTIONS(18035), 1,
      anon_sym_COLON,
    ACTIONS(18039), 1,
      sym__pipe_right_operator,
    ACTIONS(18041), 1,
      sym__pipe_left_operator,
    ACTIONS(18043), 1,
      sym__ellipsis_operator,
    ACTIONS(18047), 1,
      sym__times_operator,
    ACTIONS(18049), 1,
      sym__rational_operator,
    ACTIONS(18051), 1,
      sym__bitshift_operator,
    ACTIONS(18162), 1,
      anon_sym_where,
    ACTIONS(18045), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13234), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18037), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 10,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [204969] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15763), 1,
      anon_sym_EQ,
    STATE(13235), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [205014] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13236), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 20,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [205069] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(16107), 1,
      anon_sym_EQ,
    STATE(13237), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [205114] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17931), 1,
      sym__power_operator,
    ACTIONS(18035), 1,
      anon_sym_COLON,
    ACTIONS(18043), 1,
      sym__ellipsis_operator,
    ACTIONS(18047), 1,
      sym__times_operator,
    ACTIONS(18049), 1,
      sym__rational_operator,
    ACTIONS(18051), 1,
      sym__bitshift_operator,
    ACTIONS(18045), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13238), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 17,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [205175] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17931), 1,
      sym__power_operator,
    ACTIONS(18035), 1,
      anon_sym_COLON,
    ACTIONS(18039), 1,
      sym__pipe_right_operator,
    ACTIONS(18041), 1,
      sym__pipe_left_operator,
    ACTIONS(18043), 1,
      sym__ellipsis_operator,
    ACTIONS(18047), 1,
      sym__times_operator,
    ACTIONS(18049), 1,
      sym__rational_operator,
    ACTIONS(18051), 1,
      sym__bitshift_operator,
    ACTIONS(18045), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13239), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [205240] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17931), 1,
      sym__power_operator,
    ACTIONS(18047), 1,
      sym__times_operator,
    ACTIONS(18049), 1,
      sym__rational_operator,
    ACTIONS(18051), 1,
      sym__bitshift_operator,
    ACTIONS(18045), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13240), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 20,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [205295] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17931), 1,
      sym__power_operator,
    ACTIONS(18047), 1,
      sym__times_operator,
    ACTIONS(18049), 1,
      sym__rational_operator,
    ACTIONS(18051), 1,
      sym__bitshift_operator,
    STATE(13241), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 22,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [205348] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15535), 1,
      anon_sym_DASH_GT,
    ACTIONS(15835), 1,
      anon_sym_EQ,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13242), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [205395] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17931), 1,
      sym__power_operator,
    ACTIONS(18049), 1,
      sym__rational_operator,
    ACTIONS(18051), 1,
      sym__bitshift_operator,
    STATE(13243), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 23,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [205446] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17931), 1,
      sym__power_operator,
    ACTIONS(18051), 1,
      sym__bitshift_operator,
    STATE(13244), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 24,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [205495] = 27,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18077), 1,
      anon_sym_COMMA,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(18172), 1,
      ts_builtin_sym_end,
    ACTIONS(18174), 1,
      anon_sym_SEMI,
    ACTIONS(18176), 1,
      anon_sym_QMARK,
    ACTIONS(18178), 1,
      aux_sym__terminator_token1,
    STATE(14994), 1,
      aux_sym_open_tuple_repeat1,
    STATE(16584), 1,
      aux_sym__block_repeat1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13245), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [205582] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15723), 1,
      anon_sym_EQ,
    STATE(13246), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11206), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [205627] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(12153), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17745), 1,
      anon_sym_QMARK,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13247), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(12151), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
  [205706] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(12153), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17038), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17040), 1,
      anon_sym_QMARK,
    ACTIONS(17931), 1,
      sym__power_operator,
    ACTIONS(18035), 1,
      anon_sym_COLON,
    ACTIONS(18039), 1,
      sym__pipe_right_operator,
    ACTIONS(18041), 1,
      sym__pipe_left_operator,
    ACTIONS(18043), 1,
      sym__ellipsis_operator,
    ACTIONS(18047), 1,
      sym__times_operator,
    ACTIONS(18049), 1,
      sym__rational_operator,
    ACTIONS(18051), 1,
      sym__bitshift_operator,
    ACTIONS(18162), 1,
      anon_sym_where,
    ACTIONS(18164), 1,
      sym__pair_operator,
    ACTIONS(18166), 1,
      sym__arrow_operator,
    ACTIONS(18168), 1,
      sym__lazy_or_operator,
    ACTIONS(18170), 1,
      sym__lazy_and_operator,
    ACTIONS(18045), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13248), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18037), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(12151), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [205785] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11790), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18027), 1,
      sym__times_operator,
    ACTIONS(18029), 1,
      sym__rational_operator,
    ACTIONS(18031), 1,
      sym__bitshift_operator,
    ACTIONS(18033), 1,
      sym__power_operator,
    ACTIONS(18025), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13249), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 20,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [205840] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17541), 1,
      anon_sym_COMMA,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17551), 1,
      anon_sym_QMARK,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17838), 1,
      aux_sym__terminator_token1,
    STATE(14623), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13250), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17836), 3,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [205923] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15815), 1,
      anon_sym_EQ,
    STATE(13251), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [205970] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15761), 1,
      anon_sym_EQ,
    STATE(13252), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [206015] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(15745), 1,
      anon_sym_EQ,
    STATE(13253), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [206060] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(15687), 1,
      anon_sym_EQ,
    STATE(13254), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [206105] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17587), 1,
      anon_sym_COMMA,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    ACTIONS(17850), 1,
      anon_sym_QMARK,
    STATE(12720), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13255), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [206188] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(15687), 1,
      anon_sym_EQ,
    STATE(13256), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [206233] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17587), 1,
      anon_sym_COMMA,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    ACTIONS(17850), 1,
      anon_sym_QMARK,
    STATE(12720), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13257), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [206316] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(15687), 1,
      anon_sym_EQ,
    STATE(13258), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [206361] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17587), 1,
      anon_sym_COMMA,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    ACTIONS(17850), 1,
      anon_sym_QMARK,
    STATE(12720), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13259), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [206444] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11790), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17931), 1,
      sym__power_operator,
    ACTIONS(18047), 1,
      sym__times_operator,
    ACTIONS(18049), 1,
      sym__rational_operator,
    ACTIONS(18051), 1,
      sym__bitshift_operator,
    ACTIONS(18045), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13260), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 20,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [206499] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17541), 1,
      anon_sym_COMMA,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17551), 1,
      anon_sym_QMARK,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    STATE(13029), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13261), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 3,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [206582] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(15745), 1,
      anon_sym_EQ,
    STATE(13262), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [206627] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17541), 1,
      anon_sym_COMMA,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17551), 1,
      anon_sym_QMARK,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    STATE(13029), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13263), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 3,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [206710] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(15745), 1,
      anon_sym_EQ,
    STATE(13264), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [206755] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    STATE(13265), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [206800] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17541), 1,
      anon_sym_COMMA,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17551), 1,
      anon_sym_QMARK,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    STATE(13029), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13266), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 3,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [206883] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11310), 1,
      aux_sym__terminator_token1,
    ACTIONS(17036), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17931), 1,
      sym__power_operator,
    STATE(13267), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [206930] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16343), 1,
      anon_sym_EQ,
    STATE(13268), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [206975] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11310), 1,
      aux_sym__terminator_token1,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17739), 1,
      sym__power_operator,
    STATE(13269), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [207022] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18180), 1,
      anon_sym_COMMA,
    ACTIONS(11139), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13270), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 24,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [207067] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(12153), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17715), 1,
      anon_sym_QMARK,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13271), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(12151), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
  [207146] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11220), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17625), 1,
      anon_sym_QMARK,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13272), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11216), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
      sym__pair_operator,
  [207225] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17655), 1,
      anon_sym_COMMA,
    STATE(13306), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(11032), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13273), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 24,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [207272] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11310), 1,
      aux_sym__terminator_token1,
    ACTIONS(16948), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18033), 1,
      sym__power_operator,
    STATE(13274), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [207319] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    STATE(13275), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [207364] = 27,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18124), 1,
      anon_sym_COMMA,
    ACTIONS(18183), 1,
      anon_sym_for,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17960), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18186), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(13276), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [207451] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16341), 1,
      anon_sym_EQ,
    STATE(13277), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11260), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [207496] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18085), 1,
      anon_sym_QMARK,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11220), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13278), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11216), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      sym__pair_operator,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [207575] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11310), 1,
      aux_sym__terminator_token1,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17577), 1,
      sym__power_operator,
    STATE(13279), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [207622] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(13280), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [207667] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11282), 1,
      aux_sym__terminator_token1,
    ACTIONS(18113), 1,
      anon_sym_COMMA,
    STATE(13115), 1,
      aux_sym_export_statement_repeat1,
    STATE(13281), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11278), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [207714] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11145), 1,
      aux_sym__terminator_token1,
    ACTIONS(18113), 1,
      anon_sym_COMMA,
    STATE(13116), 1,
      aux_sym_export_statement_repeat1,
    STATE(13282), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11141), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [207761] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11032), 1,
      aux_sym__terminator_token1,
    ACTIONS(17813), 1,
      anon_sym_COMMA,
    STATE(13117), 1,
      aux_sym__import_list_repeat1,
    STATE(13283), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [207808] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11790), 1,
      aux_sym__terminator_token1,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13284), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 20,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [207863] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18075), 1,
      anon_sym_COMMA,
    STATE(13068), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(11288), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13285), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11286), 24,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [207910] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18075), 1,
      anon_sym_COMMA,
    STATE(13068), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(11292), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13286), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11290), 24,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [207957] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    STATE(13287), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 22,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [208010] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15693), 1,
      anon_sym_EQ,
    STATE(13288), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [208055] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18189), 1,
      anon_sym_COMMA,
    STATE(13295), 1,
      aux_sym_export_statement_repeat1,
    STATE(13289), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11278), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11282), 19,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [208102] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18189), 1,
      anon_sym_COMMA,
    STATE(13296), 1,
      aux_sym_export_statement_repeat1,
    STATE(13290), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11141), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11145), 19,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [208149] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17890), 1,
      anon_sym_COMMA,
    STATE(13298), 1,
      aux_sym__import_list_repeat1,
    STATE(13291), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11032), 19,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [208196] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11220), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18191), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13292), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11216), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_SEMI,
      sym__pair_operator,
  [208275] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17759), 1,
      anon_sym_QMARK,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17763), 1,
      sym__pair_operator,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(11134), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13293), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11139), 4,
      anon_sym_COMMA,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [208356] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11384), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17715), 1,
      anon_sym_QMARK,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13294), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11382), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
  [208435] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18189), 1,
      anon_sym_COMMA,
    STATE(13299), 1,
      aux_sym_export_statement_repeat1,
    STATE(13295), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11286), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11288), 19,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [208482] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18189), 1,
      anon_sym_COMMA,
    STATE(13299), 1,
      aux_sym_export_statement_repeat1,
    STATE(13296), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11290), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11292), 19,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [208529] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17615), 1,
      anon_sym_COMMA,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17625), 1,
      anon_sym_QMARK,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17838), 1,
      aux_sym__terminator_token1,
    STATE(14618), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13297), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17836), 3,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [208612] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17890), 1,
      anon_sym_COMMA,
    STATE(13301), 1,
      aux_sym__import_list_repeat1,
    STATE(13298), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11066), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11068), 19,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [208659] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18193), 1,
      anon_sym_COMMA,
    STATE(13299), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(11149), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11154), 19,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [208704] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17892), 1,
      anon_sym_as,
    STATE(13300), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11159), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11161), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [208749] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18196), 1,
      anon_sym_COMMA,
    STATE(13301), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__import_list_repeat1,
    ACTIONS(11159), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11161), 19,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [208794] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15535), 1,
      anon_sym_DASH_GT,
    ACTIONS(15833), 1,
      anon_sym_EQ,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13302), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [208841] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    STATE(13303), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 23,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [208892] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    STATE(13304), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 24,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [208941] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17739), 1,
      sym__power_operator,
    STATE(13305), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [208988] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17655), 1,
      anon_sym_COMMA,
    STATE(13084), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(11068), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13306), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11066), 24,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [209035] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11706), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17715), 1,
      anon_sym_QMARK,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13307), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11704), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
  [209114] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15642), 1,
      anon_sym_DASH_GT,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13308), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [209159] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15833), 1,
      anon_sym_EQ,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13309), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [209206] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11216), 1,
      anon_sym_EQ,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18199), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13310), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11220), 5,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__pair_operator,
  [209287] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17535), 1,
      anon_sym_QMARK,
    ACTIONS(18126), 1,
      anon_sym_COLON,
    ACTIONS(18130), 1,
      anon_sym_where,
    ACTIONS(18132), 1,
      sym__pair_operator,
    ACTIONS(18134), 1,
      sym__arrow_operator,
    ACTIONS(18136), 1,
      sym__lazy_or_operator,
    ACTIONS(18138), 1,
      sym__lazy_and_operator,
    ACTIONS(18140), 1,
      sym__comparison_operator,
    ACTIONS(18142), 1,
      sym__pipe_right_operator,
    ACTIONS(18144), 1,
      sym__pipe_left_operator,
    ACTIONS(18146), 1,
      sym__ellipsis_operator,
    ACTIONS(18150), 1,
      sym__times_operator,
    ACTIONS(18152), 1,
      sym__rational_operator,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    ACTIONS(18148), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13311), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18128), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(12905), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [209366] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15651), 1,
      anon_sym_DASH_GT,
    STATE(13312), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [209411] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11134), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17679), 1,
      anon_sym_QMARK,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13313), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11139), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [209492] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17510), 1,
      aux_sym__terminator_token1,
    ACTIONS(17541), 1,
      anon_sym_COMMA,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17551), 1,
      anon_sym_QMARK,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    STATE(14623), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13314), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17508), 3,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [209575] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15642), 1,
      anon_sym_DASH_GT,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13315), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [209620] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17541), 1,
      anon_sym_COMMA,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17551), 1,
      anon_sym_QMARK,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    STATE(14623), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13316), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 3,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [209703] = 17,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11878), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13317), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11876), 11,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [209770] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11130), 1,
      aux_sym__terminator_token1,
    ACTIONS(17977), 1,
      anon_sym_COMMA,
    STATE(13108), 1,
      aux_sym_open_tuple_repeat1,
    STATE(13318), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 25,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [209817] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11052), 1,
      sym_identifier,
    STATE(13319), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10131), 13,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10133), 13,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [209864] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11053), 1,
      sym_identifier,
    STATE(13320), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10135), 13,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10137), 13,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [209911] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11136), 1,
      sym_identifier,
    STATE(13321), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10143), 13,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10145), 13,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [209958] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15863), 1,
      sym__word_identifier,
    STATE(11071), 1,
      sym_identifier,
    STATE(13322), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10007), 13,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_isa,
      anon_sym_where,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10009), 13,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [210005] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(15687), 1,
      anon_sym_EQ,
    STATE(13323), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [210050] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16055), 1,
      anon_sym_EQ,
    STATE(13324), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [210095] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16107), 1,
      anon_sym_EQ,
    STATE(13325), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [210140] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(11876), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13326), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 10,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [210209] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17759), 1,
      anon_sym_QMARK,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17763), 1,
      sym__pair_operator,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(12151), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13327), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(12153), 4,
      anon_sym_COMMA,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [210290] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15723), 1,
      anon_sym_EQ,
    STATE(13328), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11202), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [210335] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11384), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17745), 1,
      anon_sym_QMARK,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13329), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11382), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
  [210414] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18126), 1,
      anon_sym_COLON,
    ACTIONS(18142), 1,
      sym__pipe_right_operator,
    ACTIONS(18144), 1,
      sym__pipe_left_operator,
    ACTIONS(18146), 1,
      sym__ellipsis_operator,
    ACTIONS(18150), 1,
      sym__times_operator,
    ACTIONS(18152), 1,
      sym__rational_operator,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    ACTIONS(18148), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13330), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [210479] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18126), 1,
      anon_sym_COLON,
    ACTIONS(18140), 1,
      sym__comparison_operator,
    ACTIONS(18142), 1,
      sym__pipe_right_operator,
    ACTIONS(18144), 1,
      sym__pipe_left_operator,
    ACTIONS(18146), 1,
      sym__ellipsis_operator,
    ACTIONS(18150), 1,
      sym__times_operator,
    ACTIONS(18152), 1,
      sym__rational_operator,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    ACTIONS(18148), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13331), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18128), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 12,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [210546] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18126), 1,
      anon_sym_COLON,
    ACTIONS(18130), 1,
      anon_sym_where,
    ACTIONS(18134), 1,
      sym__arrow_operator,
    ACTIONS(18136), 1,
      sym__lazy_or_operator,
    ACTIONS(18138), 1,
      sym__lazy_and_operator,
    ACTIONS(18140), 1,
      sym__comparison_operator,
    ACTIONS(18142), 1,
      sym__pipe_right_operator,
    ACTIONS(18144), 1,
      sym__pipe_left_operator,
    ACTIONS(18146), 1,
      sym__ellipsis_operator,
    ACTIONS(18150), 1,
      sym__times_operator,
    ACTIONS(18152), 1,
      sym__rational_operator,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    ACTIONS(18148), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13332), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18128), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [210621] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18126), 1,
      anon_sym_COLON,
    ACTIONS(18130), 1,
      anon_sym_where,
    ACTIONS(18138), 1,
      sym__lazy_and_operator,
    ACTIONS(18140), 1,
      sym__comparison_operator,
    ACTIONS(18142), 1,
      sym__pipe_right_operator,
    ACTIONS(18144), 1,
      sym__pipe_left_operator,
    ACTIONS(18146), 1,
      sym__ellipsis_operator,
    ACTIONS(18150), 1,
      sym__times_operator,
    ACTIONS(18152), 1,
      sym__rational_operator,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    ACTIONS(18148), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13333), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18128), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 10,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [210692] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18126), 1,
      anon_sym_COLON,
    ACTIONS(18130), 1,
      anon_sym_where,
    ACTIONS(18140), 1,
      sym__comparison_operator,
    ACTIONS(18142), 1,
      sym__pipe_right_operator,
    ACTIONS(18144), 1,
      sym__pipe_left_operator,
    ACTIONS(18146), 1,
      sym__ellipsis_operator,
    ACTIONS(18150), 1,
      sym__times_operator,
    ACTIONS(18152), 1,
      sym__rational_operator,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    ACTIONS(18148), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13334), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18128), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 11,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [210761] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18126), 1,
      anon_sym_COLON,
    ACTIONS(18146), 1,
      sym__ellipsis_operator,
    ACTIONS(18150), 1,
      sym__times_operator,
    ACTIONS(18152), 1,
      sym__rational_operator,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    ACTIONS(18148), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13335), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [210822] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18126), 1,
      anon_sym_COLON,
    ACTIONS(18142), 1,
      sym__pipe_right_operator,
    ACTIONS(18144), 1,
      sym__pipe_left_operator,
    ACTIONS(18146), 1,
      sym__ellipsis_operator,
    ACTIONS(18150), 1,
      sym__times_operator,
    ACTIONS(18152), 1,
      sym__rational_operator,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    ACTIONS(18148), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13336), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [210887] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    STATE(12710), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13337), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11202), 4,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [210970] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15568), 1,
      anon_sym_DASH_GT,
    ACTIONS(15829), 1,
      anon_sym_EQ,
    STATE(13338), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [211017] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11258), 1,
      anon_sym_EQ,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18158), 1,
      anon_sym_COMMA,
    ACTIONS(18199), 1,
      anon_sym_QMARK,
    STATE(13225), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13339), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11260), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [211102] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11876), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13340), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [211171] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16341), 1,
      anon_sym_EQ,
    STATE(13341), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11202), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [211216] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13342), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 20,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [211271] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    STATE(13343), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 22,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [211324] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    STATE(13344), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 23,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [211375] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(15717), 1,
      anon_sym_EQ,
    STATE(13345), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [211420] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17615), 1,
      anon_sym_COMMA,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17625), 1,
      anon_sym_QMARK,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    STATE(14618), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13346), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 3,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [211503] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15640), 1,
      anon_sym_DASH_GT,
    STATE(13347), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [211548] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13348), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11220), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      sym__pair_operator,
  [211627] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18150), 1,
      sym__times_operator,
    ACTIONS(18152), 1,
      sym__rational_operator,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    ACTIONS(18148), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13349), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [211682] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18150), 1,
      sym__times_operator,
    ACTIONS(18152), 1,
      sym__rational_operator,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    STATE(13350), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 5,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [211735] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18152), 1,
      sym__rational_operator,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    STATE(13351), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [211786] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    STATE(13352), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [211835] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18156), 1,
      sym__power_operator,
    STATE(13353), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 20,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [211882] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11384), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17749), 1,
      anon_sym_QMARK,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13354), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11382), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
  [211961] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13355), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
    ACTIONS(11380), 13,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [212026] = 17,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11878), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13356), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11876), 11,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [212093] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17759), 1,
      anon_sym_QMARK,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17763), 1,
      sym__pair_operator,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13357), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 4,
      anon_sym_COMMA,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [212174] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17535), 1,
      anon_sym_QMARK,
    ACTIONS(18126), 1,
      anon_sym_COLON,
    ACTIONS(18130), 1,
      anon_sym_where,
    ACTIONS(18132), 1,
      sym__pair_operator,
    ACTIONS(18134), 1,
      sym__arrow_operator,
    ACTIONS(18136), 1,
      sym__lazy_or_operator,
    ACTIONS(18138), 1,
      sym__lazy_and_operator,
    ACTIONS(18140), 1,
      sym__comparison_operator,
    ACTIONS(18142), 1,
      sym__pipe_right_operator,
    ACTIONS(18144), 1,
      sym__pipe_left_operator,
    ACTIONS(18146), 1,
      sym__ellipsis_operator,
    ACTIONS(18150), 1,
      sym__times_operator,
    ACTIONS(18152), 1,
      sym__rational_operator,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    ACTIONS(18148), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13358), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18128), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [212253] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15687), 1,
      anon_sym_EQ,
    STATE(13359), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [212298] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17535), 1,
      anon_sym_QMARK,
    ACTIONS(18126), 1,
      anon_sym_COLON,
    ACTIONS(18130), 1,
      anon_sym_where,
    ACTIONS(18132), 1,
      sym__pair_operator,
    ACTIONS(18134), 1,
      sym__arrow_operator,
    ACTIONS(18136), 1,
      sym__lazy_or_operator,
    ACTIONS(18138), 1,
      sym__lazy_and_operator,
    ACTIONS(18140), 1,
      sym__comparison_operator,
    ACTIONS(18142), 1,
      sym__pipe_right_operator,
    ACTIONS(18144), 1,
      sym__pipe_left_operator,
    ACTIONS(18146), 1,
      sym__ellipsis_operator,
    ACTIONS(18150), 1,
      sym__times_operator,
    ACTIONS(18152), 1,
      sym__rational_operator,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    ACTIONS(18148), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13360), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18128), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(12153), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [212377] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17256), 1,
      sym__pair_operator,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17535), 1,
      anon_sym_QMARK,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13361), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11384), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [212456] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13362), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
  [212533] = 20,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13363), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 8,
      anon_sym_COMMA,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [212606] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13364), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 9,
      anon_sym_COMMA,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [212677] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11216), 1,
      anon_sym_EQ,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18199), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13365), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11220), 4,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__pair_operator,
  [212760] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15829), 1,
      anon_sym_EQ,
    STATE(13366), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [212807] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15745), 1,
      anon_sym_EQ,
    STATE(13367), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [212852] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13368), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
    ACTIONS(11380), 15,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [212913] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18156), 1,
      sym__power_operator,
    STATE(13369), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 20,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [212960] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18150), 1,
      sym__times_operator,
    ACTIONS(18152), 1,
      sym__rational_operator,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    ACTIONS(18148), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13370), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 3,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [213015] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13371), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
    ACTIONS(11380), 13,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [213080] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17977), 1,
      anon_sym_COMMA,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18191), 1,
      anon_sym_QMARK,
    STATE(13318), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13372), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 3,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [213163] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17977), 1,
      anon_sym_COMMA,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18191), 1,
      anon_sym_QMARK,
    STATE(13318), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13373), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 3,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [213246] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(15717), 1,
      anon_sym_EQ,
    STATE(13374), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [213291] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10870), 1,
      aux_sym__terminator_token1,
    ACTIONS(18201), 1,
      anon_sym_DOT,
    STATE(13375), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 26,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [213336] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17977), 1,
      anon_sym_COMMA,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18191), 1,
      anon_sym_QMARK,
    STATE(13318), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13376), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 3,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [213419] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18077), 1,
      anon_sym_COMMA,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18085), 1,
      anon_sym_QMARK,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    STATE(13134), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11258), 2,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(11260), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13377), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [213502] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11166), 1,
      anon_sym_EQ,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18158), 1,
      anon_sym_COMMA,
    ACTIONS(18199), 1,
      anon_sym_QMARK,
    STATE(13225), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13378), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11202), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [213587] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18203), 1,
      anon_sym_DOT,
    STATE(13379), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10870), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [213632] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11204), 1,
      anon_sym_EQ,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18158), 1,
      anon_sym_COMMA,
    ACTIONS(18199), 1,
      anon_sym_QMARK,
    STATE(13225), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13380), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11206), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [213717] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11208), 1,
      anon_sym_EQ,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18158), 1,
      anon_sym_COMMA,
    ACTIONS(18199), 1,
      anon_sym_QMARK,
    STATE(13225), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13381), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11210), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [213802] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15717), 1,
      anon_sym_EQ,
    STATE(13382), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [213847] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17977), 1,
      anon_sym_COMMA,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18191), 1,
      anon_sym_QMARK,
    STATE(13318), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13383), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 3,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [213930] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13384), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 16,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [213985] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12151), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17679), 1,
      anon_sym_QMARK,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13385), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(12153), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [214066] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17679), 1,
      anon_sym_QMARK,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13386), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [214147] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16371), 1,
      anon_sym_EQ,
    STATE(13387), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11260), 20,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [214192] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17510), 1,
      aux_sym__terminator_token1,
    ACTIONS(17587), 1,
      anon_sym_COMMA,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    ACTIONS(17850), 1,
      anon_sym_QMARK,
    STATE(14615), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13388), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17508), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [214275] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    STATE(13389), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 16,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [214328] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11706), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17745), 1,
      anon_sym_QMARK,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13390), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11704), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
  [214407] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    STATE(13391), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 16,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [214458] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    STATE(13392), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [214507] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17787), 1,
      sym__power_operator,
    STATE(13393), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 18,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [214554] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(15745), 1,
      anon_sym_EQ,
    STATE(13394), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [214599] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16341), 1,
      anon_sym_EQ,
    STATE(13395), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11206), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [214644] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    STATE(13396), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 24,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [214693] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11706), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17749), 1,
      anon_sym_QMARK,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13397), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11704), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
  [214772] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15757), 1,
      anon_sym_EQ,
    STATE(13398), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [214817] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17246), 1,
      anon_sym_COLON,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17254), 1,
      anon_sym_where,
    ACTIONS(17256), 1,
      sym__pair_operator,
    ACTIONS(17258), 1,
      sym__arrow_operator,
    ACTIONS(17260), 1,
      sym__lazy_or_operator,
    ACTIONS(17262), 1,
      sym__lazy_and_operator,
    ACTIONS(17264), 1,
      sym__comparison_operator,
    ACTIONS(17266), 1,
      sym__pipe_right_operator,
    ACTIONS(17268), 1,
      sym__pipe_left_operator,
    ACTIONS(17270), 1,
      sym__ellipsis_operator,
    ACTIONS(17274), 1,
      sym__times_operator,
    ACTIONS(17276), 1,
      sym__rational_operator,
    ACTIONS(17278), 1,
      sym__bitshift_operator,
    ACTIONS(17280), 1,
      sym__power_operator,
    ACTIONS(17535), 1,
      anon_sym_QMARK,
    ACTIONS(17272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13399), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17248), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11706), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [214896] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16341), 1,
      anon_sym_EQ,
    STATE(13400), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11210), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [214941] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(225), 1,
      anon_sym_DASH_GT,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15795), 1,
      anon_sym_EQ,
    STATE(13401), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [214988] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15795), 1,
      anon_sym_EQ,
    STATE(13402), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [215035] = 27,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18124), 1,
      anon_sym_SEMI,
    ACTIONS(18205), 1,
      anon_sym_for,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17960), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(18121), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(13403), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [215122] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    STATE(14612), 1,
      sym_for_clause,
    STATE(17960), 1,
      sym__comprehension_clause,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13404), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(18124), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [215207] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15835), 1,
      anon_sym_EQ,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13405), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [215254] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15483), 1,
      anon_sym_DASH_GT,
    STATE(13406), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 26,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [215299] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(15717), 1,
      anon_sym_EQ,
    STATE(13407), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 26,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [215344] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17510), 1,
      aux_sym__terminator_token1,
    ACTIONS(17977), 1,
      anon_sym_COMMA,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17987), 1,
      anon_sym_QMARK,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    STATE(14995), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17508), 2,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13408), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [215426] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11790), 1,
      aux_sym__terminator_token1,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18210), 1,
      sym__times_operator,
    ACTIONS(18212), 1,
      sym__rational_operator,
    ACTIONS(18214), 1,
      sym__bitshift_operator,
    ACTIONS(18216), 1,
      sym__power_operator,
    ACTIONS(18208), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13409), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 19,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [215480] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11310), 1,
      aux_sym__terminator_token1,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18013), 1,
      sym__power_operator,
    STATE(13410), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 24,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [215526] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11310), 1,
      aux_sym__terminator_token1,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18216), 1,
      sym__power_operator,
    STATE(13411), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 24,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [215572] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11790), 1,
      aux_sym__terminator_token1,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18220), 1,
      sym__times_operator,
    ACTIONS(18222), 1,
      sym__rational_operator,
    ACTIONS(18224), 1,
      sym__bitshift_operator,
    ACTIONS(18226), 1,
      sym__power_operator,
    ACTIONS(18218), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13412), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 19,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [215626] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18210), 1,
      sym__times_operator,
    ACTIONS(18212), 1,
      sym__rational_operator,
    ACTIONS(18214), 1,
      sym__bitshift_operator,
    ACTIONS(18216), 1,
      sym__power_operator,
    ACTIONS(18228), 1,
      anon_sym_COLON,
    ACTIONS(18230), 1,
      sym__pipe_right_operator,
    ACTIONS(18232), 1,
      sym__pipe_left_operator,
    ACTIONS(18234), 1,
      sym__ellipsis_operator,
    ACTIONS(18208), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13413), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 14,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [215690] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17551), 1,
      anon_sym_QMARK,
    ACTIONS(18210), 1,
      sym__times_operator,
    ACTIONS(18212), 1,
      sym__rational_operator,
    ACTIONS(18214), 1,
      sym__bitshift_operator,
    ACTIONS(18216), 1,
      sym__power_operator,
    ACTIONS(18228), 1,
      anon_sym_COLON,
    ACTIONS(18230), 1,
      sym__pipe_right_operator,
    ACTIONS(18232), 1,
      sym__pipe_left_operator,
    ACTIONS(18234), 1,
      sym__ellipsis_operator,
    ACTIONS(18238), 1,
      anon_sym_where,
    ACTIONS(18240), 1,
      sym__pair_operator,
    ACTIONS(18242), 1,
      sym__arrow_operator,
    ACTIONS(18244), 1,
      sym__lazy_or_operator,
    ACTIONS(18246), 1,
      sym__lazy_and_operator,
    ACTIONS(18208), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13414), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
    ACTIONS(18236), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [215768] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18085), 1,
      anon_sym_QMARK,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11384), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13415), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11382), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [215846] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18085), 1,
      anon_sym_QMARK,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11706), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13416), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11704), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [215924] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17535), 1,
      anon_sym_QMARK,
    ACTIONS(18126), 1,
      anon_sym_COLON,
    ACTIONS(18130), 1,
      anon_sym_where,
    ACTIONS(18132), 1,
      sym__pair_operator,
    ACTIONS(18134), 1,
      sym__arrow_operator,
    ACTIONS(18136), 1,
      sym__lazy_or_operator,
    ACTIONS(18138), 1,
      sym__lazy_and_operator,
    ACTIONS(18140), 1,
      sym__comparison_operator,
    ACTIONS(18142), 1,
      sym__pipe_right_operator,
    ACTIONS(18144), 1,
      sym__pipe_left_operator,
    ACTIONS(18146), 1,
      sym__ellipsis_operator,
    ACTIONS(18150), 1,
      sym__times_operator,
    ACTIONS(18152), 1,
      sym__rational_operator,
    ACTIONS(18154), 1,
      sym__bitshift_operator,
    ACTIONS(18156), 1,
      sym__power_operator,
    ACTIONS(18148), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13417), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18128), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(18248), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [216002] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15801), 1,
      anon_sym_EQ,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13418), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [216046] = 21,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18210), 1,
      sym__times_operator,
    ACTIONS(18212), 1,
      sym__rational_operator,
    ACTIONS(18214), 1,
      sym__bitshift_operator,
    ACTIONS(18216), 1,
      sym__power_operator,
    ACTIONS(18228), 1,
      anon_sym_COLON,
    ACTIONS(18230), 1,
      sym__pipe_right_operator,
    ACTIONS(18232), 1,
      sym__pipe_left_operator,
    ACTIONS(18234), 1,
      sym__ellipsis_operator,
    ACTIONS(18238), 1,
      anon_sym_where,
    ACTIONS(18242), 1,
      sym__arrow_operator,
    ACTIONS(18244), 1,
      sym__lazy_or_operator,
    ACTIONS(18246), 1,
      sym__lazy_and_operator,
    ACTIONS(18208), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13419), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18236), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 6,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [216120] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11384), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18191), 1,
      anon_sym_QMARK,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13420), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11382), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [216198] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13421), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(12153), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [216276] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13422), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11384), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [216354] = 19,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18210), 1,
      sym__times_operator,
    ACTIONS(18212), 1,
      sym__rational_operator,
    ACTIONS(18214), 1,
      sym__bitshift_operator,
    ACTIONS(18216), 1,
      sym__power_operator,
    ACTIONS(18228), 1,
      anon_sym_COLON,
    ACTIONS(18230), 1,
      sym__pipe_right_operator,
    ACTIONS(18232), 1,
      sym__pipe_left_operator,
    ACTIONS(18234), 1,
      sym__ellipsis_operator,
    ACTIONS(18238), 1,
      anon_sym_where,
    ACTIONS(18246), 1,
      sym__lazy_and_operator,
    ACTIONS(18208), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13423), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18236), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 8,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [216424] = 18,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18210), 1,
      sym__times_operator,
    ACTIONS(18212), 1,
      sym__rational_operator,
    ACTIONS(18214), 1,
      sym__bitshift_operator,
    ACTIONS(18216), 1,
      sym__power_operator,
    ACTIONS(18228), 1,
      anon_sym_COLON,
    ACTIONS(18230), 1,
      sym__pipe_right_operator,
    ACTIONS(18232), 1,
      sym__pipe_left_operator,
    ACTIONS(18234), 1,
      sym__ellipsis_operator,
    ACTIONS(18238), 1,
      anon_sym_where,
    ACTIONS(18208), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13424), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18236), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 9,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [216492] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13425), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [216570] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11706), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18191), 1,
      anon_sym_QMARK,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13426), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11704), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [216648] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17977), 1,
      anon_sym_COMMA,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17987), 1,
      anon_sym_QMARK,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    STATE(14995), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11258), 2,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13427), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [216730] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18210), 1,
      sym__times_operator,
    ACTIONS(18212), 1,
      sym__rational_operator,
    ACTIONS(18214), 1,
      sym__bitshift_operator,
    ACTIONS(18216), 1,
      sym__power_operator,
    ACTIONS(18228), 1,
      anon_sym_COLON,
    ACTIONS(18234), 1,
      sym__ellipsis_operator,
    ACTIONS(18208), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13428), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 16,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [216790] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18210), 1,
      sym__times_operator,
    ACTIONS(18212), 1,
      sym__rational_operator,
    ACTIONS(18214), 1,
      sym__bitshift_operator,
    ACTIONS(18216), 1,
      sym__power_operator,
    ACTIONS(18228), 1,
      anon_sym_COLON,
    ACTIONS(18230), 1,
      sym__pipe_right_operator,
    ACTIONS(18232), 1,
      sym__pipe_left_operator,
    ACTIONS(18234), 1,
      sym__ellipsis_operator,
    ACTIONS(18208), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13429), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 14,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [216854] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11258), 1,
      anon_sym_SEMI,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18077), 1,
      anon_sym_COMMA,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(18176), 1,
      anon_sym_QMARK,
    STATE(13134), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11260), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13430), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [216936] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18210), 1,
      sym__times_operator,
    ACTIONS(18212), 1,
      sym__rational_operator,
    ACTIONS(18214), 1,
      sym__bitshift_operator,
    ACTIONS(18216), 1,
      sym__power_operator,
    ACTIONS(18208), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13431), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 19,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [216990] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18210), 1,
      sym__times_operator,
    ACTIONS(18212), 1,
      sym__rational_operator,
    ACTIONS(18214), 1,
      sym__bitshift_operator,
    ACTIONS(18216), 1,
      sym__power_operator,
    STATE(13432), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 21,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [217042] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18212), 1,
      sym__rational_operator,
    ACTIONS(18214), 1,
      sym__bitshift_operator,
    ACTIONS(18216), 1,
      sym__power_operator,
    STATE(13433), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 22,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [217092] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18214), 1,
      sym__bitshift_operator,
    ACTIONS(18216), 1,
      sym__power_operator,
    STATE(13434), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 23,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [217140] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11382), 1,
      anon_sym_EQ,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18199), 1,
      anon_sym_QMARK,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13435), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11384), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [217220] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17838), 1,
      aux_sym__terminator_token1,
    ACTIONS(17977), 1,
      anon_sym_COMMA,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17987), 1,
      anon_sym_QMARK,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    STATE(14995), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17836), 2,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13436), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [217302] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18216), 1,
      sym__power_operator,
    STATE(13437), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 24,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [217348] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17977), 1,
      anon_sym_COMMA,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17987), 1,
      anon_sym_QMARK,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    STATE(13318), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11258), 2,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13438), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [217430] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(15831), 1,
      anon_sym_EQ,
    STATE(13439), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [217474] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17977), 1,
      anon_sym_COMMA,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17987), 1,
      anon_sym_QMARK,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    STATE(13318), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11208), 2,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13440), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [217556] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(12153), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17551), 1,
      anon_sym_QMARK,
    ACTIONS(18210), 1,
      sym__times_operator,
    ACTIONS(18212), 1,
      sym__rational_operator,
    ACTIONS(18214), 1,
      sym__bitshift_operator,
    ACTIONS(18216), 1,
      sym__power_operator,
    ACTIONS(18228), 1,
      anon_sym_COLON,
    ACTIONS(18230), 1,
      sym__pipe_right_operator,
    ACTIONS(18232), 1,
      sym__pipe_left_operator,
    ACTIONS(18234), 1,
      sym__ellipsis_operator,
    ACTIONS(18238), 1,
      anon_sym_where,
    ACTIONS(18240), 1,
      sym__pair_operator,
    ACTIONS(18242), 1,
      sym__arrow_operator,
    ACTIONS(18244), 1,
      sym__lazy_or_operator,
    ACTIONS(18246), 1,
      sym__lazy_and_operator,
    ACTIONS(18208), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13441), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12151), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
    ACTIONS(18236), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [217634] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11384), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17551), 1,
      anon_sym_QMARK,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13442), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11382), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [217712] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18282), 1,
      anon_sym_COLON,
    ACTIONS(18284), 1,
      sym__pipe_right_operator,
    ACTIONS(18286), 1,
      sym__pipe_left_operator,
    ACTIONS(18288), 1,
      sym__ellipsis_operator,
    ACTIONS(18292), 1,
      sym__times_operator,
    ACTIONS(18294), 1,
      sym__rational_operator,
    ACTIONS(18296), 1,
      sym__bitshift_operator,
    ACTIONS(18298), 1,
      sym__power_operator,
    ACTIONS(18290), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13443), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 14,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [217776] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18282), 1,
      anon_sym_COLON,
    ACTIONS(18284), 1,
      sym__pipe_right_operator,
    ACTIONS(18286), 1,
      sym__pipe_left_operator,
    ACTIONS(18288), 1,
      sym__ellipsis_operator,
    ACTIONS(18292), 1,
      sym__times_operator,
    ACTIONS(18294), 1,
      sym__rational_operator,
    ACTIONS(18296), 1,
      sym__bitshift_operator,
    ACTIONS(18298), 1,
      sym__power_operator,
    ACTIONS(18302), 1,
      sym__comparison_operator,
    ACTIONS(18290), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13444), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18300), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 11,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [217842] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18282), 1,
      anon_sym_COLON,
    ACTIONS(18284), 1,
      sym__pipe_right_operator,
    ACTIONS(18286), 1,
      sym__pipe_left_operator,
    ACTIONS(18288), 1,
      sym__ellipsis_operator,
    ACTIONS(18292), 1,
      sym__times_operator,
    ACTIONS(18294), 1,
      sym__rational_operator,
    ACTIONS(18296), 1,
      sym__bitshift_operator,
    ACTIONS(18298), 1,
      sym__power_operator,
    ACTIONS(18302), 1,
      sym__comparison_operator,
    ACTIONS(18304), 1,
      anon_sym_QMARK,
    ACTIONS(18306), 1,
      anon_sym_where,
    ACTIONS(18308), 1,
      sym__pair_operator,
    ACTIONS(18310), 1,
      sym__arrow_operator,
    ACTIONS(18312), 1,
      sym__lazy_or_operator,
    ACTIONS(18314), 1,
      sym__lazy_and_operator,
    ACTIONS(18290), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13445), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18300), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [217920] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18282), 1,
      anon_sym_COLON,
    ACTIONS(18284), 1,
      sym__pipe_right_operator,
    ACTIONS(18286), 1,
      sym__pipe_left_operator,
    ACTIONS(18288), 1,
      sym__ellipsis_operator,
    ACTIONS(18292), 1,
      sym__times_operator,
    ACTIONS(18294), 1,
      sym__rational_operator,
    ACTIONS(18296), 1,
      sym__bitshift_operator,
    ACTIONS(18298), 1,
      sym__power_operator,
    ACTIONS(18302), 1,
      sym__comparison_operator,
    ACTIONS(18306), 1,
      anon_sym_where,
    ACTIONS(18310), 1,
      sym__arrow_operator,
    ACTIONS(18312), 1,
      sym__lazy_or_operator,
    ACTIONS(18314), 1,
      sym__lazy_and_operator,
    ACTIONS(18290), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13446), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18300), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 7,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [217994] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11384), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17625), 1,
      anon_sym_QMARK,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13447), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11382), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [218072] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18191), 1,
      anon_sym_QMARK,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13448), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11134), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [218150] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18282), 1,
      anon_sym_COLON,
    ACTIONS(18284), 1,
      sym__pipe_right_operator,
    ACTIONS(18286), 1,
      sym__pipe_left_operator,
    ACTIONS(18288), 1,
      sym__ellipsis_operator,
    ACTIONS(18292), 1,
      sym__times_operator,
    ACTIONS(18294), 1,
      sym__rational_operator,
    ACTIONS(18296), 1,
      sym__bitshift_operator,
    ACTIONS(18298), 1,
      sym__power_operator,
    ACTIONS(18302), 1,
      sym__comparison_operator,
    ACTIONS(18306), 1,
      anon_sym_where,
    ACTIONS(18314), 1,
      sym__lazy_and_operator,
    ACTIONS(18290), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13449), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18300), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 9,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [218220] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18282), 1,
      anon_sym_COLON,
    ACTIONS(18284), 1,
      sym__pipe_right_operator,
    ACTIONS(18286), 1,
      sym__pipe_left_operator,
    ACTIONS(18288), 1,
      sym__ellipsis_operator,
    ACTIONS(18292), 1,
      sym__times_operator,
    ACTIONS(18294), 1,
      sym__rational_operator,
    ACTIONS(18296), 1,
      sym__bitshift_operator,
    ACTIONS(18298), 1,
      sym__power_operator,
    ACTIONS(18302), 1,
      sym__comparison_operator,
    ACTIONS(18306), 1,
      anon_sym_where,
    ACTIONS(18290), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13450), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18300), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 10,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [218288] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18282), 1,
      anon_sym_COLON,
    ACTIONS(18288), 1,
      sym__ellipsis_operator,
    ACTIONS(18292), 1,
      sym__times_operator,
    ACTIONS(18294), 1,
      sym__rational_operator,
    ACTIONS(18296), 1,
      sym__bitshift_operator,
    ACTIONS(18298), 1,
      sym__power_operator,
    ACTIONS(18290), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13451), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 16,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [218348] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18282), 1,
      anon_sym_COLON,
    ACTIONS(18284), 1,
      sym__pipe_right_operator,
    ACTIONS(18286), 1,
      sym__pipe_left_operator,
    ACTIONS(18288), 1,
      sym__ellipsis_operator,
    ACTIONS(18292), 1,
      sym__times_operator,
    ACTIONS(18294), 1,
      sym__rational_operator,
    ACTIONS(18296), 1,
      sym__bitshift_operator,
    ACTIONS(18298), 1,
      sym__power_operator,
    ACTIONS(18290), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13452), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 14,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [218412] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11258), 1,
      anon_sym_SEMI,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18077), 1,
      anon_sym_COMMA,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(18176), 1,
      anon_sym_QMARK,
    STATE(14994), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11260), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13453), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [218494] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18220), 1,
      sym__times_operator,
    ACTIONS(18222), 1,
      sym__rational_operator,
    ACTIONS(18224), 1,
      sym__bitshift_operator,
    ACTIONS(18226), 1,
      sym__power_operator,
    ACTIONS(18316), 1,
      anon_sym_COLON,
    ACTIONS(18318), 1,
      sym__pipe_right_operator,
    ACTIONS(18320), 1,
      sym__pipe_left_operator,
    ACTIONS(18322), 1,
      sym__ellipsis_operator,
    ACTIONS(18218), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13454), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 14,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [218558] = 17,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11878), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18220), 1,
      sym__times_operator,
    ACTIONS(18222), 1,
      sym__rational_operator,
    ACTIONS(18224), 1,
      sym__bitshift_operator,
    ACTIONS(18226), 1,
      sym__power_operator,
    ACTIONS(18316), 1,
      anon_sym_COLON,
    ACTIONS(18318), 1,
      sym__pipe_right_operator,
    ACTIONS(18320), 1,
      sym__pipe_left_operator,
    ACTIONS(18322), 1,
      sym__ellipsis_operator,
    ACTIONS(18218), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13455), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18324), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11876), 10,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [218624] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11790), 1,
      aux_sym__terminator_token1,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13456), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 19,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [218678] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15833), 1,
      anon_sym_EQ,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13457), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [218722] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13458), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 14,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [218786] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17836), 1,
      anon_sym_SEMI,
    ACTIONS(18077), 1,
      anon_sym_COMMA,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(18176), 1,
      anon_sym_QMARK,
    STATE(14994), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17838), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13459), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [218868] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17850), 1,
      anon_sym_QMARK,
    ACTIONS(18220), 1,
      sym__times_operator,
    ACTIONS(18222), 1,
      sym__rational_operator,
    ACTIONS(18224), 1,
      sym__bitshift_operator,
    ACTIONS(18226), 1,
      sym__power_operator,
    ACTIONS(18316), 1,
      anon_sym_COLON,
    ACTIONS(18318), 1,
      sym__pipe_right_operator,
    ACTIONS(18320), 1,
      sym__pipe_left_operator,
    ACTIONS(18322), 1,
      sym__ellipsis_operator,
    ACTIONS(18326), 1,
      anon_sym_where,
    ACTIONS(18328), 1,
      sym__pair_operator,
    ACTIONS(18330), 1,
      sym__arrow_operator,
    ACTIONS(18332), 1,
      sym__lazy_or_operator,
    ACTIONS(18334), 1,
      sym__lazy_and_operator,
    ACTIONS(18218), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13460), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 4,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(18324), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [218946] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17969), 1,
      anon_sym_QMARK,
    ACTIONS(18336), 1,
      anon_sym_COLON,
    ACTIONS(18340), 1,
      anon_sym_where,
    ACTIONS(18342), 1,
      sym__pair_operator,
    ACTIONS(18344), 1,
      sym__arrow_operator,
    ACTIONS(18346), 1,
      sym__lazy_or_operator,
    ACTIONS(18348), 1,
      sym__lazy_and_operator,
    ACTIONS(18350), 1,
      sym__comparison_operator,
    ACTIONS(18352), 1,
      sym__pipe_right_operator,
    ACTIONS(18354), 1,
      sym__pipe_left_operator,
    ACTIONS(18356), 1,
      sym__ellipsis_operator,
    ACTIONS(18360), 1,
      sym__times_operator,
    ACTIONS(18362), 1,
      sym__rational_operator,
    ACTIONS(18364), 1,
      sym__bitshift_operator,
    ACTIONS(18366), 1,
      sym__power_operator,
    ACTIONS(18358), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13461), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18338), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 4,
      anon_sym_COMMA,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [219026] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18282), 1,
      anon_sym_COLON,
    ACTIONS(18284), 1,
      sym__pipe_right_operator,
    ACTIONS(18286), 1,
      sym__pipe_left_operator,
    ACTIONS(18288), 1,
      sym__ellipsis_operator,
    ACTIONS(18292), 1,
      sym__times_operator,
    ACTIONS(18294), 1,
      sym__rational_operator,
    ACTIONS(18296), 1,
      sym__bitshift_operator,
    ACTIONS(18298), 1,
      sym__power_operator,
    ACTIONS(18302), 1,
      sym__comparison_operator,
    ACTIONS(18304), 1,
      anon_sym_QMARK,
    ACTIONS(18306), 1,
      anon_sym_where,
    ACTIONS(18308), 1,
      sym__pair_operator,
    ACTIONS(18310), 1,
      sym__arrow_operator,
    ACTIONS(18312), 1,
      sym__lazy_or_operator,
    ACTIONS(18314), 1,
      sym__lazy_and_operator,
    ACTIONS(18290), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13462), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18300), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(12153), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [219104] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16337), 1,
      anon_sym_EQ,
    ACTIONS(11202), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13463), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [219148] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12151), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17969), 1,
      anon_sym_QMARK,
    ACTIONS(18336), 1,
      anon_sym_COLON,
    ACTIONS(18340), 1,
      anon_sym_where,
    ACTIONS(18342), 1,
      sym__pair_operator,
    ACTIONS(18344), 1,
      sym__arrow_operator,
    ACTIONS(18346), 1,
      sym__lazy_or_operator,
    ACTIONS(18348), 1,
      sym__lazy_and_operator,
    ACTIONS(18350), 1,
      sym__comparison_operator,
    ACTIONS(18352), 1,
      sym__pipe_right_operator,
    ACTIONS(18354), 1,
      sym__pipe_left_operator,
    ACTIONS(18356), 1,
      sym__ellipsis_operator,
    ACTIONS(18360), 1,
      sym__times_operator,
    ACTIONS(18362), 1,
      sym__rational_operator,
    ACTIONS(18364), 1,
      sym__bitshift_operator,
    ACTIONS(18366), 1,
      sym__power_operator,
    ACTIONS(18358), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13464), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18338), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(12153), 4,
      anon_sym_COMMA,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [219228] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16337), 1,
      anon_sym_EQ,
    ACTIONS(11206), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13465), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [219272] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16337), 1,
      anon_sym_EQ,
    ACTIONS(11210), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13466), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [219316] = 21,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18220), 1,
      sym__times_operator,
    ACTIONS(18222), 1,
      sym__rational_operator,
    ACTIONS(18224), 1,
      sym__bitshift_operator,
    ACTIONS(18226), 1,
      sym__power_operator,
    ACTIONS(18316), 1,
      anon_sym_COLON,
    ACTIONS(18318), 1,
      sym__pipe_right_operator,
    ACTIONS(18320), 1,
      sym__pipe_left_operator,
    ACTIONS(18322), 1,
      sym__ellipsis_operator,
    ACTIONS(18326), 1,
      anon_sym_where,
    ACTIONS(18330), 1,
      sym__arrow_operator,
    ACTIONS(18332), 1,
      sym__lazy_or_operator,
    ACTIONS(18334), 1,
      sym__lazy_and_operator,
    ACTIONS(18218), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13467), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18324), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 6,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [219390] = 17,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11878), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13468), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11876), 10,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [219456] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18191), 1,
      anon_sym_QMARK,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13469), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [219534] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17933), 1,
      anon_sym_COLON,
    ACTIONS(17939), 1,
      anon_sym_where,
    ACTIONS(17941), 1,
      sym__pair_operator,
    ACTIONS(17943), 1,
      sym__arrow_operator,
    ACTIONS(17945), 1,
      sym__lazy_or_operator,
    ACTIONS(17947), 1,
      sym__lazy_and_operator,
    ACTIONS(17949), 1,
      sym__comparison_operator,
    ACTIONS(17951), 1,
      sym__pipe_right_operator,
    ACTIONS(17953), 1,
      sym__pipe_left_operator,
    ACTIONS(17955), 1,
      sym__ellipsis_operator,
    ACTIONS(17959), 1,
      sym__times_operator,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    ACTIONS(18304), 1,
      anon_sym_QMARK,
    ACTIONS(17957), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13470), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17935), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11384), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [219612] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(18176), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11220), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13471), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11216), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      sym__pair_operator,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [219690] = 19,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18220), 1,
      sym__times_operator,
    ACTIONS(18222), 1,
      sym__rational_operator,
    ACTIONS(18224), 1,
      sym__bitshift_operator,
    ACTIONS(18226), 1,
      sym__power_operator,
    ACTIONS(18316), 1,
      anon_sym_COLON,
    ACTIONS(18318), 1,
      sym__pipe_right_operator,
    ACTIONS(18320), 1,
      sym__pipe_left_operator,
    ACTIONS(18322), 1,
      sym__ellipsis_operator,
    ACTIONS(18326), 1,
      anon_sym_where,
    ACTIONS(18334), 1,
      sym__lazy_and_operator,
    ACTIONS(18218), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13472), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18324), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 8,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [219760] = 21,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13473), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 6,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [219834] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15795), 1,
      anon_sym_EQ,
    STATE(13474), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [219878] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11706), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17543), 1,
      anon_sym_COLON,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17551), 1,
      anon_sym_QMARK,
    ACTIONS(17553), 1,
      anon_sym_where,
    ACTIONS(17555), 1,
      sym__pair_operator,
    ACTIONS(17557), 1,
      sym__arrow_operator,
    ACTIONS(17559), 1,
      sym__lazy_or_operator,
    ACTIONS(17561), 1,
      sym__lazy_and_operator,
    ACTIONS(17563), 1,
      sym__pipe_right_operator,
    ACTIONS(17565), 1,
      sym__pipe_left_operator,
    ACTIONS(17567), 1,
      sym__ellipsis_operator,
    ACTIONS(17571), 1,
      sym__times_operator,
    ACTIONS(17573), 1,
      sym__rational_operator,
    ACTIONS(17575), 1,
      sym__bitshift_operator,
    ACTIONS(17577), 1,
      sym__power_operator,
    ACTIONS(17569), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13475), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11704), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
    ACTIONS(17545), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [219956] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18368), 1,
      anon_sym_COLON,
    ACTIONS(18372), 1,
      anon_sym_QMARK,
    ACTIONS(18374), 1,
      anon_sym_where,
    ACTIONS(18376), 1,
      sym__pair_operator,
    ACTIONS(18378), 1,
      sym__arrow_operator,
    ACTIONS(18380), 1,
      sym__lazy_or_operator,
    ACTIONS(18382), 1,
      sym__lazy_and_operator,
    ACTIONS(18384), 1,
      sym__comparison_operator,
    ACTIONS(18386), 1,
      sym__pipe_right_operator,
    ACTIONS(18388), 1,
      sym__pipe_left_operator,
    ACTIONS(18390), 1,
      sym__ellipsis_operator,
    ACTIONS(18394), 1,
      sym__times_operator,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    ACTIONS(12151), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(18392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13476), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12153), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(18370), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [220036] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18368), 1,
      anon_sym_COLON,
    ACTIONS(18372), 1,
      anon_sym_QMARK,
    ACTIONS(18374), 1,
      anon_sym_where,
    ACTIONS(18376), 1,
      sym__pair_operator,
    ACTIONS(18378), 1,
      sym__arrow_operator,
    ACTIONS(18380), 1,
      sym__lazy_or_operator,
    ACTIONS(18382), 1,
      sym__lazy_and_operator,
    ACTIONS(18384), 1,
      sym__comparison_operator,
    ACTIONS(18386), 1,
      sym__pipe_right_operator,
    ACTIONS(18388), 1,
      sym__pipe_left_operator,
    ACTIONS(18390), 1,
      sym__ellipsis_operator,
    ACTIONS(18394), 1,
      sym__times_operator,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(18392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13477), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(18370), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [220116] = 18,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18220), 1,
      sym__times_operator,
    ACTIONS(18222), 1,
      sym__rational_operator,
    ACTIONS(18224), 1,
      sym__bitshift_operator,
    ACTIONS(18226), 1,
      sym__power_operator,
    ACTIONS(18316), 1,
      anon_sym_COLON,
    ACTIONS(18318), 1,
      sym__pipe_right_operator,
    ACTIONS(18320), 1,
      sym__pipe_left_operator,
    ACTIONS(18322), 1,
      sym__ellipsis_operator,
    ACTIONS(18326), 1,
      anon_sym_where,
    ACTIONS(18218), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13478), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18324), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 9,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [220184] = 19,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13479), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [220254] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(12153), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18191), 1,
      anon_sym_QMARK,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13480), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12151), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [220332] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11704), 1,
      anon_sym_EQ,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18199), 1,
      anon_sym_QMARK,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13481), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11706), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [220412] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18220), 1,
      sym__times_operator,
    ACTIONS(18222), 1,
      sym__rational_operator,
    ACTIONS(18224), 1,
      sym__bitshift_operator,
    ACTIONS(18226), 1,
      sym__power_operator,
    ACTIONS(18316), 1,
      anon_sym_COLON,
    ACTIONS(18322), 1,
      sym__ellipsis_operator,
    ACTIONS(18218), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13482), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 16,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [220472] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18220), 1,
      sym__times_operator,
    ACTIONS(18222), 1,
      sym__rational_operator,
    ACTIONS(18224), 1,
      sym__bitshift_operator,
    ACTIONS(18226), 1,
      sym__power_operator,
    ACTIONS(18316), 1,
      anon_sym_COLON,
    ACTIONS(18318), 1,
      sym__pipe_right_operator,
    ACTIONS(18320), 1,
      sym__pipe_left_operator,
    ACTIONS(18322), 1,
      sym__ellipsis_operator,
    ACTIONS(18218), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13483), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 14,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [220536] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(15747), 1,
      anon_sym_COMMA,
    ACTIONS(15749), 1,
      anon_sym_SEMI,
    ACTIONS(15751), 1,
      aux_sym__terminator_token1,
    STATE(16667), 1,
      aux_sym__do_parameter_list_repeat1,
    STATE(13484), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 22,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [220586] = 18,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13485), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 9,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [220654] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13486), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11706), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [220732] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18220), 1,
      sym__times_operator,
    ACTIONS(18222), 1,
      sym__rational_operator,
    ACTIONS(18224), 1,
      sym__bitshift_operator,
    ACTIONS(18226), 1,
      sym__power_operator,
    ACTIONS(18218), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13487), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 19,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [220786] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18220), 1,
      sym__times_operator,
    ACTIONS(18222), 1,
      sym__rational_operator,
    ACTIONS(18224), 1,
      sym__bitshift_operator,
    ACTIONS(18226), 1,
      sym__power_operator,
    STATE(13488), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 21,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [220838] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13489), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 16,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [220898] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18222), 1,
      sym__rational_operator,
    ACTIONS(18224), 1,
      sym__bitshift_operator,
    ACTIONS(18226), 1,
      sym__power_operator,
    STATE(13490), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 22,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [220948] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15535), 1,
      anon_sym_DASH_GT,
    ACTIONS(15865), 1,
      anon_sym_EQ,
    STATE(13491), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [220994] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15529), 1,
      sym__immediate_paren,
    ACTIONS(15865), 1,
      anon_sym_EQ,
    STATE(13492), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [221040] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13493), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 14,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [221104] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13494), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 19,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [221158] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    STATE(13495), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 21,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [221210] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18224), 1,
      sym__bitshift_operator,
    ACTIONS(18226), 1,
      sym__power_operator,
    STATE(13496), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 23,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [221258] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    STATE(13497), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 22,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [221308] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15849), 1,
      anon_sym_EQ,
    STATE(13498), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [221352] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16337), 1,
      anon_sym_EQ,
    ACTIONS(11260), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13499), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [221396] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18226), 1,
      sym__power_operator,
    STATE(13500), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 24,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [221442] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    STATE(13501), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 23,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [221490] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13502), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 13,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [221554] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16013), 1,
      anon_sym_EQ,
    STATE(13503), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11260), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [221598] = 17,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11878), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18402), 1,
      anon_sym_COLON,
    ACTIONS(18406), 1,
      sym__pipe_right_operator,
    ACTIONS(18408), 1,
      sym__pipe_left_operator,
    ACTIONS(18410), 1,
      sym__ellipsis_operator,
    ACTIONS(18414), 1,
      sym__times_operator,
    ACTIONS(18416), 1,
      sym__rational_operator,
    ACTIONS(18418), 1,
      sym__bitshift_operator,
    ACTIONS(18420), 1,
      sym__power_operator,
    ACTIONS(18412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13504), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18404), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11876), 10,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [221664] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11876), 1,
      anon_sym_EQ,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13505), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 10,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [221732] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18199), 1,
      anon_sym_QMARK,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13506), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [221812] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18013), 1,
      sym__power_operator,
    STATE(13507), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 24,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [221858] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13508), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 6,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [221934] = 20,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13509), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 8,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [222006] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13510), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 9,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [222076] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13511), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 16,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [222130] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18085), 1,
      anon_sym_QMARK,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11139), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13512), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11134), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [222208] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13513), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 15,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [222268] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11382), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17763), 1,
      sym__pair_operator,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(17969), 1,
      anon_sym_QMARK,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13514), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11384), 4,
      anon_sym_COMMA,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [222348] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13515), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 13,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [222412] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13516), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 16,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [222466] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    STATE(13517), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 16,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [222518] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(16339), 1,
      anon_sym_EQ,
    STATE(13518), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [222562] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18402), 1,
      anon_sym_COLON,
    ACTIONS(18406), 1,
      sym__pipe_right_operator,
    ACTIONS(18408), 1,
      sym__pipe_left_operator,
    ACTIONS(18410), 1,
      sym__ellipsis_operator,
    ACTIONS(18414), 1,
      sym__times_operator,
    ACTIONS(18416), 1,
      sym__rational_operator,
    ACTIONS(18418), 1,
      sym__bitshift_operator,
    ACTIONS(18420), 1,
      sym__power_operator,
    ACTIONS(18412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13519), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 14,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [222626] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17625), 1,
      anon_sym_QMARK,
    ACTIONS(18402), 1,
      anon_sym_COLON,
    ACTIONS(18406), 1,
      sym__pipe_right_operator,
    ACTIONS(18408), 1,
      sym__pipe_left_operator,
    ACTIONS(18410), 1,
      sym__ellipsis_operator,
    ACTIONS(18414), 1,
      sym__times_operator,
    ACTIONS(18416), 1,
      sym__rational_operator,
    ACTIONS(18418), 1,
      sym__bitshift_operator,
    ACTIONS(18420), 1,
      sym__power_operator,
    ACTIONS(18422), 1,
      anon_sym_where,
    ACTIONS(18424), 1,
      sym__pair_operator,
    ACTIONS(18426), 1,
      sym__arrow_operator,
    ACTIONS(18428), 1,
      sym__lazy_or_operator,
    ACTIONS(18430), 1,
      sym__lazy_and_operator,
    ACTIONS(18412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13520), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(18404), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [222704] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11704), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17755), 1,
      anon_sym_COLON,
    ACTIONS(17761), 1,
      anon_sym_where,
    ACTIONS(17763), 1,
      sym__pair_operator,
    ACTIONS(17765), 1,
      sym__arrow_operator,
    ACTIONS(17767), 1,
      sym__lazy_or_operator,
    ACTIONS(17769), 1,
      sym__lazy_and_operator,
    ACTIONS(17771), 1,
      sym__comparison_operator,
    ACTIONS(17773), 1,
      sym__pipe_right_operator,
    ACTIONS(17775), 1,
      sym__pipe_left_operator,
    ACTIONS(17777), 1,
      sym__ellipsis_operator,
    ACTIONS(17781), 1,
      sym__times_operator,
    ACTIONS(17783), 1,
      sym__rational_operator,
    ACTIONS(17785), 1,
      sym__bitshift_operator,
    ACTIONS(17787), 1,
      sym__power_operator,
    ACTIONS(17969), 1,
      anon_sym_QMARK,
    ACTIONS(17779), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13521), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17757), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11706), 4,
      anon_sym_COMMA,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [222784] = 21,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18402), 1,
      anon_sym_COLON,
    ACTIONS(18406), 1,
      sym__pipe_right_operator,
    ACTIONS(18408), 1,
      sym__pipe_left_operator,
    ACTIONS(18410), 1,
      sym__ellipsis_operator,
    ACTIONS(18414), 1,
      sym__times_operator,
    ACTIONS(18416), 1,
      sym__rational_operator,
    ACTIONS(18418), 1,
      sym__bitshift_operator,
    ACTIONS(18420), 1,
      sym__power_operator,
    ACTIONS(18422), 1,
      anon_sym_where,
    ACTIONS(18426), 1,
      sym__arrow_operator,
    ACTIONS(18428), 1,
      sym__lazy_or_operator,
    ACTIONS(18430), 1,
      sym__lazy_and_operator,
    ACTIONS(18412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13522), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18404), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 6,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [222858] = 19,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18402), 1,
      anon_sym_COLON,
    ACTIONS(18406), 1,
      sym__pipe_right_operator,
    ACTIONS(18408), 1,
      sym__pipe_left_operator,
    ACTIONS(18410), 1,
      sym__ellipsis_operator,
    ACTIONS(18414), 1,
      sym__times_operator,
    ACTIONS(18416), 1,
      sym__rational_operator,
    ACTIONS(18418), 1,
      sym__bitshift_operator,
    ACTIONS(18420), 1,
      sym__power_operator,
    ACTIONS(18422), 1,
      anon_sym_where,
    ACTIONS(18430), 1,
      sym__lazy_and_operator,
    ACTIONS(18412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13523), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18404), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 8,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [222928] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11220), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17987), 1,
      anon_sym_QMARK,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13524), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11216), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_SEMI,
      sym__pair_operator,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [223006] = 18,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18402), 1,
      anon_sym_COLON,
    ACTIONS(18406), 1,
      sym__pipe_right_operator,
    ACTIONS(18408), 1,
      sym__pipe_left_operator,
    ACTIONS(18410), 1,
      sym__ellipsis_operator,
    ACTIONS(18414), 1,
      sym__times_operator,
    ACTIONS(18416), 1,
      sym__rational_operator,
    ACTIONS(18418), 1,
      sym__bitshift_operator,
    ACTIONS(18420), 1,
      sym__power_operator,
    ACTIONS(18422), 1,
      anon_sym_where,
    ACTIONS(18412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13525), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18404), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 9,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [223074] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18085), 1,
      anon_sym_QMARK,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(12153), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13526), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12151), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [223152] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18402), 1,
      anon_sym_COLON,
    ACTIONS(18410), 1,
      sym__ellipsis_operator,
    ACTIONS(18414), 1,
      sym__times_operator,
    ACTIONS(18416), 1,
      sym__rational_operator,
    ACTIONS(18418), 1,
      sym__bitshift_operator,
    ACTIONS(18420), 1,
      sym__power_operator,
    ACTIONS(18412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13527), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 16,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [223212] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18402), 1,
      anon_sym_COLON,
    ACTIONS(18406), 1,
      sym__pipe_right_operator,
    ACTIONS(18408), 1,
      sym__pipe_left_operator,
    ACTIONS(18410), 1,
      sym__ellipsis_operator,
    ACTIONS(18414), 1,
      sym__times_operator,
    ACTIONS(18416), 1,
      sym__rational_operator,
    ACTIONS(18418), 1,
      sym__bitshift_operator,
    ACTIONS(18420), 1,
      sym__power_operator,
    ACTIONS(18412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13528), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 14,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [223276] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18368), 1,
      anon_sym_COLON,
    ACTIONS(18372), 1,
      anon_sym_QMARK,
    ACTIONS(18374), 1,
      anon_sym_where,
    ACTIONS(18376), 1,
      sym__pair_operator,
    ACTIONS(18378), 1,
      sym__arrow_operator,
    ACTIONS(18380), 1,
      sym__lazy_or_operator,
    ACTIONS(18382), 1,
      sym__lazy_and_operator,
    ACTIONS(18384), 1,
      sym__comparison_operator,
    ACTIONS(18386), 1,
      sym__pipe_right_operator,
    ACTIONS(18388), 1,
      sym__pipe_left_operator,
    ACTIONS(18390), 1,
      sym__ellipsis_operator,
    ACTIONS(18394), 1,
      sym__times_operator,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    ACTIONS(11382), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(18392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13529), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11384), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(18370), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [223356] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18414), 1,
      sym__times_operator,
    ACTIONS(18416), 1,
      sym__rational_operator,
    ACTIONS(18418), 1,
      sym__bitshift_operator,
    ACTIONS(18420), 1,
      sym__power_operator,
    ACTIONS(18412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13530), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 19,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [223410] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18414), 1,
      sym__times_operator,
    ACTIONS(18416), 1,
      sym__rational_operator,
    ACTIONS(18418), 1,
      sym__bitshift_operator,
    ACTIONS(18420), 1,
      sym__power_operator,
    STATE(13531), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 21,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [223462] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18416), 1,
      sym__rational_operator,
    ACTIONS(18418), 1,
      sym__bitshift_operator,
    ACTIONS(18420), 1,
      sym__power_operator,
    STATE(13532), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 22,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [223512] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18418), 1,
      sym__bitshift_operator,
    ACTIONS(18420), 1,
      sym__power_operator,
    STATE(13533), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 23,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [223560] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18368), 1,
      anon_sym_COLON,
    ACTIONS(18372), 1,
      anon_sym_QMARK,
    ACTIONS(18374), 1,
      anon_sym_where,
    ACTIONS(18376), 1,
      sym__pair_operator,
    ACTIONS(18378), 1,
      sym__arrow_operator,
    ACTIONS(18380), 1,
      sym__lazy_or_operator,
    ACTIONS(18382), 1,
      sym__lazy_and_operator,
    ACTIONS(18384), 1,
      sym__comparison_operator,
    ACTIONS(18386), 1,
      sym__pipe_right_operator,
    ACTIONS(18388), 1,
      sym__pipe_left_operator,
    ACTIONS(18390), 1,
      sym__ellipsis_operator,
    ACTIONS(18394), 1,
      sym__times_operator,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    ACTIONS(11704), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(18392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13534), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11706), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(18370), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [223640] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18420), 1,
      sym__power_operator,
    STATE(13535), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 24,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [223686] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    STATE(13536), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 16,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [223736] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    STATE(13537), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [223784] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16765), 1,
      sym__power_operator,
    STATE(13538), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 18,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [223830] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18158), 1,
      anon_sym_COMMA,
    STATE(13225), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13539), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11260), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [223912] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    STATE(13540), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 25,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [223956] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12151), 1,
      anon_sym_EQ,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18199), 1,
      anon_sym_QMARK,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13541), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(12153), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [224036] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    STATE(13542), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 19,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [224080] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11790), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13543), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 18,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [224134] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13544), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [224198] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13545), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      sym__pair_operator,
  [224272] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13546), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [224342] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13547), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [224410] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13548), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [224470] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13549), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [224534] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13550), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [224588] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    STATE(13551), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 5,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [224640] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    STATE(13552), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [224690] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    STATE(13553), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [224738] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18280), 1,
      sym__power_operator,
    STATE(13554), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [224784] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13555), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 13,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [224848] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15837), 1,
      anon_sym_EQ,
    STATE(13556), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [224892] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15535), 1,
      anon_sym_DASH_GT,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13557), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [224936] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15815), 1,
      anon_sym_EQ,
    STATE(13558), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [224980] = 17,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11878), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13559), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11876), 9,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [225046] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17977), 1,
      anon_sym_COMMA,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17987), 1,
      anon_sym_QMARK,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    STATE(13318), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11166), 2,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13560), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [225128] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18085), 1,
      anon_sym_QMARK,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13561), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [225206] = 21,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13562), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [225280] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(15831), 1,
      anon_sym_EQ,
    STATE(13563), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [225324] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15833), 1,
      anon_sym_EQ,
    ACTIONS(11202), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13564), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [225368] = 19,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13565), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 7,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [225438] = 18,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13566), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [225506] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(16339), 1,
      anon_sym_EQ,
    STATE(13567), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [225550] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(16339), 1,
      anon_sym_EQ,
    STATE(13568), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [225594] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11210), 1,
      aux_sym__terminator_token1,
    ACTIONS(16339), 1,
      anon_sym_EQ,
    STATE(13569), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [225638] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13570), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 15,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [225698] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13571), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 13,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [225762] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11310), 1,
      aux_sym__terminator_token1,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18420), 1,
      sym__power_operator,
    STATE(13572), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 24,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [225808] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18368), 1,
      anon_sym_COLON,
    ACTIONS(18386), 1,
      sym__pipe_right_operator,
    ACTIONS(18388), 1,
      sym__pipe_left_operator,
    ACTIONS(18390), 1,
      sym__ellipsis_operator,
    ACTIONS(18394), 1,
      sym__times_operator,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    ACTIONS(18392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13573), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
    ACTIONS(11380), 12,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [225872] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18368), 1,
      anon_sym_COLON,
    ACTIONS(18374), 1,
      anon_sym_where,
    ACTIONS(18378), 1,
      sym__arrow_operator,
    ACTIONS(18380), 1,
      sym__lazy_or_operator,
    ACTIONS(18382), 1,
      sym__lazy_and_operator,
    ACTIONS(18384), 1,
      sym__comparison_operator,
    ACTIONS(18386), 1,
      sym__pipe_right_operator,
    ACTIONS(18388), 1,
      sym__pipe_left_operator,
    ACTIONS(18390), 1,
      sym__ellipsis_operator,
    ACTIONS(18394), 1,
      sym__times_operator,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(18392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13574), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18370), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 5,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
  [225948] = 20,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18368), 1,
      anon_sym_COLON,
    ACTIONS(18374), 1,
      anon_sym_where,
    ACTIONS(18382), 1,
      sym__lazy_and_operator,
    ACTIONS(18384), 1,
      sym__comparison_operator,
    ACTIONS(18386), 1,
      sym__pipe_right_operator,
    ACTIONS(18388), 1,
      sym__pipe_left_operator,
    ACTIONS(18390), 1,
      sym__ellipsis_operator,
    ACTIONS(18394), 1,
      sym__times_operator,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(18392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13575), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18370), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 7,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [226020] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18368), 1,
      anon_sym_COLON,
    ACTIONS(18374), 1,
      anon_sym_where,
    ACTIONS(18384), 1,
      sym__comparison_operator,
    ACTIONS(18386), 1,
      sym__pipe_right_operator,
    ACTIONS(18388), 1,
      sym__pipe_left_operator,
    ACTIONS(18390), 1,
      sym__ellipsis_operator,
    ACTIONS(18394), 1,
      sym__times_operator,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(18392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13576), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18370), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 8,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [226090] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18368), 1,
      anon_sym_COLON,
    ACTIONS(18390), 1,
      sym__ellipsis_operator,
    ACTIONS(18394), 1,
      sym__times_operator,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    ACTIONS(18392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13577), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
    ACTIONS(11380), 14,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [226150] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18368), 1,
      anon_sym_COLON,
    ACTIONS(18386), 1,
      sym__pipe_right_operator,
    ACTIONS(18388), 1,
      sym__pipe_left_operator,
    ACTIONS(18390), 1,
      sym__ellipsis_operator,
    ACTIONS(18394), 1,
      sym__times_operator,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    ACTIONS(18392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13578), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
    ACTIONS(11380), 12,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [226214] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18394), 1,
      sym__times_operator,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    ACTIONS(18392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13579), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 15,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [226268] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18394), 1,
      sym__times_operator,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    STATE(13580), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 15,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [226320] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    STATE(13581), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 15,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [226370] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    STATE(13582), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 16,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [226418] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18400), 1,
      sym__power_operator,
    STATE(13583), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [226464] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13584), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11220), 4,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__pair_operator,
  [226544] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13585), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 18,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [226598] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13586), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 20,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [226650] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(15831), 1,
      anon_sym_EQ,
    STATE(13587), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [226694] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13588), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 21,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [226744] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18292), 1,
      sym__times_operator,
    ACTIONS(18294), 1,
      sym__rational_operator,
    ACTIONS(18296), 1,
      sym__bitshift_operator,
    ACTIONS(18298), 1,
      sym__power_operator,
    ACTIONS(18290), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13589), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 17,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [226798] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18292), 1,
      sym__times_operator,
    ACTIONS(18294), 1,
      sym__rational_operator,
    ACTIONS(18296), 1,
      sym__bitshift_operator,
    ACTIONS(18298), 1,
      sym__power_operator,
    STATE(13590), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 5,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [226850] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18294), 1,
      sym__rational_operator,
    ACTIONS(18296), 1,
      sym__bitshift_operator,
    ACTIONS(18298), 1,
      sym__power_operator,
    STATE(13591), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [226900] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18296), 1,
      sym__bitshift_operator,
    ACTIONS(18298), 1,
      sym__power_operator,
    STATE(13592), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 18,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [226948] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18298), 1,
      sym__power_operator,
    STATE(13593), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 19,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [226994] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18400), 1,
      sym__power_operator,
    STATE(13594), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 17,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [227040] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18394), 1,
      sym__times_operator,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    ACTIONS(18392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13595), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 15,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [227094] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17508), 1,
      anon_sym_SEMI,
    ACTIONS(18077), 1,
      anon_sym_COMMA,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(18176), 1,
      anon_sym_QMARK,
    STATE(14994), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17510), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13596), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [227176] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11206), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17977), 1,
      anon_sym_COMMA,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17987), 1,
      anon_sym_QMARK,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    STATE(13318), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11204), 2,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13597), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [227258] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18282), 1,
      anon_sym_COLON,
    ACTIONS(18284), 1,
      sym__pipe_right_operator,
    ACTIONS(18286), 1,
      sym__pipe_left_operator,
    ACTIONS(18288), 1,
      sym__ellipsis_operator,
    ACTIONS(18292), 1,
      sym__times_operator,
    ACTIONS(18294), 1,
      sym__rational_operator,
    ACTIONS(18296), 1,
      sym__bitshift_operator,
    ACTIONS(18298), 1,
      sym__power_operator,
    ACTIONS(18302), 1,
      sym__comparison_operator,
    ACTIONS(18304), 1,
      anon_sym_QMARK,
    ACTIONS(18306), 1,
      anon_sym_where,
    ACTIONS(18308), 1,
      sym__pair_operator,
    ACTIONS(18310), 1,
      sym__arrow_operator,
    ACTIONS(18312), 1,
      sym__lazy_or_operator,
    ACTIONS(18314), 1,
      sym__lazy_and_operator,
    ACTIONS(18290), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13598), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18300), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(18248), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [227336] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13599), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 22,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [227384] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13600), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 23,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [227430] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13601), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 24,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [227474] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15753), 1,
      anon_sym_DASH_GT,
    ACTIONS(15837), 1,
      anon_sym_EQ,
    STATE(13602), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 19,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [227520] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11706), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17617), 1,
      anon_sym_COLON,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17625), 1,
      anon_sym_QMARK,
    ACTIONS(17627), 1,
      anon_sym_where,
    ACTIONS(17629), 1,
      sym__pair_operator,
    ACTIONS(17631), 1,
      sym__arrow_operator,
    ACTIONS(17633), 1,
      sym__lazy_or_operator,
    ACTIONS(17635), 1,
      sym__lazy_and_operator,
    ACTIONS(17637), 1,
      sym__pipe_right_operator,
    ACTIONS(17639), 1,
      sym__pipe_left_operator,
    ACTIONS(17641), 1,
      sym__ellipsis_operator,
    ACTIONS(17645), 1,
      sym__times_operator,
    ACTIONS(17647), 1,
      sym__rational_operator,
    ACTIONS(17649), 1,
      sym__bitshift_operator,
    ACTIONS(17651), 1,
      sym__power_operator,
    ACTIONS(17643), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13603), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11704), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [227598] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11204), 1,
      anon_sym_SEMI,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18077), 1,
      anon_sym_COMMA,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(18176), 1,
      anon_sym_QMARK,
    STATE(13134), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11206), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13604), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [227680] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15568), 1,
      anon_sym_DASH_GT,
    STATE(13605), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [227724] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15833), 1,
      anon_sym_EQ,
    ACTIONS(11210), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13606), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [227768] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11310), 1,
      aux_sym__terminator_token1,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18226), 1,
      sym__power_operator,
    STATE(13607), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 24,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [227814] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18298), 1,
      sym__power_operator,
    STATE(13608), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 19,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [227860] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11790), 1,
      aux_sym__terminator_token1,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18414), 1,
      sym__times_operator,
    ACTIONS(18416), 1,
      sym__rational_operator,
    ACTIONS(18418), 1,
      sym__bitshift_operator,
    ACTIONS(18420), 1,
      sym__power_operator,
    ACTIONS(18412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13609), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 19,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [227914] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(12153), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17850), 1,
      anon_sym_QMARK,
    ACTIONS(18220), 1,
      sym__times_operator,
    ACTIONS(18222), 1,
      sym__rational_operator,
    ACTIONS(18224), 1,
      sym__bitshift_operator,
    ACTIONS(18226), 1,
      sym__power_operator,
    ACTIONS(18316), 1,
      anon_sym_COLON,
    ACTIONS(18318), 1,
      sym__pipe_right_operator,
    ACTIONS(18320), 1,
      sym__pipe_left_operator,
    ACTIONS(18322), 1,
      sym__ellipsis_operator,
    ACTIONS(18326), 1,
      anon_sym_where,
    ACTIONS(18328), 1,
      sym__pair_operator,
    ACTIONS(18330), 1,
      sym__arrow_operator,
    ACTIONS(18332), 1,
      sym__lazy_or_operator,
    ACTIONS(18334), 1,
      sym__lazy_and_operator,
    ACTIONS(18218), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13610), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12151), 4,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(18324), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [227992] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11384), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    ACTIONS(17850), 1,
      anon_sym_QMARK,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13611), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11382), 4,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [228070] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15839), 1,
      anon_sym_EQ,
    STATE(13612), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 19,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [228114] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17933), 1,
      anon_sym_COLON,
    ACTIONS(17939), 1,
      anon_sym_where,
    ACTIONS(17941), 1,
      sym__pair_operator,
    ACTIONS(17943), 1,
      sym__arrow_operator,
    ACTIONS(17945), 1,
      sym__lazy_or_operator,
    ACTIONS(17947), 1,
      sym__lazy_and_operator,
    ACTIONS(17949), 1,
      sym__comparison_operator,
    ACTIONS(17951), 1,
      sym__pipe_right_operator,
    ACTIONS(17953), 1,
      sym__pipe_left_operator,
    ACTIONS(17955), 1,
      sym__ellipsis_operator,
    ACTIONS(17959), 1,
      sym__times_operator,
    ACTIONS(17961), 1,
      sym__rational_operator,
    ACTIONS(17963), 1,
      sym__bitshift_operator,
    ACTIONS(17965), 1,
      sym__power_operator,
    ACTIONS(18304), 1,
      anon_sym_QMARK,
    ACTIONS(17957), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13613), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17935), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11706), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [228192] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18280), 1,
      sym__power_operator,
    STATE(13614), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [228238] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15541), 1,
      anon_sym_DASH_GT,
    STATE(13615), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 19,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [228282] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15815), 1,
      anon_sym_EQ,
    STATE(13616), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11202), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [228326] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13617), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 3,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 17,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [228380] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13618), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [228446] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15833), 1,
      anon_sym_EQ,
    ACTIONS(11260), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13619), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [228490] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11166), 1,
      anon_sym_SEMI,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18077), 1,
      anon_sym_COMMA,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(18176), 1,
      anon_sym_QMARK,
    STATE(13134), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11202), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13620), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [228572] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13621), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11220), 5,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      sym__pair_operator,
  [228650] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15835), 1,
      anon_sym_EQ,
    ACTIONS(9483), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13622), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [228694] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11134), 1,
      anon_sym_EQ,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18199), 1,
      anon_sym_QMARK,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13623), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11139), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [228774] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17250), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18292), 1,
      sym__times_operator,
    ACTIONS(18294), 1,
      sym__rational_operator,
    ACTIONS(18296), 1,
      sym__bitshift_operator,
    ACTIONS(18298), 1,
      sym__power_operator,
    ACTIONS(18290), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13624), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 3,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 17,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [228828] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18158), 1,
      anon_sym_COMMA,
    STATE(13225), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13625), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11202), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [228910] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(11310), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13626), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 23,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [228956] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11706), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17709), 1,
      anon_sym_COLON,
    ACTIONS(17713), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17717), 1,
      anon_sym_where,
    ACTIONS(17719), 1,
      sym__arrow_operator,
    ACTIONS(17721), 1,
      sym__lazy_or_operator,
    ACTIONS(17723), 1,
      sym__lazy_and_operator,
    ACTIONS(17725), 1,
      sym__pipe_right_operator,
    ACTIONS(17727), 1,
      sym__pipe_left_operator,
    ACTIONS(17729), 1,
      sym__ellipsis_operator,
    ACTIONS(17733), 1,
      sym__times_operator,
    ACTIONS(17735), 1,
      sym__rational_operator,
    ACTIONS(17737), 1,
      sym__bitshift_operator,
    ACTIONS(17739), 1,
      sym__power_operator,
    ACTIONS(17751), 1,
      sym__pair_operator,
    ACTIONS(17850), 1,
      anon_sym_QMARK,
    ACTIONS(17731), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13627), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11704), 4,
      anon_sym_COMMA,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(17711), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [229034] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15765), 1,
      anon_sym_DASH_GT,
    STATE(13628), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 19,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [229078] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15829), 1,
      anon_sym_EQ,
    STATE(13629), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [229122] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15815), 1,
      anon_sym_EQ,
    STATE(13630), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11206), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [229166] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15765), 1,
      anon_sym_DASH_GT,
    STATE(13631), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 19,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [229210] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18158), 1,
      anon_sym_COMMA,
    STATE(13225), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13632), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11206), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [229292] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15815), 1,
      anon_sym_EQ,
    STATE(13633), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11210), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [229336] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15815), 1,
      anon_sym_EQ,
    STATE(13634), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11260), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [229380] = 25,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11208), 1,
      anon_sym_SEMI,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18077), 1,
      anon_sym_COMMA,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(18176), 1,
      anon_sym_QMARK,
    STATE(13134), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11210), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13635), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [229462] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(225), 1,
      anon_sym_DASH_GT,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    STATE(13636), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [229506] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18336), 1,
      anon_sym_COLON,
    ACTIONS(18352), 1,
      sym__pipe_right_operator,
    ACTIONS(18354), 1,
      sym__pipe_left_operator,
    ACTIONS(18356), 1,
      sym__ellipsis_operator,
    ACTIONS(18360), 1,
      sym__times_operator,
    ACTIONS(18362), 1,
      sym__rational_operator,
    ACTIONS(18364), 1,
      sym__bitshift_operator,
    ACTIONS(18366), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
    ACTIONS(18358), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13637), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 13,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [229570] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18336), 1,
      anon_sym_COLON,
    ACTIONS(18340), 1,
      anon_sym_where,
    ACTIONS(18344), 1,
      sym__arrow_operator,
    ACTIONS(18346), 1,
      sym__lazy_or_operator,
    ACTIONS(18348), 1,
      sym__lazy_and_operator,
    ACTIONS(18350), 1,
      sym__comparison_operator,
    ACTIONS(18352), 1,
      sym__pipe_right_operator,
    ACTIONS(18354), 1,
      sym__pipe_left_operator,
    ACTIONS(18356), 1,
      sym__ellipsis_operator,
    ACTIONS(18360), 1,
      sym__times_operator,
    ACTIONS(18362), 1,
      sym__rational_operator,
    ACTIONS(18364), 1,
      sym__bitshift_operator,
    ACTIONS(18366), 1,
      sym__power_operator,
    ACTIONS(18358), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13638), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18338), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
  [229646] = 20,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18336), 1,
      anon_sym_COLON,
    ACTIONS(18340), 1,
      anon_sym_where,
    ACTIONS(18348), 1,
      sym__lazy_and_operator,
    ACTIONS(18350), 1,
      sym__comparison_operator,
    ACTIONS(18352), 1,
      sym__pipe_right_operator,
    ACTIONS(18354), 1,
      sym__pipe_left_operator,
    ACTIONS(18356), 1,
      sym__ellipsis_operator,
    ACTIONS(18360), 1,
      sym__times_operator,
    ACTIONS(18362), 1,
      sym__rational_operator,
    ACTIONS(18364), 1,
      sym__bitshift_operator,
    ACTIONS(18366), 1,
      sym__power_operator,
    ACTIONS(18358), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13639), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18338), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 8,
      anon_sym_COMMA,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [229718] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18336), 1,
      anon_sym_COLON,
    ACTIONS(18340), 1,
      anon_sym_where,
    ACTIONS(18350), 1,
      sym__comparison_operator,
    ACTIONS(18352), 1,
      sym__pipe_right_operator,
    ACTIONS(18354), 1,
      sym__pipe_left_operator,
    ACTIONS(18356), 1,
      sym__ellipsis_operator,
    ACTIONS(18360), 1,
      sym__times_operator,
    ACTIONS(18362), 1,
      sym__rational_operator,
    ACTIONS(18364), 1,
      sym__bitshift_operator,
    ACTIONS(18366), 1,
      sym__power_operator,
    ACTIONS(18358), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13640), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18338), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 9,
      anon_sym_COMMA,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [229788] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18336), 1,
      anon_sym_COLON,
    ACTIONS(18356), 1,
      sym__ellipsis_operator,
    ACTIONS(18360), 1,
      sym__times_operator,
    ACTIONS(18362), 1,
      sym__rational_operator,
    ACTIONS(18364), 1,
      sym__bitshift_operator,
    ACTIONS(18366), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
    ACTIONS(18358), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13641), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 15,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [229848] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18336), 1,
      anon_sym_COLON,
    ACTIONS(18352), 1,
      sym__pipe_right_operator,
    ACTIONS(18354), 1,
      sym__pipe_left_operator,
    ACTIONS(18356), 1,
      sym__ellipsis_operator,
    ACTIONS(18360), 1,
      sym__times_operator,
    ACTIONS(18362), 1,
      sym__rational_operator,
    ACTIONS(18364), 1,
      sym__bitshift_operator,
    ACTIONS(18366), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
    ACTIONS(18358), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13642), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 13,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [229912] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18360), 1,
      sym__times_operator,
    ACTIONS(18362), 1,
      sym__rational_operator,
    ACTIONS(18364), 1,
      sym__bitshift_operator,
    ACTIONS(18366), 1,
      sym__power_operator,
    ACTIONS(18358), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13643), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 4,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 16,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [229966] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18360), 1,
      sym__times_operator,
    ACTIONS(18362), 1,
      sym__rational_operator,
    ACTIONS(18364), 1,
      sym__bitshift_operator,
    ACTIONS(18366), 1,
      sym__power_operator,
    STATE(13644), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 16,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [230018] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18362), 1,
      sym__rational_operator,
    ACTIONS(18364), 1,
      sym__bitshift_operator,
    ACTIONS(18366), 1,
      sym__power_operator,
    STATE(13645), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 16,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [230068] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18364), 1,
      sym__bitshift_operator,
    ACTIONS(18366), 1,
      sym__power_operator,
    STATE(13646), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [230116] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18366), 1,
      sym__power_operator,
    STATE(13647), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 18,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [230162] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(18158), 1,
      anon_sym_COMMA,
    STATE(13225), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13648), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11210), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [230244] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11876), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18336), 1,
      anon_sym_COLON,
    ACTIONS(18350), 1,
      sym__comparison_operator,
    ACTIONS(18352), 1,
      sym__pipe_right_operator,
    ACTIONS(18354), 1,
      sym__pipe_left_operator,
    ACTIONS(18356), 1,
      sym__ellipsis_operator,
    ACTIONS(18360), 1,
      sym__times_operator,
    ACTIONS(18362), 1,
      sym__rational_operator,
    ACTIONS(18364), 1,
      sym__bitshift_operator,
    ACTIONS(18366), 1,
      sym__power_operator,
    ACTIONS(18358), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13649), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18338), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 10,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [230312] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18368), 1,
      anon_sym_COLON,
    ACTIONS(18384), 1,
      sym__comparison_operator,
    ACTIONS(18386), 1,
      sym__pipe_right_operator,
    ACTIONS(18388), 1,
      sym__pipe_left_operator,
    ACTIONS(18390), 1,
      sym__ellipsis_operator,
    ACTIONS(18394), 1,
      sym__times_operator,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    ACTIONS(11876), 2,
      anon_sym_EQ,
      aux_sym_integer_literal_token4,
    ACTIONS(18392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13650), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18370), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 9,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [230380] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18366), 1,
      sym__power_operator,
    STATE(13651), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 18,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [230426] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18360), 1,
      sym__times_operator,
    ACTIONS(18362), 1,
      sym__rational_operator,
    ACTIONS(18364), 1,
      sym__bitshift_operator,
    ACTIONS(18366), 1,
      sym__power_operator,
    ACTIONS(18358), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13652), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 4,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 16,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [230480] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18432), 1,
      anon_sym_COMMA,
    ACTIONS(18434), 1,
      anon_sym_as,
    ACTIONS(18436), 1,
      anon_sym_COLON,
    STATE(13818), 1,
      aux_sym__import_list_repeat1,
    STATE(13653), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 6,
      anon_sym_EQ,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11032), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [230530] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18438), 1,
      anon_sym_DOT,
    STATE(13654), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10982), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10986), 19,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_as,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [230574] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18438), 1,
      anon_sym_DOT,
    STATE(13655), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11038), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11040), 19,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_as,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [230618] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18438), 1,
      anon_sym_DOT,
    STATE(13656), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11048), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11050), 19,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_as,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [230662] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18432), 1,
      anon_sym_COMMA,
    ACTIONS(18434), 1,
      anon_sym_as,
    STATE(13818), 1,
      aux_sym__import_list_repeat1,
    STATE(13657), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11032), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [230710] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16765), 1,
      sym__power_operator,
    STATE(13658), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 18,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [230756] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15833), 1,
      anon_sym_EQ,
    ACTIONS(11206), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13659), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [230800] = 17,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11878), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17549), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18210), 1,
      sym__times_operator,
    ACTIONS(18212), 1,
      sym__rational_operator,
    ACTIONS(18214), 1,
      sym__bitshift_operator,
    ACTIONS(18216), 1,
      sym__power_operator,
    ACTIONS(18228), 1,
      anon_sym_COLON,
    ACTIONS(18230), 1,
      sym__pipe_right_operator,
    ACTIONS(18232), 1,
      sym__pipe_left_operator,
    ACTIONS(18234), 1,
      sym__ellipsis_operator,
    ACTIONS(18208), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13660), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18236), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11876), 10,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [230866] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(12153), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17623), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17625), 1,
      anon_sym_QMARK,
    ACTIONS(18402), 1,
      anon_sym_COLON,
    ACTIONS(18406), 1,
      sym__pipe_right_operator,
    ACTIONS(18408), 1,
      sym__pipe_left_operator,
    ACTIONS(18410), 1,
      sym__ellipsis_operator,
    ACTIONS(18414), 1,
      sym__times_operator,
    ACTIONS(18416), 1,
      sym__rational_operator,
    ACTIONS(18418), 1,
      sym__bitshift_operator,
    ACTIONS(18420), 1,
      sym__power_operator,
    ACTIONS(18422), 1,
      anon_sym_where,
    ACTIONS(18424), 1,
      sym__pair_operator,
    ACTIONS(18426), 1,
      sym__arrow_operator,
    ACTIONS(18428), 1,
      sym__lazy_or_operator,
    ACTIONS(18430), 1,
      sym__lazy_and_operator,
    ACTIONS(18412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13661), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12151), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
    ACTIONS(18404), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [230944] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18438), 1,
      anon_sym_DOT,
    STATE(13662), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10870), 19,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_as,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [230988] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15831), 1,
      anon_sym_EQ,
    STATE(13663), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [231032] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16013), 1,
      anon_sym_EQ,
    STATE(13664), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11202), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [231076] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16013), 1,
      anon_sym_EQ,
    STATE(13665), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11206), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [231120] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16013), 1,
      anon_sym_EQ,
    STATE(13666), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11210), 20,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [231164] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10712), 1,
      aux_sym_integer_literal_token4,
    STATE(13667), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10718), 4,
      anon_sym_end,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 16,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [231210] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11202), 1,
      aux_sym__terminator_token1,
    ACTIONS(15831), 1,
      anon_sym_EQ,
    STATE(13668), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 25,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [231254] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12151), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18440), 1,
      anon_sym_COLON,
    ACTIONS(18444), 1,
      anon_sym_QMARK,
    ACTIONS(18446), 1,
      anon_sym_where,
    ACTIONS(18448), 1,
      sym__pair_operator,
    ACTIONS(18450), 1,
      sym__arrow_operator,
    ACTIONS(18452), 1,
      sym__lazy_or_operator,
    ACTIONS(18454), 1,
      sym__lazy_and_operator,
    ACTIONS(18456), 1,
      sym__comparison_operator,
    ACTIONS(18458), 1,
      sym__pipe_right_operator,
    ACTIONS(18460), 1,
      sym__pipe_left_operator,
    ACTIONS(18462), 1,
      sym__ellipsis_operator,
    ACTIONS(18466), 1,
      sym__times_operator,
    ACTIONS(18468), 1,
      sym__rational_operator,
    ACTIONS(18470), 1,
      sym__bitshift_operator,
    ACTIONS(18472), 1,
      sym__power_operator,
    ACTIONS(18464), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13669), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12153), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(18442), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [231333] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18474), 1,
      sym__rational_operator,
    ACTIONS(18476), 1,
      sym__bitshift_operator,
    ACTIONS(18478), 1,
      sym__power_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13670), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 20,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [231382] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13671), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11706), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [231459] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18480), 1,
      anon_sym_COMMA,
    STATE(13672), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11139), 16,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [231502] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18440), 1,
      anon_sym_COLON,
    ACTIONS(18444), 1,
      anon_sym_QMARK,
    ACTIONS(18446), 1,
      anon_sym_where,
    ACTIONS(18448), 1,
      sym__pair_operator,
    ACTIONS(18450), 1,
      sym__arrow_operator,
    ACTIONS(18452), 1,
      sym__lazy_or_operator,
    ACTIONS(18454), 1,
      sym__lazy_and_operator,
    ACTIONS(18456), 1,
      sym__comparison_operator,
    ACTIONS(18458), 1,
      sym__pipe_right_operator,
    ACTIONS(18460), 1,
      sym__pipe_left_operator,
    ACTIONS(18462), 1,
      sym__ellipsis_operator,
    ACTIONS(18466), 1,
      sym__times_operator,
    ACTIONS(18468), 1,
      sym__rational_operator,
    ACTIONS(18470), 1,
      sym__bitshift_operator,
    ACTIONS(18472), 1,
      sym__power_operator,
    ACTIONS(18464), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13673), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(18442), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [231581] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11382), 1,
      anon_sym_EQ,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18483), 1,
      anon_sym_COLON,
    ACTIONS(18487), 1,
      anon_sym_QMARK,
    ACTIONS(18489), 1,
      anon_sym_where,
    ACTIONS(18491), 1,
      sym__pair_operator,
    ACTIONS(18493), 1,
      sym__arrow_operator,
    ACTIONS(18495), 1,
      sym__lazy_or_operator,
    ACTIONS(18497), 1,
      sym__lazy_and_operator,
    ACTIONS(18499), 1,
      sym__comparison_operator,
    ACTIONS(18501), 1,
      sym__pipe_right_operator,
    ACTIONS(18503), 1,
      sym__pipe_left_operator,
    ACTIONS(18505), 1,
      sym__ellipsis_operator,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    ACTIONS(18507), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13674), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11384), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18485), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [231660] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11166), 1,
      anon_sym_EQ,
    ACTIONS(11202), 1,
      anon_sym_end,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18517), 1,
      anon_sym_COMMA,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18525), 1,
      anon_sym_QMARK,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18529), 1,
      sym__pair_operator,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    STATE(13685), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13675), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [231743] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1697), 1,
      anon_sym_DOT2,
    ACTIONS(16505), 1,
      sym__word_identifier,
    STATE(11172), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(11829), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13676), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1671), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [231794] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14813), 1,
      anon_sym_DOT2,
    ACTIONS(16593), 1,
      sym__word_identifier,
    STATE(9455), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(9658), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13677), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14823), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14815), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14835), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [231845] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18472), 1,
      sym__power_operator,
    STATE(13678), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [231890] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11204), 1,
      anon_sym_EQ,
    ACTIONS(11206), 1,
      anon_sym_end,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18517), 1,
      anon_sym_COMMA,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18525), 1,
      anon_sym_QMARK,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18529), 1,
      sym__pair_operator,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    STATE(13685), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13679), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [231973] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11208), 1,
      anon_sym_EQ,
    ACTIONS(11210), 1,
      anon_sym_end,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18517), 1,
      anon_sym_COMMA,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18525), 1,
      anon_sym_QMARK,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18529), 1,
      sym__pair_operator,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    STATE(13685), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13680), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [232056] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18555), 1,
      sym__power_operator,
    STATE(13681), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 18,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [232101] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18555), 1,
      sym__power_operator,
    ACTIONS(18559), 1,
      sym__times_operator,
    ACTIONS(18561), 1,
      sym__rational_operator,
    ACTIONS(18563), 1,
      sym__bitshift_operator,
    ACTIONS(18557), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13682), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 3,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 16,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [232154] = 17,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18474), 1,
      sym__rational_operator,
    ACTIONS(18476), 1,
      sym__bitshift_operator,
    ACTIONS(18478), 1,
      sym__power_operator,
    ACTIONS(18565), 1,
      anon_sym_COLON,
    ACTIONS(18569), 1,
      sym__pipe_right_operator,
    ACTIONS(18571), 1,
      sym__pipe_left_operator,
    ACTIONS(18573), 1,
      sym__ellipsis_operator,
    ACTIONS(18577), 1,
      sym__times_operator,
    ACTIONS(11878), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18575), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13683), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18567), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11876), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [232219] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15047), 1,
      anon_sym_DOT2,
    ACTIONS(16555), 1,
      sym__word_identifier,
    STATE(7535), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(8310), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13684), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15057), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15049), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15069), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [232270] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18517), 1,
      anon_sym_COMMA,
    STATE(13745), 1,
      aux_sym_open_tuple_repeat1,
    STATE(13685), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11130), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [232315] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18440), 1,
      anon_sym_COLON,
    ACTIONS(18446), 1,
      anon_sym_where,
    ACTIONS(18450), 1,
      sym__arrow_operator,
    ACTIONS(18452), 1,
      sym__lazy_or_operator,
    ACTIONS(18454), 1,
      sym__lazy_and_operator,
    ACTIONS(18456), 1,
      sym__comparison_operator,
    ACTIONS(18458), 1,
      sym__pipe_right_operator,
    ACTIONS(18460), 1,
      sym__pipe_left_operator,
    ACTIONS(18462), 1,
      sym__ellipsis_operator,
    ACTIONS(18466), 1,
      sym__times_operator,
    ACTIONS(18468), 1,
      sym__rational_operator,
    ACTIONS(18470), 1,
      sym__bitshift_operator,
    ACTIONS(18472), 1,
      sym__power_operator,
    ACTIONS(18464), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13686), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18442), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 5,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
  [232390] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15911), 1,
      anon_sym_EQ,
    STATE(13687), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [232435] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15121), 1,
      anon_sym_DOT2,
    ACTIONS(18579), 1,
      sym__word_identifier,
    STATE(8129), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(9208), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13688), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15131), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15123), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15137), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [232486] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18581), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18587), 1,
      anon_sym_QMARK,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    STATE(13709), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11258), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13689), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [232567] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(18176), 1,
      anon_sym_QMARK,
    ACTIONS(11704), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(11706), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13690), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [232644] = 18,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18617), 1,
      anon_sym_COLON,
    ACTIONS(18621), 1,
      anon_sym_where,
    ACTIONS(18623), 1,
      sym__pipe_right_operator,
    ACTIONS(18625), 1,
      sym__pipe_left_operator,
    ACTIONS(18627), 1,
      sym__ellipsis_operator,
    ACTIONS(18631), 1,
      sym__times_operator,
    ACTIONS(18633), 1,
      sym__rational_operator,
    ACTIONS(18635), 1,
      sym__bitshift_operator,
    ACTIONS(18637), 1,
      sym__power_operator,
    ACTIONS(18629), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13691), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 8,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [232711] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18617), 1,
      anon_sym_COLON,
    ACTIONS(18627), 1,
      sym__ellipsis_operator,
    ACTIONS(18631), 1,
      sym__times_operator,
    ACTIONS(18633), 1,
      sym__rational_operator,
    ACTIONS(18635), 1,
      sym__bitshift_operator,
    ACTIONS(18637), 1,
      sym__power_operator,
    ACTIONS(18629), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13692), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [232770] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18617), 1,
      anon_sym_COLON,
    ACTIONS(18623), 1,
      sym__pipe_right_operator,
    ACTIONS(18625), 1,
      sym__pipe_left_operator,
    ACTIONS(18627), 1,
      sym__ellipsis_operator,
    ACTIONS(18631), 1,
      sym__times_operator,
    ACTIONS(18633), 1,
      sym__rational_operator,
    ACTIONS(18635), 1,
      sym__bitshift_operator,
    ACTIONS(18637), 1,
      sym__power_operator,
    ACTIONS(18629), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13693), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 13,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [232833] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15783), 1,
      anon_sym_DASH_GT,
    ACTIONS(15977), 1,
      anon_sym_EQ,
    STATE(13694), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [232878] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18483), 1,
      anon_sym_COLON,
    ACTIONS(18487), 1,
      anon_sym_QMARK,
    ACTIONS(18489), 1,
      anon_sym_where,
    ACTIONS(18491), 1,
      sym__pair_operator,
    ACTIONS(18493), 1,
      sym__arrow_operator,
    ACTIONS(18495), 1,
      sym__lazy_or_operator,
    ACTIONS(18497), 1,
      sym__lazy_and_operator,
    ACTIONS(18499), 1,
      sym__comparison_operator,
    ACTIONS(18501), 1,
      sym__pipe_right_operator,
    ACTIONS(18503), 1,
      sym__pipe_left_operator,
    ACTIONS(18505), 1,
      sym__ellipsis_operator,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    ACTIONS(18507), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13695), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18485), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [232957] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11382), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18368), 1,
      anon_sym_COLON,
    ACTIONS(18374), 1,
      anon_sym_where,
    ACTIONS(18376), 1,
      sym__pair_operator,
    ACTIONS(18378), 1,
      sym__arrow_operator,
    ACTIONS(18380), 1,
      sym__lazy_or_operator,
    ACTIONS(18382), 1,
      sym__lazy_and_operator,
    ACTIONS(18384), 1,
      sym__comparison_operator,
    ACTIONS(18386), 1,
      sym__pipe_right_operator,
    ACTIONS(18388), 1,
      sym__pipe_left_operator,
    ACTIONS(18390), 1,
      sym__ellipsis_operator,
    ACTIONS(18394), 1,
      sym__times_operator,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    ACTIONS(18444), 1,
      anon_sym_QMARK,
    ACTIONS(18392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13696), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11384), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(18370), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [233036] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14499), 1,
      anon_sym_DOT2,
    ACTIONS(18639), 1,
      sym__word_identifier,
    STATE(6860), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(6985), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13697), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14509), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14501), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14519), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [233087] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18474), 1,
      sym__rational_operator,
    ACTIONS(18476), 1,
      sym__bitshift_operator,
    ACTIONS(18478), 1,
      sym__power_operator,
    ACTIONS(18577), 1,
      sym__times_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13698), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 19,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [233138] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18478), 1,
      sym__power_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13699), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 22,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [233183] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13853), 1,
      anon_sym_DOT2,
    ACTIONS(18641), 1,
      sym__word_identifier,
    STATE(6879), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(7062), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13700), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13863), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13855), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(13875), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [233234] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18474), 1,
      sym__rational_operator,
    ACTIONS(18476), 1,
      sym__bitshift_operator,
    ACTIONS(18478), 1,
      sym__power_operator,
    ACTIONS(18577), 1,
      sym__times_operator,
    ACTIONS(11790), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18575), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13701), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [233287] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15213), 1,
      anon_sym_DOT2,
    ACTIONS(18643), 1,
      sym__word_identifier,
    STATE(8255), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(8706), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13702), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15223), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15215), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15229), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [233338] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11704), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18368), 1,
      anon_sym_COLON,
    ACTIONS(18374), 1,
      anon_sym_where,
    ACTIONS(18376), 1,
      sym__pair_operator,
    ACTIONS(18378), 1,
      sym__arrow_operator,
    ACTIONS(18380), 1,
      sym__lazy_or_operator,
    ACTIONS(18382), 1,
      sym__lazy_and_operator,
    ACTIONS(18384), 1,
      sym__comparison_operator,
    ACTIONS(18386), 1,
      sym__pipe_right_operator,
    ACTIONS(18388), 1,
      sym__pipe_left_operator,
    ACTIONS(18390), 1,
      sym__ellipsis_operator,
    ACTIONS(18394), 1,
      sym__times_operator,
    ACTIONS(18396), 1,
      sym__rational_operator,
    ACTIONS(18398), 1,
      sym__bitshift_operator,
    ACTIONS(18400), 1,
      sym__power_operator,
    ACTIONS(18444), 1,
      anon_sym_QMARK,
    ACTIONS(18392), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13703), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11706), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
    ACTIONS(18370), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [233417] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18478), 1,
      sym__power_operator,
    ACTIONS(11310), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13704), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 22,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [233462] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14125), 1,
      anon_sym_DOT2,
    ACTIONS(18645), 1,
      sym__word_identifier,
    STATE(7324), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(8269), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13705), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14135), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14127), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14141), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [233513] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18631), 1,
      sym__times_operator,
    ACTIONS(18633), 1,
      sym__rational_operator,
    ACTIONS(18635), 1,
      sym__bitshift_operator,
    ACTIONS(18637), 1,
      sym__power_operator,
    ACTIONS(18629), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13706), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [233566] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18476), 1,
      sym__bitshift_operator,
    ACTIONS(18478), 1,
      sym__power_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(13707), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 21,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [233613] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14961), 1,
      anon_sym_DOT2,
    ACTIONS(18647), 1,
      sym__word_identifier,
    STATE(8385), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(8973), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13708), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14971), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14963), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14977), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [233664] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18581), 1,
      anon_sym_COMMA,
    STATE(13672), 1,
      aux_sym_open_tuple_repeat1,
    STATE(13709), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11130), 16,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [233709] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18474), 1,
      sym__rational_operator,
    ACTIONS(18476), 1,
      sym__bitshift_operator,
    ACTIONS(18478), 1,
      sym__power_operator,
    ACTIONS(18577), 1,
      sym__times_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18575), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13710), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [233762] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14317), 1,
      anon_sym_DOT2,
    ACTIONS(16575), 1,
      sym__word_identifier,
    STATE(12411), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(12600), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13711), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14327), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14319), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14339), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [233813] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14423), 1,
      anon_sym_DOT2,
    ACTIONS(18649), 1,
      sym__word_identifier,
    STATE(6842), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(7095), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13712), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14433), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14425), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14443), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [233864] = 10,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18631), 1,
      sym__times_operator,
    ACTIONS(18633), 1,
      sym__rational_operator,
    ACTIONS(18635), 1,
      sym__bitshift_operator,
    ACTIONS(18637), 1,
      sym__power_operator,
    STATE(13713), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 20,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [233915] = 9,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18633), 1,
      sym__rational_operator,
    ACTIONS(18635), 1,
      sym__bitshift_operator,
    ACTIONS(18637), 1,
      sym__power_operator,
    STATE(13714), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 21,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [233964] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18635), 1,
      sym__bitshift_operator,
    ACTIONS(18637), 1,
      sym__power_operator,
    STATE(13715), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 22,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [234011] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18637), 1,
      sym__power_operator,
    STATE(13716), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 23,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [234056] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18581), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18587), 1,
      anon_sym_QMARK,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    STATE(13709), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11166), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13717), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [234137] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18581), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18587), 1,
      anon_sym_QMARK,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    STATE(13709), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11204), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13718), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [234218] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13643), 1,
      anon_sym_DOT2,
    ACTIONS(18651), 1,
      sym__word_identifier,
    STATE(6818), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(6942), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13719), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13653), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13645), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(13665), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [234269] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18581), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18587), 1,
      anon_sym_QMARK,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    STATE(13709), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11208), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13720), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [234350] = 26,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11258), 1,
      anon_sym_EQ,
    ACTIONS(11260), 1,
      anon_sym_end,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18517), 1,
      anon_sym_COMMA,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18525), 1,
      anon_sym_QMARK,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18529), 1,
      sym__pair_operator,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    STATE(13685), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13721), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [234433] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13395), 1,
      anon_sym_DOT2,
    ACTIONS(18653), 1,
      sym__word_identifier,
    STATE(6908), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(7132), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13722), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13405), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13397), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(13417), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [234484] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12151), 1,
      anon_sym_EQ,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18483), 1,
      anon_sym_COLON,
    ACTIONS(18487), 1,
      anon_sym_QMARK,
    ACTIONS(18489), 1,
      anon_sym_where,
    ACTIONS(18491), 1,
      sym__pair_operator,
    ACTIONS(18493), 1,
      sym__arrow_operator,
    ACTIONS(18495), 1,
      sym__lazy_or_operator,
    ACTIONS(18497), 1,
      sym__lazy_and_operator,
    ACTIONS(18499), 1,
      sym__comparison_operator,
    ACTIONS(18501), 1,
      sym__pipe_right_operator,
    ACTIONS(18503), 1,
      sym__pipe_left_operator,
    ACTIONS(18505), 1,
      sym__ellipsis_operator,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    ACTIONS(18507), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13723), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12153), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18485), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [234563] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18587), 1,
      anon_sym_QMARK,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11216), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(11220), 2,
      anon_sym_COMMA,
      sym__pair_operator,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13724), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [234642] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15821), 1,
      anon_sym_DASH_GT,
    STATE(13725), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [234685] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13643), 1,
      anon_sym_DOT2,
    ACTIONS(18655), 1,
      sym__word_identifier,
    STATE(6942), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13726), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(16957), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(13653), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13645), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(13665), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [234736] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18176), 1,
      anon_sym_QMARK,
    ACTIONS(18474), 1,
      sym__rational_operator,
    ACTIONS(18476), 1,
      sym__bitshift_operator,
    ACTIONS(18478), 1,
      sym__power_operator,
    ACTIONS(18565), 1,
      anon_sym_COLON,
    ACTIONS(18569), 1,
      sym__pipe_right_operator,
    ACTIONS(18571), 1,
      sym__pipe_left_operator,
    ACTIONS(18573), 1,
      sym__ellipsis_operator,
    ACTIONS(18577), 1,
      sym__times_operator,
    ACTIONS(18657), 1,
      anon_sym_where,
    ACTIONS(18659), 1,
      sym__pair_operator,
    ACTIONS(18661), 1,
      sym__arrow_operator,
    ACTIONS(18663), 1,
      sym__lazy_or_operator,
    ACTIONS(18665), 1,
      sym__lazy_and_operator,
    ACTIONS(11378), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18575), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13727), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18567), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [234813] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14059), 1,
      anon_sym_DOT2,
    ACTIONS(16565), 1,
      sym__word_identifier,
    STATE(7148), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(7267), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13728), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14069), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14061), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14081), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [234864] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(10453), 1,
      anon_sym_DASH_GT,
    ACTIONS(15787), 1,
      aux_sym__terminator_token1,
    ACTIONS(15785), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(13729), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 22,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [234909] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15945), 1,
      anon_sym_EQ,
    STATE(13730), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [234954] = 21,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18474), 1,
      sym__rational_operator,
    ACTIONS(18476), 1,
      sym__bitshift_operator,
    ACTIONS(18478), 1,
      sym__power_operator,
    ACTIONS(18565), 1,
      anon_sym_COLON,
    ACTIONS(18569), 1,
      sym__pipe_right_operator,
    ACTIONS(18571), 1,
      sym__pipe_left_operator,
    ACTIONS(18573), 1,
      sym__ellipsis_operator,
    ACTIONS(18577), 1,
      sym__times_operator,
    ACTIONS(18657), 1,
      anon_sym_where,
    ACTIONS(18661), 1,
      sym__arrow_operator,
    ACTIONS(18663), 1,
      sym__lazy_or_operator,
    ACTIONS(18665), 1,
      sym__lazy_and_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18575), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13731), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
    ACTIONS(18567), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [235027] = 11,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11790), 1,
      aux_sym__terminator_token1,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18631), 1,
      sym__times_operator,
    ACTIONS(18633), 1,
      sym__rational_operator,
    ACTIONS(18635), 1,
      sym__bitshift_operator,
    ACTIONS(18637), 1,
      sym__power_operator,
    ACTIONS(18629), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13732), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__type_order_operator,
  [235080] = 19,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18474), 1,
      sym__rational_operator,
    ACTIONS(18476), 1,
      sym__bitshift_operator,
    ACTIONS(18478), 1,
      sym__power_operator,
    ACTIONS(18565), 1,
      anon_sym_COLON,
    ACTIONS(18569), 1,
      sym__pipe_right_operator,
    ACTIONS(18571), 1,
      sym__pipe_left_operator,
    ACTIONS(18573), 1,
      sym__ellipsis_operator,
    ACTIONS(18577), 1,
      sym__times_operator,
    ACTIONS(18657), 1,
      anon_sym_where,
    ACTIONS(18665), 1,
      sym__lazy_and_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18575), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13733), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18567), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [235149] = 20,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18440), 1,
      anon_sym_COLON,
    ACTIONS(18446), 1,
      anon_sym_where,
    ACTIONS(18454), 1,
      sym__lazy_and_operator,
    ACTIONS(18456), 1,
      sym__comparison_operator,
    ACTIONS(18458), 1,
      sym__pipe_right_operator,
    ACTIONS(18460), 1,
      sym__pipe_left_operator,
    ACTIONS(18462), 1,
      sym__ellipsis_operator,
    ACTIONS(18466), 1,
      sym__times_operator,
    ACTIONS(18468), 1,
      sym__rational_operator,
    ACTIONS(18470), 1,
      sym__bitshift_operator,
    ACTIONS(18472), 1,
      sym__power_operator,
    ACTIONS(18464), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13734), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18442), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 7,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [235220] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18466), 1,
      sym__times_operator,
    ACTIONS(18468), 1,
      sym__rational_operator,
    ACTIONS(18470), 1,
      sym__bitshift_operator,
    ACTIONS(18472), 1,
      sym__power_operator,
    ACTIONS(18464), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13735), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 4,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 15,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [235273] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15149), 1,
      anon_sym_DOT2,
    ACTIONS(16545), 1,
      sym__word_identifier,
    STATE(8071), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(9055), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13736), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15159), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15151), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15171), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [235324] = 18,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18474), 1,
      sym__rational_operator,
    ACTIONS(18476), 1,
      sym__bitshift_operator,
    ACTIONS(18478), 1,
      sym__power_operator,
    ACTIONS(18565), 1,
      anon_sym_COLON,
    ACTIONS(18569), 1,
      sym__pipe_right_operator,
    ACTIONS(18571), 1,
      sym__pipe_left_operator,
    ACTIONS(18573), 1,
      sym__ellipsis_operator,
    ACTIONS(18577), 1,
      sym__times_operator,
    ACTIONS(18657), 1,
      anon_sym_where,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18575), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13737), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18567), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [235391] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14723), 1,
      anon_sym_DOT2,
    ACTIONS(16667), 1,
      sym__word_identifier,
    STATE(7615), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(8374), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13738), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14733), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14725), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14745), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [235442] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14283), 1,
      anon_sym_DOT2,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(11977), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13228), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13739), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14293), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [235493] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1697), 1,
      anon_sym_DOT2,
    ACTIONS(18667), 1,
      sym__word_identifier,
    STATE(11172), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13740), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18505), 2,
      sym_scoped_identifier,
      sym_identifier,
    ACTIONS(1671), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [235544] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18555), 1,
      sym__power_operator,
    ACTIONS(18559), 1,
      sym__times_operator,
    ACTIONS(18561), 1,
      sym__rational_operator,
    ACTIONS(18563), 1,
      sym__bitshift_operator,
    ACTIONS(18669), 1,
      anon_sym_COLON,
    ACTIONS(18671), 1,
      sym__pipe_right_operator,
    ACTIONS(18673), 1,
      sym__pipe_left_operator,
    ACTIONS(18675), 1,
      sym__ellipsis_operator,
    ACTIONS(18557), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13741), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 13,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [235607] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18555), 1,
      sym__power_operator,
    ACTIONS(18559), 1,
      sym__times_operator,
    ACTIONS(18561), 1,
      sym__rational_operator,
    ACTIONS(18563), 1,
      sym__bitshift_operator,
    ACTIONS(18669), 1,
      anon_sym_COLON,
    ACTIONS(18671), 1,
      sym__pipe_right_operator,
    ACTIONS(18673), 1,
      sym__pipe_left_operator,
    ACTIONS(18675), 1,
      sym__ellipsis_operator,
    ACTIONS(18679), 1,
      sym__comparison_operator,
    ACTIONS(18557), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13742), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 10,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [235672] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(18555), 1,
      sym__power_operator,
    ACTIONS(18559), 1,
      sym__times_operator,
    ACTIONS(18561), 1,
      sym__rational_operator,
    ACTIONS(18563), 1,
      sym__bitshift_operator,
    ACTIONS(18669), 1,
      anon_sym_COLON,
    ACTIONS(18671), 1,
      sym__pipe_right_operator,
    ACTIONS(18673), 1,
      sym__pipe_left_operator,
    ACTIONS(18675), 1,
      sym__ellipsis_operator,
    ACTIONS(18679), 1,
      sym__comparison_operator,
    ACTIONS(18681), 1,
      anon_sym_where,
    ACTIONS(18683), 1,
      sym__pair_operator,
    ACTIONS(18685), 1,
      sym__arrow_operator,
    ACTIONS(18687), 1,
      sym__lazy_or_operator,
    ACTIONS(18689), 1,
      sym__lazy_and_operator,
    ACTIONS(18557), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13743), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [235749] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18472), 1,
      sym__power_operator,
    STATE(13744), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 17,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [235794] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18691), 1,
      anon_sym_COMMA,
    STATE(13745), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11139), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [235837] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18466), 1,
      sym__times_operator,
    ACTIONS(18468), 1,
      sym__rational_operator,
    ACTIONS(18470), 1,
      sym__bitshift_operator,
    ACTIONS(18472), 1,
      sym__power_operator,
    ACTIONS(18464), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13746), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 4,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 15,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [235890] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11216), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18525), 1,
      anon_sym_QMARK,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11220), 2,
      anon_sym_end,
      sym__pair_operator,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13747), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [235971] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(18555), 1,
      sym__power_operator,
    ACTIONS(18559), 1,
      sym__times_operator,
    ACTIONS(18561), 1,
      sym__rational_operator,
    ACTIONS(18563), 1,
      sym__bitshift_operator,
    ACTIONS(18669), 1,
      anon_sym_COLON,
    ACTIONS(18671), 1,
      sym__pipe_right_operator,
    ACTIONS(18673), 1,
      sym__pipe_left_operator,
    ACTIONS(18675), 1,
      sym__ellipsis_operator,
    ACTIONS(18679), 1,
      sym__comparison_operator,
    ACTIONS(18681), 1,
      anon_sym_where,
    ACTIONS(18683), 1,
      sym__pair_operator,
    ACTIONS(18685), 1,
      sym__arrow_operator,
    ACTIONS(18687), 1,
      sym__lazy_or_operator,
    ACTIONS(18689), 1,
      sym__lazy_and_operator,
    ACTIONS(18557), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13748), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(12153), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [236048] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15971), 1,
      anon_sym_EQ,
    STATE(13749), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [236093] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18483), 1,
      anon_sym_COLON,
    ACTIONS(18501), 1,
      sym__pipe_right_operator,
    ACTIONS(18503), 1,
      sym__pipe_left_operator,
    ACTIONS(18505), 1,
      sym__ellipsis_operator,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(18507), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13750), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 12,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [236156] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11876), 1,
      anon_sym_EQ,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18483), 1,
      anon_sym_COLON,
    ACTIONS(18499), 1,
      sym__comparison_operator,
    ACTIONS(18501), 1,
      sym__pipe_right_operator,
    ACTIONS(18503), 1,
      sym__pipe_left_operator,
    ACTIONS(18505), 1,
      sym__ellipsis_operator,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    ACTIONS(18507), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13751), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18485), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 9,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [236223] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18483), 1,
      anon_sym_COLON,
    ACTIONS(18489), 1,
      anon_sym_where,
    ACTIONS(18493), 1,
      sym__arrow_operator,
    ACTIONS(18495), 1,
      sym__lazy_or_operator,
    ACTIONS(18497), 1,
      sym__lazy_and_operator,
    ACTIONS(18499), 1,
      sym__comparison_operator,
    ACTIONS(18501), 1,
      sym__pipe_right_operator,
    ACTIONS(18503), 1,
      sym__pipe_left_operator,
    ACTIONS(18505), 1,
      sym__ellipsis_operator,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    ACTIONS(18507), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13752), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18485), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 5,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [236298] = 20,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18483), 1,
      anon_sym_COLON,
    ACTIONS(18489), 1,
      anon_sym_where,
    ACTIONS(18497), 1,
      sym__lazy_and_operator,
    ACTIONS(18499), 1,
      sym__comparison_operator,
    ACTIONS(18501), 1,
      sym__pipe_right_operator,
    ACTIONS(18503), 1,
      sym__pipe_left_operator,
    ACTIONS(18505), 1,
      sym__ellipsis_operator,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    ACTIONS(18507), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13753), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18485), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 7,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [236369] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18483), 1,
      anon_sym_COLON,
    ACTIONS(18489), 1,
      anon_sym_where,
    ACTIONS(18499), 1,
      sym__comparison_operator,
    ACTIONS(18501), 1,
      sym__pipe_right_operator,
    ACTIONS(18503), 1,
      sym__pipe_left_operator,
    ACTIONS(18505), 1,
      sym__ellipsis_operator,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    ACTIONS(18507), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13754), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18485), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 8,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [236438] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18483), 1,
      anon_sym_COLON,
    ACTIONS(18505), 1,
      sym__ellipsis_operator,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(18507), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13755), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 14,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [236497] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18483), 1,
      anon_sym_COLON,
    ACTIONS(18501), 1,
      sym__pipe_right_operator,
    ACTIONS(18503), 1,
      sym__pipe_left_operator,
    ACTIONS(18505), 1,
      sym__ellipsis_operator,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(18507), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13756), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 12,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [236560] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    ACTIONS(18507), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13757), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 15,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [236613] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    STATE(13758), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 15,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [236664] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    STATE(13759), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 15,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [236713] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    STATE(13760), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 16,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [236760] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18515), 1,
      sym__power_operator,
    STATE(13761), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [236805] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18555), 1,
      sym__power_operator,
    ACTIONS(18559), 1,
      sym__times_operator,
    ACTIONS(18561), 1,
      sym__rational_operator,
    ACTIONS(18563), 1,
      sym__bitshift_operator,
    ACTIONS(18669), 1,
      anon_sym_COLON,
    ACTIONS(18671), 1,
      sym__pipe_right_operator,
    ACTIONS(18673), 1,
      sym__pipe_left_operator,
    ACTIONS(18675), 1,
      sym__ellipsis_operator,
    ACTIONS(18679), 1,
      sym__comparison_operator,
    ACTIONS(18681), 1,
      anon_sym_where,
    ACTIONS(18685), 1,
      sym__arrow_operator,
    ACTIONS(18687), 1,
      sym__lazy_or_operator,
    ACTIONS(18689), 1,
      sym__lazy_and_operator,
    ACTIONS(18557), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13762), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 6,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [236878] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18555), 1,
      sym__power_operator,
    ACTIONS(18559), 1,
      sym__times_operator,
    ACTIONS(18561), 1,
      sym__rational_operator,
    ACTIONS(18563), 1,
      sym__bitshift_operator,
    ACTIONS(18669), 1,
      anon_sym_COLON,
    ACTIONS(18671), 1,
      sym__pipe_right_operator,
    ACTIONS(18673), 1,
      sym__pipe_left_operator,
    ACTIONS(18675), 1,
      sym__ellipsis_operator,
    ACTIONS(18679), 1,
      sym__comparison_operator,
    ACTIONS(18681), 1,
      anon_sym_where,
    ACTIONS(18689), 1,
      sym__lazy_and_operator,
    ACTIONS(18557), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13763), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 8,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [236947] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18555), 1,
      sym__power_operator,
    ACTIONS(18559), 1,
      sym__times_operator,
    ACTIONS(18561), 1,
      sym__rational_operator,
    ACTIONS(18563), 1,
      sym__bitshift_operator,
    ACTIONS(18669), 1,
      anon_sym_COLON,
    ACTIONS(18671), 1,
      sym__pipe_right_operator,
    ACTIONS(18673), 1,
      sym__pipe_left_operator,
    ACTIONS(18675), 1,
      sym__ellipsis_operator,
    ACTIONS(18679), 1,
      sym__comparison_operator,
    ACTIONS(18681), 1,
      anon_sym_where,
    ACTIONS(18557), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13764), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 9,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [237014] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11876), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18440), 1,
      anon_sym_COLON,
    ACTIONS(18456), 1,
      sym__comparison_operator,
    ACTIONS(18458), 1,
      sym__pipe_right_operator,
    ACTIONS(18460), 1,
      sym__pipe_left_operator,
    ACTIONS(18462), 1,
      sym__ellipsis_operator,
    ACTIONS(18466), 1,
      sym__times_operator,
    ACTIONS(18468), 1,
      sym__rational_operator,
    ACTIONS(18470), 1,
      sym__bitshift_operator,
    ACTIONS(18472), 1,
      sym__power_operator,
    ACTIONS(18464), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13765), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18442), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 9,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [237081] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18555), 1,
      sym__power_operator,
    ACTIONS(18559), 1,
      sym__times_operator,
    ACTIONS(18561), 1,
      sym__rational_operator,
    ACTIONS(18563), 1,
      sym__bitshift_operator,
    ACTIONS(18669), 1,
      anon_sym_COLON,
    ACTIONS(18675), 1,
      sym__ellipsis_operator,
    ACTIONS(18557), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13766), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 15,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [237140] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18555), 1,
      sym__power_operator,
    ACTIONS(18559), 1,
      sym__times_operator,
    ACTIONS(18561), 1,
      sym__rational_operator,
    ACTIONS(18563), 1,
      sym__bitshift_operator,
    ACTIONS(18669), 1,
      anon_sym_COLON,
    ACTIONS(18671), 1,
      sym__pipe_right_operator,
    ACTIONS(18673), 1,
      sym__pipe_left_operator,
    ACTIONS(18675), 1,
      sym__ellipsis_operator,
    ACTIONS(18557), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13767), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 13,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [237203] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13751), 1,
      anon_sym_DOT2,
    ACTIONS(18694), 1,
      sym__word_identifier,
    STATE(8284), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(8786), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13768), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13761), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13753), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(13773), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [237254] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18440), 1,
      anon_sym_COLON,
    ACTIONS(18458), 1,
      sym__pipe_right_operator,
    ACTIONS(18460), 1,
      sym__pipe_left_operator,
    ACTIONS(18462), 1,
      sym__ellipsis_operator,
    ACTIONS(18466), 1,
      sym__times_operator,
    ACTIONS(18468), 1,
      sym__rational_operator,
    ACTIONS(18470), 1,
      sym__bitshift_operator,
    ACTIONS(18472), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
    ACTIONS(18464), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13769), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 12,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [237317] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18555), 1,
      sym__power_operator,
    ACTIONS(18559), 1,
      sym__times_operator,
    ACTIONS(18561), 1,
      sym__rational_operator,
    ACTIONS(18563), 1,
      sym__bitshift_operator,
    STATE(13770), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 5,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 16,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [237368] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18176), 1,
      anon_sym_QMARK,
    ACTIONS(18474), 1,
      sym__rational_operator,
    ACTIONS(18476), 1,
      sym__bitshift_operator,
    ACTIONS(18478), 1,
      sym__power_operator,
    ACTIONS(18565), 1,
      anon_sym_COLON,
    ACTIONS(18569), 1,
      sym__pipe_right_operator,
    ACTIONS(18571), 1,
      sym__pipe_left_operator,
    ACTIONS(18573), 1,
      sym__ellipsis_operator,
    ACTIONS(18577), 1,
      sym__times_operator,
    ACTIONS(18657), 1,
      anon_sym_where,
    ACTIONS(18659), 1,
      sym__pair_operator,
    ACTIONS(18661), 1,
      sym__arrow_operator,
    ACTIONS(18663), 1,
      sym__lazy_or_operator,
    ACTIONS(18665), 1,
      sym__lazy_and_operator,
    ACTIONS(12151), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(12153), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18575), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13771), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18567), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [237445] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18555), 1,
      sym__power_operator,
    ACTIONS(18561), 1,
      sym__rational_operator,
    ACTIONS(18563), 1,
      sym__bitshift_operator,
    STATE(13772), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 16,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [237494] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18617), 1,
      anon_sym_COLON,
    ACTIONS(18623), 1,
      sym__pipe_right_operator,
    ACTIONS(18625), 1,
      sym__pipe_left_operator,
    ACTIONS(18627), 1,
      sym__ellipsis_operator,
    ACTIONS(18631), 1,
      sym__times_operator,
    ACTIONS(18633), 1,
      sym__rational_operator,
    ACTIONS(18635), 1,
      sym__bitshift_operator,
    ACTIONS(18637), 1,
      sym__power_operator,
    ACTIONS(18629), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13773), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 13,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [237557] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15847), 1,
      anon_sym_DASH_GT,
    STATE(13774), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [237600] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13593), 1,
      anon_sym_DOT2,
    ACTIONS(16633), 1,
      sym__word_identifier,
    STATE(7701), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(8233), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13775), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13603), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13595), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(13615), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [237651] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18555), 1,
      sym__power_operator,
    ACTIONS(18563), 1,
      sym__bitshift_operator,
    STATE(13776), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [237698] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18515), 1,
      sym__power_operator,
    STATE(13777), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 17,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [237743] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    ACTIONS(18507), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13778), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 15,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [237796] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18555), 1,
      sym__power_operator,
    STATE(13779), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 18,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [237841] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18466), 1,
      sym__times_operator,
    ACTIONS(18468), 1,
      sym__rational_operator,
    ACTIONS(18470), 1,
      sym__bitshift_operator,
    ACTIONS(18472), 1,
      sym__power_operator,
    STATE(13780), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 15,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [237892] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18079), 1,
      anon_sym_COLON,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18087), 1,
      anon_sym_where,
    ACTIONS(18089), 1,
      sym__pair_operator,
    ACTIONS(18091), 1,
      sym__arrow_operator,
    ACTIONS(18093), 1,
      sym__lazy_or_operator,
    ACTIONS(18095), 1,
      sym__lazy_and_operator,
    ACTIONS(18097), 1,
      sym__pipe_right_operator,
    ACTIONS(18099), 1,
      sym__pipe_left_operator,
    ACTIONS(18101), 1,
      sym__ellipsis_operator,
    ACTIONS(18105), 1,
      sym__times_operator,
    ACTIONS(18107), 1,
      sym__rational_operator,
    ACTIONS(18109), 1,
      sym__bitshift_operator,
    ACTIONS(18111), 1,
      sym__power_operator,
    ACTIONS(18176), 1,
      anon_sym_QMARK,
    ACTIONS(11382), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(11384), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18103), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13781), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18081), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [237969] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16727), 1,
      anon_sym_COLON,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(16739), 1,
      anon_sym_where,
    ACTIONS(16741), 1,
      sym__pair_operator,
    ACTIONS(16743), 1,
      sym__arrow_operator,
    ACTIONS(16745), 1,
      sym__lazy_or_operator,
    ACTIONS(16747), 1,
      sym__lazy_and_operator,
    ACTIONS(16749), 1,
      sym__comparison_operator,
    ACTIONS(16751), 1,
      sym__pipe_right_operator,
    ACTIONS(16753), 1,
      sym__pipe_left_operator,
    ACTIONS(16755), 1,
      sym__ellipsis_operator,
    ACTIONS(16759), 1,
      sym__times_operator,
    ACTIONS(16761), 1,
      sym__rational_operator,
    ACTIONS(16763), 1,
      sym__bitshift_operator,
    ACTIONS(16765), 1,
      sym__power_operator,
    ACTIONS(16757), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13782), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16729), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11384), 4,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [238046] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14623), 1,
      anon_sym_DOT2,
    ACTIONS(16535), 1,
      sym__word_identifier,
    STATE(7360), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(8152), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13783), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14633), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14625), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14645), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [238097] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15847), 1,
      anon_sym_DASH_GT,
    STATE(13784), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [238140] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15783), 1,
      anon_sym_DASH_GT,
    ACTIONS(15971), 1,
      anon_sym_EQ,
    STATE(13785), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [238185] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15979), 1,
      anon_sym_EQ,
    STATE(13786), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [238230] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11216), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18525), 1,
      anon_sym_QMARK,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13787), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11220), 3,
      anon_sym_COMMA,
      anon_sym_end,
      sym__pair_operator,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [238309] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14093), 1,
      anon_sym_DOT2,
    ACTIONS(18696), 1,
      sym__word_identifier,
    STATE(7229), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(7708), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13788), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14103), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14095), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14109), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [238360] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15747), 1,
      anon_sym_COMMA,
    ACTIONS(15749), 1,
      anon_sym_SEMI,
    ACTIONS(15751), 1,
      aux_sym__terminator_token1,
    STATE(16667), 1,
      aux_sym__do_parameter_list_repeat1,
    STATE(13789), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 22,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [238407] = 21,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18617), 1,
      anon_sym_COLON,
    ACTIONS(18621), 1,
      anon_sym_where,
    ACTIONS(18623), 1,
      sym__pipe_right_operator,
    ACTIONS(18625), 1,
      sym__pipe_left_operator,
    ACTIONS(18627), 1,
      sym__ellipsis_operator,
    ACTIONS(18631), 1,
      sym__times_operator,
    ACTIONS(18633), 1,
      sym__rational_operator,
    ACTIONS(18635), 1,
      sym__bitshift_operator,
    ACTIONS(18637), 1,
      sym__power_operator,
    ACTIONS(18698), 1,
      sym__arrow_operator,
    ACTIONS(18700), 1,
      sym__lazy_or_operator,
    ACTIONS(18702), 1,
      sym__lazy_and_operator,
    ACTIONS(18629), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13790), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 5,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [238480] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14847), 1,
      anon_sym_DOT2,
    ACTIONS(18704), 1,
      sym__word_identifier,
    STATE(9054), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(9540), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13791), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14857), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14849), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14863), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [238531] = 17,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11878), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18617), 1,
      anon_sym_COLON,
    ACTIONS(18623), 1,
      sym__pipe_right_operator,
    ACTIONS(18625), 1,
      sym__pipe_left_operator,
    ACTIONS(18627), 1,
      sym__ellipsis_operator,
    ACTIONS(18631), 1,
      sym__times_operator,
    ACTIONS(18633), 1,
      sym__rational_operator,
    ACTIONS(18635), 1,
      sym__bitshift_operator,
    ACTIONS(18637), 1,
      sym__power_operator,
    ACTIONS(18629), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13792), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11876), 9,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [238596] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      aux_sym_integer_literal_token4,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18440), 1,
      anon_sym_COLON,
    ACTIONS(18446), 1,
      anon_sym_where,
    ACTIONS(18456), 1,
      sym__comparison_operator,
    ACTIONS(18458), 1,
      sym__pipe_right_operator,
    ACTIONS(18460), 1,
      sym__pipe_left_operator,
    ACTIONS(18462), 1,
      sym__ellipsis_operator,
    ACTIONS(18466), 1,
      sym__times_operator,
    ACTIONS(18468), 1,
      sym__rational_operator,
    ACTIONS(18470), 1,
      sym__bitshift_operator,
    ACTIONS(18472), 1,
      sym__power_operator,
    ACTIONS(18464), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13793), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18442), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 8,
      anon_sym_QMARK,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [238665] = 19,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18617), 1,
      anon_sym_COLON,
    ACTIONS(18621), 1,
      anon_sym_where,
    ACTIONS(18623), 1,
      sym__pipe_right_operator,
    ACTIONS(18625), 1,
      sym__pipe_left_operator,
    ACTIONS(18627), 1,
      sym__ellipsis_operator,
    ACTIONS(18631), 1,
      sym__times_operator,
    ACTIONS(18633), 1,
      sym__rational_operator,
    ACTIONS(18635), 1,
      sym__bitshift_operator,
    ACTIONS(18637), 1,
      sym__power_operator,
    ACTIONS(18702), 1,
      sym__lazy_and_operator,
    ACTIONS(18629), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13794), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
    ACTIONS(11378), 7,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [238734] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14397), 1,
      anon_sym_DOT2,
    ACTIONS(18706), 1,
      sym__word_identifier,
    STATE(8330), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(8910), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13795), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14407), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14399), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14413), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [238785] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11216), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17679), 1,
      anon_sym_QMARK,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11220), 2,
      anon_sym_RPAREN,
      sym__pair_operator,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13796), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [238866] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14875), 1,
      anon_sym_DOT2,
    ACTIONS(18708), 1,
      sym__word_identifier,
    STATE(7103), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(7364), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13797), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14885), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14877), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14897), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [238917] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18468), 1,
      sym__rational_operator,
    ACTIONS(18470), 1,
      sym__bitshift_operator,
    ACTIONS(18472), 1,
      sym__power_operator,
    STATE(13798), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 15,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [238966] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11380), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17987), 1,
      anon_sym_QMARK,
    ACTIONS(18617), 1,
      anon_sym_COLON,
    ACTIONS(18621), 1,
      anon_sym_where,
    ACTIONS(18623), 1,
      sym__pipe_right_operator,
    ACTIONS(18625), 1,
      sym__pipe_left_operator,
    ACTIONS(18627), 1,
      sym__ellipsis_operator,
    ACTIONS(18631), 1,
      sym__times_operator,
    ACTIONS(18633), 1,
      sym__rational_operator,
    ACTIONS(18635), 1,
      sym__bitshift_operator,
    ACTIONS(18637), 1,
      sym__power_operator,
    ACTIONS(18698), 1,
      sym__arrow_operator,
    ACTIONS(18700), 1,
      sym__lazy_or_operator,
    ACTIONS(18702), 1,
      sym__lazy_and_operator,
    ACTIONS(18710), 1,
      sym__pair_operator,
    ACTIONS(18629), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13799), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(18619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [239043] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(9483), 1,
      aux_sym__terminator_token1,
    ACTIONS(15865), 1,
      anon_sym_EQ,
    STATE(13800), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 24,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [239086] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15977), 1,
      anon_sym_EQ,
    STATE(13801), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [239131] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1697), 1,
      anon_sym_DOT2,
    ACTIONS(16505), 1,
      sym__word_identifier,
    STATE(11172), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(11762), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13802), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1671), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [239182] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15371), 1,
      anon_sym_DOT2,
    ACTIONS(18712), 1,
      sym__word_identifier,
    STATE(8179), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(8547), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13803), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15381), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15373), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15387), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [239233] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15847), 1,
      anon_sym_DASH_GT,
    STATE(13804), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [239276] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14283), 1,
      anon_sym_DOT2,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(11977), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(12444), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13805), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14293), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [239327] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14283), 1,
      anon_sym_DOT2,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(11977), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13375), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13806), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14293), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [239378] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11310), 1,
      aux_sym__terminator_token1,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18637), 1,
      sym__power_operator,
    STATE(13807), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 23,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [239423] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14531), 1,
      anon_sym_DOT2,
    ACTIONS(18714), 1,
      sym__word_identifier,
    STATE(6426), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(6927), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13808), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14541), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14533), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14553), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [239474] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18716), 1,
      anon_sym_COMMA,
    STATE(13815), 1,
      aux_sym_export_statement_repeat1,
    STATE(13809), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11278), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11282), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [239519] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18716), 1,
      anon_sym_COMMA,
    STATE(13816), 1,
      aux_sym_export_statement_repeat1,
    STATE(13810), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11141), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11145), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [239564] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18432), 1,
      anon_sym_COMMA,
    STATE(13818), 1,
      aux_sym__import_list_repeat1,
    STATE(13811), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11024), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11032), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [239609] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18440), 1,
      anon_sym_COLON,
    ACTIONS(18458), 1,
      sym__pipe_right_operator,
    ACTIONS(18460), 1,
      sym__pipe_left_operator,
    ACTIONS(18462), 1,
      sym__ellipsis_operator,
    ACTIONS(18466), 1,
      sym__times_operator,
    ACTIONS(18468), 1,
      sym__rational_operator,
    ACTIONS(18470), 1,
      sym__bitshift_operator,
    ACTIONS(18472), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
    ACTIONS(18464), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13812), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 12,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [239672] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18470), 1,
      sym__bitshift_operator,
    ACTIONS(18472), 1,
      sym__power_operator,
    STATE(13813), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_COLON,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 16,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [239719] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(12153), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17987), 1,
      anon_sym_QMARK,
    ACTIONS(18617), 1,
      anon_sym_COLON,
    ACTIONS(18621), 1,
      anon_sym_where,
    ACTIONS(18623), 1,
      sym__pipe_right_operator,
    ACTIONS(18625), 1,
      sym__pipe_left_operator,
    ACTIONS(18627), 1,
      sym__ellipsis_operator,
    ACTIONS(18631), 1,
      sym__times_operator,
    ACTIONS(18633), 1,
      sym__rational_operator,
    ACTIONS(18635), 1,
      sym__bitshift_operator,
    ACTIONS(18637), 1,
      sym__power_operator,
    ACTIONS(18698), 1,
      sym__arrow_operator,
    ACTIONS(18700), 1,
      sym__lazy_or_operator,
    ACTIONS(18702), 1,
      sym__lazy_and_operator,
    ACTIONS(18710), 1,
      sym__pair_operator,
    ACTIONS(18629), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13814), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12151), 3,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(18619), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [239796] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18716), 1,
      anon_sym_COMMA,
    STATE(13819), 1,
      aux_sym_export_statement_repeat1,
    STATE(13815), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11286), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11288), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [239841] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18716), 1,
      anon_sym_COMMA,
    STATE(13819), 1,
      aux_sym_export_statement_repeat1,
    STATE(13816), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11290), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11292), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [239886] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11384), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17987), 1,
      anon_sym_QMARK,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13817), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11382), 3,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [239963] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18432), 1,
      anon_sym_COMMA,
    STATE(13821), 1,
      aux_sym__import_list_repeat1,
    STATE(13818), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11066), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11068), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [240008] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18718), 1,
      anon_sym_COMMA,
    STATE(13819), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_export_statement_repeat1,
    ACTIONS(11149), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11154), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [240051] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18434), 1,
      anon_sym_as,
    STATE(13820), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11159), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11161), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [240094] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18721), 1,
      anon_sym_COMMA,
    STATE(13821), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__import_list_repeat1,
    ACTIONS(11159), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11161), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [240137] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15821), 1,
      anon_sym_DASH_GT,
    STATE(13822), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [240180] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1697), 1,
      anon_sym_DOT2,
    ACTIONS(16505), 1,
      sym__word_identifier,
    STATE(11172), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13379), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13823), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1671), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [240231] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15289), 1,
      anon_sym_DOT2,
    ACTIONS(16693), 1,
      sym__word_identifier,
    STATE(7001), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(7255), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13824), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15299), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15291), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15311), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [240282] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14283), 1,
      anon_sym_DOT2,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(11977), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13025), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13825), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14293), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [240333] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15753), 1,
      anon_sym_DASH_GT,
    STATE(13826), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 19,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [240376] = 14,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18474), 1,
      sym__rational_operator,
    ACTIONS(18476), 1,
      sym__bitshift_operator,
    ACTIONS(18478), 1,
      sym__power_operator,
    ACTIONS(18565), 1,
      anon_sym_COLON,
    ACTIONS(18573), 1,
      sym__ellipsis_operator,
    ACTIONS(18577), 1,
      sym__times_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18575), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13827), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [240435] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13785), 1,
      anon_sym_DOT2,
    ACTIONS(18724), 1,
      sym__word_identifier,
    STATE(6521), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(6851), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13828), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13795), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(13787), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(13807), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [240486] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15783), 1,
      anon_sym_DASH_GT,
    ACTIONS(15911), 1,
      anon_sym_EQ,
    STATE(13829), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [240531] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1697), 1,
      anon_sym_DOT2,
    ACTIONS(16505), 1,
      sym__word_identifier,
    STATE(11172), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13033), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13830), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1671), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [240582] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15093), 1,
      anon_sym_DOT2,
    ACTIONS(18726), 1,
      sym__word_identifier,
    STATE(9640), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(9824), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13831), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(15103), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(15095), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15109), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [240633] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18474), 1,
      sym__rational_operator,
    ACTIONS(18476), 1,
      sym__bitshift_operator,
    ACTIONS(18478), 1,
      sym__power_operator,
    ACTIONS(18565), 1,
      anon_sym_COLON,
    ACTIONS(18569), 1,
      sym__pipe_right_operator,
    ACTIONS(18571), 1,
      sym__pipe_left_operator,
    ACTIONS(18573), 1,
      sym__ellipsis_operator,
    ACTIONS(18577), 1,
      sym__times_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18575), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13832), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 12,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [240696] = 23,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11706), 1,
      aux_sym__terminator_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17979), 1,
      anon_sym_COLON,
    ACTIONS(17985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17987), 1,
      anon_sym_QMARK,
    ACTIONS(17989), 1,
      anon_sym_where,
    ACTIONS(17991), 1,
      sym__pair_operator,
    ACTIONS(17993), 1,
      sym__arrow_operator,
    ACTIONS(17995), 1,
      sym__lazy_or_operator,
    ACTIONS(17997), 1,
      sym__lazy_and_operator,
    ACTIONS(17999), 1,
      sym__pipe_right_operator,
    ACTIONS(18001), 1,
      sym__pipe_left_operator,
    ACTIONS(18003), 1,
      sym__ellipsis_operator,
    ACTIONS(18007), 1,
      sym__times_operator,
    ACTIONS(18009), 1,
      sym__rational_operator,
    ACTIONS(18011), 1,
      sym__bitshift_operator,
    ACTIONS(18013), 1,
      sym__power_operator,
    ACTIONS(18005), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13833), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11704), 3,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_SEMI,
    ACTIONS(17981), 4,
      anon_sym_in,
      anon_sym_isa,
      sym__comparison_operator,
      sym__type_order_operator,
  [240773] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18728), 1,
      anon_sym_DOT,
    STATE(13834), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10866), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(10870), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [240816] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1697), 1,
      anon_sym_DOT2,
    ACTIONS(16505), 1,
      sym__word_identifier,
    STATE(11172), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13834), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13835), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1671), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [240867] = 16,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16950), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18083), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18474), 1,
      sym__rational_operator,
    ACTIONS(18476), 1,
      sym__bitshift_operator,
    ACTIONS(18478), 1,
      sym__power_operator,
    ACTIONS(18565), 1,
      anon_sym_COLON,
    ACTIONS(18569), 1,
      sym__pipe_right_operator,
    ACTIONS(18571), 1,
      sym__pipe_left_operator,
    ACTIONS(18573), 1,
      sym__ellipsis_operator,
    ACTIONS(18577), 1,
      sym__times_operator,
    ACTIONS(11380), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    ACTIONS(18575), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13836), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 12,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__type_order_operator,
  [240930] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14283), 1,
      anon_sym_DOT2,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(11977), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(12908), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13837), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14293), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [240981] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1697), 1,
      anon_sym_DOT2,
    ACTIONS(16505), 1,
      sym__word_identifier,
    STATE(11172), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13662), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13838), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1671), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [241032] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1697), 1,
      anon_sym_DOT2,
    ACTIONS(16505), 1,
      sym__word_identifier,
    STATE(11172), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(12615), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13839), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1671), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [241083] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1697), 1,
      anon_sym_DOT2,
    ACTIONS(16505), 1,
      sym__word_identifier,
    STATE(11172), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(12347), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13840), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(1671), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14471), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [241134] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15823), 1,
      anon_sym_DASH_GT,
    ACTIONS(15945), 1,
      anon_sym_EQ,
    STATE(13841), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [241179] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14283), 1,
      anon_sym_DOT2,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(11977), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13043), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13842), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14293), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [241230] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11704), 1,
      anon_sym_EQ,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18483), 1,
      anon_sym_COLON,
    ACTIONS(18487), 1,
      anon_sym_QMARK,
    ACTIONS(18489), 1,
      anon_sym_where,
    ACTIONS(18491), 1,
      sym__pair_operator,
    ACTIONS(18493), 1,
      sym__arrow_operator,
    ACTIONS(18495), 1,
      sym__lazy_or_operator,
    ACTIONS(18497), 1,
      sym__lazy_and_operator,
    ACTIONS(18499), 1,
      sym__comparison_operator,
    ACTIONS(18501), 1,
      sym__pipe_right_operator,
    ACTIONS(18503), 1,
      sym__pipe_left_operator,
    ACTIONS(18505), 1,
      sym__ellipsis_operator,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    ACTIONS(18507), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13843), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11706), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18485), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [241309] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14283), 1,
      anon_sym_DOT2,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(11977), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(12620), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13844), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14293), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [241360] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14317), 1,
      anon_sym_DOT2,
    ACTIONS(16575), 1,
      sym__word_identifier,
    STATE(12242), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(12411), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13845), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14327), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14319), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14339), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [241411] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15823), 1,
      anon_sym_DASH_GT,
    ACTIONS(15979), 1,
      anon_sym_EQ,
    STATE(13846), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [241456] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14283), 1,
      anon_sym_DOT2,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(11977), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(12624), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13847), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14293), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [241507] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14283), 1,
      anon_sym_DOT2,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(11977), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(12315), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13848), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14293), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [241558] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15821), 1,
      anon_sym_DASH_GT,
    STATE(13849), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [241601] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14181), 1,
      anon_sym_DOT2,
    ACTIONS(16703), 1,
      sym__word_identifier,
    STATE(7231), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(8098), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(13850), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14191), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14183), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14203), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [241652] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18440), 1,
      anon_sym_COLON,
    ACTIONS(18462), 1,
      sym__ellipsis_operator,
    ACTIONS(18466), 1,
      sym__times_operator,
    ACTIONS(18468), 1,
      sym__rational_operator,
    ACTIONS(18470), 1,
      sym__bitshift_operator,
    ACTIONS(18472), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      aux_sym_integer_literal_token4,
      sym__comparison_operator,
    ACTIONS(18464), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13851), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 14,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [241711] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14283), 1,
      anon_sym_DOT2,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(11977), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(12635), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13852), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14293), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [241762] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14283), 1,
      anon_sym_DOT2,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(11977), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(12632), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13853), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14293), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [241813] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14283), 1,
      anon_sym_DOT2,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(11977), 2,
      sym_operator,
      sym__syntactic_operator,
    STATE(12666), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(13854), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14293), 4,
      anon_sym_DOLLAR,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
    ACTIONS(14285), 7,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 9,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [241864] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18555), 1,
      sym__power_operator,
    ACTIONS(18559), 1,
      sym__times_operator,
    ACTIONS(18561), 1,
      sym__rational_operator,
    ACTIONS(18563), 1,
      sym__bitshift_operator,
    ACTIONS(18557), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13855), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 16,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [241917] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7151), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18730), 1,
      anon_sym_COMMA,
    STATE(17751), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13856), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [241997] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18732), 1,
      anon_sym_COMMA,
    ACTIONS(18734), 1,
      anon_sym_RBRACE,
    STATE(18030), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13857), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [242077] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15489), 1,
      anon_sym_DASH_GT,
    ACTIONS(15901), 1,
      anon_sym_EQ,
    ACTIONS(15903), 2,
      anon_sym_in,
      anon_sym_u2208,
    STATE(13858), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 15,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [242123] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(15653), 1,
      anon_sym_EQ,
    STATE(13859), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [242167] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15745), 1,
      anon_sym_EQ,
    STATE(13860), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [242211] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18736), 1,
      anon_sym_COLON2,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13861), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [242291] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9103), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18740), 1,
      anon_sym_COMMA,
    STATE(17593), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13862), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [242371] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8359), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18742), 1,
      anon_sym_COMMA,
    STATE(18062), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13863), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [242451] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12320), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(13864), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [242495] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18647), 1,
      sym__word_identifier,
    ACTIONS(18744), 1,
      anon_sym_LPAREN,
    ACTIONS(18746), 1,
      anon_sym_DOLLAR,
    ACTIONS(18748), 1,
      anon_sym_AT,
    STATE(8587), 1,
      sym__exportable,
    STATE(13865), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8598), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14963), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14977), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [242547] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18750), 1,
      anon_sym_COMMA,
    ACTIONS(18752), 1,
      anon_sym_RBRACE,
    STATE(17688), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13866), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [242627] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11384), 1,
      anon_sym_COMMA,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18587), 1,
      anon_sym_QMARK,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(11382), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13867), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [242705] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18754), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13868), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [242785] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(16343), 1,
      anon_sym_EQ,
    STATE(13869), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [242829] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18726), 1,
      sym__word_identifier,
    ACTIONS(18756), 1,
      anon_sym_LPAREN,
    ACTIONS(18758), 1,
      anon_sym_DOLLAR,
    ACTIONS(18760), 1,
      anon_sym_AT,
    STATE(9842), 1,
      sym__exportable,
    STATE(13870), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9734), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(15095), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15109), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [242881] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7715), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18762), 1,
      anon_sym_COMMA,
    STATE(18184), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13871), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [242961] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(16343), 1,
      anon_sym_EQ,
    STATE(13872), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [243005] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18764), 1,
      anon_sym_DOLLAR,
    ACTIONS(18766), 1,
      anon_sym_AT,
    STATE(13289), 1,
      sym__exportable,
    STATE(13873), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243057] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18764), 1,
      anon_sym_DOLLAR,
    ACTIONS(18766), 1,
      anon_sym_AT,
    STATE(13290), 1,
      sym__exportable,
    STATE(13874), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243109] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18768), 1,
      anon_sym_COLON,
    ACTIONS(18772), 1,
      anon_sym_QMARK,
    ACTIONS(18774), 1,
      anon_sym_where,
    ACTIONS(18776), 1,
      sym__pair_operator,
    ACTIONS(18778), 1,
      sym__arrow_operator,
    ACTIONS(18780), 1,
      sym__lazy_or_operator,
    ACTIONS(18782), 1,
      sym__lazy_and_operator,
    ACTIONS(18784), 1,
      sym__comparison_operator,
    ACTIONS(18786), 1,
      sym__pipe_right_operator,
    ACTIONS(18788), 1,
      sym__pipe_left_operator,
    ACTIONS(18790), 1,
      sym__ellipsis_operator,
    ACTIONS(18794), 1,
      sym__times_operator,
    ACTIONS(18796), 1,
      sym__rational_operator,
    ACTIONS(18798), 1,
      sym__bitshift_operator,
    ACTIONS(18800), 1,
      sym__power_operator,
    ACTIONS(18792), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13875), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18770), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [243185] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7983), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18802), 1,
      anon_sym_COMMA,
    STATE(17816), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13876), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [243265] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18804), 1,
      anon_sym_COMMA,
    ACTIONS(18806), 1,
      anon_sym_RBRACE,
    STATE(17964), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13877), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [243345] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(19254), 1,
      sym__exportable,
    STATE(13878), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243397] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18812), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13879), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [243477] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18814), 1,
      anon_sym_COMMA,
    ACTIONS(18816), 1,
      anon_sym_RBRACE,
    STATE(17632), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13880), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [243557] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18764), 1,
      anon_sym_DOLLAR,
    ACTIONS(18766), 1,
      anon_sym_AT,
    STATE(11408), 1,
      sym__exportable,
    STATE(13881), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243609] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13882), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 11,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [243671] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18764), 1,
      anon_sym_DOLLAR,
    ACTIONS(18766), 1,
      anon_sym_AT,
    STATE(11333), 1,
      sym__exportable,
    STATE(13883), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [243723] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18818), 1,
      anon_sym_COMMA,
    ACTIONS(18820), 1,
      anon_sym_RBRACE,
    STATE(17725), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13884), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [243803] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13054), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(13885), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [243847] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13886), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 13,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [243905] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13887), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 11,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [243967] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13888), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 14,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [244019] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    STATE(13889), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 14,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [244069] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    STATE(13890), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 14,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [244117] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    STATE(13891), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [244163] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12544), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(13892), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [244207] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18822), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13893), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [244287] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18824), 1,
      anon_sym_COMMA,
    ACTIONS(18826), 1,
      anon_sym_RBRACE,
    STATE(17909), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13894), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [244367] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8425), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18828), 1,
      anon_sym_COMMA,
    STATE(18133), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13895), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [244447] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11220), 2,
      anon_sym_RPAREN,
      sym__pair_operator,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13896), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [244525] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10151), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(13897), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [244569] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11706), 1,
      anon_sym_COMMA,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18587), 1,
      anon_sym_QMARK,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(11704), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13898), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [244647] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(15831), 1,
      anon_sym_EQ,
    STATE(13899), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [244691] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18830), 1,
      anon_sym_COMMA,
    ACTIONS(18832), 1,
      anon_sym_RBRACE,
    STATE(17715), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13900), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [244771] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15945), 1,
      anon_sym_EQ,
    STATE(13901), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [244813] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15489), 1,
      anon_sym_DASH_GT,
    ACTIONS(16395), 1,
      anon_sym_EQ,
    STATE(13902), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [244857] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(16395), 1,
      anon_sym_EQ,
    STATE(13903), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [244901] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18834), 1,
      anon_sym_COMMA,
    ACTIONS(18836), 1,
      anon_sym_RBRACE,
    STATE(18114), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13904), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [244981] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15823), 1,
      anon_sym_DASH_GT,
    STATE(13905), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [245023] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(15815), 1,
      anon_sym_EQ,
    STATE(13906), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [245067] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13054), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(13907), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [245111] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(16337), 1,
      anon_sym_EQ,
    STATE(13908), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [245155] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15905), 1,
      anon_sym_DASH_GT,
    STATE(13909), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [245197] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(16337), 1,
      anon_sym_EQ,
    STATE(13910), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [245241] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18726), 1,
      sym__word_identifier,
    ACTIONS(18756), 1,
      anon_sym_LPAREN,
    ACTIONS(18758), 1,
      anon_sym_DOLLAR,
    ACTIONS(18760), 1,
      anon_sym_AT,
    STATE(9844), 1,
      sym__exportable,
    STATE(13911), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9734), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(15095), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15109), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245293] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18838), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13912), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [245373] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10295), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(13913), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [245417] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8635), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18840), 1,
      anon_sym_COMMA,
    STATE(17963), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13914), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [245497] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8457), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18842), 1,
      anon_sym_COMMA,
    STATE(18163), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13915), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [245577] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18647), 1,
      sym__word_identifier,
    ACTIONS(18744), 1,
      anon_sym_LPAREN,
    ACTIONS(18746), 1,
      anon_sym_DOLLAR,
    ACTIONS(18748), 1,
      anon_sym_AT,
    STATE(8595), 1,
      sym__exportable,
    STATE(13916), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8598), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14963), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14977), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [245629] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18844), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13917), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [245709] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18846), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13918), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [245789] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11166), 1,
      anon_sym_COLON2,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18581), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    STATE(13709), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13919), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [245869] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(16127), 1,
      anon_sym_EQ,
    STATE(13920), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [245913] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(16013), 1,
      anon_sym_EQ,
    STATE(13921), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [245957] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12333), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(13922), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [246001] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10295), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(13923), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [246045] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11260), 1,
      anon_sym_end,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18517), 1,
      anon_sym_COMMA,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18529), 1,
      sym__pair_operator,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(18848), 1,
      anon_sym_QMARK,
    STATE(13685), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13924), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [246125] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18850), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13925), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [246205] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11204), 1,
      anon_sym_COLON2,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18581), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    STATE(13709), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13926), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [246285] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15489), 1,
      anon_sym_DASH_GT,
    ACTIONS(15853), 1,
      anon_sym_EQ,
    ACTIONS(15855), 2,
      anon_sym_in,
      anon_sym_u2208,
    STATE(13927), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 15,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [246331] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8683), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18852), 1,
      anon_sym_COMMA,
    STATE(17807), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13928), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [246411] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7873), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18854), 1,
      anon_sym_COMMA,
    STATE(17620), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13929), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [246491] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8295), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18856), 1,
      anon_sym_COMMA,
    STATE(17978), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13930), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [246571] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18858), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13931), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [246651] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11258), 1,
      anon_sym_COLON2,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18581), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    STATE(13709), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13932), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [246731] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10151), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(13933), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [246775] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8699), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18860), 1,
      anon_sym_COMMA,
    STATE(18041), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13934), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [246855] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8033), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18862), 1,
      anon_sym_COMMA,
    STATE(17993), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13935), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [246935] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(15745), 1,
      anon_sym_EQ,
    STATE(13936), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [246979] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10367), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(13937), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [247023] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16127), 1,
      anon_sym_EQ,
    STATE(13938), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11260), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [247065] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11208), 1,
      anon_sym_COLON2,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18581), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    STATE(13709), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13939), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [247145] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10181), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(13940), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [247189] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18768), 1,
      anon_sym_COLON,
    ACTIONS(18786), 1,
      sym__pipe_right_operator,
    ACTIONS(18788), 1,
      sym__pipe_left_operator,
    ACTIONS(18790), 1,
      sym__ellipsis_operator,
    ACTIONS(18794), 1,
      sym__times_operator,
    ACTIONS(18796), 1,
      sym__rational_operator,
    ACTIONS(18798), 1,
      sym__bitshift_operator,
    ACTIONS(18800), 1,
      sym__power_operator,
    ACTIONS(18792), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13941), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 12,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [247251] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18768), 1,
      anon_sym_COLON,
    ACTIONS(18784), 1,
      sym__comparison_operator,
    ACTIONS(18786), 1,
      sym__pipe_right_operator,
    ACTIONS(18788), 1,
      sym__pipe_left_operator,
    ACTIONS(18790), 1,
      sym__ellipsis_operator,
    ACTIONS(18794), 1,
      sym__times_operator,
    ACTIONS(18796), 1,
      sym__rational_operator,
    ACTIONS(18798), 1,
      sym__bitshift_operator,
    ACTIONS(18800), 1,
      sym__power_operator,
    ACTIONS(18792), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13942), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18770), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 9,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [247315] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18768), 1,
      anon_sym_COLON,
    ACTIONS(18774), 1,
      anon_sym_where,
    ACTIONS(18778), 1,
      sym__arrow_operator,
    ACTIONS(18780), 1,
      sym__lazy_or_operator,
    ACTIONS(18782), 1,
      sym__lazy_and_operator,
    ACTIONS(18784), 1,
      sym__comparison_operator,
    ACTIONS(18786), 1,
      sym__pipe_right_operator,
    ACTIONS(18788), 1,
      sym__pipe_left_operator,
    ACTIONS(18790), 1,
      sym__ellipsis_operator,
    ACTIONS(18794), 1,
      sym__times_operator,
    ACTIONS(18796), 1,
      sym__rational_operator,
    ACTIONS(18798), 1,
      sym__bitshift_operator,
    ACTIONS(18800), 1,
      sym__power_operator,
    ACTIONS(18792), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13943), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18770), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 5,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
  [247387] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18768), 1,
      anon_sym_COLON,
    ACTIONS(18774), 1,
      anon_sym_where,
    ACTIONS(18782), 1,
      sym__lazy_and_operator,
    ACTIONS(18784), 1,
      sym__comparison_operator,
    ACTIONS(18786), 1,
      sym__pipe_right_operator,
    ACTIONS(18788), 1,
      sym__pipe_left_operator,
    ACTIONS(18790), 1,
      sym__ellipsis_operator,
    ACTIONS(18794), 1,
      sym__times_operator,
    ACTIONS(18796), 1,
      sym__rational_operator,
    ACTIONS(18798), 1,
      sym__bitshift_operator,
    ACTIONS(18800), 1,
      sym__power_operator,
    ACTIONS(18792), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13944), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18770), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 7,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [247455] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18768), 1,
      anon_sym_COLON,
    ACTIONS(18774), 1,
      anon_sym_where,
    ACTIONS(18784), 1,
      sym__comparison_operator,
    ACTIONS(18786), 1,
      sym__pipe_right_operator,
    ACTIONS(18788), 1,
      sym__pipe_left_operator,
    ACTIONS(18790), 1,
      sym__ellipsis_operator,
    ACTIONS(18794), 1,
      sym__times_operator,
    ACTIONS(18796), 1,
      sym__rational_operator,
    ACTIONS(18798), 1,
      sym__bitshift_operator,
    ACTIONS(18800), 1,
      sym__power_operator,
    ACTIONS(18792), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13945), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18770), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 8,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [247521] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18768), 1,
      anon_sym_COLON,
    ACTIONS(18790), 1,
      sym__ellipsis_operator,
    ACTIONS(18794), 1,
      sym__times_operator,
    ACTIONS(18796), 1,
      sym__rational_operator,
    ACTIONS(18798), 1,
      sym__bitshift_operator,
    ACTIONS(18800), 1,
      sym__power_operator,
    ACTIONS(18792), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13946), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 14,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [247579] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18768), 1,
      anon_sym_COLON,
    ACTIONS(18786), 1,
      sym__pipe_right_operator,
    ACTIONS(18788), 1,
      sym__pipe_left_operator,
    ACTIONS(18790), 1,
      sym__ellipsis_operator,
    ACTIONS(18794), 1,
      sym__times_operator,
    ACTIONS(18796), 1,
      sym__rational_operator,
    ACTIONS(18798), 1,
      sym__bitshift_operator,
    ACTIONS(18800), 1,
      sym__power_operator,
    ACTIONS(18792), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13947), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 12,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [247641] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18794), 1,
      sym__times_operator,
    ACTIONS(18796), 1,
      sym__rational_operator,
    ACTIONS(18798), 1,
      sym__bitshift_operator,
    ACTIONS(18800), 1,
      sym__power_operator,
    ACTIONS(18792), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13948), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 15,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [247693] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18794), 1,
      sym__times_operator,
    ACTIONS(18796), 1,
      sym__rational_operator,
    ACTIONS(18798), 1,
      sym__bitshift_operator,
    ACTIONS(18800), 1,
      sym__power_operator,
    STATE(13949), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 5,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 15,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [247743] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18796), 1,
      sym__rational_operator,
    ACTIONS(18798), 1,
      sym__bitshift_operator,
    ACTIONS(18800), 1,
      sym__power_operator,
    STATE(13950), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 15,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [247791] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18798), 1,
      sym__bitshift_operator,
    ACTIONS(18800), 1,
      sym__power_operator,
    STATE(13951), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 16,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [247837] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18800), 1,
      sym__power_operator,
    STATE(13952), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [247881] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18643), 1,
      sym__word_identifier,
    ACTIONS(18864), 1,
      anon_sym_LPAREN,
    ACTIONS(18866), 1,
      anon_sym_DOLLAR,
    ACTIONS(18868), 1,
      anon_sym_AT,
    STATE(8313), 1,
      sym__exportable,
    STATE(13953), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8744), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(15215), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15229), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [247933] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18643), 1,
      sym__word_identifier,
    ACTIONS(18864), 1,
      anon_sym_LPAREN,
    ACTIONS(18866), 1,
      anon_sym_DOLLAR,
    ACTIONS(18868), 1,
      anon_sym_AT,
    STATE(8314), 1,
      sym__exportable,
    STATE(13954), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8744), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(15215), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15229), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [247985] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18870), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13955), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [248065] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13956), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(18872), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [248141] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18874), 1,
      anon_sym_COMMA,
    ACTIONS(18876), 1,
      anon_sym_RBRACE,
    STATE(17750), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13957), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [248221] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(19962), 1,
      sym__exportable,
    STATE(13958), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248273] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18878), 1,
      anon_sym_DOLLAR,
    ACTIONS(18880), 1,
      anon_sym_AT,
    STATE(11794), 1,
      sym__exportable,
    STATE(13959), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248325] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(18818), 1,
      sym__exportable,
    STATE(13960), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248377] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18882), 1,
      anon_sym_COMMA,
    ACTIONS(18884), 1,
      anon_sym_RBRACE,
    STATE(18055), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13961), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [248457] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18878), 1,
      anon_sym_DOLLAR,
    ACTIONS(18880), 1,
      anon_sym_AT,
    STATE(11795), 1,
      sym__exportable,
    STATE(13962), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248509] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10489), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(13963), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [248553] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18886), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13964), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [248633] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18645), 1,
      sym__word_identifier,
    ACTIONS(18888), 1,
      anon_sym_LPAREN,
    ACTIONS(18890), 1,
      anon_sym_DOLLAR,
    ACTIONS(18892), 1,
      anon_sym_AT,
    STATE(7762), 1,
      sym__exportable,
    STATE(13965), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8018), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14127), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14141), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248685] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18894), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13966), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [248765] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16575), 1,
      sym__word_identifier,
    ACTIONS(16579), 1,
      anon_sym_LPAREN,
    ACTIONS(18896), 1,
      anon_sym_DOLLAR,
    ACTIONS(18898), 1,
      anon_sym_AT,
    STATE(12540), 1,
      sym__exportable,
    STATE(13967), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12534), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14319), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14339), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [248817] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7803), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18900), 1,
      anon_sym_COMMA,
    STATE(18073), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13968), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [248897] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18902), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13969), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [248977] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18800), 1,
      sym__power_operator,
    STATE(13970), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 17,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [249021] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18904), 1,
      anon_sym_COMMA,
    ACTIONS(18906), 1,
      anon_sym_RBRACE,
    STATE(17932), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13971), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [249101] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18794), 1,
      sym__times_operator,
    ACTIONS(18796), 1,
      sym__rational_operator,
    ACTIONS(18798), 1,
      sym__bitshift_operator,
    ACTIONS(18800), 1,
      sym__power_operator,
    ACTIONS(18792), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13972), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 3,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 15,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [249153] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16575), 1,
      sym__word_identifier,
    ACTIONS(16579), 1,
      anon_sym_LPAREN,
    ACTIONS(18896), 1,
      anon_sym_DOLLAR,
    ACTIONS(18898), 1,
      anon_sym_AT,
    STATE(12382), 1,
      sym__exportable,
    STATE(13973), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12534), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14319), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14339), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [249205] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12570), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(13974), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [249249] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18696), 1,
      sym__word_identifier,
    ACTIONS(18908), 1,
      anon_sym_LPAREN,
    ACTIONS(18910), 1,
      anon_sym_DOLLAR,
    ACTIONS(18912), 1,
      anon_sym_AT,
    STATE(7692), 1,
      sym__exportable,
    STATE(13975), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7760), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14095), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14109), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [249301] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(20303), 1,
      sym__exportable,
    STATE(13976), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [249353] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18483), 1,
      anon_sym_COLON,
    ACTIONS(18489), 1,
      anon_sym_where,
    ACTIONS(18491), 1,
      sym__pair_operator,
    ACTIONS(18493), 1,
      sym__arrow_operator,
    ACTIONS(18495), 1,
      sym__lazy_or_operator,
    ACTIONS(18497), 1,
      sym__lazy_and_operator,
    ACTIONS(18499), 1,
      sym__comparison_operator,
    ACTIONS(18501), 1,
      sym__pipe_right_operator,
    ACTIONS(18503), 1,
      sym__pipe_left_operator,
    ACTIONS(18505), 1,
      sym__ellipsis_operator,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    ACTIONS(18772), 1,
      anon_sym_QMARK,
    ACTIONS(18507), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13977), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11384), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18485), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [249429] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12773), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(13978), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [249473] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(18912), 1,
      sym__exportable,
    STATE(13979), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [249525] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18914), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13980), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [249605] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18916), 1,
      anon_sym_COMMA,
    ACTIONS(18918), 1,
      anon_sym_RBRACE,
    STATE(18021), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13981), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [249685] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18920), 1,
      anon_sym_COMMA,
    STATE(18157), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13982), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [249765] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7477), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18922), 1,
      anon_sym_COMMA,
    STATE(18003), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13983), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [249845] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15687), 1,
      anon_sym_EQ,
    STATE(13984), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [249889] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11134), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18525), 1,
      anon_sym_QMARK,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18529), 1,
      sym__pair_operator,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(11139), 2,
      anon_sym_COMMA,
      anon_sym_end,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13985), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [249967] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18924), 1,
      anon_sym_COMMA,
    ACTIONS(18926), 1,
      anon_sym_RBRACE,
    STATE(18137), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13986), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [250047] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11382), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18525), 1,
      anon_sym_QMARK,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18529), 1,
      sym__pair_operator,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(11384), 2,
      anon_sym_COMMA,
      anon_sym_end,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13987), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [250125] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18579), 1,
      sym__word_identifier,
    ACTIONS(18928), 1,
      anon_sym_LPAREN,
    ACTIONS(18930), 1,
      anon_sym_DOLLAR,
    ACTIONS(18932), 1,
      anon_sym_AT,
    STATE(8588), 1,
      sym__exportable,
    STATE(13988), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8947), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(15123), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15137), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [250177] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18934), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13989), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [250257] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18936), 1,
      anon_sym_COMMA,
    ACTIONS(18938), 1,
      anon_sym_RBRACE,
    STATE(17630), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13990), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [250337] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18579), 1,
      sym__word_identifier,
    ACTIONS(18928), 1,
      anon_sym_LPAREN,
    ACTIONS(18930), 1,
      anon_sym_DOLLAR,
    ACTIONS(18932), 1,
      anon_sym_AT,
    STATE(8601), 1,
      sym__exportable,
    STATE(13991), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8947), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(15123), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15137), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [250389] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12773), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(13992), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [250433] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18940), 1,
      anon_sym_COMMA,
    ACTIONS(18942), 1,
      anon_sym_RBRACE,
    STATE(17962), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13993), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [250513] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11704), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18525), 1,
      anon_sym_QMARK,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18529), 1,
      sym__pair_operator,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(11706), 2,
      anon_sym_COMMA,
      anon_sym_end,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13994), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [250591] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8715), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18944), 1,
      anon_sym_COMMA,
    STATE(17848), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13995), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [250671] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18946), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13996), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [250751] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18948), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13997), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [250831] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(19031), 1,
      sym__exportable,
    STATE(13998), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [250883] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18950), 1,
      anon_sym_COMMA,
    ACTIONS(18952), 1,
      anon_sym_RBRACE,
    STATE(17799), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(13999), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [250963] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10181), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(14000), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [251007] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18483), 1,
      anon_sym_COLON,
    ACTIONS(18489), 1,
      anon_sym_where,
    ACTIONS(18491), 1,
      sym__pair_operator,
    ACTIONS(18493), 1,
      sym__arrow_operator,
    ACTIONS(18495), 1,
      sym__lazy_or_operator,
    ACTIONS(18497), 1,
      sym__lazy_and_operator,
    ACTIONS(18499), 1,
      sym__comparison_operator,
    ACTIONS(18501), 1,
      sym__pipe_right_operator,
    ACTIONS(18503), 1,
      sym__pipe_left_operator,
    ACTIONS(18505), 1,
      sym__ellipsis_operator,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    ACTIONS(18772), 1,
      anon_sym_QMARK,
    ACTIONS(18507), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14001), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11706), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18485), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [251083] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18954), 1,
      anon_sym_COMMA,
    ACTIONS(18956), 1,
      anon_sym_RBRACE,
    STATE(17943), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14002), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [251163] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12320), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(14003), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [251207] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18958), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14004), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [251287] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18712), 1,
      sym__word_identifier,
    ACTIONS(18960), 1,
      anon_sym_LPAREN,
    ACTIONS(18962), 1,
      anon_sym_DOLLAR,
    ACTIONS(18964), 1,
      anon_sym_AT,
    STATE(8816), 1,
      sym__exportable,
    STATE(14005), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8688), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(15373), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15387), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251339] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7517), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18966), 1,
      anon_sym_COMMA,
    STATE(18033), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14006), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [251419] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18696), 1,
      sym__word_identifier,
    ACTIONS(18908), 1,
      anon_sym_LPAREN,
    ACTIONS(18910), 1,
      anon_sym_DOLLAR,
    ACTIONS(18912), 1,
      anon_sym_AT,
    STATE(7466), 1,
      sym__exportable,
    STATE(14007), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7760), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14095), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14109), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251471] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18968), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14008), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [251551] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8743), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18970), 1,
      anon_sym_COMMA,
    STATE(17883), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14009), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [251631] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(18972), 1,
      anon_sym_DOLLAR,
    ACTIONS(18974), 1,
      anon_sym_AT,
    STATE(13022), 1,
      sym__exportable,
    STATE(14010), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251683] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(18972), 1,
      anon_sym_DOLLAR,
    ACTIONS(18974), 1,
      anon_sym_AT,
    STATE(13023), 1,
      sym__exportable,
    STATE(14011), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [251735] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18976), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14012), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [251815] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18978), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14013), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [251895] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18980), 1,
      anon_sym_COMMA,
    ACTIONS(18982), 1,
      anon_sym_RBRACE,
    STATE(17840), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14014), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [251975] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(20181), 1,
      sym__exportable,
    STATE(14015), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252027] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(18972), 1,
      anon_sym_DOLLAR,
    ACTIONS(18974), 1,
      anon_sym_AT,
    STATE(12102), 1,
      sym__exportable,
    STATE(14016), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252079] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18984), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14017), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [252159] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(18937), 1,
      sym__exportable,
    STATE(14018), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252211] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18986), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14019), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [252291] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18988), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14020), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [252371] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(18972), 1,
      anon_sym_DOLLAR,
    ACTIONS(18974), 1,
      anon_sym_AT,
    STATE(12111), 1,
      sym__exportable,
    STATE(14021), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252423] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18990), 1,
      anon_sym_COMMA,
    ACTIONS(18992), 1,
      anon_sym_RBRACE,
    STATE(18130), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14022), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [252503] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18994), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14023), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [252583] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18996), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14024), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [252663] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18706), 1,
      sym__word_identifier,
    ACTIONS(18998), 1,
      anon_sym_LPAREN,
    ACTIONS(19000), 1,
      anon_sym_DOLLAR,
    ACTIONS(19002), 1,
      anon_sym_AT,
    STATE(7812), 1,
      sym__exportable,
    STATE(14025), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8489), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14399), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14413), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252715] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19004), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14026), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [252795] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8779), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19006), 1,
      anon_sym_COMMA,
    STATE(17903), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14027), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [252875] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(18798), 1,
      sym__exportable,
    STATE(14028), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [252927] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(11876), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14029), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [252993] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15971), 1,
      anon_sym_EQ,
    STATE(14030), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11260), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [253035] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    STATE(14031), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 17,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [253077] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19008), 1,
      anon_sym_COMMA,
    ACTIONS(19010), 1,
      anon_sym_RBRACE,
    STATE(17877), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14032), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [253157] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(19012), 1,
      anon_sym_DOLLAR,
    ACTIONS(19014), 1,
      anon_sym_AT,
    STATE(13809), 1,
      sym__exportable,
    STATE(14033), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [253209] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(19012), 1,
      anon_sym_DOLLAR,
    ACTIONS(19014), 1,
      anon_sym_AT,
    STATE(13810), 1,
      sym__exportable,
    STATE(14034), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [253261] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18553), 1,
      sym__power_operator,
    STATE(14035), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 16,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [253305] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7305), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19016), 1,
      anon_sym_COMMA,
    STATE(17743), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14036), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [253385] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(19012), 1,
      anon_sym_DOLLAR,
    ACTIONS(19014), 1,
      anon_sym_AT,
    STATE(11408), 1,
      sym__exportable,
    STATE(14037), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [253437] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19018), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14038), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [253517] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(19012), 1,
      anon_sym_DOLLAR,
    ACTIONS(19014), 1,
      anon_sym_AT,
    STATE(11333), 1,
      sym__exportable,
    STATE(14039), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [253569] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8569), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19020), 1,
      anon_sym_COMMA,
    STATE(17665), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14040), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [253649] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15979), 1,
      anon_sym_EQ,
    STATE(14041), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11202), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [253691] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19022), 1,
      anon_sym_DOLLAR,
    ACTIONS(19024), 1,
      anon_sym_AT,
    STATE(12590), 1,
      sym__exportable,
    STATE(14042), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [253743] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19022), 1,
      anon_sym_DOLLAR,
    ACTIONS(19024), 1,
      anon_sym_AT,
    STATE(12591), 1,
      sym__exportable,
    STATE(14043), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [253795] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8075), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19026), 1,
      anon_sym_COMMA,
    STATE(18119), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14044), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [253875] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19028), 1,
      anon_sym_COMMA,
    ACTIONS(19030), 1,
      anon_sym_RBRACE,
    STATE(17670), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14045), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [253955] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(16339), 1,
      anon_sym_EQ,
    STATE(14046), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [253999] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19032), 1,
      anon_sym_COMMA,
    ACTIONS(19034), 1,
      anon_sym_RBRACE,
    STATE(18143), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14047), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [254079] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19022), 1,
      anon_sym_DOLLAR,
    ACTIONS(19024), 1,
      anon_sym_AT,
    STATE(12102), 1,
      sym__exportable,
    STATE(14048), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [254131] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14049), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 14,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [254183] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12153), 1,
      anon_sym_COMMA,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18587), 1,
      anon_sym_QMARK,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(12151), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14050), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [254261] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19022), 1,
      anon_sym_DOLLAR,
    ACTIONS(19024), 1,
      anon_sym_AT,
    STATE(12111), 1,
      sym__exportable,
    STATE(14051), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [254313] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19036), 1,
      anon_sym_COMMA,
    ACTIONS(19038), 1,
      anon_sym_RBRACE,
    STATE(18185), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14052), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [254393] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(16367), 1,
      anon_sym_EQ,
    STATE(14053), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [254437] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15979), 1,
      anon_sym_EQ,
    STATE(14054), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11206), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [254479] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19040), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14055), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [254559] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7245), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19042), 1,
      anon_sym_COMMA,
    STATE(17671), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14056), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [254639] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12540), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(14057), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [254683] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(19044), 1,
      anon_sym_DOLLAR,
    ACTIONS(19046), 1,
      anon_sym_AT,
    STATE(12596), 1,
      sym__exportable,
    STATE(14058), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [254735] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(19044), 1,
      anon_sym_DOLLAR,
    ACTIONS(19046), 1,
      anon_sym_AT,
    STATE(12597), 1,
      sym__exportable,
    STATE(14059), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [254787] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19048), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14060), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [254867] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(19044), 1,
      anon_sym_DOLLAR,
    ACTIONS(19046), 1,
      anon_sym_AT,
    STATE(11408), 1,
      sym__exportable,
    STATE(14061), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [254919] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(19044), 1,
      anon_sym_DOLLAR,
    ACTIONS(19046), 1,
      anon_sym_AT,
    STATE(11333), 1,
      sym__exportable,
    STATE(14062), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [254971] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19050), 1,
      anon_sym_DOLLAR,
    ACTIONS(19052), 1,
      anon_sym_AT,
    STATE(13034), 1,
      sym__exportable,
    STATE(14063), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [255023] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19050), 1,
      anon_sym_DOLLAR,
    ACTIONS(19052), 1,
      anon_sym_AT,
    STATE(13035), 1,
      sym__exportable,
    STATE(14064), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [255075] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19050), 1,
      anon_sym_DOLLAR,
    ACTIONS(19052), 1,
      anon_sym_AT,
    STATE(12102), 1,
      sym__exportable,
    STATE(14065), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [255127] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15787), 1,
      aux_sym__terminator_token1,
    ACTIONS(15785), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(14066), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 22,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__comparison_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
      sym__unary_plus_operator,
  [255169] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15979), 1,
      anon_sym_EQ,
    STATE(14067), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11210), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [255211] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19050), 1,
      anon_sym_DOLLAR,
    ACTIONS(19052), 1,
      anon_sym_AT,
    STATE(12111), 1,
      sym__exportable,
    STATE(14068), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [255263] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10155), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(14069), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [255307] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8117), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19054), 1,
      anon_sym_COMMA,
    STATE(17592), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14070), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [255387] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11258), 1,
      anon_sym_COLON2,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18581), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    STATE(17094), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14071), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [255467] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8801), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19056), 1,
      anon_sym_COMMA,
    STATE(17921), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14072), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [255547] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(15574), 1,
      anon_sym_EQ,
    STATE(14073), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [255591] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19058), 1,
      anon_sym_COMMA,
    ACTIONS(19060), 1,
      anon_sym_RBRACE,
    STATE(18123), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14074), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [255671] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(16339), 1,
      anon_sym_EQ,
    STATE(14075), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [255715] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10427), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(14076), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [255759] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19062), 1,
      anon_sym_COMMA,
    ACTIONS(19064), 1,
      anon_sym_RBRACE,
    STATE(17760), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14077), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [255839] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19066), 1,
      anon_sym_DOLLAR,
    ACTIONS(19068), 1,
      anon_sym_AT,
    STATE(13037), 1,
      sym__exportable,
    STATE(14078), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [255891] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19066), 1,
      anon_sym_DOLLAR,
    ACTIONS(19068), 1,
      anon_sym_AT,
    STATE(13038), 1,
      sym__exportable,
    STATE(14079), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [255943] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15653), 1,
      anon_sym_EQ,
    STATE(14080), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [255987] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19070), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14081), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [256067] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19066), 1,
      anon_sym_DOLLAR,
    ACTIONS(19068), 1,
      anon_sym_AT,
    STATE(12102), 1,
      sym__exportable,
    STATE(14082), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [256119] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(19582), 1,
      sym__exportable,
    STATE(14083), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [256171] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8489), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19072), 1,
      anon_sym_COMMA,
    STATE(18195), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14084), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [256251] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19074), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14085), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [256331] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(16041), 1,
      anon_sym_EQ,
    STATE(14086), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [256375] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19066), 1,
      anon_sym_DOLLAR,
    ACTIONS(19068), 1,
      anon_sym_AT,
    STATE(12111), 1,
      sym__exportable,
    STATE(14087), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [256427] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(16107), 1,
      anon_sym_EQ,
    STATE(14088), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [256471] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15971), 1,
      anon_sym_EQ,
    STATE(14089), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11202), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [256513] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15971), 1,
      anon_sym_EQ,
    STATE(14090), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11206), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [256555] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15971), 1,
      anon_sym_EQ,
    STATE(14091), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11210), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [256597] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18615), 1,
      sym__power_operator,
    STATE(14092), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 15,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [256641] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14093), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 13,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [256693] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8167), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19076), 1,
      anon_sym_COMMA,
    STATE(17683), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14094), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [256773] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7757), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19078), 1,
      anon_sym_COMMA,
    STATE(18214), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14095), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [256853] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11139), 1,
      anon_sym_COMMA,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18587), 1,
      anon_sym_QMARK,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(11134), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14096), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [256931] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19080), 1,
      anon_sym_COMMA,
    ACTIONS(19082), 1,
      anon_sym_RBRACE,
    STATE(17967), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14097), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [257011] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15979), 1,
      anon_sym_EQ,
    STATE(14098), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11260), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [257053] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(15971), 1,
      anon_sym_EQ,
    STATE(14099), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [257097] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(16341), 1,
      anon_sym_EQ,
    STATE(14100), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [257141] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16365), 1,
      anon_sym_EQ,
    STATE(14101), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11260), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [257183] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19084), 1,
      anon_sym_DOLLAR,
    ACTIONS(19086), 1,
      anon_sym_AT,
    STATE(12102), 1,
      sym__exportable,
    STATE(14102), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [257235] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10617), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(14103), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [257279] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10335), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(14104), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [257323] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18706), 1,
      sym__word_identifier,
    ACTIONS(18998), 1,
      anon_sym_LPAREN,
    ACTIONS(19000), 1,
      anon_sym_DOLLAR,
    ACTIONS(19002), 1,
      anon_sym_AT,
    STATE(7813), 1,
      sym__exportable,
    STATE(14105), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8489), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14399), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14413), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [257375] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7851), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19088), 1,
      anon_sym_COMMA,
    STATE(18172), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14106), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [257455] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10617), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(14107), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [257499] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18645), 1,
      sym__word_identifier,
    ACTIONS(18888), 1,
      anon_sym_LPAREN,
    ACTIONS(18890), 1,
      anon_sym_DOLLAR,
    ACTIONS(18892), 1,
      anon_sym_AT,
    STATE(7764), 1,
      sym__exportable,
    STATE(14108), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8018), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14127), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14141), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [257551] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19090), 1,
      anon_sym_COMMA,
    ACTIONS(19092), 1,
      anon_sym_RBRACE,
    STATE(17900), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14109), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [257631] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8355), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19094), 1,
      anon_sym_COMMA,
    STATE(17639), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14110), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [257711] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7425), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19096), 1,
      anon_sym_COMMA,
    STATE(17966), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14111), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [257791] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18712), 1,
      sym__word_identifier,
    ACTIONS(18960), 1,
      anon_sym_LPAREN,
    ACTIONS(18962), 1,
      anon_sym_DOLLAR,
    ACTIONS(18964), 1,
      anon_sym_AT,
    STATE(8218), 1,
      sym__exportable,
    STATE(14112), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8688), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(15373), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15387), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [257843] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19098), 1,
      anon_sym_COMMA,
    ACTIONS(19100), 1,
      anon_sym_RBRACE,
    STATE(18164), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14113), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [257923] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18712), 1,
      sym__word_identifier,
    ACTIONS(18960), 1,
      anon_sym_LPAREN,
    ACTIONS(18962), 1,
      anon_sym_DOLLAR,
    ACTIONS(18964), 1,
      anon_sym_AT,
    STATE(8219), 1,
      sym__exportable,
    STATE(14114), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8688), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(15373), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15387), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [257975] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(16127), 1,
      anon_sym_EQ,
    STATE(14115), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [258019] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12540), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(14116), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [258063] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19102), 1,
      anon_sym_COMMA,
    ACTIONS(19104), 1,
      anon_sym_RBRACE,
    STATE(18192), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14117), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [258143] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7575), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19106), 1,
      anon_sym_COMMA,
    STATE(18071), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14118), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [258223] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(19120), 1,
      sym__exportable,
    STATE(14119), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [258275] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(15717), 1,
      anon_sym_EQ,
    STATE(14120), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [258319] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19108), 1,
      anon_sym_COMMA,
    STATE(17637), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14121), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [258399] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16365), 1,
      anon_sym_EQ,
    STATE(14122), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11202), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [258441] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8631), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19110), 1,
      anon_sym_COMMA,
    STATE(17720), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14123), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [258521] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19112), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14124), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [258601] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16365), 1,
      anon_sym_EQ,
    STATE(14125), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11206), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [258643] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19084), 1,
      anon_sym_DOLLAR,
    ACTIONS(19086), 1,
      anon_sym_AT,
    STATE(12111), 1,
      sym__exportable,
    STATE(14126), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [258695] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15911), 1,
      anon_sym_EQ,
    STATE(14127), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [258737] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19114), 1,
      anon_sym_COMMA,
    ACTIONS(19116), 1,
      anon_sym_RBRACE,
    STATE(17666), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14128), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [258817] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16365), 1,
      anon_sym_EQ,
    STATE(14129), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11210), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [258859] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18706), 1,
      sym__word_identifier,
    ACTIONS(18998), 1,
      anon_sym_LPAREN,
    ACTIONS(19000), 1,
      anon_sym_DOLLAR,
    ACTIONS(19002), 1,
      anon_sym_AT,
    STATE(8951), 1,
      sym__exportable,
    STATE(14130), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8489), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14399), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14413), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [258911] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8209), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19118), 1,
      anon_sym_COMMA,
    STATE(17777), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14131), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [258991] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(16341), 1,
      anon_sym_EQ,
    STATE(14132), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [259035] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19120), 1,
      anon_sym_COMMA,
    ACTIONS(19122), 1,
      anon_sym_RBRACE,
    STATE(18178), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14133), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [259115] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18643), 1,
      sym__word_identifier,
    ACTIONS(18864), 1,
      anon_sym_LPAREN,
    ACTIONS(18866), 1,
      anon_sym_DOLLAR,
    ACTIONS(18868), 1,
      anon_sym_AT,
    STATE(9083), 1,
      sym__exportable,
    STATE(14134), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8744), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(15215), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15229), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [259167] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19124), 1,
      anon_sym_COMMA,
    ACTIONS(19126), 1,
      anon_sym_RBRACE,
    STATE(18107), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14135), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [259247] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18643), 1,
      sym__word_identifier,
    ACTIONS(18864), 1,
      anon_sym_LPAREN,
    ACTIONS(18866), 1,
      anon_sym_DOLLAR,
    ACTIONS(18868), 1,
      anon_sym_AT,
    STATE(9087), 1,
      sym__exportable,
    STATE(14136), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8744), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(15215), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15229), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [259299] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18696), 1,
      sym__word_identifier,
    ACTIONS(18908), 1,
      anon_sym_LPAREN,
    ACTIONS(18910), 1,
      anon_sym_DOLLAR,
    ACTIONS(18912), 1,
      anon_sym_AT,
    STATE(7936), 1,
      sym__exportable,
    STATE(14137), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7760), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14095), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14109), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [259351] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19128), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14138), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [259431] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(15503), 1,
      anon_sym_EQ,
    STATE(14139), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [259475] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15971), 1,
      anon_sym_EQ,
    STATE(14140), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [259517] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(16365), 1,
      anon_sym_EQ,
    STATE(14141), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [259561] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19130), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14142), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [259641] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(16141), 1,
      anon_sym_EQ,
    STATE(14143), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [259685] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18696), 1,
      sym__word_identifier,
    ACTIONS(18908), 1,
      anon_sym_LPAREN,
    ACTIONS(18910), 1,
      anon_sym_DOLLAR,
    ACTIONS(18912), 1,
      anon_sym_AT,
    STATE(7959), 1,
      sym__exportable,
    STATE(14144), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7760), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14095), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14109), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [259737] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19132), 1,
      anon_sym_COMMA,
    ACTIONS(19134), 1,
      anon_sym_RBRACE,
    STATE(17676), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14145), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [259817] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(16041), 1,
      anon_sym_EQ,
    STATE(14146), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [259861] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19136), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14147), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [259941] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18712), 1,
      sym__word_identifier,
    ACTIONS(18960), 1,
      anon_sym_LPAREN,
    ACTIONS(18962), 1,
      anon_sym_DOLLAR,
    ACTIONS(18964), 1,
      anon_sym_AT,
    STATE(8818), 1,
      sym__exportable,
    STATE(14148), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8688), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(15373), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15387), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [259993] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(15979), 1,
      anon_sym_EQ,
    STATE(14149), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [260037] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18579), 1,
      sym__word_identifier,
    ACTIONS(18928), 1,
      anon_sym_LPAREN,
    ACTIONS(18930), 1,
      anon_sym_DOLLAR,
    ACTIONS(18932), 1,
      anon_sym_AT,
    STATE(7958), 1,
      sym__exportable,
    STATE(14150), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8947), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(15123), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15137), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [260089] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19138), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14151), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [260169] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19140), 1,
      anon_sym_COMMA,
    ACTIONS(19142), 1,
      anon_sym_RBRACE,
    STATE(17609), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14152), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [260249] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18579), 1,
      sym__word_identifier,
    ACTIONS(18928), 1,
      anon_sym_LPAREN,
    ACTIONS(18930), 1,
      anon_sym_DOLLAR,
    ACTIONS(18932), 1,
      anon_sym_AT,
    STATE(8001), 1,
      sym__exportable,
    STATE(14153), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8947), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(15123), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15137), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [260301] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12333), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(14154), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [260345] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(16055), 1,
      anon_sym_EQ,
    STATE(14155), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [260389] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12548), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(14156), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [260433] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19144), 1,
      anon_sym_COMMA,
    ACTIONS(19146), 1,
      anon_sym_RBRACE,
    STATE(18094), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14157), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [260513] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12548), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(14158), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [260557] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8299), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19148), 1,
      anon_sym_COMMA,
    STATE(17864), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14159), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [260637] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19150), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14160), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [260717] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7355), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19152), 1,
      anon_sym_COMMA,
    STATE(17936), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14161), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [260797] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19154), 1,
      anon_sym_COMMA,
    ACTIONS(19156), 1,
      anon_sym_RBRACE,
    STATE(18019), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14162), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [260877] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15831), 1,
      anon_sym_EQ,
    STATE(14163), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [260921] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15783), 1,
      anon_sym_DASH_GT,
    STATE(14164), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [260963] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19158), 1,
      anon_sym_COMMA,
    ACTIONS(19160), 1,
      anon_sym_RBRACE,
    STATE(17931), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14165), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [261043] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18704), 1,
      sym__word_identifier,
    ACTIONS(19162), 1,
      anon_sym_LPAREN,
    ACTIONS(19164), 1,
      anon_sym_DOLLAR,
    ACTIONS(19166), 1,
      anon_sym_AT,
    STATE(8495), 1,
      sym__exportable,
    STATE(14166), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9330), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14849), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14863), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [261095] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8599), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19168), 1,
      anon_sym_COMMA,
    STATE(17691), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14167), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [261175] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19170), 1,
      anon_sym_COMMA,
    ACTIONS(19172), 1,
      anon_sym_RBRACE,
    STATE(18069), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14168), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [261255] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(19034), 1,
      sym__exportable,
    STATE(14169), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [261307] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7897), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19174), 1,
      anon_sym_COMMA,
    STATE(17969), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14170), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [261387] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19176), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14171), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [261467] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19178), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14172), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [261547] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19180), 1,
      anon_sym_COMMA,
    ACTIONS(19182), 1,
      anon_sym_RBRACE,
    STATE(17658), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14173), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [261627] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8835), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19184), 1,
      anon_sym_COMMA,
    STATE(17949), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14174), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [261707] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19186), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14175), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [261787] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18704), 1,
      sym__word_identifier,
    ACTIONS(19162), 1,
      anon_sym_LPAREN,
    ACTIONS(19164), 1,
      anon_sym_DOLLAR,
    ACTIONS(19166), 1,
      anon_sym_AT,
    STATE(8496), 1,
      sym__exportable,
    STATE(14176), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9330), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14849), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14863), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [261839] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(16141), 1,
      anon_sym_EQ,
    STATE(14177), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [261883] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(15721), 1,
      anon_sym_EQ,
    STATE(14178), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [261927] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(16365), 1,
      anon_sym_EQ,
    STATE(14179), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [261971] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18525), 1,
      anon_sym_QMARK,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18529), 1,
      sym__pair_operator,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(11380), 2,
      anon_sym_COMMA,
      anon_sym_end,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14180), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [262049] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15905), 1,
      anon_sym_DASH_GT,
    STATE(14181), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [262091] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19188), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14182), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [262171] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14183), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
  [262245] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19190), 1,
      anon_sym_COMMA,
    ACTIONS(19192), 1,
      anon_sym_RBRACE,
    STATE(17600), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14184), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [262325] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(20083), 1,
      sym__exportable,
    STATE(14185), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [262377] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19194), 1,
      anon_sym_COMMA,
    ACTIONS(19196), 1,
      anon_sym_RBRACE,
    STATE(18213), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14186), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [262457] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19198), 1,
      anon_sym_COMMA,
    ACTIONS(19200), 1,
      anon_sym_RBRACE,
    STATE(17996), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14187), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [262537] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16575), 1,
      sym__word_identifier,
    ACTIONS(16579), 1,
      anon_sym_LPAREN,
    ACTIONS(18896), 1,
      anon_sym_DOLLAR,
    ACTIONS(18898), 1,
      anon_sym_AT,
    STATE(12741), 1,
      sym__exportable,
    STATE(14188), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12534), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14319), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14339), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [262589] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10427), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(14189), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [262633] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19202), 1,
      anon_sym_COMMA,
    ACTIONS(19204), 1,
      anon_sym_RBRACE,
    STATE(17917), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14190), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [262713] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19206), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14191), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [262793] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15871), 1,
      anon_sym_DASH_GT,
    ACTIONS(16367), 1,
      anon_sym_EQ,
    STATE(14192), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [262837] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7613), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19208), 1,
      anon_sym_COMMA,
    STATE(18106), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14193), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [262917] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(18848), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14194), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11220), 3,
      anon_sym_COMMA,
      anon_sym_end,
      sym__pair_operator,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [262993] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10335), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(14195), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [263037] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9069), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19210), 1,
      anon_sym_COMMA,
    STATE(17928), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14196), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [263117] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(19783), 1,
      sym__exportable,
    STATE(14197), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [263169] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19212), 1,
      anon_sym_COMMA,
    ACTIONS(19214), 1,
      anon_sym_RBRACE,
    STATE(18209), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14198), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [263249] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16575), 1,
      sym__word_identifier,
    ACTIONS(16579), 1,
      anon_sym_LPAREN,
    ACTIONS(18896), 1,
      anon_sym_DOLLAR,
    ACTIONS(18898), 1,
      anon_sym_AT,
    STATE(12745), 1,
      sym__exportable,
    STATE(14199), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12534), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14319), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14339), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [263301] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19216), 1,
      anon_sym_COMMA,
    ACTIONS(19218), 1,
      anon_sym_RBRACE,
    STATE(17662), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14200), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [263381] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14201), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
    ACTIONS(11380), 10,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [263443] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8987), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19220), 1,
      anon_sym_COMMA,
    STATE(18044), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14202), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [263523] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11380), 1,
      anon_sym_COMMA,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18587), 1,
      anon_sym_QMARK,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14203), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [263601] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14204), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 3,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [263675] = 20,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14205), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 5,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [263745] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14206), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [263813] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14207), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
    ACTIONS(11380), 12,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [263871] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8869), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19222), 1,
      anon_sym_COMMA,
    STATE(17985), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14208), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [263951] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19224), 1,
      anon_sym_COMMA,
    ACTIONS(19226), 1,
      anon_sym_RBRACE,
    STATE(18061), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14209), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [264031] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10367), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(14210), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [264075] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(16013), 1,
      anon_sym_EQ,
    STATE(14211), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [264119] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(16031), 1,
      anon_sym_EQ,
    STATE(14212), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [264163] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19228), 1,
      anon_sym_COMMA,
    ACTIONS(19230), 1,
      anon_sym_RBRACE,
    STATE(18210), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14213), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [264243] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(16371), 1,
      anon_sym_EQ,
    STATE(14214), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [264287] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11876), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14215), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 8,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [264353] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14216), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_EQ,
      anon_sym_COLON2,
      sym__comparison_operator,
    ACTIONS(11380), 10,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [264415] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18645), 1,
      sym__word_identifier,
    ACTIONS(18888), 1,
      anon_sym_LPAREN,
    ACTIONS(18890), 1,
      anon_sym_DOLLAR,
    ACTIONS(18892), 1,
      anon_sym_AT,
    STATE(7656), 1,
      sym__exportable,
    STATE(14217), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8018), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14127), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14141), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [264467] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18645), 1,
      sym__word_identifier,
    ACTIONS(18888), 1,
      anon_sym_LPAREN,
    ACTIONS(18890), 1,
      anon_sym_DOLLAR,
    ACTIONS(18892), 1,
      anon_sym_AT,
    STATE(7658), 1,
      sym__exportable,
    STATE(14218), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8018), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14127), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14141), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [264519] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19232), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14219), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [264599] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(15687), 1,
      anon_sym_EQ,
    STATE(14220), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [264643] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18647), 1,
      sym__word_identifier,
    ACTIONS(18744), 1,
      anon_sym_LPAREN,
    ACTIONS(18746), 1,
      anon_sym_DOLLAR,
    ACTIONS(18748), 1,
      anon_sym_AT,
    STATE(7864), 1,
      sym__exportable,
    STATE(14221), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8598), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14963), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14977), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [264695] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18647), 1,
      sym__word_identifier,
    ACTIONS(18744), 1,
      anon_sym_LPAREN,
    ACTIONS(18746), 1,
      anon_sym_DOLLAR,
    ACTIONS(18748), 1,
      anon_sym_AT,
    STATE(7866), 1,
      sym__exportable,
    STATE(14222), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8598), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14963), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14977), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [264747] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14223), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 13,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [264799] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    STATE(14224), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 13,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [264849] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18706), 1,
      sym__word_identifier,
    ACTIONS(18998), 1,
      anon_sym_LPAREN,
    ACTIONS(19000), 1,
      anon_sym_DOLLAR,
    ACTIONS(19002), 1,
      anon_sym_AT,
    STATE(8960), 1,
      sym__exportable,
    STATE(14225), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8489), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14399), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14413), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [264901] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    STATE(14226), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 13,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [264949] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    STATE(14227), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [264995] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(18848), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11220), 2,
      anon_sym_end,
      sym__pair_operator,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14228), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [265073] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19234), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14229), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [265153] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19236), 1,
      anon_sym_COMMA,
    ACTIONS(19238), 1,
      anon_sym_RBRACE,
    STATE(18005), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14230), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [265233] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15881), 1,
      anon_sym_DASH_GT,
    STATE(14231), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [265275] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19240), 1,
      anon_sym_COMMA,
    ACTIONS(19242), 1,
      anon_sym_RBRACE,
    STATE(18103), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14232), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [265355] = 20,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14233), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 6,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [265425] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15881), 1,
      anon_sym_DASH_GT,
    STATE(14234), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [265467] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15979), 1,
      anon_sym_EQ,
    STATE(14235), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [265509] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19244), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14236), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [265589] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14237), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 7,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [265657] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19246), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14238), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [265737] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18768), 1,
      anon_sym_COLON,
    ACTIONS(18772), 1,
      anon_sym_QMARK,
    ACTIONS(18774), 1,
      anon_sym_where,
    ACTIONS(18776), 1,
      sym__pair_operator,
    ACTIONS(18778), 1,
      sym__arrow_operator,
    ACTIONS(18780), 1,
      sym__lazy_or_operator,
    ACTIONS(18782), 1,
      sym__lazy_and_operator,
    ACTIONS(18784), 1,
      sym__comparison_operator,
    ACTIONS(18786), 1,
      sym__pipe_right_operator,
    ACTIONS(18788), 1,
      sym__pipe_left_operator,
    ACTIONS(18790), 1,
      sym__ellipsis_operator,
    ACTIONS(18794), 1,
      sym__times_operator,
    ACTIONS(18796), 1,
      sym__rational_operator,
    ACTIONS(18798), 1,
      sym__bitshift_operator,
    ACTIONS(18800), 1,
      sym__power_operator,
    ACTIONS(18792), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14239), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(12153), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(18770), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [265813] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19248), 1,
      anon_sym_COMMA,
    ACTIONS(19250), 1,
      anon_sym_RBRACE,
    STATE(17945), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14240), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [265893] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(19325), 1,
      sym__exportable,
    STATE(14241), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [265945] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19252), 1,
      anon_sym_COMMA,
    ACTIONS(19254), 1,
      anon_sym_RBRACE,
    STATE(17772), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14242), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [266025] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18615), 1,
      sym__power_operator,
    STATE(14243), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 15,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [266069] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8245), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19256), 1,
      anon_sym_COMMA,
    STATE(17876), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14244), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [266149] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12544), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(14245), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [266193] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8541), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19258), 1,
      anon_sym_COMMA,
    STATE(17633), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14246), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [266273] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19260), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14247), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [266353] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(16371), 1,
      anon_sym_EQ,
    STATE(14248), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [266397] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12151), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18525), 1,
      anon_sym_QMARK,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18529), 1,
      sym__pair_operator,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(12153), 2,
      anon_sym_COMMA,
      anon_sym_end,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14249), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [266475] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18483), 1,
      anon_sym_COLON,
    ACTIONS(18489), 1,
      anon_sym_where,
    ACTIONS(18491), 1,
      sym__pair_operator,
    ACTIONS(18493), 1,
      sym__arrow_operator,
    ACTIONS(18495), 1,
      sym__lazy_or_operator,
    ACTIONS(18497), 1,
      sym__lazy_and_operator,
    ACTIONS(18499), 1,
      sym__comparison_operator,
    ACTIONS(18501), 1,
      sym__pipe_right_operator,
    ACTIONS(18503), 1,
      sym__pipe_left_operator,
    ACTIONS(18505), 1,
      sym__ellipsis_operator,
    ACTIONS(18509), 1,
      sym__times_operator,
    ACTIONS(18511), 1,
      sym__rational_operator,
    ACTIONS(18513), 1,
      sym__bitshift_operator,
    ACTIONS(18515), 1,
      sym__power_operator,
    ACTIONS(18772), 1,
      anon_sym_QMARK,
    ACTIONS(18507), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14250), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18485), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(19262), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [266551] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9033), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19264), 1,
      anon_sym_COMMA,
    STATE(17695), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14251), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [266631] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16127), 1,
      anon_sym_EQ,
    STATE(14252), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11166), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11202), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [266673] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8259), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19266), 1,
      anon_sym_COMMA,
    STATE(18145), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14253), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [266753] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18704), 1,
      sym__word_identifier,
    ACTIONS(19162), 1,
      anon_sym_LPAREN,
    ACTIONS(19164), 1,
      anon_sym_DOLLAR,
    ACTIONS(19166), 1,
      anon_sym_AT,
    STATE(9288), 1,
      sym__exportable,
    STATE(14254), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9330), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14849), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14863), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [266805] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16127), 1,
      anon_sym_EQ,
    STATE(14255), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11204), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11206), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [266847] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19268), 1,
      anon_sym_COMMA,
    ACTIONS(19270), 1,
      anon_sym_RBRACE,
    STATE(18182), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14256), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [266927] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12546), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(14257), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [266971] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7931), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19272), 1,
      anon_sym_COMMA,
    STATE(17587), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14258), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [267051] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19274), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14259), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [267131] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16127), 1,
      anon_sym_EQ,
    STATE(14260), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11208), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11210), 18,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [267173] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15489), 1,
      anon_sym_DASH_GT,
    ACTIONS(15897), 1,
      anon_sym_EQ,
    ACTIONS(15899), 2,
      anon_sym_in,
      anon_sym_u2208,
    STATE(14261), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 15,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [267219] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19276), 1,
      anon_sym_COMMA,
    ACTIONS(19278), 1,
      anon_sym_RBRACE,
    STATE(17938), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14262), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [267299] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19280), 1,
      anon_sym_DOLLAR,
    ACTIONS(19282), 1,
      anon_sym_AT,
    STATE(13281), 1,
      sym__exportable,
    STATE(14263), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [267351] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19280), 1,
      anon_sym_DOLLAR,
    ACTIONS(19282), 1,
      anon_sym_AT,
    STATE(13282), 1,
      sym__exportable,
    STATE(14264), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [267403] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19284), 1,
      anon_sym_COMMA,
    ACTIONS(19286), 1,
      anon_sym_RBRACE,
    STATE(18097), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14265), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [267483] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(19979), 1,
      sym__exportable,
    STATE(14266), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [267535] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15489), 1,
      anon_sym_DASH_GT,
    ACTIONS(15877), 1,
      anon_sym_EQ,
    ACTIONS(15879), 2,
      anon_sym_in,
      anon_sym_u2208,
    STATE(14267), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 15,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [267581] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(19452), 1,
      sym__exportable,
    STATE(14268), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [267633] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8341), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19288), 1,
      anon_sym_COMMA,
    STATE(17981), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14269), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [267713] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19290), 1,
      anon_sym_COMMA,
    ACTIONS(19292), 1,
      anon_sym_RBRACE,
    STATE(17674), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14270), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [267793] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15717), 1,
      anon_sym_EQ,
    STATE(14271), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [267837] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10489), 1,
      anon_sym_EQ,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(14272), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [267881] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(18555), 1,
      sym__power_operator,
    ACTIONS(18559), 1,
      sym__times_operator,
    ACTIONS(18561), 1,
      sym__rational_operator,
    ACTIONS(18563), 1,
      sym__bitshift_operator,
    ACTIONS(18669), 1,
      anon_sym_COLON,
    ACTIONS(18671), 1,
      sym__pipe_right_operator,
    ACTIONS(18673), 1,
      sym__pipe_left_operator,
    ACTIONS(18675), 1,
      sym__ellipsis_operator,
    ACTIONS(18679), 1,
      sym__comparison_operator,
    ACTIONS(18681), 1,
      anon_sym_where,
    ACTIONS(18683), 1,
      sym__pair_operator,
    ACTIONS(18685), 1,
      sym__arrow_operator,
    ACTIONS(18687), 1,
      sym__lazy_or_operator,
    ACTIONS(18689), 1,
      sym__lazy_and_operator,
    ACTIONS(18557), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14273), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(19294), 3,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
  [267957] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19296), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14274), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [268037] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(15833), 1,
      anon_sym_EQ,
    STATE(14275), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [268081] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19298), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14276), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [268161] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7655), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19300), 1,
      anon_sym_COMMA,
    STATE(18144), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14277), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [268241] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(19705), 1,
      sym__exportable,
    STATE(14278), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [268293] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19302), 1,
      anon_sym_COMMA,
    ACTIONS(19304), 1,
      anon_sym_RBRACE,
    STATE(17758), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14279), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [268373] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15833), 1,
      anon_sym_EQ,
    STATE(14280), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [268417] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8381), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19306), 1,
      anon_sym_COMMA,
    STATE(18016), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14281), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [268497] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8007), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19308), 1,
      anon_sym_COMMA,
    STATE(17880), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14282), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [268577] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19310), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14283), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [268657] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18878), 1,
      anon_sym_DOLLAR,
    ACTIONS(18880), 1,
      anon_sym_AT,
    STATE(11408), 1,
      sym__exportable,
    STATE(14284), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [268709] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19084), 1,
      anon_sym_DOLLAR,
    ACTIONS(19086), 1,
      anon_sym_AT,
    STATE(13110), 1,
      sym__exportable,
    STATE(14285), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [268761] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18726), 1,
      sym__word_identifier,
    ACTIONS(18756), 1,
      anon_sym_LPAREN,
    ACTIONS(18758), 1,
      anon_sym_DOLLAR,
    ACTIONS(18760), 1,
      anon_sym_AT,
    STATE(9676), 1,
      sym__exportable,
    STATE(14286), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9734), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(15095), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15109), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [268813] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19312), 1,
      anon_sym_COMMA,
    ACTIONS(19314), 1,
      anon_sym_RBRACE,
    STATE(18018), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14287), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [268893] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19280), 1,
      anon_sym_DOLLAR,
    ACTIONS(19282), 1,
      anon_sym_AT,
    STATE(12102), 1,
      sym__exportable,
    STATE(14288), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [268945] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15574), 1,
      anon_sym_EQ,
    STATE(14289), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [268989] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16733), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(16737), 1,
      anon_sym_QMARK,
    ACTIONS(18555), 1,
      sym__power_operator,
    ACTIONS(18559), 1,
      sym__times_operator,
    ACTIONS(18561), 1,
      sym__rational_operator,
    ACTIONS(18563), 1,
      sym__bitshift_operator,
    ACTIONS(18669), 1,
      anon_sym_COLON,
    ACTIONS(18671), 1,
      sym__pipe_right_operator,
    ACTIONS(18673), 1,
      sym__pipe_left_operator,
    ACTIONS(18675), 1,
      sym__ellipsis_operator,
    ACTIONS(18679), 1,
      sym__comparison_operator,
    ACTIONS(18681), 1,
      anon_sym_where,
    ACTIONS(18683), 1,
      sym__pair_operator,
    ACTIONS(18685), 1,
      sym__arrow_operator,
    ACTIONS(18687), 1,
      sym__lazy_or_operator,
    ACTIONS(18689), 1,
      sym__lazy_and_operator,
    ACTIONS(18557), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14290), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(19316), 3,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
  [269065] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(20142), 1,
      sym__exportable,
    STATE(14291), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [269117] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19318), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14292), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [269197] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8269), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19320), 1,
      anon_sym_COMMA,
    STATE(17915), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14293), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [269277] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8901), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19322), 1,
      anon_sym_COMMA,
    STATE(18011), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14294), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [269357] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18726), 1,
      sym__word_identifier,
    ACTIONS(18756), 1,
      anon_sym_LPAREN,
    ACTIONS(18758), 1,
      anon_sym_DOLLAR,
    ACTIONS(18760), 1,
      anon_sym_AT,
    STATE(9601), 1,
      sym__exportable,
    STATE(14295), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9734), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(15095), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(15109), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [269409] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19280), 1,
      anon_sym_DOLLAR,
    ACTIONS(19282), 1,
      anon_sym_AT,
    STATE(12111), 1,
      sym__exportable,
    STATE(14296), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [269461] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19324), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14297), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [269541] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8805), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19326), 1,
      anon_sym_COMMA,
    STATE(18194), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14298), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [269621] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(19791), 1,
      sym__exportable,
    STATE(14299), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [269673] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19328), 1,
      anon_sym_COMMA,
    ACTIONS(19330), 1,
      anon_sym_RBRACE,
    STATE(17862), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14300), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [269753] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(16031), 1,
      anon_sym_EQ,
    STATE(14301), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [269797] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(16055), 1,
      anon_sym_EQ,
    STATE(14302), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [269841] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15977), 1,
      anon_sym_EQ,
    STATE(14303), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [269883] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19332), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14304), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [269963] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19334), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14305), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [270043] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8519), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19336), 1,
      anon_sym_COMMA,
    STATE(17607), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14306), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [270123] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8389), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19338), 1,
      anon_sym_COMMA,
    STATE(18100), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14307), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [270203] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    ACTIONS(16107), 1,
      anon_sym_EQ,
    STATE(14308), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [270247] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11216), 1,
      anon_sym_COLON2,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11220), 2,
      anon_sym_COMMA,
      sym__pair_operator,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14309), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [270325] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12570), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(14310), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [270369] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12546), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(14311), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [270413] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18878), 1,
      anon_sym_DOLLAR,
    ACTIONS(18880), 1,
      anon_sym_AT,
    STATE(11333), 1,
      sym__exportable,
    STATE(14312), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [270465] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19340), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14313), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [270545] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18704), 1,
      sym__word_identifier,
    ACTIONS(19162), 1,
      anon_sym_LPAREN,
    ACTIONS(19164), 1,
      anon_sym_DOLLAR,
    ACTIONS(19166), 1,
      anon_sym_AT,
    STATE(9292), 1,
      sym__exportable,
    STATE(14314), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9330), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14849), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14863), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [270597] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11202), 1,
      anon_sym_end,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18517), 1,
      anon_sym_COMMA,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18529), 1,
      sym__pair_operator,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(18848), 1,
      anon_sym_QMARK,
    STATE(13685), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14315), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [270677] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10155), 1,
      anon_sym_EQ,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    STATE(14316), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [270721] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11206), 1,
      anon_sym_end,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18517), 1,
      anon_sym_COMMA,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18529), 1,
      sym__pair_operator,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(18848), 1,
      anon_sym_QMARK,
    STATE(13685), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14317), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [270801] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19342), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14318), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [270881] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19344), 1,
      anon_sym_COMMA,
    ACTIONS(19346), 1,
      anon_sym_RBRACE,
    STATE(18159), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14319), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [270961] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8323), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19348), 1,
      anon_sym_COMMA,
    STATE(18027), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14320), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [271041] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11210), 1,
      anon_sym_end,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18517), 1,
      anon_sym_COMMA,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18529), 1,
      sym__pair_operator,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(18848), 1,
      anon_sym_QMARK,
    STATE(13685), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14321), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [271121] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19350), 1,
      anon_sym_COMMA,
    ACTIONS(19352), 1,
      anon_sym_RBRACE,
    STATE(17979), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14322), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [271201] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(16509), 1,
      anon_sym_LPAREN,
    ACTIONS(18808), 1,
      anon_sym_DOLLAR,
    ACTIONS(18810), 1,
      anon_sym_AT,
    STATE(18954), 1,
      sym__exportable,
    STATE(14323), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11249), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14471), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14489), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [271253] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19354), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14324), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [271333] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19356), 1,
      anon_sym_COLON2,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14325), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [271413] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19358), 1,
      anon_sym_COMMA,
    ACTIONS(19360), 1,
      anon_sym_RBRACE,
    STATE(17911), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14326), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [271493] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(19362), 1,
      anon_sym_COMMA,
    ACTIONS(19364), 1,
      anon_sym_RBRACE,
    STATE(17916), 1,
      aux_sym_vector_expression_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14327), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [271573] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8661), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19366), 1,
      anon_sym_COMMA,
    STATE(17757), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14328), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [271653] = 25,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7649), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(19368), 1,
      anon_sym_COMMA,
    STATE(17640), 1,
      aux_sym_tuple_expression_repeat1,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14329), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [271733] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(16523), 1,
      anon_sym_LPAREN,
    ACTIONS(19084), 1,
      anon_sym_DOLLAR,
    ACTIONS(19086), 1,
      anon_sym_AT,
    STATE(13200), 1,
      sym__exportable,
    STATE(14330), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11980), 4,
      sym_interpolation_expression,
      sym_macro_identifier,
      sym_identifier,
      sym_operator,
    ACTIONS(14285), 6,
      sym__arrow_operator,
      sym__comparison_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_operator,
      sym__unary_plus_operator,
    ACTIONS(14305), 10,
      anon_sym_COLON2,
      sym__pair_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__ellipsis_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__tilde_operator,
      sym__type_order_operator,
  [271785] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18553), 1,
      sym__power_operator,
    STATE(14331), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 16,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [271829] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19370), 1,
      sym__times_operator,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    STATE(14332), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 13,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [271878] = 20,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_COLON2,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19378), 1,
      anon_sym_COLON,
    ACTIONS(19382), 1,
      anon_sym_where,
    ACTIONS(19384), 1,
      sym__lazy_and_operator,
    ACTIONS(19386), 1,
      sym__comparison_operator,
    ACTIONS(19388), 1,
      sym__pipe_right_operator,
    ACTIONS(19390), 1,
      sym__pipe_left_operator,
    ACTIONS(19392), 1,
      sym__ellipsis_operator,
    ACTIONS(19396), 1,
      sym__times_operator,
    ACTIONS(19398), 1,
      sym__rational_operator,
    ACTIONS(19400), 1,
      sym__bitshift_operator,
    ACTIONS(19402), 1,
      sym__power_operator,
    ACTIONS(19394), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14333), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19380), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 5,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [271947] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16337), 1,
      anon_sym_EQ,
    STATE(14334), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [271988] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11704), 1,
      anon_sym_COLON2,
    ACTIONS(11706), 1,
      anon_sym_COMMA,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14335), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [272065] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_COLON2,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19378), 1,
      anon_sym_COLON,
    ACTIONS(19382), 1,
      anon_sym_where,
    ACTIONS(19386), 1,
      sym__comparison_operator,
    ACTIONS(19388), 1,
      sym__pipe_right_operator,
    ACTIONS(19390), 1,
      sym__pipe_left_operator,
    ACTIONS(19392), 1,
      sym__ellipsis_operator,
    ACTIONS(19396), 1,
      sym__times_operator,
    ACTIONS(19398), 1,
      sym__rational_operator,
    ACTIONS(19400), 1,
      sym__bitshift_operator,
    ACTIONS(19402), 1,
      sym__power_operator,
    ACTIONS(19394), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14336), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19380), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 6,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [272132] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19404), 1,
      anon_sym_COLON,
    ACTIONS(19406), 1,
      sym__pipe_right_operator,
    ACTIONS(19408), 1,
      sym__pipe_left_operator,
    ACTIONS(19410), 1,
      sym__ellipsis_operator,
    ACTIONS(19414), 1,
      sym__times_operator,
    ACTIONS(19416), 1,
      sym__rational_operator,
    ACTIONS(19418), 1,
      sym__bitshift_operator,
    ACTIONS(19420), 1,
      sym__power_operator,
    ACTIONS(19412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14337), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 11,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [272193] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19404), 1,
      anon_sym_COLON,
    ACTIONS(19406), 1,
      sym__pipe_right_operator,
    ACTIONS(19408), 1,
      sym__pipe_left_operator,
    ACTIONS(19410), 1,
      sym__ellipsis_operator,
    ACTIONS(19414), 1,
      sym__times_operator,
    ACTIONS(19416), 1,
      sym__rational_operator,
    ACTIONS(19418), 1,
      sym__bitshift_operator,
    ACTIONS(19420), 1,
      sym__power_operator,
    ACTIONS(19424), 1,
      anon_sym_where,
    ACTIONS(19426), 1,
      sym__arrow_operator,
    ACTIONS(19428), 1,
      sym__lazy_or_operator,
    ACTIONS(19430), 1,
      sym__lazy_and_operator,
    ACTIONS(19432), 1,
      sym__comparison_operator,
    ACTIONS(19412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14338), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19422), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 4,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
  [272264] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12151), 1,
      anon_sym_EQ,
    ACTIONS(12153), 1,
      anon_sym_end,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19370), 1,
      sym__times_operator,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    ACTIONS(19434), 1,
      anon_sym_COLON,
    ACTIONS(19438), 1,
      anon_sym_QMARK,
    ACTIONS(19440), 1,
      anon_sym_where,
    ACTIONS(19442), 1,
      sym__pair_operator,
    ACTIONS(19444), 1,
      sym__arrow_operator,
    ACTIONS(19446), 1,
      sym__lazy_or_operator,
    ACTIONS(19448), 1,
      sym__lazy_and_operator,
    ACTIONS(19450), 1,
      sym__comparison_operator,
    ACTIONS(19452), 1,
      sym__pipe_right_operator,
    ACTIONS(19454), 1,
      sym__pipe_left_operator,
    ACTIONS(19456), 1,
      sym__ellipsis_operator,
    ACTIONS(19458), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14339), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19436), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [272341] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19404), 1,
      anon_sym_COLON,
    ACTIONS(19406), 1,
      sym__pipe_right_operator,
    ACTIONS(19408), 1,
      sym__pipe_left_operator,
    ACTIONS(19410), 1,
      sym__ellipsis_operator,
    ACTIONS(19414), 1,
      sym__times_operator,
    ACTIONS(19416), 1,
      sym__rational_operator,
    ACTIONS(19418), 1,
      sym__bitshift_operator,
    ACTIONS(19420), 1,
      sym__power_operator,
    ACTIONS(19424), 1,
      anon_sym_where,
    ACTIONS(19430), 1,
      sym__lazy_and_operator,
    ACTIONS(19432), 1,
      sym__comparison_operator,
    ACTIONS(19412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14340), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19422), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 6,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [272408] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19404), 1,
      anon_sym_COLON,
    ACTIONS(19406), 1,
      sym__pipe_right_operator,
    ACTIONS(19408), 1,
      sym__pipe_left_operator,
    ACTIONS(19410), 1,
      sym__ellipsis_operator,
    ACTIONS(19414), 1,
      sym__times_operator,
    ACTIONS(19416), 1,
      sym__rational_operator,
    ACTIONS(19418), 1,
      sym__bitshift_operator,
    ACTIONS(19420), 1,
      sym__power_operator,
    ACTIONS(19424), 1,
      anon_sym_where,
    ACTIONS(19432), 1,
      sym__comparison_operator,
    ACTIONS(19412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14341), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19422), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 7,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [272473] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19404), 1,
      anon_sym_COLON,
    ACTIONS(19410), 1,
      sym__ellipsis_operator,
    ACTIONS(19414), 1,
      sym__times_operator,
    ACTIONS(19416), 1,
      sym__rational_operator,
    ACTIONS(19418), 1,
      sym__bitshift_operator,
    ACTIONS(19420), 1,
      sym__power_operator,
    ACTIONS(19412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14342), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 13,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [272530] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15871), 1,
      anon_sym_DASH_GT,
    STATE(14343), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [272571] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19404), 1,
      anon_sym_COLON,
    ACTIONS(19406), 1,
      sym__pipe_right_operator,
    ACTIONS(19408), 1,
      sym__pipe_left_operator,
    ACTIONS(19410), 1,
      sym__ellipsis_operator,
    ACTIONS(19414), 1,
      sym__times_operator,
    ACTIONS(19416), 1,
      sym__rational_operator,
    ACTIONS(19418), 1,
      sym__bitshift_operator,
    ACTIONS(19420), 1,
      sym__power_operator,
    ACTIONS(19412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14344), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 11,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [272632] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      sym__times_operator,
    ACTIONS(19416), 1,
      sym__rational_operator,
    ACTIONS(19418), 1,
      sym__bitshift_operator,
    ACTIONS(19420), 1,
      sym__power_operator,
    ACTIONS(19412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14345), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 14,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [272683] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      sym__times_operator,
    ACTIONS(19416), 1,
      sym__rational_operator,
    ACTIONS(19418), 1,
      sym__bitshift_operator,
    ACTIONS(19420), 1,
      sym__power_operator,
    STATE(14346), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 5,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 14,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [272732] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19416), 1,
      sym__rational_operator,
    ACTIONS(19418), 1,
      sym__bitshift_operator,
    ACTIONS(19420), 1,
      sym__power_operator,
    STATE(14347), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 14,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [272779] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19418), 1,
      sym__bitshift_operator,
    ACTIONS(19420), 1,
      sym__power_operator,
    STATE(14348), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 15,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [272824] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19420), 1,
      sym__power_operator,
    STATE(14349), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 16,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [272867] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12151), 1,
      anon_sym_COLON2,
    ACTIONS(12153), 1,
      anon_sym_COMMA,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19378), 1,
      anon_sym_COLON,
    ACTIONS(19382), 1,
      anon_sym_where,
    ACTIONS(19384), 1,
      sym__lazy_and_operator,
    ACTIONS(19386), 1,
      sym__comparison_operator,
    ACTIONS(19388), 1,
      sym__pipe_right_operator,
    ACTIONS(19390), 1,
      sym__pipe_left_operator,
    ACTIONS(19392), 1,
      sym__ellipsis_operator,
    ACTIONS(19396), 1,
      sym__times_operator,
    ACTIONS(19398), 1,
      sym__rational_operator,
    ACTIONS(19400), 1,
      sym__bitshift_operator,
    ACTIONS(19402), 1,
      sym__power_operator,
    ACTIONS(19460), 1,
      sym__pair_operator,
    ACTIONS(19462), 1,
      sym__arrow_operator,
    ACTIONS(19464), 1,
      sym__lazy_or_operator,
    ACTIONS(19394), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14350), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19380), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [272944] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19378), 1,
      anon_sym_COLON,
    ACTIONS(19392), 1,
      sym__ellipsis_operator,
    ACTIONS(19396), 1,
      sym__times_operator,
    ACTIONS(19398), 1,
      sym__rational_operator,
    ACTIONS(19400), 1,
      sym__bitshift_operator,
    ACTIONS(19402), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_COLON2,
      sym__comparison_operator,
    ACTIONS(19394), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14351), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 12,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [273001] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16371), 1,
      anon_sym_EQ,
    STATE(14352), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [273042] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18529), 1,
      sym__pair_operator,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(18848), 1,
      anon_sym_QMARK,
    ACTIONS(11706), 2,
      anon_sym_COMMA,
      anon_sym_end,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14353), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [273117] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19378), 1,
      anon_sym_COLON,
    ACTIONS(19388), 1,
      sym__pipe_right_operator,
    ACTIONS(19390), 1,
      sym__pipe_left_operator,
    ACTIONS(19392), 1,
      sym__ellipsis_operator,
    ACTIONS(19396), 1,
      sym__times_operator,
    ACTIONS(19398), 1,
      sym__rational_operator,
    ACTIONS(19400), 1,
      sym__bitshift_operator,
    ACTIONS(19402), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_COLON2,
      sym__comparison_operator,
    ACTIONS(19394), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14354), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 10,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [273178] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19396), 1,
      sym__times_operator,
    ACTIONS(19398), 1,
      sym__rational_operator,
    ACTIONS(19400), 1,
      sym__bitshift_operator,
    ACTIONS(19402), 1,
      sym__power_operator,
    ACTIONS(19394), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14355), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 4,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 13,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [273229] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19396), 1,
      sym__times_operator,
    ACTIONS(19398), 1,
      sym__rational_operator,
    ACTIONS(19400), 1,
      sym__bitshift_operator,
    ACTIONS(19402), 1,
      sym__power_operator,
    STATE(14356), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 13,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [273278] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10295), 1,
      anon_sym_EQ,
    STATE(14357), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [273319] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11876), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19466), 1,
      anon_sym_COLON,
    ACTIONS(19470), 1,
      sym__comparison_operator,
    ACTIONS(19472), 1,
      sym__pipe_right_operator,
    ACTIONS(19474), 1,
      sym__pipe_left_operator,
    ACTIONS(19476), 1,
      sym__ellipsis_operator,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    ACTIONS(19478), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14358), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19468), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 7,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [273384] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19486), 1,
      sym__power_operator,
    STATE(14359), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 15,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [273427] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19404), 1,
      anon_sym_COLON,
    ACTIONS(19406), 1,
      sym__pipe_right_operator,
    ACTIONS(19408), 1,
      sym__pipe_left_operator,
    ACTIONS(19410), 1,
      sym__ellipsis_operator,
    ACTIONS(19414), 1,
      sym__times_operator,
    ACTIONS(19416), 1,
      sym__rational_operator,
    ACTIONS(19418), 1,
      sym__bitshift_operator,
    ACTIONS(19420), 1,
      sym__power_operator,
    ACTIONS(19432), 1,
      sym__comparison_operator,
    ACTIONS(19412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14360), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19422), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 8,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [273490] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10181), 1,
      anon_sym_EQ,
    STATE(14361), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [273531] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10427), 1,
      anon_sym_EQ,
    STATE(14362), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [273572] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15717), 1,
      anon_sym_EQ,
    STATE(14363), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [273613] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19398), 1,
      sym__rational_operator,
    ACTIONS(19400), 1,
      sym__bitshift_operator,
    ACTIONS(19402), 1,
      sym__power_operator,
    STATE(14364), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 13,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [273660] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11382), 1,
      anon_sym_COLON2,
    ACTIONS(11384), 1,
      anon_sym_COMMA,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18583), 1,
      anon_sym_COLON,
    ACTIONS(18589), 1,
      anon_sym_where,
    ACTIONS(18591), 1,
      sym__pair_operator,
    ACTIONS(18593), 1,
      sym__arrow_operator,
    ACTIONS(18595), 1,
      sym__lazy_or_operator,
    ACTIONS(18597), 1,
      sym__lazy_and_operator,
    ACTIONS(18599), 1,
      sym__comparison_operator,
    ACTIONS(18601), 1,
      sym__pipe_right_operator,
    ACTIONS(18603), 1,
      sym__pipe_left_operator,
    ACTIONS(18605), 1,
      sym__ellipsis_operator,
    ACTIONS(18609), 1,
      sym__times_operator,
    ACTIONS(18611), 1,
      sym__rational_operator,
    ACTIONS(18613), 1,
      sym__bitshift_operator,
    ACTIONS(18615), 1,
      sym__power_operator,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(18607), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14365), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18585), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [273737] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19400), 1,
      sym__bitshift_operator,
    ACTIONS(19402), 1,
      sym__power_operator,
    STATE(14366), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 14,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [273782] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19402), 1,
      sym__power_operator,
    STATE(14367), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 15,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [273825] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    ACTIONS(17675), 1,
      anon_sym_COLON,
    ACTIONS(17681), 1,
      anon_sym_where,
    ACTIONS(17683), 1,
      sym__pair_operator,
    ACTIONS(17685), 1,
      sym__arrow_operator,
    ACTIONS(17687), 1,
      sym__lazy_or_operator,
    ACTIONS(17689), 1,
      sym__lazy_and_operator,
    ACTIONS(17691), 1,
      sym__comparison_operator,
    ACTIONS(17693), 1,
      sym__pipe_right_operator,
    ACTIONS(17695), 1,
      sym__pipe_left_operator,
    ACTIONS(17697), 1,
      sym__ellipsis_operator,
    ACTIONS(17701), 1,
      sym__times_operator,
    ACTIONS(17703), 1,
      sym__rational_operator,
    ACTIONS(17705), 1,
      sym__bitshift_operator,
    ACTIONS(17707), 1,
      sym__power_operator,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    STATE(18162), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(17699), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14368), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17677), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [273902] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16127), 1,
      anon_sym_EQ,
    STATE(14369), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [273943] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10489), 1,
      anon_sym_EQ,
    STATE(14370), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [273984] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19370), 1,
      sym__times_operator,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    ACTIONS(19434), 1,
      anon_sym_COLON,
    ACTIONS(19452), 1,
      sym__pipe_right_operator,
    ACTIONS(19454), 1,
      sym__pipe_left_operator,
    ACTIONS(19456), 1,
      sym__ellipsis_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(19458), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14371), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 10,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [274045] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19402), 1,
      sym__power_operator,
    STATE(14372), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 7,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 15,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [274088] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19396), 1,
      sym__times_operator,
    ACTIONS(19398), 1,
      sym__rational_operator,
    ACTIONS(19400), 1,
      sym__bitshift_operator,
    ACTIONS(19402), 1,
      sym__power_operator,
    ACTIONS(19394), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14373), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 4,
      anon_sym_COLON,
      anon_sym_COLON2,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 13,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [274139] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12333), 1,
      anon_sym_EQ,
    STATE(14374), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [274180] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16365), 1,
      anon_sym_EQ,
    STATE(14375), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [274221] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19370), 1,
      sym__times_operator,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    ACTIONS(19434), 1,
      anon_sym_COLON,
    ACTIONS(19456), 1,
      sym__ellipsis_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(19458), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14376), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 12,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [274278] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18848), 1,
      anon_sym_QMARK,
    ACTIONS(19404), 1,
      anon_sym_COLON,
    ACTIONS(19406), 1,
      sym__pipe_right_operator,
    ACTIONS(19408), 1,
      sym__pipe_left_operator,
    ACTIONS(19410), 1,
      sym__ellipsis_operator,
    ACTIONS(19414), 1,
      sym__times_operator,
    ACTIONS(19416), 1,
      sym__rational_operator,
    ACTIONS(19418), 1,
      sym__bitshift_operator,
    ACTIONS(19420), 1,
      sym__power_operator,
    ACTIONS(19424), 1,
      anon_sym_where,
    ACTIONS(19426), 1,
      sym__arrow_operator,
    ACTIONS(19428), 1,
      sym__lazy_or_operator,
    ACTIONS(19430), 1,
      sym__lazy_and_operator,
    ACTIONS(19432), 1,
      sym__comparison_operator,
    ACTIONS(19488), 1,
      sym__pair_operator,
    ACTIONS(12153), 2,
      anon_sym_COMMA,
      anon_sym_end,
    ACTIONS(19412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14377), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19422), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [274353] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11704), 1,
      anon_sym_EQ,
    ACTIONS(11706), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19466), 1,
      anon_sym_COLON,
    ACTIONS(19470), 1,
      sym__comparison_operator,
    ACTIONS(19472), 1,
      sym__pipe_right_operator,
    ACTIONS(19474), 1,
      sym__pipe_left_operator,
    ACTIONS(19476), 1,
      sym__ellipsis_operator,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    ACTIONS(19490), 1,
      anon_sym_QMARK,
    ACTIONS(19492), 1,
      anon_sym_where,
    ACTIONS(19494), 1,
      sym__pair_operator,
    ACTIONS(19496), 1,
      sym__arrow_operator,
    ACTIONS(19498), 1,
      sym__lazy_or_operator,
    ACTIONS(19500), 1,
      sym__lazy_and_operator,
    ACTIONS(19478), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14378), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19468), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [274430] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15653), 1,
      anon_sym_EQ,
    STATE(14379), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [274471] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18848), 1,
      anon_sym_QMARK,
    ACTIONS(19404), 1,
      anon_sym_COLON,
    ACTIONS(19406), 1,
      sym__pipe_right_operator,
    ACTIONS(19408), 1,
      sym__pipe_left_operator,
    ACTIONS(19410), 1,
      sym__ellipsis_operator,
    ACTIONS(19414), 1,
      sym__times_operator,
    ACTIONS(19416), 1,
      sym__rational_operator,
    ACTIONS(19418), 1,
      sym__bitshift_operator,
    ACTIONS(19420), 1,
      sym__power_operator,
    ACTIONS(19424), 1,
      anon_sym_where,
    ACTIONS(19426), 1,
      sym__arrow_operator,
    ACTIONS(19428), 1,
      sym__lazy_or_operator,
    ACTIONS(19430), 1,
      sym__lazy_and_operator,
    ACTIONS(19432), 1,
      sym__comparison_operator,
    ACTIONS(19488), 1,
      sym__pair_operator,
    ACTIONS(11380), 2,
      anon_sym_COMMA,
      anon_sym_end,
    ACTIONS(19412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14380), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19422), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [274546] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11382), 1,
      anon_sym_EQ,
    ACTIONS(11384), 1,
      anon_sym_end,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19370), 1,
      sym__times_operator,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    ACTIONS(19434), 1,
      anon_sym_COLON,
    ACTIONS(19438), 1,
      anon_sym_QMARK,
    ACTIONS(19440), 1,
      anon_sym_where,
    ACTIONS(19442), 1,
      sym__pair_operator,
    ACTIONS(19444), 1,
      sym__arrow_operator,
    ACTIONS(19446), 1,
      sym__lazy_or_operator,
    ACTIONS(19448), 1,
      sym__lazy_and_operator,
    ACTIONS(19450), 1,
      sym__comparison_operator,
    ACTIONS(19452), 1,
      sym__pipe_right_operator,
    ACTIONS(19454), 1,
      sym__pipe_left_operator,
    ACTIONS(19456), 1,
      sym__ellipsis_operator,
    ACTIONS(19458), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14381), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19436), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [274623] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12540), 1,
      anon_sym_EQ,
    STATE(14382), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [274664] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12151), 1,
      anon_sym_EQ,
    ACTIONS(12153), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19466), 1,
      anon_sym_COLON,
    ACTIONS(19470), 1,
      sym__comparison_operator,
    ACTIONS(19472), 1,
      sym__pipe_right_operator,
    ACTIONS(19474), 1,
      sym__pipe_left_operator,
    ACTIONS(19476), 1,
      sym__ellipsis_operator,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    ACTIONS(19490), 1,
      anon_sym_QMARK,
    ACTIONS(19492), 1,
      anon_sym_where,
    ACTIONS(19494), 1,
      sym__pair_operator,
    ACTIONS(19496), 1,
      sym__arrow_operator,
    ACTIONS(19498), 1,
      sym__lazy_or_operator,
    ACTIONS(19500), 1,
      sym__lazy_and_operator,
    ACTIONS(19478), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14383), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19468), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [274741] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15833), 1,
      anon_sym_EQ,
    STATE(14384), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [274782] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16339), 1,
      anon_sym_EQ,
    STATE(14385), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [274823] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19370), 1,
      sym__times_operator,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    ACTIONS(19434), 1,
      anon_sym_COLON,
    ACTIONS(19452), 1,
      sym__pipe_right_operator,
    ACTIONS(19454), 1,
      sym__pipe_left_operator,
    ACTIONS(19456), 1,
      sym__ellipsis_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(19458), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14386), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 10,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [274884] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15574), 1,
      anon_sym_EQ,
    STATE(14387), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [274925] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    ACTIONS(19478), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14388), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 13,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [274976] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    STATE(14389), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 13,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [275025] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19370), 1,
      sym__times_operator,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    ACTIONS(19458), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14390), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 13,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [275076] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15745), 1,
      anon_sym_EQ,
    STATE(14391), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [275117] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16341), 1,
      anon_sym_EQ,
    STATE(14392), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [275158] = 20,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19466), 1,
      anon_sym_COLON,
    ACTIONS(19470), 1,
      sym__comparison_operator,
    ACTIONS(19472), 1,
      sym__pipe_right_operator,
    ACTIONS(19474), 1,
      sym__pipe_left_operator,
    ACTIONS(19476), 1,
      sym__ellipsis_operator,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    ACTIONS(19492), 1,
      anon_sym_where,
    ACTIONS(19500), 1,
      sym__lazy_and_operator,
    ACTIONS(19478), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14393), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19468), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 5,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [275227] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15687), 1,
      anon_sym_EQ,
    STATE(14394), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [275268] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10335), 1,
      anon_sym_EQ,
    STATE(14395), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [275309] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    STATE(14396), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 14,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [275354] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16141), 1,
      anon_sym_EQ,
    STATE(14397), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [275395] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    STATE(14398), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 13,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [275442] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19376), 1,
      sym__power_operator,
    STATE(14399), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 15,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [275485] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    STATE(14400), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 14,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [275530] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18519), 1,
      anon_sym_COLON,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18527), 1,
      anon_sym_where,
    ACTIONS(18529), 1,
      sym__pair_operator,
    ACTIONS(18531), 1,
      sym__arrow_operator,
    ACTIONS(18533), 1,
      sym__lazy_or_operator,
    ACTIONS(18535), 1,
      sym__lazy_and_operator,
    ACTIONS(18537), 1,
      sym__comparison_operator,
    ACTIONS(18539), 1,
      sym__pipe_right_operator,
    ACTIONS(18541), 1,
      sym__pipe_left_operator,
    ACTIONS(18543), 1,
      sym__ellipsis_operator,
    ACTIONS(18547), 1,
      sym__times_operator,
    ACTIONS(18549), 1,
      sym__rational_operator,
    ACTIONS(18551), 1,
      sym__bitshift_operator,
    ACTIONS(18553), 1,
      sym__power_operator,
    ACTIONS(18848), 1,
      anon_sym_QMARK,
    ACTIONS(11384), 2,
      anon_sym_COMMA,
      anon_sym_end,
    ACTIONS(18545), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14401), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18521), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [275605] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19486), 1,
      sym__power_operator,
    STATE(14402), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 15,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [275648] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    ACTIONS(19478), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14403), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 13,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [275699] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16031), 1,
      anon_sym_EQ,
    STATE(14404), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [275740] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11704), 1,
      anon_sym_EQ,
    ACTIONS(11706), 1,
      anon_sym_end,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19370), 1,
      sym__times_operator,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    ACTIONS(19434), 1,
      anon_sym_COLON,
    ACTIONS(19438), 1,
      anon_sym_QMARK,
    ACTIONS(19440), 1,
      anon_sym_where,
    ACTIONS(19442), 1,
      sym__pair_operator,
    ACTIONS(19444), 1,
      sym__arrow_operator,
    ACTIONS(19446), 1,
      sym__lazy_or_operator,
    ACTIONS(19448), 1,
      sym__lazy_and_operator,
    ACTIONS(19450), 1,
      sym__comparison_operator,
    ACTIONS(19452), 1,
      sym__pipe_right_operator,
    ACTIONS(19454), 1,
      sym__pipe_left_operator,
    ACTIONS(19456), 1,
      sym__ellipsis_operator,
    ACTIONS(19458), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14405), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19436), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [275817] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19466), 1,
      anon_sym_COLON,
    ACTIONS(19470), 1,
      sym__comparison_operator,
    ACTIONS(19472), 1,
      sym__pipe_right_operator,
    ACTIONS(19474), 1,
      sym__pipe_left_operator,
    ACTIONS(19476), 1,
      sym__ellipsis_operator,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    ACTIONS(19492), 1,
      anon_sym_where,
    ACTIONS(19478), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14406), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19468), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 6,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [275884] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11876), 1,
      anon_sym_COLON2,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19378), 1,
      anon_sym_COLON,
    ACTIONS(19386), 1,
      sym__comparison_operator,
    ACTIONS(19388), 1,
      sym__pipe_right_operator,
    ACTIONS(19390), 1,
      sym__pipe_left_operator,
    ACTIONS(19392), 1,
      sym__ellipsis_operator,
    ACTIONS(19396), 1,
      sym__times_operator,
    ACTIONS(19398), 1,
      sym__rational_operator,
    ACTIONS(19400), 1,
      sym__bitshift_operator,
    ACTIONS(19402), 1,
      sym__power_operator,
    ACTIONS(19394), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14407), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19380), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 7,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [275949] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19376), 1,
      sym__power_operator,
    STATE(14408), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 15,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [275992] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19378), 1,
      anon_sym_COLON,
    ACTIONS(19388), 1,
      sym__pipe_right_operator,
    ACTIONS(19390), 1,
      sym__pipe_left_operator,
    ACTIONS(19392), 1,
      sym__ellipsis_operator,
    ACTIONS(19396), 1,
      sym__times_operator,
    ACTIONS(19398), 1,
      sym__rational_operator,
    ACTIONS(19400), 1,
      sym__bitshift_operator,
    ACTIONS(19402), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_COLON2,
      sym__comparison_operator,
    ACTIONS(19394), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14409), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 10,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [276053] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19370), 1,
      sym__times_operator,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    ACTIONS(19458), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14410), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 13,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [276104] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12546), 1,
      anon_sym_EQ,
    STATE(14411), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [276145] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12773), 1,
      anon_sym_EQ,
    STATE(14412), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [276186] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10155), 1,
      anon_sym_EQ,
    STATE(14413), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [276227] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_COLON2,
    ACTIONS(11380), 1,
      anon_sym_COMMA,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18738), 1,
      anon_sym_QMARK,
    ACTIONS(19378), 1,
      anon_sym_COLON,
    ACTIONS(19382), 1,
      anon_sym_where,
    ACTIONS(19384), 1,
      sym__lazy_and_operator,
    ACTIONS(19386), 1,
      sym__comparison_operator,
    ACTIONS(19388), 1,
      sym__pipe_right_operator,
    ACTIONS(19390), 1,
      sym__pipe_left_operator,
    ACTIONS(19392), 1,
      sym__ellipsis_operator,
    ACTIONS(19396), 1,
      sym__times_operator,
    ACTIONS(19398), 1,
      sym__rational_operator,
    ACTIONS(19400), 1,
      sym__bitshift_operator,
    ACTIONS(19402), 1,
      sym__power_operator,
    ACTIONS(19460), 1,
      sym__pair_operator,
    ACTIONS(19462), 1,
      sym__arrow_operator,
    ACTIONS(19464), 1,
      sym__lazy_or_operator,
    ACTIONS(19394), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14414), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19380), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [276304] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19370), 1,
      sym__times_operator,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    ACTIONS(19434), 1,
      anon_sym_COLON,
    ACTIONS(19440), 1,
      anon_sym_where,
    ACTIONS(19444), 1,
      sym__arrow_operator,
    ACTIONS(19446), 1,
      sym__lazy_or_operator,
    ACTIONS(19448), 1,
      sym__lazy_and_operator,
    ACTIONS(19450), 1,
      sym__comparison_operator,
    ACTIONS(19452), 1,
      sym__pipe_right_operator,
    ACTIONS(19454), 1,
      sym__pipe_left_operator,
    ACTIONS(19456), 1,
      sym__ellipsis_operator,
    ACTIONS(19458), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14415), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 3,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
    ACTIONS(19436), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [276377] = 20,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19370), 1,
      sym__times_operator,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    ACTIONS(19434), 1,
      anon_sym_COLON,
    ACTIONS(19440), 1,
      anon_sym_where,
    ACTIONS(19448), 1,
      sym__lazy_and_operator,
    ACTIONS(19450), 1,
      sym__comparison_operator,
    ACTIONS(19452), 1,
      sym__pipe_right_operator,
    ACTIONS(19454), 1,
      sym__pipe_left_operator,
    ACTIONS(19456), 1,
      sym__ellipsis_operator,
    ACTIONS(19458), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14416), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19436), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 5,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [276446] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19370), 1,
      sym__times_operator,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    ACTIONS(19434), 1,
      anon_sym_COLON,
    ACTIONS(19440), 1,
      anon_sym_where,
    ACTIONS(19450), 1,
      sym__comparison_operator,
    ACTIONS(19452), 1,
      sym__pipe_right_operator,
    ACTIONS(19454), 1,
      sym__pipe_left_operator,
    ACTIONS(19456), 1,
      sym__ellipsis_operator,
    ACTIONS(19458), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14417), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19436), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 6,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [276513] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_COLON2,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19378), 1,
      anon_sym_COLON,
    ACTIONS(19382), 1,
      anon_sym_where,
    ACTIONS(19384), 1,
      sym__lazy_and_operator,
    ACTIONS(19386), 1,
      sym__comparison_operator,
    ACTIONS(19388), 1,
      sym__pipe_right_operator,
    ACTIONS(19390), 1,
      sym__pipe_left_operator,
    ACTIONS(19392), 1,
      sym__ellipsis_operator,
    ACTIONS(19396), 1,
      sym__times_operator,
    ACTIONS(19398), 1,
      sym__rational_operator,
    ACTIONS(19400), 1,
      sym__bitshift_operator,
    ACTIONS(19402), 1,
      sym__power_operator,
    ACTIONS(19462), 1,
      sym__arrow_operator,
    ACTIONS(19464), 1,
      sym__lazy_or_operator,
    ACTIONS(19394), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14418), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 3,
      anon_sym_COMMA,
      anon_sym_QMARK,
      sym__pair_operator,
    ACTIONS(19380), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [276586] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16013), 1,
      anon_sym_EQ,
    STATE(14419), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [276627] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16367), 1,
      anon_sym_EQ,
    STATE(14420), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_end,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [276668] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12570), 1,
      anon_sym_EQ,
    STATE(14421), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [276709] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10617), 1,
      anon_sym_EQ,
    STATE(14422), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [276750] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19466), 1,
      anon_sym_COLON,
    ACTIONS(19472), 1,
      sym__pipe_right_operator,
    ACTIONS(19474), 1,
      sym__pipe_left_operator,
    ACTIONS(19476), 1,
      sym__ellipsis_operator,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(19478), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14423), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 10,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [276811] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11382), 1,
      anon_sym_EQ,
    ACTIONS(11384), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19466), 1,
      anon_sym_COLON,
    ACTIONS(19470), 1,
      sym__comparison_operator,
    ACTIONS(19472), 1,
      sym__pipe_right_operator,
    ACTIONS(19474), 1,
      sym__pipe_left_operator,
    ACTIONS(19476), 1,
      sym__ellipsis_operator,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    ACTIONS(19490), 1,
      anon_sym_QMARK,
    ACTIONS(19492), 1,
      anon_sym_where,
    ACTIONS(19494), 1,
      sym__pair_operator,
    ACTIONS(19496), 1,
      sym__arrow_operator,
    ACTIONS(19498), 1,
      sym__lazy_or_operator,
    ACTIONS(19500), 1,
      sym__lazy_and_operator,
    ACTIONS(19478), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14424), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19468), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [276888] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15831), 1,
      anon_sym_EQ,
    STATE(14425), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [276929] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12548), 1,
      anon_sym_EQ,
    STATE(14426), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [276970] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16055), 1,
      anon_sym_EQ,
    STATE(14427), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [277011] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(11380), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19466), 1,
      anon_sym_COLON,
    ACTIONS(19470), 1,
      sym__comparison_operator,
    ACTIONS(19472), 1,
      sym__pipe_right_operator,
    ACTIONS(19474), 1,
      sym__pipe_left_operator,
    ACTIONS(19476), 1,
      sym__ellipsis_operator,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    ACTIONS(19490), 1,
      anon_sym_QMARK,
    ACTIONS(19492), 1,
      anon_sym_where,
    ACTIONS(19494), 1,
      sym__pair_operator,
    ACTIONS(19496), 1,
      sym__arrow_operator,
    ACTIONS(19498), 1,
      sym__lazy_or_operator,
    ACTIONS(19500), 1,
      sym__lazy_and_operator,
    ACTIONS(19478), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14428), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19468), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [277088] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15489), 1,
      anon_sym_DASH_GT,
    STATE(14429), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [277129] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11876), 1,
      anon_sym_EQ,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19370), 1,
      sym__times_operator,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    ACTIONS(19434), 1,
      anon_sym_COLON,
    ACTIONS(19450), 1,
      sym__comparison_operator,
    ACTIONS(19452), 1,
      sym__pipe_right_operator,
    ACTIONS(19454), 1,
      sym__pipe_left_operator,
    ACTIONS(19456), 1,
      sym__ellipsis_operator,
    ACTIONS(19458), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14430), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19436), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 7,
      anon_sym_end,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [277194] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19420), 1,
      sym__power_operator,
    STATE(14431), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 16,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [277237] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19414), 1,
      sym__times_operator,
    ACTIONS(19416), 1,
      sym__rational_operator,
    ACTIONS(19418), 1,
      sym__bitshift_operator,
    ACTIONS(19420), 1,
      sym__power_operator,
    ACTIONS(19412), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14432), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 3,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 14,
      anon_sym_COMMA,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [277288] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16343), 1,
      anon_sym_EQ,
    STATE(14433), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [277329] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16107), 1,
      anon_sym_EQ,
    STATE(14434), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [277370] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16041), 1,
      anon_sym_EQ,
    STATE(14435), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [277411] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10367), 1,
      anon_sym_EQ,
    STATE(14436), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [277452] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19466), 1,
      anon_sym_COLON,
    ACTIONS(19476), 1,
      sym__ellipsis_operator,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(19478), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14437), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 12,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [277509] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10151), 1,
      anon_sym_EQ,
    STATE(14438), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [277550] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19466), 1,
      anon_sym_COLON,
    ACTIONS(19472), 1,
      sym__pipe_right_operator,
    ACTIONS(19474), 1,
      sym__pipe_left_operator,
    ACTIONS(19476), 1,
      sym__ellipsis_operator,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    ACTIONS(11378), 2,
      anon_sym_EQ,
      sym__comparison_operator,
    ACTIONS(19478), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14439), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 10,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [277611] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19466), 1,
      anon_sym_COLON,
    ACTIONS(19470), 1,
      sym__comparison_operator,
    ACTIONS(19472), 1,
      sym__pipe_right_operator,
    ACTIONS(19474), 1,
      sym__pipe_left_operator,
    ACTIONS(19476), 1,
      sym__ellipsis_operator,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    ACTIONS(19492), 1,
      anon_sym_where,
    ACTIONS(19496), 1,
      sym__arrow_operator,
    ACTIONS(19498), 1,
      sym__lazy_or_operator,
    ACTIONS(19500), 1,
      sym__lazy_and_operator,
    ACTIONS(19478), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14440), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 3,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
    ACTIONS(19468), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [277684] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19316), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14441), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [277759] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16395), 1,
      anon_sym_EQ,
    STATE(14442), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [277800] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15511), 1,
      sym__immediate_paren,
    ACTIONS(15865), 1,
      anon_sym_EQ,
    STATE(14443), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 16,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [277843] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13054), 1,
      anon_sym_EQ,
    STATE(14444), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [277884] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15489), 1,
      anon_sym_DASH_GT,
    ACTIONS(15865), 1,
      anon_sym_EQ,
    STATE(14445), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 16,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [277927] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12544), 1,
      anon_sym_EQ,
    STATE(14446), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [277968] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(17967), 1,
      anon_sym_QMARK,
    ACTIONS(18250), 1,
      anon_sym_COLON,
    ACTIONS(18254), 1,
      anon_sym_where,
    ACTIONS(18256), 1,
      sym__pair_operator,
    ACTIONS(18258), 1,
      sym__arrow_operator,
    ACTIONS(18260), 1,
      sym__lazy_or_operator,
    ACTIONS(18262), 1,
      sym__lazy_and_operator,
    ACTIONS(18264), 1,
      sym__comparison_operator,
    ACTIONS(18266), 1,
      sym__pipe_right_operator,
    ACTIONS(18268), 1,
      sym__pipe_left_operator,
    ACTIONS(18270), 1,
      sym__ellipsis_operator,
    ACTIONS(18274), 1,
      sym__times_operator,
    ACTIONS(18276), 1,
      sym__rational_operator,
    ACTIONS(18278), 1,
      sym__bitshift_operator,
    ACTIONS(18280), 1,
      sym__power_operator,
    ACTIONS(18272), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(19294), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(14447), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18252), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [278043] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12320), 1,
      anon_sym_EQ,
    STATE(14448), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 17,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [278084] = 24,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      anon_sym_EQ,
    ACTIONS(11380), 1,
      anon_sym_end,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19370), 1,
      sym__times_operator,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    ACTIONS(19434), 1,
      anon_sym_COLON,
    ACTIONS(19438), 1,
      anon_sym_QMARK,
    ACTIONS(19440), 1,
      anon_sym_where,
    ACTIONS(19442), 1,
      sym__pair_operator,
    ACTIONS(19444), 1,
      sym__arrow_operator,
    ACTIONS(19446), 1,
      sym__lazy_or_operator,
    ACTIONS(19448), 1,
      sym__lazy_and_operator,
    ACTIONS(19450), 1,
      sym__comparison_operator,
    ACTIONS(19452), 1,
      sym__pipe_right_operator,
    ACTIONS(19454), 1,
      sym__pipe_left_operator,
    ACTIONS(19456), 1,
      sym__ellipsis_operator,
    ACTIONS(19458), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14449), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19436), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [278161] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    STATE(14450), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 13,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [278208] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14451), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 13,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [278258] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(69), 1,
      anon_sym_AT,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4463), 1,
      anon_sym_DOLLAR,
    ACTIONS(4471), 1,
      sym_character_literal,
    ACTIONS(16399), 1,
      sym__word_identifier,
    ACTIONS(19512), 1,
      anon_sym_COLON2,
    ACTIONS(19514), 1,
      sym__immediate_paren,
    STATE(59), 1,
      sym_macro_identifier,
    STATE(4614), 1,
      sym_identifier,
    STATE(15050), 1,
      sym__delimiter_str_1,
    STATE(15051), 1,
      sym__delimiter_str_3,
    STATE(15052), 1,
      sym__delimiter_cmd_1,
    STATE(15053), 1,
      sym__delimiter_cmd_3,
    STATE(14452), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5030), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5275), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [278328] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12153), 1,
      anon_sym_end,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19516), 1,
      anon_sym_COLON,
    ACTIONS(19520), 1,
      anon_sym_QMARK,
    ACTIONS(19522), 1,
      anon_sym_where,
    ACTIONS(19524), 1,
      sym__pair_operator,
    ACTIONS(19526), 1,
      sym__arrow_operator,
    ACTIONS(19528), 1,
      sym__lazy_or_operator,
    ACTIONS(19530), 1,
      sym__lazy_and_operator,
    ACTIONS(19532), 1,
      sym__comparison_operator,
    ACTIONS(19534), 1,
      sym__pipe_right_operator,
    ACTIONS(19536), 1,
      sym__pipe_left_operator,
    ACTIONS(19538), 1,
      sym__ellipsis_operator,
    ACTIONS(19542), 1,
      sym__times_operator,
    ACTIONS(19544), 1,
      sym__rational_operator,
    ACTIONS(19546), 1,
      sym__bitshift_operator,
    ACTIONS(19548), 1,
      sym__power_operator,
    ACTIONS(19540), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14453), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19518), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [278402] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11384), 1,
      anon_sym_end,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19370), 1,
      sym__times_operator,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    ACTIONS(19434), 1,
      anon_sym_COLON,
    ACTIONS(19440), 1,
      anon_sym_where,
    ACTIONS(19442), 1,
      sym__pair_operator,
    ACTIONS(19444), 1,
      sym__arrow_operator,
    ACTIONS(19446), 1,
      sym__lazy_or_operator,
    ACTIONS(19448), 1,
      sym__lazy_and_operator,
    ACTIONS(19450), 1,
      sym__comparison_operator,
    ACTIONS(19452), 1,
      sym__pipe_right_operator,
    ACTIONS(19454), 1,
      sym__pipe_left_operator,
    ACTIONS(19456), 1,
      sym__ellipsis_operator,
    ACTIONS(19520), 1,
      anon_sym_QMARK,
    ACTIONS(19458), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14454), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19436), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [278476] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14455), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 3,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 13,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [278526] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19554), 1,
      sym__comparison_operator,
    ACTIONS(19556), 1,
      sym__pipe_right_operator,
    ACTIONS(19558), 1,
      sym__pipe_left_operator,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14456), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19552), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 7,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [278588] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4431), 1,
      anon_sym_AT,
    ACTIONS(7207), 1,
      anon_sym_DOLLAR,
    ACTIONS(7215), 1,
      sym_character_literal,
    ACTIONS(16169), 1,
      sym__word_identifier,
    ACTIONS(19562), 1,
      anon_sym_COLON2,
    ACTIONS(19564), 1,
      sym__immediate_paren,
    STATE(72), 1,
      sym_macro_identifier,
    STATE(4764), 1,
      sym_identifier,
    STATE(15122), 1,
      sym__delimiter_str_1,
    STATE(15124), 1,
      sym__delimiter_str_3,
    STATE(15129), 1,
      sym__delimiter_cmd_1,
    STATE(15130), 1,
      sym__delimiter_cmd_3,
    STATE(14457), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5408), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5432), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [278658] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4413), 1,
      anon_sym_AT,
    ACTIONS(7543), 1,
      anon_sym_DOLLAR,
    ACTIONS(7551), 1,
      sym_character_literal,
    ACTIONS(16259), 1,
      sym__word_identifier,
    ACTIONS(19566), 1,
      anon_sym_COLON2,
    ACTIONS(19568), 1,
      sym__immediate_paren,
    STATE(36), 1,
      sym_macro_identifier,
    STATE(4628), 1,
      sym_identifier,
    STATE(14726), 1,
      sym__delimiter_str_1,
    STATE(14727), 1,
      sym__delimiter_str_3,
    STATE(14728), 1,
      sym__delimiter_cmd_1,
    STATE(14729), 1,
      sym__delimiter_cmd_3,
    STATE(14458), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5282), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(4969), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [278728] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(12153), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19554), 1,
      sym__comparison_operator,
    ACTIONS(19556), 1,
      sym__pipe_right_operator,
    ACTIONS(19558), 1,
      sym__pipe_left_operator,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19570), 1,
      anon_sym_QMARK,
    ACTIONS(19572), 1,
      anon_sym_where,
    ACTIONS(19574), 1,
      sym__pair_operator,
    ACTIONS(19576), 1,
      sym__arrow_operator,
    ACTIONS(19578), 1,
      sym__lazy_or_operator,
    ACTIONS(19580), 1,
      sym__lazy_and_operator,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14459), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19552), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [278802] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11384), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19466), 1,
      anon_sym_COLON,
    ACTIONS(19470), 1,
      sym__comparison_operator,
    ACTIONS(19472), 1,
      sym__pipe_right_operator,
    ACTIONS(19474), 1,
      sym__pipe_left_operator,
    ACTIONS(19476), 1,
      sym__ellipsis_operator,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    ACTIONS(19492), 1,
      anon_sym_where,
    ACTIONS(19494), 1,
      sym__pair_operator,
    ACTIONS(19496), 1,
      sym__arrow_operator,
    ACTIONS(19498), 1,
      sym__lazy_or_operator,
    ACTIONS(19500), 1,
      sym__lazy_and_operator,
    ACTIONS(19570), 1,
      anon_sym_QMARK,
    ACTIONS(19478), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14460), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19468), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [278876] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4131), 1,
      anon_sym_DOLLAR,
    ACTIONS(4135), 1,
      anon_sym_AT,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(19582), 1,
      anon_sym_COLON2,
    ACTIONS(19584), 1,
      sym__immediate_paren,
    STATE(40), 1,
      sym_macro_identifier,
    STATE(10794), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    STATE(14461), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10622), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [278946] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10479), 1,
      sym__immediate_paren,
    STATE(14462), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 16,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [278986] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4409), 1,
      anon_sym_DOLLAR,
    ACTIONS(4413), 1,
      anon_sym_AT,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(19584), 1,
      sym__immediate_paren,
    ACTIONS(19586), 1,
      anon_sym_COLON2,
    STATE(51), 1,
      sym_macro_identifier,
    STATE(10780), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    STATE(14463), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10622), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [279056] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13907), 1,
      sym_character_literal,
    ACTIONS(15281), 1,
      anon_sym_DOLLAR,
    ACTIONS(16203), 1,
      sym__word_identifier,
    ACTIONS(19588), 1,
      anon_sym_COLON2,
    ACTIONS(19590), 1,
      sym__immediate_paren,
    STATE(12035), 1,
      sym_identifier,
    STATE(15448), 1,
      sym__delimiter_str_1,
    STATE(15449), 1,
      sym__delimiter_str_3,
    STATE(15450), 1,
      sym__delimiter_cmd_1,
    STATE(15451), 1,
      sym__delimiter_cmd_3,
    STATE(17766), 1,
      sym_macro_identifier,
    STATE(14464), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12530), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(12472), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [279126] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13805), 1,
      sym_character_literal,
    ACTIONS(14009), 1,
      anon_sym_DOLLAR,
    ACTIONS(16053), 1,
      sym__word_identifier,
    ACTIONS(19592), 1,
      anon_sym_COLON2,
    ACTIONS(19594), 1,
      sym__immediate_paren,
    STATE(5437), 1,
      sym_identifier,
    STATE(14643), 1,
      sym__delimiter_str_1,
    STATE(14661), 1,
      sym__delimiter_str_3,
    STATE(14689), 1,
      sym__delimiter_cmd_1,
    STATE(14690), 1,
      sym__delimiter_cmd_3,
    STATE(17669), 1,
      sym_macro_identifier,
    STATE(14465), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5863), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5880), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [279196] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1281), 1,
      anon_sym_AT,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(3921), 1,
      anon_sym_DOLLAR,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(19596), 1,
      anon_sym_COLON2,
    ACTIONS(19598), 1,
      sym__immediate_paren,
    STATE(148), 1,
      sym_macro_identifier,
    STATE(11177), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    STATE(14466), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10375), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [279266] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    STATE(14467), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 14,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [279310] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13839), 1,
      sym_character_literal,
    ACTIONS(14173), 1,
      anon_sym_DOLLAR,
    ACTIONS(16145), 1,
      sym__word_identifier,
    ACTIONS(19600), 1,
      anon_sym_COLON2,
    ACTIONS(19602), 1,
      sym__immediate_paren,
    STATE(5653), 1,
      sym_identifier,
    STATE(15204), 1,
      sym__delimiter_str_1,
    STATE(15205), 1,
      sym__delimiter_str_3,
    STATE(15206), 1,
      sym__delimiter_cmd_1,
    STATE(15207), 1,
      sym__delimiter_cmd_3,
    STATE(17731), 1,
      sym_macro_identifier,
    STATE(14468), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6526), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(6589), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [279380] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19554), 1,
      sym__comparison_operator,
    ACTIONS(19556), 1,
      sym__pipe_right_operator,
    ACTIONS(19558), 1,
      sym__pipe_left_operator,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19570), 1,
      anon_sym_QMARK,
    ACTIONS(19572), 1,
      anon_sym_where,
    ACTIONS(19574), 1,
      sym__pair_operator,
    ACTIONS(19576), 1,
      sym__arrow_operator,
    ACTIONS(19578), 1,
      sym__lazy_or_operator,
    ACTIONS(19580), 1,
      sym__lazy_and_operator,
    ACTIONS(19604), 1,
      anon_sym_RPAREN,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14469), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19552), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [279454] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1275), 1,
      anon_sym_DOLLAR,
    ACTIONS(1281), 1,
      anon_sym_AT,
    ACTIONS(1293), 1,
      sym_character_literal,
    ACTIONS(16273), 1,
      sym__word_identifier,
    ACTIONS(19606), 1,
      anon_sym_COLON2,
    ACTIONS(19608), 1,
      sym__immediate_paren,
    STATE(103), 1,
      sym_macro_identifier,
    STATE(5450), 1,
      sym_identifier,
    STATE(14786), 1,
      sym__delimiter_str_1,
    STATE(14787), 1,
      sym__delimiter_str_3,
    STATE(14788), 1,
      sym__delimiter_cmd_1,
    STATE(14789), 1,
      sym__delimiter_cmd_3,
    STATE(14470), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6331), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5845), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [279524] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19548), 1,
      sym__power_operator,
    STATE(14471), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 15,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [279566] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11706), 1,
      anon_sym_end,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19370), 1,
      sym__times_operator,
    ACTIONS(19372), 1,
      sym__rational_operator,
    ACTIONS(19374), 1,
      sym__bitshift_operator,
    ACTIONS(19376), 1,
      sym__power_operator,
    ACTIONS(19434), 1,
      anon_sym_COLON,
    ACTIONS(19440), 1,
      anon_sym_where,
    ACTIONS(19442), 1,
      sym__pair_operator,
    ACTIONS(19444), 1,
      sym__arrow_operator,
    ACTIONS(19446), 1,
      sym__lazy_or_operator,
    ACTIONS(19448), 1,
      sym__lazy_and_operator,
    ACTIONS(19450), 1,
      sym__comparison_operator,
    ACTIONS(19452), 1,
      sym__pipe_right_operator,
    ACTIONS(19454), 1,
      sym__pipe_left_operator,
    ACTIONS(19456), 1,
      sym__ellipsis_operator,
    ACTIONS(19520), 1,
      anon_sym_QMARK,
    ACTIONS(19458), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14472), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19436), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [279640] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1281), 1,
      anon_sym_AT,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(3921), 1,
      anon_sym_DOLLAR,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(19596), 1,
      anon_sym_COLON2,
    ACTIONS(19598), 1,
      sym__immediate_paren,
    STATE(91), 1,
      sym_macro_identifier,
    STATE(11177), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    STATE(14473), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10375), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [279710] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19542), 1,
      sym__times_operator,
    ACTIONS(19544), 1,
      sym__rational_operator,
    ACTIONS(19546), 1,
      sym__bitshift_operator,
    ACTIONS(19548), 1,
      sym__power_operator,
    ACTIONS(19540), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14474), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11788), 3,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11790), 13,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [279760] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR,
    ACTIONS(4431), 1,
      anon_sym_AT,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(19584), 1,
      sym__immediate_paren,
    ACTIONS(19610), 1,
      anon_sym_COLON2,
    STATE(65), 1,
      sym_macro_identifier,
    STATE(10962), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    STATE(14475), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10622), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [279830] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    STATE(14476), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 5,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 13,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [279878] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13435), 1,
      anon_sym_DOLLAR,
    ACTIONS(13441), 1,
      sym_character_literal,
    ACTIONS(16205), 1,
      sym__word_identifier,
    ACTIONS(19612), 1,
      anon_sym_COLON2,
    ACTIONS(19614), 1,
      sym__immediate_paren,
    STATE(5355), 1,
      sym_identifier,
    STATE(15249), 1,
      sym__delimiter_str_1,
    STATE(15251), 1,
      sym__delimiter_str_3,
    STATE(15252), 1,
      sym__delimiter_cmd_1,
    STATE(15253), 1,
      sym__delimiter_cmd_3,
    STATE(17770), 1,
      sym_macro_identifier,
    STATE(14477), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6141), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(6274), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [279948] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4135), 1,
      anon_sym_AT,
    ACTIONS(7685), 1,
      anon_sym_DOLLAR,
    ACTIONS(7693), 1,
      sym_character_literal,
    ACTIONS(16061), 1,
      sym__word_identifier,
    ACTIONS(19616), 1,
      anon_sym_COLON2,
    ACTIONS(19618), 1,
      sym__immediate_paren,
    STATE(38), 1,
      sym_macro_identifier,
    STATE(4661), 1,
      sym_identifier,
    STATE(15332), 1,
      sym__delimiter_str_1,
    STATE(15335), 1,
      sym__delimiter_str_3,
    STATE(15337), 1,
      sym__delimiter_cmd_1,
    STATE(15339), 1,
      sym__delimiter_cmd_3,
    STATE(14478), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5122), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5136), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [280018] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14119), 1,
      anon_sym_DOLLAR,
    ACTIONS(16381), 1,
      sym__word_identifier,
    ACTIONS(19620), 1,
      anon_sym_COLON2,
    ACTIONS(19622), 1,
      sym__immediate_paren,
    STATE(11963), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    STATE(17940), 1,
      sym_macro_identifier,
    STATE(14479), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11159), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [280088] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19510), 1,
      sym__power_operator,
    STATE(14480), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 15,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [280130] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(14597), 1,
      sym_character_literal,
    ACTIONS(14941), 1,
      anon_sym_DOLLAR,
    ACTIONS(16157), 1,
      sym__word_identifier,
    ACTIONS(19624), 1,
      anon_sym_COLON2,
    ACTIONS(19626), 1,
      sym__immediate_paren,
    STATE(5189), 1,
      sym_identifier,
    STATE(15289), 1,
      sym__delimiter_str_1,
    STATE(15290), 1,
      sym__delimiter_str_3,
    STATE(15291), 1,
      sym__delimiter_cmd_1,
    STATE(15292), 1,
      sym__delimiter_cmd_3,
    STATE(17738), 1,
      sym_macro_identifier,
    STATE(14481), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5663), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5693), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [280200] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4427), 1,
      anon_sym_DOLLAR,
    ACTIONS(4431), 1,
      anon_sym_AT,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(19584), 1,
      sym__immediate_paren,
    ACTIONS(19610), 1,
      anon_sym_COLON2,
    STATE(44), 1,
      sym_macro_identifier,
    STATE(10962), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    STATE(14482), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10622), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [280270] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13991), 1,
      sym_character_literal,
    ACTIONS(14715), 1,
      anon_sym_DOLLAR,
    ACTIONS(16207), 1,
      sym__word_identifier,
    ACTIONS(19628), 1,
      anon_sym_COLON2,
    ACTIONS(19630), 1,
      sym__immediate_paren,
    STATE(5364), 1,
      sym_identifier,
    STATE(14644), 1,
      sym__delimiter_str_1,
    STATE(14645), 1,
      sym__delimiter_str_3,
    STATE(14646), 1,
      sym__delimiter_cmd_1,
    STATE(14647), 1,
      sym__delimiter_cmd_3,
    STATE(17776), 1,
      sym_macro_identifier,
    STATE(14483), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6178), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5906), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [280340] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(14895), 1,
      sym_character_literal,
    ACTIONS(15245), 1,
      anon_sym_DOLLAR,
    ACTIONS(16083), 1,
      sym__word_identifier,
    ACTIONS(19632), 1,
      anon_sym_COLON2,
    ACTIONS(19634), 1,
      sym__immediate_paren,
    STATE(5939), 1,
      sym_identifier,
    STATE(14709), 1,
      sym__delimiter_str_1,
    STATE(14716), 1,
      sym__delimiter_str_3,
    STATE(14717), 1,
      sym__delimiter_cmd_1,
    STATE(14718), 1,
      sym__delimiter_cmd_3,
    STATE(17681), 1,
      sym_macro_identifier,
    STATE(14484), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6824), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(6937), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [280410] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19510), 1,
      sym__power_operator,
    STATE(14485), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11308), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11310), 15,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [280452] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19554), 1,
      sym__comparison_operator,
    ACTIONS(19556), 1,
      sym__pipe_right_operator,
    ACTIONS(19558), 1,
      sym__pipe_left_operator,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19570), 1,
      anon_sym_QMARK,
    ACTIONS(19572), 1,
      anon_sym_where,
    ACTIONS(19574), 1,
      sym__pair_operator,
    ACTIONS(19576), 1,
      sym__arrow_operator,
    ACTIONS(19578), 1,
      sym__lazy_or_operator,
    ACTIONS(19580), 1,
      sym__lazy_and_operator,
    ACTIONS(19636), 1,
      anon_sym_RPAREN,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14486), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19552), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [280526] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15865), 1,
      anon_sym_EQ,
    STATE(14487), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9442), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(9483), 16,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__power_operator,
      sym__type_order_operator,
  [280566] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(671), 1,
      anon_sym_AT,
    ACTIONS(7207), 1,
      anon_sym_DOLLAR,
    ACTIONS(7215), 1,
      sym_character_literal,
    ACTIONS(16169), 1,
      sym__word_identifier,
    ACTIONS(19562), 1,
      anon_sym_COLON2,
    ACTIONS(19564), 1,
      sym__immediate_paren,
    STATE(271), 1,
      sym_macro_identifier,
    STATE(4764), 1,
      sym_identifier,
    STATE(15122), 1,
      sym__delimiter_str_1,
    STATE(15124), 1,
      sym__delimiter_str_3,
    STATE(15129), 1,
      sym__delimiter_cmd_1,
    STATE(15130), 1,
      sym__delimiter_cmd_3,
    STATE(14488), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5408), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5432), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [280636] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13453), 1,
      anon_sym_DOLLAR,
    ACTIONS(13459), 1,
      sym_character_literal,
    ACTIONS(16209), 1,
      sym__word_identifier,
    ACTIONS(19638), 1,
      anon_sym_COLON2,
    ACTIONS(19640), 1,
      sym__immediate_paren,
    STATE(11174), 1,
      sym_identifier,
    STATE(14676), 1,
      sym__delimiter_str_1,
    STATE(14677), 1,
      sym__delimiter_str_3,
    STATE(14678), 1,
      sym__delimiter_cmd_1,
    STATE(14679), 1,
      sym__delimiter_cmd_3,
    STATE(17780), 1,
      sym_macro_identifier,
    STATE(14489), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11728), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(11610), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [280706] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4225), 1,
      anon_sym_DOLLAR,
    ACTIONS(4229), 1,
      anon_sym_AT,
    ACTIONS(4235), 1,
      sym_character_literal,
    ACTIONS(16057), 1,
      sym__word_identifier,
    ACTIONS(19642), 1,
      anon_sym_COLON2,
    ACTIONS(19644), 1,
      sym__immediate_paren,
    STATE(4), 1,
      sym_macro_identifier,
    STATE(10686), 1,
      sym_identifier,
    STATE(15125), 1,
      sym__delimiter_str_1,
    STATE(15126), 1,
      sym__delimiter_str_3,
    STATE(15127), 1,
      sym__delimiter_cmd_1,
    STATE(15128), 1,
      sym__delimiter_cmd_3,
    STATE(14490), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10928), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10903), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [280776] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(69), 1,
      anon_sym_AT,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(19584), 1,
      sym__immediate_paren,
    ACTIONS(19646), 1,
      anon_sym_COLON2,
    STATE(87), 1,
      sym_macro_identifier,
    STATE(10916), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    STATE(14491), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10622), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [280846] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19516), 1,
      anon_sym_COLON,
    ACTIONS(19534), 1,
      sym__pipe_right_operator,
    ACTIONS(19536), 1,
      sym__pipe_left_operator,
    ACTIONS(19538), 1,
      sym__ellipsis_operator,
    ACTIONS(19542), 1,
      sym__times_operator,
    ACTIONS(19544), 1,
      sym__rational_operator,
    ACTIONS(19546), 1,
      sym__bitshift_operator,
    ACTIONS(19548), 1,
      sym__power_operator,
    ACTIONS(19540), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14492), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 10,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [280906] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11380), 1,
      anon_sym_end,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19516), 1,
      anon_sym_COLON,
    ACTIONS(19520), 1,
      anon_sym_QMARK,
    ACTIONS(19522), 1,
      anon_sym_where,
    ACTIONS(19524), 1,
      sym__pair_operator,
    ACTIONS(19526), 1,
      sym__arrow_operator,
    ACTIONS(19528), 1,
      sym__lazy_or_operator,
    ACTIONS(19530), 1,
      sym__lazy_and_operator,
    ACTIONS(19532), 1,
      sym__comparison_operator,
    ACTIONS(19534), 1,
      sym__pipe_right_operator,
    ACTIONS(19536), 1,
      sym__pipe_left_operator,
    ACTIONS(19538), 1,
      sym__ellipsis_operator,
    ACTIONS(19542), 1,
      sym__times_operator,
    ACTIONS(19544), 1,
      sym__rational_operator,
    ACTIONS(19546), 1,
      sym__bitshift_operator,
    ACTIONS(19548), 1,
      sym__power_operator,
    ACTIONS(19540), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14493), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19518), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [280980] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19516), 1,
      anon_sym_COLON,
    ACTIONS(19522), 1,
      anon_sym_where,
    ACTIONS(19526), 1,
      sym__arrow_operator,
    ACTIONS(19528), 1,
      sym__lazy_or_operator,
    ACTIONS(19530), 1,
      sym__lazy_and_operator,
    ACTIONS(19532), 1,
      sym__comparison_operator,
    ACTIONS(19534), 1,
      sym__pipe_right_operator,
    ACTIONS(19536), 1,
      sym__pipe_left_operator,
    ACTIONS(19538), 1,
      sym__ellipsis_operator,
    ACTIONS(19542), 1,
      sym__times_operator,
    ACTIONS(19544), 1,
      sym__rational_operator,
    ACTIONS(19546), 1,
      sym__bitshift_operator,
    ACTIONS(19548), 1,
      sym__power_operator,
    ACTIONS(19540), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14494), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 3,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
    ACTIONS(19518), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [281050] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19516), 1,
      anon_sym_COLON,
    ACTIONS(19522), 1,
      anon_sym_where,
    ACTIONS(19530), 1,
      sym__lazy_and_operator,
    ACTIONS(19532), 1,
      sym__comparison_operator,
    ACTIONS(19534), 1,
      sym__pipe_right_operator,
    ACTIONS(19536), 1,
      sym__pipe_left_operator,
    ACTIONS(19538), 1,
      sym__ellipsis_operator,
    ACTIONS(19542), 1,
      sym__times_operator,
    ACTIONS(19544), 1,
      sym__rational_operator,
    ACTIONS(19546), 1,
      sym__bitshift_operator,
    ACTIONS(19548), 1,
      sym__power_operator,
    ACTIONS(19540), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14495), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19518), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 5,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [281116] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19516), 1,
      anon_sym_COLON,
    ACTIONS(19522), 1,
      anon_sym_where,
    ACTIONS(19532), 1,
      sym__comparison_operator,
    ACTIONS(19534), 1,
      sym__pipe_right_operator,
    ACTIONS(19536), 1,
      sym__pipe_left_operator,
    ACTIONS(19538), 1,
      sym__ellipsis_operator,
    ACTIONS(19542), 1,
      sym__times_operator,
    ACTIONS(19544), 1,
      sym__rational_operator,
    ACTIONS(19546), 1,
      sym__bitshift_operator,
    ACTIONS(19548), 1,
      sym__power_operator,
    ACTIONS(19540), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14496), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19518), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 6,
      anon_sym_end,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [281180] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19516), 1,
      anon_sym_COLON,
    ACTIONS(19538), 1,
      sym__ellipsis_operator,
    ACTIONS(19542), 1,
      sym__times_operator,
    ACTIONS(19544), 1,
      sym__rational_operator,
    ACTIONS(19546), 1,
      sym__bitshift_operator,
    ACTIONS(19548), 1,
      sym__power_operator,
    ACTIONS(19540), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14497), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 12,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [281236] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19516), 1,
      anon_sym_COLON,
    ACTIONS(19534), 1,
      sym__pipe_right_operator,
    ACTIONS(19536), 1,
      sym__pipe_left_operator,
    ACTIONS(19538), 1,
      sym__ellipsis_operator,
    ACTIONS(19542), 1,
      sym__times_operator,
    ACTIONS(19544), 1,
      sym__rational_operator,
    ACTIONS(19546), 1,
      sym__bitshift_operator,
    ACTIONS(19548), 1,
      sym__power_operator,
    ACTIONS(19540), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14498), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 10,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [281296] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19542), 1,
      sym__times_operator,
    ACTIONS(19544), 1,
      sym__rational_operator,
    ACTIONS(19546), 1,
      sym__bitshift_operator,
    ACTIONS(19548), 1,
      sym__power_operator,
    ACTIONS(19540), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14499), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 3,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
    ACTIONS(11380), 13,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [281346] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4001), 1,
      anon_sym_DOLLAR,
    ACTIONS(4005), 1,
      anon_sym_AT,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(19584), 1,
      sym__immediate_paren,
    ACTIONS(19648), 1,
      anon_sym_COLON2,
    STATE(27), 1,
      sym_macro_identifier,
    STATE(10655), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    STATE(14500), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10622), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [281416] = 10,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19542), 1,
      sym__times_operator,
    ACTIONS(19544), 1,
      sym__rational_operator,
    ACTIONS(19546), 1,
      sym__bitshift_operator,
    ACTIONS(19548), 1,
      sym__power_operator,
    STATE(14501), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 5,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 13,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [281464] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19544), 1,
      sym__rational_operator,
    ACTIONS(19546), 1,
      sym__bitshift_operator,
    ACTIONS(19548), 1,
      sym__power_operator,
    STATE(14502), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 13,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [281510] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19546), 1,
      sym__bitshift_operator,
    ACTIONS(19548), 1,
      sym__power_operator,
    STATE(14503), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 14,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__type_order_operator,
  [281554] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19548), 1,
      sym__power_operator,
    STATE(14504), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 15,
      anon_sym_end,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__rational_operator,
      sym__bitshift_operator,
      sym__type_order_operator,
  [281596] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(14551), 1,
      sym_character_literal,
    ACTIONS(15085), 1,
      anon_sym_DOLLAR,
    ACTIONS(16229), 1,
      sym__word_identifier,
    ACTIONS(19650), 1,
      anon_sym_COLON2,
    ACTIONS(19652), 1,
      sym__immediate_paren,
    STATE(5379), 1,
      sym_identifier,
    STATE(14691), 1,
      sym__delimiter_str_1,
    STATE(14692), 1,
      sym__delimiter_str_3,
    STATE(14693), 1,
      sym__delimiter_cmd_1,
    STATE(14694), 1,
      sym__delimiter_cmd_3,
    STATE(17786), 1,
      sym_macro_identifier,
    STATE(14505), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6222), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(6006), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [281666] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(63), 1,
      anon_sym_DOLLAR,
    ACTIONS(69), 1,
      anon_sym_AT,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(19584), 1,
      sym__immediate_paren,
    ACTIONS(19646), 1,
      anon_sym_COLON2,
    STATE(42), 1,
      sym_macro_identifier,
    STATE(10916), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    STATE(14506), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10622), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [281736] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4225), 1,
      anon_sym_DOLLAR,
    ACTIONS(4229), 1,
      anon_sym_AT,
    ACTIONS(4235), 1,
      sym_character_literal,
    ACTIONS(16057), 1,
      sym__word_identifier,
    ACTIONS(19642), 1,
      anon_sym_COLON2,
    ACTIONS(19644), 1,
      sym__immediate_paren,
    STATE(19), 1,
      sym_macro_identifier,
    STATE(10686), 1,
      sym_identifier,
    STATE(15125), 1,
      sym__delimiter_str_1,
    STATE(15126), 1,
      sym__delimiter_str_3,
    STATE(15127), 1,
      sym__delimiter_cmd_1,
    STATE(15128), 1,
      sym__delimiter_cmd_3,
    STATE(14507), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10928), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10903), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [281806] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(671), 1,
      anon_sym_AT,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(3666), 1,
      anon_sym_DOLLAR,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(19598), 1,
      sym__immediate_paren,
    ACTIONS(19654), 1,
      anon_sym_COLON2,
    STATE(93), 1,
      sym_macro_identifier,
    STATE(10955), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    STATE(14508), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10375), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [281876] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13415), 1,
      sym_character_literal,
    ACTIONS(15257), 1,
      anon_sym_DOLLAR,
    ACTIONS(16109), 1,
      sym__word_identifier,
    ACTIONS(19656), 1,
      anon_sym_COLON2,
    ACTIONS(19658), 1,
      sym__immediate_paren,
    STATE(5625), 1,
      sym_identifier,
    STATE(14954), 1,
      sym__delimiter_str_1,
    STATE(14956), 1,
      sym__delimiter_str_3,
    STATE(14957), 1,
      sym__delimiter_cmd_1,
    STATE(14958), 1,
      sym__delimiter_cmd_3,
    STATE(17692), 1,
      sym_macro_identifier,
    STATE(14509), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6437), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(6470), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [281946] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4005), 1,
      anon_sym_AT,
    ACTIONS(7389), 1,
      anon_sym_DOLLAR,
    ACTIONS(7397), 1,
      sym_character_literal,
    ACTIONS(16281), 1,
      sym__word_identifier,
    ACTIONS(19660), 1,
      anon_sym_COLON2,
    ACTIONS(19662), 1,
      sym__immediate_paren,
    STATE(6), 1,
      sym_macro_identifier,
    STATE(4559), 1,
      sym_identifier,
    STATE(14797), 1,
      sym__delimiter_str_1,
    STATE(14798), 1,
      sym__delimiter_str_3,
    STATE(14799), 1,
      sym__delimiter_cmd_1,
    STATE(14800), 1,
      sym__delimiter_cmd_3,
    STATE(14510), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4860), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(4687), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [282016] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(69), 1,
      anon_sym_AT,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4463), 1,
      anon_sym_DOLLAR,
    ACTIONS(4471), 1,
      sym_character_literal,
    ACTIONS(16399), 1,
      sym__word_identifier,
    ACTIONS(19512), 1,
      anon_sym_COLON2,
    ACTIONS(19514), 1,
      sym__immediate_paren,
    STATE(24), 1,
      sym_macro_identifier,
    STATE(4614), 1,
      sym_identifier,
    STATE(15050), 1,
      sym__delimiter_str_1,
    STATE(15051), 1,
      sym__delimiter_str_3,
    STATE(15052), 1,
      sym__delimiter_cmd_1,
    STATE(15053), 1,
      sym__delimiter_cmd_3,
    STATE(14511), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5030), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5275), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [282086] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(665), 1,
      anon_sym_DOLLAR,
    ACTIONS(671), 1,
      anon_sym_AT,
    ACTIONS(683), 1,
      sym_character_literal,
    ACTIONS(16027), 1,
      sym__word_identifier,
    ACTIONS(19664), 1,
      anon_sym_COLON2,
    ACTIONS(19666), 1,
      sym__immediate_paren,
    STATE(16), 1,
      sym_macro_identifier,
    STATE(4635), 1,
      sym_identifier,
    STATE(15442), 1,
      sym__delimiter_str_1,
    STATE(15443), 1,
      sym__delimiter_str_3,
    STATE(15444), 1,
      sym__delimiter_cmd_1,
    STATE(15445), 1,
      sym__delimiter_cmd_3,
    STATE(14512), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5075), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5085), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [282156] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4413), 1,
      anon_sym_AT,
    ACTIONS(7543), 1,
      anon_sym_DOLLAR,
    ACTIONS(7551), 1,
      sym_character_literal,
    ACTIONS(16259), 1,
      sym__word_identifier,
    ACTIONS(19566), 1,
      anon_sym_COLON2,
    ACTIONS(19568), 1,
      sym__immediate_paren,
    STATE(55), 1,
      sym_macro_identifier,
    STATE(4628), 1,
      sym_identifier,
    STATE(14726), 1,
      sym__delimiter_str_1,
    STATE(14727), 1,
      sym__delimiter_str_3,
    STATE(14728), 1,
      sym__delimiter_cmd_1,
    STATE(14729), 1,
      sym__delimiter_cmd_3,
    STATE(14513), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5282), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(4969), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [282226] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13633), 1,
      anon_sym_DOLLAR,
    ACTIONS(13639), 1,
      sym_character_literal,
    ACTIONS(16257), 1,
      sym__word_identifier,
    ACTIONS(19668), 1,
      anon_sym_COLON2,
    ACTIONS(19670), 1,
      sym__immediate_paren,
    STATE(5744), 1,
      sym_identifier,
    STATE(14705), 1,
      sym__delimiter_str_1,
    STATE(14706), 1,
      sym__delimiter_str_3,
    STATE(14707), 1,
      sym__delimiter_cmd_1,
    STATE(14708), 1,
      sym__delimiter_cmd_3,
    STATE(17791), 1,
      sym_macro_identifier,
    STATE(14514), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6690), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(6576), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [282296] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4431), 1,
      anon_sym_AT,
    ACTIONS(7207), 1,
      anon_sym_DOLLAR,
    ACTIONS(7215), 1,
      sym_character_literal,
    ACTIONS(16169), 1,
      sym__word_identifier,
    ACTIONS(19562), 1,
      anon_sym_COLON2,
    ACTIONS(19564), 1,
      sym__immediate_paren,
    STATE(58), 1,
      sym_macro_identifier,
    STATE(4764), 1,
      sym_identifier,
    STATE(15122), 1,
      sym__delimiter_str_1,
    STATE(15124), 1,
      sym__delimiter_str_3,
    STATE(15129), 1,
      sym__delimiter_cmd_1,
    STATE(15130), 1,
      sym__delimiter_cmd_3,
    STATE(14515), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5408), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5432), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [282366] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4229), 1,
      anon_sym_AT,
    ACTIONS(7277), 1,
      anon_sym_DOLLAR,
    ACTIONS(7285), 1,
      sym_character_literal,
    ACTIONS(16175), 1,
      sym__word_identifier,
    ACTIONS(19672), 1,
      anon_sym_COLON2,
    ACTIONS(19674), 1,
      sym__immediate_paren,
    STATE(22), 1,
      sym_macro_identifier,
    STATE(4549), 1,
      sym_identifier,
    STATE(15346), 1,
      sym__delimiter_str_1,
    STATE(15347), 1,
      sym__delimiter_str_3,
    STATE(15348), 1,
      sym__delimiter_cmd_1,
    STATE(15349), 1,
      sym__delimiter_cmd_3,
    STATE(14516), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4706), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(4927), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [282436] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13579), 1,
      sym_character_literal,
    ACTIONS(14615), 1,
      anon_sym_DOLLAR,
    ACTIONS(16263), 1,
      sym__word_identifier,
    ACTIONS(19676), 1,
      anon_sym_COLON2,
    ACTIONS(19678), 1,
      sym__immediate_paren,
    STATE(5444), 1,
      sym_identifier,
    STATE(14772), 1,
      sym__delimiter_str_1,
    STATE(14773), 1,
      sym__delimiter_str_3,
    STATE(14774), 1,
      sym__delimiter_cmd_1,
    STATE(14775), 1,
      sym__delimiter_cmd_3,
    STATE(17796), 1,
      sym_macro_identifier,
    STATE(14517), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6303), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5838), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [282506] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(671), 1,
      anon_sym_AT,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(3256), 1,
      anon_sym_DOLLAR,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(19598), 1,
      sym__immediate_paren,
    ACTIONS(19680), 1,
      anon_sym_COLON2,
    STATE(26), 1,
      sym_macro_identifier,
    STATE(10424), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    STATE(14518), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10375), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [282576] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DOLLAR,
    ACTIONS(4377), 1,
      anon_sym_AT,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(19584), 1,
      sym__immediate_paren,
    ACTIONS(19682), 1,
      anon_sym_COLON2,
    STATE(15), 1,
      sym_macro_identifier,
    STATE(10778), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    STATE(14519), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10622), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [282646] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(671), 1,
      anon_sym_AT,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(3666), 1,
      anon_sym_DOLLAR,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(19598), 1,
      sym__immediate_paren,
    ACTIONS(19654), 1,
      anon_sym_COLON2,
    STATE(76), 1,
      sym_macro_identifier,
    STATE(10955), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    STATE(14520), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10375), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [282716] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4409), 1,
      anon_sym_DOLLAR,
    ACTIONS(4413), 1,
      anon_sym_AT,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(19584), 1,
      sym__immediate_paren,
    ACTIONS(19586), 1,
      anon_sym_COLON2,
    STATE(17), 1,
      sym_macro_identifier,
    STATE(10780), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    STATE(14521), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10622), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [282786] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(671), 1,
      anon_sym_AT,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(3256), 1,
      anon_sym_DOLLAR,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(19598), 1,
      sym__immediate_paren,
    ACTIONS(19680), 1,
      anon_sym_COLON2,
    STATE(235), 1,
      sym_macro_identifier,
    STATE(10424), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    STATE(14522), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10375), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [282856] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    STATE(14523), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11378), 6,
      anon_sym_COLON,
      sym__comparison_operator,
      sym__ellipsis_operator,
      sym__plus_operator,
      sym__times_operator,
      sym__unary_plus_operator,
    ACTIONS(11380), 13,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_DOT_DOT_DOT,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [282902] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(671), 1,
      anon_sym_AT,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(3256), 1,
      anon_sym_DOLLAR,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(19598), 1,
      sym__immediate_paren,
    ACTIONS(19680), 1,
      anon_sym_COLON2,
    STATE(147), 1,
      sym_macro_identifier,
    STATE(10424), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    STATE(14524), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10375), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [282972] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(671), 1,
      anon_sym_AT,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(3256), 1,
      anon_sym_DOLLAR,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(19598), 1,
      sym__immediate_paren,
    ACTIONS(19680), 1,
      anon_sym_COLON2,
    STATE(242), 1,
      sym_macro_identifier,
    STATE(10424), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    STATE(14525), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10375), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [283042] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4373), 1,
      anon_sym_DOLLAR,
    ACTIONS(4377), 1,
      anon_sym_AT,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(19584), 1,
      sym__immediate_paren,
    ACTIONS(19682), 1,
      anon_sym_COLON2,
    STATE(49), 1,
      sym_macro_identifier,
    STATE(10778), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    STATE(14526), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10622), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [283112] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(671), 1,
      anon_sym_AT,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(3540), 1,
      anon_sym_DOLLAR,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(19598), 1,
      sym__immediate_paren,
    ACTIONS(19684), 1,
      anon_sym_COLON2,
    STATE(83), 1,
      sym_macro_identifier,
    STATE(10709), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    STATE(14527), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10375), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [283182] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13941), 1,
      sym_character_literal,
    ACTIONS(15339), 1,
      anon_sym_DOLLAR,
    ACTIONS(16277), 1,
      sym__word_identifier,
    ACTIONS(19686), 1,
      anon_sym_COLON2,
    ACTIONS(19688), 1,
      sym__immediate_paren,
    STATE(5298), 1,
      sym_identifier,
    STATE(14841), 1,
      sym__delimiter_str_1,
    STATE(14842), 1,
      sym__delimiter_str_3,
    STATE(14843), 1,
      sym__delimiter_cmd_1,
    STATE(14844), 1,
      sym__delimiter_cmd_3,
    STATE(17801), 1,
      sym_macro_identifier,
    STATE(14528), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5784), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5492), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [283252] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(671), 1,
      anon_sym_AT,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(3256), 1,
      anon_sym_DOLLAR,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(19598), 1,
      sym__immediate_paren,
    ACTIONS(19680), 1,
      anon_sym_COLON2,
    STATE(154), 1,
      sym_macro_identifier,
    STATE(10424), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    STATE(14529), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10375), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [283322] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(671), 1,
      anon_sym_AT,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(3540), 1,
      anon_sym_DOLLAR,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(19598), 1,
      sym__immediate_paren,
    ACTIONS(19684), 1,
      anon_sym_COLON2,
    STATE(61), 1,
      sym_macro_identifier,
    STATE(10709), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    STATE(14530), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10375), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [283392] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(15041), 1,
      anon_sym_DOLLAR,
    ACTIONS(16111), 1,
      sym__word_identifier,
    ACTIONS(19690), 1,
      anon_sym_COLON2,
    ACTIONS(19692), 1,
      sym__immediate_paren,
    STATE(11515), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    STATE(17702), 1,
      sym_macro_identifier,
    STATE(14531), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11083), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [283462] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19294), 1,
      anon_sym_RPAREN,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19554), 1,
      sym__comparison_operator,
    ACTIONS(19556), 1,
      sym__pipe_right_operator,
    ACTIONS(19558), 1,
      sym__pipe_left_operator,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19570), 1,
      anon_sym_QMARK,
    ACTIONS(19572), 1,
      anon_sym_where,
    ACTIONS(19574), 1,
      sym__pair_operator,
    ACTIONS(19576), 1,
      sym__arrow_operator,
    ACTIONS(19578), 1,
      sym__lazy_or_operator,
    ACTIONS(19580), 1,
      sym__lazy_and_operator,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14532), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19552), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [283536] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13707), 1,
      anon_sym_DOLLAR,
    ACTIONS(13713), 1,
      sym_character_literal,
    ACTIONS(16279), 1,
      sym__word_identifier,
    ACTIONS(19694), 1,
      anon_sym_COLON2,
    ACTIONS(19696), 1,
      sym__immediate_paren,
    STATE(5475), 1,
      sym_identifier,
    STATE(14890), 1,
      sym__delimiter_str_1,
    STATE(14891), 1,
      sym__delimiter_str_3,
    STATE(14892), 1,
      sym__delimiter_cmd_1,
    STATE(14893), 1,
      sym__delimiter_cmd_3,
    STATE(17805), 1,
      sym_macro_identifier,
    STATE(14533), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6379), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5936), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [283606] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4377), 1,
      anon_sym_AT,
    ACTIONS(7161), 1,
      anon_sym_DOLLAR,
    ACTIONS(7169), 1,
      sym_character_literal,
    ACTIONS(16179), 1,
      sym__word_identifier,
    ACTIONS(19698), 1,
      anon_sym_COLON2,
    ACTIONS(19700), 1,
      sym__immediate_paren,
    STATE(53), 1,
      sym_macro_identifier,
    STATE(4641), 1,
      sym_identifier,
    STATE(15378), 1,
      sym__delimiter_str_1,
    STATE(15379), 1,
      sym__delimiter_str_3,
    STATE(15381), 1,
      sym__delimiter_cmd_1,
    STATE(15383), 1,
      sym__delimiter_cmd_3,
    STATE(14534), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5208), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5242), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [283676] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13511), 1,
      sym_character_literal,
    ACTIONS(14791), 1,
      anon_sym_DOLLAR,
    ACTIONS(16173), 1,
      sym__word_identifier,
    ACTIONS(19702), 1,
      anon_sym_COLON2,
    ACTIONS(19704), 1,
      sym__immediate_paren,
    STATE(11353), 1,
      sym_identifier,
    STATE(15321), 1,
      sym__delimiter_str_1,
    STATE(15322), 1,
      sym__delimiter_str_3,
    STATE(15323), 1,
      sym__delimiter_cmd_1,
    STATE(15325), 1,
      sym__delimiter_cmd_3,
    STATE(17755), 1,
      sym_macro_identifier,
    STATE(14535), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11891), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(11846), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [283746] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13056), 1,
      anon_sym_DOLLAR,
    ACTIONS(16025), 1,
      sym__word_identifier,
    ACTIONS(19706), 1,
      anon_sym_COLON2,
    ACTIONS(19708), 1,
      sym__immediate_paren,
    STATE(11907), 1,
      sym_identifier,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17598), 1,
      sym_macro_identifier,
    STATE(14536), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10701), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [283816] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11706), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19466), 1,
      anon_sym_COLON,
    ACTIONS(19470), 1,
      sym__comparison_operator,
    ACTIONS(19472), 1,
      sym__pipe_right_operator,
    ACTIONS(19474), 1,
      sym__pipe_left_operator,
    ACTIONS(19476), 1,
      sym__ellipsis_operator,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    ACTIONS(19492), 1,
      anon_sym_where,
    ACTIONS(19494), 1,
      sym__pair_operator,
    ACTIONS(19496), 1,
      sym__arrow_operator,
    ACTIONS(19498), 1,
      sym__lazy_or_operator,
    ACTIONS(19500), 1,
      sym__lazy_and_operator,
    ACTIONS(19570), 1,
      anon_sym_QMARK,
    ACTIONS(19478), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14537), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19468), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [283890] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13873), 1,
      sym_character_literal,
    ACTIONS(14691), 1,
      anon_sym_DOLLAR,
    ACTIONS(16303), 1,
      sym__word_identifier,
    ACTIONS(19710), 1,
      anon_sym_COLON2,
    ACTIONS(19712), 1,
      sym__immediate_paren,
    STATE(5584), 1,
      sym_identifier,
    STATE(14903), 1,
      sym__delimiter_str_1,
    STATE(14904), 1,
      sym__delimiter_str_3,
    STATE(14905), 1,
      sym__delimiter_cmd_1,
    STATE(14906), 1,
      sym__delimiter_cmd_3,
    STATE(17809), 1,
      sym_macro_identifier,
    STATE(14538), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6757), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(6759), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [283960] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14463), 1,
      anon_sym_DOLLAR,
    ACTIONS(16111), 1,
      sym__word_identifier,
    ACTIONS(19692), 1,
      sym__immediate_paren,
    ACTIONS(19714), 1,
      anon_sym_COLON2,
    STATE(11652), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    STATE(17702), 1,
      sym_macro_identifier,
    STATE(14539), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11083), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [284030] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14277), 1,
      anon_sym_DOLLAR,
    ACTIONS(16113), 1,
      sym__word_identifier,
    ACTIONS(19716), 1,
      anon_sym_COLON2,
    ACTIONS(19718), 1,
      sym__immediate_paren,
    STATE(11654), 1,
      sym_identifier,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    STATE(17711), 1,
      sym_macro_identifier,
    STATE(14540), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10553), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [284100] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4131), 1,
      anon_sym_DOLLAR,
    ACTIONS(4135), 1,
      anon_sym_AT,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(19582), 1,
      anon_sym_COLON2,
    ACTIONS(19584), 1,
      sym__immediate_paren,
    STATE(31), 1,
      sym_macro_identifier,
    STATE(10794), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    STATE(14541), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10622), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [284170] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(13152), 1,
      anon_sym_DOLLAR,
    ACTIONS(16025), 1,
      sym__word_identifier,
    ACTIONS(19708), 1,
      sym__immediate_paren,
    ACTIONS(19720), 1,
      anon_sym_COLON2,
    STATE(12092), 1,
      sym_identifier,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17598), 1,
      sym_macro_identifier,
    STATE(14542), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10701), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [284240] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14911), 1,
      anon_sym_DOLLAR,
    ACTIONS(16111), 1,
      sym__word_identifier,
    ACTIONS(19692), 1,
      sym__immediate_paren,
    ACTIONS(19722), 1,
      anon_sym_COLON2,
    STATE(11275), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    STATE(17702), 1,
      sym_macro_identifier,
    STATE(14543), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11083), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [284310] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14385), 1,
      anon_sym_DOLLAR,
    ACTIONS(16113), 1,
      sym__word_identifier,
    ACTIONS(19718), 1,
      sym__immediate_paren,
    ACTIONS(19724), 1,
      anon_sym_COLON2,
    STATE(11971), 1,
      sym_identifier,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    STATE(17711), 1,
      sym_macro_identifier,
    STATE(14544), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10553), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [284380] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(665), 1,
      anon_sym_DOLLAR,
    ACTIONS(671), 1,
      anon_sym_AT,
    ACTIONS(683), 1,
      sym_character_literal,
    ACTIONS(16027), 1,
      sym__word_identifier,
    ACTIONS(19664), 1,
      anon_sym_COLON2,
    ACTIONS(19666), 1,
      sym__immediate_paren,
    STATE(46), 1,
      sym_macro_identifier,
    STATE(4635), 1,
      sym_identifier,
    STATE(15442), 1,
      sym__delimiter_str_1,
    STATE(15443), 1,
      sym__delimiter_str_3,
    STATE(15444), 1,
      sym__delimiter_cmd_1,
    STATE(15445), 1,
      sym__delimiter_cmd_3,
    STATE(14545), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5075), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5085), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [284450] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13771), 1,
      sym_character_literal,
    ACTIONS(15327), 1,
      anon_sym_DOLLAR,
    ACTIONS(16331), 1,
      sym__word_identifier,
    ACTIONS(19726), 1,
      anon_sym_COLON2,
    ACTIONS(19728), 1,
      sym__immediate_paren,
    STATE(6812), 1,
      sym_identifier,
    STATE(14929), 1,
      sym__delimiter_str_1,
    STATE(14930), 1,
      sym__delimiter_str_3,
    STATE(14931), 1,
      sym__delimiter_cmd_1,
    STATE(14932), 1,
      sym__delimiter_cmd_3,
    STATE(17814), 1,
      sym_macro_identifier,
    STATE(14546), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7422), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(7192), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [284520] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(12831), 1,
      anon_sym_DOLLAR,
    ACTIONS(16025), 1,
      sym__word_identifier,
    ACTIONS(19708), 1,
      sym__immediate_paren,
    ACTIONS(19730), 1,
      anon_sym_COLON2,
    STATE(11341), 1,
      sym_identifier,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17598), 1,
      sym_macro_identifier,
    STATE(14547), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10701), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [284590] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14919), 1,
      anon_sym_DOLLAR,
    ACTIONS(16111), 1,
      sym__word_identifier,
    ACTIONS(19692), 1,
      sym__immediate_paren,
    ACTIONS(19732), 1,
      anon_sym_COLON2,
    STATE(11234), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    STATE(17702), 1,
      sym_macro_identifier,
    STATE(14548), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11083), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [284660] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(14391), 1,
      anon_sym_DOLLAR,
    ACTIONS(16113), 1,
      sym__word_identifier,
    ACTIONS(19718), 1,
      sym__immediate_paren,
    ACTIONS(19734), 1,
      anon_sym_COLON2,
    STATE(11237), 1,
      sym_identifier,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    STATE(17711), 1,
      sym_macro_identifier,
    STATE(14549), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10553), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [284730] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14927), 1,
      anon_sym_DOLLAR,
    ACTIONS(16111), 1,
      sym__word_identifier,
    ACTIONS(19692), 1,
      sym__immediate_paren,
    ACTIONS(19736), 1,
      anon_sym_COLON2,
    STATE(11293), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    STATE(17702), 1,
      sym_macro_identifier,
    STATE(14550), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11083), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [284800] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13737), 1,
      sym_character_literal,
    ACTIONS(14931), 1,
      anon_sym_DOLLAR,
    ACTIONS(16111), 1,
      sym__word_identifier,
    ACTIONS(19692), 1,
      sym__immediate_paren,
    ACTIONS(19738), 1,
      anon_sym_COLON2,
    STATE(11394), 1,
      sym_identifier,
    STATE(15058), 1,
      sym__delimiter_str_1,
    STATE(15059), 1,
      sym__delimiter_str_3,
    STATE(15060), 1,
      sym__delimiter_cmd_1,
    STATE(15061), 1,
      sym__delimiter_cmd_3,
    STATE(17702), 1,
      sym_macro_identifier,
    STATE(14551), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11083), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10994), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [284870] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14453), 1,
      anon_sym_DOLLAR,
    ACTIONS(16381), 1,
      sym__word_identifier,
    ACTIONS(19622), 1,
      sym__immediate_paren,
    ACTIONS(19740), 1,
      anon_sym_COLON2,
    STATE(11905), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    STATE(17940), 1,
      sym_macro_identifier,
    STATE(14552), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11159), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [284940] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13961), 1,
      anon_sym_DOLLAR,
    ACTIONS(13967), 1,
      sym_character_literal,
    ACTIONS(16113), 1,
      sym__word_identifier,
    ACTIONS(19718), 1,
      sym__immediate_paren,
    ACTIONS(19742), 1,
      anon_sym_COLON2,
    STATE(10670), 1,
      sym_identifier,
    STATE(15132), 1,
      sym__delimiter_str_1,
    STATE(15133), 1,
      sym__delimiter_str_3,
    STATE(15134), 1,
      sym__delimiter_cmd_1,
    STATE(15135), 1,
      sym__delimiter_cmd_3,
    STATE(17711), 1,
      sym_macro_identifier,
    STATE(14553), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10553), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10600), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [285010] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(671), 1,
      anon_sym_AT,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(3921), 1,
      anon_sym_DOLLAR,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(19596), 1,
      anon_sym_COLON2,
    ACTIONS(19598), 1,
      sym__immediate_paren,
    STATE(63), 1,
      sym_macro_identifier,
    STATE(11177), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    STATE(14554), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10375), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [285080] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(14803), 1,
      anon_sym_DOLLAR,
    ACTIONS(14809), 1,
      sym_character_literal,
    ACTIONS(16333), 1,
      sym__word_identifier,
    ACTIONS(19744), 1,
      anon_sym_COLON2,
    ACTIONS(19746), 1,
      sym__immediate_paren,
    STATE(5430), 1,
      sym_identifier,
    STATE(14972), 1,
      sym__delimiter_str_1,
    STATE(14973), 1,
      sym__delimiter_str_3,
    STATE(14974), 1,
      sym__delimiter_cmd_1,
    STATE(14975), 1,
      sym__delimiter_cmd_3,
    STATE(17818), 1,
      sym_macro_identifier,
    STATE(14555), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6395), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(6074), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [285150] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4005), 1,
      anon_sym_AT,
    ACTIONS(7389), 1,
      anon_sym_DOLLAR,
    ACTIONS(7397), 1,
      sym_character_literal,
    ACTIONS(16281), 1,
      sym__word_identifier,
    ACTIONS(19660), 1,
      anon_sym_COLON2,
    ACTIONS(19662), 1,
      sym__immediate_paren,
    STATE(32), 1,
      sym_macro_identifier,
    STATE(4559), 1,
      sym_identifier,
    STATE(14797), 1,
      sym__delimiter_str_1,
    STATE(14798), 1,
      sym__delimiter_str_3,
    STATE(14799), 1,
      sym__delimiter_cmd_1,
    STATE(14800), 1,
      sym__delimiter_cmd_3,
    STATE(14556), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4860), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(4687), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [285220] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1275), 1,
      anon_sym_DOLLAR,
    ACTIONS(1281), 1,
      anon_sym_AT,
    ACTIONS(1293), 1,
      sym_character_literal,
    ACTIONS(16273), 1,
      sym__word_identifier,
    ACTIONS(19606), 1,
      anon_sym_COLON2,
    ACTIONS(19608), 1,
      sym__immediate_paren,
    STATE(123), 1,
      sym_macro_identifier,
    STATE(5450), 1,
      sym_identifier,
    STATE(14786), 1,
      sym__delimiter_str_1,
    STATE(14787), 1,
      sym__delimiter_str_3,
    STATE(14788), 1,
      sym__delimiter_cmd_1,
    STATE(14789), 1,
      sym__delimiter_cmd_3,
    STATE(14557), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6331), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5845), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [285290] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4135), 1,
      anon_sym_AT,
    ACTIONS(7685), 1,
      anon_sym_DOLLAR,
    ACTIONS(7693), 1,
      sym_character_literal,
    ACTIONS(16061), 1,
      sym__word_identifier,
    ACTIONS(19616), 1,
      anon_sym_COLON2,
    ACTIONS(19618), 1,
      sym__immediate_paren,
    STATE(30), 1,
      sym_macro_identifier,
    STATE(4661), 1,
      sym_identifier,
    STATE(15332), 1,
      sym__delimiter_str_1,
    STATE(15335), 1,
      sym__delimiter_str_3,
    STATE(15337), 1,
      sym__delimiter_cmd_1,
    STATE(15339), 1,
      sym__delimiter_cmd_3,
    STATE(14558), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5122), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5136), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [285360] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13545), 1,
      sym_character_literal,
    ACTIONS(15363), 1,
      anon_sym_DOLLAR,
    ACTIONS(16335), 1,
      sym__word_identifier,
    ACTIONS(19748), 1,
      anon_sym_COLON2,
    ACTIONS(19750), 1,
      sym__immediate_paren,
    STATE(6409), 1,
      sym_identifier,
    STATE(15038), 1,
      sym__delimiter_str_1,
    STATE(15039), 1,
      sym__delimiter_str_3,
    STATE(15040), 1,
      sym__delimiter_cmd_1,
    STATE(15041), 1,
      sym__delimiter_cmd_3,
    STATE(17821), 1,
      sym_macro_identifier,
    STATE(14559), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6960), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(7154), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [285430] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14907), 1,
      anon_sym_DOLLAR,
    ACTIONS(16381), 1,
      sym__word_identifier,
    ACTIONS(19622), 1,
      sym__immediate_paren,
    ACTIONS(19752), 1,
      anon_sym_COLON2,
    STATE(11673), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    STATE(17940), 1,
      sym_macro_identifier,
    STATE(14560), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11159), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [285500] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13693), 1,
      anon_sym_DOLLAR,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(16381), 1,
      sym__word_identifier,
    ACTIONS(19622), 1,
      sym__immediate_paren,
    ACTIONS(19754), 1,
      anon_sym_COLON2,
    STATE(11325), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    STATE(17940), 1,
      sym_macro_identifier,
    STATE(14561), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11159), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [285570] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14915), 1,
      anon_sym_DOLLAR,
    ACTIONS(16381), 1,
      sym__word_identifier,
    ACTIONS(19622), 1,
      sym__immediate_paren,
    ACTIONS(19756), 1,
      anon_sym_COLON2,
    STATE(11691), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    STATE(17940), 1,
      sym_macro_identifier,
    STATE(14562), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11159), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [285640] = 17,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18523), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19516), 1,
      anon_sym_COLON,
    ACTIONS(19532), 1,
      sym__comparison_operator,
    ACTIONS(19534), 1,
      sym__pipe_right_operator,
    ACTIONS(19536), 1,
      sym__pipe_left_operator,
    ACTIONS(19538), 1,
      sym__ellipsis_operator,
    ACTIONS(19542), 1,
      sym__times_operator,
    ACTIONS(19544), 1,
      sym__rational_operator,
    ACTIONS(19546), 1,
      sym__bitshift_operator,
    ACTIONS(19548), 1,
      sym__power_operator,
    ACTIONS(19540), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14563), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19518), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11878), 7,
      anon_sym_end,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [285702] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13697), 1,
      sym_character_literal,
    ACTIONS(14923), 1,
      anon_sym_DOLLAR,
    ACTIONS(16381), 1,
      sym__word_identifier,
    ACTIONS(19622), 1,
      sym__immediate_paren,
    ACTIONS(19758), 1,
      anon_sym_COLON2,
    STATE(11699), 1,
      sym_identifier,
    STATE(15154), 1,
      sym__delimiter_str_1,
    STATE(15155), 1,
      sym__delimiter_str_3,
    STATE(15156), 1,
      sym__delimiter_cmd_1,
    STATE(15157), 1,
      sym__delimiter_cmd_3,
    STATE(17940), 1,
      sym_macro_identifier,
    STATE(14564), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11159), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(11212), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [285772] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(81), 1,
      sym_character_literal,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4001), 1,
      anon_sym_DOLLAR,
    ACTIONS(4005), 1,
      anon_sym_AT,
    ACTIONS(16249), 1,
      sym__word_identifier,
    ACTIONS(19584), 1,
      sym__immediate_paren,
    ACTIONS(19648), 1,
      anon_sym_COLON2,
    STATE(9), 1,
      sym_macro_identifier,
    STATE(10655), 1,
      sym_identifier,
    STATE(15097), 1,
      sym__delimiter_str_1,
    STATE(15150), 1,
      sym__delimiter_str_3,
    STATE(15330), 1,
      sym__delimiter_cmd_1,
    STATE(15338), 1,
      sym__delimiter_cmd_3,
    STATE(14565), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10622), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10515), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [285842] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(671), 1,
      anon_sym_AT,
    ACTIONS(1683), 1,
      sym_character_literal,
    ACTIONS(3256), 1,
      anon_sym_DOLLAR,
    ACTIONS(15973), 1,
      sym__word_identifier,
    ACTIONS(19598), 1,
      sym__immediate_paren,
    ACTIONS(19680), 1,
      anon_sym_COLON2,
    STATE(63), 1,
      sym_macro_identifier,
    STATE(10424), 1,
      sym_identifier,
    STATE(15093), 1,
      sym__delimiter_str_1,
    STATE(15094), 1,
      sym__delimiter_str_3,
    STATE(15095), 1,
      sym__delimiter_cmd_1,
    STATE(15101), 1,
      sym__delimiter_cmd_3,
    STATE(14566), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10375), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10398), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [285912] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(13663), 1,
      sym_character_literal,
    ACTIONS(13681), 1,
      anon_sym_DOLLAR,
    ACTIONS(16143), 1,
      sym__word_identifier,
    ACTIONS(19760), 1,
      anon_sym_COLON2,
    ACTIONS(19762), 1,
      sym__immediate_paren,
    STATE(5642), 1,
      sym_identifier,
    STATE(15165), 1,
      sym__delimiter_str_1,
    STATE(15166), 1,
      sym__delimiter_str_3,
    STATE(15167), 1,
      sym__delimiter_cmd_1,
    STATE(15168), 1,
      sym__delimiter_cmd_3,
    STATE(17723), 1,
      sym_macro_identifier,
    STATE(14567), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6484), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(6543), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [285982] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19554), 1,
      sym__comparison_operator,
    ACTIONS(19556), 1,
      sym__pipe_right_operator,
    ACTIONS(19558), 1,
      sym__pipe_left_operator,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19570), 1,
      anon_sym_QMARK,
    ACTIONS(19572), 1,
      anon_sym_where,
    ACTIONS(19574), 1,
      sym__pair_operator,
    ACTIONS(19576), 1,
      sym__arrow_operator,
    ACTIONS(19578), 1,
      sym__lazy_or_operator,
    ACTIONS(19580), 1,
      sym__lazy_and_operator,
    ACTIONS(19764), 1,
      anon_sym_RPAREN,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14568), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19552), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [286056] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19556), 1,
      sym__pipe_right_operator,
    ACTIONS(19558), 1,
      sym__pipe_left_operator,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14569), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 10,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [286116] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4377), 1,
      anon_sym_AT,
    ACTIONS(7161), 1,
      anon_sym_DOLLAR,
    ACTIONS(7169), 1,
      sym_character_literal,
    ACTIONS(16179), 1,
      sym__word_identifier,
    ACTIONS(19698), 1,
      anon_sym_COLON2,
    ACTIONS(19700), 1,
      sym__immediate_paren,
    STATE(34), 1,
      sym_macro_identifier,
    STATE(4641), 1,
      sym_identifier,
    STATE(15378), 1,
      sym__delimiter_str_1,
    STATE(15379), 1,
      sym__delimiter_str_3,
    STATE(15381), 1,
      sym__delimiter_cmd_1,
    STATE(15383), 1,
      sym__delimiter_cmd_3,
    STATE(14570), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5208), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(5242), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [286186] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19554), 1,
      sym__comparison_operator,
    ACTIONS(19556), 1,
      sym__pipe_right_operator,
    ACTIONS(19558), 1,
      sym__pipe_left_operator,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19570), 1,
      anon_sym_QMARK,
    ACTIONS(19572), 1,
      anon_sym_where,
    ACTIONS(19574), 1,
      sym__pair_operator,
    ACTIONS(19576), 1,
      sym__arrow_operator,
    ACTIONS(19578), 1,
      sym__lazy_or_operator,
    ACTIONS(19580), 1,
      sym__lazy_and_operator,
    ACTIONS(19766), 1,
      anon_sym_RPAREN,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14571), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19552), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [286260] = 23,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11380), 1,
      anon_sym_RPAREN,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19554), 1,
      sym__comparison_operator,
    ACTIONS(19556), 1,
      sym__pipe_right_operator,
    ACTIONS(19558), 1,
      sym__pipe_left_operator,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19570), 1,
      anon_sym_QMARK,
    ACTIONS(19572), 1,
      anon_sym_where,
    ACTIONS(19574), 1,
      sym__pair_operator,
    ACTIONS(19576), 1,
      sym__arrow_operator,
    ACTIONS(19578), 1,
      sym__lazy_or_operator,
    ACTIONS(19580), 1,
      sym__lazy_and_operator,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14572), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19552), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [286334] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(4229), 1,
      anon_sym_AT,
    ACTIONS(7277), 1,
      anon_sym_DOLLAR,
    ACTIONS(7285), 1,
      sym_character_literal,
    ACTIONS(16175), 1,
      sym__word_identifier,
    ACTIONS(19672), 1,
      anon_sym_COLON2,
    ACTIONS(19674), 1,
      sym__immediate_paren,
    STATE(11), 1,
      sym_macro_identifier,
    STATE(4549), 1,
      sym_identifier,
    STATE(15346), 1,
      sym__delimiter_str_1,
    STATE(15347), 1,
      sym__delimiter_str_3,
    STATE(15348), 1,
      sym__delimiter_cmd_1,
    STATE(15349), 1,
      sym__delimiter_cmd_3,
    STATE(14573), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4706), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(4927), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [286404] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19554), 1,
      sym__comparison_operator,
    ACTIONS(19556), 1,
      sym__pipe_right_operator,
    ACTIONS(19558), 1,
      sym__pipe_left_operator,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19572), 1,
      anon_sym_where,
    ACTIONS(19576), 1,
      sym__arrow_operator,
    ACTIONS(19578), 1,
      sym__lazy_or_operator,
    ACTIONS(19580), 1,
      sym__lazy_and_operator,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14574), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 3,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
    ACTIONS(19552), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [286474] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(14159), 1,
      anon_sym_DOLLAR,
    ACTIONS(14165), 1,
      sym_character_literal,
    ACTIONS(16201), 1,
      sym__word_identifier,
    ACTIONS(19768), 1,
      anon_sym_COLON2,
    ACTIONS(19770), 1,
      sym__immediate_paren,
    STATE(5680), 1,
      sym_identifier,
    STATE(15419), 1,
      sym__delimiter_str_1,
    STATE(15420), 1,
      sym__delimiter_str_3,
    STATE(15421), 1,
      sym__delimiter_cmd_1,
    STATE(15422), 1,
      sym__delimiter_cmd_3,
    STATE(17762), 1,
      sym_macro_identifier,
    STATE(14575), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6603), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(6708), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [286544] = 19,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19554), 1,
      sym__comparison_operator,
    ACTIONS(19556), 1,
      sym__pipe_right_operator,
    ACTIONS(19558), 1,
      sym__pipe_left_operator,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19572), 1,
      anon_sym_where,
    ACTIONS(19580), 1,
      sym__lazy_and_operator,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14576), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19552), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 5,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
  [286610] = 18,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19554), 1,
      sym__comparison_operator,
    ACTIONS(19556), 1,
      sym__pipe_right_operator,
    ACTIONS(19558), 1,
      sym__pipe_left_operator,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19572), 1,
      anon_sym_where,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14577), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19552), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
    ACTIONS(11380), 6,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
  [286674] = 14,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14578), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 12,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__pipe_right_operator,
      sym__pipe_left_operator,
      sym__type_order_operator,
  [286730] = 16,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11378), 1,
      sym__comparison_operator,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19556), 1,
      sym__pipe_right_operator,
    ACTIONS(19558), 1,
      sym__pipe_left_operator,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14579), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11380), 10,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_isa,
      anon_sym_QMARK,
      anon_sym_where,
      sym__pair_operator,
      sym__arrow_operator,
      sym__lazy_or_operator,
      sym__lazy_and_operator,
      sym__type_order_operator,
  [286790] = 21,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(83), 1,
      anon_sym_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(87), 1,
      anon_sym_BQUOTE,
    ACTIONS(89), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(10117), 1,
      anon_sym_AT,
    ACTIONS(10121), 1,
      sym_character_literal,
    ACTIONS(11284), 1,
      anon_sym_DOLLAR,
    ACTIONS(16025), 1,
      sym__word_identifier,
    ACTIONS(19708), 1,
      sym__immediate_paren,
    ACTIONS(19772), 1,
      anon_sym_COLON2,
    STATE(10756), 1,
      sym_identifier,
    STATE(15341), 1,
      sym__delimiter_str_1,
    STATE(15342), 1,
      sym__delimiter_str_3,
    STATE(15343), 1,
      sym__delimiter_cmd_1,
    STATE(15344), 1,
      sym__delimiter_cmd_3,
    STATE(17598), 1,
      sym_macro_identifier,
    STATE(14580), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10701), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym__string,
    STATE(10680), 4,
      sym_string_literal,
      sym_command_literal,
      sym_prefixed_string_literal,
      sym_prefixed_command_literal,
  [286860] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(18448), 1,
      sym__pair_operator,
    ACTIONS(18450), 1,
      sym__arrow_operator,
    ACTIONS(18452), 1,
      sym__lazy_or_operator,
    ACTIONS(18454), 1,
      sym__lazy_and_operator,
    ACTIONS(18456), 1,
      sym__comparison_operator,
    ACTIONS(18458), 1,
      sym__pipe_right_operator,
    ACTIONS(18460), 1,
      sym__pipe_left_operator,
    ACTIONS(18462), 1,
      sym__ellipsis_operator,
    ACTIONS(18466), 1,
      sym__times_operator,
    ACTIONS(18468), 1,
      sym__rational_operator,
    ACTIONS(18470), 1,
      sym__bitshift_operator,
    ACTIONS(18472), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19570), 1,
      anon_sym_QMARK,
    ACTIONS(19572), 1,
      anon_sym_where,
    ACTIONS(18464), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14581), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18442), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [286931] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19466), 1,
      anon_sym_COLON,
    ACTIONS(19470), 1,
      sym__comparison_operator,
    ACTIONS(19472), 1,
      sym__pipe_right_operator,
    ACTIONS(19474), 1,
      sym__pipe_left_operator,
    ACTIONS(19476), 1,
      sym__ellipsis_operator,
    ACTIONS(19480), 1,
      sym__times_operator,
    ACTIONS(19482), 1,
      sym__rational_operator,
    ACTIONS(19484), 1,
      sym__bitshift_operator,
    ACTIONS(19486), 1,
      sym__power_operator,
    ACTIONS(19492), 1,
      anon_sym_where,
    ACTIONS(19494), 1,
      sym__pair_operator,
    ACTIONS(19496), 1,
      sym__arrow_operator,
    ACTIONS(19498), 1,
      sym__lazy_or_operator,
    ACTIONS(19500), 1,
      sym__lazy_and_operator,
    ACTIONS(19570), 1,
      anon_sym_QMARK,
    ACTIONS(19478), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14582), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19468), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [287002] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19554), 1,
      sym__comparison_operator,
    ACTIONS(19556), 1,
      sym__pipe_right_operator,
    ACTIONS(19558), 1,
      sym__pipe_left_operator,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19570), 1,
      anon_sym_QMARK,
    ACTIONS(19572), 1,
      anon_sym_where,
    ACTIONS(19574), 1,
      sym__pair_operator,
    ACTIONS(19576), 1,
      sym__arrow_operator,
    ACTIONS(19578), 1,
      sym__lazy_or_operator,
    ACTIONS(19580), 1,
      sym__lazy_and_operator,
    ACTIONS(19774), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14583), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19552), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [287073] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19524), 1,
      sym__pair_operator,
    ACTIONS(19526), 1,
      sym__arrow_operator,
    ACTIONS(19528), 1,
      sym__lazy_or_operator,
    ACTIONS(19530), 1,
      sym__lazy_and_operator,
    ACTIONS(19532), 1,
      sym__comparison_operator,
    ACTIONS(19534), 1,
      sym__pipe_right_operator,
    ACTIONS(19536), 1,
      sym__pipe_left_operator,
    ACTIONS(19538), 1,
      sym__ellipsis_operator,
    ACTIONS(19542), 1,
      sym__times_operator,
    ACTIONS(19544), 1,
      sym__rational_operator,
    ACTIONS(19546), 1,
      sym__bitshift_operator,
    ACTIONS(19548), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19570), 1,
      anon_sym_QMARK,
    ACTIONS(19572), 1,
      anon_sym_where,
    ACTIONS(19540), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14584), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19518), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [287144] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(3614), 1,
      sym__comparison_operator,
    ACTIONS(13034), 1,
      sym__ellipsis_operator,
    ACTIONS(13038), 1,
      sym__times_operator,
    ACTIONS(16481), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19570), 1,
      anon_sym_QMARK,
    ACTIONS(19572), 1,
      anon_sym_where,
    ACTIONS(19778), 1,
      sym__pair_operator,
    ACTIONS(19780), 1,
      sym__arrow_operator,
    ACTIONS(19782), 1,
      sym__lazy_or_operator,
    ACTIONS(19784), 1,
      sym__lazy_and_operator,
    ACTIONS(19786), 1,
      sym__pipe_right_operator,
    ACTIONS(19788), 1,
      sym__pipe_left_operator,
    ACTIONS(19790), 1,
      sym__rational_operator,
    ACTIONS(19792), 1,
      sym__bitshift_operator,
    ACTIONS(19794), 1,
      sym__power_operator,
    ACTIONS(13036), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14585), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19776), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [287215] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19554), 1,
      sym__comparison_operator,
    ACTIONS(19556), 1,
      sym__pipe_right_operator,
    ACTIONS(19558), 1,
      sym__pipe_left_operator,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19570), 1,
      anon_sym_QMARK,
    ACTIONS(19572), 1,
      anon_sym_where,
    ACTIONS(19574), 1,
      sym__pair_operator,
    ACTIONS(19576), 1,
      sym__arrow_operator,
    ACTIONS(19578), 1,
      sym__lazy_or_operator,
    ACTIONS(19580), 1,
      sym__lazy_and_operator,
    ACTIONS(19796), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19798), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14586), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19552), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [287286] = 22,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16735), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(19504), 1,
      sym__times_operator,
    ACTIONS(19506), 1,
      sym__rational_operator,
    ACTIONS(19508), 1,
      sym__bitshift_operator,
    ACTIONS(19510), 1,
      sym__power_operator,
    ACTIONS(19550), 1,
      anon_sym_COLON,
    ACTIONS(19554), 1,
      sym__comparison_operator,
    ACTIONS(19556), 1,
      sym__pipe_right_operator,
    ACTIONS(19558), 1,
      sym__pipe_left_operator,
    ACTIONS(19560), 1,
      sym__ellipsis_operator,
    ACTIONS(19570), 1,
      anon_sym_QMARK,
    ACTIONS(19574), 1,
      sym__pair_operator,
    ACTIONS(19576), 1,
      sym__arrow_operator,
    ACTIONS(19578), 1,
      sym__lazy_or_operator,
    ACTIONS(19580), 1,
      sym__lazy_and_operator,
    ACTIONS(19800), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19802), 1,
      anon_sym_where,
    ACTIONS(19502), 2,
      sym__plus_operator,
      sym__unary_plus_operator,
    STATE(14587), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19552), 3,
      anon_sym_in,
      anon_sym_isa,
      sym__type_order_operator,
  [287357] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17510), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(14588), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17508), 6,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
  [287380] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19806), 1,
      anon_sym_if,
    ACTIONS(19809), 1,
      anon_sym_for,
    STATE(15119), 2,
      sym_if_clause,
      sym_for_clause,
    ACTIONS(19804), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(14589), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__comprehension_clause_repeat1,
  [287407] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19812), 1,
      anon_sym_if,
    STATE(14602), 1,
      aux_sym__comprehension_clause_repeat1,
    STATE(14590), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15119), 2,
      sym_if_clause,
      sym_for_clause,
    ACTIONS(19814), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [287436] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19809), 1,
      anon_sym_for,
    ACTIONS(19816), 1,
      anon_sym_if,
    STATE(15119), 2,
      sym_if_clause,
      sym_for_clause,
    ACTIONS(19804), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    STATE(14591), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__comprehension_clause_repeat1,
  [287463] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(17184), 1,
      anon_sym_COMMA,
    STATE(14592), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [287488] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16731), 1,
      anon_sym_SEMI,
    ACTIONS(19819), 1,
      anon_sym_COMMA,
    ACTIONS(19821), 1,
      anon_sym_RPAREN,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15471), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16671), 1,
      aux_sym_argument_list_repeat1,
    STATE(18546), 1,
      sym__comprehension_clause,
    STATE(14593), 2,
      sym_block_comment,
      sym_line_comment,
  [287523] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16837), 1,
      anon_sym_SEMI,
    ACTIONS(19819), 1,
      anon_sym_COMMA,
    ACTIONS(19823), 1,
      anon_sym_RPAREN,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15005), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16671), 1,
      aux_sym_argument_list_repeat1,
    STATE(18227), 1,
      sym__comprehension_clause,
    STATE(14594), 2,
      sym_block_comment,
      sym_line_comment,
  [287558] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16801), 1,
      anon_sym_SEMI,
    ACTIONS(19819), 1,
      anon_sym_COMMA,
    ACTIONS(19825), 1,
      anon_sym_RPAREN,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14735), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16671), 1,
      aux_sym_argument_list_repeat1,
    STATE(18448), 1,
      sym__comprehension_clause,
    STATE(14595), 2,
      sym_block_comment,
      sym_line_comment,
  [287593] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16785), 1,
      anon_sym_SEMI,
    ACTIONS(19819), 1,
      anon_sym_COMMA,
    ACTIONS(19827), 1,
      anon_sym_RPAREN,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15203), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16671), 1,
      aux_sym_argument_list_repeat1,
    STATE(18349), 1,
      sym__comprehension_clause,
    STATE(14596), 2,
      sym_block_comment,
      sym_line_comment,
  [287628] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16867), 1,
      anon_sym_SEMI,
    ACTIONS(19819), 1,
      anon_sym_COMMA,
    ACTIONS(19829), 1,
      anon_sym_RPAREN,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15357), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16671), 1,
      aux_sym_argument_list_repeat1,
    STATE(18630), 1,
      sym__comprehension_clause,
    STATE(14597), 2,
      sym_block_comment,
      sym_line_comment,
  [287663] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16853), 1,
      anon_sym_SEMI,
    ACTIONS(19819), 1,
      anon_sym_COMMA,
    ACTIONS(19831), 1,
      anon_sym_RPAREN,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15089), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16671), 1,
      aux_sym_argument_list_repeat1,
    STATE(18397), 1,
      sym__comprehension_clause,
    STATE(14598), 2,
      sym_block_comment,
      sym_line_comment,
  [287698] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17838), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(14599), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17836), 6,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
  [287721] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16873), 1,
      anon_sym_SEMI,
    ACTIONS(19819), 1,
      anon_sym_COMMA,
    ACTIONS(19833), 1,
      anon_sym_RPAREN,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14795), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16671), 1,
      aux_sym_argument_list_repeat1,
    STATE(18665), 1,
      sym__comprehension_clause,
    STATE(14600), 2,
      sym_block_comment,
      sym_line_comment,
  [287756] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11130), 1,
      aux_sym__terminator_token1,
    ACTIONS(16938), 1,
      anon_sym_COMMA,
    STATE(14610), 1,
      aux_sym_open_tuple_repeat1,
    STATE(14601), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [287783] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19812), 1,
      anon_sym_if,
    STATE(14591), 1,
      aux_sym__comprehension_clause_repeat1,
    STATE(14602), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15119), 2,
      sym_if_clause,
      sym_for_clause,
    ACTIONS(19835), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [287812] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16791), 1,
      anon_sym_SEMI,
    ACTIONS(19819), 1,
      anon_sym_COMMA,
    ACTIONS(19837), 1,
      anon_sym_RPAREN,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14878), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16671), 1,
      aux_sym_argument_list_repeat1,
    STATE(18367), 1,
      sym__comprehension_clause,
    STATE(14603), 2,
      sym_block_comment,
      sym_line_comment,
  [287847] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16779), 1,
      anon_sym_SEMI,
    ACTIONS(19819), 1,
      anon_sym_COMMA,
    ACTIONS(19839), 1,
      anon_sym_RPAREN,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15115), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16671), 1,
      aux_sym_argument_list_repeat1,
    STATE(18280), 1,
      sym__comprehension_clause,
    STATE(14604), 2,
      sym_block_comment,
      sym_line_comment,
  [287882] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16811), 1,
      anon_sym_SEMI,
    ACTIONS(19819), 1,
      anon_sym_COMMA,
    ACTIONS(19841), 1,
      anon_sym_RPAREN,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15117), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16671), 1,
      aux_sym_argument_list_repeat1,
    STATE(18780), 1,
      sym__comprehension_clause,
    STATE(14605), 2,
      sym_block_comment,
      sym_line_comment,
  [287917] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16847), 1,
      anon_sym_SEMI,
    ACTIONS(19819), 1,
      anon_sym_COMMA,
    ACTIONS(19843), 1,
      anon_sym_RPAREN,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15392), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16671), 1,
      aux_sym_argument_list_repeat1,
    STATE(18679), 1,
      sym__comprehension_clause,
    STATE(14606), 2,
      sym_block_comment,
      sym_line_comment,
  [287952] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19845), 1,
      anon_sym_if,
    STATE(14589), 1,
      aux_sym__comprehension_clause_repeat1,
    STATE(14607), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15119), 2,
      sym_if_clause,
      sym_for_clause,
    ACTIONS(19835), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [287981] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11130), 1,
      aux_sym__terminator_token1,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    STATE(14592), 1,
      aux_sym_open_tuple_repeat1,
    STATE(14608), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [288008] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16817), 1,
      anon_sym_SEMI,
    ACTIONS(19819), 1,
      anon_sym_COMMA,
    ACTIONS(19847), 1,
      anon_sym_RPAREN,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15416), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16671), 1,
      aux_sym_argument_list_repeat1,
    STATE(18717), 1,
      sym__comprehension_clause,
    STATE(14609), 2,
      sym_block_comment,
      sym_line_comment,
  [288043] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(17227), 1,
      anon_sym_COMMA,
    STATE(14610), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 5,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [288068] = 11,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16731), 1,
      anon_sym_SEMI,
    ACTIONS(19849), 1,
      anon_sym_COMMA,
    ACTIONS(19851), 1,
      anon_sym_RPAREN,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15471), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(16283), 1,
      aux_sym_argument_list_repeat1,
    STATE(18546), 1,
      sym__comprehension_clause,
    STATE(14611), 2,
      sym_block_comment,
      sym_line_comment,
  [288103] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19845), 1,
      anon_sym_if,
    STATE(14607), 1,
      aux_sym__comprehension_clause_repeat1,
    STATE(14612), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(15119), 2,
      sym_if_clause,
      sym_for_clause,
    ACTIONS(19814), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [288132] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(17821), 1,
      anon_sym_COMMA,
    STATE(14613), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
  [288156] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(17608), 1,
      anon_sym_COMMA,
    STATE(14614), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 4,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
  [288180] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11130), 1,
      aux_sym__terminator_token1,
    ACTIONS(17587), 1,
      anon_sym_COMMA,
    STATE(14614), 1,
      aux_sym_open_tuple_repeat1,
    STATE(14615), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 4,
      anon_sym_EQ,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
  [288206] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(17928), 1,
      anon_sym_COMMA,
    STATE(14616), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11134), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
  [288230] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19853), 1,
      anon_sym_COMMA,
    STATE(14617), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_for_statement_repeat1,
    ACTIONS(13217), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [288252] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11130), 1,
      aux_sym__terminator_token1,
    ACTIONS(17615), 1,
      anon_sym_COMMA,
    STATE(14613), 1,
      aux_sym_open_tuple_repeat1,
    STATE(14618), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
  [288278] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15606), 1,
      anon_sym_EQ,
    ACTIONS(16946), 1,
      anon_sym_SEMI,
    ACTIONS(16980), 1,
      aux_sym__terminator_token1,
    STATE(14836), 1,
      aux_sym__block_repeat1,
    STATE(14619), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16940), 3,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
  [288306] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19856), 1,
      anon_sym_COMMA,
    STATE(14617), 1,
      aux_sym_for_statement_repeat1,
    STATE(14620), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19858), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [288330] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15620), 1,
      anon_sym_EQ,
    ACTIONS(17034), 1,
      anon_sym_SEMI,
    ACTIONS(17068), 1,
      aux_sym__terminator_token1,
    STATE(14940), 1,
      aux_sym__block_repeat1,
    STATE(14621), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16940), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
  [288358] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19856), 1,
      anon_sym_COMMA,
    STATE(14620), 1,
      aux_sym_for_statement_repeat1,
    STATE(14622), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19860), 5,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [288382] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11130), 1,
      aux_sym__terminator_token1,
    ACTIONS(17541), 1,
      anon_sym_COMMA,
    STATE(14616), 1,
      aux_sym_open_tuple_repeat1,
    STATE(14623), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 4,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
  [288408] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19862), 1,
      anon_sym_end,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19686), 1,
      sym_else_clause,
    STATE(14624), 2,
      sym_block_comment,
      sym_line_comment,
  [288437] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18696), 1,
      sym__word_identifier,
    ACTIONS(19866), 1,
      anon_sym_DOLLAR,
    ACTIONS(19868), 1,
      anon_sym_COLON2,
    STATE(14625), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7314), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [288462] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8355), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19870), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19228), 1,
      sym__comprehension_clause,
    STATE(14626), 2,
      sym_block_comment,
      sym_line_comment,
  [288491] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19876), 1,
      sym__end_str,
    STATE(14631), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14627), 2,
      sym_block_comment,
      sym_line_comment,
  [288518] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19876), 1,
      sym__end_str,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    STATE(14632), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14628), 2,
      sym_block_comment,
      sym_line_comment,
  [288545] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19886), 1,
      sym__end_cmd,
    STATE(14633), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14629), 2,
      sym_block_comment,
      sym_line_comment,
  [288572] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19886), 1,
      sym__end_cmd,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    STATE(14634), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14630), 2,
      sym_block_comment,
      sym_line_comment,
  [288599] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19892), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14631), 2,
      sym_block_comment,
      sym_line_comment,
  [288626] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(19892), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14632), 2,
      sym_block_comment,
      sym_line_comment,
  [288653] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19894), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14633), 2,
      sym_block_comment,
      sym_line_comment,
  [288680] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(19894), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14634), 2,
      sym_block_comment,
      sym_line_comment,
  [288707] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7927), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19896), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18666), 1,
      sym__comprehension_clause,
    STATE(14635), 2,
      sym_block_comment,
      sym_line_comment,
  [288736] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8075), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19898), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19906), 1,
      sym__comprehension_clause,
    STATE(14636), 2,
      sym_block_comment,
      sym_line_comment,
  [288765] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15245), 1,
      anon_sym_DOLLAR,
    ACTIONS(18708), 1,
      sym__word_identifier,
    ACTIONS(19632), 1,
      anon_sym_COLON2,
    STATE(14637), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7093), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [288790] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17318), 1,
      anon_sym_RPAREN,
    ACTIONS(17320), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14672), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18442), 1,
      sym__comprehension_clause,
    STATE(14638), 2,
      sym_block_comment,
      sym_line_comment,
  [288819] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17240), 1,
      anon_sym_RPAREN,
    ACTIONS(17242), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14987), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18380), 1,
      sym__comprehension_clause,
    STATE(14639), 2,
      sym_block_comment,
      sym_line_comment,
  [288848] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7649), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19900), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20317), 1,
      sym__comprehension_clause,
    STATE(14640), 2,
      sym_block_comment,
      sym_line_comment,
  [288877] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19902), 1,
      sym__end_str,
    STATE(15085), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14641), 2,
      sym_block_comment,
      sym_line_comment,
  [288904] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17166), 1,
      anon_sym_RPAREN,
    ACTIONS(17168), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15283), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18511), 1,
      sym__comprehension_clause,
    STATE(14642), 2,
      sym_block_comment,
      sym_line_comment,
  [288933] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19904), 1,
      sym__end_str,
    STATE(14655), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14643), 2,
      sym_block_comment,
      sym_line_comment,
  [288960] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19906), 1,
      sym__end_str,
    STATE(14648), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14644), 2,
      sym_block_comment,
      sym_line_comment,
  [288987] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(19906), 1,
      sym__end_str,
    STATE(14649), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14645), 2,
      sym_block_comment,
      sym_line_comment,
  [289014] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19908), 1,
      sym__end_cmd,
    STATE(14650), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14646), 2,
      sym_block_comment,
      sym_line_comment,
  [289041] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(19908), 1,
      sym__end_cmd,
    STATE(14651), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14647), 2,
      sym_block_comment,
      sym_line_comment,
  [289068] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19910), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14648), 2,
      sym_block_comment,
      sym_line_comment,
  [289095] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(19910), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14649), 2,
      sym_block_comment,
      sym_line_comment,
  [289122] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19912), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14650), 2,
      sym_block_comment,
      sym_line_comment,
  [289149] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(19912), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14651), 2,
      sym_block_comment,
      sym_line_comment,
  [289176] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7977), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19914), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18395), 1,
      sym__comprehension_clause,
    STATE(14652), 2,
      sym_block_comment,
      sym_line_comment,
  [289205] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8117), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19916), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18960), 1,
      sym__comprehension_clause,
    STATE(14653), 2,
      sym_block_comment,
      sym_line_comment,
  [289234] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17154), 1,
      anon_sym_RPAREN,
    ACTIONS(17156), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14684), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18238), 1,
      sym__comprehension_clause,
    STATE(14654), 2,
      sym_block_comment,
      sym_line_comment,
  [289263] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19918), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14655), 2,
      sym_block_comment,
      sym_line_comment,
  [289290] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(19918), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14656), 2,
      sym_block_comment,
      sym_line_comment,
  [289317] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(19920), 1,
      anon_sym_end,
    STATE(14686), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19707), 1,
      sym_else_clause,
    STATE(14657), 2,
      sym_block_comment,
      sym_line_comment,
  [289346] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(19922), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19745), 1,
      sym_else_clause,
    STATE(14658), 2,
      sym_block_comment,
      sym_line_comment,
  [289375] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19924), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14659), 2,
      sym_block_comment,
      sym_line_comment,
  [289402] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(19924), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14660), 2,
      sym_block_comment,
      sym_line_comment,
  [289429] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(19904), 1,
      sym__end_str,
    STATE(14656), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14661), 2,
      sym_block_comment,
      sym_line_comment,
  [289456] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17034), 1,
      anon_sym_SEMI,
    ACTIONS(17068), 1,
      aux_sym__terminator_token1,
    STATE(14940), 1,
      aux_sym__block_repeat1,
    STATE(14662), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16940), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
  [289481] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19926), 1,
      sym__end_str,
    STATE(14668), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14663), 2,
      sym_block_comment,
      sym_line_comment,
  [289508] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(19926), 1,
      sym__end_str,
    STATE(14669), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14664), 2,
      sym_block_comment,
      sym_line_comment,
  [289535] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19928), 1,
      sym__end_cmd,
    STATE(14670), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14665), 2,
      sym_block_comment,
      sym_line_comment,
  [289562] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(19928), 1,
      sym__end_cmd,
    STATE(14671), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14666), 2,
      sym_block_comment,
      sym_line_comment,
  [289589] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17084), 1,
      anon_sym_RPAREN,
    ACTIONS(17086), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15441), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18512), 1,
      sym__comprehension_clause,
    STATE(14667), 2,
      sym_block_comment,
      sym_line_comment,
  [289618] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19930), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14668), 2,
      sym_block_comment,
      sym_line_comment,
  [289645] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(19930), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14669), 2,
      sym_block_comment,
      sym_line_comment,
  [289672] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19932), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14670), 2,
      sym_block_comment,
      sym_line_comment,
  [289699] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(19932), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14671), 2,
      sym_block_comment,
      sym_line_comment,
  [289726] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8023), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19934), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18568), 1,
      sym__comprehension_clause,
    STATE(14672), 2,
      sym_block_comment,
      sym_line_comment,
  [289755] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8167), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19936), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19608), 1,
      sym__comprehension_clause,
    STATE(14673), 2,
      sym_block_comment,
      sym_line_comment,
  [289784] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17189), 1,
      anon_sym_RPAREN,
    ACTIONS(17191), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15357), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18630), 1,
      sym__comprehension_clause,
    STATE(14674), 2,
      sym_block_comment,
      sym_line_comment,
  [289813] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19938), 1,
      sym__immediate_string_start,
    ACTIONS(19940), 1,
      sym__immediate_command_start,
    STATE(14675), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [289836] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19942), 1,
      sym__end_str,
    STATE(14680), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14676), 2,
      sym_block_comment,
      sym_line_comment,
  [289863] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(19942), 1,
      sym__end_str,
    STATE(14681), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14677), 2,
      sym_block_comment,
      sym_line_comment,
  [289890] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19944), 1,
      sym__end_cmd,
    STATE(14682), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14678), 2,
      sym_block_comment,
      sym_line_comment,
  [289917] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(19944), 1,
      sym__end_cmd,
    STATE(14683), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14679), 2,
      sym_block_comment,
      sym_line_comment,
  [289944] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19946), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14680), 2,
      sym_block_comment,
      sym_line_comment,
  [289971] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(19946), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14681), 2,
      sym_block_comment,
      sym_line_comment,
  [289998] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19948), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14682), 2,
      sym_block_comment,
      sym_line_comment,
  [290025] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(19948), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14683), 2,
      sym_block_comment,
      sym_line_comment,
  [290052] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8071), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19950), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18270), 1,
      sym__comprehension_clause,
    STATE(14684), 2,
      sym_block_comment,
      sym_line_comment,
  [290081] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8209), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19952), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18952), 1,
      sym__comprehension_clause,
    STATE(14685), 2,
      sym_block_comment,
      sym_line_comment,
  [290110] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(19954), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19809), 1,
      sym_else_clause,
    STATE(14686), 2,
      sym_block_comment,
      sym_line_comment,
  [290139] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(19956), 1,
      anon_sym_end,
    STATE(14701), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19813), 1,
      sym_else_clause,
    STATE(14687), 2,
      sym_block_comment,
      sym_line_comment,
  [290168] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17207), 1,
      anon_sym_RPAREN,
    ACTIONS(17209), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14699), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18327), 1,
      sym__comprehension_clause,
    STATE(14688), 2,
      sym_block_comment,
      sym_line_comment,
  [290197] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19958), 1,
      sym__end_cmd,
    STATE(14659), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14689), 2,
      sym_block_comment,
      sym_line_comment,
  [290224] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(19958), 1,
      sym__end_cmd,
    STATE(14660), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14690), 2,
      sym_block_comment,
      sym_line_comment,
  [290251] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19960), 1,
      sym__end_str,
    STATE(14695), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14691), 2,
      sym_block_comment,
      sym_line_comment,
  [290278] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(19960), 1,
      sym__end_str,
    STATE(14696), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14692), 2,
      sym_block_comment,
      sym_line_comment,
  [290305] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19962), 1,
      sym__end_cmd,
    STATE(14697), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14693), 2,
      sym_block_comment,
      sym_line_comment,
  [290332] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(19962), 1,
      sym__end_cmd,
    STATE(14698), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14694), 2,
      sym_block_comment,
      sym_line_comment,
  [290359] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19964), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14695), 2,
      sym_block_comment,
      sym_line_comment,
  [290386] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(19964), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14696), 2,
      sym_block_comment,
      sym_line_comment,
  [290413] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19966), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14697), 2,
      sym_block_comment,
      sym_line_comment,
  [290440] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(19966), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14698), 2,
      sym_block_comment,
      sym_line_comment,
  [290467] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8159), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19968), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18352), 1,
      sym__comprehension_clause,
    STATE(14699), 2,
      sym_block_comment,
      sym_line_comment,
  [290496] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8245), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19970), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20036), 1,
      sym__comprehension_clause,
    STATE(14700), 2,
      sym_block_comment,
      sym_line_comment,
  [290525] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(19972), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20064), 1,
      sym_else_clause,
    STATE(14701), 2,
      sym_block_comment,
      sym_line_comment,
  [290554] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17298), 1,
      anon_sym_RPAREN,
    ACTIONS(17300), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15392), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18679), 1,
      sym__comprehension_clause,
    STATE(14702), 2,
      sym_block_comment,
      sym_line_comment,
  [290583] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(19902), 1,
      sym__end_str,
    STATE(15116), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14703), 2,
      sym_block_comment,
      sym_line_comment,
  [290610] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19974), 1,
      sym__end_cmd,
    STATE(15175), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14704), 2,
      sym_block_comment,
      sym_line_comment,
  [290637] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19976), 1,
      sym__end_str,
    STATE(14710), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14705), 2,
      sym_block_comment,
      sym_line_comment,
  [290664] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(19976), 1,
      sym__end_str,
    STATE(14711), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14706), 2,
      sym_block_comment,
      sym_line_comment,
  [290691] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19978), 1,
      sym__end_cmd,
    STATE(14712), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14707), 2,
      sym_block_comment,
      sym_line_comment,
  [290718] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(19978), 1,
      sym__end_cmd,
    STATE(14713), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14708), 2,
      sym_block_comment,
      sym_line_comment,
  [290745] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19980), 1,
      sym__end_str,
    STATE(14737), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14709), 2,
      sym_block_comment,
      sym_line_comment,
  [290772] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19982), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14710), 2,
      sym_block_comment,
      sym_line_comment,
  [290799] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(19982), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14711), 2,
      sym_block_comment,
      sym_line_comment,
  [290826] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19984), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14712), 2,
      sym_block_comment,
      sym_line_comment,
  [290853] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(19984), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14713), 2,
      sym_block_comment,
      sym_line_comment,
  [290880] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8241), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19986), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18396), 1,
      sym__comprehension_clause,
    STATE(14714), 2,
      sym_block_comment,
      sym_line_comment,
  [290909] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8269), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(19988), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18877), 1,
      sym__comprehension_clause,
    STATE(14715), 2,
      sym_block_comment,
      sym_line_comment,
  [290938] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(19980), 1,
      sym__end_str,
    STATE(14738), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14716), 2,
      sym_block_comment,
      sym_line_comment,
  [290965] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19990), 1,
      sym__end_cmd,
    STATE(14739), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14717), 2,
      sym_block_comment,
      sym_line_comment,
  [290992] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(19990), 1,
      sym__end_cmd,
    STATE(14741), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14718), 2,
      sym_block_comment,
      sym_line_comment,
  [291019] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17371), 1,
      anon_sym_RPAREN,
    ACTIONS(17373), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14714), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18386), 1,
      sym__comprehension_clause,
    STATE(14719), 2,
      sym_block_comment,
      sym_line_comment,
  [291048] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(19992), 1,
      anon_sym_end,
    STATE(14928), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20327), 1,
      sym_else_clause,
    STATE(14720), 2,
      sym_block_comment,
      sym_line_comment,
  [291077] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(19994), 1,
      sym__end_str,
    STATE(14762), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14721), 2,
      sym_block_comment,
      sym_line_comment,
  [291104] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15620), 1,
      anon_sym_EQ,
    ACTIONS(17510), 1,
      aux_sym__terminator_token1,
    STATE(14722), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17508), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [291127] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(19994), 1,
      sym__end_str,
    STATE(14784), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14723), 2,
      sym_block_comment,
      sym_line_comment,
  [291154] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(19996), 1,
      sym__end_cmd,
    STATE(14790), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14724), 2,
      sym_block_comment,
      sym_line_comment,
  [291181] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(19998), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(18813), 1,
      sym_else_clause,
    STATE(14725), 2,
      sym_block_comment,
      sym_line_comment,
  [291210] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20000), 1,
      sym__end_str,
    STATE(14731), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14726), 2,
      sym_block_comment,
      sym_line_comment,
  [291237] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20000), 1,
      sym__end_str,
    STATE(14732), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14727), 2,
      sym_block_comment,
      sym_line_comment,
  [291264] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20002), 1,
      sym__end_cmd,
    STATE(14733), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14728), 2,
      sym_block_comment,
      sym_line_comment,
  [291291] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20002), 1,
      sym__end_cmd,
    STATE(14734), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14729), 2,
      sym_block_comment,
      sym_line_comment,
  [291318] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17454), 1,
      anon_sym_RPAREN,
    ACTIONS(17456), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15005), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18227), 1,
      sym__comprehension_clause,
    STATE(14730), 2,
      sym_block_comment,
      sym_line_comment,
  [291347] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20004), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14731), 2,
      sym_block_comment,
      sym_line_comment,
  [291374] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20004), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14732), 2,
      sym_block_comment,
      sym_line_comment,
  [291401] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20006), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14733), 2,
      sym_block_comment,
      sym_line_comment,
  [291428] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20006), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14734), 2,
      sym_block_comment,
      sym_line_comment,
  [291455] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8327), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20008), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18475), 1,
      sym__comprehension_clause,
    STATE(14735), 2,
      sym_block_comment,
      sym_line_comment,
  [291484] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8295), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20010), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19166), 1,
      sym__comprehension_clause,
    STATE(14736), 2,
      sym_block_comment,
      sym_line_comment,
  [291513] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20012), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14737), 2,
      sym_block_comment,
      sym_line_comment,
  [291540] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20012), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14738), 2,
      sym_block_comment,
      sym_line_comment,
  [291567] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20014), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14739), 2,
      sym_block_comment,
      sym_line_comment,
  [291594] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16893), 1,
      anon_sym_RPAREN,
    ACTIONS(16895), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14754), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18518), 1,
      sym__comprehension_clause,
    STATE(14740), 2,
      sym_block_comment,
      sym_line_comment,
  [291623] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20014), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14741), 2,
      sym_block_comment,
      sym_line_comment,
  [291650] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20016), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18575), 1,
      sym__comprehension_clause,
    STATE(14742), 2,
      sym_block_comment,
      sym_line_comment,
  [291679] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8987), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20018), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19639), 1,
      sym__comprehension_clause,
    STATE(14743), 2,
      sym_block_comment,
      sym_line_comment,
  [291708] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(19996), 1,
      sym__end_cmd,
    STATE(14802), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14744), 2,
      sym_block_comment,
      sym_line_comment,
  [291735] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16575), 1,
      sym__word_identifier,
    ACTIONS(20020), 1,
      anon_sym_DOLLAR,
    ACTIONS(20022), 1,
      anon_sym_COLON2,
    STATE(14745), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12208), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [291760] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20024), 1,
      sym__end_str,
    STATE(14750), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14746), 2,
      sym_block_comment,
      sym_line_comment,
  [291787] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20024), 1,
      sym__end_str,
    STATE(14751), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14747), 2,
      sym_block_comment,
      sym_line_comment,
  [291814] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20026), 1,
      sym__end_cmd,
    STATE(14752), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14748), 2,
      sym_block_comment,
      sym_line_comment,
  [291841] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20026), 1,
      sym__end_cmd,
    STATE(14753), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14749), 2,
      sym_block_comment,
      sym_line_comment,
  [291868] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20028), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14750), 2,
      sym_block_comment,
      sym_line_comment,
  [291895] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20028), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14751), 2,
      sym_block_comment,
      sym_line_comment,
  [291922] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20030), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14752), 2,
      sym_block_comment,
      sym_line_comment,
  [291949] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20030), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14753), 2,
      sym_block_comment,
      sym_line_comment,
  [291976] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8265), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20032), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18533), 1,
      sym__comprehension_clause,
    STATE(14754), 2,
      sym_block_comment,
      sym_line_comment,
  [292005] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8323), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20034), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19410), 1,
      sym__comprehension_clause,
    STATE(14755), 2,
      sym_block_comment,
      sym_line_comment,
  [292034] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17172), 1,
      anon_sym_RPAREN,
    ACTIONS(17174), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15068), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18705), 1,
      sym__comprehension_clause,
    STATE(14756), 2,
      sym_block_comment,
      sym_line_comment,
  [292063] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17130), 1,
      anon_sym_RPAREN,
    ACTIONS(17132), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14767), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18559), 1,
      sym__comprehension_clause,
    STATE(14757), 2,
      sym_block_comment,
      sym_line_comment,
  [292092] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20036), 1,
      sym__end_str,
    STATE(14763), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14758), 2,
      sym_block_comment,
      sym_line_comment,
  [292119] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20036), 1,
      sym__end_str,
    STATE(14764), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14759), 2,
      sym_block_comment,
      sym_line_comment,
  [292146] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20038), 1,
      sym__end_cmd,
    STATE(14765), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14760), 2,
      sym_block_comment,
      sym_line_comment,
  [292173] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20038), 1,
      sym__end_cmd,
    STATE(14766), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14761), 2,
      sym_block_comment,
      sym_line_comment,
  [292200] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20040), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14762), 2,
      sym_block_comment,
      sym_line_comment,
  [292227] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20042), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14763), 2,
      sym_block_comment,
      sym_line_comment,
  [292254] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20042), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14764), 2,
      sym_block_comment,
      sym_line_comment,
  [292281] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20044), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14765), 2,
      sym_block_comment,
      sym_line_comment,
  [292308] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20044), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14766), 2,
      sym_block_comment,
      sym_line_comment,
  [292335] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8289), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20046), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18578), 1,
      sym__comprehension_clause,
    STATE(14767), 2,
      sym_block_comment,
      sym_line_comment,
  [292364] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8359), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20048), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19628), 1,
      sym__comprehension_clause,
    STATE(14768), 2,
      sym_block_comment,
      sym_line_comment,
  [292393] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17448), 1,
      anon_sym_RPAREN,
    ACTIONS(17450), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14780), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18611), 1,
      sym__comprehension_clause,
    STATE(14769), 2,
      sym_block_comment,
      sym_line_comment,
  [292422] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8523), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20050), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18387), 1,
      sym__comprehension_clause,
    STATE(14770), 2,
      sym_block_comment,
      sym_line_comment,
  [292451] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8007), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20052), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18908), 1,
      sym__comprehension_clause,
    STATE(14771), 2,
      sym_block_comment,
      sym_line_comment,
  [292480] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20054), 1,
      sym__end_str,
    STATE(14776), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14772), 2,
      sym_block_comment,
      sym_line_comment,
  [292507] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20054), 1,
      sym__end_str,
    STATE(14777), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14773), 2,
      sym_block_comment,
      sym_line_comment,
  [292534] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20056), 1,
      sym__end_cmd,
    STATE(14778), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14774), 2,
      sym_block_comment,
      sym_line_comment,
  [292561] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20056), 1,
      sym__end_cmd,
    STATE(14779), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14775), 2,
      sym_block_comment,
      sym_line_comment,
  [292588] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20058), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14776), 2,
      sym_block_comment,
      sym_line_comment,
  [292615] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20058), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14777), 2,
      sym_block_comment,
      sym_line_comment,
  [292642] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20060), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14778), 2,
      sym_block_comment,
      sym_line_comment,
  [292669] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20060), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14779), 2,
      sym_block_comment,
      sym_line_comment,
  [292696] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8319), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20062), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18633), 1,
      sym__comprehension_clause,
    STATE(14780), 2,
      sym_block_comment,
      sym_line_comment,
  [292725] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8389), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20064), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19796), 1,
      sym__comprehension_clause,
    STATE(14781), 2,
      sym_block_comment,
      sym_line_comment,
  [292754] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17474), 1,
      anon_sym_RPAREN,
    ACTIONS(17476), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14813), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18714), 1,
      sym__comprehension_clause,
    STATE(14782), 2,
      sym_block_comment,
      sym_line_comment,
  [292783] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20066), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14783), 2,
      sym_block_comment,
      sym_line_comment,
  [292810] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20040), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14784), 2,
      sym_block_comment,
      sym_line_comment,
  [292837] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16946), 1,
      anon_sym_SEMI,
    ACTIONS(16980), 1,
      aux_sym__terminator_token1,
    STATE(14836), 1,
      aux_sym__block_repeat1,
    STATE(14785), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(16940), 3,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
  [292862] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20068), 1,
      sym__end_str,
    STATE(14791), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14786), 2,
      sym_block_comment,
      sym_line_comment,
  [292889] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20068), 1,
      sym__end_str,
    STATE(14792), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14787), 2,
      sym_block_comment,
      sym_line_comment,
  [292916] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20070), 1,
      sym__end_cmd,
    STATE(14793), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14788), 2,
      sym_block_comment,
      sym_line_comment,
  [292943] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20070), 1,
      sym__end_cmd,
    STATE(14794), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14789), 2,
      sym_block_comment,
      sym_line_comment,
  [292970] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20072), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14790), 2,
      sym_block_comment,
      sym_line_comment,
  [292997] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20074), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14791), 2,
      sym_block_comment,
      sym_line_comment,
  [293024] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20074), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14792), 2,
      sym_block_comment,
      sym_line_comment,
  [293051] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20076), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14793), 2,
      sym_block_comment,
      sym_line_comment,
  [293078] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20076), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14794), 2,
      sym_block_comment,
      sym_line_comment,
  [293105] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8625), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20078), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18683), 1,
      sym__comprehension_clause,
    STATE(14795), 2,
      sym_block_comment,
      sym_line_comment,
  [293134] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8425), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20080), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19951), 1,
      sym__comprehension_clause,
    STATE(14796), 2,
      sym_block_comment,
      sym_line_comment,
  [293163] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20082), 1,
      sym__end_str,
    STATE(14838), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14797), 2,
      sym_block_comment,
      sym_line_comment,
  [293190] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20082), 1,
      sym__end_str,
    STATE(14839), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14798), 2,
      sym_block_comment,
      sym_line_comment,
  [293217] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20084), 1,
      sym__end_cmd,
    STATE(14840), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14799), 2,
      sym_block_comment,
      sym_line_comment,
  [293244] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20084), 1,
      sym__end_cmd,
    STATE(14845), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14800), 2,
      sym_block_comment,
      sym_line_comment,
  [293271] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17072), 1,
      anon_sym_RPAREN,
    ACTIONS(17074), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14833), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18744), 1,
      sym__comprehension_clause,
    STATE(14801), 2,
      sym_block_comment,
      sym_line_comment,
  [293300] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20072), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14802), 2,
      sym_block_comment,
      sym_line_comment,
  [293327] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16703), 1,
      sym__word_identifier,
    ACTIONS(20086), 1,
      anon_sym_DOLLAR,
    ACTIONS(20088), 1,
      anon_sym_COLON2,
    STATE(14803), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7253), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [293352] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20090), 1,
      sym__end_str,
    STATE(14809), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14804), 2,
      sym_block_comment,
      sym_line_comment,
  [293379] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20090), 1,
      sym__end_str,
    STATE(14810), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14805), 2,
      sym_block_comment,
      sym_line_comment,
  [293406] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20092), 1,
      sym__end_cmd,
    STATE(14811), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14806), 2,
      sym_block_comment,
      sym_line_comment,
  [293433] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20092), 1,
      sym__end_cmd,
    STATE(14812), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14807), 2,
      sym_block_comment,
      sym_line_comment,
  [293460] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20066), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14808), 2,
      sym_block_comment,
      sym_line_comment,
  [293487] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20094), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14809), 2,
      sym_block_comment,
      sym_line_comment,
  [293514] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20094), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14810), 2,
      sym_block_comment,
      sym_line_comment,
  [293541] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20096), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14811), 2,
      sym_block_comment,
      sym_line_comment,
  [293568] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20096), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14812), 2,
      sym_block_comment,
      sym_line_comment,
  [293595] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8351), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20098), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18726), 1,
      sym__comprehension_clause,
    STATE(14813), 2,
      sym_block_comment,
      sym_line_comment,
  [293624] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8457), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20100), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20113), 1,
      sym__comprehension_clause,
    STATE(14814), 2,
      sym_block_comment,
      sym_line_comment,
  [293653] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20102), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14815), 2,
      sym_block_comment,
      sym_line_comment,
  [293680] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20102), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14816), 2,
      sym_block_comment,
      sym_line_comment,
  [293707] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17098), 1,
      anon_sym_RPAREN,
    ACTIONS(17100), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14850), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18277), 1,
      sym__comprehension_clause,
    STATE(14817), 2,
      sym_block_comment,
      sym_line_comment,
  [293736] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17124), 1,
      anon_sym_RPAREN,
    ACTIONS(17126), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14742), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18484), 1,
      sym__comprehension_clause,
    STATE(14818), 2,
      sym_block_comment,
      sym_line_comment,
  [293765] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7711), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20104), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18753), 1,
      sym__comprehension_clause,
    STATE(14819), 2,
      sym_block_comment,
      sym_line_comment,
  [293794] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7851), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20106), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20264), 1,
      sym__comprehension_clause,
    STATE(14820), 2,
      sym_block_comment,
      sym_line_comment,
  [293823] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20108), 1,
      sym__end_str,
    STATE(14853), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14821), 2,
      sym_block_comment,
      sym_line_comment,
  [293850] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20108), 1,
      sym__end_str,
    STATE(14854), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14822), 2,
      sym_block_comment,
      sym_line_comment,
  [293877] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20110), 1,
      sym__end_str,
    STATE(14829), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14823), 2,
      sym_block_comment,
      sym_line_comment,
  [293904] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20110), 1,
      sym__end_str,
    STATE(14830), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14824), 2,
      sym_block_comment,
      sym_line_comment,
  [293931] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20112), 1,
      sym__end_cmd,
    STATE(14831), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14825), 2,
      sym_block_comment,
      sym_line_comment,
  [293958] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20112), 1,
      sym__end_cmd,
    STATE(14832), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14826), 2,
      sym_block_comment,
      sym_line_comment,
  [293985] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20114), 1,
      sym__end_cmd,
    STATE(14855), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14827), 2,
      sym_block_comment,
      sym_line_comment,
  [294012] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20114), 1,
      sym__end_cmd,
    STATE(14856), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14828), 2,
      sym_block_comment,
      sym_line_comment,
  [294039] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20116), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14829), 2,
      sym_block_comment,
      sym_line_comment,
  [294066] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20116), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14830), 2,
      sym_block_comment,
      sym_line_comment,
  [294093] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20118), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14831), 2,
      sym_block_comment,
      sym_line_comment,
  [294120] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20118), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14832), 2,
      sym_block_comment,
      sym_line_comment,
  [294147] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8385), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20120), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18757), 1,
      sym__comprehension_clause,
    STATE(14833), 2,
      sym_block_comment,
      sym_line_comment,
  [294176] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8489), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20122), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20251), 1,
      sym__comprehension_clause,
    STATE(14834), 2,
      sym_block_comment,
      sym_line_comment,
  [294205] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17136), 1,
      anon_sym_RPAREN,
    ACTIONS(17138), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14866), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18259), 1,
      sym__comprehension_clause,
    STATE(14835), 2,
      sym_block_comment,
      sym_line_comment,
  [294234] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(20124), 1,
      anon_sym_SEMI,
    ACTIONS(20126), 1,
      aux_sym__terminator_token1,
    STATE(14901), 1,
      aux_sym__block_repeat1,
    STATE(14836), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4387), 3,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
  [294259] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18647), 1,
      sym__word_identifier,
    ACTIONS(20128), 1,
      anon_sym_DOLLAR,
    ACTIONS(20130), 1,
      anon_sym_COLON2,
    STATE(14837), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8454), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [294284] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20132), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14838), 2,
      sym_block_comment,
      sym_line_comment,
  [294311] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20132), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14839), 2,
      sym_block_comment,
      sym_line_comment,
  [294338] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20134), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14840), 2,
      sym_block_comment,
      sym_line_comment,
  [294365] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20136), 1,
      sym__end_str,
    STATE(14846), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14841), 2,
      sym_block_comment,
      sym_line_comment,
  [294392] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20136), 1,
      sym__end_str,
    STATE(14847), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14842), 2,
      sym_block_comment,
      sym_line_comment,
  [294419] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20138), 1,
      sym__end_cmd,
    STATE(14848), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14843), 2,
      sym_block_comment,
      sym_line_comment,
  [294446] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20138), 1,
      sym__end_cmd,
    STATE(14849), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14844), 2,
      sym_block_comment,
      sym_line_comment,
  [294473] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20134), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14845), 2,
      sym_block_comment,
      sym_line_comment,
  [294500] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20140), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14846), 2,
      sym_block_comment,
      sym_line_comment,
  [294527] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20140), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14847), 2,
      sym_block_comment,
      sym_line_comment,
  [294554] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20142), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14848), 2,
      sym_block_comment,
      sym_line_comment,
  [294581] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20142), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14849), 2,
      sym_block_comment,
      sym_line_comment,
  [294608] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8419), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20144), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18454), 1,
      sym__comprehension_clause,
    STATE(14850), 2,
      sym_block_comment,
      sym_line_comment,
  [294637] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8519), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20146), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19106), 1,
      sym__comprehension_clause,
    STATE(14851), 2,
      sym_block_comment,
      sym_line_comment,
  [294666] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17148), 1,
      anon_sym_RPAREN,
    ACTIONS(17150), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14883), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18421), 1,
      sym__comprehension_clause,
    STATE(14852), 2,
      sym_block_comment,
      sym_line_comment,
  [294695] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20148), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14853), 2,
      sym_block_comment,
      sym_line_comment,
  [294722] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20148), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14854), 2,
      sym_block_comment,
      sym_line_comment,
  [294749] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20150), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14855), 2,
      sym_block_comment,
      sym_line_comment,
  [294776] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20150), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14856), 2,
      sym_block_comment,
      sym_line_comment,
  [294803] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20152), 1,
      sym__end_str,
    STATE(14862), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14857), 2,
      sym_block_comment,
      sym_line_comment,
  [294830] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20152), 1,
      sym__end_str,
    STATE(14863), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14858), 2,
      sym_block_comment,
      sym_line_comment,
  [294857] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20154), 1,
      sym__end_cmd,
    STATE(14864), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14859), 2,
      sym_block_comment,
      sym_line_comment,
  [294884] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20154), 1,
      sym__end_cmd,
    STATE(14865), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14860), 2,
      sym_block_comment,
      sym_line_comment,
  [294911] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17118), 1,
      anon_sym_RPAREN,
    ACTIONS(17120), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15178), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18712), 1,
      sym__comprehension_clause,
    STATE(14861), 2,
      sym_block_comment,
      sym_line_comment,
  [294940] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20156), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14862), 2,
      sym_block_comment,
      sym_line_comment,
  [294967] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20156), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14863), 2,
      sym_block_comment,
      sym_line_comment,
  [294994] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20158), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14864), 2,
      sym_block_comment,
      sym_line_comment,
  [295021] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20158), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14865), 2,
      sym_block_comment,
      sym_line_comment,
  [295048] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8451), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20160), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18297), 1,
      sym__comprehension_clause,
    STATE(14866), 2,
      sym_block_comment,
      sym_line_comment,
  [295077] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8541), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20162), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19409), 1,
      sym__comprehension_clause,
    STATE(14867), 2,
      sym_block_comment,
      sym_line_comment,
  [295106] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20164), 1,
      anon_sym_end,
    STATE(14915), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20353), 1,
      sym_else_clause,
    STATE(14868), 2,
      sym_block_comment,
      sym_line_comment,
  [295135] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20166), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(18855), 1,
      sym_else_clause,
    STATE(14869), 2,
      sym_block_comment,
      sym_line_comment,
  [295164] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17286), 1,
      anon_sym_RPAREN,
    ACTIONS(17288), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14899), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18558), 1,
      sym__comprehension_clause,
    STATE(14870), 2,
      sym_block_comment,
      sym_line_comment,
  [295193] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7839), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20168), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18678), 1,
      sym__comprehension_clause,
    STATE(14871), 2,
      sym_block_comment,
      sym_line_comment,
  [295222] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9033), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20170), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20058), 1,
      sym__comprehension_clause,
    STATE(14872), 2,
      sym_block_comment,
      sym_line_comment,
  [295251] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15085), 1,
      anon_sym_DOLLAR,
    ACTIONS(18714), 1,
      sym__word_identifier,
    ACTIONS(19650), 1,
      anon_sym_COLON2,
    STATE(14873), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6468), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [295276] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20172), 1,
      sym__end_str,
    STATE(14879), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14874), 2,
      sym_block_comment,
      sym_line_comment,
  [295303] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20172), 1,
      sym__end_str,
    STATE(14880), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14875), 2,
      sym_block_comment,
      sym_line_comment,
  [295330] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20174), 1,
      sym__end_cmd,
    STATE(14881), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14876), 2,
      sym_block_comment,
      sym_line_comment,
  [295357] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20174), 1,
      sym__end_cmd,
    STATE(14882), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14877), 2,
      sym_block_comment,
      sym_line_comment,
  [295384] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20176), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18249), 1,
      sym__comprehension_clause,
    STATE(14878), 2,
      sym_block_comment,
      sym_line_comment,
  [295413] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20178), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14879), 2,
      sym_block_comment,
      sym_line_comment,
  [295440] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20178), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14880), 2,
      sym_block_comment,
      sym_line_comment,
  [295467] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20180), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14881), 2,
      sym_block_comment,
      sym_line_comment,
  [295494] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20180), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14882), 2,
      sym_block_comment,
      sym_line_comment,
  [295521] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8483), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20182), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18468), 1,
      sym__comprehension_clause,
    STATE(14883), 2,
      sym_block_comment,
      sym_line_comment,
  [295550] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8569), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20184), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19132), 1,
      sym__comprehension_clause,
    STATE(14884), 2,
      sym_block_comment,
      sym_line_comment,
  [295579] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7151), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20186), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20205), 1,
      sym__comprehension_clause,
    STATE(14885), 2,
      sym_block_comment,
      sym_line_comment,
  [295608] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17356), 1,
      anon_sym_RPAREN,
    ACTIONS(17358), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14735), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18448), 1,
      sym__comprehension_clause,
    STATE(14886), 2,
      sym_block_comment,
      sym_line_comment,
  [295637] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17482), 1,
      anon_sym_RPAREN,
    ACTIONS(17484), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15110), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18263), 1,
      sym__comprehension_clause,
    STATE(14887), 2,
      sym_block_comment,
      sym_line_comment,
  [295666] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(20188), 1,
      anon_sym_DOLLAR,
    ACTIONS(20190), 1,
      anon_sym_COLON2,
    STATE(14888), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11058), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [295691] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(19974), 1,
      sym__end_cmd,
    STATE(15184), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14889), 2,
      sym_block_comment,
      sym_line_comment,
  [295718] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20192), 1,
      sym__end_str,
    STATE(14895), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14890), 2,
      sym_block_comment,
      sym_line_comment,
  [295745] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20192), 1,
      sym__end_str,
    STATE(14896), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14891), 2,
      sym_block_comment,
      sym_line_comment,
  [295772] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20194), 1,
      sym__end_cmd,
    STATE(14897), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14892), 2,
      sym_block_comment,
      sym_line_comment,
  [295799] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20194), 1,
      sym__end_cmd,
    STATE(14898), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14893), 2,
      sym_block_comment,
      sym_line_comment,
  [295826] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17407), 1,
      anon_sym_RPAREN,
    ACTIONS(17409), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15115), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18280), 1,
      sym__comprehension_clause,
    STATE(14894), 2,
      sym_block_comment,
      sym_line_comment,
  [295855] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20196), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14895), 2,
      sym_block_comment,
      sym_line_comment,
  [295882] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20196), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14896), 2,
      sym_block_comment,
      sym_line_comment,
  [295909] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20198), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14897), 2,
      sym_block_comment,
      sym_line_comment,
  [295936] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20198), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14898), 2,
      sym_block_comment,
      sym_line_comment,
  [295963] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8515), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20200), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18613), 1,
      sym__comprehension_clause,
    STATE(14899), 2,
      sym_block_comment,
      sym_line_comment,
  [295992] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8599), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20202), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19739), 1,
      sym__comprehension_clause,
    STATE(14900), 2,
      sym_block_comment,
      sym_line_comment,
  [296021] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(20204), 1,
      anon_sym_SEMI,
    ACTIONS(20207), 1,
      aux_sym__terminator_token1,
    ACTIONS(17836), 3,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
    STATE(14901), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__block_repeat1,
  [296044] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17436), 1,
      anon_sym_RPAREN,
    ACTIONS(17438), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14911), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18727), 1,
      sym__comprehension_clause,
    STATE(14902), 2,
      sym_block_comment,
      sym_line_comment,
  [296073] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20210), 1,
      sym__end_str,
    STATE(14907), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14903), 2,
      sym_block_comment,
      sym_line_comment,
  [296100] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20210), 1,
      sym__end_str,
    STATE(14908), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14904), 2,
      sym_block_comment,
      sym_line_comment,
  [296127] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20212), 1,
      sym__end_cmd,
    STATE(14909), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14905), 2,
      sym_block_comment,
      sym_line_comment,
  [296154] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20212), 1,
      sym__end_cmd,
    STATE(14910), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14906), 2,
      sym_block_comment,
      sym_line_comment,
  [296181] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20214), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14907), 2,
      sym_block_comment,
      sym_line_comment,
  [296208] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20214), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14908), 2,
      sym_block_comment,
      sym_line_comment,
  [296235] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20216), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14909), 2,
      sym_block_comment,
      sym_line_comment,
  [296262] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20216), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14910), 2,
      sym_block_comment,
      sym_line_comment,
  [296289] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8565), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20218), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18776), 1,
      sym__comprehension_clause,
    STATE(14911), 2,
      sym_block_comment,
      sym_line_comment,
  [296318] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8631), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20220), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20320), 1,
      sym__comprehension_clause,
    STATE(14912), 2,
      sym_block_comment,
      sym_line_comment,
  [296347] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16905), 1,
      anon_sym_RPAREN,
    ACTIONS(16907), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14924), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18236), 1,
      sym__comprehension_clause,
    STATE(14913), 2,
      sym_block_comment,
      sym_line_comment,
  [296376] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20222), 1,
      anon_sym_end,
    STATE(14945), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19427), 1,
      sym_else_clause,
    STATE(14914), 2,
      sym_block_comment,
      sym_line_comment,
  [296405] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20224), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19487), 1,
      sym_else_clause,
    STATE(14915), 2,
      sym_block_comment,
      sym_line_comment,
  [296434] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20226), 1,
      sym__end_str,
    STATE(14920), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14916), 2,
      sym_block_comment,
      sym_line_comment,
  [296461] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20226), 1,
      sym__end_str,
    STATE(14921), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14917), 2,
      sym_block_comment,
      sym_line_comment,
  [296488] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20228), 1,
      sym__end_cmd,
    STATE(14922), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14918), 2,
      sym_block_comment,
      sym_line_comment,
  [296515] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20228), 1,
      sym__end_cmd,
    STATE(14923), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14919), 2,
      sym_block_comment,
      sym_line_comment,
  [296542] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20230), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14920), 2,
      sym_block_comment,
      sym_line_comment,
  [296569] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20230), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14921), 2,
      sym_block_comment,
      sym_line_comment,
  [296596] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20232), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14922), 2,
      sym_block_comment,
      sym_line_comment,
  [296623] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20232), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14923), 2,
      sym_block_comment,
      sym_line_comment,
  [296650] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8593), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20234), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18246), 1,
      sym__comprehension_clause,
    STATE(14924), 2,
      sym_block_comment,
      sym_line_comment,
  [296679] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8661), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20236), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19856), 1,
      sym__comprehension_clause,
    STATE(14925), 2,
      sym_block_comment,
      sym_line_comment,
  [296708] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16990), 1,
      anon_sym_RPAREN,
    ACTIONS(16992), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14795), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18665), 1,
      sym__comprehension_clause,
    STATE(14926), 2,
      sym_block_comment,
      sym_line_comment,
  [296737] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20238), 1,
      anon_sym_end,
    STATE(15077), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20281), 1,
      sym_else_clause,
    STATE(14927), 2,
      sym_block_comment,
      sym_line_comment,
  [296766] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20240), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20334), 1,
      sym_else_clause,
    STATE(14928), 2,
      sym_block_comment,
      sym_line_comment,
  [296795] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20242), 1,
      sym__end_str,
    STATE(14933), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14929), 2,
      sym_block_comment,
      sym_line_comment,
  [296822] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20242), 1,
      sym__end_str,
    STATE(14934), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14930), 2,
      sym_block_comment,
      sym_line_comment,
  [296849] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20244), 1,
      sym__end_cmd,
    STATE(14935), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14931), 2,
      sym_block_comment,
      sym_line_comment,
  [296876] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20244), 1,
      sym__end_cmd,
    STATE(14936), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14932), 2,
      sym_block_comment,
      sym_line_comment,
  [296903] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20246), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14933), 2,
      sym_block_comment,
      sym_line_comment,
  [296930] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20246), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14934), 2,
      sym_block_comment,
      sym_line_comment,
  [296957] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20248), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14935), 2,
      sym_block_comment,
      sym_line_comment,
  [296984] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20248), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14936), 2,
      sym_block_comment,
      sym_line_comment,
  [297011] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8657), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20250), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18287), 1,
      sym__comprehension_clause,
    STATE(14937), 2,
      sym_block_comment,
      sym_line_comment,
  [297040] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8683), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20252), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19170), 1,
      sym__comprehension_clause,
    STATE(14938), 2,
      sym_block_comment,
      sym_line_comment,
  [297069] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17012), 1,
      anon_sym_RPAREN,
    ACTIONS(17014), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14937), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18272), 1,
      sym__comprehension_clause,
    STATE(14939), 2,
      sym_block_comment,
      sym_line_comment,
  [297098] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(20254), 1,
      anon_sym_SEMI,
    ACTIONS(20256), 1,
      aux_sym__terminator_token1,
    STATE(15228), 1,
      aux_sym__block_repeat1,
    STATE(14940), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(4387), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
  [297123] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20258), 1,
      sym__end_str,
    STATE(14946), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14941), 2,
      sym_block_comment,
      sym_line_comment,
  [297150] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20258), 1,
      sym__end_str,
    STATE(14947), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14942), 2,
      sym_block_comment,
      sym_line_comment,
  [297177] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20260), 1,
      sym__end_cmd,
    STATE(14948), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14943), 2,
      sym_block_comment,
      sym_line_comment,
  [297204] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20260), 1,
      sym__end_cmd,
    STATE(14949), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14944), 2,
      sym_block_comment,
      sym_line_comment,
  [297231] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20262), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19959), 1,
      sym_else_clause,
    STATE(14945), 2,
      sym_block_comment,
      sym_line_comment,
  [297260] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20264), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14946), 2,
      sym_block_comment,
      sym_line_comment,
  [297287] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20264), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14947), 2,
      sym_block_comment,
      sym_line_comment,
  [297314] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20266), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14948), 2,
      sym_block_comment,
      sym_line_comment,
  [297341] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20266), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14949), 2,
      sym_block_comment,
      sym_line_comment,
  [297368] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8679), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20268), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18320), 1,
      sym__comprehension_clause,
    STATE(14950), 2,
      sym_block_comment,
      sym_line_comment,
  [297397] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8715), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20270), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19727), 1,
      sym__comprehension_clause,
    STATE(14951), 2,
      sym_block_comment,
      sym_line_comment,
  [297426] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20272), 1,
      anon_sym_end,
    STATE(14969), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19968), 1,
      sym_else_clause,
    STATE(14952), 2,
      sym_block_comment,
      sym_line_comment,
  [297455] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17018), 1,
      anon_sym_RPAREN,
    ACTIONS(17020), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14950), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18310), 1,
      sym__comprehension_clause,
    STATE(14953), 2,
      sym_block_comment,
      sym_line_comment,
  [297484] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20274), 1,
      sym__end_str,
    STATE(14976), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14954), 2,
      sym_block_comment,
      sym_line_comment,
  [297511] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18180), 1,
      anon_sym_COMMA,
    ACTIONS(11134), 2,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(11139), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(14955), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
  [297534] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20274), 1,
      sym__end_str,
    STATE(14983), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14956), 2,
      sym_block_comment,
      sym_line_comment,
  [297561] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20276), 1,
      sym__end_cmd,
    STATE(14984), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14957), 2,
      sym_block_comment,
      sym_line_comment,
  [297588] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20276), 1,
      sym__end_cmd,
    STATE(14985), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14958), 2,
      sym_block_comment,
      sym_line_comment,
  [297615] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20278), 1,
      sym__end_str,
    STATE(14963), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14959), 2,
      sym_block_comment,
      sym_line_comment,
  [297642] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20278), 1,
      sym__end_str,
    STATE(14964), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14960), 2,
      sym_block_comment,
      sym_line_comment,
  [297669] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20280), 1,
      sym__end_cmd,
    STATE(14965), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14961), 2,
      sym_block_comment,
      sym_line_comment,
  [297696] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20280), 1,
      sym__end_cmd,
    STATE(14966), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14962), 2,
      sym_block_comment,
      sym_line_comment,
  [297723] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20282), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14963), 2,
      sym_block_comment,
      sym_line_comment,
  [297750] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20282), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14964), 2,
      sym_block_comment,
      sym_line_comment,
  [297777] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20284), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14965), 2,
      sym_block_comment,
      sym_line_comment,
  [297804] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20284), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14966), 2,
      sym_block_comment,
      sym_line_comment,
  [297831] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8709), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20286), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18354), 1,
      sym__comprehension_clause,
    STATE(14967), 2,
      sym_block_comment,
      sym_line_comment,
  [297860] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8743), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20288), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20079), 1,
      sym__comprehension_clause,
    STATE(14968), 2,
      sym_block_comment,
      sym_line_comment,
  [297889] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20290), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20112), 1,
      sym_else_clause,
    STATE(14969), 2,
      sym_block_comment,
      sym_line_comment,
  [297918] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17104), 1,
      anon_sym_RPAREN,
    ACTIONS(17106), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14967), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18343), 1,
      sym__comprehension_clause,
    STATE(14970), 2,
      sym_block_comment,
      sym_line_comment,
  [297947] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20292), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19212), 1,
      sym_else_clause,
    STATE(14971), 2,
      sym_block_comment,
      sym_line_comment,
  [297976] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20294), 1,
      sym__end_str,
    STATE(14977), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14972), 2,
      sym_block_comment,
      sym_line_comment,
  [298003] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20294), 1,
      sym__end_str,
    STATE(14978), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14973), 2,
      sym_block_comment,
      sym_line_comment,
  [298030] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20296), 1,
      sym__end_cmd,
    STATE(14979), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14974), 2,
      sym_block_comment,
      sym_line_comment,
  [298057] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20296), 1,
      sym__end_cmd,
    STATE(14980), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14975), 2,
      sym_block_comment,
      sym_line_comment,
  [298084] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20298), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14976), 2,
      sym_block_comment,
      sym_line_comment,
  [298111] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20300), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14977), 2,
      sym_block_comment,
      sym_line_comment,
  [298138] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20300), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14978), 2,
      sym_block_comment,
      sym_line_comment,
  [298165] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20302), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14979), 2,
      sym_block_comment,
      sym_line_comment,
  [298192] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20302), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14980), 2,
      sym_block_comment,
      sym_line_comment,
  [298219] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8739), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20304), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18381), 1,
      sym__comprehension_clause,
    STATE(14981), 2,
      sym_block_comment,
      sym_line_comment,
  [298248] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8779), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20306), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18810), 1,
      sym__comprehension_clause,
    STATE(14982), 2,
      sym_block_comment,
      sym_line_comment,
  [298277] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20298), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14983), 2,
      sym_block_comment,
      sym_line_comment,
  [298304] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20308), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14984), 2,
      sym_block_comment,
      sym_line_comment,
  [298331] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20308), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14985), 2,
      sym_block_comment,
      sym_line_comment,
  [298358] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17178), 1,
      anon_sym_RPAREN,
    ACTIONS(17180), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14981), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18375), 1,
      sym__comprehension_clause,
    STATE(14986), 2,
      sym_block_comment,
      sym_line_comment,
  [298387] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8495), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20310), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18435), 1,
      sym__comprehension_clause,
    STATE(14987), 2,
      sym_block_comment,
      sym_line_comment,
  [298416] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9069), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20312), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19016), 1,
      sym__comprehension_clause,
    STATE(14988), 2,
      sym_block_comment,
      sym_line_comment,
  [298445] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13633), 1,
      anon_sym_DOLLAR,
    ACTIONS(18649), 1,
      sym__word_identifier,
    ACTIONS(19668), 1,
      anon_sym_COLON2,
    STATE(14989), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6820), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [298470] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20314), 1,
      sym__end_str,
    STATE(14996), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14990), 2,
      sym_block_comment,
      sym_line_comment,
  [298497] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20314), 1,
      sym__end_str,
    STATE(14997), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14991), 2,
      sym_block_comment,
      sym_line_comment,
  [298524] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20316), 1,
      sym__end_cmd,
    STATE(14998), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14992), 2,
      sym_block_comment,
      sym_line_comment,
  [298551] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20316), 1,
      sym__end_cmd,
    STATE(14999), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14993), 2,
      sym_block_comment,
      sym_line_comment,
  [298578] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18077), 1,
      anon_sym_COMMA,
    STATE(14955), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11126), 2,
      anon_sym_EQ,
      anon_sym_SEMI,
    ACTIONS(11130), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(14994), 2,
      sym_block_comment,
      sym_line_comment,
  [298603] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11130), 1,
      aux_sym__terminator_token1,
    ACTIONS(17977), 1,
      anon_sym_COMMA,
    STATE(15306), 1,
      aux_sym_open_tuple_repeat1,
    STATE(14995), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11126), 3,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_SEMI,
  [298628] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20318), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(14996), 2,
      sym_block_comment,
      sym_line_comment,
  [298655] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20318), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(14997), 2,
      sym_block_comment,
      sym_line_comment,
  [298682] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20320), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(14998), 2,
      sym_block_comment,
      sym_line_comment,
  [298709] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20320), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(14999), 2,
      sym_block_comment,
      sym_line_comment,
  [298736] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8771), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20322), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18404), 1,
      sym__comprehension_clause,
    STATE(15000), 2,
      sym_block_comment,
      sym_line_comment,
  [298765] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8801), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20324), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18895), 1,
      sym__comprehension_clause,
    STATE(15001), 2,
      sym_block_comment,
      sym_line_comment,
  [298794] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17312), 1,
      anon_sym_RPAREN,
    ACTIONS(17314), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15000), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18390), 1,
      sym__comprehension_clause,
    STATE(15002), 2,
      sym_block_comment,
      sym_line_comment,
  [298823] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17442), 1,
      anon_sym_RPAREN,
    ACTIONS(17444), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15141), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18431), 1,
      sym__comprehension_clause,
    STATE(15003), 2,
      sym_block_comment,
      sym_line_comment,
  [298852] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15606), 1,
      anon_sym_EQ,
    ACTIONS(17510), 1,
      aux_sym__terminator_token1,
    STATE(15004), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17508), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [298875] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8229), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20326), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18509), 1,
      sym__comprehension_clause,
    STATE(15005), 2,
      sym_block_comment,
      sym_line_comment,
  [298904] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20328), 1,
      anon_sym_end,
    STATE(15222), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(18978), 1,
      sym_else_clause,
    STATE(15006), 2,
      sym_block_comment,
      sym_line_comment,
  [298933] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20330), 1,
      sym__end_str,
    STATE(15011), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15007), 2,
      sym_block_comment,
      sym_line_comment,
  [298960] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20330), 1,
      sym__end_str,
    STATE(15012), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15008), 2,
      sym_block_comment,
      sym_line_comment,
  [298987] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20332), 1,
      sym__end_cmd,
    STATE(15013), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15009), 2,
      sym_block_comment,
      sym_line_comment,
  [299014] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20332), 1,
      sym__end_cmd,
    STATE(15014), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15010), 2,
      sym_block_comment,
      sym_line_comment,
  [299041] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20334), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15011), 2,
      sym_block_comment,
      sym_line_comment,
  [299068] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20334), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15012), 2,
      sym_block_comment,
      sym_line_comment,
  [299095] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20336), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15013), 2,
      sym_block_comment,
      sym_line_comment,
  [299122] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20336), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15014), 2,
      sym_block_comment,
      sym_line_comment,
  [299149] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8797), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20338), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18444), 1,
      sym__comprehension_clause,
    STATE(15015), 2,
      sym_block_comment,
      sym_line_comment,
  [299178] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8835), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20340), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19042), 1,
      sym__comprehension_clause,
    STATE(15016), 2,
      sym_block_comment,
      sym_line_comment,
  [299207] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20342), 1,
      anon_sym_end,
    STATE(15258), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19153), 1,
      sym_else_clause,
    STATE(15017), 2,
      sym_block_comment,
      sym_line_comment,
  [299236] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17383), 1,
      anon_sym_RPAREN,
    ACTIONS(17385), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15015), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18433), 1,
      sym__comprehension_clause,
    STATE(15018), 2,
      sym_block_comment,
      sym_line_comment,
  [299265] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20344), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19161), 1,
      sym_else_clause,
    STATE(15019), 2,
      sym_block_comment,
      sym_line_comment,
  [299294] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20346), 1,
      anon_sym_end,
    STATE(15086), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19319), 1,
      sym_else_clause,
    STATE(15020), 2,
      sym_block_comment,
      sym_line_comment,
  [299323] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20348), 1,
      anon_sym_DOLLAR,
    ACTIONS(20354), 1,
      sym__end_str,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(20351), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15021), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_string_literal_repeat1,
  [299348] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20356), 1,
      sym__end_str,
    STATE(15027), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15022), 2,
      sym_block_comment,
      sym_line_comment,
  [299375] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20356), 1,
      sym__end_str,
    STATE(15028), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15023), 2,
      sym_block_comment,
      sym_line_comment,
  [299402] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20358), 1,
      sym__end_cmd,
    STATE(15029), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15024), 2,
      sym_block_comment,
      sym_line_comment,
  [299429] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20358), 1,
      sym__end_cmd,
    STATE(15030), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15025), 2,
      sym_block_comment,
      sym_line_comment,
  [299456] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20360), 1,
      anon_sym_DOLLAR,
    ACTIONS(20366), 1,
      sym__end_str,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(20363), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15026), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_string_literal_repeat2,
  [299481] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20368), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15027), 2,
      sym_block_comment,
      sym_line_comment,
  [299508] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20368), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15028), 2,
      sym_block_comment,
      sym_line_comment,
  [299535] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20370), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15029), 2,
      sym_block_comment,
      sym_line_comment,
  [299562] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20370), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15030), 2,
      sym_block_comment,
      sym_line_comment,
  [299589] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8829), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20372), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18480), 1,
      sym__comprehension_clause,
    STATE(15031), 2,
      sym_block_comment,
      sym_line_comment,
  [299618] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8869), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20374), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19189), 1,
      sym__comprehension_clause,
    STATE(15032), 2,
      sym_block_comment,
      sym_line_comment,
  [299647] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17413), 1,
      anon_sym_RPAREN,
    ACTIONS(17415), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15031), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18467), 1,
      sym__comprehension_clause,
    STATE(15033), 2,
      sym_block_comment,
      sym_line_comment,
  [299676] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20376), 1,
      anon_sym_DOLLAR,
    ACTIONS(20382), 1,
      sym__end_cmd,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(20379), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15034), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_command_literal_repeat1,
  [299701] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20384), 1,
      anon_sym_DOLLAR,
    ACTIONS(20390), 1,
      sym__end_cmd,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(20387), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15035), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_command_literal_repeat2,
  [299726] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20392), 1,
      sym__end_str,
    STATE(15066), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15036), 2,
      sym_block_comment,
      sym_line_comment,
  [299753] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20394), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19015), 1,
      sym_else_clause,
    STATE(15037), 2,
      sym_block_comment,
      sym_line_comment,
  [299782] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20396), 1,
      sym__end_str,
    STATE(15042), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15038), 2,
      sym_block_comment,
      sym_line_comment,
  [299809] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20396), 1,
      sym__end_str,
    STATE(15043), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15039), 2,
      sym_block_comment,
      sym_line_comment,
  [299836] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20398), 1,
      sym__end_cmd,
    STATE(15044), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15040), 2,
      sym_block_comment,
      sym_line_comment,
  [299863] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20398), 1,
      sym__end_cmd,
    STATE(15045), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15041), 2,
      sym_block_comment,
      sym_line_comment,
  [299890] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20400), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15042), 2,
      sym_block_comment,
      sym_line_comment,
  [299917] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20400), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15043), 2,
      sym_block_comment,
      sym_line_comment,
  [299944] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20402), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15044), 2,
      sym_block_comment,
      sym_line_comment,
  [299971] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20402), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15045), 2,
      sym_block_comment,
      sym_line_comment,
  [299998] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8861), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20404), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18516), 1,
      sym__comprehension_clause,
    STATE(15046), 2,
      sym_block_comment,
      sym_line_comment,
  [300027] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8901), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20406), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19317), 1,
      sym__comprehension_clause,
    STATE(15047), 2,
      sym_block_comment,
      sym_line_comment,
  [300056] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15739), 1,
      anon_sym_EQ,
    ACTIONS(17547), 1,
      anon_sym_SEMI,
    ACTIONS(17579), 1,
      aux_sym__terminator_token1,
    STATE(15633), 1,
      aux_sym__block_repeat1,
    ACTIONS(16940), 2,
      anon_sym_end,
      anon_sym_catch,
    STATE(15048), 2,
      sym_block_comment,
      sym_line_comment,
  [300083] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17464), 1,
      anon_sym_RPAREN,
    ACTIONS(17466), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15046), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18503), 1,
      sym__comprehension_clause,
    STATE(15049), 2,
      sym_block_comment,
      sym_line_comment,
  [300112] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20408), 1,
      sym__end_str,
    STATE(15071), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15050), 2,
      sym_block_comment,
      sym_line_comment,
  [300139] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20408), 1,
      sym__end_str,
    STATE(15072), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15051), 2,
      sym_block_comment,
      sym_line_comment,
  [300166] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20410), 1,
      sym__end_cmd,
    STATE(15073), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15052), 2,
      sym_block_comment,
      sym_line_comment,
  [300193] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20410), 1,
      sym__end_cmd,
    STATE(15074), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15053), 2,
      sym_block_comment,
      sym_line_comment,
  [300220] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20392), 1,
      sym__end_str,
    STATE(15067), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15054), 2,
      sym_block_comment,
      sym_line_comment,
  [300247] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20412), 1,
      sym__end_cmd,
    STATE(15070), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15055), 2,
      sym_block_comment,
      sym_line_comment,
  [300274] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20412), 1,
      sym__end_cmd,
    STATE(15075), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15056), 2,
      sym_block_comment,
      sym_line_comment,
  [300301] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15620), 1,
      anon_sym_EQ,
    ACTIONS(17838), 1,
      aux_sym__terminator_token1,
    STATE(15057), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17836), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [300324] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20414), 1,
      sym__end_str,
    STATE(15062), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15058), 2,
      sym_block_comment,
      sym_line_comment,
  [300351] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20414), 1,
      sym__end_str,
    STATE(15063), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15059), 2,
      sym_block_comment,
      sym_line_comment,
  [300378] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20416), 1,
      sym__end_cmd,
    STATE(15064), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15060), 2,
      sym_block_comment,
      sym_line_comment,
  [300405] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20416), 1,
      sym__end_cmd,
    STATE(15065), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15061), 2,
      sym_block_comment,
      sym_line_comment,
  [300432] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20418), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15062), 2,
      sym_block_comment,
      sym_line_comment,
  [300459] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20418), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15063), 2,
      sym_block_comment,
      sym_line_comment,
  [300486] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20420), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15064), 2,
      sym_block_comment,
      sym_line_comment,
  [300513] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20420), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15065), 2,
      sym_block_comment,
      sym_line_comment,
  [300540] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20422), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15066), 2,
      sym_block_comment,
      sym_line_comment,
  [300567] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20422), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15067), 2,
      sym_block_comment,
      sym_line_comment,
  [300594] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8777), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20424), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18242), 1,
      sym__comprehension_clause,
    STATE(15068), 2,
      sym_block_comment,
      sym_line_comment,
  [300623] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9103), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20426), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19041), 1,
      sym__comprehension_clause,
    STATE(15069), 2,
      sym_block_comment,
      sym_line_comment,
  [300652] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20428), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15070), 2,
      sym_block_comment,
      sym_line_comment,
  [300679] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20430), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15071), 2,
      sym_block_comment,
      sym_line_comment,
  [300706] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20430), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15072), 2,
      sym_block_comment,
      sym_line_comment,
  [300733] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20432), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15073), 2,
      sym_block_comment,
      sym_line_comment,
  [300760] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20432), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15074), 2,
      sym_block_comment,
      sym_line_comment,
  [300787] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20428), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15075), 2,
      sym_block_comment,
      sym_line_comment,
  [300814] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16633), 1,
      sym__word_identifier,
    ACTIONS(20434), 1,
      anon_sym_DOLLAR,
    ACTIONS(20436), 1,
      anon_sym_COLON2,
    STATE(15076), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7190), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [300839] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20438), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20087), 1,
      sym_else_clause,
    STATE(15077), 2,
      sym_block_comment,
      sym_line_comment,
  [300868] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7747), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20440), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18492), 1,
      sym__comprehension_clause,
    STATE(15078), 2,
      sym_block_comment,
      sym_line_comment,
  [300897] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7897), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20442), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19233), 1,
      sym__comprehension_clause,
    STATE(15079), 2,
      sym_block_comment,
      sym_line_comment,
  [300926] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18726), 1,
      sym__word_identifier,
    ACTIONS(20444), 1,
      anon_sym_DOLLAR,
    ACTIONS(20446), 1,
      anon_sym_COLON2,
    STATE(15080), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9637), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [300951] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17201), 1,
      anon_sym_RPAREN,
    ACTIONS(17203), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15281), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18232), 1,
      sym__comprehension_clause,
    STATE(15081), 2,
      sym_block_comment,
      sym_line_comment,
  [300980] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16887), 1,
      anon_sym_RPAREN,
    ACTIONS(16889), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15117), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18780), 1,
      sym__comprehension_clause,
    STATE(15082), 2,
      sym_block_comment,
      sym_line_comment,
  [301009] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20448), 1,
      anon_sym_end,
    STATE(15096), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20103), 1,
      sym_else_clause,
    STATE(15083), 2,
      sym_block_comment,
      sym_line_comment,
  [301038] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15763), 1,
      anon_sym_EQ,
    ACTIONS(17848), 1,
      anon_sym_SEMI,
    ACTIONS(17852), 1,
      aux_sym__terminator_token1,
    STATE(15594), 1,
      aux_sym__block_repeat1,
    ACTIONS(16940), 2,
      anon_sym_catch,
      anon_sym_finally,
    STATE(15084), 2,
      sym_block_comment,
      sym_line_comment,
  [301065] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20450), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15085), 2,
      sym_block_comment,
      sym_line_comment,
  [301092] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20452), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19657), 1,
      sym_else_clause,
    STATE(15086), 2,
      sym_block_comment,
      sym_line_comment,
  [301121] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20454), 1,
      anon_sym_end,
    STATE(15100), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20323), 1,
      sym_else_clause,
    STATE(15087), 2,
      sym_block_comment,
      sym_line_comment,
  [301150] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20456), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19738), 1,
      sym_else_clause,
    STATE(15088), 2,
      sym_block_comment,
      sym_line_comment,
  [301179] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20458), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18254), 1,
      sym__comprehension_clause,
    STATE(15089), 2,
      sym_block_comment,
      sym_line_comment,
  [301208] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7873), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20460), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20349), 1,
      sym__comprehension_clause,
    STATE(15090), 2,
      sym_block_comment,
      sym_line_comment,
  [301237] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13681), 1,
      anon_sym_DOLLAR,
    ACTIONS(18651), 1,
      sym__word_identifier,
    ACTIONS(19760), 1,
      anon_sym_COLON2,
    STATE(15091), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6876), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [301262] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16984), 1,
      anon_sym_RPAREN,
    ACTIONS(16986), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15399), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18690), 1,
      sym__comprehension_clause,
    STATE(15092), 2,
      sym_block_comment,
      sym_line_comment,
  [301291] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20462), 1,
      sym__end_str,
    STATE(15302), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15093), 2,
      sym_block_comment,
      sym_line_comment,
  [301318] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20462), 1,
      sym__end_str,
    STATE(15304), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15094), 2,
      sym_block_comment,
      sym_line_comment,
  [301345] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20464), 1,
      sym__end_cmd,
    STATE(15305), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15095), 2,
      sym_block_comment,
      sym_line_comment,
  [301372] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20466), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19423), 1,
      sym_else_clause,
    STATE(15096), 2,
      sym_block_comment,
      sym_line_comment,
  [301401] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20468), 1,
      sym__end_str,
    STATE(15189), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15097), 2,
      sym_block_comment,
      sym_line_comment,
  [301428] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20470), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19456), 1,
      sym_else_clause,
    STATE(15098), 2,
      sym_block_comment,
      sym_line_comment,
  [301457] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20472), 1,
      anon_sym_end,
    STATE(14624), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19204), 1,
      sym_else_clause,
    STATE(15099), 2,
      sym_block_comment,
      sym_line_comment,
  [301486] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20474), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19216), 1,
      sym_else_clause,
    STATE(15100), 2,
      sym_block_comment,
      sym_line_comment,
  [301515] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20464), 1,
      sym__end_cmd,
    STATE(15309), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15101), 2,
      sym_block_comment,
      sym_line_comment,
  [301542] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20476), 1,
      sym__end_str,
    STATE(15106), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15102), 2,
      sym_block_comment,
      sym_line_comment,
  [301569] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20476), 1,
      sym__end_str,
    STATE(15107), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15103), 2,
      sym_block_comment,
      sym_line_comment,
  [301596] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20478), 1,
      sym__end_cmd,
    STATE(15108), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15104), 2,
      sym_block_comment,
      sym_line_comment,
  [301623] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20478), 1,
      sym__end_cmd,
    STATE(15109), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15105), 2,
      sym_block_comment,
      sym_line_comment,
  [301650] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20480), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15106), 2,
      sym_block_comment,
      sym_line_comment,
  [301677] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20480), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15107), 2,
      sym_block_comment,
      sym_line_comment,
  [301704] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20482), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15108), 2,
      sym_block_comment,
      sym_line_comment,
  [301731] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20482), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15109), 2,
      sym_block_comment,
      sym_line_comment,
  [301758] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20484), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18314), 1,
      sym__comprehension_clause,
    STATE(15110), 2,
      sym_block_comment,
      sym_line_comment,
  [301787] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20486), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19703), 1,
      sym__comprehension_clause,
    STATE(15111), 2,
      sym_block_comment,
      sym_line_comment,
  [301816] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18704), 1,
      sym__word_identifier,
    ACTIONS(20488), 1,
      anon_sym_DOLLAR,
    ACTIONS(20490), 1,
      anon_sym_COLON2,
    STATE(15112), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8622), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [301841] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20492), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15113), 2,
      sym_block_comment,
      sym_line_comment,
  [301868] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17002), 1,
      anon_sym_RPAREN,
    ACTIONS(17004), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15176), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18711), 1,
      sym__comprehension_clause,
    STATE(15114), 2,
      sym_block_comment,
      sym_line_comment,
  [301897] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8249), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20494), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18541), 1,
      sym__comprehension_clause,
    STATE(15115), 2,
      sym_block_comment,
      sym_line_comment,
  [301926] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20450), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15116), 2,
      sym_block_comment,
      sym_line_comment,
  [301953] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8293), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20496), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18356), 1,
      sym__comprehension_clause,
    STATE(15117), 2,
      sym_block_comment,
      sym_line_comment,
  [301982] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20498), 1,
      anon_sym_end,
    STATE(15123), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19857), 1,
      sym_else_clause,
    STATE(15118), 2,
      sym_block_comment,
      sym_line_comment,
  [302011] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(15119), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(20500), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [302030] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20502), 1,
      anon_sym_end,
    STATE(15345), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19208), 1,
      sym_else_clause,
    STATE(15120), 2,
      sym_block_comment,
      sym_line_comment,
  [302059] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8381), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20504), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19514), 1,
      sym__comprehension_clause,
    STATE(15121), 2,
      sym_block_comment,
      sym_line_comment,
  [302088] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20506), 1,
      sym__end_str,
    STATE(14783), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15122), 2,
      sym_block_comment,
      sym_line_comment,
  [302115] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20508), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19973), 1,
      sym_else_clause,
    STATE(15123), 2,
      sym_block_comment,
      sym_line_comment,
  [302144] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20506), 1,
      sym__end_str,
    STATE(14808), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15124), 2,
      sym_block_comment,
      sym_line_comment,
  [302171] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20510), 1,
      sym__end_str,
    STATE(15159), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15125), 2,
      sym_block_comment,
      sym_line_comment,
  [302198] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20510), 1,
      sym__end_str,
    STATE(15160), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15126), 2,
      sym_block_comment,
      sym_line_comment,
  [302225] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20512), 1,
      sym__end_cmd,
    STATE(15161), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15127), 2,
      sym_block_comment,
      sym_line_comment,
  [302252] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20512), 1,
      sym__end_cmd,
    STATE(15164), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15128), 2,
      sym_block_comment,
      sym_line_comment,
  [302279] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20514), 1,
      sym__end_cmd,
    STATE(14815), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15129), 2,
      sym_block_comment,
      sym_line_comment,
  [302306] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20514), 1,
      sym__end_cmd,
    STATE(14816), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15130), 2,
      sym_block_comment,
      sym_line_comment,
  [302333] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15257), 1,
      anon_sym_DOLLAR,
    ACTIONS(18653), 1,
      sym__word_identifier,
    ACTIONS(19656), 1,
      anon_sym_COLON2,
    STATE(15131), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6903), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [302358] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20516), 1,
      sym__end_str,
    STATE(15137), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15132), 2,
      sym_block_comment,
      sym_line_comment,
  [302385] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20516), 1,
      sym__end_str,
    STATE(15138), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15133), 2,
      sym_block_comment,
      sym_line_comment,
  [302412] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20518), 1,
      sym__end_cmd,
    STATE(15139), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15134), 2,
      sym_block_comment,
      sym_line_comment,
  [302439] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20518), 1,
      sym__end_cmd,
    STATE(15140), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15135), 2,
      sym_block_comment,
      sym_line_comment,
  [302466] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(15620), 1,
      anon_sym_EQ,
    STATE(15136), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [302489] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20520), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15137), 2,
      sym_block_comment,
      sym_line_comment,
  [302516] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20520), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15138), 2,
      sym_block_comment,
      sym_line_comment,
  [302543] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20522), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15139), 2,
      sym_block_comment,
      sym_line_comment,
  [302570] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20522), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15140), 2,
      sym_block_comment,
      sym_line_comment,
  [302597] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9027), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20524), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18501), 1,
      sym__comprehension_clause,
    STATE(15141), 2,
      sym_block_comment,
      sym_line_comment,
  [302626] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7245), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20526), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19263), 1,
      sym__comprehension_clause,
    STATE(15142), 2,
      sym_block_comment,
      sym_line_comment,
  [302655] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18667), 1,
      sym__word_identifier,
    ACTIONS(20528), 1,
      anon_sym_DOLLAR,
    ACTIONS(20530), 1,
      anon_sym_COLON2,
    STATE(15143), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18304), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [302680] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17215), 1,
      anon_sym_RPAREN,
    ACTIONS(17217), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15215), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18416), 1,
      sym__comprehension_clause,
    STATE(15144), 2,
      sym_block_comment,
      sym_line_comment,
  [302709] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20532), 1,
      sym__end_str,
    STATE(15158), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15145), 2,
      sym_block_comment,
      sym_line_comment,
  [302736] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20532), 1,
      sym__end_str,
    STATE(15163), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15146), 2,
      sym_block_comment,
      sym_line_comment,
  [302763] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20534), 1,
      sym__end_cmd,
    STATE(15169), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15147), 2,
      sym_block_comment,
      sym_line_comment,
  [302790] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20534), 1,
      sym__end_cmd,
    STATE(15170), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15148), 2,
      sym_block_comment,
      sym_line_comment,
  [302817] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20536), 1,
      anon_sym_end,
    STATE(14971), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19757), 1,
      sym_else_clause,
    STATE(15149), 2,
      sym_block_comment,
      sym_line_comment,
  [302846] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20468), 1,
      sym__end_str,
    STATE(15307), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15150), 2,
      sym_block_comment,
      sym_line_comment,
  [302873] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17422), 1,
      anon_sym_RPAREN,
    ACTIONS(17424), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15193), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18243), 1,
      sym__comprehension_clause,
    STATE(15151), 2,
      sym_block_comment,
      sym_line_comment,
  [302902] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20538), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15152), 2,
      sym_block_comment,
      sym_line_comment,
  [302929] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15693), 1,
      anon_sym_EQ,
    ACTIONS(17621), 1,
      anon_sym_SEMI,
    ACTIONS(17653), 1,
      aux_sym__terminator_token1,
    STATE(15671), 1,
      aux_sym__block_repeat1,
    ACTIONS(16940), 2,
      anon_sym_end,
      anon_sym_finally,
    STATE(15153), 2,
      sym_block_comment,
      sym_line_comment,
  [302956] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20540), 1,
      sym__end_str,
    STATE(15181), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15154), 2,
      sym_block_comment,
      sym_line_comment,
  [302983] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20540), 1,
      sym__end_str,
    STATE(15182), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15155), 2,
      sym_block_comment,
      sym_line_comment,
  [303010] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20542), 1,
      sym__end_cmd,
    STATE(15183), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15156), 2,
      sym_block_comment,
      sym_line_comment,
  [303037] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20542), 1,
      sym__end_cmd,
    STATE(15185), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15157), 2,
      sym_block_comment,
      sym_line_comment,
  [303064] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20544), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15158), 2,
      sym_block_comment,
      sym_line_comment,
  [303091] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20546), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15159), 2,
      sym_block_comment,
      sym_line_comment,
  [303118] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20546), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15160), 2,
      sym_block_comment,
      sym_line_comment,
  [303145] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20548), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15161), 2,
      sym_block_comment,
      sym_line_comment,
  [303172] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20550), 1,
      anon_sym_end,
    STATE(15243), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19005), 1,
      sym_else_clause,
    STATE(15162), 2,
      sym_block_comment,
      sym_line_comment,
  [303201] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20544), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15163), 2,
      sym_block_comment,
      sym_line_comment,
  [303228] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20548), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15164), 2,
      sym_block_comment,
      sym_line_comment,
  [303255] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20552), 1,
      sym__end_str,
    STATE(15171), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15165), 2,
      sym_block_comment,
      sym_line_comment,
  [303282] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20552), 1,
      sym__end_str,
    STATE(15172), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15166), 2,
      sym_block_comment,
      sym_line_comment,
  [303309] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20554), 1,
      sym__end_cmd,
    STATE(15173), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15167), 2,
      sym_block_comment,
      sym_line_comment,
  [303336] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20554), 1,
      sym__end_cmd,
    STATE(15174), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15168), 2,
      sym_block_comment,
      sym_line_comment,
  [303363] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20556), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15169), 2,
      sym_block_comment,
      sym_line_comment,
  [303390] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20556), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15170), 2,
      sym_block_comment,
      sym_line_comment,
  [303417] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20558), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15171), 2,
      sym_block_comment,
      sym_line_comment,
  [303444] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20558), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15172), 2,
      sym_block_comment,
      sym_line_comment,
  [303471] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20560), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15173), 2,
      sym_block_comment,
      sym_line_comment,
  [303498] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20560), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15174), 2,
      sym_block_comment,
      sym_line_comment,
  [303525] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20562), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15175), 2,
      sym_block_comment,
      sym_line_comment,
  [303552] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9099), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20564), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18241), 1,
      sym__comprehension_clause,
    STATE(15176), 2,
      sym_block_comment,
      sym_line_comment,
  [303581] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7305), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20566), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19770), 1,
      sym__comprehension_clause,
    STATE(15177), 2,
      sym_block_comment,
      sym_line_comment,
  [303610] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7795), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20568), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18393), 1,
      sym__comprehension_clause,
    STATE(15178), 2,
      sym_block_comment,
      sym_line_comment,
  [303639] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18579), 1,
      sym__word_identifier,
    ACTIONS(20570), 1,
      anon_sym_DOLLAR,
    ACTIONS(20572), 1,
      anon_sym_COLON2,
    STATE(15179), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8205), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [303664] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7931), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20574), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18958), 1,
      sym__comprehension_clause,
    STATE(15180), 2,
      sym_block_comment,
      sym_line_comment,
  [303693] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20576), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15181), 2,
      sym_block_comment,
      sym_line_comment,
  [303720] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20576), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15182), 2,
      sym_block_comment,
      sym_line_comment,
  [303747] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20578), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15183), 2,
      sym_block_comment,
      sym_line_comment,
  [303774] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20562), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15184), 2,
      sym_block_comment,
      sym_line_comment,
  [303801] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20578), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15185), 2,
      sym_block_comment,
      sym_line_comment,
  [303828] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17334), 1,
      anon_sym_RPAREN,
    ACTIONS(17336), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15246), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18455), 1,
      sym__comprehension_clause,
    STATE(15186), 2,
      sym_block_comment,
      sym_line_comment,
  [303857] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16545), 1,
      sym__word_identifier,
    ACTIONS(20580), 1,
      anon_sym_DOLLAR,
    ACTIONS(20582), 1,
      anon_sym_COLON2,
    STATE(15187), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7833), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [303882] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20538), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15188), 2,
      sym_block_comment,
      sym_line_comment,
  [303909] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20584), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15189), 2,
      sym_block_comment,
      sym_line_comment,
  [303936] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20586), 1,
      anon_sym_end,
    STATE(15202), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19528), 1,
      sym_else_clause,
    STATE(15190), 2,
      sym_block_comment,
      sym_line_comment,
  [303965] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20588), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19624), 1,
      sym_else_clause,
    STATE(15191), 2,
      sym_block_comment,
      sym_line_comment,
  [303994] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16996), 1,
      anon_sym_RPAREN,
    ACTIONS(16998), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15409), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18440), 1,
      sym__comprehension_clause,
    STATE(15192), 2,
      sym_block_comment,
      sym_line_comment,
  [304023] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7571), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20590), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18347), 1,
      sym__comprehension_clause,
    STATE(15193), 2,
      sym_block_comment,
      sym_line_comment,
  [304052] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8299), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20592), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20077), 1,
      sym__comprehension_clause,
    STATE(15194), 2,
      sym_block_comment,
      sym_line_comment,
  [304081] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16565), 1,
      sym__word_identifier,
    ACTIONS(20594), 1,
      anon_sym_DOLLAR,
    ACTIONS(20596), 1,
      anon_sym_COLON2,
    STATE(15195), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7121), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [304106] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20598), 1,
      anon_sym_end,
    STATE(15256), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19122), 1,
      sym_else_clause,
    STATE(15196), 2,
      sym_block_comment,
      sym_line_comment,
  [304135] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20600), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19127), 1,
      sym_else_clause,
    STATE(15197), 2,
      sym_block_comment,
      sym_line_comment,
  [304164] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16911), 1,
      anon_sym_RPAREN,
    ACTIONS(16913), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15471), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18546), 1,
      sym__comprehension_clause,
    STATE(15198), 2,
      sym_block_comment,
      sym_line_comment,
  [304193] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7647), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20602), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18652), 1,
      sym__comprehension_clause,
    STATE(15199), 2,
      sym_block_comment,
      sym_line_comment,
  [304222] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7803), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20604), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20019), 1,
      sym__comprehension_clause,
    STATE(15200), 2,
      sym_block_comment,
      sym_line_comment,
  [304251] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20606), 1,
      anon_sym_end,
    STATE(15210), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(18905), 1,
      sym_else_clause,
    STATE(15201), 2,
      sym_block_comment,
      sym_line_comment,
  [304280] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20608), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(18909), 1,
      sym_else_clause,
    STATE(15202), 2,
      sym_block_comment,
      sym_line_comment,
  [304309] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7419), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20610), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18477), 1,
      sym__comprehension_clause,
    STATE(15203), 2,
      sym_block_comment,
      sym_line_comment,
  [304338] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20612), 1,
      sym__end_str,
    STATE(15209), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15204), 2,
      sym_block_comment,
      sym_line_comment,
  [304365] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20612), 1,
      sym__end_str,
    STATE(15211), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15205), 2,
      sym_block_comment,
      sym_line_comment,
  [304392] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20614), 1,
      sym__end_cmd,
    STATE(15212), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15206), 2,
      sym_block_comment,
      sym_line_comment,
  [304419] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20614), 1,
      sym__end_cmd,
    STATE(15214), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15207), 2,
      sym_block_comment,
      sym_line_comment,
  [304446] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19938), 1,
      sym__immediate_string_start,
    ACTIONS(19940), 1,
      sym__immediate_command_start,
    STATE(15208), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [304469] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20616), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15209), 2,
      sym_block_comment,
      sym_line_comment,
  [304496] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20618), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(18947), 1,
      sym_else_clause,
    STATE(15210), 2,
      sym_block_comment,
      sym_line_comment,
  [304525] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20616), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15211), 2,
      sym_block_comment,
      sym_line_comment,
  [304552] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20620), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15212), 2,
      sym_block_comment,
      sym_line_comment,
  [304579] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20622), 1,
      anon_sym_end,
    STATE(15219), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(18949), 1,
      sym_else_clause,
    STATE(15213), 2,
      sym_block_comment,
      sym_line_comment,
  [304608] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20620), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15214), 2,
      sym_block_comment,
      sym_line_comment,
  [304635] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7149), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20624), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18429), 1,
      sym__comprehension_clause,
    STATE(15215), 2,
      sym_block_comment,
      sym_line_comment,
  [304664] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7355), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20626), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18984), 1,
      sym__comprehension_clause,
    STATE(15216), 2,
      sym_block_comment,
      sym_line_comment,
  [304693] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18712), 1,
      sym__word_identifier,
    ACTIONS(20628), 1,
      anon_sym_DOLLAR,
    ACTIONS(20630), 1,
      anon_sym_COLON2,
    STATE(15217), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8240), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [304718] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8341), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20632), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19188), 1,
      sym__comprehension_clause,
    STATE(15218), 2,
      sym_block_comment,
      sym_line_comment,
  [304747] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20634), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(18956), 1,
      sym_else_clause,
    STATE(15219), 2,
      sym_block_comment,
      sym_line_comment,
  [304776] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17362), 1,
      anon_sym_RPAREN,
    ACTIONS(17364), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15272), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18496), 1,
      sym__comprehension_clause,
    STATE(15220), 2,
      sym_block_comment,
      sym_line_comment,
  [304805] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20636), 1,
      sym__end_str,
    STATE(15371), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15221), 2,
      sym_block_comment,
      sym_line_comment,
  [304832] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20638), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19544), 1,
      sym_else_clause,
    STATE(15222), 2,
      sym_block_comment,
      sym_line_comment,
  [304861] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20640), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19476), 1,
      sym_else_clause,
    STATE(15223), 2,
      sym_block_comment,
      sym_line_comment,
  [304890] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18655), 1,
      sym__word_identifier,
    ACTIONS(20642), 1,
      anon_sym_DOLLAR,
    ACTIONS(20644), 1,
      anon_sym_COLON2,
    STATE(15224), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(16948), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [304915] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20636), 1,
      sym__end_str,
    STATE(15373), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15225), 2,
      sym_block_comment,
      sym_line_comment,
  [304942] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20646), 1,
      anon_sym_end,
    STATE(15098), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20286), 1,
      sym_else_clause,
    STATE(15226), 2,
      sym_block_comment,
      sym_line_comment,
  [304971] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20648), 1,
      sym__end_cmd,
    STATE(15376), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15227), 2,
      sym_block_comment,
      sym_line_comment,
  [304998] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(20650), 1,
      anon_sym_SEMI,
    ACTIONS(20653), 1,
      aux_sym__terminator_token1,
    ACTIONS(17836), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
    STATE(15228), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__block_repeat1,
  [305021] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17078), 1,
      anon_sym_RPAREN,
    ACTIONS(17080), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14871), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18282), 1,
      sym__comprehension_clause,
    STATE(15229), 2,
      sym_block_comment,
      sym_line_comment,
  [305050] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20648), 1,
      sym__end_cmd,
    STATE(15424), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15230), 2,
      sym_block_comment,
      sym_line_comment,
  [305077] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20656), 1,
      anon_sym_end,
    STATE(15319), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19552), 1,
      sym_else_clause,
    STATE(15231), 2,
      sym_block_comment,
      sym_line_comment,
  [305106] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20658), 1,
      sym__end_str,
    STATE(15265), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15232), 2,
      sym_block_comment,
      sym_line_comment,
  [305133] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20658), 1,
      sym__end_str,
    STATE(15266), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15233), 2,
      sym_block_comment,
      sym_line_comment,
  [305160] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20660), 1,
      sym__end_cmd,
    STATE(15267), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15234), 2,
      sym_block_comment,
      sym_line_comment,
  [305187] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20662), 1,
      sym__end_str,
    STATE(15241), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15235), 2,
      sym_block_comment,
      sym_line_comment,
  [305214] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20662), 1,
      sym__end_str,
    STATE(15242), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15236), 2,
      sym_block_comment,
      sym_line_comment,
  [305241] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20664), 1,
      sym__end_cmd,
    STATE(15244), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15237), 2,
      sym_block_comment,
      sym_line_comment,
  [305268] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20664), 1,
      sym__end_cmd,
    STATE(15245), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15238), 2,
      sym_block_comment,
      sym_line_comment,
  [305295] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20660), 1,
      sym__end_cmd,
    STATE(15268), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15239), 2,
      sym_block_comment,
      sym_line_comment,
  [305322] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16593), 1,
      sym__word_identifier,
    ACTIONS(20666), 1,
      anon_sym_DOLLAR,
    ACTIONS(20668), 1,
      anon_sym_COLON2,
    STATE(15240), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9479), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [305347] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20670), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15241), 2,
      sym_block_comment,
      sym_line_comment,
  [305374] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20670), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15242), 2,
      sym_block_comment,
      sym_line_comment,
  [305401] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20672), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19645), 1,
      sym_else_clause,
    STATE(15243), 2,
      sym_block_comment,
      sym_line_comment,
  [305430] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20674), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15244), 2,
      sym_block_comment,
      sym_line_comment,
  [305457] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20674), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15245), 2,
      sym_block_comment,
      sym_line_comment,
  [305484] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20676), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18465), 1,
      sym__comprehension_clause,
    STATE(15246), 2,
      sym_block_comment,
      sym_line_comment,
  [305513] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7425), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20678), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19118), 1,
      sym__comprehension_clause,
    STATE(15247), 2,
      sym_block_comment,
      sym_line_comment,
  [305542] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16693), 1,
      sym__word_identifier,
    ACTIONS(20680), 1,
      anon_sym_DOLLAR,
    ACTIONS(20682), 1,
      anon_sym_COLON2,
    STATE(15248), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6994), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [305567] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20684), 1,
      sym__end_str,
    STATE(15263), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15249), 2,
      sym_block_comment,
      sym_line_comment,
  [305594] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16899), 1,
      anon_sym_RPAREN,
    ACTIONS(16901), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15298), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18531), 1,
      sym__comprehension_clause,
    STATE(15250), 2,
      sym_block_comment,
      sym_line_comment,
  [305623] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20684), 1,
      sym__end_str,
    STATE(15274), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15251), 2,
      sym_block_comment,
      sym_line_comment,
  [305650] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20686), 1,
      sym__end_cmd,
    STATE(15277), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15252), 2,
      sym_block_comment,
      sym_line_comment,
  [305677] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20686), 1,
      sym__end_cmd,
    STATE(15280), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15253), 2,
      sym_block_comment,
      sym_line_comment,
  [305704] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16575), 1,
      sym__word_identifier,
    ACTIONS(20688), 1,
      anon_sym_DOLLAR,
    ACTIONS(20690), 1,
      anon_sym_COLON2,
    STATE(15254), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12208), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [305729] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20692), 1,
      anon_sym_end,
    STATE(15287), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19339), 1,
      sym_else_clause,
    STATE(15255), 2,
      sym_block_comment,
      sym_line_comment,
  [305758] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20694), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19344), 1,
      sym_else_clause,
    STATE(15256), 2,
      sym_block_comment,
      sym_line_comment,
  [305787] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20696), 1,
      anon_sym_end,
    STATE(15365), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19814), 1,
      sym_else_clause,
    STATE(15257), 2,
      sym_block_comment,
      sym_line_comment,
  [305816] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20698), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19819), 1,
      sym_else_clause,
    STATE(15258), 2,
      sym_block_comment,
      sym_line_comment,
  [305845] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20700), 1,
      sym__end_str,
    STATE(15264), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15259), 2,
      sym_block_comment,
      sym_line_comment,
  [305872] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20700), 1,
      sym__end_str,
    STATE(15269), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15260), 2,
      sym_block_comment,
      sym_line_comment,
  [305899] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20702), 1,
      sym__end_cmd,
    STATE(15270), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15261), 2,
      sym_block_comment,
      sym_line_comment,
  [305926] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20702), 1,
      sym__end_cmd,
    STATE(15271), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15262), 2,
      sym_block_comment,
      sym_line_comment,
  [305953] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20704), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15263), 2,
      sym_block_comment,
      sym_line_comment,
  [305980] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20706), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15264), 2,
      sym_block_comment,
      sym_line_comment,
  [306007] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20708), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15265), 2,
      sym_block_comment,
      sym_line_comment,
  [306034] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20708), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15266), 2,
      sym_block_comment,
      sym_line_comment,
  [306061] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20710), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15267), 2,
      sym_block_comment,
      sym_line_comment,
  [306088] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20710), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15268), 2,
      sym_block_comment,
      sym_line_comment,
  [306115] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20706), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15269), 2,
      sym_block_comment,
      sym_line_comment,
  [306142] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20712), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15270), 2,
      sym_block_comment,
      sym_line_comment,
  [306169] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20712), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15271), 2,
      sym_block_comment,
      sym_line_comment,
  [306196] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7301), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20714), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18507), 1,
      sym__comprehension_clause,
    STATE(15272), 2,
      sym_block_comment,
      sym_line_comment,
  [306225] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7477), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20716), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19287), 1,
      sym__comprehension_clause,
    STATE(15273), 2,
      sym_block_comment,
      sym_line_comment,
  [306254] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20704), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15274), 2,
      sym_block_comment,
      sym_line_comment,
  [306281] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16555), 1,
      sym__word_identifier,
    ACTIONS(20718), 1,
      anon_sym_DOLLAR,
    ACTIONS(20720), 1,
      anon_sym_COLON2,
    STATE(15275), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7181), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [306306] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16934), 1,
      anon_sym_RPAREN,
    ACTIONS(16936), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15203), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18349), 1,
      sym__comprehension_clause,
    STATE(15276), 2,
      sym_block_comment,
      sym_line_comment,
  [306335] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20722), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15277), 2,
      sym_block_comment,
      sym_line_comment,
  [306362] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20724), 1,
      anon_sym_end,
    STATE(15311), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19463), 1,
      sym_else_clause,
    STATE(15278), 2,
      sym_block_comment,
      sym_line_comment,
  [306391] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20726), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19466), 1,
      sym_else_clause,
    STATE(15279), 2,
      sym_block_comment,
      sym_line_comment,
  [306420] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20722), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15280), 2,
      sym_block_comment,
      sym_line_comment,
  [306447] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7845), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20728), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18300), 1,
      sym__comprehension_clause,
    STATE(15281), 2,
      sym_block_comment,
      sym_line_comment,
  [306476] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7983), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20730), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19512), 1,
      sym__comprehension_clause,
    STATE(15282), 2,
      sym_block_comment,
      sym_line_comment,
  [306505] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9053), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20732), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18551), 1,
      sym__comprehension_clause,
    STATE(15283), 2,
      sym_block_comment,
      sym_line_comment,
  [306534] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8699), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20734), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19502), 1,
      sym__comprehension_clause,
    STATE(15284), 2,
      sym_block_comment,
      sym_line_comment,
  [306563] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14009), 1,
      anon_sym_DOLLAR,
    ACTIONS(18724), 1,
      sym__word_identifier,
    ACTIONS(19592), 1,
      anon_sym_COLON2,
    STATE(15285), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6789), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [306588] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17112), 1,
      anon_sym_RPAREN,
    ACTIONS(17114), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14635), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18615), 1,
      sym__comprehension_clause,
    STATE(15286), 2,
      sym_block_comment,
      sym_line_comment,
  [306617] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20736), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19461), 1,
      sym_else_clause,
    STATE(15287), 2,
      sym_block_comment,
      sym_line_comment,
  [306646] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20738), 1,
      anon_sym_end,
    STATE(15312), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19472), 1,
      sym_else_clause,
    STATE(15288), 2,
      sym_block_comment,
      sym_line_comment,
  [306675] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20740), 1,
      sym__end_str,
    STATE(15293), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15289), 2,
      sym_block_comment,
      sym_line_comment,
  [306702] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20740), 1,
      sym__end_str,
    STATE(15294), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15290), 2,
      sym_block_comment,
      sym_line_comment,
  [306729] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20742), 1,
      sym__end_cmd,
    STATE(15296), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15291), 2,
      sym_block_comment,
      sym_line_comment,
  [306756] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20742), 1,
      sym__end_cmd,
    STATE(15297), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15292), 2,
      sym_block_comment,
      sym_line_comment,
  [306783] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20744), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15293), 2,
      sym_block_comment,
      sym_line_comment,
  [306810] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20744), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15294), 2,
      sym_block_comment,
      sym_line_comment,
  [306837] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17092), 1,
      anon_sym_RPAREN,
    ACTIONS(17094), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14878), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18367), 1,
      sym__comprehension_clause,
    STATE(15295), 2,
      sym_block_comment,
      sym_line_comment,
  [306866] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20746), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15296), 2,
      sym_block_comment,
      sym_line_comment,
  [306893] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20746), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15297), 2,
      sym_block_comment,
      sym_line_comment,
  [306920] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7345), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20748), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18547), 1,
      sym__comprehension_clause,
    STATE(15298), 2,
      sym_block_comment,
      sym_line_comment,
  [306949] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(20750), 1,
      anon_sym_DOLLAR,
    ACTIONS(20752), 1,
      anon_sym_COLON2,
    STATE(15299), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11950), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [306974] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17350), 1,
      anon_sym_RPAREN,
    ACTIONS(17352), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15078), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18376), 1,
      sym__comprehension_clause,
    STATE(15300), 2,
      sym_block_comment,
      sym_line_comment,
  [307003] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7517), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20754), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19474), 1,
      sym__comprehension_clause,
    STATE(15301), 2,
      sym_block_comment,
      sym_line_comment,
  [307032] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20756), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15302), 2,
      sym_block_comment,
      sym_line_comment,
  [307059] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14691), 1,
      anon_sym_DOLLAR,
    ACTIONS(18641), 1,
      sym__word_identifier,
    ACTIONS(19710), 1,
      anon_sym_COLON2,
    STATE(15303), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6847), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [307084] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20756), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15304), 2,
      sym_block_comment,
      sym_line_comment,
  [307111] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20758), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15305), 2,
      sym_block_comment,
      sym_line_comment,
  [307138] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11139), 1,
      aux_sym__terminator_token1,
    ACTIONS(18072), 1,
      anon_sym_COMMA,
    ACTIONS(11134), 3,
      anon_sym_EQ,
      anon_sym_end,
      anon_sym_SEMI,
    STATE(15306), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
  [307161] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20584), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15307), 2,
      sym_block_comment,
      sym_line_comment,
  [307188] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17024), 1,
      anon_sym_RPAREN,
    ACTIONS(17026), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15333), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18585), 1,
      sym__comprehension_clause,
    STATE(15308), 2,
      sym_block_comment,
      sym_line_comment,
  [307217] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20758), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15309), 2,
      sym_block_comment,
      sym_line_comment,
  [307244] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20760), 1,
      anon_sym_end,
    STATE(15320), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19562), 1,
      sym_else_clause,
    STATE(15310), 2,
      sym_block_comment,
      sym_line_comment,
  [307273] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20762), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19579), 1,
      sym_else_clause,
    STATE(15311), 2,
      sym_block_comment,
      sym_line_comment,
  [307302] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20764), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19484), 1,
      sym_else_clause,
    STATE(15312), 2,
      sym_block_comment,
      sym_line_comment,
  [307331] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20766), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15313), 2,
      sym_block_comment,
      sym_line_comment,
  [307358] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20766), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15314), 2,
      sym_block_comment,
      sym_line_comment,
  [307385] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20768), 1,
      anon_sym_end,
    STATE(15037), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(18977), 1,
      sym_else_clause,
    STATE(15315), 2,
      sym_block_comment,
      sym_line_comment,
  [307414] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20770), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19558), 1,
      sym_else_clause,
    STATE(15316), 2,
      sym_block_comment,
      sym_line_comment,
  [307443] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8259), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20772), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19498), 1,
      sym__comprehension_clause,
    STATE(15317), 2,
      sym_block_comment,
      sym_line_comment,
  [307472] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(20774), 1,
      anon_sym_DOLLAR,
    ACTIONS(20776), 1,
      anon_sym_COLON2,
    STATE(15318), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11058), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [307497] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20778), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19659), 1,
      sym_else_clause,
    STATE(15319), 2,
      sym_block_comment,
      sym_line_comment,
  [307526] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20780), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19604), 1,
      sym_else_clause,
    STATE(15320), 2,
      sym_block_comment,
      sym_line_comment,
  [307555] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20782), 1,
      sym__end_str,
    STATE(15327), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15321), 2,
      sym_block_comment,
      sym_line_comment,
  [307582] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20782), 1,
      sym__end_str,
    STATE(15328), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15322), 2,
      sym_block_comment,
      sym_line_comment,
  [307609] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20784), 1,
      sym__end_cmd,
    STATE(15329), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15323), 2,
      sym_block_comment,
      sym_line_comment,
  [307636] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20786), 1,
      anon_sym_end,
    STATE(15326), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19605), 1,
      sym_else_clause,
    STATE(15324), 2,
      sym_block_comment,
      sym_line_comment,
  [307665] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20784), 1,
      sym__end_cmd,
    STATE(15331), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15325), 2,
      sym_block_comment,
      sym_line_comment,
  [307692] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20788), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19612), 1,
      sym_else_clause,
    STATE(15326), 2,
      sym_block_comment,
      sym_line_comment,
  [307721] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20790), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15327), 2,
      sym_block_comment,
      sym_line_comment,
  [307748] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20790), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15328), 2,
      sym_block_comment,
      sym_line_comment,
  [307775] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20792), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15329), 2,
      sym_block_comment,
      sym_line_comment,
  [307802] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20794), 1,
      sym__end_cmd,
    STATE(15313), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15330), 2,
      sym_block_comment,
      sym_line_comment,
  [307829] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20792), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15331), 2,
      sym_block_comment,
      sym_line_comment,
  [307856] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20796), 1,
      sym__end_str,
    STATE(15351), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15332), 2,
      sym_block_comment,
      sym_line_comment,
  [307883] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7471), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20798), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18600), 1,
      sym__comprehension_clause,
    STATE(15333), 2,
      sym_block_comment,
      sym_line_comment,
  [307912] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7575), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20800), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19681), 1,
      sym__comprehension_clause,
    STATE(15334), 2,
      sym_block_comment,
      sym_line_comment,
  [307941] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20796), 1,
      sym__end_str,
    STATE(15356), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15335), 2,
      sym_block_comment,
      sym_line_comment,
  [307968] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18643), 1,
      sym__word_identifier,
    ACTIONS(20802), 1,
      anon_sym_DOLLAR,
    ACTIONS(20804), 1,
      anon_sym_COLON2,
    STATE(15336), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8303), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [307993] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20806), 1,
      sym__end_cmd,
    STATE(15360), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15337), 2,
      sym_block_comment,
      sym_line_comment,
  [308020] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20794), 1,
      sym__end_cmd,
    STATE(15314), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15338), 2,
      sym_block_comment,
      sym_line_comment,
  [308047] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20806), 1,
      sym__end_cmd,
    STATE(15362), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15339), 2,
      sym_block_comment,
      sym_line_comment,
  [308074] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17142), 1,
      anon_sym_RPAREN,
    ACTIONS(17144), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15416), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18717), 1,
      sym__comprehension_clause,
    STATE(15340), 2,
      sym_block_comment,
      sym_line_comment,
  [308103] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20808), 1,
      sym__end_str,
    STATE(15382), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15341), 2,
      sym_block_comment,
      sym_line_comment,
  [308130] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20808), 1,
      sym__end_str,
    STATE(15384), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15342), 2,
      sym_block_comment,
      sym_line_comment,
  [308157] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20810), 1,
      sym__end_cmd,
    STATE(15385), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15343), 2,
      sym_block_comment,
      sym_line_comment,
  [308184] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20810), 1,
      sym__end_cmd,
    STATE(15386), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15344), 2,
      sym_block_comment,
      sym_line_comment,
  [308211] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20812), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19720), 1,
      sym_else_clause,
    STATE(15345), 2,
      sym_block_comment,
      sym_line_comment,
  [308240] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20814), 1,
      sym__end_str,
    STATE(15352), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15346), 2,
      sym_block_comment,
      sym_line_comment,
  [308267] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20814), 1,
      sym__end_str,
    STATE(15353), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15347), 2,
      sym_block_comment,
      sym_line_comment,
  [308294] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20816), 1,
      sym__end_cmd,
    STATE(15354), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15348), 2,
      sym_block_comment,
      sym_line_comment,
  [308321] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20816), 1,
      sym__end_cmd,
    STATE(15355), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15349), 2,
      sym_block_comment,
      sym_line_comment,
  [308348] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20818), 1,
      sym__end_str,
    STATE(15403), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15350), 2,
      sym_block_comment,
      sym_line_comment,
  [308375] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20820), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15351), 2,
      sym_block_comment,
      sym_line_comment,
  [308402] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20822), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15352), 2,
      sym_block_comment,
      sym_line_comment,
  [308429] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20822), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15353), 2,
      sym_block_comment,
      sym_line_comment,
  [308456] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20824), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15354), 2,
      sym_block_comment,
      sym_line_comment,
  [308483] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20824), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15355), 2,
      sym_block_comment,
      sym_line_comment,
  [308510] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20820), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15356), 2,
      sym_block_comment,
      sym_line_comment,
  [308537] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7643), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20826), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18640), 1,
      sym__comprehension_clause,
    STATE(15357), 2,
      sym_block_comment,
      sym_line_comment,
  [308566] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(20828), 1,
      anon_sym_DOLLAR,
    ACTIONS(20830), 1,
      anon_sym_COLON2,
    STATE(15358), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11058), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [308591] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7613), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20832), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19821), 1,
      sym__comprehension_clause,
    STATE(15359), 2,
      sym_block_comment,
      sym_line_comment,
  [308620] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20834), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15360), 2,
      sym_block_comment,
      sym_line_comment,
  [308647] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15327), 1,
      anon_sym_DOLLAR,
    ACTIONS(18694), 1,
      sym__word_identifier,
    ACTIONS(19726), 1,
      anon_sym_COLON2,
    STATE(15361), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8319), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [308672] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20834), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15362), 2,
      sym_block_comment,
      sym_line_comment,
  [308699] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17223), 1,
      anon_sym_RPAREN,
    ACTIONS(17225), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15433), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18734), 1,
      sym__comprehension_clause,
    STATE(15363), 2,
      sym_block_comment,
      sym_line_comment,
  [308728] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20818), 1,
      sym__end_str,
    STATE(15405), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15364), 2,
      sym_block_comment,
      sym_line_comment,
  [308755] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20836), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20221), 1,
      sym_else_clause,
    STATE(15365), 2,
      sym_block_comment,
      sym_line_comment,
  [308784] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(20838), 1,
      anon_sym_DOLLAR,
    ACTIONS(20840), 1,
      anon_sym_COLON2,
    STATE(15366), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11058), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [308809] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20842), 1,
      anon_sym_end,
    STATE(15447), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20257), 1,
      sym_else_clause,
    STATE(15367), 2,
      sym_block_comment,
      sym_line_comment,
  [308838] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20844), 1,
      sym__end_cmd,
    STATE(15406), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15368), 2,
      sym_block_comment,
      sym_line_comment,
  [308865] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(20846), 1,
      anon_sym_DOLLAR,
    ACTIONS(20848), 1,
      anon_sym_COLON2,
    STATE(15369), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11058), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [308890] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20844), 1,
      sym__end_cmd,
    STATE(15407), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15370), 2,
      sym_block_comment,
      sym_line_comment,
  [308917] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20850), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15371), 2,
      sym_block_comment,
      sym_line_comment,
  [308944] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20852), 1,
      anon_sym_end,
    STATE(15463), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20352), 1,
      sym_else_clause,
    STATE(15372), 2,
      sym_block_comment,
      sym_line_comment,
  [308973] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20850), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15373), 2,
      sym_block_comment,
      sym_line_comment,
  [309000] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20854), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(18980), 1,
      sym_else_clause,
    STATE(15374), 2,
      sym_block_comment,
      sym_line_comment,
  [309029] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(20856), 1,
      anon_sym_DOLLAR,
    ACTIONS(20858), 1,
      anon_sym_COLON2,
    STATE(15375), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11058), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [309054] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20860), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15376), 2,
      sym_block_comment,
      sym_line_comment,
  [309081] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(20862), 1,
      anon_sym_DOLLAR,
    ACTIONS(20864), 1,
      anon_sym_COLON2,
    STATE(15377), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11058), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [309106] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20866), 1,
      sym__end_str,
    STATE(15388), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15378), 2,
      sym_block_comment,
      sym_line_comment,
  [309133] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20866), 1,
      sym__end_str,
    STATE(15389), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15379), 2,
      sym_block_comment,
      sym_line_comment,
  [309160] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    ACTIONS(20868), 1,
      anon_sym_DOLLAR,
    ACTIONS(20870), 1,
      anon_sym_COLON2,
    STATE(15380), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11058), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [309185] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20872), 1,
      sym__end_cmd,
    STATE(15390), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15381), 2,
      sym_block_comment,
      sym_line_comment,
  [309212] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20874), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15382), 2,
      sym_block_comment,
      sym_line_comment,
  [309239] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20872), 1,
      sym__end_cmd,
    STATE(15391), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15383), 2,
      sym_block_comment,
      sym_line_comment,
  [309266] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20874), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15384), 2,
      sym_block_comment,
      sym_line_comment,
  [309293] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20876), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15385), 2,
      sym_block_comment,
      sym_line_comment,
  [309320] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20876), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15386), 2,
      sym_block_comment,
      sym_line_comment,
  [309347] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(20878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20880), 1,
      anon_sym_COLON2,
    STATE(15387), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11950), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [309372] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20882), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15388), 2,
      sym_block_comment,
      sym_line_comment,
  [309399] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20882), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15389), 2,
      sym_block_comment,
      sym_line_comment,
  [309426] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20884), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15390), 2,
      sym_block_comment,
      sym_line_comment,
  [309453] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20884), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15391), 2,
      sym_block_comment,
      sym_line_comment,
  [309480] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8003), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20886), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18707), 1,
      sym__comprehension_clause,
    STATE(15392), 2,
      sym_block_comment,
      sym_line_comment,
  [309509] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7655), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20888), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20015), 1,
      sym__comprehension_clause,
    STATE(15393), 2,
      sym_block_comment,
      sym_line_comment,
  [309538] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18645), 1,
      sym__word_identifier,
    ACTIONS(20890), 1,
      anon_sym_DOLLAR,
    ACTIONS(20892), 1,
      anon_sym_COLON2,
    STATE(15394), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7473), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [309563] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(15395), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(13217), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [309582] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20894), 1,
      anon_sym_end,
    STATE(15413), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20040), 1,
      sym_else_clause,
    STATE(15396), 2,
      sym_block_comment,
      sym_line_comment,
  [309611] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20896), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20043), 1,
      sym_else_clause,
    STATE(15397), 2,
      sym_block_comment,
      sym_line_comment,
  [309640] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17328), 1,
      anon_sym_RPAREN,
    ACTIONS(17330), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15458), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18772), 1,
      sym__comprehension_clause,
    STATE(15398), 2,
      sym_block_comment,
      sym_line_comment,
  [309669] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8629), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20898), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18720), 1,
      sym__comprehension_clause,
    STATE(15399), 2,
      sym_block_comment,
      sym_line_comment,
  [309698] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20900), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20080), 1,
      sym__comprehension_clause,
    STATE(15400), 2,
      sym_block_comment,
      sym_line_comment,
  [309727] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14159), 1,
      anon_sym_DOLLAR,
    ACTIONS(18639), 1,
      sym__word_identifier,
    ACTIONS(19768), 1,
      anon_sym_COLON2,
    STATE(15401), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6878), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [309752] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15606), 1,
      anon_sym_EQ,
    ACTIONS(17838), 1,
      aux_sym__terminator_token1,
    STATE(15402), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17836), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [309775] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20902), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15403), 2,
      sym_block_comment,
      sym_line_comment,
  [309802] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17389), 1,
      anon_sym_RPAREN,
    ACTIONS(17391), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14770), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18582), 1,
      sym__comprehension_clause,
    STATE(15404), 2,
      sym_block_comment,
      sym_line_comment,
  [309831] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20902), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15405), 2,
      sym_block_comment,
      sym_line_comment,
  [309858] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20904), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15406), 2,
      sym_block_comment,
      sym_line_comment,
  [309885] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20904), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15407), 2,
      sym_block_comment,
      sym_line_comment,
  [309912] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(15606), 1,
      anon_sym_EQ,
    STATE(15408), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 4,
      anon_sym_end,
      anon_sym_elseif,
      anon_sym_else,
      anon_sym_SEMI,
  [309935] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7893), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20906), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18500), 1,
      sym__comprehension_clause,
    STATE(15409), 2,
      sym_block_comment,
      sym_line_comment,
  [309964] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18655), 1,
      sym__word_identifier,
    STATE(16924), 1,
      sym_identifier,
    STATE(15410), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10133), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [309987] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18655), 1,
      sym__word_identifier,
    STATE(17061), 1,
      sym_identifier,
    STATE(15411), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10137), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [310010] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20908), 1,
      anon_sym_end,
    STATE(15426), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20125), 1,
      sym_else_clause,
    STATE(15412), 2,
      sym_block_comment,
      sym_line_comment,
  [310039] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20910), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20127), 1,
      sym_else_clause,
    STATE(15413), 2,
      sym_block_comment,
      sym_line_comment,
  [310068] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18655), 1,
      sym__word_identifier,
    STATE(15968), 1,
      sym_identifier,
    STATE(15414), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10145), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [310091] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18655), 1,
      sym__word_identifier,
    STATE(16160), 1,
      sym_identifier,
    STATE(15415), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10009), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [310114] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7235), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20912), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18663), 1,
      sym__comprehension_clause,
    STATE(15416), 2,
      sym_block_comment,
      sym_line_comment,
  [310143] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8635), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20914), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20059), 1,
      sym__comprehension_clause,
    STATE(15417), 2,
      sym_block_comment,
      sym_line_comment,
  [310172] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8033), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20916), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(19268), 1,
      sym__comprehension_clause,
    STATE(15418), 2,
      sym_block_comment,
      sym_line_comment,
  [310201] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20918), 1,
      sym__end_str,
    STATE(15428), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15419), 2,
      sym_block_comment,
      sym_line_comment,
  [310228] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20918), 1,
      sym__end_str,
    STATE(15429), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15420), 2,
      sym_block_comment,
      sym_line_comment,
  [310255] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20920), 1,
      sym__end_cmd,
    STATE(15430), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15421), 2,
      sym_block_comment,
      sym_line_comment,
  [310282] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20920), 1,
      sym__end_cmd,
    STATE(15431), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15422), 2,
      sym_block_comment,
      sym_line_comment,
  [310309] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16535), 1,
      sym__word_identifier,
    ACTIONS(20922), 1,
      anon_sym_DOLLAR,
    ACTIONS(20924), 1,
      anon_sym_COLON2,
    STATE(15423), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7210), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [310334] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20860), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15424), 2,
      sym_block_comment,
      sym_line_comment,
  [310361] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20926), 1,
      anon_sym_end,
    STATE(14658), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19434), 1,
      sym_else_clause,
    STATE(15425), 2,
      sym_block_comment,
      sym_line_comment,
  [310390] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20928), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20155), 1,
      sym_else_clause,
    STATE(15426), 2,
      sym_block_comment,
      sym_line_comment,
  [310419] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20930), 1,
      anon_sym_end,
    STATE(15432), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20156), 1,
      sym_else_clause,
    STATE(15427), 2,
      sym_block_comment,
      sym_line_comment,
  [310448] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20932), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15428), 2,
      sym_block_comment,
      sym_line_comment,
  [310475] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20932), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15429), 2,
      sym_block_comment,
      sym_line_comment,
  [310502] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20934), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15430), 2,
      sym_block_comment,
      sym_line_comment,
  [310529] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20934), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15431), 2,
      sym_block_comment,
      sym_line_comment,
  [310556] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20936), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20163), 1,
      sym_else_clause,
    STATE(15432), 2,
      sym_block_comment,
      sym_line_comment,
  [310585] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7569), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20938), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18740), 1,
      sym__comprehension_clause,
    STATE(15433), 2,
      sym_block_comment,
      sym_line_comment,
  [310614] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7715), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20940), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20207), 1,
      sym__comprehension_clause,
    STATE(15434), 2,
      sym_block_comment,
      sym_line_comment,
  [310643] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18706), 1,
      sym__word_identifier,
    ACTIONS(20942), 1,
      anon_sym_DOLLAR,
    ACTIONS(20944), 1,
      anon_sym_COLON2,
    STATE(15435), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8377), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [310668] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(15436), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 6,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_DOT,
  [310687] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17160), 1,
      anon_sym_RPAREN,
    ACTIONS(17162), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14652), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18755), 1,
      sym__comprehension_clause,
    STATE(15437), 2,
      sym_block_comment,
      sym_line_comment,
  [310716] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17430), 1,
      anon_sym_RPAREN,
    ACTIONS(17432), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15199), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18424), 1,
      sym__comprehension_clause,
    STATE(15438), 2,
      sym_block_comment,
      sym_line_comment,
  [310745] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(17195), 1,
      anon_sym_RPAREN,
    ACTIONS(17197), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15089), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18397), 1,
      sym__comprehension_clause,
    STATE(15439), 2,
      sym_block_comment,
      sym_line_comment,
  [310774] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20946), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19713), 1,
      sym_else_clause,
    STATE(15440), 2,
      sym_block_comment,
      sym_line_comment,
  [310803] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9029), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20948), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18411), 1,
      sym__comprehension_clause,
    STATE(15441), 2,
      sym_block_comment,
      sym_line_comment,
  [310832] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20950), 1,
      sym__end_str,
    STATE(15113), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15442), 2,
      sym_block_comment,
      sym_line_comment,
  [310859] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20950), 1,
      sym__end_str,
    STATE(15472), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15443), 2,
      sym_block_comment,
      sym_line_comment,
  [310886] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20952), 1,
      sym__end_cmd,
    STATE(15152), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15444), 2,
      sym_block_comment,
      sym_line_comment,
  [310913] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20952), 1,
      sym__end_cmd,
    STATE(15188), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15445), 2,
      sym_block_comment,
      sym_line_comment,
  [310940] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(20954), 1,
      anon_sym_DOLLAR,
    ACTIONS(20956), 1,
      anon_sym_COLON2,
    STATE(15446), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11950), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [310965] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20958), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(20343), 1,
      sym_else_clause,
    STATE(15447), 2,
      sym_block_comment,
      sym_line_comment,
  [310994] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20960), 1,
      sym__end_str,
    STATE(15453), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15448), 2,
      sym_block_comment,
      sym_line_comment,
  [311021] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20960), 1,
      sym__end_str,
    STATE(15454), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15449), 2,
      sym_block_comment,
      sym_line_comment,
  [311048] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20962), 1,
      sym__end_cmd,
    STATE(15455), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15450), 2,
      sym_block_comment,
      sym_line_comment,
  [311075] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20962), 1,
      sym__end_cmd,
    STATE(15456), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15451), 2,
      sym_block_comment,
      sym_line_comment,
  [311102] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(20964), 1,
      anon_sym_DOLLAR,
    ACTIONS(20966), 1,
      anon_sym_COLON2,
    STATE(15452), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11950), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [311127] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19872), 1,
      anon_sym_DOLLAR,
    ACTIONS(20968), 1,
      sym__end_str,
    STATE(15021), 1,
      aux_sym_string_literal_repeat1,
    STATE(16376), 1,
      sym_string_interpolation,
    ACTIONS(19874), 2,
      sym__content_str_1,
      sym_escape_sequence,
    STATE(15453), 2,
      sym_block_comment,
      sym_line_comment,
  [311154] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20968), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15454), 2,
      sym_block_comment,
      sym_line_comment,
  [311181] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19882), 1,
      anon_sym_DOLLAR,
    ACTIONS(20970), 1,
      sym__end_cmd,
    STATE(15034), 1,
      aux_sym_command_literal_repeat1,
    STATE(17171), 1,
      sym_string_interpolation,
    ACTIONS(19884), 2,
      sym__content_cmd_1,
      sym_escape_sequence,
    STATE(15455), 2,
      sym_block_comment,
      sym_line_comment,
  [311208] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19888), 1,
      anon_sym_DOLLAR,
    ACTIONS(20970), 1,
      sym__end_cmd,
    STATE(15035), 1,
      aux_sym_command_literal_repeat2,
    STATE(17189), 1,
      sym_string_interpolation,
    ACTIONS(19890), 2,
      sym__content_cmd_3,
      sym_escape_sequence,
    STATE(15456), 2,
      sym_block_comment,
      sym_line_comment,
  [311235] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(20972), 1,
      anon_sym_DOLLAR,
    ACTIONS(20974), 1,
      anon_sym_COLON2,
    STATE(15457), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11950), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [311260] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7609), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20976), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18779), 1,
      sym__comprehension_clause,
    STATE(15458), 2,
      sym_block_comment,
      sym_line_comment,
  [311289] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7757), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(20978), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(20347), 1,
      sym__comprehension_clause,
    STATE(15459), 2,
      sym_block_comment,
      sym_line_comment,
  [311318] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(20980), 1,
      anon_sym_DOLLAR,
    ACTIONS(20982), 1,
      anon_sym_COLON2,
    STATE(15460), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11950), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [311343] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16667), 1,
      sym__word_identifier,
    ACTIONS(20984), 1,
      anon_sym_DOLLAR,
    ACTIONS(20986), 1,
      anon_sym_COLON2,
    STATE(15461), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7592), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [311368] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(20988), 1,
      anon_sym_DOLLAR,
    ACTIONS(20990), 1,
      anon_sym_COLON2,
    STATE(15462), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11950), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [311393] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1073), 1,
      anon_sym_else,
    ACTIONS(19864), 1,
      anon_sym_elseif,
    ACTIONS(20992), 1,
      anon_sym_end,
    STATE(15638), 1,
      aux_sym_if_statement_repeat1,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(19488), 1,
      sym_else_clause,
    STATE(15463), 2,
      sym_block_comment,
      sym_line_comment,
  [311422] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(20994), 1,
      anon_sym_DOLLAR,
    ACTIONS(20996), 1,
      anon_sym_COLON2,
    STATE(15464), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11950), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [311447] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(20998), 1,
      anon_sym_DOLLAR,
    ACTIONS(21000), 1,
      anon_sym_COLON2,
    STATE(15465), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11950), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [311472] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(21002), 1,
      anon_sym_DOLLAR,
    ACTIONS(21004), 1,
      anon_sym_COLON2,
    STATE(15466), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11950), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [311497] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(21006), 1,
      anon_sym_DOLLAR,
    ACTIONS(21008), 1,
      anon_sym_COLON2,
    STATE(15467), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11950), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [311522] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8805), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21010), 1,
      anon_sym_COMMA,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16679), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18939), 1,
      sym__comprehension_clause,
    STATE(15468), 2,
      sym_block_comment,
      sym_line_comment,
  [311551] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    ACTIONS(21012), 1,
      anon_sym_DOLLAR,
    ACTIONS(21014), 1,
      anon_sym_COLON2,
    STATE(15469), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11950), 3,
      sym_interpolation_expression,
      sym_quote_expression,
      sym_identifier,
  [311576] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(16924), 1,
      anon_sym_RPAREN,
    ACTIONS(16926), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(14819), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18553), 1,
      sym__comprehension_clause,
    STATE(15470), 2,
      sym_block_comment,
      sym_line_comment,
  [311605] = 9,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7513), 1,
      anon_sym_RPAREN,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21016), 1,
      anon_sym_SEMI,
    STATE(14590), 1,
      sym_for_clause,
    STATE(16569), 1,
      aux_sym_parenthesized_expression_repeat1,
    STATE(18460), 1,
      sym__comprehension_clause,
    STATE(15471), 2,
      sym_block_comment,
      sym_line_comment,
  [311634] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19878), 1,
      anon_sym_DOLLAR,
    ACTIONS(20492), 1,
      sym__end_str,
    STATE(15026), 1,
      aux_sym_string_literal_repeat2,
    STATE(17129), 1,
      sym_string_interpolation,
    ACTIONS(19880), 2,
      sym__content_str_3,
      sym_escape_sequence,
    STATE(15472), 2,
      sym_block_comment,
      sym_line_comment,
  [311661] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15851), 1,
      aux_sym__terminator_repeat1,
    STATE(20081), 1,
      sym__comprehension_clause,
    STATE(15473), 2,
      sym_block_comment,
      sym_line_comment,
  [311687] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15475), 1,
      aux_sym__terminator_repeat1,
    STATE(18811), 1,
      sym__comprehension_clause,
    STATE(15474), 2,
      sym_block_comment,
      sym_line_comment,
  [311713] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(18826), 1,
      sym__comprehension_clause,
    STATE(15475), 2,
      sym_block_comment,
      sym_line_comment,
  [311739] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16317), 1,
      anon_sym_LBRACK,
    STATE(9714), 1,
      sym__array,
    STATE(15476), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9608), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [311761] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15478), 1,
      aux_sym__terminator_repeat1,
    STATE(18898), 1,
      sym__comprehension_clause,
    STATE(15477), 2,
      sym_block_comment,
      sym_line_comment,
  [311787] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(18932), 1,
      sym__comprehension_clause,
    STATE(15478), 2,
      sym_block_comment,
      sym_line_comment,
  [311813] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15480), 1,
      aux_sym__terminator_repeat1,
    STATE(19044), 1,
      sym__comprehension_clause,
    STATE(15479), 2,
      sym_block_comment,
      sym_line_comment,
  [311839] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19073), 1,
      sym__comprehension_clause,
    STATE(15480), 2,
      sym_block_comment,
      sym_line_comment,
  [311865] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15482), 1,
      aux_sym__terminator_repeat1,
    STATE(19193), 1,
      sym__comprehension_clause,
    STATE(15481), 2,
      sym_block_comment,
      sym_line_comment,
  [311891] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19218), 1,
      sym__comprehension_clause,
    STATE(15482), 2,
      sym_block_comment,
      sym_line_comment,
  [311917] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15484), 1,
      aux_sym__terminator_repeat1,
    STATE(19318), 1,
      sym__comprehension_clause,
    STATE(15483), 2,
      sym_block_comment,
      sym_line_comment,
  [311943] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19345), 1,
      sym__comprehension_clause,
    STATE(15484), 2,
      sym_block_comment,
      sym_line_comment,
  [311969] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21020), 1,
      anon_sym_SEMI,
    ACTIONS(21023), 1,
      aux_sym__terminator_token1,
    ACTIONS(17836), 2,
      anon_sym_end,
      anon_sym_catch,
    STATE(15485), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__block_repeat1,
  [311991] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7385), 1,
      anon_sym_LBRACK,
    STATE(4856), 1,
      sym__array,
    STATE(15486), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4774), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312013] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21026), 1,
      anon_sym_end,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    STATE(18087), 1,
      sym_else_clause,
    STATE(19787), 1,
      sym_finally_clause,
    STATE(15487), 2,
      sym_block_comment,
      sym_line_comment,
  [312039] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1271), 1,
      anon_sym_LBRACK,
    STATE(6332), 1,
      sym__array,
    STATE(15488), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5849), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312061] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21032), 1,
      anon_sym_end,
    STATE(17998), 1,
      sym_else_clause,
    STATE(19267), 1,
      sym_finally_clause,
    STATE(15489), 2,
      sym_block_comment,
      sym_line_comment,
  [312087] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7157), 1,
      anon_sym_LBRACK,
    STATE(5205), 1,
      sym__array,
    STATE(15490), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5244), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312109] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13689), 1,
      anon_sym_LBRACK,
    STATE(11149), 1,
      sym__array,
    STATE(15491), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11258), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312131] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7157), 1,
      anon_sym_LBRACK,
    STATE(5206), 1,
      sym__array,
    STATE(15492), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5244), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312153] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7157), 1,
      anon_sym_LBRACK,
    STATE(5209), 1,
      sym__array,
    STATE(15493), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5244), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312175] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7385), 1,
      anon_sym_LBRACK,
    STATE(4713), 1,
      sym__array,
    STATE(15494), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4774), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312197] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15739), 1,
      anon_sym_EQ,
    ACTIONS(17510), 1,
      aux_sym__terminator_token1,
    STATE(15495), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17508), 3,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
  [312219] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21034), 1,
      anon_sym_end,
    STATE(17861), 1,
      sym_else_clause,
    STATE(19840), 1,
      sym_finally_clause,
    STATE(15496), 2,
      sym_block_comment,
      sym_line_comment,
  [312245] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16235), 1,
      anon_sym_LBRACK,
    STATE(8040), 1,
      sym__array,
    STATE(15497), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8128), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312267] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    STATE(11075), 1,
      sym__array,
    STATE(15498), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11095), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312289] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13703), 1,
      anon_sym_LBRACK,
    STATE(6253), 1,
      sym__array,
    STATE(15499), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5943), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312311] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21036), 1,
      anon_sym_end,
    STATE(17930), 1,
      sym_else_clause,
    STATE(18951), 1,
      sym_finally_clause,
    STATE(15500), 2,
      sym_block_comment,
      sym_line_comment,
  [312337] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21038), 1,
      anon_sym_end,
    STATE(17634), 1,
      sym_else_clause,
    STATE(19266), 1,
      sym_finally_clause,
    STATE(15501), 2,
      sym_block_comment,
      sym_line_comment,
  [312363] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15835), 1,
      anon_sym_EQ,
    ACTIONS(18172), 1,
      ts_builtin_sym_end,
    ACTIONS(18174), 1,
      anon_sym_SEMI,
    ACTIONS(18178), 1,
      aux_sym__terminator_token1,
    STATE(16584), 1,
      aux_sym__block_repeat1,
    STATE(15502), 2,
      sym_block_comment,
      sym_line_comment,
  [312389] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17838), 1,
      aux_sym__terminator_token1,
    STATE(15503), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17836), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [312409] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21040), 1,
      anon_sym_end,
    STATE(17983), 1,
      sym_else_clause,
    STATE(19173), 1,
      sym_finally_clause,
    STATE(15504), 2,
      sym_block_comment,
      sym_line_comment,
  [312435] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7203), 1,
      anon_sym_LBRACK,
    STATE(5402), 1,
      sym__array,
    STATE(15505), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5434), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312457] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16195), 1,
      anon_sym_LBRACK,
    STATE(7642), 1,
      sym__array,
    STATE(15506), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7584), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312479] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14937), 1,
      anon_sym_LBRACK,
    STATE(5660), 1,
      sym__array,
    STATE(15507), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5694), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312501] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14937), 1,
      anon_sym_LBRACK,
    STATE(5661), 1,
      sym__array,
    STATE(15508), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5694), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312523] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10015), 1,
      anon_sym_DOT,
    ACTIONS(21042), 1,
      aux_sym_float_literal_token2,
    STATE(15509), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10019), 3,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
  [312545] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14937), 1,
      anon_sym_LBRACK,
    STATE(5664), 1,
      sym__array,
    STATE(15510), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5694), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312567] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15763), 1,
      anon_sym_EQ,
    ACTIONS(17510), 1,
      aux_sym__terminator_token1,
    STATE(15511), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17508), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
  [312589] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15241), 1,
      anon_sym_LBRACK,
    STATE(6831), 1,
      sym__array,
    STATE(15512), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6881), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312611] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21044), 1,
      anon_sym_end,
    STATE(17879), 1,
      sym_else_clause,
    STATE(19983), 1,
      sym_finally_clause,
    STATE(15513), 2,
      sym_block_comment,
      sym_line_comment,
  [312637] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14799), 1,
      anon_sym_LBRACK,
    STATE(5972), 1,
      sym__array,
    STATE(15514), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6077), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312659] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7157), 1,
      anon_sym_LBRACK,
    STATE(5214), 1,
      sym__array,
    STATE(15515), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5244), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312681] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16119), 1,
      anon_sym_LBRACK,
    STATE(8002), 1,
      sym__array,
    STATE(15516), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8009), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312703] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15739), 1,
      anon_sym_EQ,
    ACTIONS(17838), 1,
      aux_sym__terminator_token1,
    STATE(15517), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17836), 3,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
  [312725] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4457), 1,
      anon_sym_LBRACK,
    STATE(5048), 1,
      sym__array,
    STATE(15518), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5284), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312747] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15335), 1,
      anon_sym_LBRACK,
    STATE(5688), 1,
      sym__array,
    STATE(15519), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5493), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312769] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15253), 1,
      anon_sym_LBRACK,
    STATE(6444), 1,
      sym__array,
    STATE(15520), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6472), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312791] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    STATE(10983), 1,
      sym__array,
    STATE(15521), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11095), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312813] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14611), 1,
      anon_sym_LBRACK,
    STATE(6301), 1,
      sym__array,
    STATE(15522), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5844), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312835] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14611), 1,
      anon_sym_LBRACK,
    STATE(6317), 1,
      sym__array,
    STATE(15523), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5844), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312857] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13677), 1,
      anon_sym_LBRACK,
    STATE(6504), 1,
      sym__array,
    STATE(15524), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6545), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312879] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15763), 1,
      anon_sym_EQ,
    ACTIONS(17838), 1,
      aux_sym__terminator_token1,
    STATE(15525), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17836), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
  [312901] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21046), 1,
      anon_sym_end,
    STATE(17641), 1,
      sym_else_clause,
    STATE(19867), 1,
      sym_finally_clause,
    STATE(15526), 2,
      sym_block_comment,
      sym_line_comment,
  [312927] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14005), 1,
      anon_sym_LBRACK,
    STATE(5866), 1,
      sym__array,
    STATE(15527), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5881), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312949] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(15763), 1,
      anon_sym_EQ,
    STATE(15528), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 3,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_SEMI,
  [312971] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13703), 1,
      anon_sym_LBRACK,
    STATE(6397), 1,
      sym__array,
    STATE(15529), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5943), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [312993] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14155), 1,
      anon_sym_LBRACK,
    STATE(6600), 1,
      sym__array,
    STATE(15530), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6710), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313015] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21048), 1,
      anon_sym_end,
    STATE(18023), 1,
      sym_else_clause,
    STATE(19370), 1,
      sym_finally_clause,
    STATE(15531), 2,
      sym_block_comment,
      sym_line_comment,
  [313041] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14155), 1,
      anon_sym_LBRACK,
    STATE(6601), 1,
      sym__array,
    STATE(15532), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6710), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313063] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14155), 1,
      anon_sym_LBRACK,
    STATE(6604), 1,
      sym__array,
    STATE(15533), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6710), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313085] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(15739), 1,
      anon_sym_EQ,
    STATE(15534), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 3,
      anon_sym_end,
      anon_sym_catch,
      anon_sym_SEMI,
  [313107] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16297), 1,
      anon_sym_LBRACK,
    STATE(7448), 1,
      sym__array,
    STATE(15535), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7377), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313129] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13957), 1,
      anon_sym_LBRACK,
    STATE(10571), 1,
      sym__array,
    STATE(15536), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10601), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313151] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14937), 1,
      anon_sym_LBRACK,
    STATE(5669), 1,
      sym__array,
    STATE(15537), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5694), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313173] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7539), 1,
      anon_sym_LBRACK,
    STATE(5289), 1,
      sym__array,
    STATE(15538), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4970), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313195] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16091), 1,
      anon_sym_LBRACK,
    STATE(7853), 1,
      sym__array,
    STATE(15539), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8434), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313217] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13957), 1,
      anon_sym_LBRACK,
    STATE(10514), 1,
      sym__array,
    STATE(15540), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10601), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313239] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13957), 1,
      anon_sym_LBRACK,
    STATE(10561), 1,
      sym__array,
    STATE(15541), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10601), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313261] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16187), 1,
      anon_sym_LBRACK,
    STATE(7905), 1,
      sym__array,
    STATE(15542), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7838), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313283] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    STATE(10970), 1,
      sym__array,
    STATE(15543), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10906), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313305] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1655), 1,
      anon_sym_LBRACK,
    STATE(10394), 1,
      sym__array,
    STATE(15544), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10362), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313327] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    STATE(10865), 1,
      sym__array,
    STATE(15545), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10906), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313349] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16269), 1,
      anon_sym_LBRACK,
    STATE(16778), 1,
      sym__array,
    STATE(15546), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(17483), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313371] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21050), 1,
      anon_sym_end,
    STATE(17988), 1,
      sym_else_clause,
    STATE(19232), 1,
      sym_finally_clause,
    STATE(15547), 2,
      sym_block_comment,
      sym_line_comment,
  [313397] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15840), 1,
      aux_sym__terminator_repeat1,
    STATE(19804), 1,
      sym__comprehension_clause,
    STATE(15548), 2,
      sym_block_comment,
      sym_line_comment,
  [313423] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21052), 1,
      anon_sym_end,
    STATE(18052), 1,
      sym_else_clause,
    STATE(19556), 1,
      sym_finally_clause,
    STATE(15549), 2,
      sym_block_comment,
      sym_line_comment,
  [313449] = 8,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15849), 1,
      anon_sym_EQ,
    ACTIONS(16940), 1,
      anon_sym_end,
    ACTIONS(17983), 1,
      anon_sym_SEMI,
    ACTIONS(18015), 1,
      aux_sym__terminator_token1,
    STATE(17185), 1,
      aux_sym__block_repeat1,
    STATE(15550), 2,
      sym_block_comment,
      sym_line_comment,
  [313475] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13677), 1,
      anon_sym_LBRACK,
    STATE(6481), 1,
      sym__array,
    STATE(15551), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6545), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313497] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21054), 1,
      anon_sym_end,
    STATE(18013), 1,
      sym_else_clause,
    STATE(19347), 1,
      sym_finally_clause,
    STATE(15552), 2,
      sym_block_comment,
      sym_line_comment,
  [313523] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21056), 1,
      anon_sym_end,
    STATE(18001), 1,
      sym_else_clause,
    STATE(19265), 1,
      sym_finally_clause,
    STATE(15553), 2,
      sym_block_comment,
      sym_line_comment,
  [313549] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14155), 1,
      anon_sym_LBRACK,
    STATE(6625), 1,
      sym__array,
    STATE(15554), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6710), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313571] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13677), 1,
      anon_sym_LBRACK,
    STATE(6482), 1,
      sym__array,
    STATE(15555), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6545), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313593] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17547), 1,
      anon_sym_SEMI,
    ACTIONS(17579), 1,
      aux_sym__terminator_token1,
    STATE(15633), 1,
      aux_sym__block_repeat1,
    ACTIONS(16940), 2,
      anon_sym_end,
      anon_sym_catch,
    STATE(15556), 2,
      sym_block_comment,
      sym_line_comment,
  [313617] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1655), 1,
      anon_sym_LBRACK,
    STATE(10416), 1,
      sym__array,
    STATE(15557), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10362), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313639] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21058), 1,
      anon_sym_end,
    STATE(18109), 1,
      sym_else_clause,
    STATE(19832), 1,
      sym_finally_clause,
    STATE(15558), 2,
      sym_block_comment,
      sym_line_comment,
  [313665] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14787), 1,
      anon_sym_LBRACK,
    STATE(11830), 1,
      sym__array,
    STATE(15559), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11848), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313687] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14787), 1,
      anon_sym_LBRACK,
    STATE(11888), 1,
      sym__array,
    STATE(15560), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11848), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313709] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14787), 1,
      anon_sym_LBRACK,
    STATE(11898), 1,
      sym__array,
    STATE(15561), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11848), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313731] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15693), 1,
      anon_sym_EQ,
    ACTIONS(17838), 1,
      aux_sym__terminator_token1,
    STATE(15562), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17836), 3,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
  [313753] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    STATE(10673), 1,
      sym__array,
    STATE(15563), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313775] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    STATE(10687), 1,
      sym__array,
    STATE(15564), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313797] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16077), 1,
      anon_sym_LBRACK,
    STATE(7824), 1,
      sym__array,
    STATE(15565), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8397), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313819] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    STATE(10653), 1,
      sym__array,
    STATE(15566), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313841] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14687), 1,
      anon_sym_LBRACK,
    STATE(6750), 1,
      sym__array,
    STATE(15567), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6761), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313863] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15277), 1,
      anon_sym_LBRACK,
    STATE(12468), 1,
      sym__array,
    STATE(15568), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12528), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313885] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14687), 1,
      anon_sym_LBRACK,
    STATE(6795), 1,
      sym__array,
    STATE(15569), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6761), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313907] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15277), 1,
      anon_sym_LBRACK,
    STATE(12633), 1,
      sym__array,
    STATE(15570), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12528), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313929] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16163), 1,
      anon_sym_LBRACK,
    STATE(12220), 1,
      sym__array,
    STATE(15571), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12257), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313951] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15277), 1,
      anon_sym_LBRACK,
    STATE(12541), 1,
      sym__array,
    STATE(15572), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12528), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [313973] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21060), 1,
      anon_sym_end,
    STATE(17635), 1,
      sym_else_clause,
    STATE(19333), 1,
      sym_finally_clause,
    STATE(15573), 2,
      sym_block_comment,
      sym_line_comment,
  [313999] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16069), 1,
      anon_sym_LBRACK,
    STATE(8605), 1,
      sym__array,
    STATE(15574), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9094), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314021] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13677), 1,
      anon_sym_LBRACK,
    STATE(6485), 1,
      sym__array,
    STATE(15575), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6545), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314043] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14799), 1,
      anon_sym_LBRACK,
    STATE(6391), 1,
      sym__array,
    STATE(15576), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6077), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314065] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21062), 1,
      anon_sym_end,
    STATE(17811), 1,
      sym_else_clause,
    STATE(19270), 1,
      sym_finally_clause,
    STATE(15577), 2,
      sym_block_comment,
      sym_line_comment,
  [314091] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16325), 1,
      anon_sym_LBRACK,
    STATE(9469), 1,
      sym__array,
    STATE(15578), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(9359), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314113] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21064), 1,
      anon_sym_end,
    STATE(17803), 1,
      sym_else_clause,
    STATE(19942), 1,
      sym_finally_clause,
    STATE(15579), 2,
      sym_block_comment,
      sym_line_comment,
  [314139] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21066), 1,
      anon_sym_end,
    STATE(17836), 1,
      sym_else_clause,
    STATE(19623), 1,
      sym_finally_clause,
    STATE(15580), 2,
      sym_block_comment,
      sym_line_comment,
  [314165] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16223), 1,
      anon_sym_LBRACK,
    STATE(7038), 1,
      sym__array,
    STATE(15581), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7022), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314187] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token4,
    STATE(20082), 1,
      sym_integer_literal,
    STATE(15582), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14479), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [314209] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16037), 1,
      anon_sym_LBRACK,
    STATE(7244), 1,
      sym__array,
    STATE(15583), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7580), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314231] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15586), 1,
      aux_sym__terminator_repeat1,
    STATE(19301), 1,
      sym__comprehension_clause,
    STATE(15584), 2,
      sym_block_comment,
      sym_line_comment,
  [314257] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    STATE(10628), 1,
      sym__array,
    STATE(15585), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10540), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314279] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19264), 1,
      sym__comprehension_clause,
    STATE(15586), 2,
      sym_block_comment,
      sym_line_comment,
  [314305] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1271), 1,
      anon_sym_LBRACK,
    STATE(5852), 1,
      sym__array,
    STATE(15587), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5849), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314327] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16133), 1,
      anon_sym_LBRACK,
    STATE(7374), 1,
      sym__array,
    STATE(15588), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7640), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314349] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13957), 1,
      anon_sym_LBRACK,
    STATE(10516), 1,
      sym__array,
    STATE(15589), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10601), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314371] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21068), 1,
      anon_sym_end,
    STATE(18036), 1,
      sym_else_clause,
    STATE(19470), 1,
      sym_finally_clause,
    STATE(15590), 2,
      sym_block_comment,
      sym_line_comment,
  [314397] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7539), 1,
      anon_sym_LBRACK,
    STATE(5296), 1,
      sym__array,
    STATE(15591), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4970), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314419] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15335), 1,
      anon_sym_LBRACK,
    STATE(5782), 1,
      sym__array,
    STATE(15592), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5493), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314441] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7203), 1,
      anon_sym_LBRACK,
    STATE(5393), 1,
      sym__array,
    STATE(15593), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5434), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314463] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21070), 1,
      anon_sym_SEMI,
    ACTIONS(21072), 1,
      aux_sym__terminator_token1,
    STATE(15654), 1,
      aux_sym__block_repeat1,
    ACTIONS(4387), 2,
      anon_sym_catch,
      anon_sym_finally,
    STATE(15594), 2,
      sym_block_comment,
      sym_line_comment,
  [314487] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7681), 1,
      anon_sym_LBRACK,
    STATE(5130), 1,
      sym__array,
    STATE(15595), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5137), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314509] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token4,
    STATE(19881), 1,
      sym_integer_literal,
    STATE(15596), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14479), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [314531] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1655), 1,
      anon_sym_LBRACK,
    STATE(10359), 1,
      sym__array,
    STATE(15597), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10362), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314553] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15277), 1,
      anon_sym_LBRACK,
    STATE(12416), 1,
      sym__array,
    STATE(15598), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(12528), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314575] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15335), 1,
      anon_sym_LBRACK,
    STATE(5785), 1,
      sym__array,
    STATE(15599), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5493), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314597] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15601), 1,
      aux_sym__terminator_repeat1,
    STATE(20297), 1,
      sym__comprehension_clause,
    STATE(15600), 2,
      sym_block_comment,
      sym_line_comment,
  [314623] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19761), 1,
      sym__comprehension_clause,
    STATE(15601), 2,
      sym_block_comment,
      sym_line_comment,
  [314649] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14169), 1,
      anon_sym_LBRACK,
    STATE(6522), 1,
      sym__array,
    STATE(15602), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6591), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314671] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14787), 1,
      anon_sym_LBRACK,
    STATE(11918), 1,
      sym__array,
    STATE(15603), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11848), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314693] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21074), 1,
      anon_sym_end,
    STATE(18037), 1,
      sym_else_clause,
    STATE(19478), 1,
      sym_finally_clause,
    STATE(15604), 2,
      sym_block_comment,
      sym_line_comment,
  [314719] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14611), 1,
      anon_sym_LBRACK,
    STATE(6376), 1,
      sym__array,
    STATE(15605), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5844), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314741] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7681), 1,
      anon_sym_LBRACK,
    STATE(5119), 1,
      sym__array,
    STATE(15606), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5137), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314763] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17621), 1,
      anon_sym_SEMI,
    ACTIONS(17653), 1,
      aux_sym__terminator_token1,
    STATE(15671), 1,
      aux_sym__block_repeat1,
    ACTIONS(16940), 2,
      anon_sym_end,
      anon_sym_finally,
    STATE(15607), 2,
      sym_block_comment,
      sym_line_comment,
  [314787] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13703), 1,
      anon_sym_LBRACK,
    STATE(6377), 1,
      sym__array,
    STATE(15608), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5943), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314809] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14005), 1,
      anon_sym_LBRACK,
    STATE(5858), 1,
      sym__array,
    STATE(15609), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5881), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314831] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15985), 1,
      anon_sym_LBRACK,
    STATE(11807), 1,
      sym__array,
    STATE(15610), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11781), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314853] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13431), 1,
      anon_sym_LBRACK,
    STATE(6139), 1,
      sym__array,
    STATE(15611), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6345), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314875] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13431), 1,
      anon_sym_LBRACK,
    STATE(6142), 1,
      sym__array,
    STATE(15612), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6345), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314897] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14169), 1,
      anon_sym_LBRACK,
    STATE(6524), 1,
      sym__array,
    STATE(15613), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6591), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314919] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14169), 1,
      anon_sym_LBRACK,
    STATE(6527), 1,
      sym__array,
    STATE(15614), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6591), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314941] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21076), 1,
      anon_sym_end,
    STATE(17603), 1,
      sym_else_clause,
    STATE(19004), 1,
      sym_finally_clause,
    STATE(15615), 2,
      sym_block_comment,
      sym_line_comment,
  [314967] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15359), 1,
      anon_sym_LBRACK,
    STATE(7124), 1,
      sym__array,
    STATE(15616), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6944), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [314989] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7681), 1,
      anon_sym_LBRACK,
    STATE(5120), 1,
      sym__array,
    STATE(15617), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5137), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315011] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13703), 1,
      anon_sym_LBRACK,
    STATE(6382), 1,
      sym__array,
    STATE(15618), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5943), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315033] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7681), 1,
      anon_sym_LBRACK,
    STATE(5123), 1,
      sym__array,
    STATE(15619), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5137), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315055] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token4,
    STATE(19874), 1,
      sym_integer_literal,
    STATE(15620), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14479), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [315077] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15359), 1,
      anon_sym_LBRACK,
    STATE(6963), 1,
      sym__array,
    STATE(15621), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6944), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315099] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1655), 1,
      anon_sym_LBRACK,
    STATE(10384), 1,
      sym__array,
    STATE(15622), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10362), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315121] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15624), 1,
      aux_sym__terminator_repeat1,
    STATE(20355), 1,
      sym__comprehension_clause,
    STATE(15623), 2,
      sym_block_comment,
      sym_line_comment,
  [315147] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19619), 1,
      sym__comprehension_clause,
    STATE(15624), 2,
      sym_block_comment,
      sym_line_comment,
  [315173] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15359), 1,
      anon_sym_LBRACK,
    STATE(7141), 1,
      sym__array,
    STATE(15625), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6944), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315195] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21078), 1,
      anon_sym_end,
    STATE(18059), 1,
      sym_else_clause,
    STATE(19592), 1,
      sym_finally_clause,
    STATE(15626), 2,
      sym_block_comment,
      sym_line_comment,
  [315221] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14687), 1,
      anon_sym_LBRACK,
    STATE(6746), 1,
      sym__array,
    STATE(15627), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6761), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315243] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14799), 1,
      anon_sym_LBRACK,
    STATE(6398), 1,
      sym__array,
    STATE(15628), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6077), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315265] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    STATE(11023), 1,
      sym__array,
    STATE(15629), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11095), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315287] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21080), 1,
      anon_sym_end,
    STATE(17730), 1,
      sym_else_clause,
    STATE(19928), 1,
      sym_finally_clause,
    STATE(15630), 2,
      sym_block_comment,
      sym_line_comment,
  [315313] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21082), 1,
      anon_sym_end,
    STATE(17773), 1,
      sym_else_clause,
    STATE(18876), 1,
      sym_finally_clause,
    STATE(15631), 2,
      sym_block_comment,
      sym_line_comment,
  [315339] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4457), 1,
      anon_sym_LBRACK,
    STATE(5027), 1,
      sym__array,
    STATE(15632), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5284), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315361] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21084), 1,
      anon_sym_SEMI,
    ACTIONS(21086), 1,
      aux_sym__terminator_token1,
    STATE(15485), 1,
      aux_sym__block_repeat1,
    ACTIONS(4387), 2,
      anon_sym_end,
      anon_sym_catch,
    STATE(15633), 2,
      sym_block_comment,
      sym_line_comment,
  [315385] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21088), 1,
      anon_sym_end,
    STATE(18057), 1,
      sym_else_clause,
    STATE(19583), 1,
      sym_finally_clause,
    STATE(15634), 2,
      sym_block_comment,
      sym_line_comment,
  [315411] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    STATE(10537), 1,
      sym__array,
    STATE(15635), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10540), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315433] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17510), 1,
      aux_sym__terminator_token1,
    STATE(15636), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17508), 4,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
      anon_sym_SEMI,
  [315453] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15253), 1,
      anon_sym_LBRACK,
    STATE(6434), 1,
      sym__array,
    STATE(15637), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6472), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315475] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21090), 1,
      anon_sym_end,
    ACTIONS(21092), 1,
      anon_sym_elseif,
    ACTIONS(21095), 1,
      anon_sym_else,
    STATE(17869), 1,
      sym_elseif_clause,
    STATE(15638), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_if_statement_repeat1,
  [315499] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13431), 1,
      anon_sym_LBRACK,
    STATE(6156), 1,
      sym__array,
    STATE(15639), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6345), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315521] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4457), 1,
      anon_sym_LBRACK,
    STATE(5028), 1,
      sym__array,
    STATE(15640), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5284), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315543] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21097), 1,
      anon_sym_end,
    STATE(17793), 1,
      sym_else_clause,
    STATE(19028), 1,
      sym_finally_clause,
    STATE(15641), 2,
      sym_block_comment,
      sym_line_comment,
  [315569] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21099), 1,
      anon_sym_end,
    STATE(17742), 1,
      sym_else_clause,
    STATE(19163), 1,
      sym_finally_clause,
    STATE(15642), 2,
      sym_block_comment,
      sym_line_comment,
  [315595] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token4,
    STATE(19192), 1,
      sym_integer_literal,
    STATE(15643), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14479), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [315617] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10109), 1,
      anon_sym_LBRACK,
    STATE(10722), 1,
      sym__array,
    STATE(15644), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10689), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315639] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7273), 1,
      anon_sym_LBRACK,
    STATE(4702), 1,
      sym__array,
    STATE(15645), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4928), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315661] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15648), 1,
      aux_sym__terminator_repeat1,
    STATE(20132), 1,
      sym__comprehension_clause,
    STATE(15646), 2,
      sym_block_comment,
      sym_line_comment,
  [315687] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21101), 1,
      anon_sym_end,
    STATE(17659), 1,
      sym_else_clause,
    STATE(19055), 1,
      sym_finally_clause,
    STATE(15647), 2,
      sym_block_comment,
      sym_line_comment,
  [315713] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(18930), 1,
      sym__comprehension_clause,
    STATE(15648), 2,
      sym_block_comment,
      sym_line_comment,
  [315739] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7273), 1,
      anon_sym_LBRACK,
    STATE(4704), 1,
      sym__array,
    STATE(15649), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4928), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315761] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4457), 1,
      anon_sym_LBRACK,
    STATE(5031), 1,
      sym__array,
    STATE(15650), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5284), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315783] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7273), 1,
      anon_sym_LBRACK,
    STATE(4709), 1,
      sym__array,
    STATE(15651), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4928), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315805] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21103), 1,
      anon_sym_end,
    STATE(17716), 1,
      sym_else_clause,
    STATE(20277), 1,
      sym_finally_clause,
    STATE(15652), 2,
      sym_block_comment,
      sym_line_comment,
  [315831] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    STATE(11032), 1,
      sym__array,
    STATE(15653), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11095), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315853] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21105), 1,
      anon_sym_SEMI,
    ACTIONS(21108), 1,
      aux_sym__terminator_token1,
    ACTIONS(17836), 2,
      anon_sym_catch,
      anon_sym_finally,
    STATE(15654), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__block_repeat1,
  [315875] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21111), 1,
      anon_sym_end,
    STATE(18063), 1,
      sym_else_clause,
    STATE(19607), 1,
      sym_finally_clause,
    STATE(15655), 2,
      sym_block_comment,
      sym_line_comment,
  [315901] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15323), 1,
      anon_sym_LBRACK,
    STATE(7510), 1,
      sym__array,
    STATE(15656), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7341), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315923] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21113), 1,
      anon_sym_end,
    STATE(17611), 1,
      sym_else_clause,
    STATE(19493), 1,
      sym_finally_clause,
    STATE(15657), 2,
      sym_block_comment,
      sym_line_comment,
  [315949] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13431), 1,
      anon_sym_LBRACK,
    STATE(6175), 1,
      sym__array,
    STATE(15658), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6345), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315971] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14711), 1,
      anon_sym_LBRACK,
    STATE(6176), 1,
      sym__array,
    STATE(15659), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5907), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [315993] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14711), 1,
      anon_sym_LBRACK,
    STATE(6179), 1,
      sym__array,
    STATE(15660), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5907), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316015] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16289), 1,
      anon_sym_LBRACK,
    STATE(8327), 1,
      sym__array,
    STATE(15661), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(8010), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316037] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15359), 1,
      anon_sym_LBRACK,
    STATE(7102), 1,
      sym__array,
    STATE(15662), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6944), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316059] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13629), 1,
      anon_sym_LBRACK,
    STATE(6767), 1,
      sym__array,
    STATE(15663), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6579), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316081] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14687), 1,
      anon_sym_LBRACK,
    STATE(6698), 1,
      sym__array,
    STATE(15664), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6761), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316103] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token4,
    STATE(19432), 1,
      sym_integer_literal,
    STATE(15665), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14479), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [316125] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15667), 1,
      aux_sym__terminator_repeat1,
    STATE(19503), 1,
      sym__comprehension_clause,
    STATE(15666), 2,
      sym_block_comment,
      sym_line_comment,
  [316151] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19594), 1,
      sym__comprehension_clause,
    STATE(15667), 2,
      sym_block_comment,
      sym_line_comment,
  [316177] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21115), 1,
      anon_sym_end,
    STATE(17589), 1,
      sym_else_clause,
    STATE(19574), 1,
      sym_finally_clause,
    STATE(15668), 2,
      sym_block_comment,
      sym_line_comment,
  [316203] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16215), 1,
      anon_sym_LBRACK,
    STATE(7564), 1,
      sym__array,
    STATE(15669), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7232), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316225] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13689), 1,
      anon_sym_LBRACK,
    STATE(11229), 1,
      sym__array,
    STATE(15670), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11258), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316247] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21117), 1,
      anon_sym_SEMI,
    ACTIONS(21119), 1,
      aux_sym__terminator_token1,
    STATE(15743), 1,
      aux_sym__block_repeat1,
    ACTIONS(4387), 2,
      anon_sym_end,
      anon_sym_finally,
    STATE(15671), 2,
      sym_block_comment,
      sym_line_comment,
  [316271] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13689), 1,
      anon_sym_LBRACK,
    STATE(11153), 1,
      sym__array,
    STATE(15672), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11258), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316293] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7203), 1,
      anon_sym_LBRACK,
    STATE(5417), 1,
      sym__array,
    STATE(15673), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5434), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316315] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13689), 1,
      anon_sym_LBRACK,
    STATE(11173), 1,
      sym__array,
    STATE(15674), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11258), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316337] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16309), 1,
      anon_sym_LBRACK,
    STATE(18373), 1,
      sym__array,
    STATE(15675), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18534), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316359] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15253), 1,
      anon_sym_LBRACK,
    STATE(6435), 1,
      sym__array,
    STATE(15676), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6472), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316381] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token4,
    STATE(20008), 1,
      sym_integer_literal,
    STATE(15677), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14479), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [316403] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1271), 1,
      anon_sym_LBRACK,
    STATE(6340), 1,
      sym__array,
    STATE(15678), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5849), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316425] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7203), 1,
      anon_sym_LBRACK,
    STATE(5367), 1,
      sym__array,
    STATE(15679), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5434), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316447] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15681), 1,
      aux_sym__terminator_repeat1,
    STATE(20096), 1,
      sym__comprehension_clause,
    STATE(15680), 2,
      sym_block_comment,
      sym_line_comment,
  [316473] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(20224), 1,
      sym__comprehension_clause,
    STATE(15681), 2,
      sym_block_comment,
      sym_line_comment,
  [316499] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21121), 1,
      anon_sym_end,
    STATE(18125), 1,
      sym_else_clause,
    STATE(19905), 1,
      sym_finally_clause,
    STATE(15682), 2,
      sym_block_comment,
      sym_line_comment,
  [316525] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14711), 1,
      anon_sym_LBRACK,
    STATE(6200), 1,
      sym__array,
    STATE(15683), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5907), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316547] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21123), 1,
      anon_sym_end,
    STATE(18136), 1,
      sym_else_clause,
    STATE(19957), 1,
      sym_finally_clause,
    STATE(15684), 2,
      sym_block_comment,
      sym_line_comment,
  [316573] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14611), 1,
      anon_sym_LBRACK,
    STATE(6304), 1,
      sym__array,
    STATE(15685), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5844), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316595] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15241), 1,
      anon_sym_LBRACK,
    STATE(6821), 1,
      sym__array,
    STATE(15686), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6881), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316617] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15253), 1,
      anon_sym_LBRACK,
    STATE(6438), 1,
      sym__array,
    STATE(15687), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6472), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316639] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15241), 1,
      anon_sym_LBRACK,
    STATE(6822), 1,
      sym__array,
    STATE(15688), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6881), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316661] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16243), 1,
      anon_sym_LBRACK,
    STATE(7501), 1,
      sym__array,
    STATE(15689), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7296), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316683] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    STATE(10850), 1,
      sym__array,
    STATE(15690), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10906), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316705] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14005), 1,
      anon_sym_LBRACK,
    STATE(5874), 1,
      sym__array,
    STATE(15691), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5881), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316727] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17848), 1,
      anon_sym_SEMI,
    ACTIONS(17852), 1,
      aux_sym__terminator_token1,
    STATE(15594), 1,
      aux_sym__block_repeat1,
    ACTIONS(16940), 2,
      anon_sym_catch,
      anon_sym_finally,
    STATE(15692), 2,
      sym_block_comment,
      sym_line_comment,
  [316751] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15241), 1,
      anon_sym_LBRACK,
    STATE(6826), 1,
      sym__array,
    STATE(15693), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6881), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316773] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token4,
    STATE(19462), 1,
      sym_integer_literal,
    STATE(15694), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14479), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [316795] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token4,
    STATE(18993), 1,
      sym_integer_literal,
    STATE(15695), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14479), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [316817] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16019), 1,
      anon_sym_LBRACK,
    STATE(11087), 1,
      sym__array,
    STATE(15696), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11076), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316839] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13449), 1,
      anon_sym_LBRACK,
    STATE(11726), 1,
      sym__array,
    STATE(15697), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11611), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316861] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13449), 1,
      anon_sym_LBRACK,
    STATE(11729), 1,
      sym__array,
    STATE(15698), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11611), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [316883] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15700), 1,
      aux_sym__terminator_repeat1,
    STATE(18783), 1,
      sym__comprehension_clause,
    STATE(15699), 2,
      sym_block_comment,
      sym_line_comment,
  [316909] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19481), 1,
      sym__comprehension_clause,
    STATE(15700), 2,
      sym_block_comment,
      sym_line_comment,
  [316935] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(15693), 1,
      anon_sym_EQ,
    STATE(15701), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(11258), 3,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
  [316957] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15704), 1,
      aux_sym__terminator_repeat1,
    STATE(19542), 1,
      sym__comprehension_clause,
    STATE(15702), 2,
      sym_block_comment,
      sym_line_comment,
  [316983] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    STATE(10570), 1,
      sym__array,
    STATE(15703), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10540), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [317005] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(20017), 1,
      sym__comprehension_clause,
    STATE(15704), 2,
      sym_block_comment,
      sym_line_comment,
  [317031] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token4,
    STATE(19033), 1,
      sym_integer_literal,
    STATE(15705), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14479), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [317053] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21125), 1,
      anon_sym_end,
    STATE(17843), 1,
      sym_else_clause,
    STATE(19661), 1,
      sym_finally_clause,
    STATE(15706), 2,
      sym_block_comment,
      sym_line_comment,
  [317079] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15708), 1,
      aux_sym__terminator_repeat1,
    STATE(18936), 1,
      sym__comprehension_clause,
    STATE(15707), 2,
      sym_block_comment,
      sym_line_comment,
  [317105] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19262), 1,
      sym__comprehension_clause,
    STATE(15708), 2,
      sym_block_comment,
      sym_line_comment,
  [317131] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14799), 1,
      anon_sym_LBRACK,
    STATE(5831), 1,
      sym__array,
    STATE(15709), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6077), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [317153] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token4,
    STATE(19035), 1,
      sym_integer_literal,
    STATE(15710), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14479), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [317175] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15712), 1,
      aux_sym__terminator_repeat1,
    STATE(19194), 1,
      sym__comprehension_clause,
    STATE(15711), 2,
      sym_block_comment,
      sym_line_comment,
  [317201] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19402), 1,
      sym__comprehension_clause,
    STATE(15712), 2,
      sym_block_comment,
      sym_line_comment,
  [317227] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7385), 1,
      anon_sym_LBRACK,
    STATE(4826), 1,
      sym__array,
    STATE(15713), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4774), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [317249] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21127), 1,
      anon_sym_end,
    STATE(17615), 1,
      sym_else_clause,
    STATE(20229), 1,
      sym_finally_clause,
    STATE(15714), 2,
      sym_block_comment,
      sym_line_comment,
  [317275] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    STATE(5072), 1,
      sym__array,
    STATE(15715), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5086), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [317297] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13449), 1,
      anon_sym_LBRACK,
    STATE(11758), 1,
      sym__array,
    STATE(15716), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11611), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [317319] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7385), 1,
      anon_sym_LBRACK,
    STATE(4812), 1,
      sym__array,
    STATE(15717), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4774), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [317341] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token4,
    STATE(20258), 1,
      sym_integer_literal,
    STATE(15718), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14479), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [317363] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21129), 1,
      anon_sym_end,
    STATE(18200), 1,
      sym_else_clause,
    STATE(20269), 1,
      sym_finally_clause,
    STATE(15719), 2,
      sym_block_comment,
      sym_line_comment,
  [317389] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21131), 1,
      anon_sym_end,
    STATE(17972), 1,
      sym_else_clause,
    STATE(19367), 1,
      sym_finally_clause,
    STATE(15720), 2,
      sym_block_comment,
      sym_line_comment,
  [317415] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15723), 1,
      aux_sym__terminator_repeat1,
    STATE(20078), 1,
      sym__comprehension_clause,
    STATE(15721), 2,
      sym_block_comment,
      sym_line_comment,
  [317441] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    STATE(10534), 1,
      sym__array,
    STATE(15722), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10540), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [317463] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(18889), 1,
      sym__comprehension_clause,
    STATE(15723), 2,
      sym_block_comment,
      sym_line_comment,
  [317489] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21133), 1,
      anon_sym_end,
    STATE(17618), 1,
      sym_else_clause,
    STATE(18886), 1,
      sym_finally_clause,
    STATE(15724), 2,
      sym_block_comment,
      sym_line_comment,
  [317515] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15726), 1,
      aux_sym__terminator_repeat1,
    STATE(18944), 1,
      sym__comprehension_clause,
    STATE(15725), 2,
      sym_block_comment,
      sym_line_comment,
  [317541] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19060), 1,
      sym__comprehension_clause,
    STATE(15726), 2,
      sym_block_comment,
      sym_line_comment,
  [317567] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    STATE(5073), 1,
      sym__array,
    STATE(15727), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5086), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [317589] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15730), 1,
      aux_sym__terminator_repeat1,
    STATE(19656), 1,
      sym__comprehension_clause,
    STATE(15728), 2,
      sym_block_comment,
      sym_line_comment,
  [317615] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21135), 1,
      anon_sym_end,
    STATE(17638), 1,
      sym_else_clause,
    STATE(19495), 1,
      sym_finally_clause,
    STATE(15729), 2,
      sym_block_comment,
      sym_line_comment,
  [317641] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19945), 1,
      sym__comprehension_clause,
    STATE(15730), 2,
      sym_block_comment,
      sym_line_comment,
  [317667] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1271), 1,
      anon_sym_LBRACK,
    STATE(6329), 1,
      sym__array,
    STATE(15731), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5849), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [317689] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15733), 1,
      aux_sym__terminator_repeat1,
    STATE(20188), 1,
      sym__comprehension_clause,
    STATE(15732), 2,
      sym_block_comment,
      sym_line_comment,
  [317715] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(20299), 1,
      sym__comprehension_clause,
    STATE(15733), 2,
      sym_block_comment,
      sym_line_comment,
  [317741] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    STATE(5076), 1,
      sym__array,
    STATE(15734), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5086), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [317763] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7273), 1,
      anon_sym_LBRACK,
    STATE(4719), 1,
      sym__array,
    STATE(15735), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4928), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [317785] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21137), 1,
      anon_sym_end,
    STATE(17950), 1,
      sym_else_clause,
    STATE(19083), 1,
      sym_finally_clause,
    STATE(15736), 2,
      sym_block_comment,
      sym_line_comment,
  [317811] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15738), 1,
      aux_sym__terminator_repeat1,
    STATE(19019), 1,
      sym__comprehension_clause,
    STATE(15737), 2,
      sym_block_comment,
      sym_line_comment,
  [317837] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19235), 1,
      sym__comprehension_clause,
    STATE(15738), 2,
      sym_block_comment,
      sym_line_comment,
  [317863] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15081), 1,
      anon_sym_LBRACK,
    STATE(6300), 1,
      sym__array,
    STATE(15739), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6019), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [317885] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15741), 1,
      aux_sym__terminator_repeat1,
    STATE(19227), 1,
      sym__comprehension_clause,
    STATE(15740), 2,
      sym_block_comment,
      sym_line_comment,
  [317911] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19492), 1,
      sym__comprehension_clause,
    STATE(15741), 2,
      sym_block_comment,
      sym_line_comment,
  [317937] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16101), 1,
      anon_sym_LBRACK,
    STATE(7317), 1,
      sym__array,
    STATE(15742), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7379), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [317959] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21139), 1,
      anon_sym_SEMI,
    ACTIONS(21142), 1,
      aux_sym__terminator_token1,
    ACTIONS(17836), 2,
      anon_sym_end,
      anon_sym_finally,
    STATE(15743), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__block_repeat1,
  [317981] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14711), 1,
      anon_sym_LBRACK,
    STATE(6249), 1,
      sym__array,
    STATE(15744), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5907), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [318003] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15081), 1,
      anon_sym_LBRACK,
    STATE(6220), 1,
      sym__array,
    STATE(15745), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6019), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [318025] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15081), 1,
      anon_sym_LBRACK,
    STATE(6223), 1,
      sym__array,
    STATE(15746), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6019), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [318047] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15748), 1,
      aux_sym__terminator_repeat1,
    STATE(19735), 1,
      sym__comprehension_clause,
    STATE(15747), 2,
      sym_block_comment,
      sym_line_comment,
  [318073] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(20068), 1,
      sym__comprehension_clause,
    STATE(15748), 2,
      sym_block_comment,
      sym_line_comment,
  [318099] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21145), 1,
      anon_sym_end,
    STATE(17976), 1,
      sym_else_clause,
    STATE(19142), 1,
      sym_finally_clause,
    STATE(15749), 2,
      sym_block_comment,
      sym_line_comment,
  [318125] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15752), 1,
      aux_sym__terminator_repeat1,
    STATE(19274), 1,
      sym__comprehension_clause,
    STATE(15750), 2,
      sym_block_comment,
      sym_line_comment,
  [318151] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15323), 1,
      anon_sym_LBRACK,
    STATE(7333), 1,
      sym__array,
    STATE(15751), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7341), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [318173] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19521), 1,
      sym__comprehension_clause,
    STATE(15752), 2,
      sym_block_comment,
      sym_line_comment,
  [318199] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14481), 1,
      aux_sym_integer_literal_token4,
    STATE(19252), 1,
      sym_integer_literal,
    STATE(15753), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(14479), 3,
      aux_sym_integer_literal_token1,
      aux_sym_integer_literal_token2,
      aux_sym_integer_literal_token3,
  [318221] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15755), 1,
      aux_sym__terminator_repeat1,
    STATE(19785), 1,
      sym__comprehension_clause,
    STATE(15754), 2,
      sym_block_comment,
      sym_line_comment,
  [318247] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19219), 1,
      sym__comprehension_clause,
    STATE(15755), 2,
      sym_block_comment,
      sym_line_comment,
  [318273] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15758), 1,
      aux_sym__terminator_repeat1,
    STATE(18985), 1,
      sym__comprehension_clause,
    STATE(15756), 2,
      sym_block_comment,
      sym_line_comment,
  [318299] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15323), 1,
      anon_sym_LBRACK,
    STATE(7509), 1,
      sym__array,
    STATE(15757), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7341), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [318321] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19012), 1,
      sym__comprehension_clause,
    STATE(15758), 2,
      sym_block_comment,
      sym_line_comment,
  [318347] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15761), 1,
      aux_sym__terminator_repeat1,
    STATE(19119), 1,
      sym__comprehension_clause,
    STATE(15759), 2,
      sym_block_comment,
      sym_line_comment,
  [318373] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21147), 1,
      anon_sym_end,
    STATE(18150), 1,
      sym_else_clause,
    STATE(20047), 1,
      sym_finally_clause,
    STATE(15760), 2,
      sym_block_comment,
      sym_line_comment,
  [318399] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19146), 1,
      sym__comprehension_clause,
    STATE(15761), 2,
      sym_block_comment,
      sym_line_comment,
  [318425] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15763), 1,
      aux_sym__terminator_repeat1,
    STATE(19289), 1,
      sym__comprehension_clause,
    STATE(15762), 2,
      sym_block_comment,
      sym_line_comment,
  [318451] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19328), 1,
      sym__comprehension_clause,
    STATE(15763), 2,
      sym_block_comment,
      sym_line_comment,
  [318477] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15765), 1,
      aux_sym__terminator_repeat1,
    STATE(19477), 1,
      sym__comprehension_clause,
    STATE(15764), 2,
      sym_block_comment,
      sym_line_comment,
  [318503] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19518), 1,
      sym__comprehension_clause,
    STATE(15765), 2,
      sym_block_comment,
      sym_line_comment,
  [318529] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15767), 1,
      aux_sym__terminator_repeat1,
    STATE(19683), 1,
      sym__comprehension_clause,
    STATE(15766), 2,
      sym_block_comment,
      sym_line_comment,
  [318555] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19715), 1,
      sym__comprehension_clause,
    STATE(15767), 2,
      sym_block_comment,
      sym_line_comment,
  [318581] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15769), 1,
      aux_sym__terminator_repeat1,
    STATE(19822), 1,
      sym__comprehension_clause,
    STATE(15768), 2,
      sym_block_comment,
      sym_line_comment,
  [318607] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19852), 1,
      sym__comprehension_clause,
    STATE(15769), 2,
      sym_block_comment,
      sym_line_comment,
  [318633] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15771), 1,
      aux_sym__terminator_repeat1,
    STATE(20016), 1,
      sym__comprehension_clause,
    STATE(15770), 2,
      sym_block_comment,
      sym_line_comment,
  [318659] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(20062), 1,
      sym__comprehension_clause,
    STATE(15771), 2,
      sym_block_comment,
      sym_line_comment,
  [318685] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14169), 1,
      anon_sym_LBRACK,
    STATE(6532), 1,
      sym__array,
    STATE(15772), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6591), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [318707] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15774), 1,
      aux_sym__terminator_repeat1,
    STATE(20208), 1,
      sym__comprehension_clause,
    STATE(15773), 2,
      sym_block_comment,
      sym_line_comment,
  [318733] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(20240), 1,
      sym__comprehension_clause,
    STATE(15774), 2,
      sym_block_comment,
      sym_line_comment,
  [318759] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15776), 1,
      aux_sym__terminator_repeat1,
    STATE(20348), 1,
      sym__comprehension_clause,
    STATE(15775), 2,
      sym_block_comment,
      sym_line_comment,
  [318785] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19644), 1,
      sym__comprehension_clause,
    STATE(15776), 2,
      sym_block_comment,
      sym_line_comment,
  [318811] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15779), 1,
      aux_sym__terminator_repeat1,
    STATE(20034), 1,
      sym__comprehension_clause,
    STATE(15777), 2,
      sym_block_comment,
      sym_line_comment,
  [318837] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21149), 1,
      anon_sym_end,
    STATE(18169), 1,
      sym_else_clause,
    STATE(20130), 1,
      sym_finally_clause,
    STATE(15778), 2,
      sym_block_comment,
      sym_line_comment,
  [318863] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(20104), 1,
      sym__comprehension_clause,
    STATE(15779), 2,
      sym_block_comment,
      sym_line_comment,
  [318889] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15081), 1,
      anon_sym_LBRACK,
    STATE(6236), 1,
      sym__array,
    STATE(15780), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6019), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [318911] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15782), 1,
      aux_sym__terminator_repeat1,
    STATE(20305), 1,
      sym__comprehension_clause,
    STATE(15781), 2,
      sym_block_comment,
      sym_line_comment,
  [318937] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19458), 1,
      sym__comprehension_clause,
    STATE(15782), 2,
      sym_block_comment,
      sym_line_comment,
  [318963] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15784), 1,
      aux_sym__terminator_repeat1,
    STATE(19240), 1,
      sym__comprehension_clause,
    STATE(15783), 2,
      sym_block_comment,
      sym_line_comment,
  [318989] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19523), 1,
      sym__comprehension_clause,
    STATE(15784), 2,
      sym_block_comment,
      sym_line_comment,
  [319015] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15335), 1,
      anon_sym_LBRACK,
    STATE(5795), 1,
      sym__array,
    STATE(15785), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5493), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [319037] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15787), 1,
      aux_sym__terminator_repeat1,
    STATE(19585), 1,
      sym__comprehension_clause,
    STATE(15786), 2,
      sym_block_comment,
      sym_line_comment,
  [319063] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(18881), 1,
      sym__comprehension_clause,
    STATE(15787), 2,
      sym_block_comment,
      sym_line_comment,
  [319089] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15693), 1,
      anon_sym_EQ,
    ACTIONS(17510), 1,
      aux_sym__terminator_token1,
    STATE(15788), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(17508), 3,
      anon_sym_end,
      anon_sym_finally,
      anon_sym_SEMI,
  [319111] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(661), 1,
      anon_sym_LBRACK,
    STATE(5081), 1,
      sym__array,
    STATE(15789), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5086), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [319133] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15791), 1,
      aux_sym__terminator_repeat1,
    STATE(19525), 1,
      sym__comprehension_clause,
    STATE(15790), 2,
      sym_block_comment,
      sym_line_comment,
  [319159] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(20288), 1,
      sym__comprehension_clause,
    STATE(15791), 2,
      sym_block_comment,
      sym_line_comment,
  [319185] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16047), 1,
      anon_sym_LBRACK,
    STATE(7049), 1,
      sym__array,
    STATE(15792), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7018), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [319207] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21151), 1,
      anon_sym_end,
    STATE(17923), 1,
      sym_else_clause,
    STATE(18913), 1,
      sym_finally_clause,
    STATE(15793), 2,
      sym_block_comment,
      sym_line_comment,
  [319233] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15798), 1,
      aux_sym__terminator_repeat1,
    STATE(19279), 1,
      sym__comprehension_clause,
    STATE(15794), 2,
      sym_block_comment,
      sym_line_comment,
  [319259] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21153), 1,
      anon_sym_end,
    STATE(18173), 1,
      sym_else_clause,
    STATE(20158), 1,
      sym_finally_clause,
    STATE(15795), 2,
      sym_block_comment,
      sym_line_comment,
  [319285] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13629), 1,
      anon_sym_LBRACK,
    STATE(6688), 1,
      sym__array,
    STATE(15796), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6579), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [319307] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13629), 1,
      anon_sym_LBRACK,
    STATE(6692), 1,
      sym__array,
    STATE(15797), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6579), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [319329] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19438), 1,
      sym__comprehension_clause,
    STATE(15798), 2,
      sym_block_comment,
      sym_line_comment,
  [319355] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15800), 1,
      aux_sym__terminator_repeat1,
    STATE(19916), 1,
      sym__comprehension_clause,
    STATE(15799), 2,
      sym_block_comment,
      sym_line_comment,
  [319381] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(20042), 1,
      sym__comprehension_clause,
    STATE(15800), 2,
      sym_block_comment,
      sym_line_comment,
  [319407] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15802), 1,
      aux_sym__terminator_repeat1,
    STATE(19137), 1,
      sym__comprehension_clause,
    STATE(15801), 2,
      sym_block_comment,
      sym_line_comment,
  [319433] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(18888), 1,
      sym__comprehension_clause,
    STATE(15802), 2,
      sym_block_comment,
      sym_line_comment,
  [319459] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15804), 1,
      aux_sym__terminator_repeat1,
    STATE(19674), 1,
      sym__comprehension_clause,
    STATE(15803), 2,
      sym_block_comment,
      sym_line_comment,
  [319485] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19966), 1,
      sym__comprehension_clause,
    STATE(15804), 2,
      sym_block_comment,
      sym_line_comment,
  [319511] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15806), 1,
      aux_sym__terminator_repeat1,
    STATE(18970), 1,
      sym__comprehension_clause,
    STATE(15805), 2,
      sym_block_comment,
      sym_line_comment,
  [319537] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19373), 1,
      sym__comprehension_clause,
    STATE(15806), 2,
      sym_block_comment,
      sym_line_comment,
  [319563] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15808), 1,
      aux_sym__terminator_repeat1,
    STATE(20041), 1,
      sym__comprehension_clause,
    STATE(15807), 2,
      sym_block_comment,
      sym_line_comment,
  [319589] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(20285), 1,
      sym__comprehension_clause,
    STATE(15808), 2,
      sym_block_comment,
      sym_line_comment,
  [319615] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15810), 1,
      aux_sym__terminator_repeat1,
    STATE(18880), 1,
      sym__comprehension_clause,
    STATE(15809), 2,
      sym_block_comment,
      sym_line_comment,
  [319641] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(18938), 1,
      sym__comprehension_clause,
    STATE(15810), 2,
      sym_block_comment,
      sym_line_comment,
  [319667] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14005), 1,
      anon_sym_LBRACK,
    STATE(5861), 1,
      sym__array,
    STATE(15811), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(5881), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [319689] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21155), 1,
      anon_sym_end,
    STATE(17616), 1,
      sym_else_clause,
    STATE(20244), 1,
      sym_finally_clause,
    STATE(15812), 2,
      sym_block_comment,
      sym_line_comment,
  [319715] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15814), 1,
      aux_sym__terminator_repeat1,
    STATE(19167), 1,
      sym__comprehension_clause,
    STATE(15813), 2,
      sym_block_comment,
      sym_line_comment,
  [319741] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19226), 1,
      sym__comprehension_clause,
    STATE(15814), 2,
      sym_block_comment,
      sym_line_comment,
  [319767] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15816), 1,
      aux_sym__terminator_repeat1,
    STATE(19411), 1,
      sym__comprehension_clause,
    STATE(15815), 2,
      sym_block_comment,
      sym_line_comment,
  [319793] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(18782), 1,
      sym__comprehension_clause,
    STATE(15816), 2,
      sym_block_comment,
      sym_line_comment,
  [319819] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15820), 1,
      aux_sym__terminator_repeat1,
    STATE(19630), 1,
      sym__comprehension_clause,
    STATE(15817), 2,
      sym_block_comment,
      sym_line_comment,
  [319845] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13629), 1,
      anon_sym_LBRACK,
    STATE(6700), 1,
      sym__array,
    STATE(15818), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(6579), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [319867] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    STATE(10910), 1,
      sym__array,
    STATE(15819), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(10906), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [319889] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19655), 1,
      sym__comprehension_clause,
    STATE(15820), 2,
      sym_block_comment,
      sym_line_comment,
  [319915] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15822), 1,
      aux_sym__terminator_repeat1,
    STATE(19799), 1,
      sym__comprehension_clause,
    STATE(15821), 2,
      sym_block_comment,
      sym_line_comment,
  [319941] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19841), 1,
      sym__comprehension_clause,
    STATE(15822), 2,
      sym_block_comment,
      sym_line_comment,
  [319967] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15824), 1,
      aux_sym__terminator_repeat1,
    STATE(19953), 1,
      sym__comprehension_clause,
    STATE(15823), 2,
      sym_block_comment,
      sym_line_comment,
  [319993] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19989), 1,
      sym__comprehension_clause,
    STATE(15824), 2,
      sym_block_comment,
      sym_line_comment,
  [320019] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15826), 1,
      aux_sym__terminator_repeat1,
    STATE(20114), 1,
      sym__comprehension_clause,
    STATE(15825), 2,
      sym_block_comment,
      sym_line_comment,
  [320045] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(20157), 1,
      sym__comprehension_clause,
    STATE(15826), 2,
      sym_block_comment,
      sym_line_comment,
  [320071] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13449), 1,
      anon_sym_LBRACK,
    STATE(11589), 1,
      sym__array,
    STATE(15827), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(11611), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [320093] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7539), 1,
      anon_sym_LBRACK,
    STATE(5280), 1,
      sym__array,
    STATE(15828), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4970), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [320115] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7539), 1,
      anon_sym_LBRACK,
    STATE(5285), 1,
      sym__array,
    STATE(15829), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(4970), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [320137] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15831), 1,
      aux_sym__terminator_repeat1,
    STATE(20252), 1,
      sym__comprehension_clause,
    STATE(15830), 2,
      sym_block_comment,
      sym_line_comment,
  [320163] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(20298), 1,
      sym__comprehension_clause,
    STATE(15831), 2,
      sym_block_comment,
      sym_line_comment,
  [320189] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15833), 1,
      aux_sym__terminator_repeat1,
    STATE(19110), 1,
      sym__comprehension_clause,
    STATE(15832), 2,
      sym_block_comment,
      sym_line_comment,
  [320215] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19766), 1,
      sym__comprehension_clause,
    STATE(15833), 2,
      sym_block_comment,
      sym_line_comment,
  [320241] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15835), 1,
      aux_sym__terminator_repeat1,
    STATE(19444), 1,
      sym__comprehension_clause,
    STATE(15834), 2,
      sym_block_comment,
      sym_line_comment,
  [320267] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19858), 1,
      sym__comprehension_clause,
    STATE(15835), 2,
      sym_block_comment,
      sym_line_comment,
  [320293] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15837), 1,
      aux_sym__terminator_repeat1,
    STATE(19136), 1,
      sym__comprehension_clause,
    STATE(15836), 2,
      sym_block_comment,
      sym_line_comment,
  [320319] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19276), 1,
      sym__comprehension_clause,
    STATE(15837), 2,
      sym_block_comment,
      sym_line_comment,
  [320345] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15839), 1,
      aux_sym__terminator_repeat1,
    STATE(19752), 1,
      sym__comprehension_clause,
    STATE(15838), 2,
      sym_block_comment,
      sym_line_comment,
  [320371] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19889), 1,
      sym__comprehension_clause,
    STATE(15839), 2,
      sym_block_comment,
      sym_line_comment,
  [320397] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19412), 1,
      sym__comprehension_clause,
    STATE(15840), 2,
      sym_block_comment,
      sym_line_comment,
  [320423] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15842), 1,
      aux_sym__terminator_repeat1,
    STATE(20324), 1,
      sym__comprehension_clause,
    STATE(15841), 2,
      sym_block_comment,
      sym_line_comment,
  [320449] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19633), 1,
      sym__comprehension_clause,
    STATE(15842), 2,
      sym_block_comment,
      sym_line_comment,
  [320475] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15844), 1,
      aux_sym__terminator_repeat1,
    STATE(19870), 1,
      sym__comprehension_clause,
    STATE(15843), 2,
      sym_block_comment,
      sym_line_comment,
  [320501] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(20284), 1,
      sym__comprehension_clause,
    STATE(15844), 2,
      sym_block_comment,
      sym_line_comment,
  [320527] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15848), 1,
      aux_sym__terminator_repeat1,
    STATE(19171), 1,
      sym__comprehension_clause,
    STATE(15845), 2,
      sym_block_comment,
      sym_line_comment,
  [320553] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15323), 1,
      anon_sym_LBRACK,
    STATE(7418), 1,
      sym__array,
    STATE(15846), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(7341), 3,
      sym_comprehension_expression,
      sym_matrix_expression,
      sym_vector_expression,
  [320575] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21028), 1,
      anon_sym_else,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21157), 1,
      anon_sym_end,
    STATE(18084), 1,
      sym_else_clause,
    STATE(19808), 1,
      sym_finally_clause,
    STATE(15847), 2,
      sym_block_comment,
      sym_line_comment,
  [320601] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19316), 1,
      sym__comprehension_clause,
    STATE(15848), 2,
      sym_block_comment,
      sym_line_comment,
  [320627] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(15850), 1,
      aux_sym__terminator_repeat1,
    STATE(19732), 1,
      sym__comprehension_clause,
    STATE(15849), 2,
      sym_block_comment,
      sym_line_comment,
  [320653] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(19806), 1,
      sym__comprehension_clause,
    STATE(15850), 2,
      sym_block_comment,
      sym_line_comment,
  [320679] = 8,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    ACTIONS(21018), 1,
      anon_sym_SEMI2,
    STATE(14590), 1,
      sym_for_clause,
    STATE(17859), 1,
      aux_sym__terminator_repeat1,
    STATE(20141), 1,
      sym__comprehension_clause,
    STATE(15851), 2,
      sym_block_comment,
      sym_line_comment,
  [320705] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21159), 1,
      sym__word_identifier,
    ACTIONS(21161), 1,
      anon_sym_DOLLAR,
    STATE(547), 2,
      sym_interpolation_expression,
      sym_identifier,
    STATE(15852), 2,
      sym_block_comment,
      sym_line_comment,
  [320726] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21165), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15853), 2,
      sym_block_comment,
      sym_line_comment,
  [320747] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21165), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15854), 2,
      sym_block_comment,
      sym_line_comment,
  [320768] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21171), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15855), 2,
      sym_block_comment,
      sym_line_comment,
  [320789] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21171), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15856), 2,
      sym_block_comment,
      sym_line_comment,
  [320810] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(15857), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10373), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [320827] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21175), 1,
      sym__end_str,
    STATE(15863), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15858), 2,
      sym_block_comment,
      sym_line_comment,
  [320848] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21175), 1,
      sym__end_str,
    STATE(15864), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15859), 2,
      sym_block_comment,
      sym_line_comment,
  [320869] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21177), 1,
      sym__end_cmd,
    STATE(15865), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15860), 2,
      sym_block_comment,
      sym_line_comment,
  [320890] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21177), 1,
      sym__end_cmd,
    STATE(15866), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15861), 2,
      sym_block_comment,
      sym_line_comment,
  [320911] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9005), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21179), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(15862), 2,
      sym_block_comment,
      sym_line_comment,
  [320934] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21181), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15863), 2,
      sym_block_comment,
      sym_line_comment,
  [320955] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21181), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15864), 2,
      sym_block_comment,
      sym_line_comment,
  [320976] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21183), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15865), 2,
      sym_block_comment,
      sym_line_comment,
  [320997] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21183), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15866), 2,
      sym_block_comment,
      sym_line_comment,
  [321018] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21185), 1,
      sym__end_str,
    STATE(15871), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15867), 2,
      sym_block_comment,
      sym_line_comment,
  [321039] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21185), 1,
      sym__end_str,
    STATE(15872), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15868), 2,
      sym_block_comment,
      sym_line_comment,
  [321060] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21187), 1,
      sym__end_cmd,
    STATE(15873), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15869), 2,
      sym_block_comment,
      sym_line_comment,
  [321081] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21187), 1,
      sym__end_cmd,
    STATE(15874), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15870), 2,
      sym_block_comment,
      sym_line_comment,
  [321102] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21189), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15871), 2,
      sym_block_comment,
      sym_line_comment,
  [321123] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21189), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15872), 2,
      sym_block_comment,
      sym_line_comment,
  [321144] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21191), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15873), 2,
      sym_block_comment,
      sym_line_comment,
  [321165] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21191), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15874), 2,
      sym_block_comment,
      sym_line_comment,
  [321186] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21193), 1,
      sym__end_str,
    STATE(15880), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15875), 2,
      sym_block_comment,
      sym_line_comment,
  [321207] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21193), 1,
      sym__end_str,
    STATE(15881), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15876), 2,
      sym_block_comment,
      sym_line_comment,
  [321228] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21195), 1,
      sym__end_cmd,
    STATE(15882), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15877), 2,
      sym_block_comment,
      sym_line_comment,
  [321249] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21195), 1,
      sym__end_cmd,
    STATE(15883), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15878), 2,
      sym_block_comment,
      sym_line_comment,
  [321270] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11258), 1,
      anon_sym_SEMI,
    ACTIONS(15835), 1,
      anon_sym_EQ,
    ACTIONS(11260), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(15879), 2,
      sym_block_comment,
      sym_line_comment,
  [321291] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21197), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15880), 2,
      sym_block_comment,
      sym_line_comment,
  [321312] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21197), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15881), 2,
      sym_block_comment,
      sym_line_comment,
  [321333] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21199), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15882), 2,
      sym_block_comment,
      sym_line_comment,
  [321354] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21199), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15883), 2,
      sym_block_comment,
      sym_line_comment,
  [321375] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21201), 1,
      anon_sym_RBRACK,
    ACTIONS(21203), 1,
      anon_sym_SEMI,
    ACTIONS(21205), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(15884), 2,
      sym_block_comment,
      sym_line_comment,
  [321398] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21207), 1,
      sym__end_str,
    STATE(15890), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15885), 2,
      sym_block_comment,
      sym_line_comment,
  [321419] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21207), 1,
      sym__end_str,
    STATE(15891), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15886), 2,
      sym_block_comment,
      sym_line_comment,
  [321440] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21209), 1,
      sym__end_cmd,
    STATE(15892), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15887), 2,
      sym_block_comment,
      sym_line_comment,
  [321461] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21209), 1,
      sym__end_cmd,
    STATE(15893), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15888), 2,
      sym_block_comment,
      sym_line_comment,
  [321482] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21211), 1,
      anon_sym_RBRACK,
    ACTIONS(21213), 1,
      anon_sym_SEMI,
    ACTIONS(21215), 1,
      aux_sym__terminator_token1,
    STATE(16176), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(15889), 2,
      sym_block_comment,
      sym_line_comment,
  [321505] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21217), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15890), 2,
      sym_block_comment,
      sym_line_comment,
  [321526] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21217), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15891), 2,
      sym_block_comment,
      sym_line_comment,
  [321547] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21219), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15892), 2,
      sym_block_comment,
      sym_line_comment,
  [321568] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21219), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15893), 2,
      sym_block_comment,
      sym_line_comment,
  [321589] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21221), 1,
      sym__end_str,
    STATE(15898), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15894), 2,
      sym_block_comment,
      sym_line_comment,
  [321610] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21221), 1,
      sym__end_str,
    STATE(15899), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15895), 2,
      sym_block_comment,
      sym_line_comment,
  [321631] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21223), 1,
      sym__end_cmd,
    STATE(15900), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15896), 2,
      sym_block_comment,
      sym_line_comment,
  [321652] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21223), 1,
      sym__end_cmd,
    STATE(15901), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15897), 2,
      sym_block_comment,
      sym_line_comment,
  [321673] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21225), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15898), 2,
      sym_block_comment,
      sym_line_comment,
  [321694] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21225), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15899), 2,
      sym_block_comment,
      sym_line_comment,
  [321715] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21227), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15900), 2,
      sym_block_comment,
      sym_line_comment,
  [321736] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21227), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15901), 2,
      sym_block_comment,
      sym_line_comment,
  [321757] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21229), 1,
      sym__end_str,
    STATE(15906), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15902), 2,
      sym_block_comment,
      sym_line_comment,
  [321778] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21229), 1,
      sym__end_str,
    STATE(15907), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15903), 2,
      sym_block_comment,
      sym_line_comment,
  [321799] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21231), 1,
      sym__end_cmd,
    STATE(15908), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15904), 2,
      sym_block_comment,
      sym_line_comment,
  [321820] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21231), 1,
      sym__end_cmd,
    STATE(15909), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15905), 2,
      sym_block_comment,
      sym_line_comment,
  [321841] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21233), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15906), 2,
      sym_block_comment,
      sym_line_comment,
  [321862] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21233), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15907), 2,
      sym_block_comment,
      sym_line_comment,
  [321883] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21235), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15908), 2,
      sym_block_comment,
      sym_line_comment,
  [321904] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21235), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15909), 2,
      sym_block_comment,
      sym_line_comment,
  [321925] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7741), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17807), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(15910), 2,
      sym_block_comment,
      sym_line_comment,
  [321948] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21237), 1,
      sym__end_str,
    STATE(15915), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15911), 2,
      sym_block_comment,
      sym_line_comment,
  [321969] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21237), 1,
      sym__end_str,
    STATE(15916), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15912), 2,
      sym_block_comment,
      sym_line_comment,
  [321990] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21239), 1,
      sym__end_cmd,
    STATE(15917), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15913), 2,
      sym_block_comment,
      sym_line_comment,
  [322011] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21239), 1,
      sym__end_cmd,
    STATE(15918), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15914), 2,
      sym_block_comment,
      sym_line_comment,
  [322032] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21241), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15915), 2,
      sym_block_comment,
      sym_line_comment,
  [322053] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21241), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15916), 2,
      sym_block_comment,
      sym_line_comment,
  [322074] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21243), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15917), 2,
      sym_block_comment,
      sym_line_comment,
  [322095] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21243), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15918), 2,
      sym_block_comment,
      sym_line_comment,
  [322116] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21245), 1,
      anon_sym_RBRACK,
    ACTIONS(21247), 1,
      anon_sym_SEMI,
    ACTIONS(21249), 1,
      aux_sym__terminator_token1,
    STATE(17010), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(15919), 2,
      sym_block_comment,
      sym_line_comment,
  [322139] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21251), 1,
      sym__end_str,
    STATE(15924), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15920), 2,
      sym_block_comment,
      sym_line_comment,
  [322160] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21251), 1,
      sym__end_str,
    STATE(15925), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15921), 2,
      sym_block_comment,
      sym_line_comment,
  [322181] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21253), 1,
      sym__end_cmd,
    STATE(15926), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15922), 2,
      sym_block_comment,
      sym_line_comment,
  [322202] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21253), 1,
      sym__end_cmd,
    STATE(15927), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15923), 2,
      sym_block_comment,
      sym_line_comment,
  [322223] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21255), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15924), 2,
      sym_block_comment,
      sym_line_comment,
  [322244] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21255), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15925), 2,
      sym_block_comment,
      sym_line_comment,
  [322265] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21257), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15926), 2,
      sym_block_comment,
      sym_line_comment,
  [322286] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21257), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15927), 2,
      sym_block_comment,
      sym_line_comment,
  [322307] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21259), 1,
      sym__end_str,
    STATE(15933), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15928), 2,
      sym_block_comment,
      sym_line_comment,
  [322328] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21259), 1,
      sym__end_str,
    STATE(15934), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15929), 2,
      sym_block_comment,
      sym_line_comment,
  [322349] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21261), 1,
      sym__end_cmd,
    STATE(15935), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15930), 2,
      sym_block_comment,
      sym_line_comment,
  [322370] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21261), 1,
      sym__end_cmd,
    STATE(15936), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15931), 2,
      sym_block_comment,
      sym_line_comment,
  [322391] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21263), 1,
      sym__end_str,
    STATE(15977), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15932), 2,
      sym_block_comment,
      sym_line_comment,
  [322412] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21265), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15933), 2,
      sym_block_comment,
      sym_line_comment,
  [322433] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21265), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15934), 2,
      sym_block_comment,
      sym_line_comment,
  [322454] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21267), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15935), 2,
      sym_block_comment,
      sym_line_comment,
  [322475] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21267), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15936), 2,
      sym_block_comment,
      sym_line_comment,
  [322496] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21269), 1,
      sym__end_str,
    STATE(15941), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15937), 2,
      sym_block_comment,
      sym_line_comment,
  [322517] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21269), 1,
      sym__end_str,
    STATE(15942), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15938), 2,
      sym_block_comment,
      sym_line_comment,
  [322538] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21271), 1,
      sym__end_cmd,
    STATE(15943), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15939), 2,
      sym_block_comment,
      sym_line_comment,
  [322559] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21271), 1,
      sym__end_cmd,
    STATE(15944), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15940), 2,
      sym_block_comment,
      sym_line_comment,
  [322580] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21273), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15941), 2,
      sym_block_comment,
      sym_line_comment,
  [322601] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21273), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15942), 2,
      sym_block_comment,
      sym_line_comment,
  [322622] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21275), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15943), 2,
      sym_block_comment,
      sym_line_comment,
  [322643] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21275), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15944), 2,
      sym_block_comment,
      sym_line_comment,
  [322664] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21263), 1,
      sym__end_str,
    STATE(15986), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15945), 2,
      sym_block_comment,
      sym_line_comment,
  [322685] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21277), 1,
      sym__end_str,
    STATE(15951), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15946), 2,
      sym_block_comment,
      sym_line_comment,
  [322706] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21277), 1,
      sym__end_str,
    STATE(15952), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15947), 2,
      sym_block_comment,
      sym_line_comment,
  [322727] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21279), 1,
      sym__end_cmd,
    STATE(15953), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15948), 2,
      sym_block_comment,
      sym_line_comment,
  [322748] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21279), 1,
      sym__end_cmd,
    STATE(15954), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15949), 2,
      sym_block_comment,
      sym_line_comment,
  [322769] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21281), 1,
      sym__end_cmd,
    STATE(16028), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15950), 2,
      sym_block_comment,
      sym_line_comment,
  [322790] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21283), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15951), 2,
      sym_block_comment,
      sym_line_comment,
  [322811] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21283), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15952), 2,
      sym_block_comment,
      sym_line_comment,
  [322832] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21285), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15953), 2,
      sym_block_comment,
      sym_line_comment,
  [322853] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21285), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15954), 2,
      sym_block_comment,
      sym_line_comment,
  [322874] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21287), 1,
      sym__end_str,
    STATE(15959), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15955), 2,
      sym_block_comment,
      sym_line_comment,
  [322895] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21287), 1,
      sym__end_str,
    STATE(15960), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15956), 2,
      sym_block_comment,
      sym_line_comment,
  [322916] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21289), 1,
      sym__end_cmd,
    STATE(15961), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15957), 2,
      sym_block_comment,
      sym_line_comment,
  [322937] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21289), 1,
      sym__end_cmd,
    STATE(15962), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15958), 2,
      sym_block_comment,
      sym_line_comment,
  [322958] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21291), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15959), 2,
      sym_block_comment,
      sym_line_comment,
  [322979] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21291), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15960), 2,
      sym_block_comment,
      sym_line_comment,
  [323000] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21293), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15961), 2,
      sym_block_comment,
      sym_line_comment,
  [323021] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21293), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15962), 2,
      sym_block_comment,
      sym_line_comment,
  [323042] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21281), 1,
      sym__end_cmd,
    STATE(16061), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15963), 2,
      sym_block_comment,
      sym_line_comment,
  [323063] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21295), 1,
      sym__end_str,
    STATE(15969), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15964), 2,
      sym_block_comment,
      sym_line_comment,
  [323084] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21295), 1,
      sym__end_str,
    STATE(15970), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15965), 2,
      sym_block_comment,
      sym_line_comment,
  [323105] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21297), 1,
      sym__end_cmd,
    STATE(15971), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15966), 2,
      sym_block_comment,
      sym_line_comment,
  [323126] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21297), 1,
      sym__end_cmd,
    STATE(15972), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15967), 2,
      sym_block_comment,
      sym_line_comment,
  [323147] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(15968), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10411), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [323164] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21299), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15969), 2,
      sym_block_comment,
      sym_line_comment,
  [323185] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21299), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15970), 2,
      sym_block_comment,
      sym_line_comment,
  [323206] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21301), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15971), 2,
      sym_block_comment,
      sym_line_comment,
  [323227] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21301), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15972), 2,
      sym_block_comment,
      sym_line_comment,
  [323248] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21303), 1,
      sym__end_str,
    STATE(15978), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15973), 2,
      sym_block_comment,
      sym_line_comment,
  [323269] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21303), 1,
      sym__end_str,
    STATE(15979), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15974), 2,
      sym_block_comment,
      sym_line_comment,
  [323290] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21305), 1,
      sym__end_cmd,
    STATE(15980), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15975), 2,
      sym_block_comment,
      sym_line_comment,
  [323311] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21305), 1,
      sym__end_cmd,
    STATE(15981), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15976), 2,
      sym_block_comment,
      sym_line_comment,
  [323332] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21307), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15977), 2,
      sym_block_comment,
      sym_line_comment,
  [323353] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21309), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15978), 2,
      sym_block_comment,
      sym_line_comment,
  [323374] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21309), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15979), 2,
      sym_block_comment,
      sym_line_comment,
  [323395] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21311), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15980), 2,
      sym_block_comment,
      sym_line_comment,
  [323416] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21311), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15981), 2,
      sym_block_comment,
      sym_line_comment,
  [323437] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21313), 1,
      sym__end_str,
    STATE(15987), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15982), 2,
      sym_block_comment,
      sym_line_comment,
  [323458] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21313), 1,
      sym__end_str,
    STATE(15988), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15983), 2,
      sym_block_comment,
      sym_line_comment,
  [323479] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21315), 1,
      sym__end_cmd,
    STATE(15989), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15984), 2,
      sym_block_comment,
      sym_line_comment,
  [323500] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21315), 1,
      sym__end_cmd,
    STATE(15990), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15985), 2,
      sym_block_comment,
      sym_line_comment,
  [323521] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21307), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15986), 2,
      sym_block_comment,
      sym_line_comment,
  [323542] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21317), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15987), 2,
      sym_block_comment,
      sym_line_comment,
  [323563] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21317), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15988), 2,
      sym_block_comment,
      sym_line_comment,
  [323584] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21319), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15989), 2,
      sym_block_comment,
      sym_line_comment,
  [323605] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21319), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15990), 2,
      sym_block_comment,
      sym_line_comment,
  [323626] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21321), 1,
      sym__end_str,
    STATE(15995), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15991), 2,
      sym_block_comment,
      sym_line_comment,
  [323647] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21321), 1,
      sym__end_str,
    STATE(15996), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15992), 2,
      sym_block_comment,
      sym_line_comment,
  [323668] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21323), 1,
      sym__end_cmd,
    STATE(15997), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15993), 2,
      sym_block_comment,
      sym_line_comment,
  [323689] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21323), 1,
      sym__end_cmd,
    STATE(15998), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15994), 2,
      sym_block_comment,
      sym_line_comment,
  [323710] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21325), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15995), 2,
      sym_block_comment,
      sym_line_comment,
  [323731] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21325), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(15996), 2,
      sym_block_comment,
      sym_line_comment,
  [323752] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21327), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(15997), 2,
      sym_block_comment,
      sym_line_comment,
  [323773] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21327), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(15998), 2,
      sym_block_comment,
      sym_line_comment,
  [323794] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21329), 1,
      sym__end_str,
    STATE(16003), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(15999), 2,
      sym_block_comment,
      sym_line_comment,
  [323815] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21329), 1,
      sym__end_str,
    STATE(16004), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16000), 2,
      sym_block_comment,
      sym_line_comment,
  [323836] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21331), 1,
      sym__end_cmd,
    STATE(16005), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16001), 2,
      sym_block_comment,
      sym_line_comment,
  [323857] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21331), 1,
      sym__end_cmd,
    STATE(16006), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16002), 2,
      sym_block_comment,
      sym_line_comment,
  [323878] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21333), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16003), 2,
      sym_block_comment,
      sym_line_comment,
  [323899] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21333), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16004), 2,
      sym_block_comment,
      sym_line_comment,
  [323920] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21335), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16005), 2,
      sym_block_comment,
      sym_line_comment,
  [323941] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21335), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16006), 2,
      sym_block_comment,
      sym_line_comment,
  [323962] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21337), 1,
      sym__end_str,
    STATE(16012), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16007), 2,
      sym_block_comment,
      sym_line_comment,
  [323983] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21337), 1,
      sym__end_str,
    STATE(16013), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16008), 2,
      sym_block_comment,
      sym_line_comment,
  [324004] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21339), 1,
      sym__end_cmd,
    STATE(16014), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16009), 2,
      sym_block_comment,
      sym_line_comment,
  [324025] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21339), 1,
      sym__end_cmd,
    STATE(16015), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16010), 2,
      sym_block_comment,
      sym_line_comment,
  [324046] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21341), 1,
      anon_sym_COMMA,
    ACTIONS(21343), 1,
      anon_sym_RPAREN,
    STATE(16196), 1,
      aux_sym_argument_list_repeat1,
    STATE(16011), 2,
      sym_block_comment,
      sym_line_comment,
  [324069] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21345), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16012), 2,
      sym_block_comment,
      sym_line_comment,
  [324090] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21345), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16013), 2,
      sym_block_comment,
      sym_line_comment,
  [324111] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21347), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16014), 2,
      sym_block_comment,
      sym_line_comment,
  [324132] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21347), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16015), 2,
      sym_block_comment,
      sym_line_comment,
  [324153] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21349), 1,
      sym__end_str,
    STATE(16020), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16016), 2,
      sym_block_comment,
      sym_line_comment,
  [324174] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21349), 1,
      sym__end_str,
    STATE(16021), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16017), 2,
      sym_block_comment,
      sym_line_comment,
  [324195] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21351), 1,
      sym__end_cmd,
    STATE(16022), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16018), 2,
      sym_block_comment,
      sym_line_comment,
  [324216] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21351), 1,
      sym__end_cmd,
    STATE(16023), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16019), 2,
      sym_block_comment,
      sym_line_comment,
  [324237] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21353), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16020), 2,
      sym_block_comment,
      sym_line_comment,
  [324258] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21353), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16021), 2,
      sym_block_comment,
      sym_line_comment,
  [324279] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21355), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16022), 2,
      sym_block_comment,
      sym_line_comment,
  [324300] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21355), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16023), 2,
      sym_block_comment,
      sym_line_comment,
  [324321] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21357), 1,
      sym__end_str,
    STATE(16029), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16024), 2,
      sym_block_comment,
      sym_line_comment,
  [324342] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21357), 1,
      sym__end_str,
    STATE(16030), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16025), 2,
      sym_block_comment,
      sym_line_comment,
  [324363] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21359), 1,
      sym__end_cmd,
    STATE(16031), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16026), 2,
      sym_block_comment,
      sym_line_comment,
  [324384] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21359), 1,
      sym__end_cmd,
    STATE(16032), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16027), 2,
      sym_block_comment,
      sym_line_comment,
  [324405] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21361), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16028), 2,
      sym_block_comment,
      sym_line_comment,
  [324426] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21363), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16029), 2,
      sym_block_comment,
      sym_line_comment,
  [324447] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21363), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16030), 2,
      sym_block_comment,
      sym_line_comment,
  [324468] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21365), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16031), 2,
      sym_block_comment,
      sym_line_comment,
  [324489] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21365), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16032), 2,
      sym_block_comment,
      sym_line_comment,
  [324510] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21367), 1,
      sym__end_str,
    STATE(16037), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16033), 2,
      sym_block_comment,
      sym_line_comment,
  [324531] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21367), 1,
      sym__end_str,
    STATE(16038), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16034), 2,
      sym_block_comment,
      sym_line_comment,
  [324552] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21369), 1,
      sym__end_cmd,
    STATE(16039), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16035), 2,
      sym_block_comment,
      sym_line_comment,
  [324573] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21369), 1,
      sym__end_cmd,
    STATE(16040), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16036), 2,
      sym_block_comment,
      sym_line_comment,
  [324594] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21371), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16037), 2,
      sym_block_comment,
      sym_line_comment,
  [324615] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21371), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16038), 2,
      sym_block_comment,
      sym_line_comment,
  [324636] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21373), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16039), 2,
      sym_block_comment,
      sym_line_comment,
  [324657] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21373), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16040), 2,
      sym_block_comment,
      sym_line_comment,
  [324678] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21375), 1,
      sym__end_str,
    STATE(16045), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16041), 2,
      sym_block_comment,
      sym_line_comment,
  [324699] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21375), 1,
      sym__end_str,
    STATE(16046), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16042), 2,
      sym_block_comment,
      sym_line_comment,
  [324720] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21377), 1,
      sym__end_cmd,
    STATE(16047), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16043), 2,
      sym_block_comment,
      sym_line_comment,
  [324741] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21377), 1,
      sym__end_cmd,
    STATE(16048), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16044), 2,
      sym_block_comment,
      sym_line_comment,
  [324762] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21379), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16045), 2,
      sym_block_comment,
      sym_line_comment,
  [324783] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21379), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16046), 2,
      sym_block_comment,
      sym_line_comment,
  [324804] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21381), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16047), 2,
      sym_block_comment,
      sym_line_comment,
  [324825] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21381), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16048), 2,
      sym_block_comment,
      sym_line_comment,
  [324846] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21383), 1,
      sym__end_str,
    STATE(16053), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16049), 2,
      sym_block_comment,
      sym_line_comment,
  [324867] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21383), 1,
      sym__end_str,
    STATE(16054), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16050), 2,
      sym_block_comment,
      sym_line_comment,
  [324888] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21385), 1,
      sym__end_cmd,
    STATE(16055), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16051), 2,
      sym_block_comment,
      sym_line_comment,
  [324909] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21385), 1,
      sym__end_cmd,
    STATE(16056), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16052), 2,
      sym_block_comment,
      sym_line_comment,
  [324930] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21387), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16053), 2,
      sym_block_comment,
      sym_line_comment,
  [324951] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21387), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16054), 2,
      sym_block_comment,
      sym_line_comment,
  [324972] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21389), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16055), 2,
      sym_block_comment,
      sym_line_comment,
  [324993] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21389), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16056), 2,
      sym_block_comment,
      sym_line_comment,
  [325014] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21391), 1,
      sym__end_str,
    STATE(16062), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16057), 2,
      sym_block_comment,
      sym_line_comment,
  [325035] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21391), 1,
      sym__end_str,
    STATE(16063), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16058), 2,
      sym_block_comment,
      sym_line_comment,
  [325056] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21393), 1,
      sym__end_cmd,
    STATE(16064), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16059), 2,
      sym_block_comment,
      sym_line_comment,
  [325077] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21393), 1,
      sym__end_cmd,
    STATE(16065), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16060), 2,
      sym_block_comment,
      sym_line_comment,
  [325098] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21361), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16061), 2,
      sym_block_comment,
      sym_line_comment,
  [325119] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21395), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16062), 2,
      sym_block_comment,
      sym_line_comment,
  [325140] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21395), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16063), 2,
      sym_block_comment,
      sym_line_comment,
  [325161] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21397), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16064), 2,
      sym_block_comment,
      sym_line_comment,
  [325182] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21397), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16065), 2,
      sym_block_comment,
      sym_line_comment,
  [325203] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21399), 1,
      sym__end_str,
    STATE(16071), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16066), 2,
      sym_block_comment,
      sym_line_comment,
  [325224] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21399), 1,
      sym__end_str,
    STATE(16072), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16067), 2,
      sym_block_comment,
      sym_line_comment,
  [325245] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21401), 1,
      sym__end_cmd,
    STATE(16073), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16068), 2,
      sym_block_comment,
      sym_line_comment,
  [325266] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21401), 1,
      sym__end_cmd,
    STATE(16074), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16069), 2,
      sym_block_comment,
      sym_line_comment,
  [325287] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8001), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21403), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16070), 2,
      sym_block_comment,
      sym_line_comment,
  [325310] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21405), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16071), 2,
      sym_block_comment,
      sym_line_comment,
  [325331] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21405), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16072), 2,
      sym_block_comment,
      sym_line_comment,
  [325352] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21407), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16073), 2,
      sym_block_comment,
      sym_line_comment,
  [325373] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21407), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16074), 2,
      sym_block_comment,
      sym_line_comment,
  [325394] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21409), 1,
      sym__end_str,
    STATE(16079), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16075), 2,
      sym_block_comment,
      sym_line_comment,
  [325415] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21409), 1,
      sym__end_str,
    STATE(16080), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16076), 2,
      sym_block_comment,
      sym_line_comment,
  [325436] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21411), 1,
      sym__end_cmd,
    STATE(16081), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16077), 2,
      sym_block_comment,
      sym_line_comment,
  [325457] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21411), 1,
      sym__end_cmd,
    STATE(16082), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16078), 2,
      sym_block_comment,
      sym_line_comment,
  [325478] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21413), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16079), 2,
      sym_block_comment,
      sym_line_comment,
  [325499] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21413), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16080), 2,
      sym_block_comment,
      sym_line_comment,
  [325520] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21415), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16081), 2,
      sym_block_comment,
      sym_line_comment,
  [325541] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21415), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16082), 2,
      sym_block_comment,
      sym_line_comment,
  [325562] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21417), 1,
      sym__end_str,
    STATE(16087), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16083), 2,
      sym_block_comment,
      sym_line_comment,
  [325583] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21417), 1,
      sym__end_str,
    STATE(16088), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16084), 2,
      sym_block_comment,
      sym_line_comment,
  [325604] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21419), 1,
      sym__end_cmd,
    STATE(16089), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16085), 2,
      sym_block_comment,
      sym_line_comment,
  [325625] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21419), 1,
      sym__end_cmd,
    STATE(16090), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16086), 2,
      sym_block_comment,
      sym_line_comment,
  [325646] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21421), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16087), 2,
      sym_block_comment,
      sym_line_comment,
  [325667] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21421), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16088), 2,
      sym_block_comment,
      sym_line_comment,
  [325688] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21423), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16089), 2,
      sym_block_comment,
      sym_line_comment,
  [325709] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21423), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16090), 2,
      sym_block_comment,
      sym_line_comment,
  [325730] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21425), 1,
      sym__end_str,
    STATE(16096), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16091), 2,
      sym_block_comment,
      sym_line_comment,
  [325751] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21425), 1,
      sym__end_str,
    STATE(16097), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16092), 2,
      sym_block_comment,
      sym_line_comment,
  [325772] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21427), 1,
      sym__end_cmd,
    STATE(16098), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16093), 2,
      sym_block_comment,
      sym_line_comment,
  [325793] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21427), 1,
      sym__end_cmd,
    STATE(16099), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16094), 2,
      sym_block_comment,
      sym_line_comment,
  [325814] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16095), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(3226), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [325831] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21429), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16096), 2,
      sym_block_comment,
      sym_line_comment,
  [325852] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21429), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16097), 2,
      sym_block_comment,
      sym_line_comment,
  [325873] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21431), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16098), 2,
      sym_block_comment,
      sym_line_comment,
  [325894] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21431), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16099), 2,
      sym_block_comment,
      sym_line_comment,
  [325915] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21433), 1,
      sym__end_str,
    STATE(16105), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16100), 2,
      sym_block_comment,
      sym_line_comment,
  [325936] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21433), 1,
      sym__end_str,
    STATE(16106), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16101), 2,
      sym_block_comment,
      sym_line_comment,
  [325957] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21435), 1,
      sym__end_cmd,
    STATE(16107), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16102), 2,
      sym_block_comment,
      sym_line_comment,
  [325978] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21435), 1,
      sym__end_cmd,
    STATE(16108), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16103), 2,
      sym_block_comment,
      sym_line_comment,
  [325999] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9101), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21437), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16104), 2,
      sym_block_comment,
      sym_line_comment,
  [326022] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21439), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16105), 2,
      sym_block_comment,
      sym_line_comment,
  [326043] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21439), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16106), 2,
      sym_block_comment,
      sym_line_comment,
  [326064] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21441), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16107), 2,
      sym_block_comment,
      sym_line_comment,
  [326085] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21441), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16108), 2,
      sym_block_comment,
      sym_line_comment,
  [326106] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21443), 1,
      sym__end_str,
    STATE(16114), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16109), 2,
      sym_block_comment,
      sym_line_comment,
  [326127] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21443), 1,
      sym__end_str,
    STATE(16115), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16110), 2,
      sym_block_comment,
      sym_line_comment,
  [326148] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21445), 1,
      sym__end_cmd,
    STATE(16116), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16111), 2,
      sym_block_comment,
      sym_line_comment,
  [326169] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21445), 1,
      sym__end_cmd,
    STATE(16117), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16112), 2,
      sym_block_comment,
      sym_line_comment,
  [326190] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21447), 1,
      anon_sym_RBRACK,
    ACTIONS(21449), 1,
      anon_sym_SEMI,
    ACTIONS(21451), 1,
      aux_sym__terminator_token1,
    STATE(16226), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16113), 2,
      sym_block_comment,
      sym_line_comment,
  [326213] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21453), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16114), 2,
      sym_block_comment,
      sym_line_comment,
  [326234] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21453), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16115), 2,
      sym_block_comment,
      sym_line_comment,
  [326255] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21455), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16116), 2,
      sym_block_comment,
      sym_line_comment,
  [326276] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21455), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16117), 2,
      sym_block_comment,
      sym_line_comment,
  [326297] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21457), 1,
      sym__end_str,
    STATE(16122), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16118), 2,
      sym_block_comment,
      sym_line_comment,
  [326318] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21457), 1,
      sym__end_str,
    STATE(16123), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16119), 2,
      sym_block_comment,
      sym_line_comment,
  [326339] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21459), 1,
      sym__end_cmd,
    STATE(16124), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16120), 2,
      sym_block_comment,
      sym_line_comment,
  [326360] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21459), 1,
      sym__end_cmd,
    STATE(16125), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16121), 2,
      sym_block_comment,
      sym_line_comment,
  [326381] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21461), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16122), 2,
      sym_block_comment,
      sym_line_comment,
  [326402] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21461), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16123), 2,
      sym_block_comment,
      sym_line_comment,
  [326423] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21463), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16124), 2,
      sym_block_comment,
      sym_line_comment,
  [326444] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21463), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16125), 2,
      sym_block_comment,
      sym_line_comment,
  [326465] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21465), 1,
      sym__end_str,
    STATE(16130), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16126), 2,
      sym_block_comment,
      sym_line_comment,
  [326486] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21465), 1,
      sym__end_str,
    STATE(16131), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16127), 2,
      sym_block_comment,
      sym_line_comment,
  [326507] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21467), 1,
      sym__end_cmd,
    STATE(16132), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16128), 2,
      sym_block_comment,
      sym_line_comment,
  [326528] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21467), 1,
      sym__end_cmd,
    STATE(16133), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16129), 2,
      sym_block_comment,
      sym_line_comment,
  [326549] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21469), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16130), 2,
      sym_block_comment,
      sym_line_comment,
  [326570] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21469), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16131), 2,
      sym_block_comment,
      sym_line_comment,
  [326591] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21471), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16132), 2,
      sym_block_comment,
      sym_line_comment,
  [326612] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21471), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16133), 2,
      sym_block_comment,
      sym_line_comment,
  [326633] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21473), 1,
      sym__end_str,
    STATE(16139), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16134), 2,
      sym_block_comment,
      sym_line_comment,
  [326654] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21473), 1,
      sym__end_str,
    STATE(16140), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16135), 2,
      sym_block_comment,
      sym_line_comment,
  [326675] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21475), 1,
      sym__end_cmd,
    STATE(16141), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16136), 2,
      sym_block_comment,
      sym_line_comment,
  [326696] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21475), 1,
      sym__end_cmd,
    STATE(16142), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16137), 2,
      sym_block_comment,
      sym_line_comment,
  [326717] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21477), 1,
      anon_sym_COMMA,
    ACTIONS(21479), 1,
      anon_sym_RPAREN,
    ACTIONS(21481), 1,
      anon_sym_SEMI,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(16138), 2,
      sym_block_comment,
      sym_line_comment,
  [326740] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21483), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16139), 2,
      sym_block_comment,
      sym_line_comment,
  [326761] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21483), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16140), 2,
      sym_block_comment,
      sym_line_comment,
  [326782] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21485), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16141), 2,
      sym_block_comment,
      sym_line_comment,
  [326803] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21485), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16142), 2,
      sym_block_comment,
      sym_line_comment,
  [326824] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21487), 1,
      sym__end_str,
    STATE(16148), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16143), 2,
      sym_block_comment,
      sym_line_comment,
  [326845] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21487), 1,
      sym__end_str,
    STATE(16149), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16144), 2,
      sym_block_comment,
      sym_line_comment,
  [326866] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21489), 1,
      sym__end_cmd,
    STATE(16150), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16145), 2,
      sym_block_comment,
      sym_line_comment,
  [326887] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21489), 1,
      sym__end_cmd,
    STATE(16151), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16146), 2,
      sym_block_comment,
      sym_line_comment,
  [326908] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9063), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17920), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16147), 2,
      sym_block_comment,
      sym_line_comment,
  [326931] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21491), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16148), 2,
      sym_block_comment,
      sym_line_comment,
  [326952] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21491), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16149), 2,
      sym_block_comment,
      sym_line_comment,
  [326973] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21493), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16150), 2,
      sym_block_comment,
      sym_line_comment,
  [326994] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21493), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16151), 2,
      sym_block_comment,
      sym_line_comment,
  [327015] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21495), 1,
      sym__end_str,
    STATE(16156), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16152), 2,
      sym_block_comment,
      sym_line_comment,
  [327036] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21495), 1,
      sym__end_str,
    STATE(16157), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16153), 2,
      sym_block_comment,
      sym_line_comment,
  [327057] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21497), 1,
      sym__end_cmd,
    STATE(16158), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16154), 2,
      sym_block_comment,
      sym_line_comment,
  [327078] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21497), 1,
      sym__end_cmd,
    STATE(16159), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16155), 2,
      sym_block_comment,
      sym_line_comment,
  [327099] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21499), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16156), 2,
      sym_block_comment,
      sym_line_comment,
  [327120] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21499), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16157), 2,
      sym_block_comment,
      sym_line_comment,
  [327141] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21501), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16158), 2,
      sym_block_comment,
      sym_line_comment,
  [327162] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21501), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16159), 2,
      sym_block_comment,
      sym_line_comment,
  [327183] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16160), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10219), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [327200] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8703), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21503), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16161), 2,
      sym_block_comment,
      sym_line_comment,
  [327223] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21505), 1,
      anon_sym_COMMA,
    ACTIONS(21507), 1,
      anon_sym_RPAREN,
    STATE(16220), 1,
      aux_sym_argument_list_repeat1,
    STATE(16162), 2,
      sym_block_comment,
      sym_line_comment,
  [327246] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21509), 1,
      anon_sym_RBRACK,
    ACTIONS(21511), 1,
      anon_sym_SEMI,
    ACTIONS(21513), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16163), 2,
      sym_block_comment,
      sym_line_comment,
  [327269] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21515), 1,
      anon_sym_RBRACK,
    ACTIONS(21517), 1,
      anon_sym_SEMI,
    ACTIONS(21519), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16164), 2,
      sym_block_comment,
      sym_line_comment,
  [327292] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21521), 1,
      anon_sym_RBRACK,
    ACTIONS(21523), 1,
      anon_sym_SEMI,
    ACTIONS(21525), 1,
      aux_sym__terminator_token1,
    STATE(16174), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16165), 2,
      sym_block_comment,
      sym_line_comment,
  [327315] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8073), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21527), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16166), 2,
      sym_block_comment,
      sym_line_comment,
  [327338] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21529), 1,
      anon_sym_COMMA,
    ACTIONS(21531), 1,
      anon_sym_RPAREN,
    STATE(16334), 1,
      aux_sym_argument_list_repeat1,
    STATE(16167), 2,
      sym_block_comment,
      sym_line_comment,
  [327361] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8017), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17886), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16168), 2,
      sym_block_comment,
      sym_line_comment,
  [327384] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21533), 1,
      anon_sym_COMMA,
    ACTIONS(21535), 1,
      anon_sym_RPAREN,
    STATE(17373), 1,
      aux_sym_argument_list_repeat1,
    STATE(16169), 2,
      sym_block_comment,
      sym_line_comment,
  [327407] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21159), 1,
      sym__word_identifier,
    ACTIONS(21161), 1,
      anon_sym_DOLLAR,
    STATE(592), 2,
      sym_interpolation_expression,
      sym_identifier,
    STATE(16170), 2,
      sym_block_comment,
      sym_line_comment,
  [327428] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8713), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21537), 1,
      anon_sym_COMMA,
    STATE(16953), 1,
      aux_sym_argument_list_repeat1,
    STATE(16171), 2,
      sym_block_comment,
      sym_line_comment,
  [327451] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21539), 1,
      anon_sym_RBRACK,
    ACTIONS(21541), 1,
      anon_sym_SEMI,
    ACTIONS(21543), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16172), 2,
      sym_block_comment,
      sym_line_comment,
  [327474] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21545), 1,
      anon_sym_RBRACK,
    ACTIONS(21547), 1,
      anon_sym_SEMI,
    ACTIONS(21549), 1,
      aux_sym__terminator_token1,
    STATE(16325), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16173), 2,
      sym_block_comment,
      sym_line_comment,
  [327497] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21551), 1,
      anon_sym_RBRACK,
    ACTIONS(21553), 1,
      anon_sym_SEMI,
    ACTIONS(21555), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16174), 2,
      sym_block_comment,
      sym_line_comment,
  [327520] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7449), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17910), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16175), 2,
      sym_block_comment,
      sym_line_comment,
  [327543] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21557), 1,
      anon_sym_RBRACK,
    ACTIONS(21559), 1,
      anon_sym_SEMI,
    ACTIONS(21561), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16176), 2,
      sym_block_comment,
      sym_line_comment,
  [327566] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7849), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21563), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16177), 2,
      sym_block_comment,
      sym_line_comment,
  [327589] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16178), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21565), 4,
      sym__content_str_3,
      sym__end_str,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [327606] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21567), 1,
      sym__end_str,
    STATE(16198), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16179), 2,
      sym_block_comment,
      sym_line_comment,
  [327627] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21567), 1,
      sym__end_str,
    STATE(16199), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16180), 2,
      sym_block_comment,
      sym_line_comment,
  [327648] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(21569), 1,
      anon_sym_SEMI,
    ACTIONS(21571), 1,
      aux_sym__terminator_token1,
    STATE(16193), 1,
      aux_sym_let_statement_repeat1,
    STATE(16181), 2,
      sym_block_comment,
      sym_line_comment,
  [327671] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15504), 1,
      sym_catch_clause,
    STATE(17961), 1,
      sym_finally_clause,
    STATE(16182), 2,
      sym_block_comment,
      sym_line_comment,
  [327694] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21577), 1,
      sym__end_cmd,
    STATE(16201), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16183), 2,
      sym_block_comment,
      sym_line_comment,
  [327715] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21577), 1,
      sym__end_cmd,
    STATE(16203), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16184), 2,
      sym_block_comment,
      sym_line_comment,
  [327736] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21579), 1,
      sym__end_str,
    STATE(16222), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16185), 2,
      sym_block_comment,
      sym_line_comment,
  [327757] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21579), 1,
      sym__end_str,
    STATE(16223), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16186), 2,
      sym_block_comment,
      sym_line_comment,
  [327778] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21581), 1,
      sym__end_cmd,
    STATE(16224), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16187), 2,
      sym_block_comment,
      sym_line_comment,
  [327799] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21581), 1,
      sym__end_cmd,
    STATE(16225), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16188), 2,
      sym_block_comment,
      sym_line_comment,
  [327820] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21583), 1,
      anon_sym_COMMA,
    ACTIONS(21585), 1,
      anon_sym_RPAREN,
    STATE(17148), 1,
      aux_sym_argument_list_repeat1,
    STATE(16189), 2,
      sym_block_comment,
      sym_line_comment,
  [327843] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16687), 1,
      sym__delimiter_str_1,
    STATE(16731), 1,
      sym__delimiter_str_3,
    STATE(16190), 2,
      sym_block_comment,
      sym_line_comment,
  [327866] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16758), 1,
      sym__delimiter_cmd_1,
    STATE(16928), 1,
      sym__delimiter_cmd_3,
    STATE(16191), 2,
      sym_block_comment,
      sym_line_comment,
  [327889] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7791), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17811), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16192), 2,
      sym_block_comment,
      sym_line_comment,
  [327912] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(21595), 1,
      anon_sym_SEMI,
    ACTIONS(21597), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16193), 2,
      sym_block_comment,
      sym_line_comment,
  [327935] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(21599), 1,
      anon_sym_SEMI,
    ACTIONS(21601), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16194), 2,
      sym_block_comment,
      sym_line_comment,
  [327958] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15558), 1,
      sym_catch_clause,
    STATE(17982), 1,
      sym_finally_clause,
    STATE(16195), 2,
      sym_block_comment,
      sym_line_comment,
  [327981] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9111), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21603), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16196), 2,
      sym_block_comment,
      sym_line_comment,
  [328004] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9117), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21605), 1,
      anon_sym_COMMA,
    STATE(16230), 1,
      aux_sym_argument_list_repeat1,
    STATE(16197), 2,
      sym_block_comment,
      sym_line_comment,
  [328027] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21607), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16198), 2,
      sym_block_comment,
      sym_line_comment,
  [328048] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21607), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16199), 2,
      sym_block_comment,
      sym_line_comment,
  [328069] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9117), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21605), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16200), 2,
      sym_block_comment,
      sym_line_comment,
  [328092] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21609), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16201), 2,
      sym_block_comment,
      sym_line_comment,
  [328113] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15719), 1,
      sym_catch_clause,
    STATE(18111), 1,
      sym_finally_clause,
    STATE(16202), 2,
      sym_block_comment,
      sym_line_comment,
  [328136] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21609), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16203), 2,
      sym_block_comment,
      sym_line_comment,
  [328157] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21611), 1,
      sym__end_str,
    STATE(16244), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16204), 2,
      sym_block_comment,
      sym_line_comment,
  [328178] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21611), 1,
      sym__end_str,
    STATE(16245), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16205), 2,
      sym_block_comment,
      sym_line_comment,
  [328199] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21613), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16206), 2,
      sym_block_comment,
      sym_line_comment,
  [328220] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21613), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16207), 2,
      sym_block_comment,
      sym_line_comment,
  [328241] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21615), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16208), 2,
      sym_block_comment,
      sym_line_comment,
  [328262] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8157), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21617), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16209), 2,
      sym_block_comment,
      sym_line_comment,
  [328285] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21619), 1,
      anon_sym_COMMA,
    ACTIONS(21621), 1,
      anon_sym_RPAREN,
    STATE(16252), 1,
      aux_sym_argument_list_repeat1,
    STATE(16210), 2,
      sym_block_comment,
      sym_line_comment,
  [328308] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15626), 1,
      sym_catch_clause,
    STATE(18047), 1,
      sym_finally_clause,
    STATE(16211), 2,
      sym_block_comment,
      sym_line_comment,
  [328331] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21615), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16212), 2,
      sym_block_comment,
      sym_line_comment,
  [328352] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7847), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21623), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16213), 2,
      sym_block_comment,
      sym_line_comment,
  [328375] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21625), 1,
      sym__end_cmd,
    STATE(16246), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16214), 2,
      sym_block_comment,
      sym_line_comment,
  [328396] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21477), 1,
      anon_sym_COMMA,
    ACTIONS(21627), 1,
      anon_sym_RPAREN,
    ACTIONS(21629), 1,
      anon_sym_SEMI,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(16215), 2,
      sym_block_comment,
      sym_line_comment,
  [328419] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21625), 1,
      sym__end_cmd,
    STATE(16249), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16216), 2,
      sym_block_comment,
      sym_line_comment,
  [328440] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8603), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17924), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16217), 2,
      sym_block_comment,
      sym_line_comment,
  [328463] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21631), 1,
      anon_sym_COMMA,
    ACTIONS(21633), 1,
      anon_sym_RPAREN,
    STATE(16343), 1,
      aux_sym_argument_list_repeat1,
    STATE(16218), 2,
      sym_block_comment,
      sym_line_comment,
  [328486] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21635), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16219), 2,
      sym_block_comment,
      sym_line_comment,
  [328507] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8083), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21637), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16220), 2,
      sym_block_comment,
      sym_line_comment,
  [328530] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8089), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21639), 1,
      anon_sym_COMMA,
    STATE(16266), 1,
      aux_sym_argument_list_repeat1,
    STATE(16221), 2,
      sym_block_comment,
      sym_line_comment,
  [328553] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21641), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16222), 2,
      sym_block_comment,
      sym_line_comment,
  [328574] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21641), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16223), 2,
      sym_block_comment,
      sym_line_comment,
  [328595] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21643), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16224), 2,
      sym_block_comment,
      sym_line_comment,
  [328616] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21643), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16225), 2,
      sym_block_comment,
      sym_line_comment,
  [328637] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21645), 1,
      anon_sym_RBRACK,
    ACTIONS(21647), 1,
      anon_sym_SEMI,
    ACTIONS(21649), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16226), 2,
      sym_block_comment,
      sym_line_comment,
  [328660] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21651), 1,
      anon_sym_RBRACK,
    ACTIONS(21653), 1,
      anon_sym_SEMI,
    ACTIONS(21655), 1,
      aux_sym__terminator_token1,
    STATE(16247), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16227), 2,
      sym_block_comment,
      sym_line_comment,
  [328683] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8089), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21639), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16228), 2,
      sym_block_comment,
      sym_line_comment,
  [328706] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21657), 1,
      anon_sym_RBRACK,
    ACTIONS(21659), 1,
      anon_sym_SEMI,
    ACTIONS(21661), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16229), 2,
      sym_block_comment,
      sym_line_comment,
  [328729] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7137), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21663), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16230), 2,
      sym_block_comment,
      sym_line_comment,
  [328752] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8163), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17902), 1,
      anon_sym_COMMA,
    STATE(16234), 1,
      aux_sym_argument_list_repeat1,
    STATE(16231), 2,
      sym_block_comment,
      sym_line_comment,
  [328775] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21665), 1,
      sym__end_str,
    STATE(16273), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16232), 2,
      sym_block_comment,
      sym_line_comment,
  [328796] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21665), 1,
      sym__end_str,
    STATE(16274), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16233), 2,
      sym_block_comment,
      sym_line_comment,
  [328817] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8713), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21537), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16234), 2,
      sym_block_comment,
      sym_line_comment,
  [328840] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21667), 1,
      sym__end_cmd,
    STATE(16279), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16235), 2,
      sym_block_comment,
      sym_line_comment,
  [328861] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17521), 1,
      anon_sym_COMMA,
    STATE(16373), 1,
      aux_sym_argument_list_repeat1,
    STATE(16236), 2,
      sym_block_comment,
      sym_line_comment,
  [328884] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21667), 1,
      sym__end_cmd,
    STATE(16281), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16237), 2,
      sym_block_comment,
      sym_line_comment,
  [328905] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7639), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21669), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16238), 2,
      sym_block_comment,
      sym_line_comment,
  [328928] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21671), 1,
      anon_sym_RBRACK,
    ACTIONS(21673), 1,
      anon_sym_SEMI,
    ACTIONS(21675), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16239), 2,
      sym_block_comment,
      sym_line_comment,
  [328951] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15661), 1,
      anon_sym_SEMI,
    ACTIONS(15663), 1,
      aux_sym__terminator_token1,
    ACTIONS(21677), 1,
      anon_sym_COMMA,
    STATE(16240), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_let_statement_repeat1,
  [328972] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16241), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21680), 4,
      sym__content_cmd_1,
      sym__end_cmd,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [328989] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21682), 1,
      anon_sym_COMMA,
    ACTIONS(21684), 1,
      anon_sym_RPAREN,
    STATE(16488), 1,
      aux_sym_argument_list_repeat1,
    STATE(16242), 2,
      sym_block_comment,
      sym_line_comment,
  [329012] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21686), 1,
      anon_sym_COMMA,
    ACTIONS(21688), 1,
      anon_sym_RPAREN,
    STATE(16395), 1,
      aux_sym_argument_list_repeat1,
    STATE(16243), 2,
      sym_block_comment,
      sym_line_comment,
  [329035] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21690), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16244), 2,
      sym_block_comment,
      sym_line_comment,
  [329056] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21690), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16245), 2,
      sym_block_comment,
      sym_line_comment,
  [329077] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21692), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16246), 2,
      sym_block_comment,
      sym_line_comment,
  [329098] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21694), 1,
      anon_sym_RBRACK,
    ACTIONS(21696), 1,
      anon_sym_SEMI,
    ACTIONS(21698), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16247), 2,
      sym_block_comment,
      sym_line_comment,
  [329121] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9017), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21700), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16248), 2,
      sym_block_comment,
      sym_line_comment,
  [329144] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21692), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16249), 2,
      sym_block_comment,
      sym_line_comment,
  [329165] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21702), 1,
      sym__end_str,
    STATE(16260), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16250), 2,
      sym_block_comment,
      sym_line_comment,
  [329186] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21702), 1,
      sym__end_str,
    STATE(16261), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16251), 2,
      sym_block_comment,
      sym_line_comment,
  [329207] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7935), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21704), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16252), 2,
      sym_block_comment,
      sym_line_comment,
  [329230] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7961), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21706), 1,
      anon_sym_COMMA,
    STATE(16294), 1,
      aux_sym_argument_list_repeat1,
    STATE(16253), 2,
      sym_block_comment,
      sym_line_comment,
  [329253] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21708), 1,
      anon_sym_COMMA,
    ACTIONS(21710), 1,
      anon_sym_RPAREN,
    STATE(17113), 1,
      aux_sym_argument_list_repeat1,
    STATE(16254), 2,
      sym_block_comment,
      sym_line_comment,
  [329276] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21712), 1,
      anon_sym_RBRACK,
    ACTIONS(21714), 1,
      anon_sym_SEMI,
    ACTIONS(21716), 1,
      aux_sym__terminator_token1,
    STATE(16276), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16255), 2,
      sym_block_comment,
      sym_line_comment,
  [329299] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21718), 1,
      sym__end_cmd,
    STATE(16262), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16256), 2,
      sym_block_comment,
      sym_line_comment,
  [329320] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21718), 1,
      sym__end_cmd,
    STATE(16263), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16257), 2,
      sym_block_comment,
      sym_line_comment,
  [329341] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7961), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21706), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16258), 2,
      sym_block_comment,
      sym_line_comment,
  [329364] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21720), 1,
      sym__end_str,
    STATE(16578), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16259), 2,
      sym_block_comment,
      sym_line_comment,
  [329385] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21722), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16260), 2,
      sym_block_comment,
      sym_line_comment,
  [329406] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21722), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16261), 2,
      sym_block_comment,
      sym_line_comment,
  [329427] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21724), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16262), 2,
      sym_block_comment,
      sym_line_comment,
  [329448] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21724), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16263), 2,
      sym_block_comment,
      sym_line_comment,
  [329469] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21726), 1,
      anon_sym_COMMA,
    ACTIONS(21728), 1,
      anon_sym_RPAREN,
    STATE(16292), 1,
      aux_sym_argument_list_repeat1,
    STATE(16264), 2,
      sym_block_comment,
      sym_line_comment,
  [329492] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21730), 1,
      anon_sym_RBRACK,
    ACTIONS(21732), 1,
      anon_sym_SEMI,
    ACTIONS(21735), 1,
      aux_sym__terminator_token1,
    STATE(16265), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_matrix_expression_repeat1,
  [329513] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8099), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21738), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16266), 2,
      sym_block_comment,
      sym_line_comment,
  [329536] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7175), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21740), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16267), 2,
      sym_block_comment,
      sym_line_comment,
  [329559] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21742), 1,
      sym__end_str,
    STATE(16621), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16268), 2,
      sym_block_comment,
      sym_line_comment,
  [329580] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9095), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17514), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16269), 2,
      sym_block_comment,
      sym_line_comment,
  [329603] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21744), 1,
      anon_sym_COMMA,
    ACTIONS(21746), 1,
      anon_sym_RPAREN,
    STATE(17102), 1,
      aux_sym_argument_list_repeat1,
    STATE(16270), 2,
      sym_block_comment,
      sym_line_comment,
  [329626] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21742), 1,
      sym__end_str,
    STATE(16625), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16271), 2,
      sym_block_comment,
      sym_line_comment,
  [329647] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21720), 1,
      sym__end_str,
    STATE(16589), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16272), 2,
      sym_block_comment,
      sym_line_comment,
  [329668] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21748), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16273), 2,
      sym_block_comment,
      sym_line_comment,
  [329689] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21748), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16274), 2,
      sym_block_comment,
      sym_line_comment,
  [329710] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16275), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 4,
      sym__immediate_string_start,
      sym__immediate_command_start,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [329727] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21750), 1,
      anon_sym_RBRACK,
    ACTIONS(21752), 1,
      anon_sym_SEMI,
    ACTIONS(21754), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16276), 2,
      sym_block_comment,
      sym_line_comment,
  [329750] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21756), 1,
      sym__end_cmd,
    STATE(16626), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16277), 2,
      sym_block_comment,
      sym_line_comment,
  [329771] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8105), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17908), 1,
      anon_sym_COMMA,
    STATE(16566), 1,
      aux_sym_argument_list_repeat1,
    STATE(16278), 2,
      sym_block_comment,
      sym_line_comment,
  [329794] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21758), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16279), 2,
      sym_block_comment,
      sym_line_comment,
  [329815] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9023), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17862), 1,
      anon_sym_COMMA,
    STATE(17258), 1,
      aux_sym_argument_list_repeat1,
    STATE(16280), 2,
      sym_block_comment,
      sym_line_comment,
  [329838] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21758), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16281), 2,
      sym_block_comment,
      sym_line_comment,
  [329859] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21760), 1,
      anon_sym_RBRACK,
    ACTIONS(21762), 1,
      anon_sym_SEMI,
    ACTIONS(21764), 1,
      aux_sym__terminator_token1,
    STATE(16308), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16282), 2,
      sym_block_comment,
      sym_line_comment,
  [329882] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8363), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21766), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16283), 2,
      sym_block_comment,
      sym_line_comment,
  [329905] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21756), 1,
      sym__end_cmd,
    STATE(16645), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16284), 2,
      sym_block_comment,
      sym_line_comment,
  [329926] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21768), 1,
      sym__end_cmd,
    STATE(16641), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16285), 2,
      sym_block_comment,
      sym_line_comment,
  [329947] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21768), 1,
      sym__end_cmd,
    STATE(16646), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16286), 2,
      sym_block_comment,
      sym_line_comment,
  [329968] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21770), 1,
      sym__end_str,
    STATE(16309), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16287), 2,
      sym_block_comment,
      sym_line_comment,
  [329989] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21770), 1,
      sym__end_str,
    STATE(16310), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16288), 2,
      sym_block_comment,
      sym_line_comment,
  [330010] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21772), 1,
      sym__end_cmd,
    STATE(16311), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16289), 2,
      sym_block_comment,
      sym_line_comment,
  [330031] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21772), 1,
      sym__end_cmd,
    STATE(16312), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16290), 2,
      sym_block_comment,
      sym_line_comment,
  [330052] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21477), 1,
      anon_sym_COMMA,
    ACTIONS(21774), 1,
      anon_sym_RPAREN,
    ACTIONS(21776), 1,
      anon_sym_SEMI,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(16291), 2,
      sym_block_comment,
      sym_line_comment,
  [330075] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7189), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21778), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16292), 2,
      sym_block_comment,
      sym_line_comment,
  [330098] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21780), 1,
      anon_sym_COMMA,
    STATE(16313), 1,
      aux_sym_argument_list_repeat1,
    STATE(16293), 2,
      sym_block_comment,
      sym_line_comment,
  [330121] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8029), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21782), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16294), 2,
      sym_block_comment,
      sym_line_comment,
  [330144] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7197), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21780), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16295), 2,
      sym_block_comment,
      sym_line_comment,
  [330167] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7743), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21784), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16296), 2,
      sym_block_comment,
      sym_line_comment,
  [330190] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8833), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21786), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16297), 2,
      sym_block_comment,
      sym_line_comment,
  [330213] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7761), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21788), 1,
      anon_sym_COMMA,
    STATE(17117), 1,
      aux_sym_argument_list_repeat1,
    STATE(16298), 2,
      sym_block_comment,
      sym_line_comment,
  [330236] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8043), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17606), 1,
      anon_sym_COMMA,
    STATE(17183), 1,
      aux_sym_argument_list_repeat1,
    STATE(16299), 2,
      sym_block_comment,
      sym_line_comment,
  [330259] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21790), 1,
      sym__end_str,
    STATE(16981), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16300), 2,
      sym_block_comment,
      sym_line_comment,
  [330280] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21790), 1,
      sym__end_str,
    STATE(17000), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16301), 2,
      sym_block_comment,
      sym_line_comment,
  [330301] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21792), 1,
      anon_sym_COMMA,
    ACTIONS(21794), 1,
      anon_sym_RPAREN,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16302), 2,
      sym_block_comment,
      sym_line_comment,
  [330324] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7761), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21788), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16303), 2,
      sym_block_comment,
      sym_line_comment,
  [330347] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7929), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21796), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16304), 2,
      sym_block_comment,
      sym_line_comment,
  [330370] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21798), 1,
      anon_sym_COMMA,
    ACTIONS(21800), 1,
      anon_sym_RPAREN,
    STATE(16466), 1,
      aux_sym_argument_list_repeat1,
    STATE(16305), 2,
      sym_block_comment,
      sym_line_comment,
  [330393] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21802), 1,
      sym__end_str,
    STATE(16574), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16306), 2,
      sym_block_comment,
      sym_line_comment,
  [330414] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21804), 1,
      anon_sym_RBRACK,
    ACTIONS(21806), 1,
      anon_sym_SEMI,
    ACTIONS(21808), 1,
      aux_sym__terminator_token1,
    STATE(16348), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16307), 2,
      sym_block_comment,
      sym_line_comment,
  [330437] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21810), 1,
      anon_sym_RBRACK,
    ACTIONS(21812), 1,
      anon_sym_SEMI,
    ACTIONS(21814), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16308), 2,
      sym_block_comment,
      sym_line_comment,
  [330460] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21816), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16309), 2,
      sym_block_comment,
      sym_line_comment,
  [330481] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21816), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16310), 2,
      sym_block_comment,
      sym_line_comment,
  [330502] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21818), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16311), 2,
      sym_block_comment,
      sym_line_comment,
  [330523] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21818), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16312), 2,
      sym_block_comment,
      sym_line_comment,
  [330544] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7225), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21820), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16313), 2,
      sym_block_comment,
      sym_line_comment,
  [330567] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8853), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21822), 1,
      anon_sym_COMMA,
    STATE(16721), 1,
      aux_sym_argument_list_repeat1,
    STATE(16314), 2,
      sym_block_comment,
      sym_line_comment,
  [330590] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7887), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17832), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16315), 2,
      sym_block_comment,
      sym_line_comment,
  [330613] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7229), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17531), 1,
      anon_sym_COMMA,
    STATE(16546), 1,
      aux_sym_argument_list_repeat1,
    STATE(16316), 2,
      sym_block_comment,
      sym_line_comment,
  [330636] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21802), 1,
      sym__end_str,
    STATE(16601), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16317), 2,
      sym_block_comment,
      sym_line_comment,
  [330657] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21824), 1,
      anon_sym_RBRACK,
    ACTIONS(21826), 1,
      anon_sym_SEMI,
    ACTIONS(21828), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16318), 2,
      sym_block_comment,
      sym_line_comment,
  [330680] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21830), 1,
      sym__end_str,
    STATE(16327), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16319), 2,
      sym_block_comment,
      sym_line_comment,
  [330701] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21830), 1,
      sym__end_str,
    STATE(16328), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16320), 2,
      sym_block_comment,
      sym_line_comment,
  [330722] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21832), 1,
      sym__end_cmd,
    STATE(16329), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16321), 2,
      sym_block_comment,
      sym_line_comment,
  [330743] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16322), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 4,
      sym__content_str_1,
      sym__end_str,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [330760] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21832), 1,
      sym__end_cmd,
    STATE(16331), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16323), 2,
      sym_block_comment,
      sym_line_comment,
  [330781] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(21834), 1,
      anon_sym_SEMI,
    ACTIONS(21836), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16324), 2,
      sym_block_comment,
      sym_line_comment,
  [330804] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21838), 1,
      anon_sym_RBRACK,
    ACTIONS(21840), 1,
      anon_sym_SEMI,
    ACTIONS(21842), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16325), 2,
      sym_block_comment,
      sym_line_comment,
  [330827] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21844), 1,
      sym__end_cmd,
    STATE(16649), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16326), 2,
      sym_block_comment,
      sym_line_comment,
  [330848] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21846), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16327), 2,
      sym_block_comment,
      sym_line_comment,
  [330869] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21846), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16328), 2,
      sym_block_comment,
      sym_line_comment,
  [330890] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21848), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16329), 2,
      sym_block_comment,
      sym_line_comment,
  [330911] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21850), 1,
      anon_sym_RBRACK,
    ACTIONS(21852), 1,
      anon_sym_SEMI,
    ACTIONS(21854), 1,
      aux_sym__terminator_token1,
    STATE(16350), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16330), 2,
      sym_block_comment,
      sym_line_comment,
  [330934] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21848), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16331), 2,
      sym_block_comment,
      sym_line_comment,
  [330955] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21844), 1,
      sym__end_cmd,
    STATE(16650), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16332), 2,
      sym_block_comment,
      sym_line_comment,
  [330976] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21856), 1,
      sym__end_cmd,
    STATE(17008), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16333), 2,
      sym_block_comment,
      sym_line_comment,
  [330997] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7861), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21858), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16334), 2,
      sym_block_comment,
      sym_line_comment,
  [331020] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17279), 1,
      sym__delimiter_str_1,
    STATE(17294), 1,
      sym__delimiter_str_3,
    STATE(16335), 2,
      sym_block_comment,
      sym_line_comment,
  [331043] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21860), 1,
      anon_sym_COMMA,
    ACTIONS(21862), 1,
      anon_sym_RPAREN,
    STATE(16374), 1,
      aux_sym_argument_list_repeat1,
    STATE(16336), 2,
      sym_block_comment,
      sym_line_comment,
  [331066] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21864), 1,
      sym__end_str,
    STATE(16454), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16337), 2,
      sym_block_comment,
      sym_line_comment,
  [331087] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8115), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21866), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16338), 2,
      sym_block_comment,
      sym_line_comment,
  [331110] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21864), 1,
      sym__end_str,
    STATE(16460), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16339), 2,
      sym_block_comment,
      sym_line_comment,
  [331131] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21868), 1,
      anon_sym_COMMA,
    ACTIONS(21870), 1,
      anon_sym_RPAREN,
    STATE(16371), 1,
      aux_sym_argument_list_repeat1,
    STATE(16340), 2,
      sym_block_comment,
      sym_line_comment,
  [331154] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21872), 1,
      anon_sym_RBRACK,
    ACTIONS(21874), 1,
      anon_sym_SEMI,
    ACTIONS(21876), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16341), 2,
      sym_block_comment,
      sym_line_comment,
  [331177] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17900), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16342), 2,
      sym_block_comment,
      sym_line_comment,
  [331200] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7243), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21878), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16343), 2,
      sym_block_comment,
      sym_line_comment,
  [331223] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21880), 1,
      anon_sym_RBRACK,
    ACTIONS(21882), 1,
      anon_sym_SEMI,
    ACTIONS(21884), 1,
      aux_sym__terminator_token1,
    STATE(16642), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16344), 2,
      sym_block_comment,
      sym_line_comment,
  [331246] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21159), 1,
      sym__word_identifier,
    ACTIONS(21161), 1,
      anon_sym_DOLLAR,
    STATE(1194), 2,
      sym_interpolation_expression,
      sym_identifier,
    STATE(16345), 2,
      sym_block_comment,
      sym_line_comment,
  [331267] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17521), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16346), 2,
      sym_block_comment,
      sym_line_comment,
  [331290] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21886), 1,
      anon_sym_RBRACK,
    ACTIONS(21888), 1,
      anon_sym_SEMI,
    ACTIONS(21890), 1,
      aux_sym__terminator_token1,
    STATE(16369), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16347), 2,
      sym_block_comment,
      sym_line_comment,
  [331313] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21892), 1,
      anon_sym_RBRACK,
    ACTIONS(21894), 1,
      anon_sym_SEMI,
    ACTIONS(21896), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16348), 2,
      sym_block_comment,
      sym_line_comment,
  [331336] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21898), 1,
      sym__end_cmd,
    STATE(16469), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16349), 2,
      sym_block_comment,
      sym_line_comment,
  [331357] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21900), 1,
      anon_sym_RBRACK,
    ACTIONS(21902), 1,
      anon_sym_SEMI,
    ACTIONS(21904), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16350), 2,
      sym_block_comment,
      sym_line_comment,
  [331380] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(21906), 1,
      anon_sym_SEMI,
    ACTIONS(21908), 1,
      aux_sym__terminator_token1,
    STATE(16359), 1,
      aux_sym_let_statement_repeat1,
    STATE(16351), 2,
      sym_block_comment,
      sym_line_comment,
  [331403] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8853), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21822), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16352), 2,
      sym_block_comment,
      sym_line_comment,
  [331426] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17295), 1,
      sym__delimiter_cmd_1,
    STATE(17297), 1,
      sym__delimiter_cmd_3,
    STATE(16353), 2,
      sym_block_comment,
      sym_line_comment,
  [331449] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15812), 1,
      sym_catch_clause,
    STATE(17997), 1,
      sym_finally_clause,
    STATE(16354), 2,
      sym_block_comment,
      sym_line_comment,
  [331472] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21898), 1,
      sym__end_cmd,
    STATE(16472), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16355), 2,
      sym_block_comment,
      sym_line_comment,
  [331493] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16268), 1,
      sym__delimiter_str_1,
    STATE(16271), 1,
      sym__delimiter_str_3,
    STATE(16356), 2,
      sym_block_comment,
      sym_line_comment,
  [331516] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16277), 1,
      sym__delimiter_cmd_1,
    STATE(16284), 1,
      sym__delimiter_cmd_3,
    STATE(16357), 2,
      sym_block_comment,
      sym_line_comment,
  [331539] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21910), 1,
      sym__end_str,
    STATE(16415), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16358), 2,
      sym_block_comment,
      sym_line_comment,
  [331560] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(21912), 1,
      anon_sym_SEMI,
    ACTIONS(21914), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16359), 2,
      sym_block_comment,
      sym_line_comment,
  [331583] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(21916), 1,
      anon_sym_SEMI,
    ACTIONS(21918), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16360), 2,
      sym_block_comment,
      sym_line_comment,
  [331606] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15631), 1,
      sym_catch_clause,
    STATE(17614), 1,
      sym_finally_clause,
    STATE(16361), 2,
      sym_block_comment,
      sym_line_comment,
  [331629] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21910), 1,
      sym__end_str,
    STATE(16418), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16362), 2,
      sym_block_comment,
      sym_line_comment,
  [331650] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21920), 1,
      sym__end_cmd,
    STATE(16422), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16363), 2,
      sym_block_comment,
      sym_line_comment,
  [331671] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15496), 1,
      sym_catch_clause,
    STATE(17788), 1,
      sym_finally_clause,
    STATE(16364), 2,
      sym_block_comment,
      sym_line_comment,
  [331694] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21920), 1,
      sym__end_cmd,
    STATE(16427), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16365), 2,
      sym_block_comment,
      sym_line_comment,
  [331715] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21922), 1,
      sym__end_str,
    STATE(16396), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16366), 2,
      sym_block_comment,
      sym_line_comment,
  [331736] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21922), 1,
      sym__end_str,
    STATE(16397), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16367), 2,
      sym_block_comment,
      sym_line_comment,
  [331757] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21924), 1,
      sym__end_cmd,
    STATE(16399), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16368), 2,
      sym_block_comment,
      sym_line_comment,
  [331778] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21926), 1,
      anon_sym_RBRACK,
    ACTIONS(21928), 1,
      anon_sym_SEMI,
    ACTIONS(21930), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16369), 2,
      sym_block_comment,
      sym_line_comment,
  [331801] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21924), 1,
      sym__end_cmd,
    STATE(16400), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16370), 2,
      sym_block_comment,
      sym_line_comment,
  [331822] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7255), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21932), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16371), 2,
      sym_block_comment,
      sym_line_comment,
  [331845] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7263), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21934), 1,
      anon_sym_COMMA,
    STATE(16402), 1,
      aux_sym_argument_list_repeat1,
    STATE(16372), 2,
      sym_block_comment,
      sym_line_comment,
  [331868] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7263), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21934), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16373), 2,
      sym_block_comment,
      sym_line_comment,
  [331891] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8127), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21936), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16374), 2,
      sym_block_comment,
      sym_line_comment,
  [331914] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8135), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21938), 1,
      anon_sym_COMMA,
    STATE(16428), 1,
      aux_sym_argument_list_repeat1,
    STATE(16375), 2,
      sym_block_comment,
      sym_line_comment,
  [331937] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16376), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21940), 4,
      sym__content_str_1,
      sym__end_str,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [331954] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21942), 1,
      sym__end_str,
    STATE(16398), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16377), 2,
      sym_block_comment,
      sym_line_comment,
  [331975] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21942), 1,
      sym__end_str,
    STATE(16401), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16378), 2,
      sym_block_comment,
      sym_line_comment,
  [331996] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21944), 1,
      anon_sym_RBRACK,
    ACTIONS(21946), 1,
      anon_sym_SEMI,
    ACTIONS(21948), 1,
      aux_sym__terminator_token1,
    STATE(16958), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16379), 2,
      sym_block_comment,
      sym_line_comment,
  [332019] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(21950), 1,
      anon_sym_SEMI,
    ACTIONS(21952), 1,
      aux_sym__terminator_token1,
    STATE(16387), 1,
      aux_sym_let_statement_repeat1,
    STATE(16380), 2,
      sym_block_comment,
      sym_line_comment,
  [332042] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15630), 1,
      sym_catch_clause,
    STATE(17631), 1,
      sym_finally_clause,
    STATE(16381), 2,
      sym_block_comment,
      sym_line_comment,
  [332065] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21954), 1,
      sym__end_cmd,
    STATE(16403), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16382), 2,
      sym_block_comment,
      sym_line_comment,
  [332086] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21956), 1,
      anon_sym_COMMA,
    ACTIONS(21958), 1,
      anon_sym_RPAREN,
    STATE(16931), 1,
      aux_sym_argument_list_repeat1,
    STATE(16383), 2,
      sym_block_comment,
      sym_line_comment,
  [332109] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16696), 1,
      sym__delimiter_str_1,
    STATE(16699), 1,
      sym__delimiter_str_3,
    STATE(16384), 2,
      sym_block_comment,
      sym_line_comment,
  [332132] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16700), 1,
      sym__delimiter_cmd_1,
    STATE(16703), 1,
      sym__delimiter_cmd_3,
    STATE(16385), 2,
      sym_block_comment,
      sym_line_comment,
  [332155] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21954), 1,
      sym__end_cmd,
    STATE(16406), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16386), 2,
      sym_block_comment,
      sym_line_comment,
  [332176] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(21960), 1,
      anon_sym_SEMI,
    ACTIONS(21962), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16387), 2,
      sym_block_comment,
      sym_line_comment,
  [332199] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(21964), 1,
      anon_sym_SEMI,
    ACTIONS(21966), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16388), 2,
      sym_block_comment,
      sym_line_comment,
  [332222] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15580), 1,
      sym_catch_clause,
    STATE(17728), 1,
      sym_finally_clause,
    STATE(16389), 2,
      sym_block_comment,
      sym_line_comment,
  [332245] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21968), 1,
      sym__end_str,
    STATE(17385), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16390), 2,
      sym_block_comment,
      sym_line_comment,
  [332266] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8135), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21938), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16391), 2,
      sym_block_comment,
      sym_line_comment,
  [332289] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15513), 1,
      sym_catch_clause,
    STATE(17839), 1,
      sym_finally_clause,
    STATE(16392), 2,
      sym_block_comment,
      sym_line_comment,
  [332312] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(21970), 1,
      anon_sym_RBRACK,
    ACTIONS(21972), 1,
      anon_sym_SEMI,
    ACTIONS(21974), 1,
      aux_sym__terminator_token1,
    STATE(16609), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16393), 2,
      sym_block_comment,
      sym_line_comment,
  [332335] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7869), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21976), 1,
      anon_sym_COMMA,
    STATE(16666), 1,
      aux_sym_argument_list_repeat1,
    STATE(16394), 2,
      sym_block_comment,
      sym_line_comment,
  [332358] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7941), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21978), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16395), 2,
      sym_block_comment,
      sym_line_comment,
  [332381] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21980), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16396), 2,
      sym_block_comment,
      sym_line_comment,
  [332402] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21980), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16397), 2,
      sym_block_comment,
      sym_line_comment,
  [332423] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21982), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16398), 2,
      sym_block_comment,
      sym_line_comment,
  [332444] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21984), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16399), 2,
      sym_block_comment,
      sym_line_comment,
  [332465] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21984), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16400), 2,
      sym_block_comment,
      sym_line_comment,
  [332486] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21982), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16401), 2,
      sym_block_comment,
      sym_line_comment,
  [332507] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7293), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21986), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16402), 2,
      sym_block_comment,
      sym_line_comment,
  [332530] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21988), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16403), 2,
      sym_block_comment,
      sym_line_comment,
  [332551] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21159), 1,
      sym__word_identifier,
    ACTIONS(21161), 1,
      anon_sym_DOLLAR,
    STATE(596), 2,
      sym_interpolation_expression,
      sym_identifier,
    STATE(16404), 2,
      sym_block_comment,
      sym_line_comment,
  [332572] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7297), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17583), 1,
      anon_sym_COMMA,
    STATE(16952), 1,
      aux_sym_argument_list_repeat1,
    STATE(16405), 2,
      sym_block_comment,
      sym_line_comment,
  [332595] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21988), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16406), 2,
      sym_block_comment,
      sym_line_comment,
  [332616] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7949), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21990), 1,
      anon_sym_COMMA,
    STATE(16477), 1,
      aux_sym_argument_list_repeat1,
    STATE(16407), 2,
      sym_block_comment,
      sym_line_comment,
  [332639] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7949), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21990), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16408), 2,
      sym_block_comment,
      sym_line_comment,
  [332662] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7869), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21976), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16409), 2,
      sym_block_comment,
      sym_line_comment,
  [332685] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21992), 1,
      anon_sym_COMMA,
    ACTIONS(21994), 1,
      anon_sym_RPAREN,
    STATE(16716), 1,
      aux_sym_argument_list_repeat1,
    STATE(16410), 2,
      sym_block_comment,
      sym_line_comment,
  [332708] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16411), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21996), 4,
      sym__content_cmd_3,
      sym__end_cmd,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [332725] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(21998), 1,
      anon_sym_SEMI,
    ACTIONS(22000), 1,
      aux_sym__terminator_token1,
    STATE(16419), 1,
      aux_sym_let_statement_repeat1,
    STATE(16412), 2,
      sym_block_comment,
      sym_line_comment,
  [332748] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21856), 1,
      sym__end_cmd,
    STATE(17016), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16413), 2,
      sym_block_comment,
      sym_line_comment,
  [332769] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15724), 1,
      sym_catch_clause,
    STATE(17602), 1,
      sym_finally_clause,
    STATE(16414), 2,
      sym_block_comment,
      sym_line_comment,
  [332792] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22002), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16415), 2,
      sym_block_comment,
      sym_line_comment,
  [332813] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16232), 1,
      sym__delimiter_str_1,
    STATE(16233), 1,
      sym__delimiter_str_3,
    STATE(16416), 2,
      sym_block_comment,
      sym_line_comment,
  [332836] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16235), 1,
      sym__delimiter_cmd_1,
    STATE(16237), 1,
      sym__delimiter_cmd_3,
    STATE(16417), 2,
      sym_block_comment,
      sym_line_comment,
  [332859] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22002), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16418), 2,
      sym_block_comment,
      sym_line_comment,
  [332880] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22004), 1,
      anon_sym_SEMI,
    ACTIONS(22006), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16419), 2,
      sym_block_comment,
      sym_line_comment,
  [332903] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22008), 1,
      anon_sym_SEMI,
    ACTIONS(22010), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16420), 2,
      sym_block_comment,
      sym_line_comment,
  [332926] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15501), 1,
      sym_catch_clause,
    STATE(17617), 1,
      sym_finally_clause,
    STATE(16421), 2,
      sym_block_comment,
      sym_line_comment,
  [332949] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22012), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16422), 2,
      sym_block_comment,
      sym_line_comment,
  [332970] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22014), 1,
      anon_sym_RBRACK,
    ACTIONS(22016), 1,
      anon_sym_SEMI,
    ACTIONS(22018), 1,
      aux_sym__terminator_token1,
    STATE(16437), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16423), 2,
      sym_block_comment,
      sym_line_comment,
  [332993] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15526), 1,
      sym_catch_clause,
    STATE(17636), 1,
      sym_finally_clause,
    STATE(16424), 2,
      sym_block_comment,
      sym_line_comment,
  [333016] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21968), 1,
      sym__end_str,
    STATE(17390), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16425), 2,
      sym_block_comment,
      sym_line_comment,
  [333037] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22020), 1,
      sym__end_cmd,
    STATE(17404), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16426), 2,
      sym_block_comment,
      sym_line_comment,
  [333058] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22012), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16427), 2,
      sym_block_comment,
      sym_line_comment,
  [333079] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8147), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22022), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16428), 2,
      sym_block_comment,
      sym_line_comment,
  [333102] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22024), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16429), 2,
      sym_block_comment,
      sym_line_comment,
  [333123] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7815), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22026), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16430), 2,
      sym_block_comment,
      sym_line_comment,
  [333146] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8151), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17914), 1,
      anon_sym_COMMA,
    STATE(16771), 1,
      aux_sym_argument_list_repeat1,
    STATE(16431), 2,
      sym_block_comment,
      sym_line_comment,
  [333169] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17836), 1,
      anon_sym_end,
    ACTIONS(22028), 1,
      anon_sym_SEMI,
    ACTIONS(22031), 1,
      aux_sym__terminator_token1,
    STATE(16432), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__block_repeat1,
  [333190] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22034), 1,
      sym__immediate_string_start,
    ACTIONS(22036), 1,
      sym__immediate_command_start,
    ACTIONS(9995), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(16433), 2,
      sym_block_comment,
      sym_line_comment,
  [333211] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21159), 1,
      sym__word_identifier,
    ACTIONS(21161), 1,
      anon_sym_DOLLAR,
    STATE(642), 2,
      sym_interpolation_expression,
      sym_identifier,
    STATE(16434), 2,
      sym_block_comment,
      sym_line_comment,
  [333232] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8535), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22038), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16435), 2,
      sym_block_comment,
      sym_line_comment,
  [333255] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15835), 1,
      anon_sym_EQ,
    ACTIONS(17836), 1,
      anon_sym_SEMI,
    ACTIONS(17838), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(16436), 2,
      sym_block_comment,
      sym_line_comment,
  [333276] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22040), 1,
      anon_sym_RBRACK,
    ACTIONS(22042), 1,
      anon_sym_SEMI,
    ACTIONS(22044), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16437), 2,
      sym_block_comment,
      sym_line_comment,
  [333299] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8557), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22046), 1,
      anon_sym_COMMA,
    STATE(16779), 1,
      aux_sym_argument_list_repeat1,
    STATE(16438), 2,
      sym_block_comment,
      sym_line_comment,
  [333322] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22048), 1,
      anon_sym_RBRACK,
    ACTIONS(22050), 1,
      anon_sym_SEMI,
    ACTIONS(22052), 1,
      aux_sym__terminator_token1,
    STATE(16506), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16439), 2,
      sym_block_comment,
      sym_line_comment,
  [333345] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22054), 1,
      anon_sym_SEMI,
    ACTIONS(22056), 1,
      aux_sym__terminator_token1,
    STATE(16446), 1,
      aux_sym_let_statement_repeat1,
    STATE(16440), 2,
      sym_block_comment,
      sym_line_comment,
  [333368] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22058), 1,
      anon_sym_COMMA,
    ACTIONS(22060), 1,
      anon_sym_RPAREN,
    STATE(17149), 1,
      aux_sym_argument_list_repeat1,
    STATE(16441), 2,
      sym_block_comment,
      sym_line_comment,
  [333391] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15706), 1,
      sym_catch_clause,
    STATE(17739), 1,
      sym_finally_clause,
    STATE(16442), 2,
      sym_block_comment,
      sym_line_comment,
  [333414] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16622), 1,
      sym__delimiter_str_1,
    STATE(16627), 1,
      sym__delimiter_str_3,
    STATE(16443), 2,
      sym_block_comment,
      sym_line_comment,
  [333437] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16629), 1,
      sym__delimiter_cmd_1,
    STATE(16634), 1,
      sym__delimiter_cmd_3,
    STATE(16444), 2,
      sym_block_comment,
      sym_line_comment,
  [333460] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22062), 1,
      anon_sym_COMMA,
    ACTIONS(22064), 1,
      anon_sym_RPAREN,
    STATE(16304), 1,
      aux_sym_argument_list_repeat1,
    STATE(16445), 2,
      sym_block_comment,
      sym_line_comment,
  [333483] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22066), 1,
      anon_sym_SEMI,
    ACTIONS(22068), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16446), 2,
      sym_block_comment,
      sym_line_comment,
  [333506] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22070), 1,
      anon_sym_SEMI,
    ACTIONS(22072), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16447), 2,
      sym_block_comment,
      sym_line_comment,
  [333529] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15793), 1,
      sym_catch_clause,
    STATE(17842), 1,
      sym_finally_clause,
    STATE(16448), 2,
      sym_block_comment,
      sym_line_comment,
  [333552] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22074), 1,
      sym__end_str,
    STATE(16455), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16449), 2,
      sym_block_comment,
      sym_line_comment,
  [333573] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22074), 1,
      sym__end_str,
    STATE(16456), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16450), 2,
      sym_block_comment,
      sym_line_comment,
  [333594] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15500), 1,
      sym_catch_clause,
    STATE(17924), 1,
      sym_finally_clause,
    STATE(16451), 2,
      sym_block_comment,
      sym_line_comment,
  [333617] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22076), 1,
      sym__end_cmd,
    STATE(16457), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16452), 2,
      sym_block_comment,
      sym_line_comment,
  [333638] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22076), 1,
      sym__end_cmd,
    STATE(16458), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16453), 2,
      sym_block_comment,
      sym_line_comment,
  [333659] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22078), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16454), 2,
      sym_block_comment,
      sym_line_comment,
  [333680] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22080), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16455), 2,
      sym_block_comment,
      sym_line_comment,
  [333701] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22080), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16456), 2,
      sym_block_comment,
      sym_line_comment,
  [333722] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22082), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16457), 2,
      sym_block_comment,
      sym_line_comment,
  [333743] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22082), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16458), 2,
      sym_block_comment,
      sym_line_comment,
  [333764] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21159), 1,
      sym__word_identifier,
    ACTIONS(21161), 1,
      anon_sym_DOLLAR,
    STATE(689), 2,
      sym_interpolation_expression,
      sym_identifier,
    STATE(16459), 2,
      sym_block_comment,
      sym_line_comment,
  [333785] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22078), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16460), 2,
      sym_block_comment,
      sym_line_comment,
  [333806] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22084), 1,
      anon_sym_COMMA,
    ACTIONS(22086), 1,
      anon_sym_RPAREN,
    STATE(16544), 1,
      aux_sym_argument_list_repeat1,
    STATE(16461), 2,
      sym_block_comment,
      sym_line_comment,
  [333829] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22088), 1,
      anon_sym_COMMA,
    ACTIONS(22090), 1,
      anon_sym_RPAREN,
    STATE(16910), 1,
      aux_sym_argument_list_repeat1,
    STATE(16462), 2,
      sym_block_comment,
      sym_line_comment,
  [333852] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8557), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22046), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16463), 2,
      sym_block_comment,
      sym_line_comment,
  [333875] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22092), 1,
      anon_sym_RBRACK,
    ACTIONS(22094), 1,
      anon_sym_SEMI,
    ACTIONS(22096), 1,
      aux_sym__terminator_token1,
    STATE(16498), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16464), 2,
      sym_block_comment,
      sym_line_comment,
  [333898] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22098), 1,
      anon_sym_SEMI,
    ACTIONS(22100), 1,
      aux_sym__terminator_token1,
    STATE(16473), 1,
      aux_sym_let_statement_repeat1,
    STATE(16465), 2,
      sym_block_comment,
      sym_line_comment,
  [333921] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7303), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22102), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16466), 2,
      sym_block_comment,
      sym_line_comment,
  [333944] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22104), 1,
      anon_sym_RBRACK,
    ACTIONS(22106), 1,
      anon_sym_SEMI,
    ACTIONS(22108), 1,
      aux_sym__terminator_token1,
    STATE(16586), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16467), 2,
      sym_block_comment,
      sym_line_comment,
  [333967] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15590), 1,
      sym_catch_clause,
    STATE(18000), 1,
      sym_finally_clause,
    STATE(16468), 2,
      sym_block_comment,
      sym_line_comment,
  [333990] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22110), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16469), 2,
      sym_block_comment,
      sym_line_comment,
  [334011] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17157), 1,
      sym__delimiter_str_1,
    STATE(17159), 1,
      sym__delimiter_str_3,
    STATE(16470), 2,
      sym_block_comment,
      sym_line_comment,
  [334034] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17160), 1,
      sym__delimiter_cmd_1,
    STATE(17161), 1,
      sym__delimiter_cmd_3,
    STATE(16471), 2,
      sym_block_comment,
      sym_line_comment,
  [334057] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22110), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16472), 2,
      sym_block_comment,
      sym_line_comment,
  [334078] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22112), 1,
      anon_sym_SEMI,
    ACTIONS(22114), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16473), 2,
      sym_block_comment,
      sym_line_comment,
  [334101] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22116), 1,
      anon_sym_SEMI,
    ACTIONS(22118), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16474), 2,
      sym_block_comment,
      sym_line_comment,
  [334124] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15634), 1,
      sym_catch_clause,
    STATE(18035), 1,
      sym_finally_clause,
    STATE(16475), 2,
      sym_block_comment,
      sym_line_comment,
  [334147] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7229), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17531), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16476), 2,
      sym_block_comment,
      sym_line_comment,
  [334170] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7965), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22120), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16477), 2,
      sym_block_comment,
      sym_line_comment,
  [334193] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15655), 1,
      sym_catch_clause,
    STATE(18058), 1,
      sym_finally_clause,
    STATE(16478), 2,
      sym_block_comment,
      sym_line_comment,
  [334216] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7821), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22122), 1,
      anon_sym_COMMA,
    STATE(17055), 1,
      aux_sym_argument_list_repeat1,
    STATE(16479), 2,
      sym_block_comment,
      sym_line_comment,
  [334239] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7821), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22122), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16480), 2,
      sym_block_comment,
      sym_line_comment,
  [334262] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7969), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17866), 1,
      anon_sym_COMMA,
    STATE(17277), 1,
      aux_sym_argument_list_repeat1,
    STATE(16481), 2,
      sym_block_comment,
      sym_line_comment,
  [334285] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21159), 1,
      sym__word_identifier,
    ACTIONS(21161), 1,
      anon_sym_DOLLAR,
    STATE(736), 2,
      sym_interpolation_expression,
      sym_identifier,
    STATE(16482), 2,
      sym_block_comment,
      sym_line_comment,
  [334306] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22124), 1,
      anon_sym_COMMA,
    ACTIONS(22126), 1,
      anon_sym_RPAREN,
    STATE(16534), 1,
      aux_sym_argument_list_repeat1,
    STATE(16483), 2,
      sym_block_comment,
      sym_line_comment,
  [334329] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22128), 1,
      anon_sym_RBRACK,
    ACTIONS(22130), 1,
      anon_sym_SEMI,
    ACTIONS(22132), 1,
      aux_sym__terminator_token1,
    STATE(16504), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16484), 2,
      sym_block_comment,
      sym_line_comment,
  [334352] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22134), 1,
      anon_sym_COMMA,
    ACTIONS(22136), 1,
      anon_sym_RPAREN,
    STATE(16685), 1,
      aux_sym_argument_list_repeat1,
    STATE(16485), 2,
      sym_block_comment,
      sym_line_comment,
  [334375] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19262), 1,
      anon_sym_for,
    ACTIONS(22138), 1,
      anon_sym_COMMA,
    ACTIONS(22140), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(16486), 2,
      sym_block_comment,
      sym_line_comment,
  [334396] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22143), 1,
      anon_sym_SEMI,
    ACTIONS(22145), 1,
      aux_sym__terminator_token1,
    STATE(16494), 1,
      aux_sym_let_statement_repeat1,
    STATE(16487), 2,
      sym_block_comment,
      sym_line_comment,
  [334419] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8165), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22147), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16488), 2,
      sym_block_comment,
      sym_line_comment,
  [334442] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15760), 1,
      sym_catch_clause,
    STATE(18135), 1,
      sym_finally_clause,
    STATE(16489), 2,
      sym_block_comment,
      sym_line_comment,
  [334465] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22149), 1,
      anon_sym_RBRACK,
    ACTIONS(22151), 1,
      anon_sym_SEMI,
    ACTIONS(22153), 1,
      aux_sym__terminator_token1,
    STATE(16229), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16490), 2,
      sym_block_comment,
      sym_line_comment,
  [334488] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17407), 1,
      sym__delimiter_str_1,
    STATE(17408), 1,
      sym__delimiter_str_3,
    STATE(16491), 2,
      sym_block_comment,
      sym_line_comment,
  [334511] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17409), 1,
      sym__delimiter_cmd_1,
    STATE(17410), 1,
      sym__delimiter_cmd_3,
    STATE(16492), 2,
      sym_block_comment,
      sym_line_comment,
  [334534] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8105), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17908), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16493), 2,
      sym_block_comment,
      sym_line_comment,
  [334557] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22155), 1,
      anon_sym_SEMI,
    ACTIONS(22157), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16494), 2,
      sym_block_comment,
      sym_line_comment,
  [334580] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22159), 1,
      anon_sym_SEMI,
    ACTIONS(22161), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16495), 2,
      sym_block_comment,
      sym_line_comment,
  [334603] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15778), 1,
      sym_catch_clause,
    STATE(18149), 1,
      sym_finally_clause,
    STATE(16496), 2,
      sym_block_comment,
      sym_line_comment,
  [334626] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22163), 1,
      anon_sym_COMMA,
    ACTIONS(22165), 1,
      anon_sym_RPAREN,
    STATE(16529), 1,
      aux_sym_argument_list_repeat1,
    STATE(16497), 2,
      sym_block_comment,
      sym_line_comment,
  [334649] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22167), 1,
      anon_sym_RBRACK,
    ACTIONS(22169), 1,
      anon_sym_SEMI,
    ACTIONS(22171), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16498), 2,
      sym_block_comment,
      sym_line_comment,
  [334672] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15795), 1,
      sym_catch_clause,
    STATE(18170), 1,
      sym_finally_clause,
    STATE(16499), 2,
      sym_block_comment,
      sym_line_comment,
  [334695] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22173), 1,
      anon_sym_RBRACK,
    ACTIONS(22175), 1,
      anon_sym_SEMI,
    ACTIONS(22177), 1,
      aux_sym__terminator_token1,
    STATE(16318), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16500), 2,
      sym_block_comment,
      sym_line_comment,
  [334718] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22179), 1,
      sym__end_str,
    STATE(16590), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16501), 2,
      sym_block_comment,
      sym_line_comment,
  [334739] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22179), 1,
      sym__end_str,
    STATE(16592), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16502), 2,
      sym_block_comment,
      sym_line_comment,
  [334760] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21159), 1,
      sym__word_identifier,
    ACTIONS(21161), 1,
      anon_sym_DOLLAR,
    STATE(780), 2,
      sym_interpolation_expression,
      sym_identifier,
    STATE(16503), 2,
      sym_block_comment,
      sym_line_comment,
  [334781] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22181), 1,
      anon_sym_RBRACK,
    ACTIONS(22183), 1,
      anon_sym_SEMI,
    ACTIONS(22185), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16504), 2,
      sym_block_comment,
      sym_line_comment,
  [334804] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22187), 1,
      sym__end_cmd,
    STATE(16595), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16505), 2,
      sym_block_comment,
      sym_line_comment,
  [334825] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22189), 1,
      anon_sym_RBRACK,
    ACTIONS(22191), 1,
      anon_sym_SEMI,
    ACTIONS(22193), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16506), 2,
      sym_block_comment,
      sym_line_comment,
  [334848] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22195), 1,
      anon_sym_SEMI,
    ACTIONS(22197), 1,
      aux_sym__terminator_token1,
    STATE(16513), 1,
      aux_sym_let_statement_repeat1,
    STATE(16507), 2,
      sym_block_comment,
      sym_line_comment,
  [334871] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22187), 1,
      sym__end_cmd,
    STATE(16596), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16508), 2,
      sym_block_comment,
      sym_line_comment,
  [334892] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15657), 1,
      sym_catch_clause,
    STATE(18080), 1,
      sym_finally_clause,
    STATE(16509), 2,
      sym_block_comment,
      sym_line_comment,
  [334915] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16993), 1,
      sym__delimiter_str_1,
    STATE(17002), 1,
      sym__delimiter_str_3,
    STATE(16510), 2,
      sym_block_comment,
      sym_line_comment,
  [334938] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17004), 1,
      sym__delimiter_cmd_1,
    STATE(17006), 1,
      sym__delimiter_cmd_3,
    STATE(16511), 2,
      sym_block_comment,
      sym_line_comment,
  [334961] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22020), 1,
      sym__end_cmd,
    STATE(17414), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16512), 2,
      sym_block_comment,
      sym_line_comment,
  [334982] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22199), 1,
      anon_sym_SEMI,
    ACTIONS(22201), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16513), 2,
      sym_block_comment,
      sym_line_comment,
  [335005] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22203), 1,
      anon_sym_SEMI,
    ACTIONS(22205), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16514), 2,
      sym_block_comment,
      sym_line_comment,
  [335028] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15736), 1,
      sym_catch_clause,
    STATE(17610), 1,
      sym_finally_clause,
    STATE(16515), 2,
      sym_block_comment,
      sym_line_comment,
  [335051] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22207), 1,
      sym__end_str,
    STATE(16539), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16516), 2,
      sym_block_comment,
      sym_line_comment,
  [335072] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22207), 1,
      sym__end_str,
    STATE(16541), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16517), 2,
      sym_block_comment,
      sym_line_comment,
  [335093] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15549), 1,
      sym_catch_clause,
    STATE(17968), 1,
      sym_finally_clause,
    STATE(16518), 2,
      sym_block_comment,
      sym_line_comment,
  [335116] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22209), 1,
      sym__end_cmd,
    STATE(16542), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16519), 2,
      sym_block_comment,
      sym_line_comment,
  [335137] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22209), 1,
      sym__end_cmd,
    STATE(16553), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16520), 2,
      sym_block_comment,
      sym_line_comment,
  [335158] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21159), 1,
      sym__word_identifier,
    ACTIONS(21161), 1,
      anon_sym_DOLLAR,
    STATE(827), 2,
      sym_interpolation_expression,
      sym_identifier,
    STATE(16521), 2,
      sym_block_comment,
      sym_line_comment,
  [335179] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22211), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16522), 2,
      sym_block_comment,
      sym_line_comment,
  [335200] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16523), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9995), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [335217] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22213), 1,
      sym__end_str,
    STATE(16603), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16524), 2,
      sym_block_comment,
      sym_line_comment,
  [335238] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22213), 1,
      sym__end_str,
    STATE(16610), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16525), 2,
      sym_block_comment,
      sym_line_comment,
  [335259] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22215), 1,
      sym__end_cmd,
    STATE(16615), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16526), 2,
      sym_block_comment,
      sym_line_comment,
  [335280] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22217), 1,
      anon_sym_SEMI,
    ACTIONS(22219), 1,
      aux_sym__terminator_token1,
    STATE(16535), 1,
      aux_sym_let_statement_repeat1,
    STATE(16527), 2,
      sym_block_comment,
      sym_line_comment,
  [335303] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22215), 1,
      sym__end_cmd,
    STATE(16616), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16528), 2,
      sym_block_comment,
      sym_line_comment,
  [335324] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9031), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22221), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16529), 2,
      sym_block_comment,
      sym_line_comment,
  [335347] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15641), 1,
      sym_catch_clause,
    STATE(17984), 1,
      sym_finally_clause,
    STATE(16530), 2,
      sym_block_comment,
      sym_line_comment,
  [335370] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16531), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10279), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [335387] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16390), 1,
      sym__delimiter_str_1,
    STATE(16425), 1,
      sym__delimiter_str_3,
    STATE(16532), 2,
      sym_block_comment,
      sym_line_comment,
  [335410] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16426), 1,
      sym__delimiter_cmd_1,
    STATE(16512), 1,
      sym__delimiter_cmd_3,
    STATE(16533), 2,
      sym_block_comment,
      sym_line_comment,
  [335433] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8177), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22223), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16534), 2,
      sym_block_comment,
      sym_line_comment,
  [335456] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22225), 1,
      anon_sym_SEMI,
    ACTIONS(22227), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16535), 2,
      sym_block_comment,
      sym_line_comment,
  [335479] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22229), 1,
      anon_sym_SEMI,
    ACTIONS(22231), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16536), 2,
      sym_block_comment,
      sym_line_comment,
  [335502] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15668), 1,
      sym_catch_clause,
    STATE(17783), 1,
      sym_finally_clause,
    STATE(16537), 2,
      sym_block_comment,
      sym_line_comment,
  [335525] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8895), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17799), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16538), 2,
      sym_block_comment,
      sym_line_comment,
  [335548] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22233), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16539), 2,
      sym_block_comment,
      sym_line_comment,
  [335569] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15714), 1,
      sym_catch_clause,
    STATE(17604), 1,
      sym_finally_clause,
    STATE(16540), 2,
      sym_block_comment,
      sym_line_comment,
  [335592] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22233), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16541), 2,
      sym_block_comment,
      sym_line_comment,
  [335613] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22235), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16542), 2,
      sym_block_comment,
      sym_line_comment,
  [335634] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21159), 1,
      sym__word_identifier,
    ACTIONS(21161), 1,
      anon_sym_DOLLAR,
    STATE(873), 2,
      sym_interpolation_expression,
      sym_identifier,
    STATE(16543), 2,
      sym_block_comment,
      sym_line_comment,
  [335655] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7315), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22237), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16544), 2,
      sym_block_comment,
      sym_line_comment,
  [335678] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7321), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22239), 1,
      anon_sym_COMMA,
    STATE(16628), 1,
      aux_sym_argument_list_repeat1,
    STATE(16545), 2,
      sym_block_comment,
      sym_line_comment,
  [335701] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7321), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22239), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16546), 2,
      sym_block_comment,
      sym_line_comment,
  [335724] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22211), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16547), 2,
      sym_block_comment,
      sym_line_comment,
  [335745] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22241), 1,
      anon_sym_SEMI,
    ACTIONS(22243), 1,
      aux_sym__terminator_token1,
    STATE(16554), 1,
      aux_sym_let_statement_repeat1,
    STATE(16548), 2,
      sym_block_comment,
      sym_line_comment,
  [335768] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22245), 1,
      anon_sym_COMMA,
    ACTIONS(22247), 1,
      anon_sym_RPAREN,
    STATE(16726), 1,
      aux_sym_argument_list_repeat1,
    STATE(16549), 2,
      sym_block_comment,
      sym_line_comment,
  [335791] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15749), 1,
      sym_catch_clause,
    STATE(17797), 1,
      sym_finally_clause,
    STATE(16550), 2,
      sym_block_comment,
      sym_line_comment,
  [335814] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16974), 1,
      sym__delimiter_str_1,
    STATE(16975), 1,
      sym__delimiter_str_3,
    STATE(16551), 2,
      sym_block_comment,
      sym_line_comment,
  [335837] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16976), 1,
      sym__delimiter_cmd_1,
    STATE(16977), 1,
      sym__delimiter_cmd_3,
    STATE(16552), 2,
      sym_block_comment,
      sym_line_comment,
  [335860] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22235), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16553), 2,
      sym_block_comment,
      sym_line_comment,
  [335881] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22249), 1,
      anon_sym_SEMI,
    ACTIONS(22251), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16554), 2,
      sym_block_comment,
      sym_line_comment,
  [335904] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22253), 1,
      anon_sym_SEMI,
    ACTIONS(22255), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16555), 2,
      sym_block_comment,
      sym_line_comment,
  [335927] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15552), 1,
      sym_catch_clause,
    STATE(17975), 1,
      sym_finally_clause,
    STATE(16556), 2,
      sym_block_comment,
      sym_line_comment,
  [335950] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22257), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16557), 2,
      sym_block_comment,
      sym_line_comment,
  [335971] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22259), 1,
      anon_sym_COMMA,
    ACTIONS(22261), 1,
      anon_sym_RPAREN,
    STATE(16801), 1,
      aux_sym_argument_list_repeat1,
    STATE(16558), 2,
      sym_block_comment,
      sym_line_comment,
  [335994] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15604), 1,
      sym_catch_clause,
    STATE(18014), 1,
      sym_finally_clause,
    STATE(16559), 2,
      sym_block_comment,
      sym_line_comment,
  [336017] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(17838), 1,
      ts_builtin_sym_end,
    ACTIONS(22263), 1,
      anon_sym_SEMI,
    ACTIONS(22266), 1,
      aux_sym__terminator_token1,
    STATE(16560), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__block_repeat1,
  [336038] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21159), 1,
      sym__word_identifier,
    ACTIONS(21161), 1,
      anon_sym_DOLLAR,
    STATE(920), 2,
      sym_interpolation_expression,
      sym_identifier,
    STATE(16561), 2,
      sym_block_comment,
      sym_line_comment,
  [336059] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8183), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22269), 1,
      anon_sym_COMMA,
    STATE(16608), 1,
      aux_sym_argument_list_repeat1,
    STATE(16562), 2,
      sym_block_comment,
      sym_line_comment,
  [336082] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8291), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22271), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16563), 2,
      sym_block_comment,
      sym_line_comment,
  [336105] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22257), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16564), 2,
      sym_block_comment,
      sym_line_comment,
  [336126] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21477), 1,
      anon_sym_COMMA,
    ACTIONS(22273), 1,
      anon_sym_RPAREN,
    ACTIONS(22275), 1,
      anon_sym_SEMI,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(16565), 2,
      sym_block_comment,
      sym_line_comment,
  [336149] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8183), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22269), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16566), 2,
      sym_block_comment,
      sym_line_comment,
  [336172] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7481), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17529), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16567), 2,
      sym_block_comment,
      sym_line_comment,
  [336195] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22277), 1,
      anon_sym_SEMI,
    ACTIONS(22279), 1,
      aux_sym__terminator_token1,
    STATE(16575), 1,
      aux_sym_let_statement_repeat1,
    STATE(16568), 2,
      sym_block_comment,
      sym_line_comment,
  [336218] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22281), 1,
      anon_sym_SEMI,
    ACTIONS(19262), 2,
      anon_sym_for,
      anon_sym_RPAREN,
    STATE(16569), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_parenthesized_expression_repeat1,
  [336237] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22284), 1,
      anon_sym_RBRACK,
    ACTIONS(22286), 1,
      anon_sym_SEMI,
    ACTIONS(22288), 1,
      aux_sym__terminator_token1,
    STATE(16163), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16570), 2,
      sym_block_comment,
      sym_line_comment,
  [336260] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15729), 1,
      sym_catch_clause,
    STATE(18124), 1,
      sym_finally_clause,
    STATE(16571), 2,
      sym_block_comment,
      sym_line_comment,
  [336283] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17520), 1,
      sym__delimiter_str_1,
    STATE(17522), 1,
      sym__delimiter_str_3,
    STATE(16572), 2,
      sym_block_comment,
      sym_line_comment,
  [336306] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17529), 1,
      sym__delimiter_cmd_1,
    STATE(17531), 1,
      sym__delimiter_cmd_3,
    STATE(16573), 2,
      sym_block_comment,
      sym_line_comment,
  [336329] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22290), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16574), 2,
      sym_block_comment,
      sym_line_comment,
  [336350] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22292), 1,
      anon_sym_SEMI,
    ACTIONS(22294), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16575), 2,
      sym_block_comment,
      sym_line_comment,
  [336373] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22296), 1,
      anon_sym_SEMI,
    ACTIONS(22298), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16576), 2,
      sym_block_comment,
      sym_line_comment,
  [336396] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15652), 1,
      sym_catch_clause,
    STATE(18132), 1,
      sym_finally_clause,
    STATE(16577), 2,
      sym_block_comment,
      sym_line_comment,
  [336419] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22300), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16578), 2,
      sym_block_comment,
      sym_line_comment,
  [336440] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15531), 1,
      sym_catch_clause,
    STATE(17719), 1,
      sym_finally_clause,
    STATE(16579), 2,
      sym_block_comment,
      sym_line_comment,
  [336463] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22302), 1,
      anon_sym_RBRACK,
    ACTIONS(22304), 1,
      anon_sym_SEMI,
    ACTIONS(22306), 1,
      aux_sym__terminator_token1,
    STATE(16602), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16580), 2,
      sym_block_comment,
      sym_line_comment,
  [336486] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22308), 1,
      anon_sym_RBRACK,
    ACTIONS(22310), 1,
      anon_sym_SEMI,
    ACTIONS(22312), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16581), 2,
      sym_block_comment,
      sym_line_comment,
  [336509] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16259), 1,
      sym__delimiter_str_1,
    STATE(16272), 1,
      sym__delimiter_str_3,
    STATE(16582), 2,
      sym_block_comment,
      sym_line_comment,
  [336532] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16285), 1,
      sym__delimiter_cmd_1,
    STATE(16286), 1,
      sym__delimiter_cmd_3,
    STATE(16583), 2,
      sym_block_comment,
      sym_line_comment,
  [336555] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(6273), 1,
      ts_builtin_sym_end,
    ACTIONS(22314), 1,
      anon_sym_SEMI,
    ACTIONS(22316), 1,
      aux_sym__terminator_token1,
    STATE(16560), 1,
      aux_sym__block_repeat1,
    STATE(16584), 2,
      sym_block_comment,
      sym_line_comment,
  [336578] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22318), 1,
      anon_sym_COMMA,
    ACTIONS(22320), 1,
      anon_sym_RPAREN,
    STATE(16213), 1,
      aux_sym_argument_list_repeat1,
    STATE(16585), 2,
      sym_block_comment,
      sym_line_comment,
  [336601] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22322), 1,
      anon_sym_RBRACK,
    ACTIONS(22324), 1,
      anon_sym_SEMI,
    ACTIONS(22326), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16586), 2,
      sym_block_comment,
      sym_line_comment,
  [336624] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17368), 1,
      sym__delimiter_str_1,
    STATE(17369), 1,
      sym__delimiter_str_3,
    STATE(16587), 2,
      sym_block_comment,
      sym_line_comment,
  [336647] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17371), 1,
      sym__delimiter_cmd_1,
    STATE(17372), 1,
      sym__delimiter_cmd_3,
    STATE(16588), 2,
      sym_block_comment,
      sym_line_comment,
  [336670] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22300), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16589), 2,
      sym_block_comment,
      sym_line_comment,
  [336691] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22328), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16590), 2,
      sym_block_comment,
      sym_line_comment,
  [336712] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22330), 1,
      anon_sym_COMMA,
    ACTIONS(22332), 1,
      anon_sym_RPAREN,
    STATE(17003), 1,
      aux_sym_argument_list_repeat1,
    STATE(16591), 2,
      sym_block_comment,
      sym_line_comment,
  [336735] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22328), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16592), 2,
      sym_block_comment,
      sym_line_comment,
  [336756] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16653), 1,
      sym__delimiter_str_1,
    STATE(16658), 1,
      sym__delimiter_str_3,
    STATE(16593), 2,
      sym_block_comment,
      sym_line_comment,
  [336779] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16659), 1,
      sym__delimiter_cmd_1,
    STATE(16680), 1,
      sym__delimiter_cmd_3,
    STATE(16594), 2,
      sym_block_comment,
      sym_line_comment,
  [336802] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22334), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16595), 2,
      sym_block_comment,
      sym_line_comment,
  [336823] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22334), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16596), 2,
      sym_block_comment,
      sym_line_comment,
  [336844] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7141), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22336), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16597), 2,
      sym_block_comment,
      sym_line_comment,
  [336867] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21477), 1,
      anon_sym_COMMA,
    ACTIONS(22338), 1,
      anon_sym_RPAREN,
    ACTIONS(22340), 1,
      anon_sym_SEMI,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(16598), 2,
      sym_block_comment,
      sym_line_comment,
  [336890] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17231), 1,
      sym__delimiter_str_1,
    STATE(17239), 1,
      sym__delimiter_str_3,
    STATE(16599), 2,
      sym_block_comment,
      sym_line_comment,
  [336913] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17240), 1,
      sym__delimiter_cmd_1,
    STATE(17241), 1,
      sym__delimiter_cmd_3,
    STATE(16600), 2,
      sym_block_comment,
      sym_line_comment,
  [336936] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22290), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16601), 2,
      sym_block_comment,
      sym_line_comment,
  [336957] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22342), 1,
      anon_sym_RBRACK,
    ACTIONS(22344), 1,
      anon_sym_SEMI,
    ACTIONS(22346), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16602), 2,
      sym_block_comment,
      sym_line_comment,
  [336980] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22348), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16603), 2,
      sym_block_comment,
      sym_line_comment,
  [337001] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8819), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17593), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16604), 2,
      sym_block_comment,
      sym_line_comment,
  [337024] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16185), 1,
      sym__delimiter_str_1,
    STATE(16186), 1,
      sym__delimiter_str_3,
    STATE(16605), 2,
      sym_block_comment,
      sym_line_comment,
  [337047] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16187), 1,
      sym__delimiter_cmd_1,
    STATE(16188), 1,
      sym__delimiter_cmd_3,
    STATE(16606), 2,
      sym_block_comment,
      sym_line_comment,
  [337070] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16607), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 4,
      sym__content_str_3,
      sym__end_str,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [337087] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8193), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22350), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16608), 2,
      sym_block_comment,
      sym_line_comment,
  [337110] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22352), 1,
      anon_sym_RBRACK,
    ACTIONS(22354), 1,
      anon_sym_SEMI,
    ACTIONS(22356), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16609), 2,
      sym_block_comment,
      sym_line_comment,
  [337133] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22348), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16610), 2,
      sym_block_comment,
      sym_line_comment,
  [337154] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16287), 1,
      sym__delimiter_str_1,
    STATE(16288), 1,
      sym__delimiter_str_3,
    STATE(16611), 2,
      sym_block_comment,
      sym_line_comment,
  [337177] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16289), 1,
      sym__delimiter_cmd_1,
    STATE(16290), 1,
      sym__delimiter_cmd_3,
    STATE(16612), 2,
      sym_block_comment,
      sym_line_comment,
  [337200] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22358), 1,
      sym__end_str,
    STATE(16632), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16613), 2,
      sym_block_comment,
      sym_line_comment,
  [337221] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22358), 1,
      sym__end_str,
    STATE(16633), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16614), 2,
      sym_block_comment,
      sym_line_comment,
  [337242] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22360), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16615), 2,
      sym_block_comment,
      sym_line_comment,
  [337263] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22360), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16616), 2,
      sym_block_comment,
      sym_line_comment,
  [337284] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22362), 1,
      sym__end_cmd,
    STATE(16637), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16617), 2,
      sym_block_comment,
      sym_line_comment,
  [337305] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16366), 1,
      sym__delimiter_str_1,
    STATE(16367), 1,
      sym__delimiter_str_3,
    STATE(16618), 2,
      sym_block_comment,
      sym_line_comment,
  [337328] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16368), 1,
      sym__delimiter_cmd_1,
    STATE(16370), 1,
      sym__delimiter_cmd_3,
    STATE(16619), 2,
      sym_block_comment,
      sym_line_comment,
  [337351] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22362), 1,
      sym__end_cmd,
    STATE(16638), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16620), 2,
      sym_block_comment,
      sym_line_comment,
  [337372] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22364), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16621), 2,
      sym_block_comment,
      sym_line_comment,
  [337393] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22366), 1,
      sym__end_str,
    STATE(16914), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16622), 2,
      sym_block_comment,
      sym_line_comment,
  [337414] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16524), 1,
      sym__delimiter_str_1,
    STATE(16525), 1,
      sym__delimiter_str_3,
    STATE(16623), 2,
      sym_block_comment,
      sym_line_comment,
  [337437] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16526), 1,
      sym__delimiter_cmd_1,
    STATE(16528), 1,
      sym__delimiter_cmd_3,
    STATE(16624), 2,
      sym_block_comment,
      sym_line_comment,
  [337460] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22364), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16625), 2,
      sym_block_comment,
      sym_line_comment,
  [337481] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22368), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16626), 2,
      sym_block_comment,
      sym_line_comment,
  [337502] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22366), 1,
      sym__end_str,
    STATE(16915), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16627), 2,
      sym_block_comment,
      sym_line_comment,
  [337523] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7335), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22370), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16628), 2,
      sym_block_comment,
      sym_line_comment,
  [337546] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22372), 1,
      sym__end_cmd,
    STATE(16916), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16629), 2,
      sym_block_comment,
      sym_line_comment,
  [337567] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16945), 1,
      sym__delimiter_str_1,
    STATE(16946), 1,
      sym__delimiter_str_3,
    STATE(16630), 2,
      sym_block_comment,
      sym_line_comment,
  [337590] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16947), 1,
      sym__delimiter_cmd_1,
    STATE(16949), 1,
      sym__delimiter_cmd_3,
    STATE(16631), 2,
      sym_block_comment,
      sym_line_comment,
  [337613] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22374), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16632), 2,
      sym_block_comment,
      sym_line_comment,
  [337634] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22374), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16633), 2,
      sym_block_comment,
      sym_line_comment,
  [337655] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22372), 1,
      sym__end_cmd,
    STATE(16917), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16634), 2,
      sym_block_comment,
      sym_line_comment,
  [337676] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17011), 1,
      sym__delimiter_str_1,
    STATE(17012), 1,
      sym__delimiter_str_3,
    STATE(16635), 2,
      sym_block_comment,
      sym_line_comment,
  [337699] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17013), 1,
      sym__delimiter_cmd_1,
    STATE(17014), 1,
      sym__delimiter_cmd_3,
    STATE(16636), 2,
      sym_block_comment,
      sym_line_comment,
  [337722] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22376), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16637), 2,
      sym_block_comment,
      sym_line_comment,
  [337743] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22376), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16638), 2,
      sym_block_comment,
      sym_line_comment,
  [337764] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17084), 1,
      sym__delimiter_str_1,
    STATE(17085), 1,
      sym__delimiter_str_3,
    STATE(16639), 2,
      sym_block_comment,
      sym_line_comment,
  [337787] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17086), 1,
      sym__delimiter_cmd_1,
    STATE(17088), 1,
      sym__delimiter_cmd_3,
    STATE(16640), 2,
      sym_block_comment,
      sym_line_comment,
  [337810] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22378), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16641), 2,
      sym_block_comment,
      sym_line_comment,
  [337831] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22380), 1,
      anon_sym_RBRACK,
    ACTIONS(22382), 1,
      anon_sym_SEMI,
    ACTIONS(22384), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16642), 2,
      sym_block_comment,
      sym_line_comment,
  [337854] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17166), 1,
      sym__delimiter_str_1,
    STATE(17167), 1,
      sym__delimiter_str_3,
    STATE(16643), 2,
      sym_block_comment,
      sym_line_comment,
  [337877] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17168), 1,
      sym__delimiter_cmd_1,
    STATE(17169), 1,
      sym__delimiter_cmd_3,
    STATE(16644), 2,
      sym_block_comment,
      sym_line_comment,
  [337900] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22368), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16645), 2,
      sym_block_comment,
      sym_line_comment,
  [337921] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22378), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16646), 2,
      sym_block_comment,
      sym_line_comment,
  [337942] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17249), 1,
      sym__delimiter_str_1,
    STATE(17250), 1,
      sym__delimiter_str_3,
    STATE(16647), 2,
      sym_block_comment,
      sym_line_comment,
  [337965] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17251), 1,
      sym__delimiter_cmd_1,
    STATE(17252), 1,
      sym__delimiter_cmd_3,
    STATE(16648), 2,
      sym_block_comment,
      sym_line_comment,
  [337988] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22386), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16649), 2,
      sym_block_comment,
      sym_line_comment,
  [338009] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22386), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16650), 2,
      sym_block_comment,
      sym_line_comment,
  [338030] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17310), 1,
      sym__delimiter_str_1,
    STATE(17311), 1,
      sym__delimiter_str_3,
    STATE(16651), 2,
      sym_block_comment,
      sym_line_comment,
  [338053] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17312), 1,
      sym__delimiter_cmd_1,
    STATE(17313), 1,
      sym__delimiter_cmd_3,
    STATE(16652), 2,
      sym_block_comment,
      sym_line_comment,
  [338076] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22388), 1,
      sym__end_str,
    STATE(16797), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16653), 2,
      sym_block_comment,
      sym_line_comment,
  [338097] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9011), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17826), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16654), 2,
      sym_block_comment,
      sym_line_comment,
  [338120] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17392), 1,
      sym__delimiter_str_1,
    STATE(17393), 1,
      sym__delimiter_str_3,
    STATE(16655), 2,
      sym_block_comment,
      sym_line_comment,
  [338143] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17394), 1,
      sym__delimiter_cmd_1,
    STATE(17395), 1,
      sym__delimiter_cmd_3,
    STATE(16656), 2,
      sym_block_comment,
      sym_line_comment,
  [338166] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22390), 1,
      anon_sym_RBRACK,
    ACTIONS(22392), 1,
      anon_sym_SEMI,
    ACTIONS(22394), 1,
      aux_sym__terminator_token1,
    STATE(16681), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16657), 2,
      sym_block_comment,
      sym_line_comment,
  [338189] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22388), 1,
      sym__end_str,
    STATE(16800), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16658), 2,
      sym_block_comment,
      sym_line_comment,
  [338210] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22396), 1,
      sym__end_cmd,
    STATE(16804), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16659), 2,
      sym_block_comment,
      sym_line_comment,
  [338231] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17489), 1,
      sym__delimiter_str_1,
    STATE(17490), 1,
      sym__delimiter_str_3,
    STATE(16660), 2,
      sym_block_comment,
      sym_line_comment,
  [338254] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17491), 1,
      sym__delimiter_cmd_1,
    STATE(17492), 1,
      sym__delimiter_cmd_3,
    STATE(16661), 2,
      sym_block_comment,
      sym_line_comment,
  [338277] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22398), 1,
      anon_sym_RBRACK,
    ACTIONS(22400), 1,
      anon_sym_SEMI,
    ACTIONS(22402), 1,
      aux_sym__terminator_token1,
    STATE(16796), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16662), 2,
      sym_block_comment,
      sym_line_comment,
  [338300] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22404), 1,
      anon_sym_RBRACK,
    ACTIONS(22406), 1,
      anon_sym_SEMI,
    ACTIONS(22408), 1,
      aux_sym__terminator_token1,
    STATE(16729), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16663), 2,
      sym_block_comment,
      sym_line_comment,
  [338323] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17575), 1,
      sym__delimiter_str_1,
    STATE(17576), 1,
      sym__delimiter_str_3,
    STATE(16664), 2,
      sym_block_comment,
      sym_line_comment,
  [338346] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17577), 1,
      sym__delimiter_cmd_1,
    STATE(17578), 1,
      sym__delimiter_cmd_3,
    STATE(16665), 2,
      sym_block_comment,
      sym_line_comment,
  [338369] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7881), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22410), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16666), 2,
      sym_block_comment,
      sym_line_comment,
  [338392] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15747), 1,
      anon_sym_COMMA,
    ACTIONS(22412), 1,
      anon_sym_SEMI,
    ACTIONS(22414), 1,
      aux_sym__terminator_token1,
    STATE(17058), 1,
      aux_sym__do_parameter_list_repeat1,
    STATE(16667), 2,
      sym_block_comment,
      sym_line_comment,
  [338415] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7339), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17591), 1,
      anon_sym_COMMA,
    STATE(17019), 1,
      aux_sym_argument_list_repeat1,
    STATE(16668), 2,
      sym_block_comment,
      sym_line_comment,
  [338438] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16300), 1,
      sym__delimiter_str_1,
    STATE(16301), 1,
      sym__delimiter_str_3,
    STATE(16669), 2,
      sym_block_comment,
      sym_line_comment,
  [338461] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16333), 1,
      sym__delimiter_cmd_1,
    STATE(16413), 1,
      sym__delimiter_cmd_3,
    STATE(16670), 2,
      sym_block_comment,
      sym_line_comment,
  [338484] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7797), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22416), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16671), 2,
      sym_block_comment,
      sym_line_comment,
  [338507] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7887), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17832), 1,
      anon_sym_COMMA,
    STATE(16408), 1,
      aux_sym_argument_list_repeat1,
    STATE(16672), 2,
      sym_block_comment,
      sym_line_comment,
  [338530] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16306), 1,
      sym__delimiter_str_1,
    STATE(16317), 1,
      sym__delimiter_str_3,
    STATE(16673), 2,
      sym_block_comment,
      sym_line_comment,
  [338553] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16326), 1,
      sym__delimiter_cmd_1,
    STATE(16332), 1,
      sym__delimiter_cmd_3,
    STATE(16674), 2,
      sym_block_comment,
      sym_line_comment,
  [338576] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22024), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16675), 2,
      sym_block_comment,
      sym_line_comment,
  [338597] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22418), 1,
      anon_sym_COMMA,
    ACTIONS(22420), 1,
      anon_sym_RPAREN,
    STATE(16757), 1,
      aux_sym_argument_list_repeat1,
    STATE(16676), 2,
      sym_block_comment,
      sym_line_comment,
  [338620] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17134), 1,
      sym__delimiter_str_1,
    STATE(17135), 1,
      sym__delimiter_str_3,
    STATE(16677), 2,
      sym_block_comment,
      sym_line_comment,
  [338643] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17136), 1,
      sym__delimiter_cmd_1,
    STATE(17139), 1,
      sym__delimiter_cmd_3,
    STATE(16678), 2,
      sym_block_comment,
      sym_line_comment,
  [338666] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22422), 1,
      anon_sym_COMMA,
    ACTIONS(19316), 2,
      anon_sym_for,
      anon_sym_RPAREN,
    STATE(16679), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_tuple_expression_repeat1,
  [338685] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22396), 1,
      sym__end_cmd,
    STATE(16812), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16680), 2,
      sym_block_comment,
      sym_line_comment,
  [338706] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22425), 1,
      anon_sym_RBRACK,
    ACTIONS(22427), 1,
      anon_sym_SEMI,
    ACTIONS(22429), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16681), 2,
      sym_block_comment,
      sym_line_comment,
  [338729] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16337), 1,
      sym__delimiter_str_1,
    STATE(16339), 1,
      sym__delimiter_str_3,
    STATE(16682), 2,
      sym_block_comment,
      sym_line_comment,
  [338752] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16349), 1,
      sym__delimiter_cmd_1,
    STATE(16355), 1,
      sym__delimiter_cmd_3,
    STATE(16683), 2,
      sym_block_comment,
      sym_line_comment,
  [338775] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21477), 1,
      anon_sym_COMMA,
    ACTIONS(22431), 1,
      anon_sym_RPAREN,
    ACTIONS(22433), 1,
      anon_sym_SEMI,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(16684), 2,
      sym_block_comment,
      sym_line_comment,
  [338798] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9041), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22435), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16685), 2,
      sym_block_comment,
      sym_line_comment,
  [338821] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9049), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22437), 1,
      anon_sym_COMMA,
    STATE(16908), 1,
      aux_sym_argument_list_repeat1,
    STATE(16686), 2,
      sym_block_comment,
      sym_line_comment,
  [338844] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22439), 1,
      sym__end_str,
    STATE(17261), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16687), 2,
      sym_block_comment,
      sym_line_comment,
  [338865] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16925), 1,
      sym__delimiter_str_1,
    STATE(16926), 1,
      sym__delimiter_str_3,
    STATE(16688), 2,
      sym_block_comment,
      sym_line_comment,
  [338888] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16930), 1,
      sym__delimiter_cmd_1,
    STATE(16938), 1,
      sym__delimiter_cmd_3,
    STATE(16689), 2,
      sym_block_comment,
      sym_line_comment,
  [338911] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22441), 1,
      sym__end_str,
    STATE(16704), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16690), 2,
      sym_block_comment,
      sym_line_comment,
  [338932] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22441), 1,
      sym__end_str,
    STATE(16707), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16691), 2,
      sym_block_comment,
      sym_line_comment,
  [338953] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22443), 1,
      sym__end_cmd,
    STATE(16708), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16692), 2,
      sym_block_comment,
      sym_line_comment,
  [338974] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17205), 1,
      sym__delimiter_str_1,
    STATE(17206), 1,
      sym__delimiter_str_3,
    STATE(16693), 2,
      sym_block_comment,
      sym_line_comment,
  [338997] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17208), 1,
      sym__delimiter_cmd_1,
    STATE(17209), 1,
      sym__delimiter_cmd_3,
    STATE(16694), 2,
      sym_block_comment,
      sym_line_comment,
  [339020] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22443), 1,
      sym__end_cmd,
    STATE(16712), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16695), 2,
      sym_block_comment,
      sym_line_comment,
  [339041] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22445), 1,
      sym__end_str,
    STATE(16971), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16696), 2,
      sym_block_comment,
      sym_line_comment,
  [339062] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16204), 1,
      sym__delimiter_str_1,
    STATE(16205), 1,
      sym__delimiter_str_3,
    STATE(16697), 2,
      sym_block_comment,
      sym_line_comment,
  [339085] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16214), 1,
      sym__delimiter_cmd_1,
    STATE(16216), 1,
      sym__delimiter_cmd_3,
    STATE(16698), 2,
      sym_block_comment,
      sym_line_comment,
  [339108] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22445), 1,
      sym__end_str,
    STATE(16973), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16699), 2,
      sym_block_comment,
      sym_line_comment,
  [339129] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22447), 1,
      sym__end_cmd,
    STATE(16979), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16700), 2,
      sym_block_comment,
      sym_line_comment,
  [339150] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16358), 1,
      sym__delimiter_str_1,
    STATE(16362), 1,
      sym__delimiter_str_3,
    STATE(16701), 2,
      sym_block_comment,
      sym_line_comment,
  [339173] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16363), 1,
      sym__delimiter_cmd_1,
    STATE(16365), 1,
      sym__delimiter_cmd_3,
    STATE(16702), 2,
      sym_block_comment,
      sym_line_comment,
  [339196] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22447), 1,
      sym__end_cmd,
    STATE(16980), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16703), 2,
      sym_block_comment,
      sym_line_comment,
  [339217] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22449), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16704), 2,
      sym_block_comment,
      sym_line_comment,
  [339238] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16501), 1,
      sym__delimiter_str_1,
    STATE(16502), 1,
      sym__delimiter_str_3,
    STATE(16705), 2,
      sym_block_comment,
      sym_line_comment,
  [339261] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16505), 1,
      sym__delimiter_cmd_1,
    STATE(16508), 1,
      sym__delimiter_cmd_3,
    STATE(16706), 2,
      sym_block_comment,
      sym_line_comment,
  [339284] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22449), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16707), 2,
      sym_block_comment,
      sym_line_comment,
  [339305] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22451), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16708), 2,
      sym_block_comment,
      sym_line_comment,
  [339326] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22453), 1,
      anon_sym_COMMA,
    ACTIONS(22455), 1,
      anon_sym_RPAREN,
    STATE(17038), 1,
      aux_sym_argument_list_repeat1,
    STATE(16709), 2,
      sym_block_comment,
      sym_line_comment,
  [339349] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16739), 1,
      sym__delimiter_str_1,
    STATE(16740), 1,
      sym__delimiter_str_3,
    STATE(16710), 2,
      sym_block_comment,
      sym_line_comment,
  [339372] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16744), 1,
      sym__delimiter_cmd_1,
    STATE(16756), 1,
      sym__delimiter_cmd_3,
    STATE(16711), 2,
      sym_block_comment,
      sym_line_comment,
  [339395] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22451), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16712), 2,
      sym_block_comment,
      sym_line_comment,
  [339416] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9049), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22437), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16713), 2,
      sym_block_comment,
      sym_line_comment,
  [339439] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16986), 1,
      sym__delimiter_str_1,
    STATE(16990), 1,
      sym__delimiter_str_3,
    STATE(16714), 2,
      sym_block_comment,
      sym_line_comment,
  [339462] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16991), 1,
      sym__delimiter_cmd_1,
    STATE(16992), 1,
      sym__delimiter_cmd_3,
    STATE(16715), 2,
      sym_block_comment,
      sym_line_comment,
  [339485] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8207), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22457), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16716), 2,
      sym_block_comment,
      sym_line_comment,
  [339508] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22459), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16717), 2,
      sym_block_comment,
      sym_line_comment,
  [339529] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17069), 1,
      sym__delimiter_str_1,
    STATE(17080), 1,
      sym__delimiter_str_3,
    STATE(16718), 2,
      sym_block_comment,
      sym_line_comment,
  [339552] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17092), 1,
      sym__delimiter_cmd_1,
    STATE(17095), 1,
      sym__delimiter_cmd_3,
    STATE(16719), 2,
      sym_block_comment,
      sym_line_comment,
  [339575] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8151), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17914), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16720), 2,
      sym_block_comment,
      sym_line_comment,
  [339598] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8887), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22461), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16721), 2,
      sym_block_comment,
      sym_line_comment,
  [339621] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17216), 1,
      sym__delimiter_str_1,
    STATE(17217), 1,
      sym__delimiter_str_3,
    STATE(16722), 2,
      sym_block_comment,
      sym_line_comment,
  [339644] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17221), 1,
      sym__delimiter_cmd_1,
    STATE(17227), 1,
      sym__delimiter_cmd_3,
    STATE(16723), 2,
      sym_block_comment,
      sym_line_comment,
  [339667] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22463), 1,
      anon_sym_RBRACK,
    ACTIONS(22465), 1,
      anon_sym_SEMI,
    ACTIONS(22467), 1,
      aux_sym__terminator_token1,
    STATE(16743), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16724), 2,
      sym_block_comment,
      sym_line_comment,
  [339690] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22469), 1,
      anon_sym_COMMA,
    ACTIONS(22471), 1,
      anon_sym_RPAREN,
    STATE(16939), 1,
      aux_sym_argument_list_repeat1,
    STATE(16725), 2,
      sym_block_comment,
      sym_line_comment,
  [339713] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8393), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22473), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16726), 2,
      sym_block_comment,
      sym_line_comment,
  [339736] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17347), 1,
      sym__delimiter_str_1,
    STATE(17348), 1,
      sym__delimiter_str_3,
    STATE(16727), 2,
      sym_block_comment,
      sym_line_comment,
  [339759] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17350), 1,
      sym__delimiter_cmd_1,
    STATE(17358), 1,
      sym__delimiter_cmd_3,
    STATE(16728), 2,
      sym_block_comment,
      sym_line_comment,
  [339782] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22475), 1,
      anon_sym_RBRACK,
    ACTIONS(22477), 1,
      anon_sym_SEMI,
    ACTIONS(22479), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16729), 2,
      sym_block_comment,
      sym_line_comment,
  [339805] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16730), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22481), 4,
      sym__content_str_1,
      sym__end_str,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [339822] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22439), 1,
      sym__end_str,
    STATE(17262), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16731), 2,
      sym_block_comment,
      sym_line_comment,
  [339843] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15932), 1,
      sym__delimiter_str_1,
    STATE(15945), 1,
      sym__delimiter_str_3,
    STATE(16732), 2,
      sym_block_comment,
      sym_line_comment,
  [339866] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15950), 1,
      sym__delimiter_cmd_1,
    STATE(15963), 1,
      sym__delimiter_cmd_3,
    STATE(16733), 2,
      sym_block_comment,
      sym_line_comment,
  [339889] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7981), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22483), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16734), 2,
      sym_block_comment,
      sym_line_comment,
  [339912] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22485), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16735), 2,
      sym_block_comment,
      sym_line_comment,
  [339933] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8415), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22487), 1,
      anon_sym_COMMA,
    STATE(16929), 1,
      aux_sym_argument_list_repeat1,
    STATE(16736), 2,
      sym_block_comment,
      sym_line_comment,
  [339956] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16179), 1,
      sym__delimiter_str_1,
    STATE(16180), 1,
      sym__delimiter_str_3,
    STATE(16737), 2,
      sym_block_comment,
      sym_line_comment,
  [339979] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16183), 1,
      sym__delimiter_cmd_1,
    STATE(16184), 1,
      sym__delimiter_cmd_3,
    STATE(16738), 2,
      sym_block_comment,
      sym_line_comment,
  [340002] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22489), 1,
      sym__end_str,
    STATE(16786), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16739), 2,
      sym_block_comment,
      sym_line_comment,
  [340023] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22489), 1,
      sym__end_str,
    STATE(16787), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16740), 2,
      sym_block_comment,
      sym_line_comment,
  [340044] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16250), 1,
      sym__delimiter_str_1,
    STATE(16251), 1,
      sym__delimiter_str_3,
    STATE(16741), 2,
      sym_block_comment,
      sym_line_comment,
  [340067] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16256), 1,
      sym__delimiter_cmd_1,
    STATE(16257), 1,
      sym__delimiter_cmd_3,
    STATE(16742), 2,
      sym_block_comment,
      sym_line_comment,
  [340090] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22491), 1,
      anon_sym_RBRACK,
    ACTIONS(22493), 1,
      anon_sym_SEMI,
    ACTIONS(22495), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16743), 2,
      sym_block_comment,
      sym_line_comment,
  [340113] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22497), 1,
      sym__end_cmd,
    STATE(16790), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16744), 2,
      sym_block_comment,
      sym_line_comment,
  [340134] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8415), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22487), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16745), 2,
      sym_block_comment,
      sym_line_comment,
  [340157] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16319), 1,
      sym__delimiter_str_1,
    STATE(16320), 1,
      sym__delimiter_str_3,
    STATE(16746), 2,
      sym_block_comment,
      sym_line_comment,
  [340180] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16321), 1,
      sym__delimiter_cmd_1,
    STATE(16323), 1,
      sym__delimiter_cmd_3,
    STATE(16747), 2,
      sym_block_comment,
      sym_line_comment,
  [340203] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22499), 1,
      sym__end_str,
    STATE(16761), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16748), 2,
      sym_block_comment,
      sym_line_comment,
  [340224] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22499), 1,
      sym__end_str,
    STATE(16762), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16749), 2,
      sym_block_comment,
      sym_line_comment,
  [340245] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16377), 1,
      sym__delimiter_str_1,
    STATE(16378), 1,
      sym__delimiter_str_3,
    STATE(16750), 2,
      sym_block_comment,
      sym_line_comment,
  [340268] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16382), 1,
      sym__delimiter_cmd_1,
    STATE(16386), 1,
      sym__delimiter_cmd_3,
    STATE(16751), 2,
      sym_block_comment,
      sym_line_comment,
  [340291] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22501), 1,
      sym__end_cmd,
    STATE(16765), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16752), 2,
      sym_block_comment,
      sym_line_comment,
  [340312] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22501), 1,
      sym__end_cmd,
    STATE(16766), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16753), 2,
      sym_block_comment,
      sym_line_comment,
  [340333] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16449), 1,
      sym__delimiter_str_1,
    STATE(16450), 1,
      sym__delimiter_str_3,
    STATE(16754), 2,
      sym_block_comment,
      sym_line_comment,
  [340356] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16452), 1,
      sym__delimiter_cmd_1,
    STATE(16453), 1,
      sym__delimiter_cmd_3,
    STATE(16755), 2,
      sym_block_comment,
      sym_line_comment,
  [340379] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22497), 1,
      sym__end_cmd,
    STATE(16791), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16756), 2,
      sym_block_comment,
      sym_line_comment,
  [340400] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8217), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22503), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16757), 2,
      sym_block_comment,
      sym_line_comment,
  [340423] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22505), 1,
      sym__end_cmd,
    STATE(17264), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16758), 2,
      sym_block_comment,
      sym_line_comment,
  [340444] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16516), 1,
      sym__delimiter_str_1,
    STATE(16517), 1,
      sym__delimiter_str_3,
    STATE(16759), 2,
      sym_block_comment,
      sym_line_comment,
  [340467] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16519), 1,
      sym__delimiter_cmd_1,
    STATE(16520), 1,
      sym__delimiter_cmd_3,
    STATE(16760), 2,
      sym_block_comment,
      sym_line_comment,
  [340490] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22507), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16761), 2,
      sym_block_comment,
      sym_line_comment,
  [340511] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22507), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16762), 2,
      sym_block_comment,
      sym_line_comment,
  [340532] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16613), 1,
      sym__delimiter_str_1,
    STATE(16614), 1,
      sym__delimiter_str_3,
    STATE(16763), 2,
      sym_block_comment,
      sym_line_comment,
  [340555] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16617), 1,
      sym__delimiter_cmd_1,
    STATE(16620), 1,
      sym__delimiter_cmd_3,
    STATE(16764), 2,
      sym_block_comment,
      sym_line_comment,
  [340578] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22509), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16765), 2,
      sym_block_comment,
      sym_line_comment,
  [340599] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22509), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16766), 2,
      sym_block_comment,
      sym_line_comment,
  [340620] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16690), 1,
      sym__delimiter_str_1,
    STATE(16691), 1,
      sym__delimiter_str_3,
    STATE(16767), 2,
      sym_block_comment,
      sym_line_comment,
  [340643] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16692), 1,
      sym__delimiter_cmd_1,
    STATE(16695), 1,
      sym__delimiter_cmd_3,
    STATE(16768), 2,
      sym_block_comment,
      sym_line_comment,
  [340666] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8225), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22511), 1,
      anon_sym_COMMA,
    STATE(16795), 1,
      aux_sym_argument_list_repeat1,
    STATE(16769), 2,
      sym_block_comment,
      sym_line_comment,
  [340689] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22513), 1,
      anon_sym_COMMA,
    ACTIONS(22515), 1,
      anon_sym_RPAREN,
    STATE(16104), 1,
      aux_sym_argument_list_repeat1,
    STATE(16770), 2,
      sym_block_comment,
      sym_line_comment,
  [340712] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8225), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22511), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16771), 2,
      sym_block_comment,
      sym_line_comment,
  [340735] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16748), 1,
      sym__delimiter_str_1,
    STATE(16749), 1,
      sym__delimiter_str_3,
    STATE(16772), 2,
      sym_block_comment,
      sym_line_comment,
  [340758] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16752), 1,
      sym__delimiter_cmd_1,
    STATE(16753), 1,
      sym__delimiter_cmd_3,
    STATE(16773), 2,
      sym_block_comment,
      sym_line_comment,
  [340781] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7923), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17856), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16774), 2,
      sym_block_comment,
      sym_line_comment,
  [340804] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16775), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22517), 4,
      sym__content_cmd_1,
      sym__end_cmd,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [340821] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16813), 1,
      sym__delimiter_str_1,
    STATE(16902), 1,
      sym__delimiter_str_3,
    STATE(16776), 2,
      sym_block_comment,
      sym_line_comment,
  [340844] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16903), 1,
      sym__delimiter_cmd_1,
    STATE(16904), 1,
      sym__delimiter_cmd_3,
    STATE(16777), 2,
      sym_block_comment,
      sym_line_comment,
  [340867] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16778), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10195), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [340884] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8595), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22519), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16779), 2,
      sym_block_comment,
      sym_line_comment,
  [340907] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16962), 1,
      sym__delimiter_str_1,
    STATE(16967), 1,
      sym__delimiter_str_3,
    STATE(16780), 2,
      sym_block_comment,
      sym_line_comment,
  [340930] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16969), 1,
      sym__delimiter_cmd_1,
    STATE(16970), 1,
      sym__delimiter_cmd_3,
    STATE(16781), 2,
      sym_block_comment,
      sym_line_comment,
  [340953] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22521), 1,
      anon_sym_RBRACK,
    ACTIONS(22523), 1,
      anon_sym_SEMI,
    ACTIONS(22525), 1,
      aux_sym__terminator_token1,
    STATE(16805), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16782), 2,
      sym_block_comment,
      sym_line_comment,
  [340976] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22459), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16783), 2,
      sym_block_comment,
      sym_line_comment,
  [340997] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17021), 1,
      sym__delimiter_str_1,
    STATE(17022), 1,
      sym__delimiter_str_3,
    STATE(16784), 2,
      sym_block_comment,
      sym_line_comment,
  [341020] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17023), 1,
      sym__delimiter_cmd_1,
    STATE(17026), 1,
      sym__delimiter_cmd_3,
    STATE(16785), 2,
      sym_block_comment,
      sym_line_comment,
  [341043] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22527), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16786), 2,
      sym_block_comment,
      sym_line_comment,
  [341064] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22527), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16787), 2,
      sym_block_comment,
      sym_line_comment,
  [341085] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17072), 1,
      sym__delimiter_str_1,
    STATE(17074), 1,
      sym__delimiter_str_3,
    STATE(16788), 2,
      sym_block_comment,
      sym_line_comment,
  [341108] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17075), 1,
      sym__delimiter_cmd_1,
    STATE(17078), 1,
      sym__delimiter_cmd_3,
    STATE(16789), 2,
      sym_block_comment,
      sym_line_comment,
  [341131] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22529), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16790), 2,
      sym_block_comment,
      sym_line_comment,
  [341152] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22529), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16791), 2,
      sym_block_comment,
      sym_line_comment,
  [341173] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(11260), 1,
      aux_sym__terminator_token1,
    ACTIONS(15849), 1,
      anon_sym_EQ,
    ACTIONS(11258), 2,
      anon_sym_end,
      anon_sym_SEMI,
    STATE(16792), 2,
      sym_block_comment,
      sym_line_comment,
  [341194] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17141), 1,
      sym__delimiter_str_1,
    STATE(17143), 1,
      sym__delimiter_str_3,
    STATE(16793), 2,
      sym_block_comment,
      sym_line_comment,
  [341217] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17144), 1,
      sym__delimiter_cmd_1,
    STATE(17145), 1,
      sym__delimiter_cmd_3,
    STATE(16794), 2,
      sym_block_comment,
      sym_line_comment,
  [341240] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8235), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22531), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16795), 2,
      sym_block_comment,
      sym_line_comment,
  [341263] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22533), 1,
      anon_sym_RBRACK,
    ACTIONS(22535), 1,
      anon_sym_SEMI,
    ACTIONS(22537), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16796), 2,
      sym_block_comment,
      sym_line_comment,
  [341286] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22539), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16797), 2,
      sym_block_comment,
      sym_line_comment,
  [341307] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17223), 1,
      sym__delimiter_str_1,
    STATE(17224), 1,
      sym__delimiter_str_3,
    STATE(16798), 2,
      sym_block_comment,
      sym_line_comment,
  [341330] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17225), 1,
      sym__delimiter_cmd_1,
    STATE(17226), 1,
      sym__delimiter_cmd_3,
    STATE(16799), 2,
      sym_block_comment,
      sym_line_comment,
  [341353] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22539), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16800), 2,
      sym_block_comment,
      sym_line_comment,
  [341374] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7313), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22541), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16801), 2,
      sym_block_comment,
      sym_line_comment,
  [341397] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17284), 1,
      sym__delimiter_str_1,
    STATE(17286), 1,
      sym__delimiter_str_3,
    STATE(16802), 2,
      sym_block_comment,
      sym_line_comment,
  [341420] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17287), 1,
      sym__delimiter_cmd_1,
    STATE(17288), 1,
      sym__delimiter_cmd_3,
    STATE(16803), 2,
      sym_block_comment,
      sym_line_comment,
  [341443] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22543), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16804), 2,
      sym_block_comment,
      sym_line_comment,
  [341464] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22545), 1,
      anon_sym_RBRACK,
    ACTIONS(22547), 1,
      anon_sym_SEMI,
    ACTIONS(22549), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16805), 2,
      sym_block_comment,
      sym_line_comment,
  [341487] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17343), 1,
      sym__delimiter_str_1,
    STATE(17344), 1,
      sym__delimiter_str_3,
    STATE(16806), 2,
      sym_block_comment,
      sym_line_comment,
  [341510] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17345), 1,
      sym__delimiter_cmd_1,
    STATE(17346), 1,
      sym__delimiter_cmd_3,
    STATE(16807), 2,
      sym_block_comment,
      sym_line_comment,
  [341533] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9123), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22551), 1,
      anon_sym_COMMA,
    STATE(17034), 1,
      aux_sym_argument_list_repeat1,
    STATE(16808), 2,
      sym_block_comment,
      sym_line_comment,
  [341556] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22553), 1,
      anon_sym_RBRACK,
    ACTIONS(22555), 1,
      anon_sym_SEMI,
    ACTIONS(22557), 1,
      aux_sym__terminator_token1,
    STATE(16164), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16809), 2,
      sym_block_comment,
      sym_line_comment,
  [341579] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17396), 1,
      sym__delimiter_str_1,
    STATE(17397), 1,
      sym__delimiter_str_3,
    STATE(16810), 2,
      sym_block_comment,
      sym_line_comment,
  [341602] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17399), 1,
      sym__delimiter_cmd_1,
    STATE(17403), 1,
      sym__delimiter_cmd_3,
    STATE(16811), 2,
      sym_block_comment,
      sym_line_comment,
  [341625] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22543), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16812), 2,
      sym_block_comment,
      sym_line_comment,
  [341646] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22559), 1,
      sym__end_str,
    STATE(16918), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16813), 2,
      sym_block_comment,
      sym_line_comment,
  [341667] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17425), 1,
      sym__delimiter_str_1,
    STATE(17426), 1,
      sym__delimiter_str_3,
    STATE(16814), 2,
      sym_block_comment,
      sym_line_comment,
  [341690] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17427), 1,
      sym__delimiter_cmd_1,
    STATE(17433), 1,
      sym__delimiter_cmd_3,
    STATE(16815), 2,
      sym_block_comment,
      sym_line_comment,
  [341713] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17448), 1,
      sym__delimiter_str_1,
    STATE(17449), 1,
      sym__delimiter_str_3,
    STATE(16816), 2,
      sym_block_comment,
      sym_line_comment,
  [341736] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17451), 1,
      sym__delimiter_cmd_1,
    STATE(17452), 1,
      sym__delimiter_cmd_3,
    STATE(16817), 2,
      sym_block_comment,
      sym_line_comment,
  [341759] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17463), 1,
      sym__delimiter_str_1,
    STATE(17464), 1,
      sym__delimiter_str_3,
    STATE(16818), 2,
      sym_block_comment,
      sym_line_comment,
  [341782] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17465), 1,
      sym__delimiter_cmd_1,
    STATE(17467), 1,
      sym__delimiter_cmd_3,
    STATE(16819), 2,
      sym_block_comment,
      sym_line_comment,
  [341805] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17477), 1,
      sym__delimiter_str_1,
    STATE(17479), 1,
      sym__delimiter_str_3,
    STATE(16820), 2,
      sym_block_comment,
      sym_line_comment,
  [341828] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17481), 1,
      sym__delimiter_cmd_1,
    STATE(17484), 1,
      sym__delimiter_cmd_3,
    STATE(16821), 2,
      sym_block_comment,
      sym_line_comment,
  [341851] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17500), 1,
      sym__delimiter_str_1,
    STATE(17504), 1,
      sym__delimiter_str_3,
    STATE(16822), 2,
      sym_block_comment,
      sym_line_comment,
  [341874] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17505), 1,
      sym__delimiter_cmd_1,
    STATE(17508), 1,
      sym__delimiter_cmd_3,
    STATE(16823), 2,
      sym_block_comment,
      sym_line_comment,
  [341897] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17534), 1,
      sym__delimiter_str_1,
    STATE(17535), 1,
      sym__delimiter_str_3,
    STATE(16824), 2,
      sym_block_comment,
      sym_line_comment,
  [341920] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17536), 1,
      sym__delimiter_cmd_1,
    STATE(17537), 1,
      sym__delimiter_cmd_3,
    STATE(16825), 2,
      sym_block_comment,
      sym_line_comment,
  [341943] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17545), 1,
      sym__delimiter_str_1,
    STATE(17546), 1,
      sym__delimiter_str_3,
    STATE(16826), 2,
      sym_block_comment,
      sym_line_comment,
  [341966] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17547), 1,
      sym__delimiter_cmd_1,
    STATE(17548), 1,
      sym__delimiter_cmd_3,
    STATE(16827), 2,
      sym_block_comment,
      sym_line_comment,
  [341989] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17558), 1,
      sym__delimiter_str_1,
    STATE(17560), 1,
      sym__delimiter_str_3,
    STATE(16828), 2,
      sym_block_comment,
      sym_line_comment,
  [342012] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17561), 1,
      sym__delimiter_cmd_1,
    STATE(17562), 1,
      sym__delimiter_cmd_3,
    STATE(16829), 2,
      sym_block_comment,
      sym_line_comment,
  [342035] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(17573), 1,
      sym__delimiter_str_1,
    STATE(17574), 1,
      sym__delimiter_str_3,
    STATE(16830), 2,
      sym_block_comment,
      sym_line_comment,
  [342058] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(17582), 1,
      sym__delimiter_cmd_1,
    STATE(17583), 1,
      sym__delimiter_cmd_3,
    STATE(16831), 2,
      sym_block_comment,
      sym_line_comment,
  [342081] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15858), 1,
      sym__delimiter_str_1,
    STATE(15859), 1,
      sym__delimiter_str_3,
    STATE(16832), 2,
      sym_block_comment,
      sym_line_comment,
  [342104] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15860), 1,
      sym__delimiter_cmd_1,
    STATE(15861), 1,
      sym__delimiter_cmd_3,
    STATE(16833), 2,
      sym_block_comment,
      sym_line_comment,
  [342127] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15867), 1,
      sym__delimiter_str_1,
    STATE(15868), 1,
      sym__delimiter_str_3,
    STATE(16834), 2,
      sym_block_comment,
      sym_line_comment,
  [342150] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15869), 1,
      sym__delimiter_cmd_1,
    STATE(15870), 1,
      sym__delimiter_cmd_3,
    STATE(16835), 2,
      sym_block_comment,
      sym_line_comment,
  [342173] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16836), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10357), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [342190] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15877), 1,
      sym__delimiter_cmd_1,
    STATE(15878), 1,
      sym__delimiter_cmd_3,
    STATE(16837), 2,
      sym_block_comment,
      sym_line_comment,
  [342213] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15885), 1,
      sym__delimiter_str_1,
    STATE(15886), 1,
      sym__delimiter_str_3,
    STATE(16838), 2,
      sym_block_comment,
      sym_line_comment,
  [342236] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15887), 1,
      sym__delimiter_cmd_1,
    STATE(15888), 1,
      sym__delimiter_cmd_3,
    STATE(16839), 2,
      sym_block_comment,
      sym_line_comment,
  [342259] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15894), 1,
      sym__delimiter_str_1,
    STATE(15895), 1,
      sym__delimiter_str_3,
    STATE(16840), 2,
      sym_block_comment,
      sym_line_comment,
  [342282] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15896), 1,
      sym__delimiter_cmd_1,
    STATE(15897), 1,
      sym__delimiter_cmd_3,
    STATE(16841), 2,
      sym_block_comment,
      sym_line_comment,
  [342305] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15902), 1,
      sym__delimiter_str_1,
    STATE(15903), 1,
      sym__delimiter_str_3,
    STATE(16842), 2,
      sym_block_comment,
      sym_line_comment,
  [342328] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15904), 1,
      sym__delimiter_cmd_1,
    STATE(15905), 1,
      sym__delimiter_cmd_3,
    STATE(16843), 2,
      sym_block_comment,
      sym_line_comment,
  [342351] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15911), 1,
      sym__delimiter_str_1,
    STATE(15912), 1,
      sym__delimiter_str_3,
    STATE(16844), 2,
      sym_block_comment,
      sym_line_comment,
  [342374] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15913), 1,
      sym__delimiter_cmd_1,
    STATE(15914), 1,
      sym__delimiter_cmd_3,
    STATE(16845), 2,
      sym_block_comment,
      sym_line_comment,
  [342397] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15920), 1,
      sym__delimiter_str_1,
    STATE(15921), 1,
      sym__delimiter_str_3,
    STATE(16846), 2,
      sym_block_comment,
      sym_line_comment,
  [342420] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15922), 1,
      sym__delimiter_cmd_1,
    STATE(15923), 1,
      sym__delimiter_cmd_3,
    STATE(16847), 2,
      sym_block_comment,
      sym_line_comment,
  [342443] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15928), 1,
      sym__delimiter_str_1,
    STATE(15929), 1,
      sym__delimiter_str_3,
    STATE(16848), 2,
      sym_block_comment,
      sym_line_comment,
  [342466] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15930), 1,
      sym__delimiter_cmd_1,
    STATE(15931), 1,
      sym__delimiter_cmd_3,
    STATE(16849), 2,
      sym_block_comment,
      sym_line_comment,
  [342489] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15937), 1,
      sym__delimiter_str_1,
    STATE(15938), 1,
      sym__delimiter_str_3,
    STATE(16850), 2,
      sym_block_comment,
      sym_line_comment,
  [342512] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15939), 1,
      sym__delimiter_cmd_1,
    STATE(15940), 1,
      sym__delimiter_cmd_3,
    STATE(16851), 2,
      sym_block_comment,
      sym_line_comment,
  [342535] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15946), 1,
      sym__delimiter_str_1,
    STATE(15947), 1,
      sym__delimiter_str_3,
    STATE(16852), 2,
      sym_block_comment,
      sym_line_comment,
  [342558] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15948), 1,
      sym__delimiter_cmd_1,
    STATE(15949), 1,
      sym__delimiter_cmd_3,
    STATE(16853), 2,
      sym_block_comment,
      sym_line_comment,
  [342581] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15955), 1,
      sym__delimiter_str_1,
    STATE(15956), 1,
      sym__delimiter_str_3,
    STATE(16854), 2,
      sym_block_comment,
      sym_line_comment,
  [342604] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15957), 1,
      sym__delimiter_cmd_1,
    STATE(15958), 1,
      sym__delimiter_cmd_3,
    STATE(16855), 2,
      sym_block_comment,
      sym_line_comment,
  [342627] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15964), 1,
      sym__delimiter_str_1,
    STATE(15965), 1,
      sym__delimiter_str_3,
    STATE(16856), 2,
      sym_block_comment,
      sym_line_comment,
  [342650] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15966), 1,
      sym__delimiter_cmd_1,
    STATE(15967), 1,
      sym__delimiter_cmd_3,
    STATE(16857), 2,
      sym_block_comment,
      sym_line_comment,
  [342673] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15973), 1,
      sym__delimiter_str_1,
    STATE(15974), 1,
      sym__delimiter_str_3,
    STATE(16858), 2,
      sym_block_comment,
      sym_line_comment,
  [342696] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15975), 1,
      sym__delimiter_cmd_1,
    STATE(15976), 1,
      sym__delimiter_cmd_3,
    STATE(16859), 2,
      sym_block_comment,
      sym_line_comment,
  [342719] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15982), 1,
      sym__delimiter_str_1,
    STATE(15983), 1,
      sym__delimiter_str_3,
    STATE(16860), 2,
      sym_block_comment,
      sym_line_comment,
  [342742] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15984), 1,
      sym__delimiter_cmd_1,
    STATE(15985), 1,
      sym__delimiter_cmd_3,
    STATE(16861), 2,
      sym_block_comment,
      sym_line_comment,
  [342765] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15991), 1,
      sym__delimiter_str_1,
    STATE(15992), 1,
      sym__delimiter_str_3,
    STATE(16862), 2,
      sym_block_comment,
      sym_line_comment,
  [342788] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(15993), 1,
      sym__delimiter_cmd_1,
    STATE(15994), 1,
      sym__delimiter_cmd_3,
    STATE(16863), 2,
      sym_block_comment,
      sym_line_comment,
  [342811] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15999), 1,
      sym__delimiter_str_1,
    STATE(16000), 1,
      sym__delimiter_str_3,
    STATE(16864), 2,
      sym_block_comment,
      sym_line_comment,
  [342834] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16001), 1,
      sym__delimiter_cmd_1,
    STATE(16002), 1,
      sym__delimiter_cmd_3,
    STATE(16865), 2,
      sym_block_comment,
      sym_line_comment,
  [342857] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16007), 1,
      sym__delimiter_str_1,
    STATE(16008), 1,
      sym__delimiter_str_3,
    STATE(16866), 2,
      sym_block_comment,
      sym_line_comment,
  [342880] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16009), 1,
      sym__delimiter_cmd_1,
    STATE(16010), 1,
      sym__delimiter_cmd_3,
    STATE(16867), 2,
      sym_block_comment,
      sym_line_comment,
  [342903] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16016), 1,
      sym__delimiter_str_1,
    STATE(16017), 1,
      sym__delimiter_str_3,
    STATE(16868), 2,
      sym_block_comment,
      sym_line_comment,
  [342926] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16018), 1,
      sym__delimiter_cmd_1,
    STATE(16019), 1,
      sym__delimiter_cmd_3,
    STATE(16869), 2,
      sym_block_comment,
      sym_line_comment,
  [342949] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16024), 1,
      sym__delimiter_str_1,
    STATE(16025), 1,
      sym__delimiter_str_3,
    STATE(16870), 2,
      sym_block_comment,
      sym_line_comment,
  [342972] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16026), 1,
      sym__delimiter_cmd_1,
    STATE(16027), 1,
      sym__delimiter_cmd_3,
    STATE(16871), 2,
      sym_block_comment,
      sym_line_comment,
  [342995] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16033), 1,
      sym__delimiter_str_1,
    STATE(16034), 1,
      sym__delimiter_str_3,
    STATE(16872), 2,
      sym_block_comment,
      sym_line_comment,
  [343018] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16035), 1,
      sym__delimiter_cmd_1,
    STATE(16036), 1,
      sym__delimiter_cmd_3,
    STATE(16873), 2,
      sym_block_comment,
      sym_line_comment,
  [343041] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16041), 1,
      sym__delimiter_str_1,
    STATE(16042), 1,
      sym__delimiter_str_3,
    STATE(16874), 2,
      sym_block_comment,
      sym_line_comment,
  [343064] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16043), 1,
      sym__delimiter_cmd_1,
    STATE(16044), 1,
      sym__delimiter_cmd_3,
    STATE(16875), 2,
      sym_block_comment,
      sym_line_comment,
  [343087] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16049), 1,
      sym__delimiter_str_1,
    STATE(16050), 1,
      sym__delimiter_str_3,
    STATE(16876), 2,
      sym_block_comment,
      sym_line_comment,
  [343110] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16051), 1,
      sym__delimiter_cmd_1,
    STATE(16052), 1,
      sym__delimiter_cmd_3,
    STATE(16877), 2,
      sym_block_comment,
      sym_line_comment,
  [343133] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16057), 1,
      sym__delimiter_str_1,
    STATE(16058), 1,
      sym__delimiter_str_3,
    STATE(16878), 2,
      sym_block_comment,
      sym_line_comment,
  [343156] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16059), 1,
      sym__delimiter_cmd_1,
    STATE(16060), 1,
      sym__delimiter_cmd_3,
    STATE(16879), 2,
      sym_block_comment,
      sym_line_comment,
  [343179] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16066), 1,
      sym__delimiter_str_1,
    STATE(16067), 1,
      sym__delimiter_str_3,
    STATE(16880), 2,
      sym_block_comment,
      sym_line_comment,
  [343202] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16068), 1,
      sym__delimiter_cmd_1,
    STATE(16069), 1,
      sym__delimiter_cmd_3,
    STATE(16881), 2,
      sym_block_comment,
      sym_line_comment,
  [343225] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16075), 1,
      sym__delimiter_str_1,
    STATE(16076), 1,
      sym__delimiter_str_3,
    STATE(16882), 2,
      sym_block_comment,
      sym_line_comment,
  [343248] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16077), 1,
      sym__delimiter_cmd_1,
    STATE(16078), 1,
      sym__delimiter_cmd_3,
    STATE(16883), 2,
      sym_block_comment,
      sym_line_comment,
  [343271] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16083), 1,
      sym__delimiter_str_1,
    STATE(16084), 1,
      sym__delimiter_str_3,
    STATE(16884), 2,
      sym_block_comment,
      sym_line_comment,
  [343294] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16085), 1,
      sym__delimiter_cmd_1,
    STATE(16086), 1,
      sym__delimiter_cmd_3,
    STATE(16885), 2,
      sym_block_comment,
      sym_line_comment,
  [343317] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16091), 1,
      sym__delimiter_str_1,
    STATE(16092), 1,
      sym__delimiter_str_3,
    STATE(16886), 2,
      sym_block_comment,
      sym_line_comment,
  [343340] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16093), 1,
      sym__delimiter_cmd_1,
    STATE(16094), 1,
      sym__delimiter_cmd_3,
    STATE(16887), 2,
      sym_block_comment,
      sym_line_comment,
  [343363] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16100), 1,
      sym__delimiter_str_1,
    STATE(16101), 1,
      sym__delimiter_str_3,
    STATE(16888), 2,
      sym_block_comment,
      sym_line_comment,
  [343386] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16102), 1,
      sym__delimiter_cmd_1,
    STATE(16103), 1,
      sym__delimiter_cmd_3,
    STATE(16889), 2,
      sym_block_comment,
      sym_line_comment,
  [343409] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16109), 1,
      sym__delimiter_str_1,
    STATE(16110), 1,
      sym__delimiter_str_3,
    STATE(16890), 2,
      sym_block_comment,
      sym_line_comment,
  [343432] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16111), 1,
      sym__delimiter_cmd_1,
    STATE(16112), 1,
      sym__delimiter_cmd_3,
    STATE(16891), 2,
      sym_block_comment,
      sym_line_comment,
  [343455] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16118), 1,
      sym__delimiter_str_1,
    STATE(16119), 1,
      sym__delimiter_str_3,
    STATE(16892), 2,
      sym_block_comment,
      sym_line_comment,
  [343478] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16120), 1,
      sym__delimiter_cmd_1,
    STATE(16121), 1,
      sym__delimiter_cmd_3,
    STATE(16893), 2,
      sym_block_comment,
      sym_line_comment,
  [343501] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16126), 1,
      sym__delimiter_str_1,
    STATE(16127), 1,
      sym__delimiter_str_3,
    STATE(16894), 2,
      sym_block_comment,
      sym_line_comment,
  [343524] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16128), 1,
      sym__delimiter_cmd_1,
    STATE(16129), 1,
      sym__delimiter_cmd_3,
    STATE(16895), 2,
      sym_block_comment,
      sym_line_comment,
  [343547] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16134), 1,
      sym__delimiter_str_1,
    STATE(16135), 1,
      sym__delimiter_str_3,
    STATE(16896), 2,
      sym_block_comment,
      sym_line_comment,
  [343570] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16136), 1,
      sym__delimiter_cmd_1,
    STATE(16137), 1,
      sym__delimiter_cmd_3,
    STATE(16897), 2,
      sym_block_comment,
      sym_line_comment,
  [343593] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16143), 1,
      sym__delimiter_str_1,
    STATE(16144), 1,
      sym__delimiter_str_3,
    STATE(16898), 2,
      sym_block_comment,
      sym_line_comment,
  [343616] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16145), 1,
      sym__delimiter_cmd_1,
    STATE(16146), 1,
      sym__delimiter_cmd_3,
    STATE(16899), 2,
      sym_block_comment,
      sym_line_comment,
  [343639] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(16152), 1,
      sym__delimiter_str_1,
    STATE(16153), 1,
      sym__delimiter_str_3,
    STATE(16900), 2,
      sym_block_comment,
      sym_line_comment,
  [343662] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21591), 1,
      anon_sym_BQUOTE,
    ACTIONS(21593), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(16154), 1,
      sym__delimiter_cmd_1,
    STATE(16155), 1,
      sym__delimiter_cmd_3,
    STATE(16901), 2,
      sym_block_comment,
      sym_line_comment,
  [343685] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22559), 1,
      sym__end_str,
    STATE(16919), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16902), 2,
      sym_block_comment,
      sym_line_comment,
  [343706] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22561), 1,
      sym__end_cmd,
    STATE(16920), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16903), 2,
      sym_block_comment,
      sym_line_comment,
  [343727] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22561), 1,
      sym__end_cmd,
    STATE(16921), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16904), 2,
      sym_block_comment,
      sym_line_comment,
  [343748] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22563), 1,
      anon_sym_COMMA,
    ACTIONS(22565), 1,
      anon_sym_RPAREN,
    STATE(17388), 1,
      aux_sym_argument_list_repeat1,
    STATE(16905), 2,
      sym_block_comment,
      sym_line_comment,
  [343771] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16906), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9971), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [343788] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9123), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22551), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16907), 2,
      sym_block_comment,
      sym_line_comment,
  [343811] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9059), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22567), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16908), 2,
      sym_block_comment,
      sym_line_comment,
  [343834] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22569), 1,
      anon_sym_RBRACK,
    ACTIONS(22571), 1,
      anon_sym_SEMI,
    ACTIONS(22573), 1,
      aux_sym__terminator_token1,
    STATE(16941), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16909), 2,
      sym_block_comment,
      sym_line_comment,
  [343857] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8321), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22575), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16910), 2,
      sym_block_comment,
      sym_line_comment,
  [343880] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16911), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10317), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [343897] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8603), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17924), 1,
      anon_sym_COMMA,
    STATE(16258), 1,
      aux_sym_argument_list_repeat1,
    STATE(16912), 2,
      sym_block_comment,
      sym_line_comment,
  [343920] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8895), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17799), 1,
      anon_sym_COMMA,
    STATE(16713), 1,
      aux_sym_argument_list_repeat1,
    STATE(16913), 2,
      sym_block_comment,
      sym_line_comment,
  [343943] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22577), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16914), 2,
      sym_block_comment,
      sym_line_comment,
  [343964] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22577), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16915), 2,
      sym_block_comment,
      sym_line_comment,
  [343985] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22579), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16916), 2,
      sym_block_comment,
      sym_line_comment,
  [344006] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22579), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16917), 2,
      sym_block_comment,
      sym_line_comment,
  [344027] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22581), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16918), 2,
      sym_block_comment,
      sym_line_comment,
  [344048] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22581), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16919), 2,
      sym_block_comment,
      sym_line_comment,
  [344069] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22583), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16920), 2,
      sym_block_comment,
      sym_line_comment,
  [344090] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22583), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16921), 2,
      sym_block_comment,
      sym_line_comment,
  [344111] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22585), 1,
      anon_sym_COMMA,
    ACTIONS(22587), 1,
      anon_sym_RPAREN,
    STATE(17062), 1,
      aux_sym_argument_list_repeat1,
    STATE(16922), 2,
      sym_block_comment,
      sym_line_comment,
  [344134] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9063), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17920), 1,
      anon_sym_COMMA,
    STATE(16200), 1,
      aux_sym_argument_list_repeat1,
    STATE(16923), 2,
      sym_block_comment,
      sym_line_comment,
  [344157] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16924), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10405), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [344174] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22589), 1,
      sym__end_str,
    STATE(17028), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16925), 2,
      sym_block_comment,
      sym_line_comment,
  [344195] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22589), 1,
      sym__end_str,
    STATE(17036), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16926), 2,
      sym_block_comment,
      sym_line_comment,
  [344216] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22591), 1,
      anon_sym_COMMA,
    ACTIONS(22593), 1,
      anon_sym_RPAREN,
    STATE(16950), 1,
      aux_sym_argument_list_repeat1,
    STATE(16927), 2,
      sym_block_comment,
      sym_line_comment,
  [344239] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22505), 1,
      sym__end_cmd,
    STATE(17265), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16928), 2,
      sym_block_comment,
      sym_line_comment,
  [344260] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8505), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22595), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16929), 2,
      sym_block_comment,
      sym_line_comment,
  [344283] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22597), 1,
      sym__end_cmd,
    STATE(17047), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16930), 2,
      sym_block_comment,
      sym_line_comment,
  [344304] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7353), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22599), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16931), 2,
      sym_block_comment,
      sym_line_comment,
  [344327] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22601), 1,
      anon_sym_RBRACK,
    ACTIONS(22603), 1,
      anon_sym_SEMI,
    ACTIONS(22605), 1,
      aux_sym__terminator_token1,
    STATE(16961), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16932), 2,
      sym_block_comment,
      sym_line_comment,
  [344350] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15849), 1,
      anon_sym_EQ,
    ACTIONS(17838), 1,
      aux_sym__terminator_token1,
    ACTIONS(17836), 2,
      anon_sym_end,
      anon_sym_SEMI,
    STATE(16933), 2,
      sym_block_comment,
      sym_line_comment,
  [344371] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7297), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17583), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16934), 2,
      sym_block_comment,
      sym_line_comment,
  [344394] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21477), 1,
      anon_sym_COMMA,
    ACTIONS(22607), 1,
      anon_sym_RPAREN,
    ACTIONS(22609), 1,
      anon_sym_SEMI,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(16935), 2,
      sym_block_comment,
      sym_line_comment,
  [344417] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8513), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17741), 1,
      anon_sym_COMMA,
    STATE(17437), 1,
      aux_sym_argument_list_repeat1,
    STATE(16936), 2,
      sym_block_comment,
      sym_line_comment,
  [344440] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22611), 1,
      anon_sym_RBRACK,
    ACTIONS(22613), 1,
      anon_sym_SEMI,
    ACTIONS(22615), 1,
      aux_sym__terminator_token1,
    STATE(16955), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16937), 2,
      sym_block_comment,
      sym_line_comment,
  [344463] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22597), 1,
      sym__end_cmd,
    STATE(17050), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16938), 2,
      sym_block_comment,
      sym_line_comment,
  [344484] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7991), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22617), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16939), 2,
      sym_block_comment,
      sym_line_comment,
  [344507] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7825), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17834), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16940), 2,
      sym_block_comment,
      sym_line_comment,
  [344530] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22619), 1,
      anon_sym_RBRACK,
    ACTIONS(22621), 1,
      anon_sym_SEMI,
    ACTIONS(22623), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16941), 2,
      sym_block_comment,
      sym_line_comment,
  [344553] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7997), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22625), 1,
      anon_sym_COMMA,
    STATE(17052), 1,
      aux_sym_argument_list_repeat1,
    STATE(16942), 2,
      sym_block_comment,
      sym_line_comment,
  [344576] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7997), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22625), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16943), 2,
      sym_block_comment,
      sym_line_comment,
  [344599] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22627), 1,
      anon_sym_RBRACK,
    ACTIONS(22629), 1,
      anon_sym_SEMI,
    ACTIONS(22631), 1,
      aux_sym__terminator_token1,
    STATE(17125), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16944), 2,
      sym_block_comment,
      sym_line_comment,
  [344622] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22633), 1,
      sym__end_str,
    STATE(16963), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16945), 2,
      sym_block_comment,
      sym_line_comment,
  [344643] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22633), 1,
      sym__end_str,
    STATE(16964), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16946), 2,
      sym_block_comment,
      sym_line_comment,
  [344664] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22635), 1,
      sym__end_cmd,
    STATE(16965), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16947), 2,
      sym_block_comment,
      sym_line_comment,
  [344685] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16948), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10878), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [344702] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22635), 1,
      sym__end_cmd,
    STATE(16966), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16949), 2,
      sym_block_comment,
      sym_line_comment,
  [344723] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7369), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22637), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16950), 2,
      sym_block_comment,
      sym_line_comment,
  [344746] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7377), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22639), 1,
      anon_sym_COMMA,
    STATE(16968), 1,
      aux_sym_argument_list_repeat1,
    STATE(16951), 2,
      sym_block_comment,
      sym_line_comment,
  [344769] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7377), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22639), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16952), 2,
      sym_block_comment,
      sym_line_comment,
  [344792] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8759), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22641), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16953), 2,
      sym_block_comment,
      sym_line_comment,
  [344815] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22643), 1,
      anon_sym_COMMA,
    ACTIONS(22645), 1,
      anon_sym_RPAREN,
    STATE(16563), 1,
      aux_sym_argument_list_repeat1,
    STATE(16954), 2,
      sym_block_comment,
      sym_line_comment,
  [344838] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22647), 1,
      anon_sym_RBRACK,
    ACTIONS(22649), 1,
      anon_sym_SEMI,
    ACTIONS(22651), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16955), 2,
      sym_block_comment,
      sym_line_comment,
  [344861] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22653), 1,
      anon_sym_COMMA,
    ACTIONS(22655), 1,
      anon_sym_RPAREN,
    STATE(16177), 1,
      aux_sym_argument_list_repeat1,
    STATE(16956), 2,
      sym_block_comment,
      sym_line_comment,
  [344884] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22657), 1,
      anon_sym_DOT,
    STATE(16957), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10870), 3,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
  [344903] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22659), 1,
      anon_sym_RBRACK,
    ACTIONS(22661), 1,
      anon_sym_SEMI,
    ACTIONS(22663), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16958), 2,
      sym_block_comment,
      sym_line_comment,
  [344926] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22665), 1,
      anon_sym_COMMA,
    ACTIONS(22667), 1,
      anon_sym_RPAREN,
    STATE(17070), 1,
      aux_sym_argument_list_repeat1,
    STATE(16959), 2,
      sym_block_comment,
      sym_line_comment,
  [344949] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15835), 1,
      anon_sym_EQ,
    ACTIONS(17508), 1,
      anon_sym_SEMI,
    ACTIONS(17510), 2,
      ts_builtin_sym_end,
      aux_sym__terminator_token1,
    STATE(16960), 2,
      sym_block_comment,
      sym_line_comment,
  [344970] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22669), 1,
      anon_sym_RBRACK,
    ACTIONS(22671), 1,
      anon_sym_SEMI,
    ACTIONS(22673), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16961), 2,
      sym_block_comment,
      sym_line_comment,
  [344993] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22675), 1,
      sym__end_str,
    STATE(16982), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16962), 2,
      sym_block_comment,
      sym_line_comment,
  [345014] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22677), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16963), 2,
      sym_block_comment,
      sym_line_comment,
  [345035] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22677), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16964), 2,
      sym_block_comment,
      sym_line_comment,
  [345056] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22679), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16965), 2,
      sym_block_comment,
      sym_line_comment,
  [345077] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22679), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16966), 2,
      sym_block_comment,
      sym_line_comment,
  [345098] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22675), 1,
      sym__end_str,
    STATE(16983), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16967), 2,
      sym_block_comment,
      sym_line_comment,
  [345119] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7407), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22681), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16968), 2,
      sym_block_comment,
      sym_line_comment,
  [345142] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22683), 1,
      sym__end_cmd,
    STATE(16984), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16969), 2,
      sym_block_comment,
      sym_line_comment,
  [345163] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22683), 1,
      sym__end_cmd,
    STATE(16985), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16970), 2,
      sym_block_comment,
      sym_line_comment,
  [345184] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22685), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16971), 2,
      sym_block_comment,
      sym_line_comment,
  [345205] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7413), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17604), 1,
      anon_sym_COMMA,
    STATE(17093), 1,
      aux_sym_argument_list_repeat1,
    STATE(16972), 2,
      sym_block_comment,
      sym_line_comment,
  [345228] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22685), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16973), 2,
      sym_block_comment,
      sym_line_comment,
  [345249] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22687), 1,
      sym__end_str,
    STATE(17097), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16974), 2,
      sym_block_comment,
      sym_line_comment,
  [345270] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22687), 1,
      sym__end_str,
    STATE(17098), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16975), 2,
      sym_block_comment,
      sym_line_comment,
  [345291] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22689), 1,
      sym__end_cmd,
    STATE(17099), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16976), 2,
      sym_block_comment,
      sym_line_comment,
  [345312] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22689), 1,
      sym__end_cmd,
    STATE(17100), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16977), 2,
      sym_block_comment,
      sym_line_comment,
  [345333] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8687), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22691), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(16978), 2,
      sym_block_comment,
      sym_line_comment,
  [345356] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22693), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16979), 2,
      sym_block_comment,
      sym_line_comment,
  [345377] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22693), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16980), 2,
      sym_block_comment,
      sym_line_comment,
  [345398] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22695), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16981), 2,
      sym_block_comment,
      sym_line_comment,
  [345419] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22697), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16982), 2,
      sym_block_comment,
      sym_line_comment,
  [345440] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22697), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16983), 2,
      sym_block_comment,
      sym_line_comment,
  [345461] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22699), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16984), 2,
      sym_block_comment,
      sym_line_comment,
  [345482] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22699), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16985), 2,
      sym_block_comment,
      sym_line_comment,
  [345503] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22701), 1,
      sym__end_str,
    STATE(16994), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16986), 2,
      sym_block_comment,
      sym_line_comment,
  [345524] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22703), 1,
      anon_sym_RBRACK,
    ACTIONS(22705), 1,
      anon_sym_SEMI,
    ACTIONS(22707), 1,
      aux_sym__terminator_token1,
    STATE(16581), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16987), 2,
      sym_block_comment,
      sym_line_comment,
  [345547] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22709), 1,
      anon_sym_SEMI,
    ACTIONS(22711), 1,
      aux_sym__terminator_token1,
    STATE(16240), 1,
      aux_sym_let_statement_repeat1,
    STATE(16988), 2,
      sym_block_comment,
      sym_line_comment,
  [345570] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22713), 1,
      anon_sym_RBRACK,
    ACTIONS(22715), 1,
      anon_sym_SEMI,
    ACTIONS(22717), 1,
      aux_sym__terminator_token1,
    STATE(17007), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16989), 2,
      sym_block_comment,
      sym_line_comment,
  [345593] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22701), 1,
      sym__end_str,
    STATE(16995), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16990), 2,
      sym_block_comment,
      sym_line_comment,
  [345614] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22719), 1,
      sym__end_cmd,
    STATE(16998), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16991), 2,
      sym_block_comment,
      sym_line_comment,
  [345635] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22719), 1,
      sym__end_cmd,
    STATE(16999), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16992), 2,
      sym_block_comment,
      sym_line_comment,
  [345656] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22721), 1,
      sym__end_str,
    STATE(16522), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16993), 2,
      sym_block_comment,
      sym_line_comment,
  [345677] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22723), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(16994), 2,
      sym_block_comment,
      sym_line_comment,
  [345698] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22723), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(16995), 2,
      sym_block_comment,
      sym_line_comment,
  [345719] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22725), 1,
      anon_sym_RBRACK,
    ACTIONS(22727), 1,
      anon_sym_SEMI,
    ACTIONS(22729), 1,
      aux_sym__terminator_token1,
    STATE(17015), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(16996), 2,
      sym_block_comment,
      sym_line_comment,
  [345742] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(16997), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22517), 4,
      sym__content_cmd_3,
      sym__end_cmd,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [345759] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22731), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(16998), 2,
      sym_block_comment,
      sym_line_comment,
  [345780] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22731), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(16999), 2,
      sym_block_comment,
      sym_line_comment,
  [345801] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22695), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17000), 2,
      sym_block_comment,
      sym_line_comment,
  [345822] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22733), 1,
      anon_sym_COMMA,
    ACTIONS(22735), 1,
      anon_sym_RPAREN,
    STATE(17017), 1,
      aux_sym_argument_list_repeat1,
    STATE(17001), 2,
      sym_block_comment,
      sym_line_comment,
  [345845] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22721), 1,
      sym__end_str,
    STATE(16547), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17002), 2,
      sym_block_comment,
      sym_line_comment,
  [345866] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7423), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22737), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17003), 2,
      sym_block_comment,
      sym_line_comment,
  [345889] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22739), 1,
      sym__end_cmd,
    STATE(16557), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17004), 2,
      sym_block_comment,
      sym_line_comment,
  [345910] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7339), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17591), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17005), 2,
      sym_block_comment,
      sym_line_comment,
  [345933] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22739), 1,
      sym__end_cmd,
    STATE(16564), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17006), 2,
      sym_block_comment,
      sym_line_comment,
  [345954] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22741), 1,
      anon_sym_RBRACK,
    ACTIONS(22743), 1,
      anon_sym_SEMI,
    ACTIONS(22745), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17007), 2,
      sym_block_comment,
      sym_line_comment,
  [345977] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22747), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17008), 2,
      sym_block_comment,
      sym_line_comment,
  [345998] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22749), 1,
      anon_sym_COMMA,
    ACTIONS(22751), 1,
      anon_sym_RPAREN,
    STATE(16166), 1,
      aux_sym_argument_list_repeat1,
    STATE(17009), 2,
      sym_block_comment,
      sym_line_comment,
  [346021] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22753), 1,
      anon_sym_RBRACK,
    ACTIONS(22755), 1,
      anon_sym_SEMI,
    ACTIONS(22757), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17010), 2,
      sym_block_comment,
      sym_line_comment,
  [346044] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22759), 1,
      sym__end_str,
    STATE(17029), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17011), 2,
      sym_block_comment,
      sym_line_comment,
  [346065] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22759), 1,
      sym__end_str,
    STATE(17030), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17012), 2,
      sym_block_comment,
      sym_line_comment,
  [346086] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22761), 1,
      sym__end_cmd,
    STATE(17031), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17013), 2,
      sym_block_comment,
      sym_line_comment,
  [346107] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22761), 1,
      sym__end_cmd,
    STATE(17032), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17014), 2,
      sym_block_comment,
      sym_line_comment,
  [346128] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22763), 1,
      anon_sym_RBRACK,
    ACTIONS(22765), 1,
      anon_sym_SEMI,
    ACTIONS(22767), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17015), 2,
      sym_block_comment,
      sym_line_comment,
  [346151] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22747), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17016), 2,
      sym_block_comment,
      sym_line_comment,
  [346172] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7439), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22769), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17017), 2,
      sym_block_comment,
      sym_line_comment,
  [346195] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7445), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22771), 1,
      anon_sym_COMMA,
    STATE(17033), 1,
      aux_sym_argument_list_repeat1,
    STATE(17018), 2,
      sym_block_comment,
      sym_line_comment,
  [346218] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7445), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22771), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17019), 2,
      sym_block_comment,
      sym_line_comment,
  [346241] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8093), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22773), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17020), 2,
      sym_block_comment,
      sym_line_comment,
  [346264] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22775), 1,
      sym__end_str,
    STATE(17039), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17021), 2,
      sym_block_comment,
      sym_line_comment,
  [346285] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22775), 1,
      sym__end_str,
    STATE(17042), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17022), 2,
      sym_block_comment,
      sym_line_comment,
  [346306] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22777), 1,
      sym__end_cmd,
    STATE(17044), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17023), 2,
      sym_block_comment,
      sym_line_comment,
  [346327] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22779), 1,
      anon_sym_COMMA,
    ACTIONS(22781), 1,
      anon_sym_RPAREN,
    STATE(17382), 1,
      aux_sym_argument_list_repeat1,
    STATE(17024), 2,
      sym_block_comment,
      sym_line_comment,
  [346350] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22783), 1,
      anon_sym_COMMA,
    ACTIONS(22785), 1,
      anon_sym_RPAREN,
    STATE(17146), 1,
      aux_sym_argument_list_repeat1,
    STATE(17025), 2,
      sym_block_comment,
      sym_line_comment,
  [346373] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22777), 1,
      sym__end_cmd,
    STATE(17045), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17026), 2,
      sym_block_comment,
      sym_line_comment,
  [346394] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8111), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22787), 1,
      anon_sym_COMMA,
    STATE(16209), 1,
      aux_sym_argument_list_repeat1,
    STATE(17027), 2,
      sym_block_comment,
      sym_line_comment,
  [346417] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22789), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17028), 2,
      sym_block_comment,
      sym_line_comment,
  [346438] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22791), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17029), 2,
      sym_block_comment,
      sym_line_comment,
  [346459] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22791), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17030), 2,
      sym_block_comment,
      sym_line_comment,
  [346480] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22793), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17031), 2,
      sym_block_comment,
      sym_line_comment,
  [346501] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22793), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17032), 2,
      sym_block_comment,
      sym_line_comment,
  [346522] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7459), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22795), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17033), 2,
      sym_block_comment,
      sym_line_comment,
  [346545] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7465), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22797), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17034), 2,
      sym_block_comment,
      sym_line_comment,
  [346568] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7463), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17613), 1,
      anon_sym_COMMA,
    STATE(17173), 1,
      aux_sym_argument_list_repeat1,
    STATE(17035), 2,
      sym_block_comment,
      sym_line_comment,
  [346591] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22789), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17036), 2,
      sym_block_comment,
      sym_line_comment,
  [346612] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18124), 1,
      anon_sym_RPAREN,
    ACTIONS(22799), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(17037), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_argument_list_repeat1,
  [346631] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8417), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22802), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17038), 2,
      sym_block_comment,
      sym_line_comment,
  [346654] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22804), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17039), 2,
      sym_block_comment,
      sym_line_comment,
  [346675] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8431), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22806), 1,
      anon_sym_COMMA,
    STATE(17130), 1,
      aux_sym_argument_list_repeat1,
    STATE(17040), 2,
      sym_block_comment,
      sym_line_comment,
  [346698] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8431), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22806), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17041), 2,
      sym_block_comment,
      sym_line_comment,
  [346721] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22804), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17042), 2,
      sym_block_comment,
      sym_line_comment,
  [346742] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22808), 1,
      anon_sym_RBRACK,
    ACTIONS(22810), 1,
      anon_sym_SEMI,
    ACTIONS(22812), 1,
      aux_sym__terminator_token1,
    STATE(17132), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17043), 2,
      sym_block_comment,
      sym_line_comment,
  [346765] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22814), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17044), 2,
      sym_block_comment,
      sym_line_comment,
  [346786] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22814), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17045), 2,
      sym_block_comment,
      sym_line_comment,
  [346807] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22816), 1,
      anon_sym_RBRACK,
    ACTIONS(22818), 1,
      anon_sym_SEMI,
    ACTIONS(22820), 1,
      aux_sym__terminator_token1,
    STATE(17063), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17046), 2,
      sym_block_comment,
      sym_line_comment,
  [346830] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22822), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17047), 2,
      sym_block_comment,
      sym_line_comment,
  [346851] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15559), 1,
      anon_sym_COMMA,
    ACTIONS(22824), 1,
      anon_sym_SEMI,
    ACTIONS(22826), 1,
      aux_sym__terminator_token1,
    STATE(16324), 1,
      aux_sym_let_statement_repeat1,
    STATE(17048), 2,
      sym_block_comment,
      sym_line_comment,
  [346874] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22828), 1,
      anon_sym_RBRACK,
    ACTIONS(22830), 1,
      anon_sym_SEMI,
    ACTIONS(22832), 1,
      aux_sym__terminator_token1,
    STATE(17076), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17049), 2,
      sym_block_comment,
      sym_line_comment,
  [346897] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22822), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17050), 2,
      sym_block_comment,
      sym_line_comment,
  [346918] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7481), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17529), 1,
      anon_sym_COMMA,
    STATE(16745), 1,
      aux_sym_argument_list_repeat1,
    STATE(17051), 2,
      sym_block_comment,
      sym_line_comment,
  [346941] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8011), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22834), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17052), 2,
      sym_block_comment,
      sym_line_comment,
  [346964] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21477), 1,
      anon_sym_COMMA,
    ACTIONS(22836), 1,
      anon_sym_RPAREN,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17053), 2,
      sym_block_comment,
      sym_line_comment,
  [346987] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7787), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22838), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17054), 2,
      sym_block_comment,
      sym_line_comment,
  [347010] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7833), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22840), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17055), 2,
      sym_block_comment,
      sym_line_comment,
  [347033] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8017), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17886), 1,
      anon_sym_COMMA,
    STATE(16228), 1,
      aux_sym_argument_list_repeat1,
    STATE(17056), 2,
      sym_block_comment,
      sym_line_comment,
  [347056] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22842), 1,
      anon_sym_RBRACK,
    ACTIONS(22844), 1,
      anon_sym_SEMI,
    ACTIONS(22846), 1,
      aux_sym__terminator_token1,
    STATE(17066), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17057), 2,
      sym_block_comment,
      sym_line_comment,
  [347079] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15785), 1,
      anon_sym_SEMI,
    ACTIONS(15787), 1,
      aux_sym__terminator_token1,
    ACTIONS(22848), 1,
      anon_sym_COMMA,
    STATE(17058), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__do_parameter_list_repeat1,
  [347100] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22851), 1,
      anon_sym_COMMA,
    ACTIONS(22853), 1,
      anon_sym_RPAREN,
    STATE(17163), 1,
      aux_sym_argument_list_repeat1,
    STATE(17059), 2,
      sym_block_comment,
      sym_line_comment,
  [347123] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17060), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21565), 4,
      sym__content_str_1,
      sym__end_str,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [347140] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17061), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10313), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [347157] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7895), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22855), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17062), 2,
      sym_block_comment,
      sym_line_comment,
  [347180] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22857), 1,
      anon_sym_RBRACK,
    ACTIONS(22859), 1,
      anon_sym_SEMI,
    ACTIONS(22861), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17063), 2,
      sym_block_comment,
      sym_line_comment,
  [347203] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(18172), 1,
      ts_builtin_sym_end,
    ACTIONS(18174), 1,
      anon_sym_SEMI,
    ACTIONS(18178), 1,
      aux_sym__terminator_token1,
    STATE(16584), 1,
      aux_sym__block_repeat1,
    STATE(17064), 2,
      sym_block_comment,
      sym_line_comment,
  [347226] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7837), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17819), 1,
      anon_sym_COMMA,
    STATE(17193), 1,
      aux_sym_argument_list_repeat1,
    STATE(17065), 2,
      sym_block_comment,
      sym_line_comment,
  [347249] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22863), 1,
      anon_sym_RBRACK,
    ACTIONS(22865), 1,
      anon_sym_SEMI,
    ACTIONS(22867), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17066), 2,
      sym_block_comment,
      sym_line_comment,
  [347272] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22869), 1,
      anon_sym_COMMA,
    ACTIONS(22871), 1,
      anon_sym_RPAREN,
    STATE(17089), 1,
      aux_sym_argument_list_repeat1,
    STATE(17067), 2,
      sym_block_comment,
      sym_line_comment,
  [347295] = 6,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(15849), 1,
      anon_sym_EQ,
    ACTIONS(17510), 1,
      aux_sym__terminator_token1,
    ACTIONS(17508), 2,
      anon_sym_end,
      anon_sym_SEMI,
    STATE(17068), 2,
      sym_block_comment,
      sym_line_comment,
  [347316] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22873), 1,
      sym__end_str,
    STATE(17118), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17069), 2,
      sym_block_comment,
      sym_line_comment,
  [347337] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7475), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22875), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17070), 2,
      sym_block_comment,
      sym_line_comment,
  [347360] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8111), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22787), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17071), 2,
      sym_block_comment,
      sym_line_comment,
  [347383] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22877), 1,
      sym__end_str,
    STATE(17082), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17072), 2,
      sym_block_comment,
      sym_line_comment,
  [347404] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7413), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17604), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17073), 2,
      sym_block_comment,
      sym_line_comment,
  [347427] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22877), 1,
      sym__end_str,
    STATE(17083), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17074), 2,
      sym_block_comment,
      sym_line_comment,
  [347448] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22879), 1,
      sym__end_cmd,
    STATE(17087), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17075), 2,
      sym_block_comment,
      sym_line_comment,
  [347469] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22881), 1,
      anon_sym_RBRACK,
    ACTIONS(22883), 1,
      anon_sym_SEMI,
    ACTIONS(22885), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17076), 2,
      sym_block_comment,
      sym_line_comment,
  [347492] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17077), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 4,
      sym__content_cmd_1,
      sym__end_cmd,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [347509] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22879), 1,
      sym__end_cmd,
    STATE(17091), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17078), 2,
      sym_block_comment,
      sym_line_comment,
  [347530] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22887), 1,
      anon_sym_RBRACK,
    ACTIONS(22889), 1,
      anon_sym_SEMI,
    ACTIONS(22891), 1,
      aux_sym__terminator_token1,
    STATE(17174), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17079), 2,
      sym_block_comment,
      sym_line_comment,
  [347553] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22873), 1,
      sym__end_str,
    STATE(17121), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17080), 2,
      sym_block_comment,
      sym_line_comment,
  [347574] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22893), 1,
      anon_sym_COMMA,
    ACTIONS(22895), 1,
      anon_sym_RPAREN,
    STATE(17282), 1,
      aux_sym_argument_list_repeat1,
    STATE(17081), 2,
      sym_block_comment,
      sym_line_comment,
  [347597] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22897), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17082), 2,
      sym_block_comment,
      sym_line_comment,
  [347618] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22897), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17083), 2,
      sym_block_comment,
      sym_line_comment,
  [347639] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22899), 1,
      sym__end_str,
    STATE(17106), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17084), 2,
      sym_block_comment,
      sym_line_comment,
  [347660] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22899), 1,
      sym__end_str,
    STATE(17109), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17085), 2,
      sym_block_comment,
      sym_line_comment,
  [347681] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22901), 1,
      sym__end_cmd,
    STATE(17111), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17086), 2,
      sym_block_comment,
      sym_line_comment,
  [347702] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22903), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17087), 2,
      sym_block_comment,
      sym_line_comment,
  [347723] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22901), 1,
      sym__end_cmd,
    STATE(17112), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17088), 2,
      sym_block_comment,
      sym_line_comment,
  [347744] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7487), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22905), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17089), 2,
      sym_block_comment,
      sym_line_comment,
  [347767] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22907), 1,
      anon_sym_COMMA,
    STATE(17114), 1,
      aux_sym_argument_list_repeat1,
    STATE(17090), 2,
      sym_block_comment,
      sym_line_comment,
  [347790] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22903), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17091), 2,
      sym_block_comment,
      sym_line_comment,
  [347811] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22909), 1,
      sym__end_cmd,
    STATE(17122), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17092), 2,
      sym_block_comment,
      sym_line_comment,
  [347832] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7495), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22907), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17093), 2,
      sym_block_comment,
      sym_line_comment,
  [347855] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18581), 1,
      anon_sym_COMMA,
    STATE(17283), 1,
      aux_sym_open_tuple_repeat1,
    ACTIONS(11130), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    STATE(17094), 2,
      sym_block_comment,
      sym_line_comment,
  [347876] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22909), 1,
      sym__end_cmd,
    STATE(17124), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17095), 2,
      sym_block_comment,
      sym_line_comment,
  [347897] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22911), 1,
      anon_sym_COMMA,
    ACTIONS(22913), 1,
      anon_sym_RPAREN,
    STATE(17180), 1,
      aux_sym_argument_list_repeat1,
    STATE(17096), 2,
      sym_block_comment,
      sym_line_comment,
  [347920] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22915), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17097), 2,
      sym_block_comment,
      sym_line_comment,
  [347941] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22915), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17098), 2,
      sym_block_comment,
      sym_line_comment,
  [347962] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22917), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17099), 2,
      sym_block_comment,
      sym_line_comment,
  [347983] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22917), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17100), 2,
      sym_block_comment,
      sym_line_comment,
  [348004] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7837), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17819), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17101), 2,
      sym_block_comment,
      sym_line_comment,
  [348027] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8681), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22919), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17102), 2,
      sym_block_comment,
      sym_line_comment,
  [348050] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22921), 1,
      anon_sym_COMMA,
    ACTIONS(22923), 1,
      anon_sym_RPAREN,
    STATE(17236), 1,
      aux_sym_argument_list_repeat1,
    STATE(17103), 2,
      sym_block_comment,
      sym_line_comment,
  [348073] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22925), 1,
      anon_sym_RBRACK,
    ACTIONS(22927), 1,
      anon_sym_SEMI,
    ACTIONS(22929), 1,
      aux_sym__terminator_token1,
    STATE(17184), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17104), 2,
      sym_block_comment,
      sym_line_comment,
  [348096] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22931), 1,
      anon_sym_RBRACK,
    ACTIONS(22933), 1,
      anon_sym_SEMI,
    ACTIONS(22935), 1,
      aux_sym__terminator_token1,
    STATE(16341), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17105), 2,
      sym_block_comment,
      sym_line_comment,
  [348119] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22937), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17106), 2,
      sym_block_comment,
      sym_line_comment,
  [348140] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21477), 1,
      anon_sym_COMMA,
    ACTIONS(22939), 1,
      anon_sym_RPAREN,
    ACTIONS(22941), 1,
      anon_sym_SEMI,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(17107), 2,
      sym_block_comment,
      sym_line_comment,
  [348163] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22943), 1,
      anon_sym_RBRACK,
    ACTIONS(22945), 1,
      anon_sym_SEMI,
    ACTIONS(22947), 1,
      aux_sym__terminator_token1,
    STATE(17332), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17108), 2,
      sym_block_comment,
      sym_line_comment,
  [348186] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22937), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17109), 2,
      sym_block_comment,
      sym_line_comment,
  [348207] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8043), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17606), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17110), 2,
      sym_block_comment,
      sym_line_comment,
  [348230] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22949), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17111), 2,
      sym_block_comment,
      sym_line_comment,
  [348251] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22949), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17112), 2,
      sym_block_comment,
      sym_line_comment,
  [348272] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8589), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22951), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17113), 2,
      sym_block_comment,
      sym_line_comment,
  [348295] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7505), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22953), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17114), 2,
      sym_block_comment,
      sym_line_comment,
  [348318] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17115), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10401), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [348335] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7509), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17663), 1,
      anon_sym_COMMA,
    STATE(17257), 1,
      aux_sym_argument_list_repeat1,
    STATE(17116), 2,
      sym_block_comment,
      sym_line_comment,
  [348358] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7807), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22955), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17117), 2,
      sym_block_comment,
      sym_line_comment,
  [348381] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22957), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17118), 2,
      sym_block_comment,
      sym_line_comment,
  [348402] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8623), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22959), 1,
      anon_sym_COMMA,
    STATE(17338), 1,
      aux_sym_argument_list_repeat1,
    STATE(17119), 2,
      sym_block_comment,
      sym_line_comment,
  [348425] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22961), 1,
      anon_sym_RBRACK,
    ACTIONS(22963), 1,
      anon_sym_SEMI,
    ACTIONS(22965), 1,
      aux_sym__terminator_token1,
    STATE(17138), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17120), 2,
      sym_block_comment,
      sym_line_comment,
  [348448] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22957), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17121), 2,
      sym_block_comment,
      sym_line_comment,
  [348469] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22967), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17122), 2,
      sym_block_comment,
      sym_line_comment,
  [348490] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8623), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22959), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17123), 2,
      sym_block_comment,
      sym_line_comment,
  [348513] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22967), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17124), 2,
      sym_block_comment,
      sym_line_comment,
  [348534] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22969), 1,
      anon_sym_RBRACK,
    ACTIONS(22971), 1,
      anon_sym_SEMI,
    ACTIONS(22973), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17125), 2,
      sym_block_comment,
      sym_line_comment,
  [348557] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22975), 1,
      anon_sym_COMMA,
    ACTIONS(22977), 1,
      anon_sym_RPAREN,
    STATE(17263), 1,
      aux_sym_argument_list_repeat1,
    STATE(17126), 2,
      sym_block_comment,
      sym_line_comment,
  [348580] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8769), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17667), 1,
      anon_sym_COMMA,
    STATE(15862), 1,
      aux_sym_argument_list_repeat1,
    STATE(17127), 2,
      sym_block_comment,
      sym_line_comment,
  [348603] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7791), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17811), 1,
      anon_sym_COMMA,
    STATE(16409), 1,
      aux_sym_argument_list_repeat1,
    STATE(17128), 2,
      sym_block_comment,
      sym_line_comment,
  [348626] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17129), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22979), 4,
      sym__content_str_3,
      sym__end_str,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [348643] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8475), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22981), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17130), 2,
      sym_block_comment,
      sym_line_comment,
  [348666] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22983), 1,
      anon_sym_RBRACK,
    ACTIONS(22985), 1,
      anon_sym_SEMI,
    ACTIONS(22987), 1,
      aux_sym__terminator_token1,
    STATE(17158), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17131), 2,
      sym_block_comment,
      sym_line_comment,
  [348689] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(22989), 1,
      anon_sym_RBRACK,
    ACTIONS(22991), 1,
      anon_sym_SEMI,
    ACTIONS(22993), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17132), 2,
      sym_block_comment,
      sym_line_comment,
  [348712] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17133), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [348729] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22995), 1,
      sym__end_str,
    STATE(17309), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17134), 2,
      sym_block_comment,
      sym_line_comment,
  [348750] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22995), 1,
      sym__end_str,
    STATE(17341), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17135), 2,
      sym_block_comment,
      sym_line_comment,
  [348771] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22997), 1,
      sym__end_cmd,
    STATE(17360), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17136), 2,
      sym_block_comment,
      sym_line_comment,
  [348792] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(22999), 1,
      anon_sym_COMMA,
    ACTIONS(23001), 1,
      anon_sym_RPAREN,
    STATE(17267), 1,
      aux_sym_argument_list_repeat1,
    STATE(17137), 2,
      sym_block_comment,
      sym_line_comment,
  [348815] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23003), 1,
      anon_sym_RBRACK,
    ACTIONS(23005), 1,
      anon_sym_SEMI,
    ACTIONS(23007), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17138), 2,
      sym_block_comment,
      sym_line_comment,
  [348838] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22997), 1,
      sym__end_cmd,
    STATE(17376), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17139), 2,
      sym_block_comment,
      sym_line_comment,
  [348859] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23009), 1,
      anon_sym_COMMA,
    ACTIONS(23011), 1,
      anon_sym_RPAREN,
    STATE(17242), 1,
      aux_sym_argument_list_repeat1,
    STATE(17140), 2,
      sym_block_comment,
      sym_line_comment,
  [348882] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23013), 1,
      sym__end_str,
    STATE(17154), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17141), 2,
      sym_block_comment,
      sym_line_comment,
  [348903] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23015), 1,
      anon_sym_COMMA,
    ACTIONS(23017), 1,
      anon_sym_RPAREN,
    STATE(17170), 1,
      aux_sym_argument_list_repeat1,
    STATE(17142), 2,
      sym_block_comment,
      sym_line_comment,
  [348926] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23013), 1,
      sym__end_str,
    STATE(17155), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17143), 2,
      sym_block_comment,
      sym_line_comment,
  [348947] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23019), 1,
      sym__end_cmd,
    STATE(17156), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17144), 2,
      sym_block_comment,
      sym_line_comment,
  [348968] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23019), 1,
      sym__end_cmd,
    STATE(17162), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17145), 2,
      sym_block_comment,
      sym_line_comment,
  [348989] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7515), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23021), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17146), 2,
      sym_block_comment,
      sym_line_comment,
  [349012] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23023), 1,
      anon_sym_RBRACK,
    ACTIONS(23025), 1,
      anon_sym_SEMI,
    ACTIONS(23027), 1,
      aux_sym__terminator_token1,
    STATE(17200), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17147), 2,
      sym_block_comment,
      sym_line_comment,
  [349035] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9067), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23029), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17148), 2,
      sym_block_comment,
      sym_line_comment,
  [349058] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8031), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23031), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17149), 2,
      sym_block_comment,
      sym_line_comment,
  [349081] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7463), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17613), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17150), 2,
      sym_block_comment,
      sym_line_comment,
  [349104] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9023), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17862), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17151), 2,
      sym_block_comment,
      sym_line_comment,
  [349127] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15647), 1,
      sym_catch_clause,
    STATE(18053), 1,
      sym_finally_clause,
    STATE(17152), 2,
      sym_block_comment,
      sym_line_comment,
  [349150] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(16940), 1,
      anon_sym_end,
    ACTIONS(17983), 1,
      anon_sym_SEMI,
    ACTIONS(18015), 1,
      aux_sym__terminator_token1,
    STATE(17185), 1,
      aux_sym__block_repeat1,
    STATE(17153), 2,
      sym_block_comment,
      sym_line_comment,
  [349173] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23033), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17154), 2,
      sym_block_comment,
      sym_line_comment,
  [349194] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23033), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17155), 2,
      sym_block_comment,
      sym_line_comment,
  [349215] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23035), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17156), 2,
      sym_block_comment,
      sym_line_comment,
  [349236] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23037), 1,
      sym__end_str,
    STATE(17201), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17157), 2,
      sym_block_comment,
      sym_line_comment,
  [349257] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23039), 1,
      anon_sym_RBRACK,
    ACTIONS(23041), 1,
      anon_sym_SEMI,
    ACTIONS(23043), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17158), 2,
      sym_block_comment,
      sym_line_comment,
  [349280] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23037), 1,
      sym__end_str,
    STATE(17202), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17159), 2,
      sym_block_comment,
      sym_line_comment,
  [349301] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23045), 1,
      sym__end_cmd,
    STATE(17203), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17160), 2,
      sym_block_comment,
      sym_line_comment,
  [349322] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23045), 1,
      sym__end_cmd,
    STATE(17204), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17161), 2,
      sym_block_comment,
      sym_line_comment,
  [349343] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23035), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17162), 2,
      sym_block_comment,
      sym_line_comment,
  [349364] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7905), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23047), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17163), 2,
      sym_block_comment,
      sym_line_comment,
  [349387] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8485), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17539), 1,
      anon_sym_COMMA,
    STATE(16352), 1,
      aux_sym_argument_list_repeat1,
    STATE(17164), 2,
      sym_block_comment,
      sym_line_comment,
  [349410] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17165), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22481), 4,
      sym__content_cmd_3,
      sym__end_cmd,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [349427] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23049), 1,
      sym__end_str,
    STATE(17186), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17166), 2,
      sym_block_comment,
      sym_line_comment,
  [349448] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23049), 1,
      sym__end_str,
    STATE(17188), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17167), 2,
      sym_block_comment,
      sym_line_comment,
  [349469] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23051), 1,
      sym__end_cmd,
    STATE(17191), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17168), 2,
      sym_block_comment,
      sym_line_comment,
  [349490] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23051), 1,
      sym__end_cmd,
    STATE(17192), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17169), 2,
      sym_block_comment,
      sym_line_comment,
  [349511] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7527), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23053), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17170), 2,
      sym_block_comment,
      sym_line_comment,
  [349534] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17171), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23055), 4,
      sym__content_cmd_1,
      sym__end_cmd,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [349551] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7533), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23057), 1,
      anon_sym_COMMA,
    STATE(17194), 1,
      aux_sym_argument_list_repeat1,
    STATE(17172), 2,
      sym_block_comment,
      sym_line_comment,
  [349574] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7533), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23057), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17173), 2,
      sym_block_comment,
      sym_line_comment,
  [349597] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23059), 1,
      anon_sym_RBRACK,
    ACTIONS(23061), 1,
      anon_sym_SEMI,
    ACTIONS(23063), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17174), 2,
      sym_block_comment,
      sym_line_comment,
  [349620] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17175), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21565), 4,
      sym__content_cmd_3,
      sym__end_cmd,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [349637] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7969), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17866), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17176), 2,
      sym_block_comment,
      sym_line_comment,
  [349660] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22034), 1,
      sym__immediate_string_start,
    ACTIONS(22036), 1,
      sym__immediate_command_start,
    ACTIONS(9971), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(17177), 2,
      sym_block_comment,
      sym_line_comment,
  [349681] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23065), 1,
      anon_sym_COMMA,
    ACTIONS(23067), 1,
      anon_sym_RPAREN,
    STATE(17300), 1,
      aux_sym_argument_list_repeat1,
    STATE(17178), 2,
      sym_block_comment,
      sym_line_comment,
  [349704] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23069), 1,
      anon_sym_COMMA,
    STATE(17469), 1,
      aux_sym_argument_list_repeat1,
    STATE(17179), 2,
      sym_block_comment,
      sym_line_comment,
  [349727] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8831), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23071), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17180), 2,
      sym_block_comment,
      sym_line_comment,
  [349750] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23073), 1,
      anon_sym_COMMA,
    ACTIONS(23075), 1,
      anon_sym_RPAREN,
    STATE(16297), 1,
      aux_sym_argument_list_repeat1,
    STATE(17181), 2,
      sym_block_comment,
      sym_line_comment,
  [349773] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8873), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23077), 1,
      anon_sym_COMMA,
    STATE(17218), 1,
      aux_sym_argument_list_repeat1,
    STATE(17182), 2,
      sym_block_comment,
      sym_line_comment,
  [349796] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8873), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23077), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17183), 2,
      sym_block_comment,
      sym_line_comment,
  [349819] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23079), 1,
      anon_sym_RBRACK,
    ACTIONS(23081), 1,
      anon_sym_SEMI,
    ACTIONS(23083), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17184), 2,
      sym_block_comment,
      sym_line_comment,
  [349842] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(4387), 1,
      anon_sym_end,
    ACTIONS(23085), 1,
      anon_sym_SEMI,
    ACTIONS(23087), 1,
      aux_sym__terminator_token1,
    STATE(16432), 1,
      aux_sym__block_repeat1,
    STATE(17185), 2,
      sym_block_comment,
      sym_line_comment,
  [349865] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23089), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17186), 2,
      sym_block_comment,
      sym_line_comment,
  [349886] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23091), 1,
      anon_sym_RBRACK,
    ACTIONS(23093), 1,
      anon_sym_SEMI,
    ACTIONS(23095), 1,
      aux_sym__terminator_token1,
    STATE(17215), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17187), 2,
      sym_block_comment,
      sym_line_comment,
  [349909] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23089), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17188), 2,
      sym_block_comment,
      sym_line_comment,
  [349930] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17189), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23097), 4,
      sym__content_cmd_3,
      sym__end_cmd,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [349947] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23099), 1,
      anon_sym_COMMA,
    ACTIONS(18872), 2,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(17190), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_vector_expression_repeat1,
  [349966] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23102), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17191), 2,
      sym_block_comment,
      sym_line_comment,
  [349987] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23102), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17192), 2,
      sym_block_comment,
      sym_line_comment,
  [350008] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7911), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23069), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17193), 2,
      sym_block_comment,
      sym_line_comment,
  [350031] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7561), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23104), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17194), 2,
      sym_block_comment,
      sym_line_comment,
  [350054] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7825), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17834), 1,
      anon_sym_COMMA,
    STATE(17041), 1,
      aux_sym_argument_list_repeat1,
    STATE(17195), 2,
      sym_block_comment,
      sym_line_comment,
  [350077] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23106), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17196), 2,
      sym_block_comment,
      sym_line_comment,
  [350098] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17197), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22517), 4,
      sym__content_str_3,
      sym__end_str,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [350115] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23108), 1,
      anon_sym_COMMA,
    ACTIONS(23110), 1,
      anon_sym_RPAREN,
    STATE(16238), 1,
      aux_sym_argument_list_repeat1,
    STATE(17198), 2,
      sym_block_comment,
      sym_line_comment,
  [350138] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7565), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17671), 1,
      anon_sym_COMMA,
    STATE(17316), 1,
      aux_sym_argument_list_repeat1,
    STATE(17199), 2,
      sym_block_comment,
      sym_line_comment,
  [350161] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23112), 1,
      anon_sym_RBRACK,
    ACTIONS(23114), 1,
      anon_sym_SEMI,
    ACTIONS(23116), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17200), 2,
      sym_block_comment,
      sym_line_comment,
  [350184] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23118), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17201), 2,
      sym_block_comment,
      sym_line_comment,
  [350205] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23118), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17202), 2,
      sym_block_comment,
      sym_line_comment,
  [350226] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23120), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17203), 2,
      sym_block_comment,
      sym_line_comment,
  [350247] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23120), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17204), 2,
      sym_block_comment,
      sym_line_comment,
  [350268] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23122), 1,
      sym__end_str,
    STATE(17317), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17205), 2,
      sym_block_comment,
      sym_line_comment,
  [350289] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23122), 1,
      sym__end_str,
    STATE(17318), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17206), 2,
      sym_block_comment,
      sym_line_comment,
  [350310] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23124), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17207), 2,
      sym_block_comment,
      sym_line_comment,
  [350331] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23126), 1,
      sym__end_cmd,
    STATE(17320), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17208), 2,
      sym_block_comment,
      sym_line_comment,
  [350352] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23126), 1,
      sym__end_cmd,
    STATE(17324), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17209), 2,
      sym_block_comment,
      sym_line_comment,
  [350373] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23124), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17210), 2,
      sym_block_comment,
      sym_line_comment,
  [350394] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17211), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22481), 4,
      sym__content_cmd_1,
      sym__end_cmd,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [350411] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17212), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10019), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [350428] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17213), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21565), 4,
      sym__content_cmd_1,
      sym__end_cmd,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [350445] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17214), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10365), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [350462] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23128), 1,
      anon_sym_RBRACK,
    ACTIONS(23130), 1,
      anon_sym_SEMI,
    ACTIONS(23132), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17215), 2,
      sym_block_comment,
      sym_line_comment,
  [350485] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23134), 1,
      sym__end_str,
    STATE(17247), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17216), 2,
      sym_block_comment,
      sym_line_comment,
  [350506] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23134), 1,
      sym__end_str,
    STATE(17255), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17217), 2,
      sym_block_comment,
      sym_line_comment,
  [350527] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8999), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23136), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17218), 2,
      sym_block_comment,
      sym_line_comment,
  [350550] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9011), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17826), 1,
      anon_sym_COMMA,
    STATE(16303), 1,
      aux_sym_argument_list_repeat1,
    STATE(17219), 2,
      sym_block_comment,
      sym_line_comment,
  [350573] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23138), 1,
      anon_sym_RBRACK,
    ACTIONS(23140), 1,
      anon_sym_SEMI,
    ACTIONS(23142), 1,
      aux_sym__terminator_token1,
    STATE(17244), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17220), 2,
      sym_block_comment,
      sym_line_comment,
  [350596] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23144), 1,
      sym__end_cmd,
    STATE(17256), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17221), 2,
      sym_block_comment,
      sym_line_comment,
  [350617] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21573), 1,
      anon_sym_catch,
    ACTIONS(21575), 1,
      anon_sym_finally,
    STATE(15579), 1,
      sym_catch_clause,
    STATE(17663), 1,
      sym_finally_clause,
    STATE(17222), 2,
      sym_block_comment,
      sym_line_comment,
  [350640] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23146), 1,
      sym__end_str,
    STATE(17232), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17223), 2,
      sym_block_comment,
      sym_line_comment,
  [350661] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23146), 1,
      sym__end_str,
    STATE(17234), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17224), 2,
      sym_block_comment,
      sym_line_comment,
  [350682] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23148), 1,
      sym__end_cmd,
    STATE(17235), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17225), 2,
      sym_block_comment,
      sym_line_comment,
  [350703] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23148), 1,
      sym__end_cmd,
    STATE(17237), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17226), 2,
      sym_block_comment,
      sym_line_comment,
  [350724] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23144), 1,
      sym__end_cmd,
    STATE(17260), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17227), 2,
      sym_block_comment,
      sym_line_comment,
  [350745] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21159), 1,
      sym__word_identifier,
    ACTIONS(21161), 1,
      anon_sym_DOLLAR,
    STATE(576), 2,
      sym_interpolation_expression,
      sym_identifier,
    STATE(17228), 2,
      sym_block_comment,
      sym_line_comment,
  [350766] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23150), 1,
      anon_sym_COMMA,
    ACTIONS(23152), 1,
      anon_sym_RPAREN,
    STATE(17377), 1,
      aux_sym_argument_list_repeat1,
    STATE(17229), 2,
      sym_block_comment,
      sym_line_comment,
  [350789] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17230), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10265), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [350806] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23154), 1,
      sym__end_str,
    STATE(17340), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17231), 2,
      sym_block_comment,
      sym_line_comment,
  [350827] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23156), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17232), 2,
      sym_block_comment,
      sym_line_comment,
  [350848] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23158), 1,
      anon_sym_COMMA,
    ACTIONS(23160), 1,
      anon_sym_RPAREN,
    STATE(17253), 1,
      aux_sym_argument_list_repeat1,
    STATE(17233), 2,
      sym_block_comment,
      sym_line_comment,
  [350871] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23156), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17234), 2,
      sym_block_comment,
      sym_line_comment,
  [350892] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23162), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17235), 2,
      sym_block_comment,
      sym_line_comment,
  [350913] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7573), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23164), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17236), 2,
      sym_block_comment,
      sym_line_comment,
  [350936] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23162), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17237), 2,
      sym_block_comment,
      sym_line_comment,
  [350957] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7509), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17663), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17238), 2,
      sym_block_comment,
      sym_line_comment,
  [350980] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23154), 1,
      sym__end_str,
    STATE(17342), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17239), 2,
      sym_block_comment,
      sym_line_comment,
  [351001] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23166), 1,
      sym__end_cmd,
    STATE(17349), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17240), 2,
      sym_block_comment,
      sym_line_comment,
  [351022] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23166), 1,
      sym__end_cmd,
    STATE(17351), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17241), 2,
      sym_block_comment,
      sym_line_comment,
  [351043] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9077), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23168), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17242), 2,
      sym_block_comment,
      sym_line_comment,
  [351066] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23170), 1,
      anon_sym_COMMA,
    STATE(17359), 1,
      aux_sym_argument_list_repeat1,
    STATE(17243), 2,
      sym_block_comment,
      sym_line_comment,
  [351089] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23172), 1,
      anon_sym_RBRACK,
    ACTIONS(23174), 1,
      anon_sym_SEMI,
    ACTIONS(23176), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17244), 2,
      sym_block_comment,
      sym_line_comment,
  [351112] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17245), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10231), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [351129] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22485), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17246), 2,
      sym_block_comment,
      sym_line_comment,
  [351150] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23178), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17247), 2,
      sym_block_comment,
      sym_line_comment,
  [351171] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23180), 1,
      anon_sym_COMMA,
    ACTIONS(23182), 1,
      anon_sym_RPAREN,
    STATE(16597), 1,
      aux_sym_argument_list_repeat1,
    STATE(17248), 2,
      sym_block_comment,
      sym_line_comment,
  [351194] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23184), 1,
      sym__end_str,
    STATE(17268), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17249), 2,
      sym_block_comment,
      sym_line_comment,
  [351215] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23184), 1,
      sym__end_str,
    STATE(17269), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17250), 2,
      sym_block_comment,
      sym_line_comment,
  [351236] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23186), 1,
      sym__end_cmd,
    STATE(17270), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17251), 2,
      sym_block_comment,
      sym_line_comment,
  [351257] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23186), 1,
      sym__end_cmd,
    STATE(17271), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17252), 2,
      sym_block_comment,
      sym_line_comment,
  [351278] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7583), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23188), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17253), 2,
      sym_block_comment,
      sym_line_comment,
  [351301] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7591), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23190), 1,
      anon_sym_COMMA,
    STATE(17272), 1,
      aux_sym_argument_list_repeat1,
    STATE(17254), 2,
      sym_block_comment,
      sym_line_comment,
  [351324] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23178), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17255), 2,
      sym_block_comment,
      sym_line_comment,
  [351345] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23192), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17256), 2,
      sym_block_comment,
      sym_line_comment,
  [351366] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7591), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23190), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17257), 2,
      sym_block_comment,
      sym_line_comment,
  [351389] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9083), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23170), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17258), 2,
      sym_block_comment,
      sym_line_comment,
  [351412] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23194), 1,
      anon_sym_RBRACK,
    ACTIONS(23196), 1,
      anon_sym_SEMI,
    ACTIONS(23198), 1,
      aux_sym__terminator_token1,
    STATE(17281), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17259), 2,
      sym_block_comment,
      sym_line_comment,
  [351435] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23192), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17260), 2,
      sym_block_comment,
      sym_line_comment,
  [351456] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23200), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17261), 2,
      sym_block_comment,
      sym_line_comment,
  [351477] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23200), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17262), 2,
      sym_block_comment,
      sym_line_comment,
  [351498] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8985), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23202), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17263), 2,
      sym_block_comment,
      sym_line_comment,
  [351521] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23204), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17264), 2,
      sym_block_comment,
      sym_line_comment,
  [351542] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23204), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17265), 2,
      sym_block_comment,
      sym_line_comment,
  [351563] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23206), 1,
      anon_sym_COMMA,
    ACTIONS(23208), 1,
      anon_sym_RPAREN,
    STATE(17370), 1,
      aux_sym_argument_list_repeat1,
    STATE(17266), 2,
      sym_block_comment,
      sym_line_comment,
  [351586] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8045), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23210), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17267), 2,
      sym_block_comment,
      sym_line_comment,
  [351609] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23212), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17268), 2,
      sym_block_comment,
      sym_line_comment,
  [351630] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23212), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17269), 2,
      sym_block_comment,
      sym_line_comment,
  [351651] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23214), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17270), 2,
      sym_block_comment,
      sym_line_comment,
  [351672] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23214), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17271), 2,
      sym_block_comment,
      sym_line_comment,
  [351693] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7601), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23216), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17272), 2,
      sym_block_comment,
      sym_line_comment,
  [351716] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8053), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23218), 1,
      anon_sym_COMMA,
    STATE(17335), 1,
      aux_sym_argument_list_repeat1,
    STATE(17273), 2,
      sym_block_comment,
      sym_line_comment,
  [351739] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8769), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17667), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17274), 2,
      sym_block_comment,
      sym_line_comment,
  [351762] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7605), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17747), 1,
      anon_sym_COMMA,
    STATE(17405), 1,
      aux_sym_argument_list_repeat1,
    STATE(17275), 2,
      sym_block_comment,
      sym_line_comment,
  [351785] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23220), 1,
      anon_sym_RBRACK,
    ACTIONS(23222), 1,
      anon_sym_SEMI,
    ACTIONS(23224), 1,
      aux_sym__terminator_token1,
    STATE(17487), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17276), 2,
      sym_block_comment,
      sym_line_comment,
  [351808] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8053), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23218), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17277), 2,
      sym_block_comment,
      sym_line_comment,
  [351831] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23226), 1,
      anon_sym_COMMA,
    ACTIONS(23228), 1,
      anon_sym_RPAREN,
    STATE(16430), 1,
      aux_sym_argument_list_repeat1,
    STATE(17278), 2,
      sym_block_comment,
      sym_line_comment,
  [351854] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23230), 1,
      sym__end_str,
    STATE(17207), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17279), 2,
      sym_block_comment,
      sym_line_comment,
  [351875] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21477), 1,
      anon_sym_COMMA,
    ACTIONS(23232), 1,
      anon_sym_RPAREN,
    ACTIONS(23234), 1,
      anon_sym_SEMI,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(17280), 2,
      sym_block_comment,
      sym_line_comment,
  [351898] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23236), 1,
      anon_sym_RBRACK,
    ACTIONS(23238), 1,
      anon_sym_SEMI,
    ACTIONS(23240), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17281), 2,
      sym_block_comment,
      sym_line_comment,
  [351921] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8799), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23242), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17282), 2,
      sym_block_comment,
      sym_line_comment,
  [351944] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18480), 1,
      anon_sym_COMMA,
    ACTIONS(11139), 2,
      anon_sym_EQ,
      anon_sym_COLON2,
    STATE(17283), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
  [351963] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23244), 1,
      sym__end_str,
    STATE(17298), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17284), 2,
      sym_block_comment,
      sym_line_comment,
  [351984] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23246), 1,
      anon_sym_RBRACK,
    ACTIONS(23248), 1,
      anon_sym_SEMI,
    ACTIONS(23250), 1,
      aux_sym__terminator_token1,
    STATE(17306), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17285), 2,
      sym_block_comment,
      sym_line_comment,
  [352007] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23244), 1,
      sym__end_str,
    STATE(17299), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17286), 2,
      sym_block_comment,
      sym_line_comment,
  [352028] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23252), 1,
      sym__end_cmd,
    STATE(17301), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17287), 2,
      sym_block_comment,
      sym_line_comment,
  [352049] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23252), 1,
      sym__end_cmd,
    STATE(17303), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17288), 2,
      sym_block_comment,
      sym_line_comment,
  [352070] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17289), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10377), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [352087] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23254), 1,
      anon_sym_COMMA,
    ACTIONS(23256), 1,
      anon_sym_RPAREN,
    STATE(16734), 1,
      aux_sym_argument_list_repeat1,
    STATE(17290), 2,
      sym_block_comment,
      sym_line_comment,
  [352110] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21477), 1,
      anon_sym_COMMA,
    ACTIONS(23258), 1,
      anon_sym_RPAREN,
    ACTIONS(23260), 1,
      anon_sym_SEMI,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(17291), 2,
      sym_block_comment,
      sym_line_comment,
  [352133] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23262), 1,
      anon_sym_RBRACK,
    ACTIONS(23264), 1,
      anon_sym_SEMI,
    ACTIONS(23266), 1,
      aux_sym__terminator_token1,
    STATE(17400), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17292), 2,
      sym_block_comment,
      sym_line_comment,
  [352156] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23268), 1,
      anon_sym_RBRACK,
    ACTIONS(23270), 1,
      anon_sym_SEMI,
    ACTIONS(23272), 1,
      aux_sym__terminator_token1,
    STATE(17334), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17293), 2,
      sym_block_comment,
      sym_line_comment,
  [352179] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23230), 1,
      sym__end_str,
    STATE(17210), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17294), 2,
      sym_block_comment,
      sym_line_comment,
  [352200] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23274), 1,
      sym__end_cmd,
    STATE(17246), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17295), 2,
      sym_block_comment,
      sym_line_comment,
  [352221] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23276), 1,
      anon_sym_COMMA,
    ACTIONS(23278), 1,
      anon_sym_RPAREN,
    STATE(17314), 1,
      aux_sym_argument_list_repeat1,
    STATE(17296), 2,
      sym_block_comment,
      sym_line_comment,
  [352244] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23274), 1,
      sym__end_cmd,
    STATE(16735), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17297), 2,
      sym_block_comment,
      sym_line_comment,
  [352265] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23280), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17298), 2,
      sym_block_comment,
      sym_line_comment,
  [352286] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23280), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17299), 2,
      sym_block_comment,
      sym_line_comment,
  [352307] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7611), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23282), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17300), 2,
      sym_block_comment,
      sym_line_comment,
  [352330] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23284), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17301), 2,
      sym_block_comment,
      sym_line_comment,
  [352351] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7565), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17671), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17302), 2,
      sym_block_comment,
      sym_line_comment,
  [352374] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23284), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17303), 2,
      sym_block_comment,
      sym_line_comment,
  [352395] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17304), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22517), 4,
      sym__content_str_1,
      sym__end_str,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [352412] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23286), 1,
      anon_sym_COMMA,
    ACTIONS(23288), 1,
      anon_sym_RPAREN,
    STATE(16338), 1,
      aux_sym_argument_list_repeat1,
    STATE(17305), 2,
      sym_block_comment,
      sym_line_comment,
  [352435] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23290), 1,
      anon_sym_RBRACK,
    ACTIONS(23292), 1,
      anon_sym_SEMI,
    ACTIONS(23294), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17306), 2,
      sym_block_comment,
      sym_line_comment,
  [352458] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17307), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22481), 4,
      sym__content_str_3,
      sym__end_str,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [352475] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17308), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10341), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [352492] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23296), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17309), 2,
      sym_block_comment,
      sym_line_comment,
  [352513] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23298), 1,
      sym__end_str,
    STATE(17325), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17310), 2,
      sym_block_comment,
      sym_line_comment,
  [352534] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23298), 1,
      sym__end_str,
    STATE(17326), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17311), 2,
      sym_block_comment,
      sym_line_comment,
  [352555] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23300), 1,
      sym__end_cmd,
    STATE(17327), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17312), 2,
      sym_block_comment,
      sym_line_comment,
  [352576] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23300), 1,
      sym__end_cmd,
    STATE(17328), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17313), 2,
      sym_block_comment,
      sym_line_comment,
  [352597] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7621), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23302), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17314), 2,
      sym_block_comment,
      sym_line_comment,
  [352620] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7627), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23304), 1,
      anon_sym_COMMA,
    STATE(17330), 1,
      aux_sym_argument_list_repeat1,
    STATE(17315), 2,
      sym_block_comment,
      sym_line_comment,
  [352643] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7627), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23304), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17316), 2,
      sym_block_comment,
      sym_line_comment,
  [352666] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23306), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17317), 2,
      sym_block_comment,
      sym_line_comment,
  [352687] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23306), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17318), 2,
      sym_block_comment,
      sym_line_comment,
  [352708] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7421), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    STATE(16463), 1,
      aux_sym_argument_list_repeat1,
    STATE(17319), 2,
      sym_block_comment,
      sym_line_comment,
  [352731] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23308), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17320), 2,
      sym_block_comment,
      sym_line_comment,
  [352752] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23310), 1,
      anon_sym_RBRACK,
    ACTIONS(23312), 1,
      anon_sym_SEMI,
    ACTIONS(23314), 1,
      aux_sym__terminator_token1,
    STATE(17339), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17321), 2,
      sym_block_comment,
      sym_line_comment,
  [352775] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23316), 1,
      anon_sym_COMMA,
    ACTIONS(23318), 1,
      anon_sym_RPAREN,
    STATE(17476), 1,
      aux_sym_argument_list_repeat1,
    STATE(17322), 2,
      sym_block_comment,
      sym_line_comment,
  [352798] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23320), 1,
      anon_sym_COMMA,
    ACTIONS(23322), 1,
      anon_sym_RPAREN,
    STATE(16267), 1,
      aux_sym_argument_list_repeat1,
    STATE(17323), 2,
      sym_block_comment,
      sym_line_comment,
  [352821] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23308), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17324), 2,
      sym_block_comment,
      sym_line_comment,
  [352842] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23324), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17325), 2,
      sym_block_comment,
      sym_line_comment,
  [352863] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23324), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17326), 2,
      sym_block_comment,
      sym_line_comment,
  [352884] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23326), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17327), 2,
      sym_block_comment,
      sym_line_comment,
  [352905] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23326), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17328), 2,
      sym_block_comment,
      sym_line_comment,
  [352926] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17329), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23328), 4,
      sym__content_str_1,
      sym__end_str,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [352943] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7635), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23330), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17330), 2,
      sym_block_comment,
      sym_line_comment,
  [352966] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23332), 1,
      anon_sym_COMMA,
    ACTIONS(23334), 1,
      anon_sym_RPAREN,
    STATE(16435), 1,
      aux_sym_argument_list_repeat1,
    STATE(17331), 2,
      sym_block_comment,
      sym_line_comment,
  [352989] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23336), 1,
      anon_sym_RBRACK,
    ACTIONS(23338), 1,
      anon_sym_SEMI,
    ACTIONS(23340), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17332), 2,
      sym_block_comment,
      sym_line_comment,
  [353012] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7641), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17791), 1,
      anon_sym_COMMA,
    STATE(17495), 1,
      aux_sym_argument_list_repeat1,
    STATE(17333), 2,
      sym_block_comment,
      sym_line_comment,
  [353035] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23342), 1,
      anon_sym_RBRACK,
    ACTIONS(23344), 1,
      anon_sym_SEMI,
    ACTIONS(23346), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17334), 2,
      sym_block_comment,
      sym_line_comment,
  [353058] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8063), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23348), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17335), 2,
      sym_block_comment,
      sym_line_comment,
  [353081] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8485), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17539), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17336), 2,
      sym_block_comment,
      sym_line_comment,
  [353104] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17900), 1,
      anon_sym_COMMA,
    STATE(16391), 1,
      aux_sym_argument_list_repeat1,
    STATE(17337), 2,
      sym_block_comment,
      sym_line_comment,
  [353127] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8775), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23350), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17338), 2,
      sym_block_comment,
      sym_line_comment,
  [353150] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23352), 1,
      anon_sym_RBRACK,
    ACTIONS(23354), 1,
      anon_sym_SEMI,
    ACTIONS(23356), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17339), 2,
      sym_block_comment,
      sym_line_comment,
  [353173] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23358), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17340), 2,
      sym_block_comment,
      sym_line_comment,
  [353194] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23296), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17341), 2,
      sym_block_comment,
      sym_line_comment,
  [353215] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23358), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17342), 2,
      sym_block_comment,
      sym_line_comment,
  [353236] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23360), 1,
      sym__end_str,
    STATE(17352), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17343), 2,
      sym_block_comment,
      sym_line_comment,
  [353257] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23360), 1,
      sym__end_str,
    STATE(17353), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17344), 2,
      sym_block_comment,
      sym_line_comment,
  [353278] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23362), 1,
      sym__end_cmd,
    STATE(17354), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17345), 2,
      sym_block_comment,
      sym_line_comment,
  [353299] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23362), 1,
      sym__end_cmd,
    STATE(17355), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17346), 2,
      sym_block_comment,
      sym_line_comment,
  [353320] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23364), 1,
      sym__end_str,
    STATE(17362), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17347), 2,
      sym_block_comment,
      sym_line_comment,
  [353341] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23364), 1,
      sym__end_str,
    STATE(17363), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17348), 2,
      sym_block_comment,
      sym_line_comment,
  [353362] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23366), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17349), 2,
      sym_block_comment,
      sym_line_comment,
  [353383] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23368), 1,
      sym__end_cmd,
    STATE(17364), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17350), 2,
      sym_block_comment,
      sym_line_comment,
  [353404] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23366), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17351), 2,
      sym_block_comment,
      sym_line_comment,
  [353425] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23370), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17352), 2,
      sym_block_comment,
      sym_line_comment,
  [353446] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23370), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17353), 2,
      sym_block_comment,
      sym_line_comment,
  [353467] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23372), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17354), 2,
      sym_block_comment,
      sym_line_comment,
  [353488] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23372), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17355), 2,
      sym_block_comment,
      sym_line_comment,
  [353509] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23374), 1,
      anon_sym_COMMA,
    ACTIONS(23376), 1,
      anon_sym_RPAREN,
    STATE(17438), 1,
      aux_sym_argument_list_repeat1,
    STATE(17356), 2,
      sym_block_comment,
      sym_line_comment,
  [353532] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23378), 1,
      anon_sym_RBRACK,
    ACTIONS(23380), 1,
      anon_sym_SEMI,
    ACTIONS(23382), 1,
      aux_sym__terminator_token1,
    STATE(17381), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17357), 2,
      sym_block_comment,
      sym_line_comment,
  [353555] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23368), 1,
      sym__end_cmd,
    STATE(17366), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17358), 2,
      sym_block_comment,
      sym_line_comment,
  [353576] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9091), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23384), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17359), 2,
      sym_block_comment,
      sym_line_comment,
  [353599] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23386), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17360), 2,
      sym_block_comment,
      sym_line_comment,
  [353620] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23388), 1,
      anon_sym_COMMA,
    ACTIONS(23390), 1,
      anon_sym_RPAREN,
    STATE(17020), 1,
      aux_sym_argument_list_repeat1,
    STATE(17361), 2,
      sym_block_comment,
      sym_line_comment,
  [353643] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23392), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17362), 2,
      sym_block_comment,
      sym_line_comment,
  [353664] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23392), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17363), 2,
      sym_block_comment,
      sym_line_comment,
  [353685] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23394), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17364), 2,
      sym_block_comment,
      sym_line_comment,
  [353706] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23396), 1,
      anon_sym_RBRACK,
    ACTIONS(23398), 1,
      anon_sym_SEMI,
    ACTIONS(23400), 1,
      aux_sym__terminator_token1,
    STATE(17383), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17365), 2,
      sym_block_comment,
      sym_line_comment,
  [353729] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23394), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17366), 2,
      sym_block_comment,
      sym_line_comment,
  [353750] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23402), 1,
      anon_sym_COMMA,
    ACTIONS(23404), 1,
      anon_sym_RPAREN,
    STATE(17401), 1,
      aux_sym_argument_list_repeat1,
    STATE(17367), 2,
      sym_block_comment,
      sym_line_comment,
  [353773] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23406), 1,
      sym__end_str,
    STATE(16206), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17368), 2,
      sym_block_comment,
      sym_line_comment,
  [353794] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23406), 1,
      sym__end_str,
    STATE(16207), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17369), 2,
      sym_block_comment,
      sym_line_comment,
  [353815] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7653), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23408), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17370), 2,
      sym_block_comment,
      sym_line_comment,
  [353838] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23410), 1,
      sym__end_cmd,
    STATE(16208), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17371), 2,
      sym_block_comment,
      sym_line_comment,
  [353859] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23410), 1,
      sym__end_cmd,
    STATE(16212), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17372), 2,
      sym_block_comment,
      sym_line_comment,
  [353880] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7525), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23412), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17373), 2,
      sym_block_comment,
      sym_line_comment,
  [353903] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7605), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17747), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17374), 2,
      sym_block_comment,
      sym_line_comment,
  [353926] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17375), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10129), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [353943] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23386), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17376), 2,
      sym_block_comment,
      sym_line_comment,
  [353964] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8997), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23414), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17377), 2,
      sym_block_comment,
      sym_line_comment,
  [353987] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23419), 1,
      sym__end_str,
    ACTIONS(23416), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17378), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_prefixed_string_literal_repeat1,
  [354006] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9095), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17514), 1,
      anon_sym_COMMA,
    STATE(16295), 1,
      aux_sym_argument_list_repeat1,
    STATE(17379), 2,
      sym_block_comment,
      sym_line_comment,
  [354029] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23424), 1,
      sym__end_str,
    ACTIONS(23421), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17380), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_prefixed_string_literal_repeat2,
  [354048] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23426), 1,
      anon_sym_RBRACK,
    ACTIONS(23428), 1,
      anon_sym_SEMI,
    ACTIONS(23430), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17381), 2,
      sym_block_comment,
      sym_line_comment,
  [354071] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8329), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23432), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17382), 2,
      sym_block_comment,
      sym_line_comment,
  [354094] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23434), 1,
      anon_sym_RBRACK,
    ACTIONS(23436), 1,
      anon_sym_SEMI,
    ACTIONS(23438), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17383), 2,
      sym_block_comment,
      sym_line_comment,
  [354117] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21792), 1,
      anon_sym_COMMA,
    ACTIONS(22340), 1,
      anon_sym_SEMI,
    ACTIONS(23440), 1,
      anon_sym_RPAREN,
    STATE(17123), 1,
      aux_sym_argument_list_repeat1,
    STATE(17384), 2,
      sym_block_comment,
      sym_line_comment,
  [354140] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23442), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17385), 2,
      sym_block_comment,
      sym_line_comment,
  [354161] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23444), 1,
      anon_sym_COMMA,
    ACTIONS(23446), 1,
      anon_sym_RPAREN,
    STATE(17434), 1,
      aux_sym_argument_list_repeat1,
    STATE(17386), 2,
      sym_block_comment,
      sym_line_comment,
  [354184] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23448), 1,
      anon_sym_RBRACK,
    ACTIONS(23450), 1,
      anon_sym_SEMI,
    ACTIONS(23452), 1,
      aux_sym__terminator_token1,
    STATE(16239), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17387), 2,
      sym_block_comment,
      sym_line_comment,
  [354207] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7231), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23454), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17388), 2,
      sym_block_comment,
      sym_line_comment,
  [354230] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21477), 1,
      anon_sym_COMMA,
    ACTIONS(23456), 1,
      anon_sym_RPAREN,
    ACTIONS(23458), 1,
      anon_sym_SEMI,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(17389), 2,
      sym_block_comment,
      sym_line_comment,
  [354253] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23442), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17390), 2,
      sym_block_comment,
      sym_line_comment,
  [354274] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8513), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17741), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17391), 2,
      sym_block_comment,
      sym_line_comment,
  [354297] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23460), 1,
      sym__end_str,
    STATE(17428), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17392), 2,
      sym_block_comment,
      sym_line_comment,
  [354318] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23460), 1,
      sym__end_str,
    STATE(17429), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17393), 2,
      sym_block_comment,
      sym_line_comment,
  [354339] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23462), 1,
      sym__end_cmd,
    STATE(17430), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17394), 2,
      sym_block_comment,
      sym_line_comment,
  [354360] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23462), 1,
      sym__end_cmd,
    STATE(17431), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17395), 2,
      sym_block_comment,
      sym_line_comment,
  [354381] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23464), 1,
      sym__end_str,
    STATE(17419), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17396), 2,
      sym_block_comment,
      sym_line_comment,
  [354402] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23464), 1,
      sym__end_str,
    STATE(17420), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17397), 2,
      sym_block_comment,
      sym_line_comment,
  [354423] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23469), 1,
      sym__end_cmd,
    ACTIONS(23466), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17398), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_prefixed_command_literal_repeat1,
  [354442] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23471), 1,
      sym__end_cmd,
    STATE(17421), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17399), 2,
      sym_block_comment,
      sym_line_comment,
  [354463] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23473), 1,
      anon_sym_RBRACK,
    ACTIONS(23475), 1,
      anon_sym_SEMI,
    ACTIONS(23477), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17400), 2,
      sym_block_comment,
      sym_line_comment,
  [354486] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7667), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23479), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17401), 2,
      sym_block_comment,
      sym_line_comment,
  [354509] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7675), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23481), 1,
      anon_sym_COMMA,
    STATE(17432), 1,
      aux_sym_argument_list_repeat1,
    STATE(17402), 2,
      sym_block_comment,
      sym_line_comment,
  [354532] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23471), 1,
      sym__end_cmd,
    STATE(17422), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17403), 2,
      sym_block_comment,
      sym_line_comment,
  [354553] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23483), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17404), 2,
      sym_block_comment,
      sym_line_comment,
  [354574] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7675), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23481), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17405), 2,
      sym_block_comment,
      sym_line_comment,
  [354597] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8141), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23485), 1,
      anon_sym_COMMA,
    STATE(16978), 1,
      aux_sym_argument_list_repeat1,
    STATE(17406), 2,
      sym_block_comment,
      sym_line_comment,
  [354620] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23487), 1,
      sym__end_str,
    STATE(17454), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17407), 2,
      sym_block_comment,
      sym_line_comment,
  [354641] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23487), 1,
      sym__end_str,
    STATE(17455), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17408), 2,
      sym_block_comment,
      sym_line_comment,
  [354662] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23489), 1,
      sym__end_cmd,
    STATE(17456), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17409), 2,
      sym_block_comment,
      sym_line_comment,
  [354683] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23489), 1,
      sym__end_cmd,
    STATE(17459), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17410), 2,
      sym_block_comment,
      sym_line_comment,
  [354704] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23494), 1,
      sym__end_cmd,
    ACTIONS(23491), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17411), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_prefixed_command_literal_repeat2,
  [354723] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17412), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10087), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [354740] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17413), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10091), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [354757] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23483), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17414), 2,
      sym_block_comment,
      sym_line_comment,
  [354778] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7421), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17753), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17415), 2,
      sym_block_comment,
      sym_line_comment,
  [354801] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23106), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17416), 2,
      sym_block_comment,
      sym_line_comment,
  [354822] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23496), 1,
      anon_sym_COMMA,
    ACTIONS(23498), 1,
      anon_sym_RPAREN,
    STATE(16161), 1,
      aux_sym_argument_list_repeat1,
    STATE(17417), 2,
      sym_block_comment,
      sym_line_comment,
  [354845] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23500), 1,
      anon_sym_COMMA,
    ACTIONS(23502), 1,
      anon_sym_RPAREN,
    STATE(17553), 1,
      aux_sym_argument_list_repeat1,
    STATE(17418), 2,
      sym_block_comment,
      sym_line_comment,
  [354868] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23504), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17419), 2,
      sym_block_comment,
      sym_line_comment,
  [354889] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23504), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17420), 2,
      sym_block_comment,
      sym_line_comment,
  [354910] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23506), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17421), 2,
      sym_block_comment,
      sym_line_comment,
  [354931] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23506), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17422), 2,
      sym_block_comment,
      sym_line_comment,
  [354952] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23508), 1,
      anon_sym_RBRACK,
    ACTIONS(23510), 1,
      anon_sym_SEMI,
    ACTIONS(23512), 1,
      aux_sym__terminator_token1,
    STATE(15884), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17423), 2,
      sym_block_comment,
      sym_line_comment,
  [354975] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9005), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(21179), 1,
      anon_sym_COMMA,
    STATE(16248), 1,
      aux_sym_argument_list_repeat1,
    STATE(17424), 2,
      sym_block_comment,
      sym_line_comment,
  [354998] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23514), 1,
      sym__end_str,
    STATE(17442), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17425), 2,
      sym_block_comment,
      sym_line_comment,
  [355019] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23514), 1,
      sym__end_str,
    STATE(17444), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17426), 2,
      sym_block_comment,
      sym_line_comment,
  [355040] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23516), 1,
      sym__end_cmd,
    STATE(17446), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17427), 2,
      sym_block_comment,
      sym_line_comment,
  [355061] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23518), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17428), 2,
      sym_block_comment,
      sym_line_comment,
  [355082] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23518), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17429), 2,
      sym_block_comment,
      sym_line_comment,
  [355103] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23520), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17430), 2,
      sym_block_comment,
      sym_line_comment,
  [355124] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23520), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17431), 2,
      sym_block_comment,
      sym_line_comment,
  [355145] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7703), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23522), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17432), 2,
      sym_block_comment,
      sym_line_comment,
  [355168] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23516), 1,
      sym__end_cmd,
    STATE(17447), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17433), 2,
      sym_block_comment,
      sym_line_comment,
  [355189] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7343), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23524), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17434), 2,
      sym_block_comment,
      sym_line_comment,
  [355212] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7707), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    STATE(17581), 1,
      aux_sym_argument_list_repeat1,
    STATE(17435), 2,
      sym_block_comment,
      sym_line_comment,
  [355235] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7361), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23526), 1,
      anon_sym_COMMA,
    STATE(17466), 1,
      aux_sym_argument_list_repeat1,
    STATE(17436), 2,
      sym_block_comment,
      sym_line_comment,
  [355258] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7361), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23526), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17437), 2,
      sym_block_comment,
      sym_line_comment,
  [355281] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8627), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23528), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17438), 2,
      sym_block_comment,
      sym_line_comment,
  [355304] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8141), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23485), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17439), 2,
      sym_block_comment,
      sym_line_comment,
  [355327] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8819), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17593), 1,
      anon_sym_COMMA,
    STATE(16907), 1,
      aux_sym_argument_list_repeat1,
    STATE(17440), 2,
      sym_block_comment,
      sym_line_comment,
  [355350] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21477), 1,
      anon_sym_COMMA,
    ACTIONS(23530), 1,
      anon_sym_RPAREN,
    ACTIONS(23532), 1,
      anon_sym_SEMI,
    STATE(17439), 1,
      aux_sym_argument_list_repeat1,
    STATE(17441), 2,
      sym_block_comment,
      sym_line_comment,
  [355373] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23534), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17442), 2,
      sym_block_comment,
      sym_line_comment,
  [355394] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8163), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17902), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17443), 2,
      sym_block_comment,
      sym_line_comment,
  [355417] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23534), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17444), 2,
      sym_block_comment,
      sym_line_comment,
  [355438] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23536), 1,
      anon_sym_COMMA,
    ACTIONS(23538), 1,
      anon_sym_RPAREN,
    STATE(16070), 1,
      aux_sym_argument_list_repeat1,
    STATE(17445), 2,
      sym_block_comment,
      sym_line_comment,
  [355461] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23540), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17446), 2,
      sym_block_comment,
      sym_line_comment,
  [355482] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23540), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17447), 2,
      sym_block_comment,
      sym_line_comment,
  [355503] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23542), 1,
      sym__end_str,
    STATE(17457), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17448), 2,
      sym_block_comment,
      sym_line_comment,
  [355524] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23542), 1,
      sym__end_str,
    STATE(17460), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17449), 2,
      sym_block_comment,
      sym_line_comment,
  [355545] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23544), 1,
      anon_sym_COMMA,
    ACTIONS(23546), 1,
      anon_sym_RPAREN,
    STATE(16296), 1,
      aux_sym_argument_list_repeat1,
    STATE(17450), 2,
      sym_block_comment,
      sym_line_comment,
  [355568] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23548), 1,
      sym__end_cmd,
    STATE(17461), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17451), 2,
      sym_block_comment,
      sym_line_comment,
  [355589] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23548), 1,
      sym__end_cmd,
    STATE(17462), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17452), 2,
      sym_block_comment,
      sym_line_comment,
  [355610] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23550), 1,
      anon_sym_RBRACK,
    ACTIONS(23552), 1,
      anon_sym_SEMI,
    ACTIONS(23554), 1,
      aux_sym__terminator_token1,
    STATE(17482), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17453), 2,
      sym_block_comment,
      sym_line_comment,
  [355633] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23556), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17454), 2,
      sym_block_comment,
      sym_line_comment,
  [355654] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23556), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17455), 2,
      sym_block_comment,
      sym_line_comment,
  [355675] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23558), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17456), 2,
      sym_block_comment,
      sym_line_comment,
  [355696] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23560), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17457), 2,
      sym_block_comment,
      sym_line_comment,
  [355717] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17458), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23562), 4,
      sym__content_str_3,
      sym__end_str,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [355734] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23558), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17459), 2,
      sym_block_comment,
      sym_line_comment,
  [355755] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23560), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17460), 2,
      sym_block_comment,
      sym_line_comment,
  [355776] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23564), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17461), 2,
      sym_block_comment,
      sym_line_comment,
  [355797] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23564), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17462), 2,
      sym_block_comment,
      sym_line_comment,
  [355818] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23566), 1,
      sym__end_str,
    STATE(17470), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17463), 2,
      sym_block_comment,
      sym_line_comment,
  [355839] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23566), 1,
      sym__end_str,
    STATE(17471), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17464), 2,
      sym_block_comment,
      sym_line_comment,
  [355860] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23568), 1,
      sym__end_cmd,
    STATE(17472), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17465), 2,
      sym_block_comment,
      sym_line_comment,
  [355881] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7431), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23570), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17466), 2,
      sym_block_comment,
      sym_line_comment,
  [355904] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23568), 1,
      sym__end_cmd,
    STATE(17474), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17467), 2,
      sym_block_comment,
      sym_line_comment,
  [355925] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7449), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17910), 1,
      anon_sym_COMMA,
    STATE(17071), 1,
      aux_sym_argument_list_repeat1,
    STATE(17468), 2,
      sym_block_comment,
      sym_line_comment,
  [355948] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7919), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23572), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17469), 2,
      sym_block_comment,
      sym_line_comment,
  [355971] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23574), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17470), 2,
      sym_block_comment,
      sym_line_comment,
  [355992] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23574), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17471), 2,
      sym_block_comment,
      sym_line_comment,
  [356013] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23576), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17472), 2,
      sym_block_comment,
      sym_line_comment,
  [356034] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23578), 1,
      anon_sym_COMMA,
    ACTIONS(23580), 1,
      anon_sym_RPAREN,
    STATE(17493), 1,
      aux_sym_argument_list_repeat1,
    STATE(17473), 2,
      sym_block_comment,
      sym_line_comment,
  [356057] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23576), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17474), 2,
      sym_block_comment,
      sym_line_comment,
  [356078] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21635), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17475), 2,
      sym_block_comment,
      sym_line_comment,
  [356099] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7713), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23582), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17476), 2,
      sym_block_comment,
      sym_line_comment,
  [356122] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23584), 1,
      sym__end_str,
    STATE(17486), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17477), 2,
      sym_block_comment,
      sym_line_comment,
  [356143] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7641), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17791), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17478), 2,
      sym_block_comment,
      sym_line_comment,
  [356166] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23584), 1,
      sym__end_str,
    STATE(17496), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17479), 2,
      sym_block_comment,
      sym_line_comment,
  [356187] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17480), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10177), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [356204] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23586), 1,
      sym__end_cmd,
    STATE(17497), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17481), 2,
      sym_block_comment,
      sym_line_comment,
  [356225] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23588), 1,
      anon_sym_RBRACK,
    ACTIONS(23590), 1,
      anon_sym_SEMI,
    ACTIONS(23592), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17482), 2,
      sym_block_comment,
      sym_line_comment,
  [356248] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17483), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10321), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [356265] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23586), 1,
      sym__end_cmd,
    STATE(17498), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17484), 2,
      sym_block_comment,
      sym_line_comment,
  [356286] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17485), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10397), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [356303] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23594), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17486), 2,
      sym_block_comment,
      sym_line_comment,
  [356324] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23596), 1,
      anon_sym_RBRACK,
    ACTIONS(23598), 1,
      anon_sym_SEMI,
    ACTIONS(23600), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17487), 2,
      sym_block_comment,
      sym_line_comment,
  [356347] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17488), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10415), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [356364] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23602), 1,
      sym__end_str,
    STATE(17512), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17489), 2,
      sym_block_comment,
      sym_line_comment,
  [356385] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23602), 1,
      sym__end_str,
    STATE(17513), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17490), 2,
      sym_block_comment,
      sym_line_comment,
  [356406] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23604), 1,
      sym__end_cmd,
    STATE(17516), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17491), 2,
      sym_block_comment,
      sym_line_comment,
  [356427] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23604), 1,
      sym__end_cmd,
    STATE(17517), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17492), 2,
      sym_block_comment,
      sym_line_comment,
  [356448] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7723), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23606), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17493), 2,
      sym_block_comment,
      sym_line_comment,
  [356471] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7729), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23608), 1,
      anon_sym_COMMA,
    STATE(17519), 1,
      aux_sym_argument_list_repeat1,
    STATE(17494), 2,
      sym_block_comment,
      sym_line_comment,
  [356494] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7729), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23608), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17495), 2,
      sym_block_comment,
      sym_line_comment,
  [356517] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23594), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17496), 2,
      sym_block_comment,
      sym_line_comment,
  [356538] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23610), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17497), 2,
      sym_block_comment,
      sym_line_comment,
  [356559] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23610), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17498), 2,
      sym_block_comment,
      sym_line_comment,
  [356580] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7801), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23612), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17499), 2,
      sym_block_comment,
      sym_line_comment,
  [356603] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23614), 1,
      sym__end_str,
    STATE(17509), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17500), 2,
      sym_block_comment,
      sym_line_comment,
  [356624] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17501), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10325), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [356641] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17502), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10329), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [356658] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17503), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10381), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [356675] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23614), 1,
      sym__end_str,
    STATE(17510), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17504), 2,
      sym_block_comment,
      sym_line_comment,
  [356696] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23616), 1,
      sym__end_cmd,
    STATE(17511), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17505), 2,
      sym_block_comment,
      sym_line_comment,
  [356717] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17506), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10387), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [356734] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23618), 1,
      anon_sym_COMMA,
    ACTIONS(23620), 1,
      anon_sym_RPAREN,
    STATE(17499), 1,
      aux_sym_argument_list_repeat1,
    STATE(17507), 2,
      sym_block_comment,
      sym_line_comment,
  [356757] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23616), 1,
      sym__end_cmd,
    STATE(17524), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17508), 2,
      sym_block_comment,
      sym_line_comment,
  [356778] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23622), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17509), 2,
      sym_block_comment,
      sym_line_comment,
  [356799] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23622), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17510), 2,
      sym_block_comment,
      sym_line_comment,
  [356820] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23624), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17511), 2,
      sym_block_comment,
      sym_line_comment,
  [356841] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23626), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17512), 2,
      sym_block_comment,
      sym_line_comment,
  [356862] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23626), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17513), 2,
      sym_block_comment,
      sym_line_comment,
  [356883] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18667), 1,
      sym__word_identifier,
    STATE(18684), 1,
      sym_identifier,
    ACTIONS(10133), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(17514), 2,
      sym_block_comment,
      sym_line_comment,
  [356904] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18667), 1,
      sym__word_identifier,
    STATE(18691), 1,
      sym_identifier,
    ACTIONS(10137), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(17515), 2,
      sym_block_comment,
      sym_line_comment,
  [356925] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23628), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17516), 2,
      sym_block_comment,
      sym_line_comment,
  [356946] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23628), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17517), 2,
      sym_block_comment,
      sym_line_comment,
  [356967] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17518), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10391), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [356984] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7737), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23630), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17519), 2,
      sym_block_comment,
      sym_line_comment,
  [357007] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23632), 1,
      sym__end_str,
    STATE(17196), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17520), 2,
      sym_block_comment,
      sym_line_comment,
  [357028] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17521), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10345), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [357045] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23632), 1,
      sym__end_str,
    STATE(17416), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17522), 2,
      sym_block_comment,
      sym_line_comment,
  [357066] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17523), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10419), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [357083] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23624), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17524), 2,
      sym_block_comment,
      sym_line_comment,
  [357104] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7741), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17807), 1,
      anon_sym_COMMA,
    STATE(16480), 1,
      aux_sym_argument_list_repeat1,
    STATE(17525), 2,
      sym_block_comment,
      sym_line_comment,
  [357127] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17526), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10099), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [357144] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17527), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10103), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [357161] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17528), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10423), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [357178] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23634), 1,
      sym__end_cmd,
    STATE(17475), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17529), 2,
      sym_block_comment,
      sym_line_comment,
  [357199] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17530), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10431), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [357216] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23634), 1,
      sym__end_cmd,
    STATE(16219), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17531), 2,
      sym_block_comment,
      sym_line_comment,
  [357237] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17532), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10435), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [357254] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17533), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10439), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [357271] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23636), 1,
      sym__end_str,
    STATE(17539), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17534), 2,
      sym_block_comment,
      sym_line_comment,
  [357292] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23636), 1,
      sym__end_str,
    STATE(17542), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17535), 2,
      sym_block_comment,
      sym_line_comment,
  [357313] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23638), 1,
      sym__end_cmd,
    STATE(17543), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17536), 2,
      sym_block_comment,
      sym_line_comment,
  [357334] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23638), 1,
      sym__end_cmd,
    STATE(17544), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17537), 2,
      sym_block_comment,
      sym_line_comment,
  [357355] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23640), 1,
      anon_sym_RBRACK,
    ACTIONS(23642), 1,
      anon_sym_SEMI,
    ACTIONS(23644), 1,
      aux_sym__terminator_token1,
    STATE(16172), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17538), 2,
      sym_block_comment,
      sym_line_comment,
  [357378] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23646), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17539), 2,
      sym_block_comment,
      sym_line_comment,
  [357399] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23648), 1,
      anon_sym_RBRACK,
    ACTIONS(23650), 1,
      anon_sym_SEMI,
    ACTIONS(23652), 1,
      aux_sym__terminator_token1,
    STATE(17567), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17540), 2,
      sym_block_comment,
      sym_line_comment,
  [357422] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17541), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10141), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [357439] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23646), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17542), 2,
      sym_block_comment,
      sym_line_comment,
  [357460] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23654), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17543), 2,
      sym_block_comment,
      sym_line_comment,
  [357481] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23654), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17544), 2,
      sym_block_comment,
      sym_line_comment,
  [357502] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23656), 1,
      sym__end_str,
    STATE(17550), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17545), 2,
      sym_block_comment,
      sym_line_comment,
  [357523] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23656), 1,
      sym__end_str,
    STATE(17552), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17546), 2,
      sym_block_comment,
      sym_line_comment,
  [357544] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23658), 1,
      sym__end_cmd,
    STATE(17554), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17547), 2,
      sym_block_comment,
      sym_line_comment,
  [357565] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23658), 1,
      sym__end_cmd,
    STATE(17557), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17548), 2,
      sym_block_comment,
      sym_line_comment,
  [357586] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23660), 1,
      anon_sym_COMMA,
    ACTIONS(23662), 1,
      anon_sym_RPAREN,
    STATE(17579), 1,
      aux_sym_argument_list_repeat1,
    STATE(17549), 2,
      sym_block_comment,
      sym_line_comment,
  [357609] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23664), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17550), 2,
      sym_block_comment,
      sym_line_comment,
  [357630] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17551), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10293), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [357647] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23664), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17552), 2,
      sym_block_comment,
      sym_line_comment,
  [357668] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7755), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23666), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17553), 2,
      sym_block_comment,
      sym_line_comment,
  [357691] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23668), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17554), 2,
      sym_block_comment,
      sym_line_comment,
  [357712] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7707), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17797), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17555), 2,
      sym_block_comment,
      sym_line_comment,
  [357735] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17556), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10309), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [357752] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23668), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17557), 2,
      sym_block_comment,
      sym_line_comment,
  [357773] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23670), 1,
      sym__end_str,
    STATE(17565), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17558), 2,
      sym_block_comment,
      sym_line_comment,
  [357794] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17559), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10349), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [357811] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23670), 1,
      sym__end_str,
    STATE(17566), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17560), 2,
      sym_block_comment,
      sym_line_comment,
  [357832] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23672), 1,
      sym__end_cmd,
    STATE(17570), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17561), 2,
      sym_block_comment,
      sym_line_comment,
  [357853] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23672), 1,
      sym__end_cmd,
    STATE(17571), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17562), 2,
      sym_block_comment,
      sym_line_comment,
  [357874] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17563), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(10353), 4,
      sym__immediate_paren,
      sym__immediate_bracket,
      sym__immediate_brace,
      anon_sym_DOT,
  [357891] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7923), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(17856), 1,
      anon_sym_COMMA,
    STATE(16943), 1,
      aux_sym_argument_list_repeat1,
    STATE(17564), 2,
      sym_block_comment,
      sym_line_comment,
  [357914] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23674), 1,
      sym__end_str,
    STATE(17378), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17565), 2,
      sym_block_comment,
      sym_line_comment,
  [357935] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23674), 1,
      sym__end_str,
    STATE(17380), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17566), 2,
      sym_block_comment,
      sym_line_comment,
  [357956] = 7,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23676), 1,
      anon_sym_RBRACK,
    ACTIONS(23678), 1,
      anon_sym_SEMI,
    ACTIONS(23680), 1,
      aux_sym__terminator_token1,
    STATE(16265), 1,
      aux_sym_matrix_expression_repeat1,
    STATE(17567), 2,
      sym_block_comment,
      sym_line_comment,
  [357979] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18667), 1,
      sym__word_identifier,
    STATE(18701), 1,
      sym_identifier,
    ACTIONS(10145), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(17568), 2,
      sym_block_comment,
      sym_line_comment,
  [358000] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18667), 1,
      sym__word_identifier,
    STATE(18708), 1,
      sym_identifier,
    ACTIONS(10009), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(17569), 2,
      sym_block_comment,
      sym_line_comment,
  [358021] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23682), 1,
      sym__end_cmd,
    STATE(17398), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17570), 2,
      sym_block_comment,
      sym_line_comment,
  [358042] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23682), 1,
      sym__end_cmd,
    STATE(17411), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17571), 2,
      sym_block_comment,
      sym_line_comment,
  [358063] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17572), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(9909), 4,
      sym__content_cmd_3,
      sym__end_cmd,
      anon_sym_DOLLAR,
      sym_escape_sequence,
  [358080] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23684), 1,
      sym__end_str,
    STATE(15853), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17573), 2,
      sym_block_comment,
      sym_line_comment,
  [358101] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23684), 1,
      sym__end_str,
    STATE(15854), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17574), 2,
      sym_block_comment,
      sym_line_comment,
  [358122] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23686), 1,
      sym__end_str,
    STATE(16429), 1,
      aux_sym_prefixed_string_literal_repeat1,
    ACTIONS(21163), 2,
      sym__content_str_1_raw,
      sym_escape_sequence,
    STATE(17575), 2,
      sym_block_comment,
      sym_line_comment,
  [358143] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23686), 1,
      sym__end_str,
    STATE(16675), 1,
      aux_sym_prefixed_string_literal_repeat2,
    ACTIONS(21167), 2,
      sym__content_str_3_raw,
      sym_escape_sequence,
    STATE(17576), 2,
      sym_block_comment,
      sym_line_comment,
  [358164] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23688), 1,
      sym__end_cmd,
    STATE(16717), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17577), 2,
      sym_block_comment,
      sym_line_comment,
  [358185] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23688), 1,
      sym__end_cmd,
    STATE(16783), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17578), 2,
      sym_block_comment,
      sym_line_comment,
  [358206] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7769), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23690), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17579), 2,
      sym_block_comment,
      sym_line_comment,
  [358229] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7777), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23692), 1,
      anon_sym_COMMA,
    STATE(17054), 1,
      aux_sym_argument_list_repeat1,
    STATE(17580), 2,
      sym_block_comment,
      sym_line_comment,
  [358252] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7777), 1,
      anon_sym_RPAREN,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    ACTIONS(23692), 1,
      anon_sym_COMMA,
    STATE(17037), 1,
      aux_sym_argument_list_repeat1,
    STATE(17581), 2,
      sym_block_comment,
      sym_line_comment,
  [358275] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23694), 1,
      sym__end_cmd,
    STATE(15855), 1,
      aux_sym_prefixed_command_literal_repeat1,
    ACTIONS(21169), 2,
      sym__content_cmd_1_raw,
      sym_escape_sequence,
    STATE(17582), 2,
      sym_block_comment,
      sym_line_comment,
  [358296] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23694), 1,
      sym__end_cmd,
    STATE(15856), 1,
      aux_sym_prefixed_command_literal_repeat2,
    ACTIONS(21173), 2,
      sym__content_cmd_3_raw,
      sym_escape_sequence,
    STATE(17583), 2,
      sym_block_comment,
      sym_line_comment,
  [358317] = 7,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21587), 1,
      anon_sym_DQUOTE,
    ACTIONS(21589), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(15875), 1,
      sym__delimiter_str_1,
    STATE(15876), 1,
      sym__delimiter_str_3,
    STATE(17584), 2,
      sym_block_comment,
      sym_line_comment,
  [358340] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7759), 1,
      anon_sym_RBRACK,
    ACTIONS(23696), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17585), 2,
      sym_block_comment,
      sym_line_comment,
  [358360] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23698), 1,
      anon_sym_LPAREN,
    STATE(8002), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17586), 2,
      sym_block_comment,
      sym_line_comment,
  [358378] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8925), 1,
      anon_sym_RPAREN,
    ACTIONS(23700), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17587), 2,
      sym_block_comment,
      sym_line_comment,
  [358398] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23702), 1,
      sym__immediate_paren,
    ACTIONS(23704), 1,
      sym__immediate_bracket,
    ACTIONS(23706), 1,
      sym__immediate_brace,
    STATE(17588), 2,
      sym_block_comment,
      sym_line_comment,
  [358418] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21127), 1,
      anon_sym_end,
    STATE(20229), 1,
      sym_finally_clause,
    STATE(17589), 2,
      sym_block_comment,
      sym_line_comment,
  [358438] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8519), 1,
      anon_sym_RPAREN,
    ACTIONS(19336), 1,
      anon_sym_COMMA,
    STATE(17607), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17590), 2,
      sym_block_comment,
      sym_line_comment,
  [358458] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21032), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19267), 1,
      sym_catch_clause,
    STATE(17591), 2,
      sym_block_comment,
      sym_line_comment,
  [358478] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8933), 1,
      anon_sym_RPAREN,
    ACTIONS(23710), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17592), 2,
      sym_block_comment,
      sym_line_comment,
  [358498] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7943), 1,
      anon_sym_RPAREN,
    ACTIONS(23712), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17593), 2,
      sym_block_comment,
      sym_line_comment,
  [358518] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23714), 1,
      anon_sym_LPAREN,
    STATE(10571), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17594), 2,
      sym_block_comment,
      sym_line_comment,
  [358536] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19542), 1,
      sym__comprehension_clause,
    STATE(17595), 2,
      sym_block_comment,
      sym_line_comment,
  [358556] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8521), 1,
      anon_sym_RBRACK,
    ACTIONS(23716), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17596), 2,
      sym_block_comment,
      sym_line_comment,
  [358576] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19316), 1,
      anon_sym_RPAREN,
    ACTIONS(23718), 1,
      anon_sym_COMMA,
    STATE(17597), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_tuple_expression_repeat1,
  [358594] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23721), 1,
      sym__immediate_paren,
    ACTIONS(23723), 1,
      sym__immediate_bracket,
    ACTIONS(23725), 1,
      sym__immediate_brace,
    STATE(17598), 2,
      sym_block_comment,
      sym_line_comment,
  [358614] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7651), 1,
      anon_sym_RBRACK,
    ACTIONS(23727), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17599), 2,
      sym_block_comment,
      sym_line_comment,
  [358634] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8525), 1,
      anon_sym_RBRACE,
    ACTIONS(23729), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17600), 2,
      sym_block_comment,
      sym_line_comment,
  [358654] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8267), 1,
      anon_sym_RBRACK,
    ACTIONS(23731), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17601), 2,
      sym_block_comment,
      sym_line_comment,
  [358674] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21133), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(18886), 1,
      sym_catch_clause,
    STATE(17602), 2,
      sym_block_comment,
      sym_line_comment,
  [358694] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21133), 1,
      anon_sym_end,
    STATE(18886), 1,
      sym_finally_clause,
    STATE(17603), 2,
      sym_block_comment,
      sym_line_comment,
  [358714] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21127), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(20229), 1,
      sym_catch_clause,
    STATE(17604), 2,
      sym_block_comment,
      sym_line_comment,
  [358734] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7873), 1,
      anon_sym_RPAREN,
    ACTIONS(18854), 1,
      anon_sym_COMMA,
    STATE(17620), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17605), 2,
      sym_block_comment,
      sym_line_comment,
  [358754] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(23735), 1,
      aux_sym__terminator_token1,
    ACTIONS(23733), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(17606), 2,
      sym_block_comment,
      sym_line_comment,
  [358772] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8957), 1,
      anon_sym_RPAREN,
    ACTIONS(23737), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17607), 2,
      sym_block_comment,
      sym_line_comment,
  [358792] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7875), 1,
      anon_sym_RBRACK,
    ACTIONS(23739), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17608), 2,
      sym_block_comment,
      sym_line_comment,
  [358812] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7885), 1,
      anon_sym_RBRACE,
    ACTIONS(23741), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17609), 2,
      sym_block_comment,
      sym_line_comment,
  [358832] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21137), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19083), 1,
      sym_catch_clause,
    STATE(17610), 2,
      sym_block_comment,
      sym_line_comment,
  [358852] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21137), 1,
      anon_sym_end,
    STATE(19083), 1,
      sym_finally_clause,
    STATE(17611), 2,
      sym_block_comment,
      sym_line_comment,
  [358872] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16555), 1,
      sym__word_identifier,
    STATE(7375), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(17612), 2,
      sym_block_comment,
      sym_line_comment,
  [358890] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21026), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19787), 1,
      sym_catch_clause,
    STATE(17613), 2,
      sym_block_comment,
      sym_line_comment,
  [358910] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21082), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(18876), 1,
      sym_catch_clause,
    STATE(17614), 2,
      sym_block_comment,
      sym_line_comment,
  [358930] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(23743), 1,
      anon_sym_end,
    STATE(19701), 1,
      sym_finally_clause,
    STATE(17615), 2,
      sym_block_comment,
      sym_line_comment,
  [358950] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21082), 1,
      anon_sym_end,
    STATE(18876), 1,
      sym_finally_clause,
    STATE(17616), 2,
      sym_block_comment,
      sym_line_comment,
  [358970] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21038), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19266), 1,
      sym_catch_clause,
    STATE(17617), 2,
      sym_block_comment,
      sym_line_comment,
  [358990] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21038), 1,
      anon_sym_end,
    STATE(19266), 1,
      sym_finally_clause,
    STATE(17618), 2,
      sym_block_comment,
      sym_line_comment,
  [359010] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18936), 1,
      anon_sym_COMMA,
    ACTIONS(18938), 1,
      anon_sym_RBRACE,
    STATE(17630), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17619), 2,
      sym_block_comment,
      sym_line_comment,
  [359030] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7749), 1,
      anon_sym_RPAREN,
    ACTIONS(23745), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17620), 2,
      sym_block_comment,
      sym_line_comment,
  [359050] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9033), 1,
      anon_sym_RPAREN,
    ACTIONS(19264), 1,
      anon_sym_COMMA,
    STATE(17695), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17621), 2,
      sym_block_comment,
      sym_line_comment,
  [359070] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18814), 1,
      anon_sym_COMMA,
    ACTIONS(18816), 1,
      anon_sym_RBRACE,
    STATE(17632), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17622), 2,
      sym_block_comment,
      sym_line_comment,
  [359090] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8381), 1,
      anon_sym_RPAREN,
    ACTIONS(19306), 1,
      anon_sym_COMMA,
    STATE(18016), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17623), 2,
      sym_block_comment,
      sym_line_comment,
  [359110] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23747), 1,
      anon_sym_LPAREN,
    STATE(5660), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17624), 2,
      sym_block_comment,
      sym_line_comment,
  [359128] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23749), 1,
      anon_sym_LPAREN,
    STATE(7038), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17625), 2,
      sym_block_comment,
      sym_line_comment,
  [359146] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8541), 1,
      anon_sym_RPAREN,
    ACTIONS(19258), 1,
      anon_sym_COMMA,
    STATE(17633), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17626), 2,
      sym_block_comment,
      sym_line_comment,
  [359166] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7177), 1,
      anon_sym_RPAREN,
    ACTIONS(19108), 1,
      anon_sym_COMMA,
    STATE(17637), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17627), 2,
      sym_block_comment,
      sym_line_comment,
  [359186] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8543), 1,
      anon_sym_RBRACK,
    ACTIONS(23751), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17628), 2,
      sym_block_comment,
      sym_line_comment,
  [359206] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7179), 1,
      anon_sym_RBRACK,
    ACTIONS(23753), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17629), 2,
      sym_block_comment,
      sym_line_comment,
  [359226] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8545), 1,
      anon_sym_RBRACE,
    ACTIONS(23755), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17630), 2,
      sym_block_comment,
      sym_line_comment,
  [359246] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21080), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19928), 1,
      sym_catch_clause,
    STATE(17631), 2,
      sym_block_comment,
      sym_line_comment,
  [359266] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7183), 1,
      anon_sym_RBRACE,
    ACTIONS(23757), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17632), 2,
      sym_block_comment,
      sym_line_comment,
  [359286] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8959), 1,
      anon_sym_RPAREN,
    ACTIONS(23759), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17633), 2,
      sym_block_comment,
      sym_line_comment,
  [359306] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21046), 1,
      anon_sym_end,
    STATE(19867), 1,
      sym_finally_clause,
    STATE(17634), 2,
      sym_block_comment,
      sym_line_comment,
  [359326] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21080), 1,
      anon_sym_end,
    STATE(19928), 1,
      sym_finally_clause,
    STATE(17635), 2,
      sym_block_comment,
      sym_line_comment,
  [359346] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21046), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19867), 1,
      sym_catch_clause,
    STATE(17636), 2,
      sym_block_comment,
      sym_line_comment,
  [359366] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8047), 1,
      anon_sym_RPAREN,
    ACTIONS(23761), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17637), 2,
      sym_block_comment,
      sym_line_comment,
  [359386] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21103), 1,
      anon_sym_end,
    STATE(20277), 1,
      sym_finally_clause,
    STATE(17638), 2,
      sym_block_comment,
      sym_line_comment,
  [359406] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7953), 1,
      anon_sym_RPAREN,
    ACTIONS(23763), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17639), 2,
      sym_block_comment,
      sym_line_comment,
  [359426] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7191), 1,
      anon_sym_RPAREN,
    ACTIONS(23765), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17640), 2,
      sym_block_comment,
      sym_line_comment,
  [359446] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(23767), 1,
      anon_sym_end,
    STATE(19991), 1,
      sym_finally_clause,
    STATE(17641), 2,
      sym_block_comment,
      sym_line_comment,
  [359466] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7151), 1,
      anon_sym_RPAREN,
    ACTIONS(18730), 1,
      anon_sym_COMMA,
    STATE(17751), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17642), 2,
      sym_block_comment,
      sym_line_comment,
  [359486] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17643), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23769), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
  [359502] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7803), 1,
      anon_sym_RPAREN,
    ACTIONS(18900), 1,
      anon_sym_COMMA,
    STATE(18073), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17644), 2,
      sym_block_comment,
      sym_line_comment,
  [359522] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19180), 1,
      anon_sym_COMMA,
    ACTIONS(19182), 1,
      anon_sym_RBRACE,
    STATE(17658), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17645), 2,
      sym_block_comment,
      sym_line_comment,
  [359542] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8383), 1,
      anon_sym_RBRACK,
    ACTIONS(23771), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17646), 2,
      sym_block_comment,
      sym_line_comment,
  [359562] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19290), 1,
      anon_sym_COMMA,
    ACTIONS(19292), 1,
      anon_sym_RBRACE,
    STATE(17674), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17647), 2,
      sym_block_comment,
      sym_line_comment,
  [359582] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23773), 1,
      anon_sym_LPAREN,
    STATE(7501), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17648), 2,
      sym_block_comment,
      sym_line_comment,
  [359600] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23775), 1,
      anon_sym_LPAREN,
    STATE(7374), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17649), 2,
      sym_block_comment,
      sym_line_comment,
  [359618] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19216), 1,
      anon_sym_COMMA,
    ACTIONS(19218), 1,
      anon_sym_RBRACE,
    STATE(17662), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17650), 2,
      sym_block_comment,
      sym_line_comment,
  [359638] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23777), 1,
      anon_sym_LPAREN,
    STATE(11830), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17651), 2,
      sym_block_comment,
      sym_line_comment,
  [359656] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8569), 1,
      anon_sym_RPAREN,
    ACTIONS(19020), 1,
      anon_sym_COMMA,
    STATE(17665), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17652), 2,
      sym_block_comment,
      sym_line_comment,
  [359676] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16565), 1,
      sym__word_identifier,
    STATE(7159), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(17653), 2,
      sym_block_comment,
      sym_line_comment,
  [359694] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9035), 1,
      anon_sym_RBRACK,
    ACTIONS(23779), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17654), 2,
      sym_block_comment,
      sym_line_comment,
  [359714] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8571), 1,
      anon_sym_RBRACK,
    ACTIONS(23781), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17655), 2,
      sym_block_comment,
      sym_line_comment,
  [359734] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7245), 1,
      anon_sym_RPAREN,
    ACTIONS(19042), 1,
      anon_sym_COMMA,
    STATE(17671), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17656), 2,
      sym_block_comment,
      sym_line_comment,
  [359754] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8167), 1,
      anon_sym_RPAREN,
    ACTIONS(19076), 1,
      anon_sym_COMMA,
    STATE(17683), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17657), 2,
      sym_block_comment,
      sym_line_comment,
  [359774] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8575), 1,
      anon_sym_RBRACE,
    ACTIONS(23783), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17658), 2,
      sym_block_comment,
      sym_line_comment,
  [359794] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21064), 1,
      anon_sym_end,
    STATE(19942), 1,
      sym_finally_clause,
    STATE(17659), 2,
      sym_block_comment,
      sym_line_comment,
  [359814] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7247), 1,
      anon_sym_RBRACK,
    ACTIONS(23785), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17660), 2,
      sym_block_comment,
      sym_line_comment,
  [359834] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21062), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19270), 1,
      sym_catch_clause,
    STATE(17661), 2,
      sym_block_comment,
      sym_line_comment,
  [359854] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7249), 1,
      anon_sym_RBRACE,
    ACTIONS(23787), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17662), 2,
      sym_block_comment,
      sym_line_comment,
  [359874] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21064), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19942), 1,
      sym_catch_clause,
    STATE(17663), 2,
      sym_block_comment,
      sym_line_comment,
  [359894] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23789), 1,
      sym__immediate_paren,
    ACTIONS(23791), 1,
      sym__immediate_bracket,
    ACTIONS(23793), 1,
      sym__immediate_brace,
    STATE(17664), 2,
      sym_block_comment,
      sym_line_comment,
  [359914] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8961), 1,
      anon_sym_RPAREN,
    ACTIONS(23795), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17665), 2,
      sym_block_comment,
      sym_line_comment,
  [359934] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9037), 1,
      anon_sym_RBRACE,
    ACTIONS(23797), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17666), 2,
      sym_block_comment,
      sym_line_comment,
  [359954] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19301), 1,
      sym__comprehension_clause,
    STATE(17667), 2,
      sym_block_comment,
      sym_line_comment,
  [359974] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8169), 1,
      anon_sym_RBRACK,
    ACTIONS(23799), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17668), 2,
      sym_block_comment,
      sym_line_comment,
  [359994] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23801), 1,
      sym__immediate_paren,
    ACTIONS(23803), 1,
      sym__immediate_bracket,
    ACTIONS(23805), 1,
      sym__immediate_brace,
    STATE(17669), 2,
      sym_block_comment,
      sym_line_comment,
  [360014] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8387), 1,
      anon_sym_RBRACE,
    ACTIONS(23807), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17670), 2,
      sym_block_comment,
      sym_line_comment,
  [360034] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8129), 1,
      anon_sym_RPAREN,
    ACTIONS(23809), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17671), 2,
      sym_block_comment,
      sym_line_comment,
  [360054] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7153), 1,
      anon_sym_RBRACK,
    ACTIONS(23811), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17672), 2,
      sym_block_comment,
      sym_line_comment,
  [360074] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16667), 1,
      sym__word_identifier,
    STATE(7203), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(17673), 2,
      sym_block_comment,
      sym_line_comment,
  [360092] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8173), 1,
      anon_sym_RBRACE,
    ACTIONS(23813), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17674), 2,
      sym_block_comment,
      sym_line_comment,
  [360112] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18954), 1,
      anon_sym_COMMA,
    ACTIONS(18956), 1,
      anon_sym_RBRACE,
    STATE(17943), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17675), 2,
      sym_block_comment,
      sym_line_comment,
  [360132] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7181), 1,
      anon_sym_RBRACE,
    ACTIONS(23815), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17676), 2,
      sym_block_comment,
      sym_line_comment,
  [360152] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23817), 1,
      sym__immediate_paren,
    ACTIONS(23819), 1,
      sym__immediate_bracket,
    ACTIONS(23821), 1,
      sym__immediate_brace,
    STATE(17677), 2,
      sym_block_comment,
      sym_line_comment,
  [360172] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19058), 1,
      anon_sym_COMMA,
    ACTIONS(19060), 1,
      anon_sym_RBRACE,
    STATE(18123), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17678), 2,
      sym_block_comment,
      sym_line_comment,
  [360192] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(20297), 1,
      sym__comprehension_clause,
    STATE(17679), 2,
      sym_block_comment,
      sym_line_comment,
  [360212] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18750), 1,
      anon_sym_COMMA,
    ACTIONS(18752), 1,
      anon_sym_RBRACE,
    STATE(17688), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17680), 2,
      sym_block_comment,
      sym_line_comment,
  [360232] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23823), 1,
      sym__immediate_paren,
    ACTIONS(23825), 1,
      sym__immediate_bracket,
    ACTIONS(23827), 1,
      sym__immediate_brace,
    STATE(17681), 2,
      sym_block_comment,
      sym_line_comment,
  [360252] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23829), 1,
      anon_sym_LPAREN,
    STATE(5972), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17682), 2,
      sym_block_comment,
      sym_line_comment,
  [360270] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8935), 1,
      anon_sym_RPAREN,
    ACTIONS(23831), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17683), 2,
      sym_block_comment,
      sym_line_comment,
  [360290] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23833), 1,
      anon_sym_LPAREN,
    STATE(5119), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17684), 2,
      sym_block_comment,
      sym_line_comment,
  [360308] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8599), 1,
      anon_sym_RPAREN,
    ACTIONS(19168), 1,
      anon_sym_COMMA,
    STATE(17691), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17685), 2,
      sym_block_comment,
      sym_line_comment,
  [360328] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8601), 1,
      anon_sym_RBRACK,
    ACTIONS(23835), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17686), 2,
      sym_block_comment,
      sym_line_comment,
  [360348] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23837), 1,
      sym__immediate_paren,
    ACTIONS(23839), 1,
      sym__immediate_bracket,
    ACTIONS(23841), 1,
      sym__immediate_brace,
    STATE(17687), 2,
      sym_block_comment,
      sym_line_comment,
  [360368] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8605), 1,
      anon_sym_RBRACE,
    ACTIONS(23843), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17688), 2,
      sym_block_comment,
      sym_line_comment,
  [360388] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23845), 1,
      anon_sym_LPAREN,
    STATE(10416), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17689), 2,
      sym_block_comment,
      sym_line_comment,
  [360406] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(20355), 1,
      sym__comprehension_clause,
    STATE(17690), 2,
      sym_block_comment,
      sym_line_comment,
  [360426] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8963), 1,
      anon_sym_RPAREN,
    ACTIONS(23847), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17691), 2,
      sym_block_comment,
      sym_line_comment,
  [360446] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23849), 1,
      sym__immediate_paren,
    ACTIONS(23851), 1,
      sym__immediate_bracket,
    ACTIONS(23853), 1,
      sym__immediate_brace,
    STATE(17692), 2,
      sym_block_comment,
      sym_line_comment,
  [360466] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19062), 1,
      anon_sym_COMMA,
    ACTIONS(19064), 1,
      anon_sym_RBRACE,
    STATE(17760), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17693), 2,
      sym_block_comment,
      sym_line_comment,
  [360486] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19284), 1,
      anon_sym_COMMA,
    ACTIONS(19286), 1,
      anon_sym_RBRACE,
    STATE(18097), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17694), 2,
      sym_block_comment,
      sym_line_comment,
  [360506] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7771), 1,
      anon_sym_RPAREN,
    ACTIONS(23855), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17695), 2,
      sym_block_comment,
      sym_line_comment,
  [360526] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18818), 1,
      anon_sym_COMMA,
    ACTIONS(18820), 1,
      anon_sym_RBRACE,
    STATE(17725), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17696), 2,
      sym_block_comment,
      sym_line_comment,
  [360546] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23857), 1,
      anon_sym_LPAREN,
    STATE(7824), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17697), 2,
      sym_block_comment,
      sym_line_comment,
  [360564] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21099), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19163), 1,
      sym_catch_clause,
    STATE(17698), 2,
      sym_block_comment,
      sym_line_comment,
  [360584] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23859), 1,
      sym__immediate_paren,
    ACTIONS(23861), 1,
      sym__immediate_bracket,
    ACTIONS(23863), 1,
      sym__immediate_brace,
    STATE(17699), 2,
      sym_block_comment,
      sym_line_comment,
  [360604] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23865), 1,
      anon_sym_LPAREN,
    STATE(4702), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17700), 2,
      sym_block_comment,
      sym_line_comment,
  [360622] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(20132), 1,
      sym__comprehension_clause,
    STATE(17701), 2,
      sym_block_comment,
      sym_line_comment,
  [360642] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23867), 1,
      sym__immediate_paren,
    ACTIONS(23869), 1,
      sym__immediate_bracket,
    ACTIONS(23871), 1,
      sym__immediate_brace,
    STATE(17702), 2,
      sym_block_comment,
      sym_line_comment,
  [360662] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7305), 1,
      anon_sym_RPAREN,
    ACTIONS(19016), 1,
      anon_sym_COMMA,
    STATE(17743), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17703), 2,
      sym_block_comment,
      sym_line_comment,
  [360682] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18830), 1,
      anon_sym_COMMA,
    ACTIONS(18832), 1,
      anon_sym_RBRACE,
    STATE(17715), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17704), 2,
      sym_block_comment,
      sym_line_comment,
  [360702] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16535), 1,
      sym__word_identifier,
    STATE(7563), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(17705), 2,
      sym_block_comment,
      sym_line_comment,
  [360720] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23873), 1,
      anon_sym_LPAREN,
    STATE(7905), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17706), 2,
      sym_block_comment,
      sym_line_comment,
  [360738] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23875), 1,
      sym__immediate_paren,
    ACTIONS(23877), 1,
      sym__immediate_bracket,
    ACTIONS(23879), 1,
      sym__immediate_brace,
    STATE(17707), 2,
      sym_block_comment,
      sym_line_comment,
  [360758] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19252), 1,
      anon_sym_COMMA,
    ACTIONS(19254), 1,
      anon_sym_RBRACE,
    STATE(17772), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17708), 2,
      sym_block_comment,
      sym_line_comment,
  [360778] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8631), 1,
      anon_sym_RPAREN,
    ACTIONS(19110), 1,
      anon_sym_COMMA,
    STATE(17720), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17709), 2,
      sym_block_comment,
      sym_line_comment,
  [360798] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19503), 1,
      sym__comprehension_clause,
    STATE(17710), 2,
      sym_block_comment,
      sym_line_comment,
  [360818] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23881), 1,
      sym__immediate_paren,
    ACTIONS(23883), 1,
      sym__immediate_bracket,
    ACTIONS(23885), 1,
      sym__immediate_brace,
    STATE(17711), 2,
      sym_block_comment,
      sym_line_comment,
  [360838] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17712), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(22138), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [360854] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8633), 1,
      anon_sym_RBRACK,
    ACTIONS(23887), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17713), 2,
      sym_block_comment,
      sym_line_comment,
  [360874] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23889), 1,
      anon_sym_LPAREN,
    STATE(11229), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17714), 2,
      sym_block_comment,
      sym_line_comment,
  [360892] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8639), 1,
      anon_sym_RBRACE,
    ACTIONS(23891), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17715), 2,
      sym_block_comment,
      sym_line_comment,
  [360912] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21048), 1,
      anon_sym_end,
    STATE(19370), 1,
      sym_finally_clause,
    STATE(17716), 2,
      sym_block_comment,
      sym_line_comment,
  [360932] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7307), 1,
      anon_sym_RBRACK,
    ACTIONS(23893), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17717), 2,
      sym_block_comment,
      sym_line_comment,
  [360952] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23895), 1,
      sym__immediate_paren,
    ACTIONS(23897), 1,
      sym__immediate_bracket,
    ACTIONS(23899), 1,
      sym__immediate_brace,
    STATE(17718), 2,
      sym_block_comment,
      sym_line_comment,
  [360972] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21048), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19370), 1,
      sym_catch_clause,
    STATE(17719), 2,
      sym_block_comment,
      sym_line_comment,
  [360992] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_RPAREN,
    ACTIONS(23901), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17720), 2,
      sym_block_comment,
      sym_line_comment,
  [361012] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17721), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(18872), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [361028] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(20081), 1,
      sym__comprehension_clause,
    STATE(17722), 2,
      sym_block_comment,
      sym_line_comment,
  [361048] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23903), 1,
      sym__immediate_paren,
    ACTIONS(23905), 1,
      sym__immediate_bracket,
    ACTIONS(23907), 1,
      sym__immediate_brace,
    STATE(17723), 2,
      sym_block_comment,
      sym_line_comment,
  [361068] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23909), 1,
      sym__word_identifier,
    ACTIONS(23911), 1,
      sym__immediate_paren,
    STATE(17304), 1,
      sym_identifier,
    STATE(17724), 2,
      sym_block_comment,
      sym_line_comment,
  [361088] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7309), 1,
      anon_sym_RBRACE,
    ACTIONS(23913), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17725), 2,
      sym_block_comment,
      sym_line_comment,
  [361108] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23915), 1,
      sym__immediate_paren,
    ACTIONS(23917), 1,
      sym__immediate_bracket,
    ACTIONS(23919), 1,
      sym__immediate_brace,
    STATE(17726), 2,
      sym_block_comment,
      sym_line_comment,
  [361128] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19302), 1,
      anon_sym_COMMA,
    ACTIONS(19304), 1,
      anon_sym_RBRACE,
    STATE(17758), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17727), 2,
      sym_block_comment,
      sym_line_comment,
  [361148] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21066), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19623), 1,
      sym_catch_clause,
    STATE(17728), 2,
      sym_block_comment,
      sym_line_comment,
  [361168] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(18783), 1,
      sym__comprehension_clause,
    STATE(17729), 2,
      sym_block_comment,
      sym_line_comment,
  [361188] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21066), 1,
      anon_sym_end,
    STATE(19623), 1,
      sym_finally_clause,
    STATE(17730), 2,
      sym_block_comment,
      sym_line_comment,
  [361208] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23921), 1,
      sym__immediate_paren,
    ACTIONS(23923), 1,
      sym__immediate_bracket,
    ACTIONS(23925), 1,
      sym__immediate_brace,
    STATE(17731), 2,
      sym_block_comment,
      sym_line_comment,
  [361228] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23927), 1,
      anon_sym_LPAREN,
    STATE(7244), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17732), 2,
      sym_block_comment,
      sym_line_comment,
  [361246] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7983), 1,
      anon_sym_RPAREN,
    ACTIONS(18802), 1,
      anon_sym_COMMA,
    STATE(17816), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17733), 2,
      sym_block_comment,
      sym_line_comment,
  [361266] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23929), 1,
      sym__immediate_paren,
    ACTIONS(23931), 1,
      sym__immediate_bracket,
    ACTIONS(23933), 1,
      sym__immediate_brace,
    STATE(17734), 2,
      sym_block_comment,
      sym_line_comment,
  [361286] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18874), 1,
      anon_sym_COMMA,
    ACTIONS(18876), 1,
      anon_sym_RBRACE,
    STATE(17750), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17735), 2,
      sym_block_comment,
      sym_line_comment,
  [361306] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23935), 1,
      anon_sym_LPAREN,
    STATE(7124), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17736), 2,
      sym_block_comment,
      sym_line_comment,
  [361324] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(18936), 1,
      sym__comprehension_clause,
    STATE(17737), 2,
      sym_block_comment,
      sym_line_comment,
  [361344] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23937), 1,
      sym__immediate_paren,
    ACTIONS(23939), 1,
      sym__immediate_bracket,
    ACTIONS(23941), 1,
      sym__immediate_brace,
    STATE(17738), 2,
      sym_block_comment,
      sym_line_comment,
  [361364] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21125), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19661), 1,
      sym_catch_clause,
    STATE(17739), 2,
      sym_block_comment,
      sym_line_comment,
  [361384] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8209), 1,
      anon_sym_RPAREN,
    ACTIONS(19118), 1,
      anon_sym_COMMA,
    STATE(17777), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17740), 2,
      sym_block_comment,
      sym_line_comment,
  [361404] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8661), 1,
      anon_sym_RPAREN,
    ACTIONS(19366), 1,
      anon_sym_COMMA,
    STATE(17757), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17741), 2,
      sym_block_comment,
      sym_line_comment,
  [361424] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21125), 1,
      anon_sym_end,
    STATE(19661), 1,
      sym_finally_clause,
    STATE(17742), 2,
      sym_block_comment,
      sym_line_comment,
  [361444] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8219), 1,
      anon_sym_RPAREN,
    ACTIONS(23943), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17743), 2,
      sym_block_comment,
      sym_line_comment,
  [361464] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17744), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23945), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
  [361480] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8299), 1,
      anon_sym_RPAREN,
    ACTIONS(19148), 1,
      anon_sym_COMMA,
    STATE(17864), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17745), 2,
      sym_block_comment,
      sym_line_comment,
  [361500] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8663), 1,
      anon_sym_RBRACK,
    ACTIONS(23947), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17746), 2,
      sym_block_comment,
      sym_line_comment,
  [361520] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23949), 1,
      sym__immediate_paren,
    ACTIONS(23951), 1,
      sym__immediate_bracket,
    ACTIONS(23953), 1,
      sym__immediate_brace,
    STATE(17747), 2,
      sym_block_comment,
      sym_line_comment,
  [361540] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17748), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19316), 3,
      anon_sym_COMMA,
      anon_sym_for,
      anon_sym_RPAREN,
  [361556] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7985), 1,
      anon_sym_RBRACK,
    ACTIONS(23955), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17749), 2,
      sym_block_comment,
      sym_line_comment,
  [361576] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8665), 1,
      anon_sym_RBRACE,
    ACTIONS(23957), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17750), 2,
      sym_block_comment,
      sym_line_comment,
  [361596] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7349), 1,
      anon_sym_RPAREN,
    ACTIONS(23959), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17751), 2,
      sym_block_comment,
      sym_line_comment,
  [361616] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8211), 1,
      anon_sym_RBRACK,
    ACTIONS(23961), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17752), 2,
      sym_block_comment,
      sym_line_comment,
  [361636] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19194), 1,
      sym__comprehension_clause,
    STATE(17753), 2,
      sym_block_comment,
      sym_line_comment,
  [361656] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19224), 1,
      anon_sym_COMMA,
    ACTIONS(19226), 1,
      anon_sym_RBRACE,
    STATE(18061), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17754), 2,
      sym_block_comment,
      sym_line_comment,
  [361676] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23963), 1,
      sym__immediate_paren,
    ACTIONS(23965), 1,
      sym__immediate_bracket,
    ACTIONS(23967), 1,
      sym__immediate_brace,
    STATE(17755), 2,
      sym_block_comment,
      sym_line_comment,
  [361696] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11139), 1,
      anon_sym_EQ,
    ACTIONS(17516), 1,
      anon_sym_COMMA,
    STATE(17756), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym_open_tuple_repeat1,
  [361714] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8967), 1,
      anon_sym_RPAREN,
    ACTIONS(23969), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17757), 2,
      sym_block_comment,
      sym_line_comment,
  [361734] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8213), 1,
      anon_sym_RBRACE,
    ACTIONS(23971), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17758), 2,
      sym_block_comment,
      sym_line_comment,
  [361754] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23973), 1,
      sym__immediate_paren,
    ACTIONS(23975), 1,
      sym__immediate_bracket,
    ACTIONS(23977), 1,
      sym__immediate_brace,
    STATE(17759), 2,
      sym_block_comment,
      sym_line_comment,
  [361774] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7987), 1,
      anon_sym_RBRACE,
    ACTIONS(23979), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17760), 2,
      sym_block_comment,
      sym_line_comment,
  [361794] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(20078), 1,
      sym__comprehension_clause,
    STATE(17761), 2,
      sym_block_comment,
      sym_line_comment,
  [361814] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23981), 1,
      sym__immediate_paren,
    ACTIONS(23983), 1,
      sym__immediate_bracket,
    ACTIONS(23985), 1,
      sym__immediate_brace,
    STATE(17762), 2,
      sym_block_comment,
      sym_line_comment,
  [361834] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8301), 1,
      anon_sym_RBRACK,
    ACTIONS(23987), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17763), 2,
      sym_block_comment,
      sym_line_comment,
  [361854] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23989), 1,
      sym__immediate_paren,
    ACTIONS(23991), 1,
      sym__immediate_bracket,
    ACTIONS(23993), 1,
      sym__immediate_brace,
    STATE(17764), 2,
      sym_block_comment,
      sym_line_comment,
  [361874] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(18944), 1,
      sym__comprehension_clause,
    STATE(17765), 2,
      sym_block_comment,
      sym_line_comment,
  [361894] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23995), 1,
      sym__immediate_paren,
    ACTIONS(23997), 1,
      sym__immediate_bracket,
    ACTIONS(23999), 1,
      sym__immediate_brace,
    STATE(17766), 2,
      sym_block_comment,
      sym_line_comment,
  [361914] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24001), 1,
      sym__immediate_paren,
    ACTIONS(24003), 1,
      sym__immediate_bracket,
    ACTIONS(24005), 1,
      sym__immediate_brace,
    STATE(17767), 2,
      sym_block_comment,
      sym_line_comment,
  [361934] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19656), 1,
      sym__comprehension_clause,
    STATE(17768), 2,
      sym_block_comment,
      sym_line_comment,
  [361954] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19098), 1,
      anon_sym_COMMA,
    ACTIONS(19100), 1,
      anon_sym_RBRACE,
    STATE(18164), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17769), 2,
      sym_block_comment,
      sym_line_comment,
  [361974] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24007), 1,
      sym__immediate_paren,
    ACTIONS(24009), 1,
      sym__immediate_bracket,
    ACTIONS(24011), 1,
      sym__immediate_brace,
    STATE(17770), 2,
      sym_block_comment,
      sym_line_comment,
  [361994] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24013), 1,
      sym__immediate_paren,
    ACTIONS(24015), 1,
      sym__immediate_bracket,
    ACTIONS(24017), 1,
      sym__immediate_brace,
    STATE(17771), 2,
      sym_block_comment,
      sym_line_comment,
  [362014] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8311), 1,
      anon_sym_RBRACE,
    ACTIONS(24019), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17772), 2,
      sym_block_comment,
      sym_line_comment,
  [362034] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21034), 1,
      anon_sym_end,
    STATE(19840), 1,
      sym_finally_clause,
    STATE(17773), 2,
      sym_block_comment,
      sym_line_comment,
  [362054] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24021), 1,
      anon_sym_LPAREN,
    STATE(6434), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17774), 2,
      sym_block_comment,
      sym_line_comment,
  [362072] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(20188), 1,
      sym__comprehension_clause,
    STATE(17775), 2,
      sym_block_comment,
      sym_line_comment,
  [362092] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24023), 1,
      sym__immediate_paren,
    ACTIONS(24025), 1,
      sym__immediate_bracket,
    ACTIONS(24027), 1,
      sym__immediate_brace,
    STATE(17776), 2,
      sym_block_comment,
      sym_line_comment,
  [362112] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_RPAREN,
    ACTIONS(24029), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17777), 2,
      sym_block_comment,
      sym_line_comment,
  [362132] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24031), 1,
      sym__immediate_paren,
    ACTIONS(24033), 1,
      sym__immediate_bracket,
    ACTIONS(24035), 1,
      sym__immediate_brace,
    STATE(17778), 2,
      sym_block_comment,
      sym_line_comment,
  [362152] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19019), 1,
      sym__comprehension_clause,
    STATE(17779), 2,
      sym_block_comment,
      sym_line_comment,
  [362172] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24037), 1,
      sym__immediate_paren,
    ACTIONS(24039), 1,
      sym__immediate_bracket,
    ACTIONS(24041), 1,
      sym__immediate_brace,
    STATE(17780), 2,
      sym_block_comment,
      sym_line_comment,
  [362192] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18950), 1,
      anon_sym_COMMA,
    ACTIONS(18952), 1,
      anon_sym_RBRACE,
    STATE(17799), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17781), 2,
      sym_block_comment,
      sym_line_comment,
  [362212] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24043), 1,
      sym__immediate_paren,
    ACTIONS(24045), 1,
      sym__immediate_bracket,
    ACTIONS(24047), 1,
      sym__immediate_brace,
    STATE(17782), 2,
      sym_block_comment,
      sym_line_comment,
  [362232] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21115), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19574), 1,
      sym_catch_clause,
    STATE(17783), 2,
      sym_block_comment,
      sym_line_comment,
  [362252] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24049), 1,
      anon_sym_LPAREN,
    STATE(7564), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17784), 2,
      sym_block_comment,
      sym_line_comment,
  [362270] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19227), 1,
      sym__comprehension_clause,
    STATE(17785), 2,
      sym_block_comment,
      sym_line_comment,
  [362290] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24051), 1,
      sym__immediate_paren,
    ACTIONS(24053), 1,
      sym__immediate_bracket,
    ACTIONS(24055), 1,
      sym__immediate_brace,
    STATE(17786), 2,
      sym_block_comment,
      sym_line_comment,
  [362310] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24057), 1,
      sym__immediate_paren,
    ACTIONS(24059), 1,
      sym__immediate_bracket,
    ACTIONS(24061), 1,
      sym__immediate_brace,
    STATE(17787), 2,
      sym_block_comment,
      sym_line_comment,
  [362330] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21034), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19840), 1,
      sym_catch_clause,
    STATE(17788), 2,
      sym_block_comment,
      sym_line_comment,
  [362350] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8683), 1,
      anon_sym_RPAREN,
    ACTIONS(18852), 1,
      anon_sym_COMMA,
    STATE(17807), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17789), 2,
      sym_block_comment,
      sym_line_comment,
  [362370] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19735), 1,
      sym__comprehension_clause,
    STATE(17790), 2,
      sym_block_comment,
      sym_line_comment,
  [362390] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24063), 1,
      sym__immediate_paren,
    ACTIONS(24065), 1,
      sym__immediate_bracket,
    ACTIONS(24067), 1,
      sym__immediate_brace,
    STATE(17791), 2,
      sym_block_comment,
      sym_line_comment,
  [362410] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24069), 1,
      sym__immediate_paren,
    ACTIONS(24071), 1,
      sym__immediate_bracket,
    ACTIONS(24073), 1,
      sym__immediate_brace,
    STATE(17792), 2,
      sym_block_comment,
      sym_line_comment,
  [362430] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21115), 1,
      anon_sym_end,
    STATE(19574), 1,
      sym_finally_clause,
    STATE(17793), 2,
      sym_block_comment,
      sym_line_comment,
  [362450] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8685), 1,
      anon_sym_RBRACK,
    ACTIONS(24075), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17794), 2,
      sym_block_comment,
      sym_line_comment,
  [362470] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19274), 1,
      sym__comprehension_clause,
    STATE(17795), 2,
      sym_block_comment,
      sym_line_comment,
  [362490] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24077), 1,
      sym__immediate_paren,
    ACTIONS(24079), 1,
      sym__immediate_bracket,
    ACTIONS(24081), 1,
      sym__immediate_brace,
    STATE(17796), 2,
      sym_block_comment,
      sym_line_comment,
  [362510] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21145), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19142), 1,
      sym_catch_clause,
    STATE(17797), 2,
      sym_block_comment,
      sym_line_comment,
  [362530] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24083), 1,
      sym__immediate_paren,
    ACTIONS(24085), 1,
      sym__immediate_bracket,
    ACTIONS(24087), 1,
      sym__immediate_brace,
    STATE(17798), 2,
      sym_block_comment,
      sym_line_comment,
  [362550] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8689), 1,
      anon_sym_RBRACE,
    ACTIONS(24089), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17799), 2,
      sym_block_comment,
      sym_line_comment,
  [362570] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19785), 1,
      sym__comprehension_clause,
    STATE(17800), 2,
      sym_block_comment,
      sym_line_comment,
  [362590] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24091), 1,
      sym__immediate_paren,
    ACTIONS(24093), 1,
      sym__immediate_bracket,
    ACTIONS(24095), 1,
      sym__immediate_brace,
    STATE(17801), 2,
      sym_block_comment,
      sym_line_comment,
  [362610] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24097), 1,
      sym__immediate_paren,
    ACTIONS(24099), 1,
      sym__immediate_bracket,
    ACTIONS(24101), 1,
      sym__immediate_brace,
    STATE(17802), 2,
      sym_block_comment,
      sym_line_comment,
  [362630] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(24103), 1,
      anon_sym_end,
    STATE(20122), 1,
      sym_finally_clause,
    STATE(17803), 2,
      sym_block_comment,
      sym_line_comment,
  [362650] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(18985), 1,
      sym__comprehension_clause,
    STATE(17804), 2,
      sym_block_comment,
      sym_line_comment,
  [362670] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24105), 1,
      sym__immediate_paren,
    ACTIONS(24107), 1,
      sym__immediate_bracket,
    ACTIONS(24109), 1,
      sym__immediate_brace,
    STATE(17805), 2,
      sym_block_comment,
      sym_line_comment,
  [362690] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24111), 1,
      sym__immediate_paren,
    ACTIONS(24113), 1,
      sym__immediate_bracket,
    ACTIONS(24115), 1,
      sym__immediate_brace,
    STATE(17806), 2,
      sym_block_comment,
      sym_line_comment,
  [362710] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8969), 1,
      anon_sym_RPAREN,
    ACTIONS(24117), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17807), 2,
      sym_block_comment,
      sym_line_comment,
  [362730] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19119), 1,
      sym__comprehension_clause,
    STATE(17808), 2,
      sym_block_comment,
      sym_line_comment,
  [362750] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24119), 1,
      sym__immediate_paren,
    ACTIONS(24121), 1,
      sym__immediate_bracket,
    ACTIONS(24123), 1,
      sym__immediate_brace,
    STATE(17809), 2,
      sym_block_comment,
      sym_line_comment,
  [362770] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24125), 1,
      sym__immediate_paren,
    ACTIONS(24127), 1,
      sym__immediate_bracket,
    ACTIONS(24129), 1,
      sym__immediate_brace,
    STATE(17810), 2,
      sym_block_comment,
      sym_line_comment,
  [362790] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21145), 1,
      anon_sym_end,
    STATE(19142), 1,
      sym_finally_clause,
    STATE(17811), 2,
      sym_block_comment,
      sym_line_comment,
  [362810] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19289), 1,
      sym__comprehension_clause,
    STATE(17812), 2,
      sym_block_comment,
      sym_line_comment,
  [362830] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18904), 1,
      anon_sym_COMMA,
    ACTIONS(18906), 1,
      anon_sym_RBRACE,
    STATE(17932), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17813), 2,
      sym_block_comment,
      sym_line_comment,
  [362850] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24131), 1,
      sym__immediate_paren,
    ACTIONS(24133), 1,
      sym__immediate_bracket,
    ACTIONS(24135), 1,
      sym__immediate_brace,
    STATE(17814), 2,
      sym_block_comment,
      sym_line_comment,
  [362870] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24137), 1,
      sym__immediate_paren,
    ACTIONS(24139), 1,
      sym__immediate_bracket,
    ACTIONS(24141), 1,
      sym__immediate_brace,
    STATE(17815), 2,
      sym_block_comment,
      sym_line_comment,
  [362890] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8927), 1,
      anon_sym_RPAREN,
    ACTIONS(24143), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17816), 2,
      sym_block_comment,
      sym_line_comment,
  [362910] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19477), 1,
      sym__comprehension_clause,
    STATE(17817), 2,
      sym_block_comment,
      sym_line_comment,
  [362930] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24145), 1,
      sym__immediate_paren,
    ACTIONS(24147), 1,
      sym__immediate_bracket,
    ACTIONS(24149), 1,
      sym__immediate_brace,
    STATE(17818), 2,
      sym_block_comment,
      sym_line_comment,
  [362950] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24151), 1,
      sym__immediate_paren,
    ACTIONS(24153), 1,
      sym__immediate_bracket,
    ACTIONS(24155), 1,
      sym__immediate_brace,
    STATE(17819), 2,
      sym_block_comment,
      sym_line_comment,
  [362970] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19683), 1,
      sym__comprehension_clause,
    STATE(17820), 2,
      sym_block_comment,
      sym_line_comment,
  [362990] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24157), 1,
      sym__immediate_paren,
    ACTIONS(24159), 1,
      sym__immediate_bracket,
    ACTIONS(24161), 1,
      sym__immediate_brace,
    STATE(17821), 2,
      sym_block_comment,
      sym_line_comment,
  [363010] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    STATE(11595), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(17822), 2,
      sym_block_comment,
      sym_line_comment,
  [363028] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19822), 1,
      sym__comprehension_clause,
    STATE(17823), 2,
      sym_block_comment,
      sym_line_comment,
  [363048] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(20016), 1,
      sym__comprehension_clause,
    STATE(17824), 2,
      sym_block_comment,
      sym_line_comment,
  [363068] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(20208), 1,
      sym__comprehension_clause,
    STATE(17825), 2,
      sym_block_comment,
      sym_line_comment,
  [363088] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24163), 1,
      sym__word_identifier,
    ACTIONS(24165), 1,
      sym__immediate_paren,
    STATE(16775), 1,
      sym_identifier,
    STATE(17826), 2,
      sym_block_comment,
      sym_line_comment,
  [363108] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(20348), 1,
      sym__comprehension_clause,
    STATE(17827), 2,
      sym_block_comment,
      sym_line_comment,
  [363128] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24167), 1,
      anon_sym_LPAREN,
    STATE(5296), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17828), 2,
      sym_block_comment,
      sym_line_comment,
  [363146] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(20034), 1,
      sym__comprehension_clause,
    STATE(17829), 2,
      sym_block_comment,
      sym_line_comment,
  [363166] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18980), 1,
      anon_sym_COMMA,
    ACTIONS(18982), 1,
      anon_sym_RBRACE,
    STATE(17840), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17830), 2,
      sym_block_comment,
      sym_line_comment,
  [363186] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(20305), 1,
      sym__comprehension_clause,
    STATE(17831), 2,
      sym_block_comment,
      sym_line_comment,
  [363206] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24169), 1,
      anon_sym_LPAREN,
    STATE(8040), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17832), 2,
      sym_block_comment,
      sym_line_comment,
  [363224] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19240), 1,
      sym__comprehension_clause,
    STATE(17833), 2,
      sym_block_comment,
      sym_line_comment,
  [363244] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8715), 1,
      anon_sym_RPAREN,
    ACTIONS(18944), 1,
      anon_sym_COMMA,
    STATE(17848), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17834), 2,
      sym_block_comment,
      sym_line_comment,
  [363264] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19585), 1,
      sym__comprehension_clause,
    STATE(17835), 2,
      sym_block_comment,
      sym_line_comment,
  [363284] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21044), 1,
      anon_sym_end,
    STATE(19983), 1,
      sym_finally_clause,
    STATE(17836), 2,
      sym_block_comment,
      sym_line_comment,
  [363304] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8717), 1,
      anon_sym_RBRACK,
    ACTIONS(24171), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17837), 2,
      sym_block_comment,
      sym_line_comment,
  [363324] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19525), 1,
      sym__comprehension_clause,
    STATE(17838), 2,
      sym_block_comment,
      sym_line_comment,
  [363344] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21044), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19983), 1,
      sym_catch_clause,
    STATE(17839), 2,
      sym_block_comment,
      sym_line_comment,
  [363364] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8721), 1,
      anon_sym_RBRACE,
    ACTIONS(24173), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17840), 2,
      sym_block_comment,
      sym_line_comment,
  [363384] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19279), 1,
      sym__comprehension_clause,
    STATE(17841), 2,
      sym_block_comment,
      sym_line_comment,
  [363404] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21151), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(18913), 1,
      sym_catch_clause,
    STATE(17842), 2,
      sym_block_comment,
      sym_line_comment,
  [363424] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21151), 1,
      anon_sym_end,
    STATE(18913), 1,
      sym_finally_clause,
    STATE(17843), 2,
      sym_block_comment,
      sym_line_comment,
  [363444] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19328), 1,
      anon_sym_COMMA,
    ACTIONS(19330), 1,
      anon_sym_RBRACE,
    STATE(17862), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17844), 2,
      sym_block_comment,
      sym_line_comment,
  [363464] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19916), 1,
      sym__comprehension_clause,
    STATE(17845), 2,
      sym_block_comment,
      sym_line_comment,
  [363484] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24175), 1,
      anon_sym_LPAREN,
    STATE(12220), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17846), 2,
      sym_block_comment,
      sym_line_comment,
  [363502] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19137), 1,
      sym__comprehension_clause,
    STATE(17847), 2,
      sym_block_comment,
      sym_line_comment,
  [363522] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8971), 1,
      anon_sym_RPAREN,
    ACTIONS(24177), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17848), 2,
      sym_block_comment,
      sym_line_comment,
  [363542] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19674), 1,
      sym__comprehension_clause,
    STATE(17849), 2,
      sym_block_comment,
      sym_line_comment,
  [363562] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(18970), 1,
      sym__comprehension_clause,
    STATE(17850), 2,
      sym_block_comment,
      sym_line_comment,
  [363582] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(20041), 1,
      sym__comprehension_clause,
    STATE(17851), 2,
      sym_block_comment,
      sym_line_comment,
  [363602] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24179), 1,
      anon_sym_LPAREN,
    STATE(5858), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17852), 2,
      sym_block_comment,
      sym_line_comment,
  [363620] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(18880), 1,
      sym__comprehension_clause,
    STATE(17853), 2,
      sym_block_comment,
      sym_line_comment,
  [363640] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8245), 1,
      anon_sym_RPAREN,
    ACTIONS(19256), 1,
      anon_sym_COMMA,
    STATE(17876), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17854), 2,
      sym_block_comment,
      sym_line_comment,
  [363660] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8341), 1,
      anon_sym_RPAREN,
    ACTIONS(19288), 1,
      anon_sym_COMMA,
    STATE(17981), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17855), 2,
      sym_block_comment,
      sym_line_comment,
  [363680] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19167), 1,
      sym__comprehension_clause,
    STATE(17856), 2,
      sym_block_comment,
      sym_line_comment,
  [363700] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19411), 1,
      sym__comprehension_clause,
    STATE(17857), 2,
      sym_block_comment,
      sym_line_comment,
  [363720] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8247), 1,
      anon_sym_RBRACK,
    ACTIONS(24181), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17858), 2,
      sym_block_comment,
      sym_line_comment,
  [363740] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13207), 1,
      anon_sym_for,
    ACTIONS(24183), 1,
      anon_sym_SEMI2,
    STATE(17859), 3,
      sym_block_comment,
      sym_line_comment,
      aux_sym__terminator_repeat1,
  [363758] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19630), 1,
      sym__comprehension_clause,
    STATE(17860), 2,
      sym_block_comment,
      sym_line_comment,
  [363778] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(24186), 1,
      anon_sym_end,
    STATE(20136), 1,
      sym_finally_clause,
    STATE(17861), 2,
      sym_block_comment,
      sym_line_comment,
  [363798] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8251), 1,
      anon_sym_RBRACE,
    ACTIONS(24188), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17862), 2,
      sym_block_comment,
      sym_line_comment,
  [363818] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19799), 1,
      sym__comprehension_clause,
    STATE(17863), 2,
      sym_block_comment,
      sym_line_comment,
  [363838] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8421), 1,
      anon_sym_RPAREN,
    ACTIONS(24190), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17864), 2,
      sym_block_comment,
      sym_line_comment,
  [363858] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19008), 1,
      anon_sym_COMMA,
    ACTIONS(19010), 1,
      anon_sym_RBRACE,
    STATE(17877), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17865), 2,
      sym_block_comment,
      sym_line_comment,
  [363878] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19953), 1,
      sym__comprehension_clause,
    STATE(17866), 2,
      sym_block_comment,
      sym_line_comment,
  [363898] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24192), 1,
      anon_sym_LPAREN,
    STATE(7448), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17867), 2,
      sym_block_comment,
      sym_line_comment,
  [363916] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(20114), 1,
      sym__comprehension_clause,
    STATE(17868), 2,
      sym_block_comment,
      sym_line_comment,
  [363936] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24196), 1,
      anon_sym_else,
    ACTIONS(24194), 2,
      anon_sym_end,
      anon_sym_elseif,
    STATE(17869), 2,
      sym_block_comment,
      sym_line_comment,
  [363954] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(20252), 1,
      sym__comprehension_clause,
    STATE(17870), 2,
      sym_block_comment,
      sym_line_comment,
  [363974] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8743), 1,
      anon_sym_RPAREN,
    ACTIONS(18970), 1,
      anon_sym_COMMA,
    STATE(17883), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17871), 2,
      sym_block_comment,
      sym_line_comment,
  [363994] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19110), 1,
      sym__comprehension_clause,
    STATE(17872), 2,
      sym_block_comment,
      sym_line_comment,
  [364014] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8745), 1,
      anon_sym_RBRACK,
    ACTIONS(24198), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17873), 2,
      sym_block_comment,
      sym_line_comment,
  [364034] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19444), 1,
      sym__comprehension_clause,
    STATE(17874), 2,
      sym_block_comment,
      sym_line_comment,
  [364054] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7805), 1,
      anon_sym_RBRACK,
    ACTIONS(24200), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17875), 2,
      sym_block_comment,
      sym_line_comment,
  [364074] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8939), 1,
      anon_sym_RPAREN,
    ACTIONS(24202), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17876), 2,
      sym_block_comment,
      sym_line_comment,
  [364094] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8749), 1,
      anon_sym_RBRACE,
    ACTIONS(24204), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17877), 2,
      sym_block_comment,
      sym_line_comment,
  [364114] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19136), 1,
      sym__comprehension_clause,
    STATE(17878), 2,
      sym_block_comment,
      sym_line_comment,
  [364134] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(24206), 1,
      anon_sym_end,
    STATE(20134), 1,
      sym_finally_clause,
    STATE(17879), 2,
      sym_block_comment,
      sym_line_comment,
  [364154] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7257), 1,
      anon_sym_RPAREN,
    ACTIONS(24208), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17880), 2,
      sym_block_comment,
      sym_line_comment,
  [364174] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19752), 1,
      sym__comprehension_clause,
    STATE(17881), 2,
      sym_block_comment,
      sym_line_comment,
  [364194] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(20324), 1,
      sym__comprehension_clause,
    STATE(17882), 2,
      sym_block_comment,
      sym_line_comment,
  [364214] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8973), 1,
      anon_sym_RPAREN,
    ACTIONS(24210), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17883), 2,
      sym_block_comment,
      sym_line_comment,
  [364234] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19870), 1,
      sym__comprehension_clause,
    STATE(17884), 2,
      sym_block_comment,
      sym_line_comment,
  [364254] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19171), 1,
      sym__comprehension_clause,
    STATE(17885), 2,
      sym_block_comment,
      sym_line_comment,
  [364274] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19732), 1,
      sym__comprehension_clause,
    STATE(17886), 2,
      sym_block_comment,
      sym_line_comment,
  [364294] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18824), 1,
      anon_sym_COMMA,
    ACTIONS(18826), 1,
      anon_sym_RBRACE,
    STATE(17909), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17887), 2,
      sym_block_comment,
      sym_line_comment,
  [364314] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(20096), 1,
      sym__comprehension_clause,
    STATE(17888), 2,
      sym_block_comment,
      sym_line_comment,
  [364334] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(18811), 1,
      sym__comprehension_clause,
    STATE(17889), 2,
      sym_block_comment,
      sym_line_comment,
  [364354] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24212), 1,
      anon_sym_LPAREN,
    STATE(6481), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17890), 2,
      sym_block_comment,
      sym_line_comment,
  [364372] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(18898), 1,
      sym__comprehension_clause,
    STATE(17891), 2,
      sym_block_comment,
      sym_line_comment,
  [364392] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19044), 1,
      sym__comprehension_clause,
    STATE(17892), 2,
      sym_block_comment,
      sym_line_comment,
  [364412] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19193), 1,
      sym__comprehension_clause,
    STATE(17893), 2,
      sym_block_comment,
      sym_line_comment,
  [364432] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19318), 1,
      sym__comprehension_clause,
    STATE(17894), 2,
      sym_block_comment,
      sym_line_comment,
  [364452] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19090), 1,
      anon_sym_COMMA,
    ACTIONS(19092), 1,
      anon_sym_RBRACE,
    STATE(17900), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17895), 2,
      sym_block_comment,
      sym_line_comment,
  [364472] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24214), 1,
      anon_sym_LPAREN,
    STATE(9469), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17896), 2,
      sym_block_comment,
      sym_line_comment,
  [364490] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7897), 1,
      anon_sym_RPAREN,
    ACTIONS(19174), 1,
      anon_sym_COMMA,
    STATE(17969), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17897), 2,
      sym_block_comment,
      sym_line_comment,
  [364510] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8779), 1,
      anon_sym_RPAREN,
    ACTIONS(19006), 1,
      anon_sym_COMMA,
    STATE(17903), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17898), 2,
      sym_block_comment,
      sym_line_comment,
  [364530] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8781), 1,
      anon_sym_RBRACK,
    ACTIONS(24216), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17899), 2,
      sym_block_comment,
      sym_line_comment,
  [364550] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8785), 1,
      anon_sym_RBRACE,
    ACTIONS(24218), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17900), 2,
      sym_block_comment,
      sym_line_comment,
  [364570] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9069), 1,
      anon_sym_RPAREN,
    ACTIONS(19210), 1,
      anon_sym_COMMA,
    STATE(17928), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17901), 2,
      sym_block_comment,
      sym_line_comment,
  [364590] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19358), 1,
      anon_sym_COMMA,
    ACTIONS(19360), 1,
      anon_sym_RBRACE,
    STATE(17911), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17902), 2,
      sym_block_comment,
      sym_line_comment,
  [364610] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8975), 1,
      anon_sym_RPAREN,
    ACTIONS(24220), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17903), 2,
      sym_block_comment,
      sym_line_comment,
  [364630] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24222), 1,
      anon_sym_LPAREN,
    STATE(5688), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17904), 2,
      sym_block_comment,
      sym_line_comment,
  [364648] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8269), 1,
      anon_sym_RPAREN,
    ACTIONS(19320), 1,
      anon_sym_COMMA,
    STATE(17915), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17905), 2,
      sym_block_comment,
      sym_line_comment,
  [364668] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9071), 1,
      anon_sym_RBRACK,
    ACTIONS(24224), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17906), 2,
      sym_block_comment,
      sym_line_comment,
  [364688] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8271), 1,
      anon_sym_RBRACK,
    ACTIONS(24226), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17907), 2,
      sym_block_comment,
      sym_line_comment,
  [364708] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19202), 1,
      anon_sym_COMMA,
    ACTIONS(19204), 1,
      anon_sym_RBRACE,
    STATE(17917), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17908), 2,
      sym_block_comment,
      sym_line_comment,
  [364728] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9073), 1,
      anon_sym_RBRACE,
    ACTIONS(24228), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17909), 2,
      sym_block_comment,
      sym_line_comment,
  [364748] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24230), 1,
      anon_sym_LPAREN,
    STATE(8327), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17910), 2,
      sym_block_comment,
      sym_line_comment,
  [364766] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8273), 1,
      anon_sym_RBRACE,
    ACTIONS(24232), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17911), 2,
      sym_block_comment,
      sym_line_comment,
  [364786] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8801), 1,
      anon_sym_RPAREN,
    ACTIONS(19056), 1,
      anon_sym_COMMA,
    STATE(17921), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17912), 2,
      sym_block_comment,
      sym_line_comment,
  [364806] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8803), 1,
      anon_sym_RBRACK,
    ACTIONS(24234), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17913), 2,
      sym_block_comment,
      sym_line_comment,
  [364826] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19080), 1,
      anon_sym_COMMA,
    ACTIONS(19082), 1,
      anon_sym_RBRACE,
    STATE(17967), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17914), 2,
      sym_block_comment,
      sym_line_comment,
  [364846] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8941), 1,
      anon_sym_RPAREN,
    ACTIONS(24236), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17915), 2,
      sym_block_comment,
      sym_line_comment,
  [364866] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8449), 1,
      anon_sym_RBRACE,
    ACTIONS(24238), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17916), 2,
      sym_block_comment,
      sym_line_comment,
  [364886] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8809), 1,
      anon_sym_RBRACE,
    ACTIONS(24240), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17917), 2,
      sym_block_comment,
      sym_line_comment,
  [364906] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19158), 1,
      anon_sym_COMMA,
    ACTIONS(19160), 1,
      anon_sym_RBRACE,
    STATE(17931), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17918), 2,
      sym_block_comment,
      sym_line_comment,
  [364926] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7899), 1,
      anon_sym_RBRACK,
    ACTIONS(24242), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17919), 2,
      sym_block_comment,
      sym_line_comment,
  [364946] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24244), 1,
      anon_sym_LPAREN,
    STATE(5205), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17920), 2,
      sym_block_comment,
      sym_line_comment,
  [364964] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8977), 1,
      anon_sym_RPAREN,
    ACTIONS(24246), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17921), 2,
      sym_block_comment,
      sym_line_comment,
  [364984] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24248), 1,
      anon_sym_LPAREN,
    STATE(7317), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17922), 2,
      sym_block_comment,
      sym_line_comment,
  [365002] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21036), 1,
      anon_sym_end,
    STATE(18951), 1,
      sym_finally_clause,
    STATE(17923), 2,
      sym_block_comment,
      sym_line_comment,
  [365022] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21036), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(18951), 1,
      sym_catch_clause,
    STATE(17924), 2,
      sym_block_comment,
      sym_line_comment,
  [365042] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7355), 1,
      anon_sym_RPAREN,
    ACTIONS(19152), 1,
      anon_sym_COMMA,
    STATE(17936), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17925), 2,
      sym_block_comment,
      sym_line_comment,
  [365062] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19028), 1,
      anon_sym_COMMA,
    ACTIONS(19030), 1,
      anon_sym_RBRACE,
    STATE(17670), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17926), 2,
      sym_block_comment,
      sym_line_comment,
  [365082] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7357), 1,
      anon_sym_RBRACK,
    ACTIONS(24250), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17927), 2,
      sym_block_comment,
      sym_line_comment,
  [365102] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_RPAREN,
    ACTIONS(24252), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17928), 2,
      sym_block_comment,
      sym_line_comment,
  [365122] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19312), 1,
      anon_sym_COMMA,
    ACTIONS(19314), 1,
      anon_sym_RBRACE,
    STATE(18018), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17929), 2,
      sym_block_comment,
      sym_line_comment,
  [365142] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(24254), 1,
      anon_sym_end,
    STATE(18957), 1,
      sym_finally_clause,
    STATE(17930), 2,
      sym_block_comment,
      sym_line_comment,
  [365162] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7363), 1,
      anon_sym_RBRACE,
    ACTIONS(24256), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17931), 2,
      sym_block_comment,
      sym_line_comment,
  [365182] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7901), 1,
      anon_sym_RBRACE,
    ACTIONS(24258), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17932), 2,
      sym_block_comment,
      sym_line_comment,
  [365202] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24260), 1,
      anon_sym_LPAREN,
    STATE(11032), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17933), 2,
      sym_block_comment,
      sym_line_comment,
  [365220] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4203), 1,
      anon_sym_else,
    ACTIONS(24262), 2,
      anon_sym_end,
      anon_sym_elseif,
    STATE(17934), 2,
      sym_block_comment,
      sym_line_comment,
  [365238] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19248), 1,
      anon_sym_COMMA,
    ACTIONS(19250), 1,
      anon_sym_RBRACE,
    STATE(17945), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17935), 2,
      sym_block_comment,
      sym_line_comment,
  [365258] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8277), 1,
      anon_sym_RPAREN,
    ACTIONS(24264), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17936), 2,
      sym_block_comment,
      sym_line_comment,
  [365278] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24266), 1,
      anon_sym_LPAREN,
    STATE(9714), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17937), 2,
      sym_block_comment,
      sym_line_comment,
  [365296] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7811), 1,
      anon_sym_RBRACE,
    ACTIONS(24268), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17938), 2,
      sym_block_comment,
      sym_line_comment,
  [365316] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8343), 1,
      anon_sym_RBRACK,
    ACTIONS(24270), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17939), 2,
      sym_block_comment,
      sym_line_comment,
  [365336] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24272), 1,
      sym__immediate_paren,
    ACTIONS(24274), 1,
      sym__immediate_bracket,
    ACTIONS(24276), 1,
      sym__immediate_brace,
    STATE(17940), 2,
      sym_block_comment,
      sym_line_comment,
  [365356] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(12631), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(17941), 2,
      sym_block_comment,
      sym_line_comment,
  [365374] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8033), 1,
      anon_sym_RPAREN,
    ACTIONS(18862), 1,
      anon_sym_COMMA,
    STATE(17993), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17942), 2,
      sym_block_comment,
      sym_line_comment,
  [365394] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8349), 1,
      anon_sym_RBRACE,
    ACTIONS(24278), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17943), 2,
      sym_block_comment,
      sym_line_comment,
  [365414] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8837), 1,
      anon_sym_RBRACK,
    ACTIONS(24280), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17944), 2,
      sym_block_comment,
      sym_line_comment,
  [365434] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8843), 1,
      anon_sym_RBRACE,
    ACTIONS(24282), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17945), 2,
      sym_block_comment,
      sym_line_comment,
  [365454] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18804), 1,
      anon_sym_COMMA,
    ACTIONS(18806), 1,
      anon_sym_RBRACE,
    STATE(17964), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17946), 2,
      sym_block_comment,
      sym_line_comment,
  [365474] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24284), 1,
      anon_sym_LPAREN,
    STATE(6253), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17947), 2,
      sym_block_comment,
      sym_line_comment,
  [365492] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18834), 1,
      anon_sym_COMMA,
    ACTIONS(18836), 1,
      anon_sym_RBRACE,
    STATE(18114), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17948), 2,
      sym_block_comment,
      sym_line_comment,
  [365512] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8979), 1,
      anon_sym_RPAREN,
    ACTIONS(24286), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17949), 2,
      sym_block_comment,
      sym_line_comment,
  [365532] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21052), 1,
      anon_sym_end,
    STATE(19556), 1,
      sym_finally_clause,
    STATE(17950), 2,
      sym_block_comment,
      sym_line_comment,
  [365552] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18940), 1,
      anon_sym_COMMA,
    ACTIONS(18942), 1,
      anon_sym_RBRACE,
    STATE(17962), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17951), 2,
      sym_block_comment,
      sym_line_comment,
  [365572] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17952), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24288), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
  [365588] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24290), 1,
      anon_sym_LPAREN,
    STATE(6600), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17953), 2,
      sym_block_comment,
      sym_line_comment,
  [365606] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8295), 1,
      anon_sym_RPAREN,
    ACTIONS(18856), 1,
      anon_sym_COMMA,
    STATE(17978), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17954), 2,
      sym_block_comment,
      sym_line_comment,
  [365626] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24292), 1,
      anon_sym_LPAREN,
    STATE(6767), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17955), 2,
      sym_block_comment,
      sym_line_comment,
  [365644] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8035), 1,
      anon_sym_RBRACK,
    ACTIONS(24294), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17956), 2,
      sym_block_comment,
      sym_line_comment,
  [365664] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7425), 1,
      anon_sym_RPAREN,
    ACTIONS(19096), 1,
      anon_sym_COMMA,
    STATE(17966), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17957), 2,
      sym_block_comment,
      sym_line_comment,
  [365684] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8297), 1,
      anon_sym_RBRACK,
    ACTIONS(24296), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17958), 2,
      sym_block_comment,
      sym_line_comment,
  [365704] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7427), 1,
      anon_sym_RBRACK,
    ACTIONS(24298), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17959), 2,
      sym_block_comment,
      sym_line_comment,
  [365724] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(17960), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24300), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [365740] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21040), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19173), 1,
      sym_catch_clause,
    STATE(17961), 2,
      sym_block_comment,
      sym_line_comment,
  [365760] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7433), 1,
      anon_sym_RBRACE,
    ACTIONS(24302), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17962), 2,
      sym_block_comment,
      sym_line_comment,
  [365780] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7489), 1,
      anon_sym_RPAREN,
    ACTIONS(24304), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17963), 2,
      sym_block_comment,
      sym_line_comment,
  [365800] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8303), 1,
      anon_sym_RBRACE,
    ACTIONS(24306), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17964), 2,
      sym_block_comment,
      sym_line_comment,
  [365820] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19350), 1,
      anon_sym_COMMA,
    ACTIONS(19352), 1,
      anon_sym_RBRACE,
    STATE(17979), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17965), 2,
      sym_block_comment,
      sym_line_comment,
  [365840] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8335), 1,
      anon_sym_RPAREN,
    ACTIONS(24308), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17966), 2,
      sym_block_comment,
      sym_line_comment,
  [365860] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8039), 1,
      anon_sym_RBRACE,
    ACTIONS(24310), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17967), 2,
      sym_block_comment,
      sym_line_comment,
  [365880] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21052), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19556), 1,
      sym_catch_clause,
    STATE(17968), 2,
      sym_block_comment,
      sym_line_comment,
  [365900] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8923), 1,
      anon_sym_RPAREN,
    ACTIONS(24312), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17969), 2,
      sym_block_comment,
      sym_line_comment,
  [365920] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8869), 1,
      anon_sym_RPAREN,
    ACTIONS(19222), 1,
      anon_sym_COMMA,
    STATE(17985), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17970), 2,
      sym_block_comment,
      sym_line_comment,
  [365940] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8805), 1,
      anon_sym_RPAREN,
    ACTIONS(19326), 1,
      anon_sym_COMMA,
    STATE(18194), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17971), 2,
      sym_block_comment,
      sym_line_comment,
  [365960] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21040), 1,
      anon_sym_end,
    STATE(19173), 1,
      sym_finally_clause,
    STATE(17972), 2,
      sym_block_comment,
      sym_line_comment,
  [365980] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8871), 1,
      anon_sym_RBRACK,
    ACTIONS(24314), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17973), 2,
      sym_block_comment,
      sym_line_comment,
  [366000] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21056), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19265), 1,
      sym_catch_clause,
    STATE(17974), 2,
      sym_block_comment,
      sym_line_comment,
  [366020] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21054), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19347), 1,
      sym_catch_clause,
    STATE(17975), 2,
      sym_block_comment,
      sym_line_comment,
  [366040] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21054), 1,
      anon_sym_end,
    STATE(19347), 1,
      sym_finally_clause,
    STATE(17976), 2,
      sym_block_comment,
      sym_line_comment,
  [366060] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24316), 1,
      anon_sym_LPAREN,
    STATE(10910), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17977), 2,
      sym_block_comment,
      sym_line_comment,
  [366078] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8943), 1,
      anon_sym_RPAREN,
    ACTIONS(24318), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17978), 2,
      sym_block_comment,
      sym_line_comment,
  [366098] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8877), 1,
      anon_sym_RBRACE,
    ACTIONS(24320), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17979), 2,
      sym_block_comment,
      sym_line_comment,
  [366118] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16575), 1,
      sym__word_identifier,
    STATE(12244), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(17980), 2,
      sym_block_comment,
      sym_line_comment,
  [366136] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7371), 1,
      anon_sym_RPAREN,
    ACTIONS(24322), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17981), 2,
      sym_block_comment,
      sym_line_comment,
  [366156] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21058), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19832), 1,
      sym_catch_clause,
    STATE(17982), 2,
      sym_block_comment,
      sym_line_comment,
  [366176] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21058), 1,
      anon_sym_end,
    STATE(19832), 1,
      sym_finally_clause,
    STATE(17983), 2,
      sym_block_comment,
      sym_line_comment,
  [366196] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21097), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19028), 1,
      sym_catch_clause,
    STATE(17984), 2,
      sym_block_comment,
      sym_line_comment,
  [366216] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8981), 1,
      anon_sym_RPAREN,
    ACTIONS(24324), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17985), 2,
      sym_block_comment,
      sym_line_comment,
  [366236] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18916), 1,
      anon_sym_COMMA,
    ACTIONS(18918), 1,
      anon_sym_RBRACE,
    STATE(18021), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17986), 2,
      sym_block_comment,
      sym_line_comment,
  [366256] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8987), 1,
      anon_sym_RPAREN,
    ACTIONS(19220), 1,
      anon_sym_COMMA,
    STATE(18044), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17987), 2,
      sym_block_comment,
      sym_line_comment,
  [366276] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21097), 1,
      anon_sym_end,
    STATE(19028), 1,
      sym_finally_clause,
    STATE(17988), 2,
      sym_block_comment,
      sym_line_comment,
  [366296] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24326), 1,
      anon_sym_LPAREN,
    STATE(10673), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17989), 2,
      sym_block_comment,
      sym_line_comment,
  [366314] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19198), 1,
      anon_sym_COMMA,
    ACTIONS(19200), 1,
      anon_sym_RBRACE,
    STATE(17996), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17990), 2,
      sym_block_comment,
      sym_line_comment,
  [366334] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24328), 1,
      anon_sym_LPAREN,
    STATE(12468), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(17991), 2,
      sym_block_comment,
      sym_line_comment,
  [366352] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7477), 1,
      anon_sym_RPAREN,
    ACTIONS(18922), 1,
      anon_sym_COMMA,
    STATE(18003), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17992), 2,
      sym_block_comment,
      sym_line_comment,
  [366372] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8929), 1,
      anon_sym_RPAREN,
    ACTIONS(24330), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17993), 2,
      sym_block_comment,
      sym_line_comment,
  [366392] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7479), 1,
      anon_sym_RBRACK,
    ACTIONS(24332), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17994), 2,
      sym_block_comment,
      sym_line_comment,
  [366412] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19236), 1,
      anon_sym_COMMA,
    ACTIONS(19238), 1,
      anon_sym_RBRACE,
    STATE(18005), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17995), 2,
      sym_block_comment,
      sym_line_comment,
  [366432] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7483), 1,
      anon_sym_RBRACE,
    ACTIONS(24334), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(17996), 2,
      sym_block_comment,
      sym_line_comment,
  [366452] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21155), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(20244), 1,
      sym_catch_clause,
    STATE(17997), 2,
      sym_block_comment,
      sym_line_comment,
  [366472] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21155), 1,
      anon_sym_end,
    STATE(20244), 1,
      sym_finally_clause,
    STATE(17998), 2,
      sym_block_comment,
      sym_line_comment,
  [366492] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8901), 1,
      anon_sym_RPAREN,
    ACTIONS(19322), 1,
      anon_sym_COMMA,
    STATE(18011), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(17999), 2,
      sym_block_comment,
      sym_line_comment,
  [366512] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21068), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19470), 1,
      sym_catch_clause,
    STATE(18000), 2,
      sym_block_comment,
      sym_line_comment,
  [366532] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21068), 1,
      anon_sym_end,
    STATE(19470), 1,
      sym_finally_clause,
    STATE(18001), 2,
      sym_block_comment,
      sym_line_comment,
  [366552] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8903), 1,
      anon_sym_RBRACK,
    ACTIONS(24336), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18002), 2,
      sym_block_comment,
      sym_line_comment,
  [366572] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8401), 1,
      anon_sym_RPAREN,
    ACTIONS(24338), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18003), 2,
      sym_block_comment,
      sym_line_comment,
  [366592] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(18004), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(19262), 3,
      anon_sym_for,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [366608] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8907), 1,
      anon_sym_RBRACE,
    ACTIONS(24340), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18005), 2,
      sym_block_comment,
      sym_line_comment,
  [366628] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19154), 1,
      anon_sym_COMMA,
    ACTIONS(19156), 1,
      anon_sym_RBRACE,
    STATE(18019), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18006), 2,
      sym_block_comment,
      sym_line_comment,
  [366648] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8989), 1,
      anon_sym_RBRACK,
    ACTIONS(24342), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18007), 2,
      sym_block_comment,
      sym_line_comment,
  [366668] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8699), 1,
      anon_sym_RPAREN,
    ACTIONS(18860), 1,
      anon_sym_COMMA,
    STATE(18041), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18008), 2,
      sym_block_comment,
      sym_line_comment,
  [366688] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9971), 1,
      anon_sym_RPAREN,
    ACTIONS(24344), 1,
      sym__immediate_string_start,
    ACTIONS(24346), 1,
      sym__immediate_command_start,
    STATE(18009), 2,
      sym_block_comment,
      sym_line_comment,
  [366708] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24348), 1,
      anon_sym_LPAREN,
    STATE(6746), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18010), 2,
      sym_block_comment,
      sym_line_comment,
  [366726] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8983), 1,
      anon_sym_RPAREN,
    ACTIONS(24350), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18011), 2,
      sym_block_comment,
      sym_line_comment,
  [366746] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8323), 1,
      anon_sym_RPAREN,
    ACTIONS(19348), 1,
      anon_sym_COMMA,
    STATE(18027), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18012), 2,
      sym_block_comment,
      sym_line_comment,
  [366766] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21074), 1,
      anon_sym_end,
    STATE(19478), 1,
      sym_finally_clause,
    STATE(18013), 2,
      sym_block_comment,
      sym_line_comment,
  [366786] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21074), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19478), 1,
      sym_catch_clause,
    STATE(18014), 2,
      sym_block_comment,
      sym_line_comment,
  [366806] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8701), 1,
      anon_sym_RBRACK,
    ACTIONS(24352), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18015), 2,
      sym_block_comment,
      sym_line_comment,
  [366826] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7325), 1,
      anon_sym_RPAREN,
    ACTIONS(24354), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18016), 2,
      sym_block_comment,
      sym_line_comment,
  [366846] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8325), 1,
      anon_sym_RBRACK,
    ACTIONS(24356), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18017), 2,
      sym_block_comment,
      sym_line_comment,
  [366866] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8991), 1,
      anon_sym_RBRACE,
    ACTIONS(24358), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18018), 2,
      sym_block_comment,
      sym_line_comment,
  [366886] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8331), 1,
      anon_sym_RBRACE,
    ACTIONS(24360), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18019), 2,
      sym_block_comment,
      sym_line_comment,
  [366906] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18732), 1,
      anon_sym_COMMA,
    ACTIONS(18734), 1,
      anon_sym_RBRACE,
    STATE(18030), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18020), 2,
      sym_block_comment,
      sym_line_comment,
  [366926] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8729), 1,
      anon_sym_RBRACE,
    ACTIONS(24362), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18021), 2,
      sym_block_comment,
      sym_line_comment,
  [366946] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24364), 1,
      anon_sym_LPAREN,
    STATE(11807), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18022), 2,
      sym_block_comment,
      sym_line_comment,
  [366964] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(24366), 1,
      anon_sym_end,
    STATE(19669), 1,
      sym_finally_clause,
    STATE(18023), 2,
      sym_block_comment,
      sym_line_comment,
  [366984] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24370), 1,
      anon_sym_else,
    ACTIONS(24368), 2,
      anon_sym_end,
      anon_sym_elseif,
    STATE(18024), 2,
      sym_block_comment,
      sym_line_comment,
  [367002] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19276), 1,
      anon_sym_COMMA,
    ACTIONS(19278), 1,
      anon_sym_RBRACE,
    STATE(17938), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18025), 2,
      sym_block_comment,
      sym_line_comment,
  [367022] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7517), 1,
      anon_sym_RPAREN,
    ACTIONS(18966), 1,
      anon_sym_COMMA,
    STATE(18033), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18026), 2,
      sym_block_comment,
      sym_line_comment,
  [367042] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8945), 1,
      anon_sym_RPAREN,
    ACTIONS(24372), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18027), 2,
      sym_block_comment,
      sym_line_comment,
  [367062] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7519), 1,
      anon_sym_RBRACK,
    ACTIONS(24374), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18028), 2,
      sym_block_comment,
      sym_line_comment,
  [367082] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(12981), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(18029), 2,
      sym_block_comment,
      sym_line_comment,
  [367100] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7521), 1,
      anon_sym_RBRACE,
    ACTIONS(24376), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18030), 2,
      sym_block_comment,
      sym_line_comment,
  [367120] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8355), 1,
      anon_sym_RPAREN,
    ACTIONS(19094), 1,
      anon_sym_COMMA,
    STATE(17639), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18031), 2,
      sym_block_comment,
      sym_line_comment,
  [367140] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(18032), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24378), 3,
      sym__content_str_1_raw,
      sym__end_str,
      sym_escape_sequence,
  [367156] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8465), 1,
      anon_sym_RPAREN,
    ACTIONS(24380), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18033), 2,
      sym_block_comment,
      sym_line_comment,
  [367176] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(24382), 1,
      aux_sym__terminator_token1,
    ACTIONS(21730), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    STATE(18034), 2,
      sym_block_comment,
      sym_line_comment,
  [367194] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21088), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19583), 1,
      sym_catch_clause,
    STATE(18035), 2,
      sym_block_comment,
      sym_line_comment,
  [367214] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21088), 1,
      anon_sym_end,
    STATE(19583), 1,
      sym_finally_clause,
    STATE(18036), 2,
      sym_block_comment,
      sym_line_comment,
  [367234] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(24384), 1,
      anon_sym_end,
    STATE(19486), 1,
      sym_finally_clause,
    STATE(18037), 2,
      sym_block_comment,
      sym_line_comment,
  [367254] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24386), 1,
      anon_sym_LPAREN,
    STATE(6300), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18038), 2,
      sym_block_comment,
      sym_line_comment,
  [367272] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7851), 1,
      anon_sym_RPAREN,
    ACTIONS(19088), 1,
      anon_sym_COMMA,
    STATE(18172), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18039), 2,
      sym_block_comment,
      sym_line_comment,
  [367292] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8007), 1,
      anon_sym_RPAREN,
    ACTIONS(19308), 1,
      anon_sym_COMMA,
    STATE(17880), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18040), 2,
      sym_block_comment,
      sym_line_comment,
  [367312] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8839), 1,
      anon_sym_RPAREN,
    ACTIONS(24388), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18041), 2,
      sym_block_comment,
      sym_line_comment,
  [367332] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(18042), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24390), 3,
      anon_sym_end,
      anon_sym_else,
      anon_sym_finally,
  [367348] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18882), 1,
      anon_sym_COMMA,
    ACTIONS(18884), 1,
      anon_sym_RBRACE,
    STATE(18055), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18043), 2,
      sym_block_comment,
      sym_line_comment,
  [367368] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7669), 1,
      anon_sym_RPAREN,
    ACTIONS(24392), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18044), 2,
      sym_block_comment,
      sym_line_comment,
  [367388] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24394), 1,
      anon_sym_LPAREN,
    STATE(7642), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18045), 2,
      sym_block_comment,
      sym_line_comment,
  [367406] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10015), 1,
      anon_sym_DOT,
    ACTIONS(10019), 1,
      anon_sym_RPAREN,
    ACTIONS(24396), 1,
      aux_sym_float_literal_token2,
    STATE(18046), 2,
      sym_block_comment,
      sym_line_comment,
  [367426] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21078), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19592), 1,
      sym_catch_clause,
    STATE(18047), 2,
      sym_block_comment,
      sym_line_comment,
  [367446] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8359), 1,
      anon_sym_RPAREN,
    ACTIONS(18742), 1,
      anon_sym_COMMA,
    STATE(18062), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18048), 2,
      sym_block_comment,
      sym_line_comment,
  [367466] = 5,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(24400), 1,
      aux_sym__terminator_token1,
    ACTIONS(24398), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    STATE(18049), 2,
      sym_block_comment,
      sym_line_comment,
  [367484] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8361), 1,
      anon_sym_RBRACK,
    ACTIONS(24402), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18050), 2,
      sym_block_comment,
      sym_line_comment,
  [367504] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(18051), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24404), 3,
      sym__content_str_3_raw,
      sym__end_str,
      sym_escape_sequence,
  [367520] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(24406), 1,
      anon_sym_end,
    STATE(19666), 1,
      sym_finally_clause,
    STATE(18052), 2,
      sym_block_comment,
      sym_line_comment,
  [367540] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21101), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19055), 1,
      sym_catch_clause,
    STATE(18053), 2,
      sym_block_comment,
      sym_line_comment,
  [367560] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(18054), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24408), 3,
      sym__content_cmd_1_raw,
      sym__end_cmd,
      sym_escape_sequence,
  [367576] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8365), 1,
      anon_sym_RBRACE,
    ACTIONS(24410), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18055), 2,
      sym_block_comment,
      sym_line_comment,
  [367596] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8807), 1,
      anon_sym_RBRACK,
    ACTIONS(24412), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18056), 2,
      sym_block_comment,
      sym_line_comment,
  [367616] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21111), 1,
      anon_sym_end,
    STATE(19607), 1,
      sym_finally_clause,
    STATE(18057), 2,
      sym_block_comment,
      sym_line_comment,
  [367636] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21111), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19607), 1,
      sym_catch_clause,
    STATE(18058), 2,
      sym_block_comment,
      sym_line_comment,
  [367656] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21101), 1,
      anon_sym_end,
    STATE(19055), 1,
      sym_finally_clause,
    STATE(18059), 2,
      sym_block_comment,
      sym_line_comment,
  [367676] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19124), 1,
      anon_sym_COMMA,
    ACTIONS(19126), 1,
      anon_sym_RBRACE,
    STATE(18107), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18060), 2,
      sym_block_comment,
      sym_line_comment,
  [367696] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7659), 1,
      anon_sym_RBRACE,
    ACTIONS(24414), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18061), 2,
      sym_block_comment,
      sym_line_comment,
  [367716] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8947), 1,
      anon_sym_RPAREN,
    ACTIONS(24416), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18062), 2,
      sym_block_comment,
      sym_line_comment,
  [367736] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(24418), 1,
      anon_sym_end,
    STATE(19613), 1,
      sym_finally_clause,
    STATE(18063), 2,
      sym_block_comment,
      sym_line_comment,
  [367756] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19170), 1,
      anon_sym_COMMA,
    ACTIONS(19172), 1,
      anon_sym_RBRACE,
    STATE(18069), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18064), 2,
      sym_block_comment,
      sym_line_comment,
  [367776] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24420), 1,
      anon_sym_LPAREN,
    STATE(6175), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18065), 2,
      sym_block_comment,
      sym_line_comment,
  [367794] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7575), 1,
      anon_sym_RPAREN,
    ACTIONS(19106), 1,
      anon_sym_COMMA,
    STATE(18071), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18066), 2,
      sym_block_comment,
      sym_line_comment,
  [367814] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24422), 1,
      anon_sym_LPAREN,
    STATE(16778), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18067), 2,
      sym_block_comment,
      sym_line_comment,
  [367832] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7577), 1,
      anon_sym_RBRACK,
    ACTIONS(24424), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18068), 2,
      sym_block_comment,
      sym_line_comment,
  [367852] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7579), 1,
      anon_sym_RBRACE,
    ACTIONS(24426), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18069), 2,
      sym_block_comment,
      sym_line_comment,
  [367872] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24428), 1,
      sym__word_identifier,
    ACTIONS(24430), 1,
      sym__immediate_paren,
    STATE(17197), 1,
      sym_identifier,
    STATE(18070), 2,
      sym_block_comment,
      sym_line_comment,
  [367892] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8529), 1,
      anon_sym_RPAREN,
    ACTIONS(24432), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18071), 2,
      sym_block_comment,
      sym_line_comment,
  [367912] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19362), 1,
      anon_sym_COMMA,
    ACTIONS(19364), 1,
      anon_sym_RBRACE,
    STATE(17916), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18072), 2,
      sym_block_comment,
      sym_line_comment,
  [367932] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8813), 1,
      anon_sym_RPAREN,
    ACTIONS(24434), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18073), 2,
      sym_block_comment,
      sym_line_comment,
  [367952] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19194), 1,
      anon_sym_COMMA,
    ACTIONS(19196), 1,
      anon_sym_RBRACE,
    STATE(18213), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18074), 2,
      sym_block_comment,
      sym_line_comment,
  [367972] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21121), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19905), 1,
      sym_catch_clause,
    STATE(18075), 2,
      sym_block_comment,
      sym_line_comment,
  [367992] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19144), 1,
      anon_sym_COMMA,
    ACTIONS(19146), 1,
      anon_sym_RBRACE,
    STATE(18094), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18076), 2,
      sym_block_comment,
      sym_line_comment,
  [368012] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24436), 1,
      anon_sym_LPAREN,
    STATE(8605), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18077), 2,
      sym_block_comment,
      sym_line_comment,
  [368030] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21123), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19957), 1,
      sym_catch_clause,
    STATE(18078), 2,
      sym_block_comment,
      sym_line_comment,
  [368050] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8075), 1,
      anon_sym_RPAREN,
    ACTIONS(19026), 1,
      anon_sym_COMMA,
    STATE(18119), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18079), 2,
      sym_block_comment,
      sym_line_comment,
  [368070] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21113), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19493), 1,
      sym_catch_clause,
    STATE(18080), 2,
      sym_block_comment,
      sym_line_comment,
  [368090] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16593), 1,
      sym__word_identifier,
    STATE(9564), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(18081), 2,
      sym_block_comment,
      sym_line_comment,
  [368108] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8389), 1,
      anon_sym_RPAREN,
    ACTIONS(19338), 1,
      anon_sym_COMMA,
    STATE(18100), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18082), 2,
      sym_block_comment,
      sym_line_comment,
  [368128] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19268), 1,
      anon_sym_COMMA,
    ACTIONS(19270), 1,
      anon_sym_RBRACE,
    STATE(18182), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18083), 2,
      sym_block_comment,
      sym_line_comment,
  [368148] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21113), 1,
      anon_sym_end,
    STATE(19493), 1,
      sym_finally_clause,
    STATE(18084), 2,
      sym_block_comment,
      sym_line_comment,
  [368168] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24438), 1,
      anon_sym_LPAREN,
    STATE(6821), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18085), 2,
      sym_block_comment,
      sym_line_comment,
  [368186] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24440), 1,
      anon_sym_LPAREN,
    STATE(6522), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18086), 2,
      sym_block_comment,
      sym_line_comment,
  [368204] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21078), 1,
      anon_sym_end,
    STATE(19592), 1,
      sym_finally_clause,
    STATE(18087), 2,
      sym_block_comment,
      sym_line_comment,
  [368224] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16633), 1,
      sym__word_identifier,
    STATE(7627), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(18088), 2,
      sym_block_comment,
      sym_line_comment,
  [368242] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8391), 1,
      anon_sym_RBRACK,
    ACTIONS(24442), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18089), 2,
      sym_block_comment,
      sym_line_comment,
  [368262] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19240), 1,
      anon_sym_COMMA,
    ACTIONS(19242), 1,
      anon_sym_RBRACE,
    STATE(18103), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18090), 2,
      sym_block_comment,
      sym_line_comment,
  [368282] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24444), 1,
      anon_sym_LPAREN,
    STATE(5393), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18091), 2,
      sym_block_comment,
      sym_line_comment,
  [368300] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24446), 1,
      anon_sym_LPAREN,
    STATE(11087), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18092), 2,
      sym_block_comment,
      sym_line_comment,
  [368318] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10133), 1,
      anon_sym_RPAREN,
    ACTIONS(16505), 1,
      sym__word_identifier,
    STATE(11052), 1,
      sym_identifier,
    STATE(18093), 2,
      sym_block_comment,
      sym_line_comment,
  [368338] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8397), 1,
      anon_sym_RBRACE,
    ACTIONS(24448), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18094), 2,
      sym_block_comment,
      sym_line_comment,
  [368358] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7853), 1,
      anon_sym_RBRACK,
    ACTIONS(24450), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18095), 2,
      sym_block_comment,
      sym_line_comment,
  [368378] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7613), 1,
      anon_sym_RPAREN,
    ACTIONS(19208), 1,
      anon_sym_COMMA,
    STATE(18106), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18096), 2,
      sym_block_comment,
      sym_line_comment,
  [368398] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8821), 1,
      anon_sym_RBRACE,
    ACTIONS(24452), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18097), 2,
      sym_block_comment,
      sym_line_comment,
  [368418] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8077), 1,
      anon_sym_RBRACK,
    ACTIONS(24454), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18098), 2,
      sym_block_comment,
      sym_line_comment,
  [368438] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8259), 1,
      anon_sym_RPAREN,
    ACTIONS(19266), 1,
      anon_sym_COMMA,
    STATE(18145), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18099), 2,
      sym_block_comment,
      sym_line_comment,
  [368458] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8949), 1,
      anon_sym_RPAREN,
    ACTIONS(24456), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18100), 2,
      sym_block_comment,
      sym_line_comment,
  [368478] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7615), 1,
      anon_sym_RBRACK,
    ACTIONS(24458), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18101), 2,
      sym_block_comment,
      sym_line_comment,
  [368498] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19032), 1,
      anon_sym_COMMA,
    ACTIONS(19034), 1,
      anon_sym_RBRACE,
    STATE(18143), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18102), 2,
      sym_block_comment,
      sym_line_comment,
  [368518] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7617), 1,
      anon_sym_RBRACE,
    ACTIONS(24460), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18103), 2,
      sym_block_comment,
      sym_line_comment,
  [368538] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10137), 1,
      anon_sym_RPAREN,
    ACTIONS(16505), 1,
      sym__word_identifier,
    STATE(11053), 1,
      sym_identifier,
    STATE(18104), 2,
      sym_block_comment,
      sym_line_comment,
  [368558] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24462), 1,
      anon_sym_LPAREN,
    STATE(5072), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18105), 2,
      sym_block_comment,
      sym_line_comment,
  [368576] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8579), 1,
      anon_sym_RPAREN,
    ACTIONS(24464), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18106), 2,
      sym_block_comment,
      sym_line_comment,
  [368596] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8079), 1,
      anon_sym_RBRACE,
    ACTIONS(24466), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18107), 2,
      sym_block_comment,
      sym_line_comment,
  [368616] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8357), 1,
      anon_sym_RBRACK,
    ACTIONS(24468), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18108), 2,
      sym_block_comment,
      sym_line_comment,
  [368636] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21129), 1,
      anon_sym_end,
    STATE(20269), 1,
      sym_finally_clause,
    STATE(18109), 2,
      sym_block_comment,
      sym_line_comment,
  [368656] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21076), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19004), 1,
      sym_catch_clause,
    STATE(18110), 2,
      sym_block_comment,
      sym_line_comment,
  [368676] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21129), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(20269), 1,
      sym_catch_clause,
    STATE(18111), 2,
      sym_block_comment,
      sym_line_comment,
  [368696] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21050), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19232), 1,
      sym_catch_clause,
    STATE(18112), 2,
      sym_block_comment,
      sym_line_comment,
  [368716] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24470), 1,
      anon_sym_LPAREN,
    STATE(10534), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18113), 2,
      sym_block_comment,
      sym_line_comment,
  [368734] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7857), 1,
      anon_sym_RBRACE,
    ACTIONS(24472), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18114), 2,
      sym_block_comment,
      sym_line_comment,
  [368754] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21131), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19367), 1,
      sym_catch_clause,
    STATE(18115), 2,
      sym_block_comment,
      sym_line_comment,
  [368774] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19036), 1,
      anon_sym_COMMA,
    ACTIONS(19038), 1,
      anon_sym_RBRACE,
    STATE(18185), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18116), 2,
      sym_block_comment,
      sym_line_comment,
  [368794] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18990), 1,
      anon_sym_COMMA,
    ACTIONS(18992), 1,
      anon_sym_RBRACE,
    STATE(18130), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18117), 2,
      sym_block_comment,
      sym_line_comment,
  [368814] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24474), 1,
      anon_sym_LPAREN,
    STATE(18118), 2,
      sym_block_comment,
      sym_line_comment,
    STATE(18373), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
  [368832] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_RPAREN,
    ACTIONS(24476), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18119), 2,
      sym_block_comment,
      sym_line_comment,
  [368852] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24478), 1,
      anon_sym_LPAREN,
    STATE(6376), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18120), 2,
      sym_block_comment,
      sym_line_comment,
  [368870] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16723), 1,
      anon_sym_for,
    STATE(14590), 1,
      sym_for_clause,
    STATE(19804), 1,
      sym__comprehension_clause,
    STATE(18121), 2,
      sym_block_comment,
      sym_line_comment,
  [368890] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8425), 1,
      anon_sym_RPAREN,
    ACTIONS(18828), 1,
      anon_sym_COMMA,
    STATE(18133), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18122), 2,
      sym_block_comment,
      sym_line_comment,
  [368910] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8373), 1,
      anon_sym_RBRACE,
    ACTIONS(24480), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18123), 2,
      sym_block_comment,
      sym_line_comment,
  [368930] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21135), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19495), 1,
      sym_catch_clause,
    STATE(18124), 2,
      sym_block_comment,
      sym_line_comment,
  [368950] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21135), 1,
      anon_sym_end,
    STATE(19495), 1,
      sym_finally_clause,
    STATE(18125), 2,
      sym_block_comment,
      sym_line_comment,
  [368970] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(18126), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23328), 3,
      sym__content_str_1_raw,
      sym__end_str,
      sym_escape_sequence,
  [368986] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18924), 1,
      anon_sym_COMMA,
    ACTIONS(18926), 1,
      anon_sym_RBRACE,
    STATE(18137), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18127), 2,
      sym_block_comment,
      sym_line_comment,
  [369006] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24482), 1,
      anon_sym_LPAREN,
    STATE(6249), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18128), 2,
      sym_block_comment,
      sym_line_comment,
  [369024] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8427), 1,
      anon_sym_RBRACK,
    ACTIONS(24484), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18129), 2,
      sym_block_comment,
      sym_line_comment,
  [369044] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8433), 1,
      anon_sym_RBRACE,
    ACTIONS(24486), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18130), 2,
      sym_block_comment,
      sym_line_comment,
  [369064] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7655), 1,
      anon_sym_RPAREN,
    ACTIONS(19300), 1,
      anon_sym_COMMA,
    STATE(18144), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18131), 2,
      sym_block_comment,
      sym_line_comment,
  [369084] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21103), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(20277), 1,
      sym_catch_clause,
    STATE(18132), 2,
      sym_block_comment,
      sym_line_comment,
  [369104] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8951), 1,
      anon_sym_RPAREN,
    ACTIONS(24488), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18133), 2,
      sym_block_comment,
      sym_line_comment,
  [369124] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7657), 1,
      anon_sym_RBRACK,
    ACTIONS(24490), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18134), 2,
      sym_block_comment,
      sym_line_comment,
  [369144] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21147), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(20047), 1,
      sym_catch_clause,
    STATE(18135), 2,
      sym_block_comment,
      sym_line_comment,
  [369164] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21147), 1,
      anon_sym_end,
    STATE(20047), 1,
      sym_finally_clause,
    STATE(18136), 2,
      sym_block_comment,
      sym_line_comment,
  [369184] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7661), 1,
      anon_sym_RBRACE,
    ACTIONS(24492), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18137), 2,
      sym_block_comment,
      sym_line_comment,
  [369204] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10145), 1,
      anon_sym_RPAREN,
    ACTIONS(16505), 1,
      sym__word_identifier,
    STATE(11136), 1,
      sym_identifier,
    STATE(18138), 2,
      sym_block_comment,
      sym_line_comment,
  [369224] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7239), 1,
      anon_sym_RPAREN,
    ACTIONS(18920), 1,
      anon_sym_COMMA,
    STATE(18157), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18139), 2,
      sym_block_comment,
      sym_line_comment,
  [369244] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10009), 1,
      anon_sym_RPAREN,
    ACTIONS(16505), 1,
      sym__word_identifier,
    STATE(11071), 1,
      sym_identifier,
    STATE(18140), 2,
      sym_block_comment,
      sym_line_comment,
  [369264] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9103), 1,
      anon_sym_RPAREN,
    ACTIONS(18740), 1,
      anon_sym_COMMA,
    STATE(17593), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18141), 2,
      sym_block_comment,
      sym_line_comment,
  [369284] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7241), 1,
      anon_sym_RBRACK,
    ACTIONS(24494), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18142), 2,
      sym_block_comment,
      sym_line_comment,
  [369304] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7253), 1,
      anon_sym_RBRACE,
    ACTIONS(24496), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18143), 2,
      sym_block_comment,
      sym_line_comment,
  [369324] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8643), 1,
      anon_sym_RPAREN,
    ACTIONS(24498), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18144), 2,
      sym_block_comment,
      sym_line_comment,
  [369344] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7843), 1,
      anon_sym_RPAREN,
    ACTIONS(24500), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18145), 2,
      sym_block_comment,
      sym_line_comment,
  [369364] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19344), 1,
      anon_sym_COMMA,
    ACTIONS(19346), 1,
      anon_sym_RBRACE,
    STATE(18159), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18146), 2,
      sym_block_comment,
      sym_line_comment,
  [369384] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24502), 1,
      anon_sym_LPAREN,
    STATE(7853), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18147), 2,
      sym_block_comment,
      sym_line_comment,
  [369402] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7931), 1,
      anon_sym_RPAREN,
    ACTIONS(19272), 1,
      anon_sym_COMMA,
    STATE(17587), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18148), 2,
      sym_block_comment,
      sym_line_comment,
  [369422] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21149), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(20130), 1,
      sym_catch_clause,
    STATE(18149), 2,
      sym_block_comment,
      sym_line_comment,
  [369442] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21149), 1,
      anon_sym_end,
    STATE(20130), 1,
      sym_finally_clause,
    STATE(18150), 2,
      sym_block_comment,
      sym_line_comment,
  [369462] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(18151), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(24504), 3,
      sym__content_cmd_3_raw,
      sym__end_cmd,
      sym_escape_sequence,
  [369478] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8457), 1,
      anon_sym_RPAREN,
    ACTIONS(18842), 1,
      anon_sym_COMMA,
    STATE(18163), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18152), 2,
      sym_block_comment,
      sym_line_comment,
  [369498] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8635), 1,
      anon_sym_RPAREN,
    ACTIONS(18840), 1,
      anon_sym_COMMA,
    STATE(17963), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18153), 2,
      sym_block_comment,
      sym_line_comment,
  [369518] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16693), 1,
      sym__word_identifier,
    STATE(7171), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(18154), 2,
      sym_block_comment,
      sym_line_comment,
  [369536] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8015), 1,
      anon_sym_RBRACK,
    ACTIONS(24506), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18155), 2,
      sym_block_comment,
      sym_line_comment,
  [369556] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8459), 1,
      anon_sym_RBRACK,
    ACTIONS(24508), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18156), 2,
      sym_block_comment,
      sym_line_comment,
  [369576] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9043), 1,
      anon_sym_RPAREN,
    ACTIONS(24510), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18157), 2,
      sym_block_comment,
      sym_line_comment,
  [369596] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21060), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19333), 1,
      sym_catch_clause,
    STATE(18158), 2,
      sym_block_comment,
      sym_line_comment,
  [369616] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8461), 1,
      anon_sym_RBRACE,
    ACTIONS(24512), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18159), 2,
      sym_block_comment,
      sym_line_comment,
  [369636] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(18160), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(23562), 3,
      sym__content_str_3_raw,
      sym__end_str,
      sym_escape_sequence,
  [369652] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4247), 1,
      anon_sym_else,
    ACTIONS(24514), 2,
      anon_sym_end,
      anon_sym_elseif,
    STATE(18161), 2,
      sym_block_comment,
      sym_line_comment,
  [369670] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11130), 1,
      anon_sym_EQ,
    ACTIONS(17290), 1,
      anon_sym_COMMA,
    STATE(17756), 1,
      aux_sym_open_tuple_repeat1,
    STATE(18162), 2,
      sym_block_comment,
      sym_line_comment,
  [369690] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8953), 1,
      anon_sym_RPAREN,
    ACTIONS(24516), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18163), 2,
      sym_block_comment,
      sym_line_comment,
  [369710] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8025), 1,
      anon_sym_RBRACE,
    ACTIONS(24518), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18164), 2,
      sym_block_comment,
      sym_line_comment,
  [369730] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    STATE(12985), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(18165), 2,
      sym_block_comment,
      sym_line_comment,
  [369748] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19120), 1,
      anon_sym_COMMA,
    ACTIONS(19122), 1,
      anon_sym_RBRACE,
    STATE(18178), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18166), 2,
      sym_block_comment,
      sym_line_comment,
  [369768] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16703), 1,
      sym__word_identifier,
    STATE(7400), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(18167), 2,
      sym_block_comment,
      sym_line_comment,
  [369786] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24520), 1,
      anon_sym_LPAREN,
    STATE(7049), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18168), 2,
      sym_block_comment,
      sym_line_comment,
  [369804] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(21153), 1,
      anon_sym_end,
    STATE(20158), 1,
      sym_finally_clause,
    STATE(18169), 2,
      sym_block_comment,
      sym_line_comment,
  [369824] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21153), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(20158), 1,
      sym_catch_clause,
    STATE(18170), 2,
      sym_block_comment,
      sym_line_comment,
  [369844] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7933), 1,
      anon_sym_RBRACK,
    ACTIONS(24522), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18171), 2,
      sym_block_comment,
      sym_line_comment,
  [369864] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8881), 1,
      anon_sym_RPAREN,
    ACTIONS(24524), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18172), 2,
      sym_block_comment,
      sym_line_comment,
  [369884] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(24526), 1,
      anon_sym_end,
    STATE(20164), 1,
      sym_finally_clause,
    STATE(18173), 2,
      sym_block_comment,
      sym_line_comment,
  [369904] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7715), 1,
      anon_sym_RPAREN,
    ACTIONS(18762), 1,
      anon_sym_COMMA,
    STATE(18184), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18174), 2,
      sym_block_comment,
      sym_line_comment,
  [369924] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16545), 1,
      sym__word_identifier,
    STATE(8169), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(18175), 2,
      sym_block_comment,
      sym_line_comment,
  [369942] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8637), 1,
      anon_sym_RBRACK,
    ACTIONS(24528), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18176), 2,
      sym_block_comment,
      sym_line_comment,
  [369962] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7717), 1,
      anon_sym_RBRACK,
    ACTIONS(24530), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18177), 2,
      sym_block_comment,
      sym_line_comment,
  [369982] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7719), 1,
      anon_sym_RBRACE,
    ACTIONS(24532), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18178), 2,
      sym_block_comment,
      sym_line_comment,
  [370002] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19228), 1,
      anon_sym_COMMA,
    ACTIONS(19230), 1,
      anon_sym_RBRACE,
    STATE(18210), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18179), 2,
      sym_block_comment,
      sym_line_comment,
  [370022] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24534), 1,
      anon_sym_LPAREN,
    STATE(5852), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18180), 2,
      sym_block_comment,
      sym_line_comment,
  [370040] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19102), 1,
      anon_sym_COMMA,
    ACTIONS(19104), 1,
      anon_sym_RBRACE,
    STATE(18192), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18181), 2,
      sym_block_comment,
      sym_line_comment,
  [370060] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8649), 1,
      anon_sym_RBRACE,
    ACTIONS(24536), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18182), 2,
      sym_block_comment,
      sym_line_comment,
  [370080] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24538), 1,
      anon_sym_LPAREN,
    STATE(7510), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18183), 2,
      sym_block_comment,
      sym_line_comment,
  [370098] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8693), 1,
      anon_sym_RPAREN,
    ACTIONS(24540), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18184), 2,
      sym_block_comment,
      sym_line_comment,
  [370118] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7937), 1,
      anon_sym_RBRACE,
    ACTIONS(24542), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18185), 2,
      sym_block_comment,
      sym_line_comment,
  [370138] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7649), 1,
      anon_sym_RPAREN,
    ACTIONS(19368), 1,
      anon_sym_COMMA,
    STATE(17640), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18186), 2,
      sym_block_comment,
      sym_line_comment,
  [370158] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8489), 1,
      anon_sym_RPAREN,
    ACTIONS(19072), 1,
      anon_sym_COMMA,
    STATE(18195), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18187), 2,
      sym_block_comment,
      sym_line_comment,
  [370178] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19132), 1,
      anon_sym_COMMA,
    ACTIONS(19134), 1,
      anon_sym_RBRACE,
    STATE(17676), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18188), 2,
      sym_block_comment,
      sym_line_comment,
  [370198] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19140), 1,
      anon_sym_COMMA,
    ACTIONS(19142), 1,
      anon_sym_RBRACE,
    STATE(17609), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18189), 2,
      sym_block_comment,
      sym_line_comment,
  [370218] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8491), 1,
      anon_sym_RBRACK,
    ACTIONS(24544), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18190), 2,
      sym_block_comment,
      sym_line_comment,
  [370238] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24546), 1,
      anon_sym_LPAREN,
    STATE(4826), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18191), 2,
      sym_block_comment,
      sym_line_comment,
  [370256] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8497), 1,
      anon_sym_RBRACE,
    ACTIONS(24548), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18192), 2,
      sym_block_comment,
      sym_line_comment,
  [370276] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8117), 1,
      anon_sym_RPAREN,
    ACTIONS(19054), 1,
      anon_sym_COMMA,
    STATE(17592), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18193), 2,
      sym_block_comment,
      sym_line_comment,
  [370296] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7585), 1,
      anon_sym_RPAREN,
    ACTIONS(24550), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18194), 2,
      sym_block_comment,
      sym_line_comment,
  [370316] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8955), 1,
      anon_sym_RPAREN,
    ACTIONS(24552), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18195), 2,
      sym_block_comment,
      sym_line_comment,
  [370336] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24554), 1,
      sym__immediate_paren,
    ACTIONS(24556), 1,
      sym__immediate_bracket,
    ACTIONS(24558), 1,
      sym__immediate_brace,
    STATE(18196), 2,
      sym_block_comment,
      sym_line_comment,
  [370356] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    STATE(13656), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(18197), 2,
      sym_block_comment,
      sym_line_comment,
  [370374] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24560), 1,
      anon_sym_LPAREN,
    STATE(5027), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18198), 2,
      sym_block_comment,
      sym_line_comment,
  [370392] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19212), 1,
      anon_sym_COMMA,
    ACTIONS(19214), 1,
      anon_sym_RBRACE,
    STATE(18209), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18199), 2,
      sym_block_comment,
      sym_line_comment,
  [370412] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21030), 1,
      anon_sym_finally,
    ACTIONS(24562), 1,
      anon_sym_end,
    STATE(20345), 1,
      sym_finally_clause,
    STATE(18200), 2,
      sym_block_comment,
      sym_line_comment,
  [370432] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24564), 1,
      anon_sym_LPAREN,
    STATE(11589), 2,
      sym_parenthesized_expression,
      sym_tuple_expression,
    STATE(18201), 2,
      sym_block_comment,
      sym_line_comment,
  [370450] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(18202), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21680), 3,
      sym__content_cmd_1_raw,
      sym__end_cmd,
      sym_escape_sequence,
  [370466] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16505), 1,
      sym__word_identifier,
    STATE(12345), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(18203), 2,
      sym_block_comment,
      sym_line_comment,
  [370484] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8119), 1,
      anon_sym_RBRACK,
    ACTIONS(24566), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18204), 2,
      sym_block_comment,
      sym_line_comment,
  [370504] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7757), 1,
      anon_sym_RPAREN,
    ACTIONS(19078), 1,
      anon_sym_COMMA,
    STATE(18214), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18205), 2,
      sym_block_comment,
      sym_line_comment,
  [370524] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24568), 1,
      sym__word_identifier,
    ACTIONS(24570), 1,
      sym__immediate_paren,
    STATE(16997), 1,
      sym_identifier,
    STATE(18206), 2,
      sym_block_comment,
      sym_line_comment,
  [370544] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19114), 1,
      anon_sym_COMMA,
    ACTIONS(19116), 1,
      anon_sym_RBRACE,
    STATE(17666), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18207), 2,
      sym_block_comment,
      sym_line_comment,
  [370564] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9105), 1,
      anon_sym_RBRACK,
    ACTIONS(24572), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18208), 2,
      sym_block_comment,
      sym_line_comment,
  [370584] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7763), 1,
      anon_sym_RBRACE,
    ACTIONS(24574), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18209), 2,
      sym_block_comment,
      sym_line_comment,
  [370604] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8121), 1,
      anon_sym_RBRACE,
    ACTIONS(24576), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18210), 2,
      sym_block_comment,
      sym_line_comment,
  [370624] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    STATE(18211), 2,
      sym_block_comment,
      sym_line_comment,
    ACTIONS(21996), 3,
      sym__content_cmd_3_raw,
      sym__end_cmd,
      sym_escape_sequence,
  [370640] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21157), 1,
      anon_sym_end,
    ACTIONS(23708), 1,
      anon_sym_catch,
    STATE(19808), 1,
      sym_catch_clause,
    STATE(18212), 2,
      sym_block_comment,
      sym_line_comment,
  [370660] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9107), 1,
      anon_sym_RBRACE,
    ACTIONS(24578), 1,
      anon_sym_COMMA,
    STATE(17190), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18213), 2,
      sym_block_comment,
      sym_line_comment,
  [370680] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8753), 1,
      anon_sym_RPAREN,
    ACTIONS(24580), 1,
      anon_sym_COMMA,
    STATE(17597), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18214), 2,
      sym_block_comment,
      sym_line_comment,
  [370700] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19190), 1,
      anon_sym_COMMA,
    ACTIONS(19192), 1,
      anon_sym_RBRACE,
    STATE(17600), 1,
      aux_sym_vector_expression_repeat1,
    STATE(18215), 2,
      sym_block_comment,
      sym_line_comment,
  [370720] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(13042), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(18216), 2,
      sym_block_comment,
      sym_line_comment,
  [370738] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(12619), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(18217), 2,
      sym_block_comment,
      sym_line_comment,
  [370756] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(12350), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(18218), 2,
      sym_block_comment,
      sym_line_comment,
  [370774] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16519), 1,
      sym__word_identifier,
    STATE(12627), 2,
      sym_scoped_identifier,
      sym_identifier,
    STATE(18219), 2,
      sym_block_comment,
      sym_line_comment,
  [370792] = 6,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8835), 1,
      anon_sym_RPAREN,
    ACTIONS(19184), 1,
      anon_sym_COMMA,
    STATE(17949), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18220), 2,
      sym_block_comment,
      sym_line_comment,
  [370812] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14939), 1,
      anon_sym_LBRACE,
    STATE(5660), 1,
      sym_curly_expression,
    STATE(18221), 2,
      sym_block_comment,
      sym_line_comment,
  [370829] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24582), 1,
      anon_sym_LPAREN,
    STATE(6417), 1,
      sym_argument_list,
    STATE(18222), 2,
      sym_block_comment,
      sym_line_comment,
  [370846] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16982), 1,
      anon_sym_COMMA,
    STATE(14640), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18223), 2,
      sym_block_comment,
      sym_line_comment,
  [370863] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14007), 1,
      anon_sym_LBRACE,
    STATE(5874), 1,
      sym_curly_expression,
    STATE(18224), 2,
      sym_block_comment,
      sym_line_comment,
  [370880] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10279), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18225), 2,
      sym_block_comment,
      sym_line_comment,
  [370895] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24584), 1,
      anon_sym_LPAREN,
    STATE(4560), 1,
      sym_argument_list,
    STATE(18226), 2,
      sym_block_comment,
      sym_line_comment,
  [370912] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8229), 1,
      anon_sym_RPAREN,
    ACTIONS(24586), 1,
      anon_sym_SEMI,
    STATE(18227), 2,
      sym_block_comment,
      sym_line_comment,
  [370929] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16039), 1,
      anon_sym_LBRACE,
    STATE(7244), 1,
      sym_curly_expression,
    STATE(18228), 2,
      sym_block_comment,
      sym_line_comment,
  [370946] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24588), 1,
      anon_sym_LPAREN,
    STATE(10441), 1,
      sym_argument_list,
    STATE(18229), 2,
      sym_block_comment,
      sym_line_comment,
  [370963] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16885), 1,
      anon_sym_COMMA,
    STATE(14771), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18230), 2,
      sym_block_comment,
      sym_line_comment,
  [370980] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13959), 1,
      anon_sym_LBRACE,
    STATE(10516), 1,
      sym_curly_expression,
    STATE(18231), 2,
      sym_block_comment,
      sym_line_comment,
  [370997] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7845), 1,
      anon_sym_RPAREN,
    ACTIONS(24590), 1,
      anon_sym_SEMI,
    STATE(18232), 2,
      sym_block_comment,
      sym_line_comment,
  [371014] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15361), 1,
      anon_sym_LBRACE,
    STATE(7124), 1,
      sym_curly_expression,
    STATE(18233), 2,
      sym_block_comment,
      sym_line_comment,
  [371031] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15361), 1,
      anon_sym_LBRACE,
    STATE(7102), 1,
      sym_curly_expression,
    STATE(18234), 2,
      sym_block_comment,
      sym_line_comment,
  [371048] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14007), 1,
      anon_sym_LBRACE,
    STATE(5866), 1,
      sym_curly_expression,
    STATE(18235), 2,
      sym_block_comment,
      sym_line_comment,
  [371065] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8593), 1,
      anon_sym_RPAREN,
    ACTIONS(24592), 1,
      anon_sym_SEMI,
    STATE(18236), 2,
      sym_block_comment,
      sym_line_comment,
  [371082] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24582), 1,
      anon_sym_LPAREN,
    STATE(6415), 1,
      sym_argument_list,
    STATE(18237), 2,
      sym_block_comment,
      sym_line_comment,
  [371099] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8071), 1,
      anon_sym_RPAREN,
    ACTIONS(24594), 1,
      anon_sym_SEMI,
    STATE(18238), 2,
      sym_block_comment,
      sym_line_comment,
  [371116] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24596), 2,
      anon_sym_end,
      anon_sym_finally,
    STATE(18239), 2,
      sym_block_comment,
      sym_line_comment,
  [371131] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17387), 1,
      anon_sym_COMMA,
    STATE(15218), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18240), 2,
      sym_block_comment,
      sym_line_comment,
  [371148] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7317), 1,
      anon_sym_RPAREN,
    ACTIONS(24598), 1,
      anon_sym_SEMI,
    STATE(18241), 2,
      sym_block_comment,
      sym_line_comment,
  [371165] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9113), 1,
      anon_sym_RPAREN,
    ACTIONS(24600), 1,
      anon_sym_SEMI,
    STATE(18242), 2,
      sym_block_comment,
      sym_line_comment,
  [371182] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7571), 1,
      anon_sym_RPAREN,
    ACTIONS(24602), 1,
      anon_sym_SEMI,
    STATE(18243), 2,
      sym_block_comment,
      sym_line_comment,
  [371199] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24604), 1,
      anon_sym_LPAREN,
    STATE(10334), 1,
      sym_argument_list,
    STATE(18244), 2,
      sym_block_comment,
      sym_line_comment,
  [371216] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24606), 1,
      anon_sym_LPAREN,
    STATE(5188), 1,
      sym_argument_list,
    STATE(18245), 2,
      sym_block_comment,
      sym_line_comment,
  [371233] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8669), 1,
      anon_sym_RPAREN,
    ACTIONS(24608), 1,
      anon_sym_SEMI,
    STATE(18246), 2,
      sym_block_comment,
      sym_line_comment,
  [371250] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16932), 1,
      anon_sym_COMMA,
    STATE(15417), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18247), 2,
      sym_block_comment,
      sym_line_comment,
  [371267] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14939), 1,
      anon_sym_LBRACE,
    STATE(5662), 1,
      sym_curly_expression,
    STATE(18248), 2,
      sym_block_comment,
      sym_line_comment,
  [371284] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7327), 1,
      anon_sym_RPAREN,
    ACTIONS(24610), 1,
      anon_sym_SEMI,
    STATE(18249), 2,
      sym_block_comment,
      sym_line_comment,
  [371301] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16225), 1,
      anon_sym_LBRACE,
    STATE(7038), 1,
      sym_curly_expression,
    STATE(18250), 2,
      sym_block_comment,
      sym_line_comment,
  [371318] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24606), 1,
      anon_sym_LPAREN,
    STATE(5190), 1,
      sym_argument_list,
    STATE(18251), 2,
      sym_block_comment,
      sym_line_comment,
  [371335] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24612), 1,
      anon_sym_LPAREN,
    STATE(5438), 1,
      sym_argument_list,
    STATE(18252), 2,
      sym_block_comment,
      sym_line_comment,
  [371352] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17140), 1,
      anon_sym_COMMA,
    STATE(15468), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18253), 2,
      sym_block_comment,
      sym_line_comment,
  [371369] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7955), 1,
      anon_sym_RPAREN,
    ACTIONS(24614), 1,
      anon_sym_SEMI,
    STATE(18254), 2,
      sym_block_comment,
      sym_line_comment,
  [371386] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(10376), 1,
      sym_curly_expression,
    STATE(18255), 2,
      sym_block_comment,
      sym_line_comment,
  [371403] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14939), 1,
      anon_sym_LBRACE,
    STATE(5664), 1,
      sym_curly_expression,
    STATE(18256), 2,
      sym_block_comment,
      sym_line_comment,
  [371420] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17122), 1,
      anon_sym_COMMA,
    STATE(14743), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18257), 2,
      sym_block_comment,
      sym_line_comment,
  [371437] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17076), 1,
      anon_sym_COMMA,
    STATE(14872), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18258), 2,
      sym_block_comment,
      sym_line_comment,
  [371454] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8451), 1,
      anon_sym_RPAREN,
    ACTIONS(24616), 1,
      anon_sym_SEMI,
    STATE(18259), 2,
      sym_block_comment,
      sym_line_comment,
  [371471] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13959), 1,
      anon_sym_LBRACE,
    STATE(10571), 1,
      sym_curly_expression,
    STATE(18260), 2,
      sym_block_comment,
      sym_line_comment,
  [371488] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24584), 1,
      anon_sym_LPAREN,
    STATE(4564), 1,
      sym_argument_list,
    STATE(18261), 2,
      sym_block_comment,
      sym_line_comment,
  [371505] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17238), 1,
      anon_sym_COMMA,
    STATE(14988), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18262), 2,
      sym_block_comment,
      sym_line_comment,
  [371522] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8905), 1,
      anon_sym_RPAREN,
    ACTIONS(24618), 1,
      anon_sym_SEMI,
    STATE(18263), 2,
      sym_block_comment,
      sym_line_comment,
  [371539] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24620), 1,
      anon_sym_LPAREN,
    STATE(5742), 1,
      sym_argument_list,
    STATE(18264), 2,
      sym_block_comment,
      sym_line_comment,
  [371556] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7275), 1,
      anon_sym_LBRACE,
    STATE(4719), 1,
      sym_curly_expression,
    STATE(18265), 2,
      sym_block_comment,
      sym_line_comment,
  [371573] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17170), 1,
      anon_sym_COMMA,
    STATE(15069), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18266), 2,
      sym_block_comment,
      sym_line_comment,
  [371590] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16217), 1,
      anon_sym_LBRACE,
    STATE(7564), 1,
      sym_curly_expression,
    STATE(18267), 2,
      sym_block_comment,
      sym_line_comment,
  [371607] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24622), 1,
      anon_sym_LPAREN,
    STATE(4669), 1,
      sym_argument_list,
    STATE(18268), 2,
      sym_block_comment,
      sym_line_comment,
  [371624] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17480), 1,
      anon_sym_COMMA,
    STATE(15111), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18269), 2,
      sym_block_comment,
      sym_line_comment,
  [371641] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_RPAREN,
    ACTIONS(24624), 1,
      anon_sym_SEMI,
    STATE(18270), 2,
      sym_block_comment,
      sym_line_comment,
  [371658] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4461), 1,
      anon_sym_LBRACE,
    STATE(5048), 1,
      sym_curly_expression,
    STATE(18271), 2,
      sym_block_comment,
      sym_line_comment,
  [371675] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8657), 1,
      anon_sym_RPAREN,
    ACTIONS(24626), 1,
      anon_sym_SEMI,
    STATE(18272), 2,
      sym_block_comment,
      sym_line_comment,
  [371692] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24628), 1,
      anon_sym_LPAREN,
    STATE(5478), 1,
      sym_argument_list,
    STATE(18273), 2,
      sym_block_comment,
      sym_line_comment,
  [371709] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17440), 1,
      anon_sym_COMMA,
    STATE(15142), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18274), 2,
      sym_block_comment,
      sym_line_comment,
  [371726] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24630), 1,
      anon_sym_LPAREN,
    STATE(10922), 1,
      sym_argument_list,
    STATE(18275), 2,
      sym_block_comment,
      sym_line_comment,
  [371743] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17000), 1,
      anon_sym_COMMA,
    STATE(15177), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18276), 2,
      sym_block_comment,
      sym_line_comment,
  [371760] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8419), 1,
      anon_sym_RPAREN,
    ACTIONS(24632), 1,
      anon_sym_SEMI,
    STATE(18277), 2,
      sym_block_comment,
      sym_line_comment,
  [371777] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24634), 1,
      anon_sym_LPAREN,
    STATE(5447), 1,
      sym_argument_list,
    STATE(18278), 2,
      sym_block_comment,
      sym_line_comment,
  [371794] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24636), 1,
      anon_sym_LPAREN,
    STATE(4565), 1,
      sym_argument_list,
    STATE(18279), 2,
      sym_block_comment,
      sym_line_comment,
  [371811] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8249), 1,
      anon_sym_RPAREN,
    ACTIONS(24638), 1,
      anon_sym_SEMI,
    STATE(18280), 2,
      sym_block_comment,
      sym_line_comment,
  [371828] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17213), 1,
      anon_sym_COMMA,
    STATE(15216), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18281), 2,
      sym_block_comment,
      sym_line_comment,
  [371845] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7839), 1,
      anon_sym_RPAREN,
    ACTIONS(24640), 1,
      anon_sym_SEMI,
    STATE(18282), 2,
      sym_block_comment,
      sym_line_comment,
  [371862] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24604), 1,
      anon_sym_LPAREN,
    STATE(10331), 1,
      sym_argument_list,
    STATE(18283), 2,
      sym_block_comment,
      sym_line_comment,
  [371879] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17332), 1,
      anon_sym_COMMA,
    STATE(15247), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18284), 2,
      sym_block_comment,
      sym_line_comment,
  [371896] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7387), 1,
      anon_sym_LBRACE,
    STATE(4812), 1,
      sym_curly_expression,
    STATE(18285), 2,
      sym_block_comment,
      sym_line_comment,
  [371913] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17360), 1,
      anon_sym_COMMA,
    STATE(15273), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18286), 2,
      sym_block_comment,
      sym_line_comment,
  [371930] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8695), 1,
      anon_sym_RPAREN,
    ACTIONS(24642), 1,
      anon_sym_SEMI,
    STATE(18287), 2,
      sym_block_comment,
      sym_line_comment,
  [371947] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9995), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18288), 2,
      sym_block_comment,
      sym_line_comment,
  [371962] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16897), 1,
      anon_sym_COMMA,
    STATE(15301), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18289), 2,
      sym_block_comment,
      sym_line_comment,
  [371979] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24606), 1,
      anon_sym_LPAREN,
    STATE(5193), 1,
      sym_argument_list,
    STATE(18290), 2,
      sym_block_comment,
      sym_line_comment,
  [371996] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13705), 1,
      anon_sym_LBRACE,
    STATE(6397), 1,
      sym_curly_expression,
    STATE(18291), 2,
      sym_block_comment,
      sym_line_comment,
  [372013] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17022), 1,
      anon_sym_COMMA,
    STATE(15334), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18292), 2,
      sym_block_comment,
      sym_line_comment,
  [372030] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17187), 1,
      anon_sym_COMMA,
    STATE(15359), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18293), 2,
      sym_block_comment,
      sym_line_comment,
  [372047] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24644), 1,
      anon_sym_LPAREN,
    STATE(4699), 1,
      sym_argument_list,
    STATE(18294), 2,
      sym_block_comment,
      sym_line_comment,
  [372064] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17296), 1,
      anon_sym_COMMA,
    STATE(15393), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18295), 2,
      sym_block_comment,
      sym_line_comment,
  [372081] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17221), 1,
      anon_sym_COMMA,
    STATE(15434), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18296), 2,
      sym_block_comment,
      sym_line_comment,
  [372098] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8549), 1,
      anon_sym_RPAREN,
    ACTIONS(24646), 1,
      anon_sym_SEMI,
    STATE(18297), 2,
      sym_block_comment,
      sym_line_comment,
  [372115] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(10384), 1,
      sym_curly_expression,
    STATE(18298), 2,
      sym_block_comment,
      sym_line_comment,
  [372132] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17326), 1,
      anon_sym_COMMA,
    STATE(15459), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18299), 2,
      sym_block_comment,
      sym_line_comment,
  [372149] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7993), 1,
      anon_sym_RPAREN,
    ACTIONS(24648), 1,
      anon_sym_SEMI,
    STATE(18300), 2,
      sym_block_comment,
      sym_line_comment,
  [372166] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17428), 1,
      anon_sym_COMMA,
    STATE(15200), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18301), 2,
      sym_block_comment,
      sym_line_comment,
  [372183] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16922), 1,
      anon_sym_COMMA,
    STATE(14820), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18302), 2,
      sym_block_comment,
      sym_line_comment,
  [372200] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24650), 1,
      anon_sym_LPAREN,
    STATE(5454), 1,
      sym_argument_list,
    STATE(18303), 2,
      sym_block_comment,
      sym_line_comment,
  [372217] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10878), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18304), 2,
      sym_block_comment,
      sym_line_comment,
  [372232] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17348), 1,
      anon_sym_COMMA,
    STATE(15079), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18305), 2,
      sym_block_comment,
      sym_line_comment,
  [372249] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16237), 1,
      anon_sym_LBRACE,
    STATE(8040), 1,
      sym_curly_expression,
    STATE(18306), 2,
      sym_block_comment,
      sym_line_comment,
  [372266] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24652), 1,
      anon_sym_LPAREN,
    STATE(5962), 1,
      sym_argument_list,
    STATE(18307), 2,
      sym_block_comment,
      sym_line_comment,
  [372283] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17116), 1,
      anon_sym_COMMA,
    STATE(15180), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18308), 2,
      sym_block_comment,
      sym_line_comment,
  [372300] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7541), 1,
      anon_sym_LBRACE,
    STATE(5296), 1,
      sym_curly_expression,
    STATE(18309), 2,
      sym_block_comment,
      sym_line_comment,
  [372317] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8679), 1,
      anon_sym_RPAREN,
    ACTIONS(24654), 1,
      anon_sym_SEMI,
    STATE(18310), 2,
      sym_block_comment,
      sym_line_comment,
  [372334] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17199), 1,
      anon_sym_COMMA,
    STATE(15282), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18311), 2,
      sym_block_comment,
      sym_line_comment,
  [372351] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16994), 1,
      anon_sym_COMMA,
    STATE(15418), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18312), 2,
      sym_block_comment,
      sym_line_comment,
  [372368] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24656), 1,
      anon_sym_LPAREN,
    STATE(5297), 1,
      sym_argument_list,
    STATE(18313), 2,
      sym_block_comment,
      sym_line_comment,
  [372385] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7193), 1,
      anon_sym_RPAREN,
    ACTIONS(24658), 1,
      anon_sym_SEMI,
    STATE(18314), 2,
      sym_block_comment,
      sym_line_comment,
  [372402] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17110), 1,
      anon_sym_COMMA,
    STATE(14636), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18315), 2,
      sym_block_comment,
      sym_line_comment,
  [372419] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17158), 1,
      anon_sym_COMMA,
    STATE(14653), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18316), 2,
      sym_block_comment,
      sym_line_comment,
  [372436] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17316), 1,
      anon_sym_COMMA,
    STATE(14673), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18317), 2,
      sym_block_comment,
      sym_line_comment,
  [372453] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16165), 1,
      anon_sym_LBRACE,
    STATE(12220), 1,
      sym_curly_expression,
    STATE(18318), 2,
      sym_block_comment,
      sym_line_comment,
  [372470] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17152), 1,
      anon_sym_COMMA,
    STATE(14685), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18319), 2,
      sym_block_comment,
      sym_line_comment,
  [372487] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8725), 1,
      anon_sym_RPAREN,
    ACTIONS(24660), 1,
      anon_sym_SEMI,
    STATE(18320), 2,
      sym_block_comment,
      sym_line_comment,
  [372504] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17205), 1,
      anon_sym_COMMA,
    STATE(14700), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18321), 2,
      sym_block_comment,
      sym_line_comment,
  [372521] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15255), 1,
      anon_sym_LBRACE,
    STATE(6434), 1,
      sym_curly_expression,
    STATE(18322), 2,
      sym_block_comment,
      sym_line_comment,
  [372538] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17369), 1,
      anon_sym_COMMA,
    STATE(14715), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18323), 2,
      sym_block_comment,
      sym_line_comment,
  [372555] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1273), 1,
      anon_sym_LBRACE,
    STATE(6340), 1,
      sym_curly_expression,
    STATE(18324), 2,
      sym_block_comment,
      sym_line_comment,
  [372572] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14613), 1,
      anon_sym_LBRACE,
    STATE(6317), 1,
      sym_curly_expression,
    STATE(18325), 2,
      sym_block_comment,
      sym_line_comment,
  [372589] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17354), 1,
      anon_sym_COMMA,
    STATE(14736), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18326), 2,
      sym_block_comment,
      sym_line_comment,
  [372606] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8159), 1,
      anon_sym_RPAREN,
    ACTIONS(24662), 1,
      anon_sym_SEMI,
    STATE(18327), 2,
      sym_block_comment,
      sym_line_comment,
  [372623] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15337), 1,
      anon_sym_LBRACE,
    STATE(5783), 1,
      sym_curly_expression,
    STATE(18328), 2,
      sym_block_comment,
      sym_line_comment,
  [372640] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24656), 1,
      anon_sym_LPAREN,
    STATE(5299), 1,
      sym_argument_list,
    STATE(18329), 2,
      sym_block_comment,
      sym_line_comment,
  [372657] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16891), 1,
      anon_sym_COMMA,
    STATE(14755), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18330), 2,
      sym_block_comment,
      sym_line_comment,
  [372674] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17128), 1,
      anon_sym_COMMA,
    STATE(14768), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18331), 2,
      sym_block_comment,
      sym_line_comment,
  [372691] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24620), 1,
      anon_sym_LPAREN,
    STATE(5752), 1,
      sym_argument_list,
    STATE(18332), 2,
      sym_block_comment,
      sym_line_comment,
  [372708] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17446), 1,
      anon_sym_COMMA,
    STATE(14781), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18333), 2,
      sym_block_comment,
      sym_line_comment,
  [372725] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16988), 1,
      anon_sym_COMMA,
    STATE(14796), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18334), 2,
      sym_block_comment,
      sym_line_comment,
  [372742] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24606), 1,
      anon_sym_LPAREN,
    STATE(5194), 1,
      sym_argument_list,
    STATE(18335), 2,
      sym_block_comment,
      sym_line_comment,
  [372759] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17472), 1,
      anon_sym_COMMA,
    STATE(14814), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18336), 2,
      sym_block_comment,
      sym_line_comment,
  [372776] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15337), 1,
      anon_sym_LBRACE,
    STATE(5785), 1,
      sym_curly_expression,
    STATE(18337), 2,
      sym_block_comment,
      sym_line_comment,
  [372793] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16299), 1,
      anon_sym_LBRACE,
    STATE(7448), 1,
      sym_curly_expression,
    STATE(18338), 2,
      sym_block_comment,
      sym_line_comment,
  [372810] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14939), 1,
      anon_sym_LBRACE,
    STATE(5669), 1,
      sym_curly_expression,
    STATE(18339), 2,
      sym_block_comment,
      sym_line_comment,
  [372827] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17070), 1,
      anon_sym_COMMA,
    STATE(14834), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18340), 2,
      sym_block_comment,
      sym_line_comment,
  [372844] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14689), 1,
      anon_sym_LBRACE,
    STATE(6698), 1,
      sym_curly_expression,
    STATE(18341), 2,
      sym_block_comment,
      sym_line_comment,
  [372861] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17096), 1,
      anon_sym_COMMA,
    STATE(14851), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18342), 2,
      sym_block_comment,
      sym_line_comment,
  [372878] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8709), 1,
      anon_sym_RPAREN,
    ACTIONS(24664), 1,
      anon_sym_SEMI,
    STATE(18343), 2,
      sym_block_comment,
      sym_line_comment,
  [372895] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15243), 1,
      anon_sym_LBRACE,
    STATE(6831), 1,
      sym_curly_expression,
    STATE(18344), 2,
      sym_block_comment,
      sym_line_comment,
  [372912] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17134), 1,
      anon_sym_COMMA,
    STATE(14867), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18345), 2,
      sym_block_comment,
      sym_line_comment,
  [372929] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17146), 1,
      anon_sym_COMMA,
    STATE(14884), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18346), 2,
      sym_block_comment,
      sym_line_comment,
  [372946] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8407), 1,
      anon_sym_RPAREN,
    ACTIONS(24666), 1,
      anon_sym_SEMI,
    STATE(18347), 2,
      sym_block_comment,
      sym_line_comment,
  [372963] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17284), 1,
      anon_sym_COMMA,
    STATE(14900), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18348), 2,
      sym_block_comment,
      sym_line_comment,
  [372980] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7419), 1,
      anon_sym_RPAREN,
    ACTIONS(24668), 1,
      anon_sym_SEMI,
    STATE(18349), 2,
      sym_block_comment,
      sym_line_comment,
  [372997] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24612), 1,
      anon_sym_LPAREN,
    STATE(5462), 1,
      sym_argument_list,
    STATE(18350), 2,
      sym_block_comment,
      sym_line_comment,
  [373014] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17434), 1,
      anon_sym_COMMA,
    STATE(14912), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18351), 2,
      sym_block_comment,
      sym_line_comment,
  [373031] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8255), 1,
      anon_sym_RPAREN,
    ACTIONS(24670), 1,
      anon_sym_SEMI,
    STATE(18352), 2,
      sym_block_comment,
      sym_line_comment,
  [373048] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16903), 1,
      anon_sym_COMMA,
    STATE(14925), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18353), 2,
      sym_block_comment,
      sym_line_comment,
  [373065] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8755), 1,
      anon_sym_RPAREN,
    ACTIONS(24672), 1,
      anon_sym_SEMI,
    STATE(18354), 2,
      sym_block_comment,
      sym_line_comment,
  [373082] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17010), 1,
      anon_sym_COMMA,
    STATE(14938), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18355), 2,
      sym_block_comment,
      sym_line_comment,
  [373099] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7751), 1,
      anon_sym_RPAREN,
    ACTIONS(24674), 1,
      anon_sym_SEMI,
    STATE(18356), 2,
      sym_block_comment,
      sym_line_comment,
  [373116] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17016), 1,
      anon_sym_COMMA,
    STATE(14951), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18357), 2,
      sym_block_comment,
      sym_line_comment,
  [373133] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17102), 1,
      anon_sym_COMMA,
    STATE(14968), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18358), 2,
      sym_block_comment,
      sym_line_comment,
  [373150] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9909), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18359), 2,
      sym_block_comment,
      sym_line_comment,
  [373165] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17176), 1,
      anon_sym_COMMA,
    STATE(14982), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18360), 2,
      sym_block_comment,
      sym_line_comment,
  [373182] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17310), 1,
      anon_sym_COMMA,
    STATE(15001), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18361), 2,
      sym_block_comment,
      sym_line_comment,
  [373199] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13679), 1,
      anon_sym_LBRACE,
    STATE(6481), 1,
      sym_curly_expression,
    STATE(18362), 2,
      sym_block_comment,
      sym_line_comment,
  [373216] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24676), 1,
      anon_sym_LPAREN,
    STATE(5641), 1,
      sym_argument_list,
    STATE(18363), 2,
      sym_block_comment,
      sym_line_comment,
  [373233] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17381), 1,
      anon_sym_COMMA,
    STATE(15016), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18364), 2,
      sym_block_comment,
      sym_line_comment,
  [373250] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13679), 1,
      anon_sym_LBRACE,
    STATE(6483), 1,
      sym_curly_expression,
    STATE(18365), 2,
      sym_block_comment,
      sym_line_comment,
  [373267] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17411), 1,
      anon_sym_COMMA,
    STATE(15032), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18366), 2,
      sym_block_comment,
      sym_line_comment,
  [373284] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7145), 1,
      anon_sym_RPAREN,
    ACTIONS(24678), 1,
      anon_sym_SEMI,
    STATE(18367), 2,
      sym_block_comment,
      sym_line_comment,
  [373301] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24676), 1,
      anon_sym_LPAREN,
    STATE(5643), 1,
      sym_argument_list,
    STATE(18368), 2,
      sym_block_comment,
      sym_line_comment,
  [373318] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17462), 1,
      anon_sym_COMMA,
    STATE(15047), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18369), 2,
      sym_block_comment,
      sym_line_comment,
  [373335] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13679), 1,
      anon_sym_LBRACE,
    STATE(6485), 1,
      sym_curly_expression,
    STATE(18370), 2,
      sym_block_comment,
      sym_line_comment,
  [373352] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24680), 1,
      anon_sym_LPAREN,
    STATE(5624), 1,
      sym_argument_list,
    STATE(18371), 2,
      sym_block_comment,
      sym_line_comment,
  [373369] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16327), 1,
      anon_sym_LBRACE,
    STATE(9469), 1,
      sym_curly_expression,
    STATE(18372), 2,
      sym_block_comment,
      sym_line_comment,
  [373386] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10195), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18373), 2,
      sym_block_comment,
      sym_line_comment,
  [373401] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24644), 1,
      anon_sym_LPAREN,
    STATE(4690), 1,
      sym_argument_list,
    STATE(18374), 2,
      sym_block_comment,
      sym_line_comment,
  [373418] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8739), 1,
      anon_sym_RPAREN,
    ACTIONS(24682), 1,
      anon_sym_SEMI,
    STATE(18375), 2,
      sym_block_comment,
      sym_line_comment,
  [373435] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7747), 1,
      anon_sym_RPAREN,
    ACTIONS(24684), 1,
      anon_sym_SEMI,
    STATE(18376), 2,
      sym_block_comment,
      sym_line_comment,
  [373452] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24686), 1,
      anon_sym_LPAREN,
    STATE(10448), 1,
      sym_argument_list,
    STATE(18377), 2,
      sym_block_comment,
      sym_line_comment,
  [373469] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15255), 1,
      anon_sym_LBRACE,
    STATE(6436), 1,
      sym_curly_expression,
    STATE(18378), 2,
      sym_block_comment,
      sym_line_comment,
  [373486] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24588), 1,
      anon_sym_LPAREN,
    STATE(10442), 1,
      sym_argument_list,
    STATE(18379), 2,
      sym_block_comment,
      sym_line_comment,
  [373503] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8495), 1,
      anon_sym_RPAREN,
    ACTIONS(24688), 1,
      anon_sym_SEMI,
    STATE(18380), 2,
      sym_block_comment,
      sym_line_comment,
  [373520] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8789), 1,
      anon_sym_RPAREN,
    ACTIONS(24690), 1,
      anon_sym_SEMI,
    STATE(18381), 2,
      sym_block_comment,
      sym_line_comment,
  [373537] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24680), 1,
      anon_sym_LPAREN,
    STATE(5626), 1,
      sym_argument_list,
    STATE(18382), 2,
      sym_block_comment,
      sym_line_comment,
  [373554] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15337), 1,
      anon_sym_LBRACE,
    STATE(5688), 1,
      sym_curly_expression,
    STATE(18383), 2,
      sym_block_comment,
      sym_line_comment,
  [373571] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15255), 1,
      anon_sym_LBRACE,
    STATE(6438), 1,
      sym_curly_expression,
    STATE(18384), 2,
      sym_block_comment,
      sym_line_comment,
  [373588] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17405), 1,
      anon_sym_COMMA,
    STATE(15121), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18385), 2,
      sym_block_comment,
      sym_line_comment,
  [373605] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8241), 1,
      anon_sym_RPAREN,
    ACTIONS(24692), 1,
      anon_sym_SEMI,
    STATE(18386), 2,
      sym_block_comment,
      sym_line_comment,
  [373622] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8103), 1,
      anon_sym_RPAREN,
    ACTIONS(24694), 1,
      anon_sym_SEMI,
    STATE(18387), 2,
      sym_block_comment,
      sym_line_comment,
  [373639] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16245), 1,
      anon_sym_LBRACE,
    STATE(7501), 1,
      sym_curly_expression,
    STATE(18388), 2,
      sym_block_comment,
      sym_line_comment,
  [373656] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16291), 1,
      anon_sym_LBRACE,
    STATE(8327), 1,
      sym_curly_expression,
    STATE(18389), 2,
      sym_block_comment,
      sym_line_comment,
  [373673] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8771), 1,
      anon_sym_RPAREN,
    ACTIONS(24696), 1,
      anon_sym_SEMI,
    STATE(18390), 2,
      sym_block_comment,
      sym_line_comment,
  [373690] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7205), 1,
      anon_sym_LBRACE,
    STATE(5404), 1,
      sym_curly_expression,
    STATE(18391), 2,
      sym_block_comment,
      sym_line_comment,
  [373707] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24698), 2,
      anon_sym_end,
      anon_sym_catch,
    STATE(18392), 2,
      sym_block_comment,
      sym_line_comment,
  [373722] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7945), 1,
      anon_sym_RPAREN,
    ACTIONS(24700), 1,
      anon_sym_SEMI,
    STATE(18393), 2,
      sym_block_comment,
      sym_line_comment,
  [373739] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24686), 1,
      anon_sym_LPAREN,
    STATE(10453), 1,
      sym_argument_list,
    STATE(18394), 2,
      sym_block_comment,
      sym_line_comment,
  [373756] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8131), 1,
      anon_sym_RPAREN,
    ACTIONS(24702), 1,
      anon_sym_SEMI,
    STATE(18395), 2,
      sym_block_comment,
      sym_line_comment,
  [373773] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8279), 1,
      anon_sym_RPAREN,
    ACTIONS(24704), 1,
      anon_sym_SEMI,
    STATE(18396), 2,
      sym_block_comment,
      sym_line_comment,
  [373790] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7855), 1,
      anon_sym_RPAREN,
    ACTIONS(24706), 1,
      anon_sym_SEMI,
    STATE(18397), 2,
      sym_block_comment,
      sym_line_comment,
  [373807] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24630), 1,
      anon_sym_LPAREN,
    STATE(10920), 1,
      sym_argument_list,
    STATE(18398), 2,
      sym_block_comment,
      sym_line_comment,
  [373824] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7159), 1,
      anon_sym_LBRACE,
    STATE(5205), 1,
      sym_curly_expression,
    STATE(18399), 2,
      sym_block_comment,
      sym_line_comment,
  [373841] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24708), 1,
      anon_sym_LPAREN,
    STATE(4640), 1,
      sym_argument_list,
    STATE(18400), 2,
      sym_block_comment,
      sym_line_comment,
  [373858] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16135), 1,
      anon_sym_LBRACE,
    STATE(7374), 1,
      sym_curly_expression,
    STATE(18401), 2,
      sym_block_comment,
      sym_line_comment,
  [373875] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
    STATE(11149), 1,
      sym_curly_expression,
    STATE(18402), 2,
      sym_block_comment,
      sym_line_comment,
  [373892] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14789), 1,
      anon_sym_LBRACE,
    STATE(11830), 1,
      sym_curly_expression,
    STATE(18403), 2,
      sym_block_comment,
      sym_line_comment,
  [373909] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8815), 1,
      anon_sym_RPAREN,
    ACTIONS(24710), 1,
      anon_sym_SEMI,
    STATE(18404), 2,
      sym_block_comment,
      sym_line_comment,
  [373926] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7159), 1,
      anon_sym_LBRACE,
    STATE(5207), 1,
      sym_curly_expression,
    STATE(18405), 2,
      sym_block_comment,
      sym_line_comment,
  [373943] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24708), 1,
      anon_sym_LPAREN,
    STATE(4642), 1,
      sym_argument_list,
    STATE(18406), 2,
      sym_block_comment,
      sym_line_comment,
  [373960] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7159), 1,
      anon_sym_LBRACE,
    STATE(5209), 1,
      sym_curly_expression,
    STATE(18407), 2,
      sym_block_comment,
      sym_line_comment,
  [373977] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24676), 1,
      anon_sym_LPAREN,
    STATE(5644), 1,
      sym_argument_list,
    STATE(18408), 2,
      sym_block_comment,
      sym_line_comment,
  [373994] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24712), 1,
      anon_sym_LPAREN,
    STATE(11269), 1,
      sym_argument_list,
    STATE(18409), 2,
      sym_block_comment,
      sym_line_comment,
  [374011] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16103), 1,
      anon_sym_LBRACE,
    STATE(7317), 1,
      sym_curly_expression,
    STATE(18410), 2,
      sym_block_comment,
      sym_line_comment,
  [374028] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8841), 1,
      anon_sym_RPAREN,
    ACTIONS(24714), 1,
      anon_sym_SEMI,
    STATE(18411), 2,
      sym_block_comment,
      sym_line_comment,
  [374045] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24716), 2,
      anon_sym_end,
      anon_sym_finally,
    STATE(18412), 2,
      sym_block_comment,
      sym_line_comment,
  [374060] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14789), 1,
      anon_sym_LBRACE,
    STATE(11889), 1,
      sym_curly_expression,
    STATE(18413), 2,
      sym_block_comment,
      sym_line_comment,
  [374077] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24718), 1,
      anon_sym_LPAREN,
    STATE(6907), 1,
      sym_argument_list,
    STATE(18414), 2,
      sym_block_comment,
      sym_line_comment,
  [374094] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10365), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18415), 2,
      sym_block_comment,
      sym_line_comment,
  [374109] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7149), 1,
      anon_sym_RPAREN,
    ACTIONS(24720), 1,
      anon_sym_SEMI,
    STATE(18416), 2,
      sym_block_comment,
      sym_line_comment,
  [374126] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15325), 1,
      anon_sym_LBRACE,
    STATE(7419), 1,
      sym_curly_expression,
    STATE(18417), 2,
      sym_block_comment,
      sym_line_comment,
  [374143] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24718), 1,
      anon_sym_LPAREN,
    STATE(6825), 1,
      sym_argument_list,
    STATE(18418), 2,
      sym_block_comment,
      sym_line_comment,
  [374160] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10377), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18419), 2,
      sym_block_comment,
      sym_line_comment,
  [374175] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24712), 1,
      anon_sym_LPAREN,
    STATE(11331), 1,
      sym_argument_list,
    STATE(18420), 2,
      sym_block_comment,
      sym_line_comment,
  [374192] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8483), 1,
      anon_sym_RPAREN,
    ACTIONS(24722), 1,
      anon_sym_SEMI,
    STATE(18421), 2,
      sym_block_comment,
      sym_line_comment,
  [374209] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14789), 1,
      anon_sym_LBRACE,
    STATE(11898), 1,
      sym_curly_expression,
    STATE(18422), 2,
      sym_block_comment,
      sym_line_comment,
  [374226] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15325), 1,
      anon_sym_LBRACE,
    STATE(7509), 1,
      sym_curly_expression,
    STATE(18423), 2,
      sym_block_comment,
      sym_line_comment,
  [374243] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7647), 1,
      anon_sym_RPAREN,
    ACTIONS(24724), 1,
      anon_sym_SEMI,
    STATE(18424), 2,
      sym_block_comment,
      sym_line_comment,
  [374260] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24708), 1,
      anon_sym_LPAREN,
    STATE(4644), 1,
      sym_argument_list,
    STATE(18425), 2,
      sym_block_comment,
      sym_line_comment,
  [374277] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14461), 1,
      anon_sym_LBRACE,
    STATE(11032), 1,
      sym_curly_expression,
    STATE(18426), 2,
      sym_block_comment,
      sym_line_comment,
  [374294] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(3226), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18427), 2,
      sym_block_comment,
      sym_line_comment,
  [374309] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10019), 1,
      anon_sym_RPAREN,
    ACTIONS(24726), 1,
      aux_sym_float_literal_token2,
    STATE(18428), 2,
      sym_block_comment,
      sym_line_comment,
  [374326] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7373), 1,
      anon_sym_RPAREN,
    ACTIONS(24728), 1,
      anon_sym_SEMI,
    STATE(18429), 2,
      sym_block_comment,
      sym_line_comment,
  [374343] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16319), 1,
      anon_sym_LBRACE,
    STATE(9714), 1,
      sym_curly_expression,
    STATE(18430), 2,
      sym_block_comment,
      sym_line_comment,
  [374360] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9027), 1,
      anon_sym_RPAREN,
    ACTIONS(24730), 1,
      anon_sym_SEMI,
    STATE(18431), 2,
      sym_block_comment,
      sym_line_comment,
  [374377] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24708), 1,
      anon_sym_LPAREN,
    STATE(4645), 1,
      sym_argument_list,
    STATE(18432), 2,
      sym_block_comment,
      sym_line_comment,
  [374394] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8797), 1,
      anon_sym_RPAREN,
    ACTIONS(24732), 1,
      anon_sym_SEMI,
    STATE(18433), 2,
      sym_block_comment,
      sym_line_comment,
  [374411] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7159), 1,
      anon_sym_LBRACE,
    STATE(5214), 1,
      sym_curly_expression,
    STATE(18434), 2,
      sym_block_comment,
      sym_line_comment,
  [374428] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9079), 1,
      anon_sym_RPAREN,
    ACTIONS(24734), 1,
      anon_sym_SEMI,
    STATE(18435), 2,
      sym_block_comment,
      sym_line_comment,
  [374445] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24736), 2,
      anon_sym_end,
      anon_sym_finally,
    STATE(18436), 2,
      sym_block_comment,
      sym_line_comment,
  [374460] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24738), 1,
      anon_sym_LPAREN,
    STATE(10787), 1,
      sym_argument_list,
    STATE(18437), 2,
      sym_block_comment,
      sym_line_comment,
  [374477] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9971), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18438), 2,
      sym_block_comment,
      sym_line_comment,
  [374492] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24740), 1,
      anon_sym_LPAREN,
    STATE(4677), 1,
      sym_argument_list,
    STATE(18439), 2,
      sym_block_comment,
      sym_line_comment,
  [374509] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7893), 1,
      anon_sym_RPAREN,
    ACTIONS(24742), 1,
      anon_sym_SEMI,
    STATE(18440), 2,
      sym_block_comment,
      sym_line_comment,
  [374526] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14461), 1,
      anon_sym_LBRACE,
    STATE(11077), 1,
      sym_curly_expression,
    STATE(18441), 2,
      sym_block_comment,
      sym_line_comment,
  [374543] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8023), 1,
      anon_sym_RPAREN,
    ACTIONS(24744), 1,
      anon_sym_SEMI,
    STATE(18442), 2,
      sym_block_comment,
      sym_line_comment,
  [374560] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13705), 1,
      anon_sym_LBRACE,
    STATE(6253), 1,
      sym_curly_expression,
    STATE(18443), 2,
      sym_block_comment,
      sym_line_comment,
  [374577] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8847), 1,
      anon_sym_RPAREN,
    ACTIONS(24746), 1,
      anon_sym_SEMI,
    STATE(18444), 2,
      sym_block_comment,
      sym_line_comment,
  [374594] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24656), 1,
      anon_sym_LPAREN,
    STATE(5300), 1,
      sym_argument_list,
    STATE(18445), 2,
      sym_block_comment,
      sym_line_comment,
  [374611] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14157), 1,
      anon_sym_LBRACE,
    STATE(6600), 1,
      sym_curly_expression,
    STATE(18446), 2,
      sym_block_comment,
      sym_line_comment,
  [374628] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24748), 1,
      anon_sym_LPAREN,
    STATE(5679), 1,
      sym_argument_list,
    STATE(18447), 2,
      sym_block_comment,
      sym_line_comment,
  [374645] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8327), 1,
      anon_sym_RPAREN,
    ACTIONS(24750), 1,
      anon_sym_SEMI,
    STATE(18448), 2,
      sym_block_comment,
      sym_line_comment,
  [374662] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14157), 1,
      anon_sym_LBRACE,
    STATE(6602), 1,
      sym_curly_expression,
    STATE(18449), 2,
      sym_block_comment,
      sym_line_comment,
  [374679] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24748), 1,
      anon_sym_LPAREN,
    STATE(5681), 1,
      sym_argument_list,
    STATE(18450), 2,
      sym_block_comment,
      sym_line_comment,
  [374696] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14157), 1,
      anon_sym_LBRACE,
    STATE(6604), 1,
      sym_curly_expression,
    STATE(18451), 2,
      sym_block_comment,
      sym_line_comment,
  [374713] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24738), 1,
      anon_sym_LPAREN,
    STATE(10791), 1,
      sym_argument_list,
    STATE(18452), 2,
      sym_block_comment,
      sym_line_comment,
  [374730] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24752), 1,
      anon_sym_LPAREN,
    STATE(5656), 1,
      sym_argument_list,
    STATE(18453), 2,
      sym_block_comment,
      sym_line_comment,
  [374747] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8531), 1,
      anon_sym_RPAREN,
    ACTIONS(24754), 1,
      anon_sym_SEMI,
    STATE(18454), 2,
      sym_block_comment,
      sym_line_comment,
  [374764] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7237), 1,
      anon_sym_RPAREN,
    ACTIONS(24756), 1,
      anon_sym_SEMI,
    STATE(18455), 2,
      sym_block_comment,
      sym_line_comment,
  [374781] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    STATE(10581), 1,
      sym_curly_expression,
    STATE(18456), 2,
      sym_block_comment,
      sym_line_comment,
  [374798] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14171), 1,
      anon_sym_LBRACE,
    STATE(6532), 1,
      sym_curly_expression,
    STATE(18457), 2,
      sym_block_comment,
      sym_line_comment,
  [374815] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10317), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18458), 2,
      sym_block_comment,
      sym_line_comment,
  [374830] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14461), 1,
      anon_sym_LBRACE,
    STATE(10983), 1,
      sym_curly_expression,
    STATE(18459), 2,
      sym_block_comment,
      sym_line_comment,
  [374847] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8553), 1,
      anon_sym_RPAREN,
    ACTIONS(24758), 1,
      anon_sym_SEMI,
    STATE(18460), 2,
      sym_block_comment,
      sym_line_comment,
  [374864] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16909), 1,
      anon_sym_COMMA,
    STATE(14626), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18461), 2,
      sym_block_comment,
      sym_line_comment,
  [374881] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24748), 1,
      anon_sym_LPAREN,
    STATE(5683), 1,
      sym_argument_list,
    STATE(18462), 2,
      sym_block_comment,
      sym_line_comment,
  [374898] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13631), 1,
      anon_sym_LBRACE,
    STATE(6767), 1,
      sym_curly_expression,
    STATE(18463), 2,
      sym_block_comment,
      sym_line_comment,
  [374915] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24650), 1,
      anon_sym_LPAREN,
    STATE(5449), 1,
      sym_argument_list,
    STATE(18464), 2,
      sym_block_comment,
      sym_line_comment,
  [374932] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7441), 1,
      anon_sym_RPAREN,
    ACTIONS(24760), 1,
      anon_sym_SEMI,
    STATE(18465), 2,
      sym_block_comment,
      sym_line_comment,
  [374949] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17452), 1,
      anon_sym_COMMA,
    STATE(15317), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18466), 2,
      sym_block_comment,
      sym_line_comment,
  [374966] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8829), 1,
      anon_sym_RPAREN,
    ACTIONS(24762), 1,
      anon_sym_SEMI,
    STATE(18467), 2,
      sym_block_comment,
      sym_line_comment,
  [374983] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8581), 1,
      anon_sym_RPAREN,
    ACTIONS(24764), 1,
      anon_sym_SEMI,
    STATE(18468), 2,
      sym_block_comment,
      sym_line_comment,
  [375000] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24748), 1,
      anon_sym_LPAREN,
    STATE(5684), 1,
      sym_argument_list,
    STATE(18469), 2,
      sym_block_comment,
      sym_line_comment,
  [375017] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14157), 1,
      anon_sym_LBRACE,
    STATE(6625), 1,
      sym_curly_expression,
    STATE(18470), 2,
      sym_block_comment,
      sym_line_comment,
  [375034] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24676), 1,
      anon_sym_LPAREN,
    STATE(5647), 1,
      sym_argument_list,
    STATE(18471), 2,
      sym_block_comment,
      sym_line_comment,
  [375051] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13959), 1,
      anon_sym_LBRACE,
    STATE(10547), 1,
      sym_curly_expression,
    STATE(18472), 2,
      sym_block_comment,
      sym_line_comment,
  [375068] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13679), 1,
      anon_sym_LBRACE,
    STATE(6504), 1,
      sym_curly_expression,
    STATE(18473), 2,
      sym_block_comment,
      sym_line_comment,
  [375085] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24718), 1,
      anon_sym_LPAREN,
    STATE(6868), 1,
      sym_argument_list,
    STATE(18474), 2,
      sym_block_comment,
      sym_line_comment,
  [375102] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8307), 1,
      anon_sym_RPAREN,
    ACTIONS(24766), 1,
      anon_sym_SEMI,
    STATE(18475), 2,
      sym_block_comment,
      sym_line_comment,
  [375119] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24752), 1,
      anon_sym_LPAREN,
    STATE(5655), 1,
      sym_argument_list,
    STATE(18476), 2,
      sym_block_comment,
      sym_line_comment,
  [375136] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8423), 1,
      anon_sym_RPAREN,
    ACTIONS(24768), 1,
      anon_sym_SEMI,
    STATE(18477), 2,
      sym_block_comment,
      sym_line_comment,
  [375153] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24712), 1,
      anon_sym_LPAREN,
    STATE(11358), 1,
      sym_argument_list,
    STATE(18478), 2,
      sym_block_comment,
      sym_line_comment,
  [375170] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24770), 1,
      anon_sym_LPAREN,
    STATE(4588), 1,
      sym_argument_list,
    STATE(18479), 2,
      sym_block_comment,
      sym_line_comment,
  [375187] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8883), 1,
      anon_sym_RPAREN,
    ACTIONS(24772), 1,
      anon_sym_SEMI,
    STATE(18480), 2,
      sym_block_comment,
      sym_line_comment,
  [375204] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    STATE(10673), 1,
      sym_curly_expression,
    STATE(18481), 2,
      sym_block_comment,
      sym_line_comment,
  [375221] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24774), 1,
      anon_sym_LPAREN,
    STATE(10457), 1,
      sym_argument_list,
    STATE(18482), 2,
      sym_block_comment,
      sym_line_comment,
  [375238] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    STATE(10749), 1,
      sym_curly_expression,
    STATE(18483), 2,
      sym_block_comment,
      sym_line_comment,
  [375255] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7469), 1,
      anon_sym_RPAREN,
    ACTIONS(24776), 1,
      anon_sym_SEMI,
    STATE(18484), 2,
      sym_block_comment,
      sym_line_comment,
  [375272] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24774), 1,
      anon_sym_LPAREN,
    STATE(10465), 1,
      sym_argument_list,
    STATE(18485), 2,
      sym_block_comment,
      sym_line_comment,
  [375289] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15279), 1,
      anon_sym_LBRACE,
    STATE(12468), 1,
      sym_curly_expression,
    STATE(18486), 2,
      sym_block_comment,
      sym_line_comment,
  [375306] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24778), 1,
      anon_sym_LPAREN,
    STATE(12034), 1,
      sym_argument_list,
    STATE(18487), 2,
      sym_block_comment,
      sym_line_comment,
  [375323] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15279), 1,
      anon_sym_LBRACE,
    STATE(12526), 1,
      sym_curly_expression,
    STATE(18488), 2,
      sym_block_comment,
      sym_line_comment,
  [375340] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24778), 1,
      anon_sym_LPAREN,
    STATE(12036), 1,
      sym_argument_list,
    STATE(18489), 2,
      sym_block_comment,
      sym_line_comment,
  [375357] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15279), 1,
      anon_sym_LBRACE,
    STATE(12541), 1,
      sym_curly_expression,
    STATE(18490), 2,
      sym_block_comment,
      sym_line_comment,
  [375374] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    STATE(10653), 1,
      sym_curly_expression,
    STATE(18491), 2,
      sym_block_comment,
      sym_line_comment,
  [375391] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7907), 1,
      anon_sym_RPAREN,
    ACTIONS(24780), 1,
      anon_sym_SEMI,
    STATE(18492), 2,
      sym_block_comment,
      sym_line_comment,
  [375408] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1273), 1,
      anon_sym_LBRACE,
    STATE(6330), 1,
      sym_curly_expression,
    STATE(18493), 2,
      sym_block_comment,
      sym_line_comment,
  [375425] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24650), 1,
      anon_sym_LPAREN,
    STATE(5451), 1,
      sym_argument_list,
    STATE(18494), 2,
      sym_block_comment,
      sym_line_comment,
  [375442] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24588), 1,
      anon_sym_LPAREN,
    STATE(10450), 1,
      sym_argument_list,
    STATE(18495), 2,
      sym_block_comment,
      sym_line_comment,
  [375459] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7301), 1,
      anon_sym_RPAREN,
    ACTIONS(24782), 1,
      anon_sym_SEMI,
    STATE(18496), 2,
      sym_block_comment,
      sym_line_comment,
  [375476] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24784), 1,
      anon_sym_LPAREN,
    STATE(10696), 1,
      sym_argument_list,
    STATE(18497), 2,
      sym_block_comment,
      sym_line_comment,
  [375493] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24686), 1,
      anon_sym_LPAREN,
    STATE(10452), 1,
      sym_argument_list,
    STATE(18498), 2,
      sym_block_comment,
      sym_line_comment,
  [375510] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    STATE(10628), 1,
      sym_curly_expression,
    STATE(18499), 2,
      sym_block_comment,
      sym_line_comment,
  [375527] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8049), 1,
      anon_sym_RPAREN,
    ACTIONS(24786), 1,
      anon_sym_SEMI,
    STATE(18500), 2,
      sym_block_comment,
      sym_line_comment,
  [375544] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7259), 1,
      anon_sym_RPAREN,
    ACTIONS(24788), 1,
      anon_sym_SEMI,
    STATE(18501), 2,
      sym_block_comment,
      sym_line_comment,
  [375561] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24778), 1,
      anon_sym_LPAREN,
    STATE(12041), 1,
      sym_argument_list,
    STATE(18502), 2,
      sym_block_comment,
      sym_line_comment,
  [375578] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8861), 1,
      anon_sym_RPAREN,
    ACTIONS(24790), 1,
      anon_sym_SEMI,
    STATE(18503), 2,
      sym_block_comment,
      sym_line_comment,
  [375595] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4223), 1,
      anon_sym_LBRACE,
    STATE(10970), 1,
      sym_curly_expression,
    STATE(18504), 2,
      sym_block_comment,
      sym_line_comment,
  [375612] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10870), 1,
      anon_sym_RPAREN,
    ACTIONS(24792), 1,
      anon_sym_DOT,
    STATE(18505), 2,
      sym_block_comment,
      sym_line_comment,
  [375629] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24740), 1,
      anon_sym_LPAREN,
    STATE(4600), 1,
      sym_argument_list,
    STATE(18506), 2,
      sym_block_comment,
      sym_line_comment,
  [375646] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7491), 1,
      anon_sym_RPAREN,
    ACTIONS(24794), 1,
      anon_sym_SEMI,
    STATE(18507), 2,
      sym_block_comment,
      sym_line_comment,
  [375663] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7683), 1,
      anon_sym_LBRACE,
    STATE(5130), 1,
      sym_curly_expression,
    STATE(18508), 2,
      sym_block_comment,
      sym_line_comment,
  [375680] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7975), 1,
      anon_sym_RPAREN,
    ACTIONS(24796), 1,
      anon_sym_SEMI,
    STATE(18509), 2,
      sym_block_comment,
      sym_line_comment,
  [375697] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10019), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18510), 2,
      sym_block_comment,
      sym_line_comment,
  [375712] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9053), 1,
      anon_sym_RPAREN,
    ACTIONS(24798), 1,
      anon_sym_SEMI,
    STATE(18511), 2,
      sym_block_comment,
      sym_line_comment,
  [375729] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9029), 1,
      anon_sym_RPAREN,
    ACTIONS(24800), 1,
      anon_sym_SEMI,
    STATE(18512), 2,
      sym_block_comment,
      sym_line_comment,
  [375746] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14689), 1,
      anon_sym_LBRACE,
    STATE(6746), 1,
      sym_curly_expression,
    STATE(18513), 2,
      sym_block_comment,
      sym_line_comment,
  [375763] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24778), 1,
      anon_sym_LPAREN,
    STATE(12068), 1,
      sym_argument_list,
    STATE(18514), 2,
      sym_block_comment,
      sym_line_comment,
  [375780] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15279), 1,
      anon_sym_LBRACE,
    STATE(12416), 1,
      sym_curly_expression,
    STATE(18515), 2,
      sym_block_comment,
      sym_line_comment,
  [375797] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8911), 1,
      anon_sym_RPAREN,
    ACTIONS(24802), 1,
      anon_sym_SEMI,
    STATE(18516), 2,
      sym_block_comment,
      sym_line_comment,
  [375814] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24804), 2,
      anon_sym_end,
      anon_sym_catch,
    STATE(18517), 2,
      sym_block_comment,
      sym_line_comment,
  [375829] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8265), 1,
      anon_sym_RPAREN,
    ACTIONS(24806), 1,
      anon_sym_SEMI,
    STATE(18518), 2,
      sym_block_comment,
      sym_line_comment,
  [375846] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1273), 1,
      anon_sym_LBRACE,
    STATE(6332), 1,
      sym_curly_expression,
    STATE(18519), 2,
      sym_block_comment,
      sym_line_comment,
  [375863] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17090), 1,
      anon_sym_COMMA,
    STATE(14885), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18520), 2,
      sym_block_comment,
      sym_line_comment,
  [375880] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24644), 1,
      anon_sym_LPAREN,
    STATE(4768), 1,
      sym_argument_list,
    STATE(18521), 2,
      sym_block_comment,
      sym_line_comment,
  [375897] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24588), 1,
      anon_sym_LPAREN,
    STATE(10446), 1,
      sym_argument_list,
    STATE(18522), 2,
      sym_block_comment,
      sym_line_comment,
  [375914] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24718), 1,
      anon_sym_LPAREN,
    STATE(6870), 1,
      sym_argument_list,
    STATE(18523), 2,
      sym_block_comment,
      sym_line_comment,
  [375931] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24680), 1,
      anon_sym_LPAREN,
    STATE(5630), 1,
      sym_argument_list,
    STATE(18524), 2,
      sym_block_comment,
      sym_line_comment,
  [375948] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15987), 1,
      anon_sym_LBRACE,
    STATE(11807), 1,
      sym_curly_expression,
    STATE(18525), 2,
      sym_block_comment,
      sym_line_comment,
  [375965] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24808), 1,
      anon_sym_LPAREN,
    STATE(5354), 1,
      sym_argument_list,
    STATE(18526), 2,
      sym_block_comment,
      sym_line_comment,
  [375982] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13433), 1,
      anon_sym_LBRACE,
    STATE(6140), 1,
      sym_curly_expression,
    STATE(18527), 2,
      sym_block_comment,
      sym_line_comment,
  [375999] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24808), 1,
      anon_sym_LPAREN,
    STATE(5356), 1,
      sym_argument_list,
    STATE(18528), 2,
      sym_block_comment,
      sym_line_comment,
  [376016] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13433), 1,
      anon_sym_LBRACE,
    STATE(6142), 1,
      sym_curly_expression,
    STATE(18529), 2,
      sym_block_comment,
      sym_line_comment,
  [376033] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15325), 1,
      anon_sym_LBRACE,
    STATE(7418), 1,
      sym_curly_expression,
    STATE(18530), 2,
      sym_block_comment,
      sym_line_comment,
  [376050] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7345), 1,
      anon_sym_RPAREN,
    ACTIONS(24810), 1,
      anon_sym_SEMI,
    STATE(18531), 2,
      sym_block_comment,
      sym_line_comment,
  [376067] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10177), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18532), 2,
      sym_block_comment,
      sym_line_comment,
  [376082] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8337), 1,
      anon_sym_RPAREN,
    ACTIONS(24812), 1,
      anon_sym_SEMI,
    STATE(18533), 2,
      sym_block_comment,
      sym_line_comment,
  [376099] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10321), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18534), 2,
      sym_block_comment,
      sym_line_comment,
  [376114] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10397), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18535), 2,
      sym_block_comment,
      sym_line_comment,
  [376129] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24656), 1,
      anon_sym_LPAREN,
    STATE(5302), 1,
      sym_argument_list,
    STATE(18536), 2,
      sym_block_comment,
      sym_line_comment,
  [376146] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24612), 1,
      anon_sym_LPAREN,
    STATE(5311), 1,
      sym_argument_list,
    STATE(18537), 2,
      sym_block_comment,
      sym_line_comment,
  [376163] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24738), 1,
      anon_sym_LPAREN,
    STATE(10802), 1,
      sym_argument_list,
    STATE(18538), 2,
      sym_block_comment,
      sym_line_comment,
  [376180] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24634), 1,
      anon_sym_LPAREN,
    STATE(5446), 1,
      sym_argument_list,
    STATE(18539), 2,
      sym_block_comment,
      sym_line_comment,
  [376197] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15337), 1,
      anon_sym_LBRACE,
    STATE(5795), 1,
      sym_curly_expression,
    STATE(18540), 2,
      sym_block_comment,
      sym_line_comment,
  [376214] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8615), 1,
      anon_sym_RPAREN,
    ACTIONS(24814), 1,
      anon_sym_SEMI,
    STATE(18541), 2,
      sym_block_comment,
      sym_line_comment,
  [376231] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24712), 1,
      anon_sym_LPAREN,
    STATE(11438), 1,
      sym_argument_list,
    STATE(18542), 2,
      sym_block_comment,
      sym_line_comment,
  [376248] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24808), 1,
      anon_sym_LPAREN,
    STATE(5357), 1,
      sym_argument_list,
    STATE(18543), 2,
      sym_block_comment,
      sym_line_comment,
  [376265] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10415), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18544), 2,
      sym_block_comment,
      sym_line_comment,
  [376280] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4223), 1,
      anon_sym_LBRACE,
    STATE(10910), 1,
      sym_curly_expression,
    STATE(18545), 2,
      sym_block_comment,
      sym_line_comment,
  [376297] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7513), 1,
      anon_sym_RPAREN,
    ACTIONS(24816), 1,
      anon_sym_SEMI,
    STATE(18546), 2,
      sym_block_comment,
      sym_line_comment,
  [376314] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7529), 1,
      anon_sym_RPAREN,
    ACTIONS(24818), 1,
      anon_sym_SEMI,
    STATE(18547), 2,
      sym_block_comment,
      sym_line_comment,
  [376331] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14789), 1,
      anon_sym_LBRACE,
    STATE(11918), 1,
      sym_curly_expression,
    STATE(18548), 2,
      sym_block_comment,
      sym_line_comment,
  [376348] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14801), 1,
      anon_sym_LBRACE,
    STATE(5972), 1,
      sym_curly_expression,
    STATE(18549), 2,
      sym_block_comment,
      sym_line_comment,
  [376365] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24808), 1,
      anon_sym_LPAREN,
    STATE(5358), 1,
      sym_argument_list,
    STATE(18550), 2,
      sym_block_comment,
      sym_line_comment,
  [376382] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8863), 1,
      anon_sym_RPAREN,
    ACTIONS(24820), 1,
      anon_sym_SEMI,
    STATE(18551), 2,
      sym_block_comment,
      sym_line_comment,
  [376399] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13433), 1,
      anon_sym_LBRACE,
    STATE(6156), 1,
      sym_curly_expression,
    STATE(18552), 2,
      sym_block_comment,
      sym_line_comment,
  [376416] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7711), 1,
      anon_sym_RPAREN,
    ACTIONS(24822), 1,
      anon_sym_SEMI,
    STATE(18553), 2,
      sym_block_comment,
      sym_line_comment,
  [376433] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7683), 1,
      anon_sym_LBRACE,
    STATE(5119), 1,
      sym_curly_expression,
    STATE(18554), 2,
      sym_block_comment,
      sym_line_comment,
  [376450] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24824), 2,
      anon_sym_end,
      anon_sym_catch,
    STATE(18555), 2,
      sym_block_comment,
      sym_line_comment,
  [376465] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15083), 1,
      anon_sym_LBRACE,
    STATE(6300), 1,
      sym_curly_expression,
    STATE(18556), 2,
      sym_block_comment,
      sym_line_comment,
  [376482] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16197), 1,
      anon_sym_LBRACE,
    STATE(7642), 1,
      sym_curly_expression,
    STATE(18557), 2,
      sym_block_comment,
      sym_line_comment,
  [376499] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8515), 1,
      anon_sym_RPAREN,
    ACTIONS(24826), 1,
      anon_sym_SEMI,
    STATE(18558), 2,
      sym_block_comment,
      sym_line_comment,
  [376516] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8289), 1,
      anon_sym_RPAREN,
    ACTIONS(24828), 1,
      anon_sym_SEMI,
    STATE(18559), 2,
      sym_block_comment,
      sym_line_comment,
  [376533] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24774), 1,
      anon_sym_LPAREN,
    STATE(10500), 1,
      sym_argument_list,
    STATE(18560), 2,
      sym_block_comment,
      sym_line_comment,
  [376550] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24634), 1,
      anon_sym_LPAREN,
    STATE(5443), 1,
      sym_argument_list,
    STATE(18561), 2,
      sym_block_comment,
      sym_line_comment,
  [376567] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10111), 1,
      anon_sym_LBRACE,
    STATE(10722), 1,
      sym_curly_expression,
    STATE(18562), 2,
      sym_block_comment,
      sym_line_comment,
  [376584] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7205), 1,
      anon_sym_LBRACE,
    STATE(5417), 1,
      sym_curly_expression,
    STATE(18563), 2,
      sym_block_comment,
      sym_line_comment,
  [376601] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10325), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18564), 2,
      sym_block_comment,
      sym_line_comment,
  [376616] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24686), 1,
      anon_sym_LPAREN,
    STATE(10436), 1,
      sym_argument_list,
    STATE(18565), 2,
      sym_block_comment,
      sym_line_comment,
  [376633] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24740), 1,
      anon_sym_LPAREN,
    STATE(4660), 1,
      sym_argument_list,
    STATE(18566), 2,
      sym_block_comment,
      sym_line_comment,
  [376650] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10329), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18567), 2,
      sym_block_comment,
      sym_line_comment,
  [376665] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8179), 1,
      anon_sym_RPAREN,
    ACTIONS(24830), 1,
      anon_sym_SEMI,
    STATE(18568), 2,
      sym_block_comment,
      sym_line_comment,
  [376682] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10381), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18569), 2,
      sym_block_comment,
      sym_line_comment,
  [376697] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15255), 1,
      anon_sym_LBRACE,
    STATE(6444), 1,
      sym_curly_expression,
    STATE(18570), 2,
      sym_block_comment,
      sym_line_comment,
  [376714] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7683), 1,
      anon_sym_LBRACE,
    STATE(5121), 1,
      sym_curly_expression,
    STATE(18571), 2,
      sym_block_comment,
      sym_line_comment,
  [376731] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10387), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18572), 2,
      sym_block_comment,
      sym_line_comment,
  [376746] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13433), 1,
      anon_sym_LBRACE,
    STATE(6175), 1,
      sym_curly_expression,
    STATE(18573), 2,
      sym_block_comment,
      sym_line_comment,
  [376763] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24832), 1,
      anon_sym_LPAREN,
    STATE(5363), 1,
      sym_argument_list,
    STATE(18574), 2,
      sym_block_comment,
      sym_line_comment,
  [376780] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9001), 1,
      anon_sym_RPAREN,
    ACTIONS(24834), 1,
      anon_sym_SEMI,
    STATE(18575), 2,
      sym_block_comment,
      sym_line_comment,
  [376797] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14713), 1,
      anon_sym_LBRACE,
    STATE(6177), 1,
      sym_curly_expression,
    STATE(18576), 2,
      sym_block_comment,
      sym_line_comment,
  [376814] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24832), 1,
      anon_sym_LPAREN,
    STATE(5365), 1,
      sym_argument_list,
    STATE(18577), 2,
      sym_block_comment,
      sym_line_comment,
  [376831] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8369), 1,
      anon_sym_RPAREN,
    ACTIONS(24836), 1,
      anon_sym_SEMI,
    STATE(18578), 2,
      sym_block_comment,
      sym_line_comment,
  [376848] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14713), 1,
      anon_sym_LBRACE,
    STATE(6179), 1,
      sym_curly_expression,
    STATE(18579), 2,
      sym_block_comment,
      sym_line_comment,
  [376865] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10391), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18580), 2,
      sym_block_comment,
      sym_line_comment,
  [376880] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10129), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18581), 2,
      sym_block_comment,
      sym_line_comment,
  [376895] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8523), 1,
      anon_sym_RPAREN,
    ACTIONS(24838), 1,
      anon_sym_SEMI,
    STATE(18582), 2,
      sym_block_comment,
      sym_line_comment,
  [376912] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17082), 1,
      anon_sym_COMMA,
    STATE(15090), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18583), 2,
      sym_block_comment,
      sym_line_comment,
  [376929] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24784), 1,
      anon_sym_LPAREN,
    STATE(10681), 1,
      sym_argument_list,
    STATE(18584), 2,
      sym_block_comment,
      sym_line_comment,
  [376946] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7471), 1,
      anon_sym_RPAREN,
    ACTIONS(24840), 1,
      anon_sym_SEMI,
    STATE(18585), 2,
      sym_block_comment,
      sym_line_comment,
  [376963] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10345), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18586), 2,
      sym_block_comment,
      sym_line_comment,
  [376978] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24740), 1,
      anon_sym_LPAREN,
    STATE(4667), 1,
      sym_argument_list,
    STATE(18587), 2,
      sym_block_comment,
      sym_line_comment,
  [376995] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16271), 1,
      anon_sym_LBRACE,
    STATE(16778), 1,
      sym_curly_expression,
    STATE(18588), 2,
      sym_block_comment,
      sym_line_comment,
  [377012] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24842), 1,
      anon_sym_LPAREN,
    STATE(5416), 1,
      sym_argument_list,
    STATE(18589), 2,
      sym_block_comment,
      sym_line_comment,
  [377029] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10419), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18590), 2,
      sym_block_comment,
      sym_line_comment,
  [377044] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24622), 1,
      anon_sym_LPAREN,
    STATE(4624), 1,
      sym_argument_list,
    STATE(18591), 2,
      sym_block_comment,
      sym_line_comment,
  [377061] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24832), 1,
      anon_sym_LPAREN,
    STATE(5368), 1,
      sym_argument_list,
    STATE(18592), 2,
      sym_block_comment,
      sym_line_comment,
  [377078] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10231), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18593), 2,
      sym_block_comment,
      sym_line_comment,
  [377093] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14801), 1,
      anon_sym_LBRACE,
    STATE(6393), 1,
      sym_curly_expression,
    STATE(18594), 2,
      sym_block_comment,
      sym_line_comment,
  [377110] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10099), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18595), 2,
      sym_block_comment,
      sym_line_comment,
  [377125] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24842), 1,
      anon_sym_LPAREN,
    STATE(5439), 1,
      sym_argument_list,
    STATE(18596), 2,
      sym_block_comment,
      sym_line_comment,
  [377142] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24636), 1,
      anon_sym_LPAREN,
    STATE(4550), 1,
      sym_argument_list,
    STATE(18597), 2,
      sym_block_comment,
      sym_line_comment,
  [377159] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14801), 1,
      anon_sym_LBRACE,
    STATE(6398), 1,
      sym_curly_expression,
    STATE(18598), 2,
      sym_block_comment,
      sym_line_comment,
  [377176] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24644), 1,
      anon_sym_LPAREN,
    STATE(4910), 1,
      sym_argument_list,
    STATE(18599), 2,
      sym_block_comment,
      sym_line_comment,
  [377193] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7587), 1,
      anon_sym_RPAREN,
    ACTIONS(24844), 1,
      anon_sym_SEMI,
    STATE(18600), 2,
      sym_block_comment,
      sym_line_comment,
  [377210] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10103), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18601), 2,
      sym_block_comment,
      sym_line_comment,
  [377225] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7205), 1,
      anon_sym_LBRACE,
    STATE(5367), 1,
      sym_curly_expression,
    STATE(18602), 2,
      sym_block_comment,
      sym_line_comment,
  [377242] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10423), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18603), 2,
      sym_block_comment,
      sym_line_comment,
  [377257] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24832), 1,
      anon_sym_LPAREN,
    STATE(5371), 1,
      sym_argument_list,
    STATE(18604), 2,
      sym_block_comment,
      sym_line_comment,
  [377274] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10431), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18605), 2,
      sym_block_comment,
      sym_line_comment,
  [377289] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14713), 1,
      anon_sym_LBRACE,
    STATE(6200), 1,
      sym_curly_expression,
    STATE(18606), 2,
      sym_block_comment,
      sym_line_comment,
  [377306] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14613), 1,
      anon_sym_LBRACE,
    STATE(6302), 1,
      sym_curly_expression,
    STATE(18607), 2,
      sym_block_comment,
      sym_line_comment,
  [377323] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16071), 1,
      anon_sym_LBRACE,
    STATE(8605), 1,
      sym_curly_expression,
    STATE(18608), 2,
      sym_block_comment,
      sym_line_comment,
  [377340] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11260), 1,
      anon_sym_COLON2,
    ACTIONS(24846), 1,
      anon_sym_EQ,
    STATE(18609), 2,
      sym_block_comment,
      sym_line_comment,
  [377357] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7683), 1,
      anon_sym_LBRACE,
    STATE(5123), 1,
      sym_curly_expression,
    STATE(18610), 2,
      sym_block_comment,
      sym_line_comment,
  [377374] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8319), 1,
      anon_sym_RPAREN,
    ACTIONS(24848), 1,
      anon_sym_SEMI,
    STATE(18611), 2,
      sym_block_comment,
      sym_line_comment,
  [377391] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15243), 1,
      anon_sym_LBRACE,
    STATE(6821), 1,
      sym_curly_expression,
    STATE(18612), 2,
      sym_block_comment,
      sym_line_comment,
  [377408] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8609), 1,
      anon_sym_RPAREN,
    ACTIONS(24850), 1,
      anon_sym_SEMI,
    STATE(18613), 2,
      sym_block_comment,
      sym_line_comment,
  [377425] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24652), 1,
      anon_sym_LPAREN,
    STATE(5938), 1,
      sym_argument_list,
    STATE(18614), 2,
      sym_block_comment,
      sym_line_comment,
  [377442] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7927), 1,
      anon_sym_RPAREN,
    ACTIONS(24852), 1,
      anon_sym_SEMI,
    STATE(18615), 2,
      sym_block_comment,
      sym_line_comment,
  [377459] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15243), 1,
      anon_sym_LBRACE,
    STATE(6823), 1,
      sym_curly_expression,
    STATE(18616), 2,
      sym_block_comment,
      sym_line_comment,
  [377476] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10435), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18617), 2,
      sym_block_comment,
      sym_line_comment,
  [377491] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10439), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18618), 2,
      sym_block_comment,
      sym_line_comment,
  [377506] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24652), 1,
      anon_sym_LPAREN,
    STATE(5940), 1,
      sym_argument_list,
    STATE(18619), 2,
      sym_block_comment,
      sym_line_comment,
  [377523] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10087), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18620), 2,
      sym_block_comment,
      sym_line_comment,
  [377538] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15243), 1,
      anon_sym_LBRACE,
    STATE(6826), 1,
      sym_curly_expression,
    STATE(18621), 2,
      sym_block_comment,
      sym_line_comment,
  [377555] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10091), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18622), 2,
      sym_block_comment,
      sym_line_comment,
  [377570] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14171), 1,
      anon_sym_LBRACE,
    STATE(6522), 1,
      sym_curly_expression,
    STATE(18623), 2,
      sym_block_comment,
      sym_line_comment,
  [377587] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16021), 1,
      anon_sym_LBRACE,
    STATE(11087), 1,
      sym_curly_expression,
    STATE(18624), 2,
      sym_block_comment,
      sym_line_comment,
  [377604] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24854), 1,
      anon_sym_LPAREN,
    STATE(11170), 1,
      sym_argument_list,
    STATE(18625), 2,
      sym_block_comment,
      sym_line_comment,
  [377621] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13451), 1,
      anon_sym_LBRACE,
    STATE(11727), 1,
      sym_curly_expression,
    STATE(18626), 2,
      sym_block_comment,
      sym_line_comment,
  [377638] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24854), 1,
      anon_sym_LPAREN,
    STATE(11180), 1,
      sym_argument_list,
    STATE(18627), 2,
      sym_block_comment,
      sym_line_comment,
  [377655] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13451), 1,
      anon_sym_LBRACE,
    STATE(11729), 1,
      sym_curly_expression,
    STATE(18628), 2,
      sym_block_comment,
      sym_line_comment,
  [377672] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24752), 1,
      anon_sym_LPAREN,
    STATE(5652), 1,
      sym_argument_list,
    STATE(18629), 2,
      sym_block_comment,
      sym_line_comment,
  [377689] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7643), 1,
      anon_sym_RPAREN,
    ACTIONS(24856), 1,
      anon_sym_SEMI,
    STATE(18630), 2,
      sym_block_comment,
      sym_line_comment,
  [377706] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4223), 1,
      anon_sym_LBRACE,
    STATE(10981), 1,
      sym_curly_expression,
    STATE(18631), 2,
      sym_block_comment,
      sym_line_comment,
  [377723] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14171), 1,
      anon_sym_LBRACE,
    STATE(6525), 1,
      sym_curly_expression,
    STATE(18632), 2,
      sym_block_comment,
      sym_line_comment,
  [377740] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8403), 1,
      anon_sym_RPAREN,
    ACTIONS(24858), 1,
      anon_sym_SEMI,
    STATE(18633), 2,
      sym_block_comment,
      sym_line_comment,
  [377757] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24752), 1,
      anon_sym_LPAREN,
    STATE(5654), 1,
      sym_argument_list,
    STATE(18634), 2,
      sym_block_comment,
      sym_line_comment,
  [377774] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24854), 1,
      anon_sym_LPAREN,
    STATE(11141), 1,
      sym_argument_list,
    STATE(18635), 2,
      sym_block_comment,
      sym_line_comment,
  [377791] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24738), 1,
      anon_sym_LPAREN,
    STATE(10814), 1,
      sym_argument_list,
    STATE(18636), 2,
      sym_block_comment,
      sym_line_comment,
  [377808] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10141), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18637), 2,
      sym_block_comment,
      sym_line_comment,
  [377823] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10293), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18638), 2,
      sym_block_comment,
      sym_line_comment,
  [377838] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14461), 1,
      anon_sym_LBRACE,
    STATE(11023), 1,
      sym_curly_expression,
    STATE(18639), 2,
      sym_block_comment,
      sym_line_comment,
  [377855] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7623), 1,
      anon_sym_RPAREN,
    ACTIONS(24860), 1,
      anon_sym_SEMI,
    STATE(18640), 2,
      sym_block_comment,
      sym_line_comment,
  [377872] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(10416), 1,
      sym_curly_expression,
    STATE(18641), 2,
      sym_block_comment,
      sym_line_comment,
  [377889] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13227), 2,
      anon_sym_for,
      anon_sym_SEMI2,
    STATE(18642), 2,
      sym_block_comment,
      sym_line_comment,
  [377904] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24634), 1,
      anon_sym_LPAREN,
    STATE(5445), 1,
      sym_argument_list,
    STATE(18643), 2,
      sym_block_comment,
      sym_line_comment,
  [377921] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(663), 1,
      anon_sym_LBRACE,
    STATE(5072), 1,
      sym_curly_expression,
    STATE(18644), 2,
      sym_block_comment,
      sym_line_comment,
  [377938] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24854), 1,
      anon_sym_LPAREN,
    STATE(11244), 1,
      sym_argument_list,
    STATE(18645), 2,
      sym_block_comment,
      sym_line_comment,
  [377955] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14171), 1,
      anon_sym_LBRACE,
    STATE(6527), 1,
      sym_curly_expression,
    STATE(18646), 2,
      sym_block_comment,
      sym_line_comment,
  [377972] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13451), 1,
      anon_sym_LBRACE,
    STATE(11758), 1,
      sym_curly_expression,
    STATE(18647), 2,
      sym_block_comment,
      sym_line_comment,
  [377989] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10309), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18648), 2,
      sym_block_comment,
      sym_line_comment,
  [378004] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24842), 1,
      anon_sym_LPAREN,
    STATE(5312), 1,
      sym_argument_list,
    STATE(18649), 2,
      sym_block_comment,
      sym_line_comment,
  [378021] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24604), 1,
      anon_sym_LPAREN,
    STATE(10330), 1,
      sym_argument_list,
    STATE(18650), 2,
      sym_block_comment,
      sym_line_comment,
  [378038] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24862), 1,
      anon_sym_LPAREN,
    STATE(4675), 1,
      sym_argument_list,
    STATE(18651), 2,
      sym_block_comment,
      sym_line_comment,
  [378055] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7817), 1,
      anon_sym_RPAREN,
    ACTIONS(24864), 1,
      anon_sym_SEMI,
    STATE(18652), 2,
      sym_block_comment,
      sym_line_comment,
  [378072] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17193), 1,
      anon_sym_COMMA,
    STATE(15194), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18653), 2,
      sym_block_comment,
      sym_line_comment,
  [378089] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13959), 1,
      anon_sym_LBRACE,
    STATE(10561), 1,
      sym_curly_expression,
    STATE(18654), 2,
      sym_block_comment,
      sym_line_comment,
  [378106] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7205), 1,
      anon_sym_LBRACE,
    STATE(5393), 1,
      sym_curly_expression,
    STATE(18655), 2,
      sym_block_comment,
      sym_line_comment,
  [378123] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    STATE(10534), 1,
      sym_curly_expression,
    STATE(18656), 2,
      sym_block_comment,
      sym_line_comment,
  [378140] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10349), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18657), 2,
      sym_block_comment,
      sym_line_comment,
  [378155] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(663), 1,
      anon_sym_LBRACE,
    STATE(5074), 1,
      sym_curly_expression,
    STATE(18658), 2,
      sym_block_comment,
      sym_line_comment,
  [378172] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10353), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18659), 2,
      sym_block_comment,
      sym_line_comment,
  [378187] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24862), 1,
      anon_sym_LPAREN,
    STATE(4636), 1,
      sym_argument_list,
    STATE(18660), 2,
      sym_block_comment,
      sym_line_comment,
  [378204] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16311), 1,
      anon_sym_LBRACE,
    STATE(18373), 1,
      sym_curly_expression,
    STATE(18661), 2,
      sym_block_comment,
      sym_line_comment,
  [378221] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(663), 1,
      anon_sym_LBRACE,
    STATE(5076), 1,
      sym_curly_expression,
    STATE(18662), 2,
      sym_block_comment,
      sym_line_comment,
  [378238] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7367), 1,
      anon_sym_RPAREN,
    ACTIONS(24866), 1,
      anon_sym_SEMI,
    STATE(18663), 2,
      sym_block_comment,
      sym_line_comment,
  [378255] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16079), 1,
      anon_sym_LBRACE,
    STATE(7824), 1,
      sym_curly_expression,
    STATE(18664), 2,
      sym_block_comment,
      sym_line_comment,
  [378272] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8625), 1,
      anon_sym_RPAREN,
    ACTIONS(24868), 1,
      anon_sym_SEMI,
    STATE(18665), 2,
      sym_block_comment,
      sym_line_comment,
  [378289] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8085), 1,
      anon_sym_RPAREN,
    ACTIONS(24870), 1,
      anon_sym_SEMI,
    STATE(18666), 2,
      sym_block_comment,
      sym_line_comment,
  [378306] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16121), 1,
      anon_sym_LBRACE,
    STATE(8002), 1,
      sym_curly_expression,
    STATE(18667), 2,
      sym_block_comment,
      sym_line_comment,
  [378323] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14713), 1,
      anon_sym_LBRACE,
    STATE(6249), 1,
      sym_curly_expression,
    STATE(18668), 2,
      sym_block_comment,
      sym_line_comment,
  [378340] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24872), 1,
      anon_sym_LPAREN,
    STATE(5378), 1,
      sym_argument_list,
    STATE(18669), 2,
      sym_block_comment,
      sym_line_comment,
  [378357] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15083), 1,
      anon_sym_LBRACE,
    STATE(6221), 1,
      sym_curly_expression,
    STATE(18670), 2,
      sym_block_comment,
      sym_line_comment,
  [378374] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24872), 1,
      anon_sym_LPAREN,
    STATE(5380), 1,
      sym_argument_list,
    STATE(18671), 2,
      sym_block_comment,
      sym_line_comment,
  [378391] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14613), 1,
      anon_sym_LBRACE,
    STATE(6376), 1,
      sym_curly_expression,
    STATE(18672), 2,
      sym_block_comment,
      sym_line_comment,
  [378408] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15083), 1,
      anon_sym_LBRACE,
    STATE(6223), 1,
      sym_curly_expression,
    STATE(18673), 2,
      sym_block_comment,
      sym_line_comment,
  [378425] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24628), 1,
      anon_sym_LPAREN,
    STATE(5474), 1,
      sym_argument_list,
    STATE(18674), 2,
      sym_block_comment,
      sym_line_comment,
  [378442] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7275), 1,
      anon_sym_LBRACE,
    STATE(4702), 1,
      sym_curly_expression,
    STATE(18675), 2,
      sym_block_comment,
      sym_line_comment,
  [378459] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10357), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18676), 2,
      sym_block_comment,
      sym_line_comment,
  [378474] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24584), 1,
      anon_sym_LPAREN,
    STATE(4546), 1,
      sym_argument_list,
    STATE(18677), 2,
      sym_block_comment,
      sym_line_comment,
  [378491] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9045), 1,
      anon_sym_RPAREN,
    ACTIONS(24874), 1,
      anon_sym_SEMI,
    STATE(18678), 2,
      sym_block_comment,
      sym_line_comment,
  [378508] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8003), 1,
      anon_sym_RPAREN,
    ACTIONS(24876), 1,
      anon_sym_SEMI,
    STATE(18679), 2,
      sym_block_comment,
      sym_line_comment,
  [378525] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24784), 1,
      anon_sym_LPAREN,
    STATE(10747), 1,
      sym_argument_list,
    STATE(18680), 2,
      sym_block_comment,
      sym_line_comment,
  [378542] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7275), 1,
      anon_sym_LBRACE,
    STATE(4705), 1,
      sym_curly_expression,
    STATE(18681), 2,
      sym_block_comment,
      sym_line_comment,
  [378559] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24584), 1,
      anon_sym_LPAREN,
    STATE(4558), 1,
      sym_argument_list,
    STATE(18682), 2,
      sym_block_comment,
      sym_line_comment,
  [378576] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8437), 1,
      anon_sym_RPAREN,
    ACTIONS(24878), 1,
      anon_sym_SEMI,
    STATE(18683), 2,
      sym_block_comment,
      sym_line_comment,
  [378593] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10405), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18684), 2,
      sym_block_comment,
      sym_line_comment,
  [378608] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(10394), 1,
      sym_curly_expression,
    STATE(18685), 2,
      sym_block_comment,
      sym_line_comment,
  [378625] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7275), 1,
      anon_sym_LBRACE,
    STATE(4709), 1,
      sym_curly_expression,
    STATE(18686), 2,
      sym_block_comment,
      sym_line_comment,
  [378642] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14007), 1,
      anon_sym_LBRACE,
    STATE(5858), 1,
      sym_curly_expression,
    STATE(18687), 2,
      sym_block_comment,
      sym_line_comment,
  [378659] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13705), 1,
      anon_sym_LBRACE,
    STATE(6378), 1,
      sym_curly_expression,
    STATE(18688), 2,
      sym_block_comment,
      sym_line_comment,
  [378676] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24620), 1,
      anon_sym_LPAREN,
    STATE(5491), 1,
      sym_argument_list,
    STATE(18689), 2,
      sym_block_comment,
      sym_line_comment,
  [378693] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8629), 1,
      anon_sym_RPAREN,
    ACTIONS(24880), 1,
      anon_sym_SEMI,
    STATE(18690), 2,
      sym_block_comment,
      sym_line_comment,
  [378710] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10313), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18691), 2,
      sym_block_comment,
      sym_line_comment,
  [378725] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24872), 1,
      anon_sym_LPAREN,
    STATE(5383), 1,
      sym_argument_list,
    STATE(18692), 2,
      sym_block_comment,
      sym_line_comment,
  [378742] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24628), 1,
      anon_sym_LPAREN,
    STATE(5476), 1,
      sym_argument_list,
    STATE(18693), 2,
      sym_block_comment,
      sym_line_comment,
  [378759] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24680), 1,
      anon_sym_LPAREN,
    STATE(5628), 1,
      sym_argument_list,
    STATE(18694), 2,
      sym_block_comment,
      sym_line_comment,
  [378776] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24842), 1,
      anon_sym_LPAREN,
    STATE(5313), 1,
      sym_argument_list,
    STATE(18695), 2,
      sym_block_comment,
      sym_line_comment,
  [378793] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10401), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18696), 2,
      sym_block_comment,
      sym_line_comment,
  [378808] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10265), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18697), 2,
      sym_block_comment,
      sym_line_comment,
  [378823] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10341), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18698), 2,
      sym_block_comment,
      sym_line_comment,
  [378838] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14801), 1,
      anon_sym_LBRACE,
    STATE(5831), 1,
      sym_curly_expression,
    STATE(18699), 2,
      sym_block_comment,
      sym_line_comment,
  [378855] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10373), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18700), 2,
      sym_block_comment,
      sym_line_comment,
  [378870] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10411), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18701), 2,
      sym_block_comment,
      sym_line_comment,
  [378885] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13705), 1,
      anon_sym_LBRACE,
    STATE(6382), 1,
      sym_curly_expression,
    STATE(18702), 2,
      sym_block_comment,
      sym_line_comment,
  [378902] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24862), 1,
      anon_sym_LPAREN,
    STATE(4595), 1,
      sym_argument_list,
    STATE(18703), 2,
      sym_block_comment,
      sym_line_comment,
  [378919] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24650), 1,
      anon_sym_LPAREN,
    STATE(5453), 1,
      sym_argument_list,
    STATE(18704), 2,
      sym_block_comment,
      sym_line_comment,
  [378936] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8777), 1,
      anon_sym_RPAREN,
    ACTIONS(24882), 1,
      anon_sym_SEMI,
    STATE(18705), 2,
      sym_block_comment,
      sym_line_comment,
  [378953] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24604), 1,
      anon_sym_LPAREN,
    STATE(10336), 1,
      sym_argument_list,
    STATE(18706), 2,
      sym_block_comment,
      sym_line_comment,
  [378970] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7671), 1,
      anon_sym_RPAREN,
    ACTIONS(24884), 1,
      anon_sym_SEMI,
    STATE(18707), 2,
      sym_block_comment,
      sym_line_comment,
  [378987] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10219), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(18708), 2,
      sym_block_comment,
      sym_line_comment,
  [379002] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24872), 1,
      anon_sym_LPAREN,
    STATE(5385), 1,
      sym_argument_list,
    STATE(18709), 2,
      sym_block_comment,
      sym_line_comment,
  [379019] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16093), 1,
      anon_sym_LBRACE,
    STATE(7853), 1,
      sym_curly_expression,
    STATE(18710), 2,
      sym_block_comment,
      sym_line_comment,
  [379036] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9099), 1,
      anon_sym_RPAREN,
    ACTIONS(24886), 1,
      anon_sym_SEMI,
    STATE(18711), 2,
      sym_block_comment,
      sym_line_comment,
  [379053] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7795), 1,
      anon_sym_RPAREN,
    ACTIONS(24888), 1,
      anon_sym_SEMI,
    STATE(18712), 2,
      sym_block_comment,
      sym_line_comment,
  [379070] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15083), 1,
      anon_sym_LBRACE,
    STATE(6236), 1,
      sym_curly_expression,
    STATE(18713), 2,
      sym_block_comment,
      sym_line_comment,
  [379087] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8351), 1,
      anon_sym_RPAREN,
    ACTIONS(24890), 1,
      anon_sym_SEMI,
    STATE(18714), 2,
      sym_block_comment,
      sym_line_comment,
  [379104] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14613), 1,
      anon_sym_LBRACE,
    STATE(6304), 1,
      sym_curly_expression,
    STATE(18715), 2,
      sym_block_comment,
      sym_line_comment,
  [379121] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24612), 1,
      anon_sym_LPAREN,
    STATE(5436), 1,
      sym_argument_list,
    STATE(18716), 2,
      sym_block_comment,
      sym_line_comment,
  [379138] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7235), 1,
      anon_sym_RPAREN,
    ACTIONS(24892), 1,
      anon_sym_SEMI,
    STATE(18717), 2,
      sym_block_comment,
      sym_line_comment,
  [379155] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14689), 1,
      anon_sym_LBRACE,
    STATE(6756), 1,
      sym_curly_expression,
    STATE(18718), 2,
      sym_block_comment,
      sym_line_comment,
  [379172] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16189), 1,
      anon_sym_LBRACE,
    STATE(7905), 1,
      sym_curly_expression,
    STATE(18719), 2,
      sym_block_comment,
      sym_line_comment,
  [379189] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7351), 1,
      anon_sym_RPAREN,
    ACTIONS(24894), 1,
      anon_sym_SEMI,
    STATE(18720), 2,
      sym_block_comment,
      sym_line_comment,
  [379206] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17420), 1,
      anon_sym_COMMA,
    STATE(15284), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18721), 2,
      sym_block_comment,
      sym_line_comment,
  [379223] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24620), 1,
      anon_sym_LPAREN,
    STATE(5586), 1,
      sym_argument_list,
    STATE(18722), 2,
      sym_block_comment,
      sym_line_comment,
  [379240] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4223), 1,
      anon_sym_LBRACE,
    STATE(10850), 1,
      sym_curly_expression,
    STATE(18723), 2,
      sym_block_comment,
      sym_line_comment,
  [379257] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24862), 1,
      anon_sym_LPAREN,
    STATE(4597), 1,
      sym_argument_list,
    STATE(18724), 2,
      sym_block_comment,
      sym_line_comment,
  [379274] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(663), 1,
      anon_sym_LBRACE,
    STATE(5081), 1,
      sym_curly_expression,
    STATE(18725), 2,
      sym_block_comment,
      sym_line_comment,
  [379291] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8467), 1,
      anon_sym_RPAREN,
    ACTIONS(24896), 1,
      anon_sym_SEMI,
    STATE(18726), 2,
      sym_block_comment,
      sym_line_comment,
  [379308] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8565), 1,
      anon_sym_RPAREN,
    ACTIONS(24898), 1,
      anon_sym_SEMI,
    STATE(18727), 2,
      sym_block_comment,
      sym_line_comment,
  [379325] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14689), 1,
      anon_sym_LBRACE,
    STATE(6795), 1,
      sym_curly_expression,
    STATE(18728), 2,
      sym_block_comment,
      sym_line_comment,
  [379342] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16049), 1,
      anon_sym_LBRACE,
    STATE(7049), 1,
      sym_curly_expression,
    STATE(18729), 2,
      sym_block_comment,
      sym_line_comment,
  [379359] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24900), 1,
      anon_sym_LPAREN,
    STATE(5743), 1,
      sym_argument_list,
    STATE(18730), 2,
      sym_block_comment,
      sym_line_comment,
  [379376] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13631), 1,
      anon_sym_LBRACE,
    STATE(6689), 1,
      sym_curly_expression,
    STATE(18731), 2,
      sym_block_comment,
      sym_line_comment,
  [379393] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24900), 1,
      anon_sym_LPAREN,
    STATE(5745), 1,
      sym_argument_list,
    STATE(18732), 2,
      sym_block_comment,
      sym_line_comment,
  [379410] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13631), 1,
      anon_sym_LBRACE,
    STATE(6692), 1,
      sym_curly_expression,
    STATE(18733), 2,
      sym_block_comment,
      sym_line_comment,
  [379427] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7569), 1,
      anon_sym_RPAREN,
    ACTIONS(24902), 1,
      anon_sym_SEMI,
    STATE(18734), 2,
      sym_block_comment,
      sym_line_comment,
  [379444] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24900), 1,
      anon_sym_LPAREN,
    STATE(5749), 1,
      sym_argument_list,
    STATE(18735), 2,
      sym_block_comment,
      sym_line_comment,
  [379461] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(1273), 1,
      anon_sym_LBRACE,
    STATE(5852), 1,
      sym_curly_expression,
    STATE(18736), 2,
      sym_block_comment,
      sym_line_comment,
  [379478] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
    STATE(11229), 1,
      sym_curly_expression,
    STATE(18737), 2,
      sym_block_comment,
      sym_line_comment,
  [379495] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24582), 1,
      anon_sym_LPAREN,
    STATE(6408), 1,
      sym_argument_list,
    STATE(18738), 2,
      sym_block_comment,
      sym_line_comment,
  [379512] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15325), 1,
      anon_sym_LBRACE,
    STATE(7510), 1,
      sym_curly_expression,
    STATE(18739), 2,
      sym_block_comment,
      sym_line_comment,
  [379529] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7725), 1,
      anon_sym_RPAREN,
    ACTIONS(24904), 1,
      anon_sym_SEMI,
    STATE(18740), 2,
      sym_block_comment,
      sym_line_comment,
  [379546] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15361), 1,
      anon_sym_LBRACE,
    STATE(7146), 1,
      sym_curly_expression,
    STATE(18741), 2,
      sym_block_comment,
      sym_line_comment,
  [379563] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24582), 1,
      anon_sym_LPAREN,
    STATE(6410), 1,
      sym_argument_list,
    STATE(18742), 2,
      sym_block_comment,
      sym_line_comment,
  [379580] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24630), 1,
      anon_sym_LPAREN,
    STATE(10933), 1,
      sym_argument_list,
    STATE(18743), 2,
      sym_block_comment,
      sym_line_comment,
  [379597] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8385), 1,
      anon_sym_RPAREN,
    ACTIONS(24906), 1,
      anon_sym_SEMI,
    STATE(18744), 2,
      sym_block_comment,
      sym_line_comment,
  [379614] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15361), 1,
      anon_sym_LBRACE,
    STATE(7141), 1,
      sym_curly_expression,
    STATE(18745), 2,
      sym_block_comment,
      sym_line_comment,
  [379631] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
    STATE(11157), 1,
      sym_curly_expression,
    STATE(18746), 2,
      sym_block_comment,
      sym_line_comment,
  [379648] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24900), 1,
      anon_sym_LPAREN,
    STATE(5754), 1,
      sym_argument_list,
    STATE(18747), 2,
      sym_block_comment,
      sym_line_comment,
  [379665] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13631), 1,
      anon_sym_LBRACE,
    STATE(6700), 1,
      sym_curly_expression,
    STATE(18748), 2,
      sym_block_comment,
      sym_line_comment,
  [379682] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24630), 1,
      anon_sym_LPAREN,
    STATE(10946), 1,
      sym_argument_list,
    STATE(18749), 2,
      sym_block_comment,
      sym_line_comment,
  [379699] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7387), 1,
      anon_sym_LBRACE,
    STATE(4826), 1,
      sym_curly_expression,
    STATE(18750), 2,
      sym_block_comment,
      sym_line_comment,
  [379716] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24652), 1,
      anon_sym_LPAREN,
    STATE(5952), 1,
      sym_argument_list,
    STATE(18751), 2,
      sym_block_comment,
      sym_line_comment,
  [379733] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24784), 1,
      anon_sym_LPAREN,
    STATE(10684), 1,
      sym_argument_list,
    STATE(18752), 2,
      sym_block_comment,
      sym_line_comment,
  [379750] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_RPAREN,
    ACTIONS(24908), 1,
      anon_sym_SEMI,
    STATE(18753), 2,
      sym_block_comment,
      sym_line_comment,
  [379767] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
    STATE(11173), 1,
      sym_curly_expression,
    STATE(18754), 2,
      sym_block_comment,
      sym_line_comment,
  [379784] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7977), 1,
      anon_sym_RPAREN,
    ACTIONS(24910), 1,
      anon_sym_SEMI,
    STATE(18755), 2,
      sym_block_comment,
      sym_line_comment,
  [379801] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24628), 1,
      anon_sym_LPAREN,
    STATE(5477), 1,
      sym_argument_list,
    STATE(18756), 2,
      sym_block_comment,
      sym_line_comment,
  [379818] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8501), 1,
      anon_sym_RPAREN,
    ACTIONS(24912), 1,
      anon_sym_SEMI,
    STATE(18757), 2,
      sym_block_comment,
      sym_line_comment,
  [379835] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24636), 1,
      anon_sym_LPAREN,
    STATE(4556), 1,
      sym_argument_list,
    STATE(18758), 2,
      sym_block_comment,
      sym_line_comment,
  [379852] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17164), 1,
      anon_sym_COMMA,
    STATE(15400), 1,
      aux_sym_tuple_expression_repeat1,
    STATE(18759), 2,
      sym_block_comment,
      sym_line_comment,
  [379869] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7387), 1,
      anon_sym_LBRACE,
    STATE(4859), 1,
      sym_curly_expression,
    STATE(18760), 2,
      sym_block_comment,
      sym_line_comment,
  [379886] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24636), 1,
      anon_sym_LPAREN,
    STATE(4547), 1,
      sym_argument_list,
    STATE(18761), 2,
      sym_block_comment,
      sym_line_comment,
  [379903] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4461), 1,
      anon_sym_LBRACE,
    STATE(5027), 1,
      sym_curly_expression,
    STATE(18762), 2,
      sym_block_comment,
      sym_line_comment,
  [379920] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13451), 1,
      anon_sym_LBRACE,
    STATE(11589), 1,
      sym_curly_expression,
    STATE(18763), 2,
      sym_block_comment,
      sym_line_comment,
  [379937] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24770), 1,
      anon_sym_LPAREN,
    STATE(4620), 1,
      sym_argument_list,
    STATE(18764), 2,
      sym_block_comment,
      sym_line_comment,
  [379954] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7541), 1,
      anon_sym_LBRACE,
    STATE(5281), 1,
      sym_curly_expression,
    STATE(18765), 2,
      sym_block_comment,
      sym_line_comment,
  [379971] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24770), 1,
      anon_sym_LPAREN,
    STATE(4679), 1,
      sym_argument_list,
    STATE(18766), 2,
      sym_block_comment,
      sym_line_comment,
  [379988] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7541), 1,
      anon_sym_LBRACE,
    STATE(5289), 1,
      sym_curly_expression,
    STATE(18767), 2,
      sym_block_comment,
      sym_line_comment,
  [380005] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7541), 1,
      anon_sym_LBRACE,
    STATE(5285), 1,
      sym_curly_expression,
    STATE(18768), 2,
      sym_block_comment,
      sym_line_comment,
  [380022] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24622), 1,
      anon_sym_LPAREN,
    STATE(4612), 1,
      sym_argument_list,
    STATE(18769), 2,
      sym_block_comment,
      sym_line_comment,
  [380039] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4461), 1,
      anon_sym_LBRACE,
    STATE(5029), 1,
      sym_curly_expression,
    STATE(18770), 2,
      sym_block_comment,
      sym_line_comment,
  [380056] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24622), 1,
      anon_sym_LPAREN,
    STATE(4615), 1,
      sym_argument_list,
    STATE(18771), 2,
      sym_block_comment,
      sym_line_comment,
  [380073] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7609), 1,
      anon_sym_RPAREN,
    ACTIONS(24914), 1,
      anon_sym_SEMI,
    STATE(18772), 2,
      sym_block_comment,
      sym_line_comment,
  [380090] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(4461), 1,
      anon_sym_LBRACE,
    STATE(5031), 1,
      sym_curly_expression,
    STATE(18773), 2,
      sym_block_comment,
      sym_line_comment,
  [380107] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7387), 1,
      anon_sym_LBRACE,
    STATE(4713), 1,
      sym_curly_expression,
    STATE(18774), 2,
      sym_block_comment,
      sym_line_comment,
  [380124] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(61), 1,
      anon_sym_LBRACE,
    STATE(10537), 1,
      sym_curly_expression,
    STATE(18775), 2,
      sym_block_comment,
      sym_line_comment,
  [380141] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8645), 1,
      anon_sym_RPAREN,
    ACTIONS(24916), 1,
      anon_sym_SEMI,
    STATE(18776), 2,
      sym_block_comment,
      sym_line_comment,
  [380158] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(14007), 1,
      anon_sym_LBRACE,
    STATE(5862), 1,
      sym_curly_expression,
    STATE(18777), 2,
      sym_block_comment,
      sym_line_comment,
  [380175] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24770), 1,
      anon_sym_LPAREN,
    STATE(4648), 1,
      sym_argument_list,
    STATE(18778), 2,
      sym_block_comment,
      sym_line_comment,
  [380192] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7773), 1,
      anon_sym_RPAREN,
    ACTIONS(24918), 1,
      anon_sym_SEMI,
    STATE(18779), 2,
      sym_block_comment,
      sym_line_comment,
  [380209] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8293), 1,
      anon_sym_RPAREN,
    ACTIONS(24920), 1,
      anon_sym_SEMI,
    STATE(18780), 2,
      sym_block_comment,
      sym_line_comment,
  [380226] = 5,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24774), 1,
      anon_sym_LPAREN,
    STATE(10501), 1,
      sym_argument_list,
    STATE(18781), 2,
      sym_block_comment,
      sym_line_comment,
  [380243] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24922), 1,
      anon_sym_RBRACK,
    STATE(18782), 2,
      sym_block_comment,
      sym_line_comment,
  [380257] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24924), 1,
      anon_sym_RBRACK,
    STATE(18783), 2,
      sym_block_comment,
      sym_line_comment,
  [380271] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7741), 1,
      anon_sym_RPAREN,
    STATE(18784), 2,
      sym_block_comment,
      sym_line_comment,
  [380285] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10487), 1,
      anon_sym_DASH_GT,
    STATE(18785), 2,
      sym_block_comment,
      sym_line_comment,
  [380299] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24926), 1,
      anon_sym_end,
    STATE(18786), 2,
      sym_block_comment,
      sym_line_comment,
  [380313] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24928), 1,
      anon_sym_end,
    STATE(18787), 2,
      sym_block_comment,
      sym_line_comment,
  [380327] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24930), 1,
      anon_sym_end,
    STATE(18788), 2,
      sym_block_comment,
      sym_line_comment,
  [380341] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24932), 1,
      anon_sym_RBRACK,
    STATE(18789), 2,
      sym_block_comment,
      sym_line_comment,
  [380355] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8603), 1,
      anon_sym_RPAREN,
    STATE(18790), 2,
      sym_block_comment,
      sym_line_comment,
  [380369] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24934), 1,
      anon_sym_end,
    STATE(18791), 2,
      sym_block_comment,
      sym_line_comment,
  [380383] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24936), 1,
      anon_sym_end,
    STATE(18792), 2,
      sym_block_comment,
      sym_line_comment,
  [380397] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24938), 1,
      anon_sym_EQ,
    STATE(18793), 2,
      sym_block_comment,
      sym_line_comment,
  [380411] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24940), 1,
      anon_sym_DASH_GT,
    STATE(18794), 2,
      sym_block_comment,
      sym_line_comment,
  [380425] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24942), 1,
      anon_sym_RBRACK,
    STATE(18795), 2,
      sym_block_comment,
      sym_line_comment,
  [380439] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9023), 1,
      anon_sym_RPAREN,
    STATE(18796), 2,
      sym_block_comment,
      sym_line_comment,
  [380453] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24944), 1,
      anon_sym_RBRACK,
    STATE(18797), 2,
      sym_block_comment,
      sym_line_comment,
  [380467] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24946), 1,
      anon_sym_RPAREN,
    STATE(18798), 2,
      sym_block_comment,
      sym_line_comment,
  [380481] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24948), 1,
      anon_sym_COLON2,
    STATE(18799), 2,
      sym_block_comment,
      sym_line_comment,
  [380495] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24950), 1,
      anon_sym_RBRACK,
    STATE(18800), 2,
      sym_block_comment,
      sym_line_comment,
  [380509] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24952), 1,
      anon_sym_DASH_GT,
    STATE(18801), 2,
      sym_block_comment,
      sym_line_comment,
  [380523] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24954), 1,
      anon_sym_COLON2,
    STATE(18802), 2,
      sym_block_comment,
      sym_line_comment,
  [380537] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19360), 1,
      anon_sym_RBRACE,
    STATE(18803), 2,
      sym_block_comment,
      sym_line_comment,
  [380551] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7945), 1,
      anon_sym_RPAREN,
    STATE(18804), 2,
      sym_block_comment,
      sym_line_comment,
  [380565] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24956), 1,
      anon_sym_end,
    STATE(18805), 2,
      sym_block_comment,
      sym_line_comment,
  [380579] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8103), 1,
      anon_sym_RPAREN,
    STATE(18806), 2,
      sym_block_comment,
      sym_line_comment,
  [380593] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8789), 1,
      anon_sym_RPAREN,
    STATE(18807), 2,
      sym_block_comment,
      sym_line_comment,
  [380607] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10730), 1,
      sym__immediate_paren,
    STATE(18808), 2,
      sym_block_comment,
      sym_line_comment,
  [380621] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9095), 1,
      anon_sym_RPAREN,
    STATE(18809), 2,
      sym_block_comment,
      sym_line_comment,
  [380635] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8975), 1,
      anon_sym_RPAREN,
    STATE(18810), 2,
      sym_block_comment,
      sym_line_comment,
  [380649] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24958), 1,
      anon_sym_RBRACK,
    STATE(18811), 2,
      sym_block_comment,
      sym_line_comment,
  [380663] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24960), 1,
      anon_sym_end,
    STATE(18812), 2,
      sym_block_comment,
      sym_line_comment,
  [380677] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24962), 1,
      anon_sym_end,
    STATE(18813), 2,
      sym_block_comment,
      sym_line_comment,
  [380691] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13321), 1,
      anon_sym_RPAREN,
    STATE(18814), 2,
      sym_block_comment,
      sym_line_comment,
  [380705] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9997), 1,
      anon_sym_DASH_GT,
    STATE(18815), 2,
      sym_block_comment,
      sym_line_comment,
  [380719] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24964), 1,
      anon_sym_end,
    STATE(18816), 2,
      sym_block_comment,
      sym_line_comment,
  [380733] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13355), 1,
      anon_sym_RPAREN,
    STATE(18817), 2,
      sym_block_comment,
      sym_line_comment,
  [380747] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24966), 1,
      anon_sym_RPAREN,
    STATE(18818), 2,
      sym_block_comment,
      sym_line_comment,
  [380761] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13355), 1,
      anon_sym_RPAREN,
    STATE(18819), 2,
      sym_block_comment,
      sym_line_comment,
  [380775] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24968), 1,
      anon_sym_end,
    STATE(18820), 2,
      sym_block_comment,
      sym_line_comment,
  [380789] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24970), 1,
      anon_sym_end,
    STATE(18821), 2,
      sym_block_comment,
      sym_line_comment,
  [380803] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24972), 1,
      anon_sym_end,
    STATE(18822), 2,
      sym_block_comment,
      sym_line_comment,
  [380817] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24974), 1,
      anon_sym_DASH_GT,
    STATE(18823), 2,
      sym_block_comment,
      sym_line_comment,
  [380831] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15783), 1,
      anon_sym_DASH_GT,
    STATE(18824), 2,
      sym_block_comment,
      sym_line_comment,
  [380845] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24976), 1,
      anon_sym_RPAREN,
    STATE(18825), 2,
      sym_block_comment,
      sym_line_comment,
  [380859] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24978), 1,
      anon_sym_RBRACK,
    STATE(18826), 2,
      sym_block_comment,
      sym_line_comment,
  [380873] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24980), 1,
      anon_sym_RBRACK,
    STATE(18827), 2,
      sym_block_comment,
      sym_line_comment,
  [380887] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24982), 1,
      anon_sym_RBRACK,
    STATE(18828), 2,
      sym_block_comment,
      sym_line_comment,
  [380901] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13275), 1,
      anon_sym_RPAREN,
    STATE(18829), 2,
      sym_block_comment,
      sym_line_comment,
  [380915] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7039), 1,
      anon_sym_RPAREN,
    STATE(18830), 2,
      sym_block_comment,
      sym_line_comment,
  [380929] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24984), 1,
      anon_sym_EQ,
    STATE(18831), 2,
      sym_block_comment,
      sym_line_comment,
  [380943] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24986), 1,
      anon_sym_EQ,
    STATE(18832), 2,
      sym_block_comment,
      sym_line_comment,
  [380957] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6889), 1,
      anon_sym_RPAREN,
    STATE(18833), 2,
      sym_block_comment,
      sym_line_comment,
  [380971] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24988), 1,
      anon_sym_RBRACK,
    STATE(18834), 2,
      sym_block_comment,
      sym_line_comment,
  [380985] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10061), 1,
      anon_sym_DASH_GT,
    STATE(18835), 2,
      sym_block_comment,
      sym_line_comment,
  [380999] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24990), 1,
      anon_sym_RBRACK,
    STATE(18836), 2,
      sym_block_comment,
      sym_line_comment,
  [381013] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24992), 1,
      anon_sym_RPAREN,
    STATE(18837), 2,
      sym_block_comment,
      sym_line_comment,
  [381027] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24994), 1,
      anon_sym_RBRACK,
    STATE(18838), 2,
      sym_block_comment,
      sym_line_comment,
  [381041] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24996), 1,
      anon_sym_EQ,
    STATE(18839), 2,
      sym_block_comment,
      sym_line_comment,
  [381055] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24998), 1,
      anon_sym_EQ,
    STATE(18840), 2,
      sym_block_comment,
      sym_line_comment,
  [381069] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6797), 1,
      anon_sym_RPAREN,
    STATE(18841), 2,
      sym_block_comment,
      sym_line_comment,
  [381083] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19204), 1,
      anon_sym_RBRACE,
    STATE(18842), 2,
      sym_block_comment,
      sym_line_comment,
  [381097] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25000), 1,
      anon_sym_end,
    STATE(18843), 2,
      sym_block_comment,
      sym_line_comment,
  [381111] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8553), 1,
      anon_sym_RPAREN,
    STATE(18844), 2,
      sym_block_comment,
      sym_line_comment,
  [381125] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25002), 1,
      anon_sym_RBRACK,
    STATE(18845), 2,
      sym_block_comment,
      sym_line_comment,
  [381139] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25004), 1,
      anon_sym_EQ,
    STATE(18846), 2,
      sym_block_comment,
      sym_line_comment,
  [381153] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6665), 1,
      anon_sym_RPAREN,
    STATE(18847), 2,
      sym_block_comment,
      sym_line_comment,
  [381167] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25006), 1,
      anon_sym_RBRACK,
    STATE(18848), 2,
      sym_block_comment,
      sym_line_comment,
  [381181] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6801), 1,
      anon_sym_RPAREN,
    STATE(18849), 2,
      sym_block_comment,
      sym_line_comment,
  [381195] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25008), 1,
      anon_sym_RPAREN,
    STATE(18850), 2,
      sym_block_comment,
      sym_line_comment,
  [381209] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25010), 1,
      anon_sym_end,
    STATE(18851), 2,
      sym_block_comment,
      sym_line_comment,
  [381223] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25012), 1,
      anon_sym_COLON2,
    STATE(18852), 2,
      sym_block_comment,
      sym_line_comment,
  [381237] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25014), 1,
      anon_sym_RBRACK,
    STATE(18853), 2,
      sym_block_comment,
      sym_line_comment,
  [381251] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13275), 1,
      anon_sym_RPAREN,
    STATE(18854), 2,
      sym_block_comment,
      sym_line_comment,
  [381265] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25016), 1,
      anon_sym_end,
    STATE(18855), 2,
      sym_block_comment,
      sym_line_comment,
  [381279] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25018), 1,
      anon_sym_end,
    STATE(18856), 2,
      sym_block_comment,
      sym_line_comment,
  [381293] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25020), 1,
      anon_sym_RBRACK,
    STATE(18857), 2,
      sym_block_comment,
      sym_line_comment,
  [381307] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19082), 1,
      anon_sym_RBRACE,
    STATE(18858), 2,
      sym_block_comment,
      sym_line_comment,
  [381321] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25022), 1,
      anon_sym_RBRACK,
    STATE(18859), 2,
      sym_block_comment,
      sym_line_comment,
  [381335] = 4,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(187), 1,
      aux_sym_block_comment_token1,
    ACTIONS(25024), 1,
      aux_sym_line_comment_token2,
    STATE(18860), 2,
      sym_block_comment,
      sym_line_comment,
  [381349] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16151), 1,
      sym__immediate_paren,
    STATE(18861), 2,
      sym_block_comment,
      sym_line_comment,
  [381363] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25026), 1,
      anon_sym_type,
    STATE(18862), 2,
      sym_block_comment,
      sym_line_comment,
  [381377] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25028), 1,
      anon_sym_struct,
    STATE(18863), 2,
      sym_block_comment,
      sym_line_comment,
  [381391] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25030), 1,
      anon_sym_RBRACK,
    STATE(18864), 2,
      sym_block_comment,
      sym_line_comment,
  [381405] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19218), 1,
      anon_sym_RBRACE,
    STATE(18865), 2,
      sym_block_comment,
      sym_line_comment,
  [381419] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13309), 1,
      anon_sym_RPAREN,
    STATE(18866), 2,
      sym_block_comment,
      sym_line_comment,
  [381433] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20588), 1,
      anon_sym_end,
    STATE(18867), 2,
      sym_block_comment,
      sym_line_comment,
  [381447] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13309), 1,
      anon_sym_RPAREN,
    STATE(18868), 2,
      sym_block_comment,
      sym_line_comment,
  [381461] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25032), 1,
      anon_sym_EQ,
    STATE(18869), 2,
      sym_block_comment,
      sym_line_comment,
  [381475] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6643), 1,
      anon_sym_RPAREN,
    STATE(18870), 2,
      sym_block_comment,
      sym_line_comment,
  [381489] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13323), 1,
      anon_sym_RPAREN,
    STATE(18871), 2,
      sym_block_comment,
      sym_line_comment,
  [381503] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25034), 1,
      anon_sym_RBRACK,
    STATE(18872), 2,
      sym_block_comment,
      sym_line_comment,
  [381517] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8279), 1,
      anon_sym_RPAREN,
    STATE(18873), 2,
      sym_block_comment,
      sym_line_comment,
  [381531] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25036), 1,
      anon_sym_LPAREN,
    STATE(18874), 2,
      sym_block_comment,
      sym_line_comment,
  [381545] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25038), 1,
      anon_sym_RBRACK,
    STATE(18875), 2,
      sym_block_comment,
      sym_line_comment,
  [381559] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21034), 1,
      anon_sym_end,
    STATE(18876), 2,
      sym_block_comment,
      sym_line_comment,
  [381573] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8941), 1,
      anon_sym_RPAREN,
    STATE(18877), 2,
      sym_block_comment,
      sym_line_comment,
  [381587] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19160), 1,
      anon_sym_RBRACE,
    STATE(18878), 2,
      sym_block_comment,
      sym_line_comment,
  [381601] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25040), 1,
      anon_sym_end,
    STATE(18879), 2,
      sym_block_comment,
      sym_line_comment,
  [381615] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25042), 1,
      anon_sym_RBRACK,
    STATE(18880), 2,
      sym_block_comment,
      sym_line_comment,
  [381629] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25044), 1,
      anon_sym_RBRACK,
    STATE(18881), 2,
      sym_block_comment,
      sym_line_comment,
  [381643] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25046), 1,
      anon_sym_RPAREN,
    STATE(18882), 2,
      sym_block_comment,
      sym_line_comment,
  [381657] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18952), 1,
      anon_sym_RBRACE,
    STATE(18883), 2,
      sym_block_comment,
      sym_line_comment,
  [381671] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19998), 1,
      anon_sym_end,
    STATE(18884), 2,
      sym_block_comment,
      sym_line_comment,
  [381685] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25048), 1,
      anon_sym_type,
    STATE(18885), 2,
      sym_block_comment,
      sym_line_comment,
  [381699] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21038), 1,
      anon_sym_end,
    STATE(18886), 2,
      sym_block_comment,
      sym_line_comment,
  [381713] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13315), 1,
      anon_sym_RPAREN,
    STATE(18887), 2,
      sym_block_comment,
      sym_line_comment,
  [381727] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25050), 1,
      anon_sym_RBRACK,
    STATE(18888), 2,
      sym_block_comment,
      sym_line_comment,
  [381741] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25052), 1,
      anon_sym_RBRACK,
    STATE(18889), 2,
      sym_block_comment,
      sym_line_comment,
  [381755] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8815), 1,
      anon_sym_RPAREN,
    STATE(18890), 2,
      sym_block_comment,
      sym_line_comment,
  [381769] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25054), 1,
      anon_sym_RBRACK,
    STATE(18891), 2,
      sym_block_comment,
      sym_line_comment,
  [381783] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10748), 1,
      sym__immediate_paren,
    STATE(18892), 2,
      sym_block_comment,
      sym_line_comment,
  [381797] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25056), 1,
      anon_sym_end,
    STATE(18893), 2,
      sym_block_comment,
      sym_line_comment,
  [381811] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25058), 1,
      anon_sym_end,
    STATE(18894), 2,
      sym_block_comment,
      sym_line_comment,
  [381825] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8977), 1,
      anon_sym_RPAREN,
    STATE(18895), 2,
      sym_block_comment,
      sym_line_comment,
  [381839] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25060), 1,
      anon_sym_end,
    STATE(18896), 2,
      sym_block_comment,
      sym_line_comment,
  [381853] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25062), 1,
      anon_sym_DASH_GT,
    STATE(18897), 2,
      sym_block_comment,
      sym_line_comment,
  [381867] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25064), 1,
      anon_sym_RBRACK,
    STATE(18898), 2,
      sym_block_comment,
      sym_line_comment,
  [381881] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25066), 1,
      anon_sym_end,
    STATE(18899), 2,
      sym_block_comment,
      sym_line_comment,
  [381895] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25068), 1,
      anon_sym_end,
    STATE(18900), 2,
      sym_block_comment,
      sym_line_comment,
  [381909] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25070), 1,
      anon_sym_end,
    STATE(18901), 2,
      sym_block_comment,
      sym_line_comment,
  [381923] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8841), 1,
      anon_sym_RPAREN,
    STATE(18902), 2,
      sym_block_comment,
      sym_line_comment,
  [381937] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25072), 1,
      anon_sym_end,
    STATE(18903), 2,
      sym_block_comment,
      sym_line_comment,
  [381951] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19030), 1,
      anon_sym_RBRACE,
    STATE(18904), 2,
      sym_block_comment,
      sym_line_comment,
  [381965] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20618), 1,
      anon_sym_end,
    STATE(18905), 2,
      sym_block_comment,
      sym_line_comment,
  [381979] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25074), 1,
      anon_sym_COLON2,
    STATE(18906), 2,
      sym_block_comment,
      sym_line_comment,
  [381993] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13303), 1,
      anon_sym_RPAREN,
    STATE(18907), 2,
      sym_block_comment,
      sym_line_comment,
  [382007] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7257), 1,
      anon_sym_RPAREN,
    STATE(18908), 2,
      sym_block_comment,
      sym_line_comment,
  [382021] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25076), 1,
      anon_sym_end,
    STATE(18909), 2,
      sym_block_comment,
      sym_line_comment,
  [382035] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8221), 1,
      anon_sym_RPAREN,
    STATE(18910), 2,
      sym_block_comment,
      sym_line_comment,
  [382049] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13361), 1,
      anon_sym_RPAREN,
    STATE(18911), 2,
      sym_block_comment,
      sym_line_comment,
  [382063] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25078), 1,
      anon_sym_RPAREN,
    STATE(18912), 2,
      sym_block_comment,
      sym_line_comment,
  [382077] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21036), 1,
      anon_sym_end,
    STATE(18913), 2,
      sym_block_comment,
      sym_line_comment,
  [382091] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25080), 1,
      anon_sym_end,
    STATE(18914), 2,
      sym_block_comment,
      sym_line_comment,
  [382105] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25082), 1,
      anon_sym_end,
    STATE(18915), 2,
      sym_block_comment,
      sym_line_comment,
  [382119] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25084), 1,
      anon_sym_end,
    STATE(18916), 2,
      sym_block_comment,
      sym_line_comment,
  [382133] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25086), 1,
      anon_sym_RBRACK,
    STATE(18917), 2,
      sym_block_comment,
      sym_line_comment,
  [382147] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25088), 1,
      anon_sym_end,
    STATE(18918), 2,
      sym_block_comment,
      sym_line_comment,
  [382161] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7297), 1,
      anon_sym_RPAREN,
    STATE(18919), 2,
      sym_block_comment,
      sym_line_comment,
  [382175] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13361), 1,
      anon_sym_RPAREN,
    STATE(18920), 2,
      sym_block_comment,
      sym_line_comment,
  [382189] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10643), 1,
      sym__immediate_paren,
    STATE(18921), 2,
      sym_block_comment,
      sym_line_comment,
  [382203] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13303), 1,
      anon_sym_RPAREN,
    STATE(18922), 2,
      sym_block_comment,
      sym_line_comment,
  [382217] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19100), 1,
      anon_sym_RBRACE,
    STATE(18923), 2,
      sym_block_comment,
      sym_line_comment,
  [382231] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20166), 1,
      anon_sym_end,
    STATE(18924), 2,
      sym_block_comment,
      sym_line_comment,
  [382245] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10840), 1,
      sym__immediate_paren,
    STATE(18925), 2,
      sym_block_comment,
      sym_line_comment,
  [382259] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10125), 1,
      anon_sym_DASH_GT,
    STATE(18926), 2,
      sym_block_comment,
      sym_line_comment,
  [382273] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25090), 1,
      anon_sym_RPAREN,
    STATE(18927), 2,
      sym_block_comment,
      sym_line_comment,
  [382287] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25092), 1,
      anon_sym_COLON2,
    STATE(18928), 2,
      sym_block_comment,
      sym_line_comment,
  [382301] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18876), 1,
      anon_sym_RBRACE,
    STATE(18929), 2,
      sym_block_comment,
      sym_line_comment,
  [382315] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25094), 1,
      anon_sym_RBRACK,
    STATE(18930), 2,
      sym_block_comment,
      sym_line_comment,
  [382329] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25096), 1,
      anon_sym_RPAREN,
    STATE(18931), 2,
      sym_block_comment,
      sym_line_comment,
  [382343] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25098), 1,
      anon_sym_RBRACK,
    STATE(18932), 2,
      sym_block_comment,
      sym_line_comment,
  [382357] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19314), 1,
      anon_sym_RBRACE,
    STATE(18933), 2,
      sym_block_comment,
      sym_line_comment,
  [382371] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25100), 1,
      anon_sym_end,
    STATE(18934), 2,
      sym_block_comment,
      sym_line_comment,
  [382385] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25102), 1,
      anon_sym_RPAREN,
    STATE(18935), 2,
      sym_block_comment,
      sym_line_comment,
  [382399] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25104), 1,
      anon_sym_RBRACK,
    STATE(18936), 2,
      sym_block_comment,
      sym_line_comment,
  [382413] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25106), 1,
      anon_sym_RPAREN,
    STATE(18937), 2,
      sym_block_comment,
      sym_line_comment,
  [382427] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25108), 1,
      anon_sym_RBRACK,
    STATE(18938), 2,
      sym_block_comment,
      sym_line_comment,
  [382441] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7585), 1,
      anon_sym_RPAREN,
    STATE(18939), 2,
      sym_block_comment,
      sym_line_comment,
  [382455] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25110), 1,
      anon_sym_end,
    STATE(18940), 2,
      sym_block_comment,
      sym_line_comment,
  [382469] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25112), 1,
      anon_sym_end,
    STATE(18941), 2,
      sym_block_comment,
      sym_line_comment,
  [382483] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25114), 1,
      anon_sym_RBRACK,
    STATE(18942), 2,
      sym_block_comment,
      sym_line_comment,
  [382497] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25116), 1,
      anon_sym_end,
    STATE(18943), 2,
      sym_block_comment,
      sym_line_comment,
  [382511] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25118), 1,
      anon_sym_RBRACK,
    STATE(18944), 2,
      sym_block_comment,
      sym_line_comment,
  [382525] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25120), 1,
      anon_sym_RBRACK,
    STATE(18945), 2,
      sym_block_comment,
      sym_line_comment,
  [382539] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25122), 1,
      anon_sym_end,
    STATE(18946), 2,
      sym_block_comment,
      sym_line_comment,
  [382553] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25124), 1,
      anon_sym_end,
    STATE(18947), 2,
      sym_block_comment,
      sym_line_comment,
  [382567] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25126), 1,
      anon_sym_DASH_GT,
    STATE(18948), 2,
      sym_block_comment,
      sym_line_comment,
  [382581] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20634), 1,
      anon_sym_end,
    STATE(18949), 2,
      sym_block_comment,
      sym_line_comment,
  [382595] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13291), 1,
      anon_sym_RPAREN,
    STATE(18950), 2,
      sym_block_comment,
      sym_line_comment,
  [382609] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24254), 1,
      anon_sym_end,
    STATE(18951), 2,
      sym_block_comment,
      sym_line_comment,
  [382623] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8937), 1,
      anon_sym_RPAREN,
    STATE(18952), 2,
      sym_block_comment,
      sym_line_comment,
  [382637] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25128), 1,
      anon_sym_end,
    STATE(18953), 2,
      sym_block_comment,
      sym_line_comment,
  [382651] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25130), 1,
      anon_sym_RPAREN,
    STATE(18954), 2,
      sym_block_comment,
      sym_line_comment,
  [382665] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25132), 1,
      anon_sym_end,
    STATE(18955), 2,
      sym_block_comment,
      sym_line_comment,
  [382679] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25134), 1,
      anon_sym_end,
    STATE(18956), 2,
      sym_block_comment,
      sym_line_comment,
  [382693] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25136), 1,
      anon_sym_end,
    STATE(18957), 2,
      sym_block_comment,
      sym_line_comment,
  [382707] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8925), 1,
      anon_sym_RPAREN,
    STATE(18958), 2,
      sym_block_comment,
      sym_line_comment,
  [382721] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25138), 1,
      anon_sym_end,
    STATE(18959), 2,
      sym_block_comment,
      sym_line_comment,
  [382735] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8933), 1,
      anon_sym_RPAREN,
    STATE(18960), 2,
      sym_block_comment,
      sym_line_comment,
  [382749] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25140), 1,
      anon_sym_end,
    STATE(18961), 2,
      sym_block_comment,
      sym_line_comment,
  [382763] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25142), 1,
      anon_sym_RBRACK,
    STATE(18962), 2,
      sym_block_comment,
      sym_line_comment,
  [382777] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25144), 1,
      anon_sym_COLON2,
    STATE(18963), 2,
      sym_block_comment,
      sym_line_comment,
  [382791] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25146), 1,
      anon_sym_end,
    STATE(18964), 2,
      sym_block_comment,
      sym_line_comment,
  [382805] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10057), 1,
      anon_sym_DASH_GT,
    STATE(18965), 2,
      sym_block_comment,
      sym_line_comment,
  [382819] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25148), 1,
      anon_sym_end,
    STATE(18966), 2,
      sym_block_comment,
      sym_line_comment,
  [382833] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25150), 1,
      anon_sym_RBRACK,
    STATE(18967), 2,
      sym_block_comment,
      sym_line_comment,
  [382847] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25152), 1,
      anon_sym_end,
    STATE(18968), 2,
      sym_block_comment,
      sym_line_comment,
  [382861] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7143), 1,
      anon_sym_RPAREN,
    STATE(18969), 2,
      sym_block_comment,
      sym_line_comment,
  [382875] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25154), 1,
      anon_sym_RBRACK,
    STATE(18970), 2,
      sym_block_comment,
      sym_line_comment,
  [382889] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19250), 1,
      anon_sym_RBRACE,
    STATE(18971), 2,
      sym_block_comment,
      sym_line_comment,
  [382903] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25156), 1,
      anon_sym_end,
    STATE(18972), 2,
      sym_block_comment,
      sym_line_comment,
  [382917] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20640), 1,
      anon_sym_end,
    STATE(18973), 2,
      sym_block_comment,
      sym_line_comment,
  [382931] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25158), 1,
      anon_sym_end,
    STATE(18974), 2,
      sym_block_comment,
      sym_line_comment,
  [382945] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9079), 1,
      anon_sym_RPAREN,
    STATE(18975), 2,
      sym_block_comment,
      sym_line_comment,
  [382959] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10762), 1,
      sym__immediate_paren,
    STATE(18976), 2,
      sym_block_comment,
      sym_line_comment,
  [382973] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20394), 1,
      anon_sym_end,
    STATE(18977), 2,
      sym_block_comment,
      sym_line_comment,
  [382987] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20638), 1,
      anon_sym_end,
    STATE(18978), 2,
      sym_block_comment,
      sym_line_comment,
  [383001] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7373), 1,
      anon_sym_RPAREN,
    STATE(18979), 2,
      sym_block_comment,
      sym_line_comment,
  [383015] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25160), 1,
      anon_sym_end,
    STATE(18980), 2,
      sym_block_comment,
      sym_line_comment,
  [383029] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13323), 1,
      anon_sym_RPAREN,
    STATE(18981), 2,
      sym_block_comment,
      sym_line_comment,
  [383043] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15451), 1,
      anon_sym_DASH_GT,
    STATE(18982), 2,
      sym_block_comment,
      sym_line_comment,
  [383057] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25162), 1,
      anon_sym_RBRACK,
    STATE(18983), 2,
      sym_block_comment,
      sym_line_comment,
  [383071] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8277), 1,
      anon_sym_RPAREN,
    STATE(18984), 2,
      sym_block_comment,
      sym_line_comment,
  [383085] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25164), 1,
      anon_sym_RBRACK,
    STATE(18985), 2,
      sym_block_comment,
      sym_line_comment,
  [383099] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25166), 1,
      anon_sym_RBRACK,
    STATE(18986), 2,
      sym_block_comment,
      sym_line_comment,
  [383113] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18836), 1,
      anon_sym_RBRACE,
    STATE(18987), 2,
      sym_block_comment,
      sym_line_comment,
  [383127] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25168), 1,
      anon_sym_end,
    STATE(18988), 2,
      sym_block_comment,
      sym_line_comment,
  [383141] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25170), 1,
      anon_sym_RBRACK,
    STATE(18989), 2,
      sym_block_comment,
      sym_line_comment,
  [383155] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8105), 1,
      anon_sym_RPAREN,
    STATE(18990), 2,
      sym_block_comment,
      sym_line_comment,
  [383169] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25172), 1,
      anon_sym_RBRACK,
    STATE(18991), 2,
      sym_block_comment,
      sym_line_comment,
  [383183] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13381), 1,
      anon_sym_RPAREN,
    STATE(18992), 2,
      sym_block_comment,
      sym_line_comment,
  [383197] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25174), 1,
      anon_sym_end,
    STATE(18993), 2,
      sym_block_comment,
      sym_line_comment,
  [383211] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13381), 1,
      anon_sym_RPAREN,
    STATE(18994), 2,
      sym_block_comment,
      sym_line_comment,
  [383225] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7969), 1,
      anon_sym_RPAREN,
    STATE(18995), 2,
      sym_block_comment,
      sym_line_comment,
  [383239] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25176), 1,
      anon_sym_COLON2,
    STATE(18996), 2,
      sym_block_comment,
      sym_line_comment,
  [383253] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15481), 1,
      anon_sym_DASH_GT,
    STATE(18997), 2,
      sym_block_comment,
      sym_line_comment,
  [383267] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25178), 1,
      anon_sym_end,
    STATE(18998), 2,
      sym_block_comment,
      sym_line_comment,
  [383281] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25180), 1,
      anon_sym_end,
    STATE(18999), 2,
      sym_block_comment,
      sym_line_comment,
  [383295] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25182), 1,
      anon_sym_EQ,
    STATE(19000), 2,
      sym_block_comment,
      sym_line_comment,
  [383309] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25184), 1,
      anon_sym_end,
    STATE(19001), 2,
      sym_block_comment,
      sym_line_comment,
  [383323] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25186), 1,
      anon_sym_RBRACK,
    STATE(19002), 2,
      sym_block_comment,
      sym_line_comment,
  [383337] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25188), 1,
      anon_sym_EQ,
    STATE(19003), 2,
      sym_block_comment,
      sym_line_comment,
  [383351] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21133), 1,
      anon_sym_end,
    STATE(19004), 2,
      sym_block_comment,
      sym_line_comment,
  [383365] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20672), 1,
      anon_sym_end,
    STATE(19005), 2,
      sym_block_comment,
      sym_line_comment,
  [383379] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25190), 1,
      anon_sym_RBRACK,
    STATE(19006), 2,
      sym_block_comment,
      sym_line_comment,
  [383393] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25192), 1,
      anon_sym_COLON2,
    STATE(19007), 2,
      sym_block_comment,
      sym_line_comment,
  [383407] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8531), 1,
      anon_sym_RPAREN,
    STATE(19008), 2,
      sym_block_comment,
      sym_line_comment,
  [383421] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25194), 1,
      anon_sym_RBRACK,
    STATE(19009), 2,
      sym_block_comment,
      sym_line_comment,
  [383435] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25196), 1,
      sym__block_comment_rest,
    STATE(19010), 2,
      sym_block_comment,
      sym_line_comment,
  [383449] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25198), 1,
      anon_sym_RPAREN,
    STATE(19011), 2,
      sym_block_comment,
      sym_line_comment,
  [383463] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25200), 1,
      anon_sym_RBRACK,
    STATE(19012), 2,
      sym_block_comment,
      sym_line_comment,
  [383477] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25202), 1,
      anon_sym_end,
    STATE(19013), 2,
      sym_block_comment,
      sym_line_comment,
  [383491] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25204), 1,
      anon_sym_end,
    STATE(19014), 2,
      sym_block_comment,
      sym_line_comment,
  [383505] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25206), 1,
      anon_sym_end,
    STATE(19015), 2,
      sym_block_comment,
      sym_line_comment,
  [383519] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7863), 1,
      anon_sym_RPAREN,
    STATE(19016), 2,
      sym_block_comment,
      sym_line_comment,
  [383533] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25208), 1,
      anon_sym_end,
    STATE(19017), 2,
      sym_block_comment,
      sym_line_comment,
  [383547] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25210), 1,
      anon_sym_COLON2,
    STATE(19018), 2,
      sym_block_comment,
      sym_line_comment,
  [383561] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25212), 1,
      anon_sym_RBRACK,
    STATE(19019), 2,
      sym_block_comment,
      sym_line_comment,
  [383575] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25214), 1,
      anon_sym_end,
    STATE(19020), 2,
      sym_block_comment,
      sym_line_comment,
  [383589] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25216), 1,
      anon_sym_end,
    STATE(19021), 2,
      sym_block_comment,
      sym_line_comment,
  [383603] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13377), 1,
      anon_sym_RPAREN,
    STATE(19022), 2,
      sym_block_comment,
      sym_line_comment,
  [383617] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15568), 1,
      anon_sym_DASH_GT,
    STATE(19023), 2,
      sym_block_comment,
      sym_line_comment,
  [383631] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10035), 1,
      anon_sym_DASH_GT,
    STATE(19024), 2,
      sym_block_comment,
      sym_line_comment,
  [383645] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18806), 1,
      anon_sym_RBRACE,
    STATE(19025), 2,
      sym_block_comment,
      sym_line_comment,
  [383659] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13281), 1,
      anon_sym_RPAREN,
    STATE(19026), 2,
      sym_block_comment,
      sym_line_comment,
  [383673] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10668), 1,
      sym__immediate_paren,
    STATE(19027), 2,
      sym_block_comment,
      sym_line_comment,
  [383687] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21115), 1,
      anon_sym_end,
    STATE(19028), 2,
      sym_block_comment,
      sym_line_comment,
  [383701] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25218), 1,
      anon_sym_end,
    STATE(19029), 2,
      sym_block_comment,
      sym_line_comment,
  [383715] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25220), 1,
      anon_sym_end,
    STATE(19030), 2,
      sym_block_comment,
      sym_line_comment,
  [383729] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25222), 1,
      anon_sym_RPAREN,
    STATE(19031), 2,
      sym_block_comment,
      sym_line_comment,
  [383743] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25224), 1,
      anon_sym_end,
    STATE(19032), 2,
      sym_block_comment,
      sym_line_comment,
  [383757] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25226), 1,
      anon_sym_end,
    STATE(19033), 2,
      sym_block_comment,
      sym_line_comment,
  [383771] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25228), 1,
      anon_sym_RPAREN,
    STATE(19034), 2,
      sym_block_comment,
      sym_line_comment,
  [383785] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25230), 1,
      anon_sym_end,
    STATE(19035), 2,
      sym_block_comment,
      sym_line_comment,
  [383799] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20344), 1,
      anon_sym_end,
    STATE(19036), 2,
      sym_block_comment,
      sym_line_comment,
  [383813] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25232), 1,
      anon_sym_end,
    STATE(19037), 2,
      sym_block_comment,
      sym_line_comment,
  [383827] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25234), 1,
      anon_sym_DASH_GT,
    STATE(19038), 2,
      sym_block_comment,
      sym_line_comment,
  [383841] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8847), 1,
      anon_sym_RPAREN,
    STATE(19039), 2,
      sym_block_comment,
      sym_line_comment,
  [383855] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10860), 1,
      sym__immediate_paren,
    STATE(19040), 2,
      sym_block_comment,
      sym_line_comment,
  [383869] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7943), 1,
      anon_sym_RPAREN,
    STATE(19041), 2,
      sym_block_comment,
      sym_line_comment,
  [383883] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8979), 1,
      anon_sym_RPAREN,
    STATE(19042), 2,
      sym_block_comment,
      sym_line_comment,
  [383897] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25236), 1,
      anon_sym_EQ,
    STATE(19043), 2,
      sym_block_comment,
      sym_line_comment,
  [383911] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25238), 1,
      anon_sym_RBRACK,
    STATE(19044), 2,
      sym_block_comment,
      sym_line_comment,
  [383925] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6871), 1,
      anon_sym_RPAREN,
    STATE(19045), 2,
      sym_block_comment,
      sym_line_comment,
  [383939] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25240), 1,
      anon_sym_RBRACK,
    STATE(19046), 2,
      sym_block_comment,
      sym_line_comment,
  [383953] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25242), 1,
      anon_sym_end,
    STATE(19047), 2,
      sym_block_comment,
      sym_line_comment,
  [383967] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8151), 1,
      anon_sym_RPAREN,
    STATE(19048), 2,
      sym_block_comment,
      sym_line_comment,
  [383981] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25244), 1,
      anon_sym_RPAREN,
    STATE(19049), 2,
      sym_block_comment,
      sym_line_comment,
  [383995] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18942), 1,
      anon_sym_RBRACE,
    STATE(19050), 2,
      sym_block_comment,
      sym_line_comment,
  [384009] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25246), 1,
      anon_sym_RBRACK,
    STATE(19051), 2,
      sym_block_comment,
      sym_line_comment,
  [384023] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25248), 1,
      anon_sym_RPAREN,
    STATE(19052), 2,
      sym_block_comment,
      sym_line_comment,
  [384037] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25250), 1,
      anon_sym_end,
    STATE(19053), 2,
      sym_block_comment,
      sym_line_comment,
  [384051] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25252), 1,
      anon_sym_RPAREN,
    STATE(19054), 2,
      sym_block_comment,
      sym_line_comment,
  [384065] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21064), 1,
      anon_sym_end,
    STATE(19055), 2,
      sym_block_comment,
      sym_line_comment,
  [384079] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25254), 1,
      anon_sym_COLON2,
    STATE(19056), 2,
      sym_block_comment,
      sym_line_comment,
  [384093] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25256), 1,
      anon_sym_end,
    STATE(19057), 2,
      sym_block_comment,
      sym_line_comment,
  [384107] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13369), 1,
      anon_sym_RPAREN,
    STATE(19058), 2,
      sym_block_comment,
      sym_line_comment,
  [384121] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25258), 1,
      anon_sym_end,
    STATE(19059), 2,
      sym_block_comment,
      sym_line_comment,
  [384135] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25260), 1,
      anon_sym_RBRACK,
    STATE(19060), 2,
      sym_block_comment,
      sym_line_comment,
  [384149] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25262), 1,
      anon_sym_end,
    STATE(19061), 2,
      sym_block_comment,
      sym_line_comment,
  [384163] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25264), 1,
      anon_sym_end,
    STATE(19062), 2,
      sym_block_comment,
      sym_line_comment,
  [384177] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25266), 1,
      anon_sym_end,
    STATE(19063), 2,
      sym_block_comment,
      sym_line_comment,
  [384191] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13369), 1,
      anon_sym_RPAREN,
    STATE(19064), 2,
      sym_block_comment,
      sym_line_comment,
  [384205] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25268), 1,
      anon_sym_end,
    STATE(19065), 2,
      sym_block_comment,
      sym_line_comment,
  [384219] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25270), 1,
      anon_sym_COLON2,
    STATE(19066), 2,
      sym_block_comment,
      sym_line_comment,
  [384233] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25272), 1,
      anon_sym_RBRACK,
    STATE(19067), 2,
      sym_block_comment,
      sym_line_comment,
  [384247] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10782), 1,
      sym__immediate_paren,
    STATE(19068), 2,
      sym_block_comment,
      sym_line_comment,
  [384261] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25274), 1,
      anon_sym_COLON2,
    STATE(19069), 2,
      sym_block_comment,
      sym_line_comment,
  [384275] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25276), 1,
      anon_sym_LPAREN,
    STATE(19070), 2,
      sym_block_comment,
      sym_line_comment,
  [384289] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25278), 1,
      anon_sym_RPAREN,
    STATE(19071), 2,
      sym_block_comment,
      sym_line_comment,
  [384303] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7339), 1,
      anon_sym_RPAREN,
    STATE(19072), 2,
      sym_block_comment,
      sym_line_comment,
  [384317] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25280), 1,
      anon_sym_RBRACK,
    STATE(19073), 2,
      sym_block_comment,
      sym_line_comment,
  [384331] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25282), 1,
      anon_sym_end,
    STATE(19074), 2,
      sym_block_comment,
      sym_line_comment,
  [384345] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25284), 1,
      anon_sym_end,
    STATE(19075), 2,
      sym_block_comment,
      sym_line_comment,
  [384359] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25286), 1,
      anon_sym_end,
    STATE(19076), 2,
      sym_block_comment,
      sym_line_comment,
  [384373] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25288), 1,
      anon_sym_RBRACK,
    STATE(19077), 2,
      sym_block_comment,
      sym_line_comment,
  [384387] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13289), 1,
      anon_sym_RPAREN,
    STATE(19078), 2,
      sym_block_comment,
      sym_line_comment,
  [384401] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13305), 1,
      anon_sym_RPAREN,
    STATE(19079), 2,
      sym_block_comment,
      sym_line_comment,
  [384415] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13385), 1,
      anon_sym_RPAREN,
    STATE(19080), 2,
      sym_block_comment,
      sym_line_comment,
  [384429] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25290), 1,
      anon_sym_end,
    STATE(19081), 2,
      sym_block_comment,
      sym_line_comment,
  [384443] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25292), 1,
      anon_sym_end,
    STATE(19082), 2,
      sym_block_comment,
      sym_line_comment,
  [384457] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21052), 1,
      anon_sym_end,
    STATE(19083), 2,
      sym_block_comment,
      sym_line_comment,
  [384471] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25294), 1,
      anon_sym_RBRACK,
    STATE(19084), 2,
      sym_block_comment,
      sym_line_comment,
  [384485] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25296), 1,
      anon_sym_end,
    STATE(19085), 2,
      sym_block_comment,
      sym_line_comment,
  [384499] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25298), 1,
      anon_sym_RBRACK,
    STATE(19086), 2,
      sym_block_comment,
      sym_line_comment,
  [384513] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25300), 1,
      anon_sym_end,
    STATE(19087), 2,
      sym_block_comment,
      sym_line_comment,
  [384527] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8895), 1,
      anon_sym_RPAREN,
    STATE(19088), 2,
      sym_block_comment,
      sym_line_comment,
  [384541] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25302), 1,
      anon_sym_end,
    STATE(19089), 2,
      sym_block_comment,
      sym_line_comment,
  [384555] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13385), 1,
      anon_sym_RPAREN,
    STATE(19090), 2,
      sym_block_comment,
      sym_line_comment,
  [384569] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25304), 1,
      anon_sym_end,
    STATE(19091), 2,
      sym_block_comment,
      sym_line_comment,
  [384583] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8485), 1,
      anon_sym_RPAREN,
    STATE(19092), 2,
      sym_block_comment,
      sym_line_comment,
  [384597] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25306), 1,
      anon_sym_end,
    STATE(19093), 2,
      sym_block_comment,
      sym_line_comment,
  [384611] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13347), 1,
      anon_sym_RPAREN,
    STATE(19094), 2,
      sym_block_comment,
      sym_line_comment,
  [384625] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25308), 1,
      anon_sym_COLON2,
    STATE(19095), 2,
      sym_block_comment,
      sym_line_comment,
  [384639] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25310), 1,
      anon_sym_end,
    STATE(19096), 2,
      sym_block_comment,
      sym_line_comment,
  [384653] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25312), 1,
      anon_sym_end,
    STATE(19097), 2,
      sym_block_comment,
      sym_line_comment,
  [384667] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25314), 1,
      anon_sym_end,
    STATE(19098), 2,
      sym_block_comment,
      sym_line_comment,
  [384681] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25316), 1,
      anon_sym_end,
    STATE(19099), 2,
      sym_block_comment,
      sym_line_comment,
  [384695] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25318), 1,
      anon_sym_RBRACK,
    STATE(19100), 2,
      sym_block_comment,
      sym_line_comment,
  [384709] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13367), 1,
      anon_sym_RPAREN,
    STATE(19101), 2,
      sym_block_comment,
      sym_line_comment,
  [384723] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13305), 1,
      anon_sym_RPAREN,
    STATE(19102), 2,
      sym_block_comment,
      sym_line_comment,
  [384737] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10850), 1,
      sym__immediate_paren,
    STATE(19103), 2,
      sym_block_comment,
      sym_line_comment,
  [384751] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25320), 1,
      anon_sym_end,
    STATE(19104), 2,
      sym_block_comment,
      sym_line_comment,
  [384765] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19352), 1,
      anon_sym_RBRACE,
    STATE(19105), 2,
      sym_block_comment,
      sym_line_comment,
  [384779] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8957), 1,
      anon_sym_RPAREN,
    STATE(19106), 2,
      sym_block_comment,
      sym_line_comment,
  [384793] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13289), 1,
      anon_sym_RPAREN,
    STATE(19107), 2,
      sym_block_comment,
      sym_line_comment,
  [384807] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10772), 1,
      sym__immediate_paren,
    STATE(19108), 2,
      sym_block_comment,
      sym_line_comment,
  [384821] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25322), 1,
      anon_sym_end,
    STATE(19109), 2,
      sym_block_comment,
      sym_line_comment,
  [384835] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25324), 1,
      anon_sym_RBRACK,
    STATE(19110), 2,
      sym_block_comment,
      sym_line_comment,
  [384849] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25326), 1,
      anon_sym_end,
    STATE(19111), 2,
      sym_block_comment,
      sym_line_comment,
  [384863] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25328), 1,
      anon_sym_end,
    STATE(19112), 2,
      sym_block_comment,
      sym_line_comment,
  [384877] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7441), 1,
      anon_sym_RPAREN,
    STATE(19113), 2,
      sym_block_comment,
      sym_line_comment,
  [384891] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25330), 1,
      anon_sym_end,
    STATE(19114), 2,
      sym_block_comment,
      sym_line_comment,
  [384905] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25332), 1,
      anon_sym_end,
    STATE(19115), 2,
      sym_block_comment,
      sym_line_comment,
  [384919] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25334), 1,
      anon_sym_COLON2,
    STATE(19116), 2,
      sym_block_comment,
      sym_line_comment,
  [384933] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18938), 1,
      anon_sym_RBRACE,
    STATE(19117), 2,
      sym_block_comment,
      sym_line_comment,
  [384947] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8335), 1,
      anon_sym_RPAREN,
    STATE(19118), 2,
      sym_block_comment,
      sym_line_comment,
  [384961] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25336), 1,
      anon_sym_RBRACK,
    STATE(19119), 2,
      sym_block_comment,
      sym_line_comment,
  [384975] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25338), 1,
      anon_sym_RPAREN,
    STATE(19120), 2,
      sym_block_comment,
      sym_line_comment,
  [384989] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8769), 1,
      anon_sym_RPAREN,
    STATE(19121), 2,
      sym_block_comment,
      sym_line_comment,
  [385003] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20694), 1,
      anon_sym_end,
    STATE(19122), 2,
      sym_block_comment,
      sym_line_comment,
  [385017] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8581), 1,
      anon_sym_RPAREN,
    STATE(19123), 2,
      sym_block_comment,
      sym_line_comment,
  [385031] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13329), 1,
      anon_sym_RPAREN,
    STATE(19124), 2,
      sym_block_comment,
      sym_line_comment,
  [385045] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25340), 1,
      anon_sym_end,
    STATE(19125), 2,
      sym_block_comment,
      sym_line_comment,
  [385059] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13329), 1,
      anon_sym_RPAREN,
    STATE(19126), 2,
      sym_block_comment,
      sym_line_comment,
  [385073] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25342), 1,
      anon_sym_end,
    STATE(19127), 2,
      sym_block_comment,
      sym_line_comment,
  [385087] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8695), 1,
      anon_sym_RPAREN,
    STATE(19128), 2,
      sym_block_comment,
      sym_line_comment,
  [385101] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25344), 1,
      anon_sym_end,
    STATE(19129), 2,
      sym_block_comment,
      sym_line_comment,
  [385115] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18906), 1,
      anon_sym_RBRACE,
    STATE(19130), 2,
      sym_block_comment,
      sym_line_comment,
  [385129] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25346), 1,
      anon_sym_COLON2,
    STATE(19131), 2,
      sym_block_comment,
      sym_line_comment,
  [385143] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8961), 1,
      anon_sym_RPAREN,
    STATE(19132), 2,
      sym_block_comment,
      sym_line_comment,
  [385157] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25348), 1,
      anon_sym_COLON2,
    STATE(19133), 2,
      sym_block_comment,
      sym_line_comment,
  [385171] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25350), 1,
      anon_sym_type,
    STATE(19134), 2,
      sym_block_comment,
      sym_line_comment,
  [385185] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25352), 1,
      anon_sym_RBRACK,
    STATE(19135), 2,
      sym_block_comment,
      sym_line_comment,
  [385199] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25354), 1,
      anon_sym_RBRACK,
    STATE(19136), 2,
      sym_block_comment,
      sym_line_comment,
  [385213] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25356), 1,
      anon_sym_RBRACK,
    STATE(19137), 2,
      sym_block_comment,
      sym_line_comment,
  [385227] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25358), 1,
      anon_sym_end,
    STATE(19138), 2,
      sym_block_comment,
      sym_line_comment,
  [385241] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25360), 1,
      anon_sym_end,
    STATE(19139), 2,
      sym_block_comment,
      sym_line_comment,
  [385255] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25362), 1,
      anon_sym_EQ,
    STATE(19140), 2,
      sym_block_comment,
      sym_line_comment,
  [385269] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25364), 1,
      anon_sym_COLON2,
    STATE(19141), 2,
      sym_block_comment,
      sym_line_comment,
  [385283] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21054), 1,
      anon_sym_end,
    STATE(19142), 2,
      sym_block_comment,
      sym_line_comment,
  [385297] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25366), 1,
      anon_sym_type,
    STATE(19143), 2,
      sym_block_comment,
      sym_line_comment,
  [385311] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25368), 1,
      anon_sym_struct,
    STATE(19144), 2,
      sym_block_comment,
      sym_line_comment,
  [385325] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25370), 1,
      anon_sym_RPAREN,
    STATE(19145), 2,
      sym_block_comment,
      sym_line_comment,
  [385339] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25372), 1,
      anon_sym_RBRACK,
    STATE(19146), 2,
      sym_block_comment,
      sym_line_comment,
  [385353] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25374), 1,
      anon_sym_EQ,
    STATE(19147), 2,
      sym_block_comment,
      sym_line_comment,
  [385367] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25376), 1,
      anon_sym_end,
    STATE(19148), 2,
      sym_block_comment,
      sym_line_comment,
  [385381] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25378), 1,
      anon_sym_end,
    STATE(19149), 2,
      sym_block_comment,
      sym_line_comment,
  [385395] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25380), 1,
      anon_sym_LPAREN,
    STATE(19150), 2,
      sym_block_comment,
      sym_line_comment,
  [385409] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25382), 1,
      anon_sym_RBRACK,
    STATE(19151), 2,
      sym_block_comment,
      sym_line_comment,
  [385423] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25384), 1,
      anon_sym_end,
    STATE(19152), 2,
      sym_block_comment,
      sym_line_comment,
  [385437] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20698), 1,
      anon_sym_end,
    STATE(19153), 2,
      sym_block_comment,
      sym_line_comment,
  [385451] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25386), 1,
      anon_sym_end,
    STATE(19154), 2,
      sym_block_comment,
      sym_line_comment,
  [385465] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25388), 1,
      anon_sym_end,
    STATE(19155), 2,
      sym_block_comment,
      sym_line_comment,
  [385479] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25390), 1,
      anon_sym_RBRACK,
    STATE(19156), 2,
      sym_block_comment,
      sym_line_comment,
  [385493] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7081), 1,
      anon_sym_RPAREN,
    STATE(19157), 2,
      sym_block_comment,
      sym_line_comment,
  [385507] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20946), 1,
      anon_sym_end,
    STATE(19158), 2,
      sym_block_comment,
      sym_line_comment,
  [385521] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8307), 1,
      anon_sym_RPAREN,
    STATE(19159), 2,
      sym_block_comment,
      sym_line_comment,
  [385535] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11120), 1,
      sym__immediate_paren,
    STATE(19160), 2,
      sym_block_comment,
      sym_line_comment,
  [385549] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25392), 1,
      anon_sym_end,
    STATE(19161), 2,
      sym_block_comment,
      sym_line_comment,
  [385563] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25394), 1,
      anon_sym_end,
    STATE(19162), 2,
      sym_block_comment,
      sym_line_comment,
  [385577] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21125), 1,
      anon_sym_end,
    STATE(19163), 2,
      sym_block_comment,
      sym_line_comment,
  [385591] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25396), 1,
      anon_sym_RBRACK,
    STATE(19164), 2,
      sym_block_comment,
      sym_line_comment,
  [385605] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25398), 1,
      anon_sym_end,
    STATE(19165), 2,
      sym_block_comment,
      sym_line_comment,
  [385619] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8943), 1,
      anon_sym_RPAREN,
    STATE(19166), 2,
      sym_block_comment,
      sym_line_comment,
  [385633] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25400), 1,
      anon_sym_RBRACK,
    STATE(19167), 2,
      sym_block_comment,
      sym_line_comment,
  [385647] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8423), 1,
      anon_sym_RPAREN,
    STATE(19168), 2,
      sym_block_comment,
      sym_line_comment,
  [385661] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25402), 1,
      anon_sym_EQ,
    STATE(19169), 2,
      sym_block_comment,
      sym_line_comment,
  [385675] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8969), 1,
      anon_sym_RPAREN,
    STATE(19170), 2,
      sym_block_comment,
      sym_line_comment,
  [385689] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25404), 1,
      anon_sym_RBRACK,
    STATE(19171), 2,
      sym_block_comment,
      sym_line_comment,
  [385703] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25406), 1,
      anon_sym_end,
    STATE(19172), 2,
      sym_block_comment,
      sym_line_comment,
  [385717] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21058), 1,
      anon_sym_end,
    STATE(19173), 2,
      sym_block_comment,
      sym_line_comment,
  [385731] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25408), 1,
      anon_sym_DASH_GT,
    STATE(19174), 2,
      sym_block_comment,
      sym_line_comment,
  [385745] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18918), 1,
      anon_sym_RBRACE,
    STATE(19175), 2,
      sym_block_comment,
      sym_line_comment,
  [385759] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13307), 1,
      anon_sym_RPAREN,
    STATE(19176), 2,
      sym_block_comment,
      sym_line_comment,
  [385773] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25410), 1,
      anon_sym_RBRACK,
    STATE(19177), 2,
      sym_block_comment,
      sym_line_comment,
  [385787] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13307), 1,
      anon_sym_RPAREN,
    STATE(19178), 2,
      sym_block_comment,
      sym_line_comment,
  [385801] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8883), 1,
      anon_sym_RPAREN,
    STATE(19179), 2,
      sym_block_comment,
      sym_line_comment,
  [385815] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25412), 1,
      anon_sym_end,
    STATE(19180), 2,
      sym_block_comment,
      sym_line_comment,
  [385829] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25414), 1,
      anon_sym_EQ,
    STATE(19181), 2,
      sym_block_comment,
      sym_line_comment,
  [385843] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6653), 1,
      anon_sym_RPAREN,
    STATE(19182), 2,
      sym_block_comment,
      sym_line_comment,
  [385857] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6681), 1,
      anon_sym_RPAREN,
    STATE(19183), 2,
      sym_block_comment,
      sym_line_comment,
  [385871] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25416), 1,
      anon_sym_end,
    STATE(19184), 2,
      sym_block_comment,
      sym_line_comment,
  [385885] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25418), 1,
      anon_sym_end,
    STATE(19185), 2,
      sym_block_comment,
      sym_line_comment,
  [385899] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25420), 1,
      anon_sym_RBRACK,
    STATE(19186), 2,
      sym_block_comment,
      sym_line_comment,
  [385913] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25422), 1,
      anon_sym_end,
    STATE(19187), 2,
      sym_block_comment,
      sym_line_comment,
  [385927] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7371), 1,
      anon_sym_RPAREN,
    STATE(19188), 2,
      sym_block_comment,
      sym_line_comment,
  [385941] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8981), 1,
      anon_sym_RPAREN,
    STATE(19189), 2,
      sym_block_comment,
      sym_line_comment,
  [385955] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19200), 1,
      anon_sym_RBRACE,
    STATE(19190), 2,
      sym_block_comment,
      sym_line_comment,
  [385969] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25424), 1,
      ts_builtin_sym_end,
    STATE(19191), 2,
      sym_block_comment,
      sym_line_comment,
  [385983] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25426), 1,
      anon_sym_end,
    STATE(19192), 2,
      sym_block_comment,
      sym_line_comment,
  [385997] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25428), 1,
      anon_sym_RBRACK,
    STATE(19193), 2,
      sym_block_comment,
      sym_line_comment,
  [386011] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25430), 1,
      anon_sym_RBRACK,
    STATE(19194), 2,
      sym_block_comment,
      sym_line_comment,
  [386025] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25432), 1,
      anon_sym_end,
    STATE(19195), 2,
      sym_block_comment,
      sym_line_comment,
  [386039] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25434), 1,
      anon_sym_end,
    STATE(19196), 2,
      sym_block_comment,
      sym_line_comment,
  [386053] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25436), 1,
      anon_sym_end,
    STATE(19197), 2,
      sym_block_comment,
      sym_line_comment,
  [386067] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10798), 1,
      sym__immediate_paren,
    STATE(19198), 2,
      sym_block_comment,
      sym_line_comment,
  [386081] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25438), 1,
      anon_sym_end,
    STATE(19199), 2,
      sym_block_comment,
      sym_line_comment,
  [386095] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25440), 1,
      anon_sym_COLON2,
    STATE(19200), 2,
      sym_block_comment,
      sym_line_comment,
  [386109] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19060), 1,
      anon_sym_RBRACE,
    STATE(19201), 2,
      sym_block_comment,
      sym_line_comment,
  [386123] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13383), 1,
      anon_sym_RPAREN,
    STATE(19202), 2,
      sym_block_comment,
      sym_line_comment,
  [386137] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25442), 1,
      anon_sym_RPAREN,
    STATE(19203), 2,
      sym_block_comment,
      sym_line_comment,
  [386151] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19862), 1,
      anon_sym_end,
    STATE(19204), 2,
      sym_block_comment,
      sym_line_comment,
  [386165] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25444), 1,
      anon_sym_end,
    STATE(19205), 2,
      sym_block_comment,
      sym_line_comment,
  [386179] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25446), 1,
      anon_sym_end,
    STATE(19206), 2,
      sym_block_comment,
      sym_line_comment,
  [386193] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13383), 1,
      anon_sym_RPAREN,
    STATE(19207), 2,
      sym_block_comment,
      sym_line_comment,
  [386207] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20812), 1,
      anon_sym_end,
    STATE(19208), 2,
      sym_block_comment,
      sym_line_comment,
  [386221] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25448), 1,
      anon_sym_end,
    STATE(19209), 2,
      sym_block_comment,
      sym_line_comment,
  [386235] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7907), 1,
      anon_sym_RPAREN,
    STATE(19210), 2,
      sym_block_comment,
      sym_line_comment,
  [386249] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25450), 1,
      anon_sym_end,
    STATE(19211), 2,
      sym_block_comment,
      sym_line_comment,
  [386263] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25452), 1,
      anon_sym_end,
    STATE(19212), 2,
      sym_block_comment,
      sym_line_comment,
  [386277] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25454), 1,
      anon_sym_end,
    STATE(19213), 2,
      sym_block_comment,
      sym_line_comment,
  [386291] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25456), 1,
      anon_sym_type,
    STATE(19214), 2,
      sym_block_comment,
      sym_line_comment,
  [386305] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25458), 1,
      anon_sym_struct,
    STATE(19215), 2,
      sym_block_comment,
      sym_line_comment,
  [386319] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25460), 1,
      anon_sym_end,
    STATE(19216), 2,
      sym_block_comment,
      sym_line_comment,
  [386333] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25462), 1,
      anon_sym_RPAREN,
    STATE(19217), 2,
      sym_block_comment,
      sym_line_comment,
  [386347] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25464), 1,
      anon_sym_RBRACK,
    STATE(19218), 2,
      sym_block_comment,
      sym_line_comment,
  [386361] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25466), 1,
      anon_sym_RBRACK,
    STATE(19219), 2,
      sym_block_comment,
      sym_line_comment,
  [386375] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25468), 1,
      anon_sym_end,
    STATE(19220), 2,
      sym_block_comment,
      sym_line_comment,
  [386389] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25470), 1,
      anon_sym_LPAREN,
    STATE(19221), 2,
      sym_block_comment,
      sym_line_comment,
  [386403] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7923), 1,
      anon_sym_RPAREN,
    STATE(19222), 2,
      sym_block_comment,
      sym_line_comment,
  [386417] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25472), 1,
      anon_sym_RPAREN,
    STATE(19223), 2,
      sym_block_comment,
      sym_line_comment,
  [386431] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25474), 1,
      anon_sym_RPAREN,
    STATE(19224), 2,
      sym_block_comment,
      sym_line_comment,
  [386445] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7413), 1,
      anon_sym_RPAREN,
    STATE(19225), 2,
      sym_block_comment,
      sym_line_comment,
  [386459] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25476), 1,
      anon_sym_RBRACK,
    STATE(19226), 2,
      sym_block_comment,
      sym_line_comment,
  [386473] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25478), 1,
      anon_sym_RBRACK,
    STATE(19227), 2,
      sym_block_comment,
      sym_line_comment,
  [386487] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7953), 1,
      anon_sym_RPAREN,
    STATE(19228), 2,
      sym_block_comment,
      sym_line_comment,
  [386501] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25480), 1,
      anon_sym_end,
    STATE(19229), 2,
      sym_block_comment,
      sym_line_comment,
  [386515] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10996), 1,
      sym__immediate_paren,
    STATE(19230), 2,
      sym_block_comment,
      sym_line_comment,
  [386529] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25482), 1,
      anon_sym_end,
    STATE(19231), 2,
      sym_block_comment,
      sym_line_comment,
  [386543] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21097), 1,
      anon_sym_end,
    STATE(19232), 2,
      sym_block_comment,
      sym_line_comment,
  [386557] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8923), 1,
      anon_sym_RPAREN,
    STATE(19233), 2,
      sym_block_comment,
      sym_line_comment,
  [386571] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25484), 1,
      anon_sym_RBRACK,
    STATE(19234), 2,
      sym_block_comment,
      sym_line_comment,
  [386585] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25486), 1,
      anon_sym_RBRACK,
    STATE(19235), 2,
      sym_block_comment,
      sym_line_comment,
  [386599] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25488), 1,
      anon_sym_end,
    STATE(19236), 2,
      sym_block_comment,
      sym_line_comment,
  [386613] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25490), 1,
      anon_sym_end,
    STATE(19237), 2,
      sym_block_comment,
      sym_line_comment,
  [386627] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13331), 1,
      anon_sym_RPAREN,
    STATE(19238), 2,
      sym_block_comment,
      sym_line_comment,
  [386641] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25492), 1,
      anon_sym_end,
    STATE(19239), 2,
      sym_block_comment,
      sym_line_comment,
  [386655] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25494), 1,
      anon_sym_RBRACK,
    STATE(19240), 2,
      sym_block_comment,
      sym_line_comment,
  [386669] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19238), 1,
      anon_sym_RBRACE,
    STATE(19241), 2,
      sym_block_comment,
      sym_line_comment,
  [386683] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25496), 1,
      anon_sym_RBRACK,
    STATE(19242), 2,
      sym_block_comment,
      sym_line_comment,
  [386697] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25498), 1,
      anon_sym_end,
    STATE(19243), 2,
      sym_block_comment,
      sym_line_comment,
  [386711] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25500), 1,
      anon_sym_end,
    STATE(19244), 2,
      sym_block_comment,
      sym_line_comment,
  [386725] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25502), 1,
      anon_sym_end,
    STATE(19245), 2,
      sym_block_comment,
      sym_line_comment,
  [386739] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13333), 1,
      anon_sym_RPAREN,
    STATE(19246), 2,
      sym_block_comment,
      sym_line_comment,
  [386753] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25504), 1,
      anon_sym_end,
    STATE(19247), 2,
      sym_block_comment,
      sym_line_comment,
  [386767] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7259), 1,
      anon_sym_RPAREN,
    STATE(19248), 2,
      sym_block_comment,
      sym_line_comment,
  [386781] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8049), 1,
      anon_sym_RPAREN,
    STATE(19249), 2,
      sym_block_comment,
      sym_line_comment,
  [386795] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25506), 1,
      anon_sym_end,
    STATE(19250), 2,
      sym_block_comment,
      sym_line_comment,
  [386809] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13333), 1,
      anon_sym_RPAREN,
    STATE(19251), 2,
      sym_block_comment,
      sym_line_comment,
  [386823] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25508), 1,
      anon_sym_end,
    STATE(19252), 2,
      sym_block_comment,
      sym_line_comment,
  [386837] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25510), 1,
      anon_sym_RPAREN,
    STATE(19253), 2,
      sym_block_comment,
      sym_line_comment,
  [386851] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25512), 1,
      anon_sym_RPAREN,
    STATE(19254), 2,
      sym_block_comment,
      sym_line_comment,
  [386865] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25514), 1,
      anon_sym_COLON2,
    STATE(19255), 2,
      sym_block_comment,
      sym_line_comment,
  [386879] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25516), 1,
      anon_sym_RPAREN,
    STATE(19256), 2,
      sym_block_comment,
      sym_line_comment,
  [386893] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20726), 1,
      anon_sym_end,
    STATE(19257), 2,
      sym_block_comment,
      sym_line_comment,
  [386907] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13331), 1,
      anon_sym_RPAREN,
    STATE(19258), 2,
      sym_block_comment,
      sym_line_comment,
  [386921] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25518), 1,
      anon_sym_end,
    STATE(19259), 2,
      sym_block_comment,
      sym_line_comment,
  [386935] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25520), 1,
      anon_sym_end,
    STATE(19260), 2,
      sym_block_comment,
      sym_line_comment,
  [386949] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25522), 1,
      anon_sym_end,
    STATE(19261), 2,
      sym_block_comment,
      sym_line_comment,
  [386963] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25524), 1,
      anon_sym_RBRACK,
    STATE(19262), 2,
      sym_block_comment,
      sym_line_comment,
  [386977] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8129), 1,
      anon_sym_RPAREN,
    STATE(19263), 2,
      sym_block_comment,
      sym_line_comment,
  [386991] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25526), 1,
      anon_sym_RBRACK,
    STATE(19264), 2,
      sym_block_comment,
      sym_line_comment,
  [387005] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21068), 1,
      anon_sym_end,
    STATE(19265), 2,
      sym_block_comment,
      sym_line_comment,
  [387019] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21046), 1,
      anon_sym_end,
    STATE(19266), 2,
      sym_block_comment,
      sym_line_comment,
  [387033] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21155), 1,
      anon_sym_end,
    STATE(19267), 2,
      sym_block_comment,
      sym_line_comment,
  [387047] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8929), 1,
      anon_sym_RPAREN,
    STATE(19268), 2,
      sym_block_comment,
      sym_line_comment,
  [387061] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25528), 1,
      anon_sym_end,
    STATE(19269), 2,
      sym_block_comment,
      sym_line_comment,
  [387075] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21145), 1,
      anon_sym_end,
    STATE(19270), 2,
      sym_block_comment,
      sym_line_comment,
  [387089] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15541), 1,
      anon_sym_DASH_GT,
    STATE(19271), 2,
      sym_block_comment,
      sym_line_comment,
  [387103] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25530), 1,
      anon_sym_end,
    STATE(19272), 2,
      sym_block_comment,
      sym_line_comment,
  [387117] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25532), 1,
      anon_sym_RBRACK,
    STATE(19273), 2,
      sym_block_comment,
      sym_line_comment,
  [387131] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25534), 1,
      anon_sym_RBRACK,
    STATE(19274), 2,
      sym_block_comment,
      sym_line_comment,
  [387145] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25536), 1,
      anon_sym_RBRACK,
    STATE(19275), 2,
      sym_block_comment,
      sym_line_comment,
  [387159] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25538), 1,
      anon_sym_RBRACK,
    STATE(19276), 2,
      sym_block_comment,
      sym_line_comment,
  [387173] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25540), 1,
      anon_sym_end,
    STATE(19277), 2,
      sym_block_comment,
      sym_line_comment,
  [387187] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25542), 1,
      anon_sym_RBRACK,
    STATE(19278), 2,
      sym_block_comment,
      sym_line_comment,
  [387201] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25544), 1,
      anon_sym_RBRACK,
    STATE(19279), 2,
      sym_block_comment,
      sym_line_comment,
  [387215] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7491), 1,
      anon_sym_RPAREN,
    STATE(19280), 2,
      sym_block_comment,
      sym_line_comment,
  [387229] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25546), 1,
      anon_sym_RBRACK,
    STATE(19281), 2,
      sym_block_comment,
      sym_line_comment,
  [387243] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25548), 1,
      anon_sym_end,
    STATE(19282), 2,
      sym_block_comment,
      sym_line_comment,
  [387257] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25550), 1,
      anon_sym_EQ,
    STATE(19283), 2,
      sym_block_comment,
      sym_line_comment,
  [387271] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25552), 1,
      anon_sym_type,
    STATE(19284), 2,
      sym_block_comment,
      sym_line_comment,
  [387285] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25554), 1,
      anon_sym_struct,
    STATE(19285), 2,
      sym_block_comment,
      sym_line_comment,
  [387299] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25556), 1,
      anon_sym_RPAREN,
    STATE(19286), 2,
      sym_block_comment,
      sym_line_comment,
  [387313] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8401), 1,
      anon_sym_RPAREN,
    STATE(19287), 2,
      sym_block_comment,
      sym_line_comment,
  [387327] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25558), 1,
      anon_sym_end,
    STATE(19288), 2,
      sym_block_comment,
      sym_line_comment,
  [387341] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25560), 1,
      anon_sym_RBRACK,
    STATE(19289), 2,
      sym_block_comment,
      sym_line_comment,
  [387355] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8043), 1,
      anon_sym_RPAREN,
    STATE(19290), 2,
      sym_block_comment,
      sym_line_comment,
  [387369] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7993), 1,
      anon_sym_RPAREN,
    STATE(19291), 2,
      sym_block_comment,
      sym_line_comment,
  [387383] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19364), 1,
      anon_sym_RBRACE,
    STATE(19292), 2,
      sym_block_comment,
      sym_line_comment,
  [387397] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19156), 1,
      anon_sym_RBRACE,
    STATE(19293), 2,
      sym_block_comment,
      sym_line_comment,
  [387411] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25562), 1,
      anon_sym_COLON2,
    STATE(19294), 2,
      sym_block_comment,
      sym_line_comment,
  [387425] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25564), 1,
      anon_sym_RPAREN,
    STATE(19295), 2,
      sym_block_comment,
      sym_line_comment,
  [387439] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25566), 1,
      anon_sym_end,
    STATE(19296), 2,
      sym_block_comment,
      sym_line_comment,
  [387453] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13279), 1,
      anon_sym_RPAREN,
    STATE(19297), 2,
      sym_block_comment,
      sym_line_comment,
  [387467] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25568), 1,
      anon_sym_end,
    STATE(19298), 2,
      sym_block_comment,
      sym_line_comment,
  [387481] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18956), 1,
      anon_sym_RBRACE,
    STATE(19299), 2,
      sym_block_comment,
      sym_line_comment,
  [387495] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8549), 1,
      anon_sym_RPAREN,
    STATE(19300), 2,
      sym_block_comment,
      sym_line_comment,
  [387509] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25570), 1,
      anon_sym_RBRACK,
    STATE(19301), 2,
      sym_block_comment,
      sym_line_comment,
  [387523] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25572), 1,
      anon_sym_end,
    STATE(19302), 2,
      sym_block_comment,
      sym_line_comment,
  [387537] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25574), 1,
      anon_sym_end,
    STATE(19303), 2,
      sym_block_comment,
      sym_line_comment,
  [387551] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13279), 1,
      anon_sym_RPAREN,
    STATE(19304), 2,
      sym_block_comment,
      sym_line_comment,
  [387565] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7481), 1,
      anon_sym_RPAREN,
    STATE(19305), 2,
      sym_block_comment,
      sym_line_comment,
  [387579] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10053), 1,
      anon_sym_DASH_GT,
    STATE(19306), 2,
      sym_block_comment,
      sym_line_comment,
  [387593] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13363), 1,
      anon_sym_RPAREN,
    STATE(19307), 2,
      sym_block_comment,
      sym_line_comment,
  [387607] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25576), 1,
      anon_sym_end,
    STATE(19308), 2,
      sym_block_comment,
      sym_line_comment,
  [387621] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25578), 1,
      anon_sym_end,
    STATE(19309), 2,
      sym_block_comment,
      sym_line_comment,
  [387635] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25580), 1,
      anon_sym_end,
    STATE(19310), 2,
      sym_block_comment,
      sym_line_comment,
  [387649] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8911), 1,
      anon_sym_RPAREN,
    STATE(19311), 2,
      sym_block_comment,
      sym_line_comment,
  [387663] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25582), 1,
      anon_sym_RPAREN,
    STATE(19312), 2,
      sym_block_comment,
      sym_line_comment,
  [387677] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25584), 1,
      anon_sym_type,
    STATE(19313), 2,
      sym_block_comment,
      sym_line_comment,
  [387691] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25586), 1,
      anon_sym_struct,
    STATE(19314), 2,
      sym_block_comment,
      sym_line_comment,
  [387705] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25588), 1,
      anon_sym_DASH_GT,
    STATE(19315), 2,
      sym_block_comment,
      sym_line_comment,
  [387719] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25590), 1,
      anon_sym_RBRACK,
    STATE(19316), 2,
      sym_block_comment,
      sym_line_comment,
  [387733] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8983), 1,
      anon_sym_RPAREN,
    STATE(19317), 2,
      sym_block_comment,
      sym_line_comment,
  [387747] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25592), 1,
      anon_sym_RBRACK,
    STATE(19318), 2,
      sym_block_comment,
      sym_line_comment,
  [387761] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20452), 1,
      anon_sym_end,
    STATE(19319), 2,
      sym_block_comment,
      sym_line_comment,
  [387775] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25594), 1,
      anon_sym_end,
    STATE(19320), 2,
      sym_block_comment,
      sym_line_comment,
  [387789] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25596), 1,
      anon_sym_end,
    STATE(19321), 2,
      sym_block_comment,
      sym_line_comment,
  [387803] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25598), 1,
      anon_sym_end,
    STATE(19322), 2,
      sym_block_comment,
      sym_line_comment,
  [387817] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19278), 1,
      anon_sym_RBRACE,
    STATE(19323), 2,
      sym_block_comment,
      sym_line_comment,
  [387831] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15489), 1,
      anon_sym_DASH_GT,
    STATE(19324), 2,
      sym_block_comment,
      sym_line_comment,
  [387845] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25600), 1,
      anon_sym_RPAREN,
    STATE(19325), 2,
      sym_block_comment,
      sym_line_comment,
  [387859] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25602), 1,
      anon_sym_end,
    STATE(19326), 2,
      sym_block_comment,
      sym_line_comment,
  [387873] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25604), 1,
      anon_sym_RPAREN,
    STATE(19327), 2,
      sym_block_comment,
      sym_line_comment,
  [387887] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25606), 1,
      anon_sym_RBRACK,
    STATE(19328), 2,
      sym_block_comment,
      sym_line_comment,
  [387901] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25608), 1,
      anon_sym_end,
    STATE(19329), 2,
      sym_block_comment,
      sym_line_comment,
  [387915] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25610), 1,
      anon_sym_end,
    STATE(19330), 2,
      sym_block_comment,
      sym_line_comment,
  [387929] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25612), 1,
      anon_sym_end,
    STATE(19331), 2,
      sym_block_comment,
      sym_line_comment,
  [387943] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25614), 1,
      anon_sym_end,
    STATE(19332), 2,
      sym_block_comment,
      sym_line_comment,
  [387957] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21080), 1,
      anon_sym_end,
    STATE(19333), 2,
      sym_block_comment,
      sym_line_comment,
  [387971] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13359), 1,
      anon_sym_RPAREN,
    STATE(19334), 2,
      sym_block_comment,
      sym_line_comment,
  [387985] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25616), 1,
      anon_sym_end,
    STATE(19335), 2,
      sym_block_comment,
      sym_line_comment,
  [387999] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25618), 1,
      anon_sym_end,
    STATE(19336), 2,
      sym_block_comment,
      sym_line_comment,
  [388013] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25620), 1,
      anon_sym_end,
    STATE(19337), 2,
      sym_block_comment,
      sym_line_comment,
  [388027] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13359), 1,
      anon_sym_RPAREN,
    STATE(19338), 2,
      sym_block_comment,
      sym_line_comment,
  [388041] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20736), 1,
      anon_sym_end,
    STATE(19339), 2,
      sym_block_comment,
      sym_line_comment,
  [388055] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25622), 1,
      anon_sym_RPAREN,
    STATE(19340), 2,
      sym_block_comment,
      sym_line_comment,
  [388069] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25624), 1,
      anon_sym_type,
    STATE(19341), 2,
      sym_block_comment,
      sym_line_comment,
  [388083] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25626), 1,
      anon_sym_struct,
    STATE(19342), 2,
      sym_block_comment,
      sym_line_comment,
  [388097] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25628), 1,
      anon_sym_RBRACK,
    STATE(19343), 2,
      sym_block_comment,
      sym_line_comment,
  [388111] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25630), 1,
      anon_sym_end,
    STATE(19344), 2,
      sym_block_comment,
      sym_line_comment,
  [388125] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25632), 1,
      anon_sym_RBRACK,
    STATE(19345), 2,
      sym_block_comment,
      sym_line_comment,
  [388139] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13363), 1,
      anon_sym_RPAREN,
    STATE(19346), 2,
      sym_block_comment,
      sym_line_comment,
  [388153] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21074), 1,
      anon_sym_end,
    STATE(19347), 2,
      sym_block_comment,
      sym_line_comment,
  [388167] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25634), 1,
      anon_sym_end,
    STATE(19348), 2,
      sym_block_comment,
      sym_line_comment,
  [388181] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25636), 1,
      anon_sym_end,
    STATE(19349), 2,
      sym_block_comment,
      sym_line_comment,
  [388195] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25638), 1,
      anon_sym_end,
    STATE(19350), 2,
      sym_block_comment,
      sym_line_comment,
  [388209] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25640), 1,
      anon_sym_type,
    STATE(19351), 2,
      sym_block_comment,
      sym_line_comment,
  [388223] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25642), 1,
      anon_sym_struct,
    STATE(19352), 2,
      sym_block_comment,
      sym_line_comment,
  [388237] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25644), 1,
      anon_sym_end,
    STATE(19353), 2,
      sym_block_comment,
      sym_line_comment,
  [388251] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13293), 1,
      anon_sym_RPAREN,
    STATE(19354), 2,
      sym_block_comment,
      sym_line_comment,
  [388265] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25646), 1,
      anon_sym_end,
    STATE(19355), 2,
      sym_block_comment,
      sym_line_comment,
  [388279] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25648), 1,
      anon_sym_end,
    STATE(19356), 2,
      sym_block_comment,
      sym_line_comment,
  [388293] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25650), 1,
      anon_sym_DASH_GT,
    STATE(19357), 2,
      sym_block_comment,
      sym_line_comment,
  [388307] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25652), 1,
      anon_sym_RBRACK,
    STATE(19358), 2,
      sym_block_comment,
      sym_line_comment,
  [388321] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25654), 1,
      anon_sym_RBRACK,
    STATE(19359), 2,
      sym_block_comment,
      sym_line_comment,
  [388335] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19304), 1,
      anon_sym_RBRACE,
    STATE(19360), 2,
      sym_block_comment,
      sym_line_comment,
  [388349] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25656), 1,
      anon_sym_type,
    STATE(19361), 2,
      sym_block_comment,
      sym_line_comment,
  [388363] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25658), 1,
      anon_sym_struct,
    STATE(19362), 2,
      sym_block_comment,
      sym_line_comment,
  [388377] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10944), 1,
      sym__immediate_paren,
    STATE(19363), 2,
      sym_block_comment,
      sym_line_comment,
  [388391] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25660), 1,
      anon_sym_EQ,
    STATE(19364), 2,
      sym_block_comment,
      sym_line_comment,
  [388405] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6825), 1,
      anon_sym_RPAREN,
    STATE(19365), 2,
      sym_block_comment,
      sym_line_comment,
  [388419] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25662), 1,
      anon_sym_RBRACK,
    STATE(19366), 2,
      sym_block_comment,
      sym_line_comment,
  [388433] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21040), 1,
      anon_sym_end,
    STATE(19367), 2,
      sym_block_comment,
      sym_line_comment,
  [388447] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25664), 1,
      anon_sym_type,
    STATE(19368), 2,
      sym_block_comment,
      sym_line_comment,
  [388461] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25666), 1,
      anon_sym_struct,
    STATE(19369), 2,
      sym_block_comment,
      sym_line_comment,
  [388475] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24366), 1,
      anon_sym_end,
    STATE(19370), 2,
      sym_block_comment,
      sym_line_comment,
  [388489] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13337), 1,
      anon_sym_RPAREN,
    STATE(19371), 2,
      sym_block_comment,
      sym_line_comment,
  [388503] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25668), 1,
      anon_sym_end,
    STATE(19372), 2,
      sym_block_comment,
      sym_line_comment,
  [388517] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25670), 1,
      anon_sym_RBRACK,
    STATE(19373), 2,
      sym_block_comment,
      sym_line_comment,
  [388531] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25672), 1,
      anon_sym_type,
    STATE(19374), 2,
      sym_block_comment,
      sym_line_comment,
  [388545] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25674), 1,
      anon_sym_struct,
    STATE(19375), 2,
      sym_block_comment,
      sym_line_comment,
  [388559] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25676), 1,
      anon_sym_end,
    STATE(19376), 2,
      sym_block_comment,
      sym_line_comment,
  [388573] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18734), 1,
      anon_sym_RBRACE,
    STATE(19377), 2,
      sym_block_comment,
      sym_line_comment,
  [388587] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25678), 1,
      anon_sym_end,
    STATE(19378), 2,
      sym_block_comment,
      sym_line_comment,
  [388601] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8615), 1,
      anon_sym_RPAREN,
    STATE(19379), 2,
      sym_block_comment,
      sym_line_comment,
  [388615] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25680), 1,
      anon_sym_type,
    STATE(19380), 2,
      sym_block_comment,
      sym_line_comment,
  [388629] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25682), 1,
      anon_sym_struct,
    STATE(19381), 2,
      sym_block_comment,
      sym_line_comment,
  [388643] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25684), 1,
      anon_sym_end,
    STATE(19382), 2,
      sym_block_comment,
      sym_line_comment,
  [388657] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25686), 1,
      anon_sym_RPAREN,
    STATE(19383), 2,
      sym_block_comment,
      sym_line_comment,
  [388671] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25688), 1,
      anon_sym_COLON2,
    STATE(19384), 2,
      sym_block_comment,
      sym_line_comment,
  [388685] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25690), 1,
      anon_sym_end,
    STATE(19385), 2,
      sym_block_comment,
      sym_line_comment,
  [388699] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25692), 1,
      anon_sym_type,
    STATE(19386), 2,
      sym_block_comment,
      sym_line_comment,
  [388713] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25694), 1,
      anon_sym_end,
    STATE(19387), 2,
      sym_block_comment,
      sym_line_comment,
  [388727] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25696), 1,
      anon_sym_RBRACK,
    STATE(19388), 2,
      sym_block_comment,
      sym_line_comment,
  [388741] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25698), 1,
      anon_sym_end,
    STATE(19389), 2,
      sym_block_comment,
      sym_line_comment,
  [388755] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7317), 1,
      anon_sym_RPAREN,
    STATE(19390), 2,
      sym_block_comment,
      sym_line_comment,
  [388769] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25700), 1,
      anon_sym_end,
    STATE(19391), 2,
      sym_block_comment,
      sym_line_comment,
  [388783] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25702), 1,
      anon_sym_COLON2,
    STATE(19392), 2,
      sym_block_comment,
      sym_line_comment,
  [388797] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6779), 1,
      anon_sym_RPAREN,
    STATE(19393), 2,
      sym_block_comment,
      sym_line_comment,
  [388811] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25704), 1,
      anon_sym_end,
    STATE(19394), 2,
      sym_block_comment,
      sym_line_comment,
  [388825] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25706), 1,
      anon_sym_end,
    STATE(19395), 2,
      sym_block_comment,
      sym_line_comment,
  [388839] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13337), 1,
      anon_sym_RPAREN,
    STATE(19396), 2,
      sym_block_comment,
      sym_line_comment,
  [388853] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25708), 1,
      anon_sym_RBRACK,
    STATE(19397), 2,
      sym_block_comment,
      sym_line_comment,
  [388867] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13377), 1,
      anon_sym_RPAREN,
    STATE(19398), 2,
      sym_block_comment,
      sym_line_comment,
  [388881] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7463), 1,
      anon_sym_RPAREN,
    STATE(19399), 2,
      sym_block_comment,
      sym_line_comment,
  [388895] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25710), 1,
      anon_sym_end,
    STATE(19400), 2,
      sym_block_comment,
      sym_line_comment,
  [388909] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25712), 1,
      anon_sym_RPAREN,
    STATE(19401), 2,
      sym_block_comment,
      sym_line_comment,
  [388923] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25714), 1,
      anon_sym_RBRACK,
    STATE(19402), 2,
      sym_block_comment,
      sym_line_comment,
  [388937] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25716), 1,
      anon_sym_end,
    STATE(19403), 2,
      sym_block_comment,
      sym_line_comment,
  [388951] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25718), 1,
      anon_sym_end,
    STATE(19404), 2,
      sym_block_comment,
      sym_line_comment,
  [388965] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19286), 1,
      anon_sym_RBRACE,
    STATE(19405), 2,
      sym_block_comment,
      sym_line_comment,
  [388979] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25720), 1,
      anon_sym_RBRACK,
    STATE(19406), 2,
      sym_block_comment,
      sym_line_comment,
  [388993] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8337), 1,
      anon_sym_RPAREN,
    STATE(19407), 2,
      sym_block_comment,
      sym_line_comment,
  [389007] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7421), 1,
      anon_sym_RPAREN,
    STATE(19408), 2,
      sym_block_comment,
      sym_line_comment,
  [389021] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8959), 1,
      anon_sym_RPAREN,
    STATE(19409), 2,
      sym_block_comment,
      sym_line_comment,
  [389035] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8945), 1,
      anon_sym_RPAREN,
    STATE(19410), 2,
      sym_block_comment,
      sym_line_comment,
  [389049] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25722), 1,
      anon_sym_RBRACK,
    STATE(19411), 2,
      sym_block_comment,
      sym_line_comment,
  [389063] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25724), 1,
      anon_sym_RBRACK,
    STATE(19412), 2,
      sym_block_comment,
      sym_line_comment,
  [389077] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25726), 1,
      anon_sym_COLON2,
    STATE(19413), 2,
      sym_block_comment,
      sym_line_comment,
  [389091] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7449), 1,
      anon_sym_RPAREN,
    STATE(19414), 2,
      sym_block_comment,
      sym_line_comment,
  [389105] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25728), 1,
      anon_sym_end,
    STATE(19415), 2,
      sym_block_comment,
      sym_line_comment,
  [389119] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25730), 1,
      anon_sym_RBRACK,
    STATE(19416), 2,
      sym_block_comment,
      sym_line_comment,
  [389133] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13293), 1,
      anon_sym_RPAREN,
    STATE(19417), 2,
      sym_block_comment,
      sym_line_comment,
  [389147] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25732), 1,
      anon_sym_COLON2,
    STATE(19418), 2,
      sym_block_comment,
      sym_line_comment,
  [389161] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25734), 1,
      anon_sym_COLON2,
    STATE(19419), 2,
      sym_block_comment,
      sym_line_comment,
  [389175] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18752), 1,
      anon_sym_RBRACE,
    STATE(19420), 2,
      sym_block_comment,
      sym_line_comment,
  [389189] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25736), 1,
      anon_sym_RBRACK,
    STATE(19421), 2,
      sym_block_comment,
      sym_line_comment,
  [389203] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13297), 1,
      anon_sym_RPAREN,
    STATE(19422), 2,
      sym_block_comment,
      sym_line_comment,
  [389217] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25738), 1,
      anon_sym_end,
    STATE(19423), 2,
      sym_block_comment,
      sym_line_comment,
  [389231] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25740), 1,
      anon_sym_end,
    STATE(19424), 2,
      sym_block_comment,
      sym_line_comment,
  [389245] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25742), 1,
      anon_sym_end,
    STATE(19425), 2,
      sym_block_comment,
      sym_line_comment,
  [389259] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13297), 1,
      anon_sym_RPAREN,
    STATE(19426), 2,
      sym_block_comment,
      sym_line_comment,
  [389273] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20262), 1,
      anon_sym_end,
    STATE(19427), 2,
      sym_block_comment,
      sym_line_comment,
  [389287] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25744), 1,
      anon_sym_end,
    STATE(19428), 2,
      sym_block_comment,
      sym_line_comment,
  [389301] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25746), 1,
      anon_sym_end,
    STATE(19429), 2,
      sym_block_comment,
      sym_line_comment,
  [389315] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25748), 1,
      anon_sym_end,
    STATE(19430), 2,
      sym_block_comment,
      sym_line_comment,
  [389329] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25750), 1,
      anon_sym_RPAREN,
    STATE(19431), 2,
      sym_block_comment,
      sym_line_comment,
  [389343] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25752), 1,
      anon_sym_end,
    STATE(19432), 2,
      sym_block_comment,
      sym_line_comment,
  [389357] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25754), 1,
      anon_sym_RPAREN,
    STATE(19433), 2,
      sym_block_comment,
      sym_line_comment,
  [389371] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19922), 1,
      anon_sym_end,
    STATE(19434), 2,
      sym_block_comment,
      sym_line_comment,
  [389385] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25756), 1,
      anon_sym_end,
    STATE(19435), 2,
      sym_block_comment,
      sym_line_comment,
  [389399] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25758), 1,
      anon_sym_RPAREN,
    STATE(19436), 2,
      sym_block_comment,
      sym_line_comment,
  [389413] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25760), 1,
      anon_sym_end,
    STATE(19437), 2,
      sym_block_comment,
      sym_line_comment,
  [389427] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25762), 1,
      anon_sym_RBRACK,
    STATE(19438), 2,
      sym_block_comment,
      sym_line_comment,
  [389441] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25764), 1,
      anon_sym_end,
    STATE(19439), 2,
      sym_block_comment,
      sym_line_comment,
  [389455] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15771), 1,
      sym__immediate_paren,
    STATE(19440), 2,
      sym_block_comment,
      sym_line_comment,
  [389469] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25766), 1,
      anon_sym_end,
    STATE(19441), 2,
      sym_block_comment,
      sym_line_comment,
  [389483] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25768), 1,
      anon_sym_RPAREN,
    STATE(19442), 2,
      sym_block_comment,
      sym_line_comment,
  [389497] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25770), 1,
      anon_sym_COLON2,
    STATE(19443), 2,
      sym_block_comment,
      sym_line_comment,
  [389511] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25772), 1,
      anon_sym_RBRACK,
    STATE(19444), 2,
      sym_block_comment,
      sym_line_comment,
  [389525] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25774), 1,
      anon_sym_end,
    STATE(19445), 2,
      sym_block_comment,
      sym_line_comment,
  [389539] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18982), 1,
      anon_sym_RBRACE,
    STATE(19446), 2,
      sym_block_comment,
      sym_line_comment,
  [389553] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25776), 1,
      anon_sym_RBRACK,
    STATE(19447), 2,
      sym_block_comment,
      sym_line_comment,
  [389567] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25778), 1,
      anon_sym_end,
    STATE(19448), 2,
      sym_block_comment,
      sym_line_comment,
  [389581] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25780), 1,
      anon_sym_struct,
    STATE(19449), 2,
      sym_block_comment,
      sym_line_comment,
  [389595] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25782), 1,
      anon_sym_end,
    STATE(19450), 2,
      sym_block_comment,
      sym_line_comment,
  [389609] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25784), 1,
      anon_sym_end,
    STATE(19451), 2,
      sym_block_comment,
      sym_line_comment,
  [389623] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25786), 1,
      anon_sym_RPAREN,
    STATE(19452), 2,
      sym_block_comment,
      sym_line_comment,
  [389637] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25788), 1,
      anon_sym_end,
    STATE(19453), 2,
      sym_block_comment,
      sym_line_comment,
  [389651] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25790), 1,
      anon_sym_end,
    STATE(19454), 2,
      sym_block_comment,
      sym_line_comment,
  [389665] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25792), 1,
      anon_sym_end,
    STATE(19455), 2,
      sym_block_comment,
      sym_line_comment,
  [389679] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25794), 1,
      anon_sym_end,
    STATE(19456), 2,
      sym_block_comment,
      sym_line_comment,
  [389693] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25796), 1,
      anon_sym_DASH_GT,
    STATE(19457), 2,
      sym_block_comment,
      sym_line_comment,
  [389707] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25798), 1,
      anon_sym_RBRACK,
    STATE(19458), 2,
      sym_block_comment,
      sym_line_comment,
  [389721] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25800), 1,
      anon_sym_end,
    STATE(19459), 2,
      sym_block_comment,
      sym_line_comment,
  [389735] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7529), 1,
      anon_sym_RPAREN,
    STATE(19460), 2,
      sym_block_comment,
      sym_line_comment,
  [389749] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25802), 1,
      anon_sym_end,
    STATE(19461), 2,
      sym_block_comment,
      sym_line_comment,
  [389763] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25804), 1,
      anon_sym_end,
    STATE(19462), 2,
      sym_block_comment,
      sym_line_comment,
  [389777] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20762), 1,
      anon_sym_end,
    STATE(19463), 2,
      sym_block_comment,
      sym_line_comment,
  [389791] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25806), 1,
      anon_sym_end,
    STATE(19464), 2,
      sym_block_comment,
      sym_line_comment,
  [389805] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25808), 1,
      anon_sym_end,
    STATE(19465), 2,
      sym_block_comment,
      sym_line_comment,
  [389819] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25810), 1,
      anon_sym_end,
    STATE(19466), 2,
      sym_block_comment,
      sym_line_comment,
  [389833] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25812), 1,
      anon_sym_end,
    STATE(19467), 2,
      sym_block_comment,
      sym_line_comment,
  [389847] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25814), 1,
      anon_sym_end,
    STATE(19468), 2,
      sym_block_comment,
      sym_line_comment,
  [389861] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25816), 1,
      anon_sym_RPAREN,
    STATE(19469), 2,
      sym_block_comment,
      sym_line_comment,
  [389875] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21088), 1,
      anon_sym_end,
    STATE(19470), 2,
      sym_block_comment,
      sym_line_comment,
  [389889] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25818), 1,
      anon_sym_end,
    STATE(19471), 2,
      sym_block_comment,
      sym_line_comment,
  [389903] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20764), 1,
      anon_sym_end,
    STATE(19472), 2,
      sym_block_comment,
      sym_line_comment,
  [389917] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7791), 1,
      anon_sym_RPAREN,
    STATE(19473), 2,
      sym_block_comment,
      sym_line_comment,
  [389931] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8465), 1,
      anon_sym_RPAREN,
    STATE(19474), 2,
      sym_block_comment,
      sym_line_comment,
  [389945] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25820), 1,
      anon_sym_end,
    STATE(19475), 2,
      sym_block_comment,
      sym_line_comment,
  [389959] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25822), 1,
      anon_sym_end,
    STATE(19476), 2,
      sym_block_comment,
      sym_line_comment,
  [389973] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25824), 1,
      anon_sym_RBRACK,
    STATE(19477), 2,
      sym_block_comment,
      sym_line_comment,
  [389987] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24384), 1,
      anon_sym_end,
    STATE(19478), 2,
      sym_block_comment,
      sym_line_comment,
  [390001] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13317), 1,
      anon_sym_RPAREN,
    STATE(19479), 2,
      sym_block_comment,
      sym_line_comment,
  [390015] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25826), 1,
      anon_sym_end,
    STATE(19480), 2,
      sym_block_comment,
      sym_line_comment,
  [390029] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25828), 1,
      anon_sym_RBRACK,
    STATE(19481), 2,
      sym_block_comment,
      sym_line_comment,
  [390043] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25830), 1,
      anon_sym_end,
    STATE(19482), 2,
      sym_block_comment,
      sym_line_comment,
  [390057] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13283), 1,
      anon_sym_RPAREN,
    STATE(19483), 2,
      sym_block_comment,
      sym_line_comment,
  [390071] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25832), 1,
      anon_sym_end,
    STATE(19484), 2,
      sym_block_comment,
      sym_line_comment,
  [390085] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13283), 1,
      anon_sym_RPAREN,
    STATE(19485), 2,
      sym_block_comment,
      sym_line_comment,
  [390099] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25834), 1,
      anon_sym_end,
    STATE(19486), 2,
      sym_block_comment,
      sym_line_comment,
  [390113] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25836), 1,
      anon_sym_end,
    STATE(19487), 2,
      sym_block_comment,
      sym_line_comment,
  [390127] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25838), 1,
      anon_sym_end,
    STATE(19488), 2,
      sym_block_comment,
      sym_line_comment,
  [390141] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13391), 1,
      anon_sym_RPAREN,
    STATE(19489), 2,
      sym_block_comment,
      sym_line_comment,
  [390155] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25840), 1,
      anon_sym_RBRACK,
    STATE(19490), 2,
      sym_block_comment,
      sym_line_comment,
  [390169] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25842), 1,
      anon_sym_RBRACK,
    STATE(19491), 2,
      sym_block_comment,
      sym_line_comment,
  [390183] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25844), 1,
      anon_sym_RBRACK,
    STATE(19492), 2,
      sym_block_comment,
      sym_line_comment,
  [390197] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21137), 1,
      anon_sym_end,
    STATE(19493), 2,
      sym_block_comment,
      sym_line_comment,
  [390211] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25846), 1,
      anon_sym_end,
    STATE(19494), 2,
      sym_block_comment,
      sym_line_comment,
  [390225] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21103), 1,
      anon_sym_end,
    STATE(19495), 2,
      sym_block_comment,
      sym_line_comment,
  [390239] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8863), 1,
      anon_sym_RPAREN,
    STATE(19496), 2,
      sym_block_comment,
      sym_line_comment,
  [390253] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25848), 1,
      anon_sym_end,
    STATE(19497), 2,
      sym_block_comment,
      sym_line_comment,
  [390267] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7843), 1,
      anon_sym_RPAREN,
    STATE(19498), 2,
      sym_block_comment,
      sym_line_comment,
  [390281] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18884), 1,
      anon_sym_RBRACE,
    STATE(19499), 2,
      sym_block_comment,
      sym_line_comment,
  [390295] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16447), 1,
      sym__immediate_paren,
    STATE(19500), 2,
      sym_block_comment,
      sym_line_comment,
  [390309] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25850), 1,
      anon_sym_EQ,
    STATE(19501), 2,
      sym_block_comment,
      sym_line_comment,
  [390323] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8839), 1,
      anon_sym_RPAREN,
    STATE(19502), 2,
      sym_block_comment,
      sym_line_comment,
  [390337] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25852), 1,
      anon_sym_RBRACK,
    STATE(19503), 2,
      sym_block_comment,
      sym_line_comment,
  [390351] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25854), 1,
      anon_sym_RPAREN,
    STATE(19504), 2,
      sym_block_comment,
      sym_line_comment,
  [390365] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25856), 1,
      anon_sym_end,
    STATE(19505), 2,
      sym_block_comment,
      sym_line_comment,
  [390379] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13367), 1,
      anon_sym_RPAREN,
    STATE(19506), 2,
      sym_block_comment,
      sym_line_comment,
  [390393] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25858), 1,
      anon_sym_COLON2,
    STATE(19507), 2,
      sym_block_comment,
      sym_line_comment,
  [390407] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25860), 1,
      anon_sym_RPAREN,
    STATE(19508), 2,
      sym_block_comment,
      sym_line_comment,
  [390421] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13389), 1,
      anon_sym_RPAREN,
    STATE(19509), 2,
      sym_block_comment,
      sym_line_comment,
  [390435] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15847), 1,
      anon_sym_DASH_GT,
    STATE(19510), 2,
      sym_block_comment,
      sym_line_comment,
  [390449] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25862), 1,
      anon_sym_end,
    STATE(19511), 2,
      sym_block_comment,
      sym_line_comment,
  [390463] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8927), 1,
      anon_sym_RPAREN,
    STATE(19512), 2,
      sym_block_comment,
      sym_line_comment,
  [390477] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15651), 1,
      anon_sym_DASH_GT,
    STATE(19513), 2,
      sym_block_comment,
      sym_line_comment,
  [390491] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7325), 1,
      anon_sym_RPAREN,
    STATE(19514), 2,
      sym_block_comment,
      sym_line_comment,
  [390505] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25864), 1,
      anon_sym_RBRACK,
    STATE(19515), 2,
      sym_block_comment,
      sym_line_comment,
  [390519] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20770), 1,
      anon_sym_end,
    STATE(19516), 2,
      sym_block_comment,
      sym_line_comment,
  [390533] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25866), 1,
      anon_sym_RPAREN,
    STATE(19517), 2,
      sym_block_comment,
      sym_line_comment,
  [390547] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25868), 1,
      anon_sym_RBRACK,
    STATE(19518), 2,
      sym_block_comment,
      sym_line_comment,
  [390561] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25870), 1,
      anon_sym_DASH_GT,
    STATE(19519), 2,
      sym_block_comment,
      sym_line_comment,
  [390575] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25872), 1,
      anon_sym_RPAREN,
    STATE(19520), 2,
      sym_block_comment,
      sym_line_comment,
  [390589] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25874), 1,
      anon_sym_RBRACK,
    STATE(19521), 2,
      sym_block_comment,
      sym_line_comment,
  [390603] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13389), 1,
      anon_sym_RPAREN,
    STATE(19522), 2,
      sym_block_comment,
      sym_line_comment,
  [390617] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25876), 1,
      anon_sym_RBRACK,
    STATE(19523), 2,
      sym_block_comment,
      sym_line_comment,
  [390631] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25878), 1,
      anon_sym_end,
    STATE(19524), 2,
      sym_block_comment,
      sym_line_comment,
  [390645] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25880), 1,
      anon_sym_RBRACK,
    STATE(19525), 2,
      sym_block_comment,
      sym_line_comment,
  [390659] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25882), 1,
      anon_sym_RBRACK,
    STATE(19526), 2,
      sym_block_comment,
      sym_line_comment,
  [390673] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25884), 1,
      anon_sym_end,
    STATE(19527), 2,
      sym_block_comment,
      sym_line_comment,
  [390687] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20608), 1,
      anon_sym_end,
    STATE(19528), 2,
      sym_block_comment,
      sym_line_comment,
  [390701] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25886), 1,
      anon_sym_end,
    STATE(19529), 2,
      sym_block_comment,
      sym_line_comment,
  [390715] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25888), 1,
      anon_sym_EQ,
    STATE(19530), 2,
      sym_block_comment,
      sym_line_comment,
  [390729] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6885), 1,
      anon_sym_RPAREN,
    STATE(19531), 2,
      sym_block_comment,
      sym_line_comment,
  [390743] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25890), 1,
      anon_sym_RBRACK,
    STATE(19532), 2,
      sym_block_comment,
      sym_line_comment,
  [390757] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15469), 1,
      anon_sym_DASH_GT,
    STATE(19533), 2,
      sym_block_comment,
      sym_line_comment,
  [390771] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25892), 1,
      anon_sym_end,
    STATE(19534), 2,
      sym_block_comment,
      sym_line_comment,
  [390785] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13349), 1,
      anon_sym_RPAREN,
    STATE(19535), 2,
      sym_block_comment,
      sym_line_comment,
  [390799] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25894), 1,
      anon_sym_end,
    STATE(19536), 2,
      sym_block_comment,
      sym_line_comment,
  [390813] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25896), 1,
      anon_sym_end,
    STATE(19537), 2,
      sym_block_comment,
      sym_line_comment,
  [390827] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25898), 1,
      anon_sym_end,
    STATE(19538), 2,
      sym_block_comment,
      sym_line_comment,
  [390841] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10165), 1,
      anon_sym_DASH_GT,
    STATE(19539), 2,
      sym_block_comment,
      sym_line_comment,
  [390855] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25900), 1,
      anon_sym_end,
    STATE(19540), 2,
      sym_block_comment,
      sym_line_comment,
  [390869] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25902), 1,
      anon_sym_end,
    STATE(19541), 2,
      sym_block_comment,
      sym_line_comment,
  [390883] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25904), 1,
      anon_sym_RBRACK,
    STATE(19542), 2,
      sym_block_comment,
      sym_line_comment,
  [390897] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25906), 1,
      anon_sym_DASH_GT,
    STATE(19543), 2,
      sym_block_comment,
      sym_line_comment,
  [390911] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25908), 1,
      anon_sym_end,
    STATE(19544), 2,
      sym_block_comment,
      sym_line_comment,
  [390925] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25910), 1,
      anon_sym_end,
    STATE(19545), 2,
      sym_block_comment,
      sym_line_comment,
  [390939] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9113), 1,
      anon_sym_RPAREN,
    STATE(19546), 2,
      sym_block_comment,
      sym_line_comment,
  [390953] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25912), 1,
      anon_sym_end,
    STATE(19547), 2,
      sym_block_comment,
      sym_line_comment,
  [390967] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25914), 1,
      anon_sym_end,
    STATE(19548), 2,
      sym_block_comment,
      sym_line_comment,
  [390981] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25916), 1,
      anon_sym_DASH_GT,
    STATE(19549), 2,
      sym_block_comment,
      sym_line_comment,
  [390995] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25918), 1,
      anon_sym_end,
    STATE(19550), 2,
      sym_block_comment,
      sym_line_comment,
  [391009] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18816), 1,
      anon_sym_RBRACE,
    STATE(19551), 2,
      sym_block_comment,
      sym_line_comment,
  [391023] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20778), 1,
      anon_sym_end,
    STATE(19552), 2,
      sym_block_comment,
      sym_line_comment,
  [391037] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25920), 1,
      anon_sym_DASH_GT,
    STATE(19553), 2,
      sym_block_comment,
      sym_line_comment,
  [391051] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25922), 1,
      anon_sym_RBRACK,
    STATE(19554), 2,
      sym_block_comment,
      sym_line_comment,
  [391065] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25924), 1,
      anon_sym_end,
    STATE(19555), 2,
      sym_block_comment,
      sym_line_comment,
  [391079] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24406), 1,
      anon_sym_end,
    STATE(19556), 2,
      sym_block_comment,
      sym_line_comment,
  [391093] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15753), 1,
      anon_sym_DASH_GT,
    STATE(19557), 2,
      sym_block_comment,
      sym_line_comment,
  [391107] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25926), 1,
      anon_sym_end,
    STATE(19558), 2,
      sym_block_comment,
      sym_line_comment,
  [391121] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8179), 1,
      anon_sym_RPAREN,
    STATE(19559), 2,
      sym_block_comment,
      sym_line_comment,
  [391135] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25928), 1,
      anon_sym_EQ,
    STATE(19560), 2,
      sym_block_comment,
      sym_line_comment,
  [391149] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25930), 1,
      anon_sym_DASH_GT,
    STATE(19561), 2,
      sym_block_comment,
      sym_line_comment,
  [391163] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20780), 1,
      anon_sym_end,
    STATE(19562), 2,
      sym_block_comment,
      sym_line_comment,
  [391177] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6721), 1,
      anon_sym_RPAREN,
    STATE(19563), 2,
      sym_block_comment,
      sym_line_comment,
  [391191] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25932), 1,
      anon_sym_RBRACK,
    STATE(19564), 2,
      sym_block_comment,
      sym_line_comment,
  [391205] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15497), 1,
      anon_sym_DASH_GT,
    STATE(19565), 2,
      sym_block_comment,
      sym_line_comment,
  [391219] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15765), 1,
      anon_sym_DASH_GT,
    STATE(19566), 2,
      sym_block_comment,
      sym_line_comment,
  [391233] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25934), 1,
      anon_sym_DASH_GT,
    STATE(19567), 2,
      sym_block_comment,
      sym_line_comment,
  [391247] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25936), 1,
      anon_sym_DASH_GT,
    STATE(19568), 2,
      sym_block_comment,
      sym_line_comment,
  [391261] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25938), 1,
      anon_sym_DASH_GT,
    STATE(19569), 2,
      sym_block_comment,
      sym_line_comment,
  [391275] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25940), 1,
      anon_sym_DASH_GT,
    STATE(19570), 2,
      sym_block_comment,
      sym_line_comment,
  [391289] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15823), 1,
      anon_sym_DASH_GT,
    STATE(19571), 2,
      sym_block_comment,
      sym_line_comment,
  [391303] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15471), 1,
      anon_sym_DASH_GT,
    STATE(19572), 2,
      sym_block_comment,
      sym_line_comment,
  [391317] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15431), 1,
      anon_sym_DASH_GT,
    STATE(19573), 2,
      sym_block_comment,
      sym_line_comment,
  [391331] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21127), 1,
      anon_sym_end,
    STATE(19574), 2,
      sym_block_comment,
      sym_line_comment,
  [391345] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15905), 1,
      anon_sym_DASH_GT,
    STATE(19575), 2,
      sym_block_comment,
      sym_line_comment,
  [391359] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25942), 1,
      anon_sym_end,
    STATE(19576), 2,
      sym_block_comment,
      sym_line_comment,
  [391373] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15499), 1,
      anon_sym_DASH_GT,
    STATE(19577), 2,
      sym_block_comment,
      sym_line_comment,
  [391387] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9001), 1,
      anon_sym_RPAREN,
    STATE(19578), 2,
      sym_block_comment,
      sym_line_comment,
  [391401] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25944), 1,
      anon_sym_end,
    STATE(19579), 2,
      sym_block_comment,
      sym_line_comment,
  [391415] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25946), 1,
      anon_sym_COLON2,
    STATE(19580), 2,
      sym_block_comment,
      sym_line_comment,
  [391429] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25948), 1,
      anon_sym_RBRACK,
    STATE(19581), 2,
      sym_block_comment,
      sym_line_comment,
  [391443] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25950), 1,
      anon_sym_RPAREN,
    STATE(19582), 2,
      sym_block_comment,
      sym_line_comment,
  [391457] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21111), 1,
      anon_sym_end,
    STATE(19583), 2,
      sym_block_comment,
      sym_line_comment,
  [391471] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25952), 1,
      anon_sym_end,
    STATE(19584), 2,
      sym_block_comment,
      sym_line_comment,
  [391485] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25954), 1,
      anon_sym_RBRACK,
    STATE(19585), 2,
      sym_block_comment,
      sym_line_comment,
  [391499] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25956), 1,
      anon_sym_end,
    STATE(19586), 2,
      sym_block_comment,
      sym_line_comment,
  [391513] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25958), 1,
      anon_sym_EQ,
    STATE(19587), 2,
      sym_block_comment,
      sym_line_comment,
  [391527] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25960), 1,
      anon_sym_end,
    STATE(19588), 2,
      sym_block_comment,
      sym_line_comment,
  [391541] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7071), 1,
      anon_sym_RPAREN,
    STATE(19589), 2,
      sym_block_comment,
      sym_line_comment,
  [391555] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25962), 1,
      anon_sym_COLON2,
    STATE(19590), 2,
      sym_block_comment,
      sym_line_comment,
  [391569] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19126), 1,
      anon_sym_RBRACE,
    STATE(19591), 2,
      sym_block_comment,
      sym_line_comment,
  [391583] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21101), 1,
      anon_sym_end,
    STATE(19592), 2,
      sym_block_comment,
      sym_line_comment,
  [391597] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25964), 1,
      anon_sym_RPAREN,
    STATE(19593), 2,
      sym_block_comment,
      sym_line_comment,
  [391611] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25966), 1,
      anon_sym_RBRACK,
    STATE(19594), 2,
      sym_block_comment,
      sym_line_comment,
  [391625] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25968), 1,
      anon_sym_RBRACK,
    STATE(19595), 2,
      sym_block_comment,
      sym_line_comment,
  [391639] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25970), 1,
      anon_sym_end,
    STATE(19596), 2,
      sym_block_comment,
      sym_line_comment,
  [391653] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13365), 1,
      anon_sym_RPAREN,
    STATE(19597), 2,
      sym_block_comment,
      sym_line_comment,
  [391667] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25972), 1,
      anon_sym_end,
    STATE(19598), 2,
      sym_block_comment,
      sym_line_comment,
  [391681] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25974), 1,
      anon_sym_RBRACK,
    STATE(19599), 2,
      sym_block_comment,
      sym_line_comment,
  [391695] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19172), 1,
      anon_sym_RBRACE,
    STATE(19600), 2,
      sym_block_comment,
      sym_line_comment,
  [391709] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25976), 1,
      anon_sym_end,
    STATE(19601), 2,
      sym_block_comment,
      sym_line_comment,
  [391723] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25978), 1,
      anon_sym_end,
    STATE(19602), 2,
      sym_block_comment,
      sym_line_comment,
  [391737] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25980), 1,
      anon_sym_end,
    STATE(19603), 2,
      sym_block_comment,
      sym_line_comment,
  [391751] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25982), 1,
      anon_sym_end,
    STATE(19604), 2,
      sym_block_comment,
      sym_line_comment,
  [391765] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20788), 1,
      anon_sym_end,
    STATE(19605), 2,
      sym_block_comment,
      sym_line_comment,
  [391779] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25984), 1,
      anon_sym_RPAREN,
    STATE(19606), 2,
      sym_block_comment,
      sym_line_comment,
  [391793] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24418), 1,
      anon_sym_end,
    STATE(19607), 2,
      sym_block_comment,
      sym_line_comment,
  [391807] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8935), 1,
      anon_sym_RPAREN,
    STATE(19608), 2,
      sym_block_comment,
      sym_line_comment,
  [391821] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25986), 1,
      anon_sym_end,
    STATE(19609), 2,
      sym_block_comment,
      sym_line_comment,
  [391835] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25988), 1,
      anon_sym_RBRACK,
    STATE(19610), 2,
      sym_block_comment,
      sym_line_comment,
  [391849] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25990), 1,
      anon_sym_end,
    STATE(19611), 2,
      sym_block_comment,
      sym_line_comment,
  [391863] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25992), 1,
      anon_sym_end,
    STATE(19612), 2,
      sym_block_comment,
      sym_line_comment,
  [391877] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25994), 1,
      anon_sym_end,
    STATE(19613), 2,
      sym_block_comment,
      sym_line_comment,
  [391891] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25996), 1,
      anon_sym_end,
    STATE(19614), 2,
      sym_block_comment,
      sym_line_comment,
  [391905] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(25998), 1,
      anon_sym_EQ,
    STATE(19615), 2,
      sym_block_comment,
      sym_line_comment,
  [391919] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26000), 1,
      anon_sym_DASH_GT,
    STATE(19616), 2,
      sym_block_comment,
      sym_line_comment,
  [391933] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26002), 1,
      anon_sym_end,
    STATE(19617), 2,
      sym_block_comment,
      sym_line_comment,
  [391947] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8369), 1,
      anon_sym_RPAREN,
    STATE(19618), 2,
      sym_block_comment,
      sym_line_comment,
  [391961] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26004), 1,
      anon_sym_RBRACK,
    STATE(19619), 2,
      sym_block_comment,
      sym_line_comment,
  [391975] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26006), 1,
      anon_sym_end,
    STATE(19620), 2,
      sym_block_comment,
      sym_line_comment,
  [391989] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13321), 1,
      anon_sym_RPAREN,
    STATE(19621), 2,
      sym_block_comment,
      sym_line_comment,
  [392003] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26008), 1,
      anon_sym_end,
    STATE(19622), 2,
      sym_block_comment,
      sym_line_comment,
  [392017] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21044), 1,
      anon_sym_end,
    STATE(19623), 2,
      sym_block_comment,
      sym_line_comment,
  [392031] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26010), 1,
      anon_sym_end,
    STATE(19624), 2,
      sym_block_comment,
      sym_line_comment,
  [392045] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26012), 1,
      anon_sym_RBRACK,
    STATE(19625), 2,
      sym_block_comment,
      sym_line_comment,
  [392059] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26014), 1,
      anon_sym_end,
    STATE(19626), 2,
      sym_block_comment,
      sym_line_comment,
  [392073] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7975), 1,
      anon_sym_RPAREN,
    STATE(19627), 2,
      sym_block_comment,
      sym_line_comment,
  [392087] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8947), 1,
      anon_sym_RPAREN,
    STATE(19628), 2,
      sym_block_comment,
      sym_line_comment,
  [392101] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6963), 1,
      anon_sym_RPAREN,
    STATE(19629), 2,
      sym_block_comment,
      sym_line_comment,
  [392115] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26016), 1,
      anon_sym_RBRACK,
    STATE(19630), 2,
      sym_block_comment,
      sym_line_comment,
  [392129] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7193), 1,
      anon_sym_RPAREN,
    STATE(19631), 2,
      sym_block_comment,
      sym_line_comment,
  [392143] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13301), 1,
      anon_sym_RPAREN,
    STATE(19632), 2,
      sym_block_comment,
      sym_line_comment,
  [392157] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26018), 1,
      anon_sym_RBRACK,
    STATE(19633), 2,
      sym_block_comment,
      sym_line_comment,
  [392171] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7509), 1,
      anon_sym_RPAREN,
    STATE(19634), 2,
      sym_block_comment,
      sym_line_comment,
  [392185] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26020), 1,
      anon_sym_RBRACK,
    STATE(19635), 2,
      sym_block_comment,
      sym_line_comment,
  [392199] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26022), 1,
      anon_sym_end,
    STATE(19636), 2,
      sym_block_comment,
      sym_line_comment,
  [392213] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7051), 1,
      anon_sym_RPAREN,
    STATE(19637), 2,
      sym_block_comment,
      sym_line_comment,
  [392227] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26024), 1,
      anon_sym_COLON2,
    STATE(19638), 2,
      sym_block_comment,
      sym_line_comment,
  [392241] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7669), 1,
      anon_sym_RPAREN,
    STATE(19639), 2,
      sym_block_comment,
      sym_line_comment,
  [392255] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13319), 1,
      anon_sym_RPAREN,
    STATE(19640), 2,
      sym_block_comment,
      sym_line_comment,
  [392269] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13301), 1,
      anon_sym_RPAREN,
    STATE(19641), 2,
      sym_block_comment,
      sym_line_comment,
  [392283] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13319), 1,
      anon_sym_RPAREN,
    STATE(19642), 2,
      sym_block_comment,
      sym_line_comment,
  [392297] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19330), 1,
      anon_sym_RBRACE,
    STATE(19643), 2,
      sym_block_comment,
      sym_line_comment,
  [392311] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26026), 1,
      anon_sym_RBRACK,
    STATE(19644), 2,
      sym_block_comment,
      sym_line_comment,
  [392325] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26028), 1,
      anon_sym_end,
    STATE(19645), 2,
      sym_block_comment,
      sym_line_comment,
  [392339] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26030), 1,
      anon_sym_RBRACK,
    STATE(19646), 2,
      sym_block_comment,
      sym_line_comment,
  [392353] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26032), 1,
      anon_sym_end,
    STATE(19647), 2,
      sym_block_comment,
      sym_line_comment,
  [392367] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26034), 1,
      anon_sym_COLON2,
    STATE(19648), 2,
      sym_block_comment,
      sym_line_comment,
  [392381] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26036), 1,
      anon_sym_end,
    STATE(19649), 2,
      sym_block_comment,
      sym_line_comment,
  [392395] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26038), 1,
      anon_sym_end,
    STATE(19650), 2,
      sym_block_comment,
      sym_line_comment,
  [392409] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26040), 1,
      anon_sym_RPAREN,
    STATE(19651), 2,
      sym_block_comment,
      sym_line_comment,
  [392423] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13365), 1,
      anon_sym_RPAREN,
    STATE(19652), 2,
      sym_block_comment,
      sym_line_comment,
  [392437] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10890), 1,
      sym__immediate_paren,
    STATE(19653), 2,
      sym_block_comment,
      sym_line_comment,
  [392451] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26042), 1,
      anon_sym_end,
    STATE(19654), 2,
      sym_block_comment,
      sym_line_comment,
  [392465] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26044), 1,
      anon_sym_RBRACK,
    STATE(19655), 2,
      sym_block_comment,
      sym_line_comment,
  [392479] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26046), 1,
      anon_sym_RBRACK,
    STATE(19656), 2,
      sym_block_comment,
      sym_line_comment,
  [392493] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26048), 1,
      anon_sym_end,
    STATE(19657), 2,
      sym_block_comment,
      sym_line_comment,
  [392507] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26050), 1,
      anon_sym_COLON2,
    STATE(19658), 2,
      sym_block_comment,
      sym_line_comment,
  [392521] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26052), 1,
      anon_sym_end,
    STATE(19659), 2,
      sym_block_comment,
      sym_line_comment,
  [392535] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26054), 1,
      anon_sym_end,
    STATE(19660), 2,
      sym_block_comment,
      sym_line_comment,
  [392549] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21151), 1,
      anon_sym_end,
    STATE(19661), 2,
      sym_block_comment,
      sym_line_comment,
  [392563] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8131), 1,
      anon_sym_RPAREN,
    STATE(19662), 2,
      sym_block_comment,
      sym_line_comment,
  [392577] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26056), 1,
      anon_sym_end,
    STATE(19663), 2,
      sym_block_comment,
      sym_line_comment,
  [392591] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26058), 1,
      anon_sym_end,
    STATE(19664), 2,
      sym_block_comment,
      sym_line_comment,
  [392605] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26060), 1,
      anon_sym_end,
    STATE(19665), 2,
      sym_block_comment,
      sym_line_comment,
  [392619] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26062), 1,
      anon_sym_end,
    STATE(19666), 2,
      sym_block_comment,
      sym_line_comment,
  [392633] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26064), 1,
      anon_sym_DASH_GT,
    STATE(19667), 2,
      sym_block_comment,
      sym_line_comment,
  [392647] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19196), 1,
      anon_sym_RBRACE,
    STATE(19668), 2,
      sym_block_comment,
      sym_line_comment,
  [392661] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26066), 1,
      anon_sym_end,
    STATE(19669), 2,
      sym_block_comment,
      sym_line_comment,
  [392675] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26068), 1,
      anon_sym_end,
    STATE(19670), 2,
      sym_block_comment,
      sym_line_comment,
  [392689] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26070), 1,
      anon_sym_end,
    STATE(19671), 2,
      sym_block_comment,
      sym_line_comment,
  [392703] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26072), 1,
      anon_sym_end,
    STATE(19672), 2,
      sym_block_comment,
      sym_line_comment,
  [392717] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26074), 1,
      anon_sym_end,
    STATE(19673), 2,
      sym_block_comment,
      sym_line_comment,
  [392731] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26076), 1,
      anon_sym_RBRACK,
    STATE(19674), 2,
      sym_block_comment,
      sym_line_comment,
  [392745] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7587), 1,
      anon_sym_RPAREN,
    STATE(19675), 2,
      sym_block_comment,
      sym_line_comment,
  [392759] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26078), 1,
      anon_sym_end,
    STATE(19676), 2,
      sym_block_comment,
      sym_line_comment,
  [392773] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26080), 1,
      anon_sym_end,
    STATE(19677), 2,
      sym_block_comment,
      sym_line_comment,
  [392787] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26082), 1,
      anon_sym_end,
    STATE(19678), 2,
      sym_block_comment,
      sym_line_comment,
  [392801] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26084), 1,
      anon_sym_end,
    STATE(19679), 2,
      sym_block_comment,
      sym_line_comment,
  [392815] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26086), 1,
      anon_sym_RBRACK,
    STATE(19680), 2,
      sym_block_comment,
      sym_line_comment,
  [392829] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8529), 1,
      anon_sym_RPAREN,
    STATE(19681), 2,
      sym_block_comment,
      sym_line_comment,
  [392843] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20456), 1,
      anon_sym_end,
    STATE(19682), 2,
      sym_block_comment,
      sym_line_comment,
  [392857] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26088), 1,
      anon_sym_RBRACK,
    STATE(19683), 2,
      sym_block_comment,
      sym_line_comment,
  [392871] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7825), 1,
      anon_sym_RPAREN,
    STATE(19684), 2,
      sym_block_comment,
      sym_line_comment,
  [392885] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26090), 1,
      anon_sym_end,
    STATE(19685), 2,
      sym_block_comment,
      sym_line_comment,
  [392899] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26092), 1,
      anon_sym_end,
    STATE(19686), 2,
      sym_block_comment,
      sym_line_comment,
  [392913] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26094), 1,
      anon_sym_end,
    STATE(19687), 2,
      sym_block_comment,
      sym_line_comment,
  [392927] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13345), 1,
      anon_sym_RPAREN,
    STATE(19688), 2,
      sym_block_comment,
      sym_line_comment,
  [392941] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26096), 1,
      anon_sym_COLON2,
    STATE(19689), 2,
      sym_block_comment,
      sym_line_comment,
  [392955] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26098), 1,
      anon_sym_end,
    STATE(19690), 2,
      sym_block_comment,
      sym_line_comment,
  [392969] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26100), 1,
      anon_sym_end,
    STATE(19691), 2,
      sym_block_comment,
      sym_line_comment,
  [392983] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26102), 1,
      anon_sym_COLON2,
    STATE(19692), 2,
      sym_block_comment,
      sym_line_comment,
  [392997] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10005), 1,
      anon_sym_DASH_GT,
    STATE(19693), 2,
      sym_block_comment,
      sym_line_comment,
  [393011] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26104), 1,
      anon_sym_end,
    STATE(19694), 2,
      sym_block_comment,
      sym_line_comment,
  [393025] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13285), 1,
      anon_sym_RPAREN,
    STATE(19695), 2,
      sym_block_comment,
      sym_line_comment,
  [393039] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19146), 1,
      anon_sym_RBRACE,
    STATE(19696), 2,
      sym_block_comment,
      sym_line_comment,
  [393053] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13285), 1,
      anon_sym_RPAREN,
    STATE(19697), 2,
      sym_block_comment,
      sym_line_comment,
  [393067] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13345), 1,
      anon_sym_RPAREN,
    STATE(19698), 2,
      sym_block_comment,
      sym_line_comment,
  [393081] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13343), 1,
      anon_sym_RPAREN,
    STATE(19699), 2,
      sym_block_comment,
      sym_line_comment,
  [393095] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26106), 1,
      anon_sym_EQ,
    STATE(19700), 2,
      sym_block_comment,
      sym_line_comment,
  [393109] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26108), 1,
      anon_sym_end,
    STATE(19701), 2,
      sym_block_comment,
      sym_line_comment,
  [393123] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8725), 1,
      anon_sym_RPAREN,
    STATE(19702), 2,
      sym_block_comment,
      sym_line_comment,
  [393137] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8047), 1,
      anon_sym_RPAREN,
    STATE(19703), 2,
      sym_block_comment,
      sym_line_comment,
  [393151] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26110), 1,
      anon_sym_end,
    STATE(19704), 2,
      sym_block_comment,
      sym_line_comment,
  [393165] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26112), 1,
      anon_sym_RPAREN,
    STATE(19705), 2,
      sym_block_comment,
      sym_line_comment,
  [393179] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26114), 1,
      anon_sym_end,
    STATE(19706), 2,
      sym_block_comment,
      sym_line_comment,
  [393193] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19954), 1,
      anon_sym_end,
    STATE(19707), 2,
      sym_block_comment,
      sym_line_comment,
  [393207] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6805), 1,
      anon_sym_RPAREN,
    STATE(19708), 2,
      sym_block_comment,
      sym_line_comment,
  [393221] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26116), 1,
      anon_sym_end,
    STATE(19709), 2,
      sym_block_comment,
      sym_line_comment,
  [393235] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8017), 1,
      anon_sym_RPAREN,
    STATE(19710), 2,
      sym_block_comment,
      sym_line_comment,
  [393249] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7367), 1,
      anon_sym_RPAREN,
    STATE(19711), 2,
      sym_block_comment,
      sym_line_comment,
  [393263] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26118), 1,
      anon_sym_RPAREN,
    STATE(19712), 2,
      sym_block_comment,
      sym_line_comment,
  [393277] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26120), 1,
      anon_sym_end,
    STATE(19713), 2,
      sym_block_comment,
      sym_line_comment,
  [393291] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26122), 1,
      anon_sym_RPAREN,
    STATE(19714), 2,
      sym_block_comment,
      sym_line_comment,
  [393305] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26124), 1,
      anon_sym_RBRACK,
    STATE(19715), 2,
      sym_block_comment,
      sym_line_comment,
  [393319] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26126), 1,
      anon_sym_EQ,
    STATE(19716), 2,
      sym_block_comment,
      sym_line_comment,
  [393333] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13379), 1,
      anon_sym_RPAREN,
    STATE(19717), 2,
      sym_block_comment,
      sym_line_comment,
  [393347] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26128), 1,
      anon_sym_end,
    STATE(19718), 2,
      sym_block_comment,
      sym_line_comment,
  [393361] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26130), 1,
      anon_sym_RBRACK,
    STATE(19719), 2,
      sym_block_comment,
      sym_line_comment,
  [393375] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26132), 1,
      anon_sym_end,
    STATE(19720), 2,
      sym_block_comment,
      sym_line_comment,
  [393389] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26134), 1,
      anon_sym_end,
    STATE(19721), 2,
      sym_block_comment,
      sym_line_comment,
  [393403] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13317), 1,
      anon_sym_RPAREN,
    STATE(19722), 2,
      sym_block_comment,
      sym_line_comment,
  [393417] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26136), 1,
      anon_sym_end,
    STATE(19723), 2,
      sym_block_comment,
      sym_line_comment,
  [393431] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26138), 1,
      anon_sym_RPAREN,
    STATE(19724), 2,
      sym_block_comment,
      sym_line_comment,
  [393445] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19270), 1,
      anon_sym_RBRACE,
    STATE(19725), 2,
      sym_block_comment,
      sym_line_comment,
  [393459] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7117), 1,
      anon_sym_RPAREN,
    STATE(19726), 2,
      sym_block_comment,
      sym_line_comment,
  [393473] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8971), 1,
      anon_sym_RPAREN,
    STATE(19727), 2,
      sym_block_comment,
      sym_line_comment,
  [393487] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26140), 1,
      anon_sym_COLON2,
    STATE(19728), 2,
      sym_block_comment,
      sym_line_comment,
  [393501] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15598), 1,
      anon_sym_DASH_GT,
    STATE(19729), 2,
      sym_block_comment,
      sym_line_comment,
  [393515] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26142), 1,
      anon_sym_end,
    STATE(19730), 2,
      sym_block_comment,
      sym_line_comment,
  [393529] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8609), 1,
      anon_sym_RPAREN,
    STATE(19731), 2,
      sym_block_comment,
      sym_line_comment,
  [393543] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26144), 1,
      anon_sym_RBRACK,
    STATE(19732), 2,
      sym_block_comment,
      sym_line_comment,
  [393557] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26146), 1,
      anon_sym_DASH_GT,
    STATE(19733), 2,
      sym_block_comment,
      sym_line_comment,
  [393571] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19064), 1,
      anon_sym_RBRACE,
    STATE(19734), 2,
      sym_block_comment,
      sym_line_comment,
  [393585] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26148), 1,
      anon_sym_RBRACK,
    STATE(19735), 2,
      sym_block_comment,
      sym_line_comment,
  [393599] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26150), 1,
      anon_sym_end,
    STATE(19736), 2,
      sym_block_comment,
      sym_line_comment,
  [393613] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26152), 1,
      anon_sym_end,
    STATE(19737), 2,
      sym_block_comment,
      sym_line_comment,
  [393627] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26154), 1,
      anon_sym_end,
    STATE(19738), 2,
      sym_block_comment,
      sym_line_comment,
  [393641] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8963), 1,
      anon_sym_RPAREN,
    STATE(19739), 2,
      sym_block_comment,
      sym_line_comment,
  [393655] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26156), 1,
      anon_sym_end,
    STATE(19740), 2,
      sym_block_comment,
      sym_line_comment,
  [393669] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26158), 1,
      anon_sym_DASH_GT,
    STATE(19741), 2,
      sym_block_comment,
      sym_line_comment,
  [393683] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26160), 1,
      anon_sym_type,
    STATE(19742), 2,
      sym_block_comment,
      sym_line_comment,
  [393697] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26162), 1,
      anon_sym_end,
    STATE(19743), 2,
      sym_block_comment,
      sym_line_comment,
  [393711] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13353), 1,
      anon_sym_RPAREN,
    STATE(19744), 2,
      sym_block_comment,
      sym_line_comment,
  [393725] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26164), 1,
      anon_sym_end,
    STATE(19745), 2,
      sym_block_comment,
      sym_line_comment,
  [393739] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26166), 1,
      anon_sym_RBRACK,
    STATE(19746), 2,
      sym_block_comment,
      sym_line_comment,
  [393753] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26168), 1,
      anon_sym_EQ,
    STATE(19747), 2,
      sym_block_comment,
      sym_line_comment,
  [393767] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26170), 1,
      anon_sym_RBRACK,
    STATE(19748), 2,
      sym_block_comment,
      sym_line_comment,
  [393781] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6709), 1,
      anon_sym_RPAREN,
    STATE(19749), 2,
      sym_block_comment,
      sym_line_comment,
  [393795] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26172), 1,
      anon_sym_RBRACK,
    STATE(19750), 2,
      sym_block_comment,
      sym_line_comment,
  [393809] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26174), 1,
      anon_sym_RPAREN,
    STATE(19751), 2,
      sym_block_comment,
      sym_line_comment,
  [393823] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26176), 1,
      anon_sym_RBRACK,
    STATE(19752), 2,
      sym_block_comment,
      sym_line_comment,
  [393837] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10467), 1,
      anon_sym_DASH_GT,
    STATE(19753), 2,
      sym_block_comment,
      sym_line_comment,
  [393851] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19242), 1,
      anon_sym_RBRACE,
    STATE(19754), 2,
      sym_block_comment,
      sym_line_comment,
  [393865] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26178), 1,
      anon_sym_end,
    STATE(19755), 2,
      sym_block_comment,
      sym_line_comment,
  [393879] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13335), 1,
      anon_sym_RPAREN,
    STATE(19756), 2,
      sym_block_comment,
      sym_line_comment,
  [393893] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20292), 1,
      anon_sym_end,
    STATE(19757), 2,
      sym_block_comment,
      sym_line_comment,
  [393907] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13379), 1,
      anon_sym_RPAREN,
    STATE(19758), 2,
      sym_block_comment,
      sym_line_comment,
  [393921] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13349), 1,
      anon_sym_RPAREN,
    STATE(19759), 2,
      sym_block_comment,
      sym_line_comment,
  [393935] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26180), 1,
      anon_sym_end,
    STATE(19760), 2,
      sym_block_comment,
      sym_line_comment,
  [393949] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26182), 1,
      anon_sym_RBRACK,
    STATE(19761), 2,
      sym_block_comment,
      sym_line_comment,
  [393963] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13335), 1,
      anon_sym_RPAREN,
    STATE(19762), 2,
      sym_block_comment,
      sym_line_comment,
  [393977] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26184), 1,
      anon_sym_DASH_GT,
    STATE(19763), 2,
      sym_block_comment,
      sym_line_comment,
  [393991] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13353), 1,
      anon_sym_RPAREN,
    STATE(19764), 2,
      sym_block_comment,
      sym_line_comment,
  [394005] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13347), 1,
      anon_sym_RPAREN,
    STATE(19765), 2,
      sym_block_comment,
      sym_line_comment,
  [394019] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26186), 1,
      anon_sym_RBRACK,
    STATE(19766), 2,
      sym_block_comment,
      sym_line_comment,
  [394033] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8669), 1,
      anon_sym_RPAREN,
    STATE(19767), 2,
      sym_block_comment,
      sym_line_comment,
  [394047] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26188), 1,
      anon_sym_RBRACK,
    STATE(19768), 2,
      sym_block_comment,
      sym_line_comment,
  [394061] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26190), 1,
      anon_sym_DASH_GT,
    STATE(19769), 2,
      sym_block_comment,
      sym_line_comment,
  [394075] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8219), 1,
      anon_sym_RPAREN,
    STATE(19770), 2,
      sym_block_comment,
      sym_line_comment,
  [394089] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13343), 1,
      anon_sym_RPAREN,
    STATE(19771), 2,
      sym_block_comment,
      sym_line_comment,
  [394103] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26192), 1,
      anon_sym_COLON2,
    STATE(19772), 2,
      sym_block_comment,
      sym_line_comment,
  [394117] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7565), 1,
      anon_sym_RPAREN,
    STATE(19773), 2,
      sym_block_comment,
      sym_line_comment,
  [394131] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19034), 1,
      anon_sym_RBRACE,
    STATE(19774), 2,
      sym_block_comment,
      sym_line_comment,
  [394145] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26194), 1,
      anon_sym_end,
    STATE(19775), 2,
      sym_block_comment,
      sym_line_comment,
  [394159] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26196), 1,
      anon_sym_end,
    STATE(19776), 2,
      sym_block_comment,
      sym_line_comment,
  [394173] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26198), 1,
      anon_sym_end,
    STATE(19777), 2,
      sym_block_comment,
      sym_line_comment,
  [394187] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6927), 1,
      anon_sym_RPAREN,
    STATE(19778), 2,
      sym_block_comment,
      sym_line_comment,
  [394201] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26200), 1,
      anon_sym_RBRACK,
    STATE(19779), 2,
      sym_block_comment,
      sym_line_comment,
  [394215] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13313), 1,
      anon_sym_RPAREN,
    STATE(19780), 2,
      sym_block_comment,
      sym_line_comment,
  [394229] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26202), 1,
      anon_sym_EQ,
    STATE(19781), 2,
      sym_block_comment,
      sym_line_comment,
  [394243] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26204), 1,
      anon_sym_end,
    STATE(19782), 2,
      sym_block_comment,
      sym_line_comment,
  [394257] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26206), 1,
      anon_sym_RPAREN,
    STATE(19783), 2,
      sym_block_comment,
      sym_line_comment,
  [394271] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26208), 1,
      anon_sym_type,
    STATE(19784), 2,
      sym_block_comment,
      sym_line_comment,
  [394285] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26210), 1,
      anon_sym_RBRACK,
    STATE(19785), 2,
      sym_block_comment,
      sym_line_comment,
  [394299] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8403), 1,
      anon_sym_RPAREN,
    STATE(19786), 2,
      sym_block_comment,
      sym_line_comment,
  [394313] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21078), 1,
      anon_sym_end,
    STATE(19787), 2,
      sym_block_comment,
      sym_line_comment,
  [394327] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26212), 1,
      anon_sym_RBRACK,
    STATE(19788), 2,
      sym_block_comment,
      sym_line_comment,
  [394341] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6739), 1,
      anon_sym_RPAREN,
    STATE(19789), 2,
      sym_block_comment,
      sym_line_comment,
  [394355] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26214), 1,
      anon_sym_RBRACK,
    STATE(19790), 2,
      sym_block_comment,
      sym_line_comment,
  [394369] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26216), 1,
      anon_sym_RPAREN,
    STATE(19791), 2,
      sym_block_comment,
      sym_line_comment,
  [394383] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26218), 1,
      anon_sym_end,
    STATE(19792), 2,
      sym_block_comment,
      sym_line_comment,
  [394397] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26220), 1,
      anon_sym_end,
    STATE(19793), 2,
      sym_block_comment,
      sym_line_comment,
  [394411] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26222), 1,
      anon_sym_end,
    STATE(19794), 2,
      sym_block_comment,
      sym_line_comment,
  [394425] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26224), 1,
      anon_sym_DASH_GT,
    STATE(19795), 2,
      sym_block_comment,
      sym_line_comment,
  [394439] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8949), 1,
      anon_sym_RPAREN,
    STATE(19796), 2,
      sym_block_comment,
      sym_line_comment,
  [394453] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13339), 1,
      anon_sym_RPAREN,
    STATE(19797), 2,
      sym_block_comment,
      sym_line_comment,
  [394467] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26226), 1,
      anon_sym_end,
    STATE(19798), 2,
      sym_block_comment,
      sym_line_comment,
  [394481] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26228), 1,
      anon_sym_RBRACK,
    STATE(19799), 2,
      sym_block_comment,
      sym_line_comment,
  [394495] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26230), 1,
      anon_sym_COLON2,
    STATE(19800), 2,
      sym_block_comment,
      sym_line_comment,
  [394509] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26232), 1,
      anon_sym_end,
    STATE(19801), 2,
      sym_block_comment,
      sym_line_comment,
  [394523] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26234), 1,
      anon_sym_end,
    STATE(19802), 2,
      sym_block_comment,
      sym_line_comment,
  [394537] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26236), 1,
      anon_sym_RPAREN,
    STATE(19803), 2,
      sym_block_comment,
      sym_line_comment,
  [394551] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26238), 1,
      anon_sym_RBRACK,
    STATE(19804), 2,
      sym_block_comment,
      sym_line_comment,
  [394565] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26240), 1,
      anon_sym_end,
    STATE(19805), 2,
      sym_block_comment,
      sym_line_comment,
  [394579] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26242), 1,
      anon_sym_RBRACK,
    STATE(19806), 2,
      sym_block_comment,
      sym_line_comment,
  [394593] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7817), 1,
      anon_sym_RPAREN,
    STATE(19807), 2,
      sym_block_comment,
      sym_line_comment,
  [394607] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21113), 1,
      anon_sym_end,
    STATE(19808), 2,
      sym_block_comment,
      sym_line_comment,
  [394621] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26244), 1,
      anon_sym_end,
    STATE(19809), 2,
      sym_block_comment,
      sym_line_comment,
  [394635] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13341), 1,
      anon_sym_RPAREN,
    STATE(19810), 2,
      sym_block_comment,
      sym_line_comment,
  [394649] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13313), 1,
      anon_sym_RPAREN,
    STATE(19811), 2,
      sym_block_comment,
      sym_line_comment,
  [394663] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18820), 1,
      anon_sym_RBRACE,
    STATE(19812), 2,
      sym_block_comment,
      sym_line_comment,
  [394677] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19972), 1,
      anon_sym_end,
    STATE(19813), 2,
      sym_block_comment,
      sym_line_comment,
  [394691] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20836), 1,
      anon_sym_end,
    STATE(19814), 2,
      sym_block_comment,
      sym_line_comment,
  [394705] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7623), 1,
      anon_sym_RPAREN,
    STATE(19815), 2,
      sym_block_comment,
      sym_line_comment,
  [394719] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13341), 1,
      anon_sym_RPAREN,
    STATE(19816), 2,
      sym_block_comment,
      sym_line_comment,
  [394733] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26246), 1,
      anon_sym_RBRACK,
    STATE(19817), 2,
      sym_block_comment,
      sym_line_comment,
  [394747] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26248), 1,
      anon_sym_end,
    STATE(19818), 2,
      sym_block_comment,
      sym_line_comment,
  [394761] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26250), 1,
      anon_sym_end,
    STATE(19819), 2,
      sym_block_comment,
      sym_line_comment,
  [394775] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26252), 1,
      anon_sym_RBRACK,
    STATE(19820), 2,
      sym_block_comment,
      sym_line_comment,
  [394789] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8579), 1,
      anon_sym_RPAREN,
    STATE(19821), 2,
      sym_block_comment,
      sym_line_comment,
  [394803] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26254), 1,
      anon_sym_RBRACK,
    STATE(19822), 2,
      sym_block_comment,
      sym_line_comment,
  [394817] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26256), 1,
      anon_sym_end,
    STATE(19823), 2,
      sym_block_comment,
      sym_line_comment,
  [394831] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26258), 1,
      anon_sym_type,
    STATE(19824), 2,
      sym_block_comment,
      sym_line_comment,
  [394845] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26260), 1,
      anon_sym_RPAREN,
    STATE(19825), 2,
      sym_block_comment,
      sym_line_comment,
  [394859] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13339), 1,
      anon_sym_RPAREN,
    STATE(19826), 2,
      sym_block_comment,
      sym_line_comment,
  [394873] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26262), 1,
      anon_sym_end,
    STATE(19827), 2,
      sym_block_comment,
      sym_line_comment,
  [394887] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26264), 1,
      anon_sym_end,
    STATE(19828), 2,
      sym_block_comment,
      sym_line_comment,
  [394901] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13295), 1,
      anon_sym_RPAREN,
    STATE(19829), 2,
      sym_block_comment,
      sym_line_comment,
  [394915] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26266), 1,
      anon_sym_end,
    STATE(19830), 2,
      sym_block_comment,
      sym_line_comment,
  [394929] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26268), 1,
      anon_sym_EQ,
    STATE(19831), 2,
      sym_block_comment,
      sym_line_comment,
  [394943] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21129), 1,
      anon_sym_end,
    STATE(19832), 2,
      sym_block_comment,
      sym_line_comment,
  [394957] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13295), 1,
      anon_sym_RPAREN,
    STATE(19833), 2,
      sym_block_comment,
      sym_line_comment,
  [394971] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26270), 1,
      anon_sym_end,
    STATE(19834), 2,
      sym_block_comment,
      sym_line_comment,
  [394985] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26272), 1,
      anon_sym_EQ,
    STATE(19835), 2,
      sym_block_comment,
      sym_line_comment,
  [394999] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26274), 1,
      anon_sym_end,
    STATE(19836), 2,
      sym_block_comment,
      sym_line_comment,
  [395013] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26276), 1,
      anon_sym_end,
    STATE(19837), 2,
      sym_block_comment,
      sym_line_comment,
  [395027] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7089), 1,
      anon_sym_RPAREN,
    STATE(19838), 2,
      sym_block_comment,
      sym_line_comment,
  [395041] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26278), 1,
      anon_sym_RPAREN,
    STATE(19839), 2,
      sym_block_comment,
      sym_line_comment,
  [395055] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24186), 1,
      anon_sym_end,
    STATE(19840), 2,
      sym_block_comment,
      sym_line_comment,
  [395069] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26280), 1,
      anon_sym_RBRACK,
    STATE(19841), 2,
      sym_block_comment,
      sym_line_comment,
  [395083] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26282), 1,
      anon_sym_COLON2,
    STATE(19842), 2,
      sym_block_comment,
      sym_line_comment,
  [395097] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6647), 1,
      anon_sym_RPAREN,
    STATE(19843), 2,
      sym_block_comment,
      sym_line_comment,
  [395111] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26284), 1,
      anon_sym_end,
    STATE(19844), 2,
      sym_block_comment,
      sym_line_comment,
  [395125] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26286), 1,
      anon_sym_RBRACK,
    STATE(19845), 2,
      sym_block_comment,
      sym_line_comment,
  [395139] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26288), 1,
      anon_sym_end,
    STATE(19846), 2,
      sym_block_comment,
      sym_line_comment,
  [395153] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26290), 1,
      anon_sym_RPAREN,
    STATE(19847), 2,
      sym_block_comment,
      sym_line_comment,
  [395167] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26292), 1,
      anon_sym_DASH_GT,
    STATE(19848), 2,
      sym_block_comment,
      sym_line_comment,
  [395181] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26294), 1,
      anon_sym_end,
    STATE(19849), 2,
      sym_block_comment,
      sym_line_comment,
  [395195] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26296), 1,
      anon_sym_RPAREN,
    STATE(19850), 2,
      sym_block_comment,
      sym_line_comment,
  [395209] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26298), 1,
      anon_sym_type,
    STATE(19851), 2,
      sym_block_comment,
      sym_line_comment,
  [395223] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26300), 1,
      anon_sym_RBRACK,
    STATE(19852), 2,
      sym_block_comment,
      sym_line_comment,
  [395237] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26302), 1,
      anon_sym_end,
    STATE(19853), 2,
      sym_block_comment,
      sym_line_comment,
  [395251] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26304), 1,
      anon_sym_end,
    STATE(19854), 2,
      sym_block_comment,
      sym_line_comment,
  [395265] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26306), 1,
      anon_sym_end,
    STATE(19855), 2,
      sym_block_comment,
      sym_line_comment,
  [395279] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8967), 1,
      anon_sym_RPAREN,
    STATE(19856), 2,
      sym_block_comment,
      sym_line_comment,
  [395293] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20508), 1,
      anon_sym_end,
    STATE(19857), 2,
      sym_block_comment,
      sym_line_comment,
  [395307] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26308), 1,
      anon_sym_RBRACK,
    STATE(19858), 2,
      sym_block_comment,
      sym_line_comment,
  [395321] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26310), 1,
      anon_sym_end,
    STATE(19859), 2,
      sym_block_comment,
      sym_line_comment,
  [395335] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26312), 1,
      anon_sym_end,
    STATE(19860), 2,
      sym_block_comment,
      sym_line_comment,
  [395349] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26314), 1,
      anon_sym_RBRACK,
    STATE(19861), 2,
      sym_block_comment,
      sym_line_comment,
  [395363] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26316), 1,
      anon_sym_COLON2,
    STATE(19862), 2,
      sym_block_comment,
      sym_line_comment,
  [395377] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19038), 1,
      anon_sym_RBRACE,
    STATE(19863), 2,
      sym_block_comment,
      sym_line_comment,
  [395391] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26318), 1,
      anon_sym_RPAREN,
    STATE(19864), 2,
      sym_block_comment,
      sym_line_comment,
  [395405] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16407), 1,
      sym__immediate_paren,
    STATE(19865), 2,
      sym_block_comment,
      sym_line_comment,
  [395419] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26320), 1,
      anon_sym_RBRACK,
    STATE(19866), 2,
      sym_block_comment,
      sym_line_comment,
  [395433] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23767), 1,
      anon_sym_end,
    STATE(19867), 2,
      sym_block_comment,
      sym_line_comment,
  [395447] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26322), 1,
      anon_sym_end,
    STATE(19868), 2,
      sym_block_comment,
      sym_line_comment,
  [395461] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20854), 1,
      anon_sym_end,
    STATE(19869), 2,
      sym_block_comment,
      sym_line_comment,
  [395475] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26324), 1,
      anon_sym_RBRACK,
    STATE(19870), 2,
      sym_block_comment,
      sym_line_comment,
  [395489] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26326), 1,
      anon_sym_end,
    STATE(19871), 2,
      sym_block_comment,
      sym_line_comment,
  [395503] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18992), 1,
      anon_sym_RBRACE,
    STATE(19872), 2,
      sym_block_comment,
      sym_line_comment,
  [395517] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7751), 1,
      anon_sym_RPAREN,
    STATE(19873), 2,
      sym_block_comment,
      sym_line_comment,
  [395531] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26328), 1,
      anon_sym_end,
    STATE(19874), 2,
      sym_block_comment,
      sym_line_comment,
  [395545] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26330), 1,
      anon_sym_end,
    STATE(19875), 2,
      sym_block_comment,
      sym_line_comment,
  [395559] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26332), 1,
      anon_sym_DASH_GT,
    STATE(19876), 2,
      sym_block_comment,
      sym_line_comment,
  [395573] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26334), 1,
      anon_sym_type,
    STATE(19877), 2,
      sym_block_comment,
      sym_line_comment,
  [395587] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26336), 1,
      anon_sym_end,
    STATE(19878), 2,
      sym_block_comment,
      sym_line_comment,
  [395601] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19010), 1,
      anon_sym_RBRACE,
    STATE(19879), 2,
      sym_block_comment,
      sym_line_comment,
  [395615] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(16437), 1,
      sym__immediate_paren,
    STATE(19880), 2,
      sym_block_comment,
      sym_line_comment,
  [395629] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26338), 1,
      anon_sym_end,
    STATE(19881), 2,
      sym_block_comment,
      sym_line_comment,
  [395643] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26340), 1,
      anon_sym_EQ,
    STATE(19882), 2,
      sym_block_comment,
      sym_line_comment,
  [395657] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26342), 1,
      anon_sym_type,
    STATE(19883), 2,
      sym_block_comment,
      sym_line_comment,
  [395671] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26344), 1,
      anon_sym_RPAREN,
    STATE(19884), 2,
      sym_block_comment,
      sym_line_comment,
  [395685] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10013), 1,
      anon_sym_DASH_GT,
    STATE(19885), 2,
      sym_block_comment,
      sym_line_comment,
  [395699] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26346), 1,
      anon_sym_RBRACK,
    STATE(19886), 2,
      sym_block_comment,
      sym_line_comment,
  [395713] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8085), 1,
      anon_sym_RPAREN,
    STATE(19887), 2,
      sym_block_comment,
      sym_line_comment,
  [395727] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26348), 1,
      anon_sym_type,
    STATE(19888), 2,
      sym_block_comment,
      sym_line_comment,
  [395741] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26350), 1,
      anon_sym_RBRACK,
    STATE(19889), 2,
      sym_block_comment,
      sym_line_comment,
  [395755] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26352), 1,
      anon_sym_end,
    STATE(19890), 2,
      sym_block_comment,
      sym_line_comment,
  [395769] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26354), 1,
      anon_sym_type,
    STATE(19891), 2,
      sym_block_comment,
      sym_line_comment,
  [395783] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26356), 1,
      anon_sym_end,
    STATE(19892), 2,
      sym_block_comment,
      sym_line_comment,
  [395797] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26358), 1,
      anon_sym_EQ,
    STATE(19893), 2,
      sym_block_comment,
      sym_line_comment,
  [395811] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26360), 1,
      anon_sym_type,
    STATE(19894), 2,
      sym_block_comment,
      sym_line_comment,
  [395825] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8819), 1,
      anon_sym_RPAREN,
    STATE(19895), 2,
      sym_block_comment,
      sym_line_comment,
  [395839] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6849), 1,
      anon_sym_RPAREN,
    STATE(19896), 2,
      sym_block_comment,
      sym_line_comment,
  [395853] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26362), 1,
      anon_sym_type,
    STATE(19897), 2,
      sym_block_comment,
      sym_line_comment,
  [395867] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26364), 1,
      anon_sym_end,
    STATE(19898), 2,
      sym_block_comment,
      sym_line_comment,
  [395881] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26366), 1,
      anon_sym_RBRACK,
    STATE(19899), 2,
      sym_block_comment,
      sym_line_comment,
  [395895] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9045), 1,
      anon_sym_RPAREN,
    STATE(19900), 2,
      sym_block_comment,
      sym_line_comment,
  [395909] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26368), 1,
      anon_sym_end,
    STATE(19901), 2,
      sym_block_comment,
      sym_line_comment,
  [395923] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26370), 1,
      anon_sym_COLON2,
    STATE(19902), 2,
      sym_block_comment,
      sym_line_comment,
  [395937] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18926), 1,
      anon_sym_RBRACE,
    STATE(19903), 2,
      sym_block_comment,
      sym_line_comment,
  [395951] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26372), 1,
      anon_sym_end,
    STATE(19904), 2,
      sym_block_comment,
      sym_line_comment,
  [395965] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21135), 1,
      anon_sym_end,
    STATE(19905), 2,
      sym_block_comment,
      sym_line_comment,
  [395979] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8931), 1,
      anon_sym_RPAREN,
    STATE(19906), 2,
      sym_block_comment,
      sym_line_comment,
  [395993] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26374), 1,
      anon_sym_RBRACK,
    STATE(19907), 2,
      sym_block_comment,
      sym_line_comment,
  [396007] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26376), 1,
      anon_sym_end,
    STATE(19908), 2,
      sym_block_comment,
      sym_line_comment,
  [396021] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26378), 1,
      anon_sym_end,
    STATE(19909), 2,
      sym_block_comment,
      sym_line_comment,
  [396035] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26380), 1,
      anon_sym_end,
    STATE(19910), 2,
      sym_block_comment,
      sym_line_comment,
  [396049] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26382), 1,
      anon_sym_end,
    STATE(19911), 2,
      sym_block_comment,
      sym_line_comment,
  [396063] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26384), 1,
      anon_sym_end,
    STATE(19912), 2,
      sym_block_comment,
      sym_line_comment,
  [396077] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26386), 1,
      anon_sym_end,
    STATE(19913), 2,
      sym_block_comment,
      sym_line_comment,
  [396091] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10912), 1,
      sym__immediate_paren,
    STATE(19914), 2,
      sym_block_comment,
      sym_line_comment,
  [396105] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26388), 1,
      anon_sym_end,
    STATE(19915), 2,
      sym_block_comment,
      sym_line_comment,
  [396119] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26390), 1,
      anon_sym_RBRACK,
    STATE(19916), 2,
      sym_block_comment,
      sym_line_comment,
  [396133] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26392), 1,
      anon_sym_end,
    STATE(19917), 2,
      sym_block_comment,
      sym_line_comment,
  [396147] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7327), 1,
      anon_sym_RPAREN,
    STATE(19918), 2,
      sym_block_comment,
      sym_line_comment,
  [396161] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6717), 1,
      anon_sym_RPAREN,
    STATE(19919), 2,
      sym_block_comment,
      sym_line_comment,
  [396175] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26394), 1,
      anon_sym_COLON2,
    STATE(19920), 2,
      sym_block_comment,
      sym_line_comment,
  [396189] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26396), 1,
      anon_sym_COLON2,
    STATE(19921), 2,
      sym_block_comment,
      sym_line_comment,
  [396203] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26398), 1,
      anon_sym_end,
    STATE(19922), 2,
      sym_block_comment,
      sym_line_comment,
  [396217] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9063), 1,
      anon_sym_RPAREN,
    STATE(19923), 2,
      sym_block_comment,
      sym_line_comment,
  [396231] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26400), 1,
      anon_sym_EQ,
    STATE(19924), 2,
      sym_block_comment,
      sym_line_comment,
  [396245] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7605), 1,
      anon_sym_RPAREN,
    STATE(19925), 2,
      sym_block_comment,
      sym_line_comment,
  [396259] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26402), 1,
      anon_sym_end,
    STATE(19926), 2,
      sym_block_comment,
      sym_line_comment,
  [396273] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26404), 1,
      anon_sym_end,
    STATE(19927), 2,
      sym_block_comment,
      sym_line_comment,
  [396287] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21066), 1,
      anon_sym_end,
    STATE(19928), 2,
      sym_block_comment,
      sym_line_comment,
  [396301] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8407), 1,
      anon_sym_RPAREN,
    STATE(19929), 2,
      sym_block_comment,
      sym_line_comment,
  [396315] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26406), 1,
      anon_sym_end,
    STATE(19930), 2,
      sym_block_comment,
      sym_line_comment,
  [396329] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26408), 1,
      anon_sym_COLON2,
    STATE(19931), 2,
      sym_block_comment,
      sym_line_comment,
  [396343] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26410), 1,
      anon_sym_end,
    STATE(19932), 2,
      sym_block_comment,
      sym_line_comment,
  [396357] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26412), 1,
      anon_sym_RPAREN,
    STATE(19933), 2,
      sym_block_comment,
      sym_line_comment,
  [396371] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10161), 1,
      anon_sym_DASH_GT,
    STATE(19934), 2,
      sym_block_comment,
      sym_line_comment,
  [396385] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26414), 1,
      anon_sym_end,
    STATE(19935), 2,
      sym_block_comment,
      sym_line_comment,
  [396399] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26416), 1,
      anon_sym_COLON2,
    STATE(19936), 2,
      sym_block_comment,
      sym_line_comment,
  [396413] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13271), 1,
      anon_sym_RPAREN,
    STATE(19937), 2,
      sym_block_comment,
      sym_line_comment,
  [396427] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26418), 1,
      anon_sym_end,
    STATE(19938), 2,
      sym_block_comment,
      sym_line_comment,
  [396441] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26420), 1,
      anon_sym_end,
    STATE(19939), 2,
      sym_block_comment,
      sym_line_comment,
  [396455] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26422), 1,
      anon_sym_EQ,
    STATE(19940), 2,
      sym_block_comment,
      sym_line_comment,
  [396469] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26424), 1,
      anon_sym_end,
    STATE(19941), 2,
      sym_block_comment,
      sym_line_comment,
  [396483] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24103), 1,
      anon_sym_end,
    STATE(19942), 2,
      sym_block_comment,
      sym_line_comment,
  [396497] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13271), 1,
      anon_sym_RPAREN,
    STATE(19943), 2,
      sym_block_comment,
      sym_line_comment,
  [396511] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26426), 1,
      anon_sym_RBRACK,
    STATE(19944), 2,
      sym_block_comment,
      sym_line_comment,
  [396525] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26428), 1,
      anon_sym_RBRACK,
    STATE(19945), 2,
      sym_block_comment,
      sym_line_comment,
  [396539] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26430), 1,
      anon_sym_RBRACK,
    STATE(19946), 2,
      sym_block_comment,
      sym_line_comment,
  [396553] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26432), 1,
      anon_sym_end,
    STATE(19947), 2,
      sym_block_comment,
      sym_line_comment,
  [396567] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8437), 1,
      anon_sym_RPAREN,
    STATE(19948), 2,
      sym_block_comment,
      sym_line_comment,
  [396581] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26434), 1,
      anon_sym_end,
    STATE(19949), 2,
      sym_block_comment,
      sym_line_comment,
  [396595] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26436), 1,
      anon_sym_end,
    STATE(19950), 2,
      sym_block_comment,
      sym_line_comment,
  [396609] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8951), 1,
      anon_sym_RPAREN,
    STATE(19951), 2,
      sym_block_comment,
      sym_line_comment,
  [396623] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20896), 1,
      anon_sym_end,
    STATE(19952), 2,
      sym_block_comment,
      sym_line_comment,
  [396637] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26438), 1,
      anon_sym_RBRACK,
    STATE(19953), 2,
      sym_block_comment,
      sym_line_comment,
  [396651] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26440), 1,
      anon_sym_end,
    STATE(19954), 2,
      sym_block_comment,
      sym_line_comment,
  [396665] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13327), 1,
      anon_sym_RPAREN,
    STATE(19955), 2,
      sym_block_comment,
      sym_line_comment,
  [396679] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26442), 1,
      anon_sym_RPAREN,
    STATE(19956), 2,
      sym_block_comment,
      sym_line_comment,
  [396693] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21147), 1,
      anon_sym_end,
    STATE(19957), 2,
      sym_block_comment,
      sym_line_comment,
  [396707] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10147), 1,
      anon_sym_DASH_GT,
    STATE(19958), 2,
      sym_block_comment,
      sym_line_comment,
  [396721] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26444), 1,
      anon_sym_end,
    STATE(19959), 2,
      sym_block_comment,
      sym_line_comment,
  [396735] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26446), 1,
      anon_sym_end,
    STATE(19960), 2,
      sym_block_comment,
      sym_line_comment,
  [396749] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26448), 1,
      anon_sym_RBRACK,
    STATE(19961), 2,
      sym_block_comment,
      sym_line_comment,
  [396763] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26450), 1,
      anon_sym_RPAREN,
    STATE(19962), 2,
      sym_block_comment,
      sym_line_comment,
  [396777] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26452), 1,
      anon_sym_RPAREN,
    STATE(19963), 2,
      sym_block_comment,
      sym_line_comment,
  [396791] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26454), 1,
      anon_sym_end,
    STATE(19964), 2,
      sym_block_comment,
      sym_line_comment,
  [396805] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8513), 1,
      anon_sym_RPAREN,
    STATE(19965), 2,
      sym_block_comment,
      sym_line_comment,
  [396819] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26456), 1,
      anon_sym_RBRACK,
    STATE(19966), 2,
      sym_block_comment,
      sym_line_comment,
  [396833] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26458), 1,
      anon_sym_COLON2,
    STATE(19967), 2,
      sym_block_comment,
      sym_line_comment,
  [396847] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20290), 1,
      anon_sym_end,
    STATE(19968), 2,
      sym_block_comment,
      sym_line_comment,
  [396861] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(11260), 1,
      anon_sym_COLON2,
    STATE(19969), 2,
      sym_block_comment,
      sym_line_comment,
  [396875] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26460), 1,
      anon_sym_end,
    STATE(19970), 2,
      sym_block_comment,
      sym_line_comment,
  [396889] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26462), 1,
      anon_sym_end,
    STATE(19971), 2,
      sym_block_comment,
      sym_line_comment,
  [396903] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26464), 1,
      anon_sym_end,
    STATE(19972), 2,
      sym_block_comment,
      sym_line_comment,
  [396917] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26466), 1,
      anon_sym_end,
    STATE(19973), 2,
      sym_block_comment,
      sym_line_comment,
  [396931] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(22836), 1,
      anon_sym_RPAREN,
    STATE(19974), 2,
      sym_block_comment,
      sym_line_comment,
  [396945] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13371), 1,
      anon_sym_RPAREN,
    STATE(19975), 2,
      sym_block_comment,
      sym_line_comment,
  [396959] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26468), 1,
      anon_sym_RBRACK,
    STATE(19976), 2,
      sym_block_comment,
      sym_line_comment,
  [396973] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13371), 1,
      anon_sym_RPAREN,
    STATE(19977), 2,
      sym_block_comment,
      sym_line_comment,
  [396987] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26470), 1,
      anon_sym_RBRACK,
    STATE(19978), 2,
      sym_block_comment,
      sym_line_comment,
  [397001] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26472), 1,
      anon_sym_RPAREN,
    STATE(19979), 2,
      sym_block_comment,
      sym_line_comment,
  [397015] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26474), 1,
      anon_sym_EQ,
    STATE(19980), 2,
      sym_block_comment,
      sym_line_comment,
  [397029] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26476), 1,
      anon_sym_RPAREN,
    STATE(19981), 2,
      sym_block_comment,
      sym_line_comment,
  [397043] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26478), 1,
      anon_sym_COLON2,
    STATE(19982), 2,
      sym_block_comment,
      sym_line_comment,
  [397057] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24206), 1,
      anon_sym_end,
    STATE(19983), 2,
      sym_block_comment,
      sym_line_comment,
  [397071] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26480), 1,
      anon_sym_COLON2,
    STATE(19984), 2,
      sym_block_comment,
      sym_line_comment,
  [397085] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26482), 1,
      anon_sym_EQ,
    STATE(19985), 2,
      sym_block_comment,
      sym_line_comment,
  [397099] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26484), 1,
      anon_sym_RBRACK,
    STATE(19986), 2,
      sym_block_comment,
      sym_line_comment,
  [397113] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26486), 1,
      anon_sym_end,
    STATE(19987), 2,
      sym_block_comment,
      sym_line_comment,
  [397127] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26488), 1,
      anon_sym_RPAREN,
    STATE(19988), 2,
      sym_block_comment,
      sym_line_comment,
  [397141] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26490), 1,
      anon_sym_RBRACK,
    STATE(19989), 2,
      sym_block_comment,
      sym_line_comment,
  [397155] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26492), 1,
      anon_sym_end,
    STATE(19990), 2,
      sym_block_comment,
      sym_line_comment,
  [397169] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26494), 1,
      anon_sym_end,
    STATE(19991), 2,
      sym_block_comment,
      sym_line_comment,
  [397183] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26496), 1,
      anon_sym_end,
    STATE(19992), 2,
      sym_block_comment,
      sym_line_comment,
  [397197] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26498), 1,
      anon_sym_end,
    STATE(19993), 2,
      sym_block_comment,
      sym_line_comment,
  [397211] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26500), 1,
      anon_sym_end,
    STATE(19994), 2,
      sym_block_comment,
      sym_line_comment,
  [397225] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7229), 1,
      anon_sym_RPAREN,
    STATE(19995), 2,
      sym_block_comment,
      sym_line_comment,
  [397239] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13327), 1,
      anon_sym_RPAREN,
    STATE(19996), 2,
      sym_block_comment,
      sym_line_comment,
  [397253] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26502), 1,
      anon_sym_COLON2,
    STATE(19997), 2,
      sym_block_comment,
      sym_line_comment,
  [397267] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26504), 1,
      anon_sym_COLON2,
    STATE(19998), 2,
      sym_block_comment,
      sym_line_comment,
  [397281] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15881), 1,
      anon_sym_DASH_GT,
    STATE(19999), 2,
      sym_block_comment,
      sym_line_comment,
  [397295] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26506), 1,
      anon_sym_COLON2,
    STATE(20000), 2,
      sym_block_comment,
      sym_line_comment,
  [397309] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26508), 1,
      anon_sym_end,
    STATE(20001), 2,
      sym_block_comment,
      sym_line_comment,
  [397323] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26510), 1,
      anon_sym_end,
    STATE(20002), 2,
      sym_block_comment,
      sym_line_comment,
  [397337] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7085), 1,
      anon_sym_RPAREN,
    STATE(20003), 2,
      sym_block_comment,
      sym_line_comment,
  [397351] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8255), 1,
      anon_sym_RPAREN,
    STATE(20004), 2,
      sym_block_comment,
      sym_line_comment,
  [397365] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26512), 1,
      anon_sym_end,
    STATE(20005), 2,
      sym_block_comment,
      sym_line_comment,
  [397379] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26514), 1,
      anon_sym_end,
    STATE(20006), 2,
      sym_block_comment,
      sym_line_comment,
  [397393] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7955), 1,
      anon_sym_RPAREN,
    STATE(20007), 2,
      sym_block_comment,
      sym_line_comment,
  [397407] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26516), 1,
      anon_sym_end,
    STATE(20008), 2,
      sym_block_comment,
      sym_line_comment,
  [397421] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26518), 1,
      anon_sym_end,
    STATE(20009), 2,
      sym_block_comment,
      sym_line_comment,
  [397435] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7671), 1,
      anon_sym_RPAREN,
    STATE(20010), 2,
      sym_block_comment,
      sym_line_comment,
  [397449] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24846), 1,
      anon_sym_EQ,
    STATE(20011), 2,
      sym_block_comment,
      sym_line_comment,
  [397463] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26520), 1,
      anon_sym_end,
    STATE(20012), 2,
      sym_block_comment,
      sym_line_comment,
  [397477] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26522), 1,
      anon_sym_RBRACK,
    STATE(20013), 2,
      sym_block_comment,
      sym_line_comment,
  [397491] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26524), 1,
      anon_sym_end,
    STATE(20014), 2,
      sym_block_comment,
      sym_line_comment,
  [397505] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8643), 1,
      anon_sym_RPAREN,
    STATE(20015), 2,
      sym_block_comment,
      sym_line_comment,
  [397519] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26526), 1,
      anon_sym_RBRACK,
    STATE(20016), 2,
      sym_block_comment,
      sym_line_comment,
  [397533] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26528), 1,
      anon_sym_RBRACK,
    STATE(20017), 2,
      sym_block_comment,
      sym_line_comment,
  [397547] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26530), 1,
      anon_sym_end,
    STATE(20018), 2,
      sym_block_comment,
      sym_line_comment,
  [397561] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8813), 1,
      anon_sym_RPAREN,
    STATE(20019), 2,
      sym_block_comment,
      sym_line_comment,
  [397575] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26532), 1,
      anon_sym_RPAREN,
    STATE(20020), 2,
      sym_block_comment,
      sym_line_comment,
  [397589] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26534), 1,
      anon_sym_end,
    STATE(20021), 2,
      sym_block_comment,
      sym_line_comment,
  [397603] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13299), 1,
      anon_sym_RPAREN,
    STATE(20022), 2,
      sym_block_comment,
      sym_line_comment,
  [397617] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26536), 1,
      anon_sym_end,
    STATE(20023), 2,
      sym_block_comment,
      sym_line_comment,
  [397631] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8163), 1,
      anon_sym_RPAREN,
    STATE(20024), 2,
      sym_block_comment,
      sym_line_comment,
  [397645] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7887), 1,
      anon_sym_RPAREN,
    STATE(20025), 2,
      sym_block_comment,
      sym_line_comment,
  [397659] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26538), 1,
      anon_sym_end,
    STATE(20026), 2,
      sym_block_comment,
      sym_line_comment,
  [397673] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19346), 1,
      anon_sym_RBRACE,
    STATE(20027), 2,
      sym_block_comment,
      sym_line_comment,
  [397687] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26540), 1,
      anon_sym_end,
    STATE(20028), 2,
      sym_block_comment,
      sym_line_comment,
  [397701] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13299), 1,
      anon_sym_RPAREN,
    STATE(20029), 2,
      sym_block_comment,
      sym_line_comment,
  [397715] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26542), 1,
      anon_sym_end,
    STATE(20030), 2,
      sym_block_comment,
      sym_line_comment,
  [397729] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26544), 1,
      anon_sym_end,
    STATE(20031), 2,
      sym_block_comment,
      sym_line_comment,
  [397743] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26546), 1,
      anon_sym_end,
    STATE(20032), 2,
      sym_block_comment,
      sym_line_comment,
  [397757] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26548), 1,
      anon_sym_end,
    STATE(20033), 2,
      sym_block_comment,
      sym_line_comment,
  [397771] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26550), 1,
      anon_sym_RBRACK,
    STATE(20034), 2,
      sym_block_comment,
      sym_line_comment,
  [397785] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6841), 1,
      anon_sym_RPAREN,
    STATE(20035), 2,
      sym_block_comment,
      sym_line_comment,
  [397799] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8939), 1,
      anon_sym_RPAREN,
    STATE(20036), 2,
      sym_block_comment,
      sym_line_comment,
  [397813] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26552), 1,
      anon_sym_RBRACK,
    STATE(20037), 2,
      sym_block_comment,
      sym_line_comment,
  [397827] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6979), 1,
      anon_sym_RPAREN,
    STATE(20038), 2,
      sym_block_comment,
      sym_line_comment,
  [397841] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26554), 1,
      anon_sym_RPAREN,
    STATE(20039), 2,
      sym_block_comment,
      sym_line_comment,
  [397855] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20910), 1,
      anon_sym_end,
    STATE(20040), 2,
      sym_block_comment,
      sym_line_comment,
  [397869] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26556), 1,
      anon_sym_RBRACK,
    STATE(20041), 2,
      sym_block_comment,
      sym_line_comment,
  [397883] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26558), 1,
      anon_sym_RBRACK,
    STATE(20042), 2,
      sym_block_comment,
      sym_line_comment,
  [397897] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26560), 1,
      anon_sym_end,
    STATE(20043), 2,
      sym_block_comment,
      sym_line_comment,
  [397911] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18832), 1,
      anon_sym_RBRACE,
    STATE(20044), 2,
      sym_block_comment,
      sym_line_comment,
  [397925] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26562), 1,
      anon_sym_end,
    STATE(20045), 2,
      sym_block_comment,
      sym_line_comment,
  [397939] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26564), 1,
      anon_sym_RBRACK,
    STATE(20046), 2,
      sym_block_comment,
      sym_line_comment,
  [397953] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21149), 1,
      anon_sym_end,
    STATE(20047), 2,
      sym_block_comment,
      sym_line_comment,
  [397967] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26566), 1,
      anon_sym_end,
    STATE(20048), 2,
      sym_block_comment,
      sym_line_comment,
  [397981] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26568), 1,
      anon_sym_end,
    STATE(20049), 2,
      sym_block_comment,
      sym_line_comment,
  [397995] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26570), 1,
      anon_sym_RPAREN,
    STATE(20050), 2,
      sym_block_comment,
      sym_line_comment,
  [398009] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26572), 1,
      anon_sym_end,
    STATE(20051), 2,
      sym_block_comment,
      sym_line_comment,
  [398023] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26574), 1,
      anon_sym_end,
    STATE(20052), 2,
      sym_block_comment,
      sym_line_comment,
  [398037] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26576), 1,
      anon_sym_end,
    STATE(20053), 2,
      sym_block_comment,
      sym_line_comment,
  [398051] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26578), 1,
      anon_sym_RBRACK,
    STATE(20054), 2,
      sym_block_comment,
      sym_line_comment,
  [398065] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9957), 1,
      anon_sym_DASH_GT,
    STATE(20055), 2,
      sym_block_comment,
      sym_line_comment,
  [398079] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26580), 1,
      anon_sym_end,
    STATE(20056), 2,
      sym_block_comment,
      sym_line_comment,
  [398093] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26582), 1,
      anon_sym_end,
    STATE(20057), 2,
      sym_block_comment,
      sym_line_comment,
  [398107] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7771), 1,
      anon_sym_RPAREN,
    STATE(20058), 2,
      sym_block_comment,
      sym_line_comment,
  [398121] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7489), 1,
      anon_sym_RPAREN,
    STATE(20059), 2,
      sym_block_comment,
      sym_line_comment,
  [398135] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26584), 1,
      anon_sym_end,
    STATE(20060), 2,
      sym_block_comment,
      sym_line_comment,
  [398149] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26586), 1,
      anon_sym_RPAREN,
    STATE(20061), 2,
      sym_block_comment,
      sym_line_comment,
  [398163] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26588), 1,
      anon_sym_RBRACK,
    STATE(20062), 2,
      sym_block_comment,
      sym_line_comment,
  [398177] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8755), 1,
      anon_sym_RPAREN,
    STATE(20063), 2,
      sym_block_comment,
      sym_line_comment,
  [398191] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26590), 1,
      anon_sym_end,
    STATE(20064), 2,
      sym_block_comment,
      sym_line_comment,
  [398205] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26592), 1,
      anon_sym_end,
    STATE(20065), 2,
      sym_block_comment,
      sym_line_comment,
  [398219] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26594), 1,
      anon_sym_end,
    STATE(20066), 2,
      sym_block_comment,
      sym_line_comment,
  [398233] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26596), 1,
      anon_sym_RBRACK,
    STATE(20067), 2,
      sym_block_comment,
      sym_line_comment,
  [398247] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26598), 1,
      anon_sym_RBRACK,
    STATE(20068), 2,
      sym_block_comment,
      sym_line_comment,
  [398261] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19254), 1,
      anon_sym_RBRACE,
    STATE(20069), 2,
      sym_block_comment,
      sym_line_comment,
  [398275] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26600), 1,
      anon_sym_end,
    STATE(20070), 2,
      sym_block_comment,
      sym_line_comment,
  [398289] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13375), 1,
      anon_sym_RPAREN,
    STATE(20071), 2,
      sym_block_comment,
      sym_line_comment,
  [398303] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7351), 1,
      anon_sym_RPAREN,
    STATE(20072), 2,
      sym_block_comment,
      sym_line_comment,
  [398317] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26602), 1,
      anon_sym_end,
    STATE(20073), 2,
      sym_block_comment,
      sym_line_comment,
  [398331] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26604), 1,
      anon_sym_end,
    STATE(20074), 2,
      sym_block_comment,
      sym_line_comment,
  [398345] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26606), 1,
      anon_sym_end,
    STATE(20075), 2,
      sym_block_comment,
      sym_line_comment,
  [398359] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26608), 1,
      anon_sym_end,
    STATE(20076), 2,
      sym_block_comment,
      sym_line_comment,
  [398373] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8421), 1,
      anon_sym_RPAREN,
    STATE(20077), 2,
      sym_block_comment,
      sym_line_comment,
  [398387] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26610), 1,
      anon_sym_RBRACK,
    STATE(20078), 2,
      sym_block_comment,
      sym_line_comment,
  [398401] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8973), 1,
      anon_sym_RPAREN,
    STATE(20079), 2,
      sym_block_comment,
      sym_line_comment,
  [398415] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9043), 1,
      anon_sym_RPAREN,
    STATE(20080), 2,
      sym_block_comment,
      sym_line_comment,
  [398429] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26612), 1,
      anon_sym_RBRACK,
    STATE(20081), 2,
      sym_block_comment,
      sym_line_comment,
  [398443] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26614), 1,
      anon_sym_end,
    STATE(20082), 2,
      sym_block_comment,
      sym_line_comment,
  [398457] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26616), 1,
      anon_sym_RPAREN,
    STATE(20083), 2,
      sym_block_comment,
      sym_line_comment,
  [398471] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26618), 1,
      anon_sym_end,
    STATE(20084), 2,
      sym_block_comment,
      sym_line_comment,
  [398485] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26620), 1,
      anon_sym_end,
    STATE(20085), 2,
      sym_block_comment,
      sym_line_comment,
  [398499] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26622), 1,
      anon_sym_end,
    STATE(20086), 2,
      sym_block_comment,
      sym_line_comment,
  [398513] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26624), 1,
      anon_sym_end,
    STATE(20087), 2,
      sym_block_comment,
      sym_line_comment,
  [398527] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13357), 1,
      anon_sym_RPAREN,
    STATE(20088), 2,
      sym_block_comment,
      sym_line_comment,
  [398541] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(9011), 1,
      anon_sym_RPAREN,
    STATE(20089), 2,
      sym_block_comment,
      sym_line_comment,
  [398555] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13357), 1,
      anon_sym_RPAREN,
    STATE(20090), 2,
      sym_block_comment,
      sym_line_comment,
  [398569] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26626), 1,
      anon_sym_EQ,
    STATE(20091), 2,
      sym_block_comment,
      sym_line_comment,
  [398583] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26628), 1,
      anon_sym_COLON2,
    STATE(20092), 2,
      sym_block_comment,
      sym_line_comment,
  [398597] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26630), 1,
      anon_sym_DASH_GT,
    STATE(20093), 2,
      sym_block_comment,
      sym_line_comment,
  [398611] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26632), 1,
      anon_sym_end,
    STATE(20094), 2,
      sym_block_comment,
      sym_line_comment,
  [398625] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15729), 1,
      sym__immediate_paren,
    STATE(20095), 2,
      sym_block_comment,
      sym_line_comment,
  [398639] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26634), 1,
      anon_sym_RBRACK,
    STATE(20096), 2,
      sym_block_comment,
      sym_line_comment,
  [398653] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26636), 1,
      anon_sym_end,
    STATE(20097), 2,
      sym_block_comment,
      sym_line_comment,
  [398667] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26638), 1,
      anon_sym_EQ,
    STATE(20098), 2,
      sym_block_comment,
      sym_line_comment,
  [398681] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7029), 1,
      anon_sym_RPAREN,
    STATE(20099), 2,
      sym_block_comment,
      sym_line_comment,
  [398695] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26640), 1,
      anon_sym_RBRACK,
    STATE(20100), 2,
      sym_block_comment,
      sym_line_comment,
  [398709] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26642), 1,
      anon_sym_end,
    STATE(20101), 2,
      sym_block_comment,
      sym_line_comment,
  [398723] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15473), 1,
      anon_sym_DASH_GT,
    STATE(20102), 2,
      sym_block_comment,
      sym_line_comment,
  [398737] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20466), 1,
      anon_sym_end,
    STATE(20103), 2,
      sym_block_comment,
      sym_line_comment,
  [398751] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26644), 1,
      anon_sym_RBRACK,
    STATE(20104), 2,
      sym_block_comment,
      sym_line_comment,
  [398765] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8467), 1,
      anon_sym_RPAREN,
    STATE(20105), 2,
      sym_block_comment,
      sym_line_comment,
  [398779] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19122), 1,
      anon_sym_RBRACE,
    STATE(20106), 2,
      sym_block_comment,
      sym_line_comment,
  [398793] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(17397), 1,
      sym__immediate_paren,
    STATE(20107), 2,
      sym_block_comment,
      sym_line_comment,
  [398807] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26646), 1,
      anon_sym_end,
    STATE(20108), 2,
      sym_block_comment,
      sym_line_comment,
  [398821] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26648), 1,
      anon_sym_end,
    STATE(20109), 2,
      sym_block_comment,
      sym_line_comment,
  [398835] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26650), 1,
      anon_sym_EQ,
    STATE(20110), 2,
      sym_block_comment,
      sym_line_comment,
  [398849] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13373), 1,
      anon_sym_RPAREN,
    STATE(20111), 2,
      sym_block_comment,
      sym_line_comment,
  [398863] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26652), 1,
      anon_sym_end,
    STATE(20112), 2,
      sym_block_comment,
      sym_line_comment,
  [398877] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8953), 1,
      anon_sym_RPAREN,
    STATE(20113), 2,
      sym_block_comment,
      sym_line_comment,
  [398891] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26654), 1,
      anon_sym_RBRACK,
    STATE(20114), 2,
      sym_block_comment,
      sym_line_comment,
  [398905] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26656), 1,
      anon_sym_EQ,
    STATE(20115), 2,
      sym_block_comment,
      sym_line_comment,
  [398919] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26658), 1,
      anon_sym_end,
    STATE(20116), 2,
      sym_block_comment,
      sym_line_comment,
  [398933] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26660), 1,
      anon_sym_end,
    STATE(20117), 2,
      sym_block_comment,
      sym_line_comment,
  [398947] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26662), 1,
      anon_sym_RPAREN,
    STATE(20118), 2,
      sym_block_comment,
      sym_line_comment,
  [398961] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26664), 1,
      anon_sym_end,
    STATE(20119), 2,
      sym_block_comment,
      sym_line_comment,
  [398975] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26666), 1,
      anon_sym_end,
    STATE(20120), 2,
      sym_block_comment,
      sym_line_comment,
  [398989] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26668), 1,
      anon_sym_end,
    STATE(20121), 2,
      sym_block_comment,
      sym_line_comment,
  [399003] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26670), 1,
      anon_sym_end,
    STATE(20122), 2,
      sym_block_comment,
      sym_line_comment,
  [399017] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26672), 1,
      anon_sym_end,
    STATE(20123), 2,
      sym_block_comment,
      sym_line_comment,
  [399031] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26674), 1,
      anon_sym_end,
    STATE(20124), 2,
      sym_block_comment,
      sym_line_comment,
  [399045] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20928), 1,
      anon_sym_end,
    STATE(20125), 2,
      sym_block_comment,
      sym_line_comment,
  [399059] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26676), 1,
      anon_sym_RBRACK,
    STATE(20126), 2,
      sym_block_comment,
      sym_line_comment,
  [399073] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26678), 1,
      anon_sym_end,
    STATE(20127), 2,
      sym_block_comment,
      sym_line_comment,
  [399087] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26680), 1,
      anon_sym_COLON2,
    STATE(20128), 2,
      sym_block_comment,
      sym_line_comment,
  [399101] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26682), 1,
      ts_builtin_sym_end,
    STATE(20129), 2,
      sym_block_comment,
      sym_line_comment,
  [399115] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21153), 1,
      anon_sym_end,
    STATE(20130), 2,
      sym_block_comment,
      sym_line_comment,
  [399129] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26684), 1,
      anon_sym_RBRACK,
    STATE(20131), 2,
      sym_block_comment,
      sym_line_comment,
  [399143] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26686), 1,
      anon_sym_RBRACK,
    STATE(20132), 2,
      sym_block_comment,
      sym_line_comment,
  [399157] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26688), 1,
      anon_sym_end,
    STATE(20133), 2,
      sym_block_comment,
      sym_line_comment,
  [399171] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26690), 1,
      anon_sym_end,
    STATE(20134), 2,
      sym_block_comment,
      sym_line_comment,
  [399185] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26692), 1,
      anon_sym_end,
    STATE(20135), 2,
      sym_block_comment,
      sym_line_comment,
  [399199] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26694), 1,
      anon_sym_end,
    STATE(20136), 2,
      sym_block_comment,
      sym_line_comment,
  [399213] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13277), 1,
      anon_sym_RPAREN,
    STATE(20137), 2,
      sym_block_comment,
      sym_line_comment,
  [399227] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6813), 1,
      anon_sym_RPAREN,
    STATE(20138), 2,
      sym_block_comment,
      sym_line_comment,
  [399241] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(18826), 1,
      anon_sym_RBRACE,
    STATE(20139), 2,
      sym_block_comment,
      sym_line_comment,
  [399255] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26696), 1,
      anon_sym_RPAREN,
    STATE(20140), 2,
      sym_block_comment,
      sym_line_comment,
  [399269] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26698), 1,
      anon_sym_RBRACK,
    STATE(20141), 2,
      sym_block_comment,
      sym_line_comment,
  [399283] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26700), 1,
      anon_sym_RPAREN,
    STATE(20142), 2,
      sym_block_comment,
      sym_line_comment,
  [399297] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13277), 1,
      anon_sym_RPAREN,
    STATE(20143), 2,
      sym_block_comment,
      sym_line_comment,
  [399311] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13351), 1,
      anon_sym_RPAREN,
    STATE(20144), 2,
      sym_block_comment,
      sym_line_comment,
  [399325] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26702), 1,
      anon_sym_end,
    STATE(20145), 2,
      sym_block_comment,
      sym_line_comment,
  [399339] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26704), 1,
      anon_sym_end,
    STATE(20146), 2,
      sym_block_comment,
      sym_line_comment,
  [399353] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26706), 1,
      anon_sym_end,
    STATE(20147), 2,
      sym_block_comment,
      sym_line_comment,
  [399367] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26708), 1,
      anon_sym_end,
    STATE(20148), 2,
      sym_block_comment,
      sym_line_comment,
  [399381] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26710), 1,
      anon_sym_EQ,
    STATE(20149), 2,
      sym_block_comment,
      sym_line_comment,
  [399395] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7009), 1,
      anon_sym_RPAREN,
    STATE(20150), 2,
      sym_block_comment,
      sym_line_comment,
  [399409] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19226), 1,
      anon_sym_RBRACE,
    STATE(20151), 2,
      sym_block_comment,
      sym_line_comment,
  [399423] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7641), 1,
      anon_sym_RPAREN,
    STATE(20152), 2,
      sym_block_comment,
      sym_line_comment,
  [399437] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26712), 1,
      anon_sym_RPAREN,
    STATE(20153), 2,
      sym_block_comment,
      sym_line_comment,
  [399451] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26714), 1,
      anon_sym_end,
    STATE(20154), 2,
      sym_block_comment,
      sym_line_comment,
  [399465] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26716), 1,
      anon_sym_end,
    STATE(20155), 2,
      sym_block_comment,
      sym_line_comment,
  [399479] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20936), 1,
      anon_sym_end,
    STATE(20156), 2,
      sym_block_comment,
      sym_line_comment,
  [399493] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26718), 1,
      anon_sym_RBRACK,
    STATE(20157), 2,
      sym_block_comment,
      sym_line_comment,
  [399507] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24526), 1,
      anon_sym_end,
    STATE(20158), 2,
      sym_block_comment,
      sym_line_comment,
  [399521] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26720), 1,
      anon_sym_end,
    STATE(20159), 2,
      sym_block_comment,
      sym_line_comment,
  [399535] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26722), 1,
      anon_sym_end,
    STATE(20160), 2,
      sym_block_comment,
      sym_line_comment,
  [399549] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26724), 1,
      anon_sym_RBRACK,
    STATE(20161), 2,
      sym_block_comment,
      sym_line_comment,
  [399563] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26726), 1,
      anon_sym_end,
    STATE(20162), 2,
      sym_block_comment,
      sym_line_comment,
  [399577] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26728), 1,
      anon_sym_end,
    STATE(20163), 2,
      sym_block_comment,
      sym_line_comment,
  [399591] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26730), 1,
      anon_sym_end,
    STATE(20164), 2,
      sym_block_comment,
      sym_line_comment,
  [399605] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26732), 1,
      anon_sym_RBRACK,
    STATE(20165), 2,
      sym_block_comment,
      sym_line_comment,
  [399619] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26734), 1,
      anon_sym_end,
    STATE(20166), 2,
      sym_block_comment,
      sym_line_comment,
  [399633] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26736), 1,
      anon_sym_RBRACK,
    STATE(20167), 2,
      sym_block_comment,
      sym_line_comment,
  [399647] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26738), 1,
      anon_sym_end,
    STATE(20168), 2,
      sym_block_comment,
      sym_line_comment,
  [399661] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26740), 1,
      anon_sym_DASH_GT,
    STATE(20169), 2,
      sym_block_comment,
      sym_line_comment,
  [399675] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26742), 1,
      anon_sym_end,
    STATE(20170), 2,
      sym_block_comment,
      sym_line_comment,
  [399689] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13373), 1,
      anon_sym_RPAREN,
    STATE(20171), 2,
      sym_block_comment,
      sym_line_comment,
  [399703] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26744), 1,
      anon_sym_RBRACK,
    STATE(20172), 2,
      sym_block_comment,
      sym_line_comment,
  [399717] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26746), 1,
      anon_sym_end,
    STATE(20173), 2,
      sym_block_comment,
      sym_line_comment,
  [399731] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26748), 1,
      anon_sym_end,
    STATE(20174), 2,
      sym_block_comment,
      sym_line_comment,
  [399745] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26750), 1,
      anon_sym_RBRACK,
    STATE(20175), 2,
      sym_block_comment,
      sym_line_comment,
  [399759] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26752), 1,
      anon_sym_end,
    STATE(20176), 2,
      sym_block_comment,
      sym_line_comment,
  [399773] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26754), 1,
      anon_sym_RPAREN,
    STATE(20177), 2,
      sym_block_comment,
      sym_line_comment,
  [399787] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26756), 1,
      anon_sym_end,
    STATE(20178), 2,
      sym_block_comment,
      sym_line_comment,
  [399801] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26758), 1,
      anon_sym_EQ,
    STATE(20179), 2,
      sym_block_comment,
      sym_line_comment,
  [399815] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19230), 1,
      anon_sym_RBRACE,
    STATE(20180), 2,
      sym_block_comment,
      sym_line_comment,
  [399829] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26760), 1,
      anon_sym_RPAREN,
    STATE(20181), 2,
      sym_block_comment,
      sym_line_comment,
  [399843] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26762), 1,
      anon_sym_end,
    STATE(20182), 2,
      sym_block_comment,
      sym_line_comment,
  [399857] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13325), 1,
      anon_sym_RPAREN,
    STATE(20183), 2,
      sym_block_comment,
      sym_line_comment,
  [399871] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26764), 1,
      anon_sym_RBRACK,
    STATE(20184), 2,
      sym_block_comment,
      sym_line_comment,
  [399885] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26766), 1,
      anon_sym_end,
    STATE(20185), 2,
      sym_block_comment,
      sym_line_comment,
  [399899] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26768), 1,
      anon_sym_COLON2,
    STATE(20186), 2,
      sym_block_comment,
      sym_line_comment,
  [399913] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26770), 1,
      anon_sym_end,
    STATE(20187), 2,
      sym_block_comment,
      sym_line_comment,
  [399927] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26772), 1,
      anon_sym_RBRACK,
    STATE(20188), 2,
      sym_block_comment,
      sym_line_comment,
  [399941] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26774), 1,
      anon_sym_EQ,
    STATE(20189), 2,
      sym_block_comment,
      sym_line_comment,
  [399955] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26776), 1,
      anon_sym_end,
    STATE(20190), 2,
      sym_block_comment,
      sym_line_comment,
  [399969] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19104), 1,
      anon_sym_RBRACE,
    STATE(20191), 2,
      sym_block_comment,
      sym_line_comment,
  [399983] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26778), 1,
      anon_sym_end,
    STATE(20192), 2,
      sym_block_comment,
      sym_line_comment,
  [399997] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26780), 1,
      anon_sym_end,
    STATE(20193), 2,
      sym_block_comment,
      sym_line_comment,
  [400011] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26782), 1,
      anon_sym_DASH_GT,
    STATE(20194), 2,
      sym_block_comment,
      sym_line_comment,
  [400025] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19134), 1,
      anon_sym_RBRACE,
    STATE(20195), 2,
      sym_block_comment,
      sym_line_comment,
  [400039] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13351), 1,
      anon_sym_RPAREN,
    STATE(20196), 2,
      sym_block_comment,
      sym_line_comment,
  [400053] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26784), 1,
      anon_sym_end,
    STATE(20197), 2,
      sym_block_comment,
      sym_line_comment,
  [400067] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26786), 1,
      anon_sym_end,
    STATE(20198), 2,
      sym_block_comment,
      sym_line_comment,
  [400081] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26788), 1,
      anon_sym_end,
    STATE(20199), 2,
      sym_block_comment,
      sym_line_comment,
  [400095] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7725), 1,
      anon_sym_RPAREN,
    STATE(20200), 2,
      sym_block_comment,
      sym_line_comment,
  [400109] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26790), 1,
      anon_sym_DASH_GT,
    STATE(20201), 2,
      sym_block_comment,
      sym_line_comment,
  [400123] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13281), 1,
      anon_sym_RPAREN,
    STATE(20202), 2,
      sym_block_comment,
      sym_line_comment,
  [400137] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26792), 1,
      anon_sym_end,
    STATE(20203), 2,
      sym_block_comment,
      sym_line_comment,
  [400151] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26794), 1,
      anon_sym_end,
    STATE(20204), 2,
      sym_block_comment,
      sym_line_comment,
  [400165] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7349), 1,
      anon_sym_RPAREN,
    STATE(20205), 2,
      sym_block_comment,
      sym_line_comment,
  [400179] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15871), 1,
      anon_sym_DASH_GT,
    STATE(20206), 2,
      sym_block_comment,
      sym_line_comment,
  [400193] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8693), 1,
      anon_sym_RPAREN,
    STATE(20207), 2,
      sym_block_comment,
      sym_line_comment,
  [400207] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26796), 1,
      anon_sym_RBRACK,
    STATE(20208), 2,
      sym_block_comment,
      sym_line_comment,
  [400221] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19142), 1,
      anon_sym_RBRACE,
    STATE(20209), 2,
      sym_block_comment,
      sym_line_comment,
  [400235] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26798), 1,
      anon_sym_COLON2,
    STATE(20210), 2,
      sym_block_comment,
      sym_line_comment,
  [400249] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26800), 1,
      anon_sym_RBRACK,
    STATE(20211), 2,
      sym_block_comment,
      sym_line_comment,
  [400263] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7865), 1,
      anon_sym_RPAREN,
    STATE(20212), 2,
      sym_block_comment,
      sym_line_comment,
  [400277] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13387), 1,
      anon_sym_RPAREN,
    STATE(20213), 2,
      sym_block_comment,
      sym_line_comment,
  [400291] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13311), 1,
      anon_sym_RPAREN,
    STATE(20214), 2,
      sym_block_comment,
      sym_line_comment,
  [400305] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26802), 1,
      anon_sym_end,
    STATE(20215), 2,
      sym_block_comment,
      sym_line_comment,
  [400319] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13311), 1,
      anon_sym_RPAREN,
    STATE(20216), 2,
      sym_block_comment,
      sym_line_comment,
  [400333] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26804), 1,
      anon_sym_RPAREN,
    STATE(20217), 2,
      sym_block_comment,
      sym_line_comment,
  [400347] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26806), 1,
      anon_sym_end,
    STATE(20218), 2,
      sym_block_comment,
      sym_line_comment,
  [400361] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26808), 1,
      anon_sym_end,
    STATE(20219), 2,
      sym_block_comment,
      sym_line_comment,
  [400375] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26810), 1,
      anon_sym_EQ,
    STATE(20220), 2,
      sym_block_comment,
      sym_line_comment,
  [400389] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26812), 1,
      anon_sym_end,
    STATE(20221), 2,
      sym_block_comment,
      sym_line_comment,
  [400403] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26814), 1,
      anon_sym_RBRACK,
    STATE(20222), 2,
      sym_block_comment,
      sym_line_comment,
  [400417] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(15821), 1,
      anon_sym_DASH_GT,
    STATE(20223), 2,
      sym_block_comment,
      sym_line_comment,
  [400431] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26816), 1,
      anon_sym_RBRACK,
    STATE(20224), 2,
      sym_block_comment,
      sym_line_comment,
  [400445] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26818), 1,
      anon_sym_end,
    STATE(20225), 2,
      sym_block_comment,
      sym_line_comment,
  [400459] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13315), 1,
      anon_sym_RPAREN,
    STATE(20226), 2,
      sym_block_comment,
      sym_line_comment,
  [400473] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26820), 1,
      anon_sym_end,
    STATE(20227), 2,
      sym_block_comment,
      sym_line_comment,
  [400487] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6969), 1,
      anon_sym_RPAREN,
    STATE(20228), 2,
      sym_block_comment,
      sym_line_comment,
  [400501] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(23743), 1,
      anon_sym_end,
    STATE(20229), 2,
      sym_block_comment,
      sym_line_comment,
  [400515] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6923), 1,
      anon_sym_RPAREN,
    STATE(20230), 2,
      sym_block_comment,
      sym_line_comment,
  [400529] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26822), 1,
      anon_sym_COLON2,
    STATE(20231), 2,
      sym_block_comment,
      sym_line_comment,
  [400543] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13387), 1,
      anon_sym_RPAREN,
    STATE(20232), 2,
      sym_block_comment,
      sym_line_comment,
  [400557] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26824), 1,
      anon_sym_RBRACK,
    STATE(20233), 2,
      sym_block_comment,
      sym_line_comment,
  [400571] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26826), 1,
      anon_sym_RBRACK,
    STATE(20234), 2,
      sym_block_comment,
      sym_line_comment,
  [400585] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26828), 1,
      anon_sym_RBRACK,
    STATE(20235), 2,
      sym_block_comment,
      sym_line_comment,
  [400599] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26830), 1,
      anon_sym_end,
    STATE(20236), 2,
      sym_block_comment,
      sym_line_comment,
  [400613] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26832), 1,
      anon_sym_COLON2,
    STATE(20237), 2,
      sym_block_comment,
      sym_line_comment,
  [400627] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26834), 1,
      anon_sym_RPAREN,
    STATE(20238), 2,
      sym_block_comment,
      sym_line_comment,
  [400641] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26836), 1,
      anon_sym_RPAREN,
    STATE(20239), 2,
      sym_block_comment,
      sym_line_comment,
  [400655] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26838), 1,
      anon_sym_RBRACK,
    STATE(20240), 2,
      sym_block_comment,
      sym_line_comment,
  [400669] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8067), 1,
      anon_sym_RPAREN,
    STATE(20241), 2,
      sym_block_comment,
      sym_line_comment,
  [400683] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26840), 1,
      anon_sym_end,
    STATE(20242), 2,
      sym_block_comment,
      sym_line_comment,
  [400697] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26842), 1,
      anon_sym_end,
    STATE(20243), 2,
      sym_block_comment,
      sym_line_comment,
  [400711] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21082), 1,
      anon_sym_end,
    STATE(20244), 2,
      sym_block_comment,
      sym_line_comment,
  [400725] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26844), 1,
      anon_sym_COLON2,
    STATE(20245), 2,
      sym_block_comment,
      sym_line_comment,
  [400739] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13375), 1,
      anon_sym_RPAREN,
    STATE(20246), 2,
      sym_block_comment,
      sym_line_comment,
  [400753] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8501), 1,
      anon_sym_RPAREN,
    STATE(20247), 2,
      sym_block_comment,
      sym_line_comment,
  [400767] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26846), 1,
      anon_sym_end,
    STATE(20248), 2,
      sym_block_comment,
      sym_line_comment,
  [400781] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26848), 1,
      anon_sym_end,
    STATE(20249), 2,
      sym_block_comment,
      sym_line_comment,
  [400795] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26850), 1,
      anon_sym_end,
    STATE(20250), 2,
      sym_block_comment,
      sym_line_comment,
  [400809] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8955), 1,
      anon_sym_RPAREN,
    STATE(20251), 2,
      sym_block_comment,
      sym_line_comment,
  [400823] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26852), 1,
      anon_sym_RBRACK,
    STATE(20252), 2,
      sym_block_comment,
      sym_line_comment,
  [400837] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26854), 1,
      anon_sym_end,
    STATE(20253), 2,
      sym_block_comment,
      sym_line_comment,
  [400851] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26856), 1,
      anon_sym_end,
    STATE(20254), 2,
      sym_block_comment,
      sym_line_comment,
  [400865] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7837), 1,
      anon_sym_RPAREN,
    STATE(20255), 2,
      sym_block_comment,
      sym_line_comment,
  [400879] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26858), 1,
      anon_sym_end,
    STATE(20256), 2,
      sym_block_comment,
      sym_line_comment,
  [400893] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20958), 1,
      anon_sym_end,
    STATE(20257), 2,
      sym_block_comment,
      sym_line_comment,
  [400907] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26860), 1,
      anon_sym_end,
    STATE(20258), 2,
      sym_block_comment,
      sym_line_comment,
  [400921] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26862), 1,
      anon_sym_end,
    STATE(20259), 2,
      sym_block_comment,
      sym_line_comment,
  [400935] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26864), 1,
      anon_sym_end,
    STATE(20260), 2,
      sym_block_comment,
      sym_line_comment,
  [400949] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26866), 1,
      anon_sym_DASH_GT,
    STATE(20261), 2,
      sym_block_comment,
      sym_line_comment,
  [400963] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6769), 1,
      anon_sym_RPAREN,
    STATE(20262), 2,
      sym_block_comment,
      sym_line_comment,
  [400977] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26868), 1,
      anon_sym_end,
    STATE(20263), 2,
      sym_block_comment,
      sym_line_comment,
  [400991] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8881), 1,
      anon_sym_RPAREN,
    STATE(20264), 2,
      sym_block_comment,
      sym_line_comment,
  [401005] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13287), 1,
      anon_sym_RPAREN,
    STATE(20265), 2,
      sym_block_comment,
      sym_line_comment,
  [401019] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26870), 1,
      anon_sym_EQ,
    STATE(20266), 2,
      sym_block_comment,
      sym_line_comment,
  [401033] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6673), 1,
      anon_sym_RPAREN,
    STATE(20267), 2,
      sym_block_comment,
      sym_line_comment,
  [401047] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26872), 1,
      anon_sym_RBRACK,
    STATE(20268), 2,
      sym_block_comment,
      sym_line_comment,
  [401061] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(24562), 1,
      anon_sym_end,
    STATE(20269), 2,
      sym_block_comment,
      sym_line_comment,
  [401075] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20600), 1,
      anon_sym_end,
    STATE(20270), 2,
      sym_block_comment,
      sym_line_comment,
  [401089] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26874), 1,
      anon_sym_end,
    STATE(20271), 2,
      sym_block_comment,
      sym_line_comment,
  [401103] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13287), 1,
      anon_sym_RPAREN,
    STATE(20272), 2,
      sym_block_comment,
      sym_line_comment,
  [401117] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19214), 1,
      anon_sym_RBRACE,
    STATE(20273), 2,
      sym_block_comment,
      sym_line_comment,
  [401131] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10902), 1,
      sym__immediate_paren,
    STATE(20274), 2,
      sym_block_comment,
      sym_line_comment,
  [401145] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26876), 1,
      anon_sym_end,
    STATE(20275), 2,
      sym_block_comment,
      sym_line_comment,
  [401159] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26878), 1,
      anon_sym_end,
    STATE(20276), 2,
      sym_block_comment,
      sym_line_comment,
  [401173] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21048), 1,
      anon_sym_end,
    STATE(20277), 2,
      sym_block_comment,
      sym_line_comment,
  [401187] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26880), 1,
      anon_sym_RPAREN,
    STATE(20278), 2,
      sym_block_comment,
      sym_line_comment,
  [401201] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26882), 1,
      anon_sym_RPAREN,
    STATE(20279), 2,
      sym_block_comment,
      sym_line_comment,
  [401215] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26884), 1,
      anon_sym_RBRACK,
    STATE(20280), 2,
      sym_block_comment,
      sym_line_comment,
  [401229] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20438), 1,
      anon_sym_end,
    STATE(20281), 2,
      sym_block_comment,
      sym_line_comment,
  [401243] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26886), 1,
      anon_sym_end,
    STATE(20282), 2,
      sym_block_comment,
      sym_line_comment,
  [401257] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(10824), 1,
      sym__immediate_paren,
    STATE(20283), 2,
      sym_block_comment,
      sym_line_comment,
  [401271] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26888), 1,
      anon_sym_RBRACK,
    STATE(20284), 2,
      sym_block_comment,
      sym_line_comment,
  [401285] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26890), 1,
      anon_sym_RBRACK,
    STATE(20285), 2,
      sym_block_comment,
      sym_line_comment,
  [401299] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20470), 1,
      anon_sym_end,
    STATE(20286), 2,
      sym_block_comment,
      sym_line_comment,
  [401313] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26892), 1,
      anon_sym_RBRACK,
    STATE(20287), 2,
      sym_block_comment,
      sym_line_comment,
  [401327] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26894), 1,
      anon_sym_RBRACK,
    STATE(20288), 2,
      sym_block_comment,
      sym_line_comment,
  [401341] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26896), 1,
      anon_sym_EQ,
    STATE(20289), 2,
      sym_block_comment,
      sym_line_comment,
  [401355] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19092), 1,
      anon_sym_RBRACE,
    STATE(20290), 2,
      sym_block_comment,
      sym_line_comment,
  [401369] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7707), 1,
      anon_sym_RPAREN,
    STATE(20291), 2,
      sym_block_comment,
      sym_line_comment,
  [401383] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26898), 1,
      anon_sym_end,
    STATE(20292), 2,
      sym_block_comment,
      sym_line_comment,
  [401397] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(21794), 1,
      anon_sym_RPAREN,
    STATE(20293), 2,
      sym_block_comment,
      sym_line_comment,
  [401411] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19292), 1,
      anon_sym_RBRACE,
    STATE(20294), 2,
      sym_block_comment,
      sym_line_comment,
  [401425] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26900), 1,
      anon_sym_RPAREN,
    STATE(20295), 2,
      sym_block_comment,
      sym_line_comment,
  [401439] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19182), 1,
      anon_sym_RBRACE,
    STATE(20296), 2,
      sym_block_comment,
      sym_line_comment,
  [401453] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26902), 1,
      anon_sym_RBRACK,
    STATE(20297), 2,
      sym_block_comment,
      sym_line_comment,
  [401467] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26904), 1,
      anon_sym_RBRACK,
    STATE(20298), 2,
      sym_block_comment,
      sym_line_comment,
  [401481] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26906), 1,
      anon_sym_RBRACK,
    STATE(20299), 2,
      sym_block_comment,
      sym_line_comment,
  [401495] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26908), 1,
      anon_sym_end,
    STATE(20300), 2,
      sym_block_comment,
      sym_line_comment,
  [401509] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19116), 1,
      anon_sym_RBRACE,
    STATE(20301), 2,
      sym_block_comment,
      sym_line_comment,
  [401523] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26910), 1,
      anon_sym_end,
    STATE(20302), 2,
      sym_block_comment,
      sym_line_comment,
  [401537] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26912), 1,
      anon_sym_RPAREN,
    STATE(20303), 2,
      sym_block_comment,
      sym_line_comment,
  [401551] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26914), 1,
      anon_sym_end,
    STATE(20304), 2,
      sym_block_comment,
      sym_line_comment,
  [401565] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26916), 1,
      anon_sym_RBRACK,
    STATE(20305), 2,
      sym_block_comment,
      sym_line_comment,
  [401579] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26918), 1,
      anon_sym_RBRACK,
    STATE(20306), 2,
      sym_block_comment,
      sym_line_comment,
  [401593] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26920), 1,
      anon_sym_end,
    STATE(20307), 2,
      sym_block_comment,
      sym_line_comment,
  [401607] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26922), 1,
      anon_sym_end,
    STATE(20308), 2,
      sym_block_comment,
      sym_line_comment,
  [401621] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26924), 1,
      anon_sym_end,
    STATE(20309), 2,
      sym_block_comment,
      sym_line_comment,
  [401635] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26926), 1,
      anon_sym_end,
    STATE(20310), 2,
      sym_block_comment,
      sym_line_comment,
  [401649] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8645), 1,
      anon_sym_RPAREN,
    STATE(20311), 2,
      sym_block_comment,
      sym_line_comment,
  [401663] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26928), 1,
      anon_sym_RBRACK,
    STATE(20312), 2,
      sym_block_comment,
      sym_line_comment,
  [401677] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13291), 1,
      anon_sym_RPAREN,
    STATE(20313), 2,
      sym_block_comment,
      sym_line_comment,
  [401691] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26930), 1,
      anon_sym_end,
    STATE(20314), 2,
      sym_block_comment,
      sym_line_comment,
  [401705] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26932), 1,
      anon_sym_end,
    STATE(20315), 2,
      sym_block_comment,
      sym_line_comment,
  [401719] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26934), 1,
      anon_sym_EQ,
    STATE(20316), 2,
      sym_block_comment,
      sym_line_comment,
  [401733] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7191), 1,
      anon_sym_RPAREN,
    STATE(20317), 2,
      sym_block_comment,
      sym_line_comment,
  [401747] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26936), 1,
      anon_sym_end,
    STATE(20318), 2,
      sym_block_comment,
      sym_line_comment,
  [401761] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26938), 1,
      anon_sym_DASH_GT,
    STATE(20319), 2,
      sym_block_comment,
      sym_line_comment,
  [401775] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8965), 1,
      anon_sym_RPAREN,
    STATE(20320), 2,
      sym_block_comment,
      sym_line_comment,
  [401789] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26940), 1,
      anon_sym_end,
    STATE(20321), 2,
      sym_block_comment,
      sym_line_comment,
  [401803] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13325), 1,
      anon_sym_RPAREN,
    STATE(20322), 2,
      sym_block_comment,
      sym_line_comment,
  [401817] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20474), 1,
      anon_sym_end,
    STATE(20323), 2,
      sym_block_comment,
      sym_line_comment,
  [401831] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26942), 1,
      anon_sym_RBRACK,
    STATE(20324), 2,
      sym_block_comment,
      sym_line_comment,
  [401845] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26944), 1,
      anon_sym_end,
    STATE(20325), 2,
      sym_block_comment,
      sym_line_comment,
  [401859] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26946), 1,
      anon_sym_end,
    STATE(20326), 2,
      sym_block_comment,
      sym_line_comment,
  [401873] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20240), 1,
      anon_sym_end,
    STATE(20327), 2,
      sym_block_comment,
      sym_line_comment,
  [401887] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26948), 1,
      anon_sym_COLON2,
    STATE(20328), 2,
      sym_block_comment,
      sym_line_comment,
  [401901] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26950), 1,
      anon_sym_end,
    STATE(20329), 2,
      sym_block_comment,
      sym_line_comment,
  [401915] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26952), 1,
      anon_sym_end,
    STATE(20330), 2,
      sym_block_comment,
      sym_line_comment,
  [401929] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26954), 1,
      anon_sym_end,
    STATE(20331), 2,
      sym_block_comment,
      sym_line_comment,
  [401943] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26956), 1,
      anon_sym_RBRACK,
    STATE(20332), 2,
      sym_block_comment,
      sym_line_comment,
  [401957] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26958), 1,
      anon_sym_COLON2,
    STATE(20333), 2,
      sym_block_comment,
      sym_line_comment,
  [401971] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26960), 1,
      anon_sym_end,
    STATE(20334), 2,
      sym_block_comment,
      sym_line_comment,
  [401985] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26962), 1,
      anon_sym_end,
    STATE(20335), 2,
      sym_block_comment,
      sym_line_comment,
  [401999] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26964), 1,
      anon_sym_end,
    STATE(20336), 2,
      sym_block_comment,
      sym_line_comment,
  [402013] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26966), 1,
      anon_sym_RBRACK,
    STATE(20337), 2,
      sym_block_comment,
      sym_line_comment,
  [402027] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26968), 1,
      anon_sym_end,
    STATE(20338), 2,
      sym_block_comment,
      sym_line_comment,
  [402041] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26970), 1,
      anon_sym_end,
    STATE(20339), 2,
      sym_block_comment,
      sym_line_comment,
  [402055] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26972), 1,
      anon_sym_end,
    STATE(20340), 2,
      sym_block_comment,
      sym_line_comment,
  [402069] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26974), 1,
      anon_sym_end,
    STATE(20341), 2,
      sym_block_comment,
      sym_line_comment,
  [402083] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7773), 1,
      anon_sym_RPAREN,
    STATE(20342), 2,
      sym_block_comment,
      sym_line_comment,
  [402097] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26976), 1,
      anon_sym_end,
    STATE(20343), 2,
      sym_block_comment,
      sym_line_comment,
  [402111] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26978), 1,
      anon_sym_RBRACK,
    STATE(20344), 2,
      sym_block_comment,
      sym_line_comment,
  [402125] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26980), 1,
      anon_sym_end,
    STATE(20345), 2,
      sym_block_comment,
      sym_line_comment,
  [402139] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26982), 1,
      anon_sym_COLON2,
    STATE(20346), 2,
      sym_block_comment,
      sym_line_comment,
  [402153] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(8753), 1,
      anon_sym_RPAREN,
    STATE(20347), 2,
      sym_block_comment,
      sym_line_comment,
  [402167] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26984), 1,
      anon_sym_RBRACK,
    STATE(20348), 2,
      sym_block_comment,
      sym_line_comment,
  [402181] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(7749), 1,
      anon_sym_RPAREN,
    STATE(20349), 2,
      sym_block_comment,
      sym_line_comment,
  [402195] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(19192), 1,
      anon_sym_RBRACE,
    STATE(20350), 2,
      sym_block_comment,
      sym_line_comment,
  [402209] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(6669), 1,
      anon_sym_RPAREN,
    STATE(20351), 2,
      sym_block_comment,
      sym_line_comment,
  [402223] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20992), 1,
      anon_sym_end,
    STATE(20352), 2,
      sym_block_comment,
      sym_line_comment,
  [402237] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(20224), 1,
      anon_sym_end,
    STATE(20353), 2,
      sym_block_comment,
      sym_line_comment,
  [402251] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26986), 1,
      anon_sym_end,
    STATE(20354), 2,
      sym_block_comment,
      sym_line_comment,
  [402265] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26988), 1,
      anon_sym_RBRACK,
    STATE(20355), 2,
      sym_block_comment,
      sym_line_comment,
  [402279] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26990), 1,
      anon_sym_RBRACK,
    STATE(20356), 2,
      sym_block_comment,
      sym_line_comment,
  [402293] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(13391), 1,
      anon_sym_RPAREN,
    STATE(20357), 2,
      sym_block_comment,
      sym_line_comment,
  [402307] = 4,
    ACTIONS(3), 1,
      aux_sym_block_comment_token1,
    ACTIONS(5), 1,
      aux_sym_line_comment_token1,
    ACTIONS(26992), 1,
      anon_sym_end,
    STATE(20358), 2,
      sym_block_comment,
      sym_line_comment,
  [402321] = 1,
    ACTIONS(26994), 1,
      ts_builtin_sym_end,
  [402325] = 1,
    ACTIONS(26996), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(10070)] = 0,
  [SMALL_STATE(10071)] = 125,
  [SMALL_STATE(10072)] = 250,
  [SMALL_STATE(10073)] = 375,
  [SMALL_STATE(10074)] = 500,
  [SMALL_STATE(10075)] = 625,
  [SMALL_STATE(10076)] = 750,
  [SMALL_STATE(10077)] = 875,
  [SMALL_STATE(10078)] = 1000,
  [SMALL_STATE(10079)] = 1125,
  [SMALL_STATE(10080)] = 1250,
  [SMALL_STATE(10081)] = 1375,
  [SMALL_STATE(10082)] = 1500,
  [SMALL_STATE(10083)] = 1625,
  [SMALL_STATE(10084)] = 1750,
  [SMALL_STATE(10085)] = 1875,
  [SMALL_STATE(10086)] = 2000,
  [SMALL_STATE(10087)] = 2125,
  [SMALL_STATE(10088)] = 2250,
  [SMALL_STATE(10089)] = 2375,
  [SMALL_STATE(10090)] = 2500,
  [SMALL_STATE(10091)] = 2625,
  [SMALL_STATE(10092)] = 2750,
  [SMALL_STATE(10093)] = 2875,
  [SMALL_STATE(10094)] = 3000,
  [SMALL_STATE(10095)] = 3125,
  [SMALL_STATE(10096)] = 3250,
  [SMALL_STATE(10097)] = 3375,
  [SMALL_STATE(10098)] = 3500,
  [SMALL_STATE(10099)] = 3625,
  [SMALL_STATE(10100)] = 3750,
  [SMALL_STATE(10101)] = 3875,
  [SMALL_STATE(10102)] = 4000,
  [SMALL_STATE(10103)] = 4125,
  [SMALL_STATE(10104)] = 4250,
  [SMALL_STATE(10105)] = 4375,
  [SMALL_STATE(10106)] = 4500,
  [SMALL_STATE(10107)] = 4625,
  [SMALL_STATE(10108)] = 4750,
  [SMALL_STATE(10109)] = 4875,
  [SMALL_STATE(10110)] = 5000,
  [SMALL_STATE(10111)] = 5125,
  [SMALL_STATE(10112)] = 5250,
  [SMALL_STATE(10113)] = 5375,
  [SMALL_STATE(10114)] = 5500,
  [SMALL_STATE(10115)] = 5625,
  [SMALL_STATE(10116)] = 5750,
  [SMALL_STATE(10117)] = 5875,
  [SMALL_STATE(10118)] = 6000,
  [SMALL_STATE(10119)] = 6125,
  [SMALL_STATE(10120)] = 6250,
  [SMALL_STATE(10121)] = 6375,
  [SMALL_STATE(10122)] = 6500,
  [SMALL_STATE(10123)] = 6625,
  [SMALL_STATE(10124)] = 6750,
  [SMALL_STATE(10125)] = 6875,
  [SMALL_STATE(10126)] = 7000,
  [SMALL_STATE(10127)] = 7125,
  [SMALL_STATE(10128)] = 7250,
  [SMALL_STATE(10129)] = 7375,
  [SMALL_STATE(10130)] = 7500,
  [SMALL_STATE(10131)] = 7626,
  [SMALL_STATE(10132)] = 7748,
  [SMALL_STATE(10133)] = 7870,
  [SMALL_STATE(10134)] = 7992,
  [SMALL_STATE(10135)] = 8118,
  [SMALL_STATE(10136)] = 8244,
  [SMALL_STATE(10137)] = 8370,
  [SMALL_STATE(10138)] = 8496,
  [SMALL_STATE(10139)] = 8622,
  [SMALL_STATE(10140)] = 8748,
  [SMALL_STATE(10141)] = 8870,
  [SMALL_STATE(10142)] = 8996,
  [SMALL_STATE(10143)] = 9118,
  [SMALL_STATE(10144)] = 9240,
  [SMALL_STATE(10145)] = 9362,
  [SMALL_STATE(10146)] = 9488,
  [SMALL_STATE(10147)] = 9614,
  [SMALL_STATE(10148)] = 9740,
  [SMALL_STATE(10149)] = 9866,
  [SMALL_STATE(10150)] = 9992,
  [SMALL_STATE(10151)] = 10118,
  [SMALL_STATE(10152)] = 10244,
  [SMALL_STATE(10153)] = 10370,
  [SMALL_STATE(10154)] = 10492,
  [SMALL_STATE(10155)] = 10618,
  [SMALL_STATE(10156)] = 10744,
  [SMALL_STATE(10157)] = 10870,
  [SMALL_STATE(10158)] = 10992,
  [SMALL_STATE(10159)] = 11118,
  [SMALL_STATE(10160)] = 11244,
  [SMALL_STATE(10161)] = 11370,
  [SMALL_STATE(10162)] = 11496,
  [SMALL_STATE(10163)] = 11622,
  [SMALL_STATE(10164)] = 11748,
  [SMALL_STATE(10165)] = 11870,
  [SMALL_STATE(10166)] = 11996,
  [SMALL_STATE(10167)] = 12122,
  [SMALL_STATE(10168)] = 12244,
  [SMALL_STATE(10169)] = 12366,
  [SMALL_STATE(10170)] = 12492,
  [SMALL_STATE(10171)] = 12618,
  [SMALL_STATE(10172)] = 12744,
  [SMALL_STATE(10173)] = 12870,
  [SMALL_STATE(10174)] = 12996,
  [SMALL_STATE(10175)] = 13122,
  [SMALL_STATE(10176)] = 13244,
  [SMALL_STATE(10177)] = 13370,
  [SMALL_STATE(10178)] = 13496,
  [SMALL_STATE(10179)] = 13622,
  [SMALL_STATE(10180)] = 13748,
  [SMALL_STATE(10181)] = 13874,
  [SMALL_STATE(10182)] = 14000,
  [SMALL_STATE(10183)] = 14122,
  [SMALL_STATE(10184)] = 14244,
  [SMALL_STATE(10185)] = 14370,
  [SMALL_STATE(10186)] = 14496,
  [SMALL_STATE(10187)] = 14622,
  [SMALL_STATE(10188)] = 14748,
  [SMALL_STATE(10189)] = 14874,
  [SMALL_STATE(10190)] = 15000,
  [SMALL_STATE(10191)] = 15126,
  [SMALL_STATE(10192)] = 15252,
  [SMALL_STATE(10193)] = 15378,
  [SMALL_STATE(10194)] = 15504,
  [SMALL_STATE(10195)] = 15630,
  [SMALL_STATE(10196)] = 15756,
  [SMALL_STATE(10197)] = 15882,
  [SMALL_STATE(10198)] = 16004,
  [SMALL_STATE(10199)] = 16126,
  [SMALL_STATE(10200)] = 16252,
  [SMALL_STATE(10201)] = 16378,
  [SMALL_STATE(10202)] = 16504,
  [SMALL_STATE(10203)] = 16630,
  [SMALL_STATE(10204)] = 16756,
  [SMALL_STATE(10205)] = 16882,
  [SMALL_STATE(10206)] = 17008,
  [SMALL_STATE(10207)] = 17134,
  [SMALL_STATE(10208)] = 17260,
  [SMALL_STATE(10209)] = 17386,
  [SMALL_STATE(10210)] = 17508,
  [SMALL_STATE(10211)] = 17630,
  [SMALL_STATE(10212)] = 17756,
  [SMALL_STATE(10213)] = 17882,
  [SMALL_STATE(10214)] = 18008,
  [SMALL_STATE(10215)] = 18134,
  [SMALL_STATE(10216)] = 18260,
  [SMALL_STATE(10217)] = 18386,
  [SMALL_STATE(10218)] = 18512,
  [SMALL_STATE(10219)] = 18638,
  [SMALL_STATE(10220)] = 18764,
  [SMALL_STATE(10221)] = 18890,
  [SMALL_STATE(10222)] = 19016,
  [SMALL_STATE(10223)] = 19142,
  [SMALL_STATE(10224)] = 19264,
  [SMALL_STATE(10225)] = 19386,
  [SMALL_STATE(10226)] = 19512,
  [SMALL_STATE(10227)] = 19638,
  [SMALL_STATE(10228)] = 19764,
  [SMALL_STATE(10229)] = 19890,
  [SMALL_STATE(10230)] = 20016,
  [SMALL_STATE(10231)] = 20142,
  [SMALL_STATE(10232)] = 20268,
  [SMALL_STATE(10233)] = 20390,
  [SMALL_STATE(10234)] = 20516,
  [SMALL_STATE(10235)] = 20642,
  [SMALL_STATE(10236)] = 20768,
  [SMALL_STATE(10237)] = 20894,
  [SMALL_STATE(10238)] = 21020,
  [SMALL_STATE(10239)] = 21142,
  [SMALL_STATE(10240)] = 21268,
  [SMALL_STATE(10241)] = 21394,
  [SMALL_STATE(10242)] = 21516,
  [SMALL_STATE(10243)] = 21642,
  [SMALL_STATE(10244)] = 21768,
  [SMALL_STATE(10245)] = 21894,
  [SMALL_STATE(10246)] = 22020,
  [SMALL_STATE(10247)] = 22146,
  [SMALL_STATE(10248)] = 22268,
  [SMALL_STATE(10249)] = 22390,
  [SMALL_STATE(10250)] = 22516,
  [SMALL_STATE(10251)] = 22642,
  [SMALL_STATE(10252)] = 22768,
  [SMALL_STATE(10253)] = 22894,
  [SMALL_STATE(10254)] = 23020,
  [SMALL_STATE(10255)] = 23142,
  [SMALL_STATE(10256)] = 23264,
  [SMALL_STATE(10257)] = 23390,
  [SMALL_STATE(10258)] = 23516,
  [SMALL_STATE(10259)] = 23638,
  [SMALL_STATE(10260)] = 23760,
  [SMALL_STATE(10261)] = 23886,
  [SMALL_STATE(10262)] = 24012,
  [SMALL_STATE(10263)] = 24134,
  [SMALL_STATE(10264)] = 24256,
  [SMALL_STATE(10265)] = 24382,
  [SMALL_STATE(10266)] = 24508,
  [SMALL_STATE(10267)] = 24630,
  [SMALL_STATE(10268)] = 24756,
  [SMALL_STATE(10269)] = 24882,
  [SMALL_STATE(10270)] = 25008,
  [SMALL_STATE(10271)] = 25134,
  [SMALL_STATE(10272)] = 25260,
  [SMALL_STATE(10273)] = 25386,
  [SMALL_STATE(10274)] = 25512,
  [SMALL_STATE(10275)] = 25638,
  [SMALL_STATE(10276)] = 25764,
  [SMALL_STATE(10277)] = 25890,
  [SMALL_STATE(10278)] = 26012,
  [SMALL_STATE(10279)] = 26138,
  [SMALL_STATE(10280)] = 26264,
  [SMALL_STATE(10281)] = 26390,
  [SMALL_STATE(10282)] = 26516,
  [SMALL_STATE(10283)] = 26642,
  [SMALL_STATE(10284)] = 26764,
  [SMALL_STATE(10285)] = 26890,
  [SMALL_STATE(10286)] = 27016,
  [SMALL_STATE(10287)] = 27138,
  [SMALL_STATE(10288)] = 27264,
  [SMALL_STATE(10289)] = 27390,
  [SMALL_STATE(10290)] = 27516,
  [SMALL_STATE(10291)] = 27642,
  [SMALL_STATE(10292)] = 27768,
  [SMALL_STATE(10293)] = 27890,
  [SMALL_STATE(10294)] = 28016,
  [SMALL_STATE(10295)] = 28142,
  [SMALL_STATE(10296)] = 28268,
  [SMALL_STATE(10297)] = 28394,
  [SMALL_STATE(10298)] = 28520,
  [SMALL_STATE(10299)] = 28646,
  [SMALL_STATE(10300)] = 28772,
  [SMALL_STATE(10301)] = 28894,
  [SMALL_STATE(10302)] = 29020,
  [SMALL_STATE(10303)] = 29146,
  [SMALL_STATE(10304)] = 29272,
  [SMALL_STATE(10305)] = 29398,
  [SMALL_STATE(10306)] = 29520,
  [SMALL_STATE(10307)] = 29646,
  [SMALL_STATE(10308)] = 29768,
  [SMALL_STATE(10309)] = 29894,
  [SMALL_STATE(10310)] = 30016,
  [SMALL_STATE(10311)] = 30138,
  [SMALL_STATE(10312)] = 30264,
  [SMALL_STATE(10313)] = 30390,
  [SMALL_STATE(10314)] = 30512,
  [SMALL_STATE(10315)] = 30638,
  [SMALL_STATE(10316)] = 30764,
  [SMALL_STATE(10317)] = 30890,
  [SMALL_STATE(10318)] = 30962,
  [SMALL_STATE(10319)] = 31031,
  [SMALL_STATE(10320)] = 31100,
  [SMALL_STATE(10321)] = 31168,
  [SMALL_STATE(10322)] = 31236,
  [SMALL_STATE(10323)] = 31304,
  [SMALL_STATE(10324)] = 31371,
  [SMALL_STATE(10325)] = 31438,
  [SMALL_STATE(10326)] = 31505,
  [SMALL_STATE(10327)] = 31570,
  [SMALL_STATE(10328)] = 31636,
  [SMALL_STATE(10329)] = 31700,
  [SMALL_STATE(10330)] = 31763,
  [SMALL_STATE(10331)] = 31830,
  [SMALL_STATE(10332)] = 31897,
  [SMALL_STATE(10333)] = 31960,
  [SMALL_STATE(10334)] = 32023,
  [SMALL_STATE(10335)] = 32090,
  [SMALL_STATE(10336)] = 32153,
  [SMALL_STATE(10337)] = 32220,
  [SMALL_STATE(10338)] = 32284,
  [SMALL_STATE(10339)] = 32348,
  [SMALL_STATE(10340)] = 32412,
  [SMALL_STATE(10341)] = 32474,
  [SMALL_STATE(10342)] = 32536,
  [SMALL_STATE(10343)] = 32598,
  [SMALL_STATE(10344)] = 32660,
  [SMALL_STATE(10345)] = 32722,
  [SMALL_STATE(10346)] = 32786,
  [SMALL_STATE(10347)] = 32848,
  [SMALL_STATE(10348)] = 32910,
  [SMALL_STATE(10349)] = 32972,
  [SMALL_STATE(10350)] = 33034,
  [SMALL_STATE(10351)] = 33098,
  [SMALL_STATE(10352)] = 33160,
  [SMALL_STATE(10353)] = 33224,
  [SMALL_STATE(10354)] = 33288,
  [SMALL_STATE(10355)] = 33350,
  [SMALL_STATE(10356)] = 33412,
  [SMALL_STATE(10357)] = 33476,
  [SMALL_STATE(10358)] = 33537,
  [SMALL_STATE(10359)] = 33598,
  [SMALL_STATE(10360)] = 33659,
  [SMALL_STATE(10361)] = 33720,
  [SMALL_STATE(10362)] = 33781,
  [SMALL_STATE(10363)] = 33842,
  [SMALL_STATE(10364)] = 33905,
  [SMALL_STATE(10365)] = 33966,
  [SMALL_STATE(10366)] = 34027,
  [SMALL_STATE(10367)] = 34088,
  [SMALL_STATE(10368)] = 34149,
  [SMALL_STATE(10369)] = 34210,
  [SMALL_STATE(10370)] = 34271,
  [SMALL_STATE(10371)] = 34332,
  [SMALL_STATE(10372)] = 34393,
  [SMALL_STATE(10373)] = 34454,
  [SMALL_STATE(10374)] = 34515,
  [SMALL_STATE(10375)] = 34576,
  [SMALL_STATE(10376)] = 34637,
  [SMALL_STATE(10377)] = 34698,
  [SMALL_STATE(10378)] = 34759,
  [SMALL_STATE(10379)] = 34820,
  [SMALL_STATE(10380)] = 34881,
  [SMALL_STATE(10381)] = 34942,
  [SMALL_STATE(10382)] = 35003,
  [SMALL_STATE(10383)] = 35064,
  [SMALL_STATE(10384)] = 35125,
  [SMALL_STATE(10385)] = 35186,
  [SMALL_STATE(10386)] = 35247,
  [SMALL_STATE(10387)] = 35308,
  [SMALL_STATE(10388)] = 35369,
  [SMALL_STATE(10389)] = 35430,
  [SMALL_STATE(10390)] = 35491,
  [SMALL_STATE(10391)] = 35552,
  [SMALL_STATE(10392)] = 35613,
  [SMALL_STATE(10393)] = 35674,
  [SMALL_STATE(10394)] = 35735,
  [SMALL_STATE(10395)] = 35796,
  [SMALL_STATE(10396)] = 35857,
  [SMALL_STATE(10397)] = 35918,
  [SMALL_STATE(10398)] = 35979,
  [SMALL_STATE(10399)] = 36040,
  [SMALL_STATE(10400)] = 36101,
  [SMALL_STATE(10401)] = 36162,
  [SMALL_STATE(10402)] = 36225,
  [SMALL_STATE(10403)] = 36286,
  [SMALL_STATE(10404)] = 36347,
  [SMALL_STATE(10405)] = 36408,
  [SMALL_STATE(10406)] = 36469,
  [SMALL_STATE(10407)] = 36530,
  [SMALL_STATE(10408)] = 36591,
  [SMALL_STATE(10409)] = 36652,
  [SMALL_STATE(10410)] = 36713,
  [SMALL_STATE(10411)] = 36774,
  [SMALL_STATE(10412)] = 36835,
  [SMALL_STATE(10413)] = 36896,
  [SMALL_STATE(10414)] = 36957,
  [SMALL_STATE(10415)] = 37018,
  [SMALL_STATE(10416)] = 37079,
  [SMALL_STATE(10417)] = 37140,
  [SMALL_STATE(10418)] = 37204,
  [SMALL_STATE(10419)] = 37264,
  [SMALL_STATE(10420)] = 37326,
  [SMALL_STATE(10421)] = 37386,
  [SMALL_STATE(10422)] = 37446,
  [SMALL_STATE(10423)] = 37510,
  [SMALL_STATE(10424)] = 37572,
  [SMALL_STATE(10425)] = 37636,
  [SMALL_STATE(10426)] = 37700,
  [SMALL_STATE(10427)] = 37764,
  [SMALL_STATE(10428)] = 37824,
  [SMALL_STATE(10429)] = 37884,
  [SMALL_STATE(10430)] = 37944,
  [SMALL_STATE(10431)] = 38008,
  [SMALL_STATE(10432)] = 38068,
  [SMALL_STATE(10433)] = 38130,
  [SMALL_STATE(10434)] = 38194,
  [SMALL_STATE(10435)] = 38253,
  [SMALL_STATE(10436)] = 38312,
  [SMALL_STATE(10437)] = 38375,
  [SMALL_STATE(10438)] = 38434,
  [SMALL_STATE(10439)] = 38493,
  [SMALL_STATE(10440)] = 38554,
  [SMALL_STATE(10441)] = 38613,
  [SMALL_STATE(10442)] = 38676,
  [SMALL_STATE(10443)] = 38739,
  [SMALL_STATE(10444)] = 38800,
  [SMALL_STATE(10445)] = 38859,
  [SMALL_STATE(10446)] = 38918,
  [SMALL_STATE(10447)] = 38981,
  [SMALL_STATE(10448)] = 39040,
  [SMALL_STATE(10449)] = 39103,
  [SMALL_STATE(10450)] = 39162,
  [SMALL_STATE(10451)] = 39225,
  [SMALL_STATE(10452)] = 39284,
  [SMALL_STATE(10453)] = 39347,
  [SMALL_STATE(10454)] = 39410,
  [SMALL_STATE(10455)] = 39471,
  [SMALL_STATE(10456)] = 39530,
  [SMALL_STATE(10457)] = 39588,
  [SMALL_STATE(10458)] = 39650,
  [SMALL_STATE(10459)] = 39708,
  [SMALL_STATE(10460)] = 39766,
  [SMALL_STATE(10461)] = 39824,
  [SMALL_STATE(10462)] = 39882,
  [SMALL_STATE(10463)] = 39940,
  [SMALL_STATE(10464)] = 40000,
  [SMALL_STATE(10465)] = 40058,
  [SMALL_STATE(10466)] = 40120,
  [SMALL_STATE(10467)] = 40178,
  [SMALL_STATE(10468)] = 40236,
  [SMALL_STATE(10469)] = 40294,
  [SMALL_STATE(10470)] = 40354,
  [SMALL_STATE(10471)] = 40412,
  [SMALL_STATE(10472)] = 40470,
  [SMALL_STATE(10473)] = 40528,
  [SMALL_STATE(10474)] = 40586,
  [SMALL_STATE(10475)] = 40644,
  [SMALL_STATE(10476)] = 40704,
  [SMALL_STATE(10477)] = 40762,
  [SMALL_STATE(10478)] = 40820,
  [SMALL_STATE(10479)] = 40878,
  [SMALL_STATE(10480)] = 40938,
  [SMALL_STATE(10481)] = 40996,
  [SMALL_STATE(10482)] = 41054,
  [SMALL_STATE(10483)] = 41112,
  [SMALL_STATE(10484)] = 41170,
  [SMALL_STATE(10485)] = 41228,
  [SMALL_STATE(10486)] = 41286,
  [SMALL_STATE(10487)] = 41344,
  [SMALL_STATE(10488)] = 41402,
  [SMALL_STATE(10489)] = 41460,
  [SMALL_STATE(10490)] = 41520,
  [SMALL_STATE(10491)] = 41578,
  [SMALL_STATE(10492)] = 41636,
  [SMALL_STATE(10493)] = 41694,
  [SMALL_STATE(10494)] = 41754,
  [SMALL_STATE(10495)] = 41812,
  [SMALL_STATE(10496)] = 41870,
  [SMALL_STATE(10497)] = 41928,
  [SMALL_STATE(10498)] = 41988,
  [SMALL_STATE(10499)] = 42048,
  [SMALL_STATE(10500)] = 42108,
  [SMALL_STATE(10501)] = 42170,
  [SMALL_STATE(10502)] = 42232,
  [SMALL_STATE(10503)] = 42290,
  [SMALL_STATE(10504)] = 42347,
  [SMALL_STATE(10505)] = 42404,
  [SMALL_STATE(10506)] = 42461,
  [SMALL_STATE(10507)] = 42524,
  [SMALL_STATE(10508)] = 42581,
  [SMALL_STATE(10509)] = 42638,
  [SMALL_STATE(10510)] = 42695,
  [SMALL_STATE(10511)] = 42752,
  [SMALL_STATE(10512)] = 42809,
  [SMALL_STATE(10513)] = 42868,
  [SMALL_STATE(10514)] = 42925,
  [SMALL_STATE(10515)] = 42982,
  [SMALL_STATE(10516)] = 43039,
  [SMALL_STATE(10517)] = 43096,
  [SMALL_STATE(10518)] = 43153,
  [SMALL_STATE(10519)] = 43210,
  [SMALL_STATE(10520)] = 43267,
  [SMALL_STATE(10521)] = 43324,
  [SMALL_STATE(10522)] = 43381,
  [SMALL_STATE(10523)] = 43438,
  [SMALL_STATE(10524)] = 43495,
  [SMALL_STATE(10525)] = 43552,
  [SMALL_STATE(10526)] = 43609,
  [SMALL_STATE(10527)] = 43666,
  [SMALL_STATE(10528)] = 43723,
  [SMALL_STATE(10529)] = 43780,
  [SMALL_STATE(10530)] = 43837,
  [SMALL_STATE(10531)] = 43894,
  [SMALL_STATE(10532)] = 43951,
  [SMALL_STATE(10533)] = 44008,
  [SMALL_STATE(10534)] = 44067,
  [SMALL_STATE(10535)] = 44124,
  [SMALL_STATE(10536)] = 44181,
  [SMALL_STATE(10537)] = 44238,
  [SMALL_STATE(10538)] = 44295,
  [SMALL_STATE(10539)] = 44352,
  [SMALL_STATE(10540)] = 44409,
  [SMALL_STATE(10541)] = 44466,
  [SMALL_STATE(10542)] = 44523,
  [SMALL_STATE(10543)] = 44580,
  [SMALL_STATE(10544)] = 44637,
  [SMALL_STATE(10545)] = 44694,
  [SMALL_STATE(10546)] = 44751,
  [SMALL_STATE(10547)] = 44814,
  [SMALL_STATE(10548)] = 44871,
  [SMALL_STATE(10549)] = 44928,
  [SMALL_STATE(10550)] = 44985,
  [SMALL_STATE(10551)] = 45042,
  [SMALL_STATE(10552)] = 45099,
  [SMALL_STATE(10553)] = 45156,
  [SMALL_STATE(10554)] = 45213,
  [SMALL_STATE(10555)] = 45270,
  [SMALL_STATE(10556)] = 45327,
  [SMALL_STATE(10557)] = 45390,
  [SMALL_STATE(10558)] = 45447,
  [SMALL_STATE(10559)] = 45504,
  [SMALL_STATE(10560)] = 45561,
  [SMALL_STATE(10561)] = 45618,
  [SMALL_STATE(10562)] = 45675,
  [SMALL_STATE(10563)] = 45732,
  [SMALL_STATE(10564)] = 45795,
  [SMALL_STATE(10565)] = 45852,
  [SMALL_STATE(10566)] = 45909,
  [SMALL_STATE(10567)] = 45966,
  [SMALL_STATE(10568)] = 46023,
  [SMALL_STATE(10569)] = 46080,
  [SMALL_STATE(10570)] = 46137,
  [SMALL_STATE(10571)] = 46194,
  [SMALL_STATE(10572)] = 46251,
  [SMALL_STATE(10573)] = 46308,
  [SMALL_STATE(10574)] = 46365,
  [SMALL_STATE(10575)] = 46422,
  [SMALL_STATE(10576)] = 46479,
  [SMALL_STATE(10577)] = 46536,
  [SMALL_STATE(10578)] = 46593,
  [SMALL_STATE(10579)] = 46650,
  [SMALL_STATE(10580)] = 46707,
  [SMALL_STATE(10581)] = 46764,
  [SMALL_STATE(10582)] = 46821,
  [SMALL_STATE(10583)] = 46878,
  [SMALL_STATE(10584)] = 46935,
  [SMALL_STATE(10585)] = 46992,
  [SMALL_STATE(10586)] = 47049,
  [SMALL_STATE(10587)] = 47106,
  [SMALL_STATE(10588)] = 47163,
  [SMALL_STATE(10589)] = 47220,
  [SMALL_STATE(10590)] = 47283,
  [SMALL_STATE(10591)] = 47340,
  [SMALL_STATE(10592)] = 47397,
  [SMALL_STATE(10593)] = 47454,
  [SMALL_STATE(10594)] = 47511,
  [SMALL_STATE(10595)] = 47568,
  [SMALL_STATE(10596)] = 47625,
  [SMALL_STATE(10597)] = 47682,
  [SMALL_STATE(10598)] = 47739,
  [SMALL_STATE(10599)] = 47796,
  [SMALL_STATE(10600)] = 47853,
  [SMALL_STATE(10601)] = 47910,
  [SMALL_STATE(10602)] = 47967,
  [SMALL_STATE(10603)] = 48024,
  [SMALL_STATE(10604)] = 48081,
  [SMALL_STATE(10605)] = 48138,
  [SMALL_STATE(10606)] = 48195,
  [SMALL_STATE(10607)] = 48252,
  [SMALL_STATE(10608)] = 48309,
  [SMALL_STATE(10609)] = 48366,
  [SMALL_STATE(10610)] = 48423,
  [SMALL_STATE(10611)] = 48480,
  [SMALL_STATE(10612)] = 48537,
  [SMALL_STATE(10613)] = 48594,
  [SMALL_STATE(10614)] = 48651,
  [SMALL_STATE(10615)] = 48708,
  [SMALL_STATE(10616)] = 48765,
  [SMALL_STATE(10617)] = 48822,
  [SMALL_STATE(10618)] = 48879,
  [SMALL_STATE(10619)] = 48936,
  [SMALL_STATE(10620)] = 48993,
  [SMALL_STATE(10621)] = 49050,
  [SMALL_STATE(10622)] = 49107,
  [SMALL_STATE(10623)] = 49164,
  [SMALL_STATE(10624)] = 49221,
  [SMALL_STATE(10625)] = 49278,
  [SMALL_STATE(10626)] = 49335,
  [SMALL_STATE(10627)] = 49392,
  [SMALL_STATE(10628)] = 49449,
  [SMALL_STATE(10629)] = 49506,
  [SMALL_STATE(10630)] = 49569,
  [SMALL_STATE(10631)] = 49626,
  [SMALL_STATE(10632)] = 49683,
  [SMALL_STATE(10633)] = 49740,
  [SMALL_STATE(10634)] = 49797,
  [SMALL_STATE(10635)] = 49854,
  [SMALL_STATE(10636)] = 49911,
  [SMALL_STATE(10637)] = 49968,
  [SMALL_STATE(10638)] = 50025,
  [SMALL_STATE(10639)] = 50082,
  [SMALL_STATE(10640)] = 50139,
  [SMALL_STATE(10641)] = 50196,
  [SMALL_STATE(10642)] = 50252,
  [SMALL_STATE(10643)] = 50312,
  [SMALL_STATE(10644)] = 50372,
  [SMALL_STATE(10645)] = 50432,
  [SMALL_STATE(10646)] = 50492,
  [SMALL_STATE(10647)] = 50548,
  [SMALL_STATE(10648)] = 50610,
  [SMALL_STATE(10649)] = 50666,
  [SMALL_STATE(10650)] = 50722,
  [SMALL_STATE(10651)] = 50778,
  [SMALL_STATE(10652)] = 50834,
  [SMALL_STATE(10653)] = 50890,
  [SMALL_STATE(10654)] = 50946,
  [SMALL_STATE(10655)] = 51002,
  [SMALL_STATE(10656)] = 51062,
  [SMALL_STATE(10657)] = 51124,
  [SMALL_STATE(10658)] = 51184,
  [SMALL_STATE(10659)] = 51244,
  [SMALL_STATE(10660)] = 51304,
  [SMALL_STATE(10661)] = 51360,
  [SMALL_STATE(10662)] = 51422,
  [SMALL_STATE(10663)] = 51484,
  [SMALL_STATE(10664)] = 51540,
  [SMALL_STATE(10665)] = 51600,
  [SMALL_STATE(10666)] = 51662,
  [SMALL_STATE(10667)] = 51718,
  [SMALL_STATE(10668)] = 51774,
  [SMALL_STATE(10669)] = 51836,
  [SMALL_STATE(10670)] = 51896,
  [SMALL_STATE(10671)] = 51956,
  [SMALL_STATE(10672)] = 52012,
  [SMALL_STATE(10673)] = 52074,
  [SMALL_STATE(10674)] = 52130,
  [SMALL_STATE(10675)] = 52186,
  [SMALL_STATE(10676)] = 52246,
  [SMALL_STATE(10677)] = 52308,
  [SMALL_STATE(10678)] = 52368,
  [SMALL_STATE(10679)] = 52428,
  [SMALL_STATE(10680)] = 52488,
  [SMALL_STATE(10681)] = 52544,
  [SMALL_STATE(10682)] = 52604,
  [SMALL_STATE(10683)] = 52660,
  [SMALL_STATE(10684)] = 52720,
  [SMALL_STATE(10685)] = 52780,
  [SMALL_STATE(10686)] = 52842,
  [SMALL_STATE(10687)] = 52902,
  [SMALL_STATE(10688)] = 52958,
  [SMALL_STATE(10689)] = 53014,
  [SMALL_STATE(10690)] = 53070,
  [SMALL_STATE(10691)] = 53126,
  [SMALL_STATE(10692)] = 53182,
  [SMALL_STATE(10693)] = 53238,
  [SMALL_STATE(10694)] = 53294,
  [SMALL_STATE(10695)] = 53350,
  [SMALL_STATE(10696)] = 53410,
  [SMALL_STATE(10697)] = 53470,
  [SMALL_STATE(10698)] = 53526,
  [SMALL_STATE(10699)] = 53582,
  [SMALL_STATE(10700)] = 53642,
  [SMALL_STATE(10701)] = 53702,
  [SMALL_STATE(10702)] = 53758,
  [SMALL_STATE(10703)] = 53814,
  [SMALL_STATE(10704)] = 53870,
  [SMALL_STATE(10705)] = 53926,
  [SMALL_STATE(10706)] = 53982,
  [SMALL_STATE(10707)] = 54038,
  [SMALL_STATE(10708)] = 54098,
  [SMALL_STATE(10709)] = 54154,
  [SMALL_STATE(10710)] = 54214,
  [SMALL_STATE(10711)] = 54276,
  [SMALL_STATE(10712)] = 54332,
  [SMALL_STATE(10713)] = 54392,
  [SMALL_STATE(10714)] = 54448,
  [SMALL_STATE(10715)] = 54504,
  [SMALL_STATE(10716)] = 54564,
  [SMALL_STATE(10717)] = 54620,
  [SMALL_STATE(10718)] = 54676,
  [SMALL_STATE(10719)] = 54736,
  [SMALL_STATE(10720)] = 54792,
  [SMALL_STATE(10721)] = 54848,
  [SMALL_STATE(10722)] = 54904,
  [SMALL_STATE(10723)] = 54960,
  [SMALL_STATE(10724)] = 55016,
  [SMALL_STATE(10725)] = 55072,
  [SMALL_STATE(10726)] = 55128,
  [SMALL_STATE(10727)] = 55188,
  [SMALL_STATE(10728)] = 55250,
  [SMALL_STATE(10729)] = 55306,
  [SMALL_STATE(10730)] = 55366,
  [SMALL_STATE(10731)] = 55422,
  [SMALL_STATE(10732)] = 55478,
  [SMALL_STATE(10733)] = 55540,
  [SMALL_STATE(10734)] = 55596,
  [SMALL_STATE(10735)] = 55652,
  [SMALL_STATE(10736)] = 55714,
  [SMALL_STATE(10737)] = 55770,
  [SMALL_STATE(10738)] = 55826,
  [SMALL_STATE(10739)] = 55886,
  [SMALL_STATE(10740)] = 55942,
  [SMALL_STATE(10741)] = 55998,
  [SMALL_STATE(10742)] = 56054,
  [SMALL_STATE(10743)] = 56110,
  [SMALL_STATE(10744)] = 56166,
  [SMALL_STATE(10745)] = 56226,
  [SMALL_STATE(10746)] = 56282,
  [SMALL_STATE(10747)] = 56338,
  [SMALL_STATE(10748)] = 56398,
  [SMALL_STATE(10749)] = 56454,
  [SMALL_STATE(10750)] = 56510,
  [SMALL_STATE(10751)] = 56571,
  [SMALL_STATE(10752)] = 56630,
  [SMALL_STATE(10753)] = 56689,
  [SMALL_STATE(10754)] = 56748,
  [SMALL_STATE(10755)] = 56805,
  [SMALL_STATE(10756)] = 56880,
  [SMALL_STATE(10757)] = 56939,
  [SMALL_STATE(10758)] = 56994,
  [SMALL_STATE(10759)] = 57053,
  [SMALL_STATE(10760)] = 57108,
  [SMALL_STATE(10761)] = 57181,
  [SMALL_STATE(10762)] = 57242,
  [SMALL_STATE(10763)] = 57297,
  [SMALL_STATE(10764)] = 57354,
  [SMALL_STATE(10765)] = 57415,
  [SMALL_STATE(10766)] = 57486,
  [SMALL_STATE(10767)] = 57557,
  [SMALL_STATE(10768)] = 57612,
  [SMALL_STATE(10769)] = 57667,
  [SMALL_STATE(10770)] = 57722,
  [SMALL_STATE(10771)] = 57781,
  [SMALL_STATE(10772)] = 57840,
  [SMALL_STATE(10773)] = 57895,
  [SMALL_STATE(10774)] = 57964,
  [SMALL_STATE(10775)] = 58027,
  [SMALL_STATE(10776)] = 58084,
  [SMALL_STATE(10777)] = 58141,
  [SMALL_STATE(10778)] = 58214,
  [SMALL_STATE(10779)] = 58273,
  [SMALL_STATE(10780)] = 58330,
  [SMALL_STATE(10781)] = 58389,
  [SMALL_STATE(10782)] = 58448,
  [SMALL_STATE(10783)] = 58507,
  [SMALL_STATE(10784)] = 58566,
  [SMALL_STATE(10785)] = 58623,
  [SMALL_STATE(10786)] = 58682,
  [SMALL_STATE(10787)] = 58741,
  [SMALL_STATE(10788)] = 58800,
  [SMALL_STATE(10789)] = 58859,
  [SMALL_STATE(10790)] = 58918,
  [SMALL_STATE(10791)] = 58991,
  [SMALL_STATE(10792)] = 59050,
  [SMALL_STATE(10793)] = 59119,
  [SMALL_STATE(10794)] = 59194,
  [SMALL_STATE(10795)] = 59253,
  [SMALL_STATE(10796)] = 59324,
  [SMALL_STATE(10797)] = 59381,
  [SMALL_STATE(10798)] = 59450,
  [SMALL_STATE(10799)] = 59521,
  [SMALL_STATE(10800)] = 59578,
  [SMALL_STATE(10801)] = 59647,
  [SMALL_STATE(10802)] = 59708,
  [SMALL_STATE(10803)] = 59767,
  [SMALL_STATE(10804)] = 59826,
  [SMALL_STATE(10805)] = 59895,
  [SMALL_STATE(10806)] = 59954,
  [SMALL_STATE(10807)] = 60027,
  [SMALL_STATE(10808)] = 60100,
  [SMALL_STATE(10809)] = 60155,
  [SMALL_STATE(10810)] = 60224,
  [SMALL_STATE(10811)] = 60293,
  [SMALL_STATE(10812)] = 60348,
  [SMALL_STATE(10813)] = 60407,
  [SMALL_STATE(10814)] = 60476,
  [SMALL_STATE(10815)] = 60535,
  [SMALL_STATE(10816)] = 60608,
  [SMALL_STATE(10817)] = 60663,
  [SMALL_STATE(10818)] = 60732,
  [SMALL_STATE(10819)] = 60791,
  [SMALL_STATE(10820)] = 60850,
  [SMALL_STATE(10821)] = 60909,
  [SMALL_STATE(10822)] = 60968,
  [SMALL_STATE(10823)] = 61037,
  [SMALL_STATE(10824)] = 61108,
  [SMALL_STATE(10825)] = 61167,
  [SMALL_STATE(10826)] = 61236,
  [SMALL_STATE(10827)] = 61309,
  [SMALL_STATE(10828)] = 61368,
  [SMALL_STATE(10829)] = 61427,
  [SMALL_STATE(10830)] = 61488,
  [SMALL_STATE(10831)] = 61547,
  [SMALL_STATE(10832)] = 61608,
  [SMALL_STATE(10833)] = 61681,
  [SMALL_STATE(10834)] = 61752,
  [SMALL_STATE(10835)] = 61807,
  [SMALL_STATE(10836)] = 61862,
  [SMALL_STATE(10837)] = 61931,
  [SMALL_STATE(10838)] = 61992,
  [SMALL_STATE(10839)] = 62055,
  [SMALL_STATE(10840)] = 62116,
  [SMALL_STATE(10841)] = 62171,
  [SMALL_STATE(10842)] = 62244,
  [SMALL_STATE(10843)] = 62303,
  [SMALL_STATE(10844)] = 62358,
  [SMALL_STATE(10845)] = 62430,
  [SMALL_STATE(10846)] = 62488,
  [SMALL_STATE(10847)] = 62552,
  [SMALL_STATE(10848)] = 62624,
  [SMALL_STATE(10849)] = 62678,
  [SMALL_STATE(10850)] = 62752,
  [SMALL_STATE(10851)] = 62806,
  [SMALL_STATE(10852)] = 62860,
  [SMALL_STATE(10853)] = 62918,
  [SMALL_STATE(10854)] = 62976,
  [SMALL_STATE(10855)] = 63046,
  [SMALL_STATE(10856)] = 63100,
  [SMALL_STATE(10857)] = 63154,
  [SMALL_STATE(10858)] = 63228,
  [SMALL_STATE(10859)] = 63282,
  [SMALL_STATE(10860)] = 63336,
  [SMALL_STATE(10861)] = 63390,
  [SMALL_STATE(10862)] = 63448,
  [SMALL_STATE(10863)] = 63518,
  [SMALL_STATE(10864)] = 63590,
  [SMALL_STATE(10865)] = 63644,
  [SMALL_STATE(10866)] = 63698,
  [SMALL_STATE(10867)] = 63752,
  [SMALL_STATE(10868)] = 63806,
  [SMALL_STATE(10869)] = 63860,
  [SMALL_STATE(10870)] = 63918,
  [SMALL_STATE(10871)] = 63976,
  [SMALL_STATE(10872)] = 64048,
  [SMALL_STATE(10873)] = 64118,
  [SMALL_STATE(10874)] = 64172,
  [SMALL_STATE(10875)] = 64242,
  [SMALL_STATE(10876)] = 64296,
  [SMALL_STATE(10877)] = 64350,
  [SMALL_STATE(10878)] = 64408,
  [SMALL_STATE(10879)] = 64462,
  [SMALL_STATE(10880)] = 64516,
  [SMALL_STATE(10881)] = 64574,
  [SMALL_STATE(10882)] = 64644,
  [SMALL_STATE(10883)] = 64716,
  [SMALL_STATE(10884)] = 64790,
  [SMALL_STATE(10885)] = 64862,
  [SMALL_STATE(10886)] = 64916,
  [SMALL_STATE(10887)] = 64970,
  [SMALL_STATE(10888)] = 65024,
  [SMALL_STATE(10889)] = 65096,
  [SMALL_STATE(10890)] = 65150,
  [SMALL_STATE(10891)] = 65204,
  [SMALL_STATE(10892)] = 65258,
  [SMALL_STATE(10893)] = 65328,
  [SMALL_STATE(10894)] = 65386,
  [SMALL_STATE(10895)] = 65444,
  [SMALL_STATE(10896)] = 65516,
  [SMALL_STATE(10897)] = 65570,
  [SMALL_STATE(10898)] = 65624,
  [SMALL_STATE(10899)] = 65678,
  [SMALL_STATE(10900)] = 65734,
  [SMALL_STATE(10901)] = 65788,
  [SMALL_STATE(10902)] = 65842,
  [SMALL_STATE(10903)] = 65916,
  [SMALL_STATE(10904)] = 65970,
  [SMALL_STATE(10905)] = 66040,
  [SMALL_STATE(10906)] = 66094,
  [SMALL_STATE(10907)] = 66148,
  [SMALL_STATE(10908)] = 66218,
  [SMALL_STATE(10909)] = 66272,
  [SMALL_STATE(10910)] = 66326,
  [SMALL_STATE(10911)] = 66380,
  [SMALL_STATE(10912)] = 66454,
  [SMALL_STATE(10913)] = 66508,
  [SMALL_STATE(10914)] = 66562,
  [SMALL_STATE(10915)] = 66616,
  [SMALL_STATE(10916)] = 66670,
  [SMALL_STATE(10917)] = 66728,
  [SMALL_STATE(10918)] = 66792,
  [SMALL_STATE(10919)] = 66846,
  [SMALL_STATE(10920)] = 66900,
  [SMALL_STATE(10921)] = 66958,
  [SMALL_STATE(10922)] = 67016,
  [SMALL_STATE(10923)] = 67074,
  [SMALL_STATE(10924)] = 67132,
  [SMALL_STATE(10925)] = 67188,
  [SMALL_STATE(10926)] = 67242,
  [SMALL_STATE(10927)] = 67314,
  [SMALL_STATE(10928)] = 67368,
  [SMALL_STATE(10929)] = 67422,
  [SMALL_STATE(10930)] = 67476,
  [SMALL_STATE(10931)] = 67530,
  [SMALL_STATE(10932)] = 67602,
  [SMALL_STATE(10933)] = 67674,
  [SMALL_STATE(10934)] = 67732,
  [SMALL_STATE(10935)] = 67786,
  [SMALL_STATE(10936)] = 67858,
  [SMALL_STATE(10937)] = 67912,
  [SMALL_STATE(10938)] = 67966,
  [SMALL_STATE(10939)] = 68020,
  [SMALL_STATE(10940)] = 68074,
  [SMALL_STATE(10941)] = 68128,
  [SMALL_STATE(10942)] = 68196,
  [SMALL_STATE(10943)] = 68268,
  [SMALL_STATE(10944)] = 68322,
  [SMALL_STATE(10945)] = 68376,
  [SMALL_STATE(10946)] = 68430,
  [SMALL_STATE(10947)] = 68488,
  [SMALL_STATE(10948)] = 68560,
  [SMALL_STATE(10949)] = 68620,
  [SMALL_STATE(10950)] = 68690,
  [SMALL_STATE(10951)] = 68760,
  [SMALL_STATE(10952)] = 68814,
  [SMALL_STATE(10953)] = 68868,
  [SMALL_STATE(10954)] = 68940,
  [SMALL_STATE(10955)] = 69012,
  [SMALL_STATE(10956)] = 69070,
  [SMALL_STATE(10957)] = 69124,
  [SMALL_STATE(10958)] = 69178,
  [SMALL_STATE(10959)] = 69236,
  [SMALL_STATE(10960)] = 69290,
  [SMALL_STATE(10961)] = 69348,
  [SMALL_STATE(10962)] = 69406,
  [SMALL_STATE(10963)] = 69464,
  [SMALL_STATE(10964)] = 69522,
  [SMALL_STATE(10965)] = 69576,
  [SMALL_STATE(10966)] = 69630,
  [SMALL_STATE(10967)] = 69684,
  [SMALL_STATE(10968)] = 69746,
  [SMALL_STATE(10969)] = 69818,
  [SMALL_STATE(10970)] = 69890,
  [SMALL_STATE(10971)] = 69944,
  [SMALL_STATE(10972)] = 69998,
  [SMALL_STATE(10973)] = 70052,
  [SMALL_STATE(10974)] = 70106,
  [SMALL_STATE(10975)] = 70166,
  [SMALL_STATE(10976)] = 70220,
  [SMALL_STATE(10977)] = 70274,
  [SMALL_STATE(10978)] = 70328,
  [SMALL_STATE(10979)] = 70398,
  [SMALL_STATE(10980)] = 70456,
  [SMALL_STATE(10981)] = 70514,
  [SMALL_STATE(10982)] = 70568,
  [SMALL_STATE(10983)] = 70621,
  [SMALL_STATE(10984)] = 70674,
  [SMALL_STATE(10985)] = 70727,
  [SMALL_STATE(10986)] = 70780,
  [SMALL_STATE(10987)] = 70833,
  [SMALL_STATE(10988)] = 70896,
  [SMALL_STATE(10989)] = 70949,
  [SMALL_STATE(10990)] = 71018,
  [SMALL_STATE(10991)] = 71071,
  [SMALL_STATE(10992)] = 71124,
  [SMALL_STATE(10993)] = 71183,
  [SMALL_STATE(10994)] = 71236,
  [SMALL_STATE(10995)] = 71289,
  [SMALL_STATE(10996)] = 71342,
  [SMALL_STATE(10997)] = 71395,
  [SMALL_STATE(10998)] = 71458,
  [SMALL_STATE(10999)] = 71511,
  [SMALL_STATE(11000)] = 71564,
  [SMALL_STATE(11001)] = 71635,
  [SMALL_STATE(11002)] = 71688,
  [SMALL_STATE(11003)] = 71741,
  [SMALL_STATE(11004)] = 71794,
  [SMALL_STATE(11005)] = 71857,
  [SMALL_STATE(11006)] = 71910,
  [SMALL_STATE(11007)] = 71963,
  [SMALL_STATE(11008)] = 72016,
  [SMALL_STATE(11009)] = 72069,
  [SMALL_STATE(11010)] = 72122,
  [SMALL_STATE(11011)] = 72175,
  [SMALL_STATE(11012)] = 72228,
  [SMALL_STATE(11013)] = 72281,
  [SMALL_STATE(11014)] = 72334,
  [SMALL_STATE(11015)] = 72387,
  [SMALL_STATE(11016)] = 72456,
  [SMALL_STATE(11017)] = 72527,
  [SMALL_STATE(11018)] = 72598,
  [SMALL_STATE(11019)] = 72651,
  [SMALL_STATE(11020)] = 72704,
  [SMALL_STATE(11021)] = 72757,
  [SMALL_STATE(11022)] = 72810,
  [SMALL_STATE(11023)] = 72863,
  [SMALL_STATE(11024)] = 72916,
  [SMALL_STATE(11025)] = 72969,
  [SMALL_STATE(11026)] = 73022,
  [SMALL_STATE(11027)] = 73075,
  [SMALL_STATE(11028)] = 73128,
  [SMALL_STATE(11029)] = 73181,
  [SMALL_STATE(11030)] = 73234,
  [SMALL_STATE(11031)] = 73287,
  [SMALL_STATE(11032)] = 73340,
  [SMALL_STATE(11033)] = 73393,
  [SMALL_STATE(11034)] = 73446,
  [SMALL_STATE(11035)] = 73499,
  [SMALL_STATE(11036)] = 73552,
  [SMALL_STATE(11037)] = 73605,
  [SMALL_STATE(11038)] = 73658,
  [SMALL_STATE(11039)] = 73711,
  [SMALL_STATE(11040)] = 73764,
  [SMALL_STATE(11041)] = 73817,
  [SMALL_STATE(11042)] = 73870,
  [SMALL_STATE(11043)] = 73939,
  [SMALL_STATE(11044)] = 73992,
  [SMALL_STATE(11045)] = 74045,
  [SMALL_STATE(11046)] = 74098,
  [SMALL_STATE(11047)] = 74151,
  [SMALL_STATE(11048)] = 74204,
  [SMALL_STATE(11049)] = 74257,
  [SMALL_STATE(11050)] = 74318,
  [SMALL_STATE(11051)] = 74371,
  [SMALL_STATE(11052)] = 74442,
  [SMALL_STATE(11053)] = 74495,
  [SMALL_STATE(11054)] = 74548,
  [SMALL_STATE(11055)] = 74601,
  [SMALL_STATE(11056)] = 74654,
  [SMALL_STATE(11057)] = 74727,
  [SMALL_STATE(11058)] = 74780,
  [SMALL_STATE(11059)] = 74833,
  [SMALL_STATE(11060)] = 74892,
  [SMALL_STATE(11061)] = 74945,
  [SMALL_STATE(11062)] = 74998,
  [SMALL_STATE(11063)] = 75051,
  [SMALL_STATE(11064)] = 75120,
  [SMALL_STATE(11065)] = 75173,
  [SMALL_STATE(11066)] = 75226,
  [SMALL_STATE(11067)] = 75279,
  [SMALL_STATE(11068)] = 75338,
  [SMALL_STATE(11069)] = 75409,
  [SMALL_STATE(11070)] = 75462,
  [SMALL_STATE(11071)] = 75515,
  [SMALL_STATE(11072)] = 75568,
  [SMALL_STATE(11073)] = 75641,
  [SMALL_STATE(11074)] = 75696,
  [SMALL_STATE(11075)] = 75749,
  [SMALL_STATE(11076)] = 75802,
  [SMALL_STATE(11077)] = 75855,
  [SMALL_STATE(11078)] = 75908,
  [SMALL_STATE(11079)] = 75977,
  [SMALL_STATE(11080)] = 76030,
  [SMALL_STATE(11081)] = 76101,
  [SMALL_STATE(11082)] = 76154,
  [SMALL_STATE(11083)] = 76207,
  [SMALL_STATE(11084)] = 76260,
  [SMALL_STATE(11085)] = 76313,
  [SMALL_STATE(11086)] = 76366,
  [SMALL_STATE(11087)] = 76437,
  [SMALL_STATE(11088)] = 76490,
  [SMALL_STATE(11089)] = 76543,
  [SMALL_STATE(11090)] = 76596,
  [SMALL_STATE(11091)] = 76667,
  [SMALL_STATE(11092)] = 76720,
  [SMALL_STATE(11093)] = 76773,
  [SMALL_STATE(11094)] = 76826,
  [SMALL_STATE(11095)] = 76879,
  [SMALL_STATE(11096)] = 76932,
  [SMALL_STATE(11097)] = 76985,
  [SMALL_STATE(11098)] = 77038,
  [SMALL_STATE(11099)] = 77109,
  [SMALL_STATE(11100)] = 77180,
  [SMALL_STATE(11101)] = 77233,
  [SMALL_STATE(11102)] = 77286,
  [SMALL_STATE(11103)] = 77359,
  [SMALL_STATE(11104)] = 77412,
  [SMALL_STATE(11105)] = 77465,
  [SMALL_STATE(11106)] = 77538,
  [SMALL_STATE(11107)] = 77591,
  [SMALL_STATE(11108)] = 77644,
  [SMALL_STATE(11109)] = 77697,
  [SMALL_STATE(11110)] = 77770,
  [SMALL_STATE(11111)] = 77823,
  [SMALL_STATE(11112)] = 77876,
  [SMALL_STATE(11113)] = 77945,
  [SMALL_STATE(11114)] = 77998,
  [SMALL_STATE(11115)] = 78051,
  [SMALL_STATE(11116)] = 78104,
  [SMALL_STATE(11117)] = 78175,
  [SMALL_STATE(11118)] = 78244,
  [SMALL_STATE(11119)] = 78315,
  [SMALL_STATE(11120)] = 78386,
  [SMALL_STATE(11121)] = 78455,
  [SMALL_STATE(11122)] = 78508,
  [SMALL_STATE(11123)] = 78563,
  [SMALL_STATE(11124)] = 78632,
  [SMALL_STATE(11125)] = 78691,
  [SMALL_STATE(11126)] = 78744,
  [SMALL_STATE(11127)] = 78797,
  [SMALL_STATE(11128)] = 78850,
  [SMALL_STATE(11129)] = 78921,
  [SMALL_STATE(11130)] = 78974,
  [SMALL_STATE(11131)] = 79027,
  [SMALL_STATE(11132)] = 79080,
  [SMALL_STATE(11133)] = 79133,
  [SMALL_STATE(11134)] = 79186,
  [SMALL_STATE(11135)] = 79239,
  [SMALL_STATE(11136)] = 79292,
  [SMALL_STATE(11137)] = 79345,
  [SMALL_STATE(11138)] = 79399,
  [SMALL_STATE(11139)] = 79451,
  [SMALL_STATE(11140)] = 79503,
  [SMALL_STATE(11141)] = 79555,
  [SMALL_STATE(11142)] = 79611,
  [SMALL_STATE(11143)] = 79663,
  [SMALL_STATE(11144)] = 79715,
  [SMALL_STATE(11145)] = 79767,
  [SMALL_STATE(11146)] = 79819,
  [SMALL_STATE(11147)] = 79871,
  [SMALL_STATE(11148)] = 79933,
  [SMALL_STATE(11149)] = 79989,
  [SMALL_STATE(11150)] = 80041,
  [SMALL_STATE(11151)] = 80093,
  [SMALL_STATE(11152)] = 80165,
  [SMALL_STATE(11153)] = 80221,
  [SMALL_STATE(11154)] = 80273,
  [SMALL_STATE(11155)] = 80325,
  [SMALL_STATE(11156)] = 80395,
  [SMALL_STATE(11157)] = 80463,
  [SMALL_STATE(11158)] = 80515,
  [SMALL_STATE(11159)] = 80571,
  [SMALL_STATE(11160)] = 80623,
  [SMALL_STATE(11161)] = 80675,
  [SMALL_STATE(11162)] = 80727,
  [SMALL_STATE(11163)] = 80797,
  [SMALL_STATE(11164)] = 80849,
  [SMALL_STATE(11165)] = 80905,
  [SMALL_STATE(11166)] = 80961,
  [SMALL_STATE(11167)] = 81017,
  [SMALL_STATE(11168)] = 81069,
  [SMALL_STATE(11169)] = 81125,
  [SMALL_STATE(11170)] = 81193,
  [SMALL_STATE(11171)] = 81249,
  [SMALL_STATE(11172)] = 81303,
  [SMALL_STATE(11173)] = 81355,
  [SMALL_STATE(11174)] = 81407,
  [SMALL_STATE(11175)] = 81463,
  [SMALL_STATE(11176)] = 81519,
  [SMALL_STATE(11177)] = 81577,
  [SMALL_STATE(11178)] = 81633,
  [SMALL_STATE(11179)] = 81685,
  [SMALL_STATE(11180)] = 81737,
  [SMALL_STATE(11181)] = 81793,
  [SMALL_STATE(11182)] = 81845,
  [SMALL_STATE(11183)] = 81901,
  [SMALL_STATE(11184)] = 81953,
  [SMALL_STATE(11185)] = 82007,
  [SMALL_STATE(11186)] = 82059,
  [SMALL_STATE(11187)] = 82119,
  [SMALL_STATE(11188)] = 82171,
  [SMALL_STATE(11189)] = 82223,
  [SMALL_STATE(11190)] = 82275,
  [SMALL_STATE(11191)] = 82327,
  [SMALL_STATE(11192)] = 82383,
  [SMALL_STATE(11193)] = 82435,
  [SMALL_STATE(11194)] = 82487,
  [SMALL_STATE(11195)] = 82543,
  [SMALL_STATE(11196)] = 82595,
  [SMALL_STATE(11197)] = 82647,
  [SMALL_STATE(11198)] = 82703,
  [SMALL_STATE(11199)] = 82755,
  [SMALL_STATE(11200)] = 82807,
  [SMALL_STATE(11201)] = 82859,
  [SMALL_STATE(11202)] = 82933,
  [SMALL_STATE(11203)] = 82985,
  [SMALL_STATE(11204)] = 83037,
  [SMALL_STATE(11205)] = 83089,
  [SMALL_STATE(11206)] = 83145,
  [SMALL_STATE(11207)] = 83201,
  [SMALL_STATE(11208)] = 83257,
  [SMALL_STATE(11209)] = 83309,
  [SMALL_STATE(11210)] = 83365,
  [SMALL_STATE(11211)] = 83417,
  [SMALL_STATE(11212)] = 83473,
  [SMALL_STATE(11213)] = 83525,
  [SMALL_STATE(11214)] = 83587,
  [SMALL_STATE(11215)] = 83645,
  [SMALL_STATE(11216)] = 83697,
  [SMALL_STATE(11217)] = 83753,
  [SMALL_STATE(11218)] = 83805,
  [SMALL_STATE(11219)] = 83861,
  [SMALL_STATE(11220)] = 83917,
  [SMALL_STATE(11221)] = 83987,
  [SMALL_STATE(11222)] = 84039,
  [SMALL_STATE(11223)] = 84095,
  [SMALL_STATE(11224)] = 84151,
  [SMALL_STATE(11225)] = 84207,
  [SMALL_STATE(11226)] = 84277,
  [SMALL_STATE(11227)] = 84329,
  [SMALL_STATE(11228)] = 84385,
  [SMALL_STATE(11229)] = 84441,
  [SMALL_STATE(11230)] = 84493,
  [SMALL_STATE(11231)] = 84549,
  [SMALL_STATE(11232)] = 84605,
  [SMALL_STATE(11233)] = 84657,
  [SMALL_STATE(11234)] = 84713,
  [SMALL_STATE(11235)] = 84769,
  [SMALL_STATE(11236)] = 84825,
  [SMALL_STATE(11237)] = 84881,
  [SMALL_STATE(11238)] = 84937,
  [SMALL_STATE(11239)] = 84999,
  [SMALL_STATE(11240)] = 85061,
  [SMALL_STATE(11241)] = 85113,
  [SMALL_STATE(11242)] = 85165,
  [SMALL_STATE(11243)] = 85217,
  [SMALL_STATE(11244)] = 85269,
  [SMALL_STATE(11245)] = 85325,
  [SMALL_STATE(11246)] = 85377,
  [SMALL_STATE(11247)] = 85429,
  [SMALL_STATE(11248)] = 85481,
  [SMALL_STATE(11249)] = 85537,
  [SMALL_STATE(11250)] = 85589,
  [SMALL_STATE(11251)] = 85641,
  [SMALL_STATE(11252)] = 85693,
  [SMALL_STATE(11253)] = 85749,
  [SMALL_STATE(11254)] = 85801,
  [SMALL_STATE(11255)] = 85853,
  [SMALL_STATE(11256)] = 85905,
  [SMALL_STATE(11257)] = 85957,
  [SMALL_STATE(11258)] = 86009,
  [SMALL_STATE(11259)] = 86061,
  [SMALL_STATE(11260)] = 86113,
  [SMALL_STATE(11261)] = 86183,
  [SMALL_STATE(11262)] = 86241,
  [SMALL_STATE(11263)] = 86293,
  [SMALL_STATE(11264)] = 86349,
  [SMALL_STATE(11265)] = 86404,
  [SMALL_STATE(11266)] = 86459,
  [SMALL_STATE(11267)] = 86514,
  [SMALL_STATE(11268)] = 86565,
  [SMALL_STATE(11269)] = 86616,
  [SMALL_STATE(11270)] = 86671,
  [SMALL_STATE(11271)] = 86742,
  [SMALL_STATE(11272)] = 86793,
  [SMALL_STATE(11273)] = 86844,
  [SMALL_STATE(11274)] = 86899,
  [SMALL_STATE(11275)] = 86954,
  [SMALL_STATE(11276)] = 87009,
  [SMALL_STATE(11277)] = 87060,
  [SMALL_STATE(11278)] = 87115,
  [SMALL_STATE(11279)] = 87168,
  [SMALL_STATE(11280)] = 87219,
  [SMALL_STATE(11281)] = 87270,
  [SMALL_STATE(11282)] = 87325,
  [SMALL_STATE(11283)] = 87380,
  [SMALL_STATE(11284)] = 87449,
  [SMALL_STATE(11285)] = 87500,
  [SMALL_STATE(11286)] = 87551,
  [SMALL_STATE(11287)] = 87606,
  [SMALL_STATE(11288)] = 87657,
  [SMALL_STATE(11289)] = 87712,
  [SMALL_STATE(11290)] = 87763,
  [SMALL_STATE(11291)] = 87814,
  [SMALL_STATE(11292)] = 87865,
  [SMALL_STATE(11293)] = 87920,
  [SMALL_STATE(11294)] = 87975,
  [SMALL_STATE(11295)] = 88026,
  [SMALL_STATE(11296)] = 88081,
  [SMALL_STATE(11297)] = 88136,
  [SMALL_STATE(11298)] = 88187,
  [SMALL_STATE(11299)] = 88238,
  [SMALL_STATE(11300)] = 88289,
  [SMALL_STATE(11301)] = 88340,
  [SMALL_STATE(11302)] = 88391,
  [SMALL_STATE(11303)] = 88442,
  [SMALL_STATE(11304)] = 88493,
  [SMALL_STATE(11305)] = 88548,
  [SMALL_STATE(11306)] = 88603,
  [SMALL_STATE(11307)] = 88654,
  [SMALL_STATE(11308)] = 88709,
  [SMALL_STATE(11309)] = 88760,
  [SMALL_STATE(11310)] = 88811,
  [SMALL_STATE(11311)] = 88882,
  [SMALL_STATE(11312)] = 88937,
  [SMALL_STATE(11313)] = 88992,
  [SMALL_STATE(11314)] = 89047,
  [SMALL_STATE(11315)] = 89104,
  [SMALL_STATE(11316)] = 89159,
  [SMALL_STATE(11317)] = 89214,
  [SMALL_STATE(11318)] = 89265,
  [SMALL_STATE(11319)] = 89316,
  [SMALL_STATE(11320)] = 89371,
  [SMALL_STATE(11321)] = 89426,
  [SMALL_STATE(11322)] = 89477,
  [SMALL_STATE(11323)] = 89532,
  [SMALL_STATE(11324)] = 89587,
  [SMALL_STATE(11325)] = 89638,
  [SMALL_STATE(11326)] = 89693,
  [SMALL_STATE(11327)] = 89744,
  [SMALL_STATE(11328)] = 89799,
  [SMALL_STATE(11329)] = 89850,
  [SMALL_STATE(11330)] = 89901,
  [SMALL_STATE(11331)] = 89956,
  [SMALL_STATE(11332)] = 90011,
  [SMALL_STATE(11333)] = 90062,
  [SMALL_STATE(11334)] = 90113,
  [SMALL_STATE(11335)] = 90164,
  [SMALL_STATE(11336)] = 90219,
  [SMALL_STATE(11337)] = 90288,
  [SMALL_STATE(11338)] = 90339,
  [SMALL_STATE(11339)] = 90390,
  [SMALL_STATE(11340)] = 90445,
  [SMALL_STATE(11341)] = 90496,
  [SMALL_STATE(11342)] = 90551,
  [SMALL_STATE(11343)] = 90602,
  [SMALL_STATE(11344)] = 90657,
  [SMALL_STATE(11345)] = 90708,
  [SMALL_STATE(11346)] = 90777,
  [SMALL_STATE(11347)] = 90836,
  [SMALL_STATE(11348)] = 90891,
  [SMALL_STATE(11349)] = 90960,
  [SMALL_STATE(11350)] = 91029,
  [SMALL_STATE(11351)] = 91100,
  [SMALL_STATE(11352)] = 91169,
  [SMALL_STATE(11353)] = 91224,
  [SMALL_STATE(11354)] = 91279,
  [SMALL_STATE(11355)] = 91348,
  [SMALL_STATE(11356)] = 91403,
  [SMALL_STATE(11357)] = 91454,
  [SMALL_STATE(11358)] = 91545,
  [SMALL_STATE(11359)] = 91600,
  [SMALL_STATE(11360)] = 91651,
  [SMALL_STATE(11361)] = 91706,
  [SMALL_STATE(11362)] = 91757,
  [SMALL_STATE(11363)] = 91812,
  [SMALL_STATE(11364)] = 91863,
  [SMALL_STATE(11365)] = 91914,
  [SMALL_STATE(11366)] = 91965,
  [SMALL_STATE(11367)] = 92016,
  [SMALL_STATE(11368)] = 92067,
  [SMALL_STATE(11369)] = 92118,
  [SMALL_STATE(11370)] = 92169,
  [SMALL_STATE(11371)] = 92220,
  [SMALL_STATE(11372)] = 92275,
  [SMALL_STATE(11373)] = 92346,
  [SMALL_STATE(11374)] = 92397,
  [SMALL_STATE(11375)] = 92452,
  [SMALL_STATE(11376)] = 92503,
  [SMALL_STATE(11377)] = 92554,
  [SMALL_STATE(11378)] = 92605,
  [SMALL_STATE(11379)] = 92656,
  [SMALL_STATE(11380)] = 92707,
  [SMALL_STATE(11381)] = 92762,
  [SMALL_STATE(11382)] = 92813,
  [SMALL_STATE(11383)] = 92864,
  [SMALL_STATE(11384)] = 92919,
  [SMALL_STATE(11385)] = 92970,
  [SMALL_STATE(11386)] = 93021,
  [SMALL_STATE(11387)] = 93076,
  [SMALL_STATE(11388)] = 93131,
  [SMALL_STATE(11389)] = 93182,
  [SMALL_STATE(11390)] = 93233,
  [SMALL_STATE(11391)] = 93284,
  [SMALL_STATE(11392)] = 93335,
  [SMALL_STATE(11393)] = 93390,
  [SMALL_STATE(11394)] = 93441,
  [SMALL_STATE(11395)] = 93496,
  [SMALL_STATE(11396)] = 93551,
  [SMALL_STATE(11397)] = 93602,
  [SMALL_STATE(11398)] = 93653,
  [SMALL_STATE(11399)] = 93704,
  [SMALL_STATE(11400)] = 93755,
  [SMALL_STATE(11401)] = 93806,
  [SMALL_STATE(11402)] = 93857,
  [SMALL_STATE(11403)] = 93908,
  [SMALL_STATE(11404)] = 93963,
  [SMALL_STATE(11405)] = 94018,
  [SMALL_STATE(11406)] = 94069,
  [SMALL_STATE(11407)] = 94120,
  [SMALL_STATE(11408)] = 94175,
  [SMALL_STATE(11409)] = 94226,
  [SMALL_STATE(11410)] = 94277,
  [SMALL_STATE(11411)] = 94328,
  [SMALL_STATE(11412)] = 94379,
  [SMALL_STATE(11413)] = 94430,
  [SMALL_STATE(11414)] = 94485,
  [SMALL_STATE(11415)] = 94536,
  [SMALL_STATE(11416)] = 94587,
  [SMALL_STATE(11417)] = 94638,
  [SMALL_STATE(11418)] = 94689,
  [SMALL_STATE(11419)] = 94740,
  [SMALL_STATE(11420)] = 94795,
  [SMALL_STATE(11421)] = 94850,
  [SMALL_STATE(11422)] = 94901,
  [SMALL_STATE(11423)] = 94952,
  [SMALL_STATE(11424)] = 95003,
  [SMALL_STATE(11425)] = 95054,
  [SMALL_STATE(11426)] = 95105,
  [SMALL_STATE(11427)] = 95156,
  [SMALL_STATE(11428)] = 95207,
  [SMALL_STATE(11429)] = 95262,
  [SMALL_STATE(11430)] = 95313,
  [SMALL_STATE(11431)] = 95364,
  [SMALL_STATE(11432)] = 95415,
  [SMALL_STATE(11433)] = 95486,
  [SMALL_STATE(11434)] = 95537,
  [SMALL_STATE(11435)] = 95588,
  [SMALL_STATE(11436)] = 95643,
  [SMALL_STATE(11437)] = 95698,
  [SMALL_STATE(11438)] = 95753,
  [SMALL_STATE(11439)] = 95808,
  [SMALL_STATE(11440)] = 95859,
  [SMALL_STATE(11441)] = 95910,
  [SMALL_STATE(11442)] = 95998,
  [SMALL_STATE(11443)] = 96048,
  [SMALL_STATE(11444)] = 96098,
  [SMALL_STATE(11445)] = 96148,
  [SMALL_STATE(11446)] = 96200,
  [SMALL_STATE(11447)] = 96250,
  [SMALL_STATE(11448)] = 96338,
  [SMALL_STATE(11449)] = 96394,
  [SMALL_STATE(11450)] = 96464,
  [SMALL_STATE(11451)] = 96552,
  [SMALL_STATE(11452)] = 96622,
  [SMALL_STATE(11453)] = 96674,
  [SMALL_STATE(11454)] = 96762,
  [SMALL_STATE(11455)] = 96832,
  [SMALL_STATE(11456)] = 96920,
  [SMALL_STATE(11457)] = 96990,
  [SMALL_STATE(11458)] = 97078,
  [SMALL_STATE(11459)] = 97148,
  [SMALL_STATE(11460)] = 97236,
  [SMALL_STATE(11461)] = 97290,
  [SMALL_STATE(11462)] = 97344,
  [SMALL_STATE(11463)] = 97398,
  [SMALL_STATE(11464)] = 97452,
  [SMALL_STATE(11465)] = 97506,
  [SMALL_STATE(11466)] = 97560,
  [SMALL_STATE(11467)] = 97630,
  [SMALL_STATE(11468)] = 97718,
  [SMALL_STATE(11469)] = 97772,
  [SMALL_STATE(11470)] = 97826,
  [SMALL_STATE(11471)] = 97896,
  [SMALL_STATE(11472)] = 97984,
  [SMALL_STATE(11473)] = 98054,
  [SMALL_STATE(11474)] = 98124,
  [SMALL_STATE(11475)] = 98212,
  [SMALL_STATE(11476)] = 98262,
  [SMALL_STATE(11477)] = 98332,
  [SMALL_STATE(11478)] = 98420,
  [SMALL_STATE(11479)] = 98490,
  [SMALL_STATE(11480)] = 98578,
  [SMALL_STATE(11481)] = 98648,
  [SMALL_STATE(11482)] = 98736,
  [SMALL_STATE(11483)] = 98824,
  [SMALL_STATE(11484)] = 98894,
  [SMALL_STATE(11485)] = 98964,
  [SMALL_STATE(11486)] = 99052,
  [SMALL_STATE(11487)] = 99104,
  [SMALL_STATE(11488)] = 99174,
  [SMALL_STATE(11489)] = 99262,
  [SMALL_STATE(11490)] = 99332,
  [SMALL_STATE(11491)] = 99420,
  [SMALL_STATE(11492)] = 99490,
  [SMALL_STATE(11493)] = 99560,
  [SMALL_STATE(11494)] = 99648,
  [SMALL_STATE(11495)] = 99718,
  [SMALL_STATE(11496)] = 99772,
  [SMALL_STATE(11497)] = 99826,
  [SMALL_STATE(11498)] = 99914,
  [SMALL_STATE(11499)] = 99968,
  [SMALL_STATE(11500)] = 100022,
  [SMALL_STATE(11501)] = 100092,
  [SMALL_STATE(11502)] = 100162,
  [SMALL_STATE(11503)] = 100250,
  [SMALL_STATE(11504)] = 100304,
  [SMALL_STATE(11505)] = 100358,
  [SMALL_STATE(11506)] = 100412,
  [SMALL_STATE(11507)] = 100466,
  [SMALL_STATE(11508)] = 100520,
  [SMALL_STATE(11509)] = 100590,
  [SMALL_STATE(11510)] = 100678,
  [SMALL_STATE(11511)] = 100730,
  [SMALL_STATE(11512)] = 100800,
  [SMALL_STATE(11513)] = 100888,
  [SMALL_STATE(11514)] = 100976,
  [SMALL_STATE(11515)] = 101036,
  [SMALL_STATE(11516)] = 101090,
  [SMALL_STATE(11517)] = 101178,
  [SMALL_STATE(11518)] = 101266,
  [SMALL_STATE(11519)] = 101354,
  [SMALL_STATE(11520)] = 101442,
  [SMALL_STATE(11521)] = 101496,
  [SMALL_STATE(11522)] = 101584,
  [SMALL_STATE(11523)] = 101672,
  [SMALL_STATE(11524)] = 101760,
  [SMALL_STATE(11525)] = 101848,
  [SMALL_STATE(11526)] = 101918,
  [SMALL_STATE(11527)] = 102006,
  [SMALL_STATE(11528)] = 102094,
  [SMALL_STATE(11529)] = 102182,
  [SMALL_STATE(11530)] = 102270,
  [SMALL_STATE(11531)] = 102324,
  [SMALL_STATE(11532)] = 102378,
  [SMALL_STATE(11533)] = 102466,
  [SMALL_STATE(11534)] = 102520,
  [SMALL_STATE(11535)] = 102574,
  [SMALL_STATE(11536)] = 102662,
  [SMALL_STATE(11537)] = 102732,
  [SMALL_STATE(11538)] = 102820,
  [SMALL_STATE(11539)] = 102890,
  [SMALL_STATE(11540)] = 102978,
  [SMALL_STATE(11541)] = 103066,
  [SMALL_STATE(11542)] = 103154,
  [SMALL_STATE(11543)] = 103242,
  [SMALL_STATE(11544)] = 103330,
  [SMALL_STATE(11545)] = 103418,
  [SMALL_STATE(11546)] = 103506,
  [SMALL_STATE(11547)] = 103594,
  [SMALL_STATE(11548)] = 103652,
  [SMALL_STATE(11549)] = 103704,
  [SMALL_STATE(11550)] = 103756,
  [SMALL_STATE(11551)] = 103844,
  [SMALL_STATE(11552)] = 103932,
  [SMALL_STATE(11553)] = 104020,
  [SMALL_STATE(11554)] = 104108,
  [SMALL_STATE(11555)] = 104196,
  [SMALL_STATE(11556)] = 104284,
  [SMALL_STATE(11557)] = 104372,
  [SMALL_STATE(11558)] = 104460,
  [SMALL_STATE(11559)] = 104548,
  [SMALL_STATE(11560)] = 104636,
  [SMALL_STATE(11561)] = 104724,
  [SMALL_STATE(11562)] = 104794,
  [SMALL_STATE(11563)] = 104882,
  [SMALL_STATE(11564)] = 104970,
  [SMALL_STATE(11565)] = 105058,
  [SMALL_STATE(11566)] = 105146,
  [SMALL_STATE(11567)] = 105234,
  [SMALL_STATE(11568)] = 105304,
  [SMALL_STATE(11569)] = 105392,
  [SMALL_STATE(11570)] = 105480,
  [SMALL_STATE(11571)] = 105568,
  [SMALL_STATE(11572)] = 105656,
  [SMALL_STATE(11573)] = 105744,
  [SMALL_STATE(11574)] = 105832,
  [SMALL_STATE(11575)] = 105920,
  [SMALL_STATE(11576)] = 106008,
  [SMALL_STATE(11577)] = 106096,
  [SMALL_STATE(11578)] = 106184,
  [SMALL_STATE(11579)] = 106272,
  [SMALL_STATE(11580)] = 106360,
  [SMALL_STATE(11581)] = 106448,
  [SMALL_STATE(11582)] = 106536,
  [SMALL_STATE(11583)] = 106590,
  [SMALL_STATE(11584)] = 106678,
  [SMALL_STATE(11585)] = 106766,
  [SMALL_STATE(11586)] = 106854,
  [SMALL_STATE(11587)] = 106942,
  [SMALL_STATE(11588)] = 107030,
  [SMALL_STATE(11589)] = 107080,
  [SMALL_STATE(11590)] = 107130,
  [SMALL_STATE(11591)] = 107200,
  [SMALL_STATE(11592)] = 107252,
  [SMALL_STATE(11593)] = 107322,
  [SMALL_STATE(11594)] = 107372,
  [SMALL_STATE(11595)] = 107442,
  [SMALL_STATE(11596)] = 107494,
  [SMALL_STATE(11597)] = 107544,
  [SMALL_STATE(11598)] = 107594,
  [SMALL_STATE(11599)] = 107664,
  [SMALL_STATE(11600)] = 107734,
  [SMALL_STATE(11601)] = 107802,
  [SMALL_STATE(11602)] = 107872,
  [SMALL_STATE(11603)] = 107942,
  [SMALL_STATE(11604)] = 108030,
  [SMALL_STATE(11605)] = 108100,
  [SMALL_STATE(11606)] = 108170,
  [SMALL_STATE(11607)] = 108240,
  [SMALL_STATE(11608)] = 108308,
  [SMALL_STATE(11609)] = 108378,
  [SMALL_STATE(11610)] = 108432,
  [SMALL_STATE(11611)] = 108482,
  [SMALL_STATE(11612)] = 108532,
  [SMALL_STATE(11613)] = 108582,
  [SMALL_STATE(11614)] = 108632,
  [SMALL_STATE(11615)] = 108682,
  [SMALL_STATE(11616)] = 108732,
  [SMALL_STATE(11617)] = 108782,
  [SMALL_STATE(11618)] = 108832,
  [SMALL_STATE(11619)] = 108882,
  [SMALL_STATE(11620)] = 108932,
  [SMALL_STATE(11621)] = 108982,
  [SMALL_STATE(11622)] = 109032,
  [SMALL_STATE(11623)] = 109082,
  [SMALL_STATE(11624)] = 109132,
  [SMALL_STATE(11625)] = 109182,
  [SMALL_STATE(11626)] = 109232,
  [SMALL_STATE(11627)] = 109282,
  [SMALL_STATE(11628)] = 109332,
  [SMALL_STATE(11629)] = 109382,
  [SMALL_STATE(11630)] = 109432,
  [SMALL_STATE(11631)] = 109482,
  [SMALL_STATE(11632)] = 109532,
  [SMALL_STATE(11633)] = 109582,
  [SMALL_STATE(11634)] = 109632,
  [SMALL_STATE(11635)] = 109682,
  [SMALL_STATE(11636)] = 109732,
  [SMALL_STATE(11637)] = 109782,
  [SMALL_STATE(11638)] = 109832,
  [SMALL_STATE(11639)] = 109882,
  [SMALL_STATE(11640)] = 109932,
  [SMALL_STATE(11641)] = 109982,
  [SMALL_STATE(11642)] = 110032,
  [SMALL_STATE(11643)] = 110082,
  [SMALL_STATE(11644)] = 110132,
  [SMALL_STATE(11645)] = 110182,
  [SMALL_STATE(11646)] = 110252,
  [SMALL_STATE(11647)] = 110306,
  [SMALL_STATE(11648)] = 110360,
  [SMALL_STATE(11649)] = 110410,
  [SMALL_STATE(11650)] = 110480,
  [SMALL_STATE(11651)] = 110550,
  [SMALL_STATE(11652)] = 110604,
  [SMALL_STATE(11653)] = 110658,
  [SMALL_STATE(11654)] = 110712,
  [SMALL_STATE(11655)] = 110766,
  [SMALL_STATE(11656)] = 110854,
  [SMALL_STATE(11657)] = 110908,
  [SMALL_STATE(11658)] = 110962,
  [SMALL_STATE(11659)] = 111030,
  [SMALL_STATE(11660)] = 111118,
  [SMALL_STATE(11661)] = 111206,
  [SMALL_STATE(11662)] = 111294,
  [SMALL_STATE(11663)] = 111382,
  [SMALL_STATE(11664)] = 111470,
  [SMALL_STATE(11665)] = 111558,
  [SMALL_STATE(11666)] = 111646,
  [SMALL_STATE(11667)] = 111734,
  [SMALL_STATE(11668)] = 111822,
  [SMALL_STATE(11669)] = 111910,
  [SMALL_STATE(11670)] = 111998,
  [SMALL_STATE(11671)] = 112048,
  [SMALL_STATE(11672)] = 112102,
  [SMALL_STATE(11673)] = 112156,
  [SMALL_STATE(11674)] = 112210,
  [SMALL_STATE(11675)] = 112264,
  [SMALL_STATE(11676)] = 112352,
  [SMALL_STATE(11677)] = 112440,
  [SMALL_STATE(11678)] = 112528,
  [SMALL_STATE(11679)] = 112616,
  [SMALL_STATE(11680)] = 112704,
  [SMALL_STATE(11681)] = 112792,
  [SMALL_STATE(11682)] = 112880,
  [SMALL_STATE(11683)] = 112968,
  [SMALL_STATE(11684)] = 113056,
  [SMALL_STATE(11685)] = 113144,
  [SMALL_STATE(11686)] = 113232,
  [SMALL_STATE(11687)] = 113320,
  [SMALL_STATE(11688)] = 113408,
  [SMALL_STATE(11689)] = 113496,
  [SMALL_STATE(11690)] = 113550,
  [SMALL_STATE(11691)] = 113604,
  [SMALL_STATE(11692)] = 113658,
  [SMALL_STATE(11693)] = 113712,
  [SMALL_STATE(11694)] = 113800,
  [SMALL_STATE(11695)] = 113888,
  [SMALL_STATE(11696)] = 113976,
  [SMALL_STATE(11697)] = 114064,
  [SMALL_STATE(11698)] = 114118,
  [SMALL_STATE(11699)] = 114172,
  [SMALL_STATE(11700)] = 114226,
  [SMALL_STATE(11701)] = 114280,
  [SMALL_STATE(11702)] = 114368,
  [SMALL_STATE(11703)] = 114456,
  [SMALL_STATE(11704)] = 114544,
  [SMALL_STATE(11705)] = 114632,
  [SMALL_STATE(11706)] = 114720,
  [SMALL_STATE(11707)] = 114808,
  [SMALL_STATE(11708)] = 114896,
  [SMALL_STATE(11709)] = 114984,
  [SMALL_STATE(11710)] = 115072,
  [SMALL_STATE(11711)] = 115122,
  [SMALL_STATE(11712)] = 115172,
  [SMALL_STATE(11713)] = 115222,
  [SMALL_STATE(11714)] = 115272,
  [SMALL_STATE(11715)] = 115322,
  [SMALL_STATE(11716)] = 115372,
  [SMALL_STATE(11717)] = 115426,
  [SMALL_STATE(11718)] = 115480,
  [SMALL_STATE(11719)] = 115534,
  [SMALL_STATE(11720)] = 115588,
  [SMALL_STATE(11721)] = 115656,
  [SMALL_STATE(11722)] = 115726,
  [SMALL_STATE(11723)] = 115794,
  [SMALL_STATE(11724)] = 115882,
  [SMALL_STATE(11725)] = 115970,
  [SMALL_STATE(11726)] = 116022,
  [SMALL_STATE(11727)] = 116072,
  [SMALL_STATE(11728)] = 116122,
  [SMALL_STATE(11729)] = 116172,
  [SMALL_STATE(11730)] = 116222,
  [SMALL_STATE(11731)] = 116292,
  [SMALL_STATE(11732)] = 116380,
  [SMALL_STATE(11733)] = 116430,
  [SMALL_STATE(11734)] = 116480,
  [SMALL_STATE(11735)] = 116568,
  [SMALL_STATE(11736)] = 116656,
  [SMALL_STATE(11737)] = 116744,
  [SMALL_STATE(11738)] = 116832,
  [SMALL_STATE(11739)] = 116920,
  [SMALL_STATE(11740)] = 117008,
  [SMALL_STATE(11741)] = 117068,
  [SMALL_STATE(11742)] = 117128,
  [SMALL_STATE(11743)] = 117178,
  [SMALL_STATE(11744)] = 117266,
  [SMALL_STATE(11745)] = 117354,
  [SMALL_STATE(11746)] = 117442,
  [SMALL_STATE(11747)] = 117530,
  [SMALL_STATE(11748)] = 117618,
  [SMALL_STATE(11749)] = 117706,
  [SMALL_STATE(11750)] = 117794,
  [SMALL_STATE(11751)] = 117882,
  [SMALL_STATE(11752)] = 117970,
  [SMALL_STATE(11753)] = 118058,
  [SMALL_STATE(11754)] = 118146,
  [SMALL_STATE(11755)] = 118234,
  [SMALL_STATE(11756)] = 118322,
  [SMALL_STATE(11757)] = 118410,
  [SMALL_STATE(11758)] = 118498,
  [SMALL_STATE(11759)] = 118548,
  [SMALL_STATE(11760)] = 118598,
  [SMALL_STATE(11761)] = 118648,
  [SMALL_STATE(11762)] = 118698,
  [SMALL_STATE(11763)] = 118750,
  [SMALL_STATE(11764)] = 118802,
  [SMALL_STATE(11765)] = 118870,
  [SMALL_STATE(11766)] = 118920,
  [SMALL_STATE(11767)] = 118970,
  [SMALL_STATE(11768)] = 119020,
  [SMALL_STATE(11769)] = 119070,
  [SMALL_STATE(11770)] = 119140,
  [SMALL_STATE(11771)] = 119228,
  [SMALL_STATE(11772)] = 119278,
  [SMALL_STATE(11773)] = 119328,
  [SMALL_STATE(11774)] = 119378,
  [SMALL_STATE(11775)] = 119445,
  [SMALL_STATE(11776)] = 119494,
  [SMALL_STATE(11777)] = 119547,
  [SMALL_STATE(11778)] = 119596,
  [SMALL_STATE(11779)] = 119663,
  [SMALL_STATE(11780)] = 119712,
  [SMALL_STATE(11781)] = 119761,
  [SMALL_STATE(11782)] = 119810,
  [SMALL_STATE(11783)] = 119859,
  [SMALL_STATE(11784)] = 119908,
  [SMALL_STATE(11785)] = 119957,
  [SMALL_STATE(11786)] = 120026,
  [SMALL_STATE(11787)] = 120075,
  [SMALL_STATE(11788)] = 120124,
  [SMALL_STATE(11789)] = 120173,
  [SMALL_STATE(11790)] = 120222,
  [SMALL_STATE(11791)] = 120271,
  [SMALL_STATE(11792)] = 120320,
  [SMALL_STATE(11793)] = 120369,
  [SMALL_STATE(11794)] = 120418,
  [SMALL_STATE(11795)] = 120471,
  [SMALL_STATE(11796)] = 120524,
  [SMALL_STATE(11797)] = 120577,
  [SMALL_STATE(11798)] = 120626,
  [SMALL_STATE(11799)] = 120675,
  [SMALL_STATE(11800)] = 120724,
  [SMALL_STATE(11801)] = 120773,
  [SMALL_STATE(11802)] = 120822,
  [SMALL_STATE(11803)] = 120871,
  [SMALL_STATE(11804)] = 120920,
  [SMALL_STATE(11805)] = 120969,
  [SMALL_STATE(11806)] = 121018,
  [SMALL_STATE(11807)] = 121067,
  [SMALL_STATE(11808)] = 121116,
  [SMALL_STATE(11809)] = 121165,
  [SMALL_STATE(11810)] = 121214,
  [SMALL_STATE(11811)] = 121263,
  [SMALL_STATE(11812)] = 121312,
  [SMALL_STATE(11813)] = 121361,
  [SMALL_STATE(11814)] = 121410,
  [SMALL_STATE(11815)] = 121459,
  [SMALL_STATE(11816)] = 121508,
  [SMALL_STATE(11817)] = 121577,
  [SMALL_STATE(11818)] = 121626,
  [SMALL_STATE(11819)] = 121675,
  [SMALL_STATE(11820)] = 121724,
  [SMALL_STATE(11821)] = 121773,
  [SMALL_STATE(11822)] = 121822,
  [SMALL_STATE(11823)] = 121871,
  [SMALL_STATE(11824)] = 121920,
  [SMALL_STATE(11825)] = 121969,
  [SMALL_STATE(11826)] = 122022,
  [SMALL_STATE(11827)] = 122075,
  [SMALL_STATE(11828)] = 122126,
  [SMALL_STATE(11829)] = 122175,
  [SMALL_STATE(11830)] = 122226,
  [SMALL_STATE(11831)] = 122275,
  [SMALL_STATE(11832)] = 122324,
  [SMALL_STATE(11833)] = 122375,
  [SMALL_STATE(11834)] = 122426,
  [SMALL_STATE(11835)] = 122475,
  [SMALL_STATE(11836)] = 122528,
  [SMALL_STATE(11837)] = 122581,
  [SMALL_STATE(11838)] = 122630,
  [SMALL_STATE(11839)] = 122679,
  [SMALL_STATE(11840)] = 122732,
  [SMALL_STATE(11841)] = 122785,
  [SMALL_STATE(11842)] = 122834,
  [SMALL_STATE(11843)] = 122887,
  [SMALL_STATE(11844)] = 122936,
  [SMALL_STATE(11845)] = 122989,
  [SMALL_STATE(11846)] = 123038,
  [SMALL_STATE(11847)] = 123087,
  [SMALL_STATE(11848)] = 123140,
  [SMALL_STATE(11849)] = 123189,
  [SMALL_STATE(11850)] = 123238,
  [SMALL_STATE(11851)] = 123287,
  [SMALL_STATE(11852)] = 123340,
  [SMALL_STATE(11853)] = 123389,
  [SMALL_STATE(11854)] = 123438,
  [SMALL_STATE(11855)] = 123487,
  [SMALL_STATE(11856)] = 123536,
  [SMALL_STATE(11857)] = 123585,
  [SMALL_STATE(11858)] = 123634,
  [SMALL_STATE(11859)] = 123683,
  [SMALL_STATE(11860)] = 123732,
  [SMALL_STATE(11861)] = 123781,
  [SMALL_STATE(11862)] = 123830,
  [SMALL_STATE(11863)] = 123879,
  [SMALL_STATE(11864)] = 123928,
  [SMALL_STATE(11865)] = 123977,
  [SMALL_STATE(11866)] = 124026,
  [SMALL_STATE(11867)] = 124075,
  [SMALL_STATE(11868)] = 124124,
  [SMALL_STATE(11869)] = 124177,
  [SMALL_STATE(11870)] = 124226,
  [SMALL_STATE(11871)] = 124275,
  [SMALL_STATE(11872)] = 124324,
  [SMALL_STATE(11873)] = 124373,
  [SMALL_STATE(11874)] = 124422,
  [SMALL_STATE(11875)] = 124471,
  [SMALL_STATE(11876)] = 124520,
  [SMALL_STATE(11877)] = 124569,
  [SMALL_STATE(11878)] = 124618,
  [SMALL_STATE(11879)] = 124667,
  [SMALL_STATE(11880)] = 124716,
  [SMALL_STATE(11881)] = 124765,
  [SMALL_STATE(11882)] = 124814,
  [SMALL_STATE(11883)] = 124863,
  [SMALL_STATE(11884)] = 124912,
  [SMALL_STATE(11885)] = 124961,
  [SMALL_STATE(11886)] = 125010,
  [SMALL_STATE(11887)] = 125059,
  [SMALL_STATE(11888)] = 125108,
  [SMALL_STATE(11889)] = 125157,
  [SMALL_STATE(11890)] = 125206,
  [SMALL_STATE(11891)] = 125265,
  [SMALL_STATE(11892)] = 125314,
  [SMALL_STATE(11893)] = 125367,
  [SMALL_STATE(11894)] = 125426,
  [SMALL_STATE(11895)] = 125475,
  [SMALL_STATE(11896)] = 125524,
  [SMALL_STATE(11897)] = 125583,
  [SMALL_STATE(11898)] = 125632,
  [SMALL_STATE(11899)] = 125681,
  [SMALL_STATE(11900)] = 125734,
  [SMALL_STATE(11901)] = 125787,
  [SMALL_STATE(11902)] = 125840,
  [SMALL_STATE(11903)] = 125889,
  [SMALL_STATE(11904)] = 125942,
  [SMALL_STATE(11905)] = 125991,
  [SMALL_STATE(11906)] = 126044,
  [SMALL_STATE(11907)] = 126097,
  [SMALL_STATE(11908)] = 126150,
  [SMALL_STATE(11909)] = 126203,
  [SMALL_STATE(11910)] = 126252,
  [SMALL_STATE(11911)] = 126305,
  [SMALL_STATE(11912)] = 126354,
  [SMALL_STATE(11913)] = 126403,
  [SMALL_STATE(11914)] = 126452,
  [SMALL_STATE(11915)] = 126501,
  [SMALL_STATE(11916)] = 126550,
  [SMALL_STATE(11917)] = 126599,
  [SMALL_STATE(11918)] = 126648,
  [SMALL_STATE(11919)] = 126697,
  [SMALL_STATE(11920)] = 126746,
  [SMALL_STATE(11921)] = 126795,
  [SMALL_STATE(11922)] = 126844,
  [SMALL_STATE(11923)] = 126893,
  [SMALL_STATE(11924)] = 126942,
  [SMALL_STATE(11925)] = 126991,
  [SMALL_STATE(11926)] = 127040,
  [SMALL_STATE(11927)] = 127089,
  [SMALL_STATE(11928)] = 127138,
  [SMALL_STATE(11929)] = 127187,
  [SMALL_STATE(11930)] = 127236,
  [SMALL_STATE(11931)] = 127285,
  [SMALL_STATE(11932)] = 127334,
  [SMALL_STATE(11933)] = 127383,
  [SMALL_STATE(11934)] = 127432,
  [SMALL_STATE(11935)] = 127481,
  [SMALL_STATE(11936)] = 127530,
  [SMALL_STATE(11937)] = 127579,
  [SMALL_STATE(11938)] = 127628,
  [SMALL_STATE(11939)] = 127677,
  [SMALL_STATE(11940)] = 127726,
  [SMALL_STATE(11941)] = 127775,
  [SMALL_STATE(11942)] = 127824,
  [SMALL_STATE(11943)] = 127873,
  [SMALL_STATE(11944)] = 127922,
  [SMALL_STATE(11945)] = 127975,
  [SMALL_STATE(11946)] = 128024,
  [SMALL_STATE(11947)] = 128073,
  [SMALL_STATE(11948)] = 128122,
  [SMALL_STATE(11949)] = 128171,
  [SMALL_STATE(11950)] = 128220,
  [SMALL_STATE(11951)] = 128269,
  [SMALL_STATE(11952)] = 128322,
  [SMALL_STATE(11953)] = 128375,
  [SMALL_STATE(11954)] = 128428,
  [SMALL_STATE(11955)] = 128487,
  [SMALL_STATE(11956)] = 128546,
  [SMALL_STATE(11957)] = 128605,
  [SMALL_STATE(11958)] = 128664,
  [SMALL_STATE(11959)] = 128713,
  [SMALL_STATE(11960)] = 128772,
  [SMALL_STATE(11961)] = 128825,
  [SMALL_STATE(11962)] = 128878,
  [SMALL_STATE(11963)] = 128931,
  [SMALL_STATE(11964)] = 128984,
  [SMALL_STATE(11965)] = 129033,
  [SMALL_STATE(11966)] = 129082,
  [SMALL_STATE(11967)] = 129133,
  [SMALL_STATE(11968)] = 129182,
  [SMALL_STATE(11969)] = 129241,
  [SMALL_STATE(11970)] = 129294,
  [SMALL_STATE(11971)] = 129346,
  [SMALL_STATE(11972)] = 129398,
  [SMALL_STATE(11973)] = 129450,
  [SMALL_STATE(11974)] = 129508,
  [SMALL_STATE(11975)] = 129566,
  [SMALL_STATE(11976)] = 129624,
  [SMALL_STATE(11977)] = 129690,
  [SMALL_STATE(11978)] = 129738,
  [SMALL_STATE(11979)] = 129786,
  [SMALL_STATE(11980)] = 129836,
  [SMALL_STATE(11981)] = 129884,
  [SMALL_STATE(11982)] = 129934,
  [SMALL_STATE(11983)] = 129986,
  [SMALL_STATE(11984)] = 130034,
  [SMALL_STATE(11985)] = 130086,
  [SMALL_STATE(11986)] = 130138,
  [SMALL_STATE(11987)] = 130190,
  [SMALL_STATE(11988)] = 130242,
  [SMALL_STATE(11989)] = 130292,
  [SMALL_STATE(11990)] = 130344,
  [SMALL_STATE(11991)] = 130396,
  [SMALL_STATE(11992)] = 130448,
  [SMALL_STATE(11993)] = 130500,
  [SMALL_STATE(11994)] = 130552,
  [SMALL_STATE(11995)] = 130604,
  [SMALL_STATE(11996)] = 130652,
  [SMALL_STATE(11997)] = 130704,
  [SMALL_STATE(11998)] = 130756,
  [SMALL_STATE(11999)] = 130808,
  [SMALL_STATE(12000)] = 130860,
  [SMALL_STATE(12001)] = 130912,
  [SMALL_STATE(12002)] = 130962,
  [SMALL_STATE(12003)] = 131014,
  [SMALL_STATE(12004)] = 131066,
  [SMALL_STATE(12005)] = 131124,
  [SMALL_STATE(12006)] = 131176,
  [SMALL_STATE(12007)] = 131228,
  [SMALL_STATE(12008)] = 131280,
  [SMALL_STATE(12009)] = 131338,
  [SMALL_STATE(12010)] = 131396,
  [SMALL_STATE(12011)] = 131454,
  [SMALL_STATE(12012)] = 131506,
  [SMALL_STATE(12013)] = 131564,
  [SMALL_STATE(12014)] = 131622,
  [SMALL_STATE(12015)] = 131674,
  [SMALL_STATE(12016)] = 131721,
  [SMALL_STATE(12017)] = 131778,
  [SMALL_STATE(12018)] = 131849,
  [SMALL_STATE(12019)] = 131920,
  [SMALL_STATE(12020)] = 131967,
  [SMALL_STATE(12021)] = 132014,
  [SMALL_STATE(12022)] = 132061,
  [SMALL_STATE(12023)] = 132108,
  [SMALL_STATE(12024)] = 132155,
  [SMALL_STATE(12025)] = 132202,
  [SMALL_STATE(12026)] = 132249,
  [SMALL_STATE(12027)] = 132296,
  [SMALL_STATE(12028)] = 132343,
  [SMALL_STATE(12029)] = 132390,
  [SMALL_STATE(12030)] = 132441,
  [SMALL_STATE(12031)] = 132512,
  [SMALL_STATE(12032)] = 132563,
  [SMALL_STATE(12033)] = 132610,
  [SMALL_STATE(12034)] = 132667,
  [SMALL_STATE(12035)] = 132718,
  [SMALL_STATE(12036)] = 132769,
  [SMALL_STATE(12037)] = 132820,
  [SMALL_STATE(12038)] = 132867,
  [SMALL_STATE(12039)] = 132914,
  [SMALL_STATE(12040)] = 132961,
  [SMALL_STATE(12041)] = 133008,
  [SMALL_STATE(12042)] = 133059,
  [SMALL_STATE(12043)] = 133106,
  [SMALL_STATE(12044)] = 133177,
  [SMALL_STATE(12045)] = 133248,
  [SMALL_STATE(12046)] = 133295,
  [SMALL_STATE(12047)] = 133342,
  [SMALL_STATE(12048)] = 133389,
  [SMALL_STATE(12049)] = 133436,
  [SMALL_STATE(12050)] = 133483,
  [SMALL_STATE(12051)] = 133534,
  [SMALL_STATE(12052)] = 133581,
  [SMALL_STATE(12053)] = 133628,
  [SMALL_STATE(12054)] = 133675,
  [SMALL_STATE(12055)] = 133746,
  [SMALL_STATE(12056)] = 133817,
  [SMALL_STATE(12057)] = 133864,
  [SMALL_STATE(12058)] = 133935,
  [SMALL_STATE(12059)] = 133982,
  [SMALL_STATE(12060)] = 134053,
  [SMALL_STATE(12061)] = 134124,
  [SMALL_STATE(12062)] = 134171,
  [SMALL_STATE(12063)] = 134222,
  [SMALL_STATE(12064)] = 134273,
  [SMALL_STATE(12065)] = 134320,
  [SMALL_STATE(12066)] = 134371,
  [SMALL_STATE(12067)] = 134422,
  [SMALL_STATE(12068)] = 134469,
  [SMALL_STATE(12069)] = 134520,
  [SMALL_STATE(12070)] = 134567,
  [SMALL_STATE(12071)] = 134638,
  [SMALL_STATE(12072)] = 134685,
  [SMALL_STATE(12073)] = 134732,
  [SMALL_STATE(12074)] = 134783,
  [SMALL_STATE(12075)] = 134834,
  [SMALL_STATE(12076)] = 134881,
  [SMALL_STATE(12077)] = 134932,
  [SMALL_STATE(12078)] = 134983,
  [SMALL_STATE(12079)] = 135030,
  [SMALL_STATE(12080)] = 135101,
  [SMALL_STATE(12081)] = 135172,
  [SMALL_STATE(12082)] = 135219,
  [SMALL_STATE(12083)] = 135270,
  [SMALL_STATE(12084)] = 135321,
  [SMALL_STATE(12085)] = 135372,
  [SMALL_STATE(12086)] = 135423,
  [SMALL_STATE(12087)] = 135474,
  [SMALL_STATE(12088)] = 135521,
  [SMALL_STATE(12089)] = 135568,
  [SMALL_STATE(12090)] = 135619,
  [SMALL_STATE(12091)] = 135670,
  [SMALL_STATE(12092)] = 135717,
  [SMALL_STATE(12093)] = 135768,
  [SMALL_STATE(12094)] = 135819,
  [SMALL_STATE(12095)] = 135870,
  [SMALL_STATE(12096)] = 135917,
  [SMALL_STATE(12097)] = 135964,
  [SMALL_STATE(12098)] = 136011,
  [SMALL_STATE(12099)] = 136082,
  [SMALL_STATE(12100)] = 136133,
  [SMALL_STATE(12101)] = 136184,
  [SMALL_STATE(12102)] = 136231,
  [SMALL_STATE(12103)] = 136278,
  [SMALL_STATE(12104)] = 136329,
  [SMALL_STATE(12105)] = 136380,
  [SMALL_STATE(12106)] = 136427,
  [SMALL_STATE(12107)] = 136474,
  [SMALL_STATE(12108)] = 136521,
  [SMALL_STATE(12109)] = 136572,
  [SMALL_STATE(12110)] = 136619,
  [SMALL_STATE(12111)] = 136690,
  [SMALL_STATE(12112)] = 136737,
  [SMALL_STATE(12113)] = 136788,
  [SMALL_STATE(12114)] = 136839,
  [SMALL_STATE(12115)] = 136890,
  [SMALL_STATE(12116)] = 136941,
  [SMALL_STATE(12117)] = 136988,
  [SMALL_STATE(12118)] = 137039,
  [SMALL_STATE(12119)] = 137090,
  [SMALL_STATE(12120)] = 137141,
  [SMALL_STATE(12121)] = 137192,
  [SMALL_STATE(12122)] = 137263,
  [SMALL_STATE(12123)] = 137334,
  [SMALL_STATE(12124)] = 137381,
  [SMALL_STATE(12125)] = 137438,
  [SMALL_STATE(12126)] = 137495,
  [SMALL_STATE(12127)] = 137542,
  [SMALL_STATE(12128)] = 137589,
  [SMALL_STATE(12129)] = 137636,
  [SMALL_STATE(12130)] = 137683,
  [SMALL_STATE(12131)] = 137730,
  [SMALL_STATE(12132)] = 137801,
  [SMALL_STATE(12133)] = 137872,
  [SMALL_STATE(12134)] = 137919,
  [SMALL_STATE(12135)] = 137966,
  [SMALL_STATE(12136)] = 138013,
  [SMALL_STATE(12137)] = 138060,
  [SMALL_STATE(12138)] = 138107,
  [SMALL_STATE(12139)] = 138154,
  [SMALL_STATE(12140)] = 138205,
  [SMALL_STATE(12141)] = 138256,
  [SMALL_STATE(12142)] = 138307,
  [SMALL_STATE(12143)] = 138358,
  [SMALL_STATE(12144)] = 138405,
  [SMALL_STATE(12145)] = 138476,
  [SMALL_STATE(12146)] = 138547,
  [SMALL_STATE(12147)] = 138594,
  [SMALL_STATE(12148)] = 138641,
  [SMALL_STATE(12149)] = 138688,
  [SMALL_STATE(12150)] = 138735,
  [SMALL_STATE(12151)] = 138806,
  [SMALL_STATE(12152)] = 138877,
  [SMALL_STATE(12153)] = 138924,
  [SMALL_STATE(12154)] = 138995,
  [SMALL_STATE(12155)] = 139066,
  [SMALL_STATE(12156)] = 139113,
  [SMALL_STATE(12157)] = 139184,
  [SMALL_STATE(12158)] = 139255,
  [SMALL_STATE(12159)] = 139326,
  [SMALL_STATE(12160)] = 139373,
  [SMALL_STATE(12161)] = 139420,
  [SMALL_STATE(12162)] = 139491,
  [SMALL_STATE(12163)] = 139562,
  [SMALL_STATE(12164)] = 139609,
  [SMALL_STATE(12165)] = 139680,
  [SMALL_STATE(12166)] = 139751,
  [SMALL_STATE(12167)] = 139822,
  [SMALL_STATE(12168)] = 139893,
  [SMALL_STATE(12169)] = 139964,
  [SMALL_STATE(12170)] = 140035,
  [SMALL_STATE(12171)] = 140086,
  [SMALL_STATE(12172)] = 140137,
  [SMALL_STATE(12173)] = 140184,
  [SMALL_STATE(12174)] = 140231,
  [SMALL_STATE(12175)] = 140278,
  [SMALL_STATE(12176)] = 140329,
  [SMALL_STATE(12177)] = 140386,
  [SMALL_STATE(12178)] = 140443,
  [SMALL_STATE(12179)] = 140494,
  [SMALL_STATE(12180)] = 140541,
  [SMALL_STATE(12181)] = 140588,
  [SMALL_STATE(12182)] = 140639,
  [SMALL_STATE(12183)] = 140686,
  [SMALL_STATE(12184)] = 140737,
  [SMALL_STATE(12185)] = 140788,
  [SMALL_STATE(12186)] = 140839,
  [SMALL_STATE(12187)] = 140890,
  [SMALL_STATE(12188)] = 140937,
  [SMALL_STATE(12189)] = 140984,
  [SMALL_STATE(12190)] = 141031,
  [SMALL_STATE(12191)] = 141078,
  [SMALL_STATE(12192)] = 141129,
  [SMALL_STATE(12193)] = 141180,
  [SMALL_STATE(12194)] = 141231,
  [SMALL_STATE(12195)] = 141282,
  [SMALL_STATE(12196)] = 141353,
  [SMALL_STATE(12197)] = 141424,
  [SMALL_STATE(12198)] = 141471,
  [SMALL_STATE(12199)] = 141542,
  [SMALL_STATE(12200)] = 141613,
  [SMALL_STATE(12201)] = 141660,
  [SMALL_STATE(12202)] = 141707,
  [SMALL_STATE(12203)] = 141756,
  [SMALL_STATE(12204)] = 141802,
  [SMALL_STATE(12205)] = 141848,
  [SMALL_STATE(12206)] = 141898,
  [SMALL_STATE(12207)] = 141948,
  [SMALL_STATE(12208)] = 141994,
  [SMALL_STATE(12209)] = 142040,
  [SMALL_STATE(12210)] = 142086,
  [SMALL_STATE(12211)] = 142132,
  [SMALL_STATE(12212)] = 142202,
  [SMALL_STATE(12213)] = 142248,
  [SMALL_STATE(12214)] = 142296,
  [SMALL_STATE(12215)] = 142344,
  [SMALL_STATE(12216)] = 142442,
  [SMALL_STATE(12217)] = 142488,
  [SMALL_STATE(12218)] = 142558,
  [SMALL_STATE(12219)] = 142604,
  [SMALL_STATE(12220)] = 142654,
  [SMALL_STATE(12221)] = 142700,
  [SMALL_STATE(12222)] = 142746,
  [SMALL_STATE(12223)] = 142796,
  [SMALL_STATE(12224)] = 142842,
  [SMALL_STATE(12225)] = 142888,
  [SMALL_STATE(12226)] = 142938,
  [SMALL_STATE(12227)] = 142988,
  [SMALL_STATE(12228)] = 143058,
  [SMALL_STATE(12229)] = 143104,
  [SMALL_STATE(12230)] = 143154,
  [SMALL_STATE(12231)] = 143200,
  [SMALL_STATE(12232)] = 143250,
  [SMALL_STATE(12233)] = 143348,
  [SMALL_STATE(12234)] = 143418,
  [SMALL_STATE(12235)] = 143464,
  [SMALL_STATE(12236)] = 143510,
  [SMALL_STATE(12237)] = 143580,
  [SMALL_STATE(12238)] = 143678,
  [SMALL_STATE(12239)] = 143728,
  [SMALL_STATE(12240)] = 143774,
  [SMALL_STATE(12241)] = 143824,
  [SMALL_STATE(12242)] = 143874,
  [SMALL_STATE(12243)] = 143922,
  [SMALL_STATE(12244)] = 143972,
  [SMALL_STATE(12245)] = 144020,
  [SMALL_STATE(12246)] = 144090,
  [SMALL_STATE(12247)] = 144188,
  [SMALL_STATE(12248)] = 144234,
  [SMALL_STATE(12249)] = 144284,
  [SMALL_STATE(12250)] = 144334,
  [SMALL_STATE(12251)] = 144380,
  [SMALL_STATE(12252)] = 144426,
  [SMALL_STATE(12253)] = 144472,
  [SMALL_STATE(12254)] = 144518,
  [SMALL_STATE(12255)] = 144568,
  [SMALL_STATE(12256)] = 144666,
  [SMALL_STATE(12257)] = 144736,
  [SMALL_STATE(12258)] = 144782,
  [SMALL_STATE(12259)] = 144852,
  [SMALL_STATE(12260)] = 144950,
  [SMALL_STATE(12261)] = 145000,
  [SMALL_STATE(12262)] = 145046,
  [SMALL_STATE(12263)] = 145092,
  [SMALL_STATE(12264)] = 145190,
  [SMALL_STATE(12265)] = 145236,
  [SMALL_STATE(12266)] = 145334,
  [SMALL_STATE(12267)] = 145380,
  [SMALL_STATE(12268)] = 145450,
  [SMALL_STATE(12269)] = 145520,
  [SMALL_STATE(12270)] = 145576,
  [SMALL_STATE(12271)] = 145626,
  [SMALL_STATE(12272)] = 145672,
  [SMALL_STATE(12273)] = 145742,
  [SMALL_STATE(12274)] = 145788,
  [SMALL_STATE(12275)] = 145836,
  [SMALL_STATE(12276)] = 145890,
  [SMALL_STATE(12277)] = 145936,
  [SMALL_STATE(12278)] = 145982,
  [SMALL_STATE(12279)] = 146052,
  [SMALL_STATE(12280)] = 146098,
  [SMALL_STATE(12281)] = 146150,
  [SMALL_STATE(12282)] = 146248,
  [SMALL_STATE(12283)] = 146298,
  [SMALL_STATE(12284)] = 146348,
  [SMALL_STATE(12285)] = 146398,
  [SMALL_STATE(12286)] = 146468,
  [SMALL_STATE(12287)] = 146514,
  [SMALL_STATE(12288)] = 146560,
  [SMALL_STATE(12289)] = 146606,
  [SMALL_STATE(12290)] = 146656,
  [SMALL_STATE(12291)] = 146702,
  [SMALL_STATE(12292)] = 146772,
  [SMALL_STATE(12293)] = 146870,
  [SMALL_STATE(12294)] = 146916,
  [SMALL_STATE(12295)] = 146962,
  [SMALL_STATE(12296)] = 147032,
  [SMALL_STATE(12297)] = 147078,
  [SMALL_STATE(12298)] = 147124,
  [SMALL_STATE(12299)] = 147222,
  [SMALL_STATE(12300)] = 147292,
  [SMALL_STATE(12301)] = 147338,
  [SMALL_STATE(12302)] = 147384,
  [SMALL_STATE(12303)] = 147454,
  [SMALL_STATE(12304)] = 147500,
  [SMALL_STATE(12305)] = 147546,
  [SMALL_STATE(12306)] = 147596,
  [SMALL_STATE(12307)] = 147648,
  [SMALL_STATE(12308)] = 147694,
  [SMALL_STATE(12309)] = 147792,
  [SMALL_STATE(12310)] = 147838,
  [SMALL_STATE(12311)] = 147884,
  [SMALL_STATE(12312)] = 147934,
  [SMALL_STATE(12313)] = 147984,
  [SMALL_STATE(12314)] = 148034,
  [SMALL_STATE(12315)] = 148084,
  [SMALL_STATE(12316)] = 148132,
  [SMALL_STATE(12317)] = 148178,
  [SMALL_STATE(12318)] = 148228,
  [SMALL_STATE(12319)] = 148278,
  [SMALL_STATE(12320)] = 148328,
  [SMALL_STATE(12321)] = 148398,
  [SMALL_STATE(12322)] = 148448,
  [SMALL_STATE(12323)] = 148496,
  [SMALL_STATE(12324)] = 148594,
  [SMALL_STATE(12325)] = 148664,
  [SMALL_STATE(12326)] = 148762,
  [SMALL_STATE(12327)] = 148812,
  [SMALL_STATE(12328)] = 148862,
  [SMALL_STATE(12329)] = 148908,
  [SMALL_STATE(12330)] = 148958,
  [SMALL_STATE(12331)] = 149004,
  [SMALL_STATE(12332)] = 149050,
  [SMALL_STATE(12333)] = 149096,
  [SMALL_STATE(12334)] = 149142,
  [SMALL_STATE(12335)] = 149188,
  [SMALL_STATE(12336)] = 149234,
  [SMALL_STATE(12337)] = 149284,
  [SMALL_STATE(12338)] = 149334,
  [SMALL_STATE(12339)] = 149404,
  [SMALL_STATE(12340)] = 149450,
  [SMALL_STATE(12341)] = 149504,
  [SMALL_STATE(12342)] = 149550,
  [SMALL_STATE(12343)] = 149604,
  [SMALL_STATE(12344)] = 149652,
  [SMALL_STATE(12345)] = 149700,
  [SMALL_STATE(12346)] = 149748,
  [SMALL_STATE(12347)] = 149800,
  [SMALL_STATE(12348)] = 149848,
  [SMALL_STATE(12349)] = 149896,
  [SMALL_STATE(12350)] = 149944,
  [SMALL_STATE(12351)] = 149992,
  [SMALL_STATE(12352)] = 150042,
  [SMALL_STATE(12353)] = 150089,
  [SMALL_STATE(12354)] = 150184,
  [SMALL_STATE(12355)] = 150279,
  [SMALL_STATE(12356)] = 150324,
  [SMALL_STATE(12357)] = 150419,
  [SMALL_STATE(12358)] = 150514,
  [SMALL_STATE(12359)] = 150561,
  [SMALL_STATE(12360)] = 150656,
  [SMALL_STATE(12361)] = 150703,
  [SMALL_STATE(12362)] = 150750,
  [SMALL_STATE(12363)] = 150795,
  [SMALL_STATE(12364)] = 150844,
  [SMALL_STATE(12365)] = 150889,
  [SMALL_STATE(12366)] = 150984,
  [SMALL_STATE(12367)] = 151079,
  [SMALL_STATE(12368)] = 151128,
  [SMALL_STATE(12369)] = 151177,
  [SMALL_STATE(12370)] = 151222,
  [SMALL_STATE(12371)] = 151317,
  [SMALL_STATE(12372)] = 151406,
  [SMALL_STATE(12373)] = 151501,
  [SMALL_STATE(12374)] = 151548,
  [SMALL_STATE(12375)] = 151643,
  [SMALL_STATE(12376)] = 151688,
  [SMALL_STATE(12377)] = 151783,
  [SMALL_STATE(12378)] = 151828,
  [SMALL_STATE(12379)] = 151877,
  [SMALL_STATE(12380)] = 151944,
  [SMALL_STATE(12381)] = 152039,
  [SMALL_STATE(12382)] = 152084,
  [SMALL_STATE(12383)] = 152133,
  [SMALL_STATE(12384)] = 152182,
  [SMALL_STATE(12385)] = 152277,
  [SMALL_STATE(12386)] = 152322,
  [SMALL_STATE(12387)] = 152371,
  [SMALL_STATE(12388)] = 152420,
  [SMALL_STATE(12389)] = 152465,
  [SMALL_STATE(12390)] = 152560,
  [SMALL_STATE(12391)] = 152609,
  [SMALL_STATE(12392)] = 152654,
  [SMALL_STATE(12393)] = 152703,
  [SMALL_STATE(12394)] = 152748,
  [SMALL_STATE(12395)] = 152815,
  [SMALL_STATE(12396)] = 152860,
  [SMALL_STATE(12397)] = 152909,
  [SMALL_STATE(12398)] = 153004,
  [SMALL_STATE(12399)] = 153053,
  [SMALL_STATE(12400)] = 153148,
  [SMALL_STATE(12401)] = 153197,
  [SMALL_STATE(12402)] = 153286,
  [SMALL_STATE(12403)] = 153381,
  [SMALL_STATE(12404)] = 153448,
  [SMALL_STATE(12405)] = 153543,
  [SMALL_STATE(12406)] = 153638,
  [SMALL_STATE(12407)] = 153705,
  [SMALL_STATE(12408)] = 153750,
  [SMALL_STATE(12409)] = 153799,
  [SMALL_STATE(12410)] = 153844,
  [SMALL_STATE(12411)] = 153939,
  [SMALL_STATE(12412)] = 153984,
  [SMALL_STATE(12413)] = 154079,
  [SMALL_STATE(12414)] = 154146,
  [SMALL_STATE(12415)] = 154241,
  [SMALL_STATE(12416)] = 154336,
  [SMALL_STATE(12417)] = 154381,
  [SMALL_STATE(12418)] = 154476,
  [SMALL_STATE(12419)] = 154571,
  [SMALL_STATE(12420)] = 154616,
  [SMALL_STATE(12421)] = 154661,
  [SMALL_STATE(12422)] = 154756,
  [SMALL_STATE(12423)] = 154851,
  [SMALL_STATE(12424)] = 154946,
  [SMALL_STATE(12425)] = 155041,
  [SMALL_STATE(12426)] = 155090,
  [SMALL_STATE(12427)] = 155135,
  [SMALL_STATE(12428)] = 155230,
  [SMALL_STATE(12429)] = 155325,
  [SMALL_STATE(12430)] = 155370,
  [SMALL_STATE(12431)] = 155465,
  [SMALL_STATE(12432)] = 155514,
  [SMALL_STATE(12433)] = 155559,
  [SMALL_STATE(12434)] = 155606,
  [SMALL_STATE(12435)] = 155673,
  [SMALL_STATE(12436)] = 155718,
  [SMALL_STATE(12437)] = 155767,
  [SMALL_STATE(12438)] = 155862,
  [SMALL_STATE(12439)] = 155957,
  [SMALL_STATE(12440)] = 156004,
  [SMALL_STATE(12441)] = 156053,
  [SMALL_STATE(12442)] = 156098,
  [SMALL_STATE(12443)] = 156193,
  [SMALL_STATE(12444)] = 156288,
  [SMALL_STATE(12445)] = 156335,
  [SMALL_STATE(12446)] = 156380,
  [SMALL_STATE(12447)] = 156429,
  [SMALL_STATE(12448)] = 156496,
  [SMALL_STATE(12449)] = 156543,
  [SMALL_STATE(12450)] = 156638,
  [SMALL_STATE(12451)] = 156733,
  [SMALL_STATE(12452)] = 156828,
  [SMALL_STATE(12453)] = 156923,
  [SMALL_STATE(12454)] = 157008,
  [SMALL_STATE(12455)] = 157093,
  [SMALL_STATE(12456)] = 157178,
  [SMALL_STATE(12457)] = 157273,
  [SMALL_STATE(12458)] = 157322,
  [SMALL_STATE(12459)] = 157371,
  [SMALL_STATE(12460)] = 157420,
  [SMALL_STATE(12461)] = 157469,
  [SMALL_STATE(12462)] = 157518,
  [SMALL_STATE(12463)] = 157567,
  [SMALL_STATE(12464)] = 157612,
  [SMALL_STATE(12465)] = 157693,
  [SMALL_STATE(12466)] = 157788,
  [SMALL_STATE(12467)] = 157835,
  [SMALL_STATE(12468)] = 157880,
  [SMALL_STATE(12469)] = 157925,
  [SMALL_STATE(12470)] = 158006,
  [SMALL_STATE(12471)] = 158051,
  [SMALL_STATE(12472)] = 158118,
  [SMALL_STATE(12473)] = 158163,
  [SMALL_STATE(12474)] = 158212,
  [SMALL_STATE(12475)] = 158263,
  [SMALL_STATE(12476)] = 158318,
  [SMALL_STATE(12477)] = 158373,
  [SMALL_STATE(12478)] = 158418,
  [SMALL_STATE(12479)] = 158513,
  [SMALL_STATE(12480)] = 158558,
  [SMALL_STATE(12481)] = 158625,
  [SMALL_STATE(12482)] = 158720,
  [SMALL_STATE(12483)] = 158807,
  [SMALL_STATE(12484)] = 158902,
  [SMALL_STATE(12485)] = 158947,
  [SMALL_STATE(12486)] = 159042,
  [SMALL_STATE(12487)] = 159127,
  [SMALL_STATE(12488)] = 159222,
  [SMALL_STATE(12489)] = 159271,
  [SMALL_STATE(12490)] = 159320,
  [SMALL_STATE(12491)] = 159387,
  [SMALL_STATE(12492)] = 159436,
  [SMALL_STATE(12493)] = 159531,
  [SMALL_STATE(12494)] = 159614,
  [SMALL_STATE(12495)] = 159661,
  [SMALL_STATE(12496)] = 159708,
  [SMALL_STATE(12497)] = 159755,
  [SMALL_STATE(12498)] = 159800,
  [SMALL_STATE(12499)] = 159895,
  [SMALL_STATE(12500)] = 159990,
  [SMALL_STATE(12501)] = 160035,
  [SMALL_STATE(12502)] = 160080,
  [SMALL_STATE(12503)] = 160125,
  [SMALL_STATE(12504)] = 160172,
  [SMALL_STATE(12505)] = 160239,
  [SMALL_STATE(12506)] = 160324,
  [SMALL_STATE(12507)] = 160409,
  [SMALL_STATE(12508)] = 160458,
  [SMALL_STATE(12509)] = 160553,
  [SMALL_STATE(12510)] = 160638,
  [SMALL_STATE(12511)] = 160723,
  [SMALL_STATE(12512)] = 160808,
  [SMALL_STATE(12513)] = 160875,
  [SMALL_STATE(12514)] = 160962,
  [SMALL_STATE(12515)] = 161007,
  [SMALL_STATE(12516)] = 161058,
  [SMALL_STATE(12517)] = 161107,
  [SMALL_STATE(12518)] = 161194,
  [SMALL_STATE(12519)] = 161289,
  [SMALL_STATE(12520)] = 161376,
  [SMALL_STATE(12521)] = 161423,
  [SMALL_STATE(12522)] = 161490,
  [SMALL_STATE(12523)] = 161557,
  [SMALL_STATE(12524)] = 161652,
  [SMALL_STATE(12525)] = 161747,
  [SMALL_STATE(12526)] = 161798,
  [SMALL_STATE(12527)] = 161843,
  [SMALL_STATE(12528)] = 161888,
  [SMALL_STATE(12529)] = 161933,
  [SMALL_STATE(12530)] = 161978,
  [SMALL_STATE(12531)] = 162023,
  [SMALL_STATE(12532)] = 162068,
  [SMALL_STATE(12533)] = 162117,
  [SMALL_STATE(12534)] = 162212,
  [SMALL_STATE(12535)] = 162257,
  [SMALL_STATE(12536)] = 162352,
  [SMALL_STATE(12537)] = 162419,
  [SMALL_STATE(12538)] = 162468,
  [SMALL_STATE(12539)] = 162517,
  [SMALL_STATE(12540)] = 162612,
  [SMALL_STATE(12541)] = 162661,
  [SMALL_STATE(12542)] = 162706,
  [SMALL_STATE(12543)] = 162755,
  [SMALL_STATE(12544)] = 162800,
  [SMALL_STATE(12545)] = 162847,
  [SMALL_STATE(12546)] = 162896,
  [SMALL_STATE(12547)] = 162991,
  [SMALL_STATE(12548)] = 163036,
  [SMALL_STATE(12549)] = 163083,
  [SMALL_STATE(12550)] = 163130,
  [SMALL_STATE(12551)] = 163225,
  [SMALL_STATE(12552)] = 163274,
  [SMALL_STATE(12553)] = 163369,
  [SMALL_STATE(12554)] = 163436,
  [SMALL_STATE(12555)] = 163485,
  [SMALL_STATE(12556)] = 163580,
  [SMALL_STATE(12557)] = 163647,
  [SMALL_STATE(12558)] = 163694,
  [SMALL_STATE(12559)] = 163749,
  [SMALL_STATE(12560)] = 163796,
  [SMALL_STATE(12561)] = 163841,
  [SMALL_STATE(12562)] = 163888,
  [SMALL_STATE(12563)] = 163983,
  [SMALL_STATE(12564)] = 164078,
  [SMALL_STATE(12565)] = 164123,
  [SMALL_STATE(12566)] = 164218,
  [SMALL_STATE(12567)] = 164265,
  [SMALL_STATE(12568)] = 164360,
  [SMALL_STATE(12569)] = 164455,
  [SMALL_STATE(12570)] = 164500,
  [SMALL_STATE(12571)] = 164595,
  [SMALL_STATE(12572)] = 164640,
  [SMALL_STATE(12573)] = 164685,
  [SMALL_STATE(12574)] = 164780,
  [SMALL_STATE(12575)] = 164847,
  [SMALL_STATE(12576)] = 164896,
  [SMALL_STATE(12577)] = 164991,
  [SMALL_STATE(12578)] = 165086,
  [SMALL_STATE(12579)] = 165131,
  [SMALL_STATE(12580)] = 165226,
  [SMALL_STATE(12581)] = 165271,
  [SMALL_STATE(12582)] = 165320,
  [SMALL_STATE(12583)] = 165369,
  [SMALL_STATE(12584)] = 165464,
  [SMALL_STATE(12585)] = 165531,
  [SMALL_STATE(12586)] = 165576,
  [SMALL_STATE(12587)] = 165621,
  [SMALL_STATE(12588)] = 165674,
  [SMALL_STATE(12589)] = 165769,
  [SMALL_STATE(12590)] = 165814,
  [SMALL_STATE(12591)] = 165863,
  [SMALL_STATE(12592)] = 165912,
  [SMALL_STATE(12593)] = 165961,
  [SMALL_STATE(12594)] = 166056,
  [SMALL_STATE(12595)] = 166105,
  [SMALL_STATE(12596)] = 166150,
  [SMALL_STATE(12597)] = 166199,
  [SMALL_STATE(12598)] = 166248,
  [SMALL_STATE(12599)] = 166297,
  [SMALL_STATE(12600)] = 166392,
  [SMALL_STATE(12601)] = 166439,
  [SMALL_STATE(12602)] = 166534,
  [SMALL_STATE(12603)] = 166583,
  [SMALL_STATE(12604)] = 166632,
  [SMALL_STATE(12605)] = 166677,
  [SMALL_STATE(12606)] = 166726,
  [SMALL_STATE(12607)] = 166773,
  [SMALL_STATE(12608)] = 166820,
  [SMALL_STATE(12609)] = 166867,
  [SMALL_STATE(12610)] = 166934,
  [SMALL_STATE(12611)] = 166987,
  [SMALL_STATE(12612)] = 167032,
  [SMALL_STATE(12613)] = 167081,
  [SMALL_STATE(12614)] = 167134,
  [SMALL_STATE(12615)] = 167179,
  [SMALL_STATE(12616)] = 167226,
  [SMALL_STATE(12617)] = 167275,
  [SMALL_STATE(12618)] = 167322,
  [SMALL_STATE(12619)] = 167369,
  [SMALL_STATE(12620)] = 167416,
  [SMALL_STATE(12621)] = 167463,
  [SMALL_STATE(12622)] = 167508,
  [SMALL_STATE(12623)] = 167557,
  [SMALL_STATE(12624)] = 167602,
  [SMALL_STATE(12625)] = 167649,
  [SMALL_STATE(12626)] = 167696,
  [SMALL_STATE(12627)] = 167743,
  [SMALL_STATE(12628)] = 167790,
  [SMALL_STATE(12629)] = 167839,
  [SMALL_STATE(12630)] = 167886,
  [SMALL_STATE(12631)] = 167933,
  [SMALL_STATE(12632)] = 167980,
  [SMALL_STATE(12633)] = 168027,
  [SMALL_STATE(12634)] = 168072,
  [SMALL_STATE(12635)] = 168144,
  [SMALL_STATE(12636)] = 168190,
  [SMALL_STATE(12637)] = 168236,
  [SMALL_STATE(12638)] = 168320,
  [SMALL_STATE(12639)] = 168366,
  [SMALL_STATE(12640)] = 168450,
  [SMALL_STATE(12641)] = 168498,
  [SMALL_STATE(12642)] = 168582,
  [SMALL_STATE(12643)] = 168628,
  [SMALL_STATE(12644)] = 168708,
  [SMALL_STATE(12645)] = 168764,
  [SMALL_STATE(12646)] = 168820,
  [SMALL_STATE(12647)] = 168912,
  [SMALL_STATE(12648)] = 168960,
  [SMALL_STATE(12649)] = 169052,
  [SMALL_STATE(12650)] = 169096,
  [SMALL_STATE(12651)] = 169164,
  [SMALL_STATE(12652)] = 169210,
  [SMALL_STATE(12653)] = 169256,
  [SMALL_STATE(12654)] = 169340,
  [SMALL_STATE(12655)] = 169386,
  [SMALL_STATE(12656)] = 169470,
  [SMALL_STATE(12657)] = 169516,
  [SMALL_STATE(12658)] = 169600,
  [SMALL_STATE(12659)] = 169646,
  [SMALL_STATE(12660)] = 169692,
  [SMALL_STATE(12661)] = 169740,
  [SMALL_STATE(12662)] = 169832,
  [SMALL_STATE(12663)] = 169878,
  [SMALL_STATE(12664)] = 169970,
  [SMALL_STATE(12665)] = 170016,
  [SMALL_STATE(12666)] = 170060,
  [SMALL_STATE(12667)] = 170106,
  [SMALL_STATE(12668)] = 170150,
  [SMALL_STATE(12669)] = 170194,
  [SMALL_STATE(12670)] = 170238,
  [SMALL_STATE(12671)] = 170282,
  [SMALL_STATE(12672)] = 170326,
  [SMALL_STATE(12673)] = 170370,
  [SMALL_STATE(12674)] = 170414,
  [SMALL_STATE(12675)] = 170458,
  [SMALL_STATE(12676)] = 170502,
  [SMALL_STATE(12677)] = 170546,
  [SMALL_STATE(12678)] = 170638,
  [SMALL_STATE(12679)] = 170718,
  [SMALL_STATE(12680)] = 170810,
  [SMALL_STATE(12681)] = 170902,
  [SMALL_STATE(12682)] = 170994,
  [SMALL_STATE(12683)] = 171086,
  [SMALL_STATE(12684)] = 171170,
  [SMALL_STATE(12685)] = 171254,
  [SMALL_STATE(12686)] = 171338,
  [SMALL_STATE(12687)] = 171430,
  [SMALL_STATE(12688)] = 171522,
  [SMALL_STATE(12689)] = 171570,
  [SMALL_STATE(12690)] = 171636,
  [SMALL_STATE(12691)] = 171716,
  [SMALL_STATE(12692)] = 171792,
  [SMALL_STATE(12693)] = 171838,
  [SMALL_STATE(12694)] = 171884,
  [SMALL_STATE(12695)] = 171930,
  [SMALL_STATE(12696)] = 172002,
  [SMALL_STATE(12697)] = 172072,
  [SMALL_STATE(12698)] = 172134,
  [SMALL_STATE(12699)] = 172200,
  [SMALL_STATE(12700)] = 172256,
  [SMALL_STATE(12701)] = 172310,
  [SMALL_STATE(12702)] = 172398,
  [SMALL_STATE(12703)] = 172490,
  [SMALL_STATE(12704)] = 172542,
  [SMALL_STATE(12705)] = 172588,
  [SMALL_STATE(12706)] = 172638,
  [SMALL_STATE(12707)] = 172686,
  [SMALL_STATE(12708)] = 172732,
  [SMALL_STATE(12709)] = 172824,
  [SMALL_STATE(12710)] = 172870,
  [SMALL_STATE(12711)] = 172918,
  [SMALL_STATE(12712)] = 172966,
  [SMALL_STATE(12713)] = 173010,
  [SMALL_STATE(12714)] = 173054,
  [SMALL_STATE(12715)] = 173100,
  [SMALL_STATE(12716)] = 173148,
  [SMALL_STATE(12717)] = 173192,
  [SMALL_STATE(12718)] = 173284,
  [SMALL_STATE(12719)] = 173368,
  [SMALL_STATE(12720)] = 173414,
  [SMALL_STATE(12721)] = 173462,
  [SMALL_STATE(12722)] = 173510,
  [SMALL_STATE(12723)] = 173554,
  [SMALL_STATE(12724)] = 173646,
  [SMALL_STATE(12725)] = 173690,
  [SMALL_STATE(12726)] = 173734,
  [SMALL_STATE(12727)] = 173778,
  [SMALL_STATE(12728)] = 173870,
  [SMALL_STATE(12729)] = 173914,
  [SMALL_STATE(12730)] = 173958,
  [SMALL_STATE(12731)] = 174002,
  [SMALL_STATE(12732)] = 174046,
  [SMALL_STATE(12733)] = 174128,
  [SMALL_STATE(12734)] = 174176,
  [SMALL_STATE(12735)] = 174220,
  [SMALL_STATE(12736)] = 174264,
  [SMALL_STATE(12737)] = 174308,
  [SMALL_STATE(12738)] = 174352,
  [SMALL_STATE(12739)] = 174396,
  [SMALL_STATE(12740)] = 174440,
  [SMALL_STATE(12741)] = 174524,
  [SMALL_STATE(12742)] = 174568,
  [SMALL_STATE(12743)] = 174616,
  [SMALL_STATE(12744)] = 174660,
  [SMALL_STATE(12745)] = 174752,
  [SMALL_STATE(12746)] = 174796,
  [SMALL_STATE(12747)] = 174888,
  [SMALL_STATE(12748)] = 174932,
  [SMALL_STATE(12749)] = 174978,
  [SMALL_STATE(12750)] = 175070,
  [SMALL_STATE(12751)] = 175118,
  [SMALL_STATE(12752)] = 175164,
  [SMALL_STATE(12753)] = 175210,
  [SMALL_STATE(12754)] = 175302,
  [SMALL_STATE(12755)] = 175382,
  [SMALL_STATE(12756)] = 175430,
  [SMALL_STATE(12757)] = 175476,
  [SMALL_STATE(12758)] = 175522,
  [SMALL_STATE(12759)] = 175568,
  [SMALL_STATE(12760)] = 175660,
  [SMALL_STATE(12761)] = 175706,
  [SMALL_STATE(12762)] = 175752,
  [SMALL_STATE(12763)] = 175818,
  [SMALL_STATE(12764)] = 175888,
  [SMALL_STATE(12765)] = 175970,
  [SMALL_STATE(12766)] = 176048,
  [SMALL_STATE(12767)] = 176122,
  [SMALL_STATE(12768)] = 176194,
  [SMALL_STATE(12769)] = 176256,
  [SMALL_STATE(12770)] = 176322,
  [SMALL_STATE(12771)] = 176404,
  [SMALL_STATE(12772)] = 176450,
  [SMALL_STATE(12773)] = 176496,
  [SMALL_STATE(12774)] = 176542,
  [SMALL_STATE(12775)] = 176586,
  [SMALL_STATE(12776)] = 176634,
  [SMALL_STATE(12777)] = 176678,
  [SMALL_STATE(12778)] = 176722,
  [SMALL_STATE(12779)] = 176766,
  [SMALL_STATE(12780)] = 176810,
  [SMALL_STATE(12781)] = 176866,
  [SMALL_STATE(12782)] = 176920,
  [SMALL_STATE(12783)] = 176972,
  [SMALL_STATE(12784)] = 177022,
  [SMALL_STATE(12785)] = 177070,
  [SMALL_STATE(12786)] = 177114,
  [SMALL_STATE(12787)] = 177158,
  [SMALL_STATE(12788)] = 177202,
  [SMALL_STATE(12789)] = 177248,
  [SMALL_STATE(12790)] = 177296,
  [SMALL_STATE(12791)] = 177352,
  [SMALL_STATE(12792)] = 177444,
  [SMALL_STATE(12793)] = 177536,
  [SMALL_STATE(12794)] = 177582,
  [SMALL_STATE(12795)] = 177630,
  [SMALL_STATE(12796)] = 177718,
  [SMALL_STATE(12797)] = 177766,
  [SMALL_STATE(12798)] = 177814,
  [SMALL_STATE(12799)] = 177894,
  [SMALL_STATE(12800)] = 177938,
  [SMALL_STATE(12801)] = 177982,
  [SMALL_STATE(12802)] = 178026,
  [SMALL_STATE(12803)] = 178072,
  [SMALL_STATE(12804)] = 178116,
  [SMALL_STATE(12805)] = 178198,
  [SMALL_STATE(12806)] = 178242,
  [SMALL_STATE(12807)] = 178290,
  [SMALL_STATE(12808)] = 178334,
  [SMALL_STATE(12809)] = 178378,
  [SMALL_STATE(12810)] = 178422,
  [SMALL_STATE(12811)] = 178474,
  [SMALL_STATE(12812)] = 178566,
  [SMALL_STATE(12813)] = 178610,
  [SMALL_STATE(12814)] = 178702,
  [SMALL_STATE(12815)] = 178794,
  [SMALL_STATE(12816)] = 178886,
  [SMALL_STATE(12817)] = 178930,
  [SMALL_STATE(12818)] = 178974,
  [SMALL_STATE(12819)] = 179018,
  [SMALL_STATE(12820)] = 179062,
  [SMALL_STATE(12821)] = 179106,
  [SMALL_STATE(12822)] = 179150,
  [SMALL_STATE(12823)] = 179194,
  [SMALL_STATE(12824)] = 179238,
  [SMALL_STATE(12825)] = 179330,
  [SMALL_STATE(12826)] = 179374,
  [SMALL_STATE(12827)] = 179418,
  [SMALL_STATE(12828)] = 179462,
  [SMALL_STATE(12829)] = 179506,
  [SMALL_STATE(12830)] = 179598,
  [SMALL_STATE(12831)] = 179690,
  [SMALL_STATE(12832)] = 179776,
  [SMALL_STATE(12833)] = 179862,
  [SMALL_STATE(12834)] = 179948,
  [SMALL_STATE(12835)] = 180028,
  [SMALL_STATE(12836)] = 180114,
  [SMALL_STATE(12837)] = 180206,
  [SMALL_STATE(12838)] = 180288,
  [SMALL_STATE(12839)] = 180368,
  [SMALL_STATE(12840)] = 180448,
  [SMALL_STATE(12841)] = 180528,
  [SMALL_STATE(12842)] = 180574,
  [SMALL_STATE(12843)] = 180654,
  [SMALL_STATE(12844)] = 180698,
  [SMALL_STATE(12845)] = 180742,
  [SMALL_STATE(12846)] = 180786,
  [SMALL_STATE(12847)] = 180830,
  [SMALL_STATE(12848)] = 180876,
  [SMALL_STATE(12849)] = 180920,
  [SMALL_STATE(12850)] = 181012,
  [SMALL_STATE(12851)] = 181092,
  [SMALL_STATE(12852)] = 181184,
  [SMALL_STATE(12853)] = 181230,
  [SMALL_STATE(12854)] = 181278,
  [SMALL_STATE(12855)] = 181358,
  [SMALL_STATE(12856)] = 181402,
  [SMALL_STATE(12857)] = 181446,
  [SMALL_STATE(12858)] = 181494,
  [SMALL_STATE(12859)] = 181578,
  [SMALL_STATE(12860)] = 181622,
  [SMALL_STATE(12861)] = 181706,
  [SMALL_STATE(12862)] = 181790,
  [SMALL_STATE(12863)] = 181874,
  [SMALL_STATE(12864)] = 181958,
  [SMALL_STATE(12865)] = 182042,
  [SMALL_STATE(12866)] = 182086,
  [SMALL_STATE(12867)] = 182170,
  [SMALL_STATE(12868)] = 182254,
  [SMALL_STATE(12869)] = 182338,
  [SMALL_STATE(12870)] = 182422,
  [SMALL_STATE(12871)] = 182506,
  [SMALL_STATE(12872)] = 182590,
  [SMALL_STATE(12873)] = 182682,
  [SMALL_STATE(12874)] = 182768,
  [SMALL_STATE(12875)] = 182814,
  [SMALL_STATE(12876)] = 182906,
  [SMALL_STATE(12877)] = 182952,
  [SMALL_STATE(12878)] = 182998,
  [SMALL_STATE(12879)] = 183044,
  [SMALL_STATE(12880)] = 183090,
  [SMALL_STATE(12881)] = 183182,
  [SMALL_STATE(12882)] = 183264,
  [SMALL_STATE(12883)] = 183310,
  [SMALL_STATE(12884)] = 183392,
  [SMALL_STATE(12885)] = 183478,
  [SMALL_STATE(12886)] = 183564,
  [SMALL_STATE(12887)] = 183650,
  [SMALL_STATE(12888)] = 183734,
  [SMALL_STATE(12889)] = 183826,
  [SMALL_STATE(12890)] = 183870,
  [SMALL_STATE(12891)] = 183962,
  [SMALL_STATE(12892)] = 184054,
  [SMALL_STATE(12893)] = 184146,
  [SMALL_STATE(12894)] = 184228,
  [SMALL_STATE(12895)] = 184272,
  [SMALL_STATE(12896)] = 184352,
  [SMALL_STATE(12897)] = 184444,
  [SMALL_STATE(12898)] = 184492,
  [SMALL_STATE(12899)] = 184584,
  [SMALL_STATE(12900)] = 184632,
  [SMALL_STATE(12901)] = 184724,
  [SMALL_STATE(12902)] = 184816,
  [SMALL_STATE(12903)] = 184866,
  [SMALL_STATE(12904)] = 184946,
  [SMALL_STATE(12905)] = 184990,
  [SMALL_STATE(12906)] = 185036,
  [SMALL_STATE(12907)] = 185086,
  [SMALL_STATE(12908)] = 185134,
  [SMALL_STATE(12909)] = 185180,
  [SMALL_STATE(12910)] = 185272,
  [SMALL_STATE(12911)] = 185364,
  [SMALL_STATE(12912)] = 185408,
  [SMALL_STATE(12913)] = 185492,
  [SMALL_STATE(12914)] = 185538,
  [SMALL_STATE(12915)] = 185630,
  [SMALL_STATE(12916)] = 185676,
  [SMALL_STATE(12917)] = 185760,
  [SMALL_STATE(12918)] = 185806,
  [SMALL_STATE(12919)] = 185854,
  [SMALL_STATE(12920)] = 185898,
  [SMALL_STATE(12921)] = 185944,
  [SMALL_STATE(12922)] = 185992,
  [SMALL_STATE(12923)] = 186084,
  [SMALL_STATE(12924)] = 186128,
  [SMALL_STATE(12925)] = 186174,
  [SMALL_STATE(12926)] = 186220,
  [SMALL_STATE(12927)] = 186266,
  [SMALL_STATE(12928)] = 186358,
  [SMALL_STATE(12929)] = 186450,
  [SMALL_STATE(12930)] = 186542,
  [SMALL_STATE(12931)] = 186588,
  [SMALL_STATE(12932)] = 186634,
  [SMALL_STATE(12933)] = 186680,
  [SMALL_STATE(12934)] = 186772,
  [SMALL_STATE(12935)] = 186856,
  [SMALL_STATE(12936)] = 186904,
  [SMALL_STATE(12937)] = 186952,
  [SMALL_STATE(12938)] = 186998,
  [SMALL_STATE(12939)] = 187042,
  [SMALL_STATE(12940)] = 187126,
  [SMALL_STATE(12941)] = 187174,
  [SMALL_STATE(12942)] = 187222,
  [SMALL_STATE(12943)] = 187270,
  [SMALL_STATE(12944)] = 187316,
  [SMALL_STATE(12945)] = 187400,
  [SMALL_STATE(12946)] = 187446,
  [SMALL_STATE(12947)] = 187492,
  [SMALL_STATE(12948)] = 187538,
  [SMALL_STATE(12949)] = 187626,
  [SMALL_STATE(12950)] = 187674,
  [SMALL_STATE(12951)] = 187718,
  [SMALL_STATE(12952)] = 187810,
  [SMALL_STATE(12953)] = 187902,
  [SMALL_STATE(12954)] = 187950,
  [SMALL_STATE(12955)] = 188030,
  [SMALL_STATE(12956)] = 188122,
  [SMALL_STATE(12957)] = 188206,
  [SMALL_STATE(12958)] = 188298,
  [SMALL_STATE(12959)] = 188344,
  [SMALL_STATE(12960)] = 188436,
  [SMALL_STATE(12961)] = 188482,
  [SMALL_STATE(12962)] = 188528,
  [SMALL_STATE(12963)] = 188576,
  [SMALL_STATE(12964)] = 188622,
  [SMALL_STATE(12965)] = 188714,
  [SMALL_STATE(12966)] = 188806,
  [SMALL_STATE(12967)] = 188854,
  [SMALL_STATE(12968)] = 188902,
  [SMALL_STATE(12969)] = 188950,
  [SMALL_STATE(12970)] = 188996,
  [SMALL_STATE(12971)] = 189042,
  [SMALL_STATE(12972)] = 189088,
  [SMALL_STATE(12973)] = 189136,
  [SMALL_STATE(12974)] = 189184,
  [SMALL_STATE(12975)] = 189232,
  [SMALL_STATE(12976)] = 189324,
  [SMALL_STATE(12977)] = 189370,
  [SMALL_STATE(12978)] = 189416,
  [SMALL_STATE(12979)] = 189462,
  [SMALL_STATE(12980)] = 189554,
  [SMALL_STATE(12981)] = 189606,
  [SMALL_STATE(12982)] = 189652,
  [SMALL_STATE(12983)] = 189704,
  [SMALL_STATE(12984)] = 189750,
  [SMALL_STATE(12985)] = 189796,
  [SMALL_STATE(12986)] = 189842,
  [SMALL_STATE(12987)] = 189892,
  [SMALL_STATE(12988)] = 189984,
  [SMALL_STATE(12989)] = 190076,
  [SMALL_STATE(12990)] = 190168,
  [SMALL_STATE(12991)] = 190252,
  [SMALL_STATE(12992)] = 190296,
  [SMALL_STATE(12993)] = 190342,
  [SMALL_STATE(12994)] = 190388,
  [SMALL_STATE(12995)] = 190436,
  [SMALL_STATE(12996)] = 190484,
  [SMALL_STATE(12997)] = 190532,
  [SMALL_STATE(12998)] = 190580,
  [SMALL_STATE(12999)] = 190646,
  [SMALL_STATE(13000)] = 190738,
  [SMALL_STATE(13001)] = 190830,
  [SMALL_STATE(13002)] = 190876,
  [SMALL_STATE(13003)] = 190968,
  [SMALL_STATE(13004)] = 191036,
  [SMALL_STATE(13005)] = 191116,
  [SMALL_STATE(13006)] = 191192,
  [SMALL_STATE(13007)] = 191284,
  [SMALL_STATE(13008)] = 191354,
  [SMALL_STATE(13009)] = 191416,
  [SMALL_STATE(13010)] = 191482,
  [SMALL_STATE(13011)] = 191538,
  [SMALL_STATE(13012)] = 191592,
  [SMALL_STATE(13013)] = 191644,
  [SMALL_STATE(13014)] = 191694,
  [SMALL_STATE(13015)] = 191742,
  [SMALL_STATE(13016)] = 191790,
  [SMALL_STATE(13017)] = 191834,
  [SMALL_STATE(13018)] = 191926,
  [SMALL_STATE(13019)] = 191974,
  [SMALL_STATE(13020)] = 192022,
  [SMALL_STATE(13021)] = 192114,
  [SMALL_STATE(13022)] = 192206,
  [SMALL_STATE(13023)] = 192254,
  [SMALL_STATE(13024)] = 192302,
  [SMALL_STATE(13025)] = 192350,
  [SMALL_STATE(13026)] = 192396,
  [SMALL_STATE(13027)] = 192488,
  [SMALL_STATE(13028)] = 192536,
  [SMALL_STATE(13029)] = 192580,
  [SMALL_STATE(13030)] = 192628,
  [SMALL_STATE(13031)] = 192720,
  [SMALL_STATE(13032)] = 192768,
  [SMALL_STATE(13033)] = 192860,
  [SMALL_STATE(13034)] = 192906,
  [SMALL_STATE(13035)] = 192954,
  [SMALL_STATE(13036)] = 193002,
  [SMALL_STATE(13037)] = 193050,
  [SMALL_STATE(13038)] = 193098,
  [SMALL_STATE(13039)] = 193146,
  [SMALL_STATE(13040)] = 193194,
  [SMALL_STATE(13041)] = 193240,
  [SMALL_STATE(13042)] = 193286,
  [SMALL_STATE(13043)] = 193332,
  [SMALL_STATE(13044)] = 193378,
  [SMALL_STATE(13045)] = 193424,
  [SMALL_STATE(13046)] = 193468,
  [SMALL_STATE(13047)] = 193515,
  [SMALL_STATE(13048)] = 193594,
  [SMALL_STATE(13049)] = 193673,
  [SMALL_STATE(13050)] = 193718,
  [SMALL_STATE(13051)] = 193765,
  [SMALL_STATE(13052)] = 193810,
  [SMALL_STATE(13053)] = 193891,
  [SMALL_STATE(13054)] = 193972,
  [SMALL_STATE(13055)] = 194019,
  [SMALL_STATE(13056)] = 194064,
  [SMALL_STATE(13057)] = 194147,
  [SMALL_STATE(13058)] = 194192,
  [SMALL_STATE(13059)] = 194275,
  [SMALL_STATE(13060)] = 194360,
  [SMALL_STATE(13061)] = 194445,
  [SMALL_STATE(13062)] = 194530,
  [SMALL_STATE(13063)] = 194585,
  [SMALL_STATE(13064)] = 194632,
  [SMALL_STATE(13065)] = 194715,
  [SMALL_STATE(13066)] = 194780,
  [SMALL_STATE(13067)] = 194859,
  [SMALL_STATE(13068)] = 194940,
  [SMALL_STATE(13069)] = 194985,
  [SMALL_STATE(13070)] = 195032,
  [SMALL_STATE(13071)] = 195077,
  [SMALL_STATE(13072)] = 195124,
  [SMALL_STATE(13073)] = 195169,
  [SMALL_STATE(13074)] = 195256,
  [SMALL_STATE(13075)] = 195301,
  [SMALL_STATE(13076)] = 195384,
  [SMALL_STATE(13077)] = 195449,
  [SMALL_STATE(13078)] = 195494,
  [SMALL_STATE(13079)] = 195575,
  [SMALL_STATE(13080)] = 195654,
  [SMALL_STATE(13081)] = 195721,
  [SMALL_STATE(13082)] = 195768,
  [SMALL_STATE(13083)] = 195847,
  [SMALL_STATE(13084)] = 195922,
  [SMALL_STATE(13085)] = 195967,
  [SMALL_STATE(13086)] = 196038,
  [SMALL_STATE(13087)] = 196085,
  [SMALL_STATE(13088)] = 196154,
  [SMALL_STATE(13089)] = 196201,
  [SMALL_STATE(13090)] = 196284,
  [SMALL_STATE(13091)] = 196365,
  [SMALL_STATE(13092)] = 196426,
  [SMALL_STATE(13093)] = 196507,
  [SMALL_STATE(13094)] = 196588,
  [SMALL_STATE(13095)] = 196671,
  [SMALL_STATE(13096)] = 196750,
  [SMALL_STATE(13097)] = 196815,
  [SMALL_STATE(13098)] = 196894,
  [SMALL_STATE(13099)] = 196949,
  [SMALL_STATE(13100)] = 197002,
  [SMALL_STATE(13101)] = 197049,
  [SMALL_STATE(13102)] = 197096,
  [SMALL_STATE(13103)] = 197177,
  [SMALL_STATE(13104)] = 197256,
  [SMALL_STATE(13105)] = 197303,
  [SMALL_STATE(13106)] = 197384,
  [SMALL_STATE(13107)] = 197429,
  [SMALL_STATE(13108)] = 197474,
  [SMALL_STATE(13109)] = 197519,
  [SMALL_STATE(13110)] = 197604,
  [SMALL_STATE(13111)] = 197651,
  [SMALL_STATE(13112)] = 197696,
  [SMALL_STATE(13113)] = 197779,
  [SMALL_STATE(13114)] = 197862,
  [SMALL_STATE(13115)] = 197945,
  [SMALL_STATE(13116)] = 197992,
  [SMALL_STATE(13117)] = 198039,
  [SMALL_STATE(13118)] = 198086,
  [SMALL_STATE(13119)] = 198151,
  [SMALL_STATE(13120)] = 198230,
  [SMALL_STATE(13121)] = 198275,
  [SMALL_STATE(13122)] = 198320,
  [SMALL_STATE(13123)] = 198365,
  [SMALL_STATE(13124)] = 198440,
  [SMALL_STATE(13125)] = 198519,
  [SMALL_STATE(13126)] = 198594,
  [SMALL_STATE(13127)] = 198665,
  [SMALL_STATE(13128)] = 198734,
  [SMALL_STATE(13129)] = 198795,
  [SMALL_STATE(13130)] = 198846,
  [SMALL_STATE(13131)] = 198911,
  [SMALL_STATE(13132)] = 198960,
  [SMALL_STATE(13133)] = 199015,
  [SMALL_STATE(13134)] = 199068,
  [SMALL_STATE(13135)] = 199115,
  [SMALL_STATE(13136)] = 199162,
  [SMALL_STATE(13137)] = 199213,
  [SMALL_STATE(13138)] = 199262,
  [SMALL_STATE(13139)] = 199309,
  [SMALL_STATE(13140)] = 199388,
  [SMALL_STATE(13141)] = 199433,
  [SMALL_STATE(13142)] = 199478,
  [SMALL_STATE(13143)] = 199525,
  [SMALL_STATE(13144)] = 199572,
  [SMALL_STATE(13145)] = 199617,
  [SMALL_STATE(13146)] = 199662,
  [SMALL_STATE(13147)] = 199707,
  [SMALL_STATE(13148)] = 199772,
  [SMALL_STATE(13149)] = 199849,
  [SMALL_STATE(13150)] = 199922,
  [SMALL_STATE(13151)] = 199993,
  [SMALL_STATE(13152)] = 200054,
  [SMALL_STATE(13153)] = 200119,
  [SMALL_STATE(13154)] = 200174,
  [SMALL_STATE(13155)] = 200227,
  [SMALL_STATE(13156)] = 200278,
  [SMALL_STATE(13157)] = 200327,
  [SMALL_STATE(13158)] = 200374,
  [SMALL_STATE(13159)] = 200445,
  [SMALL_STATE(13160)] = 200490,
  [SMALL_STATE(13161)] = 200559,
  [SMALL_STATE(13162)] = 200606,
  [SMALL_STATE(13163)] = 200673,
  [SMALL_STATE(13164)] = 200756,
  [SMALL_STATE(13165)] = 200803,
  [SMALL_STATE(13166)] = 200848,
  [SMALL_STATE(13167)] = 200931,
  [SMALL_STATE(13168)] = 200976,
  [SMALL_STATE(13169)] = 201023,
  [SMALL_STATE(13170)] = 201106,
  [SMALL_STATE(13171)] = 201151,
  [SMALL_STATE(13172)] = 201234,
  [SMALL_STATE(13173)] = 201279,
  [SMALL_STATE(13174)] = 201334,
  [SMALL_STATE(13175)] = 201379,
  [SMALL_STATE(13176)] = 201426,
  [SMALL_STATE(13177)] = 201481,
  [SMALL_STATE(13178)] = 201560,
  [SMALL_STATE(13179)] = 201605,
  [SMALL_STATE(13180)] = 201650,
  [SMALL_STATE(13181)] = 201697,
  [SMALL_STATE(13182)] = 201742,
  [SMALL_STATE(13183)] = 201825,
  [SMALL_STATE(13184)] = 201908,
  [SMALL_STATE(13185)] = 201995,
  [SMALL_STATE(13186)] = 202040,
  [SMALL_STATE(13187)] = 202123,
  [SMALL_STATE(13188)] = 202168,
  [SMALL_STATE(13189)] = 202233,
  [SMALL_STATE(13190)] = 202302,
  [SMALL_STATE(13191)] = 202379,
  [SMALL_STATE(13192)] = 202452,
  [SMALL_STATE(13193)] = 202523,
  [SMALL_STATE(13194)] = 202584,
  [SMALL_STATE(13195)] = 202649,
  [SMALL_STATE(13196)] = 202710,
  [SMALL_STATE(13197)] = 202775,
  [SMALL_STATE(13198)] = 202842,
  [SMALL_STATE(13199)] = 202921,
  [SMALL_STATE(13200)] = 202996,
  [SMALL_STATE(13201)] = 203043,
  [SMALL_STATE(13202)] = 203114,
  [SMALL_STATE(13203)] = 203183,
  [SMALL_STATE(13204)] = 203228,
  [SMALL_STATE(13205)] = 203273,
  [SMALL_STATE(13206)] = 203318,
  [SMALL_STATE(13207)] = 203373,
  [SMALL_STATE(13208)] = 203426,
  [SMALL_STATE(13209)] = 203477,
  [SMALL_STATE(13210)] = 203526,
  [SMALL_STATE(13211)] = 203573,
  [SMALL_STATE(13212)] = 203620,
  [SMALL_STATE(13213)] = 203675,
  [SMALL_STATE(13214)] = 203736,
  [SMALL_STATE(13215)] = 203781,
  [SMALL_STATE(13216)] = 203826,
  [SMALL_STATE(13217)] = 203871,
  [SMALL_STATE(13218)] = 203916,
  [SMALL_STATE(13219)] = 203961,
  [SMALL_STATE(13220)] = 204040,
  [SMALL_STATE(13221)] = 204105,
  [SMALL_STATE(13222)] = 204150,
  [SMALL_STATE(13223)] = 204195,
  [SMALL_STATE(13224)] = 204260,
  [SMALL_STATE(13225)] = 204339,
  [SMALL_STATE(13226)] = 204386,
  [SMALL_STATE(13227)] = 204451,
  [SMALL_STATE(13228)] = 204530,
  [SMALL_STATE(13229)] = 204575,
  [SMALL_STATE(13230)] = 204620,
  [SMALL_STATE(13231)] = 204699,
  [SMALL_STATE(13232)] = 204774,
  [SMALL_STATE(13233)] = 204845,
  [SMALL_STATE(13234)] = 204900,
  [SMALL_STATE(13235)] = 204969,
  [SMALL_STATE(13236)] = 205014,
  [SMALL_STATE(13237)] = 205069,
  [SMALL_STATE(13238)] = 205114,
  [SMALL_STATE(13239)] = 205175,
  [SMALL_STATE(13240)] = 205240,
  [SMALL_STATE(13241)] = 205295,
  [SMALL_STATE(13242)] = 205348,
  [SMALL_STATE(13243)] = 205395,
  [SMALL_STATE(13244)] = 205446,
  [SMALL_STATE(13245)] = 205495,
  [SMALL_STATE(13246)] = 205582,
  [SMALL_STATE(13247)] = 205627,
  [SMALL_STATE(13248)] = 205706,
  [SMALL_STATE(13249)] = 205785,
  [SMALL_STATE(13250)] = 205840,
  [SMALL_STATE(13251)] = 205923,
  [SMALL_STATE(13252)] = 205970,
  [SMALL_STATE(13253)] = 206015,
  [SMALL_STATE(13254)] = 206060,
  [SMALL_STATE(13255)] = 206105,
  [SMALL_STATE(13256)] = 206188,
  [SMALL_STATE(13257)] = 206233,
  [SMALL_STATE(13258)] = 206316,
  [SMALL_STATE(13259)] = 206361,
  [SMALL_STATE(13260)] = 206444,
  [SMALL_STATE(13261)] = 206499,
  [SMALL_STATE(13262)] = 206582,
  [SMALL_STATE(13263)] = 206627,
  [SMALL_STATE(13264)] = 206710,
  [SMALL_STATE(13265)] = 206755,
  [SMALL_STATE(13266)] = 206800,
  [SMALL_STATE(13267)] = 206883,
  [SMALL_STATE(13268)] = 206930,
  [SMALL_STATE(13269)] = 206975,
  [SMALL_STATE(13270)] = 207022,
  [SMALL_STATE(13271)] = 207067,
  [SMALL_STATE(13272)] = 207146,
  [SMALL_STATE(13273)] = 207225,
  [SMALL_STATE(13274)] = 207272,
  [SMALL_STATE(13275)] = 207319,
  [SMALL_STATE(13276)] = 207364,
  [SMALL_STATE(13277)] = 207451,
  [SMALL_STATE(13278)] = 207496,
  [SMALL_STATE(13279)] = 207575,
  [SMALL_STATE(13280)] = 207622,
  [SMALL_STATE(13281)] = 207667,
  [SMALL_STATE(13282)] = 207714,
  [SMALL_STATE(13283)] = 207761,
  [SMALL_STATE(13284)] = 207808,
  [SMALL_STATE(13285)] = 207863,
  [SMALL_STATE(13286)] = 207910,
  [SMALL_STATE(13287)] = 207957,
  [SMALL_STATE(13288)] = 208010,
  [SMALL_STATE(13289)] = 208055,
  [SMALL_STATE(13290)] = 208102,
  [SMALL_STATE(13291)] = 208149,
  [SMALL_STATE(13292)] = 208196,
  [SMALL_STATE(13293)] = 208275,
  [SMALL_STATE(13294)] = 208356,
  [SMALL_STATE(13295)] = 208435,
  [SMALL_STATE(13296)] = 208482,
  [SMALL_STATE(13297)] = 208529,
  [SMALL_STATE(13298)] = 208612,
  [SMALL_STATE(13299)] = 208659,
  [SMALL_STATE(13300)] = 208704,
  [SMALL_STATE(13301)] = 208749,
  [SMALL_STATE(13302)] = 208794,
  [SMALL_STATE(13303)] = 208841,
  [SMALL_STATE(13304)] = 208892,
  [SMALL_STATE(13305)] = 208941,
  [SMALL_STATE(13306)] = 208988,
  [SMALL_STATE(13307)] = 209035,
  [SMALL_STATE(13308)] = 209114,
  [SMALL_STATE(13309)] = 209159,
  [SMALL_STATE(13310)] = 209206,
  [SMALL_STATE(13311)] = 209287,
  [SMALL_STATE(13312)] = 209366,
  [SMALL_STATE(13313)] = 209411,
  [SMALL_STATE(13314)] = 209492,
  [SMALL_STATE(13315)] = 209575,
  [SMALL_STATE(13316)] = 209620,
  [SMALL_STATE(13317)] = 209703,
  [SMALL_STATE(13318)] = 209770,
  [SMALL_STATE(13319)] = 209817,
  [SMALL_STATE(13320)] = 209864,
  [SMALL_STATE(13321)] = 209911,
  [SMALL_STATE(13322)] = 209958,
  [SMALL_STATE(13323)] = 210005,
  [SMALL_STATE(13324)] = 210050,
  [SMALL_STATE(13325)] = 210095,
  [SMALL_STATE(13326)] = 210140,
  [SMALL_STATE(13327)] = 210209,
  [SMALL_STATE(13328)] = 210290,
  [SMALL_STATE(13329)] = 210335,
  [SMALL_STATE(13330)] = 210414,
  [SMALL_STATE(13331)] = 210479,
  [SMALL_STATE(13332)] = 210546,
  [SMALL_STATE(13333)] = 210621,
  [SMALL_STATE(13334)] = 210692,
  [SMALL_STATE(13335)] = 210761,
  [SMALL_STATE(13336)] = 210822,
  [SMALL_STATE(13337)] = 210887,
  [SMALL_STATE(13338)] = 210970,
  [SMALL_STATE(13339)] = 211017,
  [SMALL_STATE(13340)] = 211102,
  [SMALL_STATE(13341)] = 211171,
  [SMALL_STATE(13342)] = 211216,
  [SMALL_STATE(13343)] = 211271,
  [SMALL_STATE(13344)] = 211324,
  [SMALL_STATE(13345)] = 211375,
  [SMALL_STATE(13346)] = 211420,
  [SMALL_STATE(13347)] = 211503,
  [SMALL_STATE(13348)] = 211548,
  [SMALL_STATE(13349)] = 211627,
  [SMALL_STATE(13350)] = 211682,
  [SMALL_STATE(13351)] = 211735,
  [SMALL_STATE(13352)] = 211786,
  [SMALL_STATE(13353)] = 211835,
  [SMALL_STATE(13354)] = 211882,
  [SMALL_STATE(13355)] = 211961,
  [SMALL_STATE(13356)] = 212026,
  [SMALL_STATE(13357)] = 212093,
  [SMALL_STATE(13358)] = 212174,
  [SMALL_STATE(13359)] = 212253,
  [SMALL_STATE(13360)] = 212298,
  [SMALL_STATE(13361)] = 212377,
  [SMALL_STATE(13362)] = 212456,
  [SMALL_STATE(13363)] = 212533,
  [SMALL_STATE(13364)] = 212606,
  [SMALL_STATE(13365)] = 212677,
  [SMALL_STATE(13366)] = 212760,
  [SMALL_STATE(13367)] = 212807,
  [SMALL_STATE(13368)] = 212852,
  [SMALL_STATE(13369)] = 212913,
  [SMALL_STATE(13370)] = 212960,
  [SMALL_STATE(13371)] = 213015,
  [SMALL_STATE(13372)] = 213080,
  [SMALL_STATE(13373)] = 213163,
  [SMALL_STATE(13374)] = 213246,
  [SMALL_STATE(13375)] = 213291,
  [SMALL_STATE(13376)] = 213336,
  [SMALL_STATE(13377)] = 213419,
  [SMALL_STATE(13378)] = 213502,
  [SMALL_STATE(13379)] = 213587,
  [SMALL_STATE(13380)] = 213632,
  [SMALL_STATE(13381)] = 213717,
  [SMALL_STATE(13382)] = 213802,
  [SMALL_STATE(13383)] = 213847,
  [SMALL_STATE(13384)] = 213930,
  [SMALL_STATE(13385)] = 213985,
  [SMALL_STATE(13386)] = 214066,
  [SMALL_STATE(13387)] = 214147,
  [SMALL_STATE(13388)] = 214192,
  [SMALL_STATE(13389)] = 214275,
  [SMALL_STATE(13390)] = 214328,
  [SMALL_STATE(13391)] = 214407,
  [SMALL_STATE(13392)] = 214458,
  [SMALL_STATE(13393)] = 214507,
  [SMALL_STATE(13394)] = 214554,
  [SMALL_STATE(13395)] = 214599,
  [SMALL_STATE(13396)] = 214644,
  [SMALL_STATE(13397)] = 214693,
  [SMALL_STATE(13398)] = 214772,
  [SMALL_STATE(13399)] = 214817,
  [SMALL_STATE(13400)] = 214896,
  [SMALL_STATE(13401)] = 214941,
  [SMALL_STATE(13402)] = 214988,
  [SMALL_STATE(13403)] = 215035,
  [SMALL_STATE(13404)] = 215122,
  [SMALL_STATE(13405)] = 215207,
  [SMALL_STATE(13406)] = 215254,
  [SMALL_STATE(13407)] = 215299,
  [SMALL_STATE(13408)] = 215344,
  [SMALL_STATE(13409)] = 215426,
  [SMALL_STATE(13410)] = 215480,
  [SMALL_STATE(13411)] = 215526,
  [SMALL_STATE(13412)] = 215572,
  [SMALL_STATE(13413)] = 215626,
  [SMALL_STATE(13414)] = 215690,
  [SMALL_STATE(13415)] = 215768,
  [SMALL_STATE(13416)] = 215846,
  [SMALL_STATE(13417)] = 215924,
  [SMALL_STATE(13418)] = 216002,
  [SMALL_STATE(13419)] = 216046,
  [SMALL_STATE(13420)] = 216120,
  [SMALL_STATE(13421)] = 216198,
  [SMALL_STATE(13422)] = 216276,
  [SMALL_STATE(13423)] = 216354,
  [SMALL_STATE(13424)] = 216424,
  [SMALL_STATE(13425)] = 216492,
  [SMALL_STATE(13426)] = 216570,
  [SMALL_STATE(13427)] = 216648,
  [SMALL_STATE(13428)] = 216730,
  [SMALL_STATE(13429)] = 216790,
  [SMALL_STATE(13430)] = 216854,
  [SMALL_STATE(13431)] = 216936,
  [SMALL_STATE(13432)] = 216990,
  [SMALL_STATE(13433)] = 217042,
  [SMALL_STATE(13434)] = 217092,
  [SMALL_STATE(13435)] = 217140,
  [SMALL_STATE(13436)] = 217220,
  [SMALL_STATE(13437)] = 217302,
  [SMALL_STATE(13438)] = 217348,
  [SMALL_STATE(13439)] = 217430,
  [SMALL_STATE(13440)] = 217474,
  [SMALL_STATE(13441)] = 217556,
  [SMALL_STATE(13442)] = 217634,
  [SMALL_STATE(13443)] = 217712,
  [SMALL_STATE(13444)] = 217776,
  [SMALL_STATE(13445)] = 217842,
  [SMALL_STATE(13446)] = 217920,
  [SMALL_STATE(13447)] = 217994,
  [SMALL_STATE(13448)] = 218072,
  [SMALL_STATE(13449)] = 218150,
  [SMALL_STATE(13450)] = 218220,
  [SMALL_STATE(13451)] = 218288,
  [SMALL_STATE(13452)] = 218348,
  [SMALL_STATE(13453)] = 218412,
  [SMALL_STATE(13454)] = 218494,
  [SMALL_STATE(13455)] = 218558,
  [SMALL_STATE(13456)] = 218624,
  [SMALL_STATE(13457)] = 218678,
  [SMALL_STATE(13458)] = 218722,
  [SMALL_STATE(13459)] = 218786,
  [SMALL_STATE(13460)] = 218868,
  [SMALL_STATE(13461)] = 218946,
  [SMALL_STATE(13462)] = 219026,
  [SMALL_STATE(13463)] = 219104,
  [SMALL_STATE(13464)] = 219148,
  [SMALL_STATE(13465)] = 219228,
  [SMALL_STATE(13466)] = 219272,
  [SMALL_STATE(13467)] = 219316,
  [SMALL_STATE(13468)] = 219390,
  [SMALL_STATE(13469)] = 219456,
  [SMALL_STATE(13470)] = 219534,
  [SMALL_STATE(13471)] = 219612,
  [SMALL_STATE(13472)] = 219690,
  [SMALL_STATE(13473)] = 219760,
  [SMALL_STATE(13474)] = 219834,
  [SMALL_STATE(13475)] = 219878,
  [SMALL_STATE(13476)] = 219956,
  [SMALL_STATE(13477)] = 220036,
  [SMALL_STATE(13478)] = 220116,
  [SMALL_STATE(13479)] = 220184,
  [SMALL_STATE(13480)] = 220254,
  [SMALL_STATE(13481)] = 220332,
  [SMALL_STATE(13482)] = 220412,
  [SMALL_STATE(13483)] = 220472,
  [SMALL_STATE(13484)] = 220536,
  [SMALL_STATE(13485)] = 220586,
  [SMALL_STATE(13486)] = 220654,
  [SMALL_STATE(13487)] = 220732,
  [SMALL_STATE(13488)] = 220786,
  [SMALL_STATE(13489)] = 220838,
  [SMALL_STATE(13490)] = 220898,
  [SMALL_STATE(13491)] = 220948,
  [SMALL_STATE(13492)] = 220994,
  [SMALL_STATE(13493)] = 221040,
  [SMALL_STATE(13494)] = 221104,
  [SMALL_STATE(13495)] = 221158,
  [SMALL_STATE(13496)] = 221210,
  [SMALL_STATE(13497)] = 221258,
  [SMALL_STATE(13498)] = 221308,
  [SMALL_STATE(13499)] = 221352,
  [SMALL_STATE(13500)] = 221396,
  [SMALL_STATE(13501)] = 221442,
  [SMALL_STATE(13502)] = 221490,
  [SMALL_STATE(13503)] = 221554,
  [SMALL_STATE(13504)] = 221598,
  [SMALL_STATE(13505)] = 221664,
  [SMALL_STATE(13506)] = 221732,
  [SMALL_STATE(13507)] = 221812,
  [SMALL_STATE(13508)] = 221858,
  [SMALL_STATE(13509)] = 221934,
  [SMALL_STATE(13510)] = 222006,
  [SMALL_STATE(13511)] = 222076,
  [SMALL_STATE(13512)] = 222130,
  [SMALL_STATE(13513)] = 222208,
  [SMALL_STATE(13514)] = 222268,
  [SMALL_STATE(13515)] = 222348,
  [SMALL_STATE(13516)] = 222412,
  [SMALL_STATE(13517)] = 222466,
  [SMALL_STATE(13518)] = 222518,
  [SMALL_STATE(13519)] = 222562,
  [SMALL_STATE(13520)] = 222626,
  [SMALL_STATE(13521)] = 222704,
  [SMALL_STATE(13522)] = 222784,
  [SMALL_STATE(13523)] = 222858,
  [SMALL_STATE(13524)] = 222928,
  [SMALL_STATE(13525)] = 223006,
  [SMALL_STATE(13526)] = 223074,
  [SMALL_STATE(13527)] = 223152,
  [SMALL_STATE(13528)] = 223212,
  [SMALL_STATE(13529)] = 223276,
  [SMALL_STATE(13530)] = 223356,
  [SMALL_STATE(13531)] = 223410,
  [SMALL_STATE(13532)] = 223462,
  [SMALL_STATE(13533)] = 223512,
  [SMALL_STATE(13534)] = 223560,
  [SMALL_STATE(13535)] = 223640,
  [SMALL_STATE(13536)] = 223686,
  [SMALL_STATE(13537)] = 223736,
  [SMALL_STATE(13538)] = 223784,
  [SMALL_STATE(13539)] = 223830,
  [SMALL_STATE(13540)] = 223912,
  [SMALL_STATE(13541)] = 223956,
  [SMALL_STATE(13542)] = 224036,
  [SMALL_STATE(13543)] = 224080,
  [SMALL_STATE(13544)] = 224134,
  [SMALL_STATE(13545)] = 224198,
  [SMALL_STATE(13546)] = 224272,
  [SMALL_STATE(13547)] = 224342,
  [SMALL_STATE(13548)] = 224410,
  [SMALL_STATE(13549)] = 224470,
  [SMALL_STATE(13550)] = 224534,
  [SMALL_STATE(13551)] = 224588,
  [SMALL_STATE(13552)] = 224640,
  [SMALL_STATE(13553)] = 224690,
  [SMALL_STATE(13554)] = 224738,
  [SMALL_STATE(13555)] = 224784,
  [SMALL_STATE(13556)] = 224848,
  [SMALL_STATE(13557)] = 224892,
  [SMALL_STATE(13558)] = 224936,
  [SMALL_STATE(13559)] = 224980,
  [SMALL_STATE(13560)] = 225046,
  [SMALL_STATE(13561)] = 225128,
  [SMALL_STATE(13562)] = 225206,
  [SMALL_STATE(13563)] = 225280,
  [SMALL_STATE(13564)] = 225324,
  [SMALL_STATE(13565)] = 225368,
  [SMALL_STATE(13566)] = 225438,
  [SMALL_STATE(13567)] = 225506,
  [SMALL_STATE(13568)] = 225550,
  [SMALL_STATE(13569)] = 225594,
  [SMALL_STATE(13570)] = 225638,
  [SMALL_STATE(13571)] = 225698,
  [SMALL_STATE(13572)] = 225762,
  [SMALL_STATE(13573)] = 225808,
  [SMALL_STATE(13574)] = 225872,
  [SMALL_STATE(13575)] = 225948,
  [SMALL_STATE(13576)] = 226020,
  [SMALL_STATE(13577)] = 226090,
  [SMALL_STATE(13578)] = 226150,
  [SMALL_STATE(13579)] = 226214,
  [SMALL_STATE(13580)] = 226268,
  [SMALL_STATE(13581)] = 226320,
  [SMALL_STATE(13582)] = 226370,
  [SMALL_STATE(13583)] = 226418,
  [SMALL_STATE(13584)] = 226464,
  [SMALL_STATE(13585)] = 226544,
  [SMALL_STATE(13586)] = 226598,
  [SMALL_STATE(13587)] = 226650,
  [SMALL_STATE(13588)] = 226694,
  [SMALL_STATE(13589)] = 226744,
  [SMALL_STATE(13590)] = 226798,
  [SMALL_STATE(13591)] = 226850,
  [SMALL_STATE(13592)] = 226900,
  [SMALL_STATE(13593)] = 226948,
  [SMALL_STATE(13594)] = 226994,
  [SMALL_STATE(13595)] = 227040,
  [SMALL_STATE(13596)] = 227094,
  [SMALL_STATE(13597)] = 227176,
  [SMALL_STATE(13598)] = 227258,
  [SMALL_STATE(13599)] = 227336,
  [SMALL_STATE(13600)] = 227384,
  [SMALL_STATE(13601)] = 227430,
  [SMALL_STATE(13602)] = 227474,
  [SMALL_STATE(13603)] = 227520,
  [SMALL_STATE(13604)] = 227598,
  [SMALL_STATE(13605)] = 227680,
  [SMALL_STATE(13606)] = 227724,
  [SMALL_STATE(13607)] = 227768,
  [SMALL_STATE(13608)] = 227814,
  [SMALL_STATE(13609)] = 227860,
  [SMALL_STATE(13610)] = 227914,
  [SMALL_STATE(13611)] = 227992,
  [SMALL_STATE(13612)] = 228070,
  [SMALL_STATE(13613)] = 228114,
  [SMALL_STATE(13614)] = 228192,
  [SMALL_STATE(13615)] = 228238,
  [SMALL_STATE(13616)] = 228282,
  [SMALL_STATE(13617)] = 228326,
  [SMALL_STATE(13618)] = 228380,
  [SMALL_STATE(13619)] = 228446,
  [SMALL_STATE(13620)] = 228490,
  [SMALL_STATE(13621)] = 228572,
  [SMALL_STATE(13622)] = 228650,
  [SMALL_STATE(13623)] = 228694,
  [SMALL_STATE(13624)] = 228774,
  [SMALL_STATE(13625)] = 228828,
  [SMALL_STATE(13626)] = 228910,
  [SMALL_STATE(13627)] = 228956,
  [SMALL_STATE(13628)] = 229034,
  [SMALL_STATE(13629)] = 229078,
  [SMALL_STATE(13630)] = 229122,
  [SMALL_STATE(13631)] = 229166,
  [SMALL_STATE(13632)] = 229210,
  [SMALL_STATE(13633)] = 229292,
  [SMALL_STATE(13634)] = 229336,
  [SMALL_STATE(13635)] = 229380,
  [SMALL_STATE(13636)] = 229462,
  [SMALL_STATE(13637)] = 229506,
  [SMALL_STATE(13638)] = 229570,
  [SMALL_STATE(13639)] = 229646,
  [SMALL_STATE(13640)] = 229718,
  [SMALL_STATE(13641)] = 229788,
  [SMALL_STATE(13642)] = 229848,
  [SMALL_STATE(13643)] = 229912,
  [SMALL_STATE(13644)] = 229966,
  [SMALL_STATE(13645)] = 230018,
  [SMALL_STATE(13646)] = 230068,
  [SMALL_STATE(13647)] = 230116,
  [SMALL_STATE(13648)] = 230162,
  [SMALL_STATE(13649)] = 230244,
  [SMALL_STATE(13650)] = 230312,
  [SMALL_STATE(13651)] = 230380,
  [SMALL_STATE(13652)] = 230426,
  [SMALL_STATE(13653)] = 230480,
  [SMALL_STATE(13654)] = 230530,
  [SMALL_STATE(13655)] = 230574,
  [SMALL_STATE(13656)] = 230618,
  [SMALL_STATE(13657)] = 230662,
  [SMALL_STATE(13658)] = 230710,
  [SMALL_STATE(13659)] = 230756,
  [SMALL_STATE(13660)] = 230800,
  [SMALL_STATE(13661)] = 230866,
  [SMALL_STATE(13662)] = 230944,
  [SMALL_STATE(13663)] = 230988,
  [SMALL_STATE(13664)] = 231032,
  [SMALL_STATE(13665)] = 231076,
  [SMALL_STATE(13666)] = 231120,
  [SMALL_STATE(13667)] = 231164,
  [SMALL_STATE(13668)] = 231210,
  [SMALL_STATE(13669)] = 231254,
  [SMALL_STATE(13670)] = 231333,
  [SMALL_STATE(13671)] = 231382,
  [SMALL_STATE(13672)] = 231459,
  [SMALL_STATE(13673)] = 231502,
  [SMALL_STATE(13674)] = 231581,
  [SMALL_STATE(13675)] = 231660,
  [SMALL_STATE(13676)] = 231743,
  [SMALL_STATE(13677)] = 231794,
  [SMALL_STATE(13678)] = 231845,
  [SMALL_STATE(13679)] = 231890,
  [SMALL_STATE(13680)] = 231973,
  [SMALL_STATE(13681)] = 232056,
  [SMALL_STATE(13682)] = 232101,
  [SMALL_STATE(13683)] = 232154,
  [SMALL_STATE(13684)] = 232219,
  [SMALL_STATE(13685)] = 232270,
  [SMALL_STATE(13686)] = 232315,
  [SMALL_STATE(13687)] = 232390,
  [SMALL_STATE(13688)] = 232435,
  [SMALL_STATE(13689)] = 232486,
  [SMALL_STATE(13690)] = 232567,
  [SMALL_STATE(13691)] = 232644,
  [SMALL_STATE(13692)] = 232711,
  [SMALL_STATE(13693)] = 232770,
  [SMALL_STATE(13694)] = 232833,
  [SMALL_STATE(13695)] = 232878,
  [SMALL_STATE(13696)] = 232957,
  [SMALL_STATE(13697)] = 233036,
  [SMALL_STATE(13698)] = 233087,
  [SMALL_STATE(13699)] = 233138,
  [SMALL_STATE(13700)] = 233183,
  [SMALL_STATE(13701)] = 233234,
  [SMALL_STATE(13702)] = 233287,
  [SMALL_STATE(13703)] = 233338,
  [SMALL_STATE(13704)] = 233417,
  [SMALL_STATE(13705)] = 233462,
  [SMALL_STATE(13706)] = 233513,
  [SMALL_STATE(13707)] = 233566,
  [SMALL_STATE(13708)] = 233613,
  [SMALL_STATE(13709)] = 233664,
  [SMALL_STATE(13710)] = 233709,
  [SMALL_STATE(13711)] = 233762,
  [SMALL_STATE(13712)] = 233813,
  [SMALL_STATE(13713)] = 233864,
  [SMALL_STATE(13714)] = 233915,
  [SMALL_STATE(13715)] = 233964,
  [SMALL_STATE(13716)] = 234011,
  [SMALL_STATE(13717)] = 234056,
  [SMALL_STATE(13718)] = 234137,
  [SMALL_STATE(13719)] = 234218,
  [SMALL_STATE(13720)] = 234269,
  [SMALL_STATE(13721)] = 234350,
  [SMALL_STATE(13722)] = 234433,
  [SMALL_STATE(13723)] = 234484,
  [SMALL_STATE(13724)] = 234563,
  [SMALL_STATE(13725)] = 234642,
  [SMALL_STATE(13726)] = 234685,
  [SMALL_STATE(13727)] = 234736,
  [SMALL_STATE(13728)] = 234813,
  [SMALL_STATE(13729)] = 234864,
  [SMALL_STATE(13730)] = 234909,
  [SMALL_STATE(13731)] = 234954,
  [SMALL_STATE(13732)] = 235027,
  [SMALL_STATE(13733)] = 235080,
  [SMALL_STATE(13734)] = 235149,
  [SMALL_STATE(13735)] = 235220,
  [SMALL_STATE(13736)] = 235273,
  [SMALL_STATE(13737)] = 235324,
  [SMALL_STATE(13738)] = 235391,
  [SMALL_STATE(13739)] = 235442,
  [SMALL_STATE(13740)] = 235493,
  [SMALL_STATE(13741)] = 235544,
  [SMALL_STATE(13742)] = 235607,
  [SMALL_STATE(13743)] = 235672,
  [SMALL_STATE(13744)] = 235749,
  [SMALL_STATE(13745)] = 235794,
  [SMALL_STATE(13746)] = 235837,
  [SMALL_STATE(13747)] = 235890,
  [SMALL_STATE(13748)] = 235971,
  [SMALL_STATE(13749)] = 236048,
  [SMALL_STATE(13750)] = 236093,
  [SMALL_STATE(13751)] = 236156,
  [SMALL_STATE(13752)] = 236223,
  [SMALL_STATE(13753)] = 236298,
  [SMALL_STATE(13754)] = 236369,
  [SMALL_STATE(13755)] = 236438,
  [SMALL_STATE(13756)] = 236497,
  [SMALL_STATE(13757)] = 236560,
  [SMALL_STATE(13758)] = 236613,
  [SMALL_STATE(13759)] = 236664,
  [SMALL_STATE(13760)] = 236713,
  [SMALL_STATE(13761)] = 236760,
  [SMALL_STATE(13762)] = 236805,
  [SMALL_STATE(13763)] = 236878,
  [SMALL_STATE(13764)] = 236947,
  [SMALL_STATE(13765)] = 237014,
  [SMALL_STATE(13766)] = 237081,
  [SMALL_STATE(13767)] = 237140,
  [SMALL_STATE(13768)] = 237203,
  [SMALL_STATE(13769)] = 237254,
  [SMALL_STATE(13770)] = 237317,
  [SMALL_STATE(13771)] = 237368,
  [SMALL_STATE(13772)] = 237445,
  [SMALL_STATE(13773)] = 237494,
  [SMALL_STATE(13774)] = 237557,
  [SMALL_STATE(13775)] = 237600,
  [SMALL_STATE(13776)] = 237651,
  [SMALL_STATE(13777)] = 237698,
  [SMALL_STATE(13778)] = 237743,
  [SMALL_STATE(13779)] = 237796,
  [SMALL_STATE(13780)] = 237841,
  [SMALL_STATE(13781)] = 237892,
  [SMALL_STATE(13782)] = 237969,
  [SMALL_STATE(13783)] = 238046,
  [SMALL_STATE(13784)] = 238097,
  [SMALL_STATE(13785)] = 238140,
  [SMALL_STATE(13786)] = 238185,
  [SMALL_STATE(13787)] = 238230,
  [SMALL_STATE(13788)] = 238309,
  [SMALL_STATE(13789)] = 238360,
  [SMALL_STATE(13790)] = 238407,
  [SMALL_STATE(13791)] = 238480,
  [SMALL_STATE(13792)] = 238531,
  [SMALL_STATE(13793)] = 238596,
  [SMALL_STATE(13794)] = 238665,
  [SMALL_STATE(13795)] = 238734,
  [SMALL_STATE(13796)] = 238785,
  [SMALL_STATE(13797)] = 238866,
  [SMALL_STATE(13798)] = 238917,
  [SMALL_STATE(13799)] = 238966,
  [SMALL_STATE(13800)] = 239043,
  [SMALL_STATE(13801)] = 239086,
  [SMALL_STATE(13802)] = 239131,
  [SMALL_STATE(13803)] = 239182,
  [SMALL_STATE(13804)] = 239233,
  [SMALL_STATE(13805)] = 239276,
  [SMALL_STATE(13806)] = 239327,
  [SMALL_STATE(13807)] = 239378,
  [SMALL_STATE(13808)] = 239423,
  [SMALL_STATE(13809)] = 239474,
  [SMALL_STATE(13810)] = 239519,
  [SMALL_STATE(13811)] = 239564,
  [SMALL_STATE(13812)] = 239609,
  [SMALL_STATE(13813)] = 239672,
  [SMALL_STATE(13814)] = 239719,
  [SMALL_STATE(13815)] = 239796,
  [SMALL_STATE(13816)] = 239841,
  [SMALL_STATE(13817)] = 239886,
  [SMALL_STATE(13818)] = 239963,
  [SMALL_STATE(13819)] = 240008,
  [SMALL_STATE(13820)] = 240051,
  [SMALL_STATE(13821)] = 240094,
  [SMALL_STATE(13822)] = 240137,
  [SMALL_STATE(13823)] = 240180,
  [SMALL_STATE(13824)] = 240231,
  [SMALL_STATE(13825)] = 240282,
  [SMALL_STATE(13826)] = 240333,
  [SMALL_STATE(13827)] = 240376,
  [SMALL_STATE(13828)] = 240435,
  [SMALL_STATE(13829)] = 240486,
  [SMALL_STATE(13830)] = 240531,
  [SMALL_STATE(13831)] = 240582,
  [SMALL_STATE(13832)] = 240633,
  [SMALL_STATE(13833)] = 240696,
  [SMALL_STATE(13834)] = 240773,
  [SMALL_STATE(13835)] = 240816,
  [SMALL_STATE(13836)] = 240867,
  [SMALL_STATE(13837)] = 240930,
  [SMALL_STATE(13838)] = 240981,
  [SMALL_STATE(13839)] = 241032,
  [SMALL_STATE(13840)] = 241083,
  [SMALL_STATE(13841)] = 241134,
  [SMALL_STATE(13842)] = 241179,
  [SMALL_STATE(13843)] = 241230,
  [SMALL_STATE(13844)] = 241309,
  [SMALL_STATE(13845)] = 241360,
  [SMALL_STATE(13846)] = 241411,
  [SMALL_STATE(13847)] = 241456,
  [SMALL_STATE(13848)] = 241507,
  [SMALL_STATE(13849)] = 241558,
  [SMALL_STATE(13850)] = 241601,
  [SMALL_STATE(13851)] = 241652,
  [SMALL_STATE(13852)] = 241711,
  [SMALL_STATE(13853)] = 241762,
  [SMALL_STATE(13854)] = 241813,
  [SMALL_STATE(13855)] = 241864,
  [SMALL_STATE(13856)] = 241917,
  [SMALL_STATE(13857)] = 241997,
  [SMALL_STATE(13858)] = 242077,
  [SMALL_STATE(13859)] = 242123,
  [SMALL_STATE(13860)] = 242167,
  [SMALL_STATE(13861)] = 242211,
  [SMALL_STATE(13862)] = 242291,
  [SMALL_STATE(13863)] = 242371,
  [SMALL_STATE(13864)] = 242451,
  [SMALL_STATE(13865)] = 242495,
  [SMALL_STATE(13866)] = 242547,
  [SMALL_STATE(13867)] = 242627,
  [SMALL_STATE(13868)] = 242705,
  [SMALL_STATE(13869)] = 242785,
  [SMALL_STATE(13870)] = 242829,
  [SMALL_STATE(13871)] = 242881,
  [SMALL_STATE(13872)] = 242961,
  [SMALL_STATE(13873)] = 243005,
  [SMALL_STATE(13874)] = 243057,
  [SMALL_STATE(13875)] = 243109,
  [SMALL_STATE(13876)] = 243185,
  [SMALL_STATE(13877)] = 243265,
  [SMALL_STATE(13878)] = 243345,
  [SMALL_STATE(13879)] = 243397,
  [SMALL_STATE(13880)] = 243477,
  [SMALL_STATE(13881)] = 243557,
  [SMALL_STATE(13882)] = 243609,
  [SMALL_STATE(13883)] = 243671,
  [SMALL_STATE(13884)] = 243723,
  [SMALL_STATE(13885)] = 243803,
  [SMALL_STATE(13886)] = 243847,
  [SMALL_STATE(13887)] = 243905,
  [SMALL_STATE(13888)] = 243967,
  [SMALL_STATE(13889)] = 244019,
  [SMALL_STATE(13890)] = 244069,
  [SMALL_STATE(13891)] = 244117,
  [SMALL_STATE(13892)] = 244163,
  [SMALL_STATE(13893)] = 244207,
  [SMALL_STATE(13894)] = 244287,
  [SMALL_STATE(13895)] = 244367,
  [SMALL_STATE(13896)] = 244447,
  [SMALL_STATE(13897)] = 244525,
  [SMALL_STATE(13898)] = 244569,
  [SMALL_STATE(13899)] = 244647,
  [SMALL_STATE(13900)] = 244691,
  [SMALL_STATE(13901)] = 244771,
  [SMALL_STATE(13902)] = 244813,
  [SMALL_STATE(13903)] = 244857,
  [SMALL_STATE(13904)] = 244901,
  [SMALL_STATE(13905)] = 244981,
  [SMALL_STATE(13906)] = 245023,
  [SMALL_STATE(13907)] = 245067,
  [SMALL_STATE(13908)] = 245111,
  [SMALL_STATE(13909)] = 245155,
  [SMALL_STATE(13910)] = 245197,
  [SMALL_STATE(13911)] = 245241,
  [SMALL_STATE(13912)] = 245293,
  [SMALL_STATE(13913)] = 245373,
  [SMALL_STATE(13914)] = 245417,
  [SMALL_STATE(13915)] = 245497,
  [SMALL_STATE(13916)] = 245577,
  [SMALL_STATE(13917)] = 245629,
  [SMALL_STATE(13918)] = 245709,
  [SMALL_STATE(13919)] = 245789,
  [SMALL_STATE(13920)] = 245869,
  [SMALL_STATE(13921)] = 245913,
  [SMALL_STATE(13922)] = 245957,
  [SMALL_STATE(13923)] = 246001,
  [SMALL_STATE(13924)] = 246045,
  [SMALL_STATE(13925)] = 246125,
  [SMALL_STATE(13926)] = 246205,
  [SMALL_STATE(13927)] = 246285,
  [SMALL_STATE(13928)] = 246331,
  [SMALL_STATE(13929)] = 246411,
  [SMALL_STATE(13930)] = 246491,
  [SMALL_STATE(13931)] = 246571,
  [SMALL_STATE(13932)] = 246651,
  [SMALL_STATE(13933)] = 246731,
  [SMALL_STATE(13934)] = 246775,
  [SMALL_STATE(13935)] = 246855,
  [SMALL_STATE(13936)] = 246935,
  [SMALL_STATE(13937)] = 246979,
  [SMALL_STATE(13938)] = 247023,
  [SMALL_STATE(13939)] = 247065,
  [SMALL_STATE(13940)] = 247145,
  [SMALL_STATE(13941)] = 247189,
  [SMALL_STATE(13942)] = 247251,
  [SMALL_STATE(13943)] = 247315,
  [SMALL_STATE(13944)] = 247387,
  [SMALL_STATE(13945)] = 247455,
  [SMALL_STATE(13946)] = 247521,
  [SMALL_STATE(13947)] = 247579,
  [SMALL_STATE(13948)] = 247641,
  [SMALL_STATE(13949)] = 247693,
  [SMALL_STATE(13950)] = 247743,
  [SMALL_STATE(13951)] = 247791,
  [SMALL_STATE(13952)] = 247837,
  [SMALL_STATE(13953)] = 247881,
  [SMALL_STATE(13954)] = 247933,
  [SMALL_STATE(13955)] = 247985,
  [SMALL_STATE(13956)] = 248065,
  [SMALL_STATE(13957)] = 248141,
  [SMALL_STATE(13958)] = 248221,
  [SMALL_STATE(13959)] = 248273,
  [SMALL_STATE(13960)] = 248325,
  [SMALL_STATE(13961)] = 248377,
  [SMALL_STATE(13962)] = 248457,
  [SMALL_STATE(13963)] = 248509,
  [SMALL_STATE(13964)] = 248553,
  [SMALL_STATE(13965)] = 248633,
  [SMALL_STATE(13966)] = 248685,
  [SMALL_STATE(13967)] = 248765,
  [SMALL_STATE(13968)] = 248817,
  [SMALL_STATE(13969)] = 248897,
  [SMALL_STATE(13970)] = 248977,
  [SMALL_STATE(13971)] = 249021,
  [SMALL_STATE(13972)] = 249101,
  [SMALL_STATE(13973)] = 249153,
  [SMALL_STATE(13974)] = 249205,
  [SMALL_STATE(13975)] = 249249,
  [SMALL_STATE(13976)] = 249301,
  [SMALL_STATE(13977)] = 249353,
  [SMALL_STATE(13978)] = 249429,
  [SMALL_STATE(13979)] = 249473,
  [SMALL_STATE(13980)] = 249525,
  [SMALL_STATE(13981)] = 249605,
  [SMALL_STATE(13982)] = 249685,
  [SMALL_STATE(13983)] = 249765,
  [SMALL_STATE(13984)] = 249845,
  [SMALL_STATE(13985)] = 249889,
  [SMALL_STATE(13986)] = 249967,
  [SMALL_STATE(13987)] = 250047,
  [SMALL_STATE(13988)] = 250125,
  [SMALL_STATE(13989)] = 250177,
  [SMALL_STATE(13990)] = 250257,
  [SMALL_STATE(13991)] = 250337,
  [SMALL_STATE(13992)] = 250389,
  [SMALL_STATE(13993)] = 250433,
  [SMALL_STATE(13994)] = 250513,
  [SMALL_STATE(13995)] = 250591,
  [SMALL_STATE(13996)] = 250671,
  [SMALL_STATE(13997)] = 250751,
  [SMALL_STATE(13998)] = 250831,
  [SMALL_STATE(13999)] = 250883,
  [SMALL_STATE(14000)] = 250963,
  [SMALL_STATE(14001)] = 251007,
  [SMALL_STATE(14002)] = 251083,
  [SMALL_STATE(14003)] = 251163,
  [SMALL_STATE(14004)] = 251207,
  [SMALL_STATE(14005)] = 251287,
  [SMALL_STATE(14006)] = 251339,
  [SMALL_STATE(14007)] = 251419,
  [SMALL_STATE(14008)] = 251471,
  [SMALL_STATE(14009)] = 251551,
  [SMALL_STATE(14010)] = 251631,
  [SMALL_STATE(14011)] = 251683,
  [SMALL_STATE(14012)] = 251735,
  [SMALL_STATE(14013)] = 251815,
  [SMALL_STATE(14014)] = 251895,
  [SMALL_STATE(14015)] = 251975,
  [SMALL_STATE(14016)] = 252027,
  [SMALL_STATE(14017)] = 252079,
  [SMALL_STATE(14018)] = 252159,
  [SMALL_STATE(14019)] = 252211,
  [SMALL_STATE(14020)] = 252291,
  [SMALL_STATE(14021)] = 252371,
  [SMALL_STATE(14022)] = 252423,
  [SMALL_STATE(14023)] = 252503,
  [SMALL_STATE(14024)] = 252583,
  [SMALL_STATE(14025)] = 252663,
  [SMALL_STATE(14026)] = 252715,
  [SMALL_STATE(14027)] = 252795,
  [SMALL_STATE(14028)] = 252875,
  [SMALL_STATE(14029)] = 252927,
  [SMALL_STATE(14030)] = 252993,
  [SMALL_STATE(14031)] = 253035,
  [SMALL_STATE(14032)] = 253077,
  [SMALL_STATE(14033)] = 253157,
  [SMALL_STATE(14034)] = 253209,
  [SMALL_STATE(14035)] = 253261,
  [SMALL_STATE(14036)] = 253305,
  [SMALL_STATE(14037)] = 253385,
  [SMALL_STATE(14038)] = 253437,
  [SMALL_STATE(14039)] = 253517,
  [SMALL_STATE(14040)] = 253569,
  [SMALL_STATE(14041)] = 253649,
  [SMALL_STATE(14042)] = 253691,
  [SMALL_STATE(14043)] = 253743,
  [SMALL_STATE(14044)] = 253795,
  [SMALL_STATE(14045)] = 253875,
  [SMALL_STATE(14046)] = 253955,
  [SMALL_STATE(14047)] = 253999,
  [SMALL_STATE(14048)] = 254079,
  [SMALL_STATE(14049)] = 254131,
  [SMALL_STATE(14050)] = 254183,
  [SMALL_STATE(14051)] = 254261,
  [SMALL_STATE(14052)] = 254313,
  [SMALL_STATE(14053)] = 254393,
  [SMALL_STATE(14054)] = 254437,
  [SMALL_STATE(14055)] = 254479,
  [SMALL_STATE(14056)] = 254559,
  [SMALL_STATE(14057)] = 254639,
  [SMALL_STATE(14058)] = 254683,
  [SMALL_STATE(14059)] = 254735,
  [SMALL_STATE(14060)] = 254787,
  [SMALL_STATE(14061)] = 254867,
  [SMALL_STATE(14062)] = 254919,
  [SMALL_STATE(14063)] = 254971,
  [SMALL_STATE(14064)] = 255023,
  [SMALL_STATE(14065)] = 255075,
  [SMALL_STATE(14066)] = 255127,
  [SMALL_STATE(14067)] = 255169,
  [SMALL_STATE(14068)] = 255211,
  [SMALL_STATE(14069)] = 255263,
  [SMALL_STATE(14070)] = 255307,
  [SMALL_STATE(14071)] = 255387,
  [SMALL_STATE(14072)] = 255467,
  [SMALL_STATE(14073)] = 255547,
  [SMALL_STATE(14074)] = 255591,
  [SMALL_STATE(14075)] = 255671,
  [SMALL_STATE(14076)] = 255715,
  [SMALL_STATE(14077)] = 255759,
  [SMALL_STATE(14078)] = 255839,
  [SMALL_STATE(14079)] = 255891,
  [SMALL_STATE(14080)] = 255943,
  [SMALL_STATE(14081)] = 255987,
  [SMALL_STATE(14082)] = 256067,
  [SMALL_STATE(14083)] = 256119,
  [SMALL_STATE(14084)] = 256171,
  [SMALL_STATE(14085)] = 256251,
  [SMALL_STATE(14086)] = 256331,
  [SMALL_STATE(14087)] = 256375,
  [SMALL_STATE(14088)] = 256427,
  [SMALL_STATE(14089)] = 256471,
  [SMALL_STATE(14090)] = 256513,
  [SMALL_STATE(14091)] = 256555,
  [SMALL_STATE(14092)] = 256597,
  [SMALL_STATE(14093)] = 256641,
  [SMALL_STATE(14094)] = 256693,
  [SMALL_STATE(14095)] = 256773,
  [SMALL_STATE(14096)] = 256853,
  [SMALL_STATE(14097)] = 256931,
  [SMALL_STATE(14098)] = 257011,
  [SMALL_STATE(14099)] = 257053,
  [SMALL_STATE(14100)] = 257097,
  [SMALL_STATE(14101)] = 257141,
  [SMALL_STATE(14102)] = 257183,
  [SMALL_STATE(14103)] = 257235,
  [SMALL_STATE(14104)] = 257279,
  [SMALL_STATE(14105)] = 257323,
  [SMALL_STATE(14106)] = 257375,
  [SMALL_STATE(14107)] = 257455,
  [SMALL_STATE(14108)] = 257499,
  [SMALL_STATE(14109)] = 257551,
  [SMALL_STATE(14110)] = 257631,
  [SMALL_STATE(14111)] = 257711,
  [SMALL_STATE(14112)] = 257791,
  [SMALL_STATE(14113)] = 257843,
  [SMALL_STATE(14114)] = 257923,
  [SMALL_STATE(14115)] = 257975,
  [SMALL_STATE(14116)] = 258019,
  [SMALL_STATE(14117)] = 258063,
  [SMALL_STATE(14118)] = 258143,
  [SMALL_STATE(14119)] = 258223,
  [SMALL_STATE(14120)] = 258275,
  [SMALL_STATE(14121)] = 258319,
  [SMALL_STATE(14122)] = 258399,
  [SMALL_STATE(14123)] = 258441,
  [SMALL_STATE(14124)] = 258521,
  [SMALL_STATE(14125)] = 258601,
  [SMALL_STATE(14126)] = 258643,
  [SMALL_STATE(14127)] = 258695,
  [SMALL_STATE(14128)] = 258737,
  [SMALL_STATE(14129)] = 258817,
  [SMALL_STATE(14130)] = 258859,
  [SMALL_STATE(14131)] = 258911,
  [SMALL_STATE(14132)] = 258991,
  [SMALL_STATE(14133)] = 259035,
  [SMALL_STATE(14134)] = 259115,
  [SMALL_STATE(14135)] = 259167,
  [SMALL_STATE(14136)] = 259247,
  [SMALL_STATE(14137)] = 259299,
  [SMALL_STATE(14138)] = 259351,
  [SMALL_STATE(14139)] = 259431,
  [SMALL_STATE(14140)] = 259475,
  [SMALL_STATE(14141)] = 259517,
  [SMALL_STATE(14142)] = 259561,
  [SMALL_STATE(14143)] = 259641,
  [SMALL_STATE(14144)] = 259685,
  [SMALL_STATE(14145)] = 259737,
  [SMALL_STATE(14146)] = 259817,
  [SMALL_STATE(14147)] = 259861,
  [SMALL_STATE(14148)] = 259941,
  [SMALL_STATE(14149)] = 259993,
  [SMALL_STATE(14150)] = 260037,
  [SMALL_STATE(14151)] = 260089,
  [SMALL_STATE(14152)] = 260169,
  [SMALL_STATE(14153)] = 260249,
  [SMALL_STATE(14154)] = 260301,
  [SMALL_STATE(14155)] = 260345,
  [SMALL_STATE(14156)] = 260389,
  [SMALL_STATE(14157)] = 260433,
  [SMALL_STATE(14158)] = 260513,
  [SMALL_STATE(14159)] = 260557,
  [SMALL_STATE(14160)] = 260637,
  [SMALL_STATE(14161)] = 260717,
  [SMALL_STATE(14162)] = 260797,
  [SMALL_STATE(14163)] = 260877,
  [SMALL_STATE(14164)] = 260921,
  [SMALL_STATE(14165)] = 260963,
  [SMALL_STATE(14166)] = 261043,
  [SMALL_STATE(14167)] = 261095,
  [SMALL_STATE(14168)] = 261175,
  [SMALL_STATE(14169)] = 261255,
  [SMALL_STATE(14170)] = 261307,
  [SMALL_STATE(14171)] = 261387,
  [SMALL_STATE(14172)] = 261467,
  [SMALL_STATE(14173)] = 261547,
  [SMALL_STATE(14174)] = 261627,
  [SMALL_STATE(14175)] = 261707,
  [SMALL_STATE(14176)] = 261787,
  [SMALL_STATE(14177)] = 261839,
  [SMALL_STATE(14178)] = 261883,
  [SMALL_STATE(14179)] = 261927,
  [SMALL_STATE(14180)] = 261971,
  [SMALL_STATE(14181)] = 262049,
  [SMALL_STATE(14182)] = 262091,
  [SMALL_STATE(14183)] = 262171,
  [SMALL_STATE(14184)] = 262245,
  [SMALL_STATE(14185)] = 262325,
  [SMALL_STATE(14186)] = 262377,
  [SMALL_STATE(14187)] = 262457,
  [SMALL_STATE(14188)] = 262537,
  [SMALL_STATE(14189)] = 262589,
  [SMALL_STATE(14190)] = 262633,
  [SMALL_STATE(14191)] = 262713,
  [SMALL_STATE(14192)] = 262793,
  [SMALL_STATE(14193)] = 262837,
  [SMALL_STATE(14194)] = 262917,
  [SMALL_STATE(14195)] = 262993,
  [SMALL_STATE(14196)] = 263037,
  [SMALL_STATE(14197)] = 263117,
  [SMALL_STATE(14198)] = 263169,
  [SMALL_STATE(14199)] = 263249,
  [SMALL_STATE(14200)] = 263301,
  [SMALL_STATE(14201)] = 263381,
  [SMALL_STATE(14202)] = 263443,
  [SMALL_STATE(14203)] = 263523,
  [SMALL_STATE(14204)] = 263601,
  [SMALL_STATE(14205)] = 263675,
  [SMALL_STATE(14206)] = 263745,
  [SMALL_STATE(14207)] = 263813,
  [SMALL_STATE(14208)] = 263871,
  [SMALL_STATE(14209)] = 263951,
  [SMALL_STATE(14210)] = 264031,
  [SMALL_STATE(14211)] = 264075,
  [SMALL_STATE(14212)] = 264119,
  [SMALL_STATE(14213)] = 264163,
  [SMALL_STATE(14214)] = 264243,
  [SMALL_STATE(14215)] = 264287,
  [SMALL_STATE(14216)] = 264353,
  [SMALL_STATE(14217)] = 264415,
  [SMALL_STATE(14218)] = 264467,
  [SMALL_STATE(14219)] = 264519,
  [SMALL_STATE(14220)] = 264599,
  [SMALL_STATE(14221)] = 264643,
  [SMALL_STATE(14222)] = 264695,
  [SMALL_STATE(14223)] = 264747,
  [SMALL_STATE(14224)] = 264799,
  [SMALL_STATE(14225)] = 264849,
  [SMALL_STATE(14226)] = 264901,
  [SMALL_STATE(14227)] = 264949,
  [SMALL_STATE(14228)] = 264995,
  [SMALL_STATE(14229)] = 265073,
  [SMALL_STATE(14230)] = 265153,
  [SMALL_STATE(14231)] = 265233,
  [SMALL_STATE(14232)] = 265275,
  [SMALL_STATE(14233)] = 265355,
  [SMALL_STATE(14234)] = 265425,
  [SMALL_STATE(14235)] = 265467,
  [SMALL_STATE(14236)] = 265509,
  [SMALL_STATE(14237)] = 265589,
  [SMALL_STATE(14238)] = 265657,
  [SMALL_STATE(14239)] = 265737,
  [SMALL_STATE(14240)] = 265813,
  [SMALL_STATE(14241)] = 265893,
  [SMALL_STATE(14242)] = 265945,
  [SMALL_STATE(14243)] = 266025,
  [SMALL_STATE(14244)] = 266069,
  [SMALL_STATE(14245)] = 266149,
  [SMALL_STATE(14246)] = 266193,
  [SMALL_STATE(14247)] = 266273,
  [SMALL_STATE(14248)] = 266353,
  [SMALL_STATE(14249)] = 266397,
  [SMALL_STATE(14250)] = 266475,
  [SMALL_STATE(14251)] = 266551,
  [SMALL_STATE(14252)] = 266631,
  [SMALL_STATE(14253)] = 266673,
  [SMALL_STATE(14254)] = 266753,
  [SMALL_STATE(14255)] = 266805,
  [SMALL_STATE(14256)] = 266847,
  [SMALL_STATE(14257)] = 266927,
  [SMALL_STATE(14258)] = 266971,
  [SMALL_STATE(14259)] = 267051,
  [SMALL_STATE(14260)] = 267131,
  [SMALL_STATE(14261)] = 267173,
  [SMALL_STATE(14262)] = 267219,
  [SMALL_STATE(14263)] = 267299,
  [SMALL_STATE(14264)] = 267351,
  [SMALL_STATE(14265)] = 267403,
  [SMALL_STATE(14266)] = 267483,
  [SMALL_STATE(14267)] = 267535,
  [SMALL_STATE(14268)] = 267581,
  [SMALL_STATE(14269)] = 267633,
  [SMALL_STATE(14270)] = 267713,
  [SMALL_STATE(14271)] = 267793,
  [SMALL_STATE(14272)] = 267837,
  [SMALL_STATE(14273)] = 267881,
  [SMALL_STATE(14274)] = 267957,
  [SMALL_STATE(14275)] = 268037,
  [SMALL_STATE(14276)] = 268081,
  [SMALL_STATE(14277)] = 268161,
  [SMALL_STATE(14278)] = 268241,
  [SMALL_STATE(14279)] = 268293,
  [SMALL_STATE(14280)] = 268373,
  [SMALL_STATE(14281)] = 268417,
  [SMALL_STATE(14282)] = 268497,
  [SMALL_STATE(14283)] = 268577,
  [SMALL_STATE(14284)] = 268657,
  [SMALL_STATE(14285)] = 268709,
  [SMALL_STATE(14286)] = 268761,
  [SMALL_STATE(14287)] = 268813,
  [SMALL_STATE(14288)] = 268893,
  [SMALL_STATE(14289)] = 268945,
  [SMALL_STATE(14290)] = 268989,
  [SMALL_STATE(14291)] = 269065,
  [SMALL_STATE(14292)] = 269117,
  [SMALL_STATE(14293)] = 269197,
  [SMALL_STATE(14294)] = 269277,
  [SMALL_STATE(14295)] = 269357,
  [SMALL_STATE(14296)] = 269409,
  [SMALL_STATE(14297)] = 269461,
  [SMALL_STATE(14298)] = 269541,
  [SMALL_STATE(14299)] = 269621,
  [SMALL_STATE(14300)] = 269673,
  [SMALL_STATE(14301)] = 269753,
  [SMALL_STATE(14302)] = 269797,
  [SMALL_STATE(14303)] = 269841,
  [SMALL_STATE(14304)] = 269883,
  [SMALL_STATE(14305)] = 269963,
  [SMALL_STATE(14306)] = 270043,
  [SMALL_STATE(14307)] = 270123,
  [SMALL_STATE(14308)] = 270203,
  [SMALL_STATE(14309)] = 270247,
  [SMALL_STATE(14310)] = 270325,
  [SMALL_STATE(14311)] = 270369,
  [SMALL_STATE(14312)] = 270413,
  [SMALL_STATE(14313)] = 270465,
  [SMALL_STATE(14314)] = 270545,
  [SMALL_STATE(14315)] = 270597,
  [SMALL_STATE(14316)] = 270677,
  [SMALL_STATE(14317)] = 270721,
  [SMALL_STATE(14318)] = 270801,
  [SMALL_STATE(14319)] = 270881,
  [SMALL_STATE(14320)] = 270961,
  [SMALL_STATE(14321)] = 271041,
  [SMALL_STATE(14322)] = 271121,
  [SMALL_STATE(14323)] = 271201,
  [SMALL_STATE(14324)] = 271253,
  [SMALL_STATE(14325)] = 271333,
  [SMALL_STATE(14326)] = 271413,
  [SMALL_STATE(14327)] = 271493,
  [SMALL_STATE(14328)] = 271573,
  [SMALL_STATE(14329)] = 271653,
  [SMALL_STATE(14330)] = 271733,
  [SMALL_STATE(14331)] = 271785,
  [SMALL_STATE(14332)] = 271829,
  [SMALL_STATE(14333)] = 271878,
  [SMALL_STATE(14334)] = 271947,
  [SMALL_STATE(14335)] = 271988,
  [SMALL_STATE(14336)] = 272065,
  [SMALL_STATE(14337)] = 272132,
  [SMALL_STATE(14338)] = 272193,
  [SMALL_STATE(14339)] = 272264,
  [SMALL_STATE(14340)] = 272341,
  [SMALL_STATE(14341)] = 272408,
  [SMALL_STATE(14342)] = 272473,
  [SMALL_STATE(14343)] = 272530,
  [SMALL_STATE(14344)] = 272571,
  [SMALL_STATE(14345)] = 272632,
  [SMALL_STATE(14346)] = 272683,
  [SMALL_STATE(14347)] = 272732,
  [SMALL_STATE(14348)] = 272779,
  [SMALL_STATE(14349)] = 272824,
  [SMALL_STATE(14350)] = 272867,
  [SMALL_STATE(14351)] = 272944,
  [SMALL_STATE(14352)] = 273001,
  [SMALL_STATE(14353)] = 273042,
  [SMALL_STATE(14354)] = 273117,
  [SMALL_STATE(14355)] = 273178,
  [SMALL_STATE(14356)] = 273229,
  [SMALL_STATE(14357)] = 273278,
  [SMALL_STATE(14358)] = 273319,
  [SMALL_STATE(14359)] = 273384,
  [SMALL_STATE(14360)] = 273427,
  [SMALL_STATE(14361)] = 273490,
  [SMALL_STATE(14362)] = 273531,
  [SMALL_STATE(14363)] = 273572,
  [SMALL_STATE(14364)] = 273613,
  [SMALL_STATE(14365)] = 273660,
  [SMALL_STATE(14366)] = 273737,
  [SMALL_STATE(14367)] = 273782,
  [SMALL_STATE(14368)] = 273825,
  [SMALL_STATE(14369)] = 273902,
  [SMALL_STATE(14370)] = 273943,
  [SMALL_STATE(14371)] = 273984,
  [SMALL_STATE(14372)] = 274045,
  [SMALL_STATE(14373)] = 274088,
  [SMALL_STATE(14374)] = 274139,
  [SMALL_STATE(14375)] = 274180,
  [SMALL_STATE(14376)] = 274221,
  [SMALL_STATE(14377)] = 274278,
  [SMALL_STATE(14378)] = 274353,
  [SMALL_STATE(14379)] = 274430,
  [SMALL_STATE(14380)] = 274471,
  [SMALL_STATE(14381)] = 274546,
  [SMALL_STATE(14382)] = 274623,
  [SMALL_STATE(14383)] = 274664,
  [SMALL_STATE(14384)] = 274741,
  [SMALL_STATE(14385)] = 274782,
  [SMALL_STATE(14386)] = 274823,
  [SMALL_STATE(14387)] = 274884,
  [SMALL_STATE(14388)] = 274925,
  [SMALL_STATE(14389)] = 274976,
  [SMALL_STATE(14390)] = 275025,
  [SMALL_STATE(14391)] = 275076,
  [SMALL_STATE(14392)] = 275117,
  [SMALL_STATE(14393)] = 275158,
  [SMALL_STATE(14394)] = 275227,
  [SMALL_STATE(14395)] = 275268,
  [SMALL_STATE(14396)] = 275309,
  [SMALL_STATE(14397)] = 275354,
  [SMALL_STATE(14398)] = 275395,
  [SMALL_STATE(14399)] = 275442,
  [SMALL_STATE(14400)] = 275485,
  [SMALL_STATE(14401)] = 275530,
  [SMALL_STATE(14402)] = 275605,
  [SMALL_STATE(14403)] = 275648,
  [SMALL_STATE(14404)] = 275699,
  [SMALL_STATE(14405)] = 275740,
  [SMALL_STATE(14406)] = 275817,
  [SMALL_STATE(14407)] = 275884,
  [SMALL_STATE(14408)] = 275949,
  [SMALL_STATE(14409)] = 275992,
  [SMALL_STATE(14410)] = 276053,
  [SMALL_STATE(14411)] = 276104,
  [SMALL_STATE(14412)] = 276145,
  [SMALL_STATE(14413)] = 276186,
  [SMALL_STATE(14414)] = 276227,
  [SMALL_STATE(14415)] = 276304,
  [SMALL_STATE(14416)] = 276377,
  [SMALL_STATE(14417)] = 276446,
  [SMALL_STATE(14418)] = 276513,
  [SMALL_STATE(14419)] = 276586,
  [SMALL_STATE(14420)] = 276627,
  [SMALL_STATE(14421)] = 276668,
  [SMALL_STATE(14422)] = 276709,
  [SMALL_STATE(14423)] = 276750,
  [SMALL_STATE(14424)] = 276811,
  [SMALL_STATE(14425)] = 276888,
  [SMALL_STATE(14426)] = 276929,
  [SMALL_STATE(14427)] = 276970,
  [SMALL_STATE(14428)] = 277011,
  [SMALL_STATE(14429)] = 277088,
  [SMALL_STATE(14430)] = 277129,
  [SMALL_STATE(14431)] = 277194,
  [SMALL_STATE(14432)] = 277237,
  [SMALL_STATE(14433)] = 277288,
  [SMALL_STATE(14434)] = 277329,
  [SMALL_STATE(14435)] = 277370,
  [SMALL_STATE(14436)] = 277411,
  [SMALL_STATE(14437)] = 277452,
  [SMALL_STATE(14438)] = 277509,
  [SMALL_STATE(14439)] = 277550,
  [SMALL_STATE(14440)] = 277611,
  [SMALL_STATE(14441)] = 277684,
  [SMALL_STATE(14442)] = 277759,
  [SMALL_STATE(14443)] = 277800,
  [SMALL_STATE(14444)] = 277843,
  [SMALL_STATE(14445)] = 277884,
  [SMALL_STATE(14446)] = 277927,
  [SMALL_STATE(14447)] = 277968,
  [SMALL_STATE(14448)] = 278043,
  [SMALL_STATE(14449)] = 278084,
  [SMALL_STATE(14450)] = 278161,
  [SMALL_STATE(14451)] = 278208,
  [SMALL_STATE(14452)] = 278258,
  [SMALL_STATE(14453)] = 278328,
  [SMALL_STATE(14454)] = 278402,
  [SMALL_STATE(14455)] = 278476,
  [SMALL_STATE(14456)] = 278526,
  [SMALL_STATE(14457)] = 278588,
  [SMALL_STATE(14458)] = 278658,
  [SMALL_STATE(14459)] = 278728,
  [SMALL_STATE(14460)] = 278802,
  [SMALL_STATE(14461)] = 278876,
  [SMALL_STATE(14462)] = 278946,
  [SMALL_STATE(14463)] = 278986,
  [SMALL_STATE(14464)] = 279056,
  [SMALL_STATE(14465)] = 279126,
  [SMALL_STATE(14466)] = 279196,
  [SMALL_STATE(14467)] = 279266,
  [SMALL_STATE(14468)] = 279310,
  [SMALL_STATE(14469)] = 279380,
  [SMALL_STATE(14470)] = 279454,
  [SMALL_STATE(14471)] = 279524,
  [SMALL_STATE(14472)] = 279566,
  [SMALL_STATE(14473)] = 279640,
  [SMALL_STATE(14474)] = 279710,
  [SMALL_STATE(14475)] = 279760,
  [SMALL_STATE(14476)] = 279830,
  [SMALL_STATE(14477)] = 279878,
  [SMALL_STATE(14478)] = 279948,
  [SMALL_STATE(14479)] = 280018,
  [SMALL_STATE(14480)] = 280088,
  [SMALL_STATE(14481)] = 280130,
  [SMALL_STATE(14482)] = 280200,
  [SMALL_STATE(14483)] = 280270,
  [SMALL_STATE(14484)] = 280340,
  [SMALL_STATE(14485)] = 280410,
  [SMALL_STATE(14486)] = 280452,
  [SMALL_STATE(14487)] = 280526,
  [SMALL_STATE(14488)] = 280566,
  [SMALL_STATE(14489)] = 280636,
  [SMALL_STATE(14490)] = 280706,
  [SMALL_STATE(14491)] = 280776,
  [SMALL_STATE(14492)] = 280846,
  [SMALL_STATE(14493)] = 280906,
  [SMALL_STATE(14494)] = 280980,
  [SMALL_STATE(14495)] = 281050,
  [SMALL_STATE(14496)] = 281116,
  [SMALL_STATE(14497)] = 281180,
  [SMALL_STATE(14498)] = 281236,
  [SMALL_STATE(14499)] = 281296,
  [SMALL_STATE(14500)] = 281346,
  [SMALL_STATE(14501)] = 281416,
  [SMALL_STATE(14502)] = 281464,
  [SMALL_STATE(14503)] = 281510,
  [SMALL_STATE(14504)] = 281554,
  [SMALL_STATE(14505)] = 281596,
  [SMALL_STATE(14506)] = 281666,
  [SMALL_STATE(14507)] = 281736,
  [SMALL_STATE(14508)] = 281806,
  [SMALL_STATE(14509)] = 281876,
  [SMALL_STATE(14510)] = 281946,
  [SMALL_STATE(14511)] = 282016,
  [SMALL_STATE(14512)] = 282086,
  [SMALL_STATE(14513)] = 282156,
  [SMALL_STATE(14514)] = 282226,
  [SMALL_STATE(14515)] = 282296,
  [SMALL_STATE(14516)] = 282366,
  [SMALL_STATE(14517)] = 282436,
  [SMALL_STATE(14518)] = 282506,
  [SMALL_STATE(14519)] = 282576,
  [SMALL_STATE(14520)] = 282646,
  [SMALL_STATE(14521)] = 282716,
  [SMALL_STATE(14522)] = 282786,
  [SMALL_STATE(14523)] = 282856,
  [SMALL_STATE(14524)] = 282902,
  [SMALL_STATE(14525)] = 282972,
  [SMALL_STATE(14526)] = 283042,
  [SMALL_STATE(14527)] = 283112,
  [SMALL_STATE(14528)] = 283182,
  [SMALL_STATE(14529)] = 283252,
  [SMALL_STATE(14530)] = 283322,
  [SMALL_STATE(14531)] = 283392,
  [SMALL_STATE(14532)] = 283462,
  [SMALL_STATE(14533)] = 283536,
  [SMALL_STATE(14534)] = 283606,
  [SMALL_STATE(14535)] = 283676,
  [SMALL_STATE(14536)] = 283746,
  [SMALL_STATE(14537)] = 283816,
  [SMALL_STATE(14538)] = 283890,
  [SMALL_STATE(14539)] = 283960,
  [SMALL_STATE(14540)] = 284030,
  [SMALL_STATE(14541)] = 284100,
  [SMALL_STATE(14542)] = 284170,
  [SMALL_STATE(14543)] = 284240,
  [SMALL_STATE(14544)] = 284310,
  [SMALL_STATE(14545)] = 284380,
  [SMALL_STATE(14546)] = 284450,
  [SMALL_STATE(14547)] = 284520,
  [SMALL_STATE(14548)] = 284590,
  [SMALL_STATE(14549)] = 284660,
  [SMALL_STATE(14550)] = 284730,
  [SMALL_STATE(14551)] = 284800,
  [SMALL_STATE(14552)] = 284870,
  [SMALL_STATE(14553)] = 284940,
  [SMALL_STATE(14554)] = 285010,
  [SMALL_STATE(14555)] = 285080,
  [SMALL_STATE(14556)] = 285150,
  [SMALL_STATE(14557)] = 285220,
  [SMALL_STATE(14558)] = 285290,
  [SMALL_STATE(14559)] = 285360,
  [SMALL_STATE(14560)] = 285430,
  [SMALL_STATE(14561)] = 285500,
  [SMALL_STATE(14562)] = 285570,
  [SMALL_STATE(14563)] = 285640,
  [SMALL_STATE(14564)] = 285702,
  [SMALL_STATE(14565)] = 285772,
  [SMALL_STATE(14566)] = 285842,
  [SMALL_STATE(14567)] = 285912,
  [SMALL_STATE(14568)] = 285982,
  [SMALL_STATE(14569)] = 286056,
  [SMALL_STATE(14570)] = 286116,
  [SMALL_STATE(14571)] = 286186,
  [SMALL_STATE(14572)] = 286260,
  [SMALL_STATE(14573)] = 286334,
  [SMALL_STATE(14574)] = 286404,
  [SMALL_STATE(14575)] = 286474,
  [SMALL_STATE(14576)] = 286544,
  [SMALL_STATE(14577)] = 286610,
  [SMALL_STATE(14578)] = 286674,
  [SMALL_STATE(14579)] = 286730,
  [SMALL_STATE(14580)] = 286790,
  [SMALL_STATE(14581)] = 286860,
  [SMALL_STATE(14582)] = 286931,
  [SMALL_STATE(14583)] = 287002,
  [SMALL_STATE(14584)] = 287073,
  [SMALL_STATE(14585)] = 287144,
  [SMALL_STATE(14586)] = 287215,
  [SMALL_STATE(14587)] = 287286,
  [SMALL_STATE(14588)] = 287357,
  [SMALL_STATE(14589)] = 287380,
  [SMALL_STATE(14590)] = 287407,
  [SMALL_STATE(14591)] = 287436,
  [SMALL_STATE(14592)] = 287463,
  [SMALL_STATE(14593)] = 287488,
  [SMALL_STATE(14594)] = 287523,
  [SMALL_STATE(14595)] = 287558,
  [SMALL_STATE(14596)] = 287593,
  [SMALL_STATE(14597)] = 287628,
  [SMALL_STATE(14598)] = 287663,
  [SMALL_STATE(14599)] = 287698,
  [SMALL_STATE(14600)] = 287721,
  [SMALL_STATE(14601)] = 287756,
  [SMALL_STATE(14602)] = 287783,
  [SMALL_STATE(14603)] = 287812,
  [SMALL_STATE(14604)] = 287847,
  [SMALL_STATE(14605)] = 287882,
  [SMALL_STATE(14606)] = 287917,
  [SMALL_STATE(14607)] = 287952,
  [SMALL_STATE(14608)] = 287981,
  [SMALL_STATE(14609)] = 288008,
  [SMALL_STATE(14610)] = 288043,
  [SMALL_STATE(14611)] = 288068,
  [SMALL_STATE(14612)] = 288103,
  [SMALL_STATE(14613)] = 288132,
  [SMALL_STATE(14614)] = 288156,
  [SMALL_STATE(14615)] = 288180,
  [SMALL_STATE(14616)] = 288206,
  [SMALL_STATE(14617)] = 288230,
  [SMALL_STATE(14618)] = 288252,
  [SMALL_STATE(14619)] = 288278,
  [SMALL_STATE(14620)] = 288306,
  [SMALL_STATE(14621)] = 288330,
  [SMALL_STATE(14622)] = 288358,
  [SMALL_STATE(14623)] = 288382,
  [SMALL_STATE(14624)] = 288408,
  [SMALL_STATE(14625)] = 288437,
  [SMALL_STATE(14626)] = 288462,
  [SMALL_STATE(14627)] = 288491,
  [SMALL_STATE(14628)] = 288518,
  [SMALL_STATE(14629)] = 288545,
  [SMALL_STATE(14630)] = 288572,
  [SMALL_STATE(14631)] = 288599,
  [SMALL_STATE(14632)] = 288626,
  [SMALL_STATE(14633)] = 288653,
  [SMALL_STATE(14634)] = 288680,
  [SMALL_STATE(14635)] = 288707,
  [SMALL_STATE(14636)] = 288736,
  [SMALL_STATE(14637)] = 288765,
  [SMALL_STATE(14638)] = 288790,
  [SMALL_STATE(14639)] = 288819,
  [SMALL_STATE(14640)] = 288848,
  [SMALL_STATE(14641)] = 288877,
  [SMALL_STATE(14642)] = 288904,
  [SMALL_STATE(14643)] = 288933,
  [SMALL_STATE(14644)] = 288960,
  [SMALL_STATE(14645)] = 288987,
  [SMALL_STATE(14646)] = 289014,
  [SMALL_STATE(14647)] = 289041,
  [SMALL_STATE(14648)] = 289068,
  [SMALL_STATE(14649)] = 289095,
  [SMALL_STATE(14650)] = 289122,
  [SMALL_STATE(14651)] = 289149,
  [SMALL_STATE(14652)] = 289176,
  [SMALL_STATE(14653)] = 289205,
  [SMALL_STATE(14654)] = 289234,
  [SMALL_STATE(14655)] = 289263,
  [SMALL_STATE(14656)] = 289290,
  [SMALL_STATE(14657)] = 289317,
  [SMALL_STATE(14658)] = 289346,
  [SMALL_STATE(14659)] = 289375,
  [SMALL_STATE(14660)] = 289402,
  [SMALL_STATE(14661)] = 289429,
  [SMALL_STATE(14662)] = 289456,
  [SMALL_STATE(14663)] = 289481,
  [SMALL_STATE(14664)] = 289508,
  [SMALL_STATE(14665)] = 289535,
  [SMALL_STATE(14666)] = 289562,
  [SMALL_STATE(14667)] = 289589,
  [SMALL_STATE(14668)] = 289618,
  [SMALL_STATE(14669)] = 289645,
  [SMALL_STATE(14670)] = 289672,
  [SMALL_STATE(14671)] = 289699,
  [SMALL_STATE(14672)] = 289726,
  [SMALL_STATE(14673)] = 289755,
  [SMALL_STATE(14674)] = 289784,
  [SMALL_STATE(14675)] = 289813,
  [SMALL_STATE(14676)] = 289836,
  [SMALL_STATE(14677)] = 289863,
  [SMALL_STATE(14678)] = 289890,
  [SMALL_STATE(14679)] = 289917,
  [SMALL_STATE(14680)] = 289944,
  [SMALL_STATE(14681)] = 289971,
  [SMALL_STATE(14682)] = 289998,
  [SMALL_STATE(14683)] = 290025,
  [SMALL_STATE(14684)] = 290052,
  [SMALL_STATE(14685)] = 290081,
  [SMALL_STATE(14686)] = 290110,
  [SMALL_STATE(14687)] = 290139,
  [SMALL_STATE(14688)] = 290168,
  [SMALL_STATE(14689)] = 290197,
  [SMALL_STATE(14690)] = 290224,
  [SMALL_STATE(14691)] = 290251,
  [SMALL_STATE(14692)] = 290278,
  [SMALL_STATE(14693)] = 290305,
  [SMALL_STATE(14694)] = 290332,
  [SMALL_STATE(14695)] = 290359,
  [SMALL_STATE(14696)] = 290386,
  [SMALL_STATE(14697)] = 290413,
  [SMALL_STATE(14698)] = 290440,
  [SMALL_STATE(14699)] = 290467,
  [SMALL_STATE(14700)] = 290496,
  [SMALL_STATE(14701)] = 290525,
  [SMALL_STATE(14702)] = 290554,
  [SMALL_STATE(14703)] = 290583,
  [SMALL_STATE(14704)] = 290610,
  [SMALL_STATE(14705)] = 290637,
  [SMALL_STATE(14706)] = 290664,
  [SMALL_STATE(14707)] = 290691,
  [SMALL_STATE(14708)] = 290718,
  [SMALL_STATE(14709)] = 290745,
  [SMALL_STATE(14710)] = 290772,
  [SMALL_STATE(14711)] = 290799,
  [SMALL_STATE(14712)] = 290826,
  [SMALL_STATE(14713)] = 290853,
  [SMALL_STATE(14714)] = 290880,
  [SMALL_STATE(14715)] = 290909,
  [SMALL_STATE(14716)] = 290938,
  [SMALL_STATE(14717)] = 290965,
  [SMALL_STATE(14718)] = 290992,
  [SMALL_STATE(14719)] = 291019,
  [SMALL_STATE(14720)] = 291048,
  [SMALL_STATE(14721)] = 291077,
  [SMALL_STATE(14722)] = 291104,
  [SMALL_STATE(14723)] = 291127,
  [SMALL_STATE(14724)] = 291154,
  [SMALL_STATE(14725)] = 291181,
  [SMALL_STATE(14726)] = 291210,
  [SMALL_STATE(14727)] = 291237,
  [SMALL_STATE(14728)] = 291264,
  [SMALL_STATE(14729)] = 291291,
  [SMALL_STATE(14730)] = 291318,
  [SMALL_STATE(14731)] = 291347,
  [SMALL_STATE(14732)] = 291374,
  [SMALL_STATE(14733)] = 291401,
  [SMALL_STATE(14734)] = 291428,
  [SMALL_STATE(14735)] = 291455,
  [SMALL_STATE(14736)] = 291484,
  [SMALL_STATE(14737)] = 291513,
  [SMALL_STATE(14738)] = 291540,
  [SMALL_STATE(14739)] = 291567,
  [SMALL_STATE(14740)] = 291594,
  [SMALL_STATE(14741)] = 291623,
  [SMALL_STATE(14742)] = 291650,
  [SMALL_STATE(14743)] = 291679,
  [SMALL_STATE(14744)] = 291708,
  [SMALL_STATE(14745)] = 291735,
  [SMALL_STATE(14746)] = 291760,
  [SMALL_STATE(14747)] = 291787,
  [SMALL_STATE(14748)] = 291814,
  [SMALL_STATE(14749)] = 291841,
  [SMALL_STATE(14750)] = 291868,
  [SMALL_STATE(14751)] = 291895,
  [SMALL_STATE(14752)] = 291922,
  [SMALL_STATE(14753)] = 291949,
  [SMALL_STATE(14754)] = 291976,
  [SMALL_STATE(14755)] = 292005,
  [SMALL_STATE(14756)] = 292034,
  [SMALL_STATE(14757)] = 292063,
  [SMALL_STATE(14758)] = 292092,
  [SMALL_STATE(14759)] = 292119,
  [SMALL_STATE(14760)] = 292146,
  [SMALL_STATE(14761)] = 292173,
  [SMALL_STATE(14762)] = 292200,
  [SMALL_STATE(14763)] = 292227,
  [SMALL_STATE(14764)] = 292254,
  [SMALL_STATE(14765)] = 292281,
  [SMALL_STATE(14766)] = 292308,
  [SMALL_STATE(14767)] = 292335,
  [SMALL_STATE(14768)] = 292364,
  [SMALL_STATE(14769)] = 292393,
  [SMALL_STATE(14770)] = 292422,
  [SMALL_STATE(14771)] = 292451,
  [SMALL_STATE(14772)] = 292480,
  [SMALL_STATE(14773)] = 292507,
  [SMALL_STATE(14774)] = 292534,
  [SMALL_STATE(14775)] = 292561,
  [SMALL_STATE(14776)] = 292588,
  [SMALL_STATE(14777)] = 292615,
  [SMALL_STATE(14778)] = 292642,
  [SMALL_STATE(14779)] = 292669,
  [SMALL_STATE(14780)] = 292696,
  [SMALL_STATE(14781)] = 292725,
  [SMALL_STATE(14782)] = 292754,
  [SMALL_STATE(14783)] = 292783,
  [SMALL_STATE(14784)] = 292810,
  [SMALL_STATE(14785)] = 292837,
  [SMALL_STATE(14786)] = 292862,
  [SMALL_STATE(14787)] = 292889,
  [SMALL_STATE(14788)] = 292916,
  [SMALL_STATE(14789)] = 292943,
  [SMALL_STATE(14790)] = 292970,
  [SMALL_STATE(14791)] = 292997,
  [SMALL_STATE(14792)] = 293024,
  [SMALL_STATE(14793)] = 293051,
  [SMALL_STATE(14794)] = 293078,
  [SMALL_STATE(14795)] = 293105,
  [SMALL_STATE(14796)] = 293134,
  [SMALL_STATE(14797)] = 293163,
  [SMALL_STATE(14798)] = 293190,
  [SMALL_STATE(14799)] = 293217,
  [SMALL_STATE(14800)] = 293244,
  [SMALL_STATE(14801)] = 293271,
  [SMALL_STATE(14802)] = 293300,
  [SMALL_STATE(14803)] = 293327,
  [SMALL_STATE(14804)] = 293352,
  [SMALL_STATE(14805)] = 293379,
  [SMALL_STATE(14806)] = 293406,
  [SMALL_STATE(14807)] = 293433,
  [SMALL_STATE(14808)] = 293460,
  [SMALL_STATE(14809)] = 293487,
  [SMALL_STATE(14810)] = 293514,
  [SMALL_STATE(14811)] = 293541,
  [SMALL_STATE(14812)] = 293568,
  [SMALL_STATE(14813)] = 293595,
  [SMALL_STATE(14814)] = 293624,
  [SMALL_STATE(14815)] = 293653,
  [SMALL_STATE(14816)] = 293680,
  [SMALL_STATE(14817)] = 293707,
  [SMALL_STATE(14818)] = 293736,
  [SMALL_STATE(14819)] = 293765,
  [SMALL_STATE(14820)] = 293794,
  [SMALL_STATE(14821)] = 293823,
  [SMALL_STATE(14822)] = 293850,
  [SMALL_STATE(14823)] = 293877,
  [SMALL_STATE(14824)] = 293904,
  [SMALL_STATE(14825)] = 293931,
  [SMALL_STATE(14826)] = 293958,
  [SMALL_STATE(14827)] = 293985,
  [SMALL_STATE(14828)] = 294012,
  [SMALL_STATE(14829)] = 294039,
  [SMALL_STATE(14830)] = 294066,
  [SMALL_STATE(14831)] = 294093,
  [SMALL_STATE(14832)] = 294120,
  [SMALL_STATE(14833)] = 294147,
  [SMALL_STATE(14834)] = 294176,
  [SMALL_STATE(14835)] = 294205,
  [SMALL_STATE(14836)] = 294234,
  [SMALL_STATE(14837)] = 294259,
  [SMALL_STATE(14838)] = 294284,
  [SMALL_STATE(14839)] = 294311,
  [SMALL_STATE(14840)] = 294338,
  [SMALL_STATE(14841)] = 294365,
  [SMALL_STATE(14842)] = 294392,
  [SMALL_STATE(14843)] = 294419,
  [SMALL_STATE(14844)] = 294446,
  [SMALL_STATE(14845)] = 294473,
  [SMALL_STATE(14846)] = 294500,
  [SMALL_STATE(14847)] = 294527,
  [SMALL_STATE(14848)] = 294554,
  [SMALL_STATE(14849)] = 294581,
  [SMALL_STATE(14850)] = 294608,
  [SMALL_STATE(14851)] = 294637,
  [SMALL_STATE(14852)] = 294666,
  [SMALL_STATE(14853)] = 294695,
  [SMALL_STATE(14854)] = 294722,
  [SMALL_STATE(14855)] = 294749,
  [SMALL_STATE(14856)] = 294776,
  [SMALL_STATE(14857)] = 294803,
  [SMALL_STATE(14858)] = 294830,
  [SMALL_STATE(14859)] = 294857,
  [SMALL_STATE(14860)] = 294884,
  [SMALL_STATE(14861)] = 294911,
  [SMALL_STATE(14862)] = 294940,
  [SMALL_STATE(14863)] = 294967,
  [SMALL_STATE(14864)] = 294994,
  [SMALL_STATE(14865)] = 295021,
  [SMALL_STATE(14866)] = 295048,
  [SMALL_STATE(14867)] = 295077,
  [SMALL_STATE(14868)] = 295106,
  [SMALL_STATE(14869)] = 295135,
  [SMALL_STATE(14870)] = 295164,
  [SMALL_STATE(14871)] = 295193,
  [SMALL_STATE(14872)] = 295222,
  [SMALL_STATE(14873)] = 295251,
  [SMALL_STATE(14874)] = 295276,
  [SMALL_STATE(14875)] = 295303,
  [SMALL_STATE(14876)] = 295330,
  [SMALL_STATE(14877)] = 295357,
  [SMALL_STATE(14878)] = 295384,
  [SMALL_STATE(14879)] = 295413,
  [SMALL_STATE(14880)] = 295440,
  [SMALL_STATE(14881)] = 295467,
  [SMALL_STATE(14882)] = 295494,
  [SMALL_STATE(14883)] = 295521,
  [SMALL_STATE(14884)] = 295550,
  [SMALL_STATE(14885)] = 295579,
  [SMALL_STATE(14886)] = 295608,
  [SMALL_STATE(14887)] = 295637,
  [SMALL_STATE(14888)] = 295666,
  [SMALL_STATE(14889)] = 295691,
  [SMALL_STATE(14890)] = 295718,
  [SMALL_STATE(14891)] = 295745,
  [SMALL_STATE(14892)] = 295772,
  [SMALL_STATE(14893)] = 295799,
  [SMALL_STATE(14894)] = 295826,
  [SMALL_STATE(14895)] = 295855,
  [SMALL_STATE(14896)] = 295882,
  [SMALL_STATE(14897)] = 295909,
  [SMALL_STATE(14898)] = 295936,
  [SMALL_STATE(14899)] = 295963,
  [SMALL_STATE(14900)] = 295992,
  [SMALL_STATE(14901)] = 296021,
  [SMALL_STATE(14902)] = 296044,
  [SMALL_STATE(14903)] = 296073,
  [SMALL_STATE(14904)] = 296100,
  [SMALL_STATE(14905)] = 296127,
  [SMALL_STATE(14906)] = 296154,
  [SMALL_STATE(14907)] = 296181,
  [SMALL_STATE(14908)] = 296208,
  [SMALL_STATE(14909)] = 296235,
  [SMALL_STATE(14910)] = 296262,
  [SMALL_STATE(14911)] = 296289,
  [SMALL_STATE(14912)] = 296318,
  [SMALL_STATE(14913)] = 296347,
  [SMALL_STATE(14914)] = 296376,
  [SMALL_STATE(14915)] = 296405,
  [SMALL_STATE(14916)] = 296434,
  [SMALL_STATE(14917)] = 296461,
  [SMALL_STATE(14918)] = 296488,
  [SMALL_STATE(14919)] = 296515,
  [SMALL_STATE(14920)] = 296542,
  [SMALL_STATE(14921)] = 296569,
  [SMALL_STATE(14922)] = 296596,
  [SMALL_STATE(14923)] = 296623,
  [SMALL_STATE(14924)] = 296650,
  [SMALL_STATE(14925)] = 296679,
  [SMALL_STATE(14926)] = 296708,
  [SMALL_STATE(14927)] = 296737,
  [SMALL_STATE(14928)] = 296766,
  [SMALL_STATE(14929)] = 296795,
  [SMALL_STATE(14930)] = 296822,
  [SMALL_STATE(14931)] = 296849,
  [SMALL_STATE(14932)] = 296876,
  [SMALL_STATE(14933)] = 296903,
  [SMALL_STATE(14934)] = 296930,
  [SMALL_STATE(14935)] = 296957,
  [SMALL_STATE(14936)] = 296984,
  [SMALL_STATE(14937)] = 297011,
  [SMALL_STATE(14938)] = 297040,
  [SMALL_STATE(14939)] = 297069,
  [SMALL_STATE(14940)] = 297098,
  [SMALL_STATE(14941)] = 297123,
  [SMALL_STATE(14942)] = 297150,
  [SMALL_STATE(14943)] = 297177,
  [SMALL_STATE(14944)] = 297204,
  [SMALL_STATE(14945)] = 297231,
  [SMALL_STATE(14946)] = 297260,
  [SMALL_STATE(14947)] = 297287,
  [SMALL_STATE(14948)] = 297314,
  [SMALL_STATE(14949)] = 297341,
  [SMALL_STATE(14950)] = 297368,
  [SMALL_STATE(14951)] = 297397,
  [SMALL_STATE(14952)] = 297426,
  [SMALL_STATE(14953)] = 297455,
  [SMALL_STATE(14954)] = 297484,
  [SMALL_STATE(14955)] = 297511,
  [SMALL_STATE(14956)] = 297534,
  [SMALL_STATE(14957)] = 297561,
  [SMALL_STATE(14958)] = 297588,
  [SMALL_STATE(14959)] = 297615,
  [SMALL_STATE(14960)] = 297642,
  [SMALL_STATE(14961)] = 297669,
  [SMALL_STATE(14962)] = 297696,
  [SMALL_STATE(14963)] = 297723,
  [SMALL_STATE(14964)] = 297750,
  [SMALL_STATE(14965)] = 297777,
  [SMALL_STATE(14966)] = 297804,
  [SMALL_STATE(14967)] = 297831,
  [SMALL_STATE(14968)] = 297860,
  [SMALL_STATE(14969)] = 297889,
  [SMALL_STATE(14970)] = 297918,
  [SMALL_STATE(14971)] = 297947,
  [SMALL_STATE(14972)] = 297976,
  [SMALL_STATE(14973)] = 298003,
  [SMALL_STATE(14974)] = 298030,
  [SMALL_STATE(14975)] = 298057,
  [SMALL_STATE(14976)] = 298084,
  [SMALL_STATE(14977)] = 298111,
  [SMALL_STATE(14978)] = 298138,
  [SMALL_STATE(14979)] = 298165,
  [SMALL_STATE(14980)] = 298192,
  [SMALL_STATE(14981)] = 298219,
  [SMALL_STATE(14982)] = 298248,
  [SMALL_STATE(14983)] = 298277,
  [SMALL_STATE(14984)] = 298304,
  [SMALL_STATE(14985)] = 298331,
  [SMALL_STATE(14986)] = 298358,
  [SMALL_STATE(14987)] = 298387,
  [SMALL_STATE(14988)] = 298416,
  [SMALL_STATE(14989)] = 298445,
  [SMALL_STATE(14990)] = 298470,
  [SMALL_STATE(14991)] = 298497,
  [SMALL_STATE(14992)] = 298524,
  [SMALL_STATE(14993)] = 298551,
  [SMALL_STATE(14994)] = 298578,
  [SMALL_STATE(14995)] = 298603,
  [SMALL_STATE(14996)] = 298628,
  [SMALL_STATE(14997)] = 298655,
  [SMALL_STATE(14998)] = 298682,
  [SMALL_STATE(14999)] = 298709,
  [SMALL_STATE(15000)] = 298736,
  [SMALL_STATE(15001)] = 298765,
  [SMALL_STATE(15002)] = 298794,
  [SMALL_STATE(15003)] = 298823,
  [SMALL_STATE(15004)] = 298852,
  [SMALL_STATE(15005)] = 298875,
  [SMALL_STATE(15006)] = 298904,
  [SMALL_STATE(15007)] = 298933,
  [SMALL_STATE(15008)] = 298960,
  [SMALL_STATE(15009)] = 298987,
  [SMALL_STATE(15010)] = 299014,
  [SMALL_STATE(15011)] = 299041,
  [SMALL_STATE(15012)] = 299068,
  [SMALL_STATE(15013)] = 299095,
  [SMALL_STATE(15014)] = 299122,
  [SMALL_STATE(15015)] = 299149,
  [SMALL_STATE(15016)] = 299178,
  [SMALL_STATE(15017)] = 299207,
  [SMALL_STATE(15018)] = 299236,
  [SMALL_STATE(15019)] = 299265,
  [SMALL_STATE(15020)] = 299294,
  [SMALL_STATE(15021)] = 299323,
  [SMALL_STATE(15022)] = 299348,
  [SMALL_STATE(15023)] = 299375,
  [SMALL_STATE(15024)] = 299402,
  [SMALL_STATE(15025)] = 299429,
  [SMALL_STATE(15026)] = 299456,
  [SMALL_STATE(15027)] = 299481,
  [SMALL_STATE(15028)] = 299508,
  [SMALL_STATE(15029)] = 299535,
  [SMALL_STATE(15030)] = 299562,
  [SMALL_STATE(15031)] = 299589,
  [SMALL_STATE(15032)] = 299618,
  [SMALL_STATE(15033)] = 299647,
  [SMALL_STATE(15034)] = 299676,
  [SMALL_STATE(15035)] = 299701,
  [SMALL_STATE(15036)] = 299726,
  [SMALL_STATE(15037)] = 299753,
  [SMALL_STATE(15038)] = 299782,
  [SMALL_STATE(15039)] = 299809,
  [SMALL_STATE(15040)] = 299836,
  [SMALL_STATE(15041)] = 299863,
  [SMALL_STATE(15042)] = 299890,
  [SMALL_STATE(15043)] = 299917,
  [SMALL_STATE(15044)] = 299944,
  [SMALL_STATE(15045)] = 299971,
  [SMALL_STATE(15046)] = 299998,
  [SMALL_STATE(15047)] = 300027,
  [SMALL_STATE(15048)] = 300056,
  [SMALL_STATE(15049)] = 300083,
  [SMALL_STATE(15050)] = 300112,
  [SMALL_STATE(15051)] = 300139,
  [SMALL_STATE(15052)] = 300166,
  [SMALL_STATE(15053)] = 300193,
  [SMALL_STATE(15054)] = 300220,
  [SMALL_STATE(15055)] = 300247,
  [SMALL_STATE(15056)] = 300274,
  [SMALL_STATE(15057)] = 300301,
  [SMALL_STATE(15058)] = 300324,
  [SMALL_STATE(15059)] = 300351,
  [SMALL_STATE(15060)] = 300378,
  [SMALL_STATE(15061)] = 300405,
  [SMALL_STATE(15062)] = 300432,
  [SMALL_STATE(15063)] = 300459,
  [SMALL_STATE(15064)] = 300486,
  [SMALL_STATE(15065)] = 300513,
  [SMALL_STATE(15066)] = 300540,
  [SMALL_STATE(15067)] = 300567,
  [SMALL_STATE(15068)] = 300594,
  [SMALL_STATE(15069)] = 300623,
  [SMALL_STATE(15070)] = 300652,
  [SMALL_STATE(15071)] = 300679,
  [SMALL_STATE(15072)] = 300706,
  [SMALL_STATE(15073)] = 300733,
  [SMALL_STATE(15074)] = 300760,
  [SMALL_STATE(15075)] = 300787,
  [SMALL_STATE(15076)] = 300814,
  [SMALL_STATE(15077)] = 300839,
  [SMALL_STATE(15078)] = 300868,
  [SMALL_STATE(15079)] = 300897,
  [SMALL_STATE(15080)] = 300926,
  [SMALL_STATE(15081)] = 300951,
  [SMALL_STATE(15082)] = 300980,
  [SMALL_STATE(15083)] = 301009,
  [SMALL_STATE(15084)] = 301038,
  [SMALL_STATE(15085)] = 301065,
  [SMALL_STATE(15086)] = 301092,
  [SMALL_STATE(15087)] = 301121,
  [SMALL_STATE(15088)] = 301150,
  [SMALL_STATE(15089)] = 301179,
  [SMALL_STATE(15090)] = 301208,
  [SMALL_STATE(15091)] = 301237,
  [SMALL_STATE(15092)] = 301262,
  [SMALL_STATE(15093)] = 301291,
  [SMALL_STATE(15094)] = 301318,
  [SMALL_STATE(15095)] = 301345,
  [SMALL_STATE(15096)] = 301372,
  [SMALL_STATE(15097)] = 301401,
  [SMALL_STATE(15098)] = 301428,
  [SMALL_STATE(15099)] = 301457,
  [SMALL_STATE(15100)] = 301486,
  [SMALL_STATE(15101)] = 301515,
  [SMALL_STATE(15102)] = 301542,
  [SMALL_STATE(15103)] = 301569,
  [SMALL_STATE(15104)] = 301596,
  [SMALL_STATE(15105)] = 301623,
  [SMALL_STATE(15106)] = 301650,
  [SMALL_STATE(15107)] = 301677,
  [SMALL_STATE(15108)] = 301704,
  [SMALL_STATE(15109)] = 301731,
  [SMALL_STATE(15110)] = 301758,
  [SMALL_STATE(15111)] = 301787,
  [SMALL_STATE(15112)] = 301816,
  [SMALL_STATE(15113)] = 301841,
  [SMALL_STATE(15114)] = 301868,
  [SMALL_STATE(15115)] = 301897,
  [SMALL_STATE(15116)] = 301926,
  [SMALL_STATE(15117)] = 301953,
  [SMALL_STATE(15118)] = 301982,
  [SMALL_STATE(15119)] = 302011,
  [SMALL_STATE(15120)] = 302030,
  [SMALL_STATE(15121)] = 302059,
  [SMALL_STATE(15122)] = 302088,
  [SMALL_STATE(15123)] = 302115,
  [SMALL_STATE(15124)] = 302144,
  [SMALL_STATE(15125)] = 302171,
  [SMALL_STATE(15126)] = 302198,
  [SMALL_STATE(15127)] = 302225,
  [SMALL_STATE(15128)] = 302252,
  [SMALL_STATE(15129)] = 302279,
  [SMALL_STATE(15130)] = 302306,
  [SMALL_STATE(15131)] = 302333,
  [SMALL_STATE(15132)] = 302358,
  [SMALL_STATE(15133)] = 302385,
  [SMALL_STATE(15134)] = 302412,
  [SMALL_STATE(15135)] = 302439,
  [SMALL_STATE(15136)] = 302466,
  [SMALL_STATE(15137)] = 302489,
  [SMALL_STATE(15138)] = 302516,
  [SMALL_STATE(15139)] = 302543,
  [SMALL_STATE(15140)] = 302570,
  [SMALL_STATE(15141)] = 302597,
  [SMALL_STATE(15142)] = 302626,
  [SMALL_STATE(15143)] = 302655,
  [SMALL_STATE(15144)] = 302680,
  [SMALL_STATE(15145)] = 302709,
  [SMALL_STATE(15146)] = 302736,
  [SMALL_STATE(15147)] = 302763,
  [SMALL_STATE(15148)] = 302790,
  [SMALL_STATE(15149)] = 302817,
  [SMALL_STATE(15150)] = 302846,
  [SMALL_STATE(15151)] = 302873,
  [SMALL_STATE(15152)] = 302902,
  [SMALL_STATE(15153)] = 302929,
  [SMALL_STATE(15154)] = 302956,
  [SMALL_STATE(15155)] = 302983,
  [SMALL_STATE(15156)] = 303010,
  [SMALL_STATE(15157)] = 303037,
  [SMALL_STATE(15158)] = 303064,
  [SMALL_STATE(15159)] = 303091,
  [SMALL_STATE(15160)] = 303118,
  [SMALL_STATE(15161)] = 303145,
  [SMALL_STATE(15162)] = 303172,
  [SMALL_STATE(15163)] = 303201,
  [SMALL_STATE(15164)] = 303228,
  [SMALL_STATE(15165)] = 303255,
  [SMALL_STATE(15166)] = 303282,
  [SMALL_STATE(15167)] = 303309,
  [SMALL_STATE(15168)] = 303336,
  [SMALL_STATE(15169)] = 303363,
  [SMALL_STATE(15170)] = 303390,
  [SMALL_STATE(15171)] = 303417,
  [SMALL_STATE(15172)] = 303444,
  [SMALL_STATE(15173)] = 303471,
  [SMALL_STATE(15174)] = 303498,
  [SMALL_STATE(15175)] = 303525,
  [SMALL_STATE(15176)] = 303552,
  [SMALL_STATE(15177)] = 303581,
  [SMALL_STATE(15178)] = 303610,
  [SMALL_STATE(15179)] = 303639,
  [SMALL_STATE(15180)] = 303664,
  [SMALL_STATE(15181)] = 303693,
  [SMALL_STATE(15182)] = 303720,
  [SMALL_STATE(15183)] = 303747,
  [SMALL_STATE(15184)] = 303774,
  [SMALL_STATE(15185)] = 303801,
  [SMALL_STATE(15186)] = 303828,
  [SMALL_STATE(15187)] = 303857,
  [SMALL_STATE(15188)] = 303882,
  [SMALL_STATE(15189)] = 303909,
  [SMALL_STATE(15190)] = 303936,
  [SMALL_STATE(15191)] = 303965,
  [SMALL_STATE(15192)] = 303994,
  [SMALL_STATE(15193)] = 304023,
  [SMALL_STATE(15194)] = 304052,
  [SMALL_STATE(15195)] = 304081,
  [SMALL_STATE(15196)] = 304106,
  [SMALL_STATE(15197)] = 304135,
  [SMALL_STATE(15198)] = 304164,
  [SMALL_STATE(15199)] = 304193,
  [SMALL_STATE(15200)] = 304222,
  [SMALL_STATE(15201)] = 304251,
  [SMALL_STATE(15202)] = 304280,
  [SMALL_STATE(15203)] = 304309,
  [SMALL_STATE(15204)] = 304338,
  [SMALL_STATE(15205)] = 304365,
  [SMALL_STATE(15206)] = 304392,
  [SMALL_STATE(15207)] = 304419,
  [SMALL_STATE(15208)] = 304446,
  [SMALL_STATE(15209)] = 304469,
  [SMALL_STATE(15210)] = 304496,
  [SMALL_STATE(15211)] = 304525,
  [SMALL_STATE(15212)] = 304552,
  [SMALL_STATE(15213)] = 304579,
  [SMALL_STATE(15214)] = 304608,
  [SMALL_STATE(15215)] = 304635,
  [SMALL_STATE(15216)] = 304664,
  [SMALL_STATE(15217)] = 304693,
  [SMALL_STATE(15218)] = 304718,
  [SMALL_STATE(15219)] = 304747,
  [SMALL_STATE(15220)] = 304776,
  [SMALL_STATE(15221)] = 304805,
  [SMALL_STATE(15222)] = 304832,
  [SMALL_STATE(15223)] = 304861,
  [SMALL_STATE(15224)] = 304890,
  [SMALL_STATE(15225)] = 304915,
  [SMALL_STATE(15226)] = 304942,
  [SMALL_STATE(15227)] = 304971,
  [SMALL_STATE(15228)] = 304998,
  [SMALL_STATE(15229)] = 305021,
  [SMALL_STATE(15230)] = 305050,
  [SMALL_STATE(15231)] = 305077,
  [SMALL_STATE(15232)] = 305106,
  [SMALL_STATE(15233)] = 305133,
  [SMALL_STATE(15234)] = 305160,
  [SMALL_STATE(15235)] = 305187,
  [SMALL_STATE(15236)] = 305214,
  [SMALL_STATE(15237)] = 305241,
  [SMALL_STATE(15238)] = 305268,
  [SMALL_STATE(15239)] = 305295,
  [SMALL_STATE(15240)] = 305322,
  [SMALL_STATE(15241)] = 305347,
  [SMALL_STATE(15242)] = 305374,
  [SMALL_STATE(15243)] = 305401,
  [SMALL_STATE(15244)] = 305430,
  [SMALL_STATE(15245)] = 305457,
  [SMALL_STATE(15246)] = 305484,
  [SMALL_STATE(15247)] = 305513,
  [SMALL_STATE(15248)] = 305542,
  [SMALL_STATE(15249)] = 305567,
  [SMALL_STATE(15250)] = 305594,
  [SMALL_STATE(15251)] = 305623,
  [SMALL_STATE(15252)] = 305650,
  [SMALL_STATE(15253)] = 305677,
  [SMALL_STATE(15254)] = 305704,
  [SMALL_STATE(15255)] = 305729,
  [SMALL_STATE(15256)] = 305758,
  [SMALL_STATE(15257)] = 305787,
  [SMALL_STATE(15258)] = 305816,
  [SMALL_STATE(15259)] = 305845,
  [SMALL_STATE(15260)] = 305872,
  [SMALL_STATE(15261)] = 305899,
  [SMALL_STATE(15262)] = 305926,
  [SMALL_STATE(15263)] = 305953,
  [SMALL_STATE(15264)] = 305980,
  [SMALL_STATE(15265)] = 306007,
  [SMALL_STATE(15266)] = 306034,
  [SMALL_STATE(15267)] = 306061,
  [SMALL_STATE(15268)] = 306088,
  [SMALL_STATE(15269)] = 306115,
  [SMALL_STATE(15270)] = 306142,
  [SMALL_STATE(15271)] = 306169,
  [SMALL_STATE(15272)] = 306196,
  [SMALL_STATE(15273)] = 306225,
  [SMALL_STATE(15274)] = 306254,
  [SMALL_STATE(15275)] = 306281,
  [SMALL_STATE(15276)] = 306306,
  [SMALL_STATE(15277)] = 306335,
  [SMALL_STATE(15278)] = 306362,
  [SMALL_STATE(15279)] = 306391,
  [SMALL_STATE(15280)] = 306420,
  [SMALL_STATE(15281)] = 306447,
  [SMALL_STATE(15282)] = 306476,
  [SMALL_STATE(15283)] = 306505,
  [SMALL_STATE(15284)] = 306534,
  [SMALL_STATE(15285)] = 306563,
  [SMALL_STATE(15286)] = 306588,
  [SMALL_STATE(15287)] = 306617,
  [SMALL_STATE(15288)] = 306646,
  [SMALL_STATE(15289)] = 306675,
  [SMALL_STATE(15290)] = 306702,
  [SMALL_STATE(15291)] = 306729,
  [SMALL_STATE(15292)] = 306756,
  [SMALL_STATE(15293)] = 306783,
  [SMALL_STATE(15294)] = 306810,
  [SMALL_STATE(15295)] = 306837,
  [SMALL_STATE(15296)] = 306866,
  [SMALL_STATE(15297)] = 306893,
  [SMALL_STATE(15298)] = 306920,
  [SMALL_STATE(15299)] = 306949,
  [SMALL_STATE(15300)] = 306974,
  [SMALL_STATE(15301)] = 307003,
  [SMALL_STATE(15302)] = 307032,
  [SMALL_STATE(15303)] = 307059,
  [SMALL_STATE(15304)] = 307084,
  [SMALL_STATE(15305)] = 307111,
  [SMALL_STATE(15306)] = 307138,
  [SMALL_STATE(15307)] = 307161,
  [SMALL_STATE(15308)] = 307188,
  [SMALL_STATE(15309)] = 307217,
  [SMALL_STATE(15310)] = 307244,
  [SMALL_STATE(15311)] = 307273,
  [SMALL_STATE(15312)] = 307302,
  [SMALL_STATE(15313)] = 307331,
  [SMALL_STATE(15314)] = 307358,
  [SMALL_STATE(15315)] = 307385,
  [SMALL_STATE(15316)] = 307414,
  [SMALL_STATE(15317)] = 307443,
  [SMALL_STATE(15318)] = 307472,
  [SMALL_STATE(15319)] = 307497,
  [SMALL_STATE(15320)] = 307526,
  [SMALL_STATE(15321)] = 307555,
  [SMALL_STATE(15322)] = 307582,
  [SMALL_STATE(15323)] = 307609,
  [SMALL_STATE(15324)] = 307636,
  [SMALL_STATE(15325)] = 307665,
  [SMALL_STATE(15326)] = 307692,
  [SMALL_STATE(15327)] = 307721,
  [SMALL_STATE(15328)] = 307748,
  [SMALL_STATE(15329)] = 307775,
  [SMALL_STATE(15330)] = 307802,
  [SMALL_STATE(15331)] = 307829,
  [SMALL_STATE(15332)] = 307856,
  [SMALL_STATE(15333)] = 307883,
  [SMALL_STATE(15334)] = 307912,
  [SMALL_STATE(15335)] = 307941,
  [SMALL_STATE(15336)] = 307968,
  [SMALL_STATE(15337)] = 307993,
  [SMALL_STATE(15338)] = 308020,
  [SMALL_STATE(15339)] = 308047,
  [SMALL_STATE(15340)] = 308074,
  [SMALL_STATE(15341)] = 308103,
  [SMALL_STATE(15342)] = 308130,
  [SMALL_STATE(15343)] = 308157,
  [SMALL_STATE(15344)] = 308184,
  [SMALL_STATE(15345)] = 308211,
  [SMALL_STATE(15346)] = 308240,
  [SMALL_STATE(15347)] = 308267,
  [SMALL_STATE(15348)] = 308294,
  [SMALL_STATE(15349)] = 308321,
  [SMALL_STATE(15350)] = 308348,
  [SMALL_STATE(15351)] = 308375,
  [SMALL_STATE(15352)] = 308402,
  [SMALL_STATE(15353)] = 308429,
  [SMALL_STATE(15354)] = 308456,
  [SMALL_STATE(15355)] = 308483,
  [SMALL_STATE(15356)] = 308510,
  [SMALL_STATE(15357)] = 308537,
  [SMALL_STATE(15358)] = 308566,
  [SMALL_STATE(15359)] = 308591,
  [SMALL_STATE(15360)] = 308620,
  [SMALL_STATE(15361)] = 308647,
  [SMALL_STATE(15362)] = 308672,
  [SMALL_STATE(15363)] = 308699,
  [SMALL_STATE(15364)] = 308728,
  [SMALL_STATE(15365)] = 308755,
  [SMALL_STATE(15366)] = 308784,
  [SMALL_STATE(15367)] = 308809,
  [SMALL_STATE(15368)] = 308838,
  [SMALL_STATE(15369)] = 308865,
  [SMALL_STATE(15370)] = 308890,
  [SMALL_STATE(15371)] = 308917,
  [SMALL_STATE(15372)] = 308944,
  [SMALL_STATE(15373)] = 308973,
  [SMALL_STATE(15374)] = 309000,
  [SMALL_STATE(15375)] = 309029,
  [SMALL_STATE(15376)] = 309054,
  [SMALL_STATE(15377)] = 309081,
  [SMALL_STATE(15378)] = 309106,
  [SMALL_STATE(15379)] = 309133,
  [SMALL_STATE(15380)] = 309160,
  [SMALL_STATE(15381)] = 309185,
  [SMALL_STATE(15382)] = 309212,
  [SMALL_STATE(15383)] = 309239,
  [SMALL_STATE(15384)] = 309266,
  [SMALL_STATE(15385)] = 309293,
  [SMALL_STATE(15386)] = 309320,
  [SMALL_STATE(15387)] = 309347,
  [SMALL_STATE(15388)] = 309372,
  [SMALL_STATE(15389)] = 309399,
  [SMALL_STATE(15390)] = 309426,
  [SMALL_STATE(15391)] = 309453,
  [SMALL_STATE(15392)] = 309480,
  [SMALL_STATE(15393)] = 309509,
  [SMALL_STATE(15394)] = 309538,
  [SMALL_STATE(15395)] = 309563,
  [SMALL_STATE(15396)] = 309582,
  [SMALL_STATE(15397)] = 309611,
  [SMALL_STATE(15398)] = 309640,
  [SMALL_STATE(15399)] = 309669,
  [SMALL_STATE(15400)] = 309698,
  [SMALL_STATE(15401)] = 309727,
  [SMALL_STATE(15402)] = 309752,
  [SMALL_STATE(15403)] = 309775,
  [SMALL_STATE(15404)] = 309802,
  [SMALL_STATE(15405)] = 309831,
  [SMALL_STATE(15406)] = 309858,
  [SMALL_STATE(15407)] = 309885,
  [SMALL_STATE(15408)] = 309912,
  [SMALL_STATE(15409)] = 309935,
  [SMALL_STATE(15410)] = 309964,
  [SMALL_STATE(15411)] = 309987,
  [SMALL_STATE(15412)] = 310010,
  [SMALL_STATE(15413)] = 310039,
  [SMALL_STATE(15414)] = 310068,
  [SMALL_STATE(15415)] = 310091,
  [SMALL_STATE(15416)] = 310114,
  [SMALL_STATE(15417)] = 310143,
  [SMALL_STATE(15418)] = 310172,
  [SMALL_STATE(15419)] = 310201,
  [SMALL_STATE(15420)] = 310228,
  [SMALL_STATE(15421)] = 310255,
  [SMALL_STATE(15422)] = 310282,
  [SMALL_STATE(15423)] = 310309,
  [SMALL_STATE(15424)] = 310334,
  [SMALL_STATE(15425)] = 310361,
  [SMALL_STATE(15426)] = 310390,
  [SMALL_STATE(15427)] = 310419,
  [SMALL_STATE(15428)] = 310448,
  [SMALL_STATE(15429)] = 310475,
  [SMALL_STATE(15430)] = 310502,
  [SMALL_STATE(15431)] = 310529,
  [SMALL_STATE(15432)] = 310556,
  [SMALL_STATE(15433)] = 310585,
  [SMALL_STATE(15434)] = 310614,
  [SMALL_STATE(15435)] = 310643,
  [SMALL_STATE(15436)] = 310668,
  [SMALL_STATE(15437)] = 310687,
  [SMALL_STATE(15438)] = 310716,
  [SMALL_STATE(15439)] = 310745,
  [SMALL_STATE(15440)] = 310774,
  [SMALL_STATE(15441)] = 310803,
  [SMALL_STATE(15442)] = 310832,
  [SMALL_STATE(15443)] = 310859,
  [SMALL_STATE(15444)] = 310886,
  [SMALL_STATE(15445)] = 310913,
  [SMALL_STATE(15446)] = 310940,
  [SMALL_STATE(15447)] = 310965,
  [SMALL_STATE(15448)] = 310994,
  [SMALL_STATE(15449)] = 311021,
  [SMALL_STATE(15450)] = 311048,
  [SMALL_STATE(15451)] = 311075,
  [SMALL_STATE(15452)] = 311102,
  [SMALL_STATE(15453)] = 311127,
  [SMALL_STATE(15454)] = 311154,
  [SMALL_STATE(15455)] = 311181,
  [SMALL_STATE(15456)] = 311208,
  [SMALL_STATE(15457)] = 311235,
  [SMALL_STATE(15458)] = 311260,
  [SMALL_STATE(15459)] = 311289,
  [SMALL_STATE(15460)] = 311318,
  [SMALL_STATE(15461)] = 311343,
  [SMALL_STATE(15462)] = 311368,
  [SMALL_STATE(15463)] = 311393,
  [SMALL_STATE(15464)] = 311422,
  [SMALL_STATE(15465)] = 311447,
  [SMALL_STATE(15466)] = 311472,
  [SMALL_STATE(15467)] = 311497,
  [SMALL_STATE(15468)] = 311522,
  [SMALL_STATE(15469)] = 311551,
  [SMALL_STATE(15470)] = 311576,
  [SMALL_STATE(15471)] = 311605,
  [SMALL_STATE(15472)] = 311634,
  [SMALL_STATE(15473)] = 311661,
  [SMALL_STATE(15474)] = 311687,
  [SMALL_STATE(15475)] = 311713,
  [SMALL_STATE(15476)] = 311739,
  [SMALL_STATE(15477)] = 311761,
  [SMALL_STATE(15478)] = 311787,
  [SMALL_STATE(15479)] = 311813,
  [SMALL_STATE(15480)] = 311839,
  [SMALL_STATE(15481)] = 311865,
  [SMALL_STATE(15482)] = 311891,
  [SMALL_STATE(15483)] = 311917,
  [SMALL_STATE(15484)] = 311943,
  [SMALL_STATE(15485)] = 311969,
  [SMALL_STATE(15486)] = 311991,
  [SMALL_STATE(15487)] = 312013,
  [SMALL_STATE(15488)] = 312039,
  [SMALL_STATE(15489)] = 312061,
  [SMALL_STATE(15490)] = 312087,
  [SMALL_STATE(15491)] = 312109,
  [SMALL_STATE(15492)] = 312131,
  [SMALL_STATE(15493)] = 312153,
  [SMALL_STATE(15494)] = 312175,
  [SMALL_STATE(15495)] = 312197,
  [SMALL_STATE(15496)] = 312219,
  [SMALL_STATE(15497)] = 312245,
  [SMALL_STATE(15498)] = 312267,
  [SMALL_STATE(15499)] = 312289,
  [SMALL_STATE(15500)] = 312311,
  [SMALL_STATE(15501)] = 312337,
  [SMALL_STATE(15502)] = 312363,
  [SMALL_STATE(15503)] = 312389,
  [SMALL_STATE(15504)] = 312409,
  [SMALL_STATE(15505)] = 312435,
  [SMALL_STATE(15506)] = 312457,
  [SMALL_STATE(15507)] = 312479,
  [SMALL_STATE(15508)] = 312501,
  [SMALL_STATE(15509)] = 312523,
  [SMALL_STATE(15510)] = 312545,
  [SMALL_STATE(15511)] = 312567,
  [SMALL_STATE(15512)] = 312589,
  [SMALL_STATE(15513)] = 312611,
  [SMALL_STATE(15514)] = 312637,
  [SMALL_STATE(15515)] = 312659,
  [SMALL_STATE(15516)] = 312681,
  [SMALL_STATE(15517)] = 312703,
  [SMALL_STATE(15518)] = 312725,
  [SMALL_STATE(15519)] = 312747,
  [SMALL_STATE(15520)] = 312769,
  [SMALL_STATE(15521)] = 312791,
  [SMALL_STATE(15522)] = 312813,
  [SMALL_STATE(15523)] = 312835,
  [SMALL_STATE(15524)] = 312857,
  [SMALL_STATE(15525)] = 312879,
  [SMALL_STATE(15526)] = 312901,
  [SMALL_STATE(15527)] = 312927,
  [SMALL_STATE(15528)] = 312949,
  [SMALL_STATE(15529)] = 312971,
  [SMALL_STATE(15530)] = 312993,
  [SMALL_STATE(15531)] = 313015,
  [SMALL_STATE(15532)] = 313041,
  [SMALL_STATE(15533)] = 313063,
  [SMALL_STATE(15534)] = 313085,
  [SMALL_STATE(15535)] = 313107,
  [SMALL_STATE(15536)] = 313129,
  [SMALL_STATE(15537)] = 313151,
  [SMALL_STATE(15538)] = 313173,
  [SMALL_STATE(15539)] = 313195,
  [SMALL_STATE(15540)] = 313217,
  [SMALL_STATE(15541)] = 313239,
  [SMALL_STATE(15542)] = 313261,
  [SMALL_STATE(15543)] = 313283,
  [SMALL_STATE(15544)] = 313305,
  [SMALL_STATE(15545)] = 313327,
  [SMALL_STATE(15546)] = 313349,
  [SMALL_STATE(15547)] = 313371,
  [SMALL_STATE(15548)] = 313397,
  [SMALL_STATE(15549)] = 313423,
  [SMALL_STATE(15550)] = 313449,
  [SMALL_STATE(15551)] = 313475,
  [SMALL_STATE(15552)] = 313497,
  [SMALL_STATE(15553)] = 313523,
  [SMALL_STATE(15554)] = 313549,
  [SMALL_STATE(15555)] = 313571,
  [SMALL_STATE(15556)] = 313593,
  [SMALL_STATE(15557)] = 313617,
  [SMALL_STATE(15558)] = 313639,
  [SMALL_STATE(15559)] = 313665,
  [SMALL_STATE(15560)] = 313687,
  [SMALL_STATE(15561)] = 313709,
  [SMALL_STATE(15562)] = 313731,
  [SMALL_STATE(15563)] = 313753,
  [SMALL_STATE(15564)] = 313775,
  [SMALL_STATE(15565)] = 313797,
  [SMALL_STATE(15566)] = 313819,
  [SMALL_STATE(15567)] = 313841,
  [SMALL_STATE(15568)] = 313863,
  [SMALL_STATE(15569)] = 313885,
  [SMALL_STATE(15570)] = 313907,
  [SMALL_STATE(15571)] = 313929,
  [SMALL_STATE(15572)] = 313951,
  [SMALL_STATE(15573)] = 313973,
  [SMALL_STATE(15574)] = 313999,
  [SMALL_STATE(15575)] = 314021,
  [SMALL_STATE(15576)] = 314043,
  [SMALL_STATE(15577)] = 314065,
  [SMALL_STATE(15578)] = 314091,
  [SMALL_STATE(15579)] = 314113,
  [SMALL_STATE(15580)] = 314139,
  [SMALL_STATE(15581)] = 314165,
  [SMALL_STATE(15582)] = 314187,
  [SMALL_STATE(15583)] = 314209,
  [SMALL_STATE(15584)] = 314231,
  [SMALL_STATE(15585)] = 314257,
  [SMALL_STATE(15586)] = 314279,
  [SMALL_STATE(15587)] = 314305,
  [SMALL_STATE(15588)] = 314327,
  [SMALL_STATE(15589)] = 314349,
  [SMALL_STATE(15590)] = 314371,
  [SMALL_STATE(15591)] = 314397,
  [SMALL_STATE(15592)] = 314419,
  [SMALL_STATE(15593)] = 314441,
  [SMALL_STATE(15594)] = 314463,
  [SMALL_STATE(15595)] = 314487,
  [SMALL_STATE(15596)] = 314509,
  [SMALL_STATE(15597)] = 314531,
  [SMALL_STATE(15598)] = 314553,
  [SMALL_STATE(15599)] = 314575,
  [SMALL_STATE(15600)] = 314597,
  [SMALL_STATE(15601)] = 314623,
  [SMALL_STATE(15602)] = 314649,
  [SMALL_STATE(15603)] = 314671,
  [SMALL_STATE(15604)] = 314693,
  [SMALL_STATE(15605)] = 314719,
  [SMALL_STATE(15606)] = 314741,
  [SMALL_STATE(15607)] = 314763,
  [SMALL_STATE(15608)] = 314787,
  [SMALL_STATE(15609)] = 314809,
  [SMALL_STATE(15610)] = 314831,
  [SMALL_STATE(15611)] = 314853,
  [SMALL_STATE(15612)] = 314875,
  [SMALL_STATE(15613)] = 314897,
  [SMALL_STATE(15614)] = 314919,
  [SMALL_STATE(15615)] = 314941,
  [SMALL_STATE(15616)] = 314967,
  [SMALL_STATE(15617)] = 314989,
  [SMALL_STATE(15618)] = 315011,
  [SMALL_STATE(15619)] = 315033,
  [SMALL_STATE(15620)] = 315055,
  [SMALL_STATE(15621)] = 315077,
  [SMALL_STATE(15622)] = 315099,
  [SMALL_STATE(15623)] = 315121,
  [SMALL_STATE(15624)] = 315147,
  [SMALL_STATE(15625)] = 315173,
  [SMALL_STATE(15626)] = 315195,
  [SMALL_STATE(15627)] = 315221,
  [SMALL_STATE(15628)] = 315243,
  [SMALL_STATE(15629)] = 315265,
  [SMALL_STATE(15630)] = 315287,
  [SMALL_STATE(15631)] = 315313,
  [SMALL_STATE(15632)] = 315339,
  [SMALL_STATE(15633)] = 315361,
  [SMALL_STATE(15634)] = 315385,
  [SMALL_STATE(15635)] = 315411,
  [SMALL_STATE(15636)] = 315433,
  [SMALL_STATE(15637)] = 315453,
  [SMALL_STATE(15638)] = 315475,
  [SMALL_STATE(15639)] = 315499,
  [SMALL_STATE(15640)] = 315521,
  [SMALL_STATE(15641)] = 315543,
  [SMALL_STATE(15642)] = 315569,
  [SMALL_STATE(15643)] = 315595,
  [SMALL_STATE(15644)] = 315617,
  [SMALL_STATE(15645)] = 315639,
  [SMALL_STATE(15646)] = 315661,
  [SMALL_STATE(15647)] = 315687,
  [SMALL_STATE(15648)] = 315713,
  [SMALL_STATE(15649)] = 315739,
  [SMALL_STATE(15650)] = 315761,
  [SMALL_STATE(15651)] = 315783,
  [SMALL_STATE(15652)] = 315805,
  [SMALL_STATE(15653)] = 315831,
  [SMALL_STATE(15654)] = 315853,
  [SMALL_STATE(15655)] = 315875,
  [SMALL_STATE(15656)] = 315901,
  [SMALL_STATE(15657)] = 315923,
  [SMALL_STATE(15658)] = 315949,
  [SMALL_STATE(15659)] = 315971,
  [SMALL_STATE(15660)] = 315993,
  [SMALL_STATE(15661)] = 316015,
  [SMALL_STATE(15662)] = 316037,
  [SMALL_STATE(15663)] = 316059,
  [SMALL_STATE(15664)] = 316081,
  [SMALL_STATE(15665)] = 316103,
  [SMALL_STATE(15666)] = 316125,
  [SMALL_STATE(15667)] = 316151,
  [SMALL_STATE(15668)] = 316177,
  [SMALL_STATE(15669)] = 316203,
  [SMALL_STATE(15670)] = 316225,
  [SMALL_STATE(15671)] = 316247,
  [SMALL_STATE(15672)] = 316271,
  [SMALL_STATE(15673)] = 316293,
  [SMALL_STATE(15674)] = 316315,
  [SMALL_STATE(15675)] = 316337,
  [SMALL_STATE(15676)] = 316359,
  [SMALL_STATE(15677)] = 316381,
  [SMALL_STATE(15678)] = 316403,
  [SMALL_STATE(15679)] = 316425,
  [SMALL_STATE(15680)] = 316447,
  [SMALL_STATE(15681)] = 316473,
  [SMALL_STATE(15682)] = 316499,
  [SMALL_STATE(15683)] = 316525,
  [SMALL_STATE(15684)] = 316547,
  [SMALL_STATE(15685)] = 316573,
  [SMALL_STATE(15686)] = 316595,
  [SMALL_STATE(15687)] = 316617,
  [SMALL_STATE(15688)] = 316639,
  [SMALL_STATE(15689)] = 316661,
  [SMALL_STATE(15690)] = 316683,
  [SMALL_STATE(15691)] = 316705,
  [SMALL_STATE(15692)] = 316727,
  [SMALL_STATE(15693)] = 316751,
  [SMALL_STATE(15694)] = 316773,
  [SMALL_STATE(15695)] = 316795,
  [SMALL_STATE(15696)] = 316817,
  [SMALL_STATE(15697)] = 316839,
  [SMALL_STATE(15698)] = 316861,
  [SMALL_STATE(15699)] = 316883,
  [SMALL_STATE(15700)] = 316909,
  [SMALL_STATE(15701)] = 316935,
  [SMALL_STATE(15702)] = 316957,
  [SMALL_STATE(15703)] = 316983,
  [SMALL_STATE(15704)] = 317005,
  [SMALL_STATE(15705)] = 317031,
  [SMALL_STATE(15706)] = 317053,
  [SMALL_STATE(15707)] = 317079,
  [SMALL_STATE(15708)] = 317105,
  [SMALL_STATE(15709)] = 317131,
  [SMALL_STATE(15710)] = 317153,
  [SMALL_STATE(15711)] = 317175,
  [SMALL_STATE(15712)] = 317201,
  [SMALL_STATE(15713)] = 317227,
  [SMALL_STATE(15714)] = 317249,
  [SMALL_STATE(15715)] = 317275,
  [SMALL_STATE(15716)] = 317297,
  [SMALL_STATE(15717)] = 317319,
  [SMALL_STATE(15718)] = 317341,
  [SMALL_STATE(15719)] = 317363,
  [SMALL_STATE(15720)] = 317389,
  [SMALL_STATE(15721)] = 317415,
  [SMALL_STATE(15722)] = 317441,
  [SMALL_STATE(15723)] = 317463,
  [SMALL_STATE(15724)] = 317489,
  [SMALL_STATE(15725)] = 317515,
  [SMALL_STATE(15726)] = 317541,
  [SMALL_STATE(15727)] = 317567,
  [SMALL_STATE(15728)] = 317589,
  [SMALL_STATE(15729)] = 317615,
  [SMALL_STATE(15730)] = 317641,
  [SMALL_STATE(15731)] = 317667,
  [SMALL_STATE(15732)] = 317689,
  [SMALL_STATE(15733)] = 317715,
  [SMALL_STATE(15734)] = 317741,
  [SMALL_STATE(15735)] = 317763,
  [SMALL_STATE(15736)] = 317785,
  [SMALL_STATE(15737)] = 317811,
  [SMALL_STATE(15738)] = 317837,
  [SMALL_STATE(15739)] = 317863,
  [SMALL_STATE(15740)] = 317885,
  [SMALL_STATE(15741)] = 317911,
  [SMALL_STATE(15742)] = 317937,
  [SMALL_STATE(15743)] = 317959,
  [SMALL_STATE(15744)] = 317981,
  [SMALL_STATE(15745)] = 318003,
  [SMALL_STATE(15746)] = 318025,
  [SMALL_STATE(15747)] = 318047,
  [SMALL_STATE(15748)] = 318073,
  [SMALL_STATE(15749)] = 318099,
  [SMALL_STATE(15750)] = 318125,
  [SMALL_STATE(15751)] = 318151,
  [SMALL_STATE(15752)] = 318173,
  [SMALL_STATE(15753)] = 318199,
  [SMALL_STATE(15754)] = 318221,
  [SMALL_STATE(15755)] = 318247,
  [SMALL_STATE(15756)] = 318273,
  [SMALL_STATE(15757)] = 318299,
  [SMALL_STATE(15758)] = 318321,
  [SMALL_STATE(15759)] = 318347,
  [SMALL_STATE(15760)] = 318373,
  [SMALL_STATE(15761)] = 318399,
  [SMALL_STATE(15762)] = 318425,
  [SMALL_STATE(15763)] = 318451,
  [SMALL_STATE(15764)] = 318477,
  [SMALL_STATE(15765)] = 318503,
  [SMALL_STATE(15766)] = 318529,
  [SMALL_STATE(15767)] = 318555,
  [SMALL_STATE(15768)] = 318581,
  [SMALL_STATE(15769)] = 318607,
  [SMALL_STATE(15770)] = 318633,
  [SMALL_STATE(15771)] = 318659,
  [SMALL_STATE(15772)] = 318685,
  [SMALL_STATE(15773)] = 318707,
  [SMALL_STATE(15774)] = 318733,
  [SMALL_STATE(15775)] = 318759,
  [SMALL_STATE(15776)] = 318785,
  [SMALL_STATE(15777)] = 318811,
  [SMALL_STATE(15778)] = 318837,
  [SMALL_STATE(15779)] = 318863,
  [SMALL_STATE(15780)] = 318889,
  [SMALL_STATE(15781)] = 318911,
  [SMALL_STATE(15782)] = 318937,
  [SMALL_STATE(15783)] = 318963,
  [SMALL_STATE(15784)] = 318989,
  [SMALL_STATE(15785)] = 319015,
  [SMALL_STATE(15786)] = 319037,
  [SMALL_STATE(15787)] = 319063,
  [SMALL_STATE(15788)] = 319089,
  [SMALL_STATE(15789)] = 319111,
  [SMALL_STATE(15790)] = 319133,
  [SMALL_STATE(15791)] = 319159,
  [SMALL_STATE(15792)] = 319185,
  [SMALL_STATE(15793)] = 319207,
  [SMALL_STATE(15794)] = 319233,
  [SMALL_STATE(15795)] = 319259,
  [SMALL_STATE(15796)] = 319285,
  [SMALL_STATE(15797)] = 319307,
  [SMALL_STATE(15798)] = 319329,
  [SMALL_STATE(15799)] = 319355,
  [SMALL_STATE(15800)] = 319381,
  [SMALL_STATE(15801)] = 319407,
  [SMALL_STATE(15802)] = 319433,
  [SMALL_STATE(15803)] = 319459,
  [SMALL_STATE(15804)] = 319485,
  [SMALL_STATE(15805)] = 319511,
  [SMALL_STATE(15806)] = 319537,
  [SMALL_STATE(15807)] = 319563,
  [SMALL_STATE(15808)] = 319589,
  [SMALL_STATE(15809)] = 319615,
  [SMALL_STATE(15810)] = 319641,
  [SMALL_STATE(15811)] = 319667,
  [SMALL_STATE(15812)] = 319689,
  [SMALL_STATE(15813)] = 319715,
  [SMALL_STATE(15814)] = 319741,
  [SMALL_STATE(15815)] = 319767,
  [SMALL_STATE(15816)] = 319793,
  [SMALL_STATE(15817)] = 319819,
  [SMALL_STATE(15818)] = 319845,
  [SMALL_STATE(15819)] = 319867,
  [SMALL_STATE(15820)] = 319889,
  [SMALL_STATE(15821)] = 319915,
  [SMALL_STATE(15822)] = 319941,
  [SMALL_STATE(15823)] = 319967,
  [SMALL_STATE(15824)] = 319993,
  [SMALL_STATE(15825)] = 320019,
  [SMALL_STATE(15826)] = 320045,
  [SMALL_STATE(15827)] = 320071,
  [SMALL_STATE(15828)] = 320093,
  [SMALL_STATE(15829)] = 320115,
  [SMALL_STATE(15830)] = 320137,
  [SMALL_STATE(15831)] = 320163,
  [SMALL_STATE(15832)] = 320189,
  [SMALL_STATE(15833)] = 320215,
  [SMALL_STATE(15834)] = 320241,
  [SMALL_STATE(15835)] = 320267,
  [SMALL_STATE(15836)] = 320293,
  [SMALL_STATE(15837)] = 320319,
  [SMALL_STATE(15838)] = 320345,
  [SMALL_STATE(15839)] = 320371,
  [SMALL_STATE(15840)] = 320397,
  [SMALL_STATE(15841)] = 320423,
  [SMALL_STATE(15842)] = 320449,
  [SMALL_STATE(15843)] = 320475,
  [SMALL_STATE(15844)] = 320501,
  [SMALL_STATE(15845)] = 320527,
  [SMALL_STATE(15846)] = 320553,
  [SMALL_STATE(15847)] = 320575,
  [SMALL_STATE(15848)] = 320601,
  [SMALL_STATE(15849)] = 320627,
  [SMALL_STATE(15850)] = 320653,
  [SMALL_STATE(15851)] = 320679,
  [SMALL_STATE(15852)] = 320705,
  [SMALL_STATE(15853)] = 320726,
  [SMALL_STATE(15854)] = 320747,
  [SMALL_STATE(15855)] = 320768,
  [SMALL_STATE(15856)] = 320789,
  [SMALL_STATE(15857)] = 320810,
  [SMALL_STATE(15858)] = 320827,
  [SMALL_STATE(15859)] = 320848,
  [SMALL_STATE(15860)] = 320869,
  [SMALL_STATE(15861)] = 320890,
  [SMALL_STATE(15862)] = 320911,
  [SMALL_STATE(15863)] = 320934,
  [SMALL_STATE(15864)] = 320955,
  [SMALL_STATE(15865)] = 320976,
  [SMALL_STATE(15866)] = 320997,
  [SMALL_STATE(15867)] = 321018,
  [SMALL_STATE(15868)] = 321039,
  [SMALL_STATE(15869)] = 321060,
  [SMALL_STATE(15870)] = 321081,
  [SMALL_STATE(15871)] = 321102,
  [SMALL_STATE(15872)] = 321123,
  [SMALL_STATE(15873)] = 321144,
  [SMALL_STATE(15874)] = 321165,
  [SMALL_STATE(15875)] = 321186,
  [SMALL_STATE(15876)] = 321207,
  [SMALL_STATE(15877)] = 321228,
  [SMALL_STATE(15878)] = 321249,
  [SMALL_STATE(15879)] = 321270,
  [SMALL_STATE(15880)] = 321291,
  [SMALL_STATE(15881)] = 321312,
  [SMALL_STATE(15882)] = 321333,
  [SMALL_STATE(15883)] = 321354,
  [SMALL_STATE(15884)] = 321375,
  [SMALL_STATE(15885)] = 321398,
  [SMALL_STATE(15886)] = 321419,
  [SMALL_STATE(15887)] = 321440,
  [SMALL_STATE(15888)] = 321461,
  [SMALL_STATE(15889)] = 321482,
  [SMALL_STATE(15890)] = 321505,
  [SMALL_STATE(15891)] = 321526,
  [SMALL_STATE(15892)] = 321547,
  [SMALL_STATE(15893)] = 321568,
  [SMALL_STATE(15894)] = 321589,
  [SMALL_STATE(15895)] = 321610,
  [SMALL_STATE(15896)] = 321631,
  [SMALL_STATE(15897)] = 321652,
  [SMALL_STATE(15898)] = 321673,
  [SMALL_STATE(15899)] = 321694,
  [SMALL_STATE(15900)] = 321715,
  [SMALL_STATE(15901)] = 321736,
  [SMALL_STATE(15902)] = 321757,
  [SMALL_STATE(15903)] = 321778,
  [SMALL_STATE(15904)] = 321799,
  [SMALL_STATE(15905)] = 321820,
  [SMALL_STATE(15906)] = 321841,
  [SMALL_STATE(15907)] = 321862,
  [SMALL_STATE(15908)] = 321883,
  [SMALL_STATE(15909)] = 321904,
  [SMALL_STATE(15910)] = 321925,
  [SMALL_STATE(15911)] = 321948,
  [SMALL_STATE(15912)] = 321969,
  [SMALL_STATE(15913)] = 321990,
  [SMALL_STATE(15914)] = 322011,
  [SMALL_STATE(15915)] = 322032,
  [SMALL_STATE(15916)] = 322053,
  [SMALL_STATE(15917)] = 322074,
  [SMALL_STATE(15918)] = 322095,
  [SMALL_STATE(15919)] = 322116,
  [SMALL_STATE(15920)] = 322139,
  [SMALL_STATE(15921)] = 322160,
  [SMALL_STATE(15922)] = 322181,
  [SMALL_STATE(15923)] = 322202,
  [SMALL_STATE(15924)] = 322223,
  [SMALL_STATE(15925)] = 322244,
  [SMALL_STATE(15926)] = 322265,
  [SMALL_STATE(15927)] = 322286,
  [SMALL_STATE(15928)] = 322307,
  [SMALL_STATE(15929)] = 322328,
  [SMALL_STATE(15930)] = 322349,
  [SMALL_STATE(15931)] = 322370,
  [SMALL_STATE(15932)] = 322391,
  [SMALL_STATE(15933)] = 322412,
  [SMALL_STATE(15934)] = 322433,
  [SMALL_STATE(15935)] = 322454,
  [SMALL_STATE(15936)] = 322475,
  [SMALL_STATE(15937)] = 322496,
  [SMALL_STATE(15938)] = 322517,
  [SMALL_STATE(15939)] = 322538,
  [SMALL_STATE(15940)] = 322559,
  [SMALL_STATE(15941)] = 322580,
  [SMALL_STATE(15942)] = 322601,
  [SMALL_STATE(15943)] = 322622,
  [SMALL_STATE(15944)] = 322643,
  [SMALL_STATE(15945)] = 322664,
  [SMALL_STATE(15946)] = 322685,
  [SMALL_STATE(15947)] = 322706,
  [SMALL_STATE(15948)] = 322727,
  [SMALL_STATE(15949)] = 322748,
  [SMALL_STATE(15950)] = 322769,
  [SMALL_STATE(15951)] = 322790,
  [SMALL_STATE(15952)] = 322811,
  [SMALL_STATE(15953)] = 322832,
  [SMALL_STATE(15954)] = 322853,
  [SMALL_STATE(15955)] = 322874,
  [SMALL_STATE(15956)] = 322895,
  [SMALL_STATE(15957)] = 322916,
  [SMALL_STATE(15958)] = 322937,
  [SMALL_STATE(15959)] = 322958,
  [SMALL_STATE(15960)] = 322979,
  [SMALL_STATE(15961)] = 323000,
  [SMALL_STATE(15962)] = 323021,
  [SMALL_STATE(15963)] = 323042,
  [SMALL_STATE(15964)] = 323063,
  [SMALL_STATE(15965)] = 323084,
  [SMALL_STATE(15966)] = 323105,
  [SMALL_STATE(15967)] = 323126,
  [SMALL_STATE(15968)] = 323147,
  [SMALL_STATE(15969)] = 323164,
  [SMALL_STATE(15970)] = 323185,
  [SMALL_STATE(15971)] = 323206,
  [SMALL_STATE(15972)] = 323227,
  [SMALL_STATE(15973)] = 323248,
  [SMALL_STATE(15974)] = 323269,
  [SMALL_STATE(15975)] = 323290,
  [SMALL_STATE(15976)] = 323311,
  [SMALL_STATE(15977)] = 323332,
  [SMALL_STATE(15978)] = 323353,
  [SMALL_STATE(15979)] = 323374,
  [SMALL_STATE(15980)] = 323395,
  [SMALL_STATE(15981)] = 323416,
  [SMALL_STATE(15982)] = 323437,
  [SMALL_STATE(15983)] = 323458,
  [SMALL_STATE(15984)] = 323479,
  [SMALL_STATE(15985)] = 323500,
  [SMALL_STATE(15986)] = 323521,
  [SMALL_STATE(15987)] = 323542,
  [SMALL_STATE(15988)] = 323563,
  [SMALL_STATE(15989)] = 323584,
  [SMALL_STATE(15990)] = 323605,
  [SMALL_STATE(15991)] = 323626,
  [SMALL_STATE(15992)] = 323647,
  [SMALL_STATE(15993)] = 323668,
  [SMALL_STATE(15994)] = 323689,
  [SMALL_STATE(15995)] = 323710,
  [SMALL_STATE(15996)] = 323731,
  [SMALL_STATE(15997)] = 323752,
  [SMALL_STATE(15998)] = 323773,
  [SMALL_STATE(15999)] = 323794,
  [SMALL_STATE(16000)] = 323815,
  [SMALL_STATE(16001)] = 323836,
  [SMALL_STATE(16002)] = 323857,
  [SMALL_STATE(16003)] = 323878,
  [SMALL_STATE(16004)] = 323899,
  [SMALL_STATE(16005)] = 323920,
  [SMALL_STATE(16006)] = 323941,
  [SMALL_STATE(16007)] = 323962,
  [SMALL_STATE(16008)] = 323983,
  [SMALL_STATE(16009)] = 324004,
  [SMALL_STATE(16010)] = 324025,
  [SMALL_STATE(16011)] = 324046,
  [SMALL_STATE(16012)] = 324069,
  [SMALL_STATE(16013)] = 324090,
  [SMALL_STATE(16014)] = 324111,
  [SMALL_STATE(16015)] = 324132,
  [SMALL_STATE(16016)] = 324153,
  [SMALL_STATE(16017)] = 324174,
  [SMALL_STATE(16018)] = 324195,
  [SMALL_STATE(16019)] = 324216,
  [SMALL_STATE(16020)] = 324237,
  [SMALL_STATE(16021)] = 324258,
  [SMALL_STATE(16022)] = 324279,
  [SMALL_STATE(16023)] = 324300,
  [SMALL_STATE(16024)] = 324321,
  [SMALL_STATE(16025)] = 324342,
  [SMALL_STATE(16026)] = 324363,
  [SMALL_STATE(16027)] = 324384,
  [SMALL_STATE(16028)] = 324405,
  [SMALL_STATE(16029)] = 324426,
  [SMALL_STATE(16030)] = 324447,
  [SMALL_STATE(16031)] = 324468,
  [SMALL_STATE(16032)] = 324489,
  [SMALL_STATE(16033)] = 324510,
  [SMALL_STATE(16034)] = 324531,
  [SMALL_STATE(16035)] = 324552,
  [SMALL_STATE(16036)] = 324573,
  [SMALL_STATE(16037)] = 324594,
  [SMALL_STATE(16038)] = 324615,
  [SMALL_STATE(16039)] = 324636,
  [SMALL_STATE(16040)] = 324657,
  [SMALL_STATE(16041)] = 324678,
  [SMALL_STATE(16042)] = 324699,
  [SMALL_STATE(16043)] = 324720,
  [SMALL_STATE(16044)] = 324741,
  [SMALL_STATE(16045)] = 324762,
  [SMALL_STATE(16046)] = 324783,
  [SMALL_STATE(16047)] = 324804,
  [SMALL_STATE(16048)] = 324825,
  [SMALL_STATE(16049)] = 324846,
  [SMALL_STATE(16050)] = 324867,
  [SMALL_STATE(16051)] = 324888,
  [SMALL_STATE(16052)] = 324909,
  [SMALL_STATE(16053)] = 324930,
  [SMALL_STATE(16054)] = 324951,
  [SMALL_STATE(16055)] = 324972,
  [SMALL_STATE(16056)] = 324993,
  [SMALL_STATE(16057)] = 325014,
  [SMALL_STATE(16058)] = 325035,
  [SMALL_STATE(16059)] = 325056,
  [SMALL_STATE(16060)] = 325077,
  [SMALL_STATE(16061)] = 325098,
  [SMALL_STATE(16062)] = 325119,
  [SMALL_STATE(16063)] = 325140,
  [SMALL_STATE(16064)] = 325161,
  [SMALL_STATE(16065)] = 325182,
  [SMALL_STATE(16066)] = 325203,
  [SMALL_STATE(16067)] = 325224,
  [SMALL_STATE(16068)] = 325245,
  [SMALL_STATE(16069)] = 325266,
  [SMALL_STATE(16070)] = 325287,
  [SMALL_STATE(16071)] = 325310,
  [SMALL_STATE(16072)] = 325331,
  [SMALL_STATE(16073)] = 325352,
  [SMALL_STATE(16074)] = 325373,
  [SMALL_STATE(16075)] = 325394,
  [SMALL_STATE(16076)] = 325415,
  [SMALL_STATE(16077)] = 325436,
  [SMALL_STATE(16078)] = 325457,
  [SMALL_STATE(16079)] = 325478,
  [SMALL_STATE(16080)] = 325499,
  [SMALL_STATE(16081)] = 325520,
  [SMALL_STATE(16082)] = 325541,
  [SMALL_STATE(16083)] = 325562,
  [SMALL_STATE(16084)] = 325583,
  [SMALL_STATE(16085)] = 325604,
  [SMALL_STATE(16086)] = 325625,
  [SMALL_STATE(16087)] = 325646,
  [SMALL_STATE(16088)] = 325667,
  [SMALL_STATE(16089)] = 325688,
  [SMALL_STATE(16090)] = 325709,
  [SMALL_STATE(16091)] = 325730,
  [SMALL_STATE(16092)] = 325751,
  [SMALL_STATE(16093)] = 325772,
  [SMALL_STATE(16094)] = 325793,
  [SMALL_STATE(16095)] = 325814,
  [SMALL_STATE(16096)] = 325831,
  [SMALL_STATE(16097)] = 325852,
  [SMALL_STATE(16098)] = 325873,
  [SMALL_STATE(16099)] = 325894,
  [SMALL_STATE(16100)] = 325915,
  [SMALL_STATE(16101)] = 325936,
  [SMALL_STATE(16102)] = 325957,
  [SMALL_STATE(16103)] = 325978,
  [SMALL_STATE(16104)] = 325999,
  [SMALL_STATE(16105)] = 326022,
  [SMALL_STATE(16106)] = 326043,
  [SMALL_STATE(16107)] = 326064,
  [SMALL_STATE(16108)] = 326085,
  [SMALL_STATE(16109)] = 326106,
  [SMALL_STATE(16110)] = 326127,
  [SMALL_STATE(16111)] = 326148,
  [SMALL_STATE(16112)] = 326169,
  [SMALL_STATE(16113)] = 326190,
  [SMALL_STATE(16114)] = 326213,
  [SMALL_STATE(16115)] = 326234,
  [SMALL_STATE(16116)] = 326255,
  [SMALL_STATE(16117)] = 326276,
  [SMALL_STATE(16118)] = 326297,
  [SMALL_STATE(16119)] = 326318,
  [SMALL_STATE(16120)] = 326339,
  [SMALL_STATE(16121)] = 326360,
  [SMALL_STATE(16122)] = 326381,
  [SMALL_STATE(16123)] = 326402,
  [SMALL_STATE(16124)] = 326423,
  [SMALL_STATE(16125)] = 326444,
  [SMALL_STATE(16126)] = 326465,
  [SMALL_STATE(16127)] = 326486,
  [SMALL_STATE(16128)] = 326507,
  [SMALL_STATE(16129)] = 326528,
  [SMALL_STATE(16130)] = 326549,
  [SMALL_STATE(16131)] = 326570,
  [SMALL_STATE(16132)] = 326591,
  [SMALL_STATE(16133)] = 326612,
  [SMALL_STATE(16134)] = 326633,
  [SMALL_STATE(16135)] = 326654,
  [SMALL_STATE(16136)] = 326675,
  [SMALL_STATE(16137)] = 326696,
  [SMALL_STATE(16138)] = 326717,
  [SMALL_STATE(16139)] = 326740,
  [SMALL_STATE(16140)] = 326761,
  [SMALL_STATE(16141)] = 326782,
  [SMALL_STATE(16142)] = 326803,
  [SMALL_STATE(16143)] = 326824,
  [SMALL_STATE(16144)] = 326845,
  [SMALL_STATE(16145)] = 326866,
  [SMALL_STATE(16146)] = 326887,
  [SMALL_STATE(16147)] = 326908,
  [SMALL_STATE(16148)] = 326931,
  [SMALL_STATE(16149)] = 326952,
  [SMALL_STATE(16150)] = 326973,
  [SMALL_STATE(16151)] = 326994,
  [SMALL_STATE(16152)] = 327015,
  [SMALL_STATE(16153)] = 327036,
  [SMALL_STATE(16154)] = 327057,
  [SMALL_STATE(16155)] = 327078,
  [SMALL_STATE(16156)] = 327099,
  [SMALL_STATE(16157)] = 327120,
  [SMALL_STATE(16158)] = 327141,
  [SMALL_STATE(16159)] = 327162,
  [SMALL_STATE(16160)] = 327183,
  [SMALL_STATE(16161)] = 327200,
  [SMALL_STATE(16162)] = 327223,
  [SMALL_STATE(16163)] = 327246,
  [SMALL_STATE(16164)] = 327269,
  [SMALL_STATE(16165)] = 327292,
  [SMALL_STATE(16166)] = 327315,
  [SMALL_STATE(16167)] = 327338,
  [SMALL_STATE(16168)] = 327361,
  [SMALL_STATE(16169)] = 327384,
  [SMALL_STATE(16170)] = 327407,
  [SMALL_STATE(16171)] = 327428,
  [SMALL_STATE(16172)] = 327451,
  [SMALL_STATE(16173)] = 327474,
  [SMALL_STATE(16174)] = 327497,
  [SMALL_STATE(16175)] = 327520,
  [SMALL_STATE(16176)] = 327543,
  [SMALL_STATE(16177)] = 327566,
  [SMALL_STATE(16178)] = 327589,
  [SMALL_STATE(16179)] = 327606,
  [SMALL_STATE(16180)] = 327627,
  [SMALL_STATE(16181)] = 327648,
  [SMALL_STATE(16182)] = 327671,
  [SMALL_STATE(16183)] = 327694,
  [SMALL_STATE(16184)] = 327715,
  [SMALL_STATE(16185)] = 327736,
  [SMALL_STATE(16186)] = 327757,
  [SMALL_STATE(16187)] = 327778,
  [SMALL_STATE(16188)] = 327799,
  [SMALL_STATE(16189)] = 327820,
  [SMALL_STATE(16190)] = 327843,
  [SMALL_STATE(16191)] = 327866,
  [SMALL_STATE(16192)] = 327889,
  [SMALL_STATE(16193)] = 327912,
  [SMALL_STATE(16194)] = 327935,
  [SMALL_STATE(16195)] = 327958,
  [SMALL_STATE(16196)] = 327981,
  [SMALL_STATE(16197)] = 328004,
  [SMALL_STATE(16198)] = 328027,
  [SMALL_STATE(16199)] = 328048,
  [SMALL_STATE(16200)] = 328069,
  [SMALL_STATE(16201)] = 328092,
  [SMALL_STATE(16202)] = 328113,
  [SMALL_STATE(16203)] = 328136,
  [SMALL_STATE(16204)] = 328157,
  [SMALL_STATE(16205)] = 328178,
  [SMALL_STATE(16206)] = 328199,
  [SMALL_STATE(16207)] = 328220,
  [SMALL_STATE(16208)] = 328241,
  [SMALL_STATE(16209)] = 328262,
  [SMALL_STATE(16210)] = 328285,
  [SMALL_STATE(16211)] = 328308,
  [SMALL_STATE(16212)] = 328331,
  [SMALL_STATE(16213)] = 328352,
  [SMALL_STATE(16214)] = 328375,
  [SMALL_STATE(16215)] = 328396,
  [SMALL_STATE(16216)] = 328419,
  [SMALL_STATE(16217)] = 328440,
  [SMALL_STATE(16218)] = 328463,
  [SMALL_STATE(16219)] = 328486,
  [SMALL_STATE(16220)] = 328507,
  [SMALL_STATE(16221)] = 328530,
  [SMALL_STATE(16222)] = 328553,
  [SMALL_STATE(16223)] = 328574,
  [SMALL_STATE(16224)] = 328595,
  [SMALL_STATE(16225)] = 328616,
  [SMALL_STATE(16226)] = 328637,
  [SMALL_STATE(16227)] = 328660,
  [SMALL_STATE(16228)] = 328683,
  [SMALL_STATE(16229)] = 328706,
  [SMALL_STATE(16230)] = 328729,
  [SMALL_STATE(16231)] = 328752,
  [SMALL_STATE(16232)] = 328775,
  [SMALL_STATE(16233)] = 328796,
  [SMALL_STATE(16234)] = 328817,
  [SMALL_STATE(16235)] = 328840,
  [SMALL_STATE(16236)] = 328861,
  [SMALL_STATE(16237)] = 328884,
  [SMALL_STATE(16238)] = 328905,
  [SMALL_STATE(16239)] = 328928,
  [SMALL_STATE(16240)] = 328951,
  [SMALL_STATE(16241)] = 328972,
  [SMALL_STATE(16242)] = 328989,
  [SMALL_STATE(16243)] = 329012,
  [SMALL_STATE(16244)] = 329035,
  [SMALL_STATE(16245)] = 329056,
  [SMALL_STATE(16246)] = 329077,
  [SMALL_STATE(16247)] = 329098,
  [SMALL_STATE(16248)] = 329121,
  [SMALL_STATE(16249)] = 329144,
  [SMALL_STATE(16250)] = 329165,
  [SMALL_STATE(16251)] = 329186,
  [SMALL_STATE(16252)] = 329207,
  [SMALL_STATE(16253)] = 329230,
  [SMALL_STATE(16254)] = 329253,
  [SMALL_STATE(16255)] = 329276,
  [SMALL_STATE(16256)] = 329299,
  [SMALL_STATE(16257)] = 329320,
  [SMALL_STATE(16258)] = 329341,
  [SMALL_STATE(16259)] = 329364,
  [SMALL_STATE(16260)] = 329385,
  [SMALL_STATE(16261)] = 329406,
  [SMALL_STATE(16262)] = 329427,
  [SMALL_STATE(16263)] = 329448,
  [SMALL_STATE(16264)] = 329469,
  [SMALL_STATE(16265)] = 329492,
  [SMALL_STATE(16266)] = 329513,
  [SMALL_STATE(16267)] = 329536,
  [SMALL_STATE(16268)] = 329559,
  [SMALL_STATE(16269)] = 329580,
  [SMALL_STATE(16270)] = 329603,
  [SMALL_STATE(16271)] = 329626,
  [SMALL_STATE(16272)] = 329647,
  [SMALL_STATE(16273)] = 329668,
  [SMALL_STATE(16274)] = 329689,
  [SMALL_STATE(16275)] = 329710,
  [SMALL_STATE(16276)] = 329727,
  [SMALL_STATE(16277)] = 329750,
  [SMALL_STATE(16278)] = 329771,
  [SMALL_STATE(16279)] = 329794,
  [SMALL_STATE(16280)] = 329815,
  [SMALL_STATE(16281)] = 329838,
  [SMALL_STATE(16282)] = 329859,
  [SMALL_STATE(16283)] = 329882,
  [SMALL_STATE(16284)] = 329905,
  [SMALL_STATE(16285)] = 329926,
  [SMALL_STATE(16286)] = 329947,
  [SMALL_STATE(16287)] = 329968,
  [SMALL_STATE(16288)] = 329989,
  [SMALL_STATE(16289)] = 330010,
  [SMALL_STATE(16290)] = 330031,
  [SMALL_STATE(16291)] = 330052,
  [SMALL_STATE(16292)] = 330075,
  [SMALL_STATE(16293)] = 330098,
  [SMALL_STATE(16294)] = 330121,
  [SMALL_STATE(16295)] = 330144,
  [SMALL_STATE(16296)] = 330167,
  [SMALL_STATE(16297)] = 330190,
  [SMALL_STATE(16298)] = 330213,
  [SMALL_STATE(16299)] = 330236,
  [SMALL_STATE(16300)] = 330259,
  [SMALL_STATE(16301)] = 330280,
  [SMALL_STATE(16302)] = 330301,
  [SMALL_STATE(16303)] = 330324,
  [SMALL_STATE(16304)] = 330347,
  [SMALL_STATE(16305)] = 330370,
  [SMALL_STATE(16306)] = 330393,
  [SMALL_STATE(16307)] = 330414,
  [SMALL_STATE(16308)] = 330437,
  [SMALL_STATE(16309)] = 330460,
  [SMALL_STATE(16310)] = 330481,
  [SMALL_STATE(16311)] = 330502,
  [SMALL_STATE(16312)] = 330523,
  [SMALL_STATE(16313)] = 330544,
  [SMALL_STATE(16314)] = 330567,
  [SMALL_STATE(16315)] = 330590,
  [SMALL_STATE(16316)] = 330613,
  [SMALL_STATE(16317)] = 330636,
  [SMALL_STATE(16318)] = 330657,
  [SMALL_STATE(16319)] = 330680,
  [SMALL_STATE(16320)] = 330701,
  [SMALL_STATE(16321)] = 330722,
  [SMALL_STATE(16322)] = 330743,
  [SMALL_STATE(16323)] = 330760,
  [SMALL_STATE(16324)] = 330781,
  [SMALL_STATE(16325)] = 330804,
  [SMALL_STATE(16326)] = 330827,
  [SMALL_STATE(16327)] = 330848,
  [SMALL_STATE(16328)] = 330869,
  [SMALL_STATE(16329)] = 330890,
  [SMALL_STATE(16330)] = 330911,
  [SMALL_STATE(16331)] = 330934,
  [SMALL_STATE(16332)] = 330955,
  [SMALL_STATE(16333)] = 330976,
  [SMALL_STATE(16334)] = 330997,
  [SMALL_STATE(16335)] = 331020,
  [SMALL_STATE(16336)] = 331043,
  [SMALL_STATE(16337)] = 331066,
  [SMALL_STATE(16338)] = 331087,
  [SMALL_STATE(16339)] = 331110,
  [SMALL_STATE(16340)] = 331131,
  [SMALL_STATE(16341)] = 331154,
  [SMALL_STATE(16342)] = 331177,
  [SMALL_STATE(16343)] = 331200,
  [SMALL_STATE(16344)] = 331223,
  [SMALL_STATE(16345)] = 331246,
  [SMALL_STATE(16346)] = 331267,
  [SMALL_STATE(16347)] = 331290,
  [SMALL_STATE(16348)] = 331313,
  [SMALL_STATE(16349)] = 331336,
  [SMALL_STATE(16350)] = 331357,
  [SMALL_STATE(16351)] = 331380,
  [SMALL_STATE(16352)] = 331403,
  [SMALL_STATE(16353)] = 331426,
  [SMALL_STATE(16354)] = 331449,
  [SMALL_STATE(16355)] = 331472,
  [SMALL_STATE(16356)] = 331493,
  [SMALL_STATE(16357)] = 331516,
  [SMALL_STATE(16358)] = 331539,
  [SMALL_STATE(16359)] = 331560,
  [SMALL_STATE(16360)] = 331583,
  [SMALL_STATE(16361)] = 331606,
  [SMALL_STATE(16362)] = 331629,
  [SMALL_STATE(16363)] = 331650,
  [SMALL_STATE(16364)] = 331671,
  [SMALL_STATE(16365)] = 331694,
  [SMALL_STATE(16366)] = 331715,
  [SMALL_STATE(16367)] = 331736,
  [SMALL_STATE(16368)] = 331757,
  [SMALL_STATE(16369)] = 331778,
  [SMALL_STATE(16370)] = 331801,
  [SMALL_STATE(16371)] = 331822,
  [SMALL_STATE(16372)] = 331845,
  [SMALL_STATE(16373)] = 331868,
  [SMALL_STATE(16374)] = 331891,
  [SMALL_STATE(16375)] = 331914,
  [SMALL_STATE(16376)] = 331937,
  [SMALL_STATE(16377)] = 331954,
  [SMALL_STATE(16378)] = 331975,
  [SMALL_STATE(16379)] = 331996,
  [SMALL_STATE(16380)] = 332019,
  [SMALL_STATE(16381)] = 332042,
  [SMALL_STATE(16382)] = 332065,
  [SMALL_STATE(16383)] = 332086,
  [SMALL_STATE(16384)] = 332109,
  [SMALL_STATE(16385)] = 332132,
  [SMALL_STATE(16386)] = 332155,
  [SMALL_STATE(16387)] = 332176,
  [SMALL_STATE(16388)] = 332199,
  [SMALL_STATE(16389)] = 332222,
  [SMALL_STATE(16390)] = 332245,
  [SMALL_STATE(16391)] = 332266,
  [SMALL_STATE(16392)] = 332289,
  [SMALL_STATE(16393)] = 332312,
  [SMALL_STATE(16394)] = 332335,
  [SMALL_STATE(16395)] = 332358,
  [SMALL_STATE(16396)] = 332381,
  [SMALL_STATE(16397)] = 332402,
  [SMALL_STATE(16398)] = 332423,
  [SMALL_STATE(16399)] = 332444,
  [SMALL_STATE(16400)] = 332465,
  [SMALL_STATE(16401)] = 332486,
  [SMALL_STATE(16402)] = 332507,
  [SMALL_STATE(16403)] = 332530,
  [SMALL_STATE(16404)] = 332551,
  [SMALL_STATE(16405)] = 332572,
  [SMALL_STATE(16406)] = 332595,
  [SMALL_STATE(16407)] = 332616,
  [SMALL_STATE(16408)] = 332639,
  [SMALL_STATE(16409)] = 332662,
  [SMALL_STATE(16410)] = 332685,
  [SMALL_STATE(16411)] = 332708,
  [SMALL_STATE(16412)] = 332725,
  [SMALL_STATE(16413)] = 332748,
  [SMALL_STATE(16414)] = 332769,
  [SMALL_STATE(16415)] = 332792,
  [SMALL_STATE(16416)] = 332813,
  [SMALL_STATE(16417)] = 332836,
  [SMALL_STATE(16418)] = 332859,
  [SMALL_STATE(16419)] = 332880,
  [SMALL_STATE(16420)] = 332903,
  [SMALL_STATE(16421)] = 332926,
  [SMALL_STATE(16422)] = 332949,
  [SMALL_STATE(16423)] = 332970,
  [SMALL_STATE(16424)] = 332993,
  [SMALL_STATE(16425)] = 333016,
  [SMALL_STATE(16426)] = 333037,
  [SMALL_STATE(16427)] = 333058,
  [SMALL_STATE(16428)] = 333079,
  [SMALL_STATE(16429)] = 333102,
  [SMALL_STATE(16430)] = 333123,
  [SMALL_STATE(16431)] = 333146,
  [SMALL_STATE(16432)] = 333169,
  [SMALL_STATE(16433)] = 333190,
  [SMALL_STATE(16434)] = 333211,
  [SMALL_STATE(16435)] = 333232,
  [SMALL_STATE(16436)] = 333255,
  [SMALL_STATE(16437)] = 333276,
  [SMALL_STATE(16438)] = 333299,
  [SMALL_STATE(16439)] = 333322,
  [SMALL_STATE(16440)] = 333345,
  [SMALL_STATE(16441)] = 333368,
  [SMALL_STATE(16442)] = 333391,
  [SMALL_STATE(16443)] = 333414,
  [SMALL_STATE(16444)] = 333437,
  [SMALL_STATE(16445)] = 333460,
  [SMALL_STATE(16446)] = 333483,
  [SMALL_STATE(16447)] = 333506,
  [SMALL_STATE(16448)] = 333529,
  [SMALL_STATE(16449)] = 333552,
  [SMALL_STATE(16450)] = 333573,
  [SMALL_STATE(16451)] = 333594,
  [SMALL_STATE(16452)] = 333617,
  [SMALL_STATE(16453)] = 333638,
  [SMALL_STATE(16454)] = 333659,
  [SMALL_STATE(16455)] = 333680,
  [SMALL_STATE(16456)] = 333701,
  [SMALL_STATE(16457)] = 333722,
  [SMALL_STATE(16458)] = 333743,
  [SMALL_STATE(16459)] = 333764,
  [SMALL_STATE(16460)] = 333785,
  [SMALL_STATE(16461)] = 333806,
  [SMALL_STATE(16462)] = 333829,
  [SMALL_STATE(16463)] = 333852,
  [SMALL_STATE(16464)] = 333875,
  [SMALL_STATE(16465)] = 333898,
  [SMALL_STATE(16466)] = 333921,
  [SMALL_STATE(16467)] = 333944,
  [SMALL_STATE(16468)] = 333967,
  [SMALL_STATE(16469)] = 333990,
  [SMALL_STATE(16470)] = 334011,
  [SMALL_STATE(16471)] = 334034,
  [SMALL_STATE(16472)] = 334057,
  [SMALL_STATE(16473)] = 334078,
  [SMALL_STATE(16474)] = 334101,
  [SMALL_STATE(16475)] = 334124,
  [SMALL_STATE(16476)] = 334147,
  [SMALL_STATE(16477)] = 334170,
  [SMALL_STATE(16478)] = 334193,
  [SMALL_STATE(16479)] = 334216,
  [SMALL_STATE(16480)] = 334239,
  [SMALL_STATE(16481)] = 334262,
  [SMALL_STATE(16482)] = 334285,
  [SMALL_STATE(16483)] = 334306,
  [SMALL_STATE(16484)] = 334329,
  [SMALL_STATE(16485)] = 334352,
  [SMALL_STATE(16486)] = 334375,
  [SMALL_STATE(16487)] = 334396,
  [SMALL_STATE(16488)] = 334419,
  [SMALL_STATE(16489)] = 334442,
  [SMALL_STATE(16490)] = 334465,
  [SMALL_STATE(16491)] = 334488,
  [SMALL_STATE(16492)] = 334511,
  [SMALL_STATE(16493)] = 334534,
  [SMALL_STATE(16494)] = 334557,
  [SMALL_STATE(16495)] = 334580,
  [SMALL_STATE(16496)] = 334603,
  [SMALL_STATE(16497)] = 334626,
  [SMALL_STATE(16498)] = 334649,
  [SMALL_STATE(16499)] = 334672,
  [SMALL_STATE(16500)] = 334695,
  [SMALL_STATE(16501)] = 334718,
  [SMALL_STATE(16502)] = 334739,
  [SMALL_STATE(16503)] = 334760,
  [SMALL_STATE(16504)] = 334781,
  [SMALL_STATE(16505)] = 334804,
  [SMALL_STATE(16506)] = 334825,
  [SMALL_STATE(16507)] = 334848,
  [SMALL_STATE(16508)] = 334871,
  [SMALL_STATE(16509)] = 334892,
  [SMALL_STATE(16510)] = 334915,
  [SMALL_STATE(16511)] = 334938,
  [SMALL_STATE(16512)] = 334961,
  [SMALL_STATE(16513)] = 334982,
  [SMALL_STATE(16514)] = 335005,
  [SMALL_STATE(16515)] = 335028,
  [SMALL_STATE(16516)] = 335051,
  [SMALL_STATE(16517)] = 335072,
  [SMALL_STATE(16518)] = 335093,
  [SMALL_STATE(16519)] = 335116,
  [SMALL_STATE(16520)] = 335137,
  [SMALL_STATE(16521)] = 335158,
  [SMALL_STATE(16522)] = 335179,
  [SMALL_STATE(16523)] = 335200,
  [SMALL_STATE(16524)] = 335217,
  [SMALL_STATE(16525)] = 335238,
  [SMALL_STATE(16526)] = 335259,
  [SMALL_STATE(16527)] = 335280,
  [SMALL_STATE(16528)] = 335303,
  [SMALL_STATE(16529)] = 335324,
  [SMALL_STATE(16530)] = 335347,
  [SMALL_STATE(16531)] = 335370,
  [SMALL_STATE(16532)] = 335387,
  [SMALL_STATE(16533)] = 335410,
  [SMALL_STATE(16534)] = 335433,
  [SMALL_STATE(16535)] = 335456,
  [SMALL_STATE(16536)] = 335479,
  [SMALL_STATE(16537)] = 335502,
  [SMALL_STATE(16538)] = 335525,
  [SMALL_STATE(16539)] = 335548,
  [SMALL_STATE(16540)] = 335569,
  [SMALL_STATE(16541)] = 335592,
  [SMALL_STATE(16542)] = 335613,
  [SMALL_STATE(16543)] = 335634,
  [SMALL_STATE(16544)] = 335655,
  [SMALL_STATE(16545)] = 335678,
  [SMALL_STATE(16546)] = 335701,
  [SMALL_STATE(16547)] = 335724,
  [SMALL_STATE(16548)] = 335745,
  [SMALL_STATE(16549)] = 335768,
  [SMALL_STATE(16550)] = 335791,
  [SMALL_STATE(16551)] = 335814,
  [SMALL_STATE(16552)] = 335837,
  [SMALL_STATE(16553)] = 335860,
  [SMALL_STATE(16554)] = 335881,
  [SMALL_STATE(16555)] = 335904,
  [SMALL_STATE(16556)] = 335927,
  [SMALL_STATE(16557)] = 335950,
  [SMALL_STATE(16558)] = 335971,
  [SMALL_STATE(16559)] = 335994,
  [SMALL_STATE(16560)] = 336017,
  [SMALL_STATE(16561)] = 336038,
  [SMALL_STATE(16562)] = 336059,
  [SMALL_STATE(16563)] = 336082,
  [SMALL_STATE(16564)] = 336105,
  [SMALL_STATE(16565)] = 336126,
  [SMALL_STATE(16566)] = 336149,
  [SMALL_STATE(16567)] = 336172,
  [SMALL_STATE(16568)] = 336195,
  [SMALL_STATE(16569)] = 336218,
  [SMALL_STATE(16570)] = 336237,
  [SMALL_STATE(16571)] = 336260,
  [SMALL_STATE(16572)] = 336283,
  [SMALL_STATE(16573)] = 336306,
  [SMALL_STATE(16574)] = 336329,
  [SMALL_STATE(16575)] = 336350,
  [SMALL_STATE(16576)] = 336373,
  [SMALL_STATE(16577)] = 336396,
  [SMALL_STATE(16578)] = 336419,
  [SMALL_STATE(16579)] = 336440,
  [SMALL_STATE(16580)] = 336463,
  [SMALL_STATE(16581)] = 336486,
  [SMALL_STATE(16582)] = 336509,
  [SMALL_STATE(16583)] = 336532,
  [SMALL_STATE(16584)] = 336555,
  [SMALL_STATE(16585)] = 336578,
  [SMALL_STATE(16586)] = 336601,
  [SMALL_STATE(16587)] = 336624,
  [SMALL_STATE(16588)] = 336647,
  [SMALL_STATE(16589)] = 336670,
  [SMALL_STATE(16590)] = 336691,
  [SMALL_STATE(16591)] = 336712,
  [SMALL_STATE(16592)] = 336735,
  [SMALL_STATE(16593)] = 336756,
  [SMALL_STATE(16594)] = 336779,
  [SMALL_STATE(16595)] = 336802,
  [SMALL_STATE(16596)] = 336823,
  [SMALL_STATE(16597)] = 336844,
  [SMALL_STATE(16598)] = 336867,
  [SMALL_STATE(16599)] = 336890,
  [SMALL_STATE(16600)] = 336913,
  [SMALL_STATE(16601)] = 336936,
  [SMALL_STATE(16602)] = 336957,
  [SMALL_STATE(16603)] = 336980,
  [SMALL_STATE(16604)] = 337001,
  [SMALL_STATE(16605)] = 337024,
  [SMALL_STATE(16606)] = 337047,
  [SMALL_STATE(16607)] = 337070,
  [SMALL_STATE(16608)] = 337087,
  [SMALL_STATE(16609)] = 337110,
  [SMALL_STATE(16610)] = 337133,
  [SMALL_STATE(16611)] = 337154,
  [SMALL_STATE(16612)] = 337177,
  [SMALL_STATE(16613)] = 337200,
  [SMALL_STATE(16614)] = 337221,
  [SMALL_STATE(16615)] = 337242,
  [SMALL_STATE(16616)] = 337263,
  [SMALL_STATE(16617)] = 337284,
  [SMALL_STATE(16618)] = 337305,
  [SMALL_STATE(16619)] = 337328,
  [SMALL_STATE(16620)] = 337351,
  [SMALL_STATE(16621)] = 337372,
  [SMALL_STATE(16622)] = 337393,
  [SMALL_STATE(16623)] = 337414,
  [SMALL_STATE(16624)] = 337437,
  [SMALL_STATE(16625)] = 337460,
  [SMALL_STATE(16626)] = 337481,
  [SMALL_STATE(16627)] = 337502,
  [SMALL_STATE(16628)] = 337523,
  [SMALL_STATE(16629)] = 337546,
  [SMALL_STATE(16630)] = 337567,
  [SMALL_STATE(16631)] = 337590,
  [SMALL_STATE(16632)] = 337613,
  [SMALL_STATE(16633)] = 337634,
  [SMALL_STATE(16634)] = 337655,
  [SMALL_STATE(16635)] = 337676,
  [SMALL_STATE(16636)] = 337699,
  [SMALL_STATE(16637)] = 337722,
  [SMALL_STATE(16638)] = 337743,
  [SMALL_STATE(16639)] = 337764,
  [SMALL_STATE(16640)] = 337787,
  [SMALL_STATE(16641)] = 337810,
  [SMALL_STATE(16642)] = 337831,
  [SMALL_STATE(16643)] = 337854,
  [SMALL_STATE(16644)] = 337877,
  [SMALL_STATE(16645)] = 337900,
  [SMALL_STATE(16646)] = 337921,
  [SMALL_STATE(16647)] = 337942,
  [SMALL_STATE(16648)] = 337965,
  [SMALL_STATE(16649)] = 337988,
  [SMALL_STATE(16650)] = 338009,
  [SMALL_STATE(16651)] = 338030,
  [SMALL_STATE(16652)] = 338053,
  [SMALL_STATE(16653)] = 338076,
  [SMALL_STATE(16654)] = 338097,
  [SMALL_STATE(16655)] = 338120,
  [SMALL_STATE(16656)] = 338143,
  [SMALL_STATE(16657)] = 338166,
  [SMALL_STATE(16658)] = 338189,
  [SMALL_STATE(16659)] = 338210,
  [SMALL_STATE(16660)] = 338231,
  [SMALL_STATE(16661)] = 338254,
  [SMALL_STATE(16662)] = 338277,
  [SMALL_STATE(16663)] = 338300,
  [SMALL_STATE(16664)] = 338323,
  [SMALL_STATE(16665)] = 338346,
  [SMALL_STATE(16666)] = 338369,
  [SMALL_STATE(16667)] = 338392,
  [SMALL_STATE(16668)] = 338415,
  [SMALL_STATE(16669)] = 338438,
  [SMALL_STATE(16670)] = 338461,
  [SMALL_STATE(16671)] = 338484,
  [SMALL_STATE(16672)] = 338507,
  [SMALL_STATE(16673)] = 338530,
  [SMALL_STATE(16674)] = 338553,
  [SMALL_STATE(16675)] = 338576,
  [SMALL_STATE(16676)] = 338597,
  [SMALL_STATE(16677)] = 338620,
  [SMALL_STATE(16678)] = 338643,
  [SMALL_STATE(16679)] = 338666,
  [SMALL_STATE(16680)] = 338685,
  [SMALL_STATE(16681)] = 338706,
  [SMALL_STATE(16682)] = 338729,
  [SMALL_STATE(16683)] = 338752,
  [SMALL_STATE(16684)] = 338775,
  [SMALL_STATE(16685)] = 338798,
  [SMALL_STATE(16686)] = 338821,
  [SMALL_STATE(16687)] = 338844,
  [SMALL_STATE(16688)] = 338865,
  [SMALL_STATE(16689)] = 338888,
  [SMALL_STATE(16690)] = 338911,
  [SMALL_STATE(16691)] = 338932,
  [SMALL_STATE(16692)] = 338953,
  [SMALL_STATE(16693)] = 338974,
  [SMALL_STATE(16694)] = 338997,
  [SMALL_STATE(16695)] = 339020,
  [SMALL_STATE(16696)] = 339041,
  [SMALL_STATE(16697)] = 339062,
  [SMALL_STATE(16698)] = 339085,
  [SMALL_STATE(16699)] = 339108,
  [SMALL_STATE(16700)] = 339129,
  [SMALL_STATE(16701)] = 339150,
  [SMALL_STATE(16702)] = 339173,
  [SMALL_STATE(16703)] = 339196,
  [SMALL_STATE(16704)] = 339217,
  [SMALL_STATE(16705)] = 339238,
  [SMALL_STATE(16706)] = 339261,
  [SMALL_STATE(16707)] = 339284,
  [SMALL_STATE(16708)] = 339305,
  [SMALL_STATE(16709)] = 339326,
  [SMALL_STATE(16710)] = 339349,
  [SMALL_STATE(16711)] = 339372,
  [SMALL_STATE(16712)] = 339395,
  [SMALL_STATE(16713)] = 339416,
  [SMALL_STATE(16714)] = 339439,
  [SMALL_STATE(16715)] = 339462,
  [SMALL_STATE(16716)] = 339485,
  [SMALL_STATE(16717)] = 339508,
  [SMALL_STATE(16718)] = 339529,
  [SMALL_STATE(16719)] = 339552,
  [SMALL_STATE(16720)] = 339575,
  [SMALL_STATE(16721)] = 339598,
  [SMALL_STATE(16722)] = 339621,
  [SMALL_STATE(16723)] = 339644,
  [SMALL_STATE(16724)] = 339667,
  [SMALL_STATE(16725)] = 339690,
  [SMALL_STATE(16726)] = 339713,
  [SMALL_STATE(16727)] = 339736,
  [SMALL_STATE(16728)] = 339759,
  [SMALL_STATE(16729)] = 339782,
  [SMALL_STATE(16730)] = 339805,
  [SMALL_STATE(16731)] = 339822,
  [SMALL_STATE(16732)] = 339843,
  [SMALL_STATE(16733)] = 339866,
  [SMALL_STATE(16734)] = 339889,
  [SMALL_STATE(16735)] = 339912,
  [SMALL_STATE(16736)] = 339933,
  [SMALL_STATE(16737)] = 339956,
  [SMALL_STATE(16738)] = 339979,
  [SMALL_STATE(16739)] = 340002,
  [SMALL_STATE(16740)] = 340023,
  [SMALL_STATE(16741)] = 340044,
  [SMALL_STATE(16742)] = 340067,
  [SMALL_STATE(16743)] = 340090,
  [SMALL_STATE(16744)] = 340113,
  [SMALL_STATE(16745)] = 340134,
  [SMALL_STATE(16746)] = 340157,
  [SMALL_STATE(16747)] = 340180,
  [SMALL_STATE(16748)] = 340203,
  [SMALL_STATE(16749)] = 340224,
  [SMALL_STATE(16750)] = 340245,
  [SMALL_STATE(16751)] = 340268,
  [SMALL_STATE(16752)] = 340291,
  [SMALL_STATE(16753)] = 340312,
  [SMALL_STATE(16754)] = 340333,
  [SMALL_STATE(16755)] = 340356,
  [SMALL_STATE(16756)] = 340379,
  [SMALL_STATE(16757)] = 340400,
  [SMALL_STATE(16758)] = 340423,
  [SMALL_STATE(16759)] = 340444,
  [SMALL_STATE(16760)] = 340467,
  [SMALL_STATE(16761)] = 340490,
  [SMALL_STATE(16762)] = 340511,
  [SMALL_STATE(16763)] = 340532,
  [SMALL_STATE(16764)] = 340555,
  [SMALL_STATE(16765)] = 340578,
  [SMALL_STATE(16766)] = 340599,
  [SMALL_STATE(16767)] = 340620,
  [SMALL_STATE(16768)] = 340643,
  [SMALL_STATE(16769)] = 340666,
  [SMALL_STATE(16770)] = 340689,
  [SMALL_STATE(16771)] = 340712,
  [SMALL_STATE(16772)] = 340735,
  [SMALL_STATE(16773)] = 340758,
  [SMALL_STATE(16774)] = 340781,
  [SMALL_STATE(16775)] = 340804,
  [SMALL_STATE(16776)] = 340821,
  [SMALL_STATE(16777)] = 340844,
  [SMALL_STATE(16778)] = 340867,
  [SMALL_STATE(16779)] = 340884,
  [SMALL_STATE(16780)] = 340907,
  [SMALL_STATE(16781)] = 340930,
  [SMALL_STATE(16782)] = 340953,
  [SMALL_STATE(16783)] = 340976,
  [SMALL_STATE(16784)] = 340997,
  [SMALL_STATE(16785)] = 341020,
  [SMALL_STATE(16786)] = 341043,
  [SMALL_STATE(16787)] = 341064,
  [SMALL_STATE(16788)] = 341085,
  [SMALL_STATE(16789)] = 341108,
  [SMALL_STATE(16790)] = 341131,
  [SMALL_STATE(16791)] = 341152,
  [SMALL_STATE(16792)] = 341173,
  [SMALL_STATE(16793)] = 341194,
  [SMALL_STATE(16794)] = 341217,
  [SMALL_STATE(16795)] = 341240,
  [SMALL_STATE(16796)] = 341263,
  [SMALL_STATE(16797)] = 341286,
  [SMALL_STATE(16798)] = 341307,
  [SMALL_STATE(16799)] = 341330,
  [SMALL_STATE(16800)] = 341353,
  [SMALL_STATE(16801)] = 341374,
  [SMALL_STATE(16802)] = 341397,
  [SMALL_STATE(16803)] = 341420,
  [SMALL_STATE(16804)] = 341443,
  [SMALL_STATE(16805)] = 341464,
  [SMALL_STATE(16806)] = 341487,
  [SMALL_STATE(16807)] = 341510,
  [SMALL_STATE(16808)] = 341533,
  [SMALL_STATE(16809)] = 341556,
  [SMALL_STATE(16810)] = 341579,
  [SMALL_STATE(16811)] = 341602,
  [SMALL_STATE(16812)] = 341625,
  [SMALL_STATE(16813)] = 341646,
  [SMALL_STATE(16814)] = 341667,
  [SMALL_STATE(16815)] = 341690,
  [SMALL_STATE(16816)] = 341713,
  [SMALL_STATE(16817)] = 341736,
  [SMALL_STATE(16818)] = 341759,
  [SMALL_STATE(16819)] = 341782,
  [SMALL_STATE(16820)] = 341805,
  [SMALL_STATE(16821)] = 341828,
  [SMALL_STATE(16822)] = 341851,
  [SMALL_STATE(16823)] = 341874,
  [SMALL_STATE(16824)] = 341897,
  [SMALL_STATE(16825)] = 341920,
  [SMALL_STATE(16826)] = 341943,
  [SMALL_STATE(16827)] = 341966,
  [SMALL_STATE(16828)] = 341989,
  [SMALL_STATE(16829)] = 342012,
  [SMALL_STATE(16830)] = 342035,
  [SMALL_STATE(16831)] = 342058,
  [SMALL_STATE(16832)] = 342081,
  [SMALL_STATE(16833)] = 342104,
  [SMALL_STATE(16834)] = 342127,
  [SMALL_STATE(16835)] = 342150,
  [SMALL_STATE(16836)] = 342173,
  [SMALL_STATE(16837)] = 342190,
  [SMALL_STATE(16838)] = 342213,
  [SMALL_STATE(16839)] = 342236,
  [SMALL_STATE(16840)] = 342259,
  [SMALL_STATE(16841)] = 342282,
  [SMALL_STATE(16842)] = 342305,
  [SMALL_STATE(16843)] = 342328,
  [SMALL_STATE(16844)] = 342351,
  [SMALL_STATE(16845)] = 342374,
  [SMALL_STATE(16846)] = 342397,
  [SMALL_STATE(16847)] = 342420,
  [SMALL_STATE(16848)] = 342443,
  [SMALL_STATE(16849)] = 342466,
  [SMALL_STATE(16850)] = 342489,
  [SMALL_STATE(16851)] = 342512,
  [SMALL_STATE(16852)] = 342535,
  [SMALL_STATE(16853)] = 342558,
  [SMALL_STATE(16854)] = 342581,
  [SMALL_STATE(16855)] = 342604,
  [SMALL_STATE(16856)] = 342627,
  [SMALL_STATE(16857)] = 342650,
  [SMALL_STATE(16858)] = 342673,
  [SMALL_STATE(16859)] = 342696,
  [SMALL_STATE(16860)] = 342719,
  [SMALL_STATE(16861)] = 342742,
  [SMALL_STATE(16862)] = 342765,
  [SMALL_STATE(16863)] = 342788,
  [SMALL_STATE(16864)] = 342811,
  [SMALL_STATE(16865)] = 342834,
  [SMALL_STATE(16866)] = 342857,
  [SMALL_STATE(16867)] = 342880,
  [SMALL_STATE(16868)] = 342903,
  [SMALL_STATE(16869)] = 342926,
  [SMALL_STATE(16870)] = 342949,
  [SMALL_STATE(16871)] = 342972,
  [SMALL_STATE(16872)] = 342995,
  [SMALL_STATE(16873)] = 343018,
  [SMALL_STATE(16874)] = 343041,
  [SMALL_STATE(16875)] = 343064,
  [SMALL_STATE(16876)] = 343087,
  [SMALL_STATE(16877)] = 343110,
  [SMALL_STATE(16878)] = 343133,
  [SMALL_STATE(16879)] = 343156,
  [SMALL_STATE(16880)] = 343179,
  [SMALL_STATE(16881)] = 343202,
  [SMALL_STATE(16882)] = 343225,
  [SMALL_STATE(16883)] = 343248,
  [SMALL_STATE(16884)] = 343271,
  [SMALL_STATE(16885)] = 343294,
  [SMALL_STATE(16886)] = 343317,
  [SMALL_STATE(16887)] = 343340,
  [SMALL_STATE(16888)] = 343363,
  [SMALL_STATE(16889)] = 343386,
  [SMALL_STATE(16890)] = 343409,
  [SMALL_STATE(16891)] = 343432,
  [SMALL_STATE(16892)] = 343455,
  [SMALL_STATE(16893)] = 343478,
  [SMALL_STATE(16894)] = 343501,
  [SMALL_STATE(16895)] = 343524,
  [SMALL_STATE(16896)] = 343547,
  [SMALL_STATE(16897)] = 343570,
  [SMALL_STATE(16898)] = 343593,
  [SMALL_STATE(16899)] = 343616,
  [SMALL_STATE(16900)] = 343639,
  [SMALL_STATE(16901)] = 343662,
  [SMALL_STATE(16902)] = 343685,
  [SMALL_STATE(16903)] = 343706,
  [SMALL_STATE(16904)] = 343727,
  [SMALL_STATE(16905)] = 343748,
  [SMALL_STATE(16906)] = 343771,
  [SMALL_STATE(16907)] = 343788,
  [SMALL_STATE(16908)] = 343811,
  [SMALL_STATE(16909)] = 343834,
  [SMALL_STATE(16910)] = 343857,
  [SMALL_STATE(16911)] = 343880,
  [SMALL_STATE(16912)] = 343897,
  [SMALL_STATE(16913)] = 343920,
  [SMALL_STATE(16914)] = 343943,
  [SMALL_STATE(16915)] = 343964,
  [SMALL_STATE(16916)] = 343985,
  [SMALL_STATE(16917)] = 344006,
  [SMALL_STATE(16918)] = 344027,
  [SMALL_STATE(16919)] = 344048,
  [SMALL_STATE(16920)] = 344069,
  [SMALL_STATE(16921)] = 344090,
  [SMALL_STATE(16922)] = 344111,
  [SMALL_STATE(16923)] = 344134,
  [SMALL_STATE(16924)] = 344157,
  [SMALL_STATE(16925)] = 344174,
  [SMALL_STATE(16926)] = 344195,
  [SMALL_STATE(16927)] = 344216,
  [SMALL_STATE(16928)] = 344239,
  [SMALL_STATE(16929)] = 344260,
  [SMALL_STATE(16930)] = 344283,
  [SMALL_STATE(16931)] = 344304,
  [SMALL_STATE(16932)] = 344327,
  [SMALL_STATE(16933)] = 344350,
  [SMALL_STATE(16934)] = 344371,
  [SMALL_STATE(16935)] = 344394,
  [SMALL_STATE(16936)] = 344417,
  [SMALL_STATE(16937)] = 344440,
  [SMALL_STATE(16938)] = 344463,
  [SMALL_STATE(16939)] = 344484,
  [SMALL_STATE(16940)] = 344507,
  [SMALL_STATE(16941)] = 344530,
  [SMALL_STATE(16942)] = 344553,
  [SMALL_STATE(16943)] = 344576,
  [SMALL_STATE(16944)] = 344599,
  [SMALL_STATE(16945)] = 344622,
  [SMALL_STATE(16946)] = 344643,
  [SMALL_STATE(16947)] = 344664,
  [SMALL_STATE(16948)] = 344685,
  [SMALL_STATE(16949)] = 344702,
  [SMALL_STATE(16950)] = 344723,
  [SMALL_STATE(16951)] = 344746,
  [SMALL_STATE(16952)] = 344769,
  [SMALL_STATE(16953)] = 344792,
  [SMALL_STATE(16954)] = 344815,
  [SMALL_STATE(16955)] = 344838,
  [SMALL_STATE(16956)] = 344861,
  [SMALL_STATE(16957)] = 344884,
  [SMALL_STATE(16958)] = 344903,
  [SMALL_STATE(16959)] = 344926,
  [SMALL_STATE(16960)] = 344949,
  [SMALL_STATE(16961)] = 344970,
  [SMALL_STATE(16962)] = 344993,
  [SMALL_STATE(16963)] = 345014,
  [SMALL_STATE(16964)] = 345035,
  [SMALL_STATE(16965)] = 345056,
  [SMALL_STATE(16966)] = 345077,
  [SMALL_STATE(16967)] = 345098,
  [SMALL_STATE(16968)] = 345119,
  [SMALL_STATE(16969)] = 345142,
  [SMALL_STATE(16970)] = 345163,
  [SMALL_STATE(16971)] = 345184,
  [SMALL_STATE(16972)] = 345205,
  [SMALL_STATE(16973)] = 345228,
  [SMALL_STATE(16974)] = 345249,
  [SMALL_STATE(16975)] = 345270,
  [SMALL_STATE(16976)] = 345291,
  [SMALL_STATE(16977)] = 345312,
  [SMALL_STATE(16978)] = 345333,
  [SMALL_STATE(16979)] = 345356,
  [SMALL_STATE(16980)] = 345377,
  [SMALL_STATE(16981)] = 345398,
  [SMALL_STATE(16982)] = 345419,
  [SMALL_STATE(16983)] = 345440,
  [SMALL_STATE(16984)] = 345461,
  [SMALL_STATE(16985)] = 345482,
  [SMALL_STATE(16986)] = 345503,
  [SMALL_STATE(16987)] = 345524,
  [SMALL_STATE(16988)] = 345547,
  [SMALL_STATE(16989)] = 345570,
  [SMALL_STATE(16990)] = 345593,
  [SMALL_STATE(16991)] = 345614,
  [SMALL_STATE(16992)] = 345635,
  [SMALL_STATE(16993)] = 345656,
  [SMALL_STATE(16994)] = 345677,
  [SMALL_STATE(16995)] = 345698,
  [SMALL_STATE(16996)] = 345719,
  [SMALL_STATE(16997)] = 345742,
  [SMALL_STATE(16998)] = 345759,
  [SMALL_STATE(16999)] = 345780,
  [SMALL_STATE(17000)] = 345801,
  [SMALL_STATE(17001)] = 345822,
  [SMALL_STATE(17002)] = 345845,
  [SMALL_STATE(17003)] = 345866,
  [SMALL_STATE(17004)] = 345889,
  [SMALL_STATE(17005)] = 345910,
  [SMALL_STATE(17006)] = 345933,
  [SMALL_STATE(17007)] = 345954,
  [SMALL_STATE(17008)] = 345977,
  [SMALL_STATE(17009)] = 345998,
  [SMALL_STATE(17010)] = 346021,
  [SMALL_STATE(17011)] = 346044,
  [SMALL_STATE(17012)] = 346065,
  [SMALL_STATE(17013)] = 346086,
  [SMALL_STATE(17014)] = 346107,
  [SMALL_STATE(17015)] = 346128,
  [SMALL_STATE(17016)] = 346151,
  [SMALL_STATE(17017)] = 346172,
  [SMALL_STATE(17018)] = 346195,
  [SMALL_STATE(17019)] = 346218,
  [SMALL_STATE(17020)] = 346241,
  [SMALL_STATE(17021)] = 346264,
  [SMALL_STATE(17022)] = 346285,
  [SMALL_STATE(17023)] = 346306,
  [SMALL_STATE(17024)] = 346327,
  [SMALL_STATE(17025)] = 346350,
  [SMALL_STATE(17026)] = 346373,
  [SMALL_STATE(17027)] = 346394,
  [SMALL_STATE(17028)] = 346417,
  [SMALL_STATE(17029)] = 346438,
  [SMALL_STATE(17030)] = 346459,
  [SMALL_STATE(17031)] = 346480,
  [SMALL_STATE(17032)] = 346501,
  [SMALL_STATE(17033)] = 346522,
  [SMALL_STATE(17034)] = 346545,
  [SMALL_STATE(17035)] = 346568,
  [SMALL_STATE(17036)] = 346591,
  [SMALL_STATE(17037)] = 346612,
  [SMALL_STATE(17038)] = 346631,
  [SMALL_STATE(17039)] = 346654,
  [SMALL_STATE(17040)] = 346675,
  [SMALL_STATE(17041)] = 346698,
  [SMALL_STATE(17042)] = 346721,
  [SMALL_STATE(17043)] = 346742,
  [SMALL_STATE(17044)] = 346765,
  [SMALL_STATE(17045)] = 346786,
  [SMALL_STATE(17046)] = 346807,
  [SMALL_STATE(17047)] = 346830,
  [SMALL_STATE(17048)] = 346851,
  [SMALL_STATE(17049)] = 346874,
  [SMALL_STATE(17050)] = 346897,
  [SMALL_STATE(17051)] = 346918,
  [SMALL_STATE(17052)] = 346941,
  [SMALL_STATE(17053)] = 346964,
  [SMALL_STATE(17054)] = 346987,
  [SMALL_STATE(17055)] = 347010,
  [SMALL_STATE(17056)] = 347033,
  [SMALL_STATE(17057)] = 347056,
  [SMALL_STATE(17058)] = 347079,
  [SMALL_STATE(17059)] = 347100,
  [SMALL_STATE(17060)] = 347123,
  [SMALL_STATE(17061)] = 347140,
  [SMALL_STATE(17062)] = 347157,
  [SMALL_STATE(17063)] = 347180,
  [SMALL_STATE(17064)] = 347203,
  [SMALL_STATE(17065)] = 347226,
  [SMALL_STATE(17066)] = 347249,
  [SMALL_STATE(17067)] = 347272,
  [SMALL_STATE(17068)] = 347295,
  [SMALL_STATE(17069)] = 347316,
  [SMALL_STATE(17070)] = 347337,
  [SMALL_STATE(17071)] = 347360,
  [SMALL_STATE(17072)] = 347383,
  [SMALL_STATE(17073)] = 347404,
  [SMALL_STATE(17074)] = 347427,
  [SMALL_STATE(17075)] = 347448,
  [SMALL_STATE(17076)] = 347469,
  [SMALL_STATE(17077)] = 347492,
  [SMALL_STATE(17078)] = 347509,
  [SMALL_STATE(17079)] = 347530,
  [SMALL_STATE(17080)] = 347553,
  [SMALL_STATE(17081)] = 347574,
  [SMALL_STATE(17082)] = 347597,
  [SMALL_STATE(17083)] = 347618,
  [SMALL_STATE(17084)] = 347639,
  [SMALL_STATE(17085)] = 347660,
  [SMALL_STATE(17086)] = 347681,
  [SMALL_STATE(17087)] = 347702,
  [SMALL_STATE(17088)] = 347723,
  [SMALL_STATE(17089)] = 347744,
  [SMALL_STATE(17090)] = 347767,
  [SMALL_STATE(17091)] = 347790,
  [SMALL_STATE(17092)] = 347811,
  [SMALL_STATE(17093)] = 347832,
  [SMALL_STATE(17094)] = 347855,
  [SMALL_STATE(17095)] = 347876,
  [SMALL_STATE(17096)] = 347897,
  [SMALL_STATE(17097)] = 347920,
  [SMALL_STATE(17098)] = 347941,
  [SMALL_STATE(17099)] = 347962,
  [SMALL_STATE(17100)] = 347983,
  [SMALL_STATE(17101)] = 348004,
  [SMALL_STATE(17102)] = 348027,
  [SMALL_STATE(17103)] = 348050,
  [SMALL_STATE(17104)] = 348073,
  [SMALL_STATE(17105)] = 348096,
  [SMALL_STATE(17106)] = 348119,
  [SMALL_STATE(17107)] = 348140,
  [SMALL_STATE(17108)] = 348163,
  [SMALL_STATE(17109)] = 348186,
  [SMALL_STATE(17110)] = 348207,
  [SMALL_STATE(17111)] = 348230,
  [SMALL_STATE(17112)] = 348251,
  [SMALL_STATE(17113)] = 348272,
  [SMALL_STATE(17114)] = 348295,
  [SMALL_STATE(17115)] = 348318,
  [SMALL_STATE(17116)] = 348335,
  [SMALL_STATE(17117)] = 348358,
  [SMALL_STATE(17118)] = 348381,
  [SMALL_STATE(17119)] = 348402,
  [SMALL_STATE(17120)] = 348425,
  [SMALL_STATE(17121)] = 348448,
  [SMALL_STATE(17122)] = 348469,
  [SMALL_STATE(17123)] = 348490,
  [SMALL_STATE(17124)] = 348513,
  [SMALL_STATE(17125)] = 348534,
  [SMALL_STATE(17126)] = 348557,
  [SMALL_STATE(17127)] = 348580,
  [SMALL_STATE(17128)] = 348603,
  [SMALL_STATE(17129)] = 348626,
  [SMALL_STATE(17130)] = 348643,
  [SMALL_STATE(17131)] = 348666,
  [SMALL_STATE(17132)] = 348689,
  [SMALL_STATE(17133)] = 348712,
  [SMALL_STATE(17134)] = 348729,
  [SMALL_STATE(17135)] = 348750,
  [SMALL_STATE(17136)] = 348771,
  [SMALL_STATE(17137)] = 348792,
  [SMALL_STATE(17138)] = 348815,
  [SMALL_STATE(17139)] = 348838,
  [SMALL_STATE(17140)] = 348859,
  [SMALL_STATE(17141)] = 348882,
  [SMALL_STATE(17142)] = 348903,
  [SMALL_STATE(17143)] = 348926,
  [SMALL_STATE(17144)] = 348947,
  [SMALL_STATE(17145)] = 348968,
  [SMALL_STATE(17146)] = 348989,
  [SMALL_STATE(17147)] = 349012,
  [SMALL_STATE(17148)] = 349035,
  [SMALL_STATE(17149)] = 349058,
  [SMALL_STATE(17150)] = 349081,
  [SMALL_STATE(17151)] = 349104,
  [SMALL_STATE(17152)] = 349127,
  [SMALL_STATE(17153)] = 349150,
  [SMALL_STATE(17154)] = 349173,
  [SMALL_STATE(17155)] = 349194,
  [SMALL_STATE(17156)] = 349215,
  [SMALL_STATE(17157)] = 349236,
  [SMALL_STATE(17158)] = 349257,
  [SMALL_STATE(17159)] = 349280,
  [SMALL_STATE(17160)] = 349301,
  [SMALL_STATE(17161)] = 349322,
  [SMALL_STATE(17162)] = 349343,
  [SMALL_STATE(17163)] = 349364,
  [SMALL_STATE(17164)] = 349387,
  [SMALL_STATE(17165)] = 349410,
  [SMALL_STATE(17166)] = 349427,
  [SMALL_STATE(17167)] = 349448,
  [SMALL_STATE(17168)] = 349469,
  [SMALL_STATE(17169)] = 349490,
  [SMALL_STATE(17170)] = 349511,
  [SMALL_STATE(17171)] = 349534,
  [SMALL_STATE(17172)] = 349551,
  [SMALL_STATE(17173)] = 349574,
  [SMALL_STATE(17174)] = 349597,
  [SMALL_STATE(17175)] = 349620,
  [SMALL_STATE(17176)] = 349637,
  [SMALL_STATE(17177)] = 349660,
  [SMALL_STATE(17178)] = 349681,
  [SMALL_STATE(17179)] = 349704,
  [SMALL_STATE(17180)] = 349727,
  [SMALL_STATE(17181)] = 349750,
  [SMALL_STATE(17182)] = 349773,
  [SMALL_STATE(17183)] = 349796,
  [SMALL_STATE(17184)] = 349819,
  [SMALL_STATE(17185)] = 349842,
  [SMALL_STATE(17186)] = 349865,
  [SMALL_STATE(17187)] = 349886,
  [SMALL_STATE(17188)] = 349909,
  [SMALL_STATE(17189)] = 349930,
  [SMALL_STATE(17190)] = 349947,
  [SMALL_STATE(17191)] = 349966,
  [SMALL_STATE(17192)] = 349987,
  [SMALL_STATE(17193)] = 350008,
  [SMALL_STATE(17194)] = 350031,
  [SMALL_STATE(17195)] = 350054,
  [SMALL_STATE(17196)] = 350077,
  [SMALL_STATE(17197)] = 350098,
  [SMALL_STATE(17198)] = 350115,
  [SMALL_STATE(17199)] = 350138,
  [SMALL_STATE(17200)] = 350161,
  [SMALL_STATE(17201)] = 350184,
  [SMALL_STATE(17202)] = 350205,
  [SMALL_STATE(17203)] = 350226,
  [SMALL_STATE(17204)] = 350247,
  [SMALL_STATE(17205)] = 350268,
  [SMALL_STATE(17206)] = 350289,
  [SMALL_STATE(17207)] = 350310,
  [SMALL_STATE(17208)] = 350331,
  [SMALL_STATE(17209)] = 350352,
  [SMALL_STATE(17210)] = 350373,
  [SMALL_STATE(17211)] = 350394,
  [SMALL_STATE(17212)] = 350411,
  [SMALL_STATE(17213)] = 350428,
  [SMALL_STATE(17214)] = 350445,
  [SMALL_STATE(17215)] = 350462,
  [SMALL_STATE(17216)] = 350485,
  [SMALL_STATE(17217)] = 350506,
  [SMALL_STATE(17218)] = 350527,
  [SMALL_STATE(17219)] = 350550,
  [SMALL_STATE(17220)] = 350573,
  [SMALL_STATE(17221)] = 350596,
  [SMALL_STATE(17222)] = 350617,
  [SMALL_STATE(17223)] = 350640,
  [SMALL_STATE(17224)] = 350661,
  [SMALL_STATE(17225)] = 350682,
  [SMALL_STATE(17226)] = 350703,
  [SMALL_STATE(17227)] = 350724,
  [SMALL_STATE(17228)] = 350745,
  [SMALL_STATE(17229)] = 350766,
  [SMALL_STATE(17230)] = 350789,
  [SMALL_STATE(17231)] = 350806,
  [SMALL_STATE(17232)] = 350827,
  [SMALL_STATE(17233)] = 350848,
  [SMALL_STATE(17234)] = 350871,
  [SMALL_STATE(17235)] = 350892,
  [SMALL_STATE(17236)] = 350913,
  [SMALL_STATE(17237)] = 350936,
  [SMALL_STATE(17238)] = 350957,
  [SMALL_STATE(17239)] = 350980,
  [SMALL_STATE(17240)] = 351001,
  [SMALL_STATE(17241)] = 351022,
  [SMALL_STATE(17242)] = 351043,
  [SMALL_STATE(17243)] = 351066,
  [SMALL_STATE(17244)] = 351089,
  [SMALL_STATE(17245)] = 351112,
  [SMALL_STATE(17246)] = 351129,
  [SMALL_STATE(17247)] = 351150,
  [SMALL_STATE(17248)] = 351171,
  [SMALL_STATE(17249)] = 351194,
  [SMALL_STATE(17250)] = 351215,
  [SMALL_STATE(17251)] = 351236,
  [SMALL_STATE(17252)] = 351257,
  [SMALL_STATE(17253)] = 351278,
  [SMALL_STATE(17254)] = 351301,
  [SMALL_STATE(17255)] = 351324,
  [SMALL_STATE(17256)] = 351345,
  [SMALL_STATE(17257)] = 351366,
  [SMALL_STATE(17258)] = 351389,
  [SMALL_STATE(17259)] = 351412,
  [SMALL_STATE(17260)] = 351435,
  [SMALL_STATE(17261)] = 351456,
  [SMALL_STATE(17262)] = 351477,
  [SMALL_STATE(17263)] = 351498,
  [SMALL_STATE(17264)] = 351521,
  [SMALL_STATE(17265)] = 351542,
  [SMALL_STATE(17266)] = 351563,
  [SMALL_STATE(17267)] = 351586,
  [SMALL_STATE(17268)] = 351609,
  [SMALL_STATE(17269)] = 351630,
  [SMALL_STATE(17270)] = 351651,
  [SMALL_STATE(17271)] = 351672,
  [SMALL_STATE(17272)] = 351693,
  [SMALL_STATE(17273)] = 351716,
  [SMALL_STATE(17274)] = 351739,
  [SMALL_STATE(17275)] = 351762,
  [SMALL_STATE(17276)] = 351785,
  [SMALL_STATE(17277)] = 351808,
  [SMALL_STATE(17278)] = 351831,
  [SMALL_STATE(17279)] = 351854,
  [SMALL_STATE(17280)] = 351875,
  [SMALL_STATE(17281)] = 351898,
  [SMALL_STATE(17282)] = 351921,
  [SMALL_STATE(17283)] = 351944,
  [SMALL_STATE(17284)] = 351963,
  [SMALL_STATE(17285)] = 351984,
  [SMALL_STATE(17286)] = 352007,
  [SMALL_STATE(17287)] = 352028,
  [SMALL_STATE(17288)] = 352049,
  [SMALL_STATE(17289)] = 352070,
  [SMALL_STATE(17290)] = 352087,
  [SMALL_STATE(17291)] = 352110,
  [SMALL_STATE(17292)] = 352133,
  [SMALL_STATE(17293)] = 352156,
  [SMALL_STATE(17294)] = 352179,
  [SMALL_STATE(17295)] = 352200,
  [SMALL_STATE(17296)] = 352221,
  [SMALL_STATE(17297)] = 352244,
  [SMALL_STATE(17298)] = 352265,
  [SMALL_STATE(17299)] = 352286,
  [SMALL_STATE(17300)] = 352307,
  [SMALL_STATE(17301)] = 352330,
  [SMALL_STATE(17302)] = 352351,
  [SMALL_STATE(17303)] = 352374,
  [SMALL_STATE(17304)] = 352395,
  [SMALL_STATE(17305)] = 352412,
  [SMALL_STATE(17306)] = 352435,
  [SMALL_STATE(17307)] = 352458,
  [SMALL_STATE(17308)] = 352475,
  [SMALL_STATE(17309)] = 352492,
  [SMALL_STATE(17310)] = 352513,
  [SMALL_STATE(17311)] = 352534,
  [SMALL_STATE(17312)] = 352555,
  [SMALL_STATE(17313)] = 352576,
  [SMALL_STATE(17314)] = 352597,
  [SMALL_STATE(17315)] = 352620,
  [SMALL_STATE(17316)] = 352643,
  [SMALL_STATE(17317)] = 352666,
  [SMALL_STATE(17318)] = 352687,
  [SMALL_STATE(17319)] = 352708,
  [SMALL_STATE(17320)] = 352731,
  [SMALL_STATE(17321)] = 352752,
  [SMALL_STATE(17322)] = 352775,
  [SMALL_STATE(17323)] = 352798,
  [SMALL_STATE(17324)] = 352821,
  [SMALL_STATE(17325)] = 352842,
  [SMALL_STATE(17326)] = 352863,
  [SMALL_STATE(17327)] = 352884,
  [SMALL_STATE(17328)] = 352905,
  [SMALL_STATE(17329)] = 352926,
  [SMALL_STATE(17330)] = 352943,
  [SMALL_STATE(17331)] = 352966,
  [SMALL_STATE(17332)] = 352989,
  [SMALL_STATE(17333)] = 353012,
  [SMALL_STATE(17334)] = 353035,
  [SMALL_STATE(17335)] = 353058,
  [SMALL_STATE(17336)] = 353081,
  [SMALL_STATE(17337)] = 353104,
  [SMALL_STATE(17338)] = 353127,
  [SMALL_STATE(17339)] = 353150,
  [SMALL_STATE(17340)] = 353173,
  [SMALL_STATE(17341)] = 353194,
  [SMALL_STATE(17342)] = 353215,
  [SMALL_STATE(17343)] = 353236,
  [SMALL_STATE(17344)] = 353257,
  [SMALL_STATE(17345)] = 353278,
  [SMALL_STATE(17346)] = 353299,
  [SMALL_STATE(17347)] = 353320,
  [SMALL_STATE(17348)] = 353341,
  [SMALL_STATE(17349)] = 353362,
  [SMALL_STATE(17350)] = 353383,
  [SMALL_STATE(17351)] = 353404,
  [SMALL_STATE(17352)] = 353425,
  [SMALL_STATE(17353)] = 353446,
  [SMALL_STATE(17354)] = 353467,
  [SMALL_STATE(17355)] = 353488,
  [SMALL_STATE(17356)] = 353509,
  [SMALL_STATE(17357)] = 353532,
  [SMALL_STATE(17358)] = 353555,
  [SMALL_STATE(17359)] = 353576,
  [SMALL_STATE(17360)] = 353599,
  [SMALL_STATE(17361)] = 353620,
  [SMALL_STATE(17362)] = 353643,
  [SMALL_STATE(17363)] = 353664,
  [SMALL_STATE(17364)] = 353685,
  [SMALL_STATE(17365)] = 353706,
  [SMALL_STATE(17366)] = 353729,
  [SMALL_STATE(17367)] = 353750,
  [SMALL_STATE(17368)] = 353773,
  [SMALL_STATE(17369)] = 353794,
  [SMALL_STATE(17370)] = 353815,
  [SMALL_STATE(17371)] = 353838,
  [SMALL_STATE(17372)] = 353859,
  [SMALL_STATE(17373)] = 353880,
  [SMALL_STATE(17374)] = 353903,
  [SMALL_STATE(17375)] = 353926,
  [SMALL_STATE(17376)] = 353943,
  [SMALL_STATE(17377)] = 353964,
  [SMALL_STATE(17378)] = 353987,
  [SMALL_STATE(17379)] = 354006,
  [SMALL_STATE(17380)] = 354029,
  [SMALL_STATE(17381)] = 354048,
  [SMALL_STATE(17382)] = 354071,
  [SMALL_STATE(17383)] = 354094,
  [SMALL_STATE(17384)] = 354117,
  [SMALL_STATE(17385)] = 354140,
  [SMALL_STATE(17386)] = 354161,
  [SMALL_STATE(17387)] = 354184,
  [SMALL_STATE(17388)] = 354207,
  [SMALL_STATE(17389)] = 354230,
  [SMALL_STATE(17390)] = 354253,
  [SMALL_STATE(17391)] = 354274,
  [SMALL_STATE(17392)] = 354297,
  [SMALL_STATE(17393)] = 354318,
  [SMALL_STATE(17394)] = 354339,
  [SMALL_STATE(17395)] = 354360,
  [SMALL_STATE(17396)] = 354381,
  [SMALL_STATE(17397)] = 354402,
  [SMALL_STATE(17398)] = 354423,
  [SMALL_STATE(17399)] = 354442,
  [SMALL_STATE(17400)] = 354463,
  [SMALL_STATE(17401)] = 354486,
  [SMALL_STATE(17402)] = 354509,
  [SMALL_STATE(17403)] = 354532,
  [SMALL_STATE(17404)] = 354553,
  [SMALL_STATE(17405)] = 354574,
  [SMALL_STATE(17406)] = 354597,
  [SMALL_STATE(17407)] = 354620,
  [SMALL_STATE(17408)] = 354641,
  [SMALL_STATE(17409)] = 354662,
  [SMALL_STATE(17410)] = 354683,
  [SMALL_STATE(17411)] = 354704,
  [SMALL_STATE(17412)] = 354723,
  [SMALL_STATE(17413)] = 354740,
  [SMALL_STATE(17414)] = 354757,
  [SMALL_STATE(17415)] = 354778,
  [SMALL_STATE(17416)] = 354801,
  [SMALL_STATE(17417)] = 354822,
  [SMALL_STATE(17418)] = 354845,
  [SMALL_STATE(17419)] = 354868,
  [SMALL_STATE(17420)] = 354889,
  [SMALL_STATE(17421)] = 354910,
  [SMALL_STATE(17422)] = 354931,
  [SMALL_STATE(17423)] = 354952,
  [SMALL_STATE(17424)] = 354975,
  [SMALL_STATE(17425)] = 354998,
  [SMALL_STATE(17426)] = 355019,
  [SMALL_STATE(17427)] = 355040,
  [SMALL_STATE(17428)] = 355061,
  [SMALL_STATE(17429)] = 355082,
  [SMALL_STATE(17430)] = 355103,
  [SMALL_STATE(17431)] = 355124,
  [SMALL_STATE(17432)] = 355145,
  [SMALL_STATE(17433)] = 355168,
  [SMALL_STATE(17434)] = 355189,
  [SMALL_STATE(17435)] = 355212,
  [SMALL_STATE(17436)] = 355235,
  [SMALL_STATE(17437)] = 355258,
  [SMALL_STATE(17438)] = 355281,
  [SMALL_STATE(17439)] = 355304,
  [SMALL_STATE(17440)] = 355327,
  [SMALL_STATE(17441)] = 355350,
  [SMALL_STATE(17442)] = 355373,
  [SMALL_STATE(17443)] = 355394,
  [SMALL_STATE(17444)] = 355417,
  [SMALL_STATE(17445)] = 355438,
  [SMALL_STATE(17446)] = 355461,
  [SMALL_STATE(17447)] = 355482,
  [SMALL_STATE(17448)] = 355503,
  [SMALL_STATE(17449)] = 355524,
  [SMALL_STATE(17450)] = 355545,
  [SMALL_STATE(17451)] = 355568,
  [SMALL_STATE(17452)] = 355589,
  [SMALL_STATE(17453)] = 355610,
  [SMALL_STATE(17454)] = 355633,
  [SMALL_STATE(17455)] = 355654,
  [SMALL_STATE(17456)] = 355675,
  [SMALL_STATE(17457)] = 355696,
  [SMALL_STATE(17458)] = 355717,
  [SMALL_STATE(17459)] = 355734,
  [SMALL_STATE(17460)] = 355755,
  [SMALL_STATE(17461)] = 355776,
  [SMALL_STATE(17462)] = 355797,
  [SMALL_STATE(17463)] = 355818,
  [SMALL_STATE(17464)] = 355839,
  [SMALL_STATE(17465)] = 355860,
  [SMALL_STATE(17466)] = 355881,
  [SMALL_STATE(17467)] = 355904,
  [SMALL_STATE(17468)] = 355925,
  [SMALL_STATE(17469)] = 355948,
  [SMALL_STATE(17470)] = 355971,
  [SMALL_STATE(17471)] = 355992,
  [SMALL_STATE(17472)] = 356013,
  [SMALL_STATE(17473)] = 356034,
  [SMALL_STATE(17474)] = 356057,
  [SMALL_STATE(17475)] = 356078,
  [SMALL_STATE(17476)] = 356099,
  [SMALL_STATE(17477)] = 356122,
  [SMALL_STATE(17478)] = 356143,
  [SMALL_STATE(17479)] = 356166,
  [SMALL_STATE(17480)] = 356187,
  [SMALL_STATE(17481)] = 356204,
  [SMALL_STATE(17482)] = 356225,
  [SMALL_STATE(17483)] = 356248,
  [SMALL_STATE(17484)] = 356265,
  [SMALL_STATE(17485)] = 356286,
  [SMALL_STATE(17486)] = 356303,
  [SMALL_STATE(17487)] = 356324,
  [SMALL_STATE(17488)] = 356347,
  [SMALL_STATE(17489)] = 356364,
  [SMALL_STATE(17490)] = 356385,
  [SMALL_STATE(17491)] = 356406,
  [SMALL_STATE(17492)] = 356427,
  [SMALL_STATE(17493)] = 356448,
  [SMALL_STATE(17494)] = 356471,
  [SMALL_STATE(17495)] = 356494,
  [SMALL_STATE(17496)] = 356517,
  [SMALL_STATE(17497)] = 356538,
  [SMALL_STATE(17498)] = 356559,
  [SMALL_STATE(17499)] = 356580,
  [SMALL_STATE(17500)] = 356603,
  [SMALL_STATE(17501)] = 356624,
  [SMALL_STATE(17502)] = 356641,
  [SMALL_STATE(17503)] = 356658,
  [SMALL_STATE(17504)] = 356675,
  [SMALL_STATE(17505)] = 356696,
  [SMALL_STATE(17506)] = 356717,
  [SMALL_STATE(17507)] = 356734,
  [SMALL_STATE(17508)] = 356757,
  [SMALL_STATE(17509)] = 356778,
  [SMALL_STATE(17510)] = 356799,
  [SMALL_STATE(17511)] = 356820,
  [SMALL_STATE(17512)] = 356841,
  [SMALL_STATE(17513)] = 356862,
  [SMALL_STATE(17514)] = 356883,
  [SMALL_STATE(17515)] = 356904,
  [SMALL_STATE(17516)] = 356925,
  [SMALL_STATE(17517)] = 356946,
  [SMALL_STATE(17518)] = 356967,
  [SMALL_STATE(17519)] = 356984,
  [SMALL_STATE(17520)] = 357007,
  [SMALL_STATE(17521)] = 357028,
  [SMALL_STATE(17522)] = 357045,
  [SMALL_STATE(17523)] = 357066,
  [SMALL_STATE(17524)] = 357083,
  [SMALL_STATE(17525)] = 357104,
  [SMALL_STATE(17526)] = 357127,
  [SMALL_STATE(17527)] = 357144,
  [SMALL_STATE(17528)] = 357161,
  [SMALL_STATE(17529)] = 357178,
  [SMALL_STATE(17530)] = 357199,
  [SMALL_STATE(17531)] = 357216,
  [SMALL_STATE(17532)] = 357237,
  [SMALL_STATE(17533)] = 357254,
  [SMALL_STATE(17534)] = 357271,
  [SMALL_STATE(17535)] = 357292,
  [SMALL_STATE(17536)] = 357313,
  [SMALL_STATE(17537)] = 357334,
  [SMALL_STATE(17538)] = 357355,
  [SMALL_STATE(17539)] = 357378,
  [SMALL_STATE(17540)] = 357399,
  [SMALL_STATE(17541)] = 357422,
  [SMALL_STATE(17542)] = 357439,
  [SMALL_STATE(17543)] = 357460,
  [SMALL_STATE(17544)] = 357481,
  [SMALL_STATE(17545)] = 357502,
  [SMALL_STATE(17546)] = 357523,
  [SMALL_STATE(17547)] = 357544,
  [SMALL_STATE(17548)] = 357565,
  [SMALL_STATE(17549)] = 357586,
  [SMALL_STATE(17550)] = 357609,
  [SMALL_STATE(17551)] = 357630,
  [SMALL_STATE(17552)] = 357647,
  [SMALL_STATE(17553)] = 357668,
  [SMALL_STATE(17554)] = 357691,
  [SMALL_STATE(17555)] = 357712,
  [SMALL_STATE(17556)] = 357735,
  [SMALL_STATE(17557)] = 357752,
  [SMALL_STATE(17558)] = 357773,
  [SMALL_STATE(17559)] = 357794,
  [SMALL_STATE(17560)] = 357811,
  [SMALL_STATE(17561)] = 357832,
  [SMALL_STATE(17562)] = 357853,
  [SMALL_STATE(17563)] = 357874,
  [SMALL_STATE(17564)] = 357891,
  [SMALL_STATE(17565)] = 357914,
  [SMALL_STATE(17566)] = 357935,
  [SMALL_STATE(17567)] = 357956,
  [SMALL_STATE(17568)] = 357979,
  [SMALL_STATE(17569)] = 358000,
  [SMALL_STATE(17570)] = 358021,
  [SMALL_STATE(17571)] = 358042,
  [SMALL_STATE(17572)] = 358063,
  [SMALL_STATE(17573)] = 358080,
  [SMALL_STATE(17574)] = 358101,
  [SMALL_STATE(17575)] = 358122,
  [SMALL_STATE(17576)] = 358143,
  [SMALL_STATE(17577)] = 358164,
  [SMALL_STATE(17578)] = 358185,
  [SMALL_STATE(17579)] = 358206,
  [SMALL_STATE(17580)] = 358229,
  [SMALL_STATE(17581)] = 358252,
  [SMALL_STATE(17582)] = 358275,
  [SMALL_STATE(17583)] = 358296,
  [SMALL_STATE(17584)] = 358317,
  [SMALL_STATE(17585)] = 358340,
  [SMALL_STATE(17586)] = 358360,
  [SMALL_STATE(17587)] = 358378,
  [SMALL_STATE(17588)] = 358398,
  [SMALL_STATE(17589)] = 358418,
  [SMALL_STATE(17590)] = 358438,
  [SMALL_STATE(17591)] = 358458,
  [SMALL_STATE(17592)] = 358478,
  [SMALL_STATE(17593)] = 358498,
  [SMALL_STATE(17594)] = 358518,
  [SMALL_STATE(17595)] = 358536,
  [SMALL_STATE(17596)] = 358556,
  [SMALL_STATE(17597)] = 358576,
  [SMALL_STATE(17598)] = 358594,
  [SMALL_STATE(17599)] = 358614,
  [SMALL_STATE(17600)] = 358634,
  [SMALL_STATE(17601)] = 358654,
  [SMALL_STATE(17602)] = 358674,
  [SMALL_STATE(17603)] = 358694,
  [SMALL_STATE(17604)] = 358714,
  [SMALL_STATE(17605)] = 358734,
  [SMALL_STATE(17606)] = 358754,
  [SMALL_STATE(17607)] = 358772,
  [SMALL_STATE(17608)] = 358792,
  [SMALL_STATE(17609)] = 358812,
  [SMALL_STATE(17610)] = 358832,
  [SMALL_STATE(17611)] = 358852,
  [SMALL_STATE(17612)] = 358872,
  [SMALL_STATE(17613)] = 358890,
  [SMALL_STATE(17614)] = 358910,
  [SMALL_STATE(17615)] = 358930,
  [SMALL_STATE(17616)] = 358950,
  [SMALL_STATE(17617)] = 358970,
  [SMALL_STATE(17618)] = 358990,
  [SMALL_STATE(17619)] = 359010,
  [SMALL_STATE(17620)] = 359030,
  [SMALL_STATE(17621)] = 359050,
  [SMALL_STATE(17622)] = 359070,
  [SMALL_STATE(17623)] = 359090,
  [SMALL_STATE(17624)] = 359110,
  [SMALL_STATE(17625)] = 359128,
  [SMALL_STATE(17626)] = 359146,
  [SMALL_STATE(17627)] = 359166,
  [SMALL_STATE(17628)] = 359186,
  [SMALL_STATE(17629)] = 359206,
  [SMALL_STATE(17630)] = 359226,
  [SMALL_STATE(17631)] = 359246,
  [SMALL_STATE(17632)] = 359266,
  [SMALL_STATE(17633)] = 359286,
  [SMALL_STATE(17634)] = 359306,
  [SMALL_STATE(17635)] = 359326,
  [SMALL_STATE(17636)] = 359346,
  [SMALL_STATE(17637)] = 359366,
  [SMALL_STATE(17638)] = 359386,
  [SMALL_STATE(17639)] = 359406,
  [SMALL_STATE(17640)] = 359426,
  [SMALL_STATE(17641)] = 359446,
  [SMALL_STATE(17642)] = 359466,
  [SMALL_STATE(17643)] = 359486,
  [SMALL_STATE(17644)] = 359502,
  [SMALL_STATE(17645)] = 359522,
  [SMALL_STATE(17646)] = 359542,
  [SMALL_STATE(17647)] = 359562,
  [SMALL_STATE(17648)] = 359582,
  [SMALL_STATE(17649)] = 359600,
  [SMALL_STATE(17650)] = 359618,
  [SMALL_STATE(17651)] = 359638,
  [SMALL_STATE(17652)] = 359656,
  [SMALL_STATE(17653)] = 359676,
  [SMALL_STATE(17654)] = 359694,
  [SMALL_STATE(17655)] = 359714,
  [SMALL_STATE(17656)] = 359734,
  [SMALL_STATE(17657)] = 359754,
  [SMALL_STATE(17658)] = 359774,
  [SMALL_STATE(17659)] = 359794,
  [SMALL_STATE(17660)] = 359814,
  [SMALL_STATE(17661)] = 359834,
  [SMALL_STATE(17662)] = 359854,
  [SMALL_STATE(17663)] = 359874,
  [SMALL_STATE(17664)] = 359894,
  [SMALL_STATE(17665)] = 359914,
  [SMALL_STATE(17666)] = 359934,
  [SMALL_STATE(17667)] = 359954,
  [SMALL_STATE(17668)] = 359974,
  [SMALL_STATE(17669)] = 359994,
  [SMALL_STATE(17670)] = 360014,
  [SMALL_STATE(17671)] = 360034,
  [SMALL_STATE(17672)] = 360054,
  [SMALL_STATE(17673)] = 360074,
  [SMALL_STATE(17674)] = 360092,
  [SMALL_STATE(17675)] = 360112,
  [SMALL_STATE(17676)] = 360132,
  [SMALL_STATE(17677)] = 360152,
  [SMALL_STATE(17678)] = 360172,
  [SMALL_STATE(17679)] = 360192,
  [SMALL_STATE(17680)] = 360212,
  [SMALL_STATE(17681)] = 360232,
  [SMALL_STATE(17682)] = 360252,
  [SMALL_STATE(17683)] = 360270,
  [SMALL_STATE(17684)] = 360290,
  [SMALL_STATE(17685)] = 360308,
  [SMALL_STATE(17686)] = 360328,
  [SMALL_STATE(17687)] = 360348,
  [SMALL_STATE(17688)] = 360368,
  [SMALL_STATE(17689)] = 360388,
  [SMALL_STATE(17690)] = 360406,
  [SMALL_STATE(17691)] = 360426,
  [SMALL_STATE(17692)] = 360446,
  [SMALL_STATE(17693)] = 360466,
  [SMALL_STATE(17694)] = 360486,
  [SMALL_STATE(17695)] = 360506,
  [SMALL_STATE(17696)] = 360526,
  [SMALL_STATE(17697)] = 360546,
  [SMALL_STATE(17698)] = 360564,
  [SMALL_STATE(17699)] = 360584,
  [SMALL_STATE(17700)] = 360604,
  [SMALL_STATE(17701)] = 360622,
  [SMALL_STATE(17702)] = 360642,
  [SMALL_STATE(17703)] = 360662,
  [SMALL_STATE(17704)] = 360682,
  [SMALL_STATE(17705)] = 360702,
  [SMALL_STATE(17706)] = 360720,
  [SMALL_STATE(17707)] = 360738,
  [SMALL_STATE(17708)] = 360758,
  [SMALL_STATE(17709)] = 360778,
  [SMALL_STATE(17710)] = 360798,
  [SMALL_STATE(17711)] = 360818,
  [SMALL_STATE(17712)] = 360838,
  [SMALL_STATE(17713)] = 360854,
  [SMALL_STATE(17714)] = 360874,
  [SMALL_STATE(17715)] = 360892,
  [SMALL_STATE(17716)] = 360912,
  [SMALL_STATE(17717)] = 360932,
  [SMALL_STATE(17718)] = 360952,
  [SMALL_STATE(17719)] = 360972,
  [SMALL_STATE(17720)] = 360992,
  [SMALL_STATE(17721)] = 361012,
  [SMALL_STATE(17722)] = 361028,
  [SMALL_STATE(17723)] = 361048,
  [SMALL_STATE(17724)] = 361068,
  [SMALL_STATE(17725)] = 361088,
  [SMALL_STATE(17726)] = 361108,
  [SMALL_STATE(17727)] = 361128,
  [SMALL_STATE(17728)] = 361148,
  [SMALL_STATE(17729)] = 361168,
  [SMALL_STATE(17730)] = 361188,
  [SMALL_STATE(17731)] = 361208,
  [SMALL_STATE(17732)] = 361228,
  [SMALL_STATE(17733)] = 361246,
  [SMALL_STATE(17734)] = 361266,
  [SMALL_STATE(17735)] = 361286,
  [SMALL_STATE(17736)] = 361306,
  [SMALL_STATE(17737)] = 361324,
  [SMALL_STATE(17738)] = 361344,
  [SMALL_STATE(17739)] = 361364,
  [SMALL_STATE(17740)] = 361384,
  [SMALL_STATE(17741)] = 361404,
  [SMALL_STATE(17742)] = 361424,
  [SMALL_STATE(17743)] = 361444,
  [SMALL_STATE(17744)] = 361464,
  [SMALL_STATE(17745)] = 361480,
  [SMALL_STATE(17746)] = 361500,
  [SMALL_STATE(17747)] = 361520,
  [SMALL_STATE(17748)] = 361540,
  [SMALL_STATE(17749)] = 361556,
  [SMALL_STATE(17750)] = 361576,
  [SMALL_STATE(17751)] = 361596,
  [SMALL_STATE(17752)] = 361616,
  [SMALL_STATE(17753)] = 361636,
  [SMALL_STATE(17754)] = 361656,
  [SMALL_STATE(17755)] = 361676,
  [SMALL_STATE(17756)] = 361696,
  [SMALL_STATE(17757)] = 361714,
  [SMALL_STATE(17758)] = 361734,
  [SMALL_STATE(17759)] = 361754,
  [SMALL_STATE(17760)] = 361774,
  [SMALL_STATE(17761)] = 361794,
  [SMALL_STATE(17762)] = 361814,
  [SMALL_STATE(17763)] = 361834,
  [SMALL_STATE(17764)] = 361854,
  [SMALL_STATE(17765)] = 361874,
  [SMALL_STATE(17766)] = 361894,
  [SMALL_STATE(17767)] = 361914,
  [SMALL_STATE(17768)] = 361934,
  [SMALL_STATE(17769)] = 361954,
  [SMALL_STATE(17770)] = 361974,
  [SMALL_STATE(17771)] = 361994,
  [SMALL_STATE(17772)] = 362014,
  [SMALL_STATE(17773)] = 362034,
  [SMALL_STATE(17774)] = 362054,
  [SMALL_STATE(17775)] = 362072,
  [SMALL_STATE(17776)] = 362092,
  [SMALL_STATE(17777)] = 362112,
  [SMALL_STATE(17778)] = 362132,
  [SMALL_STATE(17779)] = 362152,
  [SMALL_STATE(17780)] = 362172,
  [SMALL_STATE(17781)] = 362192,
  [SMALL_STATE(17782)] = 362212,
  [SMALL_STATE(17783)] = 362232,
  [SMALL_STATE(17784)] = 362252,
  [SMALL_STATE(17785)] = 362270,
  [SMALL_STATE(17786)] = 362290,
  [SMALL_STATE(17787)] = 362310,
  [SMALL_STATE(17788)] = 362330,
  [SMALL_STATE(17789)] = 362350,
  [SMALL_STATE(17790)] = 362370,
  [SMALL_STATE(17791)] = 362390,
  [SMALL_STATE(17792)] = 362410,
  [SMALL_STATE(17793)] = 362430,
  [SMALL_STATE(17794)] = 362450,
  [SMALL_STATE(17795)] = 362470,
  [SMALL_STATE(17796)] = 362490,
  [SMALL_STATE(17797)] = 362510,
  [SMALL_STATE(17798)] = 362530,
  [SMALL_STATE(17799)] = 362550,
  [SMALL_STATE(17800)] = 362570,
  [SMALL_STATE(17801)] = 362590,
  [SMALL_STATE(17802)] = 362610,
  [SMALL_STATE(17803)] = 362630,
  [SMALL_STATE(17804)] = 362650,
  [SMALL_STATE(17805)] = 362670,
  [SMALL_STATE(17806)] = 362690,
  [SMALL_STATE(17807)] = 362710,
  [SMALL_STATE(17808)] = 362730,
  [SMALL_STATE(17809)] = 362750,
  [SMALL_STATE(17810)] = 362770,
  [SMALL_STATE(17811)] = 362790,
  [SMALL_STATE(17812)] = 362810,
  [SMALL_STATE(17813)] = 362830,
  [SMALL_STATE(17814)] = 362850,
  [SMALL_STATE(17815)] = 362870,
  [SMALL_STATE(17816)] = 362890,
  [SMALL_STATE(17817)] = 362910,
  [SMALL_STATE(17818)] = 362930,
  [SMALL_STATE(17819)] = 362950,
  [SMALL_STATE(17820)] = 362970,
  [SMALL_STATE(17821)] = 362990,
  [SMALL_STATE(17822)] = 363010,
  [SMALL_STATE(17823)] = 363028,
  [SMALL_STATE(17824)] = 363048,
  [SMALL_STATE(17825)] = 363068,
  [SMALL_STATE(17826)] = 363088,
  [SMALL_STATE(17827)] = 363108,
  [SMALL_STATE(17828)] = 363128,
  [SMALL_STATE(17829)] = 363146,
  [SMALL_STATE(17830)] = 363166,
  [SMALL_STATE(17831)] = 363186,
  [SMALL_STATE(17832)] = 363206,
  [SMALL_STATE(17833)] = 363224,
  [SMALL_STATE(17834)] = 363244,
  [SMALL_STATE(17835)] = 363264,
  [SMALL_STATE(17836)] = 363284,
  [SMALL_STATE(17837)] = 363304,
  [SMALL_STATE(17838)] = 363324,
  [SMALL_STATE(17839)] = 363344,
  [SMALL_STATE(17840)] = 363364,
  [SMALL_STATE(17841)] = 363384,
  [SMALL_STATE(17842)] = 363404,
  [SMALL_STATE(17843)] = 363424,
  [SMALL_STATE(17844)] = 363444,
  [SMALL_STATE(17845)] = 363464,
  [SMALL_STATE(17846)] = 363484,
  [SMALL_STATE(17847)] = 363502,
  [SMALL_STATE(17848)] = 363522,
  [SMALL_STATE(17849)] = 363542,
  [SMALL_STATE(17850)] = 363562,
  [SMALL_STATE(17851)] = 363582,
  [SMALL_STATE(17852)] = 363602,
  [SMALL_STATE(17853)] = 363620,
  [SMALL_STATE(17854)] = 363640,
  [SMALL_STATE(17855)] = 363660,
  [SMALL_STATE(17856)] = 363680,
  [SMALL_STATE(17857)] = 363700,
  [SMALL_STATE(17858)] = 363720,
  [SMALL_STATE(17859)] = 363740,
  [SMALL_STATE(17860)] = 363758,
  [SMALL_STATE(17861)] = 363778,
  [SMALL_STATE(17862)] = 363798,
  [SMALL_STATE(17863)] = 363818,
  [SMALL_STATE(17864)] = 363838,
  [SMALL_STATE(17865)] = 363858,
  [SMALL_STATE(17866)] = 363878,
  [SMALL_STATE(17867)] = 363898,
  [SMALL_STATE(17868)] = 363916,
  [SMALL_STATE(17869)] = 363936,
  [SMALL_STATE(17870)] = 363954,
  [SMALL_STATE(17871)] = 363974,
  [SMALL_STATE(17872)] = 363994,
  [SMALL_STATE(17873)] = 364014,
  [SMALL_STATE(17874)] = 364034,
  [SMALL_STATE(17875)] = 364054,
  [SMALL_STATE(17876)] = 364074,
  [SMALL_STATE(17877)] = 364094,
  [SMALL_STATE(17878)] = 364114,
  [SMALL_STATE(17879)] = 364134,
  [SMALL_STATE(17880)] = 364154,
  [SMALL_STATE(17881)] = 364174,
  [SMALL_STATE(17882)] = 364194,
  [SMALL_STATE(17883)] = 364214,
  [SMALL_STATE(17884)] = 364234,
  [SMALL_STATE(17885)] = 364254,
  [SMALL_STATE(17886)] = 364274,
  [SMALL_STATE(17887)] = 364294,
  [SMALL_STATE(17888)] = 364314,
  [SMALL_STATE(17889)] = 364334,
  [SMALL_STATE(17890)] = 364354,
  [SMALL_STATE(17891)] = 364372,
  [SMALL_STATE(17892)] = 364392,
  [SMALL_STATE(17893)] = 364412,
  [SMALL_STATE(17894)] = 364432,
  [SMALL_STATE(17895)] = 364452,
  [SMALL_STATE(17896)] = 364472,
  [SMALL_STATE(17897)] = 364490,
  [SMALL_STATE(17898)] = 364510,
  [SMALL_STATE(17899)] = 364530,
  [SMALL_STATE(17900)] = 364550,
  [SMALL_STATE(17901)] = 364570,
  [SMALL_STATE(17902)] = 364590,
  [SMALL_STATE(17903)] = 364610,
  [SMALL_STATE(17904)] = 364630,
  [SMALL_STATE(17905)] = 364648,
  [SMALL_STATE(17906)] = 364668,
  [SMALL_STATE(17907)] = 364688,
  [SMALL_STATE(17908)] = 364708,
  [SMALL_STATE(17909)] = 364728,
  [SMALL_STATE(17910)] = 364748,
  [SMALL_STATE(17911)] = 364766,
  [SMALL_STATE(17912)] = 364786,
  [SMALL_STATE(17913)] = 364806,
  [SMALL_STATE(17914)] = 364826,
  [SMALL_STATE(17915)] = 364846,
  [SMALL_STATE(17916)] = 364866,
  [SMALL_STATE(17917)] = 364886,
  [SMALL_STATE(17918)] = 364906,
  [SMALL_STATE(17919)] = 364926,
  [SMALL_STATE(17920)] = 364946,
  [SMALL_STATE(17921)] = 364964,
  [SMALL_STATE(17922)] = 364984,
  [SMALL_STATE(17923)] = 365002,
  [SMALL_STATE(17924)] = 365022,
  [SMALL_STATE(17925)] = 365042,
  [SMALL_STATE(17926)] = 365062,
  [SMALL_STATE(17927)] = 365082,
  [SMALL_STATE(17928)] = 365102,
  [SMALL_STATE(17929)] = 365122,
  [SMALL_STATE(17930)] = 365142,
  [SMALL_STATE(17931)] = 365162,
  [SMALL_STATE(17932)] = 365182,
  [SMALL_STATE(17933)] = 365202,
  [SMALL_STATE(17934)] = 365220,
  [SMALL_STATE(17935)] = 365238,
  [SMALL_STATE(17936)] = 365258,
  [SMALL_STATE(17937)] = 365278,
  [SMALL_STATE(17938)] = 365296,
  [SMALL_STATE(17939)] = 365316,
  [SMALL_STATE(17940)] = 365336,
  [SMALL_STATE(17941)] = 365356,
  [SMALL_STATE(17942)] = 365374,
  [SMALL_STATE(17943)] = 365394,
  [SMALL_STATE(17944)] = 365414,
  [SMALL_STATE(17945)] = 365434,
  [SMALL_STATE(17946)] = 365454,
  [SMALL_STATE(17947)] = 365474,
  [SMALL_STATE(17948)] = 365492,
  [SMALL_STATE(17949)] = 365512,
  [SMALL_STATE(17950)] = 365532,
  [SMALL_STATE(17951)] = 365552,
  [SMALL_STATE(17952)] = 365572,
  [SMALL_STATE(17953)] = 365588,
  [SMALL_STATE(17954)] = 365606,
  [SMALL_STATE(17955)] = 365626,
  [SMALL_STATE(17956)] = 365644,
  [SMALL_STATE(17957)] = 365664,
  [SMALL_STATE(17958)] = 365684,
  [SMALL_STATE(17959)] = 365704,
  [SMALL_STATE(17960)] = 365724,
  [SMALL_STATE(17961)] = 365740,
  [SMALL_STATE(17962)] = 365760,
  [SMALL_STATE(17963)] = 365780,
  [SMALL_STATE(17964)] = 365800,
  [SMALL_STATE(17965)] = 365820,
  [SMALL_STATE(17966)] = 365840,
  [SMALL_STATE(17967)] = 365860,
  [SMALL_STATE(17968)] = 365880,
  [SMALL_STATE(17969)] = 365900,
  [SMALL_STATE(17970)] = 365920,
  [SMALL_STATE(17971)] = 365940,
  [SMALL_STATE(17972)] = 365960,
  [SMALL_STATE(17973)] = 365980,
  [SMALL_STATE(17974)] = 366000,
  [SMALL_STATE(17975)] = 366020,
  [SMALL_STATE(17976)] = 366040,
  [SMALL_STATE(17977)] = 366060,
  [SMALL_STATE(17978)] = 366078,
  [SMALL_STATE(17979)] = 366098,
  [SMALL_STATE(17980)] = 366118,
  [SMALL_STATE(17981)] = 366136,
  [SMALL_STATE(17982)] = 366156,
  [SMALL_STATE(17983)] = 366176,
  [SMALL_STATE(17984)] = 366196,
  [SMALL_STATE(17985)] = 366216,
  [SMALL_STATE(17986)] = 366236,
  [SMALL_STATE(17987)] = 366256,
  [SMALL_STATE(17988)] = 366276,
  [SMALL_STATE(17989)] = 366296,
  [SMALL_STATE(17990)] = 366314,
  [SMALL_STATE(17991)] = 366334,
  [SMALL_STATE(17992)] = 366352,
  [SMALL_STATE(17993)] = 366372,
  [SMALL_STATE(17994)] = 366392,
  [SMALL_STATE(17995)] = 366412,
  [SMALL_STATE(17996)] = 366432,
  [SMALL_STATE(17997)] = 366452,
  [SMALL_STATE(17998)] = 366472,
  [SMALL_STATE(17999)] = 366492,
  [SMALL_STATE(18000)] = 366512,
  [SMALL_STATE(18001)] = 366532,
  [SMALL_STATE(18002)] = 366552,
  [SMALL_STATE(18003)] = 366572,
  [SMALL_STATE(18004)] = 366592,
  [SMALL_STATE(18005)] = 366608,
  [SMALL_STATE(18006)] = 366628,
  [SMALL_STATE(18007)] = 366648,
  [SMALL_STATE(18008)] = 366668,
  [SMALL_STATE(18009)] = 366688,
  [SMALL_STATE(18010)] = 366708,
  [SMALL_STATE(18011)] = 366726,
  [SMALL_STATE(18012)] = 366746,
  [SMALL_STATE(18013)] = 366766,
  [SMALL_STATE(18014)] = 366786,
  [SMALL_STATE(18015)] = 366806,
  [SMALL_STATE(18016)] = 366826,
  [SMALL_STATE(18017)] = 366846,
  [SMALL_STATE(18018)] = 366866,
  [SMALL_STATE(18019)] = 366886,
  [SMALL_STATE(18020)] = 366906,
  [SMALL_STATE(18021)] = 366926,
  [SMALL_STATE(18022)] = 366946,
  [SMALL_STATE(18023)] = 366964,
  [SMALL_STATE(18024)] = 366984,
  [SMALL_STATE(18025)] = 367002,
  [SMALL_STATE(18026)] = 367022,
  [SMALL_STATE(18027)] = 367042,
  [SMALL_STATE(18028)] = 367062,
  [SMALL_STATE(18029)] = 367082,
  [SMALL_STATE(18030)] = 367100,
  [SMALL_STATE(18031)] = 367120,
  [SMALL_STATE(18032)] = 367140,
  [SMALL_STATE(18033)] = 367156,
  [SMALL_STATE(18034)] = 367176,
  [SMALL_STATE(18035)] = 367194,
  [SMALL_STATE(18036)] = 367214,
  [SMALL_STATE(18037)] = 367234,
  [SMALL_STATE(18038)] = 367254,
  [SMALL_STATE(18039)] = 367272,
  [SMALL_STATE(18040)] = 367292,
  [SMALL_STATE(18041)] = 367312,
  [SMALL_STATE(18042)] = 367332,
  [SMALL_STATE(18043)] = 367348,
  [SMALL_STATE(18044)] = 367368,
  [SMALL_STATE(18045)] = 367388,
  [SMALL_STATE(18046)] = 367406,
  [SMALL_STATE(18047)] = 367426,
  [SMALL_STATE(18048)] = 367446,
  [SMALL_STATE(18049)] = 367466,
  [SMALL_STATE(18050)] = 367484,
  [SMALL_STATE(18051)] = 367504,
  [SMALL_STATE(18052)] = 367520,
  [SMALL_STATE(18053)] = 367540,
  [SMALL_STATE(18054)] = 367560,
  [SMALL_STATE(18055)] = 367576,
  [SMALL_STATE(18056)] = 367596,
  [SMALL_STATE(18057)] = 367616,
  [SMALL_STATE(18058)] = 367636,
  [SMALL_STATE(18059)] = 367656,
  [SMALL_STATE(18060)] = 367676,
  [SMALL_STATE(18061)] = 367696,
  [SMALL_STATE(18062)] = 367716,
  [SMALL_STATE(18063)] = 367736,
  [SMALL_STATE(18064)] = 367756,
  [SMALL_STATE(18065)] = 367776,
  [SMALL_STATE(18066)] = 367794,
  [SMALL_STATE(18067)] = 367814,
  [SMALL_STATE(18068)] = 367832,
  [SMALL_STATE(18069)] = 367852,
  [SMALL_STATE(18070)] = 367872,
  [SMALL_STATE(18071)] = 367892,
  [SMALL_STATE(18072)] = 367912,
  [SMALL_STATE(18073)] = 367932,
  [SMALL_STATE(18074)] = 367952,
  [SMALL_STATE(18075)] = 367972,
  [SMALL_STATE(18076)] = 367992,
  [SMALL_STATE(18077)] = 368012,
  [SMALL_STATE(18078)] = 368030,
  [SMALL_STATE(18079)] = 368050,
  [SMALL_STATE(18080)] = 368070,
  [SMALL_STATE(18081)] = 368090,
  [SMALL_STATE(18082)] = 368108,
  [SMALL_STATE(18083)] = 368128,
  [SMALL_STATE(18084)] = 368148,
  [SMALL_STATE(18085)] = 368168,
  [SMALL_STATE(18086)] = 368186,
  [SMALL_STATE(18087)] = 368204,
  [SMALL_STATE(18088)] = 368224,
  [SMALL_STATE(18089)] = 368242,
  [SMALL_STATE(18090)] = 368262,
  [SMALL_STATE(18091)] = 368282,
  [SMALL_STATE(18092)] = 368300,
  [SMALL_STATE(18093)] = 368318,
  [SMALL_STATE(18094)] = 368338,
  [SMALL_STATE(18095)] = 368358,
  [SMALL_STATE(18096)] = 368378,
  [SMALL_STATE(18097)] = 368398,
  [SMALL_STATE(18098)] = 368418,
  [SMALL_STATE(18099)] = 368438,
  [SMALL_STATE(18100)] = 368458,
  [SMALL_STATE(18101)] = 368478,
  [SMALL_STATE(18102)] = 368498,
  [SMALL_STATE(18103)] = 368518,
  [SMALL_STATE(18104)] = 368538,
  [SMALL_STATE(18105)] = 368558,
  [SMALL_STATE(18106)] = 368576,
  [SMALL_STATE(18107)] = 368596,
  [SMALL_STATE(18108)] = 368616,
  [SMALL_STATE(18109)] = 368636,
  [SMALL_STATE(18110)] = 368656,
  [SMALL_STATE(18111)] = 368676,
  [SMALL_STATE(18112)] = 368696,
  [SMALL_STATE(18113)] = 368716,
  [SMALL_STATE(18114)] = 368734,
  [SMALL_STATE(18115)] = 368754,
  [SMALL_STATE(18116)] = 368774,
  [SMALL_STATE(18117)] = 368794,
  [SMALL_STATE(18118)] = 368814,
  [SMALL_STATE(18119)] = 368832,
  [SMALL_STATE(18120)] = 368852,
  [SMALL_STATE(18121)] = 368870,
  [SMALL_STATE(18122)] = 368890,
  [SMALL_STATE(18123)] = 368910,
  [SMALL_STATE(18124)] = 368930,
  [SMALL_STATE(18125)] = 368950,
  [SMALL_STATE(18126)] = 368970,
  [SMALL_STATE(18127)] = 368986,
  [SMALL_STATE(18128)] = 369006,
  [SMALL_STATE(18129)] = 369024,
  [SMALL_STATE(18130)] = 369044,
  [SMALL_STATE(18131)] = 369064,
  [SMALL_STATE(18132)] = 369084,
  [SMALL_STATE(18133)] = 369104,
  [SMALL_STATE(18134)] = 369124,
  [SMALL_STATE(18135)] = 369144,
  [SMALL_STATE(18136)] = 369164,
  [SMALL_STATE(18137)] = 369184,
  [SMALL_STATE(18138)] = 369204,
  [SMALL_STATE(18139)] = 369224,
  [SMALL_STATE(18140)] = 369244,
  [SMALL_STATE(18141)] = 369264,
  [SMALL_STATE(18142)] = 369284,
  [SMALL_STATE(18143)] = 369304,
  [SMALL_STATE(18144)] = 369324,
  [SMALL_STATE(18145)] = 369344,
  [SMALL_STATE(18146)] = 369364,
  [SMALL_STATE(18147)] = 369384,
  [SMALL_STATE(18148)] = 369402,
  [SMALL_STATE(18149)] = 369422,
  [SMALL_STATE(18150)] = 369442,
  [SMALL_STATE(18151)] = 369462,
  [SMALL_STATE(18152)] = 369478,
  [SMALL_STATE(18153)] = 369498,
  [SMALL_STATE(18154)] = 369518,
  [SMALL_STATE(18155)] = 369536,
  [SMALL_STATE(18156)] = 369556,
  [SMALL_STATE(18157)] = 369576,
  [SMALL_STATE(18158)] = 369596,
  [SMALL_STATE(18159)] = 369616,
  [SMALL_STATE(18160)] = 369636,
  [SMALL_STATE(18161)] = 369652,
  [SMALL_STATE(18162)] = 369670,
  [SMALL_STATE(18163)] = 369690,
  [SMALL_STATE(18164)] = 369710,
  [SMALL_STATE(18165)] = 369730,
  [SMALL_STATE(18166)] = 369748,
  [SMALL_STATE(18167)] = 369768,
  [SMALL_STATE(18168)] = 369786,
  [SMALL_STATE(18169)] = 369804,
  [SMALL_STATE(18170)] = 369824,
  [SMALL_STATE(18171)] = 369844,
  [SMALL_STATE(18172)] = 369864,
  [SMALL_STATE(18173)] = 369884,
  [SMALL_STATE(18174)] = 369904,
  [SMALL_STATE(18175)] = 369924,
  [SMALL_STATE(18176)] = 369942,
  [SMALL_STATE(18177)] = 369962,
  [SMALL_STATE(18178)] = 369982,
  [SMALL_STATE(18179)] = 370002,
  [SMALL_STATE(18180)] = 370022,
  [SMALL_STATE(18181)] = 370040,
  [SMALL_STATE(18182)] = 370060,
  [SMALL_STATE(18183)] = 370080,
  [SMALL_STATE(18184)] = 370098,
  [SMALL_STATE(18185)] = 370118,
  [SMALL_STATE(18186)] = 370138,
  [SMALL_STATE(18187)] = 370158,
  [SMALL_STATE(18188)] = 370178,
  [SMALL_STATE(18189)] = 370198,
  [SMALL_STATE(18190)] = 370218,
  [SMALL_STATE(18191)] = 370238,
  [SMALL_STATE(18192)] = 370256,
  [SMALL_STATE(18193)] = 370276,
  [SMALL_STATE(18194)] = 370296,
  [SMALL_STATE(18195)] = 370316,
  [SMALL_STATE(18196)] = 370336,
  [SMALL_STATE(18197)] = 370356,
  [SMALL_STATE(18198)] = 370374,
  [SMALL_STATE(18199)] = 370392,
  [SMALL_STATE(18200)] = 370412,
  [SMALL_STATE(18201)] = 370432,
  [SMALL_STATE(18202)] = 370450,
  [SMALL_STATE(18203)] = 370466,
  [SMALL_STATE(18204)] = 370484,
  [SMALL_STATE(18205)] = 370504,
  [SMALL_STATE(18206)] = 370524,
  [SMALL_STATE(18207)] = 370544,
  [SMALL_STATE(18208)] = 370564,
  [SMALL_STATE(18209)] = 370584,
  [SMALL_STATE(18210)] = 370604,
  [SMALL_STATE(18211)] = 370624,
  [SMALL_STATE(18212)] = 370640,
  [SMALL_STATE(18213)] = 370660,
  [SMALL_STATE(18214)] = 370680,
  [SMALL_STATE(18215)] = 370700,
  [SMALL_STATE(18216)] = 370720,
  [SMALL_STATE(18217)] = 370738,
  [SMALL_STATE(18218)] = 370756,
  [SMALL_STATE(18219)] = 370774,
  [SMALL_STATE(18220)] = 370792,
  [SMALL_STATE(18221)] = 370812,
  [SMALL_STATE(18222)] = 370829,
  [SMALL_STATE(18223)] = 370846,
  [SMALL_STATE(18224)] = 370863,
  [SMALL_STATE(18225)] = 370880,
  [SMALL_STATE(18226)] = 370895,
  [SMALL_STATE(18227)] = 370912,
  [SMALL_STATE(18228)] = 370929,
  [SMALL_STATE(18229)] = 370946,
  [SMALL_STATE(18230)] = 370963,
  [SMALL_STATE(18231)] = 370980,
  [SMALL_STATE(18232)] = 370997,
  [SMALL_STATE(18233)] = 371014,
  [SMALL_STATE(18234)] = 371031,
  [SMALL_STATE(18235)] = 371048,
  [SMALL_STATE(18236)] = 371065,
  [SMALL_STATE(18237)] = 371082,
  [SMALL_STATE(18238)] = 371099,
  [SMALL_STATE(18239)] = 371116,
  [SMALL_STATE(18240)] = 371131,
  [SMALL_STATE(18241)] = 371148,
  [SMALL_STATE(18242)] = 371165,
  [SMALL_STATE(18243)] = 371182,
  [SMALL_STATE(18244)] = 371199,
  [SMALL_STATE(18245)] = 371216,
  [SMALL_STATE(18246)] = 371233,
  [SMALL_STATE(18247)] = 371250,
  [SMALL_STATE(18248)] = 371267,
  [SMALL_STATE(18249)] = 371284,
  [SMALL_STATE(18250)] = 371301,
  [SMALL_STATE(18251)] = 371318,
  [SMALL_STATE(18252)] = 371335,
  [SMALL_STATE(18253)] = 371352,
  [SMALL_STATE(18254)] = 371369,
  [SMALL_STATE(18255)] = 371386,
  [SMALL_STATE(18256)] = 371403,
  [SMALL_STATE(18257)] = 371420,
  [SMALL_STATE(18258)] = 371437,
  [SMALL_STATE(18259)] = 371454,
  [SMALL_STATE(18260)] = 371471,
  [SMALL_STATE(18261)] = 371488,
  [SMALL_STATE(18262)] = 371505,
  [SMALL_STATE(18263)] = 371522,
  [SMALL_STATE(18264)] = 371539,
  [SMALL_STATE(18265)] = 371556,
  [SMALL_STATE(18266)] = 371573,
  [SMALL_STATE(18267)] = 371590,
  [SMALL_STATE(18268)] = 371607,
  [SMALL_STATE(18269)] = 371624,
  [SMALL_STATE(18270)] = 371641,
  [SMALL_STATE(18271)] = 371658,
  [SMALL_STATE(18272)] = 371675,
  [SMALL_STATE(18273)] = 371692,
  [SMALL_STATE(18274)] = 371709,
  [SMALL_STATE(18275)] = 371726,
  [SMALL_STATE(18276)] = 371743,
  [SMALL_STATE(18277)] = 371760,
  [SMALL_STATE(18278)] = 371777,
  [SMALL_STATE(18279)] = 371794,
  [SMALL_STATE(18280)] = 371811,
  [SMALL_STATE(18281)] = 371828,
  [SMALL_STATE(18282)] = 371845,
  [SMALL_STATE(18283)] = 371862,
  [SMALL_STATE(18284)] = 371879,
  [SMALL_STATE(18285)] = 371896,
  [SMALL_STATE(18286)] = 371913,
  [SMALL_STATE(18287)] = 371930,
  [SMALL_STATE(18288)] = 371947,
  [SMALL_STATE(18289)] = 371962,
  [SMALL_STATE(18290)] = 371979,
  [SMALL_STATE(18291)] = 371996,
  [SMALL_STATE(18292)] = 372013,
  [SMALL_STATE(18293)] = 372030,
  [SMALL_STATE(18294)] = 372047,
  [SMALL_STATE(18295)] = 372064,
  [SMALL_STATE(18296)] = 372081,
  [SMALL_STATE(18297)] = 372098,
  [SMALL_STATE(18298)] = 372115,
  [SMALL_STATE(18299)] = 372132,
  [SMALL_STATE(18300)] = 372149,
  [SMALL_STATE(18301)] = 372166,
  [SMALL_STATE(18302)] = 372183,
  [SMALL_STATE(18303)] = 372200,
  [SMALL_STATE(18304)] = 372217,
  [SMALL_STATE(18305)] = 372232,
  [SMALL_STATE(18306)] = 372249,
  [SMALL_STATE(18307)] = 372266,
  [SMALL_STATE(18308)] = 372283,
  [SMALL_STATE(18309)] = 372300,
  [SMALL_STATE(18310)] = 372317,
  [SMALL_STATE(18311)] = 372334,
  [SMALL_STATE(18312)] = 372351,
  [SMALL_STATE(18313)] = 372368,
  [SMALL_STATE(18314)] = 372385,
  [SMALL_STATE(18315)] = 372402,
  [SMALL_STATE(18316)] = 372419,
  [SMALL_STATE(18317)] = 372436,
  [SMALL_STATE(18318)] = 372453,
  [SMALL_STATE(18319)] = 372470,
  [SMALL_STATE(18320)] = 372487,
  [SMALL_STATE(18321)] = 372504,
  [SMALL_STATE(18322)] = 372521,
  [SMALL_STATE(18323)] = 372538,
  [SMALL_STATE(18324)] = 372555,
  [SMALL_STATE(18325)] = 372572,
  [SMALL_STATE(18326)] = 372589,
  [SMALL_STATE(18327)] = 372606,
  [SMALL_STATE(18328)] = 372623,
  [SMALL_STATE(18329)] = 372640,
  [SMALL_STATE(18330)] = 372657,
  [SMALL_STATE(18331)] = 372674,
  [SMALL_STATE(18332)] = 372691,
  [SMALL_STATE(18333)] = 372708,
  [SMALL_STATE(18334)] = 372725,
  [SMALL_STATE(18335)] = 372742,
  [SMALL_STATE(18336)] = 372759,
  [SMALL_STATE(18337)] = 372776,
  [SMALL_STATE(18338)] = 372793,
  [SMALL_STATE(18339)] = 372810,
  [SMALL_STATE(18340)] = 372827,
  [SMALL_STATE(18341)] = 372844,
  [SMALL_STATE(18342)] = 372861,
  [SMALL_STATE(18343)] = 372878,
  [SMALL_STATE(18344)] = 372895,
  [SMALL_STATE(18345)] = 372912,
  [SMALL_STATE(18346)] = 372929,
  [SMALL_STATE(18347)] = 372946,
  [SMALL_STATE(18348)] = 372963,
  [SMALL_STATE(18349)] = 372980,
  [SMALL_STATE(18350)] = 372997,
  [SMALL_STATE(18351)] = 373014,
  [SMALL_STATE(18352)] = 373031,
  [SMALL_STATE(18353)] = 373048,
  [SMALL_STATE(18354)] = 373065,
  [SMALL_STATE(18355)] = 373082,
  [SMALL_STATE(18356)] = 373099,
  [SMALL_STATE(18357)] = 373116,
  [SMALL_STATE(18358)] = 373133,
  [SMALL_STATE(18359)] = 373150,
  [SMALL_STATE(18360)] = 373165,
  [SMALL_STATE(18361)] = 373182,
  [SMALL_STATE(18362)] = 373199,
  [SMALL_STATE(18363)] = 373216,
  [SMALL_STATE(18364)] = 373233,
  [SMALL_STATE(18365)] = 373250,
  [SMALL_STATE(18366)] = 373267,
  [SMALL_STATE(18367)] = 373284,
  [SMALL_STATE(18368)] = 373301,
  [SMALL_STATE(18369)] = 373318,
  [SMALL_STATE(18370)] = 373335,
  [SMALL_STATE(18371)] = 373352,
  [SMALL_STATE(18372)] = 373369,
  [SMALL_STATE(18373)] = 373386,
  [SMALL_STATE(18374)] = 373401,
  [SMALL_STATE(18375)] = 373418,
  [SMALL_STATE(18376)] = 373435,
  [SMALL_STATE(18377)] = 373452,
  [SMALL_STATE(18378)] = 373469,
  [SMALL_STATE(18379)] = 373486,
  [SMALL_STATE(18380)] = 373503,
  [SMALL_STATE(18381)] = 373520,
  [SMALL_STATE(18382)] = 373537,
  [SMALL_STATE(18383)] = 373554,
  [SMALL_STATE(18384)] = 373571,
  [SMALL_STATE(18385)] = 373588,
  [SMALL_STATE(18386)] = 373605,
  [SMALL_STATE(18387)] = 373622,
  [SMALL_STATE(18388)] = 373639,
  [SMALL_STATE(18389)] = 373656,
  [SMALL_STATE(18390)] = 373673,
  [SMALL_STATE(18391)] = 373690,
  [SMALL_STATE(18392)] = 373707,
  [SMALL_STATE(18393)] = 373722,
  [SMALL_STATE(18394)] = 373739,
  [SMALL_STATE(18395)] = 373756,
  [SMALL_STATE(18396)] = 373773,
  [SMALL_STATE(18397)] = 373790,
  [SMALL_STATE(18398)] = 373807,
  [SMALL_STATE(18399)] = 373824,
  [SMALL_STATE(18400)] = 373841,
  [SMALL_STATE(18401)] = 373858,
  [SMALL_STATE(18402)] = 373875,
  [SMALL_STATE(18403)] = 373892,
  [SMALL_STATE(18404)] = 373909,
  [SMALL_STATE(18405)] = 373926,
  [SMALL_STATE(18406)] = 373943,
  [SMALL_STATE(18407)] = 373960,
  [SMALL_STATE(18408)] = 373977,
  [SMALL_STATE(18409)] = 373994,
  [SMALL_STATE(18410)] = 374011,
  [SMALL_STATE(18411)] = 374028,
  [SMALL_STATE(18412)] = 374045,
  [SMALL_STATE(18413)] = 374060,
  [SMALL_STATE(18414)] = 374077,
  [SMALL_STATE(18415)] = 374094,
  [SMALL_STATE(18416)] = 374109,
  [SMALL_STATE(18417)] = 374126,
  [SMALL_STATE(18418)] = 374143,
  [SMALL_STATE(18419)] = 374160,
  [SMALL_STATE(18420)] = 374175,
  [SMALL_STATE(18421)] = 374192,
  [SMALL_STATE(18422)] = 374209,
  [SMALL_STATE(18423)] = 374226,
  [SMALL_STATE(18424)] = 374243,
  [SMALL_STATE(18425)] = 374260,
  [SMALL_STATE(18426)] = 374277,
  [SMALL_STATE(18427)] = 374294,
  [SMALL_STATE(18428)] = 374309,
  [SMALL_STATE(18429)] = 374326,
  [SMALL_STATE(18430)] = 374343,
  [SMALL_STATE(18431)] = 374360,
  [SMALL_STATE(18432)] = 374377,
  [SMALL_STATE(18433)] = 374394,
  [SMALL_STATE(18434)] = 374411,
  [SMALL_STATE(18435)] = 374428,
  [SMALL_STATE(18436)] = 374445,
  [SMALL_STATE(18437)] = 374460,
  [SMALL_STATE(18438)] = 374477,
  [SMALL_STATE(18439)] = 374492,
  [SMALL_STATE(18440)] = 374509,
  [SMALL_STATE(18441)] = 374526,
  [SMALL_STATE(18442)] = 374543,
  [SMALL_STATE(18443)] = 374560,
  [SMALL_STATE(18444)] = 374577,
  [SMALL_STATE(18445)] = 374594,
  [SMALL_STATE(18446)] = 374611,
  [SMALL_STATE(18447)] = 374628,
  [SMALL_STATE(18448)] = 374645,
  [SMALL_STATE(18449)] = 374662,
  [SMALL_STATE(18450)] = 374679,
  [SMALL_STATE(18451)] = 374696,
  [SMALL_STATE(18452)] = 374713,
  [SMALL_STATE(18453)] = 374730,
  [SMALL_STATE(18454)] = 374747,
  [SMALL_STATE(18455)] = 374764,
  [SMALL_STATE(18456)] = 374781,
  [SMALL_STATE(18457)] = 374798,
  [SMALL_STATE(18458)] = 374815,
  [SMALL_STATE(18459)] = 374830,
  [SMALL_STATE(18460)] = 374847,
  [SMALL_STATE(18461)] = 374864,
  [SMALL_STATE(18462)] = 374881,
  [SMALL_STATE(18463)] = 374898,
  [SMALL_STATE(18464)] = 374915,
  [SMALL_STATE(18465)] = 374932,
  [SMALL_STATE(18466)] = 374949,
  [SMALL_STATE(18467)] = 374966,
  [SMALL_STATE(18468)] = 374983,
  [SMALL_STATE(18469)] = 375000,
  [SMALL_STATE(18470)] = 375017,
  [SMALL_STATE(18471)] = 375034,
  [SMALL_STATE(18472)] = 375051,
  [SMALL_STATE(18473)] = 375068,
  [SMALL_STATE(18474)] = 375085,
  [SMALL_STATE(18475)] = 375102,
  [SMALL_STATE(18476)] = 375119,
  [SMALL_STATE(18477)] = 375136,
  [SMALL_STATE(18478)] = 375153,
  [SMALL_STATE(18479)] = 375170,
  [SMALL_STATE(18480)] = 375187,
  [SMALL_STATE(18481)] = 375204,
  [SMALL_STATE(18482)] = 375221,
  [SMALL_STATE(18483)] = 375238,
  [SMALL_STATE(18484)] = 375255,
  [SMALL_STATE(18485)] = 375272,
  [SMALL_STATE(18486)] = 375289,
  [SMALL_STATE(18487)] = 375306,
  [SMALL_STATE(18488)] = 375323,
  [SMALL_STATE(18489)] = 375340,
  [SMALL_STATE(18490)] = 375357,
  [SMALL_STATE(18491)] = 375374,
  [SMALL_STATE(18492)] = 375391,
  [SMALL_STATE(18493)] = 375408,
  [SMALL_STATE(18494)] = 375425,
  [SMALL_STATE(18495)] = 375442,
  [SMALL_STATE(18496)] = 375459,
  [SMALL_STATE(18497)] = 375476,
  [SMALL_STATE(18498)] = 375493,
  [SMALL_STATE(18499)] = 375510,
  [SMALL_STATE(18500)] = 375527,
  [SMALL_STATE(18501)] = 375544,
  [SMALL_STATE(18502)] = 375561,
  [SMALL_STATE(18503)] = 375578,
  [SMALL_STATE(18504)] = 375595,
  [SMALL_STATE(18505)] = 375612,
  [SMALL_STATE(18506)] = 375629,
  [SMALL_STATE(18507)] = 375646,
  [SMALL_STATE(18508)] = 375663,
  [SMALL_STATE(18509)] = 375680,
  [SMALL_STATE(18510)] = 375697,
  [SMALL_STATE(18511)] = 375712,
  [SMALL_STATE(18512)] = 375729,
  [SMALL_STATE(18513)] = 375746,
  [SMALL_STATE(18514)] = 375763,
  [SMALL_STATE(18515)] = 375780,
  [SMALL_STATE(18516)] = 375797,
  [SMALL_STATE(18517)] = 375814,
  [SMALL_STATE(18518)] = 375829,
  [SMALL_STATE(18519)] = 375846,
  [SMALL_STATE(18520)] = 375863,
  [SMALL_STATE(18521)] = 375880,
  [SMALL_STATE(18522)] = 375897,
  [SMALL_STATE(18523)] = 375914,
  [SMALL_STATE(18524)] = 375931,
  [SMALL_STATE(18525)] = 375948,
  [SMALL_STATE(18526)] = 375965,
  [SMALL_STATE(18527)] = 375982,
  [SMALL_STATE(18528)] = 375999,
  [SMALL_STATE(18529)] = 376016,
  [SMALL_STATE(18530)] = 376033,
  [SMALL_STATE(18531)] = 376050,
  [SMALL_STATE(18532)] = 376067,
  [SMALL_STATE(18533)] = 376082,
  [SMALL_STATE(18534)] = 376099,
  [SMALL_STATE(18535)] = 376114,
  [SMALL_STATE(18536)] = 376129,
  [SMALL_STATE(18537)] = 376146,
  [SMALL_STATE(18538)] = 376163,
  [SMALL_STATE(18539)] = 376180,
  [SMALL_STATE(18540)] = 376197,
  [SMALL_STATE(18541)] = 376214,
  [SMALL_STATE(18542)] = 376231,
  [SMALL_STATE(18543)] = 376248,
  [SMALL_STATE(18544)] = 376265,
  [SMALL_STATE(18545)] = 376280,
  [SMALL_STATE(18546)] = 376297,
  [SMALL_STATE(18547)] = 376314,
  [SMALL_STATE(18548)] = 376331,
  [SMALL_STATE(18549)] = 376348,
  [SMALL_STATE(18550)] = 376365,
  [SMALL_STATE(18551)] = 376382,
  [SMALL_STATE(18552)] = 376399,
  [SMALL_STATE(18553)] = 376416,
  [SMALL_STATE(18554)] = 376433,
  [SMALL_STATE(18555)] = 376450,
  [SMALL_STATE(18556)] = 376465,
  [SMALL_STATE(18557)] = 376482,
  [SMALL_STATE(18558)] = 376499,
  [SMALL_STATE(18559)] = 376516,
  [SMALL_STATE(18560)] = 376533,
  [SMALL_STATE(18561)] = 376550,
  [SMALL_STATE(18562)] = 376567,
  [SMALL_STATE(18563)] = 376584,
  [SMALL_STATE(18564)] = 376601,
  [SMALL_STATE(18565)] = 376616,
  [SMALL_STATE(18566)] = 376633,
  [SMALL_STATE(18567)] = 376650,
  [SMALL_STATE(18568)] = 376665,
  [SMALL_STATE(18569)] = 376682,
  [SMALL_STATE(18570)] = 376697,
  [SMALL_STATE(18571)] = 376714,
  [SMALL_STATE(18572)] = 376731,
  [SMALL_STATE(18573)] = 376746,
  [SMALL_STATE(18574)] = 376763,
  [SMALL_STATE(18575)] = 376780,
  [SMALL_STATE(18576)] = 376797,
  [SMALL_STATE(18577)] = 376814,
  [SMALL_STATE(18578)] = 376831,
  [SMALL_STATE(18579)] = 376848,
  [SMALL_STATE(18580)] = 376865,
  [SMALL_STATE(18581)] = 376880,
  [SMALL_STATE(18582)] = 376895,
  [SMALL_STATE(18583)] = 376912,
  [SMALL_STATE(18584)] = 376929,
  [SMALL_STATE(18585)] = 376946,
  [SMALL_STATE(18586)] = 376963,
  [SMALL_STATE(18587)] = 376978,
  [SMALL_STATE(18588)] = 376995,
  [SMALL_STATE(18589)] = 377012,
  [SMALL_STATE(18590)] = 377029,
  [SMALL_STATE(18591)] = 377044,
  [SMALL_STATE(18592)] = 377061,
  [SMALL_STATE(18593)] = 377078,
  [SMALL_STATE(18594)] = 377093,
  [SMALL_STATE(18595)] = 377110,
  [SMALL_STATE(18596)] = 377125,
  [SMALL_STATE(18597)] = 377142,
  [SMALL_STATE(18598)] = 377159,
  [SMALL_STATE(18599)] = 377176,
  [SMALL_STATE(18600)] = 377193,
  [SMALL_STATE(18601)] = 377210,
  [SMALL_STATE(18602)] = 377225,
  [SMALL_STATE(18603)] = 377242,
  [SMALL_STATE(18604)] = 377257,
  [SMALL_STATE(18605)] = 377274,
  [SMALL_STATE(18606)] = 377289,
  [SMALL_STATE(18607)] = 377306,
  [SMALL_STATE(18608)] = 377323,
  [SMALL_STATE(18609)] = 377340,
  [SMALL_STATE(18610)] = 377357,
  [SMALL_STATE(18611)] = 377374,
  [SMALL_STATE(18612)] = 377391,
  [SMALL_STATE(18613)] = 377408,
  [SMALL_STATE(18614)] = 377425,
  [SMALL_STATE(18615)] = 377442,
  [SMALL_STATE(18616)] = 377459,
  [SMALL_STATE(18617)] = 377476,
  [SMALL_STATE(18618)] = 377491,
  [SMALL_STATE(18619)] = 377506,
  [SMALL_STATE(18620)] = 377523,
  [SMALL_STATE(18621)] = 377538,
  [SMALL_STATE(18622)] = 377555,
  [SMALL_STATE(18623)] = 377570,
  [SMALL_STATE(18624)] = 377587,
  [SMALL_STATE(18625)] = 377604,
  [SMALL_STATE(18626)] = 377621,
  [SMALL_STATE(18627)] = 377638,
  [SMALL_STATE(18628)] = 377655,
  [SMALL_STATE(18629)] = 377672,
  [SMALL_STATE(18630)] = 377689,
  [SMALL_STATE(18631)] = 377706,
  [SMALL_STATE(18632)] = 377723,
  [SMALL_STATE(18633)] = 377740,
  [SMALL_STATE(18634)] = 377757,
  [SMALL_STATE(18635)] = 377774,
  [SMALL_STATE(18636)] = 377791,
  [SMALL_STATE(18637)] = 377808,
  [SMALL_STATE(18638)] = 377823,
  [SMALL_STATE(18639)] = 377838,
  [SMALL_STATE(18640)] = 377855,
  [SMALL_STATE(18641)] = 377872,
  [SMALL_STATE(18642)] = 377889,
  [SMALL_STATE(18643)] = 377904,
  [SMALL_STATE(18644)] = 377921,
  [SMALL_STATE(18645)] = 377938,
  [SMALL_STATE(18646)] = 377955,
  [SMALL_STATE(18647)] = 377972,
  [SMALL_STATE(18648)] = 377989,
  [SMALL_STATE(18649)] = 378004,
  [SMALL_STATE(18650)] = 378021,
  [SMALL_STATE(18651)] = 378038,
  [SMALL_STATE(18652)] = 378055,
  [SMALL_STATE(18653)] = 378072,
  [SMALL_STATE(18654)] = 378089,
  [SMALL_STATE(18655)] = 378106,
  [SMALL_STATE(18656)] = 378123,
  [SMALL_STATE(18657)] = 378140,
  [SMALL_STATE(18658)] = 378155,
  [SMALL_STATE(18659)] = 378172,
  [SMALL_STATE(18660)] = 378187,
  [SMALL_STATE(18661)] = 378204,
  [SMALL_STATE(18662)] = 378221,
  [SMALL_STATE(18663)] = 378238,
  [SMALL_STATE(18664)] = 378255,
  [SMALL_STATE(18665)] = 378272,
  [SMALL_STATE(18666)] = 378289,
  [SMALL_STATE(18667)] = 378306,
  [SMALL_STATE(18668)] = 378323,
  [SMALL_STATE(18669)] = 378340,
  [SMALL_STATE(18670)] = 378357,
  [SMALL_STATE(18671)] = 378374,
  [SMALL_STATE(18672)] = 378391,
  [SMALL_STATE(18673)] = 378408,
  [SMALL_STATE(18674)] = 378425,
  [SMALL_STATE(18675)] = 378442,
  [SMALL_STATE(18676)] = 378459,
  [SMALL_STATE(18677)] = 378474,
  [SMALL_STATE(18678)] = 378491,
  [SMALL_STATE(18679)] = 378508,
  [SMALL_STATE(18680)] = 378525,
  [SMALL_STATE(18681)] = 378542,
  [SMALL_STATE(18682)] = 378559,
  [SMALL_STATE(18683)] = 378576,
  [SMALL_STATE(18684)] = 378593,
  [SMALL_STATE(18685)] = 378608,
  [SMALL_STATE(18686)] = 378625,
  [SMALL_STATE(18687)] = 378642,
  [SMALL_STATE(18688)] = 378659,
  [SMALL_STATE(18689)] = 378676,
  [SMALL_STATE(18690)] = 378693,
  [SMALL_STATE(18691)] = 378710,
  [SMALL_STATE(18692)] = 378725,
  [SMALL_STATE(18693)] = 378742,
  [SMALL_STATE(18694)] = 378759,
  [SMALL_STATE(18695)] = 378776,
  [SMALL_STATE(18696)] = 378793,
  [SMALL_STATE(18697)] = 378808,
  [SMALL_STATE(18698)] = 378823,
  [SMALL_STATE(18699)] = 378838,
  [SMALL_STATE(18700)] = 378855,
  [SMALL_STATE(18701)] = 378870,
  [SMALL_STATE(18702)] = 378885,
  [SMALL_STATE(18703)] = 378902,
  [SMALL_STATE(18704)] = 378919,
  [SMALL_STATE(18705)] = 378936,
  [SMALL_STATE(18706)] = 378953,
  [SMALL_STATE(18707)] = 378970,
  [SMALL_STATE(18708)] = 378987,
  [SMALL_STATE(18709)] = 379002,
  [SMALL_STATE(18710)] = 379019,
  [SMALL_STATE(18711)] = 379036,
  [SMALL_STATE(18712)] = 379053,
  [SMALL_STATE(18713)] = 379070,
  [SMALL_STATE(18714)] = 379087,
  [SMALL_STATE(18715)] = 379104,
  [SMALL_STATE(18716)] = 379121,
  [SMALL_STATE(18717)] = 379138,
  [SMALL_STATE(18718)] = 379155,
  [SMALL_STATE(18719)] = 379172,
  [SMALL_STATE(18720)] = 379189,
  [SMALL_STATE(18721)] = 379206,
  [SMALL_STATE(18722)] = 379223,
  [SMALL_STATE(18723)] = 379240,
  [SMALL_STATE(18724)] = 379257,
  [SMALL_STATE(18725)] = 379274,
  [SMALL_STATE(18726)] = 379291,
  [SMALL_STATE(18727)] = 379308,
  [SMALL_STATE(18728)] = 379325,
  [SMALL_STATE(18729)] = 379342,
  [SMALL_STATE(18730)] = 379359,
  [SMALL_STATE(18731)] = 379376,
  [SMALL_STATE(18732)] = 379393,
  [SMALL_STATE(18733)] = 379410,
  [SMALL_STATE(18734)] = 379427,
  [SMALL_STATE(18735)] = 379444,
  [SMALL_STATE(18736)] = 379461,
  [SMALL_STATE(18737)] = 379478,
  [SMALL_STATE(18738)] = 379495,
  [SMALL_STATE(18739)] = 379512,
  [SMALL_STATE(18740)] = 379529,
  [SMALL_STATE(18741)] = 379546,
  [SMALL_STATE(18742)] = 379563,
  [SMALL_STATE(18743)] = 379580,
  [SMALL_STATE(18744)] = 379597,
  [SMALL_STATE(18745)] = 379614,
  [SMALL_STATE(18746)] = 379631,
  [SMALL_STATE(18747)] = 379648,
  [SMALL_STATE(18748)] = 379665,
  [SMALL_STATE(18749)] = 379682,
  [SMALL_STATE(18750)] = 379699,
  [SMALL_STATE(18751)] = 379716,
  [SMALL_STATE(18752)] = 379733,
  [SMALL_STATE(18753)] = 379750,
  [SMALL_STATE(18754)] = 379767,
  [SMALL_STATE(18755)] = 379784,
  [SMALL_STATE(18756)] = 379801,
  [SMALL_STATE(18757)] = 379818,
  [SMALL_STATE(18758)] = 379835,
  [SMALL_STATE(18759)] = 379852,
  [SMALL_STATE(18760)] = 379869,
  [SMALL_STATE(18761)] = 379886,
  [SMALL_STATE(18762)] = 379903,
  [SMALL_STATE(18763)] = 379920,
  [SMALL_STATE(18764)] = 379937,
  [SMALL_STATE(18765)] = 379954,
  [SMALL_STATE(18766)] = 379971,
  [SMALL_STATE(18767)] = 379988,
  [SMALL_STATE(18768)] = 380005,
  [SMALL_STATE(18769)] = 380022,
  [SMALL_STATE(18770)] = 380039,
  [SMALL_STATE(18771)] = 380056,
  [SMALL_STATE(18772)] = 380073,
  [SMALL_STATE(18773)] = 380090,
  [SMALL_STATE(18774)] = 380107,
  [SMALL_STATE(18775)] = 380124,
  [SMALL_STATE(18776)] = 380141,
  [SMALL_STATE(18777)] = 380158,
  [SMALL_STATE(18778)] = 380175,
  [SMALL_STATE(18779)] = 380192,
  [SMALL_STATE(18780)] = 380209,
  [SMALL_STATE(18781)] = 380226,
  [SMALL_STATE(18782)] = 380243,
  [SMALL_STATE(18783)] = 380257,
  [SMALL_STATE(18784)] = 380271,
  [SMALL_STATE(18785)] = 380285,
  [SMALL_STATE(18786)] = 380299,
  [SMALL_STATE(18787)] = 380313,
  [SMALL_STATE(18788)] = 380327,
  [SMALL_STATE(18789)] = 380341,
  [SMALL_STATE(18790)] = 380355,
  [SMALL_STATE(18791)] = 380369,
  [SMALL_STATE(18792)] = 380383,
  [SMALL_STATE(18793)] = 380397,
  [SMALL_STATE(18794)] = 380411,
  [SMALL_STATE(18795)] = 380425,
  [SMALL_STATE(18796)] = 380439,
  [SMALL_STATE(18797)] = 380453,
  [SMALL_STATE(18798)] = 380467,
  [SMALL_STATE(18799)] = 380481,
  [SMALL_STATE(18800)] = 380495,
  [SMALL_STATE(18801)] = 380509,
  [SMALL_STATE(18802)] = 380523,
  [SMALL_STATE(18803)] = 380537,
  [SMALL_STATE(18804)] = 380551,
  [SMALL_STATE(18805)] = 380565,
  [SMALL_STATE(18806)] = 380579,
  [SMALL_STATE(18807)] = 380593,
  [SMALL_STATE(18808)] = 380607,
  [SMALL_STATE(18809)] = 380621,
  [SMALL_STATE(18810)] = 380635,
  [SMALL_STATE(18811)] = 380649,
  [SMALL_STATE(18812)] = 380663,
  [SMALL_STATE(18813)] = 380677,
  [SMALL_STATE(18814)] = 380691,
  [SMALL_STATE(18815)] = 380705,
  [SMALL_STATE(18816)] = 380719,
  [SMALL_STATE(18817)] = 380733,
  [SMALL_STATE(18818)] = 380747,
  [SMALL_STATE(18819)] = 380761,
  [SMALL_STATE(18820)] = 380775,
  [SMALL_STATE(18821)] = 380789,
  [SMALL_STATE(18822)] = 380803,
  [SMALL_STATE(18823)] = 380817,
  [SMALL_STATE(18824)] = 380831,
  [SMALL_STATE(18825)] = 380845,
  [SMALL_STATE(18826)] = 380859,
  [SMALL_STATE(18827)] = 380873,
  [SMALL_STATE(18828)] = 380887,
  [SMALL_STATE(18829)] = 380901,
  [SMALL_STATE(18830)] = 380915,
  [SMALL_STATE(18831)] = 380929,
  [SMALL_STATE(18832)] = 380943,
  [SMALL_STATE(18833)] = 380957,
  [SMALL_STATE(18834)] = 380971,
  [SMALL_STATE(18835)] = 380985,
  [SMALL_STATE(18836)] = 380999,
  [SMALL_STATE(18837)] = 381013,
  [SMALL_STATE(18838)] = 381027,
  [SMALL_STATE(18839)] = 381041,
  [SMALL_STATE(18840)] = 381055,
  [SMALL_STATE(18841)] = 381069,
  [SMALL_STATE(18842)] = 381083,
  [SMALL_STATE(18843)] = 381097,
  [SMALL_STATE(18844)] = 381111,
  [SMALL_STATE(18845)] = 381125,
  [SMALL_STATE(18846)] = 381139,
  [SMALL_STATE(18847)] = 381153,
  [SMALL_STATE(18848)] = 381167,
  [SMALL_STATE(18849)] = 381181,
  [SMALL_STATE(18850)] = 381195,
  [SMALL_STATE(18851)] = 381209,
  [SMALL_STATE(18852)] = 381223,
  [SMALL_STATE(18853)] = 381237,
  [SMALL_STATE(18854)] = 381251,
  [SMALL_STATE(18855)] = 381265,
  [SMALL_STATE(18856)] = 381279,
  [SMALL_STATE(18857)] = 381293,
  [SMALL_STATE(18858)] = 381307,
  [SMALL_STATE(18859)] = 381321,
  [SMALL_STATE(18860)] = 381335,
  [SMALL_STATE(18861)] = 381349,
  [SMALL_STATE(18862)] = 381363,
  [SMALL_STATE(18863)] = 381377,
  [SMALL_STATE(18864)] = 381391,
  [SMALL_STATE(18865)] = 381405,
  [SMALL_STATE(18866)] = 381419,
  [SMALL_STATE(18867)] = 381433,
  [SMALL_STATE(18868)] = 381447,
  [SMALL_STATE(18869)] = 381461,
  [SMALL_STATE(18870)] = 381475,
  [SMALL_STATE(18871)] = 381489,
  [SMALL_STATE(18872)] = 381503,
  [SMALL_STATE(18873)] = 381517,
  [SMALL_STATE(18874)] = 381531,
  [SMALL_STATE(18875)] = 381545,
  [SMALL_STATE(18876)] = 381559,
  [SMALL_STATE(18877)] = 381573,
  [SMALL_STATE(18878)] = 381587,
  [SMALL_STATE(18879)] = 381601,
  [SMALL_STATE(18880)] = 381615,
  [SMALL_STATE(18881)] = 381629,
  [SMALL_STATE(18882)] = 381643,
  [SMALL_STATE(18883)] = 381657,
  [SMALL_STATE(18884)] = 381671,
  [SMALL_STATE(18885)] = 381685,
  [SMALL_STATE(18886)] = 381699,
  [SMALL_STATE(18887)] = 381713,
  [SMALL_STATE(18888)] = 381727,
  [SMALL_STATE(18889)] = 381741,
  [SMALL_STATE(18890)] = 381755,
  [SMALL_STATE(18891)] = 381769,
  [SMALL_STATE(18892)] = 381783,
  [SMALL_STATE(18893)] = 381797,
  [SMALL_STATE(18894)] = 381811,
  [SMALL_STATE(18895)] = 381825,
  [SMALL_STATE(18896)] = 381839,
  [SMALL_STATE(18897)] = 381853,
  [SMALL_STATE(18898)] = 381867,
  [SMALL_STATE(18899)] = 381881,
  [SMALL_STATE(18900)] = 381895,
  [SMALL_STATE(18901)] = 381909,
  [SMALL_STATE(18902)] = 381923,
  [SMALL_STATE(18903)] = 381937,
  [SMALL_STATE(18904)] = 381951,
  [SMALL_STATE(18905)] = 381965,
  [SMALL_STATE(18906)] = 381979,
  [SMALL_STATE(18907)] = 381993,
  [SMALL_STATE(18908)] = 382007,
  [SMALL_STATE(18909)] = 382021,
  [SMALL_STATE(18910)] = 382035,
  [SMALL_STATE(18911)] = 382049,
  [SMALL_STATE(18912)] = 382063,
  [SMALL_STATE(18913)] = 382077,
  [SMALL_STATE(18914)] = 382091,
  [SMALL_STATE(18915)] = 382105,
  [SMALL_STATE(18916)] = 382119,
  [SMALL_STATE(18917)] = 382133,
  [SMALL_STATE(18918)] = 382147,
  [SMALL_STATE(18919)] = 382161,
  [SMALL_STATE(18920)] = 382175,
  [SMALL_STATE(18921)] = 382189,
  [SMALL_STATE(18922)] = 382203,
  [SMALL_STATE(18923)] = 382217,
  [SMALL_STATE(18924)] = 382231,
  [SMALL_STATE(18925)] = 382245,
  [SMALL_STATE(18926)] = 382259,
  [SMALL_STATE(18927)] = 382273,
  [SMALL_STATE(18928)] = 382287,
  [SMALL_STATE(18929)] = 382301,
  [SMALL_STATE(18930)] = 382315,
  [SMALL_STATE(18931)] = 382329,
  [SMALL_STATE(18932)] = 382343,
  [SMALL_STATE(18933)] = 382357,
  [SMALL_STATE(18934)] = 382371,
  [SMALL_STATE(18935)] = 382385,
  [SMALL_STATE(18936)] = 382399,
  [SMALL_STATE(18937)] = 382413,
  [SMALL_STATE(18938)] = 382427,
  [SMALL_STATE(18939)] = 382441,
  [SMALL_STATE(18940)] = 382455,
  [SMALL_STATE(18941)] = 382469,
  [SMALL_STATE(18942)] = 382483,
  [SMALL_STATE(18943)] = 382497,
  [SMALL_STATE(18944)] = 382511,
  [SMALL_STATE(18945)] = 382525,
  [SMALL_STATE(18946)] = 382539,
  [SMALL_STATE(18947)] = 382553,
  [SMALL_STATE(18948)] = 382567,
  [SMALL_STATE(18949)] = 382581,
  [SMALL_STATE(18950)] = 382595,
  [SMALL_STATE(18951)] = 382609,
  [SMALL_STATE(18952)] = 382623,
  [SMALL_STATE(18953)] = 382637,
  [SMALL_STATE(18954)] = 382651,
  [SMALL_STATE(18955)] = 382665,
  [SMALL_STATE(18956)] = 382679,
  [SMALL_STATE(18957)] = 382693,
  [SMALL_STATE(18958)] = 382707,
  [SMALL_STATE(18959)] = 382721,
  [SMALL_STATE(18960)] = 382735,
  [SMALL_STATE(18961)] = 382749,
  [SMALL_STATE(18962)] = 382763,
  [SMALL_STATE(18963)] = 382777,
  [SMALL_STATE(18964)] = 382791,
  [SMALL_STATE(18965)] = 382805,
  [SMALL_STATE(18966)] = 382819,
  [SMALL_STATE(18967)] = 382833,
  [SMALL_STATE(18968)] = 382847,
  [SMALL_STATE(18969)] = 382861,
  [SMALL_STATE(18970)] = 382875,
  [SMALL_STATE(18971)] = 382889,
  [SMALL_STATE(18972)] = 382903,
  [SMALL_STATE(18973)] = 382917,
  [SMALL_STATE(18974)] = 382931,
  [SMALL_STATE(18975)] = 382945,
  [SMALL_STATE(18976)] = 382959,
  [SMALL_STATE(18977)] = 382973,
  [SMALL_STATE(18978)] = 382987,
  [SMALL_STATE(18979)] = 383001,
  [SMALL_STATE(18980)] = 383015,
  [SMALL_STATE(18981)] = 383029,
  [SMALL_STATE(18982)] = 383043,
  [SMALL_STATE(18983)] = 383057,
  [SMALL_STATE(18984)] = 383071,
  [SMALL_STATE(18985)] = 383085,
  [SMALL_STATE(18986)] = 383099,
  [SMALL_STATE(18987)] = 383113,
  [SMALL_STATE(18988)] = 383127,
  [SMALL_STATE(18989)] = 383141,
  [SMALL_STATE(18990)] = 383155,
  [SMALL_STATE(18991)] = 383169,
  [SMALL_STATE(18992)] = 383183,
  [SMALL_STATE(18993)] = 383197,
  [SMALL_STATE(18994)] = 383211,
  [SMALL_STATE(18995)] = 383225,
  [SMALL_STATE(18996)] = 383239,
  [SMALL_STATE(18997)] = 383253,
  [SMALL_STATE(18998)] = 383267,
  [SMALL_STATE(18999)] = 383281,
  [SMALL_STATE(19000)] = 383295,
  [SMALL_STATE(19001)] = 383309,
  [SMALL_STATE(19002)] = 383323,
  [SMALL_STATE(19003)] = 383337,
  [SMALL_STATE(19004)] = 383351,
  [SMALL_STATE(19005)] = 383365,
  [SMALL_STATE(19006)] = 383379,
  [SMALL_STATE(19007)] = 383393,
  [SMALL_STATE(19008)] = 383407,
  [SMALL_STATE(19009)] = 383421,
  [SMALL_STATE(19010)] = 383435,
  [SMALL_STATE(19011)] = 383449,
  [SMALL_STATE(19012)] = 383463,
  [SMALL_STATE(19013)] = 383477,
  [SMALL_STATE(19014)] = 383491,
  [SMALL_STATE(19015)] = 383505,
  [SMALL_STATE(19016)] = 383519,
  [SMALL_STATE(19017)] = 383533,
  [SMALL_STATE(19018)] = 383547,
  [SMALL_STATE(19019)] = 383561,
  [SMALL_STATE(19020)] = 383575,
  [SMALL_STATE(19021)] = 383589,
  [SMALL_STATE(19022)] = 383603,
  [SMALL_STATE(19023)] = 383617,
  [SMALL_STATE(19024)] = 383631,
  [SMALL_STATE(19025)] = 383645,
  [SMALL_STATE(19026)] = 383659,
  [SMALL_STATE(19027)] = 383673,
  [SMALL_STATE(19028)] = 383687,
  [SMALL_STATE(19029)] = 383701,
  [SMALL_STATE(19030)] = 383715,
  [SMALL_STATE(19031)] = 383729,
  [SMALL_STATE(19032)] = 383743,
  [SMALL_STATE(19033)] = 383757,
  [SMALL_STATE(19034)] = 383771,
  [SMALL_STATE(19035)] = 383785,
  [SMALL_STATE(19036)] = 383799,
  [SMALL_STATE(19037)] = 383813,
  [SMALL_STATE(19038)] = 383827,
  [SMALL_STATE(19039)] = 383841,
  [SMALL_STATE(19040)] = 383855,
  [SMALL_STATE(19041)] = 383869,
  [SMALL_STATE(19042)] = 383883,
  [SMALL_STATE(19043)] = 383897,
  [SMALL_STATE(19044)] = 383911,
  [SMALL_STATE(19045)] = 383925,
  [SMALL_STATE(19046)] = 383939,
  [SMALL_STATE(19047)] = 383953,
  [SMALL_STATE(19048)] = 383967,
  [SMALL_STATE(19049)] = 383981,
  [SMALL_STATE(19050)] = 383995,
  [SMALL_STATE(19051)] = 384009,
  [SMALL_STATE(19052)] = 384023,
  [SMALL_STATE(19053)] = 384037,
  [SMALL_STATE(19054)] = 384051,
  [SMALL_STATE(19055)] = 384065,
  [SMALL_STATE(19056)] = 384079,
  [SMALL_STATE(19057)] = 384093,
  [SMALL_STATE(19058)] = 384107,
  [SMALL_STATE(19059)] = 384121,
  [SMALL_STATE(19060)] = 384135,
  [SMALL_STATE(19061)] = 384149,
  [SMALL_STATE(19062)] = 384163,
  [SMALL_STATE(19063)] = 384177,
  [SMALL_STATE(19064)] = 384191,
  [SMALL_STATE(19065)] = 384205,
  [SMALL_STATE(19066)] = 384219,
  [SMALL_STATE(19067)] = 384233,
  [SMALL_STATE(19068)] = 384247,
  [SMALL_STATE(19069)] = 384261,
  [SMALL_STATE(19070)] = 384275,
  [SMALL_STATE(19071)] = 384289,
  [SMALL_STATE(19072)] = 384303,
  [SMALL_STATE(19073)] = 384317,
  [SMALL_STATE(19074)] = 384331,
  [SMALL_STATE(19075)] = 384345,
  [SMALL_STATE(19076)] = 384359,
  [SMALL_STATE(19077)] = 384373,
  [SMALL_STATE(19078)] = 384387,
  [SMALL_STATE(19079)] = 384401,
  [SMALL_STATE(19080)] = 384415,
  [SMALL_STATE(19081)] = 384429,
  [SMALL_STATE(19082)] = 384443,
  [SMALL_STATE(19083)] = 384457,
  [SMALL_STATE(19084)] = 384471,
  [SMALL_STATE(19085)] = 384485,
  [SMALL_STATE(19086)] = 384499,
  [SMALL_STATE(19087)] = 384513,
  [SMALL_STATE(19088)] = 384527,
  [SMALL_STATE(19089)] = 384541,
  [SMALL_STATE(19090)] = 384555,
  [SMALL_STATE(19091)] = 384569,
  [SMALL_STATE(19092)] = 384583,
  [SMALL_STATE(19093)] = 384597,
  [SMALL_STATE(19094)] = 384611,
  [SMALL_STATE(19095)] = 384625,
  [SMALL_STATE(19096)] = 384639,
  [SMALL_STATE(19097)] = 384653,
  [SMALL_STATE(19098)] = 384667,
  [SMALL_STATE(19099)] = 384681,
  [SMALL_STATE(19100)] = 384695,
  [SMALL_STATE(19101)] = 384709,
  [SMALL_STATE(19102)] = 384723,
  [SMALL_STATE(19103)] = 384737,
  [SMALL_STATE(19104)] = 384751,
  [SMALL_STATE(19105)] = 384765,
  [SMALL_STATE(19106)] = 384779,
  [SMALL_STATE(19107)] = 384793,
  [SMALL_STATE(19108)] = 384807,
  [SMALL_STATE(19109)] = 384821,
  [SMALL_STATE(19110)] = 384835,
  [SMALL_STATE(19111)] = 384849,
  [SMALL_STATE(19112)] = 384863,
  [SMALL_STATE(19113)] = 384877,
  [SMALL_STATE(19114)] = 384891,
  [SMALL_STATE(19115)] = 384905,
  [SMALL_STATE(19116)] = 384919,
  [SMALL_STATE(19117)] = 384933,
  [SMALL_STATE(19118)] = 384947,
  [SMALL_STATE(19119)] = 384961,
  [SMALL_STATE(19120)] = 384975,
  [SMALL_STATE(19121)] = 384989,
  [SMALL_STATE(19122)] = 385003,
  [SMALL_STATE(19123)] = 385017,
  [SMALL_STATE(19124)] = 385031,
  [SMALL_STATE(19125)] = 385045,
  [SMALL_STATE(19126)] = 385059,
  [SMALL_STATE(19127)] = 385073,
  [SMALL_STATE(19128)] = 385087,
  [SMALL_STATE(19129)] = 385101,
  [SMALL_STATE(19130)] = 385115,
  [SMALL_STATE(19131)] = 385129,
  [SMALL_STATE(19132)] = 385143,
  [SMALL_STATE(19133)] = 385157,
  [SMALL_STATE(19134)] = 385171,
  [SMALL_STATE(19135)] = 385185,
  [SMALL_STATE(19136)] = 385199,
  [SMALL_STATE(19137)] = 385213,
  [SMALL_STATE(19138)] = 385227,
  [SMALL_STATE(19139)] = 385241,
  [SMALL_STATE(19140)] = 385255,
  [SMALL_STATE(19141)] = 385269,
  [SMALL_STATE(19142)] = 385283,
  [SMALL_STATE(19143)] = 385297,
  [SMALL_STATE(19144)] = 385311,
  [SMALL_STATE(19145)] = 385325,
  [SMALL_STATE(19146)] = 385339,
  [SMALL_STATE(19147)] = 385353,
  [SMALL_STATE(19148)] = 385367,
  [SMALL_STATE(19149)] = 385381,
  [SMALL_STATE(19150)] = 385395,
  [SMALL_STATE(19151)] = 385409,
  [SMALL_STATE(19152)] = 385423,
  [SMALL_STATE(19153)] = 385437,
  [SMALL_STATE(19154)] = 385451,
  [SMALL_STATE(19155)] = 385465,
  [SMALL_STATE(19156)] = 385479,
  [SMALL_STATE(19157)] = 385493,
  [SMALL_STATE(19158)] = 385507,
  [SMALL_STATE(19159)] = 385521,
  [SMALL_STATE(19160)] = 385535,
  [SMALL_STATE(19161)] = 385549,
  [SMALL_STATE(19162)] = 385563,
  [SMALL_STATE(19163)] = 385577,
  [SMALL_STATE(19164)] = 385591,
  [SMALL_STATE(19165)] = 385605,
  [SMALL_STATE(19166)] = 385619,
  [SMALL_STATE(19167)] = 385633,
  [SMALL_STATE(19168)] = 385647,
  [SMALL_STATE(19169)] = 385661,
  [SMALL_STATE(19170)] = 385675,
  [SMALL_STATE(19171)] = 385689,
  [SMALL_STATE(19172)] = 385703,
  [SMALL_STATE(19173)] = 385717,
  [SMALL_STATE(19174)] = 385731,
  [SMALL_STATE(19175)] = 385745,
  [SMALL_STATE(19176)] = 385759,
  [SMALL_STATE(19177)] = 385773,
  [SMALL_STATE(19178)] = 385787,
  [SMALL_STATE(19179)] = 385801,
  [SMALL_STATE(19180)] = 385815,
  [SMALL_STATE(19181)] = 385829,
  [SMALL_STATE(19182)] = 385843,
  [SMALL_STATE(19183)] = 385857,
  [SMALL_STATE(19184)] = 385871,
  [SMALL_STATE(19185)] = 385885,
  [SMALL_STATE(19186)] = 385899,
  [SMALL_STATE(19187)] = 385913,
  [SMALL_STATE(19188)] = 385927,
  [SMALL_STATE(19189)] = 385941,
  [SMALL_STATE(19190)] = 385955,
  [SMALL_STATE(19191)] = 385969,
  [SMALL_STATE(19192)] = 385983,
  [SMALL_STATE(19193)] = 385997,
  [SMALL_STATE(19194)] = 386011,
  [SMALL_STATE(19195)] = 386025,
  [SMALL_STATE(19196)] = 386039,
  [SMALL_STATE(19197)] = 386053,
  [SMALL_STATE(19198)] = 386067,
  [SMALL_STATE(19199)] = 386081,
  [SMALL_STATE(19200)] = 386095,
  [SMALL_STATE(19201)] = 386109,
  [SMALL_STATE(19202)] = 386123,
  [SMALL_STATE(19203)] = 386137,
  [SMALL_STATE(19204)] = 386151,
  [SMALL_STATE(19205)] = 386165,
  [SMALL_STATE(19206)] = 386179,
  [SMALL_STATE(19207)] = 386193,
  [SMALL_STATE(19208)] = 386207,
  [SMALL_STATE(19209)] = 386221,
  [SMALL_STATE(19210)] = 386235,
  [SMALL_STATE(19211)] = 386249,
  [SMALL_STATE(19212)] = 386263,
  [SMALL_STATE(19213)] = 386277,
  [SMALL_STATE(19214)] = 386291,
  [SMALL_STATE(19215)] = 386305,
  [SMALL_STATE(19216)] = 386319,
  [SMALL_STATE(19217)] = 386333,
  [SMALL_STATE(19218)] = 386347,
  [SMALL_STATE(19219)] = 386361,
  [SMALL_STATE(19220)] = 386375,
  [SMALL_STATE(19221)] = 386389,
  [SMALL_STATE(19222)] = 386403,
  [SMALL_STATE(19223)] = 386417,
  [SMALL_STATE(19224)] = 386431,
  [SMALL_STATE(19225)] = 386445,
  [SMALL_STATE(19226)] = 386459,
  [SMALL_STATE(19227)] = 386473,
  [SMALL_STATE(19228)] = 386487,
  [SMALL_STATE(19229)] = 386501,
  [SMALL_STATE(19230)] = 386515,
  [SMALL_STATE(19231)] = 386529,
  [SMALL_STATE(19232)] = 386543,
  [SMALL_STATE(19233)] = 386557,
  [SMALL_STATE(19234)] = 386571,
  [SMALL_STATE(19235)] = 386585,
  [SMALL_STATE(19236)] = 386599,
  [SMALL_STATE(19237)] = 386613,
  [SMALL_STATE(19238)] = 386627,
  [SMALL_STATE(19239)] = 386641,
  [SMALL_STATE(19240)] = 386655,
  [SMALL_STATE(19241)] = 386669,
  [SMALL_STATE(19242)] = 386683,
  [SMALL_STATE(19243)] = 386697,
  [SMALL_STATE(19244)] = 386711,
  [SMALL_STATE(19245)] = 386725,
  [SMALL_STATE(19246)] = 386739,
  [SMALL_STATE(19247)] = 386753,
  [SMALL_STATE(19248)] = 386767,
  [SMALL_STATE(19249)] = 386781,
  [SMALL_STATE(19250)] = 386795,
  [SMALL_STATE(19251)] = 386809,
  [SMALL_STATE(19252)] = 386823,
  [SMALL_STATE(19253)] = 386837,
  [SMALL_STATE(19254)] = 386851,
  [SMALL_STATE(19255)] = 386865,
  [SMALL_STATE(19256)] = 386879,
  [SMALL_STATE(19257)] = 386893,
  [SMALL_STATE(19258)] = 386907,
  [SMALL_STATE(19259)] = 386921,
  [SMALL_STATE(19260)] = 386935,
  [SMALL_STATE(19261)] = 386949,
  [SMALL_STATE(19262)] = 386963,
  [SMALL_STATE(19263)] = 386977,
  [SMALL_STATE(19264)] = 386991,
  [SMALL_STATE(19265)] = 387005,
  [SMALL_STATE(19266)] = 387019,
  [SMALL_STATE(19267)] = 387033,
  [SMALL_STATE(19268)] = 387047,
  [SMALL_STATE(19269)] = 387061,
  [SMALL_STATE(19270)] = 387075,
  [SMALL_STATE(19271)] = 387089,
  [SMALL_STATE(19272)] = 387103,
  [SMALL_STATE(19273)] = 387117,
  [SMALL_STATE(19274)] = 387131,
  [SMALL_STATE(19275)] = 387145,
  [SMALL_STATE(19276)] = 387159,
  [SMALL_STATE(19277)] = 387173,
  [SMALL_STATE(19278)] = 387187,
  [SMALL_STATE(19279)] = 387201,
  [SMALL_STATE(19280)] = 387215,
  [SMALL_STATE(19281)] = 387229,
  [SMALL_STATE(19282)] = 387243,
  [SMALL_STATE(19283)] = 387257,
  [SMALL_STATE(19284)] = 387271,
  [SMALL_STATE(19285)] = 387285,
  [SMALL_STATE(19286)] = 387299,
  [SMALL_STATE(19287)] = 387313,
  [SMALL_STATE(19288)] = 387327,
  [SMALL_STATE(19289)] = 387341,
  [SMALL_STATE(19290)] = 387355,
  [SMALL_STATE(19291)] = 387369,
  [SMALL_STATE(19292)] = 387383,
  [SMALL_STATE(19293)] = 387397,
  [SMALL_STATE(19294)] = 387411,
  [SMALL_STATE(19295)] = 387425,
  [SMALL_STATE(19296)] = 387439,
  [SMALL_STATE(19297)] = 387453,
  [SMALL_STATE(19298)] = 387467,
  [SMALL_STATE(19299)] = 387481,
  [SMALL_STATE(19300)] = 387495,
  [SMALL_STATE(19301)] = 387509,
  [SMALL_STATE(19302)] = 387523,
  [SMALL_STATE(19303)] = 387537,
  [SMALL_STATE(19304)] = 387551,
  [SMALL_STATE(19305)] = 387565,
  [SMALL_STATE(19306)] = 387579,
  [SMALL_STATE(19307)] = 387593,
  [SMALL_STATE(19308)] = 387607,
  [SMALL_STATE(19309)] = 387621,
  [SMALL_STATE(19310)] = 387635,
  [SMALL_STATE(19311)] = 387649,
  [SMALL_STATE(19312)] = 387663,
  [SMALL_STATE(19313)] = 387677,
  [SMALL_STATE(19314)] = 387691,
  [SMALL_STATE(19315)] = 387705,
  [SMALL_STATE(19316)] = 387719,
  [SMALL_STATE(19317)] = 387733,
  [SMALL_STATE(19318)] = 387747,
  [SMALL_STATE(19319)] = 387761,
  [SMALL_STATE(19320)] = 387775,
  [SMALL_STATE(19321)] = 387789,
  [SMALL_STATE(19322)] = 387803,
  [SMALL_STATE(19323)] = 387817,
  [SMALL_STATE(19324)] = 387831,
  [SMALL_STATE(19325)] = 387845,
  [SMALL_STATE(19326)] = 387859,
  [SMALL_STATE(19327)] = 387873,
  [SMALL_STATE(19328)] = 387887,
  [SMALL_STATE(19329)] = 387901,
  [SMALL_STATE(19330)] = 387915,
  [SMALL_STATE(19331)] = 387929,
  [SMALL_STATE(19332)] = 387943,
  [SMALL_STATE(19333)] = 387957,
  [SMALL_STATE(19334)] = 387971,
  [SMALL_STATE(19335)] = 387985,
  [SMALL_STATE(19336)] = 387999,
  [SMALL_STATE(19337)] = 388013,
  [SMALL_STATE(19338)] = 388027,
  [SMALL_STATE(19339)] = 388041,
  [SMALL_STATE(19340)] = 388055,
  [SMALL_STATE(19341)] = 388069,
  [SMALL_STATE(19342)] = 388083,
  [SMALL_STATE(19343)] = 388097,
  [SMALL_STATE(19344)] = 388111,
  [SMALL_STATE(19345)] = 388125,
  [SMALL_STATE(19346)] = 388139,
  [SMALL_STATE(19347)] = 388153,
  [SMALL_STATE(19348)] = 388167,
  [SMALL_STATE(19349)] = 388181,
  [SMALL_STATE(19350)] = 388195,
  [SMALL_STATE(19351)] = 388209,
  [SMALL_STATE(19352)] = 388223,
  [SMALL_STATE(19353)] = 388237,
  [SMALL_STATE(19354)] = 388251,
  [SMALL_STATE(19355)] = 388265,
  [SMALL_STATE(19356)] = 388279,
  [SMALL_STATE(19357)] = 388293,
  [SMALL_STATE(19358)] = 388307,
  [SMALL_STATE(19359)] = 388321,
  [SMALL_STATE(19360)] = 388335,
  [SMALL_STATE(19361)] = 388349,
  [SMALL_STATE(19362)] = 388363,
  [SMALL_STATE(19363)] = 388377,
  [SMALL_STATE(19364)] = 388391,
  [SMALL_STATE(19365)] = 388405,
  [SMALL_STATE(19366)] = 388419,
  [SMALL_STATE(19367)] = 388433,
  [SMALL_STATE(19368)] = 388447,
  [SMALL_STATE(19369)] = 388461,
  [SMALL_STATE(19370)] = 388475,
  [SMALL_STATE(19371)] = 388489,
  [SMALL_STATE(19372)] = 388503,
  [SMALL_STATE(19373)] = 388517,
  [SMALL_STATE(19374)] = 388531,
  [SMALL_STATE(19375)] = 388545,
  [SMALL_STATE(19376)] = 388559,
  [SMALL_STATE(19377)] = 388573,
  [SMALL_STATE(19378)] = 388587,
  [SMALL_STATE(19379)] = 388601,
  [SMALL_STATE(19380)] = 388615,
  [SMALL_STATE(19381)] = 388629,
  [SMALL_STATE(19382)] = 388643,
  [SMALL_STATE(19383)] = 388657,
  [SMALL_STATE(19384)] = 388671,
  [SMALL_STATE(19385)] = 388685,
  [SMALL_STATE(19386)] = 388699,
  [SMALL_STATE(19387)] = 388713,
  [SMALL_STATE(19388)] = 388727,
  [SMALL_STATE(19389)] = 388741,
  [SMALL_STATE(19390)] = 388755,
  [SMALL_STATE(19391)] = 388769,
  [SMALL_STATE(19392)] = 388783,
  [SMALL_STATE(19393)] = 388797,
  [SMALL_STATE(19394)] = 388811,
  [SMALL_STATE(19395)] = 388825,
  [SMALL_STATE(19396)] = 388839,
  [SMALL_STATE(19397)] = 388853,
  [SMALL_STATE(19398)] = 388867,
  [SMALL_STATE(19399)] = 388881,
  [SMALL_STATE(19400)] = 388895,
  [SMALL_STATE(19401)] = 388909,
  [SMALL_STATE(19402)] = 388923,
  [SMALL_STATE(19403)] = 388937,
  [SMALL_STATE(19404)] = 388951,
  [SMALL_STATE(19405)] = 388965,
  [SMALL_STATE(19406)] = 388979,
  [SMALL_STATE(19407)] = 388993,
  [SMALL_STATE(19408)] = 389007,
  [SMALL_STATE(19409)] = 389021,
  [SMALL_STATE(19410)] = 389035,
  [SMALL_STATE(19411)] = 389049,
  [SMALL_STATE(19412)] = 389063,
  [SMALL_STATE(19413)] = 389077,
  [SMALL_STATE(19414)] = 389091,
  [SMALL_STATE(19415)] = 389105,
  [SMALL_STATE(19416)] = 389119,
  [SMALL_STATE(19417)] = 389133,
  [SMALL_STATE(19418)] = 389147,
  [SMALL_STATE(19419)] = 389161,
  [SMALL_STATE(19420)] = 389175,
  [SMALL_STATE(19421)] = 389189,
  [SMALL_STATE(19422)] = 389203,
  [SMALL_STATE(19423)] = 389217,
  [SMALL_STATE(19424)] = 389231,
  [SMALL_STATE(19425)] = 389245,
  [SMALL_STATE(19426)] = 389259,
  [SMALL_STATE(19427)] = 389273,
  [SMALL_STATE(19428)] = 389287,
  [SMALL_STATE(19429)] = 389301,
  [SMALL_STATE(19430)] = 389315,
  [SMALL_STATE(19431)] = 389329,
  [SMALL_STATE(19432)] = 389343,
  [SMALL_STATE(19433)] = 389357,
  [SMALL_STATE(19434)] = 389371,
  [SMALL_STATE(19435)] = 389385,
  [SMALL_STATE(19436)] = 389399,
  [SMALL_STATE(19437)] = 389413,
  [SMALL_STATE(19438)] = 389427,
  [SMALL_STATE(19439)] = 389441,
  [SMALL_STATE(19440)] = 389455,
  [SMALL_STATE(19441)] = 389469,
  [SMALL_STATE(19442)] = 389483,
  [SMALL_STATE(19443)] = 389497,
  [SMALL_STATE(19444)] = 389511,
  [SMALL_STATE(19445)] = 389525,
  [SMALL_STATE(19446)] = 389539,
  [SMALL_STATE(19447)] = 389553,
  [SMALL_STATE(19448)] = 389567,
  [SMALL_STATE(19449)] = 389581,
  [SMALL_STATE(19450)] = 389595,
  [SMALL_STATE(19451)] = 389609,
  [SMALL_STATE(19452)] = 389623,
  [SMALL_STATE(19453)] = 389637,
  [SMALL_STATE(19454)] = 389651,
  [SMALL_STATE(19455)] = 389665,
  [SMALL_STATE(19456)] = 389679,
  [SMALL_STATE(19457)] = 389693,
  [SMALL_STATE(19458)] = 389707,
  [SMALL_STATE(19459)] = 389721,
  [SMALL_STATE(19460)] = 389735,
  [SMALL_STATE(19461)] = 389749,
  [SMALL_STATE(19462)] = 389763,
  [SMALL_STATE(19463)] = 389777,
  [SMALL_STATE(19464)] = 389791,
  [SMALL_STATE(19465)] = 389805,
  [SMALL_STATE(19466)] = 389819,
  [SMALL_STATE(19467)] = 389833,
  [SMALL_STATE(19468)] = 389847,
  [SMALL_STATE(19469)] = 389861,
  [SMALL_STATE(19470)] = 389875,
  [SMALL_STATE(19471)] = 389889,
  [SMALL_STATE(19472)] = 389903,
  [SMALL_STATE(19473)] = 389917,
  [SMALL_STATE(19474)] = 389931,
  [SMALL_STATE(19475)] = 389945,
  [SMALL_STATE(19476)] = 389959,
  [SMALL_STATE(19477)] = 389973,
  [SMALL_STATE(19478)] = 389987,
  [SMALL_STATE(19479)] = 390001,
  [SMALL_STATE(19480)] = 390015,
  [SMALL_STATE(19481)] = 390029,
  [SMALL_STATE(19482)] = 390043,
  [SMALL_STATE(19483)] = 390057,
  [SMALL_STATE(19484)] = 390071,
  [SMALL_STATE(19485)] = 390085,
  [SMALL_STATE(19486)] = 390099,
  [SMALL_STATE(19487)] = 390113,
  [SMALL_STATE(19488)] = 390127,
  [SMALL_STATE(19489)] = 390141,
  [SMALL_STATE(19490)] = 390155,
  [SMALL_STATE(19491)] = 390169,
  [SMALL_STATE(19492)] = 390183,
  [SMALL_STATE(19493)] = 390197,
  [SMALL_STATE(19494)] = 390211,
  [SMALL_STATE(19495)] = 390225,
  [SMALL_STATE(19496)] = 390239,
  [SMALL_STATE(19497)] = 390253,
  [SMALL_STATE(19498)] = 390267,
  [SMALL_STATE(19499)] = 390281,
  [SMALL_STATE(19500)] = 390295,
  [SMALL_STATE(19501)] = 390309,
  [SMALL_STATE(19502)] = 390323,
  [SMALL_STATE(19503)] = 390337,
  [SMALL_STATE(19504)] = 390351,
  [SMALL_STATE(19505)] = 390365,
  [SMALL_STATE(19506)] = 390379,
  [SMALL_STATE(19507)] = 390393,
  [SMALL_STATE(19508)] = 390407,
  [SMALL_STATE(19509)] = 390421,
  [SMALL_STATE(19510)] = 390435,
  [SMALL_STATE(19511)] = 390449,
  [SMALL_STATE(19512)] = 390463,
  [SMALL_STATE(19513)] = 390477,
  [SMALL_STATE(19514)] = 390491,
  [SMALL_STATE(19515)] = 390505,
  [SMALL_STATE(19516)] = 390519,
  [SMALL_STATE(19517)] = 390533,
  [SMALL_STATE(19518)] = 390547,
  [SMALL_STATE(19519)] = 390561,
  [SMALL_STATE(19520)] = 390575,
  [SMALL_STATE(19521)] = 390589,
  [SMALL_STATE(19522)] = 390603,
  [SMALL_STATE(19523)] = 390617,
  [SMALL_STATE(19524)] = 390631,
  [SMALL_STATE(19525)] = 390645,
  [SMALL_STATE(19526)] = 390659,
  [SMALL_STATE(19527)] = 390673,
  [SMALL_STATE(19528)] = 390687,
  [SMALL_STATE(19529)] = 390701,
  [SMALL_STATE(19530)] = 390715,
  [SMALL_STATE(19531)] = 390729,
  [SMALL_STATE(19532)] = 390743,
  [SMALL_STATE(19533)] = 390757,
  [SMALL_STATE(19534)] = 390771,
  [SMALL_STATE(19535)] = 390785,
  [SMALL_STATE(19536)] = 390799,
  [SMALL_STATE(19537)] = 390813,
  [SMALL_STATE(19538)] = 390827,
  [SMALL_STATE(19539)] = 390841,
  [SMALL_STATE(19540)] = 390855,
  [SMALL_STATE(19541)] = 390869,
  [SMALL_STATE(19542)] = 390883,
  [SMALL_STATE(19543)] = 390897,
  [SMALL_STATE(19544)] = 390911,
  [SMALL_STATE(19545)] = 390925,
  [SMALL_STATE(19546)] = 390939,
  [SMALL_STATE(19547)] = 390953,
  [SMALL_STATE(19548)] = 390967,
  [SMALL_STATE(19549)] = 390981,
  [SMALL_STATE(19550)] = 390995,
  [SMALL_STATE(19551)] = 391009,
  [SMALL_STATE(19552)] = 391023,
  [SMALL_STATE(19553)] = 391037,
  [SMALL_STATE(19554)] = 391051,
  [SMALL_STATE(19555)] = 391065,
  [SMALL_STATE(19556)] = 391079,
  [SMALL_STATE(19557)] = 391093,
  [SMALL_STATE(19558)] = 391107,
  [SMALL_STATE(19559)] = 391121,
  [SMALL_STATE(19560)] = 391135,
  [SMALL_STATE(19561)] = 391149,
  [SMALL_STATE(19562)] = 391163,
  [SMALL_STATE(19563)] = 391177,
  [SMALL_STATE(19564)] = 391191,
  [SMALL_STATE(19565)] = 391205,
  [SMALL_STATE(19566)] = 391219,
  [SMALL_STATE(19567)] = 391233,
  [SMALL_STATE(19568)] = 391247,
  [SMALL_STATE(19569)] = 391261,
  [SMALL_STATE(19570)] = 391275,
  [SMALL_STATE(19571)] = 391289,
  [SMALL_STATE(19572)] = 391303,
  [SMALL_STATE(19573)] = 391317,
  [SMALL_STATE(19574)] = 391331,
  [SMALL_STATE(19575)] = 391345,
  [SMALL_STATE(19576)] = 391359,
  [SMALL_STATE(19577)] = 391373,
  [SMALL_STATE(19578)] = 391387,
  [SMALL_STATE(19579)] = 391401,
  [SMALL_STATE(19580)] = 391415,
  [SMALL_STATE(19581)] = 391429,
  [SMALL_STATE(19582)] = 391443,
  [SMALL_STATE(19583)] = 391457,
  [SMALL_STATE(19584)] = 391471,
  [SMALL_STATE(19585)] = 391485,
  [SMALL_STATE(19586)] = 391499,
  [SMALL_STATE(19587)] = 391513,
  [SMALL_STATE(19588)] = 391527,
  [SMALL_STATE(19589)] = 391541,
  [SMALL_STATE(19590)] = 391555,
  [SMALL_STATE(19591)] = 391569,
  [SMALL_STATE(19592)] = 391583,
  [SMALL_STATE(19593)] = 391597,
  [SMALL_STATE(19594)] = 391611,
  [SMALL_STATE(19595)] = 391625,
  [SMALL_STATE(19596)] = 391639,
  [SMALL_STATE(19597)] = 391653,
  [SMALL_STATE(19598)] = 391667,
  [SMALL_STATE(19599)] = 391681,
  [SMALL_STATE(19600)] = 391695,
  [SMALL_STATE(19601)] = 391709,
  [SMALL_STATE(19602)] = 391723,
  [SMALL_STATE(19603)] = 391737,
  [SMALL_STATE(19604)] = 391751,
  [SMALL_STATE(19605)] = 391765,
  [SMALL_STATE(19606)] = 391779,
  [SMALL_STATE(19607)] = 391793,
  [SMALL_STATE(19608)] = 391807,
  [SMALL_STATE(19609)] = 391821,
  [SMALL_STATE(19610)] = 391835,
  [SMALL_STATE(19611)] = 391849,
  [SMALL_STATE(19612)] = 391863,
  [SMALL_STATE(19613)] = 391877,
  [SMALL_STATE(19614)] = 391891,
  [SMALL_STATE(19615)] = 391905,
  [SMALL_STATE(19616)] = 391919,
  [SMALL_STATE(19617)] = 391933,
  [SMALL_STATE(19618)] = 391947,
  [SMALL_STATE(19619)] = 391961,
  [SMALL_STATE(19620)] = 391975,
  [SMALL_STATE(19621)] = 391989,
  [SMALL_STATE(19622)] = 392003,
  [SMALL_STATE(19623)] = 392017,
  [SMALL_STATE(19624)] = 392031,
  [SMALL_STATE(19625)] = 392045,
  [SMALL_STATE(19626)] = 392059,
  [SMALL_STATE(19627)] = 392073,
  [SMALL_STATE(19628)] = 392087,
  [SMALL_STATE(19629)] = 392101,
  [SMALL_STATE(19630)] = 392115,
  [SMALL_STATE(19631)] = 392129,
  [SMALL_STATE(19632)] = 392143,
  [SMALL_STATE(19633)] = 392157,
  [SMALL_STATE(19634)] = 392171,
  [SMALL_STATE(19635)] = 392185,
  [SMALL_STATE(19636)] = 392199,
  [SMALL_STATE(19637)] = 392213,
  [SMALL_STATE(19638)] = 392227,
  [SMALL_STATE(19639)] = 392241,
  [SMALL_STATE(19640)] = 392255,
  [SMALL_STATE(19641)] = 392269,
  [SMALL_STATE(19642)] = 392283,
  [SMALL_STATE(19643)] = 392297,
  [SMALL_STATE(19644)] = 392311,
  [SMALL_STATE(19645)] = 392325,
  [SMALL_STATE(19646)] = 392339,
  [SMALL_STATE(19647)] = 392353,
  [SMALL_STATE(19648)] = 392367,
  [SMALL_STATE(19649)] = 392381,
  [SMALL_STATE(19650)] = 392395,
  [SMALL_STATE(19651)] = 392409,
  [SMALL_STATE(19652)] = 392423,
  [SMALL_STATE(19653)] = 392437,
  [SMALL_STATE(19654)] = 392451,
  [SMALL_STATE(19655)] = 392465,
  [SMALL_STATE(19656)] = 392479,
  [SMALL_STATE(19657)] = 392493,
  [SMALL_STATE(19658)] = 392507,
  [SMALL_STATE(19659)] = 392521,
  [SMALL_STATE(19660)] = 392535,
  [SMALL_STATE(19661)] = 392549,
  [SMALL_STATE(19662)] = 392563,
  [SMALL_STATE(19663)] = 392577,
  [SMALL_STATE(19664)] = 392591,
  [SMALL_STATE(19665)] = 392605,
  [SMALL_STATE(19666)] = 392619,
  [SMALL_STATE(19667)] = 392633,
  [SMALL_STATE(19668)] = 392647,
  [SMALL_STATE(19669)] = 392661,
  [SMALL_STATE(19670)] = 392675,
  [SMALL_STATE(19671)] = 392689,
  [SMALL_STATE(19672)] = 392703,
  [SMALL_STATE(19673)] = 392717,
  [SMALL_STATE(19674)] = 392731,
  [SMALL_STATE(19675)] = 392745,
  [SMALL_STATE(19676)] = 392759,
  [SMALL_STATE(19677)] = 392773,
  [SMALL_STATE(19678)] = 392787,
  [SMALL_STATE(19679)] = 392801,
  [SMALL_STATE(19680)] = 392815,
  [SMALL_STATE(19681)] = 392829,
  [SMALL_STATE(19682)] = 392843,
  [SMALL_STATE(19683)] = 392857,
  [SMALL_STATE(19684)] = 392871,
  [SMALL_STATE(19685)] = 392885,
  [SMALL_STATE(19686)] = 392899,
  [SMALL_STATE(19687)] = 392913,
  [SMALL_STATE(19688)] = 392927,
  [SMALL_STATE(19689)] = 392941,
  [SMALL_STATE(19690)] = 392955,
  [SMALL_STATE(19691)] = 392969,
  [SMALL_STATE(19692)] = 392983,
  [SMALL_STATE(19693)] = 392997,
  [SMALL_STATE(19694)] = 393011,
  [SMALL_STATE(19695)] = 393025,
  [SMALL_STATE(19696)] = 393039,
  [SMALL_STATE(19697)] = 393053,
  [SMALL_STATE(19698)] = 393067,
  [SMALL_STATE(19699)] = 393081,
  [SMALL_STATE(19700)] = 393095,
  [SMALL_STATE(19701)] = 393109,
  [SMALL_STATE(19702)] = 393123,
  [SMALL_STATE(19703)] = 393137,
  [SMALL_STATE(19704)] = 393151,
  [SMALL_STATE(19705)] = 393165,
  [SMALL_STATE(19706)] = 393179,
  [SMALL_STATE(19707)] = 393193,
  [SMALL_STATE(19708)] = 393207,
  [SMALL_STATE(19709)] = 393221,
  [SMALL_STATE(19710)] = 393235,
  [SMALL_STATE(19711)] = 393249,
  [SMALL_STATE(19712)] = 393263,
  [SMALL_STATE(19713)] = 393277,
  [SMALL_STATE(19714)] = 393291,
  [SMALL_STATE(19715)] = 393305,
  [SMALL_STATE(19716)] = 393319,
  [SMALL_STATE(19717)] = 393333,
  [SMALL_STATE(19718)] = 393347,
  [SMALL_STATE(19719)] = 393361,
  [SMALL_STATE(19720)] = 393375,
  [SMALL_STATE(19721)] = 393389,
  [SMALL_STATE(19722)] = 393403,
  [SMALL_STATE(19723)] = 393417,
  [SMALL_STATE(19724)] = 393431,
  [SMALL_STATE(19725)] = 393445,
  [SMALL_STATE(19726)] = 393459,
  [SMALL_STATE(19727)] = 393473,
  [SMALL_STATE(19728)] = 393487,
  [SMALL_STATE(19729)] = 393501,
  [SMALL_STATE(19730)] = 393515,
  [SMALL_STATE(19731)] = 393529,
  [SMALL_STATE(19732)] = 393543,
  [SMALL_STATE(19733)] = 393557,
  [SMALL_STATE(19734)] = 393571,
  [SMALL_STATE(19735)] = 393585,
  [SMALL_STATE(19736)] = 393599,
  [SMALL_STATE(19737)] = 393613,
  [SMALL_STATE(19738)] = 393627,
  [SMALL_STATE(19739)] = 393641,
  [SMALL_STATE(19740)] = 393655,
  [SMALL_STATE(19741)] = 393669,
  [SMALL_STATE(19742)] = 393683,
  [SMALL_STATE(19743)] = 393697,
  [SMALL_STATE(19744)] = 393711,
  [SMALL_STATE(19745)] = 393725,
  [SMALL_STATE(19746)] = 393739,
  [SMALL_STATE(19747)] = 393753,
  [SMALL_STATE(19748)] = 393767,
  [SMALL_STATE(19749)] = 393781,
  [SMALL_STATE(19750)] = 393795,
  [SMALL_STATE(19751)] = 393809,
  [SMALL_STATE(19752)] = 393823,
  [SMALL_STATE(19753)] = 393837,
  [SMALL_STATE(19754)] = 393851,
  [SMALL_STATE(19755)] = 393865,
  [SMALL_STATE(19756)] = 393879,
  [SMALL_STATE(19757)] = 393893,
  [SMALL_STATE(19758)] = 393907,
  [SMALL_STATE(19759)] = 393921,
  [SMALL_STATE(19760)] = 393935,
  [SMALL_STATE(19761)] = 393949,
  [SMALL_STATE(19762)] = 393963,
  [SMALL_STATE(19763)] = 393977,
  [SMALL_STATE(19764)] = 393991,
  [SMALL_STATE(19765)] = 394005,
  [SMALL_STATE(19766)] = 394019,
  [SMALL_STATE(19767)] = 394033,
  [SMALL_STATE(19768)] = 394047,
  [SMALL_STATE(19769)] = 394061,
  [SMALL_STATE(19770)] = 394075,
  [SMALL_STATE(19771)] = 394089,
  [SMALL_STATE(19772)] = 394103,
  [SMALL_STATE(19773)] = 394117,
  [SMALL_STATE(19774)] = 394131,
  [SMALL_STATE(19775)] = 394145,
  [SMALL_STATE(19776)] = 394159,
  [SMALL_STATE(19777)] = 394173,
  [SMALL_STATE(19778)] = 394187,
  [SMALL_STATE(19779)] = 394201,
  [SMALL_STATE(19780)] = 394215,
  [SMALL_STATE(19781)] = 394229,
  [SMALL_STATE(19782)] = 394243,
  [SMALL_STATE(19783)] = 394257,
  [SMALL_STATE(19784)] = 394271,
  [SMALL_STATE(19785)] = 394285,
  [SMALL_STATE(19786)] = 394299,
  [SMALL_STATE(19787)] = 394313,
  [SMALL_STATE(19788)] = 394327,
  [SMALL_STATE(19789)] = 394341,
  [SMALL_STATE(19790)] = 394355,
  [SMALL_STATE(19791)] = 394369,
  [SMALL_STATE(19792)] = 394383,
  [SMALL_STATE(19793)] = 394397,
  [SMALL_STATE(19794)] = 394411,
  [SMALL_STATE(19795)] = 394425,
  [SMALL_STATE(19796)] = 394439,
  [SMALL_STATE(19797)] = 394453,
  [SMALL_STATE(19798)] = 394467,
  [SMALL_STATE(19799)] = 394481,
  [SMALL_STATE(19800)] = 394495,
  [SMALL_STATE(19801)] = 394509,
  [SMALL_STATE(19802)] = 394523,
  [SMALL_STATE(19803)] = 394537,
  [SMALL_STATE(19804)] = 394551,
  [SMALL_STATE(19805)] = 394565,
  [SMALL_STATE(19806)] = 394579,
  [SMALL_STATE(19807)] = 394593,
  [SMALL_STATE(19808)] = 394607,
  [SMALL_STATE(19809)] = 394621,
  [SMALL_STATE(19810)] = 394635,
  [SMALL_STATE(19811)] = 394649,
  [SMALL_STATE(19812)] = 394663,
  [SMALL_STATE(19813)] = 394677,
  [SMALL_STATE(19814)] = 394691,
  [SMALL_STATE(19815)] = 394705,
  [SMALL_STATE(19816)] = 394719,
  [SMALL_STATE(19817)] = 394733,
  [SMALL_STATE(19818)] = 394747,
  [SMALL_STATE(19819)] = 394761,
  [SMALL_STATE(19820)] = 394775,
  [SMALL_STATE(19821)] = 394789,
  [SMALL_STATE(19822)] = 394803,
  [SMALL_STATE(19823)] = 394817,
  [SMALL_STATE(19824)] = 394831,
  [SMALL_STATE(19825)] = 394845,
  [SMALL_STATE(19826)] = 394859,
  [SMALL_STATE(19827)] = 394873,
  [SMALL_STATE(19828)] = 394887,
  [SMALL_STATE(19829)] = 394901,
  [SMALL_STATE(19830)] = 394915,
  [SMALL_STATE(19831)] = 394929,
  [SMALL_STATE(19832)] = 394943,
  [SMALL_STATE(19833)] = 394957,
  [SMALL_STATE(19834)] = 394971,
  [SMALL_STATE(19835)] = 394985,
  [SMALL_STATE(19836)] = 394999,
  [SMALL_STATE(19837)] = 395013,
  [SMALL_STATE(19838)] = 395027,
  [SMALL_STATE(19839)] = 395041,
  [SMALL_STATE(19840)] = 395055,
  [SMALL_STATE(19841)] = 395069,
  [SMALL_STATE(19842)] = 395083,
  [SMALL_STATE(19843)] = 395097,
  [SMALL_STATE(19844)] = 395111,
  [SMALL_STATE(19845)] = 395125,
  [SMALL_STATE(19846)] = 395139,
  [SMALL_STATE(19847)] = 395153,
  [SMALL_STATE(19848)] = 395167,
  [SMALL_STATE(19849)] = 395181,
  [SMALL_STATE(19850)] = 395195,
  [SMALL_STATE(19851)] = 395209,
  [SMALL_STATE(19852)] = 395223,
  [SMALL_STATE(19853)] = 395237,
  [SMALL_STATE(19854)] = 395251,
  [SMALL_STATE(19855)] = 395265,
  [SMALL_STATE(19856)] = 395279,
  [SMALL_STATE(19857)] = 395293,
  [SMALL_STATE(19858)] = 395307,
  [SMALL_STATE(19859)] = 395321,
  [SMALL_STATE(19860)] = 395335,
  [SMALL_STATE(19861)] = 395349,
  [SMALL_STATE(19862)] = 395363,
  [SMALL_STATE(19863)] = 395377,
  [SMALL_STATE(19864)] = 395391,
  [SMALL_STATE(19865)] = 395405,
  [SMALL_STATE(19866)] = 395419,
  [SMALL_STATE(19867)] = 395433,
  [SMALL_STATE(19868)] = 395447,
  [SMALL_STATE(19869)] = 395461,
  [SMALL_STATE(19870)] = 395475,
  [SMALL_STATE(19871)] = 395489,
  [SMALL_STATE(19872)] = 395503,
  [SMALL_STATE(19873)] = 395517,
  [SMALL_STATE(19874)] = 395531,
  [SMALL_STATE(19875)] = 395545,
  [SMALL_STATE(19876)] = 395559,
  [SMALL_STATE(19877)] = 395573,
  [SMALL_STATE(19878)] = 395587,
  [SMALL_STATE(19879)] = 395601,
  [SMALL_STATE(19880)] = 395615,
  [SMALL_STATE(19881)] = 395629,
  [SMALL_STATE(19882)] = 395643,
  [SMALL_STATE(19883)] = 395657,
  [SMALL_STATE(19884)] = 395671,
  [SMALL_STATE(19885)] = 395685,
  [SMALL_STATE(19886)] = 395699,
  [SMALL_STATE(19887)] = 395713,
  [SMALL_STATE(19888)] = 395727,
  [SMALL_STATE(19889)] = 395741,
  [SMALL_STATE(19890)] = 395755,
  [SMALL_STATE(19891)] = 395769,
  [SMALL_STATE(19892)] = 395783,
  [SMALL_STATE(19893)] = 395797,
  [SMALL_STATE(19894)] = 395811,
  [SMALL_STATE(19895)] = 395825,
  [SMALL_STATE(19896)] = 395839,
  [SMALL_STATE(19897)] = 395853,
  [SMALL_STATE(19898)] = 395867,
  [SMALL_STATE(19899)] = 395881,
  [SMALL_STATE(19900)] = 395895,
  [SMALL_STATE(19901)] = 395909,
  [SMALL_STATE(19902)] = 395923,
  [SMALL_STATE(19903)] = 395937,
  [SMALL_STATE(19904)] = 395951,
  [SMALL_STATE(19905)] = 395965,
  [SMALL_STATE(19906)] = 395979,
  [SMALL_STATE(19907)] = 395993,
  [SMALL_STATE(19908)] = 396007,
  [SMALL_STATE(19909)] = 396021,
  [SMALL_STATE(19910)] = 396035,
  [SMALL_STATE(19911)] = 396049,
  [SMALL_STATE(19912)] = 396063,
  [SMALL_STATE(19913)] = 396077,
  [SMALL_STATE(19914)] = 396091,
  [SMALL_STATE(19915)] = 396105,
  [SMALL_STATE(19916)] = 396119,
  [SMALL_STATE(19917)] = 396133,
  [SMALL_STATE(19918)] = 396147,
  [SMALL_STATE(19919)] = 396161,
  [SMALL_STATE(19920)] = 396175,
  [SMALL_STATE(19921)] = 396189,
  [SMALL_STATE(19922)] = 396203,
  [SMALL_STATE(19923)] = 396217,
  [SMALL_STATE(19924)] = 396231,
  [SMALL_STATE(19925)] = 396245,
  [SMALL_STATE(19926)] = 396259,
  [SMALL_STATE(19927)] = 396273,
  [SMALL_STATE(19928)] = 396287,
  [SMALL_STATE(19929)] = 396301,
  [SMALL_STATE(19930)] = 396315,
  [SMALL_STATE(19931)] = 396329,
  [SMALL_STATE(19932)] = 396343,
  [SMALL_STATE(19933)] = 396357,
  [SMALL_STATE(19934)] = 396371,
  [SMALL_STATE(19935)] = 396385,
  [SMALL_STATE(19936)] = 396399,
  [SMALL_STATE(19937)] = 396413,
  [SMALL_STATE(19938)] = 396427,
  [SMALL_STATE(19939)] = 396441,
  [SMALL_STATE(19940)] = 396455,
  [SMALL_STATE(19941)] = 396469,
  [SMALL_STATE(19942)] = 396483,
  [SMALL_STATE(19943)] = 396497,
  [SMALL_STATE(19944)] = 396511,
  [SMALL_STATE(19945)] = 396525,
  [SMALL_STATE(19946)] = 396539,
  [SMALL_STATE(19947)] = 396553,
  [SMALL_STATE(19948)] = 396567,
  [SMALL_STATE(19949)] = 396581,
  [SMALL_STATE(19950)] = 396595,
  [SMALL_STATE(19951)] = 396609,
  [SMALL_STATE(19952)] = 396623,
  [SMALL_STATE(19953)] = 396637,
  [SMALL_STATE(19954)] = 396651,
  [SMALL_STATE(19955)] = 396665,
  [SMALL_STATE(19956)] = 396679,
  [SMALL_STATE(19957)] = 396693,
  [SMALL_STATE(19958)] = 396707,
  [SMALL_STATE(19959)] = 396721,
  [SMALL_STATE(19960)] = 396735,
  [SMALL_STATE(19961)] = 396749,
  [SMALL_STATE(19962)] = 396763,
  [SMALL_STATE(19963)] = 396777,
  [SMALL_STATE(19964)] = 396791,
  [SMALL_STATE(19965)] = 396805,
  [SMALL_STATE(19966)] = 396819,
  [SMALL_STATE(19967)] = 396833,
  [SMALL_STATE(19968)] = 396847,
  [SMALL_STATE(19969)] = 396861,
  [SMALL_STATE(19970)] = 396875,
  [SMALL_STATE(19971)] = 396889,
  [SMALL_STATE(19972)] = 396903,
  [SMALL_STATE(19973)] = 396917,
  [SMALL_STATE(19974)] = 396931,
  [SMALL_STATE(19975)] = 396945,
  [SMALL_STATE(19976)] = 396959,
  [SMALL_STATE(19977)] = 396973,
  [SMALL_STATE(19978)] = 396987,
  [SMALL_STATE(19979)] = 397001,
  [SMALL_STATE(19980)] = 397015,
  [SMALL_STATE(19981)] = 397029,
  [SMALL_STATE(19982)] = 397043,
  [SMALL_STATE(19983)] = 397057,
  [SMALL_STATE(19984)] = 397071,
  [SMALL_STATE(19985)] = 397085,
  [SMALL_STATE(19986)] = 397099,
  [SMALL_STATE(19987)] = 397113,
  [SMALL_STATE(19988)] = 397127,
  [SMALL_STATE(19989)] = 397141,
  [SMALL_STATE(19990)] = 397155,
  [SMALL_STATE(19991)] = 397169,
  [SMALL_STATE(19992)] = 397183,
  [SMALL_STATE(19993)] = 397197,
  [SMALL_STATE(19994)] = 397211,
  [SMALL_STATE(19995)] = 397225,
  [SMALL_STATE(19996)] = 397239,
  [SMALL_STATE(19997)] = 397253,
  [SMALL_STATE(19998)] = 397267,
  [SMALL_STATE(19999)] = 397281,
  [SMALL_STATE(20000)] = 397295,
  [SMALL_STATE(20001)] = 397309,
  [SMALL_STATE(20002)] = 397323,
  [SMALL_STATE(20003)] = 397337,
  [SMALL_STATE(20004)] = 397351,
  [SMALL_STATE(20005)] = 397365,
  [SMALL_STATE(20006)] = 397379,
  [SMALL_STATE(20007)] = 397393,
  [SMALL_STATE(20008)] = 397407,
  [SMALL_STATE(20009)] = 397421,
  [SMALL_STATE(20010)] = 397435,
  [SMALL_STATE(20011)] = 397449,
  [SMALL_STATE(20012)] = 397463,
  [SMALL_STATE(20013)] = 397477,
  [SMALL_STATE(20014)] = 397491,
  [SMALL_STATE(20015)] = 397505,
  [SMALL_STATE(20016)] = 397519,
  [SMALL_STATE(20017)] = 397533,
  [SMALL_STATE(20018)] = 397547,
  [SMALL_STATE(20019)] = 397561,
  [SMALL_STATE(20020)] = 397575,
  [SMALL_STATE(20021)] = 397589,
  [SMALL_STATE(20022)] = 397603,
  [SMALL_STATE(20023)] = 397617,
  [SMALL_STATE(20024)] = 397631,
  [SMALL_STATE(20025)] = 397645,
  [SMALL_STATE(20026)] = 397659,
  [SMALL_STATE(20027)] = 397673,
  [SMALL_STATE(20028)] = 397687,
  [SMALL_STATE(20029)] = 397701,
  [SMALL_STATE(20030)] = 397715,
  [SMALL_STATE(20031)] = 397729,
  [SMALL_STATE(20032)] = 397743,
  [SMALL_STATE(20033)] = 397757,
  [SMALL_STATE(20034)] = 397771,
  [SMALL_STATE(20035)] = 397785,
  [SMALL_STATE(20036)] = 397799,
  [SMALL_STATE(20037)] = 397813,
  [SMALL_STATE(20038)] = 397827,
  [SMALL_STATE(20039)] = 397841,
  [SMALL_STATE(20040)] = 397855,
  [SMALL_STATE(20041)] = 397869,
  [SMALL_STATE(20042)] = 397883,
  [SMALL_STATE(20043)] = 397897,
  [SMALL_STATE(20044)] = 397911,
  [SMALL_STATE(20045)] = 397925,
  [SMALL_STATE(20046)] = 397939,
  [SMALL_STATE(20047)] = 397953,
  [SMALL_STATE(20048)] = 397967,
  [SMALL_STATE(20049)] = 397981,
  [SMALL_STATE(20050)] = 397995,
  [SMALL_STATE(20051)] = 398009,
  [SMALL_STATE(20052)] = 398023,
  [SMALL_STATE(20053)] = 398037,
  [SMALL_STATE(20054)] = 398051,
  [SMALL_STATE(20055)] = 398065,
  [SMALL_STATE(20056)] = 398079,
  [SMALL_STATE(20057)] = 398093,
  [SMALL_STATE(20058)] = 398107,
  [SMALL_STATE(20059)] = 398121,
  [SMALL_STATE(20060)] = 398135,
  [SMALL_STATE(20061)] = 398149,
  [SMALL_STATE(20062)] = 398163,
  [SMALL_STATE(20063)] = 398177,
  [SMALL_STATE(20064)] = 398191,
  [SMALL_STATE(20065)] = 398205,
  [SMALL_STATE(20066)] = 398219,
  [SMALL_STATE(20067)] = 398233,
  [SMALL_STATE(20068)] = 398247,
  [SMALL_STATE(20069)] = 398261,
  [SMALL_STATE(20070)] = 398275,
  [SMALL_STATE(20071)] = 398289,
  [SMALL_STATE(20072)] = 398303,
  [SMALL_STATE(20073)] = 398317,
  [SMALL_STATE(20074)] = 398331,
  [SMALL_STATE(20075)] = 398345,
  [SMALL_STATE(20076)] = 398359,
  [SMALL_STATE(20077)] = 398373,
  [SMALL_STATE(20078)] = 398387,
  [SMALL_STATE(20079)] = 398401,
  [SMALL_STATE(20080)] = 398415,
  [SMALL_STATE(20081)] = 398429,
  [SMALL_STATE(20082)] = 398443,
  [SMALL_STATE(20083)] = 398457,
  [SMALL_STATE(20084)] = 398471,
  [SMALL_STATE(20085)] = 398485,
  [SMALL_STATE(20086)] = 398499,
  [SMALL_STATE(20087)] = 398513,
  [SMALL_STATE(20088)] = 398527,
  [SMALL_STATE(20089)] = 398541,
  [SMALL_STATE(20090)] = 398555,
  [SMALL_STATE(20091)] = 398569,
  [SMALL_STATE(20092)] = 398583,
  [SMALL_STATE(20093)] = 398597,
  [SMALL_STATE(20094)] = 398611,
  [SMALL_STATE(20095)] = 398625,
  [SMALL_STATE(20096)] = 398639,
  [SMALL_STATE(20097)] = 398653,
  [SMALL_STATE(20098)] = 398667,
  [SMALL_STATE(20099)] = 398681,
  [SMALL_STATE(20100)] = 398695,
  [SMALL_STATE(20101)] = 398709,
  [SMALL_STATE(20102)] = 398723,
  [SMALL_STATE(20103)] = 398737,
  [SMALL_STATE(20104)] = 398751,
  [SMALL_STATE(20105)] = 398765,
  [SMALL_STATE(20106)] = 398779,
  [SMALL_STATE(20107)] = 398793,
  [SMALL_STATE(20108)] = 398807,
  [SMALL_STATE(20109)] = 398821,
  [SMALL_STATE(20110)] = 398835,
  [SMALL_STATE(20111)] = 398849,
  [SMALL_STATE(20112)] = 398863,
  [SMALL_STATE(20113)] = 398877,
  [SMALL_STATE(20114)] = 398891,
  [SMALL_STATE(20115)] = 398905,
  [SMALL_STATE(20116)] = 398919,
  [SMALL_STATE(20117)] = 398933,
  [SMALL_STATE(20118)] = 398947,
  [SMALL_STATE(20119)] = 398961,
  [SMALL_STATE(20120)] = 398975,
  [SMALL_STATE(20121)] = 398989,
  [SMALL_STATE(20122)] = 399003,
  [SMALL_STATE(20123)] = 399017,
  [SMALL_STATE(20124)] = 399031,
  [SMALL_STATE(20125)] = 399045,
  [SMALL_STATE(20126)] = 399059,
  [SMALL_STATE(20127)] = 399073,
  [SMALL_STATE(20128)] = 399087,
  [SMALL_STATE(20129)] = 399101,
  [SMALL_STATE(20130)] = 399115,
  [SMALL_STATE(20131)] = 399129,
  [SMALL_STATE(20132)] = 399143,
  [SMALL_STATE(20133)] = 399157,
  [SMALL_STATE(20134)] = 399171,
  [SMALL_STATE(20135)] = 399185,
  [SMALL_STATE(20136)] = 399199,
  [SMALL_STATE(20137)] = 399213,
  [SMALL_STATE(20138)] = 399227,
  [SMALL_STATE(20139)] = 399241,
  [SMALL_STATE(20140)] = 399255,
  [SMALL_STATE(20141)] = 399269,
  [SMALL_STATE(20142)] = 399283,
  [SMALL_STATE(20143)] = 399297,
  [SMALL_STATE(20144)] = 399311,
  [SMALL_STATE(20145)] = 399325,
  [SMALL_STATE(20146)] = 399339,
  [SMALL_STATE(20147)] = 399353,
  [SMALL_STATE(20148)] = 399367,
  [SMALL_STATE(20149)] = 399381,
  [SMALL_STATE(20150)] = 399395,
  [SMALL_STATE(20151)] = 399409,
  [SMALL_STATE(20152)] = 399423,
  [SMALL_STATE(20153)] = 399437,
  [SMALL_STATE(20154)] = 399451,
  [SMALL_STATE(20155)] = 399465,
  [SMALL_STATE(20156)] = 399479,
  [SMALL_STATE(20157)] = 399493,
  [SMALL_STATE(20158)] = 399507,
  [SMALL_STATE(20159)] = 399521,
  [SMALL_STATE(20160)] = 399535,
  [SMALL_STATE(20161)] = 399549,
  [SMALL_STATE(20162)] = 399563,
  [SMALL_STATE(20163)] = 399577,
  [SMALL_STATE(20164)] = 399591,
  [SMALL_STATE(20165)] = 399605,
  [SMALL_STATE(20166)] = 399619,
  [SMALL_STATE(20167)] = 399633,
  [SMALL_STATE(20168)] = 399647,
  [SMALL_STATE(20169)] = 399661,
  [SMALL_STATE(20170)] = 399675,
  [SMALL_STATE(20171)] = 399689,
  [SMALL_STATE(20172)] = 399703,
  [SMALL_STATE(20173)] = 399717,
  [SMALL_STATE(20174)] = 399731,
  [SMALL_STATE(20175)] = 399745,
  [SMALL_STATE(20176)] = 399759,
  [SMALL_STATE(20177)] = 399773,
  [SMALL_STATE(20178)] = 399787,
  [SMALL_STATE(20179)] = 399801,
  [SMALL_STATE(20180)] = 399815,
  [SMALL_STATE(20181)] = 399829,
  [SMALL_STATE(20182)] = 399843,
  [SMALL_STATE(20183)] = 399857,
  [SMALL_STATE(20184)] = 399871,
  [SMALL_STATE(20185)] = 399885,
  [SMALL_STATE(20186)] = 399899,
  [SMALL_STATE(20187)] = 399913,
  [SMALL_STATE(20188)] = 399927,
  [SMALL_STATE(20189)] = 399941,
  [SMALL_STATE(20190)] = 399955,
  [SMALL_STATE(20191)] = 399969,
  [SMALL_STATE(20192)] = 399983,
  [SMALL_STATE(20193)] = 399997,
  [SMALL_STATE(20194)] = 400011,
  [SMALL_STATE(20195)] = 400025,
  [SMALL_STATE(20196)] = 400039,
  [SMALL_STATE(20197)] = 400053,
  [SMALL_STATE(20198)] = 400067,
  [SMALL_STATE(20199)] = 400081,
  [SMALL_STATE(20200)] = 400095,
  [SMALL_STATE(20201)] = 400109,
  [SMALL_STATE(20202)] = 400123,
  [SMALL_STATE(20203)] = 400137,
  [SMALL_STATE(20204)] = 400151,
  [SMALL_STATE(20205)] = 400165,
  [SMALL_STATE(20206)] = 400179,
  [SMALL_STATE(20207)] = 400193,
  [SMALL_STATE(20208)] = 400207,
  [SMALL_STATE(20209)] = 400221,
  [SMALL_STATE(20210)] = 400235,
  [SMALL_STATE(20211)] = 400249,
  [SMALL_STATE(20212)] = 400263,
  [SMALL_STATE(20213)] = 400277,
  [SMALL_STATE(20214)] = 400291,
  [SMALL_STATE(20215)] = 400305,
  [SMALL_STATE(20216)] = 400319,
  [SMALL_STATE(20217)] = 400333,
  [SMALL_STATE(20218)] = 400347,
  [SMALL_STATE(20219)] = 400361,
  [SMALL_STATE(20220)] = 400375,
  [SMALL_STATE(20221)] = 400389,
  [SMALL_STATE(20222)] = 400403,
  [SMALL_STATE(20223)] = 400417,
  [SMALL_STATE(20224)] = 400431,
  [SMALL_STATE(20225)] = 400445,
  [SMALL_STATE(20226)] = 400459,
  [SMALL_STATE(20227)] = 400473,
  [SMALL_STATE(20228)] = 400487,
  [SMALL_STATE(20229)] = 400501,
  [SMALL_STATE(20230)] = 400515,
  [SMALL_STATE(20231)] = 400529,
  [SMALL_STATE(20232)] = 400543,
  [SMALL_STATE(20233)] = 400557,
  [SMALL_STATE(20234)] = 400571,
  [SMALL_STATE(20235)] = 400585,
  [SMALL_STATE(20236)] = 400599,
  [SMALL_STATE(20237)] = 400613,
  [SMALL_STATE(20238)] = 400627,
  [SMALL_STATE(20239)] = 400641,
  [SMALL_STATE(20240)] = 400655,
  [SMALL_STATE(20241)] = 400669,
  [SMALL_STATE(20242)] = 400683,
  [SMALL_STATE(20243)] = 400697,
  [SMALL_STATE(20244)] = 400711,
  [SMALL_STATE(20245)] = 400725,
  [SMALL_STATE(20246)] = 400739,
  [SMALL_STATE(20247)] = 400753,
  [SMALL_STATE(20248)] = 400767,
  [SMALL_STATE(20249)] = 400781,
  [SMALL_STATE(20250)] = 400795,
  [SMALL_STATE(20251)] = 400809,
  [SMALL_STATE(20252)] = 400823,
  [SMALL_STATE(20253)] = 400837,
  [SMALL_STATE(20254)] = 400851,
  [SMALL_STATE(20255)] = 400865,
  [SMALL_STATE(20256)] = 400879,
  [SMALL_STATE(20257)] = 400893,
  [SMALL_STATE(20258)] = 400907,
  [SMALL_STATE(20259)] = 400921,
  [SMALL_STATE(20260)] = 400935,
  [SMALL_STATE(20261)] = 400949,
  [SMALL_STATE(20262)] = 400963,
  [SMALL_STATE(20263)] = 400977,
  [SMALL_STATE(20264)] = 400991,
  [SMALL_STATE(20265)] = 401005,
  [SMALL_STATE(20266)] = 401019,
  [SMALL_STATE(20267)] = 401033,
  [SMALL_STATE(20268)] = 401047,
  [SMALL_STATE(20269)] = 401061,
  [SMALL_STATE(20270)] = 401075,
  [SMALL_STATE(20271)] = 401089,
  [SMALL_STATE(20272)] = 401103,
  [SMALL_STATE(20273)] = 401117,
  [SMALL_STATE(20274)] = 401131,
  [SMALL_STATE(20275)] = 401145,
  [SMALL_STATE(20276)] = 401159,
  [SMALL_STATE(20277)] = 401173,
  [SMALL_STATE(20278)] = 401187,
  [SMALL_STATE(20279)] = 401201,
  [SMALL_STATE(20280)] = 401215,
  [SMALL_STATE(20281)] = 401229,
  [SMALL_STATE(20282)] = 401243,
  [SMALL_STATE(20283)] = 401257,
  [SMALL_STATE(20284)] = 401271,
  [SMALL_STATE(20285)] = 401285,
  [SMALL_STATE(20286)] = 401299,
  [SMALL_STATE(20287)] = 401313,
  [SMALL_STATE(20288)] = 401327,
  [SMALL_STATE(20289)] = 401341,
  [SMALL_STATE(20290)] = 401355,
  [SMALL_STATE(20291)] = 401369,
  [SMALL_STATE(20292)] = 401383,
  [SMALL_STATE(20293)] = 401397,
  [SMALL_STATE(20294)] = 401411,
  [SMALL_STATE(20295)] = 401425,
  [SMALL_STATE(20296)] = 401439,
  [SMALL_STATE(20297)] = 401453,
  [SMALL_STATE(20298)] = 401467,
  [SMALL_STATE(20299)] = 401481,
  [SMALL_STATE(20300)] = 401495,
  [SMALL_STATE(20301)] = 401509,
  [SMALL_STATE(20302)] = 401523,
  [SMALL_STATE(20303)] = 401537,
  [SMALL_STATE(20304)] = 401551,
  [SMALL_STATE(20305)] = 401565,
  [SMALL_STATE(20306)] = 401579,
  [SMALL_STATE(20307)] = 401593,
  [SMALL_STATE(20308)] = 401607,
  [SMALL_STATE(20309)] = 401621,
  [SMALL_STATE(20310)] = 401635,
  [SMALL_STATE(20311)] = 401649,
  [SMALL_STATE(20312)] = 401663,
  [SMALL_STATE(20313)] = 401677,
  [SMALL_STATE(20314)] = 401691,
  [SMALL_STATE(20315)] = 401705,
  [SMALL_STATE(20316)] = 401719,
  [SMALL_STATE(20317)] = 401733,
  [SMALL_STATE(20318)] = 401747,
  [SMALL_STATE(20319)] = 401761,
  [SMALL_STATE(20320)] = 401775,
  [SMALL_STATE(20321)] = 401789,
  [SMALL_STATE(20322)] = 401803,
  [SMALL_STATE(20323)] = 401817,
  [SMALL_STATE(20324)] = 401831,
  [SMALL_STATE(20325)] = 401845,
  [SMALL_STATE(20326)] = 401859,
  [SMALL_STATE(20327)] = 401873,
  [SMALL_STATE(20328)] = 401887,
  [SMALL_STATE(20329)] = 401901,
  [SMALL_STATE(20330)] = 401915,
  [SMALL_STATE(20331)] = 401929,
  [SMALL_STATE(20332)] = 401943,
  [SMALL_STATE(20333)] = 401957,
  [SMALL_STATE(20334)] = 401971,
  [SMALL_STATE(20335)] = 401985,
  [SMALL_STATE(20336)] = 401999,
  [SMALL_STATE(20337)] = 402013,
  [SMALL_STATE(20338)] = 402027,
  [SMALL_STATE(20339)] = 402041,
  [SMALL_STATE(20340)] = 402055,
  [SMALL_STATE(20341)] = 402069,
  [SMALL_STATE(20342)] = 402083,
  [SMALL_STATE(20343)] = 402097,
  [SMALL_STATE(20344)] = 402111,
  [SMALL_STATE(20345)] = 402125,
  [SMALL_STATE(20346)] = 402139,
  [SMALL_STATE(20347)] = 402153,
  [SMALL_STATE(20348)] = 402167,
  [SMALL_STATE(20349)] = 402181,
  [SMALL_STATE(20350)] = 402195,
  [SMALL_STATE(20351)] = 402209,
  [SMALL_STATE(20352)] = 402223,
  [SMALL_STATE(20353)] = 402237,
  [SMALL_STATE(20354)] = 402251,
  [SMALL_STATE(20355)] = 402265,
  [SMALL_STATE(20356)] = 402279,
  [SMALL_STATE(20357)] = 402293,
  [SMALL_STATE(20358)] = 402307,
  [SMALL_STATE(20359)] = 402321,
  [SMALL_STATE(20360)] = 402325,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19010),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18860),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10428),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17228),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18885),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19134),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19449),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3401),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3328),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4507),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12042),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14285),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14330),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12158),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12030),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11546),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9929),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10164),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13722),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10610),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10495),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10495),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10454),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10491),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10515),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17329),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17458),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16241),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16411),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12174),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12174),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10555),
  [101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16459),
  [107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, 0, 0),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19341),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19877),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19342),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3420),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3421),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4176),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3189),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4177),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12716),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13967),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13973),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12079),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12080),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11471),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9910),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10247),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3408),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13808),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10918),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10427),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10401),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10431),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10903),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17458),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16411),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19010),
  [189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16605),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16606),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14263),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14264),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12121),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12122),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11709),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9980),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10223),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13797),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10464),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10443),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10470),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10515),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16190),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16191),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4539),
  [247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macrocall_expression, 3, 0, 0),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16503),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19361),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19888),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19362),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4181),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4182),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8430),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14217),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14218),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12195),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12196),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11521),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4530),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10292),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7570),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7571),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7572),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4927),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7460),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macrocall_expression, 3, 0, 0),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18497),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15543),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18504),
  [329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macrocall_expression, 1, 0, 0),
  [331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macrocall_expression, 1, 0, 0),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18680),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15690),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18723),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4540),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16345),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19143),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19742),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19144),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3359),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3360),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3361),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4144),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8439),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(113),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3262),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13975),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14007),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12060),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12070),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11563),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4531),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10157),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13828),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4686),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7403),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7404),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7405),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4687),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7673),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18279),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15717),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18285),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18761),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15494),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18774),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18565),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15635),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18775),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18498),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15585),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18499),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18682),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15651),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18686),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18261),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15735),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18265),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4571),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16543),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19374),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19894),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19375),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3338),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9156),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14221),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14222),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12164),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12167),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11551),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4533),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10238),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13700),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5276),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7971),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8122),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7976),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4969),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7893),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2667),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4563),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16521),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19368),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19891),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19369),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3324),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3325),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3326),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3212),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9242),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2344),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14025),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14105),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12055),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12057),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11522),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4532),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10140),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13712),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5198),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8393),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8394),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8395),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5242),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8318),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4573),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16434),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19313),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19851),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19314),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3406),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3407),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3180),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8716),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14112),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14114),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12043),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12044),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11455),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4535),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10142),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13719),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5067),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7964),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7965),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8012),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18724),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15789),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18725),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3244),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3250),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4567),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16404),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19284),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19824),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19285),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3391),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3392),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3393),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3173),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8926),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3175),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2050),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14150),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14153),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12198),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12199),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11731),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4536),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10305),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13722),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5239),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8440),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8443),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8448),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5275),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8204),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18771),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15650),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18773),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18268),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15518),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18271),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18283),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15622),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18298),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18650),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15544),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18685),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4545),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16482),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19351),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19883),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19352),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3197),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8909),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13953),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13954),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12144),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12145),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11474),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4534),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10167),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13697),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5115),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8165),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8166),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8167),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5136),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8222),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18587),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15619),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18610),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18506),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15595),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18508),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18406),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15493),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18407),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18432),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15515),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18434),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18766),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15829),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18768),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18479),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15538),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18767),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18660),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15734),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18662),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3163),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3178),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4673),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15852),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19214),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19784),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19215),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3377),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4157),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9528),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14166),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14176),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12054),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12059),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11518),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4537),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10300),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5431),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8719),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8720),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8721),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5432),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9245),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3203),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18521),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15673),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18563),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18599),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15679),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18602),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [1059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 1),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11289),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9347),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4447),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3559),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14042),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14043),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12156),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12157),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4022),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11739),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9911),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10283),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7818),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3168),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4023),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10420),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10363),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10421),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4043),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4044),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7872),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11429),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8728),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8528),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8780),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12673),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8984),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7728),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8775),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8499),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9819),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12101),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5017),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16561),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19380),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19897),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19381),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3350),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3352),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3225),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9776),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14286),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14295),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12098),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12110),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11556),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4538),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10309),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13768),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6324),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9707),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9707),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9600),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9715),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9587),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9587),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [1303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_argument_list, 1, 0, 0),
  [1305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_argument_list, 1, 0, 0),
  [1307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4539),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0),
  [1312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(100),
  [1315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16503),
  [1318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19361),
  [1321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19888),
  [1324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19362),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3485),
  [1330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3486),
  [1333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3487),
  [1336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(778),
  [1339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1908),
  [1342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4181),
  [1345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [1348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3205),
  [1351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4182),
  [1354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8430),
  [1357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(126),
  [1360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2254),
  [1363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2304),
  [1366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2306),
  [1369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1258),
  [1372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14217),
  [1375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14218),
  [1378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12195),
  [1381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12196),
  [1384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1310),
  [1387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1874),
  [1390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11521),
  [1393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4530),
  [1396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(10292),
  [1399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(13808),
  [1402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4918),
  [1405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7570),
  [1408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7571),
  [1411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7572),
  [1414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4927),
  [1417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(17329),
  [1420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(17458),
  [1423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16241),
  [1426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16411),
  [1429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7460),
  [1432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(245),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7714),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12889),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12056),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [1455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4540),
  [1458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(94),
  [1461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16345),
  [1464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19143),
  [1467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19742),
  [1470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19144),
  [1473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3359),
  [1476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3360),
  [1479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3361),
  [1482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1192),
  [1485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1872),
  [1488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4144),
  [1491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(424),
  [1494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3157),
  [1497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4145),
  [1500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8439),
  [1503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(113),
  [1506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1985),
  [1509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3258),
  [1512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3262),
  [1515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1245),
  [1518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(13975),
  [1521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14007),
  [1524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12060),
  [1527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12070),
  [1530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1243),
  [1533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1899),
  [1536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11563),
  [1539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4531),
  [1542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(10157),
  [1545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(13828),
  [1548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4686),
  [1551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7403),
  [1554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7404),
  [1557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7405),
  [1560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4687),
  [1563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7673),
  [1566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(247),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8459),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8928),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18494),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15488),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18519),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18303),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15678),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18324),
  [1593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 1),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9093),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10328),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19371),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16170),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18862),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19386),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18863),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3437),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3449),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3131),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4046),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11271),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3213),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3216),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13873),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13874),
  [1651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12131),
  [1653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12132),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11357),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9961),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10102),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19396),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19396),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10984),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10391),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10492),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10492),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10439),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10456),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10398),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10069),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11163),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11163),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19371),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10984),
  [1699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4567),
  [1702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(104),
  [1705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16404),
  [1708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19284),
  [1711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19824),
  [1714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19285),
  [1717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3391),
  [1720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3392),
  [1723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3393),
  [1726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(594),
  [1729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1884),
  [1732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4159),
  [1735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(430),
  [1738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3173),
  [1741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4160),
  [1744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8926),
  [1747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(250),
  [1750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3175),
  [1753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2050),
  [1756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2060),
  [1759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1249),
  [1762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14150),
  [1765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14153),
  [1768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12198),
  [1771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12199),
  [1774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1246),
  [1777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1910),
  [1780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11731),
  [1783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4536),
  [1786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(10305),
  [1789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(13722),
  [1792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5239),
  [1795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8440),
  [1798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8443),
  [1801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8448),
  [1804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5275),
  [1807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8204),
  [1810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(266),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19688),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10383),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10106),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19698),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19698),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19688),
  [1827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4573),
  [1830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(73),
  [1833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16434),
  [1836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19313),
  [1839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19851),
  [1842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19314),
  [1845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3405),
  [1848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3406),
  [1851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3407),
  [1854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(640),
  [1857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1974),
  [1860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4161),
  [1863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(433),
  [1866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3180),
  [1869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4164),
  [1872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8716),
  [1875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(252),
  [1878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3270),
  [1881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2140),
  [1884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2151),
  [1887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1297),
  [1890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14112),
  [1893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14114),
  [1896] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12043),
  [1899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12044),
  [1902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1305),
  [1905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1796),
  [1908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11455),
  [1911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4535),
  [1914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(10142),
  [1917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(13719),
  [1920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5067),
  [1923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7964),
  [1926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7964),
  [1929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7965),
  [1932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7966),
  [1935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5085),
  [1938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(17458),
  [1941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16411),
  [1944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8012),
  [1947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8012),
  [1950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(270),
  [1953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(270),
  [1956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 1, 0, 0),
  [1958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [1960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4545),
  [1963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [1966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16482),
  [1969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19351),
  [1972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19883),
  [1975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19352),
  [1978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3433),
  [1981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3434),
  [1984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3435),
  [1987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(734),
  [1990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1902),
  [1993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4179),
  [1996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(439),
  [1999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3197),
  [2002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4180),
  [2005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8909),
  [2008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(258),
  [2011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2165),
  [2014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2286),
  [2017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2287),
  [2020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1295),
  [2023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(13953),
  [2026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(13954),
  [2029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12144),
  [2032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12145),
  [2035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1223),
  [2038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1848),
  [2041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11474),
  [2044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4534),
  [2047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(10167),
  [2050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(13697),
  [2053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5115),
  [2056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8165),
  [2059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8166),
  [2062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8167),
  [2065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5136),
  [2068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8222),
  [2071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(267),
  [2074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4563),
  [2077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(139),
  [2080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16521),
  [2083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19368),
  [2086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19891),
  [2089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19369),
  [2092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3324),
  [2095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3325),
  [2098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3326),
  [2101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(825),
  [2104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1914),
  [2107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4183),
  [2110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(445),
  [2113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3212),
  [2116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4184),
  [2119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9242),
  [2122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(205),
  [2125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2285),
  [2128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2342),
  [2131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2344),
  [2134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1270),
  [2137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14025),
  [2140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14105),
  [2143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12055),
  [2146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12057),
  [2149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1224),
  [2152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1962),
  [2155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11522),
  [2158] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4532),
  [2161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(10140),
  [2164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(13712),
  [2167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5198),
  [2170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8393),
  [2173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8394),
  [2176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8395),
  [2179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5242),
  [2182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8318),
  [2185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(280),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19597),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10116),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19652),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19652),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19597),
  [2202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4571),
  [2205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(151),
  [2208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16543),
  [2211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19374),
  [2214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19894),
  [2217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19375),
  [2220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3337),
  [2223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3338),
  [2226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3339),
  [2229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(871),
  [2232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1920),
  [2235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4185),
  [2238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(448),
  [2241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3219),
  [2244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4186),
  [2247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9156),
  [2250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(208),
  [2253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2436),
  [2256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2432),
  [2259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2434),
  [2262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1261),
  [2265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14221),
  [2268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14222),
  [2271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12164),
  [2274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12167),
  [2277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1247),
  [2280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1875),
  [2283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11551),
  [2286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4533),
  [2289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(10238),
  [2292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(13700),
  [2295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5276),
  [2298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7971),
  [2301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8122),
  [2304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7976),
  [2307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4969),
  [2310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7893),
  [2313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(286),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10143),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12543),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18871),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10095),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18981),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18981),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18871),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18866),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11232),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10088),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18868),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18868),
  [2370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18866),
  [2372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(217),
  [2375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3016),
  [2378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2666),
  [2381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2667),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18829),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10071),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18854),
  [2394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18854),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18829),
  [2398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(251),
  [2401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2073),
  [2404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3244),
  [2407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3250),
  [2410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19101),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10527),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10117),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19506),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19506),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19101),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8585),
  [2426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19509),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10705),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10128),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19522),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19522),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19509),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20088),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10112),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20090),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20090),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20088),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19535),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10108),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19759),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19759),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19535),
  [2472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19078),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10875),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10078),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19107),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19107),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19078),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19246),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10100),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19251),
  [2496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19251),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19246),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19398),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10122),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19022),
  [2510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19022),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19398),
  [2514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9172),
  [2516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [2520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20202),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10074),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19026),
  [2530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19026),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20202),
  [2534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19699),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10996),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10105),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19771),
  [2544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19771),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19699),
  [2548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20313),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10582),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10079),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18950),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18950),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20313),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19079),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10086),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19102),
  [2572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19102),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19079),
  [2576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19797),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10103),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19826),
  [2586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19826),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19797),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19307),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11857),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10115),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19346),
  [2600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19346),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19307),
  [2604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20071),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10121),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20246),
  [2614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20246),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20071),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18992),
  [2620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10124),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18994),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18994),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18992),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19124),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10098),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19126),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19126),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19124),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19297),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12585),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10073),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19304),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19304),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19297),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19483),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11964),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10075),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19485),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19485),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19483),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19695),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10076),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19697),
  [2684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19697),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19695),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19829),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10993),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10081),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19833),
  [2698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19833),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19829),
  [2702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20022),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10083),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20029),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20029),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20022),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20214),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10089),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20216),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20216),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20214),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19722),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11620),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10092),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19479),
  [2740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19479),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19722),
  [2744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20183),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10096),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20322),
  [2754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20322),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20183),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20357),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10129),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19489),
  [2768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19489),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20357),
  [2772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19094),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10107),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19765),
  [2782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19765),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19094),
  [2786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19744),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8375),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10110),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19764),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19764),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19744),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19334),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19338),
  [2810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19338),
  [2812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19334),
  [2814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19937),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17375),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10070),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19943),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19943),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19937),
  [2828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20111),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10120),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20171),
  [2838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20171),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20111),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19717),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10123),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19758),
  [2852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19758),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19717),
  [2856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19080),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10126),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19090),
  [2866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19090),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19080),
  [2870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20213),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12203),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10127),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20232),
  [2880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20232),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20213),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18907),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10085),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18922),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18922),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18907),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19202),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10125),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19207),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19207),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19202),
  [2912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19422),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10082),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19426),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19426),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19422),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19640),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10093),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19642),
  [2936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19642),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19640),
  [2940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19810),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10104),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19816),
  [2950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19816),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19810),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19975),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18581),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10119),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19977),
  [2964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19977),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19975),
  [2968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20137),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10072),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20143),
  [2978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20143),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20137),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20265),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10077),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20272),
  [2992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20272),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20265),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19354),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10080),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19417),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19417),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19354),
  [3010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19632),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10084),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19641),
  [3020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19641),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19632),
  [3024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19176),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10087),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19178),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19178),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19176),
  [3038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19780),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10090),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19811),
  [3048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19811),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19780),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20226),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10091),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18887),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18887),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20226),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19955),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10097),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19996),
  [3076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19996),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19955),
  [3080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19238),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10099),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19258),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19258),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19238),
  [3094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19756),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7943),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10101),
  [3102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19762),
  [3104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19762),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19756),
  [3108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20144),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10109),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20196),
  [3118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20196),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20144),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18817),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9559),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10111),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18819),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18819),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18817),
  [3136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18911),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10114),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18920),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18920),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18911),
  [3150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19058),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9712),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10118),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19064),
  [3160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19064),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19058),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19621),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10094),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18814),
  [3174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18814),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19621),
  [3178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(263),
  [3181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3203),
  [3184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2617),
  [3187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2618),
  [3190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [3192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [3194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [3196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [3200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14078),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14079),
  [3204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12168),
  [3206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12169),
  [3208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11749),
  [3210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9916),
  [3212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10262),
  [3214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10447),
  [3216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10423),
  [3218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10449),
  [3220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [3222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator, 1, 0, 0),
  [3224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [3226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator, 1, 0, 0),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9561),
  [3230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [3234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 2, 0, 4),
  [3236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [3240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [3242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [3244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [3248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13959),
  [3250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13962),
  [3252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12017),
  [3254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12018),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11540),
  [3258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9915),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10132),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10333),
  [3264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10333),
  [3266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10327),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10335),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [3272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [3274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(265),
  [3277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2152),
  [3280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2671),
  [3283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2675),
  [3286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(290),
  [3289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2989),
  [3292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3163),
  [3295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3178),
  [3298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(275),
  [3301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2133),
  [3304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1988),
  [3307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1992),
  [3310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(285),
  [3313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2346),
  [3316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2219),
  [3319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2221),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9777),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [3328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4673),
  [3331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(211),
  [3334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(15852),
  [3337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19214),
  [3340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19784),
  [3343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19215),
  [3346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3375),
  [3349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3377),
  [3352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3378),
  [3355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(544),
  [3358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1878),
  [3361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4156),
  [3364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(427),
  [3367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3165),
  [3370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4157),
  [3373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9528),
  [3376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(281),
  [3379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3218),
  [3382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2021),
  [3385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2032),
  [3388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1311),
  [3391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14166),
  [3394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14176),
  [3397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12054),
  [3400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12059),
  [3403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1228),
  [3406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1964),
  [3409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11518),
  [3412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4537),
  [3415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(10300),
  [3418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(13797),
  [3421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5431),
  [3424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8719),
  [3427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8720),
  [3430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8721),
  [3433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5432),
  [3436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9245),
  [3439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(322),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3154),
  [3448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3315),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [3452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14010),
  [3454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14011),
  [3456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12150),
  [3458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12151),
  [3460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11735),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9912),
  [3464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10254),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10455),
  [3468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10432),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10434),
  [3472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [3476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [3480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [3484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14063),
  [3486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14064),
  [3488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12165),
  [3490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12166),
  [3492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11746),
  [3494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9913),
  [3496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10258),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10435),
  [3500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10419),
  [3502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10438),
  [3504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [3506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [3508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2575),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2474),
  [3512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [3514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [3516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [3518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3145),
  [3520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [3522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3129),
  [3524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [3526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [3528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [3530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [3532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14058),
  [3534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14059),
  [3536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12161),
  [3538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12162),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11682),
  [3542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9908),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10209),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [3550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [3552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3300),
  [3554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [3556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11546),
  [3560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10164),
  [3562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10491),
  [3564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [3566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [3568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [3570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [3572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3187),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [3580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [3582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [3584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [3586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(336),
  [3589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2563),
  [3592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2407),
  [3595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2416),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [3600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [3604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12676),
  [3612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4250),
  [3614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [3616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [3618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10175),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9560),
  [3622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3183),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [3626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4220),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [3642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [3644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [3646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [3648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [3652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2166),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11659),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10182),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11370),
  [3672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [3676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8987),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7731),
  [3686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8787),
  [3694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [3698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7875),
  [3700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [3704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8502),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12163),
  [3712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9822),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [3722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8531),
  [3724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [3728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [3730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [3732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [3734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9456),
  [3736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [3744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5017),
  [3747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(233),
  [3750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(16561),
  [3753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19380),
  [3756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19897),
  [3759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(19381),
  [3762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3350),
  [3765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3351),
  [3768] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3352),
  [3771] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(918),
  [3774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1926),
  [3777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4187),
  [3780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(451),
  [3783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3225),
  [3786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4188),
  [3789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9776),
  [3792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [3795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2498),
  [3798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2468),
  [3801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2469),
  [3804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1274),
  [3807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14286),
  [3810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(14295),
  [3813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12098),
  [3816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12110),
  [3819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1273),
  [3822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1803),
  [3825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(11556),
  [3828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4538),
  [3831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(10309),
  [3834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(13768),
  [3837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(6324),
  [3840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9707),
  [3843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9707),
  [3846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9600),
  [3849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9715),
  [3852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(5845),
  [3855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9587),
  [3858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(9587),
  [3861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(367),
  [3864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(367),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8784),
  [3869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [3873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3185),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [3891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(362),
  [3894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2406),
  [3897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2283),
  [3900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2288),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2467),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14033),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14034),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12153),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12154),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11675),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9982),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10197),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10690),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10690),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10533),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10720),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2815),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3186),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9427),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11739),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10143),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13828),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10420),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10421),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12543),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9999),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11402),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9836),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9857),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8808),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12058),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12735),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8832),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11409),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8929),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7987),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8634),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12801),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3177),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3139),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8553),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8624),
  [4053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7779),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9019),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12071),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7924),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8579),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7754),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9076),
  [4095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9501),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9115),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [4101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [4109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [4119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [4121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [4123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [4127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11735),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10254),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13697),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10455),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10434),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10015),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [4157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [4181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [4191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7927),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [4197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8530),
  [4199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [4203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 3, 0, 4),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8779),
  [4207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [4211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8583),
  [4213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [4217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 4, 0, 0),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11471),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10247),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13808),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10427),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10431),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10903),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9997),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8942),
  [4243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [4247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 4, 0, 4),
  [4249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8501),
  [4251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [4255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8783),
  [4257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [4261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9358),
  [4263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12155),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8574),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [4279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 1, 0, 0),
  [4281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [4285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7730),
  [4287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [4291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9079),
  [4293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [4297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, 0, 0),
  [4299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8813),
  [4301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [4305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11334),
  [4307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(731),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [4311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9839),
  [4313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [4317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7874),
  [4319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12675),
  [4325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [4329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12138),
  [4331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [4335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9821),
  [4337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [4341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12738),
  [4343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [4347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9534),
  [4349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [4353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7758),
  [4355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [4359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11384),
  [4361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [4365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8986),
  [4367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [4371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11746),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10258),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13712),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10435),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10438),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10033),
  [4387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 2, 0, 0),
  [4389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 1, 0, 0),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [4395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 3, 0, 0),
  [4397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 4, 0, 0),
  [4399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 3, 0, 0),
  [4401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 1, 0, 0),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [4407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11749),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10262),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13700),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10447),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10449),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10042),
  [4423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 0),
  [4425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9038),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11709),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10223),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13797),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10464),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10470),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10063),
  [4441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7982),
  [4443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7983),
  [4445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7986),
  [4447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7985),
  [4449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12135),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7997),
  [4453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8000),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10407),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11731),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10305),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8448),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10026),
  [4479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8022),
  [4481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8025),
  [4483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8026),
  [4485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8031),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10399),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10567),
  [4491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12025),
  [4493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12026),
  [4495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [4499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [4503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [4507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12126),
  [4509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [4513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12061),
  [4515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [4519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12149),
  [4521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9562),
  [4523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [4527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12152),
  [4529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9331),
  [4531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9333),
  [4533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [4537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9340),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9341),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [4549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9342),
  [4551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9343),
  [4557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9344),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9399),
  [4561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9413),
  [4563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9480),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [4569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9481),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9485),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9487),
  [4575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9497),
  [4577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9499),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12134),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9538),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [4585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9402),
  [4587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9418),
  [4589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9419),
  [4591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9420),
  [4593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9425),
  [4595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9422),
  [4597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12143),
  [4599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [4603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9458),
  [4605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9460),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [4609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9271),
  [4611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9282),
  [4613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9283),
  [4615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9475),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [4619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11378),
  [4621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [4625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11337),
  [4627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11385),
  [4629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [4633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11396),
  [4635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [4639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9120),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8519),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8520),
  [4649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8521),
  [4655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8522),
  [4661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [4665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8523),
  [4667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [4671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8524),
  [4673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8526),
  [4675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11401),
  [4677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [4681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11406),
  [4683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [4685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [4687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11302),
  [4689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8568),
  [4691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8569),
  [4693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12038),
  [4695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [4697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [4699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8571),
  [4701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [4705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8572),
  [4707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8573),
  [4709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8575),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8577),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8578),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11381),
  [4717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8584),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [4721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8626),
  [4723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8628),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8629),
  [4727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8630),
  [4729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8633),
  [4731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8632),
  [4733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8639),
  [4735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8640),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [4739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8680),
  [4741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8684),
  [4743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8685),
  [4745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8691),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [4749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8730),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [4755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8764),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8765),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [4763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8766),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [4769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8767),
  [4771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8769),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(655),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8770),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8771),
  [4785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11326),
  [4787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11398),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8796),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8797),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8801),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8802),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8803),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8805),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8806),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8807),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11427),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8814),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11185),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8824),
  [4821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8826),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8827),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8828),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8831),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8830),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11440),
  [4833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8837),
  [4835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8838),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11254),
  [4839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8854),
  [4841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8862),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8866),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8871),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11142),
  [4849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11338),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11321),
  [4853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12894),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13045),
  [4861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12667),
  [4863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [4867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12668),
  [4869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [4873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12669),
  [4875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12670),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [4885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12671),
  [4887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12672),
  [4889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11268),
  [4891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11417),
  [4893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12722),
  [4895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12724),
  [4897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12726),
  [4899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12728),
  [4905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12729),
  [4907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12730),
  [4909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12731),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12734),
  [4913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12739),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10040),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12777),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12779),
  [4921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12785),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12786),
  [4925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12800),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12799),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12808),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12809),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10018),
  [4935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12817),
  [4937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12820),
  [4939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12821),
  [4941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12827),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10050),
  [4945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11418),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8931),
  [4949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [4953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8976),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8977),
  [4957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [4961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8978),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8980),
  [4969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8981),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8982),
  [4981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8983),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9060),
  [4987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9061),
  [4989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9064),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9068),
  [4997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9071),
  [4999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9072),
  [5001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9074),
  [5003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9075),
  [5005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9080),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10691),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9099),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9102),
  [5013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9110),
  [5015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9111),
  [5017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9114),
  [5019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9113),
  [5021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9129),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9130),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10742),
  [5027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9159),
  [5029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9164),
  [5031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9165),
  [5033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9170),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10702),
  [5037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11422),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11342),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8468),
  [5043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [5045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [5047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7720),
  [5049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7721),
  [5051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [5055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7722),
  [5057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7723),
  [5063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [5067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7724),
  [5069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [5073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7725),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7726),
  [5077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11301),
  [5079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11272),
  [5081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11308),
  [5083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7745),
  [5085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7746),
  [5087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7748),
  [5089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [5093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7749),
  [5095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7750),
  [5097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7751),
  [5099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7752),
  [5101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7753),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11300),
  [5105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7759),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [5109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7771),
  [5111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7773),
  [5113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7774),
  [5115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7775),
  [5117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7778),
  [5119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7777),
  [5121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7783),
  [5123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7784),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [5127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7789),
  [5129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7792),
  [5131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7793),
  [5133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7798),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [5137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11430),
  [5139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8591),
  [5141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [5145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8758),
  [5147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8759),
  [5149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [5153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8760),
  [5155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [5159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8761),
  [5161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [5165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8762),
  [5167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [5171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8768),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8774),
  [5175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11297),
  [5177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8859),
  [5179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8860),
  [5181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8873),
  [5183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [5187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8882),
  [5189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8883),
  [5191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8895),
  [5193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8896),
  [5195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8907),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [5199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8944),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [5203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8993),
  [5205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9005),
  [5207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9009),
  [5209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9012),
  [5211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9015),
  [5213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9014),
  [5215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9024),
  [5217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9025),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [5221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9044),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9047),
  [5225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9067),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5914),
  [5229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11356),
  [5231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11367),
  [5233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11368),
  [5235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9173),
  [5237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [5241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9258),
  [5243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9259),
  [5245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [5249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8490),
  [5251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [5255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8491),
  [5257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [5261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8492),
  [5263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [5267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8493),
  [5269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8494),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11294),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [5275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8541),
  [5277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8542),
  [5279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8545),
  [5281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [5285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8546),
  [5287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8548),
  [5289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8549),
  [5291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8550),
  [5293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8552),
  [5295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12180),
  [5297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [5301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8576),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10944),
  [5305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8610),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8614),
  [5309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8616),
  [5311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8617),
  [5313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8623),
  [5315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8620),
  [5317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8644),
  [5319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8645),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10879),
  [5323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8654),
  [5325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8659),
  [5327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8660),
  [5329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8679),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10891),
  [5333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12190),
  [5335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9779),
  [5337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [5341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9809),
  [5343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9811),
  [5345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [5349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9812),
  [5351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [5355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9815),
  [5357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9816),
  [5363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [5367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9817),
  [5369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9818),
  [5371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12148),
  [5373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9827),
  [5375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9828),
  [5377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9830),
  [5379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [5383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9831),
  [5385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7980),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9833),
  [5389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9834),
  [5391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9835),
  [5393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9840),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [5397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9849),
  [5399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9851),
  [5401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9852),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9853),
  [5405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9856),
  [5407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9855),
  [5409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9861),
  [5411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9862),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [5415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9880),
  [5417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9884),
  [5419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9885),
  [5421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9846),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10608),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11922),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11935),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11947),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11805),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11812),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11820),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [5451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12197),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11133),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11013),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11038),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11028),
  [5461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11045),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11062),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10611),
  [5467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10517),
  [5469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10602),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6566),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [5475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6584),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [5479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7647),
  [5487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [5491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [5493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [5495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [5497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [5499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [5501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12201),
  [5503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11864),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11873),
  [5511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11880),
  [5513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12045),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [5521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12052),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [5525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [5527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [5535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12385),
  [5537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12364),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12391),
  [5541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9126),
  [5543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9138),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9147),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [5553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12067),
  [5555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [5557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [5559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [5561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12097),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [5569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12123),
  [5571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [5573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [5575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [5579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7968),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [5583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [5585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [5587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [5589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [5591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [5593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [5595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12116),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12297),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12333),
  [5601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12209),
  [5603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11627),
  [5605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11635),
  [5607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11642),
  [5609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [5611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [5613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [5615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [5625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [5627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7932),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [5635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [5643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [5647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [5651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [5653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [5655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [5657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12019),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [5661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [5663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [5667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [5669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [5671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8163),
  [5673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [5675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [5677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [5679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [5681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [5683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [5685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [5687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [5691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17532),
  [5697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17563),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15857),
  [5701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [5703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [5707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12021),
  [5709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [5711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [5713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [5715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12081),
  [5717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [5719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [5721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [5723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [5725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [5727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [5729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18617),
  [5731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18659),
  [5733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18700),
  [5735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9680),
  [5737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9695),
  [5739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9687),
  [5741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9566),
  [5743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [5745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9287),
  [5747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [5749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [5753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12088),
  [5755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10624),
  [5757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7715),
  [5759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [5761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [5763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7849),
  [5765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7852),
  [5767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [5769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [5771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7855),
  [5773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [5777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7857),
  [5779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [5781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [5783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7860),
  [5785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [5787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [5789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7863),
  [5791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7871),
  [5793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12173),
  [5795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12188),
  [5797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12189),
  [5799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7912),
  [5801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7916),
  [5803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7918),
  [5805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [5807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [5809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7919),
  [5811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7920),
  [5813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7921),
  [5815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7922),
  [5817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7923),
  [5819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7928),
  [5821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10408),
  [5823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12024),
  [5825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7978),
  [5827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9832),
  [5829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19719),
  [5831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [5833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [5835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19899),
  [5837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [5839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20356),
  [5841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11612),
  [5843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18848),
  [5845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17485),
  [5847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20337),
  [5849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [5851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 3, 0, 0),
  [5853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19406),
  [5855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11091),
  [5857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19825),
  [5859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10497),
  [5861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [5863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18864),
  [5865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [5867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20100),
  [5869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [5871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19564),
  [5873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [5875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18827),
  [5877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10636),
  [5879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10338),
  [5881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [5883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19421),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [5887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18797),
  [5889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20268),
  [5893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12586),
  [5895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18853),
  [5897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10606),
  [5899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20172),
  [5901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19861),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [5907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4623),
  [5909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [5911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20131),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19002),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [5919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20344),
  [5921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9095),
  [5923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [5925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [5927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20280),
  [5929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [5931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19790),
  [5933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [5935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19275),
  [5937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [5939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19164),
  [5941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10023),
  [5943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18838),
  [5945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18535),
  [5947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix_row, 1, 0, 0),
  [5949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix_row, 1, 0, 0),
  [5951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18834),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [5955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [5959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19490),
  [5961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [5963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18967),
  [5965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9612),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [5969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [5971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18872),
  [5973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [5975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19086),
  [5977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11885),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19281),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10909),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19100),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9360),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18917),
  [5989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19680),
  [5993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [5995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19976),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [5999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [6003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19046),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19866),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5857),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [6015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19845),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [6019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18875),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20013),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19186),
  [6029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11591),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19599),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [6039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 4, 0, 0),
  [6041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19049),
  [6043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18991),
  [6049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10371),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20184),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20235),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11782),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19366),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20332),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18845),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20054),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11178),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18945),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19009),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [6091] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(4567),
  [6094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(104),
  [6097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(16404),
  [6100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(19284),
  [6103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(19824),
  [6106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(19285),
  [6109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(3391),
  [6112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(3392),
  [6115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(3393),
  [6118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(594),
  [6121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(1884),
  [6124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(4159),
  [6127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(430),
  [6130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(3173),
  [6133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(4160),
  [6136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(8926),
  [6139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(263),
  [6142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(3203),
  [6145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(2617),
  [6148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(2618),
  [6151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(1249),
  [6154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(14150),
  [6157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(14153),
  [6160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(12198),
  [6163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(12199),
  [6166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(1246),
  [6169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0),
  [6171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(1910),
  [6174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(11731),
  [6177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(4536),
  [6180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(10305),
  [6183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(13722),
  [6186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(5239),
  [6189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(8440),
  [6192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(8443),
  [6195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(8448),
  [6198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(5275),
  [6201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(17329),
  [6204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(17458),
  [6207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(16241),
  [6210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(16411),
  [6213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(8204),
  [6216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0), SHIFT_REPEAT(357),
  [6219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 2, 0, 0),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19554),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19595),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11849),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19886),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20233),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10754),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19491),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20167),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19748),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10704),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19397),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19750),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19635),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11044),
  [6269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20046),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12261),
  [6273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 2, 0, 0),
  [6275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19234),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19629),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10460),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [6285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10524),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19183),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19393),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19974),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [6303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6511),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18847),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [6311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6533),
  [6313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5670),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18870),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11648),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [6321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11925),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19045),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [6329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4721),
  [6331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5877),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19182),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [6337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [6339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5215),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19778),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10485),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [6347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5053),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19365),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [6355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6632),
  [6357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19589),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12239),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [6363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19637),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10626),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [6369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [6371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12432),
  [6373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19749),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [6379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6159),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19896),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20038),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [6395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6207),
  [6397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20099),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11379),
  [6401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [6403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11759),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20267),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [6411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6239),
  [6413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20262),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [6419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6703),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18833),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [6427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5290),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19708),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10835),
  [6433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18830),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [6439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [6441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6320),
  [6443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10596),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19843),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [6451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6341),
  [6453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10730),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19563),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [6461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5798),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11725),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18841),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10353),
  [6473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6400),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19531),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [6479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [6481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10905),
  [6483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6702),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20150),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [6493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7471),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20003),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [6501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5834),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20351),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [6511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7140),
  [6513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5386),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19919),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20138),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20230),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19726),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11034),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [6541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5132),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [6545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5082),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18849),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6427),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19157),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [6559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11143),
  [6561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4843),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10763),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11887),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10475),
  [6571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6834),
  [6573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10402),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20228),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5989),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [6583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6445),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20293),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5635),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19838),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10873),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [6601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11054),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20035),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10341),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19789),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [6615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [6617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10053),
  [6619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [6621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11540),
  [6623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10132),
  [6625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13719),
  [6627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10335),
  [6629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10398),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10067),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19377),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20151),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18919),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11765),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20025),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19225),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19879),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19872),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18969),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19048),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20291),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19130),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19684),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20294),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12264),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20290),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19812),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20027),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20106),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19773),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19050),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19092),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19222),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19668),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11050),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18842),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18544),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10339),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20191),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19995),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10489),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19360),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11613),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19863),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18971),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9614),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19600),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11850),
  [6761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [6763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18784),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18923),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5883),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18809),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20350),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19105),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9395),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19643),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18995),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19121),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20024),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10759),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20273),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12604),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19895),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19725),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19241),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19399),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19175),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10025),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19117),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19734),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18790),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10340),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19551),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11093),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19925),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [6851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18803),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19774),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10746),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10463),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19072),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20296),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19405),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11886),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19710),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19473),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20069),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11189),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19190),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [6899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4726),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19754),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19025),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18858),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19414),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19408),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10502),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19420),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18865),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10607),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19201),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10368),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19323),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9096),
  [6951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20180),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19292),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10613),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10356),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19923),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10487),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19088),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [6971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19305),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20195),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [6985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [6987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [6989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20044),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10784),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19293),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [6999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18933),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [7003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20241),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20209),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18878),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19299),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10934),
  [7023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20152),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11276),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19591),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20255),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [7041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18929),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17488),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20089),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10617),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20139),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19499),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [7061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11452),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19634),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12223),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18987),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19290),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18990),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18796),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10896),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18883),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19903),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11445),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18904),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10779),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19696),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19965),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11134),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20301),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11783),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19446),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [7131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10477),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10480),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11033),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10486),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11522),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10140),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8395),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11022),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11025),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11029),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10723),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11040),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11043),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11518),
  [7209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10300),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8721),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11048),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11057),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11036),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [7239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10036),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10648),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10525),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10572),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10631),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10641),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10569),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10577),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10523),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11521),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10292),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10594),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11766),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5329),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11125),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10703),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11768),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11065),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11126),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11771),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11625),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11772),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10741),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11563),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10157),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11442),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11443),
  [7409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10745),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11444),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10914),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10459),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11079),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11088),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [7437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10035),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11001),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11861),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [7481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [7485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10977),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10864),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12218),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10413),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5704),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11866),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18965),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11551),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10238),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7971),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11160),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12224),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11860),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11862),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11865),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12228),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11870),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12247),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12235),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11872),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19885),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11874),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12252),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12253),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11877),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12262),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12614),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10593),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11361),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9122),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10667),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [7659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12445),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11939),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11474),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10167),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8410),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11329),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11332),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11324),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11359),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11426),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11317),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10510),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11284),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11797),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10548),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12611),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12429),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10586),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12395),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [7771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11808),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12589),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12355),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12377),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12484),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19539),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10576),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9124),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10583),
  [7809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10660),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10560),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [7833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6319),
  [7835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [7837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11801),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [7843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10612),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10354),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [7853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [7855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [7861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8417),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [7869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11784),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [7879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10713),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [7899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10346),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7832),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11002),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10358),
  [7955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10349),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10348),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10511),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [7999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [8003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [8011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [8013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6399),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10342),
  [8023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12290),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10351),
  [8031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7835),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7851),
  [8037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11823),
  [8039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [8045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11039),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7957),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [8055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10344),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7969),
  [8061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11624),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5816),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12301),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [8085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7348),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [8113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [8115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11629),
  [8125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5905),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10552),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5969),
  [8139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19306),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19024),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6873),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [8163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10808),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [8167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12288),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12293),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12300),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12309),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12332),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10590),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12334),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12341),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [8199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11250),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [8203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4210),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11603),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11623),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11773),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11628),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11632),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [8227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11634),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10507),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11636),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6911),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11639),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10528),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6106),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10557),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10603),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6616),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [8283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [8285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [8287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [8299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11181),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11187),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10389),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10472),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7896),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7530),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10851),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10975),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11916),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10387),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10366),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10001),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6380),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7699),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10411),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10024),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11139),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6347),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6351),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11242),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [8421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [8423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10976),
  [8425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [8427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [8429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [8431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [8433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10866),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11251),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10587),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8159),
  [8453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10885),
  [8455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11255),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7332),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10621),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5616),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [8481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [8483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [8485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7952),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6995),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11084),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11869),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10488),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8158),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8168),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8181),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8185),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10382),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10461),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10496),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10404),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18835),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10410),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9994),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10481),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17527),
  [8595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10473),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10395),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [8603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10343),
  [8605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10468),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [8617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6000),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [8621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10007),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10006),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10840),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10740),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10919),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17412),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6800),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17526),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17528),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17533),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17551),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17559),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16836),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17115),
  [8677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18926),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11161),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10037),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10811),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10762),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10834),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8052),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10041),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10604),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10769),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12547),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10772),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10886),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9989),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6453),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18601),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10767),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9992),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11114),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9719),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18595),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18603),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11920),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18618),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18620),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9133),
  [8815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18638),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18657),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11923),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18676),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18696),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9513),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4758),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9689),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9635),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11245),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11930),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9677),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9659),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9648),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9670),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11933),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9582),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9663),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7009),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10061),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11936),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9555),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9554),
  [8881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9350),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9406),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9471),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10016),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11024),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9993),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10019),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6349),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7956),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12307),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11631),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7902),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7119),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8178),
  [8961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17541),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7496),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18637),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9647),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9348),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11103),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6460),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11179),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10544),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [9015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [9023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10936),
  [9025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [9027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10539),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11919),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [9033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11800),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11803),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11806),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11097),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10032),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11809),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11811),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10034),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11813),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11817),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10474),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10943),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10504),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10965),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10971),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10966),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [9089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10855),
  [9091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10856),
  [9093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10951),
  [9099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [9101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10490),
  [9103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11111),
  [9105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11127),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11135),
  [9109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [9111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10478),
  [9113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11003),
  [9115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10476),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10494),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11011),
  [9121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11014),
  [9123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [9125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10065),
  [9127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [9131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10064),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [9143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [9145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [9147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [9149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [9151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [9153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [9161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [9167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [9169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5461),
  [9172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1546),
  [9175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1234),
  [9178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1842),
  [9181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(11543),
  [9184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(10249),
  [9187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(13726),
  [9190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6215),
  [9193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6006),
  [9196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(17329),
  [9199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(17458),
  [9202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(16241),
  [9205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(16411),
  [9208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(11163),
  [9211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5359),
  [9214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1535),
  [9217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1296),
  [9220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1835),
  [9223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(11467),
  [9226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(10154),
  [9229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5853),
  [9232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5880),
  [9235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5569),
  [9238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1654),
  [9241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1269),
  [9244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1903),
  [9247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(11566),
  [9250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(10149),
  [9253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6804),
  [9256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6759),
  [9259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5554),
  [9262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1564),
  [9265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1240),
  [9268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1858),
  [9271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(11550),
  [9274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(10303),
  [9277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6683),
  [9280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6576),
  [9283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5524),
  [9286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1343),
  [9289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1252),
  [9292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1813),
  [9295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(11512),
  [9298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(10282),
  [9301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(13726),
  [9304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6469),
  [9307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6543),
  [9310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(17458),
  [9313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(16411),
  [9316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(11163),
  [9319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5634),
  [9322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1746),
  [9325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1302),
  [9328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1923),
  [9331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(11490),
  [9334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(10169),
  [9337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6430),
  [9340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6470),
  [9343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(5536),
  [9346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1418),
  [9349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1233),
  [9352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1816),
  [9355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(11526),
  [9358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(10250),
  [9361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6588),
  [9364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6708),
  [9367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6404),
  [9370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1407),
  [9373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1276),
  [9376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1906),
  [9379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(11481),
  [9382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(10297),
  [9385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6813),
  [9388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6937),
  [9391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(10458),
  [9394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1527),
  [9397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1307),
  [9400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1861),
  [9403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(11453),
  [9406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(10135),
  [9409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(10671),
  [9412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(10680),
  [9415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(6861),
  [9418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1678),
  [9421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1232),
  [9424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(1961),
  [9427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(11574),
  [9430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(10316),
  [9433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(7451),
  [9436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(7192),
  [9439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5461),
  [9442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [9444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1546),
  [9447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1234),
  [9450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1842),
  [9453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(11543),
  [9456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(10249),
  [9459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(13726),
  [9462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6215),
  [9465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6006),
  [9468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(17329),
  [9471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(17458),
  [9474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(16241),
  [9477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(16411),
  [9480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(11163),
  [9483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [9485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5359),
  [9488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1535),
  [9491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1296),
  [9494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1835),
  [9497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(11467),
  [9500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(10154),
  [9503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5853),
  [9506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5880),
  [9509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5569),
  [9512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1654),
  [9515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1269),
  [9518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1903),
  [9521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(11566),
  [9524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(10149),
  [9527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6804),
  [9530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6759),
  [9533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5536),
  [9536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1418),
  [9539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1233),
  [9542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1816),
  [9545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(11526),
  [9548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(10250),
  [9551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6588),
  [9554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6708),
  [9557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5634),
  [9560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1746),
  [9563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1302),
  [9566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1923),
  [9569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(11490),
  [9572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(10169),
  [9575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6430),
  [9578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6470),
  [9581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5524),
  [9584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1343),
  [9587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1252),
  [9590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1813),
  [9593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(11512),
  [9596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(10282),
  [9599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(13726),
  [9602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6469),
  [9605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6543),
  [9608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(17458),
  [9611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(16411),
  [9614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(11163),
  [9617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(5554),
  [9620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1564),
  [9623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1240),
  [9626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1858),
  [9629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(11550),
  [9632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(10303),
  [9635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6683),
  [9638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6576),
  [9641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6404),
  [9644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1407),
  [9647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1276),
  [9650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1906),
  [9653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(11481),
  [9656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(10297),
  [9659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6813),
  [9662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6937),
  [9665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(6861),
  [9668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1678),
  [9671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1232),
  [9674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(1961),
  [9677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(11574),
  [9680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(10316),
  [9683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(7451),
  [9686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(7192),
  [9689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4570),
  [9691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4773),
  [9693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4899),
  [9695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4732),
  [9697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [9699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4848),
  [9701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4581),
  [9703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4851),
  [9705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17700),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15645),
  [9709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18675),
  [9711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4577),
  [9713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4864),
  [9715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4786),
  [9717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [9719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4847),
  [9721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4805),
  [9723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4634),
  [9725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4807),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18191),
  [9729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15713),
  [9731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18750),
  [9733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4599),
  [9735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [9737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5007),
  [9739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5219),
  [9741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5204),
  [9743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5002),
  [9745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4909),
  [9747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5003),
  [9749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17920),
  [9751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15490),
  [9753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18399),
  [9755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4601),
  [9757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5005),
  [9759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5016),
  [9761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5304),
  [9763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5295),
  [9765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5013),
  [9767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4919),
  [9769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5014),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17828),
  [9773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15591),
  [9775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18309),
  [9777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4592),
  [9779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5218),
  [9781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4967),
  [9783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5141),
  [9785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5117),
  [9787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5305),
  [9789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4747),
  [9791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4975),
  [9793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17684),
  [9795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15606),
  [9797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18554),
  [9799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4586),
  [9801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5179),
  [9803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5303),
  [9805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [9807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5089),
  [9809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5070),
  [9811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [9813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [9815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5240),
  [9817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4735),
  [9819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [9821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [9823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [9825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18105),
  [9827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15715),
  [9829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18644),
  [9831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4647),
  [9833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5140),
  [9835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5243),
  [9837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [9839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5001),
  [9841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5223),
  [9843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4886),
  [9845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5224),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18198),
  [9849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15632),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18762),
  [9853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4844),
  [9855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5429),
  [9857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5369),
  [9859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5412),
  [9861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5310),
  [9863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5361),
  [9865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5135),
  [9867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5366),
  [9869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18091),
  [9871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15593),
  [9873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18655),
  [9875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5315),
  [9877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5927),
  [9879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6224),
  [9881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [9883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5915),
  [9885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5841),
  [9887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [9889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [9891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6194),
  [9893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5546),
  [9895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [9897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [9899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [9901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18180),
  [9903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15587),
  [9905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18736),
  [9907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [9909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [9911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [9913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16416),
  [9915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16417),
  [9917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3404),
  [9919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16718),
  [9921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16719),
  [9923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3402),
  [9925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3455),
  [9927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 0),
  [9929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [9931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 0),
  [9933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__closed_macrocall_expression, 3, 0, 0),
  [9935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [9937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__closed_macrocall_expression, 3, 0, 0),
  [9939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3489),
  [9941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 7),
  [9943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 7),
  [9945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_broadcast_call_expression, 4, 0, 0),
  [9947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_broadcast_call_expression, 4, 0, 0),
  [9949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16491),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16492),
  [9955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16587),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16588),
  [9963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3386),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16623),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16624),
  [9969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation_expression, 2, 0, 0),
  [9971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation_expression, 2, 0, 0),
  [9973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [9975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [9977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16727),
  [9979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16728),
  [9981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3346),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17584),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16837),
  [9987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__closed_macrocall_expression, 5, 0, 0),
  [9989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__closed_macrocall_expression, 5, 0, 0),
  [9991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3322),
  [9993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_expression, 2, 0, 0),
  [9995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_expression, 2, 0, 0),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [9999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3380),
  [10001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3466),
  [10003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [10005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [10007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_command_literal, 5, 0, 11),
  [10009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_command_literal, 5, 0, 11),
  [10011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 7, 0, 0),
  [10013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 7, 0, 0),
  [10015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integer_literal, 1, 0, 0),
  [10017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4852),
  [10019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integer_literal, 1, 0, 0),
  [10021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4806),
  [10023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14573),
  [10025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10069),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18677),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15649),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18681),
  [10033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [10035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [10037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [10039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4894),
  [10041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14556),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18758),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15486),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18760),
  [10049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [10051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 5),
  [10053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 5),
  [10055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 10),
  [10057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 10),
  [10059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 6, 0, 10),
  [10061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 6, 0, 10),
  [10063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14510),
  [10065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [10067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16356),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16357),
  [10073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [10075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [10077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [10079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 5),
  [10081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 5),
  [10083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 3, 0, 0),
  [10085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [10087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 3, 0, 0),
  [10089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [10091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [10093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [10095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3384),
  [10097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [10099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [10101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [10103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [10105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10458),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [10113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11453),
  [10115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10135),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13726),
  [10119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10671),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10680),
  [10123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 6, 0, 0),
  [10125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 6, 0, 0),
  [10127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 2, 0, 0),
  [10129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 2, 0, 0),
  [10131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_string_literal, 4, 0, 11),
  [10133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_string_literal, 4, 0, 11),
  [10135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_command_literal, 4, 0, 11),
  [10137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_command_literal, 4, 0, 11),
  [10139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [10141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [10143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_string_literal, 5, 0, 11),
  [10145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_string_literal, 5, 0, 11),
  [10147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [10149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4811),
  [10151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [10153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [10155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3272),
  [10157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14516),
  [10159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 10),
  [10161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 10),
  [10163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 5),
  [10165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 5),
  [10167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3345),
  [10169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3319),
  [10171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [10173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [10175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string, 1, 0, 0),
  [10177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string, 1, 0, 0),
  [10179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [10181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [10183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5071),
  [10185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14452),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18769),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15640),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18770),
  [10193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_expression, 3, 0, 0),
  [10195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_expression, 3, 0, 0),
  [10197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [10199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5278),
  [10201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14534),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18400),
  [10205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15492),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18405),
  [10209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 3, 0, 0),
  [10211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 3, 0, 0),
  [10213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parametrized_type_expression, 3, 0, 0),
  [10215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parametrized_type_expression, 3, 0, 0),
  [10217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_command_literal, 6, 0, 19),
  [10219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_command_literal, 6, 0, 19),
  [10221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 0),
  [10223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 0),
  [10225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__closed_macrocall_expression, 4, 0, 0),
  [10227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__closed_macrocall_expression, 4, 0, 0),
  [10229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_expression, 5, 0, 15),
  [10231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_expression, 5, 0, 15),
  [10233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14570),
  [10235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_broadcast_call_expression, 5, 0, 0),
  [10237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_broadcast_call_expression, 5, 0, 0),
  [10239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 3, 0, 0),
  [10241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 3, 0, 0),
  [10243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [10245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__closed_macrocall_expression, 6, 0, 0),
  [10247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__closed_macrocall_expression, 6, 0, 0),
  [10249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 4, 0, 0),
  [10251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 4, 0, 0),
  [10253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5169),
  [10255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14512),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18651),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15727),
  [10261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18658),
  [10263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 6, 0, 0),
  [10265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 6, 0, 0),
  [10267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5186),
  [10269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14558),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18566),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15617),
  [10275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18571),
  [10277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__assignment_operator, 1, 0, 0),
  [10279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_operator, 1, 0, 0),
  [10281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5247),
  [10283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3362),
  [10285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [10287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4960),
  [10289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [10291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 5, 0, 0),
  [10293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 5, 0, 0),
  [10295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [10297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4962),
  [10299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14513),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18764),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15828),
  [10305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18765),
  [10307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comprehension_expression, 5, 0, 0),
  [10309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comprehension_expression, 5, 0, 0),
  [10311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_command_literal, 5, 0, 16),
  [10313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_command_literal, 5, 0, 16),
  [10315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__syntactic_operator, 1, 0, 0),
  [10317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__syntactic_operator, 1, 0, 0),
  [10319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array, 1, 0, 0),
  [10321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array, 1, 0, 0),
  [10323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [10325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [10327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_literal, 2, 0, 0),
  [10329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_literal, 2, 0, 0),
  [10331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3371),
  [10333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14458),
  [10335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [10337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14545),
  [10339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comprehension_expression, 6, 0, 0),
  [10341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comprehension_expression, 6, 0, 0),
  [10343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [10345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [10347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_vector_expression, 5, 0, 0),
  [10349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vector_expression, 5, 0, 0),
  [10351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix_expression, 5, 0, 0),
  [10353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix_expression, 5, 0, 0),
  [10355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_expression, 5, 0, 0),
  [10357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_expression, 5, 0, 0),
  [10359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_adjoint_expression, 2, 0, 0),
  [10361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_adjoint_expression, 2, 0, 0),
  [10363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float_literal, 1, 0, 0),
  [10365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float_literal, 1, 0, 0),
  [10367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [10369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14478),
  [10371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix_expression, 6, 0, 0),
  [10373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix_expression, 6, 0, 0),
  [10375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float_literal, 2, 0, 0),
  [10377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float_literal, 2, 0, 0),
  [10379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_vector_expression, 3, 0, 0),
  [10381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vector_expression, 3, 0, 0),
  [10383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [10385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix_expression, 3, 0, 0),
  [10387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix_expression, 3, 0, 0),
  [10389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_expression, 3, 0, 0),
  [10391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_expression, 3, 0, 0),
  [10393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [10395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_vector_expression, 2, 0, 0),
  [10397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vector_expression, 2, 0, 0),
  [10399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 6, 0, 0),
  [10401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 6, 0, 0),
  [10403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_string_literal, 5, 0, 16),
  [10405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_string_literal, 5, 0, 16),
  [10407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14511),
  [10409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefixed_string_literal, 6, 0, 19),
  [10411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefixed_string_literal, 6, 0, 19),
  [10413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_expression, 2, 0, 0),
  [10415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_expression, 2, 0, 0),
  [10417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_literal, 3, 0, 0),
  [10419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_literal, 3, 0, 0),
  [10421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_vector_expression, 4, 0, 0),
  [10423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vector_expression, 4, 0, 0),
  [10425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5225),
  [10427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [10429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comprehension_expression, 4, 0, 0),
  [10431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comprehension_expression, 4, 0, 0),
  [10433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix_expression, 4, 0, 0),
  [10435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix_expression, 4, 0, 0),
  [10437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_curly_expression, 4, 0, 0),
  [10439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curly_expression, 4, 0, 0),
  [10441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5006),
  [10443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [10445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5015),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16854),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16855),
  [10451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 1, 0, 0),
  [10453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3403),
  [10455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 1, 0, 0),
  [10457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16384),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16385),
  [10461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16705),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16706),
  [10465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5377),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16848),
  [10471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16849),
  [10473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3334),
  [10475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5424),
  [10477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14515),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18374),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15505),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18391),
  [10485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [10487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [10489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3266),
  [10491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14457),
  [10493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [10495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [10497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [10499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16860),
  [10503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16861),
  [10505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16793),
  [10507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16794),
  [10509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3329),
  [10511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11686),
  [10513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10203),
  [10515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16886),
  [10517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16887),
  [10519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [10521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [10523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16806),
  [10525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16807),
  [10527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10912),
  [10529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [10531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [10533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [10535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11684),
  [10537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10202),
  [10539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13726),
  [10541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11217),
  [10543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11212),
  [10545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [10547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16824),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16825),
  [10551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5485),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16842),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16843),
  [10557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11299),
  [10559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [10561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [10563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [10565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11519),
  [10567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10314),
  [10569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11841),
  [10571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11846),
  [10573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16593),
  [10575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16594),
  [10577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3438),
  [10579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [10581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1950),
  [10583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [10585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5539),
  [10587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16832),
  [10591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16833),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16651),
  [10595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16652),
  [10597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [10599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6041),
  [10601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16868),
  [10603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16869),
  [10605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6058),
  [10607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6068),
  [10609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6184),
  [10611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6196),
  [10613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6206),
  [10615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6235),
  [10617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [10619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6048),
  [10621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14557),
  [10623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18464),
  [10625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15731),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18493),
  [10629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3418),
  [10631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11677),
  [10633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10190),
  [10635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_expression, 3, 0, 0),
  [10637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5727),
  [10639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14481),
  [10641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_expression, 3, 0, 0),
  [10643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18245),
  [10645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15508),
  [10647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18248),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16750),
  [10651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16751),
  [10653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16688),
  [10655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16689),
  [10657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_tuple_expression, 2, 0, 0), REDUCE(sym_argument_list, 2, 0, 0),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16693),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16694),
  [10664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5682),
  [10666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14528),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18313),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15592),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18328),
  [10674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_tuple_expression, 3, 0, 0), REDUCE(sym_argument_list, 3, 0, 0),
  [10677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0), REDUCE(sym_argument_list, 3, 0, 5),
  [10680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0), REDUCE(sym_argument_list, 3, 0, 0),
  [10683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_tuple_expression, 4, 0, 0), REDUCE(sym_argument_list, 4, 0, 0),
  [10686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 0), REDUCE(sym_argument_list, 4, 0, 0),
  [10689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [10691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_tuple_expression, 5, 0, 0), REDUCE(sym_argument_list, 5, 0, 0),
  [10694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11694),
  [10696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10213),
  [10698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14470),
  [10700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [10702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [10704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11702),
  [10706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10218),
  [10708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_typed_expression, 2, 0, 0),
  [10710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [10712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_head, 1, 0, 0),
  [10714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14488),
  [10716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4335),
  [10718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_head, 1, 0, 0),
  [10720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [10722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6298),
  [10724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6425),
  [10726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6117),
  [10728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14483),
  [10730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18574),
  [10732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15659),
  [10734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18576),
  [10736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11663),
  [10738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10171),
  [10740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6439),
  [10742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6269),
  [10744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14505),
  [10746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_typed_expression, 2, 0, 0),
  [10748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18669),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15745),
  [10752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18670),
  [10754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_juxtaposition_expression, 2, 0, 0),
  [10756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_juxtaposition_expression, 2, 0, 0),
  [10758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5918),
  [10760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14517),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18561),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15522),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18607),
  [10768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [10770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14465),
  [10772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18716),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15811),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18777),
  [10778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6248),
  [10780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14533),
  [10782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18674),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15608),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18688),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16635),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16636),
  [10792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6549),
  [10794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6262),
  [10796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14555),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18589),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15576),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18594),
  [10804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [10806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11770),
  [10808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10162),
  [10810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11661),
  [10812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10170),
  [10814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6786),
  [10816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6467),
  [10818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6561),
  [10820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6373),
  [10822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14477),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18526),
  [10826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15611),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18527),
  [10830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16900),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16901),
  [10836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6749),
  [10838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14514),
  [10840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18730),
  [10842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15796),
  [10844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18731),
  [10846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6743),
  [10848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14538),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18689),
  [10852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15567),
  [10854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18718),
  [10856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6656),
  [10858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14468),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18629),
  [10862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15613),
  [10864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18632),
  [10866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_identifier, 2, 0, 0),
  [10868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14873),
  [10870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_identifier, 2, 0, 0),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16701),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16702),
  [10876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 3, 0, 0),
  [10878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 0),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16852),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16853),
  [10884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15285),
  [10886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6551),
  [10888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14509),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18371),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15676),
  [10894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18378),
  [10896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6894),
  [10898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6643),
  [10900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14567),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18363),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15555),
  [10906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18365),
  [10908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6766),
  [10910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14575),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18447),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15532),
  [10916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18449),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16880),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16881),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16802),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16803),
  [10926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15091),
  [10928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16884),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16885),
  [10932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [10934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16788),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16789),
  [10938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6958),
  [10940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6880),
  [10942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14484),
  [10944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18614),
  [10946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15688),
  [10948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18616),
  [10950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14989),
  [10952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6941),
  [10954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16697),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16698),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16858),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16859),
  [10962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15401),
  [10964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16850),
  [10966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16851),
  [10968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15303),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16840),
  [10972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16841),
  [10974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11679),
  [10976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10191),
  [10978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15131),
  [10980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7042),
  [10982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__importable, 1, 0, 0),
  [10984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15195),
  [10986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__importable, 1, 0, 0),
  [10988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16856),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16857),
  [10992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6976),
  [10994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14559),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18738),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15621),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18741),
  [11002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7581),
  [11004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7359),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16798),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16799),
  [11010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15248),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16838),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16839),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16784),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16785),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16763),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16764),
  [11024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_list, 1, 0, 0),
  [11026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12556),
  [11028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14144),
  [11030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12324),
  [11032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 1, 0, 0),
  [11034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7235),
  [11036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14637),
  [11038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__exportable, 1, 0, 0),
  [11040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exportable, 1, 0, 0),
  [11042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7668),
  [11044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7493),
  [11046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7482),
  [11048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_path, 2, 0, 0),
  [11050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_path, 2, 0, 0),
  [11052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7612),
  [11054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12403),
  [11056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14108),
  [11058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12258),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16882),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16883),
  [11064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7605),
  [11066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__import_list, 2, 0, 0),
  [11068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, 0, 0),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16759),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16760),
  [11074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15461),
  [11076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14625),
  [11078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14803),
  [11080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7709),
  [11082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12584),
  [11084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13916),
  [11086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7972),
  [11088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12394),
  [11090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14225),
  [11092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8180),
  [11094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8400),
  [11096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7993),
  [11098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15394),
  [11100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15423),
  [11102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__exportable, 3, 0, 0),
  [11104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exportable, 3, 0, 0),
  [11106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12574),
  [11108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13991),
  [11110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12217),
  [11112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7822),
  [11114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15275),
  [11116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7620),
  [11118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14546),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18414),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15751),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18417),
  [11126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_tuple, 2, 0, 0),
  [11128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [11130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_tuple, 2, 0, 0),
  [11132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12236),
  [11134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0),
  [11136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3595),
  [11139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0),
  [11141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 2, 0, 0),
  [11143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14137),
  [11145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 2, 0, 0),
  [11147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [11149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0),
  [11151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14137),
  [11154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0),
  [11156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3929),
  [11159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0),
  [11161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0),
  [11163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12556),
  [11166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [11168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3542),
  [11170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3561),
  [11172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10277),
  [11174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3257),
  [11176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [11178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3795),
  [11180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3796),
  [11182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3565),
  [11184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [11186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [11188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [11190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [11192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3818),
  [11194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [11196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3820),
  [11198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3837),
  [11200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [11202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [11204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global_statement, 2, 0, 0),
  [11206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 2, 0, 0),
  [11208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_statement, 2, 0, 0),
  [11210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_statement, 2, 0, 0),
  [11212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_macro_argument_list_repeat1, 1, 0, 0),
  [11214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_macro_argument_list_repeat1, 1, 0, 0),
  [11216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 0),
  [11218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [11220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 0),
  [11222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [11224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3948),
  [11226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10310),
  [11228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7711),
  [11230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [11232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3932),
  [11234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3950),
  [11236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [11238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3952),
  [11240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3953),
  [11242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3954),
  [11244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3955),
  [11246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3956),
  [11248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [11250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3958),
  [11252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3959),
  [11254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3960),
  [11256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [11258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment, 3, 0, 6),
  [11260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 6),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12609),
  [11264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14148),
  [11266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12227),
  [11268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12338),
  [11270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12553),
  [11272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14136),
  [11274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12320),
  [11276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15076),
  [11278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, 0, 0),
  [11280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13965),
  [11282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, 0, 0),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11453),
  [11286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, 0, 0),
  [11288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, 0, 0),
  [11290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_public_statement, 3, 0, 0),
  [11292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_statement, 3, 0, 0),
  [11294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(13965),
  [11297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12403),
  [11300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 2, 0, 0),
  [11302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, 0, 0),
  [11304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_statement, 2, 0, 0),
  [11306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_statement, 2, 0, 0),
  [11308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 2),
  [11310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 2),
  [11312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splat_expression, 2, 0, 0),
  [11314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_expression, 2, 0, 0),
  [11316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [11318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2, 0, 0),
  [11320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_statement, 2, 0, 0),
  [11322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_statement, 2, 0, 0),
  [11324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macrocall_expression, 2, 0, 0),
  [11326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macrocall_expression, 2, 0, 0),
  [11328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [11330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3, 0, 0),
  [11332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 3, 0, 3),
  [11334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 3, 0, 3),
  [11336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 3, 0, 0),
  [11338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 3, 0, 0),
  [11340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, 0, 0),
  [11342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, 0, 0),
  [11344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_definition, 3, 0, 0),
  [11346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_definition, 3, 0, 0),
  [11348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_statement, 3, 0, 0),
  [11350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_statement, 3, 0, 0),
  [11352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 3, 0, 0),
  [11354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 3, 0, 0),
  [11356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3232),
  [11358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 4),
  [11360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 4),
  [11362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 0),
  [11364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 0),
  [11366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 3, 0, 0),
  [11368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, 0, 0),
  [11370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 4),
  [11372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 4),
  [11374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_statement, 2, 0, 0),
  [11376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_statement, 2, 0, 0),
  [11378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 6),
  [11380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 6),
  [11382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function_expression, 3, 0, 0),
  [11384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function_expression, 3, 0, 0),
  [11386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 4, 0, 0),
  [11388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 4, 0, 0),
  [11390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 4, 0, 3),
  [11392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 4, 0, 3),
  [11394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_definition, 4, 0, 0),
  [11396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_definition, 4, 0, 0),
  [11398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 4, 0, 0),
  [11400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 4, 0, 0),
  [11402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 0),
  [11404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 0),
  [11406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_definition, 4, 0, 0),
  [11408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_definition, 4, 0, 0),
  [11410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_statement, 4, 0, 0),
  [11412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_statement, 4, 0, 0),
  [11414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 4, 0, 0),
  [11416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 4, 0, 0),
  [11418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 4, 0, 8),
  [11420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 4, 0, 8),
  [11422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 4),
  [11424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 4),
  [11426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 9),
  [11428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 9),
  [11430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0),
  [11432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [11434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(2613),
  [11437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [11439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5024),
  [11441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [11443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15623),
  [11446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10131),
  [11448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8840),
  [11450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [11452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [11454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [11456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3509),
  [11458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3601),
  [11460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3602),
  [11462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [11464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [11466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [11468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [11470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3516),
  [11472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [11474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [11476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3535),
  [11478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17690),
  [11481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 0),
  [11483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 0),
  [11485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, 0, 0),
  [11487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, 0, 0),
  [11489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, 0, 4),
  [11491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, 0, 4),
  [11493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 3, 0, 0),
  [11495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 3, 0, 0),
  [11497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selected_import, 3, 0, 0),
  [11499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selected_import, 3, 0, 0),
  [11501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macrocall_expression, 4, 0, 0),
  [11503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macrocall_expression, 4, 0, 0),
  [11505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 5, 0, 0),
  [11507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 5, 0, 0),
  [11509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 5, 0, 3),
  [11511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 5, 0, 3),
  [11513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive_definition, 5, 0, 0),
  [11515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive_definition, 5, 0, 0),
  [11517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 5, 0, 0),
  [11519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 5, 0, 0),
  [11521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 0),
  [11523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 0),
  [11525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_definition, 5, 0, 0),
  [11527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_definition, 5, 0, 0),
  [11529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quote_statement, 5, 0, 0),
  [11531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quote_statement, 5, 0, 0),
  [11533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 5, 0, 0),
  [11535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 5, 0, 0),
  [11537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 5, 0, 8),
  [11539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 5, 0, 8),
  [11541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 4),
  [11543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 4),
  [11545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 12),
  [11547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 12),
  [11549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 13),
  [11551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 13),
  [11553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 0),
  [11555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, 0, 0),
  [11557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, 0, 0),
  [11559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 0),
  [11561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 4),
  [11563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 4),
  [11565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 6, 0, 3),
  [11567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 6, 0, 3),
  [11569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 6, 0, 0),
  [11571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 6, 0, 0),
  [11573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 0),
  [11575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 0),
  [11577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_definition, 6, 0, 0),
  [11579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_definition, 6, 0, 0),
  [11581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 6, 0, 8),
  [11583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 6, 0, 8),
  [11585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 6, 0, 0),
  [11587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 6, 0, 0),
  [11589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 17),
  [11591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 17),
  [11593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 18),
  [11595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 18),
  [11597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 4),
  [11599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 4),
  [11601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 0),
  [11603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 0),
  [11605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 0),
  [11607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 0),
  [11609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 4),
  [11611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 4),
  [11613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_definition, 7, 0, 0),
  [11615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_definition, 7, 0, 0),
  [11617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 7, 0, 8),
  [11619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 7, 0, 8),
  [11621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_statement, 7, 0, 0),
  [11623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_statement, 7, 0, 0),
  [11625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 21),
  [11627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 21),
  [11629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 22),
  [11631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 22),
  [11633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, 0, 0),
  [11635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, 0, 0),
  [11637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 0),
  [11639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 0),
  [11641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 8, 0, 23),
  [11643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, 0, 23),
  [11645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 8, 0, 0),
  [11647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 8, 0, 0),
  [11649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [11651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11199),
  [11653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15646),
  [11656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17701),
  [11659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14130),
  [11661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [11663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10044),
  [11665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15666),
  [11668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17710),
  [11671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14130),
  [11674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12394),
  [11677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [11679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10734),
  [11681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15473),
  [11684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17722),
  [11687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13865),
  [11689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [11691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [11693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5093),
  [11695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15699),
  [11698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17729),
  [11701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3504),
  [11704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__closed_assignment, 3, 0, 6),
  [11706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__closed_assignment, 3, 0, 6),
  [11708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(13865),
  [11711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12584),
  [11714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [11716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5890),
  [11718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15707),
  [11721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17737),
  [11724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [11726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10927),
  [11728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15711),
  [11731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17753),
  [11734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [11736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5144),
  [11738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15721),
  [11741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17761),
  [11744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8752),
  [11746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [11748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11897),
  [11750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15725),
  [11753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17765),
  [11756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13988),
  [11758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [11760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6898),
  [11762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15728),
  [11765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17768),
  [11768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [11770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11789),
  [11772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15732),
  [11775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17775),
  [11778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [11780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10620),
  [11782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15548),
  [11785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(18121),
  [11788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0),
  [11790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 3, 0, 0),
  [11792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3224),
  [11794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6478),
  [11796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15737),
  [11799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17779),
  [11802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3303),
  [11804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11130),
  [11806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15740),
  [11809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17785),
  [11812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [11814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11009),
  [11816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15747),
  [11819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17790),
  [11822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [11824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10635),
  [11826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15750),
  [11829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17795),
  [11832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [11834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6554),
  [11836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15754),
  [11839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17800),
  [11842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [11844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6597),
  [11846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15756),
  [11849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17804),
  [11852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [11854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7602),
  [11856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15759),
  [11859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17808),
  [11862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15187),
  [11864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [11866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7056),
  [11868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15762),
  [11871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17812),
  [11874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [11876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_where_expression, 3, 0, 0),
  [11878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_expression, 3, 0, 0),
  [11880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [11882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5699),
  [11884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15764),
  [11887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17817),
  [11890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [11892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11854),
  [11894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15766),
  [11897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17820),
  [11900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [11902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4934),
  [11904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15768),
  [11907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17823),
  [11910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12536),
  [11912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14314),
  [11914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12299),
  [11916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [11918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5250),
  [11920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15770),
  [11923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17824),
  [11926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [11928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6716),
  [11930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15773),
  [11933] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17825),
  [11936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [11938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5340),
  [11940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15702),
  [11943] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17595),
  [11946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [11948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12501),
  [11950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15775),
  [11953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17827),
  [11956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [11958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9106),
  [11960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15777),
  [11963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17829),
  [11966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15179),
  [11968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [11970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8404),
  [11972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15781),
  [11975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17831),
  [11978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3877),
  [11980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [11982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8444),
  [11984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15783),
  [11987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17833),
  [11990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3877),
  [11993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [11995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7413),
  [11997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15786),
  [12000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17835),
  [12003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [12005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5929),
  [12007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15790),
  [12010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17838),
  [12013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(13988),
  [12016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12574),
  [12019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2504),
  [12021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8383),
  [12023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15794),
  [12026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17841),
  [12029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [12031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7687),
  [12033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15799),
  [12036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17845),
  [12039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [12041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5922),
  [12043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15801),
  [12046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17847),
  [12049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [12051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12276),
  [12053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15803),
  [12056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17849),
  [12059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [12061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11617),
  [12063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15805),
  [12066] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17850),
  [12069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15217),
  [12071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [12073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6054),
  [12075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15807),
  [12078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17851),
  [12081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [12083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6637),
  [12085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15809),
  [12088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17853),
  [12091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [12093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5306),
  [12095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15813),
  [12098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17856),
  [12101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [12103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7847),
  [12105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15815),
  [12108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17857),
  [12111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [12113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7626),
  [12115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15817),
  [12118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17860),
  [12121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [12123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6267),
  [12125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15821),
  [12128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17863),
  [12131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [12133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5954),
  [12135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15823),
  [12138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17866),
  [12141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [12143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7308),
  [12145] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15825),
  [12148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17868),
  [12151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_assignment_expression, 3, 0, 6),
  [12153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_assignment_expression, 3, 0, 6),
  [12155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [12157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7067),
  [12159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15830),
  [12162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17870),
  [12165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2808),
  [12167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5498),
  [12169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15832),
  [12172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17872),
  [12175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [12177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8142),
  [12179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15834),
  [12182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17874),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14005),
  [12187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [12189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7439),
  [12191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15836),
  [12194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17878),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16898),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16899),
  [12201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [12203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5964),
  [12205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15838),
  [12208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17881),
  [12211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [12213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6771),
  [12215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15841),
  [12218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17882),
  [12221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [12223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17503),
  [12225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15843),
  [12228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17884),
  [12231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4007),
  [12233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [12235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7542),
  [12237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15845),
  [12240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17885),
  [12243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2941),
  [12245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8036),
  [12247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15849),
  [12250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17886),
  [12253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [12255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7433),
  [12257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15680),
  [12260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17888),
  [12263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [12265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6088),
  [12267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15474),
  [12270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17889),
  [12273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15336),
  [12275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [12277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18569),
  [12279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15477),
  [12282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17891),
  [12285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4007),
  [12288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [12290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9683),
  [12292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15479),
  [12295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17892),
  [12298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [12300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9552),
  [12302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15481),
  [12305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17893),
  [12308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [12310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6975),
  [12312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15483),
  [12315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17894),
  [12318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3946),
  [12320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [12322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3946),
  [12325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14005),
  [12328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12609),
  [12331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15361),
  [12333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [12335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3985),
  [12337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3985),
  [12340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14134),
  [12342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15435),
  [12344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3247),
  [12346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [12348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3793),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10241),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [12356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [12360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [12370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [12372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [12374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [12376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [12382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [12384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [12386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [12388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10232),
  [12390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8957),
  [12392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [12394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [12396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3933),
  [12398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3934),
  [12400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3935),
  [12402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3936),
  [12404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [12406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3938),
  [12408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [12410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3940),
  [12412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3941),
  [12414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3942),
  [12416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [12418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3944),
  [12420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [12422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10365),
  [12424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15584),
  [12427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17667),
  [12430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3947),
  [12432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3969),
  [12434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10144),
  [12436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8754),
  [12438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [12440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3949),
  [12442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3971),
  [12444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3972),
  [12446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3973),
  [12448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [12450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [12452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3976),
  [12454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [12456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3978),
  [12458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3979),
  [12460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3980),
  [12462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3981),
  [12464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [12466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4026),
  [12468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [12470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10248),
  [12472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9243),
  [12474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [12476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [12478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [12480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [12482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4031),
  [12484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [12486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4033),
  [12488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4034),
  [12490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [12492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4036),
  [12494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4037),
  [12496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4038),
  [12498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4039),
  [12500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4040),
  [12502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14134),
  [12505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12553),
  [12508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14837),
  [12510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [12512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4818),
  [12514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(15600),
  [12517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0), SHIFT(17679),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [12522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14254),
  [12524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3242),
  [12526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3267),
  [12528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16896),
  [12532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16897),
  [12534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14254),
  [12537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12536),
  [12540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [12542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4490),
  [12544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [12546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [12548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [12550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [12552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [12554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [12556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [12558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3764),
  [12560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [12562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3766),
  [12564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [12566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [12568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3769),
  [12570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [12572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3741),
  [12574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3759),
  [12576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3760),
  [12578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3761),
  [12580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [12582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4247),
  [12584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [12586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [12588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10168),
  [12590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [12592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4069),
  [12594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4055),
  [12596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4056),
  [12598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [12600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4058),
  [12602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4059),
  [12604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [12606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [12608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4062),
  [12610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4063),
  [12612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4064),
  [12614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4065),
  [12616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4510),
  [12618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [12620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [12622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4383),
  [12624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [12626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4482),
  [12628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4384),
  [12630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4385),
  [12632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4483),
  [12634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4484),
  [12636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4485),
  [12638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4486),
  [12640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4487),
  [12642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4488),
  [12644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4489),
  [12646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4247),
  [12649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9409),
  [12651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15112),
  [12653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4450),
  [12655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4451),
  [12657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3279),
  [12659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4452),
  [12661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4258),
  [12663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4429),
  [12665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4453),
  [12667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4454),
  [12669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4430),
  [12671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4431),
  [12673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4432),
  [12675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4433),
  [12677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4434),
  [12679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4435),
  [12681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4436),
  [12683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4437),
  [12685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3821),
  [12687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [12689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3823),
  [12691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [12693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [12695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3830),
  [12697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3831),
  [12699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [12701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3833),
  [12703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3834),
  [12705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3835),
  [12707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3221),
  [12709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3824),
  [12711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3825),
  [12713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3826),
  [12715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3827),
  [12717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [12719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3660),
  [12721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3661),
  [12723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3662),
  [12725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [12727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [12729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3665),
  [12731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3666),
  [12733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3634),
  [12735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [12739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [12741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [12743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3645),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [12747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [12749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [12751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3653),
  [12753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [12755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [12757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [12765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3655),
  [12767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3656),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12406),
  [12771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13911),
  [12773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [12775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [12777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3740),
  [12779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3746),
  [12781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [12783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3748),
  [12785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3749),
  [12787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3750),
  [12789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [12791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3752),
  [12793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3753),
  [12795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [12797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3776),
  [12799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3758),
  [12801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [12803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3779),
  [12805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [12807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3781),
  [12809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [12811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [12813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3784),
  [12815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3785),
  [12817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [12819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [12821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3788),
  [12823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3789),
  [12825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12267),
  [12827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3614),
  [12829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15240),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11686),
  [12833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9682),
  [12835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3722),
  [12837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3742),
  [12839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [12841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [12843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [12845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3625),
  [12847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3626),
  [12849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [12851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3605),
  [12853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [12855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [12857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3629),
  [12859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3607),
  [12861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3608),
  [12863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3609),
  [12865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3610),
  [12867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3611),
  [12869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3612),
  [12871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3613),
  [12873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_binding, 3, 0, 6),
  [12875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4386),
  [12877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4367),
  [12879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4381),
  [12881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4228),
  [12883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4369),
  [12885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [12887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4371),
  [12889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4372),
  [12891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4373),
  [12893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4374),
  [12895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4375),
  [12897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4376),
  [12899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4377),
  [12901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4378),
  [12903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4379),
  [12905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_binding, 3, 0, 6),
  [12907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4455),
  [12909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4300),
  [12911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4301),
  [12913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4302),
  [12915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4303),
  [12917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4304),
  [12919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4305),
  [12921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4306),
  [12923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4307),
  [12925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4295),
  [12927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4308),
  [12929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4297),
  [12931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [12933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4299),
  [12935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13870),
  [12937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [12939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [12941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4149),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10313),
  [12945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9799),
  [12947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [12949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4150),
  [12951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [12953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [12955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [12963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4105),
  [12965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4109),
  [12967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [12971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [12973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [12975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [12977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4406),
  [12979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4407),
  [12981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4408),
  [12983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4409),
  [12985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4410),
  [12987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3284),
  [12989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4296),
  [12991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4412),
  [12993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4403),
  [12995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4404),
  [12997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4405),
  [12999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4413),
  [13001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4414),
  [13003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4400),
  [13005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4416),
  [13007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4417),
  [13009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12406),
  [13012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3273),
  [13014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4251),
  [13016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(13870),
  [13019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15080),
  [13021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_binding, 4, 0, 14),
  [13023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_binding, 4, 0, 14),
  [13025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4048),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [13030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4222),
  [13032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4223),
  [13034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4224),
  [13036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [13038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4230),
  [13040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4231),
  [13042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4246),
  [13044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [13046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3249),
  [13048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_matrix_row_repeat1, 1, 0, 0),
  [13050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [13052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4219),
  [13054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [13056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11663),
  [13058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4474),
  [13060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4475),
  [13062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4476),
  [13064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4283),
  [13066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4465),
  [13068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4477),
  [13070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4478),
  [13072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4466),
  [13074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4467),
  [13076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4468),
  [13078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4469),
  [13080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4470),
  [13082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4471),
  [13084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4472),
  [13086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4473),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [13092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [13094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3844),
  [13096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3845),
  [13098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3846),
  [13100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [13102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [13104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [13106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [13108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [13110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [13114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3841),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [13120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10329),
  [13122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10379),
  [13124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10406),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10364),
  [13128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10364),
  [13130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10367),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10379),
  [13134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10370),
  [13136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10370),
  [13138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10345),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10414),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10406),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10367),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17689),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15557),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18641),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11679),
  [13154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10693),
  [13156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10876),
  [13158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10915),
  [13160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10964),
  [13162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10952),
  [13164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10860),
  [13166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10796),
  [13168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10900),
  [13170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17977),
  [13172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15819),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18545),
  [13176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10444),
  [13178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10545),
  [13180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10549),
  [13182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10565),
  [13184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10520),
  [13186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10559),
  [13188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10479),
  [13190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10573),
  [13192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18113),
  [13194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15722),
  [13196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18656),
  [13198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0), SHIFT(10135),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16551),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16552),
  [13205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__terminator_repeat1, 2, 0, 0),
  [13207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 2, 0, 0),
  [13209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 2, 0, 0), SHIFT_REPEAT(9997),
  [13212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 0),
  [13214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2842),
  [13217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 0),
  [13219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 2, 0, 0), SHIFT_REPEAT(9999),
  [13222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 2, 0, 0), SHIFT_REPEAT(10042),
  [13225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__terminator_repeat1, 1, 0, 0),
  [13227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 1, 0, 0),
  [13229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 2, 0, 0), SHIFT_REPEAT(10026),
  [13232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 2, 0, 0), SHIFT_REPEAT(10015),
  [13235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10045),
  [13237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 2, 0, 0), SHIFT_REPEAT(10033),
  [13240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__do_parameter_list, 3, 0, 0),
  [13242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__do_parameter_list, 3, 0, 0),
  [13244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__do_parameter_list, 2, 0, 0),
  [13246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__do_parameter_list, 2, 0, 0),
  [13248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__do_parameter_list, 4, 0, 0),
  [13250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__do_parameter_list, 4, 0, 0),
  [13252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__do_parameter_list, 1, 0, 0),
  [13254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__do_parameter_list, 1, 0, 0),
  [13256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 2, 0, 0), SHIFT_REPEAT(10063),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [13269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [13271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17245),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10171),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12578),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11824),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10889),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10639),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11031),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [13299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [13305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11257),
  [13311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11593),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8844),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10995),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10386),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7533),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11831),
  [13365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10530),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9611),
  [13371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18593),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [13379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12234),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10663),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [13393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [13395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6540),
  [13397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6794),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6449),
  [13401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6449),
  [13403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6433),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [13409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6421),
  [13411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5815),
  [13413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [13415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [13417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [13419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [13421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17774),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15637),
  [13425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18322),
  [13427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5456),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [13435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11529),
  [13437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10311),
  [13439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6133),
  [13441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [13443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10135),
  [13445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11215),
  [13447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [13449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11539),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10296),
  [13457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11710),
  [13459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11610),
  [13461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10748),
  [13463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10688),
  [13465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10725),
  [13467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10725),
  [13469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10692),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10748),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10708),
  [13475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10708),
  [13477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10512),
  [13479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10737),
  [13481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10688),
  [13483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10692),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17989),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15563),
  [13489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18481),
  [13491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11837),
  [13493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11934),
  [13495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11838),
  [13497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11838),
  [13499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11828),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11837),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11926),
  [13505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11926),
  [13507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11763),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11931),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11846),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11934),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11828),
  [13517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17651),
  [13519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15559),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18403),
  [13523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6686),
  [13525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7043),
  [13527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6949),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [13531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7115),
  [13533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7157),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [13539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6947),
  [13541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6852),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17736),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15616),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18233),
  [13557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5466),
  [13559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6290),
  [13561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6186),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [13565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6254),
  [13567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6372),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [13573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6181),
  [13575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5544),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18120),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15605),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18672),
  [13591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6839),
  [13593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7336),
  [13595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7450),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [13599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7184),
  [13601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7614),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [13607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7503),
  [13609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7091),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [13613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7560),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18045),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15506),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18557),
  [13625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5554),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11550),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10303),
  [13637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6683),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [13641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5524),
  [13643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6661),
  [13645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6431),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [13649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6518),
  [13651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6475),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [13657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6753),
  [13659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6147),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6755),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [13669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17890),
  [13671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15551),
  [13673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18362),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11512),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10282),
  [13685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6469),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11684),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10202),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11212),
  [13699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5314),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11562),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10235),
  [13711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6369),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [13715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10768),
  [13717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11107),
  [13719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10986),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10998),
  [13723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10998),
  [13725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10985),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11107),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10988),
  [13731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10988),
  [13733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10899),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11113),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10994),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10986),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10985),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17933),
  [13745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15653),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18426),
  [13749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6861),
  [13751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7368),
  [13753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7340),
  [13755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [13757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7566),
  [13759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7468),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [13765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7428),
  [13767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7147),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [13775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [13777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18183),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15656),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18739),
  [13783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5359),
  [13785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5842),
  [13787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6085),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [13791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5884),
  [13793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5856),
  [13795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [13797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [13799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6292),
  [13801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5769),
  [13803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [13805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [13809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [13811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17852),
  [13813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15609),
  [13815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18687),
  [13817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5527),
  [13819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6783),
  [13821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6760),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [13825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6537),
  [13827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6519),
  [13829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [13831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [13833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6450),
  [13835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5839),
  [13837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [13841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [13843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [13845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18086),
  [13847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15602),
  [13849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18623),
  [13851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5569),
  [13853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6747),
  [13855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6664),
  [13857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [13859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6782),
  [13861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6728),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [13865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [13867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6550),
  [13869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6261),
  [13871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [13879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18010),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15627),
  [13883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18513),
  [13885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12028),
  [13887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12621),
  [13889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12569),
  [13891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12595),
  [13893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12595),
  [13895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12426),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12621),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12419),
  [13901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12419),
  [13903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12274),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12420),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12472),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12569),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12426),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17991),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15568),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18486),
  [13919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [13921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5526),
  [13923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5545),
  [13925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [13927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5741),
  [13929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5676),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [13935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5537),
  [13937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5460),
  [13939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [13941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [13943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17904),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15519),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18383),
  [13953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10440),
  [13955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [13959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [13961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11497),
  [13963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10230),
  [13965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10616),
  [13967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10600),
  [13969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5459),
  [13971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6275),
  [13973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6075),
  [13975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [13977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6272),
  [13979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6246),
  [13981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [13983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [13985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6047),
  [13987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5530),
  [13989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [13991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [13993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [13995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [13997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18128),
  [13999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15744),
  [14001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18668),
  [14003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [14005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [14007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [14009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11467),
  [14011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10154),
  [14013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5853),
  [14015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10565),
  [14017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10545),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10559),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10573),
  [14023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10549),
  [14025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10520),
  [14027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11246),
  [14029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11208),
  [14031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11167),
  [14033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11167),
  [14035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11138),
  [14037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11246),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11192),
  [14041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11192),
  [14043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11122),
  [14045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11203),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11208),
  [14049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11138),
  [14051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17714),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15670),
  [14055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18737),
  [14057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6416),
  [14059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7013),
  [14061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7150),
  [14063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [14065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7094),
  [14067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7040),
  [14069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [14071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [14073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7031),
  [14075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6935),
  [14077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [14079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [14081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [14083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [14085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18168),
  [14087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15792),
  [14089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18729),
  [14091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6859),
  [14093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7575),
  [14095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7435),
  [14097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [14099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7470),
  [14101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7681),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [14105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7161),
  [14107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [14109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17732),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15583),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18228),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11770),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10162),
  [14123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6854),
  [14125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7601),
  [14127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7477),
  [14129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [14131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7355),
  [14133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7401),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [14137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6956),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7227),
  [14141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17784),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15669),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18267),
  [14151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5536),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [14157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11526),
  [14161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10250),
  [14163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6588),
  [14165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [14167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [14169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [14171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [14173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11513),
  [14175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10304),
  [14177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6516),
  [14179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6916),
  [14181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7322),
  [14183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7318),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [14187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7514),
  [14189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7447),
  [14191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [14193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [14195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7629),
  [14197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7143),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [14201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [14203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [14205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [14207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17922),
  [14209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15742),
  [14211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18410),
  [14213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15436),
  [14215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16911),
  [14217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16095),
  [14219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16531),
  [14221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16531),
  [14223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16523),
  [14225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16911),
  [14227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17212),
  [14229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17212),
  [14231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15509),
  [14233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17214),
  [14235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17480),
  [14237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16095),
  [14239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16523),
  [14241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18067),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15546),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18588),
  [14247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10554),
  [14249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10584),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10599),
  [14253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10599),
  [14255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10633),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10554),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10529),
  [14261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10529),
  [14263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10498),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10558),
  [14267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10584),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10633),
  [14271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17594),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15536),
  [14275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18260),
  [14277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11665),
  [14279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10181),
  [14281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11375),
  [14283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11779),
  [14285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11912),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11834),
  [14289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11834),
  [14291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11802),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11779),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11965),
  [14297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11965),
  [14299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11510),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11967),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11780),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11912),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11802),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18022),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15610),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18525),
  [14315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11995),
  [14317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12296),
  [14319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12316),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12266),
  [14323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12266),
  [14325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12216),
  [14327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12296),
  [14329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12310),
  [14331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12310),
  [14333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12202),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12330),
  [14337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12250),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12316),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12216),
  [14343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17846),
  [14345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15571),
  [14347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18318),
  [14349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16275),
  [14351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18458),
  [14353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18427),
  [14355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18225),
  [14357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18225),
  [14359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18288),
  [14361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18458),
  [14363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18510),
  [14365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18510),
  [14367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18046),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18415),
  [14371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18532),
  [14373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18427),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18288),
  [14377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18118),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15675),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18661),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10191),
  [14385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11681),
  [14387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10196),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10203),
  [14391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11688),
  [14393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10208),
  [14395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6964),
  [14397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7716),
  [14399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7988),
  [14401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [14403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8103),
  [14405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8019),
  [14407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [14409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7306),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [14417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17832),
  [14419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15497),
  [14421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18306),
  [14423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6548),
  [14425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6738),
  [14427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [14429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6784),
  [14431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6765),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [14437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6459),
  [14439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6201),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [14443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [14445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [14447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17955),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15663),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18463),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11661),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10170),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [14463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11664),
  [14465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10180),
  [14467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11082),
  [14469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10757),
  [14471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10999),
  [14473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11108),
  [14475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11108),
  [14477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11081),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11070),
  [14481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11070),
  [14483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10924),
  [14485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11074),
  [14487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11064),
  [14489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10999),
  [14491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11081),
  [14493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18092),
  [14495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15696),
  [14497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18624),
  [14499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6412),
  [14501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6544),
  [14503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [14505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6639),
  [14507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6594),
  [14509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [14511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [14513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6538),
  [14515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [14517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [14519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [14521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [14523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17953),
  [14525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15530),
  [14527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18446),
  [14529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5461),
  [14531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6087),
  [14533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6001),
  [14535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [14537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6327),
  [14539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6297),
  [14541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [14543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [14545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6061),
  [14547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5531),
  [14549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [14551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [14553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [14555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [14557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18038),
  [14559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15739),
  [14561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18556),
  [14563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10964),
  [14565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10876),
  [14567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10860),
  [14569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10900),
  [14571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10915),
  [14573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10952),
  [14575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5012),
  [14577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5802),
  [14579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5482),
  [14581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [14583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5674),
  [14585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5659),
  [14587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [14589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [14591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5483),
  [14593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5396),
  [14595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [14597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [14599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [14601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [14603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17624),
  [14605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15507),
  [14607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18221),
  [14609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [14611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [14613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [14615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11552),
  [14617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10174),
  [14619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6291),
  [14621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6816),
  [14623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7577),
  [14625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7607),
  [14627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [14629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7675),
  [14631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7342),
  [14633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [14635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [14637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7461),
  [14639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7145),
  [14641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [14643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [14645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [14647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [14649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17649),
  [14651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15588),
  [14653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18401),
  [14655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6036),
  [14657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6226),
  [14659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [14661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6279),
  [14663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6245),
  [14665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [14667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [14669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6204),
  [14671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5552),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [14675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [14677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [14679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17947),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15499),
  [14683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18443),
  [14685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11566),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10149),
  [14695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6804),
  [14697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [14699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [14701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [14707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [14709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11535),
  [14717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10156),
  [14719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6163),
  [14721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6867),
  [14723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7367),
  [14725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7423),
  [14727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [14729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7597),
  [14731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7409),
  [14733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [14735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [14737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7345),
  [14739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6957),
  [14741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [14743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7372),
  [14745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [14747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [14749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17867),
  [14751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15535),
  [14753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18338),
  [14755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6120),
  [14757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6053),
  [14759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [14761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6217),
  [14763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6169),
  [14765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [14767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [14769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6031),
  [14771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5528),
  [14773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [14775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6169),
  [14779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18065),
  [14781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15658),
  [14783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18573),
  [14785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [14787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [14789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [14791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11519),
  [14793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10314),
  [14795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5322),
  [14797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [14799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [14801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [14803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11578),
  [14805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10290),
  [14807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6371),
  [14809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [14811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8090),
  [14813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9302),
  [14815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9310),
  [14817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9570),
  [14819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9570),
  [14821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9334),
  [14823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9302),
  [14825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [14827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9401),
  [14829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9051),
  [14831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [14833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9355),
  [14835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9310),
  [14837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [14839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17896),
  [14841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15578),
  [14843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18372),
  [14845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7321),
  [14847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8785),
  [14849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8776),
  [14851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9081),
  [14853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9081),
  [14855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8517),
  [14857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [14859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7951),
  [14861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9091),
  [14863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8776),
  [14865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [14867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18077),
  [14869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15574),
  [14871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18608),
  [14873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6404),
  [14875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6934),
  [14877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6811),
  [14879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [14881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6838),
  [14883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6817),
  [14885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [14887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [14889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6883),
  [14891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6736),
  [14893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [14895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [14897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [14899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [14901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18085),
  [14903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15686),
  [14905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18612),
  [14907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11677),
  [14909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10190),
  [14911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11680),
  [14913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10195),
  [14915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11694),
  [14917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10213),
  [14919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11687),
  [14921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10207),
  [14923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11702),
  [14925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10218),
  [14927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11696),
  [14929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10215),
  [14931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11703),
  [14933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10220),
  [14935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [14937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [14939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [14941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11516),
  [14943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10246),
  [14945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5657),
  [14947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [14949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [14951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [14953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [14955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [14957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [14959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6996),
  [14961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7940),
  [14963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8322),
  [14965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [14967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8433),
  [14969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8324),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [14973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7311),
  [14975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [14977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [14979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [14981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17910),
  [14983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15661),
  [14985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18389),
  [14987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [14989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [14991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [14993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [14995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [14997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [14999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6180),
  [15001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6232),
  [15003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [15005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6037),
  [15007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5957),
  [15009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [15011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [15013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6230),
  [15015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5563),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6233),
  [15019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6232),
  [15021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [15023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17682),
  [15025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15514),
  [15027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18549),
  [15029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5219),
  [15031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [15033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [15035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [15037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [15039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [15041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11493),
  [15043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10145),
  [15045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6857),
  [15047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7263),
  [15049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7512),
  [15051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7315),
  [15053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7315),
  [15055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7334),
  [15057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [15059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [15061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7553),
  [15063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7173),
  [15065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [15067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [15069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [15071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [15073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17648),
  [15075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15689),
  [15077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18388),
  [15079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [15081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [15083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [15085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11543),
  [15087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10249),
  [15089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6215),
  [15091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9246),
  [15093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9636),
  [15095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9720),
  [15097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9597),
  [15099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9597),
  [15101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9642),
  [15103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9636),
  [15105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9428),
  [15107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9604),
  [15109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [15111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9642),
  [15113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17937),
  [15115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15476),
  [15117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18430),
  [15119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7135),
  [15121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8281),
  [15123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8278),
  [15125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [15127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7933),
  [15129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7844),
  [15131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8281),
  [15133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7239),
  [15135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8432),
  [15137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [15139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [15141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18147),
  [15143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15539),
  [15145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18710),
  [15147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7080),
  [15149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8267),
  [15151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8264),
  [15153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [15155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8317),
  [15157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7999),
  [15159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [15161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [15163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7834),
  [15165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7370),
  [15167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [15169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8396),
  [15171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [15173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [15175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17697),
  [15177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15565),
  [15179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18664),
  [15181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11596),
  [15183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11713),
  [15185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11597),
  [15187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11597),
  [15189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11588),
  [15191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11596),
  [15193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11711),
  [15195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11711),
  [15197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11278),
  [15199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11712),
  [15201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11713),
  [15203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11588),
  [15205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18201),
  [15207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15827),
  [15209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18763),
  [15211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7149),
  [15213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7816),
  [15215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7740),
  [15217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [15219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7942),
  [15221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7899),
  [15223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [15225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7287),
  [15227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [15229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [15231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [15233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17706),
  [15235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15542),
  [15237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18719),
  [15239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [15241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [15243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [15245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11481),
  [15247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10297),
  [15249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6813),
  [15251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [15253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [15255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [15257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11490),
  [15259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10169),
  [15261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6430),
  [15263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [15265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [15267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [15269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [15271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [15273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [15275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [15277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [15279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [15281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11527),
  [15283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10291),
  [15285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12514),
  [15287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6670),
  [15289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7168),
  [15291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7000),
  [15293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [15295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7078),
  [15297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7151),
  [15299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [15301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [15303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7073),
  [15305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6840),
  [15307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [15309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [15311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [15313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [15315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17625),
  [15317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15581),
  [15319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18250),
  [15321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [15323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [15325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [15327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11574),
  [15329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10316),
  [15331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7451),
  [15333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [15335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [15337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [15339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11560),
  [15341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10152),
  [15343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5778),
  [15345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [15347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [15349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [15351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [15353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4786),
  [15355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [15357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [15359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [15361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [15363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11580),
  [15365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10137),
  [15367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7152),
  [15369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7178),
  [15371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8371),
  [15373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8384),
  [15375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [15377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8133),
  [15379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7991),
  [15381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8371),
  [15383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7250),
  [15385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [15387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [15389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [15391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17586),
  [15393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15516),
  [15395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18667),
  [15397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10332),
  [15399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [15401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10415),
  [15403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10429),
  [15405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10418),
  [15407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10378),
  [15409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10451),
  [15411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10437),
  [15413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10445),
  [15415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [15417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10484),
  [15419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [15421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10466),
  [15423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10462),
  [15425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [15427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10630),
  [15429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10522),
  [15431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [15433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16844),
  [15435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16845),
  [15437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10651),
  [15439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10716),
  [15441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3388),
  [15443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16599),
  [15445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16600),
  [15447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [15449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3336),
  [15451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [15453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10541),
  [15455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10848),
  [15457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3372),
  [15459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16443),
  [15461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16444),
  [15463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [15465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16746),
  [15467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16747),
  [15469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [15471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [15473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [15475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3364),
  [15477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16682),
  [15479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16683),
  [15481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [15483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3365),
  [15485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10536),
  [15487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [15489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [15491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [15493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16611),
  [15495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16612),
  [15497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [15499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [15501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3327),
  [15503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [15505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [15507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14527),
  [15509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [15511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18244),
  [15513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15597),
  [15515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18255),
  [15517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16582),
  [15519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16583),
  [15521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [15523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10318),
  [15525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14500),
  [15527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3839),
  [15529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18394),
  [15531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15703),
  [15533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18456),
  [15535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3484),
  [15537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16335),
  [15539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16353),
  [15541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [15543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10319),
  [15545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14490),
  [15547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3687),
  [15549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18584),
  [15551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15545),
  [15553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18631),
  [15555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14565),
  [15557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3667),
  [15559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3395),
  [15561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [15563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [15565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(4189),
  [15568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [15570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16470),
  [15572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16471),
  [15574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [15576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [15578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14530),
  [15580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [15582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [15584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [15586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3440),
  [15588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10901),
  [15590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [15592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [15594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [15596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [15598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [15600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10694),
  [15602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [15606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [15608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [15610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [15612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [15614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [15616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [15618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [15620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [15622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14507),
  [15624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3874),
  [15626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [15628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [15630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [15632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [15634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [15636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [15638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [15640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [15642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [15644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [15646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [15648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__primary_expression, 1, 0, 0), SHIFT(4293),
  [15651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [15653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [15655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10317),
  [15657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14518),
  [15659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [15661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_statement_repeat1, 2, 0, 0),
  [15663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_statement_repeat1, 2, 0, 0),
  [15665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3473),
  [15667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14525),
  [15669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [15671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10320),
  [15673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14541),
  [15675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3575),
  [15677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3332),
  [15679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [15681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10321),
  [15683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14519),
  [15685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3711),
  [15687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [15689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14461),
  [15691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4178),
  [15693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2092),
  [15695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10322),
  [15697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14463),
  [15699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3983),
  [15701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [15703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [15705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14566),
  [15707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [15709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14529),
  [15711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [15713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14521),
  [15715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [15717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [15719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10991),
  [15721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [15723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [15725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10532),
  [15727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14553),
  [15729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18379),
  [15731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15540),
  [15733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18472),
  [15735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [15737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11121),
  [15739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [15741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14526),
  [15743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [15745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2243),
  [15747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4066),
  [15749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10047),
  [15751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10066),
  [15753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [15755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [15757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3323),
  [15759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4293),
  [15761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3370),
  [15763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [15765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [15767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10739),
  [15769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14580),
  [15771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18482),
  [15773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15564),
  [15775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18483),
  [15777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10325),
  [15779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14506),
  [15781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4216),
  [15783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [15785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__do_parameter_list_repeat1, 2, 0, 0),
  [15787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__do_parameter_list_repeat1, 2, 0, 0),
  [15789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10323),
  [15791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14482),
  [15793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3534),
  [15795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [15797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14475),
  [15799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3966),
  [15801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3387),
  [15803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14491),
  [15805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4441),
  [15807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [15809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10324),
  [15811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14520),
  [15813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [15815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3191),
  [15817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14508),
  [15819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [15821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [15823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [15825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16572),
  [15827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16573),
  [15829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3396),
  [15831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [15833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [15835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [15837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [15839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3379),
  [15841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [15843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [15845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11259),
  [15847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [15849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [15851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [15853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [15855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [15857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16822),
  [15859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16823),
  [15861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [15863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11085),
  [15865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [15867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16677),
  [15869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16678),
  [15871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [15873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4226),
  [15875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [15877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [15879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [15881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [15883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11030),
  [15885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [15887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16816),
  [15889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16817),
  [15891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11446),
  [15893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16892),
  [15895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16893),
  [15897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [15899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [15901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [15903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [15905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [15907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11777),
  [15909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [15911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [15913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14522),
  [15915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [15917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16741),
  [15919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16742),
  [15921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16866),
  [15923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16867),
  [15925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11714),
  [15927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11195),
  [15929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14524),
  [15931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [15933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16673),
  [15935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16674),
  [15937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16830),
  [15939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16831),
  [15941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16714),
  [15943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16715),
  [15945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [15947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10326),
  [15949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14466),
  [15951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [15953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16710),
  [15955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16711),
  [15957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16870),
  [15959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16871),
  [15961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11958),
  [15963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16630),
  [15965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16631),
  [15967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14473),
  [15969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [15971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [15973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10329),
  [15975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [15977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3374),
  [15979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [15981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11375),
  [15983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [15985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [15987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [15989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11966),
  [15991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9985),
  [15993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [15995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [15997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [15999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10017),
  [16001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10017),
  [16003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10009),
  [16005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10043),
  [16007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10057),
  [16009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12521),
  [16011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14312),
  [16013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [16015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10757),
  [16017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [16019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [16021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [16023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11073),
  [16025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10458),
  [16027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [16029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [16031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [16033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [16035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [16037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [16039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [16041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [16043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [16045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [16047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [16049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [16051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7032),
  [16053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [16055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [16057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10693),
  [16059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [16061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [16063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [16065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [16067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [16069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [16071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [16073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [16075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [16077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [16079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [16081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7841),
  [16083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [16085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18428),
  [16087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [16089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [16091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [16093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [16095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11941),
  [16097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [16099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [16101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [16103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [16105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7268),
  [16107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [16109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [16111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10768),
  [16113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10440),
  [16115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [16117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [16119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [16121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [16123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16655),
  [16125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16656),
  [16127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [16129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [16131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [16133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [16135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [16137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7544),
  [16139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11775),
  [16141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [16143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [16145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [16147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11475),
  [16149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14489),
  [16151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18625),
  [16153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15697),
  [16155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18626),
  [16157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [16159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11995),
  [16161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [16163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [16165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [16167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12322),
  [16169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [16171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [16173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11299),
  [16175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [16177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [16179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [16181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [16183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [16185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [16187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [16189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [16191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [16193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [16195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [16197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [16199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7276),
  [16201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [16203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12028),
  [16205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [16207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [16209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11215),
  [16211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [16213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [16215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [16217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [16219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [16221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [16223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [16225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [16227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6989),
  [16229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5461),
  [16231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [16233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [16235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [16237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [16239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6857),
  [16241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [16243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [16245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [16247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7274),
  [16249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10444),
  [16251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [16253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12302),
  [16255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14888),
  [16257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [16259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [16261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [16263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [16265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15436),
  [16267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [16269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [16271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [16273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [16275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [16277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [16279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5314),
  [16281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [16283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [16285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [16287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [16289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [16291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [16293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [16295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [16297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [16299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [16301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7194),
  [16303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [16305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16275),
  [16307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [16309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [16311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [16313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9246),
  [16315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [16317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [16319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [16321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [16323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [16325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [16327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [16329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9424),
  [16331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [16333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [16335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [16337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [16339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [16341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [16343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [16345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [16347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11373),
  [16349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [16351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [16353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [16355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11928),
  [16357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11928),
  [16359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11486),
  [16361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11929),
  [16363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11791),
  [16365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [16367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3394),
  [16369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [16371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [16373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16669),
  [16375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16670),
  [16377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16776),
  [16379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16777),
  [16381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10912),
  [16383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16618),
  [16385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16619),
  [16387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16722),
  [16389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16723),
  [16391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16834),
  [16393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16835),
  [16395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3463),
  [16397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [16399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [16401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [16403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11129),
  [16405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14548),
  [16407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18437),
  [16409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15498),
  [16411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18441),
  [16413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14549),
  [16415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11937),
  [16417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16510),
  [16419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16511),
  [16421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14554),
  [16423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14284),
  [16425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14284),
  [16428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15358),
  [16430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12521),
  [16433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11226),
  [16435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14561),
  [16437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18743),
  [16439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15672),
  [16441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18746),
  [16443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11845),
  [16445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14535),
  [16447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18409),
  [16449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15560),
  [16451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18413),
  [16453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16532),
  [16455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16533),
  [16457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16639),
  [16459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16640),
  [16461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14543),
  [16463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14547),
  [16465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14550),
  [16467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14551),
  [16469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12230),
  [16471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16878),
  [16473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16879),
  [16475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14539),
  [16477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14540),
  [16479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14564),
  [16481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10153),
  [16483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11786),
  [16485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16820),
  [16487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16821),
  [16489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16890),
  [16491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16891),
  [16493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16814),
  [16495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16815),
  [16497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14531),
  [16499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14560),
  [16501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14562),
  [16503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14479),
  [16505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11085),
  [16507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17822),
  [16509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14291),
  [16511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11662),
  [16513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13802),
  [16515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16754),
  [16517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16755),
  [16519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11786),
  [16521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18029),
  [16523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14028),
  [16525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11660),
  [16527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13837),
  [16529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16818),
  [16531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16819),
  [16533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [16535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [16537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17705),
  [16539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14299),
  [16541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11509),
  [16543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13783),
  [16545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [16547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18175),
  [16549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14197),
  [16551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11479),
  [16553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13736),
  [16555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [16557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17612),
  [16559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13976),
  [16561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11545),
  [16563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13684),
  [16565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [16567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17653),
  [16569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14119),
  [16571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11459),
  [16573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13728),
  [16575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12230),
  [16577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17980),
  [16579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14323),
  [16581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11666),
  [16583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13845),
  [16585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16846),
  [16587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16847),
  [16589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16737),
  [16591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16738),
  [16593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9500),
  [16595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18081),
  [16597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14018),
  [16599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11573),
  [16601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13677),
  [16603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16810),
  [16605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16811),
  [16607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16828),
  [16609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16829),
  [16611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16888),
  [16613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16889),
  [16615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16864),
  [16617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16865),
  [16619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18216),
  [16621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11683),
  [16623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13825),
  [16625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14536),
  [16627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18165),
  [16629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11685),
  [16631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13830),
  [16633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [16635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18088),
  [16637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14268),
  [16639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11524),
  [16641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13775),
  [16643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18217),
  [16645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11701),
  [16647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13844),
  [16649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18197),
  [16651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11734),
  [16653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13838),
  [16655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18218),
  [16657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11705),
  [16659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13848),
  [16661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18203),
  [16663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11745),
  [16665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13840),
  [16667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [16669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17673),
  [16671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13998),
  [16673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11565),
  [16675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13738),
  [16677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18219),
  [16679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11441),
  [16681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13853),
  [16683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17941),
  [16685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11708),
  [16687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13805),
  [16689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12502),
  [16691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14552),
  [16693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [16695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18154),
  [16697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13958),
  [16699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11542),
  [16701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13824),
  [16703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7622),
  [16705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18167),
  [16707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14266),
  [16709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11488),
  [16711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13850),
  [16713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12331),
  [16715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16732),
  [16717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16733),
  [16719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14745),
  [16721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [16723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [16725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [16727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [16729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [16731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [16733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10183),
  [16735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11405),
  [16737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [16739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [16741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [16743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [16745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [16747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [16749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [16751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [16753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [16755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4282),
  [16757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4284),
  [16759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4286),
  [16761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [16763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [16765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [16767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16826),
  [16769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16827),
  [16771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16862),
  [16773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16863),
  [16775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [16777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [16779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [16781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [16783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10776),
  [16785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [16787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [16789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [16791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [16793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [16795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10350),
  [16797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [16799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [16801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [16803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16647),
  [16805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16648),
  [16807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [16809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [16811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [16813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [16815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [16817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [16819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14544),
  [16821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12441),
  [16823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12379),
  [16825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14199),
  [16827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12211),
  [16829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12490),
  [16831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14051),
  [16833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [16835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10469),
  [16837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [16839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16772),
  [16841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16773),
  [16843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [16845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [16847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [16849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [16851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [16853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [16855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [16857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15457),
  [16859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16664),
  [16861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16665),
  [16863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [16865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [16867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [16869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [16871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [16873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [16875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12278),
  [16877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12504),
  [16879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14062),
  [16881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12285),
  [16883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15375),
  [16885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [16887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [16889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [16891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [16893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [16895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [16897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [16899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [16901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [16903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [16905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17413),
  [16907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [16909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [16911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10390),
  [16913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [16915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4147),
  [16918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [16920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [16922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [16924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [16926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [16928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16660),
  [16930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16661),
  [16932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [16934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10925),
  [16936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [16938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3689),
  [16940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__block, 1, 0, 0),
  [16942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [16944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3860),
  [16946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [16948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10259),
  [16950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12037),
  [16952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [16954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [16956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [16958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [16960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3864),
  [16962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3865),
  [16964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3866),
  [16966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [16968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3868),
  [16970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3869),
  [16972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3870),
  [16974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [16976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3872),
  [16978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [16980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [16982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [16984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10714),
  [16986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [16988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [16990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [16992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [16994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [16996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7955),
  [16998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [17000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [17002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [17004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [17006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14188),
  [17008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [17010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [17012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [17014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [17016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [17018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [17020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [17022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [17024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11867),
  [17026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [17028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [17030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [17032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [17034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [17036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10133),
  [17038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12649),
  [17040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3236),
  [17042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3861),
  [17044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [17046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3882),
  [17048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3883),
  [17050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3884),
  [17052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [17054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [17056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [17058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3888),
  [17060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3889),
  [17062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3890),
  [17064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3891),
  [17066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3892),
  [17068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [17070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [17072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [17074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [17076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [17078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11924),
  [17080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [17082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [17084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11943),
  [17086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [17088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [17090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [17092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [17094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [17096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [17098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [17100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [17102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [17104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7494),
  [17106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [17108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [17110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [17112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [17114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [17116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [17118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [17120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [17122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [17124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [17126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [17128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [17130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [17132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [17134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [17136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [17138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [17140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [17142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [17144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [17146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [17148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [17150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [17152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [17154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11630),
  [17156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [17158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [17160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [17162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [17164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [17166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10021),
  [17168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [17170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [17172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11104),
  [17174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [17176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [17178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [17180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [17182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15466),
  [17184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3791),
  [17187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [17189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [17191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [17193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [17195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [17197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [17199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [17201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [17203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [17205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [17207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [17209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [17211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3261),
  [17213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [17215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [17217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [17219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [17221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [17223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [17225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [17227] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3689),
  [17230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12471),
  [17232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14021),
  [17234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14542),
  [17236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [17238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [17240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [17242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [17244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [17246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4098),
  [17248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [17250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10210),
  [17252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [17254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [17256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [17258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [17260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [17262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [17264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4099),
  [17266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [17268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [17270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4127),
  [17272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4128),
  [17274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4129),
  [17276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [17278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [17280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [17282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [17284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [17286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5885),
  [17288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [17290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [17294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14048),
  [17296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [17298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [17300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [17302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14048),
  [17305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12490),
  [17308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [17310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [17312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18622),
  [17314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [17316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [17318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12303),
  [17320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [17322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12512),
  [17324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14068),
  [17326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [17328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12407),
  [17330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [17332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [17334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [17336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [17338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [17340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12522),
  [17342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14087),
  [17344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16643),
  [17346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16644),
  [17348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [17350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [17352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [17354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [17356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [17358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [17360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [17362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [17364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [17366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14188),
  [17369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [17371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [17373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [17375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [17377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16767),
  [17379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16768),
  [17381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [17383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9690),
  [17385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [17387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [17389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [17391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [17393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12531),
  [17395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14464),
  [17397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18487),
  [17399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15570),
  [17401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18488),
  [17403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [17405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [17407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [17409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [17411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [17413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9332),
  [17415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [17417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12379),
  [17420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11140),
  [17424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [17428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [17430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8991),
  [17432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [17434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [17436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [17438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [17440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [17442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10505),
  [17444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [17446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [17448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [17450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [17452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [17454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10623),
  [17456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [17458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [17460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12268),
  [17462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [17464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [17466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [17468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [17470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14061),
  [17472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [17474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [17476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [17478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15254),
  [17480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [17482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11101),
  [17484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [17486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14061),
  [17489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12504),
  [17492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12291),
  [17494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12295),
  [17496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15380),
  [17498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15446),
  [17500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15464),
  [17502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15460),
  [17504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15465),
  [17506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15469),
  [17508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 3, 0, 0),
  [17510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 3, 0, 0),
  [17512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [17514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [17516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3558),
  [17519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [17521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [17523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15467),
  [17525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [17527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [17529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [17531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [17533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [17535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [17537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [17539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [17541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [17543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3878),
  [17545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3897),
  [17547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [17549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10263),
  [17551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3238),
  [17553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [17555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [17557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [17559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3904),
  [17561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3905),
  [17563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3906),
  [17565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3907),
  [17567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3908),
  [17569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [17571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3923),
  [17573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3924),
  [17575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3925),
  [17577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3926),
  [17579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [17581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [17583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [17585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [17587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4193),
  [17589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [17591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [17593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [17595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [17597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [17599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [17601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4068),
  [17604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [17606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [17608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4193),
  [17611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [17613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [17615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3967),
  [17617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3968),
  [17619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3987),
  [17621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [17623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10266),
  [17625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [17627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [17629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3989),
  [17631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3990),
  [17633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3991),
  [17635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3992),
  [17637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3993),
  [17639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3994),
  [17641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [17643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [17645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3997),
  [17647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [17649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3999),
  [17651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4000),
  [17653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [17655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12447),
  [17657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14126),
  [17659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12256),
  [17661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [17663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [17665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [17667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [17669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [17671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [17673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [17675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4448),
  [17677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [17679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [17681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [17683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [17685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [17687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [17689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [17691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4266),
  [17693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [17695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [17697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4273),
  [17699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4274),
  [17701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [17703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [17705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [17707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [17709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4021),
  [17711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4253),
  [17713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10255),
  [17715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3240),
  [17717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [17719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4042),
  [17721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4262),
  [17723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4263),
  [17725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [17727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [17729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4142),
  [17731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4143),
  [17733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [17735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [17737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4155),
  [17739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [17741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [17743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [17745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [17747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [17749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [17751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4024),
  [17753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [17755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4106),
  [17757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [17759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [17761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [17763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [17765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [17767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [17769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [17771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4110),
  [17773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [17775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [17777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [17779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4118),
  [17781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4119),
  [17783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [17785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [17787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [17789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [17791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [17793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [17795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [17797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [17799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [17801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [17803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16876),
  [17805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16877),
  [17807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [17809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [17811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [17813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12413),
  [17815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14296),
  [17817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [17819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [17821] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3967),
  [17824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [17826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [17828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [17830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [17832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [17834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [17836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0),
  [17838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0),
  [17840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14016),
  [17842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14016),
  [17845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12471),
  [17848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [17850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [17852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [17854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [17856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [17858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [17860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [17862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [17864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [17866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [17868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14065),
  [17870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14065),
  [17873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12512),
  [17876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14082),
  [17878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [17880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14082),
  [17883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12522),
  [17886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [17888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12233),
  [17890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12434),
  [17892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13883),
  [17894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12245),
  [17896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15318),
  [17898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [17900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [17902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [17904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [17906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [17908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [17910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [17912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [17914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [17916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [17918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15387),
  [17920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [17922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [17924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [17926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15462),
  [17928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3858),
  [17931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [17933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4336),
  [17935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [17937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [17939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [17941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [17943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [17945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [17947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [17949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4337),
  [17951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [17953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [17955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4360),
  [17957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4361),
  [17959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4362),
  [17961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [17963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [17965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [17967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [17969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [17971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14102),
  [17974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3895),
  [17977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3557),
  [17979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3688),
  [17981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [17983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [17985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10224),
  [17987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [17989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3755),
  [17991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3772),
  [17993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [17995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [17997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [17999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3857),
  [18001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3875),
  [18003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [18005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [18007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [18009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3963),
  [18011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3964),
  [18013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3965),
  [18015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [18017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3652),
  [18019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [18021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [18023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [18025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [18027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3683),
  [18029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3684),
  [18031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [18033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3686),
  [18035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [18037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [18039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3703),
  [18041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [18043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3705),
  [18045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [18047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3707),
  [18049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3708),
  [18051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3709),
  [18053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3673),
  [18055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [18057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [18059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [18061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [18063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3678),
  [18065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12447),
  [18068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16874),
  [18070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16875),
  [18072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3557),
  [18075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14102),
  [18077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [18079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [18081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3498),
  [18083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10286),
  [18085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3301),
  [18087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [18089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [18091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3537),
  [18093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3984),
  [18095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4005),
  [18097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4006),
  [18099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4190),
  [18101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [18103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [18105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4343),
  [18107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4396),
  [18109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4411),
  [18111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4438),
  [18113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14288),
  [18115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14288),
  [18118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12413),
  [18121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [18124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [18126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4442),
  [18128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [18130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [18132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [18134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [18136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [18138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [18140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4443),
  [18142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [18144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [18146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4459),
  [18148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4460),
  [18150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4461),
  [18152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [18154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [18156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [18158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [18160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15299),
  [18162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3674),
  [18164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [18166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [18168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3701),
  [18170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [18172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block, 1, 0, 0),
  [18174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [18176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [18178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [18180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3496),
  [18183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 0), SHIFT(2613),
  [18186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 0), REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [18189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13881),
  [18191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [18193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(13881),
  [18196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12434),
  [18199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [18201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15452),
  [18203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15366),
  [18205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT(2613),
  [18208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3730),
  [18210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [18212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3732),
  [18214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3733),
  [18216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3734),
  [18218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [18220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [18222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [18224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3573),
  [18226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3574),
  [18228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3696),
  [18230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [18232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3728),
  [18234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [18236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [18238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [18240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3723),
  [18242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [18244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [18246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3726),
  [18248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2, 0, 0),
  [18250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4366),
  [18252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [18254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [18256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [18258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [18260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [18262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [18264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4232),
  [18266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [18268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [18270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4239),
  [18272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4240),
  [18274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4241),
  [18276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [18278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [18280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [18282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4049),
  [18284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [18286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [18288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [18290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [18292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3590),
  [18294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [18296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [18298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [18300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [18302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4050),
  [18304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [18306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [18308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [18310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [18312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [18314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [18316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3560),
  [18318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [18320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3568),
  [18322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3569),
  [18324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [18326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [18328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [18330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [18332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3584),
  [18334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3585),
  [18336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4505),
  [18338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [18340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [18342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [18344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [18346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [18348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [18350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4493),
  [18352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [18354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [18356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4499),
  [18358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4500),
  [18360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4501),
  [18362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [18364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [18366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [18368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4508),
  [18370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [18372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [18374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [18376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [18378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [18380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [18382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [18384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4344),
  [18386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [18388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [18390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4351),
  [18392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [18394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4353),
  [18396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [18398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [18400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [18402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [18404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [18406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3804),
  [18408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3805),
  [18410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3806),
  [18412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [18414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3808),
  [18416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [18418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3810),
  [18420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [18422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3777),
  [18424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3800),
  [18426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [18428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3802),
  [18430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [18432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12480),
  [18434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14039),
  [18436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12272),
  [18438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15369),
  [18440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4001),
  [18442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [18444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [18446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [18448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [18450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [18452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [18454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [18456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3910),
  [18458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [18460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [18462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [18464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3918),
  [18466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3919),
  [18468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [18470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [18472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [18474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4211),
  [18476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4212),
  [18478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [18480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(3541),
  [18483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4397),
  [18485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [18487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [18489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [18491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [18493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [18495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [18497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [18499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4398),
  [18501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [18503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [18505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4390),
  [18507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4391),
  [18509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [18511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [18513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [18515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [18517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [18519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [18521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [18523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10198),
  [18525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [18527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [18529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [18531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [18533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [18535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [18537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3635),
  [18539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [18541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [18543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4091),
  [18545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4092),
  [18547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4093),
  [18549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [18551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [18553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [18555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [18557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4075),
  [18559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4076),
  [18561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [18563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [18565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4198),
  [18567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4199),
  [18569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4205),
  [18571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4206),
  [18573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [18575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4208),
  [18577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4209),
  [18579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [18581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [18583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [18585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [18587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [18589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [18591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [18593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [18595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [18597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [18599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4008),
  [18601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [18603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [18605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4015),
  [18607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4016),
  [18609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4017),
  [18611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [18613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [18615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [18617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3519),
  [18619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [18621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [18623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [18625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3527),
  [18627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3528),
  [18629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [18631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [18633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3531),
  [18635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3532),
  [18637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3533),
  [18639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [18641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [18643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [18645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [18647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8043),
  [18649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [18651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [18653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [18655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17133),
  [18657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [18659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4201),
  [18661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [18663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [18665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4204),
  [18667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18359),
  [18669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4081),
  [18671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [18673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [18675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4074),
  [18677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [18679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4082),
  [18681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [18683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [18685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [18687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [18689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [18691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_open_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(4025),
  [18694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [18696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [18698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3523),
  [18700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3524),
  [18702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3525),
  [18704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9151),
  [18706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [18708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [18710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3522),
  [18712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [18714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [18716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14037),
  [18718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(14037),
  [18721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 0), SHIFT_REPEAT(12480),
  [18724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [18726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9598),
  [18728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15377),
  [18730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [18732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [18734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [18736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [18738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [18740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [18742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [18744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13979),
  [18746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11564),
  [18748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13708),
  [18750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [18752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5966),
  [18754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [18756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14015),
  [18758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11572),
  [18760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13831),
  [18762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [18764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11678),
  [18766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13823),
  [18768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4320),
  [18770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [18772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [18774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [18776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [18778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [18780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [18782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [18784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [18786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [18788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [18790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4313),
  [18792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4314),
  [18794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4315),
  [18796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [18798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [18800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [18802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [18804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [18806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [18808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11482),
  [18810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13740),
  [18812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [18814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [18816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11012),
  [18818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [18820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [18822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [18824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [18826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [18828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [18830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [18832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [18834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [18836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [18838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [18840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [18842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [18844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [18846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [18848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [18850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [18852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [18854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [18856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [18858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [18860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [18862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3073),
  [18864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14185),
  [18866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11523),
  [18868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13702),
  [18870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [18872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_vector_expression_repeat1, 2, 0, 0),
  [18874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [18876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17518),
  [18878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11450),
  [18880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13676),
  [18882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [18884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7636),
  [18886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3226),
  [18888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13878),
  [18890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11541),
  [18892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13705),
  [18894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [18896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [18898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13711),
  [18900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [18902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [18904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2414),
  [18906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [18908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14083),
  [18910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11457),
  [18912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13788),
  [18914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [18916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [18918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10027),
  [18920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [18922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [18924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [18926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [18928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14241),
  [18930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11485),
  [18932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13688),
  [18934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [18936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [18938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [18940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [18942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [18944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [18946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [18948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [18950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [18952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [18954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [18956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10972),
  [18958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [18960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14278),
  [18962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11502),
  [18964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13803),
  [18966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [18968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [18970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [18972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11693),
  [18974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13842),
  [18976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [18978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [18980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [18982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [18984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [18986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [18988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2998),
  [18990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [18992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [18994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [18996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [18998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13960),
  [19000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11544),
  [19002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13795),
  [19004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [19006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [19008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [19010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [19012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11695),
  [19014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13835),
  [19016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [19018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [19020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [19022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11704),
  [19024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13847),
  [19026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [19028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [19030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [19032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [19034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10652),
  [19036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [19038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [19040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [19042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [19044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11738),
  [19046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13839),
  [19048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3152),
  [19050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11706),
  [19052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13852),
  [19054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [19056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [19058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [19060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10373),
  [19062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [19064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [19066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11707),
  [19068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13854),
  [19070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [19072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [19074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [19076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [19078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [19080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [19082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [19084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11655),
  [19086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13739),
  [19088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [19090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [19092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [19094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [19096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [19098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [19100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [19102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [19104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [19106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [19108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [19110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [19112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [19114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [19116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11792),
  [19118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [19120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [19122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [19124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [19126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [19128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [19130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [19132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [19134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [19136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [19138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2446),
  [19140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [19142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [19144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [19146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [19148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [19150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2821),
  [19152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [19154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [19156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [19158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [19160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [19162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14169),
  [19164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11477),
  [19166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13791),
  [19168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [19170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [19172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11856),
  [19174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [19176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [19178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [19180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [19182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [19184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [19186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [19188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [19190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [19192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [19194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [19196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10990),
  [19198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [19200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [19202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [19204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18580),
  [19206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [19208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [19210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [19212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [19214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12560),
  [19216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [19218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10638),
  [19220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [19222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [19224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [19226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [19228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [19230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [19232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [19234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [19236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [19238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [19240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [19242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [19244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [19246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [19248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [19250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9672),
  [19252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [19254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11202),
  [19256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [19258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [19260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [19262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 0),
  [19264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [19266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [19268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [19270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [19272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [19274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [19276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [19278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9108),
  [19280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11676),
  [19282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13806),
  [19284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [19286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11904),
  [19288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [19290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [19292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12279),
  [19294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_field, 3, 0, 0),
  [19296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3201),
  [19298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3313),
  [19300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [19302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [19304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11619),
  [19306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [19308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [19310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [19312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [19314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [19316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0),
  [19318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [19320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [19322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [19324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [19326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [19328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [19330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6057),
  [19332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [19334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [19336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [19338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [19340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [19342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3246),
  [19344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [19346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [19348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [19350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [19352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9557),
  [19354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [19356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [19358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [19360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [19362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [19364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10592),
  [19366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [19368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [19370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4331),
  [19372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [19374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [19376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [19378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [19380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [19382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [19384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [19386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4162),
  [19388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [19390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [19392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4170),
  [19394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [19396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4172),
  [19398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [19400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [19402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [19404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4439),
  [19406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [19408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [19410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4420),
  [19412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4421),
  [19414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4422),
  [19416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [19418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [19420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [19422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [19424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [19426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [19428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [19430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [19432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4426),
  [19434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4491),
  [19436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [19438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [19440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [19442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [19444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [19446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [19448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [19450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4479),
  [19452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [19454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [19456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4329),
  [19458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4330),
  [19460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [19462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [19464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [19466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [19468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [19470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3543),
  [19472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [19474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [19476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [19478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [19480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [19482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [19484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [19486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [19488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [19490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [19492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [19494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [19496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [19498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [19500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [19502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3650),
  [19504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3651),
  [19506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [19508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [19510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3670),
  [19512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10278),
  [19514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18591),
  [19516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3986),
  [19518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [19520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [19522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [19524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [19526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [19528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [19530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [19532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3691),
  [19534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [19536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [19538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [19540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3616),
  [19542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3617),
  [19544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [19546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [19548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [19550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [19552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [19554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3576),
  [19556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [19558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [19560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3633),
  [19562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10244),
  [19564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18294),
  [19566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10239),
  [19568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18778),
  [19570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [19572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [19574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [19576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [19578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [19580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [19582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10186),
  [19584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18377),
  [19586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10216),
  [19588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10151),
  [19590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18502),
  [19592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10147),
  [19594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18350),
  [19596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10187),
  [19598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18706),
  [19600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10148),
  [19602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18476),
  [19604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17211),
  [19606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10155),
  [19608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18704),
  [19610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10158),
  [19612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10243),
  [19614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18543),
  [19616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10281),
  [19618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18439),
  [19620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10159),
  [19622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18275),
  [19624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10231),
  [19626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18290),
  [19628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10287),
  [19630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18592),
  [19632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10253),
  [19634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18751),
  [19636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17165),
  [19638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10302),
  [19640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18635),
  [19642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10229),
  [19644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18752),
  [19646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10298),
  [19648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10199),
  [19650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10228),
  [19652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18692),
  [19654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10160),
  [19656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10130),
  [19658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18694),
  [19660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10312),
  [19662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18597),
  [19664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10280),
  [19666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18703),
  [19668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10222),
  [19670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18735),
  [19672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10306),
  [19674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18226),
  [19676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10138),
  [19678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18539),
  [19680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10134),
  [19682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10211),
  [19684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10200),
  [19686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10177),
  [19688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18445),
  [19690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10237),
  [19692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18538),
  [19694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10236),
  [19696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18756),
  [19698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10285),
  [19700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18425),
  [19702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10136),
  [19704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18478),
  [19706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10173),
  [19708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18781),
  [19710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10150),
  [19712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18264),
  [19714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10176),
  [19716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10179),
  [19718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18522),
  [19720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10192),
  [19722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10193),
  [19724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10194),
  [19726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10146),
  [19728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18474),
  [19730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10204),
  [19732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10205),
  [19734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10206),
  [19736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10214),
  [19738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10219),
  [19740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10166),
  [19742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10240),
  [19744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10284),
  [19746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18649),
  [19748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10301),
  [19750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18237),
  [19752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10188),
  [19754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10201),
  [19756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10212),
  [19758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10217),
  [19760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10141),
  [19762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18408),
  [19764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16730),
  [19766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17307),
  [19768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10226),
  [19770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18462),
  [19772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10245),
  [19774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10307),
  [19776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [19778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [19780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [19782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [19784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [19786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [19788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [19790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [19792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [19794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [19796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10286),
  [19798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12037),
  [19800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10168),
  [19802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [19804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clause_repeat1, 2, 0, 0),
  [19806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(4227),
  [19809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(2613),
  [19812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [19814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clause, 1, 0, 0),
  [19816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(3503),
  [19819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [19821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10352),
  [19823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10499),
  [19825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [19827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10775),
  [19829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [19831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [19833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [19835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clause, 2, 0, 0),
  [19837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [19839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [19841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [19843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [19845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [19847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [19849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [19851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [19853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2685),
  [19856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [19858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, 0, 0),
  [19860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 2, 0, 0),
  [19862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8686),
  [19864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [19866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11558),
  [19868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10163),
  [19870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [19872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17724),
  [19874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16376),
  [19876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [19878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18070),
  [19880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17129),
  [19882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17826),
  [19884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17171),
  [19886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [19888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18206),
  [19890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17189),
  [19892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [19894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [19896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [19900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [19902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9103),
  [19904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [19906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [19908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [19910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5928),
  [19912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5930),
  [19914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [19916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [19918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5894),
  [19920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7987),
  [19922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7994),
  [19924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [19926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12271),
  [19928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12273),
  [19930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12286),
  [19932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12287),
  [19934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [19936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [19938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16872),
  [19940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16873),
  [19942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11615),
  [19944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11616),
  [19946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11621),
  [19948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11622),
  [19950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [19952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [19954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [19956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [19958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [19960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [19962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [19964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [19966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [19968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [19970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [19972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [19974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [19976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [19978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [19980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [19982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [19984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [19986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [19988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [19990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [19992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [19994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [19996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8402),
  [19998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [20000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [20002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [20004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [20006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [20008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [20010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [20012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [20014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [20016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [20018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [20020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11559),
  [20022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10289),
  [20024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [20026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [20028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [20030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [20032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [20034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [20036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7621),
  [20038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [20040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8407),
  [20042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [20044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [20046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [20048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [20050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [20052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [20054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [20056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [20058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [20060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [20062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [20064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [20066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [20068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5933),
  [20070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5953),
  [20072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [20074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [20076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [20078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [20080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [20082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [20084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [20086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11554),
  [20088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10172),
  [20090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [20092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [20094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [20096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [20098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [20100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [20102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [20104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [20106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [20108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11787),
  [20110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [20112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [20114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11788),
  [20116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [20118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [20120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [20122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [20124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [20126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [20128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11586),
  [20130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10279),
  [20132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [20134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [20136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [20138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [20140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [20142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [20144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [20146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [20148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11798),
  [20150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11799),
  [20152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [20154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [20156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [20158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [20160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [20162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [20164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [20166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9502),
  [20168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [20170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [20172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [20174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [20176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [20178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [20180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [20182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [20184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [20186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [20188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11532),
  [20190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10225),
  [20192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [20194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [20196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5975),
  [20198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5978),
  [20200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [20202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [20204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(1437),
  [20207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(2854),
  [20210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [20212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [20214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [20216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [20218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [20220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [20222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9427),
  [20224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [20226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17501),
  [20228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17502),
  [20230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17521),
  [20232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17523),
  [20234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [20236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [20238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9019),
  [20240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9020),
  [20242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [20244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [20246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [20248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7596),
  [20250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [20252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [20254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [20256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [20258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [20260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [20262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9300),
  [20264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [20266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [20268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [20270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [20272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9470),
  [20274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6476),
  [20276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [20278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [20280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [20282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [20284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [20286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [20288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [20290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [20292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9886),
  [20294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [20296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [20298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [20300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [20302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [20304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [20306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [20308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [20310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [20312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [20314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18564),
  [20316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18567),
  [20318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18586),
  [20320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18590),
  [20322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [20324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [20326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [20328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [20330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [20332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9674),
  [20334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9718),
  [20336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9661),
  [20338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [20340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [20342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11402),
  [20344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11318),
  [20346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9888),
  [20348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(17724),
  [20351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(16376),
  [20354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [20356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9490),
  [20358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9527),
  [20360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat2, 2, 0, 0), SHIFT_REPEAT(18070),
  [20363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat2, 2, 0, 0), SHIFT_REPEAT(17129),
  [20366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat2, 2, 0, 0),
  [20368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9398),
  [20370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9495),
  [20372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [20374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [20376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(17826),
  [20379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(17171),
  [20382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_literal_repeat1, 2, 0, 0),
  [20384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_literal_repeat2, 2, 0, 0), SHIFT_REPEAT(18206),
  [20387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_literal_repeat2, 2, 0, 0), SHIFT_REPEAT(17189),
  [20390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_literal_repeat2, 2, 0, 0),
  [20392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [20394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [20396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [20398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6971),
  [20400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [20402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [20404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [20406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [20408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [20410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [20412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [20414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11106),
  [20416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11115),
  [20418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11089),
  [20420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11094),
  [20422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8449),
  [20424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [20426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [20428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [20430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [20432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [20434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11568),
  [20436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10139),
  [20438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [20440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [20442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [20444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11587),
  [20446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10293),
  [20448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9063),
  [20450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [20452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9728),
  [20454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8579),
  [20456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [20458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [20460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [20462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10393),
  [20464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10361),
  [20466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9100),
  [20468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10551),
  [20470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12023),
  [20472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8634),
  [20474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [20476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11006),
  [20478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11007),
  [20480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11019),
  [20482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11020),
  [20484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [20486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [20488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11569),
  [20490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10252),
  [20492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [20494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [20496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [20498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [20500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clause_repeat1, 1, 0, 0),
  [20502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12087),
  [20504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [20506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [20508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [20510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10959),
  [20512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10868),
  [20514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [20516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10632),
  [20518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10503),
  [20520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10580),
  [20522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10550),
  [20524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [20526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [20528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11570),
  [20530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10189),
  [20532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [20534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [20536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9857),
  [20538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [20540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11241),
  [20542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11247),
  [20544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [20546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10878),
  [20548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10929),
  [20550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12071),
  [20552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [20554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [20556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [20558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [20560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [20562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [20564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [20566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [20568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [20570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11571),
  [20572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10294),
  [20574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [20576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11190),
  [20578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11204),
  [20580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11553),
  [20582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10295),
  [20584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10519),
  [20586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8808),
  [20588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8809),
  [20590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [20592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [20594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11537),
  [20596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10161),
  [20598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [20600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [20602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [20604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [20606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [20608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8833),
  [20610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [20612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [20614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [20616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [20618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8867),
  [20620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [20622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8869),
  [20624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [20626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [20628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11575),
  [20630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10315),
  [20632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [20634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8902),
  [20636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11894),
  [20638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [20640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12127),
  [20642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11555),
  [20644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10178),
  [20646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12058),
  [20648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11895),
  [20650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(1579),
  [20653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(2257),
  [20656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [20658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10055),
  [20660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10058),
  [20662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7599),
  [20664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [20666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11585),
  [20668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10251),
  [20670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [20672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12015),
  [20674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [20676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [20678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [20680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11576),
  [20682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10308),
  [20684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [20686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [20688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11669),
  [20690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10185),
  [20692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [20694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8638),
  [20696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11409),
  [20698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11421),
  [20700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [20702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [20704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [20706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [20708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10028),
  [20710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10062),
  [20712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [20714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [20716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [20718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11577),
  [20720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10288),
  [20722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [20724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12735),
  [20726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12736),
  [20728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [20730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [20732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [20734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [20736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [20738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8663),
  [20740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [20742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [20744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [20746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [20748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [20750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11667),
  [20752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10260),
  [20754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [20756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10388),
  [20758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10380),
  [20760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12801),
  [20762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12803),
  [20764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8711),
  [20766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10526),
  [20768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [20770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [20772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [20774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11724),
  [20776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10233),
  [20778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [20780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12822),
  [20782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11852),
  [20784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11853),
  [20786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12825),
  [20788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12848),
  [20790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11858),
  [20792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11859),
  [20794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10591),
  [20796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [20798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [20800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [20802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11579),
  [20804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10299),
  [20806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [20808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10721),
  [20810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10724),
  [20812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12096),
  [20814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [20816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [20818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [20820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [20822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [20824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [20826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [20828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11668),
  [20830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10257),
  [20832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [20834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [20836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11410),
  [20838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11737),
  [20840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10261),
  [20842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11424),
  [20844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8326),
  [20846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11744),
  [20848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10265),
  [20850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11914),
  [20852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9836),
  [20854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [20856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11748),
  [20858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10268),
  [20860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11915),
  [20862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11751),
  [20864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10270),
  [20866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [20868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11753),
  [20870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10272),
  [20872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [20874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10719),
  [20876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10650),
  [20878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11723),
  [20880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10227),
  [20882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [20884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [20886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [20888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [20890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11581),
  [20892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10165),
  [20894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [20896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [20898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [20900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [20902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [20904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [20906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [20908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9115),
  [20910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9116),
  [20912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [20914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [20916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [20918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [20920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [20922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11557),
  [20924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10234),
  [20926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [20928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9166),
  [20930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [20932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [20934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [20936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9191),
  [20938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [20940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [20942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11583),
  [20944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10221),
  [20946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7925),
  [20948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [20950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [20952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [20954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11736),
  [20956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10256),
  [20958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11400),
  [20960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12479),
  [20962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12497),
  [20964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11743),
  [20966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10264),
  [20968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12564),
  [20970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12580),
  [20972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11747),
  [20974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10267),
  [20976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [20978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2986),
  [20980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11750),
  [20982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10269),
  [20984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11584),
  [20986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10242),
  [20988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11752),
  [20990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10271),
  [20992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9858),
  [20994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11754),
  [20996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10273),
  [20998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11755),
  [21000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10274),
  [21002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11756),
  [21004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10275),
  [21006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11757),
  [21008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10276),
  [21010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [21012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11528),
  [21014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10184),
  [21016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [21018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18642),
  [21020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(1708),
  [21023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(2604),
  [21026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12133),
  [21028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [21030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [21032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [21034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8030),
  [21036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8870),
  [21038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [21040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11344),
  [21042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17289),
  [21044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9472),
  [21046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [21048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9723),
  [21050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [21052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [21054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [21056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12674),
  [21058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11434),
  [21060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9352),
  [21062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [21064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12129),
  [21066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9457),
  [21068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12737),
  [21070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [21072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [21074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8664),
  [21076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [21078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12137),
  [21080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9532),
  [21082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [21084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [21086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [21088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12807),
  [21090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0),
  [21092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(4447),
  [21095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0),
  [21097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [21099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [21101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12075),
  [21103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9860),
  [21105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(1740),
  [21108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(2651),
  [21111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12826),
  [21113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [21115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [21117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [21119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [21121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9820),
  [21123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8985),
  [21125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [21127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9066),
  [21129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11425),
  [21131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11309),
  [21133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [21135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9838),
  [21137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [21139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(1748),
  [21142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(2659),
  [21145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [21147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [21149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [21151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8835),
  [21153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [21155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7926),
  [21157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [21159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10022),
  [21161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11447),
  [21163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18032),
  [21165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11420),
  [21167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18051),
  [21169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18054),
  [21171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11265),
  [21173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18151),
  [21175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [21177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [21179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [21181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [21183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [21185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11716),
  [21187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11717),
  [21189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11718),
  [21191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11719),
  [21193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [21195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [21197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [21199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [21201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7661),
  [21203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [21205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [21207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [21209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [21211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11131),
  [21213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [21215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [21217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [21219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [21221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [21223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [21225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [21227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [21229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [21231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [21233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [21235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [21237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10669),
  [21239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10729),
  [21241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10659),
  [21243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10664),
  [21245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5094),
  [21247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [21249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [21251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12139),
  [21253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12140),
  [21255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12141),
  [21257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12142),
  [21259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [21261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [21263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12240),
  [21265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [21267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [21269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [21271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [21273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [21275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [21277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [21279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [21281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12241),
  [21283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [21285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [21287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [21289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [21291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [21293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [21295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [21297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [21299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [21301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [21303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [21305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [21307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12248),
  [21309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6954),
  [21311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6955),
  [21313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [21315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [21317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [21319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [21321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12311),
  [21323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12312),
  [21325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12313),
  [21327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12314),
  [21329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12183),
  [21331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12184),
  [21333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12185),
  [21335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12186),
  [21337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11264),
  [21339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11292),
  [21341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [21343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10482),
  [21345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11339),
  [21347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11315),
  [21349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [21351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [21353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [21355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [21357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11319),
  [21359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11362),
  [21361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12249),
  [21363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11295),
  [21365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11305),
  [21367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15410),
  [21369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15411),
  [21371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15414),
  [21373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15415),
  [21375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13319),
  [21377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13320),
  [21379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13321),
  [21381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13322),
  [21383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12994),
  [21385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12995),
  [21387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12996),
  [21389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12997),
  [21391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11997),
  [21393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11998),
  [21395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11999),
  [21397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12000),
  [21399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [21401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [21403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [21405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [21407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [21409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [21411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [21413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [21415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [21417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [21419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [21421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [21423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [21425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [21427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [21429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [21431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [21433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12191),
  [21435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12192),
  [21437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [21439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12193),
  [21441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12194),
  [21443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12002),
  [21445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12003),
  [21447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5025),
  [21449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [21451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [21453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12005),
  [21455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12006),
  [21457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11205),
  [21459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11207),
  [21461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11209),
  [21463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11211),
  [21465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17514),
  [21467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17515),
  [21469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17568),
  [21471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17569),
  [21473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9503),
  [21475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [21477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [21479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [21481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [21483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9511),
  [21485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9512),
  [21487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [21489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [21491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9223),
  [21493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9224),
  [21495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [21497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [21499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [21501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6865),
  [21503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [21505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [21507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [21509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11922),
  [21511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [21513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [21515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9126),
  [21517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [21519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [21521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6268),
  [21523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [21525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [21527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [21529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [21531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [21533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [21535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19934),
  [21537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [21539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7352),
  [21541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [21543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [21545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7414),
  [21547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [21549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [21551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6338),
  [21553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [21555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [21557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11133),
  [21559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [21561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [21563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [21565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_interpolation, 5, 0, 20),
  [21567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12083),
  [21569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [21571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [21573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [21575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [21577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12084),
  [21579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10643),
  [21581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10644),
  [21583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [21585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10908),
  [21587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18126),
  [21589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18160),
  [21591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18202),
  [21593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18211),
  [21595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [21597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [21599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [21601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [21603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [21605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [21607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12085),
  [21609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12086),
  [21611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [21613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [21615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [21617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [21619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [21621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10347),
  [21623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [21625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [21627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [21629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [21631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [21633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [21635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11194),
  [21637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [21639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [21641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10657),
  [21643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10658),
  [21645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5037),
  [21647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [21649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [21651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6029),
  [21653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [21655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [21657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10408),
  [21659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [21661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [21663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [21665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [21667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [21669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [21671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8414),
  [21673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [21675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [21677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(3395),
  [21680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delimiter_cmd_1, 1, 0, 0),
  [21682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [21684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [21686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [21688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [21690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7118),
  [21692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [21694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6192),
  [21696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [21698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [21700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [21702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11371),
  [21704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [21706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [21708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [21710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9996),
  [21712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11010),
  [21714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [21716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [21718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11374),
  [21720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10803),
  [21722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11320),
  [21724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11360),
  [21726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [21728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [21730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_matrix_expression_repeat1, 2, 0, 0),
  [21732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_matrix_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1277),
  [21735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_matrix_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1839),
  [21738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [21740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [21742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [21744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [21746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [21748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [21750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11028),
  [21752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [21754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [21756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [21758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [21760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7408),
  [21762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [21764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [21766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [21768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10805),
  [21770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10753),
  [21772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10758),
  [21774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [21776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [21778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [21780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [21782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [21784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [21786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [21788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [21790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11495),
  [21792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [21794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9995),
  [21796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [21798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [21800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [21802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11437),
  [21804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5923),
  [21806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1068),
  [21808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [21810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7197),
  [21812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [21814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [21816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10824),
  [21818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10830),
  [21820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [21822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [21824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5899),
  [21826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [21828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [21830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10788),
  [21832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10789),
  [21834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [21836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [21838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7350),
  [21840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [21842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [21844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11380),
  [21846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10828),
  [21848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10783),
  [21850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10637),
  [21852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [21854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [21856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11496),
  [21858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [21860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [21862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [21864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10683),
  [21866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [21868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [21870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [21872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5325),
  [21874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [21876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [21878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [21880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4823),
  [21882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [21884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [21886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7079),
  [21888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [21890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [21892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5948),
  [21894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [21896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [21898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10715),
  [21900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10611),
  [21902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [21904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [21906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1211),
  [21908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [21910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [21912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [21914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [21916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [21918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [21920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [21922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11503),
  [21924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11504),
  [21926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7110),
  [21928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [21930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [21932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [21934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [21936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [21938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [21940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
  [21942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [21944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10956),
  [21946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [21948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [21950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [21952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [21954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [21956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [21958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11670),
  [21960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [21962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [21964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [21966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [21968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11825),
  [21970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11790),
  [21972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [21974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [21976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [21978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [21980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11506),
  [21982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6005),
  [21984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11507),
  [21986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [21988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [21990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [21992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [21994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [21996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delimiter_cmd_3, 1, 0, 0),
  [21998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [22000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [22002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [22004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [22006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [22008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [22010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [22012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [22014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5499),
  [22016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [22018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [22020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11826),
  [22022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [22024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12283),
  [22026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [22028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(1634),
  [22031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(2295),
  [22034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16894),
  [22036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16895),
  [22038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [22040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5507),
  [22042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [22044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [22046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [22048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6555),
  [22050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [22052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [22054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [22056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [22058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [22060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [22062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [22064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [22066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [22068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [22070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [22072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [22074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12170),
  [22076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12171),
  [22078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10677),
  [22080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12175),
  [22082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12181),
  [22084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [22086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [22088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [22090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [22092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12277),
  [22094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [22096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [22098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [22100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [22102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [22104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11200),
  [22106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [22108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [22110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10726),
  [22112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [22114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [22116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [22118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [22120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [22122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [22124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [22126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [22128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8149),
  [22130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [22132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [22134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [22136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [22138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 5),
  [22140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 0), REDUCE(aux_sym_argument_list_repeat1, 2, 0, 5),
  [22143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [22145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [22147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [22149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10372),
  [22151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [22153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [22155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [22157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [22159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [22161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [22163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [22165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [22167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12297),
  [22169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [22171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [22173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5891),
  [22175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [22177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [22179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [22181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8163),
  [22183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [22185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [22187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [22189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6566),
  [22191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [22193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [22195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [22197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [22199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [22201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [22203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [22205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [22207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7945),
  [22209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7946),
  [22211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11960),
  [22213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [22215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [22217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [22219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [22221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [22223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [22225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [22227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [22229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [22231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [22233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [22235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [22237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [22239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [22241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [22243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [22245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [22247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [22249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [22251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [22253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [22255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [22257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11961),
  [22259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [22261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [22263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(1751),
  [22266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__block_repeat1, 2, 0, 0), SHIFT_REPEAT(2655),
  [22269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [22271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [22273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [22275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [22277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [22279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [22281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parenthesized_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3414),
  [22284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11902),
  [22286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [22288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [22290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11404),
  [22292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [22294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [22296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [22298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [22300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10818),
  [22302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7440),
  [22304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [22306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [22308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10608),
  [22310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [22312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [22314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [22316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [22318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [22320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10355),
  [22322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11185),
  [22324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [22326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [22328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [22330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [22332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [22334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [22336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [22338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10337),
  [22340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [22342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7189),
  [22344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [22346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [22348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [22350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [22352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11805),
  [22354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [22356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [22358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [22360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [22362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [22364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [22366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10820),
  [22368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [22370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [22372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10821),
  [22374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [22376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [22378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10819),
  [22380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4891),
  [22382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [22384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [22386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11343),
  [22388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [22390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5965),
  [22392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [22394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [22396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [22398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5931),
  [22400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [22402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [22404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11618),
  [22406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [22408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [22410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [22412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10038),
  [22414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10068),
  [22416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [22418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [22420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [22422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3341),
  [22425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5983),
  [22427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [22429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [22431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10493),
  [22433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [22435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [22437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [22439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10958),
  [22441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12575),
  [22443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12368),
  [22445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10417),
  [22447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10422),
  [22449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12383),
  [22451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12390),
  [22453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [22455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [22457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [22459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12206),
  [22461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [22463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6773),
  [22465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [22467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [22469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [22471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [22473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [22475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11627),
  [22477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [22479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [22481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_interpolation, 5, 0, 0),
  [22483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [22485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10852),
  [22487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [22489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11383),
  [22491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6781),
  [22493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [22495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [22497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11428),
  [22499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12238),
  [22501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12270),
  [22503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [22505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10961),
  [22507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12231),
  [22509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12243),
  [22511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [22513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [22515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10467),
  [22517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_interpolation, 2, 0, 0),
  [22519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [22521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17506),
  [22523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [22525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [22527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11407),
  [22529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11282),
  [22531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [22533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6288),
  [22535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [22537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [22539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [22541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [22543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [22545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17532),
  [22547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [22549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [22551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [22553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9107),
  [22555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [22557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [22559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11530),
  [22561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11531),
  [22563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [22565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11066),
  [22567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [22569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6598),
  [22571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [22573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [22575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [22577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10751),
  [22579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10752),
  [22581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11533),
  [22583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11534),
  [22585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [22587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [22589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [22591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [22593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11767),
  [22595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [22597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [22599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [22601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6055),
  [22603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [22605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [22607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [22609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [22611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7548),
  [22613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [22615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [22617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [22619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6611),
  [22621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [22623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [22625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [22627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8445),
  [22629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [22631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [22633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11266),
  [22635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11281),
  [22637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [22639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [22641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [22643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [22645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [22647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7204),
  [22649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [22651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [22653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [22655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [22657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15224),
  [22659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10944),
  [22661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [22663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [22665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [22667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [22669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6090),
  [22671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [22673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [22675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18093),
  [22677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11273),
  [22679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11304),
  [22681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [22683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18104),
  [22685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10426),
  [22687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10003),
  [22689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10004),
  [22691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [22693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10433),
  [22695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11498),
  [22697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18138),
  [22699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18140),
  [22701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11435),
  [22703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10564),
  [22705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [22707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [22709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [22711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [22713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7603),
  [22715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [22717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [22719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11436),
  [22721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11951),
  [22723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11323),
  [22725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8037),
  [22727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [22729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [22731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11316),
  [22733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [22735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [22737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [22739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11952),
  [22741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7617),
  [22743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [22745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [22747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11499),
  [22749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [22751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [22753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5101),
  [22755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [22757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [22759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [22761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [22763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8050),
  [22765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [22767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [22769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [22771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [22773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [22775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [22777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [22779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [22781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10471),
  [22783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [22785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [22787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [22789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [22791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [22793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [22795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [22797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [22799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3342),
  [22802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [22804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [22806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [22808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10059),
  [22810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [22812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [22814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [22816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6638),
  [22818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [22820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [22822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [22824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [22826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [22828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7059),
  [22830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [22832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [22834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [22836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19693),
  [22838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [22840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [22842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7437),
  [22844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [22846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [22848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__do_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(4066),
  [22851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [22853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [22855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [22857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6657),
  [22859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [22861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [22863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7489),
  [22865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [22867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [22869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [22871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [22873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [22875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [22877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [22879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [22881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7088),
  [22883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [22885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [22887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6479),
  [22889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [22891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [22893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [22895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [22897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [22899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11851),
  [22901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11868),
  [22903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [22905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [22907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [22909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [22911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [22913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [22915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9998),
  [22917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10000),
  [22919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [22921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [22923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12251),
  [22925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7766),
  [22927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [22929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [22931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5343),
  [22933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [22935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [22937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11892),
  [22939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [22941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [22943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6899),
  [22945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [22947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [22949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11899),
  [22951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [22953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [22955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [22957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [22959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [22961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6118),
  [22963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [22965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [22967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [22969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8457),
  [22971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [22973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [22975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [22977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [22979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat2, 1, 0, 0),
  [22981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [22983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5700),
  [22985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [22987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [22989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10040),
  [22991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [22993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [22995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11158),
  [22997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11206),
  [22999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [23001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [23003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6131),
  [23005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [23007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [23009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [23011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10939),
  [23013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [23015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [23017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [23019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [23021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [23023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4976),
  [23025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [23027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [23029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [23031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [23033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [23035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [23037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10960),
  [23039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5708),
  [23041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [23043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [23045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10963),
  [23047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [23049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12459),
  [23051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12460),
  [23053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [23055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_literal_repeat1, 1, 0, 0),
  [23057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [23059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6492),
  [23061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [23063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [23065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [23067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [23069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [23071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [23073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [23075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [23077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [23079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7897),
  [23081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [23083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [23085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [23087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [23089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12516),
  [23091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18572),
  [23093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [23095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [23097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_literal_repeat2, 1, 0, 0),
  [23099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_vector_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3376),
  [23102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12537),
  [23104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [23106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11191),
  [23108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [23110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10535),
  [23112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [23114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [23116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [23118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10877),
  [23120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10880),
  [23122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [23124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10861),
  [23126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [23128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18617),
  [23130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [23132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [23134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11460),
  [23136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [23138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11855),
  [23140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [23142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [23144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11461),
  [23146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [23148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [23150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [23152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [23154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10675),
  [23156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [23158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [23160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12221),
  [23162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [23164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [23166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10679),
  [23168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [23170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [23172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11864),
  [23174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [23176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [23178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11462),
  [23180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [23182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [23184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12282),
  [23186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12305),
  [23188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [23190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2217),
  [23192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11463),
  [23194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9596),
  [23196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [23198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [23200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10921),
  [23202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [23204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10923),
  [23206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [23208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [23210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [23212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12254),
  [23214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12289),
  [23216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [23218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [23220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5145),
  [23222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [23224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [23226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [23228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [23230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10893),
  [23232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [23234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [23236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9680),
  [23238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [23240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [23242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [23244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [23246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4935),
  [23248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [23250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [23252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [23254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [23256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [23258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5627),
  [23260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [23262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10674),
  [23264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [23266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [23268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7848),
  [23270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [23272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [23274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10894),
  [23276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [23278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [23280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [23282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [23284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [23286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [23288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [23290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4946),
  [23292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [23294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [23296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11164),
  [23298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [23300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [23302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [23304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [23306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [23308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [23310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9556),
  [23312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [23314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [23316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [23318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11298),
  [23320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [23322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [23324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [23326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6287),
  [23328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delimiter_str_1, 1, 0, 0),
  [23330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [23332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [23334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10483),
  [23336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6914),
  [23338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [23340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [23342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7895),
  [23344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [23346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [23348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [23350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [23352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9566),
  [23354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [23356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [23358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10642),
  [23360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [23362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [23364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [23366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10645),
  [23368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [23370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [23372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [23374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [23376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10843),
  [23378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5251),
  [23380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [23382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [23384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [23386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11166),
  [23388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [23390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [23392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [23394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [23396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6977),
  [23398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [23400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [23402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [23404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [23406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [23408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [23410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [23412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [23414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [23416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_prefixed_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(18032),
  [23419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_prefixed_string_literal_repeat1, 2, 0, 0),
  [23421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_prefixed_string_literal_repeat2, 2, 0, 0), SHIFT_REPEAT(18051),
  [23424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_prefixed_string_literal_repeat2, 2, 0, 0),
  [23426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [23428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [23430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [23432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [23434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7020),
  [23436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [23438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [23440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [23442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11835),
  [23444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [23446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11100),
  [23448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8405),
  [23450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [23452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [23454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [23456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10799),
  [23458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [23460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11464),
  [23462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11465),
  [23464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12062),
  [23466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_prefixed_command_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(18054),
  [23469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_prefixed_command_literal_repeat1, 2, 0, 0),
  [23471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12063),
  [23473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10691),
  [23475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [23477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [23479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [23481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [23483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11836),
  [23485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [23487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [23489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [23491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_prefixed_command_literal_repeat2, 2, 0, 0), SHIFT_REPEAT(18151),
  [23494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_prefixed_command_literal_repeat2, 2, 0, 0),
  [23496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [23498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10816),
  [23500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [23502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [23504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12065),
  [23506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12066),
  [23508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7634),
  [23510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [23512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [23514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11986),
  [23516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11991),
  [23518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11468),
  [23520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11469),
  [23522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [23524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [23526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [23528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [23530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [23532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [23534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11992),
  [23536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [23538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [23540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11993),
  [23542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11228),
  [23544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [23546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10588),
  [23548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11218),
  [23550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6717),
  [23552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [23554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [23556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [23558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [23560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11219),
  [23562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delimiter_str_3, 1, 0, 0),
  [23564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11263),
  [23566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12073),
  [23568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12074),
  [23570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [23572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [23574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12076),
  [23576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12077),
  [23578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [23580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11291),
  [23582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [23584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11982),
  [23586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11984),
  [23588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6726),
  [23590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [23592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [23594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11985),
  [23596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5152),
  [23598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [23600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [23602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12396),
  [23604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12400),
  [23606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [23608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [23610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11970),
  [23612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [23614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11223),
  [23616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11224),
  [23618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [23620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [23622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11230),
  [23624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11236),
  [23626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12457),
  [23628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12458),
  [23630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [23632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11197),
  [23634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11216),
  [23636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [23638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [23640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7689),
  [23642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [23644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [23646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [23648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12527),
  [23650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [23652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [23654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [23656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12318),
  [23658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12319),
  [23660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [23662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [23664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12321),
  [23666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [23668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12326),
  [23670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12099),
  [23672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12100),
  [23674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12103),
  [23676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12385),
  [23678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [23680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [23682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12104),
  [23684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11413),
  [23686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12336),
  [23688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12337),
  [23690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [23692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [23694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11419),
  [23696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [23698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [23700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [23702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18485),
  [23704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15566),
  [23706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18491),
  [23708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [23710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [23712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [23714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [23716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [23718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3411),
  [23721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18560),
  [23723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15644),
  [23725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18562),
  [23727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [23729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [23731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [23733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_statement_repeat1, 2, 0, 8),
  [23735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_statement_repeat1, 2, 0, 8),
  [23737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [23739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [23741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [23743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [23745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [23747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [23749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [23751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [23753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [23755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [23757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [23759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [23761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [23763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [23765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [23767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8707),
  [23769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 4, 0, 0),
  [23771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [23773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [23775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [23777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [23779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [23781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [23783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [23785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [23787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [23789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18252),
  [23791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15527),
  [23793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18235),
  [23795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [23797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [23799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [23801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18537),
  [23803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15691),
  [23805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18224),
  [23807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [23809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [23811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [23813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [23815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [23817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18619),
  [23819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15693),
  [23821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18621),
  [23823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18307),
  [23825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15512),
  [23827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18344),
  [23829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [23831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [23833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [23835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [23837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18382),
  [23839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15687),
  [23841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18384),
  [23843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [23845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [23847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [23849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18524),
  [23851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15520),
  [23853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18570),
  [23855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [23857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [23859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18452),
  [23861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15521),
  [23863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18459),
  [23865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [23867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18636),
  [23869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15629),
  [23871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18639),
  [23873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [23875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18495),
  [23877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15541),
  [23879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18654),
  [23881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18229),
  [23883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15589),
  [23885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18231),
  [23887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [23889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [23891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [23893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [23895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18368),
  [23897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15575),
  [23899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18370),
  [23901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [23903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18471),
  [23905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15524),
  [23907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18473),
  [23909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16322),
  [23911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19070),
  [23913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [23915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18634),
  [23917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15614),
  [23919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18646),
  [23921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18453),
  [23923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15772),
  [23925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18457),
  [23927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [23929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18251),
  [23931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15510),
  [23933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18256),
  [23935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [23937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18335),
  [23939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15537),
  [23941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18339),
  [23943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [23945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 0),
  [23947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [23949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18420),
  [23951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15561),
  [23953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18422),
  [23955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [23957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [23959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [23961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [23963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18542),
  [23965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15603),
  [23967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18548),
  [23969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [23971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [23973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18450),
  [23975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15533),
  [23977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18451),
  [23979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [23981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18469),
  [23983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15554),
  [23985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18470),
  [23987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [23989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18489),
  [23991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15572),
  [23993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18490),
  [23995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18514),
  [23997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15598),
  [23999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18515),
  [24001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18528),
  [24003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15612),
  [24005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18529),
  [24007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18550),
  [24009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15639),
  [24011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18552),
  [24013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18577),
  [24015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15660),
  [24017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18579),
  [24019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [24021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [24023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18604),
  [24025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15683),
  [24027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18606),
  [24029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [24031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18627),
  [24033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15698),
  [24035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18628),
  [24037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18645),
  [24039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15716),
  [24041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18647),
  [24043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18671),
  [24045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15746),
  [24047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18673),
  [24049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [24051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18709),
  [24053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15780),
  [24055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18713),
  [24057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18732),
  [24059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15797),
  [24061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18733),
  [24063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18747),
  [24065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15818),
  [24067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18748),
  [24069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18643),
  [24071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15685),
  [24073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18715),
  [24075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [24077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18278),
  [24079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15523),
  [24081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18325),
  [24083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18329),
  [24085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15599),
  [24087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18337),
  [24089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [24091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18536),
  [24093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15785),
  [24095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18540),
  [24097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18693),
  [24099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15618),
  [24101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18702),
  [24103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12106),
  [24105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18273),
  [24107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15529),
  [24109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18291),
  [24111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18722),
  [24113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15569),
  [24115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18728),
  [24117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2933),
  [24119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18332),
  [24121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15664),
  [24123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18341),
  [24125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18418),
  [24127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15757),
  [24129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18423),
  [24131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18523),
  [24133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15846),
  [24135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18530),
  [24137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18596),
  [24139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15628),
  [24141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18598),
  [24143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [24145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18695),
  [24147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15709),
  [24149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18699),
  [24151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18742),
  [24153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15625),
  [24155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18745),
  [24157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18222),
  [24159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15662),
  [24161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18234),
  [24163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17077),
  [24165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19150),
  [24167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [24169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [24171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [24173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [24175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [24177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [24179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [24181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [24183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminator_repeat1, 2, 0, 0), SHIFT_REPEAT(18642),
  [24186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [24188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [24190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [24192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [24194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 0),
  [24196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 0),
  [24198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [24200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [24202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [24204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [24206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9506),
  [24208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [24210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [24212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [24214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [24216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [24218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [24220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2992),
  [24222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [24224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [24226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [24228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [24230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [24232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [24234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [24236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [24238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [24240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [24242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [24244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [24246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [24248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [24250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [24252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [24254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [24256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [24258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [24260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [24262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elseif_clause, 3, 0, 4),
  [24264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [24266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [24268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [24270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [24272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18398),
  [24274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15491),
  [24276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18402),
  [24278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [24280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [24282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [24284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [24286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [24288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, 0, 0),
  [24290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [24292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [24294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [24296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [24298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [24300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3, 0, 0),
  [24302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [24304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [24306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [24308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [24310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [24312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [24314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [24316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [24318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [24320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [24322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [24324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [24326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [24328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [24330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [24332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [24334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [24336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [24338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [24340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [24342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [24344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16780),
  [24346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16781),
  [24348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [24350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [24352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [24354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [24356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [24358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [24360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [24362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [24364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [24366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9729),
  [24368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elseif_clause, 5, 0, 4),
  [24370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elseif_clause, 5, 0, 4),
  [24372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [24374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [24376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [24378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_prefixed_string_literal_repeat1, 1, 0, 0),
  [24380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [24382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_matrix_expression_repeat1, 2, 0, 0),
  [24384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8713),
  [24386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [24388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [24390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, 0, 0),
  [24392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [24394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [24396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18419),
  [24398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_matrix_expression_repeat1, 3, 0, 0),
  [24400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_matrix_expression_repeat1, 3, 0, 0),
  [24402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [24404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_prefixed_string_literal_repeat2, 1, 0, 0),
  [24406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [24408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_prefixed_command_literal_repeat1, 1, 0, 0),
  [24410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [24412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [24414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [24416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [24418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12855),
  [24420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [24422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [24424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [24426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [24428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16607),
  [24430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18874),
  [24432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [24434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [24436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [24438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [24440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [24442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [24444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [24446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [24448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [24450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [24452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [24454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [24456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [24458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [24460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [24462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [24464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [24466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [24468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [24470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [24472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [24474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [24476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [24478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [24480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [24482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [24484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [24486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [24488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [24490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [24492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [24494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [24496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [24498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [24500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [24502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [24504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_prefixed_command_literal_repeat2, 1, 0, 0),
  [24506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [24508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [24510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [24512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [24514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elseif_clause, 4, 0, 4),
  [24516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [24518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [24520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [24522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [24524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [24526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9192),
  [24528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [24530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [24532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [24534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [24536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [24538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [24540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [24542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [24544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [24546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [24548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [24550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [24552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [24554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18749),
  [24556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15674),
  [24558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18754),
  [24560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [24562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11439),
  [24564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [24566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [24568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17572),
  [24570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19221),
  [24572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [24574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [24576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [24578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [24580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [24582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [24584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [24586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19627),
  [24588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [24590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19291),
  [24592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19767),
  [24594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18910),
  [24596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 4, 0, 0),
  [24598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19203),
  [24600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19469),
  [24602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19929),
  [24604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [24606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [24608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20238),
  [24610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19751),
  [24612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [24614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19606),
  [24616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19300),
  [24618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19631),
  [24620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [24622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [24624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19295),
  [24626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19128),
  [24628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [24630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [24632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19008),
  [24634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [24636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [24638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19379),
  [24640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19900),
  [24642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19312),
  [24644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [24646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19847),
  [24648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20278),
  [24650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [24652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [24654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19702),
  [24656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [24658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20050),
  [24660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19803),
  [24662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20004),
  [24664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20063),
  [24666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18927),
  [24668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19168),
  [24670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20279),
  [24672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20217),
  [24674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19431),
  [24676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [24678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19918),
  [24680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [24682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18807),
  [24684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19210),
  [24686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [24688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18975),
  [24690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18825),
  [24692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18873),
  [24694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19054),
  [24696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18890),
  [24698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 4, 0, 0),
  [24700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18837),
  [24702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18882),
  [24704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18935),
  [24706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20007),
  [24708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [24710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18931),
  [24712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [24714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20118),
  [24716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [24718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [24720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18979),
  [24722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19123),
  [24724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19807),
  [24726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10332),
  [24728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19011),
  [24730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19248),
  [24732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19039),
  [24734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19224),
  [24736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 0),
  [24738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [24740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [24742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19249),
  [24744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19559),
  [24746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19071),
  [24748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [24750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19159),
  [24752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [24754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19724),
  [24756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19113),
  [24758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19253),
  [24760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19145),
  [24762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19179),
  [24764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19256),
  [24766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19223),
  [24768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19383),
  [24770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [24772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19217),
  [24774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [24776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19578),
  [24778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [24780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19520),
  [24782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19280),
  [24784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [24786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19433),
  [24788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19508),
  [24790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19311),
  [24792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15143),
  [24794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19327),
  [24796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19286),
  [24798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19496),
  [24800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18902),
  [24802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19340),
  [24804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [24806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19407),
  [24808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [24810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19460),
  [24812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19442),
  [24814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19963),
  [24816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18844),
  [24818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19517),
  [24820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19593),
  [24822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20212),
  [24824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 3, 0, 0),
  [24826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19731),
  [24828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19618),
  [24830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19956),
  [24832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [24834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19933),
  [24836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19651),
  [24838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18806),
  [24840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19675),
  [24842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [24844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19714),
  [24846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [24848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19786),
  [24850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19884),
  [24852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19887),
  [24854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [24856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19815),
  [24858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19839),
  [24860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19850),
  [24862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [24864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19712),
  [24866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18850),
  [24868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19948),
  [24870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20039),
  [24872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [24874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19981),
  [24876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20010),
  [24878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19988),
  [24880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20072),
  [24882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19546),
  [24884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20061),
  [24886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19390),
  [24888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18804),
  [24890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20105),
  [24892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19711),
  [24894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20140),
  [24896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20153),
  [24898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20311),
  [24900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [24902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20200),
  [24904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20239),
  [24906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20247),
  [24908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19401),
  [24910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19662),
  [24912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20295),
  [24914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20342),
  [24916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19504),
  [24918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19052),
  [24920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19873),
  [24922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [24924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [24926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11338),
  [24928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [24930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [24932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [24934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [24936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [24938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [24940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [24942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11804),
  [24944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [24946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11983),
  [24948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [24950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [24952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [24954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [24956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [24958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [24960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [24962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [24964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [24966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8525),
  [24968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [24970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [24972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [24974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [24976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [24978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [24980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10620),
  [24982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [24984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [24986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [24988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [24990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [24992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [24994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18569),
  [24996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2994),
  [24998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [25000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8546),
  [25002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8383),
  [25004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [25006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17503),
  [25008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [25010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12188),
  [25012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [25014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10635),
  [25016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9442),
  [25018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [25020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [25022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18605),
  [25024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20360),
  [25026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [25028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [25030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [25032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [25034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [25036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [25038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [25040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12201),
  [25042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [25044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [25046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [25048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [25050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [25052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [25054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [25056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [25058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [25060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10538),
  [25062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [25064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18648),
  [25066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [25068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [25070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8862),
  [25072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8866),
  [25074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [25076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [25078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [25080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [25082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [25084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [25086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [25088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8872),
  [25090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11256),
  [25092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [25094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11262),
  [25096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18697),
  [25098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18698),
  [25100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [25102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [25104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [25106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9671),
  [25108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [25110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8878),
  [25112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8881),
  [25114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [25116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [25118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11932),
  [25120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5890),
  [25122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11391),
  [25124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [25126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [25128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8904),
  [25130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12571),
  [25132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11154),
  [25134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [25136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [25138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12022),
  [25140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [25142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [25144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [25146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12019),
  [25148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9460),
  [25150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9683),
  [25152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12173),
  [25154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11633),
  [25156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7751),
  [25158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12097),
  [25160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9859),
  [25162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11026),
  [25164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [25166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [25168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11422),
  [25170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10930),
  [25172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10365),
  [25174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11340),
  [25176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [25178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8577),
  [25180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [25182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [25184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12172),
  [25186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [25188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [25190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [25192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [25194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8142),
  [25196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20359),
  [25198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [25200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [25202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12135),
  [25204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10973),
  [25206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [25208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9480),
  [25210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [25212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [25214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [25216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11342),
  [25218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [25220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [25222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [25224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [25226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8994),
  [25228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9548),
  [25230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [25232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11301),
  [25234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [25236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [25238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9665),
  [25240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [25242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9724),
  [25244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9990),
  [25246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10578),
  [25248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12381),
  [25250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [25252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [25254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [25256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [25258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [25260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11946),
  [25262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8802),
  [25264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [25266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13045),
  [25268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [25270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [25272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [25274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [25276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [25278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [25280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9652),
  [25282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11321),
  [25284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11272),
  [25286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [25288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [25290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [25292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [25294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [25296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8859),
  [25298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11897),
  [25300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [25302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [25304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12134),
  [25306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11290),
  [25308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [25310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [25312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [25314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [25316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9725),
  [25318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [25320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [25322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12671),
  [25324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [25326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11300),
  [25328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [25330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11308),
  [25332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [25334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [25336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [25338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [25340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [25342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [25344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [25346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [25348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [25350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [25352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [25354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [25356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [25358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [25360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11398),
  [25362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [25364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [25366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [25368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [25370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [25372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [25374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [25376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [25378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [25380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [25382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12294),
  [25384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8683),
  [25386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [25388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [25390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [25392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11382),
  [25394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [25396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10044),
  [25398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9481),
  [25400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [25402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [25404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [25406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11416),
  [25408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [25410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [25412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [25414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [25416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [25418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [25420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [25422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [25424] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [25426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8825),
  [25428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9351),
  [25430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10937),
  [25432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9889),
  [25434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11430),
  [25436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8813),
  [25438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12039),
  [25440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [25442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [25444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12045),
  [25446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9726),
  [25448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9572),
  [25450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [25452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9727),
  [25454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9271),
  [25456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [25458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [25460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [25462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [25464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9273),
  [25466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [25468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12722),
  [25470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [25472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [25474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [25476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [25478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11005),
  [25480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12724),
  [25482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12725),
  [25484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [25486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [25488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12726),
  [25490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [25492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12728),
  [25494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8463),
  [25496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [25498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12729),
  [25500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12730),
  [25502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11297),
  [25504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12731),
  [25506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12149),
  [25508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12049),
  [25510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10396),
  [25512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [25514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [25516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [25518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [25520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11337),
  [25522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11302),
  [25524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [25526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10397),
  [25528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12738),
  [25530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8827),
  [25532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [25534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10574),
  [25536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [25538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [25540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [25542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [25544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7961),
  [25546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10927),
  [25548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12025),
  [25550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [25552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [25554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [25556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10634),
  [25558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12739),
  [25560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [25562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [25564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11640),
  [25566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8942),
  [25568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [25570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10403),
  [25572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9279),
  [25574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [25576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [25578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [25580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8828),
  [25582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [25584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [25586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [25588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [25590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [25592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [25594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7927),
  [25596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9037),
  [25598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [25600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9082),
  [25602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9280),
  [25604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [25606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [25608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [25610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [25612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8659),
  [25614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12123),
  [25616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [25618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12467),
  [25620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9282),
  [25622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [25624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [25626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [25628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10039),
  [25630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8662),
  [25632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [25634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [25636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12189),
  [25638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8679),
  [25640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [25642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [25644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11268),
  [25646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [25648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9038),
  [25650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [25652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [25654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [25656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [25658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [25660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [25662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [25664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [25666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [25668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8829),
  [25670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11641),
  [25672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [25674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [25676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9039),
  [25678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [25680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [25682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [25684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [25686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10887),
  [25688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [25690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9283),
  [25692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [25694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [25696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17530),
  [25698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [25700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [25702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [25704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [25706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [25708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [25710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9730),
  [25712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [25714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10890),
  [25716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8873),
  [25718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [25720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11009),
  [25722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [25724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10640),
  [25726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [25728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9073),
  [25730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [25732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [25734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [25736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [25738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [25740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [25742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [25744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [25746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12776),
  [25748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12777),
  [25750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [25752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12778),
  [25754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [25756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12779),
  [25758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17213),
  [25760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12785),
  [25762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [25764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12786),
  [25766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12787),
  [25768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [25770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [25772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [25774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [25776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10605),
  [25778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [25780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [25782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [25784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [25786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [25788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12799),
  [25790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12800),
  [25792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9862),
  [25794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12095),
  [25796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [25798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [25800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [25802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [25804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [25806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [25808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [25810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12805),
  [25812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [25814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [25816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11035),
  [25818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12808),
  [25820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12809),
  [25822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12064),
  [25824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [25826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8717),
  [25828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [25830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [25832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8722),
  [25834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8726),
  [25836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9346),
  [25838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9887),
  [25840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [25842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [25844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11037),
  [25846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [25848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10518),
  [25850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [25852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10014),
  [25854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [25856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12052),
  [25858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [25860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10595),
  [25862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [25864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11921),
  [25866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [25868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [25870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [25872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [25874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10597),
  [25876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [25878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9534),
  [25880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [25882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [25884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [25886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [25888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [25890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [25892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [25894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [25896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7802),
  [25898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [25900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12816),
  [25902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12817),
  [25904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [25906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [25908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [25910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12818),
  [25912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12819),
  [25914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11384),
  [25916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [25918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12820),
  [25920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [25922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [25924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12821),
  [25926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [25928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [25930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [25932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [25934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [25936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [25938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [25940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [25942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [25944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12823),
  [25946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [25948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5982),
  [25950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7935),
  [25952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [25954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [25956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12827),
  [25958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [25960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12828),
  [25962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [25964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10046),
  [25966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [25968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11854),
  [25970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7807),
  [25972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11940),
  [25974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [25976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12843),
  [25978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12844),
  [25980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12845),
  [25982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12846),
  [25984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [25986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12856),
  [25988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [25990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10697),
  [25992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12859),
  [25994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12865),
  [25996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8764),
  [25998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [26000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [26002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [26004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [26006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12190),
  [26008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12081),
  [26010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8834),
  [26012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11626),
  [26014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [26016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [26018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [26020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11130),
  [26022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9475),
  [26024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [26026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12388),
  [26028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12040),
  [26030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11863),
  [26032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11418),
  [26034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [26036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8700),
  [26038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [26040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [26042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9809),
  [26044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7211),
  [26046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [26048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9731),
  [26050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [26052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [26054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12024),
  [26056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8837),
  [26058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [26060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [26062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [26064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [26066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9732),
  [26068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [26070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8703),
  [26072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [26074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [26076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12328),
  [26078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [26080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [26082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8524),
  [26084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9817),
  [26086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [26088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11871),
  [26090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12197),
  [26092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [26094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [26096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [26098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12088),
  [26100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12200),
  [26102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [26104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [26106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [26108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [26110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [26112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8950),
  [26114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [26116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11328),
  [26118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [26120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [26122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11878),
  [26124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11879),
  [26126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [26128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9487),
  [26130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [26132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12128),
  [26134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11356),
  [26136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [26138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [26140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [26142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11364),
  [26144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [26146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [26148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11041),
  [26150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11365),
  [26152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12107),
  [26154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [26156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8838),
  [26158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [26160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [26162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9878),
  [26164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [26166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [26168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [26170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10734),
  [26172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [26174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [26176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [26178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8541),
  [26180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [26182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [26184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [26186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [26188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [26190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [26192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [26194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9085),
  [26196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9394),
  [26198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [26200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [26202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [26204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [26206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8815),
  [26208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [26210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [26212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [26214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [26216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [26218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9827),
  [26220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [26222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11367),
  [26224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [26226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11368),
  [26228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [26230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [26232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9828),
  [26234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9829),
  [26236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [26238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10568),
  [26240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [26242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [26244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [26246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [26248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9830),
  [26250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11423),
  [26252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10381),
  [26254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [26256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [26258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [26260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19958),
  [26262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9831),
  [26264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8626),
  [26266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [26268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [26270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9832),
  [26272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [26274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9833),
  [26276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [26278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [26280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [26282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [26284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9497),
  [26286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [26288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12138),
  [26290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [26292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [26294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [26296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [26298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [26300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [26302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9834),
  [26304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [26306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11294),
  [26308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [26310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11279),
  [26312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11761),
  [26314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [26316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [26318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17175),
  [26320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [26322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9489),
  [26324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17556),
  [26326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9880),
  [26328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [26330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [26332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [26334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [26336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [26338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9415),
  [26340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [26342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [26344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [26346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [26348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [26350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [26352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [26354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [26356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9491),
  [26358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [26360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [26362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [26364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [26366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [26368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9418),
  [26370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [26372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [26374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [26376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [26378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12148),
  [26380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [26382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9086),
  [26384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [26386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9062),
  [26388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [26390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [26392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8882),
  [26394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [26396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [26398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [26400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [26402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [26404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12109),
  [26406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [26408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [26410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9064),
  [26412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [26414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [26416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [26418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [26420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9072),
  [26422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [26424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [26426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [26428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [26430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [26432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [26434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9331),
  [26436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [26438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [26440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9492),
  [26442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12204),
  [26444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9493),
  [26446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [26448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [26450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [26452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [26454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [26456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12207),
  [26458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [26460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [26462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [26464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [26466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [26468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [26470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11183),
  [26472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [26474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [26476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11818),
  [26478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [26480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [26482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [26484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10736),
  [26486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [26488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [26490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [26492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12116),
  [26494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [26496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9420),
  [26498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8803),
  [26500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [26502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [26504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [26506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [26508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9881),
  [26510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9882),
  [26512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9098),
  [26514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9099),
  [26516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [26518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [26520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10369),
  [26522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [26524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [26526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [26528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [26530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [26532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17060),
  [26534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9840),
  [26536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9102),
  [26538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [26540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9111),
  [26542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9112),
  [26544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9113),
  [26546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [26548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [26550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9136),
  [26552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [26554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [26556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [26558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [26560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [26562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [26564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12276),
  [26566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9129),
  [26568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [26570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11060),
  [26572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12187),
  [26574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [26576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12067),
  [26578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11199),
  [26580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9507),
  [26582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12021),
  [26584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12048),
  [26586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [26588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [26590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [26592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11069),
  [26594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [26596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [26598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11061),
  [26600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [26602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [26604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8806),
  [26606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [26608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [26610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [26612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10733),
  [26614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [26616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8810),
  [26618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12072),
  [26620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [26622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12091),
  [26624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [26626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [26628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [26630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [26632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11326),
  [26634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [26636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [26638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [26640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [26642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [26644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [26646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [26648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8022),
  [26650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [26652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [26654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [26656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [26658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9158),
  [26660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9159),
  [26662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11945),
  [26664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [26666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9163),
  [26668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9164),
  [26670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12130),
  [26672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9165),
  [26674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [26676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [26678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9167),
  [26680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [26682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [26684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [26686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11243),
  [26688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [26690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9515),
  [26692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [26694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [26696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10717),
  [26698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10698),
  [26700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11188),
  [26702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9421),
  [26704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9413),
  [26706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [26708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9185),
  [26710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [26712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [26714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9188),
  [26716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9190),
  [26718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [26720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9422),
  [26722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [26724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [26726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [26728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9195),
  [26730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [26732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [26734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [26736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [26738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [26740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [26742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [26744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [26746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [26748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12182),
  [26750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [26752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8631),
  [26754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16178),
  [26756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11390),
  [26758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [26760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9741),
  [26762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9425),
  [26764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [26766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [26768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [26770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11366),
  [26772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11810),
  [26774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [26776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9884),
  [26778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [26780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8584),
  [26782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [26784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [26786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8883),
  [26788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11369),
  [26790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [26792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [26794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [26796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [26798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [26800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [26802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [26804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [26806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9861),
  [26808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [26810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [26812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11393),
  [26814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [26816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [26818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9014),
  [26820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [26822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [26824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [26826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [26828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11789),
  [26830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [26832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [26834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17230),
  [26836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [26838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [26840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [26842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [26844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [26846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [26848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [26850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11440),
  [26852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [26854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9848),
  [26856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [26858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9849),
  [26860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9850),
  [26862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8993),
  [26864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9468),
  [26866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [26868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [26870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [26872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12501),
  [26874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9851),
  [26876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11427),
  [26878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [26880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6363),
  [26882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [26884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [26886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7997),
  [26888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17308),
  [26890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [26892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [26894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [26896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [26898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7984),
  [26900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7004),
  [26902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [26904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [26906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11819),
  [26908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9258),
  [26910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [26912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [26914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7985),
  [26916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [26918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12572),
  [26920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [26922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [26924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [26926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9852),
  [26928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11132),
  [26930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [26932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11306),
  [26934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [26936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [26938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [26940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9885),
  [26942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [26944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9853),
  [26946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [26948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [26950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9854),
  [26952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9855),
  [26954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [26956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [26958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [26960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [26962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9399),
  [26964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9856),
  [26966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [26968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [26970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [26972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8575),
  [26974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [26976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11280),
  [26978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [26980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11287),
  [26982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [26984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12623),
  [26986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [26988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [26990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11617),
  [26992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [26994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 2, 0, 0),
  [26996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_line_comment, 2, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__block_comment_rest = 0,
  ts_external_token__immediate_paren = 1,
  ts_external_token__immediate_bracket = 2,
  ts_external_token__immediate_brace = 3,
  ts_external_token__immediate_string_start = 4,
  ts_external_token__immediate_command_start = 5,
  ts_external_token__content_cmd_1 = 6,
  ts_external_token__content_cmd_1_raw = 7,
  ts_external_token__content_cmd_3 = 8,
  ts_external_token__content_cmd_3_raw = 9,
  ts_external_token__content_str_1 = 10,
  ts_external_token__content_str_1_raw = 11,
  ts_external_token__content_str_3 = 12,
  ts_external_token__content_str_3_raw = 13,
  ts_external_token__end_cmd = 14,
  ts_external_token__end_str = 15,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__block_comment_rest] = sym__block_comment_rest,
  [ts_external_token__immediate_paren] = sym__immediate_paren,
  [ts_external_token__immediate_bracket] = sym__immediate_bracket,
  [ts_external_token__immediate_brace] = sym__immediate_brace,
  [ts_external_token__immediate_string_start] = sym__immediate_string_start,
  [ts_external_token__immediate_command_start] = sym__immediate_command_start,
  [ts_external_token__content_cmd_1] = sym__content_cmd_1,
  [ts_external_token__content_cmd_1_raw] = sym__content_cmd_1_raw,
  [ts_external_token__content_cmd_3] = sym__content_cmd_3,
  [ts_external_token__content_cmd_3_raw] = sym__content_cmd_3_raw,
  [ts_external_token__content_str_1] = sym__content_str_1,
  [ts_external_token__content_str_1_raw] = sym__content_str_1_raw,
  [ts_external_token__content_str_3] = sym__content_str_3,
  [ts_external_token__content_str_3_raw] = sym__content_str_3_raw,
  [ts_external_token__end_cmd] = sym__end_cmd,
  [ts_external_token__end_str] = sym__end_str,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__block_comment_rest] = true,
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_bracket] = true,
    [ts_external_token__immediate_brace] = true,
    [ts_external_token__immediate_string_start] = true,
    [ts_external_token__immediate_command_start] = true,
    [ts_external_token__content_cmd_1] = true,
    [ts_external_token__content_cmd_1_raw] = true,
    [ts_external_token__content_cmd_3] = true,
    [ts_external_token__content_cmd_3_raw] = true,
    [ts_external_token__content_str_1] = true,
    [ts_external_token__content_str_1_raw] = true,
    [ts_external_token__content_str_3] = true,
    [ts_external_token__content_str_3_raw] = true,
    [ts_external_token__end_cmd] = true,
    [ts_external_token__end_str] = true,
  },
  [2] = {
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_bracket] = true,
    [ts_external_token__immediate_brace] = true,
    [ts_external_token__immediate_string_start] = true,
    [ts_external_token__immediate_command_start] = true,
  },
  [3] = {
    [ts_external_token__immediate_paren] = true,
    [ts_external_token__immediate_bracket] = true,
    [ts_external_token__immediate_brace] = true,
  },
  [4] = {
    [ts_external_token__immediate_paren] = true,
  },
  [5] = {
    [ts_external_token__immediate_string_start] = true,
    [ts_external_token__immediate_command_start] = true,
  },
  [6] = {
    [ts_external_token__content_str_1] = true,
    [ts_external_token__end_str] = true,
  },
  [7] = {
    [ts_external_token__content_str_3] = true,
    [ts_external_token__end_str] = true,
  },
  [8] = {
    [ts_external_token__content_cmd_1] = true,
    [ts_external_token__end_cmd] = true,
  },
  [9] = {
    [ts_external_token__content_cmd_3] = true,
    [ts_external_token__end_cmd] = true,
  },
  [10] = {
    [ts_external_token__content_str_1_raw] = true,
    [ts_external_token__end_str] = true,
  },
  [11] = {
    [ts_external_token__content_str_3_raw] = true,
    [ts_external_token__end_str] = true,
  },
  [12] = {
    [ts_external_token__content_cmd_1_raw] = true,
    [ts_external_token__end_cmd] = true,
  },
  [13] = {
    [ts_external_token__content_cmd_3_raw] = true,
    [ts_external_token__end_cmd] = true,
  },
  [14] = {
    [ts_external_token__block_comment_rest] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_julia_external_scanner_create(void);
void tree_sitter_julia_external_scanner_destroy(void *);
bool tree_sitter_julia_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_julia_external_scanner_serialize(void *, char *);
void tree_sitter_julia_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_julia(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__word_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_julia_external_scanner_create,
      tree_sitter_julia_external_scanner_destroy,
      tree_sitter_julia_external_scanner_scan,
      tree_sitter_julia_external_scanner_serialize,
      tree_sitter_julia_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
